﻿<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sch="http://www.ascc.net/xml/schematron" xmlns:iso="http://purl.oclc.org/dsdl/schematron" xmlns:cda="urn:hl7-org:v3" xmlns:dh="cpv:fn" xmlns:iq="iq:fn" xmlns:ext="http://ns.electronichealth.net.au/Ci/Cda/Extensions/3.0" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.0">
  <!--Implementers: please note that overriding process-prolog or process-root is 
    the preferred method for meta-stylesheets to use where possible. -->
  <xsl:param name="archiveDirParameter" />
  <xsl:param name="archiveNameParameter" />
  <xsl:param name="fileNameParameter" />
  <xsl:param name="fileDirParameter" />
  <!--PHASES-->
  <!--PROLOG-->
  <xsl:output xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" method="xml" omit-xml-declaration="no" standalone="yes" indent="yes" />
  <!--KEYS-->
  <!--DEFAULT RULES-->
  <!--MODE: SCHEMATRON-SELECT-FULL-PATH-->
  <!--This mode can be used to generate an ugly though full XPath for locators-->
  <xsl:template match="*" mode="schematron-select-full-path">
    <xsl:apply-templates select="." mode="schematron-get-full-path" />
  </xsl:template>
  <!--MODE: SCHEMATRON-FULL-PATH-->
  <!--This mode can be used to generate an ugly though full XPath for locators-->
  <xsl:template match="*" mode="schematron-get-full-path">
    <xsl:apply-templates select="parent::*" mode="schematron-get-full-path" />
    <xsl:text>/</xsl:text>
    <xsl:choose>
      <xsl:when test="namespace-uri()=''">
        <xsl:value-of select="name()" />
        <xsl:variable name="p_1" select="1+    count(preceding-sibling::*[name()=name(current())])" />
        <xsl:if test="$p_1&gt;1 or following-sibling::*[name()=name(current())]">[<xsl:value-of select="$p_1" />]</xsl:if>
      </xsl:when>
      <xsl:otherwise>
        <xsl:text>*[local-name()='</xsl:text>
        <xsl:value-of select="local-name()" />
        <xsl:text>' and namespace-uri()='</xsl:text>
        <xsl:value-of select="namespace-uri()" />
        <xsl:text>']</xsl:text>
        <xsl:variable name="p_2" select="1+   count(preceding-sibling::*[local-name()=local-name(current())])" />
        <xsl:if test="$p_2&gt;1 or following-sibling::*[local-name()=local-name(current())]">[<xsl:value-of select="$p_2" />]</xsl:if>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>
  <xsl:template match="@*" mode="schematron-get-full-path">
    <xsl:text>/</xsl:text>
    <xsl:choose>
      <xsl:when test="namespace-uri()=''">@<xsl:value-of select="name()" /></xsl:when>
      <xsl:otherwise>
        <xsl:text>@*[local-name()='</xsl:text>
        <xsl:value-of select="local-name()" />
        <xsl:text>' and namespace-uri()='</xsl:text>
        <xsl:value-of select="namespace-uri()" />
        <xsl:text>']</xsl:text>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>
  <!--MODE: SCHEMATRON-FULL-PATH-2-->
  <!--This mode can be used to generate prefixed XPath for humans-->
  <xsl:template match="node() | @*" mode="schematron-get-full-path-2">
    <xsl:for-each select="ancestor-or-self::*">
      <xsl:text>/</xsl:text>
      <xsl:value-of select="name(.)" />
      <xsl:if test="preceding-sibling::*[name(.)=name(current())]">
        <xsl:text>[</xsl:text>
        <xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1" />
        <xsl:text>]</xsl:text>
      </xsl:if>
    </xsl:for-each>
    <xsl:if test="not(self::*)">
      <xsl:text />/@<xsl:value-of select="name(.)" /></xsl:if>
  </xsl:template>
  <!--MODE: GENERATE-ID-FROM-PATH -->
  <xsl:template match="/" mode="generate-id-from-path" />
  <xsl:template match="text()" mode="generate-id-from-path">
    <xsl:apply-templates select="parent::*" mode="generate-id-from-path" />
    <xsl:value-of select="concat('.text-', 1+count(preceding-sibling::text()), '-')" />
  </xsl:template>
  <xsl:template match="comment()" mode="generate-id-from-path">
    <xsl:apply-templates select="parent::*" mode="generate-id-from-path" />
    <xsl:value-of select="concat('.comment-', 1+count(preceding-sibling::comment()), '-')" />
  </xsl:template>
  <xsl:template match="processing-instruction()" mode="generate-id-from-path">
    <xsl:apply-templates select="parent::*" mode="generate-id-from-path" />
    <xsl:value-of select="concat('.processing-instruction-', 1+count(preceding-sibling::processing-instruction()), '-')" />
  </xsl:template>
  <xsl:template match="@*" mode="generate-id-from-path">
    <xsl:apply-templates select="parent::*" mode="generate-id-from-path" />
    <xsl:value-of select="concat('.@', name())" />
  </xsl:template>
  <xsl:template match="*" mode="generate-id-from-path" priority="-0.5">
    <xsl:apply-templates select="parent::*" mode="generate-id-from-path" />
    <xsl:text>.</xsl:text>
    <xsl:value-of select="concat('.',name(),'-',1+count(preceding-sibling::*[name()=name(current())]),'-')" />
  </xsl:template>
  <!--MODE: SCHEMATRON-FULL-PATH-3-->
  <!--This mode can be used to generate prefixed XPath for humans 
	(Top-level element has index)-->
  <xsl:template match="node() | @*" mode="schematron-get-full-path-3">
    <xsl:for-each select="ancestor-or-self::*">
      <xsl:text>/</xsl:text>
      <xsl:value-of select="name(.)" />
      <xsl:if test="parent::*">
        <xsl:text>[</xsl:text>
        <xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1" />
        <xsl:text>]</xsl:text>
      </xsl:if>
    </xsl:for-each>
    <xsl:if test="not(self::*)">
      <xsl:text />/@<xsl:value-of select="name(.)" /></xsl:if>
  </xsl:template>
  <!--MODE: GENERATE-ID-2 -->
  <xsl:template match="/" mode="generate-id-2">U</xsl:template>
  <xsl:template match="*" mode="generate-id-2" priority="2">
    <xsl:text>U</xsl:text>
    <xsl:number level="multiple" count="*" />
  </xsl:template>
  <xsl:template match="node()" mode="generate-id-2">
    <xsl:text>U.</xsl:text>
    <xsl:number level="multiple" count="*" />
    <xsl:text>n</xsl:text>
    <xsl:number count="node()" />
  </xsl:template>
  <xsl:template match="@*" mode="generate-id-2">
    <xsl:text>U.</xsl:text>
    <xsl:number level="multiple" count="*" />
    <xsl:text>_</xsl:text>
    <xsl:value-of select="string-length(local-name(.))" />
    <xsl:text>_</xsl:text>
    <xsl:value-of select="translate(name(),':','.')" />
  </xsl:template>
  <!--Strip characters-->
  <xsl:template match="text()" priority="-1" />
  <!--SCHEMA METADATA-->
  <xsl:template match="/">
    <svrl:schematron-output xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" title="Schematron schema for validating CDA documents" schemaVersion="">
      <xsl:comment>
        <xsl:value-of select="$archiveDirParameter" />   
		 <xsl:value-of select="$archiveNameParameter" />  
		 <xsl:value-of select="$fileNameParameter" />  
		 <xsl:value-of select="$fileDirParameter" /></xsl:comment>
      <svrl:ns-prefix-in-attribute-values uri="urn:hl7-org:v3" prefix="cda" />
      <svrl:ns-prefix-in-attribute-values uri="cpv:fn" prefix="dh" />
      <svrl:ns-prefix-in-attribute-values uri="iq:fn" prefix="iq" />
      <svrl:ns-prefix-in-attribute-values uri="http://ns.electronichealth.net.au/Ci/Cda/Extensions/3.0" prefix="ext" />
      <svrl:ns-prefix-in-attribute-values uri="http://www.w3.org/2001/XMLSchema" prefix="xs" />
      <svrl:ns-prefix-in-attribute-values uri="http://www.w3.org/2001/XMLSchema-instance" prefix="xsi" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-About</xsl:attribute>
        <xsl:attribute name="name">p-About</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M21" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-About-test</xsl:attribute>
        <xsl:attribute name="name">p-About-test</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M22" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Coding</xsl:attribute>
        <xsl:attribute name="name">p-TS-Coding</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M23" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Records-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Records-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M24" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Records-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Records-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M25" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Statistics-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Statistics-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M26" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Statistics-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Statistics-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M27" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Statistics-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-Statistics-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M28" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ACDCustodian-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-ACDCustodian-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M29" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ACDCustodian-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-ACDCustodian-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M30" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ACI-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-ACI-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M31" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ACI-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-ACI-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M32" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ACI-CodedText-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-ACI-CodedText-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M33" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ACI-EncapsulatedData-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-ACI-EncapsulatedData-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M34" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ACI-EncapsulatedData-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-ACI-EncapsulatedData-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M35" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ACI-UniqueIdentifier-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-ACI-UniqueIdentifier-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M36" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ACI-TimeInterval-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-ACI-TimeInterval-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M37" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ACI-TimeInterval-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-ACI-TimeInterval-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M38" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ACIR-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-ACIR-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M39" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ACIR-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-ACIR-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M40" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ACIR-CodeableText-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-ACIR-CodeableText-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M41" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ACIR-CodeableText-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-ACIR-CodeableText-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M42" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ACIR-CodeableText-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-ACIR-CodeableText-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M43" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ACIR-CodeableText-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-ACIR-CodeableText-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M44" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ACIR-CodeableText-5</xsl:attribute>
        <xsl:attribute name="name">p-TS-ACIR-CodeableText-5</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M45" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ACIR-CodeableText-6</xsl:attribute>
        <xsl:attribute name="name">p-TS-ACIR-CodeableText-6</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M46" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ACIR-CodeableText-7</xsl:attribute>
        <xsl:attribute name="name">p-TS-ACIR-CodeableText-7</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M47" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ACIR-CodeableText-8</xsl:attribute>
        <xsl:attribute name="name">p-TS-ACIR-CodeableText-8</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M48" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ACIR-CodeableText-9</xsl:attribute>
        <xsl:attribute name="name">p-TS-ACIR-CodeableText-9</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M49" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ACIR-CodeableText-10</xsl:attribute>
        <xsl:attribute name="name">p-TS-ACIR-CodeableText-10</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M50" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ACIR-CodeableText-11</xsl:attribute>
        <xsl:attribute name="name">p-TS-ACIR-CodeableText-11</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M51" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ACIR-CodeableText-12</xsl:attribute>
        <xsl:attribute name="name">p-TS-ACIR-CodeableText-12</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M52" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ACIR-CodeableText-13</xsl:attribute>
        <xsl:attribute name="name">p-TS-ACIR-CodeableText-13</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M53" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ACIR-CodeableText-14</xsl:attribute>
        <xsl:attribute name="name">p-TS-ACIR-CodeableText-14</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M54" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ACIR-CodedText-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-ACIR-CodedText-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M55" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ACIR-CodedText-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-ACIR-CodedText-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M56" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ACIR-DateTime-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-ACIR-DateTime-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M57" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ACIR-DateTime-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-ACIR-DateTime-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M58" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ACIR-DateTime-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-ACIR-DateTime-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M59" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ACIR-DateTime-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-ACIR-DateTime-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M60" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ACIR-Integer-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-ACIR-Integer-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M61" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ACIR-Integer-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-ACIR-Integer-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M62" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ACIR-Integer-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-ACIR-Integer-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M63" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ACIR-Integer-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-ACIR-Integer-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M64" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ACIR-TimeInterval-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-ACIR-TimeInterval-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M65" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ACIR-TimeInterval-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-ACIR-TimeInterval-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M66" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ACIR-Text-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-ACIR-Text-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M67" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ACIR-Text-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-ACIR-Text-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M68" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Admin-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Admin-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M69" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Admin-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Admin-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M70" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Admin-Boolean-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Admin-Boolean-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M71" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Admin-Boolean-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Admin-Boolean-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M72" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Admin-Text-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Admin-Text-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M73" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Admin-Integer-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Admin-Integer-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M74" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Admin-Duration-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Admin-Duration-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M75" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Admin-DateTime-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Admin-DateTime-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M76" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Admin-DateTime-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Admin-DateTime-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M77" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Admin-CodeableText-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Admin-CodeableText-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M78" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Admin-CodeableText-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Admin-CodeableText-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M79" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Admin-CodedText-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Admin-CodedText-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M80" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Admin-CodedSimple-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Admin-CodedSimple-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M81" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Admin-CodedSimple-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Admin-CodedSimple-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M82" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Adverse-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Adverse-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M83" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Adverse-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Adverse-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M84" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Adverse-CodeableText-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Adverse-CodeableText-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M85" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Adverse-CodeableText-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Adverse-CodeableText-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M86" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Adverse-CodeableText-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-Adverse-CodeableText-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M87" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Adverse-CodeableText-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-Adverse-CodeableText-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M88" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Adverse-CodeableText-5</xsl:attribute>
        <xsl:attribute name="name">p-TS-Adverse-CodeableText-5</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M89" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Adverse-CodeableText-6</xsl:attribute>
        <xsl:attribute name="name">p-TS-Adverse-CodeableText-6</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M90" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Adverse-CodeableText-7</xsl:attribute>
        <xsl:attribute name="name">p-TS-Adverse-CodeableText-7</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M91" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Adverse-CodeableText-8</xsl:attribute>
        <xsl:attribute name="name">p-TS-Adverse-CodeableText-8</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M92" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Adverse-CodeableText-9</xsl:attribute>
        <xsl:attribute name="name">p-TS-Adverse-CodeableText-9</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M93" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Adverse-CodeableText-10</xsl:attribute>
        <xsl:attribute name="name">p-TS-Adverse-CodeableText-10</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M94" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Adverse-CodeableText-11</xsl:attribute>
        <xsl:attribute name="name">p-TS-Adverse-CodeableText-11</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M95" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Adverse-CodeableText-12</xsl:attribute>
        <xsl:attribute name="name">p-TS-Adverse-CodeableText-12</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M96" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Adverse-CodeableText-13</xsl:attribute>
        <xsl:attribute name="name">p-TS-Adverse-CodeableText-13</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M97" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Adverse-CodeableText-14</xsl:attribute>
        <xsl:attribute name="name">p-TS-Adverse-CodeableText-14</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M98" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Adverse-CodeableText-15</xsl:attribute>
        <xsl:attribute name="name">p-TS-Adverse-CodeableText-15</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M99" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Adverse-CodeableText-16</xsl:attribute>
        <xsl:attribute name="name">p-TS-Adverse-CodeableText-16</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M100" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Adverse-CodeableText-17</xsl:attribute>
        <xsl:attribute name="name">p-TS-Adverse-CodeableText-17</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M101" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Adverse-CodeableText-18</xsl:attribute>
        <xsl:attribute name="name">p-TS-Adverse-CodeableText-18</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M102" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Adverse-CodeableText-19</xsl:attribute>
        <xsl:attribute name="name">p-TS-Adverse-CodeableText-19</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M103" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Adverse-CodeableText-20</xsl:attribute>
        <xsl:attribute name="name">p-TS-Adverse-CodeableText-20</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M104" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Adverse-CodeableText-21</xsl:attribute>
        <xsl:attribute name="name">p-TS-Adverse-CodeableText-21</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M105" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Adverse-CodeableText-22</xsl:attribute>
        <xsl:attribute name="name">p-TS-Adverse-CodeableText-22</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M106" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Adverse-CodeableText-23</xsl:attribute>
        <xsl:attribute name="name">p-TS-Adverse-CodeableText-23</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M107" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Adverse-CodeableText-24</xsl:attribute>
        <xsl:attribute name="name">p-TS-Adverse-CodeableText-24</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M108" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Adverse-CodeableText-25</xsl:attribute>
        <xsl:attribute name="name">p-TS-Adverse-CodeableText-25</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M109" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Adverse-CodeableText-26</xsl:attribute>
        <xsl:attribute name="name">p-TS-Adverse-CodeableText-26</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M110" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Adverse-CodeableText-27</xsl:attribute>
        <xsl:attribute name="name">p-TS-Adverse-CodeableText-27</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M111" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Adverse-CodedText-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Adverse-CodedText-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M112" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Adverse-CodedText-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Adverse-CodedText-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M113" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Adverse-CodedText-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-Adverse-CodedText-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M114" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Adverse-CodedText-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-Adverse-CodedText-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M115" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Adverse-CodedText-5</xsl:attribute>
        <xsl:attribute name="name">p-TS-Adverse-CodedText-5</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M116" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Adverse-CodedText-6</xsl:attribute>
        <xsl:attribute name="name">p-TS-Adverse-CodedText-6</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M117" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-AIR-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-AIR-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M118" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-AIR-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-AIR-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M119" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-AIR-CodeableText-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-AIR-CodeableText-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M120" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-AIR-CodeableText-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-AIR-CodeableText-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M121" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-AIR-CodeableText-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-AIR-CodeableText-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M122" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-AIR-CodeableText-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-AIR-CodeableText-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M123" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-AIR-CodeableText-5</xsl:attribute>
        <xsl:attribute name="name">p-TS-AIR-CodeableText-5</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M124" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-AIR-CodeableText-6</xsl:attribute>
        <xsl:attribute name="name">p-TS-AIR-CodeableText-6</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M125" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-AIR-CodeableText-7</xsl:attribute>
        <xsl:attribute name="name">p-TS-AIR-CodeableText-7</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M126" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-AIR-CodeableText-8</xsl:attribute>
        <xsl:attribute name="name">p-TS-AIR-CodeableText-8</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M127" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-AIR-CodeableText-9</xsl:attribute>
        <xsl:attribute name="name">p-TS-AIR-CodeableText-9</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M128" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-AIR-CodeableText-10</xsl:attribute>
        <xsl:attribute name="name">p-TS-AIR-CodeableText-10</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M129" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-AIR-CodeableText-11</xsl:attribute>
        <xsl:attribute name="name">p-TS-AIR-CodeableText-11</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M130" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-AIR-CodeableText-12</xsl:attribute>
        <xsl:attribute name="name">p-TS-AIR-CodeableText-12</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M131" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-AIR-CodeableText-13</xsl:attribute>
        <xsl:attribute name="name">p-TS-AIR-CodeableText-13</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M132" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-AIR-CodeableText-14</xsl:attribute>
        <xsl:attribute name="name">p-TS-AIR-CodeableText-14</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M133" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-AIR-CodeableText-15</xsl:attribute>
        <xsl:attribute name="name">p-TS-AIR-CodeableText-15</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M134" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-AIR-CodeableText-16</xsl:attribute>
        <xsl:attribute name="name">p-TS-AIR-CodeableText-16</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M135" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-AIR-CodedText-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-AIR-CodedText-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M136" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-AIR-CodedText-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-AIR-CodedText-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M137" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-AIR-CodedText-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-AIR-CodedText-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M138" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-AIR-DateTime-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-AIR-DateTime-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M139" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-AIR-DateTime-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-AIR-DateTime-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M140" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-AIR-DateTime-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-AIR-DateTime-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M141" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-AIR-DateTime-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-AIR-DateTime-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M142" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-AIR-Integer-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-AIR-Integer-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M143" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-AIR-Integer-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-AIR-Integer-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M144" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-AIR-Integer-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-AIR-Integer-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M145" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-AIR-Integer-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-AIR-Integer-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M146" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-AIR-TimeInterval-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-AIR-TimeInterval-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M147" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-AIR-TimeInterval-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-AIR-TimeInterval-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M148" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-AIR-Text-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-AIR-Text-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M149" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-AIR-Text-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-AIR-Text-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M150" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-AIR-II-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-AIR-II-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M151" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-AIR-II-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-AIR-II-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M152" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-AIR-II-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-AIR-II-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M153" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-AIR-II-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-AIR-II-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M154" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-AIR-II-5</xsl:attribute>
        <xsl:attribute name="name">p-TS-AIR-II-5</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M155" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Alerts-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Alerts-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M156" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Alerts-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Alerts-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M157" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Alerts-CodeableText-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Alerts-CodeableText-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M158" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Alerts-CodeableText-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Alerts-CodeableText-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M159" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Alerts-CodeableText-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-Alerts-CodeableText-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M160" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Alerts-CodeableText-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-Alerts-CodeableText-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M161" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-AODR-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-AODR-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M162" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-AODR-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-AODR-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M163" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-AODR-DateTime-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-AODR-DateTime-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M164" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-AODR-DateTime-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-AODR-DateTime-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M165" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-AODR-Boolean-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-AODR-Boolean-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M166" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-AODR-Boolean-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-AODR-Boolean-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M167" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-AODR-Boolean-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-AODR-Boolean-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M168" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-AODR-Boolean-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-AODR-Boolean-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M169" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-AODR-Boolean-5</xsl:attribute>
        <xsl:attribute name="name">p-TS-AODR-Boolean-5</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M170" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-AODR-Boolean-6</xsl:attribute>
        <xsl:attribute name="name">p-TS-AODR-Boolean-6</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M171" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-AODR-Boolean-7</xsl:attribute>
        <xsl:attribute name="name">p-TS-AODR-Boolean-7</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M172" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-AODR-Boolean-8</xsl:attribute>
        <xsl:attribute name="name">p-TS-AODR-Boolean-8</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M173" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-AODR-Boolean-9</xsl:attribute>
        <xsl:attribute name="name">p-TS-AODR-Boolean-9</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M174" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-AODR-Boolean-10</xsl:attribute>
        <xsl:attribute name="name">p-TS-AODR-Boolean-10</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M175" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-AODR-Boolean-11</xsl:attribute>
        <xsl:attribute name="name">p-TS-AODR-Boolean-11</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M176" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-AODR-Boolean-12</xsl:attribute>
        <xsl:attribute name="name">p-TS-AODR-Boolean-12</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M177" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-AODR-Boolean-13</xsl:attribute>
        <xsl:attribute name="name">p-TS-AODR-Boolean-13</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M178" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-AODR-Boolean-14</xsl:attribute>
        <xsl:attribute name="name">p-TS-AODR-Boolean-14</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M179" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-AODR-Boolean-15</xsl:attribute>
        <xsl:attribute name="name">p-TS-AODR-Boolean-15</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M180" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-AODR-Boolean-16</xsl:attribute>
        <xsl:attribute name="name">p-TS-AODR-Boolean-16</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M181" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-AODR-Boolean-17</xsl:attribute>
        <xsl:attribute name="name">p-TS-AODR-Boolean-17</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M182" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-AODR-Boolean-18</xsl:attribute>
        <xsl:attribute name="name">p-TS-AODR-Boolean-18</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M183" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-AODR-Boolean-19</xsl:attribute>
        <xsl:attribute name="name">p-TS-AODR-Boolean-19</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M184" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-AODR-Boolean-20</xsl:attribute>
        <xsl:attribute name="name">p-TS-AODR-Boolean-20</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M185" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Arranged-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Arranged-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M186" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Arranged-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Arranged-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M187" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Arranged-CodeableText-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Arranged-CodeableText-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M188" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Arranged-CodeableText-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Arranged-CodeableText-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M189" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Arranged-TimeInterval-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Arranged-TimeInterval-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M190" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Arranged-TimeInterval-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Arranged-TimeInterval-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M191" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Diag-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Diag-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M192" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Diag-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Diag-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M193" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Diag-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-Diag-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M194" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DiagImaging-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-DiagImaging-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M195" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DiagImaging-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-DiagImaging-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M196" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DiagImaging-CodeableText-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-DiagImaging-CodeableText-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M197" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DiagImaging-CodeableText-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-DiagImaging-CodeableText-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M198" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DiagImaging-CodeableText-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-DiagImaging-CodeableText-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M199" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DiagImaging-CodedText-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-DiagImaging-CodedText-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M200" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DiagImaging-TimeInterval-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-DiagImaging-TimeInterval-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M201" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DiagImaging-TimeInterval-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-DiagImaging-TimeInterval-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M202" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DiagImaging-TimeInterval-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-DiagImaging-TimeInterval-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M203" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DiagImaging-TimeInterval-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-DiagImaging-TimeInterval-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M204" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DiagImaging-EncapsulatedData-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-DiagImaging-EncapsulatedData-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M205" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DiagImaging-EncapsulatedData-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-DiagImaging-EncapsulatedData-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M206" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DiagImaging-Text-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-DiagImaging-Text-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M207" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DiagImaging-Text-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-DiagImaging-Text-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M208" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-CeaseMed-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-CeaseMed-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M209" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-CeaseMed-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-CeaseMed-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M210" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-CeaseMed-CodeableText-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-CeaseMed-CodeableText-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M211" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-CeaseMed-CodeableText-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-CeaseMed-CodeableText-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M212" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-CeaseMed-CodeableText-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-CeaseMed-CodeableText-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M213" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-CeaseMed-CodeableText-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-CeaseMed-CodeableText-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M214" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-CeaseMed-CodeableText-5</xsl:attribute>
        <xsl:attribute name="name">p-TS-CeaseMed-CodeableText-5</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M215" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-CeaseMed-CodeableText-6</xsl:attribute>
        <xsl:attribute name="name">p-TS-CeaseMed-CodeableText-6</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M216" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-CeaseMed-CodeableText-7</xsl:attribute>
        <xsl:attribute name="name">p-TS-CeaseMed-CodeableText-7</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M217" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-CeaseMed-CodeableText-8</xsl:attribute>
        <xsl:attribute name="name">p-TS-CeaseMed-CodeableText-8</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M218" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-CeaseMed-CodedText-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-CeaseMed-CodedText-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M219" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-CeaseMed-CodedText-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-CeaseMed-CodedText-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M220" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-CeaseMed-CodedText-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-CeaseMed-CodedText-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M221" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-CeaseMed-CodedText-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-CeaseMed-CodedText-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M222" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-CeaseMed-Text-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-CeaseMed-Text-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M223" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-CeaseMed-Text-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-CeaseMed-Text-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M224" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-CurrMed-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-CurrMed-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M225" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-CurrMed-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-CurrMed-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M226" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-CurrMed-CodeableText-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-CurrMed-CodeableText-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M227" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-CurrMed-CodeableText-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-CurrMed-CodeableText-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M228" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-CurrMed-CodeableText-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-CurrMed-CodeableText-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M229" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-CurrMed-CodeableText-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-CurrMed-CodeableText-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M230" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-CurrMed-CodeableText-5</xsl:attribute>
        <xsl:attribute name="name">p-TS-CurrMed-CodeableText-5</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M231" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-CurrMed-CodeableText-6</xsl:attribute>
        <xsl:attribute name="name">p-TS-CurrMed-CodeableText-6</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M232" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-CurrMed-CodeableText-7</xsl:attribute>
        <xsl:attribute name="name">p-TS-CurrMed-CodeableText-7</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M233" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-CurrMed-CodeableText-8</xsl:attribute>
        <xsl:attribute name="name">p-TS-CurrMed-CodeableText-8</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M234" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-CurrMed-CodedText-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-CurrMed-CodedText-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M235" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-CurrMed-CodedText-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-CurrMed-CodedText-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M236" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-CurrMed-CodedText-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-CurrMed-CodedText-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M237" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-CurrMed-CodedText-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-CurrMed-CodedText-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M238" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-CurrMed-Duration-TimeInterval-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-CurrMed-Duration-TimeInterval-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M239" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-CurrMed-Duration-TimeInterval-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-CurrMed-Duration-TimeInterval-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M240" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-CurrMed-Duration-TimeInterval-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-CurrMed-Duration-TimeInterval-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M241" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-CurrMed-Text-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-CurrMed-Text-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M242" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-CurrMed-Text-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-CurrMed-Text-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M243" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-CurrMed-Text-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-CurrMed-Text-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M244" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-CurrMed-Text-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-CurrMed-Text-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M245" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-CurrMed-Text-5</xsl:attribute>
        <xsl:attribute name="name">p-TS-CurrMed-Text-5</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M246" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-CurrMed-Text-6</xsl:attribute>
        <xsl:attribute name="name">p-TS-CurrMed-Text-6</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M247" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-CurrMed-Text-7</xsl:attribute>
        <xsl:attribute name="name">p-TS-CurrMed-Text-7</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M248" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-CurrMed-Text-8</xsl:attribute>
        <xsl:attribute name="name">p-TS-CurrMed-Text-8</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M249" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-CurrMed-Text-9</xsl:attribute>
        <xsl:attribute name="name">p-TS-CurrMed-Text-9</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M250" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-CurrMed-Text-10</xsl:attribute>
        <xsl:attribute name="name">p-TS-CurrMed-Text-10</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M251" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DisEvent-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-DisEvent-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M252" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DisEvent-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-DisEvent-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M253" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DisEvent-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-DisEvent-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M254" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DisInter-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-DisInter-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M255" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DisInter-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-DisInter-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M256" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DisInter-CodeableText-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-DisInter-CodeableText-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M257" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DisInter-CodeableText-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-DisInter-CodeableText-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M258" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DisInter-CodeableText-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-DisInter-CodeableText-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M259" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DisInter-CodeableText-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-DisInter-CodeableText-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M260" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DisMed-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-DisMed-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M261" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DisMed-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-DisMed-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M262" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DisMed-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-DisMed-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M263" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DisProb-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-DisProb-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M264" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DisProb-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-DisProb-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M265" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DisProb-CodeableText-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-DisProb-CodeableText-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M266" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DisProb-CodeableText-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-DisProb-CodeableText-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M267" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DisProb-CodeableText-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-DisProb-CodeableText-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M268" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DisProb-CodeableText-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-DisProb-CodeableText-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M269" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DisProb-CodedText-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-DisProb-CodedText-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M270" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DisProb-CodedText-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-DisProb-CodedText-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M271" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DisProb-CodedText-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-DisProb-CodedText-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M272" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DisProb-CodedText-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-DisProb-CodedText-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M273" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DisProb-CodedText-5</xsl:attribute>
        <xsl:attribute name="name">p-TS-DisProb-CodedText-5</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M274" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DisProb-CodedText-6</xsl:attribute>
        <xsl:attribute name="name">p-TS-DisProb-CodedText-6</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M275" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DisRec-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-DisRec-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M276" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DisRec-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-DisRec-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M277" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DisRec-Text-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-DisRec-Text-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M278" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DisRec-Text-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-DisRec-Text-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M279" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DisRec-Text-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-DisRec-Text-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M280" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DisRec-Text-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-DisRec-Text-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M281" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DisSynopsis-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-DisSynopsis-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M282" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DisSynopsis-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-DisSynopsis-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M283" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DisSynopsis-Text-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-DisSynopsis-Text-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M284" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DisSynopsis-Text-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-DisSynopsis-Text-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M285" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DispItem-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-DispItem-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M286" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DispItem-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-DispItem-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M287" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DispItem-CodeableText-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-DispItem-CodeableText-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M288" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DispItem-CodeableText-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-DispItem-CodeableText-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M289" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DispItem-CodeableText-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-DispItem-CodeableText-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M290" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DispItem-CodeableText-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-DispItem-CodeableText-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M291" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DispItem-CodeableText-5</xsl:attribute>
        <xsl:attribute name="name">p-TS-DispItem-CodeableText-5</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M292" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DispItem-CodeableText-6</xsl:attribute>
        <xsl:attribute name="name">p-TS-DispItem-CodeableText-6</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M293" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DispItem-CodeableText-7</xsl:attribute>
        <xsl:attribute name="name">p-TS-DispItem-CodeableText-7</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M294" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DispItem-CodeableText-8</xsl:attribute>
        <xsl:attribute name="name">p-TS-DispItem-CodeableText-8</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M295" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DispItem-CodeableText-9</xsl:attribute>
        <xsl:attribute name="name">p-TS-DispItem-CodeableText-9</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M296" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DispItem-CodeableText-10</xsl:attribute>
        <xsl:attribute name="name">p-TS-DispItem-CodeableText-10</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M297" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DispItem-CodeableText-11</xsl:attribute>
        <xsl:attribute name="name">p-TS-DispItem-CodeableText-11</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M298" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DispItem-DateTime-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-DispItem-DateTime-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M299" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DispItem-DateTime-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-DispItem-DateTime-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M300" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DispItem-DateTime-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-DispItem-DateTime-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M301" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DispItem-UniqueIdentifier-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-DispItem-UniqueIdentifier-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M302" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DispItem-UniqueIdentifier-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-DispItem-UniqueIdentifier-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M303" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DispItem-UniqueIdentifier-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-DispItem-UniqueIdentifier-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M304" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DispItem-UniqueIdentifier-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-DispItem-UniqueIdentifier-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M305" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DispItem-UniqueIdentifier-5</xsl:attribute>
        <xsl:attribute name="name">p-TS-DispItem-UniqueIdentifier-5</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M306" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DispItem-Integer-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-DispItem-Integer-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M307" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DispItem-Integer-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-DispItem-Integer-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M308" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DispItem-Integer-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-DispItem-Integer-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M309" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DispItem-Integer-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-DispItem-Integer-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M310" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DispItem-Boolean-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-DispItem-Boolean-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M311" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DispItem-Boolean-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-DispItem-Boolean-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M312" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DispItem-Text-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-DispItem-Text-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M313" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DispItem-Text-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-DispItem-Text-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M314" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DispItem-Text-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-DispItem-Text-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M315" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DispItem-Text-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-DispItem-Text-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M316" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DispItem-Text-5</xsl:attribute>
        <xsl:attribute name="name">p-TS-DispItem-Text-5</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M317" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DispItem-Text-6</xsl:attribute>
        <xsl:attribute name="name">p-TS-DispItem-Text-6</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M318" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DispItem-Text-7</xsl:attribute>
        <xsl:attribute name="name">p-TS-DispItem-Text-7</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M319" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DispItem-Text-8</xsl:attribute>
        <xsl:attribute name="name">p-TS-DispItem-Text-8</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M320" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DispItem-Text-9</xsl:attribute>
        <xsl:attribute name="name">p-TS-DispItem-Text-9</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M321" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DispItem-Text-10</xsl:attribute>
        <xsl:attribute name="name">p-TS-DispItem-Text-10</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M322" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DispItem-Text-11</xsl:attribute>
        <xsl:attribute name="name">p-TS-DispItem-Text-11</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M323" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DispItem-Text-12</xsl:attribute>
        <xsl:attribute name="name">p-TS-DispItem-Text-12</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M324" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DispItem-Text-13</xsl:attribute>
        <xsl:attribute name="name">p-TS-DispItem-Text-13</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M325" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DispItem-Text-14</xsl:attribute>
        <xsl:attribute name="name">p-TS-DispItem-Text-14</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M326" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DispItem-Text-15</xsl:attribute>
        <xsl:attribute name="name">p-TS-DispItem-Text-15</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M327" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DispItem-Text-16</xsl:attribute>
        <xsl:attribute name="name">p-TS-DispItem-Text-16</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M328" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DispItem-Link-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-DispItem-Link-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M329" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Event-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Event-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M330" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Event-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Event-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M331" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Event-Text-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Event-Text-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M332" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Event-Text-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Event-Text-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M333" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Header-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Header-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M334" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Header-Integer-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Header-Integer-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M335" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Header-DateTime-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Header-DateTime-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M336" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Header-DateTime-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Header-DateTime-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M337" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Header-DateTime-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-Header-DateTime-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M338" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Header-DateTime-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-Header-DateTime-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M339" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Header-DateTime-5</xsl:attribute>
        <xsl:attribute name="name">p-TS-Header-DateTime-5</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M340" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Header-DateTime-6</xsl:attribute>
        <xsl:attribute name="name">p-TS-Header-DateTime-6</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M341" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Header-DateTime-7</xsl:attribute>
        <xsl:attribute name="name">p-TS-Header-DateTime-7</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M342" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Header-DateTime-8</xsl:attribute>
        <xsl:attribute name="name">p-TS-Header-DateTime-8</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M343" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Header-TimeInterval-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Header-TimeInterval-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M344" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Header-TimeInterval-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Header-TimeInterval-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M345" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Header-TimeInterval-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-Header-TimeInterval-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M346" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Header-TimeInterval-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-Header-TimeInterval-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M347" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Header-TimeInterval-5</xsl:attribute>
        <xsl:attribute name="name">p-TS-Header-TimeInterval-5</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M348" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Header-CodeableText-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Header-CodeableText-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M349" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Header-CodedText-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Header-CodedText-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M350" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Header-CodedText-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Header-CodedText-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M351" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Header-CodedText-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-Header-CodedText-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M352" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Header-Text-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Header-Text-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M353" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Header-UniqueIdentifier-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Header-UniqueIdentifier-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M354" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Header-UniqueIdentifier-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Header-UniqueIdentifier-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M355" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Header-UniqueIdentifier-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-Header-UniqueIdentifier-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M356" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Header-UniqueIdentifier-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-Header-UniqueIdentifier-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M357" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Header-UniqueIdentifier-5</xsl:attribute>
        <xsl:attribute name="name">p-TS-Header-UniqueIdentifier-5</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M358" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Header-UniqueIdentifier-6</xsl:attribute>
        <xsl:attribute name="name">p-TS-Header-UniqueIdentifier-6</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M359" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Header-UniqueIdentifier-7</xsl:attribute>
        <xsl:attribute name="name">p-TS-Header-UniqueIdentifier-7</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M360" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Header-UniqueIdentifier-8</xsl:attribute>
        <xsl:attribute name="name">p-TS-Header-UniqueIdentifier-8</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M361" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M362" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M363" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-CodeableText-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-CodeableText-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M364" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-CodeableText-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-CodeableText-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M365" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-CodeableText-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-CodeableText-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M366" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-CodeableText-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-CodeableText-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M367" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-CodeableText-5</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-CodeableText-5</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M368" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-CodeableText-6</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-CodeableText-6</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M369" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-CodeableText-7</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-CodeableText-7</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M370" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-CodeableText-8</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-CodeableText-8</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M371" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-CodeableText-9</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-CodeableText-9</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M372" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-CodeableText-10</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-CodeableText-10</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M373" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-CodeableText-11</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-CodeableText-11</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M374" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-CodeableText-12</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-CodeableText-12</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M375" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-CodeableText-13</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-CodeableText-13</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M376" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-CodeableText-14</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-CodeableText-14</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M377" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-CodeableText-15</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-CodeableText-15</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M378" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-CodeableText-16</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-CodeableText-16</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M379" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-CodeableText-17</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-CodeableText-17</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M380" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-CodeableText-18</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-CodeableText-18</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M381" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-CodeableText-19</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-CodeableText-19</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M382" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-CodeableText-20</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-CodeableText-20</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M383" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-CodeableText-21</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-CodeableText-21</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M384" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-CodeableText-22</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-CodeableText-22</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M385" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-CodeableText-23</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-CodeableText-23</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M386" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-CodeableText-24</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-CodeableText-24</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M387" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-CodedText-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-CodedText-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M388" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-CodedText-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-CodedText-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M389" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-CodedText-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-CodedText-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M390" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-CodedText-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-CodedText-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M391" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-CodedText-5</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-CodedText-5</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M392" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-CodedText-6</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-CodedText-6</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M393" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-CodedText-7</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-CodedText-7</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M394" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-CodedText-8</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-CodedText-8</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M395" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-CodedText-9</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-CodedText-9</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M396" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-DateTime-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-DateTime-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M397" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-DateTime-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-DateTime-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M398" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-DateTime-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-DateTime-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M399" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-DateTime-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-DateTime-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M400" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-DateTime-5</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-DateTime-5</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M401" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-DateTime-5</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-DateTime-5</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M402" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-QuantityRange-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-QuantityRange-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M403" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-QuantityRange-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-QuantityRange-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M404" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-Observation-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-Observation-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M405" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-Observation-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-Observation-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M406" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-Observation-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-Observation-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M407" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-Observation-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-Observation-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M408" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-Observation-5</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-Observation-5</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M409" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-Observation-6</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-Observation-6</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M410" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-Observation-7</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-Observation-7</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M411" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-Observation-8</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-Observation-8</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M412" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-Observation-9</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-Observation-9</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M413" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-Observation-10</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-Observation-10</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M414" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-EncapsulatedData-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-EncapsulatedData-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M415" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-EncapsulatedData-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-EncapsulatedData-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M416" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-EncapsulatedData-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-EncapsulatedData-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M417" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-EncapsulatedData-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-EncapsulatedData-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M418" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-EncapsulatedData-5</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-EncapsulatedData-5</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M419" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-EncapsulatedData-6</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-EncapsulatedData-6</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M420" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-EncapsulatedData-7</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-EncapsulatedData-7</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M421" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-EncapsulatedData-8</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-EncapsulatedData-8</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M422" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-EncapsulatedData-9</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-EncapsulatedData-9</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M423" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-Link-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-Link-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M424" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-Text-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-Text-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M425" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-Text-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-Text-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M426" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-Text-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-Text-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M427" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-Text-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-Text-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M428" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-Text-5</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-Text-5</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M429" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-Text-6</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-Text-6</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M430" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-Text-7</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-Text-7</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M431" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-Text-8</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-Text-8</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M432" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-Text-9</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-Text-9</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M433" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-Text-10</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-Text-10</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M434" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-Text-11</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-Text-11</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M435" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-Text-12</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-Text-12</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M436" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-Text-13</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-Text-13</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M437" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-Text-14</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-Text-14</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M438" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-Text-15</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-Text-15</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M439" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-Text-16</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-Text-16</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M440" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-Text-17</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-Text-17</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M441" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-UniqueIdentifier-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-UniqueIdentifier-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M442" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-UniqueIdentifier-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-UniqueIdentifier-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M443" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-UniqueIdentifier-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-UniqueIdentifier-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M444" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ImagExamRes-UniqueIdentifier-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-ImagExamRes-UniqueIdentifier-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M445" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Immun-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Immun-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M446" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Immun-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Immun-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M447" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Immun-CodeableText-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Immun-CodeableText-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M448" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Immun-CodeableText-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Immun-CodeableText-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M449" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Immun-CodeableText-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-Immun-CodeableText-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M450" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Immun-CodeableText-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-Immun-CodeableText-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M451" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Immun-CodeableText-5</xsl:attribute>
        <xsl:attribute name="name">p-TS-Immun-CodeableText-5</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M452" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Immun-CodeableText-6</xsl:attribute>
        <xsl:attribute name="name">p-TS-Immun-CodeableText-6</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M453" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Immun-CodeableText-7</xsl:attribute>
        <xsl:attribute name="name">p-TS-Immun-CodeableText-7</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M454" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Immun-CodeableText-8</xsl:attribute>
        <xsl:attribute name="name">p-TS-Immun-CodeableText-8</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M455" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Immun-CodeableText-9</xsl:attribute>
        <xsl:attribute name="name">p-TS-Immun-CodeableText-9</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M456" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Immun-CodeableText-10</xsl:attribute>
        <xsl:attribute name="name">p-TS-Immun-CodeableText-10</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M457" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Immun-CodeableText-11</xsl:attribute>
        <xsl:attribute name="name">p-TS-Immun-CodeableText-11</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M458" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Immun-CodeableText-12</xsl:attribute>
        <xsl:attribute name="name">p-TS-Immun-CodeableText-12</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M459" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Immun-CodeableText-13</xsl:attribute>
        <xsl:attribute name="name">p-TS-Immun-CodeableText-13</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M460" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Immun-CodeableText-14</xsl:attribute>
        <xsl:attribute name="name">p-TS-Immun-CodeableText-14</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M461" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Immun-CodedText-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Immun-CodedText-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M462" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Immun-CodedText-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Immun-CodedText-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M463" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Immun-DateTime-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Immun-DateTime-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M464" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Immun-DateTime-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Immun-DateTime-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M465" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Immun-DateTime-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-Immun-DateTime-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M466" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Immun-Integer-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Immun-Integer-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M467" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Immun-Integer-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Immun-Integer-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M468" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Med-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Med-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M469" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Med-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Med-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M470" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Med-CodeableText-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Med-CodeableText-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M471" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Med-CodeableText-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Med-CodeableText-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M472" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Med-CodeableText-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-Med-CodeableText-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M473" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Med-CodeableText-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-Med-CodeableText-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M474" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Med-CodeableText-5</xsl:attribute>
        <xsl:attribute name="name">p-TS-Med-CodeableText-5</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M475" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Med-CodeableText-6</xsl:attribute>
        <xsl:attribute name="name">p-TS-Med-CodeableText-6</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M476" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Med-CodeableText-7</xsl:attribute>
        <xsl:attribute name="name">p-TS-Med-CodeableText-7</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M477" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Med-CodeableText-8</xsl:attribute>
        <xsl:attribute name="name">p-TS-Med-CodeableText-8</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M478" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Med-CodeableText-9</xsl:attribute>
        <xsl:attribute name="name">p-TS-Med-CodeableText-9</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M479" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Med-CodeableText-10</xsl:attribute>
        <xsl:attribute name="name">p-TS-Med-CodeableText-10</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M480" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Med-CodeableText-11</xsl:attribute>
        <xsl:attribute name="name">p-TS-Med-CodeableText-11</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M481" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Med-CodeableText-12</xsl:attribute>
        <xsl:attribute name="name">p-TS-Med-CodeableText-12</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M482" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Med-CodeableText-13</xsl:attribute>
        <xsl:attribute name="name">p-TS-Med-CodeableText-13</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M483" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Med-CodeableText-14</xsl:attribute>
        <xsl:attribute name="name">p-TS-Med-CodeableText-14</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M484" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Med-CodeableText-15</xsl:attribute>
        <xsl:attribute name="name">p-TS-Med-CodeableText-15</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M485" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Med-CodeableText-16</xsl:attribute>
        <xsl:attribute name="name">p-TS-Med-CodeableText-16</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M486" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Med-CodeableText-17</xsl:attribute>
        <xsl:attribute name="name">p-TS-Med-CodeableText-17</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M487" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Med-CodeableText-18</xsl:attribute>
        <xsl:attribute name="name">p-TS-Med-CodeableText-18</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M488" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Med-CodeableText-19</xsl:attribute>
        <xsl:attribute name="name">p-TS-Med-CodeableText-19</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M489" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Med-CodedText-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Med-CodedText-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M490" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Med-CodedText-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Med-CodedText-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M491" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Med-CodedText-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-Med-CodedText-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M492" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Med-CodedText-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-Med-CodedText-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M493" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Med-CodedText-5</xsl:attribute>
        <xsl:attribute name="name">p-TS-Med-CodedText-5</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M494" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Med-CodedText-6</xsl:attribute>
        <xsl:attribute name="name">p-TS-Med-CodedText-6</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M495" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Med-CodedText-7</xsl:attribute>
        <xsl:attribute name="name">p-TS-Med-CodedText-7</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M496" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Med-CodedText-8</xsl:attribute>
        <xsl:attribute name="name">p-TS-Med-CodedText-8</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M497" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Med-Text-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Med-Text-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M498" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Med-Text-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Med-Text-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M499" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Med-Text-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-Med-Text-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M500" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Med-Text-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-Med-Text-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M501" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Med-Text-5</xsl:attribute>
        <xsl:attribute name="name">p-TS-Med-Text-5</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M502" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Med-Text-6</xsl:attribute>
        <xsl:attribute name="name">p-TS-Med-Text-6</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M503" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Med-Text-7</xsl:attribute>
        <xsl:attribute name="name">p-TS-Med-Text-7</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M504" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Med-Text-8</xsl:attribute>
        <xsl:attribute name="name">p-TS-Med-Text-8</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M505" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Med-Text-9</xsl:attribute>
        <xsl:attribute name="name">p-TS-Med-Text-9</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M506" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Med-Text-10</xsl:attribute>
        <xsl:attribute name="name">p-TS-Med-Text-10</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M507" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Med-Text-11</xsl:attribute>
        <xsl:attribute name="name">p-TS-Med-Text-11</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M508" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Med-Text-12</xsl:attribute>
        <xsl:attribute name="name">p-TS-Med-Text-12</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M509" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Med-Text-13</xsl:attribute>
        <xsl:attribute name="name">p-TS-Med-Text-13</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M510" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Med-Text-14</xsl:attribute>
        <xsl:attribute name="name">p-TS-Med-Text-14</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M511" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Med-Text-15</xsl:attribute>
        <xsl:attribute name="name">p-TS-Med-Text-15</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M512" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Med-Text-16</xsl:attribute>
        <xsl:attribute name="name">p-TS-Med-Text-16</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M513" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-MedHist-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-MedHist-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M514" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-MedHist-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-MedHist-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M515" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-MedHist-CodeableText-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-MedHist-CodeableText-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M516" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-MedHist-CodeableText-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-MedHist-CodeableText-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M517" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-MedHist-CodeableText-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-MedHist-CodeableText-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M518" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-MedHist-CodeableText-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-MedHist-CodeableText-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M519" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-MedHist-CodeableText-5</xsl:attribute>
        <xsl:attribute name="name">p-TS-MedHist-CodeableText-5</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M520" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-MedHist-CodeableText-6</xsl:attribute>
        <xsl:attribute name="name">p-TS-MedHist-CodeableText-6</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M521" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-MedHist-CodeableText-7</xsl:attribute>
        <xsl:attribute name="name">p-TS-MedHist-CodeableText-7</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M522" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-MedHist-CodeableText-8</xsl:attribute>
        <xsl:attribute name="name">p-TS-MedHist-CodeableText-8</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M523" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-MedHist-CodeableText-9</xsl:attribute>
        <xsl:attribute name="name">p-TS-MedHist-CodeableText-9</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M524" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-MedHist-CodeableText-10</xsl:attribute>
        <xsl:attribute name="name">p-TS-MedHist-CodeableText-10</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M525" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-MedHist-CodeableText-11</xsl:attribute>
        <xsl:attribute name="name">p-TS-MedHist-CodeableText-11</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M526" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-MedHist-CodedText-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-MedHist-CodedText-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M527" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-MedHist-CodedText-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-MedHist-CodedText-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M528" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-MedHist-CodedText-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-MedHist-CodedText-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M529" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-MedHist-CodedText-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-MedHist-CodedText-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M530" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-MedHist-TimeInterval-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-MedHist-TimeInterval-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M531" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-MedHist-TimeInterval-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-MedHist-TimeInterval-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M532" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-MedHist-TimeInterval-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-MedHist-TimeInterval-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M533" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-MedHist-TimeInterval-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-MedHist-TimeInterval-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M534" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-MedHist-DateTime-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-MedHist-DateTime-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M535" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-MedHist-DateTime-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-MedHist-DateTime-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M536" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-MedHist-DateTime-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-MedHist-DateTime-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M537" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-MedHist-DateTime-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-MedHist-DateTime-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M538" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-MedHist-DateTime-5</xsl:attribute>
        <xsl:attribute name="name">p-TS-MedHist-DateTime-5</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M539" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-MedHist-DateTime-6</xsl:attribute>
        <xsl:attribute name="name">p-TS-MedHist-DateTime-6</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M540" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-MedHist-Text-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-MedHist-Text-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M541" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-MedHist-Text-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-MedHist-Text-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M542" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-MedHist-Text-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-MedHist-Text-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M543" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-MedHist-Text-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-MedHist-Text-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M544" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-MedHist-Text-5</xsl:attribute>
        <xsl:attribute name="name">p-TS-MedHist-Text-5</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M545" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-MedHist-Text-6</xsl:attribute>
        <xsl:attribute name="name">p-TS-MedHist-Text-6</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M546" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-MedHist-Text-7</xsl:attribute>
        <xsl:attribute name="name">p-TS-MedHist-Text-7</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M547" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-MedHist-Text-8</xsl:attribute>
        <xsl:attribute name="name">p-TS-MedHist-Text-8</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M548" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-MedHist-Text-9</xsl:attribute>
        <xsl:attribute name="name">p-TS-MedHist-Text-9</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M549" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Medicare-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Medicare-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M550" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Medicare-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Medicare-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M551" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Medicare-CodedText-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Medicare-CodedText-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M552" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Medicare-CodedText-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Medicare-CodedText-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M553" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Medicare-DateTime-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Medicare-DateTime-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M554" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Medicare-DateTime-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Medicare-DateTime-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M555" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Medicare-Boolean-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Medicare-Boolean-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M556" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Medicare-Boolean-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Medicare-Boolean-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M557" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Medicare-TimeInterval-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Medicare-TimeInterval-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M558" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Medicare-TimeInterval-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Medicare-TimeInterval-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M559" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Participant-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Participant-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M560" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Participant-CodeableText-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Participant-CodeableText-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M561" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Participant-CodeableText-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Participant-CodeableText-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M562" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Participant-CodeableText-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-Participant-CodeableText-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M563" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Participant-CodeableText-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-Participant-CodeableText-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M564" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Participant-CodeableText-5</xsl:attribute>
        <xsl:attribute name="name">p-TS-Participant-CodeableText-5</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M565" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Participant-CodeableText-6</xsl:attribute>
        <xsl:attribute name="name">p-TS-Participant-CodeableText-6</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M566" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Participant-CodeableText-7</xsl:attribute>
        <xsl:attribute name="name">p-TS-Participant-CodeableText-7</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M567" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Participant-CodeableText-8</xsl:attribute>
        <xsl:attribute name="name">p-TS-Participant-CodeableText-8</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M568" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Participant-CodeableText-9</xsl:attribute>
        <xsl:attribute name="name">p-TS-Participant-CodeableText-9</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M569" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Participant-CodeableText-10</xsl:attribute>
        <xsl:attribute name="name">p-TS-Participant-CodeableText-10</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M570" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Participant-CodeableText-11</xsl:attribute>
        <xsl:attribute name="name">p-TS-Participant-CodeableText-11</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M571" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Participant-CodeableText-12</xsl:attribute>
        <xsl:attribute name="name">p-TS-Participant-CodeableText-12</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M572" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Participant-CodeableText-13</xsl:attribute>
        <xsl:attribute name="name">p-TS-Participant-CodeableText-13</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M573" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Participant-CodeableText-14</xsl:attribute>
        <xsl:attribute name="name">p-TS-Participant-CodeableText-14</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M574" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Participant-CodeableText-15</xsl:attribute>
        <xsl:attribute name="name">p-TS-Participant-CodeableText-15</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M575" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Participant-CodeableText-16</xsl:attribute>
        <xsl:attribute name="name">p-TS-Participant-CodeableText-16</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M576" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Participant-CodeableText-17</xsl:attribute>
        <xsl:attribute name="name">p-TS-Participant-CodeableText-17</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M577" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Participant-CodeableText-18</xsl:attribute>
        <xsl:attribute name="name">p-TS-Participant-CodeableText-18</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M578" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Participant-CodeableText-19</xsl:attribute>
        <xsl:attribute name="name">p-TS-Participant-CodeableText-19</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M579" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Participant-CodeableText-20</xsl:attribute>
        <xsl:attribute name="name">p-TS-Participant-CodeableText-20</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M580" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Participant-CodeableText-21</xsl:attribute>
        <xsl:attribute name="name">p-TS-Participant-CodeableText-21</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M581" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Participant-CodeableText-22</xsl:attribute>
        <xsl:attribute name="name">p-TS-Participant-CodeableText-22</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M582" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Participant-CodeableText-23</xsl:attribute>
        <xsl:attribute name="name">p-TS-Participant-CodeableText-23</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M583" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Participant-CodeableText-24</xsl:attribute>
        <xsl:attribute name="name">p-TS-Participant-CodeableText-24</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M584" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Participant-CodeableText-25</xsl:attribute>
        <xsl:attribute name="name">p-TS-Participant-CodeableText-25</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M585" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Participant-CodeableText-26</xsl:attribute>
        <xsl:attribute name="name">p-TS-Participant-CodeableText-26</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M586" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Participant-CodeableText-27</xsl:attribute>
        <xsl:attribute name="name">p-TS-Participant-CodeableText-27</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M587" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Participant-CodeableText-28</xsl:attribute>
        <xsl:attribute name="name">p-TS-Participant-CodeableText-28</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M588" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Participant-CodedText-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Participant-CodedText-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M589" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Participant-Text-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Participant-Text-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M590" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Participant-Text-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Participant-Text-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M591" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Participant-Text-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-Participant-Text-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M592" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Participant-Text-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-Participant-Text-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M593" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Participant-Text-5</xsl:attribute>
        <xsl:attribute name="name">p-TS-Participant-Text-5</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M594" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Participant-Text-6</xsl:attribute>
        <xsl:attribute name="name">p-TS-Participant-Text-6</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M595" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Participant-Text-7</xsl:attribute>
        <xsl:attribute name="name">p-TS-Participant-Text-7</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M596" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Participant-Text-8</xsl:attribute>
        <xsl:attribute name="name">p-TS-Participant-Text-8</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M597" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Participant-Text-9</xsl:attribute>
        <xsl:attribute name="name">p-TS-Participant-Text-9</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M598" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Participant-Text-10</xsl:attribute>
        <xsl:attribute name="name">p-TS-Participant-Text-10</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M599" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Participant-Text-11</xsl:attribute>
        <xsl:attribute name="name">p-TS-Participant-Text-11</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M600" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Participant-Text-12</xsl:attribute>
        <xsl:attribute name="name">p-TS-Participant-Text-12</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M601" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Participant-Text-13</xsl:attribute>
        <xsl:attribute name="name">p-TS-Participant-Text-13</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M602" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Participant-Text-14</xsl:attribute>
        <xsl:attribute name="name">p-TS-Participant-Text-14</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M603" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Participant-Text-15</xsl:attribute>
        <xsl:attribute name="name">p-TS-Participant-Text-15</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M604" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Participant-Text-16</xsl:attribute>
        <xsl:attribute name="name">p-TS-Participant-Text-16</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M605" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Participant-Text-17</xsl:attribute>
        <xsl:attribute name="name">p-TS-Participant-Text-17</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M606" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Participant-Text-18</xsl:attribute>
        <xsl:attribute name="name">p-TS-Participant-Text-18</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M607" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Participant-Text-19</xsl:attribute>
        <xsl:attribute name="name">p-TS-Participant-Text-19</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M608" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Participant-ECD-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Participant-ECD-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M609" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Pathology-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Pathology-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M610" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Pathology-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Pathology-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M611" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Pathology-CodeableText-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Pathology-CodeableText-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M612" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Pathology-CodeableText-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Pathology-CodeableText-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M613" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Pathology-CodeableText-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-Pathology-CodeableText-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M614" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Pathology-CodedText-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Pathology-CodedText-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M615" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Pathology-TimeInterval-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Pathology-TimeInterval-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M616" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Pathology-TimeInterval-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Pathology-TimeInterval-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M617" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Pathology-TimeInterval-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-Pathology-TimeInterval-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M618" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Pathology-TimeInterval-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-Pathology-TimeInterval-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M619" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Pathology-EncapsulatedData-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Pathology-EncapsulatedData-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M620" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Pathology-EncapsulatedData-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Pathology-EncapsulatedData-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M621" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Pathology-Text-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Pathology-Text-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M622" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Pathology-Text-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Pathology-Text-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M623" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Pathology-UniqueIdentifier-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Pathology-UniqueIdentifier-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M624" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Pathology-UniqueIdentifier-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Pathology-UniqueIdentifier-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M625" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M626" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M627" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-CodeableText-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-CodeableText-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M628" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-CodeableText-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-CodeableText-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M629" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-CodeableText-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-CodeableText-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M630" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-CodeableText-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-CodeableText-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M631" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-CodeableText-5</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-CodeableText-5</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M632" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-CodeableText-6</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-CodeableText-6</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M633" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-CodeableText-7</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-CodeableText-7</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M634" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-CodeableText-8</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-CodeableText-8</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M635" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-CodeableText-9</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-CodeableText-9</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M636" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-CodeableText-10</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-CodeableText-10</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M637" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-CodeableText-11</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-CodeableText-11</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M638" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-CodeableText-12</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-CodeableText-12</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M639" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-CodeableText-13</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-CodeableText-13</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M640" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-CodeableText-14</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-CodeableText-14</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M641" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-CodeableText-15</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-CodeableText-15</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M642" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-CodeableText-16</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-CodeableText-16</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M643" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-CodeableText-17</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-CodeableText-17</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M644" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-CodeableText-18</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-CodeableText-18</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M645" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-CodeableText-19</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-CodeableText-19</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M646" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-CodeableText-20</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-CodeableText-20</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M647" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-CodeableText-21</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-CodeableText-21</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M648" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-CodeableText-22</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-CodeableText-22</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M649" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-CodeableText-23</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-CodeableText-23</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M650" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-CodeableText-24</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-CodeableText-24</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M651" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-CodeableText-25</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-CodeableText-25</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M652" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-CodeableText-26</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-CodeableText-26</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M653" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-CodeableText-27</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-CodeableText-27</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M654" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-CodeableText-28</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-CodeableText-28</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M655" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-CodeableText-29</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-CodeableText-29</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M656" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-CodeableText-30</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-CodeableText-30</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M657" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-CodeableText-31</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-CodeableText-31</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M658" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-CodeableText-32</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-CodeableText-32</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M659" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-CodeableText-33</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-CodeableText-33</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M660" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-CodeableText-34</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-CodeableText-34</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M661" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-CodeableText-35</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-CodeableText-35</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M662" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-CodeableText-36</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-CodeableText-36</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M663" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-CodeableText-37</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-CodeableText-37</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M664" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-CodeableText-38</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-CodeableText-38</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M665" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-CodeableText-39</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-CodeableText-39</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M666" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-CodeableText-40</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-CodeableText-40</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M667" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-CodeableText-41</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-CodeableText-41</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M668" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-CodeableText-42</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-CodeableText-42</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M669" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-CodeableText-43</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-CodeableText-43</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M670" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-CodeableText-44</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-CodeableText-44</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M671" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-CodeableText-45</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-CodeableText-45</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M672" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-CodeableText-46</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-CodeableText-46</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M673" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-CodeableText-47</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-CodeableText-47</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M674" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-CodeableText-48</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-CodeableText-48</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M675" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-CodeableText-49</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-CodeableText-49</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M676" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-CodeableText-50</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-CodeableText-50</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M677" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-CodeableText-51</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-CodeableText-51</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M678" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-CodeableText-52</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-CodeableText-52</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M679" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-CodeableText-53</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-CodeableText-53</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M680" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-CodeableText-54</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-CodeableText-54</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M681" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-CodeableText-55</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-CodeableText-55</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M682" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-CodeableText-56</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-CodeableText-56</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M683" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-CodeableText-57</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-CodeableText-57</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M684" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-CodeableText-58</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-CodeableText-58</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M685" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-CodeableText-59</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-CodeableText-59</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M686" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-CodeableText-60</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-CodeableText-60</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M687" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-CodeableText-61</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-CodeableText-61</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M688" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-CodeableText-62</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-CodeableText-62</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M689" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-CodeableText-63</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-CodeableText-63</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M690" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-CodeableText-64</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-CodeableText-64</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M691" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-CodedText-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-CodedText-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M692" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-CodedText-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-CodedText-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M693" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-CodedText-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-CodedText-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M694" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-CodedText-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-CodedText-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M695" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-CodedText-5</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-CodedText-5</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M696" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-CodedText-6</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-CodedText-6</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M697" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-CodedText-7</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-CodedText-7</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M698" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-CodedText-8</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-CodedText-8</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M699" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-CodedText-9</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-CodedText-9</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M700" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-CodedText-10</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-CodedText-10</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M701" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-DateTime-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-DateTime-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M702" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-DateTime-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-DateTime-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M703" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-DateTime-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-DateTime-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M704" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-DateTime-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-DateTime-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M705" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-DateTime-5</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-DateTime-5</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M706" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-DateTime-6</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-DateTime-6</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M707" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-DateTime-7</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-DateTime-7</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M708" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-DateTime-8</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-DateTime-8</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M709" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-DateTime-9</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-DateTime-9</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M710" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-DateTime-10</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-DateTime-10</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M711" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-DateTime-11</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-DateTime-11</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M712" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-DateTime-12</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-DateTime-12</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M713" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-DateTime-13</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-DateTime-13</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M714" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-DateTime-14</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-DateTime-14</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M715" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-QuantityRange-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-QuantityRange-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M716" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-QuantityRange-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-QuantityRange-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M717" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-Quantity-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-Quantity-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M718" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-Quantity-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-Quantity-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M719" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-Quantity-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-Quantity-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M720" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-Quantity-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-Quantity-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M721" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-Observation-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-Observation-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M722" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-Observation-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-Observation-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M723" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-Observation-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-Observation-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M724" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-Observation-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-Observation-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M725" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-Observation-5</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-Observation-5</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M726" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-Observation-6</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-Observation-6</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M727" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-Observation-7</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-Observation-7</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M728" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-Observation-8</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-Observation-8</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M729" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-Observation-9</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-Observation-9</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M730" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-Observation-10</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-Observation-10</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M731" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-EncapsulatedData-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-EncapsulatedData-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M732" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-EncapsulatedData-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-EncapsulatedData-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M733" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-EncapsulatedData-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-EncapsulatedData-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M734" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-EncapsulatedData-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-EncapsulatedData-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M735" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-EncapsulatedData-5</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-EncapsulatedData-5</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M736" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-EncapsulatedData-6</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-EncapsulatedData-6</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M737" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-EncapsulatedData-7</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-EncapsulatedData-7</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M738" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-Text-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-Text-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M739" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-Text-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-Text-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M740" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-Text-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-Text-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M741" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-Text-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-Text-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M742" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-Text-5</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-Text-5</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M743" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-Text-6</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-Text-6</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M744" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-Text-7</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-Text-7</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M745" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-Text-8</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-Text-8</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M746" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-Text-9</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-Text-9</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M747" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-Text-10</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-Text-10</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M748" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-Text-11</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-Text-11</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M749" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-Text-12</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-Text-12</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M750" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-Text-13</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-Text-13</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M751" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-Text-14</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-Text-14</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M752" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-Text-15</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-Text-15</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M753" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-Text-16</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-Text-16</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M754" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-Text-17</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-Text-17</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M755" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-Text-18</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-Text-18</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M756" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-Text-19</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-Text-19</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M757" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-Text-20</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-Text-20</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M758" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-Text-21</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-Text-21</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M759" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-Text-22</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-Text-22</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M760" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-UniqueIdentifier-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-UniqueIdentifier-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M761" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-UniqueIdentifier-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-UniqueIdentifier-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M762" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-UniqueIdentifier-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-UniqueIdentifier-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M763" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-UniqueIdentifier-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-UniqueIdentifier-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M764" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-UniqueIdentifier-5</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-UniqueIdentifier-5</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M765" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-UniqueIdentifier-6</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-UniqueIdentifier-6</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M766" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PathTestRes-UniqueIdentifier-7</xsl:attribute>
        <xsl:attribute name="name">p-TS-PathTestRes-UniqueIdentifier-7</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M767" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PBItems-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-PBItems-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M768" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PBItems-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-PBItems-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M769" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PBItems-CodedText-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-PBItems-CodedText-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M770" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PBItems-CodedText-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-PBItems-CodedText-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M771" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PBItems-Text-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-PBItems-Text-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M772" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PBItems-Text-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-PBItems-Text-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M773" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PBItems-Text-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-PBItems-Text-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M774" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PBItems-Text-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-PBItems-Text-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M775" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PBItems-DateTime-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-PBItems-DateTime-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M776" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PBItems-DateTime-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-PBItems-DateTime-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M777" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PBItems-DateTime-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-PBItems-DateTime-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M778" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PBItems-DateTime-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-PBItems-DateTime-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M779" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PBItems-Quantity-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-PBItems-Quantity-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M780" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PBItems-Quantity-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-PBItems-Quantity-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M781" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PBItems-UniqueIdentifier-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-PBItems-UniqueIdentifier-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M782" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PBItems-Integer-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-PBItems-Integer-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M783" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PBItems-Integer-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-PBItems-Integer-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M784" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PD-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-PD-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M785" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PD-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-PD-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M786" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PD-Text-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-PD-Text-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M787" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PD-Text-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-PD-Text-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M788" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PD-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-PD-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M789" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PD-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-PD-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M790" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PD-5</xsl:attribute>
        <xsl:attribute name="name">p-TS-PD-5</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M791" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PD-6</xsl:attribute>
        <xsl:attribute name="name">p-TS-PD-6</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M792" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PD-7</xsl:attribute>
        <xsl:attribute name="name">p-TS-PD-7</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M793" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PD-CodeableText-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-PD-CodeableText-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M794" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PD-CodeableText-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-PD-CodeableText-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M795" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PD-CodeableText-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-PD-CodeableText-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M796" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PD-CodeableText-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-PD-CodeableText-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M797" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PD-DateTime-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-PD-DateTime-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M798" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PD-DateTime-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-PD-DateTime-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M799" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PD-DateTime-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-PD-DateTime-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M800" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PD-DateTime-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-PD-DateTime-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M801" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PD-DateTime-5</xsl:attribute>
        <xsl:attribute name="name">p-TS-PD-DateTime-5</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M802" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PD-DateTime-6</xsl:attribute>
        <xsl:attribute name="name">p-TS-PD-DateTime-6</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M803" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PD-Integer-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-PD-Integer-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M804" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PD-Integer-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-PD-Integer-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M805" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PD-Integer-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-PD-Integer-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M806" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PD-Integer-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-PD-Integer-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M807" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Plan-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Plan-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M808" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Plan-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Plan-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M809" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Plan-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-Plan-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M810" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PresItem-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-PresItem-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M811" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PresItem-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-PresItem-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M812" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PresItem-CodeableText-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-PresItem-CodeableText-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M813" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PresItem-CodeableText-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-PresItem-CodeableText-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M814" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PresItem-CodeableText-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-PresItem-CodeableText-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M815" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PresItem-CodeableText-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-PresItem-CodeableText-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M816" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PresItem-CodeableText-5</xsl:attribute>
        <xsl:attribute name="name">p-TS-PresItem-CodeableText-5</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M817" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PresItem-CodeableText-6</xsl:attribute>
        <xsl:attribute name="name">p-TS-PresItem-CodeableText-6</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M818" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PresItem-CodeableText-7</xsl:attribute>
        <xsl:attribute name="name">p-TS-PresItem-CodeableText-7</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M819" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PresItem-CodeableText-8</xsl:attribute>
        <xsl:attribute name="name">p-TS-PresItem-CodeableText-8</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M820" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PresItem-CodeableText-9</xsl:attribute>
        <xsl:attribute name="name">p-TS-PresItem-CodeableText-9</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M821" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PresItem-CodeableText-10</xsl:attribute>
        <xsl:attribute name="name">p-TS-PresItem-CodeableText-10</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M822" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PresItem-CodeableText-11</xsl:attribute>
        <xsl:attribute name="name">p-TS-PresItem-CodeableText-11</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M823" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PresItem-CodeableText-12</xsl:attribute>
        <xsl:attribute name="name">p-TS-PresItem-CodeableText-12</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M824" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PresItem-CodeableText-13</xsl:attribute>
        <xsl:attribute name="name">p-TS-PresItem-CodeableText-13</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M825" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PresItem-CodeableText-14</xsl:attribute>
        <xsl:attribute name="name">p-TS-PresItem-CodeableText-14</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M826" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PresItem-CodeableText-15</xsl:attribute>
        <xsl:attribute name="name">p-TS-PresItem-CodeableText-15</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M827" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PresItem-DateTime-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-PresItem-DateTime-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M828" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PresItem-DateTime-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-PresItem-DateTime-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M829" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PresItem-DateTime-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-PresItem-DateTime-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M830" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PresItem-DateTime-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-PresItem-DateTime-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M831" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PresItem-Duration-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-PresItem-Duration-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M832" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PresItem-Duration-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-PresItem-Duration-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M833" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PresItem-UniqueIdentifier-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-PresItem-UniqueIdentifier-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M834" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PresItem-UniqueIdentifier-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-PresItem-UniqueIdentifier-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M835" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PresItem-UniqueIdentifier-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-PresItem-UniqueIdentifier-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M836" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PresItem-UniqueIdentifier-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-PresItem-UniqueIdentifier-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M837" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PresItem-Text-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-PresItem-Text-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M838" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PresItem-Text-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-PresItem-Text-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M839" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PresItem-Text-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-PresItem-Text-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M840" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PresItem-Text-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-PresItem-Text-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M841" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PresItem-Text-5</xsl:attribute>
        <xsl:attribute name="name">p-TS-PresItem-Text-5</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M842" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PresItem-Text-6</xsl:attribute>
        <xsl:attribute name="name">p-TS-PresItem-Text-6</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M843" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PresItem-Text-7</xsl:attribute>
        <xsl:attribute name="name">p-TS-PresItem-Text-7</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M844" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PresItem-Text-8</xsl:attribute>
        <xsl:attribute name="name">p-TS-PresItem-Text-8</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M845" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PresItem-Text-9</xsl:attribute>
        <xsl:attribute name="name">p-TS-PresItem-Text-9</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M846" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PresItem-Text-10</xsl:attribute>
        <xsl:attribute name="name">p-TS-PresItem-Text-10</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M847" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PresItem-Text-11</xsl:attribute>
        <xsl:attribute name="name">p-TS-PresItem-Text-11</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M848" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PresItem-Text-12</xsl:attribute>
        <xsl:attribute name="name">p-TS-PresItem-Text-12</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M849" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PresItem-Text-13</xsl:attribute>
        <xsl:attribute name="name">p-TS-PresItem-Text-13</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M850" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PresItem-Text-14</xsl:attribute>
        <xsl:attribute name="name">p-TS-PresItem-Text-14</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M851" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PresItem-Text-15</xsl:attribute>
        <xsl:attribute name="name">p-TS-PresItem-Text-15</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M852" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PresItem-Integer-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-PresItem-Integer-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M853" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PresItem-Integer-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-PresItem-Integer-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M854" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PresItem-Link-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-PresItem-Link-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M855" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Profile-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Profile-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M856" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Profile-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Profile-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M857" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Profile-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-Profile-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M858" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Recommend-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Recommend-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M859" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Recommend-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Recommend-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M860" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Recommend-DateTime-Duration-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Recommend-DateTime-Duration-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M861" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Recommend-DateTime-Duration-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Recommend-DateTime-Duration-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M862" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Recommend-DateTime-Duration-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-Recommend-DateTime-Duration-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M863" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Recommend-Text-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Recommend-Text-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M864" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Recommend-Text-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Recommend-Text-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M865" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Recommend-Text-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-Recommend-Text-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M866" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Recommend-Text-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-Recommend-Text-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M867" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-RefDetail-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-RefDetail-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M868" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-RefDetail-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-RefDetail-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M869" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-RefDetail-DateTime-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-RefDetail-DateTime-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M870" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-RefDetail-DateTime-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-RefDetail-DateTime-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M871" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-RefDetail-Duration-TimeInterval-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-RefDetail-Duration-TimeInterval-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M872" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-RefDetail-Duration-TimeInterval-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-RefDetail-Duration-TimeInterval-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M873" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-RefDetail-Duration-TimeInterval-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-RefDetail-Duration-TimeInterval-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M874" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-RefDetail-Text-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-RefDetail-Text-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M875" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-RefDetail-Text-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-RefDetail-Text-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M876" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Request-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Request-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M877" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Request-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Request-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M878" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Request-CodeableText-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Request-CodeableText-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M879" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Request-CodeableText-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Request-CodeableText-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M880" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Request-DateTime-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Request-DateTime-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M881" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Request-DateTime-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Request-DateTime-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M882" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Request-DateTime-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-Request-DateTime-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M883" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Request-DateTime-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-Request-DateTime-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M884" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Request-TimeInterval-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Request-TimeInterval-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M885" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Request-TimeInterval-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Request-TimeInterval-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M886" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Request-TimeInterval-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-Request-TimeInterval-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M887" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Request-TimeInterval-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-Request-TimeInterval-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M888" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Request-Text-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Request-Text-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M889" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Request-Text-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Request-Text-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M890" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Response-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Response-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M891" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Response-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Response-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M892" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Response-CodeableText-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Response-CodeableText-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M893" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Response-CodeableText-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Response-CodeableText-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M894" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Response-CodeableText-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-Response-CodeableText-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M895" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Response-CodeableText-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-Response-CodeableText-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M896" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Response-CodeableText-5</xsl:attribute>
        <xsl:attribute name="name">p-TS-Response-CodeableText-5</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M897" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Response-CodeableText-6</xsl:attribute>
        <xsl:attribute name="name">p-TS-Response-CodeableText-6</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M898" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Response-CodeableText-7</xsl:attribute>
        <xsl:attribute name="name">p-TS-Response-CodeableText-7</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M899" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Response-CodeableText-8</xsl:attribute>
        <xsl:attribute name="name">p-TS-Response-CodeableText-8</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M900" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Response-Text-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Response-Text-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M901" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Response-Text-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Response-Text-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M902" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Response-Text-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-Response-Text-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M903" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Response-Text-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-Response-Text-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M904" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-UndiffDiag-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-UndiffDiag-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M905" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-UndiffDiag-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-UndiffDiag-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M906" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-UndiffDiag-CodeableText-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-UndiffDiag-CodeableText-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M907" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-UndiffDiag-CodeableText-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-UndiffDiag-CodeableText-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M908" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-UndiffDiag-CodedText-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-UndiffDiag-CodedText-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M909" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-UndiffDiag-CodedText-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-UndiffDiag-CodedText-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M910" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-UndiffDiag-DateTime-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-UndiffDiag-DateTime-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M911" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-UndiffDiag-DateTime-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-UndiffDiag-DateTime-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M912" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-UndiffDiag-EncapsulatedData-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-UndiffDiag-EncapsulatedData-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M913" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-UndiffDiag-EncapsulatedData-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-UndiffDiag-EncapsulatedData-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M914" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-UndiffDiag-EncapsulatedData-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-UndiffDiag-EncapsulatedData-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M915" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-AdminObs-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-AdminObs-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M916" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Body-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Body-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M917" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Body-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Body-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M918" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Dext-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Dext-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M919" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Dext-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Dext-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M920" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Dext-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-Dext-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M921" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Dext-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-Dext-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M922" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Dext-5</xsl:attribute>
        <xsl:attribute name="name">p-TS-Dext-5</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M923" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Dext-6</xsl:attribute>
        <xsl:attribute name="name">p-TS-Dext-6</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M924" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Dext-7</xsl:attribute>
        <xsl:attribute name="name">p-TS-Dext-7</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M925" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Dext-8</xsl:attribute>
        <xsl:attribute name="name">p-TS-Dext-8</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M926" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Dext-9</xsl:attribute>
        <xsl:attribute name="name">p-TS-Dext-9</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M927" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Dext-10</xsl:attribute>
        <xsl:attribute name="name">p-TS-Dext-10</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M928" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Dext-11</xsl:attribute>
        <xsl:attribute name="name">p-TS-Dext-11</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M929" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Dext-12</xsl:attribute>
        <xsl:attribute name="name">p-TS-Dext-12</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M930" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Dext-13</xsl:attribute>
        <xsl:attribute name="name">p-TS-Dext-13</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M931" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Dext-14</xsl:attribute>
        <xsl:attribute name="name">p-TS-Dext-14</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M932" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Dext-15</xsl:attribute>
        <xsl:attribute name="name">p-TS-Dext-15</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M933" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Dext-16</xsl:attribute>
        <xsl:attribute name="name">p-TS-Dext-16</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M934" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Dext-17</xsl:attribute>
        <xsl:attribute name="name">p-TS-Dext-17</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M935" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Dext-18</xsl:attribute>
        <xsl:attribute name="name">p-TS-Dext-18</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M936" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Dext-19</xsl:attribute>
        <xsl:attribute name="name">p-TS-Dext-19</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M937" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Dext-20</xsl:attribute>
        <xsl:attribute name="name">p-TS-Dext-20</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M938" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Dext-21</xsl:attribute>
        <xsl:attribute name="name">p-TS-Dext-21</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M939" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Dext-22</xsl:attribute>
        <xsl:attribute name="name">p-TS-Dext-22</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M940" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Dext-Disp-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Dext-Disp-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M941" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Dext-Disp-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Dext-Disp-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M942" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Dext-Disp-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-Dext-Disp-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M943" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Dext-Disp-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-Dext-Disp-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M944" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Dext-Disp-5</xsl:attribute>
        <xsl:attribute name="name">p-TS-Dext-Disp-5</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M945" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Dext-Disp-6</xsl:attribute>
        <xsl:attribute name="name">p-TS-Dext-Disp-6</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M946" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Dext-Disp-7</xsl:attribute>
        <xsl:attribute name="name">p-TS-Dext-Disp-7</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M947" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Dext-ImagExamRes-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Dext-ImagExamRes-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M948" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Dext-PathTestRes-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Dext-PathTestRes-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M949" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Dext-Pres-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Dext-Pres-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M950" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Dext-Pres-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Dext-Pres-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M951" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Dext-Pres-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-Dext-Pres-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M952" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Dext-Pres-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-Dext-Pres-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M953" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Dext-Pres-5</xsl:attribute>
        <xsl:attribute name="name">p-TS-Dext-Pres-5</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M954" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DocIdent-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-DocIdent-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M955" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DocIdent-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-DocIdent-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M956" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DocIdent-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-DocIdent-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M957" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DocIdent-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-DocIdent-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M958" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DocIdent-5</xsl:attribute>
        <xsl:attribute name="name">p-TS-DocIdent-5</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M959" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DocIdent-6</xsl:attribute>
        <xsl:attribute name="name">p-TS-DocIdent-6</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M960" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DocIdent-7</xsl:attribute>
        <xsl:attribute name="name">p-TS-DocIdent-7</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M961" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DocIdent-8</xsl:attribute>
        <xsl:attribute name="name">p-TS-DocIdent-8</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M962" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-DocIdent-9</xsl:attribute>
        <xsl:attribute name="name">p-TS-DocIdent-9</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M963" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M964" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M965" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M966" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M967" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-5</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-5</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M968" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-6</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-6</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M969" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-7</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-7</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M970" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-8</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-8</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M971" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-9</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-9</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M972" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-10</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-10</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M973" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-11</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-11</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M974" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-12</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-12</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M975" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-13</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-13</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M976" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-14</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-14</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M977" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-15</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-15</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M978" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-16</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-16</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M979" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-17</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-17</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M980" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-18</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-18</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M981" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-19</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-19</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M982" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-20</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-20</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M983" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-21</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-21</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M984" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-22</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-22</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M985" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-23</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-23</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M986" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-24</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-24</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M987" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-25</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-25</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M988" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-26</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-26</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M989" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-27</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-27</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M990" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-28</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-28</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M991" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-29</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-29</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M992" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-30</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-30</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M993" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-31</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-31</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M994" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-32</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-32</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M995" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-33</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-33</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M996" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-34</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-34</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M997" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-DG-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-DG-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M998" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-DG-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-DG-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M999" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-DG-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-DG-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1000" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-DG-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-DG-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1001" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-DG-5</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-DG-5</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1002" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-DG-6</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-DG-6</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1003" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-DG-7</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-DG-7</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1004" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-DG-8</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-DG-8</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1005" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-DG-9</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-DG-9</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1006" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-DG-10</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-DG-10</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1007" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-DG-11</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-DG-11</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1008" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-DG-12</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-DG-12</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1009" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-DG-13</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-DG-13</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1010" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-DG-14</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-DG-14</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1011" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-DG-15</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-DG-15</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1012" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-DG-16</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-DG-16</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1013" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-DG-17</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-DG-17</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1014" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-DG-18</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-DG-18</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1015" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-DG-19</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-DG-19</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1016" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-Disp-Prof-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-Disp-Prof-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1017" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-Disp-Prof-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-Disp-Prof-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1018" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-Disp-Prof-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-Disp-Prof-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1019" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-Disp-Prof-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-Disp-Prof-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1020" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-Disp-Prof-5</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-Disp-Prof-5</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1021" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-Disp-Prof-6</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-Disp-Prof-6</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1022" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-Disp-Map-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-Disp-Map-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1023" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-Disp-Map-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-Disp-Map-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1024" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-Disp-Map-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-Disp-Map-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1025" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-Disp-Map-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-Disp-Map-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1026" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-Disp-Map-5</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-Disp-Map-5</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1027" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-Disp-Map-6</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-Disp-Map-6</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1028" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-Disp-Map-7</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-Disp-Map-7</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1029" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-Disp-Map-8</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-Disp-Map-8</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1030" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-Disp-Map-9</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-Disp-Map-9</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1031" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-Disp-Map-10</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-Disp-Map-10</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1032" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-Disp-Map-11</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-Disp-Map-11</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1033" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-Excl-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-Excl-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1034" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-Excl-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-Excl-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1035" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-Excl-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-Excl-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1036" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-Excl-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-Excl-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1037" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-Excl-5</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-Excl-5</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1038" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-Excl-6</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-Excl-6</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1039" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-Excl-7</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-Excl-7</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1040" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-Excl-8</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-Excl-8</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1041" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-Diag-Prof-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-Diag-Prof-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1042" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-Diag-Map-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-Diag-Map-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1043" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-Diag-Map-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-Diag-Map-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1044" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-Diag-Map-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-Diag-Map-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1045" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-Diag-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-Diag-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1046" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-DisMed-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-DisMed-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1047" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-MedHist-Map-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-MedHist-Map-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1048" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-MedHist-Map-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-MedHist-Map-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1049" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-Path-Prof-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-Path-Prof-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1050" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-Path-Map-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-Path-Map-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1051" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-Path-Map-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-Path-Map-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1052" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-Path-Map-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-Path-Map-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1053" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-Path-Map-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-Path-Map-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1054" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-Path-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-Path-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1055" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-Path-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-Path-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1056" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-Path-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-Path-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1057" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-Path-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-Path-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1058" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-Pres-Prof-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-Pres-Prof-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1059" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-Pres-Prof-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-Pres-Prof-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1060" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-Pres-Prof-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-Pres-Prof-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1061" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-Pres-Prof-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-Pres-Prof-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1062" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-Pres-Prof-5</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-Pres-Prof-5</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1063" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-Pres-Map-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-Pres-Map-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1064" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-Pres-Map-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-Pres-Map-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1065" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-Pres-Map-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-Pres-Map-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1066" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-Pres-Map-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-Pres-Map-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1067" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-Pres-Map-5</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-Pres-Map-5</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1068" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-Pres-Map-6</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-Pres-Map-6</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1069" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-Pres-Map-7</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-Pres-Map-7</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1070" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-Pres-Map-8</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-Pres-Map-8</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1071" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-Pres-Map-9</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-Pres-Map-9</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1072" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-Pres-Map-10</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-Pres-Map-10</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1073" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-Pres-Map-11</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-Pres-Map-11</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1074" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-Pres-Map-12</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-Pres-Map-12</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1075" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-Pres-Map-13</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-Pres-Map-13</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1076" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-Pres-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-Pres-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1077" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-SHS-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-SHS-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1078" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-SS-Excl-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-SS-Excl-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1079" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-SS-Excl-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-SS-Excl-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1080" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-SS-Excl-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-SS-Excl-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1081" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-SS-Excl-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-SS-Excl-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1082" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-SS-Excl-5</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-SS-Excl-5</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1083" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-SS-Excl-6</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-SS-Excl-6</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1084" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-SS-Excl-7</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-SS-Excl-7</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1085" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-SS-Excl-8</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-SS-Excl-8</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1086" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-SS-VSN-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-SS-VSN-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1087" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-SS-ART-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-SS-ART-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1088" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-GCD-SS-ART-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-GCD-SS-ART-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1089" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Head-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Head-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1090" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Head-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Head-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1091" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Head-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-Head-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1092" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Head-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-Head-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1093" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Level-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Level-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1094" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Level-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Level-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1095" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Level-Diag-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Level-Diag-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1096" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Level-Path-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Level-Path-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1097" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Level-Path-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Level-Path-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1098" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Logo-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Logo-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1099" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Auto-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Auto-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1100" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Auto-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Auto-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1101" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Ext-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Ext-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1102" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Info-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Info-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1103" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Info-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Info-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1104" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Info-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-Info-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1105" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Info-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-Info-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1106" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Info-5</xsl:attribute>
        <xsl:attribute name="name">p-TS-Info-5</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1107" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Info-6</xsl:attribute>
        <xsl:attribute name="name">p-TS-Info-6</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1108" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Info-7</xsl:attribute>
        <xsl:attribute name="name">p-TS-Info-7</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1109" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Info-8</xsl:attribute>
        <xsl:attribute name="name">p-TS-Info-8</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1110" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Info-9</xsl:attribute>
        <xsl:attribute name="name">p-TS-Info-9</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1111" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Info-10</xsl:attribute>
        <xsl:attribute name="name">p-TS-Info-10</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1112" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Info-11</xsl:attribute>
        <xsl:attribute name="name">p-TS-Info-11</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1113" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Info-12</xsl:attribute>
        <xsl:attribute name="name">p-TS-Info-12</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1114" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Info-13</xsl:attribute>
        <xsl:attribute name="name">p-TS-Info-13</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1115" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Info-14</xsl:attribute>
        <xsl:attribute name="name">p-TS-Info-14</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1116" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Mark-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Mark-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1117" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Mark-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Mark-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1118" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Ref-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Ref-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1119" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Ref-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Ref-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1120" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Style-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Style-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1121" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Tab-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Tab-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1122" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Tab-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Tab-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1123" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-AddrDG-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-AddrDG-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1124" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Coded-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Coded-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1125" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Coded-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Coded-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1126" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Coded-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-Coded-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1127" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Coded-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-Coded-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1128" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Coded-5</xsl:attribute>
        <xsl:attribute name="name">p-TS-Coded-5</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1129" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Coded-6</xsl:attribute>
        <xsl:attribute name="name">p-TS-Coded-6</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1130" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Coded-7</xsl:attribute>
        <xsl:attribute name="name">p-TS-Coded-7</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1131" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-EntId-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-EntId-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1132" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-EntId-UniqueIdentifier-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-EntId-UniqueIdentifier-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1133" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Entit-UniqueIdentifier-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Entit-UniqueIdentifier-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1134" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Entit-CodeableText-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Entit-CodeableText-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1135" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Entit-TimeInterval-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Entit-TimeInterval-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1136" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Entit-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Entit-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1137" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Entit-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Entit-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1138" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-BL-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-BL-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1139" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-CD-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-CD-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1140" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-CD-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-CD-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1141" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-CD-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-CD-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1142" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-CS-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-CS-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1143" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ED-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-ED-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1144" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ED-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-ED-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1145" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ED-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-ED-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1146" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ED-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-ED-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1147" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-II-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-II-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1148" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-II-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-II-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1149" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-II-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-II-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1150" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-INT-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-INT-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1151" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-IVL-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-IVL-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1152" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-IVL-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-IVL-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1153" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-IVL-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-IVL-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1154" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PIVL-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-PIVL-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1155" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-PQ-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-PQ-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1156" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-REAL-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-REAL-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1157" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-RTO-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-RTO-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1158" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-ST-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-ST-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1159" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-TEL-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-TEL-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1160" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-TEL-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-TEL-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1161" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-TEL-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-TEL-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1162" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-TS-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-TS-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1163" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-TS-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-TS-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1164" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-UID-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-UID-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1165" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-UID-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-UID-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1166" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-UNK-Type-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-UNK-Type-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1167" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Content-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Content-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1168" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Content-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Content-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1169" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Content-ACI-Midnight-TI-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Content-ACI-Midnight-TI-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1170" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Content-Admin-Midnight-DT-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Content-Admin-Midnight-DT-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1171" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Content-Admin-Midnight-DT-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Content-Admin-Midnight-DT-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1172" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Content-Diag-Midnight-DT-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Content-Diag-Midnight-DT-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1173" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Content-DispItem-Midnight-DT-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Content-DispItem-Midnight-DT-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1174" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Content-Header-Midnight-DT-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Content-Header-Midnight-DT-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1175" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Content-Header-Midnight-DT-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Content-Header-Midnight-DT-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1176" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Content-Header-Midnight-DT-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-Content-Header-Midnight-DT-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1177" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Content-Header-Midnight-DT-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-Content-Header-Midnight-DT-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1178" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Content-Header-Midnight-DT-5</xsl:attribute>
        <xsl:attribute name="name">p-TS-Content-Header-Midnight-DT-5</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1179" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Content-Header-Midnight-DT-6</xsl:attribute>
        <xsl:attribute name="name">p-TS-Content-Header-Midnight-DT-6</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1180" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Content-Header-Midnight-DT-7</xsl:attribute>
        <xsl:attribute name="name">p-TS-Content-Header-Midnight-DT-7</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1181" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Content-Header-Midnight-DT-8</xsl:attribute>
        <xsl:attribute name="name">p-TS-Content-Header-Midnight-DT-8</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1182" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Content-Header-Midnight-TI-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Content-Header-Midnight-TI-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1183" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Content-Header-Midnight-TI-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Content-Header-Midnight-TI-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1184" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Content-Header-Midnight-TI-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-Content-Header-Midnight-TI-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1185" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Content-Header-Midnight-TI-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-Content-Header-Midnight-TI-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1186" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Content-Header-Midnight-TI-5</xsl:attribute>
        <xsl:attribute name="name">p-TS-Content-Header-Midnight-TI-5</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1187" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Content-Imaging-Midnight-TI-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Content-Imaging-Midnight-TI-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1188" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Content-Imaging-Midnight-TI-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Content-Imaging-Midnight-TI-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1189" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Content-Imaging-Midnight-DT-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Content-Imaging-Midnight-DT-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1190" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Content-Imaging-Midnight-DT-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Content-Imaging-Midnight-DT-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1191" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Content-Immun-Midnight-DT-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Content-Immun-Midnight-DT-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1192" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Content-ImmunRegister-Midnight-DT-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Content-ImmunRegister-Midnight-DT-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1193" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Content-ImmunRegister-Midnight-DT-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Content-ImmunRegister-Midnight-DT-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1194" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Content-ImmunRegister-Midnight-TI-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Content-ImmunRegister-Midnight-TI-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1195" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Content-Med-Midnight-TI-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Content-Med-Midnight-TI-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1196" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Content-MedHist-Midnight-TI-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Content-MedHist-Midnight-TI-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1197" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Content-MedHist-Midnight-TI-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Content-MedHist-Midnight-TI-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1198" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Content-MedHist-Midnight-DT-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Content-MedHist-Midnight-DT-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1199" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Content-MedHist-Midnight-DT-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Content-MedHist-Midnight-DT-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1200" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Content-MedHist-Midnight-DT-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-Content-MedHist-Midnight-DT-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1201" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Content-Pathology-Midnight-TI-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Content-Pathology-Midnight-TI-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1202" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Content-Pathology-Midnight-TI-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Content-Pathology-Midnight-TI-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1203" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Content-Pathology-Midnight-DT-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Content-Pathology-Midnight-DT-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1204" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Content-Pathology-Midnight-DT-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Content-Pathology-Midnight-DT-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1205" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Content-Pathology-Midnight-DT-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-Content-Pathology-Midnight-DT-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1206" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Content-Pathology-Midnight-DT-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-Content-Pathology-Midnight-DT-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1207" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Content-Pathology-Midnight-DT-5</xsl:attribute>
        <xsl:attribute name="name">p-TS-Content-Pathology-Midnight-DT-5</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1208" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Content-Pathology-Midnight-DT-6</xsl:attribute>
        <xsl:attribute name="name">p-TS-Content-Pathology-Midnight-DT-6</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1209" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Content-PBItems-Midnight-DT-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Content-PBItems-Midnight-DT-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1210" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Content-PBItems-Midnight-DT-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Content-PBItems-Midnight-DT-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1211" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Content-PD-Midnight-DT-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Content-PD-Midnight-DT-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1212" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Content-PD-Midnight-DT-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Content-PD-Midnight-DT-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1213" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Content-PD-Midnight-DT-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-Content-PD-Midnight-DT-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1214" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Content-Plan-Midnight-TI-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Content-Plan-Midnight-TI-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1215" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Content-PresItem-Midnight-DT-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Content-PresItem-Midnight-DT-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1216" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Content-PresItem-Midnight-DT-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Content-PresItem-Midnight-DT-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1217" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Content-Recommend-Midnight-DT-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Content-Recommend-Midnight-DT-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1218" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Content-RefDetail-Midnight-DT-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Content-RefDetail-Midnight-DT-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1219" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Content-Request-Midnight-DT-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Content-Request-Midnight-DT-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1220" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Content-Request-Midnight-DT-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Content-Request-Midnight-DT-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1221" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Content-Request-Midnight-TI-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Content-Request-Midnight-TI-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1222" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-eComm-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-eComm-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1223" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-eComm-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-eComm-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1224" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Pers-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-Pers-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1225" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Pers-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-Pers-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1226" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Pers-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-Pers-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1227" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Pers-4</xsl:attribute>
        <xsl:attribute name="name">p-TS-Pers-4</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1228" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-Pers-5</xsl:attribute>
        <xsl:attribute name="name">p-TS-Pers-5</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1229" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-U-Adverse-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-U-Adverse-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1230" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-U-Adverse-2</xsl:attribute>
        <xsl:attribute name="name">p-TS-U-Adverse-2</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1231" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-U-Adverse-3</xsl:attribute>
        <xsl:attribute name="name">p-TS-U-Adverse-3</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1232" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-U-MedHist-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-U-MedHist-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1233" />
      <svrl:active-pattern>
        <xsl:attribute name="id">p-TS-U-Med-1</xsl:attribute>
        <xsl:attribute name="name">p-TS-U-Med-1</xsl:attribute>
        <xsl:apply-templates />
      </svrl:active-pattern>
      <xsl:apply-templates select="/" mode="M1234" />
    </svrl:schematron-output>
  </xsl:template>
  <!--SCHEMATRON PATTERNS-->
  <svrl:text xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl">Schematron schema for validating CDA documents</svrl:text>
  <xsl:variable name="meta-pattern-no-pipe" select=" '\\~\\~\^~\^~\$~\$~\.~\.~\?~\?~\*~\*~\+~\+~\(~\(~\)~\)~\[~\[~\]~\]~\{~\{~\}~\}~[ ]{2,}~ ~^ +~~ +$~' " />
  <xsl:variable name="meta-pattern" select=" concat($meta-pattern-no-pipe, '~ \|~|~\| ~|') " />
  <xsl:variable name="meta-pattern-with-pipe" select=" concat($meta-pattern-no-pipe, '~\|~\|') " />
  <xsl:variable name="space-meta-pattern" select=" concat($meta-pattern, '~ ~\s+') " />
  <xsl:variable name="space-meta-pattern-with-pipe" select=" concat($meta-pattern-with-pipe, '~ ~\s+') " />
  <xsl:variable name="knowledge" select="document('TEMPLATE/VALDN/Knowledge.xml', .)/knowledge" />
  <xsl:variable name="booleans" select="$knowledge/booleans" />
  <xsl:variable name="caseSignificances" select="$knowledge/caseSignificances" />
  <xsl:variable name="code-systems" select="document('TEMPLATE/VALDN/CodeSystems.xml', .)/systems" />
  <xsl:variable name="documents" select="(collection('file:///C:/DigitalHealth/ClinicalDocuments/Collection?select=*.XML;recurse=yes') |           collection('file:///C:/DigitalHealth/ClinicalDocuments/Collection?select=*.xml;recurse=yes') )[cda:ClinicalDocument]" />
  <xsl:variable name="document-types" select="$knowledge/document-types" />
  <xsl:variable name="iq-config" select="document('file:///C:/DigitalHealth/ClinicalDocuments/IQConfig.xml')/config" />
  <xsl:variable name="min-word-match-ratio" select="$knowledge/min-word-match-ratio/@value" />
  <xsl:variable name="section-types" select="$knowledge/section-types" />
  <xsl:variable name="cd-definitions" select="$knowledge/cd-definitions" />
  <xsl:variable name="ended-meds" select="$code-systems/system[@codeSystem='1.2.36.1.2001.1001.101.104.16592']/code[@code=('03', '05')]" />
  <xsl:variable name="ended-meds-regex" select="concat('^(', dh:XQueryRecursiveReplace(string-join(($ended-meds/@displayName, $ended-meds/@synonyms, $ended-meds/@related-terms,         $ended-meds/@typo), '|'), $meta-pattern, ''), ')$')" />
  <xsl:variable name="exclusion-regex-1" select="($code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16299']/code/@displayName,         $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16299']/code/@synonyms,        $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16299']/code/@related-terms,        'Nil Entered', 'Nil') " />
  <xsl:variable name="exclusion-regex" select="if (exists($exclusion-regex-1)) then concat('^\s*(', dh:XQueryRecursiveReplace(string-join($exclusion-regex-1, '|'),         $space-meta-pattern, ''), ')\s*$') else '' " />
  <xsl:variable name="conjunction-regex" select="'^([^a-zA-Z]*?[a-zA-Z]+.*?)(\s+and\s+|\s+\+\s+|\s+\+/-\s+)(.*?)$' " />
  <xsl:variable name="ei-codes-for-consumers" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.12.203']/code[contains(@EntId, 'consumers')]/@code" />
  <xsl:variable name="ei-codes-for-hpis" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.12.203']/code[contains(@EntId, 'provider-individuals')]/@code" />
  <xsl:variable name="ei-codes-for-hpos" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.12.203']/code[contains(@EntId, 'provider-organisations')]/@code" />
  <xsl:variable name="ei-codes-for-devices" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.12.203']/code[contains(@EntId, 'devices')]/@code" />
  <xsl:variable name="ei-codes-only-for-consumers" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.12.203']/         code[contains(@EntId, 'consumers') and not(contains(@EntId, 'provider-individuals') or contains(@EntId, 'provider-organisations')         or contains(@EntId, 'devices'))]/@code" />
  <xsl:variable name="ei-codes-only-for-hpis" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.12.203']/         code[contains(@EntId, 'provider-individuals') and not(contains(@EntId, 'consumers') or contains(@EntId, 'provider-organisations')         or contains(@EntId, 'devices'))]/@code" />
  <xsl:variable name="ei-codes-only-for-hpos" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.12.203']/         code[contains(@EntId, 'provider-organisations') and not(contains(@EntId, 'consumers') or contains(@EntId, 'provider-individuals')         or contains(@EntId, 'devices'))]/@code" />
  <xsl:variable name="ei-codes-only-for-devices" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.12.203']/         code[contains(@EntId, 'devices') and not(contains(@EntId, 'consumers') or contains(@EntId, 'provider-individuals')         or contains(@EntId, 'provider-organisations'))]/@code" />
  <xsl:variable name="flags" select="$iq-config/flags" />
  <xsl:variable name="flag-assess-values" select="not($flags/@test-data = 'true') and ($flags/@assess-values = 'true' or not(exists($flags/@assess-values))) " />
  <xsl:variable name="namespaces" select="$knowledge/namespaces" />
  <xsl:variable name="narr-non-values" select="$knowledge/narr-non-values" />
  <xsl:variable name="nullFlavors" select="$knowledge/nullFlavors" />
  <xsl:variable name="numbers" select="$knowledge/numbers" />
  <xsl:variable name="superseded" select="(collection('file:///C:/DigitalHealth/ClinicalDocuments/Superseded?select=*.XML;recurse=yes') |           collection('file:///C:/DigitalHealth/ClinicalDocuments/Superseded?select=*.xml;recurse=yes') )[cda:ClinicalDocument]" />
  <xsl:variable name="UCUM" select="$knowledge/UCUM" />
  <xsl:variable name="uri-schemes" select="$knowledge/uri-schemes" />
  <xsl:variable name="oid-arc-regex" select="$knowledge/oid-arc-regex" />
  <xsl:variable name="document-number" select="count($documents)" />
  <xsl:variable name="document-count" select="if ($numbers/number[@value = $document-number]) then $numbers/number[number(@value) = $document-number]/@name else $document-number" />
  <xsl:variable name="invalid-authorities" select="if (not($flags/@test-data = 'true') and $knowledge/assigning-authority/invalid/@value)          then tokenize(replace($knowledge/assigning-authority/invalid/@value, '\s+', ''), '\|')         else () " />
  <xsl:variable name="less-than" select="concat(codepoints-to-string(38), 'lt;')" />
  <xsl:variable name="greater-than" select="concat(codepoints-to-string(38), 'gt;')" />
  <xsl:variable name="ampersand" select="concat(codepoints-to-string(38), 'amp;')" />
  <xsl:variable name="markup-pattern-replacement" select="concat('&amp;~', $ampersand, '~&lt;~', $less-than, '~&gt;~', $greater-than) " />
  <xsl:variable name="bullet-regex" select="concat('([\|\-\+\*', codepoints-to-string((183, 8210, 8211, 8212, 8213, 8226, 8227, 8231, 8259, 8268, 8269, 8270, 8275, 8729, 9632, 9633, 9642, 9643, 9670,                9671, 9675, 9679, 9702, 10033, 10133, 65291)), ']{1,2})') " />
  <xsl:variable name="ulist-regex" select="concat('(^|[', codepoints-to-string((13, 10)), ']+)(\s*)', $bullet-regex, '([^\w]*?\w+[^', codepoints-to-string((13, 10)), ']*?)',        '([', codepoints-to-string((13, 10)), ']+)(\s*)', $bullet-regex, '([^\w]*?\w+[^', codepoints-to-string((13, 10)), ']*?)')" />
  <xsl:variable name="ulist-item-regex" select="concat('(^|[', codepoints-to-string((13, 10)), ']+)(\s*)', $bullet-regex, '([^\w]*?\w+[^', codepoints-to-string((13, 10)), ']*)')" />
  <xsl:variable name="alt-ulist-1a-regex" select="'(^|\s)([\-]{1,2})([^\-\w]*?\w+[^\-]*?)(\s[\-]{1,2})([^\-\w]*?\w+[^\-]*?)(\s[\-]{1,2})([^\-\w]*?\w)'" />
  <xsl:variable name="alt-ulist-1b-regex" select="'(^|\s)([\+]{1,2})([^\+\w]*?\w+[^\+]*?)(\s[\+]{1,2})([^\+\w]*?\w+[^\+]*?)(\s[\+]{1,2})([^\+\w]*?\w)'" />
  <xsl:variable name="bullet-chars" select="concat('\|\*', codepoints-to-string((183, 8210, 8211, 8212, 8213, 8226, 8227, 8231, 8259, 8268, 8269, 8270, 8275, 8729, 9632, 9633, 9642, 9643, 9670,                9671, 9675, 9679, 9702, 10033, 10133, 65291))) " />
  <xsl:variable name="alt-bullet-regex" select="concat('([', $bullet-chars, ']{1,2})') " />
  <xsl:variable name="alt-ulist-2-regex" select="concat($alt-bullet-regex, '([^', $bullet-chars, '\w]*?\w+[^', $bullet-chars, ']*?)',               $alt-bullet-regex, '([^', $bullet-chars, '\w]*?\w+[^', $bullet-chars, ']*?)',               $alt-bullet-regex, '([^', $bullet-chars, '\w]*?\w+)')" />
  <xsl:variable name="olist-item-1arabic-regex" select="'(^|\(|\[|\s)(1)(\.\s|\.?\)|\.?\])([^\w]*?\w+.*?)'" />
  <xsl:variable name="olist-item-1alpha-regex" select="'(^|\(|\[|\s)(a)(\.\s|\.?\)|\.?\])([^\w]*?\w+.*?)'" />
  <xsl:variable name="olist-item-1roman-regex" select="'(^|\(|\[|\s)(i)(\.\s|\.?\)|\.?\])([^\w]*?\w+.*?)'" />
  <xsl:variable name="olist-item-2arabic-regex" select="'(^|\(|\[|\s)(2)(\.\s|\.?\)|\.?\])([^\w]*?\w+)'" />
  <xsl:variable name="olist-item-2alpha-regex" select="'(^|\(|\[|\s)(b)(\.\s|\.?\)|\.?\])([^\w]*?\w+)'" />
  <xsl:variable name="olist-item-2roman-regex" select="'(^|\(|\[|\s)(ii)(\.\s|\.?\)|\.?\])([^\w]*?\w+)'" />
  <xsl:variable name="olist-arabic-regex" select="concat($olist-item-1arabic-regex, $olist-item-2arabic-regex)" />
  <xsl:variable name="olist-alpha-regex" select="concat($olist-item-1alpha-regex, $olist-item-2alpha-regex)" />
  <xsl:variable name="olist-roman-regex" select="concat($olist-item-1roman-regex, $olist-item-2roman-regex)" />
  <xsl:variable name="new-line-regex" select="concat('(', codepoints-to-string((13, 10)),  '|',             codepoints-to-string((10)),   '|',             codepoints-to-string((13)),   ')') " />
  <xsl:variable name="para-regex" select="concat($new-line-regex, '(\s*)', $new-line-regex, '(\s*)(.*?[^', codepoints-to-string((13, 10)), ']*)')" />
  <xsl:variable name="unicode-br-regex" select="concat('(', codepoints-to-string((13, 10)),  '|',             codepoints-to-string((10)),   '|',            codepoints-to-string((13)),   '|',             codepoints-to-string((8233)),  ')') " />
  <xsl:variable name="unicode-dash-regex" select="concat('([\-', codepoints-to-string((8208, 8209, 8210, 8211, 8212, 8213, 65112, 65123, 65293)), '])') " />
  <xsl:variable name="sentence-regex" select="'([A-Z]([^a-zA-Z0-9\.]+\w+)+?\.|[A-Z](\w+[^a-zA-Z0-9\.]+\w+)+?\.)'" />
  <xsl:variable name="multi-sentence-regex" select="concat('^\s*', $sentence-regex, '\s+', $sentence-regex)" />
  <xsl:variable name="char-escape-regex" select="concat('(', '&lt;', ')|(', '&gt;', ')|(', '&amp;', ')')" />
  <xsl:variable name="inline-chars-1" select="concat('[', codepoints-to-string(34), '/%0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ= ', ']+')" />
  <xsl:variable name="inline-chars-2" select="'[a-zA-Z]+'" />
  <xsl:variable name="markup-type-1" select="concat($less-than, $inline-chars-1, $greater-than)" />
  <xsl:variable name="markup-type-2" select="concat($ampersand, $inline-chars-2, ';')" />
  <xsl:variable name="markup-type-3" select="concat('&lt;', $inline-chars-1, '&gt;')" />
  <xsl:variable name="markup-type-4" select="concat('&amp;', $inline-chars-2, ';')" />
  <xsl:variable name="markup-regex" select="concat('(', $markup-type-1, ')|(', $markup-type-2, ')|(', $markup-type-3, ')|(', $markup-type-4, ')')" />
  <xsl:variable name="amp-esc-err-regex" select="concat('(', $ampersand, 'amp;)|(&amp;', 'amp;)')" />
  <xsl:variable name="lt-esc-err-regex" select="concat('(', $ampersand, 'lt;)|(&amp;', 'lt;)')" />
  <xsl:variable name="gt-esc-err-regex" select="concat('(', $ampersand, 'gt;)|(&amp;', 'gt;)')" />
  <xsl:variable name="apos-esc-err-regex" select="concat('(', $ampersand, 'apos;)|(&amp;', 'apos;)')" />
  <xsl:variable name="nbsp-esc-err-regex" select="concat('(', $ampersand, 'nbsp;)|(&amp;', 'nbsp;)')" />
  <xsl:variable name="quot-esc-err-regex" select="concat('(', $ampersand, 'quot;)|(&amp;', 'quot;)')" />
  <xsl:variable name="example1-markup-type-1" select="concat($less-than, '(/?td/?|td[ ]+(ID|language|styleCode|abbr|axis|headers|scope|rowspan|colspan|align|char|charoff|valign|xsi:type).*?)', $greater-than)" />
  <xsl:variable name="example2-markup-type-1" select="concat($less-than, '(/?th/?|th[ ]+(ID|language|styleCode|abbr|axis|headers|scope|rowspan|colspan|align|char|charoff|valign|xsi:type).*?)', $greater-than)" />
  <xsl:variable name="example3-markup-type-1" select="concat($less-than, '(/?tr/?|tr[ ]+(ID|language|styleCode|align|char|charoff|valign|xsi:type).*?)', $greater-than)" />
  <xsl:variable name="example4-markup-type-1" select="concat($less-than, '(/?tbody/?|tbody[ ]+(ID|language|styleCode|align|char|charoff|valign|xsi:type).*?)', $greater-than)" />
  <xsl:variable name="example5-markup-type-1" select="concat($less-than, '(/?thead/?|thead[ ]+(ID|language|styleCode|align|char|charoff|valign|xsi:type).*?)', $greater-than)" />
  <xsl:variable name="example6-markup-type-1" select="concat($less-than, '(/?tfoot/?|tfoot[ ]+(ID|language|styleCode|align|char|charoff|valign|xsi:type).*?)', $greater-than)" />
  <xsl:variable name="example7-markup-type-1" select="concat($less-than, '(/?table/?|table[ ]+(ID|language|styleCode|summary|width|border|frame|rules|cellspacing|cellpadding|xsi:type).*?)', $greater-than)" />
  <xsl:variable name="example8-markup-type-1" select="concat($less-than, '(/?item/?|item[ ]+(ID|language|styleCode|xsi:type).*?)', $greater-than)" />
  <xsl:variable name="example9-markup-type-1" select="concat($less-than, '(/?list/?|list[ ]+(ID|language|styleCode|listType|xsi:type).*?)', $greater-than)" />
  <xsl:variable name="example10-markup-type-1" select="concat($less-than, '(/?paragraph/?|paragraph[ ]+(ID|language|styleCode|xsi:type).*?)', $greater-than)" />
  <xsl:variable name="example11-markup-type-1" select="concat($less-than, '(/?renderMultiMedia/?|renderMultiMedia[ ]+(referencedObject|ID|language|styleCode|xsi:type).*?)', $greater-than)" />
  <xsl:variable name="example12-markup-type-1" select="concat($less-than, '(/?footnoteRef/?|footnoteRef[ ]+(ID|language|styleCode|IDREF|xsi:type).*?)', $greater-than)" />
  <xsl:variable name="example13-markup-type-1" select="concat($less-than, '(/?footnote/?|footnote[ ]+(ID|language|styleCode|xsi:type).*?)', $greater-than)" />
  <xsl:variable name="example14-markup-type-1" select="concat($less-than, '(/?caption/?|caption[ ]+(ID|language|styleCode|xsi:type).*?)', $greater-than)" />
  <xsl:variable name="example15-markup-type-1" select="concat($less-than, 'br/', $greater-than)" />
  <xsl:variable name="example16-markup-type-1" select="concat($less-than, '/?sub/?', $greater-than)" />
  <xsl:variable name="example17-markup-type-1" select="concat($less-than, '/?sup/?', $greater-than)" />
  <xsl:variable name="example18-markup-type-1" select="concat($less-than, '(/?linkHtml/?|linkHtml[ ]+(name|href|rel|rev|title|ID|language|styleCode|xsi:type).*?)', $greater-than)" />
  <xsl:variable name="example19-markup-type-1" select="concat($less-than, '(/?content/?|content[ ]+(ID|language|styleCode|revised|xsi:type).*?)', $greater-than)" />
  <xsl:variable name="example20-markup-type-1" select="concat($less-than, '/?cr/?', $greater-than)" />
  <xsl:variable name="example21-markup-type-1" select="concat($less-than, '(/?colgroup/?|colgroup[ ]+(ID|language|styleCode|span|width|align|char|charoff|valign|xsi:type).*?)', $greater-than)" />
  <xsl:variable name="example22-markup-type-1" select="concat($less-than, '(/?col/?|col[ ]+(ID|language|styleCode|span|width|align|char|charoff|valign|xsi:type).*?)', $greater-than)" />
  <xsl:variable name="example1-markup-type-2" select="concat($ampersand, 'nbsp', ';')" />
  <xsl:variable name="example2-markup-type-2" select="concat($ampersand, 'lt', ';')" />
  <xsl:variable name="example3-markup-type-2" select="concat($ampersand, 'gt', ';')" />
  <xsl:variable name="example1-markup-type-3" select="concat('&lt;', '(/?td/?|td[ ]+(ID|language|styleCode|abbr|axis|headers|scope|rowspan|colspan|align|char|charoff|valign|xsi:type).*?)', '&gt;')" />
  <xsl:variable name="example2-markup-type-3" select="concat('&lt;', '(/?th/?|th[ ]+(ID|language|styleCode|abbr|axis|headers|scope|rowspan|colspan|align|char|charoff|valign|xsi:type).*?)', '&gt;')" />
  <xsl:variable name="example3-markup-type-3" select="concat('&lt;', '(/?tr/?|tr[ ]+(ID|language|styleCode|align|char|charoff|valign|xsi:type).*?)', '&gt;')" />
  <xsl:variable name="example4-markup-type-3" select="concat('&lt;', '(/?tbody/?|tbody[ ]+(ID|language|styleCode|align|char|charoff|valign|xsi:type).*?)', '&gt;')" />
  <xsl:variable name="example5-markup-type-3" select="concat('&lt;', '(/?thead/?|thead[ ]+(ID|language|styleCode|align|char|charoff|valign|xsi:type).*?)', '&gt;')" />
  <xsl:variable name="example6-markup-type-3" select="concat('&lt;', '(/?tfoot/?|tfoot[ ]+(ID|language|styleCode|align|char|charoff|valign|xsi:type).*?)', '&gt;')" />
  <xsl:variable name="example7-markup-type-3" select="concat('&lt;', '(/?table/?|table[ ]+(ID|language|styleCode|summary|width|border|frame|rules|cellspacing|cellpadding|xsi:type).*?)', '&gt;')" />
  <xsl:variable name="example8-markup-type-3" select="concat('&lt;', '(/?item/?|item[ ]+(ID|language|styleCode|xsi:type).*?)', '&gt;')" />
  <xsl:variable name="example9-markup-type-3" select="concat('&lt;', '(/?list/?|list[ ]+(ID|language|styleCode|listType|xsi:type).*?)', '&gt;')" />
  <xsl:variable name="example10-markup-type-3" select="concat('&lt;', '(/?paragraph/?|paragraph[ ]+(ID|language|styleCode|xsi:type).*?)', '&gt;')" />
  <xsl:variable name="example11-markup-type-3" select="concat('&lt;', '(/?renderMultiMedia/?|renderMultiMedia[ ]+(referencedObject|ID|language|styleCode|xsi:type).*?)', '&gt;')" />
  <xsl:variable name="example12-markup-type-3" select="concat('&lt;', '(/?footnoteRef/?|footnoteRef[ ]+(ID|language|styleCode|IDREF|xsi:type).*?)', '&gt;')" />
  <xsl:variable name="example13-markup-type-3" select="concat('&lt;', '(/?footnote/?|footnote[ ]+(ID|language|styleCode|xsi:type).*?)', '&gt;')" />
  <xsl:variable name="example14-markup-type-3" select="concat('&lt;', '(/?caption/?|caption[ ]+(ID|language|styleCode|xsi:type).*?)', '&gt;')" />
  <xsl:variable name="example15-markup-type-3" select="concat('&lt;', 'br/', '&gt;')" />
  <xsl:variable name="example16-markup-type-3" select="concat('&lt;', '/?sub/?', '&gt;')" />
  <xsl:variable name="example17-markup-type-3" select="concat('&lt;', '/?sup/?', '&gt;')" />
  <xsl:variable name="example18-markup-type-3" select="concat('&lt;', '(/?linkHtml/?|linkHtml[ ]+(name|href|rel|rev|title|ID|language|styleCode|xsi:type).*?)', '&gt;')" />
  <xsl:variable name="example19-markup-type-3" select="concat('&lt;', '(/?content/?|content[ ]+(ID|language|styleCode|revised|xsi:type).*?)', '&gt;')" />
  <xsl:variable name="example20-markup-type-3" select="concat('&lt;', '/?cr/?', '&gt;')" />
  <xsl:variable name="example21-markup-type-3" select="concat('&lt;', '(/?colgroup/?|colgroup[ ]+(ID|language|styleCode|span|width|align|char|charoff|valign|xsi:type).*?)', '&gt;')" />
  <xsl:variable name="example22-markup-type-3" select="concat('&lt;', '(/?col/?|col[ ]+(ID|language|styleCode|span|width|align|char|charoff|valign|xsi:type).*?)', '&gt;')" />
  <xsl:variable name="example1-markup-type-4" select="'&amp;nbsp;'" />
  <xsl:variable name="example2-markup-type-4" select="'&amp;lt;'" />
  <xsl:variable name="example3-markup-type-4" select="'&amp;gt;'" />
  <xsl:variable name="example4-markup-type-4" select="'&amp;amp;'" />
  <xsl:variable name="example5-markup-type-4" select="'&amp;quot;'" />
  <xsl:variable name="example6-markup-type-4" select="'&amp;apos;'" />
  <xsl:variable name="confirmed-markup-regex" select="concat('(', $example1-markup-type-1, ')|(', $example2-markup-type-1, ')|(', $example3-markup-type-1, ')|(', $example4-markup-type-1, ')|(',        $example5-markup-type-1, ')|(', $example6-markup-type-1, ')|(', $example7-markup-type-1, ')|(', $example8-markup-type-1, ')|(',        $example9-markup-type-1, ')|(', $example10-markup-type-1, ')|(', $example11-markup-type-1, ')|(', $example12-markup-type-1, ')|(',        $example13-markup-type-1, ')|(', $example14-markup-type-1, ')|(', $example15-markup-type-1, ')|(', $example16-markup-type-1, ')|(',        $example17-markup-type-1, ')|(', $example18-markup-type-1, ')|(', $example19-markup-type-1, ')|(', $example20-markup-type-1, ')|(',         $example21-markup-type-1, ')|(', $example22-markup-type-1, ')|(',         $example1-markup-type-2, ')|(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(',          $example1-markup-type-3, ')|(', $example2-markup-type-3, ')|(', $example3-markup-type-3, ')|(', $example4-markup-type-3, ')|(',         $example5-markup-type-3, ')|(', $example6-markup-type-3, ')|(', $example7-markup-type-3, ')|(', $example8-markup-type-3, ')|(',         $example9-markup-type-3, ')|(', $example10-markup-type-3, ')|(', $example11-markup-type-3, ')|(', $example12-markup-type-3, ')|(',        $example13-markup-type-3, ')|(', $example14-markup-type-3, ')|(', $example15-markup-type-3, ')|(', $example16-markup-type-3, ')|(',         $example17-markup-type-3, ')|(', $example18-markup-type-3, ')|(', $example19-markup-type-3, ')|(', $example20-markup-type-3, ')|(',        $example21-markup-type-3, ')|(', $example22-markup-type-3, ')|(',         $example1-markup-type-4, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')|(', $example4-markup-type-4, ')|(', $example5-markup-type-4, ')|(',         $example6-markup-type-4, ')')" />
  <xsl:variable name="invalid-CDA-markup-regex" select="concat('(', $example1-markup-type-1, ')|(', $example2-markup-type-1, ')|(', $example3-markup-type-1, ')|(', $example4-markup-type-1, ')|(',        $example5-markup-type-1, ')|(', $example6-markup-type-1, ')|(', $example7-markup-type-1, ')|(', $example8-markup-type-1, ')|(',        $example9-markup-type-1, ')|(', $example10-markup-type-1, ')|(', $example11-markup-type-1, ')|(', $example12-markup-type-1, ')|(',        $example13-markup-type-1, ')|(', $example14-markup-type-1, ')|(', $example15-markup-type-1, ')|(', $example16-markup-type-1, ')|(',        $example17-markup-type-1, ')|(', $example18-markup-type-1, ')|(', $example19-markup-type-1, ')|(', $example20-markup-type-1, ')|(',         $example21-markup-type-1, ')|(', $example22-markup-type-1, ')') " />
  <xsl:variable name="invalid-concept-regex" select="concat('(', $example1-markup-type-1, ')|(', $example2-markup-type-1, ')|(', $example3-markup-type-1, ')|(', $example4-markup-type-1, ')|(',        $example5-markup-type-1, ')|(', $example6-markup-type-1, ')|(', $example7-markup-type-1, ')|(', $example8-markup-type-1, ')|(',        $example9-markup-type-1, ')|(', $example10-markup-type-1, ')|(', $example11-markup-type-1, ')|(', $example12-markup-type-1, ')|(',        $example13-markup-type-1, ')|(', $example14-markup-type-1, ')|(', $example15-markup-type-1, ')|(', $example18-markup-type-1, ')|(',         $example19-markup-type-1, ')|(', $example20-markup-type-1, ')|(', $example21-markup-type-1, ')|(',         $example1-markup-type-3, ')|(', $example2-markup-type-3, ')|(', $example3-markup-type-3, ')|(', $example4-markup-type-3, ')|(',         $example5-markup-type-3, ')|(', $example6-markup-type-3, ')|(', $example7-markup-type-3, ')|(', $example8-markup-type-3, ')|(',         $example9-markup-type-3, ')|(', $example10-markup-type-3, ')|(', $example11-markup-type-3, ')|(', $example12-markup-type-3, ')|(',        $example13-markup-type-3, ')|(', $example14-markup-type-3, ')|(', $example15-markup-type-3, ')|(', $example18-markup-type-3, ')|(',         $example19-markup-type-3, ')|(', $example20-markup-type-3, ')|(', $example21-markup-type-3, ')')" />
  <xsl:variable name="chars-no-space-pipe" select="concat(codepoints-to-string((10, 13, 34, 38, 39, 60, 62, 160, 8211, 8212, 8216, 8217)), '^\/?%(){}[]*:;.,+-=')" />
  <xsl:variable name="chars-no-space" select="concat($chars-no-space-pipe, '|')" />
  <xsl:variable name="chars-no-pipe" select="concat($chars-no-space-pipe, ' ')" />
  <xsl:variable name="chars-to-remove" select="concat($chars-no-space, ' ')" />
  <xsl:variable name="regex-date-type-1" select="concat('(',       '^[0-9]{1,2}/{1}[0-9]{1,2}/{1}[1-2]{1}[0-9]{3}($|[^0-9a-z])',   ')|(',       '^[0-9]{1,2}/{1}[0-9]{1,2}/{1}[0-9]{2}($|[^0-9a-z])',    ')')" />
  <xsl:variable name="date-sep" select="'[, -/\.]{1,2}'" />
  <xsl:variable name="regex-date-type-2" select="concat('(',       '^jan[uary]{0,4}', $date-sep, '[0-9]{2}($|[^0-9a-z])',      ')|(',       '^feb[ruay]{0,5}', $date-sep, '[0-9]{2}($|[^0-9a-z])',      ')|(',       '^mar[ch]{0,2}', $date-sep, '[0-9]{2}($|[^0-9a-z])',      ')|(',       '^apr[il]{0,2}', $date-sep, '[0-9]{2}($|[^0-9a-z])',      ')|(',       '^may', $date-sep, '[0-9]{2}($|[^0-9a-z])',       ')|(',       '^jun[e]{0,1}', $date-sep, '[0-9]{2}($|[^0-9a-z])',      ')|(',       '^jul[y]{0,1}', $date-sep, '[0-9]{2}($|[^0-9a-z])',      ')|(',       '^aug[ust]{0,3}', $date-sep, '[0-9]{2}($|[^0-9a-z])',      ')|(',       '^sep[tembr]{0,6}', $date-sep, '[0-9]{2}($|[^0-9a-z])',      ')|(',       '^oct[ober]{0,4}', $date-sep, '[0-9]{2}($|[^0-9a-z])',      ')|(',       '^nov[embr]{0,5}', $date-sep, '[0-9]{2}($|[^0-9a-z])',      ')|(',       '^dec[embr]{0,5}', $date-sep, '[0-9]{2}($|[^0-9a-z])',      ')|(',       '^jan[uary]{0,4}', $date-sep, '[1-2]{1}[0-9]{3}($|[^0-9a-z])',      ')|(',       '^feb[ruay]{0,5}', $date-sep, '[1-2]{1}[0-9]{3}($|[^0-9a-z])',      ')|(',       '^mar[ch]{0,2}', $date-sep, '[1-2]{1}[0-9]{3}($|[^0-9a-z])',      ')|(',       '^apr[il]{0,2}', $date-sep, '[1-2]{1}[0-9]{3}($|[^0-9a-z])',      ')|(',       '^may', $date-sep, '[1-2]{1}[0-9]{3}($|[^0-9a-z])',       ')|(',       '^jun[e]{0,1}', $date-sep, '[1-2]{1}[0-9]{3}($|[^0-9a-z])',      ')|(',       '^jul[y]{0,1}', $date-sep, '[1-2]{1}[0-9]{3}($|[^0-9a-z])',      ')|(',       '^aug[ust]{0,3}', $date-sep, '[1-2]{1}[0-9]{3}($|[^0-9a-z])',      ')|(',       '^sep[tembr]{0,6}', $date-sep, '[1-2]{1}[0-9]{3}($|[^0-9a-z])',     ')|(',       '^oct[ober]{0,4}', $date-sep, '[1-2]{1}[0-9]{3}($|[^0-9a-z])',      ')|(',       '^nov[embr]{0,5}', $date-sep, '[1-2]{1}[0-9]{3}($|[^0-9a-z])',      ')|(',       '^dec[embr]{0,5}', $date-sep, '[1-2]{1}[0-9]{3}($|[^0-9a-z])',      ')|(',       '^[0-9]{1,2}', $date-sep, 'jan[uary]{0,4}', $date-sep, '[0-9]{2}($|[^0-9a-z])',   ')|(',       '^[0-9]{1,2}', $date-sep, 'feb[ruay]{0,5}', $date-sep, '[0-9]{2}($|[^0-9a-z])',   ')|(',       '^[0-9]{1,2}', $date-sep, 'mar[ch]{0,2}', $date-sep, '[0-9]{2}($|[^0-9a-z])',   ')|(',       '^[0-9]{1,2}', $date-sep, 'apr[il]{0,2}', $date-sep, '[0-9]{2}($|[^0-9a-z])',   ')|(',       '^[0-9]{1,2}', $date-sep, 'may', $date-sep, '[0-9]{2}($|[^0-9a-z])',    ')|(',       '^[0-9]{1,2}', $date-sep, 'jun[e]{0,1}', $date-sep, '[0-9]{2}($|[^0-9a-z])',   ')|(',       '^[0-9]{1,2}', $date-sep, 'jul[y]{0,1}', $date-sep, '[0-9]{2}($|[^0-9a-z])',   ')|(',       '^[0-9]{1,2}', $date-sep, 'aug[ust]{0,3}', $date-sep, '[0-9]{2}($|[^0-9a-z])',   ')|(',       '^[0-9]{1,2}', $date-sep, 'sep[tembr]{0,6}', $date-sep, '[0-9]{2}($|[^0-9a-z])',  ')|(',       '^[0-9]{1,2}', $date-sep, 'oct[ober]{0,4}', $date-sep, '[0-9]{2}($|[^0-9a-z])',   ')|(',       '^[0-9]{1,2}', $date-sep, 'nov[embr]{0,5}', $date-sep, '[0-9]{2}($|[^0-9a-z])',   ')|(',       '^[0-9]{1,2}', $date-sep, 'dec[embr]{0,5}', $date-sep, '[0-9]{2}($|[^0-9a-z])',   ')|(',       '^[0-9]{1,2}', $date-sep, 'jan[uary]{0,4}', $date-sep, '[1-2]{1}[0-9]{3}($|[^0-9a-z])',  ')|(',       '^[0-9]{1,2}', $date-sep, 'feb[ruay]{0,5}', $date-sep, '[1-2]{1}[0-9]{3}($|[^0-9a-z])',  ')|(',       '^[0-9]{1,2}', $date-sep, 'mar[ch]{0,2}', $date-sep, '[1-2]{1}[0-9]{3}($|[^0-9a-z])',   ')|(',       '^[0-9]{1,2}', $date-sep, 'apr[il]{0,2}', $date-sep, '[1-2]{1}[0-9]{3}($|[^0-9a-z])',   ')|(',       '^[0-9]{1,2}', $date-sep, 'may', $date-sep, '[1-2]{1}[0-9]{3}($|[^0-9a-z])',    ')|(',       '^[0-9]{1,2}', $date-sep, 'jun[e]{0,1}', $date-sep, '[1-2]{1}[0-9]{3}($|[^0-9a-z])',   ')|(',       '^[0-9]{1,2}', $date-sep, 'jul[y]{0,1}', $date-sep, '[1-2]{1}[0-9]{3}($|[^0-9a-z])',   ')|(',       '^[0-9]{1,2}', $date-sep, 'aug[ust]{0,3}', $date-sep, '[1-2]{1}[0-9]{3}($|[^0-9a-z])',   ')|(',       '^[0-9]{1,2}', $date-sep, 'sep[tembr]{0,6}', $date-sep, '[1-2]{1}[0-9]{3}($|[^0-9a-z])', ')|(',       '^[0-9]{1,2}', $date-sep, 'oct[ober]{0,4}', $date-sep, '[1-2]{1}[0-9]{3}($|[^0-9a-z])',  ')|(',       '^[0-9]{1,2}', $date-sep, 'nov[embr]{0,5}', $date-sep, '[1-2]{1}[0-9]{3}($|[^0-9a-z])',  ')|(',       '^[0-9]{1,2}', $date-sep, 'dec[embr]{0,5}', $date-sep, '[1-2]{1}[0-9]{3}($|[^0-9a-z])',  ')|(',       '^[1-2]{1}[0-9]{3}($|[^0-9a-z])',        ')')" />
  <xsl:variable name="regex-space-date-type-2" select="'(^[0-9]{1,2}[ ]{1}[a-z]{3,}[ ]{1}[1-2]{1}[0-9]{3})|(^[a-z]{3,}[ ]{1}[1-2]{1}[0-9]{3})|(^[1-2]{1}[0-9]{3})|         (^[0-9]{1,2}[ ]{1}[a-z]{3,}[ ]{1}[0-9]{2})|(^[a-z]{3,}[ ]{1}[0-9]{2})'" />
  <xsl:variable name="regex-dash-date-type-2" select="'(^[0-9]{1,2}[-]{1}[a-z]{3,}[-]{1}[1-2]{1}[0-9]{3})|(^}[a-z]{3,}[-]{1}[1-2]{1}[0-9]{3})|(^[1-2]{1}[0-9]{3})|         (^[0-9]{1,2}[-]{1}[a-z]{3,}[-]{1}[0-9]{2})|(^[a-z]{3,}[-]{1}[0-9]{2})'" />
  <xsl:variable name="regex-other-date-type-2" select="'(^[0-9]{1,2}([^0-9a-z -]+|[ -]{2,})[a-z]{3,}([^0-9a-z -]+|[ -]{2,})[1-2]{1}[0-9]{3})|          (^[a-z]{3,}([^0-9a-z -]+|[ -]{2,})[1-2]{1}[0-9]{3})|          (^[0-9]{1,2}([^0-9a-z -]+|[ -]{2,})[a-z]{3,}([^0-9a-z -]+|[ -]{2,})[0-9]{2})|          (^[a-z]{3,}([^0-9a-z -]+|[ -]{2,})[0-9]{2})'" />
  <xsl:variable name="regex-date-type-3" select="'^[1-2]{1}[0-9]{5,}\.{0,1}[0-9]*[-+]{0,1}[0-9]*$'" />
  <xsl:variable name="regex-time" select="'^[0-9]{1,2}:{1}[0-9]{2}'" />
  <xsl:variable name="regex-seconds" select="'^:{1}[0-9]{2}'" />
  <xsl:variable name="regex-timezone" select="'^[+-]{1}[0-9]{4}'" />
  <xsl:variable name="narr-time-regex" select="'[0-9]{1,2}:[0-9]{2}(\s*|:[0-9]{2}\s*)(am\s*|pm\s*|\s*)([+-][0-9]{2}:?[0-9]{2}\s*|\s*)'" />
  <xsl:variable name="fixed-text-ordered" select="tokenize(dh:OrderByLength(string-join(for $text in ($iq-config/narrative-fixed-text/fixed-text, $knowledge/narrative-fixed-text/fixed-text)          return $text/@value, '|'), false()), '\|') " />
  <xsl:variable name="fixed-text-regex" select="concat('^(', string-join(for $text in $fixed-text-ordered return normalize-space(translate($text, $chars-no-space, '')), '|'), ')$') " />
  <xsl:variable name="fixed-text-pattern" select="string-join(for $text in $fixed-text-ordered return          concat('(^|\W+)(', normalize-space(translate($text, $chars-no-space, '')), ')(\W+|$)~$1 $3'), '~') " />
  <xsl:variable name="narr-nv-ordered" select="tokenize(dh:OrderByLength(string-join(for $text in ($iq-config/narr-non-values/non-value, $narr-non-values/non-value)          return $text/@non-value, '|'), false()), '\|') " />
  <xsl:variable name="narr-non-values-pattern" select="string-join(for $text in $narr-nv-ordered return          concat('(^|.*?\W+)(', normalize-space(translate($text, $chars-no-space, '')), ')(\W+.*?|$)~$1 $3'), '~') " />
  <xsl:variable name="regex-non-values" select="if (exists($knowledge/non-values)) then concat('(', dh:OrderByLength(string-join($knowledge/non-values/non-value/@regex, '|'), false()), ')')         else '' " />
  <xsl:variable name="ext-att-uri-regex" select="'(^|[^a-z])(file:|ftp:|http:|https:)'" />
  <xsl:variable name="pcehr-uri-regex" select="'^pcehr:1.2.36.1.2001.1007.10.800364[0-9]{10}/[.0-9a-fA-F^]+$'" />
  <xsl:variable name="mailto-uri-regex" select="'^[^ ()&lt;&gt;@,;:\.\\\[\]][^ ()&lt;&gt;@,;:\\\[\]]+@[^ ()&lt;&gt;@,;:\.\\\[\]][^ ()&lt;&gt;@,;:\\\[\]]+$'" />
  <xsl:variable name="uri-chars" select="concat(codepoints-to-string((38, 39)), 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789-._~%!$()*+,;=:@/?')" />
  <xsl:variable name="oid-chars" select="'0123456789.'" />
  <xsl:variable name="uuid-chars" select="'0123456789abcdefABCDEF-'" />
  <xsl:variable name="oid-regex" select="'^[0-2]{1}\.[0-9.]+$'" />
  <xsl:variable name="invalid-arc-regex" select="'(\.0[0-9]+)|(\.\.)|(\.$)'" />
  <xsl:variable name="uuid-regex" select="'(^[0-9a-f]{8}\-[0-9a-f]{4}\-[0-9a-f]{4}\-[0-9a-f]{4}\-[0-9a-f]{12}$)|(^[0-9A-F]{8}\-[0-9A-F]{4}\-[0-9A-F]{4}\-[0-9A-F]{4}\-[0-9A-F]{12}$)'" />
  <xsl:variable name="invalid-uuid-regex" select="'00000000-0000-0000-0000-000000000000'" />
  <xsl:variable name="abn-oid-regex" select="'(^1\.2\.36\.[0-9]{10,11}\.[0-9.]*[0-9]{1}$|^1\.2\.36\.[0-9]{10,11}$|^1\.2\.36\.1\.2001\.1005\.7[01]{1}\.[0-9]{10,11}\.[0-9.]*[0-9]{1}$|^1\.2\.36\.1\.2001\.1005\.7[01]{1}\.[0-9]{10,11}$)'" />
  <xsl:variable name="acn-oid-regex" select="'(^1\.2\.36\.[0-9]{2,9}\.[0-9.]*[0-9]{1}$|^1\.2\.36\.[0-9]{2,9}$|^1\.2\.36\.1\.2001\.1005\.7[01]{1}\.[0-9]{2,9}\.[0-9.]*[0-9]{1}$|^1\.2\.36\.1\.2001\.1005\.7[01]{1}\.[0-9]{2,9}$)'" />
  <xsl:variable name="known-abn-arcs" select="('174030967')" />
  <xsl:variable name="known-abn-names" select="('Medicare Australia')" />
  <xsl:variable name="known-acn-arcs" select="('104808988', '129710685', '132172957', '174030967')" />
  <xsl:variable name="known-acn-names" select="('Best Practice', 'Health Industry Exchange', 'Medisecure', 'Medicare Australia')" />
  <xsl:variable name="hi-regex" select="'^80036[0-2]{1}[0-9]{10}$'" />
  <xsl:variable name="ihi-regex" select="'^800360[0-9]{10}$'" />
  <xsl:variable name="hpii-regex" select="'^800361[0-9]{10}$'" />
  <xsl:variable name="hpio-regex" select="'^800362[0-9]{10}$'" />
  <xsl:variable name="medicare-card-regex" select="'^[0-9]{10}$'" />
  <xsl:variable name="medicare-ind-regex" select="'^[0-9]{11}$'" />
  <xsl:variable name="dva-270091-regex" select="'^(N|V|Q|W|S|T)([A-Z]{1}[0-9]{6}|[A-Z]{2}[0-9]{5}|[A-Z]{3}[0-9]{4})[A-Z]?$'" />
  <xsl:variable name="dva-339127-regex" select="'^(N|V|Q|W|S|T)([ A-Z]{1}[0-9]{6}|[A-Z]{2}[0-9]{5}|[A-Z]{3}[0-9]{4})[A-Z]?$'" />
  <xsl:variable name="centrelink-crn-regex" select="'^[0-9]{9}[A-Z]$'" />
  <xsl:variable name="latin-term-regex" select="'(^|^.*?[^a-z0-9\.&amp;/]+[0-9]*?|^.*?[^a-z\.]+[0-9]+|^\s*[0-9/]+|^.*?\s[0-9/]+)(ad|ante|aqua|bis|da|die|et|guttae|gutta|gutte|mane|mitte|nocte)([^a-z\./]+.*?$|\.$|\. .*?$|$)'" />
  <xsl:variable name="latin-mabbr-regex" select="'(^|^.*?[^a-z0-9\.&amp;/]+[0-9]*?|^.*?[^a-z\.]+[0-9]+|^\s*[0-9/]+|^.*?\s[0-9/]+)(ad lib\.?|ad us\.?|alt\.? d\.?|alt\. ?d\.?|alt\.? dieb\.?|alt\. ?dieb\.?|alt\.? die\.?|alt\. ?die\.?|alt\.? hor\.?|alt\. ?hor\.?|alt\.? h\.?|alt\. ?h\.?|aq\.? bull\.?|aq\. ?bull\.?|aq\.? com\.?|aq\. ?com\.?|aq\.? dest\.?|aq\. ?dest\.?|aq\.? ferv\.?|aq\. ?ferv\.?|bis ind\.?|bis in [\-0-9]+[ ]?d\.?|cochl\.? ampl\.?|cochl\. ?ampl\.?|cochl\.? infant\.?|cochl\. ?infant\.?|cochl\.? mag\.?|cochl\. ?mag\.?|cochl\.? mod\.?|cochl\. ?mod\.?|cochl\.? parv\.?|cochl\. ?parv\.?|cyath\.? vinos\.?|cyath\. ?vinos\.?|dieb\.? alt\.?|dieb\. ?alt\.?|d\.? in p\.? ae\.?|dolent\.? part\.?|dolent\. ?part\.?|dol\.? urg|dol\. ?urg|ex aq\.?|f\.? pil\.?|f\. ?pil\.?|hor\.? alt\.?|hor\. ?alt\.?|hor\.? decub\.?|hor\. ?decub\.?|hor\.? intermed\.?|hor\. ?intermed\.?|hor\.? tert\.?|hor\. ?tert\.?|lat\.? dol\.?|lat\. ?dol\.?|mod\.? praescript\.?|non rep\.?|n\.? et m\.?|o\.? alt\.? hor\.?|o\. ?alt\. ?hor\.?|omn\.? bih\.?|omn\. ?bih\.?|omn\.? hor\.?|omn\. ?hor\.?|part\.? aeq\.?|part\. ?aeq\.?|p\.? aeq\.?|p\. ?aeq\.?|part\.? dolent\.?|part\. ?dolent\.?|q\.? ?[\-0-9]+\.? ?d\.?|q\.? ?[\-0-9]+\.? ?h\.?|q\.?[0-9]+\.?a\.?m\.?|q\.?[0-9]+\.?p\.?m\.?|q\.?[0-9]{1,2}/[0-9]{1,2}\.?|q\.?s\.? a\.?d|q\.?s\. ?a\.?d|si op\.? sit|ut\.? dict\.?|ut\. ?dict\.?)([^a-z\./]+.*?$|\.$|\. .*?$|$)'" />
  <xsl:variable name="latin-abbr-regex" select="'(^|^.*?[^a-z0-9\.&amp;/]+[0-9]*?|^.*?[^a-z\.]+[0-9]+|^\s*[0-9/]+|^.*?\s[0-9/]+)(aa\.?|a\.?c\.?h\.?s\.?|a\.?c\.?|a\.?d\.?d\.?|admov\.?|a\.?d\.?|aeq\.?|agit\.?|amp\.?|a\.?m\.?|applic\.?|aq\.?|a\.?l\.?|a\.s\.|aurist\.?|aur\.?|a\.?u\.?|b\.?d\.?s|b\.?d\.?|bib\.?|b\.?i\.?d\.?|bol\.?|bucc\.?|b\.?|calid\.?|c\.?c\.?|c\.?m\.?s\.?|c\.m\.?|cib\.?|c\.?c\.?|c\.?f\.?|c\.?n\.?|cochl\.?|colet\.?|collut\.?|collyr\.?|comp\.?|contin\.?|cpt\.?|cuj\.?|c\.?v\.?|cyath\.?|decoct\.?|dest\.?|det\.?|dim\.?|d\.?t\.?d\.?|d\.?|e\.?m\.?p\.?|emuls\.?|exhib\.?|f\.?h\.?|fld\.?|fl\.?|f\.?m\.?|fort\.?|f\.?s\.?a\.?|ft\.?|f\.?|garg\.?|gr\.?|gtts?\.?|gutt\.?|hor\.?|habt\.?|h\.?s\.?|i\.?c\.?|IJ|inj\.?|ind\.?|inf\.?|i/d|ii/d|iii/d|iv/d|iv|i-ii|i-iii|i-iv|iii|ii|i|lb\.?|l\.?c\.?d\.?|lin\.?|lot\.?|m\.?d\.?u\.?|m\.?d\.?|mEq|mist\.?|mitt\.?|mit\.?|m\.?|narist\.?|noct\.?|n\.?p\.?o\.?|n\.?p\.?|occ?ulent\.?|occ?\.?|o\.?d\.?|o\.?m\.?|o\.n\.|o\.?s\.?|o\.?u\.?|p\.?a\.?a\.?|p\.?a\.?|p\.?c\.?h\.?s\.?|p\.?c\.?|pigm\.?|pig\.?|p\.?m\.?|p\.?o\.?|ppt\.?|p\.?r\.?n\.?|pt\.?|pulv\.?|p\.?|q\.?a\.?d\.?|q\.?a\.?m\.?|q\.?d\.?|q\.?d\.?a\.?m\.?|q\.?d\.?p\.?m\.?|q\.?d\.?s\.?|q\.?p\.?m\.?|q\.?h\.?s\.?|q\.?h\.?|q\.?i\.?d\.?|q\.?l\.?|q\.?n\.?|q\.?o\.?d\.?|q\.?q\.?h\.?|q\.?q\.?|q\.?s\.?|q\.?v\.?|q\.?|rept\.?|rep\.?|Rx\.?|s\.?a\.?|sem\.?|s\.?i\.?d\.?|sig\.?|sing\.?|sol\.?|s\.?o\.?s\.?|s\.?s\.?|stat|sum\.?|supp\.?|susp\.?|syr\.?|s\.?|tal\.?|t\.?d\.?s\.?|t\.?i\.?d\.?|t\.?d\.?d\.?|t\.?d\.?|trit\.?|troche?\.?|tr|t\.?|u\.?a\.?|u\.?d\.?|ung\.?|ut\.?)([^a-z\./]+.*?$|\.$|\. .*?$|$)'" />
  <xsl:variable name="other-abbr-regex" select="'(^|^.*?[^a-z0-9\.&amp;/]+[0-9]*?|^.*?[^a-z\.]+[0-9]+|^\s*[0-9/]+|^.*?\s[0-9/]+)(AAA|alt\.?|amt\.?|appl\.?|A\.?T\.?C\.?|B\.?M\.?|B\.?S\.?A\.?|B\.?S\.?|b\.?t\.?|c\.?|caps\.?|cap\.?|conc\.?|co\.?|crem\.?|crm\.?|cr\.?|CST|D5LR|D5NS|D5W|D10W|DAQ|D/?C|D\.?A\.?W\.?|d/?c\.?|disc\.?|dil\.?|disp\.?|dev\.?|div\.?|dL|dos\.?|DS|DTO|D\.?W\.?|elix\.?|EOD|extemp\.?|ext\.?|e\.?|G\.?I\.?|gm\.?|H|hrs?|hrly|IBW|ID|i\.?m\.?|i\.?n\.|IO|IP|IU|i\.?v\.?|i\.?v\.?p\.?|IVI|IVPB|IVP|L\.?A\.?S\.?|liq\.?|max\.?|mcg\.?|mdi|MgSO4|midi|mins?\.?|mls\.?|MSO4|MS|nas\.?|N\.?M\.?T\.?|NS|1/2NS|N\.?T\.?E\.?|nebul\.?|neb\.?|n\.?|o_?2|OJ|OPD|o\.?w\.?|oz\.?|o\.?|past\.?|p/?\.?f\.?|P\.?V\.?|p\.?r\.?|p\.?v\.?|QWK|R/?L|r\.?e\.?|R\.?|S\.?C\.?|S\.?/?L\.?|SOB|SSI|S\.?Q\.?|SSRI|Sub\.?C\.?|Sub\.?Cut\.?|Sub\.?Q\.?|tabs\.?|tab\.?|tbsp|tb\.?|t\.?d\.?|t\.?e\.?|t\.?i\.?w\.?|tinct\.?|tinc\.?|top\.|T\.?P\.?N\.?|tsf\.?|tsp\.?|ug\.?|U|vag\.?|w/a|w/f|wks?\.?|w/o|W\.?S\.?P\.?|w/?\.?|x|y\.?o\.?|Y\.?S\.?P\.?)([^a-z\./]+.*?$|\.$|\. .*?$|$)'" />
  <xsl:variable name="directions-dec-regex" select="'(^|^.*?[^0-9a-z])(\.[0-9]+)([^0-9]+.*?$|$)'" />
  <xsl:variable name="directions-frac-regex" select="'(^|^.*?[^0-9\./])([0-9]{1,2}/[0-9]{1,2})([^0-9/]+.*?$|$)'" />
  <xsl:variable name="sig-risk-regex" select="'^(gutte|q\.?d\.?s\.?|dc|D/?C|IO|IP|IU|IVI|mcg|o\.?d\.?|OJ|U|u|SSRI|SSI)$'" />
  <xsl:variable name="narr-ceased-med-regex" select="if ($knowledge/narr-regex/narr-ceased-med/@regex) then $knowledge/narr-regex/narr-ceased-med/@regex else '' " />
  <xsl:variable name="narr-ceased-med-neg-regex" select="if ($knowledge/narr-regex/narr-ceased-med-neg/@regex) then $knowledge/narr-regex/narr-ceased-med-neg/@regex else '' " />
  <xsl:variable name="narr-current-med-regex" select="if ($knowledge/narr-regex/narr-current-med/@regex) then $knowledge/narr-regex/narr-current-med/@regex else '' " />
  <xsl:variable name="narr-current-med-neg-regex" select="if ($knowledge/narr-regex/narr-current-med-neg/@regex) then $knowledge/narr-regex/narr-current-med-neg/@regex else '' " />
  <xsl:variable name="narr-med-regex" select="if ($knowledge/narr-regex/narr-med/@regex) then $knowledge/narr-regex/narr-med/@regex else '' " />
  <xsl:variable name="narr-med-neg-regex" select="if ($knowledge/narr-regex/narr-med-neg/@regex) then $knowledge/narr-regex/narr-med-neg/@regex else '' " />
  <xsl:variable name="narr-adverse-regex" select="if ($knowledge/narr-regex/narr-adverse/@regex) then $knowledge/narr-regex/narr-adverse/@regex else '' " />
  <xsl:variable name="narr-adverse-neg-regex" select="if ($knowledge/narr-regex/narr-adverse-neg/@regex) then $knowledge/narr-regex/narr-adverse-neg/@regex else '' " />
  <xsl:variable name="ts-chars" select="'0123456789+-.'" />
  <xsl:variable name="ts-tz-regex" select="'^[0-9]{4}$'" />
  <xsl:variable name="postcode-regex" select="'^[0-9]{4}$'" />
  <xsl:variable name="state-regex" select="concat('^(', string-join($knowledge/states/state/@abbreviation, '|'), ')$') " />
  <xsl:variable name="state-full-regex" select="replace(concat('(',string-join(($knowledge/states/state/@abbreviation, $knowledge/states/state/@name, $knowledge/states/state/@typo), '|'), ')'), ' ', '\\s+') " />
  <xsl:variable name="state-pattern-replacement" select="replace(string-join(for $item in $knowledge/states/state return         if ($item/@typo) then         concat('(^|[^a-z])', $item/@name, '([^a-z]|$)', '~$1', $item/@abbreviation, '$2~', '(^|[^a-z])', $item/@typo, '([^a-z]|$)', '~$1', $item/@abbreviation, '$2')        else concat('(^|[^a-z])', $item/@name, '([^a-z]|$)', '~$1', $item/@abbreviation, '$2'), '~'), ' ', '\\s+') " />
  <xsl:variable name="street-type-regex" select="concat('^.*?[a-z]+\s+(', string-join(        ($knowledge/street-types/street-type/@name, $knowledge/street-types/street-type/@abbreviation, $knowledge/street-types/street-type/@typo),         '|'), ')$')" />
  <xsl:variable name="name-newborn-g-regex" select="'(baby\s+of|twin\s+of|trip\s+of|triplet\s+of|quad\s+of|quadruplet\s+of|quin\s+of|quintuplet\s+of|sext\s+of|sextuplet\s+of|sept\s+of|septuplet\s+of)'" />
  <xsl:variable name="name-newborn-w-regex" select="'^(baby\s+of|twin\s+of|trip\s+of|triplet\s+of|quad\s+of|quadruplet\s+of|quin\s+of|quintuplet\s+of|sext\s+of|sextuplet\s+of|sept\s+of|septuplet\s+of)$'" />
  <xsl:variable name="name-newborn-w-rep-regex" select="'(^|[^a-z])(baby\s+of|twin\s+of|trip\s+of|triplet\s+of|quad\s+of|quadruplet\s+of|quin\s+of|quintuplet\s+of|sext\s+of|sextuplet\s+of|sept\s+of|septuplet\s+of)([^a-z]|$)'" />
  <xsl:variable name="name-prefix-regex-1" select="concat('(', string-join($knowledge/name-title/title/@full, '|'), '|', string-join($knowledge/name-title/title/@abbreviation, '|'), ')')" />
  <xsl:variable name="name-prefix-regex" select="concat('^', $name-prefix-regex-1, '$')" />
  <xsl:variable name="name-prefix-rep-regex" select="concat('(^|[^a-z])', $name-prefix-regex-1, '([^a-z]|$)')" />
  <xsl:variable name="name-suffix-regex" select="concat('^(', string-join($knowledge/name-suffix/suffix/@full, '|'), '|', string-join($knowledge/name-suffix/suffix/@abbreviation, '|'), ')$')" />
  <xsl:variable name="name-suffix-m-regex-1" select="concat('(', string-join($knowledge/name-suffix/suffix/@full, '|'), '|', string-join($knowledge/name-suffix/suffix[string-length(@abbreviation) &gt; 1]/@abbreviation, '|'), ')')" />
  <xsl:variable name="name-suffix-m-regex" select="concat('^', $name-suffix-m-regex-1, '$')" />
  <xsl:variable name="name-suffix-m-rep-regex" select="concat('(^|[^a-z])', $name-suffix-m-regex-1, '([^a-z]|$)')" />
  <xsl:variable name="uri-scheme-regex" select="'^[a-zA]{1}[0-9a-zA-Z+-.]*$'" />
  <xsl:variable name="ucum-time-unit-regex" select="'(^min$)|(^h$)|(^d$)|(^a_t$)|(^a_j$)|(^a_g$)|(^a$)|(^wk$)|(^mo_s$)|(^mo_j$)|(^mo_g$)|(^mo$)'" />
  <xsl:variable name="ucum-annotation-regex" select="'\{.*\}'" />
  <xsl:variable name="ucum-annotation-replacement" select="'(^|/|\.)\{.*\}$~~\{.*\}~'" />
  <xsl:variable name="ucum-chars" select="'_\[\]''\+\-\./\(\)\^\*%0-9a-z'" />
  <xsl:variable name="ucum-invalid-replacement" select="string-join(for $term in $UCUM/invalid return concat($term/@regex, '~', $term/@correction), '~') " />
  <xsl:variable name="number-regex" select="'^\s*(-?\d*\.\d+|-?\d+\.\d*|\d+)'" />
  <xsl:variable name="number-in-ST-regex" select="'^\s*(-?\d*\.\d+|-?\d+\.\d*|\d+)(.*)$'" />
  <xsl:variable name="PQ-low-regex" select="'^\s*\(?(&gt;|&gt;)\s*(-?\d*\.\d+|-?\d+\.\d*|\d+)'" />
  <xsl:variable name="PQ-high-regex" select="'^\s*\(?&lt;\s*(-?\d*\.\d+|-?\d+\.\d*|\d+)'" />
  <xsl:variable name="IVL_PQ-regex" select="'^\s*\(?\s*(-?\d*\.\d+|-?\d+\.\d*|\d+)\s*-\s*(-?\d*\.\d+|-?\d+\.\d*|\d+)\)?'" />
  <xsl:variable name="RR-regex" select="'(^.+?\(RR)([^\)]+?)(\))' " />
  <xsl:variable name="PQ-replacement" select="concat('^(\s*)(.+?)\(.*\)~$2~[\(\)]~~^[0-9 \.\-]+~~', $ucum-invalid-replacement, '~\s+~')" />
  <xsl:variable name="IVL_PQ-replacement" select="concat('^(\s*)(.+?)\(.*\)~$2~[\(\)]~~^\s*(&gt;|&gt;|&lt;)\s*~~^(\d*\.?\d*\s*-\s*\d*\.?\d*|\d*\.?\d*)\s*~~',          $ucum-invalid-replacement, '~\s+~')" />
  <xsl:variable name="known-templateIds" select="for $i in (1 to count($document-types/doc-type)) return $document-types[$i]/doc-type/@templateId" />
  <xsl:variable name="templateId-root" select="/cda:ClinicalDocument/cda:templateId[exists(index-of($known-templateIds, @root))]/@root" />
  <xsl:variable name="templateId-ext" select="/cda:ClinicalDocument/cda:templateId[exists(index-of($known-templateIds, @root))]/@extension" />
  <xsl:variable name="doc-type" select="if ($document-types/doc-type[@templateId = $templateId-root and @extension = $templateId-ext])         then $document-types/doc-type[@templateId = $templateId-root and @extension = $templateId-ext] else () " />
  <xsl:variable name="document-name" select="if (exists($doc-type)) then $doc-type[@templateId = $templateId-root]/@name else 'unknown document type' " />
  <xsl:variable name="document-id" select="if (/cda:ClinicalDocument/cda:id[@root and not(@extension)]) then /cda:ClinicalDocument/cda:id/@root        else if (/cda:ClinicalDocument/cda:id[@root and @extension])         then concat(/cda:ClinicalDocument/cda:id/@root, '^', /cda:ClinicalDocument/cda:id/@extension)        else 'invalid ID' " />
  <xsl:variable name="rendering-1-0" select="exists(/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.100.149' and @extension = '1.0']) " />
  <xsl:variable name="doc-common-conf-profile" select="if ($doc-type/@common-conformance-profile) then $doc-type/@common-conformance-profile else '0' " />
  <xsl:variable name="logical-spec" select="if (/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4'])         then concat($document-name, ' Structured Document Template')         else concat($document-name, ' Structured Content Specification') " />
  <xsl:variable name="doc-type-min-conformance-level" select="if ($doc-type/@min-conformance) then $doc-type/@min-conformance else 'unknown' " />
  <xsl:variable name="conformance-level-3" select="($flags/@conformance-level and upper-case($flags/@conformance-level) = ('3A', '3B')) or $doc-type-min-conformance-level = ('3A', '3B') " />
  <xsl:variable name="no-value-NF" select=" ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA') " />
  <xsl:variable name="doc-section-seq" select="(/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section,         /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/cda:component/cda:section,         /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/cda:component/cda:section/cda:component/cda:section,         /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/cda:component/cda:section/cda:component/cda:section/cda:component//cda:section) " />
  <xsl:variable name="doc-sections" select="distinct-values($doc-section-seq/cda:code[@codeSystem='1.2.36.1.2001.1001.101']/@code) " />
  <xsl:variable name="pathTestRes" select="$doc-section-seq[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']] " />
  <xsl:variable name="num-pathTestRes" select="count($pathTestRes) " />
  <xsl:variable name="num-imExamRes" select="if ('102.16145' = $doc-sections) then count($doc-section-seq[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]) else 0 " />
  <xsl:variable name="num-undiffDiag" select="if ('102.16029' = $doc-sections) then count($doc-section-seq[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16029']]) else 0 " />
  <xsl:variable name="num-reqService" select="if ('102.20158' = $doc-sections) then count($doc-section-seq[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20158']]) else 0 " />
  <xsl:variable name="extensions-allowed" select="not(  ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.120' and $templateId-ext = '1.4') or         $templateId-root = '1.2.36.1.2001.1001.100.1002.170'      or          $templateId-root = '1.2.36.1.2001.1001.100.1002.171'      or          $templateId-root = '1.2.36.1.2001.1001.101.100.1002.140'    or         $templateId-root = '1.2.36.1.2001.1001.101.100.1002.142'    or         $templateId-root = '1.2.36.1.2001.1001.101.100.1002.144'    or         $templateId-root = '1.2.36.1.2001.1001.101.100.1002.147'    or         $templateId-root = '1.2.36.1.2001.1001.101.100.1002.234'     )" />
  <xsl:variable name="extension-requirement" select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.120' and $templateId-ext = '1.4')           then 'requirement 024986 of the Shared Health Summary Conformance Profile v1.6'         else if ($templateId-root = '1.2.36.1.2001.1001.100.1002.170')           then 'section 3.2.12 of the eHealth Prescription Record Conformance Profile v1.3'         else if ($templateId-root = '1.2.36.1.2001.1001.100.1002.171')           then 'section 3.2.12 of the eHealth Dispense Record Conformance Profile v1.3'         else if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.140')          then 'section 3.3 of the Medicare/DVA Benefits Report Conformance Profile v1.0'         else if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.142')          then 'section 3.3 of the Pharmaceutical Benefits Report Conformance Profile v1.0'         else if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.144')          then 'section 3.3 of the Australian Childhood Immunisation Register Conformance Profile v1.0'         else if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.147')          then 'section 3.3 of the Australian Organ Donor Register Conformance Profile v1.0'         else if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.234')           then 'section 3.3 of the Australian Immunisation Register Conformance Profile v1.0'         else if ($doc-type/@common-conformance-profile = '1.7')           then 'requirement 023722 of the Common Conformance Profile for Clinical Documents v1.7'         else if ($doc-type/@common-conformance-profile = '1.6')           then 'requirement 023722 of the Common Conformance Profile for Clinical Documents v1.6'         else if ($doc-type/@common-conformance-profile = '1.5')           then 'requirement 023722 of the Common Conformance Profile for Clinical Documents v1.5'         else if ($doc-type/@common-conformance-profile = '1.4')           then 'section 3.4.3 of the Common Conformance Profile for Clinical Documents v1.4'         else if ($doc-type/@common-conformance-profile = '1.3')           then 'section 3.4.1.2 of the Common Conformance Profile for Clinical Documents v1.3'         else 'requirement 023722 in the Common Conformance Profile for Clinical Documents v1.6'" />
  <xsl:variable name="same-doc-list" select="if ($flags/@report-statistics = 'true' or $flags/@report-statistics = 'true' or $flags/@collection-same-system = 'true')         then $documents[cda:ClinicalDocument[cda:templateId[@root = $templateId-root and @extension = $templateId-ext]]]        else () " />
  <xsl:variable name="same-doc-num" select="count($same-doc-list)" />
  <xsl:variable name="same-doc-count" select="if ($numbers/number[number(@value) = $same-doc-num]) then $numbers/number[number(@value) = $same-doc-num]/@name else $same-doc-num" />
  <xsl:variable name="doc-timezone" select="if (contains(/cda:ClinicalDocument/cda:effectiveTime/@value, '+'))        then concat('+', substring-after(/cda:ClinicalDocument/cda:effectiveTime/@value, '+'))       else if (contains(/cda:ClinicalDocument/cda:effectiveTime/@value, '-'))        then concat('-', substring-after(/cda:ClinicalDocument/cda:effectiveTime/@value, '-'))       else 'none' " />
  <xsl:variable name="body-date-times" select="distinct-values(/cda:ClinicalDocument[not($flags/@allow-hints = 'false')]/cda:component/cda:structuredBody/cda:component/cda:section/*[not(cda:text)]//*       [@value and (local-name(.) = ('activityTime',                         'availabilityTime',                         'birthTime',                         'copyTime',                         'creationTime',                        'deceasedTime',                         'effectiveTime',                         'executionAndDeliveryTime',                         'lastCalibrationTime',                         'recertificationTime',                         'time')              or       @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'         or             (local-name(.) = ('low', 'high', 'center') and (local-name(..) = ('activityTime',                 'availabilityTime',                 'effectiveTime',                 'existenceTime',                 'expectedUseTime',                 'expirationTime',                 'stabilityTime',                 'time',                 'phase') or                   ../@xsi:type = 'IVL_TS' or normalize-space(substring-after(../@xsi:type, ':')) = 'IVL_TS')) )]/@value)" />
  <xsl:variable name="body-dt-timezones-1" select="for $date-time in $body-date-times return        if (matches($date-time, '(\-|\+)[0-9]{4}$')) then replace($date-time, '^(.*?)(\-|\+)([0-9]{4})$', '$2$3') else ''  " />
  <xsl:variable name="body-dt-timezones" select="distinct-values($body-dt-timezones-1[. != '']) " />
  <xsl:variable name="body-mixed-timezones" select="count($body-dt-timezones) &gt; 1 " />
  <xsl:variable name="not-doc-timezone" select="$doc-timezone != 'none' and exists($body-dt-timezones) and exists($body-dt-timezones[. != $doc-timezone]) " />
  <xsl:variable name="body-same-timezones" select="not($body-mixed-timezones or $not-doc-timezone) " />
  <xsl:variable name="body-timezone-message" select="if ($body-mixed-timezones) then concat('The body of the ', $document-name, ' contains date time data elements with more than one timezone.')         else if ($not-doc-timezone) then concat('The body of the ', $document-name, ' contains a date time data element with a timezone that differs ',         'from the timezone (', $doc-timezone, ') of the document creation.')        else if ($doc-timezone != 'none') then concat('The body of the ', $document-name, ' does not contain date time data elements with more than one ',         'timezone and the document creation date does not contain a timezone.')        else concat('The body of the ', $document-name, ' does not contain date time data elements with more than one timezone and ',         'there is no difference with the timezone (', $doc-timezone, ') of the document creation date.') " />
  <xsl:variable name="SHSs" select="if ($flags/@collection-same-record = 'true') then         $documents/cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.120']] else () " />
  <xsl:variable name="SHS-count" select="if ($numbers/number[@value = count($SHSs)]) then $numbers/number[number(@value) = count($SHSs)]/@name else count($SHSs)" />
  <xsl:variable name="SHS-dates" select="for $i in (1 to count($SHSs)) return $SHSs[$i]/cda:effectiveTime/@value " />
  <xsl:variable name="last-SHS" select="if (count($SHSs) &gt; 0) then $SHSs[2] else () " />
  <xsl:variable name="last-amtv2" select="'2.56'" />
  <xsl:variable name="last-amtv2-date" select="'20140531'" />
  <xsl:variable name="first-amtv3" select="'http://snomed.info/sct/900062011000036108/version/20140630'" />
  <xsl:variable name="last-amtv3" select="'http://snomed.info/sct/900062011000036108/version/20151130'" />
  <xsl:variable name="first-amt-in-sctau" select="'http://snomed.info/sct/32506021000036107/version/20151231'" />
  <xsl:variable name="sctau-namespace-id-regex" select="'(1000168|1000036)'" />
  <xsl:variable name="creation-date-yr" select="substring(/cda:ClinicalDocument/cda:effectiveTime/@value, 1, 4)" />
  <xsl:variable name="creation-date-mn-temp" select="substring(/cda:ClinicalDocument/cda:effectiveTime/@value, 5, 2)" />
  <xsl:variable name="creation-date-mn" select="if ($creation-date-mn-temp = '') then '06' else $creation-date-mn-temp" />
  <xsl:variable name="creation-date-dy-temp" select="substring(/cda:ClinicalDocument/cda:effectiveTime/@value, 7, 2)" />
  <xsl:variable name="creation-date-dy" select="if ($creation-date-dy-temp = '') then '15' else $creation-date-dy-temp" />
  <xsl:variable name="creation-date" select="concat($creation-date-yr, $creation-date-mn, $creation-date-dy)" />
  <xsl:variable name="creation-date-xs-temp" select="concat($creation-date-yr, '-', $creation-date-mn, '-', $creation-date-dy)" />
  <xsl:variable name="creation-date-xs" select="if ($creation-date-xs-temp castable as xs:date) then xs:date($creation-date-xs-temp) else 'error' " />
  <xsl:variable name="creation-date-est" select="$creation-date-mn-temp = '' or $creation-date-dy-temp = '' " />
  <xsl:variable name="display-creation-date" select="if ($creation-date-mn-temp = '') then $creation-date-yr        else if ($creation-date-dy-temp = '') then concat($knowledge/months/month[@number = $creation-date-mn]/@abbreviation, ' ', $creation-date-yr)        else concat($creation-date-dy, ' ', $knowledge/months/month[@number = $creation-date-mn]/@abbreviation, ' ', $creation-date-yr) " />
  <xsl:variable name="creation-date-msg" select="if ($creation-date-xs = 'error')          then concat(' The clinical document creation date ''', /cda:ClinicalDocument/cda:effectiveTime/@value, ''' is not a valid date.')        else if ($creation-date-mn-temp = '')         then concat(' The clinical document creation date ''', /cda:ClinicalDocument/cda:effectiveTime/@value,           ''' did not contain a month so the estimated date of ''', $creation-date, ''' was used.')        else if ($creation-date-dy-temp = '')         then concat(' The clinical document creation date ''', /cda:ClinicalDocument/cda:effectiveTime/@value,           ''' did not contain a day so the estimated date of ''', $creation-date, ''' was used.')        else '' " />
  <xsl:variable name="creation-date-length" select="min((8, string-length(/cda:ClinicalDocument/cda:effectiveTime/@value)))" />
  <xsl:variable name="creation-date-actual" select="substring(/cda:ClinicalDocument/cda:effectiveTime/@value, 1, $creation-date-length)" />
  <xsl:variable name="v-amtv2-temp" select="normalize-space(dh:GetCodeSystemVersions('1.2.36.1.2001.1004.100', ''))" />
  <xsl:variable name="v-amtv2" select="if ($v-amtv2-temp = ('', 'Error')) then () else tokenize($v-amtv2-temp, '\|')" />
  <xsl:variable name="v-amtv3-temp" select="normalize-space(dh:GetCodeSystemVersions('2.16.840.1.113883.6.96', '900062011000036108'))" />
  <xsl:variable name="v-amtv3" select="if ($v-amtv3-temp = ('', 'Error')) then () else tokenize($v-amtv3-temp, '\|') " />
  <xsl:variable name="v-pbs-temp" select="normalize-space(dh:GetCodeSystemVersions('1.2.36.1.2001.1005.22', ''))" />
  <xsl:variable name="v-pbs" select="if ($v-pbs-temp = ('', 'Error')) then () else tokenize($v-pbs-temp, '\|') " />
  <xsl:variable name="v-pbsman" select="$v-pbs " />
  <xsl:variable name="v-snomedctau-temp" select="normalize-space(dh:GetCodeSystemVersions('2.16.840.1.113883.6.96', '32506021000036107'))" />
  <xsl:variable name="v-snomedctau" select="if ($v-snomedctau-temp = ('', 'Error')) then () else tokenize($v-snomedctau-temp, '\|')" />
  <xsl:variable name="ts-snomedctau-temp" select="normalize-space(dh:GetCodeSystemVersionsUsingTS('2.16.840.1.113883.6.96', '32506021000036107'))" />
  <xsl:variable name="ts-snomedctau" select="if ($ts-snomedctau-temp = ('', 'Error')) then () else tokenize($ts-snomedctau-temp, '\|')" />
  <xsl:variable name="use-ts-for-sctau" select="exists($ts-snomedctau)" />
  <xsl:variable name="ts-loinc-temp" select="normalize-space(dh:GetCodeSystemVersionsUsingTS('2.16.840.1.113883.6.1', ''))" />
  <xsl:variable name="ts-loinc" select="if ($ts-loinc-temp = ('', 'Error')) then () else tokenize($ts-loinc-temp, '\|')" />
  <xsl:variable name="use-ts-for-loinc" select="exists($ts-loinc)" />
  <xsl:variable name="ts-vaccines-temp" select="normalize-space(dh:GetCodeSystemVersionsUsingTS('1.2.36.1.2001.1005.17', ''))" />
  <xsl:variable name="ts-vaccines" select="if ($ts-vaccines-temp = ('', 'Error')) then () else tokenize($ts-vaccines-temp, '\|')" />
  <xsl:variable name="use-ts-for-vaccines" select="exists($ts-vaccines)" />
  <xsl:variable name="ncts-data-comp" select=" 'https://healthterminologies.gov.au/fhir/CodeSystem/nctis-data-components-1' " />
  <xsl:variable name="ts-ncts-data-comp-temp" select="normalize-space(dh:GetCodeSystemVersionsUsingTS($ncts-data-comp, ''))" />
  <xsl:variable name="ts-ncts-data-comp" select="if ($ts-ncts-data-comp-temp = ('', 'Error')) then () else tokenize($ts-ncts-data-comp-temp, '\|')" />
  <xsl:variable name="use-ts-for-ncts-data-comp" select="exists($ts-ncts-data-comp)" />
  <xsl:variable name="ts-anzsco-temp" select="normalize-space(dh:GetCodeSystemVersionsUsingTS('2.16.840.1.113883.13.62', ''))" />
  <xsl:variable name="ts-anzsco" select="if ($ts-anzsco-temp = ('', 'Error')) then () else tokenize($ts-anzsco-temp, '\|')" />
  <xsl:variable name="use-ts-for-anzsco" select="exists($ts-anzsco)" />
  <xsl:variable name="ts-pbs-temp" select="normalize-space(dh:GetCodeSystemVersionsUsingTS('1.2.36.1.2001.1005.22', ''))" />
  <xsl:variable name="ts-pbs" select="if ($ts-pbs-temp = ('', 'Error')) then () else tokenize($ts-pbs-temp, '\|')" />
  <xsl:variable name="use-ts-for-pbs" select="exists($ts-pbs)" />
  <xsl:variable name="ts-pbsman-temp" select="normalize-space(dh:GetCodeSystemVersionsUsingTS('1.2.36.1.2001.1005.23', ''))" />
  <xsl:variable name="ts-pbsman" select="if ($ts-pbsman-temp = ('', 'Error')) then () else tokenize($ts-pbsman-temp, '\|')" />
  <xsl:variable name="use-ts-for-pbsman" select="exists($ts-pbsman)" />
  <xsl:variable name="v-latest-amtv2" select="$v-amtv2[1]" />
  <xsl:variable name="v-amtv3-dates" select="for $i in (1 to count($v-amtv3)) return substring-after($v-amtv3[$i], 'http://snomed.info/sct/900062011000036108/version/') " />
  <xsl:variable name="v-earliest-amtv3-date" select="if (count($v-amtv3-dates) &lt; 2) then $v-amtv3-dates else substring-before(dh:OrderDates(string-join($v-amtv3-dates, '|'), true()), '|') " />
  <xsl:variable name="v-amtv3-pre" select="(for $i in (1 to count($v-amtv3-dates)) return if ($creation-date - $v-amtv3-dates[$i] &gt; -1)         then $v-amtv3-dates[$i] else '')[. != ''] " />
  <xsl:variable name="v-amtv3-post" select="(for $i in (1 to count($v-amtv3-dates)) return if ($creation-date - $v-amtv3-dates[$i] &lt; 0)         then $v-amtv3-dates[$i] else '')[. != ''] " />
  <xsl:variable name="v-latest-amtv3" select="if (exists($v-amtv3-pre))         then concat('http://snomed.info/sct/900062011000036108/version/', tokenize(dh:OrderDates(string-join($v-amtv3-pre, '|'), false()), '\|')[1])       else if (exists($v-amtv3-post))         then concat('http://snomed.info/sct/900062011000036108/version/', tokenize(dh:OrderDates(string-join($v-amtv3-post, '|'), true()), '\|')[1])       else '' " />
  <xsl:variable name="v-pbs-pre" select="(for $i in (1 to count($v-pbs)) return if ($creation-date - $v-pbs[$i] &gt; -1) then $v-pbs[$i] else '')[. != ''] " />
  <xsl:variable name="v-pbs-post" select="(for $i in (1 to count($v-pbs)) return if ($creation-date - $v-pbs[$i] &lt; 0) then $v-pbs[$i] else '')[. != ''] " />
  <xsl:variable name="v-latest-pbs" select="if (exists($v-pbs-pre)) then tokenize(dh:OrderDates(string-join($v-pbs-pre, '|'), false()), '\|')[1]        else if (exists($v-pbs-post)) then tokenize(dh:OrderDates(string-join($v-pbs-post, '|'), true()), '\|')[1]         else '' " />
  <xsl:variable name="v-pbsman-pre" select="(for $i in (1 to count($v-pbs)) return if ($creation-date - $v-pbs[$i] &gt; -1) then $v-pbs[$i] else '')[. != ''] " />
  <xsl:variable name="v-pbsman-post" select="(for $i in (1 to count($v-pbs)) return if ($creation-date - $v-pbs[$i] &lt; 0) then $v-pbs[$i] else '')[. != ''] " />
  <xsl:variable name="v-latest-pbsman" select="if (exists($v-pbsman-pre)) then tokenize(dh:OrderDates(string-join($v-pbsman-pre, '|'), false()), '\|')[1]        else if (exists($v-pbsman-post)) then tokenize(dh:OrderDates(string-join($v-pbsman-post, '|'), true()), '\|')[1]         else '' " />
  <xsl:variable name="v-snomedctau-dates" select="for $i in (1 to count($v-snomedctau)) return substring-after($v-snomedctau[$i], 'http://snomed.info/sct/32506021000036107/version/') " />
  <xsl:variable name="v-earliest-sctau-date" select="if (count($v-snomedctau-dates) &lt; 2)         then $v-snomedctau-dates else substring-before(dh:OrderDates(string-join($v-snomedctau-dates, '|'), true()), '|') " />
  <xsl:variable name="v-snomedctau-pre" select="(for $i in (1 to count($v-snomedctau-dates)) return if ($creation-date - $v-snomedctau-dates[$i] &gt; -1)         then $v-snomedctau-dates[$i] else '')[. != ''] " />
  <xsl:variable name="v-snomedctau-post" select="(for $i in (1 to count($v-snomedctau-dates)) return if ($creation-date - $v-snomedctau-dates[$i] &lt; 0)         then $v-snomedctau-dates[$i] else '')[. != ''] " />
  <xsl:variable name="v-latest-snomedctau" select="if (exists($v-snomedctau-pre))         then concat('http://snomed.info/sct/32506021000036107/version/', tokenize(dh:OrderDates(string-join($v-snomedctau-pre, '|'), false()), '\|')[1])       else if (exists($v-snomedctau-post))         then concat('http://snomed.info/sct/32506021000036107/version/', tokenize(dh:OrderDates(string-join($v-snomedctau-post, '|'), true()), '\|')[1])       else '' " />
  <xsl:variable name="v-sctau-dates" select="if (exists($v-snomedctau-dates)) then tokenize(dh:OrderDates(string-join($v-snomedctau-dates, '|'), false()), '\|') else () " />
  <xsl:variable name="v-current-sctau" select="if (exists($v-sctau-dates)) then concat('http://snomed.info/sct/32506021000036107/version/', $v-sctau-dates[1]) else '' " />
  <xsl:variable name="ts-snomedctau-dates" select="for $i in (1 to count($ts-snomedctau)) return substring-after($ts-snomedctau[$i], 'http://snomed.info/sct/32506021000036107/version/') " />
  <xsl:variable name="ts-earliest-sctau-date" select="if (not(exists($ts-snomedctau-dates))) then ''        else if (count($ts-snomedctau-dates) &lt; 2) then $ts-snomedctau-dates[1]        else substring-before(dh:OrderDates(string-join($ts-snomedctau-dates, '|'), true()), '|') " />
  <xsl:variable name="ts-snomedctau-pre" select="(for $i in (1 to count($ts-snomedctau-dates)) return if ($creation-date - $ts-snomedctau-dates[$i] &gt; -1)         then $ts-snomedctau-dates[$i] else '')[. != ''] " />
  <xsl:variable name="ts-snomedctau-pre-ordered" select="if (exists($ts-snomedctau-pre)) then dh:OrderDates(string-join($ts-snomedctau-pre, '|'), false()) else '' " />
  <xsl:variable name="ts-snomedctau-post" select="(for $i in (1 to count($ts-snomedctau-dates)) return if ($creation-date - $ts-snomedctau-dates[$i] &lt; 0)         then $ts-snomedctau-dates[$i] else '')[. != ''] " />
  <xsl:variable name="ts-snomedctau-post-ordered" select="if (exists($ts-snomedctau-post)) then dh:OrderDates(string-join($ts-snomedctau-post, '|'), true()) else '' " />
  <xsl:variable name="ts-latest-snomedctau" select="if ($ts-snomedctau-pre-ordered != '') then concat('http://snomed.info/sct/32506021000036107/version/', tokenize($ts-snomedctau-pre-ordered, '\|')[1])        else if ($ts-snomedctau-post-ordered != '')         then concat('http://snomed.info/sct/32506021000036107/version/', tokenize($ts-snomedctau-post-ordered, '\|')[1])        else '' " />
  <xsl:variable name="ts-sctau-dates" select="if (exists($ts-snomedctau)) then tokenize(dh:OrderDates(string-join($ts-snomedctau-dates, '|'), false()), '\|') else () " />
  <xsl:variable name="ts-current-sctau" select="if (exists($ts-sctau-dates)) then concat('http://snomed.info/sct/32506021000036107/version/', $ts-sctau-dates[1]) else '' " />
  <xsl:variable name="ts-reqPath-sctau" select="'http://snomed.info/sct/32506021000036107/version/20180131' " />
  <xsl:variable name="ts-latest-loinc" select="if (exists($ts-loinc[1])) then $ts-loinc[1] else '' " />
  <xsl:variable name="ts-pbs-dates" select="if (exists($ts-pbs)) then tokenize(dh:OrderDates($ts-pbs-temp, false()), '\|') else () " />
  <xsl:variable name="ts-latest-pbs" select="if (exists($ts-pbs-dates[1])) then $ts-pbs-dates[1] else '' " />
  <xsl:variable name="ts-pbsman-dates" select="if (exists($ts-pbsman)) then tokenize(dh:OrderDates($ts-pbsman-temp, false()), '\|') else () " />
  <xsl:variable name="ts-latest-pbsman" select="if (exists($ts-pbs-dates[1])) then $ts-pbs-dates[1] else '' " />
  <xsl:variable name="yyyymm-regex" select="'[1-2]{1}[0-9]{3}[0-1]{1}[0-9]{1}'" />
  <xsl:variable name="yyyymmdd-regex" select="'[1-2]{1}[0-9]{3}[0-1]{1}[0-9]{1}[0-3]{1}[0-9]{1}'" />
  <xsl:variable name="amtv2-version-regex" select="'^2\.[0-9]{2}$'" />
  <xsl:variable name="amtv3-version-regex" select="concat('^http://snomed\.info/sct/900062011000036108/version/', $yyyymmdd-regex, '$')" />
  <xsl:variable name="loinc-version-regex" select="'^[1-2]{1}\.[0-9]{2}$'" />
  <xsl:variable name="mbs-version-regex" select="concat('^', $yyyymm-regex, '$')" />
  <xsl:variable name="pbs-version-regex" select="concat('^', $yyyymmdd-regex, '$')" />
  <xsl:variable name="pbsman-version-regex" select="concat('^', $yyyymmdd-regex, '$')" />
  <xsl:variable name="saan-version-regex" select="concat('^', $yyyymmdd-regex, '$')" />
  <xsl:variable name="snomed-version-regex-1" select="concat('^', $yyyymmdd-regex, '$')" />
  <xsl:variable name="snomed-version-regex-2" select="concat('^http://snomed\.info/sct/[0-9]+/version/', $yyyymmdd-regex, '$')" />
  <xsl:variable name="snomedctau-version-regex" select="concat('^http://snomed\.info/sct/32506021000036107/version/', $yyyymmdd-regex, '$')" />
  <xsl:variable name="amtv2-code-regex" select="'^[1-9]{1}[0-9]{5,17}$'" />
  <xsl:variable name="anzsco-code-regex" select="'^[0-9]{6}$'" />
  <xsl:variable name="anzsic-code-regex" select="'^[0-9]{4}$'" />
  <xsl:variable name="loinc-code-regex" select="'(^|^L[AGLP]{1})[0-9]{1,8}\-[0-9]{1}$'" />
  <xsl:variable name="mims-code-regex" select="'^[0-9]{5,}$'" />
  <xsl:variable name="nctis-code-regex" select="'^[0-9]+\.[0-9.]+$'" />
  <xsl:variable name="pbs-code-regex" select="'^[0-9]{5}[A-Z]{1}$'" />
  <xsl:variable name="pbsman-code-regex" select="'^[a-zA-Z]{2}$'" />
  <xsl:variable name="snomed-code-regex" select="'^[1-9]{1}[0-9]{5,17}$'" />
  <xsl:variable name="sctau-concept-id-regex" select="'^[0-9]+[01]0[0-9]$'" />
  <xsl:variable name="sctau-description-id-regex" select="'^[0-9]+[01]1[0-9]$'" />
  <xsl:variable name="sctau-relationship-id-regex" select="'^[0-9]+[01]2[0-9]$'" />
  <xsl:variable name="sctau-acceptable-age" select="90" />
  <xsl:variable name="sctau-base-date" select="xs:date('2015-11-30')" />
  <xsl:variable name="sctau-last" select="if (exists($ts-snomedctau-pre)) then tokenize(dh:OrderDates(string-join($ts-snomedctau-pre, '|'), false()), '\|')[1]         else if (not($creation-date-est)) then $creation-date else '' " />
  <xsl:variable name="sctau-last-yr" select="substring($sctau-last, 1, 4) " />
  <xsl:variable name="sctau-last-mn" select="substring($sctau-last, 5, 2) " />
  <xsl:variable name="sctau-last-dy" select="substring($sctau-last, 7, 2) " />
  <xsl:variable name="sctau-last-xs" select="if ($sctau-last = '') then '' else xs:date(concat($sctau-last-yr, '-', $sctau-last-mn, '-', $sctau-last-dy)) " />
  <xsl:variable name="sctau-versions" select="if ($creation-date-mn-temp = '' or $creation-date-xs = 'error' or $sctau-last = '') then ()        else if (not(matches($sctau-last-xs - $sctau-base-date, '^P[0-9]+D'))) then ()        else if (number(substring-before(substring-after($sctau-last-xs - $sctau-base-date, 'P'), 'D')) &lt; $sctau-acceptable-age) then ()        else distinct-values(/cda:ClinicalDocument//*[@codeSystem='2.16.840.1.113883.6.96' and @codeSystemVersion and         matches(@codeSystemVersion, $snomedctau-version-regex) and         not(@code = $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/code[@fixed = 'true']/@code)]/@codeSystemVersion) " />
  <xsl:variable name="sctau-timestamp" select="for $i in (1 to count($sctau-versions)) return substring-after($sctau-versions[$i], '/version/') " />
  <xsl:variable name="sctau-timestamp-yr" select="for $i in (1 to count($sctau-timestamp)) return substring($sctau-timestamp[$i], 1, 4)" />
  <xsl:variable name="sctau-timestamp-mn" select="for $i in (1 to count($sctau-timestamp)) return substring($sctau-timestamp[$i], 5, 2)" />
  <xsl:variable name="sctau-timestamp-dy" select="for $i in (1 to count($sctau-timestamp)) return substring($sctau-timestamp[$i], 7, 2)" />
  <xsl:variable name="sctau-timestamp-xs-temp" select="for $i in (1 to count($sctau-timestamp)) return concat($sctau-timestamp-yr[$i], '-', $sctau-timestamp-mn[$i], '-', $sctau-timestamp-dy[$i]) " />
  <xsl:variable name="sctau-timestamp-xs" select="for $i in (1 to count($sctau-timestamp)) return         if ($sctau-timestamp-xs-temp[$i] castable as xs:date) then xs:date($sctau-timestamp-xs-temp[$i]) else '' " />
  <xsl:variable name="sctau-timestamp-cd-1" select="if ($sctau-last-xs = '') then () else for $i in (1 to count($sctau-timestamp)) return         if ($sctau-timestamp-xs[$i] = '') then '' else string($sctau-last-xs - $sctau-timestamp-xs[$i]) " />
  <xsl:variable name="sctau-timestamp-cd-2" select="for $i in (1 to count($sctau-timestamp)) return         if ($sctau-timestamp-cd-1[$i] = '') then ''        else if (matches($sctau-timestamp-cd-1[$i], '^P[0-9]+D')) then substring-before(substring-after($sctau-timestamp-cd-1[$i], 'P'), 'D')        else '' " />
  <xsl:variable name="sctau-timestamp-cd-3" select="for $i in (1 to count($sctau-timestamp)) return         if ($sctau-timestamp-cd-2[$i] = '') then ''        else if ($sctau-timestamp-cd-2[$i] &gt; $sctau-acceptable-age) then $sctau-timestamp-cd-2[$i]        else '' " />
  <xsl:variable name="sctau-versions-old" select="(for $i in (1 to count($sctau-timestamp)) return if ($sctau-timestamp-cd-3[$i] = '') then '' else $sctau-versions[$i])[. != '']" />
  <xsl:variable name="amtv3-acceptable-age" select="$sctau-acceptable-age" />
  <xsl:variable name="amtv3-end-date" select="'20151130'" />
  <xsl:variable name="amtv3-last" select="if ($creation-date - $amtv3-end-date &gt; -1) then $amtv3-end-date else '' " />
  <xsl:variable name="amtv3-last-yr" select="substring($amtv3-last, 1, 4) " />
  <xsl:variable name="amtv3-last-mn" select="substring($amtv3-last, 5, 2) " />
  <xsl:variable name="amtv3-last-dy" select="substring($amtv3-last, 7, 2) " />
  <xsl:variable name="amtv3-last-xs" select="if ($amtv3-last = '') then '' else xs:date(concat($amtv3-last-yr, '-', $amtv3-last-mn, '-', $amtv3-last-dy)) " />
  <xsl:variable name="amtv3-versions" select="if ($creation-date-mn-temp = '' or $creation-date-xs = 'error') then ()        else distinct-values(/cda:ClinicalDocument//*[@codeSystem='2.16.840.1.113883.6.96' and @codeSystemVersion and         matches(@codeSystemVersion, $amtv3-version-regex)]/@codeSystemVersion) " />
  <xsl:variable name="amtv3-timestamp" select="for $i in (1 to count($amtv3-versions)) return substring-after($amtv3-versions[$i], '/version/') " />
  <xsl:variable name="amtv3-timestamp-yr" select="for $i in (1 to count($amtv3-timestamp)) return substring($amtv3-timestamp[$i], 1, 4)" />
  <xsl:variable name="amtv3-timestamp-mn" select="for $i in (1 to count($amtv3-timestamp)) return substring($amtv3-timestamp[$i], 5, 2)" />
  <xsl:variable name="amtv3-timestamp-dy" select="for $i in (1 to count($amtv3-timestamp)) return substring($amtv3-timestamp[$i], 7, 2)" />
  <xsl:variable name="amtv3-timestamp-xs-temp" select="for $i in (1 to count($amtv3-timestamp)) return concat($amtv3-timestamp-yr[$i], '-', $amtv3-timestamp-mn[$i], '-', $amtv3-timestamp-dy[$i]) " />
  <xsl:variable name="amtv3-timestamp-xs" select="for $i in (1 to count($amtv3-timestamp)) return         if ($amtv3-timestamp-xs-temp[$i] castable as xs:date) then xs:date($amtv3-timestamp-xs-temp[$i]) else '' " />
  <xsl:variable name="amtv3-timestamp-cd-1" select="if ($amtv3-last-xs = '') then () else for $i in (1 to count($amtv3-timestamp)) return         if ($amtv3-timestamp-xs[$i] = '') then '' else string($amtv3-last-xs - $amtv3-timestamp-xs[$i]) " />
  <xsl:variable name="amtv3-timestamp-cd-2" select="for $i in (1 to count($amtv3-timestamp)) return         if ($amtv3-timestamp-cd-1[$i] = '') then ''        else if (matches($amtv3-timestamp-cd-1[$i], '^P[0-9]+D')) then substring-before(substring-after($amtv3-timestamp-cd-1[$i], 'P'), 'D')        else '' " />
  <xsl:variable name="amtv3-timestamp-cd-3" select="for $i in (1 to count($amtv3-timestamp)) return         if ($amtv3-timestamp-cd-2[$i] = '') then ''        else if (number($amtv3-timestamp-cd-2[$i] &gt; $amtv3-acceptable-age)) then $amtv3-timestamp-cd-2[$i]        else '' " />
  <xsl:variable name="amtv3-versions-old" select="(for $i in (1 to count($amtv3-timestamp)) return if ($amtv3-timestamp-cd-3[$i] = '') then '' else $amtv3-versions[$i])[. != '']" />
  <xsl:variable name="spia-sctau" select="document('TEMPLATE/VALDN/SPIA-SCTAU.xml', .)/systems" />
  <xsl:variable name="spia-loinc" select="document('TEMPLATE/VALDN/SPIA-LOINC.xml', .)/systems" />
  <xsl:variable name="loinc-rcpa-terms" select="if ($flag-assess-values and '101.20117' = $doc-sections and '102.16144' = $doc-sections)        then (for $concept in $spia-loinc/system/rcpa[@rcpa-terms or @related-terms] return          if ($concept/@rcpa-terms and $concept/@related-terms) then translate(concat($concept/@rcpa-terms, '|', $concept/@related-terms), $chars-no-pipe, '')         else if ($concept/@rcpa-terms and not($concept/@related-terms)) then translate($concept/@rcpa-terms, $chars-no-pipe, '')         else if (not($concept/@rcpa-terms) and $concept/@related-terms) then translate($concept/@related-terms, $chars-no-pipe, '')         else '')[. != '']         else () " />
  <xsl:variable name="alt-refset-name" select="concat(         'Adverse Reaction Agent \(ARA\)~adverse reaction agent~',          'Adverse Reaction Type \(ART\)~adverse reaction type~',         'Body Structure Foundation \(BSF\)~body structure~',         'Change Status \(CS\)~change status~',         'Change Type \(CT\)~change type~',         'Clinical Finding Foundation \(CFF\)~clinical finding~',         'Clinical Manifestation \(CM\)~clinical manifestation~',         'Containered Trade Product Pack \(CTPP\)~containered trade product pack~',         'Laterality \(L\)~laterality~',         'Medication Form \(MF\)~medication form~',         'Medicinal Product \(MP\)~medicinal product~',         'Medicinal Product Pack \(MPP\)~medicinal product pack~',         'Medicinal Product Unit of Use \(MPUU\)~medicinal product unit of use~',         'Problem Diagnosis \(PD\)~problem diagnosis~',         'Procedure Foundation \(PF\)~procedure~',         'Requesting Pathology Terminology \(RPT\)~requesting pathology terminology~',         'Route Of Administration \(ROA\)~route of administration~',         'Substance Foundation \(SF\)~substance~',         'Trade Product \(TP\)~trade product~',         'Trade Product Pack \(TPP\)~trade product pack~',         'Trade Product Unit of Use \(TPUU\)~trade product unit of use') " />
  <xsl:variable name="clinical-info-question" select="concat(' If this is clinical information then confirm by manual inspection if the information in the entry element is present in the narrative. ',        'All clinical information in entry elements must be present in the narrative.')" />
  <xsl:variable name="clinical-info-confirm" select="' Confirm if this is clinical information as all clinical information in entry elements must be present in the narrative.'" />
  <xsl:variable name="assess-body" select="$flag-assess-values and ('102.16144' = $doc-sections or '102.16145' = $doc-sections) " />
  <xsl:variable name="assess-coll" select="$flag-assess-values and '102.16144' = $doc-sections " />
  <xsl:variable name="assess-diag" select="$flag-assess-values and ('101.16117' = $doc-sections or '101.16142' = $doc-sections or '101.16611' = $doc-sections) " />
  <xsl:variable name="assess-form" select="$flag-assess-values and ('102.16210' = $doc-sections or '102.16211' = $doc-sections) " />
  <xsl:variable name="assess-mfst" select="$flag-assess-values and '101.20113' = $doc-sections " />
  <xsl:variable name="assess-modality" select="$flag-assess-values and '102.16145' = $doc-sections " />
  <xsl:variable name="assess-pathTest" select="$flag-assess-values and '102.16144' = $doc-sections " />
  <xsl:variable name="assess-PDType" select="$flag-assess-values and '101.16142' = $doc-sections " />
  <xsl:variable name="assess-proc" select="$flag-assess-values and ('101.16611' = $doc-sections or '101.16117' = $doc-sections or '101.20109' = $doc-sections) " />
  <xsl:variable name="assess-resPath" select="$flag-assess-values and '102.16144' = $doc-sections " />
  <xsl:variable name="assess-route" select="$flag-assess-values and '102.16211' = $doc-sections " />
  <xsl:variable name="assess-specimen" select="$flag-assess-values and '102.16144' = $doc-sections " />
  <xsl:variable name="assess-subs" select="$flag-assess-values and '101.20113' = $doc-sections " />
  <xsl:variable name="assess-tgi" select="$flag-assess-values and (       '101.16146' = $doc-sections   or       '101.16146.4.1.1' = $doc-sections  or        '101.16146.4.1.2' = $doc-sections or       '102.16210' = $doc-sections   or        '102.16211' = $doc-sections   or        '101.16638' = $doc-sections   or        '101.16649' = $doc-sections  or       '101.16658' = $doc-sections   or        '101.16795' = $doc-sections   or        '101.17039' = $doc-sections   ) " />
  <xsl:variable name="inactive-refSets" select="'^900000000000526001 OR ^900000000000527005 OR ^900000000000530003 OR ^900000000000523009 OR ^900000000000528000' " />
  <xsl:variable name="tgi-formula" select="'^929360021000036102 OR ^929360041000036105 OR ^929360031000036100 OR ^929360051000036108 OR ^929360061000036106 OR ^929360081000036101 OR ^929360071000036103'" />
  <xsl:variable name="defn-body-trusted" select="if (not($assess-body)) then () else if ($flags/@report-terminology-concepts = 'true')        then tokenize(replace($cd-definitions/body/@core, '\s+', ''), '\|')[. != '']        else(tokenize(replace($cd-definitions/body/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/body/@extra, '\s+', ''), '\|'))[. != ''] " />
  <xsl:variable name="defn-coll-trusted" select="if (not($assess-coll)) then () else if ($flags/@report-terminology-concepts = 'true')        then tokenize(replace($cd-definitions/coll/@core, '\s+', ''), '\|')[. != '']        else(tokenize(replace($cd-definitions/coll/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/coll/@extra, '\s+', ''), '\|'))[. != ''] " />
  <xsl:variable name="defn-diag-trusted" select="if (not($assess-diag)) then () else if ($flags/@report-terminology-concepts = 'true')        then tokenize(replace($cd-definitions/diag/@core, '\s+', ''), '\|')[. != '']        else(tokenize(replace($cd-definitions/diag/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/diag/@extra, '\s+', ''), '\|'))[. != ''] " />
  <xsl:variable name="defn-form-trusted" select="if (not($assess-form)) then () else if ($flags/@report-terminology-concepts = 'true')        then tokenize(replace($cd-definitions/form/@core, '\s+', ''), '\|')[. != '']        else(tokenize(replace($cd-definitions/form/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/form/@extra, '\s+', ''), '\|'))[. != ''] " />
  <xsl:variable name="defn-immun-trusted" select="if (not($flag-assess-values and ('101.16638' = $doc-sections or '101.16658' = $doc-sections or '101.17039' = $doc-sections))) then () else if ($flags/@report-terminology-concepts = 'true')        then tokenize(replace($cd-definitions/immun/@core, '\s+', ''), '\|')[. != '']        else(tokenize(replace($cd-definitions/immun/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/immun/@extra, '\s+', ''), '\|'))[. != ''] " />
  <xsl:variable name="defn-meds-trusted" select="if (not($flag-assess-values and ('101.16146' = $doc-sections or '101.16146.4.1.1' = $doc-sections or '101.16146.4.1.2' = $doc-sections))) then () else if ($flags/@report-terminology-concepts = 'true')        then tokenize(replace($cd-definitions/meds/@core, '\s+', ''), '\|')[. != '']        else(tokenize(replace($cd-definitions/meds/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/meds/@extra, '\s+', ''), '\|'))[. != ''] " />
  <xsl:variable name="defn-mfst-trusted" select="if (not($assess-mfst)) then () else if ($flags/@report-terminology-concepts = 'true')        then tokenize(replace($cd-definitions/mfst/@core, '\s+', ''), '\|')[. != '']        else(tokenize(replace($cd-definitions/mfst/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/mfst/@extra, '\s+', ''), '\|'))[. != ''] " />
  <xsl:variable name="defn-modality-trusted" select="if (not($assess-modality)) then () else if ($flags/@report-terminology-concepts = 'true')        then tokenize(replace($cd-definitions/modality/@core, '\s+', ''), '\|')[. != '']        else(tokenize(replace($cd-definitions/modality/@core, '\s+', ''), '\|'),          tokenize(replace($cd-definitions/modality/@extra, '\s+', ''), '\|'))[. != ''] " />
  <xsl:variable name="defn-pathTest-trusted" select="if (not($assess-pathTest)) then () else if ($flags/@report-terminology-concepts = 'true')        then tokenize(replace($cd-definitions/pathTest/@core, '\s+', ''), '\|')[. != '']        else(tokenize(replace($cd-definitions/pathTest/@core, '\s+', ''), '\|'),          tokenize(replace($cd-definitions/pathTest/@extra, '\s+', ''), '\|'))[. != ''] " />
  <xsl:variable name="defn-pd-trusted" select="if (not($flag-assess-values and ('102.16210' = $doc-sections or '102.16211' = $doc-sections or '101.16795' = $doc-sections))) then ()         else if ($flags/@report-terminology-concepts = 'true')        then tokenize(replace($cd-definitions/pd/@core, '\s+', ''), '\|')[. != '']        else(tokenize(replace($cd-definitions/pd/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/pd/@extra, '\s+', ''), '\|'))[. != ''] " />
  <xsl:variable name="defn-PDType-trusted" select="if (not($assess-PDType)) then () else if ($flags/@report-terminology-concepts = 'true')        then tokenize(replace($cd-definitions/PDType/@core, '\s+', ''), '\|')[. != '']        else(tokenize(replace($cd-definitions/PDType/@core, '\s+', ''), '\|'),          tokenize(replace($cd-definitions/PDType/@extra, '\s+', ''), '\|'))[. != ''] " />
  <xsl:variable name="defn-proc-trusted" select="if (not($assess-proc)) then () else if ($flags/@report-terminology-concepts = 'true')        then tokenize(replace($cd-definitions/proc/@core, '\s+', ''), '\|')[. != '']        else(tokenize(replace($cd-definitions/proc/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/proc/@extra, '\s+', ''), '\|'))[. != ''] " />
  <xsl:variable name="defn-resPath-trusted" select="if (not($assess-resPath)) then () else if ($flags/@report-terminology-concepts = 'true')        then tokenize(replace($cd-definitions/resPath/@core, '\s+', ''), '\|')[. != '']        else(tokenize(replace($cd-definitions/resPath/@core, '\s+', ''), '\|'),          tokenize(replace($cd-definitions/resPath/@extra, '\s+', ''), '\|'))[. != ''] " />
  <xsl:variable name="defn-route-trusted" select="if (not($assess-route)) then () else if ($flags/@report-terminology-concepts = 'true')        then tokenize(replace($cd-definitions/route/@core, '\s+', ''), '\|')[. != '']        else(tokenize(replace($cd-definitions/route/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/route/@extra, '\s+', ''), '\|'))[. != ''] " />
  <xsl:variable name="defn-shs-meds-trusted" select="if (not($flag-assess-values and '101.16146' = $doc-sections)) then () else if ($flags/@report-terminology-concepts = 'true')        then tokenize(replace($cd-definitions/shs-meds/@core, '\s+', ''), '\|')[. != '']        else(tokenize(replace($cd-definitions/shs-meds/@core, '\s+', ''), '\|'),          tokenize(replace($cd-definitions/shs-meds/@extra, '\s+', ''), '\|'))[. != ''] " />
  <xsl:variable name="defn-specimen-trusted" select="if (not($assess-specimen)) then () else if ($flags/@report-terminology-concepts = 'true')        then tokenize(replace($cd-definitions/specimen/@core, '\s+', ''), '\|')[. != '']        else(tokenize(replace($cd-definitions/specimen/@core, '\s+', ''), '\|'),          tokenize(replace($cd-definitions/specimen/@extra, '\s+', ''), '\|'))[. != ''] " />
  <xsl:variable name="defn-subs-trusted" select="if (not($assess-subs)) then () else if ($flags/@report-terminology-concepts = 'true')        then tokenize(replace($cd-definitions/subs/@core, '\s+', ''), '\|')[. != '']        else(tokenize(replace($cd-definitions/subs/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/subs/@extra, '\s+', ''), '\|'))[. != ''] " />
  <xsl:variable name="body-typo" select="if ($assess-body and $knowledge/body-replacements/typo)         then string-join(for $x in $knowledge/body-replacements/typo return concat($x/@pattern, '~', $x/@replacement), '~') else '' " />
  <xsl:variable name="coll-typo" select="if ($assess-coll and $knowledge/coll-replacements/typo)         then string-join(for $x in $knowledge/coll-replacements/typo return concat($x/@pattern, '~', $x/@replacement), '~') else '' " />
  <xsl:variable name="diag-typo" select="if ($assess-diag and $knowledge/diag-replacements/typo)         then string-join(for $x in $knowledge/diag-replacements/typo return concat($x/@pattern, '~', $x/@replacement), '~') else '' " />
  <xsl:variable name="form-typo" select="if ($assess-diag or $assess-proc or $assess-subs or $assess-tgi or $assess-form) then string-join((         for $x in $knowledge/form-replacements/typo return concat($x/@pattern, '~', $x/@replacement),         (for $x in $knowledge/dose-forms/dose-form return if ($x/@typo) then concat('(^|[^a-z])(', $x/@typo, ')([^a-z]|$)~$1 ', $x/@name, ' $3') else '')[ . != ''],         (for $x in $knowledge/dose-forms/prop-dose-form return if ($x/@typo) then concat('(^|[^a-z])(', $x/@typo, ')([^a-z]|$)$1 ~', $x/@proprietary, ' $3') else '')[ . != '']), '~')         else '' " />
  <xsl:variable name="mfst-typo" select="if ($assess-mfst and $knowledge/mfst-replacements/typo)         then string-join(for $x in $knowledge/mfst-replacements/typo return concat($x/@pattern, '~', $x/@replacement), '~') else '' " />
  <xsl:variable name="modality-typo" select="if ($assess-modality and $knowledge/modality-replacements/typo)         then string-join(for $x in $knowledge/modality-replacements/typo return concat($x/@pattern, '~', $x/@replacement), '~') else '' " />
  <xsl:variable name="pathTest-typo" select="if ($assess-pathTest and $knowledge/pathTest-replacements/typo)         then string-join(for $x in $knowledge/pathTest-replacements/typo return concat($x/@pattern, '~', $x/@replacement), '~') else '' " />
  <xsl:variable name="PDType-typo" select="if ($assess-PDType and $knowledge/PDType-replacements/typo)         then string-join(for $x in $knowledge/PDType-replacements/typo return concat($x/@pattern, '~', $x/@replacement), '~') else '' " />
  <xsl:variable name="proc-typo" select="if ($assess-proc and $knowledge/proc-replacements/typo)         then string-join(for $x in $knowledge/proc-replacements/typo return concat($x/@pattern, '~', $x/@replacement), '~') else '' " />
  <xsl:variable name="resPath-typo" select="if ($assess-resPath and $knowledge/resPath-replacements/typo)         then string-join(for $x in $knowledge/resPath-replacements/typo return concat($x/@pattern, '~', $x/@replacement), '~') else '' " />
  <xsl:variable name="route-typo" select="if ($assess-route and $knowledge/route-replacements/typo)         then string-join(for $x in $knowledge/route-replacements/typo return concat($x/@pattern, '~', $x/@replacement), '~') else '' " />
  <xsl:variable name="specimen-typo" select="if ($assess-specimen and $knowledge/specimen-replacements/typo)         then string-join(for $x in $knowledge/specimen-replacements/typo return concat($x/@pattern, '~', $x/@replacement), '~') else '' " />
  <xsl:variable name="subs-typo" select="if ($assess-subs and $knowledge/subs-replacements/typo)         then string-join(for $x in $knowledge/subs-replacements/typo return concat($x/@pattern, '~', $x/@replacement), '~') else '' " />
  <xsl:variable name="tgi-typo" select="if (($assess-diag or $assess-proc or $assess-subs or $assess-tgi) and $knowledge/tgi-replacements/typo)        then string-join(for $x in $knowledge/tgi-replacements/typo return concat($x/@pattern, '~', $x/@replacement), '~') else '' " />
  <xsl:variable name="body-replacements" select="if ($assess-body and $knowledge/body-replacements/replace)         then string-join(for $x in $knowledge/body-replacements/replace return concat($x/@pattern, '~', $x/@replacement), '~') else '' " />
  <xsl:variable name="coll-replacements" select="if ($assess-coll and $knowledge/coll-replacements/replace)         then string-join(for $x in $knowledge/coll-replacements/replace return concat($x/@pattern, '~', $x/@replacement), '~') else '' " />
  <xsl:variable name="diag-replacements" select="if ($assess-diag and $knowledge/diag-replacements/replace)         then string-join(for $x in $knowledge/diag-replacements/replace return concat($x/@pattern, '~', $x/@replacement), '~') else '' " />
  <xsl:variable name="diag-sec-replacements" select="if ($assess-diag and $knowledge/diag-replacements/sec-replace)         then string-join(for $x in $knowledge/diag-replacements/sec-replace return concat($x/@pattern, '~', $x/@replacement), '~') else '' " />
  <xsl:variable name="form-replacements" select="if ($assess-form and $knowledge/form-replacements/replace)         then string-join(for $x in $knowledge/form-replacements/replace return concat($x/@pattern, '~', $x/@replacement), '~') else '' " />
  <xsl:variable name="mfst-replacements" select="if ($assess-mfst and $knowledge/mfst-replacements/replace)         then string-join(for $x in $knowledge/mfst-replacements/replace return concat($x/@pattern, '~', $x/@replacement), '~') else '' " />
  <xsl:variable name="modality-replacements" select="if ($assess-modality and $knowledge/modality-replacements/replace)         then string-join(for $x in $knowledge/modality-replacements/replace return concat($x/@pattern, '~', $x/@replacement), '~') else '' " />
  <xsl:variable name="pathTest-replacements" select="if ($assess-pathTest and $knowledge/pathTest-replacements/replace)         then string-join(for $x in $knowledge/pathTest-replacements/replace return concat($x/@pattern, '~', $x/@replacement), '~') else '' " />
  <xsl:variable name="pathTest-sec-replacements" select="if ($assess-pathTest and $knowledge/pathTest-replacements/sec-replace)         then string-join(for $x in $knowledge/pathTest-replacements/sec-replace return concat($x/@pattern, '~', $x/@replacement), '~') else '' " />
  <xsl:variable name="PDType-replacements" select="if ($assess-PDType and $knowledge/PDType-replacements/replace)         then string-join(for $x in $knowledge/PDType-replacements/replace return concat($x/@pattern, '~', $x/@replacement), '~') else '' " />
  <xsl:variable name="proc-replacements" select="if ($assess-proc and $knowledge/proc-replacements/replace)         then string-join(for $x in $knowledge/proc-replacements/replace return concat($x/@pattern, '~', $x/@replacement), '~') else '' " />
  <xsl:variable name="proc-sec-replacements" select="if ($assess-proc and $knowledge/proc-replacements/sec-replace)         then string-join(for $x in $knowledge/proc-replacements/sec-replace return concat($x/@pattern, '~', $x/@replacement), '~') else '' " />
  <xsl:variable name="resPath-replacements" select="if ($assess-resPath and $knowledge/resPath-replacements/replace)         then string-join(for $x in $knowledge/resPath-replacements/replace return concat($x/@pattern, '~', $x/@replacement), '~') else '' " />
  <xsl:variable name="route-replacements" select="if ($assess-route and $knowledge/route-replacements/replace)         then string-join(for $x in $knowledge/route-replacements/replace return concat($x/@pattern, '~', $x/@replacement), '~') else '' " />
  <xsl:variable name="specimen-replacements" select="if ($assess-specimen and $knowledge/specimen-replacements/replace)         then string-join(for $x in $knowledge/specimen-replacements/replace return concat($x/@pattern, '~', $x/@replacement), '~') else '' " />
  <xsl:variable name="subs-replacements" select="if ($assess-subs and $knowledge/subs-replacements/replace)         then string-join(for $x in $knowledge/subs-replacements/replace return concat($x/@pattern, '~', $x/@replacement), '~') else '' " />
  <xsl:variable name="tgi-replacements" select="if (($assess-diag or $assess-proc or $assess-subs or $assess-tgi) and $knowledge/tgi-replacements/replace)         then string-join(for $x in $knowledge/tgi-replacements/replace return concat($x/@pattern, '~', $x/@replacement), '~') else '' " />
  <xsl:variable name="unicode-br-truncation-regex" select="concat('^([^a-z]*?[a-z]+.*?)', $ulist-item-regex, '(.+)$')" />
  <xsl:variable name="diag-proc-truncation-regex" select="'^([^a-z]*?[a-z]+.*?)(being a service to which item|not being a service|with or without|secondary to)(.+)$'" />
  <xsl:variable name="tgi-truncation-regex" select="'^([^a-z]*?[a-z]+.*?)(as per)(.+)$'" />
  <xsl:variable name="default-char-regex" select="'[^ a-z0-9\-/\[\]\(\)]'" />
  <xsl:variable name="body-char-regex" select="$default-char-regex" />
  <xsl:variable name="coll-char-regex" select="$default-char-regex" />
  <xsl:variable name="diag-proc-char-regex" select="'[^ ''a-z0-9\-/\[\]\(\)]'" />
  <xsl:variable name="form-char-regex" select="$default-char-regex" />
  <xsl:variable name="mfst-char-regex" select="$default-char-regex" />
  <xsl:variable name="modality-char-regex" select="$default-char-regex" />
  <xsl:variable name="pathTest-char-regex" select="$default-char-regex" />
  <xsl:variable name="PDType-char-regex" select="$default-char-regex" />
  <xsl:variable name="resPath-char-regex" select="'[^ a-z0-9\.\-/\[\]\(\)]'" />
  <xsl:variable name="route-char-regex" select="$default-char-regex" />
  <xsl:variable name="specimen-char-regex" select="$default-char-regex" />
  <xsl:variable name="subs-char-regex" select="concat('[^ ', $ucum-chars, ']')" />
  <xsl:variable name="tgi-char-regex" select="concat('[^ ', $ucum-chars, ']')" />
  <xsl:variable name="body-qualifier-regex-1" select="if (not($assess-body)) then () else if ($knowledge/qualifiers/body/@value)         then tokenize(dh:OrderByLength(string-join($knowledge/qualifiers/body/@value, '|'), false()), '\|')        else () " />
  <xsl:variable name="body-qualifier-regex" select="if (not($assess-body)) then '' else if (exists($body-qualifier-regex-1))         then string-join(for $qual in $body-qualifier-regex-1 return concat('(^|[^a-z0-9])', $qual, '([^a-z0-9]|$)~$1 $2'), '~')         else '' " />
  <xsl:variable name="tgi-abbr-latin-regex-1" select="if (not($assess-diag or $assess-proc or $assess-subs or $assess-tgi)) then () else tokenize(dh:OrderByLength(string-join((                  $knowledge/qualifiers/abbreviation/@regex,                  $knowledge/qualifiers/latin/@value                  ), '|'), false()), '\|') " />
  <xsl:variable name="tgi-abbr-latin-regex" select="if (not($assess-diag or $assess-proc or $assess-subs or $assess-tgi)) then ''         else string-join(for $qual in $tgi-abbr-latin-regex-1 return concat('(^|[^a-z0-9])', $qual, '([^a-z0-9]|$)~$1 $2'), '~') " />
  <xsl:variable name="tgi-qualifier-regex-1" select="if (not($assess-diag or $assess-proc or $assess-subs or $assess-tgi)) then ()         else tokenize(dh:OrderByLength(string-join((                  $numbers/number/@name,                   $knowledge/qualifiers/other/@value,                  $knowledge/qualifiers/other/@plural,                  $knowledge/qualifiers/other/@typo                  ), '|'), false()), '\|') " />
  <xsl:variable name="tgi-qualifier-regex" select="if (not($assess-diag or $assess-proc or $assess-subs or $assess-tgi)) then ''         else string-join(for $qual in $tgi-qualifier-regex-1 return concat('(^|[^a-z0-9])', $qual, '([^a-z0-9]|$)~$1 $2'), '~') " />
  <xsl:variable name="prop-dose-form-p-regex" select="if (not($assess-form or $assess-subs or $assess-tgi)) then '' else string-join((for $form in $knowledge/dose-forms/prop-dose-form return if ($form/@plural)         then concat('(^|[^a-z])', $form/@plural, '([^a-z]|$)~$1 ', $form/@proprietary, ' $2') else '')[. != ''], '~')" />
  <xsl:variable name="prop-dose-form-s-regex" select="if (not($assess-form or $assess-subs or $assess-tgi)) then '' else string-join((for $form in $knowledge/dose-forms/prop-dose-form return if ($form/@synonyms)         then concat('(^|[^a-z])(', $form/@synonyms, ')([^a-z]|$)~$1 ', $form/@proprietary, ' $3') else '')[. != ''], '~')" />
  <xsl:variable name="dose-form-p-regex" select="if (not($assess-form or $assess-subs or $assess-tgi)) then '' else string-join((for $form in $knowledge/dose-forms/dose-form return if ($form/@plural)         then concat('(^|[^a-z])', $form/@plural, '([^a-z]|$)~$1 ', $form/@name, ' $2') else '')[. != ''], '~')" />
  <xsl:variable name="dose-form-s-regex" select="if (not($assess-form or $assess-subs or $assess-tgi)) then '' else string-join((for $form in $knowledge/dose-forms/dose-form return if ($form/@synonyms)         then concat('(^|[^a-z])(', $form/@synonyms, ')([^a-z]|$)~$1 ', $form/@name, ' $3') else '')[. != ''], '~')" />
  <xsl:variable name="dose-form-names" select="if (not($assess-form or $assess-subs or $assess-tgi)) then () else tokenize(lower-case(dh:OrderByLength(string-join(distinct-values((                 $knowledge/dose-forms/prop-dose-form/@proprietary,                  $knowledge/dose-forms/prop-dose-form/@preferred,                   $knowledge/dose-forms/prop-dose-form/@synonyms,                  $knowledge/dose-forms/prop-dose-form/@typo,                 $knowledge/dose-forms/dose-form/@name,                 $knowledge/dose-forms/dose-form/@plural,                 $knowledge/dose-forms/dose-form/@synonyms,                 $knowledge/dose-forms/dose-form/@typo           )), '|'), false())), '\|') " />
  <xsl:variable name="dose-form-regex-seq" select="if (not($assess-form or $assess-subs or $assess-tgi)) then () else for $form in $dose-form-names return concat('(^|[^a-z])(', $form, ')([^a-z]|$)')" />
  <xsl:variable name="dose-form-rem-regex" select="if (not($assess-form or $assess-subs or $assess-tgi)) then '' else string-join(for $form in $dose-form-regex-seq return concat($form, '~$1 $3'), '~')" />
  <xsl:variable name="dose-form-name-regex" select="if (not($assess-form or $assess-subs or $assess-tgi)) then '' else concat('(', string-join($dose-form-regex-seq, ')|('), ')') " />
  <xsl:variable name="dose-form-replacement" select="if (not($assess-diag or $assess-proc or $assess-subs or $assess-tgi)) then ''         else string-join((        for $x in $knowledge/dose-forms/dose-form return if ($x/@typo) then concat('(^|[^a-z])(', $x/@typo, ')([^a-z]|$)~$1 ', $x/@name, ' $3') else '',        for $x in $knowledge/dose-forms/dose-form return if ($x/@synonyms) then concat('(^|[^a-z])(', $x/@synonyms, ')([^a-z]|$)~$1 ', $x/@name, ' $3') else '',        for $x in $knowledge/dose-forms/dose-form return if ($x/@drops) then concat('(^|[^a-z])(', $x/@drops, ')([^a-z]|$)~$1 ', $x/@name, ' $3') else '',        for $x in $knowledge/dose-forms/prop-dose-form return if ($x/@typo) then concat('(^|[^a-z])(', $x/@typo, ')([^a-z]|$)~$1 ', $x/@proprietary, ' $3') else '',        for $x in $knowledge/dose-forms/prop-dose-form return if ($x/@synonyms) then concat('(^|[^a-z])(', $x/@synonyms, ')([^a-z]|$)~$1 ', $x/@proprietary, ' $3') else '',        for $x in $knowledge/dose-forms/prop-dose-form return if ($x/@drops) then concat('(^|[^a-z])(', $x/@drops, ')([^a-z]|$)~$1 ', $x/@proprietary, ' $3') else ''        )[. != ''], '~') " />
  <xsl:variable name="tgi-container-replacement" select="if (not($assess-diag or $assess-proc or $assess-subs or $assess-tgi)) then ''         else string-join(distinct-values((         for $x in $knowledge/container-types/container-type return if ($x/@typo) then concat('(^|[^a-z])(', $x/@typo, ')([^a-z]|$)~$1 ', $x/@preferred, ' $3') else '',         for $x in $knowledge/container-types/container-type return if ($x/@proprietary) then concat('(^|[^a-z])(', $x/@proprietary, ')([^a-z]|$)~$1 ', $x/@preferred, ' $3') else '',         for $x in $knowledge/container-types/container-type return if ($x/@synonyms) then concat('(^|[^a-z])(', $x/@synonyms, ')([^a-z]|$)~$1 ', $x/@preferred, ' $3') else '',         for $x in $knowledge/container-types/container-type return if ($x/@plural) then concat('(^|[^a-z])(', $x/@plural, ')([^a-z]|$)~$1 ', $x/@preferred, ' $3') else ''        )[. != '']), '~') " />
  <xsl:variable name="tgi-container-names" select="if (not($assess-form or $assess-diag or $assess-proc or $assess-subs or $assess-tgi)) then ()         else tokenize(lower-case(dh:OrderByLength(string-join(distinct-values($knowledge/container-types/container-type/@preferred), '|'), false())), '\|') " />
  <xsl:variable name="tgi-container-regex-seq" select="if (not($assess-diag or $assess-proc or $assess-subs or $assess-tgi)) then ()         else for $container in $tgi-container-names return concat('(^|[^a-z])(', replace($container, '\-', '\\-'), ')([^a-z]|$)')" />
  <xsl:variable name="tgi-container-rem-regex" select="if (not($assess-diag or $assess-proc or $assess-subs or $assess-tgi)) then ''         else string-join(for $container in $tgi-container-regex-seq return concat($container, '~$1 $3'), '~')" />
  <xsl:variable name="tgi-sas-names" select="if (not($assess-diag or $assess-proc or $assess-subs or $assess-tgi)) then ''         else string-join(distinct-values((                 $knowledge/special-tgi/sas/@name,                 $knowledge/special-tgi/sas/@synonyms,                 $knowledge/special-tgi/sas/@typo           ))[. != ''], '|') " />
  <xsl:variable name="tgi-sas-regex" select="if (not($assess-diag or $assess-proc or $assess-subs or $assess-tgi)) then ''         else if ($tgi-sas-names = '') then '' else concat('^\W*(', dh:XQueryRecursiveReplace($tgi-sas-names, $meta-pattern, ''), ')\W*$') " />
  <xsl:variable name="tgi-otheru-names" select="if (not($assess-diag or $assess-proc or $assess-subs or $assess-tgi)) then ''         else string-join(distinct-values((                 $knowledge/special-tgi/other-uncoded/@name,                 $knowledge/special-tgi/other-uncoded/@synonyms,                 $knowledge/special-tgi/other-uncoded/@typo           ))[. != ''], '|') " />
  <xsl:variable name="tgi-otheru-regex" select="if (not($assess-diag or $assess-proc or $assess-subs or $assess-tgi)) then ''         else if ($tgi-otheru-names = '') then '' else concat('^\W*(', dh:XQueryRecursiveReplace($tgi-otheru-names, $meta-pattern, ''), ')\W*$') " />
  <xsl:variable name="tgi-obsolete-names" select="if (not($assess-diag or $assess-proc or $assess-subs or $assess-tgi)) then ''         else string-join(distinct-values(($knowledge/special-tgi/obsolete/@name))[. != ''], '|') " />
  <xsl:variable name="tgi-obsolete-regex" select="if (not($assess-diag or $assess-proc or $assess-subs or $assess-tgi)) then ''         else if ($tgi-obsolete-names = '') then '' else concat('^\W*(', dh:XQueryRecursiveReplace($tgi-obsolete-names, $meta-pattern, ''), ')\W*$') " />
  <xsl:variable name="qualifier-regex-1" select="if (not($assess-diag or $assess-proc)) then ()         else if ($knowledge/qualifiers/other/@value)         then tokenize(dh:OrderByLength(string-join((                 $knowledge/qualifiers/other/@value,                      $knowledge/qualifiers/other/@plural,                        $knowledge/qualifiers/other/@typo                 ), '|'), false()), '\|')        else () " />
  <xsl:variable name="qualifier-regex" select="if (not($assess-diag or $assess-proc)) then ()         else if (exists($qualifier-regex-1))         then concat(string-join(for $qual in $qualifier-regex-1 return concat('(^|[^a-z0-9])', $qual, '([^a-z0-9]|$)~$1 $2'), '~'),          '~([0-9a-z]+)\s+secondary\s+to\s+[ 0-9a-z]+$~$1')        else '([0-9a-z]+)\s+secondary\s+to\s+[ 0-9a-z]+$~$1' " />
  <xsl:variable name="no-qual-pattern-1" select="if (not($assess-diag or $assess-proc)) then ''         else if ($qualifier-regex = '') then '[0-9]+\W*x\W+~ ~\(.*?\)~ ~\([^\)]*$~ ~\[.*?\]~ ~'         else concat('[0-9]+\W*x\W+~ ~\(.*?\)~ ~\([^\)]*$~ ~\[.*?\]~ ~', $qualifier-regex) " />
  <xsl:variable name="no-qual-pattern" select="if (not($assess-diag or $assess-proc)) then ''         else if ($tgi-abbr-latin-regex = '') then $no-qual-pattern-1 else concat($no-qual-pattern-1, '~', $tgi-abbr-latin-regex) " />
  <xsl:variable name="tgi-regex-1" select="if (not($assess-subs or $assess-tgi)) then '' else if ($tgi-replacements = '') then '' else $tgi-replacements " />
  <xsl:variable name="tgi-regex-2" select="if (not($assess-subs or $assess-tgi)) then '' else if ($dose-form-p-regex = '') then $tgi-regex-1        else if ($tgi-regex-1 = '') then $dose-form-p-regex        else concat($tgi-regex-1, '~', $dose-form-p-regex) " />
  <xsl:variable name="tgi-regex-3" select="if (not($assess-subs or $assess-tgi)) then '' else if ($dose-form-s-regex = '') then $tgi-regex-2        else if ($tgi-regex-2 = '') then $dose-form-s-regex        else concat($tgi-regex-2, '~', $dose-form-s-regex) " />
  <xsl:variable name="tgi-regex-4" select="if (not($assess-subs or $assess-tgi)) then '' else if ($prop-dose-form-p-regex = '') then $tgi-regex-3        else if ($tgi-regex-3 = '') then $prop-dose-form-p-regex        else concat($tgi-regex-3, '~', $prop-dose-form-p-regex) " />
  <xsl:variable name="tgi-regex-5" select="if (not($assess-subs or $assess-tgi)) then '' else if ($prop-dose-form-s-regex = '') then $tgi-regex-4        else if ($tgi-regex-4 = '') then $prop-dose-form-s-regex        else concat($tgi-regex-4, '~', $prop-dose-form-s-regex) " />
  <xsl:variable name="tgi-regex" select="if (not($assess-subs or $assess-tgi)) then '' else if ($tgi-abbr-latin-regex = '') then $tgi-regex-5        else if ($tgi-regex-5 = '') then $tgi-abbr-latin-regex        else concat($tgi-regex-5, '~', $tgi-abbr-latin-regex) " />
  <xsl:variable name="subs-regex" select="if (not($assess-subs)) then '' else if ($subs-replacements = '') then $tgi-regex        else if ($tgi-regex = '') then $subs-replacements        else concat($tgi-regex, '~', $subs-replacements) " />
  <xsl:variable name="date-replacements" select="concat('(^|[^0-9])[0-9]{1,2}/{1}[0-9]{1,2}/{1}[1-2]{1}[0-9]{3}([^0-9]|$)~$1 $2~',         '(^|[^0-9])[0-9]{1,2}/{1}[0-9]{1,2}/{1}[0-9]{2}([^0-9]|$)~$1 $2~',         '[0-9]{1,2}/{1}[1-2]{1}[0-9]{3}([^0-9]|$)~$1 $2~',         '[0-9]{1,2}/{1}[0-9]{2}([^0-9]|$)~$1 $2~',         '(^|[^0-9])[1-2]{1}[0-9]{3}([^0-9]|$)~$1 $2') " />
  <xsl:variable name="month-replacements" select="string-join(for $x in $knowledge/months/month return concat('(^|[^a-z])', $x/@full, '([^a-z]|$)~ ~(^|[^a-z])', $x/@abbreviation, '([^a-z]|$)~ '), '~') " />
  <xsl:variable name="basic-pattern-replacement" select="'([1-9]{1}[0-9]{0,2}),([0-9]{3})~$1 $2~\((s|of|in)\)~~[,;]~ ~([a-z0-9])([\+\[\(])([a-z0-9])~$1 $2$3~([a-z0-9])([\]\)])([a-z0-9])~$1$2 $3~ - ~ ~[0-9]{10,}~ '" />
  <xsl:variable name="body-fir-1" select="if (not($assess-body)) then '' else concat($basic-pattern-replacement, '~', $body-char-regex, '~ ')" />
  <xsl:variable name="body-fir-pattern-replacement" select="if (not($assess-body)) then '' else if ($body-typo = '') then $body-fir-1 else concat($body-fir-1, '~', $body-typo) " />
  <xsl:variable name="coll-fir-1" select="if (not($assess-coll)) then '' else concat($basic-pattern-replacement, '~', $coll-char-regex, '~ ')" />
  <xsl:variable name="coll-fir-pattern-replacement" select="if (not($assess-coll)) then '' else if ($coll-typo = '') then $coll-fir-1 else concat($coll-fir-1, '~', $coll-typo)" />
  <xsl:variable name="diag-proc-fir-1" select="if (not($assess-diag or $assess-proc)) then '' else concat($basic-pattern-replacement, '~', $diag-proc-char-regex, '~ ~', $date-replacements)" />
  <xsl:variable name="form-fir-1" select="if (not($assess-form)) then '' else concat($basic-pattern-replacement, '~', $form-char-regex, '~ ')" />
  <xsl:variable name="form-fir-pattern-replacement" select="if (not($assess-form)) then '' else if ($form-typo = '') then $form-fir-1 else concat($form-fir-1, '~', $form-typo)" />
  <xsl:variable name="mfst-fir-1" select="if (not($assess-mfst)) then '' else concat($basic-pattern-replacement, '~', $mfst-char-regex, '~ ')" />
  <xsl:variable name="mfst-fir-pattern-replacement" select="if (not($assess-mfst)) then '' else if ($mfst-typo = '') then $mfst-fir-1 else concat($mfst-fir-1, '~', $mfst-typo)" />
  <xsl:variable name="modality-fir-1" select="if (not($assess-modality)) then '' else concat($basic-pattern-replacement, '~', $modality-char-regex, '~ ')" />
  <xsl:variable name="modality-fir-pattern-replacement" select="if (not($assess-modality)) then '' else if ($modality-typo = '') then $modality-fir-1 else concat($modality-fir-1, '~', $modality-typo)" />
  <xsl:variable name="pathTest-fir-1" select="if (not($assess-pathTest)) then '' else concat($basic-pattern-replacement, '~', $pathTest-char-regex, '~ ')" />
  <xsl:variable name="pathTest-fir-pattern-replacement" select="if (not($assess-pathTest)) then '' else if ($pathTest-typo = '') then $pathTest-fir-1 else concat($pathTest-fir-1, '~', $pathTest-typo)" />
  <xsl:variable name="PDType-fir-1" select="if (not($assess-PDType)) then '' else concat($basic-pattern-replacement, '~', $PDType-char-regex, '~ ')" />
  <xsl:variable name="PDType-fir-pattern-replacement" select="if (not($assess-PDType)) then '' else if ($PDType-typo = '') then $PDType-fir-1 else concat($PDType-fir-1, '~', $PDType-typo)" />
  <xsl:variable name="resPath-fir-1" select="if (not($assess-resPath)) then '' else concat($basic-pattern-replacement, '~', $resPath-char-regex, '~ ')" />
  <xsl:variable name="resPath-fir-pattern-replacement" select="if (not($assess-resPath)) then '' else if ($resPath-typo = '') then $resPath-fir-1 else concat($resPath-fir-1, '~', $resPath-typo)" />
  <xsl:variable name="route-fir-1" select="if (not($assess-route)) then '' else concat($basic-pattern-replacement, '~', $route-char-regex, '~ ')" />
  <xsl:variable name="route-fir-pattern-replacement" select="if (not($assess-route)) then '' else if ($route-typo = '') then $route-fir-1 else concat($route-fir-1, '~', $route-typo)" />
  <xsl:variable name="specimen-fir-1" select="if (not($assess-specimen)) then '' else concat($basic-pattern-replacement, '~', $specimen-char-regex, '~ ')" />
  <xsl:variable name="specimen-fir-pattern-replacement" select="if (not($assess-specimen)) then '' else if ($specimen-typo = '') then $specimen-fir-1 else concat($specimen-fir-1, '~', $specimen-typo)" />
  <xsl:variable name="subs-fir-1" select="if (not($assess-subs)) then '' else concat($basic-pattern-replacement, '~', $subs-char-regex, '~ ')" />
  <xsl:variable name="subs-fir-pattern-replacement" select="if (not($assess-subs)) then '' else if ($subs-typo = '') then $subs-fir-1 else concat($subs-fir-1, '~', $subs-typo)" />
  <xsl:variable name="tgi-fir-1" select="if (not($assess-diag or $assess-proc or $assess-subs or $assess-tgi)) then ''           else concat('([^a-z])(strength\s*:)([^a-z])~$1 $3~', $basic-pattern-replacement, '~', $tgi-char-regex, '~ ')" />
  <xsl:variable name="tgi-fir-2" select="if ($tgi-fir-1 = '' or $tgi-container-replacement = '') then $tgi-fir-1 else concat($tgi-fir-1, '~', $tgi-container-replacement)" />
  <xsl:variable name="tgi-fir-3" select="if ($tgi-fir-2 = '' or $dose-form-replacement = '') then $tgi-fir-2 else concat($tgi-fir-2, '~', $dose-form-replacement)" />
  <xsl:variable name="tgi-fir-pattern-replacement" select="if (not($assess-diag or $assess-proc or $assess-subs or $assess-tgi)) then ''           else if ($tgi-typo = '') then $tgi-fir-3 else concat($tgi-fir-3, '~', $tgi-typo)" />
  <xsl:variable name="tgi-sec-pattern-replacement-1" select="if (not($assess-diag or $assess-proc or $assess-subs or $assess-tgi)) then '' else concat(              '([0-9])([a-z])~$1 $2~',                 '([a-z])([0-9])~$1 $2~',                   '\(.*\)~ ~',                     '\([^\)]*$~ ~',                   '\[.*\]~ ~',              '[\-,;:/]~ ~',              '(^|[^0-9])\.([^0-9]|$)~$1 $2~',              '(^|[^a-z])[exioqyz]{1}([^a-z]|$)~$1 $2') " />
  <xsl:variable name="tgi-sec-pattern-replacement" select="if (not($assess-diag or $assess-proc or $assess-subs or $assess-tgi)) then ''           else if ($tgi-qualifier-regex = '') then $tgi-sec-pattern-replacement-1 else concat($tgi-sec-pattern-replacement-1, '~', $tgi-qualifier-regex) " />
  <xsl:variable name="tgi-thi-pattern-replacement" select="if (not($assess-diag or $assess-proc or $assess-subs or $assess-tgi)) then '' else concat(         $dose-form-rem-regex, '~',     $tgi-container-rem-regex, '~',         '(^|[^a-z])g([^a-z]|$)~$1 $2~',    '(^|[^a-z])(gram|grams)([^a-z]|$)~$1 $3~',         '(^|[^a-z])hr([^a-z]|$)~$1 $2~',   '(^|[^a-z])(hour|hours)([^a-z]|$)~$1 $3~',         '(^|[^a-z])IU([^a-z]|$)~$1 $2~',         '(^|[^a-z])L([^a-z]|$)~$1 $2~',    '(^|[^a-z])(litre|litres)([^a-z]|$)~$1 $3~',         '(^|[^a-z])mcg([^a-z]|$)~$1 $2~',   '(^|[^a-z])(microgram|micrograms)([^a-z]|$)~$1 $3~',         '(^|[^a-z])mg([^a-z]|$)~$1 $2~',   '(^|[^a-z])(milligram|milligrams)([^a-z]|$)~$1 $3~',         '(^|[^a-z])mLs{0,1}([^a-z]|$)~$1 $2~',   '(^|[^a-z])(millilitre|millilitres)([^a-z]|$)~$1 $3~',         '(^|[^a-z])mmol([^a-z]|$)~$1 $2~',   '(^|[^a-z])(millimole|millimoles)([^a-z]|$)~$1 $3~',         '(^|[^a-z])umol([^a-z]|$)~$1 $2~',   '(^|[^a-z])(micromole|micromoles)([^a-z]|$)~$1 $3~',         '(^|[^0-9a-z])[0-9%\-\., /]+([^0-9a-z]|$)~$1 $2~',  '(^|[^a-z])[a-z]{1}([^a-z]|$)~$1 $2~',             '/~ '                ) " />
  <xsl:variable name="body-invalid-hierarchy" select="if (not($assess-body)) then '' else if (exists($cd-definitions/body/body-invalid/hierarchy))         then concat('(', string-join(for $hierarchy in $cd-definitions/body/body-invalid/hierarchy return          concat('&gt;&gt;', $hierarchy/@code, ' OR &lt;', $hierarchy/@code), ' OR '), ')')        else '' " />
  <xsl:variable name="coll-invalid-hierarchy" select="if (not($assess-coll)) then '' else if (exists($cd-definitions/coll/coll-invalid/hierarchy))         then concat('(', string-join(for $hierarchy in $cd-definitions/coll/coll-invalid/hierarchy return          concat('&gt;&gt;', $hierarchy/@code, ' OR &lt;', $hierarchy/@code), ' OR '), ')')        else '' " />
  <xsl:variable name="diag-invalid-hierarchy" select="if (not($assess-diag)) then '' else if (exists($cd-definitions/diag/diag-invalid/hierarchy))         then concat('(', string-join(for $hierarchy in $cd-definitions/diag/diag-invalid/hierarchy return          concat('&gt;&gt;', $hierarchy/@code, ' OR &lt;', $hierarchy/@code), ' OR '), ')')        else '' " />
  <xsl:variable name="diag-invalid-refset" select="if (not($assess-diag)) then '' else if (exists($cd-definitions/diag/diag-invalid/refset))         then concat('(', string-join(for $refset in $cd-definitions/diag/diag-invalid/refset return concat('^', $refset/@code), ' OR '), ')')        else '' " />
  <xsl:variable name="diag-invalid-inactive-refset" select="if (not($assess-diag)) then '' else if (exists($cd-definitions/diag/diag-invalid/inactive-refset))         then concat('(', string-join(for $refset in $cd-definitions/diag/diag-invalid/inactive-refset return concat('^', $refset/@code), ' OR '), ')')        else '' " />
  <xsl:variable name="diag-proc-invalid-hierarchy" select="if (not($assess-diag or $assess-proc)) then '' else if (exists($cd-definitions/diag-proc/diag-proc-invalid/hierarchy))         then concat('(', string-join(for $hierarchy in $cd-definitions/diag-proc/diag-proc-invalid/hierarchy return          concat('&gt;&gt;', $hierarchy/@code, ' OR &lt;', $hierarchy/@code), ' OR '), ')')        else '' " />
  <xsl:variable name="diag-proc-invalid-refset" select="if (not($assess-diag or $assess-proc)) then '' else if (exists($cd-definitions/diag-proc/diag-proc-invalid/refset))         then concat('(', string-join(for $refset in $cd-definitions/diag-proc/diag-proc-invalid/refset return concat('^', $refset/@code), ' OR '), ')')        else '' " />
  <xsl:variable name="diag-proc-invalid-inactive-refset" select="if (not($assess-diag or $assess-proc)) then '' else if (exists($cd-definitions/diag-proc/diag-proc-invalid/inactive-refset))         then concat('(', string-join(for $refset in $cd-definitions/diag-proc/diag-proc-invalid/inactive-refset return concat('^', $refset/@code), ' OR '), ')')        else '' " />
  <xsl:variable name="form-invalid-hierarchy" select="if (not($assess-form)) then '' else if (exists($cd-definitions/form/form-invalid/hierarchy))         then concat('(', string-join(for $hierarchy in $cd-definitions/form/form-invalid/hierarchy return          concat('&gt;&gt;', $hierarchy/@code, ' OR &lt;', $hierarchy/@code), ' OR '), ')')        else '' " />
  <xsl:variable name="meds-invalid-hierarchy" select="if (not($assess-tgi)) then '' else if (exists($cd-definitions/meds/meds-invalid/hierarchy))         then concat('(', string-join(for $hierarchy in $cd-definitions/meds/meds-invalid/hierarchy return          concat('&gt;&gt;', $hierarchy/@code, ' OR &lt;', $hierarchy/@code), ' OR '), ')')        else '' " />
  <xsl:variable name="mfst-invalid-hierarchy" select="if (not($assess-mfst)) then '' else if (exists($cd-definitions/mfst/mfst-invalid/hierarchy))         then concat('(', string-join(for $hierarchy in $cd-definitions/mfst/mfst-invalid/hierarchy return          concat('&gt;&gt;', $hierarchy/@code, ' OR &lt;', $hierarchy/@code), ' OR '), ')')        else '' " />
  <xsl:variable name="modality-invalid-hierarchy" select="if (not($assess-modality)) then '' else if (exists($cd-definitions/modality/modality-invalid/hierarchy))         then concat('(', string-join(for $hierarchy in $cd-definitions/modality/modality-invalid/hierarchy return          concat('&gt;&gt;', $hierarchy/@code, ' OR &lt;', $hierarchy/@code), ' OR '), ')')        else '' " />
  <xsl:variable name="pathTest-invalid-hierarchy" select="if (not($assess-pathTest)) then '' else if (exists($cd-definitions/pathTest/pathTest-invalid/hierarchy))         then concat('(', string-join(for $hierarchy in $cd-definitions/pathTest/pathTest-invalid/hierarchy return          concat('&gt;&gt;', $hierarchy/@code, ' OR &lt;', $hierarchy/@code), ' OR '), ')')        else '' " />
  <xsl:variable name="PDType-invalid-hierarchy" select=" '' " />
  <xsl:variable name="proc-invalid-hierarchy" select="if (not($assess-proc)) then '' else if (exists($cd-definitions/proc/proc-invalid/hierarchy))         then concat('(', string-join(for $hierarchy in $cd-definitions/proc/proc-invalid/hierarchy return          concat('&gt;&gt;', $hierarchy/@code, ' OR &lt;', $hierarchy/@code), ' OR '), ')')        else '' " />
  <xsl:variable name="proc-invalid-refset" select="if (not($assess-proc)) then '' else if (exists($cd-definitions/proc/proc-invalid/refset))         then concat('(', string-join(for $refset in $cd-definitions/proc/proc-invalid/refset return concat('^', $refset/@code), ' OR '), ')')        else '' " />
  <xsl:variable name="proc-invalid-inactive-refset" select="if (not($assess-proc)) then '' else if (exists($cd-definitions/proc/proc-invalid/inactive-refset))         then concat('(', string-join(for $refset in $cd-definitions/proc/proc-invalid/inactive-refset return concat('^', $refset/@code), ' OR '), ')')        else '' " />
  <xsl:variable name="route-invalid-hierarchy" select="if (not($assess-route)) then '' else if (exists($cd-definitions/route/route-invalid/hierarchy))         then concat('(', string-join(for $hierarchy in $cd-definitions/route/route-invalid/hierarchy return          concat('&gt;&gt;', $hierarchy/@code, ' OR &lt;', $hierarchy/@code), ' OR '), ')')        else '' " />
  <xsl:variable name="specimen-invalid-hierarchy" select="if (not($assess-specimen)) then '' else if (exists($cd-definitions/specimen/specimen-invalid/hierarchy))         then concat('(', string-join(for $hierarchy in $cd-definitions/specimen/specimen-invalid/hierarchy return          concat('&gt;&gt;', $hierarchy/@code, ' OR &lt;', $hierarchy/@code), ' OR '), ')')        else '' " />
  <xsl:variable name="subs-invalid-hierarchy" select="if (not($assess-subs)) then '' else if (exists($cd-definitions/subs/subs-invalid/hierarchy))         then concat('(', string-join(for $hierarchy in $cd-definitions/subs/subs-invalid/hierarchy return          concat('&gt;&gt;', $hierarchy/@code, ' OR &lt;', $hierarchy/@code), ' OR '), ')')        else '' " />
  <xsl:variable name="laterality-regex" select=" '(^|[^a-z])(bilateral|left and right|right and left|left sided?|left|lh|lt|l|right sided?|right|rh|rt|r)([^a-z]|$)' " />
  <xsl:variable name="vaccine-codes" select="if (not($assess-diag or $assess-proc or $assess-subs or $assess-tgi)) then () else $code-systems/system[@codeSystem = '1.2.36.1.2001.1005.17']/code" />
  <xsl:variable name="vaccine-text" select="($vaccine-codes/@displayName,         tokenize(string-join(($vaccine-codes/@disease, $vaccine-codes/@synonyms, $vaccine-codes/@related-terms), '|'), '\|'))[. != '']" />
  <xsl:variable name="vaccine-text-normalised" select="for $vaccine in $vaccine-text return translate(normalize-space(lower-case($vaccine)), $chars-to-remove, '')" />
  <xsl:variable name="acp-regex" select="'(living\s*will)|(advance\s*(health|health\s*care)\s*directive)|(advance\s*(care\s*|\s*)(plan|directive))|(advance\s*care\s*information)' " />
  <xsl:variable name="name-masked-regex" select="replace(concat('^\s*(', $knowledge/name-masked/@value, ')\s*$'), ' ', '\\s+') " />
  <xsl:variable name="length-err-max" select="200" />
  <xsl:variable name="p-names" select="(/cda:ClinicalDocument/*[not(local-name(.) = 'component')]//cda:name[cda:family or cda:given],        /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/*[not(cda:text)]//cda:name[cda:family or cda:given]) " />
  <xsl:variable name="family-names" select="distinct-values(for $names in $p-names return if (matches($names/cda:family, '[a-z]', 'i'))        then normalize-space(replace(replace(replace($names/cda:family, $name-newborn-w-rep-regex, '$1$3', 'i'), $name-prefix-rep-regex, '$1$3', 'i'), $name-suffix-m-rep-regex, '$1$3', 'i')) else '')[. != '' and not(matches(., $name-masked-regex, 'i'))] " />
  <xsl:variable name="family-regex-1" select="for $name in $family-names return replace(dh:XQueryRecursiveReplace($name, $meta-pattern-with-pipe, ''), ' ', '\\s*')" />
  <xsl:variable name="family-regex" select="if (exists($family-regex-1)) then concat('(^|^.*[^a-z]{1})(', string-join($family-regex-1, '|'), ')([^a-z]{1}.*$|$)') else '' " />
  <xsl:variable name="family-pattern" select="for $name in $family-regex-1 return concat('(^|[^a-z0-9])(', $name, ')([^a-z0-9]|$)') " />
  <xsl:variable name="family-replacement" select="for $name in $family-names return concat('$1', string-join(for $text in tokenize($name, '\s+') return         if (matches($text, $name-masked-regex, 'i')) then $text        else concat(substring($text, 1, 1), translate(substring($text, 2),          'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ', 'xxxxxxxxxxxxxxxxxxxxxxxxxxXXXXXXXXXXXXXXXXXXXXXXXXXX')), ' '), '$3') " />
  <xsl:variable name="family-pattern-replacement" select="string-join(for $i in (1 to count($family-names)) return concat($family-pattern[$i], '~', $family-replacement[$i]), '~') " />
  <xsl:variable name="given-names-1" select="tokenize(string-join((for $names in $p-names return if (matches($names/cda:given, '[a-z]', 'i'))        then string-join(normalize-space(replace(replace(replace($names/cda:given, $name-newborn-w-rep-regex, '$1$3', 'i'), $name-prefix-rep-regex, '$1$3', 'i'), $name-suffix-m-rep-regex, '$1$3', 'i')), '|')        else '')[. != '' and not(matches(., $name-masked-regex, 'i'))], '|'), '\|') " />
  <xsl:variable name="given-names" select="distinct-values(for $names in $given-names-1 return normalize-space($names[                      normalize-space(.) != ''    and                       not(matches(., $name-newborn-g-regex, 'i')) ]))[. != ''] " />
  <xsl:variable name="given-pattern-1" select="for $name in $given-names return replace(dh:XQueryRecursiveReplace($name, $meta-pattern-with-pipe, ''), ' ', '\\s*') " />
  <xsl:variable name="given-pattern" select="for $name in $given-pattern-1 return concat('(^|[^a-z0-9])(', $name, ')([^a-z0-9]|$)') " />
  <xsl:variable name="given-replacement" select="for $name in $given-names return concat('$1', string-join(for $text in tokenize($name, '\s+') return         if (matches($text, $name-masked-regex, 'i')) then $text        else concat(substring($text, 1, 1), translate(substring($text, 2),          'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ', 'xxxxxxxxxxxxxxxxxxxxxxxxxxXXXXXXXXXXXXXXXXXXXXXXXXXX')), ' '), '$3') " />
  <xsl:variable name="given-pattern-replacement" select="string-join(for $i in (1 to count($given-names)) return concat($given-pattern[$i], '~', $given-replacement[$i]), '~') " />
  <xsl:variable name="p-name-pattern-replacement" select="if ($given-pattern-replacement = '') then $family-pattern-replacement        else if ($family-pattern-replacement = '') then $given-pattern-replacement        else concat($family-pattern-replacement, '~', $given-pattern-replacement) " />
  <xsl:variable name="text-pattern-replacement" select="if ($p-name-pattern-replacement = '') then $markup-pattern-replacement        else if ($markup-pattern-replacement = '') then $p-name-pattern-replacement        else concat($p-name-pattern-replacement, '~', $markup-pattern-replacement) " />
  <xsl:variable name="term-pattern-replacement" select="concat(        '(^|.)', codepoints-to-string((38)), '(.|$)',  '~',  '$1 and $2',    '~',        '(^|.)=\s*&gt;(.|$)',    '~', '$1 greater than or equals $2', '~',        '(^|.)&gt;(.|$)',     '~', '$1 greater than $2',  '~',        '(^|.)&lt;\s*=(.|$)',    '~', '$1 less than or equals $2',  '~',        '(^|.)&lt;(.|$)',    '~', '$1 less than $2'  ) " />
  <xsl:variable name="consumer-eis" select=" /cda:ClinicalDocument//cda:patient/ext:asEntityIdentifier/ext:id " />
  <xsl:variable name="person-eis" select=" /cda:ClinicalDocument//*[        local-name(.) = 'asPersonalRelationship'   or        local-name(.) = 'assignedPerson'    or        local-name(.) = 'associatedPerson'    or        local-name(.) = 'guardianPerson'    or        local-name(.) = 'informationRecipient'    or        local-name(.) = 'maintainingPerson'    or        local-name(.) = 'patient'     or       (local-name(.) = 'playingEntity' and @classCode='PSN')  or        local-name(.) = 'relatedPerson'    or       (local-name(.) = 'scopingEntity' and @classCode='PSN')  or       (local-name(.) = 'specimenPlayingEntity' and @classCode='PSN') or        local-name(.) = 'subject'     ]/ext:asEntityIdentifier/ext:id " />
  <xsl:variable name="org-eis" select=" /cda:ClinicalDocument//*[        local-name(.) = 'employerOrganization'    or        local-name(.) = 'guardianOrganization'    or         local-name(.) = 'manufacturerOrganization'   or       (local-name(.) = 'playingEntity' and @classCode='ORG')  or          local-name(.) = 'providerOrganization'    or         local-name(.) = 'receivedOrganization'    or        local-name(.) = 'representedCustodianOrganization'  or        local-name(.) = 'representedOrganization'   or       (local-name(.) = 'scopingEntity' and @classCode='ORG')  or        local-name(.) = 'scopingOrganization'    or        local-name(.) = 'serviceProviderOrganization'   or       (local-name(.) = 'specimenPlayingEntity' and @classCode='ORG') or        local-name(.) = 'wholeEntity'     or         local-name(.) = 'wholeOrganization'    ]/ext:asEntityIdentifier/ext:id " />
  <xsl:variable name="device-eis" select=" /cda:ClinicalDocument//cda:assignedAuthoringDevice/ext:asEntityIdentifier/ext:id " />
  <xsl:variable name="combined-consumer-eis" select=" distinct-values(for $ei in $consumer-eis return        if ($ei/@root and $ei/@extension) then concat($ei/@root, '.', $ei/@extension)        else if ($ei/@root and not($ei/@extension) and $ei/@nullFlavor) then concat($ei/@root, '.', 'unknown')        else if (not($ei/@root) and $ei/@nullFlavor and $ei/@extension) then concat('unknown', '.', $ei/@extension)        else if ($ei/@root and not($ei/@extension) and not($ei/@nullFlavor)) then $ei/@root        else if (not($ei/@root) and not($ei/@nullFlavor) and $ei/@extension) then $ei/@extension        else '') " />
  <xsl:variable name="combined-person-eis" select=" distinct-values(for $ei in $person-eis return        if ($ei/@root and $ei/@extension) then concat($ei/@root, '.', $ei/@extension)        else if ($ei/@root and not($ei/@extension) and $ei/@nullFlavor) then concat($ei/@root, '.', 'unknown')        else if (not($ei/@root) and $ei/@nullFlavor and $ei/@extension) then concat('unknown', '.', $ei/@extension)        else if ($ei/@root and not($ei/@extension) and not($ei/@nullFlavor)) then $ei/@root        else if (not($ei/@root) and not($ei/@nullFlavor) and $ei/@extension) then $ei/@extension        else '') " />
  <xsl:variable name="combined-org-eis" select=" distinct-values(for $ei in $org-eis return        if ($ei/@root and $ei/@extension) then concat($ei/@root, '.', $ei/@extension)        else if ($ei/@root and not($ei/@extension) and $ei/@nullFlavor) then concat($ei/@root, '.', 'unknown')        else if (not($ei/@root) and $ei/@nullFlavor and $ei/@extension) then concat('unknown', '.', $ei/@extension)        else if ($ei/@root and not($ei/@extension) and not($ei/@nullFlavor)) then $ei/@root        else if (not($ei/@root) and not($ei/@nullFlavor) and $ei/@extension) then $ei/@extension        else '') " />
  <xsl:variable name="combined-device-eis" select=" distinct-values(for $ei in $device-eis return        if ($ei/@root and $ei/@extension) then concat($ei/@root, '.', $ei/@extension)        else if ($ei/@root and not($ei/@extension) and $ei/@nullFlavor) then concat($ei/@root, '.', 'unknown')        else if (not($ei/@root) and $ei/@nullFlavor and $ei/@extension) then concat('unknown', '.', $ei/@extension)        else if ($ei/@root and not($ei/@extension) and not($ei/@nullFlavor)) then $ei/@root        else if (not($ei/@root) and not($ei/@nullFlavor) and $ei/@extension) then $ei/@extension        else '') " />
  <xsl:variable name="log-concepts-name" select="if ($knowledge/logs/@concepts) then $knowledge/logs/@concepts else '' " />
  <xsl:variable name="log-tab" select="codepoints-to-string(9)" />
  <xsl:variable name="log-concepts-created" select="if (not($flags/@report-terminology-concepts = 'true') or $log-concepts-name = '') then ''         else dh:CreateLog($log-concepts-name, concat(               'Document date',   $log-tab,              'Document ID',    $log-tab,                  'Document type',   $log-tab,                'Document section',   $log-tab,                 'Data element',   $log-tab,                 'Value domain specified?', $log-tab,                 'Concept',    $log-tab,                 'In value domain',   $log-tab,                 'In other value domain',  $log-tab,                 'In no value domain',   $log-tab,                 'SNOMED CT-AU version'  )) " />
  <xsl:variable name="excluded-nomenclatures" select="if ($flags/@report-data-quality = 'true') then $knowledge/nomenclatures/excluded/@codeSystem else () " />
  <xsl:variable name="meds-view-sections" select="('101.16146', '101.16146.4.1.1', '101.16146.4.1.2', '101.16649', '101.20113', '102.16210', '102.16211') " />
  <xsl:variable name="medications-sections" select="('101.16146', '101.16146.4.1.1', '101.16146.4.1.2', '101.16649', '102.16210', '102.16211') " />
  <xsl:variable name="ADI-sections" select="('101.16146', '101.16146.4.1.1', '101.16146.4.1.2', '101.20113', '102.16210', '102.16211') " />
  <xsl:variable name="ratings" select="if (not($flags/@test-data = 'true') and $flags/@allow-ratings = 'true') then document('TEMPLATE/VALDN/IQRatings.xml', .)/ratings else () " />
  <xsl:variable name="initial-priority-nodes" select="if ($ratings/overriding-contexts/initial-priority-node/@node) then $ratings/overriding-contexts/initial-priority-node/@node else () " />
  <xsl:variable name="initial-participants" select="if ($ratings/overriding-participants/participant/@type) then $ratings/overriding-participants/participant/@type else () " />
  <xsl:variable name="rejection-rating" select="if (not($flags/@test-data = 'true') and $flags/@allow-ratings = 'true') then ' (HIGH)' else '' " />
  <xsl:variable name="initial-rating" select="if (not($flags/@test-data = 'true') and $flags/@allow-ratings = 'true') then ' (TRIVIAL)' else '' " />
  <xsl:variable name="FS-Doc-seq" select="$ratings/feature-set[@id='FS-Doc'] " />
  <xsl:variable name="FS-Narr-seq" select="$ratings/feature-set[@id='FS-Narr'] " />
  <xsl:variable name="FS-Types-seq" select="$ratings/feature-set[@id='FS-Types'] " />
  <xsl:variable name="FS-Auth-seq" select="$ratings/feature-set[@id='FS-Auth']" />
  <xsl:variable name="FS-Usability-seq" select="$ratings/feature-set[@id='FS-Usability'] " />
  <xsl:variable name="FS-Terminology-seq" select="$ratings/feature-set[@id='FS-Terminology'] " />
  <xsl:variable name="TS-AdminObs-seq" select="$FS-Doc-seq/test-set[@id='TS-AdminObs'] " />
  <xsl:variable name="TS-Body-seq" select="$FS-Doc-seq/test-set[@id='TS-Body'] " />
  <xsl:variable name="TS-Dext-seq" select="$FS-Doc-seq/test-set[@id='TS-Dext'] " />
  <xsl:variable name="TS-DocIdent-seq" select="$FS-Doc-seq/test-set[@id='TS-DocIdent'] " />
  <xsl:variable name="TS-GCD-seq" select="$FS-Doc-seq/test-set[@id='TS-GCD'] " />
  <xsl:variable name="TS-Head-seq" select="$FS-Doc-seq/test-set[@id='TS-Head'] " />
  <xsl:variable name="TS-Level-seq" select="$FS-Doc-seq/test-set[@id='TS-Level'] " />
  <xsl:variable name="TS-Logo-seq" select="$FS-Doc-seq/test-set[@id='TS-Logo'] " />
  <xsl:variable name="TS-Vers-seq" select="$FS-Doc-seq/test-set[@id='TS-Vers'] " />
  <xsl:variable name="TS-Auto-seq" select="$FS-Narr-seq/test-set[@id='TS-Auto'] " />
  <xsl:variable name="TS-Ext-seq" select="$FS-Narr-seq/test-set[@id='TS-Ext'] " />
  <xsl:variable name="TS-Info-seq" select="$FS-Narr-seq/test-set[@id='TS-Info'] " />
  <xsl:variable name="TS-Mark-seq" select="$FS-Narr-seq/test-set[@id='TS-Mark'] " />
  <xsl:variable name="TS-Narr-seq" select="$FS-Narr-seq/test-set[@id='TS-Narr'] " />
  <xsl:variable name="TS-Ref-seq" select="$FS-Narr-seq/test-set[@id='TS-Ref'] " />
  <xsl:variable name="TS-Style-seq" select="$FS-Narr-seq/test-set[@id='TS-Style'] " />
  <xsl:variable name="TS-Tab-seq" select="$FS-Narr-seq/test-set[@id='TS-Tab'] " />
  <xsl:variable name="TS-AddrDG-seq" select="$FS-Types-seq/test-set[@id='TS-AddrDG' and @context='default'] " />
  <xsl:variable name="TS-AddrDG-alt-seq" select="$FS-Types-seq/test-set[@id='TS-AddrDG' and @context='alternative'] " />
  <xsl:variable name="TS-BTB-seq" select="$FS-Types-seq/test-set[@id='TS-BTB' and @context='default'] " />
  <xsl:variable name="TS-BTB-alt-seq" select="$FS-Types-seq/test-set[@id='TS-BTB' and @context='alternative'] " />
  <xsl:variable name="TS-Class-seq" select="$FS-Types-seq/test-set[@id='TS-Class' and @context='default'] " />
  <xsl:variable name="TS-Class-alt-seq" select="$FS-Types-seq/test-set[@id='TS-Class' and @context='alternative'] " />
  <xsl:variable name="TS-Coded-seq" select="$FS-Types-seq/test-set[@id='TS-Coded' and @context='default'] " />
  <xsl:variable name="TS-Coded-alt-seq" select="$FS-Types-seq/test-set[@id='TS-Coded' and @context='alternative'] " />
  <xsl:variable name="TS-Cont-seq" select="$FS-Types-seq/test-set[@id='TS-Cont' and @context='default'] " />
  <xsl:variable name="TS-Cont-alt-seq" select="$FS-Types-seq/test-set[@id='TS-Cont' and @context='alternative'] " />
  <xsl:variable name="TS-EntId-seq" select="$FS-Types-seq/test-set[@id='TS-EntId' and @context='default'] " />
  <xsl:variable name="TS-EntId-alt-seq" select="$FS-Types-seq/test-set[@id='TS-EntId' and @context='alternative'] " />
  <xsl:variable name="TS-Entit-seq" select="$FS-Types-seq/test-set[@id='TS-Entit' and @context='default'] " />
  <xsl:variable name="TS-Entit-alt-seq" select="$FS-Types-seq/test-set[@id='TS-Entit' and @context='alternative'] " />
  <xsl:variable name="TS-IL-seq" select="$FS-Types-seq/test-set[@id='TS-IL' and @context='default'] " />
  <xsl:variable name="TS-IL-alt-seq" select="$FS-Types-seq/test-set[@id='TS-IL' and @context='alternative'] " />
  <xsl:variable name="TS-PQ.TIME-seq" select="$FS-Types-seq/test-set[@id='TS-PQ.TIME' and @context='default'] " />
  <xsl:variable name="TS-PQ.TIME-alt-seq" select="$FS-Types-seq/test-set[@id='TS-PQ.TIME' and @context='alternative'] " />
  <xsl:variable name="TS-Quant-seq" select="$FS-Types-seq/test-set[@id='TS-Quant' and @context='default'] " />
  <xsl:variable name="TS-Quant-alt-seq" select="$FS-Types-seq/test-set[@id='TS-Quant' and @context='alternative'] " />
  <xsl:variable name="TS-BL-seq" select="$FS-Types-seq/test-set[@id='TS-BL'] " />
  <xsl:variable name="TS-BL-alt-seq" select="$FS-Types-seq/test-set[@id='TS-BL' and @context='alternative'] " />
  <xsl:variable name="TS-CD-seq" select="$FS-Types-seq/test-set[@id='TS-CD'] " />
  <xsl:variable name="TS-CD-alt-seq" select="$FS-Types-seq/test-set[@id='TS-CD' and @context='alternative'] " />
  <xsl:variable name="TS-CS-seq" select="$FS-Types-seq/test-set[@id='TS-CS'] " />
  <xsl:variable name="TS-CS-alt-seq" select="$FS-Types-seq/test-set[@id='TS-CS' and @context='alternative'] " />
  <xsl:variable name="TS-ED-seq" select="$FS-Types-seq/test-set[@id='TS-ED'] " />
  <xsl:variable name="TS-ED-alt-seq" select="$FS-Types-seq/test-set[@id='TS-ED' and @context='alternative'] " />
  <xsl:variable name="TS-II-seq" select="$FS-Types-seq/test-set[@id='TS-II'] " />
  <xsl:variable name="TS-II-alt-seq" select="$FS-Types-seq/test-set[@id='TS-II' and @context='alternative'] " />
  <xsl:variable name="TS-INT-seq" select="$FS-Types-seq/test-set[@id='TS-INT'] " />
  <xsl:variable name="TS-INT-alt-seq" select="$FS-Types-seq/test-set[@id='TS-INT' and @context='alternative'] " />
  <xsl:variable name="TS-IVL-seq" select="$FS-Types-seq/test-set[@id='TS-IVL'] " />
  <xsl:variable name="TS-IVL-alt-seq" select="$FS-Types-seq/test-set[@id='TS-IVL' and @context='alternative'] " />
  <xsl:variable name="TS-NF-seq" select="$FS-Types-seq/test-set[@id='TS-NF'] " />
  <xsl:variable name="TS-NF-alt-seq" select="$FS-Types-seq/test-set[@id='TS-NF' and @context='alternative'] " />
  <xsl:variable name="TS-PIVL-seq" select="$FS-Types-seq/test-set[@id='TS-PIVL'] " />
  <xsl:variable name="TS-PIVL-alt-seq" select="$FS-Types-seq/test-set[@id='TS-PIVL' and @context='alternative'] " />
  <xsl:variable name="TS-PQ-seq" select="$FS-Types-seq/test-set[@id='TS-PQ'] " />
  <xsl:variable name="TS-PQ-alt-seq" select="$FS-Types-seq/test-set[@id='TS-PQ' and @context='alternative'] " />
  <xsl:variable name="TS-REAL-seq" select="$FS-Types-seq/test-set[@id='TS-REAL'] " />
  <xsl:variable name="TS-REAL-alt-seq" select="$FS-Types-seq/test-set[@id='TS-REAL' and @context='alternative'] " />
  <xsl:variable name="TS-RTO-seq" select="$FS-Types-seq/test-set[@id='TS-RTO'] " />
  <xsl:variable name="TS-RTO-alt-seq" select="$FS-Types-seq/test-set[@id='TS-RTO' and @context='alternative'] " />
  <xsl:variable name="TS-ST-seq" select="$FS-Types-seq/test-set[@id='TS-ST'] " />
  <xsl:variable name="TS-ST-alt-seq" select="$FS-Types-seq/test-set[@id='TS-ST' and @context='alternative'] " />
  <xsl:variable name="TS-TEL-seq" select="$FS-Types-seq/test-set[@id='TS-TEL'] " />
  <xsl:variable name="TS-TEL-alt-seq" select="$FS-Types-seq/test-set[@id='TS-TEL' and @context='alternative'] " />
  <xsl:variable name="TS-TS-seq" select="$FS-Types-seq/test-set[@id='TS-TS'] " />
  <xsl:variable name="TS-TS-alt-seq" select="$FS-Types-seq/test-set[@id='TS-TS' and @context='alternative'] " />
  <xsl:variable name="TS-UID-seq" select="$FS-Types-seq/test-set[@id='TS-UID'] " />
  <xsl:variable name="TS-UID-alt-seq" select="$FS-Types-seq/test-set[@id='TS-UID' and @context='alternative'] " />
  <xsl:variable name="TS-Addr-seq" select="$FS-Auth-seq/test-set[@id='TS-Addr'] " />
  <xsl:variable name="TS-Behav-seq" select="$FS-Auth-seq/test-set[@id='TS-Behav'] " />
  <xsl:variable name="TS-Content-seq" select="$FS-Auth-seq/test-set[@id='TS-Content'] " />
  <xsl:variable name="TS-eComm-seq" select="$FS-Auth-seq/test-set[@id='TS-eComm'] " />
  <xsl:variable name="TS-Ident-seq" select="$FS-Auth-seq/test-set[@id='TS-Ident'] " />
  <xsl:variable name="TS-Pers-seq" select="$FS-Auth-seq/test-set[@id='TS-Pers'] " />
  <xsl:variable name="TS-Terminology-seq" select="$FS-Terminology-seq/test-set[@id='TS-Terminology'] " />
  <xsl:variable name="TS-Usability-seq" select="$FS-Usability-seq/test-set[@id='TS-Usability'] " />
  <xsl:variable name="rating-TS-AdminObs" select="if ($TS-AdminObs-seq/@rating) then concat(' (', $TS-AdminObs-seq/@rating, ')') else '' " />
  <xsl:variable name="rating-TS-Body" select="if ($TS-Body-seq/@rating) then concat(' (', $TS-Body-seq/@rating, ')') else '' " />
  <xsl:variable name="rating-TS-Dext" select="if ($TS-Dext-seq/@rating) then concat(' (', $TS-Dext-seq/@rating, ')') else '' " />
  <xsl:variable name="rating-TS-DocIdent" select="if ($TS-DocIdent-seq/@rating) then concat(' (', $TS-DocIdent-seq/@rating, ')') else '' " />
  <xsl:variable name="rating-TS-GCD" select="if ($TS-GCD-seq/@rating) then concat(' (', $TS-GCD-seq/@rating, ')') else '' " />
  <xsl:variable name="rating-TS-Head" select="if ($TS-Head-seq/@rating) then concat(' (', $TS-Head-seq/@rating, ')') else '' " />
  <xsl:variable name="rating-TS-Level" select="if ($TS-Level-seq/@rating) then concat(' (', $TS-Level-seq/@rating, ')') else '' " />
  <xsl:variable name="rating-TS-Logo" select="if ($TS-Logo-seq/@rating) then concat(' (', $TS-Logo-seq/@rating, ')') else '' " />
  <xsl:variable name="rating-TS-Vers" select="if ($TS-Vers-seq/@rating) then concat(' (', $TS-Vers-seq/@rating, ')') else '' " />
  <xsl:variable name="rating-TS-Auto" select="if ($TS-Auto-seq/@rating) then concat(' (', $TS-Auto-seq/@rating, ')') else '' " />
  <xsl:variable name="rating-TS-Ext" select="if ($TS-Ext-seq/@rating) then concat(' (', $TS-Ext-seq/@rating, ')') else '' " />
  <xsl:variable name="rating-TS-Info" select="if ($TS-Info-seq/@rating) then concat(' (', $TS-Info-seq/@rating, ')') else '' " />
  <xsl:variable name="rating-TS-Mark" select="if ($TS-Mark-seq/@rating) then concat(' (', $TS-Mark-seq/@rating, ')') else '' " />
  <xsl:variable name="rating-TS-Narr" select="if ($TS-Narr-seq/@rating) then concat(' (', $TS-Narr-seq/@rating, ')') else '' " />
  <xsl:variable name="rating-TS-Ref" select="if ($TS-Ref-seq/@rating) then concat(' (', $TS-Ref-seq/@rating, ')') else '' " />
  <xsl:variable name="rating-TS-Style" select="if ($TS-Style-seq/@rating) then concat(' (', $TS-Style-seq/@rating, ')') else '' " />
  <xsl:variable name="rating-TS-Tab" select="if ($TS-Tab-seq/@rating) then concat(' (', $TS-Tab-seq/@rating, ')') else '' " />
  <xsl:variable name="rating-TS-AddrDG" select="if ($TS-AddrDG-seq/@rating) then concat(' (', $TS-AddrDG-seq/@rating, ')') else '' " />
  <xsl:variable name="rating-alt-TS-AddrDG" select="if ($TS-AddrDG-alt-seq/@rating) then concat(' (', $TS-AddrDG-alt-seq/@rating, ')') else '' " />
  <xsl:variable name="rating-TS-BTB" select="if ($TS-BTB-seq/@rating) then concat(' (', $TS-BTB-seq/@rating, ')') else '' " />
  <xsl:variable name="rating-alt-TS-BTB" select="if ($TS-BTB-alt-seq/@rating) then concat(' (', $TS-BTB-alt-seq/@rating, ')') else '' " />
  <xsl:variable name="rating-TS-Class" select="if ($TS-Class-seq/@rating) then concat(' (', $TS-Class-seq/@rating, ')') else '' " />
  <xsl:variable name="rating-alt-TS-Class" select="if ($TS-Class-alt-seq/@rating) then concat(' (', $TS-Class-alt-seq/@rating, ')') else '' " />
  <xsl:variable name="rating-TS-Coded" select="if ($TS-Coded-seq/@rating) then concat(' (', $TS-Coded-seq/@rating, ')') else '' " />
  <xsl:variable name="rating-alt-TS-Coded" select="if ($TS-Coded-alt-seq/@rating) then concat(' (', $TS-Coded-alt-seq/@rating, ')') else '' " />
  <xsl:variable name="rating-TS-Cont" select="if ($TS-Cont-seq/@rating) then concat(' (', $TS-Cont-seq/@rating, ')') else '' " />
  <xsl:variable name="rating-alt-TS-Cont" select="if ($TS-Cont-alt-seq/@rating) then concat(' (', $TS-Cont-alt-seq/@rating, ')') else '' " />
  <xsl:variable name="rating-TS-EntId" select="if ($TS-EntId-seq/@rating) then concat(' (', $TS-EntId-seq/@rating, ')') else '' " />
  <xsl:variable name="rating-alt-TS-EntId" select="if ($TS-EntId-alt-seq/@rating) then concat(' (', $TS-EntId-alt-seq/@rating, ')') else '' " />
  <xsl:variable name="rating-TS-Entit" select="if ($TS-Entit-seq/@rating) then concat(' (', $TS-Entit-seq/@rating, ')') else '' " />
  <xsl:variable name="rating-alt-TS-Entit" select="if ($TS-Entit-alt-seq/@rating) then concat(' (', $TS-Entit-alt-seq/@rating, ')') else '' " />
  <xsl:variable name="rating-TS-IL" select="if ($TS-IL-seq/@rating) then concat(' (', $TS-IL-seq/@rating, ')') else '' " />
  <xsl:variable name="rating-alt-TS-IL" select="if ($TS-IL-alt-seq/@rating) then concat(' (', $TS-IL-alt-seq/@rating, ')') else '' " />
  <xsl:variable name="rating-TS-PQ.TIME" select="if ($TS-PQ.TIME-seq/@rating) then concat(' (', $TS-PQ.TIME-seq/@rating, ')') else '' " />
  <xsl:variable name="rating-alt-TS-PQ.TIME" select="if ($TS-PQ.TIME-alt-seq/@rating) then concat(' (', $TS-PQ.TIME-alt-seq/@rating, ')') else '' " />
  <xsl:variable name="rating-TS-Quant" select="if ($TS-Quant-seq/@rating) then concat(' (', $TS-Quant-seq/@rating, ')') else '' " />
  <xsl:variable name="rating-alt-TS-Quant" select="if ($TS-Quant-alt-seq/@rating) then concat(' (', $TS-Quant-alt-seq/@rating, ')') else '' " />
  <xsl:variable name="rating-TS-BL" select="if ($TS-BL-seq/@rating) then concat(' (', $TS-BL-seq/@rating, ')') else '' " />
  <xsl:variable name="rating-alt-TS-BL" select="if ($TS-BL-alt-seq/@rating) then concat(' (', $TS-BL-alt-seq/@rating, ')') else '' " />
  <xsl:variable name="rating-TS-CD" select="if ($TS-CD-seq/@rating) then concat(' (', $TS-CD-seq/@rating, ')') else '' " />
  <xsl:variable name="rating-alt-TS-CD" select="if ($TS-CD-alt-seq/@rating) then concat(' (', $TS-CD-alt-seq/@rating, ')') else '' " />
  <xsl:variable name="rating-TS-CS" select="if ($TS-CS-seq/@rating) then concat(' (', $TS-CS-seq/@rating, ')') else '' " />
  <xsl:variable name="rating-alt-TS-CS" select="if ($TS-CS-alt-seq/@rating) then concat(' (', $TS-CS-alt-seq/@rating, ')') else '' " />
  <xsl:variable name="rating-TS-ED" select="if ($TS-ED-seq/@rating) then concat(' (', $TS-ED-seq/@rating, ')') else '' " />
  <xsl:variable name="rating-alt-TS-ED" select="if ($TS-ED-alt-seq/@rating) then concat(' (', $TS-ED-alt-seq/@rating, ')') else '' " />
  <xsl:variable name="rating-TS-II" select="if ($TS-II-seq/@rating) then concat(' (', $TS-II-seq/@rating, ')') else '' " />
  <xsl:variable name="rating-alt-TS-II" select="if ($TS-II-alt-seq/@rating) then concat(' (', $TS-II-alt-seq/@rating, ')') else '' " />
  <xsl:variable name="rating-TS-INT" select="if ($TS-INT-seq/@rating) then concat(' (', $TS-INT-seq/@rating, ')') else '' " />
  <xsl:variable name="rating-alt-TS-INT" select="if ($TS-INT-alt-seq/@rating) then concat(' (', $TS-INT-alt-seq/@rating, ')') else '' " />
  <xsl:variable name="rating-TS-IVL" select="if ($TS-IVL-seq/@rating) then concat(' (', $TS-IVL-seq/@rating, ')') else '' " />
  <xsl:variable name="rating-alt-TS-IVL" select="if ($TS-IVL-alt-seq/@rating) then concat(' (', $TS-IVL-alt-seq/@rating, ')') else '' " />
  <xsl:variable name="rating-TS-NF" select="if ($TS-NF-seq/@rating) then concat(' (', $TS-NF-seq/@rating, ')') else '' " />
  <xsl:variable name="rating-alt-TS-NF" select="if ($TS-NF-alt-seq/@rating) then concat(' (', $TS-NF-alt-seq/@rating, ')') else '' " />
  <xsl:variable name="rating-TS-PIVL" select="if ($TS-PIVL-seq/@rating) then concat(' (', $TS-PIVL-seq/@rating, ')') else '' " />
  <xsl:variable name="rating-alt-TS-PIVL" select="if ($TS-PIVL-alt-seq/@rating) then concat(' (', $TS-PIVL-alt-seq/@rating, ')') else '' " />
  <xsl:variable name="rating-TS-PQ" select="if ($TS-PQ-seq/@rating) then concat(' (', $TS-PQ-seq/@rating, ')') else '' " />
  <xsl:variable name="rating-alt-TS-PQ" select="if ($TS-PQ-alt-seq/@rating) then concat(' (', $TS-PQ-alt-seq/@rating, ')') else '' " />
  <xsl:variable name="rating-TS-REAL" select="if ($TS-REAL-seq/@rating) then concat(' (', $TS-REAL-seq/@rating, ')') else '' " />
  <xsl:variable name="rating-alt-TS-REAL" select="if ($TS-REAL-alt-seq/@rating) then concat(' (', $TS-REAL-alt-seq/@rating, ')') else '' " />
  <xsl:variable name="rating-TS-RTO" select="if ($TS-RTO-seq/@rating) then concat(' (', $TS-RTO-seq/@rating, ')') else '' " />
  <xsl:variable name="rating-alt-TS-RTO" select="if ($TS-RTO-alt-seq/@rating) then concat(' (', $TS-RTO-alt-seq/@rating, ')') else '' " />
  <xsl:variable name="rating-TS-ST" select="if ($TS-ST-seq/@rating) then concat(' (', $TS-ST-seq/@rating, ')') else '' " />
  <xsl:variable name="rating-alt-TS-ST" select="if ($TS-ST-alt-seq/@rating) then concat(' (', $TS-ST-alt-seq/@rating, ')') else '' " />
  <xsl:variable name="rating-TS-TEL" select="if ($TS-TEL-seq/@rating) then concat(' (', $TS-TEL-seq/@rating, ')') else '' " />
  <xsl:variable name="rating-alt-TS-TEL" select="if ($TS-TEL-alt-seq/@rating) then concat(' (', $TS-TEL-alt-seq/@rating, ')') else '' " />
  <xsl:variable name="rating-TS-TS" select="if ($TS-TS-seq/@rating) then concat(' (', $TS-TS-seq/@rating, ')') else '' " />
  <xsl:variable name="rating-alt-TS-TS" select="if ($TS-TS-alt-seq/@rating) then concat(' (', $TS-TS-alt-seq/@rating, ')') else '' " />
  <xsl:variable name="rating-TS-UID" select="if ($TS-UID-seq/@rating) then concat(' (', $TS-UID-seq/@rating, ')') else '' " />
  <xsl:variable name="rating-alt-TS-UID" select="if ($TS-UID-alt-seq/@rating) then concat(' (', $TS-UID-alt-seq/@rating, ')') else '' " />
  <xsl:variable name="rating-TS-Addr" select="if ($TS-Addr-seq/@rating) then concat(' (', $TS-Addr-seq/@rating, ')') else '' " />
  <xsl:variable name="rating-TS-Content" select="if ($TS-Content-seq/@rating) then concat(' (', $TS-Content-seq/@rating, ')') else '' " />
  <xsl:variable name="rating-TS-eComm" select="if ($TS-eComm-seq/@rating) then concat(' (', $TS-eComm-seq/@rating, ')') else '' " />
  <xsl:variable name="rating-TS-Pers" select="if ($TS-Pers-seq/@rating) then concat(' (', $TS-Pers-seq/@rating, ')') else '' " />
  <xsl:variable name="rating-TS-Terminology" select="if ($TS-Terminology-seq/@rating) then concat(' (', $TS-Terminology-seq/@rating, ')') else '' " />
  <xsl:variable name="rating-TS-Usability" select="if ($TS-Usability-seq/@rating) then concat(' (', $TS-Usability-seq/@rating, ')') else '' " />
  <xsl:variable name="rating-TC-Doc-40" select="if ($TS-AdminObs-seq/test-case[@id='TC-Doc-40']/@rating) then concat(' (', $TS-AdminObs-seq/test-case[@id='TC-Doc-40']/@rating, ')') else $rating-TS-AdminObs " />
  <xsl:variable name="rating-TC-Doc-24" select="if ($TS-Body-seq/test-case[@id='TC-Doc-24']/@rating) then concat(' (', $TS-Body-seq/test-case[@id='TC-Doc-24']/@rating, ')') else $rating-TS-Body " />
  <xsl:variable name="rating-TC-Doc-25" select="if ($TS-Body-seq/test-case[@id='TC-Doc-25']/@rating) then concat(' (', $TS-Body-seq/test-case[@id='TC-Doc-25']/@rating, ')') else $rating-TS-Body " />
  <xsl:variable name="rating-TC-Doc-41" select="if ($TS-Body-seq/test-case[@id='TC-Doc-41']/@rating) then concat(' (', $TS-Body-seq/test-case[@id='TC-Doc-41']/@rating, ')') else $rating-TS-Body " />
  <xsl:variable name="rating-TC-Doc-28-step-1" select="if ($TS-Dext-seq/test-case[@id='TC-Doc-28-step-1' and @context='default']/@rating) then concat(' (', $TS-Dext-seq/test-case[@id='TC-Doc-28-step-1' and @context='default']/@rating, ')') else $rating-TS-Dext " />
  <xsl:variable name="rating-MHRView-TC-Doc-28-step-1" select="if ($TS-Dext-seq/test-case[@id='TC-Doc-28-step-1' and @context='MHRView']/@rating) then concat(' (', $TS-Dext-seq/test-case[@id='TC-Doc-28-step-1' and @context='MHRView']/@rating, ')') else $rating-TC-Doc-28-step-1 " />
  <xsl:variable name="rating-alt-TC-Doc-28-step-1" select="if ($TS-Dext-seq/test-case[@id='TC-Doc-28-step-1' and @context='alternative']/@rating) then concat(' (', $TS-Dext-seq/test-case[@id='TC-Doc-28-step-1' and @context='alternative']/@rating, ')') else $rating-TC-Doc-28-step-1 " />
  <xsl:variable name="rating-TC-Doc-28-step-2" select="if ($TS-Dext-seq/test-case[@id='TC-Doc-28-step-2']/@rating) then concat(' (', $TS-Dext-seq/test-case[@id='TC-Doc-28-step-2']/@rating, ')') else $rating-TS-Dext " />
  <xsl:variable name="rating-TC-Doc-28-step-3" select="if ($TS-Dext-seq/test-case[@id='TC-Doc-28-step-3']/@rating) then concat(' (', $TS-Dext-seq/test-case[@id='TC-Doc-28-step-3']/@rating, ')') else $rating-TS-Dext " />
  <xsl:variable name="rating-TC-Doc-28-step-4" select="if ($TS-Dext-seq/test-case[@id='TC-Doc-28-step-4' and @context='default']/@rating) then concat(' (', $TS-Dext-seq/test-case[@id='TC-Doc-28-step-4' and @context='default']/@rating, ')') else $rating-TS-Dext " />
  <xsl:variable name="rating-alt-TC-Doc-28-step-4" select="if ($TS-Dext-seq/test-case[@id='TC-Doc-28-step-4' and @context='alternative']/@rating) then concat(' (', $TS-Dext-seq/test-case[@id='TC-Doc-28-step-4' and @context='alternative']/@rating, ')') else $rating-TC-Doc-28-step-4 " />
  <xsl:variable name="rating-TC-Doc-32" select="if ($TS-DocIdent-seq/test-case[@id='TC-Doc-32']/@rating) then concat(' (', $TS-DocIdent-seq/test-case[@id='TC-Doc-32']/@rating, ')') else $rating-TS-DocIdent " />
  <xsl:variable name="rating-TC-Doc-33" select="if ($TS-DocIdent-seq/test-case[@id='TC-Doc-33']/@rating) then concat(' (', $TS-DocIdent-seq/test-case[@id='TC-Doc-33']/@rating, ')') else $rating-TS-DocIdent " />
  <xsl:variable name="rating-TC-Doc-38" select="if ($TS-DocIdent-seq/test-case[@id='TC-Doc-38']/@rating) then concat(' (', $TS-DocIdent-seq/test-case[@id='TC-Doc-38']/@rating, ')') else $rating-TS-DocIdent " />
  <xsl:variable name="rating-TC-Doc-01" select="if ($TS-GCD-seq/test-case[@id='TC-Doc-01' and @context='default']/@rating) then concat(' (', $TS-GCD-seq/test-case[@id='TC-Doc-01' and @context='default']/@rating, ')') else $rating-TS-GCD " />
  <xsl:variable name="rating-TC-Doc-01-low" select="' (LOW)' " />
  <xsl:variable name="rating-TC-Doc-04" select="if ($TS-GCD-seq/test-case[@id='TC-Doc-04']/@rating) then concat(' (', $TS-GCD-seq/test-case[@id='TC-Doc-04']/@rating, ')') else $rating-TS-GCD " />
  <xsl:variable name="rating-TC-Doc-05-step-1" select="if ($TS-GCD-seq/test-case[@id='TC-Doc-05-step-1' and @context='default']/@rating) then concat(' (', $TS-GCD-seq/test-case[@id='TC-Doc-05-step-1' and @context='default']/@rating, ')') else $rating-TS-GCD " />
  <xsl:variable name="rating-alt-TC-Doc-05-step-1" select="if ($TS-GCD-seq/test-case[@id='TC-Doc-05-step-1' and @context='alternative']/@rating) then concat(' (', $TS-GCD-seq/test-case[@id='TC-Doc-05-step-1' and @context='alternative']/@rating, ')') else $rating-TC-Doc-05-step-1 " />
  <xsl:variable name="rating-TC-Doc-05-step-2" select="if ($TS-GCD-seq/test-case[@id='TC-Doc-05-step-2']/@rating) then concat(' (', $TS-GCD-seq/test-case[@id='TC-Doc-05-step-2']/@rating, ')') else $rating-TS-GCD " />
  <xsl:variable name="rating-alt-TC-Doc-05-step-2" select="if ($TS-GCD-seq/test-case[@id='TC-Doc-05-step-2' and @context='alternative']/@rating) then concat(' (', $TS-GCD-seq/test-case[@id='TC-Doc-05-step-2' and @context='alternative']/@rating, ')') else $rating-TC-Doc-05-step-2 " />
  <xsl:variable name="rating-TC-Doc-08" select="if ($TS-GCD-seq/test-case[@id='TC-Doc-08']/@rating) then concat(' (', $TS-GCD-seq/test-case[@id='TC-Doc-08']/@rating, ')') else $rating-TS-GCD " />
  <xsl:variable name="rating-TC-Doc-09" select="if ($TS-GCD-seq/test-case[@id='TC-Doc-09']/@rating) then concat(' (', $TS-GCD-seq/test-case[@id='TC-Doc-09']/@rating, ')') else $rating-TS-GCD " />
  <xsl:variable name="rating-TC-Doc-37" select="if ($TS-GCD-seq/test-case[@id='TC-Doc-37']/@rating) then concat(' (', $TS-GCD-seq/test-case[@id='TC-Doc-37']/@rating, ')') else $rating-TS-GCD " />
  <xsl:variable name="rating-TC-Doc-11" select="if ($TS-Head-seq/test-case[@id='TC-Doc-11']/@rating) then concat(' (', $TS-Head-seq/test-case[@id='TC-Doc-11']/@rating, ')') else $rating-TS-Head " />
  <xsl:variable name="rating-TC-Doc-39" select="if ($TS-Head-seq/test-case[@id='TC-Doc-39']/@rating) then concat(' (', $TS-Head-seq/test-case[@id='TC-Doc-39']/@rating, ')') else $rating-TS-Head " />
  <xsl:variable name="rating-TC-Doc-16" select="if ($TS-Level-seq/test-case[@id='TC-Doc-16']/@rating) then concat(' (', $TS-Level-seq/test-case[@id='TC-Doc-16']/@rating, ')') else $rating-TS-Level " />
  <xsl:variable name="rating-TC-Doc-17" select="if ($TS-Level-seq/test-case[@id='TC-Doc-17']/@rating) then concat(' (', $TS-Level-seq/test-case[@id='TC-Doc-17']/@rating, ')') else $rating-TS-Level " />
  <xsl:variable name="rating-TC-Doc-19" select="if ($TS-Level-seq/test-case[@id='TC-Doc-19' and @context='default']/@rating) then concat(' (', $TS-Level-seq/test-case[@id='TC-Doc-19' and @context='default']/@rating, ')') else $rating-TS-Level " />
  <xsl:variable name="rating-MHRView-TC-Doc-19" select="if ($TS-Level-seq/test-case[@id='TC-Doc-19' and @context='MHRView']/@rating) then concat(' (', $TS-Level-seq/test-case[@id='TC-Doc-19' and @context='MHRView']/@rating, ')') else $rating-TC-Doc-19 " />
  <xsl:variable name="rating-TC-Doc-26" select="if ($TS-Logo-seq/test-case[@id='TC-Doc-26']/@rating) then concat(' (', $TS-Logo-seq/test-case[@id='TC-Doc-26']/@rating, ')') else $rating-TS-Logo " />
  <xsl:variable name="rating-TC-Narr-11" select="if ($TS-Auto-seq/test-case[@id='TC-Narr-11']/@rating) then concat(' (', $TS-Auto-seq/test-case[@id='TC-Narr-11']/@rating, ')') else $rating-TS-Auto " />
  <xsl:variable name="rating-TC-Narr-15" select="if ($TS-Auto-seq/test-case[@id='TC-Narr-15']/@rating) then concat(' (', $TS-Auto-seq/test-case[@id='TC-Narr-15']/@rating, ')') else $rating-TS-Auto " />
  <xsl:variable name="rating-TC-Narr-16" select="if ($TS-Auto-seq/test-case[@id='TC-Narr-16']/@rating) then concat(' (', $TS-Auto-seq/test-case[@id='TC-Narr-16']/@rating, ')') else $rating-TS-Auto " />
  <xsl:variable name="rating-TC-Narr-17" select="if ($TS-Auto-seq/test-case[@id='TC-Narr-17']/@rating) then concat(' (', $TS-Auto-seq/test-case[@id='TC-Narr-17']/@rating, ')') else $rating-TS-Auto " />
  <xsl:variable name="rating-TC-Narr-18" select="if ($TS-Auto-seq/test-case[@id='TC-Narr-18']/@rating) then concat(' (', $TS-Auto-seq/test-case[@id='TC-Narr-18']/@rating, ')') else $rating-TS-Auto " />
  <xsl:variable name="rating-TC-Narr-26" select="if ($TS-Auto-seq/test-case[@id='TC-Narr-26']/@rating) then concat(' (', $TS-Auto-seq/test-case[@id='TC-Narr-26']/@rating, ')') else $rating-TS-Auto " />
  <xsl:variable name="rating-TC-Narr-27" select="if ($TS-Auto-seq/test-case[@id='TC-Narr-27']/@rating) then concat(' (', $TS-Auto-seq/test-case[@id='TC-Narr-27']/@rating, ')') else $rating-TS-Auto " />
  <xsl:variable name="rating-TC-Narr-93" select="if ($TS-Auto-seq/test-case[@id='TC-Narr-93' and @context='default']/@rating) then concat(' (', $TS-Auto-seq/test-case[@id='TC-Narr-93' and @context='default']/@rating, ')') else $rating-TS-Auto " />
  <xsl:variable name="rating-MHRView-TC-Narr-93" select="if ($TS-Auto-seq/test-case[@id='TC-Narr-93' and @context='MHRView']/@rating) then concat(' (', $TS-Auto-seq/test-case[@id='TC-Narr-93' and @context='MHRView']/@rating, ')') else $rating-TC-Narr-93 " />
  <xsl:variable name="rating-TGI-TC-Narr-93" select="if ($TS-Auto-seq/test-case[@id='TC-Narr-93' and @context='TGI']/@rating) then concat(' (', $TS-Auto-seq/test-case[@id='TC-Narr-93' and @context='TGI']/@rating, ')') else $rating-TC-Narr-93 " />
  <xsl:variable name="rating-TC-Narr-88" select="if ($TS-Ext-seq/test-case[@id='TC-Narr-88']/@rating) then concat(' (', $TS-Ext-seq/test-case[@id='TC-Narr-88']/@rating, ')') else $rating-TS-Ext " />
  <xsl:variable name="rating-TC-Narr-08" select="if ($TS-Info-seq/test-case[@id='TC-Narr-08']/@rating) then concat(' (', $TS-Info-seq/test-case[@id='TC-Narr-08']/@rating, ')') else $rating-TS-Info " />
  <xsl:variable name="rating-TC-Narr-09-step-1" select="if ($TS-Info-seq/test-case[@id='TC-Narr-09-step-1']/@rating) then concat(' (', $TS-Info-seq/test-case[@id='TC-Narr-09-step-1']/@rating, ')') else $rating-TS-Info " />
  <xsl:variable name="rating-TC-Narr-09-step-2" select="if ($TS-Info-seq/test-case[@id='TC-Narr-09-step-2']/@rating) then concat(' (', $TS-Info-seq/test-case[@id='TC-Narr-09-step-2']/@rating, ')') else $rating-TS-Info " />
  <xsl:variable name="rating-TC-Narr-09-step-3" select="if ($TS-Info-seq/test-case[@id='TC-Narr-09-step-3']/@rating) then concat(' (', $TS-Info-seq/test-case[@id='TC-Narr-09-step-3']/@rating, ')') else $rating-TS-Info " />
  <xsl:variable name="rating-TC-Narr-09-step-4" select="if ($TS-Info-seq/test-case[@id='TC-Narr-09-step-4']/@rating) then concat(' (', $TS-Info-seq/test-case[@id='TC-Narr-09-step-4']/@rating, ')') else $rating-TS-Info " />
  <xsl:variable name="rating-TC-Narr-09-step-5" select="if ($TS-Info-seq/test-case[@id='TC-Narr-09-step-5']/@rating) then concat(' (', $TS-Info-seq/test-case[@id='TC-Narr-09-step-5']/@rating, ')') else $rating-TS-Info " />
  <xsl:variable name="rating-TC-Narr-09-step-6" select="if ($TS-Info-seq/test-case[@id='TC-Narr-09-step-6']/@rating) then concat(' (', $TS-Info-seq/test-case[@id='TC-Narr-09-step-6']/@rating, ')') else $rating-TS-Info " />
  <xsl:variable name="rating-TC-Narr-09-step-7" select="if ($TS-Info-seq/test-case[@id='TC-Narr-09-step-7' and @context='default']/@rating) then concat(' (', $TS-Info-seq/test-case[@id='TC-Narr-09-step-7' and @context='default']/@rating, ')') else $rating-TS-Info " />
  <xsl:variable name="rating-noProperValue-TC-Narr-09-step-7" select="if ($TS-Info-seq/test-case[@id='TC-Narr-09-step-7' and @context='noProperValue']/@rating) then concat(' (', $TS-Info-seq/test-case[@id='TC-Narr-09-step-7' and @context='noProperValue']/@rating, ')') else $rating-TC-Narr-09-step-7 " />
  <xsl:variable name="rating-TC-Narr-09-step-8" select="if ($TS-Info-seq/test-case[@id='TC-Narr-09-step-8']/@rating) then concat(' (', $TS-Info-seq/test-case[@id='TC-Narr-09-step-8']/@rating, ')') else $rating-TS-Info " />
  <xsl:variable name="rating-TC-Narr-09-step-9" select="if ($TS-Info-seq/test-case[@id='TC-Narr-09-step-9']/@rating) then concat(' (', $TS-Info-seq/test-case[@id='TC-Narr-09-step-9']/@rating, ')') else $rating-TS-Info " />
  <xsl:variable name="rating-TC-Narr-09-step-10" select="if ($TS-Info-seq/test-case[@id='TC-Narr-09-step-10']/@rating) then concat(' (', $TS-Info-seq/test-case[@id='TC-Narr-09-step-10']/@rating, ')') else $rating-TS-Info " />
  <xsl:variable name="rating-TC-Narr-09-step-11" select="if ($TS-Info-seq/test-case[@id='TC-Narr-09-step-11']/@rating) then concat(' (', $TS-Info-seq/test-case[@id='TC-Narr-09-step-11']/@rating, ')') else $rating-TS-Info " />
  <xsl:variable name="rating-TC-Narr-09-step-12" select="if ($TS-Info-seq/test-case[@id='TC-Narr-09-step-12']/@rating) then concat(' (', $TS-Info-seq/test-case[@id='TC-Narr-09-step-12']/@rating, ')') else $rating-TS-Info " />
  <xsl:variable name="rating-TC-Narr-09-step-13" select="if ($TS-Info-seq/test-case[@id='TC-Narr-09-step-13']/@rating) then concat(' (', $TS-Info-seq/test-case[@id='TC-Narr-09-step-13']/@rating, ')') else $rating-TS-Info " />
  <xsl:variable name="rating-TC-Narr-09-step-14" select="if ($TS-Info-seq/test-case[@id='TC-Narr-09-step-14']/@rating) then concat(' (', $TS-Info-seq/test-case[@id='TC-Narr-09-step-14']/@rating, ')') else $rating-TS-Info " />
  <xsl:variable name="rating-TC-Narr-28" select="if ($TS-Mark-seq/test-case[@id='TC-Narr-28']/@rating) then concat(' (', $TS-Mark-seq/test-case[@id='TC-Narr-28']/@rating, ')') else $rating-TS-Mark " />
  <xsl:variable name="rating-TC-Narr-29" select="if ($TS-Mark-seq/test-case[@id='TC-Narr-29' and @context='default']/@rating) then concat(' (', $TS-Mark-seq/test-case[@id='TC-Narr-29' and @context='default']/@rating, ')') else $rating-TS-Mark " />
  <xsl:variable name="rating-alt-TC-Narr-29" select="if ($TS-Mark-seq/test-case[@id='TC-Narr-29' and @context='alternative']/@rating) then concat(' (', $TS-Mark-seq/test-case[@id='TC-Narr-29' and @context='alternative']/@rating, ')') else $rating-TS-Mark " />
  <xsl:variable name="rating-TC-Narr-30" select="if ($TS-Mark-seq/test-case[@id='TC-Narr-30']/@rating) then concat(' (', $TS-Mark-seq/test-case[@id='TC-Narr-30']/@rating, ')') else $rating-TS-Mark " />
  <xsl:variable name="rating-TC-Narr-31" select="if ($TS-Mark-seq/test-case[@id='TC-Narr-31']/@rating) then concat(' (', $TS-Mark-seq/test-case[@id='TC-Narr-31']/@rating, ')') else $rating-TS-Mark " />
  <xsl:variable name="rating-TC-Narr-33" select="if ($TS-Mark-seq/test-case[@id='TC-Narr-33']/@rating) then concat(' (', $TS-Mark-seq/test-case[@id='TC-Narr-33']/@rating, ')') else $rating-TS-Mark " />
  <xsl:variable name="rating-TC-Narr-38" select="if ($TS-Mark-seq/test-case[@id='TC-Narr-38']/@rating) then concat(' (', $TS-Mark-seq/test-case[@id='TC-Narr-38']/@rating, ')') else $rating-TS-Mark " />
  <xsl:variable name="rating-TC-Narr-39" select="if ($TS-Mark-seq/test-case[@id='TC-Narr-39']/@rating) then concat(' (', $TS-Mark-seq/test-case[@id='TC-Narr-39']/@rating, ')') else $rating-TS-Mark " />
  <xsl:variable name="rating-TC-Narr-41" select="if ($TS-Mark-seq/test-case[@id='TC-Narr-41']/@rating) then concat(' (', $TS-Mark-seq/test-case[@id='TC-Narr-41']/@rating, ')') else $rating-TS-Mark " />
  <xsl:variable name="rating-TC-Narr-89" select="if ($TS-Ref-seq/test-case[@id='TC-Narr-89']/@rating) then concat(' (', $TS-Ref-seq/test-case[@id='TC-Narr-89']/@rating, ')') else $rating-TS-Ref " />
  <xsl:variable name="rating-TC-Narr-91" select="if ($TS-Ref-seq/test-case[@id='TC-Narr-91']/@rating) then concat(' (', $TS-Ref-seq/test-case[@id='TC-Narr-91']/@rating, ')') else $rating-TS-Ref " />
  <xsl:variable name="rating-TC-Narr-92" select="if ($TS-Ref-seq/test-case[@id='TC-Narr-92']/@rating) then concat(' (', $TS-Ref-seq/test-case[@id='TC-Narr-92']/@rating, ')') else $rating-TS-Ref " />
  <xsl:variable name="rating-TC-Narr-64" select="if ($TS-Style-seq/test-case[@id='TC-Narr-64']/@rating) then concat(' (', $TS-Style-seq/test-case[@id='TC-Narr-64']/@rating, ')') else $rating-TS-Style " />
  <xsl:variable name="rating-TC-Narr-65" select="if ($TS-Style-seq/test-case[@id='TC-Narr-65']/@rating) then concat(' (', $TS-Style-seq/test-case[@id='TC-Narr-65']/@rating, ')') else $rating-TS-Style " />
  <xsl:variable name="rating-TC-Narr-71" select="if ($TS-Style-seq/test-case[@id='TC-Narr-71']/@rating) then concat(' (', $TS-Style-seq/test-case[@id='TC-Narr-71']/@rating, ')') else $rating-TS-Style " />
  <xsl:variable name="rating-TC-Narr-72" select="if ($TS-Style-seq/test-case[@id='TC-Narr-72']/@rating) then concat(' (', $TS-Style-seq/test-case[@id='TC-Narr-72']/@rating, ')') else $rating-TS-Style " />
  <xsl:variable name="rating-TC-Narr-73" select="if ($TS-Style-seq/test-case[@id='TC-Narr-73']/@rating) then concat(' (', $TS-Style-seq/test-case[@id='TC-Narr-73']/@rating, ')') else $rating-TS-Style " />
  <xsl:variable name="rating-TC-Narr-74" select="if ($TS-Style-seq/test-case[@id='TC-Narr-74']/@rating) then concat(' (', $TS-Style-seq/test-case[@id='TC-Narr-74']/@rating, ')') else $rating-TS-Style " />
  <xsl:variable name="rating-TC-Narr-75" select="if ($TS-Style-seq/test-case[@id='TC-Narr-75']/@rating) then concat(' (', $TS-Style-seq/test-case[@id='TC-Narr-75']/@rating, ')') else $rating-TS-Style " />
  <xsl:variable name="rating-TC-Narr-76" select="if ($TS-Style-seq/test-case[@id='TC-Narr-76']/@rating) then concat(' (', $TS-Style-seq/test-case[@id='TC-Narr-76']/@rating, ')') else $rating-TS-Style " />
  <xsl:variable name="rating-TC-Narr-49" select="if ($TS-Tab-seq/test-case[@id='TC-Narr-49']/@rating) then concat(' (', $TS-Tab-seq/test-case[@id='TC-Narr-49']/@rating, ')') else $rating-TS-Tab " />
  <xsl:variable name="rating-TC-Narr-50" select="if ($TS-Tab-seq/test-case[@id='TC-Narr-50']/@rating) then concat(' (', $TS-Tab-seq/test-case[@id='TC-Narr-50']/@rating, ')') else $rating-TS-Tab " />
  <xsl:variable name="rating-TC-Narr-51" select="if ($TS-Tab-seq/test-case[@id='TC-Narr-51']/@rating) then concat(' (', $TS-Tab-seq/test-case[@id='TC-Narr-51']/@rating, ')') else $rating-TS-Tab " />
  <xsl:variable name="rating-TC-Narr-53" select="if ($TS-Tab-seq/test-case[@id='TC-Narr-53']/@rating) then concat(' (', $TS-Tab-seq/test-case[@id='TC-Narr-53']/@rating, ')') else $rating-TS-Tab " />
  <xsl:variable name="rating-TC-Narr-57" select="if ($TS-Tab-seq/test-case[@id='TC-Narr-57']/@rating) then concat(' (', $TS-Tab-seq/test-case[@id='TC-Narr-57']/@rating, ')') else $rating-TS-Tab " />
  <xsl:variable name="rating-TC-Narr-60" select="if ($TS-Tab-seq/test-case[@id='TC-Narr-60']/@rating) then concat(' (', $TS-Tab-seq/test-case[@id='TC-Narr-60']/@rating, ')') else $rating-TS-Tab " />
  <xsl:variable name="rating-TC-Narr-62" select="if ($TS-Tab-seq/test-case[@id='TC-Narr-62']/@rating) then concat(' (', $TS-Tab-seq/test-case[@id='TC-Narr-62']/@rating, ')') else $rating-TS-Tab " />
  <xsl:variable name="rating-TC-FixedText" select="if ($TS-Tab-seq/test-case[@id='TC-FixedText']/@rating) then concat(' (', $TS-Tab-seq/test-case[@id='TC-FixedText']/@rating, ')') else $rating-TS-Tab " />
  <xsl:variable name="rating-TC-Sparse" select="if ($TS-Tab-seq/test-case[@id='TC-Sparse']/@rating) then concat(' (', $TS-Tab-seq/test-case[@id='TC-Sparse']/@rating, ')') else $rating-TS-Tab " />
  <xsl:variable name="rating-TC-Types-40" select="if ($TS-AddrDG-seq/test-case[@id='TC-Types-40']/@rating) then concat(' (', $TS-AddrDG-seq/test-case[@id='TC-Types-40']/@rating, ')') else $rating-TS-AddrDG " />
  <xsl:variable name="rating-alt-TC-Types-40" select="if ($TS-AddrDG-alt-seq/test-case[@id='TC-Types-40']/@rating) then concat(' (', $TS-AddrDG-alt-seq/test-case[@id='TC-Types-40']/@rating, ')') else $rating-alt-TS-AddrDG " />
  <xsl:variable name="rating-TC-Types-41" select="if ($TS-AddrDG-seq/test-case[@id='TC-Types-41']/@rating) then concat(' (', $TS-AddrDG-seq/test-case[@id='TC-Types-41']/@rating, ')') else $rating-TS-AddrDG " />
  <xsl:variable name="rating-alt-TC-Types-41" select="if ($TS-AddrDG-alt-seq/test-case[@id='TC-Types-41']/@rating) then concat(' (', $TS-AddrDG-alt-seq/test-case[@id='TC-Types-41']/@rating, ')') else $rating-alt-TS-AddrDG " />
  <xsl:variable name="rating-TC-Types-42" select="if ($TS-AddrDG-seq/test-case[@id='TC-Types-42']/@rating) then concat(' (', $TS-AddrDG-seq/test-case[@id='TC-Types-42']/@rating, ')') else $rating-TS-AddrDG " />
  <xsl:variable name="rating-alt-TC-Types-42" select="if ($TS-AddrDG-alt-seq/test-case[@id='TC-Types-42']/@rating) then concat(' (', $TS-AddrDG-alt-seq/test-case[@id='TC-Types-42']/@rating, ')') else $rating-alt-TS-AddrDG " />
  <xsl:variable name="rating-TC-Types-43" select="if ($TS-AddrDG-seq/test-case[@id='TC-Types-43']/@rating) then concat(' (', $TS-AddrDG-seq/test-case[@id='TC-Types-43']/@rating, ')') else $rating-TS-AddrDG " />
  <xsl:variable name="rating-alt-TC-Types-43" select="if ($TS-AddrDG-alt-seq/test-case[@id='TC-Types-43']/@rating) then concat(' (', $TS-AddrDG-alt-seq/test-case[@id='TC-Types-43']/@rating, ')') else $rating-alt-TS-AddrDG " />
  <xsl:variable name="rating-TC-Types-01" select="if ($TS-BTB-seq/test-case[@id='TC-Types-01']/@rating) then concat(' (', $TS-BTB-seq/test-case[@id='TC-Types-01']/@rating, ')') else $rating-TS-BTB " />
  <xsl:variable name="rating-alt-TC-Types-01" select="if ($TS-BTB-alt-seq/test-case[@id='TC-Types-01']/@rating) then concat(' (', $TS-BTB-alt-seq/test-case[@id='TC-Types-01']/@rating, ')') else $rating-alt-TS-BTB " />
  <xsl:variable name="rating-TC-Types-02" select="if ($TS-BTB-seq/test-case[@id='TC-Types-02']/@rating) then concat(' (', $TS-BTB-seq/test-case[@id='TC-Types-02']/@rating, ')') else $rating-TS-BTB " />
  <xsl:variable name="rating-alt-TC-Types-02" select="if ($TS-BTB-alt-seq/test-case[@id='TC-Types-02']/@rating) then concat(' (', $TS-BTB-alt-seq/test-case[@id='TC-Types-02']/@rating, ')') else $rating-alt-TS-BTB " />
  <xsl:variable name="rating-TC-Types-03" select="if ($TS-BTB-seq/test-case[@id='TC-Types-03']/@rating) then concat(' (', $TS-BTB-seq/test-case[@id='TC-Types-03']/@rating, ')') else $rating-TS-BTB " />
  <xsl:variable name="rating-alt-TC-Types-03" select="if ($TS-BTB-alt-seq/test-case[@id='TC-Types-03']/@rating) then concat(' (', $TS-BTB-alt-seq/test-case[@id='TC-Types-03']/@rating, ')') else $rating-alt-TS-BTB " />
  <xsl:variable name="rating-TC-Types-110" select="if ($TS-Class-seq/test-case[@id='TC-Types-110']/@rating) then concat(' (', $TS-Class-seq/test-case[@id='TC-Types-110']/@rating, ')') else $rating-TS-Class " />
  <xsl:variable name="rating-alt-TC-Types-110" select="if ($TS-Class-alt-seq/test-case[@id='TC-Types-110']/@rating) then concat(' (', $TS-Class-alt-seq/test-case[@id='TC-Types-110']/@rating, ')') else $rating-alt-TS-Class " />
  <xsl:variable name="rating-TC-Types-04-step-1" select="if ($TS-Coded-seq/test-case[@id='TC-Types-04-step-1']/@rating) then concat(' (', $TS-Coded-seq/test-case[@id='TC-Types-04-step-1']/@rating, ')') else $rating-TS-Coded " />
  <xsl:variable name="rating-alt-TC-Types-04-step-1" select="if ($TS-Coded-alt-seq/test-case[@id='TC-Types-04-step-1']/@rating) then concat(' (', $TS-Coded-alt-seq/test-case[@id='TC-Types-04-step-1']/@rating, ')') else $rating-alt-TS-Coded " />
  <xsl:variable name="rating-TC-Types-04-step-2" select="if ($TS-Coded-seq/test-case[@id='TC-Types-04-step-2']/@rating) then concat(' (', $TS-Coded-seq/test-case[@id='TC-Types-04-step-2']/@rating, ')') else $rating-TS-Coded " />
  <xsl:variable name="rating-alt-TC-Types-04-step-2" select="if ($TS-Coded-alt-seq/test-case[@id='TC-Types-04-step-2']/@rating) then concat(' (', $TS-Coded-alt-seq/test-case[@id='TC-Types-04-step-2']/@rating, ')') else $rating-alt-TS-Coded " />
  <xsl:variable name="rating-TC-Types-06-step-1" select="if ($TS-Coded-seq/test-case[@id='TC-Types-06-step-1']/@rating) then concat(' (', $TS-Coded-seq/test-case[@id='TC-Types-06-step-1']/@rating, ')') else $rating-TS-Coded " />
  <xsl:variable name="rating-alt-TC-Types-06-step-1" select="if ($TS-Coded-alt-seq/test-case[@id='TC-Types-06-step-1']/@rating) then concat(' (', $TS-Coded-alt-seq/test-case[@id='TC-Types-06-step-1']/@rating, ')') else $rating-alt-TS-Coded " />
  <xsl:variable name="rating-TC-Types-06-step-2" select="if ($TS-Coded-seq/test-case[@id='TC-Types-06-step-2']/@rating) then concat(' (', $TS-Coded-seq/test-case[@id='TC-Types-06-step-2']/@rating, ')') else $rating-TS-Coded " />
  <xsl:variable name="rating-alt-TC-Types-06-step-2" select="if ($TS-Coded-alt-seq/test-case[@id='TC-Types-06-step-2']/@rating) then concat(' (', $TS-Coded-alt-seq/test-case[@id='TC-Types-06-step-2']/@rating, ')') else $rating-alt-TS-Coded " />
  <xsl:variable name="rating-TC-Types-07-step-1" select="if ($TS-Coded-seq/test-case[@id='TC-Types-07-step-1']/@rating) then concat(' (', $TS-Coded-seq/test-case[@id='TC-Types-07-step-1']/@rating, ')') else $rating-TS-Coded " />
  <xsl:variable name="rating-alt-TC-Types-07-step-1" select="if ($TS-Coded-alt-seq/test-case[@id='TC-Types-07-step-1']/@rating) then concat(' (', $TS-Coded-alt-seq/test-case[@id='TC-Types-07-step-1']/@rating, ')') else $rating-alt-TS-Coded " />
  <xsl:variable name="rating-TC-Types-07-step-2" select="if ($TS-Coded-seq/test-case[@id='TC-Types-07-step-2']/@rating) then concat(' (', $TS-Coded-seq/test-case[@id='TC-Types-07-step-2']/@rating, ')') else $rating-TS-Coded " />
  <xsl:variable name="rating-alt-TC-Types-07-step-2" select="if ($TS-Coded-alt-seq/test-case[@id='TC-Types-07-step-2']/@rating) then concat(' (', $TS-Coded-alt-seq/test-case[@id='TC-Types-07-step-2']/@rating, ')') else $rating-alt-TS-Coded " />
  <xsl:variable name="rating-TC-Types-08" select="if ($TS-Coded-seq/test-case[@id='TC-Types-08']/@rating) then concat(' (', $TS-Coded-seq/test-case[@id='TC-Types-08']/@rating, ')') else $rating-TS-Coded " />
  <xsl:variable name="rating-alt-TC-Types-08" select="if ($TS-Coded-alt-seq/test-case[@id='TC-Types-08']/@rating) then concat(' (', $TS-Coded-alt-seq/test-case[@id='TC-Types-08']/@rating, ')') else $rating-alt-TS-Coded " />
  <xsl:variable name="rating-TC-Types-21" select="if ($TS-Cont-seq/test-case[@id='TC-Types-21']/@rating) then concat(' (', $TS-Cont-seq/test-case[@id='TC-Types-21']/@rating, ')') else $rating-TS-Cont " />
  <xsl:variable name="rating-alt-TC-Types-21" select="if ($TS-Cont-alt-seq/test-case[@id='TC-Types-21']/@rating) then concat(' (', $TS-Cont-alt-seq/test-case[@id='TC-Types-21']/@rating, ')') else $rating-alt-TS-Cont " />
  <xsl:variable name="rating-TC-Types-22" select="if ($TS-Cont-seq/test-case[@id='TC-Types-22']/@rating) then concat(' (', $TS-Cont-seq/test-case[@id='TC-Types-22']/@rating, ')') else $rating-TS-Cont " />
  <xsl:variable name="rating-alt-TC-Types-22" select="if ($TS-Cont-alt-seq/test-case[@id='TC-Types-22']/@rating) then concat(' (', $TS-Cont-alt-seq/test-case[@id='TC-Types-22']/@rating, ')') else $rating-alt-TS-Cont " />
  <xsl:variable name="rating-TC-Types-23-step-1" select="if ($TS-EntId-seq/test-case[@id='TC-Types-23-step-1']/@rating) then concat(' (', $TS-EntId-seq/test-case[@id='TC-Types-23-step-1']/@rating, ')') else $rating-TS-EntId " />
  <xsl:variable name="rating-alt-TC-Types-23-step-1" select="if ($TS-EntId-alt-seq/test-case[@id='TC-Types-23-step-1']/@rating) then concat(' (', $TS-EntId-alt-seq/test-case[@id='TC-Types-23-step-1']/@rating, ')') else $rating-alt-TS-EntId " />
  <xsl:variable name="rating-TC-Types-23-step-2" select="if ($TS-EntId-seq/test-case[@id='TC-Types-23-step-2']/@rating) then concat(' (', $TS-EntId-seq/test-case[@id='TC-Types-23-step-2']/@rating, ')') else $rating-TS-EntId " />
  <xsl:variable name="rating-alt-TC-Types-23-step-2" select="if ($TS-EntId-alt-seq/test-case[@id='TC-Types-23-step-2']/@rating) then concat(' (', $TS-EntId-alt-seq/test-case[@id='TC-Types-23-step-2']/@rating, ')') else $rating-alt-TS-EntId " />
  <xsl:variable name="rating-TC-Types-24" select="if ($TS-EntId-seq/test-case[@id='TC-Types-24']/@rating) then concat(' (', $TS-EntId-seq/test-case[@id='TC-Types-24']/@rating, ')') else $rating-TS-EntId " />
  <xsl:variable name="rating-alt-TC-Types-24" select="if ($TS-EntId-alt-seq/test-case[@id='TC-Types-24']/@rating) then concat(' (', $TS-EntId-alt-seq/test-case[@id='TC-Types-24']/@rating, ')') else $rating-alt-TS-EntId " />
  <xsl:variable name="rating-TC-Types-25" select="if ($TS-EntId-seq/test-case[@id='TC-Types-25']/@rating) then concat(' (', $TS-EntId-seq/test-case[@id='TC-Types-25']/@rating, ')') else $rating-TS-EntId " />
  <xsl:variable name="rating-alt-TC-Types-25" select="if ($TS-EntId-alt-seq/test-case[@id='TC-Types-25']/@rating) then concat(' (', $TS-EntId-alt-seq/test-case[@id='TC-Types-25']/@rating, ')') else $rating-alt-TS-EntId " />
  <xsl:variable name="rating-TC-Types-28" select="if ($TS-EntId-seq/test-case[@id='TC-Types-28']/@rating) then concat(' (', $TS-EntId-seq/test-case[@id='TC-Types-28']/@rating, ')') else $rating-TS-EntId " />
  <xsl:variable name="rating-alt-TC-Types-28" select="if ($TS-EntId-alt-seq/test-case[@id='TC-Types-28']/@rating) then concat(' (', $TS-EntId-alt-seq/test-case[@id='TC-Types-28']/@rating, ')') else $rating-alt-TS-EntId " />
  <xsl:variable name="rating-TC-Types-29" select="if ($TS-EntId-seq/test-case[@id='TC-Types-29']/@rating) then concat(' (', $TS-EntId-seq/test-case[@id='TC-Types-29']/@rating, ')') else $rating-TS-EntId " />
  <xsl:variable name="rating-alt-TC-Types-29" select="if ($TS-EntId-alt-seq/test-case[@id='TC-Types-29']/@rating) then concat(' (', $TS-EntId-alt-seq/test-case[@id='TC-Types-29']/@rating, ')') else $rating-alt-TS-EntId " />
  <xsl:variable name="rating-TC-Types-30" select="if ($TS-EntId-seq/test-case[@id='TC-Types-30']/@rating) then concat(' (', $TS-EntId-seq/test-case[@id='TC-Types-30']/@rating, ')') else $rating-TS-EntId " />
  <xsl:variable name="rating-alt-TC-Types-30" select="if ($TS-EntId-alt-seq/test-case[@id='TC-Types-30']/@rating) then concat(' (', $TS-EntId-alt-seq/test-case[@id='TC-Types-30']/@rating, ')') else $rating-alt-TS-EntId " />
  <xsl:variable name="rating-TC-Types-33" select="if ($TS-Entit-seq/test-case[@id='TC-Types-33']/@rating) then concat(' (', $TS-Entit-seq/test-case[@id='TC-Types-33']/@rating, ')') else $rating-TS-Entit " />
  <xsl:variable name="rating-alt-TC-Types-33" select="if ($TS-Entit-alt-seq/test-case[@id='TC-Types-33']/@rating) then concat(' (', $TS-Entit-alt-seq/test-case[@id='TC-Types-33']/@rating, ')') else $rating-alt-TS-Entit " />
  <xsl:variable name="rating-TC-Types-34" select="if ($TS-Entit-seq/test-case[@id='TC-Types-34']/@rating) then concat(' (', $TS-Entit-seq/test-case[@id='TC-Types-34']/@rating, ')') else $rating-TS-Entit " />
  <xsl:variable name="rating-alt-TC-Types-34" select="if ($TS-Entit-alt-seq/test-case[@id='TC-Types-34']/@rating) then concat(' (', $TS-Entit-alt-seq/test-case[@id='TC-Types-34']/@rating, ')') else $rating-alt-TS-Entit " />
  <xsl:variable name="rating-TC-Types-35" select="if ($TS-Entit-seq/test-case[@id='TC-Types-35']/@rating) then concat(' (', $TS-Entit-seq/test-case[@id='TC-Types-35']/@rating, ')') else $rating-TS-Entit " />
  <xsl:variable name="rating-alt-TC-Types-35" select="if ($TS-Entit-alt-seq/test-case[@id='TC-Types-35']/@rating) then concat(' (', $TS-Entit-alt-seq/test-case[@id='TC-Types-35']/@rating, ')') else $rating-alt-TS-Entit " />
  <xsl:variable name="rating-TC-Types-36" select="if ($TS-Entit-seq/test-case[@id='TC-Types-36']/@rating) then concat(' (', $TS-Entit-seq/test-case[@id='TC-Types-36']/@rating, ')') else $rating-TS-Entit " />
  <xsl:variable name="rating-alt-TC-Types-36" select="if ($TS-Entit-alt-seq/test-case[@id='TC-Types-36']/@rating) then concat(' (', $TS-Entit-alt-seq/test-case[@id='TC-Types-36']/@rating, ')') else $rating-alt-TS-Entit " />
  <xsl:variable name="rating-TC-Types-37" select="if ($TS-Entit-seq/test-case[@id='TC-Types-37']/@rating) then concat(' (', $TS-Entit-seq/test-case[@id='TC-Types-37']/@rating, ')') else $rating-TS-Entit " />
  <xsl:variable name="rating-alt-TC-Types-37" select="if ($TS-Entit-alt-seq/test-case[@id='TC-Types-37']/@rating) then concat(' (', $TS-Entit-alt-seq/test-case[@id='TC-Types-37']/@rating, ')') else $rating-alt-TS-Entit " />
  <xsl:variable name="rating-TC-Types-38" select="if ($TS-Entit-seq/test-case[@id='TC-Types-38']/@rating) then concat(' (', $TS-Entit-seq/test-case[@id='TC-Types-38']/@rating, ')') else $rating-TS-Entit " />
  <xsl:variable name="rating-alt-TC-Types-38" select="if ($TS-Entit-alt-seq/test-case[@id='TC-Types-38']/@rating) then concat(' (', $TS-Entit-alt-seq/test-case[@id='TC-Types-38']/@rating, ')') else $rating-alt-TS-Entit " />
  <xsl:variable name="rating-TC-Types-39" select="if ($TS-Entit-seq/test-case[@id='TC-Types-39']/@rating) then concat(' (', $TS-Entit-seq/test-case[@id='TC-Types-39']/@rating, ')') else $rating-TS-Entit " />
  <xsl:variable name="rating-alt-TC-Types-39" select="if ($TS-Entit-alt-seq/test-case[@id='TC-Types-39']/@rating) then concat(' (', $TS-Entit-alt-seq/test-case[@id='TC-Types-39']/@rating, ')') else $rating-alt-TS-Entit " />
  <xsl:variable name="rating-TC-Types-10" select="if ($TS-IL-seq/test-case[@id='TC-Types-10']/@rating) then concat(' (', $TS-IL-seq/test-case[@id='TC-Types-10']/@rating, ')') else $rating-TS-IL " />
  <xsl:variable name="rating-alt-TC-Types-10" select="if ($TS-IL-alt-seq/test-case[@id='TC-Types-10']/@rating) then concat(' (', $TS-IL-alt-seq/test-case[@id='TC-Types-10']/@rating, ')') else $rating-alt-TS-IL " />
  <xsl:variable name="rating-TC-Types-11" select="if ($TS-IL-seq/test-case[@id='TC-Types-11']/@rating) then concat(' (', $TS-IL-seq/test-case[@id='TC-Types-11']/@rating, ')') else $rating-TS-IL " />
  <xsl:variable name="rating-alt-TC-Types-11" select="if ($TS-IL-alt-seq/test-case[@id='TC-Types-11']/@rating) then concat(' (', $TS-IL-alt-seq/test-case[@id='TC-Types-11']/@rating, ')') else $rating-alt-TS-IL " />
  <xsl:variable name="rating-TC-Types-98" select="if ($TS-PQ.TIME-seq/test-case[@id='TC-Types-98']/@rating) then concat(' (', $TS-PQ.TIME-seq/test-case[@id='TC-Types-98']/@rating, ')') else $rating-TS-PQ.TIME " />
  <xsl:variable name="rating-alt-TC-Types-98" select="if ($TS-PQ.TIME-alt-seq/test-case[@id='TC-Types-98']/@rating) then concat(' (', $TS-PQ.TIME-alt-seq/test-case[@id='TC-Types-98']/@rating, ')') else $rating-alt-TS-PQ.TIME " />
  <xsl:variable name="rating-TC-Types-13" select="if ($TS-Quant-seq/test-case[@id='TC-Types-13']/@rating) then concat(' (', $TS-Quant-seq/test-case[@id='TC-Types-13']/@rating, ')') else $rating-TS-Quant " />
  <xsl:variable name="rating-alt-TC-Types-13" select="if ($TS-Quant-alt-seq/test-case[@id='TC-Types-13']/@rating) then concat(' (', $TS-Quant-alt-seq/test-case[@id='TC-Types-13']/@rating, ')') else $rating-alt-TS-Quant " />
  <xsl:variable name="rating-TC-Types-14" select="if ($TS-Quant-seq/test-case[@id='TC-Types-14']/@rating) then concat(' (', $TS-Quant-seq/test-case[@id='TC-Types-14']/@rating, ')') else $rating-TS-Quant " />
  <xsl:variable name="rating-alt-TC-Types-14" select="if ($TS-Quant-alt-seq/test-case[@id='TC-Types-14']/@rating) then concat(' (', $TS-Quant-alt-seq/test-case[@id='TC-Types-14']/@rating, ')') else $rating-alt-TS-Quant " />
  <xsl:variable name="rating-TC-Types-15" select="if ($TS-Quant-seq/test-case[@id='TC-Types-15']/@rating) then concat(' (', $TS-Quant-seq/test-case[@id='TC-Types-15']/@rating, ')') else $rating-TS-Quant " />
  <xsl:variable name="rating-alt-TC-Types-15" select="if ($TS-Quant-alt-seq/test-case[@id='TC-Types-15']/@rating) then concat(' (', $TS-Quant-alt-seq/test-case[@id='TC-Types-15']/@rating, ')') else $rating-alt-TS-Quant " />
  <xsl:variable name="rating-TC-Types-16" select="if ($TS-Quant-seq/test-case[@id='TC-Types-16']/@rating) then concat(' (', $TS-Quant-seq/test-case[@id='TC-Types-16']/@rating, ')') else $rating-TS-Quant " />
  <xsl:variable name="rating-alt-TC-Types-16" select="if ($TS-Quant-alt-seq/test-case[@id='TC-Types-16']/@rating) then concat(' (', $TS-Quant-alt-seq/test-case[@id='TC-Types-16']/@rating, ')') else $rating-alt-TS-Quant " />
  <xsl:variable name="rating-TC-Types-17" select="if ($TS-Quant-seq/test-case[@id='TC-Types-17']/@rating) then concat(' (', $TS-Quant-seq/test-case[@id='TC-Types-17']/@rating, ')') else $rating-TS-Quant " />
  <xsl:variable name="rating-alt-TC-Types-17" select="if ($TS-Quant-alt-seq/test-case[@id='TC-Types-17']/@rating) then concat(' (', $TS-Quant-alt-seq/test-case[@id='TC-Types-17']/@rating, ')') else $rating-alt-TS-Quant " />
  <xsl:variable name="rating-TC-Types-18" select="if ($TS-Quant-seq/test-case[@id='TC-Types-18']/@rating) then concat(' (', $TS-Quant-seq/test-case[@id='TC-Types-18']/@rating, ')') else $rating-TS-Quant " />
  <xsl:variable name="rating-alt-TC-Types-18" select="if ($TS-Quant-alt-seq/test-case[@id='TC-Types-18']/@rating) then concat(' (', $TS-Quant-alt-seq/test-case[@id='TC-Types-18']/@rating, ')') else $rating-alt-TS-Quant " />
  <xsl:variable name="rating-TC-Types-50" select="if ($TS-BL-seq/test-case[@id='TC-Types-50']/@rating) then concat(' (', $TS-BL-seq/test-case[@id='TC-Types-50']/@rating, ')') else $rating-TS-BL " />
  <xsl:variable name="rating-alt-TC-Types-50" select="if ($TS-BL-alt-seq/test-case[@id='TC-Types-50']/@rating) then concat(' (', $TS-BL-alt-seq/test-case[@id='TC-Types-50']/@rating, ')') else $rating-alt-TS-BL " />
  <xsl:variable name="rating-TC-Types-57" select="if ($TS-CD-seq/test-case[@id='TC-Types-57' and @context='default']/@rating) then concat(' (', $TS-CD-seq/test-case[@id='TC-Types-57' and @context='default']/@rating, ')') else $rating-TS-CD " />
  <xsl:variable name="rating-container-TC-Types-57" select="if ($TS-CD-seq/test-case[@id='TC-Types-57' and @context='container']/@rating) then concat(' (', $TS-CD-seq/test-case[@id='TC-Types-57' and @context='container']/@rating, ')') else $rating-TC-Types-57 " />
  <xsl:variable name="rating-alt-TC-Types-57" select="if ($TS-CD-alt-seq/test-case[@id='TC-Types-57' and @context='default']/@rating) then concat(' (', $TS-CD-alt-seq/test-case[@id='TC-Types-57' and @context='default']/@rating, ')') else $rating-alt-TS-CD " />
  <xsl:variable name="rating-med-TC-Types-57" select="if ($TS-CD-seq/test-case[@id='TC-Types-57' and @context='medium']/@rating) then concat(' (', $TS-CD-seq/test-case[@id='TC-Types-57' and @context='medium']/@rating, ')') else $rating-TC-Types-57 " />
  <xsl:variable name="rating-med-alt-TC-Types-57" select="if ($TS-CD-alt-seq/test-case[@id='TC-Types-57' and @context='medium']/@rating) then concat(' (', $TS-CD-alt-seq/test-case[@id='TC-Types-57' and @context='medium']/@rating, ')') else $rating-alt-TC-Types-57 " />
  <xsl:variable name="rating-TC-Types-58" select="if ($TS-CD-seq/test-case[@id='TC-Types-58' and @context='default']/@rating) then concat(' (', $TS-CD-seq/test-case[@id='TC-Types-58' and @context='default']/@rating, ')') else $rating-TS-CD " />
  <xsl:variable name="rating-alt-TC-Types-58" select="if ($TS-CD-alt-seq/test-case[@id='TC-Types-58' and @context='default']/@rating) then concat(' (', $TS-CD-alt-seq/test-case[@id='TC-Types-58' and @context='default']/@rating, ')') else $rating-alt-TS-CD " />
  <xsl:variable name="rating-dn-no-code-TC-Types-58" select="if ($TS-CD-seq/test-case[@id='TC-Types-58' and @context='displayName-no-code']/@rating) then concat(' (', $TS-CD-seq/test-case[@id='TC-Types-58' and @context='displayName-no-code']/@rating, ')') else $rating-TC-Types-58 " />
  <xsl:variable name="rating-dn-no-code-alt-TC-Types-58" select="if ($TS-CD-alt-seq/test-case[@id='TC-Types-58' and @context='displayName-no-code']/@rating) then concat(' (', $TS-CD-alt-seq/test-case[@id='TC-Types-58' and @context='displayName-no-code']/@rating, ')') else $rating-alt-TC-Types-58 " />
  <xsl:variable name="rating-TC-Types-59" select="if ($TS-CD-seq/test-case[@id='TC-Types-59' and @context='default']/@rating) then concat(' (', $TS-CD-seq/test-case[@id='TC-Types-59' and @context='default']/@rating, ')') else $rating-TS-CD " />
  <xsl:variable name="rating-alt-TC-Types-59" select="if ($TS-CD-alt-seq/test-case[@id='TC-Types-59' and @context='default']/@rating) then concat(' (', $TS-CD-alt-seq/test-case[@id='TC-Types-59' and @context='default']/@rating, ')') else $rating-alt-TS-CD " />
  <xsl:variable name="rating-inactive-TC-Types-59" select="if ($TS-CD-seq/test-case[@id='TC-Types-59' and @context='inactive']/@rating) then concat(' (', $TS-CD-seq/test-case[@id='TC-Types-59' and @context='inactive']/@rating, ')') else $rating-TC-Types-59 " />
  <xsl:variable name="rating-inactive-alt-TC-Types-59" select="if ($TS-CD-alt-seq/test-case[@id='TC-Types-59' and @context='inactive']/@rating) then concat(' (', $TS-CD-alt-seq/test-case[@id='TC-Types-59' and @context='inactive']/@rating, ')') else $rating-alt-TC-Types-59 " />
  <xsl:variable name="rating-TC-Types-60" select="if ($TS-CD-seq/test-case[@id='TC-Types-60']/@rating) then concat(' (', $TS-CD-seq/test-case[@id='TC-Types-60']/@rating, ')') else $rating-TS-CD " />
  <xsl:variable name="rating-alt-TC-Types-60" select="if ($TS-CD-alt-seq/test-case[@id='TC-Types-60']/@rating) then concat(' (', $TS-CD-alt-seq/test-case[@id='TC-Types-60']/@rating, ')') else $rating-alt-TS-CD " />
  <xsl:variable name="rating-TC-Types-61" select="if ($TS-CD-seq/test-case[@id='TC-Types-61']/@rating) then concat(' (', $TS-CD-seq/test-case[@id='TC-Types-61']/@rating, ')') else $rating-TS-CD " />
  <xsl:variable name="rating-alt-TC-Types-61" select="if ($TS-CD-alt-seq/test-case[@id='TC-Types-61']/@rating) then concat(' (', $TS-CD-alt-seq/test-case[@id='TC-Types-61']/@rating, ')') else $rating-alt-TS-CD " />
  <xsl:variable name="rating-TC-Types-62" select="if ($TS-CD-seq/test-case[@id='TC-Types-62']/@rating) then concat(' (', $TS-CD-seq/test-case[@id='TC-Types-62']/@rating, ')') else $rating-TS-CD " />
  <xsl:variable name="rating-alt-TC-Types-62" select="if ($TS-CD-alt-seq/test-case[@id='TC-Types-62']/@rating) then concat(' (', $TS-CD-alt-seq/test-case[@id='TC-Types-62']/@rating, ')') else $rating-alt-TS-CD " />
  <xsl:variable name="rating-TC-Types-63" select="if ($TS-CD-seq/test-case[@id='TC-Types-63' and @context='default']/@rating) then concat(' (', $TS-CD-seq/test-case[@id='TC-Types-63' and @context='default']/@rating, ')') else $rating-TS-CD " />
  <xsl:variable name="rating-old-TC-Types-63" select="if ($TS-CD-seq/test-case[@id='TC-Types-63' and @context='old']/@rating) then concat(' (', $TS-CD-seq/test-case[@id='TC-Types-63' and @context='old']/@rating, ')') else $rating-TC-Types-63 " />
  <xsl:variable name="rating-alt-TC-Types-63" select="if ($TS-CD-alt-seq/test-case[@id='TC-Types-63' and @context='default']/@rating) then concat(' (', $TS-CD-alt-seq/test-case[@id='TC-Types-63' and @context='default']/@rating, ')') else $rating-alt-TS-CD " />
  <xsl:variable name="rating-old-alt-TC-Types-63" select="if ($TS-CD-alt-seq/test-case[@id='TC-Types-63' and @context='old']/@rating) then concat(' (', $TS-CD-alt-seq/test-case[@id='TC-Types-63' and @context='old']/@rating, ')') else $rating-alt-TC-Types-63 " />
  <xsl:variable name="rating-TC-Types-64" select="if ($TS-CD-seq/test-case[@id='TC-Types-64']/@rating) then concat(' (', $TS-CD-seq/test-case[@id='TC-Types-64']/@rating, ')') else $rating-TS-CD " />
  <xsl:variable name="rating-alt-TC-Types-64" select="if ($TS-CD-alt-seq/test-case[@id='TC-Types-64']/@rating) then concat(' (', $TS-CD-alt-seq/test-case[@id='TC-Types-64']/@rating, ')') else $rating-alt-TS-CD " />
  <xsl:variable name="rating-TC-Types-65" select="if ($TS-CD-seq/test-case[@id='TC-Types-65' and @context='default']/@rating) then concat(' (', $TS-CD-seq/test-case[@id='TC-Types-65' and @context='default']/@rating, ')') else $rating-TS-CD " />
  <xsl:variable name="rating-high-TC-Types-65" select="if ($TS-CD-seq/test-case[@id='TC-Types-65' and @context='high']/@rating) then concat(' (', $TS-CD-seq/test-case[@id='TC-Types-65' and @context='high']/@rating, ')') else $rating-TC-Types-65 " />
  <xsl:variable name="rating-medium-TC-Types-65" select="if ($TS-CD-seq/test-case[@id='TC-Types-65' and @context='medium']/@rating) then concat(' (', $TS-CD-seq/test-case[@id='TC-Types-65' and @context='medium']/@rating, ')') else $rating-TC-Types-65 " />
  <xsl:variable name="rating-low-TC-Types-65" select="if ($TS-CD-seq/test-case[@id='TC-Types-65' and @context='low']/@rating) then concat(' (', $TS-CD-seq/test-case[@id='TC-Types-65' and @context='low']/@rating, ')') else $rating-TC-Types-65 " />
  <xsl:variable name="rating-alt-TC-Types-65" select="if ($TS-CD-alt-seq/test-case[@id='TC-Types-65' and @context='default']/@rating) then concat(' (', $TS-CD-alt-seq/test-case[@id='TC-Types-65' and @context='default']/@rating, ')') else $rating-alt-TS-CD " />
  <xsl:variable name="rating-TC-Types-66-step-1" select="if ($TS-CD-seq/test-case[@id='TC-Types-66-step-1' and @context='default']/@rating) then concat(' (', $TS-CD-seq/test-case[@id='TC-Types-66-step-1' and @context='default']/@rating, ')') else $rating-TS-CD " />
  <xsl:variable name="rating-alt-TC-Types-66-step-1" select="if ($TS-CD-alt-seq/test-case[@id='TC-Types-66-step-1' and @context='default']/@rating) then concat(' (', $TS-CD-alt-seq/test-case[@id='TC-Types-66-step-1' and @context='default']/@rating, ')') else $rating-alt-TS-CD " />
  <xsl:variable name="rating-trans-TC-Types-66-step-1" select="if ($TS-CD-seq/test-case[@id='TC-Types-66-step-1' and @context='translation']/@rating) then concat(' (', $TS-CD-seq/test-case[@id='TC-Types-66-step-1' and @context='translation']/@rating, ')') else $rating-TC-Types-66-step-1 " />
  <xsl:variable name="rating-trans-alt-TC-Types-66-step-1" select="if ($TS-CD-alt-seq/test-case[@id='TC-Types-66-step-1' and @context='translation']/@rating) then concat(' (', $TS-CD-alt-seq/test-case[@id='TC-Types-66-step-1' and @context='translation']/@rating, ')') else $rating-alt-TC-Types-66-step-1 " />
  <xsl:variable name="rating-TC-Types-66-step-2" select="if ($TS-CD-seq/test-case[@id='TC-Types-66-step-2']/@rating) then concat(' (', $TS-CD-seq/test-case[@id='TC-Types-66-step-2']/@rating, ')') else $rating-TS-CD " />
  <xsl:variable name="rating-alt-TC-Types-66-step-2" select="if ($TS-CD-alt-seq/test-case[@id='TC-Types-66-step-2']/@rating) then concat(' (', $TS-CD-alt-seq/test-case[@id='TC-Types-66-step-2']/@rating, ')') else $rating-alt-TS-CD " />
  <xsl:variable name="rating-TC-Types-67-step-1" select="if ($TS-CD-seq/test-case[@id='TC-Types-67-step-1']/@rating) then concat(' (', $TS-CD-seq/test-case[@id='TC-Types-67-step-1']/@rating, ')') else $rating-TS-CD " />
  <xsl:variable name="rating-alt-TC-Types-67-step-1" select="if ($TS-CD-alt-seq/test-case[@id='TC-Types-67-step-1']/@rating) then concat(' (', $TS-CD-alt-seq/test-case[@id='TC-Types-67-step-1']/@rating, ')') else $rating-alt-TS-CD " />
  <xsl:variable name="rating-TC-Types-67-step-2" select="if ($TS-CD-seq/test-case[@id='TC-Types-67-step-2']/@rating) then concat(' (', $TS-CD-seq/test-case[@id='TC-Types-67-step-2']/@rating, ')') else $rating-TS-CD " />
  <xsl:variable name="rating-alt-TC-Types-67-step-2" select="if ($TS-CD-alt-seq/test-case[@id='TC-Types-67-step-2']/@rating) then concat(' (', $TS-CD-alt-seq/test-case[@id='TC-Types-67-step-2']/@rating, ')') else $rating-alt-TS-CD " />
  <xsl:variable name="rating-TC-Types-68" select="if ($TS-CD-seq/test-case[@id='TC-Types-68']/@rating) then concat(' (', $TS-CD-seq/test-case[@id='TC-Types-68']/@rating, ')') else $rating-TS-CD " />
  <xsl:variable name="rating-alt-TC-Types-68" select="if ($TS-CD-alt-seq/test-case[@id='TC-Types-68']/@rating) then concat(' (', $TS-CD-alt-seq/test-case[@id='TC-Types-68']/@rating, ')') else $rating-alt-TS-CD " />
  <xsl:variable name="rating-TC-CD-Version" select="if ($TS-CD-seq/test-case[@id='TC-CD-Version']/@rating) then concat(' (', $TS-CD-seq/test-case[@id='TC-CD-Version']/@rating, ')') else $rating-TS-CD " />
  <xsl:variable name="rating-alt-TC-CD-Version" select="if ($TS-CD-alt-seq/test-case[@id='TC-CD-Version']/@rating) then concat(' (', $TS-CD-alt-seq/test-case[@id='TC-CD-Version']/@rating, ')') else $rating-alt-TS-CD " />
  <xsl:variable name="rating-TC-Types-115" select="if ($TS-CS-seq/test-case[@id='TC-Types-115']/@rating) then concat(' (', $TS-CS-seq/test-case[@id='TC-Types-115']/@rating, ')') else $rating-TS-CS " />
  <xsl:variable name="rating-alt-TC-Types-115" select="if ($TS-CS-alt-seq/test-case[@id='TC-Types-115']/@rating) then concat(' (', $TS-CS-alt-seq/test-case[@id='TC-Types-115']/@rating, ')') else $rating-alt-TS-CS " />
  <xsl:variable name="rating-TC-Types-116" select="if ($TS-CS-seq/test-case[@id='TC-Types-116']/@rating) then concat(' (', $TS-CS-seq/test-case[@id='TC-Types-116']/@rating, ')') else $rating-TS-CS " />
  <xsl:variable name="rating-alt-TC-Types-116" select="if ($TS-CS-alt-seq/test-case[@id='TC-Types-116']/@rating) then concat(' (', $TS-CS-alt-seq/test-case[@id='TC-Types-116']/@rating, ')') else $rating-alt-TS-CS " />
  <xsl:variable name="rating-TC-Types-51" select="if ($TS-ED-seq/test-case[@id='TC-Types-51']/@rating) then concat(' (', $TS-ED-seq/test-case[@id='TC-Types-51']/@rating, ')') else $rating-TS-ED " />
  <xsl:variable name="rating-alt-TC-Types-51" select="if ($TS-ED-alt-seq/test-case[@id='TC-Types-51']/@rating) then concat(' (', $TS-ED-alt-seq/test-case[@id='TC-Types-51']/@rating, ')') else $rating-alt-TS-ED " />
  <xsl:variable name="rating-TC-Types-52" select="if ($TS-ED-seq/test-case[@id='TC-Types-52']/@rating) then concat(' (', $TS-ED-seq/test-case[@id='TC-Types-52']/@rating, ')') else $rating-TS-ED " />
  <xsl:variable name="rating-alt-TC-Types-52" select="if ($TS-ED-alt-seq/test-case[@id='TC-Types-52']/@rating) then concat(' (', $TS-ED-alt-seq/test-case[@id='TC-Types-52']/@rating, ')') else $rating-alt-TS-ED " />
  <xsl:variable name="rating-TC-Types-53" select="if ($TS-ED-seq/test-case[@id='TC-Types-53']/@rating) then concat(' (', $TS-ED-seq/test-case[@id='TC-Types-53']/@rating, ')') else $rating-TS-ED " />
  <xsl:variable name="rating-alt-TC-Types-53" select="if ($TS-ED-alt-seq/test-case[@id='TC-Types-53']/@rating) then concat(' (', $TS-ED-alt-seq/test-case[@id='TC-Types-53']/@rating, ')') else $rating-alt-TS-ED " />
  <xsl:variable name="rating-TC-Types-54" select="if ($TS-ED-seq/test-case[@id='TC-Types-54']/@rating) then concat(' (', $TS-ED-seq/test-case[@id='TC-Types-54']/@rating, ')') else $rating-TS-ED " />
  <xsl:variable name="rating-alt-TC-Types-54" select="if ($TS-ED-alt-seq/test-case[@id='TC-Types-54']/@rating) then concat(' (', $TS-ED-alt-seq/test-case[@id='TC-Types-54']/@rating, ')') else $rating-alt-TS-ED " />
  <xsl:variable name="rating-TC-Types-70" select="if ($TS-II-seq/test-case[@id='TC-Types-70']/@rating) then concat(' (', $TS-II-seq/test-case[@id='TC-Types-70']/@rating, ')') else $rating-TS-II " />
  <xsl:variable name="rating-alt-TC-Types-70" select="if ($TS-II-alt-seq/test-case[@id='TC-Types-70']/@rating) then concat(' (', $TS-II-alt-seq/test-case[@id='TC-Types-70']/@rating, ')') else $rating-alt-TS-II " />
  <xsl:variable name="rating-TC-Types-71" select="if ($TS-II-seq/test-case[@id='TC-Types-71']/@rating) then concat(' (', $TS-II-seq/test-case[@id='TC-Types-71']/@rating, ')') else $rating-TS-II " />
  <xsl:variable name="rating-alt-TC-Types-71" select="if ($TS-II-alt-seq/test-case[@id='TC-Types-71']/@rating) then concat(' (', $TS-II-alt-seq/test-case[@id='TC-Types-71']/@rating, ')') else $rating-alt-TS-II " />
  <xsl:variable name="rating-TC-Types-72" select="if ($TS-II-seq/test-case[@id='TC-Types-72']/@rating) then concat(' (', $TS-II-seq/test-case[@id='TC-Types-72']/@rating, ')') else $rating-TS-II " />
  <xsl:variable name="rating-alt-TC-Types-72" select="if ($TS-II-alt-seq/test-case[@id='TC-Types-72']/@rating) then concat(' (', $TS-II-alt-seq/test-case[@id='TC-Types-72']/@rating, ')') else $rating-alt-TS-II " />
  <xsl:variable name="rating-TC-Types-73" select="if ($TS-II-seq/test-case[@id='TC-Types-73']/@rating) then concat(' (', $TS-II-seq/test-case[@id='TC-Types-73']/@rating, ')') else $rating-TS-II " />
  <xsl:variable name="rating-alt-TC-Types-73" select="if ($TS-II-alt-seq/test-case[@id='TC-Types-73']/@rating) then concat(' (', $TS-II-alt-seq/test-case[@id='TC-Types-73']/@rating, ')') else $rating-alt-TS-II " />
  <xsl:variable name="rating-TC-Types-74" select="if ($TS-II-seq/test-case[@id='TC-Types-74']/@rating) then concat(' (', $TS-II-seq/test-case[@id='TC-Types-74']/@rating, ')') else $rating-TS-II " />
  <xsl:variable name="rating-alt-TC-Types-74" select="if ($TS-II-alt-seq/test-case[@id='TC-Types-74']/@rating) then concat(' (', $TS-II-alt-seq/test-case[@id='TC-Types-74']/@rating, ')') else $rating-alt-TS-II " />
  <xsl:variable name="rating-TC-Types-75-step-1" select="if ($TS-II-seq/test-case[@id='TC-Types-75-step-1']/@rating) then concat(' (', $TS-II-seq/test-case[@id='TC-Types-75-step-1']/@rating, ')') else $rating-TS-II " />
  <xsl:variable name="rating-alt-TC-Types-75-step-1" select="if ($TS-II-alt-seq/test-case[@id='TC-Types-75-step-1' and @context='default']/@rating) then concat(' (', $TS-II-alt-seq/test-case[@id='TC-Types-75-step-1' and @context='default']/@rating, ')') else $rating-alt-TS-II " />
  <xsl:variable name="rating-tech-alt-TC-Types-75-step-1" select="if ($TS-II-alt-seq/test-case[@id='TC-Types-75-step-1' and @context='tech-id']/@rating) then concat(' (', $TS-II-alt-seq/test-case[@id='TC-Types-75-step-1' and @context='tech-id']/@rating, ')') else $rating-alt-TC-Types-75-step-1 " />
  <xsl:variable name="rating-TC-Types-75-step-2" select="if ($TS-II-seq/test-case[@id='TC-Types-75-step-2']/@rating) then concat(' (', $TS-II-seq/test-case[@id='TC-Types-75-step-2']/@rating, ')') else $rating-TS-II " />
  <xsl:variable name="rating-alt-TC-Types-75-step-2" select="if ($TS-II-alt-seq/test-case[@id='TC-Types-75-step-2']/@rating) then concat(' (', $TS-II-alt-seq/test-case[@id='TC-Types-75-step-2']/@rating, ')') else $rating-alt-TS-II " />
  <xsl:variable name="rating-TC-Types-76" select="if ($TS-II-seq/test-case[@id='TC-Types-76']/@rating) then concat(' (', $TS-II-seq/test-case[@id='TC-Types-76']/@rating, ')') else $rating-TS-II " />
  <xsl:variable name="rating-alt-TC-Types-76" select="if ($TS-II-alt-seq/test-case[@id='TC-Types-76']/@rating) then concat(' (', $TS-II-alt-seq/test-case[@id='TC-Types-76']/@rating, ')') else $rating-alt-TS-II " />
  <xsl:variable name="rating-TC-Types-77" select="if ($TS-II-seq/test-case[@id='TC-Types-77']/@rating) then concat(' (', $TS-II-seq/test-case[@id='TC-Types-77']/@rating, ')') else $rating-TS-II " />
  <xsl:variable name="rating-alt-TC-Types-77" select="if ($TS-II-alt-seq/test-case[@id='TC-Types-77']/@rating) then concat(' (', $TS-II-alt-seq/test-case[@id='TC-Types-77']/@rating, ')') else $rating-alt-TS-II " />
  <xsl:variable name="rating-TC-Types-78" select="if ($TS-II-seq/test-case[@id='TC-Types-78']/@rating) then concat(' (', $TS-II-seq/test-case[@id='TC-Types-78']/@rating, ')') else $rating-TS-II " />
  <xsl:variable name="rating-alt-TC-Types-78" select="if ($TS-II-alt-seq/test-case[@id='TC-Types-78']/@rating) then concat(' (', $TS-II-alt-seq/test-case[@id='TC-Types-78']/@rating, ')') else $rating-alt-TS-II " />
  <xsl:variable name="rating-TC-Types-79" select="if ($TS-II-seq/test-case[@id='TC-Types-79']/@rating) then concat(' (', $TS-II-seq/test-case[@id='TC-Types-79']/@rating, ')') else $rating-TS-II " />
  <xsl:variable name="rating-alt-TC-Types-79" select="if ($TS-II-alt-seq/test-case[@id='TC-Types-79']/@rating) then concat(' (', $TS-II-alt-seq/test-case[@id='TC-Types-79']/@rating, ')') else $rating-alt-TS-II " />
  <xsl:variable name="rating-TC-Types-80" select="if ($TS-II-seq/test-case[@id='TC-Types-80']/@rating) then concat(' (', $TS-II-seq/test-case[@id='TC-Types-80']/@rating, ')') else $rating-TS-II " />
  <xsl:variable name="rating-alt-TC-Types-80" select="if ($TS-II-alt-seq/test-case[@id='TC-Types-80']/@rating) then concat(' (', $TS-II-alt-seq/test-case[@id='TC-Types-80']/@rating, ')') else $rating-alt-TS-II " />
  <xsl:variable name="rating-TC-Types-81" select="if ($TS-II-seq/test-case[@id='TC-Types-81']/@rating) then concat(' (', $TS-II-seq/test-case[@id='TC-Types-81']/@rating, ')') else $rating-TS-II " />
  <xsl:variable name="rating-alt-TC-Types-81" select="if ($TS-II-alt-seq/test-case[@id='TC-Types-81']/@rating) then concat(' (', $TS-II-alt-seq/test-case[@id='TC-Types-81']/@rating, ')') else $rating-alt-TS-II " />
  <xsl:variable name="rating-TC-Types-82" select="if ($TS-II-seq/test-case[@id='TC-Types-82']/@rating) then concat(' (', $TS-II-seq/test-case[@id='TC-Types-82']/@rating, ')') else $rating-TS-II " />
  <xsl:variable name="rating-alt-TC-Types-82" select="if ($TS-II-alt-seq/test-case[@id='TC-Types-82']/@rating) then concat(' (', $TS-II-alt-seq/test-case[@id='TC-Types-82']/@rating, ')') else $rating-alt-TS-II " />
  <xsl:variable name="rating-TC-Types-83" select="if ($TS-II-seq/test-case[@id='TC-Types-83']/@rating) then concat(' (', $TS-II-seq/test-case[@id='TC-Types-83']/@rating, ')') else $rating-TS-II " />
  <xsl:variable name="rating-alt-TC-Types-83" select="if ($TS-II-alt-seq/test-case[@id='TC-Types-83']/@rating) then concat(' (', $TS-II-alt-seq/test-case[@id='TC-Types-83']/@rating, ')') else $rating-alt-TS-II " />
  <xsl:variable name="rating-TC-Types-84" select="if ($TS-II-seq/test-case[@id='TC-Types-84']/@rating) then concat(' (', $TS-II-seq/test-case[@id='TC-Types-84']/@rating, ')') else $rating-TS-II " />
  <xsl:variable name="rating-alt-TC-Types-84" select="if ($TS-II-alt-seq/test-case[@id='TC-Types-84']/@rating) then concat(' (', $TS-II-alt-seq/test-case[@id='TC-Types-84']/@rating, ')') else $rating-alt-TS-II " />
  <xsl:variable name="rating-TC-Types-85" select="if ($TS-II-seq/test-case[@id='TC-Types-85']/@rating) then concat(' (', $TS-II-seq/test-case[@id='TC-Types-85']/@rating, ')') else $rating-TS-II " />
  <xsl:variable name="rating-alt-TC-Types-85" select="if ($TS-II-alt-seq/test-case[@id='TC-Types-85']/@rating) then concat(' (', $TS-II-alt-seq/test-case[@id='TC-Types-85']/@rating, ')') else $rating-alt-TS-II " />
  <xsl:variable name="rating-TC-Types-86" select="if ($TS-II-seq/test-case[@id='TC-Types-86']/@rating) then concat(' (', $TS-II-seq/test-case[@id='TC-Types-86']/@rating, ')') else $rating-TS-II " />
  <xsl:variable name="rating-alt-TC-Types-86" select="if ($TS-II-alt-seq/test-case[@id='TC-Types-86']/@rating) then concat(' (', $TS-II-alt-seq/test-case[@id='TC-Types-86']/@rating, ')') else $rating-alt-TS-II " />
  <xsl:variable name="rating-TC-Types-87" select="if ($TS-II-seq/test-case[@id='TC-Types-87']/@rating) then concat(' (', $TS-II-seq/test-case[@id='TC-Types-87']/@rating, ')') else $rating-TS-II " />
  <xsl:variable name="rating-alt-TC-Types-87" select="if ($TS-II-alt-seq/test-case[@id='TC-Types-87']/@rating) then concat(' (', $TS-II-alt-seq/test-case[@id='TC-Types-87']/@rating, ')') else $rating-alt-TS-II " />
  <xsl:variable name="rating-TC-Types-88" select="if ($TS-II-seq/test-case[@id='TC-Types-88']/@rating) then concat(' (', $TS-II-seq/test-case[@id='TC-Types-88']/@rating, ')') else $rating-TS-II " />
  <xsl:variable name="rating-alt-TC-Types-88" select="if ($TS-II-alt-seq/test-case[@id='TC-Types-88']/@rating) then concat(' (', $TS-II-alt-seq/test-case[@id='TC-Types-88']/@rating, ')') else $rating-alt-TS-II " />
  <xsl:variable name="rating-TC-Types-89" select="if ($TS-II-seq/test-case[@id='TC-Types-89']/@rating) then concat(' (', $TS-II-seq/test-case[@id='TC-Types-89']/@rating, ')') else $rating-TS-II " />
  <xsl:variable name="rating-alt-TC-Types-89" select="if ($TS-II-alt-seq/test-case[@id='TC-Types-89']/@rating) then concat(' (', $TS-II-alt-seq/test-case[@id='TC-Types-89']/@rating, ')') else $rating-alt-TS-II " />
  <xsl:variable name="rating-TC-Types-90" select="if ($TS-II-seq/test-case[@id='TC-Types-90']/@rating) then concat(' (', $TS-II-seq/test-case[@id='TC-Types-90']/@rating, ')') else $rating-TS-II " />
  <xsl:variable name="rating-alt-TC-Types-90" select="if ($TS-II-alt-seq/test-case[@id='TC-Types-90']/@rating) then concat(' (', $TS-II-alt-seq/test-case[@id='TC-Types-90']/@rating, ')') else $rating-alt-TS-II " />
  <xsl:variable name="rating-TC-Types-91" select="if ($TS-II-seq/test-case[@id='TC-Types-91']/@rating) then concat(' (', $TS-II-seq/test-case[@id='TC-Types-91']/@rating, ')') else $rating-TS-II " />
  <xsl:variable name="rating-alt-TC-Types-91" select="if ($TS-II-alt-seq/test-case[@id='TC-Types-91']/@rating) then concat(' (', $TS-II-alt-seq/test-case[@id='TC-Types-91']/@rating, ')') else $rating-alt-TS-II " />
  <xsl:variable name="rating-TC-Types-92" select="if ($TS-II-seq/test-case[@id='TC-Types-92']/@rating) then concat(' (', $TS-II-seq/test-case[@id='TC-Types-92']/@rating, ')') else $rating-TS-II " />
  <xsl:variable name="rating-alt-TC-Types-92" select="if ($TS-II-alt-seq/test-case[@id='TC-Types-92']/@rating) then concat(' (', $TS-II-alt-seq/test-case[@id='TC-Types-92']/@rating, ')') else $rating-alt-TS-II " />
  <xsl:variable name="rating-TC-Types-111" select="if ($TS-II-seq/test-case[@id='TC-Types-111']/@rating) then concat(' (', $TS-II-seq/test-case[@id='TC-Types-111']/@rating, ')') else $rating-TS-II " />
  <xsl:variable name="rating-alt-TC-Types-111" select="if ($TS-II-alt-seq/test-case[@id='TC-Types-111']/@rating) then concat(' (', $TS-II-alt-seq/test-case[@id='TC-Types-111']/@rating, ')') else $rating-alt-TS-II " />
  <xsl:variable name="rating-TC-Types-95" select="if ($TS-INT-seq/test-case[@id='TC-Types-95']/@rating) then concat(' (', $TS-INT-seq/test-case[@id='TC-Types-95']/@rating, ')') else $rating-TS-INT " />
  <xsl:variable name="rating-alt-TC-Types-95" select="if ($TS-INT-alt-seq/test-case[@id='TC-Types-95']/@rating) then concat(' (', $TS-INT-alt-seq/test-case[@id='TC-Types-95']/@rating, ')') else $rating-alt-TS-INT " />
  <xsl:variable name="rating-TC-Types-102" select="if ($TS-IVL-seq/test-case[@id='TC-Types-102']/@rating) then concat(' (', $TS-IVL-seq/test-case[@id='TC-Types-102']/@rating, ')') else $rating-TS-IVL " />
  <xsl:variable name="rating-alt-TC-Types-102" select="if ($TS-IVL-alt-seq/test-case[@id='TC-Types-102']/@rating) then concat(' (', $TS-IVL-alt-seq/test-case[@id='TC-Types-102']/@rating, ')') else $rating-alt-TS-IVL " />
  <xsl:variable name="rating-TC-Types-103" select="if ($TS-IVL-seq/test-case[@id='TC-Types-103' and @context='default']/@rating) then concat(' (', $TS-IVL-seq/test-case[@id='TC-Types-103' and @context='default']/@rating, ')') else $rating-TS-IVL " />
  <xsl:variable name="rating-alt-TC-Types-103" select="if ($TS-IVL-alt-seq/test-case[@id='TC-Types-103' and @context='default']/@rating) then concat(' (', $TS-IVL-alt-seq/test-case[@id='TC-Types-103' and @context='default']/@rating, ')') else $rating-alt-TS-IVL " />
  <xsl:variable name="rating-eq-TC-Types-103" select="if ($TS-IVL-seq/test-case[@id='TC-Types-103' and @context='equal']/@rating) then concat(' (', $TS-IVL-seq/test-case[@id='TC-Types-103' and @context='equal']/@rating, ')') else $rating-TC-Types-103 " />
  <xsl:variable name="rating-eq-alt-TC-Types-103" select="if ($TS-IVL-alt-seq/test-case[@id='TC-Types-103' and @context='equal']/@rating) then concat(' (', $TS-IVL-alt-seq/test-case[@id='TC-Types-103' and @context='equal']/@rating, ')') else $rating-alt-TC-Types-103 " />
  <xsl:variable name="rating-TC-Types-104" select="if ($TS-IVL-seq/test-case[@id='TC-Types-104']/@rating) then concat(' (', $TS-IVL-seq/test-case[@id='TC-Types-104']/@rating, ')') else $rating-TS-IVL " />
  <xsl:variable name="rating-alt-TC-Types-104" select="if ($TS-IVL-alt-seq/test-case[@id='TC-Types-104']/@rating) then concat(' (', $TS-IVL-alt-seq/test-case[@id='TC-Types-104']/@rating, ')') else $rating-alt-TS-IVL " />
  <xsl:variable name="rating-TC-Types-48" select="if ($TS-NF-seq/test-case[@id='TC-Types-48']/@rating) then concat(' (', $TS-NF-seq/test-case[@id='TC-Types-48']/@rating, ')') else $rating-TS-NF " />
  <xsl:variable name="rating-alt-TC-Types-48" select="if ($TS-NF-alt-seq/test-case[@id='TC-Types-48']/@rating) then concat(' (', $TS-NF-alt-seq/test-case[@id='TC-Types-48']/@rating, ')') else $rating-alt-TS-NF " />
  <xsl:variable name="rating-TC-Types-49" select="if ($TS-NF-seq/test-case[@id='TC-Types-49']/@rating) then concat(' (', $TS-NF-seq/test-case[@id='TC-Types-49']/@rating, ')') else $rating-TS-NF " />
  <xsl:variable name="rating-alt-TC-Types-49" select="if ($TS-NF-alt-seq/test-case[@id='TC-Types-49']/@rating) then concat(' (', $TS-NF-alt-seq/test-case[@id='TC-Types-49']/@rating, ')') else $rating-alt-TS-NF " />
  <xsl:variable name="rating-TC-Types-117" select="if ($TS-PIVL-seq/test-case[@id='TC-Types-117']/@rating) then concat(' (', $TS-PIVL-seq/test-case[@id='TC-Types-117']/@rating, ')') else $rating-TS-PIVL " />
  <xsl:variable name="rating-alt-TC-Types-117" select="if ($TS-PIVL-alt-seq/test-case[@id='TC-Types-117']/@rating) then concat(' (', $TS-PIVL-alt-seq/test-case[@id='TC-Types-117']/@rating, ')') else $rating-alt-TS-PIVL " />
  <xsl:variable name="rating-TC-Types-93" select="if ($TS-PQ-seq/test-case[@id='TC-Types-93']/@rating) then concat(' (', $TS-PQ-seq/test-case[@id='TC-Types-93']/@rating, ')') else $rating-TS-PQ " />
  <xsl:variable name="rating-alt-TC-Types-93" select="if ($TS-PQ-alt-seq/test-case[@id='TC-Types-93']/@rating) then concat(' (', $TS-PQ-alt-seq/test-case[@id='TC-Types-93']/@rating, ')') else $rating-alt-TS-PQ " />
  <xsl:variable name="rating-TC-Types-94" select="if ($TS-PQ-seq/test-case[@id='TC-Types-94']/@rating) then concat(' (', $TS-PQ-seq/test-case[@id='TC-Types-94']/@rating, ')') else $rating-TS-PQ " />
  <xsl:variable name="rating-alt-TC-Types-94" select="if ($TS-PQ-alt-seq/test-case[@id='TC-Types-94']/@rating) then concat(' (', $TS-PQ-alt-seq/test-case[@id='TC-Types-94']/@rating, ')') else $rating-alt-TS-PQ " />
  <xsl:variable name="rating-TC-Types-96" select="if ($TS-REAL-seq/test-case[@id='TC-Types-96']/@rating) then concat(' (', $TS-REAL-seq/test-case[@id='TC-Types-96']/@rating, ')') else $rating-TS-REAL " />
  <xsl:variable name="rating-alt-TC-Types-96" select="if ($TS-REAL-alt-seq/test-case[@id='TC-Types-96']/@rating) then concat(' (', $TS-REAL-alt-seq/test-case[@id='TC-Types-96']/@rating, ')') else $rating-alt-TS-REAL " />
  <xsl:variable name="rating-TC-Types-97" select="if ($TS-RTO-seq/test-case[@id='TC-Types-97']/@rating) then concat(' (', $TS-RTO-seq/test-case[@id='TC-Types-97']/@rating, ')') else $rating-TS-RTO " />
  <xsl:variable name="rating-alt-TC-Types-97" select="if ($TS-RTO-alt-seq/test-case[@id='TC-Types-97']/@rating) then concat(' (', $TS-RTO-alt-seq/test-case[@id='TC-Types-97']/@rating, ')') else $rating-alt-TS-RTO " />
  <xsl:variable name="rating-TC-Types-55" select="if ($TS-ST-seq/test-case[@id='TC-Types-55' and @context='default']/@rating) then concat(' (', $TS-ST-seq/test-case[@id='TC-Types-55' and @context='default']/@rating, ')') else $rating-TS-ST " />
  <xsl:variable name="rating-alt-TC-Types-55" select="if ($TS-ST-alt-seq/test-case[@id='TC-Types-55' and @context='default']/@rating) then concat(' (', $TS-ST-alt-seq/test-case[@id='TC-Types-55' and @context='default']/@rating, ')') else $rating-alt-TS-ST " />
  <xsl:variable name="rating-ADI-TC-Types-55" select="if ($TS-ST-seq/test-case[@id='TC-Types-55' and @context='ADI']/@rating) then concat(' (', $TS-ST-seq/test-case[@id='TC-Types-55' and @context='ADI']/@rating, ')') else $rating-TC-Types-55 " />
  <xsl:variable name="rating-ADI-alt-TC-Types-55" select="if ($TS-ST-alt-seq/test-case[@id='TC-Types-55' and @context='ADI']/@rating) then concat(' (', $TS-ST-alt-seq/test-case[@id='TC-Types-55' and @context='ADI']/@rating, ')') else $rating-alt-TC-Types-55 " />
  <xsl:variable name="rating-TC-Types-56" select="if ($TS-ST-seq/test-case[@id='TC-Types-56' and @context='default']/@rating) then concat(' (', $TS-ST-seq/test-case[@id='TC-Types-56' and @context='default']/@rating, ')') else $rating-TS-ST " />
  <xsl:variable name="rating-MHRView-TC-Types-56" select="if ($TS-ST-seq/test-case[@id='TC-Types-56' and @context='MHRView']/@rating) then concat(' (', $TS-ST-seq/test-case[@id='TC-Types-56' and @context='MHRView']/@rating, ')') else $rating-TC-Types-56 " />
  <xsl:variable name="rating-alt-TC-Types-56" select="if ($TS-ST-alt-seq/test-case[@id='TC-Types-56' and @context='default']/@rating) then concat(' (', $TS-ST-alt-seq/test-case[@id='TC-Types-56' and @context='default']/@rating, ')') else $rating-alt-TS-ST " />
  <xsl:variable name="rating-MHRView-alt-TC-Types-56" select="if ($TS-ST-alt-seq/test-case[@id='TC-Types-56' and @context='MHRView']/@rating) then concat(' (', $TS-ST-alt-seq/test-case[@id='TC-Types-56' and @context='MHRView']/@rating, ')') else $rating-alt-TC-Types-56 " />
  <xsl:variable name="rating-TC-Types-118" select="if ($TS-TEL-seq/test-case[@id='TC-Types-118']/@rating) then concat(' (', $TS-TEL-seq/test-case[@id='TC-Types-118']/@rating, ')') else $rating-TS-TEL " />
  <xsl:variable name="rating-alt-TC-Types-118" select="if ($TS-TEL-alt-seq/test-case[@id='TC-Types-118']/@rating) then concat(' (', $TS-TEL-alt-seq/test-case[@id='TC-Types-118']/@rating, ')') else $rating-alt-TS-TEL " />
  <xsl:variable name="rating-TC-Types-99" select="if ($TS-TS-seq/test-case[@id='TC-Types-99']/@rating) then concat(' (', $TS-TS-seq/test-case[@id='TC-Types-99']/@rating, ')') else $rating-TS-TS " />
  <xsl:variable name="rating-alt-TC-Types-99" select="if ($TS-TS-alt-seq/test-case[@id='TC-Types-99']/@rating) then concat(' (', $TS-TS-alt-seq/test-case[@id='TC-Types-99']/@rating, ')') else $rating-alt-TS-TS " />
  <xsl:variable name="rating-TC-Types-100" select="if ($TS-TS-seq/test-case[@id='TC-Types-100']/@rating) then concat(' (', $TS-TS-seq/test-case[@id='TC-Types-100']/@rating, ')') else $rating-TS-TS " />
  <xsl:variable name="rating-alt-TC-Types-100" select="if ($TS-TS-alt-seq/test-case[@id='TC-Types-100']/@rating) then concat(' (', $TS-TS-alt-seq/test-case[@id='TC-Types-100']/@rating, ')') else $rating-alt-TS-TS " />
  <xsl:variable name="rating-TC-Types-101" select="if ($TS-TS-seq/test-case[@id='TC-Types-101']/@rating) then concat(' (', $TS-TS-seq/test-case[@id='TC-Types-101']/@rating, ')') else $rating-TS-TS " />
  <xsl:variable name="rating-alt-TC-Types-101" select="if ($TS-TS-alt-seq/test-case[@id='TC-Types-101']/@rating) then concat(' (', $TS-TS-alt-seq/test-case[@id='TC-Types-101']/@rating, ')') else $rating-alt-TS-TS " />
  <xsl:variable name="rating-TC-Types-105" select="if ($TS-UID-seq/test-case[@id='TC-Types-105']/@rating) then concat(' (', $TS-UID-seq/test-case[@id='TC-Types-105']/@rating, ')') else $rating-TS-UID " />
  <xsl:variable name="rating-alt-TC-Types-105" select="if ($TS-UID-alt-seq/test-case[@id='TC-Types-105']/@rating) then concat(' (', $TS-UID-alt-seq/test-case[@id='TC-Types-105']/@rating, ')') else $rating-alt-TS-UID " />
  <xsl:variable name="rating-TC-Types-106" select="if ($TS-UID-seq/test-case[@id='TC-Types-106']/@rating) then concat(' (', $TS-UID-seq/test-case[@id='TC-Types-106']/@rating, ')') else $rating-TS-UID " />
  <xsl:variable name="rating-alt-TC-Types-106" select="if ($TS-UID-alt-seq/test-case[@id='TC-Types-106']/@rating) then concat(' (', $TS-UID-alt-seq/test-case[@id='TC-Types-106']/@rating, ')') else $rating-alt-TS-UID " />
  <xsl:variable name="rating-TC-Types-107" select="if ($TS-UID-seq/test-case[@id='TC-Types-107']/@rating) then concat(' (', $TS-UID-seq/test-case[@id='TC-Types-107']/@rating, ')') else $rating-TS-UID " />
  <xsl:variable name="rating-alt-TC-Types-107" select="if ($TS-UID-alt-seq/test-case[@id='TC-Types-107']/@rating) then concat(' (', $TS-UID-alt-seq/test-case[@id='TC-Types-107']/@rating, ')') else $rating-alt-TS-UID " />
  <xsl:variable name="rating-TC-Types-108" select="if ($TS-UID-seq/test-case[@id='TC-Types-108']/@rating) then concat(' (', $TS-UID-seq/test-case[@id='TC-Types-108']/@rating, ')') else $rating-TS-UID " />
  <xsl:variable name="rating-alt-TC-Types-108" select="if ($TS-UID-alt-seq/test-case[@id='TC-Types-108']/@rating) then concat(' (', $TS-UID-alt-seq/test-case[@id='TC-Types-108']/@rating, ')') else $rating-alt-TS-UID " />
  <xsl:variable name="rating-TC-Types-109" select="if ($TS-UID-seq/test-case[@id='TC-Types-109']/@rating) then concat(' (', $TS-UID-seq/test-case[@id='TC-Types-109']/@rating, ')') else $rating-TS-UID " />
  <xsl:variable name="rating-alt-TC-Types-109" select="if ($TS-UID-alt-seq/test-case[@id='TC-Types-109']/@rating) then concat(' (', $TS-UID-alt-seq/test-case[@id='TC-Types-109']/@rating, ')') else $rating-alt-TS-UID " />
  <xsl:variable name="rating-TC-Auth-53" select="if ($TS-Addr-seq/test-case[@id='TC-Auth-53']/@rating) then concat(' (', $TS-Addr-seq/test-case[@id='TC-Auth-53']/@rating, ')') else $rating-TS-Addr " />
  <xsl:variable name="rating-TC-Auth-07" select="if ($TS-Content-seq/test-case[@id='TC-Auth-07']/@rating) then concat(' (', $TS-Content-seq/test-case[@id='TC-Auth-07']/@rating, ')') else $rating-TS-Content " />
  <xsl:variable name="rating-TC-Auth-09" select="if ($TS-Content-seq/test-case[@id='TC-Auth-09']/@rating) then concat(' (', $TS-Content-seq/test-case[@id='TC-Auth-09']/@rating, ')') else $rating-TS-Content " />
  <xsl:variable name="rating-TC-Auth-12" select="if ($TS-Content-seq/test-case[@id='TC-Auth-12']/@rating) then concat(' (', $TS-Content-seq/test-case[@id='TC-Auth-12']/@rating, ')') else $rating-TS-Content " />
  <xsl:variable name="rating-TC-Auth-13" select="if ($TS-Content-seq/test-case[@id='TC-Auth-13' and @context='default']/@rating) then concat(' (', $TS-Content-seq/test-case[@id='TC-Auth-13' and @context='default']/@rating, ')') else $rating-TS-Content " />
  <xsl:variable name="rating-alt-TC-Auth-13" select="if ($TS-Content-seq/test-case[@id='TC-Auth-13' and @context='alternative']/@rating) then concat(' (', $TS-Content-seq/test-case[@id='TC-Auth-13' and @context='alternative']/@rating, ')') else $rating-TC-Auth-13 " />
  <xsl:variable name="rating-TC-Auth-55" select="if ($TS-Content-seq/test-case[@id='TC-Auth-55']/@rating) then concat(' (', $TS-Content-seq/test-case[@id='TC-Auth-55']/@rating, ')') else $rating-TS-Content " />
  <xsl:variable name="rating-TC-Auth-50" select="if ($TS-eComm-seq/test-case[@id='TC-Auth-50']/@rating) then concat(' (', $TS-eComm-seq/test-case[@id='TC-Auth-50']/@rating, ')') else $rating-TS-eComm " />
  <xsl:variable name="rating-TC-Auth-39" select="if ($TS-Pers-seq/test-case[@id='TC-Auth-39']/@rating) then concat(' (', $TS-Pers-seq/test-case[@id='TC-Auth-39']/@rating, ')') else $rating-TS-Pers " />
  <xsl:variable name="rating-TC-Auth-42" select="if ($TS-Pers-seq/test-case[@id='TC-Auth-42']/@rating) then concat(' (', $TS-Pers-seq/test-case[@id='TC-Auth-42']/@rating, ')') else $rating-TS-Pers " />
  <xsl:variable name="rating-TC-Auth-46" select="if ($TS-Pers-seq/test-case[@id='TC-Auth-46']/@rating) then concat(' (', $TS-Pers-seq/test-case[@id='TC-Auth-46']/@rating, ')') else $rating-TS-Pers " />
  <xsl:variable name="rating-TC-Auth-47" select="if ($TS-Pers-seq/test-case[@id='TC-Auth-47']/@rating) then concat(' (', $TS-Pers-seq/test-case[@id='TC-Auth-47']/@rating, ')') else $rating-TS-Pers " />
  <xsl:variable name="rating-TC-Auth-48" select="if ($TS-Pers-seq/test-case[@id='TC-Auth-48']/@rating) then concat(' (', $TS-Pers-seq/test-case[@id='TC-Auth-48']/@rating, ')') else $rating-TS-Pers " />
  <xsl:variable name="rating-TC-DS-Display" select="if ($TS-Usability-seq/test-case[@id='TC-DS-Display' and @context='default']/@rating) then concat(' (', $TS-Usability-seq/test-case[@id='TC-DS-Display' and @context='default']/@rating, ')') else $rating-TS-Usability " />
  <xsl:variable name="rating-alt-TC-DS-Display" select="if ($TS-Usability-seq/test-case[@id='TC-DS-Display' and @context='alternative']/@rating) then concat(' (', $TS-Usability-seq/test-case[@id='TC-DS-Display' and @context='alternative']/@rating, ')') else $rating-TC-DS-Display " />
  <xsl:variable name="rating-TC-Med-Display" select="if ($TS-Usability-seq/test-case[@id='TC-Med-Display' and @context='default']/@rating) then concat(' (', $TS-Usability-seq/test-case[@id='TC-Med-Display' and @context='default']/@rating, ')') else $rating-TS-Usability " />
  <xsl:variable name="rating-dir-TC-Med-Display" select="if ($TS-Usability-seq/test-case[@id='TC-Med-Display' and @context='directions']/@rating) then concat(' (', $TS-Usability-seq/test-case[@id='TC-Med-Display' and @context='directions']/@rating, ')') else $rating-TC-Med-Display " />
  <xsl:variable name="rating-TC-None-Supplied" select="if ($TS-Usability-seq/test-case[@id='TC-None-Supplied']/@rating) then concat(' (', $TS-Usability-seq/test-case[@id='TC-None-Supplied']/@rating, ')') else $rating-TS-Usability " />
  <xsl:variable name="rating-TC-Usability" select="if ($TS-Usability-seq/test-case[@id='TC-Usability']/@rating) then concat(' (', $TS-Usability-seq/test-case[@id='TC-Usability']/@rating, ')') else $rating-TS-Usability " />
  <xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" name="iq:display-number" as="xs:string">
    <xsl:param name="number" as="xs:string" />
    <xsl:choose>
      <xsl:when test="exists($number) and exists($numbers/number[@value = $number])">
        <xsl:value-of select="$numbers/number[@value = $number]/@name" />
      </xsl:when>
      <xsl:when test="exists($number) and not(exists($numbers/number[@value = $number]))">
        <xsl:value-of select="$number" />
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="''" />
      </xsl:otherwise>
    </xsl:choose>
  </xsl:function>
  <xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" name="iq:display-date" as="xs:string">
    <xsl:param name="date-time" as="xs:string" />
    <xsl:variable name="dt-year" as="xs:string">
      <xsl:choose>
        <xsl:when test="exists($date-time) and string-length($date-time) &gt; 3 ">
          <xsl:value-of select="substring($date-time, 1, 4)" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="''" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="dt-month-num" as="xs:string">
      <xsl:choose>
        <xsl:when test="exists($date-time) and string-length($date-time) &gt; 5 ">
          <xsl:value-of select="substring($date-time, 5, 2)" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="''" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="dt-day" as="xs:string">
      <xsl:choose>
        <xsl:when test="exists($date-time) and string-length($date-time) &gt; 7 ">
          <xsl:value-of select="substring($date-time, 7, 2)" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="''" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="dt-month" as="xs:string">
      <xsl:choose>
        <xsl:when test="$dt-month-num = '01' ">
          <xsl:value-of select="'Jan'" />
        </xsl:when>
        <xsl:when test="$dt-month-num = '02' ">
          <xsl:value-of select="'Feb'" />
        </xsl:when>
        <xsl:when test="$dt-month-num = '03' ">
          <xsl:value-of select="'Mar'" />
        </xsl:when>
        <xsl:when test="$dt-month-num = '04' ">
          <xsl:value-of select="'Apr'" />
        </xsl:when>
        <xsl:when test="$dt-month-num = '05' ">
          <xsl:value-of select="'May'" />
        </xsl:when>
        <xsl:when test="$dt-month-num = '06' ">
          <xsl:value-of select="'Jun'" />
        </xsl:when>
        <xsl:when test="$dt-month-num = '07' ">
          <xsl:value-of select="'Jul'" />
        </xsl:when>
        <xsl:when test="$dt-month-num = '08' ">
          <xsl:value-of select="'Aug'" />
        </xsl:when>
        <xsl:when test="$dt-month-num = '09' ">
          <xsl:value-of select="'Sep'" />
        </xsl:when>
        <xsl:when test="$dt-month-num = '10' ">
          <xsl:value-of select="'Oct'" />
        </xsl:when>
        <xsl:when test="$dt-month-num = '11' ">
          <xsl:value-of select="'Nov'" />
        </xsl:when>
        <xsl:when test="$dt-month-num = '12' ">
          <xsl:value-of select="'Dec'" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="''" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:choose>
      <xsl:when test="$dt-day != ''">
        <xsl:value-of select="concat($dt-day, ' ', $dt-month, ' ', $dt-year)" />
      </xsl:when>
      <xsl:when test="$dt-month != ''">
        <xsl:value-of select="concat($dt-month, ' ', $dt-year)" />
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="$dt-year" />
      </xsl:otherwise>
    </xsl:choose>
  </xsl:function>
  <xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" name="iq:display-date-diff" as="xs:string*">
    <xsl:param name="first-dt" as="xs:string" />
    <xsl:param name="second-dt" as="xs:string" />
    <xsl:variable name="first-dt-xs" as="xs:string">
      <xsl:choose>
        <xsl:when test="exists($first-dt) and string-length($first-dt) &gt; 7 ">
          <xsl:value-of select="concat(substring($first-dt, 1, 4), '-', substring($first-dt, 5, 2), '-', substring($first-dt, 7, 2)) " />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="''" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="second-dt-xs" as="xs:string">
      <xsl:choose>
        <xsl:when test="exists($second-dt) and string-length($second-dt) &gt; 7 ">
          <xsl:value-of select="concat(substring($second-dt, 1, 4), '-', substring($second-dt, 5, 2), '-', substring($second-dt, 7, 2)) " />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="''" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="dt-difference-1" as="xs:string">
      <xsl:choose>
        <xsl:when test="$first-dt-xs = '' or $second-dt-xs = '' ">
          <xsl:value-of select=" '' " />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="string(xs:date($second-dt-xs) - xs:date($first-dt-xs))" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="dt-difference" as="xs:string">
      <xsl:choose>
        <xsl:when test="matches($dt-difference-1, '^\-?P[0-9]+D')">
          <xsl:value-of select="replace($dt-difference-1, '^(\-?)(P)([0-9]+)(D)', '$1$3')" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="''" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:choose>
      <xsl:when test="$dt-difference = ''">
        <xsl:sequence select="('', '')" />
      </xsl:when>
      <xsl:when test="$dt-difference = '1'">
        <xsl:sequence select="('1 day', '1')" />
      </xsl:when>
      <xsl:otherwise>
        <xsl:sequence select="(concat($dt-difference, ' days'), $dt-difference)" />
      </xsl:otherwise>
    </xsl:choose>
  </xsl:function>
  <xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" name="iq:display-originalText" as="xs:string">
    <xsl:param name="cd" as="node()" />
    <xsl:variable name="cd-otext-1" as="xs:string">
      <xsl:choose>
        <xsl:when test="exists($cd/cda:originalText)">
          <xsl:value-of select="normalize-space($cd/cda:originalText)" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="''" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="cd-otext" as="xs:string">
      <xsl:choose>
        <xsl:when test="string-length($cd-otext-1) &gt; 200">
          <xsl:value-of select="concat('commencing with ', codepoints-to-string(34),       normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($cd-otext-1, $p-name-pattern-replacement, 'ic'), 1, 200),       $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
        </xsl:when>
        <xsl:when test="exists($cd/cda:originalText) and string-length($cd-otext-1) &gt; 0">
          <xsl:value-of select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($cd-otext-1, $text-pattern-replacement, 'ic')), codepoints-to-string(34))" />
        </xsl:when>
        <xsl:when test="exists($cd/cda:originalText) and string-length($cd-otext-1) = 0">
          <xsl:value-of select="concat(codepoints-to-string(34), '', codepoints-to-string(34))" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="''" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="cd-otext-nullFlavor" as="xs:string">
      <xsl:choose>
        <xsl:when test="exists($cd/cda:originalText/@nullFlavor)">
          <xsl:value-of select="concat('nullFlavor ', codepoints-to-string(34), $cd/cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = $cd/cda:originalText/@nullFlavor]/@name, ')')" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="''" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="cd-components" as="xs:string*">
      <xsl:sequence select="($cd-otext, $cd-otext-nullFlavor)[. != '']" />
    </xsl:variable>
    <xsl:choose>
      <xsl:when test="count($cd-components) &gt; 1">
        <xsl:value-of select="concat(string-join($cd-components[position() &lt; last()], ', '), ' and ', $cd-components[last()])" />
      </xsl:when>
      <xsl:when test="count($cd-components) = 1">
        <xsl:value-of select="$cd-components[1]" />
      </xsl:when>
      <xsl:when test="exists($cd)">
        <xsl:value-of select="'no originalText element'" />
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="''" />
      </xsl:otherwise>
    </xsl:choose>
  </xsl:function>
  <xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" name="iq:location" as="xs:string">
    <xsl:param name="context" as="node()" />
    <xsl:param name="default-section-name" as="xs:string" />
    <xsl:variable name="sec-pos-1" as="xs:integer">
      <xsl:choose>
        <xsl:when test="not(exists($context)) or not(exists($context/ancestor::cda:section))">
          <xsl:value-of select="0" />
        </xsl:when>
        <xsl:when test="$num-pathTestRes &gt; 1 and (exists($context/ancestor::cda:section[position()=1]/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']) or     (local-name($context) = 'section' and exists($context/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144'])))">
          <xsl:value-of select="1 + count($context/preceding::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']])" />
        </xsl:when>
        <xsl:when test="$num-imExamRes &gt; 1 and (exists($context/ancestor::cda:section[position()=1]/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']) or     (local-name($context) = 'section' and exists($context/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145'])))">
          <xsl:value-of select="1 + count($context/preceding::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']])" />
        </xsl:when>
        <xsl:when test="$num-undiffDiag &gt; 1 and (exists($context/ancestor::cda:section[position()=1]/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16029']) or     (local-name($context) = 'section' and exists($context/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16029'])))">
          <xsl:value-of select="1 + count($context/preceding::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16029']])" />
        </xsl:when>
        <xsl:when test="$num-reqService &gt; 1 and (exists($context/ancestor::cda:section[position()=1]/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20158']) or     (local-name($context) = 'section' and exists($context/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20158'])))">
          <xsl:value-of select="1 + count($context/preceding::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20158']])" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="0" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="sec-pos" as="xs:string">
      <xsl:choose>
        <xsl:when test="$sec-pos-1 = 0">
          <xsl:value-of select="''" />
        </xsl:when>
        <xsl:when test="$sec-pos-1 = 1">
          <xsl:value-of select="'first '" />
        </xsl:when>
        <xsl:when test="$sec-pos-1 = 2">
          <xsl:value-of select="'second '" />
        </xsl:when>
        <xsl:when test="$sec-pos-1 = 3">
          <xsl:value-of select="'third '" />
        </xsl:when>
        <xsl:when test="matches(string($sec-pos-1), '^[0-9]+1$')">
          <xsl:value-of select="concat(string($sec-pos-1), 'st ')" />
        </xsl:when>
        <xsl:when test="matches(string($sec-pos-1), '^[0-9]+2$')">
          <xsl:value-of select="concat(string($sec-pos-1), 'nd ')" />
        </xsl:when>
        <xsl:when test="matches(string($sec-pos-1), '^[0-9]+3$')">
          <xsl:value-of select="concat(string($sec-pos-1), 'rd ')" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="concat(string($sec-pos-1), 'th ')" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="sec-name" as="xs:string">
      <xsl:choose>
        <xsl:when test="not(exists($context))">
          <xsl:value-of select="''" />
        </xsl:when>
        <xsl:when test="exists($context/ancestor::cda:section[position()=1]/cda:title)">
          <xsl:value-of select="$context/ancestor::cda:section[position()=1]/cda:title" />
        </xsl:when>
        <xsl:when test="exists($context/ancestor::cda:section[position()=1]/cda:code/@displayName)">
          <xsl:value-of select="$context/ancestor::cda:section[position()=1]/cda:code/@displayName" />
        </xsl:when>
        <xsl:when test="local-name($context) = 'section' and exists($context/cda:title)">
          <xsl:value-of select="$context/cda:title" />
        </xsl:when>
        <xsl:when test="local-name($context) = 'section' and exists($context/cda:code/@displayName)">
          <xsl:value-of select="$context/cda:code/@displayName" />
        </xsl:when>
        <xsl:when test="exists($context/ancestor::cda:section) or local-name($context) = 'section' and exists($default-section-name) and $default-section-name != ''">
          <xsl:value-of select="$default-section-name" />
        </xsl:when>
        <xsl:when test="exists($context/ancestor::cda:section) or local-name($context) = 'section'">
          <xsl:value-of select="'unknown'" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="''" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="ir-pos" as="xs:integer">
      <xsl:choose>
        <xsl:when test="not(exists($context)) or $sec-name != ''">
          <xsl:value-of select="0" />
        </xsl:when>
        <xsl:when test="exists($context/ancestor::cda:informationRecipient)">
          <xsl:value-of select="1 + count($context/preceding::cda:informationRecipient[position()=1])" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="0" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="part-pos" as="xs:integer">
      <xsl:choose>
        <xsl:when test="not(exists($context)) or $sec-name != ''">
          <xsl:value-of select="0" />
        </xsl:when>
        <xsl:when test="exists($context/ancestor::cda:participant)">
          <xsl:value-of select="1 + count($context/preceding::cda:participant[position()=1])" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="0" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="header-de" as="xs:string">
      <xsl:choose>
        <xsl:when test="not(exists($context)) or $sec-name != ''">
          <xsl:value-of select="''" />
        </xsl:when>
        <xsl:when test="exists($context/ancestor::cda:author)">
          <xsl:value-of select="'''author'''" />
        </xsl:when>
        <xsl:when test="exists($context/ancestor::cda:componentOf)">
          <xsl:value-of select="'''componentOf'''" />
        </xsl:when>
        <xsl:when test="exists($context/ancestor::cda:custodian)">
          <xsl:value-of select="'''custodian'''" />
        </xsl:when>
        <xsl:when test="exists($context/ancestor::cda:legalAuthenticator)">
          <xsl:value-of select="'''legalAuthenticator'''" />
        </xsl:when>
        <xsl:when test="exists($context/ancestor::cda:recordTarget)">
          <xsl:value-of select="'''recordTarget'''" />
        </xsl:when>
        <xsl:when test="$ir-pos &gt; 3">
          <xsl:value-of select="concat(string($ir-pos), 'th ''informationRecipient''')" />
        </xsl:when>
        <xsl:when test="$ir-pos &gt; 3">
          <xsl:value-of select="concat(string($ir-pos), 'th ''informationRecipient''')" />
        </xsl:when>
        <xsl:when test="$ir-pos = 3">
          <xsl:value-of select="'third ''informationRecipient'''" />
        </xsl:when>
        <xsl:when test="$ir-pos = 2">
          <xsl:value-of select="'second ''informationRecipient'''" />
        </xsl:when>
        <xsl:when test="$ir-pos = 1 and count($context/ancestor::cda:ClinicalDocument/cda:informationRecipient) = 1">
          <xsl:value-of select="'''informationRecipient '''" />
        </xsl:when>
        <xsl:when test="$ir-pos = 1">
          <xsl:value-of select="'first ''informationRecipient'''" />
        </xsl:when>
        <xsl:when test="exists($context/ancestor::cda:inFulfillmentOf)">
          <xsl:value-of select="'''inFulfillmentOf'''" />
        </xsl:when>
        <xsl:when test="$part-pos &gt; 3">
          <xsl:value-of select="concat(string($part-pos), 'th ''participant''')" />
        </xsl:when>
        <xsl:when test="$part-pos = 3">
          <xsl:value-of select="'third ''participant'''" />
        </xsl:when>
        <xsl:when test="$part-pos = 2">
          <xsl:value-of select="'second ''participant'''" />
        </xsl:when>
        <xsl:when test="$part-pos = 1 and count($context/ancestor::cda:ClinicalDocument/cda:participant) = 1">
          <xsl:value-of select="'''participant'''" />
        </xsl:when>
        <xsl:when test="$part-pos = 1">
          <xsl:value-of select="'first ''participant'''" />
        </xsl:when>
        <xsl:when test="exists($context/ancestor::cda:relatedDocument)">
          <xsl:value-of select="'''relatedDocument'''" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="''" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:choose>
      <xsl:when test="not(exists($context))">
        <xsl:value-of select="''" />
      </xsl:when>
      <xsl:when test="exists($context/ancestor::cda:section) or local-name($context) = 'section' ">
        <xsl:value-of select="concat($sec-pos, $sec-name, ' section')" />
      </xsl:when>
      <xsl:when test="local-name($context) = 'structuredBody'">
        <xsl:value-of select="'document body'" />
      </xsl:when>
      <xsl:when test="$header-de != ''">
        <xsl:value-of select="concat($header-de, ' component of the document header')" />
      </xsl:when>
      <xsl:when test="$header-de = ''">
        <xsl:value-of select="'document header'" />
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="'unknown location'" />
      </xsl:otherwise>
    </xsl:choose>
  </xsl:function>
  <xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" name="iq:display-text-list" as="xs:string">
    <xsl:param name="text-list" as="xs:string*" />
    <xsl:param name="sort" as="xs:integer" />
    <xsl:param name="de-duplicate" as="xs:boolean" />
    <xsl:param name="displayable" as="xs:boolean" />
    <xsl:variable name="joined-text-1" as="xs:string*">
      <xsl:choose>
        <xsl:when test="not(exists($text-list))">
          <xsl:sequence select="()" />
        </xsl:when>
        <xsl:when test="$de-duplicate">
          <xsl:sequence select="distinct-values((for $text in $text-list return normalize-space($text))[. != ''])" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:sequence select="for $text in $text-list return normalize-space($text)" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="joined-text-2" as="xs:string*">
      <xsl:choose>
        <xsl:when test="not(exists($joined-text-1)) or $sort = 0">
          <xsl:sequence select="$joined-text-1" />
        </xsl:when>
        <xsl:when test="$sort = 1">
          <xsl:sequence select="tokenize(dh:Reorder(string-join($joined-text-1, '|'), true()), '\|')" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:sequence select="tokenize(dh:Reorder(string-join($joined-text-1, '|'), false()), '\|')" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="joined-text" as="xs:string">
      <xsl:choose>
        <xsl:when test="not(exists($joined-text-2))">
          <xsl:value-of select="''" />
        </xsl:when>
        <xsl:when test="count($joined-text-2) = 1">
          <xsl:value-of select="concat(codepoints-to-string(34), $joined-text-1[1], codepoints-to-string(34))" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="concat(codepoints-to-string(34), string-join($joined-text-2[position() &lt; last()], concat(codepoints-to-string(34), ', ', codepoints-to-string(34))),       codepoints-to-string(34), ' and ', codepoints-to-string(34), $joined-text-2[last()], codepoints-to-string(34))" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:choose>
      <xsl:when test="$displayable">
        <xsl:value-of select="dh:XQueryRecursiveReplace($joined-text, $markup-pattern-replacement, 'ic')" />
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="$joined-text" />
      </xsl:otherwise>
    </xsl:choose>
  </xsl:function>
  <xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" name="iq:convert-narr-dateTime" as="xs:string*">
    <xsl:param name="narr-element" as="xs:string" />
    <xsl:variable name="dt-type" as="xs:string">
      <xsl:choose>
        <xsl:when test="matches($narr-element, $regex-date-type-1, 'is')">
          <xsl:value-of select="'1'" />
        </xsl:when>
        <xsl:when test="matches($narr-element, $regex-date-type-2, 'is')">
          <xsl:value-of select="'2'" />
        </xsl:when>
        <xsl:when test="matches($narr-element, $regex-date-type-3)">
          <xsl:value-of select="'3'" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'0'" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="dt-day" as="xs:string">
      <xsl:choose>
        <xsl:when test="$dt-type = ('1', '2') and matches($narr-element, '^\s*[0-9]{1,2}[^0-9a-z]', 'is')">
          <xsl:value-of select="replace($narr-element, '(^\s*)([0-9]{1,2})([^0-9a-z].*)', '$2', 'is')" />
        </xsl:when>
        <xsl:when test="$dt-type = '3'">
          <xsl:value-of select="substring($narr-element, 7, 2)" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="''" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="dt-month-actual-alpha" as="xs:string">
      <xsl:choose>
        <xsl:when test="$dt-type = '2' and matches($narr-element, '^\s*[0-9]{1,2}[^0-9a-z]+[a-z]+', 'is')">
          <xsl:value-of select="replace($narr-element, '(^\s*)(^[0-9]{1,2})([^0-9a-z]+)([a-z]+)(.*)', '$4', 'is')" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="''" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="dt-month-corr-alpha" as="xs:string">
      <xsl:choose>
        <xsl:when test="string-length($dt-month-actual-alpha) = 3">
          <xsl:value-of select="concat(upper-case(substring($dt-month-actual-alpha, 1, 1)), lower-case(substring($dt-month-actual-alpha, 2, 2)))" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="''" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="dt-type-1-month" as="xs:string">
      <xsl:choose>
        <xsl:when test="$dt-type = '1'">
          <xsl:value-of select="substring-before(substring-after($narr-element,'/'),'/')" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="''" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="dt-type-3-month" as="xs:string">
      <xsl:choose>
        <xsl:when test="$dt-type = '3'">
          <xsl:value-of select="substring($narr-element, 5, 2)" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="''" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="dt-month" as="xs:string">
      <xsl:choose>
        <xsl:when test="not($dt-type = ('1', '2'))">
          <xsl:value-of select="''" />
        </xsl:when>
        <xsl:when test="string-length($dt-type-1-month) = 2">
          <xsl:value-of select="$dt-type-1-month" />
        </xsl:when>
        <xsl:when test="string-length($dt-type-1-month) = 1">
          <xsl:value-of select="concat('0', $dt-type-1-month)" />
        </xsl:when>
        <xsl:when test="matches($dt-month-actual-alpha, '^jan', 'i')">
          <xsl:value-of select="'01'" />
        </xsl:when>
        <xsl:when test="matches($dt-month-actual-alpha, '^feb', 'i')">
          <xsl:value-of select="'02'" />
        </xsl:when>
        <xsl:when test="matches($dt-month-actual-alpha, '^mar', 'i')">
          <xsl:value-of select="'03'" />
        </xsl:when>
        <xsl:when test="matches($dt-month-actual-alpha, '^apr', 'i')">
          <xsl:value-of select="'04'" />
        </xsl:when>
        <xsl:when test="matches($dt-month-actual-alpha, '^may', 'i')">
          <xsl:value-of select="'05'" />
        </xsl:when>
        <xsl:when test="matches($dt-month-actual-alpha, '^jun', 'i')">
          <xsl:value-of select="'06'" />
        </xsl:when>
        <xsl:when test="matches($dt-month-actual-alpha, '^jul', 'i')">
          <xsl:value-of select="'07'" />
        </xsl:when>
        <xsl:when test="matches($dt-month-actual-alpha, '^aug', 'i')">
          <xsl:value-of select="'08'" />
        </xsl:when>
        <xsl:when test="matches($dt-month-actual-alpha, '^sep', 'i')">
          <xsl:value-of select="'09'" />
        </xsl:when>
        <xsl:when test="matches($dt-month-actual-alpha, '^oct', 'i')">
          <xsl:value-of select="'10'" />
        </xsl:when>
        <xsl:when test="matches($dt-month-actual-alpha, '^nov', 'i')">
          <xsl:value-of select="'11'" />
        </xsl:when>
        <xsl:when test="matches($dt-month-actual-alpha, '^dec', 'i')">
          <xsl:value-of select="'12'" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="''" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="dt-without-time" as="xs:string">
      <xsl:choose>
        <xsl:when test="$dt-type = ('1', '2')">
          <xsl:value-of select="replace(normalize-space($narr-element), concat($narr-time-regex, '$'), '')" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="''" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="dt-year" as="xs:string">
      <xsl:choose>
        <xsl:when test="$dt-type = ('1', '2') and matches($dt-without-time, '([0-9]{2}$|[0-9]{4})(\s*$)', 'is')">
          <xsl:value-of select="replace($dt-without-time, '(^.*?)([0-9]{2}$|[0-9]{4})(\s*$)', '$2', 'is')" />
        </xsl:when>
        <xsl:when test="$dt-type = '3'">
          <xsl:value-of select="substring($narr-element, 1, 4)" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="''" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="dt-date" as="xs:string">
      <xsl:choose>
        <xsl:when test="$dt-type = ('1', '2') and string-length($dt-day) = 1">
          <xsl:value-of select="concat($dt-year, $dt-month, '0', $dt-day)" />
        </xsl:when>
        <xsl:when test="$dt-type = ('1', '2')">
          <xsl:value-of select="concat($dt-year, $dt-month, $dt-day)" />
        </xsl:when>
        <xsl:when test="$dt-type = '3'">
          <xsl:value-of select="if ($dt-year = '') then '0001-01-01'        else if ($dt-type-3-month = '') then concat($dt-year, '-01-01')        else if ($dt-day = '') then concat($dt-year, '-', $dt-type-3-month, '-01')        else concat($dt-year, '-', $dt-type-3-month, '-', $dt-day)" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="''" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="dt-time-and-timezone" as="xs:string">
      <xsl:choose>
        <xsl:when test="$dt-type = '1'">
          <xsl:value-of select="normalize-space(replace($narr-element, $regex-date-type-1, '', 'is'))" />
        </xsl:when>
        <xsl:when test="$dt-type = '2'">
          <xsl:value-of select="normalize-space(replace($narr-element, $regex-date-type-2, '', 'is'))" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="''" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="dt-type-3-seconds" as="xs:string">
      <xsl:choose>
        <xsl:when test="not($dt-type = '3')">
          <xsl:value-of select="''" />
        </xsl:when>
        <xsl:when test="contains($narr-element, '-')">
          <xsl:value-of select="substring-before(substring($narr-element, 13), '-')" />
        </xsl:when>
        <xsl:when test="contains($narr-element, '+')">
          <xsl:value-of select="substring-before(substring($narr-element, 13), '+')" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="substring($narr-element, 13)" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="dt-time-1" as="xs:string*">
      <xsl:choose>
        <xsl:when test="$dt-type = ('1', '2') and matches($dt-time-and-timezone, $regex-time)">
          <xsl:sequence select="(        substring-before($dt-time-and-timezone, ':'),         substring(substring-after($dt-time-and-timezone, ':'), 1, 2),        substring(substring-after(substring-after($dt-time-and-timezone, ':'), ':'), 1, 2),        if (contains($dt-time-and-timezone, '+')) then concat('+', substring-after($dt-time-and-timezone, '+'))         else if (contains($dt-time-and-timezone, '-')) then concat('-', substring-after($dt-time-and-timezone, '-'))         else '')" />
        </xsl:when>
        <xsl:when test="$dt-type = '3'">
          <xsl:sequence select="(        substring($narr-element, 9, 2),         substring($narr-element, 11, 2),        if (matches($dt-type-3-seconds, '\.[1-9]+0+$')) then replace($dt-type-3-seconds, '0+$', '')          else if (matches($dt-type-3-seconds, '\.0+$')) then replace($dt-type-3-seconds, '\.0+$', '')         else $dt-type-3-seconds,        if (contains($narr-element, '-')) then concat('-', substring-after($narr-element, '-'))         else if (contains($narr-element, '+')) then concat('+', substring-after($narr-element, '+'))         else '')" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:sequence select="()" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="dt-time" as="xs:string">
      <xsl:choose>
        <xsl:when test="$dt-type = ('1', '2') and string-length($dt-time-1[1]) = 1">
          <xsl:value-of select="concat('0', $dt-time-1[1], $dt-time-1[2], $dt-time-1[3])" />
        </xsl:when>
        <xsl:when test="$dt-type = ('1', '2')">
          <xsl:value-of select="concat($dt-time-1[1], $dt-time-1[2], $dt-time-1[3])" />
        </xsl:when>
        <xsl:when test="$dt-type = '3'">
          <xsl:value-of select="if ($dt-time-1[1] = '') then '00:00:00'        else if ($dt-time-1[2] = '') then concat($dt-time-1[1], ':00:00')        else if ($dt-time-1[3] = '') then concat($dt-time-1[1], ':', $dt-time-1[2], ':00')        else concat($dt-time-1[1], ':', $dt-time-1[2], ':', $dt-time-1[3])" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="''" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="dt-type-3-time-tz" as="xs:string">
      <xsl:choose>
        <xsl:when test="not($dt-type = '3')">
          <xsl:value-of select="''" />
        </xsl:when>
        <xsl:when test="$dt-time-1[4] = ''">
          <xsl:value-of select="$dt-time" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="concat($dt-time, substring($dt-time-1[4], 1, 3), ':', substring($dt-time-1[4], 4, 2))" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:choose>
      <xsl:when test="$dt-type = '3' and $dt-date castable as xs:date and $dt-type-3-time-tz castable as xs:time">
        <xsl:sequence select="('3', '', '', '', '', '', '', '', '')" />
      </xsl:when>
      <xsl:when test="not($dt-type = ('1', '2'))">
        <xsl:sequence select="('0', '', '', '', '', '', '', '', '')" />
      </xsl:when>
      <xsl:when test="($dt-day != '' and number($dt-day) &gt; 31)       or     ($dt-month != '' and number($dt-month) &gt; 12)       or     ($dt-time-1[1] != '' and number($dt-time-1[1]) &gt; 24)      or     ($dt-time-1[2] != '' and number($dt-time-1[2]) &gt; 60)      or     ($dt-time-1[3] != '' and number($dt-time-1[3]) &gt; 60)      or     ($dt-time-and-timezone != '' and not(matches($dt-time-and-timezone, $regex-time)))  or     ($dt-time-1[4] != '' and not(matches($dt-time-1[4], $regex-timezone)))    or     ($dt-time-1[4] != '' and normalize-space(replace($dt-time-1[4], $regex-timezone, '')) != '') ">
        <xsl:sequence select="('0', '', '', '', '', '', '', '', '')" />
      </xsl:when>
      <xsl:otherwise>
        <xsl:sequence select="(        $dt-type,        $dt-day,        $dt-month-actual-alpha,        $dt-month-corr-alpha,        $dt-year,        $dt-date,       $dt-time,        $dt-time-1[4],       if (matches($dt-time-1[4], '^(\+|\-)')) then concat('^', $dt-date, $dt-time, '[0-9]*\', $dt-time-1[4])        else concat('^', $dt-date, $dt-time, '[0-9]*'))" />
      </xsl:otherwise>
    </xsl:choose>
  </xsl:function>
  <xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" name="iq:SearchForCodesInHierarchyFuzzyUsingTS" as="xs:string*">
    <xsl:param name="codeSystem" as="xs:string" />
    <xsl:param name="codeSystemVersion" as="xs:string" />
    <xsl:param name="action" as="xs:string" />
    <xsl:param name="formula" as="xs:string" />
    <xsl:param name="filter" as="xs:string" />
    <xsl:param name="automap" as="xs:string" />
    <xsl:variable name="maps" as="xs:string*">
      <xsl:choose>
        <xsl:when test="exists($codeSystem) and exists($codeSystemVersion) and exists($action) and exists($formula) and exists($filter) and exists($automap)">
          <xsl:sequence select="tokenize(dh:SearchForCodesInHierarchyFuzzyUsingTS($codeSystem, $codeSystemVersion, $action, $formula, $filter, $automap), '\|')" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:sequence select="()" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:choose>
      <xsl:when test="'Error' = $maps or not(exists($maps))">
        <xsl:sequence select="$maps" />
      </xsl:when>
      <xsl:otherwise>
        <xsl:sequence select="tokenize(dh:SearchForCodesInHierarchyUsingTS($codeSystem, $codeSystemVersion, $action,      concat('(', string-join(for $code in $maps return replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is'), ' OR '), ') AND (',       $formula, ')'), '', string(count($maps)), false()), '\|')" />
      </xsl:otherwise>
    </xsl:choose>
  </xsl:function>
  <xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" name="iq:invalidityExplanationUsingTS" as="xs:string">
    <xsl:param name="codeSystem" as="xs:string" />
    <xsl:param name="codeSystemVersion" as="xs:string" />
    <xsl:param name="invalid-codes-h" as="xs:string*" />
    <xsl:param name="invalid-hierarchy" as="node()*" />
    <xsl:param name="invalid-codes-r" as="xs:string*" />
    <xsl:param name="invalid-refset" as="node()*" />
    <xsl:variable name="formula-h" as="xs:string">
      <xsl:choose>
        <xsl:when test="exists($invalid-codes-h) and exists($invalid-hierarchy)">
          <xsl:value-of select="concat('&gt;&gt;(', string-join($invalid-codes-h, ' OR '), ') AND (', string-join($invalid-hierarchy/@code, ' OR '), ')')" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="''" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="explanation-h" as="xs:string">
      <xsl:choose>
        <xsl:when test="$formula-h = ''">
          <xsl:value-of select="''" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="dh:SearchForCodesInHierarchyUsingTS($codeSystem, $codeSystemVersion, 'ecl', $formula-h, '', string(count($invalid-codes-h)), true())" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="explanation" as="xs:string*">
      <xsl:choose>
        <xsl:when test="$explanation-h = 'Error'">
          <xsl:sequence select="()" />
        </xsl:when>
        <xsl:when test="$explanation-h != ''">
          <xsl:sequence select="for $code in tokenize(replace($explanation-h, '(\[.*?\])(\||$)', '$2'), '\|') return $invalid-hierarchy[@code = $code]/@description" />
        </xsl:when>
        <xsl:when test="exists($invalid-codes-r)">
          <xsl:sequence select="for $code in $invalid-codes-r return      $invalid-refset[index-of(for $x in (for $refset in $invalid-refset return        dh:SearchForCodesInHierarchyUsingTS($codeSystem, $codeSystemVersion, 'ecl', concat($code, ' AND ^', $refset/@code), '', '1', true()), '|')      return matches($x, '^[0-9]'), true())[1]]/@description" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:sequence select="()" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:choose>
      <xsl:when test="'Error' = $explanation or not(exists($explanation))">
        <xsl:value-of select="''" />
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="string-join(tokenize(dh:OrderByLength(string-join(distinct-values($explanation), '|'), true()), '\|')[position() = (1 to 2)], ' and ')" />
      </xsl:otherwise>
    </xsl:choose>
  </xsl:function>
  <xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" name="iq:display-CD" as="xs:string">
    <xsl:param name="cd" as="node()" />
    <xsl:variable name="cd-otext-nullFlavor" as="xs:string">
      <xsl:choose>
        <xsl:when test="not(exists($cd))">
          <xsl:value-of select="''" />
        </xsl:when>
        <xsl:when test="exists($cd/cda:originalText/@nullFlavor)">
          <xsl:value-of select="concat('originalText/nullFlavor ', codepoints-to-string(34), $cd/cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = $cd/cda:originalText/@nullFlavor]/@name, ')')" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="''" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="cd-otext-1" as="xs:string">
      <xsl:choose>
        <xsl:when test="not(exists($cd))">
          <xsl:value-of select="''" />
        </xsl:when>
        <xsl:when test="exists($cd/cda:originalText)">
          <xsl:value-of select="normalize-space($cd/cda:originalText)" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="''" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="cd-otext" as="xs:string">
      <xsl:choose>
        <xsl:when test="string-length($cd-otext-1) &gt; 200">
          <xsl:value-of select="concat('originalText ', 'commencing with ', codepoints-to-string(34),       normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($cd-otext-1, $p-name-pattern-replacement, 'ic'), 1, 200),       $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
        </xsl:when>
        <xsl:when test="exists($cd/cda:originalText) and string-length($cd-otext-1) &gt; 0">
          <xsl:value-of select="concat('originalText ', codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($cd-otext-1, $text-pattern-replacement, 'ic')), codepoints-to-string(34))" />
        </xsl:when>
        <xsl:when test="exists($cd/cda:originalText) and string-length($cd-otext-1) = 0">
          <xsl:value-of select="concat('originalText ', codepoints-to-string(34), '', codepoints-to-string(34))" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="''" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="cd-version" as="xs:string">
      <xsl:choose>
        <xsl:when test="not(exists($cd))">
          <xsl:value-of select="''" />
        </xsl:when>
        <xsl:when test="exists($cd/@codeSystemVersion)">
          <xsl:value-of select="concat(' with codeSystemVersion ', codepoints-to-string(34), $cd/@codeSystemVersion, codepoints-to-string(34))" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="''" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="cd-components-1" as="xs:string*">
      <xsl:choose>
        <xsl:when test="$cd-otext = '' and $cd-otext-nullFlavor = ''">
          <xsl:value-of select="''" />
        </xsl:when>
        <xsl:when test="not($cd-otext = '') and $cd-otext-nullFlavor = ''">
          <xsl:value-of select="$cd-otext" />
        </xsl:when>
        <xsl:when test="not($cd-otext = '') and not($cd-otext-nullFlavor = '')">
          <xsl:value-of select="concat($cd-otext, ' and ', $cd-otext-nullFlavor)" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="''" />
        </xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
        <xsl:when test="not(exists($cd))">
          <xsl:value-of select="''" />
        </xsl:when>
        <xsl:when test="exists($cd/@code)">
          <xsl:value-of select="concat('code ', codepoints-to-string(34), $cd/@code, codepoints-to-string(34))" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="''" />
        </xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
        <xsl:when test="not(exists($cd))">
          <xsl:value-of select="''" />
        </xsl:when>
        <xsl:when test="exists($cd/@displayName)">
          <xsl:value-of select="concat('displayName ', codepoints-to-string(34),       dh:XQueryRecursiveReplace($cd/@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="''" />
        </xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
        <xsl:when test="not(exists($cd))">
          <xsl:value-of select="''" />
        </xsl:when>
        <xsl:when test="exists($cd/@codeSystem) and exists($cd/@codeSystemName)">
          <xsl:value-of select="concat('codeSystem ', codepoints-to-string(34), $cd/@codeSystem, codepoints-to-string(34), ' (', $cd/@codeSystemName, ')', $cd-version)" />
        </xsl:when>
        <xsl:when test="exists($cd/@codeSystem) and not(exists($cd/@codeSystemName))">
          <xsl:value-of select="concat('codeSystem ', codepoints-to-string(34), $cd/@codeSystem, codepoints-to-string(34), $cd-version)" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="''" />
        </xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
        <xsl:when test="not(exists($cd))">
          <xsl:value-of select="''" />
        </xsl:when>
        <xsl:when test="exists($cd/@nullFlavor)">
          <xsl:value-of select="concat('nullFlavor ', codepoints-to-string(34), $cd/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = $cd/@nullFlavor]/@name, ')')" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="''" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="cd-components" as="xs:string*">
      <xsl:sequence select="$cd-components-1[. != '']" />
    </xsl:variable>
    <xsl:choose>
      <xsl:when test="count($cd-components) &gt; 1">
        <xsl:value-of select="concat(string-join($cd-components[position() &lt; last()], ', '), ' and ', $cd-components[last()])" />
      </xsl:when>
      <xsl:when test="count($cd-components) = 1">
        <xsl:value-of select="$cd-components[1]" />
      </xsl:when>
      <xsl:when test="exists($cd)">
        <xsl:value-of select="'no attributes or originalText element'" />
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="''" />
      </xsl:otherwise>
    </xsl:choose>
  </xsl:function>
  <xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" name="iq:display-II" as="xs:string">
    <xsl:param name="id" as="node()" />
    <xsl:variable name="id-components-1" as="xs:string*">
      <xsl:choose>
        <xsl:when test="not(exists($id))">
          <xsl:value-of select="''" />
        </xsl:when>
        <xsl:when test="exists($id/@root)">
          <xsl:value-of select="concat('root ', codepoints-to-string(34), $id/@root, codepoints-to-string(34))" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="''" />
        </xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
        <xsl:when test="exists($id/@extension)">
          <xsl:value-of select="concat('extension ', codepoints-to-string(34), $id/@extension, codepoints-to-string(34))" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="''" />
        </xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
        <xsl:when test="exists($id/@assigningAuthorityName)">
          <xsl:value-of select="concat('assigningAuthorityName ', codepoints-to-string(34), $id/@assigningAuthorityName, codepoints-to-string(34))" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="''" />
        </xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
        <xsl:when test="exists($id/@nullFlavor)">
          <xsl:value-of select="concat('nullFlavor ', codepoints-to-string(34), $id/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = $id/@nullFlavor]/@name, ')')" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="''" />
        </xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
        <xsl:when test="exists($id/@displayable)">
          <xsl:value-of select="concat('displayable ', codepoints-to-string(34), $id/@displayable, codepoints-to-string(34))" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="''" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="id-components" as="xs:string*">
      <xsl:sequence select="$id-components-1[. != '']" />
    </xsl:variable>
    <xsl:choose>
      <xsl:when test="count($id-components) &gt; 1">
        <xsl:value-of select="dh:XQueryRecursiveReplace(concat(string-join($id-components[position() &lt; last()], ', '), ' and ', $id-components[last()]), $markup-pattern-replacement, 'ic')" />
      </xsl:when>
      <xsl:when test="count($id-components) = 1">
        <xsl:value-of select="dh:XQueryRecursiveReplace($id-components[1], $markup-pattern-replacement, 'ic')" />
      </xsl:when>
      <xsl:when test="exists($id)">
        <xsl:value-of select="'no attributes'" />
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="''" />
      </xsl:otherwise>
    </xsl:choose>
  </xsl:function>
  <xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" name="iq:display-ST" as="xs:string">
    <xsl:param name="st" as="node()" />
    <xsl:variable name="the-text" as="xs:string">
      <xsl:choose>
        <xsl:when test="exists($st)">
          <xsl:value-of select="string-join($st/text(), '')" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="''" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="text-is-present" as="xs:boolean">
      <xsl:choose>
        <xsl:when test="exists($st)">
          <xsl:value-of select="not($the-text = '')" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="false()" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="st-text-1" as="xs:string">
      <xsl:choose>
        <xsl:when test="$text-is-present">
          <xsl:value-of select="normalize-space($the-text)" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="''" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="st-text" as="xs:string">
      <xsl:choose>
        <xsl:when test="string-length($st-text-1) &gt; 200">
          <xsl:value-of select="concat('text commencing with ', codepoints-to-string(34),       normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($st-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),       $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
        </xsl:when>
        <xsl:when test="$text-is-present">
          <xsl:value-of select="concat('the text ', codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($st-text-1, $text-pattern-replacement, 'ic')), codepoints-to-string(34))" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="''" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="whitespace-string" as="xs:boolean">
      <xsl:choose>
        <xsl:when test="exists($st)">
          <xsl:value-of select="$text-is-present and normalize-space($the-text) = ''" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="false()" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="st-nullFlavor" as="xs:string">
      <xsl:choose>
        <xsl:when test="exists($st/@nullFlavor)">
          <xsl:value-of select="concat('nullFlavor ', codepoints-to-string(34), $st/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = $st/@nullFlavor]/@name, ')')" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="''" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:choose>
      <xsl:when test="not(exists($st))">
        <xsl:value-of select="''" />
      </xsl:when>
      <xsl:when test="$whitespace-string and $st-nullFlavor != ''">
        <xsl:value-of select="concat('text with whitespace only and ', $st-nullFlavor)" />
      </xsl:when>
      <xsl:when test="$whitespace-string and $st-nullFlavor = ''">
        <xsl:value-of select="'text with whitespace only'" />
      </xsl:when>
      <xsl:when test="$text-is-present and  $st-nullFlavor != ''">
        <xsl:value-of select="concat($st-text, ' and ', $st-nullFlavor)" />
      </xsl:when>
      <xsl:when test="$text-is-present and $st-nullFlavor = ''">
        <xsl:value-of select="$st-text" />
      </xsl:when>
      <xsl:when test="not($text-is-present) and $st-nullFlavor != ''">
        <xsl:value-of select="$st-nullFlavor" />
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="'no nullFlavor attribute and an empty character string'" />
      </xsl:otherwise>
    </xsl:choose>
  </xsl:function>
  <xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" name="iq:display-TS" as="xs:string">
    <xsl:param name="ts" as="node()" />
    <xsl:variable name="ts-components-1" as="xs:string*">
      <xsl:choose>
        <xsl:when test="exists($ts/@value)">
          <xsl:value-of select="concat('a ''value'' attribute with the value ', codepoints-to-string(34), $ts/@value, codepoints-to-string(34))" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="''" />
        </xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
        <xsl:when test="exists($ts/@nullFlavor)">
          <xsl:value-of select="concat('a nullFlavor attribute with the value ', codepoints-to-string(34), $ts/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = $ts/@nullFlavor]/@name, ')')" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="''" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="ts-components" as="xs:string*">
      <xsl:sequence select="$ts-components-1[. != '']" />
    </xsl:variable>
    <xsl:choose>
      <xsl:when test="count($ts-components) &gt; 1">
        <xsl:value-of select="concat(string-join($ts-components[position() &lt; last()], ', '), ' and ', $ts-components[last()])" />
      </xsl:when>
      <xsl:when test="count($ts-components) = 1">
        <xsl:value-of select="$ts-components[1]" />
      </xsl:when>
      <xsl:when test="exists($ts)">
        <xsl:value-of select="'no attributes'" />
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="''" />
      </xsl:otherwise>
    </xsl:choose>
  </xsl:function>
  <!--PATTERN p-About-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[not($flags/@about-IQ-Rules = 'false')] " priority="1000" mode="M21">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[not($flags/@about-IQ-Rules = 'false')] " />
    <xsl:variable name="about-IQ-Rules" select="if ($flags/@about-IQ-Rules) then $flags/@about-IQ-Rules else 'true (default value)' " />
    <xsl:variable name="test-data" select="if ($flags/@test-data) then $flags/@test-data else 'false (default value)' " />
    <xsl:variable name="allow-debug" select="if ($flags/@allow-debug) then $flags/@allow-debug else 'false (default value)' " />
    <xsl:variable name="allow-hints" select="if ($flags/@allow-hints) then $flags/@allow-hints else 'true (default value)' " />
    <xsl:variable name="allow-ratings" select="if ($test-data = 'true') then 'false (test-data is ''true'')'          else if ($flags/@allow-ratings) then $flags/@allow-ratings else 'false (default value)' " />
    <xsl:variable name="assess-values" select="if ($test-data = 'true') then 'false (test-data is ''true'')'          else if ($flags/@assess-values) then $flags/@assess-values else 'true (default value)' " />
    <xsl:variable name="coding" select="if ($flags/@coding) then $flags/@coding else 'false (default value)' " />
    <xsl:variable name="collection-same-record" select="if ($flags/@collection-same-record) then $flags/@collection-same-record else 'false (default value)' " />
    <xsl:variable name="collection-same-system" select="if ($flags/@collection-same-system) then $flags/@collection-same-system else 'true (default value)' " />
    <xsl:variable name="narrative-auto-generated" select="if ($flags/@narrative-auto-generated) then $flags/@narrative-auto-generated else 'false (default value)' " />
    <xsl:variable name="narrative-derived" select="if ($flags/@narrative-derived) then $flags/@narrative-derived else 'false (default value)' " />
    <xsl:variable name="report-data" select="if ($flags/@report-data) then $flags/@report-data else 'false (default value)' " />
    <xsl:variable name="report-data-quality" select="if ($flags/@report-data-quality) then $flags/@report-data-quality else 'false (default value)' " />
    <xsl:variable name="report-statistics" select="if ($flags/@report-statistics) then $flags/@report-statistics else 'false (default value)' " />
    <xsl:variable name="report-terminology-concepts" select="if ($flags/@report-terminology-concepts) then $flags/@report-terminology-concepts else 'false (default value)' " />
    <xsl:variable name="iq-config-msg" select="if (exists($iq-config)) then '' else           ' The IQ Rules configuration file was not found so default values have been used for the configuration.' " />
    <xsl:variable name="validator-msg" select="if(exists($v-amtv2) or exists($v-amtv3) or exists($v-pbs) or exists($v-pbsman) or exists($v-snomedctau))        then ' The Clinical Package Validator''s database contains the following code systems and versions:' else '' " />
    <xsl:variable name="v-amtv2-msg" select="if (exists($v-amtv2)) then concat(' AMT v2 (', string-join($v-amtv2, ', '), ')') else '' " />
    <xsl:variable name="separator-1" select="if (exists($v-amtv2) and (exists($v-amtv3) or exists($v-pbs) or exists($v-pbsman) or exists($v-snomedctau))) then ';' else '' " />
    <xsl:variable name="v-amtv3-msg" select="if (exists($v-amtv3)) then concat(' AMT v3 (', string-join($v-amtv3, ', '), ')') else '' " />
    <xsl:variable name="separator-2" select="if (exists($v-amtv3) and (exists($v-pbs) or exists($v-pbsman) or exists($v-snomedctau))) then ';' else '' " />
    <xsl:variable name="v-pbs-msg" select="if (exists($v-pbs)) then concat(' PBS (', string-join($v-pbs, ', '), ')') else '' " />
    <xsl:variable name="separator-3" select="if (exists($v-pbs) and (exists($v-pbsman) or exists($v-snomedctau))) then ';' else '' " />
    <xsl:variable name="v-pbsman-msg" select="if (exists($v-pbsman)) then concat(' PBS Manufacturer (', string-join($v-pbsman, ', '), ')') else '' " />
    <xsl:variable name="separator-4" select="if (exists($v-pbsman) and exists($v-snomedctau)) then ';' else '' " />
    <xsl:variable name="v-snomedctau-msg" select="if (exists($v-snomedctau)) then concat(' SNOMED CT-AU (', string-join($v-snomedctau, ', '), ')') else '' " />
    <xsl:variable name="separator-5" select="if (exists($v-amtv2) or exists($v-amtv3) or exists($v-pbs) or exists($v-pbsman) or exists($v-snomedctau)) then '.' else '' " />
    <xsl:variable name="display-l-sct-date" select="if (exists($ts-sctau-dates)) then iq:display-date($ts-sctau-dates[last()]) else '' " />
    <xsl:variable name="display-h-sct-date" select="if (exists($ts-sctau-dates)) then iq:display-date($ts-sctau-dates[1]) else '' " />
    <xsl:variable name="display-l-pbs-date" select="if (exists($ts-pbs-dates)) then iq:display-date($ts-pbs-dates[last()]) else '' " />
    <xsl:variable name="display-h-pbs-date" select="if (exists($ts-pbs-dates)) then iq:display-date($ts-pbs-dates[1]) else '' " />
    <xsl:variable name="display-l-pbsman-date" select="if (exists($ts-pbsman-dates)) then iq:display-date($ts-pbsman-dates[last()]) else '' " />
    <xsl:variable name="display-h-pbsman-date" select="if (exists($ts-pbsman-dates)) then iq:display-date($ts-pbsman-dates[1]) else '' " />
    <xsl:variable name="report-ts-1" select="(if (not($use-ts-for-sctau)) then ''        else if (count($ts-sctau-dates) = 1) then concat('SNOMED CT-AU codes published on ', $display-l-sct-date)        else concat('SNOMED CT-AU codes published from ', $display-l-sct-date, ' to ', $display-h-sct-date),        if ($use-ts-for-loinc) then 'LOINC codes' else '',        if ($use-ts-for-anzsco) then 'ANZSCO codes' else '',        if ($use-ts-for-vaccines) then 'Australian Vaccines codes' else '',        if ($use-ts-for-ncts-data-comp) then 'NCTS Data Components codes' else '',        if (count($ts-pbs-dates) = 1) then concat('Pharmaceutical Benefits Scheme (PBS) codes published on ', $display-l-pbs-date)          else if (count($ts-pbs-dates) &gt; 1) then concat('Pharmaceutical Benefits Scheme (PBS) codes published from ', $display-l-pbs-date, ' to ', $display-h-pbs-date) else '',        if (count($ts-pbsman-dates) = 1) then concat('Pharmaceutical Benefits Scheme (PBS) codes published on ', $display-l-pbsman-date)          else if (count($ts-pbsman-dates) &gt; 1) then concat('Pharmaceutical Benefits Scheme (PBS) codes published from ', $display-l-pbsman-date, ' to ', $display-h-pbsman-date) else ''        )[. != ''] " />
    <xsl:variable name="report-ts" select="if (not(exists($report-ts-1))) then ' The IQ Rules did not have access to a Terminology Server.'        else if (count($report-ts-1) = 1) then concat(' The IQ Rules had access to a Terminology Server containing ', $report-ts-1[1], '.')        else concat(' The IQ Rules had access to a Terminology Server containing ',           string-join($report-ts-1[position() &lt; last()], ', '), ' and ', $report-ts-1[last()], '.') " />
    <xsl:variable name="report-no-ts-1" select="(if ($use-ts-for-sctau) then '' else 'SNOMED CT-AU',        if ($use-ts-for-loinc) then '' else 'LOINC',        if ($use-ts-for-anzsco) then '' else 'ANZSCO',        if ($use-ts-for-vaccines) then '' else 'Australian Vaccines',        if ($use-ts-for-ncts-data-comp) then '' else 'NCTS Data Components',        if ($use-ts-for-pbs) then '' else 'Pharmaceutical Benefits Scheme (PBS) Item',        if ($use-ts-for-pbsman) then '' else 'Pharmaceutical Benefits Scheme (PBS) Manufacturer'        )[. != ''] " />
    <xsl:variable name="report-no-ts" select="if (not(exists($report-no-ts-1))) then ''        else if (count($report-no-ts-1) = 1) then concat(' The IQ Rules could not use a Terminology Server for ', $report-no-ts-1[1], ' codes.')        else concat(' The IQ Rules could not use a Terminology Server for ',           string-join($report-no-ts-1[position() &lt; last()], ', '), ' or ', $report-no-ts-1[last()], ' codes.') " />
    <xsl:variable name="ts-error-1" select="(if ($ts-snomedctau-temp = 'Error') then 'SNOMED CT-AU' else '',         if ($ts-loinc-temp = 'Error') then 'LOINC' else '',         if ($ts-anzsco-temp = 'Error') then 'ANZSCO' else '',         if ($ts-vaccines-temp = 'Error') then 'Australian Vaccines' else '',         if ($ts-ncts-data-comp-temp = 'Error') then 'NCTS Data Components' else '',         if ($ts-pbs-temp = 'Error') then 'Pharmaceutical Benefits Scheme (PBS) Item' else '',         if ($ts-pbsman-temp = 'Error') then 'Pharmaceutical Benefits Scheme (PBS) Manufacturer' else ''        )[. != ''] " />
    <xsl:variable name="ts-error" select="if (not(exists($ts-error-1))) then ''        else if (count($ts-error-1) = 1)         then concat(' An error was reported when accessing the terminology server using function GetCodeSystemVersionsUsingTS to obtain code system versions for ', $ts-error-1[1], ' codes.')        else concat(' An error was reported when accessing the terminology server using function GetCodeSystemVersionsUsingTS to obtain code system versions for ',           string-join($ts-error-1[position() &lt; last()], ', '), ' and ', $ts-error-1[last()], ' codes.') " />
    <!--REPORT -->
    <xsl:if test=" . ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test=".">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		This report was generated by IQ Rules version 1.6 with the following configuration:

		about-IQ-Rules = '<xsl:text /><xsl:value-of select="$about-IQ-Rules" /><xsl:text />'
		test-data = '<xsl:text /><xsl:value-of select="$test-data" /><xsl:text />'
		allow-debug = '<xsl:text /><xsl:value-of select="$allow-debug" /><xsl:text />'
		allow-hints = '<xsl:text /><xsl:value-of select="$allow-hints" /><xsl:text />'
		allow-ratings = '<xsl:text /><xsl:value-of select="$allow-ratings" /><xsl:text />'
		assess-values = '<xsl:text /><xsl:value-of select="$assess-values" /><xsl:text />'
		coding = '<xsl:text /><xsl:value-of select="$coding" /><xsl:text />'
		collection-same-record = '<xsl:text /><xsl:value-of select="$collection-same-record" /><xsl:text />'
		collection-same-system = '<xsl:text /><xsl:value-of select="$collection-same-system" /><xsl:text />'
		narrative-auto-generated = '<xsl:text /><xsl:value-of select="$narrative-auto-generated" /><xsl:text />'
		narrative-derived = '<xsl:text /><xsl:value-of select="$narrative-derived" /><xsl:text />'
		report-data = '<xsl:text /><xsl:value-of select="$report-data" /><xsl:text />'
		report-data-quality = '<xsl:text /><xsl:value-of select="$report-data-quality" /><xsl:text />'
		report-statistics = '<xsl:text /><xsl:value-of select="$report-statistics" /><xsl:text />'
		report-terminology-concepts = '<xsl:text /><xsl:value-of select="$report-terminology-concepts" /><xsl:text />'
		<xsl:text /><xsl:value-of select="$iq-config-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$validator-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-amtv2-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$separator-1" /><xsl:text /><xsl:text /><xsl:value-of select="$v-amtv3-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$separator-2" /><xsl:text /><xsl:text /><xsl:value-of select="$v-pbs-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$separator-3" /><xsl:text /><xsl:text /><xsl:value-of select="$v-pbsman-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$separator-4" /><xsl:text /><xsl:text /><xsl:value-of select="$v-snomedctau-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$separator-5" /><xsl:text /><xsl:text /><xsl:value-of select="$report-ts" /><xsl:text /><xsl:text /><xsl:value-of select="$report-no-ts" /><xsl:text /><xsl:text /><xsl:value-of select="if ($ts-error = '') then '' else concat($ts-error,     ' The analysis should be retried as the terminology server may have been temporarily unavailable.',    ' If the problem persists then report the issue to the Australian Digital Health Agency for investigation.')" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M21" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M21" />
  <xsl:template match="@*|node()" priority="-2" mode="M21">
    <xsl:apply-templates select="@*|*" mode="M21" />
  </xsl:template>
  <!--PATTERN p-About-test-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument " priority="1000" mode="M22">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument " />
    <!--REPORT -->
    <xsl:if test=" $log-concepts-created = 'ERROR' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$log-concepts-created = 'ERROR'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: The CreateLog function returned 'ERROR' when requested to create the concepts log '<xsl:text /><xsl:value-of select="$log-concepts-name" /><xsl:text />'.

           </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M22" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M22" />
  <xsl:template match="@*|node()" priority="-2" mode="M22">
    <xsl:apply-templates select="@*|*" mode="M22" />
  </xsl:template>
  <!--PATTERN p-TS-Coding-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flags/@coding = 'true'] " priority="1000" mode="M23">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flags/@coding = 'true'] " />
    <xsl:variable name="concepts-for-coding" select="document('file:///C:/ClinicalDocuments/Concepts-for-coding.xml')/concepts" />
    <xsl:variable name="term-num" select="count($concepts-for-coding/concept)" />
    <xsl:variable name="coding" select="$iq-config/coding" />
    <xsl:variable name="coding-start" select="if ($coding/@start) then $coding/@start else '1' " />
    <xsl:variable name="coding-end" select="if ($coding/@end and $coding/@end &lt; $term-num) then $coding/@end else $term-num" />
    <xsl:variable name="number-to-code" select="xs:integer($coding-end - $coding-start + '1') " />
    <xsl:variable name="is-problem-diagnosis" select="$iq-config/coding/@data-element = 'med-hist-diag' " />
    <xsl:variable name="is-procedure" select="$iq-config/coding/@data-element = 'med-hist-proc'" />
    <xsl:variable name="is-uncategorised" select="$iq-config/coding/@data-element = 'med-hist-uncategorised'" />
    <xsl:variable name="p-classification" select="if ($is-problem-diagnosis and exists($coding/primary-diag-classification)) then $coding/primary-diag-classification        else if ($is-procedure and exists($coding/primary-proc-classification)) then $coding/primary-proc-classification         else if ($is-uncategorised and (exists($coding/primary-diag-classification) or exists($coding/primary-proc-classification)))         then ($coding/primary-diag-classification, $coding/primary-proc-classification)        else () " />
    <xsl:variable name="p-number" select="count($p-classification) " />
    <xsl:variable name="p-formula" select="string-join(for $class in $p-classification return $class/@code, ' OR ')" />
    <xsl:variable name="s-classification" select="if ($is-problem-diagnosis and exists($coding/secondary-diag-classification)) then $coding/secondary-diag-classification         else if ($is-procedure and exists($coding/secondary-proc-classification)) then $coding/secondary-proc-classification         else if ($is-uncategorised and (exists($coding/secondary-diag-classification) or exists($coding/secondary-proc-classification)))         then ($coding/secondary-diag-classification, $coding/secondary-proc-classification)        else () " />
    <xsl:variable name="s-number" select="count($s-classification) " />
    <xsl:variable name="s-formula" select="string-join(for $class in $s-classification return $class/@code, ' OR ')" />
    <xsl:variable name="t-classification" select="if ($is-problem-diagnosis and exists($coding/tertiary-diag-classification)) then $coding/tertiary-diag-classification         else if ($is-procedure and exists($coding/tertiary-proc-classification)) then $coding/tertiary-proc-classification         else if ($is-uncategorised and (exists($coding/tertiary-diag-classification) or exists($coding/tertiary-proc-classification)))         then ($coding/tertiary-diag-classification, $coding/tertiary-proc-classification)        else () " />
    <xsl:variable name="t-number" select="count($t-classification) " />
    <xsl:variable name="t-formula" select="string-join(for $class in $t-classification return $class/@code, ' OR ')" />
    <xsl:variable name="max-code-number" select="if ($knowledge/search-for-term/max-sct-code-number/@value &gt; '5') then $knowledge/search-for-term/max-sct-code-number/@value else '5' " />
    <xsl:variable name="codesystemvalues" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']" />
    <xsl:variable name="defn-common-inv-regex" select="if (not($cd-definitions/diag-proc/@invalid-regex)) then () else tokenize($cd-definitions/diag-proc/@invalid-regex, '\|\|') " />
    <xsl:variable name="defn-diag-inv-regex" select="if (not($is-problem-diagnosis) or not($cd-definitions/diag/@invalid-regex)) then ()        else tokenize($cd-definitions/diag/@invalid-regex, '\|\|') " />
    <xsl:variable name="defn-proc-inv-regex" select="if (not($is-procedure) or not($cd-definitions/proc/@invalid-regex)) then ()        else tokenize($cd-definitions/proc/@invalid-regex, '\|\|') " />
    <xsl:variable name="defn-invalid-regex" select="($defn-common-inv-regex, $defn-diag-inv-regex, $defn-proc-inv-regex)[. != ''] " />
    <xsl:variable name="defn-invalid-txt-regex" select="(for $i in (1 to count($defn-invalid-regex)) return normalize-space(substring-before($defn-invalid-regex[$i], '[[')))[. != '']" />
    <xsl:variable name="vaccine-codes" select="$code-systems/system[@codeSystem = '1.2.36.1.2001.1005.17']/code " />
    <xsl:variable name="vaccine-text" select="($vaccine-codes/@displayName, tokenize(string-join(($vaccine-codes/@synonyms, $vaccine-codes/@related-terms), '|'), '\|'))[. != '']" />
    <xsl:variable name="vaccine-text-normalised" select="for $vaccine in $vaccine-text return translate(normalize-space(lower-case($vaccine)), $chars-to-remove, '')" />
    <xsl:variable name="diag-formula" select="'&lt;&lt;404684003 OR &lt;&lt;272379006 OR &lt;&lt;243796009' " />
    <xsl:variable name="proc-formula" select="'&lt;&lt;71388002' " />
    <xsl:variable name="formula" select="if ($is-problem-diagnosis) then concat($diag-formula, ' OR ', $inactive-refSets)        else if ($is-procedure) then concat($proc-formula, ' OR ', $inactive-refSets)        else if ($is-uncategorised) then concat($diag-formula, ' OR ', $proc-formula, ' OR ', $inactive-refSets)        else '' " />
    <xsl:variable name="der-text-1" select="for $i in (xs:integer($coding-start) to xs:integer($coding-end)) return         normalize-space(replace($concepts-for-coding/concept[$i]/@value, $confirmed-markup-regex, ' ')) " />
    <xsl:variable name="display-text-to-code" select="for $i in (1 to $number-to-code) return        normalize-space(replace(dh:XQueryRecursiveReplace($der-text-1[$i], $text-pattern-replacement, 'ic'),          '([^a-zA-Z])(Doctor|Dr\.?)(\s+[\.a-zA-Z]+\s+[\.a-zA-Z]+\s+[''\-a-zA-Z]+|\s+[\.a-zA-Z]+\s+[''\-a-zA-Z]+|\s+[''\-a-zA-Z]+)([^a-zA-Z]|$)', '$1$2 XXX $4'))" />
    <xsl:variable name="der-negated-text" select="for $i in (1 to $number-to-code) return matches($der-text-1[$i], '\?\s*no(^[a-z]|$)', 'i') " />
    <xsl:variable name="typo-replacements" select="if ($der-text-1 = '') then ''         else if ($is-problem-diagnosis and not($diag-typo = '')) then $diag-typo        else if ($is-procedure and not($proc-typo = '')) then $proc-typo        else if ($is-uncategorised and not($diag-typo = '') and not($proc-typo = '')) then concat($diag-typo, '~', $proc-typo)        else if ($is-uncategorised and $diag-typo = '' and not($proc-typo = '')) then $proc-typo        else if ($is-uncategorised and not($diag-typo = '') and $proc-typo = '') then $diag-typo        else '' " />
    <xsl:variable name="diag-proc-fir-pattern-replacement" select="if ($typo-replacements = '') then concat($diag-proc-fir-1, '~', $month-replacements, '~secondary to.+$~ ')           else concat($diag-proc-fir-1, '~', $typo-replacements, '~', $month-replacements, '~secondary to.+$~ ') " />
    <xsl:variable name="der-text-2" select="for $i in (1 to $number-to-code) return if ($der-negated-text[$i]) then '' else         normalize-space(replace(dh:XQueryRecursiveReplace($der-text-1[$i],          concat($diag-proc-fir-pattern-replacement, '~(^|[^0-9])[1-2]{1}[0-9]{3}([^0-9]|$)~$1 $2'), 'ic'),          '([^a-zA-Z])(Doctor|Dr\.?)(\s+[\.a-zA-Z]+\s+[\.a-zA-Z]+\s+[''\-a-zA-Z]+|\s+[\.a-zA-Z]+\s+[''\-a-zA-Z]+|\s+[''\-a-zA-Z]+)([^a-zA-Z]|$)', '$1 $4'))" />
    <xsl:variable name="der-text-2-laterality" select="for $i in (1 to $number-to-code) return if (matches($der-text-2[$i], $laterality-regex, 'is'))         then replace($der-text-2[$i], $laterality-regex, '$1 $3', 'is') else '' " />
    <xsl:variable name="defn-valid-regex" select="for $i in (1 to $number-to-code) return concat('(^|\|)', translate($der-text-2[$i], $chars-to-remove, ''), '(\||$)') " />
    <xsl:variable name="defn-laterality-regex" select="for $i in (1 to $number-to-code) return if ($der-text-2-laterality[$i] = '') then ''         else concat('(^|\|)', translate($der-text-2-laterality[$i], $chars-to-remove, ''), '(\||$)') " />
    <xsl:variable name="der-text-3" select="for $i in (1 to $number-to-code) return if ($der-negated-text[$i] or $der-text-2[$i] = '') then ''         else if ($is-problem-diagnosis and not($diag-replacements = '')) then dh:XQueryRecursiveReplace($der-text-2[$i], $diag-replacements, 'ic')        else if ($is-procedure and not($proc-replacements = '')) then dh:XQueryRecursiveReplace($der-text-2[$i], $proc-replacements, 'ic')        else if ($is-uncategorised and not($diag-replacements = '') and not($proc-replacements = ''))          then dh:XQueryRecursiveReplace($der-text-2[$i], concat($diag-replacements, '~', $proc-replacements), 'ic')        else if ($is-uncategorised and $diag-replacements = '' and not($proc-replacements = ''))          then dh:XQueryRecursiveReplace($der-text-2[$i], $proc-replacements, 'ic')        else if ($is-uncategorised and not($diag-replacements = '') and $proc-replacements = '')          then dh:XQueryRecursiveReplace($der-text-2[$i], $diag-replacements, 'ic')        else $der-text-2[$i] " />
    <xsl:variable name="der-text" select="for $i in (1 to $number-to-code) return         normalize-space(replace(dh:XQueryRecursiveReplace($der-text-3[$i],          '(^|[^a-z])r([^a-z]|$)~$1 right $2~(^|[^a-z])l([^a-z]|$)~$1 left $2', 'ic'), '([a-z])''s', '$1', 'i')) " />
    <xsl:variable name="der-text-to-match" select="for $i in (1 to $number-to-code) return translate(lower-case($der-text-2[$i]), $chars-to-remove, '') " />
    <xsl:variable name="der-text-non-value" select="for $i in (1 to $number-to-code) return         if ($der-negated-text[$i]) then false()        else if ($der-text-to-match[$i] = '' or not(matches($der-text-2[$i], '[a-z0-9]', 'i')) or         ($cd-definitions/non-value/@regex != '' and matches($der-text-2[$i], $cd-definitions/non-value/@regex, 'i'))) then true()         else if ($is-problem-diagnosis) then          exists($cd-definitions/diag/@non-value-regex) and matches($der-text-2[$i], $cd-definitions/diag/@non-value-regex, 'i')        else if ($is-procedure) then          exists($cd-definitions/proc/@non-value-regex) and matches($der-text-2[$i], $cd-definitions/proc/@non-value-regex, 'i')        else if ($is-uncategorised) then          (exists($cd-definitions/diag/@non-value-regex) and matches($der-text-2[$i], $cd-definitions/diag/@non-value-regex, 'i')) or         (exists($cd-definitions/proc/@non-value-regex) and matches($der-text-2[$i], $cd-definitions/proc/@non-value-regex, 'i'))        else false() " />
    <xsl:variable name="der-invalid-text" select="for $i in (1 to $number-to-code) return        if (matches($der-text-2[$i], '800360[0-9]{10}') or matches($der-text-2[$i], '(^|\W+)(Dear (Doctor|Dr)|Thank\W+you)\W+', 'is')) then true()        else if (exists($defn-invalid-txt-regex))        then exists(index-of(for $j in (1 to count($defn-invalid-txt-regex)) return matches($der-text-2[$i], $defn-invalid-txt-regex[$j], 'i'), true()))        else false() " />
    <xsl:variable name="related-terms-1" select="($codesystemvalues/code[@related-terms], $codesystemvalues/related-terms[@related-terms]) " />
    <xsl:variable name="related-terms-2" select="for $i in (1 to $number-to-code) return string-join(for $j in index-of(for $concept in $related-terms-1 return         matches(translate($concept/@related-terms, $chars-no-pipe, ''), $defn-valid-regex[$i], 'i') or        ($defn-laterality-regex[$i] != '' and matches(translate($concept/@related-terms, $chars-no-pipe, ''), $defn-laterality-regex[$i], 'i')), true())         return $related-terms-1[$j]/@code, '|') " />
    <xsl:variable name="try-immun" select="for $i in (1 to $number-to-code) return false() " />
    <xsl:variable name="an-immun-1" select="for $i in (1 to $number-to-code) return $try-immun[$i] and (matches($der-text[$i], '(^|[^a-z])(immunizations?|immunisations?)([^a-z]|$)', 'i') or         (exists($vaccine-text-normalised) and $der-text-to-match[$i] = $vaccine-text-normalised)) " />
    <xsl:variable name="ts-not-needed" select="for $i in (1 to $number-to-code) return        $related-terms-2[$i] != '' or $der-text[$i] = '' or matches($der-text[$i], '^NARRATIVE$', 'i') or $der-negated-text[$i] or $der-text-non-value[$i] or          $der-invalid-text[$i] or $an-immun-1[$i] " />
    <xsl:variable name="der-diag-proc-codes-1" select="for $i in (1 to $number-to-code) return        if ($related-terms-2[$i] != '') then $related-terms-2[$i]        else if ($ts-not-needed[$i] or not($use-ts-for-sctau)) then ''         else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-text[$i],          $max-code-number, false()) " />
    <xsl:variable name="error-usingTS-1" select="for $i in (1 to $number-to-code) return $der-diag-proc-codes-1[$i] = 'Error' " />
    <xsl:variable name="der-diag-proc-code-found-1" select="for $i in (1 to $number-to-code) return matches($der-diag-proc-codes-1[$i], '^[0-9]') " />
    <xsl:variable name="der-no-qual-text" select="for $i in (1 to $number-to-code) return        if ($ts-not-needed[$i] or $error-usingTS-1[$i] or $der-diag-proc-code-found-1[$i]) then ''        else normalize-space(dh:XQueryRecursiveReplace($der-text[$i], $no-qual-pattern, 'ic')) " />
    <xsl:variable name="use-no-qual-text" select="for $i in (1 to $number-to-code) return $der-no-qual-text[$i] != '' and $der-no-qual-text[$i] != $der-text[$i] " />
    <xsl:variable name="der-diag-proc-codes-2" select="for $i in (1 to $number-to-code) return        if ($der-diag-proc-code-found-1[$i]) then $der-diag-proc-codes-1[$i]        else if ($ts-not-needed[$i] or $error-usingTS-1[$i]) then ''        else if ($use-no-qual-text[$i] and $use-ts-for-sctau) then          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-no-qual-text[$i],           $max-code-number, false())        else '' " />
    <xsl:variable name="error-usingTS-2" select="for $i in (1 to $number-to-code) return $error-usingTS-1[$i] or $der-diag-proc-codes-2[$i] = 'Error' " />
    <xsl:variable name="der-diag-proc-code-found-2" select="for $i in (1 to $number-to-code) return matches($der-diag-proc-codes-2[$i], '^[0-9]') " />
    <xsl:variable name="der-stem-text-1" select="for $i in (1 to $number-to-code) return        if ($der-diag-proc-code-found-2[$i] or $ts-not-needed[$i]) then ''         else if ($use-no-qual-text[$i]) then $der-no-qual-text[$i]        else $der-text[$i] " />
    <xsl:variable name="der-stem-text" select="for $i in (1 to $number-to-code) return if ($der-stem-text-1[$i] = '') then ''         else dh:XQueryRecursiveReplace($der-stem-text-1[$i],          '(^|[^a-z])of([^a-z]|$)~$1$2~([a-z]{3,})[a-z]{1}($|[^a-z])~$1$2~(^|[^a-z])[a-z]{1}([^a-z]|$)~$1$2~(^|[^0-9])[0-9]{1}([^0-9z]|$)~$1$2',          'ic') " />
    <xsl:variable name="use-stem-text" select="for $i in (1 to $number-to-code) return $der-stem-text[$i] != '' and $der-stem-text[$i] != $der-stem-text-1[$i] " />
    <xsl:variable name="der-diag-proc-codes-3" select="for $i in (1 to $number-to-code) return        if ($der-diag-proc-code-found-2[$i]) then $der-diag-proc-codes-2[$i]        else if ($ts-not-needed[$i] or $error-usingTS-2[$i]) then ''        else if ($use-stem-text[$i] and $use-ts-for-sctau) then          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-stem-text[$i],           $max-code-number, false())        else '' " />
    <xsl:variable name="error-usingTS-3" select="for $i in (1 to $number-to-code) return $error-usingTS-2[$i] or $der-diag-proc-codes-3[$i] = 'Error' " />
    <xsl:variable name="der-code-1" select="for $i in (1 to $number-to-code) return         replace(string-join(tokenize($der-diag-proc-codes-3[$i], '\|')[not(contains(., '~inactive'))], '|'), '^([0-9]+)\[.+?\](\||$)', '$1$2', 'is') " />
    <xsl:variable name="inactive-terms-1" select="for $i in (1 to $number-to-code) return if (contains($der-diag-proc-codes-3[$i], '~inactive'))         then replace(string-join(tokenize($der-diag-proc-codes-3[$i], '\|')[contains(., '~inactive')], '|'), '^([0-9]+)\[.+?\](\||$)', '$1$2', 'is')         else '' " />
    <xsl:variable name="inactive-terms-2" select="for $i in (1 to $number-to-code) return        if ($ts-not-needed[$i] or $error-usingTS-3[$i] or not(matches($inactive-terms-1[$i], '^[0-9]'))) then ''        else replace(string-join(tokenize(dh:IsCodeAssociatedWithAnotherCode(tokenize($inactive-terms-1[$i], '\|')[1], '2.16.840.1.113883.6.96', $v-current-sctau),          '\|')[matches(., '(REPLACED BY|SAME AS|ALTERNATIVE|POSSIBLY EQUIVALENT TO|MAY BE A|WAS A)')], '|'), '[0-9]+~[A-Z ]+~([0-9]+)', '$1') " />
    <xsl:variable name="der-code-2" select="for $i in (1 to $number-to-code) return        if ($der-code-1[$i] != '') then $der-code-1[$i]        else if ($ts-not-needed[$i] or $error-usingTS-3[$i] or not($is-problem-diagnosis) or not($use-ts-for-sctau)) then ''        else replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $proc-formula, $der-no-qual-text[$i],           $max-code-number, false()), '([0-9]+)\[.+?\](\||$)', '$1$2', 'is') " />
    <xsl:variable name="error-usingTS-4" select="for $i in (1 to $number-to-code) return $error-usingTS-3[$i] or $der-code-2[$i] = 'Error' " />
    <xsl:variable name="der-code-3" select="for $i in (1 to $number-to-code) return         string-join(distinct-values((tokenize($inactive-terms-2[$i], '\|'), tokenize($der-code-2[$i], '\|'))[. != '']), '|') " />
    <xsl:variable name="valid-refset" select="if ($is-problem-diagnosis) then '^32570581000036105'         else if ($is-procedure) then '^32570141000036105'         else if ($is-uncategorised) then '(^32570581000036105 OR ^32570141000036105)'        else '' " />
    <xsl:variable name="invalid-refset" select="if ($is-problem-diagnosis) then $diag-invalid-refset         else if ($is-procedure) then $proc-invalid-refset         else if ($is-uncategorised) then $diag-proc-invalid-refset         else '' " />
    <xsl:variable name="code-set" select="for $i in (1 to $number-to-code) return if ($der-code-3[$i] = '') then '' else concat('(', replace($der-code-3[$i], '\|', ' OR '), ')') " />
    <xsl:variable name="der-code-num-1" select="for $i in (1 to $number-to-code) return string(count(tokenize($der-code-3[$i], '\|'))) " />
    <xsl:variable name="refset-formula" select="for $i in (1 to $number-to-code) return if ($code-set[$i] = '') then ''         else if ($invalid-refset = '') then concat($code-set[$i], ' AND ', $valid-refset)        else concat('(', $code-set[$i], ' AND ', $valid-refset, ') MINUS ', $invalid-refset) " />
    <xsl:variable name="refset-code-set" select="for $i in (1 to $number-to-code) return if ($refset-formula[$i] = '' or $error-usingTS-4[$i] or not($use-ts-for-sctau)) then ''        else replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $refset-formula[$i], '',          $der-code-num-1[$i], false()), '([0-9]+)\[.+?\](\||$)', '$1$2') " />
    <xsl:variable name="error-usingTS-5" select="for $i in (1 to $number-to-code) return $error-usingTS-4[$i] or $refset-code-set[$i] = 'Error' " />
    <xsl:variable name="invalid-hierarchy" select="if ($is-problem-diagnosis) then $diag-invalid-hierarchy         else if ($is-procedure) then $proc-invalid-hierarchy         else if ($is-uncategorised) then $diag-proc-invalid-hierarchy        else '' " />
    <xsl:variable name="valid-code-set" select="for $i in (1 to $number-to-code) return if ($invalid-hierarchy = '' or $error-usingTS-5[$i] or not($use-ts-for-sctau)) then ''        else string-join((for $code in tokenize($refset-code-set[$i], '\|') return          if (matches(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;&gt;', $code, ' MINUS ', $invalid-hierarchy), '', '1', false()), '^[0-9]')) then $code else '')[. != ''], '|') " />
    <xsl:variable name="valid-codes-1" select="for $i in (1 to $number-to-code) return string-join(tokenize($der-code-3[$i], '\|')        [matches($valid-code-set[$i], concat('(^|\|)', ., '(\||$)'))], '|') " />
    <xsl:variable name="valid-codes-2" select="for $i in (1 to $number-to-code) return if ($valid-codes-1[$i] = '') then 'no code' else (tokenize($valid-codes-1[$i], '\|'))[1]" />
    <xsl:variable name="valid-class-1" select="for $i in (1 to $number-to-code) return         if ($error-usingTS-5[$i] or not($p-number &gt; 0) or not(matches($valid-codes-2[$i], '[0-9]+')) or not($use-ts-for-sctau)) then ''        else replace(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $valid-codes-2[$i], ' AND (', $p-formula, ')'), '', string($p-number), true()), '(\[|\]\|)', '~'), '\]$', '') " />
    <xsl:variable name="error-usingTS-6" select="for $i in (1 to $number-to-code) return $error-usingTS-5[$i] or $valid-class-1[$i] = 'Error' " />
    <xsl:variable name="valid-class-2" select="for $i in (1 to $number-to-code) return if ($valid-class-1[$i] != '') then $valid-class-1[$i]        else if ($error-usingTS-6[$i] or not($s-number &gt; 0) or not(matches($valid-codes-2[$i], '[0-9]+')) or not($use-ts-for-sctau)) then ''        else replace(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $valid-codes-2[$i], ' AND (', $s-formula, ')'), '', string($s-number), true()), '(\[|\]\|)', '~'), '\]$', '') " />
    <xsl:variable name="error-usingTS-7" select="for $i in (1 to $number-to-code) return $error-usingTS-6[$i] or $valid-class-2[$i] = 'Error' " />
    <xsl:variable name="valid-class-3" select="for $i in (1 to $number-to-code) return if ($valid-class-2[$i] != '') then $valid-class-2[$i]        else if ($error-usingTS-7[$i] or not($t-number &gt; 0) or not(matches($valid-codes-2[$i], '[0-9]+')) or not($use-ts-for-sctau)) then ''        else replace(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $valid-codes-2[$i], ' AND (', $t-formula, ')'), '', string($t-number), true()), '(\[|\]\|)', '~'), '\]$', '') " />
    <xsl:variable name="error-usingTS-8" select="for $i in (1 to $number-to-code) return $error-usingTS-7[$i] or $valid-class-3[$i] = 'Error' " />
    <xsl:variable name="valid-class" select="for $i in (1 to $number-to-code) return if ($valid-class-3[$i] = '') then 'unclassified' else concat('isa|', $valid-class-3[$i]) " />
    <xsl:variable name="valid-codes" select="for $i in (1 to $number-to-code) return         if ($error-usingTS-8[$i] or not($use-ts-for-sctau)) then ''        else if (matches($valid-codes-2[$i], '[0-9]+')) then concat($valid-codes-2[$i], '~',          dh:FindPreferredTermUsingTS($valid-codes-2[$i], '2.16.840.1.113883.6.96', $ts-current-sctau), '|', $valid-class[$i])         else '' " />
    <xsl:variable name="error-name-usingTS" select="for $i in (1 to $number-to-code) return $valid-codes[$i] = 'Error' " />
    <xsl:variable name="an-immun" select="for $i in (1 to $number-to-code) return $valid-codes[$i] = '' and $try-immun[$i] and $an-immun-1[$i] " />
    <xsl:variable name="der-invalid-domain" select="for $i in (1 to $number-to-code) return not($an-immun[$i]) and ($der-code-3[$i] != '' and not($valid-codes[$i] != '')) " />
    <xsl:variable name="try-tgi" select="for $i in (1 to $number-to-code) return        not($is-problem-diagnosis) and not($der-code-3[$i] != '' or $der-text[$i] = '' or $der-negated-text[$i] or $der-text-non-value[$i] or         $der-invalid-text[$i] or $an-immun[$i] or $valid-codes[$i] != '' or $der-invalid-domain[$i]) " />
    <xsl:variable name="try-tgi" select="for $i in (1 to $number-to-code) return false() " />
    <xsl:variable name="der-tgi-text-1" select="for $i in (1 to $number-to-code) return        if ($try-tgi[$i]) then normalize-space(dh:XQueryRecursiveReplace($der-text-1[$i], $tgi-fir-pattern-replacement, 'ic')) else '' " />
    <xsl:variable name="der-tgi-text" select="for $i in (1 to $number-to-code) return        if ($der-tgi-text-1[$i] = '' or $tgi-regex = '') then $der-tgi-text-1[$i]        else normalize-space(dh:XQueryRecursiveReplace($der-tgi-text-1[$i], $tgi-regex, 'ic')) " />
    <xsl:variable name="a-sas-tgi" select="for $i in (1 to $number-to-code) return $try-tgi[$i] and $tgi-sas-regex != '' and matches($der-tgi-text[$i], $tgi-sas-regex, 'is')" />
    <xsl:variable name="an-uncoded-tgi" select="for $i in (1 to $number-to-code) return $try-tgi[$i] and $tgi-otheru-regex != '' and matches($der-tgi-text[$i], $tgi-otheru-regex, 'is')" />
    <xsl:variable name="der-tgi-codes-1" select="for $i in (1 to $number-to-code) return         if ($error-usingTS-8[$i]) then ''        else if ($try-tgi[$i] and not($a-sas-tgi[$i] or $an-uncoded-tgi[$i]) and $use-ts-for-sctau)         then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $tgi-formula, $der-tgi-text[$i],           $max-code-number, false())         else '' " />
    <xsl:variable name="error-usingTS-9" select="for $i in (1 to $number-to-code) return $error-usingTS-8[$i] or $der-tgi-codes-1[$i] = 'Error' " />
    <xsl:variable name="a-tgi-1" select="for $i in (1 to $number-to-code) return        $try-tgi[$i] and ($a-sas-tgi[$i] or $an-uncoded-tgi[$i] or contains($der-tgi-codes-1[$i], '[')) " />
    <xsl:variable name="der-revised-tgi-text" select="for $i in (1 to $number-to-code) return        if ($try-tgi[$i] and not($a-tgi-1[$i]))        then normalize-space(dh:XQueryRecursiveReplace($der-tgi-text[$i], $tgi-sec-pattern-replacement, 'ic'))         else '' " />
    <xsl:variable name="use-revised-tgi-text" select="for $i in (1 to $number-to-code) return $der-revised-tgi-text[$i] != '' and $der-revised-tgi-text[$i] != $der-tgi-text[$i] " />
    <xsl:variable name="der-tgi-codes-2" select="for $i in (1 to $number-to-code) return        if ($error-usingTS-9[$i]) then ''        else if ($try-tgi[$i] and not($a-tgi-1[$i]) and $use-revised-tgi-text[$i] and $use-ts-for-sctau)        then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $tgi-formula, $der-revised-tgi-text[$i],          $max-code-number, false())         else '' " />
    <xsl:variable name="error-usingTS-10" select="for $i in (1 to $number-to-code) return $error-usingTS-9[$i] or $der-tgi-codes-2[$i] = 'Error' " />
    <xsl:variable name="a-tgi-2" select="for $i in (1 to $number-to-code) return $a-tgi-1[$i] or contains($der-tgi-codes-2[$i], '[') " />
    <xsl:variable name="der-final-revised-tgi-text" select="for $i in (1 to $number-to-code) return        if ($try-tgi[$i] and not($a-tgi-2[$i]))          then normalize-space(dh:XQueryRecursiveReplace($der-revised-tgi-text[$i], $tgi-thi-pattern-replacement, 'ic'))         else '' " />
    <xsl:variable name="use-final-revised-tgi-text" select="for $i in (1 to $number-to-code) return         $der-final-revised-tgi-text[$i] != '' and $der-final-revised-tgi-text[$i] != $der-revised-tgi-text[$i] " />
    <xsl:variable name="der-tgi-codes-3" select="for $i in (1 to $number-to-code) return        if ($error-usingTS-10[$i]) then ''        else if ($try-tgi[$i] and not($a-tgi-2[$i]) and $use-final-revised-tgi-text[$i] and $use-ts-for-sctau)          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $tgi-formula, $der-final-revised-tgi-text[$i],          $max-code-number, false())        else '' " />
    <xsl:variable name="error-usingTS-11" select="for $i in (1 to $number-to-code) return $error-usingTS-10[$i] or $der-tgi-codes-3[$i] = 'Error' " />
    <xsl:variable name="a-tgi" select="for $i in (1 to $number-to-code) return $a-tgi-2[$i] or contains($der-tgi-codes-3[$i], '[') " />
    <xsl:variable name="display-result" select="for $i in (1 to $number-to-code) return         if ($error-usingTS-11[$i]) then concat($display-text-to-code[$i], '(Term ', $i - 1 + $coding-start, ')[error]')        else if ($der-text-1[$i] = '' or $der-text-non-value[$i]) then concat($display-text-to-code[$i], '(Term ', $i - 1 + $coding-start, ')[not a value]')        else if ($der-invalid-text[$i]) then concat($display-text-to-code[$i], '(Term ', $i - 1 + $coding-start, ')[an invalid term]')        else if (not($is-problem-diagnosis) and $an-immun[$i]) then concat($display-text-to-code[$i], '(Term ', $i - 1 + $coding-start,          ')[administering an immunisation is not a medical procedure]')        else if (not($is-problem-diagnosis) and $a-tgi[$i]) then concat($display-text-to-code[$i], '(Term ', $i - 1 + $coding-start,          ')[a medication is not a medical procedure]')        else if ($der-invalid-domain[$i])          then concat($display-text-to-code[$i], '(Term ', $i - 1 + $coding-start, ')[an invalid term]')        else if ($der-code-3[$i] = '') then concat($display-text-to-code[$i], '(Term ', $i - 1 + $coding-start, ')[no codes found]')        else concat($display-text-to-code[$i], '(Term ', $i - 1 + $coding-start, ')[',          dh:XQueryRecursiveReplace($valid-codes[$i], $term-pattern-replacement, 'ic'), ']') " />
    <xsl:variable name="number-coded" select="count((for $i in (1 to $number-to-code) return if (matches($display-result[$i], '\[[0-9]+~')) then '1' else '0')[. = '1']) " />
    <xsl:variable name="term-notcoded" select="(for $i in (1 to $number-to-code) return         if (matches($display-result[$i], 'no codes', 'i')) then substring-before($display-result[$i], '[') else '')[. != ''] " />
    <xsl:variable name="number-notcoded" select="count($term-notcoded) " />
    <xsl:variable name="simple-term-notcoded" select="(for $term in $term-notcoded return if (not(matches($term, '^([^a-z]|L|Lt|Left|R|Rt|Right|MRI)\W+', 'i')) and not(matches($term, '\(\)\[\]', 'i')) and        count(tokenize(substring-before($term, '('), ' ')) &lt; 3) then $term else '')[. != ''] " />
    <xsl:variable name="term-incomplete" select="(for $i in (1 to $number-to-code) return if (matches($display-result[$i], 'not determined the value domain', 'i'))          then $display-result[$i] else '')[. != ''] " />
    <xsl:variable name="number-incomplete" select="count($term-incomplete) " />
    <xsl:variable name="group-size" select="if ($coding/@group-size) then $coding/@group-size else '400'  " />
    <xsl:variable name="term-unclassified" select="(for $i in (1 to $number-to-code) return if (matches($display-result[$i], 'unclassified\]', 'i')) then $display-result[$i] else '')[. != ''] " />
    <xsl:variable name="number-unclassified" select="count($term-unclassified) " />
    <xsl:variable name="term-error" select="(for $i in (1 to $number-to-code) return if (matches($display-result[$i], '[~\[]error\]', 'i') or $error-name-usingTS[$i])         then $display-result[$i] else '')[. != ''] " />
    <xsl:variable name="number-error" select="count($term-error) " />
    <!--REPORT -->
    <xsl:if test=" . ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test=".">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding:
		Number of terms to code: <xsl:text /><xsl:value-of select="$number-to-code" /><xsl:text />.
		Number of terms coded: <xsl:text /><xsl:value-of select="$number-coded" /><xsl:text />.
		Number of terms not coded: <xsl:text /><xsl:value-of select="$number-notcoded" /><xsl:text />.
		Number of terms with incomplete coding: <xsl:text /><xsl:value-of select="$number-incomplete" /><xsl:text />.
		Number of invalid terms: <xsl:text /><xsl:value-of select="$number-to-code - ($number-coded + $number-notcoded + $number-incomplete)" /><xsl:text />.
		Number of terms coded but unclassified: <xsl:text /><xsl:value-of select="$number-unclassified" /><xsl:text />.
		Number of errors: <xsl:text /><xsl:value-of select="$number-error" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" . ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test=".">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (1 to xs:integer($group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + $group-size) to xs:integer(2 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 2 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 2 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 2 * $group-size) to xs:integer(3 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 3 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 3 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 3 * $group-size) to xs:integer(4 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 4 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 4 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 4 * $group-size) to xs:integer(5 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 5 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 5 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 5 * $group-size) to xs:integer(6 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 6 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 6 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 6 * $group-size) to xs:integer(7 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 7 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 7 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 7 * $group-size) to xs:integer(8 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 8 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 8 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 8 * $group-size) to xs:integer(9 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 9 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 9 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 9 * $group-size) to xs:integer(10 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 10 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 10 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 10 * $group-size) to xs:integer(11 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 11 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 11 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 11 * $group-size) to xs:integer(12 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 12 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 12 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 12 * $group-size) to xs:integer(13 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 13 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 13 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 13 * $group-size) to xs:integer(14 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 14 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 14 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 14 * $group-size) to xs:integer(15 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 15 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 15 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 15 * $group-size) to xs:integer(16 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 16 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 16 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 16 * $group-size) to xs:integer(17 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 17 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 17 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 17 * $group-size) to xs:integer(18 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 18 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 18 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 18 * $group-size) to xs:integer(19 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 19 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 19 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 19 * $group-size) to xs:integer(20 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 20 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 20 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 20 * $group-size) to xs:integer(21 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 21 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 21 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 21 * $group-size) to xs:integer(22 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 22 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 22 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 22 * $group-size) to xs:integer(23 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 23 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 23 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 23 * $group-size) to xs:integer(24 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 24 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 24 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 24 * $group-size) to xs:integer(25 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 25 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 25 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 25 * $group-size) to xs:integer(26 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 26 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 26 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 26 * $group-size) to xs:integer(27 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 27 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 27 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 27 * $group-size) to xs:integer(28 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 28 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 28 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 28 * $group-size) to xs:integer(29 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 29 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 29 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 29 * $group-size) to xs:integer(30 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 30 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 30 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 30 * $group-size) to xs:integer(31 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 31 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 31 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 31 * $group-size) to xs:integer(32 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 32 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 32 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 32 * $group-size) to xs:integer(33 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 33 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 33 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 33 * $group-size) to xs:integer(34 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 34 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 34 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 34 * $group-size) to xs:integer(35 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 35 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 35 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 35 * $group-size) to xs:integer(36 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 36 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 36 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 36 * $group-size) to xs:integer(37 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 37 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 37 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 37 * $group-size) to xs:integer(38 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 38 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 38 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 38 * $group-size) to xs:integer(39 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 39 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 39 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 39 * $group-size) to xs:integer(40 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 40 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 40 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 40 * $group-size) to xs:integer(41 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 41 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 41 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 41 * $group-size) to xs:integer(42 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 42 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 42 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 42 * $group-size) to xs:integer(43 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 43 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 43 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 43 * $group-size) to xs:integer(44 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 44 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 44 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 44 * $group-size) to xs:integer(45 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 45 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 45 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 45 * $group-size) to xs:integer(46 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 46 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 46 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 46 * $group-size) to xs:integer(47 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 47 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 47 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 47 * $group-size) to xs:integer(48 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 48 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 48 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 48 * $group-size) to xs:integer(49 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 49 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 49 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 49 * $group-size) to xs:integer(50 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 50 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 50 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 50 * $group-size) to xs:integer(51 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 51 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 51 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 51 * $group-size) to xs:integer(52 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 52 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 52 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 52 * $group-size) to xs:integer(53 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 53 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 53 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 53 * $group-size) to xs:integer(54 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 54 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 54 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 54 * $group-size) to xs:integer(55 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 55 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 55 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 55 * $group-size) to xs:integer(56 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 56 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 56 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 56 * $group-size) to xs:integer(57 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 57 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 57 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 57 * $group-size) to xs:integer(58 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 58 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 58 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 58 * $group-size) to xs:integer(59 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 59 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 59 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 59 * $group-size) to xs:integer(60 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 60 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 60 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 60 * $group-size) to xs:integer(61 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 61 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 61 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 61 * $group-size) to xs:integer(62 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 62 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 62 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 62 * $group-size) to xs:integer(63 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 63 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 63 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 63 * $group-size) to xs:integer(64 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 64 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 64 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 64 * $group-size) to xs:integer(65 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 65 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 65 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 65 * $group-size) to xs:integer(66 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 66 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 66 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 66 * $group-size) to xs:integer(67 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 67 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 67 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 67 * $group-size) to xs:integer(68 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 68 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 68 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 68 * $group-size) to xs:integer(69 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 69 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 69 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 69 * $group-size) to xs:integer(70 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 70 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 70 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 70 * $group-size) to xs:integer(71 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 71 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 71 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 71 * $group-size) to xs:integer(72 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 72 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 72 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 72 * $group-size) to xs:integer(73 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 73 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 73 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 73 * $group-size) to xs:integer(74 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 74 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 74 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 74 * $group-size) to xs:integer(75 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 75 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 75 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 75 * $group-size) to xs:integer(76 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 76 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 76 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 76 * $group-size) to xs:integer(77 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 77 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 77 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 77 * $group-size) to xs:integer(78 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 78 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 78 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 78 * $group-size) to xs:integer(79 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 79 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 79 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 79 * $group-size) to xs:integer(80 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 80 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 80 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 80 * $group-size) to xs:integer(81 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 81 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 81 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 81 * $group-size) to xs:integer(82 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 82 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 82 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 82 * $group-size) to xs:integer(83 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 83 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 83 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 83 * $group-size) to xs:integer(84 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 84 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 84 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 84 * $group-size) to xs:integer(85 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 85 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 85 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 85 * $group-size) to xs:integer(86 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 86 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 86 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 86 * $group-size) to xs:integer(87 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 87 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 87 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 87 * $group-size) to xs:integer(88 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 88 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 88 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 88 * $group-size) to xs:integer(89 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 89 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 89 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 89 * $group-size) to xs:integer(90 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 90 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 90 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 90 * $group-size) to xs:integer(91 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 91 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 91 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 91 * $group-size) to xs:integer(92 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 92 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 92 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 92 * $group-size) to xs:integer(93 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 93 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 93 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 93 * $group-size) to xs:integer(94 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 94 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 94 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 94 * $group-size) to xs:integer(95 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 95 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 95 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 95 * $group-size) to xs:integer(96 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 96 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 96 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 96 * $group-size) to xs:integer(97 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 97 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 97 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 97 * $group-size) to xs:integer(98 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 98 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 98 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 98 * $group-size) to xs:integer(99 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-to-code &gt; 99 * $group-size ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-to-code &gt; 99 * $group-size">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
          <xsl:text />
          <xsl:value-of select="string-join($display-result[position() = (xs:integer(1 + 99 * $group-size) to xs:integer(100 * $group-size))], '|')" />
          <xsl:text />
        </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding:
		der-text-1 '<xsl:text /><xsl:value-of select="string-join(for $x in $der-text-1 return dh:XQueryRecursiveReplace($x, $term-pattern-replacement, 'ic'), '~')" /><xsl:text />'
		der-text-2 '<xsl:text /><xsl:value-of select="string-join(for $x in $der-text-2 return dh:XQueryRecursiveReplace($x, $term-pattern-replacement, 'ic'), '~')" /><xsl:text />'
		der-text-to-match '<xsl:text /><xsl:value-of select="string-join(for $x in $der-text-to-match return dh:XQueryRecursiveReplace($x, $term-pattern-replacement, 'ic'), '~')" /><xsl:text />'
		
	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding:
		der-text-3 '<xsl:text /><xsl:value-of select="string-join($der-text-3, '~')" /><xsl:text />'
		der-text '<xsl:text /><xsl:value-of select="string-join($der-text, '~')" /><xsl:text />'
		der-negated-text '<xsl:text /><xsl:value-of select="string-join(for $n in $der-negated-text return string($n), '~')" /><xsl:text />'
		der-text-non-value '<xsl:text /><xsl:value-of select="string-join(for $n in $der-text-non-value return string($n), '~')" /><xsl:text />'
		der-invalid-text '<xsl:text /><xsl:value-of select="string-join(for $n in $der-invalid-text return string($n), '~')" /><xsl:text />'
		try-immun '<xsl:text /><xsl:value-of select="string-join(for $n in $try-immun return string($n), '~')" /><xsl:text />'
		an-immun '<xsl:text /><xsl:value-of select="string-join(for $n in $an-immun return string($n), '~')" /><xsl:text />'
		ts-not-needed '<xsl:text /><xsl:value-of select="string-join(for $n in $ts-not-needed return string($n), '~')" /><xsl:text />'
		try-tgi '<xsl:text /><xsl:value-of select="string-join(for $n in $try-tgi return string($n), '~')" /><xsl:text />'

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding:
		display-text-to-code '<xsl:text /><xsl:value-of select="string-join($display-text-to-code, '~')" /><xsl:text />'
		der-diag-proc-codes-1 '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($der-diag-proc-codes-1, '~'), $term-pattern-replacement, 'ic')" /><xsl:text />'
		der-diag-proc-codes-2 '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($der-diag-proc-codes-2, '~'), $term-pattern-replacement, 'ic')" /><xsl:text />'
		der-diag-proc-codes-3 '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($der-diag-proc-codes-3, '~'), $term-pattern-replacement, 'ic')" /><xsl:text />'

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		der-code-1 '<xsl:text /><xsl:value-of select="string-join($der-code-1, '~')" /><xsl:text />'
		der-code-2 '<xsl:text /><xsl:value-of select="string-join($der-code-2, '~')" /><xsl:text />'
		der-code-3 '<xsl:text /><xsl:value-of select="string-join($der-code-3, '~')" /><xsl:text />'

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding:
		refset-code-set '<xsl:text /><xsl:value-of select="string-join($refset-code-set, '~')" /><xsl:text />'
		valid-code-set '<xsl:text /><xsl:value-of select="string-join($valid-code-set, '~')" /><xsl:text />'
		valid-codes-1 '<xsl:text /><xsl:value-of select="string-join($valid-codes-1, '~')" /><xsl:text />'
		valid-codes-2 '<xsl:text /><xsl:value-of select="string-join($valid-codes-2, '~')" /><xsl:text />'
		valid-class '<xsl:text /><xsl:value-of select="string-join($valid-class, '~')" /><xsl:text />'
		valid-codes '<xsl:text /><xsl:value-of select="string-join($valid-codes, '~')" /><xsl:text />'
		der-invalid-domain '<xsl:text /><xsl:value-of select="string-join(for $n in $der-invalid-domain return string($n), '~')" /><xsl:text />'

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: 
		inactive-terms-1 '<xsl:text /><xsl:value-of select="string-join($inactive-terms-1[. != ''], '~')" /><xsl:text />'
		inactive-terms-2 '<xsl:text /><xsl:value-of select="string-join($inactive-terms-2[. != ''], '~')" /><xsl:text />'

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and exists($term-notcoded) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and exists($term-notcoded)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: terms not coded: <xsl:text /><xsl:value-of select="string-join($term-notcoded, '|')" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists($simple-term-notcoded) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists($simple-term-notcoded)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: simple terms not coded: <xsl:text /><xsl:value-of select="string-join($simple-term-notcoded, '|')" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists($term-incomplete) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists($term-incomplete)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding:  terms with coding incomplete: <xsl:text /><xsl:value-of select="string-join($term-incomplete, '|')" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists($term-unclassified) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists($term-unclassified)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: terms unclassified: <xsl:text /><xsl:value-of select="string-join($term-unclassified, '|')" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists($term-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists($term-error)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: An error was reported when accessing the terminology server for the following terms: <xsl:text /><xsl:value-of select="string-join($term-error, '|')" /><xsl:text />.
		The analysis of these terms should be retried as the terminology server may have been temporarily unavailable.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M23" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M23" />
  <xsl:template match="@*|node()" priority="-2" mode="M23">
    <xsl:apply-templates select="@*|*" mode="M23" />
  </xsl:template>
  <!--PATTERN p-TS-Records-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flags/@collection-same-record = 'true' and $document-number &gt; 1] " priority="1000" mode="M24">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flags/@collection-same-record = 'true' and $document-number &gt; 1] " />
    <xsl:variable name="IHIs" select="$documents/cda:ClinicalDocument/cda:recordTarget/cda:patientRole/cda:patient/        ext:asEntityIdentifier[starts-with(ext:id/@root, '1.2.36.1.2001.1003.0.800360')]/ext:id/@root " />
    <xsl:variable name="IHI-values" select="distinct-values(for $i in (1 to count($IHIs)) return substring-after($IHIs[$i], '1.2.36.1.2001.1003.0.')) " />
    <xsl:variable name="IHI-number" select="count($IHI-values)" />
    <xsl:variable name="IHI-count" select="if ($numbers/number[@value = $IHI-number]) then $numbers/number[number(@value) = $IHI-number]/@name else $IHI-number" />
    <xsl:variable name="IHI-display" select="if ($IHI-number = 1) then $IHI-values[1] else        if ($IHI-number = 2) then concat('''', $IHI-values[1], ''' and ''', $IHI-values[2], '''') else        if ($IHI-number = 3) then concat('''', $IHI-values[1], ''', ''', $IHI-values[2], ''' and ''', $IHI-values[3], '''') else        if ($IHI-number &gt; 3) then concat('''', $IHI-values[1], ''', ''', $IHI-values[2], ''', ''', $IHI-values[3], ''' and others') else '' " />
    <!--REPORT -->
    <xsl:if test=" $IHI-number &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IHI-number &gt; 1">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error: The <xsl:text /><xsl:value-of select="$document-count" /><xsl:text /> documents obtained from the digital health record were examined and <xsl:text /><xsl:value-of select="$IHI-count" /><xsl:text /> individual healthcare
		identifiers were found to identify the healthcare consumer with this digital health record. They are <xsl:text /><xsl:value-of select="$IHI-display" /><xsl:text />.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M24" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M24" />
  <xsl:template match="@*|node()" priority="-2" mode="M24">
    <xsl:apply-templates select="@*|*" mode="M24" />
  </xsl:template>
  <!--PATTERN p-TS-Records-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flags/@collection-same-record = 'true' and $document-number &gt; 1] " priority="1000" mode="M25">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flags/@collection-same-record = 'true' and $document-number &gt; 1] " />
    <xsl:variable name="substances" select="      $documents/cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']]/     cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16011']]/cda:component/     cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/cda:entry/cda:observation     [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:participant/cda:participantRole/cda:playingEntity/cda:code  |     $documents/cda:ClinicalDocument[cda:templateId[     (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')   or     (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or     (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')   or     (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) ]]/     cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/cda:entry/cda:act[cda:code     [@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:participant[@typeCode='CAGNT']/cda:participantRole/cda:playingEntity/cda:code " />
    <xsl:variable name="substance-text" select="if (count($substances) = 0) then () else distinct-values(for $i in (1 to count($substances)) return         if ($substances[$i]/cda:originalText != '' ) then $substances[$i]/cda:originalText        else if ($substances[$i]/@displayName != '' ) then $substances[$i]/@displayName        else if ($substances[$i]/@code != '' ) then $substances[$i]/@code        else 'no name or code') " />
    <xsl:variable name="substance-number" select="count($substance-text)" />
    <xsl:variable name="substance-count" select="if ($numbers/number[@value = $substance-number]) then $numbers/number[number(@value) = $substance-number]/@name else $substance-number" />
    <xsl:variable name="substance-display" select="if ($substance-number = 1) then $substance-text[1] else        if ($substance-number = 2) then concat('''', $substance-text[1], ''' and ''', $substance-text[2], '''') else        if ($substance-number = 3) then concat('''', $substance-text[1], ''', ''', $substance-text[2], ''' and ''', $substance-text[3], '''') else        if ($substance-number &gt; 3) then concat('''', $substance-text[1], ''', ''', $substance-text[2], ''', ''', $substance-text[3], ''' and others') else ''" />
    <xsl:variable name="medications" select="      $documents/cda:ClinicalDocument[cda:templateId[     (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')     or     (@root = '1.2.36.1.2001.1001.101.100.1002.120' and (@extension = '1.3' or @extension = '1.4'))  or     (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')     or     (@root = '1.2.36.1.2001.1001.101.100.1002.136' and (@extension = '1.2' or @extension = '1.3'))  ]]/cda:component/cda:structuredBody/cda:component/     cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/cda:substanceAdministration/cda:consumable/     cda:manufacturedProduct/cda:manufacturedMaterial/cda:code           |     $documents/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/     cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/     cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1']]/cda:entry/     cda:substanceAdministration/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code      |     $documents/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/     cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/     cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.2']]/     cda:entry/cda:substanceAdministration/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code     |     $documents//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/cda:consumable/     cda:manufacturedProduct/cda:manufacturedMaterial/cda:code           |     $documents//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/     cda:entryRelationship/cda:supply/cda:product/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code      |     $documents/cda:component/cda:structuredBody/cda:component/     cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16638']]/cda:entry/cda:substanceAdministration/cda:consumable/     cda:manufacturedProduct/cda:manufacturedMaterial/cda:code           " />
    <xsl:variable name="medication-text" select="if (count($medications) = 0) then () else distinct-values(for $i in (1 to count($medications)) return         if ($medications[$i]/cda:originalText != '') then $medications[$i]/cda:originalText        else if ($medications[$i]/@displayName != '') then $medications[$i]/@displayName        else if ($medications[$i]/@code != '') then $medications[$i]/@code        else 'no name or code') " />
    <xsl:variable name="medication-number" select="count($medication-text)" />
    <xsl:variable name="medication-count" select="if ($numbers/number[@value = $medication-number]) then $numbers/number[number(@value) = $medication-number]/@name else $medication-number" />
    <xsl:variable name="medication-display" select="if ($medication-number = 1) then $medication-text[1] else        if ($medication-number = 2) then concat('''', $medication-text[1], ''' and ''', $medication-text[2], '''') else        if ($medication-number = 3) then concat('''', $medication-text[1], ''', ''', $medication-text[2], ''' and ''', $medication-text[3], '''') else        if ($medication-number &gt; 3) then concat('''', $medication-text[1], ''', ''', $medication-text[2], ''', ''', $medication-text[3], ''' and others') else ''" />
    <xsl:variable name="substance-codes" select="$substances[@code != '']/@code" />
    <xsl:variable name="substance-displayNames" select="$substances[@displayName != '']/@displayName" />
    <xsl:variable name="substance-originalText" select="$substances[cda:originalText != '']/cda:originalText" />
    <xsl:variable name="temp-1" select="if (count($medications) = 0) then () else (for $i in (1 to count($medications)) return          if (not($medications[$i]/@code) or $medications[$i]/@code = '' or not(exists(index-of($substance-codes, $medications[$i]/@code))))         then '' else         if ($medications[$i]/@displayName != '') then $medications[$i]/@displayName         else $medications[$i]/cda:originalText)[. != '']" />
    <xsl:variable name="temp-2" select="if (count($medications) = 0) then () else (for $i in (1 to count($medications)) return          if ($medications[$i]/@displayName != '' and exists(index-of($substance-displayNames, $medications[$i]/@displayName)))          then $medications[$i]/@displayName else         if ($medications[$i]/cda:originalText != '' and exists(index-of($substance-originalText, $medications[$i]/cda:originalText)))          then $medications[$i]/cda:originalText else '')[. != ''] " />
    <xsl:variable name="reactions" select="distinct-values($temp-1 | $temp-2) " />
    <xsl:variable name="reaction-number" select="count($reactions)" />
    <xsl:variable name="reaction-count" select="if ($numbers/number[@value = $reaction-number]) then $numbers/number[number(@value) = $reaction-number]/@name else $reaction-number" />
    <xsl:variable name="reaction-display" select="if ($reaction-number = 1) then $reactions[1] else          if ($reaction-number = 2) then concat('''', $reactions[1], ''' and ''', $reactions[2], '''') else          if ($reaction-number = 3) then concat('''', $reactions[1], ''', ''', $reactions[2], ''' and ''', $reactions[3], '''') else          if ($reaction-number &gt; 3) then concat('''', $reactions[1], ''', ''', $reactions[2], ''', ''', $reactions[3], ''' and others') else '' " />
    <xsl:variable name="adv-docs" select=" if ($reaction-number = 0) then () else      $documents/cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']]      [.//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/cda:entry/cda:observation      [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:participant/cda:participantRole/cda:playingEntity/      cda:code[@displayName = $reactions[1] or cda:originalText = $reactions[1]]]     |      $documents/cda:ClinicalDocument[cda:templateId[      (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')     or      (@root = '1.2.36.1.2001.1001.101.100.1002.120' and (@extension = '1.3' or @extension = '1.4'))  or      (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')     or      (@root = '1.2.36.1.2001.1001.101.100.1002.136' and (@extension = '1.2' or @extension = '1.3'))  ]]      [.//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/cda:entry/cda:act[cda:code      [@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:participant[@typeCode='CAGNT']/cda:participantRole/cda:playingEntity/      cda:code[@displayName = $reactions[1] or cda:originalText = $reactions[1]]]     " />
    <xsl:variable name="adv-dates" select=" for $i in (1 to count($adv-docs)) return $adv-docs[$i]/cda:effectiveTime/@value " />
    <xsl:variable name="templateId-root" select="$adv-docs[1]/cda:templateId[exists(index-of($known-templateIds, @root))]/@root" />
    <xsl:variable name="templateId-ext" select="$adv-docs[1]/cda:templateId[exists(index-of($known-templateIds, @root))]/@extension" />
    <xsl:variable name="adv-document-name" select="if ($document-types/doc-type[@templateId = $templateId-root])         then $document-types/doc-type[@templateId = $templateId-root]/@name else 'unknown document type' " />
    <xsl:variable name="med-docs" select=" if ($reaction-number = 0) then () else     $documents/cda:ClinicalDocument[cda:templateId[     (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')     or     (@root = '1.2.36.1.2001.1001.101.100.1002.120' and (@extension = '1.3' or @extension = '1.4'))  or     (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')     or     (@root = '1.2.36.1.2001.1001.101.100.1002.136' and (@extension = '1.2' or @extension = '1.3'))  ]]     [.//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/cda:substanceAdministration/cda:consumable/     cda:manufacturedProduct/cda:manufacturedMaterial/cda:code[@displayName = $reactions[1] or cda:originalText = $reactions[1]]]        |     $documents/cda:ClinicalDocument[.//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1']]/cda:entry/     cda:substanceAdministration/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code[@displayName = $reactions[1] or cda:originalText = $reactions[1]]]   |     $documents/cda:ClinicalDocument[.//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/cda:consumable/     cda:manufacturedProduct/cda:manufacturedMaterial/cda:code[@displayName = $reactions[1] or cda:originalText = $reactions[1]]]        |     $documents/cda:ClinicalDocument[.//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/     cda:entryRelationship/cda:supply/cda:product/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code[@displayName = $reactions[1] or cda:originalText = $reactions[1]]] |     $documents/cda:ClinicalDocument[.//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16638']]/cda:entry/cda:substanceAdministration/cda:consumable/     cda:manufacturedProduct/cda:manufacturedMaterial/cda:code[@displayName = $reactions[1] or cda:originalText = $reactions[1]]]        " />
    <xsl:variable name="med-dates" select=" for $i in (1 to count($med-docs)) return $med-docs[$i]/cda:effectiveTime/@value " />
    <xsl:variable name="SHS-adv-message" select=" if (not($last-SHS)) then '' else          if($last-SHS[.//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/cda:entry/cda:act[cda:code         [@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:participant[@typeCode='CAGNT']/cda:participantRole/cda:playingEntity/         cda:code[@displayName = $reactions[1] or cda:originalText = $reactions[1]]])          then ' The adverse reaction to the substance was noted in the last Shared Health Summary.'         else ' The adverse reaction to the substance was not noted in the last Shared Health Summary.' " />
    <xsl:variable name="SHS-message" select=" if (not($last-SHS)) then 'There is no Shared Health Summary in this digital health record.'        else concat('The last Shared Health Summary was created ', $last-SHS/cda:effectiveTime/@value, '.') " />
    <!--REPORT -->
    <xsl:if test=" . ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test=".">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: The digital health record contains <xsl:text /><xsl:value-of select="$SHS-count" /><xsl:text /> Shared Health Summaries.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $substance-number &gt; 0 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$substance-number &gt; 0">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: The <xsl:text /><xsl:value-of select="$document-count" /><xsl:text /> documents obtained from the digital health record state that the healthcare consumer has an adverse reaction to
		<xsl:text /><xsl:value-of select="$substance-count" /><xsl:text /> medications. They are <xsl:text /><xsl:value-of select="$substance-display" /><xsl:text />.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $medication-number &gt; 0 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$medication-number &gt; 0">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: The <xsl:text /><xsl:value-of select="$document-count" /><xsl:text /> documents obtained from the digital health record list <xsl:text /><xsl:value-of select="$medication-count" /><xsl:text /> medications and other therapeutic goods
		prescribed, dispensed or taken by the healthcare consumer. They are <xsl:text /><xsl:value-of select="$medication-display" /><xsl:text />.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $reaction-number &gt; 0 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$reaction-number &gt; 0">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: The <xsl:text /><xsl:value-of select="$document-count" /><xsl:text /> documents obtained from the digital health record list <xsl:text /><xsl:value-of select="$medication-count" /><xsl:text /> medications and other therapeutic goods
		prescribed, dispensed or taken by the healthcare consumer and the healthcare consumer has an adverse reaction to <xsl:text /><xsl:value-of select="$reaction-count" /><xsl:text /> of these
		(<xsl:text /><xsl:value-of select="$reaction-display" /><xsl:text />, first recorded <xsl:text /><xsl:value-of select="$adv-dates[1]" /><xsl:text />  in a <xsl:text /><xsl:value-of select="$adv-document-name" /><xsl:text /> and last dispensed or being used on <xsl:text /><xsl:value-of select="$med-dates[1]" /><xsl:text />.).
		<xsl:text /><xsl:value-of select="$SHS-message" /><xsl:text /><xsl:text /><xsl:value-of select="$SHS-adv-message" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M25" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M25" />
  <xsl:template match="@*|node()" priority="-2" mode="M25">
    <xsl:apply-templates select="@*|*" mode="M25" />
  </xsl:template>
  <!--PATTERN p-TS-Statistics-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false') and $document-number &gt; 1 and cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']]" priority="1000" mode="M26">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false') and $document-number &gt; 1 and cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']]" />
    <xsl:variable name="discharge-docs" select="$documents/cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4']] " />
    <xsl:variable name="discharge-num" select="count($discharge-docs) " />
    <xsl:variable name="encounter-de" select="$discharge-docs/cda:componentOf/cda:encompassingEncounter/cda:effectiveTime" />
    <xsl:variable name="encounter-start" select="($encounter-de/@value, $encounter-de/cda:low/@value)" />
    <xsl:variable name="encounter-start-num" select="count($encounter-start) " />
    <xsl:variable name="encounter-end" select="($encounter-de/@value, $encounter-de/cda:high/@value)" />
    <xsl:variable name="encounter-end-num" select="count($encounter-end) " />
    <xsl:variable name="problems-sec" select="$discharge-docs/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16006']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16142']] " />
    <xsl:variable name="problems-sec-num" select="count($problems-sec) " />
    <xsl:variable name="problems-de" select="$problems-sec/cda:entry/cda:observation[@classCode='OBS' and         not(cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.4.3.1'])]/cda:value" />
    <xsl:variable name="problems-de-num" select="count($problems-de) " />
    <xsl:variable name="problems-sct-num" select="count($problems-de[(@code and @codeSystem='2.16.840.1.113883.6.96') or cda:translation[@code and @codeSystem='2.16.840.1.113883.6.96']])" />
    <xsl:variable name="problems-excl" select="$problems-sec/cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.4.3.1']]/cda:value" />
    <xsl:variable name="problems-excl-num" select="count($problems-excl) " />
    <xsl:variable name="interventions-sec" select="$discharge-docs/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16006']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20109']] " />
    <xsl:variable name="interventions-sec-num" select="count($interventions-sec) " />
    <xsl:variable name="interventions-de" select="$interventions-sec/cda:entry/cda:procedure[@classCode='PROC']/cda:code" />
    <xsl:variable name="interventions-de-num" select="count($interventions-de) " />
    <xsl:variable name="interventions-sct-num" select="count($interventions-de[(@code and @codeSystem='2.16.840.1.113883.6.96') or cda:translation[@code and @codeSystem='2.16.840.1.113883.6.96']])" />
    <xsl:variable name="synopsis-sec" select="$discharge-docs/cda:component/cda:structuredBody/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16006']]/        cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15513.4.1.1']] " />
    <xsl:variable name="synopsis-sec-num" select="count($synopsis-sec) " />
    <xsl:variable name="current-meds-sec" select="$discharge-docs/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1']]" />
    <xsl:variable name="current-meds-sec-num" select="count($current-meds-sec)" />
    <xsl:variable name="current-meds-de" select="$current-meds-sec/cda:entry/        cda:substanceAdministration/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code" />
    <xsl:variable name="current-meds-de-num" select="count($current-meds-de)" />
    <xsl:variable name="current-meds-sct-num" select="count($current-meds-de[(@code and @codeSystem='2.16.840.1.113883.6.96') or cda:translation[@code and @codeSystem='2.16.840.1.113883.6.96']])" />
    <xsl:variable name="current-meds-reason-de" select="$current-meds-sec/cda:entry/cda:substanceAdministration/cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.10141']]/cda:text " />
    <xsl:variable name="current-meds-reason-de-num" select="count($current-meds-reason-de)" />
    <xsl:variable name="current-meds-crsn-de" select="$current-meds-sec/cda:entry/cda:substanceAdministration/        cda:entryRelationship[@typeCode='SPRT']/cda:observation[@moodCode='EVN']/cda:entryRelationship/        cda:act[@moodCode='EVN' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.10177']]/cda:text " />
    <xsl:variable name="current-meds-crsn-de-num" select="count($current-meds-crsn-de)" />
    <xsl:variable name="current-meds-excl" select="$current-meds-sec/cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.4.3.2']]/cda:value" />
    <xsl:variable name="current-meds-excl-num" select="count($current-meds-excl)" />
    <xsl:variable name="ceased-meds-sec" select="$discharge-docs/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.2']]" />
    <xsl:variable name="ceased-meds-sec-num" select="count($ceased-meds-sec)" />
    <xsl:variable name="ceased-meds-de" select="$ceased-meds-sec/cda:entry/cda:substanceAdministration/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code" />
    <xsl:variable name="ceased-meds-de-num" select="count($ceased-meds-de)" />
    <xsl:variable name="ceased-meds-sct-num" select="count($ceased-meds-de[(@code and @codeSystem='2.16.840.1.113883.6.96') or cda:translation[@code and @codeSystem='2.16.840.1.113883.6.96']])" />
    <xsl:variable name="ceased-meds-crsn-de" select="/cda:entry/cda:substanceAdministration/        cda:entryRelationship/cda:observation/cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.10177']]/cda:text" />
    <xsl:variable name="ceased-meds-crsn-de-num" select="count($ceased-meds-crsn-de)" />
    <xsl:variable name="ceased-meds-excl" select="$ceased-meds-sec/cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.4.3.3']]/cda:value" />
    <xsl:variable name="ceased-meds-excl-num" select="count($ceased-meds-excl)" />
    <xsl:variable name="adverse-sec" select="$discharge-docs/cda:component/cda:structuredBody/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16011']]/        cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]" />
    <xsl:variable name="adverse-sec-num" select="count($adverse-sec)" />
    <xsl:variable name="adverse-de" select="$adverse-sec/cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/        cda:participant/cda:participantRole/cda:playingEntity/cda:code" />
    <xsl:variable name="adverse-de-num" select="count($adverse-de)" />
    <xsl:variable name="adverse-sct-num" select="count($adverse-de[(@code and @codeSystem='2.16.840.1.113883.6.96') or cda:translation[@code and @codeSystem='2.16.840.1.113883.6.96']])" />
    <xsl:variable name="adverse-excl" select="$adverse-sec/cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.4.3.4']]/cda:value" />
    <xsl:variable name="adverse-excl-num" select="count($adverse-excl)" />
    <xsl:variable name="mfst-de" select="$adverse-sec/cda:entry/cda:observation/cda:entryRelationship[@typeCode='MFST']/cda:observation/cda:code" />
    <xsl:variable name="mfst-de-num" select="count($mfst-de)" />
    <xsl:variable name="mfst-sct-num" select="count($mfst-de[(@code and @codeSystem='2.16.840.1.113883.6.96') or cda:translation[@code and @codeSystem='2.16.840.1.113883.6.96']])" />
    <xsl:variable name="diagnostics-sec" select="$discharge-docs/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16006']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]" />
    <xsl:variable name="pathology-sec" select="$diagnostics-sec/cda:component/cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']" />
    <xsl:variable name="pathology-sec-num" select="count($pathology-sec)" />
    <xsl:variable name="imaging-sec" select="$diagnostics-sec/cda:component/cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']" />
    <xsl:variable name="imaging-sec-num" select="count($imaging-sec)" />
    <xsl:variable name="diag-sec" select="$diagnostics-sec/cda:component/cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16029']" />
    <xsl:variable name="diag-sec-num" select="count($diag-sec)" />
    <xsl:variable name="arranged-sec" select="$discharge-docs/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16020']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16021']] " />
    <xsl:variable name="arranged-sec-num" select="count($arranged-sec) " />
    <xsl:variable name="recommend-sec" select="$discharge-docs/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16020']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20016']] " />
    <xsl:variable name="recommend-sec-num" select="count($recommend-sec) " />
    <!--REPORT -->
    <xsl:if test=" $discharge-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$discharge-num &gt; 1">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: The collection of documents contains
		<xsl:text /><xsl:value-of select="if ($numbers/number[number(@value) = $discharge-num]) then $numbers/number[number(@value) = $discharge-num]/@name else $discharge-num" /><xsl:text />
		Discharge Summaries from the same source system.
		The start of the encounter is recorded in
		<xsl:text /><xsl:value-of select="if ($numbers/number[number(@value) = $encounter-start-num]) then $numbers/number[number(@value) = $encounter-start-num]/@name else $encounter-start-num" /><xsl:text />
		Discharge Summaries and the end of the encounter (the discharge date) is recorded in
		<xsl:text /><xsl:value-of select="if ($numbers/number[number(@value) = $encounter-end-num]) then $numbers/number[number(@value) = $encounter-end-num]/@name else $encounter-end-num" /><xsl:text />
		Discharge Summaries.
		There are <xsl:text /><xsl:value-of select="if ($numbers/number[number(@value) = $problems-sec-num]) then $numbers/number[number(@value) = $problems-sec-num]/@name else $problems-sec-num" /><xsl:text />
		Problems/Diagnoses This Visit sections and a total of
		<xsl:text /><xsl:value-of select="if ($numbers/number[number(@value) = $problems-de-num]) then $numbers/number[number(@value) = $problems-de-num]/@name else $problems-de-num" /><xsl:text />
		medical problems (i.e. Problem/Diagnosis Description data elements<xsl:text /><xsl:value-of select="if ($problems-de-num = 0) then ').'   else concat(', ', if ($numbers/number[number(@value) = $problems-sct-num]) then $numbers/number[number(@value) = $problems-sct-num]/@name else $problems-sct-num,    ' have SNOMED CT-AU codes).') " /><xsl:text />
		There are <xsl:text /><xsl:value-of select="if ($numbers/number[number(@value) = $problems-excl-num]) then $numbers/number[number(@value) = $problems-excl-num]/@name else $problems-excl-num" /><xsl:text />
		exclusion statements in the Problems/Diagnoses This Visit sections.

		There are <xsl:text /><xsl:value-of select="if ($numbers/number[number(@value) = $interventions-sec-num]) then $numbers/number[number(@value) = $interventions-sec-num]/@name else $interventions-sec-num" /><xsl:text />
		Clinical Interventions Performed This Visit sections and a total of
		<xsl:text /><xsl:value-of select="if ($numbers/number[number(@value) = $interventions-de-num]) then $numbers/number[number(@value) = $interventions-de-num]/@name else $interventions-de-num" /><xsl:text />
		procedures (i.e. Clinical Intervention Description data elements<xsl:text /><xsl:value-of select="if ($interventions-de-num = 0) then ').'   else concat(', ', if ($numbers/number[number(@value) = $interventions-sct-num]) then $numbers/number[number(@value) = $interventions-sct-num]/@name else $interventions-sct-num,    ' have SNOMED CT-AU codes).') " /><xsl:text />

		There are <xsl:text /><xsl:value-of select="if ($numbers/number[number(@value) = $synopsis-sec-num]) then $numbers/number[number(@value) = $synopsis-sec-num]/@name else $synopsis-sec-num" /><xsl:text />
		Clinical Synopsis sections.
		There are <xsl:text /><xsl:value-of select="if ($numbers/number[number(@value) = $current-meds-sec-num]) then $numbers/number[number(@value) = $current-meds-sec-num]/@name else $current-meds-sec-num" /><xsl:text />
		Current Medications on Discharge sections and a total of
		<xsl:text /><xsl:value-of select="if ($numbers/number[number(@value) = $current-meds-de-num]) then $numbers/number[number(@value) = $current-meds-de-num]/@name else $current-meds-de-num" /><xsl:text />
		medications on discharge<xsl:text /><xsl:value-of select="if ($current-meds-de-num = 0) then '.'   else concat(' (', if ($numbers/number[number(@value) = $current-meds-sct-num]) then $numbers/number[number(@value) = $current-meds-sct-num]/@name else $current-meds-sct-num,    ' have SNOMED CT-AU codes).') " /><xsl:text />
		There are <xsl:text /><xsl:value-of select="if ($numbers/number[number(@value) = $current-meds-reason-de-num]) then $numbers/number[number(@value) = $current-meds-reason-de-num]/@name else $current-meds-reason-de-num" /><xsl:text />
		medicines on discharge provided with a reason for the medicine and
		<xsl:text /><xsl:value-of select="if ($numbers/number[number(@value) = $current-meds-crsn-de-num]) then $numbers/number[number(@value) = $current-meds-crsn-de-num]/@name else $current-meds-crsn-de-num" /><xsl:text />
		have a reason for changing the medicine.
		There are <xsl:text /><xsl:value-of select="if ($numbers/number[number(@value) = $current-meds-excl-num]) then $numbers/number[number(@value) = $current-meds-excl-num]/@name else $current-meds-excl-num" /><xsl:text />
		exclusion statements in the Current Medications on Discharge sections.

		There are <xsl:text /><xsl:value-of select="if ($numbers/number[number(@value) = $ceased-meds-sec-num]) then $numbers/number[number(@value) = $ceased-meds-sec-num]/@name else $ceased-meds-sec-num" /><xsl:text />
		Ceased Medications sections and a total of
		<xsl:text /><xsl:value-of select="if ($numbers/number[number(@value) = $ceased-meds-de-num]) then $numbers/number[number(@value) = $ceased-meds-de-num]/@name else $ceased-meds-de-num" /><xsl:text />
		ceased medications<xsl:text /><xsl:value-of select="if ($ceased-meds-de-num = 0) then '.'   else concat('(', if ($numbers/number[number(@value) = $ceased-meds-sct-num]) then $numbers/number[number(@value) = $ceased-meds-sct-num]/@name else $ceased-meds-sct-num,    ' have SNOMED CT-AU codes).') " /><xsl:text />
		There are <xsl:text /><xsl:value-of select="if ($numbers/number[number(@value) = $ceased-meds-crsn-de-num]) then $numbers/number[number(@value) = $ceased-meds-crsn-de-num]/@name else $ceased-meds-crsn-de-num" /><xsl:text />
		ceased medicines with a reason for ceasing the medicine.
		There are <xsl:text /><xsl:value-of select="if ($numbers/number[number(@value) = $ceased-meds-excl-num]) then $numbers/number[number(@value) = $ceased-meds-excl-num]/@name else $ceased-meds-excl-num" /><xsl:text />
		exclusion statements in the Ceased Medications sections.

		There are <xsl:text /><xsl:value-of select="if ($numbers/number[number(@value) = $adverse-sec-num]) then $numbers/number[number(@value) = $adverse-sec-num]/@name else $adverse-sec-num" /><xsl:text />
		Adverse Reactions sections, a total of
		<xsl:text /><xsl:value-of select="if ($numbers/number[number(@value) = $adverse-de-num]) then $numbers/number[number(@value) = $adverse-de-num]/@name else $adverse-de-num" /><xsl:text />
		adverse reaction substances (Agent Description, also called Substance/Agent) data elements<xsl:text /><xsl:value-of select="if ($adverse-de-num = 0) then ','   else concat(' (', if ($numbers/number[number(@value) = $adverse-sct-num]) then $numbers/number[number(@value) = $adverse-sct-num]/@name else $adverse-sct-num,    ' have SNOMED CT-AU codes),') " /><xsl:text /> and a total of
		<xsl:text /><xsl:value-of select="if ($numbers/number[number(@value) = $mfst-de-num]) then $numbers/number[number(@value) = $mfst-de-num]/@name else $mfst-de-num" /><xsl:text />
		adverse reaction description (also called Manifestation) data elements<xsl:text /><xsl:value-of select="if ($mfst-de-num = 0) then '.'   else concat(' (', if ($numbers/number[number(@value) = $mfst-sct-num]) then $numbers/number[number(@value) = $mfst-sct-num]/@name else $mfst-sct-num,    ' have SNOMED CT-AU codes).') " /><xsl:text />
		There are <xsl:text /><xsl:value-of select="if ($numbers/number[number(@value) = $adverse-excl-num]) then $numbers/number[number(@value) = $adverse-excl-num]/@name else $adverse-excl-num" /><xsl:text />
		exclusion statements in the Adverse Reactions sections.

		There are <xsl:text /><xsl:value-of select="if ($numbers/number[number(@value) = $pathology-sec-num]) then $numbers/number[number(@value) = $pathology-sec-num]/@name else $pathology-sec-num" /><xsl:text />
		Pathology Test Result sections,
		<xsl:text /><xsl:value-of select="if ($numbers/number[number(@value) = $imaging-sec-num]) then $numbers/number[number(@value) = $imaging-sec-num]/@name else $imaging-sec-num" /><xsl:text />
		Imaging Examination Result sections and
		<xsl:text /><xsl:value-of select="if ($numbers/number[number(@value) = $diag-sec-num]) then $numbers/number[number(@value) = $diag-sec-num]/@name else $diag-sec-num" /><xsl:text />
		Diagnostic Investigation sections.
		There are <xsl:text /><xsl:value-of select="if ($numbers/number[number(@value) = $arranged-sec-num]) then $numbers/number[number(@value) = $arranged-sec-num]/@name else $arranged-sec-num" /><xsl:text />
		Arranged Services sections.
		There are <xsl:text /><xsl:value-of select="if ($numbers/number[number(@value) = $recommend-sec-num]) then $numbers/number[number(@value) = $recommend-sec-num]/@name else $recommend-sec-num" /><xsl:text />
		Record Of Recommendations And Information Provided sections.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M26" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M26" />
  <xsl:template match="@*|node()" priority="-2" mode="M26">
    <xsl:apply-templates select="@*|*" mode="M26" />
  </xsl:template>
  <!--PATTERN p-TS-Statistics-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flags/@report-statistics = 'true' and '102.16211' = $doc-sections]   [count($documents) &gt; 100 and count($documents/cda:ClinicalDocument[//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]]) &gt; 100] " priority="1000" mode="M27">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flags/@report-statistics = 'true' and '102.16211' = $doc-sections]   [count($documents) &gt; 100 and count($documents/cda:ClinicalDocument[//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]]) &gt; 100] " />
    <xsl:variable name="doc-with-pres-item-count" select="if ($numbers/number[@value = count($documents/cda:ClinicalDocument[   //cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]])])    then $numbers/number[number(@value) = count($documents/cda:ClinicalDocument[    //cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]])]/@name    else count($documents/cda:ClinicalDocument[//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]])" />
    <xsl:variable name="TGS-count" select="if ($numbers/number[@value = count($documents//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/    cda:entry/cda:substanceAdministration/    cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16769.170.1.1']]/cda:text)])    then $numbers/number[number(@value) = count($documents//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/    cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16769.170.1.1']]/cda:text)]/@name    else count($documents//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/    cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16769.170.1.1']]/cda:text)" />
    <xsl:variable name="TGGN-count" select="if ($numbers/number[@value = count($documents//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/    cda:entry/cda:substanceAdministration/    cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:name)])    then $numbers/number[number(@value) = count($documents//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/    cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:name)]/@name    else count($documents//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/    cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:name)" />
    <xsl:variable name="form-count" select="if ($numbers/number[@value = count($documents//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/    cda:entry/cda:substanceAdministration/cda:consumable/    cda:manufacturedProduct/cda:manufacturedMaterial/ext:formCode)])    then $numbers/number[number(@value) = count($documents//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/    cda:entry/cda:substanceAdministration/cda:consumable/    cda:manufacturedProduct/cda:manufacturedMaterial/ext:formCode)]/@name    else count($documents//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/cda:consumable/    cda:manufacturedProduct/cda:manufacturedMaterial/ext:formCode)" />
    <xsl:variable name="directions-count" select="if ($numbers/number[@value = count($documents//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/   cda:entry/cda:substanceAdministration/cda:text)])    then $numbers/number[number(@value) = count($documents//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/    cda:entry/cda:substanceAdministration/cda:text)]/@name    else count($documents//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/cda:text)" />
    <xsl:variable name="route-count" select="if ($numbers/number[@value = count($documents//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/    cda:entry/cda:substanceAdministration/cda:routeCode)])    then $numbers/number[number(@value) = count($documents//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/    cda:entry/cda:substanceAdministration/cda:routeCode)]/@name    else count($documents//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/cda:routeCode)" />
    <xsl:variable name="formula-count" select="if ($numbers/number[@value = count($documents//cda:section[    cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/    cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16272']]/cda:text)])    then $numbers/number[number(@value) = count($documents//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/    cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16272']]/cda:text)]/@name    else count($documents//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/    cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16272']]/cda:text)" />
    <xsl:variable name="indication-count" select="if ($numbers/number[@value = count($documents//cda:section[    cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/    cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.10141']]/cda:text)])    then $numbers/number[number(@value) = count($documents//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/    cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.10141']]/cda:text)]/@name    else count($documents//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/    cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.10141']]/cda:text)" />
    <xsl:variable name="comment-count" select="if ($numbers/number[@value = count($documents//cda:section[    cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/    cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16044']]/cda:text)])    then $numbers/number[number(@value) = count($documents//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/    cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16044']]/cda:text)]/@name    else count($documents//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/    cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16044']]/cda:text)" />
    <xsl:variable name="max-repeat-count" select="if ($numbers/number[@value = count($documents//cda:section[    cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/cda:repeatNumber/cda:high)])    then $numbers/number[number(@value) = count($documents//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/    cda:entry/cda:substanceAdministration/cda:repeatNumber/cda:high)]/@name    else count($documents//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/cda:repeatNumber/cda:high)" />
    <xsl:variable name="min-interval-count" select="if ($numbers/number[@value = count($documents//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/    cda:entry/cda:substanceAdministration/    cda:entryRelationship/cda:supply/cda:effectiveTime/cda:period)])    then $numbers/number[number(@value) = count($documents//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/    cda:entryRelationship/cda:supply/cda:effectiveTime/cda:period)]/@name    else count($documents//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/    cda:entry/cda:substanceAdministration/cda:entryRelationship/cda:supply/cda:effectiveTime/cda:period)" />
    <xsl:variable name="PBS-man-count" select="if ($numbers/number[@value = count($documents//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/    cda:entry/cda:substanceAdministration/cda:consumable/cda:manufacturedProduct/cda:manufacturerOrganization/cda:id)])    then $numbers/number[number(@value) = count($documents//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/    cda:entry/cda:substanceAdministration/cda:consumable/cda:manufacturedProduct/cda:manufacturerOrganization/cda:id)]/@name    else count($documents//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/    cda:entry/cda:substanceAdministration/cda:consumable/cda:manufacturedProduct/cda:manufacturerOrganization/cda:id)" />
    <!--REPORT -->
    <xsl:if test=" . ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test=".">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

	    	Finding: In the collection of <xsl:text /><xsl:value-of select="$document-count" /><xsl:text /> documents there are <xsl:text /><xsl:value-of select="$doc-with-pres-item-count" /><xsl:text /> documents with information about medication 
		prescribing. The optional data elements about prescribed medications are listed here along with the number of times the data element was found:

		Therapeutic Good Strength (<xsl:text /><xsl:value-of select="$TGS-count" /><xsl:text />);
		Therapeutic Good Generic Name (<xsl:text /><xsl:value-of select="$TGGN-count" /><xsl:text />);
		Form (<xsl:text /><xsl:value-of select="$form-count" /><xsl:text />);
		Directions (<xsl:text /><xsl:value-of select="$directions-count" /><xsl:text />);
		Route (<xsl:text /><xsl:value-of select="$route-count" /><xsl:text />);
		Formula (<xsl:text /><xsl:value-of select="$formula-count" /><xsl:text />);
		Clinical Indication (<xsl:text /><xsl:value-of select="$indication-count" /><xsl:text />);
		Comment (<xsl:text /><xsl:value-of select="$comment-count" /><xsl:text />);
		Maximum Number of Repeats (<xsl:text /><xsl:value-of select="$max-repeat-count" /><xsl:text />);
		Minimum Interval Between Repeats (<xsl:text /><xsl:value-of select="$min-interval-count" /><xsl:text />); and
		PBS Manufacturer Code (<xsl:text /><xsl:value-of select="$PBS-man-count" /><xsl:text />).

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M27" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M27" />
  <xsl:template match="@*|node()" priority="-2" mode="M27">
    <xsl:apply-templates select="@*|*" mode="M27" />
  </xsl:template>
  <!--PATTERN p-TS-Statistics-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flags/@report-statistics = 'true' and '102.16210' = $doc-sections]   [count($documents) &gt; 100 and count($documents/cda:ClinicalDocument[//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]]) &gt; 100] " priority="1000" mode="M28">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flags/@report-statistics = 'true' and '102.16210' = $doc-sections]   [count($documents) &gt; 100 and count($documents/cda:ClinicalDocument[//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]]) &gt; 100] " />
    <xsl:variable name="doc-with-disp-item-count" select="if ($numbers/number[@value = count($documents/cda:ClinicalDocument[//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]])])    then $numbers/number[number(@value) = count($documents/cda:ClinicalDocument[//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]])]/@name    else count($documents/cda:ClinicalDocument[//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]])" />
    <xsl:variable name="TGS-count" select="if ($numbers/number[@value = count($documents//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/    cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16769.171.1.1']]/cda:text)])    then $numbers/number[number(@value) = count($documents//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/    cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16769.171.1.1']]/cda:text)]/@name    else count($documents//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/    cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16769.171.1.1']]/cda:text)" />
    <xsl:variable name="TGGN-count" select="if ($numbers/number[@value = count($documents//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/    cda:entryRelationship/cda:supply/cda:product/cda:manufacturedProduct/cda:manufacturedMaterial/cda:name)])    then $numbers/number[number(@value) = count($documents//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/    cda:entryRelationship/cda:supply/cda:product/cda:manufacturedProduct/cda:manufacturedMaterial/cda:name)]/@name    else count($documents//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/    cda:entryRelationship/cda:supply/cda:product/cda:manufacturedProduct/cda:manufacturedMaterial/cda:name)" />
    <xsl:variable name="formula-count" select="if ($numbers/number[@value = count($documents//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/    cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16272']]/cda:text)])    then $numbers/number[number(@value) = count($documents//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/    cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16272']]/cda:text)]/@name    else count($documents//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/    cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16272']]/cda:text)" />
    <xsl:variable name="form-count" select="if ($numbers/number[@value = count($documents//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/    cda:substanceAdministration/cda:entryRelationship/cda:supply/cda:product/cda:manufacturedProduct/cda:manufacturedMaterial/ext:formCode)])    then $numbers/number[number(@value) = count($documents//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/    cda:substanceAdministration/cda:entryRelationship/cda:supply/cda:product/cda:manufacturedProduct/cda:manufacturedMaterial/ext:formCode)]/@name    else count($documents//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/    cda:substanceAdministration/cda:entryRelationship/cda:supply/cda:product/cda:manufacturedProduct/cda:manufacturedMaterial/ext:formCode)" />
    <xsl:variable name="label-count" select="if ($numbers/number[@value = count($documents//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/    cda:entryRelationship/cda:supply/cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16109']]/cda:text)])    then $numbers/number[number(@value) = count($documents//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/    cda:entryRelationship/cda:supply/cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16109']]/cda:text)]/@name    else count($documents//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/    cda:entryRelationship/cda:supply/cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16109']]/cda:text)" />
    <xsl:variable name="quantity-count" select="if ($numbers/number[@value = count($documents//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/    cda:entryRelationship/cda:supply/cda:entryRelationship/cda:act[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='246205007']]/cda:text)])    then $numbers/number[number(@value) = count($documents//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/    cda:entryRelationship/cda:supply/cda:entryRelationship/cda:act[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='246205007']]/cda:text)]/@name    else count($documents//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/    cda:entryRelationship/cda:supply/cda:entryRelationship/cda:act[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='246205007']]/cda:text)" />
    <xsl:variable name="description-count" select="if ($numbers/number[@value = count($documents//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/    cda:entryRelationship/cda:supply/cda:product/cda:manufacturedProduct/cda:manufacturedMaterial/ext:desc)])    then $numbers/number[number(@value) = count($documents//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/    cda:entryRelationship/cda:supply/cda:product/cda:manufacturedProduct/cda:manufacturedMaterial/ext:desc)]/@name    else count($documents//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/    cda:entryRelationship/cda:supply/cda:product/cda:manufacturedProduct/cda:manufacturedMaterial/ext:desc)" />
    <xsl:variable name="brand-sub-count" select="if ($numbers/number[@value = count($documents//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/    cda:entryRelationship/cda:supply/cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16064']]/cda:value)])    then $numbers/number[number(@value) = count($documents//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/    cda:entryRelationship/cda:supply/cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16064']]/cda:value)]/@name    else count($documents//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/    cda:entryRelationship/cda:supply/cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16064']]/cda:value)" />
    <xsl:variable name="disp-number-count" select="if ($numbers/number[@value = count($documents//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/    cda:entryRelationship/cda:sequenceNumber)])    then $numbers/number[number(@value) = count($documents//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/    cda:entryRelationship/cda:sequenceNumber)]/@name    else count($documents//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/    cda:entryRelationship/cda:sequenceNumber)" />
    <xsl:variable name="repeat-number-count" select="if ($numbers/number[@value = count($documents//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/    cda:entry/cda:substanceAdministration/cda:repeatNumber/cda:high)])    then $numbers/number[number(@value) = count($documents//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/cda:repeatNumber/cda:high)]/@name    else count($documents//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/cda:repeatNumber/cda:high)" />
    <xsl:variable name="comment-count" select="if ($numbers/number[@value = count($documents//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/    cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16044']]/cda:text)])    then $numbers/number[number(@value) = count($documents//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/    cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16044']]/cda:text)]/@name    else count($documents//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/    cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16044']]/cda:text)" />
    <xsl:variable name="PBS-man-count" select="if ($numbers/number[@value = count($documents//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/    cda:entryRelationship/cda:supply/cda:product/cda:manufacturedProduct/cda:manufacturerOrganization/cda:id)])    then $numbers/number[number(@value) = count($documents//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/    cda:entryRelationship/cda:supply/cda:product/cda:manufacturedProduct/cda:manufacturerOrganization/cda:id)]/@name    else count($documents//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/    cda:entryRelationship/cda:supply/cda:product/cda:manufacturedProduct/cda:manufacturerOrganization/cda:id)" />
    <xsl:variable name="PII-count" select="if ($numbers/number[@value = count($documents//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/cda:id)])    then $numbers/number[number(@value) = count($documents//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/cda:id)]/@name    else count($documents//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/cda:id)" />
    <xsl:variable name="UPPN-count" select="if ($numbers/number[@value = count($documents//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/    cda:entryRelationship/cda:supply/cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16786']]/cda:text)])    then $numbers/number[number(@value) = count($documents//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/    cda:entryRelationship/cda:supply/cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16786']]/cda:text)]/@name    else count($documents//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/    cda:entryRelationship/cda:supply/cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16786']]/cda:text)" />
    <!--REPORT -->
    <xsl:if test=" . ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test=".">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

	    	Finding: In the collection of <xsl:text /><xsl:value-of select="$document-count" /><xsl:text /> documents there are <xsl:text /><xsl:value-of select="$doc-with-disp-item-count" /><xsl:text /> documents with information about medication dispensing.
		The optional data elements about dispensed items are listed here along with the number of times the data element was found:

		Therapeutic Good Strength (<xsl:text /><xsl:value-of select="$TGS-count" /><xsl:text />);
		Therapeutic Good Generic Name (<xsl:text /><xsl:value-of select="$TGGN-count" /><xsl:text />);
		Formula (<xsl:text /><xsl:value-of select="$formula-count" /><xsl:text />);
		Form (<xsl:text /><xsl:value-of select="$form-count" /><xsl:text />);
		Label Instruction (<xsl:text /><xsl:value-of select="$label-count" /><xsl:text />);
		Quantity Description (<xsl:text /><xsl:value-of select="$quantity-count" /><xsl:text />);
		Additional Dispensed Item Description (<xsl:text /><xsl:value-of select="$description-count" /><xsl:text />);
		Brand Substitution Occurred (<xsl:text /><xsl:value-of select="$brand-sub-count" /><xsl:text />);
		Number of this Dispense (<xsl:text /><xsl:value-of select="$disp-number-count" /><xsl:text />);
		Maximum Number of Repeats (<xsl:text /><xsl:value-of select="$repeat-number-count" /><xsl:text />);
		Comment (<xsl:text /><xsl:value-of select="$comment-count" /><xsl:text />);
		PBS Manufacturer Code (<xsl:text /><xsl:value-of select="$PBS-man-count" /><xsl:text />);
		Prescription Item Identifier (<xsl:text /><xsl:value-of select="$PII-count" /><xsl:text />); and
		Unique Pharmacy Prescription Number (<xsl:text /><xsl:value-of select="$UPPN-count" /><xsl:text />).

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M28" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M28" />
  <xsl:template match="@*|node()" priority="-2" mode="M28">
    <xsl:apply-templates select="@*|*" mode="M28" />
  </xsl:template>
  <!--PATTERN p-TS-ACDCustodian-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16694' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16694'] " priority="1000" mode="M29">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16694' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16694'] " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating" select="if ($initial-priority) then $initial-rating else if ($FS-Types-seq/@rating) then concat(' (', $FS-Types-seq/@rating, ')') else '' " />
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and not(/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.156' and @extension = '1.0']) and $extensions-allowed">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.156' and @extension = '1.0']) and $extensions-allowed">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: FS-Types: The Advance Care Directive Custodian Entries section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16694') has been found in a <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. The Advance Care Directive Custodian Entries section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16694') is defined in the digital health specifications but
		although tests have been applied to the data elements the specification of the data elements may have been varied for inclusion in this document
		so further examination may be needed. The rules have been validated for <xsl:text /><xsl:value-of select="normalize-space('Advance Care Directive Custodian Record CDA Implementation Guide version 1.0')" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M29" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M29" />
  <xsl:template match="@*|node()" priority="-2" mode="M29">
    <xsl:apply-templates select="@*|*" mode="M29" />
  </xsl:template>
  <!--PATTERN p-TS-ACDCustodian-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16694' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16694']]/cda:component/cda:section " priority="1000" mode="M30">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16694' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16694']]/cda:component/cda:section " />
    <xsl:variable name="agency-section" select=" cda:code/@codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="test-step" select=" if (not($extensions-allowed)) then 'step 4'        else if ($agency-section) then 'step 3' else 'step 1' " />
    <xsl:variable name="title-and-code" select=" if (cda:title and cda:code/@code) then concat('title ''', cda:title, ''', code/code ''', cda:code/@code, '''')        else if (cda:title and not(cda:code/@code)) then concat('title ''', cda:title, '''')        else if (not(cda:title) and cda:code/@code) then concat('code/code ''', cda:code/@code, '''')        else '' " />
    <xsl:variable name="other-section-names" select=" if (cda:code/@displayName and not(cda:code/cda:originalText)) then concat(' and code/displayName ''', cda:code/@displayName, '''')         else if (cda:code/@displayName and cda:code/cda:originalText)          then concat(', code/displayName ''', cda:code/@displayName,''' and code/originalText ''', cda:code/cda:originalText, '''')        else if (not(cda:code/@displayName) and cda:code/cda:originalText) then concat(' and code/originalText ''', cda:code/cda:originalText, '''')        else '' " />
    <xsl:variable name="section-names" select="concat($title-and-code, $other-section-names)" />
    <xsl:variable name="doc-code" select="/cda:ClinicalDocument/cda:code" />
    <xsl:variable name="parent-section" select="ancestor::cda:section[position()=1]" />
    <xsl:variable name="custom-section-info" select="($iq-config/custom-sections/section, $knowledge/custom-sections/section)[        @doc-code  = $doc-code/@code          and        @doc-codeSystem  = $doc-code/@codeSystem          and        @parent-code   = $parent-section/cda:code/@code         and         @parent-codeSystem  = $parent-section/cda:code/@codeSystem        and         (@title = current()/cda:title or (@code = current()/cda:code/@code and @codeSystem = current()/cda:code/@codeSystem)) ] " />
    <xsl:variable name="section-disallowed" select="$custom-section-info/@disallowed = 'yes' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and ($section-disallowed or not(exists($custom-section-info)))) then $rating-alt-TC-Doc-28-step-1        else if ($test-step = 'step 1' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections]) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 3') then $rating-TC-Doc-28-step-3 else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and $section-disallowed ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and $section-disallowed">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Advance Care Directive Custodian Entries section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16694') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> which
		is an extension to the information model however the inclusion of this section conflicts with sections defined in the digital health specifications.
		<xsl:text /><xsl:value-of select="$custom-section-info[@disallowed = 'yes']/@reason" /><xsl:text /> (Also see <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not(false()) and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(false()) and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Advance Care Directive Custodian Entries section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16694') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. No subsection is expected so this
		is an extension to the information model. Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the 
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(false()) and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(false()) and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Advance Care Directive Custodian Entries section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16694') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> but no subsections were
		expected so the document fails to meet the requirement that it must not contain additional data elements. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and false() and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and false() and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Advance Care Directive Custodian Entries section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16694') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		none are expected but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the information model.
		Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Advance Care Directive Custodian Entries section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16694') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		none are expected but the inclusion of the section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> fails to meet the requirement that it must not contain additional data elements.
		(See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M30" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M30" />
  <xsl:template match="@*|node()" priority="-2" mode="M30">
    <xsl:apply-templates select="@*|*" mode="M30" />
  </xsl:template>
  <!--PATTERN p-TS-ACI-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16973' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16973'] " priority="1000" mode="M31">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16973' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16973'] " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating" select="if ($initial-priority) then $initial-rating else if ($FS-Types-seq/@rating) then concat(' (', $FS-Types-seq/@rating, ')') else '' " />
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and not(/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.226' and @extension = '1.0']) and $extensions-allowed">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.226' and @extension = '1.0']) and $extensions-allowed">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: FS-Types: The Advance Care Information section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16973') has been found in a <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. The Advance Care Information section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16973') is defined in the digital health specifications but
		although tests have been applied to the data elements the specification of the data elements may have been varied for inclusion in this document
		so further examination may be needed. The rules have been validated for <xsl:text /><xsl:value-of select="normalize-space('Advance Care Information CDA Implementation Guide version 1.0')" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M31" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M31" />
  <xsl:template match="@*|node()" priority="-2" mode="M31">
    <xsl:apply-templates select="@*|*" mode="M31" />
  </xsl:template>
  <!--PATTERN p-TS-ACI-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16973' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16973']]/cda:component/cda:section " priority="1000" mode="M32">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16973' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16973']]/cda:component/cda:section " />
    <xsl:variable name="agency-section" select=" cda:code/@codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="test-step" select=" if (not($extensions-allowed)) then 'step 4'        else if ($agency-section) then 'step 3' else 'step 1' " />
    <xsl:variable name="title-and-code" select=" if (cda:title and cda:code/@code) then concat('title ''', cda:title, ''', code/code ''', cda:code/@code, '''')        else if (cda:title and not(cda:code/@code)) then concat('title ''', cda:title, '''')        else if (not(cda:title) and cda:code/@code) then concat('code/code ''', cda:code/@code, '''')        else '' " />
    <xsl:variable name="other-section-names" select=" if (cda:code/@displayName and not(cda:code/cda:originalText)) then concat(' and code/displayName ''', cda:code/@displayName, '''')         else if (cda:code/@displayName and cda:code/cda:originalText)          then concat(', code/displayName ''', cda:code/@displayName,''' and code/originalText ''', cda:code/cda:originalText, '''')        else if (not(cda:code/@displayName) and cda:code/cda:originalText) then concat(' and code/originalText ''', cda:code/cda:originalText, '''')        else '' " />
    <xsl:variable name="section-names" select="concat($title-and-code, $other-section-names)" />
    <xsl:variable name="doc-code" select="/cda:ClinicalDocument/cda:code" />
    <xsl:variable name="parent-section" select="ancestor::cda:section[position()=1]" />
    <xsl:variable name="custom-section-info" select="($iq-config/custom-sections/section, $knowledge/custom-sections/section)[        @doc-code  = $doc-code/@code          and        @doc-codeSystem  = $doc-code/@codeSystem          and        @parent-code   = $parent-section/cda:code/@code         and         @parent-codeSystem  = $parent-section/cda:code/@codeSystem        and         (@title = current()/cda:title or (@code = current()/cda:code/@code and @codeSystem = current()/cda:code/@codeSystem)) ] " />
    <xsl:variable name="section-disallowed" select="$custom-section-info/@disallowed = 'yes' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and ($section-disallowed or not(exists($custom-section-info)))) then $rating-alt-TC-Doc-28-step-1        else if ($test-step = 'step 1' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections]) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 3') then $rating-TC-Doc-28-step-3 else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and $section-disallowed ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and $section-disallowed">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Advance Care Information section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16973') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> which
		is an extension to the information model however the inclusion of this section conflicts with sections defined in the digital health specifications.
		<xsl:text /><xsl:value-of select="$custom-section-info[@disallowed = 'yes']/@reason" /><xsl:text /> (Also see <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not(false()) and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(false()) and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Advance Care Information section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16973') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. No subsection is expected so this
		is an extension to the information model. Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the 
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(false()) and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(false()) and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Advance Care Information section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16973') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> but no subsections were
		expected so the document fails to meet the requirement that it must not contain additional data elements. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and false() and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and false() and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Advance Care Information section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16973') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		none are expected but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the information model.
		Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Advance Care Information section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16973') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		none are expected but the inclusion of the section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> fails to meet the requirement that it must not contain additional data elements.
		(See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M32" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M32" />
  <xsl:template match="@*|node()" priority="-2" mode="M32">
    <xsl:apply-templates select="@*|*" mode="M32" />
  </xsl:template>
  <!--PATTERN p-TS-ACI-CodedText-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16973' = $doc-sections]/cda:component/cda:structuredBody/cda:component//          cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16973']]/cda:entry/          cda:act/cda:reference/cda:externalDocument/cda:code[(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]          [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M33">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16973' = $doc-sections]/cda:component/cda:structuredBody/cda:component//          cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16973']]/cda:entry/          cda:act/cda:reference/cda:externalDocument/cda:code[(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]          [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="tc-types-49-err" select="@nullFlavor = ('PINF', 'NINF', 'QS', 'TRC') or (@nullFlavor='UNC' and (not(cda:originalText) or normalize-space(cda:originalText) = '')) " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="family-err" select="cda:originalText and matches(cda:originalText, $family-regex, 'i')" />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; 200" />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and @code != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used with the Clinical Package Validator to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used with the Clinical Package Validator to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the primary code.') " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-06-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-06-step-2 else $rating-alt-TC-Types-06-step-2 " />
    <xsl:variable name="rating-07-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-1 else $rating-alt-TC-Types-07-step-1 " />
    <xsl:variable name="rating-07-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-2 else $rating-alt-TC-Types-07-step-2 " />
    <xsl:variable name="rating-08" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-08 else $rating-alt-TC-Types-08 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-07: The Document Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data
		type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to section 2.15 of the Advance Care Information Structured Content Specification v1.0 the Document Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which is derived from the HL7 'CD' data type however xsi:type '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to section 2.15 of the Advance Care Information Structured Content Specification v1.0 the Document Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:translation">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:translation">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to section 2.15 of the Advance Care Information Structured Content Specification v1.0 the Document Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'translation' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value
		domain, with no exceptions. A translation translates the value into a code from another code systems, so translations are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:qualifier">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:qualifier">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to section 2.15 of the Advance Care Information Structured Content Specification v1.0 the Document Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'qualifier' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value domain,
		with no exceptions. A qualifier constrains the value, so qualifiers are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Document Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.15 of the Advance Care Information Structured Content Specification v1.0 the Document Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.15 of the Advance Care Information Structured Content Specification v1.0 the Document Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.15 of the Advance Care Information Structured Content Specification v1.0 the Document Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present and is not expected
		for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.15 of the Advance Care Information Structured Content Specification v1.0 the Document Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />'
		is present and is not expected for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-terminology-concepts = 'true' and not(true() or false() or $family-err or $length-err) and    not(@nullFlavor) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and not(true() or false() or $family-err or $length-err) and not(@nullFlavor)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (value domain not specified): The Document Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The CodedText data type has the requirement that values must come from the specified bound value domain with no exceptions but a value domain has not been specified for the
		Document Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Document Type',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="false() and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != '1.2.36.1.2001.1001.101'))  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != '1.2.36.1.2001.1001.101'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-06-step-2" /><xsl:text />: TC-Types-06 step 2: According to section 2.15 of the Advance Care Information Structured Content Specification v1.0 the Document Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. The
		CodedText data type has the requirement that values must come from the bound value domain with no exceptions. Therefore the value of the codeSystem attribute must be a publicly available
		code system. The Document Type data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide states the code system is 'NS' (not stated) with the requirement 'When national standard code sets become
		available, they SHALL be used'. The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> which is after the national standard code set became available
		for use on the <xsl:text /><xsl:value-of select="''" /><xsl:text />. The code system that must be used is
		<xsl:text /><xsl:value-of select="if ('1.2.36.1.2001.1001.101' = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName, ' (ConceptId ''', 'none', ''')')   else concat('1.2.36.1.2001.1001.101', ' (', $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101']/@codeSystemName, ')')" /><xsl:text /><xsl:text /><xsl:value-of select="if (not(@codeSystem)) then '.'    else if (@codeSystemName) then concat(' however codeSystem ''', @codeSystem, ''' (', @codeSystemName, ') is present.')   else concat(' however a codeSystem attribute with the value ''', @codeSystem, ''' is present.') " /><xsl:text />
		(See section 1.8 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide, <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 2.16 of the Advance Care Information Structured Content Specification v1.0 for the
		information about the value domain.)
		<xsl:text /><xsl:value-of select="if ('none' = '11000036103') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName,     ' are Allergic reaction (''419076005''), Medication side-effect (''401207004'') and Drug interaction (''79899007'').')    else if ('none' = '15071000036100') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName,     ' are Prescribed (''105681000036100''), Suspended (''385655000'') and Unchanged (''105701000036103'').')    else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'OTH' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'OTH'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to section 2.15 of the Advance Care Information Structured Content Specification v1.0 the Document Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore it is not valid for the data element to have nullFlavor 'OTH' to indicate that the
		actual value is not a member of the set of permitted data values in the constrained value domain. 
		(See the requirements for Document Type and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.15 of the Advance Care Information Structured Content Specification v1.0 the Document Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type<xsl:text /><xsl:value-of select="if (not(false())) then '.' else   concat(' and section 2.16 of the Advance Care Information Structured Content Specification v1.0 states the vocabulary is ''', '1.2.36.1.2001.1001.101', ''' (', $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101']/@codeSystemName, ').') " /><xsl:text />
		The CodedText data type has
		the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor attribute
		to indicate there is no value, however a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) is present and is not one of the nullFlavor values that indicate there is no value.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@nullFlavor or @code) and not(false() and not(@nullFlavor) and not(@codeSystem)) and cda:originalText ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor or @code) and not(false() and not(@nullFlavor) and not(@codeSystem)) and cda:originalText">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to section 2.15 of the Advance Care Information Structured Content Specification v1.0 the Document Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor
		attribute to indicate there is no value. The only information found in the data element is originalText '<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />'.
		(See the requirements for Document Type and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)
		<xsl:text /><xsl:value-of select="if (local-name(.) = 'jobClassCode') then concat('Consider using the METeOR 314867 ''Employment type'' code system (codeSystem ''2.16.840.1.113883.3.879.314867'') which has ',   'codes for ''Permanent'', ''Fixed term contract'', ''Casual'' and ''Not stated/inadequately described''; or the  METeOR 691891 ''Full-time/part-time status'' code system ',   '(codeSystem ''2.16.840.1.113883.3.879.691891'') which has codes for ''Full-time'', ''Part-time'' and ''Not stated/inadequately described''. ',   '(See the the METeOR 314867 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/314867 and the METeOR 691891 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/691891.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="true() and @codeSystem and @codeSystem != '1.2.36.1.2001.1001.101' and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and @codeSystem and @codeSystem != '1.2.36.1.2001.1001.101' and not(false())">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to section 2.15 of the Advance Care Information Structured Content Specification v1.0 the Document Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and section 2.16 of the Advance Care Information Structured Content Specification v1.0 states the vocabulary is
		<xsl:text /><xsl:value-of select="if ('1.2.36.1.2001.1001.101' = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName, ' (ConceptId ''', 'none', ''').')   else concat('1.2.36.1.2001.1001.101', ' (', $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101']/@codeSystemName, ').')" /><xsl:text />
		The CodedText data type has the requirement that values must come from the bound value domain with no exceptions.
		Therefore the value of codeSystem must be '1.2.36.1.2001.1001.101' but codeSystem '<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />' (<xsl:text /><xsl:value-of select="@codeSystemName" /><xsl:text />) is present.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="true() and '1.2.36.1.2001.1001.101' = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and    not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version,    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@refSet) = 'CodeFound') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and '1.2.36.1.2001.1001.101' = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version, $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@refSet) = 'CodeFound')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to section 2.15 of the Advance Care Information Structured Content Specification v1.0 the Document Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. The applicable value domain is the SNOMED CT-AU
		<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName" /><xsl:text />
		(Concept ID: 'none'). The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the code is not a member of the value domain.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 2.16 of the Advance Care Information Structured Content Specification v1.0 for the information about the value domain.)<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-08" /><xsl:text />: TC-Types-08: According to section 2.15 of the Advance Care Information Structured Content Specification v1.0 the Document Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. It has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> but has neither an originalText nor a displayName
		so it fails to conform to the requirement 'In accordance with the requirement to completely represent section contents, values of CodedText or CodeableText data elements defined in
		the SCS SHALL include an originalText or a displayName component (or both)'.
		(See Appendix A of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 6.1 and 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090
		Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and not(cda:originalText) and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and not(cda:originalText) and not(false())">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Document Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is
		not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. (See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M33" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M33" />
  <xsl:template match="@*|node()" priority="-2" mode="M33">
    <xsl:apply-templates select="@*|*" mode="M33" />
  </xsl:template>
  <!--PATTERN p-TS-ACI-EncapsulatedData-1-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument['101.16973' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16973']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16971']]/cda:reference/cda:externalDocument/cda:text" priority="1000" mode="M34">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument['101.16973' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16973']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16971']]/cda:reference/cda:externalDocument/cda:text" />
    <xsl:variable name="the-text" select="normalize-space(string-join(text(), '')) " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="display-text-1" select="$the-text " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)        then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')), codepoints-to-string(34))       else concat('commencing with ', codepoints-to-string(34),         normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),         $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-02" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-02 else $rating-alt-TC-Types-02 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-02: The Document Target
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type and
		<xsl:text /><xsl:value-of select="if (cda:reference/@value and $text-is-present) then concat('has a reference to ''', cda:reference/@value, ''' and contains the character string ',    $display-text)   else if (cda:reference/@value and not($text-is-present)) then concat('has a reference to ''', cda:reference/@value, '''')   else if (not(cda:reference/@value) and $text-is-present) then concat('contains the character string ', $display-text)   else 'has no reference and does not contain a character string' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@nullFlavor) then concat(' The nullFlavor attribute has the value ''', @nullFlavor, '''.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (@integrityCheckAlgorithm) then concat(' The integrityCheckAlgorithm attribute has the value ''', @integrityCheckAlgorithm, '''.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (@integrityCheck) then concat(' The integrityCheck attribute has the value ''', @integrityCheck, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-02" /><xsl:text />: TC-Types-02: According to section 2.13 of the Advance Care Information Structured Content Specification v1.0 the Document Target

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type
		which is derived from the HL7 'ED' data type however the xsi:type attribute has the value <xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(local-name(..) = 'observationMedia') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(local-name(..) = 'observationMedia') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-02" /><xsl:text />: TC-Types-02: According to section 2.13 of the Advance Care Information Structured Content Specification v1.0 the Document Target
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type which is derived from the HL7 'ED' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'ED'.
		(See section 5.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeED') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeED')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.13 of the Advance Care Information Structured Content Specification v1.0 the Document Target
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type.
		The data element's value '<xsl:text /><xsl:value-of select="$display-text-1" /><xsl:text />' contains "xsitypeED" which is an invalid attempt to assign the data element's type to be the HL7 'ED' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ED'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@integrityCheckAlgorithm) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@integrityCheckAlgorithm)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-02" /><xsl:text />: TC-Types-02: The Document Target
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type but does not have the
		integrityCheckAlgorithm attribute which indicates the data element does not have the HL7 'ED' data type. The Encapsulated Data data type is derived from the HL7 'ED' data type so the
		attribute xsi:type with the value 'ED' needs to be added to the data element.
		(See section 5.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('reference', 'thumbnail'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('reference', 'thumbnail'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.13 of the Advance Care Information Structured Content Specification v1.0 the Document Target

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('reference', 'thumbnail'))])" /><xsl:text />' was found that is not expected for the EncapsulatedData data type
		so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('reference', 'thumbnail'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('reference', 'thumbnail'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.13 of the Advance Care Information Structured Content Specification v1.0 the Document Target

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('reference', 'thumbnail'))])" /><xsl:text />' was found that is not expected for the EncapsulatedData data type
		so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'charset', 'integrityCheck', 'integrityCheckAlgorithm', 'compression', 'representation'))] and    not(@xsi:type and not(@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'charset', 'integrityCheck', 'integrityCheckAlgorithm', 'compression', 'representation'))] and not(@xsi:type and not(@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.13 of the Advance Care Information Structured Content Specification v1.0 the Document Target

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'charset', 'integrityCheck', 'integrityCheckAlgorithm', 'compression', 'representation'))])" /><xsl:text />' was
		found that is not expected for the EncapsulatedData data type.
		The definition of the EncapsulatedData data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'charset', 'integrityCheck', 'integrityCheckAlgorithm', 'compression', 'representation'))] and    not(@xsi:type and not(@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'charset', 'integrityCheck', 'integrityCheckAlgorithm', 'compression', 'representation'))] and not(@xsi:type and not(@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.13 of the Advance Care Information Structured Content Specification v1.0 the Document Target

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'charset', 'integrityCheck', 'integrityCheckAlgorithm', 'compression', 'representation'))])" /><xsl:text />' was
		found that is not expected for the EncapsulatedData data type.
		The definition of the EncapsulatedData data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-02" /><xsl:text />: TC-Types-02: The Document Target
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type and has the attribute
		language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this attribute.
		(See section 5.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @charset ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @charset">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-02" /><xsl:text />: TC-Types-02: The Document Target
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type and has the attribute
		charset='<xsl:text /><xsl:value-of select="@charset" /><xsl:text />'. Confirm that this is a valid value for this attribute.
		(See section 5.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M34" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M34" />
  <xsl:template match="@*|node()" priority="-2" mode="M34">
    <xsl:apply-templates select="@*|*" mode="M34" />
  </xsl:template>
  <!--PATTERN p-TS-ACI-EncapsulatedData-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16973' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16973']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16971']]/cda:reference/cda:externalDocument/cda:text " priority="1000" mode="M35">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16973' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16973']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16971']]/cda:reference/cda:externalDocument/cda:text " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Document Target '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Document Target
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Document Target data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Document Target
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Document Target data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Document Target
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Document Target
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Document Target data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Document Target
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M35" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M35" />
  <xsl:template match="@*|node()" priority="-2" mode="M35">
    <xsl:apply-templates select="@*|*" mode="M35" />
  </xsl:template>
  <!--PATTERN p-TS-ACI-UniqueIdentifier-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16973' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16973']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16971']]/cda:reference/cda:externalDocument/cda:id " priority="1000" mode="M36">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16973' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16973']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16971']]/cda:reference/cda:externalDocument/cda:id " />
    <xsl:variable name="agency-namespace" select="@root and (matches(@root, '^1\.2\.36\.1\.2001\.1001\.10[0-4]{1}\.') or matches(@root, '^1\.2\.36\.1\.2001\.1006\.')) " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-11" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-11 else $rating-alt-TC-Types-11 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="ii-context" select="if (ancestor::cda:recordTarget and ancestor::ext:asEntityIdentifier) then 'default' else 'alternative' " />
    <xsl:variable name="rating-73" select="if ($initial-priority) then $initial-rating       else if ($ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/test-case[@id='TC-Types-73']/@rating)        then concat(' (', $ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/test-case[@id='TC-Types-73']/@rating, ')')       else if ($ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/@rating)       then concat(' (', $ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/@rating, ')')       else '' " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-11: The Document Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type and has <xsl:text /><xsl:value-of select="iq:display-II(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-11" /><xsl:text />: TC-Types-11: According to section 2.18 of the Advance Care Information Structured Content Specification v1.0 the Document Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type which
		is derived from the HL7 'II' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present.
		(See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-11" /><xsl:text />: TC-Types-11: According to section 2.18 of the Advance Care Information Structured Content Specification v1.0 the Document Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type which is derived from the HL7 'II' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'II'. (See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.18 of the Advance Care Information Structured Content Specification v1.0 the Document Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the UniqueIdentifier data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.18 of the Advance Care Information Structured Content Specification v1.0 the Document Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the UniqueIdentifier data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and   not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.18 of the Advance Care Information Structured Content Specification v1.0 the Document Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however the attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))])" /><xsl:text />' was found that is not in the list of attributes
		expected for the UniqueIdentifier data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and   not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.18 of the Advance Care Information Structured Content Specification v1.0 the Document Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however the attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))])" /><xsl:text />' was found that is not in the list of attributes
		expected for the UniqueIdentifier data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $agency-namespace ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$agency-namespace">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-73" /><xsl:text />: TC-Types-73:  The Document Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-II(.)" /><xsl:text />. The value of the root attribute identifies the
		'<xsl:text /><xsl:value-of select="$namespaces/namespace[starts-with(current()/@root, concat(@OID-prefix, '.'))]/@name" /><xsl:text />' namespace which is reserved for use by the Australian Digital Health Agency.
		The value of the root attribute must define the namespace for the extension attribute whose value is required to identify the document of interest.
		(See section 7.6.7.3.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and the Document Identifier definition in section 2.18 of the Advance Care Information Structured Content Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M36" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M36" />
  <xsl:template match="@*|node()" priority="-2" mode="M36">
    <xsl:apply-templates select="@*|*" mode="M36" />
  </xsl:template>
  <!--PATTERN p-TS-ACI-TimeInterval-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16973' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16973']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16971']]/cda:author/cda:time " priority="1000" mode="M37">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16973' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16973']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16971']]/cda:author/cda:time " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text1" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="message-text2" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See sections 8.6 and 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="nullFlavor-values" select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]" />
    <xsl:variable name="low-inclusive" select="if (not(cda:low)) then '' else if (cda:low/@inclusive='false') then ' (excluded)' else ' (included)' " />
    <xsl:variable name="high-inclusive" select="if (not(cda:high)) then '' else if (cda:high/@inclusive='false') then ' (excluded)' else ' (included)' " />
    <xsl:variable name="display-interval" select="if (@value and cda:low/@value and cda:high/@value)         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34), ', low value ', codepoints-to-string(34), cda:low/@value,        codepoints-to-string(34), $low-inclusive, ' and high value ', codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)        else if (@value and cda:low/@value and not(cda:high/@value))         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34), ' and low value ', codepoints-to-string(34), cda:low/@value,        codepoints-to-string(34), $low-inclusive)       else if (@value and not(cda:low/@value) and cda:high/@value)         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34), ' and high value ', codepoints-to-string(34),        cda:high/@value, codepoints-to-string(34), $high-inclusive)       else if (not(@value) and cda:low/@value and cda:high/@value)         then concat('low value ', codepoints-to-string(34), cda:low/@value, codepoints-to-string(34), $low-inclusive, ' and high value ',         codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)       else if (@value and not(cda:low/@value) and not(cda:high/@value))         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34))       else if (not(@value) and cda:low/@value and not(cda:high/@value))         then concat('low value ', codepoints-to-string(34), cda:low/@value, codepoints-to-string(34), $low-inclusive)       else if (not(@value) and not(cda:low/@value) and cda:high/@value)         then concat('high value ', codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)       else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-22" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-22 else $rating-alt-TC-Types-22 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-22: The Document Author Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type
		and <xsl:text /><xsl:value-of select="if (@value or cda:low/@value or cda:high/@value) then concat('has ', $display-interval)   else 'has no value attribute and no low or high data elements' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@nullFlavor) then concat('The nullFlavor attribute has the value ''', @nullFlavor, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.1.1 of the Advance Care Information CDA Implementation Guide v1.0 the Document Author Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type.
		It contains a value of nullFlavor 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a value
		may exist, but it must be derived from the information provided. Confirm if the use of this nullFlavor is valid.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'NINF' or @nullFlavor = 'PINF' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'NINF' or @nullFlavor = 'PINF'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 1: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.1.1 of the Advance Care Information CDA Implementation Guide v1.0 the Document Author Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data
		type which is derived from the HL7 'IVL_TS' data type. It has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) which is a
		value of nullFlavor that may not be used for data elements of the IVL data type.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.1.1 of the Advance Care Information CDA Implementation Guide v1.0 the Document Author Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data
		type however it has nullFlavor = 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include
		nullFlavor = 'UNC'. (See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'QS' or @nullFlavor = 'TRC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'QS' or @nullFlavor = 'TRC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 3: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.1.1 of the Advance Care Information CDA Implementation Guide v1.0 the Document Author Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data
		type which is derived from the HL7 'IVL_TS' data type. It has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) however
		that value of nullFlavor may not be used for data elements of the TS or IVL data types.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.1.1 of the Advance Care Information CDA Implementation Guide v1.0 the Document Author Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type which is
		derived from the HL7 'IVL_TS' data type. The HL7 'TS' data type may also be used for a TimeInterval however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		(See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 3.8.1 of HL7 Version 3 Standard: Data Types - Abstract Specification,
		Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.1.1 of the Advance Care Information CDA Implementation Guide v1.0 the Document Author Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type which is
		derived from the HL7 'IVL_TS' data type. The HL7 'TS' data type may also be used for a TimeInterval however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'IVL_TS' or 'TS'.
		(See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 3.8.1 of HL7 Version 3 Standard: Data Types - Abstract Specification,
		Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not(@nullFlavor or @value or cda:low or cda:high) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor or @value or cda:low or cda:high)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.1.1 of the Advance Care Information CDA Implementation Guide v1.0 the Document Author Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however
		it does not have a nullFlavor or value attribute or low or high elements. A TimeInterval may only contain a nullFlavor or value attribute or low or high elements with the optional
		'inclusive' attribute included in the low or high elements if there is a need to indicate that the low or high boundaries are excluded.
		(See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @value and (cda:low or cda:high) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value and (cda:low or cda:high)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.1.1 of the Advance Care Information CDA Implementation Guide v1.0 the Document Author Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type.
		It has the element '<xsl:text /><xsl:value-of select="local-name(cda:*[local-name() = ('low', 'high')])" /><xsl:text />' which is used for the HL7 'IVL' data type
		but also has a 'value' attribute which is used by the HL7 'TS' data type and is not used by the HL7 'IVL' data type. The data element must either have a 'value' attribute
		or '<xsl:text /><xsl:value-of select="local-name(cda:*[local-name() = ('low', 'high')])" /><xsl:text />' but not both.
		(See section 7.10.9.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and section 3.8.1 of
		HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('low', 'high'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.1.1 of the Advance Care Information CDA Implementation Guide v1.0 the Document Author Participation Period
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('low', 'high'))])" /><xsl:text />' was found
		that is not expected for the TimeInterval data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('low', 'high', 'width'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('low', 'high', 'width'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.1.1 of the Advance Care Information CDA Implementation Guide v1.0 the Document Author Participation Period
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('low', 'high', 'width'))])" /><xsl:text />' was found
		that is not expected for the TimeInterval data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and cda:width/@value and ((cda:low/@value and not(cda:high/@value)) or (not(cda:low/@value) and cda:high/@value)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and cda:width/@value and ((cda:low/@value and not(cda:high/@value)) or (not(cda:low/@value) and cda:high/@value))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.1.1 of the Advance Care Information CDA Implementation Guide v1.0 the Document Author Participation Period
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a width element is also
		present with the value '<xsl:text /><xsl:value-of select="cda:width/@value" /><xsl:text />' and unit '<xsl:text /><xsl:value-of select="cda:width/@unit" /><xsl:text />'.		
		This is an error as the presence of a <xsl:text /><xsl:value-of select="if (cda:low) then 'low' else 'high' " /><xsl:text /> element without a <xsl:text /><xsl:value-of select="if (cda:low) then 'high' else 'low' " /><xsl:text /> element
		means the TimeInterval is unbounded in one direction however the width element implies the interval is bounded. That is the width element is an extension that qualifies the
		time interval whereas an extension is allowed only if it does not qualify or negate the time interval.
		(See the definition of Document Author Participation Period in the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text />, section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0
		and <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)
		As the <xsl:text /><xsl:value-of select="if (cda:low) then 'start' else 'end' " /><xsl:text /> of the time interval is known then the Document Author Participation Period must also have a
		<xsl:text /><xsl:value-of select="if (cda:low) then ' high' else ' low' " /><xsl:text /> element as the TimeInterval data type uses low and high elements rather than width to define an interval.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and cda:width/@value and not(cda:high/@value or cda:low/@value) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and cda:width/@value and not(cda:high/@value or cda:low/@value)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.1.1 of the Advance Care Information CDA Implementation Guide v1.0 the Document Author Participation Period
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a width element is also
		present with the value '<xsl:text /><xsl:value-of select="cda:width/@value" /><xsl:text />' and unit '<xsl:text /><xsl:value-of select="cda:width/@unit" /><xsl:text />'.		
		This is an error as the Document Author Participation Period has no low or high elements so the TimeInterval is unbounded however the width element implies the interval is bounded. That is the width element is an
		extension that qualifies the time interval whereas an extension is allowed only if it does not qualify or negate the time interval.
		(See the definition of Document Author Participation Period in the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text />, section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0
		and <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)
		The TimeInterval data type uses low and high elements rather than width to define an interval.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(    @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or    @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'  )) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not( @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS' ))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.1.1 of the Advance Care Information CDA Implementation Guide v1.0 the Document Author Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the TimeInterval data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(    @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or    @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'  )) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not( @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS' ))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.1.1 of the Advance Care Information CDA Implementation Guide v1.0 the Document Author Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the TimeInterval data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @operator and @operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @operator and @operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.1.1 of the Advance Care Information CDA Implementation Guide v1.0 the Document Author Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the TimeInterval data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @operator and @operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @operator and @operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.1.1 of the Advance Care Information CDA Implementation Guide v1.0 the Document Author Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the TimeInterval data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:low/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:low/*">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.1.1 of the Advance Care Information CDA Implementation Guide v1.0 the Document Author Participation Period 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(cda:low/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/*">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.1.1 of the Advance Care Information CDA Implementation Guide v1.0 the Document Author Participation Period 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(cda:low/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.1.1 of the Advance Care Information CDA Implementation Guide v1.0 the Document Author Participation Period 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.1.1 of the Advance Care Information CDA Implementation Guide v1.0 the Document Author Participation Period 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:low/@operator and cda:low/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:low/@operator and cda:low/@operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.1.1 of the Advance Care Information CDA Implementation Guide v1.0 the Document Author Participation Period 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/@operator and cda:low/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/@operator and cda:low/@operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.1.1 of the Advance Care Information CDA Implementation Guide v1.0 the Document Author Participation Period 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:low/cda:originalText) and cda:low/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:low/cda:originalText) and cda:low/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.1.1 of the Advance Care Information CDA Implementation Guide v1.0 the Document Author Participation Period 'low' child element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present so
		it is an error to include nullFlavor 'UNC'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:high/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:high/*">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.1.1 of the Advance Care Information CDA Implementation Guide v1.0 the Document Author Participation Period 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element '<xsl:text /><xsl:value-of select="local-name(cda:high/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/*">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.1.1 of the Advance Care Information CDA Implementation Guide v1.0 the Document Author Participation Period 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element '<xsl:text /><xsl:value-of select="local-name(cda:high/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.1.1 of the Advance Care Information CDA Implementation Guide v1.0 the Document Author Participation Period 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.1.1 of the Advance Care Information CDA Implementation Guide v1.0 the Document Author Participation Period 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:high/@operator and cda:high/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:high/@operator and cda:high/@operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.1.1 of the Advance Care Information CDA Implementation Guide v1.0 the Document Author Participation Period 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/@operator and cda:high/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/@operator and cda:high/@operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.1.1 of the Advance Care Information CDA Implementation Guide v1.0 the Document Author Participation Period 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.1.1 of the Advance Care Information CDA Implementation Guide v1.0 the Document Author Participation Period 'high' child element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present
		so it is an error to include nullFlavor 'UNC'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.1.1 of the Advance Care Information CDA Implementation Guide v1.0 the Document Author Participation Period 'high' child element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present
		so it is an error to include nullFlavor 'UNC'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M37" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M37" />
  <xsl:template match="@*|node()" priority="-2" mode="M37">
    <xsl:apply-templates select="@*|*" mode="M37" />
  </xsl:template>
  <!--PATTERN p-TS-ACI-TimeInterval-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16973' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16973']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16971']]/cda:author/cda:time   [not((cda:low/@value and (number(substring(cda:low/@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(cda:low/@value,1,4)) &gt; number($creation-date-yr) + 130)) or     (cda:high/@value and (number(substring(cda:high/@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(cda:high/@value,1,4)) &gt; number($creation-date-yr) + 130)))] " priority="1000" mode="M38">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16973' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16973']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16971']]/cda:author/cda:time   [not((cda:low/@value and (number(substring(cda:low/@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(cda:low/@value,1,4)) &gt; number($creation-date-yr) + 130)) or     (cda:high/@value and (number(substring(cda:high/@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(cda:high/@value,1,4)) &gt; number($creation-date-yr) + 130)))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="fir-narrative" select="translate(normalize-space(lower-case(string($fir-narr-node))), $chars-to-remove, '')" />
    <xsl:variable name="sec-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)        then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]        else () " />
    <xsl:variable name="sec-narr-node" select="$sec-section/cda:text " />
    <xsl:variable name="narr-text-el" select="(for $text in ($fir-narr-node//text(), $sec-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="sec-narrative" select="translate(normalize-space(lower-case(string($sec-narr-node))), $chars-to-remove, '') " />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="narrative" select="concat($target-title, $fir-narrative, $sec-narrative)" />
    <xsl:variable name="narr-elements" select="$fir-narr-node//cda:*[exists(text()[normalize-space() != '']) and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ]  |             $sec-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ] " />
    <xsl:variable name="narr-lower-case" select="for $i in (1 to count($narr-elements)) return lower-case(normalize-space(string-join($narr-elements[$i]/text(), '')))  " />
    <xsl:variable name="dt-narr-elements" select="$narr-lower-case[matches(., $regex-date-type-1, 'i') or matches(., $regex-date-type-2, 'i') or matches(., $regex-date-type-3, 'i')] " />
    <xsl:variable name="narr-elements-start" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-before($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-before($dt-narr-elements[$i], ' -'))        else $dt-narr-elements[$i])[. != ''] " />
    <xsl:variable name="narr-elements-end" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-after($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-after($dt-narr-elements[$i], ' -'))        else '')[. != ''] " />
    <xsl:variable name="narr-dateTimes" select="distinct-values(($narr-elements-start , $narr-elements-end))[. != '(ongoing)'] " />
    <xsl:variable name="l-dt-value" select="if (@value) then @value        else if (cda:low/@value) then cda:low/@value        else '' " />
    <xsl:variable name="l-no-time-zone" select="if (contains($l-dt-value, '+')) then substring-before($l-dt-value, '+')       else if (contains($l-dt-value, '-')) then substring-before($l-dt-value, '-')       else $l-dt-value " />
    <xsl:variable name="l-length" select="string-length($l-no-time-zone) " />
    <xsl:variable name="l-year" select="if ($l-length &gt; 3) then substring($l-no-time-zone,1,4) else '' " />
    <xsl:variable name="l-month-num" select="if ($l-length &gt; 5) then substring($l-no-time-zone,5,2) else '' " />
    <xsl:variable name="l-day" select="if ($l-length &gt; 7 and substring($l-no-time-zone,7,1) = '0') then substring($l-no-time-zone,8,1)       else if ($l-length &gt; 7 and substring($l-no-time-zone,7,1) != '0') then substring($l-no-time-zone,7,2) else '' " />
    <xsl:variable name="l-hour-long" select="if ($l-length &gt; 9) then substring($l-no-time-zone,9,2) else '' " />
    <xsl:variable name="l-hour-short" select="if (substring($l-hour-long, 1, 1) = '0') then substring($l-hour-long, 2, 1) else '' " />
    <xsl:variable name="l-minute" select="if ($l-length &gt; 11) then substring($l-no-time-zone,11,2) else '' " />
    <xsl:variable name="l-second" select="if ($l-length &gt; 13) then substring($l-no-time-zone,13,2) else '' " />
    <xsl:variable name="l-time-zone" select="if (contains($l-dt-value, '+')) then concat('\+', substring-after($l-dt-value, '+'))       else if (contains($l-dt-value, '-')) then concat('\-', substring-after($l-dt-value, '-'))       else '' " />
    <xsl:variable name="l-month-short" select="if ($l-month-num = '01') then 'jan'   else             if ($l-month-num = '02') then 'feb'   else             if ($l-month-num = '03') then 'mar'   else             if ($l-month-num = '04') then 'apr'   else             if ($l-month-num = '05') then 'may'   else             if ($l-month-num = '06') then 'jun'   else             if ($l-month-num = '07') then 'jul'   else             if ($l-month-num = '08') then 'aug'   else             if ($l-month-num = '09') then 'sep'   else             if ($l-month-num = '10') then 'oct'   else             if ($l-month-num = '11') then 'nov'   else             if ($l-month-num = '12') then 'dec'   else '' " />
    <xsl:variable name="l-month-long" select="if ($l-month-num = '01') then 'january'   else             if ($l-month-num = '02') then 'february'  else             if ($l-month-num = '03') then 'march'   else             if ($l-month-num = '04') then 'april'   else             if ($l-month-num = '05') then 'may'   else             if ($l-month-num = '06') then 'june'   else             if ($l-month-num = '07') then 'july'   else             if ($l-month-num = '08') then 'august'   else             if ($l-month-num = '09') then 'september'  else             if ($l-month-num = '10') then 'october'   else             if ($l-month-num = '11') then 'november'  else             if ($l-month-num = '12') then 'december'  else '' " />
    <xsl:variable name="l-date-type-3-day" select="if (string-length($l-day) = 1) then concat('0{0,1}', $l-day) else $l-day " />
    <xsl:variable name="l-date-type-3-month" select="if (string-length($l-month-num) = 1) then concat('0{0,1}', $l-month-num)        else if (substring($l-month-num, 1, 1) = '0') then concat('0{0,1}', substring($l-month-num, 2, 1))         else $l-month-num " />
    <xsl:variable name="l-dt-sequence-1" select="if ($l-length = 4) then (         concat('^', $l-dt-value)        ,          concat('^', $l-year)         )        else if ($l-length = 6) then (         concat('^', $l-dt-value)        ,         concat('^', $l-month-short, $date-sep, $l-year)      ,          concat('^', $l-month-long, $date-sep, $l-year)      )        else if ($l-length &gt; 7) then (         concat('^', $l-dt-value)        ,         concat('^', $l-date-type-3-day, $date-sep, $l-month-short, $date-sep, $l-year)  ,         concat('^', $l-date-type-3-day, $date-sep, $l-month-long, $date-sep, $l-year)  ,         concat('^', $l-date-type-3-day, '/', $l-date-type-3-month, '/', $l-year)  )        else () " />
    <xsl:variable name="l-matching-seq-1" select="if (exists($l-dt-sequence-1))        then index-of(for $i in (1 to count($l-dt-sequence-1)) return exists($narr-dateTimes[matches(., $l-dt-sequence-1[$i], 'i')]), true())        else () " />
    <xsl:variable name="l-dt-stem-1" select="for $i in (1 to count($l-matching-seq-1)) return $l-dt-sequence-1[$l-matching-seq-1[$i]] " />
    <xsl:variable name="l-dt-regex-1" select="if (exists($l-dt-stem-1)) then concat('(', string-join($l-dt-stem-1, '$)|('), '$)') else ()" />
    <xsl:variable name="l-dt-match-1" select="exists($l-dt-stem-1) and exists($narr-dateTimes[matches(., $l-dt-regex-1, 'i')])" />
    <xsl:variable name="l-time-1" select="if ($l-length &gt; 11 and $l-hour-short != '') then concat($l-hour-short, ':', $l-minute, '( *| *am)') else '' " />
    <xsl:variable name="l-time-2" select="if ($l-length &gt; 13 and $l-hour-short != '') then concat($l-hour-short, ':', $l-minute, ':', $l-second, '( *| *am)') else '' " />
    <xsl:variable name="l-time-3" select="if ($l-length &gt; 11 and number($l-hour-long) &lt; 12) then concat($l-hour-long, ':', $l-minute, '( *| *am)')        else if ($l-length &gt; 11) then concat($l-hour-long, ':', $l-minute) else '' " />
    <xsl:variable name="l-time-4" select="if ($l-length &gt; 13 and number($l-hour-long) &lt; 12) then concat($l-hour-long, ':', $l-minute, ':', $l-second, '( *| *am)')        else if ($l-length &gt; 13) then concat($l-hour-long, ':', $l-minute, ':', $l-second) else '' " />
    <xsl:variable name="l-time-5" select="if ($l-length &gt; 11 and number($l-hour-long) &gt; 12) then concat(string(number($l-hour-long) - 12), ':', $l-minute, '( *| *pm)') else '' " />
    <xsl:variable name="l-time-6" select="if ($l-length &gt; 13 and number($l-hour-long) &gt; 12) then concat(string(number($l-hour-long) - 12), ':', $l-minute, ':', $l-second, '( *| *pm)') else '' " />
    <xsl:variable name="l-dt-temp-0" select="if (exists($l-dt-stem-1) and $l-length = 8) then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $narr-time-regex) else () " />
    <xsl:variable name="l-dt-temp-1" select="if (exists($l-dt-stem-1) and $l-time-1 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-1) else () " />
    <xsl:variable name="l-dt-temp-2" select="if (exists($l-dt-stem-1) and $l-time-2 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-2) else () " />
    <xsl:variable name="l-dt-temp-3" select="if (exists($l-dt-stem-1) and $l-time-3 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-3) else () " />
    <xsl:variable name="l-dt-temp-4" select="if (exists($l-dt-stem-1) and $l-time-4 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-4) else () " />
    <xsl:variable name="l-dt-temp-5" select="if (exists($l-dt-stem-1) and $l-time-5 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-5) else () " />
    <xsl:variable name="l-dt-temp-6" select="if (exists($l-dt-stem-1) and $l-time-6 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-6) else () " />
    <xsl:variable name="l-dt-sequence-2" select="($l-dt-temp-0, $l-dt-temp-1, $l-dt-temp-2, $l-dt-temp-3, $l-dt-temp-4, $l-dt-temp-5, $l-dt-temp-6)" />
    <xsl:variable name="l-matching-seq-2" select="if (exists($l-dt-sequence-2))        then index-of(for $i in (1 to count($l-dt-sequence-2)) return exists($narr-dateTimes[matches(., $l-dt-sequence-2[$i], 'i')]), true())        else () " />
    <xsl:variable name="l-dt-stem-2" select="for $i in (1 to count($l-matching-seq-2)) return $l-dt-sequence-2[$l-matching-seq-2[$i]] " />
    <xsl:variable name="l-dt-regex-2" select="if (exists($l-dt-stem-2)) then concat('(', string-join($l-dt-stem-2, '$)|('), '$)') else '' " />
    <xsl:variable name="l-dt-match-2" select="(exists($l-dt-stem-2) and exists($narr-dateTimes[matches(., $l-dt-regex-2, 'i')])) " />
    <xsl:variable name="l-dt-sequence-3" select="if (not($l-dt-match-2) and exists($l-dt-stem-2) and $l-time-zone != '') then for $i in (1 to count($l-dt-stem-2)) return        concat($l-dt-stem-2[$i], substring($l-time-zone, 1, 4), ':?', substring($l-time-zone, 5, 2)) else () " />
    <xsl:variable name="l-dt-regex-3" select="if ($l-dt-match-2) then '' else if (exists($l-dt-sequence-3)) then concat('(', string-join($l-dt-sequence-3, '$)|('), '$)') else '' " />
    <xsl:variable name="l-dt-match-3" select="($l-dt-match-2 or (exists($l-dt-sequence-3) and exists($narr-dateTimes[matches(., $l-dt-regex-3, 'i')]))) " />
    <xsl:variable name="l-narr-match" select="if ($l-dt-value != '' and count($narr-dateTimes) = 0) then      (       contains($narrative, $l-dt-value)                or       (string-length($l-dt-value) = 4 and contains($narrative, $l-year))             or        (string-length($l-dt-value) = 6 and contains($narrative, concat($l-month-short, $l-year)))          or       (string-length($l-dt-value) &gt; 7 and starts-with($l-day, '0') and        (contains($narrative, concat(substring($l-day,2,1), $l-month-short, $l-year)) or         contains($narrative, concat(substring($l-day,2,1), $l-month-num, $l-year))))          or       (string-length($l-dt-value) &gt; 7 and (contains($narrative, concat($l-day, $l-month-short, $l-year)) or contains($narrative, concat($l-day, $l-month-num, $l-year))))        )       else false() " />
    <xsl:variable name="h-dt-value" select="if (cda:high/@value and $l-dt-value != cda:high/@value) then cda:high/@value        else '' " />
    <xsl:variable name="h-no-time-zone" select="if (contains($h-dt-value, '+')) then substring-before($h-dt-value, '+')       else if (contains($h-dt-value, '-')) then substring-before($h-dt-value, '-')       else $h-dt-value " />
    <xsl:variable name="h-length" select="string-length($h-no-time-zone) " />
    <xsl:variable name="h-year" select="if ($h-length &gt; 3) then substring($h-no-time-zone,1,4) else '' " />
    <xsl:variable name="h-month-num" select="if ($h-length &gt; 5) then substring($h-no-time-zone,5,2) else '' " />
    <xsl:variable name="h-day" select="if ($h-length &gt; 7 and substring($h-no-time-zone,7,1) = '0') then substring($h-no-time-zone,8,1)       else if ($h-length &gt; 7 and substring($h-no-time-zone,7,1) != '0') then substring($h-no-time-zone,7,2) else '' " />
    <xsl:variable name="h-hour-long" select="if ($h-length &gt; 9) then substring($h-no-time-zone,9,2) else '' " />
    <xsl:variable name="h-hour-short" select="if (substring($h-hour-long, 1, 1) = '0') then substring($h-hour-long, 2, 1) else '' " />
    <xsl:variable name="h-minute" select="if ($h-length &gt; 11) then substring($h-no-time-zone,11,2) else '' " />
    <xsl:variable name="h-second" select="if ($h-length &gt; 13) then substring($h-no-time-zone,13,2) else '' " />
    <xsl:variable name="h-time-zone" select="if (contains($h-dt-value, '+')) then concat('\+', substring-after($h-dt-value, '+'))       else if (contains($h-dt-value, '-')) then concat('\-', substring-after($h-dt-value, '-'))       else '' " />
    <xsl:variable name="h-month-short" select="if ($h-month-num = '01') then 'jan'   else             if ($h-month-num = '02') then 'feb'   else             if ($h-month-num = '03') then 'mar'   else             if ($h-month-num = '04') then 'apr'   else             if ($h-month-num = '05') then 'may'   else             if ($h-month-num = '06') then 'jun'   else             if ($h-month-num = '07') then 'jul'   else             if ($h-month-num = '08') then 'aug'   else             if ($h-month-num = '09') then 'sep'   else             if ($h-month-num = '10') then 'oct'   else             if ($h-month-num = '11') then 'nov'   else             if ($h-month-num = '12') then 'dec'   else '' " />
    <xsl:variable name="h-month-long" select="if ($h-month-num = '01') then 'january'   else             if ($h-month-num = '02') then 'february'  else             if ($h-month-num = '03') then 'march'   else             if ($h-month-num = '04') then 'april'   else             if ($h-month-num = '05') then 'may'   else             if ($h-month-num = '06') then 'june'   else             if ($h-month-num = '07') then 'july'   else             if ($h-month-num = '08') then 'august'   else             if ($h-month-num = '09') then 'september'  else             if ($h-month-num = '10') then 'october'   else             if ($h-month-num = '11') then 'november'  else             if ($h-month-num = '12') then 'december'  else '' " />
    <xsl:variable name="h-date-type-3-day" select="if (string-length($h-day) = 1) then concat('0{0,1}', $h-day) else $h-day " />
    <xsl:variable name="h-date-type-3-month" select="if (string-length($h-month-num) = 1) then concat('0{0,1}', $h-month-num)        else if (substring($h-month-num, 1, 1) = '0') then concat('0{0,1}', substring($h-month-num, 2, 1))         else $h-month-num " />
    <xsl:variable name="h-dt-sequence-1" select="if ($h-length = 4) then (         concat('^', $h-dt-value)        ,          concat('^', $h-year)         )        else if ($h-length = 6) then (         concat('^', $h-dt-value)        ,         concat('^', $h-month-short, $date-sep, $h-year)      ,          concat('^', $h-month-long, $date-sep, $h-year)      )        else if ($h-length &gt; 7) then (         concat('^', $h-dt-value)        ,         concat('^', $h-date-type-3-day, $date-sep, $h-month-short, $date-sep, $h-year)  ,         concat('^', $h-date-type-3-day, $date-sep, $h-month-long, $date-sep, $h-year)  ,         concat('^', $h-date-type-3-day, '/', $h-date-type-3-month, '/', $h-year)  )        else () " />
    <xsl:variable name="h-matching-seq-1" select="if (exists($h-dt-sequence-1))        then index-of(for $i in (1 to count($h-dt-sequence-1)) return exists($narr-dateTimes[matches(., $h-dt-sequence-1[$i], 'i')]), true())        else () " />
    <xsl:variable name="h-dt-stem-1" select="for $i in (1 to count($h-matching-seq-1)) return $h-dt-sequence-1[$h-matching-seq-1[$i]] " />
    <xsl:variable name="h-dt-regex-1" select="if (exists($h-dt-stem-1)) then concat('(', string-join($h-dt-stem-1, '$)|('), '$)') else ()" />
    <xsl:variable name="h-dt-match-1" select="exists($h-dt-stem-1) and exists($narr-dateTimes[matches(., $h-dt-regex-1, 'i')])" />
    <xsl:variable name="h-time-1" select="if ($h-length &gt; 11 and $h-hour-short != '') then concat($h-hour-short, ':', $h-minute, '( *| *am)') else '' " />
    <xsl:variable name="h-time-2" select="if ($h-length &gt; 13 and $h-hour-short != '') then concat($h-hour-short, ':', $h-minute, ':', $h-second, '( *| *am)') else '' " />
    <xsl:variable name="h-time-3" select="if ($h-length &gt; 11 and number($h-hour-long) &lt; 12) then concat($h-hour-long, ':', $h-minute, '( *| *am)')        else if ($h-length &gt; 11) then concat($h-hour-long, ':', $h-minute) else '' " />
    <xsl:variable name="h-time-4" select="if ($h-length &gt; 13 and number($h-hour-long) &lt; 12) then concat($h-hour-long, ':', $h-minute, ':', $h-second, '( *| *am)')        else if ($h-length &gt; 13) then concat($h-hour-long, ':', $h-minute, ':', $h-second) else '' " />
    <xsl:variable name="h-time-5" select="if ($h-length &gt; 11 and number($h-hour-long) &gt; 12) then concat(string(number($h-hour-long) - 12), ':', $h-minute, '( *| *pm)') else '' " />
    <xsl:variable name="h-time-6" select="if ($h-length &gt; 13 and number($h-hour-long) &gt; 12) then concat(string(number($h-hour-long) - 12), ':', $h-minute, ':', $h-second, '( *| *pm)') else '' " />
    <xsl:variable name="h-dt-temp-0" select="if (exists($h-dt-stem-1) and $h-length = 8) then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $narr-time-regex) else () " />
    <xsl:variable name="h-dt-temp-1" select="if (exists($h-dt-stem-1) and $h-time-1 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-1) else () " />
    <xsl:variable name="h-dt-temp-2" select="if (exists($h-dt-stem-1) and $h-time-2 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-2) else () " />
    <xsl:variable name="h-dt-temp-3" select="if (exists($h-dt-stem-1) and $h-time-3 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-3) else () " />
    <xsl:variable name="h-dt-temp-4" select="if (exists($h-dt-stem-1) and $h-time-4 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-4) else () " />
    <xsl:variable name="h-dt-temp-5" select="if (exists($h-dt-stem-1) and $h-time-5 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-5) else () " />
    <xsl:variable name="h-dt-temp-6" select="if (exists($h-dt-stem-1) and $h-time-6 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-6) else () " />
    <xsl:variable name="h-dt-sequence-2" select="($h-dt-temp-0, $h-dt-temp-1, $h-dt-temp-2, $h-dt-temp-3, $h-dt-temp-4, $h-dt-temp-5, $h-dt-temp-6)" />
    <xsl:variable name="h-matching-seq-2" select="if (exists($h-dt-sequence-2))        then index-of(for $i in (1 to count($h-dt-sequence-2)) return exists($narr-dateTimes[matches(., $h-dt-sequence-2[$i], 'i')]), true())        else () " />
    <xsl:variable name="h-dt-stem-2" select="for $i in (1 to count($h-matching-seq-2)) return $h-dt-sequence-2[$h-matching-seq-2[$i]] " />
    <xsl:variable name="h-dt-regex-2" select="if (exists($h-dt-stem-2)) then concat('(', string-join($h-dt-stem-2, '$)|('), '$)') else '' " />
    <xsl:variable name="h-dt-match-2" select="(exists($h-dt-stem-2) and exists($narr-dateTimes[matches(., $h-dt-regex-2, 'i')])) " />
    <xsl:variable name="h-dt-sequence-3" select="if (not($h-dt-match-2) and exists($h-dt-stem-2) and $h-time-zone != '') then for $i in (1 to count($h-dt-stem-2)) return        concat($h-dt-stem-2[$i], substring($h-time-zone, 1, 4), ':?', substring($h-time-zone, 5, 2)) else () " />
    <xsl:variable name="h-dt-regex-3" select="if ($h-dt-match-2) then '' else if (exists($h-dt-sequence-3)) then concat('(', string-join($h-dt-sequence-3, '$)|('), '$)') else '' " />
    <xsl:variable name="h-dt-match-3" select="($h-dt-match-2 or (exists($h-dt-sequence-3) and exists($narr-dateTimes[matches(., $h-dt-regex-3, 'i')]))) " />
    <xsl:variable name="h-narr-match" select="if ($h-dt-value != '' and count($narr-dateTimes) = 0) then      (       contains($narrative, $h-dt-value)                or       (string-length($h-dt-value) = 4 and contains($narrative, $h-year))             or        (string-length($h-dt-value) = 6 and contains($narrative, concat($h-month-short, $h-year)))          or       (string-length($h-dt-value) &gt; 7 and starts-with($h-day, '0') and        (contains($narrative, concat(substring($h-day,2,1), $h-month-short, $h-year)) or         contains($narrative, concat(substring($h-day,2,1), $h-month-num, $h-year))))          or       (string-length($h-dt-value) &gt; 7 and (contains($narrative, concat($h-day, $h-month-short, $h-year)) or contains($narrative, concat($h-day, $h-month-num, $h-year))))        )       else false() " />
    <xsl:variable name="h-nullFlavor-values" select="if (cda:high/@nullFlavor and cda:high/@nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))        then $nullFlavors/nullFlavor[@value = current()/cda:high/@nullFlavor] else () " />
    <xsl:variable name="h-null-to-find" select="exists($h-nullFlavor-values) " />
    <xsl:variable name="h-null-in-narr" select="($h-nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $h-nullFlavor-values/@name-regex, 'is')])) or              ($h-nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $h-nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="l-nullFlavor-values" select="if (cda:low/@nullFlavor and cda:low/@nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))        then $nullFlavors/nullFlavor[@value = current()/cda:low/@nullFlavor] else () " />
    <xsl:variable name="l-null-to-find" select="exists($l-nullFlavor-values) " />
    <xsl:variable name="l-null-in-narr" select="($l-nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $l-nullFlavor-values/@name-regex, 'is')])) or              ($l-nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $l-nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="l-dt-name" select="if ($l-dt-value = cda:low/@value) then ' low' else '' " />
    <xsl:variable name="l-dt-msg" select="if ($l-dt-value = cda:low/@value) then ' This date/time is the low boundary of a time interval.' else '' " />
    <xsl:variable name="h-dt-msg" select="if ($h-dt-value = cda:high/@value) then ' This date/time is the high boundary of a time interval.' else '' " />
    <xsl:variable name="l-null-msg" select="if ($l-dt-value = cda:low/@value) then ' This nullFlavor value is for the low boundary of a time interval.' else '' " />
    <xsl:variable name="h-null-msg" select="if ($h-dt-value = cda:high/@value) then ' This nullFlavor value is for the high boundary of a time interval.' else '' " />
    <xsl:variable name="multimedia" select="exists($fir-narr-node//cda:renderMultiMedia) or exists($sec-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($fir-narr-node//cda:linkHtml) or exists($sec-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="l-warning-1" select="exists($l-dt-sequence-1) and exists($narr-dateTimes) and $l-dt-match-1 and not($l-dt-match-3) and $l-dt-value != '' " />
    <xsl:variable name="l-error-1" select="$l-warning-1 and not($multimedia) " />
    <xsl:variable name="l-warning-2" select="exists($l-dt-sequence-1) and exists($narr-dateTimes) and not($l-dt-match-1 or $l-dt-match-3) and $l-dt-value != '' " />
    <xsl:variable name="l-error-2a" select="$l-warning-2 and not($multimedia) and $l-time-zone != '' and count($narr-dateTimes) =        count(for $dt in $narr-dateTimes return replace(replace($dt, $regex-date-type-1, ''), $regex-date-type-2, '')       [matches(., concat('^\s*([0-9]{1,2}:{1}[0-9]{2}\s*', substring($l-time-zone, 1, 4), ':?', substring($l-time-zone, 5, 2),         '|[0-9]{1,2}:{1}[0-9]{2}:{1}[0-9]{2}\s*', substring($l-time-zone, 1, 4), ':?', substring($l-time-zone, 5, 2), ')\s*$'), 'i')]) " />
    <xsl:variable name="l-error-2b" select="$l-warning-2 and not($l-dt-match-1) and not($multimedia) and count($narr-dateTimes[matches(., $regex-date-type-2, 'i')]) =        count($narr-dateTimes[matches(., concat($regex-date-type-2, ' ', $narr-time-regex, '$'), 'i')]) " />
    <xsl:variable name="l-error-2c" select="$l-warning-2 and exists($narr-dateTimes[matches(., concat('^', $l-year, '$'))]) " />
    <xsl:variable name="l-error-2" select="$l-error-2a or $l-error-2b or $l-error-2c " />
    <xsl:variable name="l-warning-3" select="$l-dt-value != '' and not(exists($narr-dateTimes)) and not($l-narr-match) " />
    <xsl:variable name="l-error-3" select="$l-warning-3 and not($multimedia) and not(contains($narrative, substring($l-year, 3,2)))" />
    <xsl:variable name="h-warning-1" select="exists($h-dt-sequence-1) and exists($narr-dateTimes) and $h-dt-match-1 and not($h-dt-match-3) and $h-dt-value != '' " />
    <xsl:variable name="h-error-1" select="$h-warning-1 and not($multimedia) " />
    <xsl:variable name="h-warning-2" select="exists($h-dt-sequence-1) and exists($narr-dateTimes) and not($h-dt-match-1 or $h-dt-match-3) and $h-dt-value != '' " />
    <xsl:variable name="h-error-2a" select="$h-warning-2 and not($multimedia) and $h-time-zone != '' and count($narr-dateTimes) =        count(for $dt in $narr-dateTimes return replace(replace($dt, $regex-date-type-1, ''), $regex-date-type-2, '')       [matches(., concat('^\s*([0-9]{1,2}:{1}[0-9]{2}\s*', substring($h-time-zone, 1, 4), ':?', substring($h-time-zone, 5, 2),         '|[0-9]{1,2}:{1}[0-9]{2}:{1}[0-9]{2}\s*', substring($h-time-zone, 1, 4), ':?', substring($h-time-zone, 5, 2), ')\s*$'), 'i')]) " />
    <xsl:variable name="h-error-2b" select="$h-warning-2 and not($h-dt-match-1) and not($multimedia) and count($narr-dateTimes[matches(., $regex-date-type-2, 'i')]) =        count($narr-dateTimes[matches(., concat($regex-date-type-2, ' ', $narr-time-regex, '$'), 'i')]) " />
    <xsl:variable name="h-error-2c" select="$l-warning-2 and exists($narr-dateTimes[matches(., concat('^', $h-year, '$'))]) " />
    <xsl:variable name="h-error-2" select="$h-error-2a or $h-error-2b or $h-error-2c " />
    <xsl:variable name="h-warning-3" select="$h-dt-value != '' and not(exists($narr-dateTimes)) and not($h-narr-match) " />
    <xsl:variable name="h-error-3" select="$h-warning-3 and not($multimedia) and not(contains($narrative, substring($h-year, 3,2))) " />
    <xsl:variable name="narr-dt-msg" select="if ($multimedia or $no-content) then ''       else if (not(exists($narr-dateTimes))) then concat(' The narrative of the ', iq:location(., ''), ' contains no dateTime elements.')       else if (count($narr-dateTimes) = 1) then concat(' The only dateTime element in the narrative of the ', iq:location(., ''), ' is ''',         dh:XQueryRecursiveReplace($narr-dateTimes[1], '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), '''.')       else concat(' The distinct dateTime elements in the narrative of the ', iq:location(., ''), ' are ''',         string-join(for $dt in $narr-dateTimes return          dh:XQueryRecursiveReplace($dt, '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), ', '), '''.') " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-4" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-4 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and exists($l-dt-sequence-1) and $l-dt-value != '' and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and exists($l-dt-sequence-1) and $l-dt-value != '' and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 4: The dateTime element in the structured data is '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'.<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text />
		The number of dateTime elements that have been extracted from the narrative is '<xsl:text /><xsl:value-of select="count($narr-dateTimes)" /><xsl:text />'.
		These are '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-dateTimes, ', '), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The initial regular expressions are '<xsl:text /><xsl:value-of select="string-join($l-dt-sequence-1, ', ')" /><xsl:text />'.
		The three regular expressions used to perform an exact match for narrative dateTime elements are as follows:
		l-dt-regex-1='<xsl:text /><xsl:value-of select="$l-dt-regex-1" /><xsl:text />'; l-dt-regex-2='<xsl:text /><xsl:value-of select="$l-dt-regex-2" /><xsl:text />'; and l-dt-regex-3='<xsl:text /><xsl:value-of select="$l-dt-regex-3" /><xsl:text />'.
		Was a match found after the first regular expression was created? <xsl:text /><xsl:value-of select="$l-dt-match-1" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($l-dt-regex-2 = '') then 'The second regular expression was not applied as there is no time information.'    else concat('Was a match found after the second regular expression (with a date and time) was created? ', $l-dt-match-2, '.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($l-dt-regex-3 = '') then 'The third regular expression was not applied as there is no timezone information.'    else concat('Was a match found after the third regular expression (with a date and time) was created? ', $l-dt-match-3, '.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and exists($h-dt-sequence-1) and $h-dt-value != '' and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and exists($h-dt-sequence-1) and $h-dt-value != '' and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 4: The dateTime element in the structured data is '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'.<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text />
		The number of dateTime elements that have been extracted from the narrative is '<xsl:text /><xsl:value-of select="count($narr-dateTimes)" /><xsl:text />'.
		These are '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-dateTimes, ', '), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The initial regular expressions are '<xsl:text /><xsl:value-of select="string-join($h-dt-sequence-1, ', ')" /><xsl:text />'.
		The three regular expressions used to perform an exact match for narrative dateTime elements are as follows:
		h-dt-regex-1='<xsl:text /><xsl:value-of select="$h-dt-regex-1" /><xsl:text />'; h-dt-regex-2='<xsl:text /><xsl:value-of select="$h-dt-regex-2" /><xsl:text />'; and h-dt-regex-3='<xsl:text /><xsl:value-of select="$h-dt-regex-3" /><xsl:text />'.
		Was a match found after the first regular expression was created? <xsl:text /><xsl:value-of select="$h-dt-match-1" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($h-dt-regex-2 = '') then 'The second regular expression was not applied as there is no time information.'    else concat('Was a match found after the second regular expression (with a date and time) was created? ', $h-dt-match-2, '.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($h-dt-regex-3 = '') then 'The third regular expression was not applied as there is no timezone information.'    else concat('Was a match found after the third regular expression (with a date and time) was created? ', $h-dt-match-3, '.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $l-warning-1 and not($l-error-1 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $l-warning-1 and not($l-error-1 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Document Author Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /> Although the date was found in the narrative the Document Author Participation Period data element must contain the time.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Document Author Participation Period data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $l-error-1 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $l-error-1 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Document Author Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /> Although the date was found in the narrative the Document Author Participation Period data element must contain the time.
		The Document Author Participation Period data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $l-error-1 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $l-error-1 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Document Author Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /> Although the date was found in the narrative the Document Author Participation Period data element must contain the time.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-warning-2 and not($l-error-2 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-warning-2 and not($l-error-2 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Document Author Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Document Author Participation Period data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-error-2 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-error-2 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Document Author Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($l-error-2c) then concat('The narrative contains a date with the same year ''', $l-year, ''' but without a month or day.') else '' " /><xsl:text />
		The Document Author Participation Period data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-error-2 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-error-2 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Document Author Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($l-error-2c) then concat('The narrative contains a date with the same year ''', $l-year, ''' but without a month or day.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $l-dt-value != '' and not($l-narr-match or $l-null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $l-dt-value != '' and not($l-narr-match or $l-null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Document Author Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $l-dt-value != '' and not($l-narr-match or $l-null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $l-dt-value != '' and not($l-narr-match or $l-null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Document Author Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Document Author Participation Period data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $h-warning-1 and not($h-error-1 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $h-warning-1 and not($h-error-1 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Document Author Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /> Although the date was found in the narrative the Document Author Participation Period data element must contain the time.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Document Author Participation Period data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $h-error-1 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $h-error-1 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Document Author Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /> Although the date was found in the narrative the Document Author Participation Period data element must contain the time.
		The Document Author Participation Period data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $h-error-1 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $h-error-1 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Document Author Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /> Although the date was found in the narrative the Document Author Participation Period data element must contain the time.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-warning-2 and not($h-error-2 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-warning-2 and not($h-error-2 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Document Author Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Document Author Participation Period data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-error-2 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-error-2 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Document Author Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($h-error-2c) then concat('The narrative contains a date with the same year ''', $h-year, ''' but without a month or day.') else '' " /><xsl:text />
		The Document Author Participation Period data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-error-2 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-error-2 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Document Author Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($h-error-2c) then concat('The narrative contains a date with the same year ''', $h-year, ''' but without a month or day.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-warning-3 and not($l-error-3 or $no-content)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-warning-3 and not($l-error-3 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Document Author Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not seem to be present in the narrative of the section.<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Document Author Participation Period data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-error-3 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-error-3 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Document Author Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Document Author Participation Period data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else ' All clinical information in entry elements must be present in the narrative.'" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-error-3 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-error-3 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Document Author Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-warning-3 and not($h-error-3 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-warning-3 and not($h-error-3 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Document Author Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not seem to be present in the narrative of the section.<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Document Author Participation Period data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-error-3 and not($no-content) and true()  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-error-3 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Document Author Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text />
		The Document Author Participation Period data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-error-3 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-error-3 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Document Author Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $h-dt-value != '' and not($h-narr-match or $h-null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $h-dt-value != '' and not($h-narr-match or $h-null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Document Author Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $h-dt-value != '' and not($h-narr-match or $h-null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $h-dt-value != '' and not($h-narr-match or $h-null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Document Author Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Document Author Participation Period data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-null-to-find and not($l-null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-null-to-find and not($l-null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Document Author Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="cda:low/@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$l-nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($l-nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.<xsl:text /><xsl:value-of select="$l-null-msg" /><xsl:text /> If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-null-to-find and not($h-null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-null-to-find and not($h-null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Document Author Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="cda:high/@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$h-nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($h-nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.<xsl:text /><xsl:value-of select="$h-null-msg" /><xsl:text />
		If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M38" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M38" />
  <xsl:template match="@*|node()" priority="-2" mode="M38">
    <xsl:apply-templates select="@*|*" mode="M38" />
  </xsl:template>
  <!--PATTERN p-TS-ACIR-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16658' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16658'] " priority="1000" mode="M39">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16658' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16658'] " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating" select="if ($initial-priority) then $initial-rating else if ($FS-Types-seq/@rating) then concat(' (', $FS-Types-seq/@rating, ')') else '' " />
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and not(/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.144' and @extension = '1.1']) and $extensions-allowed">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.144' and @extension = '1.1']) and $extensions-allowed">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: FS-Types: The Australian Childhood Immunisation Register Entries section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16658') has been found in a <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. The Australian Childhood Immunisation Register Entries section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16658') is defined in the digital health specifications but
		although tests have been applied to the data elements the specification of the data elements may have been varied for inclusion in this document
		so further examination may be needed. The rules have been validated for <xsl:text /><xsl:value-of select="normalize-space('Australian Childhood Immunisation Register CDA Implementation Guide version 1.1')" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M39" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M39" />
  <xsl:template match="@*|node()" priority="-2" mode="M39">
    <xsl:apply-templates select="@*|*" mode="M39" />
  </xsl:template>
  <!--PATTERN p-TS-ACIR-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16658' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16658']]/cda:component/cda:section " priority="1000" mode="M40">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16658' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16658']]/cda:component/cda:section " />
    <xsl:variable name="agency-section" select=" cda:code/@codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="test-step" select=" if (not($extensions-allowed)) then 'step 4'        else if ($agency-section) then 'step 3' else 'step 1' " />
    <xsl:variable name="title-and-code" select=" if (cda:title and cda:code/@code) then concat('title ''', cda:title, ''', code/code ''', cda:code/@code, '''')        else if (cda:title and not(cda:code/@code)) then concat('title ''', cda:title, '''')        else if (not(cda:title) and cda:code/@code) then concat('code/code ''', cda:code/@code, '''')        else '' " />
    <xsl:variable name="other-section-names" select=" if (cda:code/@displayName and not(cda:code/cda:originalText)) then concat(' and code/displayName ''', cda:code/@displayName, '''')         else if (cda:code/@displayName and cda:code/cda:originalText)          then concat(', code/displayName ''', cda:code/@displayName,''' and code/originalText ''', cda:code/cda:originalText, '''')        else if (not(cda:code/@displayName) and cda:code/cda:originalText) then concat(' and code/originalText ''', cda:code/cda:originalText, '''')        else '' " />
    <xsl:variable name="section-names" select="concat($title-and-code, $other-section-names)" />
    <xsl:variable name="doc-code" select="/cda:ClinicalDocument/cda:code" />
    <xsl:variable name="parent-section" select="ancestor::cda:section[position()=1]" />
    <xsl:variable name="custom-section-info" select="($iq-config/custom-sections/section, $knowledge/custom-sections/section)[        @doc-code  = $doc-code/@code          and        @doc-codeSystem  = $doc-code/@codeSystem          and        @parent-code   = $parent-section/cda:code/@code         and         @parent-codeSystem  = $parent-section/cda:code/@codeSystem        and         (@title = current()/cda:title or (@code = current()/cda:code/@code and @codeSystem = current()/cda:code/@codeSystem)) ] " />
    <xsl:variable name="section-disallowed" select="$custom-section-info/@disallowed = 'yes' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and ($section-disallowed or not(exists($custom-section-info)))) then $rating-alt-TC-Doc-28-step-1        else if ($test-step = 'step 1' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections]) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 3') then $rating-TC-Doc-28-step-3 else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and $section-disallowed ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and $section-disallowed">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Australian Childhood Immunisation Register Entries section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16658') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> which
		is an extension to the information model however the inclusion of this section conflicts with sections defined in the digital health specifications.
		<xsl:text /><xsl:value-of select="$custom-section-info[@disallowed = 'yes']/@reason" /><xsl:text /> (Also see <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not(false()) and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(false()) and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Australian Childhood Immunisation Register Entries section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16658') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. No subsection is expected so this
		is an extension to the information model. Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the 
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(false()) and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(false()) and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Australian Childhood Immunisation Register Entries section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16658') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> but no subsections were
		expected so the document fails to meet the requirement that it must not contain additional data elements. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and false() and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and false() and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Australian Childhood Immunisation Register Entries section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16658') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		none are expected but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the information model.
		Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Australian Childhood Immunisation Register Entries section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16658') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		none are expected but the inclusion of the section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> fails to meet the requirement that it must not contain additional data elements.
		(See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M40" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M40" />
  <xsl:template match="@*|node()" priority="-2" mode="M40">
    <xsl:apply-templates select="@*|*" mode="M40" />
  </xsl:template>
  <!--PATTERN p-TS-ACIR-CodeableText-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16658' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16658']]/cda:entry/        cda:substanceAdministration[not(cda:statusCode/@code) or lower-case(cda:statusCode/@code)='active']/        cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code " priority="1000" mode="M41">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16658' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16658']]/cda:entry/        cda:substanceAdministration[not(cda:statusCode/@code) or lower-case(cda:statusCode/@code)='active']/        cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="family-err" select="cda:originalText and matches(cda:originalText, $family-regex, 'i')" />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; 200" />
    <xsl:variable name="nullFlavor-values" select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Vaccine Administration Entry - Vaccine Name',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Administration Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		which is derived from the HL7 'CD' data type however  the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'allowed' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'allowed' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Vaccine Administration Entry - Vaccine Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText should not be included.
		(See the definition of Vaccine Administration Entry - Vaccine Name in the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'allowed' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'allowed' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Administration Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Vaccine Administration Entry - Vaccine Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Vaccine Administration Entry - Vaccine Name in the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Vaccine Administration Entry - Vaccine Name data element must have a value that is consistent with this definition. Alternatively if there is no Vaccine Administration Entry - Vaccine Name data element with a proper value then an exclusion
		statement must be included to state why there is no Vaccine Administration Entry - Vaccine Name.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'allowed' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'allowed' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Vaccine Administration Entry - Vaccine Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText should not be included.
		(See the definition of Vaccine Administration Entry - Vaccine Name in the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'allowed' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'allowed' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Vaccine Administration Entry - Vaccine Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Vaccine Administration Entry - Vaccine Name in the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'allowed' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'allowed' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Administration Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Vaccine Administration Entry - Vaccine Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Vaccine Administration Entry - Vaccine Name in the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Vaccine Administration Entry - Vaccine Name data element must have a value that is consistent with this definition. Alternatively if there is no Vaccine Administration Entry - Vaccine Name data element with a proper value then an exclusion
		statement must be included to state why there is no Vaccine Administration Entry - Vaccine Name.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'allowed' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'allowed' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Vaccine Administration Entry - Vaccine Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Vaccine Administration Entry - Vaccine Name in the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Vaccine Administration Entry - Vaccine Name data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value
		(if a nullFlavor attribute is permitted for this data element). (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Administration Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Administration Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Administration Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present and is not expected
		for the CodeableText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Administration Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present and is not expected
		for the CodeableText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(.) != 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Administration Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. As a translation element cannot have an originalText
		then a displayName must be present. (See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Administration Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value which is not correct to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value
		which is not a correct value to use in this case. The nullFlavor attribute indicates the Vaccine Administration Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a value of nullFlavor 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information provided.
		Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Vaccine Administration Entry - Vaccine Name.
		(See the definition of Vaccine Administration Entry - Vaccine Name in the Australian Childhood Immunisation Register Structured Content Specification v1.1.1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M41" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M41" />
  <xsl:template match="@*|node()" priority="-2" mode="M41">
    <xsl:apply-templates select="@*|*" mode="M41" />
  </xsl:template>
  <!--PATTERN p-TS-ACIR-CodeableText-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '101.16658' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16658']]/cda:entry/        cda:substanceAdministration[not(cda:statusCode/@code) or lower-case(cda:statusCode/@code)='active']/        cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code        [@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " priority="1000" mode="M42">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '101.16658' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16658']]/cda:entry/        cda:substanceAdministration[not(cda:statusCode/@code) or lower-case(cda:statusCode/@code)='active']/        cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code        [@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="pnullFlavor" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @nullFlavor) then @nullFlavor else '' " />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-p-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then false()        else if ($psnomed-id = 'amtv3' and @codeSystemVersion) then exists($v-amtv3[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($psnomed-id = 'snomedctau' and @codeSystemVersion) then exists($v-snomedctau[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false() " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and $pcode != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used to assess the primary code.') " />
    <xsl:variable name="pcode-refsets-1" select="if (@codeSystem = '2.16.840.1.113883.6.96' and not($pcode = ''))         then dh:FindValueDomainsForCode($pcode, '2.16.840.1.113883.6.96', $v-psnomed-version) else 'no-code' " />
    <xsl:variable name="pcode-found" select="not($pcode-refsets-1 = 'no-code' or $pcode-refsets-1 = 'CodeNotFound' or $pcode-refsets-1 = 'Error'        or contains($pcode-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="pcode-refsets" select="if ($pcode-found) then distinct-values(tokenize($pcode-refsets-1, '\|')) else () " />
    <xsl:variable name="pcode-special-proc" select="count($pcode-refsets) = 1 and 'Procedure Foundation (PF)' = $pcode-refsets and not($pnullFlavor = 'OTH') " />
    <xsl:variable name="pcode-refsets-msg" select="if (count($pcode-refsets) = 0) then ''         else if (count($pcode-refsets) = 1) then concat('The code is a member of the ', $pcode-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($pcode-refsets, ', '), '.') " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))         else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-1" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="snomed-trans-2" select="distinct-values(for $i in (1 to count($snomed-trans-1)) return $snomed-trans-1[$i]/@code) " />
    <xsl:variable name="snomed-trans-a" select="$snomed-trans-1[1] " />
    <xsl:variable name="tcode-a" select="if (exists($snomed-trans-a) and matches($snomed-trans-a/@code, $snomed-code-regex)) then $snomed-trans-a/@code else '' " />
    <xsl:variable name="tnullFlavor-a" select="if (exists($snomed-trans-a) and $snomed-trans-a/@nullFlavor) then $snomed-trans-a/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-a" select="if (not(exists($snomed-trans-a))) then 'not-snomed'        else if (not($snomed-trans-a/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-a/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-a" select="if (not(exists($snomed-trans-a))) then ''        else if ($tsnomed-id-a = 'amtv3' and exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-a = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-a/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-a" select="if (not(exists($snomed-trans-a))) then false()        else if ($tsnomed-id-a = 'amtv3' and $snomed-trans-a/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-a = 'snomedctau' and $snomed-trans-a/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-a-msg" select="if (not(exists($snomed-trans-a))) then ''        else if (not($snomed-trans-a/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-a, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-a = 'amtv3') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-a = 'snomedctau') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-a/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-a, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-a/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-a-refsets-1" select="if (exists($snomed-trans-a) and not($tcode-a = ''))         then dh:FindValueDomainsForCode($tcode-a, '2.16.840.1.113883.6.96', $v-tsnomed-version-a) else 'no-code' " />
    <xsl:variable name="tcode-a-found" select="not($tcode-a-refsets-1 = 'no-code' or $tcode-a-refsets-1 = 'CodeNotFound' or $tcode-a-refsets-1 = 'Error'         or contains($tcode-a-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-a-refsets" select="if ($tcode-a-found) then distinct-values(tokenize($tcode-a-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-a-special-proc" select="count($tcode-a-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-a-refsets and not($tnullFlavor-a = 'OTH') " />
    <xsl:variable name="tcode-a-refsets-msg" select="if (count($tcode-a-refsets) = 0) then ''         else if (count($tcode-a-refsets) = 1) then concat('The code is a member of the ', $tcode-a-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-a-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@code and $snomed-trans-a/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-a/@displayName, codepoints-to-string(34))         else if ($snomed-trans-a/@code and not($snomed-trans-a/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@codeSystem and $snomed-trans-a/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-a/@codeSystemName, ')')         else if ($snomed-trans-a/@codeSystem and not($snomed-trans-a/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-b" select="(for $i in (2 to count($snomed-trans-1)) return if ($snomed-trans-1[$i]/@code != $snomed-trans-a/@code) then $snomed-trans-1[$i] else ())[1] " />
    <xsl:variable name="tcode-b" select="if (exists($snomed-trans-b) and matches($snomed-trans-b/@code, $snomed-code-regex)) then $snomed-trans-b/@code else '' " />
    <xsl:variable name="tnullFlavor-b" select="if (exists($snomed-trans-b) and $snomed-trans-b/@nullFlavor) then $snomed-trans-b/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-b" select="if (not(exists($snomed-trans-b))) then 'not-snomed'        else if (not($snomed-trans-b/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-b/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-b" select="if (not(exists($snomed-trans-b))) then ''        else if ($tsnomed-id-b = 'amtv3' and exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-b = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-b/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-b" select="if (not(exists($snomed-trans-b))) then false()        else if ($tsnomed-id-b = 'amtv3' and $snomed-trans-b/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-b = 'snomedctau' and $snomed-trans-b/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-b-msg" select="if (not(exists($snomed-trans-b))) then ''        else if (not($snomed-trans-b/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-b, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-b = 'amtv3') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-b = 'snomedctau') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-b/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-b, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-b/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-b-refsets-1" select="if (exists($snomed-trans-b) and not($tcode-b = ''))         then dh:FindValueDomainsForCode($tcode-b, '2.16.840.1.113883.6.96', $v-tsnomed-version-b) else 'no-code' " />
    <xsl:variable name="tcode-b-found" select="not($tcode-b-refsets-1 = 'no-code' or $tcode-b-refsets-1 = 'CodeNotFound' or $tcode-b-refsets-1 = 'Error'         or contains($tcode-b-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-b-refsets" select="if ($tcode-b-found) then distinct-values(tokenize($tcode-b-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-b-special-proc" select="count($tcode-b-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-b-refsets and not($tnullFlavor-b = 'OTH') " />
    <xsl:variable name="tcode-b-refsets-msg" select="if (count($tcode-b-refsets) = 0) then ''         else if (count($tcode-b-refsets) = 1) then concat('The code is a member of the ', $tcode-b-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-b-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@code and $snomed-trans-b/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-b/@displayName, codepoints-to-string(34))         else if ($snomed-trans-b/@code and not($snomed-trans-b/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@codeSystem and $snomed-trans-b/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-b/@codeSystemName, ')')         else if ($snomed-trans-b/@codeSystem and not($snomed-trans-b/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-60" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-60 else $rating-alt-TC-Types-60 " />
    <!--REPORT -->
    <xsl:if test=" $pcode-found and $pcode-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pcode-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD (p-TS-CD-SCT-RefSet): An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$pcode" /><xsl:text />',
		codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-psnomed-version" /><xsl:text />'. This error occurred when assessing the Vaccine Administration Entry - Vaccine Name data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. The value is not valid for the data element as it describes a medical
		procedure and not a medical problem or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered for, administered to or used by the consumer. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.         (See section 3.5 of the Australian Childhood Immunisation Register Structured Content Specification v1.0.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the code is not a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Vaccine Administration (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Vaccine Administration (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Vaccine Administration (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. Confirm if the code is a member of the value domain.
		If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Vaccine Administration (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="count($snomed-trans-1)" /><xsl:text /> translation elements with
		codes and the SNOMED CT-AU codeSystem '2.16.840.1.113883.6.96'. The first two translation elements have been assessed to determine if the codes are members of the value domain
		and the others have not been assessed. Confirm if the value of the code attribute in all SNOMED CT translation elements meets the requirement that it be a member of the value domain
		if there is no nullFlavor 'OTH' or that there is a nullFlavor 'OTH' if the value of the code attribute is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text /> 
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Vaccine Administration (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-a" /><xsl:text />'. This error occurred when assessing the Vaccine Administration Entry - Vaccine Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered for, administered to or used by the consumer. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.         (See section 3.5 of the Australian Childhood Immunisation Register Structured Content Specification v1.0.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Vaccine Administration (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Vaccine Administration (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Vaccine Administration (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Vaccine Administration (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-b" /><xsl:text />'. This error occurred when assessing the Vaccine Administration Entry - Vaccine Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> 
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered for, administered to or used by the consumer. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.         (See section 3.5 of the Australian Childhood Immunisation Register Structured Content Specification v1.0.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Vaccine Administration (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Vaccine Administration (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Vaccine Administration (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Vaccine Administration (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M42" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M42" />
  <xsl:template match="@*|node()" priority="-2" mode="M42">
    <xsl:apply-templates select="@*|*" mode="M42" />
  </xsl:template>
  <!--PATTERN p-TS-ACIR-CodeableText-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '101.16658' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16658']]/cda:entry/        cda:substanceAdministration[not(cda:statusCode/@code) or lower-case(cda:statusCode/@code)='active']/        cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code        [(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-immun-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])]   [not(@nullFlavor = $no-value-NF)] " priority="1000" mode="M43">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '101.16658' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16658']]/cda:entry/        cda:substanceAdministration[not(cda:statusCode/@code) or lower-case(cda:statusCode/@code)='active']/        cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code        [(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-immun-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])]   [not(@nullFlavor = $no-value-NF)] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="snomed-trans" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="tcode" select="if (exists($snomed-trans[1]) and matches($snomed-trans[1]/@code, $snomed-code-regex)) then $snomed-trans[1]/@code else '' " />
    <xsl:variable name="code-present" select="$pcode != '' or $tcode != '' " />
    <xsl:variable name="invalid-code-system" select="@code and @displayName and @codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="codesystemvalues" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']" />
    <xsl:variable name="otext-without-markup" select="if (cda:originalText and cda:originalText != '') then normalize-space(replace(cda:originalText, $markup-regex, ' ')) else '' " />
    <xsl:variable name="pdname" select="if (@displayName and not($invalid-code-system)) then normalize-space(@displayName) else '' " />
    <xsl:variable name="is-immun" select="exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='101.16638' or @code = '101.16658' or @code = '101.17039')]]) " />
    <xsl:variable name="is-pd" select="exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code = '102.16210' or @code='102.16211' or @code='101.16795')]]) " />
    <xsl:variable name="is-shs-meds" select="$templateId-root = '1.2.36.1.2001.1001.101.100.1002.120' and          exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]) " />
    <xsl:variable name="is-meds" select="exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code = '101.16146.4.1.1' or @code = '101.16146.4.1.2' or @code='101.16146')]]) " />
    <xsl:variable name="max-code-number" select="if ($knowledge/search-for-term/max-sct-code-number/@value &gt; '5') then $knowledge/search-for-term/max-sct-code-number/@value else '5' " />
    <xsl:variable name="der-text-1" select="if ($code-present) then ''         else if ($otext-without-markup != '') then $otext-without-markup        else if ($pdname != '') then $pdname        else '' " />
    <xsl:variable name="family-err" select="matches($der-text-1, $family-regex, 'is')" />
    <xsl:variable name="der-truncated-text-1" select="normalize-space(replace(replace($der-text-1, $unicode-br-truncation-regex, '$1', 'is'), $tgi-truncation-regex, '$1', 'is')) " />
    <xsl:variable name="length-err" select="string-length($der-truncated-text-1) &gt; $length-err-max" />
    <xsl:variable name="prose-err-1" select="$length-err and cda:originalText and (        matches(cda:originalText, $ulist-regex)           or         matches(cda:originalText, $alt-ulist-1a-regex, 'is')         or         matches(cda:originalText, $alt-ulist-1b-regex, 'is')         )" />
    <xsl:variable name="prose-err" select="$prose-err-1 or (cda:originalText and (         matches(cda:originalText, $alt-ulist-2-regex, 'is')         or        matches(cda:originalText, $olist-arabic-regex, 'is')         or         matches(cda:originalText, $olist-alpha-regex, 'is')         or         matches(cda:originalText, $olist-roman-regex, 'is')         or        matches(replace(cda:originalText, $new-line-regex, codepoints-to-string((10)), 'is'), $para-regex, 'is') or        matches(cda:originalText, codepoints-to-string((8233)), 'is')        or               (cda:originalText and matches(cda:originalText, $invalid-concept-regex, 'is'))     or        ($length-err and matches(cda:originalText, '\.\s*$', 's') and matches(cda:originalText, $multi-sentence-regex, 's')) ))" />
    <xsl:variable name="avoid-ts" select="$family-err or $length-err or $prose-err or not($use-ts-for-sctau) " />
    <xsl:variable name="der-text-2a" select="if ($der-truncated-text-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-truncated-text-1, $tgi-fir-pattern-replacement, 'ic')) " />
    <xsl:variable name="der-text-2" select="if ($der-text-2a = '') then $der-text-1 else $der-text-2a " />
    <xsl:variable name="der-text-a" select="if ($der-text-2 = '' or $tgi-regex = '') then $der-text-2 else normalize-space(dh:XQueryRecursiveReplace($der-text-2, $tgi-regex, 'ic')) " />
    <xsl:variable name="der-text" select="if ($der-text-a = '') then $der-text-2 else $der-text-a " />
    <xsl:variable name="defn-valid-regex" select="concat('(^|\|)', translate($der-text-2, $chars-to-remove, ''), '(\||$)') " />
    <xsl:variable name="der-text-to-match-1" select="lower-case($der-text-2) " />
    <xsl:variable name="der-text-to-match" select="translate($der-text-to-match-1, $chars-to-remove, '') " />
    <xsl:variable name="tgi-non-value-regex" select="if ($is-immun)          then $cd-definitions/immun/@non-value-regex         else if ($is-pd)       then $cd-definitions/pd/@non-value-regex        else if ($is-shs-meds) then $cd-definitions/shs-meds/@non-value-regex        else if ($is-meds)     then $cd-definitions/meds/@non-value-regex        else '' " />
    <xsl:variable name="der-text-non-value" select="if ($code-present or @nullFlavor = $no-value-NF) then false() else         $der-text-to-match = ''             or         not(matches($der-text-to-match-1, '[a-z]', 'is'))         or        ($cd-definitions/non-value/@regex != '' and matches($der-text-to-match-1, $cd-definitions/non-value/@regex, 'is')) or        ($tgi-non-value-regex != '' and matches($der-text-to-match-1, $tgi-non-value-regex, 'is'))    " />
    <xsl:variable name="tgi-invalid-regex" select="if ($is-immun)          then $cd-definitions/immun/@invalid-regex         else if ($is-pd)       then $cd-definitions/pd/@invalid-regex        else if ($is-shs-meds) then $cd-definitions/shs-meds/@invalid-regex        else if ($is-meds)     then $cd-definitions/meds/@invalid-regex        else '' " />
    <xsl:variable name="defn-invalid-regex" select="if ($code-present or $der-text-non-value) then ()        else if ($tgi-invalid-regex != '') then tokenize($tgi-invalid-regex, '~')[. != '']         else () " />
    <xsl:variable name="defn-invalid-txt-regex" select="(for $i in (1 to count($defn-invalid-regex)) return normalize-space(substring-before($defn-invalid-regex[$i], '[[')))[. != '']" />
    <xsl:variable name="der-invalid-text-regex-1" select="if (exists($defn-invalid-txt-regex))        then index-of(for $i in (1 to count($defn-invalid-txt-regex)) return matches($der-text-2, $defn-invalid-txt-regex[$i], 'is'), true())        else () " />
    <xsl:variable name="der-invalid-text" select="exists($der-invalid-text-regex-1) " />
    <xsl:variable name="defn-invalid-rsn" select="if ($der-invalid-text)         then normalize-space(substring-before(substring-after($defn-invalid-regex[$der-invalid-text-regex-1[1]], '[['), ']]'))         else '' " />
    <xsl:variable name="trusted-code-systems" select="if ($der-text = '' or $der-invalid-text or not(@codeSystem or cda:translation/@codeSystem)) then ()        else if ($is-immun)          then (tokenize(replace($cd-definitions/immun/@core, '\s+', ''), '\|'),           tokenize(replace($cd-definitions/immun/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-pd)          then (tokenize(replace($cd-definitions/pd/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/pd/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-shs-meds)          then (tokenize(replace($cd-definitions/shs-meds/@core, '\s+', ''), '\|'),          tokenize(replace($cd-definitions/shs-meds/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-meds)          then (tokenize(replace($cd-definitions/meds/@core, '\s+', ''), '\|'),           tokenize(replace($cd-definitions/meds/@extra, '\s+', ''), '\|'))[. != '']         else () " />
    <xsl:variable name="der-trusted-text" select="if ($der-text = '' or $der-invalid-text or (@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex)))) then false()        else ((@codeSystem and exists($trusted-code-systems[. = current()/@codeSystem])) or               (cda:translation/@codeSystem and exists($trusted-code-systems[. = current()/cda:translation/@codeSystem]))) " />
    <xsl:variable name="a-vaccine-1" select="not($code-present or $der-text-non-value or $der-invalid-text) and exists($vaccine-text-normalised) and $der-text-to-match = $vaccine-text-normalised" />
    <xsl:variable name="a-sas-tgi-1" select="not($code-present or $der-text-non-value or $der-invalid-text or $a-vaccine-1) and $tgi-sas-regex != '' and matches($der-text, $tgi-sas-regex, 'is')" />
    <xsl:variable name="an-uncoded-tgi-1" select="not($code-present or $der-text-non-value or $der-invalid-text or $a-vaccine-1 or $a-sas-tgi-1) and $tgi-otheru-regex != '' and         matches($der-text, $tgi-otheru-regex, 'is')" />
    <xsl:variable name="obsolete-tgi-info-1" select="if ($is-immun or $code-present or $der-text-non-value or $der-invalid-text or $a-vaccine-1 or $a-sas-tgi-1 or $an-uncoded-tgi-1 or         not(exists($knowledge/special-tgi/obsolete))) then ()        else $knowledge/special-tgi/obsolete[matches($der-text, concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')] " />
    <xsl:variable name="an-obsolete-tgi-1" select="exists($obsolete-tgi-info-1)" />
    <xsl:variable name="tgi-valid-regex-1" select="if ($code-present or $der-text-non-value or $der-invalid-text or $der-text = '' or $a-vaccine-1 or $a-sas-tgi-1 or $an-uncoded-tgi-1 or          $an-obsolete-tgi-1) then ''        else if ($is-immun)    then $cd-definitions/immun/@valid-regex        else if ($is-pd)       then $cd-definitions/pd/@valid-regex        else if ($is-shs-meds) then $cd-definitions/shs-meds/@valid-regex        else if ($is-meds)     then $cd-definitions/meds/@valid-regex        else '' " />
    <xsl:variable name="valid-tgi-1" select="if ($a-vaccine-1 or $a-sas-tgi-1 or $an-uncoded-tgi-1 or $an-obsolete-tgi-1) then true()         else if ($tgi-valid-regex-1 = '') then false()        else exists(index-of(for $regex in (tokenize($tgi-valid-regex-1, '~')[. != '']) return          matches($der-text-2, dh:XQueryRecursiveReplace(normalize-space($regex), ' \|~|~\| ~|', ''), 'is'), true())) " />
    <xsl:variable name="invalid-hierarchy-1" select="if (exists($cd-definitions/meds/meds-invalid/hierarchy))         then string-join(for $hierarchy in $cd-definitions/meds/meds-invalid/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-refset" select="if (exists($cd-definitions/meds/meds-invalid/refset))          then string-join(for $refset in $cd-definitions/meds/meds-invalid/refset return concat('^', $refset/@code), ' OR ')         else '' " />
    <xsl:variable name="valid-refset" select="concat($tgi-formula, ' OR &lt;763158003') " />
    <xsl:variable name="valid-domain" select="if ($invalid-refset != '' and $invalid-hierarchy-1 != '')         then concat('((', $valid-refset, ') MINUS (', $invalid-refset, ' OR (', $invalid-hierarchy-1, ')))')        else if ($invalid-refset = '' and $invalid-hierarchy-1 != '') then concat('((', $valid-refset, ') MINUS (', $invalid-hierarchy-1, '))')         else if ($invalid-refset != '' and $invalid-hierarchy-1 = '') then concat('((', $valid-refset, ') MINUS (', $invalid-refset, '))')        else concat('(', $valid-refset, ')') " />
    <xsl:variable name="related-terms-1" select="if ($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-1) then ()        else ($codesystemvalues/code[@related-terms], $codesystemvalues/related-terms[@related-terms]) " />
    <xsl:variable name="related-terms-2" select="for $i in index-of(        for $concept in $related-terms-1 return matches(translate($concept/@related-terms, $chars-no-pipe, ''), $defn-valid-regex, 'is'), true())         return $related-terms-1[$i]/@code " />
    <xsl:variable name="der-tgi-codes-1" select="if (exists($related-terms-2)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($related-terms-2, ' OR '), ') AND ', $valid-domain), '', string(count($related-terms-2)), false())        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $der-tgi-codes-1 " />
    <xsl:variable name="der-valid-codes-1" select="if (contains($der-tgi-codes-1, '[')) then $der-tgi-codes-1 else '' " />
    <xsl:variable name="valid-tgi-2" select="$valid-tgi-1 or $der-valid-codes-1 != '' " />
    <xsl:variable name="tgi-inactive-refSets" select="if (exists($cd-definitions/tgi/tgi-invalid/inactive-refset))         then concat('((', $inactive-refSets, ') MINUS (',           string-join(for $refset in $cd-definitions/tgi/tgi-invalid/inactive-refset return concat('^', $refset/@code), ' OR '),          '))')         else $inactive-refSets " />
    <xsl:variable name="formula" select="concat($valid-domain, ' OR ', $tgi-inactive-refSets) " />
    <xsl:variable name="ts-not-needed" select="$der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-2 or $avoid-ts " />
    <xsl:variable name="der-tgi-codes-2-a" select="if ($ts-not-needed or exists($related-terms-2)) then ()         else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-text,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2-a" select="$error-usingTS-1 or 'Error' = $der-tgi-codes-2-a " />
    <xsl:variable name="revision-pattern-1" select="if ($ts-not-needed or $valid-tgi-2 or exists($der-tgi-codes-2-a) or $error-usingTS-2-a or exists($related-terms-2)) then ''        else $tgi-sec-pattern-replacement " />
    <xsl:variable name="der-revised-text-1" select="if ($revision-pattern-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-text, $revision-pattern-1, 'ic')) " />
    <xsl:variable name="use-revised-text-1" select="$der-revised-text-1 != '' and $der-revised-text-1 != $der-text " />
    <xsl:variable name="obsolete-tgi-info-2" select="if (exists($der-tgi-codes-2-a)) then ()        else if ($an-obsolete-tgi-1) then $obsolete-tgi-info-1        else if ($use-revised-text-1) then $knowledge/special-tgi/obsolete[matches($der-revised-text-1, concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')]        else () " />
    <xsl:variable name="an-obsolete-tgi-2" select="exists($obsolete-tgi-info-2)" />
    <xsl:variable name="der-tgi-codes-2-b" select="if ($an-obsolete-tgi-2) then ()        else if ($ts-not-needed or exists($der-tgi-codes-2-a) or not($use-revised-text-1)) then $der-tgi-codes-2-a         else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-1,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2-b" select="$error-usingTS-2-a or 'Error' = $der-tgi-codes-2-b " />
    <xsl:variable name="revision-pattern-2" select="if ($ts-not-needed or $valid-tgi-2 or exists($der-tgi-codes-2-b) or $error-usingTS-2-b or exists($related-terms-2)) then ''        else $tgi-thi-pattern-replacement " />
    <xsl:variable name="der-revised-text-2" select="if ($revision-pattern-2 = '') then '' else normalize-space(dh:XQueryRecursiveReplace(         if ($use-revised-text-1) then $der-revised-text-1 else $der-text, $revision-pattern-2, 'ic')) " />
    <xsl:variable name="use-revised-text-2" select="if ($use-revised-text-1) then $der-revised-text-2 != '' and $der-revised-text-2 != $der-revised-text-1         else $der-revised-text-2 != '' and $der-revised-text-2 != $der-text " />
    <xsl:variable name="obsolete-tgi-info-3" select="if (exists($der-tgi-codes-2-b)) then ()        else if ($an-obsolete-tgi-2) then $obsolete-tgi-info-2        else if ($use-revised-text-2) then $knowledge/special-tgi/obsolete[matches($der-revised-text-2, concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')]        else () " />
    <xsl:variable name="an-obsolete-tgi-3" select="exists($obsolete-tgi-info-3)" />
    <xsl:variable name="der-tgi-codes-2-c" select="if ($an-obsolete-tgi-3) then ()        else if ($ts-not-needed or exists($der-tgi-codes-2-b) or not($use-revised-text-2)) then $der-tgi-codes-2-b        else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-2,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2-c" select="$error-usingTS-2-b or 'Error' = $der-tgi-codes-2-c " />
    <xsl:variable name="der-tgi-codes-2-d" select="if ($an-obsolete-tgi-3 or $ts-not-needed or exists($der-tgi-codes-2-c)) then $der-tgi-codes-2-c        else iq:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula,          if ($der-revised-text-2 != '') then $der-revised-text-2          else if ($der-revised-text-1 != '') then $der-revised-text-1          else $der-text, 'default') " />
    <xsl:variable name="error-usingTS-2-d" select="$error-usingTS-2-c or 'Error' = $der-tgi-codes-2-d " />
    <xsl:variable name="der-tgi-codes-2" select="$der-tgi-codes-2-d " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-2-d " />
    <xsl:variable name="der-valid-codes-2" select="if ($der-valid-codes-1 != '') then $der-valid-codes-1        else if ($error-usingTS-2) then ''         else string-join((for $code in $der-tgi-codes-2 return if (contains($code, '~inactive')) then '' else $code)[. != ''], '|')  " />
    <xsl:variable name="valid-tgi-3" select="$valid-tgi-2 or $der-valid-codes-2 != '' " />
    <xsl:variable name="der-inactive-codes-1" select="if ($valid-tgi-3) then () else        for $code in $der-tgi-codes-2 return if (contains($code, '~inactive')) then replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is') else '' " />
    <xsl:variable name="der-inactive-codes-2" select="for $i in (1 to count($der-inactive-codes-1)) return         dh:IsCodeAssociatedWithAnotherCode($der-inactive-codes-1[$i], '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-1" select="'Error' = $der-inactive-codes-2 " />
    <xsl:variable name="der-NAF-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-NAF-active-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound~active')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-inactive-codes-3" select="tokenize(string-join(for $i in (1 to count($der-inactive-codes-1)) return replace(string-join(tokenize($der-inactive-codes-2[$i], '\|')        [matches(., '(REPLACED BY|SAME AS|ALTERNATIVE|POSSIBLY EQUIVALENT TO|MAY BE A|WAS A)')], '|'), '[0-9]+~[A-Z ]+~([0-9]+)', '$1'), '|'), '\|')        [. != ''] " />
    <xsl:variable name="der-tgi-codes-3" select="if (exists($der-inactive-codes-3)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($der-inactive-codes-3, ' OR '), ') AND ', $valid-domain), '', string(count($der-inactive-codes-3)), false())          else '' " />
    <xsl:variable name="error-usingTS-3" select="$error-usingTS-2 or 'Error' = $der-tgi-codes-3 " />
    <xsl:variable name="der-valid-codes-3" select="if ($der-valid-codes-2 != '') then $der-valid-codes-2        else if (contains($der-tgi-codes-3, '[')) then $der-tgi-codes-3        else '' " />
    <xsl:variable name="valid-tgi-4" select="$valid-tgi-3 or $der-valid-codes-3 != '' " />
    <xsl:variable name="tbd-hierarchy" select="if (exists($cd-definitions/meds/meds-tbd/hierarchy))         then string-join(for $hierarchy in $cd-definitions/meds/meds-tbd/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-hierarchy" select="if ($invalid-hierarchy-1 != '' and $tbd-hierarchy != '') then concat($invalid-hierarchy-1, ' OR ', $tbd-hierarchy)        else if ($invalid-hierarchy-1 != '') then $invalid-hierarchy-1        else if ($tbd-hierarchy != '') then $tbd-hierarchy        else '' " />
    <xsl:variable name="invalid-domain" select="if ($invalid-hierarchy != '' and $invalid-refset != '') then concat($invalid-hierarchy, ' OR ', $invalid-refset)        else if ($invalid-hierarchy != '') then $invalid-hierarchy        else if ($invalid-refset != '') then $invalid-refset        else '' " />
    <xsl:variable name="filter-text" select="if ($use-revised-text-2) then $der-revised-text-2 else if ($use-revised-text-1) then $der-revised-text-1 else $der-text " />
    <xsl:variable name="der-tgi-codes-4" select="if ($ts-not-needed or $valid-tgi-4 or $invalid-domain = '') then ()        else if (exists($related-terms-2)) then $related-terms-2        else distinct-values((tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          $invalid-domain, $filter-text, $max-code-number, false()), '(\[.*?\])(\||$)', '$2'), '\|'), $der-inactive-codes-3)) " />
    <xsl:variable name="error-usingTS-4" select="$error-usingTS-3 or 'Error' = $der-tgi-codes-4 " />
    <xsl:variable name="invalid-tgi-codes-r" select="if ($ts-not-needed or $valid-tgi-4 or $error-usingTS-4 or not(exists($der-tgi-codes-4))) then ()        else if ($invalid-refset = '') then tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-tgi-codes-4, ' OR '), ') AND (', $inactive-refSets, ')'), '',           string(count($der-tgi-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')        else tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-tgi-codes-4, ' OR '), ') AND (', $invalid-refset, ' OR ', $inactive-refSets, ')'), '',           string(count($der-tgi-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')  " />
    <xsl:variable name="error-usingTS-5" select="$error-usingTS-4 or 'Error' = $invalid-tgi-codes-r " />
    <xsl:variable name="der-tgi-codes-4-h" select="if ($error-usingTS-5) then () else $der-tgi-codes-4[not(. = $invalid-tgi-codes-r)]" />
    <xsl:variable name="invalid-tgi-codes-h" select="if ($ts-not-needed or $valid-tgi-4 or 'Error' = $der-tgi-codes-4 or $meds-invalid-hierarchy = '' or not(exists($der-tgi-codes-4-h))) then ()        else (for $code in $der-tgi-codes-4-h return          if (dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;&gt;', $code, ' MINUS ', $meds-invalid-hierarchy), '', '1', false()) = '') then $code else '')[. != ''] " />
    <xsl:variable name="invalid-tgi-codes" select="($invalid-tgi-codes-h, $invalid-tgi-codes-r) " />
    <xsl:variable name="der-tgi-codes-5" select="$der-tgi-codes-4[not(. = $invalid-tgi-codes or . = 'Error')]" />
    <xsl:variable name="der-valid-codes-4" select="if ($der-valid-codes-3 != '') then $der-valid-codes-3        else if ($ts-not-needed or $valid-tgi-4 or $valid-domain = '' or not(exists($der-tgi-codes-5))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-tgi-codes-5, ' OR '), ') AND ', $valid-domain), '', string(count($der-tgi-codes-5)), false()) " />
    <xsl:variable name="error-usingTS-6" select="$error-usingTS-5 or 'Error' = $der-valid-codes-4 " />
    <xsl:variable name="valid-tgi-5" select="$valid-tgi-4 or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="der-valid-codes-seq" select="if ($error-usingTS-6) then () else tokenize(replace($der-valid-codes-4,  '(\[.*?\])(\||$)', '$2'), '\|') " />
    <xsl:variable name="undetermined-tgi-1" select="if (exists($der-valid-codes-seq)) then $der-tgi-codes-5[not(. = $der-valid-codes-seq)] else $der-tgi-codes-5 " />
    <xsl:variable name="undetermined-inactive-1" select="for $i in (1 to count($undetermined-tgi-1)) return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $undetermined-tgi-1[$i], '', '1', false()) " />
    <xsl:variable name="error-usingTS-7" select="$error-usingTS-6 or 'Error' = $undetermined-inactive-1 " />
    <xsl:variable name="undetermined-inactive" select="(for $i in (1 to count($undetermined-tgi-1)) return         if (contains($undetermined-inactive-1[$i], '~inactive')) then $undetermined-inactive-1[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-1" select="for $i in (1 to count($undetermined-inactive))        return dh:IsCodeAssociatedWithAnotherCode(replace($undetermined-inactive[$i], '(\[.*?\])(\||$)', '$2'), '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-2" select="$error-usingV-1 or 'Error' = $undetermined-NAF-1 " />
    <xsl:variable name="undetermined-NAF" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-codes" select="for $term in $undetermined-NAF return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-NAF-active" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound~active')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-active-codes" select="for $term in $undetermined-NAF-active return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-tgi" select="$undetermined-tgi-1[not(. = ($undetermined-NAF-codes, $undetermined-NAF-active-codes))]" />
    <xsl:variable name="invalid-tgi" select="not($valid-tgi-5) and exists($invalid-tgi-codes) and not(exists($undetermined-tgi))" />
    <xsl:variable name="a-sas-tgi" select="if ($a-sas-tgi-1) then true()        else if ($a-vaccine-1 or $valid-tgi-5 or $invalid-tgi or not($use-revised-text-2) or $tgi-sas-regex = '') then false()        else matches($der-revised-text-2, $tgi-sas-regex, 'is')" />
    <xsl:variable name="an-uncoded-tgi" select="if ($an-uncoded-tgi-1) then true()        else if ($a-vaccine-1 or $valid-tgi-5 or $invalid-tgi or not($use-revised-text-2) or $tgi-otheru-regex = '' or $a-sas-tgi) then false()        else matches($der-revised-text-2, $tgi-otheru-regex, 'is')" />
    <xsl:variable name="obsolete-tgi-info" select="if ($an-obsolete-tgi-3) then $obsolete-tgi-info-3        else if ($a-vaccine-1 or $valid-tgi-5 or $invalid-tgi or not($use-revised-text-2) or not(exists($knowledge/special-tgi/obsolete)) or $a-sas-tgi or          $an-uncoded-tgi) then ()        else $knowledge/special-tgi/obsolete[matches($der-revised-text-2,          concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')] " />
    <xsl:variable name="an-obsolete-tgi" select="exists($obsolete-tgi-info)" />
    <xsl:variable name="valid-tgi-6" select="$valid-tgi-5 or $a-sas-tgi or $an-uncoded-tgi or $an-obsolete-tgi " />
    <xsl:variable name="a-vaccine-2" select="if ($a-vaccine-1) then true()        else if ($valid-tgi-6 or $invalid-tgi or not(exists($vaccine-text-normalised))) then false()        else if ($der-text != '' and translate(lower-case($der-text), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else if ($use-revised-text-1 and translate(lower-case($der-revised-text-1), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else if ($use-revised-text-2 and translate(lower-case($der-revised-text-2), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else false() " />
    <xsl:variable name="vaccine-code-test" select="if (not($a-vaccine-2 or $valid-tgi-6 or $invalid-tgi or $avoid-ts) and exists($undetermined-tgi))         then tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($undetermined-tgi, ' OR '), ') AND (&lt;71181003 OR &lt;127785005)'), '',          string(count($undetermined-tgi)), false()), '\|')        else () " />
    <xsl:variable name="error-usingTS-8" select="$error-usingTS-7 or 'Error' = $vaccine-code-test " />
    <xsl:variable name="a-vaccine" select="$a-vaccine-2 or (not('Error' = $vaccine-code-test) and exists($undetermined-tgi) and count($vaccine-code-test) = count($undetermined-tgi)) " />
    <xsl:variable name="codes-with-history" select="$der-inactive-codes-2[matches(., '[0-9]')]" />
    <xsl:variable name="hist-vers" select="if (exists($codes-with-history))        then dh:FindLastUpdatedDateForCodeUsingTS(substring-before($codes-with-history[1], '~'), '2.16.840.1.113883.6.96', $ts-latest-snomedctau)       else '' " />
    <xsl:variable name="error-usingTS-9" select="$error-usingTS-8 or 'Error' = $hist-vers " />
    <xsl:variable name="hist-vers-date" select="if (matches($hist-vers, '^(CodeFoundActive|CodeFoundInactive)\|[0-9]{8}$')) then substring-after($hist-vers, '|') else '' " />
    <xsl:variable name="inactive-concept" select="count($der-tgi-codes-2) = count($der-inactive-codes-1) and not($valid-tgi-6)" />
    <xsl:variable name="der-inactive-codes-4" select="$der-inactive-codes-3[not(contains(., 'MOVED FROM') or contains(., 'WAS A'))]" />
    <xsl:variable name="obsolete-without-date" select=" ($an-obsolete-tgi and not($obsolete-tgi-info/@last-available))   or         (exists($der-inactive-codes-3) and not(exists($der-inactive-codes-4)))  or         (exists($der-inactive-codes-4) and $hist-vers-date = '')   " />
    <xsl:variable name="obsolete-date" select="if ($is-immun) then ''        else if ($hist-vers-date != '') then $hist-vers-date        else if ($an-obsolete-tgi and $obsolete-tgi-info/@last-available) then $obsolete-tgi-info/@last-available         else '' " />
    <xsl:variable name="obsolete-yr" select="substring($obsolete-date, 1, 4) " />
    <xsl:variable name="obsolete-mn-temp" select="substring($obsolete-date, 5, 2) " />
    <xsl:variable name="obsolete-mn" select="if ($obsolete-mn-temp = '') then '06' else $obsolete-mn-temp " />
    <xsl:variable name="obsolete-dy-temp" select="substring($obsolete-date, 7, 2) " />
    <xsl:variable name="obsolete-dy" select="if ($obsolete-dy-temp = '') then '15' else $obsolete-dy-temp " />
    <xsl:variable name="obsolete-xs" select="if ($obsolete-date = '') then () else xs:date(concat($obsolete-yr, '-', $obsolete-mn, '-', $obsolete-dy)) " />
    <xsl:variable name="display-obsolete-date" select="if ($obsolete-date = '') then ''        else if ($obsolete-mn-temp = '') then $obsolete-dy        else if ($obsolete-dy-temp = '') then concat($knowledge/months/month[@number = $obsolete-mn]/@abbreviation, ' ', $obsolete-yr)        else concat($obsolete-dy, ' ', $knowledge/months/month[@number = $obsolete-mn]/@abbreviation, ' ', $obsolete-yr) " />
    <xsl:variable name="obsolete-date-diff" select="if ($obsolete-date = '' or not(matches($creation-date-xs - $obsolete-xs, '^P[0-9]+D'))) then '0'        else number(substring-before(substring-after($creation-date-xs - $obsolete-xs, 'P'), 'D')) " />
    <xsl:variable name="obsolete-yrs-ago" select="$obsolete-date-diff div 365 " />
    <xsl:variable name="coding" select="if (not($flags/@assess-class = 'true') or not($use-ts-for-sctau) or not(exists($iq-config/tgi-coding))) then () else $iq-config/tgi-coding" />
    <xsl:variable name="s-classification" select="if (exists($coding/special-classification/classification)) then $coding/special-classification/classification else () " />
    <xsl:variable name="s-number" select="count($s-classification) " />
    <xsl:variable name="s-formula" select="string-join(for $class in $s-classification return $class/@code, ' OR ')" />
    <xsl:variable name="code-to-assess" select="if (not($flags/@assess-class = 'true') or not($use-ts-for-sctau)) then '' else if (exists($der-valid-codes-seq)) then $der-valid-codes-seq[1] else '' " />
    <xsl:variable name="value-domain-1" select="if ($code-to-assess = '') then '' else dh:FindValueDomainsForCode($code-to-assess, '2.16.840.1.113883.6.96', $v-current-sctau)" />
    <xsl:variable name="class-error-1" select="$value-domain-1 = 'Error' " />
    <xsl:variable name="value-domain" select="if ($class-error-1 or $value-domain-1 = ('', 'CodeNotFound')) then ''       else if (contains($value-domain-1, '|')) then substring-before($value-domain-1, '|')       else $value-domain-1 " />
    <xsl:variable name="first-pass-1" select="if ($value-domain = '') then ''        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)'))         then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat($code-to-assess, ' . 30409011000036107'), '', '1', true())        else if ($value-domain = 'Medicinal Product Pack (MPP)')         then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat($code-to-assess, ' . 30348011000036104'), '', '1', true())        else if ($value-domain = 'Trade Product (TP)') then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&lt;', $code-to-assess), '', '1', true())        else $code-to-assess " />
    <xsl:variable name="class-error-2" select="$class-error-1 or ($value-domain != '' and $first-pass-1 = ('Error', '')) " />
    <xsl:variable name="first-pass" select="if (not($class-error-2) and $first-pass-1 != '') then replace($first-pass-1, '(\[.*?\])(\||$)', '$2') else '' " />
    <xsl:variable name="second-pass-1" select="if ($first-pass = '') then ''        else if ($value-domain = 'Trade Product Unit of Use (TPUU)')          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $code-to-assess, ' AND ^929360071000036103'), '', '1', true())        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product (TP)'))          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $first-pass, ' AND ^929360071000036103'), '', '1', true())        else if ($value-domain = 'Medicinal Product Pack (MPP)') then $first-pass        else $code-to-assess " />
    <xsl:variable name="class-error-3" select="$class-error-2 or ($first-pass != '' and $second-pass-1 = ('Error', '')) " />
    <xsl:variable name="second-pass" select="if (not($class-error-3) and $second-pass-1 != '') then replace($second-pass-1, '(\[.*?\])(\||$)', '$2') else '' " />
    <xsl:variable name="class-tp-1" select="if ($class-error-3) then ''        else if ($value-domain = 'Trade Product Unit of Use (TPUU)')          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $code-to-assess, ' AND ^929360021000036102'), '', '1', true())        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)'))          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $first-pass, ' AND ^929360021000036102'), '', '1', true())        else '' " />
    <xsl:variable name="class-tp-error" select="$class-tp-1 = 'Error' " />
    <xsl:variable name="class-tp" select="if (not($class-tp-error) and $class-tp-1 != '') then replace($class-tp-1, '^([0-9]+\[)(.*?)(\])$', '$2') else '' " />
    <xsl:variable name="third-pass-1" select="if ($second-pass = '') then ''        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product (TP)',          'Trade Product Unit of Use (TPUU)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)'))         then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;!', $second-pass, ' AND ^929360061000036106'), '', '1', false())        else $second-pass " />
    <xsl:variable name="class-error-4" select="$class-error-3 or ($second-pass != '' and $third-pass-1 = ('Error', '')) " />
    <xsl:variable name="third-pass" select="if ($class-error-4 or $third-pass-1 = '') then ''         else if (matches($third-pass-1, '^[0-9]+$')) then replace($der-valid-codes-4, '^([0-9]+\[)(.*?)(\]\|.*|\])$', '$2')        else if (matches($third-pass-1, '^[0-9]')) then replace($third-pass-1, '^([0-9]+\[)(.*?)(\])$', '$2') else '' " />
    <xsl:variable name="fourth-pass-1" select="if ($third-pass = '') then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', '&lt;373873005', $third-pass, '1', true()) " />
    <xsl:variable name="class-error-5" select="$class-error-4 or $fourth-pass-1 = 'Error' " />
    <xsl:variable name="fourth-pass" select="if (not($class-error-4) and $fourth-pass-1 != '' and matches($fourth-pass-1, '^[0-9]')) then replace($fourth-pass-1, '(\[.*?\])(\||$)', '$2') else '' " />
    <xsl:variable name="class-not-completed" select="($flags/@assess-class = 'true' and $code-to-assess = '')  or        ($code-to-assess != '' and $value-domain-1 = 'CodeNotFound') or        ($third-pass != '' and $fourth-pass = '')   " />
    <xsl:variable name="valid-class-1" select="if ($fourth-pass = '' or $s-number = 0) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND (', $s-formula, ')'), '', string($s-number), true()) " />
    <xsl:variable name="class-error-6" select="$class-error-5 or $valid-class-1 = 'Error' " />
    <xsl:variable name="valid-class-2" select="if ($valid-class-1 = '' or $class-error-6) then () else tokenize(replace($valid-class-1, '(\[.*?\])(\||$)', '$2'), '\|') " />
    <xsl:variable name="valid-class-3" select="if ($a-vaccine and exists($s-classification[@code = '71181003']/@description)) then ($s-classification[@code = '71181003']/@description)       else if ($a-vaccine and exists($s-classification[@code = '71181003']/@pterm)) then ($s-classification[@code = '71181003']/@pterm)       else for $code in $valid-class-2 return if ($coding/special-classification/classification[@code = $code]/@description)         then $coding/special-classification/classification[@code = $code]/@description         else $coding/special-classification/classification[@code = $code]/@pterm " />
    <xsl:variable name="fifth-pass" select="if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/first-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/first-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-7" select="$class-error-6 or $fifth-pass = 'Error' " />
    <xsl:variable name="sixth-pass" select="if (not($fifth-pass = '')) then $fifth-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/second-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/second-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-8" select="$class-error-7 or $sixth-pass = 'Error' " />
    <xsl:variable name="seventh-pass" select="if (not($sixth-pass = '')) then $sixth-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/third-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/third-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-9" select="$class-error-8 or $seventh-pass = 'Error' " />
    <xsl:variable name="eighth-pass" select="if (not($seventh-pass = '')) then $seventh-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/fourth-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/fourth-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-10" select="$class-error-9 or $eighth-pass = 'Error' " />
    <xsl:variable name="ninth-pass" select="if (not($eighth-pass = '')) then $eighth-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/fifth-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/fifth-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-11" select="$class-error-10 or $ninth-pass = 'Error' " />
    <xsl:variable name="valid-class" select="if (exists($valid-class-3)) then $valid-class-3        else if (not($ninth-pass = '')) then for $term in tokenize($ninth-pass, '\|') return replace($term, '^([0-9]+\[)(.*?)(\])$', '$2')       else () " />
    <xsl:variable name="codes-were-found" select="exists($der-tgi-codes-4) or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="obsolete-error" select="not($is-immun) and ($an-obsolete-tgi or $inactive-concept) and $obsolete-yrs-ago &gt; 2 " />
    <xsl:variable name="obsolete-warning" select="not($is-immun or $obsolete-error) and ($an-obsolete-tgi or $inactive-concept) and ($obsolete-yrs-ago &gt; 1 or $obsolete-without-date) " />
    <xsl:variable name="codes-not-found" select="not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-6 or $invalid-tgi or $a-vaccine) " />
    <xsl:variable name="codes-in-the-domain" select="not($valid-tgi-1) and $valid-tgi-5" />
    <xsl:variable name="codes-in-other-domain" select="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi or         $a-vaccine or $obsolete-warning) " />
    <xsl:variable name="codes-in-no-domain" select="exists($der-tgi-codes-5) " />
    <xsl:variable name="display-in-the-domain" select="if ($codes-in-the-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', '), '''')        else '' " />
    <xsl:variable name="display-in-other-r" select="if (exists($invalid-tgi-codes-r) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-tgi-codes-r return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-h" select="if (exists($invalid-tgi-codes-h) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-tgi-codes-h return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-domain" select="if (not($codes-in-other-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))) then ''        else if ($display-in-other-r and display-in-other-h) then concat('''', $display-in-other-r, ', ', $display-in-other-h, '''')        else if ($display-in-other-r) then concat('''', $display-in-other-r, '''')        else if ($display-in-other-h) then concat('''', $display-in-other-h, '''')        else '' " />
    <xsl:variable name="display-in-no-domain" select="if ($codes-in-no-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', dh:XQueryRecursiveReplace(string-join(for $code in $der-tgi-codes-5 return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), '; '),          $term-pattern-replacement, 'ic'), '''')        else '' " />
    <xsl:variable name="log-concepts-appended" select="if ($error-usingTS-9 or not($flags/@report-terminology-concepts = 'true') or $log-concepts-name = '') then ''        else if ($codes-not-found and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                   'Therapeutic Good Identification', $log-tab,                   'yes',     $log-tab,                   iq:display-CD(.),   $log-tab,                   '',     $log-tab,                  '',     $log-tab,                  '',     $log-tab,                  $ts-current-sctau   ))        else if (($use-revised-text-2 or $codes-in-no-domain) and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                  'Therapeutic Good Identification', $log-tab,                   'yes',     $log-tab,                     iq:display-CD(.),   $log-tab,                    $display-in-the-domain,   $log-tab,                  $display-in-other-domain,  $log-tab,                  $display-in-no-domain,   $log-tab,                  $ts-current-sctau   ))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if (matches($defn-invalid-rsn, 'is a container', 'is')) then $rating-container-TC-Types-57 else $rating-TC-Types-57 " />
    <!--REPORT -->
    <xsl:if test=" $log-concepts-appended = ('NOTFOUND', 'ERROR') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$log-concepts-appended = ('NOTFOUND', 'ERROR')">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): The AppendLog function returned '<xsl:text /><xsl:value-of select="$log-concepts-appended" /><xsl:text />' when requested to append the concepts log
		'<xsl:text /><xsl:value-of select="$log-concepts-name" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $flags/@assess-class = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $flags/@assess-class = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): 
		code-to-assess '<xsl:text /><xsl:value-of select="$code-to-assess" /><xsl:text />'
		value-domain '<xsl:text /><xsl:value-of select="$value-domain" /><xsl:text />'
		first-pass '<xsl:text /><xsl:value-of select="$first-pass" /><xsl:text />'
		second-pass '<xsl:text /><xsl:value-of select="$second-pass" /><xsl:text />'
		third-pass '<xsl:text /><xsl:value-of select="$third-pass" /><xsl:text />'
		fourth-pass '<xsl:text /><xsl:value-of select="$fourth-pass" /><xsl:text />'
		valid-class-1 '<xsl:text /><xsl:value-of select="$valid-class-1" /><xsl:text />'
		fifth-pass '<xsl:text /><xsl:value-of select="$fifth-pass" /><xsl:text />'
		sixth-pass '<xsl:text /><xsl:value-of select="$sixth-pass" /><xsl:text />'
		seventh-pass '<xsl:text /><xsl:value-of select="$seventh-pass" /><xsl:text />'
		eighth-pass '<xsl:text /><xsl:value-of select="$eighth-pass" /><xsl:text />'
		ninth-pass '<xsl:text /><xsl:value-of select="$ninth-pass" /><xsl:text />'

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $class-error-11 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$class-error-11">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An unexpected error occurred during the process to classify a terminology code.
		Report the information below to the Australian Digital Health Agency for investigation.
		The value domain was '<xsl:text /><xsl:value-of select="$value-domain" /><xsl:text />' and the error variable was
		<xsl:text /><xsl:value-of select="if ($class-error-1) then concat('class-error-1. The FindValueDomainsForCode function was called with code ''', $code-to-assess,     ''', codeSystem ''2.16.840.1.113883.6.96'' and codeSystemVersion ''', $v-current-sctau, ''' and returned ''', $value-domain-1, '''.')   else if ($class-error-2) then concat('class-error-2. The SearchForCodesInHierarchyUsingTS function was called with code ''', $code-to-assess,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $first-pass-1, '''.')   else if ($class-error-3) then concat('class-error-3. The SearchForCodesInHierarchyUsingTS function was called with code ''',     if ($value-domain = 'Trade Product Unit of Use (TPUU)') then $code-to-assess else $first-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $second-pass-1, '''.')   else if ($class-error-4) then concat('class-error-4. The SearchForCodesInHierarchyUsingTS function was called with code ''', $second-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $third-pass-1, '''.')   else if ($class-error-5) then concat('class-error-5. The SearchForCodesInHierarchyUsingTS function was called with code ''', $third-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $fourth-pass-1, '''.')   else if ($class-error-6) then concat('class-error-6. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $valid-class-1, '''.')   else if ($class-error-7) then concat('class-error-7. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $fifth-pass, '''.')   else if ($class-error-8) then concat('class-error-8. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $sixth-pass, '''.')   else if ($class-error-9) then concat('class-error-9. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $seventh-pass, '''.')   else if ($class-error-10) then concat('class-error-10. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $eighth-pass, '''.')   else if ($class-error-11) then concat('class-error-11. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $ninth-pass, '''.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $class-tp-error ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$class-tp-error">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An unexpected error occurred during the process to find the trade product name for a medicine.
		Report the information below to the Australian Digital Health Agency for investigation.
		The value domain was '<xsl:text /><xsl:value-of select="$value-domain" /><xsl:text />' and the error variable was class-tp-error.
		The FindValueDomainsForCode function was called with code ''', 
		if ($value-domain = 'Trade Product Unit of Use (TPUU)') then $code-to-assess else $first-pass, 
		''', codeSystem ''2.16.840.1.113883.6.96'' and codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $class-tp-1, '''.')

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-tgi-6) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-tgi-6)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An unexpected problem occurred when assessing the value of the Vaccine Administration Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. The application of regular expressions resulted in the complete loss of text.
		Report the information below to the Australian Digital Health Agency for investigation.

		der-text-1 '<xsl:text /><xsl:value-of select="normalize-space(dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'))" /><xsl:text />'.
		der-text-2a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-2a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-a, $term-pattern-replacement, 'ic')" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingV-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingV-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An error was reported when accessing the terminology server when assessing the Vaccine Administration Entry - Vaccine Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		Report the issue to the Australian Digital Health Agency for investigation stating the error was recorded for error-usingV-2.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-9 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-9">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An error was reported when accessing the terminology server when assessing the Vaccine Administration Entry - Vaccine Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term:
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The analysis should be retried as the terminology server may have been temporarily unavailable.
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'error-usingTS-1' else if ($error-usingTS-2-a) then 'error-usingTS-2-a'   else if ($error-usingTS-2-b) then 'error-usingTS-2-b' else if ($error-usingTS-2-c) then 'error-usingTS-2-c'   else if ($error-usingTS-2) then 'error-usingTS-2'   else if ($error-usingTS-3) then 'error-usingTS-3' else if ($error-usingTS-4) then 'error-usingTS-4'   else if ($error-usingTS-5) then 'error-usingTS-5' else if ($error-usingTS-6) then 'error-usingTS-6'   else if ($error-usingTS-7) then 'error-usingTS-7' else if ($error-usingTS-8) then 'error-usingTS-8'   else 'error-usingTS-9' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or      $valid-tgi-6 or $invalid-tgi) and not($a-vaccine and not(false())) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi) and not($a-vaccine and not(false()))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered for, administered to or used by the consumer. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.         (See section 3.5 of the Australian Childhood Immunisation Register Structured Content Specification v1.0.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Vaccine Administration (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi) and    not($a-vaccine and false()) and not($obsolete-warning) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi) and not($a-vaccine and false()) and not($obsolete-warning)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the value does not seem to be applicable for the data element.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered for, administered to or used by the consumer. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.         (See section 3.5 of the Australian Childhood Immunisation Register Structured Content Specification v1.0.)')" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $obsolete-warning ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$obsolete-warning">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the name may not be applicable for the data element.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> and the
		<xsl:text /><xsl:value-of select="if ($display-obsolete-date != '') then concat('name of the therapeutic good was last used ', $display-obsolete-date)   else if ($obsolete-tgi-info/@name) then concat('therapeutic good ''', $obsolete-tgi-info/@name, ''' was last available ', $display-obsolete-date)    else if ($obsolete-without-date) then 'name of the therapeutic good is no longer used ' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($obsolete-tgi-info/@reason) then concat(' because ', $obsolete-tgi-info/@reason, '.') else '.' " /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered for, administered to or used by the consumer. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.         (See section 3.5 of the Australian Childhood Immunisation Register Structured Content Specification v1.0.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		<xsl:text /><xsl:value-of select="$creation-date-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $obsolete-error ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$obsolete-error">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the name is not applicable for the data element.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> and the
		<xsl:text /><xsl:value-of select="if ($display-obsolete-date != '') then concat('name of the therapeutic good was last used ', $display-obsolete-date)   else if ($obsolete-tgi-info/@name) then concat('therapeutic good ''', $obsolete-tgi-info/@name, ''' was last available ', $display-obsolete-date)    else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($obsolete-tgi-info/@reason) then concat(' because ', $obsolete-tgi-info/@reason, '.') else '.' " /><xsl:text />
		That was <xsl:text /><xsl:value-of select="if (contains(string($obsolete-yrs-ago), '.')) then substring-before(string($obsolete-yrs-ago), '.') else $obsolete-yrs-ago " /><xsl:text /> years before the
		<xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered for, administered to or used by the consumer. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.         (See section 3.5 of the Australian Childhood Immunisation Register Structured Content Specification v1.0.)'))" /><xsl:text /><xsl:text /><xsl:value-of select="$creation-date-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Vaccine Administration Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the data element does not have a proper value. <xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered for, administered to or used by the consumer. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.         (See section 3.5 of the Australian Childhood Immunisation Register Structured Content Specification v1.0.)'))" /><xsl:text />
		The Vaccine Administration Entry - Vaccine Name data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Vaccine Administration Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered for, administered to or used by the consumer. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.         (See section 3.5 of the Australian Childhood Immunisation Register Structured Content Specification v1.0.)'))" /><xsl:text />
		The Vaccine Administration Entry - Vaccine Name data element must have a value that is consistent with this definition. Alternatively if there is no Vaccine Administration Entry - Vaccine Name data element with a proper value then an exclusion
		statement must be included to state why there is no Vaccine Administration Entry - Vaccine Name. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4')    then concat('Text such as ''', dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'), ''' may be permitted in the narrative even though the Vaccine Administration Entry - Vaccine Name data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Vaccine Administration Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the data element does not have a proper value. <xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered for, administered to or used by the consumer. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.         (See section 3.5 of the Australian Childhood Immunisation Register Structured Content Specification v1.0.)'))" /><xsl:text />
		The Vaccine Administration Entry - Vaccine Name data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($der-text-non-value) and $der-invalid-text ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($der-text-non-value) and $der-invalid-text">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />
		however the value is invalid. <xsl:text /><xsl:value-of select="$defn-invalid-rsn" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered for, administered to or used by the consumer. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.         (See section 3.5 of the Australian Childhood Immunisation Register Structured Content Specification v1.0.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $a-vaccine and false() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$a-vaccine and false()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />
		which identifies a vaccine. <xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered for, administered to or used by the consumer. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.         (See section 3.5 of the Australian Childhood Immunisation Register Structured Content Specification v1.0.)'))" /><xsl:text />
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Vaccine Administration (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $invalid-tgi and not($error-usingTS-9) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$invalid-tgi and not($error-usingTS-9)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
ZZZ
der-text '<xsl:text /><xsl:value-of select="$der-text" /><xsl:text />'
der-revised-text-1 '<xsl:text /><xsl:value-of select="$der-revised-text-1" /><xsl:text />'
der-revised-text-2 '<xsl:text /><xsl:value-of select="$der-revised-text-2" /><xsl:text />'
ZZZ
		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the value is invalid
		<xsl:text /><xsl:value-of select="if (exists($invalid-tgi-codes-h) or exists($invalid-tgi-codes-r)) then concat(' as it describes ',    iq:invalidityExplanationUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, $invalid-tgi-codes-h, $cd-definitions/meds/meds-invalid/hierarchy, $invalid-tgi-codes-r, $cd-definitions/meds/meds-invalid/refset), '.')   else '.' " /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered for, administered to or used by the consumer. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.         (See section 3.5 of the Australian Childhood Immunisation Register Structured Content Specification v1.0.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable outside the applicable value domain): The Vaccine Administration Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. The following codes were obtained and are not in the value domain:
		<xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-TGI-Defn): The Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU and no associated code was found in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists(($der-NAF-active-codes, $undetermined-NAF-active-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists(($der-NAF-active-codes, $undetermined-NAF-active-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-TGI-Defn): The Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-active-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the
		'<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU but it was not found with this status in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.
		<xsl:text /><xsl:value-of select="if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and ($valid-tgi-1 or $a-vaccine-2 or (not($valid-tgi-5) and $valid-tgi-6))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and ($valid-tgi-1 or $a-vaccine-2 or (not($valid-tgi-5) and $valid-tgi-6))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable within the value domain): The Vaccine Administration Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> which matches
		<xsl:text /><xsl:value-of select="if ($a-vaccine-1) then 'one of the terms listed in Knowledge.xml' else 'the vaccine information in CodeSystems.xml' " /><xsl:text /> for the Vaccine Administration Entry - Vaccine Name.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(exists($valid-class)) and $class-not-completed and not($class-tp-error or $class-error-10) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(exists($valid-class)) and $class-not-completed and not($class-tp-error or $class-error-10)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: The Vaccine Administration Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. <xsl:text /><xsl:value-of select="if ($code-to-assess = '') then 'No code could be found for the medicine.'    else if ($value-domain = '') then concat('The code ''', $code-to-assess, ''' was found to apply to the medicine by applying the terminology server using the ''', $ts-current-sctau,   ''' version of SNOMED CT-AU but the code was not found in the Validator''s database using the ''', $v-current-sctau, ''' version of SNOMED CT-AU.',   if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '')   else concat('This is a ', $value-domain,    if ($value-domain = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)')) then    concat(' (with medicinal product ''', $third-pass, ''').')    else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)'))    then concat(' (with trade product ''', $class-tp, ''').')    else '.') " /><xsl:text /> The classification of this medicine could not be completed.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists($valid-class) and not($class-tp-error or $class-error-11) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists($valid-class) and not($class-tp-error or $class-error-11)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: The Vaccine Administration Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This <xsl:text /><xsl:value-of select="if (not($value-domain = ('Containered Trade Product Pack (CTPP)',    'Trade Product Pack (TPP)', 'Trade Product (TP)', 'Trade Product Unit of Use (TPUU)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Medicinal Product (MP)')))    then '' else concat('is a ', $value-domain, ' which')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($value-domain = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)')) then concat(' (with medicinal product ''', $third-pass, ''') which')   else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)'))    then concat(' (with trade product ''', $class-tp, ''') which') else '' " /><xsl:text />
		identifies a type of <xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($valid-class, ' and '), $markup-pattern-replacement, 'ic')" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (concept is codeable within the value domain): The Vaccine Administration Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> which is a valid value for the Vaccine Administration Entry - Vaccine Name.
		SNOMED CT-AU codes that matched the concept are: <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The text used to match regular expression (der-text-2) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to match non-values and vaccines (der-text-to-match) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-to-match, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to derive a code (der-text) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.

		<xsl:text /><xsl:value-of select="if ($use-revised-text-1) then concat(' A first revision of the text (der-revised-text-1) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-1, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A first revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-1 != '' and $der-revised-text-1 = '') then ' revision-pattern-1 was applied but the output (der-revised-text-1) was an empty string.' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($use-revised-text-2) then concat(' A second revision of the text (der-revised-text-2) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A second revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-2 != '' and $der-revised-text-2 = '') then ' revision-pattern-2 was applied but the output (der-revised-text-2) was an empty string.' else '' " /><xsl:text />

		The SNOMED CT-AU version used to find codes is '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' and the maximum code number is '<xsl:text /><xsl:value-of select="$max-code-number" /><xsl:text />'.

		Codes for related terms (related-terms-2): '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($related-terms-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes for related terms (der-valid-codes-1): 
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-1, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-tgi-codes-2) returned by the terminology server that match the text:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-tgi-codes-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes from related terms or the terminology server (der-valid-codes-2):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-2, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-inactive-codes-3) returned from the Validator's database associated with inactive codes:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-inactive-codes-3, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes found after examining inactive codes (der-valid-codes-3):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-3, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Members of invalid reference sets (invalid-tgi-codes-r): '<xsl:text /><xsl:value-of select="$display-in-other-r" /><xsl:text />'.
		Members of invalid code hierarchies (invalid-tgi-codes-h): '<xsl:text /><xsl:value-of select="$display-in-other-h" /><xsl:text />'.

		Final set of valid codes (der-valid-codes-4): <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.
		
		Codes whose validity has not been determined (der-tgi-codes-5): <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.
		Codes whose validity has not been determined and are inactive with no associated code (undetermined-NAF): '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(    string-join($undetermined-NAF, ''', '''), $markup-pattern-replacement, 'ic')" /><xsl:text />'.

		Result of the second vaccination code test (a-vaccine-2): '<xsl:text /><xsl:value-of select="$a-vaccine-2" /><xsl:text />'.
		Vaccine codes (vaccine-code-test):  '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($vaccine-code-test, '; '), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Overall result of the vaccination test (a-vaccine): '<xsl:text /><xsl:value-of select="$a-vaccine" /><xsl:text />'.

		Will the value of the data element be trusted (der-trusted-text)? '<xsl:text /><xsl:value-of select="$der-trusted-text" /><xsl:text />'.
		
	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and $codes-not-found">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept not codeable): The Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($avoid-ts) then 'The terminology server was not used to assist with finding codes corresponding to text in the data element. ' else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $prose-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $prose-err">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Vaccine Administration Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> which is invalid as it is prose text.
		The Vaccine Administration Entry - Vaccine Name data element is CodeableText derived from the HL7 CD data type which by definition is to record a concept defined in an external code system, terminology or ontology.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered for, administered to or used by the consumer. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.         (See section 3.5 of the Australian Childhood Immunisation Register Structured Content Specification v1.0.)'))" /><xsl:text />
		This finding will also be reported as an error.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M43" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M43" />
  <xsl:template match="@*|node()" priority="-2" mode="M43">
    <xsl:apply-templates select="@*|*" mode="M43" />
  </xsl:template>
  <!--PATTERN p-TS-ACIR-CodeableText-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16658' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16658']]/cda:entry/        cda:substanceAdministration[not(cda:statusCode/@code) or lower-case(cda:statusCode/@code)='active']/        cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code        [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]        [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or (         $family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M44">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16658' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16658']]/cda:entry/        cda:substanceAdministration[not(cda:statusCode/@code) or lower-case(cda:statusCode/@code)='active']/        cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code        [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]        [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or (         $family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Vaccine Administration Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Vaccine Administration Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Vaccine Administration Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Administration Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Vaccine Administration Entry - Vaccine Name has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Vaccine Administration Entry - Vaccine Name data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Administration Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Vaccine Administration Entry - Vaccine Name data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Administration Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Vaccine Administration Entry - Vaccine Name data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Administration Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Vaccine Administration Entry - Vaccine Name data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Vaccine Administration Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Vaccine Administration Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Vaccine Administration Entry - Vaccine Name data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Vaccine Administration Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Vaccine Administration Entry - Vaccine Name data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Administration Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Administration Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Vaccine Administration Entry - Vaccine Name data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Administration Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Vaccine Administration Entry - Vaccine Name data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Administration Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Administration Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M44" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M44" />
  <xsl:template match="@*|node()" priority="-2" mode="M44">
    <xsl:apply-templates select="@*|*" mode="M44" />
  </xsl:template>
  <!--PATTERN p-TS-ACIR-CodeableText-5-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16658' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16658']]/cda:entry/        cda:substanceAdministration[not(cda:statusCode/@code) or lower-case(cda:statusCode/@code)='active']/        cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code " priority="1000" mode="M45">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16658' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16658']]/cda:entry/        cda:substanceAdministration[not(cda:statusCode/@code) or lower-case(cda:statusCode/@code)='active']/        cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code " />
    <xsl:variable name="hist-vers-1" select="tokenize($ts-snomedctau-pre-ordered, '\|')" />
    <xsl:variable name="pcode" select="if (not(@code)) then ''        else if (@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)) then @code        else '' " />
    <xsl:variable name="pname-to-test" select="@codeSystem = '2.16.840.1.113883.6.96' and @displayName and $pcode != '' " />
    <xsl:variable name="psctau-version" select="if (exists(@codeSystemVersion) and matches(@codeSystemVersion, $snomedctau-version-regex)) then @codeSystemVersion else '' " />
    <xsl:variable name="psnomed-id" select="if (not($pname-to-test) or not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion) and          dh:IsFirstDateEarlierThanSecondDate($creation-date, substring-after($first-amt-in-sctau, '/version/')) = '1') then 'amtv3'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (not($psctau-version = '')) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="psnomed-type" select="if ($psnomed-id = 'amtv3') then 'AMT v3'        else if ($psnomed-id = 'snomedctau') then 'SNOMED CT-AU'        else if ($psnomed-id = 'snomedct') then 'SNOMED CT'        else '' " />
    <xsl:variable name="pvers-old" select="if ($psnomed-id = 'snomedctau' and @codeSystemVersion) then not(exists($ts-snomedctau[. = current()/@codeSystemVersion]))        else if ($psnomed-id = 'snomedctau' and $creation-date != '' and $ts-earliest-sctau-date != '') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $ts-earliest-sctau-date) = '1'         else if ($psnomed-id = 'amtv3' and @codeSystemVersion) then not(exists($v-amtv3[. = current()/@codeSystemVersion]))        else if ($psnomed-id = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '1'         else false() " />
    <xsl:variable name="psctau-ts" select="if ($psctau-version = '' or not($pvers-old)) then '' else substring-after($psctau-version, '/version/') " />
    <xsl:variable name="psctau-ts-xs" select="if ($psctau-ts = '') then '' else concat(substring($psctau-ts, 1, 4), '-', substring($psctau-ts, 5, 2), '-', substring($psctau-ts, 7, 2))" />
    <xsl:variable name="psctau-ts-1" select="if ($psctau-ts = '' or not($psctau-ts-xs castable as xs:date)) then '' else string($sctau-last-xs - xs:date($psctau-ts-xs)) " />
    <xsl:variable name="psctau-ts-2" select="if ($psctau-ts-1 = '' or not(matches($psctau-ts-1, '^P[0-9]+D'))) then '' else substring-before(substring-after($psctau-ts-1, 'P'), 'D') " />
    <xsl:variable name="psctau-ts-63-err" select="$psctau-ts-2 != '' and $psctau-ts-2 &gt; $sctau-acceptable-age  " />
    <xsl:variable name="ts-psnomed-version" select="if (not($pname-to-test) or not($psnomed-id = 'snomedctau')) then ''        else if (not(@codeSystemVersion)) then $ts-latest-snomedctau        else if ($psnomed-id = 'snomedctau' and @codeSystemVersion and not($pvers-old)) then @codeSystemVersion        else if ($pvers-old and $ts-earliest-sctau-date != '') then concat('http://snomed.info/sct/32506021000036107/version/', $ts-earliest-sctau-date)        else $ts-latest-snomedctau " />
    <xsl:variable name="v-psnomed-version" select="if (not($psnomed-id = 'amtv3')) then ''        else if (@codeSystemVersion and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($pvers-old) then concat('http://snomed.info/sct/900062011000036108/version/', $v-earliest-amtv3-date)        else $v-latest-amtv3 " />
    <xsl:variable name="test-pname" select="$pname-to-test and not($ts-psnomed-version = '' and $v-psnomed-version = '') and not($psctau-ts-63-err)" />
    <xsl:variable name="p-term-actual-1" select="if ($test-pname and $use-ts-for-sctau and $psnomed-id = 'snomedctau')        then dh:FindPreferredTermUsingTS($pcode, '2.16.840.1.113883.6.96', $ts-psnomed-version)        else if ($test-pname and exists($v-amtv3) and $psnomed-id = 'amtv3')        then replace(dh:FindPreferredTermAndCaseSignificance($pcode, '2.16.840.1.113883.6.96', $v-psnomed-version), '\|.*$', '', 'is')       else '' " />
    <xsl:variable name="error-usingTS-1" select="$p-term-actual-1 = 'Error' " />
    <xsl:variable name="p-term-actual" select="if ($p-term-actual-1 = ('CodeNotFound', 'Error')) then '' else $p-term-actual-1 " />
    <xsl:variable name="pname-invalid" select="$test-pname and $p-term-actual != '' and lower-case($p-term-actual) != lower-case(@displayName) " />
    <xsl:variable name="phist-search" select="$test-pname and $pname-invalid and $ts-snomedctau-pre-ordered != '' " />
    <xsl:variable name="phist-vers-2" select="if ($phist-search) then index-of($hist-vers-1, substring-after($ts-psnomed-version, 'version/')) else () " />
    <xsl:variable name="phist-vers-3" select="if (exists($phist-vers-2) and count($hist-vers-1) &gt; $phist-vers-2[1]) then $hist-vers-1[$phist-vers-2[1] + 1] else '' " />
    <xsl:variable name="phist-vers-4" select="if ($phist-vers-3 = '') then '' else concat('http://snomed.info/sct/32506021000036107/version/', $phist-vers-3) " />
    <xsl:variable name="phist-vers-5" select="if ($phist-vers-4 != '' and $use-ts-for-sctau)         then dh:FindLatestVersionWhereDisplaynameMatchUsingTS($pcode, '2.16.840.1.113883.6.96', $phist-vers-4, @displayName, false()) else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or $phist-vers-5 = 'Error' " />
    <xsl:variable name="phist-vers-found-1" select="matches($phist-vers-5, 'http') " />
    <xsl:variable name="pcode-pterm-date-1" select="if (not($pname-invalid) or $phist-vers-found-1) then '' else dh:LatestDateForPreferredTerm($pcode, '2.16.840.1.113883.6.96', $v-latest-snomedctau) " />
    <xsl:variable name="error-pcode-pterm-date" select="'Error' = $pcode-pterm-date-1" />
    <xsl:variable name="pcode-pterm-date-2" select="if (matches($pcode-pterm-date-1, '^[0-9]{8}\|')) then substring-before($pcode-pterm-date-1, '|') else '' " />
    <xsl:variable name="pcode-pterm-date-est" select="$pcode-pterm-date-2 != '' and dh:IsFirstDateEarlierThanSecondDate($creation-date, $pcode-pterm-date-2) = '0' " />
    <xsl:variable name="pcode-pterm-date" select="if ($pcode-pterm-date-est) then $pcode-pterm-date-2 else '' " />
    <xsl:variable name="phist-vers-6" select="if ($phist-vers-5 = 'PreferredTermNeverMatches' and not($pcode-pterm-date-est) and matches($pcode, $sctau-namespace-id-regex))         then dh:IsCodePreferredTermInTerminologyValid($pcode, '2.16.840.1.113883.6.96', $v-latest-amtv3, @displayName)        else '' " />
    <xsl:variable name="phist-vers-found-2" select="$phist-vers-6 = 'PreferredTermMatch' " />
    <xsl:variable name="phist-vers-7" select="if ($phist-vers-6 = 'PreferredTermMismatch' and not($pcode-pterm-date-est) and $v-latest-amtv2 = $last-amtv2)         then dh:IsCodePreferredTermInTerminologyValid($pcode, '1.2.36.1.2001.1004.100', $last-amtv2, @displayName)        else '' " />
    <xsl:variable name="phist-vers-found-3" select="$phist-vers-7 = 'PreferredTermMatch' " />
    <xsl:variable name="phist-vers-found" select="$phist-vers-found-1 or $phist-vers-found-2 or $phist-vers-found-3 or $pcode-pterm-date-est " />
    <xsl:variable name="phist-vers-date" select="if ($phist-vers-found-1) then substring-after($phist-vers-5, 'http://snomed.info/sct/32506021000036107/version/')         else if ($phist-vers-found-2) then substring-after($v-latest-amtv3, 'http://snomed.info/sct/900062011000036108/version/')        else if ($phist-vers-found-3) then $last-amtv2-date        else if ($pcode-pterm-date-est) then $pcode-pterm-date        else '' " />
    <xsl:variable name="phist-last-diff" select="if ($sctau-last = '' or $phist-vers-date = '') then ''        else iq:display-date-diff($phist-vers-date, $sctau-last)[2] " />
    <xsl:variable name="phist-last-old" select="$phist-last-diff != '' and not(number($phist-last-diff) &lt; $sctau-acceptable-age) " />
    <xsl:variable name="p-term-found-in" select="if ($phist-vers-found-1) then 'last used in the version of SNOMED CT-AU'        else if ($phist-vers-found-2) then 'used in the version of AMT v3'        else if ($phist-vers-found-3) then 'used in the version of AMT v2'        else '' " />
    <xsl:variable name="phist-last-msg" select="if ($pcode-pterm-date-est) then concat(' The preferred term was last changed in the version of SNOMED CT-AU published ',          iq:display-date($phist-vers-date),          ' so if the value of the displayName was ever valid then it must be before then. ',          'That version was published ', $phist-last-diff, ' days before the version of SNOMED CT-AU published immediately prior to the date ''',         /cda:ClinicalDocument/cda:effectiveTime/@value, ''' that this ', $document-name,          ' was created. SNOMED CT-AU is published monthly and the Australian National Terminology Licence Agreement requires the copy used ',         'in healthcare software systems (live or production environments) to be updated within 30 days of the National Terminology release.')         else if (not($phist-last-old) or $p-term-found-in = '') then ''        else concat(' The value of the displayName was ', $p-term-found-in,          ' published on the ', iq:display-date($phist-vers-date), '. That version was published ', $phist-last-diff,          ' days before the version of SNOMED CT-AU published immediately prior to the date the ', $document-name,          ' was created. SNOMED CT-AU is published monthly and the Australian National Terminology Licence Agreement requires the copy used in',         ' healthcare software systems (live or production environments) to be updated within 30 days of the National Terminology release.') " />
    <xsl:variable name="p-date-required" select="if (not($pname-invalid)) then ''        else if (@codeSystemVersion and matches(@codeSystemVersion, $snomed-version-regex-1)) then substring-after(@codeSystemVersion, '/version/')        else if ($creation-date-est) then ''        else $creation-date " />
    <xsl:variable name="p-date-diff" select="if ($p-date-required = '' or         not(dh:IsFirstDateEarlierThanSecondDate(substring-after($ts-psnomed-version, '/version/'), $p-date-required) = '1')) then ()        else iq:display-date-diff(substring-after($ts-psnomed-version, '/version/'), $p-date-required)" />
    <xsl:variable name="p-old-ts-version" select="exists($p-date-diff) and number($p-date-diff[2]) &gt; 31 " />
    <xsl:variable name="snomed-trans-1" select="if (cda:translation) then cda:translation[@displayName and @codeSystem = '2.16.840.1.113883.6.96' and @code and         matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="snomed-trans-2" select="distinct-values(for $trans in $snomed-trans-1 return $trans/@code) " />
    <xsl:variable name="snomed-trans-a" select="if (exists($snomed-trans-1)) then $snomed-trans-1[1] else () " />
    <xsl:variable name="tcode-a" select="if (exists($snomed-trans-a)) then $snomed-trans-a/@code else '' " />
    <xsl:variable name="tname-a-to-test" select="$tcode-a != '' and $snomed-trans-a/@displayName " />
    <xsl:variable name="tsctau-version-a" select="if (exists($snomed-trans-a/@codeSystemVersion) and matches($snomed-trans-a/@codeSystemVersion, $snomedctau-version-regex)) then $snomed-trans-a/@codeSystemVersion else '' " />
    <xsl:variable name="tsnomed-id-a" select="if (not($tname-a-to-test)) then 'none'        else if (not($snomed-trans-a/@codeSystemVersion) and          dh:IsFirstDateEarlierThanSecondDate($creation-date, substring-after($first-amt-in-sctau, '/version/')) = '1') then 'amtv3'        else if (not($snomed-trans-a/@codeSystemVersion)) then 'snomedctau'        else if (not($tsctau-version-a = '')) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-a/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="tsnomed-a-type" select="if ($tsnomed-id-a = 'amtv3') then 'AMT v3'        else if ($tsnomed-id-a = 'snomedctau') then 'SNOMED CT-AU'        else if ($tsnomed-id-a = 'snomedct') then 'SNOMED CT'        else '' " />
    <xsl:variable name="t-vers-a-old" select="if ($tsnomed-id-a = 'snomedctau' and $snomed-trans-a/@codeSystemVersion) then not(exists($ts-snomedctau[. = $snomed-trans-a/@codeSystemVersion]))         else if ($tsnomed-id-a = 'snomedctau' and $creation-date != '' and $ts-earliest-sctau-date != '') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $ts-earliest-sctau-date) = '1'         else if ($tsnomed-id-a = 'amtv3' and $snomed-trans-a/@codeSystemVersion) then not(exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion]))        else if ($tsnomed-id-a = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '1'         else false() " />
    <xsl:variable name="tsctau-ts-a" select="if ($tsctau-version-a = '' or not($t-vers-a-old)) then '' else substring-after($tsctau-version-a, '/version/') " />
    <xsl:variable name="tsctau-ts-a-xs" select="if ($tsctau-ts-a = '') then '' else concat(substring($tsctau-ts-a, 1, 4), '-', substring($tsctau-ts-a, 5, 2), '-', substring($tsctau-ts-a, 7, 2))" />
    <xsl:variable name="tsctau-ts-a-1" select="if ($tsctau-ts-a = '' or not($tsctau-ts-a-xs castable as xs:date)) then '' else string($sctau-last-xs - xs:date($tsctau-ts-a-xs)) " />
    <xsl:variable name="tsctau-ts-a-2" select="if ($tsctau-ts-a-1 = '' or not(matches($tsctau-ts-a-1, '^P[0-9]+D'))) then '' else substring-before(substring-after($tsctau-ts-a-1, 'P'), 'D') " />
    <xsl:variable name="tsctau-ts-a-63-err" select="$tsctau-ts-a-2 != '' and $tsctau-ts-a-2 &gt; $sctau-acceptable-age  " />
    <xsl:variable name="ts-tsnomed-version-a" select="if (not($tname-a-to-test) or not($tsnomed-id-a = 'snomedctau')) then ''        else if (not($snomed-trans-a/@codeSystemVersion)) then $ts-latest-snomedctau        else if ($tsnomed-id-a = 'snomedctau' and $snomed-trans-a/@codeSystemVersion and not($t-vers-a-old)) then $snomed-trans-a/@codeSystemVersion        else if ($t-vers-a-old and $ts-earliest-sctau-date != '') then concat('http://snomed.info/sct/32506021000036107/version/', $ts-earliest-sctau-date)        else $ts-latest-snomedctau " />
    <xsl:variable name="v-tsnomed-version-a" select="if (not($tsnomed-id-a = 'amtv3')) then ''        else if ($snomed-trans-a/@codeSystemVersion and exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($t-vers-a-old) then concat('http://snomed.info/sct/900062011000036108/version/', $v-earliest-amtv3-date)        else $v-latest-amtv3 " />
    <xsl:variable name="test-tname-a" select="$tname-a-to-test and not($ts-tsnomed-version-a = '' and $v-tsnomed-version-a = '') and not($tsctau-ts-a-63-err) " />
    <xsl:variable name="t-a-term-actual-1" select="if ($test-tname-a and $use-ts-for-sctau and $tsnomed-id-a = 'snomedctau')         then dh:FindPreferredTermUsingTS($tcode-a, '2.16.840.1.113883.6.96', $ts-tsnomed-version-a)         else if ($test-tname-a and exists($v-amtv3) and $tsnomed-id-a = 'amtv3')         then replace(dh:FindPreferredTermAndCaseSignificance($tcode-a, '2.16.840.1.113883.6.96', $v-tsnomed-version-a), '\|.*$', '', 'is')        else '' " />
    <xsl:variable name="error-usingTS-3" select="$error-usingTS-2 or $t-a-term-actual-1 = 'Error' " />
    <xsl:variable name="t-a-term-actual" select="if ($t-a-term-actual-1 = 'CodeNotFound' or $t-a-term-actual-1 = 'Error') then '' else $t-a-term-actual-1 " />
    <xsl:variable name="tname-a-invalid" select="$test-tname-a and $t-a-term-actual != '' and lower-case($t-a-term-actual) != lower-case($snomed-trans-a/@displayName) " />
    <xsl:variable name="thist-a-search" select="$test-tname-a and $tname-a-invalid and $ts-snomedctau-pre-ordered != '' " />
    <xsl:variable name="thist-a-vers-2" select="if ($thist-a-search) then index-of($hist-vers-1, substring-after($ts-tsnomed-version-a, 'version/')) else () " />
    <xsl:variable name="thist-a-vers-3" select="if (exists($thist-a-vers-2) and count($hist-vers-1) &gt; $thist-a-vers-2[1]) then $hist-vers-1[$thist-a-vers-2[1] + 1] else '' " />
    <xsl:variable name="thist-a-vers-4" select="if ($thist-a-vers-3 = '') then '' else concat('http://snomed.info/sct/32506021000036107/version/', $thist-a-vers-3) " />
    <xsl:variable name="thist-a-vers-5" select="if ($thist-a-vers-4 != '' and $use-ts-for-sctau)         then dh:FindLatestVersionWhereDisplaynameMatchUsingTS($tcode-a, '2.16.840.1.113883.6.96', $thist-a-vers-4, $snomed-trans-a/@displayName, false())         else '' " />
    <xsl:variable name="error-usingTS-4" select="$error-usingTS-3 or $thist-a-vers-5 = 'Error' " />
    <xsl:variable name="thist-a-vers-found-1" select="matches($thist-a-vers-5, 'http') " />
    <xsl:variable name="tcode-a-pterm-date-1" select="if (not($tname-a-invalid) or $thist-a-vers-found-1) then ''          else dh:LatestDateForPreferredTerm($tcode-a, '2.16.840.1.113883.6.96', $v-latest-snomedctau) " />
    <xsl:variable name="error-tcode-a-pterm-date" select="'Error' = $tcode-a-pterm-date-1" />
    <xsl:variable name="tcode-a-pterm-date-2" select="if (matches($tcode-a-pterm-date-1, '^[0-9]{8}\|')) then substring-before($tcode-a-pterm-date-1, '|') else '' " />
    <xsl:variable name="tcode-a-pterm-date-est" select="$tcode-a-pterm-date-2 != '' and dh:IsFirstDateEarlierThanSecondDate($creation-date, $tcode-a-pterm-date-2) = '0' " />
    <xsl:variable name="tcode-a-pterm-date" select="if ($tcode-a-pterm-date-est) then $tcode-a-pterm-date-2 else '' " />
    <xsl:variable name="thist-a-vers-6" select="if ($thist-a-vers-5 = 'PreferredTermNeverMatches' and not($tcode-a-pterm-date-est) and matches($tcode-a, $sctau-namespace-id-regex))         then dh:IsCodePreferredTermInTerminologyValid($tcode-a, '2.16.840.1.113883.6.96', $v-latest-amtv3, $snomed-trans-a/@displayName)        else '' " />
    <xsl:variable name="thist-a-vers-found-2" select="$thist-a-vers-6 = 'PreferredTermMatch' " />
    <xsl:variable name="thist-a-vers-7" select="if ($thist-a-vers-6 = 'PreferredTermMismatch' and not($tcode-a-pterm-date-est) and $v-latest-amtv2 = $last-amtv2)         then dh:IsCodePreferredTermInTerminologyValid($tcode-a, '1.2.36.1.2001.1004.100', $last-amtv2, $snomed-trans-a/@displayName)        else '' " />
    <xsl:variable name="thist-a-vers-found-3" select="$thist-a-vers-7 = 'PreferredTermMatch' " />
    <xsl:variable name="thist-a-vers-found" select="$thist-a-vers-found-1 or $thist-a-vers-found-2 or $thist-a-vers-found-3 or $tcode-a-pterm-date-est " />
    <xsl:variable name="thist-a-vers-date" select="if ($thist-a-vers-found-1) then substring-after($thist-a-vers-5, 'http://snomed.info/sct/32506021000036107/version/')         else if ($thist-a-vers-found-2) then substring-after($v-latest-amtv3, 'http://snomed.info/sct/900062011000036108/version/')        else if ($thist-a-vers-found-3) then $last-amtv2-date        else if ($tcode-a-pterm-date-est) then $tcode-a-pterm-date        else '' " />
    <xsl:variable name="thist-a-last-diff" select="if ($sctau-last = '' or $thist-a-vers-date = '') then ''        else iq:display-date-diff($thist-a-vers-date, $sctau-last)[2] " />
    <xsl:variable name="thist-a-last-old" select="$thist-a-last-diff != '' and not(number($thist-a-last-diff) &lt; $sctau-acceptable-age) " />
    <xsl:variable name="t-a-term-found-in" select="if ($thist-a-vers-found-1) then 'last used in the version of SNOMED CT-AU'        else if ($thist-a-vers-found-2) then 'used in the version of AMT v3'        else if ($thist-a-vers-found-3) then 'used in the version of AMT v2'        else '' " />
    <xsl:variable name="thist-a-last-msg" select="if ($tcode-a-pterm-date-est) then concat(' The preferred term was last changed in the version of SNOMED CT-AU published ',          iq:display-date($thist-a-vers-date),          ' so if the value of the translation code displayName was ever valid then it must be before then. ',          'That version was published ', $thist-a-last-diff, ' days before the version of SNOMED CT-AU published immediately prior to the date ''',         /cda:ClinicalDocument/cda:effectiveTime/@value, ''' that this ', $document-name,          ' was created. SNOMED CT-AU is published monthly and the Australian National Terminology Licence Agreement requires the copy used ',         'in healthcare software systems (live or production environments) to be updated within 30 days of the National Terminology release.')         else if (not($thist-a-last-old) or $t-a-term-found-in = '') then ''           else concat(' The value of the translation code displayName was ', $t-a-term-found-in, ' published on the ', iq:display-date($thist-a-vers-date),         '. That version was published ', $thist-a-last-diff, ' days before the version of SNOMED CT-AU published immediately prior to the date the ',        $document-name, ' was created. SNOMED CT-AU is published monthly and the Australian National Terminology Licence Agreement requires ',        'the copy used in healthcare software systems (live or production environments) to be updated within 30 days of the National Terminology release.')" />
    <xsl:variable name="tr-a-date-required" select="if (not($tname-a-invalid)) then ''        else if ($snomed-trans-a/@codeSystemVersion and matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1))          then substring-after($snomed-trans-a/@codeSystemVersion, '/version/')        else if ($creation-date-est) then ''        else $creation-date " />
    <xsl:variable name="tr-a-date-diff" select="if ($tr-a-date-required = '' or         not(dh:IsFirstDateEarlierThanSecondDate(substring-after($ts-tsnomed-version-a, '/version/'), $tr-a-date-required) = '1')) then ()        else iq:display-date-diff(substring-after($ts-tsnomed-version-a, '/version/'), $tr-a-date-required)" />
    <xsl:variable name="tr-a-old-ts-version" select="exists($tr-a-date-diff) and number($tr-a-date-diff[2]) &gt; 31 " />
    <xsl:variable name="snomed-trans-b" select="if (exists($snomed-trans-1)) then $snomed-trans-1[@code and not(@code = $tcode-a)] else () " />
    <xsl:variable name="tcode-b" select="if (exists($snomed-trans-b)) then $snomed-trans-b/@code else '' " />
    <xsl:variable name="tname-b-to-test" select="$tcode-b != '' and $snomed-trans-b/@displayName " />
    <xsl:variable name="tsctau-version-b" select="if (exists($snomed-trans-b/@codeSystemVersion) and matches($snomed-trans-b/@codeSystemVersion, $snomedctau-version-regex)) then $snomed-trans-b/@codeSystemVersion else '' " />
    <xsl:variable name="tsnomed-id-b" select="if (not($tname-b-to-test)) then 'none'        else if (not($snomed-trans-b/@codeSystemVersion) and          dh:IsFirstDateEarlierThanSecondDate($creation-date, substring-after($first-amt-in-sctau, '/version/')) = '1') then 'amtv3'        else if (not($snomed-trans-b/@codeSystemVersion)) then 'snomedctau'        else if (not($tsctau-version-b = '')) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-b/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="tsnomed-b-type" select="if ($tsnomed-id-b = 'amtv3') then 'AMT v3'        else if ($tsnomed-id-b = 'snomedctau') then 'SNOMED CT-AU'        else if ($tsnomed-id-b = 'snomedct') then 'SNOMED CT'        else '' " />
    <xsl:variable name="t-vers-b-old" select="if ($tsnomed-id-b = 'snomedctau' and $snomed-trans-b/@codeSystemVersion) then not(exists($ts-snomedctau[. = $snomed-trans-b/@codeSystemVersion]))         else if ($tsnomed-id-b = 'snomedctau' and $creation-date != '' and $ts-earliest-sctau-date != '') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $ts-earliest-sctau-date) = '1'         else if ($tsnomed-id-b = 'amtv3' and $snomed-trans-b/@codeSystemVersion) then not(exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion]))        else if ($tsnomed-id-b = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '1'         else false() " />
    <xsl:variable name="tsctau-ts-b" select="if ($tsctau-version-b = '' or not($t-vers-b-old)) then '' else substring-after($tsctau-version-b, '/version/') " />
    <xsl:variable name="tsctau-ts-b-xs" select="if ($tsctau-ts-b = '') then '' else concat(substring($tsctau-ts-b, 1, 4), '-', substring($tsctau-ts-b, 5, 2), '-', substring($tsctau-ts-b, 7, 2))" />
    <xsl:variable name="tsctau-ts-b-1" select="if ($tsctau-ts-b = '' or not($tsctau-ts-b-xs castable as xs:date)) then '' else string($sctau-last-xs - xs:date($tsctau-ts-b-xs)) " />
    <xsl:variable name="tsctau-ts-b-2" select="if ($tsctau-ts-b-1 = '' or not(matches($tsctau-ts-b-1, '^P[0-9]+D'))) then '' else substring-before(substring-after($tsctau-ts-b-1, 'P'), 'D') " />
    <xsl:variable name="tsctau-ts-b-63-err" select="$tsctau-ts-b-2 != '' and $tsctau-ts-b-2 &gt; $sctau-acceptable-age  " />
    <xsl:variable name="ts-tsnomed-version-b" select="if (not($tname-b-to-test) or not($tsnomed-id-b = 'snomedctau')) then ''        else if (not($snomed-trans-b/@codeSystemVersion)) then $ts-latest-snomedctau        else if ($tsnomed-id-b = 'snomedctau' and $snomed-trans-b/@codeSystemVersion and not($t-vers-b-old)) then $snomed-trans-b/@codeSystemVersion        else if ($t-vers-b-old and $ts-earliest-sctau-date != '') then concat('http://snomed.info/sct/32506021000036107/version/', $ts-earliest-sctau-date)        else $ts-latest-snomedctau " />
    <xsl:variable name="v-tsnomed-version-b" select="if (not($tsnomed-id-b = 'amtv3')) then ''        else if ($snomed-trans-b/@codeSystemVersion and exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($t-vers-b-old) then concat('http://snomed.info/sct/900062011000036108/version/', $v-earliest-amtv3-date)        else $v-latest-amtv3 " />
    <xsl:variable name="test-tname-b" select="$tname-b-to-test and not($ts-tsnomed-version-b = '' and $v-tsnomed-version-b = '') and not($tsctau-ts-b-63-err) " />
    <xsl:variable name="t-b-term-actual-1" select="if ($test-tname-b and $use-ts-for-sctau and $tsnomed-id-b = 'snomedctau')        then dh:FindPreferredTermUsingTS($tcode-b, '2.16.840.1.113883.6.96', $ts-tsnomed-version-b)        else if ($test-tname-b and exists($v-amtv3) and $tsnomed-id-b = 'amtv3')        then replace(dh:FindPreferredTermAndCaseSignificance($tcode-b, '2.16.840.1.113883.6.96', $v-tsnomed-version-b), '\|.*$', '', 'is')       else '' " />
    <xsl:variable name="error-usingTS-5" select="$error-usingTS-4 or $t-b-term-actual-1 = 'Error' " />
    <xsl:variable name="t-b-term-actual" select="if ($t-b-term-actual-1 = 'CodeNotFound' or $t-b-term-actual-1 = 'Error') then '' else $t-b-term-actual-1 " />
    <xsl:variable name="tname-b-invalid" select="$test-tname-b and $t-b-term-actual != '' and lower-case($t-b-term-actual) != lower-case($snomed-trans-b/@displayName) " />
    <xsl:variable name="thist-b-search" select="$test-tname-b and $tname-b-invalid and $ts-snomedctau-pre-ordered != '' " />
    <xsl:variable name="thist-b-vers-2" select="if ($thist-b-search) then index-of($hist-vers-1, substring-after($ts-tsnomed-version-b, 'version/')) else () " />
    <xsl:variable name="thist-b-vers-3" select="if (exists($thist-b-vers-2) and count($hist-vers-1) &gt; $thist-b-vers-2[1]) then $hist-vers-1[$thist-b-vers-2[1] + 1] else '' " />
    <xsl:variable name="thist-b-vers-4" select="if ($thist-b-vers-3 = '') then '' else concat('http://snomed.info/sct/32506021000036107/version/', $thist-b-vers-3) " />
    <xsl:variable name="thist-b-vers-5" select="if ($thist-b-vers-4 != '' and $use-ts-for-sctau)         then dh:FindLatestVersionWhereDisplaynameMatchUsingTS($tcode-b, '2.16.840.1.113883.6.96', $thist-b-vers-4, $snomed-trans-b/@displayName, false())         else '' " />
    <xsl:variable name="error-usingTS-6" select="$error-usingTS-5 or $thist-b-vers-5 = 'Error' " />
    <xsl:variable name="thist-b-vers-found-1" select="matches($thist-b-vers-5, 'http') " />
    <xsl:variable name="tcode-b-pterm-date-1" select="if (not($tname-b-invalid) or $thist-b-vers-found-1) then ''          else dh:LatestDateForPreferredTerm($tcode-b, '2.16.840.1.113883.6.96', $v-latest-snomedctau) " />
    <xsl:variable name="error-tcode-b-pterm-date" select="'Error' = $tcode-b-pterm-date-1" />
    <xsl:variable name="tcode-b-pterm-date-2" select="if (matches($tcode-b-pterm-date-1, '^[0-9]{8}\|')) then substring-before($tcode-b-pterm-date-1, '|') else '' " />
    <xsl:variable name="tcode-b-pterm-date-est" select="$tcode-b-pterm-date-2 != '' and dh:IsFirstDateEarlierThanSecondDate($creation-date, $tcode-b-pterm-date-2) = '0' " />
    <xsl:variable name="tcode-b-pterm-date" select="if ($tcode-b-pterm-date-est) then $tcode-b-pterm-date-2 else '' " />
    <xsl:variable name="thist-b-vers-6" select="if ($thist-b-vers-5 = 'PreferredTermNeverMatches' and not($tcode-b-pterm-date-est) and matches($tcode-b, $sctau-namespace-id-regex))         then dh:IsCodePreferredTermInTerminologyValid($tcode-b, '2.16.840.1.113883.6.96', $v-latest-amtv3, $snomed-trans-b/@displayName)        else '' " />
    <xsl:variable name="thist-b-vers-found-2" select="$thist-b-vers-6 = 'PreferredTermMatch' " />
    <xsl:variable name="thist-b-vers-7" select="if ($thist-b-vers-6 = 'PreferredTermMismatch' and not($tcode-b-pterm-date-est) and $v-latest-amtv2 = $last-amtv2)         then dh:IsCodePreferredTermInTerminologyValid($tcode-b, '1.2.36.1.2001.1004.100', $last-amtv2, $snomed-trans-b/@displayName)        else '' " />
    <xsl:variable name="thist-b-vers-found-3" select="$thist-b-vers-7 = 'PreferredTermMatch' " />
    <xsl:variable name="thist-b-vers-found" select="$thist-b-vers-found-1 or $thist-b-vers-found-2 or $thist-b-vers-found-3 or $tcode-b-pterm-date-est " />
    <xsl:variable name="thist-b-vers-date" select="if ($thist-b-vers-found-1) then substring-after($thist-b-vers-5, 'http://snomed.info/sct/32506021000036107/version/')         else if ($thist-b-vers-found-2) then substring-after($v-latest-amtv3, 'http://snomed.info/sct/900062011000036108/version/')        else if ($thist-b-vers-found-3) then $last-amtv2-date        else if ($tcode-b-pterm-date-est) then $tcode-b-pterm-date        else '' " />
    <xsl:variable name="thist-b-last-diff" select="if ($sctau-last = '' or $thist-b-vers-date = '') then ''        else iq:display-date-diff($thist-b-vers-date, $sctau-last)[2] " />
    <xsl:variable name="thist-b-last-old" select="$thist-b-last-diff != '' and not(number($thist-b-last-diff) &lt; $sctau-acceptable-age) " />
    <xsl:variable name="t-b-term-found-in" select="if ($thist-b-vers-found-1) then 'last used in the version of SNOMED CT-AU'        else if ($thist-b-vers-found-2) then 'used in the version of AMT v3'        else if ($thist-b-vers-found-3) then 'used in the version of AMT v2'        else '' " />
    <xsl:variable name="thist-b-last-msg" select="if ($tcode-b-pterm-date-est) then concat(' The preferred term was last changed in the version of SNOMED CT-AU published ',          iq:display-date($thist-b-vers-date),          ' so if the value of the translation code displayName was ever valid then it must be before then. ',          'That version was published ', $thist-b-last-diff, ' days before the version of SNOMED CT-AU published immediately prior to the date ''',         /cda:ClinicalDocument/cda:effectiveTime/@value, ''' that this ', $document-name,          ' was created. SNOMED CT-AU is published monthly and the Australian National Terminology Licence Agreement requires the copy used ',         'in healthcare software systems (live or production environments) to be updated within 30 days of the National Terminology release.')        else if (not($thist-b-last-old) or $t-b-term-found-in = '') then ''           else concat(' The value of the translation code displayName was ', $t-b-term-found-in,         ' published on the ', iq:display-date($thist-b-vers-date),         '. That version was published ', $thist-b-last-diff, ' days before the version of SNOMED CT-AU published immediately prior to the date the ',        $document-name, ' was created. SNOMED CT-AU is published monthly and the Australian National Terminology Licence Agreement requires ',        'the copy used in healthcare software systems (live or production environments) to be updated within 30 days of the National Terminology release.')" />
    <xsl:variable name="tr-b-date-required" select="if (not($tname-b-invalid)) then ''        else if ($snomed-trans-b/@codeSystemVersion and matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1))          then substring-after($snomed-trans-b/@codeSystemVersion, '/version/')        else if ($creation-date-est) then ''        else $creation-date " />
    <xsl:variable name="tr-b-date-diff" select="if ($tr-b-date-required = '' or         not(dh:IsFirstDateEarlierThanSecondDate(substring-after($ts-tsnomed-version-b, '/version/'), $tr-b-date-required) = '1')) then ()        else iq:display-date-diff(substring-after($ts-tsnomed-version-b, '/version/'), $tr-b-date-required)" />
    <xsl:variable name="tr-b-old-ts-version" select="exists($tr-b-date-diff) and number($tr-b-date-diff[2]) &gt; 31 " />
    <xsl:variable name="psnomed-version-msg" select="if (not($pname-to-test) or $psctau-ts-63-err) then ''        else if (not(@codeSystemVersion) and $psnomed-id = 'snomedctau' and $pvers-old)          then concat(' The terminology server did not have a version of SNOMED CT-AU published before the date the clinical document was created (',         /cda:ClinicalDocument/cda:effectiveTime/@value, ') so the ''',          $ts-psnomed-version, ''' version of the SNOMED CT-AU code system was used in the assessment.')        else if (not(@codeSystemVersion) and $psnomed-id = 'amtv3' and $pvers-old)          then concat(' The terminology server did not have a version of AMT v3 published before the date the clinical document was created (',         /cda:ClinicalDocument/cda:effectiveTime/@value, ') so the ''',          $v-psnomed-version, ''' version of the AMT v3 code system was used in the assessment.')        else if (not(@codeSystemVersion) and $psnomed-id = 'amtv3') then concat(' The data element did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the AMT v3 code system was used in the assessment.')        else if (not(@codeSystemVersion)) then concat(' The data element did not contain the codeSystemVersion attribute so the ''',          $ts-psnomed-version, ''' version of the SNOMED CT-AU code system was used in the assessment.')        else if ($psnomed-id = 'snomedctau' and not($pvers-old)) then          concat(' The ''', $ts-psnomed-version, ''' version of the code system was used to validate the SNOMED CT-AU code.')        else if ($psnomed-id = 'snomedctau' and $pvers-old) then          concat(' The codeSystemVersion attribute has the correct format for SNOMED CT-AU ''', @codeSystemVersion,          ''' but that version is not present in the Terminology Server.')        else if ($psnomed-id = 'amtv3') then         concat(' The codeSystemVersion attribute has the correct format for AMT v3 ''', @codeSystemVersion,          ''' but that version was not available to use in the assessment.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1) or matches(@codeSystemVersion, $snomed-version-regex-2)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system was not available to use in the assessment.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' .') " />
    <xsl:variable name="tsnomed-version-a-msg" select="if (not($tname-a-to-test) or $tsctau-ts-a-63-err) then ''        else if (not($snomed-trans-a/@codeSystemVersion) and $tsnomed-id-a = 'snomedctau' and $t-vers-a-old)          then concat(' The terminology server did not have a version of SNOMED CT-AU published before the date the clinical document was created (',         /cda:ClinicalDocument/cda:effectiveTime/@value, ') so the ''',          $ts-tsnomed-version-a, ''' version of the SNOMED CT-AU code system was used in the assessment.')        else if (not($snomed-trans-a/@codeSystemVersion) and $tsnomed-id-a = 'amtv3' and $t-vers-a-old)          then concat(' The Clinical Package Validator did not have a version of AMT v3 published before the date the clinical document was created (',         /cda:ClinicalDocument/cda:effectiveTime/@value, ') so the ''',          $v-tsnomed-version-a, ''' version of the AMT v3 code system was used in the assessment.')        else if (not($snomed-trans-a/@codeSystemVersion) and $tsnomed-id-a = 'amtv3')          then concat(' The data element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-a, ''' version of the AMT v3 code system was used in the assessment.')        else if (not($snomed-trans-a/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $ts-tsnomed-version-a, ''' version of the SNOMED CT-AU code system was used in the assessment.')         else if ($tsnomed-id-a = 'snomedctau' and not($t-vers-a-old)) then          concat(' The ''', $ts-tsnomed-version-a, ''' version of the code system was used to validate the SNOMED CT-AU code.')        else if ($tsnomed-id-a = 'snomedctau' and $t-vers-a-old) then          concat(' The codeSystemVersion attribute has the correct format for SNOMED CT-AU ''', $snomed-trans-a/@codeSystemVersion,          ''' but that version is not present in the Terminology Server.')        else if ($tsnomed-id-a = 'amtv3') then         concat(' The codeSystemVersion attribute has the correct format for AMT v3 ''', $snomed-trans-a/@codeSystemVersion,          ''' but that version was not available to use in the assessment.')        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1) or matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-2))         then concat(' The ''', $snomed-trans-a/@codeSystemVersion, ''' version of the code system was not available to use in the assessment.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-a/@codeSystemVersion, '''.') " />
    <xsl:variable name="tsnomed-version-b-msg" select="if (not($tname-b-to-test) or $ts-tsnomed-version-b = '' or $tsctau-ts-b-63-err) then ''        else if (not($snomed-trans-b/@codeSystemVersion) and $tsnomed-id-b = 'snomedctau' and $t-vers-b-old)          then concat(' The terminology server did not have a version of SNOMED CT-AU published before the date the clinical document was created (',         /cda:ClinicalDocument/cda:effectiveTime/@value, ') so the ''',          $ts-tsnomed-version-b, ''' version of the SNOMED CT-AU code system was used in the assessment.')        else if (not($snomed-trans-b/@codeSystemVersion) and $tsnomed-id-b = 'amtv3' and $t-vers-b-old)          then concat(' The Clinical Package Validator did not have a version of AMT v3 published before the date the clinical document was created (',         /cda:ClinicalDocument/cda:effectiveTime/@value, ') so the ''',          $v-tsnomed-version-b, ''' version of the AMT v3 code system was used in the assessment.')        else if (not($snomed-trans-b/@codeSystemVersion) and $tsnomed-id-b = 'amtv3')          then concat(' The data element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-b, ''' version of the AMT v3 code system was used in the assessment.')        else if (not($snomed-trans-b/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $ts-tsnomed-version-b, ''' version of the SNOMED CT-AU code system was used in the assessment.')         else if ($tsnomed-id-b = 'snomedctau' and not($t-vers-b-old)) then          concat(' The ''', $ts-tsnomed-version-b, ''' version of the code system was used to validate the SNOMED CT-AU code.')        else if ($tsnomed-id-b = 'snomedctau' and $t-vers-b-old) then          concat(' The codeSystemVersion attribute has the correct format for SNOMED CT-AU ''', $snomed-trans-b/@codeSystemVersion,          ''' but that version is not present in the Terminology Server.')        else if ($tsnomed-id-b = 'amtv3') then         concat(' The codeSystemVersion attribute has the correct format for AMT v3 ''', $snomed-trans-b/@codeSystemVersion,          ''' but that version was not available to use in the assessment.')        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1) or matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-2))         then concat(' The ''', $snomed-trans-b/@codeSystemVersion, ''' version of the code system was not available to use in the assessment.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-b/@codeSystemVersion, '''.') " />
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and ($pname-to-test or $tname-a-to-test or $tname-b-to-test) and not($use-ts-for-sctau) and    not($psctau-ts-63-err or $tsctau-ts-a-63-err or $tsctau-ts-b-63-err) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and ($pname-to-test or $tname-a-to-test or $tname-b-to-test) and not($use-ts-for-sctau) and not($psctau-ts-63-err or $tsctau-ts-a-63-err or $tsctau-ts-b-63-err)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Vaccine Administration Entry - Vaccine Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /><xsl:text /><xsl:value-of select="if ($tname-a-to-test) then concat(' and translation ', iq:display-CD($snomed-trans-a)) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($tname-b-to-test) then concat(' and translation ', iq:display-CD($snomed-trans-b)) else '' " /><xsl:text />
		A terminology server with SNOMED CT-AU codes was not available so it was not possible to verify that the AMT code contains the preferred term for the displayName.
		Confirm that the value of the displayName attribute meets the requirement that it be the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 3.5 of the Australian Childhood Immunisation Register Structured Content Specification v1.1.1.) 

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-6 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-6">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-GCD: An error was reported when accessing the terminology server. The analysis should be retried as the terminology server may have been temporarily unavailable.
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.
		<xsl:text /><xsl:value-of select="if ($p-term-actual-1 = 'Error') then concat(' The error occurred when calling the function FindPreferredTermUsingTS with code ''', $pcode,    ''', codeSystem ''2.16.840.1.113883.6.96'' and codeSystemVersion ''', $ts-psnomed-version, '''.')   else if ($t-a-term-actual-1 = 'Error') then concat(' The error occurred when calling the function FindPreferredTermUsingTS with code ''', $tcode-a,    ''', codeSystem ''2.16.840.1.113883.6.96'' and codeSystemVersion ''', $ts-tsnomed-version-a, '''.')   else if ($t-b-term-actual-1 = 'Error') then concat(' The error occurred when calling the function FindPreferredTermUsingTS with code ''', $tcode-b,    ''', codeSystem ''2.16.840.1.113883.6.96'' and codeSystemVersion ''', $ts-tsnomed-version-b, '''.')   else if ($phist-vers-5 = 'Error') then concat(' The error occurred when calling the function FindLatestVersionWhereDisplaynameMatchUsingTS with code ''', @code,    ''', codeSystem ''2.16.840.1.113883.6.96'', initialVersion ''', $phist-vers-4, ''', displayName ''', @displayName, ''' and enforceCase ''false()''.')   else if ($thist-a-vers-5 = 'Error') then concat(' The error occurred when calling the function FindLatestVersionWhereDisplaynameMatchUsingTS with code ''', $tcode-a,    ''', codeSystem ''2.16.840.1.113883.6.96'', initialVersion ''', $thist-a-vers-4, ''', displayName ''', $snomed-trans-a/@displayName, ''' and enforceCase ''false()''.')   else if ($thist-b-vers-5 = 'Error') then concat(' The error occurred when calling the function FindLatestVersionWhereDisplaynameMatchUsingTS with code ''', $tcode-b,    ''', codeSystem ''2.16.840.1.113883.6.96'', initialVersion ''', $thist-b-vers-4, ''', displayName ''', $snomed-trans-b/@displayName, ''' and enforceCase ''false()''.')    else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-pcode-pterm-date ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-pcode-pterm-date">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$pcode-pterm-date-1" /><xsl:text /> was returned when calling the function LatestDateForPreferredTerm with
		code '<xsl:text /><xsl:value-of select="$pcode" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-latest-snomedctau" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$phist-vers-6 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$phist-vers-6 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$phist-vers-6" /><xsl:text /> was returned when calling the function IsCodePreferredTermInTerminologyValid with
		code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96', codeSystemVersion '<xsl:text /><xsl:value-of select="$v-latest-amtv3" /><xsl:text />' and
		displayName '<xsl:text /><xsl:value-of select="@displayName" /><xsl:text />'. The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$phist-vers-7 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$phist-vers-7 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$phist-vers-7" /><xsl:text /> was returned when calling the function IsCodePreferredTermInTerminologyValid with
		code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />', codeSystem '1.2.36.1.2001.1004.100', codeSystemVersion '<xsl:text /><xsl:value-of select="$last-amtv2" /><xsl:text />' and
		displayName '<xsl:text /><xsl:value-of select="@displayName" /><xsl:text />'. The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $pname-to-test and (not($test-pname) or ($pname-invalid and $pvers-old)) and not($pcode-pterm-date-est or $psctau-ts-63-err)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pname-to-test and (not($test-pname) or ($pname-invalid and $pvers-old)) and not($pcode-pterm-date-est or $psctau-ts-63-err)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Vaccine Administration Entry - Vaccine Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		Confirm that the value of the displayName attribute is the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 3.5 of the Australian Childhood Immunisation Register Structured Content Specification v1.1.1.)<xsl:text /><xsl:value-of select="$psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $pname-to-test and $pname-invalid and (not($pvers-old) or $pcode-pterm-date-est) and    (not($phist-vers-found) or ($phist-vers-found and $phist-last-old)) and not($p-old-ts-version)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pname-to-test and $pname-invalid and (not($pvers-old) or $pcode-pterm-date-est) and (not($phist-vers-found) or ($phist-vers-found and $phist-last-old)) and not($p-old-ts-version)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Vaccine Administration Entry - Vaccine Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. The value of the displayName attribute does not meet the requirement that it be the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 3.5 of the Australian Childhood Immunisation Register Structured Content Specification v1.1.1.) <xsl:text /><xsl:value-of select="$phist-last-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($p-term-actual = '') then ''   else if ($ts-psnomed-version != '') then concat(' According to the ''', $ts-psnomed-version, ''' version of SNOMED CT-AU the correct value for the preferred term is ''',   dh:XQueryRecursiveReplace($p-term-actual, $markup-pattern-replacement, 'ic'), '''.')   else concat(' According to the ''', $v-psnomed-version, ''' version of AMT v3 the correct value for the preferred term is ''',   dh:XQueryRecursiveReplace($p-term-actual, $markup-pattern-replacement, 'ic'), '''.') " /><xsl:text />'

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $pname-to-test and $pname-invalid and (not($pvers-old) or $pcode-pterm-date-est) and    (not($phist-vers-found) or ($phist-vers-found and $phist-last-old)) and $p-old-ts-version">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pname-to-test and $pname-invalid and (not($pvers-old) or $pcode-pterm-date-est) and (not($phist-vers-found) or ($phist-vers-found and $phist-last-old)) and $p-old-ts-version">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Vaccine Administration Entry - Vaccine Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. The value of the displayName attribute may not meet the requirement that it be the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 3.5 of the Australian Childhood Immunisation Register Structured Content Specification v1.1.1.) According to the '<xsl:text /><xsl:value-of select="$ts-psnomed-version" /><xsl:text />' version of SNOMED CT-AU the correct value for the preferred term is
		'<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($p-term-actual, $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		However that version of SNOMED CT-AU in the Terminology Server was published on the <xsl:text /><xsl:value-of select="iq:display-date(substring-after($ts-psnomed-version, '/version/'))" /><xsl:text />
		which is <xsl:text /><xsl:value-of select="$p-date-diff" /><xsl:text /> before the <xsl:text /><xsl:value-of select="if (@codeSystemVersion and matches(@codeSystemVersion, $snomed-version-regex-1)) then   'value of the codeSystemVersion attribute' else concat('date the ', $document-name, ' was created')" /><xsl:text /> which is <xsl:text /><xsl:value-of select="iq:display-date($creation-date)" /><xsl:text />.
		Use a more recently published version of SNOMED CT-AU to confirm if the value of the displayName attribute is the preferred term for the code.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Vaccine Administration Entry - Vaccine Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> has 
		<xsl:text /><xsl:value-of select="if ($numbers/number[number(@value) = count($snomed-trans-2)])        then $numbers/number[number(@value) = count($snomed-trans-2)]/@name        else count($snomed-trans-2)" /><xsl:text /> translation elements with
		distinct codes and the SNOMED CT codeSystem '2.16.840.1.113883.6.96'. The first translation element has been assessed to determine if the value of the displayName is the preferred term and
		the others have not been assessed. Confirm if the value of the displayName attribute in all SNOMED CT translation elements meets the requirement that it be the preferred term, also known as
		the preferred synonym, for the code. (See the Conditions of Use in the definition of Vaccine Administration Entry - Vaccine Name in the Conditions of Use in section 3.5 of the Australian Childhood Immunisation Register Structured Content Specification v1.1.1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-tcode-a-pterm-date ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-tcode-a-pterm-date">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$tcode-a-pterm-date-1" /><xsl:text /> was returned when calling the function LatestDateForPreferredTerm with
		code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-latest-snomedctau" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$thist-a-vers-6 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$thist-a-vers-6 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$thist-a-vers-6" /><xsl:text /> was returned when calling the function IsCodePreferredTermInTerminologyValid with
		code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', '2.16.840.1.113883.6.96', codeSystemVersion '<xsl:text /><xsl:value-of select="$v-latest-amtv3" /><xsl:text />' and
		displayName '<xsl:text /><xsl:value-of select="$snomed-trans-a/@displayName" /><xsl:text />'. The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$thist-a-vers-7 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$thist-a-vers-7 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$thist-a-vers-7" /><xsl:text /> was returned when calling the function IsCodePreferredTermInTerminologyValid with
		code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', codeSystem '1.2.36.1.2001.1004.100', codeSystemVersion '<xsl:text /><xsl:value-of select="$last-amtv2" /><xsl:text />' and
		displayName '<xsl:text /><xsl:value-of select="$snomed-trans-a/@displayName" /><xsl:text />'. The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-tcode-b-pterm-date ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-tcode-b-pterm-date">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$tcode-b-pterm-date-1" /><xsl:text /> was returned when calling the function LatestDateForPreferredTerm with
		code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-latest-snomedctau" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$thist-b-vers-6 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$thist-b-vers-6 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$thist-b-vers-6" /><xsl:text /> was returned when calling the function IsCodePreferredTermInTerminologyValid with
		code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', '2.16.840.1.113883.6.96', codeSystemVersion '<xsl:text /><xsl:value-of select="$v-latest-amtv3" /><xsl:text />' and
		displayName '<xsl:text /><xsl:value-of select="$snomed-trans-b/@displayName" /><xsl:text />'. The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$thist-b-vers-7 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$thist-b-vers-7 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$thist-b-vers-7" /><xsl:text /> was returned when calling the function IsCodePreferredTermInTerminologyValid with
		code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', codeSystem '1.2.36.1.2001.1004.100', codeSystemVersion '<xsl:text /><xsl:value-of select="$last-amtv2" /><xsl:text />' and
		displayName '<xsl:text /><xsl:value-of select="$snomed-trans-b/@displayName" /><xsl:text />'. The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $tname-a-to-test and (not($test-tname-a) or ($tname-a-invalid and $t-vers-a-old)) and not($tcode-a-pterm-date-est or $tsctau-ts-a-63-err) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tname-a-to-test and (not($test-tname-a) or ($tname-a-invalid and $t-vers-a-old)) and not($tcode-a-pterm-date-est or $tsctau-ts-a-63-err)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Vaccine Administration Entry - Vaccine Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> has translation <xsl:text /><xsl:value-of select="iq:display-CD($snomed-trans-a)" /><xsl:text />.
		Confirm that the value of the translation code displayName attribute is the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 3.5 of the Australian Childhood Immunisation Register Structured Content Specification v1.1.1.)<xsl:text /><xsl:value-of select="$tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $tname-b-to-test and (not($test-tname-b) or ($tname-b-invalid and $t-vers-b-old)) and not($tcode-b-pterm-date-est or $tsctau-ts-b-63-err) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tname-b-to-test and (not($test-tname-b) or ($tname-b-invalid and $t-vers-b-old)) and not($tcode-b-pterm-date-est or $tsctau-ts-b-63-err)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Vaccine Administration Entry - Vaccine Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> has translation <xsl:text /><xsl:value-of select="iq:display-CD($snomed-trans-b)" /><xsl:text />.
		Confirm that the value of the translation code displayName attribute is the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 3.5 of the Australian Childhood Immunisation Register Structured Content Specification v1.1.1.)<xsl:text /><xsl:value-of select="$tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tcode-a = '') and $tname-a-invalid and (not($t-vers-a-old) or $tcode-a-pterm-date-est) and    (not($thist-a-vers-found) or ($thist-a-vers-found and $thist-a-last-old)) and not($tr-a-old-ts-version)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tcode-a = '') and $tname-a-invalid and (not($t-vers-a-old) or $tcode-a-pterm-date-est) and (not($thist-a-vers-found) or ($thist-a-vers-found and $thist-a-last-old)) and not($tr-a-old-ts-version)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Vaccine Administration Entry - Vaccine Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> has translation <xsl:text /><xsl:value-of select="iq:display-CD($snomed-trans-a)" /><xsl:text />.
		The value of the translation code displayName attribute does not meet the requirement that it be the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 3.5 of the Australian Childhood Immunisation Register Structured Content Specification v1.1.1.) <xsl:text /><xsl:value-of select="$thist-a-last-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($t-a-term-actual = '') then ''   else if ($ts-tsnomed-version-a != '') then concat(' According to the ''', $ts-tsnomed-version-a, ''' version of SNOMED CT-AU the correct value for the preferred term is ''',   dh:XQueryRecursiveReplace($t-a-term-actual, $markup-pattern-replacement, 'ic'), '''.')   else concat(' According to the ''', $v-tsnomed-version-a, ''' version of AMT v3 the correct value for the preferred term is ''',   dh:XQueryRecursiveReplace($t-a-term-actual, $markup-pattern-replacement, 'ic'), '''.') " /><xsl:text />'

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not($tcode-a = '') and $tname-a-invalid and (not($t-vers-a-old) or $tcode-a-pterm-date-est) and    (not($thist-a-vers-found) or ($thist-a-vers-found and $thist-a-last-old)) and $tr-a-old-ts-version">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not($tcode-a = '') and $tname-a-invalid and (not($t-vers-a-old) or $tcode-a-pterm-date-est) and (not($thist-a-vers-found) or ($thist-a-vers-found and $thist-a-last-old)) and $tr-a-old-ts-version">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Vaccine Administration Entry - Vaccine Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> has translation <xsl:text /><xsl:value-of select="iq:display-CD($snomed-trans-a)" /><xsl:text />.
		The value of the translation code displayName attribute may not meet the requirement that it be the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 3.5 of the Australian Childhood Immunisation Register Structured Content Specification v1.1.1.) According to the '<xsl:text /><xsl:value-of select="$ts-tsnomed-version-a" /><xsl:text />' version of SNOMED CT-AU the correct value for the preferred term is
		'<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($t-a-term-actual, $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		However that version of SNOMED CT-AU in the Terminology Server was published on the <xsl:text /><xsl:value-of select="iq:display-date(substring-after($ts-tsnomed-version-a, '/version/'))" /><xsl:text />
		which is <xsl:text /><xsl:value-of select="$tr-a-date-diff" /><xsl:text /> before the <xsl:text /><xsl:value-of select="if ($snomed-trans-a/@codeSystemVersion and matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1))    then 'value of the translation codeSystemVersion attribute' else concat('date the ', $document-name, ' was created')" /><xsl:text /> which is <xsl:text /><xsl:value-of select="iq:display-date($creation-date)" /><xsl:text />.
		Use a more recently published version of SNOMED CT-AU to confirm if the value of the displayName attribute is the preferred term for the translation code.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tcode-b = '') and $tname-b-invalid and (not($t-vers-b-old) or $tcode-b-pterm-date-est) and    (not($thist-b-vers-found) or ($thist-b-vers-found and $thist-b-last-old)) and not($tr-b-old-ts-version)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tcode-b = '') and $tname-b-invalid and (not($t-vers-b-old) or $tcode-b-pterm-date-est) and (not($thist-b-vers-found) or ($thist-b-vers-found and $thist-b-last-old)) and not($tr-b-old-ts-version)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Vaccine Administration Entry - Vaccine Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> has translation <xsl:text /><xsl:value-of select="iq:display-CD($snomed-trans-b)" /><xsl:text />.
		The value of the translation code displayName attribute does not meet the requirement that it be the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 3.5 of the Australian Childhood Immunisation Register Structured Content Specification v1.1.1.) <xsl:text /><xsl:value-of select="$thist-b-last-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($t-b-term-actual = '') then ''   else if ($ts-tsnomed-version-b != '') then concat(' According to the ''', $ts-tsnomed-version-b, ''' version of SNOMED CT-AU the correct value for the preferred term is ''',   dh:XQueryRecursiveReplace($t-b-term-actual, $markup-pattern-replacement, 'ic'), '''.')   else concat(' According to the ''', $v-tsnomed-version-b, ''' version of AMT v3 the correct value for the preferred term is ''',   dh:XQueryRecursiveReplace($t-b-term-actual, $markup-pattern-replacement, 'ic'), '''.') " /><xsl:text />'

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not($tcode-b = '') and $tname-b-invalid and (not($t-vers-b-old) or $tcode-b-pterm-date-est) and    (not($thist-b-vers-found) or ($thist-b-vers-found and $thist-b-last-old)) and $tr-b-old-ts-version">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not($tcode-b = '') and $tname-b-invalid and (not($t-vers-b-old) or $tcode-b-pterm-date-est) and (not($thist-b-vers-found) or ($thist-b-vers-found and $thist-b-last-old)) and $tr-b-old-ts-version">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Vaccine Administration Entry - Vaccine Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> has translation <xsl:text /><xsl:value-of select="iq:display-CD($snomed-trans-b)" /><xsl:text />.
		The value of the translation code displayName attribute may not meet the requirement that it be the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 3.5 of the Australian Childhood Immunisation Register Structured Content Specification v1.1.1.) According to the '<xsl:text /><xsl:value-of select="$ts-tsnomed-version-b" /><xsl:text />' version of SNOMED CT-AU the correct value for the preferred term is
		'<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($t-b-term-actual, $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		However that version of SNOMED CT-AU in the Terminology Server was published on the <xsl:text /><xsl:value-of select="iq:display-date(substring-after($ts-tsnomed-version-b, '/version/'))" /><xsl:text />
		which is <xsl:text /><xsl:value-of select="$tr-b-date-diff" /><xsl:text /> before the <xsl:text /><xsl:value-of select="if ($snomed-trans-b/@codeSystemVersion and matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1))    then 'value of the translation codeSystemVersion attribute' else concat('date the ', $document-name, ' was created')" /><xsl:text /> which is <xsl:text /><xsl:value-of select="iq:display-date($creation-date)" /><xsl:text />.
		Use a more recently published version of SNOMED CT-AU to confirm if the value of the displayName attribute is the preferred term for the translation code.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M45" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M45" />
  <xsl:template match="@*|node()" priority="-2" mode="M45">
    <xsl:apply-templates select="@*|*" mode="M45" />
  </xsl:template>
  <!--PATTERN p-TS-ACIR-CodeableText-6-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16658' = $doc-sections]/cda:component/cda:structuredBody/cda:component//         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16658']]/cda:entry/         cda:substanceAdministration[not(cda:statusCode/@code) or lower-case(cda:statusCode/@code)='active']/         cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/         ext:asIngredient/ext:ingredientManufacturedMaterial/ext:code " priority="1000" mode="M46">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16658' = $doc-sections]/cda:component/cda:structuredBody/cda:component//         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16658']]/cda:entry/         cda:substanceAdministration[not(cda:statusCode/@code) or lower-case(cda:statusCode/@code)='active']/         cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/         ext:asIngredient/ext:ingredientManufacturedMaterial/ext:code " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Vaccine Administration Entry - Medicare Antigen Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and true() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and true() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Vaccine Administration Entry - Medicare Antigen Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Vaccine Administration Entry - Medicare Antigen Code',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Administration Entry - Medicare Antigen Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Administration Entry - Medicare Antigen Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'allowed' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'allowed' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Administration Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Vaccine Administration Entry - Medicare Antigen Code however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Vaccine Administration Entry - Medicare Antigen Code in the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'allowed' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'allowed' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Administration Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Vaccine Administration Entry - Medicare Antigen Code however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Vaccine Administration Entry - Medicare Antigen Code in the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Vaccine Administration Entry - Medicare Antigen Code data element must have a value that is consistent with this definition. Alternatively if there is no Vaccine Administration Entry - Medicare Antigen Code data element with a proper value then an exclusion
		statement must be included to state why there is no Vaccine Administration Entry - Medicare Antigen Code.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'allowed' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'allowed' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Administration Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Vaccine Administration Entry - Medicare Antigen Code however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Vaccine Administration Entry - Medicare Antigen Code in the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'allowed' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'allowed' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Administration Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Vaccine Administration Entry - Medicare Antigen Code however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Vaccine Administration Entry - Medicare Antigen Code in the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Vaccine Administration Entry - Medicare Antigen Code data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'allowed' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'allowed' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Administration Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Vaccine Administration Entry - Medicare Antigen Code however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Vaccine Administration Entry - Medicare Antigen Code in the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Vaccine Administration Entry - Medicare Antigen Code data element must have a value that is consistent with this definition. Alternatively if there is no Vaccine Administration Entry - Medicare Antigen Code data element with a proper value then an exclusion
		statement must be included to state why there is no Vaccine Administration Entry - Medicare Antigen Code.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'allowed' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'allowed' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Administration Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Vaccine Administration Entry - Medicare Antigen Code however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Vaccine Administration Entry - Medicare Antigen Code in the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Vaccine Administration Entry - Medicare Antigen Code data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Vaccine Administration Entry - Medicare Antigen Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Administration Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Administration Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Administration Entry - Medicare Antigen Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Administration Entry - Medicare Antigen Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Administration Entry - Medicare Antigen Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Administration Entry - Medicare Antigen Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Administration Entry - Medicare Antigen Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Administration Entry - Medicare Antigen Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Vaccine Administration Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Administration Entry - Medicare Antigen Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Vaccine Administration Entry - Medicare Antigen Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Vaccine Administration Entry - Medicare Antigen Code.
		(See the definition of Vaccine Administration Entry - Medicare Antigen Code in the Australian Childhood Immunisation Register Structured Content Specification v1.1.1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Vaccine Administration Entry - Medicare Antigen Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M46" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M46" />
  <xsl:template match="@*|node()" priority="-2" mode="M46">
    <xsl:apply-templates select="@*|*" mode="M46" />
  </xsl:template>
  <!--PATTERN p-TS-ACIR-CodeableText-7-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16658' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16658']]/cda:entry/        cda:substanceAdministration[not(cda:statusCode/@code) or lower-case(cda:statusCode/@code)='active']/        cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/        ext:asIngredient/ext:ingredientManufacturedMaterial/ext:code[(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]        [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or          ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M47">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16658' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16658']]/cda:entry/        cda:substanceAdministration[not(cda:statusCode/@code) or lower-case(cda:statusCode/@code)='active']/        cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/        ext:asIngredient/ext:ingredientManufacturedMaterial/ext:code[(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]        [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or          ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Vaccine Administration Entry - Medicare Antigen Code '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Vaccine Administration Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Vaccine Administration Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Vaccine Administration Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Administration Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Vaccine Administration Entry - Medicare Antigen Code has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Vaccine Administration Entry - Medicare Antigen Code data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Administration Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Vaccine Administration Entry - Medicare Antigen Code data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Administration Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Vaccine Administration Entry - Medicare Antigen Code data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Administration Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Vaccine Administration Entry - Medicare Antigen Code data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Vaccine Administration Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Vaccine Administration Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Vaccine Administration Entry - Medicare Antigen Code data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Vaccine Administration Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Vaccine Administration Entry - Medicare Antigen Code data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Administration Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Administration Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Vaccine Administration Entry - Medicare Antigen Code data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Administration Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Vaccine Administration Entry - Medicare Antigen Code data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Administration Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Administration Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M47" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M47" />
  <xsl:template match="@*|node()" priority="-2" mode="M47">
    <xsl:apply-templates select="@*|*" mode="M47" />
  </xsl:template>
  <!--PATTERN p-TS-ACIR-CodeableText-8-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16658' = $doc-sections]/cda:component/cda:structuredBody/cda:component//         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16658']]/cda:entry/         cda:substanceAdministration[lower-case(cda:statusCode/@code)='cancelled']/         cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code " priority="1000" mode="M48">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16658' = $doc-sections]/cda:component/cda:structuredBody/cda:component//         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16658']]/cda:entry/         cda:substanceAdministration[lower-case(cda:statusCode/@code)='cancelled']/         cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="family-err" select="cda:originalText and matches(cda:originalText, $family-regex, 'i')" />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; 200" />
    <xsl:variable name="nullFlavor-values" select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Vaccine Cancellation Entry - Vaccine Name',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		which is derived from the HL7 'CD' data type however  the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'allowed' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'allowed' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Vaccine Cancellation Entry - Vaccine Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText should not be included.
		(See the definition of Vaccine Cancellation Entry - Vaccine Name in the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'allowed' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'allowed' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Vaccine Cancellation Entry - Vaccine Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Vaccine Cancellation Entry - Vaccine Name in the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Vaccine Cancellation Entry - Vaccine Name data element must have a value that is consistent with this definition. Alternatively if there is no Vaccine Cancellation Entry - Vaccine Name data element with a proper value then an exclusion
		statement must be included to state why there is no Vaccine Cancellation Entry - Vaccine Name.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'allowed' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'allowed' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Vaccine Cancellation Entry - Vaccine Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText should not be included.
		(See the definition of Vaccine Cancellation Entry - Vaccine Name in the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'allowed' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'allowed' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Vaccine Cancellation Entry - Vaccine Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Vaccine Cancellation Entry - Vaccine Name in the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'allowed' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'allowed' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Vaccine Cancellation Entry - Vaccine Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Vaccine Cancellation Entry - Vaccine Name in the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Vaccine Cancellation Entry - Vaccine Name data element must have a value that is consistent with this definition. Alternatively if there is no Vaccine Cancellation Entry - Vaccine Name data element with a proper value then an exclusion
		statement must be included to state why there is no Vaccine Cancellation Entry - Vaccine Name.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'allowed' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'allowed' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Vaccine Cancellation Entry - Vaccine Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Vaccine Cancellation Entry - Vaccine Name in the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Vaccine Cancellation Entry - Vaccine Name data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value
		(if a nullFlavor attribute is permitted for this data element). (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present and is not expected
		for the CodeableText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present and is not expected
		for the CodeableText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(.) != 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. As a translation element cannot have an originalText
		then a displayName must be present. (See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value which is not correct to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value
		which is not a correct value to use in this case. The nullFlavor attribute indicates the Vaccine Cancellation Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a value of nullFlavor 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information provided.
		Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Vaccine Cancellation Entry - Vaccine Name.
		(See the definition of Vaccine Cancellation Entry - Vaccine Name in the Australian Childhood Immunisation Register Structured Content Specification v1.1.1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M48" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M48" />
  <xsl:template match="@*|node()" priority="-2" mode="M48">
    <xsl:apply-templates select="@*|*" mode="M48" />
  </xsl:template>
  <!--PATTERN p-TS-ACIR-CodeableText-9-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '101.16658' = $doc-sections]/cda:component/cda:structuredBody/cda:component//         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16658']]/cda:entry/         cda:substanceAdministration[lower-case(cda:statusCode/@code)='cancelled']/         cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code         [@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " priority="1000" mode="M49">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '101.16658' = $doc-sections]/cda:component/cda:structuredBody/cda:component//         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16658']]/cda:entry/         cda:substanceAdministration[lower-case(cda:statusCode/@code)='cancelled']/         cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code         [@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="pnullFlavor" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @nullFlavor) then @nullFlavor else '' " />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-p-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then false()        else if ($psnomed-id = 'amtv3' and @codeSystemVersion) then exists($v-amtv3[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($psnomed-id = 'snomedctau' and @codeSystemVersion) then exists($v-snomedctau[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false() " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and $pcode != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used to assess the primary code.') " />
    <xsl:variable name="pcode-refsets-1" select="if (@codeSystem = '2.16.840.1.113883.6.96' and not($pcode = ''))         then dh:FindValueDomainsForCode($pcode, '2.16.840.1.113883.6.96', $v-psnomed-version) else 'no-code' " />
    <xsl:variable name="pcode-found" select="not($pcode-refsets-1 = 'no-code' or $pcode-refsets-1 = 'CodeNotFound' or $pcode-refsets-1 = 'Error'        or contains($pcode-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="pcode-refsets" select="if ($pcode-found) then distinct-values(tokenize($pcode-refsets-1, '\|')) else () " />
    <xsl:variable name="pcode-special-proc" select="count($pcode-refsets) = 1 and 'Procedure Foundation (PF)' = $pcode-refsets and not($pnullFlavor = 'OTH') " />
    <xsl:variable name="pcode-refsets-msg" select="if (count($pcode-refsets) = 0) then ''         else if (count($pcode-refsets) = 1) then concat('The code is a member of the ', $pcode-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($pcode-refsets, ', '), '.') " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))         else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-1" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="snomed-trans-2" select="distinct-values(for $i in (1 to count($snomed-trans-1)) return $snomed-trans-1[$i]/@code) " />
    <xsl:variable name="snomed-trans-a" select="$snomed-trans-1[1] " />
    <xsl:variable name="tcode-a" select="if (exists($snomed-trans-a) and matches($snomed-trans-a/@code, $snomed-code-regex)) then $snomed-trans-a/@code else '' " />
    <xsl:variable name="tnullFlavor-a" select="if (exists($snomed-trans-a) and $snomed-trans-a/@nullFlavor) then $snomed-trans-a/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-a" select="if (not(exists($snomed-trans-a))) then 'not-snomed'        else if (not($snomed-trans-a/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-a/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-a" select="if (not(exists($snomed-trans-a))) then ''        else if ($tsnomed-id-a = 'amtv3' and exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-a = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-a/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-a" select="if (not(exists($snomed-trans-a))) then false()        else if ($tsnomed-id-a = 'amtv3' and $snomed-trans-a/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-a = 'snomedctau' and $snomed-trans-a/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-a-msg" select="if (not(exists($snomed-trans-a))) then ''        else if (not($snomed-trans-a/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-a, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-a = 'amtv3') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-a = 'snomedctau') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-a/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-a, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-a/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-a-refsets-1" select="if (exists($snomed-trans-a) and not($tcode-a = ''))         then dh:FindValueDomainsForCode($tcode-a, '2.16.840.1.113883.6.96', $v-tsnomed-version-a) else 'no-code' " />
    <xsl:variable name="tcode-a-found" select="not($tcode-a-refsets-1 = 'no-code' or $tcode-a-refsets-1 = 'CodeNotFound' or $tcode-a-refsets-1 = 'Error'         or contains($tcode-a-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-a-refsets" select="if ($tcode-a-found) then distinct-values(tokenize($tcode-a-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-a-special-proc" select="count($tcode-a-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-a-refsets and not($tnullFlavor-a = 'OTH') " />
    <xsl:variable name="tcode-a-refsets-msg" select="if (count($tcode-a-refsets) = 0) then ''         else if (count($tcode-a-refsets) = 1) then concat('The code is a member of the ', $tcode-a-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-a-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@code and $snomed-trans-a/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-a/@displayName, codepoints-to-string(34))         else if ($snomed-trans-a/@code and not($snomed-trans-a/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@codeSystem and $snomed-trans-a/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-a/@codeSystemName, ')')         else if ($snomed-trans-a/@codeSystem and not($snomed-trans-a/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-b" select="(for $i in (2 to count($snomed-trans-1)) return if ($snomed-trans-1[$i]/@code != $snomed-trans-a/@code) then $snomed-trans-1[$i] else ())[1] " />
    <xsl:variable name="tcode-b" select="if (exists($snomed-trans-b) and matches($snomed-trans-b/@code, $snomed-code-regex)) then $snomed-trans-b/@code else '' " />
    <xsl:variable name="tnullFlavor-b" select="if (exists($snomed-trans-b) and $snomed-trans-b/@nullFlavor) then $snomed-trans-b/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-b" select="if (not(exists($snomed-trans-b))) then 'not-snomed'        else if (not($snomed-trans-b/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-b/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-b" select="if (not(exists($snomed-trans-b))) then ''        else if ($tsnomed-id-b = 'amtv3' and exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-b = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-b/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-b" select="if (not(exists($snomed-trans-b))) then false()        else if ($tsnomed-id-b = 'amtv3' and $snomed-trans-b/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-b = 'snomedctau' and $snomed-trans-b/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-b-msg" select="if (not(exists($snomed-trans-b))) then ''        else if (not($snomed-trans-b/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-b, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-b = 'amtv3') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-b = 'snomedctau') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-b/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-b, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-b/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-b-refsets-1" select="if (exists($snomed-trans-b) and not($tcode-b = ''))         then dh:FindValueDomainsForCode($tcode-b, '2.16.840.1.113883.6.96', $v-tsnomed-version-b) else 'no-code' " />
    <xsl:variable name="tcode-b-found" select="not($tcode-b-refsets-1 = 'no-code' or $tcode-b-refsets-1 = 'CodeNotFound' or $tcode-b-refsets-1 = 'Error'         or contains($tcode-b-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-b-refsets" select="if ($tcode-b-found) then distinct-values(tokenize($tcode-b-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-b-special-proc" select="count($tcode-b-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-b-refsets and not($tnullFlavor-b = 'OTH') " />
    <xsl:variable name="tcode-b-refsets-msg" select="if (count($tcode-b-refsets) = 0) then ''         else if (count($tcode-b-refsets) = 1) then concat('The code is a member of the ', $tcode-b-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-b-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@code and $snomed-trans-b/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-b/@displayName, codepoints-to-string(34))         else if ($snomed-trans-b/@code and not($snomed-trans-b/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@codeSystem and $snomed-trans-b/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-b/@codeSystemName, ')')         else if ($snomed-trans-b/@codeSystem and not($snomed-trans-b/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-60" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-60 else $rating-alt-TC-Types-60 " />
    <!--REPORT -->
    <xsl:if test=" $pcode-found and $pcode-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pcode-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD (p-TS-CD-SCT-RefSet): An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$pcode" /><xsl:text />',
		codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-psnomed-version" /><xsl:text />'. This error occurred when assessing the Vaccine Cancellation Entry - Vaccine Name data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. The value is not valid for the data element as it describes a medical
		procedure and not a medical problem or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered for, administered to or used by the consumer. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.         (See section 4.5 of the Australian Childhood Immunisation Register Structured Content Specification v1.0.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the code is not a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102),         Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the         Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Vaccine Cancellation (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102),         Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the         Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Vaccine Cancellation (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102),         Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the         Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Vaccine Cancellation (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. Confirm if the code is a member of the value domain.
		If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102),         Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the         Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Vaccine Cancellation (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="count($snomed-trans-1)" /><xsl:text /> translation elements with
		codes and the SNOMED CT-AU codeSystem '2.16.840.1.113883.6.96'. The first two translation elements have been assessed to determine if the codes are members of the value domain
		and the others have not been assessed. Confirm if the value of the code attribute in all SNOMED CT translation elements meets the requirement that it be a member of the value domain
		if there is no nullFlavor 'OTH' or that there is a nullFlavor 'OTH' if the value of the code attribute is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102),         Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the         Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text /> 
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Vaccine Cancellation (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-a" /><xsl:text />'. This error occurred when assessing the Vaccine Cancellation Entry - Vaccine Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered for, administered to or used by the consumer. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.         (See section 4.5 of the Australian Childhood Immunisation Register Structured Content Specification v1.0.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102),         Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the         Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Vaccine Cancellation (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102),         Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the         Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Vaccine Cancellation (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102),         Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the         Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Vaccine Cancellation (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102),         Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the         Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Vaccine Cancellation (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-b" /><xsl:text />'. This error occurred when assessing the Vaccine Cancellation Entry - Vaccine Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> 
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered for, administered to or used by the consumer. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.         (See section 4.5 of the Australian Childhood Immunisation Register Structured Content Specification v1.0.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102),         Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the         Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Vaccine Cancellation (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102),         Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the         Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Vaccine Cancellation (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102),         Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the         Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Vaccine Cancellation (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102),         Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the         Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Vaccine Cancellation (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M49" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M49" />
  <xsl:template match="@*|node()" priority="-2" mode="M49">
    <xsl:apply-templates select="@*|*" mode="M49" />
  </xsl:template>
  <!--PATTERN p-TS-ACIR-CodeableText-10-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '101.16658' = $doc-sections]/cda:component/cda:structuredBody/cda:component//         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16658']]/cda:entry/         cda:substanceAdministration[lower-case(cda:statusCode/@code)='cancelled']/         cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code         [(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-immun-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])]   [not(@nullFlavor = $no-value-NF)] " priority="1000" mode="M50">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '101.16658' = $doc-sections]/cda:component/cda:structuredBody/cda:component//         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16658']]/cda:entry/         cda:substanceAdministration[lower-case(cda:statusCode/@code)='cancelled']/         cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code         [(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-immun-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])]   [not(@nullFlavor = $no-value-NF)] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="snomed-trans" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="tcode" select="if (exists($snomed-trans[1]) and matches($snomed-trans[1]/@code, $snomed-code-regex)) then $snomed-trans[1]/@code else '' " />
    <xsl:variable name="code-present" select="$pcode != '' or $tcode != '' " />
    <xsl:variable name="invalid-code-system" select="@code and @displayName and @codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="codesystemvalues" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']" />
    <xsl:variable name="otext-without-markup" select="if (cda:originalText and cda:originalText != '') then normalize-space(replace(cda:originalText, $markup-regex, ' ')) else '' " />
    <xsl:variable name="pdname" select="if (@displayName and not($invalid-code-system)) then normalize-space(@displayName) else '' " />
    <xsl:variable name="is-immun" select="exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='101.16638' or @code = '101.16658' or @code = '101.17039')]]) " />
    <xsl:variable name="is-pd" select="exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code = '102.16210' or @code='102.16211' or @code='101.16795')]]) " />
    <xsl:variable name="is-shs-meds" select="$templateId-root = '1.2.36.1.2001.1001.101.100.1002.120' and          exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]) " />
    <xsl:variable name="is-meds" select="exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code = '101.16146.4.1.1' or @code = '101.16146.4.1.2' or @code='101.16146')]]) " />
    <xsl:variable name="max-code-number" select="if ($knowledge/search-for-term/max-sct-code-number/@value &gt; '5') then $knowledge/search-for-term/max-sct-code-number/@value else '5' " />
    <xsl:variable name="der-text-1" select="if ($code-present) then ''         else if ($otext-without-markup != '') then $otext-without-markup        else if ($pdname != '') then $pdname        else '' " />
    <xsl:variable name="family-err" select="matches($der-text-1, $family-regex, 'is')" />
    <xsl:variable name="der-truncated-text-1" select="normalize-space(replace(replace($der-text-1, $unicode-br-truncation-regex, '$1', 'is'), $tgi-truncation-regex, '$1', 'is')) " />
    <xsl:variable name="length-err" select="string-length($der-truncated-text-1) &gt; $length-err-max" />
    <xsl:variable name="prose-err-1" select="$length-err and cda:originalText and (        matches(cda:originalText, $ulist-regex)           or         matches(cda:originalText, $alt-ulist-1a-regex, 'is')         or         matches(cda:originalText, $alt-ulist-1b-regex, 'is')         )" />
    <xsl:variable name="prose-err" select="$prose-err-1 or (cda:originalText and (         matches(cda:originalText, $alt-ulist-2-regex, 'is')         or        matches(cda:originalText, $olist-arabic-regex, 'is')         or         matches(cda:originalText, $olist-alpha-regex, 'is')         or         matches(cda:originalText, $olist-roman-regex, 'is')         or        matches(replace(cda:originalText, $new-line-regex, codepoints-to-string((10)), 'is'), $para-regex, 'is') or        matches(cda:originalText, codepoints-to-string((8233)), 'is')        or               (cda:originalText and matches(cda:originalText, $invalid-concept-regex, 'is'))     or        ($length-err and matches(cda:originalText, '\.\s*$', 's') and matches(cda:originalText, $multi-sentence-regex, 's')) ))" />
    <xsl:variable name="avoid-ts" select="$family-err or $length-err or $prose-err or not($use-ts-for-sctau) " />
    <xsl:variable name="der-text-2a" select="if ($der-truncated-text-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-truncated-text-1, $tgi-fir-pattern-replacement, 'ic')) " />
    <xsl:variable name="der-text-2" select="if ($der-text-2a = '') then $der-text-1 else $der-text-2a " />
    <xsl:variable name="der-text-a" select="if ($der-text-2 = '' or $tgi-regex = '') then $der-text-2 else normalize-space(dh:XQueryRecursiveReplace($der-text-2, $tgi-regex, 'ic')) " />
    <xsl:variable name="der-text" select="if ($der-text-a = '') then $der-text-2 else $der-text-a " />
    <xsl:variable name="defn-valid-regex" select="concat('(^|\|)', translate($der-text-2, $chars-to-remove, ''), '(\||$)') " />
    <xsl:variable name="der-text-to-match-1" select="lower-case($der-text-2) " />
    <xsl:variable name="der-text-to-match" select="translate($der-text-to-match-1, $chars-to-remove, '') " />
    <xsl:variable name="tgi-non-value-regex" select="if ($is-immun)          then $cd-definitions/immun/@non-value-regex         else if ($is-pd)       then $cd-definitions/pd/@non-value-regex        else if ($is-shs-meds) then $cd-definitions/shs-meds/@non-value-regex        else if ($is-meds)     then $cd-definitions/meds/@non-value-regex        else '' " />
    <xsl:variable name="der-text-non-value" select="if ($code-present or @nullFlavor = $no-value-NF) then false() else         $der-text-to-match = ''             or         not(matches($der-text-to-match-1, '[a-z]', 'is'))         or        ($cd-definitions/non-value/@regex != '' and matches($der-text-to-match-1, $cd-definitions/non-value/@regex, 'is')) or        ($tgi-non-value-regex != '' and matches($der-text-to-match-1, $tgi-non-value-regex, 'is'))    " />
    <xsl:variable name="tgi-invalid-regex" select="if ($is-immun)          then $cd-definitions/immun/@invalid-regex         else if ($is-pd)       then $cd-definitions/pd/@invalid-regex        else if ($is-shs-meds) then $cd-definitions/shs-meds/@invalid-regex        else if ($is-meds)     then $cd-definitions/meds/@invalid-regex        else '' " />
    <xsl:variable name="defn-invalid-regex" select="if ($code-present or $der-text-non-value) then ()        else if ($tgi-invalid-regex != '') then tokenize($tgi-invalid-regex, '~')[. != '']         else () " />
    <xsl:variable name="defn-invalid-txt-regex" select="(for $i in (1 to count($defn-invalid-regex)) return normalize-space(substring-before($defn-invalid-regex[$i], '[[')))[. != '']" />
    <xsl:variable name="der-invalid-text-regex-1" select="if (exists($defn-invalid-txt-regex))        then index-of(for $i in (1 to count($defn-invalid-txt-regex)) return matches($der-text-2, $defn-invalid-txt-regex[$i], 'is'), true())        else () " />
    <xsl:variable name="der-invalid-text" select="exists($der-invalid-text-regex-1) " />
    <xsl:variable name="defn-invalid-rsn" select="if ($der-invalid-text)         then normalize-space(substring-before(substring-after($defn-invalid-regex[$der-invalid-text-regex-1[1]], '[['), ']]'))         else '' " />
    <xsl:variable name="trusted-code-systems" select="if ($der-text = '' or $der-invalid-text or not(@codeSystem or cda:translation/@codeSystem)) then ()        else if ($is-immun)          then (tokenize(replace($cd-definitions/immun/@core, '\s+', ''), '\|'),           tokenize(replace($cd-definitions/immun/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-pd)          then (tokenize(replace($cd-definitions/pd/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/pd/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-shs-meds)          then (tokenize(replace($cd-definitions/shs-meds/@core, '\s+', ''), '\|'),          tokenize(replace($cd-definitions/shs-meds/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-meds)          then (tokenize(replace($cd-definitions/meds/@core, '\s+', ''), '\|'),           tokenize(replace($cd-definitions/meds/@extra, '\s+', ''), '\|'))[. != '']         else () " />
    <xsl:variable name="der-trusted-text" select="if ($der-text = '' or $der-invalid-text or (@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex)))) then false()        else ((@codeSystem and exists($trusted-code-systems[. = current()/@codeSystem])) or               (cda:translation/@codeSystem and exists($trusted-code-systems[. = current()/cda:translation/@codeSystem]))) " />
    <xsl:variable name="a-vaccine-1" select="not($code-present or $der-text-non-value or $der-invalid-text) and exists($vaccine-text-normalised) and $der-text-to-match = $vaccine-text-normalised" />
    <xsl:variable name="a-sas-tgi-1" select="not($code-present or $der-text-non-value or $der-invalid-text or $a-vaccine-1) and $tgi-sas-regex != '' and matches($der-text, $tgi-sas-regex, 'is')" />
    <xsl:variable name="an-uncoded-tgi-1" select="not($code-present or $der-text-non-value or $der-invalid-text or $a-vaccine-1 or $a-sas-tgi-1) and $tgi-otheru-regex != '' and         matches($der-text, $tgi-otheru-regex, 'is')" />
    <xsl:variable name="obsolete-tgi-info-1" select="if ($is-immun or $code-present or $der-text-non-value or $der-invalid-text or $a-vaccine-1 or $a-sas-tgi-1 or $an-uncoded-tgi-1 or         not(exists($knowledge/special-tgi/obsolete))) then ()        else $knowledge/special-tgi/obsolete[matches($der-text, concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')] " />
    <xsl:variable name="an-obsolete-tgi-1" select="exists($obsolete-tgi-info-1)" />
    <xsl:variable name="tgi-valid-regex-1" select="if ($code-present or $der-text-non-value or $der-invalid-text or $der-text = '' or $a-vaccine-1 or $a-sas-tgi-1 or $an-uncoded-tgi-1 or          $an-obsolete-tgi-1) then ''        else if ($is-immun)    then $cd-definitions/immun/@valid-regex        else if ($is-pd)       then $cd-definitions/pd/@valid-regex        else if ($is-shs-meds) then $cd-definitions/shs-meds/@valid-regex        else if ($is-meds)     then $cd-definitions/meds/@valid-regex        else '' " />
    <xsl:variable name="valid-tgi-1" select="if ($a-vaccine-1 or $a-sas-tgi-1 or $an-uncoded-tgi-1 or $an-obsolete-tgi-1) then true()         else if ($tgi-valid-regex-1 = '') then false()        else exists(index-of(for $regex in (tokenize($tgi-valid-regex-1, '~')[. != '']) return          matches($der-text-2, dh:XQueryRecursiveReplace(normalize-space($regex), ' \|~|~\| ~|', ''), 'is'), true())) " />
    <xsl:variable name="invalid-hierarchy-1" select="if (exists($cd-definitions/meds/meds-invalid/hierarchy))         then string-join(for $hierarchy in $cd-definitions/meds/meds-invalid/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-refset" select="if (exists($cd-definitions/meds/meds-invalid/refset))          then string-join(for $refset in $cd-definitions/meds/meds-invalid/refset return concat('^', $refset/@code), ' OR ')         else '' " />
    <xsl:variable name="valid-refset" select="concat($tgi-formula, ' OR &lt;763158003') " />
    <xsl:variable name="valid-domain" select="if ($invalid-refset != '' and $invalid-hierarchy-1 != '')         then concat('((', $valid-refset, ') MINUS (', $invalid-refset, ' OR (', $invalid-hierarchy-1, ')))')        else if ($invalid-refset = '' and $invalid-hierarchy-1 != '') then concat('((', $valid-refset, ') MINUS (', $invalid-hierarchy-1, '))')         else if ($invalid-refset != '' and $invalid-hierarchy-1 = '') then concat('((', $valid-refset, ') MINUS (', $invalid-refset, '))')        else concat('(', $valid-refset, ')') " />
    <xsl:variable name="related-terms-1" select="if ($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-1) then ()        else ($codesystemvalues/code[@related-terms], $codesystemvalues/related-terms[@related-terms]) " />
    <xsl:variable name="related-terms-2" select="for $i in index-of(        for $concept in $related-terms-1 return matches(translate($concept/@related-terms, $chars-no-pipe, ''), $defn-valid-regex, 'is'), true())         return $related-terms-1[$i]/@code " />
    <xsl:variable name="der-tgi-codes-1" select="if (exists($related-terms-2)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($related-terms-2, ' OR '), ') AND ', $valid-domain), '', string(count($related-terms-2)), false())        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $der-tgi-codes-1 " />
    <xsl:variable name="der-valid-codes-1" select="if (contains($der-tgi-codes-1, '[')) then $der-tgi-codes-1 else '' " />
    <xsl:variable name="valid-tgi-2" select="$valid-tgi-1 or $der-valid-codes-1 != '' " />
    <xsl:variable name="tgi-inactive-refSets" select="if (exists($cd-definitions/tgi/tgi-invalid/inactive-refset))         then concat('((', $inactive-refSets, ') MINUS (',           string-join(for $refset in $cd-definitions/tgi/tgi-invalid/inactive-refset return concat('^', $refset/@code), ' OR '),          '))')         else $inactive-refSets " />
    <xsl:variable name="formula" select="concat($valid-domain, ' OR ', $tgi-inactive-refSets) " />
    <xsl:variable name="ts-not-needed" select="$der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-2 or $avoid-ts " />
    <xsl:variable name="der-tgi-codes-2-a" select="if ($ts-not-needed or exists($related-terms-2)) then ()         else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-text,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2-a" select="$error-usingTS-1 or 'Error' = $der-tgi-codes-2-a " />
    <xsl:variable name="revision-pattern-1" select="if ($ts-not-needed or $valid-tgi-2 or exists($der-tgi-codes-2-a) or $error-usingTS-2-a or exists($related-terms-2)) then ''        else $tgi-sec-pattern-replacement " />
    <xsl:variable name="der-revised-text-1" select="if ($revision-pattern-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-text, $revision-pattern-1, 'ic')) " />
    <xsl:variable name="use-revised-text-1" select="$der-revised-text-1 != '' and $der-revised-text-1 != $der-text " />
    <xsl:variable name="obsolete-tgi-info-2" select="if (exists($der-tgi-codes-2-a)) then ()        else if ($an-obsolete-tgi-1) then $obsolete-tgi-info-1        else if ($use-revised-text-1) then $knowledge/special-tgi/obsolete[matches($der-revised-text-1, concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')]        else () " />
    <xsl:variable name="an-obsolete-tgi-2" select="exists($obsolete-tgi-info-2)" />
    <xsl:variable name="der-tgi-codes-2-b" select="if ($an-obsolete-tgi-2) then ()        else if ($ts-not-needed or exists($der-tgi-codes-2-a) or not($use-revised-text-1)) then $der-tgi-codes-2-a         else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-1,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2-b" select="$error-usingTS-2-a or 'Error' = $der-tgi-codes-2-b " />
    <xsl:variable name="revision-pattern-2" select="if ($ts-not-needed or $valid-tgi-2 or exists($der-tgi-codes-2-b) or $error-usingTS-2-b or exists($related-terms-2)) then ''        else $tgi-thi-pattern-replacement " />
    <xsl:variable name="der-revised-text-2" select="if ($revision-pattern-2 = '') then '' else normalize-space(dh:XQueryRecursiveReplace(         if ($use-revised-text-1) then $der-revised-text-1 else $der-text, $revision-pattern-2, 'ic')) " />
    <xsl:variable name="use-revised-text-2" select="if ($use-revised-text-1) then $der-revised-text-2 != '' and $der-revised-text-2 != $der-revised-text-1         else $der-revised-text-2 != '' and $der-revised-text-2 != $der-text " />
    <xsl:variable name="obsolete-tgi-info-3" select="if (exists($der-tgi-codes-2-b)) then ()        else if ($an-obsolete-tgi-2) then $obsolete-tgi-info-2        else if ($use-revised-text-2) then $knowledge/special-tgi/obsolete[matches($der-revised-text-2, concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')]        else () " />
    <xsl:variable name="an-obsolete-tgi-3" select="exists($obsolete-tgi-info-3)" />
    <xsl:variable name="der-tgi-codes-2-c" select="if ($an-obsolete-tgi-3) then ()        else if ($ts-not-needed or exists($der-tgi-codes-2-b) or not($use-revised-text-2)) then $der-tgi-codes-2-b        else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-2,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2-c" select="$error-usingTS-2-b or 'Error' = $der-tgi-codes-2-c " />
    <xsl:variable name="der-tgi-codes-2-d" select="if ($an-obsolete-tgi-3 or $ts-not-needed or exists($der-tgi-codes-2-c)) then $der-tgi-codes-2-c        else iq:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula,          if ($der-revised-text-2 != '') then $der-revised-text-2          else if ($der-revised-text-1 != '') then $der-revised-text-1          else $der-text, 'default') " />
    <xsl:variable name="error-usingTS-2-d" select="$error-usingTS-2-c or 'Error' = $der-tgi-codes-2-d " />
    <xsl:variable name="der-tgi-codes-2" select="$der-tgi-codes-2-d " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-2-d " />
    <xsl:variable name="der-valid-codes-2" select="if ($der-valid-codes-1 != '') then $der-valid-codes-1        else if ($error-usingTS-2) then ''         else string-join((for $code in $der-tgi-codes-2 return if (contains($code, '~inactive')) then '' else $code)[. != ''], '|')  " />
    <xsl:variable name="valid-tgi-3" select="$valid-tgi-2 or $der-valid-codes-2 != '' " />
    <xsl:variable name="der-inactive-codes-1" select="if ($valid-tgi-3) then () else        for $code in $der-tgi-codes-2 return if (contains($code, '~inactive')) then replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is') else '' " />
    <xsl:variable name="der-inactive-codes-2" select="for $i in (1 to count($der-inactive-codes-1)) return         dh:IsCodeAssociatedWithAnotherCode($der-inactive-codes-1[$i], '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-1" select="'Error' = $der-inactive-codes-2 " />
    <xsl:variable name="der-NAF-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-NAF-active-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound~active')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-inactive-codes-3" select="tokenize(string-join(for $i in (1 to count($der-inactive-codes-1)) return replace(string-join(tokenize($der-inactive-codes-2[$i], '\|')        [matches(., '(REPLACED BY|SAME AS|ALTERNATIVE|POSSIBLY EQUIVALENT TO|MAY BE A|WAS A)')], '|'), '[0-9]+~[A-Z ]+~([0-9]+)', '$1'), '|'), '\|')        [. != ''] " />
    <xsl:variable name="der-tgi-codes-3" select="if (exists($der-inactive-codes-3)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($der-inactive-codes-3, ' OR '), ') AND ', $valid-domain), '', string(count($der-inactive-codes-3)), false())          else '' " />
    <xsl:variable name="error-usingTS-3" select="$error-usingTS-2 or 'Error' = $der-tgi-codes-3 " />
    <xsl:variable name="der-valid-codes-3" select="if ($der-valid-codes-2 != '') then $der-valid-codes-2        else if (contains($der-tgi-codes-3, '[')) then $der-tgi-codes-3        else '' " />
    <xsl:variable name="valid-tgi-4" select="$valid-tgi-3 or $der-valid-codes-3 != '' " />
    <xsl:variable name="tbd-hierarchy" select="if (exists($cd-definitions/meds/meds-tbd/hierarchy))         then string-join(for $hierarchy in $cd-definitions/meds/meds-tbd/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-hierarchy" select="if ($invalid-hierarchy-1 != '' and $tbd-hierarchy != '') then concat($invalid-hierarchy-1, ' OR ', $tbd-hierarchy)        else if ($invalid-hierarchy-1 != '') then $invalid-hierarchy-1        else if ($tbd-hierarchy != '') then $tbd-hierarchy        else '' " />
    <xsl:variable name="invalid-domain" select="if ($invalid-hierarchy != '' and $invalid-refset != '') then concat($invalid-hierarchy, ' OR ', $invalid-refset)        else if ($invalid-hierarchy != '') then $invalid-hierarchy        else if ($invalid-refset != '') then $invalid-refset        else '' " />
    <xsl:variable name="filter-text" select="if ($use-revised-text-2) then $der-revised-text-2 else if ($use-revised-text-1) then $der-revised-text-1 else $der-text " />
    <xsl:variable name="der-tgi-codes-4" select="if ($ts-not-needed or $valid-tgi-4 or $invalid-domain = '') then ()        else if (exists($related-terms-2)) then $related-terms-2        else distinct-values((tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          $invalid-domain, $filter-text, $max-code-number, false()), '(\[.*?\])(\||$)', '$2'), '\|'), $der-inactive-codes-3)) " />
    <xsl:variable name="error-usingTS-4" select="$error-usingTS-3 or 'Error' = $der-tgi-codes-4 " />
    <xsl:variable name="invalid-tgi-codes-r" select="if ($ts-not-needed or $valid-tgi-4 or $error-usingTS-4 or not(exists($der-tgi-codes-4))) then ()        else if ($invalid-refset = '') then tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-tgi-codes-4, ' OR '), ') AND (', $inactive-refSets, ')'), '',           string(count($der-tgi-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')        else tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-tgi-codes-4, ' OR '), ') AND (', $invalid-refset, ' OR ', $inactive-refSets, ')'), '',           string(count($der-tgi-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')  " />
    <xsl:variable name="error-usingTS-5" select="$error-usingTS-4 or 'Error' = $invalid-tgi-codes-r " />
    <xsl:variable name="der-tgi-codes-4-h" select="if ($error-usingTS-5) then () else $der-tgi-codes-4[not(. = $invalid-tgi-codes-r)]" />
    <xsl:variable name="invalid-tgi-codes-h" select="if ($ts-not-needed or $valid-tgi-4 or 'Error' = $der-tgi-codes-4 or $meds-invalid-hierarchy = '' or not(exists($der-tgi-codes-4-h))) then ()        else (for $code in $der-tgi-codes-4-h return          if (dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;&gt;', $code, ' MINUS ', $meds-invalid-hierarchy), '', '1', false()) = '') then $code else '')[. != ''] " />
    <xsl:variable name="invalid-tgi-codes" select="($invalid-tgi-codes-h, $invalid-tgi-codes-r) " />
    <xsl:variable name="der-tgi-codes-5" select="$der-tgi-codes-4[not(. = $invalid-tgi-codes or . = 'Error')]" />
    <xsl:variable name="der-valid-codes-4" select="if ($der-valid-codes-3 != '') then $der-valid-codes-3        else if ($ts-not-needed or $valid-tgi-4 or $valid-domain = '' or not(exists($der-tgi-codes-5))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-tgi-codes-5, ' OR '), ') AND ', $valid-domain), '', string(count($der-tgi-codes-5)), false()) " />
    <xsl:variable name="error-usingTS-6" select="$error-usingTS-5 or 'Error' = $der-valid-codes-4 " />
    <xsl:variable name="valid-tgi-5" select="$valid-tgi-4 or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="der-valid-codes-seq" select="if ($error-usingTS-6) then () else tokenize(replace($der-valid-codes-4,  '(\[.*?\])(\||$)', '$2'), '\|') " />
    <xsl:variable name="undetermined-tgi-1" select="if (exists($der-valid-codes-seq)) then $der-tgi-codes-5[not(. = $der-valid-codes-seq)] else $der-tgi-codes-5 " />
    <xsl:variable name="undetermined-inactive-1" select="for $i in (1 to count($undetermined-tgi-1)) return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $undetermined-tgi-1[$i], '', '1', false()) " />
    <xsl:variable name="error-usingTS-7" select="$error-usingTS-6 or 'Error' = $undetermined-inactive-1 " />
    <xsl:variable name="undetermined-inactive" select="(for $i in (1 to count($undetermined-tgi-1)) return         if (contains($undetermined-inactive-1[$i], '~inactive')) then $undetermined-inactive-1[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-1" select="for $i in (1 to count($undetermined-inactive))        return dh:IsCodeAssociatedWithAnotherCode(replace($undetermined-inactive[$i], '(\[.*?\])(\||$)', '$2'), '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-2" select="$error-usingV-1 or 'Error' = $undetermined-NAF-1 " />
    <xsl:variable name="undetermined-NAF" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-codes" select="for $term in $undetermined-NAF return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-NAF-active" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound~active')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-active-codes" select="for $term in $undetermined-NAF-active return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-tgi" select="$undetermined-tgi-1[not(. = ($undetermined-NAF-codes, $undetermined-NAF-active-codes))]" />
    <xsl:variable name="invalid-tgi" select="not($valid-tgi-5) and exists($invalid-tgi-codes) and not(exists($undetermined-tgi))" />
    <xsl:variable name="a-sas-tgi" select="if ($a-sas-tgi-1) then true()        else if ($a-vaccine-1 or $valid-tgi-5 or $invalid-tgi or not($use-revised-text-2) or $tgi-sas-regex = '') then false()        else matches($der-revised-text-2, $tgi-sas-regex, 'is')" />
    <xsl:variable name="an-uncoded-tgi" select="if ($an-uncoded-tgi-1) then true()        else if ($a-vaccine-1 or $valid-tgi-5 or $invalid-tgi or not($use-revised-text-2) or $tgi-otheru-regex = '' or $a-sas-tgi) then false()        else matches($der-revised-text-2, $tgi-otheru-regex, 'is')" />
    <xsl:variable name="obsolete-tgi-info" select="if ($an-obsolete-tgi-3) then $obsolete-tgi-info-3        else if ($a-vaccine-1 or $valid-tgi-5 or $invalid-tgi or not($use-revised-text-2) or not(exists($knowledge/special-tgi/obsolete)) or $a-sas-tgi or          $an-uncoded-tgi) then ()        else $knowledge/special-tgi/obsolete[matches($der-revised-text-2,          concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')] " />
    <xsl:variable name="an-obsolete-tgi" select="exists($obsolete-tgi-info)" />
    <xsl:variable name="valid-tgi-6" select="$valid-tgi-5 or $a-sas-tgi or $an-uncoded-tgi or $an-obsolete-tgi " />
    <xsl:variable name="a-vaccine-2" select="if ($a-vaccine-1) then true()        else if ($valid-tgi-6 or $invalid-tgi or not(exists($vaccine-text-normalised))) then false()        else if ($der-text != '' and translate(lower-case($der-text), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else if ($use-revised-text-1 and translate(lower-case($der-revised-text-1), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else if ($use-revised-text-2 and translate(lower-case($der-revised-text-2), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else false() " />
    <xsl:variable name="vaccine-code-test" select="if (not($a-vaccine-2 or $valid-tgi-6 or $invalid-tgi or $avoid-ts) and exists($undetermined-tgi))         then tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($undetermined-tgi, ' OR '), ') AND (&lt;71181003 OR &lt;127785005)'), '',          string(count($undetermined-tgi)), false()), '\|')        else () " />
    <xsl:variable name="error-usingTS-8" select="$error-usingTS-7 or 'Error' = $vaccine-code-test " />
    <xsl:variable name="a-vaccine" select="$a-vaccine-2 or (not('Error' = $vaccine-code-test) and exists($undetermined-tgi) and count($vaccine-code-test) = count($undetermined-tgi)) " />
    <xsl:variable name="codes-with-history" select="$der-inactive-codes-2[matches(., '[0-9]')]" />
    <xsl:variable name="hist-vers" select="if (exists($codes-with-history))        then dh:FindLastUpdatedDateForCodeUsingTS(substring-before($codes-with-history[1], '~'), '2.16.840.1.113883.6.96', $ts-latest-snomedctau)       else '' " />
    <xsl:variable name="error-usingTS-9" select="$error-usingTS-8 or 'Error' = $hist-vers " />
    <xsl:variable name="hist-vers-date" select="if (matches($hist-vers, '^(CodeFoundActive|CodeFoundInactive)\|[0-9]{8}$')) then substring-after($hist-vers, '|') else '' " />
    <xsl:variable name="inactive-concept" select="count($der-tgi-codes-2) = count($der-inactive-codes-1) and not($valid-tgi-6)" />
    <xsl:variable name="der-inactive-codes-4" select="$der-inactive-codes-3[not(contains(., 'MOVED FROM') or contains(., 'WAS A'))]" />
    <xsl:variable name="obsolete-without-date" select=" ($an-obsolete-tgi and not($obsolete-tgi-info/@last-available))   or         (exists($der-inactive-codes-3) and not(exists($der-inactive-codes-4)))  or         (exists($der-inactive-codes-4) and $hist-vers-date = '')   " />
    <xsl:variable name="obsolete-date" select="if ($is-immun) then ''        else if ($hist-vers-date != '') then $hist-vers-date        else if ($an-obsolete-tgi and $obsolete-tgi-info/@last-available) then $obsolete-tgi-info/@last-available         else '' " />
    <xsl:variable name="obsolete-yr" select="substring($obsolete-date, 1, 4) " />
    <xsl:variable name="obsolete-mn-temp" select="substring($obsolete-date, 5, 2) " />
    <xsl:variable name="obsolete-mn" select="if ($obsolete-mn-temp = '') then '06' else $obsolete-mn-temp " />
    <xsl:variable name="obsolete-dy-temp" select="substring($obsolete-date, 7, 2) " />
    <xsl:variable name="obsolete-dy" select="if ($obsolete-dy-temp = '') then '15' else $obsolete-dy-temp " />
    <xsl:variable name="obsolete-xs" select="if ($obsolete-date = '') then () else xs:date(concat($obsolete-yr, '-', $obsolete-mn, '-', $obsolete-dy)) " />
    <xsl:variable name="display-obsolete-date" select="if ($obsolete-date = '') then ''        else if ($obsolete-mn-temp = '') then $obsolete-dy        else if ($obsolete-dy-temp = '') then concat($knowledge/months/month[@number = $obsolete-mn]/@abbreviation, ' ', $obsolete-yr)        else concat($obsolete-dy, ' ', $knowledge/months/month[@number = $obsolete-mn]/@abbreviation, ' ', $obsolete-yr) " />
    <xsl:variable name="obsolete-date-diff" select="if ($obsolete-date = '' or not(matches($creation-date-xs - $obsolete-xs, '^P[0-9]+D'))) then '0'        else number(substring-before(substring-after($creation-date-xs - $obsolete-xs, 'P'), 'D')) " />
    <xsl:variable name="obsolete-yrs-ago" select="$obsolete-date-diff div 365 " />
    <xsl:variable name="coding" select="if (not($flags/@assess-class = 'true') or not($use-ts-for-sctau) or not(exists($iq-config/tgi-coding))) then () else $iq-config/tgi-coding" />
    <xsl:variable name="s-classification" select="if (exists($coding/special-classification/classification)) then $coding/special-classification/classification else () " />
    <xsl:variable name="s-number" select="count($s-classification) " />
    <xsl:variable name="s-formula" select="string-join(for $class in $s-classification return $class/@code, ' OR ')" />
    <xsl:variable name="code-to-assess" select="if (not($flags/@assess-class = 'true') or not($use-ts-for-sctau)) then '' else if (exists($der-valid-codes-seq)) then $der-valid-codes-seq[1] else '' " />
    <xsl:variable name="value-domain-1" select="if ($code-to-assess = '') then '' else dh:FindValueDomainsForCode($code-to-assess, '2.16.840.1.113883.6.96', $v-current-sctau)" />
    <xsl:variable name="class-error-1" select="$value-domain-1 = 'Error' " />
    <xsl:variable name="value-domain" select="if ($class-error-1 or $value-domain-1 = ('', 'CodeNotFound')) then ''       else if (contains($value-domain-1, '|')) then substring-before($value-domain-1, '|')       else $value-domain-1 " />
    <xsl:variable name="first-pass-1" select="if ($value-domain = '') then ''        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)'))         then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat($code-to-assess, ' . 30409011000036107'), '', '1', true())        else if ($value-domain = 'Medicinal Product Pack (MPP)')         then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat($code-to-assess, ' . 30348011000036104'), '', '1', true())        else if ($value-domain = 'Trade Product (TP)') then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&lt;', $code-to-assess), '', '1', true())        else $code-to-assess " />
    <xsl:variable name="class-error-2" select="$class-error-1 or ($value-domain != '' and $first-pass-1 = ('Error', '')) " />
    <xsl:variable name="first-pass" select="if (not($class-error-2) and $first-pass-1 != '') then replace($first-pass-1, '(\[.*?\])(\||$)', '$2') else '' " />
    <xsl:variable name="second-pass-1" select="if ($first-pass = '') then ''        else if ($value-domain = 'Trade Product Unit of Use (TPUU)')          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $code-to-assess, ' AND ^929360071000036103'), '', '1', true())        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product (TP)'))          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $first-pass, ' AND ^929360071000036103'), '', '1', true())        else if ($value-domain = 'Medicinal Product Pack (MPP)') then $first-pass        else $code-to-assess " />
    <xsl:variable name="class-error-3" select="$class-error-2 or ($first-pass != '' and $second-pass-1 = ('Error', '')) " />
    <xsl:variable name="second-pass" select="if (not($class-error-3) and $second-pass-1 != '') then replace($second-pass-1, '(\[.*?\])(\||$)', '$2') else '' " />
    <xsl:variable name="class-tp-1" select="if ($class-error-3) then ''        else if ($value-domain = 'Trade Product Unit of Use (TPUU)')          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $code-to-assess, ' AND ^929360021000036102'), '', '1', true())        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)'))          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $first-pass, ' AND ^929360021000036102'), '', '1', true())        else '' " />
    <xsl:variable name="class-tp-error" select="$class-tp-1 = 'Error' " />
    <xsl:variable name="class-tp" select="if (not($class-tp-error) and $class-tp-1 != '') then replace($class-tp-1, '^([0-9]+\[)(.*?)(\])$', '$2') else '' " />
    <xsl:variable name="third-pass-1" select="if ($second-pass = '') then ''        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product (TP)',          'Trade Product Unit of Use (TPUU)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)'))         then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;!', $second-pass, ' AND ^929360061000036106'), '', '1', false())        else $second-pass " />
    <xsl:variable name="class-error-4" select="$class-error-3 or ($second-pass != '' and $third-pass-1 = ('Error', '')) " />
    <xsl:variable name="third-pass" select="if ($class-error-4 or $third-pass-1 = '') then ''         else if (matches($third-pass-1, '^[0-9]+$')) then replace($der-valid-codes-4, '^([0-9]+\[)(.*?)(\]\|.*|\])$', '$2')        else if (matches($third-pass-1, '^[0-9]')) then replace($third-pass-1, '^([0-9]+\[)(.*?)(\])$', '$2') else '' " />
    <xsl:variable name="fourth-pass-1" select="if ($third-pass = '') then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', '&lt;373873005', $third-pass, '1', true()) " />
    <xsl:variable name="class-error-5" select="$class-error-4 or $fourth-pass-1 = 'Error' " />
    <xsl:variable name="fourth-pass" select="if (not($class-error-4) and $fourth-pass-1 != '' and matches($fourth-pass-1, '^[0-9]')) then replace($fourth-pass-1, '(\[.*?\])(\||$)', '$2') else '' " />
    <xsl:variable name="class-not-completed" select="($flags/@assess-class = 'true' and $code-to-assess = '')  or        ($code-to-assess != '' and $value-domain-1 = 'CodeNotFound') or        ($third-pass != '' and $fourth-pass = '')   " />
    <xsl:variable name="valid-class-1" select="if ($fourth-pass = '' or $s-number = 0) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND (', $s-formula, ')'), '', string($s-number), true()) " />
    <xsl:variable name="class-error-6" select="$class-error-5 or $valid-class-1 = 'Error' " />
    <xsl:variable name="valid-class-2" select="if ($valid-class-1 = '' or $class-error-6) then () else tokenize(replace($valid-class-1, '(\[.*?\])(\||$)', '$2'), '\|') " />
    <xsl:variable name="valid-class-3" select="if ($a-vaccine and exists($s-classification[@code = '71181003']/@description)) then ($s-classification[@code = '71181003']/@description)       else if ($a-vaccine and exists($s-classification[@code = '71181003']/@pterm)) then ($s-classification[@code = '71181003']/@pterm)       else for $code in $valid-class-2 return if ($coding/special-classification/classification[@code = $code]/@description)         then $coding/special-classification/classification[@code = $code]/@description         else $coding/special-classification/classification[@code = $code]/@pterm " />
    <xsl:variable name="fifth-pass" select="if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/first-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/first-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-7" select="$class-error-6 or $fifth-pass = 'Error' " />
    <xsl:variable name="sixth-pass" select="if (not($fifth-pass = '')) then $fifth-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/second-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/second-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-8" select="$class-error-7 or $sixth-pass = 'Error' " />
    <xsl:variable name="seventh-pass" select="if (not($sixth-pass = '')) then $sixth-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/third-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/third-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-9" select="$class-error-8 or $seventh-pass = 'Error' " />
    <xsl:variable name="eighth-pass" select="if (not($seventh-pass = '')) then $seventh-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/fourth-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/fourth-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-10" select="$class-error-9 or $eighth-pass = 'Error' " />
    <xsl:variable name="ninth-pass" select="if (not($eighth-pass = '')) then $eighth-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/fifth-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/fifth-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-11" select="$class-error-10 or $ninth-pass = 'Error' " />
    <xsl:variable name="valid-class" select="if (exists($valid-class-3)) then $valid-class-3        else if (not($ninth-pass = '')) then for $term in tokenize($ninth-pass, '\|') return replace($term, '^([0-9]+\[)(.*?)(\])$', '$2')       else () " />
    <xsl:variable name="codes-were-found" select="exists($der-tgi-codes-4) or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="obsolete-error" select="not($is-immun) and ($an-obsolete-tgi or $inactive-concept) and $obsolete-yrs-ago &gt; 2 " />
    <xsl:variable name="obsolete-warning" select="not($is-immun or $obsolete-error) and ($an-obsolete-tgi or $inactive-concept) and ($obsolete-yrs-ago &gt; 1 or $obsolete-without-date) " />
    <xsl:variable name="codes-not-found" select="not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-6 or $invalid-tgi or $a-vaccine) " />
    <xsl:variable name="codes-in-the-domain" select="not($valid-tgi-1) and $valid-tgi-5" />
    <xsl:variable name="codes-in-other-domain" select="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi or         $a-vaccine or $obsolete-warning) " />
    <xsl:variable name="codes-in-no-domain" select="exists($der-tgi-codes-5) " />
    <xsl:variable name="display-in-the-domain" select="if ($codes-in-the-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', '), '''')        else '' " />
    <xsl:variable name="display-in-other-r" select="if (exists($invalid-tgi-codes-r) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-tgi-codes-r return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-h" select="if (exists($invalid-tgi-codes-h) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-tgi-codes-h return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-domain" select="if (not($codes-in-other-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))) then ''        else if ($display-in-other-r and display-in-other-h) then concat('''', $display-in-other-r, ', ', $display-in-other-h, '''')        else if ($display-in-other-r) then concat('''', $display-in-other-r, '''')        else if ($display-in-other-h) then concat('''', $display-in-other-h, '''')        else '' " />
    <xsl:variable name="display-in-no-domain" select="if ($codes-in-no-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', dh:XQueryRecursiveReplace(string-join(for $code in $der-tgi-codes-5 return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), '; '),          $term-pattern-replacement, 'ic'), '''')        else '' " />
    <xsl:variable name="log-concepts-appended" select="if ($error-usingTS-9 or not($flags/@report-terminology-concepts = 'true') or $log-concepts-name = '') then ''        else if ($codes-not-found and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                   'Therapeutic Good Identification', $log-tab,                   'yes',     $log-tab,                   iq:display-CD(.),   $log-tab,                   '',     $log-tab,                  '',     $log-tab,                  '',     $log-tab,                  $ts-current-sctau   ))        else if (($use-revised-text-2 or $codes-in-no-domain) and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                  'Therapeutic Good Identification', $log-tab,                   'yes',     $log-tab,                     iq:display-CD(.),   $log-tab,                    $display-in-the-domain,   $log-tab,                  $display-in-other-domain,  $log-tab,                  $display-in-no-domain,   $log-tab,                  $ts-current-sctau   ))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if (matches($defn-invalid-rsn, 'is a container', 'is')) then $rating-container-TC-Types-57 else $rating-TC-Types-57 " />
    <!--REPORT -->
    <xsl:if test=" $log-concepts-appended = ('NOTFOUND', 'ERROR') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$log-concepts-appended = ('NOTFOUND', 'ERROR')">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): The AppendLog function returned '<xsl:text /><xsl:value-of select="$log-concepts-appended" /><xsl:text />' when requested to append the concepts log
		'<xsl:text /><xsl:value-of select="$log-concepts-name" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $flags/@assess-class = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $flags/@assess-class = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): 
		code-to-assess '<xsl:text /><xsl:value-of select="$code-to-assess" /><xsl:text />'
		value-domain '<xsl:text /><xsl:value-of select="$value-domain" /><xsl:text />'
		first-pass '<xsl:text /><xsl:value-of select="$first-pass" /><xsl:text />'
		second-pass '<xsl:text /><xsl:value-of select="$second-pass" /><xsl:text />'
		third-pass '<xsl:text /><xsl:value-of select="$third-pass" /><xsl:text />'
		fourth-pass '<xsl:text /><xsl:value-of select="$fourth-pass" /><xsl:text />'
		valid-class-1 '<xsl:text /><xsl:value-of select="$valid-class-1" /><xsl:text />'
		fifth-pass '<xsl:text /><xsl:value-of select="$fifth-pass" /><xsl:text />'
		sixth-pass '<xsl:text /><xsl:value-of select="$sixth-pass" /><xsl:text />'
		seventh-pass '<xsl:text /><xsl:value-of select="$seventh-pass" /><xsl:text />'
		eighth-pass '<xsl:text /><xsl:value-of select="$eighth-pass" /><xsl:text />'
		ninth-pass '<xsl:text /><xsl:value-of select="$ninth-pass" /><xsl:text />'

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $class-error-11 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$class-error-11">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An unexpected error occurred during the process to classify a terminology code.
		Report the information below to the Australian Digital Health Agency for investigation.
		The value domain was '<xsl:text /><xsl:value-of select="$value-domain" /><xsl:text />' and the error variable was
		<xsl:text /><xsl:value-of select="if ($class-error-1) then concat('class-error-1. The FindValueDomainsForCode function was called with code ''', $code-to-assess,     ''', codeSystem ''2.16.840.1.113883.6.96'' and codeSystemVersion ''', $v-current-sctau, ''' and returned ''', $value-domain-1, '''.')   else if ($class-error-2) then concat('class-error-2. The SearchForCodesInHierarchyUsingTS function was called with code ''', $code-to-assess,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $first-pass-1, '''.')   else if ($class-error-3) then concat('class-error-3. The SearchForCodesInHierarchyUsingTS function was called with code ''',     if ($value-domain = 'Trade Product Unit of Use (TPUU)') then $code-to-assess else $first-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $second-pass-1, '''.')   else if ($class-error-4) then concat('class-error-4. The SearchForCodesInHierarchyUsingTS function was called with code ''', $second-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $third-pass-1, '''.')   else if ($class-error-5) then concat('class-error-5. The SearchForCodesInHierarchyUsingTS function was called with code ''', $third-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $fourth-pass-1, '''.')   else if ($class-error-6) then concat('class-error-6. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $valid-class-1, '''.')   else if ($class-error-7) then concat('class-error-7. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $fifth-pass, '''.')   else if ($class-error-8) then concat('class-error-8. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $sixth-pass, '''.')   else if ($class-error-9) then concat('class-error-9. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $seventh-pass, '''.')   else if ($class-error-10) then concat('class-error-10. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $eighth-pass, '''.')   else if ($class-error-11) then concat('class-error-11. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $ninth-pass, '''.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $class-tp-error ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$class-tp-error">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An unexpected error occurred during the process to find the trade product name for a medicine.
		Report the information below to the Australian Digital Health Agency for investigation.
		The value domain was '<xsl:text /><xsl:value-of select="$value-domain" /><xsl:text />' and the error variable was class-tp-error.
		The FindValueDomainsForCode function was called with code ''', 
		if ($value-domain = 'Trade Product Unit of Use (TPUU)') then $code-to-assess else $first-pass, 
		''', codeSystem ''2.16.840.1.113883.6.96'' and codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $class-tp-1, '''.')

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-tgi-6) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-tgi-6)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An unexpected problem occurred when assessing the value of the Vaccine Cancellation Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. The application of regular expressions resulted in the complete loss of text.
		Report the information below to the Australian Digital Health Agency for investigation.

		der-text-1 '<xsl:text /><xsl:value-of select="normalize-space(dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'))" /><xsl:text />'.
		der-text-2a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-2a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-a, $term-pattern-replacement, 'ic')" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingV-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingV-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An error was reported when accessing the terminology server when assessing the Vaccine Cancellation Entry - Vaccine Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		Report the issue to the Australian Digital Health Agency for investigation stating the error was recorded for error-usingV-2.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-9 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-9">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An error was reported when accessing the terminology server when assessing the Vaccine Cancellation Entry - Vaccine Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term:
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The analysis should be retried as the terminology server may have been temporarily unavailable.
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'error-usingTS-1' else if ($error-usingTS-2-a) then 'error-usingTS-2-a'   else if ($error-usingTS-2-b) then 'error-usingTS-2-b' else if ($error-usingTS-2-c) then 'error-usingTS-2-c'   else if ($error-usingTS-2) then 'error-usingTS-2'   else if ($error-usingTS-3) then 'error-usingTS-3' else if ($error-usingTS-4) then 'error-usingTS-4'   else if ($error-usingTS-5) then 'error-usingTS-5' else if ($error-usingTS-6) then 'error-usingTS-6'   else if ($error-usingTS-7) then 'error-usingTS-7' else if ($error-usingTS-8) then 'error-usingTS-8'   else 'error-usingTS-9' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or      $valid-tgi-6 or $invalid-tgi) and not($a-vaccine and not(false())) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi) and not($a-vaccine and not(false()))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered for, administered to or used by the consumer. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.         (See section 4.5 of the Australian Childhood Immunisation Register Structured Content Specification v1.0.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Vaccine Cancellation (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi) and    not($a-vaccine and false()) and not($obsolete-warning) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi) and not($a-vaccine and false()) and not($obsolete-warning)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the value does not seem to be applicable for the data element.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered for, administered to or used by the consumer. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.         (See section 4.5 of the Australian Childhood Immunisation Register Structured Content Specification v1.0.)')" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $obsolete-warning ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$obsolete-warning">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the name may not be applicable for the data element.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> and the
		<xsl:text /><xsl:value-of select="if ($display-obsolete-date != '') then concat('name of the therapeutic good was last used ', $display-obsolete-date)   else if ($obsolete-tgi-info/@name) then concat('therapeutic good ''', $obsolete-tgi-info/@name, ''' was last available ', $display-obsolete-date)    else if ($obsolete-without-date) then 'name of the therapeutic good is no longer used ' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($obsolete-tgi-info/@reason) then concat(' because ', $obsolete-tgi-info/@reason, '.') else '.' " /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered for, administered to or used by the consumer. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.         (See section 4.5 of the Australian Childhood Immunisation Register Structured Content Specification v1.0.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		<xsl:text /><xsl:value-of select="$creation-date-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $obsolete-error ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$obsolete-error">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the name is not applicable for the data element.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> and the
		<xsl:text /><xsl:value-of select="if ($display-obsolete-date != '') then concat('name of the therapeutic good was last used ', $display-obsolete-date)   else if ($obsolete-tgi-info/@name) then concat('therapeutic good ''', $obsolete-tgi-info/@name, ''' was last available ', $display-obsolete-date)    else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($obsolete-tgi-info/@reason) then concat(' because ', $obsolete-tgi-info/@reason, '.') else '.' " /><xsl:text />
		That was <xsl:text /><xsl:value-of select="if (contains(string($obsolete-yrs-ago), '.')) then substring-before(string($obsolete-yrs-ago), '.') else $obsolete-yrs-ago " /><xsl:text /> years before the
		<xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered for, administered to or used by the consumer. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.         (See section 4.5 of the Australian Childhood Immunisation Register Structured Content Specification v1.0.)'))" /><xsl:text /><xsl:text /><xsl:value-of select="$creation-date-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Vaccine Cancellation Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the data element does not have a proper value. <xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered for, administered to or used by the consumer. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.         (See section 4.5 of the Australian Childhood Immunisation Register Structured Content Specification v1.0.)'))" /><xsl:text />
		The Vaccine Cancellation Entry - Vaccine Name data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Vaccine Cancellation Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered for, administered to or used by the consumer. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.         (See section 4.5 of the Australian Childhood Immunisation Register Structured Content Specification v1.0.)'))" /><xsl:text />
		The Vaccine Cancellation Entry - Vaccine Name data element must have a value that is consistent with this definition. Alternatively if there is no Vaccine Cancellation Entry - Vaccine Name data element with a proper value then an exclusion
		statement must be included to state why there is no Vaccine Cancellation Entry - Vaccine Name. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4')    then concat('Text such as ''', dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'), ''' may be permitted in the narrative even though the Vaccine Cancellation Entry - Vaccine Name data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Vaccine Cancellation Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the data element does not have a proper value. <xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered for, administered to or used by the consumer. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.         (See section 4.5 of the Australian Childhood Immunisation Register Structured Content Specification v1.0.)'))" /><xsl:text />
		The Vaccine Cancellation Entry - Vaccine Name data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($der-text-non-value) and $der-invalid-text ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($der-text-non-value) and $der-invalid-text">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />
		however the value is invalid. <xsl:text /><xsl:value-of select="$defn-invalid-rsn" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered for, administered to or used by the consumer. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.         (See section 4.5 of the Australian Childhood Immunisation Register Structured Content Specification v1.0.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $a-vaccine and false() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$a-vaccine and false()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />
		which identifies a vaccine. <xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered for, administered to or used by the consumer. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.         (See section 4.5 of the Australian Childhood Immunisation Register Structured Content Specification v1.0.)'))" /><xsl:text />
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Vaccine Cancellation (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $invalid-tgi and not($error-usingTS-9) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$invalid-tgi and not($error-usingTS-9)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
ZZZ
der-text '<xsl:text /><xsl:value-of select="$der-text" /><xsl:text />'
der-revised-text-1 '<xsl:text /><xsl:value-of select="$der-revised-text-1" /><xsl:text />'
der-revised-text-2 '<xsl:text /><xsl:value-of select="$der-revised-text-2" /><xsl:text />'
ZZZ
		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the value is invalid
		<xsl:text /><xsl:value-of select="if (exists($invalid-tgi-codes-h) or exists($invalid-tgi-codes-r)) then concat(' as it describes ',    iq:invalidityExplanationUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, $invalid-tgi-codes-h, $cd-definitions/meds/meds-invalid/hierarchy, $invalid-tgi-codes-r, $cd-definitions/meds/meds-invalid/refset), '.')   else '.' " /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered for, administered to or used by the consumer. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.         (See section 4.5 of the Australian Childhood Immunisation Register Structured Content Specification v1.0.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable outside the applicable value domain): The Vaccine Cancellation Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. The following codes were obtained and are not in the value domain:
		<xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-TGI-Defn): The Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU and no associated code was found in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists(($der-NAF-active-codes, $undetermined-NAF-active-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists(($der-NAF-active-codes, $undetermined-NAF-active-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-TGI-Defn): The Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-active-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the
		'<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU but it was not found with this status in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.
		<xsl:text /><xsl:value-of select="if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and ($valid-tgi-1 or $a-vaccine-2 or (not($valid-tgi-5) and $valid-tgi-6))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and ($valid-tgi-1 or $a-vaccine-2 or (not($valid-tgi-5) and $valid-tgi-6))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable within the value domain): The Vaccine Cancellation Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> which matches
		<xsl:text /><xsl:value-of select="if ($a-vaccine-1) then 'one of the terms listed in Knowledge.xml' else 'the vaccine information in CodeSystems.xml' " /><xsl:text /> for the Vaccine Cancellation Entry - Vaccine Name.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(exists($valid-class)) and $class-not-completed and not($class-tp-error or $class-error-10) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(exists($valid-class)) and $class-not-completed and not($class-tp-error or $class-error-10)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: The Vaccine Cancellation Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. <xsl:text /><xsl:value-of select="if ($code-to-assess = '') then 'No code could be found for the medicine.'    else if ($value-domain = '') then concat('The code ''', $code-to-assess, ''' was found to apply to the medicine by applying the terminology server using the ''', $ts-current-sctau,   ''' version of SNOMED CT-AU but the code was not found in the Validator''s database using the ''', $v-current-sctau, ''' version of SNOMED CT-AU.',   if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '')   else concat('This is a ', $value-domain,    if ($value-domain = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)')) then    concat(' (with medicinal product ''', $third-pass, ''').')    else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)'))    then concat(' (with trade product ''', $class-tp, ''').')    else '.') " /><xsl:text /> The classification of this medicine could not be completed.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists($valid-class) and not($class-tp-error or $class-error-11) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists($valid-class) and not($class-tp-error or $class-error-11)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: The Vaccine Cancellation Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This <xsl:text /><xsl:value-of select="if (not($value-domain = ('Containered Trade Product Pack (CTPP)',    'Trade Product Pack (TPP)', 'Trade Product (TP)', 'Trade Product Unit of Use (TPUU)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Medicinal Product (MP)')))    then '' else concat('is a ', $value-domain, ' which')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($value-domain = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)')) then concat(' (with medicinal product ''', $third-pass, ''') which')   else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)'))    then concat(' (with trade product ''', $class-tp, ''') which') else '' " /><xsl:text />
		identifies a type of <xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($valid-class, ' and '), $markup-pattern-replacement, 'ic')" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (concept is codeable within the value domain): The Vaccine Cancellation Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> which is a valid value for the Vaccine Cancellation Entry - Vaccine Name.
		SNOMED CT-AU codes that matched the concept are: <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The text used to match regular expression (der-text-2) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to match non-values and vaccines (der-text-to-match) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-to-match, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to derive a code (der-text) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.

		<xsl:text /><xsl:value-of select="if ($use-revised-text-1) then concat(' A first revision of the text (der-revised-text-1) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-1, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A first revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-1 != '' and $der-revised-text-1 = '') then ' revision-pattern-1 was applied but the output (der-revised-text-1) was an empty string.' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($use-revised-text-2) then concat(' A second revision of the text (der-revised-text-2) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A second revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-2 != '' and $der-revised-text-2 = '') then ' revision-pattern-2 was applied but the output (der-revised-text-2) was an empty string.' else '' " /><xsl:text />

		The SNOMED CT-AU version used to find codes is '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' and the maximum code number is '<xsl:text /><xsl:value-of select="$max-code-number" /><xsl:text />'.

		Codes for related terms (related-terms-2): '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($related-terms-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes for related terms (der-valid-codes-1): 
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-1, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-tgi-codes-2) returned by the terminology server that match the text:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-tgi-codes-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes from related terms or the terminology server (der-valid-codes-2):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-2, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-inactive-codes-3) returned from the Validator's database associated with inactive codes:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-inactive-codes-3, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes found after examining inactive codes (der-valid-codes-3):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-3, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Members of invalid reference sets (invalid-tgi-codes-r): '<xsl:text /><xsl:value-of select="$display-in-other-r" /><xsl:text />'.
		Members of invalid code hierarchies (invalid-tgi-codes-h): '<xsl:text /><xsl:value-of select="$display-in-other-h" /><xsl:text />'.

		Final set of valid codes (der-valid-codes-4): <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.
		
		Codes whose validity has not been determined (der-tgi-codes-5): <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.
		Codes whose validity has not been determined and are inactive with no associated code (undetermined-NAF): '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(    string-join($undetermined-NAF, ''', '''), $markup-pattern-replacement, 'ic')" /><xsl:text />'.

		Result of the second vaccination code test (a-vaccine-2): '<xsl:text /><xsl:value-of select="$a-vaccine-2" /><xsl:text />'.
		Vaccine codes (vaccine-code-test):  '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($vaccine-code-test, '; '), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Overall result of the vaccination test (a-vaccine): '<xsl:text /><xsl:value-of select="$a-vaccine" /><xsl:text />'.

		Will the value of the data element be trusted (der-trusted-text)? '<xsl:text /><xsl:value-of select="$der-trusted-text" /><xsl:text />'.
		
	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and $codes-not-found">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept not codeable): The Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($avoid-ts) then 'The terminology server was not used to assist with finding codes corresponding to text in the data element. ' else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $prose-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $prose-err">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Vaccine Cancellation Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> which is invalid as it is prose text.
		The Vaccine Cancellation Entry - Vaccine Name data element is CodeableText derived from the HL7 CD data type which by definition is to record a concept defined in an external code system, terminology or ontology.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered for, administered to or used by the consumer. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.         (See section 4.5 of the Australian Childhood Immunisation Register Structured Content Specification v1.0.)'))" /><xsl:text />
		This finding will also be reported as an error.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M50" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M50" />
  <xsl:template match="@*|node()" priority="-2" mode="M50">
    <xsl:apply-templates select="@*|*" mode="M50" />
  </xsl:template>
  <!--PATTERN p-TS-ACIR-CodeableText-11-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16658' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16658']]/cda:entry/        cda:substanceAdministration[lower-case(cda:statusCode/@code)='cancelled']/        cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code        [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]        [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or          ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M51">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16658' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16658']]/cda:entry/        cda:substanceAdministration[lower-case(cda:statusCode/@code)='cancelled']/        cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code        [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]        [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or          ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Vaccine Cancellation - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Vaccine Cancellation - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Vaccine Cancellation - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Vaccine Cancellation - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Cancellation - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Vaccine Cancellation - Vaccine Name has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Vaccine Cancellation - Vaccine Name data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Cancellation - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Vaccine Cancellation - Vaccine Name data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Cancellation - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Vaccine Cancellation - Vaccine Name data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Cancellation - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Vaccine Cancellation - Vaccine Name data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Vaccine Cancellation - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Vaccine Cancellation - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Vaccine Cancellation - Vaccine Name data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Vaccine Cancellation - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Vaccine Cancellation - Vaccine Name data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Cancellation - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Cancellation - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Vaccine Cancellation - Vaccine Name data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Cancellation - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Vaccine Cancellation - Vaccine Name data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Cancellation - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Cancellation - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M51" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M51" />
  <xsl:template match="@*|node()" priority="-2" mode="M51">
    <xsl:apply-templates select="@*|*" mode="M51" />
  </xsl:template>
  <!--PATTERN p-TS-ACIR-CodeableText-12-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16658' = $doc-sections]/cda:component/cda:structuredBody/cda:component//         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16658']]/cda:entry/         cda:substanceAdministration[lower-case(cda:statusCode/@code)='cancelled']/         cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code " priority="1000" mode="M52">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16658' = $doc-sections]/cda:component/cda:structuredBody/cda:component//         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16658']]/cda:entry/         cda:substanceAdministration[lower-case(cda:statusCode/@code)='cancelled']/         cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code " />
    <xsl:variable name="hist-vers-1" select="tokenize($ts-snomedctau-pre-ordered, '\|')" />
    <xsl:variable name="pcode" select="if (not(@code)) then ''        else if (@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)) then @code        else '' " />
    <xsl:variable name="pname-to-test" select="@codeSystem = '2.16.840.1.113883.6.96' and @displayName and $pcode != '' " />
    <xsl:variable name="psctau-version" select="if (exists(@codeSystemVersion) and matches(@codeSystemVersion, $snomedctau-version-regex)) then @codeSystemVersion else '' " />
    <xsl:variable name="psnomed-id" select="if (not($pname-to-test) or not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion) and          dh:IsFirstDateEarlierThanSecondDate($creation-date, substring-after($first-amt-in-sctau, '/version/')) = '1') then 'amtv3'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (not($psctau-version = '')) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="psnomed-type" select="if ($psnomed-id = 'amtv3') then 'AMT v3'        else if ($psnomed-id = 'snomedctau') then 'SNOMED CT-AU'        else if ($psnomed-id = 'snomedct') then 'SNOMED CT'        else '' " />
    <xsl:variable name="pvers-old" select="if ($psnomed-id = 'snomedctau' and @codeSystemVersion) then not(exists($ts-snomedctau[. = current()/@codeSystemVersion]))        else if ($psnomed-id = 'snomedctau' and $creation-date != '' and $ts-earliest-sctau-date != '') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $ts-earliest-sctau-date) = '1'         else if ($psnomed-id = 'amtv3' and @codeSystemVersion) then not(exists($v-amtv3[. = current()/@codeSystemVersion]))        else if ($psnomed-id = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '1'         else false() " />
    <xsl:variable name="psctau-ts" select="if ($psctau-version = '' or not($pvers-old)) then '' else substring-after($psctau-version, '/version/') " />
    <xsl:variable name="psctau-ts-xs" select="if ($psctau-ts = '') then '' else concat(substring($psctau-ts, 1, 4), '-', substring($psctau-ts, 5, 2), '-', substring($psctau-ts, 7, 2))" />
    <xsl:variable name="psctau-ts-1" select="if ($psctau-ts = '' or not($psctau-ts-xs castable as xs:date)) then '' else string($sctau-last-xs - xs:date($psctau-ts-xs)) " />
    <xsl:variable name="psctau-ts-2" select="if ($psctau-ts-1 = '' or not(matches($psctau-ts-1, '^P[0-9]+D'))) then '' else substring-before(substring-after($psctau-ts-1, 'P'), 'D') " />
    <xsl:variable name="psctau-ts-63-err" select="$psctau-ts-2 != '' and $psctau-ts-2 &gt; $sctau-acceptable-age  " />
    <xsl:variable name="ts-psnomed-version" select="if (not($pname-to-test) or not($psnomed-id = 'snomedctau')) then ''        else if (not(@codeSystemVersion)) then $ts-latest-snomedctau        else if ($psnomed-id = 'snomedctau' and @codeSystemVersion and not($pvers-old)) then @codeSystemVersion        else if ($pvers-old and $ts-earliest-sctau-date != '') then concat('http://snomed.info/sct/32506021000036107/version/', $ts-earliest-sctau-date)        else $ts-latest-snomedctau " />
    <xsl:variable name="v-psnomed-version" select="if (not($psnomed-id = 'amtv3')) then ''        else if (@codeSystemVersion and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($pvers-old) then concat('http://snomed.info/sct/900062011000036108/version/', $v-earliest-amtv3-date)        else $v-latest-amtv3 " />
    <xsl:variable name="test-pname" select="$pname-to-test and not($ts-psnomed-version = '' and $v-psnomed-version = '') and not($psctau-ts-63-err)" />
    <xsl:variable name="p-term-actual-1" select="if ($test-pname and $use-ts-for-sctau and $psnomed-id = 'snomedctau')        then dh:FindPreferredTermUsingTS($pcode, '2.16.840.1.113883.6.96', $ts-psnomed-version)        else if ($test-pname and exists($v-amtv3) and $psnomed-id = 'amtv3')        then replace(dh:FindPreferredTermAndCaseSignificance($pcode, '2.16.840.1.113883.6.96', $v-psnomed-version), '\|.*$', '', 'is')       else '' " />
    <xsl:variable name="error-usingTS-1" select="$p-term-actual-1 = 'Error' " />
    <xsl:variable name="p-term-actual" select="if ($p-term-actual-1 = ('CodeNotFound', 'Error')) then '' else $p-term-actual-1 " />
    <xsl:variable name="pname-invalid" select="$test-pname and $p-term-actual != '' and lower-case($p-term-actual) != lower-case(@displayName) " />
    <xsl:variable name="phist-search" select="$test-pname and $pname-invalid and $ts-snomedctau-pre-ordered != '' " />
    <xsl:variable name="phist-vers-2" select="if ($phist-search) then index-of($hist-vers-1, substring-after($ts-psnomed-version, 'version/')) else () " />
    <xsl:variable name="phist-vers-3" select="if (exists($phist-vers-2) and count($hist-vers-1) &gt; $phist-vers-2[1]) then $hist-vers-1[$phist-vers-2[1] + 1] else '' " />
    <xsl:variable name="phist-vers-4" select="if ($phist-vers-3 = '') then '' else concat('http://snomed.info/sct/32506021000036107/version/', $phist-vers-3) " />
    <xsl:variable name="phist-vers-5" select="if ($phist-vers-4 != '' and $use-ts-for-sctau)         then dh:FindLatestVersionWhereDisplaynameMatchUsingTS($pcode, '2.16.840.1.113883.6.96', $phist-vers-4, @displayName, false()) else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or $phist-vers-5 = 'Error' " />
    <xsl:variable name="phist-vers-found-1" select="matches($phist-vers-5, 'http') " />
    <xsl:variable name="pcode-pterm-date-1" select="if (not($pname-invalid) or $phist-vers-found-1) then '' else dh:LatestDateForPreferredTerm($pcode, '2.16.840.1.113883.6.96', $v-latest-snomedctau) " />
    <xsl:variable name="error-pcode-pterm-date" select="'Error' = $pcode-pterm-date-1" />
    <xsl:variable name="pcode-pterm-date-2" select="if (matches($pcode-pterm-date-1, '^[0-9]{8}\|')) then substring-before($pcode-pterm-date-1, '|') else '' " />
    <xsl:variable name="pcode-pterm-date-est" select="$pcode-pterm-date-2 != '' and dh:IsFirstDateEarlierThanSecondDate($creation-date, $pcode-pterm-date-2) = '0' " />
    <xsl:variable name="pcode-pterm-date" select="if ($pcode-pterm-date-est) then $pcode-pterm-date-2 else '' " />
    <xsl:variable name="phist-vers-6" select="if ($phist-vers-5 = 'PreferredTermNeverMatches' and not($pcode-pterm-date-est) and matches($pcode, $sctau-namespace-id-regex))         then dh:IsCodePreferredTermInTerminologyValid($pcode, '2.16.840.1.113883.6.96', $v-latest-amtv3, @displayName)        else '' " />
    <xsl:variable name="phist-vers-found-2" select="$phist-vers-6 = 'PreferredTermMatch' " />
    <xsl:variable name="phist-vers-7" select="if ($phist-vers-6 = 'PreferredTermMismatch' and not($pcode-pterm-date-est) and $v-latest-amtv2 = $last-amtv2)         then dh:IsCodePreferredTermInTerminologyValid($pcode, '1.2.36.1.2001.1004.100', $last-amtv2, @displayName)        else '' " />
    <xsl:variable name="phist-vers-found-3" select="$phist-vers-7 = 'PreferredTermMatch' " />
    <xsl:variable name="phist-vers-found" select="$phist-vers-found-1 or $phist-vers-found-2 or $phist-vers-found-3 or $pcode-pterm-date-est " />
    <xsl:variable name="phist-vers-date" select="if ($phist-vers-found-1) then substring-after($phist-vers-5, 'http://snomed.info/sct/32506021000036107/version/')         else if ($phist-vers-found-2) then substring-after($v-latest-amtv3, 'http://snomed.info/sct/900062011000036108/version/')        else if ($phist-vers-found-3) then $last-amtv2-date        else if ($pcode-pterm-date-est) then $pcode-pterm-date        else '' " />
    <xsl:variable name="phist-last-diff" select="if ($sctau-last = '' or $phist-vers-date = '') then ''        else iq:display-date-diff($phist-vers-date, $sctau-last)[2] " />
    <xsl:variable name="phist-last-old" select="$phist-last-diff != '' and not(number($phist-last-diff) &lt; $sctau-acceptable-age) " />
    <xsl:variable name="p-term-found-in" select="if ($phist-vers-found-1) then 'last used in the version of SNOMED CT-AU'        else if ($phist-vers-found-2) then 'used in the version of AMT v3'        else if ($phist-vers-found-3) then 'used in the version of AMT v2'        else '' " />
    <xsl:variable name="phist-last-msg" select="if ($pcode-pterm-date-est) then concat(' The preferred term was last changed in the version of SNOMED CT-AU published ',          iq:display-date($phist-vers-date),          ' so if the value of the displayName was ever valid then it must be before then. ',          'That version was published ', $phist-last-diff, ' days before the version of SNOMED CT-AU published immediately prior to the date ''',         /cda:ClinicalDocument/cda:effectiveTime/@value, ''' that this ', $document-name,          ' was created. SNOMED CT-AU is published monthly and the Australian National Terminology Licence Agreement requires the copy used ',         'in healthcare software systems (live or production environments) to be updated within 30 days of the National Terminology release.')         else if (not($phist-last-old) or $p-term-found-in = '') then ''        else concat(' The value of the displayName was ', $p-term-found-in,          ' published on the ', iq:display-date($phist-vers-date), '. That version was published ', $phist-last-diff,          ' days before the version of SNOMED CT-AU published immediately prior to the date the ', $document-name,          ' was created. SNOMED CT-AU is published monthly and the Australian National Terminology Licence Agreement requires the copy used in',         ' healthcare software systems (live or production environments) to be updated within 30 days of the National Terminology release.') " />
    <xsl:variable name="p-date-required" select="if (not($pname-invalid)) then ''        else if (@codeSystemVersion and matches(@codeSystemVersion, $snomed-version-regex-1)) then substring-after(@codeSystemVersion, '/version/')        else if ($creation-date-est) then ''        else $creation-date " />
    <xsl:variable name="p-date-diff" select="if ($p-date-required = '' or         not(dh:IsFirstDateEarlierThanSecondDate(substring-after($ts-psnomed-version, '/version/'), $p-date-required) = '1')) then ()        else iq:display-date-diff(substring-after($ts-psnomed-version, '/version/'), $p-date-required)" />
    <xsl:variable name="p-old-ts-version" select="exists($p-date-diff) and number($p-date-diff[2]) &gt; 31 " />
    <xsl:variable name="snomed-trans-1" select="if (cda:translation) then cda:translation[@displayName and @codeSystem = '2.16.840.1.113883.6.96' and @code and         matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="snomed-trans-2" select="distinct-values(for $trans in $snomed-trans-1 return $trans/@code) " />
    <xsl:variable name="snomed-trans-a" select="if (exists($snomed-trans-1)) then $snomed-trans-1[1] else () " />
    <xsl:variable name="tcode-a" select="if (exists($snomed-trans-a)) then $snomed-trans-a/@code else '' " />
    <xsl:variable name="tname-a-to-test" select="$tcode-a != '' and $snomed-trans-a/@displayName " />
    <xsl:variable name="tsctau-version-a" select="if (exists($snomed-trans-a/@codeSystemVersion) and matches($snomed-trans-a/@codeSystemVersion, $snomedctau-version-regex)) then $snomed-trans-a/@codeSystemVersion else '' " />
    <xsl:variable name="tsnomed-id-a" select="if (not($tname-a-to-test)) then 'none'        else if (not($snomed-trans-a/@codeSystemVersion) and          dh:IsFirstDateEarlierThanSecondDate($creation-date, substring-after($first-amt-in-sctau, '/version/')) = '1') then 'amtv3'        else if (not($snomed-trans-a/@codeSystemVersion)) then 'snomedctau'        else if (not($tsctau-version-a = '')) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-a/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="tsnomed-a-type" select="if ($tsnomed-id-a = 'amtv3') then 'AMT v3'        else if ($tsnomed-id-a = 'snomedctau') then 'SNOMED CT-AU'        else if ($tsnomed-id-a = 'snomedct') then 'SNOMED CT'        else '' " />
    <xsl:variable name="t-vers-a-old" select="if ($tsnomed-id-a = 'snomedctau' and $snomed-trans-a/@codeSystemVersion) then not(exists($ts-snomedctau[. = $snomed-trans-a/@codeSystemVersion]))         else if ($tsnomed-id-a = 'snomedctau' and $creation-date != '' and $ts-earliest-sctau-date != '') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $ts-earliest-sctau-date) = '1'         else if ($tsnomed-id-a = 'amtv3' and $snomed-trans-a/@codeSystemVersion) then not(exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion]))        else if ($tsnomed-id-a = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '1'         else false() " />
    <xsl:variable name="tsctau-ts-a" select="if ($tsctau-version-a = '' or not($t-vers-a-old)) then '' else substring-after($tsctau-version-a, '/version/') " />
    <xsl:variable name="tsctau-ts-a-xs" select="if ($tsctau-ts-a = '') then '' else concat(substring($tsctau-ts-a, 1, 4), '-', substring($tsctau-ts-a, 5, 2), '-', substring($tsctau-ts-a, 7, 2))" />
    <xsl:variable name="tsctau-ts-a-1" select="if ($tsctau-ts-a = '' or not($tsctau-ts-a-xs castable as xs:date)) then '' else string($sctau-last-xs - xs:date($tsctau-ts-a-xs)) " />
    <xsl:variable name="tsctau-ts-a-2" select="if ($tsctau-ts-a-1 = '' or not(matches($tsctau-ts-a-1, '^P[0-9]+D'))) then '' else substring-before(substring-after($tsctau-ts-a-1, 'P'), 'D') " />
    <xsl:variable name="tsctau-ts-a-63-err" select="$tsctau-ts-a-2 != '' and $tsctau-ts-a-2 &gt; $sctau-acceptable-age  " />
    <xsl:variable name="ts-tsnomed-version-a" select="if (not($tname-a-to-test) or not($tsnomed-id-a = 'snomedctau')) then ''        else if (not($snomed-trans-a/@codeSystemVersion)) then $ts-latest-snomedctau        else if ($tsnomed-id-a = 'snomedctau' and $snomed-trans-a/@codeSystemVersion and not($t-vers-a-old)) then $snomed-trans-a/@codeSystemVersion        else if ($t-vers-a-old and $ts-earliest-sctau-date != '') then concat('http://snomed.info/sct/32506021000036107/version/', $ts-earliest-sctau-date)        else $ts-latest-snomedctau " />
    <xsl:variable name="v-tsnomed-version-a" select="if (not($tsnomed-id-a = 'amtv3')) then ''        else if ($snomed-trans-a/@codeSystemVersion and exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($t-vers-a-old) then concat('http://snomed.info/sct/900062011000036108/version/', $v-earliest-amtv3-date)        else $v-latest-amtv3 " />
    <xsl:variable name="test-tname-a" select="$tname-a-to-test and not($ts-tsnomed-version-a = '' and $v-tsnomed-version-a = '') and not($tsctau-ts-a-63-err) " />
    <xsl:variable name="t-a-term-actual-1" select="if ($test-tname-a and $use-ts-for-sctau and $tsnomed-id-a = 'snomedctau')         then dh:FindPreferredTermUsingTS($tcode-a, '2.16.840.1.113883.6.96', $ts-tsnomed-version-a)         else if ($test-tname-a and exists($v-amtv3) and $tsnomed-id-a = 'amtv3')         then replace(dh:FindPreferredTermAndCaseSignificance($tcode-a, '2.16.840.1.113883.6.96', $v-tsnomed-version-a), '\|.*$', '', 'is')        else '' " />
    <xsl:variable name="error-usingTS-3" select="$error-usingTS-2 or $t-a-term-actual-1 = 'Error' " />
    <xsl:variable name="t-a-term-actual" select="if ($t-a-term-actual-1 = 'CodeNotFound' or $t-a-term-actual-1 = 'Error') then '' else $t-a-term-actual-1 " />
    <xsl:variable name="tname-a-invalid" select="$test-tname-a and $t-a-term-actual != '' and lower-case($t-a-term-actual) != lower-case($snomed-trans-a/@displayName) " />
    <xsl:variable name="thist-a-search" select="$test-tname-a and $tname-a-invalid and $ts-snomedctau-pre-ordered != '' " />
    <xsl:variable name="thist-a-vers-2" select="if ($thist-a-search) then index-of($hist-vers-1, substring-after($ts-tsnomed-version-a, 'version/')) else () " />
    <xsl:variable name="thist-a-vers-3" select="if (exists($thist-a-vers-2) and count($hist-vers-1) &gt; $thist-a-vers-2[1]) then $hist-vers-1[$thist-a-vers-2[1] + 1] else '' " />
    <xsl:variable name="thist-a-vers-4" select="if ($thist-a-vers-3 = '') then '' else concat('http://snomed.info/sct/32506021000036107/version/', $thist-a-vers-3) " />
    <xsl:variable name="thist-a-vers-5" select="if ($thist-a-vers-4 != '' and $use-ts-for-sctau)         then dh:FindLatestVersionWhereDisplaynameMatchUsingTS($tcode-a, '2.16.840.1.113883.6.96', $thist-a-vers-4, $snomed-trans-a/@displayName, false())         else '' " />
    <xsl:variable name="error-usingTS-4" select="$error-usingTS-3 or $thist-a-vers-5 = 'Error' " />
    <xsl:variable name="thist-a-vers-found-1" select="matches($thist-a-vers-5, 'http') " />
    <xsl:variable name="tcode-a-pterm-date-1" select="if (not($tname-a-invalid) or $thist-a-vers-found-1) then ''          else dh:LatestDateForPreferredTerm($tcode-a, '2.16.840.1.113883.6.96', $v-latest-snomedctau) " />
    <xsl:variable name="error-tcode-a-pterm-date" select="'Error' = $tcode-a-pterm-date-1" />
    <xsl:variable name="tcode-a-pterm-date-2" select="if (matches($tcode-a-pterm-date-1, '^[0-9]{8}\|')) then substring-before($tcode-a-pterm-date-1, '|') else '' " />
    <xsl:variable name="tcode-a-pterm-date-est" select="$tcode-a-pterm-date-2 != '' and dh:IsFirstDateEarlierThanSecondDate($creation-date, $tcode-a-pterm-date-2) = '0' " />
    <xsl:variable name="tcode-a-pterm-date" select="if ($tcode-a-pterm-date-est) then $tcode-a-pterm-date-2 else '' " />
    <xsl:variable name="thist-a-vers-6" select="if ($thist-a-vers-5 = 'PreferredTermNeverMatches' and not($tcode-a-pterm-date-est) and matches($tcode-a, $sctau-namespace-id-regex))         then dh:IsCodePreferredTermInTerminologyValid($tcode-a, '2.16.840.1.113883.6.96', $v-latest-amtv3, $snomed-trans-a/@displayName)        else '' " />
    <xsl:variable name="thist-a-vers-found-2" select="$thist-a-vers-6 = 'PreferredTermMatch' " />
    <xsl:variable name="thist-a-vers-7" select="if ($thist-a-vers-6 = 'PreferredTermMismatch' and not($tcode-a-pterm-date-est) and $v-latest-amtv2 = $last-amtv2)         then dh:IsCodePreferredTermInTerminologyValid($tcode-a, '1.2.36.1.2001.1004.100', $last-amtv2, $snomed-trans-a/@displayName)        else '' " />
    <xsl:variable name="thist-a-vers-found-3" select="$thist-a-vers-7 = 'PreferredTermMatch' " />
    <xsl:variable name="thist-a-vers-found" select="$thist-a-vers-found-1 or $thist-a-vers-found-2 or $thist-a-vers-found-3 or $tcode-a-pterm-date-est " />
    <xsl:variable name="thist-a-vers-date" select="if ($thist-a-vers-found-1) then substring-after($thist-a-vers-5, 'http://snomed.info/sct/32506021000036107/version/')         else if ($thist-a-vers-found-2) then substring-after($v-latest-amtv3, 'http://snomed.info/sct/900062011000036108/version/')        else if ($thist-a-vers-found-3) then $last-amtv2-date        else if ($tcode-a-pterm-date-est) then $tcode-a-pterm-date        else '' " />
    <xsl:variable name="thist-a-last-diff" select="if ($sctau-last = '' or $thist-a-vers-date = '') then ''        else iq:display-date-diff($thist-a-vers-date, $sctau-last)[2] " />
    <xsl:variable name="thist-a-last-old" select="$thist-a-last-diff != '' and not(number($thist-a-last-diff) &lt; $sctau-acceptable-age) " />
    <xsl:variable name="t-a-term-found-in" select="if ($thist-a-vers-found-1) then 'last used in the version of SNOMED CT-AU'        else if ($thist-a-vers-found-2) then 'used in the version of AMT v3'        else if ($thist-a-vers-found-3) then 'used in the version of AMT v2'        else '' " />
    <xsl:variable name="thist-a-last-msg" select="if ($tcode-a-pterm-date-est) then concat(' The preferred term was last changed in the version of SNOMED CT-AU published ',          iq:display-date($thist-a-vers-date),          ' so if the value of the translation code displayName was ever valid then it must be before then. ',          'That version was published ', $thist-a-last-diff, ' days before the version of SNOMED CT-AU published immediately prior to the date ''',         /cda:ClinicalDocument/cda:effectiveTime/@value, ''' that this ', $document-name,          ' was created. SNOMED CT-AU is published monthly and the Australian National Terminology Licence Agreement requires the copy used ',         'in healthcare software systems (live or production environments) to be updated within 30 days of the National Terminology release.')         else if (not($thist-a-last-old) or $t-a-term-found-in = '') then ''           else concat(' The value of the translation code displayName was ', $t-a-term-found-in, ' published on the ', iq:display-date($thist-a-vers-date),         '. That version was published ', $thist-a-last-diff, ' days before the version of SNOMED CT-AU published immediately prior to the date the ',        $document-name, ' was created. SNOMED CT-AU is published monthly and the Australian National Terminology Licence Agreement requires ',        'the copy used in healthcare software systems (live or production environments) to be updated within 30 days of the National Terminology release.')" />
    <xsl:variable name="tr-a-date-required" select="if (not($tname-a-invalid)) then ''        else if ($snomed-trans-a/@codeSystemVersion and matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1))          then substring-after($snomed-trans-a/@codeSystemVersion, '/version/')        else if ($creation-date-est) then ''        else $creation-date " />
    <xsl:variable name="tr-a-date-diff" select="if ($tr-a-date-required = '' or         not(dh:IsFirstDateEarlierThanSecondDate(substring-after($ts-tsnomed-version-a, '/version/'), $tr-a-date-required) = '1')) then ()        else iq:display-date-diff(substring-after($ts-tsnomed-version-a, '/version/'), $tr-a-date-required)" />
    <xsl:variable name="tr-a-old-ts-version" select="exists($tr-a-date-diff) and number($tr-a-date-diff[2]) &gt; 31 " />
    <xsl:variable name="snomed-trans-b" select="if (exists($snomed-trans-1)) then $snomed-trans-1[@code and not(@code = $tcode-a)] else () " />
    <xsl:variable name="tcode-b" select="if (exists($snomed-trans-b)) then $snomed-trans-b/@code else '' " />
    <xsl:variable name="tname-b-to-test" select="$tcode-b != '' and $snomed-trans-b/@displayName " />
    <xsl:variable name="tsctau-version-b" select="if (exists($snomed-trans-b/@codeSystemVersion) and matches($snomed-trans-b/@codeSystemVersion, $snomedctau-version-regex)) then $snomed-trans-b/@codeSystemVersion else '' " />
    <xsl:variable name="tsnomed-id-b" select="if (not($tname-b-to-test)) then 'none'        else if (not($snomed-trans-b/@codeSystemVersion) and          dh:IsFirstDateEarlierThanSecondDate($creation-date, substring-after($first-amt-in-sctau, '/version/')) = '1') then 'amtv3'        else if (not($snomed-trans-b/@codeSystemVersion)) then 'snomedctau'        else if (not($tsctau-version-b = '')) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-b/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="tsnomed-b-type" select="if ($tsnomed-id-b = 'amtv3') then 'AMT v3'        else if ($tsnomed-id-b = 'snomedctau') then 'SNOMED CT-AU'        else if ($tsnomed-id-b = 'snomedct') then 'SNOMED CT'        else '' " />
    <xsl:variable name="t-vers-b-old" select="if ($tsnomed-id-b = 'snomedctau' and $snomed-trans-b/@codeSystemVersion) then not(exists($ts-snomedctau[. = $snomed-trans-b/@codeSystemVersion]))         else if ($tsnomed-id-b = 'snomedctau' and $creation-date != '' and $ts-earliest-sctau-date != '') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $ts-earliest-sctau-date) = '1'         else if ($tsnomed-id-b = 'amtv3' and $snomed-trans-b/@codeSystemVersion) then not(exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion]))        else if ($tsnomed-id-b = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '1'         else false() " />
    <xsl:variable name="tsctau-ts-b" select="if ($tsctau-version-b = '' or not($t-vers-b-old)) then '' else substring-after($tsctau-version-b, '/version/') " />
    <xsl:variable name="tsctau-ts-b-xs" select="if ($tsctau-ts-b = '') then '' else concat(substring($tsctau-ts-b, 1, 4), '-', substring($tsctau-ts-b, 5, 2), '-', substring($tsctau-ts-b, 7, 2))" />
    <xsl:variable name="tsctau-ts-b-1" select="if ($tsctau-ts-b = '' or not($tsctau-ts-b-xs castable as xs:date)) then '' else string($sctau-last-xs - xs:date($tsctau-ts-b-xs)) " />
    <xsl:variable name="tsctau-ts-b-2" select="if ($tsctau-ts-b-1 = '' or not(matches($tsctau-ts-b-1, '^P[0-9]+D'))) then '' else substring-before(substring-after($tsctau-ts-b-1, 'P'), 'D') " />
    <xsl:variable name="tsctau-ts-b-63-err" select="$tsctau-ts-b-2 != '' and $tsctau-ts-b-2 &gt; $sctau-acceptable-age  " />
    <xsl:variable name="ts-tsnomed-version-b" select="if (not($tname-b-to-test) or not($tsnomed-id-b = 'snomedctau')) then ''        else if (not($snomed-trans-b/@codeSystemVersion)) then $ts-latest-snomedctau        else if ($tsnomed-id-b = 'snomedctau' and $snomed-trans-b/@codeSystemVersion and not($t-vers-b-old)) then $snomed-trans-b/@codeSystemVersion        else if ($t-vers-b-old and $ts-earliest-sctau-date != '') then concat('http://snomed.info/sct/32506021000036107/version/', $ts-earliest-sctau-date)        else $ts-latest-snomedctau " />
    <xsl:variable name="v-tsnomed-version-b" select="if (not($tsnomed-id-b = 'amtv3')) then ''        else if ($snomed-trans-b/@codeSystemVersion and exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($t-vers-b-old) then concat('http://snomed.info/sct/900062011000036108/version/', $v-earliest-amtv3-date)        else $v-latest-amtv3 " />
    <xsl:variable name="test-tname-b" select="$tname-b-to-test and not($ts-tsnomed-version-b = '' and $v-tsnomed-version-b = '') and not($tsctau-ts-b-63-err) " />
    <xsl:variable name="t-b-term-actual-1" select="if ($test-tname-b and $use-ts-for-sctau and $tsnomed-id-b = 'snomedctau')        then dh:FindPreferredTermUsingTS($tcode-b, '2.16.840.1.113883.6.96', $ts-tsnomed-version-b)        else if ($test-tname-b and exists($v-amtv3) and $tsnomed-id-b = 'amtv3')        then replace(dh:FindPreferredTermAndCaseSignificance($tcode-b, '2.16.840.1.113883.6.96', $v-tsnomed-version-b), '\|.*$', '', 'is')       else '' " />
    <xsl:variable name="error-usingTS-5" select="$error-usingTS-4 or $t-b-term-actual-1 = 'Error' " />
    <xsl:variable name="t-b-term-actual" select="if ($t-b-term-actual-1 = 'CodeNotFound' or $t-b-term-actual-1 = 'Error') then '' else $t-b-term-actual-1 " />
    <xsl:variable name="tname-b-invalid" select="$test-tname-b and $t-b-term-actual != '' and lower-case($t-b-term-actual) != lower-case($snomed-trans-b/@displayName) " />
    <xsl:variable name="thist-b-search" select="$test-tname-b and $tname-b-invalid and $ts-snomedctau-pre-ordered != '' " />
    <xsl:variable name="thist-b-vers-2" select="if ($thist-b-search) then index-of($hist-vers-1, substring-after($ts-tsnomed-version-b, 'version/')) else () " />
    <xsl:variable name="thist-b-vers-3" select="if (exists($thist-b-vers-2) and count($hist-vers-1) &gt; $thist-b-vers-2[1]) then $hist-vers-1[$thist-b-vers-2[1] + 1] else '' " />
    <xsl:variable name="thist-b-vers-4" select="if ($thist-b-vers-3 = '') then '' else concat('http://snomed.info/sct/32506021000036107/version/', $thist-b-vers-3) " />
    <xsl:variable name="thist-b-vers-5" select="if ($thist-b-vers-4 != '' and $use-ts-for-sctau)         then dh:FindLatestVersionWhereDisplaynameMatchUsingTS($tcode-b, '2.16.840.1.113883.6.96', $thist-b-vers-4, $snomed-trans-b/@displayName, false())         else '' " />
    <xsl:variable name="error-usingTS-6" select="$error-usingTS-5 or $thist-b-vers-5 = 'Error' " />
    <xsl:variable name="thist-b-vers-found-1" select="matches($thist-b-vers-5, 'http') " />
    <xsl:variable name="tcode-b-pterm-date-1" select="if (not($tname-b-invalid) or $thist-b-vers-found-1) then ''          else dh:LatestDateForPreferredTerm($tcode-b, '2.16.840.1.113883.6.96', $v-latest-snomedctau) " />
    <xsl:variable name="error-tcode-b-pterm-date" select="'Error' = $tcode-b-pterm-date-1" />
    <xsl:variable name="tcode-b-pterm-date-2" select="if (matches($tcode-b-pterm-date-1, '^[0-9]{8}\|')) then substring-before($tcode-b-pterm-date-1, '|') else '' " />
    <xsl:variable name="tcode-b-pterm-date-est" select="$tcode-b-pterm-date-2 != '' and dh:IsFirstDateEarlierThanSecondDate($creation-date, $tcode-b-pterm-date-2) = '0' " />
    <xsl:variable name="tcode-b-pterm-date" select="if ($tcode-b-pterm-date-est) then $tcode-b-pterm-date-2 else '' " />
    <xsl:variable name="thist-b-vers-6" select="if ($thist-b-vers-5 = 'PreferredTermNeverMatches' and not($tcode-b-pterm-date-est) and matches($tcode-b, $sctau-namespace-id-regex))         then dh:IsCodePreferredTermInTerminologyValid($tcode-b, '2.16.840.1.113883.6.96', $v-latest-amtv3, $snomed-trans-b/@displayName)        else '' " />
    <xsl:variable name="thist-b-vers-found-2" select="$thist-b-vers-6 = 'PreferredTermMatch' " />
    <xsl:variable name="thist-b-vers-7" select="if ($thist-b-vers-6 = 'PreferredTermMismatch' and not($tcode-b-pterm-date-est) and $v-latest-amtv2 = $last-amtv2)         then dh:IsCodePreferredTermInTerminologyValid($tcode-b, '1.2.36.1.2001.1004.100', $last-amtv2, $snomed-trans-b/@displayName)        else '' " />
    <xsl:variable name="thist-b-vers-found-3" select="$thist-b-vers-7 = 'PreferredTermMatch' " />
    <xsl:variable name="thist-b-vers-found" select="$thist-b-vers-found-1 or $thist-b-vers-found-2 or $thist-b-vers-found-3 or $tcode-b-pterm-date-est " />
    <xsl:variable name="thist-b-vers-date" select="if ($thist-b-vers-found-1) then substring-after($thist-b-vers-5, 'http://snomed.info/sct/32506021000036107/version/')         else if ($thist-b-vers-found-2) then substring-after($v-latest-amtv3, 'http://snomed.info/sct/900062011000036108/version/')        else if ($thist-b-vers-found-3) then $last-amtv2-date        else if ($tcode-b-pterm-date-est) then $tcode-b-pterm-date        else '' " />
    <xsl:variable name="thist-b-last-diff" select="if ($sctau-last = '' or $thist-b-vers-date = '') then ''        else iq:display-date-diff($thist-b-vers-date, $sctau-last)[2] " />
    <xsl:variable name="thist-b-last-old" select="$thist-b-last-diff != '' and not(number($thist-b-last-diff) &lt; $sctau-acceptable-age) " />
    <xsl:variable name="t-b-term-found-in" select="if ($thist-b-vers-found-1) then 'last used in the version of SNOMED CT-AU'        else if ($thist-b-vers-found-2) then 'used in the version of AMT v3'        else if ($thist-b-vers-found-3) then 'used in the version of AMT v2'        else '' " />
    <xsl:variable name="thist-b-last-msg" select="if ($tcode-b-pterm-date-est) then concat(' The preferred term was last changed in the version of SNOMED CT-AU published ',          iq:display-date($thist-b-vers-date),          ' so if the value of the translation code displayName was ever valid then it must be before then. ',          'That version was published ', $thist-b-last-diff, ' days before the version of SNOMED CT-AU published immediately prior to the date ''',         /cda:ClinicalDocument/cda:effectiveTime/@value, ''' that this ', $document-name,          ' was created. SNOMED CT-AU is published monthly and the Australian National Terminology Licence Agreement requires the copy used ',         'in healthcare software systems (live or production environments) to be updated within 30 days of the National Terminology release.')        else if (not($thist-b-last-old) or $t-b-term-found-in = '') then ''           else concat(' The value of the translation code displayName was ', $t-b-term-found-in,         ' published on the ', iq:display-date($thist-b-vers-date),         '. That version was published ', $thist-b-last-diff, ' days before the version of SNOMED CT-AU published immediately prior to the date the ',        $document-name, ' was created. SNOMED CT-AU is published monthly and the Australian National Terminology Licence Agreement requires ',        'the copy used in healthcare software systems (live or production environments) to be updated within 30 days of the National Terminology release.')" />
    <xsl:variable name="tr-b-date-required" select="if (not($tname-b-invalid)) then ''        else if ($snomed-trans-b/@codeSystemVersion and matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1))          then substring-after($snomed-trans-b/@codeSystemVersion, '/version/')        else if ($creation-date-est) then ''        else $creation-date " />
    <xsl:variable name="tr-b-date-diff" select="if ($tr-b-date-required = '' or         not(dh:IsFirstDateEarlierThanSecondDate(substring-after($ts-tsnomed-version-b, '/version/'), $tr-b-date-required) = '1')) then ()        else iq:display-date-diff(substring-after($ts-tsnomed-version-b, '/version/'), $tr-b-date-required)" />
    <xsl:variable name="tr-b-old-ts-version" select="exists($tr-b-date-diff) and number($tr-b-date-diff[2]) &gt; 31 " />
    <xsl:variable name="psnomed-version-msg" select="if (not($pname-to-test) or $psctau-ts-63-err) then ''        else if (not(@codeSystemVersion) and $psnomed-id = 'snomedctau' and $pvers-old)          then concat(' The terminology server did not have a version of SNOMED CT-AU published before the date the clinical document was created (',         /cda:ClinicalDocument/cda:effectiveTime/@value, ') so the ''',          $ts-psnomed-version, ''' version of the SNOMED CT-AU code system was used in the assessment.')        else if (not(@codeSystemVersion) and $psnomed-id = 'amtv3' and $pvers-old)          then concat(' The terminology server did not have a version of AMT v3 published before the date the clinical document was created (',         /cda:ClinicalDocument/cda:effectiveTime/@value, ') so the ''',          $v-psnomed-version, ''' version of the AMT v3 code system was used in the assessment.')        else if (not(@codeSystemVersion) and $psnomed-id = 'amtv3') then concat(' The data element did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the AMT v3 code system was used in the assessment.')        else if (not(@codeSystemVersion)) then concat(' The data element did not contain the codeSystemVersion attribute so the ''',          $ts-psnomed-version, ''' version of the SNOMED CT-AU code system was used in the assessment.')        else if ($psnomed-id = 'snomedctau' and not($pvers-old)) then          concat(' The ''', $ts-psnomed-version, ''' version of the code system was used to validate the SNOMED CT-AU code.')        else if ($psnomed-id = 'snomedctau' and $pvers-old) then          concat(' The codeSystemVersion attribute has the correct format for SNOMED CT-AU ''', @codeSystemVersion,          ''' but that version is not present in the Terminology Server.')        else if ($psnomed-id = 'amtv3') then         concat(' The codeSystemVersion attribute has the correct format for AMT v3 ''', @codeSystemVersion,          ''' but that version was not available to use in the assessment.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1) or matches(@codeSystemVersion, $snomed-version-regex-2)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system was not available to use in the assessment.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' .') " />
    <xsl:variable name="tsnomed-version-a-msg" select="if (not($tname-a-to-test) or $tsctau-ts-a-63-err) then ''        else if (not($snomed-trans-a/@codeSystemVersion) and $tsnomed-id-a = 'snomedctau' and $t-vers-a-old)          then concat(' The terminology server did not have a version of SNOMED CT-AU published before the date the clinical document was created (',         /cda:ClinicalDocument/cda:effectiveTime/@value, ') so the ''',          $ts-tsnomed-version-a, ''' version of the SNOMED CT-AU code system was used in the assessment.')        else if (not($snomed-trans-a/@codeSystemVersion) and $tsnomed-id-a = 'amtv3' and $t-vers-a-old)          then concat(' The Clinical Package Validator did not have a version of AMT v3 published before the date the clinical document was created (',         /cda:ClinicalDocument/cda:effectiveTime/@value, ') so the ''',          $v-tsnomed-version-a, ''' version of the AMT v3 code system was used in the assessment.')        else if (not($snomed-trans-a/@codeSystemVersion) and $tsnomed-id-a = 'amtv3')          then concat(' The data element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-a, ''' version of the AMT v3 code system was used in the assessment.')        else if (not($snomed-trans-a/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $ts-tsnomed-version-a, ''' version of the SNOMED CT-AU code system was used in the assessment.')         else if ($tsnomed-id-a = 'snomedctau' and not($t-vers-a-old)) then          concat(' The ''', $ts-tsnomed-version-a, ''' version of the code system was used to validate the SNOMED CT-AU code.')        else if ($tsnomed-id-a = 'snomedctau' and $t-vers-a-old) then          concat(' The codeSystemVersion attribute has the correct format for SNOMED CT-AU ''', $snomed-trans-a/@codeSystemVersion,          ''' but that version is not present in the Terminology Server.')        else if ($tsnomed-id-a = 'amtv3') then         concat(' The codeSystemVersion attribute has the correct format for AMT v3 ''', $snomed-trans-a/@codeSystemVersion,          ''' but that version was not available to use in the assessment.')        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1) or matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-2))         then concat(' The ''', $snomed-trans-a/@codeSystemVersion, ''' version of the code system was not available to use in the assessment.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-a/@codeSystemVersion, '''.') " />
    <xsl:variable name="tsnomed-version-b-msg" select="if (not($tname-b-to-test) or $ts-tsnomed-version-b = '' or $tsctau-ts-b-63-err) then ''        else if (not($snomed-trans-b/@codeSystemVersion) and $tsnomed-id-b = 'snomedctau' and $t-vers-b-old)          then concat(' The terminology server did not have a version of SNOMED CT-AU published before the date the clinical document was created (',         /cda:ClinicalDocument/cda:effectiveTime/@value, ') so the ''',          $ts-tsnomed-version-b, ''' version of the SNOMED CT-AU code system was used in the assessment.')        else if (not($snomed-trans-b/@codeSystemVersion) and $tsnomed-id-b = 'amtv3' and $t-vers-b-old)          then concat(' The Clinical Package Validator did not have a version of AMT v3 published before the date the clinical document was created (',         /cda:ClinicalDocument/cda:effectiveTime/@value, ') so the ''',          $v-tsnomed-version-b, ''' version of the AMT v3 code system was used in the assessment.')        else if (not($snomed-trans-b/@codeSystemVersion) and $tsnomed-id-b = 'amtv3')          then concat(' The data element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-b, ''' version of the AMT v3 code system was used in the assessment.')        else if (not($snomed-trans-b/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $ts-tsnomed-version-b, ''' version of the SNOMED CT-AU code system was used in the assessment.')         else if ($tsnomed-id-b = 'snomedctau' and not($t-vers-b-old)) then          concat(' The ''', $ts-tsnomed-version-b, ''' version of the code system was used to validate the SNOMED CT-AU code.')        else if ($tsnomed-id-b = 'snomedctau' and $t-vers-b-old) then          concat(' The codeSystemVersion attribute has the correct format for SNOMED CT-AU ''', $snomed-trans-b/@codeSystemVersion,          ''' but that version is not present in the Terminology Server.')        else if ($tsnomed-id-b = 'amtv3') then         concat(' The codeSystemVersion attribute has the correct format for AMT v3 ''', $snomed-trans-b/@codeSystemVersion,          ''' but that version was not available to use in the assessment.')        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1) or matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-2))         then concat(' The ''', $snomed-trans-b/@codeSystemVersion, ''' version of the code system was not available to use in the assessment.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-b/@codeSystemVersion, '''.') " />
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and ($pname-to-test or $tname-a-to-test or $tname-b-to-test) and not($use-ts-for-sctau) and    not($psctau-ts-63-err or $tsctau-ts-a-63-err or $tsctau-ts-b-63-err) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and ($pname-to-test or $tname-a-to-test or $tname-b-to-test) and not($use-ts-for-sctau) and not($psctau-ts-63-err or $tsctau-ts-a-63-err or $tsctau-ts-b-63-err)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Vaccine Cancellation Entry - Vaccine Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /><xsl:text /><xsl:value-of select="if ($tname-a-to-test) then concat(' and translation ', iq:display-CD($snomed-trans-a)) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($tname-b-to-test) then concat(' and translation ', iq:display-CD($snomed-trans-b)) else '' " /><xsl:text />
		A terminology server with SNOMED CT-AU codes was not available so it was not possible to verify that the AMT code contains the preferred term for the displayName.
		Confirm that the value of the displayName attribute meets the requirement that it be the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 4.5 of the Australian Childhood Immunisation Register Structured Content Specification v1.1.1.) 

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-6 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-6">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-GCD: An error was reported when accessing the terminology server. The analysis should be retried as the terminology server may have been temporarily unavailable.
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.
		<xsl:text /><xsl:value-of select="if ($p-term-actual-1 = 'Error') then concat(' The error occurred when calling the function FindPreferredTermUsingTS with code ''', $pcode,    ''', codeSystem ''2.16.840.1.113883.6.96'' and codeSystemVersion ''', $ts-psnomed-version, '''.')   else if ($t-a-term-actual-1 = 'Error') then concat(' The error occurred when calling the function FindPreferredTermUsingTS with code ''', $tcode-a,    ''', codeSystem ''2.16.840.1.113883.6.96'' and codeSystemVersion ''', $ts-tsnomed-version-a, '''.')   else if ($t-b-term-actual-1 = 'Error') then concat(' The error occurred when calling the function FindPreferredTermUsingTS with code ''', $tcode-b,    ''', codeSystem ''2.16.840.1.113883.6.96'' and codeSystemVersion ''', $ts-tsnomed-version-b, '''.')   else if ($phist-vers-5 = 'Error') then concat(' The error occurred when calling the function FindLatestVersionWhereDisplaynameMatchUsingTS with code ''', @code,    ''', codeSystem ''2.16.840.1.113883.6.96'', initialVersion ''', $phist-vers-4, ''', displayName ''', @displayName, ''' and enforceCase ''false()''.')   else if ($thist-a-vers-5 = 'Error') then concat(' The error occurred when calling the function FindLatestVersionWhereDisplaynameMatchUsingTS with code ''', $tcode-a,    ''', codeSystem ''2.16.840.1.113883.6.96'', initialVersion ''', $thist-a-vers-4, ''', displayName ''', $snomed-trans-a/@displayName, ''' and enforceCase ''false()''.')   else if ($thist-b-vers-5 = 'Error') then concat(' The error occurred when calling the function FindLatestVersionWhereDisplaynameMatchUsingTS with code ''', $tcode-b,    ''', codeSystem ''2.16.840.1.113883.6.96'', initialVersion ''', $thist-b-vers-4, ''', displayName ''', $snomed-trans-b/@displayName, ''' and enforceCase ''false()''.')    else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-pcode-pterm-date ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-pcode-pterm-date">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$pcode-pterm-date-1" /><xsl:text /> was returned when calling the function LatestDateForPreferredTerm with
		code '<xsl:text /><xsl:value-of select="$pcode" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-latest-snomedctau" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$phist-vers-6 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$phist-vers-6 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$phist-vers-6" /><xsl:text /> was returned when calling the function IsCodePreferredTermInTerminologyValid with
		code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96', codeSystemVersion '<xsl:text /><xsl:value-of select="$v-latest-amtv3" /><xsl:text />' and
		displayName '<xsl:text /><xsl:value-of select="@displayName" /><xsl:text />'. The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$phist-vers-7 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$phist-vers-7 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$phist-vers-7" /><xsl:text /> was returned when calling the function IsCodePreferredTermInTerminologyValid with
		code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />', codeSystem '1.2.36.1.2001.1004.100', codeSystemVersion '<xsl:text /><xsl:value-of select="$last-amtv2" /><xsl:text />' and
		displayName '<xsl:text /><xsl:value-of select="@displayName" /><xsl:text />'. The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $pname-to-test and (not($test-pname) or ($pname-invalid and $pvers-old)) and not($pcode-pterm-date-est or $psctau-ts-63-err)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pname-to-test and (not($test-pname) or ($pname-invalid and $pvers-old)) and not($pcode-pterm-date-est or $psctau-ts-63-err)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Vaccine Cancellation Entry - Vaccine Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		Confirm that the value of the displayName attribute is the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 4.5 of the Australian Childhood Immunisation Register Structured Content Specification v1.1.1.)<xsl:text /><xsl:value-of select="$psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $pname-to-test and $pname-invalid and (not($pvers-old) or $pcode-pterm-date-est) and    (not($phist-vers-found) or ($phist-vers-found and $phist-last-old)) and not($p-old-ts-version)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pname-to-test and $pname-invalid and (not($pvers-old) or $pcode-pterm-date-est) and (not($phist-vers-found) or ($phist-vers-found and $phist-last-old)) and not($p-old-ts-version)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Vaccine Cancellation Entry - Vaccine Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. The value of the displayName attribute does not meet the requirement that it be the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 4.5 of the Australian Childhood Immunisation Register Structured Content Specification v1.1.1.) <xsl:text /><xsl:value-of select="$phist-last-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($p-term-actual = '') then ''   else if ($ts-psnomed-version != '') then concat(' According to the ''', $ts-psnomed-version, ''' version of SNOMED CT-AU the correct value for the preferred term is ''',   dh:XQueryRecursiveReplace($p-term-actual, $markup-pattern-replacement, 'ic'), '''.')   else concat(' According to the ''', $v-psnomed-version, ''' version of AMT v3 the correct value for the preferred term is ''',   dh:XQueryRecursiveReplace($p-term-actual, $markup-pattern-replacement, 'ic'), '''.') " /><xsl:text />'

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $pname-to-test and $pname-invalid and (not($pvers-old) or $pcode-pterm-date-est) and    (not($phist-vers-found) or ($phist-vers-found and $phist-last-old)) and $p-old-ts-version">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pname-to-test and $pname-invalid and (not($pvers-old) or $pcode-pterm-date-est) and (not($phist-vers-found) or ($phist-vers-found and $phist-last-old)) and $p-old-ts-version">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Vaccine Cancellation Entry - Vaccine Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. The value of the displayName attribute may not meet the requirement that it be the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 4.5 of the Australian Childhood Immunisation Register Structured Content Specification v1.1.1.) According to the '<xsl:text /><xsl:value-of select="$ts-psnomed-version" /><xsl:text />' version of SNOMED CT-AU the correct value for the preferred term is
		'<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($p-term-actual, $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		However that version of SNOMED CT-AU in the Terminology Server was published on the <xsl:text /><xsl:value-of select="iq:display-date(substring-after($ts-psnomed-version, '/version/'))" /><xsl:text />
		which is <xsl:text /><xsl:value-of select="$p-date-diff" /><xsl:text /> before the <xsl:text /><xsl:value-of select="if (@codeSystemVersion and matches(@codeSystemVersion, $snomed-version-regex-1)) then   'value of the codeSystemVersion attribute' else concat('date the ', $document-name, ' was created')" /><xsl:text /> which is <xsl:text /><xsl:value-of select="iq:display-date($creation-date)" /><xsl:text />.
		Use a more recently published version of SNOMED CT-AU to confirm if the value of the displayName attribute is the preferred term for the code.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Vaccine Cancellation Entry - Vaccine Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> has 
		<xsl:text /><xsl:value-of select="if ($numbers/number[number(@value) = count($snomed-trans-2)])        then $numbers/number[number(@value) = count($snomed-trans-2)]/@name        else count($snomed-trans-2)" /><xsl:text /> translation elements with
		distinct codes and the SNOMED CT codeSystem '2.16.840.1.113883.6.96'. The first translation element has been assessed to determine if the value of the displayName is the preferred term and
		the others have not been assessed. Confirm if the value of the displayName attribute in all SNOMED CT translation elements meets the requirement that it be the preferred term, also known as
		the preferred synonym, for the code. (See the Conditions of Use in the definition of Vaccine Cancellation Entry - Vaccine Name in the Conditions of Use in section 4.5 of the Australian Childhood Immunisation Register Structured Content Specification v1.1.1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-tcode-a-pterm-date ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-tcode-a-pterm-date">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$tcode-a-pterm-date-1" /><xsl:text /> was returned when calling the function LatestDateForPreferredTerm with
		code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-latest-snomedctau" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$thist-a-vers-6 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$thist-a-vers-6 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$thist-a-vers-6" /><xsl:text /> was returned when calling the function IsCodePreferredTermInTerminologyValid with
		code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', '2.16.840.1.113883.6.96', codeSystemVersion '<xsl:text /><xsl:value-of select="$v-latest-amtv3" /><xsl:text />' and
		displayName '<xsl:text /><xsl:value-of select="$snomed-trans-a/@displayName" /><xsl:text />'. The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$thist-a-vers-7 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$thist-a-vers-7 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$thist-a-vers-7" /><xsl:text /> was returned when calling the function IsCodePreferredTermInTerminologyValid with
		code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', codeSystem '1.2.36.1.2001.1004.100', codeSystemVersion '<xsl:text /><xsl:value-of select="$last-amtv2" /><xsl:text />' and
		displayName '<xsl:text /><xsl:value-of select="$snomed-trans-a/@displayName" /><xsl:text />'. The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-tcode-b-pterm-date ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-tcode-b-pterm-date">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$tcode-b-pterm-date-1" /><xsl:text /> was returned when calling the function LatestDateForPreferredTerm with
		code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-latest-snomedctau" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$thist-b-vers-6 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$thist-b-vers-6 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$thist-b-vers-6" /><xsl:text /> was returned when calling the function IsCodePreferredTermInTerminologyValid with
		code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', '2.16.840.1.113883.6.96', codeSystemVersion '<xsl:text /><xsl:value-of select="$v-latest-amtv3" /><xsl:text />' and
		displayName '<xsl:text /><xsl:value-of select="$snomed-trans-b/@displayName" /><xsl:text />'. The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$thist-b-vers-7 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$thist-b-vers-7 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$thist-b-vers-7" /><xsl:text /> was returned when calling the function IsCodePreferredTermInTerminologyValid with
		code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', codeSystem '1.2.36.1.2001.1004.100', codeSystemVersion '<xsl:text /><xsl:value-of select="$last-amtv2" /><xsl:text />' and
		displayName '<xsl:text /><xsl:value-of select="$snomed-trans-b/@displayName" /><xsl:text />'. The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $tname-a-to-test and (not($test-tname-a) or ($tname-a-invalid and $t-vers-a-old)) and not($tcode-a-pterm-date-est or $tsctau-ts-a-63-err) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tname-a-to-test and (not($test-tname-a) or ($tname-a-invalid and $t-vers-a-old)) and not($tcode-a-pterm-date-est or $tsctau-ts-a-63-err)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Vaccine Cancellation Entry - Vaccine Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> has translation <xsl:text /><xsl:value-of select="iq:display-CD($snomed-trans-a)" /><xsl:text />.
		Confirm that the value of the translation code displayName attribute is the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 4.5 of the Australian Childhood Immunisation Register Structured Content Specification v1.1.1.)<xsl:text /><xsl:value-of select="$tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $tname-b-to-test and (not($test-tname-b) or ($tname-b-invalid and $t-vers-b-old)) and not($tcode-b-pterm-date-est or $tsctau-ts-b-63-err) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tname-b-to-test and (not($test-tname-b) or ($tname-b-invalid and $t-vers-b-old)) and not($tcode-b-pterm-date-est or $tsctau-ts-b-63-err)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Vaccine Cancellation Entry - Vaccine Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> has translation <xsl:text /><xsl:value-of select="iq:display-CD($snomed-trans-b)" /><xsl:text />.
		Confirm that the value of the translation code displayName attribute is the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 4.5 of the Australian Childhood Immunisation Register Structured Content Specification v1.1.1.)<xsl:text /><xsl:value-of select="$tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tcode-a = '') and $tname-a-invalid and (not($t-vers-a-old) or $tcode-a-pterm-date-est) and    (not($thist-a-vers-found) or ($thist-a-vers-found and $thist-a-last-old)) and not($tr-a-old-ts-version)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tcode-a = '') and $tname-a-invalid and (not($t-vers-a-old) or $tcode-a-pterm-date-est) and (not($thist-a-vers-found) or ($thist-a-vers-found and $thist-a-last-old)) and not($tr-a-old-ts-version)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Vaccine Cancellation Entry - Vaccine Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> has translation <xsl:text /><xsl:value-of select="iq:display-CD($snomed-trans-a)" /><xsl:text />.
		The value of the translation code displayName attribute does not meet the requirement that it be the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 4.5 of the Australian Childhood Immunisation Register Structured Content Specification v1.1.1.) <xsl:text /><xsl:value-of select="$thist-a-last-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($t-a-term-actual = '') then ''   else if ($ts-tsnomed-version-a != '') then concat(' According to the ''', $ts-tsnomed-version-a, ''' version of SNOMED CT-AU the correct value for the preferred term is ''',   dh:XQueryRecursiveReplace($t-a-term-actual, $markup-pattern-replacement, 'ic'), '''.')   else concat(' According to the ''', $v-tsnomed-version-a, ''' version of AMT v3 the correct value for the preferred term is ''',   dh:XQueryRecursiveReplace($t-a-term-actual, $markup-pattern-replacement, 'ic'), '''.') " /><xsl:text />'

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not($tcode-a = '') and $tname-a-invalid and (not($t-vers-a-old) or $tcode-a-pterm-date-est) and    (not($thist-a-vers-found) or ($thist-a-vers-found and $thist-a-last-old)) and $tr-a-old-ts-version">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not($tcode-a = '') and $tname-a-invalid and (not($t-vers-a-old) or $tcode-a-pterm-date-est) and (not($thist-a-vers-found) or ($thist-a-vers-found and $thist-a-last-old)) and $tr-a-old-ts-version">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Vaccine Cancellation Entry - Vaccine Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> has translation <xsl:text /><xsl:value-of select="iq:display-CD($snomed-trans-a)" /><xsl:text />.
		The value of the translation code displayName attribute may not meet the requirement that it be the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 4.5 of the Australian Childhood Immunisation Register Structured Content Specification v1.1.1.) According to the '<xsl:text /><xsl:value-of select="$ts-tsnomed-version-a" /><xsl:text />' version of SNOMED CT-AU the correct value for the preferred term is
		'<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($t-a-term-actual, $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		However that version of SNOMED CT-AU in the Terminology Server was published on the <xsl:text /><xsl:value-of select="iq:display-date(substring-after($ts-tsnomed-version-a, '/version/'))" /><xsl:text />
		which is <xsl:text /><xsl:value-of select="$tr-a-date-diff" /><xsl:text /> before the <xsl:text /><xsl:value-of select="if ($snomed-trans-a/@codeSystemVersion and matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1))    then 'value of the translation codeSystemVersion attribute' else concat('date the ', $document-name, ' was created')" /><xsl:text /> which is <xsl:text /><xsl:value-of select="iq:display-date($creation-date)" /><xsl:text />.
		Use a more recently published version of SNOMED CT-AU to confirm if the value of the displayName attribute is the preferred term for the translation code.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tcode-b = '') and $tname-b-invalid and (not($t-vers-b-old) or $tcode-b-pterm-date-est) and    (not($thist-b-vers-found) or ($thist-b-vers-found and $thist-b-last-old)) and not($tr-b-old-ts-version)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tcode-b = '') and $tname-b-invalid and (not($t-vers-b-old) or $tcode-b-pterm-date-est) and (not($thist-b-vers-found) or ($thist-b-vers-found and $thist-b-last-old)) and not($tr-b-old-ts-version)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Vaccine Cancellation Entry - Vaccine Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> has translation <xsl:text /><xsl:value-of select="iq:display-CD($snomed-trans-b)" /><xsl:text />.
		The value of the translation code displayName attribute does not meet the requirement that it be the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 4.5 of the Australian Childhood Immunisation Register Structured Content Specification v1.1.1.) <xsl:text /><xsl:value-of select="$thist-b-last-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($t-b-term-actual = '') then ''   else if ($ts-tsnomed-version-b != '') then concat(' According to the ''', $ts-tsnomed-version-b, ''' version of SNOMED CT-AU the correct value for the preferred term is ''',   dh:XQueryRecursiveReplace($t-b-term-actual, $markup-pattern-replacement, 'ic'), '''.')   else concat(' According to the ''', $v-tsnomed-version-b, ''' version of AMT v3 the correct value for the preferred term is ''',   dh:XQueryRecursiveReplace($t-b-term-actual, $markup-pattern-replacement, 'ic'), '''.') " /><xsl:text />'

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not($tcode-b = '') and $tname-b-invalid and (not($t-vers-b-old) or $tcode-b-pterm-date-est) and    (not($thist-b-vers-found) or ($thist-b-vers-found and $thist-b-last-old)) and $tr-b-old-ts-version">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not($tcode-b = '') and $tname-b-invalid and (not($t-vers-b-old) or $tcode-b-pterm-date-est) and (not($thist-b-vers-found) or ($thist-b-vers-found and $thist-b-last-old)) and $tr-b-old-ts-version">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Vaccine Cancellation Entry - Vaccine Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> has translation <xsl:text /><xsl:value-of select="iq:display-CD($snomed-trans-b)" /><xsl:text />.
		The value of the translation code displayName attribute may not meet the requirement that it be the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 4.5 of the Australian Childhood Immunisation Register Structured Content Specification v1.1.1.) According to the '<xsl:text /><xsl:value-of select="$ts-tsnomed-version-b" /><xsl:text />' version of SNOMED CT-AU the correct value for the preferred term is
		'<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($t-b-term-actual, $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		However that version of SNOMED CT-AU in the Terminology Server was published on the <xsl:text /><xsl:value-of select="iq:display-date(substring-after($ts-tsnomed-version-b, '/version/'))" /><xsl:text />
		which is <xsl:text /><xsl:value-of select="$tr-b-date-diff" /><xsl:text /> before the <xsl:text /><xsl:value-of select="if ($snomed-trans-b/@codeSystemVersion and matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1))    then 'value of the translation codeSystemVersion attribute' else concat('date the ', $document-name, ' was created')" /><xsl:text /> which is <xsl:text /><xsl:value-of select="iq:display-date($creation-date)" /><xsl:text />.
		Use a more recently published version of SNOMED CT-AU to confirm if the value of the displayName attribute is the preferred term for the translation code.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M52" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M52" />
  <xsl:template match="@*|node()" priority="-2" mode="M52">
    <xsl:apply-templates select="@*|*" mode="M52" />
  </xsl:template>
  <!--PATTERN p-TS-ACIR-CodeableText-13-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16658' = $doc-sections]/cda:component/cda:structuredBody/cda:component//         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16658']]/cda:entry/         cda:substanceAdministratio[lower-case(cda:statusCode/@code)='cancelled']/         cda:consumable/cda:manufacturedProduct/         cda:manufacturedMaterial/ext:asIngredient/ext:ingredientManufacturedMaterial/ext:code " priority="1000" mode="M53">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16658' = $doc-sections]/cda:component/cda:structuredBody/cda:component//         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16658']]/cda:entry/         cda:substanceAdministratio[lower-case(cda:statusCode/@code)='cancelled']/         cda:consumable/cda:manufacturedProduct/         cda:manufacturedMaterial/ext:asIngredient/ext:ingredientManufacturedMaterial/ext:code " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Vaccine Cancellation Entry - Medicare Antigen Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and true() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and true() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Vaccine Cancellation Entry - Medicare Antigen Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Vaccine Cancellation Entry - Medicare Antigen Code',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Entry - Medicare Antigen Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Entry - Medicare Antigen Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'allowed' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'allowed' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Vaccine Cancellation Entry - Medicare Antigen Code however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Vaccine Cancellation Entry - Medicare Antigen Code in the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'allowed' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'allowed' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Vaccine Cancellation Entry - Medicare Antigen Code however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Vaccine Cancellation Entry - Medicare Antigen Code in the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Vaccine Cancellation Entry - Medicare Antigen Code data element must have a value that is consistent with this definition. Alternatively if there is no Vaccine Cancellation Entry - Medicare Antigen Code data element with a proper value then an exclusion
		statement must be included to state why there is no Vaccine Cancellation Entry - Medicare Antigen Code.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'allowed' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'allowed' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Vaccine Cancellation Entry - Medicare Antigen Code however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Vaccine Cancellation Entry - Medicare Antigen Code in the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'allowed' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'allowed' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Vaccine Cancellation Entry - Medicare Antigen Code however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Vaccine Cancellation Entry - Medicare Antigen Code in the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Vaccine Cancellation Entry - Medicare Antigen Code data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'allowed' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'allowed' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Vaccine Cancellation Entry - Medicare Antigen Code however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Vaccine Cancellation Entry - Medicare Antigen Code in the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Vaccine Cancellation Entry - Medicare Antigen Code data element must have a value that is consistent with this definition. Alternatively if there is no Vaccine Cancellation Entry - Medicare Antigen Code data element with a proper value then an exclusion
		statement must be included to state why there is no Vaccine Cancellation Entry - Medicare Antigen Code.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'allowed' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'allowed' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Vaccine Cancellation Entry - Medicare Antigen Code however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Vaccine Cancellation Entry - Medicare Antigen Code in the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Vaccine Cancellation Entry - Medicare Antigen Code data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Vaccine Cancellation Entry - Medicare Antigen Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Entry - Medicare Antigen Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Entry - Medicare Antigen Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Entry - Medicare Antigen Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Entry - Medicare Antigen Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Entry - Medicare Antigen Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Entry - Medicare Antigen Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Vaccine Cancellation Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Entry - Medicare Antigen Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Vaccine Cancellation Entry - Medicare Antigen Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Vaccine Cancellation Entry - Medicare Antigen Code.
		(See the definition of Vaccine Cancellation Entry - Medicare Antigen Code in the Australian Childhood Immunisation Register Structured Content Specification v1.1.1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Vaccine Cancellation Entry - Medicare Antigen Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M53" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M53" />
  <xsl:template match="@*|node()" priority="-2" mode="M53">
    <xsl:apply-templates select="@*|*" mode="M53" />
  </xsl:template>
  <!--PATTERN p-TS-ACIR-CodeableText-14-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16658' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16658']]/cda:entry/        cda:substanceAdministratio[lower-case(cda:statusCode/@code)='cancelled']/        cda:consumable/cda:manufacturedProduct/        cda:manufacturedMaterial/ext:asIngredient/ext:ingredientManufacturedMaterial/ext:code        [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]        [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and          matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M54">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16658' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16658']]/cda:entry/        cda:substanceAdministratio[lower-case(cda:statusCode/@code)='cancelled']/        cda:consumable/cda:manufacturedProduct/        cda:manufacturedMaterial/ext:asIngredient/ext:ingredientManufacturedMaterial/ext:code        [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]        [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and          matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Vaccine Cancellation Entry - Medicare Antigen Code '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Vaccine Cancellation Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Vaccine Cancellation Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Vaccine Cancellation Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Cancellation Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Vaccine Cancellation Entry - Medicare Antigen Code has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Vaccine Cancellation Entry - Medicare Antigen Code data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Cancellation Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Vaccine Cancellation Entry - Medicare Antigen Code data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Cancellation Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Vaccine Cancellation Entry - Medicare Antigen Code data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Cancellation Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Vaccine Cancellation Entry - Medicare Antigen Code data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Vaccine Cancellation Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Vaccine Cancellation Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Vaccine Cancellation Entry - Medicare Antigen Code data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Vaccine Cancellation Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Vaccine Cancellation Entry - Medicare Antigen Code data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Cancellation Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Cancellation Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Vaccine Cancellation Entry - Medicare Antigen Code data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Cancellation Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Vaccine Cancellation Entry - Medicare Antigen Code data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Cancellation Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Cancellation Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M54" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M54" />
  <xsl:template match="@*|node()" priority="-2" mode="M54">
    <xsl:apply-templates select="@*|*" mode="M54" />
  </xsl:template>
  <!--PATTERN p-TS-ACIR-CodedText-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16658' = $doc-sections]/cda:component/cda:structuredBody/cda:component//          cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16658']]/cda:entry/          cda:substanceAdministration[lower-case(cda:statusCode/@code)='cancelled']/cda:entryRelationship/          cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15595']]/cda:entryRelationship/cda:act/cda:code " priority="1000" mode="M55">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16658' = $doc-sections]/cda:component/cda:structuredBody/cda:component//          cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16658']]/cda:entry/          cda:substanceAdministration[lower-case(cda:statusCode/@code)='cancelled']/cda:entryRelationship/          cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15595']]/cda:entryRelationship/cda:act/cda:code " />
    <xsl:variable name="tc-types-49-err" select="@nullFlavor = ('PINF', 'NINF', 'QS', 'TRC') or (@nullFlavor='UNC' and (not(cda:originalText) or normalize-space(cda:originalText) = '')) " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="family-err" select="cda:originalText and matches(cda:originalText, $family-regex, 'i')" />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; 200" />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and @code != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used with the Clinical Package Validator to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used with the Clinical Package Validator to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the primary code.') " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-06-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-06-step-2 else $rating-alt-TC-Types-06-step-2 " />
    <xsl:variable name="rating-07-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-1 else $rating-alt-TC-Types-07-step-1 " />
    <xsl:variable name="rating-07-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-2 else $rating-alt-TC-Types-07-step-2 " />
    <xsl:variable name="rating-08" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-08 else $rating-alt-TC-Types-08 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-07: The Vaccine Cancellation Reason Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data
		type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Reason Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which is derived from the HL7 'CD' data type however xsi:type '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Reason Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:translation">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:translation">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Reason Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'translation' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value
		domain, with no exceptions. A translation translates the value into a code from another code systems, so translations are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:qualifier">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:qualifier">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Reason Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'qualifier' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value domain,
		with no exceptions. A qualifier constrains the value, so qualifiers are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Vaccine Cancellation Reason Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Reason Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Reason Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Reason Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present and is not expected
		for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Reason Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />'
		is present and is not expected for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-terminology-concepts = 'true' and not(true() or false() or $family-err or $length-err) and    not(@nullFlavor) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and not(true() or false() or $family-err or $length-err) and not(@nullFlavor)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (value domain not specified): The Vaccine Cancellation Reason Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The CodedText data type has the requirement that values must come from the specified bound value domain with no exceptions but a value domain has not been specified for the
		Vaccine Cancellation Reason Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Vaccine Cancellation Reason Type',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="false() and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != '1.2.36.1.2001.1001.101.104.16755'))  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != '1.2.36.1.2001.1001.101.104.16755'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-06-step-2" /><xsl:text />: TC-Types-06 step 2: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Reason Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. The
		CodedText data type has the requirement that values must come from the bound value domain with no exceptions. Therefore the value of the codeSystem attribute must be a publicly available
		code system. The Vaccine Cancellation Reason Type data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide states the code system is 'NS' (not stated) with the requirement 'When national standard code sets become
		available, they SHALL be used'. The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> which is after the national standard code set became available
		for use on the <xsl:text /><xsl:value-of select="''" /><xsl:text />. The code system that must be used is
		<xsl:text /><xsl:value-of select="if ('1.2.36.1.2001.1001.101.104.16755' = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName, ' (ConceptId ''', 'none', ''')')   else concat('1.2.36.1.2001.1001.101.104.16755', ' (', $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16755']/@codeSystemName, ')')" /><xsl:text /><xsl:text /><xsl:value-of select="if (not(@codeSystem)) then '.'    else if (@codeSystemName) then concat(' however codeSystem ''', @codeSystem, ''' (', @codeSystemName, ') is present.')   else concat(' however a codeSystem attribute with the value ''', @codeSystem, ''' is present.') " /><xsl:text />
		(See section 1.8 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide, <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 7.1.1.1.2.2 of the Australian Childhood Immunisation Register CDA Implementation Guide v1.1 for the
		information about the value domain.)
		<xsl:text /><xsl:value-of select="if ('none' = '11000036103') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName,     ' are Allergic reaction (''419076005''), Medication side-effect (''401207004'') and Drug interaction (''79899007'').')    else if ('none' = '15071000036100') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName,     ' are Prescribed (''105681000036100''), Suspended (''385655000'') and Unchanged (''105701000036103'').')    else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'OTH' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'OTH'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Reason Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore it is not valid for the data element to have nullFlavor 'OTH' to indicate that the
		actual value is not a member of the set of permitted data values in the constrained value domain. 
		(See the requirements for Vaccine Cancellation Reason Type and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Reason Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type<xsl:text /><xsl:value-of select="if (not(false())) then '.' else   concat(' and section 7.1.1.1.2.2 of the Australian Childhood Immunisation Register CDA Implementation Guide v1.1 states the vocabulary is ''', '1.2.36.1.2001.1001.101.104.16755', ''' (', $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16755']/@codeSystemName, ').') " /><xsl:text />
		The CodedText data type has
		the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor attribute
		to indicate there is no value, however a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) is present and is not one of the nullFlavor values that indicate there is no value.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@nullFlavor or @code) and not(false() and not(@nullFlavor) and not(@codeSystem)) and cda:originalText ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor or @code) and not(false() and not(@nullFlavor) and not(@codeSystem)) and cda:originalText">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Reason Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor
		attribute to indicate there is no value. The only information found in the data element is originalText '<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />'.
		(See the requirements for Vaccine Cancellation Reason Type and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)
		<xsl:text /><xsl:value-of select="if (local-name(.) = 'jobClassCode') then concat('Consider using the METeOR 314867 ''Employment type'' code system (codeSystem ''2.16.840.1.113883.3.879.314867'') which has ',   'codes for ''Permanent'', ''Fixed term contract'', ''Casual'' and ''Not stated/inadequately described''; or the  METeOR 691891 ''Full-time/part-time status'' code system ',   '(codeSystem ''2.16.840.1.113883.3.879.691891'') which has codes for ''Full-time'', ''Part-time'' and ''Not stated/inadequately described''. ',   '(See the the METeOR 314867 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/314867 and the METeOR 691891 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/691891.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="true() and @codeSystem and @codeSystem != '1.2.36.1.2001.1001.101.104.16755' and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and @codeSystem and @codeSystem != '1.2.36.1.2001.1001.101.104.16755' and not(false())">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Reason Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and section 7.1.1.1.2.2 of the Australian Childhood Immunisation Register CDA Implementation Guide v1.1 states the vocabulary is
		<xsl:text /><xsl:value-of select="if ('1.2.36.1.2001.1001.101.104.16755' = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName, ' (ConceptId ''', 'none', ''').')   else concat('1.2.36.1.2001.1001.101.104.16755', ' (', $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16755']/@codeSystemName, ').')" /><xsl:text />
		The CodedText data type has the requirement that values must come from the bound value domain with no exceptions.
		Therefore the value of codeSystem must be '1.2.36.1.2001.1001.101.104.16755' but codeSystem '<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />' (<xsl:text /><xsl:value-of select="@codeSystemName" /><xsl:text />) is present.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="true() and '1.2.36.1.2001.1001.101.104.16755' = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and    not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version,    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@refSet) = 'CodeFound') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and '1.2.36.1.2001.1001.101.104.16755' = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version, $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@refSet) = 'CodeFound')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Reason Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. The applicable value domain is the SNOMED CT-AU
		<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName" /><xsl:text />
		(Concept ID: 'none'). The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the code is not a member of the value domain.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 7.1.1.1.2.2 of the Australian Childhood Immunisation Register CDA Implementation Guide v1.1 for the information about the value domain.)<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-08" /><xsl:text />: TC-Types-08: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Reason Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. It has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> but has neither an originalText nor a displayName
		so it fails to conform to the requirement 'In accordance with the requirement to completely represent section contents, values of CodedText or CodeableText data elements defined in
		the SCS SHALL include an originalText or a displayName component (or both)'.
		(See Appendix A of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 6.1 and 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090
		Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and not(cda:originalText) and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and not(cda:originalText) and not(false())">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Vaccine Cancellation Reason Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is
		not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. (See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M55" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M55" />
  <xsl:template match="@*|node()" priority="-2" mode="M55">
    <xsl:apply-templates select="@*|*" mode="M55" />
  </xsl:template>
  <!--PATTERN p-TS-ACIR-CodedText-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16658' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16658']]/cda:entry/        cda:substanceAdministration[lower-case(cda:statusCode/@code)='cancelled']/cda:entryRelationship/        cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15595']]/cda:entryRelationship/cda:act/cda:code        [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]        [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M56">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16658' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16658']]/cda:entry/        cda:substanceAdministration[lower-case(cda:statusCode/@code)='cancelled']/cda:entryRelationship/        cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15595']]/cda:entryRelationship/cda:act/cda:code        [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]        [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Vaccine Cancellation Reason Type '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Vaccine Cancellation Reason Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Vaccine Cancellation Reason Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Vaccine Cancellation Reason Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Cancellation Reason Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Vaccine Cancellation Reason Type has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Vaccine Cancellation Reason Type data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('immunisations', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('immunisations', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Cancellation Reason Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Vaccine Cancellation Reason Type data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Cancellation Reason Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Vaccine Cancellation Reason Type data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Cancellation Reason Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Vaccine Cancellation Reason Type data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('immunisations', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('immunisations', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Vaccine Cancellation Reason Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('immunisations', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Vaccine Cancellation Reason Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Vaccine Cancellation Reason Type data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Vaccine Cancellation Reason Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Vaccine Cancellation Reason Type data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Cancellation Reason Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Cancellation Reason Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Vaccine Cancellation Reason Type data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Cancellation Reason Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Vaccine Cancellation Reason Type data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Cancellation Reason Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Cancellation Reason Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M56" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M56" />
  <xsl:template match="@*|node()" priority="-2" mode="M56">
    <xsl:apply-templates select="@*|*" mode="M56" />
  </xsl:template>
  <!--PATTERN p-TS-ACIR-DateTime-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16658' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16658']]/cda:entry/        cda:substanceAdministration[not(cda:statusCode/@code) or lower-case(cda:statusCode/@code)='active']/cda:effectiveTime " priority="1000" mode="M57">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16658' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16658']]/cda:entry/        cda:substanceAdministration[not(cda:statusCode/@code) or lower-case(cda:statusCode/@code)='active']/cda:effectiveTime " />
    <xsl:variable name="allow-ivl-ts" select="if (not(@xsi:type)) then false() else /cda:ClinicalDocument       [cda:templateId[(@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')  or         (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or         (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) ]]   and        local-name(.) = 'value'             and        ..[local-name(.) = 'observation' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]   and       ../..[local-name(.) = 'entryRelationship' and @typeCode='SUBJ']        and       ../../..[local-name(.) = 'observation' and cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]  and       ../../../..[local-name(.) = 'entry']            and       ../../../../..[local-name(.) = 'section' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]  " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-18" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-18 else $rating-alt-TC-Types-18 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-18: The Date Vaccination Received '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data
		type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime',            'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime', 'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: The Date Vaccination Received

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type but it does not meet the requirement to have the xsi:type attribute with the value 'TS'.
		(See section 8.6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Date Vaccination Received '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was
		found. This may be corrected by using an xsi:type attribute with the value 'TS'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Date Vaccination Received '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		This may be corrected by using an xsi:type attribute with the value 'TS'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Date Vaccination Received '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7
		'TS' data type to have a value attribute if there is no nullFlavor
		attribute. (See section 7.8.13.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange')

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Date Vaccination Received '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7 'TS' data type to have a value attribute if there is no nullFlavor
		attribute. The element has a '<xsl:text /><xsl:value-of select="local-name(*[local-name(.) = ('low', 'high')])" /><xsl:text />' child element with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		which is not one of the elements used for the HL7 'TS'
		data type. (See section 7.8.13 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Date Vaccination Received
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		is present. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Date Vaccination Received
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' was found. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Date Vaccination Received
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Date Vaccination Received
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@value) and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@value) and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Date Vaccination Received
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (uncoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include
		nullFlavor 'UNC'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M57" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M57" />
  <xsl:template match="@*|node()" priority="-2" mode="M57">
    <xsl:apply-templates select="@*|*" mode="M57" />
  </xsl:template>
  <!--PATTERN p-TS-ACIR-DateTime-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16658' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16658']]/cda:entry/        cda:substanceAdministration[not(cda:statusCode/@code) or lower-case(cda:statusCode/@code)='active']/cda:effectiveTime    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))] " priority="1000" mode="M58">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16658' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16658']]/cda:entry/        cda:substanceAdministration[not(cda:statusCode/@code) or lower-case(cda:statusCode/@code)='active']/cda:effectiveTime    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="fir-narrative" select="translate(normalize-space(lower-case(string($fir-narr-node))), $chars-to-remove, '')" />
    <xsl:variable name="sec-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)        then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]        else () " />
    <xsl:variable name="sec-narr-node" select="$sec-section/cda:text " />
    <xsl:variable name="narr-text-el" select="(for $text in ($fir-narr-node//text(), $sec-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="sec-narrative" select="translate(normalize-space(lower-case(string($sec-narr-node))), $chars-to-remove, '') " />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="narrative" select="concat($target-title, $fir-narrative, $sec-narrative)" />
    <xsl:variable name="narr-elements" select="$fir-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ]  |             $sec-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ] " />
    <xsl:variable name="narr-lower-case" select="for $i in (1 to count($narr-elements)) return lower-case(normalize-space(string-join($narr-elements[$i]/text(), '')))  " />
    <xsl:variable name="dt-narr-elements" select="$narr-lower-case[matches(., $regex-date-type-1, 'i') or matches(., $regex-date-type-2, 'i') or matches(., $regex-date-type-3, 'i')] " />
    <xsl:variable name="narr-elements-start" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-before($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-before($dt-narr-elements[$i], ' -'))        else $dt-narr-elements[$i])[. != ''] " />
    <xsl:variable name="narr-elements-end" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-after($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-after($dt-narr-elements[$i], ' -'))        else '')[. != ''] " />
    <xsl:variable name="narr-dateTimes" select="distinct-values(($narr-elements-start , $narr-elements-end))[. != '(ongoing)'] " />
    <xsl:variable name="dt-value" select="if (@value) then @value else '' " />
    <xsl:variable name="no-time-zone" select="if (contains($dt-value, '+')) then substring-before($dt-value, '+')       else if (contains($dt-value, '-')) then substring-before($dt-value, '-')       else $dt-value " />
    <xsl:variable name="dateTime-length" select="string-length($no-time-zone) " />
    <xsl:variable name="year" select="if ($dateTime-length &gt; 3) then substring($no-time-zone,1,4) else '' " />
    <xsl:variable name="month-num" select="if ($dateTime-length &gt; 5) then substring($no-time-zone,5,2) else '' " />
    <xsl:variable name="day" select="if ($dateTime-length &gt; 7 and substring($no-time-zone,7,1) = '0') then substring($no-time-zone,8,1)       else if ($dateTime-length &gt; 7 and substring($no-time-zone,7,1) != '0') then substring($no-time-zone,7,2) else '' " />
    <xsl:variable name="hour-long" select="if ($dateTime-length &gt; 9) then substring($no-time-zone,9,2) else '' " />
    <xsl:variable name="hour-short" select="if (substring($hour-long, 1, 1) = '0') then substring($hour-long, 2, 1) else '' " />
    <xsl:variable name="minute" select="if ($dateTime-length &gt; 11) then substring($no-time-zone,11,2) else '' " />
    <xsl:variable name="second" select="if ($dateTime-length &gt; 13) then substring($no-time-zone,13,2) else '' " />
    <xsl:variable name="time-zone" select="if (contains($dt-value, '+')) then concat('\+', substring-after($dt-value, '+'))       else if (contains($dt-value, '-')) then concat('\-', substring-after($dt-value, '-'))       else '' " />
    <xsl:variable name="month-short" select="if ($month-num = '01') then 'jan'  else             if ($month-num = '02') then 'feb'  else             if ($month-num = '03') then 'mar'  else             if ($month-num = '04') then 'apr'  else             if ($month-num = '05') then 'may'  else             if ($month-num = '06') then 'jun'  else             if ($month-num = '07') then 'jul'  else             if ($month-num = '08') then 'aug'  else             if ($month-num = '09') then 'sep'  else             if ($month-num = '10') then 'oct'  else             if ($month-num = '11') then 'nov'  else             if ($month-num = '12') then 'dec'  else '' " />
    <xsl:variable name="month-long" select="if ($month-num = '01') then 'january'  else             if ($month-num = '02') then 'february'  else             if ($month-num = '03') then 'march'  else             if ($month-num = '04') then 'april'  else             if ($month-num = '05') then 'may'  else             if ($month-num = '06') then 'june'  else             if ($month-num = '07') then 'july'  else             if ($month-num = '08') then 'august'  else             if ($month-num = '09') then 'september'  else             if ($month-num = '10') then 'october'  else             if ($month-num = '11') then 'november'  else             if ($month-num = '12') then 'december'  else '' " />
    <xsl:variable name="date-type-3-day" select="if (string-length($day) = 1) then concat('0{0,1}', $day) else $day " />
    <xsl:variable name="date-type-3-month" select="if (string-length($month-num) = 1) then concat('0{0,1}', $month-num)        else if (substring($month-num, 1, 1) = '0') then concat('0{0,1}', substring($month-num, 2, 1))         else $month-num " />
    <xsl:variable name="dt-sequence-1" select="if ($dateTime-length = 4) then (         concat('^', $dt-value)         ,          concat('^', $year)         )        else if ($dateTime-length = 6) then (         concat('^', $dt-value)         ,         concat('^', $month-short, $date-sep, $year)      ,          concat('^', $month-long, $date-sep, $year)      )        else if ($dateTime-length &gt; 7) then (         concat('^', $dt-value)         ,         concat('^', $date-type-3-day, $date-sep, $month-short, $date-sep, $year)  ,         concat('^', $date-type-3-day, $date-sep, $month-long, $date-sep, $year)   ,         concat('^', $date-type-3-day, '/', $date-type-3-month, '/', $year)   )        else () " />
    <xsl:variable name="matching-seq-1" select="if (exists($dt-sequence-1))        then index-of(for $i in (1 to count($dt-sequence-1)) return exists($narr-dateTimes[matches(., $dt-sequence-1[$i], 'i')]), true())        else () " />
    <xsl:variable name="dt-stem-1" select="for $i in (1 to count($matching-seq-1)) return $dt-sequence-1[$matching-seq-1[$i]] " />
    <xsl:variable name="dt-regex-1" select="if (exists($dt-stem-1)) then concat('(', string-join($dt-stem-1, '$)|('), '$)') else ()" />
    <xsl:variable name="dt-match-1" select="exists($dt-stem-1) and exists($narr-dateTimes[matches(., $dt-regex-1, 'i')])" />
    <xsl:variable name="time-1" select="if ($dateTime-length &gt; 11 and $hour-short != '') then concat($hour-short, ':', $minute, '( *| *am)') else '' " />
    <xsl:variable name="time-2" select="if ($dateTime-length &gt; 13 and $hour-short != '') then concat($hour-short, ':', $minute, ':', $second, '( *| *am)') else '' " />
    <xsl:variable name="time-3" select="if ($dateTime-length &gt; 11 and number($hour-long) &lt; 12) then concat($hour-long, ':', $minute, '( *| *am)')       else if ($dateTime-length &gt; 11) then concat($hour-long, ':', $minute) else '' " />
    <xsl:variable name="time-4" select="if ($dateTime-length &gt; 13 and number($hour-long) &lt; 12) then concat($hour-long, ':', $minute, ':', $second, '( *| *am)')        else if ($dateTime-length &gt; 13) then concat($hour-long, ':', $minute, ':', $second) else '' " />
    <xsl:variable name="time-5" select="if ($dateTime-length &gt; 11 and number($hour-long) &gt; 12) then concat(string(number($hour-long) - 12), ':', $minute, '( *| *pm)') else '' " />
    <xsl:variable name="time-6" select="if ($dateTime-length &gt; 13 and number($hour-long) &gt; 12) then concat(string(number($hour-long) - 12), ':', $minute, ':', $second, '( *| *pm)') else '' " />
    <xsl:variable name="dt-temp-0" select="if (exists($dt-stem-1) and $dateTime-length = 8) then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $narr-time-regex) else () " />
    <xsl:variable name="dt-temp-1" select="if (exists($dt-stem-1) and $time-1 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-1) else () " />
    <xsl:variable name="dt-temp-2" select="if (exists($dt-stem-1) and $time-2 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-2) else () " />
    <xsl:variable name="dt-temp-3" select="if (exists($dt-stem-1) and $time-3 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-3) else () " />
    <xsl:variable name="dt-temp-4" select="if (exists($dt-stem-1) and $time-4 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-4) else () " />
    <xsl:variable name="dt-temp-5" select="if (exists($dt-stem-1) and $time-5 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-5) else () " />
    <xsl:variable name="dt-temp-6" select="if (exists($dt-stem-1) and $time-6 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-6) else () " />
    <xsl:variable name="dt-sequence-2" select="($dt-temp-0, $dt-temp-1, $dt-temp-2, $dt-temp-3, $dt-temp-4, $dt-temp-5, $dt-temp-6)" />
    <xsl:variable name="matching-seq-2" select="if (exists($dt-sequence-2))        then index-of(for $i in (1 to count($dt-sequence-2)) return exists($narr-dateTimes[matches(., $dt-sequence-2[$i], 'i')]), true())        else () " />
    <xsl:variable name="dt-stem-2" select="for $i in (1 to count($matching-seq-2)) return $dt-sequence-2[$matching-seq-2[$i]] " />
    <xsl:variable name="dt-regex-2" select="if (exists($dt-stem-2)) then concat('(', string-join($dt-stem-2, '$)|('), '$)') else '' " />
    <xsl:variable name="dt-match-2" select="(exists($dt-stem-2) and exists($narr-dateTimes[matches(., $dt-regex-2, 'i')])) " />
    <xsl:variable name="dt-sequence-3" select="if (not($dt-match-2) and exists($dt-stem-2) and $time-zone != '') then for $i in (1 to count($dt-stem-2)) return        concat($dt-stem-2[$i], substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2)) else () " />
    <xsl:variable name="dt-regex-3" select="if ($dt-match-2) then '' else if (exists($dt-sequence-3)) then concat('(', string-join($dt-sequence-3, '$)|('), '$)') else '' " />
    <xsl:variable name="dt-match-3" select="($dt-match-2 or (exists($dt-sequence-3) and exists($narr-dateTimes[matches(., $dt-regex-3, 'i')]))) " />
    <xsl:variable name="narr-match" select="if ($dt-value != '' and not(exists($narr-dateTimes))) then      (       contains($narrative, $dt-value)               or       (string-length($dt-value) = 4 and contains($narrative, $year))            or        (string-length($dt-value) = 6 and contains($narrative, concat($month-short, $year)))          or       (string-length($dt-value) &gt; 7 and starts-with($day, '0') and        (contains($narrative, concat(substring($day,2,1), $month-short, $year)) or         contains($narrative, concat(substring($day,2,1), $month-num, $year))))          or       (string-length($dt-value) &gt; 7 and (contains($narrative, concat($day, $month-short, $year)) or contains($narrative, concat($day, $month-num, $year))))        )       else false() " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($fir-narr-node//cda:renderMultiMedia) or exists($sec-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($fir-narr-node//cda:linkHtml) or exists($sec-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="warning-1" select="exists($dt-sequence-1) and exists($narr-dateTimes) and $dt-match-1 and not($dt-match-3) and $dt-value != '' " />
    <xsl:variable name="error-1" select="$warning-1 and not($multimedia) " />
    <xsl:variable name="warning-2" select="exists($dt-sequence-1) and exists($narr-dateTimes) and not($dt-match-1 or $dt-match-3) and $dt-value != '' " />
    <xsl:variable name="error-2a" select="$warning-2 and not($multimedia) and $time-zone != '' and count($narr-dateTimes) =        count(for $dt in $narr-dateTimes return replace(replace($dt, $regex-date-type-1, ''), $regex-date-type-2, '')       [matches(., concat('^\s*([0-9]{1,2}:{1}[0-9]{2}\s*', substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2),         '|[0-9]{1,2}:{1}[0-9]{2}:{1}[0-9]{2}\s*', substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2), ')\s*$'), 'i')]) " />
    <xsl:variable name="error-2b" select="$warning-2 and not($dt-match-1) and not($multimedia) and count($narr-dateTimes[matches(., $regex-date-type-2, 'i')]) =        count($narr-dateTimes[matches(., concat($regex-date-type-2, ' ', $narr-time-regex, '$'), 'i')]) " />
    <xsl:variable name="error-2c" select="$warning-2 and exists($narr-dateTimes[matches(., concat('^', $year, '$'))]) " />
    <xsl:variable name="error-2" select="$error-2a or $error-2b or $error-2c " />
    <xsl:variable name="warning-3" select="$dt-value != '' and not(exists($narr-dateTimes)) and not($narr-match) " />
    <xsl:variable name="error-3" select="$warning-3 and not($multimedia) and not(contains($narrative, substring($year, 3, 2)))" />
    <xsl:variable name="narr-dt-msg" select="if ($multimedia or $no-content) then ''       else if (not(exists($narr-dateTimes))) then concat(' The narrative of the ', iq:location(., ''), ' contains no dateTime elements.')       else if (count($narr-dateTimes) = 1) then concat(' The only dateTime element in the narrative of the ', iq:location(., ''), ' is ''',         dh:XQueryRecursiveReplace($narr-dateTimes[1], '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), '''.')       else concat(' The distinct dateTime elements in the narrative of the ', iq:location(., ''), ' are ''',         string-join(for $dt in $narr-dateTimes return          dh:XQueryRecursiveReplace($dt, '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), ', '), '''.') " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-4" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-4 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and exists($dt-sequence-1) and $dt-value != '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and exists($dt-sequence-1) and $dt-value != ''">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 4: The dateTime element in the structured data is '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'.
		The number of dateTime elements that have been extracted from the narrative is '<xsl:text /><xsl:value-of select="count($narr-dateTimes)" /><xsl:text />'.
		These are '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-dateTimes, ', '), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The initial regular expressions are '<xsl:text /><xsl:value-of select="string-join($dt-sequence-1, ', ')" /><xsl:text />'.
		The items in dt-stem-1 are: '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($dt-stem-1, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The items in dt-sequence-2 are: '<xsl:text /><xsl:value-of select="string-join($dt-sequence-2, '|')" /><xsl:text />'.
		The items in dt-stem-2 are: '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($dt-stem-2, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The three regular expressions used to perform an exact match for narrative dateTime elements are as follows:
		dt-regex-1='<xsl:text /><xsl:value-of select="$dt-regex-1" /><xsl:text />'; dt-regex-2='<xsl:text /><xsl:value-of select="$dt-regex-2" /><xsl:text />'; and dt-regex-3='<xsl:text /><xsl:value-of select="$dt-regex-3" /><xsl:text />'.
		Was a match found after the first regular expression (with just a date) was created? <xsl:text /><xsl:value-of select="$dt-match-1" /><xsl:text />.		
		<xsl:text /><xsl:value-of select="if ($dt-regex-2 = '') then 'The second regular expression was not applied as there is no time information.'    else concat('Was a match found after the second regular expression (with a date and time) was created? ', $dt-match-2, '.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($dt-regex-3 = '') then ' The third regular expression was not applied as there is no timezone information.'    else concat(' Was a match found after the third regular expression (with a date and time) was created? ', $dt-match-3, '.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $warning-1 and not($error-1 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $warning-1 and not($error-1 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date Vaccination Received 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Date Vaccination Received data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $error-1 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $error-1 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date Vaccination Received 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. The Date Vaccination Received data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $error-1 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $error-1 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date Vaccination Received 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. The Date Vaccination Received data element records clinical information and all clinical information in entry elements must be present in the narrative.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $warning-2 and not($error-2 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$warning-2 and not($error-2 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date Vaccination Received 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Date Vaccination Received data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-2 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-2 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date Vaccination Received 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="if ($error-2c) then concat('The narrative contains a date with the same year ''', $year, ''' but without a month or day.') else '' " /><xsl:text />
		The Date Vaccination Received data element records clinical information and all clinical information in entry elements must be present in the narrative.
		<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-2 and not($no-content) and not(true())">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-2 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date Vaccination Received 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="if ($error-2c) then concat('The narrative contains a date with the same year ''', $year, ''' but without a month or day.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $warning-3 and not($error-3 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$warning-3 and not($error-3 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date Vaccination Received 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Date Vaccination Received data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $dt-value != '' and not($narr-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $dt-value != '' and not($narr-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date Vaccination Received 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $dt-value != '' and not($narr-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $dt-value != '' and not($narr-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date Vaccination Received '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Date Vaccination Received data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-3 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-3 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date Vaccination Received '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Date Vaccination Received data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-3 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-3 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date Vaccination Received '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Date Vaccination Received '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M58" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M58" />
  <xsl:template match="@*|node()" priority="-2" mode="M58">
    <xsl:apply-templates select="@*|*" mode="M58" />
  </xsl:template>
  <!--PATTERN p-TS-ACIR-DateTime-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16658' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16658']]/cda:entry/        cda:substanceAdministration[lower-case(cda:statusCode/@code)='cancelled']/cda:effectiveTime " priority="1000" mode="M59">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16658' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16658']]/cda:entry/        cda:substanceAdministration[lower-case(cda:statusCode/@code)='cancelled']/cda:effectiveTime " />
    <xsl:variable name="allow-ivl-ts" select="if (not(@xsi:type)) then false() else /cda:ClinicalDocument       [cda:templateId[(@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')  or         (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or         (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) ]]   and        local-name(.) = 'value'             and        ..[local-name(.) = 'observation' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]   and       ../..[local-name(.) = 'entryRelationship' and @typeCode='SUBJ']        and       ../../..[local-name(.) = 'observation' and cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]  and       ../../../..[local-name(.) = 'entry']            and       ../../../../..[local-name(.) = 'section' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]  " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-18" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-18 else $rating-alt-TC-Types-18 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-18: The Date Vaccination Cancelled '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data
		type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime',            'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime', 'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: The Date Vaccination Cancelled

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type but it does not meet the requirement to have the xsi:type attribute with the value 'TS'.
		(See section 8.6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Date Vaccination Cancelled '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was
		found. This may be corrected by using an xsi:type attribute with the value 'TS'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Date Vaccination Cancelled '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		This may be corrected by using an xsi:type attribute with the value 'TS'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Date Vaccination Cancelled '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7
		'TS' data type to have a value attribute if there is no nullFlavor
		attribute. (See section 7.8.13.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange')

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Date Vaccination Cancelled '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7 'TS' data type to have a value attribute if there is no nullFlavor
		attribute. The element has a '<xsl:text /><xsl:value-of select="local-name(*[local-name(.) = ('low', 'high')])" /><xsl:text />' child element with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		which is not one of the elements used for the HL7 'TS'
		data type. (See section 7.8.13 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Date Vaccination Cancelled
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		is present. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Date Vaccination Cancelled
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' was found. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Date Vaccination Cancelled
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Date Vaccination Cancelled
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@value) and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@value) and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Date Vaccination Cancelled
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (uncoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include
		nullFlavor 'UNC'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M59" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M59" />
  <xsl:template match="@*|node()" priority="-2" mode="M59">
    <xsl:apply-templates select="@*|*" mode="M59" />
  </xsl:template>
  <!--PATTERN p-TS-ACIR-DateTime-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16658' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16658']]/cda:entry/        cda:substanceAdministration[lower-case(cda:statusCode/@code)='cancelled']/cda:effectiveTime    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))] " priority="1000" mode="M60">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16658' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16658']]/cda:entry/        cda:substanceAdministration[lower-case(cda:statusCode/@code)='cancelled']/cda:effectiveTime    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="fir-narrative" select="translate(normalize-space(lower-case(string($fir-narr-node))), $chars-to-remove, '')" />
    <xsl:variable name="sec-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)        then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]        else () " />
    <xsl:variable name="sec-narr-node" select="$sec-section/cda:text " />
    <xsl:variable name="narr-text-el" select="(for $text in ($fir-narr-node//text(), $sec-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="sec-narrative" select="translate(normalize-space(lower-case(string($sec-narr-node))), $chars-to-remove, '') " />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="narrative" select="concat($target-title, $fir-narrative, $sec-narrative)" />
    <xsl:variable name="narr-elements" select="$fir-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ]  |             $sec-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ] " />
    <xsl:variable name="narr-lower-case" select="for $i in (1 to count($narr-elements)) return lower-case(normalize-space(string-join($narr-elements[$i]/text(), '')))  " />
    <xsl:variable name="dt-narr-elements" select="$narr-lower-case[matches(., $regex-date-type-1, 'i') or matches(., $regex-date-type-2, 'i') or matches(., $regex-date-type-3, 'i')] " />
    <xsl:variable name="narr-elements-start" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-before($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-before($dt-narr-elements[$i], ' -'))        else $dt-narr-elements[$i])[. != ''] " />
    <xsl:variable name="narr-elements-end" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-after($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-after($dt-narr-elements[$i], ' -'))        else '')[. != ''] " />
    <xsl:variable name="narr-dateTimes" select="distinct-values(($narr-elements-start , $narr-elements-end))[. != '(ongoing)'] " />
    <xsl:variable name="dt-value" select="if (@value) then @value else '' " />
    <xsl:variable name="no-time-zone" select="if (contains($dt-value, '+')) then substring-before($dt-value, '+')       else if (contains($dt-value, '-')) then substring-before($dt-value, '-')       else $dt-value " />
    <xsl:variable name="dateTime-length" select="string-length($no-time-zone) " />
    <xsl:variable name="year" select="if ($dateTime-length &gt; 3) then substring($no-time-zone,1,4) else '' " />
    <xsl:variable name="month-num" select="if ($dateTime-length &gt; 5) then substring($no-time-zone,5,2) else '' " />
    <xsl:variable name="day" select="if ($dateTime-length &gt; 7 and substring($no-time-zone,7,1) = '0') then substring($no-time-zone,8,1)       else if ($dateTime-length &gt; 7 and substring($no-time-zone,7,1) != '0') then substring($no-time-zone,7,2) else '' " />
    <xsl:variable name="hour-long" select="if ($dateTime-length &gt; 9) then substring($no-time-zone,9,2) else '' " />
    <xsl:variable name="hour-short" select="if (substring($hour-long, 1, 1) = '0') then substring($hour-long, 2, 1) else '' " />
    <xsl:variable name="minute" select="if ($dateTime-length &gt; 11) then substring($no-time-zone,11,2) else '' " />
    <xsl:variable name="second" select="if ($dateTime-length &gt; 13) then substring($no-time-zone,13,2) else '' " />
    <xsl:variable name="time-zone" select="if (contains($dt-value, '+')) then concat('\+', substring-after($dt-value, '+'))       else if (contains($dt-value, '-')) then concat('\-', substring-after($dt-value, '-'))       else '' " />
    <xsl:variable name="month-short" select="if ($month-num = '01') then 'jan'  else             if ($month-num = '02') then 'feb'  else             if ($month-num = '03') then 'mar'  else             if ($month-num = '04') then 'apr'  else             if ($month-num = '05') then 'may'  else             if ($month-num = '06') then 'jun'  else             if ($month-num = '07') then 'jul'  else             if ($month-num = '08') then 'aug'  else             if ($month-num = '09') then 'sep'  else             if ($month-num = '10') then 'oct'  else             if ($month-num = '11') then 'nov'  else             if ($month-num = '12') then 'dec'  else '' " />
    <xsl:variable name="month-long" select="if ($month-num = '01') then 'january'  else             if ($month-num = '02') then 'february'  else             if ($month-num = '03') then 'march'  else             if ($month-num = '04') then 'april'  else             if ($month-num = '05') then 'may'  else             if ($month-num = '06') then 'june'  else             if ($month-num = '07') then 'july'  else             if ($month-num = '08') then 'august'  else             if ($month-num = '09') then 'september'  else             if ($month-num = '10') then 'october'  else             if ($month-num = '11') then 'november'  else             if ($month-num = '12') then 'december'  else '' " />
    <xsl:variable name="date-type-3-day" select="if (string-length($day) = 1) then concat('0{0,1}', $day) else $day " />
    <xsl:variable name="date-type-3-month" select="if (string-length($month-num) = 1) then concat('0{0,1}', $month-num)        else if (substring($month-num, 1, 1) = '0') then concat('0{0,1}', substring($month-num, 2, 1))         else $month-num " />
    <xsl:variable name="dt-sequence-1" select="if ($dateTime-length = 4) then (         concat('^', $dt-value)         ,          concat('^', $year)         )        else if ($dateTime-length = 6) then (         concat('^', $dt-value)         ,         concat('^', $month-short, $date-sep, $year)      ,          concat('^', $month-long, $date-sep, $year)      )        else if ($dateTime-length &gt; 7) then (         concat('^', $dt-value)         ,         concat('^', $date-type-3-day, $date-sep, $month-short, $date-sep, $year)  ,         concat('^', $date-type-3-day, $date-sep, $month-long, $date-sep, $year)   ,         concat('^', $date-type-3-day, '/', $date-type-3-month, '/', $year)   )        else () " />
    <xsl:variable name="matching-seq-1" select="if (exists($dt-sequence-1))        then index-of(for $i in (1 to count($dt-sequence-1)) return exists($narr-dateTimes[matches(., $dt-sequence-1[$i], 'i')]), true())        else () " />
    <xsl:variable name="dt-stem-1" select="for $i in (1 to count($matching-seq-1)) return $dt-sequence-1[$matching-seq-1[$i]] " />
    <xsl:variable name="dt-regex-1" select="if (exists($dt-stem-1)) then concat('(', string-join($dt-stem-1, '$)|('), '$)') else ()" />
    <xsl:variable name="dt-match-1" select="exists($dt-stem-1) and exists($narr-dateTimes[matches(., $dt-regex-1, 'i')])" />
    <xsl:variable name="time-1" select="if ($dateTime-length &gt; 11 and $hour-short != '') then concat($hour-short, ':', $minute, '( *| *am)') else '' " />
    <xsl:variable name="time-2" select="if ($dateTime-length &gt; 13 and $hour-short != '') then concat($hour-short, ':', $minute, ':', $second, '( *| *am)') else '' " />
    <xsl:variable name="time-3" select="if ($dateTime-length &gt; 11 and number($hour-long) &lt; 12) then concat($hour-long, ':', $minute, '( *| *am)')       else if ($dateTime-length &gt; 11) then concat($hour-long, ':', $minute) else '' " />
    <xsl:variable name="time-4" select="if ($dateTime-length &gt; 13 and number($hour-long) &lt; 12) then concat($hour-long, ':', $minute, ':', $second, '( *| *am)')        else if ($dateTime-length &gt; 13) then concat($hour-long, ':', $minute, ':', $second) else '' " />
    <xsl:variable name="time-5" select="if ($dateTime-length &gt; 11 and number($hour-long) &gt; 12) then concat(string(number($hour-long) - 12), ':', $minute, '( *| *pm)') else '' " />
    <xsl:variable name="time-6" select="if ($dateTime-length &gt; 13 and number($hour-long) &gt; 12) then concat(string(number($hour-long) - 12), ':', $minute, ':', $second, '( *| *pm)') else '' " />
    <xsl:variable name="dt-temp-0" select="if (exists($dt-stem-1) and $dateTime-length = 8) then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $narr-time-regex) else () " />
    <xsl:variable name="dt-temp-1" select="if (exists($dt-stem-1) and $time-1 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-1) else () " />
    <xsl:variable name="dt-temp-2" select="if (exists($dt-stem-1) and $time-2 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-2) else () " />
    <xsl:variable name="dt-temp-3" select="if (exists($dt-stem-1) and $time-3 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-3) else () " />
    <xsl:variable name="dt-temp-4" select="if (exists($dt-stem-1) and $time-4 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-4) else () " />
    <xsl:variable name="dt-temp-5" select="if (exists($dt-stem-1) and $time-5 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-5) else () " />
    <xsl:variable name="dt-temp-6" select="if (exists($dt-stem-1) and $time-6 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-6) else () " />
    <xsl:variable name="dt-sequence-2" select="($dt-temp-0, $dt-temp-1, $dt-temp-2, $dt-temp-3, $dt-temp-4, $dt-temp-5, $dt-temp-6)" />
    <xsl:variable name="matching-seq-2" select="if (exists($dt-sequence-2))        then index-of(for $i in (1 to count($dt-sequence-2)) return exists($narr-dateTimes[matches(., $dt-sequence-2[$i], 'i')]), true())        else () " />
    <xsl:variable name="dt-stem-2" select="for $i in (1 to count($matching-seq-2)) return $dt-sequence-2[$matching-seq-2[$i]] " />
    <xsl:variable name="dt-regex-2" select="if (exists($dt-stem-2)) then concat('(', string-join($dt-stem-2, '$)|('), '$)') else '' " />
    <xsl:variable name="dt-match-2" select="(exists($dt-stem-2) and exists($narr-dateTimes[matches(., $dt-regex-2, 'i')])) " />
    <xsl:variable name="dt-sequence-3" select="if (not($dt-match-2) and exists($dt-stem-2) and $time-zone != '') then for $i in (1 to count($dt-stem-2)) return        concat($dt-stem-2[$i], substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2)) else () " />
    <xsl:variable name="dt-regex-3" select="if ($dt-match-2) then '' else if (exists($dt-sequence-3)) then concat('(', string-join($dt-sequence-3, '$)|('), '$)') else '' " />
    <xsl:variable name="dt-match-3" select="($dt-match-2 or (exists($dt-sequence-3) and exists($narr-dateTimes[matches(., $dt-regex-3, 'i')]))) " />
    <xsl:variable name="narr-match" select="if ($dt-value != '' and not(exists($narr-dateTimes))) then      (       contains($narrative, $dt-value)               or       (string-length($dt-value) = 4 and contains($narrative, $year))            or        (string-length($dt-value) = 6 and contains($narrative, concat($month-short, $year)))          or       (string-length($dt-value) &gt; 7 and starts-with($day, '0') and        (contains($narrative, concat(substring($day,2,1), $month-short, $year)) or         contains($narrative, concat(substring($day,2,1), $month-num, $year))))          or       (string-length($dt-value) &gt; 7 and (contains($narrative, concat($day, $month-short, $year)) or contains($narrative, concat($day, $month-num, $year))))        )       else false() " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($fir-narr-node//cda:renderMultiMedia) or exists($sec-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($fir-narr-node//cda:linkHtml) or exists($sec-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="warning-1" select="exists($dt-sequence-1) and exists($narr-dateTimes) and $dt-match-1 and not($dt-match-3) and $dt-value != '' " />
    <xsl:variable name="error-1" select="$warning-1 and not($multimedia) " />
    <xsl:variable name="warning-2" select="exists($dt-sequence-1) and exists($narr-dateTimes) and not($dt-match-1 or $dt-match-3) and $dt-value != '' " />
    <xsl:variable name="error-2a" select="$warning-2 and not($multimedia) and $time-zone != '' and count($narr-dateTimes) =        count(for $dt in $narr-dateTimes return replace(replace($dt, $regex-date-type-1, ''), $regex-date-type-2, '')       [matches(., concat('^\s*([0-9]{1,2}:{1}[0-9]{2}\s*', substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2),         '|[0-9]{1,2}:{1}[0-9]{2}:{1}[0-9]{2}\s*', substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2), ')\s*$'), 'i')]) " />
    <xsl:variable name="error-2b" select="$warning-2 and not($dt-match-1) and not($multimedia) and count($narr-dateTimes[matches(., $regex-date-type-2, 'i')]) =        count($narr-dateTimes[matches(., concat($regex-date-type-2, ' ', $narr-time-regex, '$'), 'i')]) " />
    <xsl:variable name="error-2c" select="$warning-2 and exists($narr-dateTimes[matches(., concat('^', $year, '$'))]) " />
    <xsl:variable name="error-2" select="$error-2a or $error-2b or $error-2c " />
    <xsl:variable name="warning-3" select="$dt-value != '' and not(exists($narr-dateTimes)) and not($narr-match) " />
    <xsl:variable name="error-3" select="$warning-3 and not($multimedia) and not(contains($narrative, substring($year, 3, 2)))" />
    <xsl:variable name="narr-dt-msg" select="if ($multimedia or $no-content) then ''       else if (not(exists($narr-dateTimes))) then concat(' The narrative of the ', iq:location(., ''), ' contains no dateTime elements.')       else if (count($narr-dateTimes) = 1) then concat(' The only dateTime element in the narrative of the ', iq:location(., ''), ' is ''',         dh:XQueryRecursiveReplace($narr-dateTimes[1], '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), '''.')       else concat(' The distinct dateTime elements in the narrative of the ', iq:location(., ''), ' are ''',         string-join(for $dt in $narr-dateTimes return          dh:XQueryRecursiveReplace($dt, '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), ', '), '''.') " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-4" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-4 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and exists($dt-sequence-1) and $dt-value != '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and exists($dt-sequence-1) and $dt-value != ''">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 4: The dateTime element in the structured data is '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'.
		The number of dateTime elements that have been extracted from the narrative is '<xsl:text /><xsl:value-of select="count($narr-dateTimes)" /><xsl:text />'.
		These are '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-dateTimes, ', '), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The initial regular expressions are '<xsl:text /><xsl:value-of select="string-join($dt-sequence-1, ', ')" /><xsl:text />'.
		The items in dt-stem-1 are: '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($dt-stem-1, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The items in dt-sequence-2 are: '<xsl:text /><xsl:value-of select="string-join($dt-sequence-2, '|')" /><xsl:text />'.
		The items in dt-stem-2 are: '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($dt-stem-2, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The three regular expressions used to perform an exact match for narrative dateTime elements are as follows:
		dt-regex-1='<xsl:text /><xsl:value-of select="$dt-regex-1" /><xsl:text />'; dt-regex-2='<xsl:text /><xsl:value-of select="$dt-regex-2" /><xsl:text />'; and dt-regex-3='<xsl:text /><xsl:value-of select="$dt-regex-3" /><xsl:text />'.
		Was a match found after the first regular expression (with just a date) was created? <xsl:text /><xsl:value-of select="$dt-match-1" /><xsl:text />.		
		<xsl:text /><xsl:value-of select="if ($dt-regex-2 = '') then 'The second regular expression was not applied as there is no time information.'    else concat('Was a match found after the second regular expression (with a date and time) was created? ', $dt-match-2, '.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($dt-regex-3 = '') then ' The third regular expression was not applied as there is no timezone information.'    else concat(' Was a match found after the third regular expression (with a date and time) was created? ', $dt-match-3, '.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $warning-1 and not($error-1 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $warning-1 and not($error-1 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date Vaccination Cancelled 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Date Vaccination Cancelled data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $error-1 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $error-1 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date Vaccination Cancelled 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. The Date Vaccination Cancelled data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $error-1 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $error-1 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date Vaccination Cancelled 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. The Date Vaccination Cancelled data element records clinical information and all clinical information in entry elements must be present in the narrative.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $warning-2 and not($error-2 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$warning-2 and not($error-2 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date Vaccination Cancelled 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Date Vaccination Cancelled data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-2 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-2 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date Vaccination Cancelled 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="if ($error-2c) then concat('The narrative contains a date with the same year ''', $year, ''' but without a month or day.') else '' " /><xsl:text />
		The Date Vaccination Cancelled data element records clinical information and all clinical information in entry elements must be present in the narrative.
		<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-2 and not($no-content) and not(true())">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-2 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date Vaccination Cancelled 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="if ($error-2c) then concat('The narrative contains a date with the same year ''', $year, ''' but without a month or day.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $warning-3 and not($error-3 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$warning-3 and not($error-3 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date Vaccination Cancelled 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Date Vaccination Cancelled data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $dt-value != '' and not($narr-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $dt-value != '' and not($narr-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date Vaccination Cancelled 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $dt-value != '' and not($narr-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $dt-value != '' and not($narr-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date Vaccination Cancelled '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Date Vaccination Cancelled data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-3 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-3 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date Vaccination Cancelled '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Date Vaccination Cancelled data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-3 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-3 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date Vaccination Cancelled '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Date Vaccination Cancelled '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M60" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M60" />
  <xsl:template match="@*|node()" priority="-2" mode="M60">
    <xsl:apply-templates select="@*|*" mode="M60" />
  </xsl:template>
  <!--PATTERN p-TS-ACIR-Integer-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16658' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16658']]/cda:entry/        cda:substanceAdministration[not(cda:statusCode/@code) or lower-case(cda:statusCode/@code)='active']/cda:entryRelationship/cda:sequenceNumber " priority="1000" mode="M61">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16658' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16658']]/cda:entry/        cda:substanceAdministration[not(cda:statusCode/@code) or lower-case(cda:statusCode/@code)='active']/cda:entryRelationship/cda:sequenceNumber " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 8.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-14" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-14 else $rating-alt-TC-Types-14 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-14: The Vaccine Administration Entry - Vaccine Dose Number '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type and
		<xsl:text /><xsl:value-of select="if (@value and @nullFlavor) then concat('has a value attribute with the value ''', @value, ''' and a nullFlavor attribute with the value ''', @nullFlavor, '''')   else if (@value and not(@nullFlavor)) then concat('has a value attribute with the value ''', @value, '''')   else if (not(@value) and @nullFlavor) then concat('has a nullFlavor attribute with the value ''', @nullFlavor, '''')   else 'has no value or nullFlavor attributes' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(   local-name(.)  = 'batchTotalNumber'  or   local-name(.)  = 'continuationQuantity'  or   local-name(.)  = 'expectedSequenceNumber' or   local-name(.)  = 'initialQuantity'  or   local-name(.)  = 'messageWaitingNumber'  or   local-name(.)  = 'multipleBirthOrderNumber' or   local-name(.)  = 'positionNumber'  or   local-name(.)  = 'priorityNumber'  or   local-name(..) = 'repeatNumber'   or   local-name(.)  = 'resultCurrentQuantity' or   local-name(.)  = 'resultRemainingQuantity' or   local-name(.)  = 'resultTotalQuantity'  or   local-name(.)  = 'sequenceNumber'  or   local-name(.)  = 'startResultNumber'  or   local-name(.)  = 'transmissionQuantity'  or   local-name(.)  = 'versionNumber'  ) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not( local-name(.) = 'batchTotalNumber' or local-name(.) = 'continuationQuantity' or local-name(.) = 'expectedSequenceNumber' or local-name(.) = 'initialQuantity' or local-name(.) = 'messageWaitingNumber' or local-name(.) = 'multipleBirthOrderNumber' or local-name(.) = 'positionNumber' or local-name(.) = 'priorityNumber' or local-name(..) = 'repeatNumber' or local-name(.) = 'resultCurrentQuantity' or local-name(.) = 'resultRemainingQuantity' or local-name(.) = 'resultTotalQuantity' or local-name(.) = 'sequenceNumber' or local-name(.) = 'startResultNumber' or local-name(.) = 'transmissionQuantity' or local-name(.) = 'versionNumber' )">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-14" /><xsl:text />: TC-Types-14: The Vaccine Administration Entry - Vaccine Dose Number
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type but it does not meet the requirement to have the xsi:type attribute with the value 'INT'.
		(See section 8.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-14" /><xsl:text />: TC-Types-14: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Administration Entry - Vaccine Dose Number
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type which is
		derived from the HL7 'INT' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		(See section 8.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Administration Entry - Vaccine Dose Number
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Integer data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Administration Entry - Vaccine Dose Number
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Integer data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Administration Entry - Vaccine Dose Number
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the Integer data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Administration Entry - Vaccine Dose Number
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the Integer data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @inclusive != 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @inclusive != 'true'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Administration Entry - Vaccine Dose Number
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however an attribute 'inclusive' with the value
		'<xsl:text /><xsl:value-of select="@inclusive" /><xsl:text />' was found that is not expected for the Integer data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @inclusive != 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @inclusive != 'true'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Administration Entry - Vaccine Dose Number
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however an attribute 'inclusive' with the value
		'<xsl:text /><xsl:value-of select="@inclusive" /><xsl:text />' was found that is not expected for the Integer data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@value) and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@value) and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Administration Entry - Vaccine Dose Number
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type
		however it has nullFlavor = 'UNC' (uncoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include nullFlavor = 'UNC'.
		(See section 8.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M61" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M61" />
  <xsl:template match="@*|node()" priority="-2" mode="M61">
    <xsl:apply-templates select="@*|*" mode="M61" />
  </xsl:template>
  <!--PATTERN p-TS-ACIR-Integer-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16658' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16658']]/cda:entry/        cda:substanceAdministration[not(cda:statusCode/@code) or lower-case(cda:statusCode/@code)='active']/cda:entryRelationship/cda:sequenceNumber " priority="1000" mode="M62">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16658' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16658']]/cda:entry/        cda:substanceAdministration[not(cda:statusCode/@code) or lower-case(cda:statusCode/@code)='active']/cda:entryRelationship/cda:sequenceNumber " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="narr-text-el" select="(for $text in ($target-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="narr-numbers" select="$narr-text-el[. castable as xs:double] " />
    <xsl:variable name="narr-el-present" select="exists($narr-numbers)" />
    <xsl:variable name="num-in-narr" select="@value and exists($narr-numbers[number() = current()/@value])" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-8" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-8 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @value and ancestor::cda:section and not($narr-el-present) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @value and ancestor::cda:section and not($narr-el-present)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step-8" /><xsl:text />: TC-Narr-09 step 8: The Vaccine Administration Entry - Vaccine Dose Number
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Vaccine Administration Entry - Vaccine Dose Number data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @value and $narr-el-present and not($num-in-narr or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value and $narr-el-present and not($num-in-narr or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-8" /><xsl:text />: TC-Narr-09 step 8: The Vaccine Administration Entry - Vaccine Dose Number
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' which was not found in table data elements of
		the narrative of the section. The data element is in the section with the title '<xsl:text /><xsl:value-of select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]/cda:title" /><xsl:text />'.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Vaccine Administration Entry - Vaccine Dose Number data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Vaccine Administration Entry - Vaccine Dose Number
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M62" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M62" />
  <xsl:template match="@*|node()" priority="-2" mode="M62">
    <xsl:apply-templates select="@*|*" mode="M62" />
  </xsl:template>
  <!--PATTERN p-TS-ACIR-Integer-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16658' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16658']]/cda:entry/        cda:substanceAdministration[lower-case(cda:statusCode/@code)='cancelled']/cda:entryRelationship/cda:sequenceNumber " priority="1000" mode="M63">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16658' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16658']]/cda:entry/        cda:substanceAdministration[lower-case(cda:statusCode/@code)='cancelled']/cda:entryRelationship/cda:sequenceNumber " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 8.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-14" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-14 else $rating-alt-TC-Types-14 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-14: The Vaccine Cancellation Entry - Vaccine Dose Number '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type and
		<xsl:text /><xsl:value-of select="if (@value and @nullFlavor) then concat('has a value attribute with the value ''', @value, ''' and a nullFlavor attribute with the value ''', @nullFlavor, '''')   else if (@value and not(@nullFlavor)) then concat('has a value attribute with the value ''', @value, '''')   else if (not(@value) and @nullFlavor) then concat('has a nullFlavor attribute with the value ''', @nullFlavor, '''')   else 'has no value or nullFlavor attributes' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(   local-name(.)  = 'batchTotalNumber'  or   local-name(.)  = 'continuationQuantity'  or   local-name(.)  = 'expectedSequenceNumber' or   local-name(.)  = 'initialQuantity'  or   local-name(.)  = 'messageWaitingNumber'  or   local-name(.)  = 'multipleBirthOrderNumber' or   local-name(.)  = 'positionNumber'  or   local-name(.)  = 'priorityNumber'  or   local-name(..) = 'repeatNumber'   or   local-name(.)  = 'resultCurrentQuantity' or   local-name(.)  = 'resultRemainingQuantity' or   local-name(.)  = 'resultTotalQuantity'  or   local-name(.)  = 'sequenceNumber'  or   local-name(.)  = 'startResultNumber'  or   local-name(.)  = 'transmissionQuantity'  or   local-name(.)  = 'versionNumber'  ) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not( local-name(.) = 'batchTotalNumber' or local-name(.) = 'continuationQuantity' or local-name(.) = 'expectedSequenceNumber' or local-name(.) = 'initialQuantity' or local-name(.) = 'messageWaitingNumber' or local-name(.) = 'multipleBirthOrderNumber' or local-name(.) = 'positionNumber' or local-name(.) = 'priorityNumber' or local-name(..) = 'repeatNumber' or local-name(.) = 'resultCurrentQuantity' or local-name(.) = 'resultRemainingQuantity' or local-name(.) = 'resultTotalQuantity' or local-name(.) = 'sequenceNumber' or local-name(.) = 'startResultNumber' or local-name(.) = 'transmissionQuantity' or local-name(.) = 'versionNumber' )">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-14" /><xsl:text />: TC-Types-14: The Vaccine Cancellation Entry - Vaccine Dose Number
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type but it does not meet the requirement to have the xsi:type attribute with the value 'INT'.
		(See section 8.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-14" /><xsl:text />: TC-Types-14: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Entry - Vaccine Dose Number
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type which is
		derived from the HL7 'INT' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		(See section 8.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Entry - Vaccine Dose Number
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Integer data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Entry - Vaccine Dose Number
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Integer data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Entry - Vaccine Dose Number
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the Integer data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Entry - Vaccine Dose Number
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the Integer data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @inclusive != 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @inclusive != 'true'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Entry - Vaccine Dose Number
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however an attribute 'inclusive' with the value
		'<xsl:text /><xsl:value-of select="@inclusive" /><xsl:text />' was found that is not expected for the Integer data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @inclusive != 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @inclusive != 'true'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Entry - Vaccine Dose Number
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however an attribute 'inclusive' with the value
		'<xsl:text /><xsl:value-of select="@inclusive" /><xsl:text />' was found that is not expected for the Integer data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@value) and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@value) and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Entry - Vaccine Dose Number
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type
		however it has nullFlavor = 'UNC' (uncoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include nullFlavor = 'UNC'.
		(See section 8.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M63" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M63" />
  <xsl:template match="@*|node()" priority="-2" mode="M63">
    <xsl:apply-templates select="@*|*" mode="M63" />
  </xsl:template>
  <!--PATTERN p-TS-ACIR-Integer-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16658' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16658']]/cda:entry/        cda:substanceAdministration[lower-case(cda:statusCode/@code)='cancelled']/cda:entryRelationship/cda:sequenceNumber " priority="1000" mode="M64">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16658' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16658']]/cda:entry/        cda:substanceAdministration[lower-case(cda:statusCode/@code)='cancelled']/cda:entryRelationship/cda:sequenceNumber " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="narr-text-el" select="(for $text in ($target-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="narr-numbers" select="$narr-text-el[. castable as xs:double] " />
    <xsl:variable name="narr-el-present" select="exists($narr-numbers)" />
    <xsl:variable name="num-in-narr" select="@value and exists($narr-numbers[number() = current()/@value])" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-8" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-8 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @value and ancestor::cda:section and not($narr-el-present) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @value and ancestor::cda:section and not($narr-el-present)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step-8" /><xsl:text />: TC-Narr-09 step 8: The Vaccine Cancellation Entry - Vaccine Dose Number
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Vaccine Cancellation Entry - Vaccine Dose Number data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @value and $narr-el-present and not($num-in-narr or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value and $narr-el-present and not($num-in-narr or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-8" /><xsl:text />: TC-Narr-09 step 8: The Vaccine Cancellation Entry - Vaccine Dose Number
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' which was not found in table data elements of
		the narrative of the section. The data element is in the section with the title '<xsl:text /><xsl:value-of select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]/cda:title" /><xsl:text />'.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Vaccine Cancellation Entry - Vaccine Dose Number data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Vaccine Cancellation Entry - Vaccine Dose Number
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M64" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M64" />
  <xsl:template match="@*|node()" priority="-2" mode="M64">
    <xsl:apply-templates select="@*|*" mode="M64" />
  </xsl:template>
  <!--PATTERN p-TS-ACIR-TimeInterval-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16658' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16658']]/cda:entry/        cda:substanceAdministration[lower-case(cda:statusCode/@code)='cancelled']/        cda:entryRelationship/cda:act/cda:entryRelationship/cda:act/cda:effectiveTime " priority="1000" mode="M65">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16658' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16658']]/cda:entry/        cda:substanceAdministration[lower-case(cda:statusCode/@code)='cancelled']/        cda:entryRelationship/cda:act/cda:entryRelationship/cda:act/cda:effectiveTime " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text1" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="message-text2" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See sections 8.6 and 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="nullFlavor-values" select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]" />
    <xsl:variable name="low-inclusive" select="if (not(cda:low)) then '' else if (cda:low/@inclusive='false') then ' (excluded)' else ' (included)' " />
    <xsl:variable name="high-inclusive" select="if (not(cda:high)) then '' else if (cda:high/@inclusive='false') then ' (excluded)' else ' (included)' " />
    <xsl:variable name="display-interval" select="if (@value and cda:low/@value and cda:high/@value)         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34), ', low value ', codepoints-to-string(34), cda:low/@value,        codepoints-to-string(34), $low-inclusive, ' and high value ', codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)        else if (@value and cda:low/@value and not(cda:high/@value))         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34), ' and low value ', codepoints-to-string(34), cda:low/@value,        codepoints-to-string(34), $low-inclusive)       else if (@value and not(cda:low/@value) and cda:high/@value)         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34), ' and high value ', codepoints-to-string(34),        cda:high/@value, codepoints-to-string(34), $high-inclusive)       else if (not(@value) and cda:low/@value and cda:high/@value)         then concat('low value ', codepoints-to-string(34), cda:low/@value, codepoints-to-string(34), $low-inclusive, ' and high value ',         codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)       else if (@value and not(cda:low/@value) and not(cda:high/@value))         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34))       else if (not(@value) and cda:low/@value and not(cda:high/@value))         then concat('low value ', codepoints-to-string(34), cda:low/@value, codepoints-to-string(34), $low-inclusive)       else if (not(@value) and not(cda:low/@value) and cda:high/@value)         then concat('high value ', codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)       else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-22" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-22 else $rating-alt-TC-Types-22 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-22: The Vaccine Cancellation Reason Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type
		and <xsl:text /><xsl:value-of select="if (@value or cda:low/@value or cda:high/@value) then concat('has ', $display-interval)   else 'has no value attribute and no low or high data elements' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@nullFlavor) then concat('The nullFlavor attribute has the value ''', @nullFlavor, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Reason Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type.
		It contains a value of nullFlavor 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a value
		may exist, but it must be derived from the information provided. Confirm if the use of this nullFlavor is valid.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'NINF' or @nullFlavor = 'PINF' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'NINF' or @nullFlavor = 'PINF'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 1: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Reason Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data
		type which is derived from the HL7 'IVL_TS' data type. It has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) which is a
		value of nullFlavor that may not be used for data elements of the IVL data type.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Reason Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data
		type however it has nullFlavor = 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include
		nullFlavor = 'UNC'. (See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'QS' or @nullFlavor = 'TRC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'QS' or @nullFlavor = 'TRC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 3: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Reason Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data
		type which is derived from the HL7 'IVL_TS' data type. It has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) however
		that value of nullFlavor may not be used for data elements of the TS or IVL data types.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Reason Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type which is
		derived from the HL7 'IVL_TS' data type. The HL7 'TS' data type may also be used for a TimeInterval however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		(See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 3.8.1 of HL7 Version 3 Standard: Data Types - Abstract Specification,
		Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Reason Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type which is
		derived from the HL7 'IVL_TS' data type. The HL7 'TS' data type may also be used for a TimeInterval however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'IVL_TS' or 'TS'.
		(See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 3.8.1 of HL7 Version 3 Standard: Data Types - Abstract Specification,
		Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not(@nullFlavor or @value or cda:low or cda:high) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor or @value or cda:low or cda:high)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Reason Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however
		it does not have a nullFlavor or value attribute or low or high elements. A TimeInterval may only contain a nullFlavor or value attribute or low or high elements with the optional
		'inclusive' attribute included in the low or high elements if there is a need to indicate that the low or high boundaries are excluded.
		(See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @value and (cda:low or cda:high) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value and (cda:low or cda:high)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Reason Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type.
		It has the element '<xsl:text /><xsl:value-of select="local-name(cda:*[local-name() = ('low', 'high')])" /><xsl:text />' which is used for the HL7 'IVL' data type
		but also has a 'value' attribute which is used by the HL7 'TS' data type and is not used by the HL7 'IVL' data type. The data element must either have a 'value' attribute
		or '<xsl:text /><xsl:value-of select="local-name(cda:*[local-name() = ('low', 'high')])" /><xsl:text />' but not both.
		(See section 7.10.9.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and section 3.8.1 of
		HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('low', 'high'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Reason Period
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('low', 'high'))])" /><xsl:text />' was found
		that is not expected for the TimeInterval data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('low', 'high', 'width'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('low', 'high', 'width'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Reason Period
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('low', 'high', 'width'))])" /><xsl:text />' was found
		that is not expected for the TimeInterval data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and cda:width/@value and ((cda:low/@value and not(cda:high/@value)) or (not(cda:low/@value) and cda:high/@value)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and cda:width/@value and ((cda:low/@value and not(cda:high/@value)) or (not(cda:low/@value) and cda:high/@value))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Reason Period
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a width element is also
		present with the value '<xsl:text /><xsl:value-of select="cda:width/@value" /><xsl:text />' and unit '<xsl:text /><xsl:value-of select="cda:width/@unit" /><xsl:text />'.		
		This is an error as the presence of a <xsl:text /><xsl:value-of select="if (cda:low) then 'low' else 'high' " /><xsl:text /> element without a <xsl:text /><xsl:value-of select="if (cda:low) then 'high' else 'low' " /><xsl:text /> element
		means the TimeInterval is unbounded in one direction however the width element implies the interval is bounded. That is the width element is an extension that qualifies the
		time interval whereas an extension is allowed only if it does not qualify or negate the time interval.
		(See the definition of Vaccine Cancellation Reason Period in the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text />, section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0
		and <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)
		As the <xsl:text /><xsl:value-of select="if (cda:low) then 'start' else 'end' " /><xsl:text /> of the time interval is known then the Vaccine Cancellation Reason Period must also have a
		<xsl:text /><xsl:value-of select="if (cda:low) then ' high' else ' low' " /><xsl:text /> element as the TimeInterval data type uses low and high elements rather than width to define an interval.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and cda:width/@value and not(cda:high/@value or cda:low/@value) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and cda:width/@value and not(cda:high/@value or cda:low/@value)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Reason Period
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a width element is also
		present with the value '<xsl:text /><xsl:value-of select="cda:width/@value" /><xsl:text />' and unit '<xsl:text /><xsl:value-of select="cda:width/@unit" /><xsl:text />'.		
		This is an error as the Vaccine Cancellation Reason Period has no low or high elements so the TimeInterval is unbounded however the width element implies the interval is bounded. That is the width element is an
		extension that qualifies the time interval whereas an extension is allowed only if it does not qualify or negate the time interval.
		(See the definition of Vaccine Cancellation Reason Period in the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text />, section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0
		and <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)
		The TimeInterval data type uses low and high elements rather than width to define an interval.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(    @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or    @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'  )) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not( @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS' ))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Reason Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the TimeInterval data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(    @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or    @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'  )) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not( @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS' ))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Reason Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the TimeInterval data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @operator and @operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @operator and @operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Reason Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the TimeInterval data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @operator and @operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @operator and @operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Reason Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the TimeInterval data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:low/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:low/*">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Reason Period 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(cda:low/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/*">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Reason Period 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(cda:low/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Reason Period 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Reason Period 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:low/@operator and cda:low/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:low/@operator and cda:low/@operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Reason Period 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/@operator and cda:low/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/@operator and cda:low/@operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Reason Period 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:low/cda:originalText) and cda:low/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:low/cda:originalText) and cda:low/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Reason Period 'low' child element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present so
		it is an error to include nullFlavor 'UNC'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:high/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:high/*">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Reason Period 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element '<xsl:text /><xsl:value-of select="local-name(cda:high/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/*">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Reason Period 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element '<xsl:text /><xsl:value-of select="local-name(cda:high/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Reason Period 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Reason Period 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:high/@operator and cda:high/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:high/@operator and cda:high/@operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Reason Period 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/@operator and cda:high/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/@operator and cda:high/@operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Reason Period 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Reason Period 'high' child element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present
		so it is an error to include nullFlavor 'UNC'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Reason Period 'high' child element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present
		so it is an error to include nullFlavor 'UNC'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M65" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M65" />
  <xsl:template match="@*|node()" priority="-2" mode="M65">
    <xsl:apply-templates select="@*|*" mode="M65" />
  </xsl:template>
  <!--PATTERN p-TS-ACIR-TimeInterval-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16658' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16658']]/cda:entry/        cda:substanceAdministration[lower-case(cda:statusCode/@code)='cancelled']/        cda:entryRelationship/cda:act/cda:entryRelationship/cda:act/cda:effectiveTime   [not((cda:low/@value and (number(substring(cda:low/@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(cda:low/@value,1,4)) &gt; number($creation-date-yr) + 130)) or     (cda:high/@value and (number(substring(cda:high/@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(cda:high/@value,1,4)) &gt; number($creation-date-yr) + 130)))] " priority="1000" mode="M66">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16658' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16658']]/cda:entry/        cda:substanceAdministration[lower-case(cda:statusCode/@code)='cancelled']/        cda:entryRelationship/cda:act/cda:entryRelationship/cda:act/cda:effectiveTime   [not((cda:low/@value and (number(substring(cda:low/@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(cda:low/@value,1,4)) &gt; number($creation-date-yr) + 130)) or     (cda:high/@value and (number(substring(cda:high/@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(cda:high/@value,1,4)) &gt; number($creation-date-yr) + 130)))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="fir-narrative" select="translate(normalize-space(lower-case(string($fir-narr-node))), $chars-to-remove, '')" />
    <xsl:variable name="sec-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)        then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]        else () " />
    <xsl:variable name="sec-narr-node" select="$sec-section/cda:text " />
    <xsl:variable name="narr-text-el" select="(for $text in ($fir-narr-node//text(), $sec-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="sec-narrative" select="translate(normalize-space(lower-case(string($sec-narr-node))), $chars-to-remove, '') " />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="narrative" select="concat($target-title, $fir-narrative, $sec-narrative)" />
    <xsl:variable name="narr-elements" select="$fir-narr-node//cda:*[exists(text()[normalize-space() != '']) and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ]  |             $sec-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ] " />
    <xsl:variable name="narr-lower-case" select="for $i in (1 to count($narr-elements)) return lower-case(normalize-space(string-join($narr-elements[$i]/text(), '')))  " />
    <xsl:variable name="dt-narr-elements" select="$narr-lower-case[matches(., $regex-date-type-1, 'i') or matches(., $regex-date-type-2, 'i') or matches(., $regex-date-type-3, 'i')] " />
    <xsl:variable name="narr-elements-start" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-before($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-before($dt-narr-elements[$i], ' -'))        else $dt-narr-elements[$i])[. != ''] " />
    <xsl:variable name="narr-elements-end" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-after($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-after($dt-narr-elements[$i], ' -'))        else '')[. != ''] " />
    <xsl:variable name="narr-dateTimes" select="distinct-values(($narr-elements-start , $narr-elements-end))[. != '(ongoing)'] " />
    <xsl:variable name="l-dt-value" select="if (@value) then @value        else if (cda:low/@value) then cda:low/@value        else '' " />
    <xsl:variable name="l-no-time-zone" select="if (contains($l-dt-value, '+')) then substring-before($l-dt-value, '+')       else if (contains($l-dt-value, '-')) then substring-before($l-dt-value, '-')       else $l-dt-value " />
    <xsl:variable name="l-length" select="string-length($l-no-time-zone) " />
    <xsl:variable name="l-year" select="if ($l-length &gt; 3) then substring($l-no-time-zone,1,4) else '' " />
    <xsl:variable name="l-month-num" select="if ($l-length &gt; 5) then substring($l-no-time-zone,5,2) else '' " />
    <xsl:variable name="l-day" select="if ($l-length &gt; 7 and substring($l-no-time-zone,7,1) = '0') then substring($l-no-time-zone,8,1)       else if ($l-length &gt; 7 and substring($l-no-time-zone,7,1) != '0') then substring($l-no-time-zone,7,2) else '' " />
    <xsl:variable name="l-hour-long" select="if ($l-length &gt; 9) then substring($l-no-time-zone,9,2) else '' " />
    <xsl:variable name="l-hour-short" select="if (substring($l-hour-long, 1, 1) = '0') then substring($l-hour-long, 2, 1) else '' " />
    <xsl:variable name="l-minute" select="if ($l-length &gt; 11) then substring($l-no-time-zone,11,2) else '' " />
    <xsl:variable name="l-second" select="if ($l-length &gt; 13) then substring($l-no-time-zone,13,2) else '' " />
    <xsl:variable name="l-time-zone" select="if (contains($l-dt-value, '+')) then concat('\+', substring-after($l-dt-value, '+'))       else if (contains($l-dt-value, '-')) then concat('\-', substring-after($l-dt-value, '-'))       else '' " />
    <xsl:variable name="l-month-short" select="if ($l-month-num = '01') then 'jan'   else             if ($l-month-num = '02') then 'feb'   else             if ($l-month-num = '03') then 'mar'   else             if ($l-month-num = '04') then 'apr'   else             if ($l-month-num = '05') then 'may'   else             if ($l-month-num = '06') then 'jun'   else             if ($l-month-num = '07') then 'jul'   else             if ($l-month-num = '08') then 'aug'   else             if ($l-month-num = '09') then 'sep'   else             if ($l-month-num = '10') then 'oct'   else             if ($l-month-num = '11') then 'nov'   else             if ($l-month-num = '12') then 'dec'   else '' " />
    <xsl:variable name="l-month-long" select="if ($l-month-num = '01') then 'january'   else             if ($l-month-num = '02') then 'february'  else             if ($l-month-num = '03') then 'march'   else             if ($l-month-num = '04') then 'april'   else             if ($l-month-num = '05') then 'may'   else             if ($l-month-num = '06') then 'june'   else             if ($l-month-num = '07') then 'july'   else             if ($l-month-num = '08') then 'august'   else             if ($l-month-num = '09') then 'september'  else             if ($l-month-num = '10') then 'october'   else             if ($l-month-num = '11') then 'november'  else             if ($l-month-num = '12') then 'december'  else '' " />
    <xsl:variable name="l-date-type-3-day" select="if (string-length($l-day) = 1) then concat('0{0,1}', $l-day) else $l-day " />
    <xsl:variable name="l-date-type-3-month" select="if (string-length($l-month-num) = 1) then concat('0{0,1}', $l-month-num)        else if (substring($l-month-num, 1, 1) = '0') then concat('0{0,1}', substring($l-month-num, 2, 1))         else $l-month-num " />
    <xsl:variable name="l-dt-sequence-1" select="if ($l-length = 4) then (         concat('^', $l-dt-value)        ,          concat('^', $l-year)         )        else if ($l-length = 6) then (         concat('^', $l-dt-value)        ,         concat('^', $l-month-short, $date-sep, $l-year)      ,          concat('^', $l-month-long, $date-sep, $l-year)      )        else if ($l-length &gt; 7) then (         concat('^', $l-dt-value)        ,         concat('^', $l-date-type-3-day, $date-sep, $l-month-short, $date-sep, $l-year)  ,         concat('^', $l-date-type-3-day, $date-sep, $l-month-long, $date-sep, $l-year)  ,         concat('^', $l-date-type-3-day, '/', $l-date-type-3-month, '/', $l-year)  )        else () " />
    <xsl:variable name="l-matching-seq-1" select="if (exists($l-dt-sequence-1))        then index-of(for $i in (1 to count($l-dt-sequence-1)) return exists($narr-dateTimes[matches(., $l-dt-sequence-1[$i], 'i')]), true())        else () " />
    <xsl:variable name="l-dt-stem-1" select="for $i in (1 to count($l-matching-seq-1)) return $l-dt-sequence-1[$l-matching-seq-1[$i]] " />
    <xsl:variable name="l-dt-regex-1" select="if (exists($l-dt-stem-1)) then concat('(', string-join($l-dt-stem-1, '$)|('), '$)') else ()" />
    <xsl:variable name="l-dt-match-1" select="exists($l-dt-stem-1) and exists($narr-dateTimes[matches(., $l-dt-regex-1, 'i')])" />
    <xsl:variable name="l-time-1" select="if ($l-length &gt; 11 and $l-hour-short != '') then concat($l-hour-short, ':', $l-minute, '( *| *am)') else '' " />
    <xsl:variable name="l-time-2" select="if ($l-length &gt; 13 and $l-hour-short != '') then concat($l-hour-short, ':', $l-minute, ':', $l-second, '( *| *am)') else '' " />
    <xsl:variable name="l-time-3" select="if ($l-length &gt; 11 and number($l-hour-long) &lt; 12) then concat($l-hour-long, ':', $l-minute, '( *| *am)')        else if ($l-length &gt; 11) then concat($l-hour-long, ':', $l-minute) else '' " />
    <xsl:variable name="l-time-4" select="if ($l-length &gt; 13 and number($l-hour-long) &lt; 12) then concat($l-hour-long, ':', $l-minute, ':', $l-second, '( *| *am)')        else if ($l-length &gt; 13) then concat($l-hour-long, ':', $l-minute, ':', $l-second) else '' " />
    <xsl:variable name="l-time-5" select="if ($l-length &gt; 11 and number($l-hour-long) &gt; 12) then concat(string(number($l-hour-long) - 12), ':', $l-minute, '( *| *pm)') else '' " />
    <xsl:variable name="l-time-6" select="if ($l-length &gt; 13 and number($l-hour-long) &gt; 12) then concat(string(number($l-hour-long) - 12), ':', $l-minute, ':', $l-second, '( *| *pm)') else '' " />
    <xsl:variable name="l-dt-temp-0" select="if (exists($l-dt-stem-1) and $l-length = 8) then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $narr-time-regex) else () " />
    <xsl:variable name="l-dt-temp-1" select="if (exists($l-dt-stem-1) and $l-time-1 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-1) else () " />
    <xsl:variable name="l-dt-temp-2" select="if (exists($l-dt-stem-1) and $l-time-2 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-2) else () " />
    <xsl:variable name="l-dt-temp-3" select="if (exists($l-dt-stem-1) and $l-time-3 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-3) else () " />
    <xsl:variable name="l-dt-temp-4" select="if (exists($l-dt-stem-1) and $l-time-4 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-4) else () " />
    <xsl:variable name="l-dt-temp-5" select="if (exists($l-dt-stem-1) and $l-time-5 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-5) else () " />
    <xsl:variable name="l-dt-temp-6" select="if (exists($l-dt-stem-1) and $l-time-6 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-6) else () " />
    <xsl:variable name="l-dt-sequence-2" select="($l-dt-temp-0, $l-dt-temp-1, $l-dt-temp-2, $l-dt-temp-3, $l-dt-temp-4, $l-dt-temp-5, $l-dt-temp-6)" />
    <xsl:variable name="l-matching-seq-2" select="if (exists($l-dt-sequence-2))        then index-of(for $i in (1 to count($l-dt-sequence-2)) return exists($narr-dateTimes[matches(., $l-dt-sequence-2[$i], 'i')]), true())        else () " />
    <xsl:variable name="l-dt-stem-2" select="for $i in (1 to count($l-matching-seq-2)) return $l-dt-sequence-2[$l-matching-seq-2[$i]] " />
    <xsl:variable name="l-dt-regex-2" select="if (exists($l-dt-stem-2)) then concat('(', string-join($l-dt-stem-2, '$)|('), '$)') else '' " />
    <xsl:variable name="l-dt-match-2" select="(exists($l-dt-stem-2) and exists($narr-dateTimes[matches(., $l-dt-regex-2, 'i')])) " />
    <xsl:variable name="l-dt-sequence-3" select="if (not($l-dt-match-2) and exists($l-dt-stem-2) and $l-time-zone != '') then for $i in (1 to count($l-dt-stem-2)) return        concat($l-dt-stem-2[$i], substring($l-time-zone, 1, 4), ':?', substring($l-time-zone, 5, 2)) else () " />
    <xsl:variable name="l-dt-regex-3" select="if ($l-dt-match-2) then '' else if (exists($l-dt-sequence-3)) then concat('(', string-join($l-dt-sequence-3, '$)|('), '$)') else '' " />
    <xsl:variable name="l-dt-match-3" select="($l-dt-match-2 or (exists($l-dt-sequence-3) and exists($narr-dateTimes[matches(., $l-dt-regex-3, 'i')]))) " />
    <xsl:variable name="l-narr-match" select="if ($l-dt-value != '' and count($narr-dateTimes) = 0) then      (       contains($narrative, $l-dt-value)                or       (string-length($l-dt-value) = 4 and contains($narrative, $l-year))             or        (string-length($l-dt-value) = 6 and contains($narrative, concat($l-month-short, $l-year)))          or       (string-length($l-dt-value) &gt; 7 and starts-with($l-day, '0') and        (contains($narrative, concat(substring($l-day,2,1), $l-month-short, $l-year)) or         contains($narrative, concat(substring($l-day,2,1), $l-month-num, $l-year))))          or       (string-length($l-dt-value) &gt; 7 and (contains($narrative, concat($l-day, $l-month-short, $l-year)) or contains($narrative, concat($l-day, $l-month-num, $l-year))))        )       else false() " />
    <xsl:variable name="h-dt-value" select="if (cda:high/@value and $l-dt-value != cda:high/@value) then cda:high/@value        else '' " />
    <xsl:variable name="h-no-time-zone" select="if (contains($h-dt-value, '+')) then substring-before($h-dt-value, '+')       else if (contains($h-dt-value, '-')) then substring-before($h-dt-value, '-')       else $h-dt-value " />
    <xsl:variable name="h-length" select="string-length($h-no-time-zone) " />
    <xsl:variable name="h-year" select="if ($h-length &gt; 3) then substring($h-no-time-zone,1,4) else '' " />
    <xsl:variable name="h-month-num" select="if ($h-length &gt; 5) then substring($h-no-time-zone,5,2) else '' " />
    <xsl:variable name="h-day" select="if ($h-length &gt; 7 and substring($h-no-time-zone,7,1) = '0') then substring($h-no-time-zone,8,1)       else if ($h-length &gt; 7 and substring($h-no-time-zone,7,1) != '0') then substring($h-no-time-zone,7,2) else '' " />
    <xsl:variable name="h-hour-long" select="if ($h-length &gt; 9) then substring($h-no-time-zone,9,2) else '' " />
    <xsl:variable name="h-hour-short" select="if (substring($h-hour-long, 1, 1) = '0') then substring($h-hour-long, 2, 1) else '' " />
    <xsl:variable name="h-minute" select="if ($h-length &gt; 11) then substring($h-no-time-zone,11,2) else '' " />
    <xsl:variable name="h-second" select="if ($h-length &gt; 13) then substring($h-no-time-zone,13,2) else '' " />
    <xsl:variable name="h-time-zone" select="if (contains($h-dt-value, '+')) then concat('\+', substring-after($h-dt-value, '+'))       else if (contains($h-dt-value, '-')) then concat('\-', substring-after($h-dt-value, '-'))       else '' " />
    <xsl:variable name="h-month-short" select="if ($h-month-num = '01') then 'jan'   else             if ($h-month-num = '02') then 'feb'   else             if ($h-month-num = '03') then 'mar'   else             if ($h-month-num = '04') then 'apr'   else             if ($h-month-num = '05') then 'may'   else             if ($h-month-num = '06') then 'jun'   else             if ($h-month-num = '07') then 'jul'   else             if ($h-month-num = '08') then 'aug'   else             if ($h-month-num = '09') then 'sep'   else             if ($h-month-num = '10') then 'oct'   else             if ($h-month-num = '11') then 'nov'   else             if ($h-month-num = '12') then 'dec'   else '' " />
    <xsl:variable name="h-month-long" select="if ($h-month-num = '01') then 'january'   else             if ($h-month-num = '02') then 'february'  else             if ($h-month-num = '03') then 'march'   else             if ($h-month-num = '04') then 'april'   else             if ($h-month-num = '05') then 'may'   else             if ($h-month-num = '06') then 'june'   else             if ($h-month-num = '07') then 'july'   else             if ($h-month-num = '08') then 'august'   else             if ($h-month-num = '09') then 'september'  else             if ($h-month-num = '10') then 'october'   else             if ($h-month-num = '11') then 'november'  else             if ($h-month-num = '12') then 'december'  else '' " />
    <xsl:variable name="h-date-type-3-day" select="if (string-length($h-day) = 1) then concat('0{0,1}', $h-day) else $h-day " />
    <xsl:variable name="h-date-type-3-month" select="if (string-length($h-month-num) = 1) then concat('0{0,1}', $h-month-num)        else if (substring($h-month-num, 1, 1) = '0') then concat('0{0,1}', substring($h-month-num, 2, 1))         else $h-month-num " />
    <xsl:variable name="h-dt-sequence-1" select="if ($h-length = 4) then (         concat('^', $h-dt-value)        ,          concat('^', $h-year)         )        else if ($h-length = 6) then (         concat('^', $h-dt-value)        ,         concat('^', $h-month-short, $date-sep, $h-year)      ,          concat('^', $h-month-long, $date-sep, $h-year)      )        else if ($h-length &gt; 7) then (         concat('^', $h-dt-value)        ,         concat('^', $h-date-type-3-day, $date-sep, $h-month-short, $date-sep, $h-year)  ,         concat('^', $h-date-type-3-day, $date-sep, $h-month-long, $date-sep, $h-year)  ,         concat('^', $h-date-type-3-day, '/', $h-date-type-3-month, '/', $h-year)  )        else () " />
    <xsl:variable name="h-matching-seq-1" select="if (exists($h-dt-sequence-1))        then index-of(for $i in (1 to count($h-dt-sequence-1)) return exists($narr-dateTimes[matches(., $h-dt-sequence-1[$i], 'i')]), true())        else () " />
    <xsl:variable name="h-dt-stem-1" select="for $i in (1 to count($h-matching-seq-1)) return $h-dt-sequence-1[$h-matching-seq-1[$i]] " />
    <xsl:variable name="h-dt-regex-1" select="if (exists($h-dt-stem-1)) then concat('(', string-join($h-dt-stem-1, '$)|('), '$)') else ()" />
    <xsl:variable name="h-dt-match-1" select="exists($h-dt-stem-1) and exists($narr-dateTimes[matches(., $h-dt-regex-1, 'i')])" />
    <xsl:variable name="h-time-1" select="if ($h-length &gt; 11 and $h-hour-short != '') then concat($h-hour-short, ':', $h-minute, '( *| *am)') else '' " />
    <xsl:variable name="h-time-2" select="if ($h-length &gt; 13 and $h-hour-short != '') then concat($h-hour-short, ':', $h-minute, ':', $h-second, '( *| *am)') else '' " />
    <xsl:variable name="h-time-3" select="if ($h-length &gt; 11 and number($h-hour-long) &lt; 12) then concat($h-hour-long, ':', $h-minute, '( *| *am)')        else if ($h-length &gt; 11) then concat($h-hour-long, ':', $h-minute) else '' " />
    <xsl:variable name="h-time-4" select="if ($h-length &gt; 13 and number($h-hour-long) &lt; 12) then concat($h-hour-long, ':', $h-minute, ':', $h-second, '( *| *am)')        else if ($h-length &gt; 13) then concat($h-hour-long, ':', $h-minute, ':', $h-second) else '' " />
    <xsl:variable name="h-time-5" select="if ($h-length &gt; 11 and number($h-hour-long) &gt; 12) then concat(string(number($h-hour-long) - 12), ':', $h-minute, '( *| *pm)') else '' " />
    <xsl:variable name="h-time-6" select="if ($h-length &gt; 13 and number($h-hour-long) &gt; 12) then concat(string(number($h-hour-long) - 12), ':', $h-minute, ':', $h-second, '( *| *pm)') else '' " />
    <xsl:variable name="h-dt-temp-0" select="if (exists($h-dt-stem-1) and $h-length = 8) then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $narr-time-regex) else () " />
    <xsl:variable name="h-dt-temp-1" select="if (exists($h-dt-stem-1) and $h-time-1 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-1) else () " />
    <xsl:variable name="h-dt-temp-2" select="if (exists($h-dt-stem-1) and $h-time-2 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-2) else () " />
    <xsl:variable name="h-dt-temp-3" select="if (exists($h-dt-stem-1) and $h-time-3 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-3) else () " />
    <xsl:variable name="h-dt-temp-4" select="if (exists($h-dt-stem-1) and $h-time-4 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-4) else () " />
    <xsl:variable name="h-dt-temp-5" select="if (exists($h-dt-stem-1) and $h-time-5 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-5) else () " />
    <xsl:variable name="h-dt-temp-6" select="if (exists($h-dt-stem-1) and $h-time-6 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-6) else () " />
    <xsl:variable name="h-dt-sequence-2" select="($h-dt-temp-0, $h-dt-temp-1, $h-dt-temp-2, $h-dt-temp-3, $h-dt-temp-4, $h-dt-temp-5, $h-dt-temp-6)" />
    <xsl:variable name="h-matching-seq-2" select="if (exists($h-dt-sequence-2))        then index-of(for $i in (1 to count($h-dt-sequence-2)) return exists($narr-dateTimes[matches(., $h-dt-sequence-2[$i], 'i')]), true())        else () " />
    <xsl:variable name="h-dt-stem-2" select="for $i in (1 to count($h-matching-seq-2)) return $h-dt-sequence-2[$h-matching-seq-2[$i]] " />
    <xsl:variable name="h-dt-regex-2" select="if (exists($h-dt-stem-2)) then concat('(', string-join($h-dt-stem-2, '$)|('), '$)') else '' " />
    <xsl:variable name="h-dt-match-2" select="(exists($h-dt-stem-2) and exists($narr-dateTimes[matches(., $h-dt-regex-2, 'i')])) " />
    <xsl:variable name="h-dt-sequence-3" select="if (not($h-dt-match-2) and exists($h-dt-stem-2) and $h-time-zone != '') then for $i in (1 to count($h-dt-stem-2)) return        concat($h-dt-stem-2[$i], substring($h-time-zone, 1, 4), ':?', substring($h-time-zone, 5, 2)) else () " />
    <xsl:variable name="h-dt-regex-3" select="if ($h-dt-match-2) then '' else if (exists($h-dt-sequence-3)) then concat('(', string-join($h-dt-sequence-3, '$)|('), '$)') else '' " />
    <xsl:variable name="h-dt-match-3" select="($h-dt-match-2 or (exists($h-dt-sequence-3) and exists($narr-dateTimes[matches(., $h-dt-regex-3, 'i')]))) " />
    <xsl:variable name="h-narr-match" select="if ($h-dt-value != '' and count($narr-dateTimes) = 0) then      (       contains($narrative, $h-dt-value)                or       (string-length($h-dt-value) = 4 and contains($narrative, $h-year))             or        (string-length($h-dt-value) = 6 and contains($narrative, concat($h-month-short, $h-year)))          or       (string-length($h-dt-value) &gt; 7 and starts-with($h-day, '0') and        (contains($narrative, concat(substring($h-day,2,1), $h-month-short, $h-year)) or         contains($narrative, concat(substring($h-day,2,1), $h-month-num, $h-year))))          or       (string-length($h-dt-value) &gt; 7 and (contains($narrative, concat($h-day, $h-month-short, $h-year)) or contains($narrative, concat($h-day, $h-month-num, $h-year))))        )       else false() " />
    <xsl:variable name="h-nullFlavor-values" select="if (cda:high/@nullFlavor and cda:high/@nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))        then $nullFlavors/nullFlavor[@value = current()/cda:high/@nullFlavor] else () " />
    <xsl:variable name="h-null-to-find" select="exists($h-nullFlavor-values) " />
    <xsl:variable name="h-null-in-narr" select="($h-nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $h-nullFlavor-values/@name-regex, 'is')])) or              ($h-nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $h-nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="l-nullFlavor-values" select="if (cda:low/@nullFlavor and cda:low/@nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))        then $nullFlavors/nullFlavor[@value = current()/cda:low/@nullFlavor] else () " />
    <xsl:variable name="l-null-to-find" select="exists($l-nullFlavor-values) " />
    <xsl:variable name="l-null-in-narr" select="($l-nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $l-nullFlavor-values/@name-regex, 'is')])) or              ($l-nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $l-nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="l-dt-name" select="if ($l-dt-value = cda:low/@value) then ' low' else '' " />
    <xsl:variable name="l-dt-msg" select="if ($l-dt-value = cda:low/@value) then ' This date/time is the low boundary of a time interval.' else '' " />
    <xsl:variable name="h-dt-msg" select="if ($h-dt-value = cda:high/@value) then ' This date/time is the high boundary of a time interval.' else '' " />
    <xsl:variable name="l-null-msg" select="if ($l-dt-value = cda:low/@value) then ' This nullFlavor value is for the low boundary of a time interval.' else '' " />
    <xsl:variable name="h-null-msg" select="if ($h-dt-value = cda:high/@value) then ' This nullFlavor value is for the high boundary of a time interval.' else '' " />
    <xsl:variable name="multimedia" select="exists($fir-narr-node//cda:renderMultiMedia) or exists($sec-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($fir-narr-node//cda:linkHtml) or exists($sec-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="l-warning-1" select="exists($l-dt-sequence-1) and exists($narr-dateTimes) and $l-dt-match-1 and not($l-dt-match-3) and $l-dt-value != '' " />
    <xsl:variable name="l-error-1" select="$l-warning-1 and not($multimedia) " />
    <xsl:variable name="l-warning-2" select="exists($l-dt-sequence-1) and exists($narr-dateTimes) and not($l-dt-match-1 or $l-dt-match-3) and $l-dt-value != '' " />
    <xsl:variable name="l-error-2a" select="$l-warning-2 and not($multimedia) and $l-time-zone != '' and count($narr-dateTimes) =        count(for $dt in $narr-dateTimes return replace(replace($dt, $regex-date-type-1, ''), $regex-date-type-2, '')       [matches(., concat('^\s*([0-9]{1,2}:{1}[0-9]{2}\s*', substring($l-time-zone, 1, 4), ':?', substring($l-time-zone, 5, 2),         '|[0-9]{1,2}:{1}[0-9]{2}:{1}[0-9]{2}\s*', substring($l-time-zone, 1, 4), ':?', substring($l-time-zone, 5, 2), ')\s*$'), 'i')]) " />
    <xsl:variable name="l-error-2b" select="$l-warning-2 and not($l-dt-match-1) and not($multimedia) and count($narr-dateTimes[matches(., $regex-date-type-2, 'i')]) =        count($narr-dateTimes[matches(., concat($regex-date-type-2, ' ', $narr-time-regex, '$'), 'i')]) " />
    <xsl:variable name="l-error-2c" select="$l-warning-2 and exists($narr-dateTimes[matches(., concat('^', $l-year, '$'))]) " />
    <xsl:variable name="l-error-2" select="$l-error-2a or $l-error-2b or $l-error-2c " />
    <xsl:variable name="l-warning-3" select="$l-dt-value != '' and not(exists($narr-dateTimes)) and not($l-narr-match) " />
    <xsl:variable name="l-error-3" select="$l-warning-3 and not($multimedia) and not(contains($narrative, substring($l-year, 3,2)))" />
    <xsl:variable name="h-warning-1" select="exists($h-dt-sequence-1) and exists($narr-dateTimes) and $h-dt-match-1 and not($h-dt-match-3) and $h-dt-value != '' " />
    <xsl:variable name="h-error-1" select="$h-warning-1 and not($multimedia) " />
    <xsl:variable name="h-warning-2" select="exists($h-dt-sequence-1) and exists($narr-dateTimes) and not($h-dt-match-1 or $h-dt-match-3) and $h-dt-value != '' " />
    <xsl:variable name="h-error-2a" select="$h-warning-2 and not($multimedia) and $h-time-zone != '' and count($narr-dateTimes) =        count(for $dt in $narr-dateTimes return replace(replace($dt, $regex-date-type-1, ''), $regex-date-type-2, '')       [matches(., concat('^\s*([0-9]{1,2}:{1}[0-9]{2}\s*', substring($h-time-zone, 1, 4), ':?', substring($h-time-zone, 5, 2),         '|[0-9]{1,2}:{1}[0-9]{2}:{1}[0-9]{2}\s*', substring($h-time-zone, 1, 4), ':?', substring($h-time-zone, 5, 2), ')\s*$'), 'i')]) " />
    <xsl:variable name="h-error-2b" select="$h-warning-2 and not($h-dt-match-1) and not($multimedia) and count($narr-dateTimes[matches(., $regex-date-type-2, 'i')]) =        count($narr-dateTimes[matches(., concat($regex-date-type-2, ' ', $narr-time-regex, '$'), 'i')]) " />
    <xsl:variable name="h-error-2c" select="$l-warning-2 and exists($narr-dateTimes[matches(., concat('^', $h-year, '$'))]) " />
    <xsl:variable name="h-error-2" select="$h-error-2a or $h-error-2b or $h-error-2c " />
    <xsl:variable name="h-warning-3" select="$h-dt-value != '' and not(exists($narr-dateTimes)) and not($h-narr-match) " />
    <xsl:variable name="h-error-3" select="$h-warning-3 and not($multimedia) and not(contains($narrative, substring($h-year, 3,2))) " />
    <xsl:variable name="narr-dt-msg" select="if ($multimedia or $no-content) then ''       else if (not(exists($narr-dateTimes))) then concat(' The narrative of the ', iq:location(., ''), ' contains no dateTime elements.')       else if (count($narr-dateTimes) = 1) then concat(' The only dateTime element in the narrative of the ', iq:location(., ''), ' is ''',         dh:XQueryRecursiveReplace($narr-dateTimes[1], '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), '''.')       else concat(' The distinct dateTime elements in the narrative of the ', iq:location(., ''), ' are ''',         string-join(for $dt in $narr-dateTimes return          dh:XQueryRecursiveReplace($dt, '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), ', '), '''.') " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-4" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-4 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and exists($l-dt-sequence-1) and $l-dt-value != '' and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and exists($l-dt-sequence-1) and $l-dt-value != '' and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 4: The dateTime element in the structured data is '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'.<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text />
		The number of dateTime elements that have been extracted from the narrative is '<xsl:text /><xsl:value-of select="count($narr-dateTimes)" /><xsl:text />'.
		These are '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-dateTimes, ', '), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The initial regular expressions are '<xsl:text /><xsl:value-of select="string-join($l-dt-sequence-1, ', ')" /><xsl:text />'.
		The three regular expressions used to perform an exact match for narrative dateTime elements are as follows:
		l-dt-regex-1='<xsl:text /><xsl:value-of select="$l-dt-regex-1" /><xsl:text />'; l-dt-regex-2='<xsl:text /><xsl:value-of select="$l-dt-regex-2" /><xsl:text />'; and l-dt-regex-3='<xsl:text /><xsl:value-of select="$l-dt-regex-3" /><xsl:text />'.
		Was a match found after the first regular expression was created? <xsl:text /><xsl:value-of select="$l-dt-match-1" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($l-dt-regex-2 = '') then 'The second regular expression was not applied as there is no time information.'    else concat('Was a match found after the second regular expression (with a date and time) was created? ', $l-dt-match-2, '.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($l-dt-regex-3 = '') then 'The third regular expression was not applied as there is no timezone information.'    else concat('Was a match found after the third regular expression (with a date and time) was created? ', $l-dt-match-3, '.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and exists($h-dt-sequence-1) and $h-dt-value != '' and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and exists($h-dt-sequence-1) and $h-dt-value != '' and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 4: The dateTime element in the structured data is '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'.<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text />
		The number of dateTime elements that have been extracted from the narrative is '<xsl:text /><xsl:value-of select="count($narr-dateTimes)" /><xsl:text />'.
		These are '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-dateTimes, ', '), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The initial regular expressions are '<xsl:text /><xsl:value-of select="string-join($h-dt-sequence-1, ', ')" /><xsl:text />'.
		The three regular expressions used to perform an exact match for narrative dateTime elements are as follows:
		h-dt-regex-1='<xsl:text /><xsl:value-of select="$h-dt-regex-1" /><xsl:text />'; h-dt-regex-2='<xsl:text /><xsl:value-of select="$h-dt-regex-2" /><xsl:text />'; and h-dt-regex-3='<xsl:text /><xsl:value-of select="$h-dt-regex-3" /><xsl:text />'.
		Was a match found after the first regular expression was created? <xsl:text /><xsl:value-of select="$h-dt-match-1" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($h-dt-regex-2 = '') then 'The second regular expression was not applied as there is no time information.'    else concat('Was a match found after the second regular expression (with a date and time) was created? ', $h-dt-match-2, '.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($h-dt-regex-3 = '') then 'The third regular expression was not applied as there is no timezone information.'    else concat('Was a match found after the third regular expression (with a date and time) was created? ', $h-dt-match-3, '.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $l-warning-1 and not($l-error-1 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $l-warning-1 and not($l-error-1 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Vaccine Cancellation Reason Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /> Although the date was found in the narrative the Vaccine Cancellation Reason Period data element must contain the time.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Vaccine Cancellation Reason Period data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $l-error-1 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $l-error-1 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Vaccine Cancellation Reason Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /> Although the date was found in the narrative the Vaccine Cancellation Reason Period data element must contain the time.
		The Vaccine Cancellation Reason Period data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $l-error-1 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $l-error-1 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Vaccine Cancellation Reason Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /> Although the date was found in the narrative the Vaccine Cancellation Reason Period data element must contain the time.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-warning-2 and not($l-error-2 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-warning-2 and not($l-error-2 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Vaccine Cancellation Reason Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Vaccine Cancellation Reason Period data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-error-2 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-error-2 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Vaccine Cancellation Reason Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($l-error-2c) then concat('The narrative contains a date with the same year ''', $l-year, ''' but without a month or day.') else '' " /><xsl:text />
		The Vaccine Cancellation Reason Period data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-error-2 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-error-2 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Vaccine Cancellation Reason Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($l-error-2c) then concat('The narrative contains a date with the same year ''', $l-year, ''' but without a month or day.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $l-dt-value != '' and not($l-narr-match or $l-null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $l-dt-value != '' and not($l-narr-match or $l-null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Vaccine Cancellation Reason Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $l-dt-value != '' and not($l-narr-match or $l-null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $l-dt-value != '' and not($l-narr-match or $l-null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Vaccine Cancellation Reason Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Vaccine Cancellation Reason Period data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $h-warning-1 and not($h-error-1 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $h-warning-1 and not($h-error-1 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Vaccine Cancellation Reason Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /> Although the date was found in the narrative the Vaccine Cancellation Reason Period data element must contain the time.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Vaccine Cancellation Reason Period data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $h-error-1 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $h-error-1 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Vaccine Cancellation Reason Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /> Although the date was found in the narrative the Vaccine Cancellation Reason Period data element must contain the time.
		The Vaccine Cancellation Reason Period data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $h-error-1 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $h-error-1 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Vaccine Cancellation Reason Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /> Although the date was found in the narrative the Vaccine Cancellation Reason Period data element must contain the time.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-warning-2 and not($h-error-2 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-warning-2 and not($h-error-2 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Vaccine Cancellation Reason Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Vaccine Cancellation Reason Period data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-error-2 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-error-2 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Vaccine Cancellation Reason Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($h-error-2c) then concat('The narrative contains a date with the same year ''', $h-year, ''' but without a month or day.') else '' " /><xsl:text />
		The Vaccine Cancellation Reason Period data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-error-2 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-error-2 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Vaccine Cancellation Reason Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($h-error-2c) then concat('The narrative contains a date with the same year ''', $h-year, ''' but without a month or day.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-warning-3 and not($l-error-3 or $no-content)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-warning-3 and not($l-error-3 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Vaccine Cancellation Reason Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not seem to be present in the narrative of the section.<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Vaccine Cancellation Reason Period data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-error-3 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-error-3 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Vaccine Cancellation Reason Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Vaccine Cancellation Reason Period data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else ' All clinical information in entry elements must be present in the narrative.'" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-error-3 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-error-3 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Vaccine Cancellation Reason Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-warning-3 and not($h-error-3 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-warning-3 and not($h-error-3 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Vaccine Cancellation Reason Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not seem to be present in the narrative of the section.<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Vaccine Cancellation Reason Period data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-error-3 and not($no-content) and true()  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-error-3 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Vaccine Cancellation Reason Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text />
		The Vaccine Cancellation Reason Period data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-error-3 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-error-3 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Vaccine Cancellation Reason Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $h-dt-value != '' and not($h-narr-match or $h-null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $h-dt-value != '' and not($h-narr-match or $h-null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Vaccine Cancellation Reason Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $h-dt-value != '' and not($h-narr-match or $h-null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $h-dt-value != '' and not($h-narr-match or $h-null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Vaccine Cancellation Reason Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Vaccine Cancellation Reason Period data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-null-to-find and not($l-null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-null-to-find and not($l-null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Vaccine Cancellation Reason Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="cda:low/@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$l-nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($l-nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.<xsl:text /><xsl:value-of select="$l-null-msg" /><xsl:text /> If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-null-to-find and not($h-null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-null-to-find and not($h-null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Vaccine Cancellation Reason Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="cda:high/@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$h-nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($h-nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.<xsl:text /><xsl:value-of select="$h-null-msg" /><xsl:text />
		If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M66" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M66" />
  <xsl:template match="@*|node()" priority="-2" mode="M66">
    <xsl:apply-templates select="@*|*" mode="M66" />
  </xsl:template>
  <!--PATTERN p-TS-ACIR-Text-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16658' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16658']]/cda:entry/        cda:substanceAdministration[lower-case(cda:statusCode/@code)='cancelled']/cda:entryRelationship/cda:act/cda:text " priority="1000" mode="M67">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16658' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16658']]/cda:entry/        cda:substanceAdministration[lower-case(cda:statusCode/@code)='cancelled']/cda:entryRelationship/cda:act/cda:text " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Vaccine Cancellation Reason Comment
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Reason Comment 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Reason Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Reason Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Vaccine Cancellation Reason Comment however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Vaccine Cancellation Reason Comment in the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Reason Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Vaccine Cancellation Reason Comment however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Vaccine Cancellation Reason Comment in the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Vaccine Cancellation Reason Comment data element with a proper value then an exclusion
		statement must be included to state why there is no Vaccine Cancellation Reason Comment. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Reason Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Vaccine Cancellation Reason Comment however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Vaccine Cancellation Reason Comment in the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Reason Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Reason Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Reason Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Reason Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Reason Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Reason Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Reason Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Reason Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Reason Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Australian Childhood Immunisation Register Structured Content Specification v1.1.1 the Vaccine Cancellation Reason Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M67" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M67" />
  <xsl:template match="@*|node()" priority="-2" mode="M67">
    <xsl:apply-templates select="@*|*" mode="M67" />
  </xsl:template>
  <!--PATTERN p-TS-ACIR-Text-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16658' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16658']]/cda:entry/        cda:substanceAdministration[lower-case(cda:statusCode/@code)='cancelled']/cda:entryRelationship/cda:act/cda:text " priority="1000" mode="M68">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16658' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16658']]/cda:entry/        cda:substanceAdministration[lower-case(cda:statusCode/@code)='cancelled']/cda:entryRelationship/cda:act/cda:text " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Vaccine Cancellation Reason Comment '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Vaccine Cancellation Reason Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Vaccine Cancellation Reason Comment data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Vaccine Cancellation Reason Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Vaccine Cancellation Reason Comment data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Vaccine Cancellation Reason Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Vaccine Cancellation Reason Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Vaccine Cancellation Reason Comment data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Vaccine Cancellation Reason Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M68" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M68" />
  <xsl:template match="@*|node()" priority="-2" mode="M68">
    <xsl:apply-templates select="@*|*" mode="M68" />
  </xsl:template>
  <!--PATTERN p-TS-Admin-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16080' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080'] " priority="1000" mode="M69">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16080' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080'] " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating" select="if ($initial-priority) then $initial-rating else if ($FS-Types-seq/@rating) then concat(' (', $FS-Types-seq/@rating, ')') else '' " />
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and not( /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.156' and @extension = '1.0'] or        /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.226' and @extension = '1.0'] or        /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.144' and @extension = '1.1'] or        /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.234' and @extension = '1.0'] or        /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.147' and @extension = '1.1'] or        /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.222' and @extension = '1.0'] or        /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4'] or        /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.171' and @extension = '1.0'] or        /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.170' and @extension = '1.0'] or        /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2'] or        /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')] or        /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.140' and @extension = '1.1'] or        /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.172' and @extension = '1.1'] or        /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.220' and @extension = '1.0'] or        /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.153' and @extension = '1.0'] or        /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.142' and @extension = '1.1'] or        /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.179' and @extension = '1.0'] or        /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')] or        /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3']) and $extensions-allowed">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not( /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.156' and @extension = '1.0'] or /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.226' and @extension = '1.0'] or /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.144' and @extension = '1.1'] or /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.234' and @extension = '1.0'] or /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.147' and @extension = '1.1'] or /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.222' and @extension = '1.0'] or /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4'] or /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.171' and @extension = '1.0'] or /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.170' and @extension = '1.0'] or /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2'] or /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')] or /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.140' and @extension = '1.1'] or /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.172' and @extension = '1.1'] or /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.220' and @extension = '1.0'] or /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.153' and @extension = '1.0'] or /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.142' and @extension = '1.1'] or /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.179' and @extension = '1.0'] or /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')] or /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3']) and $extensions-allowed">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: FS-Types: The Administrative Observations section (codeSystem '1.2.36.1.2001.1001.101' and code '102.16080') has been found in a <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. The Administrative Observations section (codeSystem '1.2.36.1.2001.1001.101' and code '102.16080') is defined in the digital health specifications but
		although tests have been applied to the data elements the specification of the data elements may have been varied for inclusion in this document
		so further examination may be needed. The rules have been validated for <xsl:text /><xsl:value-of select="normalize-space('Advance Care Directive Custodian Report CDA Implementation Guide version 1.0; and        Advance Care Information CDA Implementation Guide version 1.0; and        Australian Childhood Immunisation Register CDA Implementation Guide version 1.1; and        Australian Immunisation Register CDA Implementation Guide version 1.0; and        Australian Organ Donor Register CDA Implementation Guide version 1.1; and        Diagnostic Imaging Report CDA Implementation Guide version 1.0; and        Discharge Summary CDA Implementation Guide version 3.4; and        eHealth Dispense Record CDA Implementation Guide version 1.0; and        eHealth Prescription Record CDA Implementation Guide version 1.0; and        eReferral CDA Implementation Guide version 2.2; and        Event Summary CDA Implementation Guide version 1.2 and 1.3; and        Medicare/DVA Benefits Report CDA Implementation Guide version 1.1; and        Medicare Overview CDA Implementation Guide version 1.1; and        Pathology Report CDA Implementation Guide version 1.0; and        Personal Health Summary CDA Implementation Guide version 1.0; and        Pharmaceutical Benefits Report CDA Implementation Guide version 1.1; and        Prescription and Dispense View CDA Implementation Guide version 1.0; and        Shared Health Summary CDA Implementation Guide version 1.3 and 1.4; and        Specialist Letter CDA Implementation Guide version 1.3')" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M69" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M69" />
  <xsl:template match="@*|node()" priority="-2" mode="M69">
    <xsl:apply-templates select="@*|*" mode="M69" />
  </xsl:template>
  <!--PATTERN p-TS-Admin-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16080' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]/cda:component/cda:section " priority="1000" mode="M70">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16080' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]/cda:component/cda:section " />
    <xsl:variable name="agency-section" select=" cda:code/@codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="test-step" select=" if (not($extensions-allowed)) then 'step 4'        else if ($agency-section) then 'step 3' else 'step 1' " />
    <xsl:variable name="title-and-code" select=" if (cda:title and cda:code/@code) then concat('title ''', cda:title, ''', code/code ''', cda:code/@code, '''')        else if (cda:title and not(cda:code/@code)) then concat('title ''', cda:title, '''')        else if (not(cda:title) and cda:code/@code) then concat('code/code ''', cda:code/@code, '''')        else '' " />
    <xsl:variable name="other-section-names" select=" if (cda:code/@displayName and not(cda:code/cda:originalText)) then concat(' and code/displayName ''', cda:code/@displayName, '''')         else if (cda:code/@displayName and cda:code/cda:originalText)          then concat(', code/displayName ''', cda:code/@displayName,''' and code/originalText ''', cda:code/cda:originalText, '''')        else if (not(cda:code/@displayName) and cda:code/cda:originalText) then concat(' and code/originalText ''', cda:code/cda:originalText, '''')        else '' " />
    <xsl:variable name="section-names" select="concat($title-and-code, $other-section-names)" />
    <xsl:variable name="doc-code" select="/cda:ClinicalDocument/cda:code" />
    <xsl:variable name="parent-section" select="ancestor::cda:section[position()=1]" />
    <xsl:variable name="custom-section-info" select="($iq-config/custom-sections/section, $knowledge/custom-sections/section)[        @doc-code  = $doc-code/@code          and        @doc-codeSystem  = $doc-code/@codeSystem          and        @parent-code   = $parent-section/cda:code/@code         and         @parent-codeSystem  = $parent-section/cda:code/@codeSystem        and         (@title = current()/cda:title or (@code = current()/cda:code/@code and @codeSystem = current()/cda:code/@codeSystem)) ] " />
    <xsl:variable name="section-disallowed" select="$custom-section-info/@disallowed = 'yes' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and ($section-disallowed or not(exists($custom-section-info)))) then $rating-alt-TC-Doc-28-step-1        else if ($test-step = 'step 1' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections]) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 3') then $rating-TC-Doc-28-step-3 else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and $section-disallowed ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and $section-disallowed">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Administrative Observations section (codeSystem '1.2.36.1.2001.1001.101' and code '102.16080') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> which
		is an extension to the information model however the inclusion of this section conflicts with sections defined in the digital health specifications.
		<xsl:text /><xsl:value-of select="$custom-section-info[@disallowed = 'yes']/@reason" /><xsl:text /> (Also see <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not(false()) and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(false()) and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Administrative Observations section (codeSystem '1.2.36.1.2001.1001.101' and code '102.16080') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. No subsection is expected so this
		is an extension to the information model. Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the 
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(false()) and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(false()) and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Administrative Observations section (codeSystem '1.2.36.1.2001.1001.101' and code '102.16080') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> but no subsections were
		expected so the document fails to meet the requirement that it must not contain additional data elements. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and false() and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and false() and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Administrative Observations section (codeSystem '1.2.36.1.2001.1001.101' and code '102.16080') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		none are expected but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the information model.
		Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Administrative Observations section (codeSystem '1.2.36.1.2001.1001.101' and code '102.16080') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		none are expected but the inclusion of the section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> fails to meet the requirement that it must not contain additional data elements.
		(See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M70" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M70" />
  <xsl:template match="@*|node()" priority="-2" mode="M70">
    <xsl:apply-templates select="@*|*" mode="M70" />
  </xsl:template>
  <!--PATTERN p-TS-Admin-Boolean-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16080' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]/cda:entry/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16233']]/cda:value " priority="1000" mode="M71">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16080' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]/cda:entry/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16233']]/cda:value " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 4.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-01" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-01 else $rating-alt-TC-Types-01 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-01: The Date of Birth is Calculated From Age
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type and
		<xsl:text /><xsl:value-of select="if (@value and @nullFlavor) then concat('has a value attribute with the value ''', @value, ''' and a nullFlavor attribute with the value ''', @nullFlavor, '''')   else if (@value and not(@nullFlavor)) then concat('has a value attribute with the value ''', @value, '''')   else if (not(@value) and @nullFlavor) then concat('has a nullFlavor attribute with the value ''', @nullFlavor, '''')   else 'has no value or nullFlavor attributes' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type or local-name(..) = ('contextConductionInd', 'deceasedInd') or   local-name(.) = ('independentInd', 'interruptibleInd', 'inversionInd', 'mobileInd', 'multipleBirthInd', 'negationInd', 'organDonorInd', 'performInd', 'preAdmitTestInd', 'preferenceInd', 'seperatableInd')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type or local-name(..) = ('contextConductionInd', 'deceasedInd') or local-name(.) = ('independentInd', 'interruptibleInd', 'inversionInd', 'mobileInd', 'multipleBirthInd', 'negationInd', 'organDonorInd', 'performInd', 'preAdmitTestInd', 'preferenceInd', 'seperatableInd'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Types-01: The Date of Birth is Calculated From Age
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type but it does not meet the requirement to have the xsi:type attribute with the value 'BL'.
		(See section 4.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Types-01: According to section 2.49 of the Participation Data Specification v3.2 the Date of Birth is Calculated From Age

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type which is
		derived from the HL7 'BL' data type however the xsi:type attribute has the value <xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 4.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Types-01: According to section 2.49 of the Participation Data Specification v3.2 the Date of Birth is Calculated From Age
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type which is derived from the HL7 'BL' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'BL'.
		(See section 4.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.49 of the Participation Data Specification v3.2 the Date of Birth is Calculated From Age

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Boolean data type.
		The Boolean data type does not have any child elements so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.49 of the Participation Data Specification v3.2 the Date of Birth is Calculated From Age

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Boolean data type.
		The Boolean data type does not have any child elements so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')] and     not(@xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')] and not(@xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.49 of the Participation Data Specification v3.2 the Date of Birth is Calculated From Age

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')])" /><xsl:text />' was found that is not expected for the Boolean data type.
		The definition of the Boolean data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')] and     not(@xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')] and not(@xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.49 of the Participation Data Specification v3.2 the Date of Birth is Calculated From Age

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')])" /><xsl:text />' was found that is not expected for the Boolean data type.
		The definition of the Boolean data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M71" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M71" />
  <xsl:template match="@*|node()" priority="-2" mode="M71">
    <xsl:apply-templates select="@*|*" mode="M71" />
  </xsl:template>
  <!--PATTERN p-TS-Admin-Boolean-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16080' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]/cda:entry/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16279']]/cda:value " priority="1000" mode="M72">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16080' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]/cda:entry/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16279']]/cda:value " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 4.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-01" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-01 else $rating-alt-TC-Types-01 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-01: The Age Accuracy Indicator
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type and
		<xsl:text /><xsl:value-of select="if (@value and @nullFlavor) then concat('has a value attribute with the value ''', @value, ''' and a nullFlavor attribute with the value ''', @nullFlavor, '''')   else if (@value and not(@nullFlavor)) then concat('has a value attribute with the value ''', @value, '''')   else if (not(@value) and @nullFlavor) then concat('has a nullFlavor attribute with the value ''', @nullFlavor, '''')   else 'has no value or nullFlavor attributes' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type or local-name(..) = ('contextConductionInd', 'deceasedInd') or   local-name(.) = ('independentInd', 'interruptibleInd', 'inversionInd', 'mobileInd', 'multipleBirthInd', 'negationInd', 'organDonorInd', 'performInd', 'preAdmitTestInd', 'preferenceInd', 'seperatableInd')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type or local-name(..) = ('contextConductionInd', 'deceasedInd') or local-name(.) = ('independentInd', 'interruptibleInd', 'inversionInd', 'mobileInd', 'multipleBirthInd', 'negationInd', 'organDonorInd', 'performInd', 'preAdmitTestInd', 'preferenceInd', 'seperatableInd'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Types-01: The Age Accuracy Indicator
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type but it does not meet the requirement to have the xsi:type attribute with the value 'BL'.
		(See section 4.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Types-01: According to section 2.56 of the Participation Data Specification v3.2 the Age Accuracy Indicator

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type which is
		derived from the HL7 'BL' data type however the xsi:type attribute has the value <xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 4.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Types-01: According to section 2.56 of the Participation Data Specification v3.2 the Age Accuracy Indicator
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type which is derived from the HL7 'BL' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'BL'.
		(See section 4.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.56 of the Participation Data Specification v3.2 the Age Accuracy Indicator

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Boolean data type.
		The Boolean data type does not have any child elements so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.56 of the Participation Data Specification v3.2 the Age Accuracy Indicator

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Boolean data type.
		The Boolean data type does not have any child elements so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')] and     not(@xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')] and not(@xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.56 of the Participation Data Specification v3.2 the Age Accuracy Indicator

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')])" /><xsl:text />' was found that is not expected for the Boolean data type.
		The definition of the Boolean data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')] and     not(@xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')] and not(@xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.56 of the Participation Data Specification v3.2 the Age Accuracy Indicator

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')])" /><xsl:text />' was found that is not expected for the Boolean data type.
		The definition of the Boolean data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M72" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M72" />
  <xsl:template match="@*|node()" priority="-2" mode="M72">
    <xsl:apply-templates select="@*|*" mode="M72" />
  </xsl:template>
  <!--PATTERN p-TS-Admin-Text-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16080' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]/cda:entry/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.10245']]/cda:value/cda:family " priority="1000" mode="M73">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16080' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]/cda:entry/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.10245']]/cda:value/cda:family " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Mother's Original Family Name
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 2.67 of the Participation Data Specification v3.2 the Mother's Original Family Name 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 2.67 of the Participation Data Specification v3.2 the Mother's Original Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.67 of the Participation Data Specification v3.2 the Mother's Original Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Mother's Original Family Name however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Mother's Original Family Name in section 2.67 of the Participation Data Specification v3.2 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.67 of the Participation Data Specification v3.2 the Mother's Original Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Mother's Original Family Name however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Mother's Original Family Name in section 2.67 of the Participation Data Specification v3.2 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Mother's Original Family Name data element with a proper value then an exclusion
		statement must be included to state why there is no Mother's Original Family Name. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.67 of the Participation Data Specification v3.2 the Mother's Original Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Mother's Original Family Name however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Mother's Original Family Name in section 2.67 of the Participation Data Specification v3.2 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.67 of the Participation Data Specification v3.2 the Mother's Original Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.67 of the Participation Data Specification v3.2 the Mother's Original Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.67 of the Participation Data Specification v3.2 the Mother's Original Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.67 of the Participation Data Specification v3.2 the Mother's Original Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.67 of the Participation Data Specification v3.2 the Mother's Original Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.67 of the Participation Data Specification v3.2 the Mother's Original Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.67 of the Participation Data Specification v3.2 the Mother's Original Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.67 of the Participation Data Specification v3.2 the Mother's Original Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.67 of the Participation Data Specification v3.2 the Mother's Original Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 2.67 of the Participation Data Specification v3.2 the Mother's Original Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M73" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M73" />
  <xsl:template match="@*|node()" priority="-2" mode="M73">
    <xsl:apply-templates select="@*|*" mode="M73" />
  </xsl:template>
  <!--PATTERN p-TS-Admin-Integer-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16080' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]/cda:entry/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16249']]/cda:value " priority="1000" mode="M74">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16080' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]/cda:entry/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16249']]/cda:value " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 8.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-14" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-14 else $rating-alt-TC-Types-14 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-14: The Birth Plurality '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type and
		<xsl:text /><xsl:value-of select="if (@value and @nullFlavor) then concat('has a value attribute with the value ''', @value, ''' and a nullFlavor attribute with the value ''', @nullFlavor, '''')   else if (@value and not(@nullFlavor)) then concat('has a value attribute with the value ''', @value, '''')   else if (not(@value) and @nullFlavor) then concat('has a nullFlavor attribute with the value ''', @nullFlavor, '''')   else 'has no value or nullFlavor attributes' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(   local-name(.)  = 'batchTotalNumber'  or   local-name(.)  = 'continuationQuantity'  or   local-name(.)  = 'expectedSequenceNumber' or   local-name(.)  = 'initialQuantity'  or   local-name(.)  = 'messageWaitingNumber'  or   local-name(.)  = 'multipleBirthOrderNumber' or   local-name(.)  = 'positionNumber'  or   local-name(.)  = 'priorityNumber'  or   local-name(..) = 'repeatNumber'   or   local-name(.)  = 'resultCurrentQuantity' or   local-name(.)  = 'resultRemainingQuantity' or   local-name(.)  = 'resultTotalQuantity'  or   local-name(.)  = 'sequenceNumber'  or   local-name(.)  = 'startResultNumber'  or   local-name(.)  = 'transmissionQuantity'  or   local-name(.)  = 'versionNumber'  ) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not( local-name(.) = 'batchTotalNumber' or local-name(.) = 'continuationQuantity' or local-name(.) = 'expectedSequenceNumber' or local-name(.) = 'initialQuantity' or local-name(.) = 'messageWaitingNumber' or local-name(.) = 'multipleBirthOrderNumber' or local-name(.) = 'positionNumber' or local-name(.) = 'priorityNumber' or local-name(..) = 'repeatNumber' or local-name(.) = 'resultCurrentQuantity' or local-name(.) = 'resultRemainingQuantity' or local-name(.) = 'resultTotalQuantity' or local-name(.) = 'sequenceNumber' or local-name(.) = 'startResultNumber' or local-name(.) = 'transmissionQuantity' or local-name(.) = 'versionNumber' )">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-14" /><xsl:text />: TC-Types-14: The Birth Plurality
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type but it does not meet the requirement to have the xsi:type attribute with the value 'INT'.
		(See section 8.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-14" /><xsl:text />: TC-Types-14: According to section 2.57 of the Participation Data Specification v3.2 the Birth Plurality
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type which is
		derived from the HL7 'INT' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		(See section 8.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.57 of the Participation Data Specification v3.2 the Birth Plurality
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Integer data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.57 of the Participation Data Specification v3.2 the Birth Plurality
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Integer data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.57 of the Participation Data Specification v3.2 the Birth Plurality
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the Integer data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.57 of the Participation Data Specification v3.2 the Birth Plurality
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the Integer data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @inclusive != 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @inclusive != 'true'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.57 of the Participation Data Specification v3.2 the Birth Plurality
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however an attribute 'inclusive' with the value
		'<xsl:text /><xsl:value-of select="@inclusive" /><xsl:text />' was found that is not expected for the Integer data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @inclusive != 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @inclusive != 'true'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.57 of the Participation Data Specification v3.2 the Birth Plurality
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however an attribute 'inclusive' with the value
		'<xsl:text /><xsl:value-of select="@inclusive" /><xsl:text />' was found that is not expected for the Integer data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@value) and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@value) and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 2.57 of the Participation Data Specification v3.2 the Birth Plurality
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type
		however it has nullFlavor = 'UNC' (uncoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include nullFlavor = 'UNC'.
		(See section 8.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M74" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M74" />
  <xsl:template match="@*|node()" priority="-2" mode="M74">
    <xsl:apply-templates select="@*|*" mode="M74" />
  </xsl:template>
  <!--PATTERN p-TS-Admin-Duration-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16080' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]/cda:entry/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.20109']]/cda:value " priority="1000" mode="M75">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16080' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]/cda:entry/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.20109']]/cda:value " />
    <xsl:variable name="unit" select="if (not(@unit)) then '1' else dh:XQueryRecursiveReplace(@unit, $ucum-annotation-replacement, '') " />
    <xsl:variable name="a-time-unit" select="@unit and matches($unit, $ucum-time-unit-regex) " />
    <xsl:variable name="unit-validation" select="if (@unit and not($a-time-unit)) then dh:ValidateUCUM($unit) else '' " />
    <xsl:variable name="tc-types-93-err" select="@unit and not($a-time-unit) and $unit-validation = 'INVALID' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 8.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-17" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-17 else $rating-alt-TC-Types-17 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <xsl:variable name="rating-98" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-98 else $rating-alt-TC-Types-98 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-17: The Age '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Duration data type and
		<xsl:text /><xsl:value-of select="if (@value and @nullFlavor) then concat('has a value attribute with the value ''', @value, ''' and a nullFlavor attribute with the value ''', @nullFlavor, '''')   else if (@value and not(@nullFlavor)) then concat('has a value attribute with the value ''', @value, '''')   else if (not(@value) and @nullFlavor) then concat('has a nullFlavor attribute with the value ''', @nullFlavor, '''')   else 'has no value or nullFlavor attributes' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@unit = '1') then ' The unit attribute has the value ''1'' which is the default value assigned by the CDA schema'   else if (@unit) then concat(' The unit attribute has the value ''', @unit, '''') else ' There is no unit attribute' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'PQ' or normalize-space(substring-after(@xsi:type, ':')) = 'PQ') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'PQ' or normalize-space(substring-after(@xsi:type, ':')) = 'PQ')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-17" /><xsl:text />: TC-Types-17: According to section 2.55 of the Participation Data Specification v3.2 the Age
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Duration data type which is
		derived from the HL7 'PQ' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present.
		(See section 8.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-17" /><xsl:text />: TC-Types-17: According to section 2.55 of the Participation Data Specification v3.2 the Age
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Duration data type which is
		derived from the HL7 'PQ' data type however no xsi:type attribute is present. An xsi:type attribute must be present with the value 'PQ'.
		(See section 8.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:translation ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:translation">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-17" /><xsl:text />: TC-Types-17: According to section 2.55 of the Participation Data Specification v3.2 the Age
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Duration data type which is
		derived from the HL7 'PQ' data type. The 'translation' element is present however that element must not be present in
		a data element of the Duration data type. (See section 8.5.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name(.) = 'translation')]">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name(.) = 'translation')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.55 of the Participation Data Specification v3.2 the Age
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Duration data type however a
		child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = 'translation')])" /><xsl:text />' was found
		that is not expected for the Duration data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = 'translation')]">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = 'translation')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.55 of the Participation Data Specification v3.2 the Age
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Duration data type however a
		child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = 'translation')])" /><xsl:text />' was found
		that is not expected for the Duration data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'PQ' or normalize-space(substring-after(@xsi:type, ':')) = 'PQ')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'PQ' or normalize-space(substring-after(@xsi:type, ':')) = 'PQ'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.55 of the Participation Data Specification v3.2 the Age
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Duration data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the Duration data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'PQ' or normalize-space(substring-after(@xsi:type, ':')) = 'PQ')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'PQ' or normalize-space(substring-after(@xsi:type, ':')) = 'PQ'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.55 of the Participation Data Specification v3.2 the Age
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Duration data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the Duration data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@unit and not($a-time-unit) and not($tc-types-93-err) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@unit and not($a-time-unit) and not($tc-types-93-err)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-98" /><xsl:text />: TC-Types-98: According to section 2.55 of the Participation Data Specification v3.2 the Age '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Duration data type however the unit attribute has the value
		'<xsl:text /><xsl:value-of select="@unit" /><xsl:text />'<xsl:text /><xsl:value-of select="if (@unit = '1') then ' which is the default value assigned by the CDA schema.'    else if (contains($unit-validation, '|')) then '.' else if (contains($unit-validation, '~')) then concat(' which is the unit for ', substring-after($unit-validation, '~'), '.')    else '.' " /><xsl:text />
		The unit must be one of the case sensitive UCUM units for time which are listed in listed in table 5 of the UCUM specification,
		http://unitsofmeasure.org/ucum.html#para-31. (See section 7.8.10.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @value and not(@unit) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value and not(@unit)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-98" /><xsl:text />: TC-Types-98: According to section 2.55 of the Participation Data Specification v3.2 the Age '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Duration data type however it
		has a 'value' attribute with the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' but no unit attribute. This fails to meet the requirement that it shall have units that describe a period of time.
		(See section 7.8.10.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 2.55 of the Participation Data Specification v3.2 the Age '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Duration data type
		however it has nullFlavor = 'UNC' (uncoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include
		nullFlavor = 'UNC'. (See section 8.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M75" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M75" />
  <xsl:template match="@*|node()" priority="-2" mode="M75">
    <xsl:apply-templates select="@*|*" mode="M75" />
  </xsl:template>
  <!--PATTERN p-TS-Admin-DateTime-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16080' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]/cda:entry/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15507']]/cda:value " priority="1000" mode="M76">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16080' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]/cda:entry/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15507']]/cda:value " />
    <xsl:variable name="allow-ivl-ts" select="if (not(@xsi:type)) then false() else /cda:ClinicalDocument       [cda:templateId[(@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')  or         (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or         (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) ]]   and        local-name(.) = 'value'             and        ..[local-name(.) = 'observation' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]   and       ../..[local-name(.) = 'entryRelationship' and @typeCode='SUBJ']        and       ../../..[local-name(.) = 'observation' and cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]  and       ../../../..[local-name(.) = 'entry']            and       ../../../../..[local-name(.) = 'section' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]  " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-18" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-18 else $rating-alt-TC-Types-18 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-18: The Earliest Date for Filtering (DateTime Health Event Started) '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data
		type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime',            'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime', 'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: The Earliest Date for Filtering (DateTime Health Event Started)

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type but it does not meet the requirement to have the xsi:type attribute with the value 'TS'.
		(See section 8.6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the Earliest Date for Filtering (DateTime Health Event Started) '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was
		found. This may be corrected by using an xsi:type attribute with the value 'TS'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the Earliest Date for Filtering (DateTime Health Event Started) '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		This may be corrected by using an xsi:type attribute with the value 'TS'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the Earliest Date for Filtering (DateTime Health Event Started) '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7
		'TS' data type to have a value attribute if there is no nullFlavor
		attribute. (See section 7.8.13.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange')

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the Earliest Date for Filtering (DateTime Health Event Started) '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7 'TS' data type to have a value attribute if there is no nullFlavor
		attribute. The element has a '<xsl:text /><xsl:value-of select="local-name(*[local-name(.) = ('low', 'high')])" /><xsl:text />' child element with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		which is not one of the elements used for the HL7 'TS'
		data type. (See section 7.8.13 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Earliest Date for Filtering (DateTime Health Event Started)
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		is present. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Earliest Date for Filtering (DateTime Health Event Started)
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' was found. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Earliest Date for Filtering (DateTime Health Event Started)
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Earliest Date for Filtering (DateTime Health Event Started)
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@value) and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@value) and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to the Structured Content Specification the Earliest Date for Filtering (DateTime Health Event Started)
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (uncoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include
		nullFlavor 'UNC'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M76" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M76" />
  <xsl:template match="@*|node()" priority="-2" mode="M76">
    <xsl:apply-templates select="@*|*" mode="M76" />
  </xsl:template>
  <!--PATTERN p-TS-Admin-DateTime-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16080' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]/cda:entry/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]/cda:value " priority="1000" mode="M77">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16080' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]/cda:entry/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]/cda:value " />
    <xsl:variable name="allow-ivl-ts" select="if (not(@xsi:type)) then false() else /cda:ClinicalDocument       [cda:templateId[(@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')  or         (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or         (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) ]]   and        local-name(.) = 'value'             and        ..[local-name(.) = 'observation' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]   and       ../..[local-name(.) = 'entryRelationship' and @typeCode='SUBJ']        and       ../../..[local-name(.) = 'observation' and cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]  and       ../../../..[local-name(.) = 'entry']            and       ../../../../..[local-name(.) = 'section' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]  " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-18" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-18 else $rating-alt-TC-Types-18 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-18: The Latest Date for Filtering (DateTime Health Event Ended) '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data
		type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime',            'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime', 'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: The Latest Date for Filtering (DateTime Health Event Ended)

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type but it does not meet the requirement to have the xsi:type attribute with the value 'TS'.
		(See section 8.6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the Latest Date for Filtering (DateTime Health Event Ended) '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was
		found. This may be corrected by using an xsi:type attribute with the value 'TS'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the Latest Date for Filtering (DateTime Health Event Ended) '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		This may be corrected by using an xsi:type attribute with the value 'TS'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the Latest Date for Filtering (DateTime Health Event Ended) '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7
		'TS' data type to have a value attribute if there is no nullFlavor
		attribute. (See section 7.8.13.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange')

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the Latest Date for Filtering (DateTime Health Event Ended) '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7 'TS' data type to have a value attribute if there is no nullFlavor
		attribute. The element has a '<xsl:text /><xsl:value-of select="local-name(*[local-name(.) = ('low', 'high')])" /><xsl:text />' child element with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		which is not one of the elements used for the HL7 'TS'
		data type. (See section 7.8.13 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Latest Date for Filtering (DateTime Health Event Ended)
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		is present. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Latest Date for Filtering (DateTime Health Event Ended)
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' was found. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Latest Date for Filtering (DateTime Health Event Ended)
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Latest Date for Filtering (DateTime Health Event Ended)
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@value) and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@value) and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to the Structured Content Specification the Latest Date for Filtering (DateTime Health Event Ended)
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (uncoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include
		nullFlavor 'UNC'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M77" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M77" />
  <xsl:template match="@*|node()" priority="-2" mode="M77">
    <xsl:apply-templates select="@*|*" mode="M77" />
  </xsl:template>
  <!--PATTERN p-TS-Admin-CodeableText-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16080' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]/cda:entry/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16028']]/cda:value " priority="1000" mode="M78">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16080' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]/cda:entry/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16028']]/cda:value " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="family-err" select="cda:originalText and matches(cda:originalText, $family-regex, 'i')" />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; 200" />
    <xsl:variable name="nullFlavor-values" select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Specialty '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Specialty '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Specialty',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Specialty
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		which is derived from the HL7 'CD' data type however  the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Specialty '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and not(false()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and not(false()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Specialty '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Specialty however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText should not be included.
		(See the definition of Specialty in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and not(false()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and not(false()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Specialty
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Specialty however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Specialty in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Specialty data element must have a value that is consistent with this definition. Alternatively if there is no Specialty data element with a proper value then an exclusion
		statement must be included to state why there is no Specialty.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and not(false()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and not(false()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Specialty '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Specialty however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText should not be included.
		(See the definition of Specialty in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and not(false()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and not(false()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Specialty '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Specialty however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Specialty in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and not(false()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and not(false()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Specialty
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Specialty however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Specialty in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Specialty data element must have a value that is consistent with this definition. Alternatively if there is no Specialty data element with a proper value then an exclusion
		statement must be included to state why there is no Specialty.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and not(false()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and not(false()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Specialty '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Specialty however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Specialty in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Specialty data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value
		(if a nullFlavor attribute is permitted for this data element). (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Specialty '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Specialty
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Specialty
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Specialty
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present and is not expected
		for the CodeableText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Specialty
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present and is not expected
		for the CodeableText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(.) != 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Specialty '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Specialty
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. As a translation element cannot have an originalText
		then a displayName must be present. (See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Specialty
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value which is not correct to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Specialty '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value
		which is not a correct value to use in this case. The nullFlavor attribute indicates the Specialty
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Specialty '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a value of nullFlavor 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information provided.
		Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Specialty '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Specialty.
		(See the definition of Specialty in the Structured Content Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Specialty '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M78" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M78" />
  <xsl:template match="@*|node()" priority="-2" mode="M78">
    <xsl:apply-templates select="@*|*" mode="M78" />
  </xsl:template>
  <!--PATTERN p-TS-Admin-CodeableText-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '102.16080' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]/cda:entry/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16028']]/cda:value   [@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " priority="1000" mode="M79">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '102.16080' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]/cda:entry/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16028']]/cda:value   [@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " />
    <xsl:variable name="pcode-1" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex) and        not(@nullFlavor='INV' or @nullFlavor = $no-value-NF)) then @code else '' " />
    <xsl:variable name="psnomed-id" select="if ($pcode-1 = '') then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-psnomed-version" select="if ($pcode-1 = '') then ''        else if (not(@codeSystemVersion)) then $ts-latest-snomedctau        else if ($psnomed-id = 'snomedctau' and exists($ts-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else $ts-latest-snomedctau " />
    <xsl:variable name="pcode" select="if ($pcode-1 != '' and 'CodeFoundActive' = dh:IsCodeInTerminologyValidUsingTS($pcode-1, '2.16.840.1.113883.6.96', $ts-psnomed-version)) then $pcode-1        else '' " />
    <xsl:variable name="display-text-1" select="if ($pcode = '' or not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if ($pcode = '') then ''        else if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if ($pcode = '') then ''        else if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))        else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-version" select="if ($pcode = '') then ''       else if (@codeSystemVersion) then concat(' with codeSystemVersion ', codepoints-to-string(34), @codeSystemVersion, codepoints-to-string(34)) else '' " />
    <xsl:variable name="display-system" select="if ($pcode = '') then ''       else if (@codeSystem and @codeSystemName)         then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')', $display-version)        else if (@codeSystem and not(@codeSystemName))         then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), $display-version)        else '' " />
    <xsl:variable name="snomed-trans-1" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="snomed-trans-2" select="distinct-values(for $i in (1 to count($snomed-trans-1)) return $snomed-trans-1[$i]/@code) " />
    <xsl:variable name="snomed-trans-a" select="$snomed-trans-1[1] " />
    <xsl:variable name="tcode-a-1" select="if (exists($snomed-trans-a) and matches($snomed-trans-a/@code, $snomed-code-regex) and        not($snomed-trans-a/@nullFlavor = 'INV' or $snomed-trans-a/@nullFlavor = $no-value-NF)) then $snomed-trans-a/@code else '' " />
    <xsl:variable name="tsnomed-id-a" select="if ($tcode-a-1 = '' or not(exists($snomed-trans-a))) then 'not-snomed'        else if (not($snomed-trans-a/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-a/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-tsnomed-version-a" select="if ($tcode-a-1 = '') then ''        else if (not($snomed-trans-a/@codeSystemVersion)) then $ts-latest-snomedctau        else if ($tsnomed-id-a = 'snomedctau' and exists($ts-snomedctau[. = $snomed-trans-a/@codeSystemVersion])) then @codeSystemVersion        else $ts-latest-snomedctau " />
    <xsl:variable name="tcode-a" select="if ($tcode-a-1 != '' and 'CodeFoundActive' = dh:IsCodeInTerminologyValidUsingTS($tcode-a-1, '2.16.840.1.113883.6.96', $ts-tsnomed-version-a))         then $tcode-a-1 else '' " />
    <xsl:variable name="display-tcode-a" select="if ($tcode-a = '' or not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@code and $snomed-trans-a/@displayName)          then concat('code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-a/@displayName, codepoints-to-string(34))         else if ($snomed-trans-a/@code and not($snomed-trans-a/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tversion-a" select="if ($tcode-a = '') then ''        else if ($snomed-trans-a/@codeSystemVersion)         then concat(' with codeSystemVersion ', codepoints-to-string(34), $snomed-trans-a/@codeSystemVersion, codepoints-to-string(34)) else '' " />
    <xsl:variable name="display-tsystem-a" select="if ($tcode-a = '') then ''        else if ($snomed-trans-a/@codeSystem and $snomed-trans-a/@codeSystemName)         then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34), ' (',          $snomed-trans-a/@codeSystemName, ')', $display-tversion-a)         else if ($snomed-trans-a/@codeSystem and not($snomed-trans-a/@codeSystemName))         then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34), $display-tversion-a)         else '' " />
    <xsl:variable name="snomed-trans-b" select="(for $i in (2 to count($snomed-trans-1)) return if ($snomed-trans-1[$i]/@code != $snomed-trans-a/@code) then $snomed-trans-1[$i] else ())[1] " />
    <xsl:variable name="tcode-b-1" select="if (exists($snomed-trans-b) and matches($snomed-trans-b/@code, $snomed-code-regex) and        not($snomed-trans-b/@nullFlavor = 'INV' or $snomed-trans-b/@nullFlavor = $no-value-NF)) then $snomed-trans-b/@code else '' " />
    <xsl:variable name="tsnomed-id-b" select="if ($tcode-b-1 = '' or not(exists($snomed-trans-b))) then 'not-snomed'        else if (not($snomed-trans-b/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-b/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-tsnomed-version-b" select="if ($tcode-b-1 = '') then ''        else if (not($snomed-trans-b/@codeSystemVersion)) then $ts-latest-snomedctau        else if ($tsnomed-id-b = 'snomedctau' and exists($ts-snomedctau[. = $snomed-trans-b/@codeSystemVersion])) then @codeSystemVersion        else $ts-latest-snomedctau " />
    <xsl:variable name="tcode-b" select="if ($tcode-b-1 != '' and 'CodeFoundActive' = dh:IsCodeInTerminologyValidUsingTS($tcode-b-1, '2.16.840.1.113883.6.96', $ts-tsnomed-version-b))         then $tcode-b-1 else '' " />
    <xsl:variable name="display-tcode-b" select="if ($tcode-b = '' or not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@code and $snomed-trans-b/@displayName)          then concat('code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-b/@displayName, codepoints-to-string(34))         else if ($snomed-trans-b/@code and not($snomed-trans-b/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tversion-b" select="if ($tcode-b = '') then ''        else if ($snomed-trans-b/@codeSystemVersion)         then concat(' with codeSystemVersion ', codepoints-to-string(34), $snomed-trans-b/@codeSystemVersion, codepoints-to-string(34)) else '' " />
    <xsl:variable name="display-tsystem-b" select="if ($tcode-b = '') then ''        else if ($snomed-trans-b/@codeSystem and $snomed-trans-b/@codeSystemName)         then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34), ' (',          $snomed-trans-b/@codeSystemName, ')', $display-tversion-b)         else if ($snomed-trans-b/@codeSystem and not($snomed-trans-b/@codeSystemName))         then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34), $display-tversion-b)         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $pcode != '' and $use-ts-for-sctau and    not(contains(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-psnomed-version, 'ecl', concat($pcode, ' AND ', '(&lt;394658006 OR &lt;224891009)'), '', '1', false()), '[')) and   not(contains(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-psnomed-version, 'ecl', concat($pcode, ' AND ', '(&gt;&gt;394658006 OR &lt;&lt;308912000)'), '', '1', false()), '[')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode != '' and $use-ts-for-sctau and not(contains(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-psnomed-version, 'ecl', concat($pcode, ' AND ', '(&lt;394658006 OR &lt;224891009)'), '', '1', false()), '[')) and not(contains(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-psnomed-version, 'ecl', concat($pcode, ' AND ', '(&gt;&gt;394658006 OR &lt;&lt;308912000)'), '', '1', false()), '['))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Specialty '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. 
		The code '<xsl:text /><xsl:value-of select="$pcode" /><xsl:text />' has the meanings
		<xsl:text /><xsl:value-of select="string-join(distinct-values(tokenize(dh:GetAllSynonymsForCodeUsingTS($pcode, '2.16.840.1.113883.6.96', $ts-psnomed-version), '\|')), '; ')" /><xsl:text />.
		Confirm if this is a valid code for the Specialty data element. <xsl:text /><xsl:value-of select="concat(' ', normalize-space('Unless a nullFlavor attribute is present with a value that indicates the code is invalid or unknown, the value of the data element must be         consistent with the definition which is to identify the clinical specialty under which the subject of         care was treated during the encounter. (See section 4.6 of the Discharge Summary Structured Document Template v3.3.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $pcode != '' and $use-ts-for-sctau and    contains(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-psnomed-version, 'ecl', concat($pcode, ' AND ', '(&gt;&gt;394658006 OR &lt;&lt;308912000)'), '', '1', false()), '[') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode != '' and $use-ts-for-sctau and contains(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-psnomed-version, 'ecl', concat($pcode, ' AND ', '(&gt;&gt;394658006 OR &lt;&lt;308912000)'), '', '1', false()), '[')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Specialty '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. The code '<xsl:text /><xsl:value-of select="$pcode" /><xsl:text />' has the meanings
		<xsl:text /><xsl:value-of select="string-join(distinct-values(tokenize(dh:GetAllSynonymsForCodeUsingTS($pcode, '2.16.840.1.113883.6.96', $ts-psnomed-version), '\|')), '; ')" /><xsl:text /> 
		and is not a valid code for the Specialty data element. <xsl:text /><xsl:value-of select="concat(' ', normalize-space('Unless a nullFlavor attribute is present with a value that indicates the code is invalid or unknown, the value of the data element must be         consistent with the definition which is to identify the clinical specialty under which the subject of         care was treated during the encounter. (See section 4.6 of the Discharge Summary Structured Document Template v3.3.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $tcode-a != '' and $use-ts-for-sctau and    not(contains(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-tsnomed-version-a, 'ecl', concat($tcode-a, ' AND ', '(&lt;394658006 OR &lt;224891009)'), '', '1', false()), '[')) and   not(contains(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-tsnomed-version-a, 'ecl', concat($tcode-a, ' AND ', '(&gt;&gt;394658006 OR &lt;&lt;308912000)'), '', '1', false()), '[')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a != '' and $use-ts-for-sctau and not(contains(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-tsnomed-version-a, 'ecl', concat($tcode-a, ' AND ', '(&lt;394658006 OR &lt;224891009)'), '', '1', false()), '[')) and not(contains(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-tsnomed-version-a, 'ecl', concat($tcode-a, ' AND ', '(&gt;&gt;394658006 OR &lt;&lt;308912000)'), '', '1', false()), '['))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Specialty '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the translation <xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />' has the meanings
		<xsl:text /><xsl:value-of select="string-join(distinct-values(tokenize(dh:GetAllSynonymsForCodeUsingTS($tcode-a, '2.16.840.1.113883.6.96', $ts-psnomed-version), '\|')), '; ')" /><xsl:text />.
		Confirm if this is a valid code for the Specialty data element. <xsl:text /><xsl:value-of select="concat(' ', normalize-space('Unless a nullFlavor attribute is present with a value that indicates the code is invalid or unknown, the value of the data element must be         consistent with the definition which is to identify the clinical specialty under which the subject of         care was treated during the encounter. (See section 4.6 of the Discharge Summary Structured Document Template v3.3.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $tcode-a != '' and $use-ts-for-sctau and    contains(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-tsnomed-version-a, 'ecl', concat($tcode-a, ' AND ', '(&gt;&gt;394658006 OR &lt;&lt;308912000)'), '', '1', false()), '[') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a != '' and $use-ts-for-sctau and contains(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-tsnomed-version-a, 'ecl', concat($tcode-a, ' AND ', '(&gt;&gt;394658006 OR &lt;&lt;308912000)'), '', '1', false()), '[')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Specialty '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the translation <xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />' has the meanings
		<xsl:text /><xsl:value-of select="string-join(distinct-values(tokenize(dh:GetAllSynonymsForCodeUsingTS($tcode-a, '2.16.840.1.113883.6.96', $ts-psnomed-version), '\|')), '; ')" /><xsl:text /> 
		and is not a valid code for the Specialty data element. <xsl:text /><xsl:value-of select="concat(' ', normalize-space('Unless a nullFlavor attribute is present with a value that indicates the code is invalid or unknown, the value of the data element must be         consistent with the definition which is to identify the clinical specialty under which the subject of         care was treated during the encounter. (See section 4.6 of the Discharge Summary Structured Document Template v3.3.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $tcode-b != '' and $use-ts-for-sctau and    not(contains(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-tsnomed-version-b, 'ecl', concat($tcode-b, ' AND ', '(&lt;394658006 OR &lt;224891009)'), '', '1', false()), '[')) and   not(contains(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-tsnomed-version-b, 'ecl', concat($tcode-b, ' AND ', '(&gt;&gt;394658006 OR &lt;&lt;308912000)'), '', '1', false()), '[')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b != '' and $use-ts-for-sctau and not(contains(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-tsnomed-version-b, 'ecl', concat($tcode-b, ' AND ', '(&lt;394658006 OR &lt;224891009)'), '', '1', false()), '[')) and not(contains(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-tsnomed-version-b, 'ecl', concat($tcode-b, ' AND ', '(&gt;&gt;394658006 OR &lt;&lt;308912000)'), '', '1', false()), '['))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Specialty '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the translation <xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />' has the meanings
		<xsl:text /><xsl:value-of select="string-join(distinct-values(tokenize(dh:GetAllSynonymsForCodeUsingTS($tcode-b, '2.16.840.1.113883.6.96', $ts-psnomed-version), '\|')), '; ')" /><xsl:text />.
		Confirm if this is a valid code for the Specialty data element. <xsl:text /><xsl:value-of select="concat(' ', normalize-space('Unless a nullFlavor attribute is present with a value that indicates the code is invalid or unknown, the value of the data element must be         consistent with the definition which is to identify the clinical specialty under which the subject of         care was treated during the encounter. (See section 4.6 of the Discharge Summary Structured Document Template v3.3.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $tcode-b != '' and $use-ts-for-sctau and    contains(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-tsnomed-version-b, 'ecl', concat($tcode-b, ' AND ', '(&gt;&gt;394658006 OR &lt;&lt;308912000)'), '', '1', false()), '[') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b != '' and $use-ts-for-sctau and contains(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-tsnomed-version-b, 'ecl', concat($tcode-b, ' AND ', '(&gt;&gt;394658006 OR &lt;&lt;308912000)'), '', '1', false()), '[')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Specialty '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the translation <xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />' has the meanings
		<xsl:text /><xsl:value-of select="string-join(distinct-values(tokenize(dh:GetAllSynonymsForCodeUsingTS($tcode-b, '2.16.840.1.113883.6.96', $ts-psnomed-version), '\|')), '; ')" /><xsl:text /> 
		and is not a valid code for the Specialty data element. <xsl:text /><xsl:value-of select="concat(' ', normalize-space('Unless a nullFlavor attribute is present with a value that indicates the code is invalid or unknown, the value of the data element must be         consistent with the definition which is to identify the clinical specialty under which the subject of         care was treated during the encounter. (See section 4.6 of the Discharge Summary Structured Document Template v3.3.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M79" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M79" />
  <xsl:template match="@*|node()" priority="-2" mode="M79">
    <xsl:apply-templates select="@*|*" mode="M79" />
  </xsl:template>
  <!--PATTERN p-TS-Admin-CodedText-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16080' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]/cda:entry/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.10243']]/cda:value " priority="1000" mode="M80">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16080' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]/cda:entry/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.10243']]/cda:value " />
    <xsl:variable name="tc-types-49-err" select="@nullFlavor = ('PINF', 'NINF', 'QS', 'TRC') or (@nullFlavor='UNC' and (not(cda:originalText) or normalize-space(cda:originalText) = '')) " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="family-err" select="cda:originalText and matches(cda:originalText, $family-regex, 'i')" />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; 200" />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and @code != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used with the Clinical Package Validator to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used with the Clinical Package Validator to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the primary code.') " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-06-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-06-step-2 else $rating-alt-TC-Types-06-step-2 " />
    <xsl:variable name="rating-07-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-1 else $rating-alt-TC-Types-07-step-1 " />
    <xsl:variable name="rating-07-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-2 else $rating-alt-TC-Types-07-step-2 " />
    <xsl:variable name="rating-08" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-08 else $rating-alt-TC-Types-08 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-07: The Source of Death Notification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data
		type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to section 2.65 of the Participation Data Specification v3.2 the Source of Death Notification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which is derived from the HL7 'CD' data type however xsi:type '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to section 2.65 of the Participation Data Specification v3.2 the Source of Death Notification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:translation">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:translation">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to section 2.65 of the Participation Data Specification v3.2 the Source of Death Notification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'translation' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value
		domain, with no exceptions. A translation translates the value into a code from another code systems, so translations are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:qualifier">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:qualifier">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to section 2.65 of the Participation Data Specification v3.2 the Source of Death Notification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'qualifier' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value domain,
		with no exceptions. A qualifier constrains the value, so qualifiers are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Source of Death Notification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.65 of the Participation Data Specification v3.2 the Source of Death Notification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.65 of the Participation Data Specification v3.2 the Source of Death Notification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.65 of the Participation Data Specification v3.2 the Source of Death Notification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present and is not expected
		for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.65 of the Participation Data Specification v3.2 the Source of Death Notification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />'
		is present and is not expected for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-terminology-concepts = 'true' and not(true() or false() or $family-err or $length-err) and    not(@nullFlavor) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and not(true() or false() or $family-err or $length-err) and not(@nullFlavor)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (value domain not specified): The Source of Death Notification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The CodedText data type has the requirement that values must come from the specified bound value domain with no exceptions but a value domain has not been specified for the
		Source of Death Notification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Source of Death Notification',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="false() and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != '2.16.840.1.113883.13.64'))  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != '2.16.840.1.113883.13.64'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-06-step-2" /><xsl:text />: TC-Types-06 step 2: According to section 2.65 of the Participation Data Specification v3.2 the Source of Death Notification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. The
		CodedText data type has the requirement that values must come from the bound value domain with no exceptions. Therefore the value of the codeSystem attribute must be a publicly available
		code system. The Source of Death Notification data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide states the code system is 'NS' (not stated) with the requirement 'When national standard code sets become
		available, they SHALL be used'. The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> which is after the national standard code set became available
		for use on the <xsl:text /><xsl:value-of select="''" /><xsl:text />. The code system that must be used is
		<xsl:text /><xsl:value-of select="if ('2.16.840.1.113883.13.64' = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName, ' (ConceptId ''', 'none', ''')')   else concat('2.16.840.1.113883.13.64', ' (', $code-systems/system[@codeSystem = '2.16.840.1.113883.13.64']/@codeSystemName, ')')" /><xsl:text /><xsl:text /><xsl:value-of select="if (not(@codeSystem)) then '.'    else if (@codeSystemName) then concat(' however codeSystem ''', @codeSystem, ''' (', @codeSystemName, ') is present.')   else concat(' however a codeSystem attribute with the value ''', @codeSystem, ''' is present.') " /><xsl:text />
		(See section 1.8 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide, <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and the CDA Implementation Guide for the
		information about the value domain.)
		<xsl:text /><xsl:value-of select="if ('none' = '11000036103') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName,     ' are Allergic reaction (''419076005''), Medication side-effect (''401207004'') and Drug interaction (''79899007'').')    else if ('none' = '15071000036100') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName,     ' are Prescribed (''105681000036100''), Suspended (''385655000'') and Unchanged (''105701000036103'').')    else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'OTH' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'OTH'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to section 2.65 of the Participation Data Specification v3.2 the Source of Death Notification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore it is not valid for the data element to have nullFlavor 'OTH' to indicate that the
		actual value is not a member of the set of permitted data values in the constrained value domain. 
		(See the requirements for Source of Death Notification and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.65 of the Participation Data Specification v3.2 the Source of Death Notification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type<xsl:text /><xsl:value-of select="if (not(false())) then '.' else   concat(' and the CDA Implementation Guide states the vocabulary is ''', '2.16.840.1.113883.13.64', ''' (', $code-systems/system[@codeSystem = '2.16.840.1.113883.13.64']/@codeSystemName, ').') " /><xsl:text />
		The CodedText data type has
		the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor attribute
		to indicate there is no value, however a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) is present and is not one of the nullFlavor values that indicate there is no value.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@nullFlavor or @code) and not(false() and not(@nullFlavor) and not(@codeSystem)) and cda:originalText ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor or @code) and not(false() and not(@nullFlavor) and not(@codeSystem)) and cda:originalText">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to section 2.65 of the Participation Data Specification v3.2 the Source of Death Notification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor
		attribute to indicate there is no value. The only information found in the data element is originalText '<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />'.
		(See the requirements for Source of Death Notification and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)
		<xsl:text /><xsl:value-of select="if (local-name(.) = 'jobClassCode') then concat('Consider using the METeOR 314867 ''Employment type'' code system (codeSystem ''2.16.840.1.113883.3.879.314867'') which has ',   'codes for ''Permanent'', ''Fixed term contract'', ''Casual'' and ''Not stated/inadequately described''; or the  METeOR 691891 ''Full-time/part-time status'' code system ',   '(codeSystem ''2.16.840.1.113883.3.879.691891'') which has codes for ''Full-time'', ''Part-time'' and ''Not stated/inadequately described''. ',   '(See the the METeOR 314867 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/314867 and the METeOR 691891 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/691891.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="true() and @codeSystem and @codeSystem != '2.16.840.1.113883.13.64' and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and @codeSystem and @codeSystem != '2.16.840.1.113883.13.64' and not(false())">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to section 2.65 of the Participation Data Specification v3.2 the Source of Death Notification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and the CDA Implementation Guide states the vocabulary is
		<xsl:text /><xsl:value-of select="if ('2.16.840.1.113883.13.64' = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName, ' (ConceptId ''', 'none', ''').')   else concat('2.16.840.1.113883.13.64', ' (', $code-systems/system[@codeSystem = '2.16.840.1.113883.13.64']/@codeSystemName, ').')" /><xsl:text />
		The CodedText data type has the requirement that values must come from the bound value domain with no exceptions.
		Therefore the value of codeSystem must be '2.16.840.1.113883.13.64' but codeSystem '<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />' (<xsl:text /><xsl:value-of select="@codeSystemName" /><xsl:text />) is present.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="true() and '2.16.840.1.113883.13.64' = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and    not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version,    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@refSet) = 'CodeFound') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and '2.16.840.1.113883.13.64' = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version, $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@refSet) = 'CodeFound')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to section 2.65 of the Participation Data Specification v3.2 the Source of Death Notification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. The applicable value domain is the SNOMED CT-AU
		<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName" /><xsl:text />
		(Concept ID: 'none'). The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the code is not a member of the value domain.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and the CDA Implementation Guide for the information about the value domain.)<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-08" /><xsl:text />: TC-Types-08: According to section 2.65 of the Participation Data Specification v3.2 the Source of Death Notification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. It has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> but has neither an originalText nor a displayName
		so it fails to conform to the requirement 'In accordance with the requirement to completely represent section contents, values of CodedText or CodeableText data elements defined in
		the SCS SHALL include an originalText or a displayName component (or both)'.
		(See Appendix A of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 6.1 and 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090
		Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and not(cda:originalText) and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and not(cda:originalText) and not(false())">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Source of Death Notification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is
		not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. (See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M80" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M80" />
  <xsl:template match="@*|node()" priority="-2" mode="M80">
    <xsl:apply-templates select="@*|*" mode="M80" />
  </xsl:template>
  <!--PATTERN p-TS-Admin-CodedSimple-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/       cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]/   cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16234']]/cda:value " priority="1000" mode="M81">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/       cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]/   cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16234']]/cda:value " />
    <xsl:variable name="accuracy" select="if (@code) then @code else '' " />
    <xsl:variable name="day-accuracy" select="substring($accuracy, 1, 1) " />
    <xsl:variable name="month-accuracy" select="substring($accuracy, 2, 1) " />
    <xsl:variable name="year-accuracy" select="substring($accuracy, 3, 1) " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-01" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-01 else $rating-alt-TC-Types-01 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-01: The Date of Birth Accuracy Indicator '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Coded Simple data type and
		<xsl:text /><xsl:value-of select="concat(string-join((    if (@code) then concat('has a ''code'' attribute with the value ''', @code, '''') else '',    if (@nullFlavor) then concat('has a ''nullFlavor'' attribute with the value ''', @nullFlavor, '''') else ''   )[. != ''], ' and '), '.')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($day-accuracy = ('A', 'E', 'U')) then ' The first letter is the day accuracy indicator and has the value ' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($day-accuracy = 'A') then '''A'' (accurately known).'     else if ($day-accuracy = 'E') then '''E'' (estimated).'     else if ($day-accuracy = 'U') then '''U'' (unknown).'    else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($month-accuracy = ('A', 'E', 'U')) then ' The second letter is the month accuracy indicator and has the value ' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($month-accuracy = 'A') then '''A'' (accurately known).'     else if ($month-accuracy = 'E') then '''E'' (estimated).'     else if ($month-accuracy = 'U') then '''U'' (unknown).'    else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($year-accuracy = ('A', 'E', 'U')) then ' The third letter is the year accuracy indicator and has the value ' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($year-accuracy = 'A') then '''A'' (accurately known).'     else if ($year-accuracy = 'E') then '''E'' (estimated).'     else if ($year-accuracy = 'U') then '''U'' (unknown).'    else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(matches(@code, '^[AEU]{3}$')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(matches(@code, '^[AEU]{3}$'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Types-01: The Date of Birth Accuracy Indicator '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Coded Simple data type and has a 'code' attribute with the value '<xsl:text /><xsl:value-of select="$accuracy" /><xsl:text />'.
		<xsl:text /><xsl:value-of select="if (matches(@value, '^[A-Z]{3}$')) then '' else 'The ''code'' attribute does not consist of three upper case alphabetical characters.'" /><xsl:text /><xsl:text /><xsl:value-of select="if ($day-accuracy = ('A', 'E', 'U')) then ''     else ' The first letter is the day accuracy indicator but it does not have one of the required values of ''A'' (accurately known), ''E'' (estimated) or ''U'' (unknown).'" /><xsl:text /><xsl:text /><xsl:value-of select="if ($month-accuracy = ('A', 'E', 'U')) then ''     else ' The second letter is the month accuracy indicator but it does not have one of the required values of ''A'' (accurately known), ''E'' (estimated) or ''U'' (unknown).'" /><xsl:text /><xsl:text /><xsl:value-of select="if ($year-accuracy = ('A', 'E', 'U')) then ''     else ' The third letter is the year accuracy indicator but it does not have one of the required values of ''A'' (accurately known), ''E'' (estimated) or ''U'' (unknown).'" /><xsl:text />
		(See section 10 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'CS' or normalize-space(substring-after(@xsi:type, ':')) = 'CS') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'CS' or normalize-space(substring-after(@xsi:type, ':')) = 'CS')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Types-01: According to section 6.1.2 of the CDA Implementation Guide the Date of Birth Accuracy Indicator

		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Coded Simple data type
		however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' rather than the required value of 'CS'.
		(See section 6.1.2 of the CDA Implementation Guide.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M81" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M81" />
  <xsl:template match="@*|node()" priority="-2" mode="M81">
    <xsl:apply-templates select="@*|*" mode="M81" />
  </xsl:template>
  <!--PATTERN p-TS-Admin-CodedSimple-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/       cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]/   cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16252']]/cda:value " priority="1000" mode="M82">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/       cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]/   cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16252']]/cda:value " />
    <xsl:variable name="accuracy" select="if (@code) then @code else '' " />
    <xsl:variable name="day-accuracy" select="substring($accuracy, 1, 1) " />
    <xsl:variable name="month-accuracy" select="substring($accuracy, 2, 1) " />
    <xsl:variable name="year-accuracy" select="substring($accuracy, 3, 1) " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-01" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-01 else $rating-alt-TC-Types-01 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-01: The Date of Death Accuracy Indicator '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Coded Simple data type and
		<xsl:text /><xsl:value-of select="concat(string-join((    if (@code) then concat('has a ''code'' attribute with the value ''', @code, '''') else '',    if (@nullFlavor) then concat('has a ''nullFlavor'' attribute with the value ''', @nullFlavor, '''') else ''   )[. != ''], ' and '), '.')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($day-accuracy = ('A', 'E', 'U')) then ' The first letter is the day accuracy indicator and has the value ' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($day-accuracy = 'A') then '''A'' (accurately known).'     else if ($day-accuracy = 'E') then '''E'' (estimated).'     else if ($day-accuracy = 'U') then '''U'' (unknown).'    else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($month-accuracy = ('A', 'E', 'U')) then ' The second letter is the month accuracy indicator and has the value ' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($month-accuracy = 'A') then '''A'' (accurately known).'     else if ($month-accuracy = 'E') then '''E'' (estimated).'     else if ($month-accuracy = 'U') then '''U'' (unknown).'    else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($year-accuracy = ('A', 'E', 'U')) then ' The third letter is the year accuracy indicator and has the value ' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($year-accuracy = 'A') then '''A'' (accurately known).'     else if ($year-accuracy = 'E') then '''E'' (estimated).'     else if ($year-accuracy = 'U') then '''U'' (unknown).'    else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(matches(@code, '^[AEU]{3}$')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(matches(@code, '^[AEU]{3}$'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Types-01: The Date of Death Accuracy Indicator '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Coded Simple data type and has a 'code' attribute with the value '<xsl:text /><xsl:value-of select="$accuracy" /><xsl:text />'.
		<xsl:text /><xsl:value-of select="if (matches(@value, '^[A-Z]{3}$')) then '' else 'The ''code'' attribute does not consist of three upper case alphabetical characters.'" /><xsl:text /><xsl:text /><xsl:value-of select="if ($day-accuracy = ('A', 'E', 'U')) then ''     else ' The first letter is the day accuracy indicator but it does not have one of the required values of ''A'' (accurately known), ''E'' (estimated) or ''U'' (unknown).'" /><xsl:text /><xsl:text /><xsl:value-of select="if ($month-accuracy = ('A', 'E', 'U')) then ''     else ' The second letter is the month accuracy indicator but it does not have one of the required values of ''A'' (accurately known), ''E'' (estimated) or ''U'' (unknown).'" /><xsl:text /><xsl:text /><xsl:value-of select="if ($year-accuracy = ('A', 'E', 'U')) then ''     else ' The third letter is the year accuracy indicator but it does not have one of the required values of ''A'' (accurately known), ''E'' (estimated) or ''U'' (unknown).'" /><xsl:text />
		(See section 10 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'CS' or normalize-space(substring-after(@xsi:type, ':')) = 'CS') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'CS' or normalize-space(substring-after(@xsi:type, ':')) = 'CS')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Types-01: According to section 6.1.2 of the CDA Implementation Guide the Date of Death Accuracy Indicator

		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Coded Simple data type
		however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' rather than the required value of 'CS'.
		(See section 6.1.2 of the CDA Implementation Guide.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M82" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M82" />
  <xsl:template match="@*|node()" priority="-2" mode="M82">
    <xsl:apply-templates select="@*|*" mode="M82" />
  </xsl:template>
  <!--PATTERN p-TS-Adverse-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.20113' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113'] " priority="1000" mode="M83">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.20113' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113'] " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating" select="if ($initial-priority) then $initial-rating else if ($FS-Types-seq/@rating) then concat(' (', $FS-Types-seq/@rating, ')') else '' " />
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and not( /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']   or        /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2']   or        /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')]  or        /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')]  or        /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.153' and @extension = '1.0']   or        /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3']  ) and $extensions-allowed">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not( /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4'] or /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2'] or /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')] or /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')] or /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.153' and @extension = '1.0'] or /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3'] ) and $extensions-allowed">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: FS-Types: The Adverse Reactions section (codeSystem '1.2.36.1.2001.1001.101' and code '101.20113') has been found in a <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. The Adverse Reactions section (codeSystem '1.2.36.1.2001.1001.101' and code '101.20113') is defined in the digital health specifications but
		although tests have been applied to the data elements the specification of the data elements may have been varied for inclusion in this document
		so further examination may be needed. The rules have been validated for <xsl:text /><xsl:value-of select="normalize-space(' Discharge Summary CDA Implementation Guide version 3.4;         eReferral CDA Implementation Guide version 2.2;         Event Summary CDA Implementation Guide version 1.2 and 1.3;         Personal Health Summary CDA Implementation Guide version 1.0;         Shared Health Summary CDA Implementation Guide version 1.3 and 1.4; and        Specialist Letter CDA Implementation Guide version 1.3')" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M83" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M83" />
  <xsl:template match="@*|node()" priority="-2" mode="M83">
    <xsl:apply-templates select="@*|*" mode="M83" />
  </xsl:template>
  <!--PATTERN p-TS-Adverse-2-->
  <!--RULE -->
  <xsl:template match="    /cda:ClinicalDocument['101.20113' = $doc-sections][cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']]/    cda:component/cda:structuredBody/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16011']]/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/cda:component/cda:section      |      /cda:ClinicalDocument['101.20113' = $doc-sections][cda:templateId[    (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')   or    (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or    (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')   or    (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) or    (@root = '1.2.36.1.2001.1001.101.100.1002.153' and @extension = '1.0')   ]]/cda:component/cda:structuredBody/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/cda:component/cda:section       " priority="1000" mode="M84">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="    /cda:ClinicalDocument['101.20113' = $doc-sections][cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']]/    cda:component/cda:structuredBody/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16011']]/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/cda:component/cda:section      |      /cda:ClinicalDocument['101.20113' = $doc-sections][cda:templateId[    (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')   or    (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or    (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')   or    (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) or    (@root = '1.2.36.1.2001.1001.101.100.1002.153' and @extension = '1.0')   ]]/cda:component/cda:structuredBody/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/cda:component/cda:section       " />
    <xsl:variable name="agency-section" select=" cda:code/@codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="test-step" select=" if (not($extensions-allowed)) then 'step 4'        else if ($agency-section) then 'step 3' else 'step 1' " />
    <xsl:variable name="title-and-code" select=" if (cda:title and cda:code/@code) then concat('title ''', cda:title, ''', code/code ''', cda:code/@code, '''')        else if (cda:title and not(cda:code/@code)) then concat('title ''', cda:title, '''')        else if (not(cda:title) and cda:code/@code) then concat('code/code ''', cda:code/@code, '''')        else '' " />
    <xsl:variable name="other-section-names" select=" if (cda:code/@displayName and not(cda:code/cda:originalText)) then concat(' and code/displayName ''', cda:code/@displayName, '''')         else if (cda:code/@displayName and cda:code/cda:originalText)          then concat(', code/displayName ''', cda:code/@displayName,''' and code/originalText ''', cda:code/cda:originalText, '''')        else if (not(cda:code/@displayName) and cda:code/cda:originalText) then concat(' and code/originalText ''', cda:code/cda:originalText, '''')        else '' " />
    <xsl:variable name="section-names" select="concat($title-and-code, $other-section-names)" />
    <xsl:variable name="doc-code" select="/cda:ClinicalDocument/cda:code" />
    <xsl:variable name="parent-section" select="ancestor::cda:section[position()=1]" />
    <xsl:variable name="custom-section-info" select="($iq-config/custom-sections/section, $knowledge/custom-sections/section)[        @doc-code  = $doc-code/@code          and        @doc-codeSystem  = $doc-code/@codeSystem          and        @parent-code   = $parent-section/cda:code/@code         and         @parent-codeSystem  = $parent-section/cda:code/@codeSystem        and         (@title = current()/cda:title or (@code = current()/cda:code/@code and @codeSystem = current()/cda:code/@codeSystem)) ] " />
    <xsl:variable name="section-disallowed" select="$custom-section-info/@disallowed = 'yes' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and ($section-disallowed or not(exists($custom-section-info)))) then $rating-alt-TC-Doc-28-step-1        else if ($test-step = 'step 1' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections]) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 3') then $rating-TC-Doc-28-step-3 else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and $section-disallowed ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and $section-disallowed">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Adverse Reactions section (codeSystem '1.2.36.1.2001.1001.101' and code '101.20113') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> which
		is an extension to the information model however the inclusion of this section conflicts with sections defined in the digital health specifications.
		<xsl:text /><xsl:value-of select="$custom-section-info[@disallowed = 'yes']/@reason" /><xsl:text /> (Also see <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not(false()) and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(false()) and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Adverse Reactions section (codeSystem '1.2.36.1.2001.1001.101' and code '101.20113') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. No subsection is expected so this
		is an extension to the information model. Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the 
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(false()) and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(false()) and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Adverse Reactions section (codeSystem '1.2.36.1.2001.1001.101' and code '101.20113') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> but no subsections were
		expected so the document fails to meet the requirement that it must not contain additional data elements. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and false() and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and false() and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Adverse Reactions section (codeSystem '1.2.36.1.2001.1001.101' and code '101.20113') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		none are expected but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the information model.
		Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Adverse Reactions section (codeSystem '1.2.36.1.2001.1001.101' and code '101.20113') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		none are expected but the inclusion of the section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> fails to meet the requirement that it must not contain additional data elements.
		(See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M84" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M84" />
  <xsl:template match="@*|node()" priority="-2" mode="M84">
    <xsl:apply-templates select="@*|*" mode="M84" />
  </xsl:template>
  <!--PATTERN p-TS-Adverse-CodeableText-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.20113' = $doc-sections][cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']]/   cda:component/cda:structuredBody/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16011']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/cda:entry/cda:observation   [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:participant/cda:participantRole/cda:playingEntity/cda:code " priority="1000" mode="M85">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.20113' = $doc-sections][cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']]/   cda:component/cda:structuredBody/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16011']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/cda:entry/cda:observation   [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:participant/cda:participantRole/cda:playingEntity/cda:code " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Agent Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Agent Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Agent Description',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Agent Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Agent Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'disallowed' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'disallowed' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Agent Description
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Agent Description however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Agent Description in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'disallowed' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'disallowed' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Agent Description
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Agent Description however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Agent Description in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Agent Description data element must have a value that is consistent with this definition. Alternatively if there is no Agent Description data element with a proper value then an exclusion
		statement must be included to state why there is no Agent Description.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'disallowed' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'disallowed' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Agent Description
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Agent Description however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Agent Description in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'disallowed' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'disallowed' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Agent Description
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Agent Description however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Agent Description in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Agent Description data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'disallowed' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'disallowed' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Agent Description
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Agent Description however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Agent Description in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Agent Description data element must have a value that is consistent with this definition. Alternatively if there is no Agent Description data element with a proper value then an exclusion
		statement must be included to state why there is no Agent Description.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'disallowed' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'disallowed' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Agent Description
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Agent Description however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Agent Description in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Agent Description data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Agent Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Agent Description
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Agent Description
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Agent Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Agent Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Agent Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Agent Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Agent Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Agent Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Agent Description
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Agent Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Agent Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Agent Description.
		(See the definition of Agent Description in the Structured Content Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Agent Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M85" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M85" />
  <xsl:template match="@*|node()" priority="-2" mode="M85">
    <xsl:apply-templates select="@*|*" mode="M85" />
  </xsl:template>
  <!--PATTERN p-TS-Adverse-CodeableText-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '101.20113' = $doc-sections][cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']]/   cda:component/cda:structuredBody/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16011']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/cda:entry/cda:observation   [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:participant/cda:participantRole/cda:playingEntity/cda:code   [@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " priority="1000" mode="M86">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '101.20113' = $doc-sections][cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']]/   cda:component/cda:structuredBody/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16011']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/cda:entry/cda:observation   [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:participant/cda:participantRole/cda:playingEntity/cda:code   [@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="pnullFlavor" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @nullFlavor) then @nullFlavor else '' " />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-p-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then false()        else if ($psnomed-id = 'amtv3' and @codeSystemVersion) then exists($v-amtv3[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($psnomed-id = 'snomedctau' and @codeSystemVersion) then exists($v-snomedctau[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false() " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and $pcode != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used to assess the primary code.') " />
    <xsl:variable name="pcode-refsets-1" select="if (@codeSystem = '2.16.840.1.113883.6.96' and not($pcode = ''))         then dh:FindValueDomainsForCode($pcode, '2.16.840.1.113883.6.96', $v-psnomed-version) else 'no-code' " />
    <xsl:variable name="pcode-found" select="not($pcode-refsets-1 = 'no-code' or $pcode-refsets-1 = 'CodeNotFound' or $pcode-refsets-1 = 'Error'        or contains($pcode-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="pcode-refsets" select="if ($pcode-found) then distinct-values(tokenize($pcode-refsets-1, '\|')) else () " />
    <xsl:variable name="pcode-special-proc" select="count($pcode-refsets) = 1 and 'Procedure Foundation (PF)' = $pcode-refsets and not($pnullFlavor = 'OTH') " />
    <xsl:variable name="pcode-refsets-msg" select="if (count($pcode-refsets) = 0) then ''         else if (count($pcode-refsets) = 1) then concat('The code is a member of the ', $pcode-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($pcode-refsets, ', '), '.') " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))         else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-1" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="snomed-trans-2" select="distinct-values(for $i in (1 to count($snomed-trans-1)) return $snomed-trans-1[$i]/@code) " />
    <xsl:variable name="snomed-trans-a" select="$snomed-trans-1[1] " />
    <xsl:variable name="tcode-a" select="if (exists($snomed-trans-a) and matches($snomed-trans-a/@code, $snomed-code-regex)) then $snomed-trans-a/@code else '' " />
    <xsl:variable name="tnullFlavor-a" select="if (exists($snomed-trans-a) and $snomed-trans-a/@nullFlavor) then $snomed-trans-a/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-a" select="if (not(exists($snomed-trans-a))) then 'not-snomed'        else if (not($snomed-trans-a/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-a/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-a" select="if (not(exists($snomed-trans-a))) then ''        else if ($tsnomed-id-a = 'amtv3' and exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-a = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-a/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-a" select="if (not(exists($snomed-trans-a))) then false()        else if ($tsnomed-id-a = 'amtv3' and $snomed-trans-a/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-a = 'snomedctau' and $snomed-trans-a/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-a-msg" select="if (not(exists($snomed-trans-a))) then ''        else if (not($snomed-trans-a/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-a, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-a = 'amtv3') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-a = 'snomedctau') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-a/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-a, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-a/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-a-refsets-1" select="if (exists($snomed-trans-a) and not($tcode-a = ''))         then dh:FindValueDomainsForCode($tcode-a, '2.16.840.1.113883.6.96', $v-tsnomed-version-a) else 'no-code' " />
    <xsl:variable name="tcode-a-found" select="not($tcode-a-refsets-1 = 'no-code' or $tcode-a-refsets-1 = 'CodeNotFound' or $tcode-a-refsets-1 = 'Error'         or contains($tcode-a-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-a-refsets" select="if ($tcode-a-found) then distinct-values(tokenize($tcode-a-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-a-special-proc" select="count($tcode-a-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-a-refsets and not($tnullFlavor-a = 'OTH') " />
    <xsl:variable name="tcode-a-refsets-msg" select="if (count($tcode-a-refsets) = 0) then ''         else if (count($tcode-a-refsets) = 1) then concat('The code is a member of the ', $tcode-a-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-a-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@code and $snomed-trans-a/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-a/@displayName, codepoints-to-string(34))         else if ($snomed-trans-a/@code and not($snomed-trans-a/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@codeSystem and $snomed-trans-a/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-a/@codeSystemName, ')')         else if ($snomed-trans-a/@codeSystem and not($snomed-trans-a/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-b" select="(for $i in (2 to count($snomed-trans-1)) return if ($snomed-trans-1[$i]/@code != $snomed-trans-a/@code) then $snomed-trans-1[$i] else ())[1] " />
    <xsl:variable name="tcode-b" select="if (exists($snomed-trans-b) and matches($snomed-trans-b/@code, $snomed-code-regex)) then $snomed-trans-b/@code else '' " />
    <xsl:variable name="tnullFlavor-b" select="if (exists($snomed-trans-b) and $snomed-trans-b/@nullFlavor) then $snomed-trans-b/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-b" select="if (not(exists($snomed-trans-b))) then 'not-snomed'        else if (not($snomed-trans-b/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-b/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-b" select="if (not(exists($snomed-trans-b))) then ''        else if ($tsnomed-id-b = 'amtv3' and exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-b = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-b/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-b" select="if (not(exists($snomed-trans-b))) then false()        else if ($tsnomed-id-b = 'amtv3' and $snomed-trans-b/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-b = 'snomedctau' and $snomed-trans-b/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-b-msg" select="if (not(exists($snomed-trans-b))) then ''        else if (not($snomed-trans-b/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-b, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-b = 'amtv3') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-b = 'snomedctau') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-b/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-b, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-b/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-b-refsets-1" select="if (exists($snomed-trans-b) and not($tcode-b = ''))         then dh:FindValueDomainsForCode($tcode-b, '2.16.840.1.113883.6.96', $v-tsnomed-version-b) else 'no-code' " />
    <xsl:variable name="tcode-b-found" select="not($tcode-b-refsets-1 = 'no-code' or $tcode-b-refsets-1 = 'CodeNotFound' or $tcode-b-refsets-1 = 'Error'         or contains($tcode-b-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-b-refsets" select="if ($tcode-b-found) then distinct-values(tokenize($tcode-b-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-b-special-proc" select="count($tcode-b-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-b-refsets and not($tnullFlavor-b = 'OTH') " />
    <xsl:variable name="tcode-b-refsets-msg" select="if (count($tcode-b-refsets) = 0) then ''         else if (count($tcode-b-refsets) = 1) then concat('The code is a member of the ', $tcode-b-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-b-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@code and $snomed-trans-b/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-b/@displayName, codepoints-to-string(34))         else if ($snomed-trans-b/@code and not($snomed-trans-b/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@codeSystem and $snomed-trans-b/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-b/@codeSystemName, ')')         else if ($snomed-trans-b/@codeSystem and not($snomed-trans-b/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-60" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-60 else $rating-alt-TC-Types-60 " />
    <!--REPORT -->
    <xsl:if test=" $pcode-found and $pcode-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pcode-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD (p-TS-CD-SCT-RefSet): An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$pcode" /><xsl:text />',
		codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-psnomed-version" /><xsl:text />'. This error occurred when assessing the Agent Description data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Agent Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. The value is not valid for the data element as it describes a medical
		procedure and not a medical problem or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the substance, agent, or a class of substance,         that is considered to be responsible for the adverse reaction.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and   not(exists(index-of(for $refset in ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and not(exists(index-of(for $refset in ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Agent Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the code is not a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Adverse Reaction Agent (Concept Id: 142321000036106), Substance Foundation (Concept Id: 32570211000036100),         Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101), Medicinal Product Unit of Use         (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack (Concept Id: 929360041000036105),         Trade Product Unit of Use(Concept Id: 929360031000036100) and the Containered Trade Product Pack (Concept Id: 929360051000036108)         reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain was not stated when the Discharge Summary CDA Implementation Guide was published but the value domain is         specified in section 2.7 of the Adverse Reaction Detailed Clinical Model Specification v3.3 which uses the name Substance/Agent for         the Agent Description data element.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and   not(exists(index-of(for $refset in ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and not(exists(index-of(for $refset in ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Agent Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Adverse Reaction Agent (Concept Id: 142321000036106), Substance Foundation (Concept Id: 32570211000036100),         Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101), Medicinal Product Unit of Use         (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack (Concept Id: 929360041000036105),         Trade Product Unit of Use(Concept Id: 929360031000036100) and the Containered Trade Product Pack (Concept Id: 929360051000036108)         reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain was not stated when the Discharge Summary CDA Implementation Guide was published but the value domain is         specified in section 2.7 of the Adverse Reaction Detailed Clinical Model Specification v3.3 which uses the name Substance/Agent for         the Agent Description data element.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and   exists(index-of(for $refset in ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and exists(index-of(for $refset in ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Agent Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Adverse Reaction Agent (Concept Id: 142321000036106), Substance Foundation (Concept Id: 32570211000036100),         Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101), Medicinal Product Unit of Use         (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack (Concept Id: 929360041000036105),         Trade Product Unit of Use(Concept Id: 929360031000036100) and the Containered Trade Product Pack (Concept Id: 929360051000036108)         reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain was not stated when the Discharge Summary CDA Implementation Guide was published but the value domain is         specified in section 2.7 of the Adverse Reaction Detailed Clinical Model Specification v3.3 which uses the name Substance/Agent for         the Agent Description data element.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and   exists(index-of(for $refset in ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and exists(index-of(for $refset in ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Agent Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. Confirm if the code is a member of the value domain.
		If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Adverse Reaction Agent (Concept Id: 142321000036106), Substance Foundation (Concept Id: 32570211000036100),         Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101), Medicinal Product Unit of Use         (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack (Concept Id: 929360041000036105),         Trade Product Unit of Use(Concept Id: 929360031000036100) and the Containered Trade Product Pack (Concept Id: 929360051000036108)         reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain was not stated when the Discharge Summary CDA Implementation Guide was published but the value domain is         specified in section 2.7 of the Adverse Reaction Detailed Clinical Model Specification v3.3 which uses the name Substance/Agent for         the Agent Description data element.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Agent Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="count($snomed-trans-1)" /><xsl:text /> translation elements with
		codes and the SNOMED CT-AU codeSystem '2.16.840.1.113883.6.96'. The first two translation elements have been assessed to determine if the codes are members of the value domain
		and the others have not been assessed. Confirm if the value of the code attribute in all SNOMED CT translation elements meets the requirement that it be a member of the value domain
		if there is no nullFlavor 'OTH' or that there is a nullFlavor 'OTH' if the value of the code attribute is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Adverse Reaction Agent (Concept Id: 142321000036106), Substance Foundation (Concept Id: 32570211000036100),         Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101), Medicinal Product Unit of Use         (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack (Concept Id: 929360041000036105),         Trade Product Unit of Use(Concept Id: 929360031000036100) and the Containered Trade Product Pack (Concept Id: 929360051000036108)         reference sets.')" /><xsl:text /> 
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain was not stated when the Discharge Summary CDA Implementation Guide was published but the value domain is         specified in section 2.7 of the Adverse Reaction Detailed Clinical Model Specification v3.3 which uses the name Substance/Agent for         the Agent Description data element.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-a" /><xsl:text />'. This error occurred when assessing the Agent Description data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Agent Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the substance, agent, or a class of substance,         that is considered to be responsible for the adverse reaction.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and   not(exists(index-of(for $refset in ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and not(exists(index-of(for $refset in ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Agent Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Adverse Reaction Agent (Concept Id: 142321000036106), Substance Foundation (Concept Id: 32570211000036100),         Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101), Medicinal Product Unit of Use         (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack (Concept Id: 929360041000036105),         Trade Product Unit of Use(Concept Id: 929360031000036100) and the Containered Trade Product Pack (Concept Id: 929360051000036108)         reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain was not stated when the Discharge Summary CDA Implementation Guide was published but the value domain is         specified in section 2.7 of the Adverse Reaction Detailed Clinical Model Specification v3.3 which uses the name Substance/Agent for         the Agent Description data element.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and   not(exists(index-of(for $refset in ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and not(exists(index-of(for $refset in ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Agent Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Adverse Reaction Agent (Concept Id: 142321000036106), Substance Foundation (Concept Id: 32570211000036100),         Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101), Medicinal Product Unit of Use         (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack (Concept Id: 929360041000036105),         Trade Product Unit of Use(Concept Id: 929360031000036100) and the Containered Trade Product Pack (Concept Id: 929360051000036108)         reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain was not stated when the Discharge Summary CDA Implementation Guide was published but the value domain is         specified in section 2.7 of the Adverse Reaction Detailed Clinical Model Specification v3.3 which uses the name Substance/Agent for         the Agent Description data element.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and   exists(index-of(for $refset in ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and exists(index-of(for $refset in ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Agent Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Adverse Reaction Agent (Concept Id: 142321000036106), Substance Foundation (Concept Id: 32570211000036100),         Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101), Medicinal Product Unit of Use         (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack (Concept Id: 929360041000036105),         Trade Product Unit of Use(Concept Id: 929360031000036100) and the Containered Trade Product Pack (Concept Id: 929360051000036108)         reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain was not stated when the Discharge Summary CDA Implementation Guide was published but the value domain is         specified in section 2.7 of the Adverse Reaction Detailed Clinical Model Specification v3.3 which uses the name Substance/Agent for         the Agent Description data element.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and   exists(index-of(for $refset in ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and exists(index-of(for $refset in ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Agent Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Adverse Reaction Agent (Concept Id: 142321000036106), Substance Foundation (Concept Id: 32570211000036100),         Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101), Medicinal Product Unit of Use         (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack (Concept Id: 929360041000036105),         Trade Product Unit of Use(Concept Id: 929360031000036100) and the Containered Trade Product Pack (Concept Id: 929360051000036108)         reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain was not stated when the Discharge Summary CDA Implementation Guide was published but the value domain is         specified in section 2.7 of the Adverse Reaction Detailed Clinical Model Specification v3.3 which uses the name Substance/Agent for         the Agent Description data element.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-b" /><xsl:text />'. This error occurred when assessing the Agent Description data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Agent Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> 
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the substance, agent, or a class of substance,         that is considered to be responsible for the adverse reaction.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and   not(exists(index-of(for $refset in ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and not(exists(index-of(for $refset in ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Agent Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Adverse Reaction Agent (Concept Id: 142321000036106), Substance Foundation (Concept Id: 32570211000036100),         Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101), Medicinal Product Unit of Use         (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack (Concept Id: 929360041000036105),         Trade Product Unit of Use(Concept Id: 929360031000036100) and the Containered Trade Product Pack (Concept Id: 929360051000036108)         reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain was not stated when the Discharge Summary CDA Implementation Guide was published but the value domain is         specified in section 2.7 of the Adverse Reaction Detailed Clinical Model Specification v3.3 which uses the name Substance/Agent for         the Agent Description data element.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and   not(exists(index-of(for $refset in ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and not(exists(index-of(for $refset in ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Agent Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Adverse Reaction Agent (Concept Id: 142321000036106), Substance Foundation (Concept Id: 32570211000036100),         Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101), Medicinal Product Unit of Use         (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack (Concept Id: 929360041000036105),         Trade Product Unit of Use(Concept Id: 929360031000036100) and the Containered Trade Product Pack (Concept Id: 929360051000036108)         reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain was not stated when the Discharge Summary CDA Implementation Guide was published but the value domain is         specified in section 2.7 of the Adverse Reaction Detailed Clinical Model Specification v3.3 which uses the name Substance/Agent for         the Agent Description data element.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and   exists(index-of(for $refset in ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and exists(index-of(for $refset in ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Agent Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Adverse Reaction Agent (Concept Id: 142321000036106), Substance Foundation (Concept Id: 32570211000036100),         Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101), Medicinal Product Unit of Use         (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack (Concept Id: 929360041000036105),         Trade Product Unit of Use(Concept Id: 929360031000036100) and the Containered Trade Product Pack (Concept Id: 929360051000036108)         reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain was not stated when the Discharge Summary CDA Implementation Guide was published but the value domain is         specified in section 2.7 of the Adverse Reaction Detailed Clinical Model Specification v3.3 which uses the name Substance/Agent for         the Agent Description data element.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and   exists(index-of(for $refset in ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and exists(index-of(for $refset in ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Agent Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Adverse Reaction Agent (Concept Id: 142321000036106), Substance Foundation (Concept Id: 32570211000036100),         Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101), Medicinal Product Unit of Use         (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack (Concept Id: 929360041000036105),         Trade Product Unit of Use(Concept Id: 929360031000036100) and the Containered Trade Product Pack (Concept Id: 929360051000036108)         reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain was not stated when the Discharge Summary CDA Implementation Guide was published but the value domain is         specified in section 2.7 of the Adverse Reaction Detailed Clinical Model Specification v3.3 which uses the name Substance/Agent for         the Agent Description data element.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M86" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M86" />
  <xsl:template match="@*|node()" priority="-2" mode="M86">
    <xsl:apply-templates select="@*|*" mode="M86" />
  </xsl:template>
  <!--PATTERN p-TS-Adverse-CodeableText-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '101.20113' = $doc-sections]   [cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']]/   cda:component/cda:structuredBody/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16011']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/cda:entry/cda:observation   [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:participant/cda:participantRole/cda:playingEntity/cda:code   [(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-subs-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])]   [not(@nullFlavor = $no-value-NF)] " priority="1000" mode="M87">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '101.20113' = $doc-sections]   [cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']]/   cda:component/cda:structuredBody/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16011']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/cda:entry/cda:observation   [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:participant/cda:participantRole/cda:playingEntity/cda:code   [(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-subs-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])]   [not(@nullFlavor = $no-value-NF)] " />
    <xsl:variable name="pcode" select="if ('2.16.840.1.113883.6.96' = $defn-subs-trusted and         @codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="snomed-trans" select="if ('2.16.840.1.113883.6.96' = $defn-subs-trusted and cda:translation)         then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="tcode" select="if (exists($snomed-trans[1]) and matches($snomed-trans[1]/@code, $snomed-code-regex)) then $snomed-trans[1]/@code else '' " />
    <xsl:variable name="code-present" select="$pcode != '' or $tcode != '' " />
    <xsl:variable name="invalid-code-system" select="@code and @displayName and @codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="codesystemvalues" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']" />
    <xsl:variable name="otext-without-markup" select="if (cda:originalText and cda:originalText != '') then normalize-space(replace(cda:originalText, $markup-regex, ' ')) else '' " />
    <xsl:variable name="pdname" select="if (@displayName and not($invalid-code-system)) then normalize-space(@displayName) else '' " />
    <xsl:variable name="max-code-number" select="if ($knowledge/search-for-term/max-sct-code-number/@value &gt; '5') then $knowledge/search-for-term/max-sct-code-number/@value else '5' " />
    <xsl:variable name="der-text-1" select="if ($code-present) then ''         else if ($otext-without-markup != '') then $otext-without-markup        else if ($pdname != '') then $pdname        else '' " />
    <xsl:variable name="der-text-2a" select="if ($der-text-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-text-1, $subs-fir-pattern-replacement, 'ic')) " />
    <xsl:variable name="der-text-2" select="if ($der-text-2a = '') then $der-text-1 else $der-text-2a " />
    <xsl:variable name="family-err" select="matches($der-text-1, $family-regex, 'i')" />
    <xsl:variable name="length-err" select="string-length($der-text-1) &gt; $length-err-max" />
    <xsl:variable name="avoid-ts" select="$family-err or $length-err or not($use-ts-for-sctau) " />
    <xsl:variable name="der-text-a" select="if ($der-text-2 = '') then $der-text-2        else if ($subs-regex = '') then normalize-space($der-text-2)        else normalize-space(dh:XQueryRecursiveReplace($der-text-2, $subs-regex, 'ic')) " />
    <xsl:variable name="der-text" select="if ($der-text-a = '') then $der-text-2 else $der-text-a " />
    <xsl:variable name="defn-valid-regex" select="concat('(^|\|)', translate($der-text-2, $chars-to-remove, ''), '(\||$)') " />
    <xsl:variable name="der-text-to-match-1" select="lower-case($der-text-2) " />
    <xsl:variable name="der-text-to-match" select="translate($der-text-to-match-1, $chars-to-remove, '') " />
    <xsl:variable name="der-text-non-value" select="if ($code-present or @nullFlavor = $no-value-NF) then false() else         $der-text-to-match = ''              or         not(matches($der-text-to-match-1, '[a-z]', 'i'))          or        ($cd-definitions/non-value/@regex != '' and matches($der-text-to-match-1, $cd-definitions/non-value/@regex, 'i'))  or        (exists($cd-definitions/subs/@non-value-regex) and matches($der-text-to-match-1, $cd-definitions/subs/@non-value-regex, 'i')) " />
    <xsl:variable name="defn-invalid-regex" select="if ($code-present or $der-text-non-value) then ()        else if ($cd-definitions/subs/@invalid-regex) then tokenize($cd-definitions/subs/@invalid-regex, '~')[. != '']         else () " />
    <xsl:variable name="defn-invalid-txt-regex" select="(for $i in (1 to count($defn-invalid-regex)) return normalize-space(substring-before($defn-invalid-regex[$i], '[[')))[. != '']" />
    <xsl:variable name="der-invalid-text-regex-1" select="if (exists($defn-invalid-txt-regex))        then index-of(for $i in (1 to count($defn-invalid-txt-regex)) return matches($der-text-2, $defn-invalid-txt-regex[$i], 'i'), true())        else () " />
    <xsl:variable name="der-invalid-text" select="exists($der-invalid-text-regex-1) " />
    <xsl:variable name="defn-invalid-rsn" select="if ($der-invalid-text)         then normalize-space(substring-before(substring-after($defn-invalid-regex[$der-invalid-text-regex-1[1]], '[['), ']]'))         else '' " />
    <xsl:variable name="trusted-code-systems" select="if ($der-text = '' or $der-invalid-text or not(@codeSystem or cda:translation/@codeSystem)) then ()        else (tokenize(replace($cd-definitions/subs/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/subs/@extra, '\s+', ''), '\|'))[. != ''] " />
    <xsl:variable name="der-trusted-text" select="if ($der-text = '' or $der-invalid-text or (@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex)))) then false()        else ((@codeSystem and exists($trusted-code-systems[. = current()/@codeSystem])) or               (cda:translation/@codeSystem and exists($trusted-code-systems[. = current()/cda:translation/@codeSystem]))) " />
    <xsl:variable name="a-vaccine" select="not($code-present or $der-text = '' or $der-text-non-value or $der-invalid-text) and         exists($vaccine-text-normalised) and $der-text-to-match = $vaccine-text-normalised " />
    <xsl:variable name="a-sas-tgi-1" select="not($code-present or $der-text = '' or $der-text-non-value or $der-invalid-text or $a-vaccine) and $tgi-sas-regex != '' and         matches($der-text, $tgi-sas-regex, 'is')" />
    <xsl:variable name="an-uncoded-tgi-1" select="not($code-present or $der-text = '' or $der-text-non-value or $der-invalid-text or $a-vaccine or $a-sas-tgi-1) and         $tgi-otheru-regex != '' and matches($der-text, $tgi-otheru-regex, 'is')" />
    <xsl:variable name="an-obsolete-tgi-1" select="not($code-present or $der-text = '' or $der-text-non-value or $der-invalid-text or $a-vaccine or $a-sas-tgi-1 or $an-uncoded-tgi-1) and         $tgi-obsolete-regex != '' and matches($der-text, $tgi-obsolete-regex, 'is')" />
    <xsl:variable name="valid-subs-1" select="if ($a-vaccine or $a-sas-tgi-1 or $an-uncoded-tgi-1 or $an-obsolete-tgi-1) then true()        else if ($code-present or $der-text = '' or $der-text-non-value or $der-invalid-text or $a-vaccine or $a-sas-tgi-1 or $an-uncoded-tgi-1 or         not($cd-definitions/subs/@valid-regex)) then false()        else exists(index-of(for $regex in (tokenize($cd-definitions/subs/@valid-regex, '~')[. != '']) return          matches($der-text-2, dh:XQueryRecursiveReplace(normalize-space($regex), ' \|~|~\| ~|', ''), 'is'), true())) or         ($cd-definitions/meds/@valid-regex and exists(index-of(for $regex in (tokenize($cd-definitions/meds/@valid-regex, '~')[. != '']) return           matches($der-text-2, dh:XQueryRecursiveReplace(normalize-space($regex), ' \|~|~\| ~|', ''), 'is'), true()))) " />
    <xsl:variable name="invalid-hierarchy-1" select="if (exists($cd-definitions/subs/subs-invalid/hierarchy))         then string-join(for $hierarchy in $cd-definitions/subs/subs-invalid/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-refset" select="if (exists($cd-definitions/subs/subs-invalid/refset))          then string-join(for $refset in $cd-definitions/subs/subs-invalid/refset return concat('^', $refset/@code), ' OR ')         else '' " />
    <xsl:variable name="valid-refset" select="concat('(', $tgi-formula, ' OR ^142321000036106 OR ^32570211000036100 OR &lt;71181003 OR &lt;763158003)')" />
    <xsl:variable name="valid-domain" select="if ($invalid-refset != '' and $invalid-hierarchy-1 != '')         then concat('((', $valid-refset, ') MINUS (', $invalid-refset, ' OR (', $invalid-hierarchy-1, ')))')        else if ($invalid-refset = '' and $invalid-hierarchy-1 != '') then concat('((', $valid-refset, ') MINUS (', $invalid-hierarchy-1, '))')         else if ($invalid-refset != '' and $invalid-hierarchy-1 = '') then concat('((', $valid-refset, ') MINUS (', $invalid-refset, '))')        else concat('(', $valid-refset, ')') " />
    <xsl:variable name="related-terms-1" select="if ($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-subs-1) then ()        else ($codesystemvalues/code[@related-terms], $codesystemvalues/related-terms[@related-terms]) " />
    <xsl:variable name="related-terms-2" select="for $i in index-of(        for $concept in $related-terms-1 return matches(translate($concept/@related-terms, $chars-no-pipe, ''), $defn-valid-regex, 'i'), true())         return $related-terms-1[$i]/@code " />
    <xsl:variable name="der-subs-codes-1" select="if (exists($related-terms-2)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($related-terms-2, ' OR '), ') AND ', $valid-domain), '', string(count($related-terms-2)), false())        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $der-subs-codes-1 " />
    <xsl:variable name="der-valid-codes-1" select="if (contains($der-subs-codes-1, '[')) then $der-subs-codes-1 else '' " />
    <xsl:variable name="valid-subs-2" select="$valid-subs-1 or $der-valid-codes-1 != '' " />
    <xsl:variable name="subs-inactive-refSets" select="if (exists($cd-definitions/subs/subs-invalid/inactive-refset))         then concat('((', $inactive-refSets, ') MINUS (',           string-join(for $refset in $cd-definitions/subs/subs-invalid/inactive-refset return concat('^', $refset/@code), ' OR '),          '))')         else $inactive-refSets " />
    <xsl:variable name="formula" select="concat($valid-domain, ' OR ', $subs-inactive-refSets) " />
    <xsl:variable name="ts-not-needed" select="$der-text = '' or $der-text-non-value or $der-invalid-text or $valid-subs-2 or $avoid-ts " />
    <xsl:variable name="der-subs-codes-2-a" select="if ($ts-not-needed or exists($related-terms-2)) then ()         else tokenize(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-text,          'default'), '\|') " />
    <xsl:variable name="error-usingTS-2-a" select="$error-usingTS-1 or 'Error' = $der-subs-codes-2-a " />
    <xsl:variable name="revision-pattern-1" select="if ($ts-not-needed or $valid-subs-2 or exists($der-subs-codes-2-a) or $error-usingTS-2-a or exists($related-terms-2)) then ''        else '(^|[^a-z])(agents?|related agents?)([^a-z]|$)~$1 $3' " />
    <xsl:variable name="der-revised-text-1" select="if ($revision-pattern-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-text, $revision-pattern-1, 'ic')) " />
    <xsl:variable name="use-revised-text-1" select="$der-revised-text-1 != '' and $der-revised-text-1 != $der-text " />
    <xsl:variable name="der-subs-codes-2-b" select="if ($ts-not-needed or exists($der-subs-codes-2-a) or not($use-revised-text-1)) then $der-subs-codes-2-a         else tokenize(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-1,          'default'), '\|') " />
    <xsl:variable name="error-usingTS-2-b" select="$error-usingTS-2-a or 'Error' = $der-subs-codes-2-b " />
    <xsl:variable name="revision-pattern-2" select="if ($ts-not-needed or $valid-subs-2 or exists($der-subs-codes-2-b) or $error-usingTS-2-b or exists($related-terms-2)) then ''        else concat($tgi-fir-pattern-replacement, '~', $tgi-regex, '~', $tgi-sec-pattern-replacement, '~', $tgi-thi-pattern-replacement) " />
    <xsl:variable name="der-revised-text-2" select="if ($revision-pattern-2 = '') then '' else normalize-space(dh:XQueryRecursiveReplace(if ($use-revised-text-1) then $der-revised-text-1 else $der-text,          $revision-pattern-2, 'ic')) " />
    <xsl:variable name="use-revised-text-2" select="if ($use-revised-text-1) then $der-revised-text-2 != '' and $der-revised-text-2 != $der-revised-text-1         else $der-revised-text-2 != '' and $der-revised-text-2 != $der-text " />
    <xsl:variable name="der-subs-codes-2-c" select="if ($ts-not-needed or exists($der-subs-codes-2-b) or not($use-revised-text-2)) then $der-subs-codes-2-b        else tokenize(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-2,          'default'), '\|') " />
    <xsl:variable name="error-usingTS-2-c" select="$error-usingTS-2-b or 'Error' = $der-subs-codes-2-c " />
    <xsl:variable name="revision-pattern-3" select="if ($ts-not-needed or $valid-subs-2 or exists($der-subs-codes-2-c) or $error-usingTS-2-c or exists($related-terms-2)) then ''        else '([a-z]{3,})[a-z]{1}($|[^a-z])~$1$2~(^|[^a-z])[a-z]{1}([^a-z]|$)~$1$2' " />
    <xsl:variable name="der-revised-text-3" select="if ($revision-pattern-3 = '') then '' else normalize-space(dh:XQueryRecursiveReplace(        if ($use-revised-text-2) then $der-revised-text-2 else if ($use-revised-text-1) then $der-revised-text-1 else $der-text,          $revision-pattern-3, 'ic')) " />
    <xsl:variable name="use-revised-text-3" select="if ($use-revised-text-2) then $der-revised-text-3 != '' and $der-revised-text-3 != $der-revised-text-2         else if ($use-revised-text-1) then $der-revised-text-3 != '' and $der-revised-text-3 != $der-revised-text-1         else $der-revised-text-3 != '' and $der-revised-text-3 != $der-text " />
    <xsl:variable name="der-subs-codes-2-d" select="if ($ts-not-needed or exists($der-subs-codes-2-c) or not($use-revised-text-3)) then $der-subs-codes-2-c        else tokenize(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-3,          'default'), '\|') " />
    <xsl:variable name="error-usingTS-2-d" select="$error-usingTS-2-c or 'Error' = $der-subs-codes-2-d " />
    <xsl:variable name="der-subs-codes-2" select="if ($ts-not-needed or $error-usingTS-2-d or not(exists($der-subs-codes-2-d)) or $der-valid-codes-1 != '') then ()        else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join(for $code in $der-subs-codes-2-d return replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is'), ' OR '), ') AND (',          $formula, ')'), '', string(count($der-subs-codes-2-d)), false()), '\|') " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-2-d or 'Error' = $der-subs-codes-2 " />
    <xsl:variable name="der-valid-codes-2" select="if ($der-valid-codes-1 != '') then $der-valid-codes-1        else if ($error-usingTS-2) then ''         else string-join((for $code in $der-subs-codes-2 return if (contains($code, '~inactive')) then '' else $code)[. != ''], '|')  " />
    <xsl:variable name="valid-subs-3" select="$valid-subs-2 or $der-valid-codes-2 != '' " />
    <xsl:variable name="der-inactive-codes-1" select="if ($valid-subs-3) then () else        for $code in $der-subs-codes-2 return if (contains($code, '~inactive')) then replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is') else '' " />
    <xsl:variable name="der-inactive-codes-2" select="for $i in (1 to count($der-inactive-codes-1)) return         dh:IsCodeAssociatedWithAnotherCode($der-inactive-codes-1[$i], '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-1" select="'Error' = $der-inactive-codes-2 " />
    <xsl:variable name="der-NAF-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-NAF-active-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound~active')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-inactive-codes-3" select="tokenize(string-join(for $i in (1 to count($der-inactive-codes-1)) return replace(string-join(tokenize($der-inactive-codes-2[$i], '\|')        [matches(., '(REPLACED BY|SAME AS|ALTERNATIVE|POSSIBLY EQUIVALENT TO|MAY BE A|WAS A)')], '|'), '[0-9]+~[A-Z ]+~([0-9]+)', '$1'), '|'), '\|')        [. != ''] " />
    <xsl:variable name="der-subs-codes-3" select="if (exists($der-inactive-codes-3)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($der-inactive-codes-3, ' OR '), ') AND ', $valid-domain), '', string(count($der-inactive-codes-3)), false())          else '' " />
    <xsl:variable name="error-usingTS-3" select="$error-usingTS-2 or 'Error' = $der-subs-codes-3 " />
    <xsl:variable name="der-valid-codes-3" select="if ($der-valid-codes-2 != '') then $der-valid-codes-2        else if (contains($der-subs-codes-3, '[')) then $der-subs-codes-3        else '' " />
    <xsl:variable name="valid-subs-4" select="$valid-subs-3 or $der-valid-codes-3 != '' " />
    <xsl:variable name="tbd-hierarchy" select="if (exists($cd-definitions/subs/subs-tbd/hierarchy))         then string-join(for $hierarchy in $cd-definitions/subs/subs-tbd/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-hierarchy" select="if ($invalid-hierarchy-1 != '' and $tbd-hierarchy != '') then concat($invalid-hierarchy-1, ' OR ', $tbd-hierarchy)        else if ($invalid-hierarchy-1 != '') then $invalid-hierarchy-1        else if ($tbd-hierarchy != '') then $tbd-hierarchy        else '' " />
    <xsl:variable name="invalid-domain" select="if ($invalid-hierarchy != '' and $invalid-refset != '') then concat($invalid-hierarchy, ' OR ', $invalid-refset)        else if ($invalid-hierarchy != '') then $invalid-hierarchy        else if ($invalid-refset != '') then $invalid-refset        else '' " />
    <xsl:variable name="filter-text" select="if ($use-revised-text-3) then $der-revised-text-3 else if ($use-revised-text-2) then $der-revised-text-2         else if ($use-revised-text-1) then $der-revised-text-1 else $der-text " />
    <xsl:variable name="der-subs-codes-4" select="if ($ts-not-needed or $valid-subs-4 or $invalid-domain = '') then ()        else if (exists($related-terms-2)) then $related-terms-2        else distinct-values((tokenize(replace(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          $invalid-domain, $filter-text, 'default'), '(\[.*?\])(\||$)', '$2'), '\|'), $der-inactive-codes-3)) " />
    <xsl:variable name="error-usingTS-4" select="$error-usingTS-3 or 'Error' = $der-subs-codes-4 " />
    <xsl:variable name="invalid-subs-codes-r" select="if ($ts-not-needed or $valid-subs-4 or $error-usingTS-4 or not(exists($der-subs-codes-4))) then ()        else if ($invalid-refset = '') then tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-subs-codes-4, ' OR '), ') AND (', $inactive-refSets, ')'), '',           string(count($der-subs-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')        else tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-subs-codes-4, ' OR '), ') AND (', $invalid-refset, ' OR ', $inactive-refSets, ')'), '',           string(count($der-subs-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')  " />
    <xsl:variable name="error-usingTS-5" select="$error-usingTS-4 or 'Error' = $invalid-subs-codes-r " />
    <xsl:variable name="der-subs-codes-4-h" select="if ($error-usingTS-5) then () else $der-subs-codes-4[not(. = $invalid-subs-codes-r)]" />
    <xsl:variable name="invalid-subs-codes-h" select="if ($ts-not-needed or $valid-subs-4 or 'Error' = $der-subs-codes-4 or $subs-invalid-hierarchy = '' or not(exists($der-subs-codes-4-h))) then ()        else (for $code in $der-subs-codes-4-h return          if (dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;&gt;', $code, ' MINUS ', $subs-invalid-hierarchy), '', '1', false()) = '') then $code else '')[. != ''] " />
    <xsl:variable name="invalid-subs-codes" select="($invalid-subs-codes-h, $invalid-subs-codes-r) " />
    <xsl:variable name="der-subs-codes-5" select="$der-subs-codes-4[not(. = $invalid-subs-codes or . = 'Error')]" />
    <xsl:variable name="der-valid-codes-4" select="if ($der-valid-codes-3 != '') then $der-valid-codes-3        else if ($ts-not-needed or $valid-subs-4 or $valid-domain = '' or not(exists($der-subs-codes-5))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-subs-codes-5, ' OR '), ') AND ', $valid-domain), '', string(count($der-subs-codes-5)), false()) " />
    <xsl:variable name="error-usingTS-6" select="$error-usingTS-5 or 'Error' = $der-valid-codes-4 " />
    <xsl:variable name="valid-subs-5" select="$valid-subs-4 or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="undetermined-subs-1" select="$der-subs-codes-5[not(. = tokenize(replace($der-valid-codes-4,  '(\[.*?\])(\||$)', '$2'), '\|'))]" />
    <xsl:variable name="undetermined-inactive-1" select="for $i in (1 to count($undetermined-subs-1)) return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $undetermined-subs-1[$i], '', '1', false()) " />
    <xsl:variable name="error-usingTS-7" select="$error-usingTS-6 or 'Error' = $undetermined-inactive-1 " />
    <xsl:variable name="undetermined-inactive" select="(for $i in (1 to count($undetermined-subs-1)) return         if (contains($undetermined-inactive-1[$i], '~inactive')) then $undetermined-inactive-1[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-1" select="for $i in (1 to count($undetermined-inactive))        return dh:IsCodeAssociatedWithAnotherCode(replace($undetermined-inactive[$i], '(\[.*?\])(\||$)', '$2'), '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-2" select="$error-usingV-1 or 'Error' = $undetermined-NAF-1 " />
    <xsl:variable name="undetermined-NAF" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-codes" select="for $term in $undetermined-NAF return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-NAF-active" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound~active')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-active-codes" select="for $term in $undetermined-NAF-active return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-subs" select="$undetermined-subs-1[not(. = ($undetermined-NAF-codes, $undetermined-NAF-active-codes))]" />
    <xsl:variable name="invalid-subs" select="not($valid-subs-5) and exists($invalid-subs-codes) and not(exists($undetermined-subs))" />
    <xsl:variable name="a-sas-tgi" select="if ($a-sas-tgi-1) then true()        else if ($a-vaccine or $valid-subs-5 or $invalid-subs or not($use-revised-text-2) or $tgi-sas-regex = '') then false()        else matches($der-revised-text-2, $tgi-sas-regex, 'is')" />
    <xsl:variable name="an-uncoded-tgi" select="if ($an-uncoded-tgi-1) then true()        else if ($a-vaccine or $valid-subs-5 or $invalid-subs or not($use-revised-text-2) or $tgi-otheru-regex = '' or $a-sas-tgi) then false()        else matches($der-revised-text-2, $tgi-otheru-regex, 'is')" />
    <xsl:variable name="an-obsolete-tgi" select="if ($an-obsolete-tgi-1) then true()        else if ($a-vaccine or $valid-subs-5 or $invalid-subs or not($use-revised-text-2) or $tgi-obsolete-regex = '' or $a-sas-tgi or          $an-uncoded-tgi) then false()        else matches($der-text, $tgi-obsolete-regex, 'is')" />
    <xsl:variable name="valid-subs-6" select="$valid-subs-5 or $a-sas-tgi or $an-uncoded-tgi or $an-obsolete-tgi " />
    <xsl:variable name="codes-were-found" select="exists($der-subs-codes-4) or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="codes-not-found" select="not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-subs-6 or $invalid-subs) " />
    <xsl:variable name="codes-in-the-domain" select="not($valid-subs-1) and $valid-subs-5" />
    <xsl:variable name="codes-in-other-domain" select="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-subs-6 or $invalid-subs or         $error-usingTS-7) " />
    <xsl:variable name="codes-in-no-domain" select="exists($der-subs-codes-5) " />
    <xsl:variable name="display-in-the-domain" select="if ($codes-in-the-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', '), '''')        else '' " />
    <xsl:variable name="display-in-other-r" select="if (exists($invalid-subs-codes-r) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-subs-codes-r return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-h" select="if (exists($invalid-subs-codes-h) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-subs-codes-h return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-domain" select="if (not($codes-in-other-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))) then ''        else if ($display-in-other-r and display-in-other-h) then concat('''', $display-in-other-r, ', ', $display-in-other-h, '''')        else if ($display-in-other-r) then concat('''', $display-in-other-r, '''')        else if ($display-in-other-h) then concat('''', $display-in-other-h, '''')        else '' " />
    <xsl:variable name="display-in-no-domain" select="if ($codes-in-no-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', dh:XQueryRecursiveReplace(string-join(for $code in $der-subs-codes-5 return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), '; '),          $term-pattern-replacement, 'ic'), '''')        else '' " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))        else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="log-concepts-appended" select="if ($error-usingTS-7 or not($flags/@report-terminology-concepts = 'true') or $log-concepts-name = '') then ''        else if ($codes-not-found and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                   'Substance/Agent',   $log-tab,                   'yes',     $log-tab,                   concat($display-code, $display-system), $log-tab,                   '',     $log-tab,                  '',     $log-tab,                  '',     $log-tab,                  $ts-current-sctau   ))        else if (($use-revised-text-3 or $codes-in-no-domain) and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                  'Substance/Agent',   $log-tab,                   'yes',     $log-tab,                     concat($display-code, $display-system), $log-tab,                    $display-in-the-domain,   $log-tab,                  $display-in-other-domain,  $log-tab,                  $display-in-no-domain,   $log-tab,                  $ts-current-sctau   ))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <!--REPORT -->
    <xsl:if test=" $log-concepts-appended = ('NOTFOUND', 'ERROR') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$log-concepts-appended = ('NOTFOUND', 'ERROR')">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Subs-Defn): The AppendLog function returned '<xsl:text /><xsl:value-of select="$log-concepts-appended" /><xsl:text />' when requested to append the concepts log
		'<xsl:text /><xsl:value-of select="$log-concepts-name" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-subs-6) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-subs-6)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Subs-Defn): An unexpected problem occurred when assessing the value of the Agent Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. The application of regular expressions resulted in the complete loss of text.
		Report the information below to the Australian Digital Health Agency for investigation.

		der-text-1 '<xsl:text /><xsl:value-of select="normalize-space(dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'))" /><xsl:text />'.
		der-text-2a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-2a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-a, $term-pattern-replacement, 'ic')" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingV-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingV-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Subs-Defn): An error was reported when accessing the terminology server when assessing the Agent Description data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		Report the issue to the Australian Digital Health Agency for investigation stating the error was recorded for error-usingV-2.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-7 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-7">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Subs-Defn): An error was reported when accessing the terminology server when assessing the Agent Description data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term:
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The analysis should be retried as the terminology server may have been temporarily unavailable.
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation, stating that the error was found by
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'error-usingTS-1' else if ($error-usingTS-2-a) then 'error-usingTS-2-a'   else if ($error-usingTS-2-b) then 'error-usingTS-2-b' else if ($error-usingTS-2-c) then 'error-usingTS-2-c'   else if ($error-usingTS-2-d) then 'error-usingTS-2-d' else if ($error-usingTS-2) then 'error-usingTS-2'   else if ($error-usingTS-3) then 'error-usingTS-3' else if ($error-usingTS-4) then 'error-usingTS-4'   else if ($error-usingTS-5) then 'error-usingTS-5' else if ($error-usingTS-6) then 'error-usingTS-6'   else 'error-usingTS-7' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not($codes-were-found) and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not($codes-were-found) and $codes-not-found">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Agent Description '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the substance, agent, or a class of substance,         that is considered to be responsible for the adverse reaction.         (See the definition in the Discharge Summary Structured Document Template or CDA Implementation Guide.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain was not stated when the Discharge Summary CDA Implementation Guide was published but the value domain is         specified in section 2.7 of the Adverse Reaction Detailed Clinical Model Specification v3.3 which uses the name Substance/Agent for         the Agent Description data element.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$codes-in-other-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$codes-in-other-domain">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Agent Description '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value does not seem to be applicable for the data element.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the substance, agent, or a class of substance,         that is considered to be responsible for the adverse reaction.         (See the definition in the Discharge Summary Structured Document Template or CDA Implementation Guide.)')" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'exclusion' = 'allowed' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'exclusion' = 'allowed' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Agent Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the substance, agent, or a class of substance,         that is considered to be responsible for the adverse reaction.         (See the definition in the Discharge Summary Structured Document Template or CDA Implementation Guide.)'))" /><xsl:text />
		The Agent Description data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'exclusion' = 'exclusion' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'exclusion' = 'exclusion' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Agent Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the substance, agent, or a class of substance,         that is considered to be responsible for the adverse reaction.         (See the definition in the Discharge Summary Structured Document Template or CDA Implementation Guide.)'))" /><xsl:text />
		The Agent Description data element must have a value that is consistent with this definition. Alternatively if there is no Agent Description data element with a proper value then an exclusion
		statement must be included to state why there is no Agent Description. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4')    then concat('Text such as ''', dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'), ''' may be permitted in the narrative even though the Agent Description data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'exclusion' = 'unknown' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'exclusion' = 'unknown' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Agent Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the substance, agent, or a class of substance,         that is considered to be responsible for the adverse reaction.         (See the definition in the Discharge Summary Structured Document Template or CDA Implementation Guide.)'))" /><xsl:text />
		The Agent Description data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($der-text-non-value) and $der-invalid-text ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($der-text-non-value) and $der-invalid-text">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Agent Description '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid. <xsl:text /><xsl:value-of select="$defn-invalid-rsn" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the substance, agent, or a class of substance,         that is considered to be responsible for the adverse reaction.         (See the definition in the Discharge Summary Structured Document Template or CDA Implementation Guide.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $invalid-subs and not($error-usingTS-7) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$invalid-subs and not($error-usingTS-7)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Agent Description '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid
		<xsl:text /><xsl:value-of select="if (exists($invalid-subs-codes-h)) then concat(' as it describes ', string-join(distinct-values(for $code in tokenize(replace(   dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat('(', string-join(for $code in $invalid-subs-codes-h return concat('&gt;&gt;', $code), ' OR '), ') AND (',    string-join(for $hierarchy in $cd-definitions/subs/subs-invalid/hierarchy return $hierarchy/@code, ' OR '), ')'), '',    string(count($invalid-subs-codes-h)), true()), '(\[.*?\])(\||$)', '$2'), '\|') return    $cd-definitions/subs/subs-invalid/hierarchy[@code = $code]/@description)[position() = (1 to 2)], ' and '), '.')    else if (exists($invalid-subs-codes-r)) then concat(' as it describes ', string-join(distinct-values(for $code in $invalid-subs-codes-r return   $cd-definitions/subs/subs-invalid/refset[index-of(for $x in (for $refset in $cd-definitions/subs/subs-invalid/refset return    dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat($code, ' AND ^', $refset/@code), '', '1', true()), '|') return matches($x, '^[0-9]'), true())[1]]/@description), ' and '), '.')   else '.'" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the substance, agent, or a class of substance,         that is considered to be responsible for the adverse reaction.         (See the definition in the Discharge Summary Structured Document Template or CDA Implementation Guide.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable outside the applicable value domain): The Agent Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following codes were obtained and are not in the value domain: <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-Subs-Defn): The Agent Description '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU and no associated code was found in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists(($der-NAF-active-codes, $undetermined-NAF-active-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists(($der-NAF-active-codes, $undetermined-NAF-active-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-Subs-Defn): The Agent Description '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-active-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the
		'<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' version of SNOMED CT-AU but it was not found with this status in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU. <xsl:text /><xsl:value-of select="if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and ($valid-subs-1 or (not($valid-subs-5) and $valid-subs-6)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and ($valid-subs-1 or (not($valid-subs-5) and $valid-subs-6))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable within the value domain): The Agent Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which matches one of the terms listed in Knowledge.xml for the Agent Description.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (concept is codeable within the value domain): The Agent Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a valid value for the Agent Description.
		SNOMED CT-AU codes that matched the concept are: <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-subs-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-subs-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Agent Description '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The text used to match regular expression (der-text-2) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to match non-values and vaccines (der-text-to-match) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-to-match, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to derive a code (der-text) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.

		<xsl:text /><xsl:value-of select="if ($use-revised-text-1) then concat(' A first revision of the text (der-revised-text-1) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-1, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A first revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-1 != '' and $der-revised-text-1 = '') then ' revision-pattern-1 was applied but the output (der-revised-text-1) was an empty string.' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($use-revised-text-2) then concat(' A second revision of the text (der-revised-text-2) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A second revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-2 != '' and $der-revised-text-2 = '') then ' revision-pattern-2 was applied but the output (der-revised-text-2) was an empty string.' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($use-revised-text-3) then concat(' A third revision of the text (der-revised-text-3) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-3, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A third revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-3 != '' and $der-revised-text-3 = '') then ' revision-pattern-3 was applied but the output (der-revised-text-3) was an empty string.' else '' " /><xsl:text />

		The SNOMED CT-AU version used to find codes is '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' and the maximum code number is '<xsl:text /><xsl:value-of select="$max-code-number" /><xsl:text />'.

		Codes for related terms (related-terms-2): '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($related-terms-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes for related terms (der-valid-codes-1): 
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-1, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-subs-codes-2) returned by the terminology server that match the text:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-subs-codes-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes from related terms or the terminology server (der-valid-codes-2):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-2, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-inactive-codes-3) returned from the Validator's database associated with inactive codes:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-inactive-codes-3, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes found after examining inactive codes (der-valid-codes-3):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-3, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Members of invalid reference sets (invalid-subs-codes-r): '<xsl:text /><xsl:value-of select="$display-in-other-r" /><xsl:text />'.
		Members of invalid code hierarchies (invalid-subs-codes-h): '<xsl:text /><xsl:value-of select="$display-in-other-h" /><xsl:text />'.

		Final set of valid codes (der-valid-codes-4):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		
		Codes whose validity has not been determined (der-subs-codes-5):  <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.
		Codes whose validity has not been determined and are inactive with no associated code (undetermined-NAF): '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(    string-join($undetermined-NAF, ''', '''), $markup-pattern-replacement, 'ic')" /><xsl:text />'.

		Will the value of the data element be trusted (der-trusted-text)? '<xsl:text /><xsl:value-of select="$der-trusted-text" /><xsl:text />'.
		
	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and $codes-not-found">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept not codeable): The Agent Description '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($avoid-ts) then 'The terminology server was not used to assist with finding codes corresponding to text in the data element. ' else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M87" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M87" />
  <xsl:template match="@*|node()" priority="-2" mode="M87">
    <xsl:apply-templates select="@*|*" mode="M87" />
  </xsl:template>
  <!--PATTERN p-TS-Adverse-CodeableText-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.20113' = $doc-sections][cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']]/    cda:component/cda:structuredBody/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16011']]/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/cda:entry/cda:observation   [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:participant/cda:participantRole/cda:playingEntity/cda:code   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M88">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.20113' = $doc-sections][cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']]/    cda:component/cda:structuredBody/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16011']]/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/cda:entry/cda:observation   [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:participant/cda:participantRole/cda:playingEntity/cda:code   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Agent Description '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Agent Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Agent Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Agent Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Agent Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Agent Description has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Agent Description data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Agent Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Agent Description data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Agent Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Agent Description data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Agent Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Agent Description data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Agent Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Agent Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Agent Description data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Agent Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Agent Description data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Agent Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Agent Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Agent Description data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Agent Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Agent Description data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Agent Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Agent Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M88" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M88" />
  <xsl:template match="@*|node()" priority="-2" mode="M88">
    <xsl:apply-templates select="@*|*" mode="M88" />
  </xsl:template>
  <!--PATTERN p-TS-Adverse-CodeableText-5-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.20113' = $doc-sections][cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']]/    cda:component/cda:structuredBody/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16011']]/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/cda:entry/cda:observation   [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:participant/cda:participantRole/cda:playingEntity/cda:code   [(@displayName and matches(@displayName, '[a-z0-9]', 'i')) or (cda:originalText and matches(cda:originalText, '[a-z0-9]', 'i'))] " priority="1000" mode="M89">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.20113' = $doc-sections][cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']]/    cda:component/cda:structuredBody/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16011']]/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/cda:entry/cda:observation   [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:participant/cda:participantRole/cda:playingEntity/cda:code   [(@displayName and matches(@displayName, '[a-z0-9]', 'i')) or (cda:originalText and matches(cda:originalText, '[a-z0-9]', 'i'))] " />
    <xsl:variable name="section1" select="if (cda:originalText) then /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//cda:section   [cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = ('101.16672', '101.16006', '101.20109', '102.15513.4.1.1', '101.20117', '101.16611', '102.20158', '101.16606', '102.16347')]]   [contains(translate(normalize-space(lower-case(cda:text)), $chars-to-remove, ''), translate(normalize-space(lower-case(current()/cda:originalText)), $chars-to-remove, ''))] else ()" />
    <xsl:variable name="section2" select="if (@displayName) then /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//cda:section   [cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = ('101.16672', '101.16006', '101.20109', '102.15513.4.1.1', '101.20117', '101.16611', '102.20158', '101.16606', '102.16347')]]   [contains(translate(normalize-space(lower-case(cda:text)), $chars-to-remove, ''), translate(normalize-space(lower-case(current()/@displayName)), $chars-to-remove, ''))] else ()" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-2" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-2 " />
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $section1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $section1">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step-2" /><xsl:text />: TC-Narr-09 step 2: The Agent Description '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has originalText with the value
		'<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />' and this was also found in the narrative of the <xsl:text /><xsl:value-of select="$section1/cda:title" /><xsl:text /> section. Confirm by manual inspection that the information
		about '<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />' in the <xsl:text /><xsl:value-of select="$section1/cda:title" /><xsl:text /> section does not contradict information about '<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. Also check other sections in the document for information about '<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />'.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not($section1) and $section2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not($section1) and $section2">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step-2" /><xsl:text />: TC-Narr-09 step 2: The Agent Description '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a displayName attribute with the value '<xsl:text /><xsl:value-of select="@displayName" /><xsl:text />' and this was also found in the narrative of the
		<xsl:text /><xsl:value-of select="$section2/cda:title" /><xsl:text /> section. Confirm by manual inspection that the information about
		'<xsl:text /><xsl:value-of select="@displayName" /><xsl:text />' in the <xsl:text /><xsl:value-of select="$section2/cda:title" /><xsl:text /> section does not contradict information about '<xsl:text /><xsl:value-of select="@displayName" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. Also check other sections in the document for information about '<xsl:text /><xsl:value-of select="@displayName" /><xsl:text />'.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M89" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M89" />
  <xsl:template match="@*|node()" priority="-2" mode="M89">
    <xsl:apply-templates select="@*|*" mode="M89" />
  </xsl:template>
  <!--PATTERN p-TS-Adverse-CodeableText-6-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.20113' = $doc-sections][cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4'))  or   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3'))  ]]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/cda:entry/cda:act[cda:code   [@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:participant[@typeCode='CAGNT']/cda:participantRole/cda:playingEntity/cda:code " priority="1000" mode="M90">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.20113' = $doc-sections][cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4'))  or   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3'))  ]]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/cda:entry/cda:act[cda:code   [@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:participant[@typeCode='CAGNT']/cda:participantRole/cda:playingEntity/cda:code " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Adverse Reaction Substance/Agent '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Adverse Reaction Substance/Agent '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Adverse Reaction Substance/Agent',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Adverse Reaction Substance/Agent '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Adverse Reaction Substance/Agent '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Adverse Reaction Substance/Agent
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Adverse Reaction Substance/Agent however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Adverse Reaction Substance/Agent in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Adverse Reaction Substance/Agent
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Adverse Reaction Substance/Agent however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Adverse Reaction Substance/Agent in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Adverse Reaction Substance/Agent data element must have a value that is consistent with this definition. Alternatively if there is no Adverse Reaction Substance/Agent data element with a proper value then an exclusion
		statement must be included to state why there is no Adverse Reaction Substance/Agent.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Adverse Reaction Substance/Agent
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Adverse Reaction Substance/Agent however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Adverse Reaction Substance/Agent in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Adverse Reaction Substance/Agent
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Adverse Reaction Substance/Agent however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Adverse Reaction Substance/Agent in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Adverse Reaction Substance/Agent data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Adverse Reaction Substance/Agent
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Adverse Reaction Substance/Agent however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Adverse Reaction Substance/Agent in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Adverse Reaction Substance/Agent data element must have a value that is consistent with this definition. Alternatively if there is no Adverse Reaction Substance/Agent data element with a proper value then an exclusion
		statement must be included to state why there is no Adverse Reaction Substance/Agent.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Adverse Reaction Substance/Agent
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Adverse Reaction Substance/Agent however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Adverse Reaction Substance/Agent in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Adverse Reaction Substance/Agent data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Adverse Reaction Substance/Agent '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Adverse Reaction Substance/Agent
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Adverse Reaction Substance/Agent
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Adverse Reaction Substance/Agent '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Adverse Reaction Substance/Agent '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Adverse Reaction Substance/Agent '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Adverse Reaction Substance/Agent '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Adverse Reaction Substance/Agent '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Adverse Reaction Substance/Agent '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Adverse Reaction Substance/Agent
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Adverse Reaction Substance/Agent '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Adverse Reaction Substance/Agent '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Adverse Reaction Substance/Agent.
		(See the definition of Adverse Reaction Substance/Agent in the Structured Content Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Adverse Reaction Substance/Agent '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M90" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M90" />
  <xsl:template match="@*|node()" priority="-2" mode="M90">
    <xsl:apply-templates select="@*|*" mode="M90" />
  </xsl:template>
  <!--PATTERN p-TS-Adverse-CodeableText-7-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '101.20113' = $doc-sections][cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')  or   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.3')  or   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')  or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2')  ]]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/cda:entry/cda:act[cda:code   [@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:participant[@typeCode='CAGNT']/cda:participantRole/cda:playingEntity/cda:code   [@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " priority="1000" mode="M91">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '101.20113' = $doc-sections][cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')  or   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.3')  or   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')  or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2')  ]]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/cda:entry/cda:act[cda:code   [@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:participant[@typeCode='CAGNT']/cda:participantRole/cda:playingEntity/cda:code   [@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="pnullFlavor" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @nullFlavor) then @nullFlavor else '' " />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-p-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then false()        else if ($psnomed-id = 'amtv3' and @codeSystemVersion) then exists($v-amtv3[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($psnomed-id = 'snomedctau' and @codeSystemVersion) then exists($v-snomedctau[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false() " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and $pcode != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used to assess the primary code.') " />
    <xsl:variable name="pcode-refsets-1" select="if (@codeSystem = '2.16.840.1.113883.6.96' and not($pcode = ''))         then dh:FindValueDomainsForCode($pcode, '2.16.840.1.113883.6.96', $v-psnomed-version) else 'no-code' " />
    <xsl:variable name="pcode-found" select="not($pcode-refsets-1 = 'no-code' or $pcode-refsets-1 = 'CodeNotFound' or $pcode-refsets-1 = 'Error'        or contains($pcode-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="pcode-refsets" select="if ($pcode-found) then distinct-values(tokenize($pcode-refsets-1, '\|')) else () " />
    <xsl:variable name="pcode-special-proc" select="count($pcode-refsets) = 1 and 'Procedure Foundation (PF)' = $pcode-refsets and not($pnullFlavor = 'OTH') " />
    <xsl:variable name="pcode-refsets-msg" select="if (count($pcode-refsets) = 0) then ''         else if (count($pcode-refsets) = 1) then concat('The code is a member of the ', $pcode-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($pcode-refsets, ', '), '.') " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))         else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-1" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="snomed-trans-2" select="distinct-values(for $i in (1 to count($snomed-trans-1)) return $snomed-trans-1[$i]/@code) " />
    <xsl:variable name="snomed-trans-a" select="$snomed-trans-1[1] " />
    <xsl:variable name="tcode-a" select="if (exists($snomed-trans-a) and matches($snomed-trans-a/@code, $snomed-code-regex)) then $snomed-trans-a/@code else '' " />
    <xsl:variable name="tnullFlavor-a" select="if (exists($snomed-trans-a) and $snomed-trans-a/@nullFlavor) then $snomed-trans-a/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-a" select="if (not(exists($snomed-trans-a))) then 'not-snomed'        else if (not($snomed-trans-a/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-a/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-a" select="if (not(exists($snomed-trans-a))) then ''        else if ($tsnomed-id-a = 'amtv3' and exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-a = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-a/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-a" select="if (not(exists($snomed-trans-a))) then false()        else if ($tsnomed-id-a = 'amtv3' and $snomed-trans-a/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-a = 'snomedctau' and $snomed-trans-a/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-a-msg" select="if (not(exists($snomed-trans-a))) then ''        else if (not($snomed-trans-a/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-a, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-a = 'amtv3') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-a = 'snomedctau') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-a/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-a, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-a/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-a-refsets-1" select="if (exists($snomed-trans-a) and not($tcode-a = ''))         then dh:FindValueDomainsForCode($tcode-a, '2.16.840.1.113883.6.96', $v-tsnomed-version-a) else 'no-code' " />
    <xsl:variable name="tcode-a-found" select="not($tcode-a-refsets-1 = 'no-code' or $tcode-a-refsets-1 = 'CodeNotFound' or $tcode-a-refsets-1 = 'Error'         or contains($tcode-a-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-a-refsets" select="if ($tcode-a-found) then distinct-values(tokenize($tcode-a-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-a-special-proc" select="count($tcode-a-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-a-refsets and not($tnullFlavor-a = 'OTH') " />
    <xsl:variable name="tcode-a-refsets-msg" select="if (count($tcode-a-refsets) = 0) then ''         else if (count($tcode-a-refsets) = 1) then concat('The code is a member of the ', $tcode-a-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-a-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@code and $snomed-trans-a/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-a/@displayName, codepoints-to-string(34))         else if ($snomed-trans-a/@code and not($snomed-trans-a/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@codeSystem and $snomed-trans-a/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-a/@codeSystemName, ')')         else if ($snomed-trans-a/@codeSystem and not($snomed-trans-a/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-b" select="(for $i in (2 to count($snomed-trans-1)) return if ($snomed-trans-1[$i]/@code != $snomed-trans-a/@code) then $snomed-trans-1[$i] else ())[1] " />
    <xsl:variable name="tcode-b" select="if (exists($snomed-trans-b) and matches($snomed-trans-b/@code, $snomed-code-regex)) then $snomed-trans-b/@code else '' " />
    <xsl:variable name="tnullFlavor-b" select="if (exists($snomed-trans-b) and $snomed-trans-b/@nullFlavor) then $snomed-trans-b/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-b" select="if (not(exists($snomed-trans-b))) then 'not-snomed'        else if (not($snomed-trans-b/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-b/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-b" select="if (not(exists($snomed-trans-b))) then ''        else if ($tsnomed-id-b = 'amtv3' and exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-b = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-b/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-b" select="if (not(exists($snomed-trans-b))) then false()        else if ($tsnomed-id-b = 'amtv3' and $snomed-trans-b/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-b = 'snomedctau' and $snomed-trans-b/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-b-msg" select="if (not(exists($snomed-trans-b))) then ''        else if (not($snomed-trans-b/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-b, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-b = 'amtv3') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-b = 'snomedctau') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-b/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-b, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-b/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-b-refsets-1" select="if (exists($snomed-trans-b) and not($tcode-b = ''))         then dh:FindValueDomainsForCode($tcode-b, '2.16.840.1.113883.6.96', $v-tsnomed-version-b) else 'no-code' " />
    <xsl:variable name="tcode-b-found" select="not($tcode-b-refsets-1 = 'no-code' or $tcode-b-refsets-1 = 'CodeNotFound' or $tcode-b-refsets-1 = 'Error'         or contains($tcode-b-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-b-refsets" select="if ($tcode-b-found) then distinct-values(tokenize($tcode-b-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-b-special-proc" select="count($tcode-b-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-b-refsets and not($tnullFlavor-b = 'OTH') " />
    <xsl:variable name="tcode-b-refsets-msg" select="if (count($tcode-b-refsets) = 0) then ''         else if (count($tcode-b-refsets) = 1) then concat('The code is a member of the ', $tcode-b-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-b-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@code and $snomed-trans-b/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-b/@displayName, codepoints-to-string(34))         else if ($snomed-trans-b/@code and not($snomed-trans-b/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@codeSystem and $snomed-trans-b/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-b/@codeSystemName, ')')         else if ($snomed-trans-b/@codeSystem and not($snomed-trans-b/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-60" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-60 else $rating-alt-TC-Types-60 " />
    <!--REPORT -->
    <xsl:if test=" $pcode-found and $pcode-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pcode-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD (p-TS-CD-SCT-RefSet): An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$pcode" /><xsl:text />',
		codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-psnomed-version" /><xsl:text />'. This error occurred when assessing the Substance/Agent data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. The value is not valid for the data element as it describes a medical
		procedure and not a medical problem or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the substance, agent, or a class of substance,         that is considered to be responsible for the adverse reaction.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and   not(exists(index-of(for $refset in ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and not(exists(index-of(for $refset in ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the code is not a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Adverse Reaction Agent (Concept Id: 142321000036106), Substance Foundation (Concept Id: 32570211000036100),         Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102),         Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the         Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.7 of the Adverse Reaction Detailed Clinical Model Specification v3.3, which allows more         reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and   not(exists(index-of(for $refset in ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and not(exists(index-of(for $refset in ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Adverse Reaction Agent (Concept Id: 142321000036106), Substance Foundation (Concept Id: 32570211000036100),         Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102),         Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the         Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.7 of the Adverse Reaction Detailed Clinical Model Specification v3.3, which allows more         reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and   exists(index-of(for $refset in ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and exists(index-of(for $refset in ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Adverse Reaction Agent (Concept Id: 142321000036106), Substance Foundation (Concept Id: 32570211000036100),         Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102),         Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the         Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.7 of the Adverse Reaction Detailed Clinical Model Specification v3.3, which allows more         reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and   exists(index-of(for $refset in ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and exists(index-of(for $refset in ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. Confirm if the code is a member of the value domain.
		If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Adverse Reaction Agent (Concept Id: 142321000036106), Substance Foundation (Concept Id: 32570211000036100),         Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102),         Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the         Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.7 of the Adverse Reaction Detailed Clinical Model Specification v3.3, which allows more         reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="count($snomed-trans-1)" /><xsl:text /> translation elements with
		codes and the SNOMED CT-AU codeSystem '2.16.840.1.113883.6.96'. The first two translation elements have been assessed to determine if the codes are members of the value domain
		and the others have not been assessed. Confirm if the value of the code attribute in all SNOMED CT translation elements meets the requirement that it be a member of the value domain
		if there is no nullFlavor 'OTH' or that there is a nullFlavor 'OTH' if the value of the code attribute is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Adverse Reaction Agent (Concept Id: 142321000036106), Substance Foundation (Concept Id: 32570211000036100),         Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102),         Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the         Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text /> 
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.7 of the Adverse Reaction Detailed Clinical Model Specification v3.3, which allows more         reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-a" /><xsl:text />'. This error occurred when assessing the Substance/Agent data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the substance, agent, or a class of substance,         that is considered to be responsible for the adverse reaction.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and   not(exists(index-of(for $refset in ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and not(exists(index-of(for $refset in ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Adverse Reaction Agent (Concept Id: 142321000036106), Substance Foundation (Concept Id: 32570211000036100),         Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102),         Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the         Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.7 of the Adverse Reaction Detailed Clinical Model Specification v3.3, which allows more         reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and   not(exists(index-of(for $refset in ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and not(exists(index-of(for $refset in ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Adverse Reaction Agent (Concept Id: 142321000036106), Substance Foundation (Concept Id: 32570211000036100),         Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102),         Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the         Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.7 of the Adverse Reaction Detailed Clinical Model Specification v3.3, which allows more         reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and   exists(index-of(for $refset in ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and exists(index-of(for $refset in ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Adverse Reaction Agent (Concept Id: 142321000036106), Substance Foundation (Concept Id: 32570211000036100),         Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102),         Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the         Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.7 of the Adverse Reaction Detailed Clinical Model Specification v3.3, which allows more         reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and   exists(index-of(for $refset in ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and exists(index-of(for $refset in ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Adverse Reaction Agent (Concept Id: 142321000036106), Substance Foundation (Concept Id: 32570211000036100),         Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102),         Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the         Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.7 of the Adverse Reaction Detailed Clinical Model Specification v3.3, which allows more         reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-b" /><xsl:text />'. This error occurred when assessing the Substance/Agent data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> 
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the substance, agent, or a class of substance,         that is considered to be responsible for the adverse reaction.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and   not(exists(index-of(for $refset in ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and not(exists(index-of(for $refset in ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Adverse Reaction Agent (Concept Id: 142321000036106), Substance Foundation (Concept Id: 32570211000036100),         Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102),         Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the         Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.7 of the Adverse Reaction Detailed Clinical Model Specification v3.3, which allows more         reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and   not(exists(index-of(for $refset in ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and not(exists(index-of(for $refset in ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Adverse Reaction Agent (Concept Id: 142321000036106), Substance Foundation (Concept Id: 32570211000036100),         Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102),         Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the         Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.7 of the Adverse Reaction Detailed Clinical Model Specification v3.3, which allows more         reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and   exists(index-of(for $refset in ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and exists(index-of(for $refset in ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Adverse Reaction Agent (Concept Id: 142321000036106), Substance Foundation (Concept Id: 32570211000036100),         Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102),         Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the         Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.7 of the Adverse Reaction Detailed Clinical Model Specification v3.3, which allows more         reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and   exists(index-of(for $refset in ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and exists(index-of(for $refset in ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Adverse Reaction Agent (Concept Id: 142321000036106), Substance Foundation (Concept Id: 32570211000036100),         Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102),         Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the         Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.7 of the Adverse Reaction Detailed Clinical Model Specification v3.3, which allows more         reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M91" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M91" />
  <xsl:template match="@*|node()" priority="-2" mode="M91">
    <xsl:apply-templates select="@*|*" mode="M91" />
  </xsl:template>
  <!--PATTERN p-TS-Adverse-CodeableText-8-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '101.20113' = $doc-sections][cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')  or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2')  ]]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/cda:entry/cda:act[cda:code   [@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:participant[@typeCode='CAGNT']/cda:participantRole/cda:playingEntity/cda:code   [(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-subs-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])]   [not(@nullFlavor = $no-value-NF)] " priority="1000" mode="M92">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '101.20113' = $doc-sections][cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')  or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2')  ]]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/cda:entry/cda:act[cda:code   [@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:participant[@typeCode='CAGNT']/cda:participantRole/cda:playingEntity/cda:code   [(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-subs-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])]   [not(@nullFlavor = $no-value-NF)] " />
    <xsl:variable name="pcode" select="if ('2.16.840.1.113883.6.96' = $defn-subs-trusted and         @codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="snomed-trans" select="if ('2.16.840.1.113883.6.96' = $defn-subs-trusted and cda:translation)         then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="tcode" select="if (exists($snomed-trans[1]) and matches($snomed-trans[1]/@code, $snomed-code-regex)) then $snomed-trans[1]/@code else '' " />
    <xsl:variable name="code-present" select="$pcode != '' or $tcode != '' " />
    <xsl:variable name="invalid-code-system" select="@code and @displayName and @codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="codesystemvalues" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']" />
    <xsl:variable name="otext-without-markup" select="if (cda:originalText and cda:originalText != '') then normalize-space(replace(cda:originalText, $markup-regex, ' ')) else '' " />
    <xsl:variable name="pdname" select="if (@displayName and not($invalid-code-system)) then normalize-space(@displayName) else '' " />
    <xsl:variable name="max-code-number" select="if ($knowledge/search-for-term/max-sct-code-number/@value &gt; '5') then $knowledge/search-for-term/max-sct-code-number/@value else '5' " />
    <xsl:variable name="der-text-1" select="if ($code-present) then ''         else if ($otext-without-markup != '') then $otext-without-markup        else if ($pdname != '') then $pdname        else '' " />
    <xsl:variable name="der-text-2a" select="if ($der-text-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-text-1, $subs-fir-pattern-replacement, 'ic')) " />
    <xsl:variable name="der-text-2" select="if ($der-text-2a = '') then $der-text-1 else $der-text-2a " />
    <xsl:variable name="family-err" select="matches($der-text-1, $family-regex, 'i')" />
    <xsl:variable name="length-err" select="string-length($der-text-1) &gt; $length-err-max" />
    <xsl:variable name="avoid-ts" select="$family-err or $length-err or not($use-ts-for-sctau) " />
    <xsl:variable name="der-text-a" select="if ($der-text-2 = '') then $der-text-2        else if ($subs-regex = '') then normalize-space($der-text-2)        else normalize-space(dh:XQueryRecursiveReplace($der-text-2, $subs-regex, 'ic')) " />
    <xsl:variable name="der-text" select="if ($der-text-a = '') then $der-text-2 else $der-text-a " />
    <xsl:variable name="defn-valid-regex" select="concat('(^|\|)', translate($der-text-2, $chars-to-remove, ''), '(\||$)') " />
    <xsl:variable name="der-text-to-match-1" select="lower-case($der-text-2) " />
    <xsl:variable name="der-text-to-match" select="translate($der-text-to-match-1, $chars-to-remove, '') " />
    <xsl:variable name="der-text-non-value" select="if ($code-present or @nullFlavor = $no-value-NF) then false() else         $der-text-to-match = ''              or         not(matches($der-text-to-match-1, '[a-z]', 'i'))          or        ($cd-definitions/non-value/@regex != '' and matches($der-text-to-match-1, $cd-definitions/non-value/@regex, 'i'))  or        (exists($cd-definitions/subs/@non-value-regex) and matches($der-text-to-match-1, $cd-definitions/subs/@non-value-regex, 'i')) " />
    <xsl:variable name="defn-invalid-regex" select="if ($code-present or $der-text-non-value) then ()        else if ($cd-definitions/subs/@invalid-regex) then tokenize($cd-definitions/subs/@invalid-regex, '~')[. != '']         else () " />
    <xsl:variable name="defn-invalid-txt-regex" select="(for $i in (1 to count($defn-invalid-regex)) return normalize-space(substring-before($defn-invalid-regex[$i], '[[')))[. != '']" />
    <xsl:variable name="der-invalid-text-regex-1" select="if (exists($defn-invalid-txt-regex))        then index-of(for $i in (1 to count($defn-invalid-txt-regex)) return matches($der-text-2, $defn-invalid-txt-regex[$i], 'i'), true())        else () " />
    <xsl:variable name="der-invalid-text" select="exists($der-invalid-text-regex-1) " />
    <xsl:variable name="defn-invalid-rsn" select="if ($der-invalid-text)         then normalize-space(substring-before(substring-after($defn-invalid-regex[$der-invalid-text-regex-1[1]], '[['), ']]'))         else '' " />
    <xsl:variable name="trusted-code-systems" select="if ($der-text = '' or $der-invalid-text or not(@codeSystem or cda:translation/@codeSystem)) then ()        else (tokenize(replace($cd-definitions/subs/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/subs/@extra, '\s+', ''), '\|'))[. != ''] " />
    <xsl:variable name="der-trusted-text" select="if ($der-text = '' or $der-invalid-text or (@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex)))) then false()        else ((@codeSystem and exists($trusted-code-systems[. = current()/@codeSystem])) or               (cda:translation/@codeSystem and exists($trusted-code-systems[. = current()/cda:translation/@codeSystem]))) " />
    <xsl:variable name="a-vaccine" select="not($code-present or $der-text = '' or $der-text-non-value or $der-invalid-text) and         exists($vaccine-text-normalised) and $der-text-to-match = $vaccine-text-normalised " />
    <xsl:variable name="a-sas-tgi-1" select="not($code-present or $der-text = '' or $der-text-non-value or $der-invalid-text or $a-vaccine) and $tgi-sas-regex != '' and         matches($der-text, $tgi-sas-regex, 'is')" />
    <xsl:variable name="an-uncoded-tgi-1" select="not($code-present or $der-text = '' or $der-text-non-value or $der-invalid-text or $a-vaccine or $a-sas-tgi-1) and         $tgi-otheru-regex != '' and matches($der-text, $tgi-otheru-regex, 'is')" />
    <xsl:variable name="an-obsolete-tgi-1" select="not($code-present or $der-text = '' or $der-text-non-value or $der-invalid-text or $a-vaccine or $a-sas-tgi-1 or $an-uncoded-tgi-1) and         $tgi-obsolete-regex != '' and matches($der-text, $tgi-obsolete-regex, 'is')" />
    <xsl:variable name="valid-subs-1" select="if ($a-vaccine or $a-sas-tgi-1 or $an-uncoded-tgi-1 or $an-obsolete-tgi-1) then true()        else if ($code-present or $der-text = '' or $der-text-non-value or $der-invalid-text or $a-vaccine or $a-sas-tgi-1 or $an-uncoded-tgi-1 or         not($cd-definitions/subs/@valid-regex)) then false()        else exists(index-of(for $regex in (tokenize($cd-definitions/subs/@valid-regex, '~')[. != '']) return          matches($der-text-2, dh:XQueryRecursiveReplace(normalize-space($regex), ' \|~|~\| ~|', ''), 'is'), true())) or         ($cd-definitions/meds/@valid-regex and exists(index-of(for $regex in (tokenize($cd-definitions/meds/@valid-regex, '~')[. != '']) return           matches($der-text-2, dh:XQueryRecursiveReplace(normalize-space($regex), ' \|~|~\| ~|', ''), 'is'), true()))) " />
    <xsl:variable name="invalid-hierarchy-1" select="if (exists($cd-definitions/subs/subs-invalid/hierarchy))         then string-join(for $hierarchy in $cd-definitions/subs/subs-invalid/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-refset" select="if (exists($cd-definitions/subs/subs-invalid/refset))          then string-join(for $refset in $cd-definitions/subs/subs-invalid/refset return concat('^', $refset/@code), ' OR ')         else '' " />
    <xsl:variable name="valid-refset" select="concat('(', $tgi-formula, ' OR ^142321000036106 OR ^32570211000036100 OR &lt;71181003 OR &lt;763158003)')" />
    <xsl:variable name="valid-domain" select="if ($invalid-refset != '' and $invalid-hierarchy-1 != '')         then concat('((', $valid-refset, ') MINUS (', $invalid-refset, ' OR (', $invalid-hierarchy-1, ')))')        else if ($invalid-refset = '' and $invalid-hierarchy-1 != '') then concat('((', $valid-refset, ') MINUS (', $invalid-hierarchy-1, '))')         else if ($invalid-refset != '' and $invalid-hierarchy-1 = '') then concat('((', $valid-refset, ') MINUS (', $invalid-refset, '))')        else concat('(', $valid-refset, ')') " />
    <xsl:variable name="related-terms-1" select="if ($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-subs-1) then ()        else ($codesystemvalues/code[@related-terms], $codesystemvalues/related-terms[@related-terms]) " />
    <xsl:variable name="related-terms-2" select="for $i in index-of(        for $concept in $related-terms-1 return matches(translate($concept/@related-terms, $chars-no-pipe, ''), $defn-valid-regex, 'i'), true())         return $related-terms-1[$i]/@code " />
    <xsl:variable name="der-subs-codes-1" select="if (exists($related-terms-2)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($related-terms-2, ' OR '), ') AND ', $valid-domain), '', string(count($related-terms-2)), false())        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $der-subs-codes-1 " />
    <xsl:variable name="der-valid-codes-1" select="if (contains($der-subs-codes-1, '[')) then $der-subs-codes-1 else '' " />
    <xsl:variable name="valid-subs-2" select="$valid-subs-1 or $der-valid-codes-1 != '' " />
    <xsl:variable name="subs-inactive-refSets" select="if (exists($cd-definitions/subs/subs-invalid/inactive-refset))         then concat('((', $inactive-refSets, ') MINUS (',           string-join(for $refset in $cd-definitions/subs/subs-invalid/inactive-refset return concat('^', $refset/@code), ' OR '),          '))')         else $inactive-refSets " />
    <xsl:variable name="formula" select="concat($valid-domain, ' OR ', $subs-inactive-refSets) " />
    <xsl:variable name="ts-not-needed" select="$der-text = '' or $der-text-non-value or $der-invalid-text or $valid-subs-2 or $avoid-ts " />
    <xsl:variable name="der-subs-codes-2-a" select="if ($ts-not-needed or exists($related-terms-2)) then ()         else tokenize(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-text,          'default'), '\|') " />
    <xsl:variable name="error-usingTS-2-a" select="$error-usingTS-1 or 'Error' = $der-subs-codes-2-a " />
    <xsl:variable name="revision-pattern-1" select="if ($ts-not-needed or $valid-subs-2 or exists($der-subs-codes-2-a) or $error-usingTS-2-a or exists($related-terms-2)) then ''        else '(^|[^a-z])(agents?|related agents?)([^a-z]|$)~$1 $3' " />
    <xsl:variable name="der-revised-text-1" select="if ($revision-pattern-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-text, $revision-pattern-1, 'ic')) " />
    <xsl:variable name="use-revised-text-1" select="$der-revised-text-1 != '' and $der-revised-text-1 != $der-text " />
    <xsl:variable name="der-subs-codes-2-b" select="if ($ts-not-needed or exists($der-subs-codes-2-a) or not($use-revised-text-1)) then $der-subs-codes-2-a         else tokenize(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-1,          'default'), '\|') " />
    <xsl:variable name="error-usingTS-2-b" select="$error-usingTS-2-a or 'Error' = $der-subs-codes-2-b " />
    <xsl:variable name="revision-pattern-2" select="if ($ts-not-needed or $valid-subs-2 or exists($der-subs-codes-2-b) or $error-usingTS-2-b or exists($related-terms-2)) then ''        else concat($tgi-fir-pattern-replacement, '~', $tgi-regex, '~', $tgi-sec-pattern-replacement, '~', $tgi-thi-pattern-replacement) " />
    <xsl:variable name="der-revised-text-2" select="if ($revision-pattern-2 = '') then '' else normalize-space(dh:XQueryRecursiveReplace(if ($use-revised-text-1) then $der-revised-text-1 else $der-text,          $revision-pattern-2, 'ic')) " />
    <xsl:variable name="use-revised-text-2" select="if ($use-revised-text-1) then $der-revised-text-2 != '' and $der-revised-text-2 != $der-revised-text-1         else $der-revised-text-2 != '' and $der-revised-text-2 != $der-text " />
    <xsl:variable name="der-subs-codes-2-c" select="if ($ts-not-needed or exists($der-subs-codes-2-b) or not($use-revised-text-2)) then $der-subs-codes-2-b        else tokenize(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-2,          'default'), '\|') " />
    <xsl:variable name="error-usingTS-2-c" select="$error-usingTS-2-b or 'Error' = $der-subs-codes-2-c " />
    <xsl:variable name="revision-pattern-3" select="if ($ts-not-needed or $valid-subs-2 or exists($der-subs-codes-2-c) or $error-usingTS-2-c or exists($related-terms-2)) then ''        else '([a-z]{3,})[a-z]{1}($|[^a-z])~$1$2~(^|[^a-z])[a-z]{1}([^a-z]|$)~$1$2' " />
    <xsl:variable name="der-revised-text-3" select="if ($revision-pattern-3 = '') then '' else normalize-space(dh:XQueryRecursiveReplace(        if ($use-revised-text-2) then $der-revised-text-2 else if ($use-revised-text-1) then $der-revised-text-1 else $der-text,          $revision-pattern-3, 'ic')) " />
    <xsl:variable name="use-revised-text-3" select="if ($use-revised-text-2) then $der-revised-text-3 != '' and $der-revised-text-3 != $der-revised-text-2         else if ($use-revised-text-1) then $der-revised-text-3 != '' and $der-revised-text-3 != $der-revised-text-1         else $der-revised-text-3 != '' and $der-revised-text-3 != $der-text " />
    <xsl:variable name="der-subs-codes-2-d" select="if ($ts-not-needed or exists($der-subs-codes-2-c) or not($use-revised-text-3)) then $der-subs-codes-2-c        else tokenize(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-3,          'default'), '\|') " />
    <xsl:variable name="error-usingTS-2-d" select="$error-usingTS-2-c or 'Error' = $der-subs-codes-2-d " />
    <xsl:variable name="der-subs-codes-2" select="if ($ts-not-needed or $error-usingTS-2-d or not(exists($der-subs-codes-2-d)) or $der-valid-codes-1 != '') then ()        else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join(for $code in $der-subs-codes-2-d return replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is'), ' OR '), ') AND (',          $formula, ')'), '', string(count($der-subs-codes-2-d)), false()), '\|') " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-2-d or 'Error' = $der-subs-codes-2 " />
    <xsl:variable name="der-valid-codes-2" select="if ($der-valid-codes-1 != '') then $der-valid-codes-1        else if ($error-usingTS-2) then ''         else string-join((for $code in $der-subs-codes-2 return if (contains($code, '~inactive')) then '' else $code)[. != ''], '|')  " />
    <xsl:variable name="valid-subs-3" select="$valid-subs-2 or $der-valid-codes-2 != '' " />
    <xsl:variable name="der-inactive-codes-1" select="if ($valid-subs-3) then () else        for $code in $der-subs-codes-2 return if (contains($code, '~inactive')) then replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is') else '' " />
    <xsl:variable name="der-inactive-codes-2" select="for $i in (1 to count($der-inactive-codes-1)) return         dh:IsCodeAssociatedWithAnotherCode($der-inactive-codes-1[$i], '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-1" select="'Error' = $der-inactive-codes-2 " />
    <xsl:variable name="der-NAF-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-NAF-active-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound~active')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-inactive-codes-3" select="tokenize(string-join(for $i in (1 to count($der-inactive-codes-1)) return replace(string-join(tokenize($der-inactive-codes-2[$i], '\|')        [matches(., '(REPLACED BY|SAME AS|ALTERNATIVE|POSSIBLY EQUIVALENT TO|MAY BE A|WAS A)')], '|'), '[0-9]+~[A-Z ]+~([0-9]+)', '$1'), '|'), '\|')        [. != ''] " />
    <xsl:variable name="der-subs-codes-3" select="if (exists($der-inactive-codes-3)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($der-inactive-codes-3, ' OR '), ') AND ', $valid-domain), '', string(count($der-inactive-codes-3)), false())          else '' " />
    <xsl:variable name="error-usingTS-3" select="$error-usingTS-2 or 'Error' = $der-subs-codes-3 " />
    <xsl:variable name="der-valid-codes-3" select="if ($der-valid-codes-2 != '') then $der-valid-codes-2        else if (contains($der-subs-codes-3, '[')) then $der-subs-codes-3        else '' " />
    <xsl:variable name="valid-subs-4" select="$valid-subs-3 or $der-valid-codes-3 != '' " />
    <xsl:variable name="tbd-hierarchy" select="if (exists($cd-definitions/subs/subs-tbd/hierarchy))         then string-join(for $hierarchy in $cd-definitions/subs/subs-tbd/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-hierarchy" select="if ($invalid-hierarchy-1 != '' and $tbd-hierarchy != '') then concat($invalid-hierarchy-1, ' OR ', $tbd-hierarchy)        else if ($invalid-hierarchy-1 != '') then $invalid-hierarchy-1        else if ($tbd-hierarchy != '') then $tbd-hierarchy        else '' " />
    <xsl:variable name="invalid-domain" select="if ($invalid-hierarchy != '' and $invalid-refset != '') then concat($invalid-hierarchy, ' OR ', $invalid-refset)        else if ($invalid-hierarchy != '') then $invalid-hierarchy        else if ($invalid-refset != '') then $invalid-refset        else '' " />
    <xsl:variable name="filter-text" select="if ($use-revised-text-3) then $der-revised-text-3 else if ($use-revised-text-2) then $der-revised-text-2         else if ($use-revised-text-1) then $der-revised-text-1 else $der-text " />
    <xsl:variable name="der-subs-codes-4" select="if ($ts-not-needed or $valid-subs-4 or $invalid-domain = '') then ()        else if (exists($related-terms-2)) then $related-terms-2        else distinct-values((tokenize(replace(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          $invalid-domain, $filter-text, 'default'), '(\[.*?\])(\||$)', '$2'), '\|'), $der-inactive-codes-3)) " />
    <xsl:variable name="error-usingTS-4" select="$error-usingTS-3 or 'Error' = $der-subs-codes-4 " />
    <xsl:variable name="invalid-subs-codes-r" select="if ($ts-not-needed or $valid-subs-4 or $error-usingTS-4 or not(exists($der-subs-codes-4))) then ()        else if ($invalid-refset = '') then tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-subs-codes-4, ' OR '), ') AND (', $inactive-refSets, ')'), '',           string(count($der-subs-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')        else tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-subs-codes-4, ' OR '), ') AND (', $invalid-refset, ' OR ', $inactive-refSets, ')'), '',           string(count($der-subs-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')  " />
    <xsl:variable name="error-usingTS-5" select="$error-usingTS-4 or 'Error' = $invalid-subs-codes-r " />
    <xsl:variable name="der-subs-codes-4-h" select="if ($error-usingTS-5) then () else $der-subs-codes-4[not(. = $invalid-subs-codes-r)]" />
    <xsl:variable name="invalid-subs-codes-h" select="if ($ts-not-needed or $valid-subs-4 or 'Error' = $der-subs-codes-4 or $subs-invalid-hierarchy = '' or not(exists($der-subs-codes-4-h))) then ()        else (for $code in $der-subs-codes-4-h return          if (dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;&gt;', $code, ' MINUS ', $subs-invalid-hierarchy), '', '1', false()) = '') then $code else '')[. != ''] " />
    <xsl:variable name="invalid-subs-codes" select="($invalid-subs-codes-h, $invalid-subs-codes-r) " />
    <xsl:variable name="der-subs-codes-5" select="$der-subs-codes-4[not(. = $invalid-subs-codes or . = 'Error')]" />
    <xsl:variable name="der-valid-codes-4" select="if ($der-valid-codes-3 != '') then $der-valid-codes-3        else if ($ts-not-needed or $valid-subs-4 or $valid-domain = '' or not(exists($der-subs-codes-5))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-subs-codes-5, ' OR '), ') AND ', $valid-domain), '', string(count($der-subs-codes-5)), false()) " />
    <xsl:variable name="error-usingTS-6" select="$error-usingTS-5 or 'Error' = $der-valid-codes-4 " />
    <xsl:variable name="valid-subs-5" select="$valid-subs-4 or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="undetermined-subs-1" select="$der-subs-codes-5[not(. = tokenize(replace($der-valid-codes-4,  '(\[.*?\])(\||$)', '$2'), '\|'))]" />
    <xsl:variable name="undetermined-inactive-1" select="for $i in (1 to count($undetermined-subs-1)) return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $undetermined-subs-1[$i], '', '1', false()) " />
    <xsl:variable name="error-usingTS-7" select="$error-usingTS-6 or 'Error' = $undetermined-inactive-1 " />
    <xsl:variable name="undetermined-inactive" select="(for $i in (1 to count($undetermined-subs-1)) return         if (contains($undetermined-inactive-1[$i], '~inactive')) then $undetermined-inactive-1[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-1" select="for $i in (1 to count($undetermined-inactive))        return dh:IsCodeAssociatedWithAnotherCode(replace($undetermined-inactive[$i], '(\[.*?\])(\||$)', '$2'), '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-2" select="$error-usingV-1 or 'Error' = $undetermined-NAF-1 " />
    <xsl:variable name="undetermined-NAF" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-codes" select="for $term in $undetermined-NAF return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-NAF-active" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound~active')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-active-codes" select="for $term in $undetermined-NAF-active return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-subs" select="$undetermined-subs-1[not(. = ($undetermined-NAF-codes, $undetermined-NAF-active-codes))]" />
    <xsl:variable name="invalid-subs" select="not($valid-subs-5) and exists($invalid-subs-codes) and not(exists($undetermined-subs))" />
    <xsl:variable name="a-sas-tgi" select="if ($a-sas-tgi-1) then true()        else if ($a-vaccine or $valid-subs-5 or $invalid-subs or not($use-revised-text-2) or $tgi-sas-regex = '') then false()        else matches($der-revised-text-2, $tgi-sas-regex, 'is')" />
    <xsl:variable name="an-uncoded-tgi" select="if ($an-uncoded-tgi-1) then true()        else if ($a-vaccine or $valid-subs-5 or $invalid-subs or not($use-revised-text-2) or $tgi-otheru-regex = '' or $a-sas-tgi) then false()        else matches($der-revised-text-2, $tgi-otheru-regex, 'is')" />
    <xsl:variable name="an-obsolete-tgi" select="if ($an-obsolete-tgi-1) then true()        else if ($a-vaccine or $valid-subs-5 or $invalid-subs or not($use-revised-text-2) or $tgi-obsolete-regex = '' or $a-sas-tgi or          $an-uncoded-tgi) then false()        else matches($der-text, $tgi-obsolete-regex, 'is')" />
    <xsl:variable name="valid-subs-6" select="$valid-subs-5 or $a-sas-tgi or $an-uncoded-tgi or $an-obsolete-tgi " />
    <xsl:variable name="codes-were-found" select="exists($der-subs-codes-4) or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="codes-not-found" select="not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-subs-6 or $invalid-subs) " />
    <xsl:variable name="codes-in-the-domain" select="not($valid-subs-1) and $valid-subs-5" />
    <xsl:variable name="codes-in-other-domain" select="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-subs-6 or $invalid-subs or         $error-usingTS-7) " />
    <xsl:variable name="codes-in-no-domain" select="exists($der-subs-codes-5) " />
    <xsl:variable name="display-in-the-domain" select="if ($codes-in-the-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', '), '''')        else '' " />
    <xsl:variable name="display-in-other-r" select="if (exists($invalid-subs-codes-r) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-subs-codes-r return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-h" select="if (exists($invalid-subs-codes-h) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-subs-codes-h return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-domain" select="if (not($codes-in-other-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))) then ''        else if ($display-in-other-r and display-in-other-h) then concat('''', $display-in-other-r, ', ', $display-in-other-h, '''')        else if ($display-in-other-r) then concat('''', $display-in-other-r, '''')        else if ($display-in-other-h) then concat('''', $display-in-other-h, '''')        else '' " />
    <xsl:variable name="display-in-no-domain" select="if ($codes-in-no-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', dh:XQueryRecursiveReplace(string-join(for $code in $der-subs-codes-5 return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), '; '),          $term-pattern-replacement, 'ic'), '''')        else '' " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))        else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="log-concepts-appended" select="if ($error-usingTS-7 or not($flags/@report-terminology-concepts = 'true') or $log-concepts-name = '') then ''        else if ($codes-not-found and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                   'Substance/Agent',   $log-tab,                   'yes',     $log-tab,                   concat($display-code, $display-system), $log-tab,                   '',     $log-tab,                  '',     $log-tab,                  '',     $log-tab,                  $ts-current-sctau   ))        else if (($use-revised-text-3 or $codes-in-no-domain) and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                  'Substance/Agent',   $log-tab,                   'yes',     $log-tab,                     concat($display-code, $display-system), $log-tab,                    $display-in-the-domain,   $log-tab,                  $display-in-other-domain,  $log-tab,                  $display-in-no-domain,   $log-tab,                  $ts-current-sctau   ))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <!--REPORT -->
    <xsl:if test=" $log-concepts-appended = ('NOTFOUND', 'ERROR') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$log-concepts-appended = ('NOTFOUND', 'ERROR')">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Subs-Defn): The AppendLog function returned '<xsl:text /><xsl:value-of select="$log-concepts-appended" /><xsl:text />' when requested to append the concepts log
		'<xsl:text /><xsl:value-of select="$log-concepts-name" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-subs-6) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-subs-6)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Subs-Defn): An unexpected problem occurred when assessing the value of the Substance/Agent
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. The application of regular expressions resulted in the complete loss of text.
		Report the information below to the Australian Digital Health Agency for investigation.

		der-text-1 '<xsl:text /><xsl:value-of select="normalize-space(dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'))" /><xsl:text />'.
		der-text-2a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-2a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-a, $term-pattern-replacement, 'ic')" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingV-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingV-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Subs-Defn): An error was reported when accessing the terminology server when assessing the Substance/Agent data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		Report the issue to the Australian Digital Health Agency for investigation stating the error was recorded for error-usingV-2.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-7 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-7">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Subs-Defn): An error was reported when accessing the terminology server when assessing the Substance/Agent data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term:
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The analysis should be retried as the terminology server may have been temporarily unavailable.
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation, stating that the error was found by
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'error-usingTS-1' else if ($error-usingTS-2-a) then 'error-usingTS-2-a'   else if ($error-usingTS-2-b) then 'error-usingTS-2-b' else if ($error-usingTS-2-c) then 'error-usingTS-2-c'   else if ($error-usingTS-2-d) then 'error-usingTS-2-d' else if ($error-usingTS-2) then 'error-usingTS-2'   else if ($error-usingTS-3) then 'error-usingTS-3' else if ($error-usingTS-4) then 'error-usingTS-4'   else if ($error-usingTS-5) then 'error-usingTS-5' else if ($error-usingTS-6) then 'error-usingTS-6'   else 'error-usingTS-7' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not($codes-were-found) and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not($codes-were-found) and $codes-not-found">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the substance, agent, or a class of substance,         that is considered to be responsible for the adverse reaction.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.7 of the Adverse Reaction Detailed Clinical Model Specification v3.3, which allows more         reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$codes-in-other-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$codes-in-other-domain">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value does not seem to be applicable for the data element.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the substance, agent, or a class of substance,         that is considered to be responsible for the adverse reaction.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Substance/Agent
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the substance, agent, or a class of substance,         that is considered to be responsible for the adverse reaction.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Substance/Agent data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Substance/Agent
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the substance, agent, or a class of substance,         that is considered to be responsible for the adverse reaction.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Substance/Agent data element must have a value that is consistent with this definition. Alternatively if there is no Substance/Agent data element with a proper value then an exclusion
		statement must be included to state why there is no Substance/Agent. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4')    then concat('Text such as ''', dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'), ''' may be permitted in the narrative even though the Substance/Agent data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Substance/Agent
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the substance, agent, or a class of substance,         that is considered to be responsible for the adverse reaction.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Substance/Agent data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($der-text-non-value) and $der-invalid-text ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($der-text-non-value) and $der-invalid-text">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid. <xsl:text /><xsl:value-of select="$defn-invalid-rsn" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the substance, agent, or a class of substance,         that is considered to be responsible for the adverse reaction.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $invalid-subs and not($error-usingTS-7) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$invalid-subs and not($error-usingTS-7)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid
		<xsl:text /><xsl:value-of select="if (exists($invalid-subs-codes-h)) then concat(' as it describes ', string-join(distinct-values(for $code in tokenize(replace(   dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat('(', string-join(for $code in $invalid-subs-codes-h return concat('&gt;&gt;', $code), ' OR '), ') AND (',    string-join(for $hierarchy in $cd-definitions/subs/subs-invalid/hierarchy return $hierarchy/@code, ' OR '), ')'), '',    string(count($invalid-subs-codes-h)), true()), '(\[.*?\])(\||$)', '$2'), '\|') return    $cd-definitions/subs/subs-invalid/hierarchy[@code = $code]/@description)[position() = (1 to 2)], ' and '), '.')    else if (exists($invalid-subs-codes-r)) then concat(' as it describes ', string-join(distinct-values(for $code in $invalid-subs-codes-r return   $cd-definitions/subs/subs-invalid/refset[index-of(for $x in (for $refset in $cd-definitions/subs/subs-invalid/refset return    dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat($code, ' AND ^', $refset/@code), '', '1', true()), '|') return matches($x, '^[0-9]'), true())[1]]/@description), ' and '), '.')   else '.'" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the substance, agent, or a class of substance,         that is considered to be responsible for the adverse reaction.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable outside the applicable value domain): The Substance/Agent
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following codes were obtained and are not in the value domain: <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-Subs-Defn): The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU and no associated code was found in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists(($der-NAF-active-codes, $undetermined-NAF-active-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists(($der-NAF-active-codes, $undetermined-NAF-active-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-Subs-Defn): The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-active-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the
		'<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' version of SNOMED CT-AU but it was not found with this status in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU. <xsl:text /><xsl:value-of select="if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and ($valid-subs-1 or (not($valid-subs-5) and $valid-subs-6)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and ($valid-subs-1 or (not($valid-subs-5) and $valid-subs-6))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable within the value domain): The Substance/Agent
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which matches one of the terms listed in Knowledge.xml for the Substance/Agent.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (concept is codeable within the value domain): The Substance/Agent
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a valid value for the Substance/Agent.
		SNOMED CT-AU codes that matched the concept are: <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-subs-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-subs-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The text used to match regular expression (der-text-2) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to match non-values and vaccines (der-text-to-match) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-to-match, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to derive a code (der-text) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.

		<xsl:text /><xsl:value-of select="if ($use-revised-text-1) then concat(' A first revision of the text (der-revised-text-1) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-1, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A first revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-1 != '' and $der-revised-text-1 = '') then ' revision-pattern-1 was applied but the output (der-revised-text-1) was an empty string.' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($use-revised-text-2) then concat(' A second revision of the text (der-revised-text-2) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A second revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-2 != '' and $der-revised-text-2 = '') then ' revision-pattern-2 was applied but the output (der-revised-text-2) was an empty string.' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($use-revised-text-3) then concat(' A third revision of the text (der-revised-text-3) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-3, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A third revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-3 != '' and $der-revised-text-3 = '') then ' revision-pattern-3 was applied but the output (der-revised-text-3) was an empty string.' else '' " /><xsl:text />

		The SNOMED CT-AU version used to find codes is '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' and the maximum code number is '<xsl:text /><xsl:value-of select="$max-code-number" /><xsl:text />'.

		Codes for related terms (related-terms-2): '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($related-terms-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes for related terms (der-valid-codes-1): 
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-1, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-subs-codes-2) returned by the terminology server that match the text:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-subs-codes-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes from related terms or the terminology server (der-valid-codes-2):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-2, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-inactive-codes-3) returned from the Validator's database associated with inactive codes:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-inactive-codes-3, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes found after examining inactive codes (der-valid-codes-3):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-3, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Members of invalid reference sets (invalid-subs-codes-r): '<xsl:text /><xsl:value-of select="$display-in-other-r" /><xsl:text />'.
		Members of invalid code hierarchies (invalid-subs-codes-h): '<xsl:text /><xsl:value-of select="$display-in-other-h" /><xsl:text />'.

		Final set of valid codes (der-valid-codes-4):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		
		Codes whose validity has not been determined (der-subs-codes-5):  <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.
		Codes whose validity has not been determined and are inactive with no associated code (undetermined-NAF): '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(    string-join($undetermined-NAF, ''', '''), $markup-pattern-replacement, 'ic')" /><xsl:text />'.

		Will the value of the data element be trusted (der-trusted-text)? '<xsl:text /><xsl:value-of select="$der-trusted-text" /><xsl:text />'.
		
	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and $codes-not-found">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept not codeable): The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($avoid-ts) then 'The terminology server was not used to assist with finding codes corresponding to text in the data element. ' else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M92" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M92" />
  <xsl:template match="@*|node()" priority="-2" mode="M92">
    <xsl:apply-templates select="@*|*" mode="M92" />
  </xsl:template>
  <!--PATTERN p-TS-Adverse-CodeableText-9-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '101.20113' = $doc-sections][cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')  or   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.3') ]]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/cda:entry/cda:act[cda:code   [@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:participant[@typeCode='CAGNT']/cda:participantRole/cda:playingEntity/cda:code   [(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-subs-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])]   [not(@nullFlavor = $no-value-NF)] " priority="1000" mode="M93">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '101.20113' = $doc-sections][cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')  or   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.3') ]]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/cda:entry/cda:act[cda:code   [@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:participant[@typeCode='CAGNT']/cda:participantRole/cda:playingEntity/cda:code   [(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-subs-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])]   [not(@nullFlavor = $no-value-NF)] " />
    <xsl:variable name="pcode" select="if ('2.16.840.1.113883.6.96' = $defn-subs-trusted and         @codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="snomed-trans" select="if ('2.16.840.1.113883.6.96' = $defn-subs-trusted and cda:translation)         then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="tcode" select="if (exists($snomed-trans[1]) and matches($snomed-trans[1]/@code, $snomed-code-regex)) then $snomed-trans[1]/@code else '' " />
    <xsl:variable name="code-present" select="$pcode != '' or $tcode != '' " />
    <xsl:variable name="invalid-code-system" select="@code and @displayName and @codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="codesystemvalues" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']" />
    <xsl:variable name="otext-without-markup" select="if (cda:originalText and cda:originalText != '') then normalize-space(replace(cda:originalText, $markup-regex, ' ')) else '' " />
    <xsl:variable name="pdname" select="if (@displayName and not($invalid-code-system)) then normalize-space(@displayName) else '' " />
    <xsl:variable name="max-code-number" select="if ($knowledge/search-for-term/max-sct-code-number/@value &gt; '5') then $knowledge/search-for-term/max-sct-code-number/@value else '5' " />
    <xsl:variable name="der-text-1" select="if ($code-present) then ''         else if ($otext-without-markup != '') then $otext-without-markup        else if ($pdname != '') then $pdname        else '' " />
    <xsl:variable name="der-text-2a" select="if ($der-text-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-text-1, $subs-fir-pattern-replacement, 'ic')) " />
    <xsl:variable name="der-text-2" select="if ($der-text-2a = '') then $der-text-1 else $der-text-2a " />
    <xsl:variable name="family-err" select="matches($der-text-1, $family-regex, 'i')" />
    <xsl:variable name="length-err" select="string-length($der-text-1) &gt; $length-err-max" />
    <xsl:variable name="avoid-ts" select="$family-err or $length-err or not($use-ts-for-sctau) " />
    <xsl:variable name="der-text-a" select="if ($der-text-2 = '') then $der-text-2        else if ($subs-regex = '') then normalize-space($der-text-2)        else normalize-space(dh:XQueryRecursiveReplace($der-text-2, $subs-regex, 'ic')) " />
    <xsl:variable name="der-text" select="if ($der-text-a = '') then $der-text-2 else $der-text-a " />
    <xsl:variable name="defn-valid-regex" select="concat('(^|\|)', translate($der-text-2, $chars-to-remove, ''), '(\||$)') " />
    <xsl:variable name="der-text-to-match-1" select="lower-case($der-text-2) " />
    <xsl:variable name="der-text-to-match" select="translate($der-text-to-match-1, $chars-to-remove, '') " />
    <xsl:variable name="der-text-non-value" select="if ($code-present or @nullFlavor = $no-value-NF) then false() else         $der-text-to-match = ''              or         not(matches($der-text-to-match-1, '[a-z]', 'i'))          or        ($cd-definitions/non-value/@regex != '' and matches($der-text-to-match-1, $cd-definitions/non-value/@regex, 'i'))  or        (exists($cd-definitions/subs/@non-value-regex) and matches($der-text-to-match-1, $cd-definitions/subs/@non-value-regex, 'i')) " />
    <xsl:variable name="defn-invalid-regex" select="if ($code-present or $der-text-non-value) then ()        else if ($cd-definitions/subs/@invalid-regex) then tokenize($cd-definitions/subs/@invalid-regex, '~')[. != '']         else () " />
    <xsl:variable name="defn-invalid-txt-regex" select="(for $i in (1 to count($defn-invalid-regex)) return normalize-space(substring-before($defn-invalid-regex[$i], '[[')))[. != '']" />
    <xsl:variable name="der-invalid-text-regex-1" select="if (exists($defn-invalid-txt-regex))        then index-of(for $i in (1 to count($defn-invalid-txt-regex)) return matches($der-text-2, $defn-invalid-txt-regex[$i], 'i'), true())        else () " />
    <xsl:variable name="der-invalid-text" select="exists($der-invalid-text-regex-1) " />
    <xsl:variable name="defn-invalid-rsn" select="if ($der-invalid-text)         then normalize-space(substring-before(substring-after($defn-invalid-regex[$der-invalid-text-regex-1[1]], '[['), ']]'))         else '' " />
    <xsl:variable name="trusted-code-systems" select="if ($der-text = '' or $der-invalid-text or not(@codeSystem or cda:translation/@codeSystem)) then ()        else (tokenize(replace($cd-definitions/subs/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/subs/@extra, '\s+', ''), '\|'))[. != ''] " />
    <xsl:variable name="der-trusted-text" select="if ($der-text = '' or $der-invalid-text or (@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex)))) then false()        else ((@codeSystem and exists($trusted-code-systems[. = current()/@codeSystem])) or               (cda:translation/@codeSystem and exists($trusted-code-systems[. = current()/cda:translation/@codeSystem]))) " />
    <xsl:variable name="a-vaccine" select="not($code-present or $der-text = '' or $der-text-non-value or $der-invalid-text) and         exists($vaccine-text-normalised) and $der-text-to-match = $vaccine-text-normalised " />
    <xsl:variable name="a-sas-tgi-1" select="not($code-present or $der-text = '' or $der-text-non-value or $der-invalid-text or $a-vaccine) and $tgi-sas-regex != '' and         matches($der-text, $tgi-sas-regex, 'is')" />
    <xsl:variable name="an-uncoded-tgi-1" select="not($code-present or $der-text = '' or $der-text-non-value or $der-invalid-text or $a-vaccine or $a-sas-tgi-1) and         $tgi-otheru-regex != '' and matches($der-text, $tgi-otheru-regex, 'is')" />
    <xsl:variable name="an-obsolete-tgi-1" select="not($code-present or $der-text = '' or $der-text-non-value or $der-invalid-text or $a-vaccine or $a-sas-tgi-1 or $an-uncoded-tgi-1) and         $tgi-obsolete-regex != '' and matches($der-text, $tgi-obsolete-regex, 'is')" />
    <xsl:variable name="valid-subs-1" select="if ($a-vaccine or $a-sas-tgi-1 or $an-uncoded-tgi-1 or $an-obsolete-tgi-1) then true()        else if ($code-present or $der-text = '' or $der-text-non-value or $der-invalid-text or $a-vaccine or $a-sas-tgi-1 or $an-uncoded-tgi-1 or         not($cd-definitions/subs/@valid-regex)) then false()        else exists(index-of(for $regex in (tokenize($cd-definitions/subs/@valid-regex, '~')[. != '']) return          matches($der-text-2, dh:XQueryRecursiveReplace(normalize-space($regex), ' \|~|~\| ~|', ''), 'is'), true())) or         ($cd-definitions/meds/@valid-regex and exists(index-of(for $regex in (tokenize($cd-definitions/meds/@valid-regex, '~')[. != '']) return           matches($der-text-2, dh:XQueryRecursiveReplace(normalize-space($regex), ' \|~|~\| ~|', ''), 'is'), true()))) " />
    <xsl:variable name="invalid-hierarchy-1" select="if (exists($cd-definitions/subs/subs-invalid/hierarchy))         then string-join(for $hierarchy in $cd-definitions/subs/subs-invalid/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-refset" select="if (exists($cd-definitions/subs/subs-invalid/refset))          then string-join(for $refset in $cd-definitions/subs/subs-invalid/refset return concat('^', $refset/@code), ' OR ')         else '' " />
    <xsl:variable name="valid-refset" select="concat('(', $tgi-formula, ' OR ^142321000036106 OR ^32570211000036100 OR &lt;71181003 OR &lt;763158003)')" />
    <xsl:variable name="valid-domain" select="if ($invalid-refset != '' and $invalid-hierarchy-1 != '')         then concat('((', $valid-refset, ') MINUS (', $invalid-refset, ' OR (', $invalid-hierarchy-1, ')))')        else if ($invalid-refset = '' and $invalid-hierarchy-1 != '') then concat('((', $valid-refset, ') MINUS (', $invalid-hierarchy-1, '))')         else if ($invalid-refset != '' and $invalid-hierarchy-1 = '') then concat('((', $valid-refset, ') MINUS (', $invalid-refset, '))')        else concat('(', $valid-refset, ')') " />
    <xsl:variable name="related-terms-1" select="if ($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-subs-1) then ()        else ($codesystemvalues/code[@related-terms], $codesystemvalues/related-terms[@related-terms]) " />
    <xsl:variable name="related-terms-2" select="for $i in index-of(        for $concept in $related-terms-1 return matches(translate($concept/@related-terms, $chars-no-pipe, ''), $defn-valid-regex, 'i'), true())         return $related-terms-1[$i]/@code " />
    <xsl:variable name="der-subs-codes-1" select="if (exists($related-terms-2)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($related-terms-2, ' OR '), ') AND ', $valid-domain), '', string(count($related-terms-2)), false())        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $der-subs-codes-1 " />
    <xsl:variable name="der-valid-codes-1" select="if (contains($der-subs-codes-1, '[')) then $der-subs-codes-1 else '' " />
    <xsl:variable name="valid-subs-2" select="$valid-subs-1 or $der-valid-codes-1 != '' " />
    <xsl:variable name="subs-inactive-refSets" select="if (exists($cd-definitions/subs/subs-invalid/inactive-refset))         then concat('((', $inactive-refSets, ') MINUS (',           string-join(for $refset in $cd-definitions/subs/subs-invalid/inactive-refset return concat('^', $refset/@code), ' OR '),          '))')         else $inactive-refSets " />
    <xsl:variable name="formula" select="concat($valid-domain, ' OR ', $subs-inactive-refSets) " />
    <xsl:variable name="ts-not-needed" select="$der-text = '' or $der-text-non-value or $der-invalid-text or $valid-subs-2 or $avoid-ts " />
    <xsl:variable name="der-subs-codes-2-a" select="if ($ts-not-needed or exists($related-terms-2)) then ()         else tokenize(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-text,          'default'), '\|') " />
    <xsl:variable name="error-usingTS-2-a" select="$error-usingTS-1 or 'Error' = $der-subs-codes-2-a " />
    <xsl:variable name="revision-pattern-1" select="if ($ts-not-needed or $valid-subs-2 or exists($der-subs-codes-2-a) or $error-usingTS-2-a or exists($related-terms-2)) then ''        else '(^|[^a-z])(agents?|related agents?)([^a-z]|$)~$1 $3' " />
    <xsl:variable name="der-revised-text-1" select="if ($revision-pattern-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-text, $revision-pattern-1, 'ic')) " />
    <xsl:variable name="use-revised-text-1" select="$der-revised-text-1 != '' and $der-revised-text-1 != $der-text " />
    <xsl:variable name="der-subs-codes-2-b" select="if ($ts-not-needed or exists($der-subs-codes-2-a) or not($use-revised-text-1)) then $der-subs-codes-2-a         else tokenize(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-1,          'default'), '\|') " />
    <xsl:variable name="error-usingTS-2-b" select="$error-usingTS-2-a or 'Error' = $der-subs-codes-2-b " />
    <xsl:variable name="revision-pattern-2" select="if ($ts-not-needed or $valid-subs-2 or exists($der-subs-codes-2-b) or $error-usingTS-2-b or exists($related-terms-2)) then ''        else concat($tgi-fir-pattern-replacement, '~', $tgi-regex, '~', $tgi-sec-pattern-replacement, '~', $tgi-thi-pattern-replacement) " />
    <xsl:variable name="der-revised-text-2" select="if ($revision-pattern-2 = '') then '' else normalize-space(dh:XQueryRecursiveReplace(if ($use-revised-text-1) then $der-revised-text-1 else $der-text,          $revision-pattern-2, 'ic')) " />
    <xsl:variable name="use-revised-text-2" select="if ($use-revised-text-1) then $der-revised-text-2 != '' and $der-revised-text-2 != $der-revised-text-1         else $der-revised-text-2 != '' and $der-revised-text-2 != $der-text " />
    <xsl:variable name="der-subs-codes-2-c" select="if ($ts-not-needed or exists($der-subs-codes-2-b) or not($use-revised-text-2)) then $der-subs-codes-2-b        else tokenize(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-2,          'default'), '\|') " />
    <xsl:variable name="error-usingTS-2-c" select="$error-usingTS-2-b or 'Error' = $der-subs-codes-2-c " />
    <xsl:variable name="revision-pattern-3" select="if ($ts-not-needed or $valid-subs-2 or exists($der-subs-codes-2-c) or $error-usingTS-2-c or exists($related-terms-2)) then ''        else '([a-z]{3,})[a-z]{1}($|[^a-z])~$1$2~(^|[^a-z])[a-z]{1}([^a-z]|$)~$1$2' " />
    <xsl:variable name="der-revised-text-3" select="if ($revision-pattern-3 = '') then '' else normalize-space(dh:XQueryRecursiveReplace(        if ($use-revised-text-2) then $der-revised-text-2 else if ($use-revised-text-1) then $der-revised-text-1 else $der-text,          $revision-pattern-3, 'ic')) " />
    <xsl:variable name="use-revised-text-3" select="if ($use-revised-text-2) then $der-revised-text-3 != '' and $der-revised-text-3 != $der-revised-text-2         else if ($use-revised-text-1) then $der-revised-text-3 != '' and $der-revised-text-3 != $der-revised-text-1         else $der-revised-text-3 != '' and $der-revised-text-3 != $der-text " />
    <xsl:variable name="der-subs-codes-2-d" select="if ($ts-not-needed or exists($der-subs-codes-2-c) or not($use-revised-text-3)) then $der-subs-codes-2-c        else tokenize(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-3,          'default'), '\|') " />
    <xsl:variable name="error-usingTS-2-d" select="$error-usingTS-2-c or 'Error' = $der-subs-codes-2-d " />
    <xsl:variable name="der-subs-codes-2" select="if ($ts-not-needed or $error-usingTS-2-d or not(exists($der-subs-codes-2-d)) or $der-valid-codes-1 != '') then ()        else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join(for $code in $der-subs-codes-2-d return replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is'), ' OR '), ') AND (',          $formula, ')'), '', string(count($der-subs-codes-2-d)), false()), '\|') " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-2-d or 'Error' = $der-subs-codes-2 " />
    <xsl:variable name="der-valid-codes-2" select="if ($der-valid-codes-1 != '') then $der-valid-codes-1        else if ($error-usingTS-2) then ''         else string-join((for $code in $der-subs-codes-2 return if (contains($code, '~inactive')) then '' else $code)[. != ''], '|')  " />
    <xsl:variable name="valid-subs-3" select="$valid-subs-2 or $der-valid-codes-2 != '' " />
    <xsl:variable name="der-inactive-codes-1" select="if ($valid-subs-3) then () else        for $code in $der-subs-codes-2 return if (contains($code, '~inactive')) then replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is') else '' " />
    <xsl:variable name="der-inactive-codes-2" select="for $i in (1 to count($der-inactive-codes-1)) return         dh:IsCodeAssociatedWithAnotherCode($der-inactive-codes-1[$i], '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-1" select="'Error' = $der-inactive-codes-2 " />
    <xsl:variable name="der-NAF-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-NAF-active-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound~active')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-inactive-codes-3" select="tokenize(string-join(for $i in (1 to count($der-inactive-codes-1)) return replace(string-join(tokenize($der-inactive-codes-2[$i], '\|')        [matches(., '(REPLACED BY|SAME AS|ALTERNATIVE|POSSIBLY EQUIVALENT TO|MAY BE A|WAS A)')], '|'), '[0-9]+~[A-Z ]+~([0-9]+)', '$1'), '|'), '\|')        [. != ''] " />
    <xsl:variable name="der-subs-codes-3" select="if (exists($der-inactive-codes-3)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($der-inactive-codes-3, ' OR '), ') AND ', $valid-domain), '', string(count($der-inactive-codes-3)), false())          else '' " />
    <xsl:variable name="error-usingTS-3" select="$error-usingTS-2 or 'Error' = $der-subs-codes-3 " />
    <xsl:variable name="der-valid-codes-3" select="if ($der-valid-codes-2 != '') then $der-valid-codes-2        else if (contains($der-subs-codes-3, '[')) then $der-subs-codes-3        else '' " />
    <xsl:variable name="valid-subs-4" select="$valid-subs-3 or $der-valid-codes-3 != '' " />
    <xsl:variable name="tbd-hierarchy" select="if (exists($cd-definitions/subs/subs-tbd/hierarchy))         then string-join(for $hierarchy in $cd-definitions/subs/subs-tbd/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-hierarchy" select="if ($invalid-hierarchy-1 != '' and $tbd-hierarchy != '') then concat($invalid-hierarchy-1, ' OR ', $tbd-hierarchy)        else if ($invalid-hierarchy-1 != '') then $invalid-hierarchy-1        else if ($tbd-hierarchy != '') then $tbd-hierarchy        else '' " />
    <xsl:variable name="invalid-domain" select="if ($invalid-hierarchy != '' and $invalid-refset != '') then concat($invalid-hierarchy, ' OR ', $invalid-refset)        else if ($invalid-hierarchy != '') then $invalid-hierarchy        else if ($invalid-refset != '') then $invalid-refset        else '' " />
    <xsl:variable name="filter-text" select="if ($use-revised-text-3) then $der-revised-text-3 else if ($use-revised-text-2) then $der-revised-text-2         else if ($use-revised-text-1) then $der-revised-text-1 else $der-text " />
    <xsl:variable name="der-subs-codes-4" select="if ($ts-not-needed or $valid-subs-4 or $invalid-domain = '') then ()        else if (exists($related-terms-2)) then $related-terms-2        else distinct-values((tokenize(replace(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          $invalid-domain, $filter-text, 'default'), '(\[.*?\])(\||$)', '$2'), '\|'), $der-inactive-codes-3)) " />
    <xsl:variable name="error-usingTS-4" select="$error-usingTS-3 or 'Error' = $der-subs-codes-4 " />
    <xsl:variable name="invalid-subs-codes-r" select="if ($ts-not-needed or $valid-subs-4 or $error-usingTS-4 or not(exists($der-subs-codes-4))) then ()        else if ($invalid-refset = '') then tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-subs-codes-4, ' OR '), ') AND (', $inactive-refSets, ')'), '',           string(count($der-subs-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')        else tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-subs-codes-4, ' OR '), ') AND (', $invalid-refset, ' OR ', $inactive-refSets, ')'), '',           string(count($der-subs-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')  " />
    <xsl:variable name="error-usingTS-5" select="$error-usingTS-4 or 'Error' = $invalid-subs-codes-r " />
    <xsl:variable name="der-subs-codes-4-h" select="if ($error-usingTS-5) then () else $der-subs-codes-4[not(. = $invalid-subs-codes-r)]" />
    <xsl:variable name="invalid-subs-codes-h" select="if ($ts-not-needed or $valid-subs-4 or 'Error' = $der-subs-codes-4 or $subs-invalid-hierarchy = '' or not(exists($der-subs-codes-4-h))) then ()        else (for $code in $der-subs-codes-4-h return          if (dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;&gt;', $code, ' MINUS ', $subs-invalid-hierarchy), '', '1', false()) = '') then $code else '')[. != ''] " />
    <xsl:variable name="invalid-subs-codes" select="($invalid-subs-codes-h, $invalid-subs-codes-r) " />
    <xsl:variable name="der-subs-codes-5" select="$der-subs-codes-4[not(. = $invalid-subs-codes or . = 'Error')]" />
    <xsl:variable name="der-valid-codes-4" select="if ($der-valid-codes-3 != '') then $der-valid-codes-3        else if ($ts-not-needed or $valid-subs-4 or $valid-domain = '' or not(exists($der-subs-codes-5))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-subs-codes-5, ' OR '), ') AND ', $valid-domain), '', string(count($der-subs-codes-5)), false()) " />
    <xsl:variable name="error-usingTS-6" select="$error-usingTS-5 or 'Error' = $der-valid-codes-4 " />
    <xsl:variable name="valid-subs-5" select="$valid-subs-4 or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="undetermined-subs-1" select="$der-subs-codes-5[not(. = tokenize(replace($der-valid-codes-4,  '(\[.*?\])(\||$)', '$2'), '\|'))]" />
    <xsl:variable name="undetermined-inactive-1" select="for $i in (1 to count($undetermined-subs-1)) return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $undetermined-subs-1[$i], '', '1', false()) " />
    <xsl:variable name="error-usingTS-7" select="$error-usingTS-6 or 'Error' = $undetermined-inactive-1 " />
    <xsl:variable name="undetermined-inactive" select="(for $i in (1 to count($undetermined-subs-1)) return         if (contains($undetermined-inactive-1[$i], '~inactive')) then $undetermined-inactive-1[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-1" select="for $i in (1 to count($undetermined-inactive))        return dh:IsCodeAssociatedWithAnotherCode(replace($undetermined-inactive[$i], '(\[.*?\])(\||$)', '$2'), '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-2" select="$error-usingV-1 or 'Error' = $undetermined-NAF-1 " />
    <xsl:variable name="undetermined-NAF" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-codes" select="for $term in $undetermined-NAF return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-NAF-active" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound~active')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-active-codes" select="for $term in $undetermined-NAF-active return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-subs" select="$undetermined-subs-1[not(. = ($undetermined-NAF-codes, $undetermined-NAF-active-codes))]" />
    <xsl:variable name="invalid-subs" select="not($valid-subs-5) and exists($invalid-subs-codes) and not(exists($undetermined-subs))" />
    <xsl:variable name="a-sas-tgi" select="if ($a-sas-tgi-1) then true()        else if ($a-vaccine or $valid-subs-5 or $invalid-subs or not($use-revised-text-2) or $tgi-sas-regex = '') then false()        else matches($der-revised-text-2, $tgi-sas-regex, 'is')" />
    <xsl:variable name="an-uncoded-tgi" select="if ($an-uncoded-tgi-1) then true()        else if ($a-vaccine or $valid-subs-5 or $invalid-subs or not($use-revised-text-2) or $tgi-otheru-regex = '' or $a-sas-tgi) then false()        else matches($der-revised-text-2, $tgi-otheru-regex, 'is')" />
    <xsl:variable name="an-obsolete-tgi" select="if ($an-obsolete-tgi-1) then true()        else if ($a-vaccine or $valid-subs-5 or $invalid-subs or not($use-revised-text-2) or $tgi-obsolete-regex = '' or $a-sas-tgi or          $an-uncoded-tgi) then false()        else matches($der-text, $tgi-obsolete-regex, 'is')" />
    <xsl:variable name="valid-subs-6" select="$valid-subs-5 or $a-sas-tgi or $an-uncoded-tgi or $an-obsolete-tgi " />
    <xsl:variable name="codes-were-found" select="exists($der-subs-codes-4) or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="codes-not-found" select="not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-subs-6 or $invalid-subs) " />
    <xsl:variable name="codes-in-the-domain" select="not($valid-subs-1) and $valid-subs-5" />
    <xsl:variable name="codes-in-other-domain" select="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-subs-6 or $invalid-subs or         $error-usingTS-7) " />
    <xsl:variable name="codes-in-no-domain" select="exists($der-subs-codes-5) " />
    <xsl:variable name="display-in-the-domain" select="if ($codes-in-the-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', '), '''')        else '' " />
    <xsl:variable name="display-in-other-r" select="if (exists($invalid-subs-codes-r) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-subs-codes-r return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-h" select="if (exists($invalid-subs-codes-h) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-subs-codes-h return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-domain" select="if (not($codes-in-other-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))) then ''        else if ($display-in-other-r and display-in-other-h) then concat('''', $display-in-other-r, ', ', $display-in-other-h, '''')        else if ($display-in-other-r) then concat('''', $display-in-other-r, '''')        else if ($display-in-other-h) then concat('''', $display-in-other-h, '''')        else '' " />
    <xsl:variable name="display-in-no-domain" select="if ($codes-in-no-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', dh:XQueryRecursiveReplace(string-join(for $code in $der-subs-codes-5 return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), '; '),          $term-pattern-replacement, 'ic'), '''')        else '' " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))        else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="log-concepts-appended" select="if ($error-usingTS-7 or not($flags/@report-terminology-concepts = 'true') or $log-concepts-name = '') then ''        else if ($codes-not-found and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                   'Substance/Agent',   $log-tab,                   'yes',     $log-tab,                   concat($display-code, $display-system), $log-tab,                   '',     $log-tab,                  '',     $log-tab,                  '',     $log-tab,                  $ts-current-sctau   ))        else if (($use-revised-text-3 or $codes-in-no-domain) and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                  'Substance/Agent',   $log-tab,                   'yes',     $log-tab,                     concat($display-code, $display-system), $log-tab,                    $display-in-the-domain,   $log-tab,                  $display-in-other-domain,  $log-tab,                  $display-in-no-domain,   $log-tab,                  $ts-current-sctau   ))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <!--REPORT -->
    <xsl:if test=" $log-concepts-appended = ('NOTFOUND', 'ERROR') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$log-concepts-appended = ('NOTFOUND', 'ERROR')">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Subs-Defn): The AppendLog function returned '<xsl:text /><xsl:value-of select="$log-concepts-appended" /><xsl:text />' when requested to append the concepts log
		'<xsl:text /><xsl:value-of select="$log-concepts-name" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-subs-6) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-subs-6)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Subs-Defn): An unexpected problem occurred when assessing the value of the Substance/Agent
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. The application of regular expressions resulted in the complete loss of text.
		Report the information below to the Australian Digital Health Agency for investigation.

		der-text-1 '<xsl:text /><xsl:value-of select="normalize-space(dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'))" /><xsl:text />'.
		der-text-2a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-2a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-a, $term-pattern-replacement, 'ic')" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingV-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingV-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Subs-Defn): An error was reported when accessing the terminology server when assessing the Substance/Agent data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		Report the issue to the Australian Digital Health Agency for investigation stating the error was recorded for error-usingV-2.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-7 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-7">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Subs-Defn): An error was reported when accessing the terminology server when assessing the Substance/Agent data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term:
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The analysis should be retried as the terminology server may have been temporarily unavailable.
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation, stating that the error was found by
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'error-usingTS-1' else if ($error-usingTS-2-a) then 'error-usingTS-2-a'   else if ($error-usingTS-2-b) then 'error-usingTS-2-b' else if ($error-usingTS-2-c) then 'error-usingTS-2-c'   else if ($error-usingTS-2-d) then 'error-usingTS-2-d' else if ($error-usingTS-2) then 'error-usingTS-2'   else if ($error-usingTS-3) then 'error-usingTS-3' else if ($error-usingTS-4) then 'error-usingTS-4'   else if ($error-usingTS-5) then 'error-usingTS-5' else if ($error-usingTS-6) then 'error-usingTS-6'   else 'error-usingTS-7' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not($codes-were-found) and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not($codes-were-found) and $codes-not-found">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the substance, agent, or a class of substance,         that is considered to be responsible for the adverse reaction.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.7 of the Adverse Reaction Detailed Clinical Model Specification v3.3, which allows more         reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$codes-in-other-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$codes-in-other-domain">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value does not seem to be applicable for the data element.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the substance, agent, or a class of substance,         that is considered to be responsible for the adverse reaction.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'exclusion' = 'allowed' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'exclusion' = 'allowed' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Substance/Agent
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the substance, agent, or a class of substance,         that is considered to be responsible for the adverse reaction.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Substance/Agent data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'exclusion' = 'exclusion' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'exclusion' = 'exclusion' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Substance/Agent
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the substance, agent, or a class of substance,         that is considered to be responsible for the adverse reaction.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Substance/Agent data element must have a value that is consistent with this definition. Alternatively if there is no Substance/Agent data element with a proper value then an exclusion
		statement must be included to state why there is no Substance/Agent. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4')    then concat('Text such as ''', dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'), ''' may be permitted in the narrative even though the Substance/Agent data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'exclusion' = 'unknown' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'exclusion' = 'unknown' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Substance/Agent
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the substance, agent, or a class of substance,         that is considered to be responsible for the adverse reaction.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Substance/Agent data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($der-text-non-value) and $der-invalid-text ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($der-text-non-value) and $der-invalid-text">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid. <xsl:text /><xsl:value-of select="$defn-invalid-rsn" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the substance, agent, or a class of substance,         that is considered to be responsible for the adverse reaction.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $invalid-subs and not($error-usingTS-7) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$invalid-subs and not($error-usingTS-7)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid
		<xsl:text /><xsl:value-of select="if (exists($invalid-subs-codes-h)) then concat(' as it describes ', string-join(distinct-values(for $code in tokenize(replace(   dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat('(', string-join(for $code in $invalid-subs-codes-h return concat('&gt;&gt;', $code), ' OR '), ') AND (',    string-join(for $hierarchy in $cd-definitions/subs/subs-invalid/hierarchy return $hierarchy/@code, ' OR '), ')'), '',    string(count($invalid-subs-codes-h)), true()), '(\[.*?\])(\||$)', '$2'), '\|') return    $cd-definitions/subs/subs-invalid/hierarchy[@code = $code]/@description)[position() = (1 to 2)], ' and '), '.')    else if (exists($invalid-subs-codes-r)) then concat(' as it describes ', string-join(distinct-values(for $code in $invalid-subs-codes-r return   $cd-definitions/subs/subs-invalid/refset[index-of(for $x in (for $refset in $cd-definitions/subs/subs-invalid/refset return    dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat($code, ' AND ^', $refset/@code), '', '1', true()), '|') return matches($x, '^[0-9]'), true())[1]]/@description), ' and '), '.')   else '.'" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the substance, agent, or a class of substance,         that is considered to be responsible for the adverse reaction.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable outside the applicable value domain): The Substance/Agent
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following codes were obtained and are not in the value domain: <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-Subs-Defn): The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU and no associated code was found in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists(($der-NAF-active-codes, $undetermined-NAF-active-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists(($der-NAF-active-codes, $undetermined-NAF-active-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-Subs-Defn): The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-active-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the
		'<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' version of SNOMED CT-AU but it was not found with this status in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU. <xsl:text /><xsl:value-of select="if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and ($valid-subs-1 or (not($valid-subs-5) and $valid-subs-6)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and ($valid-subs-1 or (not($valid-subs-5) and $valid-subs-6))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable within the value domain): The Substance/Agent
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which matches one of the terms listed in Knowledge.xml for the Substance/Agent.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (concept is codeable within the value domain): The Substance/Agent
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a valid value for the Substance/Agent.
		SNOMED CT-AU codes that matched the concept are: <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-subs-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-subs-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The text used to match regular expression (der-text-2) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to match non-values and vaccines (der-text-to-match) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-to-match, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to derive a code (der-text) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.

		<xsl:text /><xsl:value-of select="if ($use-revised-text-1) then concat(' A first revision of the text (der-revised-text-1) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-1, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A first revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-1 != '' and $der-revised-text-1 = '') then ' revision-pattern-1 was applied but the output (der-revised-text-1) was an empty string.' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($use-revised-text-2) then concat(' A second revision of the text (der-revised-text-2) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A second revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-2 != '' and $der-revised-text-2 = '') then ' revision-pattern-2 was applied but the output (der-revised-text-2) was an empty string.' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($use-revised-text-3) then concat(' A third revision of the text (der-revised-text-3) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-3, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A third revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-3 != '' and $der-revised-text-3 = '') then ' revision-pattern-3 was applied but the output (der-revised-text-3) was an empty string.' else '' " /><xsl:text />

		The SNOMED CT-AU version used to find codes is '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' and the maximum code number is '<xsl:text /><xsl:value-of select="$max-code-number" /><xsl:text />'.

		Codes for related terms (related-terms-2): '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($related-terms-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes for related terms (der-valid-codes-1): 
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-1, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-subs-codes-2) returned by the terminology server that match the text:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-subs-codes-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes from related terms or the terminology server (der-valid-codes-2):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-2, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-inactive-codes-3) returned from the Validator's database associated with inactive codes:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-inactive-codes-3, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes found after examining inactive codes (der-valid-codes-3):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-3, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Members of invalid reference sets (invalid-subs-codes-r): '<xsl:text /><xsl:value-of select="$display-in-other-r" /><xsl:text />'.
		Members of invalid code hierarchies (invalid-subs-codes-h): '<xsl:text /><xsl:value-of select="$display-in-other-h" /><xsl:text />'.

		Final set of valid codes (der-valid-codes-4):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		
		Codes whose validity has not been determined (der-subs-codes-5):  <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.
		Codes whose validity has not been determined and are inactive with no associated code (undetermined-NAF): '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(    string-join($undetermined-NAF, ''', '''), $markup-pattern-replacement, 'ic')" /><xsl:text />'.

		Will the value of the data element be trusted (der-trusted-text)? '<xsl:text /><xsl:value-of select="$der-trusted-text" /><xsl:text />'.
		
	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and $codes-not-found">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept not codeable): The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($avoid-ts) then 'The terminology server was not used to assist with finding codes corresponding to text in the data element. ' else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M93" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M93" />
  <xsl:template match="@*|node()" priority="-2" mode="M93">
    <xsl:apply-templates select="@*|*" mode="M93" />
  </xsl:template>
  <!--PATTERN p-TS-Adverse-CodeableText-10-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '101.20113' = $doc-sections][not(cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')  or   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.3')  or   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')  or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2')  ])]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/cda:entry/cda:act[cda:code   [@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:participant[@typeCode='CAGNT']/cda:participantRole/cda:playingEntity/cda:code   [@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " priority="1000" mode="M94">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '101.20113' = $doc-sections][not(cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')  or   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.3')  or   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')  or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2')  ])]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/cda:entry/cda:act[cda:code   [@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:participant[@typeCode='CAGNT']/cda:participantRole/cda:playingEntity/cda:code   [@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="pnullFlavor" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @nullFlavor) then @nullFlavor else '' " />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-p-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then false()        else if ($psnomed-id = 'amtv3' and @codeSystemVersion) then exists($v-amtv3[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($psnomed-id = 'snomedctau' and @codeSystemVersion) then exists($v-snomedctau[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false() " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and $pcode != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used to assess the primary code.') " />
    <xsl:variable name="pcode-refsets-1" select="if (@codeSystem = '2.16.840.1.113883.6.96' and not($pcode = ''))         then dh:FindValueDomainsForCode($pcode, '2.16.840.1.113883.6.96', $v-psnomed-version) else 'no-code' " />
    <xsl:variable name="pcode-found" select="not($pcode-refsets-1 = 'no-code' or $pcode-refsets-1 = 'CodeNotFound' or $pcode-refsets-1 = 'Error'        or contains($pcode-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="pcode-refsets" select="if ($pcode-found) then distinct-values(tokenize($pcode-refsets-1, '\|')) else () " />
    <xsl:variable name="pcode-special-proc" select="count($pcode-refsets) = 1 and 'Procedure Foundation (PF)' = $pcode-refsets and not($pnullFlavor = 'OTH') " />
    <xsl:variable name="pcode-refsets-msg" select="if (count($pcode-refsets) = 0) then ''         else if (count($pcode-refsets) = 1) then concat('The code is a member of the ', $pcode-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($pcode-refsets, ', '), '.') " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))         else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-1" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="snomed-trans-2" select="distinct-values(for $i in (1 to count($snomed-trans-1)) return $snomed-trans-1[$i]/@code) " />
    <xsl:variable name="snomed-trans-a" select="$snomed-trans-1[1] " />
    <xsl:variable name="tcode-a" select="if (exists($snomed-trans-a) and matches($snomed-trans-a/@code, $snomed-code-regex)) then $snomed-trans-a/@code else '' " />
    <xsl:variable name="tnullFlavor-a" select="if (exists($snomed-trans-a) and $snomed-trans-a/@nullFlavor) then $snomed-trans-a/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-a" select="if (not(exists($snomed-trans-a))) then 'not-snomed'        else if (not($snomed-trans-a/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-a/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-a" select="if (not(exists($snomed-trans-a))) then ''        else if ($tsnomed-id-a = 'amtv3' and exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-a = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-a/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-a" select="if (not(exists($snomed-trans-a))) then false()        else if ($tsnomed-id-a = 'amtv3' and $snomed-trans-a/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-a = 'snomedctau' and $snomed-trans-a/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-a-msg" select="if (not(exists($snomed-trans-a))) then ''        else if (not($snomed-trans-a/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-a, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-a = 'amtv3') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-a = 'snomedctau') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-a/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-a, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-a/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-a-refsets-1" select="if (exists($snomed-trans-a) and not($tcode-a = ''))         then dh:FindValueDomainsForCode($tcode-a, '2.16.840.1.113883.6.96', $v-tsnomed-version-a) else 'no-code' " />
    <xsl:variable name="tcode-a-found" select="not($tcode-a-refsets-1 = 'no-code' or $tcode-a-refsets-1 = 'CodeNotFound' or $tcode-a-refsets-1 = 'Error'         or contains($tcode-a-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-a-refsets" select="if ($tcode-a-found) then distinct-values(tokenize($tcode-a-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-a-special-proc" select="count($tcode-a-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-a-refsets and not($tnullFlavor-a = 'OTH') " />
    <xsl:variable name="tcode-a-refsets-msg" select="if (count($tcode-a-refsets) = 0) then ''         else if (count($tcode-a-refsets) = 1) then concat('The code is a member of the ', $tcode-a-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-a-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@code and $snomed-trans-a/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-a/@displayName, codepoints-to-string(34))         else if ($snomed-trans-a/@code and not($snomed-trans-a/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@codeSystem and $snomed-trans-a/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-a/@codeSystemName, ')')         else if ($snomed-trans-a/@codeSystem and not($snomed-trans-a/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-b" select="(for $i in (2 to count($snomed-trans-1)) return if ($snomed-trans-1[$i]/@code != $snomed-trans-a/@code) then $snomed-trans-1[$i] else ())[1] " />
    <xsl:variable name="tcode-b" select="if (exists($snomed-trans-b) and matches($snomed-trans-b/@code, $snomed-code-regex)) then $snomed-trans-b/@code else '' " />
    <xsl:variable name="tnullFlavor-b" select="if (exists($snomed-trans-b) and $snomed-trans-b/@nullFlavor) then $snomed-trans-b/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-b" select="if (not(exists($snomed-trans-b))) then 'not-snomed'        else if (not($snomed-trans-b/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-b/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-b" select="if (not(exists($snomed-trans-b))) then ''        else if ($tsnomed-id-b = 'amtv3' and exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-b = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-b/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-b" select="if (not(exists($snomed-trans-b))) then false()        else if ($tsnomed-id-b = 'amtv3' and $snomed-trans-b/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-b = 'snomedctau' and $snomed-trans-b/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-b-msg" select="if (not(exists($snomed-trans-b))) then ''        else if (not($snomed-trans-b/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-b, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-b = 'amtv3') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-b = 'snomedctau') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-b/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-b, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-b/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-b-refsets-1" select="if (exists($snomed-trans-b) and not($tcode-b = ''))         then dh:FindValueDomainsForCode($tcode-b, '2.16.840.1.113883.6.96', $v-tsnomed-version-b) else 'no-code' " />
    <xsl:variable name="tcode-b-found" select="not($tcode-b-refsets-1 = 'no-code' or $tcode-b-refsets-1 = 'CodeNotFound' or $tcode-b-refsets-1 = 'Error'         or contains($tcode-b-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-b-refsets" select="if ($tcode-b-found) then distinct-values(tokenize($tcode-b-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-b-special-proc" select="count($tcode-b-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-b-refsets and not($tnullFlavor-b = 'OTH') " />
    <xsl:variable name="tcode-b-refsets-msg" select="if (count($tcode-b-refsets) = 0) then ''         else if (count($tcode-b-refsets) = 1) then concat('The code is a member of the ', $tcode-b-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-b-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@code and $snomed-trans-b/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-b/@displayName, codepoints-to-string(34))         else if ($snomed-trans-b/@code and not($snomed-trans-b/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@codeSystem and $snomed-trans-b/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-b/@codeSystemName, ')')         else if ($snomed-trans-b/@codeSystem and not($snomed-trans-b/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-60" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-60 else $rating-alt-TC-Types-60 " />
    <!--REPORT -->
    <xsl:if test=" $pcode-found and $pcode-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pcode-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD (p-TS-CD-SCT-RefSet): An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$pcode" /><xsl:text />',
		codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-psnomed-version" /><xsl:text />'. This error occurred when assessing the Substance/Agent data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. The value is not valid for the data element as it describes a medical
		procedure and not a medical problem or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the substance, agent, or a class of substance,         that is considered to be responsible for the adverse reaction.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and   not(exists(index-of(for $refset in ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and not(exists(index-of(for $refset in ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the code is not a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Adverse Reaction Agent (Concept Id: 142321000036106), Substance Foundation (Concept Id: 32570211000036100),         Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102),         Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the         Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the ADVERSE REACTION section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and   not(exists(index-of(for $refset in ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and not(exists(index-of(for $refset in ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Adverse Reaction Agent (Concept Id: 142321000036106), Substance Foundation (Concept Id: 32570211000036100),         Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102),         Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the         Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the ADVERSE REACTION section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and   exists(index-of(for $refset in ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and exists(index-of(for $refset in ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Adverse Reaction Agent (Concept Id: 142321000036106), Substance Foundation (Concept Id: 32570211000036100),         Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102),         Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the         Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the ADVERSE REACTION section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and   exists(index-of(for $refset in ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and exists(index-of(for $refset in ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. Confirm if the code is a member of the value domain.
		If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Adverse Reaction Agent (Concept Id: 142321000036106), Substance Foundation (Concept Id: 32570211000036100),         Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102),         Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the         Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the ADVERSE REACTION section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="count($snomed-trans-1)" /><xsl:text /> translation elements with
		codes and the SNOMED CT-AU codeSystem '2.16.840.1.113883.6.96'. The first two translation elements have been assessed to determine if the codes are members of the value domain
		and the others have not been assessed. Confirm if the value of the code attribute in all SNOMED CT translation elements meets the requirement that it be a member of the value domain
		if there is no nullFlavor 'OTH' or that there is a nullFlavor 'OTH' if the value of the code attribute is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Adverse Reaction Agent (Concept Id: 142321000036106), Substance Foundation (Concept Id: 32570211000036100),         Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102),         Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the         Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text /> 
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the ADVERSE REACTION section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-a" /><xsl:text />'. This error occurred when assessing the Substance/Agent data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the substance, agent, or a class of substance,         that is considered to be responsible for the adverse reaction.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and   not(exists(index-of(for $refset in ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and not(exists(index-of(for $refset in ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Adverse Reaction Agent (Concept Id: 142321000036106), Substance Foundation (Concept Id: 32570211000036100),         Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102),         Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the         Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the ADVERSE REACTION section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and   not(exists(index-of(for $refset in ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and not(exists(index-of(for $refset in ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Adverse Reaction Agent (Concept Id: 142321000036106), Substance Foundation (Concept Id: 32570211000036100),         Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102),         Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the         Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the ADVERSE REACTION section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and   exists(index-of(for $refset in ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and exists(index-of(for $refset in ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Adverse Reaction Agent (Concept Id: 142321000036106), Substance Foundation (Concept Id: 32570211000036100),         Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102),         Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the         Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the ADVERSE REACTION section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and   exists(index-of(for $refset in ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and exists(index-of(for $refset in ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Adverse Reaction Agent (Concept Id: 142321000036106), Substance Foundation (Concept Id: 32570211000036100),         Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102),         Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the         Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the ADVERSE REACTION section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-b" /><xsl:text />'. This error occurred when assessing the Substance/Agent data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> 
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the substance, agent, or a class of substance,         that is considered to be responsible for the adverse reaction.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and   not(exists(index-of(for $refset in ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and not(exists(index-of(for $refset in ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Adverse Reaction Agent (Concept Id: 142321000036106), Substance Foundation (Concept Id: 32570211000036100),         Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102),         Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the         Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the ADVERSE REACTION section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and   not(exists(index-of(for $refset in ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and not(exists(index-of(for $refset in ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Adverse Reaction Agent (Concept Id: 142321000036106), Substance Foundation (Concept Id: 32570211000036100),         Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102),         Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the         Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the ADVERSE REACTION section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and   exists(index-of(for $refset in ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and exists(index-of(for $refset in ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Adverse Reaction Agent (Concept Id: 142321000036106), Substance Foundation (Concept Id: 32570211000036100),         Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102),         Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the         Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the ADVERSE REACTION section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and   exists(index-of(for $refset in ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)',         'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and exists(index-of(for $refset in ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Adverse Reaction Agent (ARA)', 'Substance Foundation (SF)', 'Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Adverse Reaction Agent (Concept Id: 142321000036106), Substance Foundation (Concept Id: 32570211000036100),         Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102),         Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the         Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the ADVERSE REACTION section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M94" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M94" />
  <xsl:template match="@*|node()" priority="-2" mode="M94">
    <xsl:apply-templates select="@*|*" mode="M94" />
  </xsl:template>
  <!--PATTERN p-TS-Adverse-CodeableText-11-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '101.20113' = $doc-sections][cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3') ]]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/cda:entry/cda:act[cda:code   [@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:participant[@typeCode='CAGNT']/cda:participantRole/cda:playingEntity/cda:code   [(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-subs-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])]   [not(@nullFlavor = $no-value-NF)] " priority="1000" mode="M95">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '101.20113' = $doc-sections][cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3') ]]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/cda:entry/cda:act[cda:code   [@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:participant[@typeCode='CAGNT']/cda:participantRole/cda:playingEntity/cda:code   [(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-subs-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])]   [not(@nullFlavor = $no-value-NF)] " />
    <xsl:variable name="pcode" select="if ('2.16.840.1.113883.6.96' = $defn-subs-trusted and         @codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="snomed-trans" select="if ('2.16.840.1.113883.6.96' = $defn-subs-trusted and cda:translation)         then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="tcode" select="if (exists($snomed-trans[1]) and matches($snomed-trans[1]/@code, $snomed-code-regex)) then $snomed-trans[1]/@code else '' " />
    <xsl:variable name="code-present" select="$pcode != '' or $tcode != '' " />
    <xsl:variable name="invalid-code-system" select="@code and @displayName and @codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="codesystemvalues" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']" />
    <xsl:variable name="otext-without-markup" select="if (cda:originalText and cda:originalText != '') then normalize-space(replace(cda:originalText, $markup-regex, ' ')) else '' " />
    <xsl:variable name="pdname" select="if (@displayName and not($invalid-code-system)) then normalize-space(@displayName) else '' " />
    <xsl:variable name="max-code-number" select="if ($knowledge/search-for-term/max-sct-code-number/@value &gt; '5') then $knowledge/search-for-term/max-sct-code-number/@value else '5' " />
    <xsl:variable name="der-text-1" select="if ($code-present) then ''         else if ($otext-without-markup != '') then $otext-without-markup        else if ($pdname != '') then $pdname        else '' " />
    <xsl:variable name="der-text-2a" select="if ($der-text-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-text-1, $subs-fir-pattern-replacement, 'ic')) " />
    <xsl:variable name="der-text-2" select="if ($der-text-2a = '') then $der-text-1 else $der-text-2a " />
    <xsl:variable name="family-err" select="matches($der-text-1, $family-regex, 'i')" />
    <xsl:variable name="length-err" select="string-length($der-text-1) &gt; $length-err-max" />
    <xsl:variable name="avoid-ts" select="$family-err or $length-err or not($use-ts-for-sctau) " />
    <xsl:variable name="der-text-a" select="if ($der-text-2 = '') then $der-text-2        else if ($subs-regex = '') then normalize-space($der-text-2)        else normalize-space(dh:XQueryRecursiveReplace($der-text-2, $subs-regex, 'ic')) " />
    <xsl:variable name="der-text" select="if ($der-text-a = '') then $der-text-2 else $der-text-a " />
    <xsl:variable name="defn-valid-regex" select="concat('(^|\|)', translate($der-text-2, $chars-to-remove, ''), '(\||$)') " />
    <xsl:variable name="der-text-to-match-1" select="lower-case($der-text-2) " />
    <xsl:variable name="der-text-to-match" select="translate($der-text-to-match-1, $chars-to-remove, '') " />
    <xsl:variable name="der-text-non-value" select="if ($code-present or @nullFlavor = $no-value-NF) then false() else         $der-text-to-match = ''              or         not(matches($der-text-to-match-1, '[a-z]', 'i'))          or        ($cd-definitions/non-value/@regex != '' and matches($der-text-to-match-1, $cd-definitions/non-value/@regex, 'i'))  or        (exists($cd-definitions/subs/@non-value-regex) and matches($der-text-to-match-1, $cd-definitions/subs/@non-value-regex, 'i')) " />
    <xsl:variable name="defn-invalid-regex" select="if ($code-present or $der-text-non-value) then ()        else if ($cd-definitions/subs/@invalid-regex) then tokenize($cd-definitions/subs/@invalid-regex, '~')[. != '']         else () " />
    <xsl:variable name="defn-invalid-txt-regex" select="(for $i in (1 to count($defn-invalid-regex)) return normalize-space(substring-before($defn-invalid-regex[$i], '[[')))[. != '']" />
    <xsl:variable name="der-invalid-text-regex-1" select="if (exists($defn-invalid-txt-regex))        then index-of(for $i in (1 to count($defn-invalid-txt-regex)) return matches($der-text-2, $defn-invalid-txt-regex[$i], 'i'), true())        else () " />
    <xsl:variable name="der-invalid-text" select="exists($der-invalid-text-regex-1) " />
    <xsl:variable name="defn-invalid-rsn" select="if ($der-invalid-text)         then normalize-space(substring-before(substring-after($defn-invalid-regex[$der-invalid-text-regex-1[1]], '[['), ']]'))         else '' " />
    <xsl:variable name="trusted-code-systems" select="if ($der-text = '' or $der-invalid-text or not(@codeSystem or cda:translation/@codeSystem)) then ()        else (tokenize(replace($cd-definitions/subs/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/subs/@extra, '\s+', ''), '\|'))[. != ''] " />
    <xsl:variable name="der-trusted-text" select="if ($der-text = '' or $der-invalid-text or (@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex)))) then false()        else ((@codeSystem and exists($trusted-code-systems[. = current()/@codeSystem])) or               (cda:translation/@codeSystem and exists($trusted-code-systems[. = current()/cda:translation/@codeSystem]))) " />
    <xsl:variable name="a-vaccine" select="not($code-present or $der-text = '' or $der-text-non-value or $der-invalid-text) and         exists($vaccine-text-normalised) and $der-text-to-match = $vaccine-text-normalised " />
    <xsl:variable name="a-sas-tgi-1" select="not($code-present or $der-text = '' or $der-text-non-value or $der-invalid-text or $a-vaccine) and $tgi-sas-regex != '' and         matches($der-text, $tgi-sas-regex, 'is')" />
    <xsl:variable name="an-uncoded-tgi-1" select="not($code-present or $der-text = '' or $der-text-non-value or $der-invalid-text or $a-vaccine or $a-sas-tgi-1) and         $tgi-otheru-regex != '' and matches($der-text, $tgi-otheru-regex, 'is')" />
    <xsl:variable name="an-obsolete-tgi-1" select="not($code-present or $der-text = '' or $der-text-non-value or $der-invalid-text or $a-vaccine or $a-sas-tgi-1 or $an-uncoded-tgi-1) and         $tgi-obsolete-regex != '' and matches($der-text, $tgi-obsolete-regex, 'is')" />
    <xsl:variable name="valid-subs-1" select="if ($a-vaccine or $a-sas-tgi-1 or $an-uncoded-tgi-1 or $an-obsolete-tgi-1) then true()        else if ($code-present or $der-text = '' or $der-text-non-value or $der-invalid-text or $a-vaccine or $a-sas-tgi-1 or $an-uncoded-tgi-1 or         not($cd-definitions/subs/@valid-regex)) then false()        else exists(index-of(for $regex in (tokenize($cd-definitions/subs/@valid-regex, '~')[. != '']) return          matches($der-text-2, dh:XQueryRecursiveReplace(normalize-space($regex), ' \|~|~\| ~|', ''), 'is'), true())) or         ($cd-definitions/meds/@valid-regex and exists(index-of(for $regex in (tokenize($cd-definitions/meds/@valid-regex, '~')[. != '']) return           matches($der-text-2, dh:XQueryRecursiveReplace(normalize-space($regex), ' \|~|~\| ~|', ''), 'is'), true()))) " />
    <xsl:variable name="invalid-hierarchy-1" select="if (exists($cd-definitions/subs/subs-invalid/hierarchy))         then string-join(for $hierarchy in $cd-definitions/subs/subs-invalid/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-refset" select="if (exists($cd-definitions/subs/subs-invalid/refset))          then string-join(for $refset in $cd-definitions/subs/subs-invalid/refset return concat('^', $refset/@code), ' OR ')         else '' " />
    <xsl:variable name="valid-refset" select="concat('(', $tgi-formula, ' OR ^142321000036106 OR ^32570211000036100 OR &lt;71181003 OR &lt;763158003)')" />
    <xsl:variable name="valid-domain" select="if ($invalid-refset != '' and $invalid-hierarchy-1 != '')         then concat('((', $valid-refset, ') MINUS (', $invalid-refset, ' OR (', $invalid-hierarchy-1, ')))')        else if ($invalid-refset = '' and $invalid-hierarchy-1 != '') then concat('((', $valid-refset, ') MINUS (', $invalid-hierarchy-1, '))')         else if ($invalid-refset != '' and $invalid-hierarchy-1 = '') then concat('((', $valid-refset, ') MINUS (', $invalid-refset, '))')        else concat('(', $valid-refset, ')') " />
    <xsl:variable name="related-terms-1" select="if ($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-subs-1) then ()        else ($codesystemvalues/code[@related-terms], $codesystemvalues/related-terms[@related-terms]) " />
    <xsl:variable name="related-terms-2" select="for $i in index-of(        for $concept in $related-terms-1 return matches(translate($concept/@related-terms, $chars-no-pipe, ''), $defn-valid-regex, 'i'), true())         return $related-terms-1[$i]/@code " />
    <xsl:variable name="der-subs-codes-1" select="if (exists($related-terms-2)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($related-terms-2, ' OR '), ') AND ', $valid-domain), '', string(count($related-terms-2)), false())        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $der-subs-codes-1 " />
    <xsl:variable name="der-valid-codes-1" select="if (contains($der-subs-codes-1, '[')) then $der-subs-codes-1 else '' " />
    <xsl:variable name="valid-subs-2" select="$valid-subs-1 or $der-valid-codes-1 != '' " />
    <xsl:variable name="subs-inactive-refSets" select="if (exists($cd-definitions/subs/subs-invalid/inactive-refset))         then concat('((', $inactive-refSets, ') MINUS (',           string-join(for $refset in $cd-definitions/subs/subs-invalid/inactive-refset return concat('^', $refset/@code), ' OR '),          '))')         else $inactive-refSets " />
    <xsl:variable name="formula" select="concat($valid-domain, ' OR ', $subs-inactive-refSets) " />
    <xsl:variable name="ts-not-needed" select="$der-text = '' or $der-text-non-value or $der-invalid-text or $valid-subs-2 or $avoid-ts " />
    <xsl:variable name="der-subs-codes-2-a" select="if ($ts-not-needed or exists($related-terms-2)) then ()         else tokenize(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-text,          'default'), '\|') " />
    <xsl:variable name="error-usingTS-2-a" select="$error-usingTS-1 or 'Error' = $der-subs-codes-2-a " />
    <xsl:variable name="revision-pattern-1" select="if ($ts-not-needed or $valid-subs-2 or exists($der-subs-codes-2-a) or $error-usingTS-2-a or exists($related-terms-2)) then ''        else '(^|[^a-z])(agents?|related agents?)([^a-z]|$)~$1 $3' " />
    <xsl:variable name="der-revised-text-1" select="if ($revision-pattern-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-text, $revision-pattern-1, 'ic')) " />
    <xsl:variable name="use-revised-text-1" select="$der-revised-text-1 != '' and $der-revised-text-1 != $der-text " />
    <xsl:variable name="der-subs-codes-2-b" select="if ($ts-not-needed or exists($der-subs-codes-2-a) or not($use-revised-text-1)) then $der-subs-codes-2-a         else tokenize(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-1,          'default'), '\|') " />
    <xsl:variable name="error-usingTS-2-b" select="$error-usingTS-2-a or 'Error' = $der-subs-codes-2-b " />
    <xsl:variable name="revision-pattern-2" select="if ($ts-not-needed or $valid-subs-2 or exists($der-subs-codes-2-b) or $error-usingTS-2-b or exists($related-terms-2)) then ''        else concat($tgi-fir-pattern-replacement, '~', $tgi-regex, '~', $tgi-sec-pattern-replacement, '~', $tgi-thi-pattern-replacement) " />
    <xsl:variable name="der-revised-text-2" select="if ($revision-pattern-2 = '') then '' else normalize-space(dh:XQueryRecursiveReplace(if ($use-revised-text-1) then $der-revised-text-1 else $der-text,          $revision-pattern-2, 'ic')) " />
    <xsl:variable name="use-revised-text-2" select="if ($use-revised-text-1) then $der-revised-text-2 != '' and $der-revised-text-2 != $der-revised-text-1         else $der-revised-text-2 != '' and $der-revised-text-2 != $der-text " />
    <xsl:variable name="der-subs-codes-2-c" select="if ($ts-not-needed or exists($der-subs-codes-2-b) or not($use-revised-text-2)) then $der-subs-codes-2-b        else tokenize(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-2,          'default'), '\|') " />
    <xsl:variable name="error-usingTS-2-c" select="$error-usingTS-2-b or 'Error' = $der-subs-codes-2-c " />
    <xsl:variable name="revision-pattern-3" select="if ($ts-not-needed or $valid-subs-2 or exists($der-subs-codes-2-c) or $error-usingTS-2-c or exists($related-terms-2)) then ''        else '([a-z]{3,})[a-z]{1}($|[^a-z])~$1$2~(^|[^a-z])[a-z]{1}([^a-z]|$)~$1$2' " />
    <xsl:variable name="der-revised-text-3" select="if ($revision-pattern-3 = '') then '' else normalize-space(dh:XQueryRecursiveReplace(        if ($use-revised-text-2) then $der-revised-text-2 else if ($use-revised-text-1) then $der-revised-text-1 else $der-text,          $revision-pattern-3, 'ic')) " />
    <xsl:variable name="use-revised-text-3" select="if ($use-revised-text-2) then $der-revised-text-3 != '' and $der-revised-text-3 != $der-revised-text-2         else if ($use-revised-text-1) then $der-revised-text-3 != '' and $der-revised-text-3 != $der-revised-text-1         else $der-revised-text-3 != '' and $der-revised-text-3 != $der-text " />
    <xsl:variable name="der-subs-codes-2-d" select="if ($ts-not-needed or exists($der-subs-codes-2-c) or not($use-revised-text-3)) then $der-subs-codes-2-c        else tokenize(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-3,          'default'), '\|') " />
    <xsl:variable name="error-usingTS-2-d" select="$error-usingTS-2-c or 'Error' = $der-subs-codes-2-d " />
    <xsl:variable name="der-subs-codes-2" select="if ($ts-not-needed or $error-usingTS-2-d or not(exists($der-subs-codes-2-d)) or $der-valid-codes-1 != '') then ()        else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join(for $code in $der-subs-codes-2-d return replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is'), ' OR '), ') AND (',          $formula, ')'), '', string(count($der-subs-codes-2-d)), false()), '\|') " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-2-d or 'Error' = $der-subs-codes-2 " />
    <xsl:variable name="der-valid-codes-2" select="if ($der-valid-codes-1 != '') then $der-valid-codes-1        else if ($error-usingTS-2) then ''         else string-join((for $code in $der-subs-codes-2 return if (contains($code, '~inactive')) then '' else $code)[. != ''], '|')  " />
    <xsl:variable name="valid-subs-3" select="$valid-subs-2 or $der-valid-codes-2 != '' " />
    <xsl:variable name="der-inactive-codes-1" select="if ($valid-subs-3) then () else        for $code in $der-subs-codes-2 return if (contains($code, '~inactive')) then replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is') else '' " />
    <xsl:variable name="der-inactive-codes-2" select="for $i in (1 to count($der-inactive-codes-1)) return         dh:IsCodeAssociatedWithAnotherCode($der-inactive-codes-1[$i], '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-1" select="'Error' = $der-inactive-codes-2 " />
    <xsl:variable name="der-NAF-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-NAF-active-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound~active')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-inactive-codes-3" select="tokenize(string-join(for $i in (1 to count($der-inactive-codes-1)) return replace(string-join(tokenize($der-inactive-codes-2[$i], '\|')        [matches(., '(REPLACED BY|SAME AS|ALTERNATIVE|POSSIBLY EQUIVALENT TO|MAY BE A|WAS A)')], '|'), '[0-9]+~[A-Z ]+~([0-9]+)', '$1'), '|'), '\|')        [. != ''] " />
    <xsl:variable name="der-subs-codes-3" select="if (exists($der-inactive-codes-3)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($der-inactive-codes-3, ' OR '), ') AND ', $valid-domain), '', string(count($der-inactive-codes-3)), false())          else '' " />
    <xsl:variable name="error-usingTS-3" select="$error-usingTS-2 or 'Error' = $der-subs-codes-3 " />
    <xsl:variable name="der-valid-codes-3" select="if ($der-valid-codes-2 != '') then $der-valid-codes-2        else if (contains($der-subs-codes-3, '[')) then $der-subs-codes-3        else '' " />
    <xsl:variable name="valid-subs-4" select="$valid-subs-3 or $der-valid-codes-3 != '' " />
    <xsl:variable name="tbd-hierarchy" select="if (exists($cd-definitions/subs/subs-tbd/hierarchy))         then string-join(for $hierarchy in $cd-definitions/subs/subs-tbd/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-hierarchy" select="if ($invalid-hierarchy-1 != '' and $tbd-hierarchy != '') then concat($invalid-hierarchy-1, ' OR ', $tbd-hierarchy)        else if ($invalid-hierarchy-1 != '') then $invalid-hierarchy-1        else if ($tbd-hierarchy != '') then $tbd-hierarchy        else '' " />
    <xsl:variable name="invalid-domain" select="if ($invalid-hierarchy != '' and $invalid-refset != '') then concat($invalid-hierarchy, ' OR ', $invalid-refset)        else if ($invalid-hierarchy != '') then $invalid-hierarchy        else if ($invalid-refset != '') then $invalid-refset        else '' " />
    <xsl:variable name="filter-text" select="if ($use-revised-text-3) then $der-revised-text-3 else if ($use-revised-text-2) then $der-revised-text-2         else if ($use-revised-text-1) then $der-revised-text-1 else $der-text " />
    <xsl:variable name="der-subs-codes-4" select="if ($ts-not-needed or $valid-subs-4 or $invalid-domain = '') then ()        else if (exists($related-terms-2)) then $related-terms-2        else distinct-values((tokenize(replace(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          $invalid-domain, $filter-text, 'default'), '(\[.*?\])(\||$)', '$2'), '\|'), $der-inactive-codes-3)) " />
    <xsl:variable name="error-usingTS-4" select="$error-usingTS-3 or 'Error' = $der-subs-codes-4 " />
    <xsl:variable name="invalid-subs-codes-r" select="if ($ts-not-needed or $valid-subs-4 or $error-usingTS-4 or not(exists($der-subs-codes-4))) then ()        else if ($invalid-refset = '') then tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-subs-codes-4, ' OR '), ') AND (', $inactive-refSets, ')'), '',           string(count($der-subs-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')        else tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-subs-codes-4, ' OR '), ') AND (', $invalid-refset, ' OR ', $inactive-refSets, ')'), '',           string(count($der-subs-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')  " />
    <xsl:variable name="error-usingTS-5" select="$error-usingTS-4 or 'Error' = $invalid-subs-codes-r " />
    <xsl:variable name="der-subs-codes-4-h" select="if ($error-usingTS-5) then () else $der-subs-codes-4[not(. = $invalid-subs-codes-r)]" />
    <xsl:variable name="invalid-subs-codes-h" select="if ($ts-not-needed or $valid-subs-4 or 'Error' = $der-subs-codes-4 or $subs-invalid-hierarchy = '' or not(exists($der-subs-codes-4-h))) then ()        else (for $code in $der-subs-codes-4-h return          if (dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;&gt;', $code, ' MINUS ', $subs-invalid-hierarchy), '', '1', false()) = '') then $code else '')[. != ''] " />
    <xsl:variable name="invalid-subs-codes" select="($invalid-subs-codes-h, $invalid-subs-codes-r) " />
    <xsl:variable name="der-subs-codes-5" select="$der-subs-codes-4[not(. = $invalid-subs-codes or . = 'Error')]" />
    <xsl:variable name="der-valid-codes-4" select="if ($der-valid-codes-3 != '') then $der-valid-codes-3        else if ($ts-not-needed or $valid-subs-4 or $valid-domain = '' or not(exists($der-subs-codes-5))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-subs-codes-5, ' OR '), ') AND ', $valid-domain), '', string(count($der-subs-codes-5)), false()) " />
    <xsl:variable name="error-usingTS-6" select="$error-usingTS-5 or 'Error' = $der-valid-codes-4 " />
    <xsl:variable name="valid-subs-5" select="$valid-subs-4 or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="undetermined-subs-1" select="$der-subs-codes-5[not(. = tokenize(replace($der-valid-codes-4,  '(\[.*?\])(\||$)', '$2'), '\|'))]" />
    <xsl:variable name="undetermined-inactive-1" select="for $i in (1 to count($undetermined-subs-1)) return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $undetermined-subs-1[$i], '', '1', false()) " />
    <xsl:variable name="error-usingTS-7" select="$error-usingTS-6 or 'Error' = $undetermined-inactive-1 " />
    <xsl:variable name="undetermined-inactive" select="(for $i in (1 to count($undetermined-subs-1)) return         if (contains($undetermined-inactive-1[$i], '~inactive')) then $undetermined-inactive-1[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-1" select="for $i in (1 to count($undetermined-inactive))        return dh:IsCodeAssociatedWithAnotherCode(replace($undetermined-inactive[$i], '(\[.*?\])(\||$)', '$2'), '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-2" select="$error-usingV-1 or 'Error' = $undetermined-NAF-1 " />
    <xsl:variable name="undetermined-NAF" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-codes" select="for $term in $undetermined-NAF return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-NAF-active" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound~active')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-active-codes" select="for $term in $undetermined-NAF-active return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-subs" select="$undetermined-subs-1[not(. = ($undetermined-NAF-codes, $undetermined-NAF-active-codes))]" />
    <xsl:variable name="invalid-subs" select="not($valid-subs-5) and exists($invalid-subs-codes) and not(exists($undetermined-subs))" />
    <xsl:variable name="a-sas-tgi" select="if ($a-sas-tgi-1) then true()        else if ($a-vaccine or $valid-subs-5 or $invalid-subs or not($use-revised-text-2) or $tgi-sas-regex = '') then false()        else matches($der-revised-text-2, $tgi-sas-regex, 'is')" />
    <xsl:variable name="an-uncoded-tgi" select="if ($an-uncoded-tgi-1) then true()        else if ($a-vaccine or $valid-subs-5 or $invalid-subs or not($use-revised-text-2) or $tgi-otheru-regex = '' or $a-sas-tgi) then false()        else matches($der-revised-text-2, $tgi-otheru-regex, 'is')" />
    <xsl:variable name="an-obsolete-tgi" select="if ($an-obsolete-tgi-1) then true()        else if ($a-vaccine or $valid-subs-5 or $invalid-subs or not($use-revised-text-2) or $tgi-obsolete-regex = '' or $a-sas-tgi or          $an-uncoded-tgi) then false()        else matches($der-text, $tgi-obsolete-regex, 'is')" />
    <xsl:variable name="valid-subs-6" select="$valid-subs-5 or $a-sas-tgi or $an-uncoded-tgi or $an-obsolete-tgi " />
    <xsl:variable name="codes-were-found" select="exists($der-subs-codes-4) or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="codes-not-found" select="not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-subs-6 or $invalid-subs) " />
    <xsl:variable name="codes-in-the-domain" select="not($valid-subs-1) and $valid-subs-5" />
    <xsl:variable name="codes-in-other-domain" select="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-subs-6 or $invalid-subs or         $error-usingTS-7) " />
    <xsl:variable name="codes-in-no-domain" select="exists($der-subs-codes-5) " />
    <xsl:variable name="display-in-the-domain" select="if ($codes-in-the-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', '), '''')        else '' " />
    <xsl:variable name="display-in-other-r" select="if (exists($invalid-subs-codes-r) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-subs-codes-r return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-h" select="if (exists($invalid-subs-codes-h) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-subs-codes-h return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-domain" select="if (not($codes-in-other-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))) then ''        else if ($display-in-other-r and display-in-other-h) then concat('''', $display-in-other-r, ', ', $display-in-other-h, '''')        else if ($display-in-other-r) then concat('''', $display-in-other-r, '''')        else if ($display-in-other-h) then concat('''', $display-in-other-h, '''')        else '' " />
    <xsl:variable name="display-in-no-domain" select="if ($codes-in-no-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', dh:XQueryRecursiveReplace(string-join(for $code in $der-subs-codes-5 return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), '; '),          $term-pattern-replacement, 'ic'), '''')        else '' " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))        else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="log-concepts-appended" select="if ($error-usingTS-7 or not($flags/@report-terminology-concepts = 'true') or $log-concepts-name = '') then ''        else if ($codes-not-found and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                   'Substance/Agent',   $log-tab,                   'yes',     $log-tab,                   concat($display-code, $display-system), $log-tab,                   '',     $log-tab,                  '',     $log-tab,                  '',     $log-tab,                  $ts-current-sctau   ))        else if (($use-revised-text-3 or $codes-in-no-domain) and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                  'Substance/Agent',   $log-tab,                   'yes',     $log-tab,                     concat($display-code, $display-system), $log-tab,                    $display-in-the-domain,   $log-tab,                  $display-in-other-domain,  $log-tab,                  $display-in-no-domain,   $log-tab,                  $ts-current-sctau   ))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <!--REPORT -->
    <xsl:if test=" $log-concepts-appended = ('NOTFOUND', 'ERROR') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$log-concepts-appended = ('NOTFOUND', 'ERROR')">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Subs-Defn): The AppendLog function returned '<xsl:text /><xsl:value-of select="$log-concepts-appended" /><xsl:text />' when requested to append the concepts log
		'<xsl:text /><xsl:value-of select="$log-concepts-name" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-subs-6) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-subs-6)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Subs-Defn): An unexpected problem occurred when assessing the value of the Substance/Agent
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. The application of regular expressions resulted in the complete loss of text.
		Report the information below to the Australian Digital Health Agency for investigation.

		der-text-1 '<xsl:text /><xsl:value-of select="normalize-space(dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'))" /><xsl:text />'.
		der-text-2a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-2a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-a, $term-pattern-replacement, 'ic')" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingV-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingV-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Subs-Defn): An error was reported when accessing the terminology server when assessing the Substance/Agent data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		Report the issue to the Australian Digital Health Agency for investigation stating the error was recorded for error-usingV-2.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-7 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-7">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Subs-Defn): An error was reported when accessing the terminology server when assessing the Substance/Agent data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term:
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The analysis should be retried as the terminology server may have been temporarily unavailable.
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation, stating that the error was found by
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'error-usingTS-1' else if ($error-usingTS-2-a) then 'error-usingTS-2-a'   else if ($error-usingTS-2-b) then 'error-usingTS-2-b' else if ($error-usingTS-2-c) then 'error-usingTS-2-c'   else if ($error-usingTS-2-d) then 'error-usingTS-2-d' else if ($error-usingTS-2) then 'error-usingTS-2'   else if ($error-usingTS-3) then 'error-usingTS-3' else if ($error-usingTS-4) then 'error-usingTS-4'   else if ($error-usingTS-5) then 'error-usingTS-5' else if ($error-usingTS-6) then 'error-usingTS-6'   else 'error-usingTS-7' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not($codes-were-found) and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not($codes-were-found) and $codes-not-found">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the substance, agent, or a class of substance,         that is considered to be responsible for the adverse reaction.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the ADVERSE REACTION section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$codes-in-other-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$codes-in-other-domain">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value does not seem to be applicable for the data element.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the substance, agent, or a class of substance,         that is considered to be responsible for the adverse reaction.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Substance/Agent
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the substance, agent, or a class of substance,         that is considered to be responsible for the adverse reaction.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Substance/Agent data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Substance/Agent
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the substance, agent, or a class of substance,         that is considered to be responsible for the adverse reaction.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Substance/Agent data element must have a value that is consistent with this definition. Alternatively if there is no Substance/Agent data element with a proper value then an exclusion
		statement must be included to state why there is no Substance/Agent. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4')    then concat('Text such as ''', dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'), ''' may be permitted in the narrative even though the Substance/Agent data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Substance/Agent
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the substance, agent, or a class of substance,         that is considered to be responsible for the adverse reaction.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Substance/Agent data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($der-text-non-value) and $der-invalid-text ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($der-text-non-value) and $der-invalid-text">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid. <xsl:text /><xsl:value-of select="$defn-invalid-rsn" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the substance, agent, or a class of substance,         that is considered to be responsible for the adverse reaction.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $invalid-subs and not($error-usingTS-7) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$invalid-subs and not($error-usingTS-7)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid
		<xsl:text /><xsl:value-of select="if (exists($invalid-subs-codes-h)) then concat(' as it describes ', string-join(distinct-values(for $code in tokenize(replace(   dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat('(', string-join(for $code in $invalid-subs-codes-h return concat('&gt;&gt;', $code), ' OR '), ') AND (',    string-join(for $hierarchy in $cd-definitions/subs/subs-invalid/hierarchy return $hierarchy/@code, ' OR '), ')'), '',    string(count($invalid-subs-codes-h)), true()), '(\[.*?\])(\||$)', '$2'), '\|') return    $cd-definitions/subs/subs-invalid/hierarchy[@code = $code]/@description)[position() = (1 to 2)], ' and '), '.')    else if (exists($invalid-subs-codes-r)) then concat(' as it describes ', string-join(distinct-values(for $code in $invalid-subs-codes-r return   $cd-definitions/subs/subs-invalid/refset[index-of(for $x in (for $refset in $cd-definitions/subs/subs-invalid/refset return    dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat($code, ' AND ^', $refset/@code), '', '1', true()), '|') return matches($x, '^[0-9]'), true())[1]]/@description), ' and '), '.')   else '.'" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the substance, agent, or a class of substance,         that is considered to be responsible for the adverse reaction.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable outside the applicable value domain): The Substance/Agent
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following codes were obtained and are not in the value domain: <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-Subs-Defn): The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU and no associated code was found in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists(($der-NAF-active-codes, $undetermined-NAF-active-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists(($der-NAF-active-codes, $undetermined-NAF-active-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-Subs-Defn): The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-active-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the
		'<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' version of SNOMED CT-AU but it was not found with this status in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU. <xsl:text /><xsl:value-of select="if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and ($valid-subs-1 or (not($valid-subs-5) and $valid-subs-6)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and ($valid-subs-1 or (not($valid-subs-5) and $valid-subs-6))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable within the value domain): The Substance/Agent
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which matches one of the terms listed in Knowledge.xml for the Substance/Agent.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (concept is codeable within the value domain): The Substance/Agent
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a valid value for the Substance/Agent.
		SNOMED CT-AU codes that matched the concept are: <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-subs-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-subs-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The text used to match regular expression (der-text-2) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to match non-values and vaccines (der-text-to-match) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-to-match, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to derive a code (der-text) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.

		<xsl:text /><xsl:value-of select="if ($use-revised-text-1) then concat(' A first revision of the text (der-revised-text-1) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-1, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A first revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-1 != '' and $der-revised-text-1 = '') then ' revision-pattern-1 was applied but the output (der-revised-text-1) was an empty string.' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($use-revised-text-2) then concat(' A second revision of the text (der-revised-text-2) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A second revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-2 != '' and $der-revised-text-2 = '') then ' revision-pattern-2 was applied but the output (der-revised-text-2) was an empty string.' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($use-revised-text-3) then concat(' A third revision of the text (der-revised-text-3) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-3, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A third revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-3 != '' and $der-revised-text-3 = '') then ' revision-pattern-3 was applied but the output (der-revised-text-3) was an empty string.' else '' " /><xsl:text />

		The SNOMED CT-AU version used to find codes is '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' and the maximum code number is '<xsl:text /><xsl:value-of select="$max-code-number" /><xsl:text />'.

		Codes for related terms (related-terms-2): '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($related-terms-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes for related terms (der-valid-codes-1): 
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-1, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-subs-codes-2) returned by the terminology server that match the text:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-subs-codes-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes from related terms or the terminology server (der-valid-codes-2):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-2, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-inactive-codes-3) returned from the Validator's database associated with inactive codes:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-inactive-codes-3, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes found after examining inactive codes (der-valid-codes-3):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-3, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Members of invalid reference sets (invalid-subs-codes-r): '<xsl:text /><xsl:value-of select="$display-in-other-r" /><xsl:text />'.
		Members of invalid code hierarchies (invalid-subs-codes-h): '<xsl:text /><xsl:value-of select="$display-in-other-h" /><xsl:text />'.

		Final set of valid codes (der-valid-codes-4):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		
		Codes whose validity has not been determined (der-subs-codes-5):  <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.
		Codes whose validity has not been determined and are inactive with no associated code (undetermined-NAF): '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(    string-join($undetermined-NAF, ''', '''), $markup-pattern-replacement, 'ic')" /><xsl:text />'.

		Will the value of the data element be trusted (der-trusted-text)? '<xsl:text /><xsl:value-of select="$der-trusted-text" /><xsl:text />'.
		
	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and $codes-not-found">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept not codeable): The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($avoid-ts) then 'The terminology server was not used to assist with finding codes corresponding to text in the data element. ' else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M95" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M95" />
  <xsl:template match="@*|node()" priority="-2" mode="M95">
    <xsl:apply-templates select="@*|*" mode="M95" />
  </xsl:template>
  <!--PATTERN p-TS-Adverse-CodeableText-12-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '101.20113' = $doc-sections]   [cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.4']]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:participant[@typeCode='CAGNT']/cda:participantRole/cda:playingEntity/cda:code   [(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-subs-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])]   [not(@nullFlavor = $no-value-NF)] " priority="1000" mode="M96">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '101.20113' = $doc-sections]   [cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.4']]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:participant[@typeCode='CAGNT']/cda:participantRole/cda:playingEntity/cda:code   [(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-subs-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])]   [not(@nullFlavor = $no-value-NF)] " />
    <xsl:variable name="pcode" select="if ('2.16.840.1.113883.6.96' = $defn-subs-trusted and         @codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="snomed-trans" select="if ('2.16.840.1.113883.6.96' = $defn-subs-trusted and cda:translation)         then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="tcode" select="if (exists($snomed-trans[1]) and matches($snomed-trans[1]/@code, $snomed-code-regex)) then $snomed-trans[1]/@code else '' " />
    <xsl:variable name="code-present" select="$pcode != '' or $tcode != '' " />
    <xsl:variable name="invalid-code-system" select="@code and @displayName and @codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="codesystemvalues" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']" />
    <xsl:variable name="otext-without-markup" select="if (cda:originalText and cda:originalText != '') then normalize-space(replace(cda:originalText, $markup-regex, ' ')) else '' " />
    <xsl:variable name="pdname" select="if (@displayName and not($invalid-code-system)) then normalize-space(@displayName) else '' " />
    <xsl:variable name="max-code-number" select="if ($knowledge/search-for-term/max-sct-code-number/@value &gt; '5') then $knowledge/search-for-term/max-sct-code-number/@value else '5' " />
    <xsl:variable name="der-text-1" select="if ($code-present) then ''         else if ($otext-without-markup != '') then $otext-without-markup        else if ($pdname != '') then $pdname        else '' " />
    <xsl:variable name="der-text-2a" select="if ($der-text-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-text-1, $subs-fir-pattern-replacement, 'ic')) " />
    <xsl:variable name="der-text-2" select="if ($der-text-2a = '') then $der-text-1 else $der-text-2a " />
    <xsl:variable name="family-err" select="matches($der-text-1, $family-regex, 'i')" />
    <xsl:variable name="length-err" select="string-length($der-text-1) &gt; $length-err-max" />
    <xsl:variable name="avoid-ts" select="$family-err or $length-err or not($use-ts-for-sctau) " />
    <xsl:variable name="der-text-a" select="if ($der-text-2 = '') then $der-text-2        else if ($subs-regex = '') then normalize-space($der-text-2)        else normalize-space(dh:XQueryRecursiveReplace($der-text-2, $subs-regex, 'ic')) " />
    <xsl:variable name="der-text" select="if ($der-text-a = '') then $der-text-2 else $der-text-a " />
    <xsl:variable name="defn-valid-regex" select="concat('(^|\|)', translate($der-text-2, $chars-to-remove, ''), '(\||$)') " />
    <xsl:variable name="der-text-to-match-1" select="lower-case($der-text-2) " />
    <xsl:variable name="der-text-to-match" select="translate($der-text-to-match-1, $chars-to-remove, '') " />
    <xsl:variable name="der-text-non-value" select="if ($code-present or @nullFlavor = $no-value-NF) then false() else         $der-text-to-match = ''              or         not(matches($der-text-to-match-1, '[a-z]', 'i'))          or        ($cd-definitions/non-value/@regex != '' and matches($der-text-to-match-1, $cd-definitions/non-value/@regex, 'i'))  or        (exists($cd-definitions/subs/@non-value-regex) and matches($der-text-to-match-1, $cd-definitions/subs/@non-value-regex, 'i')) " />
    <xsl:variable name="defn-invalid-regex" select="if ($code-present or $der-text-non-value) then ()        else if ($cd-definitions/subs/@invalid-regex) then tokenize($cd-definitions/subs/@invalid-regex, '~')[. != '']         else () " />
    <xsl:variable name="defn-invalid-txt-regex" select="(for $i in (1 to count($defn-invalid-regex)) return normalize-space(substring-before($defn-invalid-regex[$i], '[[')))[. != '']" />
    <xsl:variable name="der-invalid-text-regex-1" select="if (exists($defn-invalid-txt-regex))        then index-of(for $i in (1 to count($defn-invalid-txt-regex)) return matches($der-text-2, $defn-invalid-txt-regex[$i], 'i'), true())        else () " />
    <xsl:variable name="der-invalid-text" select="exists($der-invalid-text-regex-1) " />
    <xsl:variable name="defn-invalid-rsn" select="if ($der-invalid-text)         then normalize-space(substring-before(substring-after($defn-invalid-regex[$der-invalid-text-regex-1[1]], '[['), ']]'))         else '' " />
    <xsl:variable name="trusted-code-systems" select="if ($der-text = '' or $der-invalid-text or not(@codeSystem or cda:translation/@codeSystem)) then ()        else (tokenize(replace($cd-definitions/subs/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/subs/@extra, '\s+', ''), '\|'))[. != ''] " />
    <xsl:variable name="der-trusted-text" select="if ($der-text = '' or $der-invalid-text or (@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex)))) then false()        else ((@codeSystem and exists($trusted-code-systems[. = current()/@codeSystem])) or               (cda:translation/@codeSystem and exists($trusted-code-systems[. = current()/cda:translation/@codeSystem]))) " />
    <xsl:variable name="a-vaccine" select="not($code-present or $der-text = '' or $der-text-non-value or $der-invalid-text) and         exists($vaccine-text-normalised) and $der-text-to-match = $vaccine-text-normalised " />
    <xsl:variable name="a-sas-tgi-1" select="not($code-present or $der-text = '' or $der-text-non-value or $der-invalid-text or $a-vaccine) and $tgi-sas-regex != '' and         matches($der-text, $tgi-sas-regex, 'is')" />
    <xsl:variable name="an-uncoded-tgi-1" select="not($code-present or $der-text = '' or $der-text-non-value or $der-invalid-text or $a-vaccine or $a-sas-tgi-1) and         $tgi-otheru-regex != '' and matches($der-text, $tgi-otheru-regex, 'is')" />
    <xsl:variable name="an-obsolete-tgi-1" select="not($code-present or $der-text = '' or $der-text-non-value or $der-invalid-text or $a-vaccine or $a-sas-tgi-1 or $an-uncoded-tgi-1) and         $tgi-obsolete-regex != '' and matches($der-text, $tgi-obsolete-regex, 'is')" />
    <xsl:variable name="valid-subs-1" select="if ($a-vaccine or $a-sas-tgi-1 or $an-uncoded-tgi-1 or $an-obsolete-tgi-1) then true()        else if ($code-present or $der-text = '' or $der-text-non-value or $der-invalid-text or $a-vaccine or $a-sas-tgi-1 or $an-uncoded-tgi-1 or         not($cd-definitions/subs/@valid-regex)) then false()        else exists(index-of(for $regex in (tokenize($cd-definitions/subs/@valid-regex, '~')[. != '']) return          matches($der-text-2, dh:XQueryRecursiveReplace(normalize-space($regex), ' \|~|~\| ~|', ''), 'is'), true())) or         ($cd-definitions/meds/@valid-regex and exists(index-of(for $regex in (tokenize($cd-definitions/meds/@valid-regex, '~')[. != '']) return           matches($der-text-2, dh:XQueryRecursiveReplace(normalize-space($regex), ' \|~|~\| ~|', ''), 'is'), true()))) " />
    <xsl:variable name="invalid-hierarchy-1" select="if (exists($cd-definitions/subs/subs-invalid/hierarchy))         then string-join(for $hierarchy in $cd-definitions/subs/subs-invalid/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-refset" select="if (exists($cd-definitions/subs/subs-invalid/refset))          then string-join(for $refset in $cd-definitions/subs/subs-invalid/refset return concat('^', $refset/@code), ' OR ')         else '' " />
    <xsl:variable name="valid-refset" select="concat('(', $tgi-formula, ' OR ^142321000036106 OR ^32570211000036100 OR &lt;71181003 OR &lt;763158003)')" />
    <xsl:variable name="valid-domain" select="if ($invalid-refset != '' and $invalid-hierarchy-1 != '')         then concat('((', $valid-refset, ') MINUS (', $invalid-refset, ' OR (', $invalid-hierarchy-1, ')))')        else if ($invalid-refset = '' and $invalid-hierarchy-1 != '') then concat('((', $valid-refset, ') MINUS (', $invalid-hierarchy-1, '))')         else if ($invalid-refset != '' and $invalid-hierarchy-1 = '') then concat('((', $valid-refset, ') MINUS (', $invalid-refset, '))')        else concat('(', $valid-refset, ')') " />
    <xsl:variable name="related-terms-1" select="if ($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-subs-1) then ()        else ($codesystemvalues/code[@related-terms], $codesystemvalues/related-terms[@related-terms]) " />
    <xsl:variable name="related-terms-2" select="for $i in index-of(        for $concept in $related-terms-1 return matches(translate($concept/@related-terms, $chars-no-pipe, ''), $defn-valid-regex, 'i'), true())         return $related-terms-1[$i]/@code " />
    <xsl:variable name="der-subs-codes-1" select="if (exists($related-terms-2)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($related-terms-2, ' OR '), ') AND ', $valid-domain), '', string(count($related-terms-2)), false())        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $der-subs-codes-1 " />
    <xsl:variable name="der-valid-codes-1" select="if (contains($der-subs-codes-1, '[')) then $der-subs-codes-1 else '' " />
    <xsl:variable name="valid-subs-2" select="$valid-subs-1 or $der-valid-codes-1 != '' " />
    <xsl:variable name="subs-inactive-refSets" select="if (exists($cd-definitions/subs/subs-invalid/inactive-refset))         then concat('((', $inactive-refSets, ') MINUS (',           string-join(for $refset in $cd-definitions/subs/subs-invalid/inactive-refset return concat('^', $refset/@code), ' OR '),          '))')         else $inactive-refSets " />
    <xsl:variable name="formula" select="concat($valid-domain, ' OR ', $subs-inactive-refSets) " />
    <xsl:variable name="ts-not-needed" select="$der-text = '' or $der-text-non-value or $der-invalid-text or $valid-subs-2 or $avoid-ts " />
    <xsl:variable name="der-subs-codes-2-a" select="if ($ts-not-needed or exists($related-terms-2)) then ()         else tokenize(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-text,          'default'), '\|') " />
    <xsl:variable name="error-usingTS-2-a" select="$error-usingTS-1 or 'Error' = $der-subs-codes-2-a " />
    <xsl:variable name="revision-pattern-1" select="if ($ts-not-needed or $valid-subs-2 or exists($der-subs-codes-2-a) or $error-usingTS-2-a or exists($related-terms-2)) then ''        else '(^|[^a-z])(agents?|related agents?)([^a-z]|$)~$1 $3' " />
    <xsl:variable name="der-revised-text-1" select="if ($revision-pattern-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-text, $revision-pattern-1, 'ic')) " />
    <xsl:variable name="use-revised-text-1" select="$der-revised-text-1 != '' and $der-revised-text-1 != $der-text " />
    <xsl:variable name="der-subs-codes-2-b" select="if ($ts-not-needed or exists($der-subs-codes-2-a) or not($use-revised-text-1)) then $der-subs-codes-2-a         else tokenize(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-1,          'default'), '\|') " />
    <xsl:variable name="error-usingTS-2-b" select="$error-usingTS-2-a or 'Error' = $der-subs-codes-2-b " />
    <xsl:variable name="revision-pattern-2" select="if ($ts-not-needed or $valid-subs-2 or exists($der-subs-codes-2-b) or $error-usingTS-2-b or exists($related-terms-2)) then ''        else concat($tgi-fir-pattern-replacement, '~', $tgi-regex, '~', $tgi-sec-pattern-replacement, '~', $tgi-thi-pattern-replacement) " />
    <xsl:variable name="der-revised-text-2" select="if ($revision-pattern-2 = '') then '' else normalize-space(dh:XQueryRecursiveReplace(if ($use-revised-text-1) then $der-revised-text-1 else $der-text,          $revision-pattern-2, 'ic')) " />
    <xsl:variable name="use-revised-text-2" select="if ($use-revised-text-1) then $der-revised-text-2 != '' and $der-revised-text-2 != $der-revised-text-1         else $der-revised-text-2 != '' and $der-revised-text-2 != $der-text " />
    <xsl:variable name="der-subs-codes-2-c" select="if ($ts-not-needed or exists($der-subs-codes-2-b) or not($use-revised-text-2)) then $der-subs-codes-2-b        else tokenize(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-2,          'default'), '\|') " />
    <xsl:variable name="error-usingTS-2-c" select="$error-usingTS-2-b or 'Error' = $der-subs-codes-2-c " />
    <xsl:variable name="revision-pattern-3" select="if ($ts-not-needed or $valid-subs-2 or exists($der-subs-codes-2-c) or $error-usingTS-2-c or exists($related-terms-2)) then ''        else '([a-z]{3,})[a-z]{1}($|[^a-z])~$1$2~(^|[^a-z])[a-z]{1}([^a-z]|$)~$1$2' " />
    <xsl:variable name="der-revised-text-3" select="if ($revision-pattern-3 = '') then '' else normalize-space(dh:XQueryRecursiveReplace(        if ($use-revised-text-2) then $der-revised-text-2 else if ($use-revised-text-1) then $der-revised-text-1 else $der-text,          $revision-pattern-3, 'ic')) " />
    <xsl:variable name="use-revised-text-3" select="if ($use-revised-text-2) then $der-revised-text-3 != '' and $der-revised-text-3 != $der-revised-text-2         else if ($use-revised-text-1) then $der-revised-text-3 != '' and $der-revised-text-3 != $der-revised-text-1         else $der-revised-text-3 != '' and $der-revised-text-3 != $der-text " />
    <xsl:variable name="der-subs-codes-2-d" select="if ($ts-not-needed or exists($der-subs-codes-2-c) or not($use-revised-text-3)) then $der-subs-codes-2-c        else tokenize(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-3,          'default'), '\|') " />
    <xsl:variable name="error-usingTS-2-d" select="$error-usingTS-2-c or 'Error' = $der-subs-codes-2-d " />
    <xsl:variable name="der-subs-codes-2" select="if ($ts-not-needed or $error-usingTS-2-d or not(exists($der-subs-codes-2-d)) or $der-valid-codes-1 != '') then ()        else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join(for $code in $der-subs-codes-2-d return replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is'), ' OR '), ') AND (',          $formula, ')'), '', string(count($der-subs-codes-2-d)), false()), '\|') " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-2-d or 'Error' = $der-subs-codes-2 " />
    <xsl:variable name="der-valid-codes-2" select="if ($der-valid-codes-1 != '') then $der-valid-codes-1        else if ($error-usingTS-2) then ''         else string-join((for $code in $der-subs-codes-2 return if (contains($code, '~inactive')) then '' else $code)[. != ''], '|')  " />
    <xsl:variable name="valid-subs-3" select="$valid-subs-2 or $der-valid-codes-2 != '' " />
    <xsl:variable name="der-inactive-codes-1" select="if ($valid-subs-3) then () else        for $code in $der-subs-codes-2 return if (contains($code, '~inactive')) then replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is') else '' " />
    <xsl:variable name="der-inactive-codes-2" select="for $i in (1 to count($der-inactive-codes-1)) return         dh:IsCodeAssociatedWithAnotherCode($der-inactive-codes-1[$i], '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-1" select="'Error' = $der-inactive-codes-2 " />
    <xsl:variable name="der-NAF-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-NAF-active-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound~active')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-inactive-codes-3" select="tokenize(string-join(for $i in (1 to count($der-inactive-codes-1)) return replace(string-join(tokenize($der-inactive-codes-2[$i], '\|')        [matches(., '(REPLACED BY|SAME AS|ALTERNATIVE|POSSIBLY EQUIVALENT TO|MAY BE A|WAS A)')], '|'), '[0-9]+~[A-Z ]+~([0-9]+)', '$1'), '|'), '\|')        [. != ''] " />
    <xsl:variable name="der-subs-codes-3" select="if (exists($der-inactive-codes-3)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($der-inactive-codes-3, ' OR '), ') AND ', $valid-domain), '', string(count($der-inactive-codes-3)), false())          else '' " />
    <xsl:variable name="error-usingTS-3" select="$error-usingTS-2 or 'Error' = $der-subs-codes-3 " />
    <xsl:variable name="der-valid-codes-3" select="if ($der-valid-codes-2 != '') then $der-valid-codes-2        else if (contains($der-subs-codes-3, '[')) then $der-subs-codes-3        else '' " />
    <xsl:variable name="valid-subs-4" select="$valid-subs-3 or $der-valid-codes-3 != '' " />
    <xsl:variable name="tbd-hierarchy" select="if (exists($cd-definitions/subs/subs-tbd/hierarchy))         then string-join(for $hierarchy in $cd-definitions/subs/subs-tbd/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-hierarchy" select="if ($invalid-hierarchy-1 != '' and $tbd-hierarchy != '') then concat($invalid-hierarchy-1, ' OR ', $tbd-hierarchy)        else if ($invalid-hierarchy-1 != '') then $invalid-hierarchy-1        else if ($tbd-hierarchy != '') then $tbd-hierarchy        else '' " />
    <xsl:variable name="invalid-domain" select="if ($invalid-hierarchy != '' and $invalid-refset != '') then concat($invalid-hierarchy, ' OR ', $invalid-refset)        else if ($invalid-hierarchy != '') then $invalid-hierarchy        else if ($invalid-refset != '') then $invalid-refset        else '' " />
    <xsl:variable name="filter-text" select="if ($use-revised-text-3) then $der-revised-text-3 else if ($use-revised-text-2) then $der-revised-text-2         else if ($use-revised-text-1) then $der-revised-text-1 else $der-text " />
    <xsl:variable name="der-subs-codes-4" select="if ($ts-not-needed or $valid-subs-4 or $invalid-domain = '') then ()        else if (exists($related-terms-2)) then $related-terms-2        else distinct-values((tokenize(replace(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          $invalid-domain, $filter-text, 'default'), '(\[.*?\])(\||$)', '$2'), '\|'), $der-inactive-codes-3)) " />
    <xsl:variable name="error-usingTS-4" select="$error-usingTS-3 or 'Error' = $der-subs-codes-4 " />
    <xsl:variable name="invalid-subs-codes-r" select="if ($ts-not-needed or $valid-subs-4 or $error-usingTS-4 or not(exists($der-subs-codes-4))) then ()        else if ($invalid-refset = '') then tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-subs-codes-4, ' OR '), ') AND (', $inactive-refSets, ')'), '',           string(count($der-subs-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')        else tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-subs-codes-4, ' OR '), ') AND (', $invalid-refset, ' OR ', $inactive-refSets, ')'), '',           string(count($der-subs-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')  " />
    <xsl:variable name="error-usingTS-5" select="$error-usingTS-4 or 'Error' = $invalid-subs-codes-r " />
    <xsl:variable name="der-subs-codes-4-h" select="if ($error-usingTS-5) then () else $der-subs-codes-4[not(. = $invalid-subs-codes-r)]" />
    <xsl:variable name="invalid-subs-codes-h" select="if ($ts-not-needed or $valid-subs-4 or 'Error' = $der-subs-codes-4 or $subs-invalid-hierarchy = '' or not(exists($der-subs-codes-4-h))) then ()        else (for $code in $der-subs-codes-4-h return          if (dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;&gt;', $code, ' MINUS ', $subs-invalid-hierarchy), '', '1', false()) = '') then $code else '')[. != ''] " />
    <xsl:variable name="invalid-subs-codes" select="($invalid-subs-codes-h, $invalid-subs-codes-r) " />
    <xsl:variable name="der-subs-codes-5" select="$der-subs-codes-4[not(. = $invalid-subs-codes or . = 'Error')]" />
    <xsl:variable name="der-valid-codes-4" select="if ($der-valid-codes-3 != '') then $der-valid-codes-3        else if ($ts-not-needed or $valid-subs-4 or $valid-domain = '' or not(exists($der-subs-codes-5))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-subs-codes-5, ' OR '), ') AND ', $valid-domain), '', string(count($der-subs-codes-5)), false()) " />
    <xsl:variable name="error-usingTS-6" select="$error-usingTS-5 or 'Error' = $der-valid-codes-4 " />
    <xsl:variable name="valid-subs-5" select="$valid-subs-4 or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="undetermined-subs-1" select="$der-subs-codes-5[not(. = tokenize(replace($der-valid-codes-4,  '(\[.*?\])(\||$)', '$2'), '\|'))]" />
    <xsl:variable name="undetermined-inactive-1" select="for $i in (1 to count($undetermined-subs-1)) return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $undetermined-subs-1[$i], '', '1', false()) " />
    <xsl:variable name="error-usingTS-7" select="$error-usingTS-6 or 'Error' = $undetermined-inactive-1 " />
    <xsl:variable name="undetermined-inactive" select="(for $i in (1 to count($undetermined-subs-1)) return         if (contains($undetermined-inactive-1[$i], '~inactive')) then $undetermined-inactive-1[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-1" select="for $i in (1 to count($undetermined-inactive))        return dh:IsCodeAssociatedWithAnotherCode(replace($undetermined-inactive[$i], '(\[.*?\])(\||$)', '$2'), '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-2" select="$error-usingV-1 or 'Error' = $undetermined-NAF-1 " />
    <xsl:variable name="undetermined-NAF" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-codes" select="for $term in $undetermined-NAF return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-NAF-active" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound~active')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-active-codes" select="for $term in $undetermined-NAF-active return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-subs" select="$undetermined-subs-1[not(. = ($undetermined-NAF-codes, $undetermined-NAF-active-codes))]" />
    <xsl:variable name="invalid-subs" select="not($valid-subs-5) and exists($invalid-subs-codes) and not(exists($undetermined-subs))" />
    <xsl:variable name="a-sas-tgi" select="if ($a-sas-tgi-1) then true()        else if ($a-vaccine or $valid-subs-5 or $invalid-subs or not($use-revised-text-2) or $tgi-sas-regex = '') then false()        else matches($der-revised-text-2, $tgi-sas-regex, 'is')" />
    <xsl:variable name="an-uncoded-tgi" select="if ($an-uncoded-tgi-1) then true()        else if ($a-vaccine or $valid-subs-5 or $invalid-subs or not($use-revised-text-2) or $tgi-otheru-regex = '' or $a-sas-tgi) then false()        else matches($der-revised-text-2, $tgi-otheru-regex, 'is')" />
    <xsl:variable name="an-obsolete-tgi" select="if ($an-obsolete-tgi-1) then true()        else if ($a-vaccine or $valid-subs-5 or $invalid-subs or not($use-revised-text-2) or $tgi-obsolete-regex = '' or $a-sas-tgi or          $an-uncoded-tgi) then false()        else matches($der-text, $tgi-obsolete-regex, 'is')" />
    <xsl:variable name="valid-subs-6" select="$valid-subs-5 or $a-sas-tgi or $an-uncoded-tgi or $an-obsolete-tgi " />
    <xsl:variable name="codes-were-found" select="exists($der-subs-codes-4) or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="codes-not-found" select="not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-subs-6 or $invalid-subs) " />
    <xsl:variable name="codes-in-the-domain" select="not($valid-subs-1) and $valid-subs-5" />
    <xsl:variable name="codes-in-other-domain" select="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-subs-6 or $invalid-subs or         $error-usingTS-7) " />
    <xsl:variable name="codes-in-no-domain" select="exists($der-subs-codes-5) " />
    <xsl:variable name="display-in-the-domain" select="if ($codes-in-the-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', '), '''')        else '' " />
    <xsl:variable name="display-in-other-r" select="if (exists($invalid-subs-codes-r) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-subs-codes-r return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-h" select="if (exists($invalid-subs-codes-h) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-subs-codes-h return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-domain" select="if (not($codes-in-other-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))) then ''        else if ($display-in-other-r and display-in-other-h) then concat('''', $display-in-other-r, ', ', $display-in-other-h, '''')        else if ($display-in-other-r) then concat('''', $display-in-other-r, '''')        else if ($display-in-other-h) then concat('''', $display-in-other-h, '''')        else '' " />
    <xsl:variable name="display-in-no-domain" select="if ($codes-in-no-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', dh:XQueryRecursiveReplace(string-join(for $code in $der-subs-codes-5 return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), '; '),          $term-pattern-replacement, 'ic'), '''')        else '' " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))        else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="log-concepts-appended" select="if ($error-usingTS-7 or not($flags/@report-terminology-concepts = 'true') or $log-concepts-name = '') then ''        else if ($codes-not-found and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                   'Substance/Agent',   $log-tab,                   'yes',     $log-tab,                   concat($display-code, $display-system), $log-tab,                   '',     $log-tab,                  '',     $log-tab,                  '',     $log-tab,                  $ts-current-sctau   ))        else if (($use-revised-text-3 or $codes-in-no-domain) and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                  'Substance/Agent',   $log-tab,                   'yes',     $log-tab,                     concat($display-code, $display-system), $log-tab,                    $display-in-the-domain,   $log-tab,                  $display-in-other-domain,  $log-tab,                  $display-in-no-domain,   $log-tab,                  $ts-current-sctau   ))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <!--REPORT -->
    <xsl:if test=" $log-concepts-appended = ('NOTFOUND', 'ERROR') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$log-concepts-appended = ('NOTFOUND', 'ERROR')">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Subs-Defn): The AppendLog function returned '<xsl:text /><xsl:value-of select="$log-concepts-appended" /><xsl:text />' when requested to append the concepts log
		'<xsl:text /><xsl:value-of select="$log-concepts-name" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-subs-6) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-subs-6)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Subs-Defn): An unexpected problem occurred when assessing the value of the Substance/Agent
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. The application of regular expressions resulted in the complete loss of text.
		Report the information below to the Australian Digital Health Agency for investigation.

		der-text-1 '<xsl:text /><xsl:value-of select="normalize-space(dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'))" /><xsl:text />'.
		der-text-2a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-2a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-a, $term-pattern-replacement, 'ic')" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingV-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingV-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Subs-Defn): An error was reported when accessing the terminology server when assessing the Substance/Agent data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		Report the issue to the Australian Digital Health Agency for investigation stating the error was recorded for error-usingV-2.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-7 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-7">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Subs-Defn): An error was reported when accessing the terminology server when assessing the Substance/Agent data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term:
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The analysis should be retried as the terminology server may have been temporarily unavailable.
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation, stating that the error was found by
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'error-usingTS-1' else if ($error-usingTS-2-a) then 'error-usingTS-2-a'   else if ($error-usingTS-2-b) then 'error-usingTS-2-b' else if ($error-usingTS-2-c) then 'error-usingTS-2-c'   else if ($error-usingTS-2-d) then 'error-usingTS-2-d' else if ($error-usingTS-2) then 'error-usingTS-2'   else if ($error-usingTS-3) then 'error-usingTS-3' else if ($error-usingTS-4) then 'error-usingTS-4'   else if ($error-usingTS-5) then 'error-usingTS-5' else if ($error-usingTS-6) then 'error-usingTS-6'   else 'error-usingTS-7' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not($codes-were-found) and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not($codes-were-found) and $codes-not-found">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the substance, agent, or a class of substance,         that is considered to be responsible for the adverse reaction.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the ADVERSE REACTION section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$codes-in-other-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$codes-in-other-domain">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value does not seem to be applicable for the data element.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the substance, agent, or a class of substance,         that is considered to be responsible for the adverse reaction.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'exclusion' = 'allowed' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'exclusion' = 'allowed' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Substance/Agent
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the substance, agent, or a class of substance,         that is considered to be responsible for the adverse reaction.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Substance/Agent data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'exclusion' = 'exclusion' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'exclusion' = 'exclusion' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Substance/Agent
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the substance, agent, or a class of substance,         that is considered to be responsible for the adverse reaction.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Substance/Agent data element must have a value that is consistent with this definition. Alternatively if there is no Substance/Agent data element with a proper value then an exclusion
		statement must be included to state why there is no Substance/Agent. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4')    then concat('Text such as ''', dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'), ''' may be permitted in the narrative even though the Substance/Agent data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'exclusion' = 'unknown' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'exclusion' = 'unknown' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Substance/Agent
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the substance, agent, or a class of substance,         that is considered to be responsible for the adverse reaction.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Substance/Agent data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($der-text-non-value) and $der-invalid-text ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($der-text-non-value) and $der-invalid-text">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid. <xsl:text /><xsl:value-of select="$defn-invalid-rsn" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the substance, agent, or a class of substance,         that is considered to be responsible for the adverse reaction.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $invalid-subs and not($error-usingTS-7) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$invalid-subs and not($error-usingTS-7)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid
		<xsl:text /><xsl:value-of select="if (exists($invalid-subs-codes-h)) then concat(' as it describes ', string-join(distinct-values(for $code in tokenize(replace(   dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat('(', string-join(for $code in $invalid-subs-codes-h return concat('&gt;&gt;', $code), ' OR '), ') AND (',    string-join(for $hierarchy in $cd-definitions/subs/subs-invalid/hierarchy return $hierarchy/@code, ' OR '), ')'), '',    string(count($invalid-subs-codes-h)), true()), '(\[.*?\])(\||$)', '$2'), '\|') return    $cd-definitions/subs/subs-invalid/hierarchy[@code = $code]/@description)[position() = (1 to 2)], ' and '), '.')    else if (exists($invalid-subs-codes-r)) then concat(' as it describes ', string-join(distinct-values(for $code in $invalid-subs-codes-r return   $cd-definitions/subs/subs-invalid/refset[index-of(for $x in (for $refset in $cd-definitions/subs/subs-invalid/refset return    dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat($code, ' AND ^', $refset/@code), '', '1', true()), '|') return matches($x, '^[0-9]'), true())[1]]/@description), ' and '), '.')   else '.'" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the substance, agent, or a class of substance,         that is considered to be responsible for the adverse reaction.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable outside the applicable value domain): The Substance/Agent
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following codes were obtained and are not in the value domain: <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-Subs-Defn): The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU and no associated code was found in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists(($der-NAF-active-codes, $undetermined-NAF-active-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists(($der-NAF-active-codes, $undetermined-NAF-active-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-Subs-Defn): The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-active-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the
		'<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' version of SNOMED CT-AU but it was not found with this status in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU. <xsl:text /><xsl:value-of select="if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and ($valid-subs-1 or (not($valid-subs-5) and $valid-subs-6)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and ($valid-subs-1 or (not($valid-subs-5) and $valid-subs-6))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable within the value domain): The Substance/Agent
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which matches one of the terms listed in Knowledge.xml for the Substance/Agent.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (concept is codeable within the value domain): The Substance/Agent
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a valid value for the Substance/Agent.
		SNOMED CT-AU codes that matched the concept are: <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-subs-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-subs-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The text used to match regular expression (der-text-2) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to match non-values and vaccines (der-text-to-match) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-to-match, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to derive a code (der-text) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.

		<xsl:text /><xsl:value-of select="if ($use-revised-text-1) then concat(' A first revision of the text (der-revised-text-1) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-1, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A first revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-1 != '' and $der-revised-text-1 = '') then ' revision-pattern-1 was applied but the output (der-revised-text-1) was an empty string.' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($use-revised-text-2) then concat(' A second revision of the text (der-revised-text-2) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A second revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-2 != '' and $der-revised-text-2 = '') then ' revision-pattern-2 was applied but the output (der-revised-text-2) was an empty string.' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($use-revised-text-3) then concat(' A third revision of the text (der-revised-text-3) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-3, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A third revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-3 != '' and $der-revised-text-3 = '') then ' revision-pattern-3 was applied but the output (der-revised-text-3) was an empty string.' else '' " /><xsl:text />

		The SNOMED CT-AU version used to find codes is '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' and the maximum code number is '<xsl:text /><xsl:value-of select="$max-code-number" /><xsl:text />'.

		Codes for related terms (related-terms-2): '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($related-terms-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes for related terms (der-valid-codes-1): 
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-1, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-subs-codes-2) returned by the terminology server that match the text:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-subs-codes-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes from related terms or the terminology server (der-valid-codes-2):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-2, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-inactive-codes-3) returned from the Validator's database associated with inactive codes:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-inactive-codes-3, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes found after examining inactive codes (der-valid-codes-3):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-3, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Members of invalid reference sets (invalid-subs-codes-r): '<xsl:text /><xsl:value-of select="$display-in-other-r" /><xsl:text />'.
		Members of invalid code hierarchies (invalid-subs-codes-h): '<xsl:text /><xsl:value-of select="$display-in-other-h" /><xsl:text />'.

		Final set of valid codes (der-valid-codes-4):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		
		Codes whose validity has not been determined (der-subs-codes-5):  <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.
		Codes whose validity has not been determined and are inactive with no associated code (undetermined-NAF): '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(    string-join($undetermined-NAF, ''', '''), $markup-pattern-replacement, 'ic')" /><xsl:text />'.

		Will the value of the data element be trusted (der-trusted-text)? '<xsl:text /><xsl:value-of select="$der-trusted-text" /><xsl:text />'.
		
	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and $codes-not-found">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept not codeable): The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($avoid-ts) then 'The terminology server was not used to assist with finding codes corresponding to text in the data element. ' else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M96" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M96" />
  <xsl:template match="@*|node()" priority="-2" mode="M96">
    <xsl:apply-templates select="@*|*" mode="M96" />
  </xsl:template>
  <!--PATTERN p-TS-Adverse-CodeableText-13-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '101.20113' = $doc-sections]   [cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.153' and @extension = '1.0']]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/cda:entry/cda:act[cda:code   [@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:participant[@typeCode='CAGNT']/cda:participantRole/cda:playingEntity/cda:code   [(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-subs-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])]   [not(@nullFlavor = $no-value-NF)] " priority="1000" mode="M97">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '101.20113' = $doc-sections]   [cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.153' and @extension = '1.0']]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/cda:entry/cda:act[cda:code   [@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:participant[@typeCode='CAGNT']/cda:participantRole/cda:playingEntity/cda:code   [(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-subs-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])]   [not(@nullFlavor = $no-value-NF)] " />
    <xsl:variable name="pcode" select="if ('2.16.840.1.113883.6.96' = $defn-subs-trusted and         @codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="snomed-trans" select="if ('2.16.840.1.113883.6.96' = $defn-subs-trusted and cda:translation)         then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="tcode" select="if (exists($snomed-trans[1]) and matches($snomed-trans[1]/@code, $snomed-code-regex)) then $snomed-trans[1]/@code else '' " />
    <xsl:variable name="code-present" select="$pcode != '' or $tcode != '' " />
    <xsl:variable name="invalid-code-system" select="@code and @displayName and @codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="codesystemvalues" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']" />
    <xsl:variable name="otext-without-markup" select="if (cda:originalText and cda:originalText != '') then normalize-space(replace(cda:originalText, $markup-regex, ' ')) else '' " />
    <xsl:variable name="pdname" select="if (@displayName and not($invalid-code-system)) then normalize-space(@displayName) else '' " />
    <xsl:variable name="max-code-number" select="if ($knowledge/search-for-term/max-sct-code-number/@value &gt; '5') then $knowledge/search-for-term/max-sct-code-number/@value else '5' " />
    <xsl:variable name="der-text-1" select="if ($code-present) then ''         else if ($otext-without-markup != '') then $otext-without-markup        else if ($pdname != '') then $pdname        else '' " />
    <xsl:variable name="der-text-2a" select="if ($der-text-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-text-1, $subs-fir-pattern-replacement, 'ic')) " />
    <xsl:variable name="der-text-2" select="if ($der-text-2a = '') then $der-text-1 else $der-text-2a " />
    <xsl:variable name="family-err" select="matches($der-text-1, $family-regex, 'i')" />
    <xsl:variable name="length-err" select="string-length($der-text-1) &gt; $length-err-max" />
    <xsl:variable name="avoid-ts" select="$family-err or $length-err or not($use-ts-for-sctau) " />
    <xsl:variable name="der-text-a" select="if ($der-text-2 = '') then $der-text-2        else if ($subs-regex = '') then normalize-space($der-text-2)        else normalize-space(dh:XQueryRecursiveReplace($der-text-2, $subs-regex, 'ic')) " />
    <xsl:variable name="der-text" select="if ($der-text-a = '') then $der-text-2 else $der-text-a " />
    <xsl:variable name="defn-valid-regex" select="concat('(^|\|)', translate($der-text-2, $chars-to-remove, ''), '(\||$)') " />
    <xsl:variable name="der-text-to-match-1" select="lower-case($der-text-2) " />
    <xsl:variable name="der-text-to-match" select="translate($der-text-to-match-1, $chars-to-remove, '') " />
    <xsl:variable name="der-text-non-value" select="if ($code-present or @nullFlavor = $no-value-NF) then false() else         $der-text-to-match = ''              or         not(matches($der-text-to-match-1, '[a-z]', 'i'))          or        ($cd-definitions/non-value/@regex != '' and matches($der-text-to-match-1, $cd-definitions/non-value/@regex, 'i'))  or        (exists($cd-definitions/subs/@non-value-regex) and matches($der-text-to-match-1, $cd-definitions/subs/@non-value-regex, 'i')) " />
    <xsl:variable name="defn-invalid-regex" select="if ($code-present or $der-text-non-value) then ()        else if ($cd-definitions/subs/@invalid-regex) then tokenize($cd-definitions/subs/@invalid-regex, '~')[. != '']         else () " />
    <xsl:variable name="defn-invalid-txt-regex" select="(for $i in (1 to count($defn-invalid-regex)) return normalize-space(substring-before($defn-invalid-regex[$i], '[[')))[. != '']" />
    <xsl:variable name="der-invalid-text-regex-1" select="if (exists($defn-invalid-txt-regex))        then index-of(for $i in (1 to count($defn-invalid-txt-regex)) return matches($der-text-2, $defn-invalid-txt-regex[$i], 'i'), true())        else () " />
    <xsl:variable name="der-invalid-text" select="exists($der-invalid-text-regex-1) " />
    <xsl:variable name="defn-invalid-rsn" select="if ($der-invalid-text)         then normalize-space(substring-before(substring-after($defn-invalid-regex[$der-invalid-text-regex-1[1]], '[['), ']]'))         else '' " />
    <xsl:variable name="trusted-code-systems" select="if ($der-text = '' or $der-invalid-text or not(@codeSystem or cda:translation/@codeSystem)) then ()        else (tokenize(replace($cd-definitions/subs/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/subs/@extra, '\s+', ''), '\|'))[. != ''] " />
    <xsl:variable name="der-trusted-text" select="if ($der-text = '' or $der-invalid-text or (@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex)))) then false()        else ((@codeSystem and exists($trusted-code-systems[. = current()/@codeSystem])) or               (cda:translation/@codeSystem and exists($trusted-code-systems[. = current()/cda:translation/@codeSystem]))) " />
    <xsl:variable name="a-vaccine" select="not($code-present or $der-text = '' or $der-text-non-value or $der-invalid-text) and         exists($vaccine-text-normalised) and $der-text-to-match = $vaccine-text-normalised " />
    <xsl:variable name="a-sas-tgi-1" select="not($code-present or $der-text = '' or $der-text-non-value or $der-invalid-text or $a-vaccine) and $tgi-sas-regex != '' and         matches($der-text, $tgi-sas-regex, 'is')" />
    <xsl:variable name="an-uncoded-tgi-1" select="not($code-present or $der-text = '' or $der-text-non-value or $der-invalid-text or $a-vaccine or $a-sas-tgi-1) and         $tgi-otheru-regex != '' and matches($der-text, $tgi-otheru-regex, 'is')" />
    <xsl:variable name="an-obsolete-tgi-1" select="not($code-present or $der-text = '' or $der-text-non-value or $der-invalid-text or $a-vaccine or $a-sas-tgi-1 or $an-uncoded-tgi-1) and         $tgi-obsolete-regex != '' and matches($der-text, $tgi-obsolete-regex, 'is')" />
    <xsl:variable name="valid-subs-1" select="if ($a-vaccine or $a-sas-tgi-1 or $an-uncoded-tgi-1 or $an-obsolete-tgi-1) then true()        else if ($code-present or $der-text = '' or $der-text-non-value or $der-invalid-text or $a-vaccine or $a-sas-tgi-1 or $an-uncoded-tgi-1 or         not($cd-definitions/subs/@valid-regex)) then false()        else exists(index-of(for $regex in (tokenize($cd-definitions/subs/@valid-regex, '~')[. != '']) return          matches($der-text-2, dh:XQueryRecursiveReplace(normalize-space($regex), ' \|~|~\| ~|', ''), 'is'), true())) or         ($cd-definitions/meds/@valid-regex and exists(index-of(for $regex in (tokenize($cd-definitions/meds/@valid-regex, '~')[. != '']) return           matches($der-text-2, dh:XQueryRecursiveReplace(normalize-space($regex), ' \|~|~\| ~|', ''), 'is'), true()))) " />
    <xsl:variable name="invalid-hierarchy-1" select="if (exists($cd-definitions/subs/subs-invalid/hierarchy))         then string-join(for $hierarchy in $cd-definitions/subs/subs-invalid/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-refset" select="if (exists($cd-definitions/subs/subs-invalid/refset))          then string-join(for $refset in $cd-definitions/subs/subs-invalid/refset return concat('^', $refset/@code), ' OR ')         else '' " />
    <xsl:variable name="valid-refset" select="concat('(', $tgi-formula, ' OR ^142321000036106 OR ^32570211000036100 OR &lt;71181003 OR &lt;763158003)')" />
    <xsl:variable name="valid-domain" select="if ($invalid-refset != '' and $invalid-hierarchy-1 != '')         then concat('((', $valid-refset, ') MINUS (', $invalid-refset, ' OR (', $invalid-hierarchy-1, ')))')        else if ($invalid-refset = '' and $invalid-hierarchy-1 != '') then concat('((', $valid-refset, ') MINUS (', $invalid-hierarchy-1, '))')         else if ($invalid-refset != '' and $invalid-hierarchy-1 = '') then concat('((', $valid-refset, ') MINUS (', $invalid-refset, '))')        else concat('(', $valid-refset, ')') " />
    <xsl:variable name="related-terms-1" select="if ($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-subs-1) then ()        else ($codesystemvalues/code[@related-terms], $codesystemvalues/related-terms[@related-terms]) " />
    <xsl:variable name="related-terms-2" select="for $i in index-of(        for $concept in $related-terms-1 return matches(translate($concept/@related-terms, $chars-no-pipe, ''), $defn-valid-regex, 'i'), true())         return $related-terms-1[$i]/@code " />
    <xsl:variable name="der-subs-codes-1" select="if (exists($related-terms-2)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($related-terms-2, ' OR '), ') AND ', $valid-domain), '', string(count($related-terms-2)), false())        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $der-subs-codes-1 " />
    <xsl:variable name="der-valid-codes-1" select="if (contains($der-subs-codes-1, '[')) then $der-subs-codes-1 else '' " />
    <xsl:variable name="valid-subs-2" select="$valid-subs-1 or $der-valid-codes-1 != '' " />
    <xsl:variable name="subs-inactive-refSets" select="if (exists($cd-definitions/subs/subs-invalid/inactive-refset))         then concat('((', $inactive-refSets, ') MINUS (',           string-join(for $refset in $cd-definitions/subs/subs-invalid/inactive-refset return concat('^', $refset/@code), ' OR '),          '))')         else $inactive-refSets " />
    <xsl:variable name="formula" select="concat($valid-domain, ' OR ', $subs-inactive-refSets) " />
    <xsl:variable name="ts-not-needed" select="$der-text = '' or $der-text-non-value or $der-invalid-text or $valid-subs-2 or $avoid-ts " />
    <xsl:variable name="der-subs-codes-2-a" select="if ($ts-not-needed or exists($related-terms-2)) then ()         else tokenize(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-text,          'default'), '\|') " />
    <xsl:variable name="error-usingTS-2-a" select="$error-usingTS-1 or 'Error' = $der-subs-codes-2-a " />
    <xsl:variable name="revision-pattern-1" select="if ($ts-not-needed or $valid-subs-2 or exists($der-subs-codes-2-a) or $error-usingTS-2-a or exists($related-terms-2)) then ''        else '(^|[^a-z])(agents?|related agents?)([^a-z]|$)~$1 $3' " />
    <xsl:variable name="der-revised-text-1" select="if ($revision-pattern-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-text, $revision-pattern-1, 'ic')) " />
    <xsl:variable name="use-revised-text-1" select="$der-revised-text-1 != '' and $der-revised-text-1 != $der-text " />
    <xsl:variable name="der-subs-codes-2-b" select="if ($ts-not-needed or exists($der-subs-codes-2-a) or not($use-revised-text-1)) then $der-subs-codes-2-a         else tokenize(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-1,          'default'), '\|') " />
    <xsl:variable name="error-usingTS-2-b" select="$error-usingTS-2-a or 'Error' = $der-subs-codes-2-b " />
    <xsl:variable name="revision-pattern-2" select="if ($ts-not-needed or $valid-subs-2 or exists($der-subs-codes-2-b) or $error-usingTS-2-b or exists($related-terms-2)) then ''        else concat($tgi-fir-pattern-replacement, '~', $tgi-regex, '~', $tgi-sec-pattern-replacement, '~', $tgi-thi-pattern-replacement) " />
    <xsl:variable name="der-revised-text-2" select="if ($revision-pattern-2 = '') then '' else normalize-space(dh:XQueryRecursiveReplace(if ($use-revised-text-1) then $der-revised-text-1 else $der-text,          $revision-pattern-2, 'ic')) " />
    <xsl:variable name="use-revised-text-2" select="if ($use-revised-text-1) then $der-revised-text-2 != '' and $der-revised-text-2 != $der-revised-text-1         else $der-revised-text-2 != '' and $der-revised-text-2 != $der-text " />
    <xsl:variable name="der-subs-codes-2-c" select="if ($ts-not-needed or exists($der-subs-codes-2-b) or not($use-revised-text-2)) then $der-subs-codes-2-b        else tokenize(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-2,          'default'), '\|') " />
    <xsl:variable name="error-usingTS-2-c" select="$error-usingTS-2-b or 'Error' = $der-subs-codes-2-c " />
    <xsl:variable name="revision-pattern-3" select="if ($ts-not-needed or $valid-subs-2 or exists($der-subs-codes-2-c) or $error-usingTS-2-c or exists($related-terms-2)) then ''        else '([a-z]{3,})[a-z]{1}($|[^a-z])~$1$2~(^|[^a-z])[a-z]{1}([^a-z]|$)~$1$2' " />
    <xsl:variable name="der-revised-text-3" select="if ($revision-pattern-3 = '') then '' else normalize-space(dh:XQueryRecursiveReplace(        if ($use-revised-text-2) then $der-revised-text-2 else if ($use-revised-text-1) then $der-revised-text-1 else $der-text,          $revision-pattern-3, 'ic')) " />
    <xsl:variable name="use-revised-text-3" select="if ($use-revised-text-2) then $der-revised-text-3 != '' and $der-revised-text-3 != $der-revised-text-2         else if ($use-revised-text-1) then $der-revised-text-3 != '' and $der-revised-text-3 != $der-revised-text-1         else $der-revised-text-3 != '' and $der-revised-text-3 != $der-text " />
    <xsl:variable name="der-subs-codes-2-d" select="if ($ts-not-needed or exists($der-subs-codes-2-c) or not($use-revised-text-3)) then $der-subs-codes-2-c        else tokenize(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-3,          'default'), '\|') " />
    <xsl:variable name="error-usingTS-2-d" select="$error-usingTS-2-c or 'Error' = $der-subs-codes-2-d " />
    <xsl:variable name="der-subs-codes-2" select="if ($ts-not-needed or $error-usingTS-2-d or not(exists($der-subs-codes-2-d)) or $der-valid-codes-1 != '') then ()        else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join(for $code in $der-subs-codes-2-d return replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is'), ' OR '), ') AND (',          $formula, ')'), '', string(count($der-subs-codes-2-d)), false()), '\|') " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-2-d or 'Error' = $der-subs-codes-2 " />
    <xsl:variable name="der-valid-codes-2" select="if ($der-valid-codes-1 != '') then $der-valid-codes-1        else if ($error-usingTS-2) then ''         else string-join((for $code in $der-subs-codes-2 return if (contains($code, '~inactive')) then '' else $code)[. != ''], '|')  " />
    <xsl:variable name="valid-subs-3" select="$valid-subs-2 or $der-valid-codes-2 != '' " />
    <xsl:variable name="der-inactive-codes-1" select="if ($valid-subs-3) then () else        for $code in $der-subs-codes-2 return if (contains($code, '~inactive')) then replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is') else '' " />
    <xsl:variable name="der-inactive-codes-2" select="for $i in (1 to count($der-inactive-codes-1)) return         dh:IsCodeAssociatedWithAnotherCode($der-inactive-codes-1[$i], '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-1" select="'Error' = $der-inactive-codes-2 " />
    <xsl:variable name="der-NAF-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-NAF-active-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound~active')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-inactive-codes-3" select="tokenize(string-join(for $i in (1 to count($der-inactive-codes-1)) return replace(string-join(tokenize($der-inactive-codes-2[$i], '\|')        [matches(., '(REPLACED BY|SAME AS|ALTERNATIVE|POSSIBLY EQUIVALENT TO|MAY BE A|WAS A)')], '|'), '[0-9]+~[A-Z ]+~([0-9]+)', '$1'), '|'), '\|')        [. != ''] " />
    <xsl:variable name="der-subs-codes-3" select="if (exists($der-inactive-codes-3)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($der-inactive-codes-3, ' OR '), ') AND ', $valid-domain), '', string(count($der-inactive-codes-3)), false())          else '' " />
    <xsl:variable name="error-usingTS-3" select="$error-usingTS-2 or 'Error' = $der-subs-codes-3 " />
    <xsl:variable name="der-valid-codes-3" select="if ($der-valid-codes-2 != '') then $der-valid-codes-2        else if (contains($der-subs-codes-3, '[')) then $der-subs-codes-3        else '' " />
    <xsl:variable name="valid-subs-4" select="$valid-subs-3 or $der-valid-codes-3 != '' " />
    <xsl:variable name="tbd-hierarchy" select="if (exists($cd-definitions/subs/subs-tbd/hierarchy))         then string-join(for $hierarchy in $cd-definitions/subs/subs-tbd/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-hierarchy" select="if ($invalid-hierarchy-1 != '' and $tbd-hierarchy != '') then concat($invalid-hierarchy-1, ' OR ', $tbd-hierarchy)        else if ($invalid-hierarchy-1 != '') then $invalid-hierarchy-1        else if ($tbd-hierarchy != '') then $tbd-hierarchy        else '' " />
    <xsl:variable name="invalid-domain" select="if ($invalid-hierarchy != '' and $invalid-refset != '') then concat($invalid-hierarchy, ' OR ', $invalid-refset)        else if ($invalid-hierarchy != '') then $invalid-hierarchy        else if ($invalid-refset != '') then $invalid-refset        else '' " />
    <xsl:variable name="filter-text" select="if ($use-revised-text-3) then $der-revised-text-3 else if ($use-revised-text-2) then $der-revised-text-2         else if ($use-revised-text-1) then $der-revised-text-1 else $der-text " />
    <xsl:variable name="der-subs-codes-4" select="if ($ts-not-needed or $valid-subs-4 or $invalid-domain = '') then ()        else if (exists($related-terms-2)) then $related-terms-2        else distinct-values((tokenize(replace(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          $invalid-domain, $filter-text, 'default'), '(\[.*?\])(\||$)', '$2'), '\|'), $der-inactive-codes-3)) " />
    <xsl:variable name="error-usingTS-4" select="$error-usingTS-3 or 'Error' = $der-subs-codes-4 " />
    <xsl:variable name="invalid-subs-codes-r" select="if ($ts-not-needed or $valid-subs-4 or $error-usingTS-4 or not(exists($der-subs-codes-4))) then ()        else if ($invalid-refset = '') then tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-subs-codes-4, ' OR '), ') AND (', $inactive-refSets, ')'), '',           string(count($der-subs-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')        else tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-subs-codes-4, ' OR '), ') AND (', $invalid-refset, ' OR ', $inactive-refSets, ')'), '',           string(count($der-subs-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')  " />
    <xsl:variable name="error-usingTS-5" select="$error-usingTS-4 or 'Error' = $invalid-subs-codes-r " />
    <xsl:variable name="der-subs-codes-4-h" select="if ($error-usingTS-5) then () else $der-subs-codes-4[not(. = $invalid-subs-codes-r)]" />
    <xsl:variable name="invalid-subs-codes-h" select="if ($ts-not-needed or $valid-subs-4 or 'Error' = $der-subs-codes-4 or $subs-invalid-hierarchy = '' or not(exists($der-subs-codes-4-h))) then ()        else (for $code in $der-subs-codes-4-h return          if (dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;&gt;', $code, ' MINUS ', $subs-invalid-hierarchy), '', '1', false()) = '') then $code else '')[. != ''] " />
    <xsl:variable name="invalid-subs-codes" select="($invalid-subs-codes-h, $invalid-subs-codes-r) " />
    <xsl:variable name="der-subs-codes-5" select="$der-subs-codes-4[not(. = $invalid-subs-codes or . = 'Error')]" />
    <xsl:variable name="der-valid-codes-4" select="if ($der-valid-codes-3 != '') then $der-valid-codes-3        else if ($ts-not-needed or $valid-subs-4 or $valid-domain = '' or not(exists($der-subs-codes-5))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-subs-codes-5, ' OR '), ') AND ', $valid-domain), '', string(count($der-subs-codes-5)), false()) " />
    <xsl:variable name="error-usingTS-6" select="$error-usingTS-5 or 'Error' = $der-valid-codes-4 " />
    <xsl:variable name="valid-subs-5" select="$valid-subs-4 or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="undetermined-subs-1" select="$der-subs-codes-5[not(. = tokenize(replace($der-valid-codes-4,  '(\[.*?\])(\||$)', '$2'), '\|'))]" />
    <xsl:variable name="undetermined-inactive-1" select="for $i in (1 to count($undetermined-subs-1)) return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $undetermined-subs-1[$i], '', '1', false()) " />
    <xsl:variable name="error-usingTS-7" select="$error-usingTS-6 or 'Error' = $undetermined-inactive-1 " />
    <xsl:variable name="undetermined-inactive" select="(for $i in (1 to count($undetermined-subs-1)) return         if (contains($undetermined-inactive-1[$i], '~inactive')) then $undetermined-inactive-1[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-1" select="for $i in (1 to count($undetermined-inactive))        return dh:IsCodeAssociatedWithAnotherCode(replace($undetermined-inactive[$i], '(\[.*?\])(\||$)', '$2'), '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-2" select="$error-usingV-1 or 'Error' = $undetermined-NAF-1 " />
    <xsl:variable name="undetermined-NAF" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-codes" select="for $term in $undetermined-NAF return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-NAF-active" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound~active')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-active-codes" select="for $term in $undetermined-NAF-active return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-subs" select="$undetermined-subs-1[not(. = ($undetermined-NAF-codes, $undetermined-NAF-active-codes))]" />
    <xsl:variable name="invalid-subs" select="not($valid-subs-5) and exists($invalid-subs-codes) and not(exists($undetermined-subs))" />
    <xsl:variable name="a-sas-tgi" select="if ($a-sas-tgi-1) then true()        else if ($a-vaccine or $valid-subs-5 or $invalid-subs or not($use-revised-text-2) or $tgi-sas-regex = '') then false()        else matches($der-revised-text-2, $tgi-sas-regex, 'is')" />
    <xsl:variable name="an-uncoded-tgi" select="if ($an-uncoded-tgi-1) then true()        else if ($a-vaccine or $valid-subs-5 or $invalid-subs or not($use-revised-text-2) or $tgi-otheru-regex = '' or $a-sas-tgi) then false()        else matches($der-revised-text-2, $tgi-otheru-regex, 'is')" />
    <xsl:variable name="an-obsolete-tgi" select="if ($an-obsolete-tgi-1) then true()        else if ($a-vaccine or $valid-subs-5 or $invalid-subs or not($use-revised-text-2) or $tgi-obsolete-regex = '' or $a-sas-tgi or          $an-uncoded-tgi) then false()        else matches($der-text, $tgi-obsolete-regex, 'is')" />
    <xsl:variable name="valid-subs-6" select="$valid-subs-5 or $a-sas-tgi or $an-uncoded-tgi or $an-obsolete-tgi " />
    <xsl:variable name="codes-were-found" select="exists($der-subs-codes-4) or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="codes-not-found" select="not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-subs-6 or $invalid-subs) " />
    <xsl:variable name="codes-in-the-domain" select="not($valid-subs-1) and $valid-subs-5" />
    <xsl:variable name="codes-in-other-domain" select="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-subs-6 or $invalid-subs or         $error-usingTS-7) " />
    <xsl:variable name="codes-in-no-domain" select="exists($der-subs-codes-5) " />
    <xsl:variable name="display-in-the-domain" select="if ($codes-in-the-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', '), '''')        else '' " />
    <xsl:variable name="display-in-other-r" select="if (exists($invalid-subs-codes-r) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-subs-codes-r return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-h" select="if (exists($invalid-subs-codes-h) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-subs-codes-h return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-domain" select="if (not($codes-in-other-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))) then ''        else if ($display-in-other-r and display-in-other-h) then concat('''', $display-in-other-r, ', ', $display-in-other-h, '''')        else if ($display-in-other-r) then concat('''', $display-in-other-r, '''')        else if ($display-in-other-h) then concat('''', $display-in-other-h, '''')        else '' " />
    <xsl:variable name="display-in-no-domain" select="if ($codes-in-no-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', dh:XQueryRecursiveReplace(string-join(for $code in $der-subs-codes-5 return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), '; '),          $term-pattern-replacement, 'ic'), '''')        else '' " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))        else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="log-concepts-appended" select="if ($error-usingTS-7 or not($flags/@report-terminology-concepts = 'true') or $log-concepts-name = '') then ''        else if ($codes-not-found and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                   'Substance/Agent',   $log-tab,                   'yes',     $log-tab,                   concat($display-code, $display-system), $log-tab,                   '',     $log-tab,                  '',     $log-tab,                  '',     $log-tab,                  $ts-current-sctau   ))        else if (($use-revised-text-3 or $codes-in-no-domain) and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                  'Substance/Agent',   $log-tab,                   'yes',     $log-tab,                     concat($display-code, $display-system), $log-tab,                    $display-in-the-domain,   $log-tab,                  $display-in-other-domain,  $log-tab,                  $display-in-no-domain,   $log-tab,                  $ts-current-sctau   ))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <!--REPORT -->
    <xsl:if test=" $log-concepts-appended = ('NOTFOUND', 'ERROR') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$log-concepts-appended = ('NOTFOUND', 'ERROR')">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Subs-Defn): The AppendLog function returned '<xsl:text /><xsl:value-of select="$log-concepts-appended" /><xsl:text />' when requested to append the concepts log
		'<xsl:text /><xsl:value-of select="$log-concepts-name" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-subs-6) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-subs-6)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Subs-Defn): An unexpected problem occurred when assessing the value of the Substance/Agent
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. The application of regular expressions resulted in the complete loss of text.
		Report the information below to the Australian Digital Health Agency for investigation.

		der-text-1 '<xsl:text /><xsl:value-of select="normalize-space(dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'))" /><xsl:text />'.
		der-text-2a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-2a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-a, $term-pattern-replacement, 'ic')" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingV-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingV-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Subs-Defn): An error was reported when accessing the terminology server when assessing the Substance/Agent data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		Report the issue to the Australian Digital Health Agency for investigation stating the error was recorded for error-usingV-2.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-7 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-7">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Subs-Defn): An error was reported when accessing the terminology server when assessing the Substance/Agent data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term:
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The analysis should be retried as the terminology server may have been temporarily unavailable.
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation, stating that the error was found by
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'error-usingTS-1' else if ($error-usingTS-2-a) then 'error-usingTS-2-a'   else if ($error-usingTS-2-b) then 'error-usingTS-2-b' else if ($error-usingTS-2-c) then 'error-usingTS-2-c'   else if ($error-usingTS-2-d) then 'error-usingTS-2-d' else if ($error-usingTS-2) then 'error-usingTS-2'   else if ($error-usingTS-3) then 'error-usingTS-3' else if ($error-usingTS-4) then 'error-usingTS-4'   else if ($error-usingTS-5) then 'error-usingTS-5' else if ($error-usingTS-6) then 'error-usingTS-6'   else 'error-usingTS-7' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not($codes-were-found) and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not($codes-were-found) and $codes-not-found">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the substance, agent, or a class of substance,         that is considered to be responsible for the adverse reaction.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the ADVERSE REACTION section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$codes-in-other-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$codes-in-other-domain">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value does not seem to be applicable for the data element.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the substance, agent, or a class of substance,         that is considered to be responsible for the adverse reaction.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'unknown' = 'allowed' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'unknown' = 'allowed' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Substance/Agent
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the substance, agent, or a class of substance,         that is considered to be responsible for the adverse reaction.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Substance/Agent data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'unknown' = 'exclusion' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'unknown' = 'exclusion' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Substance/Agent
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the substance, agent, or a class of substance,         that is considered to be responsible for the adverse reaction.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Substance/Agent data element must have a value that is consistent with this definition. Alternatively if there is no Substance/Agent data element with a proper value then an exclusion
		statement must be included to state why there is no Substance/Agent. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4')    then concat('Text such as ''', dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'), ''' may be permitted in the narrative even though the Substance/Agent data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'unknown' = 'unknown' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'unknown' = 'unknown' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Substance/Agent
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the substance, agent, or a class of substance,         that is considered to be responsible for the adverse reaction.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Substance/Agent data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($der-text-non-value) and $der-invalid-text ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($der-text-non-value) and $der-invalid-text">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid. <xsl:text /><xsl:value-of select="$defn-invalid-rsn" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the substance, agent, or a class of substance,         that is considered to be responsible for the adverse reaction.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $invalid-subs and not($error-usingTS-7) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$invalid-subs and not($error-usingTS-7)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid
		<xsl:text /><xsl:value-of select="if (exists($invalid-subs-codes-h)) then concat(' as it describes ', string-join(distinct-values(for $code in tokenize(replace(   dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat('(', string-join(for $code in $invalid-subs-codes-h return concat('&gt;&gt;', $code), ' OR '), ') AND (',    string-join(for $hierarchy in $cd-definitions/subs/subs-invalid/hierarchy return $hierarchy/@code, ' OR '), ')'), '',    string(count($invalid-subs-codes-h)), true()), '(\[.*?\])(\||$)', '$2'), '\|') return    $cd-definitions/subs/subs-invalid/hierarchy[@code = $code]/@description)[position() = (1 to 2)], ' and '), '.')    else if (exists($invalid-subs-codes-r)) then concat(' as it describes ', string-join(distinct-values(for $code in $invalid-subs-codes-r return   $cd-definitions/subs/subs-invalid/refset[index-of(for $x in (for $refset in $cd-definitions/subs/subs-invalid/refset return    dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat($code, ' AND ^', $refset/@code), '', '1', true()), '|') return matches($x, '^[0-9]'), true())[1]]/@description), ' and '), '.')   else '.'" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the substance, agent, or a class of substance,         that is considered to be responsible for the adverse reaction.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable outside the applicable value domain): The Substance/Agent
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following codes were obtained and are not in the value domain: <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-Subs-Defn): The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU and no associated code was found in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists(($der-NAF-active-codes, $undetermined-NAF-active-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists(($der-NAF-active-codes, $undetermined-NAF-active-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-Subs-Defn): The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-active-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the
		'<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' version of SNOMED CT-AU but it was not found with this status in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU. <xsl:text /><xsl:value-of select="if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and ($valid-subs-1 or (not($valid-subs-5) and $valid-subs-6)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and ($valid-subs-1 or (not($valid-subs-5) and $valid-subs-6))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable within the value domain): The Substance/Agent
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which matches one of the terms listed in Knowledge.xml for the Substance/Agent.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (concept is codeable within the value domain): The Substance/Agent
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a valid value for the Substance/Agent.
		SNOMED CT-AU codes that matched the concept are: <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-subs-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-subs-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The text used to match regular expression (der-text-2) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to match non-values and vaccines (der-text-to-match) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-to-match, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to derive a code (der-text) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.

		<xsl:text /><xsl:value-of select="if ($use-revised-text-1) then concat(' A first revision of the text (der-revised-text-1) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-1, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A first revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-1 != '' and $der-revised-text-1 = '') then ' revision-pattern-1 was applied but the output (der-revised-text-1) was an empty string.' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($use-revised-text-2) then concat(' A second revision of the text (der-revised-text-2) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A second revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-2 != '' and $der-revised-text-2 = '') then ' revision-pattern-2 was applied but the output (der-revised-text-2) was an empty string.' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($use-revised-text-3) then concat(' A third revision of the text (der-revised-text-3) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-3, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A third revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-3 != '' and $der-revised-text-3 = '') then ' revision-pattern-3 was applied but the output (der-revised-text-3) was an empty string.' else '' " /><xsl:text />

		The SNOMED CT-AU version used to find codes is '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' and the maximum code number is '<xsl:text /><xsl:value-of select="$max-code-number" /><xsl:text />'.

		Codes for related terms (related-terms-2): '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($related-terms-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes for related terms (der-valid-codes-1): 
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-1, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-subs-codes-2) returned by the terminology server that match the text:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-subs-codes-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes from related terms or the terminology server (der-valid-codes-2):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-2, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-inactive-codes-3) returned from the Validator's database associated with inactive codes:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-inactive-codes-3, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes found after examining inactive codes (der-valid-codes-3):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-3, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Members of invalid reference sets (invalid-subs-codes-r): '<xsl:text /><xsl:value-of select="$display-in-other-r" /><xsl:text />'.
		Members of invalid code hierarchies (invalid-subs-codes-h): '<xsl:text /><xsl:value-of select="$display-in-other-h" /><xsl:text />'.

		Final set of valid codes (der-valid-codes-4):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		
		Codes whose validity has not been determined (der-subs-codes-5):  <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.
		Codes whose validity has not been determined and are inactive with no associated code (undetermined-NAF): '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(    string-join($undetermined-NAF, ''', '''), $markup-pattern-replacement, 'ic')" /><xsl:text />'.

		Will the value of the data element be trusted (der-trusted-text)? '<xsl:text /><xsl:value-of select="$der-trusted-text" /><xsl:text />'.
		
	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and $codes-not-found">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept not codeable): The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($avoid-ts) then 'The terminology server was not used to assist with finding codes corresponding to text in the data element. ' else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M97" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M97" />
  <xsl:template match="@*|node()" priority="-2" mode="M97">
    <xsl:apply-templates select="@*|*" mode="M97" />
  </xsl:template>
  <!--PATTERN p-TS-Adverse-CodeableText-14-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.20113' = $doc-sections][cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.153' and @extension = '1.0']]/   cda:component/cda:structuredBody/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/cda:entry/cda:act[cda:code   [@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:participant[@typeCode='CAGNT']/cda:participantRole/cda:playingEntity/cda:code " priority="1000" mode="M98">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.20113' = $doc-sections][cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.153' and @extension = '1.0']]/   cda:component/cda:structuredBody/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/cda:entry/cda:act[cda:code   [@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:participant[@typeCode='CAGNT']/cda:participantRole/cda:playingEntity/cda:code " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Substance/Agent',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to section 3.5 of the Personal Health Summary Structured Content Specification v1.0 the Substance/Agent '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to section 3.5 of the Personal Health Summary Structured Content Specification v1.0 the Substance/Agent '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 3.5 of the Personal Health Summary Structured Content Specification v1.0 the Substance/Agent
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Substance/Agent however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Substance/Agent in section 3.5 of the Personal Health Summary Structured Content Specification v1.0 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 3.5 of the Personal Health Summary Structured Content Specification v1.0 the Substance/Agent
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Substance/Agent however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Substance/Agent in section 3.5 of the Personal Health Summary Structured Content Specification v1.0 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Substance/Agent data element must have a value that is consistent with this definition. Alternatively if there is no Substance/Agent data element with a proper value then an exclusion
		statement must be included to state why there is no Substance/Agent.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 3.5 of the Personal Health Summary Structured Content Specification v1.0 the Substance/Agent
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Substance/Agent however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Substance/Agent in section 3.5 of the Personal Health Summary Structured Content Specification v1.0 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 3.5 of the Personal Health Summary Structured Content Specification v1.0 the Substance/Agent
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Substance/Agent however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Substance/Agent in section 3.5 of the Personal Health Summary Structured Content Specification v1.0 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Substance/Agent data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 3.5 of the Personal Health Summary Structured Content Specification v1.0 the Substance/Agent
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Substance/Agent however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Substance/Agent in section 3.5 of the Personal Health Summary Structured Content Specification v1.0 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Substance/Agent data element must have a value that is consistent with this definition. Alternatively if there is no Substance/Agent data element with a proper value then an exclusion
		statement must be included to state why there is no Substance/Agent.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 3.5 of the Personal Health Summary Structured Content Specification v1.0 the Substance/Agent
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Substance/Agent however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Substance/Agent in section 3.5 of the Personal Health Summary Structured Content Specification v1.0 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Substance/Agent data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.5 of the Personal Health Summary Structured Content Specification v1.0 the Substance/Agent
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.5 of the Personal Health Summary Structured Content Specification v1.0 the Substance/Agent
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.5 of the Personal Health Summary Structured Content Specification v1.0 the Substance/Agent '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.5 of the Personal Health Summary Structured Content Specification v1.0 the Substance/Agent '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 3.5 of the Personal Health Summary Structured Content Specification v1.0 the Substance/Agent '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 3.5 of the Personal Health Summary Structured Content Specification v1.0 the Substance/Agent '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 3.5 of the Personal Health Summary Structured Content Specification v1.0 the Substance/Agent '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 3.5 of the Personal Health Summary Structured Content Specification v1.0 the Substance/Agent '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Substance/Agent
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 3.5 of the Personal Health Summary Structured Content Specification v1.0 the Substance/Agent '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Substance/Agent.
		(See the definition of Substance/Agent in section 3.5 of the Personal Health Summary Structured Content Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M98" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M98" />
  <xsl:template match="@*|node()" priority="-2" mode="M98">
    <xsl:apply-templates select="@*|*" mode="M98" />
  </xsl:template>
  <!--PATTERN p-TS-Adverse-CodeableText-15-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.20113' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/cda:entry/cda:act[cda:code   [@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:participant[@typeCode='CAGNT']/cda:participantRole/cda:playingEntity/cda:code   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M99">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.20113' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/cda:entry/cda:act[cda:code   [@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:participant[@typeCode='CAGNT']/cda:participantRole/cda:playingEntity/cda:code   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Substance/Agent
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Substance/Agent
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Substance/Agent
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Substance/Agent
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Substance/Agent has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Substance/Agent data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Substance/Agent
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Substance/Agent data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Substance/Agent
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Substance/Agent data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Substance/Agent
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Substance/Agent data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Substance/Agent
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Substance/Agent
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Substance/Agent data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Substance/Agent
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Substance/Agent data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Substance/Agent
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Substance/Agent
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Substance/Agent data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Substance/Agent
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Substance/Agent data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Substance/Agent
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Substance/Agent
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M99" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M99" />
  <xsl:template match="@*|node()" priority="-2" mode="M99">
    <xsl:apply-templates select="@*|*" mode="M99" />
  </xsl:template>
  <!--PATTERN p-TS-Adverse-CodeableText-16-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.20113' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/cda:entry/cda:act[cda:code   [@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:participant[@typeCode='CAGNT']/cda:participantRole/cda:playingEntity/cda:code   [(@displayName and matches(@displayName, '[a-z0-9]', 'i')) or (cda:originalText and matches(cda:originalText, '[a-z0-9]', 'i'))] " priority="1000" mode="M100">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.20113' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/cda:entry/cda:act[cda:code   [@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:participant[@typeCode='CAGNT']/cda:participantRole/cda:playingEntity/cda:code   [(@displayName and matches(@displayName, '[a-z0-9]', 'i')) or (cda:originalText and matches(cda:originalText, '[a-z0-9]', 'i'))] " />
    <xsl:variable name="section1" select="if (cda:originalText) then /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//cda:section   [cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = ('101.16672', '101.16006', '101.20109', '102.15513.4.1.1', '101.20117', '101.16611', '102.20158', '101.16606', '102.16347')]]   [contains(translate(normalize-space(lower-case(cda:text)), $chars-to-remove, ''), translate(normalize-space(lower-case(current()/cda:originalText)), $chars-to-remove, ''))] else ()" />
    <xsl:variable name="section2" select="if (@displayName) then /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//cda:section   [cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = ('101.16672', '101.16006', '101.20109', '102.15513.4.1.1', '101.20117', '101.16611', '102.20158', '101.16606', '102.16347')]]   [contains(translate(normalize-space(lower-case(cda:text)), $chars-to-remove, ''), translate(normalize-space(lower-case(current()/@displayName)), $chars-to-remove, ''))] else ()" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-2" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-2 " />
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $section1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $section1">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step-2" /><xsl:text />: TC-Narr-09 step 2: The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has originalText with the value
		'<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />' and this was also found in the narrative of the <xsl:text /><xsl:value-of select="$section1/cda:title" /><xsl:text /> section. Confirm by manual inspection that the information
		about '<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />' in the <xsl:text /><xsl:value-of select="$section1/cda:title" /><xsl:text /> section does not contradict information about '<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. Also check other sections in the document for information about '<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />'.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not($section1) and $section2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not($section1) and $section2">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step-2" /><xsl:text />: TC-Narr-09 step 2: The Substance/Agent '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a displayName attribute with the value '<xsl:text /><xsl:value-of select="@displayName" /><xsl:text />' and this was also found in the narrative of the
		<xsl:text /><xsl:value-of select="$section2/cda:title" /><xsl:text /> section. Confirm by manual inspection that the information about
		'<xsl:text /><xsl:value-of select="@displayName" /><xsl:text />' in the <xsl:text /><xsl:value-of select="$section2/cda:title" /><xsl:text /> section does not contradict information about '<xsl:text /><xsl:value-of select="@displayName" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. Also check other sections in the document for information about '<xsl:text /><xsl:value-of select="@displayName" /><xsl:text />'.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M100" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M100" />
  <xsl:template match="@*|node()" priority="-2" mode="M100">
    <xsl:apply-templates select="@*|*" mode="M100" />
  </xsl:template>
  <!--PATTERN p-TS-Adverse-CodeableText-17-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.20113' = $doc-sections][cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']]/   cda:component/cda:structuredBody/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16011']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/   cda:entry/cda:observation/cda:entryRelationship[@typeCode='MFST']/cda:observation/cda:code " priority="1000" mode="M101">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.20113' = $doc-sections][cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']]/   cda:component/cda:structuredBody/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16011']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/   cda:entry/cda:observation/cda:entryRelationship[@typeCode='MFST']/cda:observation/cda:code " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Reaction Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Reaction Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Reaction Description',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Reaction Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Reaction Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Reaction Description
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Reaction Description however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Reaction Description in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Reaction Description
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Reaction Description however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Reaction Description in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Reaction Description data element must have a value that is consistent with this definition. Alternatively if there is no Reaction Description data element with a proper value then an exclusion
		statement must be included to state why there is no Reaction Description.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Reaction Description
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Reaction Description however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Reaction Description in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Reaction Description
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Reaction Description however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Reaction Description in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Reaction Description data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Reaction Description
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Reaction Description however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Reaction Description in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Reaction Description data element must have a value that is consistent with this definition. Alternatively if there is no Reaction Description data element with a proper value then an exclusion
		statement must be included to state why there is no Reaction Description.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Reaction Description
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Reaction Description however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Reaction Description in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Reaction Description data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Reaction Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Reaction Description
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Reaction Description
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Reaction Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Reaction Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Reaction Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Reaction Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Reaction Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Reaction Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Reaction Description
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Reaction Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Reaction Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Reaction Description.
		(See the definition of Reaction Description in the Structured Content Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Reaction Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M101" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M101" />
  <xsl:template match="@*|node()" priority="-2" mode="M101">
    <xsl:apply-templates select="@*|*" mode="M101" />
  </xsl:template>
  <!--PATTERN p-TS-Adverse-CodeableText-18-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '101.20113' = $doc-sections][cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension =  '3.4']]/   cda:component/cda:structuredBody/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16011']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/cda:entry/cda:observation/cda:entryRelationship[@typeCode='MFST']/cda:observation/   cda:code[@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " priority="1000" mode="M102">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '101.20113' = $doc-sections][cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension =  '3.4']]/   cda:component/cda:structuredBody/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16011']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/cda:entry/cda:observation/cda:entryRelationship[@typeCode='MFST']/cda:observation/   cda:code[@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="pnullFlavor" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @nullFlavor) then @nullFlavor else '' " />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-p-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then false()        else if ($psnomed-id = 'amtv3' and @codeSystemVersion) then exists($v-amtv3[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($psnomed-id = 'snomedctau' and @codeSystemVersion) then exists($v-snomedctau[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false() " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and $pcode != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used to assess the primary code.') " />
    <xsl:variable name="pcode-refsets-1" select="if (@codeSystem = '2.16.840.1.113883.6.96' and not($pcode = ''))         then dh:FindValueDomainsForCode($pcode, '2.16.840.1.113883.6.96', $v-psnomed-version) else 'no-code' " />
    <xsl:variable name="pcode-found" select="not($pcode-refsets-1 = 'no-code' or $pcode-refsets-1 = 'CodeNotFound' or $pcode-refsets-1 = 'Error'        or contains($pcode-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="pcode-refsets" select="if ($pcode-found) then distinct-values(tokenize($pcode-refsets-1, '\|')) else () " />
    <xsl:variable name="pcode-special-proc" select="count($pcode-refsets) = 1 and 'Procedure Foundation (PF)' = $pcode-refsets and not($pnullFlavor = 'OTH') " />
    <xsl:variable name="pcode-refsets-msg" select="if (count($pcode-refsets) = 0) then ''         else if (count($pcode-refsets) = 1) then concat('The code is a member of the ', $pcode-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($pcode-refsets, ', '), '.') " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))         else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-1" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="snomed-trans-2" select="distinct-values(for $i in (1 to count($snomed-trans-1)) return $snomed-trans-1[$i]/@code) " />
    <xsl:variable name="snomed-trans-a" select="$snomed-trans-1[1] " />
    <xsl:variable name="tcode-a" select="if (exists($snomed-trans-a) and matches($snomed-trans-a/@code, $snomed-code-regex)) then $snomed-trans-a/@code else '' " />
    <xsl:variable name="tnullFlavor-a" select="if (exists($snomed-trans-a) and $snomed-trans-a/@nullFlavor) then $snomed-trans-a/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-a" select="if (not(exists($snomed-trans-a))) then 'not-snomed'        else if (not($snomed-trans-a/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-a/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-a" select="if (not(exists($snomed-trans-a))) then ''        else if ($tsnomed-id-a = 'amtv3' and exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-a = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-a/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-a" select="if (not(exists($snomed-trans-a))) then false()        else if ($tsnomed-id-a = 'amtv3' and $snomed-trans-a/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-a = 'snomedctau' and $snomed-trans-a/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-a-msg" select="if (not(exists($snomed-trans-a))) then ''        else if (not($snomed-trans-a/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-a, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-a = 'amtv3') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-a = 'snomedctau') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-a/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-a, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-a/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-a-refsets-1" select="if (exists($snomed-trans-a) and not($tcode-a = ''))         then dh:FindValueDomainsForCode($tcode-a, '2.16.840.1.113883.6.96', $v-tsnomed-version-a) else 'no-code' " />
    <xsl:variable name="tcode-a-found" select="not($tcode-a-refsets-1 = 'no-code' or $tcode-a-refsets-1 = 'CodeNotFound' or $tcode-a-refsets-1 = 'Error'         or contains($tcode-a-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-a-refsets" select="if ($tcode-a-found) then distinct-values(tokenize($tcode-a-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-a-special-proc" select="count($tcode-a-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-a-refsets and not($tnullFlavor-a = 'OTH') " />
    <xsl:variable name="tcode-a-refsets-msg" select="if (count($tcode-a-refsets) = 0) then ''         else if (count($tcode-a-refsets) = 1) then concat('The code is a member of the ', $tcode-a-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-a-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@code and $snomed-trans-a/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-a/@displayName, codepoints-to-string(34))         else if ($snomed-trans-a/@code and not($snomed-trans-a/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@codeSystem and $snomed-trans-a/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-a/@codeSystemName, ')')         else if ($snomed-trans-a/@codeSystem and not($snomed-trans-a/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-b" select="(for $i in (2 to count($snomed-trans-1)) return if ($snomed-trans-1[$i]/@code != $snomed-trans-a/@code) then $snomed-trans-1[$i] else ())[1] " />
    <xsl:variable name="tcode-b" select="if (exists($snomed-trans-b) and matches($snomed-trans-b/@code, $snomed-code-regex)) then $snomed-trans-b/@code else '' " />
    <xsl:variable name="tnullFlavor-b" select="if (exists($snomed-trans-b) and $snomed-trans-b/@nullFlavor) then $snomed-trans-b/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-b" select="if (not(exists($snomed-trans-b))) then 'not-snomed'        else if (not($snomed-trans-b/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-b/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-b" select="if (not(exists($snomed-trans-b))) then ''        else if ($tsnomed-id-b = 'amtv3' and exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-b = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-b/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-b" select="if (not(exists($snomed-trans-b))) then false()        else if ($tsnomed-id-b = 'amtv3' and $snomed-trans-b/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-b = 'snomedctau' and $snomed-trans-b/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-b-msg" select="if (not(exists($snomed-trans-b))) then ''        else if (not($snomed-trans-b/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-b, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-b = 'amtv3') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-b = 'snomedctau') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-b/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-b, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-b/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-b-refsets-1" select="if (exists($snomed-trans-b) and not($tcode-b = ''))         then dh:FindValueDomainsForCode($tcode-b, '2.16.840.1.113883.6.96', $v-tsnomed-version-b) else 'no-code' " />
    <xsl:variable name="tcode-b-found" select="not($tcode-b-refsets-1 = 'no-code' or $tcode-b-refsets-1 = 'CodeNotFound' or $tcode-b-refsets-1 = 'Error'         or contains($tcode-b-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-b-refsets" select="if ($tcode-b-found) then distinct-values(tokenize($tcode-b-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-b-special-proc" select="count($tcode-b-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-b-refsets and not($tnullFlavor-b = 'OTH') " />
    <xsl:variable name="tcode-b-refsets-msg" select="if (count($tcode-b-refsets) = 0) then ''         else if (count($tcode-b-refsets) = 1) then concat('The code is a member of the ', $tcode-b-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-b-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@code and $snomed-trans-b/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-b/@displayName, codepoints-to-string(34))         else if ($snomed-trans-b/@code and not($snomed-trans-b/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@codeSystem and $snomed-trans-b/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-b/@codeSystemName, ')')         else if ($snomed-trans-b/@codeSystem and not($snomed-trans-b/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-60" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-60 else $rating-alt-TC-Types-60 " />
    <!--REPORT -->
    <xsl:if test=" $pcode-found and $pcode-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pcode-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD (p-TS-CD-SCT-RefSet): An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$pcode" /><xsl:text />',
		codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-psnomed-version" /><xsl:text />'. This error occurred when assessing the Reaction Description data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-special-proc and count(('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) = 1 and 'Problem Diagnosis (PD)' = ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-special-proc and count(('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) = 1 and 'Problem Diagnosis (PD)' = ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Reaction Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. The value is not valid for the data element as it describes a medical
		procedure and not a medical problem or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the signs and symptoms of the adverse reaction         expressed as a single word, phrase or brief description. (See section 6.12 of the Discharge Summary Structured Document Template v3.3.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and   not(exists(index-of(for $refset in ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) = 1 and 'Problem Diagnosis (PD)' = ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and not(exists(index-of(for $refset in ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) = 1 and 'Problem Diagnosis (PD)' = ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Reaction Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the code is not a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Clinical Manifestation (Concept Id: 142341000036103) and Clinical Finding Foundation         (Concept Id: 32570071000036102) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain was not stated when the Discharge Summary CDA Implementation Guide was published but the value domain is now specified         in section 2.13 of the Adverse Reaction Detailed Clinical Model Specification v3.3 which uses the name Clinical Manifestation for the         Reaction Description data element.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and   not(exists(index-of(for $refset in ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) = 1 and 'Problem Diagnosis (PD)' = ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and not(exists(index-of(for $refset in ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) = 1 and 'Problem Diagnosis (PD)' = ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Reaction Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Clinical Manifestation (Concept Id: 142341000036103) and Clinical Finding Foundation         (Concept Id: 32570071000036102) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain was not stated when the Discharge Summary CDA Implementation Guide was published but the value domain is now specified         in section 2.13 of the Adverse Reaction Detailed Clinical Model Specification v3.3 which uses the name Clinical Manifestation for the         Reaction Description data element.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and   exists(index-of(for $refset in ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) = 1 and 'Problem Diagnosis (PD)' = ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and exists(index-of(for $refset in ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) = 1 and 'Problem Diagnosis (PD)' = ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Reaction Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Clinical Manifestation (Concept Id: 142341000036103) and Clinical Finding Foundation         (Concept Id: 32570071000036102) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain was not stated when the Discharge Summary CDA Implementation Guide was published but the value domain is now specified         in section 2.13 of the Adverse Reaction Detailed Clinical Model Specification v3.3 which uses the name Clinical Manifestation for the         Reaction Description data element.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and   exists(index-of(for $refset in ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) = 1 and 'Problem Diagnosis (PD)' = ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and exists(index-of(for $refset in ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) = 1 and 'Problem Diagnosis (PD)' = ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Reaction Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. Confirm if the code is a member of the value domain.
		If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Clinical Manifestation (Concept Id: 142341000036103) and Clinical Finding Foundation         (Concept Id: 32570071000036102) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain was not stated when the Discharge Summary CDA Implementation Guide was published but the value domain is now specified         in section 2.13 of the Adverse Reaction Detailed Clinical Model Specification v3.3 which uses the name Clinical Manifestation for the         Reaction Description data element.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Reaction Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="count($snomed-trans-1)" /><xsl:text /> translation elements with
		codes and the SNOMED CT-AU codeSystem '2.16.840.1.113883.6.96'. The first two translation elements have been assessed to determine if the codes are members of the value domain
		and the others have not been assessed. Confirm if the value of the code attribute in all SNOMED CT translation elements meets the requirement that it be a member of the value domain
		if there is no nullFlavor 'OTH' or that there is a nullFlavor 'OTH' if the value of the code attribute is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Clinical Manifestation (Concept Id: 142341000036103) and Clinical Finding Foundation         (Concept Id: 32570071000036102) reference sets.')" /><xsl:text /> 
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain was not stated when the Discharge Summary CDA Implementation Guide was published but the value domain is now specified         in section 2.13 of the Adverse Reaction Detailed Clinical Model Specification v3.3 which uses the name Clinical Manifestation for the         Reaction Description data element.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-a" /><xsl:text />'. This error occurred when assessing the Reaction Description data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-special-proc and count(('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) = 1 and 'Problem Diagnosis (PD)' = ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-special-proc and count(('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) = 1 and 'Problem Diagnosis (PD)' = ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Reaction Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the signs and symptoms of the adverse reaction         expressed as a single word, phrase or brief description. (See section 6.12 of the Discharge Summary Structured Document Template v3.3.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and   not(exists(index-of(for $refset in ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) = 1 and 'Problem Diagnosis (PD)' = ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and not(exists(index-of(for $refset in ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) = 1 and 'Problem Diagnosis (PD)' = ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Reaction Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Clinical Manifestation (Concept Id: 142341000036103) and Clinical Finding Foundation         (Concept Id: 32570071000036102) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain was not stated when the Discharge Summary CDA Implementation Guide was published but the value domain is now specified         in section 2.13 of the Adverse Reaction Detailed Clinical Model Specification v3.3 which uses the name Clinical Manifestation for the         Reaction Description data element.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and   not(exists(index-of(for $refset in ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) = 1 and 'Problem Diagnosis (PD)' = ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and not(exists(index-of(for $refset in ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) = 1 and 'Problem Diagnosis (PD)' = ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Reaction Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Clinical Manifestation (Concept Id: 142341000036103) and Clinical Finding Foundation         (Concept Id: 32570071000036102) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain was not stated when the Discharge Summary CDA Implementation Guide was published but the value domain is now specified         in section 2.13 of the Adverse Reaction Detailed Clinical Model Specification v3.3 which uses the name Clinical Manifestation for the         Reaction Description data element.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and   exists(index-of(for $refset in ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) = 1 and 'Problem Diagnosis (PD)' = ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and exists(index-of(for $refset in ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) = 1 and 'Problem Diagnosis (PD)' = ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Reaction Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Clinical Manifestation (Concept Id: 142341000036103) and Clinical Finding Foundation         (Concept Id: 32570071000036102) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain was not stated when the Discharge Summary CDA Implementation Guide was published but the value domain is now specified         in section 2.13 of the Adverse Reaction Detailed Clinical Model Specification v3.3 which uses the name Clinical Manifestation for the         Reaction Description data element.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and   exists(index-of(for $refset in ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) = 1 and 'Problem Diagnosis (PD)' = ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and exists(index-of(for $refset in ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) = 1 and 'Problem Diagnosis (PD)' = ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Reaction Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Clinical Manifestation (Concept Id: 142341000036103) and Clinical Finding Foundation         (Concept Id: 32570071000036102) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain was not stated when the Discharge Summary CDA Implementation Guide was published but the value domain is now specified         in section 2.13 of the Adverse Reaction Detailed Clinical Model Specification v3.3 which uses the name Clinical Manifestation for the         Reaction Description data element.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-b" /><xsl:text />'. This error occurred when assessing the Reaction Description data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-special-proc and count(('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) = 1 and 'Problem Diagnosis (PD)' = ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-special-proc and count(('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) = 1 and 'Problem Diagnosis (PD)' = ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Reaction Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> 
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the signs and symptoms of the adverse reaction         expressed as a single word, phrase or brief description. (See section 6.12 of the Discharge Summary Structured Document Template v3.3.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and   not(exists(index-of(for $refset in ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) = 1 and 'Problem Diagnosis (PD)' = ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and not(exists(index-of(for $refset in ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) = 1 and 'Problem Diagnosis (PD)' = ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Reaction Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Clinical Manifestation (Concept Id: 142341000036103) and Clinical Finding Foundation         (Concept Id: 32570071000036102) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain was not stated when the Discharge Summary CDA Implementation Guide was published but the value domain is now specified         in section 2.13 of the Adverse Reaction Detailed Clinical Model Specification v3.3 which uses the name Clinical Manifestation for the         Reaction Description data element.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and   not(exists(index-of(for $refset in ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) = 1 and 'Problem Diagnosis (PD)' = ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and not(exists(index-of(for $refset in ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) = 1 and 'Problem Diagnosis (PD)' = ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Reaction Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Clinical Manifestation (Concept Id: 142341000036103) and Clinical Finding Foundation         (Concept Id: 32570071000036102) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain was not stated when the Discharge Summary CDA Implementation Guide was published but the value domain is now specified         in section 2.13 of the Adverse Reaction Detailed Clinical Model Specification v3.3 which uses the name Clinical Manifestation for the         Reaction Description data element.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and   exists(index-of(for $refset in ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) = 1 and 'Problem Diagnosis (PD)' = ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and exists(index-of(for $refset in ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) = 1 and 'Problem Diagnosis (PD)' = ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Reaction Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Clinical Manifestation (Concept Id: 142341000036103) and Clinical Finding Foundation         (Concept Id: 32570071000036102) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain was not stated when the Discharge Summary CDA Implementation Guide was published but the value domain is now specified         in section 2.13 of the Adverse Reaction Detailed Clinical Model Specification v3.3 which uses the name Clinical Manifestation for the         Reaction Description data element.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and   exists(index-of(for $refset in ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) = 1 and 'Problem Diagnosis (PD)' = ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and exists(index-of(for $refset in ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) = 1 and 'Problem Diagnosis (PD)' = ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Reaction Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Clinical Manifestation (Concept Id: 142341000036103) and Clinical Finding Foundation         (Concept Id: 32570071000036102) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain was not stated when the Discharge Summary CDA Implementation Guide was published but the value domain is now specified         in section 2.13 of the Adverse Reaction Detailed Clinical Model Specification v3.3 which uses the name Clinical Manifestation for the         Reaction Description data element.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M102" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M102" />
  <xsl:template match="@*|node()" priority="-2" mode="M102">
    <xsl:apply-templates select="@*|*" mode="M102" />
  </xsl:template>
  <!--PATTERN p-TS-Adverse-CodeableText-19-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '101.20113' = $doc-sections]   [cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension =  '3.4']]/   cda:component/cda:structuredBody/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16011']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/   cda:entry/cda:observation/cda:entryRelationship[@typeCode='MFST']/cda:observation/cda:code[(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or    not(@code and @codeSystem and @codeSystem = $defn-mfst-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])][not(@nullFlavor = $no-value-NF)] " priority="1000" mode="M103">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '101.20113' = $doc-sections]   [cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension =  '3.4']]/   cda:component/cda:structuredBody/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16011']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/   cda:entry/cda:observation/cda:entryRelationship[@typeCode='MFST']/cda:observation/cda:code[(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or    not(@code and @codeSystem and @codeSystem = $defn-mfst-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])][not(@nullFlavor = $no-value-NF)] " />
    <xsl:variable name="pcode" select="if ('2.16.840.1.113883.6.96' = $defn-mfst-trusted and         @codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="snomed-trans" select="if ('2.16.840.1.113883.6.96' = $defn-mfst-trusted and cda:translation)         then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="tcode" select="if (exists($snomed-trans[1]) and matches($snomed-trans[1]/@code, $snomed-code-regex)) then $snomed-trans[1]/@code else '' " />
    <xsl:variable name="code-present" select="$pcode != '' or $tcode != '' " />
    <xsl:variable name="invalid-code-system" select="@code and @displayName and @codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="codesystemvalues" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']" />
    <xsl:variable name="otext-without-markup" select="if (cda:originalText and cda:originalText != '') then replace(cda:originalText, $markup-regex, ' ') else '' " />
    <xsl:variable name="pdname" select="if (@displayName and not($invalid-code-system)) then @displayName else '' " />
    <xsl:variable name="max-code-number" select="if ($knowledge/search-for-term/max-sct-code-number/@value &gt; '5') then $knowledge/search-for-term/max-sct-code-number/@value else '5' " />
    <xsl:variable name="der-text-1" select="if ($code-present) then ''         else if ($otext-without-markup != '') then $otext-without-markup        else if ($pdname != '') then $pdname        else '' " />
    <xsl:variable name="family-err" select="$family-regex != '' and not(matches($der-text-1, '(^|\s)(small|white\s*cell\s*count)(\s|$)', 'is')) and matches($der-text-1, $family-regex, 'is')" />
    <xsl:variable name="der-truncated-text-1" select="normalize-space(replace($der-text-1, $unicode-br-truncation-regex, '$1', 'is')) " />
    <xsl:variable name="length-err" select="string-length($der-truncated-text-1) &gt; $length-err-max" />
    <xsl:variable name="prose-err-1" select="$length-err and cda:originalText and (        matches(cda:originalText, $ulist-regex)           or         matches(cda:originalText, $alt-ulist-1a-regex, 'is')         or         matches(cda:originalText, $alt-ulist-1b-regex, 'is')         )" />
    <xsl:variable name="prose-err" select="$prose-err-1                or               (cda:originalText and (        matches(cda:originalText, $alt-ulist-2-regex, 'is')         or        matches(cda:originalText, $olist-arabic-regex, 'is')          or         matches(cda:originalText, $olist-alpha-regex, 'is')          or         matches(cda:originalText, $olist-roman-regex, 'is')          or        matches(replace(cda:originalText, $new-line-regex, codepoints-to-string((10)), 'is'), $para-regex, 'is')  or        matches(cda:originalText, codepoints-to-string((8233)), 'is')         or                matches(cda:originalText, $invalid-concept-regex, 'is')         or        ($length-err and matches(cda:originalText, '\.\s*$', 's') and matches(cda:originalText, $multi-sentence-regex, 's')) ) )" />
    <xsl:variable name="avoid-ts" select="$family-err or $length-err or $prose-err or not($use-ts-for-sctau) " />
    <xsl:variable name="der-text-2a" select="if ($der-truncated-text-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-truncated-text-1, $mfst-fir-pattern-replacement, 'ic')) " />
    <xsl:variable name="der-text-2" select="if ($der-text-2a = '') then $der-truncated-text-1 else $der-text-2a " />
    <xsl:variable name="der-text-a" select="if ($mfst-replacements = '' or $der-text-2 = '') then normalize-space($der-text-2)        else normalize-space(dh:XQueryRecursiveReplace($der-text-2, $mfst-replacements, 'ic')) " />
    <xsl:variable name="der-text" select="if ($der-text-a = '') then $der-text-2 else $der-text-a " />
    <xsl:variable name="defn-valid-regex" select="concat('(^|\|)', translate($der-text-2, $chars-to-remove, ''), '(\||$)') " />
    <xsl:variable name="der-text-to-match-1" select="lower-case($der-text-2) " />
    <xsl:variable name="der-text-to-match" select="translate($der-text-to-match-1, $chars-to-remove, '') " />
    <xsl:variable name="der-text-non-value" select="if ($code-present or @nullFlavor = $no-value-NF) then false() else         $der-text-to-match = ''              or        not(matches($der-text-to-match-1, '[a-z]', 'i'))          or         ($cd-definitions/non-value/@regex != '' and matches($der-text-to-match-1, $cd-definitions/non-value/@regex, 'i'))  or        (exists($cd-definitions/mfst/@non-value-regex) and matches($der-text-to-match-1, $cd-definitions/mfst/@non-value-regex, 'i')) " />
    <xsl:variable name="defn-invalid-regex" select="if ($code-present or $der-text-non-value) then ()        else if ($cd-definitions/mfst/@invalid-regex) then tokenize($cd-definitions/mfst/@invalid-regex, '~')[. != '']         else () " />
    <xsl:variable name="defn-invalid-txt-regex" select="(for $i in (1 to count($defn-invalid-regex)) return normalize-space(substring-before($defn-invalid-regex[$i], '[[')))[. != '']" />
    <xsl:variable name="der-invalid-text-regex-1" select="if (exists($defn-invalid-txt-regex))        then index-of(for $i in (1 to count($defn-invalid-txt-regex)) return matches($der-text-2, $defn-invalid-txt-regex[$i], 'i'), true())        else () " />
    <xsl:variable name="der-invalid-text" select="exists($der-invalid-text-regex-1) " />
    <xsl:variable name="defn-invalid-rsn" select="if ($der-invalid-text)         then normalize-space(substring-before(substring-after($defn-invalid-regex[$der-invalid-text-regex-1[1]], '[['), ']]'))         else '' " />
    <xsl:variable name="trusted-code-systems" select="if ($der-text = '' or $der-invalid-text or not(@codeSystem or cda:translation/@codeSystem)) then ()        else (tokenize(replace($cd-definitions/mfst/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/mfst/@extra, '\s+', ''), '\|'))[. != ''] " />
    <xsl:variable name="der-trusted-text" select="if ($der-text = '' or $der-invalid-text or (@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex)))) then false()        else ((@codeSystem and exists($trusted-code-systems[. = current()/@codeSystem])) or               (cda:translation/@codeSystem and exists($trusted-code-systems[. = current()/cda:translation/@codeSystem]))) " />
    <xsl:variable name="valid-mfst-1" select="if ($code-present or $der-text-non-value or $der-invalid-text or not($cd-definitions/mfst/@valid-regex)) then false()        else exists(index-of(for $regex in (tokenize($cd-definitions/mfst/@valid-regex, '~')[. != '']) return          matches($der-text-2, dh:XQueryRecursiveReplace(normalize-space($regex), ' \|~|~\| ~|', ''), 'is'), true())) " />
    <xsl:variable name="invalid-hierarchy" select="if (exists($cd-definitions/mfst/mfst-invalid/hierarchy))         then string-join(for $hierarchy in $cd-definitions/mfst/mfst-invalid/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-refset" select="if (exists($cd-definitions/mfst/mfst-invalid/refset))          then string-join(for $refset in $cd-definitions/mfst/mfst-invalid/refset return concat('^', $refset/@code), ' OR ')         else '' " />
    <xsl:variable name="valid-refset" select="'^142341000036103 OR ^32570071000036102' " />
    <xsl:variable name="valid-domain" select="if ($invalid-refset != '' and $invalid-hierarchy != '')         then concat('((', $valid-refset, ') MINUS (', $invalid-refset, ' OR (', $invalid-hierarchy, ')))')        else if ($invalid-refset = '' and $invalid-hierarchy != '') then concat('((', $valid-refset, ') MINUS (', $invalid-hierarchy, '))')         else if ($invalid-refset != '' and $invalid-hierarchy = '') then concat('((', $valid-refset, ') MINUS (', $invalid-refset, '))')        else concat('(', $valid-refset, ')') " />
    <xsl:variable name="related-terms-1" select="if ($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-mfst-1) then ()        else ($codesystemvalues/code[@related-terms], $codesystemvalues/related-terms[@related-terms]) " />
    <xsl:variable name="related-terms-2" select="for $i in index-of(        for $concept in $related-terms-1 return matches(translate($concept/@related-terms, $chars-no-pipe, ''), $defn-valid-regex, 'i'), true())         return $related-terms-1[$i]/@code " />
    <xsl:variable name="der-mfst-codes-1" select="if (exists($related-terms-2)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($related-terms-2, ' OR '), ') AND ', $valid-domain), '', string(count($related-terms-2)), false())        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $der-mfst-codes-1 " />
    <xsl:variable name="der-valid-codes-1" select="if (contains($der-mfst-codes-1, '[')) then $der-mfst-codes-1 else '' " />
    <xsl:variable name="valid-mfst-2" select="$valid-mfst-1 or $der-valid-codes-1 != '' " />
    <xsl:variable name="mfst-inactive-refSets" select="if (exists($cd-definitions/mfst/mfst-invalid/inactive-refset))         then concat('((', $inactive-refSets, ') MINUS (',           string-join(for $refset in $cd-definitions/mfst/mfst-invalid/inactive-refset return concat('^', $refset/@code), ' OR '),          '))')         else $inactive-refSets " />
    <xsl:variable name="formula" select="concat($valid-domain, ' OR ', $mfst-inactive-refSets) " />
    <xsl:variable name="ts-not-needed" select="$der-text = '' or $der-text-non-value or $der-invalid-text or $valid-mfst-2 or $avoid-ts " />
    <xsl:variable name="der-mfst-codes-2-a" select="if ($ts-not-needed or exists($related-terms-2)) then ()         else tokenize(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-text, 'default'), '\|') " />
    <xsl:variable name="error-usingTS-2-a" select="$error-usingTS-1 or 'Error' = $der-mfst-codes-2-a " />
    <xsl:variable name="der-mfst-codes-2" select="if ($ts-not-needed or $error-usingTS-2-a or not(exists($der-mfst-codes-2-a)) or $der-valid-codes-1 != '' or exists($related-terms-2)) then ()        else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join(for $code in $der-mfst-codes-2-a return replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is'), ' OR '), ') AND (',          $formula, ')'), '', string(count($der-mfst-codes-2-a)), false()), '\|') " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-2-a or 'Error' = $der-mfst-codes-2 " />
    <xsl:variable name="der-valid-codes-2" select="if ($der-valid-codes-1 != '') then $der-valid-codes-1        else if ($error-usingTS-2) then ''         else string-join((for $code in $der-mfst-codes-2 return if (contains($code, '~inactive')) then '' else $code)[. != ''], '|')  " />
    <xsl:variable name="valid-mfst-3" select="$valid-mfst-2 or $der-valid-codes-2 != '' " />
    <xsl:variable name="der-inactive-codes-1" select="if ($valid-mfst-3) then () else        for $code in $der-mfst-codes-2 return if (contains($code, '~inactive')) then replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is') else '' " />
    <xsl:variable name="der-inactive-codes-2" select="for $i in (1 to count($der-inactive-codes-1)) return         dh:IsCodeAssociatedWithAnotherCode($der-inactive-codes-1[$i], '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-1" select="'Error' = $der-inactive-codes-2 " />
    <xsl:variable name="der-NAF-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-NAF-active-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound~active')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-inactive-codes-3" select="tokenize(string-join(for $i in (1 to count($der-inactive-codes-1)) return replace(string-join(tokenize($der-inactive-codes-2[$i], '\|')        [matches(., '(REPLACED BY|SAME AS|ALTERNATIVE|POSSIBLY EQUIVALENT TO|MAY BE A|WAS A)')], '|'), '[0-9]+~[A-Z ]+~([0-9]+)', '$1'), '|'), '\|')        [. != ''] " />
    <xsl:variable name="der-mfst-codes-3" select="if (exists($der-inactive-codes-3)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($der-inactive-codes-3, ' OR '), ') AND ', $valid-domain), '', string(count($der-inactive-codes-3)), false())          else '' " />
    <xsl:variable name="error-usingTS-3" select="$error-usingTS-2 or 'Error' = $der-mfst-codes-3 " />
    <xsl:variable name="der-valid-codes-3" select="if ($der-valid-codes-2 != '') then $der-valid-codes-2        else if (contains($der-mfst-codes-3, '[')) then $der-mfst-codes-3        else '' " />
    <xsl:variable name="valid-mfst-4" select="$valid-mfst-3 or $der-valid-codes-3 != '' " />
    <xsl:variable name="invalid-domain" select="if ($invalid-hierarchy != '' and $invalid-refset != '') then concat($invalid-hierarchy, ' OR ', $invalid-refset)        else if ($invalid-hierarchy != '') then $invalid-hierarchy        else if ($invalid-refset != '') then $invalid-refset        else '' " />
    <xsl:variable name="der-mfst-codes-4" select="if ($ts-not-needed or $valid-mfst-4 or $invalid-domain = '') then ()        else if (exists($related-terms-2)) then $related-terms-2        else distinct-values((tokenize(replace(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          $invalid-domain, $der-text, 'default'), '(\[.*?\])(\||$)', '$2'), '\|'), $der-inactive-codes-3)) " />
    <xsl:variable name="error-usingTS-4" select="$error-usingTS-3 or 'Error' = $der-mfst-codes-4 " />
    <xsl:variable name="invalid-mfst-codes-r" select="if ($ts-not-needed or $valid-mfst-4 or $error-usingTS-4 or not(exists($der-mfst-codes-4))) then ()        else if ($invalid-refset = '') then tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-mfst-codes-4, ' OR '), ') AND (', $inactive-refSets, ')'), '',           string(count($der-mfst-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')        else tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-mfst-codes-4, ' OR '), ') AND (', $invalid-refset, ' OR ', $inactive-refSets, ')'), '',           string(count($der-mfst-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')  " />
    <xsl:variable name="error-usingTS-5" select="$error-usingTS-4 or 'Error' = $invalid-mfst-codes-r " />
    <xsl:variable name="der-mfst-codes-4-h" select="if ($error-usingTS-5) then () else $der-mfst-codes-4[not(. = $invalid-mfst-codes-r)]" />
    <xsl:variable name="invalid-mfst-codes-h" select="if ($ts-not-needed or $valid-mfst-4 or 'Error' = $der-mfst-codes-4 or $mfst-invalid-hierarchy = '' or not(exists($der-mfst-codes-4-h))) then ()        else (for $code in $der-mfst-codes-4-h return          if (dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;&gt;', $code, ' MINUS ', $mfst-invalid-hierarchy), '', '1', false()) = '') then $code else '')[. != ''] " />
    <xsl:variable name="invalid-mfst-codes" select="($invalid-mfst-codes-h, $invalid-mfst-codes-r) " />
    <xsl:variable name="der-mfst-codes-5" select="$der-mfst-codes-4[not(. = $invalid-mfst-codes or . = 'Error')]" />
    <xsl:variable name="der-valid-codes-4" select="if ($der-valid-codes-3 != '') then $der-valid-codes-3        else if ($ts-not-needed or $valid-mfst-4 or $valid-domain = '' or not(exists($der-mfst-codes-5))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-mfst-codes-5, ' OR '), ') AND ', $valid-domain), '', string(count($der-mfst-codes-5)), false()) " />
    <xsl:variable name="error-usingTS-6" select="$error-usingTS-5 or 'Error' = $der-valid-codes-4 " />
    <xsl:variable name="valid-mfst-5" select="$valid-mfst-4 or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="undetermined-mfst-1" select="$der-mfst-codes-5[not(. = tokenize(replace($der-valid-codes-4,  '(\[.*?\])(\||$)', '$2'), '\|'))]" />
    <xsl:variable name="undetermined-inactive-1" select="for $i in (1 to count($undetermined-mfst-1)) return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $undetermined-mfst-1[$i], '', '1', false()) " />
    <xsl:variable name="error-usingTS-7" select="$error-usingTS-6 or 'Error' = $undetermined-inactive-1 " />
    <xsl:variable name="undetermined-inactive" select="(for $i in (1 to count($undetermined-mfst-1)) return         if (contains($undetermined-inactive-1[$i], '~inactive')) then $undetermined-inactive-1[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-1" select="for $i in (1 to count($undetermined-inactive))        return dh:IsCodeAssociatedWithAnotherCode(replace($undetermined-inactive[$i], '(\[.*?\])(\||$)', '$2'), '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-2" select="$error-usingV-1 or 'Error' = $undetermined-NAF-1 " />
    <xsl:variable name="undetermined-NAF" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-codes" select="for $term in $undetermined-NAF return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-NAF-active" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound~active')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-active-codes" select="for $term in $undetermined-NAF-active return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-mfst" select="$undetermined-mfst-1[not(. = ($undetermined-NAF-codes, $undetermined-NAF-active-codes))]" />
    <xsl:variable name="invalid-mfst" select="not($valid-mfst-5) and exists($invalid-mfst-codes) and not(exists($undetermined-mfst))" />
    <xsl:variable name="codes-were-found" select="exists($der-mfst-codes-4) or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="codes-not-found" select="not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or        $valid-mfst-5 or $invalid-mfst or $error-usingTS-7 or $family-err or $length-err or $prose-err) " />
    <xsl:variable name="codes-in-the-domain" select="not($valid-mfst-1) and $valid-mfst-5" />
    <xsl:variable name="codes-in-other-domain" select="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-mfst-5 or         $invalid-mfst or $error-usingTS-7) " />
    <xsl:variable name="codes-in-no-domain" select="exists($der-mfst-codes-5) " />
    <xsl:variable name="display-in-the-domain" select="if ($codes-in-the-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', '), '''')        else '' " />
    <xsl:variable name="display-in-other-r" select="if (exists($invalid-mfst-codes-r) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-mfst-codes-r return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-h" select="if (exists($invalid-mfst-codes-h) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-mfst-codes-h return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-domain" select="if (not($codes-in-other-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))) then ''        else if ($display-in-other-r and display-in-other-h) then concat('''', $display-in-other-r, ', ', $display-in-other-h, '''')        else if ($display-in-other-r) then concat('''', $display-in-other-r, '''')        else if ($display-in-other-h) then concat('''', $display-in-other-h, '''')        else '' " />
    <xsl:variable name="display-in-no-domain" select="if ($codes-in-no-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', dh:XQueryRecursiveReplace(string-join(for $code in $der-mfst-codes-5 return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), '; '),          $term-pattern-replacement, 'ic'), '''')        else '' " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))        else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="log-concepts-appended" select="if ($error-usingTS-7 or not($flags/@report-terminology-concepts = 'true') or $log-concepts-name = '') then ''        else if ($codes-not-found and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                   'Manifestation',   $log-tab,                   'yes',     $log-tab,                   concat($display-code, $display-system), $log-tab,                   '',     $log-tab,                  '',     $log-tab,                  '',     $log-tab,                  $ts-current-sctau   ))        else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <!--REPORT -->
    <xsl:if test=" $log-concepts-appended = ('NOTFOUND', 'ERROR') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$log-concepts-appended = ('NOTFOUND', 'ERROR')">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Manifestation-Defn): The AppendLog function returned '<xsl:text /><xsl:value-of select="$log-concepts-appended" /><xsl:text />' when requested to append the concepts log
		'<xsl:text /><xsl:value-of select="$log-concepts-name" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-mfst-5) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-mfst-5)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Manifestation-Defn): An unexpected problem occurred when assessing the value of the Reaction Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. The application of regular expressions resulted in the complete loss of text.
		Report the information below to the Australian Digital Health Agency for investigation.

		der-text-1 '<xsl:text /><xsl:value-of select="normalize-space(dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'))" /><xsl:text />'.
		der-text-2a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-2a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-a, $term-pattern-replacement, 'ic')" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingV-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingV-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Manifestation-Defn): An error was reported when accessing the terminology server when assessing the Reaction Description data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		Report the issue to the Australian Digital Health Agency for investigation stating the error was recorded for error-usingV-2.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-7 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-7">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Manifestation-Defn): An error was reported when accessing the terminology server when assessing the Reaction Description data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term:
		'<xsl:text /><xsl:value-of select="$der-text" /><xsl:text />'. The analysis should be retried as the terminology server may have been temporarily unavailable.
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation, stating that the error was found by
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'error-usingTS-1' else if ($error-usingTS-2-a) then 'error-usingTS-2-a'   else if ($error-usingTS-2) then 'error-usingTS-2'   else if ($error-usingTS-3) then 'error-usingTS-3' else if ($error-usingTS-4) then 'error-usingTS-4'   else if ($error-usingTS-5) then 'error-usingTS-5' else if ($error-usingTS-6) then 'error-usingTS-6'   else 'error-usingTS-7' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $codes-not-found">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $codes-not-found">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Reaction Description '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the signs and symptoms of the adverse reaction         expressed as a single word, phrase or brief description. (See section 6.12 of the Discharge Summary Structured Document Template v3.3.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain was not stated when the Discharge Summary CDA Implementation Guide was published but the value domain is now specified         in section 2.13 of the Adverse Reaction Detailed Clinical Model Specification v3.3 which uses the name Clinical Manifestation for the         Reaction Description data element.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$codes-in-other-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$codes-in-other-domain">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Reaction Description '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value does not seem to be applicable for the data element.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the signs and symptoms of the adverse reaction         expressed as a single word, phrase or brief description. (See section 6.12 of the Discharge Summary Structured Document Template v3.3.)')" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Reaction Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the signs and symptoms of the adverse reaction         expressed as a single word, phrase or brief description. (See section 6.12 of the Discharge Summary Structured Document Template v3.3.)'))" /><xsl:text />
		The Reaction Description data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Reaction Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the signs and symptoms of the adverse reaction         expressed as a single word, phrase or brief description. (See section 6.12 of the Discharge Summary Structured Document Template v3.3.)'))" /><xsl:text />
		The Reaction Description data element must have a value that is consistent with this definition. Alternatively if there is no Reaction Description data element with a proper value then an exclusion
		statement must be included to state why there is no Reaction Description. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4')    then concat('Text such as ''', dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'), ''' may be permitted in the narrative even though the Reaction Description data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Reaction Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the signs and symptoms of the adverse reaction         expressed as a single word, phrase or brief description. (See section 6.12 of the Discharge Summary Structured Document Template v3.3.)'))" /><xsl:text />
		The Reaction Description data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($der-text-non-value) and $der-invalid-text ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($der-text-non-value) and $der-invalid-text">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Reaction Description '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid. <xsl:text /><xsl:value-of select="$defn-invalid-rsn" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the signs and symptoms of the adverse reaction         expressed as a single word, phrase or brief description. (See section 6.12 of the Discharge Summary Structured Document Template v3.3.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $invalid-mfst and not($error-usingTS-7)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$invalid-mfst and not($error-usingTS-7)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Reaction Description '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid
		<xsl:text /><xsl:value-of select="if (exists($invalid-mfst-codes-h)) then concat(' as it describes ', string-join(distinct-values(for $code in tokenize(replace(   dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat('(', string-join(for $code in $invalid-mfst-codes-h return concat('&gt;&gt;', $code), ' OR '), ') AND (',    string-join(for $hierarchy in $cd-definitions/mfst/mfst-invalid/hierarchy return $hierarchy/@code, ' OR '), ')'), '',    string(count($invalid-mfst-codes-h)), true()), '(\[.*?\])(\||$)', '$2'), '\|') return     $cd-definitions/mfst/mfst-invalid/hierarchy[@code = $code]/@description)[position() = (1 to 2)], ' and '), '.')    else if (exists($invalid-mfst-codes-r)) then concat(' as it describes ', string-join(distinct-values(for $code in $invalid-mfst-codes-r return   $cd-definitions/mfst/mfst-invalid/refset[index-of(for $x in (for $refset in $cd-definitions/mfst/mfst-invalid/refset return    dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat($code, ' AND ^', $refset/@code), '', '1', true()), '|') return matches($x, '^[0-9]'), true())[1]]/@description), ' and '), '.')   else '.'" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the signs and symptoms of the adverse reaction         expressed as a single word, phrase or brief description. (See section 6.12 of the Discharge Summary Structured Document Template v3.3.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable outside the applicable value domain): The Reaction Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following codes were obtained and are not in the value domain: <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-Manifestation-Defn): The Reaction Description '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU and no associated code was found in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists(($der-NAF-active-codes, $undetermined-NAF-active-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists(($der-NAF-active-codes, $undetermined-NAF-active-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-Manifestation-Defn): The Reaction Description '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-active-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the
		'<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' version of SNOMED CT-AU but it was not found with this status in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU. 
		<xsl:text /><xsl:value-of select="if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $valid-mfst-1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $valid-mfst-1">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable within the value domain): The Reaction Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which matches one of the terms listed in Knowledge.xml for the Reaction Description.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (concept is codeable within the value domain): The Reaction Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a valid value for the Reaction Description.
		SNOMED CT-AU codes that matched the concept are: <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-mfst-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-mfst-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Reaction Description '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The text used to match regular expression (der-text-2) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to match non-values (der-text-to-match) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-to-match, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to derive a code (der-text) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The SNOMED CT-AU version used to find codes is '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' and the maximum code number is '<xsl:text /><xsl:value-of select="$max-code-number" /><xsl:text />'.

		Codes for related terms (related-terms-2): '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($related-terms-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes for related terms (der-valid-codes-1): 
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-1, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-mfst-codes-2) returned by the terminology server that match the text:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-mfst-codes-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes from related terms or the terminology server (der-valid-codes-2):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-2, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-inactive-codes-3) returned from the Validator's database associated with inactive codes:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-inactive-codes-3, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes found after examining inactive codes (der-valid-codes-3):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-3, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Members of invalid reference sets (invalid-mfst-codes-r): '<xsl:text /><xsl:value-of select="$display-in-other-r" /><xsl:text />'.
		Members of invalid code hierarchies (invalid-mfst-codes-h): '<xsl:text /><xsl:value-of select="$display-in-other-h" /><xsl:text />'.

		Final set of valid codes (der-valid-codes-4):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		
		Codes whose validity has not been determined (der-body-codes-5):  <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.
		Codes whose validity has not been determined and are inactive with no associated code (undetermined-NAF): '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(    string-join($undetermined-NAF, ''', '''), $markup-pattern-replacement, 'ic')" /><xsl:text />'.

		Will the value of the data element be trusted (der-trusted-text)? '<xsl:text /><xsl:value-of select="$der-trusted-text" /><xsl:text />'.
		
	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and $codes-not-found">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept not codeable): The Reaction Description '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($avoid-ts) then 'The terminology server was not used to assist with finding codes corresponding to text in the data element. ' else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $prose-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $prose-err">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Reaction Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is invalid as it is prose text.
		The Reaction Description data element is CodeableText derived from the HL7 CD data type which by definition is to record a concept defined in an external code system, terminology or ontology.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the signs and symptoms of the adverse reaction         expressed as a single word, phrase or brief description. (See section 6.12 of the Discharge Summary Structured Document Template v3.3.)'))" /><xsl:text />
		This finding will also be reported as an error.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M103" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M103" />
  <xsl:template match="@*|node()" priority="-2" mode="M103">
    <xsl:apply-templates select="@*|*" mode="M103" />
  </xsl:template>
  <!--PATTERN p-TS-Adverse-CodeableText-20-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.20113' = $doc-sections]   [cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension =  '3.4']]/   cda:component/cda:structuredBody/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16011']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/   cda:entry/cda:observation/cda:entryRelationship[@typeCode='MFST']/cda:observation/cda:code[(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M104">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.20113' = $doc-sections]   [cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension =  '3.4']]/   cda:component/cda:structuredBody/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16011']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/   cda:entry/cda:observation/cda:entryRelationship[@typeCode='MFST']/cda:observation/cda:code[(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Reaction Description '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Reaction Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Reaction Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Reaction Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Reaction Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Reaction Description has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Reaction Description data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Reaction Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Reaction Description data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Reaction Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Reaction Description data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Reaction Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Reaction Description data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Reaction Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Reaction Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Reaction Description data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Reaction Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Reaction Description data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Reaction Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Reaction Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Reaction Description data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Reaction Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Reaction Description data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Reaction Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Reaction Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M104" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M104" />
  <xsl:template match="@*|node()" priority="-2" mode="M104">
    <xsl:apply-templates select="@*|*" mode="M104" />
  </xsl:template>
  <!--PATTERN p-TS-Adverse-CodeableText-21-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.20113' = $doc-sections][cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')   or   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')   or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) ]]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/   cda:entry/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:entryRelationship/cda:observation   [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16474']]/cda:entryRelationship[@typeCode='MFST']/cda:observation/cda:code " priority="1000" mode="M105">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.20113' = $doc-sections][cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')   or   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')   or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) ]]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/   cda:entry/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:entryRelationship/cda:observation   [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16474']]/cda:entryRelationship[@typeCode='MFST']/cda:observation/cda:code " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Manifestation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Manifestation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Manifestation',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Manifestation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Manifestation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Manifestation
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Manifestation however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Manifestation in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Manifestation
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Manifestation however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Manifestation in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Manifestation data element must have a value that is consistent with this definition. Alternatively if there is no Manifestation data element with a proper value then an exclusion
		statement must be included to state why there is no Manifestation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Manifestation
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Manifestation however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Manifestation in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Manifestation
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Manifestation however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Manifestation in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Manifestation data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Manifestation
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Manifestation however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Manifestation in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Manifestation data element must have a value that is consistent with this definition. Alternatively if there is no Manifestation data element with a proper value then an exclusion
		statement must be included to state why there is no Manifestation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Manifestation
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Manifestation however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Manifestation in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Manifestation data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Manifestation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Manifestation
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Manifestation
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Manifestation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Manifestation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Manifestation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Manifestation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Manifestation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Manifestation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Manifestation
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Manifestation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Manifestation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Manifestation.
		(See the definition of Manifestation in the Structured Content Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Manifestation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M105" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M105" />
  <xsl:template match="@*|node()" priority="-2" mode="M105">
    <xsl:apply-templates select="@*|*" mode="M105" />
  </xsl:template>
  <!--PATTERN p-TS-Adverse-CodeableText-22-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '101.20113' = $doc-sections][cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')  or   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.3')  or   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')  or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2')  ]]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/   cda:entry/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:entryRelationship/cda:observation   [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16474']]/cda:entryRelationship[@typeCode='MFST']/cda:observation/cda:code   [@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " priority="1000" mode="M106">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '101.20113' = $doc-sections][cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')  or   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.3')  or   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')  or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2')  ]]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/   cda:entry/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:entryRelationship/cda:observation   [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16474']]/cda:entryRelationship[@typeCode='MFST']/cda:observation/cda:code   [@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="pnullFlavor" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @nullFlavor) then @nullFlavor else '' " />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-p-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then false()        else if ($psnomed-id = 'amtv3' and @codeSystemVersion) then exists($v-amtv3[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($psnomed-id = 'snomedctau' and @codeSystemVersion) then exists($v-snomedctau[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false() " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and $pcode != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used to assess the primary code.') " />
    <xsl:variable name="pcode-refsets-1" select="if (@codeSystem = '2.16.840.1.113883.6.96' and not($pcode = ''))         then dh:FindValueDomainsForCode($pcode, '2.16.840.1.113883.6.96', $v-psnomed-version) else 'no-code' " />
    <xsl:variable name="pcode-found" select="not($pcode-refsets-1 = 'no-code' or $pcode-refsets-1 = 'CodeNotFound' or $pcode-refsets-1 = 'Error'        or contains($pcode-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="pcode-refsets" select="if ($pcode-found) then distinct-values(tokenize($pcode-refsets-1, '\|')) else () " />
    <xsl:variable name="pcode-special-proc" select="count($pcode-refsets) = 1 and 'Procedure Foundation (PF)' = $pcode-refsets and not($pnullFlavor = 'OTH') " />
    <xsl:variable name="pcode-refsets-msg" select="if (count($pcode-refsets) = 0) then ''         else if (count($pcode-refsets) = 1) then concat('The code is a member of the ', $pcode-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($pcode-refsets, ', '), '.') " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))         else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-1" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="snomed-trans-2" select="distinct-values(for $i in (1 to count($snomed-trans-1)) return $snomed-trans-1[$i]/@code) " />
    <xsl:variable name="snomed-trans-a" select="$snomed-trans-1[1] " />
    <xsl:variable name="tcode-a" select="if (exists($snomed-trans-a) and matches($snomed-trans-a/@code, $snomed-code-regex)) then $snomed-trans-a/@code else '' " />
    <xsl:variable name="tnullFlavor-a" select="if (exists($snomed-trans-a) and $snomed-trans-a/@nullFlavor) then $snomed-trans-a/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-a" select="if (not(exists($snomed-trans-a))) then 'not-snomed'        else if (not($snomed-trans-a/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-a/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-a" select="if (not(exists($snomed-trans-a))) then ''        else if ($tsnomed-id-a = 'amtv3' and exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-a = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-a/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-a" select="if (not(exists($snomed-trans-a))) then false()        else if ($tsnomed-id-a = 'amtv3' and $snomed-trans-a/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-a = 'snomedctau' and $snomed-trans-a/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-a-msg" select="if (not(exists($snomed-trans-a))) then ''        else if (not($snomed-trans-a/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-a, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-a = 'amtv3') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-a = 'snomedctau') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-a/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-a, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-a/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-a-refsets-1" select="if (exists($snomed-trans-a) and not($tcode-a = ''))         then dh:FindValueDomainsForCode($tcode-a, '2.16.840.1.113883.6.96', $v-tsnomed-version-a) else 'no-code' " />
    <xsl:variable name="tcode-a-found" select="not($tcode-a-refsets-1 = 'no-code' or $tcode-a-refsets-1 = 'CodeNotFound' or $tcode-a-refsets-1 = 'Error'         or contains($tcode-a-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-a-refsets" select="if ($tcode-a-found) then distinct-values(tokenize($tcode-a-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-a-special-proc" select="count($tcode-a-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-a-refsets and not($tnullFlavor-a = 'OTH') " />
    <xsl:variable name="tcode-a-refsets-msg" select="if (count($tcode-a-refsets) = 0) then ''         else if (count($tcode-a-refsets) = 1) then concat('The code is a member of the ', $tcode-a-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-a-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@code and $snomed-trans-a/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-a/@displayName, codepoints-to-string(34))         else if ($snomed-trans-a/@code and not($snomed-trans-a/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@codeSystem and $snomed-trans-a/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-a/@codeSystemName, ')')         else if ($snomed-trans-a/@codeSystem and not($snomed-trans-a/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-b" select="(for $i in (2 to count($snomed-trans-1)) return if ($snomed-trans-1[$i]/@code != $snomed-trans-a/@code) then $snomed-trans-1[$i] else ())[1] " />
    <xsl:variable name="tcode-b" select="if (exists($snomed-trans-b) and matches($snomed-trans-b/@code, $snomed-code-regex)) then $snomed-trans-b/@code else '' " />
    <xsl:variable name="tnullFlavor-b" select="if (exists($snomed-trans-b) and $snomed-trans-b/@nullFlavor) then $snomed-trans-b/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-b" select="if (not(exists($snomed-trans-b))) then 'not-snomed'        else if (not($snomed-trans-b/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-b/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-b" select="if (not(exists($snomed-trans-b))) then ''        else if ($tsnomed-id-b = 'amtv3' and exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-b = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-b/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-b" select="if (not(exists($snomed-trans-b))) then false()        else if ($tsnomed-id-b = 'amtv3' and $snomed-trans-b/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-b = 'snomedctau' and $snomed-trans-b/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-b-msg" select="if (not(exists($snomed-trans-b))) then ''        else if (not($snomed-trans-b/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-b, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-b = 'amtv3') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-b = 'snomedctau') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-b/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-b, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-b/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-b-refsets-1" select="if (exists($snomed-trans-b) and not($tcode-b = ''))         then dh:FindValueDomainsForCode($tcode-b, '2.16.840.1.113883.6.96', $v-tsnomed-version-b) else 'no-code' " />
    <xsl:variable name="tcode-b-found" select="not($tcode-b-refsets-1 = 'no-code' or $tcode-b-refsets-1 = 'CodeNotFound' or $tcode-b-refsets-1 = 'Error'         or contains($tcode-b-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-b-refsets" select="if ($tcode-b-found) then distinct-values(tokenize($tcode-b-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-b-special-proc" select="count($tcode-b-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-b-refsets and not($tnullFlavor-b = 'OTH') " />
    <xsl:variable name="tcode-b-refsets-msg" select="if (count($tcode-b-refsets) = 0) then ''         else if (count($tcode-b-refsets) = 1) then concat('The code is a member of the ', $tcode-b-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-b-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@code and $snomed-trans-b/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-b/@displayName, codepoints-to-string(34))         else if ($snomed-trans-b/@code and not($snomed-trans-b/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@codeSystem and $snomed-trans-b/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-b/@codeSystemName, ')')         else if ($snomed-trans-b/@codeSystem and not($snomed-trans-b/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-60" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-60 else $rating-alt-TC-Types-60 " />
    <!--REPORT -->
    <xsl:if test=" $pcode-found and $pcode-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pcode-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD (p-TS-CD-SCT-RefSet): An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$pcode" /><xsl:text />',
		codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-psnomed-version" /><xsl:text />'. This error occurred when assessing the Manifestation data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-special-proc and count(('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) = 1 and 'Problem Diagnosis (PD)' = ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-special-proc and count(('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) = 1 and 'Problem Diagnosis (PD)' = ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Manifestation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. The value is not valid for the data element as it describes a medical
		procedure and not a medical problem or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the signs and symptoms of the         adverse reaction expressed as a single word, phrase or brief description.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and   not(exists(index-of(for $refset in ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) = 1 and 'Problem Diagnosis (PD)' = ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and not(exists(index-of(for $refset in ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) = 1 and 'Problem Diagnosis (PD)' = ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Manifestation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the code is not a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Clinical Manifestation (Concept Id: 142341000036103) and Clinical Finding Foundation         (Concept Id: 32570071000036102) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.13 of the Adverse Reaction Detailed Clinical Model Specification v3.3,         which allows more reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and   not(exists(index-of(for $refset in ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) = 1 and 'Problem Diagnosis (PD)' = ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and not(exists(index-of(for $refset in ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) = 1 and 'Problem Diagnosis (PD)' = ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Manifestation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Clinical Manifestation (Concept Id: 142341000036103) and Clinical Finding Foundation         (Concept Id: 32570071000036102) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.13 of the Adverse Reaction Detailed Clinical Model Specification v3.3,         which allows more reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and   exists(index-of(for $refset in ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) = 1 and 'Problem Diagnosis (PD)' = ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and exists(index-of(for $refset in ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) = 1 and 'Problem Diagnosis (PD)' = ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Manifestation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Clinical Manifestation (Concept Id: 142341000036103) and Clinical Finding Foundation         (Concept Id: 32570071000036102) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.13 of the Adverse Reaction Detailed Clinical Model Specification v3.3,         which allows more reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and   exists(index-of(for $refset in ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) = 1 and 'Problem Diagnosis (PD)' = ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and exists(index-of(for $refset in ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) = 1 and 'Problem Diagnosis (PD)' = ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Manifestation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. Confirm if the code is a member of the value domain.
		If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Clinical Manifestation (Concept Id: 142341000036103) and Clinical Finding Foundation         (Concept Id: 32570071000036102) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.13 of the Adverse Reaction Detailed Clinical Model Specification v3.3,         which allows more reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Manifestation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="count($snomed-trans-1)" /><xsl:text /> translation elements with
		codes and the SNOMED CT-AU codeSystem '2.16.840.1.113883.6.96'. The first two translation elements have been assessed to determine if the codes are members of the value domain
		and the others have not been assessed. Confirm if the value of the code attribute in all SNOMED CT translation elements meets the requirement that it be a member of the value domain
		if there is no nullFlavor 'OTH' or that there is a nullFlavor 'OTH' if the value of the code attribute is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Clinical Manifestation (Concept Id: 142341000036103) and Clinical Finding Foundation         (Concept Id: 32570071000036102) reference sets.')" /><xsl:text /> 
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.13 of the Adverse Reaction Detailed Clinical Model Specification v3.3,         which allows more reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-a" /><xsl:text />'. This error occurred when assessing the Manifestation data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-special-proc and count(('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) = 1 and 'Problem Diagnosis (PD)' = ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-special-proc and count(('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) = 1 and 'Problem Diagnosis (PD)' = ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Manifestation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the signs and symptoms of the         adverse reaction expressed as a single word, phrase or brief description.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and   not(exists(index-of(for $refset in ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) = 1 and 'Problem Diagnosis (PD)' = ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and not(exists(index-of(for $refset in ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) = 1 and 'Problem Diagnosis (PD)' = ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Manifestation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Clinical Manifestation (Concept Id: 142341000036103) and Clinical Finding Foundation         (Concept Id: 32570071000036102) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.13 of the Adverse Reaction Detailed Clinical Model Specification v3.3,         which allows more reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and   not(exists(index-of(for $refset in ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) = 1 and 'Problem Diagnosis (PD)' = ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and not(exists(index-of(for $refset in ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) = 1 and 'Problem Diagnosis (PD)' = ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Manifestation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Clinical Manifestation (Concept Id: 142341000036103) and Clinical Finding Foundation         (Concept Id: 32570071000036102) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.13 of the Adverse Reaction Detailed Clinical Model Specification v3.3,         which allows more reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and   exists(index-of(for $refset in ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) = 1 and 'Problem Diagnosis (PD)' = ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and exists(index-of(for $refset in ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) = 1 and 'Problem Diagnosis (PD)' = ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Manifestation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Clinical Manifestation (Concept Id: 142341000036103) and Clinical Finding Foundation         (Concept Id: 32570071000036102) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.13 of the Adverse Reaction Detailed Clinical Model Specification v3.3,         which allows more reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and   exists(index-of(for $refset in ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) = 1 and 'Problem Diagnosis (PD)' = ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and exists(index-of(for $refset in ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) = 1 and 'Problem Diagnosis (PD)' = ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Manifestation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Clinical Manifestation (Concept Id: 142341000036103) and Clinical Finding Foundation         (Concept Id: 32570071000036102) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.13 of the Adverse Reaction Detailed Clinical Model Specification v3.3,         which allows more reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-b" /><xsl:text />'. This error occurred when assessing the Manifestation data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-special-proc and count(('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) = 1 and 'Problem Diagnosis (PD)' = ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-special-proc and count(('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) = 1 and 'Problem Diagnosis (PD)' = ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Manifestation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> 
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the signs and symptoms of the         adverse reaction expressed as a single word, phrase or brief description.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and   not(exists(index-of(for $refset in ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) = 1 and 'Problem Diagnosis (PD)' = ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and not(exists(index-of(for $refset in ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) = 1 and 'Problem Diagnosis (PD)' = ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Manifestation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Clinical Manifestation (Concept Id: 142341000036103) and Clinical Finding Foundation         (Concept Id: 32570071000036102) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.13 of the Adverse Reaction Detailed Clinical Model Specification v3.3,         which allows more reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and   not(exists(index-of(for $refset in ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) = 1 and 'Problem Diagnosis (PD)' = ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and not(exists(index-of(for $refset in ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) = 1 and 'Problem Diagnosis (PD)' = ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Manifestation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Clinical Manifestation (Concept Id: 142341000036103) and Clinical Finding Foundation         (Concept Id: 32570071000036102) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.13 of the Adverse Reaction Detailed Clinical Model Specification v3.3,         which allows more reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and   exists(index-of(for $refset in ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) = 1 and 'Problem Diagnosis (PD)' = ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and exists(index-of(for $refset in ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) = 1 and 'Problem Diagnosis (PD)' = ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Manifestation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Clinical Manifestation (Concept Id: 142341000036103) and Clinical Finding Foundation         (Concept Id: 32570071000036102) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.13 of the Adverse Reaction Detailed Clinical Model Specification v3.3,         which allows more reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and   exists(index-of(for $refset in ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) = 1 and 'Problem Diagnosis (PD)' = ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and exists(index-of(for $refset in ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)')) = 1 and 'Problem Diagnosis (PD)' = ('Clinical Manifestation (CM)', 'Clinical Finding Foundation (CFF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Manifestation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Clinical Manifestation (Concept Id: 142341000036103) and Clinical Finding Foundation         (Concept Id: 32570071000036102) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.13 of the Adverse Reaction Detailed Clinical Model Specification v3.3,         which allows more reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M106" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M106" />
  <xsl:template match="@*|node()" priority="-2" mode="M106">
    <xsl:apply-templates select="@*|*" mode="M106" />
  </xsl:template>
  <!--PATTERN p-TS-Adverse-CodeableText-23-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '101.20113' = $doc-sections][cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')  or   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.3')  or   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')  or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2')  ]]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/   cda:entry/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:entryRelationship/cda:observation   [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16474']]/cda:entryRelationship[@typeCode='MFST']/cda:observation/cda:code   [(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-mfst-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])]   [not(@nullFlavor = $no-value-NF)] " priority="1000" mode="M107">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '101.20113' = $doc-sections][cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')  or   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.3')  or   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')  or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2')  ]]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/   cda:entry/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:entryRelationship/cda:observation   [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16474']]/cda:entryRelationship[@typeCode='MFST']/cda:observation/cda:code   [(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-mfst-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])]   [not(@nullFlavor = $no-value-NF)] " />
    <xsl:variable name="pcode" select="if ('2.16.840.1.113883.6.96' = $defn-mfst-trusted and         @codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="snomed-trans" select="if ('2.16.840.1.113883.6.96' = $defn-mfst-trusted and cda:translation)         then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="tcode" select="if (exists($snomed-trans[1]) and matches($snomed-trans[1]/@code, $snomed-code-regex)) then $snomed-trans[1]/@code else '' " />
    <xsl:variable name="code-present" select="$pcode != '' or $tcode != '' " />
    <xsl:variable name="invalid-code-system" select="@code and @displayName and @codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="codesystemvalues" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']" />
    <xsl:variable name="otext-without-markup" select="if (cda:originalText and cda:originalText != '') then replace(cda:originalText, $markup-regex, ' ') else '' " />
    <xsl:variable name="pdname" select="if (@displayName and not($invalid-code-system)) then @displayName else '' " />
    <xsl:variable name="max-code-number" select="if ($knowledge/search-for-term/max-sct-code-number/@value &gt; '5') then $knowledge/search-for-term/max-sct-code-number/@value else '5' " />
    <xsl:variable name="der-text-1" select="if ($code-present) then ''         else if ($otext-without-markup != '') then $otext-without-markup        else if ($pdname != '') then $pdname        else '' " />
    <xsl:variable name="family-err" select="$family-regex != '' and not(matches($der-text-1, '(^|\s)(small|white\s*cell\s*count)(\s|$)', 'is')) and matches($der-text-1, $family-regex, 'is')" />
    <xsl:variable name="der-truncated-text-1" select="normalize-space(replace($der-text-1, $unicode-br-truncation-regex, '$1', 'is')) " />
    <xsl:variable name="length-err" select="string-length($der-truncated-text-1) &gt; $length-err-max" />
    <xsl:variable name="prose-err-1" select="$length-err and cda:originalText and (        matches(cda:originalText, $ulist-regex)           or         matches(cda:originalText, $alt-ulist-1a-regex, 'is')         or         matches(cda:originalText, $alt-ulist-1b-regex, 'is')         )" />
    <xsl:variable name="prose-err" select="$prose-err-1                or               (cda:originalText and (        matches(cda:originalText, $alt-ulist-2-regex, 'is')         or        matches(cda:originalText, $olist-arabic-regex, 'is')          or         matches(cda:originalText, $olist-alpha-regex, 'is')          or         matches(cda:originalText, $olist-roman-regex, 'is')          or        matches(replace(cda:originalText, $new-line-regex, codepoints-to-string((10)), 'is'), $para-regex, 'is')  or        matches(cda:originalText, codepoints-to-string((8233)), 'is')         or                matches(cda:originalText, $invalid-concept-regex, 'is')         or        ($length-err and matches(cda:originalText, '\.\s*$', 's') and matches(cda:originalText, $multi-sentence-regex, 's')) ) )" />
    <xsl:variable name="avoid-ts" select="$family-err or $length-err or $prose-err or not($use-ts-for-sctau) " />
    <xsl:variable name="der-text-2a" select="if ($der-truncated-text-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-truncated-text-1, $mfst-fir-pattern-replacement, 'ic')) " />
    <xsl:variable name="der-text-2" select="if ($der-text-2a = '') then $der-truncated-text-1 else $der-text-2a " />
    <xsl:variable name="der-text-a" select="if ($mfst-replacements = '' or $der-text-2 = '') then normalize-space($der-text-2)        else normalize-space(dh:XQueryRecursiveReplace($der-text-2, $mfst-replacements, 'ic')) " />
    <xsl:variable name="der-text" select="if ($der-text-a = '') then $der-text-2 else $der-text-a " />
    <xsl:variable name="defn-valid-regex" select="concat('(^|\|)', translate($der-text-2, $chars-to-remove, ''), '(\||$)') " />
    <xsl:variable name="der-text-to-match-1" select="lower-case($der-text-2) " />
    <xsl:variable name="der-text-to-match" select="translate($der-text-to-match-1, $chars-to-remove, '') " />
    <xsl:variable name="der-text-non-value" select="if ($code-present or @nullFlavor = $no-value-NF) then false() else         $der-text-to-match = ''              or        not(matches($der-text-to-match-1, '[a-z]', 'i'))          or         ($cd-definitions/non-value/@regex != '' and matches($der-text-to-match-1, $cd-definitions/non-value/@regex, 'i'))  or        (exists($cd-definitions/mfst/@non-value-regex) and matches($der-text-to-match-1, $cd-definitions/mfst/@non-value-regex, 'i')) " />
    <xsl:variable name="defn-invalid-regex" select="if ($code-present or $der-text-non-value) then ()        else if ($cd-definitions/mfst/@invalid-regex) then tokenize($cd-definitions/mfst/@invalid-regex, '~')[. != '']         else () " />
    <xsl:variable name="defn-invalid-txt-regex" select="(for $i in (1 to count($defn-invalid-regex)) return normalize-space(substring-before($defn-invalid-regex[$i], '[[')))[. != '']" />
    <xsl:variable name="der-invalid-text-regex-1" select="if (exists($defn-invalid-txt-regex))        then index-of(for $i in (1 to count($defn-invalid-txt-regex)) return matches($der-text-2, $defn-invalid-txt-regex[$i], 'i'), true())        else () " />
    <xsl:variable name="der-invalid-text" select="exists($der-invalid-text-regex-1) " />
    <xsl:variable name="defn-invalid-rsn" select="if ($der-invalid-text)         then normalize-space(substring-before(substring-after($defn-invalid-regex[$der-invalid-text-regex-1[1]], '[['), ']]'))         else '' " />
    <xsl:variable name="trusted-code-systems" select="if ($der-text = '' or $der-invalid-text or not(@codeSystem or cda:translation/@codeSystem)) then ()        else (tokenize(replace($cd-definitions/mfst/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/mfst/@extra, '\s+', ''), '\|'))[. != ''] " />
    <xsl:variable name="der-trusted-text" select="if ($der-text = '' or $der-invalid-text or (@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex)))) then false()        else ((@codeSystem and exists($trusted-code-systems[. = current()/@codeSystem])) or               (cda:translation/@codeSystem and exists($trusted-code-systems[. = current()/cda:translation/@codeSystem]))) " />
    <xsl:variable name="valid-mfst-1" select="if ($code-present or $der-text-non-value or $der-invalid-text or not($cd-definitions/mfst/@valid-regex)) then false()        else exists(index-of(for $regex in (tokenize($cd-definitions/mfst/@valid-regex, '~')[. != '']) return          matches($der-text-2, dh:XQueryRecursiveReplace(normalize-space($regex), ' \|~|~\| ~|', ''), 'is'), true())) " />
    <xsl:variable name="invalid-hierarchy" select="if (exists($cd-definitions/mfst/mfst-invalid/hierarchy))         then string-join(for $hierarchy in $cd-definitions/mfst/mfst-invalid/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-refset" select="if (exists($cd-definitions/mfst/mfst-invalid/refset))          then string-join(for $refset in $cd-definitions/mfst/mfst-invalid/refset return concat('^', $refset/@code), ' OR ')         else '' " />
    <xsl:variable name="valid-refset" select="'^142341000036103 OR ^32570071000036102' " />
    <xsl:variable name="valid-domain" select="if ($invalid-refset != '' and $invalid-hierarchy != '')         then concat('((', $valid-refset, ') MINUS (', $invalid-refset, ' OR (', $invalid-hierarchy, ')))')        else if ($invalid-refset = '' and $invalid-hierarchy != '') then concat('((', $valid-refset, ') MINUS (', $invalid-hierarchy, '))')         else if ($invalid-refset != '' and $invalid-hierarchy = '') then concat('((', $valid-refset, ') MINUS (', $invalid-refset, '))')        else concat('(', $valid-refset, ')') " />
    <xsl:variable name="related-terms-1" select="if ($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-mfst-1) then ()        else ($codesystemvalues/code[@related-terms], $codesystemvalues/related-terms[@related-terms]) " />
    <xsl:variable name="related-terms-2" select="for $i in index-of(        for $concept in $related-terms-1 return matches(translate($concept/@related-terms, $chars-no-pipe, ''), $defn-valid-regex, 'i'), true())         return $related-terms-1[$i]/@code " />
    <xsl:variable name="der-mfst-codes-1" select="if (exists($related-terms-2)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($related-terms-2, ' OR '), ') AND ', $valid-domain), '', string(count($related-terms-2)), false())        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $der-mfst-codes-1 " />
    <xsl:variable name="der-valid-codes-1" select="if (contains($der-mfst-codes-1, '[')) then $der-mfst-codes-1 else '' " />
    <xsl:variable name="valid-mfst-2" select="$valid-mfst-1 or $der-valid-codes-1 != '' " />
    <xsl:variable name="mfst-inactive-refSets" select="if (exists($cd-definitions/mfst/mfst-invalid/inactive-refset))         then concat('((', $inactive-refSets, ') MINUS (',           string-join(for $refset in $cd-definitions/mfst/mfst-invalid/inactive-refset return concat('^', $refset/@code), ' OR '),          '))')         else $inactive-refSets " />
    <xsl:variable name="formula" select="concat($valid-domain, ' OR ', $mfst-inactive-refSets) " />
    <xsl:variable name="ts-not-needed" select="$der-text = '' or $der-text-non-value or $der-invalid-text or $valid-mfst-2 or $avoid-ts " />
    <xsl:variable name="der-mfst-codes-2-a" select="if ($ts-not-needed or exists($related-terms-2)) then ()         else tokenize(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-text, 'default'), '\|') " />
    <xsl:variable name="error-usingTS-2-a" select="$error-usingTS-1 or 'Error' = $der-mfst-codes-2-a " />
    <xsl:variable name="der-mfst-codes-2" select="if ($ts-not-needed or $error-usingTS-2-a or not(exists($der-mfst-codes-2-a)) or $der-valid-codes-1 != '' or exists($related-terms-2)) then ()        else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join(for $code in $der-mfst-codes-2-a return replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is'), ' OR '), ') AND (',          $formula, ')'), '', string(count($der-mfst-codes-2-a)), false()), '\|') " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-2-a or 'Error' = $der-mfst-codes-2 " />
    <xsl:variable name="der-valid-codes-2" select="if ($der-valid-codes-1 != '') then $der-valid-codes-1        else if ($error-usingTS-2) then ''         else string-join((for $code in $der-mfst-codes-2 return if (contains($code, '~inactive')) then '' else $code)[. != ''], '|')  " />
    <xsl:variable name="valid-mfst-3" select="$valid-mfst-2 or $der-valid-codes-2 != '' " />
    <xsl:variable name="der-inactive-codes-1" select="if ($valid-mfst-3) then () else        for $code in $der-mfst-codes-2 return if (contains($code, '~inactive')) then replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is') else '' " />
    <xsl:variable name="der-inactive-codes-2" select="for $i in (1 to count($der-inactive-codes-1)) return         dh:IsCodeAssociatedWithAnotherCode($der-inactive-codes-1[$i], '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-1" select="'Error' = $der-inactive-codes-2 " />
    <xsl:variable name="der-NAF-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-NAF-active-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound~active')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-inactive-codes-3" select="tokenize(string-join(for $i in (1 to count($der-inactive-codes-1)) return replace(string-join(tokenize($der-inactive-codes-2[$i], '\|')        [matches(., '(REPLACED BY|SAME AS|ALTERNATIVE|POSSIBLY EQUIVALENT TO|MAY BE A|WAS A)')], '|'), '[0-9]+~[A-Z ]+~([0-9]+)', '$1'), '|'), '\|')        [. != ''] " />
    <xsl:variable name="der-mfst-codes-3" select="if (exists($der-inactive-codes-3)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($der-inactive-codes-3, ' OR '), ') AND ', $valid-domain), '', string(count($der-inactive-codes-3)), false())          else '' " />
    <xsl:variable name="error-usingTS-3" select="$error-usingTS-2 or 'Error' = $der-mfst-codes-3 " />
    <xsl:variable name="der-valid-codes-3" select="if ($der-valid-codes-2 != '') then $der-valid-codes-2        else if (contains($der-mfst-codes-3, '[')) then $der-mfst-codes-3        else '' " />
    <xsl:variable name="valid-mfst-4" select="$valid-mfst-3 or $der-valid-codes-3 != '' " />
    <xsl:variable name="invalid-domain" select="if ($invalid-hierarchy != '' and $invalid-refset != '') then concat($invalid-hierarchy, ' OR ', $invalid-refset)        else if ($invalid-hierarchy != '') then $invalid-hierarchy        else if ($invalid-refset != '') then $invalid-refset        else '' " />
    <xsl:variable name="der-mfst-codes-4" select="if ($ts-not-needed or $valid-mfst-4 or $invalid-domain = '') then ()        else if (exists($related-terms-2)) then $related-terms-2        else distinct-values((tokenize(replace(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          $invalid-domain, $der-text, 'default'), '(\[.*?\])(\||$)', '$2'), '\|'), $der-inactive-codes-3)) " />
    <xsl:variable name="error-usingTS-4" select="$error-usingTS-3 or 'Error' = $der-mfst-codes-4 " />
    <xsl:variable name="invalid-mfst-codes-r" select="if ($ts-not-needed or $valid-mfst-4 or $error-usingTS-4 or not(exists($der-mfst-codes-4))) then ()        else if ($invalid-refset = '') then tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-mfst-codes-4, ' OR '), ') AND (', $inactive-refSets, ')'), '',           string(count($der-mfst-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')        else tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-mfst-codes-4, ' OR '), ') AND (', $invalid-refset, ' OR ', $inactive-refSets, ')'), '',           string(count($der-mfst-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')  " />
    <xsl:variable name="error-usingTS-5" select="$error-usingTS-4 or 'Error' = $invalid-mfst-codes-r " />
    <xsl:variable name="der-mfst-codes-4-h" select="if ($error-usingTS-5) then () else $der-mfst-codes-4[not(. = $invalid-mfst-codes-r)]" />
    <xsl:variable name="invalid-mfst-codes-h" select="if ($ts-not-needed or $valid-mfst-4 or 'Error' = $der-mfst-codes-4 or $mfst-invalid-hierarchy = '' or not(exists($der-mfst-codes-4-h))) then ()        else (for $code in $der-mfst-codes-4-h return          if (dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;&gt;', $code, ' MINUS ', $mfst-invalid-hierarchy), '', '1', false()) = '') then $code else '')[. != ''] " />
    <xsl:variable name="invalid-mfst-codes" select="($invalid-mfst-codes-h, $invalid-mfst-codes-r) " />
    <xsl:variable name="der-mfst-codes-5" select="$der-mfst-codes-4[not(. = $invalid-mfst-codes or . = 'Error')]" />
    <xsl:variable name="der-valid-codes-4" select="if ($der-valid-codes-3 != '') then $der-valid-codes-3        else if ($ts-not-needed or $valid-mfst-4 or $valid-domain = '' or not(exists($der-mfst-codes-5))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-mfst-codes-5, ' OR '), ') AND ', $valid-domain), '', string(count($der-mfst-codes-5)), false()) " />
    <xsl:variable name="error-usingTS-6" select="$error-usingTS-5 or 'Error' = $der-valid-codes-4 " />
    <xsl:variable name="valid-mfst-5" select="$valid-mfst-4 or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="undetermined-mfst-1" select="$der-mfst-codes-5[not(. = tokenize(replace($der-valid-codes-4,  '(\[.*?\])(\||$)', '$2'), '\|'))]" />
    <xsl:variable name="undetermined-inactive-1" select="for $i in (1 to count($undetermined-mfst-1)) return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $undetermined-mfst-1[$i], '', '1', false()) " />
    <xsl:variable name="error-usingTS-7" select="$error-usingTS-6 or 'Error' = $undetermined-inactive-1 " />
    <xsl:variable name="undetermined-inactive" select="(for $i in (1 to count($undetermined-mfst-1)) return         if (contains($undetermined-inactive-1[$i], '~inactive')) then $undetermined-inactive-1[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-1" select="for $i in (1 to count($undetermined-inactive))        return dh:IsCodeAssociatedWithAnotherCode(replace($undetermined-inactive[$i], '(\[.*?\])(\||$)', '$2'), '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-2" select="$error-usingV-1 or 'Error' = $undetermined-NAF-1 " />
    <xsl:variable name="undetermined-NAF" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-codes" select="for $term in $undetermined-NAF return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-NAF-active" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound~active')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-active-codes" select="for $term in $undetermined-NAF-active return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-mfst" select="$undetermined-mfst-1[not(. = ($undetermined-NAF-codes, $undetermined-NAF-active-codes))]" />
    <xsl:variable name="invalid-mfst" select="not($valid-mfst-5) and exists($invalid-mfst-codes) and not(exists($undetermined-mfst))" />
    <xsl:variable name="codes-were-found" select="exists($der-mfst-codes-4) or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="codes-not-found" select="not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or        $valid-mfst-5 or $invalid-mfst or $error-usingTS-7 or $family-err or $length-err or $prose-err) " />
    <xsl:variable name="codes-in-the-domain" select="not($valid-mfst-1) and $valid-mfst-5" />
    <xsl:variable name="codes-in-other-domain" select="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-mfst-5 or         $invalid-mfst or $error-usingTS-7) " />
    <xsl:variable name="codes-in-no-domain" select="exists($der-mfst-codes-5) " />
    <xsl:variable name="display-in-the-domain" select="if ($codes-in-the-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', '), '''')        else '' " />
    <xsl:variable name="display-in-other-r" select="if (exists($invalid-mfst-codes-r) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-mfst-codes-r return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-h" select="if (exists($invalid-mfst-codes-h) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-mfst-codes-h return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-domain" select="if (not($codes-in-other-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))) then ''        else if ($display-in-other-r and display-in-other-h) then concat('''', $display-in-other-r, ', ', $display-in-other-h, '''')        else if ($display-in-other-r) then concat('''', $display-in-other-r, '''')        else if ($display-in-other-h) then concat('''', $display-in-other-h, '''')        else '' " />
    <xsl:variable name="display-in-no-domain" select="if ($codes-in-no-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', dh:XQueryRecursiveReplace(string-join(for $code in $der-mfst-codes-5 return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), '; '),          $term-pattern-replacement, 'ic'), '''')        else '' " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))        else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="log-concepts-appended" select="if ($error-usingTS-7 or not($flags/@report-terminology-concepts = 'true') or $log-concepts-name = '') then ''        else if ($codes-not-found and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                   'Manifestation',   $log-tab,                   'yes',     $log-tab,                   concat($display-code, $display-system), $log-tab,                   '',     $log-tab,                  '',     $log-tab,                  '',     $log-tab,                  $ts-current-sctau   ))        else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <!--REPORT -->
    <xsl:if test=" $log-concepts-appended = ('NOTFOUND', 'ERROR') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$log-concepts-appended = ('NOTFOUND', 'ERROR')">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Manifestation-Defn): The AppendLog function returned '<xsl:text /><xsl:value-of select="$log-concepts-appended" /><xsl:text />' when requested to append the concepts log
		'<xsl:text /><xsl:value-of select="$log-concepts-name" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-mfst-5) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-mfst-5)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Manifestation-Defn): An unexpected problem occurred when assessing the value of the Manifestation
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. The application of regular expressions resulted in the complete loss of text.
		Report the information below to the Australian Digital Health Agency for investigation.

		der-text-1 '<xsl:text /><xsl:value-of select="normalize-space(dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'))" /><xsl:text />'.
		der-text-2a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-2a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-a, $term-pattern-replacement, 'ic')" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingV-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingV-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Manifestation-Defn): An error was reported when accessing the terminology server when assessing the Manifestation data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		Report the issue to the Australian Digital Health Agency for investigation stating the error was recorded for error-usingV-2.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-7 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-7">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Manifestation-Defn): An error was reported when accessing the terminology server when assessing the Manifestation data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term:
		'<xsl:text /><xsl:value-of select="$der-text" /><xsl:text />'. The analysis should be retried as the terminology server may have been temporarily unavailable.
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation, stating that the error was found by
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'error-usingTS-1' else if ($error-usingTS-2-a) then 'error-usingTS-2-a'   else if ($error-usingTS-2) then 'error-usingTS-2'   else if ($error-usingTS-3) then 'error-usingTS-3' else if ($error-usingTS-4) then 'error-usingTS-4'   else if ($error-usingTS-5) then 'error-usingTS-5' else if ($error-usingTS-6) then 'error-usingTS-6'   else 'error-usingTS-7' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $codes-not-found">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $codes-not-found">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Manifestation '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the signs and symptoms of the         adverse reaction expressed as a single word, phrase or brief description.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.13 of the Adverse Reaction Detailed Clinical Model Specification v3.3,         which allows more reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$codes-in-other-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$codes-in-other-domain">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Manifestation '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value does not seem to be applicable for the data element.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the signs and symptoms of the         adverse reaction expressed as a single word, phrase or brief description.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Manifestation
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the signs and symptoms of the         adverse reaction expressed as a single word, phrase or brief description.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Manifestation data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Manifestation
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the signs and symptoms of the         adverse reaction expressed as a single word, phrase or brief description.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Manifestation data element must have a value that is consistent with this definition. Alternatively if there is no Manifestation data element with a proper value then an exclusion
		statement must be included to state why there is no Manifestation. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4')    then concat('Text such as ''', dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'), ''' may be permitted in the narrative even though the Manifestation data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Manifestation
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the signs and symptoms of the         adverse reaction expressed as a single word, phrase or brief description.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Manifestation data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($der-text-non-value) and $der-invalid-text ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($der-text-non-value) and $der-invalid-text">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Manifestation '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid. <xsl:text /><xsl:value-of select="$defn-invalid-rsn" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the signs and symptoms of the         adverse reaction expressed as a single word, phrase or brief description.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $invalid-mfst and not($error-usingTS-7)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$invalid-mfst and not($error-usingTS-7)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Manifestation '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid
		<xsl:text /><xsl:value-of select="if (exists($invalid-mfst-codes-h)) then concat(' as it describes ', string-join(distinct-values(for $code in tokenize(replace(   dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat('(', string-join(for $code in $invalid-mfst-codes-h return concat('&gt;&gt;', $code), ' OR '), ') AND (',    string-join(for $hierarchy in $cd-definitions/mfst/mfst-invalid/hierarchy return $hierarchy/@code, ' OR '), ')'), '',    string(count($invalid-mfst-codes-h)), true()), '(\[.*?\])(\||$)', '$2'), '\|') return     $cd-definitions/mfst/mfst-invalid/hierarchy[@code = $code]/@description)[position() = (1 to 2)], ' and '), '.')    else if (exists($invalid-mfst-codes-r)) then concat(' as it describes ', string-join(distinct-values(for $code in $invalid-mfst-codes-r return   $cd-definitions/mfst/mfst-invalid/refset[index-of(for $x in (for $refset in $cd-definitions/mfst/mfst-invalid/refset return    dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat($code, ' AND ^', $refset/@code), '', '1', true()), '|') return matches($x, '^[0-9]'), true())[1]]/@description), ' and '), '.')   else '.'" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the signs and symptoms of the         adverse reaction expressed as a single word, phrase or brief description.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable outside the applicable value domain): The Manifestation
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following codes were obtained and are not in the value domain: <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-Manifestation-Defn): The Manifestation '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU and no associated code was found in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists(($der-NAF-active-codes, $undetermined-NAF-active-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists(($der-NAF-active-codes, $undetermined-NAF-active-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-Manifestation-Defn): The Manifestation '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-active-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the
		'<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' version of SNOMED CT-AU but it was not found with this status in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU. 
		<xsl:text /><xsl:value-of select="if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $valid-mfst-1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $valid-mfst-1">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable within the value domain): The Manifestation
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which matches one of the terms listed in Knowledge.xml for the Manifestation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (concept is codeable within the value domain): The Manifestation
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a valid value for the Manifestation.
		SNOMED CT-AU codes that matched the concept are: <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-mfst-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-mfst-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Manifestation '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The text used to match regular expression (der-text-2) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to match non-values (der-text-to-match) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-to-match, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to derive a code (der-text) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The SNOMED CT-AU version used to find codes is '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' and the maximum code number is '<xsl:text /><xsl:value-of select="$max-code-number" /><xsl:text />'.

		Codes for related terms (related-terms-2): '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($related-terms-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes for related terms (der-valid-codes-1): 
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-1, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-mfst-codes-2) returned by the terminology server that match the text:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-mfst-codes-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes from related terms or the terminology server (der-valid-codes-2):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-2, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-inactive-codes-3) returned from the Validator's database associated with inactive codes:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-inactive-codes-3, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes found after examining inactive codes (der-valid-codes-3):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-3, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Members of invalid reference sets (invalid-mfst-codes-r): '<xsl:text /><xsl:value-of select="$display-in-other-r" /><xsl:text />'.
		Members of invalid code hierarchies (invalid-mfst-codes-h): '<xsl:text /><xsl:value-of select="$display-in-other-h" /><xsl:text />'.

		Final set of valid codes (der-valid-codes-4):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		
		Codes whose validity has not been determined (der-body-codes-5):  <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.
		Codes whose validity has not been determined and are inactive with no associated code (undetermined-NAF): '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(    string-join($undetermined-NAF, ''', '''), $markup-pattern-replacement, 'ic')" /><xsl:text />'.

		Will the value of the data element be trusted (der-trusted-text)? '<xsl:text /><xsl:value-of select="$der-trusted-text" /><xsl:text />'.
		
	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and $codes-not-found">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept not codeable): The Manifestation '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($avoid-ts) then 'The terminology server was not used to assist with finding codes corresponding to text in the data element. ' else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $prose-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $prose-err">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Manifestation
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is invalid as it is prose text.
		The Manifestation data element is CodeableText derived from the HL7 CD data type which by definition is to record a concept defined in an external code system, terminology or ontology.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the signs and symptoms of the         adverse reaction expressed as a single word, phrase or brief description.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		This finding will also be reported as an error.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M107" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M107" />
  <xsl:template match="@*|node()" priority="-2" mode="M107">
    <xsl:apply-templates select="@*|*" mode="M107" />
  </xsl:template>
  <!--PATTERN p-TS-Adverse-CodeableText-24-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '101.20113' = $doc-sections][cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.4')  or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3')  ]]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/   cda:entry/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:entryRelationship/cda:observation   [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16474']]/cda:entryRelationship[@typeCode='MFST']/cda:observation/cda:code   [(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-mfst-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])]   [not(@nullFlavor = $no-value-NF)] " priority="1000" mode="M108">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '101.20113' = $doc-sections][cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.4')  or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3')  ]]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/   cda:entry/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:entryRelationship/cda:observation   [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16474']]/cda:entryRelationship[@typeCode='MFST']/cda:observation/cda:code   [(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-mfst-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])]   [not(@nullFlavor = $no-value-NF)] " />
    <xsl:variable name="pcode" select="if ('2.16.840.1.113883.6.96' = $defn-mfst-trusted and         @codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="snomed-trans" select="if ('2.16.840.1.113883.6.96' = $defn-mfst-trusted and cda:translation)         then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="tcode" select="if (exists($snomed-trans[1]) and matches($snomed-trans[1]/@code, $snomed-code-regex)) then $snomed-trans[1]/@code else '' " />
    <xsl:variable name="code-present" select="$pcode != '' or $tcode != '' " />
    <xsl:variable name="invalid-code-system" select="@code and @displayName and @codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="codesystemvalues" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']" />
    <xsl:variable name="otext-without-markup" select="if (cda:originalText and cda:originalText != '') then replace(cda:originalText, $markup-regex, ' ') else '' " />
    <xsl:variable name="pdname" select="if (@displayName and not($invalid-code-system)) then @displayName else '' " />
    <xsl:variable name="max-code-number" select="if ($knowledge/search-for-term/max-sct-code-number/@value &gt; '5') then $knowledge/search-for-term/max-sct-code-number/@value else '5' " />
    <xsl:variable name="der-text-1" select="if ($code-present) then ''         else if ($otext-without-markup != '') then $otext-without-markup        else if ($pdname != '') then $pdname        else '' " />
    <xsl:variable name="family-err" select="$family-regex != '' and not(matches($der-text-1, '(^|\s)(small|white\s*cell\s*count)(\s|$)', 'is')) and matches($der-text-1, $family-regex, 'is')" />
    <xsl:variable name="der-truncated-text-1" select="normalize-space(replace($der-text-1, $unicode-br-truncation-regex, '$1', 'is')) " />
    <xsl:variable name="length-err" select="string-length($der-truncated-text-1) &gt; $length-err-max" />
    <xsl:variable name="prose-err-1" select="$length-err and cda:originalText and (        matches(cda:originalText, $ulist-regex)           or         matches(cda:originalText, $alt-ulist-1a-regex, 'is')         or         matches(cda:originalText, $alt-ulist-1b-regex, 'is')         )" />
    <xsl:variable name="prose-err" select="$prose-err-1                or               (cda:originalText and (        matches(cda:originalText, $alt-ulist-2-regex, 'is')         or        matches(cda:originalText, $olist-arabic-regex, 'is')          or         matches(cda:originalText, $olist-alpha-regex, 'is')          or         matches(cda:originalText, $olist-roman-regex, 'is')          or        matches(replace(cda:originalText, $new-line-regex, codepoints-to-string((10)), 'is'), $para-regex, 'is')  or        matches(cda:originalText, codepoints-to-string((8233)), 'is')         or                matches(cda:originalText, $invalid-concept-regex, 'is')         or        ($length-err and matches(cda:originalText, '\.\s*$', 's') and matches(cda:originalText, $multi-sentence-regex, 's')) ) )" />
    <xsl:variable name="avoid-ts" select="$family-err or $length-err or $prose-err or not($use-ts-for-sctau) " />
    <xsl:variable name="der-text-2a" select="if ($der-truncated-text-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-truncated-text-1, $mfst-fir-pattern-replacement, 'ic')) " />
    <xsl:variable name="der-text-2" select="if ($der-text-2a = '') then $der-truncated-text-1 else $der-text-2a " />
    <xsl:variable name="der-text-a" select="if ($mfst-replacements = '' or $der-text-2 = '') then normalize-space($der-text-2)        else normalize-space(dh:XQueryRecursiveReplace($der-text-2, $mfst-replacements, 'ic')) " />
    <xsl:variable name="der-text" select="if ($der-text-a = '') then $der-text-2 else $der-text-a " />
    <xsl:variable name="defn-valid-regex" select="concat('(^|\|)', translate($der-text-2, $chars-to-remove, ''), '(\||$)') " />
    <xsl:variable name="der-text-to-match-1" select="lower-case($der-text-2) " />
    <xsl:variable name="der-text-to-match" select="translate($der-text-to-match-1, $chars-to-remove, '') " />
    <xsl:variable name="der-text-non-value" select="if ($code-present or @nullFlavor = $no-value-NF) then false() else         $der-text-to-match = ''              or        not(matches($der-text-to-match-1, '[a-z]', 'i'))          or         ($cd-definitions/non-value/@regex != '' and matches($der-text-to-match-1, $cd-definitions/non-value/@regex, 'i'))  or        (exists($cd-definitions/mfst/@non-value-regex) and matches($der-text-to-match-1, $cd-definitions/mfst/@non-value-regex, 'i')) " />
    <xsl:variable name="defn-invalid-regex" select="if ($code-present or $der-text-non-value) then ()        else if ($cd-definitions/mfst/@invalid-regex) then tokenize($cd-definitions/mfst/@invalid-regex, '~')[. != '']         else () " />
    <xsl:variable name="defn-invalid-txt-regex" select="(for $i in (1 to count($defn-invalid-regex)) return normalize-space(substring-before($defn-invalid-regex[$i], '[[')))[. != '']" />
    <xsl:variable name="der-invalid-text-regex-1" select="if (exists($defn-invalid-txt-regex))        then index-of(for $i in (1 to count($defn-invalid-txt-regex)) return matches($der-text-2, $defn-invalid-txt-regex[$i], 'i'), true())        else () " />
    <xsl:variable name="der-invalid-text" select="exists($der-invalid-text-regex-1) " />
    <xsl:variable name="defn-invalid-rsn" select="if ($der-invalid-text)         then normalize-space(substring-before(substring-after($defn-invalid-regex[$der-invalid-text-regex-1[1]], '[['), ']]'))         else '' " />
    <xsl:variable name="trusted-code-systems" select="if ($der-text = '' or $der-invalid-text or not(@codeSystem or cda:translation/@codeSystem)) then ()        else (tokenize(replace($cd-definitions/mfst/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/mfst/@extra, '\s+', ''), '\|'))[. != ''] " />
    <xsl:variable name="der-trusted-text" select="if ($der-text = '' or $der-invalid-text or (@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex)))) then false()        else ((@codeSystem and exists($trusted-code-systems[. = current()/@codeSystem])) or               (cda:translation/@codeSystem and exists($trusted-code-systems[. = current()/cda:translation/@codeSystem]))) " />
    <xsl:variable name="valid-mfst-1" select="if ($code-present or $der-text-non-value or $der-invalid-text or not($cd-definitions/mfst/@valid-regex)) then false()        else exists(index-of(for $regex in (tokenize($cd-definitions/mfst/@valid-regex, '~')[. != '']) return          matches($der-text-2, dh:XQueryRecursiveReplace(normalize-space($regex), ' \|~|~\| ~|', ''), 'is'), true())) " />
    <xsl:variable name="invalid-hierarchy" select="if (exists($cd-definitions/mfst/mfst-invalid/hierarchy))         then string-join(for $hierarchy in $cd-definitions/mfst/mfst-invalid/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-refset" select="if (exists($cd-definitions/mfst/mfst-invalid/refset))          then string-join(for $refset in $cd-definitions/mfst/mfst-invalid/refset return concat('^', $refset/@code), ' OR ')         else '' " />
    <xsl:variable name="valid-refset" select="'^142341000036103 OR ^32570071000036102' " />
    <xsl:variable name="valid-domain" select="if ($invalid-refset != '' and $invalid-hierarchy != '')         then concat('((', $valid-refset, ') MINUS (', $invalid-refset, ' OR (', $invalid-hierarchy, ')))')        else if ($invalid-refset = '' and $invalid-hierarchy != '') then concat('((', $valid-refset, ') MINUS (', $invalid-hierarchy, '))')         else if ($invalid-refset != '' and $invalid-hierarchy = '') then concat('((', $valid-refset, ') MINUS (', $invalid-refset, '))')        else concat('(', $valid-refset, ')') " />
    <xsl:variable name="related-terms-1" select="if ($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-mfst-1) then ()        else ($codesystemvalues/code[@related-terms], $codesystemvalues/related-terms[@related-terms]) " />
    <xsl:variable name="related-terms-2" select="for $i in index-of(        for $concept in $related-terms-1 return matches(translate($concept/@related-terms, $chars-no-pipe, ''), $defn-valid-regex, 'i'), true())         return $related-terms-1[$i]/@code " />
    <xsl:variable name="der-mfst-codes-1" select="if (exists($related-terms-2)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($related-terms-2, ' OR '), ') AND ', $valid-domain), '', string(count($related-terms-2)), false())        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $der-mfst-codes-1 " />
    <xsl:variable name="der-valid-codes-1" select="if (contains($der-mfst-codes-1, '[')) then $der-mfst-codes-1 else '' " />
    <xsl:variable name="valid-mfst-2" select="$valid-mfst-1 or $der-valid-codes-1 != '' " />
    <xsl:variable name="mfst-inactive-refSets" select="if (exists($cd-definitions/mfst/mfst-invalid/inactive-refset))         then concat('((', $inactive-refSets, ') MINUS (',           string-join(for $refset in $cd-definitions/mfst/mfst-invalid/inactive-refset return concat('^', $refset/@code), ' OR '),          '))')         else $inactive-refSets " />
    <xsl:variable name="formula" select="concat($valid-domain, ' OR ', $mfst-inactive-refSets) " />
    <xsl:variable name="ts-not-needed" select="$der-text = '' or $der-text-non-value or $der-invalid-text or $valid-mfst-2 or $avoid-ts " />
    <xsl:variable name="der-mfst-codes-2-a" select="if ($ts-not-needed or exists($related-terms-2)) then ()         else tokenize(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-text, 'default'), '\|') " />
    <xsl:variable name="error-usingTS-2-a" select="$error-usingTS-1 or 'Error' = $der-mfst-codes-2-a " />
    <xsl:variable name="der-mfst-codes-2" select="if ($ts-not-needed or $error-usingTS-2-a or not(exists($der-mfst-codes-2-a)) or $der-valid-codes-1 != '' or exists($related-terms-2)) then ()        else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join(for $code in $der-mfst-codes-2-a return replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is'), ' OR '), ') AND (',          $formula, ')'), '', string(count($der-mfst-codes-2-a)), false()), '\|') " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-2-a or 'Error' = $der-mfst-codes-2 " />
    <xsl:variable name="der-valid-codes-2" select="if ($der-valid-codes-1 != '') then $der-valid-codes-1        else if ($error-usingTS-2) then ''         else string-join((for $code in $der-mfst-codes-2 return if (contains($code, '~inactive')) then '' else $code)[. != ''], '|')  " />
    <xsl:variable name="valid-mfst-3" select="$valid-mfst-2 or $der-valid-codes-2 != '' " />
    <xsl:variable name="der-inactive-codes-1" select="if ($valid-mfst-3) then () else        for $code in $der-mfst-codes-2 return if (contains($code, '~inactive')) then replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is') else '' " />
    <xsl:variable name="der-inactive-codes-2" select="for $i in (1 to count($der-inactive-codes-1)) return         dh:IsCodeAssociatedWithAnotherCode($der-inactive-codes-1[$i], '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-1" select="'Error' = $der-inactive-codes-2 " />
    <xsl:variable name="der-NAF-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-NAF-active-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound~active')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-inactive-codes-3" select="tokenize(string-join(for $i in (1 to count($der-inactive-codes-1)) return replace(string-join(tokenize($der-inactive-codes-2[$i], '\|')        [matches(., '(REPLACED BY|SAME AS|ALTERNATIVE|POSSIBLY EQUIVALENT TO|MAY BE A|WAS A)')], '|'), '[0-9]+~[A-Z ]+~([0-9]+)', '$1'), '|'), '\|')        [. != ''] " />
    <xsl:variable name="der-mfst-codes-3" select="if (exists($der-inactive-codes-3)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($der-inactive-codes-3, ' OR '), ') AND ', $valid-domain), '', string(count($der-inactive-codes-3)), false())          else '' " />
    <xsl:variable name="error-usingTS-3" select="$error-usingTS-2 or 'Error' = $der-mfst-codes-3 " />
    <xsl:variable name="der-valid-codes-3" select="if ($der-valid-codes-2 != '') then $der-valid-codes-2        else if (contains($der-mfst-codes-3, '[')) then $der-mfst-codes-3        else '' " />
    <xsl:variable name="valid-mfst-4" select="$valid-mfst-3 or $der-valid-codes-3 != '' " />
    <xsl:variable name="invalid-domain" select="if ($invalid-hierarchy != '' and $invalid-refset != '') then concat($invalid-hierarchy, ' OR ', $invalid-refset)        else if ($invalid-hierarchy != '') then $invalid-hierarchy        else if ($invalid-refset != '') then $invalid-refset        else '' " />
    <xsl:variable name="der-mfst-codes-4" select="if ($ts-not-needed or $valid-mfst-4 or $invalid-domain = '') then ()        else if (exists($related-terms-2)) then $related-terms-2        else distinct-values((tokenize(replace(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          $invalid-domain, $der-text, 'default'), '(\[.*?\])(\||$)', '$2'), '\|'), $der-inactive-codes-3)) " />
    <xsl:variable name="error-usingTS-4" select="$error-usingTS-3 or 'Error' = $der-mfst-codes-4 " />
    <xsl:variable name="invalid-mfst-codes-r" select="if ($ts-not-needed or $valid-mfst-4 or $error-usingTS-4 or not(exists($der-mfst-codes-4))) then ()        else if ($invalid-refset = '') then tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-mfst-codes-4, ' OR '), ') AND (', $inactive-refSets, ')'), '',           string(count($der-mfst-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')        else tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-mfst-codes-4, ' OR '), ') AND (', $invalid-refset, ' OR ', $inactive-refSets, ')'), '',           string(count($der-mfst-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')  " />
    <xsl:variable name="error-usingTS-5" select="$error-usingTS-4 or 'Error' = $invalid-mfst-codes-r " />
    <xsl:variable name="der-mfst-codes-4-h" select="if ($error-usingTS-5) then () else $der-mfst-codes-4[not(. = $invalid-mfst-codes-r)]" />
    <xsl:variable name="invalid-mfst-codes-h" select="if ($ts-not-needed or $valid-mfst-4 or 'Error' = $der-mfst-codes-4 or $mfst-invalid-hierarchy = '' or not(exists($der-mfst-codes-4-h))) then ()        else (for $code in $der-mfst-codes-4-h return          if (dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;&gt;', $code, ' MINUS ', $mfst-invalid-hierarchy), '', '1', false()) = '') then $code else '')[. != ''] " />
    <xsl:variable name="invalid-mfst-codes" select="($invalid-mfst-codes-h, $invalid-mfst-codes-r) " />
    <xsl:variable name="der-mfst-codes-5" select="$der-mfst-codes-4[not(. = $invalid-mfst-codes or . = 'Error')]" />
    <xsl:variable name="der-valid-codes-4" select="if ($der-valid-codes-3 != '') then $der-valid-codes-3        else if ($ts-not-needed or $valid-mfst-4 or $valid-domain = '' or not(exists($der-mfst-codes-5))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-mfst-codes-5, ' OR '), ') AND ', $valid-domain), '', string(count($der-mfst-codes-5)), false()) " />
    <xsl:variable name="error-usingTS-6" select="$error-usingTS-5 or 'Error' = $der-valid-codes-4 " />
    <xsl:variable name="valid-mfst-5" select="$valid-mfst-4 or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="undetermined-mfst-1" select="$der-mfst-codes-5[not(. = tokenize(replace($der-valid-codes-4,  '(\[.*?\])(\||$)', '$2'), '\|'))]" />
    <xsl:variable name="undetermined-inactive-1" select="for $i in (1 to count($undetermined-mfst-1)) return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $undetermined-mfst-1[$i], '', '1', false()) " />
    <xsl:variable name="error-usingTS-7" select="$error-usingTS-6 or 'Error' = $undetermined-inactive-1 " />
    <xsl:variable name="undetermined-inactive" select="(for $i in (1 to count($undetermined-mfst-1)) return         if (contains($undetermined-inactive-1[$i], '~inactive')) then $undetermined-inactive-1[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-1" select="for $i in (1 to count($undetermined-inactive))        return dh:IsCodeAssociatedWithAnotherCode(replace($undetermined-inactive[$i], '(\[.*?\])(\||$)', '$2'), '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-2" select="$error-usingV-1 or 'Error' = $undetermined-NAF-1 " />
    <xsl:variable name="undetermined-NAF" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-codes" select="for $term in $undetermined-NAF return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-NAF-active" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound~active')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-active-codes" select="for $term in $undetermined-NAF-active return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-mfst" select="$undetermined-mfst-1[not(. = ($undetermined-NAF-codes, $undetermined-NAF-active-codes))]" />
    <xsl:variable name="invalid-mfst" select="not($valid-mfst-5) and exists($invalid-mfst-codes) and not(exists($undetermined-mfst))" />
    <xsl:variable name="codes-were-found" select="exists($der-mfst-codes-4) or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="codes-not-found" select="not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or        $valid-mfst-5 or $invalid-mfst or $error-usingTS-7 or $family-err or $length-err or $prose-err) " />
    <xsl:variable name="codes-in-the-domain" select="not($valid-mfst-1) and $valid-mfst-5" />
    <xsl:variable name="codes-in-other-domain" select="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-mfst-5 or         $invalid-mfst or $error-usingTS-7) " />
    <xsl:variable name="codes-in-no-domain" select="exists($der-mfst-codes-5) " />
    <xsl:variable name="display-in-the-domain" select="if ($codes-in-the-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', '), '''')        else '' " />
    <xsl:variable name="display-in-other-r" select="if (exists($invalid-mfst-codes-r) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-mfst-codes-r return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-h" select="if (exists($invalid-mfst-codes-h) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-mfst-codes-h return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-domain" select="if (not($codes-in-other-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))) then ''        else if ($display-in-other-r and display-in-other-h) then concat('''', $display-in-other-r, ', ', $display-in-other-h, '''')        else if ($display-in-other-r) then concat('''', $display-in-other-r, '''')        else if ($display-in-other-h) then concat('''', $display-in-other-h, '''')        else '' " />
    <xsl:variable name="display-in-no-domain" select="if ($codes-in-no-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', dh:XQueryRecursiveReplace(string-join(for $code in $der-mfst-codes-5 return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), '; '),          $term-pattern-replacement, 'ic'), '''')        else '' " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))        else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="log-concepts-appended" select="if ($error-usingTS-7 or not($flags/@report-terminology-concepts = 'true') or $log-concepts-name = '') then ''        else if ($codes-not-found and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                   'Manifestation',   $log-tab,                   'yes',     $log-tab,                   concat($display-code, $display-system), $log-tab,                   '',     $log-tab,                  '',     $log-tab,                  '',     $log-tab,                  $ts-current-sctau   ))        else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <!--REPORT -->
    <xsl:if test=" $log-concepts-appended = ('NOTFOUND', 'ERROR') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$log-concepts-appended = ('NOTFOUND', 'ERROR')">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Manifestation-Defn): The AppendLog function returned '<xsl:text /><xsl:value-of select="$log-concepts-appended" /><xsl:text />' when requested to append the concepts log
		'<xsl:text /><xsl:value-of select="$log-concepts-name" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-mfst-5) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-mfst-5)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Manifestation-Defn): An unexpected problem occurred when assessing the value of the Manifestation
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. The application of regular expressions resulted in the complete loss of text.
		Report the information below to the Australian Digital Health Agency for investigation.

		der-text-1 '<xsl:text /><xsl:value-of select="normalize-space(dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'))" /><xsl:text />'.
		der-text-2a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-2a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-a, $term-pattern-replacement, 'ic')" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingV-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingV-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Manifestation-Defn): An error was reported when accessing the terminology server when assessing the Manifestation data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		Report the issue to the Australian Digital Health Agency for investigation stating the error was recorded for error-usingV-2.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-7 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-7">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Manifestation-Defn): An error was reported when accessing the terminology server when assessing the Manifestation data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term:
		'<xsl:text /><xsl:value-of select="$der-text" /><xsl:text />'. The analysis should be retried as the terminology server may have been temporarily unavailable.
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation, stating that the error was found by
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'error-usingTS-1' else if ($error-usingTS-2-a) then 'error-usingTS-2-a'   else if ($error-usingTS-2) then 'error-usingTS-2'   else if ($error-usingTS-3) then 'error-usingTS-3' else if ($error-usingTS-4) then 'error-usingTS-4'   else if ($error-usingTS-5) then 'error-usingTS-5' else if ($error-usingTS-6) then 'error-usingTS-6'   else 'error-usingTS-7' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $codes-not-found">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $codes-not-found">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Manifestation '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the signs and symptoms of the         adverse reaction expressed as a single word, phrase or brief description.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         ADVERSE REACTION section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$codes-in-other-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$codes-in-other-domain">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Manifestation '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value does not seem to be applicable for the data element.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the signs and symptoms of the         adverse reaction expressed as a single word, phrase or brief description.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Manifestation
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the signs and symptoms of the         adverse reaction expressed as a single word, phrase or brief description.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Manifestation data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Manifestation
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the signs and symptoms of the         adverse reaction expressed as a single word, phrase or brief description.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Manifestation data element must have a value that is consistent with this definition. Alternatively if there is no Manifestation data element with a proper value then an exclusion
		statement must be included to state why there is no Manifestation. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4')    then concat('Text such as ''', dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'), ''' may be permitted in the narrative even though the Manifestation data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Manifestation
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the signs and symptoms of the         adverse reaction expressed as a single word, phrase or brief description.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Manifestation data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($der-text-non-value) and $der-invalid-text ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($der-text-non-value) and $der-invalid-text">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Manifestation '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid. <xsl:text /><xsl:value-of select="$defn-invalid-rsn" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the signs and symptoms of the         adverse reaction expressed as a single word, phrase or brief description.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $invalid-mfst and not($error-usingTS-7)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$invalid-mfst and not($error-usingTS-7)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Manifestation '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid
		<xsl:text /><xsl:value-of select="if (exists($invalid-mfst-codes-h)) then concat(' as it describes ', string-join(distinct-values(for $code in tokenize(replace(   dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat('(', string-join(for $code in $invalid-mfst-codes-h return concat('&gt;&gt;', $code), ' OR '), ') AND (',    string-join(for $hierarchy in $cd-definitions/mfst/mfst-invalid/hierarchy return $hierarchy/@code, ' OR '), ')'), '',    string(count($invalid-mfst-codes-h)), true()), '(\[.*?\])(\||$)', '$2'), '\|') return     $cd-definitions/mfst/mfst-invalid/hierarchy[@code = $code]/@description)[position() = (1 to 2)], ' and '), '.')    else if (exists($invalid-mfst-codes-r)) then concat(' as it describes ', string-join(distinct-values(for $code in $invalid-mfst-codes-r return   $cd-definitions/mfst/mfst-invalid/refset[index-of(for $x in (for $refset in $cd-definitions/mfst/mfst-invalid/refset return    dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat($code, ' AND ^', $refset/@code), '', '1', true()), '|') return matches($x, '^[0-9]'), true())[1]]/@description), ' and '), '.')   else '.'" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the signs and symptoms of the         adverse reaction expressed as a single word, phrase or brief description.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable outside the applicable value domain): The Manifestation
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following codes were obtained and are not in the value domain: <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-Manifestation-Defn): The Manifestation '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU and no associated code was found in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists(($der-NAF-active-codes, $undetermined-NAF-active-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists(($der-NAF-active-codes, $undetermined-NAF-active-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-Manifestation-Defn): The Manifestation '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-active-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the
		'<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' version of SNOMED CT-AU but it was not found with this status in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU. 
		<xsl:text /><xsl:value-of select="if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $valid-mfst-1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $valid-mfst-1">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable within the value domain): The Manifestation
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which matches one of the terms listed in Knowledge.xml for the Manifestation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (concept is codeable within the value domain): The Manifestation
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a valid value for the Manifestation.
		SNOMED CT-AU codes that matched the concept are: <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-mfst-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-mfst-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Manifestation '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The text used to match regular expression (der-text-2) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to match non-values (der-text-to-match) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-to-match, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to derive a code (der-text) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The SNOMED CT-AU version used to find codes is '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' and the maximum code number is '<xsl:text /><xsl:value-of select="$max-code-number" /><xsl:text />'.

		Codes for related terms (related-terms-2): '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($related-terms-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes for related terms (der-valid-codes-1): 
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-1, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-mfst-codes-2) returned by the terminology server that match the text:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-mfst-codes-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes from related terms or the terminology server (der-valid-codes-2):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-2, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-inactive-codes-3) returned from the Validator's database associated with inactive codes:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-inactive-codes-3, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes found after examining inactive codes (der-valid-codes-3):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-3, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Members of invalid reference sets (invalid-mfst-codes-r): '<xsl:text /><xsl:value-of select="$display-in-other-r" /><xsl:text />'.
		Members of invalid code hierarchies (invalid-mfst-codes-h): '<xsl:text /><xsl:value-of select="$display-in-other-h" /><xsl:text />'.

		Final set of valid codes (der-valid-codes-4):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		
		Codes whose validity has not been determined (der-body-codes-5):  <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.
		Codes whose validity has not been determined and are inactive with no associated code (undetermined-NAF): '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(    string-join($undetermined-NAF, ''', '''), $markup-pattern-replacement, 'ic')" /><xsl:text />'.

		Will the value of the data element be trusted (der-trusted-text)? '<xsl:text /><xsl:value-of select="$der-trusted-text" /><xsl:text />'.
		
	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and $codes-not-found">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept not codeable): The Manifestation '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($avoid-ts) then 'The terminology server was not used to assist with finding codes corresponding to text in the data element. ' else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $prose-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $prose-err">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Manifestation
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is invalid as it is prose text.
		The Manifestation data element is CodeableText derived from the HL7 CD data type which by definition is to record a concept defined in an external code system, terminology or ontology.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the signs and symptoms of the         adverse reaction expressed as a single word, phrase or brief description.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		This finding will also be reported as an error.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M108" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M108" />
  <xsl:template match="@*|node()" priority="-2" mode="M108">
    <xsl:apply-templates select="@*|*" mode="M108" />
  </xsl:template>
  <!--PATTERN p-TS-Adverse-CodeableText-25-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '101.20113' = $doc-sections]   [cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.153' and @extension = '1.0']]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/   cda:entry/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:entryRelationship/cda:observation   [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16474']]/cda:entryRelationship[@typeCode='MFST']/cda:observation/cda:code   [(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-mfst-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])]   [not(@nullFlavor = $no-value-NF)] " priority="1000" mode="M109">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '101.20113' = $doc-sections]   [cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.153' and @extension = '1.0']]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/   cda:entry/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:entryRelationship/cda:observation   [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16474']]/cda:entryRelationship[@typeCode='MFST']/cda:observation/cda:code   [(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-mfst-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])]   [not(@nullFlavor = $no-value-NF)] " />
    <xsl:variable name="pcode" select="if ('2.16.840.1.113883.6.96' = $defn-mfst-trusted and         @codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="snomed-trans" select="if ('2.16.840.1.113883.6.96' = $defn-mfst-trusted and cda:translation)         then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="tcode" select="if (exists($snomed-trans[1]) and matches($snomed-trans[1]/@code, $snomed-code-regex)) then $snomed-trans[1]/@code else '' " />
    <xsl:variable name="code-present" select="$pcode != '' or $tcode != '' " />
    <xsl:variable name="invalid-code-system" select="@code and @displayName and @codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="codesystemvalues" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']" />
    <xsl:variable name="otext-without-markup" select="if (cda:originalText and cda:originalText != '') then replace(cda:originalText, $markup-regex, ' ') else '' " />
    <xsl:variable name="pdname" select="if (@displayName and not($invalid-code-system)) then @displayName else '' " />
    <xsl:variable name="max-code-number" select="if ($knowledge/search-for-term/max-sct-code-number/@value &gt; '5') then $knowledge/search-for-term/max-sct-code-number/@value else '5' " />
    <xsl:variable name="der-text-1" select="if ($code-present) then ''         else if ($otext-without-markup != '') then $otext-without-markup        else if ($pdname != '') then $pdname        else '' " />
    <xsl:variable name="family-err" select="$family-regex != '' and not(matches($der-text-1, '(^|\s)(small|white\s*cell\s*count)(\s|$)', 'is')) and matches($der-text-1, $family-regex, 'is')" />
    <xsl:variable name="der-truncated-text-1" select="normalize-space(replace($der-text-1, $unicode-br-truncation-regex, '$1', 'is')) " />
    <xsl:variable name="length-err" select="string-length($der-truncated-text-1) &gt; $length-err-max" />
    <xsl:variable name="prose-err-1" select="$length-err and cda:originalText and (        matches(cda:originalText, $ulist-regex)           or         matches(cda:originalText, $alt-ulist-1a-regex, 'is')         or         matches(cda:originalText, $alt-ulist-1b-regex, 'is')         )" />
    <xsl:variable name="prose-err" select="$prose-err-1                or               (cda:originalText and (        matches(cda:originalText, $alt-ulist-2-regex, 'is')         or        matches(cda:originalText, $olist-arabic-regex, 'is')          or         matches(cda:originalText, $olist-alpha-regex, 'is')          or         matches(cda:originalText, $olist-roman-regex, 'is')          or        matches(replace(cda:originalText, $new-line-regex, codepoints-to-string((10)), 'is'), $para-regex, 'is')  or        matches(cda:originalText, codepoints-to-string((8233)), 'is')         or                matches(cda:originalText, $invalid-concept-regex, 'is')         or        ($length-err and matches(cda:originalText, '\.\s*$', 's') and matches(cda:originalText, $multi-sentence-regex, 's')) ) )" />
    <xsl:variable name="avoid-ts" select="$family-err or $length-err or $prose-err or not($use-ts-for-sctau) " />
    <xsl:variable name="der-text-2a" select="if ($der-truncated-text-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-truncated-text-1, $mfst-fir-pattern-replacement, 'ic')) " />
    <xsl:variable name="der-text-2" select="if ($der-text-2a = '') then $der-truncated-text-1 else $der-text-2a " />
    <xsl:variable name="der-text-a" select="if ($mfst-replacements = '' or $der-text-2 = '') then normalize-space($der-text-2)        else normalize-space(dh:XQueryRecursiveReplace($der-text-2, $mfst-replacements, 'ic')) " />
    <xsl:variable name="der-text" select="if ($der-text-a = '') then $der-text-2 else $der-text-a " />
    <xsl:variable name="defn-valid-regex" select="concat('(^|\|)', translate($der-text-2, $chars-to-remove, ''), '(\||$)') " />
    <xsl:variable name="der-text-to-match-1" select="lower-case($der-text-2) " />
    <xsl:variable name="der-text-to-match" select="translate($der-text-to-match-1, $chars-to-remove, '') " />
    <xsl:variable name="der-text-non-value" select="if ($code-present or @nullFlavor = $no-value-NF) then false() else         $der-text-to-match = ''              or        not(matches($der-text-to-match-1, '[a-z]', 'i'))          or         ($cd-definitions/non-value/@regex != '' and matches($der-text-to-match-1, $cd-definitions/non-value/@regex, 'i'))  or        (exists($cd-definitions/mfst/@non-value-regex) and matches($der-text-to-match-1, $cd-definitions/mfst/@non-value-regex, 'i')) " />
    <xsl:variable name="defn-invalid-regex" select="if ($code-present or $der-text-non-value) then ()        else if ($cd-definitions/mfst/@invalid-regex) then tokenize($cd-definitions/mfst/@invalid-regex, '~')[. != '']         else () " />
    <xsl:variable name="defn-invalid-txt-regex" select="(for $i in (1 to count($defn-invalid-regex)) return normalize-space(substring-before($defn-invalid-regex[$i], '[[')))[. != '']" />
    <xsl:variable name="der-invalid-text-regex-1" select="if (exists($defn-invalid-txt-regex))        then index-of(for $i in (1 to count($defn-invalid-txt-regex)) return matches($der-text-2, $defn-invalid-txt-regex[$i], 'i'), true())        else () " />
    <xsl:variable name="der-invalid-text" select="exists($der-invalid-text-regex-1) " />
    <xsl:variable name="defn-invalid-rsn" select="if ($der-invalid-text)         then normalize-space(substring-before(substring-after($defn-invalid-regex[$der-invalid-text-regex-1[1]], '[['), ']]'))         else '' " />
    <xsl:variable name="trusted-code-systems" select="if ($der-text = '' or $der-invalid-text or not(@codeSystem or cda:translation/@codeSystem)) then ()        else (tokenize(replace($cd-definitions/mfst/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/mfst/@extra, '\s+', ''), '\|'))[. != ''] " />
    <xsl:variable name="der-trusted-text" select="if ($der-text = '' or $der-invalid-text or (@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex)))) then false()        else ((@codeSystem and exists($trusted-code-systems[. = current()/@codeSystem])) or               (cda:translation/@codeSystem and exists($trusted-code-systems[. = current()/cda:translation/@codeSystem]))) " />
    <xsl:variable name="valid-mfst-1" select="if ($code-present or $der-text-non-value or $der-invalid-text or not($cd-definitions/mfst/@valid-regex)) then false()        else exists(index-of(for $regex in (tokenize($cd-definitions/mfst/@valid-regex, '~')[. != '']) return          matches($der-text-2, dh:XQueryRecursiveReplace(normalize-space($regex), ' \|~|~\| ~|', ''), 'is'), true())) " />
    <xsl:variable name="invalid-hierarchy" select="if (exists($cd-definitions/mfst/mfst-invalid/hierarchy))         then string-join(for $hierarchy in $cd-definitions/mfst/mfst-invalid/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-refset" select="if (exists($cd-definitions/mfst/mfst-invalid/refset))          then string-join(for $refset in $cd-definitions/mfst/mfst-invalid/refset return concat('^', $refset/@code), ' OR ')         else '' " />
    <xsl:variable name="valid-refset" select="'^142341000036103 OR ^32570071000036102' " />
    <xsl:variable name="valid-domain" select="if ($invalid-refset != '' and $invalid-hierarchy != '')         then concat('((', $valid-refset, ') MINUS (', $invalid-refset, ' OR (', $invalid-hierarchy, ')))')        else if ($invalid-refset = '' and $invalid-hierarchy != '') then concat('((', $valid-refset, ') MINUS (', $invalid-hierarchy, '))')         else if ($invalid-refset != '' and $invalid-hierarchy = '') then concat('((', $valid-refset, ') MINUS (', $invalid-refset, '))')        else concat('(', $valid-refset, ')') " />
    <xsl:variable name="related-terms-1" select="if ($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-mfst-1) then ()        else ($codesystemvalues/code[@related-terms], $codesystemvalues/related-terms[@related-terms]) " />
    <xsl:variable name="related-terms-2" select="for $i in index-of(        for $concept in $related-terms-1 return matches(translate($concept/@related-terms, $chars-no-pipe, ''), $defn-valid-regex, 'i'), true())         return $related-terms-1[$i]/@code " />
    <xsl:variable name="der-mfst-codes-1" select="if (exists($related-terms-2)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($related-terms-2, ' OR '), ') AND ', $valid-domain), '', string(count($related-terms-2)), false())        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $der-mfst-codes-1 " />
    <xsl:variable name="der-valid-codes-1" select="if (contains($der-mfst-codes-1, '[')) then $der-mfst-codes-1 else '' " />
    <xsl:variable name="valid-mfst-2" select="$valid-mfst-1 or $der-valid-codes-1 != '' " />
    <xsl:variable name="mfst-inactive-refSets" select="if (exists($cd-definitions/mfst/mfst-invalid/inactive-refset))         then concat('((', $inactive-refSets, ') MINUS (',           string-join(for $refset in $cd-definitions/mfst/mfst-invalid/inactive-refset return concat('^', $refset/@code), ' OR '),          '))')         else $inactive-refSets " />
    <xsl:variable name="formula" select="concat($valid-domain, ' OR ', $mfst-inactive-refSets) " />
    <xsl:variable name="ts-not-needed" select="$der-text = '' or $der-text-non-value or $der-invalid-text or $valid-mfst-2 or $avoid-ts " />
    <xsl:variable name="der-mfst-codes-2-a" select="if ($ts-not-needed or exists($related-terms-2)) then ()         else tokenize(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-text, 'default'), '\|') " />
    <xsl:variable name="error-usingTS-2-a" select="$error-usingTS-1 or 'Error' = $der-mfst-codes-2-a " />
    <xsl:variable name="der-mfst-codes-2" select="if ($ts-not-needed or $error-usingTS-2-a or not(exists($der-mfst-codes-2-a)) or $der-valid-codes-1 != '' or exists($related-terms-2)) then ()        else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join(for $code in $der-mfst-codes-2-a return replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is'), ' OR '), ') AND (',          $formula, ')'), '', string(count($der-mfst-codes-2-a)), false()), '\|') " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-2-a or 'Error' = $der-mfst-codes-2 " />
    <xsl:variable name="der-valid-codes-2" select="if ($der-valid-codes-1 != '') then $der-valid-codes-1        else if ($error-usingTS-2) then ''         else string-join((for $code in $der-mfst-codes-2 return if (contains($code, '~inactive')) then '' else $code)[. != ''], '|')  " />
    <xsl:variable name="valid-mfst-3" select="$valid-mfst-2 or $der-valid-codes-2 != '' " />
    <xsl:variable name="der-inactive-codes-1" select="if ($valid-mfst-3) then () else        for $code in $der-mfst-codes-2 return if (contains($code, '~inactive')) then replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is') else '' " />
    <xsl:variable name="der-inactive-codes-2" select="for $i in (1 to count($der-inactive-codes-1)) return         dh:IsCodeAssociatedWithAnotherCode($der-inactive-codes-1[$i], '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-1" select="'Error' = $der-inactive-codes-2 " />
    <xsl:variable name="der-NAF-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-NAF-active-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound~active')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-inactive-codes-3" select="tokenize(string-join(for $i in (1 to count($der-inactive-codes-1)) return replace(string-join(tokenize($der-inactive-codes-2[$i], '\|')        [matches(., '(REPLACED BY|SAME AS|ALTERNATIVE|POSSIBLY EQUIVALENT TO|MAY BE A|WAS A)')], '|'), '[0-9]+~[A-Z ]+~([0-9]+)', '$1'), '|'), '\|')        [. != ''] " />
    <xsl:variable name="der-mfst-codes-3" select="if (exists($der-inactive-codes-3)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($der-inactive-codes-3, ' OR '), ') AND ', $valid-domain), '', string(count($der-inactive-codes-3)), false())          else '' " />
    <xsl:variable name="error-usingTS-3" select="$error-usingTS-2 or 'Error' = $der-mfst-codes-3 " />
    <xsl:variable name="der-valid-codes-3" select="if ($der-valid-codes-2 != '') then $der-valid-codes-2        else if (contains($der-mfst-codes-3, '[')) then $der-mfst-codes-3        else '' " />
    <xsl:variable name="valid-mfst-4" select="$valid-mfst-3 or $der-valid-codes-3 != '' " />
    <xsl:variable name="invalid-domain" select="if ($invalid-hierarchy != '' and $invalid-refset != '') then concat($invalid-hierarchy, ' OR ', $invalid-refset)        else if ($invalid-hierarchy != '') then $invalid-hierarchy        else if ($invalid-refset != '') then $invalid-refset        else '' " />
    <xsl:variable name="der-mfst-codes-4" select="if ($ts-not-needed or $valid-mfst-4 or $invalid-domain = '') then ()        else if (exists($related-terms-2)) then $related-terms-2        else distinct-values((tokenize(replace(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          $invalid-domain, $der-text, 'default'), '(\[.*?\])(\||$)', '$2'), '\|'), $der-inactive-codes-3)) " />
    <xsl:variable name="error-usingTS-4" select="$error-usingTS-3 or 'Error' = $der-mfst-codes-4 " />
    <xsl:variable name="invalid-mfst-codes-r" select="if ($ts-not-needed or $valid-mfst-4 or $error-usingTS-4 or not(exists($der-mfst-codes-4))) then ()        else if ($invalid-refset = '') then tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-mfst-codes-4, ' OR '), ') AND (', $inactive-refSets, ')'), '',           string(count($der-mfst-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')        else tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-mfst-codes-4, ' OR '), ') AND (', $invalid-refset, ' OR ', $inactive-refSets, ')'), '',           string(count($der-mfst-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')  " />
    <xsl:variable name="error-usingTS-5" select="$error-usingTS-4 or 'Error' = $invalid-mfst-codes-r " />
    <xsl:variable name="der-mfst-codes-4-h" select="if ($error-usingTS-5) then () else $der-mfst-codes-4[not(. = $invalid-mfst-codes-r)]" />
    <xsl:variable name="invalid-mfst-codes-h" select="if ($ts-not-needed or $valid-mfst-4 or 'Error' = $der-mfst-codes-4 or $mfst-invalid-hierarchy = '' or not(exists($der-mfst-codes-4-h))) then ()        else (for $code in $der-mfst-codes-4-h return          if (dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;&gt;', $code, ' MINUS ', $mfst-invalid-hierarchy), '', '1', false()) = '') then $code else '')[. != ''] " />
    <xsl:variable name="invalid-mfst-codes" select="($invalid-mfst-codes-h, $invalid-mfst-codes-r) " />
    <xsl:variable name="der-mfst-codes-5" select="$der-mfst-codes-4[not(. = $invalid-mfst-codes or . = 'Error')]" />
    <xsl:variable name="der-valid-codes-4" select="if ($der-valid-codes-3 != '') then $der-valid-codes-3        else if ($ts-not-needed or $valid-mfst-4 or $valid-domain = '' or not(exists($der-mfst-codes-5))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-mfst-codes-5, ' OR '), ') AND ', $valid-domain), '', string(count($der-mfst-codes-5)), false()) " />
    <xsl:variable name="error-usingTS-6" select="$error-usingTS-5 or 'Error' = $der-valid-codes-4 " />
    <xsl:variable name="valid-mfst-5" select="$valid-mfst-4 or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="undetermined-mfst-1" select="$der-mfst-codes-5[not(. = tokenize(replace($der-valid-codes-4,  '(\[.*?\])(\||$)', '$2'), '\|'))]" />
    <xsl:variable name="undetermined-inactive-1" select="for $i in (1 to count($undetermined-mfst-1)) return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $undetermined-mfst-1[$i], '', '1', false()) " />
    <xsl:variable name="error-usingTS-7" select="$error-usingTS-6 or 'Error' = $undetermined-inactive-1 " />
    <xsl:variable name="undetermined-inactive" select="(for $i in (1 to count($undetermined-mfst-1)) return         if (contains($undetermined-inactive-1[$i], '~inactive')) then $undetermined-inactive-1[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-1" select="for $i in (1 to count($undetermined-inactive))        return dh:IsCodeAssociatedWithAnotherCode(replace($undetermined-inactive[$i], '(\[.*?\])(\||$)', '$2'), '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-2" select="$error-usingV-1 or 'Error' = $undetermined-NAF-1 " />
    <xsl:variable name="undetermined-NAF" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-codes" select="for $term in $undetermined-NAF return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-NAF-active" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound~active')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-active-codes" select="for $term in $undetermined-NAF-active return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-mfst" select="$undetermined-mfst-1[not(. = ($undetermined-NAF-codes, $undetermined-NAF-active-codes))]" />
    <xsl:variable name="invalid-mfst" select="not($valid-mfst-5) and exists($invalid-mfst-codes) and not(exists($undetermined-mfst))" />
    <xsl:variable name="codes-were-found" select="exists($der-mfst-codes-4) or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="codes-not-found" select="not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or        $valid-mfst-5 or $invalid-mfst or $error-usingTS-7 or $family-err or $length-err or $prose-err) " />
    <xsl:variable name="codes-in-the-domain" select="not($valid-mfst-1) and $valid-mfst-5" />
    <xsl:variable name="codes-in-other-domain" select="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-mfst-5 or         $invalid-mfst or $error-usingTS-7) " />
    <xsl:variable name="codes-in-no-domain" select="exists($der-mfst-codes-5) " />
    <xsl:variable name="display-in-the-domain" select="if ($codes-in-the-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', '), '''')        else '' " />
    <xsl:variable name="display-in-other-r" select="if (exists($invalid-mfst-codes-r) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-mfst-codes-r return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-h" select="if (exists($invalid-mfst-codes-h) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-mfst-codes-h return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-domain" select="if (not($codes-in-other-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))) then ''        else if ($display-in-other-r and display-in-other-h) then concat('''', $display-in-other-r, ', ', $display-in-other-h, '''')        else if ($display-in-other-r) then concat('''', $display-in-other-r, '''')        else if ($display-in-other-h) then concat('''', $display-in-other-h, '''')        else '' " />
    <xsl:variable name="display-in-no-domain" select="if ($codes-in-no-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', dh:XQueryRecursiveReplace(string-join(for $code in $der-mfst-codes-5 return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), '; '),          $term-pattern-replacement, 'ic'), '''')        else '' " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))        else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="log-concepts-appended" select="if ($error-usingTS-7 or not($flags/@report-terminology-concepts = 'true') or $log-concepts-name = '') then ''        else if ($codes-not-found and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                   'Manifestation',   $log-tab,                   'yes',     $log-tab,                   concat($display-code, $display-system), $log-tab,                   '',     $log-tab,                  '',     $log-tab,                  '',     $log-tab,                  $ts-current-sctau   ))        else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <!--REPORT -->
    <xsl:if test=" $log-concepts-appended = ('NOTFOUND', 'ERROR') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$log-concepts-appended = ('NOTFOUND', 'ERROR')">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Manifestation-Defn): The AppendLog function returned '<xsl:text /><xsl:value-of select="$log-concepts-appended" /><xsl:text />' when requested to append the concepts log
		'<xsl:text /><xsl:value-of select="$log-concepts-name" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-mfst-5) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-mfst-5)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Manifestation-Defn): An unexpected problem occurred when assessing the value of the Manifestation
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. The application of regular expressions resulted in the complete loss of text.
		Report the information below to the Australian Digital Health Agency for investigation.

		der-text-1 '<xsl:text /><xsl:value-of select="normalize-space(dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'))" /><xsl:text />'.
		der-text-2a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-2a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-a, $term-pattern-replacement, 'ic')" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingV-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingV-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Manifestation-Defn): An error was reported when accessing the terminology server when assessing the Manifestation data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		Report the issue to the Australian Digital Health Agency for investigation stating the error was recorded for error-usingV-2.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-7 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-7">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Manifestation-Defn): An error was reported when accessing the terminology server when assessing the Manifestation data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term:
		'<xsl:text /><xsl:value-of select="$der-text" /><xsl:text />'. The analysis should be retried as the terminology server may have been temporarily unavailable.
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation, stating that the error was found by
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'error-usingTS-1' else if ($error-usingTS-2-a) then 'error-usingTS-2-a'   else if ($error-usingTS-2) then 'error-usingTS-2'   else if ($error-usingTS-3) then 'error-usingTS-3' else if ($error-usingTS-4) then 'error-usingTS-4'   else if ($error-usingTS-5) then 'error-usingTS-5' else if ($error-usingTS-6) then 'error-usingTS-6'   else 'error-usingTS-7' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $codes-not-found">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $codes-not-found">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Manifestation '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the signs and symptoms of the         adverse reaction expressed as a single word, phrase or brief description.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         ADVERSE REACTION section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$codes-in-other-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$codes-in-other-domain">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Manifestation '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value does not seem to be applicable for the data element.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the signs and symptoms of the         adverse reaction expressed as a single word, phrase or brief description.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'unknown' = 'allowed' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'unknown' = 'allowed' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Manifestation
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the signs and symptoms of the         adverse reaction expressed as a single word, phrase or brief description.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Manifestation data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'unknown' = 'exclusion' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'unknown' = 'exclusion' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Manifestation
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the signs and symptoms of the         adverse reaction expressed as a single word, phrase or brief description.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Manifestation data element must have a value that is consistent with this definition. Alternatively if there is no Manifestation data element with a proper value then an exclusion
		statement must be included to state why there is no Manifestation. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4')    then concat('Text such as ''', dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'), ''' may be permitted in the narrative even though the Manifestation data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'unknown' = 'unknown' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'unknown' = 'unknown' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Manifestation
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the signs and symptoms of the         adverse reaction expressed as a single word, phrase or brief description.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Manifestation data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($der-text-non-value) and $der-invalid-text ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($der-text-non-value) and $der-invalid-text">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Manifestation '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid. <xsl:text /><xsl:value-of select="$defn-invalid-rsn" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the signs and symptoms of the         adverse reaction expressed as a single word, phrase or brief description.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $invalid-mfst and not($error-usingTS-7)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$invalid-mfst and not($error-usingTS-7)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Manifestation '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid
		<xsl:text /><xsl:value-of select="if (exists($invalid-mfst-codes-h)) then concat(' as it describes ', string-join(distinct-values(for $code in tokenize(replace(   dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat('(', string-join(for $code in $invalid-mfst-codes-h return concat('&gt;&gt;', $code), ' OR '), ') AND (',    string-join(for $hierarchy in $cd-definitions/mfst/mfst-invalid/hierarchy return $hierarchy/@code, ' OR '), ')'), '',    string(count($invalid-mfst-codes-h)), true()), '(\[.*?\])(\||$)', '$2'), '\|') return     $cd-definitions/mfst/mfst-invalid/hierarchy[@code = $code]/@description)[position() = (1 to 2)], ' and '), '.')    else if (exists($invalid-mfst-codes-r)) then concat(' as it describes ', string-join(distinct-values(for $code in $invalid-mfst-codes-r return   $cd-definitions/mfst/mfst-invalid/refset[index-of(for $x in (for $refset in $cd-definitions/mfst/mfst-invalid/refset return    dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat($code, ' AND ^', $refset/@code), '', '1', true()), '|') return matches($x, '^[0-9]'), true())[1]]/@description), ' and '), '.')   else '.'" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the signs and symptoms of the         adverse reaction expressed as a single word, phrase or brief description.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable outside the applicable value domain): The Manifestation
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following codes were obtained and are not in the value domain: <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-Manifestation-Defn): The Manifestation '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU and no associated code was found in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists(($der-NAF-active-codes, $undetermined-NAF-active-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists(($der-NAF-active-codes, $undetermined-NAF-active-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-Manifestation-Defn): The Manifestation '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-active-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the
		'<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' version of SNOMED CT-AU but it was not found with this status in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU. 
		<xsl:text /><xsl:value-of select="if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $valid-mfst-1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $valid-mfst-1">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable within the value domain): The Manifestation
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which matches one of the terms listed in Knowledge.xml for the Manifestation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (concept is codeable within the value domain): The Manifestation
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a valid value for the Manifestation.
		SNOMED CT-AU codes that matched the concept are: <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-mfst-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-mfst-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Manifestation '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The text used to match regular expression (der-text-2) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to match non-values (der-text-to-match) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-to-match, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to derive a code (der-text) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The SNOMED CT-AU version used to find codes is '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' and the maximum code number is '<xsl:text /><xsl:value-of select="$max-code-number" /><xsl:text />'.

		Codes for related terms (related-terms-2): '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($related-terms-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes for related terms (der-valid-codes-1): 
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-1, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-mfst-codes-2) returned by the terminology server that match the text:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-mfst-codes-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes from related terms or the terminology server (der-valid-codes-2):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-2, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-inactive-codes-3) returned from the Validator's database associated with inactive codes:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-inactive-codes-3, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes found after examining inactive codes (der-valid-codes-3):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-3, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Members of invalid reference sets (invalid-mfst-codes-r): '<xsl:text /><xsl:value-of select="$display-in-other-r" /><xsl:text />'.
		Members of invalid code hierarchies (invalid-mfst-codes-h): '<xsl:text /><xsl:value-of select="$display-in-other-h" /><xsl:text />'.

		Final set of valid codes (der-valid-codes-4):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		
		Codes whose validity has not been determined (der-body-codes-5):  <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.
		Codes whose validity has not been determined and are inactive with no associated code (undetermined-NAF): '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(    string-join($undetermined-NAF, ''', '''), $markup-pattern-replacement, 'ic')" /><xsl:text />'.

		Will the value of the data element be trusted (der-trusted-text)? '<xsl:text /><xsl:value-of select="$der-trusted-text" /><xsl:text />'.
		
	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and $codes-not-found">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept not codeable): The Manifestation '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($avoid-ts) then 'The terminology server was not used to assist with finding codes corresponding to text in the data element. ' else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $prose-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $prose-err">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Manifestation
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is invalid as it is prose text.
		The Manifestation data element is CodeableText derived from the HL7 CD data type which by definition is to record a concept defined in an external code system, terminology or ontology.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the signs and symptoms of the         adverse reaction expressed as a single word, phrase or brief description.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		This finding will also be reported as an error.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M109" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M109" />
  <xsl:template match="@*|node()" priority="-2" mode="M109">
    <xsl:apply-templates select="@*|*" mode="M109" />
  </xsl:template>
  <!--PATTERN p-TS-Adverse-CodeableText-26-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.20113' = $doc-sections][cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.153' and @extension = '1.0']]/   cda:component/cda:structuredBody/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/   cda:entry/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:entryRelationship/cda:observation   [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16474']]/cda:entryRelationship[@typeCode='MFST']/cda:observation/cda:code " priority="1000" mode="M110">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.20113' = $doc-sections][cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.153' and @extension = '1.0']]/   cda:component/cda:structuredBody/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/   cda:entry/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:entryRelationship/cda:observation   [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16474']]/cda:entryRelationship[@typeCode='MFST']/cda:observation/cda:code " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Manifestation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Manifestation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Manifestation',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to section 3.7 of the Personal Health Summary Structured Content Specification v1.0 the Manifestation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to section 3.7 of the Personal Health Summary Structured Content Specification v1.0 the Manifestation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 3.7 of the Personal Health Summary Structured Content Specification v1.0 the Manifestation
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Manifestation however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Manifestation in section 3.7 of the Personal Health Summary Structured Content Specification v1.0 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 3.7 of the Personal Health Summary Structured Content Specification v1.0 the Manifestation
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Manifestation however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Manifestation in section 3.7 of the Personal Health Summary Structured Content Specification v1.0 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Manifestation data element must have a value that is consistent with this definition. Alternatively if there is no Manifestation data element with a proper value then an exclusion
		statement must be included to state why there is no Manifestation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 3.7 of the Personal Health Summary Structured Content Specification v1.0 the Manifestation
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Manifestation however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Manifestation in section 3.7 of the Personal Health Summary Structured Content Specification v1.0 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 3.7 of the Personal Health Summary Structured Content Specification v1.0 the Manifestation
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Manifestation however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Manifestation in section 3.7 of the Personal Health Summary Structured Content Specification v1.0 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Manifestation data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 3.7 of the Personal Health Summary Structured Content Specification v1.0 the Manifestation
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Manifestation however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Manifestation in section 3.7 of the Personal Health Summary Structured Content Specification v1.0 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Manifestation data element must have a value that is consistent with this definition. Alternatively if there is no Manifestation data element with a proper value then an exclusion
		statement must be included to state why there is no Manifestation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 3.7 of the Personal Health Summary Structured Content Specification v1.0 the Manifestation
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Manifestation however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Manifestation in section 3.7 of the Personal Health Summary Structured Content Specification v1.0 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Manifestation data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Manifestation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.7 of the Personal Health Summary Structured Content Specification v1.0 the Manifestation
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.7 of the Personal Health Summary Structured Content Specification v1.0 the Manifestation
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.7 of the Personal Health Summary Structured Content Specification v1.0 the Manifestation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.7 of the Personal Health Summary Structured Content Specification v1.0 the Manifestation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 3.7 of the Personal Health Summary Structured Content Specification v1.0 the Manifestation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 3.7 of the Personal Health Summary Structured Content Specification v1.0 the Manifestation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 3.7 of the Personal Health Summary Structured Content Specification v1.0 the Manifestation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 3.7 of the Personal Health Summary Structured Content Specification v1.0 the Manifestation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Manifestation
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 3.7 of the Personal Health Summary Structured Content Specification v1.0 the Manifestation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Manifestation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Manifestation.
		(See the definition of Manifestation in section 3.7 of the Personal Health Summary Structured Content Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Manifestation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M110" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M110" />
  <xsl:template match="@*|node()" priority="-2" mode="M110">
    <xsl:apply-templates select="@*|*" mode="M110" />
  </xsl:template>
  <!--PATTERN p-TS-Adverse-CodeableText-27-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.20113' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/   cda:entry/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:entryRelationship/cda:observation   [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16474']]/cda:entryRelationship[@typeCode='MFST']/cda:observation/cda:code   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M111">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.20113' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/   cda:entry/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:entryRelationship/cda:observation   [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16474']]/cda:entryRelationship[@typeCode='MFST']/cda:observation/cda:code   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Manifestation '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Manifestation
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Manifestation
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Manifestation
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Manifestation
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Manifestation has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Manifestation data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Manifestation
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Manifestation data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Manifestation
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Manifestation data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Manifestation
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Manifestation data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Manifestation
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Manifestation
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Manifestation data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Manifestation
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Manifestation data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Manifestation
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Manifestation
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Manifestation data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Manifestation
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Manifestation data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Manifestation
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Manifestation
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M111" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M111" />
  <xsl:template match="@*|node()" priority="-2" mode="M111">
    <xsl:apply-templates select="@*|*" mode="M111" />
  </xsl:template>
  <!--PATTERN p-TS-Adverse-CodedText-1-->
  <!--RULE -->
  <xsl:template match="    /cda:ClinicalDocument['101.20113' = $doc-sections][cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']]/    cda:component/cda:structuredBody/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16011']]/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/    cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('103.16302.4.3.4', '103.16302.120.1.1', '103.16302.2.2.2')]]/cda:value |      /cda:ClinicalDocument['101.20113' = $doc-sections][cda:templateId[    (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')   or    (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or    (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')   or    (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) or    (@root = '1.2.36.1.2001.1001.101.100.1002.153' and @extension = '1.0')   ]]/cda:component/cda:structuredBody/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/    cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('103.16302.4.3.4', '103.16302.120.1.1', '103.16302.2.2.2')]]/cda:value  " priority="1000" mode="M112">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="    /cda:ClinicalDocument['101.20113' = $doc-sections][cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']]/    cda:component/cda:structuredBody/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16011']]/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/    cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('103.16302.4.3.4', '103.16302.120.1.1', '103.16302.2.2.2')]]/cda:value |      /cda:ClinicalDocument['101.20113' = $doc-sections][cda:templateId[    (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')   or    (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or    (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')   or    (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) or    (@root = '1.2.36.1.2001.1001.101.100.1002.153' and @extension = '1.0')   ]]/cda:component/cda:structuredBody/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/    cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('103.16302.4.3.4', '103.16302.120.1.1', '103.16302.2.2.2')]]/cda:value  " />
    <xsl:variable name="tc-types-49-err" select="@nullFlavor = ('PINF', 'NINF', 'QS', 'TRC') or (@nullFlavor='UNC' and (not(cda:originalText) or normalize-space(cda:originalText) = '')) " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="family-err" select="cda:originalText and matches(cda:originalText, $family-regex, 'i')" />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; 200" />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and @code != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used with the Clinical Package Validator to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used with the Clinical Package Validator to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the primary code.') " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-06-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-06-step-2 else $rating-alt-TC-Types-06-step-2 " />
    <xsl:variable name="rating-07-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-1 else $rating-alt-TC-Types-07-step-1 " />
    <xsl:variable name="rating-07-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-2 else $rating-alt-TC-Types-07-step-2 " />
    <xsl:variable name="rating-08" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-08 else $rating-alt-TC-Types-08 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-07: The Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data
		type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to the Structured Content Specification the Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which is derived from the HL7 'CD' data type however xsi:type '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to the Structured Content Specification the Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:translation">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:translation">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'translation' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value
		domain, with no exceptions. A translation translates the value into a code from another code systems, so translations are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:qualifier">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:qualifier">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'qualifier' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value domain,
		with no exceptions. A qualifier constrains the value, so qualifiers are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present and is not expected
		for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />'
		is present and is not expected for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-terminology-concepts = 'true' and not(true() or false() or $family-err or $length-err) and    not(@nullFlavor) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and not(true() or false() or $family-err or $length-err) and not(@nullFlavor)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (value domain not specified): The Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The CodedText data type has the requirement that values must come from the specified bound value domain with no exceptions but a value domain has not been specified for the
		Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Exclusion Statement',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="false() and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != '1.2.36.1.2001.1001.101.104.16299'))  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != '1.2.36.1.2001.1001.101.104.16299'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-06-step-2" /><xsl:text />: TC-Types-06 step 2: According to the Structured Content Specification the Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. The
		CodedText data type has the requirement that values must come from the bound value domain with no exceptions. Therefore the value of the codeSystem attribute must be a publicly available
		code system. The Exclusion Statement data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide states the code system is 'NS' (not stated) with the requirement 'When national standard code sets become
		available, they SHALL be used'. The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> which is after the national standard code set became available
		for use on the <xsl:text /><xsl:value-of select="''" /><xsl:text />. The code system that must be used is
		<xsl:text /><xsl:value-of select="if ('1.2.36.1.2001.1001.101.104.16299' = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName, ' (ConceptId ''', 'none', ''')')   else concat('1.2.36.1.2001.1001.101.104.16299', ' (', $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16299']/@codeSystemName, ')')" /><xsl:text /><xsl:text /><xsl:value-of select="if (not(@codeSystem)) then '.'    else if (@codeSystemName) then concat(' however codeSystem ''', @codeSystem, ''' (', @codeSystemName, ') is present.')   else concat(' however a codeSystem attribute with the value ''', @codeSystem, ''' is present.') " /><xsl:text />
		(See section 1.8 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide, <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 7 of the CDA Implementation Guide for the
		information about the value domain.)
		<xsl:text /><xsl:value-of select="if ('none' = '11000036103') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName,     ' are Allergic reaction (''419076005''), Medication side-effect (''401207004'') and Drug interaction (''79899007'').')    else if ('none' = '15071000036100') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName,     ' are Prescribed (''105681000036100''), Suspended (''385655000'') and Unchanged (''105701000036103'').')    else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'OTH' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'OTH'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore it is not valid for the data element to have nullFlavor 'OTH' to indicate that the
		actual value is not a member of the set of permitted data values in the constrained value domain. 
		(See the requirements for Exclusion Statement and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type<xsl:text /><xsl:value-of select="if (not(false())) then '.' else   concat(' and section 7 of the CDA Implementation Guide states the vocabulary is ''', '1.2.36.1.2001.1001.101.104.16299', ''' (', $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16299']/@codeSystemName, ').') " /><xsl:text />
		The CodedText data type has
		the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor attribute
		to indicate there is no value, however a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) is present and is not one of the nullFlavor values that indicate there is no value.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@nullFlavor or @code) and not(false() and not(@nullFlavor) and not(@codeSystem)) and cda:originalText ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor or @code) and not(false() and not(@nullFlavor) and not(@codeSystem)) and cda:originalText">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor
		attribute to indicate there is no value. The only information found in the data element is originalText '<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />'.
		(See the requirements for Exclusion Statement and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)
		<xsl:text /><xsl:value-of select="if (local-name(.) = 'jobClassCode') then concat('Consider using the METeOR 314867 ''Employment type'' code system (codeSystem ''2.16.840.1.113883.3.879.314867'') which has ',   'codes for ''Permanent'', ''Fixed term contract'', ''Casual'' and ''Not stated/inadequately described''; or the  METeOR 691891 ''Full-time/part-time status'' code system ',   '(codeSystem ''2.16.840.1.113883.3.879.691891'') which has codes for ''Full-time'', ''Part-time'' and ''Not stated/inadequately described''. ',   '(See the the METeOR 314867 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/314867 and the METeOR 691891 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/691891.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="true() and @codeSystem and @codeSystem != '1.2.36.1.2001.1001.101.104.16299' and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and @codeSystem and @codeSystem != '1.2.36.1.2001.1001.101.104.16299' and not(false())">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and section 7 of the CDA Implementation Guide states the vocabulary is
		<xsl:text /><xsl:value-of select="if ('1.2.36.1.2001.1001.101.104.16299' = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName, ' (ConceptId ''', 'none', ''').')   else concat('1.2.36.1.2001.1001.101.104.16299', ' (', $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16299']/@codeSystemName, ').')" /><xsl:text />
		The CodedText data type has the requirement that values must come from the bound value domain with no exceptions.
		Therefore the value of codeSystem must be '1.2.36.1.2001.1001.101.104.16299' but codeSystem '<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />' (<xsl:text /><xsl:value-of select="@codeSystemName" /><xsl:text />) is present.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="true() and '1.2.36.1.2001.1001.101.104.16299' = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and    not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version,    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@refSet) = 'CodeFound') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and '1.2.36.1.2001.1001.101.104.16299' = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version, $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@refSet) = 'CodeFound')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. The applicable value domain is the SNOMED CT-AU
		<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName" /><xsl:text />
		(Concept ID: 'none'). The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the code is not a member of the value domain.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 7 of the CDA Implementation Guide for the information about the value domain.)<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-08" /><xsl:text />: TC-Types-08: According to the Structured Content Specification the Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. It has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> but has neither an originalText nor a displayName
		so it fails to conform to the requirement 'In accordance with the requirement to completely represent section contents, values of CodedText or CodeableText data elements defined in
		the SCS SHALL include an originalText or a displayName component (or both)'.
		(See Appendix A of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 6.1 and 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090
		Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and not(cda:originalText) and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and not(cda:originalText) and not(false())">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is
		not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. (See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M112" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M112" />
  <xsl:template match="@*|node()" priority="-2" mode="M112">
    <xsl:apply-templates select="@*|*" mode="M112" />
  </xsl:template>
  <!--PATTERN p-TS-Adverse-CodedText-2-->
  <!--RULE -->
  <xsl:template match="    /cda:ClinicalDocument['101.20113' = $doc-sections][cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']]/    cda:component/cda:structuredBody/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16011']]/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/    cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('103.16302.4.3.4', '103.16302.120.1.1', '103.16302.2.2.2')]]/cda:value    [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]    [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] |      /cda:ClinicalDocument['101.20113' = $doc-sections][cda:templateId[    (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')   or    (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or    (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')   or    (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) or    (@root = '1.2.36.1.2001.1001.101.100.1002.153' and @extension = '1.0')   ]]/cda:component/cda:structuredBody/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/    cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('103.16302.4.3.4', '103.16302.120.1.1', '103.16302.2.2.2')]]/cda:value    [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]    [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))]  " priority="1000" mode="M113">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="    /cda:ClinicalDocument['101.20113' = $doc-sections][cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']]/    cda:component/cda:structuredBody/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16011']]/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/    cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('103.16302.4.3.4', '103.16302.120.1.1', '103.16302.2.2.2')]]/cda:value    [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]    [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] |      /cda:ClinicalDocument['101.20113' = $doc-sections][cda:templateId[    (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')   or    (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or    (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')   or    (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) or    (@root = '1.2.36.1.2001.1001.101.100.1002.153' and @extension = '1.0')   ]]/cda:component/cda:structuredBody/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/    cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('103.16302.4.3.4', '103.16302.120.1.1', '103.16302.2.2.2')]]/cda:value    [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]    [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))]  " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Exclusion Statement has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Exclusion Statement data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('adverse reactions', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('adverse reactions', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Exclusion Statement data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Exclusion Statement data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Exclusion Statement data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('adverse reactions', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('adverse reactions', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('adverse reactions', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Exclusion Statement data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Exclusion Statement data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Exclusion Statement data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Exclusion Statement data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M113" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M113" />
  <xsl:template match="@*|node()" priority="-2" mode="M113">
    <xsl:apply-templates select="@*|*" mode="M113" />
  </xsl:template>
  <!--PATTERN p-TS-Adverse-CodedText-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.20113' = $doc-sections][cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']]/    cda:component/cda:structuredBody/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16011']]/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/    cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:value " priority="1000" mode="M114">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.20113' = $doc-sections][cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']]/    cda:component/cda:structuredBody/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16011']]/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/    cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:value " />
    <xsl:variable name="tc-types-49-err" select="@nullFlavor = ('PINF', 'NINF', 'QS', 'TRC') or (@nullFlavor='UNC' and (not(cda:originalText) or normalize-space(cda:originalText) = '')) " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="family-err" select="cda:originalText and matches(cda:originalText, $family-regex, 'i')" />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; 200" />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and @code != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used with the Clinical Package Validator to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used with the Clinical Package Validator to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the primary code.') " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-06-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-06-step-2 else $rating-alt-TC-Types-06-step-2 " />
    <xsl:variable name="rating-07-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-1 else $rating-alt-TC-Types-07-step-1 " />
    <xsl:variable name="rating-07-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-2 else $rating-alt-TC-Types-07-step-2 " />
    <xsl:variable name="rating-08" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-08 else $rating-alt-TC-Types-08 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-07: The Adverse Reaction Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data
		type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to section 6.10 of the Discharge Summary Structured Document Template v3.3 the Adverse Reaction Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which is derived from the HL7 'CD' data type however xsi:type '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to section 6.10 of the Discharge Summary Structured Document Template v3.3 the Adverse Reaction Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:translation">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:translation">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to section 6.10 of the Discharge Summary Structured Document Template v3.3 the Adverse Reaction Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'translation' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value
		domain, with no exceptions. A translation translates the value into a code from another code systems, so translations are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:qualifier">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:qualifier">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to section 6.10 of the Discharge Summary Structured Document Template v3.3 the Adverse Reaction Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'qualifier' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value domain,
		with no exceptions. A qualifier constrains the value, so qualifiers are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Adverse Reaction Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 6.10 of the Discharge Summary Structured Document Template v3.3 the Adverse Reaction Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 6.10 of the Discharge Summary Structured Document Template v3.3 the Adverse Reaction Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 6.10 of the Discharge Summary Structured Document Template v3.3 the Adverse Reaction Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present and is not expected
		for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 6.10 of the Discharge Summary Structured Document Template v3.3 the Adverse Reaction Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />'
		is present and is not expected for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-terminology-concepts = 'true' and not(true() or dh:IsFirstDateEarlierThanSecondDate(substring('20151218', 1, $creation-date-length), $creation-date-actual) = '1' or $family-err or $length-err) and    not(@nullFlavor) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and not(true() or dh:IsFirstDateEarlierThanSecondDate(substring('20151218', 1, $creation-date-length), $creation-date-actual) = '1' or $family-err or $length-err) and not(@nullFlavor)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (value domain not specified): The Adverse Reaction Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The CodedText data type has the requirement that values must come from the specified bound value domain with no exceptions but a value domain has not been specified for the
		Adverse Reaction Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Adverse Reaction Type',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="dh:IsFirstDateEarlierThanSecondDate(substring('20151218', 1, $creation-date-length), $creation-date-actual) = '1' and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != '2.16.840.1.113883.6.96'))  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="dh:IsFirstDateEarlierThanSecondDate(substring('20151218', 1, $creation-date-length), $creation-date-actual) = '1' and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != '2.16.840.1.113883.6.96'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-06-step-2" /><xsl:text />: TC-Types-06 step 2: According to section 6.10 of the Discharge Summary Structured Document Template v3.3 the Adverse Reaction Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. The
		CodedText data type has the requirement that values must come from the bound value domain with no exceptions. Therefore the value of the codeSystem attribute must be a publicly available
		code system. The Adverse Reaction Type data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide states the code system is 'NS' (not stated) with the requirement 'When national standard code sets become
		available, they SHALL be used'. The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> which is after the national standard code set became available
		for use on the <xsl:text /><xsl:value-of select="'18 Dec 2015'" /><xsl:text />. The code system that must be used is
		<xsl:text /><xsl:value-of select="if ('2.16.840.1.113883.6.96' = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = '11000036103']/@referenceSetName, ' (ConceptId ''', '11000036103', ''')')   else concat('2.16.840.1.113883.6.96', ' (', $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/@codeSystemName, ')')" /><xsl:text /><xsl:text /><xsl:value-of select="if (not(@codeSystem)) then '.'    else if (@codeSystemName) then concat(' however codeSystem ''', @codeSystem, ''' (', @codeSystemName, ') is present.')   else concat(' however a codeSystem attribute with the value ''', @codeSystem, ''' is present.') " /><xsl:text />
		(See section 1.8 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide, <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 2.15 of the Adverse Reaction Detailed Clinical Model Specification Version 3.3 for the
		information about the value domain.)
		<xsl:text /><xsl:value-of select="if ('11000036103' = '11000036103') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = '11000036103']/@referenceSetName,     ' are Allergic reaction (''419076005''), Medication side-effect (''401207004'') and Drug interaction (''79899007'').')    else if ('11000036103' = '15071000036100') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = '11000036103']/@referenceSetName,     ' are Prescribed (''105681000036100''), Suspended (''385655000'') and Unchanged (''105701000036103'').')    else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'OTH' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'OTH'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to section 6.10 of the Discharge Summary Structured Document Template v3.3 the Adverse Reaction Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore it is not valid for the data element to have nullFlavor 'OTH' to indicate that the
		actual value is not a member of the set of permitted data values in the constrained value domain. 
		(See the requirements for Adverse Reaction Type and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 6.10 of the Discharge Summary Structured Document Template v3.3 the Adverse Reaction Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type<xsl:text /><xsl:value-of select="if (not(dh:IsFirstDateEarlierThanSecondDate(substring('20151218', 1, $creation-date-length), $creation-date-actual) = '1')) then '.' else   concat(' and section 2.15 of the Adverse Reaction Detailed Clinical Model Specification Version 3.3 states the vocabulary is ''', '2.16.840.1.113883.6.96', ''' (', $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/@codeSystemName, ').') " /><xsl:text />
		The CodedText data type has
		the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor attribute
		to indicate there is no value, however a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) is present and is not one of the nullFlavor values that indicate there is no value.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@nullFlavor or @code) and not(dh:IsFirstDateEarlierThanSecondDate(substring('20151218', 1, $creation-date-length), $creation-date-actual) = '1' and not(@nullFlavor) and not(@codeSystem)) and cda:originalText ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor or @code) and not(dh:IsFirstDateEarlierThanSecondDate(substring('20151218', 1, $creation-date-length), $creation-date-actual) = '1' and not(@nullFlavor) and not(@codeSystem)) and cda:originalText">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to section 6.10 of the Discharge Summary Structured Document Template v3.3 the Adverse Reaction Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor
		attribute to indicate there is no value. The only information found in the data element is originalText '<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />'.
		(See the requirements for Adverse Reaction Type and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)
		<xsl:text /><xsl:value-of select="if (local-name(.) = 'jobClassCode') then concat('Consider using the METeOR 314867 ''Employment type'' code system (codeSystem ''2.16.840.1.113883.3.879.314867'') which has ',   'codes for ''Permanent'', ''Fixed term contract'', ''Casual'' and ''Not stated/inadequately described''; or the  METeOR 691891 ''Full-time/part-time status'' code system ',   '(codeSystem ''2.16.840.1.113883.3.879.691891'') which has codes for ''Full-time'', ''Part-time'' and ''Not stated/inadequately described''. ',   '(See the the METeOR 314867 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/314867 and the METeOR 691891 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/691891.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="true() and @codeSystem and @codeSystem != '2.16.840.1.113883.6.96' and not(dh:IsFirstDateEarlierThanSecondDate(substring('20151218', 1, $creation-date-length), $creation-date-actual) = '1') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and @codeSystem and @codeSystem != '2.16.840.1.113883.6.96' and not(dh:IsFirstDateEarlierThanSecondDate(substring('20151218', 1, $creation-date-length), $creation-date-actual) = '1')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to section 6.10 of the Discharge Summary Structured Document Template v3.3 the Adverse Reaction Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and section 2.15 of the Adverse Reaction Detailed Clinical Model Specification Version 3.3 states the vocabulary is
		<xsl:text /><xsl:value-of select="if ('2.16.840.1.113883.6.96' = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = '11000036103']/@referenceSetName, ' (ConceptId ''', '11000036103', ''').')   else concat('2.16.840.1.113883.6.96', ' (', $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/@codeSystemName, ').')" /><xsl:text />
		The CodedText data type has the requirement that values must come from the bound value domain with no exceptions.
		Therefore the value of codeSystem must be '2.16.840.1.113883.6.96' but codeSystem '<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />' (<xsl:text /><xsl:value-of select="@codeSystemName" /><xsl:text />) is present.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="true() and '2.16.840.1.113883.6.96' = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and    not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version,    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = '11000036103']/@refSet) = 'CodeFound') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and '2.16.840.1.113883.6.96' = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version, $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = '11000036103']/@refSet) = 'CodeFound')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to section 6.10 of the Discharge Summary Structured Document Template v3.3 the Adverse Reaction Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. The applicable value domain is the SNOMED CT-AU
		<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = '11000036103']/@referenceSetName" /><xsl:text />
		(Concept ID: '11000036103'). The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the code is not a member of the value domain.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 2.15 of the Adverse Reaction Detailed Clinical Model Specification Version 3.3 for the information about the value domain.)<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-08" /><xsl:text />: TC-Types-08: According to section 6.10 of the Discharge Summary Structured Document Template v3.3 the Adverse Reaction Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. It has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> but has neither an originalText nor a displayName
		so it fails to conform to the requirement 'In accordance with the requirement to completely represent section contents, values of CodedText or CodeableText data elements defined in
		the SCS SHALL include an originalText or a displayName component (or both)'.
		(See Appendix A of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 6.1 and 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090
		Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and not(cda:originalText) and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and not(cda:originalText) and not(false())">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Adverse Reaction Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is
		not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. (See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M114" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M114" />
  <xsl:template match="@*|node()" priority="-2" mode="M114">
    <xsl:apply-templates select="@*|*" mode="M114" />
  </xsl:template>
  <!--PATTERN p-TS-Adverse-CodedText-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.20113' = $doc-sections][cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']]/    cda:component/cda:structuredBody/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16011']]/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/    cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:value    [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]    [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M115">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.20113' = $doc-sections][cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']]/    cda:component/cda:structuredBody/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16011']]/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/    cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:value    [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]    [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Adverse Reaction Type '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Adverse Reaction Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Adverse Reaction Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Adverse Reaction Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Adverse Reaction Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Adverse Reaction Type has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Adverse Reaction Type data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Adverse Reaction Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Adverse Reaction Type data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Adverse Reaction Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Adverse Reaction Type data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Adverse Reaction Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Adverse Reaction Type data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Adverse Reaction Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Adverse Reaction Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Adverse Reaction Type data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Adverse Reaction Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Adverse Reaction Type data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Adverse Reaction Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Adverse Reaction Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Adverse Reaction Type data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Adverse Reaction Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Adverse Reaction Type data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Adverse Reaction Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Adverse Reaction Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M115" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M115" />
  <xsl:template match="@*|node()" priority="-2" mode="M115">
    <xsl:apply-templates select="@*|*" mode="M115" />
  </xsl:template>
  <!--PATTERN p-TS-Adverse-CodedText-5-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.20113' = $doc-sections]    [not(cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4'])]/cda:component/cda:structuredBody/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/cda:entry/cda:act    [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:entryRelationship/    cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16474']]/cda:value " priority="1000" mode="M116">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.20113' = $doc-sections]    [not(cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4'])]/cda:component/cda:structuredBody/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/cda:entry/cda:act    [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:entryRelationship/    cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16474']]/cda:value " />
    <xsl:variable name="tc-types-49-err" select="@nullFlavor = ('PINF', 'NINF', 'QS', 'TRC') or (@nullFlavor='UNC' and (not(cda:originalText) or normalize-space(cda:originalText) = '')) " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="family-err" select="cda:originalText and matches(cda:originalText, $family-regex, 'i')" />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; 200" />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and @code != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used with the Clinical Package Validator to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used with the Clinical Package Validator to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the primary code.') " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-06-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-06-step-2 else $rating-alt-TC-Types-06-step-2 " />
    <xsl:variable name="rating-07-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-1 else $rating-alt-TC-Types-07-step-1 " />
    <xsl:variable name="rating-07-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-2 else $rating-alt-TC-Types-07-step-2 " />
    <xsl:variable name="rating-08" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-08 else $rating-alt-TC-Types-08 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-07: The Adverse Reaction Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data
		type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to the Structured Content Specification the Adverse Reaction Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which is derived from the HL7 'CD' data type however xsi:type '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to the Structured Content Specification the Adverse Reaction Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:translation">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:translation">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Adverse Reaction Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'translation' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value
		domain, with no exceptions. A translation translates the value into a code from another code systems, so translations are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:qualifier">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:qualifier">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Adverse Reaction Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'qualifier' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value domain,
		with no exceptions. A qualifier constrains the value, so qualifiers are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Adverse Reaction Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Adverse Reaction Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Adverse Reaction Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Adverse Reaction Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present and is not expected
		for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Adverse Reaction Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />'
		is present and is not expected for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-terminology-concepts = 'true' and not(true() or false() or $family-err or $length-err) and    not(@nullFlavor) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and not(true() or false() or $family-err or $length-err) and not(@nullFlavor)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (value domain not specified): The Adverse Reaction Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The CodedText data type has the requirement that values must come from the specified bound value domain with no exceptions but a value domain has not been specified for the
		Adverse Reaction Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Adverse Reaction Type',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="false() and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != '2.16.840.1.113883.6.96'))  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != '2.16.840.1.113883.6.96'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-06-step-2" /><xsl:text />: TC-Types-06 step 2: According to the Structured Content Specification the Adverse Reaction Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. The
		CodedText data type has the requirement that values must come from the bound value domain with no exceptions. Therefore the value of the codeSystem attribute must be a publicly available
		code system. The Adverse Reaction Type data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide states the code system is 'NS' (not stated) with the requirement 'When national standard code sets become
		available, they SHALL be used'. The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> which is after the national standard code set became available
		for use on the <xsl:text /><xsl:value-of select="''" /><xsl:text />. The code system that must be used is
		<xsl:text /><xsl:value-of select="if ('2.16.840.1.113883.6.96' = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = '11000036103']/@referenceSetName, ' (ConceptId ''', '11000036103', ''')')   else concat('2.16.840.1.113883.6.96', ' (', $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/@codeSystemName, ')')" /><xsl:text /><xsl:text /><xsl:value-of select="if (not(@codeSystem)) then '.'    else if (@codeSystemName) then concat(' however codeSystem ''', @codeSystem, ''' (', @codeSystemName, ') is present.')   else concat(' however a codeSystem attribute with the value ''', @codeSystem, ''' is present.') " /><xsl:text />
		(See section 1.8 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide, <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 7 of the CDA Implementation Guide for the
		information about the value domain.)
		<xsl:text /><xsl:value-of select="if ('11000036103' = '11000036103') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = '11000036103']/@referenceSetName,     ' are Allergic reaction (''419076005''), Medication side-effect (''401207004'') and Drug interaction (''79899007'').')    else if ('11000036103' = '15071000036100') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = '11000036103']/@referenceSetName,     ' are Prescribed (''105681000036100''), Suspended (''385655000'') and Unchanged (''105701000036103'').')    else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'OTH' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'OTH'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Adverse Reaction Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore it is not valid for the data element to have nullFlavor 'OTH' to indicate that the
		actual value is not a member of the set of permitted data values in the constrained value domain. 
		(See the requirements for Adverse Reaction Type and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Adverse Reaction Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type<xsl:text /><xsl:value-of select="if (not(false())) then '.' else   concat(' and section 7 of the CDA Implementation Guide states the vocabulary is ''', '2.16.840.1.113883.6.96', ''' (', $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/@codeSystemName, ').') " /><xsl:text />
		The CodedText data type has
		the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor attribute
		to indicate there is no value, however a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) is present and is not one of the nullFlavor values that indicate there is no value.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@nullFlavor or @code) and not(false() and not(@nullFlavor) and not(@codeSystem)) and cda:originalText ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor or @code) and not(false() and not(@nullFlavor) and not(@codeSystem)) and cda:originalText">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Adverse Reaction Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor
		attribute to indicate there is no value. The only information found in the data element is originalText '<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />'.
		(See the requirements for Adverse Reaction Type and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)
		<xsl:text /><xsl:value-of select="if (local-name(.) = 'jobClassCode') then concat('Consider using the METeOR 314867 ''Employment type'' code system (codeSystem ''2.16.840.1.113883.3.879.314867'') which has ',   'codes for ''Permanent'', ''Fixed term contract'', ''Casual'' and ''Not stated/inadequately described''; or the  METeOR 691891 ''Full-time/part-time status'' code system ',   '(codeSystem ''2.16.840.1.113883.3.879.691891'') which has codes for ''Full-time'', ''Part-time'' and ''Not stated/inadequately described''. ',   '(See the the METeOR 314867 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/314867 and the METeOR 691891 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/691891.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="true() and @codeSystem and @codeSystem != '2.16.840.1.113883.6.96' and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and @codeSystem and @codeSystem != '2.16.840.1.113883.6.96' and not(false())">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Adverse Reaction Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and section 7 of the CDA Implementation Guide states the vocabulary is
		<xsl:text /><xsl:value-of select="if ('2.16.840.1.113883.6.96' = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = '11000036103']/@referenceSetName, ' (ConceptId ''', '11000036103', ''').')   else concat('2.16.840.1.113883.6.96', ' (', $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/@codeSystemName, ').')" /><xsl:text />
		The CodedText data type has the requirement that values must come from the bound value domain with no exceptions.
		Therefore the value of codeSystem must be '2.16.840.1.113883.6.96' but codeSystem '<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />' (<xsl:text /><xsl:value-of select="@codeSystemName" /><xsl:text />) is present.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="true() and '2.16.840.1.113883.6.96' = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and    not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version,    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = '11000036103']/@refSet) = 'CodeFound') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and '2.16.840.1.113883.6.96' = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version, $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = '11000036103']/@refSet) = 'CodeFound')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Adverse Reaction Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. The applicable value domain is the SNOMED CT-AU
		<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = '11000036103']/@referenceSetName" /><xsl:text />
		(Concept ID: '11000036103'). The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the code is not a member of the value domain.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 7 of the CDA Implementation Guide for the information about the value domain.)<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-08" /><xsl:text />: TC-Types-08: According to the Structured Content Specification the Adverse Reaction Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. It has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> but has neither an originalText nor a displayName
		so it fails to conform to the requirement 'In accordance with the requirement to completely represent section contents, values of CodedText or CodeableText data elements defined in
		the SCS SHALL include an originalText or a displayName component (or both)'.
		(See Appendix A of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 6.1 and 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090
		Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and not(cda:originalText) and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and not(cda:originalText) and not(false())">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Adverse Reaction Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is
		not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. (See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M116" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M116" />
  <xsl:template match="@*|node()" priority="-2" mode="M116">
    <xsl:apply-templates select="@*|*" mode="M116" />
  </xsl:template>
  <!--PATTERN p-TS-Adverse-CodedText-6-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.20113' = $doc-sections]    [not(cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4'])]/cda:component/cda:structuredBody/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/cda:entry/cda:act    [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:entryRelationship/    cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16474']]/cda:value[(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]    [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M117">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.20113' = $doc-sections]    [not(cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4'])]/cda:component/cda:structuredBody/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/cda:entry/cda:act    [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:entryRelationship/    cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16474']]/cda:value[(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]    [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Adverse Reaction Type '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Adverse Reaction Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Adverse Reaction Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Adverse Reaction Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Adverse Reaction Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Adverse Reaction Type has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Adverse Reaction Type data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Adverse Reaction Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Adverse Reaction Type data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Adverse Reaction Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Adverse Reaction Type data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Adverse Reaction Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Adverse Reaction Type data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Adverse Reaction Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Adverse Reaction Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Adverse Reaction Type data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Adverse Reaction Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Adverse Reaction Type data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Adverse Reaction Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Adverse Reaction Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Adverse Reaction Type data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Adverse Reaction Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Adverse Reaction Type data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Adverse Reaction Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Adverse Reaction Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M117" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M117" />
  <xsl:template match="@*|node()" priority="-2" mode="M117">
    <xsl:apply-templates select="@*|*" mode="M117" />
  </xsl:template>
  <!--PATTERN p-TS-AIR-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.17039' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.17039'] " priority="1000" mode="M118">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.17039' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.17039'] " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating" select="if ($initial-priority) then $initial-rating else if ($FS-Types-seq/@rating) then concat(' (', $FS-Types-seq/@rating, ')') else '' " />
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and not(/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.234' and @extension = '1.0']) and $extensions-allowed">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.234' and @extension = '1.0']) and $extensions-allowed">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: FS-Types: The Australian Immunisation Register Entries section (codeSystem '1.2.36.1.2001.1001.101' and code '101.17039') has been found in a <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. The Australian Immunisation Register Entries section (codeSystem '1.2.36.1.2001.1001.101' and code '101.17039') is defined in the digital health specifications but
		although tests have been applied to the data elements the specification of the data elements may have been varied for inclusion in this document
		so further examination may be needed. The rules have been validated for <xsl:text /><xsl:value-of select="normalize-space('Australian Immunisation Register CDA Implementation Guide version 1.0')" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M118" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M118" />
  <xsl:template match="@*|node()" priority="-2" mode="M118">
    <xsl:apply-templates select="@*|*" mode="M118" />
  </xsl:template>
  <!--PATTERN p-TS-AIR-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.17039' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.17039']]/cda:component/cda:section " priority="1000" mode="M119">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.17039' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.17039']]/cda:component/cda:section " />
    <xsl:variable name="agency-section" select=" cda:code/@codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="test-step" select=" if (not($extensions-allowed)) then 'step 4'        else if ($agency-section) then 'step 3' else 'step 1' " />
    <xsl:variable name="title-and-code" select=" if (cda:title and cda:code/@code) then concat('title ''', cda:title, ''', code/code ''', cda:code/@code, '''')        else if (cda:title and not(cda:code/@code)) then concat('title ''', cda:title, '''')        else if (not(cda:title) and cda:code/@code) then concat('code/code ''', cda:code/@code, '''')        else '' " />
    <xsl:variable name="other-section-names" select=" if (cda:code/@displayName and not(cda:code/cda:originalText)) then concat(' and code/displayName ''', cda:code/@displayName, '''')         else if (cda:code/@displayName and cda:code/cda:originalText)          then concat(', code/displayName ''', cda:code/@displayName,''' and code/originalText ''', cda:code/cda:originalText, '''')        else if (not(cda:code/@displayName) and cda:code/cda:originalText) then concat(' and code/originalText ''', cda:code/cda:originalText, '''')        else '' " />
    <xsl:variable name="section-names" select="concat($title-and-code, $other-section-names)" />
    <xsl:variable name="doc-code" select="/cda:ClinicalDocument/cda:code" />
    <xsl:variable name="parent-section" select="ancestor::cda:section[position()=1]" />
    <xsl:variable name="custom-section-info" select="($iq-config/custom-sections/section, $knowledge/custom-sections/section)[        @doc-code  = $doc-code/@code          and        @doc-codeSystem  = $doc-code/@codeSystem          and        @parent-code   = $parent-section/cda:code/@code         and         @parent-codeSystem  = $parent-section/cda:code/@codeSystem        and         (@title = current()/cda:title or (@code = current()/cda:code/@code and @codeSystem = current()/cda:code/@codeSystem)) ] " />
    <xsl:variable name="section-disallowed" select="$custom-section-info/@disallowed = 'yes' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and ($section-disallowed or not(exists($custom-section-info)))) then $rating-alt-TC-Doc-28-step-1        else if ($test-step = 'step 1' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections]) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 3') then $rating-TC-Doc-28-step-3 else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and $section-disallowed ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and $section-disallowed">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Australian Immunisation Register Entries section (codeSystem '1.2.36.1.2001.1001.101' and code '101.17039') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> which
		is an extension to the information model however the inclusion of this section conflicts with sections defined in the digital health specifications.
		<xsl:text /><xsl:value-of select="$custom-section-info[@disallowed = 'yes']/@reason" /><xsl:text /> (Also see <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not(false()) and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(false()) and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Australian Immunisation Register Entries section (codeSystem '1.2.36.1.2001.1001.101' and code '101.17039') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. No subsection is expected so this
		is an extension to the information model. Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the 
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(false()) and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(false()) and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Australian Immunisation Register Entries section (codeSystem '1.2.36.1.2001.1001.101' and code '101.17039') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> but no subsections were
		expected so the document fails to meet the requirement that it must not contain additional data elements. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and false() and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and false() and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Australian Immunisation Register Entries section (codeSystem '1.2.36.1.2001.1001.101' and code '101.17039') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		none are expected but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the information model.
		Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Australian Immunisation Register Entries section (codeSystem '1.2.36.1.2001.1001.101' and code '101.17039') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		none are expected but the inclusion of the section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> fails to meet the requirement that it must not contain additional data elements.
		(See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M119" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M119" />
  <xsl:template match="@*|node()" priority="-2" mode="M119">
    <xsl:apply-templates select="@*|*" mode="M119" />
  </xsl:template>
  <!--PATTERN p-TS-AIR-CodeableText-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.17039' = $doc-sections]/cda:component/cda:structuredBody/cda:component//         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.17039']]/cda:entry/         cda:substanceAdministration[not(cda:statusCode/@code) or lower-case(cda:statusCode/@code)='active']/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/         cda:code " priority="1000" mode="M120">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.17039' = $doc-sections]/cda:component/cda:structuredBody/cda:component//         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.17039']]/cda:entry/         cda:substanceAdministration[not(cda:statusCode/@code) or lower-case(cda:statusCode/@code)='active']/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/         cda:code " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="family-err" select="cda:originalText and matches(cda:originalText, $family-regex, 'i')" />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; 200" />
    <xsl:variable name="nullFlavor-values" select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Vaccine Administration Entry - Vaccine Name',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Administration Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		which is derived from the HL7 'CD' data type however  the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'allowed' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'allowed' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Vaccine Administration Entry - Vaccine Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText should not be included.
		(See the definition of Vaccine Administration Entry - Vaccine Name in the Australian Immunisation Register Structured Content Specification v1.0 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'allowed' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'allowed' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Administration Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Vaccine Administration Entry - Vaccine Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Vaccine Administration Entry - Vaccine Name in the Australian Immunisation Register Structured Content Specification v1.0 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Vaccine Administration Entry - Vaccine Name data element must have a value that is consistent with this definition. Alternatively if there is no Vaccine Administration Entry - Vaccine Name data element with a proper value then an exclusion
		statement must be included to state why there is no Vaccine Administration Entry - Vaccine Name.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'allowed' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'allowed' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Vaccine Administration Entry - Vaccine Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText should not be included.
		(See the definition of Vaccine Administration Entry - Vaccine Name in the Australian Immunisation Register Structured Content Specification v1.0 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'allowed' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'allowed' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Vaccine Administration Entry - Vaccine Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Vaccine Administration Entry - Vaccine Name in the Australian Immunisation Register Structured Content Specification v1.0 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'allowed' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'allowed' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Administration Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Vaccine Administration Entry - Vaccine Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Vaccine Administration Entry - Vaccine Name in the Australian Immunisation Register Structured Content Specification v1.0 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Vaccine Administration Entry - Vaccine Name data element must have a value that is consistent with this definition. Alternatively if there is no Vaccine Administration Entry - Vaccine Name data element with a proper value then an exclusion
		statement must be included to state why there is no Vaccine Administration Entry - Vaccine Name.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'allowed' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'allowed' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Vaccine Administration Entry - Vaccine Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Vaccine Administration Entry - Vaccine Name in the Australian Immunisation Register Structured Content Specification v1.0 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Vaccine Administration Entry - Vaccine Name data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value
		(if a nullFlavor attribute is permitted for this data element). (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Administration Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Administration Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Administration Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present and is not expected
		for the CodeableText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Administration Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present and is not expected
		for the CodeableText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(.) != 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Administration Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. As a translation element cannot have an originalText
		then a displayName must be present. (See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Administration Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value which is not correct to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value
		which is not a correct value to use in this case. The nullFlavor attribute indicates the Vaccine Administration Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a value of nullFlavor 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information provided.
		Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Vaccine Administration Entry - Vaccine Name.
		(See the definition of Vaccine Administration Entry - Vaccine Name in the Australian Immunisation Register Structured Content Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M120" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M120" />
  <xsl:template match="@*|node()" priority="-2" mode="M120">
    <xsl:apply-templates select="@*|*" mode="M120" />
  </xsl:template>
  <!--PATTERN p-TS-AIR-CodeableText-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '101.17039' = $doc-sections]/cda:component/cda:structuredBody/cda:component//         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.17039']]/cda:entry/         cda:substanceAdministration[not(cda:statusCode/@code) or lower-case(cda:statusCode/@code)='active']/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/         cda:code[@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " priority="1000" mode="M121">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '101.17039' = $doc-sections]/cda:component/cda:structuredBody/cda:component//         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.17039']]/cda:entry/         cda:substanceAdministration[not(cda:statusCode/@code) or lower-case(cda:statusCode/@code)='active']/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/         cda:code[@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="pnullFlavor" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @nullFlavor) then @nullFlavor else '' " />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-p-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then false()        else if ($psnomed-id = 'amtv3' and @codeSystemVersion) then exists($v-amtv3[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($psnomed-id = 'snomedctau' and @codeSystemVersion) then exists($v-snomedctau[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false() " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and $pcode != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used to assess the primary code.') " />
    <xsl:variable name="pcode-refsets-1" select="if (@codeSystem = '2.16.840.1.113883.6.96' and not($pcode = ''))         then dh:FindValueDomainsForCode($pcode, '2.16.840.1.113883.6.96', $v-psnomed-version) else 'no-code' " />
    <xsl:variable name="pcode-found" select="not($pcode-refsets-1 = 'no-code' or $pcode-refsets-1 = 'CodeNotFound' or $pcode-refsets-1 = 'Error'        or contains($pcode-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="pcode-refsets" select="if ($pcode-found) then distinct-values(tokenize($pcode-refsets-1, '\|')) else () " />
    <xsl:variable name="pcode-special-proc" select="count($pcode-refsets) = 1 and 'Procedure Foundation (PF)' = $pcode-refsets and not($pnullFlavor = 'OTH') " />
    <xsl:variable name="pcode-refsets-msg" select="if (count($pcode-refsets) = 0) then ''         else if (count($pcode-refsets) = 1) then concat('The code is a member of the ', $pcode-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($pcode-refsets, ', '), '.') " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))         else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-1" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="snomed-trans-2" select="distinct-values(for $i in (1 to count($snomed-trans-1)) return $snomed-trans-1[$i]/@code) " />
    <xsl:variable name="snomed-trans-a" select="$snomed-trans-1[1] " />
    <xsl:variable name="tcode-a" select="if (exists($snomed-trans-a) and matches($snomed-trans-a/@code, $snomed-code-regex)) then $snomed-trans-a/@code else '' " />
    <xsl:variable name="tnullFlavor-a" select="if (exists($snomed-trans-a) and $snomed-trans-a/@nullFlavor) then $snomed-trans-a/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-a" select="if (not(exists($snomed-trans-a))) then 'not-snomed'        else if (not($snomed-trans-a/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-a/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-a" select="if (not(exists($snomed-trans-a))) then ''        else if ($tsnomed-id-a = 'amtv3' and exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-a = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-a/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-a" select="if (not(exists($snomed-trans-a))) then false()        else if ($tsnomed-id-a = 'amtv3' and $snomed-trans-a/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-a = 'snomedctau' and $snomed-trans-a/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-a-msg" select="if (not(exists($snomed-trans-a))) then ''        else if (not($snomed-trans-a/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-a, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-a = 'amtv3') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-a = 'snomedctau') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-a/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-a, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-a/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-a-refsets-1" select="if (exists($snomed-trans-a) and not($tcode-a = ''))         then dh:FindValueDomainsForCode($tcode-a, '2.16.840.1.113883.6.96', $v-tsnomed-version-a) else 'no-code' " />
    <xsl:variable name="tcode-a-found" select="not($tcode-a-refsets-1 = 'no-code' or $tcode-a-refsets-1 = 'CodeNotFound' or $tcode-a-refsets-1 = 'Error'         or contains($tcode-a-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-a-refsets" select="if ($tcode-a-found) then distinct-values(tokenize($tcode-a-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-a-special-proc" select="count($tcode-a-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-a-refsets and not($tnullFlavor-a = 'OTH') " />
    <xsl:variable name="tcode-a-refsets-msg" select="if (count($tcode-a-refsets) = 0) then ''         else if (count($tcode-a-refsets) = 1) then concat('The code is a member of the ', $tcode-a-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-a-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@code and $snomed-trans-a/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-a/@displayName, codepoints-to-string(34))         else if ($snomed-trans-a/@code and not($snomed-trans-a/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@codeSystem and $snomed-trans-a/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-a/@codeSystemName, ')')         else if ($snomed-trans-a/@codeSystem and not($snomed-trans-a/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-b" select="(for $i in (2 to count($snomed-trans-1)) return if ($snomed-trans-1[$i]/@code != $snomed-trans-a/@code) then $snomed-trans-1[$i] else ())[1] " />
    <xsl:variable name="tcode-b" select="if (exists($snomed-trans-b) and matches($snomed-trans-b/@code, $snomed-code-regex)) then $snomed-trans-b/@code else '' " />
    <xsl:variable name="tnullFlavor-b" select="if (exists($snomed-trans-b) and $snomed-trans-b/@nullFlavor) then $snomed-trans-b/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-b" select="if (not(exists($snomed-trans-b))) then 'not-snomed'        else if (not($snomed-trans-b/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-b/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-b" select="if (not(exists($snomed-trans-b))) then ''        else if ($tsnomed-id-b = 'amtv3' and exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-b = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-b/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-b" select="if (not(exists($snomed-trans-b))) then false()        else if ($tsnomed-id-b = 'amtv3' and $snomed-trans-b/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-b = 'snomedctau' and $snomed-trans-b/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-b-msg" select="if (not(exists($snomed-trans-b))) then ''        else if (not($snomed-trans-b/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-b, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-b = 'amtv3') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-b = 'snomedctau') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-b/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-b, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-b/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-b-refsets-1" select="if (exists($snomed-trans-b) and not($tcode-b = ''))         then dh:FindValueDomainsForCode($tcode-b, '2.16.840.1.113883.6.96', $v-tsnomed-version-b) else 'no-code' " />
    <xsl:variable name="tcode-b-found" select="not($tcode-b-refsets-1 = 'no-code' or $tcode-b-refsets-1 = 'CodeNotFound' or $tcode-b-refsets-1 = 'Error'         or contains($tcode-b-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-b-refsets" select="if ($tcode-b-found) then distinct-values(tokenize($tcode-b-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-b-special-proc" select="count($tcode-b-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-b-refsets and not($tnullFlavor-b = 'OTH') " />
    <xsl:variable name="tcode-b-refsets-msg" select="if (count($tcode-b-refsets) = 0) then ''         else if (count($tcode-b-refsets) = 1) then concat('The code is a member of the ', $tcode-b-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-b-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@code and $snomed-trans-b/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-b/@displayName, codepoints-to-string(34))         else if ($snomed-trans-b/@code and not($snomed-trans-b/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@codeSystem and $snomed-trans-b/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-b/@codeSystemName, ')')         else if ($snomed-trans-b/@codeSystem and not($snomed-trans-b/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-60" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-60 else $rating-alt-TC-Types-60 " />
    <!--REPORT -->
    <xsl:if test=" $pcode-found and $pcode-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pcode-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD (p-TS-CD-SCT-RefSet): An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$pcode" /><xsl:text />',
		codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-psnomed-version" /><xsl:text />'. This error occurred when assessing the Vaccine Administration Entry - Vaccine Name data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. The value is not valid for the data element as it describes a medical
		procedure and not a medical problem or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered for, administered to or used by the consumer. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.          (See section 3.5 of the Australian Immunisation Register Structured Content Specification v1.0.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the code is not a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Vaccine Administration (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Vaccine Administration (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Vaccine Administration (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. Confirm if the code is a member of the value domain.
		If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Vaccine Administration (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="count($snomed-trans-1)" /><xsl:text /> translation elements with
		codes and the SNOMED CT-AU codeSystem '2.16.840.1.113883.6.96'. The first two translation elements have been assessed to determine if the codes are members of the value domain
		and the others have not been assessed. Confirm if the value of the code attribute in all SNOMED CT translation elements meets the requirement that it be a member of the value domain
		if there is no nullFlavor 'OTH' or that there is a nullFlavor 'OTH' if the value of the code attribute is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text /> 
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Vaccine Administration (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-a" /><xsl:text />'. This error occurred when assessing the Vaccine Administration Entry - Vaccine Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered for, administered to or used by the consumer. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.          (See section 3.5 of the Australian Immunisation Register Structured Content Specification v1.0.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Vaccine Administration (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Vaccine Administration (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Vaccine Administration (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Vaccine Administration (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-b" /><xsl:text />'. This error occurred when assessing the Vaccine Administration Entry - Vaccine Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> 
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered for, administered to or used by the consumer. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.          (See section 3.5 of the Australian Immunisation Register Structured Content Specification v1.0.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Vaccine Administration (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Vaccine Administration (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Vaccine Administration (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Vaccine Administration (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M121" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M121" />
  <xsl:template match="@*|node()" priority="-2" mode="M121">
    <xsl:apply-templates select="@*|*" mode="M121" />
  </xsl:template>
  <!--PATTERN p-TS-AIR-CodeableText-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '101.17039' = $doc-sections]/cda:component/cda:structuredBody/cda:component//         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.17039']]/cda:entry/         cda:substanceAdministration[not(cda:statusCode/@code) or lower-case(cda:statusCode/@code)='active']/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/         cda:code[(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-immun-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])]   [not(@nullFlavor = $no-value-NF)] " priority="1000" mode="M122">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '101.17039' = $doc-sections]/cda:component/cda:structuredBody/cda:component//         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.17039']]/cda:entry/         cda:substanceAdministration[not(cda:statusCode/@code) or lower-case(cda:statusCode/@code)='active']/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/         cda:code[(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-immun-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])]   [not(@nullFlavor = $no-value-NF)] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="snomed-trans" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="tcode" select="if (exists($snomed-trans[1]) and matches($snomed-trans[1]/@code, $snomed-code-regex)) then $snomed-trans[1]/@code else '' " />
    <xsl:variable name="code-present" select="$pcode != '' or $tcode != '' " />
    <xsl:variable name="invalid-code-system" select="@code and @displayName and @codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="codesystemvalues" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']" />
    <xsl:variable name="otext-without-markup" select="if (cda:originalText and cda:originalText != '') then normalize-space(replace(cda:originalText, $markup-regex, ' ')) else '' " />
    <xsl:variable name="pdname" select="if (@displayName and not($invalid-code-system)) then normalize-space(@displayName) else '' " />
    <xsl:variable name="is-immun" select="exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='101.16638' or @code = '101.16658' or @code = '101.17039')]]) " />
    <xsl:variable name="is-pd" select="exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code = '102.16210' or @code='102.16211' or @code='101.16795')]]) " />
    <xsl:variable name="is-shs-meds" select="$templateId-root = '1.2.36.1.2001.1001.101.100.1002.120' and          exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]) " />
    <xsl:variable name="is-meds" select="exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code = '101.16146.4.1.1' or @code = '101.16146.4.1.2' or @code='101.16146')]]) " />
    <xsl:variable name="max-code-number" select="if ($knowledge/search-for-term/max-sct-code-number/@value &gt; '5') then $knowledge/search-for-term/max-sct-code-number/@value else '5' " />
    <xsl:variable name="der-text-1" select="if ($code-present) then ''         else if ($otext-without-markup != '') then $otext-without-markup        else if ($pdname != '') then $pdname        else '' " />
    <xsl:variable name="family-err" select="matches($der-text-1, $family-regex, 'is')" />
    <xsl:variable name="der-truncated-text-1" select="normalize-space(replace(replace($der-text-1, $unicode-br-truncation-regex, '$1', 'is'), $tgi-truncation-regex, '$1', 'is')) " />
    <xsl:variable name="length-err" select="string-length($der-truncated-text-1) &gt; $length-err-max" />
    <xsl:variable name="prose-err-1" select="$length-err and cda:originalText and (        matches(cda:originalText, $ulist-regex)           or         matches(cda:originalText, $alt-ulist-1a-regex, 'is')         or         matches(cda:originalText, $alt-ulist-1b-regex, 'is')         )" />
    <xsl:variable name="prose-err" select="$prose-err-1 or (cda:originalText and (         matches(cda:originalText, $alt-ulist-2-regex, 'is')         or        matches(cda:originalText, $olist-arabic-regex, 'is')         or         matches(cda:originalText, $olist-alpha-regex, 'is')         or         matches(cda:originalText, $olist-roman-regex, 'is')         or        matches(replace(cda:originalText, $new-line-regex, codepoints-to-string((10)), 'is'), $para-regex, 'is') or        matches(cda:originalText, codepoints-to-string((8233)), 'is')        or               (cda:originalText and matches(cda:originalText, $invalid-concept-regex, 'is'))     or        ($length-err and matches(cda:originalText, '\.\s*$', 's') and matches(cda:originalText, $multi-sentence-regex, 's')) ))" />
    <xsl:variable name="avoid-ts" select="$family-err or $length-err or $prose-err or not($use-ts-for-sctau) " />
    <xsl:variable name="der-text-2a" select="if ($der-truncated-text-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-truncated-text-1, $tgi-fir-pattern-replacement, 'ic')) " />
    <xsl:variable name="der-text-2" select="if ($der-text-2a = '') then $der-text-1 else $der-text-2a " />
    <xsl:variable name="der-text-a" select="if ($der-text-2 = '' or $tgi-regex = '') then $der-text-2 else normalize-space(dh:XQueryRecursiveReplace($der-text-2, $tgi-regex, 'ic')) " />
    <xsl:variable name="der-text" select="if ($der-text-a = '') then $der-text-2 else $der-text-a " />
    <xsl:variable name="defn-valid-regex" select="concat('(^|\|)', translate($der-text-2, $chars-to-remove, ''), '(\||$)') " />
    <xsl:variable name="der-text-to-match-1" select="lower-case($der-text-2) " />
    <xsl:variable name="der-text-to-match" select="translate($der-text-to-match-1, $chars-to-remove, '') " />
    <xsl:variable name="tgi-non-value-regex" select="if ($is-immun)          then $cd-definitions/immun/@non-value-regex         else if ($is-pd)       then $cd-definitions/pd/@non-value-regex        else if ($is-shs-meds) then $cd-definitions/shs-meds/@non-value-regex        else if ($is-meds)     then $cd-definitions/meds/@non-value-regex        else '' " />
    <xsl:variable name="der-text-non-value" select="if ($code-present or @nullFlavor = $no-value-NF) then false() else         $der-text-to-match = ''             or         not(matches($der-text-to-match-1, '[a-z]', 'is'))         or        ($cd-definitions/non-value/@regex != '' and matches($der-text-to-match-1, $cd-definitions/non-value/@regex, 'is')) or        ($tgi-non-value-regex != '' and matches($der-text-to-match-1, $tgi-non-value-regex, 'is'))    " />
    <xsl:variable name="tgi-invalid-regex" select="if ($is-immun)          then $cd-definitions/immun/@invalid-regex         else if ($is-pd)       then $cd-definitions/pd/@invalid-regex        else if ($is-shs-meds) then $cd-definitions/shs-meds/@invalid-regex        else if ($is-meds)     then $cd-definitions/meds/@invalid-regex        else '' " />
    <xsl:variable name="defn-invalid-regex" select="if ($code-present or $der-text-non-value) then ()        else if ($tgi-invalid-regex != '') then tokenize($tgi-invalid-regex, '~')[. != '']         else () " />
    <xsl:variable name="defn-invalid-txt-regex" select="(for $i in (1 to count($defn-invalid-regex)) return normalize-space(substring-before($defn-invalid-regex[$i], '[[')))[. != '']" />
    <xsl:variable name="der-invalid-text-regex-1" select="if (exists($defn-invalid-txt-regex))        then index-of(for $i in (1 to count($defn-invalid-txt-regex)) return matches($der-text-2, $defn-invalid-txt-regex[$i], 'is'), true())        else () " />
    <xsl:variable name="der-invalid-text" select="exists($der-invalid-text-regex-1) " />
    <xsl:variable name="defn-invalid-rsn" select="if ($der-invalid-text)         then normalize-space(substring-before(substring-after($defn-invalid-regex[$der-invalid-text-regex-1[1]], '[['), ']]'))         else '' " />
    <xsl:variable name="trusted-code-systems" select="if ($der-text = '' or $der-invalid-text or not(@codeSystem or cda:translation/@codeSystem)) then ()        else if ($is-immun)          then (tokenize(replace($cd-definitions/immun/@core, '\s+', ''), '\|'),           tokenize(replace($cd-definitions/immun/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-pd)          then (tokenize(replace($cd-definitions/pd/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/pd/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-shs-meds)          then (tokenize(replace($cd-definitions/shs-meds/@core, '\s+', ''), '\|'),          tokenize(replace($cd-definitions/shs-meds/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-meds)          then (tokenize(replace($cd-definitions/meds/@core, '\s+', ''), '\|'),           tokenize(replace($cd-definitions/meds/@extra, '\s+', ''), '\|'))[. != '']         else () " />
    <xsl:variable name="der-trusted-text" select="if ($der-text = '' or $der-invalid-text or (@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex)))) then false()        else ((@codeSystem and exists($trusted-code-systems[. = current()/@codeSystem])) or               (cda:translation/@codeSystem and exists($trusted-code-systems[. = current()/cda:translation/@codeSystem]))) " />
    <xsl:variable name="a-vaccine-1" select="not($code-present or $der-text-non-value or $der-invalid-text) and exists($vaccine-text-normalised) and $der-text-to-match = $vaccine-text-normalised" />
    <xsl:variable name="a-sas-tgi-1" select="not($code-present or $der-text-non-value or $der-invalid-text or $a-vaccine-1) and $tgi-sas-regex != '' and matches($der-text, $tgi-sas-regex, 'is')" />
    <xsl:variable name="an-uncoded-tgi-1" select="not($code-present or $der-text-non-value or $der-invalid-text or $a-vaccine-1 or $a-sas-tgi-1) and $tgi-otheru-regex != '' and         matches($der-text, $tgi-otheru-regex, 'is')" />
    <xsl:variable name="obsolete-tgi-info-1" select="if ($is-immun or $code-present or $der-text-non-value or $der-invalid-text or $a-vaccine-1 or $a-sas-tgi-1 or $an-uncoded-tgi-1 or         not(exists($knowledge/special-tgi/obsolete))) then ()        else $knowledge/special-tgi/obsolete[matches($der-text, concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')] " />
    <xsl:variable name="an-obsolete-tgi-1" select="exists($obsolete-tgi-info-1)" />
    <xsl:variable name="tgi-valid-regex-1" select="if ($code-present or $der-text-non-value or $der-invalid-text or $der-text = '' or $a-vaccine-1 or $a-sas-tgi-1 or $an-uncoded-tgi-1 or          $an-obsolete-tgi-1) then ''        else if ($is-immun)    then $cd-definitions/immun/@valid-regex        else if ($is-pd)       then $cd-definitions/pd/@valid-regex        else if ($is-shs-meds) then $cd-definitions/shs-meds/@valid-regex        else if ($is-meds)     then $cd-definitions/meds/@valid-regex        else '' " />
    <xsl:variable name="valid-tgi-1" select="if ($a-vaccine-1 or $a-sas-tgi-1 or $an-uncoded-tgi-1 or $an-obsolete-tgi-1) then true()         else if ($tgi-valid-regex-1 = '') then false()        else exists(index-of(for $regex in (tokenize($tgi-valid-regex-1, '~')[. != '']) return          matches($der-text-2, dh:XQueryRecursiveReplace(normalize-space($regex), ' \|~|~\| ~|', ''), 'is'), true())) " />
    <xsl:variable name="invalid-hierarchy-1" select="if (exists($cd-definitions/meds/meds-invalid/hierarchy))         then string-join(for $hierarchy in $cd-definitions/meds/meds-invalid/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-refset" select="if (exists($cd-definitions/meds/meds-invalid/refset))          then string-join(for $refset in $cd-definitions/meds/meds-invalid/refset return concat('^', $refset/@code), ' OR ')         else '' " />
    <xsl:variable name="valid-refset" select="concat($tgi-formula, ' OR &lt;763158003') " />
    <xsl:variable name="valid-domain" select="if ($invalid-refset != '' and $invalid-hierarchy-1 != '')         then concat('((', $valid-refset, ') MINUS (', $invalid-refset, ' OR (', $invalid-hierarchy-1, ')))')        else if ($invalid-refset = '' and $invalid-hierarchy-1 != '') then concat('((', $valid-refset, ') MINUS (', $invalid-hierarchy-1, '))')         else if ($invalid-refset != '' and $invalid-hierarchy-1 = '') then concat('((', $valid-refset, ') MINUS (', $invalid-refset, '))')        else concat('(', $valid-refset, ')') " />
    <xsl:variable name="related-terms-1" select="if ($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-1) then ()        else ($codesystemvalues/code[@related-terms], $codesystemvalues/related-terms[@related-terms]) " />
    <xsl:variable name="related-terms-2" select="for $i in index-of(        for $concept in $related-terms-1 return matches(translate($concept/@related-terms, $chars-no-pipe, ''), $defn-valid-regex, 'is'), true())         return $related-terms-1[$i]/@code " />
    <xsl:variable name="der-tgi-codes-1" select="if (exists($related-terms-2)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($related-terms-2, ' OR '), ') AND ', $valid-domain), '', string(count($related-terms-2)), false())        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $der-tgi-codes-1 " />
    <xsl:variable name="der-valid-codes-1" select="if (contains($der-tgi-codes-1, '[')) then $der-tgi-codes-1 else '' " />
    <xsl:variable name="valid-tgi-2" select="$valid-tgi-1 or $der-valid-codes-1 != '' " />
    <xsl:variable name="tgi-inactive-refSets" select="if (exists($cd-definitions/tgi/tgi-invalid/inactive-refset))         then concat('((', $inactive-refSets, ') MINUS (',           string-join(for $refset in $cd-definitions/tgi/tgi-invalid/inactive-refset return concat('^', $refset/@code), ' OR '),          '))')         else $inactive-refSets " />
    <xsl:variable name="formula" select="concat($valid-domain, ' OR ', $tgi-inactive-refSets) " />
    <xsl:variable name="ts-not-needed" select="$der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-2 or $avoid-ts " />
    <xsl:variable name="der-tgi-codes-2-a" select="if ($ts-not-needed or exists($related-terms-2)) then ()         else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-text,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2-a" select="$error-usingTS-1 or 'Error' = $der-tgi-codes-2-a " />
    <xsl:variable name="revision-pattern-1" select="if ($ts-not-needed or $valid-tgi-2 or exists($der-tgi-codes-2-a) or $error-usingTS-2-a or exists($related-terms-2)) then ''        else $tgi-sec-pattern-replacement " />
    <xsl:variable name="der-revised-text-1" select="if ($revision-pattern-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-text, $revision-pattern-1, 'ic')) " />
    <xsl:variable name="use-revised-text-1" select="$der-revised-text-1 != '' and $der-revised-text-1 != $der-text " />
    <xsl:variable name="obsolete-tgi-info-2" select="if (exists($der-tgi-codes-2-a)) then ()        else if ($an-obsolete-tgi-1) then $obsolete-tgi-info-1        else if ($use-revised-text-1) then $knowledge/special-tgi/obsolete[matches($der-revised-text-1, concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')]        else () " />
    <xsl:variable name="an-obsolete-tgi-2" select="exists($obsolete-tgi-info-2)" />
    <xsl:variable name="der-tgi-codes-2-b" select="if ($an-obsolete-tgi-2) then ()        else if ($ts-not-needed or exists($der-tgi-codes-2-a) or not($use-revised-text-1)) then $der-tgi-codes-2-a         else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-1,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2-b" select="$error-usingTS-2-a or 'Error' = $der-tgi-codes-2-b " />
    <xsl:variable name="revision-pattern-2" select="if ($ts-not-needed or $valid-tgi-2 or exists($der-tgi-codes-2-b) or $error-usingTS-2-b or exists($related-terms-2)) then ''        else $tgi-thi-pattern-replacement " />
    <xsl:variable name="der-revised-text-2" select="if ($revision-pattern-2 = '') then '' else normalize-space(dh:XQueryRecursiveReplace(         if ($use-revised-text-1) then $der-revised-text-1 else $der-text, $revision-pattern-2, 'ic')) " />
    <xsl:variable name="use-revised-text-2" select="if ($use-revised-text-1) then $der-revised-text-2 != '' and $der-revised-text-2 != $der-revised-text-1         else $der-revised-text-2 != '' and $der-revised-text-2 != $der-text " />
    <xsl:variable name="obsolete-tgi-info-3" select="if (exists($der-tgi-codes-2-b)) then ()        else if ($an-obsolete-tgi-2) then $obsolete-tgi-info-2        else if ($use-revised-text-2) then $knowledge/special-tgi/obsolete[matches($der-revised-text-2, concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')]        else () " />
    <xsl:variable name="an-obsolete-tgi-3" select="exists($obsolete-tgi-info-3)" />
    <xsl:variable name="der-tgi-codes-2-c" select="if ($an-obsolete-tgi-3) then ()        else if ($ts-not-needed or exists($der-tgi-codes-2-b) or not($use-revised-text-2)) then $der-tgi-codes-2-b        else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-2,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2-c" select="$error-usingTS-2-b or 'Error' = $der-tgi-codes-2-c " />
    <xsl:variable name="der-tgi-codes-2-d" select="if ($an-obsolete-tgi-3 or $ts-not-needed or exists($der-tgi-codes-2-c)) then $der-tgi-codes-2-c        else iq:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula,          if ($der-revised-text-2 != '') then $der-revised-text-2          else if ($der-revised-text-1 != '') then $der-revised-text-1          else $der-text, 'default') " />
    <xsl:variable name="error-usingTS-2-d" select="$error-usingTS-2-c or 'Error' = $der-tgi-codes-2-d " />
    <xsl:variable name="der-tgi-codes-2" select="$der-tgi-codes-2-d " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-2-d " />
    <xsl:variable name="der-valid-codes-2" select="if ($der-valid-codes-1 != '') then $der-valid-codes-1        else if ($error-usingTS-2) then ''         else string-join((for $code in $der-tgi-codes-2 return if (contains($code, '~inactive')) then '' else $code)[. != ''], '|')  " />
    <xsl:variable name="valid-tgi-3" select="$valid-tgi-2 or $der-valid-codes-2 != '' " />
    <xsl:variable name="der-inactive-codes-1" select="if ($valid-tgi-3) then () else        for $code in $der-tgi-codes-2 return if (contains($code, '~inactive')) then replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is') else '' " />
    <xsl:variable name="der-inactive-codes-2" select="for $i in (1 to count($der-inactive-codes-1)) return         dh:IsCodeAssociatedWithAnotherCode($der-inactive-codes-1[$i], '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-1" select="'Error' = $der-inactive-codes-2 " />
    <xsl:variable name="der-NAF-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-NAF-active-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound~active')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-inactive-codes-3" select="tokenize(string-join(for $i in (1 to count($der-inactive-codes-1)) return replace(string-join(tokenize($der-inactive-codes-2[$i], '\|')        [matches(., '(REPLACED BY|SAME AS|ALTERNATIVE|POSSIBLY EQUIVALENT TO|MAY BE A|WAS A)')], '|'), '[0-9]+~[A-Z ]+~([0-9]+)', '$1'), '|'), '\|')        [. != ''] " />
    <xsl:variable name="der-tgi-codes-3" select="if (exists($der-inactive-codes-3)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($der-inactive-codes-3, ' OR '), ') AND ', $valid-domain), '', string(count($der-inactive-codes-3)), false())          else '' " />
    <xsl:variable name="error-usingTS-3" select="$error-usingTS-2 or 'Error' = $der-tgi-codes-3 " />
    <xsl:variable name="der-valid-codes-3" select="if ($der-valid-codes-2 != '') then $der-valid-codes-2        else if (contains($der-tgi-codes-3, '[')) then $der-tgi-codes-3        else '' " />
    <xsl:variable name="valid-tgi-4" select="$valid-tgi-3 or $der-valid-codes-3 != '' " />
    <xsl:variable name="tbd-hierarchy" select="if (exists($cd-definitions/meds/meds-tbd/hierarchy))         then string-join(for $hierarchy in $cd-definitions/meds/meds-tbd/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-hierarchy" select="if ($invalid-hierarchy-1 != '' and $tbd-hierarchy != '') then concat($invalid-hierarchy-1, ' OR ', $tbd-hierarchy)        else if ($invalid-hierarchy-1 != '') then $invalid-hierarchy-1        else if ($tbd-hierarchy != '') then $tbd-hierarchy        else '' " />
    <xsl:variable name="invalid-domain" select="if ($invalid-hierarchy != '' and $invalid-refset != '') then concat($invalid-hierarchy, ' OR ', $invalid-refset)        else if ($invalid-hierarchy != '') then $invalid-hierarchy        else if ($invalid-refset != '') then $invalid-refset        else '' " />
    <xsl:variable name="filter-text" select="if ($use-revised-text-2) then $der-revised-text-2 else if ($use-revised-text-1) then $der-revised-text-1 else $der-text " />
    <xsl:variable name="der-tgi-codes-4" select="if ($ts-not-needed or $valid-tgi-4 or $invalid-domain = '') then ()        else if (exists($related-terms-2)) then $related-terms-2        else distinct-values((tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          $invalid-domain, $filter-text, $max-code-number, false()), '(\[.*?\])(\||$)', '$2'), '\|'), $der-inactive-codes-3)) " />
    <xsl:variable name="error-usingTS-4" select="$error-usingTS-3 or 'Error' = $der-tgi-codes-4 " />
    <xsl:variable name="invalid-tgi-codes-r" select="if ($ts-not-needed or $valid-tgi-4 or $error-usingTS-4 or not(exists($der-tgi-codes-4))) then ()        else if ($invalid-refset = '') then tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-tgi-codes-4, ' OR '), ') AND (', $inactive-refSets, ')'), '',           string(count($der-tgi-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')        else tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-tgi-codes-4, ' OR '), ') AND (', $invalid-refset, ' OR ', $inactive-refSets, ')'), '',           string(count($der-tgi-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')  " />
    <xsl:variable name="error-usingTS-5" select="$error-usingTS-4 or 'Error' = $invalid-tgi-codes-r " />
    <xsl:variable name="der-tgi-codes-4-h" select="if ($error-usingTS-5) then () else $der-tgi-codes-4[not(. = $invalid-tgi-codes-r)]" />
    <xsl:variable name="invalid-tgi-codes-h" select="if ($ts-not-needed or $valid-tgi-4 or 'Error' = $der-tgi-codes-4 or $meds-invalid-hierarchy = '' or not(exists($der-tgi-codes-4-h))) then ()        else (for $code in $der-tgi-codes-4-h return          if (dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;&gt;', $code, ' MINUS ', $meds-invalid-hierarchy), '', '1', false()) = '') then $code else '')[. != ''] " />
    <xsl:variable name="invalid-tgi-codes" select="($invalid-tgi-codes-h, $invalid-tgi-codes-r) " />
    <xsl:variable name="der-tgi-codes-5" select="$der-tgi-codes-4[not(. = $invalid-tgi-codes or . = 'Error')]" />
    <xsl:variable name="der-valid-codes-4" select="if ($der-valid-codes-3 != '') then $der-valid-codes-3        else if ($ts-not-needed or $valid-tgi-4 or $valid-domain = '' or not(exists($der-tgi-codes-5))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-tgi-codes-5, ' OR '), ') AND ', $valid-domain), '', string(count($der-tgi-codes-5)), false()) " />
    <xsl:variable name="error-usingTS-6" select="$error-usingTS-5 or 'Error' = $der-valid-codes-4 " />
    <xsl:variable name="valid-tgi-5" select="$valid-tgi-4 or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="der-valid-codes-seq" select="if ($error-usingTS-6) then () else tokenize(replace($der-valid-codes-4,  '(\[.*?\])(\||$)', '$2'), '\|') " />
    <xsl:variable name="undetermined-tgi-1" select="if (exists($der-valid-codes-seq)) then $der-tgi-codes-5[not(. = $der-valid-codes-seq)] else $der-tgi-codes-5 " />
    <xsl:variable name="undetermined-inactive-1" select="for $i in (1 to count($undetermined-tgi-1)) return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $undetermined-tgi-1[$i], '', '1', false()) " />
    <xsl:variable name="error-usingTS-7" select="$error-usingTS-6 or 'Error' = $undetermined-inactive-1 " />
    <xsl:variable name="undetermined-inactive" select="(for $i in (1 to count($undetermined-tgi-1)) return         if (contains($undetermined-inactive-1[$i], '~inactive')) then $undetermined-inactive-1[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-1" select="for $i in (1 to count($undetermined-inactive))        return dh:IsCodeAssociatedWithAnotherCode(replace($undetermined-inactive[$i], '(\[.*?\])(\||$)', '$2'), '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-2" select="$error-usingV-1 or 'Error' = $undetermined-NAF-1 " />
    <xsl:variable name="undetermined-NAF" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-codes" select="for $term in $undetermined-NAF return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-NAF-active" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound~active')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-active-codes" select="for $term in $undetermined-NAF-active return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-tgi" select="$undetermined-tgi-1[not(. = ($undetermined-NAF-codes, $undetermined-NAF-active-codes))]" />
    <xsl:variable name="invalid-tgi" select="not($valid-tgi-5) and exists($invalid-tgi-codes) and not(exists($undetermined-tgi))" />
    <xsl:variable name="a-sas-tgi" select="if ($a-sas-tgi-1) then true()        else if ($a-vaccine-1 or $valid-tgi-5 or $invalid-tgi or not($use-revised-text-2) or $tgi-sas-regex = '') then false()        else matches($der-revised-text-2, $tgi-sas-regex, 'is')" />
    <xsl:variable name="an-uncoded-tgi" select="if ($an-uncoded-tgi-1) then true()        else if ($a-vaccine-1 or $valid-tgi-5 or $invalid-tgi or not($use-revised-text-2) or $tgi-otheru-regex = '' or $a-sas-tgi) then false()        else matches($der-revised-text-2, $tgi-otheru-regex, 'is')" />
    <xsl:variable name="obsolete-tgi-info" select="if ($an-obsolete-tgi-3) then $obsolete-tgi-info-3        else if ($a-vaccine-1 or $valid-tgi-5 or $invalid-tgi or not($use-revised-text-2) or not(exists($knowledge/special-tgi/obsolete)) or $a-sas-tgi or          $an-uncoded-tgi) then ()        else $knowledge/special-tgi/obsolete[matches($der-revised-text-2,          concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')] " />
    <xsl:variable name="an-obsolete-tgi" select="exists($obsolete-tgi-info)" />
    <xsl:variable name="valid-tgi-6" select="$valid-tgi-5 or $a-sas-tgi or $an-uncoded-tgi or $an-obsolete-tgi " />
    <xsl:variable name="a-vaccine-2" select="if ($a-vaccine-1) then true()        else if ($valid-tgi-6 or $invalid-tgi or not(exists($vaccine-text-normalised))) then false()        else if ($der-text != '' and translate(lower-case($der-text), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else if ($use-revised-text-1 and translate(lower-case($der-revised-text-1), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else if ($use-revised-text-2 and translate(lower-case($der-revised-text-2), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else false() " />
    <xsl:variable name="vaccine-code-test" select="if (not($a-vaccine-2 or $valid-tgi-6 or $invalid-tgi or $avoid-ts) and exists($undetermined-tgi))         then tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($undetermined-tgi, ' OR '), ') AND (&lt;71181003 OR &lt;127785005)'), '',          string(count($undetermined-tgi)), false()), '\|')        else () " />
    <xsl:variable name="error-usingTS-8" select="$error-usingTS-7 or 'Error' = $vaccine-code-test " />
    <xsl:variable name="a-vaccine" select="$a-vaccine-2 or (not('Error' = $vaccine-code-test) and exists($undetermined-tgi) and count($vaccine-code-test) = count($undetermined-tgi)) " />
    <xsl:variable name="codes-with-history" select="$der-inactive-codes-2[matches(., '[0-9]')]" />
    <xsl:variable name="hist-vers" select="if (exists($codes-with-history))        then dh:FindLastUpdatedDateForCodeUsingTS(substring-before($codes-with-history[1], '~'), '2.16.840.1.113883.6.96', $ts-latest-snomedctau)       else '' " />
    <xsl:variable name="error-usingTS-9" select="$error-usingTS-8 or 'Error' = $hist-vers " />
    <xsl:variable name="hist-vers-date" select="if (matches($hist-vers, '^(CodeFoundActive|CodeFoundInactive)\|[0-9]{8}$')) then substring-after($hist-vers, '|') else '' " />
    <xsl:variable name="inactive-concept" select="count($der-tgi-codes-2) = count($der-inactive-codes-1) and not($valid-tgi-6)" />
    <xsl:variable name="der-inactive-codes-4" select="$der-inactive-codes-3[not(contains(., 'MOVED FROM') or contains(., 'WAS A'))]" />
    <xsl:variable name="obsolete-without-date" select=" ($an-obsolete-tgi and not($obsolete-tgi-info/@last-available))   or         (exists($der-inactive-codes-3) and not(exists($der-inactive-codes-4)))  or         (exists($der-inactive-codes-4) and $hist-vers-date = '')   " />
    <xsl:variable name="obsolete-date" select="if ($is-immun) then ''        else if ($hist-vers-date != '') then $hist-vers-date        else if ($an-obsolete-tgi and $obsolete-tgi-info/@last-available) then $obsolete-tgi-info/@last-available         else '' " />
    <xsl:variable name="obsolete-yr" select="substring($obsolete-date, 1, 4) " />
    <xsl:variable name="obsolete-mn-temp" select="substring($obsolete-date, 5, 2) " />
    <xsl:variable name="obsolete-mn" select="if ($obsolete-mn-temp = '') then '06' else $obsolete-mn-temp " />
    <xsl:variable name="obsolete-dy-temp" select="substring($obsolete-date, 7, 2) " />
    <xsl:variable name="obsolete-dy" select="if ($obsolete-dy-temp = '') then '15' else $obsolete-dy-temp " />
    <xsl:variable name="obsolete-xs" select="if ($obsolete-date = '') then () else xs:date(concat($obsolete-yr, '-', $obsolete-mn, '-', $obsolete-dy)) " />
    <xsl:variable name="display-obsolete-date" select="if ($obsolete-date = '') then ''        else if ($obsolete-mn-temp = '') then $obsolete-dy        else if ($obsolete-dy-temp = '') then concat($knowledge/months/month[@number = $obsolete-mn]/@abbreviation, ' ', $obsolete-yr)        else concat($obsolete-dy, ' ', $knowledge/months/month[@number = $obsolete-mn]/@abbreviation, ' ', $obsolete-yr) " />
    <xsl:variable name="obsolete-date-diff" select="if ($obsolete-date = '' or not(matches($creation-date-xs - $obsolete-xs, '^P[0-9]+D'))) then '0'        else number(substring-before(substring-after($creation-date-xs - $obsolete-xs, 'P'), 'D')) " />
    <xsl:variable name="obsolete-yrs-ago" select="$obsolete-date-diff div 365 " />
    <xsl:variable name="coding" select="if (not($flags/@assess-class = 'true') or not($use-ts-for-sctau) or not(exists($iq-config/tgi-coding))) then () else $iq-config/tgi-coding" />
    <xsl:variable name="s-classification" select="if (exists($coding/special-classification/classification)) then $coding/special-classification/classification else () " />
    <xsl:variable name="s-number" select="count($s-classification) " />
    <xsl:variable name="s-formula" select="string-join(for $class in $s-classification return $class/@code, ' OR ')" />
    <xsl:variable name="code-to-assess" select="if (not($flags/@assess-class = 'true') or not($use-ts-for-sctau)) then '' else if (exists($der-valid-codes-seq)) then $der-valid-codes-seq[1] else '' " />
    <xsl:variable name="value-domain-1" select="if ($code-to-assess = '') then '' else dh:FindValueDomainsForCode($code-to-assess, '2.16.840.1.113883.6.96', $v-current-sctau)" />
    <xsl:variable name="class-error-1" select="$value-domain-1 = 'Error' " />
    <xsl:variable name="value-domain" select="if ($class-error-1 or $value-domain-1 = ('', 'CodeNotFound')) then ''       else if (contains($value-domain-1, '|')) then substring-before($value-domain-1, '|')       else $value-domain-1 " />
    <xsl:variable name="first-pass-1" select="if ($value-domain = '') then ''        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)'))         then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat($code-to-assess, ' . 30409011000036107'), '', '1', true())        else if ($value-domain = 'Medicinal Product Pack (MPP)')         then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat($code-to-assess, ' . 30348011000036104'), '', '1', true())        else if ($value-domain = 'Trade Product (TP)') then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&lt;', $code-to-assess), '', '1', true())        else $code-to-assess " />
    <xsl:variable name="class-error-2" select="$class-error-1 or ($value-domain != '' and $first-pass-1 = ('Error', '')) " />
    <xsl:variable name="first-pass" select="if (not($class-error-2) and $first-pass-1 != '') then replace($first-pass-1, '(\[.*?\])(\||$)', '$2') else '' " />
    <xsl:variable name="second-pass-1" select="if ($first-pass = '') then ''        else if ($value-domain = 'Trade Product Unit of Use (TPUU)')          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $code-to-assess, ' AND ^929360071000036103'), '', '1', true())        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product (TP)'))          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $first-pass, ' AND ^929360071000036103'), '', '1', true())        else if ($value-domain = 'Medicinal Product Pack (MPP)') then $first-pass        else $code-to-assess " />
    <xsl:variable name="class-error-3" select="$class-error-2 or ($first-pass != '' and $second-pass-1 = ('Error', '')) " />
    <xsl:variable name="second-pass" select="if (not($class-error-3) and $second-pass-1 != '') then replace($second-pass-1, '(\[.*?\])(\||$)', '$2') else '' " />
    <xsl:variable name="class-tp-1" select="if ($class-error-3) then ''        else if ($value-domain = 'Trade Product Unit of Use (TPUU)')          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $code-to-assess, ' AND ^929360021000036102'), '', '1', true())        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)'))          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $first-pass, ' AND ^929360021000036102'), '', '1', true())        else '' " />
    <xsl:variable name="class-tp-error" select="$class-tp-1 = 'Error' " />
    <xsl:variable name="class-tp" select="if (not($class-tp-error) and $class-tp-1 != '') then replace($class-tp-1, '^([0-9]+\[)(.*?)(\])$', '$2') else '' " />
    <xsl:variable name="third-pass-1" select="if ($second-pass = '') then ''        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product (TP)',          'Trade Product Unit of Use (TPUU)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)'))         then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;!', $second-pass, ' AND ^929360061000036106'), '', '1', false())        else $second-pass " />
    <xsl:variable name="class-error-4" select="$class-error-3 or ($second-pass != '' and $third-pass-1 = ('Error', '')) " />
    <xsl:variable name="third-pass" select="if ($class-error-4 or $third-pass-1 = '') then ''         else if (matches($third-pass-1, '^[0-9]+$')) then replace($der-valid-codes-4, '^([0-9]+\[)(.*?)(\]\|.*|\])$', '$2')        else if (matches($third-pass-1, '^[0-9]')) then replace($third-pass-1, '^([0-9]+\[)(.*?)(\])$', '$2') else '' " />
    <xsl:variable name="fourth-pass-1" select="if ($third-pass = '') then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', '&lt;373873005', $third-pass, '1', true()) " />
    <xsl:variable name="class-error-5" select="$class-error-4 or $fourth-pass-1 = 'Error' " />
    <xsl:variable name="fourth-pass" select="if (not($class-error-4) and $fourth-pass-1 != '' and matches($fourth-pass-1, '^[0-9]')) then replace($fourth-pass-1, '(\[.*?\])(\||$)', '$2') else '' " />
    <xsl:variable name="class-not-completed" select="($flags/@assess-class = 'true' and $code-to-assess = '')  or        ($code-to-assess != '' and $value-domain-1 = 'CodeNotFound') or        ($third-pass != '' and $fourth-pass = '')   " />
    <xsl:variable name="valid-class-1" select="if ($fourth-pass = '' or $s-number = 0) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND (', $s-formula, ')'), '', string($s-number), true()) " />
    <xsl:variable name="class-error-6" select="$class-error-5 or $valid-class-1 = 'Error' " />
    <xsl:variable name="valid-class-2" select="if ($valid-class-1 = '' or $class-error-6) then () else tokenize(replace($valid-class-1, '(\[.*?\])(\||$)', '$2'), '\|') " />
    <xsl:variable name="valid-class-3" select="if ($a-vaccine and exists($s-classification[@code = '71181003']/@description)) then ($s-classification[@code = '71181003']/@description)       else if ($a-vaccine and exists($s-classification[@code = '71181003']/@pterm)) then ($s-classification[@code = '71181003']/@pterm)       else for $code in $valid-class-2 return if ($coding/special-classification/classification[@code = $code]/@description)         then $coding/special-classification/classification[@code = $code]/@description         else $coding/special-classification/classification[@code = $code]/@pterm " />
    <xsl:variable name="fifth-pass" select="if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/first-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/first-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-7" select="$class-error-6 or $fifth-pass = 'Error' " />
    <xsl:variable name="sixth-pass" select="if (not($fifth-pass = '')) then $fifth-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/second-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/second-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-8" select="$class-error-7 or $sixth-pass = 'Error' " />
    <xsl:variable name="seventh-pass" select="if (not($sixth-pass = '')) then $sixth-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/third-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/third-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-9" select="$class-error-8 or $seventh-pass = 'Error' " />
    <xsl:variable name="eighth-pass" select="if (not($seventh-pass = '')) then $seventh-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/fourth-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/fourth-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-10" select="$class-error-9 or $eighth-pass = 'Error' " />
    <xsl:variable name="ninth-pass" select="if (not($eighth-pass = '')) then $eighth-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/fifth-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/fifth-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-11" select="$class-error-10 or $ninth-pass = 'Error' " />
    <xsl:variable name="valid-class" select="if (exists($valid-class-3)) then $valid-class-3        else if (not($ninth-pass = '')) then for $term in tokenize($ninth-pass, '\|') return replace($term, '^([0-9]+\[)(.*?)(\])$', '$2')       else () " />
    <xsl:variable name="codes-were-found" select="exists($der-tgi-codes-4) or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="obsolete-error" select="not($is-immun) and ($an-obsolete-tgi or $inactive-concept) and $obsolete-yrs-ago &gt; 2 " />
    <xsl:variable name="obsolete-warning" select="not($is-immun or $obsolete-error) and ($an-obsolete-tgi or $inactive-concept) and ($obsolete-yrs-ago &gt; 1 or $obsolete-without-date) " />
    <xsl:variable name="codes-not-found" select="not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-6 or $invalid-tgi or $a-vaccine) " />
    <xsl:variable name="codes-in-the-domain" select="not($valid-tgi-1) and $valid-tgi-5" />
    <xsl:variable name="codes-in-other-domain" select="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi or         $a-vaccine or $obsolete-warning) " />
    <xsl:variable name="codes-in-no-domain" select="exists($der-tgi-codes-5) " />
    <xsl:variable name="display-in-the-domain" select="if ($codes-in-the-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', '), '''')        else '' " />
    <xsl:variable name="display-in-other-r" select="if (exists($invalid-tgi-codes-r) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-tgi-codes-r return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-h" select="if (exists($invalid-tgi-codes-h) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-tgi-codes-h return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-domain" select="if (not($codes-in-other-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))) then ''        else if ($display-in-other-r and display-in-other-h) then concat('''', $display-in-other-r, ', ', $display-in-other-h, '''')        else if ($display-in-other-r) then concat('''', $display-in-other-r, '''')        else if ($display-in-other-h) then concat('''', $display-in-other-h, '''')        else '' " />
    <xsl:variable name="display-in-no-domain" select="if ($codes-in-no-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', dh:XQueryRecursiveReplace(string-join(for $code in $der-tgi-codes-5 return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), '; '),          $term-pattern-replacement, 'ic'), '''')        else '' " />
    <xsl:variable name="log-concepts-appended" select="if ($error-usingTS-9 or not($flags/@report-terminology-concepts = 'true') or $log-concepts-name = '') then ''        else if ($codes-not-found and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                   'Therapeutic Good Identification', $log-tab,                   'yes',     $log-tab,                   iq:display-CD(.),   $log-tab,                   '',     $log-tab,                  '',     $log-tab,                  '',     $log-tab,                  $ts-current-sctau   ))        else if (($use-revised-text-2 or $codes-in-no-domain) and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                  'Therapeutic Good Identification', $log-tab,                   'yes',     $log-tab,                     iq:display-CD(.),   $log-tab,                    $display-in-the-domain,   $log-tab,                  $display-in-other-domain,  $log-tab,                  $display-in-no-domain,   $log-tab,                  $ts-current-sctau   ))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if (matches($defn-invalid-rsn, 'is a container', 'is')) then $rating-container-TC-Types-57 else $rating-TC-Types-57 " />
    <!--REPORT -->
    <xsl:if test=" $log-concepts-appended = ('NOTFOUND', 'ERROR') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$log-concepts-appended = ('NOTFOUND', 'ERROR')">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): The AppendLog function returned '<xsl:text /><xsl:value-of select="$log-concepts-appended" /><xsl:text />' when requested to append the concepts log
		'<xsl:text /><xsl:value-of select="$log-concepts-name" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $flags/@assess-class = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $flags/@assess-class = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): 
		code-to-assess '<xsl:text /><xsl:value-of select="$code-to-assess" /><xsl:text />'
		value-domain '<xsl:text /><xsl:value-of select="$value-domain" /><xsl:text />'
		first-pass '<xsl:text /><xsl:value-of select="$first-pass" /><xsl:text />'
		second-pass '<xsl:text /><xsl:value-of select="$second-pass" /><xsl:text />'
		third-pass '<xsl:text /><xsl:value-of select="$third-pass" /><xsl:text />'
		fourth-pass '<xsl:text /><xsl:value-of select="$fourth-pass" /><xsl:text />'
		valid-class-1 '<xsl:text /><xsl:value-of select="$valid-class-1" /><xsl:text />'
		fifth-pass '<xsl:text /><xsl:value-of select="$fifth-pass" /><xsl:text />'
		sixth-pass '<xsl:text /><xsl:value-of select="$sixth-pass" /><xsl:text />'
		seventh-pass '<xsl:text /><xsl:value-of select="$seventh-pass" /><xsl:text />'
		eighth-pass '<xsl:text /><xsl:value-of select="$eighth-pass" /><xsl:text />'
		ninth-pass '<xsl:text /><xsl:value-of select="$ninth-pass" /><xsl:text />'

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $class-error-11 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$class-error-11">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An unexpected error occurred during the process to classify a terminology code.
		Report the information below to the Australian Digital Health Agency for investigation.
		The value domain was '<xsl:text /><xsl:value-of select="$value-domain" /><xsl:text />' and the error variable was
		<xsl:text /><xsl:value-of select="if ($class-error-1) then concat('class-error-1. The FindValueDomainsForCode function was called with code ''', $code-to-assess,     ''', codeSystem ''2.16.840.1.113883.6.96'' and codeSystemVersion ''', $v-current-sctau, ''' and returned ''', $value-domain-1, '''.')   else if ($class-error-2) then concat('class-error-2. The SearchForCodesInHierarchyUsingTS function was called with code ''', $code-to-assess,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $first-pass-1, '''.')   else if ($class-error-3) then concat('class-error-3. The SearchForCodesInHierarchyUsingTS function was called with code ''',     if ($value-domain = 'Trade Product Unit of Use (TPUU)') then $code-to-assess else $first-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $second-pass-1, '''.')   else if ($class-error-4) then concat('class-error-4. The SearchForCodesInHierarchyUsingTS function was called with code ''', $second-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $third-pass-1, '''.')   else if ($class-error-5) then concat('class-error-5. The SearchForCodesInHierarchyUsingTS function was called with code ''', $third-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $fourth-pass-1, '''.')   else if ($class-error-6) then concat('class-error-6. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $valid-class-1, '''.')   else if ($class-error-7) then concat('class-error-7. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $fifth-pass, '''.')   else if ($class-error-8) then concat('class-error-8. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $sixth-pass, '''.')   else if ($class-error-9) then concat('class-error-9. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $seventh-pass, '''.')   else if ($class-error-10) then concat('class-error-10. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $eighth-pass, '''.')   else if ($class-error-11) then concat('class-error-11. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $ninth-pass, '''.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $class-tp-error ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$class-tp-error">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An unexpected error occurred during the process to find the trade product name for a medicine.
		Report the information below to the Australian Digital Health Agency for investigation.
		The value domain was '<xsl:text /><xsl:value-of select="$value-domain" /><xsl:text />' and the error variable was class-tp-error.
		The FindValueDomainsForCode function was called with code ''', 
		if ($value-domain = 'Trade Product Unit of Use (TPUU)') then $code-to-assess else $first-pass, 
		''', codeSystem ''2.16.840.1.113883.6.96'' and codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $class-tp-1, '''.')

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-tgi-6) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-tgi-6)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An unexpected problem occurred when assessing the value of the Vaccine Administration Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. The application of regular expressions resulted in the complete loss of text.
		Report the information below to the Australian Digital Health Agency for investigation.

		der-text-1 '<xsl:text /><xsl:value-of select="normalize-space(dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'))" /><xsl:text />'.
		der-text-2a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-2a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-a, $term-pattern-replacement, 'ic')" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingV-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingV-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An error was reported when accessing the terminology server when assessing the Vaccine Administration Entry - Vaccine Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		Report the issue to the Australian Digital Health Agency for investigation stating the error was recorded for error-usingV-2.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-9 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-9">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An error was reported when accessing the terminology server when assessing the Vaccine Administration Entry - Vaccine Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term:
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The analysis should be retried as the terminology server may have been temporarily unavailable.
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'error-usingTS-1' else if ($error-usingTS-2-a) then 'error-usingTS-2-a'   else if ($error-usingTS-2-b) then 'error-usingTS-2-b' else if ($error-usingTS-2-c) then 'error-usingTS-2-c'   else if ($error-usingTS-2) then 'error-usingTS-2'   else if ($error-usingTS-3) then 'error-usingTS-3' else if ($error-usingTS-4) then 'error-usingTS-4'   else if ($error-usingTS-5) then 'error-usingTS-5' else if ($error-usingTS-6) then 'error-usingTS-6'   else if ($error-usingTS-7) then 'error-usingTS-7' else if ($error-usingTS-8) then 'error-usingTS-8'   else 'error-usingTS-9' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or      $valid-tgi-6 or $invalid-tgi) and not($a-vaccine and not(false())) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi) and not($a-vaccine and not(false()))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered for, administered to or used by the consumer. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.          (See section 3.5 of the Australian Immunisation Register Structured Content Specification v1.0.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Vaccine Administration (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi) and    not($a-vaccine and false()) and not($obsolete-warning) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi) and not($a-vaccine and false()) and not($obsolete-warning)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the value does not seem to be applicable for the data element.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered for, administered to or used by the consumer. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.          (See section 3.5 of the Australian Immunisation Register Structured Content Specification v1.0.)')" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $obsolete-warning ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$obsolete-warning">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the name may not be applicable for the data element.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> and the
		<xsl:text /><xsl:value-of select="if ($display-obsolete-date != '') then concat('name of the therapeutic good was last used ', $display-obsolete-date)   else if ($obsolete-tgi-info/@name) then concat('therapeutic good ''', $obsolete-tgi-info/@name, ''' was last available ', $display-obsolete-date)    else if ($obsolete-without-date) then 'name of the therapeutic good is no longer used ' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($obsolete-tgi-info/@reason) then concat(' because ', $obsolete-tgi-info/@reason, '.') else '.' " /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered for, administered to or used by the consumer. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.          (See section 3.5 of the Australian Immunisation Register Structured Content Specification v1.0.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		<xsl:text /><xsl:value-of select="$creation-date-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $obsolete-error ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$obsolete-error">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the name is not applicable for the data element.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> and the
		<xsl:text /><xsl:value-of select="if ($display-obsolete-date != '') then concat('name of the therapeutic good was last used ', $display-obsolete-date)   else if ($obsolete-tgi-info/@name) then concat('therapeutic good ''', $obsolete-tgi-info/@name, ''' was last available ', $display-obsolete-date)    else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($obsolete-tgi-info/@reason) then concat(' because ', $obsolete-tgi-info/@reason, '.') else '.' " /><xsl:text />
		That was <xsl:text /><xsl:value-of select="if (contains(string($obsolete-yrs-ago), '.')) then substring-before(string($obsolete-yrs-ago), '.') else $obsolete-yrs-ago " /><xsl:text /> years before the
		<xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered for, administered to or used by the consumer. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.          (See section 3.5 of the Australian Immunisation Register Structured Content Specification v1.0.)'))" /><xsl:text /><xsl:text /><xsl:value-of select="$creation-date-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Vaccine Administration Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the data element does not have a proper value. <xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered for, administered to or used by the consumer. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.          (See section 3.5 of the Australian Immunisation Register Structured Content Specification v1.0.)'))" /><xsl:text />
		The Vaccine Administration Entry - Vaccine Name data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Vaccine Administration Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered for, administered to or used by the consumer. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.          (See section 3.5 of the Australian Immunisation Register Structured Content Specification v1.0.)'))" /><xsl:text />
		The Vaccine Administration Entry - Vaccine Name data element must have a value that is consistent with this definition. Alternatively if there is no Vaccine Administration Entry - Vaccine Name data element with a proper value then an exclusion
		statement must be included to state why there is no Vaccine Administration Entry - Vaccine Name. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4')    then concat('Text such as ''', dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'), ''' may be permitted in the narrative even though the Vaccine Administration Entry - Vaccine Name data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Vaccine Administration Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the data element does not have a proper value. <xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered for, administered to or used by the consumer. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.          (See section 3.5 of the Australian Immunisation Register Structured Content Specification v1.0.)'))" /><xsl:text />
		The Vaccine Administration Entry - Vaccine Name data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($der-text-non-value) and $der-invalid-text ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($der-text-non-value) and $der-invalid-text">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />
		however the value is invalid. <xsl:text /><xsl:value-of select="$defn-invalid-rsn" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered for, administered to or used by the consumer. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.          (See section 3.5 of the Australian Immunisation Register Structured Content Specification v1.0.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $a-vaccine and false() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$a-vaccine and false()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />
		which identifies a vaccine. <xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered for, administered to or used by the consumer. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.          (See section 3.5 of the Australian Immunisation Register Structured Content Specification v1.0.)'))" /><xsl:text />
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Vaccine Administration (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $invalid-tgi and not($error-usingTS-9) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$invalid-tgi and not($error-usingTS-9)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
ZZZ
der-text '<xsl:text /><xsl:value-of select="$der-text" /><xsl:text />'
der-revised-text-1 '<xsl:text /><xsl:value-of select="$der-revised-text-1" /><xsl:text />'
der-revised-text-2 '<xsl:text /><xsl:value-of select="$der-revised-text-2" /><xsl:text />'
ZZZ
		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the value is invalid
		<xsl:text /><xsl:value-of select="if (exists($invalid-tgi-codes-h) or exists($invalid-tgi-codes-r)) then concat(' as it describes ',    iq:invalidityExplanationUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, $invalid-tgi-codes-h, $cd-definitions/meds/meds-invalid/hierarchy, $invalid-tgi-codes-r, $cd-definitions/meds/meds-invalid/refset), '.')   else '.' " /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered for, administered to or used by the consumer. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.          (See section 3.5 of the Australian Immunisation Register Structured Content Specification v1.0.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable outside the applicable value domain): The Vaccine Administration Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. The following codes were obtained and are not in the value domain:
		<xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-TGI-Defn): The Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU and no associated code was found in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists(($der-NAF-active-codes, $undetermined-NAF-active-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists(($der-NAF-active-codes, $undetermined-NAF-active-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-TGI-Defn): The Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-active-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the
		'<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU but it was not found with this status in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.
		<xsl:text /><xsl:value-of select="if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and ($valid-tgi-1 or $a-vaccine-2 or (not($valid-tgi-5) and $valid-tgi-6))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and ($valid-tgi-1 or $a-vaccine-2 or (not($valid-tgi-5) and $valid-tgi-6))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable within the value domain): The Vaccine Administration Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> which matches
		<xsl:text /><xsl:value-of select="if ($a-vaccine-1) then 'one of the terms listed in Knowledge.xml' else 'the vaccine information in CodeSystems.xml' " /><xsl:text /> for the Vaccine Administration Entry - Vaccine Name.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(exists($valid-class)) and $class-not-completed and not($class-tp-error or $class-error-10) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(exists($valid-class)) and $class-not-completed and not($class-tp-error or $class-error-10)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: The Vaccine Administration Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. <xsl:text /><xsl:value-of select="if ($code-to-assess = '') then 'No code could be found for the medicine.'    else if ($value-domain = '') then concat('The code ''', $code-to-assess, ''' was found to apply to the medicine by applying the terminology server using the ''', $ts-current-sctau,   ''' version of SNOMED CT-AU but the code was not found in the Validator''s database using the ''', $v-current-sctau, ''' version of SNOMED CT-AU.',   if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '')   else concat('This is a ', $value-domain,    if ($value-domain = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)')) then    concat(' (with medicinal product ''', $third-pass, ''').')    else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)'))    then concat(' (with trade product ''', $class-tp, ''').')    else '.') " /><xsl:text /> The classification of this medicine could not be completed.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists($valid-class) and not($class-tp-error or $class-error-11) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists($valid-class) and not($class-tp-error or $class-error-11)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: The Vaccine Administration Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This <xsl:text /><xsl:value-of select="if (not($value-domain = ('Containered Trade Product Pack (CTPP)',    'Trade Product Pack (TPP)', 'Trade Product (TP)', 'Trade Product Unit of Use (TPUU)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Medicinal Product (MP)')))    then '' else concat('is a ', $value-domain, ' which')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($value-domain = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)')) then concat(' (with medicinal product ''', $third-pass, ''') which')   else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)'))    then concat(' (with trade product ''', $class-tp, ''') which') else '' " /><xsl:text />
		identifies a type of <xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($valid-class, ' and '), $markup-pattern-replacement, 'ic')" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (concept is codeable within the value domain): The Vaccine Administration Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> which is a valid value for the Vaccine Administration Entry - Vaccine Name.
		SNOMED CT-AU codes that matched the concept are: <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The text used to match regular expression (der-text-2) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to match non-values and vaccines (der-text-to-match) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-to-match, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to derive a code (der-text) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.

		<xsl:text /><xsl:value-of select="if ($use-revised-text-1) then concat(' A first revision of the text (der-revised-text-1) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-1, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A first revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-1 != '' and $der-revised-text-1 = '') then ' revision-pattern-1 was applied but the output (der-revised-text-1) was an empty string.' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($use-revised-text-2) then concat(' A second revision of the text (der-revised-text-2) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A second revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-2 != '' and $der-revised-text-2 = '') then ' revision-pattern-2 was applied but the output (der-revised-text-2) was an empty string.' else '' " /><xsl:text />

		The SNOMED CT-AU version used to find codes is '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' and the maximum code number is '<xsl:text /><xsl:value-of select="$max-code-number" /><xsl:text />'.

		Codes for related terms (related-terms-2): '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($related-terms-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes for related terms (der-valid-codes-1): 
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-1, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-tgi-codes-2) returned by the terminology server that match the text:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-tgi-codes-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes from related terms or the terminology server (der-valid-codes-2):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-2, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-inactive-codes-3) returned from the Validator's database associated with inactive codes:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-inactive-codes-3, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes found after examining inactive codes (der-valid-codes-3):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-3, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Members of invalid reference sets (invalid-tgi-codes-r): '<xsl:text /><xsl:value-of select="$display-in-other-r" /><xsl:text />'.
		Members of invalid code hierarchies (invalid-tgi-codes-h): '<xsl:text /><xsl:value-of select="$display-in-other-h" /><xsl:text />'.

		Final set of valid codes (der-valid-codes-4): <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.
		
		Codes whose validity has not been determined (der-tgi-codes-5): <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.
		Codes whose validity has not been determined and are inactive with no associated code (undetermined-NAF): '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(    string-join($undetermined-NAF, ''', '''), $markup-pattern-replacement, 'ic')" /><xsl:text />'.

		Result of the second vaccination code test (a-vaccine-2): '<xsl:text /><xsl:value-of select="$a-vaccine-2" /><xsl:text />'.
		Vaccine codes (vaccine-code-test):  '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($vaccine-code-test, '; '), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Overall result of the vaccination test (a-vaccine): '<xsl:text /><xsl:value-of select="$a-vaccine" /><xsl:text />'.

		Will the value of the data element be trusted (der-trusted-text)? '<xsl:text /><xsl:value-of select="$der-trusted-text" /><xsl:text />'.
		
	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and $codes-not-found">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept not codeable): The Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($avoid-ts) then 'The terminology server was not used to assist with finding codes corresponding to text in the data element. ' else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $prose-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $prose-err">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Vaccine Administration Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> which is invalid as it is prose text.
		The Vaccine Administration Entry - Vaccine Name data element is CodeableText derived from the HL7 CD data type which by definition is to record a concept defined in an external code system, terminology or ontology.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered for, administered to or used by the consumer. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.          (See section 3.5 of the Australian Immunisation Register Structured Content Specification v1.0.)'))" /><xsl:text />
		This finding will also be reported as an error.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M122" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M122" />
  <xsl:template match="@*|node()" priority="-2" mode="M122">
    <xsl:apply-templates select="@*|*" mode="M122" />
  </xsl:template>
  <!--PATTERN p-TS-AIR-CodeableText-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.17039' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.17039']]/cda:entry/        cda:substanceAdministration[not(cda:statusCode/@code) or lower-case(cda:statusCode/@code)='active']/        cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code        [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]        [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and          matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M123">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.17039' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.17039']]/cda:entry/        cda:substanceAdministration[not(cda:statusCode/@code) or lower-case(cda:statusCode/@code)='active']/        cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code        [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]        [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and          matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Vaccine Administration Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Vaccine Administration Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Vaccine Administration Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Vaccine Administration Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Administration Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Vaccine Administration Entry - Vaccine Name has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Vaccine Administration Entry - Vaccine Name data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Administration Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Vaccine Administration Entry - Vaccine Name data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Administration Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Vaccine Administration Entry - Vaccine Name data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Administration Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Vaccine Administration Entry - Vaccine Name data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Vaccine Administration Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Vaccine Administration Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Vaccine Administration Entry - Vaccine Name data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Vaccine Administration Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Vaccine Administration Entry - Vaccine Name data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Administration Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Administration Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Vaccine Administration Entry - Vaccine Name data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Administration Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Vaccine Administration Entry - Vaccine Name data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Administration Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Administration Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M123" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M123" />
  <xsl:template match="@*|node()" priority="-2" mode="M123">
    <xsl:apply-templates select="@*|*" mode="M123" />
  </xsl:template>
  <!--PATTERN p-TS-AIR-CodeableText-5-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.17039' = $doc-sections]/cda:component/cda:structuredBody/cda:component//         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.17039']]/cda:entry/         cda:substanceAdministration[not(cda:statusCode/@code) or lower-case(cda:statusCode/@code)='active']/         cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code[@nullFlavor] " priority="1000" mode="M124">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.17039' = $doc-sections]/cda:component/cda:structuredBody/cda:component//         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.17039']]/cda:entry/         cda:substanceAdministration[not(cda:statusCode/@code) or lower-case(cda:statusCode/@code)='active']/         cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code[@nullFlavor] " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and exists(('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')[. = 'ALL']) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and exists(('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')[. = 'ALL'])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Vaccine Administration Entry - Vaccine Name data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. The Vaccine Administration Entry - Vaccine Name data element is not allowed to contain a nullFlavor attribute.
		(See the mapping table in section 7.1.1.1 of the Australian Immunisation Register CDA Implementation Guide Version 1.0.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and exists(('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')[. = current()/@nullFlavor]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and exists(('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')[. = current()/@nullFlavor])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Vaccine Administration Entry - Vaccine Name data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. The Vaccine Administration Entry - Vaccine Name data element is not allowed to contain a nullFlavor attribute
		with this value. (See the mapping table in section 7.1.1.1 of the Australian Immunisation Register CDA Implementation Guide Version 1.0.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M124" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M124" />
  <xsl:template match="@*|node()" priority="-2" mode="M124">
    <xsl:apply-templates select="@*|*" mode="M124" />
  </xsl:template>
  <!--PATTERN p-TS-AIR-CodeableText-6-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.17039' = $doc-sections]/cda:component/cda:structuredBody/cda:component//         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.17039']]/cda:entry/         cda:substanceAdministration[not(cda:statusCode/@code) or lower-case(cda:statusCode/@code)='active']/         cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code " priority="1000" mode="M125">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.17039' = $doc-sections]/cda:component/cda:structuredBody/cda:component//         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.17039']]/cda:entry/         cda:substanceAdministration[not(cda:statusCode/@code) or lower-case(cda:statusCode/@code)='active']/         cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code " />
    <xsl:variable name="hist-vers-1" select="tokenize($ts-snomedctau-pre-ordered, '\|')" />
    <xsl:variable name="pcode" select="if (not(@code)) then ''        else if (@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)) then @code        else '' " />
    <xsl:variable name="pname-to-test" select="@codeSystem = '2.16.840.1.113883.6.96' and @displayName and $pcode != '' " />
    <xsl:variable name="psctau-version" select="if (exists(@codeSystemVersion) and matches(@codeSystemVersion, $snomedctau-version-regex)) then @codeSystemVersion else '' " />
    <xsl:variable name="psnomed-id" select="if (not($pname-to-test) or not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion) and          dh:IsFirstDateEarlierThanSecondDate($creation-date, substring-after($first-amt-in-sctau, '/version/')) = '1') then 'amtv3'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (not($psctau-version = '')) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="psnomed-type" select="if ($psnomed-id = 'amtv3') then 'AMT v3'        else if ($psnomed-id = 'snomedctau') then 'SNOMED CT-AU'        else if ($psnomed-id = 'snomedct') then 'SNOMED CT'        else '' " />
    <xsl:variable name="pvers-old" select="if ($psnomed-id = 'snomedctau' and @codeSystemVersion) then not(exists($ts-snomedctau[. = current()/@codeSystemVersion]))        else if ($psnomed-id = 'snomedctau' and $creation-date != '' and $ts-earliest-sctau-date != '') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $ts-earliest-sctau-date) = '1'         else if ($psnomed-id = 'amtv3' and @codeSystemVersion) then not(exists($v-amtv3[. = current()/@codeSystemVersion]))        else if ($psnomed-id = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '1'         else false() " />
    <xsl:variable name="psctau-ts" select="if ($psctau-version = '' or not($pvers-old)) then '' else substring-after($psctau-version, '/version/') " />
    <xsl:variable name="psctau-ts-xs" select="if ($psctau-ts = '') then '' else concat(substring($psctau-ts, 1, 4), '-', substring($psctau-ts, 5, 2), '-', substring($psctau-ts, 7, 2))" />
    <xsl:variable name="psctau-ts-1" select="if ($psctau-ts = '' or not($psctau-ts-xs castable as xs:date)) then '' else string($sctau-last-xs - xs:date($psctau-ts-xs)) " />
    <xsl:variable name="psctau-ts-2" select="if ($psctau-ts-1 = '' or not(matches($psctau-ts-1, '^P[0-9]+D'))) then '' else substring-before(substring-after($psctau-ts-1, 'P'), 'D') " />
    <xsl:variable name="psctau-ts-63-err" select="$psctau-ts-2 != '' and $psctau-ts-2 &gt; $sctau-acceptable-age  " />
    <xsl:variable name="ts-psnomed-version" select="if (not($pname-to-test) or not($psnomed-id = 'snomedctau')) then ''        else if (not(@codeSystemVersion)) then $ts-latest-snomedctau        else if ($psnomed-id = 'snomedctau' and @codeSystemVersion and not($pvers-old)) then @codeSystemVersion        else if ($pvers-old and $ts-earliest-sctau-date != '') then concat('http://snomed.info/sct/32506021000036107/version/', $ts-earliest-sctau-date)        else $ts-latest-snomedctau " />
    <xsl:variable name="v-psnomed-version" select="if (not($psnomed-id = 'amtv3')) then ''        else if (@codeSystemVersion and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($pvers-old) then concat('http://snomed.info/sct/900062011000036108/version/', $v-earliest-amtv3-date)        else $v-latest-amtv3 " />
    <xsl:variable name="test-pname" select="$pname-to-test and not($ts-psnomed-version = '' and $v-psnomed-version = '') and not($psctau-ts-63-err)" />
    <xsl:variable name="p-term-actual-1" select="if ($test-pname and $use-ts-for-sctau and $psnomed-id = 'snomedctau')        then dh:FindPreferredTermUsingTS($pcode, '2.16.840.1.113883.6.96', $ts-psnomed-version)        else if ($test-pname and exists($v-amtv3) and $psnomed-id = 'amtv3')        then replace(dh:FindPreferredTermAndCaseSignificance($pcode, '2.16.840.1.113883.6.96', $v-psnomed-version), '\|.*$', '', 'is')       else '' " />
    <xsl:variable name="error-usingTS-1" select="$p-term-actual-1 = 'Error' " />
    <xsl:variable name="p-term-actual" select="if ($p-term-actual-1 = ('CodeNotFound', 'Error')) then '' else $p-term-actual-1 " />
    <xsl:variable name="pname-invalid" select="$test-pname and $p-term-actual != '' and lower-case($p-term-actual) != lower-case(@displayName) " />
    <xsl:variable name="phist-search" select="$test-pname and $pname-invalid and $ts-snomedctau-pre-ordered != '' " />
    <xsl:variable name="phist-vers-2" select="if ($phist-search) then index-of($hist-vers-1, substring-after($ts-psnomed-version, 'version/')) else () " />
    <xsl:variable name="phist-vers-3" select="if (exists($phist-vers-2) and count($hist-vers-1) &gt; $phist-vers-2[1]) then $hist-vers-1[$phist-vers-2[1] + 1] else '' " />
    <xsl:variable name="phist-vers-4" select="if ($phist-vers-3 = '') then '' else concat('http://snomed.info/sct/32506021000036107/version/', $phist-vers-3) " />
    <xsl:variable name="phist-vers-5" select="if ($phist-vers-4 != '' and $use-ts-for-sctau)         then dh:FindLatestVersionWhereDisplaynameMatchUsingTS($pcode, '2.16.840.1.113883.6.96', $phist-vers-4, @displayName, false()) else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or $phist-vers-5 = 'Error' " />
    <xsl:variable name="phist-vers-found-1" select="matches($phist-vers-5, 'http') " />
    <xsl:variable name="pcode-pterm-date-1" select="if (not($pname-invalid) or $phist-vers-found-1) then '' else dh:LatestDateForPreferredTerm($pcode, '2.16.840.1.113883.6.96', $v-latest-snomedctau) " />
    <xsl:variable name="error-pcode-pterm-date" select="'Error' = $pcode-pterm-date-1" />
    <xsl:variable name="pcode-pterm-date-2" select="if (matches($pcode-pterm-date-1, '^[0-9]{8}\|')) then substring-before($pcode-pterm-date-1, '|') else '' " />
    <xsl:variable name="pcode-pterm-date-est" select="$pcode-pterm-date-2 != '' and dh:IsFirstDateEarlierThanSecondDate($creation-date, $pcode-pterm-date-2) = '0' " />
    <xsl:variable name="pcode-pterm-date" select="if ($pcode-pterm-date-est) then $pcode-pterm-date-2 else '' " />
    <xsl:variable name="phist-vers-6" select="if ($phist-vers-5 = 'PreferredTermNeverMatches' and not($pcode-pterm-date-est) and matches($pcode, $sctau-namespace-id-regex))         then dh:IsCodePreferredTermInTerminologyValid($pcode, '2.16.840.1.113883.6.96', $v-latest-amtv3, @displayName)        else '' " />
    <xsl:variable name="phist-vers-found-2" select="$phist-vers-6 = 'PreferredTermMatch' " />
    <xsl:variable name="phist-vers-7" select="if ($phist-vers-6 = 'PreferredTermMismatch' and not($pcode-pterm-date-est) and $v-latest-amtv2 = $last-amtv2)         then dh:IsCodePreferredTermInTerminologyValid($pcode, '1.2.36.1.2001.1004.100', $last-amtv2, @displayName)        else '' " />
    <xsl:variable name="phist-vers-found-3" select="$phist-vers-7 = 'PreferredTermMatch' " />
    <xsl:variable name="phist-vers-found" select="$phist-vers-found-1 or $phist-vers-found-2 or $phist-vers-found-3 or $pcode-pterm-date-est " />
    <xsl:variable name="phist-vers-date" select="if ($phist-vers-found-1) then substring-after($phist-vers-5, 'http://snomed.info/sct/32506021000036107/version/')         else if ($phist-vers-found-2) then substring-after($v-latest-amtv3, 'http://snomed.info/sct/900062011000036108/version/')        else if ($phist-vers-found-3) then $last-amtv2-date        else if ($pcode-pterm-date-est) then $pcode-pterm-date        else '' " />
    <xsl:variable name="phist-last-diff" select="if ($sctau-last = '' or $phist-vers-date = '') then ''        else iq:display-date-diff($phist-vers-date, $sctau-last)[2] " />
    <xsl:variable name="phist-last-old" select="$phist-last-diff != '' and not(number($phist-last-diff) &lt; $sctau-acceptable-age) " />
    <xsl:variable name="p-term-found-in" select="if ($phist-vers-found-1) then 'last used in the version of SNOMED CT-AU'        else if ($phist-vers-found-2) then 'used in the version of AMT v3'        else if ($phist-vers-found-3) then 'used in the version of AMT v2'        else '' " />
    <xsl:variable name="phist-last-msg" select="if ($pcode-pterm-date-est) then concat(' The preferred term was last changed in the version of SNOMED CT-AU published ',          iq:display-date($phist-vers-date),          ' so if the value of the displayName was ever valid then it must be before then. ',          'That version was published ', $phist-last-diff, ' days before the version of SNOMED CT-AU published immediately prior to the date ''',         /cda:ClinicalDocument/cda:effectiveTime/@value, ''' that this ', $document-name,          ' was created. SNOMED CT-AU is published monthly and the Australian National Terminology Licence Agreement requires the copy used ',         'in healthcare software systems (live or production environments) to be updated within 30 days of the National Terminology release.')         else if (not($phist-last-old) or $p-term-found-in = '') then ''        else concat(' The value of the displayName was ', $p-term-found-in,          ' published on the ', iq:display-date($phist-vers-date), '. That version was published ', $phist-last-diff,          ' days before the version of SNOMED CT-AU published immediately prior to the date the ', $document-name,          ' was created. SNOMED CT-AU is published monthly and the Australian National Terminology Licence Agreement requires the copy used in',         ' healthcare software systems (live or production environments) to be updated within 30 days of the National Terminology release.') " />
    <xsl:variable name="p-date-required" select="if (not($pname-invalid)) then ''        else if (@codeSystemVersion and matches(@codeSystemVersion, $snomed-version-regex-1)) then substring-after(@codeSystemVersion, '/version/')        else if ($creation-date-est) then ''        else $creation-date " />
    <xsl:variable name="p-date-diff" select="if ($p-date-required = '' or         not(dh:IsFirstDateEarlierThanSecondDate(substring-after($ts-psnomed-version, '/version/'), $p-date-required) = '1')) then ()        else iq:display-date-diff(substring-after($ts-psnomed-version, '/version/'), $p-date-required)" />
    <xsl:variable name="p-old-ts-version" select="exists($p-date-diff) and number($p-date-diff[2]) &gt; 31 " />
    <xsl:variable name="snomed-trans-1" select="if (cda:translation) then cda:translation[@displayName and @codeSystem = '2.16.840.1.113883.6.96' and @code and         matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="snomed-trans-2" select="distinct-values(for $trans in $snomed-trans-1 return $trans/@code) " />
    <xsl:variable name="snomed-trans-a" select="if (exists($snomed-trans-1)) then $snomed-trans-1[1] else () " />
    <xsl:variable name="tcode-a" select="if (exists($snomed-trans-a)) then $snomed-trans-a/@code else '' " />
    <xsl:variable name="tname-a-to-test" select="$tcode-a != '' and $snomed-trans-a/@displayName " />
    <xsl:variable name="tsctau-version-a" select="if (exists($snomed-trans-a/@codeSystemVersion) and matches($snomed-trans-a/@codeSystemVersion, $snomedctau-version-regex)) then $snomed-trans-a/@codeSystemVersion else '' " />
    <xsl:variable name="tsnomed-id-a" select="if (not($tname-a-to-test)) then 'none'        else if (not($snomed-trans-a/@codeSystemVersion) and          dh:IsFirstDateEarlierThanSecondDate($creation-date, substring-after($first-amt-in-sctau, '/version/')) = '1') then 'amtv3'        else if (not($snomed-trans-a/@codeSystemVersion)) then 'snomedctau'        else if (not($tsctau-version-a = '')) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-a/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="tsnomed-a-type" select="if ($tsnomed-id-a = 'amtv3') then 'AMT v3'        else if ($tsnomed-id-a = 'snomedctau') then 'SNOMED CT-AU'        else if ($tsnomed-id-a = 'snomedct') then 'SNOMED CT'        else '' " />
    <xsl:variable name="t-vers-a-old" select="if ($tsnomed-id-a = 'snomedctau' and $snomed-trans-a/@codeSystemVersion) then not(exists($ts-snomedctau[. = $snomed-trans-a/@codeSystemVersion]))         else if ($tsnomed-id-a = 'snomedctau' and $creation-date != '' and $ts-earliest-sctau-date != '') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $ts-earliest-sctau-date) = '1'         else if ($tsnomed-id-a = 'amtv3' and $snomed-trans-a/@codeSystemVersion) then not(exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion]))        else if ($tsnomed-id-a = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '1'         else false() " />
    <xsl:variable name="tsctau-ts-a" select="if ($tsctau-version-a = '' or not($t-vers-a-old)) then '' else substring-after($tsctau-version-a, '/version/') " />
    <xsl:variable name="tsctau-ts-a-xs" select="if ($tsctau-ts-a = '') then '' else concat(substring($tsctau-ts-a, 1, 4), '-', substring($tsctau-ts-a, 5, 2), '-', substring($tsctau-ts-a, 7, 2))" />
    <xsl:variable name="tsctau-ts-a-1" select="if ($tsctau-ts-a = '' or not($tsctau-ts-a-xs castable as xs:date)) then '' else string($sctau-last-xs - xs:date($tsctau-ts-a-xs)) " />
    <xsl:variable name="tsctau-ts-a-2" select="if ($tsctau-ts-a-1 = '' or not(matches($tsctau-ts-a-1, '^P[0-9]+D'))) then '' else substring-before(substring-after($tsctau-ts-a-1, 'P'), 'D') " />
    <xsl:variable name="tsctau-ts-a-63-err" select="$tsctau-ts-a-2 != '' and $tsctau-ts-a-2 &gt; $sctau-acceptable-age  " />
    <xsl:variable name="ts-tsnomed-version-a" select="if (not($tname-a-to-test) or not($tsnomed-id-a = 'snomedctau')) then ''        else if (not($snomed-trans-a/@codeSystemVersion)) then $ts-latest-snomedctau        else if ($tsnomed-id-a = 'snomedctau' and $snomed-trans-a/@codeSystemVersion and not($t-vers-a-old)) then $snomed-trans-a/@codeSystemVersion        else if ($t-vers-a-old and $ts-earliest-sctau-date != '') then concat('http://snomed.info/sct/32506021000036107/version/', $ts-earliest-sctau-date)        else $ts-latest-snomedctau " />
    <xsl:variable name="v-tsnomed-version-a" select="if (not($tsnomed-id-a = 'amtv3')) then ''        else if ($snomed-trans-a/@codeSystemVersion and exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($t-vers-a-old) then concat('http://snomed.info/sct/900062011000036108/version/', $v-earliest-amtv3-date)        else $v-latest-amtv3 " />
    <xsl:variable name="test-tname-a" select="$tname-a-to-test and not($ts-tsnomed-version-a = '' and $v-tsnomed-version-a = '') and not($tsctau-ts-a-63-err) " />
    <xsl:variable name="t-a-term-actual-1" select="if ($test-tname-a and $use-ts-for-sctau and $tsnomed-id-a = 'snomedctau')         then dh:FindPreferredTermUsingTS($tcode-a, '2.16.840.1.113883.6.96', $ts-tsnomed-version-a)         else if ($test-tname-a and exists($v-amtv3) and $tsnomed-id-a = 'amtv3')         then replace(dh:FindPreferredTermAndCaseSignificance($tcode-a, '2.16.840.1.113883.6.96', $v-tsnomed-version-a), '\|.*$', '', 'is')        else '' " />
    <xsl:variable name="error-usingTS-3" select="$error-usingTS-2 or $t-a-term-actual-1 = 'Error' " />
    <xsl:variable name="t-a-term-actual" select="if ($t-a-term-actual-1 = 'CodeNotFound' or $t-a-term-actual-1 = 'Error') then '' else $t-a-term-actual-1 " />
    <xsl:variable name="tname-a-invalid" select="$test-tname-a and $t-a-term-actual != '' and lower-case($t-a-term-actual) != lower-case($snomed-trans-a/@displayName) " />
    <xsl:variable name="thist-a-search" select="$test-tname-a and $tname-a-invalid and $ts-snomedctau-pre-ordered != '' " />
    <xsl:variable name="thist-a-vers-2" select="if ($thist-a-search) then index-of($hist-vers-1, substring-after($ts-tsnomed-version-a, 'version/')) else () " />
    <xsl:variable name="thist-a-vers-3" select="if (exists($thist-a-vers-2) and count($hist-vers-1) &gt; $thist-a-vers-2[1]) then $hist-vers-1[$thist-a-vers-2[1] + 1] else '' " />
    <xsl:variable name="thist-a-vers-4" select="if ($thist-a-vers-3 = '') then '' else concat('http://snomed.info/sct/32506021000036107/version/', $thist-a-vers-3) " />
    <xsl:variable name="thist-a-vers-5" select="if ($thist-a-vers-4 != '' and $use-ts-for-sctau)         then dh:FindLatestVersionWhereDisplaynameMatchUsingTS($tcode-a, '2.16.840.1.113883.6.96', $thist-a-vers-4, $snomed-trans-a/@displayName, false())         else '' " />
    <xsl:variable name="error-usingTS-4" select="$error-usingTS-3 or $thist-a-vers-5 = 'Error' " />
    <xsl:variable name="thist-a-vers-found-1" select="matches($thist-a-vers-5, 'http') " />
    <xsl:variable name="tcode-a-pterm-date-1" select="if (not($tname-a-invalid) or $thist-a-vers-found-1) then ''          else dh:LatestDateForPreferredTerm($tcode-a, '2.16.840.1.113883.6.96', $v-latest-snomedctau) " />
    <xsl:variable name="error-tcode-a-pterm-date" select="'Error' = $tcode-a-pterm-date-1" />
    <xsl:variable name="tcode-a-pterm-date-2" select="if (matches($tcode-a-pterm-date-1, '^[0-9]{8}\|')) then substring-before($tcode-a-pterm-date-1, '|') else '' " />
    <xsl:variable name="tcode-a-pterm-date-est" select="$tcode-a-pterm-date-2 != '' and dh:IsFirstDateEarlierThanSecondDate($creation-date, $tcode-a-pterm-date-2) = '0' " />
    <xsl:variable name="tcode-a-pterm-date" select="if ($tcode-a-pterm-date-est) then $tcode-a-pterm-date-2 else '' " />
    <xsl:variable name="thist-a-vers-6" select="if ($thist-a-vers-5 = 'PreferredTermNeverMatches' and not($tcode-a-pterm-date-est) and matches($tcode-a, $sctau-namespace-id-regex))         then dh:IsCodePreferredTermInTerminologyValid($tcode-a, '2.16.840.1.113883.6.96', $v-latest-amtv3, $snomed-trans-a/@displayName)        else '' " />
    <xsl:variable name="thist-a-vers-found-2" select="$thist-a-vers-6 = 'PreferredTermMatch' " />
    <xsl:variable name="thist-a-vers-7" select="if ($thist-a-vers-6 = 'PreferredTermMismatch' and not($tcode-a-pterm-date-est) and $v-latest-amtv2 = $last-amtv2)         then dh:IsCodePreferredTermInTerminologyValid($tcode-a, '1.2.36.1.2001.1004.100', $last-amtv2, $snomed-trans-a/@displayName)        else '' " />
    <xsl:variable name="thist-a-vers-found-3" select="$thist-a-vers-7 = 'PreferredTermMatch' " />
    <xsl:variable name="thist-a-vers-found" select="$thist-a-vers-found-1 or $thist-a-vers-found-2 or $thist-a-vers-found-3 or $tcode-a-pterm-date-est " />
    <xsl:variable name="thist-a-vers-date" select="if ($thist-a-vers-found-1) then substring-after($thist-a-vers-5, 'http://snomed.info/sct/32506021000036107/version/')         else if ($thist-a-vers-found-2) then substring-after($v-latest-amtv3, 'http://snomed.info/sct/900062011000036108/version/')        else if ($thist-a-vers-found-3) then $last-amtv2-date        else if ($tcode-a-pterm-date-est) then $tcode-a-pterm-date        else '' " />
    <xsl:variable name="thist-a-last-diff" select="if ($sctau-last = '' or $thist-a-vers-date = '') then ''        else iq:display-date-diff($thist-a-vers-date, $sctau-last)[2] " />
    <xsl:variable name="thist-a-last-old" select="$thist-a-last-diff != '' and not(number($thist-a-last-diff) &lt; $sctau-acceptable-age) " />
    <xsl:variable name="t-a-term-found-in" select="if ($thist-a-vers-found-1) then 'last used in the version of SNOMED CT-AU'        else if ($thist-a-vers-found-2) then 'used in the version of AMT v3'        else if ($thist-a-vers-found-3) then 'used in the version of AMT v2'        else '' " />
    <xsl:variable name="thist-a-last-msg" select="if ($tcode-a-pterm-date-est) then concat(' The preferred term was last changed in the version of SNOMED CT-AU published ',          iq:display-date($thist-a-vers-date),          ' so if the value of the translation code displayName was ever valid then it must be before then. ',          'That version was published ', $thist-a-last-diff, ' days before the version of SNOMED CT-AU published immediately prior to the date ''',         /cda:ClinicalDocument/cda:effectiveTime/@value, ''' that this ', $document-name,          ' was created. SNOMED CT-AU is published monthly and the Australian National Terminology Licence Agreement requires the copy used ',         'in healthcare software systems (live or production environments) to be updated within 30 days of the National Terminology release.')         else if (not($thist-a-last-old) or $t-a-term-found-in = '') then ''           else concat(' The value of the translation code displayName was ', $t-a-term-found-in, ' published on the ', iq:display-date($thist-a-vers-date),         '. That version was published ', $thist-a-last-diff, ' days before the version of SNOMED CT-AU published immediately prior to the date the ',        $document-name, ' was created. SNOMED CT-AU is published monthly and the Australian National Terminology Licence Agreement requires ',        'the copy used in healthcare software systems (live or production environments) to be updated within 30 days of the National Terminology release.')" />
    <xsl:variable name="tr-a-date-required" select="if (not($tname-a-invalid)) then ''        else if ($snomed-trans-a/@codeSystemVersion and matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1))          then substring-after($snomed-trans-a/@codeSystemVersion, '/version/')        else if ($creation-date-est) then ''        else $creation-date " />
    <xsl:variable name="tr-a-date-diff" select="if ($tr-a-date-required = '' or         not(dh:IsFirstDateEarlierThanSecondDate(substring-after($ts-tsnomed-version-a, '/version/'), $tr-a-date-required) = '1')) then ()        else iq:display-date-diff(substring-after($ts-tsnomed-version-a, '/version/'), $tr-a-date-required)" />
    <xsl:variable name="tr-a-old-ts-version" select="exists($tr-a-date-diff) and number($tr-a-date-diff[2]) &gt; 31 " />
    <xsl:variable name="snomed-trans-b" select="if (exists($snomed-trans-1)) then $snomed-trans-1[@code and not(@code = $tcode-a)] else () " />
    <xsl:variable name="tcode-b" select="if (exists($snomed-trans-b)) then $snomed-trans-b/@code else '' " />
    <xsl:variable name="tname-b-to-test" select="$tcode-b != '' and $snomed-trans-b/@displayName " />
    <xsl:variable name="tsctau-version-b" select="if (exists($snomed-trans-b/@codeSystemVersion) and matches($snomed-trans-b/@codeSystemVersion, $snomedctau-version-regex)) then $snomed-trans-b/@codeSystemVersion else '' " />
    <xsl:variable name="tsnomed-id-b" select="if (not($tname-b-to-test)) then 'none'        else if (not($snomed-trans-b/@codeSystemVersion) and          dh:IsFirstDateEarlierThanSecondDate($creation-date, substring-after($first-amt-in-sctau, '/version/')) = '1') then 'amtv3'        else if (not($snomed-trans-b/@codeSystemVersion)) then 'snomedctau'        else if (not($tsctau-version-b = '')) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-b/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="tsnomed-b-type" select="if ($tsnomed-id-b = 'amtv3') then 'AMT v3'        else if ($tsnomed-id-b = 'snomedctau') then 'SNOMED CT-AU'        else if ($tsnomed-id-b = 'snomedct') then 'SNOMED CT'        else '' " />
    <xsl:variable name="t-vers-b-old" select="if ($tsnomed-id-b = 'snomedctau' and $snomed-trans-b/@codeSystemVersion) then not(exists($ts-snomedctau[. = $snomed-trans-b/@codeSystemVersion]))         else if ($tsnomed-id-b = 'snomedctau' and $creation-date != '' and $ts-earliest-sctau-date != '') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $ts-earliest-sctau-date) = '1'         else if ($tsnomed-id-b = 'amtv3' and $snomed-trans-b/@codeSystemVersion) then not(exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion]))        else if ($tsnomed-id-b = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '1'         else false() " />
    <xsl:variable name="tsctau-ts-b" select="if ($tsctau-version-b = '' or not($t-vers-b-old)) then '' else substring-after($tsctau-version-b, '/version/') " />
    <xsl:variable name="tsctau-ts-b-xs" select="if ($tsctau-ts-b = '') then '' else concat(substring($tsctau-ts-b, 1, 4), '-', substring($tsctau-ts-b, 5, 2), '-', substring($tsctau-ts-b, 7, 2))" />
    <xsl:variable name="tsctau-ts-b-1" select="if ($tsctau-ts-b = '' or not($tsctau-ts-b-xs castable as xs:date)) then '' else string($sctau-last-xs - xs:date($tsctau-ts-b-xs)) " />
    <xsl:variable name="tsctau-ts-b-2" select="if ($tsctau-ts-b-1 = '' or not(matches($tsctau-ts-b-1, '^P[0-9]+D'))) then '' else substring-before(substring-after($tsctau-ts-b-1, 'P'), 'D') " />
    <xsl:variable name="tsctau-ts-b-63-err" select="$tsctau-ts-b-2 != '' and $tsctau-ts-b-2 &gt; $sctau-acceptable-age  " />
    <xsl:variable name="ts-tsnomed-version-b" select="if (not($tname-b-to-test) or not($tsnomed-id-b = 'snomedctau')) then ''        else if (not($snomed-trans-b/@codeSystemVersion)) then $ts-latest-snomedctau        else if ($tsnomed-id-b = 'snomedctau' and $snomed-trans-b/@codeSystemVersion and not($t-vers-b-old)) then $snomed-trans-b/@codeSystemVersion        else if ($t-vers-b-old and $ts-earliest-sctau-date != '') then concat('http://snomed.info/sct/32506021000036107/version/', $ts-earliest-sctau-date)        else $ts-latest-snomedctau " />
    <xsl:variable name="v-tsnomed-version-b" select="if (not($tsnomed-id-b = 'amtv3')) then ''        else if ($snomed-trans-b/@codeSystemVersion and exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($t-vers-b-old) then concat('http://snomed.info/sct/900062011000036108/version/', $v-earliest-amtv3-date)        else $v-latest-amtv3 " />
    <xsl:variable name="test-tname-b" select="$tname-b-to-test and not($ts-tsnomed-version-b = '' and $v-tsnomed-version-b = '') and not($tsctau-ts-b-63-err) " />
    <xsl:variable name="t-b-term-actual-1" select="if ($test-tname-b and $use-ts-for-sctau and $tsnomed-id-b = 'snomedctau')        then dh:FindPreferredTermUsingTS($tcode-b, '2.16.840.1.113883.6.96', $ts-tsnomed-version-b)        else if ($test-tname-b and exists($v-amtv3) and $tsnomed-id-b = 'amtv3')        then replace(dh:FindPreferredTermAndCaseSignificance($tcode-b, '2.16.840.1.113883.6.96', $v-tsnomed-version-b), '\|.*$', '', 'is')       else '' " />
    <xsl:variable name="error-usingTS-5" select="$error-usingTS-4 or $t-b-term-actual-1 = 'Error' " />
    <xsl:variable name="t-b-term-actual" select="if ($t-b-term-actual-1 = 'CodeNotFound' or $t-b-term-actual-1 = 'Error') then '' else $t-b-term-actual-1 " />
    <xsl:variable name="tname-b-invalid" select="$test-tname-b and $t-b-term-actual != '' and lower-case($t-b-term-actual) != lower-case($snomed-trans-b/@displayName) " />
    <xsl:variable name="thist-b-search" select="$test-tname-b and $tname-b-invalid and $ts-snomedctau-pre-ordered != '' " />
    <xsl:variable name="thist-b-vers-2" select="if ($thist-b-search) then index-of($hist-vers-1, substring-after($ts-tsnomed-version-b, 'version/')) else () " />
    <xsl:variable name="thist-b-vers-3" select="if (exists($thist-b-vers-2) and count($hist-vers-1) &gt; $thist-b-vers-2[1]) then $hist-vers-1[$thist-b-vers-2[1] + 1] else '' " />
    <xsl:variable name="thist-b-vers-4" select="if ($thist-b-vers-3 = '') then '' else concat('http://snomed.info/sct/32506021000036107/version/', $thist-b-vers-3) " />
    <xsl:variable name="thist-b-vers-5" select="if ($thist-b-vers-4 != '' and $use-ts-for-sctau)         then dh:FindLatestVersionWhereDisplaynameMatchUsingTS($tcode-b, '2.16.840.1.113883.6.96', $thist-b-vers-4, $snomed-trans-b/@displayName, false())         else '' " />
    <xsl:variable name="error-usingTS-6" select="$error-usingTS-5 or $thist-b-vers-5 = 'Error' " />
    <xsl:variable name="thist-b-vers-found-1" select="matches($thist-b-vers-5, 'http') " />
    <xsl:variable name="tcode-b-pterm-date-1" select="if (not($tname-b-invalid) or $thist-b-vers-found-1) then ''          else dh:LatestDateForPreferredTerm($tcode-b, '2.16.840.1.113883.6.96', $v-latest-snomedctau) " />
    <xsl:variable name="error-tcode-b-pterm-date" select="'Error' = $tcode-b-pterm-date-1" />
    <xsl:variable name="tcode-b-pterm-date-2" select="if (matches($tcode-b-pterm-date-1, '^[0-9]{8}\|')) then substring-before($tcode-b-pterm-date-1, '|') else '' " />
    <xsl:variable name="tcode-b-pterm-date-est" select="$tcode-b-pterm-date-2 != '' and dh:IsFirstDateEarlierThanSecondDate($creation-date, $tcode-b-pterm-date-2) = '0' " />
    <xsl:variable name="tcode-b-pterm-date" select="if ($tcode-b-pterm-date-est) then $tcode-b-pterm-date-2 else '' " />
    <xsl:variable name="thist-b-vers-6" select="if ($thist-b-vers-5 = 'PreferredTermNeverMatches' and not($tcode-b-pterm-date-est) and matches($tcode-b, $sctau-namespace-id-regex))         then dh:IsCodePreferredTermInTerminologyValid($tcode-b, '2.16.840.1.113883.6.96', $v-latest-amtv3, $snomed-trans-b/@displayName)        else '' " />
    <xsl:variable name="thist-b-vers-found-2" select="$thist-b-vers-6 = 'PreferredTermMatch' " />
    <xsl:variable name="thist-b-vers-7" select="if ($thist-b-vers-6 = 'PreferredTermMismatch' and not($tcode-b-pterm-date-est) and $v-latest-amtv2 = $last-amtv2)         then dh:IsCodePreferredTermInTerminologyValid($tcode-b, '1.2.36.1.2001.1004.100', $last-amtv2, $snomed-trans-b/@displayName)        else '' " />
    <xsl:variable name="thist-b-vers-found-3" select="$thist-b-vers-7 = 'PreferredTermMatch' " />
    <xsl:variable name="thist-b-vers-found" select="$thist-b-vers-found-1 or $thist-b-vers-found-2 or $thist-b-vers-found-3 or $tcode-b-pterm-date-est " />
    <xsl:variable name="thist-b-vers-date" select="if ($thist-b-vers-found-1) then substring-after($thist-b-vers-5, 'http://snomed.info/sct/32506021000036107/version/')         else if ($thist-b-vers-found-2) then substring-after($v-latest-amtv3, 'http://snomed.info/sct/900062011000036108/version/')        else if ($thist-b-vers-found-3) then $last-amtv2-date        else if ($tcode-b-pterm-date-est) then $tcode-b-pterm-date        else '' " />
    <xsl:variable name="thist-b-last-diff" select="if ($sctau-last = '' or $thist-b-vers-date = '') then ''        else iq:display-date-diff($thist-b-vers-date, $sctau-last)[2] " />
    <xsl:variable name="thist-b-last-old" select="$thist-b-last-diff != '' and not(number($thist-b-last-diff) &lt; $sctau-acceptable-age) " />
    <xsl:variable name="t-b-term-found-in" select="if ($thist-b-vers-found-1) then 'last used in the version of SNOMED CT-AU'        else if ($thist-b-vers-found-2) then 'used in the version of AMT v3'        else if ($thist-b-vers-found-3) then 'used in the version of AMT v2'        else '' " />
    <xsl:variable name="thist-b-last-msg" select="if ($tcode-b-pterm-date-est) then concat(' The preferred term was last changed in the version of SNOMED CT-AU published ',          iq:display-date($thist-b-vers-date),          ' so if the value of the translation code displayName was ever valid then it must be before then. ',          'That version was published ', $thist-b-last-diff, ' days before the version of SNOMED CT-AU published immediately prior to the date ''',         /cda:ClinicalDocument/cda:effectiveTime/@value, ''' that this ', $document-name,          ' was created. SNOMED CT-AU is published monthly and the Australian National Terminology Licence Agreement requires the copy used ',         'in healthcare software systems (live or production environments) to be updated within 30 days of the National Terminology release.')        else if (not($thist-b-last-old) or $t-b-term-found-in = '') then ''           else concat(' The value of the translation code displayName was ', $t-b-term-found-in,         ' published on the ', iq:display-date($thist-b-vers-date),         '. That version was published ', $thist-b-last-diff, ' days before the version of SNOMED CT-AU published immediately prior to the date the ',        $document-name, ' was created. SNOMED CT-AU is published monthly and the Australian National Terminology Licence Agreement requires ',        'the copy used in healthcare software systems (live or production environments) to be updated within 30 days of the National Terminology release.')" />
    <xsl:variable name="tr-b-date-required" select="if (not($tname-b-invalid)) then ''        else if ($snomed-trans-b/@codeSystemVersion and matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1))          then substring-after($snomed-trans-b/@codeSystemVersion, '/version/')        else if ($creation-date-est) then ''        else $creation-date " />
    <xsl:variable name="tr-b-date-diff" select="if ($tr-b-date-required = '' or         not(dh:IsFirstDateEarlierThanSecondDate(substring-after($ts-tsnomed-version-b, '/version/'), $tr-b-date-required) = '1')) then ()        else iq:display-date-diff(substring-after($ts-tsnomed-version-b, '/version/'), $tr-b-date-required)" />
    <xsl:variable name="tr-b-old-ts-version" select="exists($tr-b-date-diff) and number($tr-b-date-diff[2]) &gt; 31 " />
    <xsl:variable name="psnomed-version-msg" select="if (not($pname-to-test) or $psctau-ts-63-err) then ''        else if (not(@codeSystemVersion) and $psnomed-id = 'snomedctau' and $pvers-old)          then concat(' The terminology server did not have a version of SNOMED CT-AU published before the date the clinical document was created (',         /cda:ClinicalDocument/cda:effectiveTime/@value, ') so the ''',          $ts-psnomed-version, ''' version of the SNOMED CT-AU code system was used in the assessment.')        else if (not(@codeSystemVersion) and $psnomed-id = 'amtv3' and $pvers-old)          then concat(' The terminology server did not have a version of AMT v3 published before the date the clinical document was created (',         /cda:ClinicalDocument/cda:effectiveTime/@value, ') so the ''',          $v-psnomed-version, ''' version of the AMT v3 code system was used in the assessment.')        else if (not(@codeSystemVersion) and $psnomed-id = 'amtv3') then concat(' The data element did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the AMT v3 code system was used in the assessment.')        else if (not(@codeSystemVersion)) then concat(' The data element did not contain the codeSystemVersion attribute so the ''',          $ts-psnomed-version, ''' version of the SNOMED CT-AU code system was used in the assessment.')        else if ($psnomed-id = 'snomedctau' and not($pvers-old)) then          concat(' The ''', $ts-psnomed-version, ''' version of the code system was used to validate the SNOMED CT-AU code.')        else if ($psnomed-id = 'snomedctau' and $pvers-old) then          concat(' The codeSystemVersion attribute has the correct format for SNOMED CT-AU ''', @codeSystemVersion,          ''' but that version is not present in the Terminology Server.')        else if ($psnomed-id = 'amtv3') then         concat(' The codeSystemVersion attribute has the correct format for AMT v3 ''', @codeSystemVersion,          ''' but that version was not available to use in the assessment.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1) or matches(@codeSystemVersion, $snomed-version-regex-2)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system was not available to use in the assessment.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' .') " />
    <xsl:variable name="tsnomed-version-a-msg" select="if (not($tname-a-to-test) or $tsctau-ts-a-63-err) then ''        else if (not($snomed-trans-a/@codeSystemVersion) and $tsnomed-id-a = 'snomedctau' and $t-vers-a-old)          then concat(' The terminology server did not have a version of SNOMED CT-AU published before the date the clinical document was created (',         /cda:ClinicalDocument/cda:effectiveTime/@value, ') so the ''',          $ts-tsnomed-version-a, ''' version of the SNOMED CT-AU code system was used in the assessment.')        else if (not($snomed-trans-a/@codeSystemVersion) and $tsnomed-id-a = 'amtv3' and $t-vers-a-old)          then concat(' The Clinical Package Validator did not have a version of AMT v3 published before the date the clinical document was created (',         /cda:ClinicalDocument/cda:effectiveTime/@value, ') so the ''',          $v-tsnomed-version-a, ''' version of the AMT v3 code system was used in the assessment.')        else if (not($snomed-trans-a/@codeSystemVersion) and $tsnomed-id-a = 'amtv3')          then concat(' The data element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-a, ''' version of the AMT v3 code system was used in the assessment.')        else if (not($snomed-trans-a/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $ts-tsnomed-version-a, ''' version of the SNOMED CT-AU code system was used in the assessment.')         else if ($tsnomed-id-a = 'snomedctau' and not($t-vers-a-old)) then          concat(' The ''', $ts-tsnomed-version-a, ''' version of the code system was used to validate the SNOMED CT-AU code.')        else if ($tsnomed-id-a = 'snomedctau' and $t-vers-a-old) then          concat(' The codeSystemVersion attribute has the correct format for SNOMED CT-AU ''', $snomed-trans-a/@codeSystemVersion,          ''' but that version is not present in the Terminology Server.')        else if ($tsnomed-id-a = 'amtv3') then         concat(' The codeSystemVersion attribute has the correct format for AMT v3 ''', $snomed-trans-a/@codeSystemVersion,          ''' but that version was not available to use in the assessment.')        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1) or matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-2))         then concat(' The ''', $snomed-trans-a/@codeSystemVersion, ''' version of the code system was not available to use in the assessment.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-a/@codeSystemVersion, '''.') " />
    <xsl:variable name="tsnomed-version-b-msg" select="if (not($tname-b-to-test) or $ts-tsnomed-version-b = '' or $tsctau-ts-b-63-err) then ''        else if (not($snomed-trans-b/@codeSystemVersion) and $tsnomed-id-b = 'snomedctau' and $t-vers-b-old)          then concat(' The terminology server did not have a version of SNOMED CT-AU published before the date the clinical document was created (',         /cda:ClinicalDocument/cda:effectiveTime/@value, ') so the ''',          $ts-tsnomed-version-b, ''' version of the SNOMED CT-AU code system was used in the assessment.')        else if (not($snomed-trans-b/@codeSystemVersion) and $tsnomed-id-b = 'amtv3' and $t-vers-b-old)          then concat(' The Clinical Package Validator did not have a version of AMT v3 published before the date the clinical document was created (',         /cda:ClinicalDocument/cda:effectiveTime/@value, ') so the ''',          $v-tsnomed-version-b, ''' version of the AMT v3 code system was used in the assessment.')        else if (not($snomed-trans-b/@codeSystemVersion) and $tsnomed-id-b = 'amtv3')          then concat(' The data element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-b, ''' version of the AMT v3 code system was used in the assessment.')        else if (not($snomed-trans-b/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $ts-tsnomed-version-b, ''' version of the SNOMED CT-AU code system was used in the assessment.')         else if ($tsnomed-id-b = 'snomedctau' and not($t-vers-b-old)) then          concat(' The ''', $ts-tsnomed-version-b, ''' version of the code system was used to validate the SNOMED CT-AU code.')        else if ($tsnomed-id-b = 'snomedctau' and $t-vers-b-old) then          concat(' The codeSystemVersion attribute has the correct format for SNOMED CT-AU ''', $snomed-trans-b/@codeSystemVersion,          ''' but that version is not present in the Terminology Server.')        else if ($tsnomed-id-b = 'amtv3') then         concat(' The codeSystemVersion attribute has the correct format for AMT v3 ''', $snomed-trans-b/@codeSystemVersion,          ''' but that version was not available to use in the assessment.')        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1) or matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-2))         then concat(' The ''', $snomed-trans-b/@codeSystemVersion, ''' version of the code system was not available to use in the assessment.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-b/@codeSystemVersion, '''.') " />
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and ($pname-to-test or $tname-a-to-test or $tname-b-to-test) and not($use-ts-for-sctau) and    not($psctau-ts-63-err or $tsctau-ts-a-63-err or $tsctau-ts-b-63-err) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and ($pname-to-test or $tname-a-to-test or $tname-b-to-test) and not($use-ts-for-sctau) and not($psctau-ts-63-err or $tsctau-ts-a-63-err or $tsctau-ts-b-63-err)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Vaccine Administration Entry - Vaccine Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /><xsl:text /><xsl:value-of select="if ($tname-a-to-test) then concat(' and translation ', iq:display-CD($snomed-trans-a)) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($tname-b-to-test) then concat(' and translation ', iq:display-CD($snomed-trans-b)) else '' " /><xsl:text />
		A terminology server with SNOMED CT-AU codes was not available so it was not possible to verify that the AMT code contains the preferred term for the displayName.
		Confirm that the value of the displayName attribute meets the requirement that it be the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 3.5 of the Australian Immunisation Register Structured Content Specification v1.0.) 

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-6 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-6">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-GCD: An error was reported when accessing the terminology server. The analysis should be retried as the terminology server may have been temporarily unavailable.
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.
		<xsl:text /><xsl:value-of select="if ($p-term-actual-1 = 'Error') then concat(' The error occurred when calling the function FindPreferredTermUsingTS with code ''', $pcode,    ''', codeSystem ''2.16.840.1.113883.6.96'' and codeSystemVersion ''', $ts-psnomed-version, '''.')   else if ($t-a-term-actual-1 = 'Error') then concat(' The error occurred when calling the function FindPreferredTermUsingTS with code ''', $tcode-a,    ''', codeSystem ''2.16.840.1.113883.6.96'' and codeSystemVersion ''', $ts-tsnomed-version-a, '''.')   else if ($t-b-term-actual-1 = 'Error') then concat(' The error occurred when calling the function FindPreferredTermUsingTS with code ''', $tcode-b,    ''', codeSystem ''2.16.840.1.113883.6.96'' and codeSystemVersion ''', $ts-tsnomed-version-b, '''.')   else if ($phist-vers-5 = 'Error') then concat(' The error occurred when calling the function FindLatestVersionWhereDisplaynameMatchUsingTS with code ''', @code,    ''', codeSystem ''2.16.840.1.113883.6.96'', initialVersion ''', $phist-vers-4, ''', displayName ''', @displayName, ''' and enforceCase ''false()''.')   else if ($thist-a-vers-5 = 'Error') then concat(' The error occurred when calling the function FindLatestVersionWhereDisplaynameMatchUsingTS with code ''', $tcode-a,    ''', codeSystem ''2.16.840.1.113883.6.96'', initialVersion ''', $thist-a-vers-4, ''', displayName ''', $snomed-trans-a/@displayName, ''' and enforceCase ''false()''.')   else if ($thist-b-vers-5 = 'Error') then concat(' The error occurred when calling the function FindLatestVersionWhereDisplaynameMatchUsingTS with code ''', $tcode-b,    ''', codeSystem ''2.16.840.1.113883.6.96'', initialVersion ''', $thist-b-vers-4, ''', displayName ''', $snomed-trans-b/@displayName, ''' and enforceCase ''false()''.')    else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-pcode-pterm-date ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-pcode-pterm-date">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$pcode-pterm-date-1" /><xsl:text /> was returned when calling the function LatestDateForPreferredTerm with
		code '<xsl:text /><xsl:value-of select="$pcode" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-latest-snomedctau" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$phist-vers-6 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$phist-vers-6 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$phist-vers-6" /><xsl:text /> was returned when calling the function IsCodePreferredTermInTerminologyValid with
		code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96', codeSystemVersion '<xsl:text /><xsl:value-of select="$v-latest-amtv3" /><xsl:text />' and
		displayName '<xsl:text /><xsl:value-of select="@displayName" /><xsl:text />'. The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$phist-vers-7 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$phist-vers-7 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$phist-vers-7" /><xsl:text /> was returned when calling the function IsCodePreferredTermInTerminologyValid with
		code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />', codeSystem '1.2.36.1.2001.1004.100', codeSystemVersion '<xsl:text /><xsl:value-of select="$last-amtv2" /><xsl:text />' and
		displayName '<xsl:text /><xsl:value-of select="@displayName" /><xsl:text />'. The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $pname-to-test and (not($test-pname) or ($pname-invalid and $pvers-old)) and not($pcode-pterm-date-est or $psctau-ts-63-err)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pname-to-test and (not($test-pname) or ($pname-invalid and $pvers-old)) and not($pcode-pterm-date-est or $psctau-ts-63-err)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Vaccine Administration Entry - Vaccine Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		Confirm that the value of the displayName attribute is the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 3.5 of the Australian Immunisation Register Structured Content Specification v1.0.)<xsl:text /><xsl:value-of select="$psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $pname-to-test and $pname-invalid and (not($pvers-old) or $pcode-pterm-date-est) and    (not($phist-vers-found) or ($phist-vers-found and $phist-last-old)) and not($p-old-ts-version)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pname-to-test and $pname-invalid and (not($pvers-old) or $pcode-pterm-date-est) and (not($phist-vers-found) or ($phist-vers-found and $phist-last-old)) and not($p-old-ts-version)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Vaccine Administration Entry - Vaccine Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. The value of the displayName attribute does not meet the requirement that it be the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 3.5 of the Australian Immunisation Register Structured Content Specification v1.0.) <xsl:text /><xsl:value-of select="$phist-last-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($p-term-actual = '') then ''   else if ($ts-psnomed-version != '') then concat(' According to the ''', $ts-psnomed-version, ''' version of SNOMED CT-AU the correct value for the preferred term is ''',   dh:XQueryRecursiveReplace($p-term-actual, $markup-pattern-replacement, 'ic'), '''.')   else concat(' According to the ''', $v-psnomed-version, ''' version of AMT v3 the correct value for the preferred term is ''',   dh:XQueryRecursiveReplace($p-term-actual, $markup-pattern-replacement, 'ic'), '''.') " /><xsl:text />'

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $pname-to-test and $pname-invalid and (not($pvers-old) or $pcode-pterm-date-est) and    (not($phist-vers-found) or ($phist-vers-found and $phist-last-old)) and $p-old-ts-version">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pname-to-test and $pname-invalid and (not($pvers-old) or $pcode-pterm-date-est) and (not($phist-vers-found) or ($phist-vers-found and $phist-last-old)) and $p-old-ts-version">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Vaccine Administration Entry - Vaccine Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. The value of the displayName attribute may not meet the requirement that it be the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 3.5 of the Australian Immunisation Register Structured Content Specification v1.0.) According to the '<xsl:text /><xsl:value-of select="$ts-psnomed-version" /><xsl:text />' version of SNOMED CT-AU the correct value for the preferred term is
		'<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($p-term-actual, $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		However that version of SNOMED CT-AU in the Terminology Server was published on the <xsl:text /><xsl:value-of select="iq:display-date(substring-after($ts-psnomed-version, '/version/'))" /><xsl:text />
		which is <xsl:text /><xsl:value-of select="$p-date-diff" /><xsl:text /> before the <xsl:text /><xsl:value-of select="if (@codeSystemVersion and matches(@codeSystemVersion, $snomed-version-regex-1)) then   'value of the codeSystemVersion attribute' else concat('date the ', $document-name, ' was created')" /><xsl:text /> which is <xsl:text /><xsl:value-of select="iq:display-date($creation-date)" /><xsl:text />.
		Use a more recently published version of SNOMED CT-AU to confirm if the value of the displayName attribute is the preferred term for the code.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Vaccine Administration Entry - Vaccine Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> has 
		<xsl:text /><xsl:value-of select="if ($numbers/number[number(@value) = count($snomed-trans-2)])        then $numbers/number[number(@value) = count($snomed-trans-2)]/@name        else count($snomed-trans-2)" /><xsl:text /> translation elements with
		distinct codes and the SNOMED CT codeSystem '2.16.840.1.113883.6.96'. The first translation element has been assessed to determine if the value of the displayName is the preferred term and
		the others have not been assessed. Confirm if the value of the displayName attribute in all SNOMED CT translation elements meets the requirement that it be the preferred term, also known as
		the preferred synonym, for the code. (See the Conditions of Use in the definition of Vaccine Administration Entry - Vaccine Name in the Conditions of Use in section 3.5 of the Australian Immunisation Register Structured Content Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-tcode-a-pterm-date ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-tcode-a-pterm-date">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$tcode-a-pterm-date-1" /><xsl:text /> was returned when calling the function LatestDateForPreferredTerm with
		code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-latest-snomedctau" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$thist-a-vers-6 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$thist-a-vers-6 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$thist-a-vers-6" /><xsl:text /> was returned when calling the function IsCodePreferredTermInTerminologyValid with
		code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', '2.16.840.1.113883.6.96', codeSystemVersion '<xsl:text /><xsl:value-of select="$v-latest-amtv3" /><xsl:text />' and
		displayName '<xsl:text /><xsl:value-of select="$snomed-trans-a/@displayName" /><xsl:text />'. The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$thist-a-vers-7 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$thist-a-vers-7 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$thist-a-vers-7" /><xsl:text /> was returned when calling the function IsCodePreferredTermInTerminologyValid with
		code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', codeSystem '1.2.36.1.2001.1004.100', codeSystemVersion '<xsl:text /><xsl:value-of select="$last-amtv2" /><xsl:text />' and
		displayName '<xsl:text /><xsl:value-of select="$snomed-trans-a/@displayName" /><xsl:text />'. The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-tcode-b-pterm-date ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-tcode-b-pterm-date">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$tcode-b-pterm-date-1" /><xsl:text /> was returned when calling the function LatestDateForPreferredTerm with
		code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-latest-snomedctau" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$thist-b-vers-6 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$thist-b-vers-6 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$thist-b-vers-6" /><xsl:text /> was returned when calling the function IsCodePreferredTermInTerminologyValid with
		code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', '2.16.840.1.113883.6.96', codeSystemVersion '<xsl:text /><xsl:value-of select="$v-latest-amtv3" /><xsl:text />' and
		displayName '<xsl:text /><xsl:value-of select="$snomed-trans-b/@displayName" /><xsl:text />'. The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$thist-b-vers-7 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$thist-b-vers-7 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$thist-b-vers-7" /><xsl:text /> was returned when calling the function IsCodePreferredTermInTerminologyValid with
		code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', codeSystem '1.2.36.1.2001.1004.100', codeSystemVersion '<xsl:text /><xsl:value-of select="$last-amtv2" /><xsl:text />' and
		displayName '<xsl:text /><xsl:value-of select="$snomed-trans-b/@displayName" /><xsl:text />'. The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $tname-a-to-test and (not($test-tname-a) or ($tname-a-invalid and $t-vers-a-old)) and not($tcode-a-pterm-date-est or $tsctau-ts-a-63-err) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tname-a-to-test and (not($test-tname-a) or ($tname-a-invalid and $t-vers-a-old)) and not($tcode-a-pterm-date-est or $tsctau-ts-a-63-err)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Vaccine Administration Entry - Vaccine Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> has translation <xsl:text /><xsl:value-of select="iq:display-CD($snomed-trans-a)" /><xsl:text />.
		Confirm that the value of the translation code displayName attribute is the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 3.5 of the Australian Immunisation Register Structured Content Specification v1.0.)<xsl:text /><xsl:value-of select="$tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $tname-b-to-test and (not($test-tname-b) or ($tname-b-invalid and $t-vers-b-old)) and not($tcode-b-pterm-date-est or $tsctau-ts-b-63-err) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tname-b-to-test and (not($test-tname-b) or ($tname-b-invalid and $t-vers-b-old)) and not($tcode-b-pterm-date-est or $tsctau-ts-b-63-err)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Vaccine Administration Entry - Vaccine Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> has translation <xsl:text /><xsl:value-of select="iq:display-CD($snomed-trans-b)" /><xsl:text />.
		Confirm that the value of the translation code displayName attribute is the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 3.5 of the Australian Immunisation Register Structured Content Specification v1.0.)<xsl:text /><xsl:value-of select="$tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tcode-a = '') and $tname-a-invalid and (not($t-vers-a-old) or $tcode-a-pterm-date-est) and    (not($thist-a-vers-found) or ($thist-a-vers-found and $thist-a-last-old)) and not($tr-a-old-ts-version)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tcode-a = '') and $tname-a-invalid and (not($t-vers-a-old) or $tcode-a-pterm-date-est) and (not($thist-a-vers-found) or ($thist-a-vers-found and $thist-a-last-old)) and not($tr-a-old-ts-version)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Vaccine Administration Entry - Vaccine Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> has translation <xsl:text /><xsl:value-of select="iq:display-CD($snomed-trans-a)" /><xsl:text />.
		The value of the translation code displayName attribute does not meet the requirement that it be the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 3.5 of the Australian Immunisation Register Structured Content Specification v1.0.) <xsl:text /><xsl:value-of select="$thist-a-last-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($t-a-term-actual = '') then ''   else if ($ts-tsnomed-version-a != '') then concat(' According to the ''', $ts-tsnomed-version-a, ''' version of SNOMED CT-AU the correct value for the preferred term is ''',   dh:XQueryRecursiveReplace($t-a-term-actual, $markup-pattern-replacement, 'ic'), '''.')   else concat(' According to the ''', $v-tsnomed-version-a, ''' version of AMT v3 the correct value for the preferred term is ''',   dh:XQueryRecursiveReplace($t-a-term-actual, $markup-pattern-replacement, 'ic'), '''.') " /><xsl:text />'

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not($tcode-a = '') and $tname-a-invalid and (not($t-vers-a-old) or $tcode-a-pterm-date-est) and    (not($thist-a-vers-found) or ($thist-a-vers-found and $thist-a-last-old)) and $tr-a-old-ts-version">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not($tcode-a = '') and $tname-a-invalid and (not($t-vers-a-old) or $tcode-a-pterm-date-est) and (not($thist-a-vers-found) or ($thist-a-vers-found and $thist-a-last-old)) and $tr-a-old-ts-version">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Vaccine Administration Entry - Vaccine Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> has translation <xsl:text /><xsl:value-of select="iq:display-CD($snomed-trans-a)" /><xsl:text />.
		The value of the translation code displayName attribute may not meet the requirement that it be the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 3.5 of the Australian Immunisation Register Structured Content Specification v1.0.) According to the '<xsl:text /><xsl:value-of select="$ts-tsnomed-version-a" /><xsl:text />' version of SNOMED CT-AU the correct value for the preferred term is
		'<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($t-a-term-actual, $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		However that version of SNOMED CT-AU in the Terminology Server was published on the <xsl:text /><xsl:value-of select="iq:display-date(substring-after($ts-tsnomed-version-a, '/version/'))" /><xsl:text />
		which is <xsl:text /><xsl:value-of select="$tr-a-date-diff" /><xsl:text /> before the <xsl:text /><xsl:value-of select="if ($snomed-trans-a/@codeSystemVersion and matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1))    then 'value of the translation codeSystemVersion attribute' else concat('date the ', $document-name, ' was created')" /><xsl:text /> which is <xsl:text /><xsl:value-of select="iq:display-date($creation-date)" /><xsl:text />.
		Use a more recently published version of SNOMED CT-AU to confirm if the value of the displayName attribute is the preferred term for the translation code.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tcode-b = '') and $tname-b-invalid and (not($t-vers-b-old) or $tcode-b-pterm-date-est) and    (not($thist-b-vers-found) or ($thist-b-vers-found and $thist-b-last-old)) and not($tr-b-old-ts-version)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tcode-b = '') and $tname-b-invalid and (not($t-vers-b-old) or $tcode-b-pterm-date-est) and (not($thist-b-vers-found) or ($thist-b-vers-found and $thist-b-last-old)) and not($tr-b-old-ts-version)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Vaccine Administration Entry - Vaccine Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> has translation <xsl:text /><xsl:value-of select="iq:display-CD($snomed-trans-b)" /><xsl:text />.
		The value of the translation code displayName attribute does not meet the requirement that it be the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 3.5 of the Australian Immunisation Register Structured Content Specification v1.0.) <xsl:text /><xsl:value-of select="$thist-b-last-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($t-b-term-actual = '') then ''   else if ($ts-tsnomed-version-b != '') then concat(' According to the ''', $ts-tsnomed-version-b, ''' version of SNOMED CT-AU the correct value for the preferred term is ''',   dh:XQueryRecursiveReplace($t-b-term-actual, $markup-pattern-replacement, 'ic'), '''.')   else concat(' According to the ''', $v-tsnomed-version-b, ''' version of AMT v3 the correct value for the preferred term is ''',   dh:XQueryRecursiveReplace($t-b-term-actual, $markup-pattern-replacement, 'ic'), '''.') " /><xsl:text />'

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not($tcode-b = '') and $tname-b-invalid and (not($t-vers-b-old) or $tcode-b-pterm-date-est) and    (not($thist-b-vers-found) or ($thist-b-vers-found and $thist-b-last-old)) and $tr-b-old-ts-version">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not($tcode-b = '') and $tname-b-invalid and (not($t-vers-b-old) or $tcode-b-pterm-date-est) and (not($thist-b-vers-found) or ($thist-b-vers-found and $thist-b-last-old)) and $tr-b-old-ts-version">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Vaccine Administration Entry - Vaccine Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> has translation <xsl:text /><xsl:value-of select="iq:display-CD($snomed-trans-b)" /><xsl:text />.
		The value of the translation code displayName attribute may not meet the requirement that it be the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 3.5 of the Australian Immunisation Register Structured Content Specification v1.0.) According to the '<xsl:text /><xsl:value-of select="$ts-tsnomed-version-b" /><xsl:text />' version of SNOMED CT-AU the correct value for the preferred term is
		'<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($t-b-term-actual, $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		However that version of SNOMED CT-AU in the Terminology Server was published on the <xsl:text /><xsl:value-of select="iq:display-date(substring-after($ts-tsnomed-version-b, '/version/'))" /><xsl:text />
		which is <xsl:text /><xsl:value-of select="$tr-b-date-diff" /><xsl:text /> before the <xsl:text /><xsl:value-of select="if ($snomed-trans-b/@codeSystemVersion and matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1))    then 'value of the translation codeSystemVersion attribute' else concat('date the ', $document-name, ' was created')" /><xsl:text /> which is <xsl:text /><xsl:value-of select="iq:display-date($creation-date)" /><xsl:text />.
		Use a more recently published version of SNOMED CT-AU to confirm if the value of the displayName attribute is the preferred term for the translation code.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M125" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M125" />
  <xsl:template match="@*|node()" priority="-2" mode="M125">
    <xsl:apply-templates select="@*|*" mode="M125" />
  </xsl:template>
  <!--PATTERN p-TS-AIR-CodeableText-7-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.17039' = $doc-sections]/cda:component/cda:structuredBody/cda:component//         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.17039']]/cda:entry/         cda:substanceAdministration[not(cda:statusCode/@code) or lower-case(cda:statusCode/@code)='active']/         cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/         ext:asIngredient/ext:ingredientManufacturedMaterial/ext:code " priority="1000" mode="M126">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.17039' = $doc-sections]/cda:component/cda:structuredBody/cda:component//         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.17039']]/cda:entry/         cda:substanceAdministration[not(cda:statusCode/@code) or lower-case(cda:statusCode/@code)='active']/         cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/         ext:asIngredient/ext:ingredientManufacturedMaterial/ext:code " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Vaccine Administration Entry - Medicare Antigen Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and true() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and true() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Vaccine Administration Entry - Medicare Antigen Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Vaccine Administration Entry - Medicare Antigen Code',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Administration Entry - Medicare Antigen Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Administration Entry - Medicare Antigen Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'allowed' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'allowed' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Administration Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Vaccine Administration Entry - Medicare Antigen Code however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Vaccine Administration Entry - Medicare Antigen Code in the Australian Immunisation Register Structured Content Specification v1.0 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'allowed' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'allowed' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Administration Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Vaccine Administration Entry - Medicare Antigen Code however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Vaccine Administration Entry - Medicare Antigen Code in the Australian Immunisation Register Structured Content Specification v1.0 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Vaccine Administration Entry - Medicare Antigen Code data element must have a value that is consistent with this definition. Alternatively if there is no Vaccine Administration Entry - Medicare Antigen Code data element with a proper value then an exclusion
		statement must be included to state why there is no Vaccine Administration Entry - Medicare Antigen Code.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'allowed' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'allowed' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Administration Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Vaccine Administration Entry - Medicare Antigen Code however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Vaccine Administration Entry - Medicare Antigen Code in the Australian Immunisation Register Structured Content Specification v1.0 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'allowed' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'allowed' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Administration Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Vaccine Administration Entry - Medicare Antigen Code however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Vaccine Administration Entry - Medicare Antigen Code in the Australian Immunisation Register Structured Content Specification v1.0 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Vaccine Administration Entry - Medicare Antigen Code data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'allowed' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'allowed' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Administration Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Vaccine Administration Entry - Medicare Antigen Code however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Vaccine Administration Entry - Medicare Antigen Code in the Australian Immunisation Register Structured Content Specification v1.0 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Vaccine Administration Entry - Medicare Antigen Code data element must have a value that is consistent with this definition. Alternatively if there is no Vaccine Administration Entry - Medicare Antigen Code data element with a proper value then an exclusion
		statement must be included to state why there is no Vaccine Administration Entry - Medicare Antigen Code.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'allowed' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'allowed' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Administration Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Vaccine Administration Entry - Medicare Antigen Code however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Vaccine Administration Entry - Medicare Antigen Code in the Australian Immunisation Register Structured Content Specification v1.0 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Vaccine Administration Entry - Medicare Antigen Code data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Vaccine Administration Entry - Medicare Antigen Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Administration Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Administration Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Administration Entry - Medicare Antigen Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Administration Entry - Medicare Antigen Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Administration Entry - Medicare Antigen Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Administration Entry - Medicare Antigen Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Administration Entry - Medicare Antigen Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Administration Entry - Medicare Antigen Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Vaccine Administration Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Administration Entry - Medicare Antigen Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Vaccine Administration Entry - Medicare Antigen Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Vaccine Administration Entry - Medicare Antigen Code.
		(See the definition of Vaccine Administration Entry - Medicare Antigen Code in the Australian Immunisation Register Structured Content Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Vaccine Administration Entry - Medicare Antigen Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M126" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M126" />
  <xsl:template match="@*|node()" priority="-2" mode="M126">
    <xsl:apply-templates select="@*|*" mode="M126" />
  </xsl:template>
  <!--PATTERN p-TS-AIR-CodeableText-8-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.17039' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.17039']]/cda:entry/        cda:substanceAdministration[not(cda:statusCode/@code) or lower-case(cda:statusCode/@code)='active']/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/        ext:asIngredient/ext:ingredientManufacturedMaterial/ext:code[(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]        [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M127">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.17039' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.17039']]/cda:entry/        cda:substanceAdministration[not(cda:statusCode/@code) or lower-case(cda:statusCode/@code)='active']/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/        ext:asIngredient/ext:ingredientManufacturedMaterial/ext:code[(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]        [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Vaccine Administration Entry - Medicare Antigen Code '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Vaccine Administration Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Vaccine Administration Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Vaccine Administration Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Administration Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Vaccine Administration Entry - Medicare Antigen Code has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Vaccine Administration Entry - Medicare Antigen Code data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Administration Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Vaccine Administration Entry - Medicare Antigen Code data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Administration Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Vaccine Administration Entry - Medicare Antigen Code data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Administration Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Vaccine Administration Entry - Medicare Antigen Code data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Vaccine Administration Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Vaccine Administration Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Vaccine Administration Entry - Medicare Antigen Code data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Vaccine Administration Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Vaccine Administration Entry - Medicare Antigen Code data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Administration Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Administration Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Vaccine Administration Entry - Medicare Antigen Code data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Administration Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Vaccine Administration Entry - Medicare Antigen Code data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Administration Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Administration Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M127" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M127" />
  <xsl:template match="@*|node()" priority="-2" mode="M127">
    <xsl:apply-templates select="@*|*" mode="M127" />
  </xsl:template>
  <!--PATTERN p-TS-AIR-CodeableText-9-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.17039' = $doc-sections]/cda:component/cda:structuredBody/cda:component//         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.17039']]/cda:entry/         cda:substanceAdministration[lower-case(cda:statusCode/@code)='cancelled']/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code " priority="1000" mode="M128">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.17039' = $doc-sections]/cda:component/cda:structuredBody/cda:component//         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.17039']]/cda:entry/         cda:substanceAdministration[lower-case(cda:statusCode/@code)='cancelled']/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="family-err" select="cda:originalText and matches(cda:originalText, $family-regex, 'i')" />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; 200" />
    <xsl:variable name="nullFlavor-values" select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Vaccine Cancellation Entry - Vaccine Name',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		which is derived from the HL7 'CD' data type however  the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'allowed' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'allowed' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Vaccine Cancellation Entry - Vaccine Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText should not be included.
		(See the definition of Vaccine Cancellation Entry - Vaccine Name in the Australian Immunisation Register Structured Content Specification v1.0 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'allowed' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'allowed' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Vaccine Cancellation Entry - Vaccine Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Vaccine Cancellation Entry - Vaccine Name in the Australian Immunisation Register Structured Content Specification v1.0 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Vaccine Cancellation Entry - Vaccine Name data element must have a value that is consistent with this definition. Alternatively if there is no Vaccine Cancellation Entry - Vaccine Name data element with a proper value then an exclusion
		statement must be included to state why there is no Vaccine Cancellation Entry - Vaccine Name.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'allowed' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'allowed' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Vaccine Cancellation Entry - Vaccine Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText should not be included.
		(See the definition of Vaccine Cancellation Entry - Vaccine Name in the Australian Immunisation Register Structured Content Specification v1.0 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'allowed' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'allowed' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Vaccine Cancellation Entry - Vaccine Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Vaccine Cancellation Entry - Vaccine Name in the Australian Immunisation Register Structured Content Specification v1.0 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'allowed' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'allowed' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Vaccine Cancellation Entry - Vaccine Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Vaccine Cancellation Entry - Vaccine Name in the Australian Immunisation Register Structured Content Specification v1.0 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Vaccine Cancellation Entry - Vaccine Name data element must have a value that is consistent with this definition. Alternatively if there is no Vaccine Cancellation Entry - Vaccine Name data element with a proper value then an exclusion
		statement must be included to state why there is no Vaccine Cancellation Entry - Vaccine Name.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'allowed' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'allowed' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Vaccine Cancellation Entry - Vaccine Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Vaccine Cancellation Entry - Vaccine Name in the Australian Immunisation Register Structured Content Specification v1.0 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Vaccine Cancellation Entry - Vaccine Name data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value
		(if a nullFlavor attribute is permitted for this data element). (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present and is not expected
		for the CodeableText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present and is not expected
		for the CodeableText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(.) != 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. As a translation element cannot have an originalText
		then a displayName must be present. (See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value which is not correct to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value
		which is not a correct value to use in this case. The nullFlavor attribute indicates the Vaccine Cancellation Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a value of nullFlavor 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information provided.
		Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Vaccine Cancellation Entry - Vaccine Name.
		(See the definition of Vaccine Cancellation Entry - Vaccine Name in the Australian Immunisation Register Structured Content Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M128" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M128" />
  <xsl:template match="@*|node()" priority="-2" mode="M128">
    <xsl:apply-templates select="@*|*" mode="M128" />
  </xsl:template>
  <!--PATTERN p-TS-AIR-CodeableText-10-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '101.17039' = $doc-sections]/cda:component/cda:structuredBody/cda:component//         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.17039']]/cda:entry/         cda:substanceAdministration[lower-case(cda:statusCode/@code)='cancelled']/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code         [@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " priority="1000" mode="M129">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '101.17039' = $doc-sections]/cda:component/cda:structuredBody/cda:component//         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.17039']]/cda:entry/         cda:substanceAdministration[lower-case(cda:statusCode/@code)='cancelled']/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code         [@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="pnullFlavor" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @nullFlavor) then @nullFlavor else '' " />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-p-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then false()        else if ($psnomed-id = 'amtv3' and @codeSystemVersion) then exists($v-amtv3[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($psnomed-id = 'snomedctau' and @codeSystemVersion) then exists($v-snomedctau[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false() " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and $pcode != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used to assess the primary code.') " />
    <xsl:variable name="pcode-refsets-1" select="if (@codeSystem = '2.16.840.1.113883.6.96' and not($pcode = ''))         then dh:FindValueDomainsForCode($pcode, '2.16.840.1.113883.6.96', $v-psnomed-version) else 'no-code' " />
    <xsl:variable name="pcode-found" select="not($pcode-refsets-1 = 'no-code' or $pcode-refsets-1 = 'CodeNotFound' or $pcode-refsets-1 = 'Error'        or contains($pcode-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="pcode-refsets" select="if ($pcode-found) then distinct-values(tokenize($pcode-refsets-1, '\|')) else () " />
    <xsl:variable name="pcode-special-proc" select="count($pcode-refsets) = 1 and 'Procedure Foundation (PF)' = $pcode-refsets and not($pnullFlavor = 'OTH') " />
    <xsl:variable name="pcode-refsets-msg" select="if (count($pcode-refsets) = 0) then ''         else if (count($pcode-refsets) = 1) then concat('The code is a member of the ', $pcode-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($pcode-refsets, ', '), '.') " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))         else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-1" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="snomed-trans-2" select="distinct-values(for $i in (1 to count($snomed-trans-1)) return $snomed-trans-1[$i]/@code) " />
    <xsl:variable name="snomed-trans-a" select="$snomed-trans-1[1] " />
    <xsl:variable name="tcode-a" select="if (exists($snomed-trans-a) and matches($snomed-trans-a/@code, $snomed-code-regex)) then $snomed-trans-a/@code else '' " />
    <xsl:variable name="tnullFlavor-a" select="if (exists($snomed-trans-a) and $snomed-trans-a/@nullFlavor) then $snomed-trans-a/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-a" select="if (not(exists($snomed-trans-a))) then 'not-snomed'        else if (not($snomed-trans-a/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-a/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-a" select="if (not(exists($snomed-trans-a))) then ''        else if ($tsnomed-id-a = 'amtv3' and exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-a = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-a/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-a" select="if (not(exists($snomed-trans-a))) then false()        else if ($tsnomed-id-a = 'amtv3' and $snomed-trans-a/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-a = 'snomedctau' and $snomed-trans-a/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-a-msg" select="if (not(exists($snomed-trans-a))) then ''        else if (not($snomed-trans-a/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-a, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-a = 'amtv3') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-a = 'snomedctau') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-a/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-a, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-a/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-a-refsets-1" select="if (exists($snomed-trans-a) and not($tcode-a = ''))         then dh:FindValueDomainsForCode($tcode-a, '2.16.840.1.113883.6.96', $v-tsnomed-version-a) else 'no-code' " />
    <xsl:variable name="tcode-a-found" select="not($tcode-a-refsets-1 = 'no-code' or $tcode-a-refsets-1 = 'CodeNotFound' or $tcode-a-refsets-1 = 'Error'         or contains($tcode-a-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-a-refsets" select="if ($tcode-a-found) then distinct-values(tokenize($tcode-a-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-a-special-proc" select="count($tcode-a-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-a-refsets and not($tnullFlavor-a = 'OTH') " />
    <xsl:variable name="tcode-a-refsets-msg" select="if (count($tcode-a-refsets) = 0) then ''         else if (count($tcode-a-refsets) = 1) then concat('The code is a member of the ', $tcode-a-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-a-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@code and $snomed-trans-a/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-a/@displayName, codepoints-to-string(34))         else if ($snomed-trans-a/@code and not($snomed-trans-a/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@codeSystem and $snomed-trans-a/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-a/@codeSystemName, ')')         else if ($snomed-trans-a/@codeSystem and not($snomed-trans-a/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-b" select="(for $i in (2 to count($snomed-trans-1)) return if ($snomed-trans-1[$i]/@code != $snomed-trans-a/@code) then $snomed-trans-1[$i] else ())[1] " />
    <xsl:variable name="tcode-b" select="if (exists($snomed-trans-b) and matches($snomed-trans-b/@code, $snomed-code-regex)) then $snomed-trans-b/@code else '' " />
    <xsl:variable name="tnullFlavor-b" select="if (exists($snomed-trans-b) and $snomed-trans-b/@nullFlavor) then $snomed-trans-b/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-b" select="if (not(exists($snomed-trans-b))) then 'not-snomed'        else if (not($snomed-trans-b/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-b/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-b" select="if (not(exists($snomed-trans-b))) then ''        else if ($tsnomed-id-b = 'amtv3' and exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-b = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-b/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-b" select="if (not(exists($snomed-trans-b))) then false()        else if ($tsnomed-id-b = 'amtv3' and $snomed-trans-b/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-b = 'snomedctau' and $snomed-trans-b/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-b-msg" select="if (not(exists($snomed-trans-b))) then ''        else if (not($snomed-trans-b/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-b, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-b = 'amtv3') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-b = 'snomedctau') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-b/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-b, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-b/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-b-refsets-1" select="if (exists($snomed-trans-b) and not($tcode-b = ''))         then dh:FindValueDomainsForCode($tcode-b, '2.16.840.1.113883.6.96', $v-tsnomed-version-b) else 'no-code' " />
    <xsl:variable name="tcode-b-found" select="not($tcode-b-refsets-1 = 'no-code' or $tcode-b-refsets-1 = 'CodeNotFound' or $tcode-b-refsets-1 = 'Error'         or contains($tcode-b-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-b-refsets" select="if ($tcode-b-found) then distinct-values(tokenize($tcode-b-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-b-special-proc" select="count($tcode-b-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-b-refsets and not($tnullFlavor-b = 'OTH') " />
    <xsl:variable name="tcode-b-refsets-msg" select="if (count($tcode-b-refsets) = 0) then ''         else if (count($tcode-b-refsets) = 1) then concat('The code is a member of the ', $tcode-b-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-b-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@code and $snomed-trans-b/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-b/@displayName, codepoints-to-string(34))         else if ($snomed-trans-b/@code and not($snomed-trans-b/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@codeSystem and $snomed-trans-b/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-b/@codeSystemName, ')')         else if ($snomed-trans-b/@codeSystem and not($snomed-trans-b/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-60" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-60 else $rating-alt-TC-Types-60 " />
    <!--REPORT -->
    <xsl:if test=" $pcode-found and $pcode-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pcode-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD (p-TS-CD-SCT-RefSet): An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$pcode" /><xsl:text />',
		codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-psnomed-version" /><xsl:text />'. This error occurred when assessing the Vaccine Cancellation Entry - Vaccine Name data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. The value is not valid for the data element as it describes a medical
		procedure and not a medical problem or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered for, administered to or used by the consumer. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.          (See section 4.5 of the Australian Immunisation Register Structured Content Specification v1.0.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the code is not a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102),         Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the         Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Vaccine Cancellation (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102),         Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the         Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Vaccine Cancellation (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102),         Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the         Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Vaccine Cancellation (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. Confirm if the code is a member of the value domain.
		If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102),         Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the         Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Vaccine Cancellation (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="count($snomed-trans-1)" /><xsl:text /> translation elements with
		codes and the SNOMED CT-AU codeSystem '2.16.840.1.113883.6.96'. The first two translation elements have been assessed to determine if the codes are members of the value domain
		and the others have not been assessed. Confirm if the value of the code attribute in all SNOMED CT translation elements meets the requirement that it be a member of the value domain
		if there is no nullFlavor 'OTH' or that there is a nullFlavor 'OTH' if the value of the code attribute is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102),         Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the         Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text /> 
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Vaccine Cancellation (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-a" /><xsl:text />'. This error occurred when assessing the Vaccine Cancellation Entry - Vaccine Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered for, administered to or used by the consumer. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.          (See section 4.5 of the Australian Immunisation Register Structured Content Specification v1.0.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102),         Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the         Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Vaccine Cancellation (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102),         Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the         Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Vaccine Cancellation (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102),         Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the         Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Vaccine Cancellation (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102),         Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the         Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Vaccine Cancellation (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-b" /><xsl:text />'. This error occurred when assessing the Vaccine Cancellation Entry - Vaccine Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> 
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered for, administered to or used by the consumer. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.          (See section 4.5 of the Australian Immunisation Register Structured Content Specification v1.0.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102),         Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the         Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Vaccine Cancellation (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102),         Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the         Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Vaccine Cancellation (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102),         Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the         Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Vaccine Cancellation (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102),         Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use(Concept Id: 929360031000036100) and the         Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Vaccine Cancellation (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M129" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M129" />
  <xsl:template match="@*|node()" priority="-2" mode="M129">
    <xsl:apply-templates select="@*|*" mode="M129" />
  </xsl:template>
  <!--PATTERN p-TS-AIR-CodeableText-11-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '101.17039' = $doc-sections]/cda:component/cda:structuredBody/cda:component//         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.17039']]/cda:entry/         cda:substanceAdministration[lower-case(cda:statusCode/@code)='cancelled']/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code         [(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-immun-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])]   [not(@nullFlavor = $no-value-NF)] " priority="1000" mode="M130">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '101.17039' = $doc-sections]/cda:component/cda:structuredBody/cda:component//         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.17039']]/cda:entry/         cda:substanceAdministration[lower-case(cda:statusCode/@code)='cancelled']/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code         [(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-immun-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])]   [not(@nullFlavor = $no-value-NF)] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="snomed-trans" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="tcode" select="if (exists($snomed-trans[1]) and matches($snomed-trans[1]/@code, $snomed-code-regex)) then $snomed-trans[1]/@code else '' " />
    <xsl:variable name="code-present" select="$pcode != '' or $tcode != '' " />
    <xsl:variable name="invalid-code-system" select="@code and @displayName and @codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="codesystemvalues" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']" />
    <xsl:variable name="otext-without-markup" select="if (cda:originalText and cda:originalText != '') then normalize-space(replace(cda:originalText, $markup-regex, ' ')) else '' " />
    <xsl:variable name="pdname" select="if (@displayName and not($invalid-code-system)) then normalize-space(@displayName) else '' " />
    <xsl:variable name="is-immun" select="exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='101.16638' or @code = '101.16658' or @code = '101.17039')]]) " />
    <xsl:variable name="is-pd" select="exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code = '102.16210' or @code='102.16211' or @code='101.16795')]]) " />
    <xsl:variable name="is-shs-meds" select="$templateId-root = '1.2.36.1.2001.1001.101.100.1002.120' and          exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]) " />
    <xsl:variable name="is-meds" select="exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code = '101.16146.4.1.1' or @code = '101.16146.4.1.2' or @code='101.16146')]]) " />
    <xsl:variable name="max-code-number" select="if ($knowledge/search-for-term/max-sct-code-number/@value &gt; '5') then $knowledge/search-for-term/max-sct-code-number/@value else '5' " />
    <xsl:variable name="der-text-1" select="if ($code-present) then ''         else if ($otext-without-markup != '') then $otext-without-markup        else if ($pdname != '') then $pdname        else '' " />
    <xsl:variable name="family-err" select="matches($der-text-1, $family-regex, 'is')" />
    <xsl:variable name="der-truncated-text-1" select="normalize-space(replace(replace($der-text-1, $unicode-br-truncation-regex, '$1', 'is'), $tgi-truncation-regex, '$1', 'is')) " />
    <xsl:variable name="length-err" select="string-length($der-truncated-text-1) &gt; $length-err-max" />
    <xsl:variable name="prose-err-1" select="$length-err and cda:originalText and (        matches(cda:originalText, $ulist-regex)           or         matches(cda:originalText, $alt-ulist-1a-regex, 'is')         or         matches(cda:originalText, $alt-ulist-1b-regex, 'is')         )" />
    <xsl:variable name="prose-err" select="$prose-err-1 or (cda:originalText and (         matches(cda:originalText, $alt-ulist-2-regex, 'is')         or        matches(cda:originalText, $olist-arabic-regex, 'is')         or         matches(cda:originalText, $olist-alpha-regex, 'is')         or         matches(cda:originalText, $olist-roman-regex, 'is')         or        matches(replace(cda:originalText, $new-line-regex, codepoints-to-string((10)), 'is'), $para-regex, 'is') or        matches(cda:originalText, codepoints-to-string((8233)), 'is')        or               (cda:originalText and matches(cda:originalText, $invalid-concept-regex, 'is'))     or        ($length-err and matches(cda:originalText, '\.\s*$', 's') and matches(cda:originalText, $multi-sentence-regex, 's')) ))" />
    <xsl:variable name="avoid-ts" select="$family-err or $length-err or $prose-err or not($use-ts-for-sctau) " />
    <xsl:variable name="der-text-2a" select="if ($der-truncated-text-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-truncated-text-1, $tgi-fir-pattern-replacement, 'ic')) " />
    <xsl:variable name="der-text-2" select="if ($der-text-2a = '') then $der-text-1 else $der-text-2a " />
    <xsl:variable name="der-text-a" select="if ($der-text-2 = '' or $tgi-regex = '') then $der-text-2 else normalize-space(dh:XQueryRecursiveReplace($der-text-2, $tgi-regex, 'ic')) " />
    <xsl:variable name="der-text" select="if ($der-text-a = '') then $der-text-2 else $der-text-a " />
    <xsl:variable name="defn-valid-regex" select="concat('(^|\|)', translate($der-text-2, $chars-to-remove, ''), '(\||$)') " />
    <xsl:variable name="der-text-to-match-1" select="lower-case($der-text-2) " />
    <xsl:variable name="der-text-to-match" select="translate($der-text-to-match-1, $chars-to-remove, '') " />
    <xsl:variable name="tgi-non-value-regex" select="if ($is-immun)          then $cd-definitions/immun/@non-value-regex         else if ($is-pd)       then $cd-definitions/pd/@non-value-regex        else if ($is-shs-meds) then $cd-definitions/shs-meds/@non-value-regex        else if ($is-meds)     then $cd-definitions/meds/@non-value-regex        else '' " />
    <xsl:variable name="der-text-non-value" select="if ($code-present or @nullFlavor = $no-value-NF) then false() else         $der-text-to-match = ''             or         not(matches($der-text-to-match-1, '[a-z]', 'is'))         or        ($cd-definitions/non-value/@regex != '' and matches($der-text-to-match-1, $cd-definitions/non-value/@regex, 'is')) or        ($tgi-non-value-regex != '' and matches($der-text-to-match-1, $tgi-non-value-regex, 'is'))    " />
    <xsl:variable name="tgi-invalid-regex" select="if ($is-immun)          then $cd-definitions/immun/@invalid-regex         else if ($is-pd)       then $cd-definitions/pd/@invalid-regex        else if ($is-shs-meds) then $cd-definitions/shs-meds/@invalid-regex        else if ($is-meds)     then $cd-definitions/meds/@invalid-regex        else '' " />
    <xsl:variable name="defn-invalid-regex" select="if ($code-present or $der-text-non-value) then ()        else if ($tgi-invalid-regex != '') then tokenize($tgi-invalid-regex, '~')[. != '']         else () " />
    <xsl:variable name="defn-invalid-txt-regex" select="(for $i in (1 to count($defn-invalid-regex)) return normalize-space(substring-before($defn-invalid-regex[$i], '[[')))[. != '']" />
    <xsl:variable name="der-invalid-text-regex-1" select="if (exists($defn-invalid-txt-regex))        then index-of(for $i in (1 to count($defn-invalid-txt-regex)) return matches($der-text-2, $defn-invalid-txt-regex[$i], 'is'), true())        else () " />
    <xsl:variable name="der-invalid-text" select="exists($der-invalid-text-regex-1) " />
    <xsl:variable name="defn-invalid-rsn" select="if ($der-invalid-text)         then normalize-space(substring-before(substring-after($defn-invalid-regex[$der-invalid-text-regex-1[1]], '[['), ']]'))         else '' " />
    <xsl:variable name="trusted-code-systems" select="if ($der-text = '' or $der-invalid-text or not(@codeSystem or cda:translation/@codeSystem)) then ()        else if ($is-immun)          then (tokenize(replace($cd-definitions/immun/@core, '\s+', ''), '\|'),           tokenize(replace($cd-definitions/immun/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-pd)          then (tokenize(replace($cd-definitions/pd/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/pd/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-shs-meds)          then (tokenize(replace($cd-definitions/shs-meds/@core, '\s+', ''), '\|'),          tokenize(replace($cd-definitions/shs-meds/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-meds)          then (tokenize(replace($cd-definitions/meds/@core, '\s+', ''), '\|'),           tokenize(replace($cd-definitions/meds/@extra, '\s+', ''), '\|'))[. != '']         else () " />
    <xsl:variable name="der-trusted-text" select="if ($der-text = '' or $der-invalid-text or (@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex)))) then false()        else ((@codeSystem and exists($trusted-code-systems[. = current()/@codeSystem])) or               (cda:translation/@codeSystem and exists($trusted-code-systems[. = current()/cda:translation/@codeSystem]))) " />
    <xsl:variable name="a-vaccine-1" select="not($code-present or $der-text-non-value or $der-invalid-text) and exists($vaccine-text-normalised) and $der-text-to-match = $vaccine-text-normalised" />
    <xsl:variable name="a-sas-tgi-1" select="not($code-present or $der-text-non-value or $der-invalid-text or $a-vaccine-1) and $tgi-sas-regex != '' and matches($der-text, $tgi-sas-regex, 'is')" />
    <xsl:variable name="an-uncoded-tgi-1" select="not($code-present or $der-text-non-value or $der-invalid-text or $a-vaccine-1 or $a-sas-tgi-1) and $tgi-otheru-regex != '' and         matches($der-text, $tgi-otheru-regex, 'is')" />
    <xsl:variable name="obsolete-tgi-info-1" select="if ($is-immun or $code-present or $der-text-non-value or $der-invalid-text or $a-vaccine-1 or $a-sas-tgi-1 or $an-uncoded-tgi-1 or         not(exists($knowledge/special-tgi/obsolete))) then ()        else $knowledge/special-tgi/obsolete[matches($der-text, concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')] " />
    <xsl:variable name="an-obsolete-tgi-1" select="exists($obsolete-tgi-info-1)" />
    <xsl:variable name="tgi-valid-regex-1" select="if ($code-present or $der-text-non-value or $der-invalid-text or $der-text = '' or $a-vaccine-1 or $a-sas-tgi-1 or $an-uncoded-tgi-1 or          $an-obsolete-tgi-1) then ''        else if ($is-immun)    then $cd-definitions/immun/@valid-regex        else if ($is-pd)       then $cd-definitions/pd/@valid-regex        else if ($is-shs-meds) then $cd-definitions/shs-meds/@valid-regex        else if ($is-meds)     then $cd-definitions/meds/@valid-regex        else '' " />
    <xsl:variable name="valid-tgi-1" select="if ($a-vaccine-1 or $a-sas-tgi-1 or $an-uncoded-tgi-1 or $an-obsolete-tgi-1) then true()         else if ($tgi-valid-regex-1 = '') then false()        else exists(index-of(for $regex in (tokenize($tgi-valid-regex-1, '~')[. != '']) return          matches($der-text-2, dh:XQueryRecursiveReplace(normalize-space($regex), ' \|~|~\| ~|', ''), 'is'), true())) " />
    <xsl:variable name="invalid-hierarchy-1" select="if (exists($cd-definitions/meds/meds-invalid/hierarchy))         then string-join(for $hierarchy in $cd-definitions/meds/meds-invalid/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-refset" select="if (exists($cd-definitions/meds/meds-invalid/refset))          then string-join(for $refset in $cd-definitions/meds/meds-invalid/refset return concat('^', $refset/@code), ' OR ')         else '' " />
    <xsl:variable name="valid-refset" select="concat($tgi-formula, ' OR &lt;763158003') " />
    <xsl:variable name="valid-domain" select="if ($invalid-refset != '' and $invalid-hierarchy-1 != '')         then concat('((', $valid-refset, ') MINUS (', $invalid-refset, ' OR (', $invalid-hierarchy-1, ')))')        else if ($invalid-refset = '' and $invalid-hierarchy-1 != '') then concat('((', $valid-refset, ') MINUS (', $invalid-hierarchy-1, '))')         else if ($invalid-refset != '' and $invalid-hierarchy-1 = '') then concat('((', $valid-refset, ') MINUS (', $invalid-refset, '))')        else concat('(', $valid-refset, ')') " />
    <xsl:variable name="related-terms-1" select="if ($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-1) then ()        else ($codesystemvalues/code[@related-terms], $codesystemvalues/related-terms[@related-terms]) " />
    <xsl:variable name="related-terms-2" select="for $i in index-of(        for $concept in $related-terms-1 return matches(translate($concept/@related-terms, $chars-no-pipe, ''), $defn-valid-regex, 'is'), true())         return $related-terms-1[$i]/@code " />
    <xsl:variable name="der-tgi-codes-1" select="if (exists($related-terms-2)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($related-terms-2, ' OR '), ') AND ', $valid-domain), '', string(count($related-terms-2)), false())        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $der-tgi-codes-1 " />
    <xsl:variable name="der-valid-codes-1" select="if (contains($der-tgi-codes-1, '[')) then $der-tgi-codes-1 else '' " />
    <xsl:variable name="valid-tgi-2" select="$valid-tgi-1 or $der-valid-codes-1 != '' " />
    <xsl:variable name="tgi-inactive-refSets" select="if (exists($cd-definitions/tgi/tgi-invalid/inactive-refset))         then concat('((', $inactive-refSets, ') MINUS (',           string-join(for $refset in $cd-definitions/tgi/tgi-invalid/inactive-refset return concat('^', $refset/@code), ' OR '),          '))')         else $inactive-refSets " />
    <xsl:variable name="formula" select="concat($valid-domain, ' OR ', $tgi-inactive-refSets) " />
    <xsl:variable name="ts-not-needed" select="$der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-2 or $avoid-ts " />
    <xsl:variable name="der-tgi-codes-2-a" select="if ($ts-not-needed or exists($related-terms-2)) then ()         else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-text,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2-a" select="$error-usingTS-1 or 'Error' = $der-tgi-codes-2-a " />
    <xsl:variable name="revision-pattern-1" select="if ($ts-not-needed or $valid-tgi-2 or exists($der-tgi-codes-2-a) or $error-usingTS-2-a or exists($related-terms-2)) then ''        else $tgi-sec-pattern-replacement " />
    <xsl:variable name="der-revised-text-1" select="if ($revision-pattern-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-text, $revision-pattern-1, 'ic')) " />
    <xsl:variable name="use-revised-text-1" select="$der-revised-text-1 != '' and $der-revised-text-1 != $der-text " />
    <xsl:variable name="obsolete-tgi-info-2" select="if (exists($der-tgi-codes-2-a)) then ()        else if ($an-obsolete-tgi-1) then $obsolete-tgi-info-1        else if ($use-revised-text-1) then $knowledge/special-tgi/obsolete[matches($der-revised-text-1, concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')]        else () " />
    <xsl:variable name="an-obsolete-tgi-2" select="exists($obsolete-tgi-info-2)" />
    <xsl:variable name="der-tgi-codes-2-b" select="if ($an-obsolete-tgi-2) then ()        else if ($ts-not-needed or exists($der-tgi-codes-2-a) or not($use-revised-text-1)) then $der-tgi-codes-2-a         else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-1,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2-b" select="$error-usingTS-2-a or 'Error' = $der-tgi-codes-2-b " />
    <xsl:variable name="revision-pattern-2" select="if ($ts-not-needed or $valid-tgi-2 or exists($der-tgi-codes-2-b) or $error-usingTS-2-b or exists($related-terms-2)) then ''        else $tgi-thi-pattern-replacement " />
    <xsl:variable name="der-revised-text-2" select="if ($revision-pattern-2 = '') then '' else normalize-space(dh:XQueryRecursiveReplace(         if ($use-revised-text-1) then $der-revised-text-1 else $der-text, $revision-pattern-2, 'ic')) " />
    <xsl:variable name="use-revised-text-2" select="if ($use-revised-text-1) then $der-revised-text-2 != '' and $der-revised-text-2 != $der-revised-text-1         else $der-revised-text-2 != '' and $der-revised-text-2 != $der-text " />
    <xsl:variable name="obsolete-tgi-info-3" select="if (exists($der-tgi-codes-2-b)) then ()        else if ($an-obsolete-tgi-2) then $obsolete-tgi-info-2        else if ($use-revised-text-2) then $knowledge/special-tgi/obsolete[matches($der-revised-text-2, concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')]        else () " />
    <xsl:variable name="an-obsolete-tgi-3" select="exists($obsolete-tgi-info-3)" />
    <xsl:variable name="der-tgi-codes-2-c" select="if ($an-obsolete-tgi-3) then ()        else if ($ts-not-needed or exists($der-tgi-codes-2-b) or not($use-revised-text-2)) then $der-tgi-codes-2-b        else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-2,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2-c" select="$error-usingTS-2-b or 'Error' = $der-tgi-codes-2-c " />
    <xsl:variable name="der-tgi-codes-2-d" select="if ($an-obsolete-tgi-3 or $ts-not-needed or exists($der-tgi-codes-2-c)) then $der-tgi-codes-2-c        else iq:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula,          if ($der-revised-text-2 != '') then $der-revised-text-2          else if ($der-revised-text-1 != '') then $der-revised-text-1          else $der-text, 'default') " />
    <xsl:variable name="error-usingTS-2-d" select="$error-usingTS-2-c or 'Error' = $der-tgi-codes-2-d " />
    <xsl:variable name="der-tgi-codes-2" select="$der-tgi-codes-2-d " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-2-d " />
    <xsl:variable name="der-valid-codes-2" select="if ($der-valid-codes-1 != '') then $der-valid-codes-1        else if ($error-usingTS-2) then ''         else string-join((for $code in $der-tgi-codes-2 return if (contains($code, '~inactive')) then '' else $code)[. != ''], '|')  " />
    <xsl:variable name="valid-tgi-3" select="$valid-tgi-2 or $der-valid-codes-2 != '' " />
    <xsl:variable name="der-inactive-codes-1" select="if ($valid-tgi-3) then () else        for $code in $der-tgi-codes-2 return if (contains($code, '~inactive')) then replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is') else '' " />
    <xsl:variable name="der-inactive-codes-2" select="for $i in (1 to count($der-inactive-codes-1)) return         dh:IsCodeAssociatedWithAnotherCode($der-inactive-codes-1[$i], '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-1" select="'Error' = $der-inactive-codes-2 " />
    <xsl:variable name="der-NAF-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-NAF-active-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound~active')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-inactive-codes-3" select="tokenize(string-join(for $i in (1 to count($der-inactive-codes-1)) return replace(string-join(tokenize($der-inactive-codes-2[$i], '\|')        [matches(., '(REPLACED BY|SAME AS|ALTERNATIVE|POSSIBLY EQUIVALENT TO|MAY BE A|WAS A)')], '|'), '[0-9]+~[A-Z ]+~([0-9]+)', '$1'), '|'), '\|')        [. != ''] " />
    <xsl:variable name="der-tgi-codes-3" select="if (exists($der-inactive-codes-3)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($der-inactive-codes-3, ' OR '), ') AND ', $valid-domain), '', string(count($der-inactive-codes-3)), false())          else '' " />
    <xsl:variable name="error-usingTS-3" select="$error-usingTS-2 or 'Error' = $der-tgi-codes-3 " />
    <xsl:variable name="der-valid-codes-3" select="if ($der-valid-codes-2 != '') then $der-valid-codes-2        else if (contains($der-tgi-codes-3, '[')) then $der-tgi-codes-3        else '' " />
    <xsl:variable name="valid-tgi-4" select="$valid-tgi-3 or $der-valid-codes-3 != '' " />
    <xsl:variable name="tbd-hierarchy" select="if (exists($cd-definitions/meds/meds-tbd/hierarchy))         then string-join(for $hierarchy in $cd-definitions/meds/meds-tbd/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-hierarchy" select="if ($invalid-hierarchy-1 != '' and $tbd-hierarchy != '') then concat($invalid-hierarchy-1, ' OR ', $tbd-hierarchy)        else if ($invalid-hierarchy-1 != '') then $invalid-hierarchy-1        else if ($tbd-hierarchy != '') then $tbd-hierarchy        else '' " />
    <xsl:variable name="invalid-domain" select="if ($invalid-hierarchy != '' and $invalid-refset != '') then concat($invalid-hierarchy, ' OR ', $invalid-refset)        else if ($invalid-hierarchy != '') then $invalid-hierarchy        else if ($invalid-refset != '') then $invalid-refset        else '' " />
    <xsl:variable name="filter-text" select="if ($use-revised-text-2) then $der-revised-text-2 else if ($use-revised-text-1) then $der-revised-text-1 else $der-text " />
    <xsl:variable name="der-tgi-codes-4" select="if ($ts-not-needed or $valid-tgi-4 or $invalid-domain = '') then ()        else if (exists($related-terms-2)) then $related-terms-2        else distinct-values((tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          $invalid-domain, $filter-text, $max-code-number, false()), '(\[.*?\])(\||$)', '$2'), '\|'), $der-inactive-codes-3)) " />
    <xsl:variable name="error-usingTS-4" select="$error-usingTS-3 or 'Error' = $der-tgi-codes-4 " />
    <xsl:variable name="invalid-tgi-codes-r" select="if ($ts-not-needed or $valid-tgi-4 or $error-usingTS-4 or not(exists($der-tgi-codes-4))) then ()        else if ($invalid-refset = '') then tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-tgi-codes-4, ' OR '), ') AND (', $inactive-refSets, ')'), '',           string(count($der-tgi-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')        else tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-tgi-codes-4, ' OR '), ') AND (', $invalid-refset, ' OR ', $inactive-refSets, ')'), '',           string(count($der-tgi-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')  " />
    <xsl:variable name="error-usingTS-5" select="$error-usingTS-4 or 'Error' = $invalid-tgi-codes-r " />
    <xsl:variable name="der-tgi-codes-4-h" select="if ($error-usingTS-5) then () else $der-tgi-codes-4[not(. = $invalid-tgi-codes-r)]" />
    <xsl:variable name="invalid-tgi-codes-h" select="if ($ts-not-needed or $valid-tgi-4 or 'Error' = $der-tgi-codes-4 or $meds-invalid-hierarchy = '' or not(exists($der-tgi-codes-4-h))) then ()        else (for $code in $der-tgi-codes-4-h return          if (dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;&gt;', $code, ' MINUS ', $meds-invalid-hierarchy), '', '1', false()) = '') then $code else '')[. != ''] " />
    <xsl:variable name="invalid-tgi-codes" select="($invalid-tgi-codes-h, $invalid-tgi-codes-r) " />
    <xsl:variable name="der-tgi-codes-5" select="$der-tgi-codes-4[not(. = $invalid-tgi-codes or . = 'Error')]" />
    <xsl:variable name="der-valid-codes-4" select="if ($der-valid-codes-3 != '') then $der-valid-codes-3        else if ($ts-not-needed or $valid-tgi-4 or $valid-domain = '' or not(exists($der-tgi-codes-5))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-tgi-codes-5, ' OR '), ') AND ', $valid-domain), '', string(count($der-tgi-codes-5)), false()) " />
    <xsl:variable name="error-usingTS-6" select="$error-usingTS-5 or 'Error' = $der-valid-codes-4 " />
    <xsl:variable name="valid-tgi-5" select="$valid-tgi-4 or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="der-valid-codes-seq" select="if ($error-usingTS-6) then () else tokenize(replace($der-valid-codes-4,  '(\[.*?\])(\||$)', '$2'), '\|') " />
    <xsl:variable name="undetermined-tgi-1" select="if (exists($der-valid-codes-seq)) then $der-tgi-codes-5[not(. = $der-valid-codes-seq)] else $der-tgi-codes-5 " />
    <xsl:variable name="undetermined-inactive-1" select="for $i in (1 to count($undetermined-tgi-1)) return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $undetermined-tgi-1[$i], '', '1', false()) " />
    <xsl:variable name="error-usingTS-7" select="$error-usingTS-6 or 'Error' = $undetermined-inactive-1 " />
    <xsl:variable name="undetermined-inactive" select="(for $i in (1 to count($undetermined-tgi-1)) return         if (contains($undetermined-inactive-1[$i], '~inactive')) then $undetermined-inactive-1[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-1" select="for $i in (1 to count($undetermined-inactive))        return dh:IsCodeAssociatedWithAnotherCode(replace($undetermined-inactive[$i], '(\[.*?\])(\||$)', '$2'), '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-2" select="$error-usingV-1 or 'Error' = $undetermined-NAF-1 " />
    <xsl:variable name="undetermined-NAF" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-codes" select="for $term in $undetermined-NAF return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-NAF-active" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound~active')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-active-codes" select="for $term in $undetermined-NAF-active return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-tgi" select="$undetermined-tgi-1[not(. = ($undetermined-NAF-codes, $undetermined-NAF-active-codes))]" />
    <xsl:variable name="invalid-tgi" select="not($valid-tgi-5) and exists($invalid-tgi-codes) and not(exists($undetermined-tgi))" />
    <xsl:variable name="a-sas-tgi" select="if ($a-sas-tgi-1) then true()        else if ($a-vaccine-1 or $valid-tgi-5 or $invalid-tgi or not($use-revised-text-2) or $tgi-sas-regex = '') then false()        else matches($der-revised-text-2, $tgi-sas-regex, 'is')" />
    <xsl:variable name="an-uncoded-tgi" select="if ($an-uncoded-tgi-1) then true()        else if ($a-vaccine-1 or $valid-tgi-5 or $invalid-tgi or not($use-revised-text-2) or $tgi-otheru-regex = '' or $a-sas-tgi) then false()        else matches($der-revised-text-2, $tgi-otheru-regex, 'is')" />
    <xsl:variable name="obsolete-tgi-info" select="if ($an-obsolete-tgi-3) then $obsolete-tgi-info-3        else if ($a-vaccine-1 or $valid-tgi-5 or $invalid-tgi or not($use-revised-text-2) or not(exists($knowledge/special-tgi/obsolete)) or $a-sas-tgi or          $an-uncoded-tgi) then ()        else $knowledge/special-tgi/obsolete[matches($der-revised-text-2,          concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')] " />
    <xsl:variable name="an-obsolete-tgi" select="exists($obsolete-tgi-info)" />
    <xsl:variable name="valid-tgi-6" select="$valid-tgi-5 or $a-sas-tgi or $an-uncoded-tgi or $an-obsolete-tgi " />
    <xsl:variable name="a-vaccine-2" select="if ($a-vaccine-1) then true()        else if ($valid-tgi-6 or $invalid-tgi or not(exists($vaccine-text-normalised))) then false()        else if ($der-text != '' and translate(lower-case($der-text), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else if ($use-revised-text-1 and translate(lower-case($der-revised-text-1), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else if ($use-revised-text-2 and translate(lower-case($der-revised-text-2), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else false() " />
    <xsl:variable name="vaccine-code-test" select="if (not($a-vaccine-2 or $valid-tgi-6 or $invalid-tgi or $avoid-ts) and exists($undetermined-tgi))         then tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($undetermined-tgi, ' OR '), ') AND (&lt;71181003 OR &lt;127785005)'), '',          string(count($undetermined-tgi)), false()), '\|')        else () " />
    <xsl:variable name="error-usingTS-8" select="$error-usingTS-7 or 'Error' = $vaccine-code-test " />
    <xsl:variable name="a-vaccine" select="$a-vaccine-2 or (not('Error' = $vaccine-code-test) and exists($undetermined-tgi) and count($vaccine-code-test) = count($undetermined-tgi)) " />
    <xsl:variable name="codes-with-history" select="$der-inactive-codes-2[matches(., '[0-9]')]" />
    <xsl:variable name="hist-vers" select="if (exists($codes-with-history))        then dh:FindLastUpdatedDateForCodeUsingTS(substring-before($codes-with-history[1], '~'), '2.16.840.1.113883.6.96', $ts-latest-snomedctau)       else '' " />
    <xsl:variable name="error-usingTS-9" select="$error-usingTS-8 or 'Error' = $hist-vers " />
    <xsl:variable name="hist-vers-date" select="if (matches($hist-vers, '^(CodeFoundActive|CodeFoundInactive)\|[0-9]{8}$')) then substring-after($hist-vers, '|') else '' " />
    <xsl:variable name="inactive-concept" select="count($der-tgi-codes-2) = count($der-inactive-codes-1) and not($valid-tgi-6)" />
    <xsl:variable name="der-inactive-codes-4" select="$der-inactive-codes-3[not(contains(., 'MOVED FROM') or contains(., 'WAS A'))]" />
    <xsl:variable name="obsolete-without-date" select=" ($an-obsolete-tgi and not($obsolete-tgi-info/@last-available))   or         (exists($der-inactive-codes-3) and not(exists($der-inactive-codes-4)))  or         (exists($der-inactive-codes-4) and $hist-vers-date = '')   " />
    <xsl:variable name="obsolete-date" select="if ($is-immun) then ''        else if ($hist-vers-date != '') then $hist-vers-date        else if ($an-obsolete-tgi and $obsolete-tgi-info/@last-available) then $obsolete-tgi-info/@last-available         else '' " />
    <xsl:variable name="obsolete-yr" select="substring($obsolete-date, 1, 4) " />
    <xsl:variable name="obsolete-mn-temp" select="substring($obsolete-date, 5, 2) " />
    <xsl:variable name="obsolete-mn" select="if ($obsolete-mn-temp = '') then '06' else $obsolete-mn-temp " />
    <xsl:variable name="obsolete-dy-temp" select="substring($obsolete-date, 7, 2) " />
    <xsl:variable name="obsolete-dy" select="if ($obsolete-dy-temp = '') then '15' else $obsolete-dy-temp " />
    <xsl:variable name="obsolete-xs" select="if ($obsolete-date = '') then () else xs:date(concat($obsolete-yr, '-', $obsolete-mn, '-', $obsolete-dy)) " />
    <xsl:variable name="display-obsolete-date" select="if ($obsolete-date = '') then ''        else if ($obsolete-mn-temp = '') then $obsolete-dy        else if ($obsolete-dy-temp = '') then concat($knowledge/months/month[@number = $obsolete-mn]/@abbreviation, ' ', $obsolete-yr)        else concat($obsolete-dy, ' ', $knowledge/months/month[@number = $obsolete-mn]/@abbreviation, ' ', $obsolete-yr) " />
    <xsl:variable name="obsolete-date-diff" select="if ($obsolete-date = '' or not(matches($creation-date-xs - $obsolete-xs, '^P[0-9]+D'))) then '0'        else number(substring-before(substring-after($creation-date-xs - $obsolete-xs, 'P'), 'D')) " />
    <xsl:variable name="obsolete-yrs-ago" select="$obsolete-date-diff div 365 " />
    <xsl:variable name="coding" select="if (not($flags/@assess-class = 'true') or not($use-ts-for-sctau) or not(exists($iq-config/tgi-coding))) then () else $iq-config/tgi-coding" />
    <xsl:variable name="s-classification" select="if (exists($coding/special-classification/classification)) then $coding/special-classification/classification else () " />
    <xsl:variable name="s-number" select="count($s-classification) " />
    <xsl:variable name="s-formula" select="string-join(for $class in $s-classification return $class/@code, ' OR ')" />
    <xsl:variable name="code-to-assess" select="if (not($flags/@assess-class = 'true') or not($use-ts-for-sctau)) then '' else if (exists($der-valid-codes-seq)) then $der-valid-codes-seq[1] else '' " />
    <xsl:variable name="value-domain-1" select="if ($code-to-assess = '') then '' else dh:FindValueDomainsForCode($code-to-assess, '2.16.840.1.113883.6.96', $v-current-sctau)" />
    <xsl:variable name="class-error-1" select="$value-domain-1 = 'Error' " />
    <xsl:variable name="value-domain" select="if ($class-error-1 or $value-domain-1 = ('', 'CodeNotFound')) then ''       else if (contains($value-domain-1, '|')) then substring-before($value-domain-1, '|')       else $value-domain-1 " />
    <xsl:variable name="first-pass-1" select="if ($value-domain = '') then ''        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)'))         then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat($code-to-assess, ' . 30409011000036107'), '', '1', true())        else if ($value-domain = 'Medicinal Product Pack (MPP)')         then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat($code-to-assess, ' . 30348011000036104'), '', '1', true())        else if ($value-domain = 'Trade Product (TP)') then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&lt;', $code-to-assess), '', '1', true())        else $code-to-assess " />
    <xsl:variable name="class-error-2" select="$class-error-1 or ($value-domain != '' and $first-pass-1 = ('Error', '')) " />
    <xsl:variable name="first-pass" select="if (not($class-error-2) and $first-pass-1 != '') then replace($first-pass-1, '(\[.*?\])(\||$)', '$2') else '' " />
    <xsl:variable name="second-pass-1" select="if ($first-pass = '') then ''        else if ($value-domain = 'Trade Product Unit of Use (TPUU)')          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $code-to-assess, ' AND ^929360071000036103'), '', '1', true())        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product (TP)'))          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $first-pass, ' AND ^929360071000036103'), '', '1', true())        else if ($value-domain = 'Medicinal Product Pack (MPP)') then $first-pass        else $code-to-assess " />
    <xsl:variable name="class-error-3" select="$class-error-2 or ($first-pass != '' and $second-pass-1 = ('Error', '')) " />
    <xsl:variable name="second-pass" select="if (not($class-error-3) and $second-pass-1 != '') then replace($second-pass-1, '(\[.*?\])(\||$)', '$2') else '' " />
    <xsl:variable name="class-tp-1" select="if ($class-error-3) then ''        else if ($value-domain = 'Trade Product Unit of Use (TPUU)')          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $code-to-assess, ' AND ^929360021000036102'), '', '1', true())        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)'))          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $first-pass, ' AND ^929360021000036102'), '', '1', true())        else '' " />
    <xsl:variable name="class-tp-error" select="$class-tp-1 = 'Error' " />
    <xsl:variable name="class-tp" select="if (not($class-tp-error) and $class-tp-1 != '') then replace($class-tp-1, '^([0-9]+\[)(.*?)(\])$', '$2') else '' " />
    <xsl:variable name="third-pass-1" select="if ($second-pass = '') then ''        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product (TP)',          'Trade Product Unit of Use (TPUU)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)'))         then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;!', $second-pass, ' AND ^929360061000036106'), '', '1', false())        else $second-pass " />
    <xsl:variable name="class-error-4" select="$class-error-3 or ($second-pass != '' and $third-pass-1 = ('Error', '')) " />
    <xsl:variable name="third-pass" select="if ($class-error-4 or $third-pass-1 = '') then ''         else if (matches($third-pass-1, '^[0-9]+$')) then replace($der-valid-codes-4, '^([0-9]+\[)(.*?)(\]\|.*|\])$', '$2')        else if (matches($third-pass-1, '^[0-9]')) then replace($third-pass-1, '^([0-9]+\[)(.*?)(\])$', '$2') else '' " />
    <xsl:variable name="fourth-pass-1" select="if ($third-pass = '') then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', '&lt;373873005', $third-pass, '1', true()) " />
    <xsl:variable name="class-error-5" select="$class-error-4 or $fourth-pass-1 = 'Error' " />
    <xsl:variable name="fourth-pass" select="if (not($class-error-4) and $fourth-pass-1 != '' and matches($fourth-pass-1, '^[0-9]')) then replace($fourth-pass-1, '(\[.*?\])(\||$)', '$2') else '' " />
    <xsl:variable name="class-not-completed" select="($flags/@assess-class = 'true' and $code-to-assess = '')  or        ($code-to-assess != '' and $value-domain-1 = 'CodeNotFound') or        ($third-pass != '' and $fourth-pass = '')   " />
    <xsl:variable name="valid-class-1" select="if ($fourth-pass = '' or $s-number = 0) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND (', $s-formula, ')'), '', string($s-number), true()) " />
    <xsl:variable name="class-error-6" select="$class-error-5 or $valid-class-1 = 'Error' " />
    <xsl:variable name="valid-class-2" select="if ($valid-class-1 = '' or $class-error-6) then () else tokenize(replace($valid-class-1, '(\[.*?\])(\||$)', '$2'), '\|') " />
    <xsl:variable name="valid-class-3" select="if ($a-vaccine and exists($s-classification[@code = '71181003']/@description)) then ($s-classification[@code = '71181003']/@description)       else if ($a-vaccine and exists($s-classification[@code = '71181003']/@pterm)) then ($s-classification[@code = '71181003']/@pterm)       else for $code in $valid-class-2 return if ($coding/special-classification/classification[@code = $code]/@description)         then $coding/special-classification/classification[@code = $code]/@description         else $coding/special-classification/classification[@code = $code]/@pterm " />
    <xsl:variable name="fifth-pass" select="if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/first-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/first-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-7" select="$class-error-6 or $fifth-pass = 'Error' " />
    <xsl:variable name="sixth-pass" select="if (not($fifth-pass = '')) then $fifth-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/second-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/second-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-8" select="$class-error-7 or $sixth-pass = 'Error' " />
    <xsl:variable name="seventh-pass" select="if (not($sixth-pass = '')) then $sixth-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/third-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/third-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-9" select="$class-error-8 or $seventh-pass = 'Error' " />
    <xsl:variable name="eighth-pass" select="if (not($seventh-pass = '')) then $seventh-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/fourth-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/fourth-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-10" select="$class-error-9 or $eighth-pass = 'Error' " />
    <xsl:variable name="ninth-pass" select="if (not($eighth-pass = '')) then $eighth-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/fifth-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/fifth-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-11" select="$class-error-10 or $ninth-pass = 'Error' " />
    <xsl:variable name="valid-class" select="if (exists($valid-class-3)) then $valid-class-3        else if (not($ninth-pass = '')) then for $term in tokenize($ninth-pass, '\|') return replace($term, '^([0-9]+\[)(.*?)(\])$', '$2')       else () " />
    <xsl:variable name="codes-were-found" select="exists($der-tgi-codes-4) or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="obsolete-error" select="not($is-immun) and ($an-obsolete-tgi or $inactive-concept) and $obsolete-yrs-ago &gt; 2 " />
    <xsl:variable name="obsolete-warning" select="not($is-immun or $obsolete-error) and ($an-obsolete-tgi or $inactive-concept) and ($obsolete-yrs-ago &gt; 1 or $obsolete-without-date) " />
    <xsl:variable name="codes-not-found" select="not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-6 or $invalid-tgi or $a-vaccine) " />
    <xsl:variable name="codes-in-the-domain" select="not($valid-tgi-1) and $valid-tgi-5" />
    <xsl:variable name="codes-in-other-domain" select="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi or         $a-vaccine or $obsolete-warning) " />
    <xsl:variable name="codes-in-no-domain" select="exists($der-tgi-codes-5) " />
    <xsl:variable name="display-in-the-domain" select="if ($codes-in-the-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', '), '''')        else '' " />
    <xsl:variable name="display-in-other-r" select="if (exists($invalid-tgi-codes-r) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-tgi-codes-r return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-h" select="if (exists($invalid-tgi-codes-h) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-tgi-codes-h return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-domain" select="if (not($codes-in-other-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))) then ''        else if ($display-in-other-r and display-in-other-h) then concat('''', $display-in-other-r, ', ', $display-in-other-h, '''')        else if ($display-in-other-r) then concat('''', $display-in-other-r, '''')        else if ($display-in-other-h) then concat('''', $display-in-other-h, '''')        else '' " />
    <xsl:variable name="display-in-no-domain" select="if ($codes-in-no-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', dh:XQueryRecursiveReplace(string-join(for $code in $der-tgi-codes-5 return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), '; '),          $term-pattern-replacement, 'ic'), '''')        else '' " />
    <xsl:variable name="log-concepts-appended" select="if ($error-usingTS-9 or not($flags/@report-terminology-concepts = 'true') or $log-concepts-name = '') then ''        else if ($codes-not-found and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                   'Therapeutic Good Identification', $log-tab,                   'yes',     $log-tab,                   iq:display-CD(.),   $log-tab,                   '',     $log-tab,                  '',     $log-tab,                  '',     $log-tab,                  $ts-current-sctau   ))        else if (($use-revised-text-2 or $codes-in-no-domain) and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                  'Therapeutic Good Identification', $log-tab,                   'yes',     $log-tab,                     iq:display-CD(.),   $log-tab,                    $display-in-the-domain,   $log-tab,                  $display-in-other-domain,  $log-tab,                  $display-in-no-domain,   $log-tab,                  $ts-current-sctau   ))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if (matches($defn-invalid-rsn, 'is a container', 'is')) then $rating-container-TC-Types-57 else $rating-TC-Types-57 " />
    <!--REPORT -->
    <xsl:if test=" $log-concepts-appended = ('NOTFOUND', 'ERROR') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$log-concepts-appended = ('NOTFOUND', 'ERROR')">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): The AppendLog function returned '<xsl:text /><xsl:value-of select="$log-concepts-appended" /><xsl:text />' when requested to append the concepts log
		'<xsl:text /><xsl:value-of select="$log-concepts-name" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $flags/@assess-class = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $flags/@assess-class = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): 
		code-to-assess '<xsl:text /><xsl:value-of select="$code-to-assess" /><xsl:text />'
		value-domain '<xsl:text /><xsl:value-of select="$value-domain" /><xsl:text />'
		first-pass '<xsl:text /><xsl:value-of select="$first-pass" /><xsl:text />'
		second-pass '<xsl:text /><xsl:value-of select="$second-pass" /><xsl:text />'
		third-pass '<xsl:text /><xsl:value-of select="$third-pass" /><xsl:text />'
		fourth-pass '<xsl:text /><xsl:value-of select="$fourth-pass" /><xsl:text />'
		valid-class-1 '<xsl:text /><xsl:value-of select="$valid-class-1" /><xsl:text />'
		fifth-pass '<xsl:text /><xsl:value-of select="$fifth-pass" /><xsl:text />'
		sixth-pass '<xsl:text /><xsl:value-of select="$sixth-pass" /><xsl:text />'
		seventh-pass '<xsl:text /><xsl:value-of select="$seventh-pass" /><xsl:text />'
		eighth-pass '<xsl:text /><xsl:value-of select="$eighth-pass" /><xsl:text />'
		ninth-pass '<xsl:text /><xsl:value-of select="$ninth-pass" /><xsl:text />'

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $class-error-11 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$class-error-11">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An unexpected error occurred during the process to classify a terminology code.
		Report the information below to the Australian Digital Health Agency for investigation.
		The value domain was '<xsl:text /><xsl:value-of select="$value-domain" /><xsl:text />' and the error variable was
		<xsl:text /><xsl:value-of select="if ($class-error-1) then concat('class-error-1. The FindValueDomainsForCode function was called with code ''', $code-to-assess,     ''', codeSystem ''2.16.840.1.113883.6.96'' and codeSystemVersion ''', $v-current-sctau, ''' and returned ''', $value-domain-1, '''.')   else if ($class-error-2) then concat('class-error-2. The SearchForCodesInHierarchyUsingTS function was called with code ''', $code-to-assess,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $first-pass-1, '''.')   else if ($class-error-3) then concat('class-error-3. The SearchForCodesInHierarchyUsingTS function was called with code ''',     if ($value-domain = 'Trade Product Unit of Use (TPUU)') then $code-to-assess else $first-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $second-pass-1, '''.')   else if ($class-error-4) then concat('class-error-4. The SearchForCodesInHierarchyUsingTS function was called with code ''', $second-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $third-pass-1, '''.')   else if ($class-error-5) then concat('class-error-5. The SearchForCodesInHierarchyUsingTS function was called with code ''', $third-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $fourth-pass-1, '''.')   else if ($class-error-6) then concat('class-error-6. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $valid-class-1, '''.')   else if ($class-error-7) then concat('class-error-7. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $fifth-pass, '''.')   else if ($class-error-8) then concat('class-error-8. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $sixth-pass, '''.')   else if ($class-error-9) then concat('class-error-9. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $seventh-pass, '''.')   else if ($class-error-10) then concat('class-error-10. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $eighth-pass, '''.')   else if ($class-error-11) then concat('class-error-11. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $ninth-pass, '''.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $class-tp-error ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$class-tp-error">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An unexpected error occurred during the process to find the trade product name for a medicine.
		Report the information below to the Australian Digital Health Agency for investigation.
		The value domain was '<xsl:text /><xsl:value-of select="$value-domain" /><xsl:text />' and the error variable was class-tp-error.
		The FindValueDomainsForCode function was called with code ''', 
		if ($value-domain = 'Trade Product Unit of Use (TPUU)') then $code-to-assess else $first-pass, 
		''', codeSystem ''2.16.840.1.113883.6.96'' and codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $class-tp-1, '''.')

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-tgi-6) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-tgi-6)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An unexpected problem occurred when assessing the value of the Vaccine Cancellation Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. The application of regular expressions resulted in the complete loss of text.
		Report the information below to the Australian Digital Health Agency for investigation.

		der-text-1 '<xsl:text /><xsl:value-of select="normalize-space(dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'))" /><xsl:text />'.
		der-text-2a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-2a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-a, $term-pattern-replacement, 'ic')" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingV-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingV-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An error was reported when accessing the terminology server when assessing the Vaccine Cancellation Entry - Vaccine Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		Report the issue to the Australian Digital Health Agency for investigation stating the error was recorded for error-usingV-2.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-9 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-9">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An error was reported when accessing the terminology server when assessing the Vaccine Cancellation Entry - Vaccine Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term:
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The analysis should be retried as the terminology server may have been temporarily unavailable.
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'error-usingTS-1' else if ($error-usingTS-2-a) then 'error-usingTS-2-a'   else if ($error-usingTS-2-b) then 'error-usingTS-2-b' else if ($error-usingTS-2-c) then 'error-usingTS-2-c'   else if ($error-usingTS-2) then 'error-usingTS-2'   else if ($error-usingTS-3) then 'error-usingTS-3' else if ($error-usingTS-4) then 'error-usingTS-4'   else if ($error-usingTS-5) then 'error-usingTS-5' else if ($error-usingTS-6) then 'error-usingTS-6'   else if ($error-usingTS-7) then 'error-usingTS-7' else if ($error-usingTS-8) then 'error-usingTS-8'   else 'error-usingTS-9' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or      $valid-tgi-6 or $invalid-tgi) and not($a-vaccine and not(false())) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi) and not($a-vaccine and not(false()))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered for, administered to or used by the consumer. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.          (See section 4.5 of the Australian Immunisation Register Structured Content Specification v1.0.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Vaccine Cancellation (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi) and    not($a-vaccine and false()) and not($obsolete-warning) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi) and not($a-vaccine and false()) and not($obsolete-warning)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the value does not seem to be applicable for the data element.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered for, administered to or used by the consumer. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.          (See section 4.5 of the Australian Immunisation Register Structured Content Specification v1.0.)')" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $obsolete-warning ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$obsolete-warning">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the name may not be applicable for the data element.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> and the
		<xsl:text /><xsl:value-of select="if ($display-obsolete-date != '') then concat('name of the therapeutic good was last used ', $display-obsolete-date)   else if ($obsolete-tgi-info/@name) then concat('therapeutic good ''', $obsolete-tgi-info/@name, ''' was last available ', $display-obsolete-date)    else if ($obsolete-without-date) then 'name of the therapeutic good is no longer used ' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($obsolete-tgi-info/@reason) then concat(' because ', $obsolete-tgi-info/@reason, '.') else '.' " /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered for, administered to or used by the consumer. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.          (See section 4.5 of the Australian Immunisation Register Structured Content Specification v1.0.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		<xsl:text /><xsl:value-of select="$creation-date-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $obsolete-error ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$obsolete-error">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the name is not applicable for the data element.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> and the
		<xsl:text /><xsl:value-of select="if ($display-obsolete-date != '') then concat('name of the therapeutic good was last used ', $display-obsolete-date)   else if ($obsolete-tgi-info/@name) then concat('therapeutic good ''', $obsolete-tgi-info/@name, ''' was last available ', $display-obsolete-date)    else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($obsolete-tgi-info/@reason) then concat(' because ', $obsolete-tgi-info/@reason, '.') else '.' " /><xsl:text />
		That was <xsl:text /><xsl:value-of select="if (contains(string($obsolete-yrs-ago), '.')) then substring-before(string($obsolete-yrs-ago), '.') else $obsolete-yrs-ago " /><xsl:text /> years before the
		<xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered for, administered to or used by the consumer. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.          (See section 4.5 of the Australian Immunisation Register Structured Content Specification v1.0.)'))" /><xsl:text /><xsl:text /><xsl:value-of select="$creation-date-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Vaccine Cancellation Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the data element does not have a proper value. <xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered for, administered to or used by the consumer. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.          (See section 4.5 of the Australian Immunisation Register Structured Content Specification v1.0.)'))" /><xsl:text />
		The Vaccine Cancellation Entry - Vaccine Name data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Vaccine Cancellation Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered for, administered to or used by the consumer. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.          (See section 4.5 of the Australian Immunisation Register Structured Content Specification v1.0.)'))" /><xsl:text />
		The Vaccine Cancellation Entry - Vaccine Name data element must have a value that is consistent with this definition. Alternatively if there is no Vaccine Cancellation Entry - Vaccine Name data element with a proper value then an exclusion
		statement must be included to state why there is no Vaccine Cancellation Entry - Vaccine Name. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4')    then concat('Text such as ''', dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'), ''' may be permitted in the narrative even though the Vaccine Cancellation Entry - Vaccine Name data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Vaccine Cancellation Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the data element does not have a proper value. <xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered for, administered to or used by the consumer. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.          (See section 4.5 of the Australian Immunisation Register Structured Content Specification v1.0.)'))" /><xsl:text />
		The Vaccine Cancellation Entry - Vaccine Name data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($der-text-non-value) and $der-invalid-text ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($der-text-non-value) and $der-invalid-text">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />
		however the value is invalid. <xsl:text /><xsl:value-of select="$defn-invalid-rsn" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered for, administered to or used by the consumer. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.          (See section 4.5 of the Australian Immunisation Register Structured Content Specification v1.0.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $a-vaccine and false() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$a-vaccine and false()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />
		which identifies a vaccine. <xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered for, administered to or used by the consumer. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.          (See section 4.5 of the Australian Immunisation Register Structured Content Specification v1.0.)'))" /><xsl:text />
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Vaccine Cancellation (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $invalid-tgi and not($error-usingTS-9) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$invalid-tgi and not($error-usingTS-9)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
ZZZ
der-text '<xsl:text /><xsl:value-of select="$der-text" /><xsl:text />'
der-revised-text-1 '<xsl:text /><xsl:value-of select="$der-revised-text-1" /><xsl:text />'
der-revised-text-2 '<xsl:text /><xsl:value-of select="$der-revised-text-2" /><xsl:text />'
ZZZ
		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the value is invalid
		<xsl:text /><xsl:value-of select="if (exists($invalid-tgi-codes-h) or exists($invalid-tgi-codes-r)) then concat(' as it describes ',    iq:invalidityExplanationUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, $invalid-tgi-codes-h, $cd-definitions/meds/meds-invalid/hierarchy, $invalid-tgi-codes-r, $cd-definitions/meds/meds-invalid/refset), '.')   else '.' " /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered for, administered to or used by the consumer. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.          (See section 4.5 of the Australian Immunisation Register Structured Content Specification v1.0.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable outside the applicable value domain): The Vaccine Cancellation Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. The following codes were obtained and are not in the value domain:
		<xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-TGI-Defn): The Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU and no associated code was found in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists(($der-NAF-active-codes, $undetermined-NAF-active-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists(($der-NAF-active-codes, $undetermined-NAF-active-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-TGI-Defn): The Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-active-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the
		'<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU but it was not found with this status in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.
		<xsl:text /><xsl:value-of select="if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and ($valid-tgi-1 or $a-vaccine-2 or (not($valid-tgi-5) and $valid-tgi-6))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and ($valid-tgi-1 or $a-vaccine-2 or (not($valid-tgi-5) and $valid-tgi-6))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable within the value domain): The Vaccine Cancellation Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> which matches
		<xsl:text /><xsl:value-of select="if ($a-vaccine-1) then 'one of the terms listed in Knowledge.xml' else 'the vaccine information in CodeSystems.xml' " /><xsl:text /> for the Vaccine Cancellation Entry - Vaccine Name.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(exists($valid-class)) and $class-not-completed and not($class-tp-error or $class-error-10) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(exists($valid-class)) and $class-not-completed and not($class-tp-error or $class-error-10)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: The Vaccine Cancellation Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. <xsl:text /><xsl:value-of select="if ($code-to-assess = '') then 'No code could be found for the medicine.'    else if ($value-domain = '') then concat('The code ''', $code-to-assess, ''' was found to apply to the medicine by applying the terminology server using the ''', $ts-current-sctau,   ''' version of SNOMED CT-AU but the code was not found in the Validator''s database using the ''', $v-current-sctau, ''' version of SNOMED CT-AU.',   if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '')   else concat('This is a ', $value-domain,    if ($value-domain = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)')) then    concat(' (with medicinal product ''', $third-pass, ''').')    else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)'))    then concat(' (with trade product ''', $class-tp, ''').')    else '.') " /><xsl:text /> The classification of this medicine could not be completed.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists($valid-class) and not($class-tp-error or $class-error-11) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists($valid-class) and not($class-tp-error or $class-error-11)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: The Vaccine Cancellation Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This <xsl:text /><xsl:value-of select="if (not($value-domain = ('Containered Trade Product Pack (CTPP)',    'Trade Product Pack (TPP)', 'Trade Product (TP)', 'Trade Product Unit of Use (TPUU)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Medicinal Product (MP)')))    then '' else concat('is a ', $value-domain, ' which')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($value-domain = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)')) then concat(' (with medicinal product ''', $third-pass, ''') which')   else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)'))    then concat(' (with trade product ''', $class-tp, ''') which') else '' " /><xsl:text />
		identifies a type of <xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($valid-class, ' and '), $markup-pattern-replacement, 'ic')" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (concept is codeable within the value domain): The Vaccine Cancellation Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> which is a valid value for the Vaccine Cancellation Entry - Vaccine Name.
		SNOMED CT-AU codes that matched the concept are: <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The text used to match regular expression (der-text-2) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to match non-values and vaccines (der-text-to-match) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-to-match, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to derive a code (der-text) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.

		<xsl:text /><xsl:value-of select="if ($use-revised-text-1) then concat(' A first revision of the text (der-revised-text-1) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-1, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A first revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-1 != '' and $der-revised-text-1 = '') then ' revision-pattern-1 was applied but the output (der-revised-text-1) was an empty string.' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($use-revised-text-2) then concat(' A second revision of the text (der-revised-text-2) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A second revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-2 != '' and $der-revised-text-2 = '') then ' revision-pattern-2 was applied but the output (der-revised-text-2) was an empty string.' else '' " /><xsl:text />

		The SNOMED CT-AU version used to find codes is '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' and the maximum code number is '<xsl:text /><xsl:value-of select="$max-code-number" /><xsl:text />'.

		Codes for related terms (related-terms-2): '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($related-terms-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes for related terms (der-valid-codes-1): 
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-1, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-tgi-codes-2) returned by the terminology server that match the text:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-tgi-codes-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes from related terms or the terminology server (der-valid-codes-2):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-2, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-inactive-codes-3) returned from the Validator's database associated with inactive codes:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-inactive-codes-3, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes found after examining inactive codes (der-valid-codes-3):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-3, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Members of invalid reference sets (invalid-tgi-codes-r): '<xsl:text /><xsl:value-of select="$display-in-other-r" /><xsl:text />'.
		Members of invalid code hierarchies (invalid-tgi-codes-h): '<xsl:text /><xsl:value-of select="$display-in-other-h" /><xsl:text />'.

		Final set of valid codes (der-valid-codes-4): <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.
		
		Codes whose validity has not been determined (der-tgi-codes-5): <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.
		Codes whose validity has not been determined and are inactive with no associated code (undetermined-NAF): '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(    string-join($undetermined-NAF, ''', '''), $markup-pattern-replacement, 'ic')" /><xsl:text />'.

		Result of the second vaccination code test (a-vaccine-2): '<xsl:text /><xsl:value-of select="$a-vaccine-2" /><xsl:text />'.
		Vaccine codes (vaccine-code-test):  '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($vaccine-code-test, '; '), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Overall result of the vaccination test (a-vaccine): '<xsl:text /><xsl:value-of select="$a-vaccine" /><xsl:text />'.

		Will the value of the data element be trusted (der-trusted-text)? '<xsl:text /><xsl:value-of select="$der-trusted-text" /><xsl:text />'.
		
	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and $codes-not-found">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept not codeable): The Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($avoid-ts) then 'The terminology server was not used to assist with finding codes corresponding to text in the data element. ' else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $prose-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $prose-err">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Vaccine Cancellation Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> which is invalid as it is prose text.
		The Vaccine Cancellation Entry - Vaccine Name data element is CodeableText derived from the HL7 CD data type which by definition is to record a concept defined in an external code system, terminology or ontology.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered for, administered to or used by the consumer. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.          (See section 4.5 of the Australian Immunisation Register Structured Content Specification v1.0.)'))" /><xsl:text />
		This finding will also be reported as an error.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M130" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M130" />
  <xsl:template match="@*|node()" priority="-2" mode="M130">
    <xsl:apply-templates select="@*|*" mode="M130" />
  </xsl:template>
  <!--PATTERN p-TS-AIR-CodeableText-12-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.17039' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.17039']]/cda:entry/        cda:substanceAdministration[lower-case(cda:statusCode/@code)='cancelled']/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code        [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]        [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M131">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.17039' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.17039']]/cda:entry/        cda:substanceAdministration[lower-case(cda:statusCode/@code)='cancelled']/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code        [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]        [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Vaccine Cancellation Entry - Vaccine Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Vaccine Cancellation Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Vaccine Cancellation Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Vaccine Cancellation Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Cancellation Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Vaccine Cancellation Entry - Vaccine Name has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Vaccine Cancellation Entry - Vaccine Name data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Cancellation Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Vaccine Cancellation Entry - Vaccine Name data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Cancellation Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Vaccine Cancellation Entry - Vaccine Name data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Cancellation Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Vaccine Cancellation Entry - Vaccine Name data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Vaccine Cancellation Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Vaccine Cancellation Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Vaccine Cancellation Entry - Vaccine Name data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Vaccine Cancellation Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Vaccine Cancellation Entry - Vaccine Name data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Cancellation Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Cancellation Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Vaccine Cancellation Entry - Vaccine Name data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Cancellation Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Vaccine Cancellation Entry - Vaccine Name data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Cancellation Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Cancellation Entry - Vaccine Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M131" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M131" />
  <xsl:template match="@*|node()" priority="-2" mode="M131">
    <xsl:apply-templates select="@*|*" mode="M131" />
  </xsl:template>
  <!--PATTERN p-TS-AIR-CodeableText-13-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.17039' = $doc-sections]/cda:component/cda:structuredBody/cda:component//         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.17039']]/cda:entry/         cda:substanceAdministration[lower-case(cda:statusCode/@code)='cancelled']/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/         cda:code[@nullFlavor] " priority="1000" mode="M132">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.17039' = $doc-sections]/cda:component/cda:structuredBody/cda:component//         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.17039']]/cda:entry/         cda:substanceAdministration[lower-case(cda:statusCode/@code)='cancelled']/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/         cda:code[@nullFlavor] " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and exists(('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')[. = 'ALL']) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and exists(('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')[. = 'ALL'])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Vaccine Cancellation Entry - Vaccine Name data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. The Vaccine Cancellation Entry - Vaccine Name data element is not allowed to contain a nullFlavor attribute.
		(See the mapping table in section 7.1.1.2 of the Australian Immunisation Register CDA Implementation Guide Version 1.0.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and exists(('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')[. = current()/@nullFlavor]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and exists(('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')[. = current()/@nullFlavor])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Vaccine Cancellation Entry - Vaccine Name data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. The Vaccine Cancellation Entry - Vaccine Name data element is not allowed to contain a nullFlavor attribute
		with this value. (See the mapping table in section 7.1.1.2 of the Australian Immunisation Register CDA Implementation Guide Version 1.0.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M132" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M132" />
  <xsl:template match="@*|node()" priority="-2" mode="M132">
    <xsl:apply-templates select="@*|*" mode="M132" />
  </xsl:template>
  <!--PATTERN p-TS-AIR-CodeableText-14-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.17039' = $doc-sections]/cda:component/cda:structuredBody/cda:component//         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.17039']]/cda:entry/         cda:substanceAdministration[lower-case(cda:statusCode/@code)='cancelled']/         cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code " priority="1000" mode="M133">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.17039' = $doc-sections]/cda:component/cda:structuredBody/cda:component//         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.17039']]/cda:entry/         cda:substanceAdministration[lower-case(cda:statusCode/@code)='cancelled']/         cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code " />
    <xsl:variable name="hist-vers-1" select="tokenize($ts-snomedctau-pre-ordered, '\|')" />
    <xsl:variable name="pcode" select="if (not(@code)) then ''        else if (@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)) then @code        else '' " />
    <xsl:variable name="pname-to-test" select="@codeSystem = '2.16.840.1.113883.6.96' and @displayName and $pcode != '' " />
    <xsl:variable name="psctau-version" select="if (exists(@codeSystemVersion) and matches(@codeSystemVersion, $snomedctau-version-regex)) then @codeSystemVersion else '' " />
    <xsl:variable name="psnomed-id" select="if (not($pname-to-test) or not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion) and          dh:IsFirstDateEarlierThanSecondDate($creation-date, substring-after($first-amt-in-sctau, '/version/')) = '1') then 'amtv3'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (not($psctau-version = '')) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="psnomed-type" select="if ($psnomed-id = 'amtv3') then 'AMT v3'        else if ($psnomed-id = 'snomedctau') then 'SNOMED CT-AU'        else if ($psnomed-id = 'snomedct') then 'SNOMED CT'        else '' " />
    <xsl:variable name="pvers-old" select="if ($psnomed-id = 'snomedctau' and @codeSystemVersion) then not(exists($ts-snomedctau[. = current()/@codeSystemVersion]))        else if ($psnomed-id = 'snomedctau' and $creation-date != '' and $ts-earliest-sctau-date != '') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $ts-earliest-sctau-date) = '1'         else if ($psnomed-id = 'amtv3' and @codeSystemVersion) then not(exists($v-amtv3[. = current()/@codeSystemVersion]))        else if ($psnomed-id = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '1'         else false() " />
    <xsl:variable name="psctau-ts" select="if ($psctau-version = '' or not($pvers-old)) then '' else substring-after($psctau-version, '/version/') " />
    <xsl:variable name="psctau-ts-xs" select="if ($psctau-ts = '') then '' else concat(substring($psctau-ts, 1, 4), '-', substring($psctau-ts, 5, 2), '-', substring($psctau-ts, 7, 2))" />
    <xsl:variable name="psctau-ts-1" select="if ($psctau-ts = '' or not($psctau-ts-xs castable as xs:date)) then '' else string($sctau-last-xs - xs:date($psctau-ts-xs)) " />
    <xsl:variable name="psctau-ts-2" select="if ($psctau-ts-1 = '' or not(matches($psctau-ts-1, '^P[0-9]+D'))) then '' else substring-before(substring-after($psctau-ts-1, 'P'), 'D') " />
    <xsl:variable name="psctau-ts-63-err" select="$psctau-ts-2 != '' and $psctau-ts-2 &gt; $sctau-acceptable-age  " />
    <xsl:variable name="ts-psnomed-version" select="if (not($pname-to-test) or not($psnomed-id = 'snomedctau')) then ''        else if (not(@codeSystemVersion)) then $ts-latest-snomedctau        else if ($psnomed-id = 'snomedctau' and @codeSystemVersion and not($pvers-old)) then @codeSystemVersion        else if ($pvers-old and $ts-earliest-sctau-date != '') then concat('http://snomed.info/sct/32506021000036107/version/', $ts-earliest-sctau-date)        else $ts-latest-snomedctau " />
    <xsl:variable name="v-psnomed-version" select="if (not($psnomed-id = 'amtv3')) then ''        else if (@codeSystemVersion and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($pvers-old) then concat('http://snomed.info/sct/900062011000036108/version/', $v-earliest-amtv3-date)        else $v-latest-amtv3 " />
    <xsl:variable name="test-pname" select="$pname-to-test and not($ts-psnomed-version = '' and $v-psnomed-version = '') and not($psctau-ts-63-err)" />
    <xsl:variable name="p-term-actual-1" select="if ($test-pname and $use-ts-for-sctau and $psnomed-id = 'snomedctau')        then dh:FindPreferredTermUsingTS($pcode, '2.16.840.1.113883.6.96', $ts-psnomed-version)        else if ($test-pname and exists($v-amtv3) and $psnomed-id = 'amtv3')        then replace(dh:FindPreferredTermAndCaseSignificance($pcode, '2.16.840.1.113883.6.96', $v-psnomed-version), '\|.*$', '', 'is')       else '' " />
    <xsl:variable name="error-usingTS-1" select="$p-term-actual-1 = 'Error' " />
    <xsl:variable name="p-term-actual" select="if ($p-term-actual-1 = ('CodeNotFound', 'Error')) then '' else $p-term-actual-1 " />
    <xsl:variable name="pname-invalid" select="$test-pname and $p-term-actual != '' and lower-case($p-term-actual) != lower-case(@displayName) " />
    <xsl:variable name="phist-search" select="$test-pname and $pname-invalid and $ts-snomedctau-pre-ordered != '' " />
    <xsl:variable name="phist-vers-2" select="if ($phist-search) then index-of($hist-vers-1, substring-after($ts-psnomed-version, 'version/')) else () " />
    <xsl:variable name="phist-vers-3" select="if (exists($phist-vers-2) and count($hist-vers-1) &gt; $phist-vers-2[1]) then $hist-vers-1[$phist-vers-2[1] + 1] else '' " />
    <xsl:variable name="phist-vers-4" select="if ($phist-vers-3 = '') then '' else concat('http://snomed.info/sct/32506021000036107/version/', $phist-vers-3) " />
    <xsl:variable name="phist-vers-5" select="if ($phist-vers-4 != '' and $use-ts-for-sctau)         then dh:FindLatestVersionWhereDisplaynameMatchUsingTS($pcode, '2.16.840.1.113883.6.96', $phist-vers-4, @displayName, false()) else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or $phist-vers-5 = 'Error' " />
    <xsl:variable name="phist-vers-found-1" select="matches($phist-vers-5, 'http') " />
    <xsl:variable name="pcode-pterm-date-1" select="if (not($pname-invalid) or $phist-vers-found-1) then '' else dh:LatestDateForPreferredTerm($pcode, '2.16.840.1.113883.6.96', $v-latest-snomedctau) " />
    <xsl:variable name="error-pcode-pterm-date" select="'Error' = $pcode-pterm-date-1" />
    <xsl:variable name="pcode-pterm-date-2" select="if (matches($pcode-pterm-date-1, '^[0-9]{8}\|')) then substring-before($pcode-pterm-date-1, '|') else '' " />
    <xsl:variable name="pcode-pterm-date-est" select="$pcode-pterm-date-2 != '' and dh:IsFirstDateEarlierThanSecondDate($creation-date, $pcode-pterm-date-2) = '0' " />
    <xsl:variable name="pcode-pterm-date" select="if ($pcode-pterm-date-est) then $pcode-pterm-date-2 else '' " />
    <xsl:variable name="phist-vers-6" select="if ($phist-vers-5 = 'PreferredTermNeverMatches' and not($pcode-pterm-date-est) and matches($pcode, $sctau-namespace-id-regex))         then dh:IsCodePreferredTermInTerminologyValid($pcode, '2.16.840.1.113883.6.96', $v-latest-amtv3, @displayName)        else '' " />
    <xsl:variable name="phist-vers-found-2" select="$phist-vers-6 = 'PreferredTermMatch' " />
    <xsl:variable name="phist-vers-7" select="if ($phist-vers-6 = 'PreferredTermMismatch' and not($pcode-pterm-date-est) and $v-latest-amtv2 = $last-amtv2)         then dh:IsCodePreferredTermInTerminologyValid($pcode, '1.2.36.1.2001.1004.100', $last-amtv2, @displayName)        else '' " />
    <xsl:variable name="phist-vers-found-3" select="$phist-vers-7 = 'PreferredTermMatch' " />
    <xsl:variable name="phist-vers-found" select="$phist-vers-found-1 or $phist-vers-found-2 or $phist-vers-found-3 or $pcode-pterm-date-est " />
    <xsl:variable name="phist-vers-date" select="if ($phist-vers-found-1) then substring-after($phist-vers-5, 'http://snomed.info/sct/32506021000036107/version/')         else if ($phist-vers-found-2) then substring-after($v-latest-amtv3, 'http://snomed.info/sct/900062011000036108/version/')        else if ($phist-vers-found-3) then $last-amtv2-date        else if ($pcode-pterm-date-est) then $pcode-pterm-date        else '' " />
    <xsl:variable name="phist-last-diff" select="if ($sctau-last = '' or $phist-vers-date = '') then ''        else iq:display-date-diff($phist-vers-date, $sctau-last)[2] " />
    <xsl:variable name="phist-last-old" select="$phist-last-diff != '' and not(number($phist-last-diff) &lt; $sctau-acceptable-age) " />
    <xsl:variable name="p-term-found-in" select="if ($phist-vers-found-1) then 'last used in the version of SNOMED CT-AU'        else if ($phist-vers-found-2) then 'used in the version of AMT v3'        else if ($phist-vers-found-3) then 'used in the version of AMT v2'        else '' " />
    <xsl:variable name="phist-last-msg" select="if ($pcode-pterm-date-est) then concat(' The preferred term was last changed in the version of SNOMED CT-AU published ',          iq:display-date($phist-vers-date),          ' so if the value of the displayName was ever valid then it must be before then. ',          'That version was published ', $phist-last-diff, ' days before the version of SNOMED CT-AU published immediately prior to the date ''',         /cda:ClinicalDocument/cda:effectiveTime/@value, ''' that this ', $document-name,          ' was created. SNOMED CT-AU is published monthly and the Australian National Terminology Licence Agreement requires the copy used ',         'in healthcare software systems (live or production environments) to be updated within 30 days of the National Terminology release.')         else if (not($phist-last-old) or $p-term-found-in = '') then ''        else concat(' The value of the displayName was ', $p-term-found-in,          ' published on the ', iq:display-date($phist-vers-date), '. That version was published ', $phist-last-diff,          ' days before the version of SNOMED CT-AU published immediately prior to the date the ', $document-name,          ' was created. SNOMED CT-AU is published monthly and the Australian National Terminology Licence Agreement requires the copy used in',         ' healthcare software systems (live or production environments) to be updated within 30 days of the National Terminology release.') " />
    <xsl:variable name="p-date-required" select="if (not($pname-invalid)) then ''        else if (@codeSystemVersion and matches(@codeSystemVersion, $snomed-version-regex-1)) then substring-after(@codeSystemVersion, '/version/')        else if ($creation-date-est) then ''        else $creation-date " />
    <xsl:variable name="p-date-diff" select="if ($p-date-required = '' or         not(dh:IsFirstDateEarlierThanSecondDate(substring-after($ts-psnomed-version, '/version/'), $p-date-required) = '1')) then ()        else iq:display-date-diff(substring-after($ts-psnomed-version, '/version/'), $p-date-required)" />
    <xsl:variable name="p-old-ts-version" select="exists($p-date-diff) and number($p-date-diff[2]) &gt; 31 " />
    <xsl:variable name="snomed-trans-1" select="if (cda:translation) then cda:translation[@displayName and @codeSystem = '2.16.840.1.113883.6.96' and @code and         matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="snomed-trans-2" select="distinct-values(for $trans in $snomed-trans-1 return $trans/@code) " />
    <xsl:variable name="snomed-trans-a" select="if (exists($snomed-trans-1)) then $snomed-trans-1[1] else () " />
    <xsl:variable name="tcode-a" select="if (exists($snomed-trans-a)) then $snomed-trans-a/@code else '' " />
    <xsl:variable name="tname-a-to-test" select="$tcode-a != '' and $snomed-trans-a/@displayName " />
    <xsl:variable name="tsctau-version-a" select="if (exists($snomed-trans-a/@codeSystemVersion) and matches($snomed-trans-a/@codeSystemVersion, $snomedctau-version-regex)) then $snomed-trans-a/@codeSystemVersion else '' " />
    <xsl:variable name="tsnomed-id-a" select="if (not($tname-a-to-test)) then 'none'        else if (not($snomed-trans-a/@codeSystemVersion) and          dh:IsFirstDateEarlierThanSecondDate($creation-date, substring-after($first-amt-in-sctau, '/version/')) = '1') then 'amtv3'        else if (not($snomed-trans-a/@codeSystemVersion)) then 'snomedctau'        else if (not($tsctau-version-a = '')) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-a/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="tsnomed-a-type" select="if ($tsnomed-id-a = 'amtv3') then 'AMT v3'        else if ($tsnomed-id-a = 'snomedctau') then 'SNOMED CT-AU'        else if ($tsnomed-id-a = 'snomedct') then 'SNOMED CT'        else '' " />
    <xsl:variable name="t-vers-a-old" select="if ($tsnomed-id-a = 'snomedctau' and $snomed-trans-a/@codeSystemVersion) then not(exists($ts-snomedctau[. = $snomed-trans-a/@codeSystemVersion]))         else if ($tsnomed-id-a = 'snomedctau' and $creation-date != '' and $ts-earliest-sctau-date != '') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $ts-earliest-sctau-date) = '1'         else if ($tsnomed-id-a = 'amtv3' and $snomed-trans-a/@codeSystemVersion) then not(exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion]))        else if ($tsnomed-id-a = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '1'         else false() " />
    <xsl:variable name="tsctau-ts-a" select="if ($tsctau-version-a = '' or not($t-vers-a-old)) then '' else substring-after($tsctau-version-a, '/version/') " />
    <xsl:variable name="tsctau-ts-a-xs" select="if ($tsctau-ts-a = '') then '' else concat(substring($tsctau-ts-a, 1, 4), '-', substring($tsctau-ts-a, 5, 2), '-', substring($tsctau-ts-a, 7, 2))" />
    <xsl:variable name="tsctau-ts-a-1" select="if ($tsctau-ts-a = '' or not($tsctau-ts-a-xs castable as xs:date)) then '' else string($sctau-last-xs - xs:date($tsctau-ts-a-xs)) " />
    <xsl:variable name="tsctau-ts-a-2" select="if ($tsctau-ts-a-1 = '' or not(matches($tsctau-ts-a-1, '^P[0-9]+D'))) then '' else substring-before(substring-after($tsctau-ts-a-1, 'P'), 'D') " />
    <xsl:variable name="tsctau-ts-a-63-err" select="$tsctau-ts-a-2 != '' and $tsctau-ts-a-2 &gt; $sctau-acceptable-age  " />
    <xsl:variable name="ts-tsnomed-version-a" select="if (not($tname-a-to-test) or not($tsnomed-id-a = 'snomedctau')) then ''        else if (not($snomed-trans-a/@codeSystemVersion)) then $ts-latest-snomedctau        else if ($tsnomed-id-a = 'snomedctau' and $snomed-trans-a/@codeSystemVersion and not($t-vers-a-old)) then $snomed-trans-a/@codeSystemVersion        else if ($t-vers-a-old and $ts-earliest-sctau-date != '') then concat('http://snomed.info/sct/32506021000036107/version/', $ts-earliest-sctau-date)        else $ts-latest-snomedctau " />
    <xsl:variable name="v-tsnomed-version-a" select="if (not($tsnomed-id-a = 'amtv3')) then ''        else if ($snomed-trans-a/@codeSystemVersion and exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($t-vers-a-old) then concat('http://snomed.info/sct/900062011000036108/version/', $v-earliest-amtv3-date)        else $v-latest-amtv3 " />
    <xsl:variable name="test-tname-a" select="$tname-a-to-test and not($ts-tsnomed-version-a = '' and $v-tsnomed-version-a = '') and not($tsctau-ts-a-63-err) " />
    <xsl:variable name="t-a-term-actual-1" select="if ($test-tname-a and $use-ts-for-sctau and $tsnomed-id-a = 'snomedctau')         then dh:FindPreferredTermUsingTS($tcode-a, '2.16.840.1.113883.6.96', $ts-tsnomed-version-a)         else if ($test-tname-a and exists($v-amtv3) and $tsnomed-id-a = 'amtv3')         then replace(dh:FindPreferredTermAndCaseSignificance($tcode-a, '2.16.840.1.113883.6.96', $v-tsnomed-version-a), '\|.*$', '', 'is')        else '' " />
    <xsl:variable name="error-usingTS-3" select="$error-usingTS-2 or $t-a-term-actual-1 = 'Error' " />
    <xsl:variable name="t-a-term-actual" select="if ($t-a-term-actual-1 = 'CodeNotFound' or $t-a-term-actual-1 = 'Error') then '' else $t-a-term-actual-1 " />
    <xsl:variable name="tname-a-invalid" select="$test-tname-a and $t-a-term-actual != '' and lower-case($t-a-term-actual) != lower-case($snomed-trans-a/@displayName) " />
    <xsl:variable name="thist-a-search" select="$test-tname-a and $tname-a-invalid and $ts-snomedctau-pre-ordered != '' " />
    <xsl:variable name="thist-a-vers-2" select="if ($thist-a-search) then index-of($hist-vers-1, substring-after($ts-tsnomed-version-a, 'version/')) else () " />
    <xsl:variable name="thist-a-vers-3" select="if (exists($thist-a-vers-2) and count($hist-vers-1) &gt; $thist-a-vers-2[1]) then $hist-vers-1[$thist-a-vers-2[1] + 1] else '' " />
    <xsl:variable name="thist-a-vers-4" select="if ($thist-a-vers-3 = '') then '' else concat('http://snomed.info/sct/32506021000036107/version/', $thist-a-vers-3) " />
    <xsl:variable name="thist-a-vers-5" select="if ($thist-a-vers-4 != '' and $use-ts-for-sctau)         then dh:FindLatestVersionWhereDisplaynameMatchUsingTS($tcode-a, '2.16.840.1.113883.6.96', $thist-a-vers-4, $snomed-trans-a/@displayName, false())         else '' " />
    <xsl:variable name="error-usingTS-4" select="$error-usingTS-3 or $thist-a-vers-5 = 'Error' " />
    <xsl:variable name="thist-a-vers-found-1" select="matches($thist-a-vers-5, 'http') " />
    <xsl:variable name="tcode-a-pterm-date-1" select="if (not($tname-a-invalid) or $thist-a-vers-found-1) then ''          else dh:LatestDateForPreferredTerm($tcode-a, '2.16.840.1.113883.6.96', $v-latest-snomedctau) " />
    <xsl:variable name="error-tcode-a-pterm-date" select="'Error' = $tcode-a-pterm-date-1" />
    <xsl:variable name="tcode-a-pterm-date-2" select="if (matches($tcode-a-pterm-date-1, '^[0-9]{8}\|')) then substring-before($tcode-a-pterm-date-1, '|') else '' " />
    <xsl:variable name="tcode-a-pterm-date-est" select="$tcode-a-pterm-date-2 != '' and dh:IsFirstDateEarlierThanSecondDate($creation-date, $tcode-a-pterm-date-2) = '0' " />
    <xsl:variable name="tcode-a-pterm-date" select="if ($tcode-a-pterm-date-est) then $tcode-a-pterm-date-2 else '' " />
    <xsl:variable name="thist-a-vers-6" select="if ($thist-a-vers-5 = 'PreferredTermNeverMatches' and not($tcode-a-pterm-date-est) and matches($tcode-a, $sctau-namespace-id-regex))         then dh:IsCodePreferredTermInTerminologyValid($tcode-a, '2.16.840.1.113883.6.96', $v-latest-amtv3, $snomed-trans-a/@displayName)        else '' " />
    <xsl:variable name="thist-a-vers-found-2" select="$thist-a-vers-6 = 'PreferredTermMatch' " />
    <xsl:variable name="thist-a-vers-7" select="if ($thist-a-vers-6 = 'PreferredTermMismatch' and not($tcode-a-pterm-date-est) and $v-latest-amtv2 = $last-amtv2)         then dh:IsCodePreferredTermInTerminologyValid($tcode-a, '1.2.36.1.2001.1004.100', $last-amtv2, $snomed-trans-a/@displayName)        else '' " />
    <xsl:variable name="thist-a-vers-found-3" select="$thist-a-vers-7 = 'PreferredTermMatch' " />
    <xsl:variable name="thist-a-vers-found" select="$thist-a-vers-found-1 or $thist-a-vers-found-2 or $thist-a-vers-found-3 or $tcode-a-pterm-date-est " />
    <xsl:variable name="thist-a-vers-date" select="if ($thist-a-vers-found-1) then substring-after($thist-a-vers-5, 'http://snomed.info/sct/32506021000036107/version/')         else if ($thist-a-vers-found-2) then substring-after($v-latest-amtv3, 'http://snomed.info/sct/900062011000036108/version/')        else if ($thist-a-vers-found-3) then $last-amtv2-date        else if ($tcode-a-pterm-date-est) then $tcode-a-pterm-date        else '' " />
    <xsl:variable name="thist-a-last-diff" select="if ($sctau-last = '' or $thist-a-vers-date = '') then ''        else iq:display-date-diff($thist-a-vers-date, $sctau-last)[2] " />
    <xsl:variable name="thist-a-last-old" select="$thist-a-last-diff != '' and not(number($thist-a-last-diff) &lt; $sctau-acceptable-age) " />
    <xsl:variable name="t-a-term-found-in" select="if ($thist-a-vers-found-1) then 'last used in the version of SNOMED CT-AU'        else if ($thist-a-vers-found-2) then 'used in the version of AMT v3'        else if ($thist-a-vers-found-3) then 'used in the version of AMT v2'        else '' " />
    <xsl:variable name="thist-a-last-msg" select="if ($tcode-a-pterm-date-est) then concat(' The preferred term was last changed in the version of SNOMED CT-AU published ',          iq:display-date($thist-a-vers-date),          ' so if the value of the translation code displayName was ever valid then it must be before then. ',          'That version was published ', $thist-a-last-diff, ' days before the version of SNOMED CT-AU published immediately prior to the date ''',         /cda:ClinicalDocument/cda:effectiveTime/@value, ''' that this ', $document-name,          ' was created. SNOMED CT-AU is published monthly and the Australian National Terminology Licence Agreement requires the copy used ',         'in healthcare software systems (live or production environments) to be updated within 30 days of the National Terminology release.')         else if (not($thist-a-last-old) or $t-a-term-found-in = '') then ''           else concat(' The value of the translation code displayName was ', $t-a-term-found-in, ' published on the ', iq:display-date($thist-a-vers-date),         '. That version was published ', $thist-a-last-diff, ' days before the version of SNOMED CT-AU published immediately prior to the date the ',        $document-name, ' was created. SNOMED CT-AU is published monthly and the Australian National Terminology Licence Agreement requires ',        'the copy used in healthcare software systems (live or production environments) to be updated within 30 days of the National Terminology release.')" />
    <xsl:variable name="tr-a-date-required" select="if (not($tname-a-invalid)) then ''        else if ($snomed-trans-a/@codeSystemVersion and matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1))          then substring-after($snomed-trans-a/@codeSystemVersion, '/version/')        else if ($creation-date-est) then ''        else $creation-date " />
    <xsl:variable name="tr-a-date-diff" select="if ($tr-a-date-required = '' or         not(dh:IsFirstDateEarlierThanSecondDate(substring-after($ts-tsnomed-version-a, '/version/'), $tr-a-date-required) = '1')) then ()        else iq:display-date-diff(substring-after($ts-tsnomed-version-a, '/version/'), $tr-a-date-required)" />
    <xsl:variable name="tr-a-old-ts-version" select="exists($tr-a-date-diff) and number($tr-a-date-diff[2]) &gt; 31 " />
    <xsl:variable name="snomed-trans-b" select="if (exists($snomed-trans-1)) then $snomed-trans-1[@code and not(@code = $tcode-a)] else () " />
    <xsl:variable name="tcode-b" select="if (exists($snomed-trans-b)) then $snomed-trans-b/@code else '' " />
    <xsl:variable name="tname-b-to-test" select="$tcode-b != '' and $snomed-trans-b/@displayName " />
    <xsl:variable name="tsctau-version-b" select="if (exists($snomed-trans-b/@codeSystemVersion) and matches($snomed-trans-b/@codeSystemVersion, $snomedctau-version-regex)) then $snomed-trans-b/@codeSystemVersion else '' " />
    <xsl:variable name="tsnomed-id-b" select="if (not($tname-b-to-test)) then 'none'        else if (not($snomed-trans-b/@codeSystemVersion) and          dh:IsFirstDateEarlierThanSecondDate($creation-date, substring-after($first-amt-in-sctau, '/version/')) = '1') then 'amtv3'        else if (not($snomed-trans-b/@codeSystemVersion)) then 'snomedctau'        else if (not($tsctau-version-b = '')) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-b/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="tsnomed-b-type" select="if ($tsnomed-id-b = 'amtv3') then 'AMT v3'        else if ($tsnomed-id-b = 'snomedctau') then 'SNOMED CT-AU'        else if ($tsnomed-id-b = 'snomedct') then 'SNOMED CT'        else '' " />
    <xsl:variable name="t-vers-b-old" select="if ($tsnomed-id-b = 'snomedctau' and $snomed-trans-b/@codeSystemVersion) then not(exists($ts-snomedctau[. = $snomed-trans-b/@codeSystemVersion]))         else if ($tsnomed-id-b = 'snomedctau' and $creation-date != '' and $ts-earliest-sctau-date != '') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $ts-earliest-sctau-date) = '1'         else if ($tsnomed-id-b = 'amtv3' and $snomed-trans-b/@codeSystemVersion) then not(exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion]))        else if ($tsnomed-id-b = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '1'         else false() " />
    <xsl:variable name="tsctau-ts-b" select="if ($tsctau-version-b = '' or not($t-vers-b-old)) then '' else substring-after($tsctau-version-b, '/version/') " />
    <xsl:variable name="tsctau-ts-b-xs" select="if ($tsctau-ts-b = '') then '' else concat(substring($tsctau-ts-b, 1, 4), '-', substring($tsctau-ts-b, 5, 2), '-', substring($tsctau-ts-b, 7, 2))" />
    <xsl:variable name="tsctau-ts-b-1" select="if ($tsctau-ts-b = '' or not($tsctau-ts-b-xs castable as xs:date)) then '' else string($sctau-last-xs - xs:date($tsctau-ts-b-xs)) " />
    <xsl:variable name="tsctau-ts-b-2" select="if ($tsctau-ts-b-1 = '' or not(matches($tsctau-ts-b-1, '^P[0-9]+D'))) then '' else substring-before(substring-after($tsctau-ts-b-1, 'P'), 'D') " />
    <xsl:variable name="tsctau-ts-b-63-err" select="$tsctau-ts-b-2 != '' and $tsctau-ts-b-2 &gt; $sctau-acceptable-age  " />
    <xsl:variable name="ts-tsnomed-version-b" select="if (not($tname-b-to-test) or not($tsnomed-id-b = 'snomedctau')) then ''        else if (not($snomed-trans-b/@codeSystemVersion)) then $ts-latest-snomedctau        else if ($tsnomed-id-b = 'snomedctau' and $snomed-trans-b/@codeSystemVersion and not($t-vers-b-old)) then $snomed-trans-b/@codeSystemVersion        else if ($t-vers-b-old and $ts-earliest-sctau-date != '') then concat('http://snomed.info/sct/32506021000036107/version/', $ts-earliest-sctau-date)        else $ts-latest-snomedctau " />
    <xsl:variable name="v-tsnomed-version-b" select="if (not($tsnomed-id-b = 'amtv3')) then ''        else if ($snomed-trans-b/@codeSystemVersion and exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($t-vers-b-old) then concat('http://snomed.info/sct/900062011000036108/version/', $v-earliest-amtv3-date)        else $v-latest-amtv3 " />
    <xsl:variable name="test-tname-b" select="$tname-b-to-test and not($ts-tsnomed-version-b = '' and $v-tsnomed-version-b = '') and not($tsctau-ts-b-63-err) " />
    <xsl:variable name="t-b-term-actual-1" select="if ($test-tname-b and $use-ts-for-sctau and $tsnomed-id-b = 'snomedctau')        then dh:FindPreferredTermUsingTS($tcode-b, '2.16.840.1.113883.6.96', $ts-tsnomed-version-b)        else if ($test-tname-b and exists($v-amtv3) and $tsnomed-id-b = 'amtv3')        then replace(dh:FindPreferredTermAndCaseSignificance($tcode-b, '2.16.840.1.113883.6.96', $v-tsnomed-version-b), '\|.*$', '', 'is')       else '' " />
    <xsl:variable name="error-usingTS-5" select="$error-usingTS-4 or $t-b-term-actual-1 = 'Error' " />
    <xsl:variable name="t-b-term-actual" select="if ($t-b-term-actual-1 = 'CodeNotFound' or $t-b-term-actual-1 = 'Error') then '' else $t-b-term-actual-1 " />
    <xsl:variable name="tname-b-invalid" select="$test-tname-b and $t-b-term-actual != '' and lower-case($t-b-term-actual) != lower-case($snomed-trans-b/@displayName) " />
    <xsl:variable name="thist-b-search" select="$test-tname-b and $tname-b-invalid and $ts-snomedctau-pre-ordered != '' " />
    <xsl:variable name="thist-b-vers-2" select="if ($thist-b-search) then index-of($hist-vers-1, substring-after($ts-tsnomed-version-b, 'version/')) else () " />
    <xsl:variable name="thist-b-vers-3" select="if (exists($thist-b-vers-2) and count($hist-vers-1) &gt; $thist-b-vers-2[1]) then $hist-vers-1[$thist-b-vers-2[1] + 1] else '' " />
    <xsl:variable name="thist-b-vers-4" select="if ($thist-b-vers-3 = '') then '' else concat('http://snomed.info/sct/32506021000036107/version/', $thist-b-vers-3) " />
    <xsl:variable name="thist-b-vers-5" select="if ($thist-b-vers-4 != '' and $use-ts-for-sctau)         then dh:FindLatestVersionWhereDisplaynameMatchUsingTS($tcode-b, '2.16.840.1.113883.6.96', $thist-b-vers-4, $snomed-trans-b/@displayName, false())         else '' " />
    <xsl:variable name="error-usingTS-6" select="$error-usingTS-5 or $thist-b-vers-5 = 'Error' " />
    <xsl:variable name="thist-b-vers-found-1" select="matches($thist-b-vers-5, 'http') " />
    <xsl:variable name="tcode-b-pterm-date-1" select="if (not($tname-b-invalid) or $thist-b-vers-found-1) then ''          else dh:LatestDateForPreferredTerm($tcode-b, '2.16.840.1.113883.6.96', $v-latest-snomedctau) " />
    <xsl:variable name="error-tcode-b-pterm-date" select="'Error' = $tcode-b-pterm-date-1" />
    <xsl:variable name="tcode-b-pterm-date-2" select="if (matches($tcode-b-pterm-date-1, '^[0-9]{8}\|')) then substring-before($tcode-b-pterm-date-1, '|') else '' " />
    <xsl:variable name="tcode-b-pterm-date-est" select="$tcode-b-pterm-date-2 != '' and dh:IsFirstDateEarlierThanSecondDate($creation-date, $tcode-b-pterm-date-2) = '0' " />
    <xsl:variable name="tcode-b-pterm-date" select="if ($tcode-b-pterm-date-est) then $tcode-b-pterm-date-2 else '' " />
    <xsl:variable name="thist-b-vers-6" select="if ($thist-b-vers-5 = 'PreferredTermNeverMatches' and not($tcode-b-pterm-date-est) and matches($tcode-b, $sctau-namespace-id-regex))         then dh:IsCodePreferredTermInTerminologyValid($tcode-b, '2.16.840.1.113883.6.96', $v-latest-amtv3, $snomed-trans-b/@displayName)        else '' " />
    <xsl:variable name="thist-b-vers-found-2" select="$thist-b-vers-6 = 'PreferredTermMatch' " />
    <xsl:variable name="thist-b-vers-7" select="if ($thist-b-vers-6 = 'PreferredTermMismatch' and not($tcode-b-pterm-date-est) and $v-latest-amtv2 = $last-amtv2)         then dh:IsCodePreferredTermInTerminologyValid($tcode-b, '1.2.36.1.2001.1004.100', $last-amtv2, $snomed-trans-b/@displayName)        else '' " />
    <xsl:variable name="thist-b-vers-found-3" select="$thist-b-vers-7 = 'PreferredTermMatch' " />
    <xsl:variable name="thist-b-vers-found" select="$thist-b-vers-found-1 or $thist-b-vers-found-2 or $thist-b-vers-found-3 or $tcode-b-pterm-date-est " />
    <xsl:variable name="thist-b-vers-date" select="if ($thist-b-vers-found-1) then substring-after($thist-b-vers-5, 'http://snomed.info/sct/32506021000036107/version/')         else if ($thist-b-vers-found-2) then substring-after($v-latest-amtv3, 'http://snomed.info/sct/900062011000036108/version/')        else if ($thist-b-vers-found-3) then $last-amtv2-date        else if ($tcode-b-pterm-date-est) then $tcode-b-pterm-date        else '' " />
    <xsl:variable name="thist-b-last-diff" select="if ($sctau-last = '' or $thist-b-vers-date = '') then ''        else iq:display-date-diff($thist-b-vers-date, $sctau-last)[2] " />
    <xsl:variable name="thist-b-last-old" select="$thist-b-last-diff != '' and not(number($thist-b-last-diff) &lt; $sctau-acceptable-age) " />
    <xsl:variable name="t-b-term-found-in" select="if ($thist-b-vers-found-1) then 'last used in the version of SNOMED CT-AU'        else if ($thist-b-vers-found-2) then 'used in the version of AMT v3'        else if ($thist-b-vers-found-3) then 'used in the version of AMT v2'        else '' " />
    <xsl:variable name="thist-b-last-msg" select="if ($tcode-b-pterm-date-est) then concat(' The preferred term was last changed in the version of SNOMED CT-AU published ',          iq:display-date($thist-b-vers-date),          ' so if the value of the translation code displayName was ever valid then it must be before then. ',          'That version was published ', $thist-b-last-diff, ' days before the version of SNOMED CT-AU published immediately prior to the date ''',         /cda:ClinicalDocument/cda:effectiveTime/@value, ''' that this ', $document-name,          ' was created. SNOMED CT-AU is published monthly and the Australian National Terminology Licence Agreement requires the copy used ',         'in healthcare software systems (live or production environments) to be updated within 30 days of the National Terminology release.')        else if (not($thist-b-last-old) or $t-b-term-found-in = '') then ''           else concat(' The value of the translation code displayName was ', $t-b-term-found-in,         ' published on the ', iq:display-date($thist-b-vers-date),         '. That version was published ', $thist-b-last-diff, ' days before the version of SNOMED CT-AU published immediately prior to the date the ',        $document-name, ' was created. SNOMED CT-AU is published monthly and the Australian National Terminology Licence Agreement requires ',        'the copy used in healthcare software systems (live or production environments) to be updated within 30 days of the National Terminology release.')" />
    <xsl:variable name="tr-b-date-required" select="if (not($tname-b-invalid)) then ''        else if ($snomed-trans-b/@codeSystemVersion and matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1))          then substring-after($snomed-trans-b/@codeSystemVersion, '/version/')        else if ($creation-date-est) then ''        else $creation-date " />
    <xsl:variable name="tr-b-date-diff" select="if ($tr-b-date-required = '' or         not(dh:IsFirstDateEarlierThanSecondDate(substring-after($ts-tsnomed-version-b, '/version/'), $tr-b-date-required) = '1')) then ()        else iq:display-date-diff(substring-after($ts-tsnomed-version-b, '/version/'), $tr-b-date-required)" />
    <xsl:variable name="tr-b-old-ts-version" select="exists($tr-b-date-diff) and number($tr-b-date-diff[2]) &gt; 31 " />
    <xsl:variable name="psnomed-version-msg" select="if (not($pname-to-test) or $psctau-ts-63-err) then ''        else if (not(@codeSystemVersion) and $psnomed-id = 'snomedctau' and $pvers-old)          then concat(' The terminology server did not have a version of SNOMED CT-AU published before the date the clinical document was created (',         /cda:ClinicalDocument/cda:effectiveTime/@value, ') so the ''',          $ts-psnomed-version, ''' version of the SNOMED CT-AU code system was used in the assessment.')        else if (not(@codeSystemVersion) and $psnomed-id = 'amtv3' and $pvers-old)          then concat(' The terminology server did not have a version of AMT v3 published before the date the clinical document was created (',         /cda:ClinicalDocument/cda:effectiveTime/@value, ') so the ''',          $v-psnomed-version, ''' version of the AMT v3 code system was used in the assessment.')        else if (not(@codeSystemVersion) and $psnomed-id = 'amtv3') then concat(' The data element did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the AMT v3 code system was used in the assessment.')        else if (not(@codeSystemVersion)) then concat(' The data element did not contain the codeSystemVersion attribute so the ''',          $ts-psnomed-version, ''' version of the SNOMED CT-AU code system was used in the assessment.')        else if ($psnomed-id = 'snomedctau' and not($pvers-old)) then          concat(' The ''', $ts-psnomed-version, ''' version of the code system was used to validate the SNOMED CT-AU code.')        else if ($psnomed-id = 'snomedctau' and $pvers-old) then          concat(' The codeSystemVersion attribute has the correct format for SNOMED CT-AU ''', @codeSystemVersion,          ''' but that version is not present in the Terminology Server.')        else if ($psnomed-id = 'amtv3') then         concat(' The codeSystemVersion attribute has the correct format for AMT v3 ''', @codeSystemVersion,          ''' but that version was not available to use in the assessment.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1) or matches(@codeSystemVersion, $snomed-version-regex-2)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system was not available to use in the assessment.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' .') " />
    <xsl:variable name="tsnomed-version-a-msg" select="if (not($tname-a-to-test) or $tsctau-ts-a-63-err) then ''        else if (not($snomed-trans-a/@codeSystemVersion) and $tsnomed-id-a = 'snomedctau' and $t-vers-a-old)          then concat(' The terminology server did not have a version of SNOMED CT-AU published before the date the clinical document was created (',         /cda:ClinicalDocument/cda:effectiveTime/@value, ') so the ''',          $ts-tsnomed-version-a, ''' version of the SNOMED CT-AU code system was used in the assessment.')        else if (not($snomed-trans-a/@codeSystemVersion) and $tsnomed-id-a = 'amtv3' and $t-vers-a-old)          then concat(' The Clinical Package Validator did not have a version of AMT v3 published before the date the clinical document was created (',         /cda:ClinicalDocument/cda:effectiveTime/@value, ') so the ''',          $v-tsnomed-version-a, ''' version of the AMT v3 code system was used in the assessment.')        else if (not($snomed-trans-a/@codeSystemVersion) and $tsnomed-id-a = 'amtv3')          then concat(' The data element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-a, ''' version of the AMT v3 code system was used in the assessment.')        else if (not($snomed-trans-a/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $ts-tsnomed-version-a, ''' version of the SNOMED CT-AU code system was used in the assessment.')         else if ($tsnomed-id-a = 'snomedctau' and not($t-vers-a-old)) then          concat(' The ''', $ts-tsnomed-version-a, ''' version of the code system was used to validate the SNOMED CT-AU code.')        else if ($tsnomed-id-a = 'snomedctau' and $t-vers-a-old) then          concat(' The codeSystemVersion attribute has the correct format for SNOMED CT-AU ''', $snomed-trans-a/@codeSystemVersion,          ''' but that version is not present in the Terminology Server.')        else if ($tsnomed-id-a = 'amtv3') then         concat(' The codeSystemVersion attribute has the correct format for AMT v3 ''', $snomed-trans-a/@codeSystemVersion,          ''' but that version was not available to use in the assessment.')        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1) or matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-2))         then concat(' The ''', $snomed-trans-a/@codeSystemVersion, ''' version of the code system was not available to use in the assessment.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-a/@codeSystemVersion, '''.') " />
    <xsl:variable name="tsnomed-version-b-msg" select="if (not($tname-b-to-test) or $ts-tsnomed-version-b = '' or $tsctau-ts-b-63-err) then ''        else if (not($snomed-trans-b/@codeSystemVersion) and $tsnomed-id-b = 'snomedctau' and $t-vers-b-old)          then concat(' The terminology server did not have a version of SNOMED CT-AU published before the date the clinical document was created (',         /cda:ClinicalDocument/cda:effectiveTime/@value, ') so the ''',          $ts-tsnomed-version-b, ''' version of the SNOMED CT-AU code system was used in the assessment.')        else if (not($snomed-trans-b/@codeSystemVersion) and $tsnomed-id-b = 'amtv3' and $t-vers-b-old)          then concat(' The Clinical Package Validator did not have a version of AMT v3 published before the date the clinical document was created (',         /cda:ClinicalDocument/cda:effectiveTime/@value, ') so the ''',          $v-tsnomed-version-b, ''' version of the AMT v3 code system was used in the assessment.')        else if (not($snomed-trans-b/@codeSystemVersion) and $tsnomed-id-b = 'amtv3')          then concat(' The data element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-b, ''' version of the AMT v3 code system was used in the assessment.')        else if (not($snomed-trans-b/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $ts-tsnomed-version-b, ''' version of the SNOMED CT-AU code system was used in the assessment.')         else if ($tsnomed-id-b = 'snomedctau' and not($t-vers-b-old)) then          concat(' The ''', $ts-tsnomed-version-b, ''' version of the code system was used to validate the SNOMED CT-AU code.')        else if ($tsnomed-id-b = 'snomedctau' and $t-vers-b-old) then          concat(' The codeSystemVersion attribute has the correct format for SNOMED CT-AU ''', $snomed-trans-b/@codeSystemVersion,          ''' but that version is not present in the Terminology Server.')        else if ($tsnomed-id-b = 'amtv3') then         concat(' The codeSystemVersion attribute has the correct format for AMT v3 ''', $snomed-trans-b/@codeSystemVersion,          ''' but that version was not available to use in the assessment.')        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1) or matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-2))         then concat(' The ''', $snomed-trans-b/@codeSystemVersion, ''' version of the code system was not available to use in the assessment.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-b/@codeSystemVersion, '''.') " />
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and ($pname-to-test or $tname-a-to-test or $tname-b-to-test) and not($use-ts-for-sctau) and    not($psctau-ts-63-err or $tsctau-ts-a-63-err or $tsctau-ts-b-63-err) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and ($pname-to-test or $tname-a-to-test or $tname-b-to-test) and not($use-ts-for-sctau) and not($psctau-ts-63-err or $tsctau-ts-a-63-err or $tsctau-ts-b-63-err)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Vaccine Cancellation Entry - Vaccine Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /><xsl:text /><xsl:value-of select="if ($tname-a-to-test) then concat(' and translation ', iq:display-CD($snomed-trans-a)) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($tname-b-to-test) then concat(' and translation ', iq:display-CD($snomed-trans-b)) else '' " /><xsl:text />
		A terminology server with SNOMED CT-AU codes was not available so it was not possible to verify that the AMT code contains the preferred term for the displayName.
		Confirm that the value of the displayName attribute meets the requirement that it be the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 4.5 of the Australian Immunisation Register Structured Content Specification v1.0.) 

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-6 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-6">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-GCD: An error was reported when accessing the terminology server. The analysis should be retried as the terminology server may have been temporarily unavailable.
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.
		<xsl:text /><xsl:value-of select="if ($p-term-actual-1 = 'Error') then concat(' The error occurred when calling the function FindPreferredTermUsingTS with code ''', $pcode,    ''', codeSystem ''2.16.840.1.113883.6.96'' and codeSystemVersion ''', $ts-psnomed-version, '''.')   else if ($t-a-term-actual-1 = 'Error') then concat(' The error occurred when calling the function FindPreferredTermUsingTS with code ''', $tcode-a,    ''', codeSystem ''2.16.840.1.113883.6.96'' and codeSystemVersion ''', $ts-tsnomed-version-a, '''.')   else if ($t-b-term-actual-1 = 'Error') then concat(' The error occurred when calling the function FindPreferredTermUsingTS with code ''', $tcode-b,    ''', codeSystem ''2.16.840.1.113883.6.96'' and codeSystemVersion ''', $ts-tsnomed-version-b, '''.')   else if ($phist-vers-5 = 'Error') then concat(' The error occurred when calling the function FindLatestVersionWhereDisplaynameMatchUsingTS with code ''', @code,    ''', codeSystem ''2.16.840.1.113883.6.96'', initialVersion ''', $phist-vers-4, ''', displayName ''', @displayName, ''' and enforceCase ''false()''.')   else if ($thist-a-vers-5 = 'Error') then concat(' The error occurred when calling the function FindLatestVersionWhereDisplaynameMatchUsingTS with code ''', $tcode-a,    ''', codeSystem ''2.16.840.1.113883.6.96'', initialVersion ''', $thist-a-vers-4, ''', displayName ''', $snomed-trans-a/@displayName, ''' and enforceCase ''false()''.')   else if ($thist-b-vers-5 = 'Error') then concat(' The error occurred when calling the function FindLatestVersionWhereDisplaynameMatchUsingTS with code ''', $tcode-b,    ''', codeSystem ''2.16.840.1.113883.6.96'', initialVersion ''', $thist-b-vers-4, ''', displayName ''', $snomed-trans-b/@displayName, ''' and enforceCase ''false()''.')    else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-pcode-pterm-date ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-pcode-pterm-date">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$pcode-pterm-date-1" /><xsl:text /> was returned when calling the function LatestDateForPreferredTerm with
		code '<xsl:text /><xsl:value-of select="$pcode" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-latest-snomedctau" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$phist-vers-6 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$phist-vers-6 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$phist-vers-6" /><xsl:text /> was returned when calling the function IsCodePreferredTermInTerminologyValid with
		code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96', codeSystemVersion '<xsl:text /><xsl:value-of select="$v-latest-amtv3" /><xsl:text />' and
		displayName '<xsl:text /><xsl:value-of select="@displayName" /><xsl:text />'. The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$phist-vers-7 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$phist-vers-7 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$phist-vers-7" /><xsl:text /> was returned when calling the function IsCodePreferredTermInTerminologyValid with
		code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />', codeSystem '1.2.36.1.2001.1004.100', codeSystemVersion '<xsl:text /><xsl:value-of select="$last-amtv2" /><xsl:text />' and
		displayName '<xsl:text /><xsl:value-of select="@displayName" /><xsl:text />'. The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $pname-to-test and (not($test-pname) or ($pname-invalid and $pvers-old)) and not($pcode-pterm-date-est or $psctau-ts-63-err)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pname-to-test and (not($test-pname) or ($pname-invalid and $pvers-old)) and not($pcode-pterm-date-est or $psctau-ts-63-err)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Vaccine Cancellation Entry - Vaccine Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		Confirm that the value of the displayName attribute is the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 4.5 of the Australian Immunisation Register Structured Content Specification v1.0.)<xsl:text /><xsl:value-of select="$psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $pname-to-test and $pname-invalid and (not($pvers-old) or $pcode-pterm-date-est) and    (not($phist-vers-found) or ($phist-vers-found and $phist-last-old)) and not($p-old-ts-version)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pname-to-test and $pname-invalid and (not($pvers-old) or $pcode-pterm-date-est) and (not($phist-vers-found) or ($phist-vers-found and $phist-last-old)) and not($p-old-ts-version)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Vaccine Cancellation Entry - Vaccine Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. The value of the displayName attribute does not meet the requirement that it be the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 4.5 of the Australian Immunisation Register Structured Content Specification v1.0.) <xsl:text /><xsl:value-of select="$phist-last-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($p-term-actual = '') then ''   else if ($ts-psnomed-version != '') then concat(' According to the ''', $ts-psnomed-version, ''' version of SNOMED CT-AU the correct value for the preferred term is ''',   dh:XQueryRecursiveReplace($p-term-actual, $markup-pattern-replacement, 'ic'), '''.')   else concat(' According to the ''', $v-psnomed-version, ''' version of AMT v3 the correct value for the preferred term is ''',   dh:XQueryRecursiveReplace($p-term-actual, $markup-pattern-replacement, 'ic'), '''.') " /><xsl:text />'

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $pname-to-test and $pname-invalid and (not($pvers-old) or $pcode-pterm-date-est) and    (not($phist-vers-found) or ($phist-vers-found and $phist-last-old)) and $p-old-ts-version">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pname-to-test and $pname-invalid and (not($pvers-old) or $pcode-pterm-date-est) and (not($phist-vers-found) or ($phist-vers-found and $phist-last-old)) and $p-old-ts-version">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Vaccine Cancellation Entry - Vaccine Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. The value of the displayName attribute may not meet the requirement that it be the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 4.5 of the Australian Immunisation Register Structured Content Specification v1.0.) According to the '<xsl:text /><xsl:value-of select="$ts-psnomed-version" /><xsl:text />' version of SNOMED CT-AU the correct value for the preferred term is
		'<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($p-term-actual, $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		However that version of SNOMED CT-AU in the Terminology Server was published on the <xsl:text /><xsl:value-of select="iq:display-date(substring-after($ts-psnomed-version, '/version/'))" /><xsl:text />
		which is <xsl:text /><xsl:value-of select="$p-date-diff" /><xsl:text /> before the <xsl:text /><xsl:value-of select="if (@codeSystemVersion and matches(@codeSystemVersion, $snomed-version-regex-1)) then   'value of the codeSystemVersion attribute' else concat('date the ', $document-name, ' was created')" /><xsl:text /> which is <xsl:text /><xsl:value-of select="iq:display-date($creation-date)" /><xsl:text />.
		Use a more recently published version of SNOMED CT-AU to confirm if the value of the displayName attribute is the preferred term for the code.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Vaccine Cancellation Entry - Vaccine Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> has 
		<xsl:text /><xsl:value-of select="if ($numbers/number[number(@value) = count($snomed-trans-2)])        then $numbers/number[number(@value) = count($snomed-trans-2)]/@name        else count($snomed-trans-2)" /><xsl:text /> translation elements with
		distinct codes and the SNOMED CT codeSystem '2.16.840.1.113883.6.96'. The first translation element has been assessed to determine if the value of the displayName is the preferred term and
		the others have not been assessed. Confirm if the value of the displayName attribute in all SNOMED CT translation elements meets the requirement that it be the preferred term, also known as
		the preferred synonym, for the code. (See the Conditions of Use in the definition of Vaccine Cancellation Entry - Vaccine Name in the Conditions of Use in section 4.5 of the Australian Immunisation Register Structured Content Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-tcode-a-pterm-date ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-tcode-a-pterm-date">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$tcode-a-pterm-date-1" /><xsl:text /> was returned when calling the function LatestDateForPreferredTerm with
		code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-latest-snomedctau" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$thist-a-vers-6 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$thist-a-vers-6 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$thist-a-vers-6" /><xsl:text /> was returned when calling the function IsCodePreferredTermInTerminologyValid with
		code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', '2.16.840.1.113883.6.96', codeSystemVersion '<xsl:text /><xsl:value-of select="$v-latest-amtv3" /><xsl:text />' and
		displayName '<xsl:text /><xsl:value-of select="$snomed-trans-a/@displayName" /><xsl:text />'. The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$thist-a-vers-7 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$thist-a-vers-7 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$thist-a-vers-7" /><xsl:text /> was returned when calling the function IsCodePreferredTermInTerminologyValid with
		code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', codeSystem '1.2.36.1.2001.1004.100', codeSystemVersion '<xsl:text /><xsl:value-of select="$last-amtv2" /><xsl:text />' and
		displayName '<xsl:text /><xsl:value-of select="$snomed-trans-a/@displayName" /><xsl:text />'. The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-tcode-b-pterm-date ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-tcode-b-pterm-date">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$tcode-b-pterm-date-1" /><xsl:text /> was returned when calling the function LatestDateForPreferredTerm with
		code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-latest-snomedctau" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$thist-b-vers-6 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$thist-b-vers-6 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$thist-b-vers-6" /><xsl:text /> was returned when calling the function IsCodePreferredTermInTerminologyValid with
		code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', '2.16.840.1.113883.6.96', codeSystemVersion '<xsl:text /><xsl:value-of select="$v-latest-amtv3" /><xsl:text />' and
		displayName '<xsl:text /><xsl:value-of select="$snomed-trans-b/@displayName" /><xsl:text />'. The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$thist-b-vers-7 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$thist-b-vers-7 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$thist-b-vers-7" /><xsl:text /> was returned when calling the function IsCodePreferredTermInTerminologyValid with
		code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', codeSystem '1.2.36.1.2001.1004.100', codeSystemVersion '<xsl:text /><xsl:value-of select="$last-amtv2" /><xsl:text />' and
		displayName '<xsl:text /><xsl:value-of select="$snomed-trans-b/@displayName" /><xsl:text />'. The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $tname-a-to-test and (not($test-tname-a) or ($tname-a-invalid and $t-vers-a-old)) and not($tcode-a-pterm-date-est or $tsctau-ts-a-63-err) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tname-a-to-test and (not($test-tname-a) or ($tname-a-invalid and $t-vers-a-old)) and not($tcode-a-pterm-date-est or $tsctau-ts-a-63-err)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Vaccine Cancellation Entry - Vaccine Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> has translation <xsl:text /><xsl:value-of select="iq:display-CD($snomed-trans-a)" /><xsl:text />.
		Confirm that the value of the translation code displayName attribute is the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 4.5 of the Australian Immunisation Register Structured Content Specification v1.0.)<xsl:text /><xsl:value-of select="$tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $tname-b-to-test and (not($test-tname-b) or ($tname-b-invalid and $t-vers-b-old)) and not($tcode-b-pterm-date-est or $tsctau-ts-b-63-err) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tname-b-to-test and (not($test-tname-b) or ($tname-b-invalid and $t-vers-b-old)) and not($tcode-b-pterm-date-est or $tsctau-ts-b-63-err)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Vaccine Cancellation Entry - Vaccine Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> has translation <xsl:text /><xsl:value-of select="iq:display-CD($snomed-trans-b)" /><xsl:text />.
		Confirm that the value of the translation code displayName attribute is the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 4.5 of the Australian Immunisation Register Structured Content Specification v1.0.)<xsl:text /><xsl:value-of select="$tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tcode-a = '') and $tname-a-invalid and (not($t-vers-a-old) or $tcode-a-pterm-date-est) and    (not($thist-a-vers-found) or ($thist-a-vers-found and $thist-a-last-old)) and not($tr-a-old-ts-version)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tcode-a = '') and $tname-a-invalid and (not($t-vers-a-old) or $tcode-a-pterm-date-est) and (not($thist-a-vers-found) or ($thist-a-vers-found and $thist-a-last-old)) and not($tr-a-old-ts-version)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Vaccine Cancellation Entry - Vaccine Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> has translation <xsl:text /><xsl:value-of select="iq:display-CD($snomed-trans-a)" /><xsl:text />.
		The value of the translation code displayName attribute does not meet the requirement that it be the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 4.5 of the Australian Immunisation Register Structured Content Specification v1.0.) <xsl:text /><xsl:value-of select="$thist-a-last-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($t-a-term-actual = '') then ''   else if ($ts-tsnomed-version-a != '') then concat(' According to the ''', $ts-tsnomed-version-a, ''' version of SNOMED CT-AU the correct value for the preferred term is ''',   dh:XQueryRecursiveReplace($t-a-term-actual, $markup-pattern-replacement, 'ic'), '''.')   else concat(' According to the ''', $v-tsnomed-version-a, ''' version of AMT v3 the correct value for the preferred term is ''',   dh:XQueryRecursiveReplace($t-a-term-actual, $markup-pattern-replacement, 'ic'), '''.') " /><xsl:text />'

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not($tcode-a = '') and $tname-a-invalid and (not($t-vers-a-old) or $tcode-a-pterm-date-est) and    (not($thist-a-vers-found) or ($thist-a-vers-found and $thist-a-last-old)) and $tr-a-old-ts-version">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not($tcode-a = '') and $tname-a-invalid and (not($t-vers-a-old) or $tcode-a-pterm-date-est) and (not($thist-a-vers-found) or ($thist-a-vers-found and $thist-a-last-old)) and $tr-a-old-ts-version">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Vaccine Cancellation Entry - Vaccine Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> has translation <xsl:text /><xsl:value-of select="iq:display-CD($snomed-trans-a)" /><xsl:text />.
		The value of the translation code displayName attribute may not meet the requirement that it be the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 4.5 of the Australian Immunisation Register Structured Content Specification v1.0.) According to the '<xsl:text /><xsl:value-of select="$ts-tsnomed-version-a" /><xsl:text />' version of SNOMED CT-AU the correct value for the preferred term is
		'<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($t-a-term-actual, $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		However that version of SNOMED CT-AU in the Terminology Server was published on the <xsl:text /><xsl:value-of select="iq:display-date(substring-after($ts-tsnomed-version-a, '/version/'))" /><xsl:text />
		which is <xsl:text /><xsl:value-of select="$tr-a-date-diff" /><xsl:text /> before the <xsl:text /><xsl:value-of select="if ($snomed-trans-a/@codeSystemVersion and matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1))    then 'value of the translation codeSystemVersion attribute' else concat('date the ', $document-name, ' was created')" /><xsl:text /> which is <xsl:text /><xsl:value-of select="iq:display-date($creation-date)" /><xsl:text />.
		Use a more recently published version of SNOMED CT-AU to confirm if the value of the displayName attribute is the preferred term for the translation code.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tcode-b = '') and $tname-b-invalid and (not($t-vers-b-old) or $tcode-b-pterm-date-est) and    (not($thist-b-vers-found) or ($thist-b-vers-found and $thist-b-last-old)) and not($tr-b-old-ts-version)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tcode-b = '') and $tname-b-invalid and (not($t-vers-b-old) or $tcode-b-pterm-date-est) and (not($thist-b-vers-found) or ($thist-b-vers-found and $thist-b-last-old)) and not($tr-b-old-ts-version)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Vaccine Cancellation Entry - Vaccine Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> has translation <xsl:text /><xsl:value-of select="iq:display-CD($snomed-trans-b)" /><xsl:text />.
		The value of the translation code displayName attribute does not meet the requirement that it be the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 4.5 of the Australian Immunisation Register Structured Content Specification v1.0.) <xsl:text /><xsl:value-of select="$thist-b-last-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($t-b-term-actual = '') then ''   else if ($ts-tsnomed-version-b != '') then concat(' According to the ''', $ts-tsnomed-version-b, ''' version of SNOMED CT-AU the correct value for the preferred term is ''',   dh:XQueryRecursiveReplace($t-b-term-actual, $markup-pattern-replacement, 'ic'), '''.')   else concat(' According to the ''', $v-tsnomed-version-b, ''' version of AMT v3 the correct value for the preferred term is ''',   dh:XQueryRecursiveReplace($t-b-term-actual, $markup-pattern-replacement, 'ic'), '''.') " /><xsl:text />'

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not($tcode-b = '') and $tname-b-invalid and (not($t-vers-b-old) or $tcode-b-pterm-date-est) and    (not($thist-b-vers-found) or ($thist-b-vers-found and $thist-b-last-old)) and $tr-b-old-ts-version">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not($tcode-b = '') and $tname-b-invalid and (not($t-vers-b-old) or $tcode-b-pterm-date-est) and (not($thist-b-vers-found) or ($thist-b-vers-found and $thist-b-last-old)) and $tr-b-old-ts-version">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Vaccine Cancellation Entry - Vaccine Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> has translation <xsl:text /><xsl:value-of select="iq:display-CD($snomed-trans-b)" /><xsl:text />.
		The value of the translation code displayName attribute may not meet the requirement that it be the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 4.5 of the Australian Immunisation Register Structured Content Specification v1.0.) According to the '<xsl:text /><xsl:value-of select="$ts-tsnomed-version-b" /><xsl:text />' version of SNOMED CT-AU the correct value for the preferred term is
		'<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($t-b-term-actual, $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		However that version of SNOMED CT-AU in the Terminology Server was published on the <xsl:text /><xsl:value-of select="iq:display-date(substring-after($ts-tsnomed-version-b, '/version/'))" /><xsl:text />
		which is <xsl:text /><xsl:value-of select="$tr-b-date-diff" /><xsl:text /> before the <xsl:text /><xsl:value-of select="if ($snomed-trans-b/@codeSystemVersion and matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1))    then 'value of the translation codeSystemVersion attribute' else concat('date the ', $document-name, ' was created')" /><xsl:text /> which is <xsl:text /><xsl:value-of select="iq:display-date($creation-date)" /><xsl:text />.
		Use a more recently published version of SNOMED CT-AU to confirm if the value of the displayName attribute is the preferred term for the translation code.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M133" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M133" />
  <xsl:template match="@*|node()" priority="-2" mode="M133">
    <xsl:apply-templates select="@*|*" mode="M133" />
  </xsl:template>
  <!--PATTERN p-TS-AIR-CodeableText-15-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.17039' = $doc-sections]/cda:component/cda:structuredBody/cda:component//         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.17039']]/cda:entry/         cda:substanceAdministratio[lower-case(cda:statusCode/@code)='cancelled']/cda:consumable/cda:manufacturedProduct/         cda:manufacturedMaterial/ext:asIngredient/ext:ingredientManufacturedMaterial/ext:code " priority="1000" mode="M134">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.17039' = $doc-sections]/cda:component/cda:structuredBody/cda:component//         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.17039']]/cda:entry/         cda:substanceAdministratio[lower-case(cda:statusCode/@code)='cancelled']/cda:consumable/cda:manufacturedProduct/         cda:manufacturedMaterial/ext:asIngredient/ext:ingredientManufacturedMaterial/ext:code " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Vaccine Cancellation Entry - Medicare Antigen Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and true() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and true() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Vaccine Cancellation Entry - Medicare Antigen Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Vaccine Cancellation Entry - Medicare Antigen Code',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Entry - Medicare Antigen Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Entry - Medicare Antigen Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'allowed' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'allowed' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Vaccine Cancellation Entry - Medicare Antigen Code however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Vaccine Cancellation Entry - Medicare Antigen Code in the Australian Immunisation Register Structured Content Specification v1.0 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'allowed' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'allowed' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Vaccine Cancellation Entry - Medicare Antigen Code however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Vaccine Cancellation Entry - Medicare Antigen Code in the Australian Immunisation Register Structured Content Specification v1.0 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Vaccine Cancellation Entry - Medicare Antigen Code data element must have a value that is consistent with this definition. Alternatively if there is no Vaccine Cancellation Entry - Medicare Antigen Code data element with a proper value then an exclusion
		statement must be included to state why there is no Vaccine Cancellation Entry - Medicare Antigen Code.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'allowed' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'allowed' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Vaccine Cancellation Entry - Medicare Antigen Code however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Vaccine Cancellation Entry - Medicare Antigen Code in the Australian Immunisation Register Structured Content Specification v1.0 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'allowed' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'allowed' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Vaccine Cancellation Entry - Medicare Antigen Code however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Vaccine Cancellation Entry - Medicare Antigen Code in the Australian Immunisation Register Structured Content Specification v1.0 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Vaccine Cancellation Entry - Medicare Antigen Code data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'allowed' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'allowed' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Vaccine Cancellation Entry - Medicare Antigen Code however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Vaccine Cancellation Entry - Medicare Antigen Code in the Australian Immunisation Register Structured Content Specification v1.0 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Vaccine Cancellation Entry - Medicare Antigen Code data element must have a value that is consistent with this definition. Alternatively if there is no Vaccine Cancellation Entry - Medicare Antigen Code data element with a proper value then an exclusion
		statement must be included to state why there is no Vaccine Cancellation Entry - Medicare Antigen Code.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'allowed' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'allowed' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Vaccine Cancellation Entry - Medicare Antigen Code however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Vaccine Cancellation Entry - Medicare Antigen Code in the Australian Immunisation Register Structured Content Specification v1.0 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Vaccine Cancellation Entry - Medicare Antigen Code data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Vaccine Cancellation Entry - Medicare Antigen Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Entry - Medicare Antigen Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Entry - Medicare Antigen Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Entry - Medicare Antigen Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Entry - Medicare Antigen Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Entry - Medicare Antigen Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Entry - Medicare Antigen Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Vaccine Cancellation Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Entry - Medicare Antigen Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Vaccine Cancellation Entry - Medicare Antigen Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Vaccine Cancellation Entry - Medicare Antigen Code.
		(See the definition of Vaccine Cancellation Entry - Medicare Antigen Code in the Australian Immunisation Register Structured Content Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Vaccine Cancellation Entry - Medicare Antigen Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M134" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M134" />
  <xsl:template match="@*|node()" priority="-2" mode="M134">
    <xsl:apply-templates select="@*|*" mode="M134" />
  </xsl:template>
  <!--PATTERN p-TS-AIR-CodeableText-16-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.17039' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.17039']]/cda:entry/        cda:substanceAdministratio[lower-case(cda:statusCode/@code)='cancelled']/cda:consumable/cda:manufacturedProduct/        cda:manufacturedMaterial/ext:asIngredient/ext:ingredientManufacturedMaterial/ext:code[(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]        [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M135">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.17039' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.17039']]/cda:entry/        cda:substanceAdministratio[lower-case(cda:statusCode/@code)='cancelled']/cda:consumable/cda:manufacturedProduct/        cda:manufacturedMaterial/ext:asIngredient/ext:ingredientManufacturedMaterial/ext:code[(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]        [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Vaccine Cancellation Entry - Medicare Antigen Code '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Vaccine Cancellation Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Vaccine Cancellation Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Vaccine Cancellation Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Cancellation Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Vaccine Cancellation Entry - Medicare Antigen Code has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Vaccine Cancellation Entry - Medicare Antigen Code data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Cancellation Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Vaccine Cancellation Entry - Medicare Antigen Code data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Cancellation Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Vaccine Cancellation Entry - Medicare Antigen Code data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Cancellation Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Vaccine Cancellation Entry - Medicare Antigen Code data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Vaccine Cancellation Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Vaccine Cancellation Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Vaccine Cancellation Entry - Medicare Antigen Code data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Vaccine Cancellation Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Vaccine Cancellation Entry - Medicare Antigen Code data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Cancellation Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Cancellation Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Vaccine Cancellation Entry - Medicare Antigen Code data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Cancellation Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Vaccine Cancellation Entry - Medicare Antigen Code data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Cancellation Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Cancellation Entry - Medicare Antigen Code
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M135" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M135" />
  <xsl:template match="@*|node()" priority="-2" mode="M135">
    <xsl:apply-templates select="@*|*" mode="M135" />
  </xsl:template>
  <!--PATTERN p-TS-AIR-CodedText-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.17039' = $doc-sections]/cda:component/cda:structuredBody/cda:component//          cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.17039']]/cda:entry/          cda:substanceAdministration[lower-case(cda:statusCode/@code)='cancelled']/cda:entryRelationship/          cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15595']]/cda:entryRelationship/cda:act/cda:code " priority="1000" mode="M136">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.17039' = $doc-sections]/cda:component/cda:structuredBody/cda:component//          cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.17039']]/cda:entry/          cda:substanceAdministration[lower-case(cda:statusCode/@code)='cancelled']/cda:entryRelationship/          cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15595']]/cda:entryRelationship/cda:act/cda:code " />
    <xsl:variable name="tc-types-49-err" select="@nullFlavor = ('PINF', 'NINF', 'QS', 'TRC') or (@nullFlavor='UNC' and (not(cda:originalText) or normalize-space(cda:originalText) = '')) " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="family-err" select="cda:originalText and matches(cda:originalText, $family-regex, 'i')" />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; 200" />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and @code != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used with the Clinical Package Validator to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used with the Clinical Package Validator to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the primary code.') " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-06-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-06-step-2 else $rating-alt-TC-Types-06-step-2 " />
    <xsl:variable name="rating-07-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-1 else $rating-alt-TC-Types-07-step-1 " />
    <xsl:variable name="rating-07-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-2 else $rating-alt-TC-Types-07-step-2 " />
    <xsl:variable name="rating-08" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-08 else $rating-alt-TC-Types-08 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-07: The Vaccine Cancellation Reason Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data
		type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Reason Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which is derived from the HL7 'CD' data type however xsi:type '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Reason Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:translation">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:translation">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Reason Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'translation' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value
		domain, with no exceptions. A translation translates the value into a code from another code systems, so translations are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:qualifier">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:qualifier">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Reason Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'qualifier' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value domain,
		with no exceptions. A qualifier constrains the value, so qualifiers are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Vaccine Cancellation Reason Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Reason Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Reason Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Reason Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present and is not expected
		for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Reason Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />'
		is present and is not expected for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-terminology-concepts = 'true' and not(true() or false() or $family-err or $length-err) and    not(@nullFlavor) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and not(true() or false() or $family-err or $length-err) and not(@nullFlavor)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (value domain not specified): The Vaccine Cancellation Reason Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The CodedText data type has the requirement that values must come from the specified bound value domain with no exceptions but a value domain has not been specified for the
		Vaccine Cancellation Reason Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Vaccine Cancellation Reason Type',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="false() and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != '1.2.36.1.2001.1001.101.104.16755'))  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != '1.2.36.1.2001.1001.101.104.16755'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-06-step-2" /><xsl:text />: TC-Types-06 step 2: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Reason Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. The
		CodedText data type has the requirement that values must come from the bound value domain with no exceptions. Therefore the value of the codeSystem attribute must be a publicly available
		code system. The Vaccine Cancellation Reason Type data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide states the code system is 'NS' (not stated) with the requirement 'When national standard code sets become
		available, they SHALL be used'. The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> which is after the national standard code set became available
		for use on the <xsl:text /><xsl:value-of select="''" /><xsl:text />. The code system that must be used is
		<xsl:text /><xsl:value-of select="if ('1.2.36.1.2001.1001.101.104.16755' = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName, ' (ConceptId ''', 'none', ''')')   else concat('1.2.36.1.2001.1001.101.104.16755', ' (', $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16755']/@codeSystemName, ')')" /><xsl:text /><xsl:text /><xsl:value-of select="if (not(@codeSystem)) then '.'    else if (@codeSystemName) then concat(' however codeSystem ''', @codeSystem, ''' (', @codeSystemName, ') is present.')   else concat(' however a codeSystem attribute with the value ''', @codeSystem, ''' is present.') " /><xsl:text />
		(See section 1.8 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide, <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 7.1.1.3 of the Australian Immunisation Register CDA Implementation Guide v1.0 for the
		information about the value domain.)
		<xsl:text /><xsl:value-of select="if ('none' = '11000036103') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName,     ' are Allergic reaction (''419076005''), Medication side-effect (''401207004'') and Drug interaction (''79899007'').')    else if ('none' = '15071000036100') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName,     ' are Prescribed (''105681000036100''), Suspended (''385655000'') and Unchanged (''105701000036103'').')    else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'OTH' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'OTH'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Reason Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore it is not valid for the data element to have nullFlavor 'OTH' to indicate that the
		actual value is not a member of the set of permitted data values in the constrained value domain. 
		(See the requirements for Vaccine Cancellation Reason Type and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Reason Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type<xsl:text /><xsl:value-of select="if (not(false())) then '.' else   concat(' and section 7.1.1.3 of the Australian Immunisation Register CDA Implementation Guide v1.0 states the vocabulary is ''', '1.2.36.1.2001.1001.101.104.16755', ''' (', $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16755']/@codeSystemName, ').') " /><xsl:text />
		The CodedText data type has
		the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor attribute
		to indicate there is no value, however a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) is present and is not one of the nullFlavor values that indicate there is no value.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@nullFlavor or @code) and not(false() and not(@nullFlavor) and not(@codeSystem)) and cda:originalText ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor or @code) and not(false() and not(@nullFlavor) and not(@codeSystem)) and cda:originalText">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Reason Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor
		attribute to indicate there is no value. The only information found in the data element is originalText '<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />'.
		(See the requirements for Vaccine Cancellation Reason Type and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)
		<xsl:text /><xsl:value-of select="if (local-name(.) = 'jobClassCode') then concat('Consider using the METeOR 314867 ''Employment type'' code system (codeSystem ''2.16.840.1.113883.3.879.314867'') which has ',   'codes for ''Permanent'', ''Fixed term contract'', ''Casual'' and ''Not stated/inadequately described''; or the  METeOR 691891 ''Full-time/part-time status'' code system ',   '(codeSystem ''2.16.840.1.113883.3.879.691891'') which has codes for ''Full-time'', ''Part-time'' and ''Not stated/inadequately described''. ',   '(See the the METeOR 314867 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/314867 and the METeOR 691891 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/691891.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="true() and @codeSystem and @codeSystem != '1.2.36.1.2001.1001.101.104.16755' and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and @codeSystem and @codeSystem != '1.2.36.1.2001.1001.101.104.16755' and not(false())">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Reason Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and section 7.1.1.3 of the Australian Immunisation Register CDA Implementation Guide v1.0 states the vocabulary is
		<xsl:text /><xsl:value-of select="if ('1.2.36.1.2001.1001.101.104.16755' = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName, ' (ConceptId ''', 'none', ''').')   else concat('1.2.36.1.2001.1001.101.104.16755', ' (', $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16755']/@codeSystemName, ').')" /><xsl:text />
		The CodedText data type has the requirement that values must come from the bound value domain with no exceptions.
		Therefore the value of codeSystem must be '1.2.36.1.2001.1001.101.104.16755' but codeSystem '<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />' (<xsl:text /><xsl:value-of select="@codeSystemName" /><xsl:text />) is present.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="true() and '1.2.36.1.2001.1001.101.104.16755' = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and    not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version,    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@refSet) = 'CodeFound') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and '1.2.36.1.2001.1001.101.104.16755' = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version, $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@refSet) = 'CodeFound')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Reason Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. The applicable value domain is the SNOMED CT-AU
		<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName" /><xsl:text />
		(Concept ID: 'none'). The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the code is not a member of the value domain.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 7.1.1.3 of the Australian Immunisation Register CDA Implementation Guide v1.0 for the information about the value domain.)<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-08" /><xsl:text />: TC-Types-08: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Reason Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. It has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> but has neither an originalText nor a displayName
		so it fails to conform to the requirement 'In accordance with the requirement to completely represent section contents, values of CodedText or CodeableText data elements defined in
		the SCS SHALL include an originalText or a displayName component (or both)'.
		(See Appendix A of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 6.1 and 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090
		Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and not(cda:originalText) and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and not(cda:originalText) and not(false())">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Vaccine Cancellation Reason Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is
		not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. (See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M136" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M136" />
  <xsl:template match="@*|node()" priority="-2" mode="M136">
    <xsl:apply-templates select="@*|*" mode="M136" />
  </xsl:template>
  <!--PATTERN p-TS-AIR-CodedText-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.17039' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.17039']]/cda:entry/        cda:substanceAdministration[lower-case(cda:statusCode/@code)='cancelled']/cda:entryRelationship/        cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15595']]/cda:entryRelationship/cda:act/cda:code        [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]        [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M137">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.17039' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.17039']]/cda:entry/        cda:substanceAdministration[lower-case(cda:statusCode/@code)='cancelled']/cda:entryRelationship/        cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15595']]/cda:entryRelationship/cda:act/cda:code        [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]        [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Vaccine Cancellation Reason Type '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Vaccine Cancellation Reason Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Vaccine Cancellation Reason Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Vaccine Cancellation Reason Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Cancellation Reason Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Vaccine Cancellation Reason Type has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Vaccine Cancellation Reason Type data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('immunisations', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('immunisations', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Cancellation Reason Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Vaccine Cancellation Reason Type data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Cancellation Reason Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Vaccine Cancellation Reason Type data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Cancellation Reason Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Vaccine Cancellation Reason Type data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('immunisations', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('immunisations', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Vaccine Cancellation Reason Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('immunisations', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Vaccine Cancellation Reason Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Vaccine Cancellation Reason Type data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Vaccine Cancellation Reason Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Vaccine Cancellation Reason Type data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Cancellation Reason Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Cancellation Reason Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Vaccine Cancellation Reason Type data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Cancellation Reason Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Vaccine Cancellation Reason Type data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Cancellation Reason Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Vaccine Cancellation Reason Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M137" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M137" />
  <xsl:template match="@*|node()" priority="-2" mode="M137">
    <xsl:apply-templates select="@*|*" mode="M137" />
  </xsl:template>
  <!--PATTERN p-TS-AIR-CodedText-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.17039' = $doc-sections]/cda:component/cda:structuredBody/cda:component//         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.17039']]/cda:entry/         cda:substanceAdministration[lower-case(cda:statusCode/@code)='cancelled']/cda:entryRelationship/         cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15595']]/cda:entryRelationship/cda:act/cda:code[@nullFlavor] " priority="1000" mode="M138">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.17039' = $doc-sections]/cda:component/cda:structuredBody/cda:component//         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.17039']]/cda:entry/         cda:substanceAdministration[lower-case(cda:statusCode/@code)='cancelled']/cda:entryRelationship/         cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15595']]/cda:entryRelationship/cda:act/cda:code[@nullFlavor] " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and exists(('INV', 'OTH', 'PINF', 'NINF', 'UNC', 'DER', 'QS', 'TRC')[. = 'ALL']) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and exists(('INV', 'OTH', 'PINF', 'NINF', 'UNC', 'DER', 'QS', 'TRC')[. = 'ALL'])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Vaccine Cancellation Reason Type data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. The Vaccine Cancellation Reason Type data element is not allowed to contain a nullFlavor attribute.
		(See the mapping table in section 7.1.1.3 of the Australian Immunisation Register CDA Implementation Guide Version 1.0.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and exists(('INV', 'OTH', 'PINF', 'NINF', 'UNC', 'DER', 'QS', 'TRC')[. = current()/@nullFlavor]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and exists(('INV', 'OTH', 'PINF', 'NINF', 'UNC', 'DER', 'QS', 'TRC')[. = current()/@nullFlavor])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Vaccine Cancellation Reason Type data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. The Vaccine Cancellation Reason Type data element is not allowed to contain a nullFlavor attribute
		with this value. (See the mapping table in section 7.1.1.3 of the Australian Immunisation Register CDA Implementation Guide Version 1.0.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M138" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M138" />
  <xsl:template match="@*|node()" priority="-2" mode="M138">
    <xsl:apply-templates select="@*|*" mode="M138" />
  </xsl:template>
  <!--PATTERN p-TS-AIR-DateTime-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.17039' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.17039']]/cda:entry/        cda:substanceAdministration[not(cda:statusCode/@code) or lower-case(cda:statusCode/@code)='active']/cda:effectiveTime " priority="1000" mode="M139">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.17039' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.17039']]/cda:entry/        cda:substanceAdministration[not(cda:statusCode/@code) or lower-case(cda:statusCode/@code)='active']/cda:effectiveTime " />
    <xsl:variable name="allow-ivl-ts" select="if (not(@xsi:type)) then false() else /cda:ClinicalDocument       [cda:templateId[(@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')  or         (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or         (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) ]]   and        local-name(.) = 'value'             and        ..[local-name(.) = 'observation' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]   and       ../..[local-name(.) = 'entryRelationship' and @typeCode='SUBJ']        and       ../../..[local-name(.) = 'observation' and cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]  and       ../../../..[local-name(.) = 'entry']            and       ../../../../..[local-name(.) = 'section' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]  " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-18" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-18 else $rating-alt-TC-Types-18 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-18: The Date Vaccination Received '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data
		type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime',            'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime', 'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: The Date Vaccination Received

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type but it does not meet the requirement to have the xsi:type attribute with the value 'TS'.
		(See section 8.6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Australian Immunisation Register Structured Content Specification v1.0 the Date Vaccination Received '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was
		found. This may be corrected by using an xsi:type attribute with the value 'TS'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Australian Immunisation Register Structured Content Specification v1.0 the Date Vaccination Received '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		This may be corrected by using an xsi:type attribute with the value 'TS'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Australian Immunisation Register Structured Content Specification v1.0 the Date Vaccination Received '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7
		'TS' data type to have a value attribute if there is no nullFlavor
		attribute. (See section 7.8.13.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange')

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Australian Immunisation Register Structured Content Specification v1.0 the Date Vaccination Received '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7 'TS' data type to have a value attribute if there is no nullFlavor
		attribute. The element has a '<xsl:text /><xsl:value-of select="local-name(*[local-name(.) = ('low', 'high')])" /><xsl:text />' child element with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		which is not one of the elements used for the HL7 'TS'
		data type. (See section 7.8.13 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Immunisation Register Structured Content Specification v1.0 the Date Vaccination Received
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		is present. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Immunisation Register Structured Content Specification v1.0 the Date Vaccination Received
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' was found. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Immunisation Register Structured Content Specification v1.0 the Date Vaccination Received
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Immunisation Register Structured Content Specification v1.0 the Date Vaccination Received
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@value) and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@value) and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to the Australian Immunisation Register Structured Content Specification v1.0 the Date Vaccination Received
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (uncoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include
		nullFlavor 'UNC'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M139" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M139" />
  <xsl:template match="@*|node()" priority="-2" mode="M139">
    <xsl:apply-templates select="@*|*" mode="M139" />
  </xsl:template>
  <!--PATTERN p-TS-AIR-DateTime-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.17039' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.17039']]/cda:entry/        cda:substanceAdministration[not(cda:statusCode/@code) or lower-case(cda:statusCode/@code)='active']/cda:effectiveTime    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))] " priority="1000" mode="M140">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.17039' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.17039']]/cda:entry/        cda:substanceAdministration[not(cda:statusCode/@code) or lower-case(cda:statusCode/@code)='active']/cda:effectiveTime    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="fir-narrative" select="translate(normalize-space(lower-case(string($fir-narr-node))), $chars-to-remove, '')" />
    <xsl:variable name="sec-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)        then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]        else () " />
    <xsl:variable name="sec-narr-node" select="$sec-section/cda:text " />
    <xsl:variable name="narr-text-el" select="(for $text in ($fir-narr-node//text(), $sec-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="sec-narrative" select="translate(normalize-space(lower-case(string($sec-narr-node))), $chars-to-remove, '') " />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="narrative" select="concat($target-title, $fir-narrative, $sec-narrative)" />
    <xsl:variable name="narr-elements" select="$fir-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ]  |             $sec-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ] " />
    <xsl:variable name="narr-lower-case" select="for $i in (1 to count($narr-elements)) return lower-case(normalize-space(string-join($narr-elements[$i]/text(), '')))  " />
    <xsl:variable name="dt-narr-elements" select="$narr-lower-case[matches(., $regex-date-type-1, 'i') or matches(., $regex-date-type-2, 'i') or matches(., $regex-date-type-3, 'i')] " />
    <xsl:variable name="narr-elements-start" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-before($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-before($dt-narr-elements[$i], ' -'))        else $dt-narr-elements[$i])[. != ''] " />
    <xsl:variable name="narr-elements-end" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-after($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-after($dt-narr-elements[$i], ' -'))        else '')[. != ''] " />
    <xsl:variable name="narr-dateTimes" select="distinct-values(($narr-elements-start , $narr-elements-end))[. != '(ongoing)'] " />
    <xsl:variable name="dt-value" select="if (@value) then @value else '' " />
    <xsl:variable name="no-time-zone" select="if (contains($dt-value, '+')) then substring-before($dt-value, '+')       else if (contains($dt-value, '-')) then substring-before($dt-value, '-')       else $dt-value " />
    <xsl:variable name="dateTime-length" select="string-length($no-time-zone) " />
    <xsl:variable name="year" select="if ($dateTime-length &gt; 3) then substring($no-time-zone,1,4) else '' " />
    <xsl:variable name="month-num" select="if ($dateTime-length &gt; 5) then substring($no-time-zone,5,2) else '' " />
    <xsl:variable name="day" select="if ($dateTime-length &gt; 7 and substring($no-time-zone,7,1) = '0') then substring($no-time-zone,8,1)       else if ($dateTime-length &gt; 7 and substring($no-time-zone,7,1) != '0') then substring($no-time-zone,7,2) else '' " />
    <xsl:variable name="hour-long" select="if ($dateTime-length &gt; 9) then substring($no-time-zone,9,2) else '' " />
    <xsl:variable name="hour-short" select="if (substring($hour-long, 1, 1) = '0') then substring($hour-long, 2, 1) else '' " />
    <xsl:variable name="minute" select="if ($dateTime-length &gt; 11) then substring($no-time-zone,11,2) else '' " />
    <xsl:variable name="second" select="if ($dateTime-length &gt; 13) then substring($no-time-zone,13,2) else '' " />
    <xsl:variable name="time-zone" select="if (contains($dt-value, '+')) then concat('\+', substring-after($dt-value, '+'))       else if (contains($dt-value, '-')) then concat('\-', substring-after($dt-value, '-'))       else '' " />
    <xsl:variable name="month-short" select="if ($month-num = '01') then 'jan'  else             if ($month-num = '02') then 'feb'  else             if ($month-num = '03') then 'mar'  else             if ($month-num = '04') then 'apr'  else             if ($month-num = '05') then 'may'  else             if ($month-num = '06') then 'jun'  else             if ($month-num = '07') then 'jul'  else             if ($month-num = '08') then 'aug'  else             if ($month-num = '09') then 'sep'  else             if ($month-num = '10') then 'oct'  else             if ($month-num = '11') then 'nov'  else             if ($month-num = '12') then 'dec'  else '' " />
    <xsl:variable name="month-long" select="if ($month-num = '01') then 'january'  else             if ($month-num = '02') then 'february'  else             if ($month-num = '03') then 'march'  else             if ($month-num = '04') then 'april'  else             if ($month-num = '05') then 'may'  else             if ($month-num = '06') then 'june'  else             if ($month-num = '07') then 'july'  else             if ($month-num = '08') then 'august'  else             if ($month-num = '09') then 'september'  else             if ($month-num = '10') then 'october'  else             if ($month-num = '11') then 'november'  else             if ($month-num = '12') then 'december'  else '' " />
    <xsl:variable name="date-type-3-day" select="if (string-length($day) = 1) then concat('0{0,1}', $day) else $day " />
    <xsl:variable name="date-type-3-month" select="if (string-length($month-num) = 1) then concat('0{0,1}', $month-num)        else if (substring($month-num, 1, 1) = '0') then concat('0{0,1}', substring($month-num, 2, 1))         else $month-num " />
    <xsl:variable name="dt-sequence-1" select="if ($dateTime-length = 4) then (         concat('^', $dt-value)         ,          concat('^', $year)         )        else if ($dateTime-length = 6) then (         concat('^', $dt-value)         ,         concat('^', $month-short, $date-sep, $year)      ,          concat('^', $month-long, $date-sep, $year)      )        else if ($dateTime-length &gt; 7) then (         concat('^', $dt-value)         ,         concat('^', $date-type-3-day, $date-sep, $month-short, $date-sep, $year)  ,         concat('^', $date-type-3-day, $date-sep, $month-long, $date-sep, $year)   ,         concat('^', $date-type-3-day, '/', $date-type-3-month, '/', $year)   )        else () " />
    <xsl:variable name="matching-seq-1" select="if (exists($dt-sequence-1))        then index-of(for $i in (1 to count($dt-sequence-1)) return exists($narr-dateTimes[matches(., $dt-sequence-1[$i], 'i')]), true())        else () " />
    <xsl:variable name="dt-stem-1" select="for $i in (1 to count($matching-seq-1)) return $dt-sequence-1[$matching-seq-1[$i]] " />
    <xsl:variable name="dt-regex-1" select="if (exists($dt-stem-1)) then concat('(', string-join($dt-stem-1, '$)|('), '$)') else ()" />
    <xsl:variable name="dt-match-1" select="exists($dt-stem-1) and exists($narr-dateTimes[matches(., $dt-regex-1, 'i')])" />
    <xsl:variable name="time-1" select="if ($dateTime-length &gt; 11 and $hour-short != '') then concat($hour-short, ':', $minute, '( *| *am)') else '' " />
    <xsl:variable name="time-2" select="if ($dateTime-length &gt; 13 and $hour-short != '') then concat($hour-short, ':', $minute, ':', $second, '( *| *am)') else '' " />
    <xsl:variable name="time-3" select="if ($dateTime-length &gt; 11 and number($hour-long) &lt; 12) then concat($hour-long, ':', $minute, '( *| *am)')       else if ($dateTime-length &gt; 11) then concat($hour-long, ':', $minute) else '' " />
    <xsl:variable name="time-4" select="if ($dateTime-length &gt; 13 and number($hour-long) &lt; 12) then concat($hour-long, ':', $minute, ':', $second, '( *| *am)')        else if ($dateTime-length &gt; 13) then concat($hour-long, ':', $minute, ':', $second) else '' " />
    <xsl:variable name="time-5" select="if ($dateTime-length &gt; 11 and number($hour-long) &gt; 12) then concat(string(number($hour-long) - 12), ':', $minute, '( *| *pm)') else '' " />
    <xsl:variable name="time-6" select="if ($dateTime-length &gt; 13 and number($hour-long) &gt; 12) then concat(string(number($hour-long) - 12), ':', $minute, ':', $second, '( *| *pm)') else '' " />
    <xsl:variable name="dt-temp-0" select="if (exists($dt-stem-1) and $dateTime-length = 8) then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $narr-time-regex) else () " />
    <xsl:variable name="dt-temp-1" select="if (exists($dt-stem-1) and $time-1 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-1) else () " />
    <xsl:variable name="dt-temp-2" select="if (exists($dt-stem-1) and $time-2 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-2) else () " />
    <xsl:variable name="dt-temp-3" select="if (exists($dt-stem-1) and $time-3 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-3) else () " />
    <xsl:variable name="dt-temp-4" select="if (exists($dt-stem-1) and $time-4 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-4) else () " />
    <xsl:variable name="dt-temp-5" select="if (exists($dt-stem-1) and $time-5 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-5) else () " />
    <xsl:variable name="dt-temp-6" select="if (exists($dt-stem-1) and $time-6 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-6) else () " />
    <xsl:variable name="dt-sequence-2" select="($dt-temp-0, $dt-temp-1, $dt-temp-2, $dt-temp-3, $dt-temp-4, $dt-temp-5, $dt-temp-6)" />
    <xsl:variable name="matching-seq-2" select="if (exists($dt-sequence-2))        then index-of(for $i in (1 to count($dt-sequence-2)) return exists($narr-dateTimes[matches(., $dt-sequence-2[$i], 'i')]), true())        else () " />
    <xsl:variable name="dt-stem-2" select="for $i in (1 to count($matching-seq-2)) return $dt-sequence-2[$matching-seq-2[$i]] " />
    <xsl:variable name="dt-regex-2" select="if (exists($dt-stem-2)) then concat('(', string-join($dt-stem-2, '$)|('), '$)') else '' " />
    <xsl:variable name="dt-match-2" select="(exists($dt-stem-2) and exists($narr-dateTimes[matches(., $dt-regex-2, 'i')])) " />
    <xsl:variable name="dt-sequence-3" select="if (not($dt-match-2) and exists($dt-stem-2) and $time-zone != '') then for $i in (1 to count($dt-stem-2)) return        concat($dt-stem-2[$i], substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2)) else () " />
    <xsl:variable name="dt-regex-3" select="if ($dt-match-2) then '' else if (exists($dt-sequence-3)) then concat('(', string-join($dt-sequence-3, '$)|('), '$)') else '' " />
    <xsl:variable name="dt-match-3" select="($dt-match-2 or (exists($dt-sequence-3) and exists($narr-dateTimes[matches(., $dt-regex-3, 'i')]))) " />
    <xsl:variable name="narr-match" select="if ($dt-value != '' and not(exists($narr-dateTimes))) then      (       contains($narrative, $dt-value)               or       (string-length($dt-value) = 4 and contains($narrative, $year))            or        (string-length($dt-value) = 6 and contains($narrative, concat($month-short, $year)))          or       (string-length($dt-value) &gt; 7 and starts-with($day, '0') and        (contains($narrative, concat(substring($day,2,1), $month-short, $year)) or         contains($narrative, concat(substring($day,2,1), $month-num, $year))))          or       (string-length($dt-value) &gt; 7 and (contains($narrative, concat($day, $month-short, $year)) or contains($narrative, concat($day, $month-num, $year))))        )       else false() " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($fir-narr-node//cda:renderMultiMedia) or exists($sec-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($fir-narr-node//cda:linkHtml) or exists($sec-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="warning-1" select="exists($dt-sequence-1) and exists($narr-dateTimes) and $dt-match-1 and not($dt-match-3) and $dt-value != '' " />
    <xsl:variable name="error-1" select="$warning-1 and not($multimedia) " />
    <xsl:variable name="warning-2" select="exists($dt-sequence-1) and exists($narr-dateTimes) and not($dt-match-1 or $dt-match-3) and $dt-value != '' " />
    <xsl:variable name="error-2a" select="$warning-2 and not($multimedia) and $time-zone != '' and count($narr-dateTimes) =        count(for $dt in $narr-dateTimes return replace(replace($dt, $regex-date-type-1, ''), $regex-date-type-2, '')       [matches(., concat('^\s*([0-9]{1,2}:{1}[0-9]{2}\s*', substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2),         '|[0-9]{1,2}:{1}[0-9]{2}:{1}[0-9]{2}\s*', substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2), ')\s*$'), 'i')]) " />
    <xsl:variable name="error-2b" select="$warning-2 and not($dt-match-1) and not($multimedia) and count($narr-dateTimes[matches(., $regex-date-type-2, 'i')]) =        count($narr-dateTimes[matches(., concat($regex-date-type-2, ' ', $narr-time-regex, '$'), 'i')]) " />
    <xsl:variable name="error-2c" select="$warning-2 and exists($narr-dateTimes[matches(., concat('^', $year, '$'))]) " />
    <xsl:variable name="error-2" select="$error-2a or $error-2b or $error-2c " />
    <xsl:variable name="warning-3" select="$dt-value != '' and not(exists($narr-dateTimes)) and not($narr-match) " />
    <xsl:variable name="error-3" select="$warning-3 and not($multimedia) and not(contains($narrative, substring($year, 3, 2)))" />
    <xsl:variable name="narr-dt-msg" select="if ($multimedia or $no-content) then ''       else if (not(exists($narr-dateTimes))) then concat(' The narrative of the ', iq:location(., ''), ' contains no dateTime elements.')       else if (count($narr-dateTimes) = 1) then concat(' The only dateTime element in the narrative of the ', iq:location(., ''), ' is ''',         dh:XQueryRecursiveReplace($narr-dateTimes[1], '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), '''.')       else concat(' The distinct dateTime elements in the narrative of the ', iq:location(., ''), ' are ''',         string-join(for $dt in $narr-dateTimes return          dh:XQueryRecursiveReplace($dt, '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), ', '), '''.') " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-4" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-4 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and exists($dt-sequence-1) and $dt-value != '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and exists($dt-sequence-1) and $dt-value != ''">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 4: The dateTime element in the structured data is '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'.
		The number of dateTime elements that have been extracted from the narrative is '<xsl:text /><xsl:value-of select="count($narr-dateTimes)" /><xsl:text />'.
		These are '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-dateTimes, ', '), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The initial regular expressions are '<xsl:text /><xsl:value-of select="string-join($dt-sequence-1, ', ')" /><xsl:text />'.
		The items in dt-stem-1 are: '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($dt-stem-1, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The items in dt-sequence-2 are: '<xsl:text /><xsl:value-of select="string-join($dt-sequence-2, '|')" /><xsl:text />'.
		The items in dt-stem-2 are: '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($dt-stem-2, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The three regular expressions used to perform an exact match for narrative dateTime elements are as follows:
		dt-regex-1='<xsl:text /><xsl:value-of select="$dt-regex-1" /><xsl:text />'; dt-regex-2='<xsl:text /><xsl:value-of select="$dt-regex-2" /><xsl:text />'; and dt-regex-3='<xsl:text /><xsl:value-of select="$dt-regex-3" /><xsl:text />'.
		Was a match found after the first regular expression (with just a date) was created? <xsl:text /><xsl:value-of select="$dt-match-1" /><xsl:text />.		
		<xsl:text /><xsl:value-of select="if ($dt-regex-2 = '') then 'The second regular expression was not applied as there is no time information.'    else concat('Was a match found after the second regular expression (with a date and time) was created? ', $dt-match-2, '.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($dt-regex-3 = '') then ' The third regular expression was not applied as there is no timezone information.'    else concat(' Was a match found after the third regular expression (with a date and time) was created? ', $dt-match-3, '.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $warning-1 and not($error-1 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $warning-1 and not($error-1 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date Vaccination Received 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Date Vaccination Received data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $error-1 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $error-1 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date Vaccination Received 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. The Date Vaccination Received data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $error-1 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $error-1 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date Vaccination Received 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. The Date Vaccination Received data element records clinical information and all clinical information in entry elements must be present in the narrative.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $warning-2 and not($error-2 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$warning-2 and not($error-2 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date Vaccination Received 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Date Vaccination Received data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-2 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-2 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date Vaccination Received 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="if ($error-2c) then concat('The narrative contains a date with the same year ''', $year, ''' but without a month or day.') else '' " /><xsl:text />
		The Date Vaccination Received data element records clinical information and all clinical information in entry elements must be present in the narrative.
		<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-2 and not($no-content) and not(true())">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-2 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date Vaccination Received 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="if ($error-2c) then concat('The narrative contains a date with the same year ''', $year, ''' but without a month or day.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $warning-3 and not($error-3 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$warning-3 and not($error-3 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date Vaccination Received 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Date Vaccination Received data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $dt-value != '' and not($narr-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $dt-value != '' and not($narr-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date Vaccination Received 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $dt-value != '' and not($narr-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $dt-value != '' and not($narr-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date Vaccination Received '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Date Vaccination Received data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-3 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-3 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date Vaccination Received '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Date Vaccination Received data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-3 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-3 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date Vaccination Received '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Date Vaccination Received '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M140" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M140" />
  <xsl:template match="@*|node()" priority="-2" mode="M140">
    <xsl:apply-templates select="@*|*" mode="M140" />
  </xsl:template>
  <!--PATTERN p-TS-AIR-DateTime-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.17039' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.17039']]/cda:entry/        cda:substanceAdministration[lower-case(cda:statusCode/@code)='cancelled']/cda:effectiveTime " priority="1000" mode="M141">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.17039' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.17039']]/cda:entry/        cda:substanceAdministration[lower-case(cda:statusCode/@code)='cancelled']/cda:effectiveTime " />
    <xsl:variable name="allow-ivl-ts" select="if (not(@xsi:type)) then false() else /cda:ClinicalDocument       [cda:templateId[(@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')  or         (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or         (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) ]]   and        local-name(.) = 'value'             and        ..[local-name(.) = 'observation' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]   and       ../..[local-name(.) = 'entryRelationship' and @typeCode='SUBJ']        and       ../../..[local-name(.) = 'observation' and cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]  and       ../../../..[local-name(.) = 'entry']            and       ../../../../..[local-name(.) = 'section' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]  " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-18" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-18 else $rating-alt-TC-Types-18 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-18: The Date Vaccination Cancelled '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data
		type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime',            'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime', 'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: The Date Vaccination Cancelled

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type but it does not meet the requirement to have the xsi:type attribute with the value 'TS'.
		(See section 8.6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Australian Immunisation Register Structured Content Specification v1.0 the Date Vaccination Cancelled '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was
		found. This may be corrected by using an xsi:type attribute with the value 'TS'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Australian Immunisation Register Structured Content Specification v1.0 the Date Vaccination Cancelled '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		This may be corrected by using an xsi:type attribute with the value 'TS'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Australian Immunisation Register Structured Content Specification v1.0 the Date Vaccination Cancelled '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7
		'TS' data type to have a value attribute if there is no nullFlavor
		attribute. (See section 7.8.13.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange')

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Australian Immunisation Register Structured Content Specification v1.0 the Date Vaccination Cancelled '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7 'TS' data type to have a value attribute if there is no nullFlavor
		attribute. The element has a '<xsl:text /><xsl:value-of select="local-name(*[local-name(.) = ('low', 'high')])" /><xsl:text />' child element with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		which is not one of the elements used for the HL7 'TS'
		data type. (See section 7.8.13 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Immunisation Register Structured Content Specification v1.0 the Date Vaccination Cancelled
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		is present. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Immunisation Register Structured Content Specification v1.0 the Date Vaccination Cancelled
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' was found. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Immunisation Register Structured Content Specification v1.0 the Date Vaccination Cancelled
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Immunisation Register Structured Content Specification v1.0 the Date Vaccination Cancelled
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@value) and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@value) and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to the Australian Immunisation Register Structured Content Specification v1.0 the Date Vaccination Cancelled
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (uncoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include
		nullFlavor 'UNC'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M141" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M141" />
  <xsl:template match="@*|node()" priority="-2" mode="M141">
    <xsl:apply-templates select="@*|*" mode="M141" />
  </xsl:template>
  <!--PATTERN p-TS-AIR-DateTime-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.17039' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.17039']]/cda:entry/        cda:substanceAdministration[lower-case(cda:statusCode/@code)='cancelled']/cda:effectiveTime    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))] " priority="1000" mode="M142">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.17039' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.17039']]/cda:entry/        cda:substanceAdministration[lower-case(cda:statusCode/@code)='cancelled']/cda:effectiveTime    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="fir-narrative" select="translate(normalize-space(lower-case(string($fir-narr-node))), $chars-to-remove, '')" />
    <xsl:variable name="sec-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)        then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]        else () " />
    <xsl:variable name="sec-narr-node" select="$sec-section/cda:text " />
    <xsl:variable name="narr-text-el" select="(for $text in ($fir-narr-node//text(), $sec-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="sec-narrative" select="translate(normalize-space(lower-case(string($sec-narr-node))), $chars-to-remove, '') " />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="narrative" select="concat($target-title, $fir-narrative, $sec-narrative)" />
    <xsl:variable name="narr-elements" select="$fir-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ]  |             $sec-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ] " />
    <xsl:variable name="narr-lower-case" select="for $i in (1 to count($narr-elements)) return lower-case(normalize-space(string-join($narr-elements[$i]/text(), '')))  " />
    <xsl:variable name="dt-narr-elements" select="$narr-lower-case[matches(., $regex-date-type-1, 'i') or matches(., $regex-date-type-2, 'i') or matches(., $regex-date-type-3, 'i')] " />
    <xsl:variable name="narr-elements-start" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-before($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-before($dt-narr-elements[$i], ' -'))        else $dt-narr-elements[$i])[. != ''] " />
    <xsl:variable name="narr-elements-end" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-after($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-after($dt-narr-elements[$i], ' -'))        else '')[. != ''] " />
    <xsl:variable name="narr-dateTimes" select="distinct-values(($narr-elements-start , $narr-elements-end))[. != '(ongoing)'] " />
    <xsl:variable name="dt-value" select="if (@value) then @value else '' " />
    <xsl:variable name="no-time-zone" select="if (contains($dt-value, '+')) then substring-before($dt-value, '+')       else if (contains($dt-value, '-')) then substring-before($dt-value, '-')       else $dt-value " />
    <xsl:variable name="dateTime-length" select="string-length($no-time-zone) " />
    <xsl:variable name="year" select="if ($dateTime-length &gt; 3) then substring($no-time-zone,1,4) else '' " />
    <xsl:variable name="month-num" select="if ($dateTime-length &gt; 5) then substring($no-time-zone,5,2) else '' " />
    <xsl:variable name="day" select="if ($dateTime-length &gt; 7 and substring($no-time-zone,7,1) = '0') then substring($no-time-zone,8,1)       else if ($dateTime-length &gt; 7 and substring($no-time-zone,7,1) != '0') then substring($no-time-zone,7,2) else '' " />
    <xsl:variable name="hour-long" select="if ($dateTime-length &gt; 9) then substring($no-time-zone,9,2) else '' " />
    <xsl:variable name="hour-short" select="if (substring($hour-long, 1, 1) = '0') then substring($hour-long, 2, 1) else '' " />
    <xsl:variable name="minute" select="if ($dateTime-length &gt; 11) then substring($no-time-zone,11,2) else '' " />
    <xsl:variable name="second" select="if ($dateTime-length &gt; 13) then substring($no-time-zone,13,2) else '' " />
    <xsl:variable name="time-zone" select="if (contains($dt-value, '+')) then concat('\+', substring-after($dt-value, '+'))       else if (contains($dt-value, '-')) then concat('\-', substring-after($dt-value, '-'))       else '' " />
    <xsl:variable name="month-short" select="if ($month-num = '01') then 'jan'  else             if ($month-num = '02') then 'feb'  else             if ($month-num = '03') then 'mar'  else             if ($month-num = '04') then 'apr'  else             if ($month-num = '05') then 'may'  else             if ($month-num = '06') then 'jun'  else             if ($month-num = '07') then 'jul'  else             if ($month-num = '08') then 'aug'  else             if ($month-num = '09') then 'sep'  else             if ($month-num = '10') then 'oct'  else             if ($month-num = '11') then 'nov'  else             if ($month-num = '12') then 'dec'  else '' " />
    <xsl:variable name="month-long" select="if ($month-num = '01') then 'january'  else             if ($month-num = '02') then 'february'  else             if ($month-num = '03') then 'march'  else             if ($month-num = '04') then 'april'  else             if ($month-num = '05') then 'may'  else             if ($month-num = '06') then 'june'  else             if ($month-num = '07') then 'july'  else             if ($month-num = '08') then 'august'  else             if ($month-num = '09') then 'september'  else             if ($month-num = '10') then 'october'  else             if ($month-num = '11') then 'november'  else             if ($month-num = '12') then 'december'  else '' " />
    <xsl:variable name="date-type-3-day" select="if (string-length($day) = 1) then concat('0{0,1}', $day) else $day " />
    <xsl:variable name="date-type-3-month" select="if (string-length($month-num) = 1) then concat('0{0,1}', $month-num)        else if (substring($month-num, 1, 1) = '0') then concat('0{0,1}', substring($month-num, 2, 1))         else $month-num " />
    <xsl:variable name="dt-sequence-1" select="if ($dateTime-length = 4) then (         concat('^', $dt-value)         ,          concat('^', $year)         )        else if ($dateTime-length = 6) then (         concat('^', $dt-value)         ,         concat('^', $month-short, $date-sep, $year)      ,          concat('^', $month-long, $date-sep, $year)      )        else if ($dateTime-length &gt; 7) then (         concat('^', $dt-value)         ,         concat('^', $date-type-3-day, $date-sep, $month-short, $date-sep, $year)  ,         concat('^', $date-type-3-day, $date-sep, $month-long, $date-sep, $year)   ,         concat('^', $date-type-3-day, '/', $date-type-3-month, '/', $year)   )        else () " />
    <xsl:variable name="matching-seq-1" select="if (exists($dt-sequence-1))        then index-of(for $i in (1 to count($dt-sequence-1)) return exists($narr-dateTimes[matches(., $dt-sequence-1[$i], 'i')]), true())        else () " />
    <xsl:variable name="dt-stem-1" select="for $i in (1 to count($matching-seq-1)) return $dt-sequence-1[$matching-seq-1[$i]] " />
    <xsl:variable name="dt-regex-1" select="if (exists($dt-stem-1)) then concat('(', string-join($dt-stem-1, '$)|('), '$)') else ()" />
    <xsl:variable name="dt-match-1" select="exists($dt-stem-1) and exists($narr-dateTimes[matches(., $dt-regex-1, 'i')])" />
    <xsl:variable name="time-1" select="if ($dateTime-length &gt; 11 and $hour-short != '') then concat($hour-short, ':', $minute, '( *| *am)') else '' " />
    <xsl:variable name="time-2" select="if ($dateTime-length &gt; 13 and $hour-short != '') then concat($hour-short, ':', $minute, ':', $second, '( *| *am)') else '' " />
    <xsl:variable name="time-3" select="if ($dateTime-length &gt; 11 and number($hour-long) &lt; 12) then concat($hour-long, ':', $minute, '( *| *am)')       else if ($dateTime-length &gt; 11) then concat($hour-long, ':', $minute) else '' " />
    <xsl:variable name="time-4" select="if ($dateTime-length &gt; 13 and number($hour-long) &lt; 12) then concat($hour-long, ':', $minute, ':', $second, '( *| *am)')        else if ($dateTime-length &gt; 13) then concat($hour-long, ':', $minute, ':', $second) else '' " />
    <xsl:variable name="time-5" select="if ($dateTime-length &gt; 11 and number($hour-long) &gt; 12) then concat(string(number($hour-long) - 12), ':', $minute, '( *| *pm)') else '' " />
    <xsl:variable name="time-6" select="if ($dateTime-length &gt; 13 and number($hour-long) &gt; 12) then concat(string(number($hour-long) - 12), ':', $minute, ':', $second, '( *| *pm)') else '' " />
    <xsl:variable name="dt-temp-0" select="if (exists($dt-stem-1) and $dateTime-length = 8) then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $narr-time-regex) else () " />
    <xsl:variable name="dt-temp-1" select="if (exists($dt-stem-1) and $time-1 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-1) else () " />
    <xsl:variable name="dt-temp-2" select="if (exists($dt-stem-1) and $time-2 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-2) else () " />
    <xsl:variable name="dt-temp-3" select="if (exists($dt-stem-1) and $time-3 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-3) else () " />
    <xsl:variable name="dt-temp-4" select="if (exists($dt-stem-1) and $time-4 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-4) else () " />
    <xsl:variable name="dt-temp-5" select="if (exists($dt-stem-1) and $time-5 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-5) else () " />
    <xsl:variable name="dt-temp-6" select="if (exists($dt-stem-1) and $time-6 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-6) else () " />
    <xsl:variable name="dt-sequence-2" select="($dt-temp-0, $dt-temp-1, $dt-temp-2, $dt-temp-3, $dt-temp-4, $dt-temp-5, $dt-temp-6)" />
    <xsl:variable name="matching-seq-2" select="if (exists($dt-sequence-2))        then index-of(for $i in (1 to count($dt-sequence-2)) return exists($narr-dateTimes[matches(., $dt-sequence-2[$i], 'i')]), true())        else () " />
    <xsl:variable name="dt-stem-2" select="for $i in (1 to count($matching-seq-2)) return $dt-sequence-2[$matching-seq-2[$i]] " />
    <xsl:variable name="dt-regex-2" select="if (exists($dt-stem-2)) then concat('(', string-join($dt-stem-2, '$)|('), '$)') else '' " />
    <xsl:variable name="dt-match-2" select="(exists($dt-stem-2) and exists($narr-dateTimes[matches(., $dt-regex-2, 'i')])) " />
    <xsl:variable name="dt-sequence-3" select="if (not($dt-match-2) and exists($dt-stem-2) and $time-zone != '') then for $i in (1 to count($dt-stem-2)) return        concat($dt-stem-2[$i], substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2)) else () " />
    <xsl:variable name="dt-regex-3" select="if ($dt-match-2) then '' else if (exists($dt-sequence-3)) then concat('(', string-join($dt-sequence-3, '$)|('), '$)') else '' " />
    <xsl:variable name="dt-match-3" select="($dt-match-2 or (exists($dt-sequence-3) and exists($narr-dateTimes[matches(., $dt-regex-3, 'i')]))) " />
    <xsl:variable name="narr-match" select="if ($dt-value != '' and not(exists($narr-dateTimes))) then      (       contains($narrative, $dt-value)               or       (string-length($dt-value) = 4 and contains($narrative, $year))            or        (string-length($dt-value) = 6 and contains($narrative, concat($month-short, $year)))          or       (string-length($dt-value) &gt; 7 and starts-with($day, '0') and        (contains($narrative, concat(substring($day,2,1), $month-short, $year)) or         contains($narrative, concat(substring($day,2,1), $month-num, $year))))          or       (string-length($dt-value) &gt; 7 and (contains($narrative, concat($day, $month-short, $year)) or contains($narrative, concat($day, $month-num, $year))))        )       else false() " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($fir-narr-node//cda:renderMultiMedia) or exists($sec-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($fir-narr-node//cda:linkHtml) or exists($sec-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="warning-1" select="exists($dt-sequence-1) and exists($narr-dateTimes) and $dt-match-1 and not($dt-match-3) and $dt-value != '' " />
    <xsl:variable name="error-1" select="$warning-1 and not($multimedia) " />
    <xsl:variable name="warning-2" select="exists($dt-sequence-1) and exists($narr-dateTimes) and not($dt-match-1 or $dt-match-3) and $dt-value != '' " />
    <xsl:variable name="error-2a" select="$warning-2 and not($multimedia) and $time-zone != '' and count($narr-dateTimes) =        count(for $dt in $narr-dateTimes return replace(replace($dt, $regex-date-type-1, ''), $regex-date-type-2, '')       [matches(., concat('^\s*([0-9]{1,2}:{1}[0-9]{2}\s*', substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2),         '|[0-9]{1,2}:{1}[0-9]{2}:{1}[0-9]{2}\s*', substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2), ')\s*$'), 'i')]) " />
    <xsl:variable name="error-2b" select="$warning-2 and not($dt-match-1) and not($multimedia) and count($narr-dateTimes[matches(., $regex-date-type-2, 'i')]) =        count($narr-dateTimes[matches(., concat($regex-date-type-2, ' ', $narr-time-regex, '$'), 'i')]) " />
    <xsl:variable name="error-2c" select="$warning-2 and exists($narr-dateTimes[matches(., concat('^', $year, '$'))]) " />
    <xsl:variable name="error-2" select="$error-2a or $error-2b or $error-2c " />
    <xsl:variable name="warning-3" select="$dt-value != '' and not(exists($narr-dateTimes)) and not($narr-match) " />
    <xsl:variable name="error-3" select="$warning-3 and not($multimedia) and not(contains($narrative, substring($year, 3, 2)))" />
    <xsl:variable name="narr-dt-msg" select="if ($multimedia or $no-content) then ''       else if (not(exists($narr-dateTimes))) then concat(' The narrative of the ', iq:location(., ''), ' contains no dateTime elements.')       else if (count($narr-dateTimes) = 1) then concat(' The only dateTime element in the narrative of the ', iq:location(., ''), ' is ''',         dh:XQueryRecursiveReplace($narr-dateTimes[1], '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), '''.')       else concat(' The distinct dateTime elements in the narrative of the ', iq:location(., ''), ' are ''',         string-join(for $dt in $narr-dateTimes return          dh:XQueryRecursiveReplace($dt, '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), ', '), '''.') " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-4" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-4 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and exists($dt-sequence-1) and $dt-value != '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and exists($dt-sequence-1) and $dt-value != ''">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 4: The dateTime element in the structured data is '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'.
		The number of dateTime elements that have been extracted from the narrative is '<xsl:text /><xsl:value-of select="count($narr-dateTimes)" /><xsl:text />'.
		These are '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-dateTimes, ', '), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The initial regular expressions are '<xsl:text /><xsl:value-of select="string-join($dt-sequence-1, ', ')" /><xsl:text />'.
		The items in dt-stem-1 are: '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($dt-stem-1, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The items in dt-sequence-2 are: '<xsl:text /><xsl:value-of select="string-join($dt-sequence-2, '|')" /><xsl:text />'.
		The items in dt-stem-2 are: '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($dt-stem-2, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The three regular expressions used to perform an exact match for narrative dateTime elements are as follows:
		dt-regex-1='<xsl:text /><xsl:value-of select="$dt-regex-1" /><xsl:text />'; dt-regex-2='<xsl:text /><xsl:value-of select="$dt-regex-2" /><xsl:text />'; and dt-regex-3='<xsl:text /><xsl:value-of select="$dt-regex-3" /><xsl:text />'.
		Was a match found after the first regular expression (with just a date) was created? <xsl:text /><xsl:value-of select="$dt-match-1" /><xsl:text />.		
		<xsl:text /><xsl:value-of select="if ($dt-regex-2 = '') then 'The second regular expression was not applied as there is no time information.'    else concat('Was a match found after the second regular expression (with a date and time) was created? ', $dt-match-2, '.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($dt-regex-3 = '') then ' The third regular expression was not applied as there is no timezone information.'    else concat(' Was a match found after the third regular expression (with a date and time) was created? ', $dt-match-3, '.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $warning-1 and not($error-1 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $warning-1 and not($error-1 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date Vaccination Cancelled 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Date Vaccination Cancelled data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $error-1 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $error-1 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date Vaccination Cancelled 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. The Date Vaccination Cancelled data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $error-1 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $error-1 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date Vaccination Cancelled 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. The Date Vaccination Cancelled data element records clinical information and all clinical information in entry elements must be present in the narrative.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $warning-2 and not($error-2 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$warning-2 and not($error-2 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date Vaccination Cancelled 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Date Vaccination Cancelled data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-2 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-2 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date Vaccination Cancelled 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="if ($error-2c) then concat('The narrative contains a date with the same year ''', $year, ''' but without a month or day.') else '' " /><xsl:text />
		The Date Vaccination Cancelled data element records clinical information and all clinical information in entry elements must be present in the narrative.
		<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-2 and not($no-content) and not(true())">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-2 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date Vaccination Cancelled 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="if ($error-2c) then concat('The narrative contains a date with the same year ''', $year, ''' but without a month or day.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $warning-3 and not($error-3 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$warning-3 and not($error-3 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date Vaccination Cancelled 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Date Vaccination Cancelled data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $dt-value != '' and not($narr-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $dt-value != '' and not($narr-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date Vaccination Cancelled 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $dt-value != '' and not($narr-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $dt-value != '' and not($narr-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date Vaccination Cancelled '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Date Vaccination Cancelled data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-3 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-3 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date Vaccination Cancelled '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Date Vaccination Cancelled data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-3 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-3 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date Vaccination Cancelled '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Date Vaccination Cancelled '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M142" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M142" />
  <xsl:template match="@*|node()" priority="-2" mode="M142">
    <xsl:apply-templates select="@*|*" mode="M142" />
  </xsl:template>
  <!--PATTERN p-TS-AIR-Integer-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.17039' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.17039']]/cda:entry/        cda:substanceAdministration[not(cda:statusCode/@code) or lower-case(cda:statusCode/@code)='active']/cda:entryRelationship/cda:sequenceNumber " priority="1000" mode="M143">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.17039' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.17039']]/cda:entry/        cda:substanceAdministration[not(cda:statusCode/@code) or lower-case(cda:statusCode/@code)='active']/cda:entryRelationship/cda:sequenceNumber " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 8.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-14" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-14 else $rating-alt-TC-Types-14 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-14: The Vaccine Administration Entry - Vaccine Dose Number '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type and
		<xsl:text /><xsl:value-of select="if (@value and @nullFlavor) then concat('has a value attribute with the value ''', @value, ''' and a nullFlavor attribute with the value ''', @nullFlavor, '''')   else if (@value and not(@nullFlavor)) then concat('has a value attribute with the value ''', @value, '''')   else if (not(@value) and @nullFlavor) then concat('has a nullFlavor attribute with the value ''', @nullFlavor, '''')   else 'has no value or nullFlavor attributes' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(   local-name(.)  = 'batchTotalNumber'  or   local-name(.)  = 'continuationQuantity'  or   local-name(.)  = 'expectedSequenceNumber' or   local-name(.)  = 'initialQuantity'  or   local-name(.)  = 'messageWaitingNumber'  or   local-name(.)  = 'multipleBirthOrderNumber' or   local-name(.)  = 'positionNumber'  or   local-name(.)  = 'priorityNumber'  or   local-name(..) = 'repeatNumber'   or   local-name(.)  = 'resultCurrentQuantity' or   local-name(.)  = 'resultRemainingQuantity' or   local-name(.)  = 'resultTotalQuantity'  or   local-name(.)  = 'sequenceNumber'  or   local-name(.)  = 'startResultNumber'  or   local-name(.)  = 'transmissionQuantity'  or   local-name(.)  = 'versionNumber'  ) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not( local-name(.) = 'batchTotalNumber' or local-name(.) = 'continuationQuantity' or local-name(.) = 'expectedSequenceNumber' or local-name(.) = 'initialQuantity' or local-name(.) = 'messageWaitingNumber' or local-name(.) = 'multipleBirthOrderNumber' or local-name(.) = 'positionNumber' or local-name(.) = 'priorityNumber' or local-name(..) = 'repeatNumber' or local-name(.) = 'resultCurrentQuantity' or local-name(.) = 'resultRemainingQuantity' or local-name(.) = 'resultTotalQuantity' or local-name(.) = 'sequenceNumber' or local-name(.) = 'startResultNumber' or local-name(.) = 'transmissionQuantity' or local-name(.) = 'versionNumber' )">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-14" /><xsl:text />: TC-Types-14: The Vaccine Administration Entry - Vaccine Dose Number
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type but it does not meet the requirement to have the xsi:type attribute with the value 'INT'.
		(See section 8.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-14" /><xsl:text />: TC-Types-14: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Administration Entry - Vaccine Dose Number
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type which is
		derived from the HL7 'INT' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		(See section 8.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Administration Entry - Vaccine Dose Number
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Integer data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Administration Entry - Vaccine Dose Number
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Integer data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Administration Entry - Vaccine Dose Number
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the Integer data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Administration Entry - Vaccine Dose Number
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the Integer data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @inclusive != 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @inclusive != 'true'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Administration Entry - Vaccine Dose Number
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however an attribute 'inclusive' with the value
		'<xsl:text /><xsl:value-of select="@inclusive" /><xsl:text />' was found that is not expected for the Integer data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @inclusive != 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @inclusive != 'true'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Administration Entry - Vaccine Dose Number
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however an attribute 'inclusive' with the value
		'<xsl:text /><xsl:value-of select="@inclusive" /><xsl:text />' was found that is not expected for the Integer data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@value) and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@value) and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Administration Entry - Vaccine Dose Number
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type
		however it has nullFlavor = 'UNC' (uncoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include nullFlavor = 'UNC'.
		(See section 8.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M143" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M143" />
  <xsl:template match="@*|node()" priority="-2" mode="M143">
    <xsl:apply-templates select="@*|*" mode="M143" />
  </xsl:template>
  <!--PATTERN p-TS-AIR-Integer-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.17039' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.17039']]/cda:entry/        cda:substanceAdministration[not(cda:statusCode/@code) or lower-case(cda:statusCode/@code)='active']/cda:entryRelationship/cda:sequenceNumber " priority="1000" mode="M144">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.17039' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.17039']]/cda:entry/        cda:substanceAdministration[not(cda:statusCode/@code) or lower-case(cda:statusCode/@code)='active']/cda:entryRelationship/cda:sequenceNumber " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="narr-text-el" select="(for $text in ($target-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="narr-numbers" select="$narr-text-el[. castable as xs:double] " />
    <xsl:variable name="narr-el-present" select="exists($narr-numbers)" />
    <xsl:variable name="num-in-narr" select="@value and exists($narr-numbers[number() = current()/@value])" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-8" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-8 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @value and ancestor::cda:section and not($narr-el-present) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @value and ancestor::cda:section and not($narr-el-present)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step-8" /><xsl:text />: TC-Narr-09 step 8: The Vaccine Administration Entry - Vaccine Dose Number
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Vaccine Administration Entry - Vaccine Dose Number data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @value and $narr-el-present and not($num-in-narr or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value and $narr-el-present and not($num-in-narr or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-8" /><xsl:text />: TC-Narr-09 step 8: The Vaccine Administration Entry - Vaccine Dose Number
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' which was not found in table data elements of
		the narrative of the section. The data element is in the section with the title '<xsl:text /><xsl:value-of select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]/cda:title" /><xsl:text />'.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Vaccine Administration Entry - Vaccine Dose Number data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Vaccine Administration Entry - Vaccine Dose Number
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M144" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M144" />
  <xsl:template match="@*|node()" priority="-2" mode="M144">
    <xsl:apply-templates select="@*|*" mode="M144" />
  </xsl:template>
  <!--PATTERN p-TS-AIR-Integer-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.17039' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.17039']]/cda:entry/        cda:substanceAdministration[lower-case(cda:statusCode/@code)='cancelled']/cda:entryRelationship/cda:sequenceNumber " priority="1000" mode="M145">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.17039' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.17039']]/cda:entry/        cda:substanceAdministration[lower-case(cda:statusCode/@code)='cancelled']/cda:entryRelationship/cda:sequenceNumber " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 8.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-14" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-14 else $rating-alt-TC-Types-14 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-14: The Vaccine Cancellation Entry - Vaccine Dose Number '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type and
		<xsl:text /><xsl:value-of select="if (@value and @nullFlavor) then concat('has a value attribute with the value ''', @value, ''' and a nullFlavor attribute with the value ''', @nullFlavor, '''')   else if (@value and not(@nullFlavor)) then concat('has a value attribute with the value ''', @value, '''')   else if (not(@value) and @nullFlavor) then concat('has a nullFlavor attribute with the value ''', @nullFlavor, '''')   else 'has no value or nullFlavor attributes' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(   local-name(.)  = 'batchTotalNumber'  or   local-name(.)  = 'continuationQuantity'  or   local-name(.)  = 'expectedSequenceNumber' or   local-name(.)  = 'initialQuantity'  or   local-name(.)  = 'messageWaitingNumber'  or   local-name(.)  = 'multipleBirthOrderNumber' or   local-name(.)  = 'positionNumber'  or   local-name(.)  = 'priorityNumber'  or   local-name(..) = 'repeatNumber'   or   local-name(.)  = 'resultCurrentQuantity' or   local-name(.)  = 'resultRemainingQuantity' or   local-name(.)  = 'resultTotalQuantity'  or   local-name(.)  = 'sequenceNumber'  or   local-name(.)  = 'startResultNumber'  or   local-name(.)  = 'transmissionQuantity'  or   local-name(.)  = 'versionNumber'  ) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not( local-name(.) = 'batchTotalNumber' or local-name(.) = 'continuationQuantity' or local-name(.) = 'expectedSequenceNumber' or local-name(.) = 'initialQuantity' or local-name(.) = 'messageWaitingNumber' or local-name(.) = 'multipleBirthOrderNumber' or local-name(.) = 'positionNumber' or local-name(.) = 'priorityNumber' or local-name(..) = 'repeatNumber' or local-name(.) = 'resultCurrentQuantity' or local-name(.) = 'resultRemainingQuantity' or local-name(.) = 'resultTotalQuantity' or local-name(.) = 'sequenceNumber' or local-name(.) = 'startResultNumber' or local-name(.) = 'transmissionQuantity' or local-name(.) = 'versionNumber' )">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-14" /><xsl:text />: TC-Types-14: The Vaccine Cancellation Entry - Vaccine Dose Number
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type but it does not meet the requirement to have the xsi:type attribute with the value 'INT'.
		(See section 8.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-14" /><xsl:text />: TC-Types-14: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Entry - Vaccine Dose Number
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type which is
		derived from the HL7 'INT' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		(See section 8.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Entry - Vaccine Dose Number
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Integer data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Entry - Vaccine Dose Number
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Integer data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Entry - Vaccine Dose Number
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the Integer data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Entry - Vaccine Dose Number
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the Integer data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @inclusive != 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @inclusive != 'true'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Entry - Vaccine Dose Number
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however an attribute 'inclusive' with the value
		'<xsl:text /><xsl:value-of select="@inclusive" /><xsl:text />' was found that is not expected for the Integer data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @inclusive != 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @inclusive != 'true'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Entry - Vaccine Dose Number
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however an attribute 'inclusive' with the value
		'<xsl:text /><xsl:value-of select="@inclusive" /><xsl:text />' was found that is not expected for the Integer data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@value) and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@value) and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Entry - Vaccine Dose Number
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type
		however it has nullFlavor = 'UNC' (uncoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include nullFlavor = 'UNC'.
		(See section 8.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M145" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M145" />
  <xsl:template match="@*|node()" priority="-2" mode="M145">
    <xsl:apply-templates select="@*|*" mode="M145" />
  </xsl:template>
  <!--PATTERN p-TS-AIR-Integer-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.17039' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.17039']]/cda:entry/        cda:substanceAdministration[lower-case(cda:statusCode/@code)='cancelled']/cda:entryRelationship/cda:sequenceNumber " priority="1000" mode="M146">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.17039' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.17039']]/cda:entry/        cda:substanceAdministration[lower-case(cda:statusCode/@code)='cancelled']/cda:entryRelationship/cda:sequenceNumber " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="narr-text-el" select="(for $text in ($target-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="narr-numbers" select="$narr-text-el[. castable as xs:double] " />
    <xsl:variable name="narr-el-present" select="exists($narr-numbers)" />
    <xsl:variable name="num-in-narr" select="@value and exists($narr-numbers[number() = current()/@value])" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-8" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-8 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @value and ancestor::cda:section and not($narr-el-present) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @value and ancestor::cda:section and not($narr-el-present)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step-8" /><xsl:text />: TC-Narr-09 step 8: The Vaccine Cancellation Entry - Vaccine Dose Number
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Vaccine Cancellation Entry - Vaccine Dose Number data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @value and $narr-el-present and not($num-in-narr or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value and $narr-el-present and not($num-in-narr or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-8" /><xsl:text />: TC-Narr-09 step 8: The Vaccine Cancellation Entry - Vaccine Dose Number
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' which was not found in table data elements of
		the narrative of the section. The data element is in the section with the title '<xsl:text /><xsl:value-of select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]/cda:title" /><xsl:text />'.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Vaccine Cancellation Entry - Vaccine Dose Number data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Vaccine Cancellation Entry - Vaccine Dose Number
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M146" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M146" />
  <xsl:template match="@*|node()" priority="-2" mode="M146">
    <xsl:apply-templates select="@*|*" mode="M146" />
  </xsl:template>
  <!--PATTERN p-TS-AIR-TimeInterval-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.17039' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.17039']]/cda:entry/        cda:substanceAdministration[lower-case(cda:statusCode/@code)='cancelled']/cda:entryRelationship/cda:act/cda:entryRelationship/cda:act/cda:effectiveTime " priority="1000" mode="M147">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.17039' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.17039']]/cda:entry/        cda:substanceAdministration[lower-case(cda:statusCode/@code)='cancelled']/cda:entryRelationship/cda:act/cda:entryRelationship/cda:act/cda:effectiveTime " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text1" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="message-text2" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See sections 8.6 and 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="nullFlavor-values" select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]" />
    <xsl:variable name="low-inclusive" select="if (not(cda:low)) then '' else if (cda:low/@inclusive='false') then ' (excluded)' else ' (included)' " />
    <xsl:variable name="high-inclusive" select="if (not(cda:high)) then '' else if (cda:high/@inclusive='false') then ' (excluded)' else ' (included)' " />
    <xsl:variable name="display-interval" select="if (@value and cda:low/@value and cda:high/@value)         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34), ', low value ', codepoints-to-string(34), cda:low/@value,        codepoints-to-string(34), $low-inclusive, ' and high value ', codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)        else if (@value and cda:low/@value and not(cda:high/@value))         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34), ' and low value ', codepoints-to-string(34), cda:low/@value,        codepoints-to-string(34), $low-inclusive)       else if (@value and not(cda:low/@value) and cda:high/@value)         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34), ' and high value ', codepoints-to-string(34),        cda:high/@value, codepoints-to-string(34), $high-inclusive)       else if (not(@value) and cda:low/@value and cda:high/@value)         then concat('low value ', codepoints-to-string(34), cda:low/@value, codepoints-to-string(34), $low-inclusive, ' and high value ',         codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)       else if (@value and not(cda:low/@value) and not(cda:high/@value))         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34))       else if (not(@value) and cda:low/@value and not(cda:high/@value))         then concat('low value ', codepoints-to-string(34), cda:low/@value, codepoints-to-string(34), $low-inclusive)       else if (not(@value) and not(cda:low/@value) and cda:high/@value)         then concat('high value ', codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)       else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-22" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-22 else $rating-alt-TC-Types-22 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-22: The Vaccine Cancellation Reason Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type
		and <xsl:text /><xsl:value-of select="if (@value or cda:low/@value or cda:high/@value) then concat('has ', $display-interval)   else 'has no value attribute and no low or high data elements' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@nullFlavor) then concat('The nullFlavor attribute has the value ''', @nullFlavor, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Reason Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type.
		It contains a value of nullFlavor 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a value
		may exist, but it must be derived from the information provided. Confirm if the use of this nullFlavor is valid.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'NINF' or @nullFlavor = 'PINF' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'NINF' or @nullFlavor = 'PINF'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 1: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Reason Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data
		type which is derived from the HL7 'IVL_TS' data type. It has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) which is a
		value of nullFlavor that may not be used for data elements of the IVL data type.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Reason Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data
		type however it has nullFlavor = 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include
		nullFlavor = 'UNC'. (See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'QS' or @nullFlavor = 'TRC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'QS' or @nullFlavor = 'TRC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 3: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Reason Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data
		type which is derived from the HL7 'IVL_TS' data type. It has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) however
		that value of nullFlavor may not be used for data elements of the TS or IVL data types.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Reason Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type which is
		derived from the HL7 'IVL_TS' data type. The HL7 'TS' data type may also be used for a TimeInterval however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		(See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 3.8.1 of HL7 Version 3 Standard: Data Types - Abstract Specification,
		Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Reason Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type which is
		derived from the HL7 'IVL_TS' data type. The HL7 'TS' data type may also be used for a TimeInterval however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'IVL_TS' or 'TS'.
		(See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 3.8.1 of HL7 Version 3 Standard: Data Types - Abstract Specification,
		Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not(@nullFlavor or @value or cda:low or cda:high) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor or @value or cda:low or cda:high)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Reason Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however
		it does not have a nullFlavor or value attribute or low or high elements. A TimeInterval may only contain a nullFlavor or value attribute or low or high elements with the optional
		'inclusive' attribute included in the low or high elements if there is a need to indicate that the low or high boundaries are excluded.
		(See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @value and (cda:low or cda:high) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value and (cda:low or cda:high)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Reason Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type.
		It has the element '<xsl:text /><xsl:value-of select="local-name(cda:*[local-name() = ('low', 'high')])" /><xsl:text />' which is used for the HL7 'IVL' data type
		but also has a 'value' attribute which is used by the HL7 'TS' data type and is not used by the HL7 'IVL' data type. The data element must either have a 'value' attribute
		or '<xsl:text /><xsl:value-of select="local-name(cda:*[local-name() = ('low', 'high')])" /><xsl:text />' but not both.
		(See section 7.10.9.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and section 3.8.1 of
		HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('low', 'high'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Reason Period
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('low', 'high'))])" /><xsl:text />' was found
		that is not expected for the TimeInterval data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('low', 'high', 'width'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('low', 'high', 'width'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Reason Period
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('low', 'high', 'width'))])" /><xsl:text />' was found
		that is not expected for the TimeInterval data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and cda:width/@value and ((cda:low/@value and not(cda:high/@value)) or (not(cda:low/@value) and cda:high/@value)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and cda:width/@value and ((cda:low/@value and not(cda:high/@value)) or (not(cda:low/@value) and cda:high/@value))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Reason Period
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a width element is also
		present with the value '<xsl:text /><xsl:value-of select="cda:width/@value" /><xsl:text />' and unit '<xsl:text /><xsl:value-of select="cda:width/@unit" /><xsl:text />'.		
		This is an error as the presence of a <xsl:text /><xsl:value-of select="if (cda:low) then 'low' else 'high' " /><xsl:text /> element without a <xsl:text /><xsl:value-of select="if (cda:low) then 'high' else 'low' " /><xsl:text /> element
		means the TimeInterval is unbounded in one direction however the width element implies the interval is bounded. That is the width element is an extension that qualifies the
		time interval whereas an extension is allowed only if it does not qualify or negate the time interval.
		(See the definition of Vaccine Cancellation Reason Period in the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text />, section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0
		and <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)
		As the <xsl:text /><xsl:value-of select="if (cda:low) then 'start' else 'end' " /><xsl:text /> of the time interval is known then the Vaccine Cancellation Reason Period must also have a
		<xsl:text /><xsl:value-of select="if (cda:low) then ' high' else ' low' " /><xsl:text /> element as the TimeInterval data type uses low and high elements rather than width to define an interval.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and cda:width/@value and not(cda:high/@value or cda:low/@value) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and cda:width/@value and not(cda:high/@value or cda:low/@value)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Reason Period
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a width element is also
		present with the value '<xsl:text /><xsl:value-of select="cda:width/@value" /><xsl:text />' and unit '<xsl:text /><xsl:value-of select="cda:width/@unit" /><xsl:text />'.		
		This is an error as the Vaccine Cancellation Reason Period has no low or high elements so the TimeInterval is unbounded however the width element implies the interval is bounded. That is the width element is an
		extension that qualifies the time interval whereas an extension is allowed only if it does not qualify or negate the time interval.
		(See the definition of Vaccine Cancellation Reason Period in the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text />, section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0
		and <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)
		The TimeInterval data type uses low and high elements rather than width to define an interval.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(    @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or    @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'  )) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not( @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS' ))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Reason Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the TimeInterval data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(    @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or    @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'  )) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not( @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS' ))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Reason Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the TimeInterval data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @operator and @operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @operator and @operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Reason Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the TimeInterval data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @operator and @operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @operator and @operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Reason Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the TimeInterval data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:low/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:low/*">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Reason Period 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(cda:low/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/*">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Reason Period 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(cda:low/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Reason Period 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Reason Period 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:low/@operator and cda:low/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:low/@operator and cda:low/@operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Reason Period 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/@operator and cda:low/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/@operator and cda:low/@operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Reason Period 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:low/cda:originalText) and cda:low/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:low/cda:originalText) and cda:low/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Reason Period 'low' child element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present so
		it is an error to include nullFlavor 'UNC'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:high/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:high/*">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Reason Period 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element '<xsl:text /><xsl:value-of select="local-name(cda:high/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/*">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Reason Period 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element '<xsl:text /><xsl:value-of select="local-name(cda:high/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Reason Period 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Reason Period 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:high/@operator and cda:high/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:high/@operator and cda:high/@operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Reason Period 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/@operator and cda:high/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/@operator and cda:high/@operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Reason Period 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Reason Period 'high' child element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present
		so it is an error to include nullFlavor 'UNC'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Reason Period 'high' child element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present
		so it is an error to include nullFlavor 'UNC'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M147" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M147" />
  <xsl:template match="@*|node()" priority="-2" mode="M147">
    <xsl:apply-templates select="@*|*" mode="M147" />
  </xsl:template>
  <!--PATTERN p-TS-AIR-TimeInterval-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.17039' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.17039']]/cda:entry/        cda:substanceAdministration[lower-case(cda:statusCode/@code)='cancelled']/cda:entryRelationship/cda:act/cda:entryRelationship/cda:act/cda:effectiveTime   [not((cda:low/@value and (number(substring(cda:low/@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(cda:low/@value,1,4)) &gt; number($creation-date-yr) + 130)) or     (cda:high/@value and (number(substring(cda:high/@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(cda:high/@value,1,4)) &gt; number($creation-date-yr) + 130)))] " priority="1000" mode="M148">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.17039' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.17039']]/cda:entry/        cda:substanceAdministration[lower-case(cda:statusCode/@code)='cancelled']/cda:entryRelationship/cda:act/cda:entryRelationship/cda:act/cda:effectiveTime   [not((cda:low/@value and (number(substring(cda:low/@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(cda:low/@value,1,4)) &gt; number($creation-date-yr) + 130)) or     (cda:high/@value and (number(substring(cda:high/@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(cda:high/@value,1,4)) &gt; number($creation-date-yr) + 130)))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="fir-narrative" select="translate(normalize-space(lower-case(string($fir-narr-node))), $chars-to-remove, '')" />
    <xsl:variable name="sec-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)        then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]        else () " />
    <xsl:variable name="sec-narr-node" select="$sec-section/cda:text " />
    <xsl:variable name="narr-text-el" select="(for $text in ($fir-narr-node//text(), $sec-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="sec-narrative" select="translate(normalize-space(lower-case(string($sec-narr-node))), $chars-to-remove, '') " />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="narrative" select="concat($target-title, $fir-narrative, $sec-narrative)" />
    <xsl:variable name="narr-elements" select="$fir-narr-node//cda:*[exists(text()[normalize-space() != '']) and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ]  |             $sec-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ] " />
    <xsl:variable name="narr-lower-case" select="for $i in (1 to count($narr-elements)) return lower-case(normalize-space(string-join($narr-elements[$i]/text(), '')))  " />
    <xsl:variable name="dt-narr-elements" select="$narr-lower-case[matches(., $regex-date-type-1, 'i') or matches(., $regex-date-type-2, 'i') or matches(., $regex-date-type-3, 'i')] " />
    <xsl:variable name="narr-elements-start" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-before($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-before($dt-narr-elements[$i], ' -'))        else $dt-narr-elements[$i])[. != ''] " />
    <xsl:variable name="narr-elements-end" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-after($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-after($dt-narr-elements[$i], ' -'))        else '')[. != ''] " />
    <xsl:variable name="narr-dateTimes" select="distinct-values(($narr-elements-start , $narr-elements-end))[. != '(ongoing)'] " />
    <xsl:variable name="l-dt-value" select="if (@value) then @value        else if (cda:low/@value) then cda:low/@value        else '' " />
    <xsl:variable name="l-no-time-zone" select="if (contains($l-dt-value, '+')) then substring-before($l-dt-value, '+')       else if (contains($l-dt-value, '-')) then substring-before($l-dt-value, '-')       else $l-dt-value " />
    <xsl:variable name="l-length" select="string-length($l-no-time-zone) " />
    <xsl:variable name="l-year" select="if ($l-length &gt; 3) then substring($l-no-time-zone,1,4) else '' " />
    <xsl:variable name="l-month-num" select="if ($l-length &gt; 5) then substring($l-no-time-zone,5,2) else '' " />
    <xsl:variable name="l-day" select="if ($l-length &gt; 7 and substring($l-no-time-zone,7,1) = '0') then substring($l-no-time-zone,8,1)       else if ($l-length &gt; 7 and substring($l-no-time-zone,7,1) != '0') then substring($l-no-time-zone,7,2) else '' " />
    <xsl:variable name="l-hour-long" select="if ($l-length &gt; 9) then substring($l-no-time-zone,9,2) else '' " />
    <xsl:variable name="l-hour-short" select="if (substring($l-hour-long, 1, 1) = '0') then substring($l-hour-long, 2, 1) else '' " />
    <xsl:variable name="l-minute" select="if ($l-length &gt; 11) then substring($l-no-time-zone,11,2) else '' " />
    <xsl:variable name="l-second" select="if ($l-length &gt; 13) then substring($l-no-time-zone,13,2) else '' " />
    <xsl:variable name="l-time-zone" select="if (contains($l-dt-value, '+')) then concat('\+', substring-after($l-dt-value, '+'))       else if (contains($l-dt-value, '-')) then concat('\-', substring-after($l-dt-value, '-'))       else '' " />
    <xsl:variable name="l-month-short" select="if ($l-month-num = '01') then 'jan'   else             if ($l-month-num = '02') then 'feb'   else             if ($l-month-num = '03') then 'mar'   else             if ($l-month-num = '04') then 'apr'   else             if ($l-month-num = '05') then 'may'   else             if ($l-month-num = '06') then 'jun'   else             if ($l-month-num = '07') then 'jul'   else             if ($l-month-num = '08') then 'aug'   else             if ($l-month-num = '09') then 'sep'   else             if ($l-month-num = '10') then 'oct'   else             if ($l-month-num = '11') then 'nov'   else             if ($l-month-num = '12') then 'dec'   else '' " />
    <xsl:variable name="l-month-long" select="if ($l-month-num = '01') then 'january'   else             if ($l-month-num = '02') then 'february'  else             if ($l-month-num = '03') then 'march'   else             if ($l-month-num = '04') then 'april'   else             if ($l-month-num = '05') then 'may'   else             if ($l-month-num = '06') then 'june'   else             if ($l-month-num = '07') then 'july'   else             if ($l-month-num = '08') then 'august'   else             if ($l-month-num = '09') then 'september'  else             if ($l-month-num = '10') then 'october'   else             if ($l-month-num = '11') then 'november'  else             if ($l-month-num = '12') then 'december'  else '' " />
    <xsl:variable name="l-date-type-3-day" select="if (string-length($l-day) = 1) then concat('0{0,1}', $l-day) else $l-day " />
    <xsl:variable name="l-date-type-3-month" select="if (string-length($l-month-num) = 1) then concat('0{0,1}', $l-month-num)        else if (substring($l-month-num, 1, 1) = '0') then concat('0{0,1}', substring($l-month-num, 2, 1))         else $l-month-num " />
    <xsl:variable name="l-dt-sequence-1" select="if ($l-length = 4) then (         concat('^', $l-dt-value)        ,          concat('^', $l-year)         )        else if ($l-length = 6) then (         concat('^', $l-dt-value)        ,         concat('^', $l-month-short, $date-sep, $l-year)      ,          concat('^', $l-month-long, $date-sep, $l-year)      )        else if ($l-length &gt; 7) then (         concat('^', $l-dt-value)        ,         concat('^', $l-date-type-3-day, $date-sep, $l-month-short, $date-sep, $l-year)  ,         concat('^', $l-date-type-3-day, $date-sep, $l-month-long, $date-sep, $l-year)  ,         concat('^', $l-date-type-3-day, '/', $l-date-type-3-month, '/', $l-year)  )        else () " />
    <xsl:variable name="l-matching-seq-1" select="if (exists($l-dt-sequence-1))        then index-of(for $i in (1 to count($l-dt-sequence-1)) return exists($narr-dateTimes[matches(., $l-dt-sequence-1[$i], 'i')]), true())        else () " />
    <xsl:variable name="l-dt-stem-1" select="for $i in (1 to count($l-matching-seq-1)) return $l-dt-sequence-1[$l-matching-seq-1[$i]] " />
    <xsl:variable name="l-dt-regex-1" select="if (exists($l-dt-stem-1)) then concat('(', string-join($l-dt-stem-1, '$)|('), '$)') else ()" />
    <xsl:variable name="l-dt-match-1" select="exists($l-dt-stem-1) and exists($narr-dateTimes[matches(., $l-dt-regex-1, 'i')])" />
    <xsl:variable name="l-time-1" select="if ($l-length &gt; 11 and $l-hour-short != '') then concat($l-hour-short, ':', $l-minute, '( *| *am)') else '' " />
    <xsl:variable name="l-time-2" select="if ($l-length &gt; 13 and $l-hour-short != '') then concat($l-hour-short, ':', $l-minute, ':', $l-second, '( *| *am)') else '' " />
    <xsl:variable name="l-time-3" select="if ($l-length &gt; 11 and number($l-hour-long) &lt; 12) then concat($l-hour-long, ':', $l-minute, '( *| *am)')        else if ($l-length &gt; 11) then concat($l-hour-long, ':', $l-minute) else '' " />
    <xsl:variable name="l-time-4" select="if ($l-length &gt; 13 and number($l-hour-long) &lt; 12) then concat($l-hour-long, ':', $l-minute, ':', $l-second, '( *| *am)')        else if ($l-length &gt; 13) then concat($l-hour-long, ':', $l-minute, ':', $l-second) else '' " />
    <xsl:variable name="l-time-5" select="if ($l-length &gt; 11 and number($l-hour-long) &gt; 12) then concat(string(number($l-hour-long) - 12), ':', $l-minute, '( *| *pm)') else '' " />
    <xsl:variable name="l-time-6" select="if ($l-length &gt; 13 and number($l-hour-long) &gt; 12) then concat(string(number($l-hour-long) - 12), ':', $l-minute, ':', $l-second, '( *| *pm)') else '' " />
    <xsl:variable name="l-dt-temp-0" select="if (exists($l-dt-stem-1) and $l-length = 8) then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $narr-time-regex) else () " />
    <xsl:variable name="l-dt-temp-1" select="if (exists($l-dt-stem-1) and $l-time-1 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-1) else () " />
    <xsl:variable name="l-dt-temp-2" select="if (exists($l-dt-stem-1) and $l-time-2 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-2) else () " />
    <xsl:variable name="l-dt-temp-3" select="if (exists($l-dt-stem-1) and $l-time-3 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-3) else () " />
    <xsl:variable name="l-dt-temp-4" select="if (exists($l-dt-stem-1) and $l-time-4 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-4) else () " />
    <xsl:variable name="l-dt-temp-5" select="if (exists($l-dt-stem-1) and $l-time-5 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-5) else () " />
    <xsl:variable name="l-dt-temp-6" select="if (exists($l-dt-stem-1) and $l-time-6 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-6) else () " />
    <xsl:variable name="l-dt-sequence-2" select="($l-dt-temp-0, $l-dt-temp-1, $l-dt-temp-2, $l-dt-temp-3, $l-dt-temp-4, $l-dt-temp-5, $l-dt-temp-6)" />
    <xsl:variable name="l-matching-seq-2" select="if (exists($l-dt-sequence-2))        then index-of(for $i in (1 to count($l-dt-sequence-2)) return exists($narr-dateTimes[matches(., $l-dt-sequence-2[$i], 'i')]), true())        else () " />
    <xsl:variable name="l-dt-stem-2" select="for $i in (1 to count($l-matching-seq-2)) return $l-dt-sequence-2[$l-matching-seq-2[$i]] " />
    <xsl:variable name="l-dt-regex-2" select="if (exists($l-dt-stem-2)) then concat('(', string-join($l-dt-stem-2, '$)|('), '$)') else '' " />
    <xsl:variable name="l-dt-match-2" select="(exists($l-dt-stem-2) and exists($narr-dateTimes[matches(., $l-dt-regex-2, 'i')])) " />
    <xsl:variable name="l-dt-sequence-3" select="if (not($l-dt-match-2) and exists($l-dt-stem-2) and $l-time-zone != '') then for $i in (1 to count($l-dt-stem-2)) return        concat($l-dt-stem-2[$i], substring($l-time-zone, 1, 4), ':?', substring($l-time-zone, 5, 2)) else () " />
    <xsl:variable name="l-dt-regex-3" select="if ($l-dt-match-2) then '' else if (exists($l-dt-sequence-3)) then concat('(', string-join($l-dt-sequence-3, '$)|('), '$)') else '' " />
    <xsl:variable name="l-dt-match-3" select="($l-dt-match-2 or (exists($l-dt-sequence-3) and exists($narr-dateTimes[matches(., $l-dt-regex-3, 'i')]))) " />
    <xsl:variable name="l-narr-match" select="if ($l-dt-value != '' and count($narr-dateTimes) = 0) then      (       contains($narrative, $l-dt-value)                or       (string-length($l-dt-value) = 4 and contains($narrative, $l-year))             or        (string-length($l-dt-value) = 6 and contains($narrative, concat($l-month-short, $l-year)))          or       (string-length($l-dt-value) &gt; 7 and starts-with($l-day, '0') and        (contains($narrative, concat(substring($l-day,2,1), $l-month-short, $l-year)) or         contains($narrative, concat(substring($l-day,2,1), $l-month-num, $l-year))))          or       (string-length($l-dt-value) &gt; 7 and (contains($narrative, concat($l-day, $l-month-short, $l-year)) or contains($narrative, concat($l-day, $l-month-num, $l-year))))        )       else false() " />
    <xsl:variable name="h-dt-value" select="if (cda:high/@value and $l-dt-value != cda:high/@value) then cda:high/@value        else '' " />
    <xsl:variable name="h-no-time-zone" select="if (contains($h-dt-value, '+')) then substring-before($h-dt-value, '+')       else if (contains($h-dt-value, '-')) then substring-before($h-dt-value, '-')       else $h-dt-value " />
    <xsl:variable name="h-length" select="string-length($h-no-time-zone) " />
    <xsl:variable name="h-year" select="if ($h-length &gt; 3) then substring($h-no-time-zone,1,4) else '' " />
    <xsl:variable name="h-month-num" select="if ($h-length &gt; 5) then substring($h-no-time-zone,5,2) else '' " />
    <xsl:variable name="h-day" select="if ($h-length &gt; 7 and substring($h-no-time-zone,7,1) = '0') then substring($h-no-time-zone,8,1)       else if ($h-length &gt; 7 and substring($h-no-time-zone,7,1) != '0') then substring($h-no-time-zone,7,2) else '' " />
    <xsl:variable name="h-hour-long" select="if ($h-length &gt; 9) then substring($h-no-time-zone,9,2) else '' " />
    <xsl:variable name="h-hour-short" select="if (substring($h-hour-long, 1, 1) = '0') then substring($h-hour-long, 2, 1) else '' " />
    <xsl:variable name="h-minute" select="if ($h-length &gt; 11) then substring($h-no-time-zone,11,2) else '' " />
    <xsl:variable name="h-second" select="if ($h-length &gt; 13) then substring($h-no-time-zone,13,2) else '' " />
    <xsl:variable name="h-time-zone" select="if (contains($h-dt-value, '+')) then concat('\+', substring-after($h-dt-value, '+'))       else if (contains($h-dt-value, '-')) then concat('\-', substring-after($h-dt-value, '-'))       else '' " />
    <xsl:variable name="h-month-short" select="if ($h-month-num = '01') then 'jan'   else             if ($h-month-num = '02') then 'feb'   else             if ($h-month-num = '03') then 'mar'   else             if ($h-month-num = '04') then 'apr'   else             if ($h-month-num = '05') then 'may'   else             if ($h-month-num = '06') then 'jun'   else             if ($h-month-num = '07') then 'jul'   else             if ($h-month-num = '08') then 'aug'   else             if ($h-month-num = '09') then 'sep'   else             if ($h-month-num = '10') then 'oct'   else             if ($h-month-num = '11') then 'nov'   else             if ($h-month-num = '12') then 'dec'   else '' " />
    <xsl:variable name="h-month-long" select="if ($h-month-num = '01') then 'january'   else             if ($h-month-num = '02') then 'february'  else             if ($h-month-num = '03') then 'march'   else             if ($h-month-num = '04') then 'april'   else             if ($h-month-num = '05') then 'may'   else             if ($h-month-num = '06') then 'june'   else             if ($h-month-num = '07') then 'july'   else             if ($h-month-num = '08') then 'august'   else             if ($h-month-num = '09') then 'september'  else             if ($h-month-num = '10') then 'october'   else             if ($h-month-num = '11') then 'november'  else             if ($h-month-num = '12') then 'december'  else '' " />
    <xsl:variable name="h-date-type-3-day" select="if (string-length($h-day) = 1) then concat('0{0,1}', $h-day) else $h-day " />
    <xsl:variable name="h-date-type-3-month" select="if (string-length($h-month-num) = 1) then concat('0{0,1}', $h-month-num)        else if (substring($h-month-num, 1, 1) = '0') then concat('0{0,1}', substring($h-month-num, 2, 1))         else $h-month-num " />
    <xsl:variable name="h-dt-sequence-1" select="if ($h-length = 4) then (         concat('^', $h-dt-value)        ,          concat('^', $h-year)         )        else if ($h-length = 6) then (         concat('^', $h-dt-value)        ,         concat('^', $h-month-short, $date-sep, $h-year)      ,          concat('^', $h-month-long, $date-sep, $h-year)      )        else if ($h-length &gt; 7) then (         concat('^', $h-dt-value)        ,         concat('^', $h-date-type-3-day, $date-sep, $h-month-short, $date-sep, $h-year)  ,         concat('^', $h-date-type-3-day, $date-sep, $h-month-long, $date-sep, $h-year)  ,         concat('^', $h-date-type-3-day, '/', $h-date-type-3-month, '/', $h-year)  )        else () " />
    <xsl:variable name="h-matching-seq-1" select="if (exists($h-dt-sequence-1))        then index-of(for $i in (1 to count($h-dt-sequence-1)) return exists($narr-dateTimes[matches(., $h-dt-sequence-1[$i], 'i')]), true())        else () " />
    <xsl:variable name="h-dt-stem-1" select="for $i in (1 to count($h-matching-seq-1)) return $h-dt-sequence-1[$h-matching-seq-1[$i]] " />
    <xsl:variable name="h-dt-regex-1" select="if (exists($h-dt-stem-1)) then concat('(', string-join($h-dt-stem-1, '$)|('), '$)') else ()" />
    <xsl:variable name="h-dt-match-1" select="exists($h-dt-stem-1) and exists($narr-dateTimes[matches(., $h-dt-regex-1, 'i')])" />
    <xsl:variable name="h-time-1" select="if ($h-length &gt; 11 and $h-hour-short != '') then concat($h-hour-short, ':', $h-minute, '( *| *am)') else '' " />
    <xsl:variable name="h-time-2" select="if ($h-length &gt; 13 and $h-hour-short != '') then concat($h-hour-short, ':', $h-minute, ':', $h-second, '( *| *am)') else '' " />
    <xsl:variable name="h-time-3" select="if ($h-length &gt; 11 and number($h-hour-long) &lt; 12) then concat($h-hour-long, ':', $h-minute, '( *| *am)')        else if ($h-length &gt; 11) then concat($h-hour-long, ':', $h-minute) else '' " />
    <xsl:variable name="h-time-4" select="if ($h-length &gt; 13 and number($h-hour-long) &lt; 12) then concat($h-hour-long, ':', $h-minute, ':', $h-second, '( *| *am)')        else if ($h-length &gt; 13) then concat($h-hour-long, ':', $h-minute, ':', $h-second) else '' " />
    <xsl:variable name="h-time-5" select="if ($h-length &gt; 11 and number($h-hour-long) &gt; 12) then concat(string(number($h-hour-long) - 12), ':', $h-minute, '( *| *pm)') else '' " />
    <xsl:variable name="h-time-6" select="if ($h-length &gt; 13 and number($h-hour-long) &gt; 12) then concat(string(number($h-hour-long) - 12), ':', $h-minute, ':', $h-second, '( *| *pm)') else '' " />
    <xsl:variable name="h-dt-temp-0" select="if (exists($h-dt-stem-1) and $h-length = 8) then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $narr-time-regex) else () " />
    <xsl:variable name="h-dt-temp-1" select="if (exists($h-dt-stem-1) and $h-time-1 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-1) else () " />
    <xsl:variable name="h-dt-temp-2" select="if (exists($h-dt-stem-1) and $h-time-2 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-2) else () " />
    <xsl:variable name="h-dt-temp-3" select="if (exists($h-dt-stem-1) and $h-time-3 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-3) else () " />
    <xsl:variable name="h-dt-temp-4" select="if (exists($h-dt-stem-1) and $h-time-4 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-4) else () " />
    <xsl:variable name="h-dt-temp-5" select="if (exists($h-dt-stem-1) and $h-time-5 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-5) else () " />
    <xsl:variable name="h-dt-temp-6" select="if (exists($h-dt-stem-1) and $h-time-6 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-6) else () " />
    <xsl:variable name="h-dt-sequence-2" select="($h-dt-temp-0, $h-dt-temp-1, $h-dt-temp-2, $h-dt-temp-3, $h-dt-temp-4, $h-dt-temp-5, $h-dt-temp-6)" />
    <xsl:variable name="h-matching-seq-2" select="if (exists($h-dt-sequence-2))        then index-of(for $i in (1 to count($h-dt-sequence-2)) return exists($narr-dateTimes[matches(., $h-dt-sequence-2[$i], 'i')]), true())        else () " />
    <xsl:variable name="h-dt-stem-2" select="for $i in (1 to count($h-matching-seq-2)) return $h-dt-sequence-2[$h-matching-seq-2[$i]] " />
    <xsl:variable name="h-dt-regex-2" select="if (exists($h-dt-stem-2)) then concat('(', string-join($h-dt-stem-2, '$)|('), '$)') else '' " />
    <xsl:variable name="h-dt-match-2" select="(exists($h-dt-stem-2) and exists($narr-dateTimes[matches(., $h-dt-regex-2, 'i')])) " />
    <xsl:variable name="h-dt-sequence-3" select="if (not($h-dt-match-2) and exists($h-dt-stem-2) and $h-time-zone != '') then for $i in (1 to count($h-dt-stem-2)) return        concat($h-dt-stem-2[$i], substring($h-time-zone, 1, 4), ':?', substring($h-time-zone, 5, 2)) else () " />
    <xsl:variable name="h-dt-regex-3" select="if ($h-dt-match-2) then '' else if (exists($h-dt-sequence-3)) then concat('(', string-join($h-dt-sequence-3, '$)|('), '$)') else '' " />
    <xsl:variable name="h-dt-match-3" select="($h-dt-match-2 or (exists($h-dt-sequence-3) and exists($narr-dateTimes[matches(., $h-dt-regex-3, 'i')]))) " />
    <xsl:variable name="h-narr-match" select="if ($h-dt-value != '' and count($narr-dateTimes) = 0) then      (       contains($narrative, $h-dt-value)                or       (string-length($h-dt-value) = 4 and contains($narrative, $h-year))             or        (string-length($h-dt-value) = 6 and contains($narrative, concat($h-month-short, $h-year)))          or       (string-length($h-dt-value) &gt; 7 and starts-with($h-day, '0') and        (contains($narrative, concat(substring($h-day,2,1), $h-month-short, $h-year)) or         contains($narrative, concat(substring($h-day,2,1), $h-month-num, $h-year))))          or       (string-length($h-dt-value) &gt; 7 and (contains($narrative, concat($h-day, $h-month-short, $h-year)) or contains($narrative, concat($h-day, $h-month-num, $h-year))))        )       else false() " />
    <xsl:variable name="h-nullFlavor-values" select="if (cda:high/@nullFlavor and cda:high/@nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))        then $nullFlavors/nullFlavor[@value = current()/cda:high/@nullFlavor] else () " />
    <xsl:variable name="h-null-to-find" select="exists($h-nullFlavor-values) " />
    <xsl:variable name="h-null-in-narr" select="($h-nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $h-nullFlavor-values/@name-regex, 'is')])) or              ($h-nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $h-nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="l-nullFlavor-values" select="if (cda:low/@nullFlavor and cda:low/@nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))        then $nullFlavors/nullFlavor[@value = current()/cda:low/@nullFlavor] else () " />
    <xsl:variable name="l-null-to-find" select="exists($l-nullFlavor-values) " />
    <xsl:variable name="l-null-in-narr" select="($l-nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $l-nullFlavor-values/@name-regex, 'is')])) or              ($l-nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $l-nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="l-dt-name" select="if ($l-dt-value = cda:low/@value) then ' low' else '' " />
    <xsl:variable name="l-dt-msg" select="if ($l-dt-value = cda:low/@value) then ' This date/time is the low boundary of a time interval.' else '' " />
    <xsl:variable name="h-dt-msg" select="if ($h-dt-value = cda:high/@value) then ' This date/time is the high boundary of a time interval.' else '' " />
    <xsl:variable name="l-null-msg" select="if ($l-dt-value = cda:low/@value) then ' This nullFlavor value is for the low boundary of a time interval.' else '' " />
    <xsl:variable name="h-null-msg" select="if ($h-dt-value = cda:high/@value) then ' This nullFlavor value is for the high boundary of a time interval.' else '' " />
    <xsl:variable name="multimedia" select="exists($fir-narr-node//cda:renderMultiMedia) or exists($sec-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($fir-narr-node//cda:linkHtml) or exists($sec-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="l-warning-1" select="exists($l-dt-sequence-1) and exists($narr-dateTimes) and $l-dt-match-1 and not($l-dt-match-3) and $l-dt-value != '' " />
    <xsl:variable name="l-error-1" select="$l-warning-1 and not($multimedia) " />
    <xsl:variable name="l-warning-2" select="exists($l-dt-sequence-1) and exists($narr-dateTimes) and not($l-dt-match-1 or $l-dt-match-3) and $l-dt-value != '' " />
    <xsl:variable name="l-error-2a" select="$l-warning-2 and not($multimedia) and $l-time-zone != '' and count($narr-dateTimes) =        count(for $dt in $narr-dateTimes return replace(replace($dt, $regex-date-type-1, ''), $regex-date-type-2, '')       [matches(., concat('^\s*([0-9]{1,2}:{1}[0-9]{2}\s*', substring($l-time-zone, 1, 4), ':?', substring($l-time-zone, 5, 2),         '|[0-9]{1,2}:{1}[0-9]{2}:{1}[0-9]{2}\s*', substring($l-time-zone, 1, 4), ':?', substring($l-time-zone, 5, 2), ')\s*$'), 'i')]) " />
    <xsl:variable name="l-error-2b" select="$l-warning-2 and not($l-dt-match-1) and not($multimedia) and count($narr-dateTimes[matches(., $regex-date-type-2, 'i')]) =        count($narr-dateTimes[matches(., concat($regex-date-type-2, ' ', $narr-time-regex, '$'), 'i')]) " />
    <xsl:variable name="l-error-2c" select="$l-warning-2 and exists($narr-dateTimes[matches(., concat('^', $l-year, '$'))]) " />
    <xsl:variable name="l-error-2" select="$l-error-2a or $l-error-2b or $l-error-2c " />
    <xsl:variable name="l-warning-3" select="$l-dt-value != '' and not(exists($narr-dateTimes)) and not($l-narr-match) " />
    <xsl:variable name="l-error-3" select="$l-warning-3 and not($multimedia) and not(contains($narrative, substring($l-year, 3,2)))" />
    <xsl:variable name="h-warning-1" select="exists($h-dt-sequence-1) and exists($narr-dateTimes) and $h-dt-match-1 and not($h-dt-match-3) and $h-dt-value != '' " />
    <xsl:variable name="h-error-1" select="$h-warning-1 and not($multimedia) " />
    <xsl:variable name="h-warning-2" select="exists($h-dt-sequence-1) and exists($narr-dateTimes) and not($h-dt-match-1 or $h-dt-match-3) and $h-dt-value != '' " />
    <xsl:variable name="h-error-2a" select="$h-warning-2 and not($multimedia) and $h-time-zone != '' and count($narr-dateTimes) =        count(for $dt in $narr-dateTimes return replace(replace($dt, $regex-date-type-1, ''), $regex-date-type-2, '')       [matches(., concat('^\s*([0-9]{1,2}:{1}[0-9]{2}\s*', substring($h-time-zone, 1, 4), ':?', substring($h-time-zone, 5, 2),         '|[0-9]{1,2}:{1}[0-9]{2}:{1}[0-9]{2}\s*', substring($h-time-zone, 1, 4), ':?', substring($h-time-zone, 5, 2), ')\s*$'), 'i')]) " />
    <xsl:variable name="h-error-2b" select="$h-warning-2 and not($h-dt-match-1) and not($multimedia) and count($narr-dateTimes[matches(., $regex-date-type-2, 'i')]) =        count($narr-dateTimes[matches(., concat($regex-date-type-2, ' ', $narr-time-regex, '$'), 'i')]) " />
    <xsl:variable name="h-error-2c" select="$l-warning-2 and exists($narr-dateTimes[matches(., concat('^', $h-year, '$'))]) " />
    <xsl:variable name="h-error-2" select="$h-error-2a or $h-error-2b or $h-error-2c " />
    <xsl:variable name="h-warning-3" select="$h-dt-value != '' and not(exists($narr-dateTimes)) and not($h-narr-match) " />
    <xsl:variable name="h-error-3" select="$h-warning-3 and not($multimedia) and not(contains($narrative, substring($h-year, 3,2))) " />
    <xsl:variable name="narr-dt-msg" select="if ($multimedia or $no-content) then ''       else if (not(exists($narr-dateTimes))) then concat(' The narrative of the ', iq:location(., ''), ' contains no dateTime elements.')       else if (count($narr-dateTimes) = 1) then concat(' The only dateTime element in the narrative of the ', iq:location(., ''), ' is ''',         dh:XQueryRecursiveReplace($narr-dateTimes[1], '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), '''.')       else concat(' The distinct dateTime elements in the narrative of the ', iq:location(., ''), ' are ''',         string-join(for $dt in $narr-dateTimes return          dh:XQueryRecursiveReplace($dt, '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), ', '), '''.') " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-4" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-4 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and exists($l-dt-sequence-1) and $l-dt-value != '' and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and exists($l-dt-sequence-1) and $l-dt-value != '' and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 4: The dateTime element in the structured data is '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'.<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text />
		The number of dateTime elements that have been extracted from the narrative is '<xsl:text /><xsl:value-of select="count($narr-dateTimes)" /><xsl:text />'.
		These are '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-dateTimes, ', '), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The initial regular expressions are '<xsl:text /><xsl:value-of select="string-join($l-dt-sequence-1, ', ')" /><xsl:text />'.
		The three regular expressions used to perform an exact match for narrative dateTime elements are as follows:
		l-dt-regex-1='<xsl:text /><xsl:value-of select="$l-dt-regex-1" /><xsl:text />'; l-dt-regex-2='<xsl:text /><xsl:value-of select="$l-dt-regex-2" /><xsl:text />'; and l-dt-regex-3='<xsl:text /><xsl:value-of select="$l-dt-regex-3" /><xsl:text />'.
		Was a match found after the first regular expression was created? <xsl:text /><xsl:value-of select="$l-dt-match-1" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($l-dt-regex-2 = '') then 'The second regular expression was not applied as there is no time information.'    else concat('Was a match found after the second regular expression (with a date and time) was created? ', $l-dt-match-2, '.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($l-dt-regex-3 = '') then 'The third regular expression was not applied as there is no timezone information.'    else concat('Was a match found after the third regular expression (with a date and time) was created? ', $l-dt-match-3, '.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and exists($h-dt-sequence-1) and $h-dt-value != '' and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and exists($h-dt-sequence-1) and $h-dt-value != '' and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 4: The dateTime element in the structured data is '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'.<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text />
		The number of dateTime elements that have been extracted from the narrative is '<xsl:text /><xsl:value-of select="count($narr-dateTimes)" /><xsl:text />'.
		These are '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-dateTimes, ', '), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The initial regular expressions are '<xsl:text /><xsl:value-of select="string-join($h-dt-sequence-1, ', ')" /><xsl:text />'.
		The three regular expressions used to perform an exact match for narrative dateTime elements are as follows:
		h-dt-regex-1='<xsl:text /><xsl:value-of select="$h-dt-regex-1" /><xsl:text />'; h-dt-regex-2='<xsl:text /><xsl:value-of select="$h-dt-regex-2" /><xsl:text />'; and h-dt-regex-3='<xsl:text /><xsl:value-of select="$h-dt-regex-3" /><xsl:text />'.
		Was a match found after the first regular expression was created? <xsl:text /><xsl:value-of select="$h-dt-match-1" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($h-dt-regex-2 = '') then 'The second regular expression was not applied as there is no time information.'    else concat('Was a match found after the second regular expression (with a date and time) was created? ', $h-dt-match-2, '.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($h-dt-regex-3 = '') then 'The third regular expression was not applied as there is no timezone information.'    else concat('Was a match found after the third regular expression (with a date and time) was created? ', $h-dt-match-3, '.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $l-warning-1 and not($l-error-1 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $l-warning-1 and not($l-error-1 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Vaccine Cancellation Reason Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /> Although the date was found in the narrative the Vaccine Cancellation Reason Period data element must contain the time.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Vaccine Cancellation Reason Period data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $l-error-1 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $l-error-1 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Vaccine Cancellation Reason Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /> Although the date was found in the narrative the Vaccine Cancellation Reason Period data element must contain the time.
		The Vaccine Cancellation Reason Period data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $l-error-1 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $l-error-1 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Vaccine Cancellation Reason Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /> Although the date was found in the narrative the Vaccine Cancellation Reason Period data element must contain the time.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-warning-2 and not($l-error-2 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-warning-2 and not($l-error-2 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Vaccine Cancellation Reason Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Vaccine Cancellation Reason Period data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-error-2 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-error-2 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Vaccine Cancellation Reason Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($l-error-2c) then concat('The narrative contains a date with the same year ''', $l-year, ''' but without a month or day.') else '' " /><xsl:text />
		The Vaccine Cancellation Reason Period data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-error-2 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-error-2 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Vaccine Cancellation Reason Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($l-error-2c) then concat('The narrative contains a date with the same year ''', $l-year, ''' but without a month or day.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $l-dt-value != '' and not($l-narr-match or $l-null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $l-dt-value != '' and not($l-narr-match or $l-null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Vaccine Cancellation Reason Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $l-dt-value != '' and not($l-narr-match or $l-null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $l-dt-value != '' and not($l-narr-match or $l-null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Vaccine Cancellation Reason Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Vaccine Cancellation Reason Period data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $h-warning-1 and not($h-error-1 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $h-warning-1 and not($h-error-1 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Vaccine Cancellation Reason Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /> Although the date was found in the narrative the Vaccine Cancellation Reason Period data element must contain the time.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Vaccine Cancellation Reason Period data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $h-error-1 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $h-error-1 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Vaccine Cancellation Reason Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /> Although the date was found in the narrative the Vaccine Cancellation Reason Period data element must contain the time.
		The Vaccine Cancellation Reason Period data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $h-error-1 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $h-error-1 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Vaccine Cancellation Reason Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /> Although the date was found in the narrative the Vaccine Cancellation Reason Period data element must contain the time.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-warning-2 and not($h-error-2 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-warning-2 and not($h-error-2 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Vaccine Cancellation Reason Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Vaccine Cancellation Reason Period data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-error-2 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-error-2 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Vaccine Cancellation Reason Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($h-error-2c) then concat('The narrative contains a date with the same year ''', $h-year, ''' but without a month or day.') else '' " /><xsl:text />
		The Vaccine Cancellation Reason Period data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-error-2 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-error-2 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Vaccine Cancellation Reason Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($h-error-2c) then concat('The narrative contains a date with the same year ''', $h-year, ''' but without a month or day.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-warning-3 and not($l-error-3 or $no-content)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-warning-3 and not($l-error-3 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Vaccine Cancellation Reason Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not seem to be present in the narrative of the section.<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Vaccine Cancellation Reason Period data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-error-3 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-error-3 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Vaccine Cancellation Reason Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Vaccine Cancellation Reason Period data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else ' All clinical information in entry elements must be present in the narrative.'" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-error-3 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-error-3 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Vaccine Cancellation Reason Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-warning-3 and not($h-error-3 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-warning-3 and not($h-error-3 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Vaccine Cancellation Reason Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not seem to be present in the narrative of the section.<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Vaccine Cancellation Reason Period data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-error-3 and not($no-content) and true()  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-error-3 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Vaccine Cancellation Reason Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text />
		The Vaccine Cancellation Reason Period data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-error-3 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-error-3 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Vaccine Cancellation Reason Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $h-dt-value != '' and not($h-narr-match or $h-null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $h-dt-value != '' and not($h-narr-match or $h-null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Vaccine Cancellation Reason Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $h-dt-value != '' and not($h-narr-match or $h-null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $h-dt-value != '' and not($h-narr-match or $h-null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Vaccine Cancellation Reason Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Vaccine Cancellation Reason Period data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-null-to-find and not($l-null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-null-to-find and not($l-null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Vaccine Cancellation Reason Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="cda:low/@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$l-nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($l-nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.<xsl:text /><xsl:value-of select="$l-null-msg" /><xsl:text /> If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-null-to-find and not($h-null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-null-to-find and not($h-null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Vaccine Cancellation Reason Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="cda:high/@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$h-nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($h-nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.<xsl:text /><xsl:value-of select="$h-null-msg" /><xsl:text />
		If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M148" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M148" />
  <xsl:template match="@*|node()" priority="-2" mode="M148">
    <xsl:apply-templates select="@*|*" mode="M148" />
  </xsl:template>
  <!--PATTERN p-TS-AIR-Text-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.17039' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.17039']]/cda:entry/        cda:substanceAdministration[lower-case(cda:statusCode/@code)='cancelled']/cda:entryRelationship/cda:act/cda:text " priority="1000" mode="M149">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.17039' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.17039']]/cda:entry/        cda:substanceAdministration[lower-case(cda:statusCode/@code)='cancelled']/cda:entryRelationship/cda:act/cda:text " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Vaccine Cancellation Reason Comment
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Reason Comment 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Reason Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Reason Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Vaccine Cancellation Reason Comment however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Vaccine Cancellation Reason Comment in the Australian Immunisation Register Structured Content Specification v1.0 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Reason Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Vaccine Cancellation Reason Comment however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Vaccine Cancellation Reason Comment in the Australian Immunisation Register Structured Content Specification v1.0 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Vaccine Cancellation Reason Comment data element with a proper value then an exclusion
		statement must be included to state why there is no Vaccine Cancellation Reason Comment. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Reason Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Vaccine Cancellation Reason Comment however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Vaccine Cancellation Reason Comment in the Australian Immunisation Register Structured Content Specification v1.0 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Reason Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Reason Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Reason Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Reason Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Reason Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Reason Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Reason Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Reason Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Reason Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Australian Immunisation Register Structured Content Specification v1.0 the Vaccine Cancellation Reason Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M149" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M149" />
  <xsl:template match="@*|node()" priority="-2" mode="M149">
    <xsl:apply-templates select="@*|*" mode="M149" />
  </xsl:template>
  <!--PATTERN p-TS-AIR-Text-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.17039' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.17039']]/cda:entry/        cda:substanceAdministration[lower-case(cda:statusCode/@code)='cancelled']/cda:entryRelationship/cda:act/cda:text " priority="1000" mode="M150">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.17039' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.17039']]/cda:entry/        cda:substanceAdministration[lower-case(cda:statusCode/@code)='cancelled']/cda:entryRelationship/cda:act/cda:text " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Vaccine Cancellation Reason Comment '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Vaccine Cancellation Reason Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Vaccine Cancellation Reason Comment data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Vaccine Cancellation Reason Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Vaccine Cancellation Reason Comment data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Vaccine Cancellation Reason Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Vaccine Cancellation Reason Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Vaccine Cancellation Reason Comment data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Vaccine Cancellation Reason Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M150" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M150" />
  <xsl:template match="@*|node()" priority="-2" mode="M150">
    <xsl:apply-templates select="@*|*" mode="M150" />
  </xsl:template>
  <!--PATTERN p-TS-AIR-II-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.17039' = $doc-sections][cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.234' and @extension = '1.0']]/cda:id[@nullFlavor] " priority="1000" mode="M151">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.17039' = $doc-sections][cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.234' and @extension = '1.0']]/cda:id[@nullFlavor] " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and exists(('ALL')[. = 'ALL']) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and exists(('ALL')[. = 'ALL'])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Document Instance Identifier data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. The Document Instance Identifier data element is not allowed to contain a nullFlavor attribute.
		(See the mapping table in section 6.1 of the Australian Immunisation Register CDA Implementation Guide Version 1.0.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and exists(('ALL')[. = current()/@nullFlavor]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and exists(('ALL')[. = current()/@nullFlavor])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Document Instance Identifier data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. The Document Instance Identifier data element is not allowed to contain a nullFlavor attribute
		with this value. (See the mapping table in section 6.1 of the Australian Immunisation Register CDA Implementation Guide Version 1.0.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M151" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M151" />
  <xsl:template match="@*|node()" priority="-2" mode="M151">
    <xsl:apply-templates select="@*|*" mode="M151" />
  </xsl:template>
  <!--PATTERN p-TS-AIR-II-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.17039' = $doc-sections]/cda:component/cda:structuredBody/cda:component//         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.17039']]/cda:id[@nullFlavor] " priority="1000" mode="M152">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.17039' = $doc-sections]/cda:component/cda:structuredBody/cda:component//         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.17039']]/cda:id[@nullFlavor] " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and exists(('ALL')[. = 'ALL']) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and exists(('ALL')[. = 'ALL'])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Australian Immunisation Register Entries Instance Identifier data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. The Australian Immunisation Register Entries Instance Identifier data element is not allowed to contain a nullFlavor attribute.
		(See the mapping table in section 7.1.1 of the Australian Immunisation Register CDA Implementation Guide Version 1.0.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and exists(('ALL')[. = current()/@nullFlavor]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and exists(('ALL')[. = current()/@nullFlavor])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Australian Immunisation Register Entries Instance Identifier data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. The Australian Immunisation Register Entries Instance Identifier data element is not allowed to contain a nullFlavor attribute
		with this value. (See the mapping table in section 7.1.1 of the Australian Immunisation Register CDA Implementation Guide Version 1.0.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M152" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M152" />
  <xsl:template match="@*|node()" priority="-2" mode="M152">
    <xsl:apply-templates select="@*|*" mode="M152" />
  </xsl:template>
  <!--PATTERN p-TS-AIR-II-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.17039' = $doc-sections]/cda:component/cda:structuredBody/cda:component//         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.17039']]//cda:entry/         cda:substanceAdministration[not(cda:statusCode/@code) or lower-case(cda:statusCode/@code)='active']/cda:id[@nullFlavor] " priority="1000" mode="M153">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.17039' = $doc-sections]/cda:component/cda:structuredBody/cda:component//         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.17039']]//cda:entry/         cda:substanceAdministration[not(cda:statusCode/@code) or lower-case(cda:statusCode/@code)='active']/cda:id[@nullFlavor] " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and exists(('ALL')[. = 'ALL']) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and exists(('ALL')[. = 'ALL'])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Vaccine Administration Instance Identifier data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. The Vaccine Administration Instance Identifier data element is not allowed to contain a nullFlavor attribute.
		(See the mapping table in section 7.1.1.1 of the Australian Immunisation Register CDA Implementation Guide Version 1.0.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and exists(('ALL')[. = current()/@nullFlavor]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and exists(('ALL')[. = current()/@nullFlavor])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Vaccine Administration Instance Identifier data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. The Vaccine Administration Instance Identifier data element is not allowed to contain a nullFlavor attribute
		with this value. (See the mapping table in section 7.1.1.1 of the Australian Immunisation Register CDA Implementation Guide Version 1.0.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M153" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M153" />
  <xsl:template match="@*|node()" priority="-2" mode="M153">
    <xsl:apply-templates select="@*|*" mode="M153" />
  </xsl:template>
  <!--PATTERN p-TS-AIR-II-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.17039' = $doc-sections]/cda:component/cda:structuredBody/cda:component//         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.17039']]//cda:entry/         cda:substanceAdministration[lower-case(cda:statusCode/@code)='cancelled']/cda:id[@nullFlavor] " priority="1000" mode="M154">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.17039' = $doc-sections]/cda:component/cda:structuredBody/cda:component//         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.17039']]//cda:entry/         cda:substanceAdministration[lower-case(cda:statusCode/@code)='cancelled']/cda:id[@nullFlavor] " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and exists(('ALL')[. = 'ALL']) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and exists(('ALL')[. = 'ALL'])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Vaccine Cancellation Instance Identifier data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. The Vaccine Cancellation Instance Identifier data element is not allowed to contain a nullFlavor attribute.
		(See the mapping table in section 7.1.1.2 of the Australian Immunisation Register CDA Implementation Guide Version 1.0.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and exists(('ALL')[. = current()/@nullFlavor]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and exists(('ALL')[. = current()/@nullFlavor])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Vaccine Cancellation Instance Identifier data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. The Vaccine Cancellation Instance Identifier data element is not allowed to contain a nullFlavor attribute
		with this value. (See the mapping table in section 7.1.1.2 of the Australian Immunisation Register CDA Implementation Guide Version 1.0.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M154" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M154" />
  <xsl:template match="@*|node()" priority="-2" mode="M154">
    <xsl:apply-templates select="@*|*" mode="M154" />
  </xsl:template>
  <!--PATTERN p-TS-AIR-II-5-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.17039' = $doc-sections]/cda:component/cda:structuredBody/cda:component//         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.17039']]//cda:entry/         cda:substanceAdministration[lower-case(cda:statusCode/@code)='cancelled']/cda:entryRelationship/cda:act/cda:id[@nullFlavor] " priority="1000" mode="M155">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.17039' = $doc-sections]/cda:component/cda:structuredBody/cda:component//         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.17039']]//cda:entry/         cda:substanceAdministration[lower-case(cda:statusCode/@code)='cancelled']/cda:entryRelationship/cda:act/cda:id[@nullFlavor] " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and exists(('ALL')[. = 'ALL']) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and exists(('ALL')[. = 'ALL'])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Vaccine Cancellation Reason Instance Identifier data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. The Vaccine Cancellation Reason Instance Identifier data element is not allowed to contain a nullFlavor attribute.
		(See the mapping table in section 7.1.1.3 of the Australian Immunisation Register CDA Implementation Guide Version 1.0.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and exists(('ALL')[. = current()/@nullFlavor]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and exists(('ALL')[. = current()/@nullFlavor])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Vaccine Cancellation Reason Instance Identifier data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. The Vaccine Cancellation Reason Instance Identifier data element is not allowed to contain a nullFlavor attribute
		with this value. (See the mapping table in section 7.1.1.3 of the Australian Immunisation Register CDA Implementation Guide Version 1.0.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M155" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M155" />
  <xsl:template match="@*|node()" priority="-2" mode="M155">
    <xsl:apply-templates select="@*|*" mode="M155" />
  </xsl:template>
  <!--PATTERN p-TS-Alerts-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.20021' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20021'] " priority="1000" mode="M156">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.20021' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20021'] " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating" select="if ($initial-priority) then $initial-rating else if ($FS-Types-seq/@rating) then concat(' (', $FS-Types-seq/@rating, ')') else '' " />
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and not(/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']) and $extensions-allowed">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']) and $extensions-allowed">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: FS-Types: The Alerts section (codeSystem '1.2.36.1.2001.1001.101' and code '101.20021') has been found in a <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. The Alerts section (codeSystem '1.2.36.1.2001.1001.101' and code '101.20021') is defined in the digital health specifications but
		although tests have been applied to the data elements the specification of the data elements may have been varied for inclusion in this document
		so further examination may be needed. The rules have been validated for <xsl:text /><xsl:value-of select="normalize-space('Discharge Summary CDA Implementation Guide version 3.4')" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M156" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M156" />
  <xsl:template match="@*|node()" priority="-2" mode="M156">
    <xsl:apply-templates select="@*|*" mode="M156" />
  </xsl:template>
  <!--PATTERN p-TS-Alerts-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.20021' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16011']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20021']]/cda:component/cda:section " priority="1000" mode="M157">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.20021' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16011']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20021']]/cda:component/cda:section " />
    <xsl:variable name="agency-section" select=" cda:code/@codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="test-step" select=" if (not($extensions-allowed)) then 'step 4'        else if ($agency-section) then 'step 3' else 'step 1' " />
    <xsl:variable name="title-and-code" select=" if (cda:title and cda:code/@code) then concat('title ''', cda:title, ''', code/code ''', cda:code/@code, '''')        else if (cda:title and not(cda:code/@code)) then concat('title ''', cda:title, '''')        else if (not(cda:title) and cda:code/@code) then concat('code/code ''', cda:code/@code, '''')        else '' " />
    <xsl:variable name="other-section-names" select=" if (cda:code/@displayName and not(cda:code/cda:originalText)) then concat(' and code/displayName ''', cda:code/@displayName, '''')         else if (cda:code/@displayName and cda:code/cda:originalText)          then concat(', code/displayName ''', cda:code/@displayName,''' and code/originalText ''', cda:code/cda:originalText, '''')        else if (not(cda:code/@displayName) and cda:code/cda:originalText) then concat(' and code/originalText ''', cda:code/cda:originalText, '''')        else '' " />
    <xsl:variable name="section-names" select="concat($title-and-code, $other-section-names)" />
    <xsl:variable name="doc-code" select="/cda:ClinicalDocument/cda:code" />
    <xsl:variable name="parent-section" select="ancestor::cda:section[position()=1]" />
    <xsl:variable name="custom-section-info" select="($iq-config/custom-sections/section, $knowledge/custom-sections/section)[        @doc-code  = $doc-code/@code          and        @doc-codeSystem  = $doc-code/@codeSystem          and        @parent-code   = $parent-section/cda:code/@code         and         @parent-codeSystem  = $parent-section/cda:code/@codeSystem        and         (@title = current()/cda:title or (@code = current()/cda:code/@code and @codeSystem = current()/cda:code/@codeSystem)) ] " />
    <xsl:variable name="section-disallowed" select="$custom-section-info/@disallowed = 'yes' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and ($section-disallowed or not(exists($custom-section-info)))) then $rating-alt-TC-Doc-28-step-1        else if ($test-step = 'step 1' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections]) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 3') then $rating-TC-Doc-28-step-3 else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and $section-disallowed ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and $section-disallowed">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Alerts section (codeSystem '1.2.36.1.2001.1001.101' and code '101.20021') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> which
		is an extension to the information model however the inclusion of this section conflicts with sections defined in the digital health specifications.
		<xsl:text /><xsl:value-of select="$custom-section-info[@disallowed = 'yes']/@reason" /><xsl:text /> (Also see <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not(false()) and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(false()) and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Alerts section (codeSystem '1.2.36.1.2001.1001.101' and code '101.20021') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. No subsection is expected so this
		is an extension to the information model. Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the 
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(false()) and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(false()) and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Alerts section (codeSystem '1.2.36.1.2001.1001.101' and code '101.20021') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> but no subsections were
		expected so the document fails to meet the requirement that it must not contain additional data elements. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and false() and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and false() and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Alerts section (codeSystem '1.2.36.1.2001.1001.101' and code '101.20021') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		none are expected but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the information model.
		Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Alerts section (codeSystem '1.2.36.1.2001.1001.101' and code '101.20021') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		none are expected but the inclusion of the section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> fails to meet the requirement that it must not contain additional data elements.
		(See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M157" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M157" />
  <xsl:template match="@*|node()" priority="-2" mode="M157">
    <xsl:apply-templates select="@*|*" mode="M157" />
  </xsl:template>
  <!--PATTERN p-TS-Alerts-CodeableText-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.20021' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16011']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20021']]/cda:entry/cda:observation[@classCode='OBS']/cda:code " priority="1000" mode="M158">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.20021' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16011']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20021']]/cda:entry/cda:observation[@classCode='OBS']/cda:code " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Alert Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and true() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and true() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Alert Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Alert Type',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Alert Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Alert Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Alert Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Alert Type however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Alert Type in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Alert Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Alert Type however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Alert Type in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Alert Type data element must have a value that is consistent with this definition. Alternatively if there is no Alert Type data element with a proper value then an exclusion
		statement must be included to state why there is no Alert Type.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Alert Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Alert Type however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Alert Type in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Alert Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Alert Type however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Alert Type in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Alert Type data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Alert Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Alert Type however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Alert Type in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Alert Type data element must have a value that is consistent with this definition. Alternatively if there is no Alert Type data element with a proper value then an exclusion
		statement must be included to state why there is no Alert Type.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Alert Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Alert Type however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Alert Type in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Alert Type data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Alert Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Alert Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Alert Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Alert Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Alert Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Alert Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Alert Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Alert Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Alert Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Alert Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Alert Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Alert Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Alert Type.
		(See the definition of Alert Type in the Structured Content Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Alert Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M158" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M158" />
  <xsl:template match="@*|node()" priority="-2" mode="M158">
    <xsl:apply-templates select="@*|*" mode="M158" />
  </xsl:template>
  <!--PATTERN p-TS-Alerts-CodeableText-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.20021' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16011']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20021']]/cda:entry/cda:observation[@classCode='OBS']/cda:code   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M159">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.20021' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16011']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20021']]/cda:entry/cda:observation[@classCode='OBS']/cda:code   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Alert Type '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Alert Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Alert Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Alert Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Alert Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Alert Type has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Alert Type data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Alert Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Alert Type data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Alert Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Alert Type data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Alert Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Alert Type data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Alert Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Alert Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Alert Type data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Alert Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Alert Type data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Alert Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Alert Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Alert Type data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Alert Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Alert Type data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Alert Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Alert Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M159" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M159" />
  <xsl:template match="@*|node()" priority="-2" mode="M159">
    <xsl:apply-templates select="@*|*" mode="M159" />
  </xsl:template>
  <!--PATTERN p-TS-Alerts-CodeableText-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.20021' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16011']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20021']]/cda:entry/cda:observation[@classCode='OBS']/cda:value " priority="1000" mode="M160">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.20021' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16011']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20021']]/cda:entry/cda:observation[@classCode='OBS']/cda:value " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Alert Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and true() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and true() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Alert Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Alert Description',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Alert Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Alert Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Alert Description
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Alert Description however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Alert Description in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Alert Description
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Alert Description however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Alert Description in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Alert Description data element must have a value that is consistent with this definition. Alternatively if there is no Alert Description data element with a proper value then an exclusion
		statement must be included to state why there is no Alert Description.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Alert Description
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Alert Description however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Alert Description in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Alert Description
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Alert Description however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Alert Description in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Alert Description data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Alert Description
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Alert Description however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Alert Description in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Alert Description data element must have a value that is consistent with this definition. Alternatively if there is no Alert Description data element with a proper value then an exclusion
		statement must be included to state why there is no Alert Description.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Alert Description
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Alert Description however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Alert Description in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Alert Description data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Alert Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Alert Description
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Alert Description
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Alert Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Alert Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Alert Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Alert Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Alert Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Alert Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Alert Description
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Alert Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Alert Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Alert Description.
		(See the definition of Alert Description in the Structured Content Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Alert Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M160" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M160" />
  <xsl:template match="@*|node()" priority="-2" mode="M160">
    <xsl:apply-templates select="@*|*" mode="M160" />
  </xsl:template>
  <!--PATTERN p-TS-Alerts-CodeableText-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.20021' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16011']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20021']]/cda:entry/cda:observation   [@classCode='OBS']/cda:value[(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M161">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.20021' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16011']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20021']]/cda:entry/cda:observation   [@classCode='OBS']/cda:value[(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Alert Description '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Alert Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Alert Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Alert Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Alert Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Alert Description has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Alert Description data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Alert Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Alert Description data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Alert Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Alert Description data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Alert Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Alert Description data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Alert Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Alert Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Alert Description data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Alert Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Alert Description data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Alert Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Alert Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Alert Description data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Alert Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Alert Description data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Alert Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Alert Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M161" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M161" />
  <xsl:template match="@*|node()" priority="-2" mode="M161">
    <xsl:apply-templates select="@*|*" mode="M161" />
  </xsl:template>
  <!--PATTERN p-TS-AODR-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16670' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16670'] " priority="1000" mode="M162">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16670' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16670'] " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating" select="if ($initial-priority) then $initial-rating else if ($FS-Types-seq/@rating) then concat(' (', $FS-Types-seq/@rating, ')') else '' " />
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and not(/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.147' and @extension = '1.1']) and $extensions-allowed">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.147' and @extension = '1.1']) and $extensions-allowed">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: FS-Types: The Australian Organ Donor Register Details section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16670') has been found in a <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. The Australian Organ Donor Register Details section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16670') is defined in the digital health specifications but
		although tests have been applied to the data elements the specification of the data elements may have been varied for inclusion in this document
		so further examination may be needed. The rules have been validated for <xsl:text /><xsl:value-of select="normalize-space('Australian Organ Donor Register CDA Implementation Guide version 1.1')" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M162" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M162" />
  <xsl:template match="@*|node()" priority="-2" mode="M162">
    <xsl:apply-templates select="@*|*" mode="M162" />
  </xsl:template>
  <!--PATTERN p-TS-AODR-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16670' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16670']]/cda:component/cda:section " priority="1000" mode="M163">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16670' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16670']]/cda:component/cda:section " />
    <xsl:variable name="agency-section" select=" cda:code/@codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="test-step" select=" if (not($extensions-allowed)) then 'step 4'        else if ($agency-section) then 'step 3' else 'step 1' " />
    <xsl:variable name="title-and-code" select=" if (cda:title and cda:code/@code) then concat('title ''', cda:title, ''', code/code ''', cda:code/@code, '''')        else if (cda:title and not(cda:code/@code)) then concat('title ''', cda:title, '''')        else if (not(cda:title) and cda:code/@code) then concat('code/code ''', cda:code/@code, '''')        else '' " />
    <xsl:variable name="other-section-names" select=" if (cda:code/@displayName and not(cda:code/cda:originalText)) then concat(' and code/displayName ''', cda:code/@displayName, '''')         else if (cda:code/@displayName and cda:code/cda:originalText)          then concat(', code/displayName ''', cda:code/@displayName,''' and code/originalText ''', cda:code/cda:originalText, '''')        else if (not(cda:code/@displayName) and cda:code/cda:originalText) then concat(' and code/originalText ''', cda:code/cda:originalText, '''')        else '' " />
    <xsl:variable name="section-names" select="concat($title-and-code, $other-section-names)" />
    <xsl:variable name="doc-code" select="/cda:ClinicalDocument/cda:code" />
    <xsl:variable name="parent-section" select="ancestor::cda:section[position()=1]" />
    <xsl:variable name="custom-section-info" select="($iq-config/custom-sections/section, $knowledge/custom-sections/section)[        @doc-code  = $doc-code/@code          and        @doc-codeSystem  = $doc-code/@codeSystem          and        @parent-code   = $parent-section/cda:code/@code         and         @parent-codeSystem  = $parent-section/cda:code/@codeSystem        and         (@title = current()/cda:title or (@code = current()/cda:code/@code and @codeSystem = current()/cda:code/@codeSystem)) ] " />
    <xsl:variable name="section-disallowed" select="$custom-section-info/@disallowed = 'yes' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and ($section-disallowed or not(exists($custom-section-info)))) then $rating-alt-TC-Doc-28-step-1        else if ($test-step = 'step 1' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections]) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 3') then $rating-TC-Doc-28-step-3 else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and $section-disallowed ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and $section-disallowed">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Australian Organ Donor Register Details section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16670') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> which
		is an extension to the information model however the inclusion of this section conflicts with sections defined in the digital health specifications.
		<xsl:text /><xsl:value-of select="$custom-section-info[@disallowed = 'yes']/@reason" /><xsl:text /> (Also see <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not(false()) and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(false()) and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Australian Organ Donor Register Details section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16670') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. No subsection is expected so this
		is an extension to the information model. Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the 
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(false()) and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(false()) and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Australian Organ Donor Register Details section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16670') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> but no subsections were
		expected so the document fails to meet the requirement that it must not contain additional data elements. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and false() and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and false() and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Australian Organ Donor Register Details section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16670') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		none are expected but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the information model.
		Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Australian Organ Donor Register Details section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16670') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		none are expected but the inclusion of the section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> fails to meet the requirement that it must not contain additional data elements.
		(See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M163" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M163" />
  <xsl:template match="@*|node()" priority="-2" mode="M163">
    <xsl:apply-templates select="@*|*" mode="M163" />
  </xsl:template>
  <!--PATTERN p-TS-AODR-DateTime-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16670' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@code='101.16670' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entry/   cda:observation[cda:code[@code='102.16652' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:effectiveTime/cda:low " priority="1000" mode="M164">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16670' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@code='101.16670' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entry/   cda:observation[cda:code[@code='102.16652' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:effectiveTime/cda:low " />
    <xsl:variable name="allow-ivl-ts" select="if (not(@xsi:type)) then false() else /cda:ClinicalDocument       [cda:templateId[(@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')  or         (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or         (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) ]]   and        local-name(.) = 'value'             and        ..[local-name(.) = 'observation' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]   and       ../..[local-name(.) = 'entryRelationship' and @typeCode='SUBJ']        and       ../../..[local-name(.) = 'observation' and cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]  and       ../../../..[local-name(.) = 'entry']            and       ../../../../..[local-name(.) = 'section' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]  " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-18" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-18 else $rating-alt-TC-Types-18 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-18: The Date of Initial Registration '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data
		type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime',            'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime', 'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: The Date of Initial Registration

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type but it does not meet the requirement to have the xsi:type attribute with the value 'TS'.
		(See section 8.6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to section 3.4 of the Structured Content Specification the Date of Initial Registration '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was
		found. This may be corrected by using an xsi:type attribute with the value 'TS'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to section 3.4 of the Structured Content Specification the Date of Initial Registration '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		This may be corrected by using an xsi:type attribute with the value 'TS'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to section 3.4 of the Structured Content Specification the Date of Initial Registration '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7
		'TS' data type to have a value attribute if there is no nullFlavor
		attribute. (See section 7.8.13.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange')

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to section 3.4 of the Structured Content Specification the Date of Initial Registration '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7 'TS' data type to have a value attribute if there is no nullFlavor
		attribute. The element has a '<xsl:text /><xsl:value-of select="local-name(*[local-name(.) = ('low', 'high')])" /><xsl:text />' child element with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		which is not one of the elements used for the HL7 'TS'
		data type. (See section 7.8.13 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.4 of the Structured Content Specification the Date of Initial Registration
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		is present. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.4 of the Structured Content Specification the Date of Initial Registration
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' was found. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.4 of the Structured Content Specification the Date of Initial Registration
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.4 of the Structured Content Specification the Date of Initial Registration
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@value) and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@value) and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 3.4 of the Structured Content Specification the Date of Initial Registration
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (uncoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include
		nullFlavor 'UNC'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M164" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M164" />
  <xsl:template match="@*|node()" priority="-2" mode="M164">
    <xsl:apply-templates select="@*|*" mode="M164" />
  </xsl:template>
  <!--PATTERN p-TS-AODR-DateTime-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16670' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@code='101.16670' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entry/   cda:observation[cda:code[@code='102.16652' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:effectiveTime/cda:low    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))] " priority="1000" mode="M165">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16670' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@code='101.16670' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entry/   cda:observation[cda:code[@code='102.16652' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:effectiveTime/cda:low    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="fir-narrative" select="translate(normalize-space(lower-case(string($fir-narr-node))), $chars-to-remove, '')" />
    <xsl:variable name="sec-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)        then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]        else () " />
    <xsl:variable name="sec-narr-node" select="$sec-section/cda:text " />
    <xsl:variable name="narr-text-el" select="(for $text in ($fir-narr-node//text(), $sec-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="sec-narrative" select="translate(normalize-space(lower-case(string($sec-narr-node))), $chars-to-remove, '') " />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="narrative" select="concat($target-title, $fir-narrative, $sec-narrative)" />
    <xsl:variable name="narr-elements" select="$fir-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ]  |             $sec-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ] " />
    <xsl:variable name="narr-lower-case" select="for $i in (1 to count($narr-elements)) return lower-case(normalize-space(string-join($narr-elements[$i]/text(), '')))  " />
    <xsl:variable name="dt-narr-elements" select="$narr-lower-case[matches(., $regex-date-type-1, 'i') or matches(., $regex-date-type-2, 'i') or matches(., $regex-date-type-3, 'i')] " />
    <xsl:variable name="narr-elements-start" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-before($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-before($dt-narr-elements[$i], ' -'))        else $dt-narr-elements[$i])[. != ''] " />
    <xsl:variable name="narr-elements-end" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-after($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-after($dt-narr-elements[$i], ' -'))        else '')[. != ''] " />
    <xsl:variable name="narr-dateTimes" select="distinct-values(($narr-elements-start , $narr-elements-end))[. != '(ongoing)'] " />
    <xsl:variable name="dt-value" select="if (@value) then @value else '' " />
    <xsl:variable name="no-time-zone" select="if (contains($dt-value, '+')) then substring-before($dt-value, '+')       else if (contains($dt-value, '-')) then substring-before($dt-value, '-')       else $dt-value " />
    <xsl:variable name="dateTime-length" select="string-length($no-time-zone) " />
    <xsl:variable name="year" select="if ($dateTime-length &gt; 3) then substring($no-time-zone,1,4) else '' " />
    <xsl:variable name="month-num" select="if ($dateTime-length &gt; 5) then substring($no-time-zone,5,2) else '' " />
    <xsl:variable name="day" select="if ($dateTime-length &gt; 7 and substring($no-time-zone,7,1) = '0') then substring($no-time-zone,8,1)       else if ($dateTime-length &gt; 7 and substring($no-time-zone,7,1) != '0') then substring($no-time-zone,7,2) else '' " />
    <xsl:variable name="hour-long" select="if ($dateTime-length &gt; 9) then substring($no-time-zone,9,2) else '' " />
    <xsl:variable name="hour-short" select="if (substring($hour-long, 1, 1) = '0') then substring($hour-long, 2, 1) else '' " />
    <xsl:variable name="minute" select="if ($dateTime-length &gt; 11) then substring($no-time-zone,11,2) else '' " />
    <xsl:variable name="second" select="if ($dateTime-length &gt; 13) then substring($no-time-zone,13,2) else '' " />
    <xsl:variable name="time-zone" select="if (contains($dt-value, '+')) then concat('\+', substring-after($dt-value, '+'))       else if (contains($dt-value, '-')) then concat('\-', substring-after($dt-value, '-'))       else '' " />
    <xsl:variable name="month-short" select="if ($month-num = '01') then 'jan'  else             if ($month-num = '02') then 'feb'  else             if ($month-num = '03') then 'mar'  else             if ($month-num = '04') then 'apr'  else             if ($month-num = '05') then 'may'  else             if ($month-num = '06') then 'jun'  else             if ($month-num = '07') then 'jul'  else             if ($month-num = '08') then 'aug'  else             if ($month-num = '09') then 'sep'  else             if ($month-num = '10') then 'oct'  else             if ($month-num = '11') then 'nov'  else             if ($month-num = '12') then 'dec'  else '' " />
    <xsl:variable name="month-long" select="if ($month-num = '01') then 'january'  else             if ($month-num = '02') then 'february'  else             if ($month-num = '03') then 'march'  else             if ($month-num = '04') then 'april'  else             if ($month-num = '05') then 'may'  else             if ($month-num = '06') then 'june'  else             if ($month-num = '07') then 'july'  else             if ($month-num = '08') then 'august'  else             if ($month-num = '09') then 'september'  else             if ($month-num = '10') then 'october'  else             if ($month-num = '11') then 'november'  else             if ($month-num = '12') then 'december'  else '' " />
    <xsl:variable name="date-type-3-day" select="if (string-length($day) = 1) then concat('0{0,1}', $day) else $day " />
    <xsl:variable name="date-type-3-month" select="if (string-length($month-num) = 1) then concat('0{0,1}', $month-num)        else if (substring($month-num, 1, 1) = '0') then concat('0{0,1}', substring($month-num, 2, 1))         else $month-num " />
    <xsl:variable name="dt-sequence-1" select="if ($dateTime-length = 4) then (         concat('^', $dt-value)         ,          concat('^', $year)         )        else if ($dateTime-length = 6) then (         concat('^', $dt-value)         ,         concat('^', $month-short, $date-sep, $year)      ,          concat('^', $month-long, $date-sep, $year)      )        else if ($dateTime-length &gt; 7) then (         concat('^', $dt-value)         ,         concat('^', $date-type-3-day, $date-sep, $month-short, $date-sep, $year)  ,         concat('^', $date-type-3-day, $date-sep, $month-long, $date-sep, $year)   ,         concat('^', $date-type-3-day, '/', $date-type-3-month, '/', $year)   )        else () " />
    <xsl:variable name="matching-seq-1" select="if (exists($dt-sequence-1))        then index-of(for $i in (1 to count($dt-sequence-1)) return exists($narr-dateTimes[matches(., $dt-sequence-1[$i], 'i')]), true())        else () " />
    <xsl:variable name="dt-stem-1" select="for $i in (1 to count($matching-seq-1)) return $dt-sequence-1[$matching-seq-1[$i]] " />
    <xsl:variable name="dt-regex-1" select="if (exists($dt-stem-1)) then concat('(', string-join($dt-stem-1, '$)|('), '$)') else ()" />
    <xsl:variable name="dt-match-1" select="exists($dt-stem-1) and exists($narr-dateTimes[matches(., $dt-regex-1, 'i')])" />
    <xsl:variable name="time-1" select="if ($dateTime-length &gt; 11 and $hour-short != '') then concat($hour-short, ':', $minute, '( *| *am)') else '' " />
    <xsl:variable name="time-2" select="if ($dateTime-length &gt; 13 and $hour-short != '') then concat($hour-short, ':', $minute, ':', $second, '( *| *am)') else '' " />
    <xsl:variable name="time-3" select="if ($dateTime-length &gt; 11 and number($hour-long) &lt; 12) then concat($hour-long, ':', $minute, '( *| *am)')       else if ($dateTime-length &gt; 11) then concat($hour-long, ':', $minute) else '' " />
    <xsl:variable name="time-4" select="if ($dateTime-length &gt; 13 and number($hour-long) &lt; 12) then concat($hour-long, ':', $minute, ':', $second, '( *| *am)')        else if ($dateTime-length &gt; 13) then concat($hour-long, ':', $minute, ':', $second) else '' " />
    <xsl:variable name="time-5" select="if ($dateTime-length &gt; 11 and number($hour-long) &gt; 12) then concat(string(number($hour-long) - 12), ':', $minute, '( *| *pm)') else '' " />
    <xsl:variable name="time-6" select="if ($dateTime-length &gt; 13 and number($hour-long) &gt; 12) then concat(string(number($hour-long) - 12), ':', $minute, ':', $second, '( *| *pm)') else '' " />
    <xsl:variable name="dt-temp-0" select="if (exists($dt-stem-1) and $dateTime-length = 8) then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $narr-time-regex) else () " />
    <xsl:variable name="dt-temp-1" select="if (exists($dt-stem-1) and $time-1 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-1) else () " />
    <xsl:variable name="dt-temp-2" select="if (exists($dt-stem-1) and $time-2 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-2) else () " />
    <xsl:variable name="dt-temp-3" select="if (exists($dt-stem-1) and $time-3 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-3) else () " />
    <xsl:variable name="dt-temp-4" select="if (exists($dt-stem-1) and $time-4 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-4) else () " />
    <xsl:variable name="dt-temp-5" select="if (exists($dt-stem-1) and $time-5 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-5) else () " />
    <xsl:variable name="dt-temp-6" select="if (exists($dt-stem-1) and $time-6 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-6) else () " />
    <xsl:variable name="dt-sequence-2" select="($dt-temp-0, $dt-temp-1, $dt-temp-2, $dt-temp-3, $dt-temp-4, $dt-temp-5, $dt-temp-6)" />
    <xsl:variable name="matching-seq-2" select="if (exists($dt-sequence-2))        then index-of(for $i in (1 to count($dt-sequence-2)) return exists($narr-dateTimes[matches(., $dt-sequence-2[$i], 'i')]), true())        else () " />
    <xsl:variable name="dt-stem-2" select="for $i in (1 to count($matching-seq-2)) return $dt-sequence-2[$matching-seq-2[$i]] " />
    <xsl:variable name="dt-regex-2" select="if (exists($dt-stem-2)) then concat('(', string-join($dt-stem-2, '$)|('), '$)') else '' " />
    <xsl:variable name="dt-match-2" select="(exists($dt-stem-2) and exists($narr-dateTimes[matches(., $dt-regex-2, 'i')])) " />
    <xsl:variable name="dt-sequence-3" select="if (not($dt-match-2) and exists($dt-stem-2) and $time-zone != '') then for $i in (1 to count($dt-stem-2)) return        concat($dt-stem-2[$i], substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2)) else () " />
    <xsl:variable name="dt-regex-3" select="if ($dt-match-2) then '' else if (exists($dt-sequence-3)) then concat('(', string-join($dt-sequence-3, '$)|('), '$)') else '' " />
    <xsl:variable name="dt-match-3" select="($dt-match-2 or (exists($dt-sequence-3) and exists($narr-dateTimes[matches(., $dt-regex-3, 'i')]))) " />
    <xsl:variable name="narr-match" select="if ($dt-value != '' and not(exists($narr-dateTimes))) then      (       contains($narrative, $dt-value)               or       (string-length($dt-value) = 4 and contains($narrative, $year))            or        (string-length($dt-value) = 6 and contains($narrative, concat($month-short, $year)))          or       (string-length($dt-value) &gt; 7 and starts-with($day, '0') and        (contains($narrative, concat(substring($day,2,1), $month-short, $year)) or         contains($narrative, concat(substring($day,2,1), $month-num, $year))))          or       (string-length($dt-value) &gt; 7 and (contains($narrative, concat($day, $month-short, $year)) or contains($narrative, concat($day, $month-num, $year))))        )       else false() " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($fir-narr-node//cda:renderMultiMedia) or exists($sec-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($fir-narr-node//cda:linkHtml) or exists($sec-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="warning-1" select="exists($dt-sequence-1) and exists($narr-dateTimes) and $dt-match-1 and not($dt-match-3) and $dt-value != '' " />
    <xsl:variable name="error-1" select="$warning-1 and not($multimedia) " />
    <xsl:variable name="warning-2" select="exists($dt-sequence-1) and exists($narr-dateTimes) and not($dt-match-1 or $dt-match-3) and $dt-value != '' " />
    <xsl:variable name="error-2a" select="$warning-2 and not($multimedia) and $time-zone != '' and count($narr-dateTimes) =        count(for $dt in $narr-dateTimes return replace(replace($dt, $regex-date-type-1, ''), $regex-date-type-2, '')       [matches(., concat('^\s*([0-9]{1,2}:{1}[0-9]{2}\s*', substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2),         '|[0-9]{1,2}:{1}[0-9]{2}:{1}[0-9]{2}\s*', substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2), ')\s*$'), 'i')]) " />
    <xsl:variable name="error-2b" select="$warning-2 and not($dt-match-1) and not($multimedia) and count($narr-dateTimes[matches(., $regex-date-type-2, 'i')]) =        count($narr-dateTimes[matches(., concat($regex-date-type-2, ' ', $narr-time-regex, '$'), 'i')]) " />
    <xsl:variable name="error-2c" select="$warning-2 and exists($narr-dateTimes[matches(., concat('^', $year, '$'))]) " />
    <xsl:variable name="error-2" select="$error-2a or $error-2b or $error-2c " />
    <xsl:variable name="warning-3" select="$dt-value != '' and not(exists($narr-dateTimes)) and not($narr-match) " />
    <xsl:variable name="error-3" select="$warning-3 and not($multimedia) and not(contains($narrative, substring($year, 3, 2)))" />
    <xsl:variable name="narr-dt-msg" select="if ($multimedia or $no-content) then ''       else if (not(exists($narr-dateTimes))) then concat(' The narrative of the ', iq:location(., ''), ' contains no dateTime elements.')       else if (count($narr-dateTimes) = 1) then concat(' The only dateTime element in the narrative of the ', iq:location(., ''), ' is ''',         dh:XQueryRecursiveReplace($narr-dateTimes[1], '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), '''.')       else concat(' The distinct dateTime elements in the narrative of the ', iq:location(., ''), ' are ''',         string-join(for $dt in $narr-dateTimes return          dh:XQueryRecursiveReplace($dt, '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), ', '), '''.') " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-4" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-4 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and exists($dt-sequence-1) and $dt-value != '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and exists($dt-sequence-1) and $dt-value != ''">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 4: The dateTime element in the structured data is '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'.
		The number of dateTime elements that have been extracted from the narrative is '<xsl:text /><xsl:value-of select="count($narr-dateTimes)" /><xsl:text />'.
		These are '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-dateTimes, ', '), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The initial regular expressions are '<xsl:text /><xsl:value-of select="string-join($dt-sequence-1, ', ')" /><xsl:text />'.
		The items in dt-stem-1 are: '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($dt-stem-1, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The items in dt-sequence-2 are: '<xsl:text /><xsl:value-of select="string-join($dt-sequence-2, '|')" /><xsl:text />'.
		The items in dt-stem-2 are: '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($dt-stem-2, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The three regular expressions used to perform an exact match for narrative dateTime elements are as follows:
		dt-regex-1='<xsl:text /><xsl:value-of select="$dt-regex-1" /><xsl:text />'; dt-regex-2='<xsl:text /><xsl:value-of select="$dt-regex-2" /><xsl:text />'; and dt-regex-3='<xsl:text /><xsl:value-of select="$dt-regex-3" /><xsl:text />'.
		Was a match found after the first regular expression (with just a date) was created? <xsl:text /><xsl:value-of select="$dt-match-1" /><xsl:text />.		
		<xsl:text /><xsl:value-of select="if ($dt-regex-2 = '') then 'The second regular expression was not applied as there is no time information.'    else concat('Was a match found after the second regular expression (with a date and time) was created? ', $dt-match-2, '.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($dt-regex-3 = '') then ' The third regular expression was not applied as there is no timezone information.'    else concat(' Was a match found after the third regular expression (with a date and time) was created? ', $dt-match-3, '.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $warning-1 and not($error-1 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $warning-1 and not($error-1 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date of Initial Registration 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Date of Initial Registration data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $error-1 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $error-1 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date of Initial Registration 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. The Date of Initial Registration data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $error-1 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $error-1 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date of Initial Registration 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. The Date of Initial Registration data element records clinical information and all clinical information in entry elements must be present in the narrative.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $warning-2 and not($error-2 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$warning-2 and not($error-2 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date of Initial Registration 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Date of Initial Registration data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-2 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-2 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date of Initial Registration 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="if ($error-2c) then concat('The narrative contains a date with the same year ''', $year, ''' but without a month or day.') else '' " /><xsl:text />
		The Date of Initial Registration data element records clinical information and all clinical information in entry elements must be present in the narrative.
		<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-2 and not($no-content) and not(true())">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-2 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date of Initial Registration 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="if ($error-2c) then concat('The narrative contains a date with the same year ''', $year, ''' but without a month or day.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $warning-3 and not($error-3 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$warning-3 and not($error-3 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date of Initial Registration 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Date of Initial Registration data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $dt-value != '' and not($narr-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $dt-value != '' and not($narr-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date of Initial Registration 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $dt-value != '' and not($narr-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $dt-value != '' and not($narr-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date of Initial Registration '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Date of Initial Registration data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-3 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-3 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date of Initial Registration '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Date of Initial Registration data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-3 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-3 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date of Initial Registration '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Date of Initial Registration '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M165" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M165" />
  <xsl:template match="@*|node()" priority="-2" mode="M165">
    <xsl:apply-templates select="@*|*" mode="M165" />
  </xsl:template>
  <!--PATTERN p-TS-AODR-Boolean-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16670' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@code='101.16670' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entry/   cda:observation[cda:code[@code='102.16652' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entryRelationship/   cda:observation[cda:code[@code='103.16657' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:value " priority="1000" mode="M166">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16670' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@code='101.16670' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entry/   cda:observation[cda:code[@code='102.16652' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entryRelationship/   cda:observation[cda:code[@code='103.16657' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:value " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 4.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-01" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-01 else $rating-alt-TC-Types-01 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-01: The Donation Decision
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type and
		<xsl:text /><xsl:value-of select="if (@value and @nullFlavor) then concat('has a value attribute with the value ''', @value, ''' and a nullFlavor attribute with the value ''', @nullFlavor, '''')   else if (@value and not(@nullFlavor)) then concat('has a value attribute with the value ''', @value, '''')   else if (not(@value) and @nullFlavor) then concat('has a nullFlavor attribute with the value ''', @nullFlavor, '''')   else 'has no value or nullFlavor attributes' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type or local-name(..) = ('contextConductionInd', 'deceasedInd') or   local-name(.) = ('independentInd', 'interruptibleInd', 'inversionInd', 'mobileInd', 'multipleBirthInd', 'negationInd', 'organDonorInd', 'performInd', 'preAdmitTestInd', 'preferenceInd', 'seperatableInd')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type or local-name(..) = ('contextConductionInd', 'deceasedInd') or local-name(.) = ('independentInd', 'interruptibleInd', 'inversionInd', 'mobileInd', 'multipleBirthInd', 'negationInd', 'organDonorInd', 'performInd', 'preAdmitTestInd', 'preferenceInd', 'seperatableInd'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Types-01: The Donation Decision
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type but it does not meet the requirement to have the xsi:type attribute with the value 'BL'.
		(See section 4.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Types-01: According to section 3.5 of the Structured Content Specification the Donation Decision

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type which is
		derived from the HL7 'BL' data type however the xsi:type attribute has the value <xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 4.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Types-01: According to section 3.5 of the Structured Content Specification the Donation Decision
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type which is derived from the HL7 'BL' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'BL'.
		(See section 4.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.5 of the Structured Content Specification the Donation Decision

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Boolean data type.
		The Boolean data type does not have any child elements so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.5 of the Structured Content Specification the Donation Decision

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Boolean data type.
		The Boolean data type does not have any child elements so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')] and     not(@xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')] and not(@xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.5 of the Structured Content Specification the Donation Decision

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')])" /><xsl:text />' was found that is not expected for the Boolean data type.
		The definition of the Boolean data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')] and     not(@xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')] and not(@xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.5 of the Structured Content Specification the Donation Decision

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')])" /><xsl:text />' was found that is not expected for the Boolean data type.
		The definition of the Boolean data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M166" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M166" />
  <xsl:template match="@*|node()" priority="-2" mode="M166">
    <xsl:apply-templates select="@*|*" mode="M166" />
  </xsl:template>
  <!--PATTERN p-TS-AODR-Boolean-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16670' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@code='101.16670' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entry/   cda:observation[cda:code[@code='102.16652' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entryRelationship/   cda:observation[cda:code[@code='103.16657' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:value " priority="1000" mode="M167">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16670' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@code='101.16670' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entry/   cda:observation[cda:code[@code='102.16652' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entryRelationship/   cda:observation[cda:code[@code='103.16657' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:value " />
    <xsl:variable name="single-word" select="exists(@value)" />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="narr-text-el" select="(for $text in ($target-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="boolean-values" select="if (@value) then $booleans/boolean[@value = current()/@value] else () " />
    <xsl:variable name="text-to-find" select="exists($boolean-values) " />
    <xsl:variable name="text-in-narr" select="($boolean-values/@value-regex and exists($narr-text-el[matches(., $boolean-values/@value-regex, 'is')])) or              ($boolean-values/@syn-regex and exists($narr-text-el[matches(., $boolean-values/@syn-regex, 'is')])) " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')]))  " />
    <xsl:variable name="multimedia" select="exists($target-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-1" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-1 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 1: 
		The word that needs to be found is '<xsl:text /><xsl:value-of select="$text-to-find" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-text-el, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		Was matching text found? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-in-narr or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-in-narr or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-1" /><xsl:text />: TC-Narr-09 step 1: The Donation Decision
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' which does not seem to be present in the narrative.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Donation Decision data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Donation Decision
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M167" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M167" />
  <xsl:template match="@*|node()" priority="-2" mode="M167">
    <xsl:apply-templates select="@*|*" mode="M167" />
  </xsl:template>
  <!--PATTERN p-TS-AODR-Boolean-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16670' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@code='101.16670' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entry/   cda:observation[cda:code[@code='102.16652' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entryRelationship/   cda:organizer[cda:code[@code='102.16660' and @codeSystem='1.2.36.1.2001.1001.101']]/   cda:component/cda:observation[cda:code[@code='103.16661' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:value " priority="1000" mode="M168">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16670' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@code='101.16670' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entry/   cda:observation[cda:code[@code='102.16652' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entryRelationship/   cda:organizer[cda:code[@code='102.16660' and @codeSystem='1.2.36.1.2001.1001.101']]/   cda:component/cda:observation[cda:code[@code='103.16661' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:value " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 4.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-01" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-01 else $rating-alt-TC-Types-01 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-01: The Bone Tissue Indicator
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type and
		<xsl:text /><xsl:value-of select="if (@value and @nullFlavor) then concat('has a value attribute with the value ''', @value, ''' and a nullFlavor attribute with the value ''', @nullFlavor, '''')   else if (@value and not(@nullFlavor)) then concat('has a value attribute with the value ''', @value, '''')   else if (not(@value) and @nullFlavor) then concat('has a nullFlavor attribute with the value ''', @nullFlavor, '''')   else 'has no value or nullFlavor attributes' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type or local-name(..) = ('contextConductionInd', 'deceasedInd') or   local-name(.) = ('independentInd', 'interruptibleInd', 'inversionInd', 'mobileInd', 'multipleBirthInd', 'negationInd', 'organDonorInd', 'performInd', 'preAdmitTestInd', 'preferenceInd', 'seperatableInd')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type or local-name(..) = ('contextConductionInd', 'deceasedInd') or local-name(.) = ('independentInd', 'interruptibleInd', 'inversionInd', 'mobileInd', 'multipleBirthInd', 'negationInd', 'organDonorInd', 'performInd', 'preAdmitTestInd', 'preferenceInd', 'seperatableInd'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Types-01: The Bone Tissue Indicator
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type but it does not meet the requirement to have the xsi:type attribute with the value 'BL'.
		(See section 4.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Types-01: According to section 3.7 of the Structured Content Specification the Bone Tissue Indicator

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type which is
		derived from the HL7 'BL' data type however the xsi:type attribute has the value <xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 4.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Types-01: According to section 3.7 of the Structured Content Specification the Bone Tissue Indicator
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type which is derived from the HL7 'BL' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'BL'.
		(See section 4.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.7 of the Structured Content Specification the Bone Tissue Indicator

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Boolean data type.
		The Boolean data type does not have any child elements so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.7 of the Structured Content Specification the Bone Tissue Indicator

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Boolean data type.
		The Boolean data type does not have any child elements so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')] and     not(@xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')] and not(@xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.7 of the Structured Content Specification the Bone Tissue Indicator

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')])" /><xsl:text />' was found that is not expected for the Boolean data type.
		The definition of the Boolean data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')] and     not(@xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')] and not(@xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.7 of the Structured Content Specification the Bone Tissue Indicator

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')])" /><xsl:text />' was found that is not expected for the Boolean data type.
		The definition of the Boolean data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M168" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M168" />
  <xsl:template match="@*|node()" priority="-2" mode="M168">
    <xsl:apply-templates select="@*|*" mode="M168" />
  </xsl:template>
  <!--PATTERN p-TS-AODR-Boolean-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16670' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@code='101.16670' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entry/   cda:observation[cda:code[@code='102.16652' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entryRelationship/   cda:organizer[cda:code[@code='102.16660' and @codeSystem='1.2.36.1.2001.1001.101']]/   cda:component/cda:observation[cda:code[@code='103.16661' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:value " priority="1000" mode="M169">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16670' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@code='101.16670' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entry/   cda:observation[cda:code[@code='102.16652' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entryRelationship/   cda:organizer[cda:code[@code='102.16660' and @codeSystem='1.2.36.1.2001.1001.101']]/   cda:component/cda:observation[cda:code[@code='103.16661' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:value " />
    <xsl:variable name="single-word" select="exists(@value)" />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="narr-text-el" select="(for $text in ($target-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="boolean-values" select="if (@value) then $booleans/boolean[@value = current()/@value] else () " />
    <xsl:variable name="text-to-find" select="exists($boolean-values) " />
    <xsl:variable name="text-in-narr" select="($boolean-values/@value-regex and exists($narr-text-el[matches(., $boolean-values/@value-regex, 'is')])) or              ($boolean-values/@syn-regex and exists($narr-text-el[matches(., $boolean-values/@syn-regex, 'is')])) " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')]))  " />
    <xsl:variable name="multimedia" select="exists($target-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-1" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-1 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 1: 
		The word that needs to be found is '<xsl:text /><xsl:value-of select="$text-to-find" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-text-el, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		Was matching text found? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-in-narr or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-in-narr or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-1" /><xsl:text />: TC-Narr-09 step 1: The Bone Tissue Indicator
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' which does not seem to be present in the narrative.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Bone Tissue Indicator data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Bone Tissue Indicator
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M169" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M169" />
  <xsl:template match="@*|node()" priority="-2" mode="M169">
    <xsl:apply-templates select="@*|*" mode="M169" />
  </xsl:template>
  <!--PATTERN p-TS-AODR-Boolean-5-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16670' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@code='101.16670' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entry/   cda:observation[cda:code[@code='102.16652' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entryRelationship/   cda:organizer[cda:code[@code='102.16660' and @codeSystem='1.2.36.1.2001.1001.101']]/   cda:component/cda:observation[cda:code[@code='103.16662' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:value " priority="1000" mode="M170">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16670' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@code='101.16670' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entry/   cda:observation[cda:code[@code='102.16652' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entryRelationship/   cda:organizer[cda:code[@code='102.16660' and @codeSystem='1.2.36.1.2001.1001.101']]/   cda:component/cda:observation[cda:code[@code='103.16662' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:value " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 4.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-01" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-01 else $rating-alt-TC-Types-01 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-01: The Eye Tissue Indicator
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type and
		<xsl:text /><xsl:value-of select="if (@value and @nullFlavor) then concat('has a value attribute with the value ''', @value, ''' and a nullFlavor attribute with the value ''', @nullFlavor, '''')   else if (@value and not(@nullFlavor)) then concat('has a value attribute with the value ''', @value, '''')   else if (not(@value) and @nullFlavor) then concat('has a nullFlavor attribute with the value ''', @nullFlavor, '''')   else 'has no value or nullFlavor attributes' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type or local-name(..) = ('contextConductionInd', 'deceasedInd') or   local-name(.) = ('independentInd', 'interruptibleInd', 'inversionInd', 'mobileInd', 'multipleBirthInd', 'negationInd', 'organDonorInd', 'performInd', 'preAdmitTestInd', 'preferenceInd', 'seperatableInd')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type or local-name(..) = ('contextConductionInd', 'deceasedInd') or local-name(.) = ('independentInd', 'interruptibleInd', 'inversionInd', 'mobileInd', 'multipleBirthInd', 'negationInd', 'organDonorInd', 'performInd', 'preAdmitTestInd', 'preferenceInd', 'seperatableInd'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Types-01: The Eye Tissue Indicator
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type but it does not meet the requirement to have the xsi:type attribute with the value 'BL'.
		(See section 4.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Types-01: According to section 3.8 of the Structured Content Specification the Eye Tissue Indicator

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type which is
		derived from the HL7 'BL' data type however the xsi:type attribute has the value <xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 4.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Types-01: According to section 3.8 of the Structured Content Specification the Eye Tissue Indicator
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type which is derived from the HL7 'BL' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'BL'.
		(See section 4.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.8 of the Structured Content Specification the Eye Tissue Indicator

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Boolean data type.
		The Boolean data type does not have any child elements so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.8 of the Structured Content Specification the Eye Tissue Indicator

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Boolean data type.
		The Boolean data type does not have any child elements so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')] and     not(@xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')] and not(@xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.8 of the Structured Content Specification the Eye Tissue Indicator

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')])" /><xsl:text />' was found that is not expected for the Boolean data type.
		The definition of the Boolean data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')] and     not(@xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')] and not(@xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.8 of the Structured Content Specification the Eye Tissue Indicator

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')])" /><xsl:text />' was found that is not expected for the Boolean data type.
		The definition of the Boolean data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M170" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M170" />
  <xsl:template match="@*|node()" priority="-2" mode="M170">
    <xsl:apply-templates select="@*|*" mode="M170" />
  </xsl:template>
  <!--PATTERN p-TS-AODR-Boolean-6-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16670' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@code='101.16670' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entry/   cda:observation[cda:code[@code='102.16652' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entryRelationship/   cda:organizer[cda:code[@code='102.16660' and @codeSystem='1.2.36.1.2001.1001.101']]/   cda:component/cda:observation[cda:code[@code='103.16662' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:value " priority="1000" mode="M171">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16670' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@code='101.16670' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entry/   cda:observation[cda:code[@code='102.16652' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entryRelationship/   cda:organizer[cda:code[@code='102.16660' and @codeSystem='1.2.36.1.2001.1001.101']]/   cda:component/cda:observation[cda:code[@code='103.16662' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:value " />
    <xsl:variable name="single-word" select="exists(@value)" />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="narr-text-el" select="(for $text in ($target-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="boolean-values" select="if (@value) then $booleans/boolean[@value = current()/@value] else () " />
    <xsl:variable name="text-to-find" select="exists($boolean-values) " />
    <xsl:variable name="text-in-narr" select="($boolean-values/@value-regex and exists($narr-text-el[matches(., $boolean-values/@value-regex, 'is')])) or              ($boolean-values/@syn-regex and exists($narr-text-el[matches(., $boolean-values/@syn-regex, 'is')])) " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')]))  " />
    <xsl:variable name="multimedia" select="exists($target-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-1" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-1 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 1: 
		The word that needs to be found is '<xsl:text /><xsl:value-of select="$text-to-find" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-text-el, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		Was matching text found? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-in-narr or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-in-narr or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-1" /><xsl:text />: TC-Narr-09 step 1: The Eye Tissue Indicator
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' which does not seem to be present in the narrative.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Eye Tissue Indicator data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Eye Tissue Indicator
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M171" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M171" />
  <xsl:template match="@*|node()" priority="-2" mode="M171">
    <xsl:apply-templates select="@*|*" mode="M171" />
  </xsl:template>
  <!--PATTERN p-TS-AODR-Boolean-7-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16670' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@code='101.16670' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entry/   cda:observation[cda:code[@code='102.16652' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entryRelationship/   cda:organizer[cda:code[@code='102.16660' and @codeSystem='1.2.36.1.2001.1001.101']]/   cda:component/cda:observation[cda:code[@code='103.16663' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:value " priority="1000" mode="M172">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16670' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@code='101.16670' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entry/   cda:observation[cda:code[@code='102.16652' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entryRelationship/   cda:organizer[cda:code[@code='102.16660' and @codeSystem='1.2.36.1.2001.1001.101']]/   cda:component/cda:observation[cda:code[@code='103.16663' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:value " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 4.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-01" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-01 else $rating-alt-TC-Types-01 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-01: The Heart Indicator
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type and
		<xsl:text /><xsl:value-of select="if (@value and @nullFlavor) then concat('has a value attribute with the value ''', @value, ''' and a nullFlavor attribute with the value ''', @nullFlavor, '''')   else if (@value and not(@nullFlavor)) then concat('has a value attribute with the value ''', @value, '''')   else if (not(@value) and @nullFlavor) then concat('has a nullFlavor attribute with the value ''', @nullFlavor, '''')   else 'has no value or nullFlavor attributes' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type or local-name(..) = ('contextConductionInd', 'deceasedInd') or   local-name(.) = ('independentInd', 'interruptibleInd', 'inversionInd', 'mobileInd', 'multipleBirthInd', 'negationInd', 'organDonorInd', 'performInd', 'preAdmitTestInd', 'preferenceInd', 'seperatableInd')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type or local-name(..) = ('contextConductionInd', 'deceasedInd') or local-name(.) = ('independentInd', 'interruptibleInd', 'inversionInd', 'mobileInd', 'multipleBirthInd', 'negationInd', 'organDonorInd', 'performInd', 'preAdmitTestInd', 'preferenceInd', 'seperatableInd'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Types-01: The Heart Indicator
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type but it does not meet the requirement to have the xsi:type attribute with the value 'BL'.
		(See section 4.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Types-01: According to section 3.9 of the Structured Content Specification the Heart Indicator

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type which is
		derived from the HL7 'BL' data type however the xsi:type attribute has the value <xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 4.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Types-01: According to section 3.9 of the Structured Content Specification the Heart Indicator
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type which is derived from the HL7 'BL' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'BL'.
		(See section 4.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.9 of the Structured Content Specification the Heart Indicator

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Boolean data type.
		The Boolean data type does not have any child elements so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.9 of the Structured Content Specification the Heart Indicator

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Boolean data type.
		The Boolean data type does not have any child elements so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')] and     not(@xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')] and not(@xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.9 of the Structured Content Specification the Heart Indicator

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')])" /><xsl:text />' was found that is not expected for the Boolean data type.
		The definition of the Boolean data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')] and     not(@xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')] and not(@xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.9 of the Structured Content Specification the Heart Indicator

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')])" /><xsl:text />' was found that is not expected for the Boolean data type.
		The definition of the Boolean data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M172" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M172" />
  <xsl:template match="@*|node()" priority="-2" mode="M172">
    <xsl:apply-templates select="@*|*" mode="M172" />
  </xsl:template>
  <!--PATTERN p-TS-AODR-Boolean-8-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16670' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@code='101.16670' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entry/   cda:observation[cda:code[@code='102.16652' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entryRelationship/   cda:organizer[cda:code[@code='102.16660' and @codeSystem='1.2.36.1.2001.1001.101']]/   cda:component/cda:observation[cda:code[@code='103.16663' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:value " priority="1000" mode="M173">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16670' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@code='101.16670' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entry/   cda:observation[cda:code[@code='102.16652' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entryRelationship/   cda:organizer[cda:code[@code='102.16660' and @codeSystem='1.2.36.1.2001.1001.101']]/   cda:component/cda:observation[cda:code[@code='103.16663' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:value " />
    <xsl:variable name="single-word" select="exists(@value)" />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="narr-text-el" select="(for $text in ($target-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="boolean-values" select="if (@value) then $booleans/boolean[@value = current()/@value] else () " />
    <xsl:variable name="text-to-find" select="exists($boolean-values) " />
    <xsl:variable name="text-in-narr" select="($boolean-values/@value-regex and exists($narr-text-el[matches(., $boolean-values/@value-regex, 'is')])) or              ($boolean-values/@syn-regex and exists($narr-text-el[matches(., $boolean-values/@syn-regex, 'is')])) " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')]))  " />
    <xsl:variable name="multimedia" select="exists($target-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-1" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-1 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 1: 
		The word that needs to be found is '<xsl:text /><xsl:value-of select="$text-to-find" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-text-el, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		Was matching text found? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-in-narr or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-in-narr or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-1" /><xsl:text />: TC-Narr-09 step 1: The Heart Indicator
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' which does not seem to be present in the narrative.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Heart Indicator data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Heart Indicator
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M173" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M173" />
  <xsl:template match="@*|node()" priority="-2" mode="M173">
    <xsl:apply-templates select="@*|*" mode="M173" />
  </xsl:template>
  <!--PATTERN p-TS-AODR-Boolean-9-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16670' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@code='101.16670' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entry/   cda:observation[cda:code[@code='102.16652' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entryRelationship/   cda:organizer[cda:code[@code='102.16660' and @codeSystem='1.2.36.1.2001.1001.101']]/   cda:component/cda:observation[cda:code[@code='103.16664' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:value " priority="1000" mode="M174">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16670' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@code='101.16670' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entry/   cda:observation[cda:code[@code='102.16652' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entryRelationship/   cda:organizer[cda:code[@code='102.16660' and @codeSystem='1.2.36.1.2001.1001.101']]/   cda:component/cda:observation[cda:code[@code='103.16664' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:value " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 4.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-01" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-01 else $rating-alt-TC-Types-01 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-01: The Heart Valve Indicator
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type and
		<xsl:text /><xsl:value-of select="if (@value and @nullFlavor) then concat('has a value attribute with the value ''', @value, ''' and a nullFlavor attribute with the value ''', @nullFlavor, '''')   else if (@value and not(@nullFlavor)) then concat('has a value attribute with the value ''', @value, '''')   else if (not(@value) and @nullFlavor) then concat('has a nullFlavor attribute with the value ''', @nullFlavor, '''')   else 'has no value or nullFlavor attributes' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type or local-name(..) = ('contextConductionInd', 'deceasedInd') or   local-name(.) = ('independentInd', 'interruptibleInd', 'inversionInd', 'mobileInd', 'multipleBirthInd', 'negationInd', 'organDonorInd', 'performInd', 'preAdmitTestInd', 'preferenceInd', 'seperatableInd')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type or local-name(..) = ('contextConductionInd', 'deceasedInd') or local-name(.) = ('independentInd', 'interruptibleInd', 'inversionInd', 'mobileInd', 'multipleBirthInd', 'negationInd', 'organDonorInd', 'performInd', 'preAdmitTestInd', 'preferenceInd', 'seperatableInd'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Types-01: The Heart Valve Indicator
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type but it does not meet the requirement to have the xsi:type attribute with the value 'BL'.
		(See section 4.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Types-01: According to section 3.10 of the Structured Content Specification the Heart Valve Indicator

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type which is
		derived from the HL7 'BL' data type however the xsi:type attribute has the value <xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 4.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Types-01: According to section 3.10 of the Structured Content Specification the Heart Valve Indicator
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type which is derived from the HL7 'BL' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'BL'.
		(See section 4.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.10 of the Structured Content Specification the Heart Valve Indicator

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Boolean data type.
		The Boolean data type does not have any child elements so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.10 of the Structured Content Specification the Heart Valve Indicator

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Boolean data type.
		The Boolean data type does not have any child elements so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')] and     not(@xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')] and not(@xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.10 of the Structured Content Specification the Heart Valve Indicator

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')])" /><xsl:text />' was found that is not expected for the Boolean data type.
		The definition of the Boolean data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')] and     not(@xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')] and not(@xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.10 of the Structured Content Specification the Heart Valve Indicator

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')])" /><xsl:text />' was found that is not expected for the Boolean data type.
		The definition of the Boolean data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M174" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M174" />
  <xsl:template match="@*|node()" priority="-2" mode="M174">
    <xsl:apply-templates select="@*|*" mode="M174" />
  </xsl:template>
  <!--PATTERN p-TS-AODR-Boolean-10-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16670' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@code='101.16670' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entry/   cda:observation[cda:code[@code='102.16652' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entryRelationship/   cda:organizer[cda:code[@code='102.16660' and @codeSystem='1.2.36.1.2001.1001.101']]/   cda:component/cda:observation[cda:code[@code='103.16664' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:value " priority="1000" mode="M175">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16670' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@code='101.16670' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entry/   cda:observation[cda:code[@code='102.16652' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entryRelationship/   cda:organizer[cda:code[@code='102.16660' and @codeSystem='1.2.36.1.2001.1001.101']]/   cda:component/cda:observation[cda:code[@code='103.16664' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:value " />
    <xsl:variable name="single-word" select="exists(@value)" />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="narr-text-el" select="(for $text in ($target-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="boolean-values" select="if (@value) then $booleans/boolean[@value = current()/@value] else () " />
    <xsl:variable name="text-to-find" select="exists($boolean-values) " />
    <xsl:variable name="text-in-narr" select="($boolean-values/@value-regex and exists($narr-text-el[matches(., $boolean-values/@value-regex, 'is')])) or              ($boolean-values/@syn-regex and exists($narr-text-el[matches(., $boolean-values/@syn-regex, 'is')])) " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')]))  " />
    <xsl:variable name="multimedia" select="exists($target-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-1" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-1 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 1: 
		The word that needs to be found is '<xsl:text /><xsl:value-of select="$text-to-find" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-text-el, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		Was matching text found? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-in-narr or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-in-narr or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-1" /><xsl:text />: TC-Narr-09 step 1: The Heart Valve Indicator
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' which does not seem to be present in the narrative.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Heart Valve Indicator data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Heart Valve Indicator
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M175" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M175" />
  <xsl:template match="@*|node()" priority="-2" mode="M175">
    <xsl:apply-templates select="@*|*" mode="M175" />
  </xsl:template>
  <!--PATTERN p-TS-AODR-Boolean-11-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16670' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@code='101.16670' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entry/   cda:observation[cda:code[@code='102.16652' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entryRelationship/   cda:organizer[cda:code[@code='102.16660' and @codeSystem='1.2.36.1.2001.1001.101']]/   cda:component/cda:observation[cda:code[@code='103.16665' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:value " priority="1000" mode="M176">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16670' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@code='101.16670' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entry/   cda:observation[cda:code[@code='102.16652' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entryRelationship/   cda:organizer[cda:code[@code='102.16660' and @codeSystem='1.2.36.1.2001.1001.101']]/   cda:component/cda:observation[cda:code[@code='103.16665' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:value " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 4.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-01" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-01 else $rating-alt-TC-Types-01 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-01: The Kidney Indicator
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type and
		<xsl:text /><xsl:value-of select="if (@value and @nullFlavor) then concat('has a value attribute with the value ''', @value, ''' and a nullFlavor attribute with the value ''', @nullFlavor, '''')   else if (@value and not(@nullFlavor)) then concat('has a value attribute with the value ''', @value, '''')   else if (not(@value) and @nullFlavor) then concat('has a nullFlavor attribute with the value ''', @nullFlavor, '''')   else 'has no value or nullFlavor attributes' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type or local-name(..) = ('contextConductionInd', 'deceasedInd') or   local-name(.) = ('independentInd', 'interruptibleInd', 'inversionInd', 'mobileInd', 'multipleBirthInd', 'negationInd', 'organDonorInd', 'performInd', 'preAdmitTestInd', 'preferenceInd', 'seperatableInd')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type or local-name(..) = ('contextConductionInd', 'deceasedInd') or local-name(.) = ('independentInd', 'interruptibleInd', 'inversionInd', 'mobileInd', 'multipleBirthInd', 'negationInd', 'organDonorInd', 'performInd', 'preAdmitTestInd', 'preferenceInd', 'seperatableInd'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Types-01: The Kidney Indicator
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type but it does not meet the requirement to have the xsi:type attribute with the value 'BL'.
		(See section 4.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Types-01: According to section 3.11 of the Structured Content Specification the Kidney Indicator

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type which is
		derived from the HL7 'BL' data type however the xsi:type attribute has the value <xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 4.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Types-01: According to section 3.11 of the Structured Content Specification the Kidney Indicator
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type which is derived from the HL7 'BL' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'BL'.
		(See section 4.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.11 of the Structured Content Specification the Kidney Indicator

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Boolean data type.
		The Boolean data type does not have any child elements so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.11 of the Structured Content Specification the Kidney Indicator

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Boolean data type.
		The Boolean data type does not have any child elements so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')] and     not(@xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')] and not(@xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.11 of the Structured Content Specification the Kidney Indicator

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')])" /><xsl:text />' was found that is not expected for the Boolean data type.
		The definition of the Boolean data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')] and     not(@xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')] and not(@xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.11 of the Structured Content Specification the Kidney Indicator

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')])" /><xsl:text />' was found that is not expected for the Boolean data type.
		The definition of the Boolean data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M176" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M176" />
  <xsl:template match="@*|node()" priority="-2" mode="M176">
    <xsl:apply-templates select="@*|*" mode="M176" />
  </xsl:template>
  <!--PATTERN p-TS-AODR-Boolean-12-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16670' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@code='101.16670' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entry/   cda:observation[cda:code[@code='102.16652' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entryRelationship/   cda:organizer[cda:code[@code='102.16660' and @codeSystem='1.2.36.1.2001.1001.101']]/   cda:component/cda:observation[cda:code[@code='103.16665' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:value " priority="1000" mode="M177">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16670' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@code='101.16670' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entry/   cda:observation[cda:code[@code='102.16652' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entryRelationship/   cda:organizer[cda:code[@code='102.16660' and @codeSystem='1.2.36.1.2001.1001.101']]/   cda:component/cda:observation[cda:code[@code='103.16665' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:value " />
    <xsl:variable name="single-word" select="exists(@value)" />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="narr-text-el" select="(for $text in ($target-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="boolean-values" select="if (@value) then $booleans/boolean[@value = current()/@value] else () " />
    <xsl:variable name="text-to-find" select="exists($boolean-values) " />
    <xsl:variable name="text-in-narr" select="($boolean-values/@value-regex and exists($narr-text-el[matches(., $boolean-values/@value-regex, 'is')])) or              ($boolean-values/@syn-regex and exists($narr-text-el[matches(., $boolean-values/@syn-regex, 'is')])) " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')]))  " />
    <xsl:variable name="multimedia" select="exists($target-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-1" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-1 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 1: 
		The word that needs to be found is '<xsl:text /><xsl:value-of select="$text-to-find" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-text-el, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		Was matching text found? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-in-narr or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-in-narr or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-1" /><xsl:text />: TC-Narr-09 step 1: The Kidney Indicator
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' which does not seem to be present in the narrative.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Kidney Indicator data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Kidney Indicator
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M177" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M177" />
  <xsl:template match="@*|node()" priority="-2" mode="M177">
    <xsl:apply-templates select="@*|*" mode="M177" />
  </xsl:template>
  <!--PATTERN p-TS-AODR-Boolean-13-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16670' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@code='101.16670' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entry/   cda:observation[cda:code[@code='102.16652' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entryRelationship/   cda:organizer[cda:code[@code='102.16660' and @codeSystem='1.2.36.1.2001.1001.101']]/   cda:component/cda:observation[cda:code[@code='103.16666' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:value " priority="1000" mode="M178">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16670' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@code='101.16670' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entry/   cda:observation[cda:code[@code='102.16652' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entryRelationship/   cda:organizer[cda:code[@code='102.16660' and @codeSystem='1.2.36.1.2001.1001.101']]/   cda:component/cda:observation[cda:code[@code='103.16666' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:value " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 4.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-01" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-01 else $rating-alt-TC-Types-01 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-01: The Liver Indicator
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type and
		<xsl:text /><xsl:value-of select="if (@value and @nullFlavor) then concat('has a value attribute with the value ''', @value, ''' and a nullFlavor attribute with the value ''', @nullFlavor, '''')   else if (@value and not(@nullFlavor)) then concat('has a value attribute with the value ''', @value, '''')   else if (not(@value) and @nullFlavor) then concat('has a nullFlavor attribute with the value ''', @nullFlavor, '''')   else 'has no value or nullFlavor attributes' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type or local-name(..) = ('contextConductionInd', 'deceasedInd') or   local-name(.) = ('independentInd', 'interruptibleInd', 'inversionInd', 'mobileInd', 'multipleBirthInd', 'negationInd', 'organDonorInd', 'performInd', 'preAdmitTestInd', 'preferenceInd', 'seperatableInd')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type or local-name(..) = ('contextConductionInd', 'deceasedInd') or local-name(.) = ('independentInd', 'interruptibleInd', 'inversionInd', 'mobileInd', 'multipleBirthInd', 'negationInd', 'organDonorInd', 'performInd', 'preAdmitTestInd', 'preferenceInd', 'seperatableInd'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Types-01: The Liver Indicator
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type but it does not meet the requirement to have the xsi:type attribute with the value 'BL'.
		(See section 4.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Types-01: According to section 3.12 of the Structured Content Specification the Liver Indicator

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type which is
		derived from the HL7 'BL' data type however the xsi:type attribute has the value <xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 4.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Types-01: According to section 3.12 of the Structured Content Specification the Liver Indicator
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type which is derived from the HL7 'BL' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'BL'.
		(See section 4.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.12 of the Structured Content Specification the Liver Indicator

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Boolean data type.
		The Boolean data type does not have any child elements so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.12 of the Structured Content Specification the Liver Indicator

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Boolean data type.
		The Boolean data type does not have any child elements so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')] and     not(@xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')] and not(@xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.12 of the Structured Content Specification the Liver Indicator

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')])" /><xsl:text />' was found that is not expected for the Boolean data type.
		The definition of the Boolean data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')] and     not(@xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')] and not(@xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.12 of the Structured Content Specification the Liver Indicator

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')])" /><xsl:text />' was found that is not expected for the Boolean data type.
		The definition of the Boolean data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M178" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M178" />
  <xsl:template match="@*|node()" priority="-2" mode="M178">
    <xsl:apply-templates select="@*|*" mode="M178" />
  </xsl:template>
  <!--PATTERN p-TS-AODR-Boolean-14-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16670' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@code='101.16670' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entry/   cda:observation[cda:code[@code='102.16652' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entryRelationship/   cda:organizer[cda:code[@code='102.16660' and @codeSystem='1.2.36.1.2001.1001.101']]/   cda:component/cda:observation[cda:code[@code='103.16666' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:value " priority="1000" mode="M179">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16670' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@code='101.16670' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entry/   cda:observation[cda:code[@code='102.16652' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entryRelationship/   cda:organizer[cda:code[@code='102.16660' and @codeSystem='1.2.36.1.2001.1001.101']]/   cda:component/cda:observation[cda:code[@code='103.16666' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:value " />
    <xsl:variable name="single-word" select="exists(@value)" />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="narr-text-el" select="(for $text in ($target-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="boolean-values" select="if (@value) then $booleans/boolean[@value = current()/@value] else () " />
    <xsl:variable name="text-to-find" select="exists($boolean-values) " />
    <xsl:variable name="text-in-narr" select="($boolean-values/@value-regex and exists($narr-text-el[matches(., $boolean-values/@value-regex, 'is')])) or              ($boolean-values/@syn-regex and exists($narr-text-el[matches(., $boolean-values/@syn-regex, 'is')])) " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')]))  " />
    <xsl:variable name="multimedia" select="exists($target-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-1" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-1 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 1: 
		The word that needs to be found is '<xsl:text /><xsl:value-of select="$text-to-find" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-text-el, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		Was matching text found? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-in-narr or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-in-narr or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-1" /><xsl:text />: TC-Narr-09 step 1: The Liver Indicator
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' which does not seem to be present in the narrative.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Liver Indicator data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Liver Indicator
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M179" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M179" />
  <xsl:template match="@*|node()" priority="-2" mode="M179">
    <xsl:apply-templates select="@*|*" mode="M179" />
  </xsl:template>
  <!--PATTERN p-TS-AODR-Boolean-15-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16670' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@code='101.16670' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entry/   cda:observation[cda:code[@code='102.16652' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entryRelationship/   cda:organizer[cda:code[@code='102.16660' and @codeSystem='1.2.36.1.2001.1001.101']]/   cda:component/cda:observation[cda:code[@code='103.16667' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:value " priority="1000" mode="M180">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16670' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@code='101.16670' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entry/   cda:observation[cda:code[@code='102.16652' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entryRelationship/   cda:organizer[cda:code[@code='102.16660' and @codeSystem='1.2.36.1.2001.1001.101']]/   cda:component/cda:observation[cda:code[@code='103.16667' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:value " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 4.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-01" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-01 else $rating-alt-TC-Types-01 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-01: The Lungs Indicator
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type and
		<xsl:text /><xsl:value-of select="if (@value and @nullFlavor) then concat('has a value attribute with the value ''', @value, ''' and a nullFlavor attribute with the value ''', @nullFlavor, '''')   else if (@value and not(@nullFlavor)) then concat('has a value attribute with the value ''', @value, '''')   else if (not(@value) and @nullFlavor) then concat('has a nullFlavor attribute with the value ''', @nullFlavor, '''')   else 'has no value or nullFlavor attributes' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type or local-name(..) = ('contextConductionInd', 'deceasedInd') or   local-name(.) = ('independentInd', 'interruptibleInd', 'inversionInd', 'mobileInd', 'multipleBirthInd', 'negationInd', 'organDonorInd', 'performInd', 'preAdmitTestInd', 'preferenceInd', 'seperatableInd')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type or local-name(..) = ('contextConductionInd', 'deceasedInd') or local-name(.) = ('independentInd', 'interruptibleInd', 'inversionInd', 'mobileInd', 'multipleBirthInd', 'negationInd', 'organDonorInd', 'performInd', 'preAdmitTestInd', 'preferenceInd', 'seperatableInd'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Types-01: The Lungs Indicator
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type but it does not meet the requirement to have the xsi:type attribute with the value 'BL'.
		(See section 4.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Types-01: According to section 3.13 of the Structured Content Specification the Lungs Indicator

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type which is
		derived from the HL7 'BL' data type however the xsi:type attribute has the value <xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 4.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Types-01: According to section 3.13 of the Structured Content Specification the Lungs Indicator
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type which is derived from the HL7 'BL' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'BL'.
		(See section 4.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.13 of the Structured Content Specification the Lungs Indicator

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Boolean data type.
		The Boolean data type does not have any child elements so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.13 of the Structured Content Specification the Lungs Indicator

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Boolean data type.
		The Boolean data type does not have any child elements so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')] and     not(@xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')] and not(@xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.13 of the Structured Content Specification the Lungs Indicator

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')])" /><xsl:text />' was found that is not expected for the Boolean data type.
		The definition of the Boolean data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')] and     not(@xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')] and not(@xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.13 of the Structured Content Specification the Lungs Indicator

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')])" /><xsl:text />' was found that is not expected for the Boolean data type.
		The definition of the Boolean data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M180" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M180" />
  <xsl:template match="@*|node()" priority="-2" mode="M180">
    <xsl:apply-templates select="@*|*" mode="M180" />
  </xsl:template>
  <!--PATTERN p-TS-AODR-Boolean-16-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16670' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@code='101.16670' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entry/   cda:observation[cda:code[@code='102.16652' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entryRelationship/   cda:organizer[cda:code[@code='102.16660' and @codeSystem='1.2.36.1.2001.1001.101']]/   cda:component/cda:observation[cda:code[@code='103.16667' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:value " priority="1000" mode="M181">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16670' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@code='101.16670' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entry/   cda:observation[cda:code[@code='102.16652' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entryRelationship/   cda:organizer[cda:code[@code='102.16660' and @codeSystem='1.2.36.1.2001.1001.101']]/   cda:component/cda:observation[cda:code[@code='103.16667' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:value " />
    <xsl:variable name="single-word" select="exists(@value)" />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="narr-text-el" select="(for $text in ($target-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="boolean-values" select="if (@value) then $booleans/boolean[@value = current()/@value] else () " />
    <xsl:variable name="text-to-find" select="exists($boolean-values) " />
    <xsl:variable name="text-in-narr" select="($boolean-values/@value-regex and exists($narr-text-el[matches(., $boolean-values/@value-regex, 'is')])) or              ($boolean-values/@syn-regex and exists($narr-text-el[matches(., $boolean-values/@syn-regex, 'is')])) " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')]))  " />
    <xsl:variable name="multimedia" select="exists($target-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-1" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-1 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 1: 
		The word that needs to be found is '<xsl:text /><xsl:value-of select="$text-to-find" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-text-el, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		Was matching text found? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-in-narr or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-in-narr or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-1" /><xsl:text />: TC-Narr-09 step 1: The Lungs Indicator
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' which does not seem to be present in the narrative.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Lungs Indicator data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Lungs Indicator
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M181" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M181" />
  <xsl:template match="@*|node()" priority="-2" mode="M181">
    <xsl:apply-templates select="@*|*" mode="M181" />
  </xsl:template>
  <!--PATTERN p-TS-AODR-Boolean-17-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16670' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@code='101.16670' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entry/   cda:observation[cda:code[@code='102.16652' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entryRelationship/   cda:organizer[cda:code[@code='102.16660' and @codeSystem='1.2.36.1.2001.1001.101']]/   cda:component/cda:observation[cda:code[@code='103.16668' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:value " priority="1000" mode="M182">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16670' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@code='101.16670' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entry/   cda:observation[cda:code[@code='102.16652' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entryRelationship/   cda:organizer[cda:code[@code='102.16660' and @codeSystem='1.2.36.1.2001.1001.101']]/   cda:component/cda:observation[cda:code[@code='103.16668' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:value " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 4.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-01" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-01 else $rating-alt-TC-Types-01 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-01: The Pancreas Indicator
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type and
		<xsl:text /><xsl:value-of select="if (@value and @nullFlavor) then concat('has a value attribute with the value ''', @value, ''' and a nullFlavor attribute with the value ''', @nullFlavor, '''')   else if (@value and not(@nullFlavor)) then concat('has a value attribute with the value ''', @value, '''')   else if (not(@value) and @nullFlavor) then concat('has a nullFlavor attribute with the value ''', @nullFlavor, '''')   else 'has no value or nullFlavor attributes' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type or local-name(..) = ('contextConductionInd', 'deceasedInd') or   local-name(.) = ('independentInd', 'interruptibleInd', 'inversionInd', 'mobileInd', 'multipleBirthInd', 'negationInd', 'organDonorInd', 'performInd', 'preAdmitTestInd', 'preferenceInd', 'seperatableInd')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type or local-name(..) = ('contextConductionInd', 'deceasedInd') or local-name(.) = ('independentInd', 'interruptibleInd', 'inversionInd', 'mobileInd', 'multipleBirthInd', 'negationInd', 'organDonorInd', 'performInd', 'preAdmitTestInd', 'preferenceInd', 'seperatableInd'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Types-01: The Pancreas Indicator
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type but it does not meet the requirement to have the xsi:type attribute with the value 'BL'.
		(See section 4.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Types-01: According to section 3.14 of the Structured Content Specification the Pancreas Indicator

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type which is
		derived from the HL7 'BL' data type however the xsi:type attribute has the value <xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 4.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Types-01: According to section 3.14 of the Structured Content Specification the Pancreas Indicator
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type which is derived from the HL7 'BL' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'BL'.
		(See section 4.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.14 of the Structured Content Specification the Pancreas Indicator

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Boolean data type.
		The Boolean data type does not have any child elements so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.14 of the Structured Content Specification the Pancreas Indicator

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Boolean data type.
		The Boolean data type does not have any child elements so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')] and     not(@xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')] and not(@xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.14 of the Structured Content Specification the Pancreas Indicator

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')])" /><xsl:text />' was found that is not expected for the Boolean data type.
		The definition of the Boolean data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')] and     not(@xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')] and not(@xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.14 of the Structured Content Specification the Pancreas Indicator

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')])" /><xsl:text />' was found that is not expected for the Boolean data type.
		The definition of the Boolean data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M182" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M182" />
  <xsl:template match="@*|node()" priority="-2" mode="M182">
    <xsl:apply-templates select="@*|*" mode="M182" />
  </xsl:template>
  <!--PATTERN p-TS-AODR-Boolean-18-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16670' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@code='101.16670' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entry/   cda:observation[cda:code[@code='102.16652' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entryRelationship/   cda:organizer[cda:code[@code='102.16660' and @codeSystem='1.2.36.1.2001.1001.101']]/   cda:component/cda:observation[cda:code[@code='103.16668' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:value " priority="1000" mode="M183">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16670' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@code='101.16670' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entry/   cda:observation[cda:code[@code='102.16652' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entryRelationship/   cda:organizer[cda:code[@code='102.16660' and @codeSystem='1.2.36.1.2001.1001.101']]/   cda:component/cda:observation[cda:code[@code='103.16668' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:value " />
    <xsl:variable name="single-word" select="exists(@value)" />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="narr-text-el" select="(for $text in ($target-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="boolean-values" select="if (@value) then $booleans/boolean[@value = current()/@value] else () " />
    <xsl:variable name="text-to-find" select="exists($boolean-values) " />
    <xsl:variable name="text-in-narr" select="($boolean-values/@value-regex and exists($narr-text-el[matches(., $boolean-values/@value-regex, 'is')])) or              ($boolean-values/@syn-regex and exists($narr-text-el[matches(., $boolean-values/@syn-regex, 'is')])) " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')]))  " />
    <xsl:variable name="multimedia" select="exists($target-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-1" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-1 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 1: 
		The word that needs to be found is '<xsl:text /><xsl:value-of select="$text-to-find" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-text-el, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		Was matching text found? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-in-narr or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-in-narr or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-1" /><xsl:text />: TC-Narr-09 step 1: The Pancreas Indicator
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' which does not seem to be present in the narrative.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Pancreas Indicator data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Pancreas Indicator
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M183" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M183" />
  <xsl:template match="@*|node()" priority="-2" mode="M183">
    <xsl:apply-templates select="@*|*" mode="M183" />
  </xsl:template>
  <!--PATTERN p-TS-AODR-Boolean-19-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16670' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@code='101.16670' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entry/   cda:observation[cda:code[@code='102.16652' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entryRelationship/   cda:organizer[cda:code[@code='102.16660' and @codeSystem='1.2.36.1.2001.1001.101']]/   cda:component/cda:observation[cda:code[@code='103.16669' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:value " priority="1000" mode="M184">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16670' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@code='101.16670' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entry/   cda:observation[cda:code[@code='102.16652' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entryRelationship/   cda:organizer[cda:code[@code='102.16660' and @codeSystem='1.2.36.1.2001.1001.101']]/   cda:component/cda:observation[cda:code[@code='103.16669' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:value " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 4.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-01" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-01 else $rating-alt-TC-Types-01 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-01: The Skin Tissue Indicator
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type and
		<xsl:text /><xsl:value-of select="if (@value and @nullFlavor) then concat('has a value attribute with the value ''', @value, ''' and a nullFlavor attribute with the value ''', @nullFlavor, '''')   else if (@value and not(@nullFlavor)) then concat('has a value attribute with the value ''', @value, '''')   else if (not(@value) and @nullFlavor) then concat('has a nullFlavor attribute with the value ''', @nullFlavor, '''')   else 'has no value or nullFlavor attributes' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type or local-name(..) = ('contextConductionInd', 'deceasedInd') or   local-name(.) = ('independentInd', 'interruptibleInd', 'inversionInd', 'mobileInd', 'multipleBirthInd', 'negationInd', 'organDonorInd', 'performInd', 'preAdmitTestInd', 'preferenceInd', 'seperatableInd')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type or local-name(..) = ('contextConductionInd', 'deceasedInd') or local-name(.) = ('independentInd', 'interruptibleInd', 'inversionInd', 'mobileInd', 'multipleBirthInd', 'negationInd', 'organDonorInd', 'performInd', 'preAdmitTestInd', 'preferenceInd', 'seperatableInd'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Types-01: The Skin Tissue Indicator
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type but it does not meet the requirement to have the xsi:type attribute with the value 'BL'.
		(See section 4.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Types-01: According to section 3.15 of the Structured Content Specification the Skin Tissue Indicator

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type which is
		derived from the HL7 'BL' data type however the xsi:type attribute has the value <xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 4.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Types-01: According to section 3.15 of the Structured Content Specification the Skin Tissue Indicator
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type which is derived from the HL7 'BL' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'BL'.
		(See section 4.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.15 of the Structured Content Specification the Skin Tissue Indicator

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Boolean data type.
		The Boolean data type does not have any child elements so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.15 of the Structured Content Specification the Skin Tissue Indicator

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Boolean data type.
		The Boolean data type does not have any child elements so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')] and     not(@xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')] and not(@xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.15 of the Structured Content Specification the Skin Tissue Indicator

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')])" /><xsl:text />' was found that is not expected for the Boolean data type.
		The definition of the Boolean data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')] and     not(@xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')] and not(@xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.15 of the Structured Content Specification the Skin Tissue Indicator

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')])" /><xsl:text />' was found that is not expected for the Boolean data type.
		The definition of the Boolean data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M184" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M184" />
  <xsl:template match="@*|node()" priority="-2" mode="M184">
    <xsl:apply-templates select="@*|*" mode="M184" />
  </xsl:template>
  <!--PATTERN p-TS-AODR-Boolean-20-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16670' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@code='101.16670' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entry/   cda:observation[cda:code[@code='102.16652' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entryRelationship/   cda:organizer[cda:code[@code='102.16660' and @codeSystem='1.2.36.1.2001.1001.101']]/   cda:component/cda:observation[cda:code[@code='103.16669' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:value " priority="1000" mode="M185">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16670' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@code='101.16670' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entry/   cda:observation[cda:code[@code='102.16652' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entryRelationship/   cda:organizer[cda:code[@code='102.16660' and @codeSystem='1.2.36.1.2001.1001.101']]/   cda:component/cda:observation[cda:code[@code='103.16669' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:value " />
    <xsl:variable name="single-word" select="exists(@value)" />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="narr-text-el" select="(for $text in ($target-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="boolean-values" select="if (@value) then $booleans/boolean[@value = current()/@value] else () " />
    <xsl:variable name="text-to-find" select="exists($boolean-values) " />
    <xsl:variable name="text-in-narr" select="($boolean-values/@value-regex and exists($narr-text-el[matches(., $boolean-values/@value-regex, 'is')])) or              ($boolean-values/@syn-regex and exists($narr-text-el[matches(., $boolean-values/@syn-regex, 'is')])) " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')]))  " />
    <xsl:variable name="multimedia" select="exists($target-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-1" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-1 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 1: 
		The word that needs to be found is '<xsl:text /><xsl:value-of select="$text-to-find" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-text-el, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		Was matching text found? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-in-narr or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-in-narr or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-1" /><xsl:text />: TC-Narr-09 step 1: The Skin Tissue Indicator
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' which does not seem to be present in the narrative.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Skin Tissue Indicator data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Skin Tissue Indicator
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M185" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M185" />
  <xsl:template match="@*|node()" priority="-2" mode="M185">
    <xsl:apply-templates select="@*|*" mode="M185" />
  </xsl:template>
  <!--PATTERN p-TS-Arranged-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16021' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16021'] " priority="1000" mode="M186">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16021' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16021'] " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating" select="if ($initial-priority) then $initial-rating else if ($FS-Types-seq/@rating) then concat(' (', $FS-Types-seq/@rating, ')') else '' " />
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and not(/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']) and $extensions-allowed">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']) and $extensions-allowed">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: FS-Types: The Arranged Services section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16021') has been found in a <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. The Arranged Services section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16021') is defined in the digital health specifications but
		although tests have been applied to the data elements the specification of the data elements may have been varied for inclusion in this document
		so further examination may be needed. The rules have been validated for <xsl:text /><xsl:value-of select="normalize-space('Discharge Summary CDA Implementation Guide version 3.4')" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M186" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M186" />
  <xsl:template match="@*|node()" priority="-2" mode="M186">
    <xsl:apply-templates select="@*|*" mode="M186" />
  </xsl:template>
  <!--PATTERN p-TS-Arranged-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16021' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16020']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16021']]/cda:component/cda:section " priority="1000" mode="M187">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16021' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16020']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16021']]/cda:component/cda:section " />
    <xsl:variable name="agency-section" select=" cda:code/@codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="test-step" select=" if (not($extensions-allowed)) then 'step 4'        else if ($agency-section) then 'step 3' else 'step 1' " />
    <xsl:variable name="title-and-code" select=" if (cda:title and cda:code/@code) then concat('title ''', cda:title, ''', code/code ''', cda:code/@code, '''')        else if (cda:title and not(cda:code/@code)) then concat('title ''', cda:title, '''')        else if (not(cda:title) and cda:code/@code) then concat('code/code ''', cda:code/@code, '''')        else '' " />
    <xsl:variable name="other-section-names" select=" if (cda:code/@displayName and not(cda:code/cda:originalText)) then concat(' and code/displayName ''', cda:code/@displayName, '''')         else if (cda:code/@displayName and cda:code/cda:originalText)          then concat(', code/displayName ''', cda:code/@displayName,''' and code/originalText ''', cda:code/cda:originalText, '''')        else if (not(cda:code/@displayName) and cda:code/cda:originalText) then concat(' and code/originalText ''', cda:code/cda:originalText, '''')        else '' " />
    <xsl:variable name="section-names" select="concat($title-and-code, $other-section-names)" />
    <xsl:variable name="doc-code" select="/cda:ClinicalDocument/cda:code" />
    <xsl:variable name="parent-section" select="ancestor::cda:section[position()=1]" />
    <xsl:variable name="custom-section-info" select="($iq-config/custom-sections/section, $knowledge/custom-sections/section)[        @doc-code  = $doc-code/@code          and        @doc-codeSystem  = $doc-code/@codeSystem          and        @parent-code   = $parent-section/cda:code/@code         and         @parent-codeSystem  = $parent-section/cda:code/@codeSystem        and         (@title = current()/cda:title or (@code = current()/cda:code/@code and @codeSystem = current()/cda:code/@codeSystem)) ] " />
    <xsl:variable name="section-disallowed" select="$custom-section-info/@disallowed = 'yes' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and ($section-disallowed or not(exists($custom-section-info)))) then $rating-alt-TC-Doc-28-step-1        else if ($test-step = 'step 1' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections]) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 3') then $rating-TC-Doc-28-step-3 else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and $section-disallowed ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and $section-disallowed">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Arranged Services section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16021') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> which
		is an extension to the information model however the inclusion of this section conflicts with sections defined in the digital health specifications.
		<xsl:text /><xsl:value-of select="$custom-section-info[@disallowed = 'yes']/@reason" /><xsl:text /> (Also see <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not(false()) and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(false()) and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Arranged Services section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16021') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. No subsection is expected so this
		is an extension to the information model. Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the 
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(false()) and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(false()) and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Arranged Services section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16021') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> but no subsections were
		expected so the document fails to meet the requirement that it must not contain additional data elements. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and false() and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and false() and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Arranged Services section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16021') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		none are expected but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the information model.
		Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Arranged Services section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16021') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		none are expected but the inclusion of the section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> fails to meet the requirement that it must not contain additional data elements.
		(See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M187" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M187" />
  <xsl:template match="@*|node()" priority="-2" mode="M187">
    <xsl:apply-templates select="@*|*" mode="M187" />
  </xsl:template>
  <!--PATTERN p-TS-Arranged-CodeableText-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16021' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16020']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16021']]/cda:entry/cda:act/cda:code " priority="1000" mode="M188">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16021' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16020']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16021']]/cda:entry/cda:act/cda:code " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Arranged Service Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and true() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and true() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Arranged Service Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Arranged Service Description',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to section 7.4 of the Discharge Summary Structured Document Template v3.3 the Arranged Service Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to section 7.4 of the Discharge Summary Structured Document Template v3.3 the Arranged Service Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'disallowed' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'disallowed' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 7.4 of the Discharge Summary Structured Document Template v3.3 the Arranged Service Description
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Arranged Service Description however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Arranged Service Description in section 7.4 of the Discharge Summary Structured Document Template v3.3 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'disallowed' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'disallowed' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 7.4 of the Discharge Summary Structured Document Template v3.3 the Arranged Service Description
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Arranged Service Description however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Arranged Service Description in section 7.4 of the Discharge Summary Structured Document Template v3.3 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Arranged Service Description data element must have a value that is consistent with this definition. Alternatively if there is no Arranged Service Description data element with a proper value then an exclusion
		statement must be included to state why there is no Arranged Service Description.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'disallowed' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'disallowed' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 7.4 of the Discharge Summary Structured Document Template v3.3 the Arranged Service Description
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Arranged Service Description however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Arranged Service Description in section 7.4 of the Discharge Summary Structured Document Template v3.3 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'disallowed' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'disallowed' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 7.4 of the Discharge Summary Structured Document Template v3.3 the Arranged Service Description
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Arranged Service Description however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Arranged Service Description in section 7.4 of the Discharge Summary Structured Document Template v3.3 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Arranged Service Description data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'disallowed' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'disallowed' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 7.4 of the Discharge Summary Structured Document Template v3.3 the Arranged Service Description
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Arranged Service Description however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Arranged Service Description in section 7.4 of the Discharge Summary Structured Document Template v3.3 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Arranged Service Description data element must have a value that is consistent with this definition. Alternatively if there is no Arranged Service Description data element with a proper value then an exclusion
		statement must be included to state why there is no Arranged Service Description.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'disallowed' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'disallowed' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 7.4 of the Discharge Summary Structured Document Template v3.3 the Arranged Service Description
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Arranged Service Description however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Arranged Service Description in section 7.4 of the Discharge Summary Structured Document Template v3.3 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Arranged Service Description data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Arranged Service Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 7.4 of the Discharge Summary Structured Document Template v3.3 the Arranged Service Description
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 7.4 of the Discharge Summary Structured Document Template v3.3 the Arranged Service Description
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 7.4 of the Discharge Summary Structured Document Template v3.3 the Arranged Service Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 7.4 of the Discharge Summary Structured Document Template v3.3 the Arranged Service Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 7.4 of the Discharge Summary Structured Document Template v3.3 the Arranged Service Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 7.4 of the Discharge Summary Structured Document Template v3.3 the Arranged Service Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 7.4 of the Discharge Summary Structured Document Template v3.3 the Arranged Service Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 7.4 of the Discharge Summary Structured Document Template v3.3 the Arranged Service Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Arranged Service Description
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 7.4 of the Discharge Summary Structured Document Template v3.3 the Arranged Service Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Arranged Service Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Arranged Service Description.
		(See the definition of Arranged Service Description in section 7.4 of the Discharge Summary Structured Document Template v3.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Arranged Service Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M188" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M188" />
  <xsl:template match="@*|node()" priority="-2" mode="M188">
    <xsl:apply-templates select="@*|*" mode="M188" />
  </xsl:template>
  <!--PATTERN p-TS-Arranged-CodeableText-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16021' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16020']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16021']]/cda:entry/cda:act/cda:code   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M189">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16021' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16020']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16021']]/cda:entry/cda:act/cda:code   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Arranged Service Description '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Arranged Service Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Arranged Service Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Arranged Service Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Arranged Service Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Arranged Service Description has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Arranged Service Description data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Arranged Service Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Arranged Service Description data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Arranged Service Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Arranged Service Description data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Arranged Service Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Arranged Service Description data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Arranged Service Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Arranged Service Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Arranged Service Description data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Arranged Service Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Arranged Service Description data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Arranged Service Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Arranged Service Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Arranged Service Description data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Arranged Service Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Arranged Service Description data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Arranged Service Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Arranged Service Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M189" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M189" />
  <xsl:template match="@*|node()" priority="-2" mode="M189">
    <xsl:apply-templates select="@*|*" mode="M189" />
  </xsl:template>
  <!--PATTERN p-TS-Arranged-TimeInterval-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16021' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16020']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16021']]/cda:entry/cda:act/cda:effectiveTime " priority="1000" mode="M190">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16021' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16020']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16021']]/cda:entry/cda:act/cda:effectiveTime " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text1" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="message-text2" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See sections 8.6 and 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="nullFlavor-values" select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]" />
    <xsl:variable name="low-inclusive" select="if (not(cda:low)) then '' else if (cda:low/@inclusive='false') then ' (excluded)' else ' (included)' " />
    <xsl:variable name="high-inclusive" select="if (not(cda:high)) then '' else if (cda:high/@inclusive='false') then ' (excluded)' else ' (included)' " />
    <xsl:variable name="display-interval" select="if (@value and cda:low/@value and cda:high/@value)         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34), ', low value ', codepoints-to-string(34), cda:low/@value,        codepoints-to-string(34), $low-inclusive, ' and high value ', codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)        else if (@value and cda:low/@value and not(cda:high/@value))         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34), ' and low value ', codepoints-to-string(34), cda:low/@value,        codepoints-to-string(34), $low-inclusive)       else if (@value and not(cda:low/@value) and cda:high/@value)         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34), ' and high value ', codepoints-to-string(34),        cda:high/@value, codepoints-to-string(34), $high-inclusive)       else if (not(@value) and cda:low/@value and cda:high/@value)         then concat('low value ', codepoints-to-string(34), cda:low/@value, codepoints-to-string(34), $low-inclusive, ' and high value ',         codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)       else if (@value and not(cda:low/@value) and not(cda:high/@value))         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34))       else if (not(@value) and cda:low/@value and not(cda:high/@value))         then concat('low value ', codepoints-to-string(34), cda:low/@value, codepoints-to-string(34), $low-inclusive)       else if (not(@value) and not(cda:low/@value) and cda:high/@value)         then concat('high value ', codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)       else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-22" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-22 else $rating-alt-TC-Types-22 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-22: The Service Commencement Window '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type
		and <xsl:text /><xsl:value-of select="if (@value or cda:low/@value or cda:high/@value) then concat('has ', $display-interval)   else 'has no value attribute and no low or high data elements' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@nullFlavor) then concat('The nullFlavor attribute has the value ''', @nullFlavor, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 7.5 of the Discharge Summary Structured Document Template v3.3 the Service Commencement Window '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type.
		It contains a value of nullFlavor 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a value
		may exist, but it must be derived from the information provided. Confirm if the use of this nullFlavor is valid.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'NINF' or @nullFlavor = 'PINF' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'NINF' or @nullFlavor = 'PINF'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 1: According to section 7.5 of the Discharge Summary Structured Document Template v3.3 the Service Commencement Window '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data
		type which is derived from the HL7 'IVL_TS' data type. It has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) which is a
		value of nullFlavor that may not be used for data elements of the IVL data type.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 7.5 of the Discharge Summary Structured Document Template v3.3 the Service Commencement Window '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data
		type however it has nullFlavor = 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include
		nullFlavor = 'UNC'. (See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'QS' or @nullFlavor = 'TRC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'QS' or @nullFlavor = 'TRC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 3: According to section 7.5 of the Discharge Summary Structured Document Template v3.3 the Service Commencement Window '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data
		type which is derived from the HL7 'IVL_TS' data type. It has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) however
		that value of nullFlavor may not be used for data elements of the TS or IVL data types.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to section 7.5 of the Discharge Summary Structured Document Template v3.3 the Service Commencement Window '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type which is
		derived from the HL7 'IVL_TS' data type. The HL7 'TS' data type may also be used for a TimeInterval however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		(See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 3.8.1 of HL7 Version 3 Standard: Data Types - Abstract Specification,
		Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to section 7.5 of the Discharge Summary Structured Document Template v3.3 the Service Commencement Window '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type which is
		derived from the HL7 'IVL_TS' data type. The HL7 'TS' data type may also be used for a TimeInterval however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'IVL_TS' or 'TS'.
		(See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 3.8.1 of HL7 Version 3 Standard: Data Types - Abstract Specification,
		Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not(@nullFlavor or @value or cda:low or cda:high) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor or @value or cda:low or cda:high)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to section 7.5 of the Discharge Summary Structured Document Template v3.3 the Service Commencement Window '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however
		it does not have a nullFlavor or value attribute or low or high elements. A TimeInterval may only contain a nullFlavor or value attribute or low or high elements with the optional
		'inclusive' attribute included in the low or high elements if there is a need to indicate that the low or high boundaries are excluded.
		(See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @value and (cda:low or cda:high) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value and (cda:low or cda:high)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to section 7.5 of the Discharge Summary Structured Document Template v3.3 the Service Commencement Window '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type.
		It has the element '<xsl:text /><xsl:value-of select="local-name(cda:*[local-name() = ('low', 'high')])" /><xsl:text />' which is used for the HL7 'IVL' data type
		but also has a 'value' attribute which is used by the HL7 'TS' data type and is not used by the HL7 'IVL' data type. The data element must either have a 'value' attribute
		or '<xsl:text /><xsl:value-of select="local-name(cda:*[local-name() = ('low', 'high')])" /><xsl:text />' but not both.
		(See section 7.10.9.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and section 3.8.1 of
		HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('low', 'high'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 7.5 of the Discharge Summary Structured Document Template v3.3 the Service Commencement Window
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('low', 'high'))])" /><xsl:text />' was found
		that is not expected for the TimeInterval data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('low', 'high', 'width'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('low', 'high', 'width'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 7.5 of the Discharge Summary Structured Document Template v3.3 the Service Commencement Window
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('low', 'high', 'width'))])" /><xsl:text />' was found
		that is not expected for the TimeInterval data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and cda:width/@value and ((cda:low/@value and not(cda:high/@value)) or (not(cda:low/@value) and cda:high/@value)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and cda:width/@value and ((cda:low/@value and not(cda:high/@value)) or (not(cda:low/@value) and cda:high/@value))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 7.5 of the Discharge Summary Structured Document Template v3.3 the Service Commencement Window
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a width element is also
		present with the value '<xsl:text /><xsl:value-of select="cda:width/@value" /><xsl:text />' and unit '<xsl:text /><xsl:value-of select="cda:width/@unit" /><xsl:text />'.		
		This is an error as the presence of a <xsl:text /><xsl:value-of select="if (cda:low) then 'low' else 'high' " /><xsl:text /> element without a <xsl:text /><xsl:value-of select="if (cda:low) then 'high' else 'low' " /><xsl:text /> element
		means the TimeInterval is unbounded in one direction however the width element implies the interval is bounded. That is the width element is an extension that qualifies the
		time interval whereas an extension is allowed only if it does not qualify or negate the time interval.
		(See the definition of Service Commencement Window in the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text />, section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0
		and <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)
		As the <xsl:text /><xsl:value-of select="if (cda:low) then 'start' else 'end' " /><xsl:text /> of the time interval is known then the Service Commencement Window must also have a
		<xsl:text /><xsl:value-of select="if (cda:low) then ' high' else ' low' " /><xsl:text /> element as the TimeInterval data type uses low and high elements rather than width to define an interval.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and cda:width/@value and not(cda:high/@value or cda:low/@value) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and cda:width/@value and not(cda:high/@value or cda:low/@value)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 7.5 of the Discharge Summary Structured Document Template v3.3 the Service Commencement Window
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a width element is also
		present with the value '<xsl:text /><xsl:value-of select="cda:width/@value" /><xsl:text />' and unit '<xsl:text /><xsl:value-of select="cda:width/@unit" /><xsl:text />'.		
		This is an error as the Service Commencement Window has no low or high elements so the TimeInterval is unbounded however the width element implies the interval is bounded. That is the width element is an
		extension that qualifies the time interval whereas an extension is allowed only if it does not qualify or negate the time interval.
		(See the definition of Service Commencement Window in the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text />, section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0
		and <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)
		The TimeInterval data type uses low and high elements rather than width to define an interval.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(    @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or    @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'  )) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not( @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS' ))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 7.5 of the Discharge Summary Structured Document Template v3.3 the Service Commencement Window '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the TimeInterval data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(    @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or    @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'  )) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not( @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS' ))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 7.5 of the Discharge Summary Structured Document Template v3.3 the Service Commencement Window '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the TimeInterval data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @operator and @operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @operator and @operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 7.5 of the Discharge Summary Structured Document Template v3.3 the Service Commencement Window '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the TimeInterval data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @operator and @operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @operator and @operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 7.5 of the Discharge Summary Structured Document Template v3.3 the Service Commencement Window '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the TimeInterval data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:low/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:low/*">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 7.5 of the Discharge Summary Structured Document Template v3.3 the Service Commencement Window 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(cda:low/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/*">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 7.5 of the Discharge Summary Structured Document Template v3.3 the Service Commencement Window 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(cda:low/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 7.5 of the Discharge Summary Structured Document Template v3.3 the Service Commencement Window 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 7.5 of the Discharge Summary Structured Document Template v3.3 the Service Commencement Window 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:low/@operator and cda:low/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:low/@operator and cda:low/@operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 7.5 of the Discharge Summary Structured Document Template v3.3 the Service Commencement Window 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/@operator and cda:low/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/@operator and cda:low/@operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 7.5 of the Discharge Summary Structured Document Template v3.3 the Service Commencement Window 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:low/cda:originalText) and cda:low/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:low/cda:originalText) and cda:low/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 7.5 of the Discharge Summary Structured Document Template v3.3 the Service Commencement Window 'low' child element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present so
		it is an error to include nullFlavor 'UNC'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:high/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:high/*">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 7.5 of the Discharge Summary Structured Document Template v3.3 the Service Commencement Window 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element '<xsl:text /><xsl:value-of select="local-name(cda:high/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/*">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 7.5 of the Discharge Summary Structured Document Template v3.3 the Service Commencement Window 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element '<xsl:text /><xsl:value-of select="local-name(cda:high/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 7.5 of the Discharge Summary Structured Document Template v3.3 the Service Commencement Window 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 7.5 of the Discharge Summary Structured Document Template v3.3 the Service Commencement Window 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:high/@operator and cda:high/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:high/@operator and cda:high/@operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 7.5 of the Discharge Summary Structured Document Template v3.3 the Service Commencement Window 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/@operator and cda:high/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/@operator and cda:high/@operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 7.5 of the Discharge Summary Structured Document Template v3.3 the Service Commencement Window 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 7.5 of the Discharge Summary Structured Document Template v3.3 the Service Commencement Window 'high' child element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present
		so it is an error to include nullFlavor 'UNC'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 7.5 of the Discharge Summary Structured Document Template v3.3 the Service Commencement Window 'high' child element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present
		so it is an error to include nullFlavor 'UNC'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M190" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M190" />
  <xsl:template match="@*|node()" priority="-2" mode="M190">
    <xsl:apply-templates select="@*|*" mode="M190" />
  </xsl:template>
  <!--PATTERN p-TS-Arranged-TimeInterval-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16021' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16020']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16021']]/cda:entry/cda:act/cda:effectiveTime   [not((cda:low/@value and (number(substring(cda:low/@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(cda:low/@value,1,4)) &gt; number($creation-date-yr) + 130)) or     (cda:high/@value and (number(substring(cda:high/@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(cda:high/@value,1,4)) &gt; number($creation-date-yr) + 130)))] " priority="1000" mode="M191">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16021' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16020']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16021']]/cda:entry/cda:act/cda:effectiveTime   [not((cda:low/@value and (number(substring(cda:low/@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(cda:low/@value,1,4)) &gt; number($creation-date-yr) + 130)) or     (cda:high/@value and (number(substring(cda:high/@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(cda:high/@value,1,4)) &gt; number($creation-date-yr) + 130)))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="fir-narrative" select="translate(normalize-space(lower-case(string($fir-narr-node))), $chars-to-remove, '')" />
    <xsl:variable name="sec-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)        then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]        else () " />
    <xsl:variable name="sec-narr-node" select="$sec-section/cda:text " />
    <xsl:variable name="narr-text-el" select="(for $text in ($fir-narr-node//text(), $sec-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="sec-narrative" select="translate(normalize-space(lower-case(string($sec-narr-node))), $chars-to-remove, '') " />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="narrative" select="concat($target-title, $fir-narrative, $sec-narrative)" />
    <xsl:variable name="narr-elements" select="$fir-narr-node//cda:*[exists(text()[normalize-space() != '']) and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ]  |             $sec-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ] " />
    <xsl:variable name="narr-lower-case" select="for $i in (1 to count($narr-elements)) return lower-case(normalize-space(string-join($narr-elements[$i]/text(), '')))  " />
    <xsl:variable name="dt-narr-elements" select="$narr-lower-case[matches(., $regex-date-type-1, 'i') or matches(., $regex-date-type-2, 'i') or matches(., $regex-date-type-3, 'i')] " />
    <xsl:variable name="narr-elements-start" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-before($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-before($dt-narr-elements[$i], ' -'))        else $dt-narr-elements[$i])[. != ''] " />
    <xsl:variable name="narr-elements-end" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-after($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-after($dt-narr-elements[$i], ' -'))        else '')[. != ''] " />
    <xsl:variable name="narr-dateTimes" select="distinct-values(($narr-elements-start , $narr-elements-end))[. != '(ongoing)'] " />
    <xsl:variable name="l-dt-value" select="if (@value) then @value        else if (cda:low/@value) then cda:low/@value        else '' " />
    <xsl:variable name="l-no-time-zone" select="if (contains($l-dt-value, '+')) then substring-before($l-dt-value, '+')       else if (contains($l-dt-value, '-')) then substring-before($l-dt-value, '-')       else $l-dt-value " />
    <xsl:variable name="l-length" select="string-length($l-no-time-zone) " />
    <xsl:variable name="l-year" select="if ($l-length &gt; 3) then substring($l-no-time-zone,1,4) else '' " />
    <xsl:variable name="l-month-num" select="if ($l-length &gt; 5) then substring($l-no-time-zone,5,2) else '' " />
    <xsl:variable name="l-day" select="if ($l-length &gt; 7 and substring($l-no-time-zone,7,1) = '0') then substring($l-no-time-zone,8,1)       else if ($l-length &gt; 7 and substring($l-no-time-zone,7,1) != '0') then substring($l-no-time-zone,7,2) else '' " />
    <xsl:variable name="l-hour-long" select="if ($l-length &gt; 9) then substring($l-no-time-zone,9,2) else '' " />
    <xsl:variable name="l-hour-short" select="if (substring($l-hour-long, 1, 1) = '0') then substring($l-hour-long, 2, 1) else '' " />
    <xsl:variable name="l-minute" select="if ($l-length &gt; 11) then substring($l-no-time-zone,11,2) else '' " />
    <xsl:variable name="l-second" select="if ($l-length &gt; 13) then substring($l-no-time-zone,13,2) else '' " />
    <xsl:variable name="l-time-zone" select="if (contains($l-dt-value, '+')) then concat('\+', substring-after($l-dt-value, '+'))       else if (contains($l-dt-value, '-')) then concat('\-', substring-after($l-dt-value, '-'))       else '' " />
    <xsl:variable name="l-month-short" select="if ($l-month-num = '01') then 'jan'   else             if ($l-month-num = '02') then 'feb'   else             if ($l-month-num = '03') then 'mar'   else             if ($l-month-num = '04') then 'apr'   else             if ($l-month-num = '05') then 'may'   else             if ($l-month-num = '06') then 'jun'   else             if ($l-month-num = '07') then 'jul'   else             if ($l-month-num = '08') then 'aug'   else             if ($l-month-num = '09') then 'sep'   else             if ($l-month-num = '10') then 'oct'   else             if ($l-month-num = '11') then 'nov'   else             if ($l-month-num = '12') then 'dec'   else '' " />
    <xsl:variable name="l-month-long" select="if ($l-month-num = '01') then 'january'   else             if ($l-month-num = '02') then 'february'  else             if ($l-month-num = '03') then 'march'   else             if ($l-month-num = '04') then 'april'   else             if ($l-month-num = '05') then 'may'   else             if ($l-month-num = '06') then 'june'   else             if ($l-month-num = '07') then 'july'   else             if ($l-month-num = '08') then 'august'   else             if ($l-month-num = '09') then 'september'  else             if ($l-month-num = '10') then 'october'   else             if ($l-month-num = '11') then 'november'  else             if ($l-month-num = '12') then 'december'  else '' " />
    <xsl:variable name="l-date-type-3-day" select="if (string-length($l-day) = 1) then concat('0{0,1}', $l-day) else $l-day " />
    <xsl:variable name="l-date-type-3-month" select="if (string-length($l-month-num) = 1) then concat('0{0,1}', $l-month-num)        else if (substring($l-month-num, 1, 1) = '0') then concat('0{0,1}', substring($l-month-num, 2, 1))         else $l-month-num " />
    <xsl:variable name="l-dt-sequence-1" select="if ($l-length = 4) then (         concat('^', $l-dt-value)        ,          concat('^', $l-year)         )        else if ($l-length = 6) then (         concat('^', $l-dt-value)        ,         concat('^', $l-month-short, $date-sep, $l-year)      ,          concat('^', $l-month-long, $date-sep, $l-year)      )        else if ($l-length &gt; 7) then (         concat('^', $l-dt-value)        ,         concat('^', $l-date-type-3-day, $date-sep, $l-month-short, $date-sep, $l-year)  ,         concat('^', $l-date-type-3-day, $date-sep, $l-month-long, $date-sep, $l-year)  ,         concat('^', $l-date-type-3-day, '/', $l-date-type-3-month, '/', $l-year)  )        else () " />
    <xsl:variable name="l-matching-seq-1" select="if (exists($l-dt-sequence-1))        then index-of(for $i in (1 to count($l-dt-sequence-1)) return exists($narr-dateTimes[matches(., $l-dt-sequence-1[$i], 'i')]), true())        else () " />
    <xsl:variable name="l-dt-stem-1" select="for $i in (1 to count($l-matching-seq-1)) return $l-dt-sequence-1[$l-matching-seq-1[$i]] " />
    <xsl:variable name="l-dt-regex-1" select="if (exists($l-dt-stem-1)) then concat('(', string-join($l-dt-stem-1, '$)|('), '$)') else ()" />
    <xsl:variable name="l-dt-match-1" select="exists($l-dt-stem-1) and exists($narr-dateTimes[matches(., $l-dt-regex-1, 'i')])" />
    <xsl:variable name="l-time-1" select="if ($l-length &gt; 11 and $l-hour-short != '') then concat($l-hour-short, ':', $l-minute, '( *| *am)') else '' " />
    <xsl:variable name="l-time-2" select="if ($l-length &gt; 13 and $l-hour-short != '') then concat($l-hour-short, ':', $l-minute, ':', $l-second, '( *| *am)') else '' " />
    <xsl:variable name="l-time-3" select="if ($l-length &gt; 11 and number($l-hour-long) &lt; 12) then concat($l-hour-long, ':', $l-minute, '( *| *am)')        else if ($l-length &gt; 11) then concat($l-hour-long, ':', $l-minute) else '' " />
    <xsl:variable name="l-time-4" select="if ($l-length &gt; 13 and number($l-hour-long) &lt; 12) then concat($l-hour-long, ':', $l-minute, ':', $l-second, '( *| *am)')        else if ($l-length &gt; 13) then concat($l-hour-long, ':', $l-minute, ':', $l-second) else '' " />
    <xsl:variable name="l-time-5" select="if ($l-length &gt; 11 and number($l-hour-long) &gt; 12) then concat(string(number($l-hour-long) - 12), ':', $l-minute, '( *| *pm)') else '' " />
    <xsl:variable name="l-time-6" select="if ($l-length &gt; 13 and number($l-hour-long) &gt; 12) then concat(string(number($l-hour-long) - 12), ':', $l-minute, ':', $l-second, '( *| *pm)') else '' " />
    <xsl:variable name="l-dt-temp-0" select="if (exists($l-dt-stem-1) and $l-length = 8) then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $narr-time-regex) else () " />
    <xsl:variable name="l-dt-temp-1" select="if (exists($l-dt-stem-1) and $l-time-1 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-1) else () " />
    <xsl:variable name="l-dt-temp-2" select="if (exists($l-dt-stem-1) and $l-time-2 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-2) else () " />
    <xsl:variable name="l-dt-temp-3" select="if (exists($l-dt-stem-1) and $l-time-3 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-3) else () " />
    <xsl:variable name="l-dt-temp-4" select="if (exists($l-dt-stem-1) and $l-time-4 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-4) else () " />
    <xsl:variable name="l-dt-temp-5" select="if (exists($l-dt-stem-1) and $l-time-5 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-5) else () " />
    <xsl:variable name="l-dt-temp-6" select="if (exists($l-dt-stem-1) and $l-time-6 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-6) else () " />
    <xsl:variable name="l-dt-sequence-2" select="($l-dt-temp-0, $l-dt-temp-1, $l-dt-temp-2, $l-dt-temp-3, $l-dt-temp-4, $l-dt-temp-5, $l-dt-temp-6)" />
    <xsl:variable name="l-matching-seq-2" select="if (exists($l-dt-sequence-2))        then index-of(for $i in (1 to count($l-dt-sequence-2)) return exists($narr-dateTimes[matches(., $l-dt-sequence-2[$i], 'i')]), true())        else () " />
    <xsl:variable name="l-dt-stem-2" select="for $i in (1 to count($l-matching-seq-2)) return $l-dt-sequence-2[$l-matching-seq-2[$i]] " />
    <xsl:variable name="l-dt-regex-2" select="if (exists($l-dt-stem-2)) then concat('(', string-join($l-dt-stem-2, '$)|('), '$)') else '' " />
    <xsl:variable name="l-dt-match-2" select="(exists($l-dt-stem-2) and exists($narr-dateTimes[matches(., $l-dt-regex-2, 'i')])) " />
    <xsl:variable name="l-dt-sequence-3" select="if (not($l-dt-match-2) and exists($l-dt-stem-2) and $l-time-zone != '') then for $i in (1 to count($l-dt-stem-2)) return        concat($l-dt-stem-2[$i], substring($l-time-zone, 1, 4), ':?', substring($l-time-zone, 5, 2)) else () " />
    <xsl:variable name="l-dt-regex-3" select="if ($l-dt-match-2) then '' else if (exists($l-dt-sequence-3)) then concat('(', string-join($l-dt-sequence-3, '$)|('), '$)') else '' " />
    <xsl:variable name="l-dt-match-3" select="($l-dt-match-2 or (exists($l-dt-sequence-3) and exists($narr-dateTimes[matches(., $l-dt-regex-3, 'i')]))) " />
    <xsl:variable name="l-narr-match" select="if ($l-dt-value != '' and count($narr-dateTimes) = 0) then      (       contains($narrative, $l-dt-value)                or       (string-length($l-dt-value) = 4 and contains($narrative, $l-year))             or        (string-length($l-dt-value) = 6 and contains($narrative, concat($l-month-short, $l-year)))          or       (string-length($l-dt-value) &gt; 7 and starts-with($l-day, '0') and        (contains($narrative, concat(substring($l-day,2,1), $l-month-short, $l-year)) or         contains($narrative, concat(substring($l-day,2,1), $l-month-num, $l-year))))          or       (string-length($l-dt-value) &gt; 7 and (contains($narrative, concat($l-day, $l-month-short, $l-year)) or contains($narrative, concat($l-day, $l-month-num, $l-year))))        )       else false() " />
    <xsl:variable name="h-dt-value" select="if (cda:high/@value and $l-dt-value != cda:high/@value) then cda:high/@value        else '' " />
    <xsl:variable name="h-no-time-zone" select="if (contains($h-dt-value, '+')) then substring-before($h-dt-value, '+')       else if (contains($h-dt-value, '-')) then substring-before($h-dt-value, '-')       else $h-dt-value " />
    <xsl:variable name="h-length" select="string-length($h-no-time-zone) " />
    <xsl:variable name="h-year" select="if ($h-length &gt; 3) then substring($h-no-time-zone,1,4) else '' " />
    <xsl:variable name="h-month-num" select="if ($h-length &gt; 5) then substring($h-no-time-zone,5,2) else '' " />
    <xsl:variable name="h-day" select="if ($h-length &gt; 7 and substring($h-no-time-zone,7,1) = '0') then substring($h-no-time-zone,8,1)       else if ($h-length &gt; 7 and substring($h-no-time-zone,7,1) != '0') then substring($h-no-time-zone,7,2) else '' " />
    <xsl:variable name="h-hour-long" select="if ($h-length &gt; 9) then substring($h-no-time-zone,9,2) else '' " />
    <xsl:variable name="h-hour-short" select="if (substring($h-hour-long, 1, 1) = '0') then substring($h-hour-long, 2, 1) else '' " />
    <xsl:variable name="h-minute" select="if ($h-length &gt; 11) then substring($h-no-time-zone,11,2) else '' " />
    <xsl:variable name="h-second" select="if ($h-length &gt; 13) then substring($h-no-time-zone,13,2) else '' " />
    <xsl:variable name="h-time-zone" select="if (contains($h-dt-value, '+')) then concat('\+', substring-after($h-dt-value, '+'))       else if (contains($h-dt-value, '-')) then concat('\-', substring-after($h-dt-value, '-'))       else '' " />
    <xsl:variable name="h-month-short" select="if ($h-month-num = '01') then 'jan'   else             if ($h-month-num = '02') then 'feb'   else             if ($h-month-num = '03') then 'mar'   else             if ($h-month-num = '04') then 'apr'   else             if ($h-month-num = '05') then 'may'   else             if ($h-month-num = '06') then 'jun'   else             if ($h-month-num = '07') then 'jul'   else             if ($h-month-num = '08') then 'aug'   else             if ($h-month-num = '09') then 'sep'   else             if ($h-month-num = '10') then 'oct'   else             if ($h-month-num = '11') then 'nov'   else             if ($h-month-num = '12') then 'dec'   else '' " />
    <xsl:variable name="h-month-long" select="if ($h-month-num = '01') then 'january'   else             if ($h-month-num = '02') then 'february'  else             if ($h-month-num = '03') then 'march'   else             if ($h-month-num = '04') then 'april'   else             if ($h-month-num = '05') then 'may'   else             if ($h-month-num = '06') then 'june'   else             if ($h-month-num = '07') then 'july'   else             if ($h-month-num = '08') then 'august'   else             if ($h-month-num = '09') then 'september'  else             if ($h-month-num = '10') then 'october'   else             if ($h-month-num = '11') then 'november'  else             if ($h-month-num = '12') then 'december'  else '' " />
    <xsl:variable name="h-date-type-3-day" select="if (string-length($h-day) = 1) then concat('0{0,1}', $h-day) else $h-day " />
    <xsl:variable name="h-date-type-3-month" select="if (string-length($h-month-num) = 1) then concat('0{0,1}', $h-month-num)        else if (substring($h-month-num, 1, 1) = '0') then concat('0{0,1}', substring($h-month-num, 2, 1))         else $h-month-num " />
    <xsl:variable name="h-dt-sequence-1" select="if ($h-length = 4) then (         concat('^', $h-dt-value)        ,          concat('^', $h-year)         )        else if ($h-length = 6) then (         concat('^', $h-dt-value)        ,         concat('^', $h-month-short, $date-sep, $h-year)      ,          concat('^', $h-month-long, $date-sep, $h-year)      )        else if ($h-length &gt; 7) then (         concat('^', $h-dt-value)        ,         concat('^', $h-date-type-3-day, $date-sep, $h-month-short, $date-sep, $h-year)  ,         concat('^', $h-date-type-3-day, $date-sep, $h-month-long, $date-sep, $h-year)  ,         concat('^', $h-date-type-3-day, '/', $h-date-type-3-month, '/', $h-year)  )        else () " />
    <xsl:variable name="h-matching-seq-1" select="if (exists($h-dt-sequence-1))        then index-of(for $i in (1 to count($h-dt-sequence-1)) return exists($narr-dateTimes[matches(., $h-dt-sequence-1[$i], 'i')]), true())        else () " />
    <xsl:variable name="h-dt-stem-1" select="for $i in (1 to count($h-matching-seq-1)) return $h-dt-sequence-1[$h-matching-seq-1[$i]] " />
    <xsl:variable name="h-dt-regex-1" select="if (exists($h-dt-stem-1)) then concat('(', string-join($h-dt-stem-1, '$)|('), '$)') else ()" />
    <xsl:variable name="h-dt-match-1" select="exists($h-dt-stem-1) and exists($narr-dateTimes[matches(., $h-dt-regex-1, 'i')])" />
    <xsl:variable name="h-time-1" select="if ($h-length &gt; 11 and $h-hour-short != '') then concat($h-hour-short, ':', $h-minute, '( *| *am)') else '' " />
    <xsl:variable name="h-time-2" select="if ($h-length &gt; 13 and $h-hour-short != '') then concat($h-hour-short, ':', $h-minute, ':', $h-second, '( *| *am)') else '' " />
    <xsl:variable name="h-time-3" select="if ($h-length &gt; 11 and number($h-hour-long) &lt; 12) then concat($h-hour-long, ':', $h-minute, '( *| *am)')        else if ($h-length &gt; 11) then concat($h-hour-long, ':', $h-minute) else '' " />
    <xsl:variable name="h-time-4" select="if ($h-length &gt; 13 and number($h-hour-long) &lt; 12) then concat($h-hour-long, ':', $h-minute, ':', $h-second, '( *| *am)')        else if ($h-length &gt; 13) then concat($h-hour-long, ':', $h-minute, ':', $h-second) else '' " />
    <xsl:variable name="h-time-5" select="if ($h-length &gt; 11 and number($h-hour-long) &gt; 12) then concat(string(number($h-hour-long) - 12), ':', $h-minute, '( *| *pm)') else '' " />
    <xsl:variable name="h-time-6" select="if ($h-length &gt; 13 and number($h-hour-long) &gt; 12) then concat(string(number($h-hour-long) - 12), ':', $h-minute, ':', $h-second, '( *| *pm)') else '' " />
    <xsl:variable name="h-dt-temp-0" select="if (exists($h-dt-stem-1) and $h-length = 8) then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $narr-time-regex) else () " />
    <xsl:variable name="h-dt-temp-1" select="if (exists($h-dt-stem-1) and $h-time-1 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-1) else () " />
    <xsl:variable name="h-dt-temp-2" select="if (exists($h-dt-stem-1) and $h-time-2 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-2) else () " />
    <xsl:variable name="h-dt-temp-3" select="if (exists($h-dt-stem-1) and $h-time-3 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-3) else () " />
    <xsl:variable name="h-dt-temp-4" select="if (exists($h-dt-stem-1) and $h-time-4 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-4) else () " />
    <xsl:variable name="h-dt-temp-5" select="if (exists($h-dt-stem-1) and $h-time-5 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-5) else () " />
    <xsl:variable name="h-dt-temp-6" select="if (exists($h-dt-stem-1) and $h-time-6 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-6) else () " />
    <xsl:variable name="h-dt-sequence-2" select="($h-dt-temp-0, $h-dt-temp-1, $h-dt-temp-2, $h-dt-temp-3, $h-dt-temp-4, $h-dt-temp-5, $h-dt-temp-6)" />
    <xsl:variable name="h-matching-seq-2" select="if (exists($h-dt-sequence-2))        then index-of(for $i in (1 to count($h-dt-sequence-2)) return exists($narr-dateTimes[matches(., $h-dt-sequence-2[$i], 'i')]), true())        else () " />
    <xsl:variable name="h-dt-stem-2" select="for $i in (1 to count($h-matching-seq-2)) return $h-dt-sequence-2[$h-matching-seq-2[$i]] " />
    <xsl:variable name="h-dt-regex-2" select="if (exists($h-dt-stem-2)) then concat('(', string-join($h-dt-stem-2, '$)|('), '$)') else '' " />
    <xsl:variable name="h-dt-match-2" select="(exists($h-dt-stem-2) and exists($narr-dateTimes[matches(., $h-dt-regex-2, 'i')])) " />
    <xsl:variable name="h-dt-sequence-3" select="if (not($h-dt-match-2) and exists($h-dt-stem-2) and $h-time-zone != '') then for $i in (1 to count($h-dt-stem-2)) return        concat($h-dt-stem-2[$i], substring($h-time-zone, 1, 4), ':?', substring($h-time-zone, 5, 2)) else () " />
    <xsl:variable name="h-dt-regex-3" select="if ($h-dt-match-2) then '' else if (exists($h-dt-sequence-3)) then concat('(', string-join($h-dt-sequence-3, '$)|('), '$)') else '' " />
    <xsl:variable name="h-dt-match-3" select="($h-dt-match-2 or (exists($h-dt-sequence-3) and exists($narr-dateTimes[matches(., $h-dt-regex-3, 'i')]))) " />
    <xsl:variable name="h-narr-match" select="if ($h-dt-value != '' and count($narr-dateTimes) = 0) then      (       contains($narrative, $h-dt-value)                or       (string-length($h-dt-value) = 4 and contains($narrative, $h-year))             or        (string-length($h-dt-value) = 6 and contains($narrative, concat($h-month-short, $h-year)))          or       (string-length($h-dt-value) &gt; 7 and starts-with($h-day, '0') and        (contains($narrative, concat(substring($h-day,2,1), $h-month-short, $h-year)) or         contains($narrative, concat(substring($h-day,2,1), $h-month-num, $h-year))))          or       (string-length($h-dt-value) &gt; 7 and (contains($narrative, concat($h-day, $h-month-short, $h-year)) or contains($narrative, concat($h-day, $h-month-num, $h-year))))        )       else false() " />
    <xsl:variable name="h-nullFlavor-values" select="if (cda:high/@nullFlavor and cda:high/@nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))        then $nullFlavors/nullFlavor[@value = current()/cda:high/@nullFlavor] else () " />
    <xsl:variable name="h-null-to-find" select="exists($h-nullFlavor-values) " />
    <xsl:variable name="h-null-in-narr" select="($h-nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $h-nullFlavor-values/@name-regex, 'is')])) or              ($h-nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $h-nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="l-nullFlavor-values" select="if (cda:low/@nullFlavor and cda:low/@nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))        then $nullFlavors/nullFlavor[@value = current()/cda:low/@nullFlavor] else () " />
    <xsl:variable name="l-null-to-find" select="exists($l-nullFlavor-values) " />
    <xsl:variable name="l-null-in-narr" select="($l-nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $l-nullFlavor-values/@name-regex, 'is')])) or              ($l-nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $l-nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="l-dt-name" select="if ($l-dt-value = cda:low/@value) then ' low' else '' " />
    <xsl:variable name="l-dt-msg" select="if ($l-dt-value = cda:low/@value) then ' This date/time is the low boundary of a time interval.' else '' " />
    <xsl:variable name="h-dt-msg" select="if ($h-dt-value = cda:high/@value) then ' This date/time is the high boundary of a time interval.' else '' " />
    <xsl:variable name="l-null-msg" select="if ($l-dt-value = cda:low/@value) then ' This nullFlavor value is for the low boundary of a time interval.' else '' " />
    <xsl:variable name="h-null-msg" select="if ($h-dt-value = cda:high/@value) then ' This nullFlavor value is for the high boundary of a time interval.' else '' " />
    <xsl:variable name="multimedia" select="exists($fir-narr-node//cda:renderMultiMedia) or exists($sec-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($fir-narr-node//cda:linkHtml) or exists($sec-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="l-warning-1" select="exists($l-dt-sequence-1) and exists($narr-dateTimes) and $l-dt-match-1 and not($l-dt-match-3) and $l-dt-value != '' " />
    <xsl:variable name="l-error-1" select="$l-warning-1 and not($multimedia) " />
    <xsl:variable name="l-warning-2" select="exists($l-dt-sequence-1) and exists($narr-dateTimes) and not($l-dt-match-1 or $l-dt-match-3) and $l-dt-value != '' " />
    <xsl:variable name="l-error-2a" select="$l-warning-2 and not($multimedia) and $l-time-zone != '' and count($narr-dateTimes) =        count(for $dt in $narr-dateTimes return replace(replace($dt, $regex-date-type-1, ''), $regex-date-type-2, '')       [matches(., concat('^\s*([0-9]{1,2}:{1}[0-9]{2}\s*', substring($l-time-zone, 1, 4), ':?', substring($l-time-zone, 5, 2),         '|[0-9]{1,2}:{1}[0-9]{2}:{1}[0-9]{2}\s*', substring($l-time-zone, 1, 4), ':?', substring($l-time-zone, 5, 2), ')\s*$'), 'i')]) " />
    <xsl:variable name="l-error-2b" select="$l-warning-2 and not($l-dt-match-1) and not($multimedia) and count($narr-dateTimes[matches(., $regex-date-type-2, 'i')]) =        count($narr-dateTimes[matches(., concat($regex-date-type-2, ' ', $narr-time-regex, '$'), 'i')]) " />
    <xsl:variable name="l-error-2c" select="$l-warning-2 and exists($narr-dateTimes[matches(., concat('^', $l-year, '$'))]) " />
    <xsl:variable name="l-error-2" select="$l-error-2a or $l-error-2b or $l-error-2c " />
    <xsl:variable name="l-warning-3" select="$l-dt-value != '' and not(exists($narr-dateTimes)) and not($l-narr-match) " />
    <xsl:variable name="l-error-3" select="$l-warning-3 and not($multimedia) and not(contains($narrative, substring($l-year, 3,2)))" />
    <xsl:variable name="h-warning-1" select="exists($h-dt-sequence-1) and exists($narr-dateTimes) and $h-dt-match-1 and not($h-dt-match-3) and $h-dt-value != '' " />
    <xsl:variable name="h-error-1" select="$h-warning-1 and not($multimedia) " />
    <xsl:variable name="h-warning-2" select="exists($h-dt-sequence-1) and exists($narr-dateTimes) and not($h-dt-match-1 or $h-dt-match-3) and $h-dt-value != '' " />
    <xsl:variable name="h-error-2a" select="$h-warning-2 and not($multimedia) and $h-time-zone != '' and count($narr-dateTimes) =        count(for $dt in $narr-dateTimes return replace(replace($dt, $regex-date-type-1, ''), $regex-date-type-2, '')       [matches(., concat('^\s*([0-9]{1,2}:{1}[0-9]{2}\s*', substring($h-time-zone, 1, 4), ':?', substring($h-time-zone, 5, 2),         '|[0-9]{1,2}:{1}[0-9]{2}:{1}[0-9]{2}\s*', substring($h-time-zone, 1, 4), ':?', substring($h-time-zone, 5, 2), ')\s*$'), 'i')]) " />
    <xsl:variable name="h-error-2b" select="$h-warning-2 and not($h-dt-match-1) and not($multimedia) and count($narr-dateTimes[matches(., $regex-date-type-2, 'i')]) =        count($narr-dateTimes[matches(., concat($regex-date-type-2, ' ', $narr-time-regex, '$'), 'i')]) " />
    <xsl:variable name="h-error-2c" select="$l-warning-2 and exists($narr-dateTimes[matches(., concat('^', $h-year, '$'))]) " />
    <xsl:variable name="h-error-2" select="$h-error-2a or $h-error-2b or $h-error-2c " />
    <xsl:variable name="h-warning-3" select="$h-dt-value != '' and not(exists($narr-dateTimes)) and not($h-narr-match) " />
    <xsl:variable name="h-error-3" select="$h-warning-3 and not($multimedia) and not(contains($narrative, substring($h-year, 3,2))) " />
    <xsl:variable name="narr-dt-msg" select="if ($multimedia or $no-content) then ''       else if (not(exists($narr-dateTimes))) then concat(' The narrative of the ', iq:location(., ''), ' contains no dateTime elements.')       else if (count($narr-dateTimes) = 1) then concat(' The only dateTime element in the narrative of the ', iq:location(., ''), ' is ''',         dh:XQueryRecursiveReplace($narr-dateTimes[1], '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), '''.')       else concat(' The distinct dateTime elements in the narrative of the ', iq:location(., ''), ' are ''',         string-join(for $dt in $narr-dateTimes return          dh:XQueryRecursiveReplace($dt, '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), ', '), '''.') " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-4" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-4 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and exists($l-dt-sequence-1) and $l-dt-value != '' and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and exists($l-dt-sequence-1) and $l-dt-value != '' and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 4: The dateTime element in the structured data is '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'.<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text />
		The number of dateTime elements that have been extracted from the narrative is '<xsl:text /><xsl:value-of select="count($narr-dateTimes)" /><xsl:text />'.
		These are '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-dateTimes, ', '), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The initial regular expressions are '<xsl:text /><xsl:value-of select="string-join($l-dt-sequence-1, ', ')" /><xsl:text />'.
		The three regular expressions used to perform an exact match for narrative dateTime elements are as follows:
		l-dt-regex-1='<xsl:text /><xsl:value-of select="$l-dt-regex-1" /><xsl:text />'; l-dt-regex-2='<xsl:text /><xsl:value-of select="$l-dt-regex-2" /><xsl:text />'; and l-dt-regex-3='<xsl:text /><xsl:value-of select="$l-dt-regex-3" /><xsl:text />'.
		Was a match found after the first regular expression was created? <xsl:text /><xsl:value-of select="$l-dt-match-1" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($l-dt-regex-2 = '') then 'The second regular expression was not applied as there is no time information.'    else concat('Was a match found after the second regular expression (with a date and time) was created? ', $l-dt-match-2, '.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($l-dt-regex-3 = '') then 'The third regular expression was not applied as there is no timezone information.'    else concat('Was a match found after the third regular expression (with a date and time) was created? ', $l-dt-match-3, '.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and exists($h-dt-sequence-1) and $h-dt-value != '' and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and exists($h-dt-sequence-1) and $h-dt-value != '' and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 4: The dateTime element in the structured data is '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'.<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text />
		The number of dateTime elements that have been extracted from the narrative is '<xsl:text /><xsl:value-of select="count($narr-dateTimes)" /><xsl:text />'.
		These are '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-dateTimes, ', '), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The initial regular expressions are '<xsl:text /><xsl:value-of select="string-join($h-dt-sequence-1, ', ')" /><xsl:text />'.
		The three regular expressions used to perform an exact match for narrative dateTime elements are as follows:
		h-dt-regex-1='<xsl:text /><xsl:value-of select="$h-dt-regex-1" /><xsl:text />'; h-dt-regex-2='<xsl:text /><xsl:value-of select="$h-dt-regex-2" /><xsl:text />'; and h-dt-regex-3='<xsl:text /><xsl:value-of select="$h-dt-regex-3" /><xsl:text />'.
		Was a match found after the first regular expression was created? <xsl:text /><xsl:value-of select="$h-dt-match-1" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($h-dt-regex-2 = '') then 'The second regular expression was not applied as there is no time information.'    else concat('Was a match found after the second regular expression (with a date and time) was created? ', $h-dt-match-2, '.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($h-dt-regex-3 = '') then 'The third regular expression was not applied as there is no timezone information.'    else concat('Was a match found after the third regular expression (with a date and time) was created? ', $h-dt-match-3, '.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $l-warning-1 and not($l-error-1 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $l-warning-1 and not($l-error-1 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Commencement Window '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /> Although the date was found in the narrative the Service Commencement Window data element must contain the time.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Service Commencement Window data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $l-error-1 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $l-error-1 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Commencement Window '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /> Although the date was found in the narrative the Service Commencement Window data element must contain the time.
		The Service Commencement Window data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $l-error-1 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $l-error-1 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Commencement Window '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /> Although the date was found in the narrative the Service Commencement Window data element must contain the time.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-warning-2 and not($l-error-2 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-warning-2 and not($l-error-2 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Commencement Window '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Service Commencement Window data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-error-2 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-error-2 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Commencement Window '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($l-error-2c) then concat('The narrative contains a date with the same year ''', $l-year, ''' but without a month or day.') else '' " /><xsl:text />
		The Service Commencement Window data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-error-2 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-error-2 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Commencement Window '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($l-error-2c) then concat('The narrative contains a date with the same year ''', $l-year, ''' but without a month or day.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $l-dt-value != '' and not($l-narr-match or $l-null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $l-dt-value != '' and not($l-narr-match or $l-null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Commencement Window '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $l-dt-value != '' and not($l-narr-match or $l-null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $l-dt-value != '' and not($l-narr-match or $l-null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Commencement Window '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Service Commencement Window data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $h-warning-1 and not($h-error-1 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $h-warning-1 and not($h-error-1 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Commencement Window '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /> Although the date was found in the narrative the Service Commencement Window data element must contain the time.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Service Commencement Window data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $h-error-1 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $h-error-1 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Commencement Window '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /> Although the date was found in the narrative the Service Commencement Window data element must contain the time.
		The Service Commencement Window data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $h-error-1 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $h-error-1 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Commencement Window '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /> Although the date was found in the narrative the Service Commencement Window data element must contain the time.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-warning-2 and not($h-error-2 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-warning-2 and not($h-error-2 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Commencement Window '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Service Commencement Window data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-error-2 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-error-2 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Commencement Window '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($h-error-2c) then concat('The narrative contains a date with the same year ''', $h-year, ''' but without a month or day.') else '' " /><xsl:text />
		The Service Commencement Window data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-error-2 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-error-2 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Commencement Window '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($h-error-2c) then concat('The narrative contains a date with the same year ''', $h-year, ''' but without a month or day.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-warning-3 and not($l-error-3 or $no-content)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-warning-3 and not($l-error-3 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Commencement Window '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not seem to be present in the narrative of the section.<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Service Commencement Window data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-error-3 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-error-3 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Commencement Window '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Service Commencement Window data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else ' All clinical information in entry elements must be present in the narrative.'" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-error-3 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-error-3 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Commencement Window '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-warning-3 and not($h-error-3 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-warning-3 and not($h-error-3 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Commencement Window '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not seem to be present in the narrative of the section.<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Service Commencement Window data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-error-3 and not($no-content) and true()  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-error-3 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Commencement Window '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text />
		The Service Commencement Window data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-error-3 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-error-3 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Commencement Window '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $h-dt-value != '' and not($h-narr-match or $h-null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $h-dt-value != '' and not($h-narr-match or $h-null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Commencement Window '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $h-dt-value != '' and not($h-narr-match or $h-null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $h-dt-value != '' and not($h-narr-match or $h-null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Commencement Window '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Service Commencement Window data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-null-to-find and not($l-null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-null-to-find and not($l-null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Service Commencement Window '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="cda:low/@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$l-nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($l-nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.<xsl:text /><xsl:value-of select="$l-null-msg" /><xsl:text /> If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-null-to-find and not($h-null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-null-to-find and not($h-null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Service Commencement Window '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="cda:high/@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$h-nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($h-nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.<xsl:text /><xsl:value-of select="$h-null-msg" /><xsl:text />
		If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M191" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M191" />
  <xsl:template match="@*|node()" priority="-2" mode="M191">
    <xsl:apply-templates select="@*|*" mode="M191" />
  </xsl:template>
  <!--PATTERN p-TS-Diag-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.20117' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117'] " priority="1000" mode="M192">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.20117' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117'] " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating" select="if ($initial-priority) then $initial-rating else if ($FS-Types-seq/@rating) then concat(' (', $FS-Types-seq/@rating, ')') else '' " />
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and not( /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4'] or        /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2'] or        /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3'] or        /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')]) and $extensions-allowed">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not( /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4'] or /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2'] or /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3'] or /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')]) and $extensions-allowed">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: FS-Types: The Diagnostic Investigations section (codeSystem '1.2.36.1.2001.1001.101' and code '101.20117') has been found in a <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. The Diagnostic Investigations section (codeSystem '1.2.36.1.2001.1001.101' and code '101.20117') is defined in the digital health specifications but
		although tests have been applied to the data elements the specification of the data elements may have been varied for inclusion in this document
		so further examination may be needed. The rules have been validated for <xsl:text /><xsl:value-of select="normalize-space(' Discharge Summary CDA Implementation Guide version 3.4;         eReferral CDA Implementation Guide version 2.2;         Specialist Letter CDA Implementation Guide version 1.3; and         Event Summary CDA Implementation Guide version 1.2 and 1.3')" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M192" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M192" />
  <xsl:template match="@*|node()" priority="-2" mode="M192">
    <xsl:apply-templates select="@*|*" mode="M192" />
  </xsl:template>
  <!--PATTERN p-TS-Diag-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.20117' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/cda:section[cda:code        [not(@code='102.16029' or @code='102.16144' or @code='102.16145' or @code='102.20158')]] " priority="1000" mode="M193">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.20117' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/cda:section[cda:code        [not(@code='102.16029' or @code='102.16144' or @code='102.16145' or @code='102.20158')]] " />
    <xsl:variable name="agency-section" select=" cda:code/@codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="test-step" select=" if (not($extensions-allowed)) then 'step 4'        else if ($agency-section) then 'step 3' else 'step 1' " />
    <xsl:variable name="title-and-code" select=" if (cda:title and cda:code/@code) then concat('title ''', cda:title, ''', code/code ''', cda:code/@code, '''')        else if (cda:title and not(cda:code/@code)) then concat('title ''', cda:title, '''')        else if (not(cda:title) and cda:code/@code) then concat('code/code ''', cda:code/@code, '''')        else '' " />
    <xsl:variable name="other-section-names" select=" if (cda:code/@displayName and not(cda:code/cda:originalText)) then concat(' and code/displayName ''', cda:code/@displayName, '''')         else if (cda:code/@displayName and cda:code/cda:originalText)          then concat(', code/displayName ''', cda:code/@displayName,''' and code/originalText ''', cda:code/cda:originalText, '''')        else if (not(cda:code/@displayName) and cda:code/cda:originalText) then concat(' and code/originalText ''', cda:code/cda:originalText, '''')        else '' " />
    <xsl:variable name="section-names" select="concat($title-and-code, $other-section-names)" />
    <xsl:variable name="doc-code" select="/cda:ClinicalDocument/cda:code" />
    <xsl:variable name="parent-section" select="ancestor::cda:section[position()=1]" />
    <xsl:variable name="custom-section-info" select="($iq-config/custom-sections/section, $knowledge/custom-sections/section)[        @doc-code  = $doc-code/@code          and        @doc-codeSystem  = $doc-code/@codeSystem          and        @parent-code   = $parent-section/cda:code/@code         and         @parent-codeSystem  = $parent-section/cda:code/@codeSystem        and         (@title = current()/cda:title or (@code = current()/cda:code/@code and @codeSystem = current()/cda:code/@codeSystem)) ] " />
    <xsl:variable name="section-disallowed" select="$custom-section-info/@disallowed = 'yes' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and ($section-disallowed or not(exists($custom-section-info)))) then $rating-alt-TC-Doc-28-step-1        else if ($test-step = 'step 1' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections]) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 3') then $rating-TC-Doc-28-step-3 else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and $section-disallowed ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and $section-disallowed">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Diagnostic Investigations section (codeSystem '1.2.36.1.2001.1001.101' and code '101.20117') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> which
		is an extension to the information model however the inclusion of this section conflicts with sections defined in the digital health specifications.
		<xsl:text /><xsl:value-of select="$custom-section-info[@disallowed = 'yes']/@reason" /><xsl:text /> (Also see <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not(true()) and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(true()) and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Diagnostic Investigations section (codeSystem '1.2.36.1.2001.1001.101' and code '101.20117') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. No subsection is expected so this
		is an extension to the information model. Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the 
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(true()) and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(true()) and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Diagnostic Investigations section (codeSystem '1.2.36.1.2001.1001.101' and code '101.20117') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> but no subsections were
		expected so the document fails to meet the requirement that it must not contain additional data elements. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and true() and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and true() and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Diagnostic Investigations section (codeSystem '1.2.36.1.2001.1001.101' and code '101.20117') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		code '102.16029', code '102.16144', code '102.16145' and code '102.20158' are expected but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the information model.
		Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Diagnostic Investigations section (codeSystem '1.2.36.1.2001.1001.101' and code '101.20117') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		code '102.16029', code '102.16144', code '102.16145' and code '102.20158' are expected but the inclusion of the section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> fails to meet the requirement that it must not contain additional data elements.
		(See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M193" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M193" />
  <xsl:template match="@*|node()" priority="-2" mode="M193">
    <xsl:apply-templates select="@*|*" mode="M193" />
  </xsl:template>
  <!--PATTERN p-TS-Diag-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.20117' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']][cda:entry] " priority="1000" mode="M194">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.20117' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']][cda:entry] " />
    <xsl:variable name="test-step" select=" if (not($extensions-allowed)) then 'step 4' else 'step 1' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Diagnostic Investigations section (codeSystem '1.2.36.1.2001.1001.101' and code '101.20117') has an entry element but no entry elements were expected so this is an extension
		to the information model. Confirm if the entry element meets the requirement that extensions must not qualify or negate any of the 
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Diagnostic Investigations section (codeSystem '1.2.36.1.2001.1001.101' and code '101.20117') has an entry element but no entry elements were expected so the document fails to meet the
		requirement that it must not contain additional data elements. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M194" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M194" />
  <xsl:template match="@*|node()" priority="-2" mode="M194">
    <xsl:apply-templates select="@*|*" mode="M194" />
  </xsl:template>
  <!--PATTERN p-TS-DiagImaging-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16945' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16945'] " priority="1000" mode="M195">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16945' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16945'] " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating" select="if ($initial-priority) then $initial-rating else if ($FS-Types-seq/@rating) then concat(' (', $FS-Types-seq/@rating, ')') else '' " />
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and not(/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.222' and @extension = '1.0']) and $extensions-allowed">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.222' and @extension = '1.0']) and $extensions-allowed">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: FS-Types: The Diagnostic Imaging section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16945') has been found in a <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. The Diagnostic Imaging section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16945') is defined in the digital health specifications but
		although tests have been applied to the data elements the specification of the data elements may have been varied for inclusion in this document
		so further examination may be needed. The rules have been validated for <xsl:text /><xsl:value-of select="normalize-space('Diagnostic Imaging Report CDA Implementation Guide version 1.0')" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M195" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M195" />
  <xsl:template match="@*|node()" priority="-2" mode="M195">
    <xsl:apply-templates select="@*|*" mode="M195" />
  </xsl:template>
  <!--PATTERN p-TS-DiagImaging-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16945' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16945']]/cda:component/cda:section[cda:code[not(@code='102.16145')]] " priority="1000" mode="M196">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16945' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16945']]/cda:component/cda:section[cda:code[not(@code='102.16145')]] " />
    <xsl:variable name="agency-section" select=" cda:code/@codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="test-step" select=" if (not($extensions-allowed)) then 'step 4'        else if ($agency-section) then 'step 3' else 'step 1' " />
    <xsl:variable name="title-and-code" select=" if (cda:title and cda:code/@code) then concat('title ''', cda:title, ''', code/code ''', cda:code/@code, '''')        else if (cda:title and not(cda:code/@code)) then concat('title ''', cda:title, '''')        else if (not(cda:title) and cda:code/@code) then concat('code/code ''', cda:code/@code, '''')        else '' " />
    <xsl:variable name="other-section-names" select=" if (cda:code/@displayName and not(cda:code/cda:originalText)) then concat(' and code/displayName ''', cda:code/@displayName, '''')         else if (cda:code/@displayName and cda:code/cda:originalText)          then concat(', code/displayName ''', cda:code/@displayName,''' and code/originalText ''', cda:code/cda:originalText, '''')        else if (not(cda:code/@displayName) and cda:code/cda:originalText) then concat(' and code/originalText ''', cda:code/cda:originalText, '''')        else '' " />
    <xsl:variable name="section-names" select="concat($title-and-code, $other-section-names)" />
    <xsl:variable name="doc-code" select="/cda:ClinicalDocument/cda:code" />
    <xsl:variable name="parent-section" select="ancestor::cda:section[position()=1]" />
    <xsl:variable name="custom-section-info" select="($iq-config/custom-sections/section, $knowledge/custom-sections/section)[        @doc-code  = $doc-code/@code          and        @doc-codeSystem  = $doc-code/@codeSystem          and        @parent-code   = $parent-section/cda:code/@code         and         @parent-codeSystem  = $parent-section/cda:code/@codeSystem        and         (@title = current()/cda:title or (@code = current()/cda:code/@code and @codeSystem = current()/cda:code/@codeSystem)) ] " />
    <xsl:variable name="section-disallowed" select="$custom-section-info/@disallowed = 'yes' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and ($section-disallowed or not(exists($custom-section-info)))) then $rating-alt-TC-Doc-28-step-1        else if ($test-step = 'step 1' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections]) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 3') then $rating-TC-Doc-28-step-3 else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and $section-disallowed ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and $section-disallowed">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Diagnostic Imaging section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16945') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> which
		is an extension to the information model however the inclusion of this section conflicts with sections defined in the digital health specifications.
		<xsl:text /><xsl:value-of select="$custom-section-info[@disallowed = 'yes']/@reason" /><xsl:text /> (Also see <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not(true()) and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(true()) and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Diagnostic Imaging section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16945') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. No subsection is expected so this
		is an extension to the information model. Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the 
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(true()) and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(true()) and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Diagnostic Imaging section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16945') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> but no subsections were
		expected so the document fails to meet the requirement that it must not contain additional data elements. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and true() and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and true() and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Diagnostic Imaging section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16945') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		code '102.16145' are expected but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the information model.
		Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Diagnostic Imaging section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16945') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		code '102.16145' are expected but the inclusion of the section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> fails to meet the requirement that it must not contain additional data elements.
		(See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M196" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M196" />
  <xsl:template match="@*|node()" priority="-2" mode="M196">
    <xsl:apply-templates select="@*|*" mode="M196" />
  </xsl:template>
  <!--PATTERN p-TS-DiagImaging-CodeableText-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16945' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16945']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16971']]/   cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.20104']]/cda:value " priority="1000" mode="M197">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16945' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16945']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16971']]/   cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.20104']]/cda:value " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Report Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and true() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and true() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Report Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Report Status',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Report Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Report Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'disallowed' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'disallowed' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Report Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Report Status however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Report Status in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'disallowed' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'disallowed' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Report Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Report Status however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Report Status in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Report Status data element must have a value that is consistent with this definition. Alternatively if there is no Report Status data element with a proper value then an exclusion
		statement must be included to state why there is no Report Status.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'disallowed' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'disallowed' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Report Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Report Status however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Report Status in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'disallowed' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'disallowed' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Report Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Report Status however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Report Status in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Report Status data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'disallowed' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'disallowed' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Report Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Report Status however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Report Status in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Report Status data element must have a value that is consistent with this definition. Alternatively if there is no Report Status data element with a proper value then an exclusion
		statement must be included to state why there is no Report Status.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'disallowed' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'disallowed' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Report Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Report Status however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Report Status in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Report Status data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Report Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Report Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Report Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Report Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Report Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Report Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Report Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Report Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Report Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Report Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Report Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Report Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Report Status.
		(See the definition of Report Status in the Structured Content Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Report Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M197" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M197" />
  <xsl:template match="@*|node()" priority="-2" mode="M197">
    <xsl:apply-templates select="@*|*" mode="M197" />
  </xsl:template>
  <!--PATTERN p-TS-DiagImaging-CodeableText-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16945' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16945']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16971']]/   cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.20104']]/   cda:value[(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M198">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16945' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16945']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16971']]/   cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.20104']]/   cda:value[(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Report Status '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Report Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Report Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Report Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Report Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Report Status has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Report Status data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Report Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Report Status data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Report Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Report Status data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Report Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Report Status data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Report Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Report Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Report Status data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Report Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Report Status data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Report Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Report Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Report Status data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Report Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Report Status data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Report Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Report Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M198" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M198" />
  <xsl:template match="@*|node()" priority="-2" mode="M198">
    <xsl:apply-templates select="@*|*" mode="M198" />
  </xsl:template>
  <!--PATTERN p-TS-DiagImaging-CodeableText-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flags/@report-data = 'true' and '101.16945' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16945']]/cda:entry/cda:act/cda:reference[@typeCode] " priority="1000" mode="M199">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flags/@report-data = 'true' and '101.16945' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16945']]/cda:entry/cda:act/cda:reference[@typeCode] " />
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data = 'true' and @typeCode ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data = 'true' and @typeCode">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Related Document Link Role '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and is mapped to the typeCode attribute which has the value '<xsl:text /><xsl:value-of select="@typeCode" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M199" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M199" />
  <xsl:template match="@*|node()" priority="-2" mode="M199">
    <xsl:apply-templates select="@*|*" mode="M199" />
  </xsl:template>
  <!--PATTERN p-TS-DiagImaging-CodedText-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16945' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16945']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16971']]/cda:reference/cda:externalDocument/cda:code  " priority="1000" mode="M200">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16945' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16945']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16971']]/cda:reference/cda:externalDocument/cda:code  " />
    <xsl:variable name="tc-types-49-err" select="@nullFlavor = ('PINF', 'NINF', 'QS', 'TRC') or (@nullFlavor='UNC' and (not(cda:originalText) or normalize-space(cda:originalText) = '')) " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="family-err" select="cda:originalText and matches(cda:originalText, $family-regex, 'i')" />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; 200" />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and @code != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used with the Clinical Package Validator to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used with the Clinical Package Validator to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the primary code.') " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-06-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-06-step-2 else $rating-alt-TC-Types-06-step-2 " />
    <xsl:variable name="rating-07-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-1 else $rating-alt-TC-Types-07-step-1 " />
    <xsl:variable name="rating-07-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-2 else $rating-alt-TC-Types-07-step-2 " />
    <xsl:variable name="rating-08" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-08 else $rating-alt-TC-Types-08 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-07: The Document Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data
		type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to section 2.23 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Document Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which is derived from the HL7 'CD' data type however xsi:type '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to section 2.23 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Document Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:translation">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:translation">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to section 2.23 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Document Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'translation' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value
		domain, with no exceptions. A translation translates the value into a code from another code systems, so translations are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:qualifier">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:qualifier">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to section 2.23 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Document Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'qualifier' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value domain,
		with no exceptions. A qualifier constrains the value, so qualifiers are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Document Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.23 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Document Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.23 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Document Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.23 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Document Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present and is not expected
		for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.23 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Document Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />'
		is present and is not expected for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-terminology-concepts = 'true' and not(true() or false() or $family-err or $length-err) and    not(@nullFlavor) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and not(true() or false() or $family-err or $length-err) and not(@nullFlavor)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (value domain not specified): The Document Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The CodedText data type has the requirement that values must come from the specified bound value domain with no exceptions but a value domain has not been specified for the
		Document Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Document Type',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="false() and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != '2.16.840.1.113883.6.1'))  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != '2.16.840.1.113883.6.1'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-06-step-2" /><xsl:text />: TC-Types-06 step 2: According to section 2.23 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Document Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. The
		CodedText data type has the requirement that values must come from the bound value domain with no exceptions. Therefore the value of the codeSystem attribute must be a publicly available
		code system. The Document Type data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide states the code system is 'NS' (not stated) with the requirement 'When national standard code sets become
		available, they SHALL be used'. The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> which is after the national standard code set became available
		for use on the <xsl:text /><xsl:value-of select="''" /><xsl:text />. The code system that must be used is
		<xsl:text /><xsl:value-of select="if ('2.16.840.1.113883.6.1' = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName, ' (ConceptId ''', 'none', ''')')   else concat('2.16.840.1.113883.6.1', ' (', $code-systems/system[@codeSystem = '2.16.840.1.113883.6.1']/@codeSystemName, ')')" /><xsl:text /><xsl:text /><xsl:value-of select="if (not(@codeSystem)) then '.'    else if (@codeSystemName) then concat(' however codeSystem ''', @codeSystem, ''' (', @codeSystemName, ') is present.')   else concat(' however a codeSystem attribute with the value ''', @codeSystem, ''' is present.') " /><xsl:text />
		(See section 1.8 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide, <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 7.1.1.3 of the Diagnostic Imaging Report CDA Implementation Guide v1.0 for the
		information about the value domain.)
		<xsl:text /><xsl:value-of select="if ('none' = '11000036103') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName,     ' are Allergic reaction (''419076005''), Medication side-effect (''401207004'') and Drug interaction (''79899007'').')    else if ('none' = '15071000036100') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName,     ' are Prescribed (''105681000036100''), Suspended (''385655000'') and Unchanged (''105701000036103'').')    else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'OTH' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'OTH'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to section 2.23 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Document Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore it is not valid for the data element to have nullFlavor 'OTH' to indicate that the
		actual value is not a member of the set of permitted data values in the constrained value domain. 
		(See the requirements for Document Type and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.23 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Document Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type<xsl:text /><xsl:value-of select="if (not(false())) then '.' else   concat(' and section 7.1.1.3 of the Diagnostic Imaging Report CDA Implementation Guide v1.0 states the vocabulary is ''', '2.16.840.1.113883.6.1', ''' (', $code-systems/system[@codeSystem = '2.16.840.1.113883.6.1']/@codeSystemName, ').') " /><xsl:text />
		The CodedText data type has
		the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor attribute
		to indicate there is no value, however a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) is present and is not one of the nullFlavor values that indicate there is no value.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@nullFlavor or @code) and not(false() and not(@nullFlavor) and not(@codeSystem)) and cda:originalText ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor or @code) and not(false() and not(@nullFlavor) and not(@codeSystem)) and cda:originalText">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to section 2.23 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Document Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor
		attribute to indicate there is no value. The only information found in the data element is originalText '<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />'.
		(See the requirements for Document Type and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)
		<xsl:text /><xsl:value-of select="if (local-name(.) = 'jobClassCode') then concat('Consider using the METeOR 314867 ''Employment type'' code system (codeSystem ''2.16.840.1.113883.3.879.314867'') which has ',   'codes for ''Permanent'', ''Fixed term contract'', ''Casual'' and ''Not stated/inadequately described''; or the  METeOR 691891 ''Full-time/part-time status'' code system ',   '(codeSystem ''2.16.840.1.113883.3.879.691891'') which has codes for ''Full-time'', ''Part-time'' and ''Not stated/inadequately described''. ',   '(See the the METeOR 314867 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/314867 and the METeOR 691891 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/691891.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="true() and @codeSystem and @codeSystem != '2.16.840.1.113883.6.1' and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and @codeSystem and @codeSystem != '2.16.840.1.113883.6.1' and not(false())">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to section 2.23 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Document Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and section 7.1.1.3 of the Diagnostic Imaging Report CDA Implementation Guide v1.0 states the vocabulary is
		<xsl:text /><xsl:value-of select="if ('2.16.840.1.113883.6.1' = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName, ' (ConceptId ''', 'none', ''').')   else concat('2.16.840.1.113883.6.1', ' (', $code-systems/system[@codeSystem = '2.16.840.1.113883.6.1']/@codeSystemName, ').')" /><xsl:text />
		The CodedText data type has the requirement that values must come from the bound value domain with no exceptions.
		Therefore the value of codeSystem must be '2.16.840.1.113883.6.1' but codeSystem '<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />' (<xsl:text /><xsl:value-of select="@codeSystemName" /><xsl:text />) is present.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="true() and '2.16.840.1.113883.6.1' = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and    not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version,    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@refSet) = 'CodeFound') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and '2.16.840.1.113883.6.1' = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version, $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@refSet) = 'CodeFound')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to section 2.23 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Document Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. The applicable value domain is the SNOMED CT-AU
		<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName" /><xsl:text />
		(Concept ID: 'none'). The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the code is not a member of the value domain.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 7.1.1.3 of the Diagnostic Imaging Report CDA Implementation Guide v1.0 for the information about the value domain.)<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-08" /><xsl:text />: TC-Types-08: According to section 2.23 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Document Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. It has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> but has neither an originalText nor a displayName
		so it fails to conform to the requirement 'In accordance with the requirement to completely represent section contents, values of CodedText or CodeableText data elements defined in
		the SCS SHALL include an originalText or a displayName component (or both)'.
		(See Appendix A of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 6.1 and 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090
		Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and not(cda:originalText) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and not(cda:originalText) and not(true())">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Document Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is
		not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. (See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M200" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M200" />
  <xsl:template match="@*|node()" priority="-2" mode="M200">
    <xsl:apply-templates select="@*|*" mode="M200" />
  </xsl:template>
  <!--PATTERN p-TS-DiagImaging-TimeInterval-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16945' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16945']]/cda:entry/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16971']]/   cda:effectiveTime " priority="1000" mode="M201">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16945' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16945']]/cda:entry/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16971']]/   cda:effectiveTime " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text1" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="message-text2" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See sections 8.6 and 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="nullFlavor-values" select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]" />
    <xsl:variable name="low-inclusive" select="if (not(cda:low)) then '' else if (cda:low/@inclusive='false') then ' (excluded)' else ' (included)' " />
    <xsl:variable name="high-inclusive" select="if (not(cda:high)) then '' else if (cda:high/@inclusive='false') then ' (excluded)' else ' (included)' " />
    <xsl:variable name="display-interval" select="if (@value and cda:low/@value and cda:high/@value)         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34), ', low value ', codepoints-to-string(34), cda:low/@value,        codepoints-to-string(34), $low-inclusive, ' and high value ', codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)        else if (@value and cda:low/@value and not(cda:high/@value))         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34), ' and low value ', codepoints-to-string(34), cda:low/@value,        codepoints-to-string(34), $low-inclusive)       else if (@value and not(cda:low/@value) and cda:high/@value)         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34), ' and high value ', codepoints-to-string(34),        cda:high/@value, codepoints-to-string(34), $high-inclusive)       else if (not(@value) and cda:low/@value and cda:high/@value)         then concat('low value ', codepoints-to-string(34), cda:low/@value, codepoints-to-string(34), $low-inclusive, ' and high value ',         codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)       else if (@value and not(cda:low/@value) and not(cda:high/@value))         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34))       else if (not(@value) and cda:low/@value and not(cda:high/@value))         then concat('low value ', codepoints-to-string(34), cda:low/@value, codepoints-to-string(34), $low-inclusive)       else if (not(@value) and not(cda:low/@value) and cda:high/@value)         then concat('high value ', codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)       else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-22" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-22 else $rating-alt-TC-Types-22 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-22: The Report DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type
		and <xsl:text /><xsl:value-of select="if (@value or cda:low/@value or cda:high/@value) then concat('has ', $display-interval)   else 'has no value attribute and no low or high data elements' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@nullFlavor) then concat('The nullFlavor attribute has the value ''', @nullFlavor, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.26 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Report DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type.
		It contains a value of nullFlavor 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a value
		may exist, but it must be derived from the information provided. Confirm if the use of this nullFlavor is valid.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'NINF' or @nullFlavor = 'PINF' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'NINF' or @nullFlavor = 'PINF'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 1: According to section 2.26 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Report DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data
		type which is derived from the HL7 'IVL_TS' data type. It has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) which is a
		value of nullFlavor that may not be used for data elements of the IVL data type.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 2.26 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Report DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data
		type however it has nullFlavor = 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include
		nullFlavor = 'UNC'. (See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'QS' or @nullFlavor = 'TRC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'QS' or @nullFlavor = 'TRC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 3: According to section 2.26 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Report DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data
		type which is derived from the HL7 'IVL_TS' data type. It has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) however
		that value of nullFlavor may not be used for data elements of the TS or IVL data types.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to section 2.26 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Report DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type which is
		derived from the HL7 'IVL_TS' data type. The HL7 'TS' data type may also be used for a TimeInterval however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		(See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 3.8.1 of HL7 Version 3 Standard: Data Types - Abstract Specification,
		Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to section 2.26 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Report DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type which is
		derived from the HL7 'IVL_TS' data type. The HL7 'TS' data type may also be used for a TimeInterval however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'IVL_TS' or 'TS'.
		(See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 3.8.1 of HL7 Version 3 Standard: Data Types - Abstract Specification,
		Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not(@nullFlavor or @value or cda:low or cda:high) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor or @value or cda:low or cda:high)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to section 2.26 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Report DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however
		it does not have a nullFlavor or value attribute or low or high elements. A TimeInterval may only contain a nullFlavor or value attribute or low or high elements with the optional
		'inclusive' attribute included in the low or high elements if there is a need to indicate that the low or high boundaries are excluded.
		(See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @value and (cda:low or cda:high) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value and (cda:low or cda:high)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to section 2.26 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Report DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type.
		It has the element '<xsl:text /><xsl:value-of select="local-name(cda:*[local-name() = ('low', 'high')])" /><xsl:text />' which is used for the HL7 'IVL' data type
		but also has a 'value' attribute which is used by the HL7 'TS' data type and is not used by the HL7 'IVL' data type. The data element must either have a 'value' attribute
		or '<xsl:text /><xsl:value-of select="local-name(cda:*[local-name() = ('low', 'high')])" /><xsl:text />' but not both.
		(See section 7.10.9.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and section 3.8.1 of
		HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('low', 'high'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.26 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Report DateTime
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('low', 'high'))])" /><xsl:text />' was found
		that is not expected for the TimeInterval data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('low', 'high', 'width'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('low', 'high', 'width'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.26 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Report DateTime
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('low', 'high', 'width'))])" /><xsl:text />' was found
		that is not expected for the TimeInterval data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and cda:width/@value and ((cda:low/@value and not(cda:high/@value)) or (not(cda:low/@value) and cda:high/@value)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and cda:width/@value and ((cda:low/@value and not(cda:high/@value)) or (not(cda:low/@value) and cda:high/@value))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.26 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Report DateTime
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a width element is also
		present with the value '<xsl:text /><xsl:value-of select="cda:width/@value" /><xsl:text />' and unit '<xsl:text /><xsl:value-of select="cda:width/@unit" /><xsl:text />'.		
		This is an error as the presence of a <xsl:text /><xsl:value-of select="if (cda:low) then 'low' else 'high' " /><xsl:text /> element without a <xsl:text /><xsl:value-of select="if (cda:low) then 'high' else 'low' " /><xsl:text /> element
		means the TimeInterval is unbounded in one direction however the width element implies the interval is bounded. That is the width element is an extension that qualifies the
		time interval whereas an extension is allowed only if it does not qualify or negate the time interval.
		(See the definition of Report DateTime in the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text />, section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0
		and <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)
		As the <xsl:text /><xsl:value-of select="if (cda:low) then 'start' else 'end' " /><xsl:text /> of the time interval is known then the Report DateTime must also have a
		<xsl:text /><xsl:value-of select="if (cda:low) then ' high' else ' low' " /><xsl:text /> element as the TimeInterval data type uses low and high elements rather than width to define an interval.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and cda:width/@value and not(cda:high/@value or cda:low/@value) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and cda:width/@value and not(cda:high/@value or cda:low/@value)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.26 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Report DateTime
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a width element is also
		present with the value '<xsl:text /><xsl:value-of select="cda:width/@value" /><xsl:text />' and unit '<xsl:text /><xsl:value-of select="cda:width/@unit" /><xsl:text />'.		
		This is an error as the Report DateTime has no low or high elements so the TimeInterval is unbounded however the width element implies the interval is bounded. That is the width element is an
		extension that qualifies the time interval whereas an extension is allowed only if it does not qualify or negate the time interval.
		(See the definition of Report DateTime in the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text />, section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0
		and <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)
		The TimeInterval data type uses low and high elements rather than width to define an interval.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(    @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or    @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'  )) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not( @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS' ))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.26 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Report DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the TimeInterval data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(    @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or    @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'  )) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not( @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS' ))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.26 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Report DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the TimeInterval data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @operator and @operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @operator and @operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.26 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Report DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the TimeInterval data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @operator and @operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @operator and @operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.26 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Report DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the TimeInterval data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:low/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:low/*">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.26 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Report DateTime 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(cda:low/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/*">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.26 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Report DateTime 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(cda:low/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.26 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Report DateTime 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.26 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Report DateTime 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:low/@operator and cda:low/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:low/@operator and cda:low/@operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.26 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Report DateTime 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/@operator and cda:low/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/@operator and cda:low/@operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.26 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Report DateTime 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:low/cda:originalText) and cda:low/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:low/cda:originalText) and cda:low/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 2.26 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Report DateTime 'low' child element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present so
		it is an error to include nullFlavor 'UNC'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:high/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:high/*">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.26 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Report DateTime 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element '<xsl:text /><xsl:value-of select="local-name(cda:high/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/*">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.26 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Report DateTime 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element '<xsl:text /><xsl:value-of select="local-name(cda:high/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.26 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Report DateTime 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.26 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Report DateTime 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:high/@operator and cda:high/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:high/@operator and cda:high/@operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.26 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Report DateTime 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/@operator and cda:high/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/@operator and cda:high/@operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.26 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Report DateTime 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 2.26 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Report DateTime 'high' child element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present
		so it is an error to include nullFlavor 'UNC'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 2.26 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Report DateTime 'high' child element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present
		so it is an error to include nullFlavor 'UNC'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M201" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M201" />
  <xsl:template match="@*|node()" priority="-2" mode="M201">
    <xsl:apply-templates select="@*|*" mode="M201" />
  </xsl:template>
  <!--PATTERN p-TS-DiagImaging-TimeInterval-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16945' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16945']]/cda:entry/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16971']]/   cda:effectiveTime   [not((cda:low/@value and (number(substring(cda:low/@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(cda:low/@value,1,4)) &gt; number($creation-date-yr) + 130)) or     (cda:high/@value and (number(substring(cda:high/@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(cda:high/@value,1,4)) &gt; number($creation-date-yr) + 130)))] " priority="1000" mode="M202">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16945' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16945']]/cda:entry/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16971']]/   cda:effectiveTime   [not((cda:low/@value and (number(substring(cda:low/@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(cda:low/@value,1,4)) &gt; number($creation-date-yr) + 130)) or     (cda:high/@value and (number(substring(cda:high/@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(cda:high/@value,1,4)) &gt; number($creation-date-yr) + 130)))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="fir-narrative" select="translate(normalize-space(lower-case(string($fir-narr-node))), $chars-to-remove, '')" />
    <xsl:variable name="sec-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)        then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]        else () " />
    <xsl:variable name="sec-narr-node" select="$sec-section/cda:text " />
    <xsl:variable name="narr-text-el" select="(for $text in ($fir-narr-node//text(), $sec-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="sec-narrative" select="translate(normalize-space(lower-case(string($sec-narr-node))), $chars-to-remove, '') " />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="narrative" select="concat($target-title, $fir-narrative, $sec-narrative)" />
    <xsl:variable name="narr-elements" select="$fir-narr-node//cda:*[exists(text()[normalize-space() != '']) and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ]  |             $sec-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ] " />
    <xsl:variable name="narr-lower-case" select="for $i in (1 to count($narr-elements)) return lower-case(normalize-space(string-join($narr-elements[$i]/text(), '')))  " />
    <xsl:variable name="dt-narr-elements" select="$narr-lower-case[matches(., $regex-date-type-1, 'i') or matches(., $regex-date-type-2, 'i') or matches(., $regex-date-type-3, 'i')] " />
    <xsl:variable name="narr-elements-start" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-before($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-before($dt-narr-elements[$i], ' -'))        else $dt-narr-elements[$i])[. != ''] " />
    <xsl:variable name="narr-elements-end" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-after($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-after($dt-narr-elements[$i], ' -'))        else '')[. != ''] " />
    <xsl:variable name="narr-dateTimes" select="distinct-values(($narr-elements-start , $narr-elements-end))[. != '(ongoing)'] " />
    <xsl:variable name="l-dt-value" select="if (@value) then @value        else if (cda:low/@value) then cda:low/@value        else '' " />
    <xsl:variable name="l-no-time-zone" select="if (contains($l-dt-value, '+')) then substring-before($l-dt-value, '+')       else if (contains($l-dt-value, '-')) then substring-before($l-dt-value, '-')       else $l-dt-value " />
    <xsl:variable name="l-length" select="string-length($l-no-time-zone) " />
    <xsl:variable name="l-year" select="if ($l-length &gt; 3) then substring($l-no-time-zone,1,4) else '' " />
    <xsl:variable name="l-month-num" select="if ($l-length &gt; 5) then substring($l-no-time-zone,5,2) else '' " />
    <xsl:variable name="l-day" select="if ($l-length &gt; 7 and substring($l-no-time-zone,7,1) = '0') then substring($l-no-time-zone,8,1)       else if ($l-length &gt; 7 and substring($l-no-time-zone,7,1) != '0') then substring($l-no-time-zone,7,2) else '' " />
    <xsl:variable name="l-hour-long" select="if ($l-length &gt; 9) then substring($l-no-time-zone,9,2) else '' " />
    <xsl:variable name="l-hour-short" select="if (substring($l-hour-long, 1, 1) = '0') then substring($l-hour-long, 2, 1) else '' " />
    <xsl:variable name="l-minute" select="if ($l-length &gt; 11) then substring($l-no-time-zone,11,2) else '' " />
    <xsl:variable name="l-second" select="if ($l-length &gt; 13) then substring($l-no-time-zone,13,2) else '' " />
    <xsl:variable name="l-time-zone" select="if (contains($l-dt-value, '+')) then concat('\+', substring-after($l-dt-value, '+'))       else if (contains($l-dt-value, '-')) then concat('\-', substring-after($l-dt-value, '-'))       else '' " />
    <xsl:variable name="l-month-short" select="if ($l-month-num = '01') then 'jan'   else             if ($l-month-num = '02') then 'feb'   else             if ($l-month-num = '03') then 'mar'   else             if ($l-month-num = '04') then 'apr'   else             if ($l-month-num = '05') then 'may'   else             if ($l-month-num = '06') then 'jun'   else             if ($l-month-num = '07') then 'jul'   else             if ($l-month-num = '08') then 'aug'   else             if ($l-month-num = '09') then 'sep'   else             if ($l-month-num = '10') then 'oct'   else             if ($l-month-num = '11') then 'nov'   else             if ($l-month-num = '12') then 'dec'   else '' " />
    <xsl:variable name="l-month-long" select="if ($l-month-num = '01') then 'january'   else             if ($l-month-num = '02') then 'february'  else             if ($l-month-num = '03') then 'march'   else             if ($l-month-num = '04') then 'april'   else             if ($l-month-num = '05') then 'may'   else             if ($l-month-num = '06') then 'june'   else             if ($l-month-num = '07') then 'july'   else             if ($l-month-num = '08') then 'august'   else             if ($l-month-num = '09') then 'september'  else             if ($l-month-num = '10') then 'october'   else             if ($l-month-num = '11') then 'november'  else             if ($l-month-num = '12') then 'december'  else '' " />
    <xsl:variable name="l-date-type-3-day" select="if (string-length($l-day) = 1) then concat('0{0,1}', $l-day) else $l-day " />
    <xsl:variable name="l-date-type-3-month" select="if (string-length($l-month-num) = 1) then concat('0{0,1}', $l-month-num)        else if (substring($l-month-num, 1, 1) = '0') then concat('0{0,1}', substring($l-month-num, 2, 1))         else $l-month-num " />
    <xsl:variable name="l-dt-sequence-1" select="if ($l-length = 4) then (         concat('^', $l-dt-value)        ,          concat('^', $l-year)         )        else if ($l-length = 6) then (         concat('^', $l-dt-value)        ,         concat('^', $l-month-short, $date-sep, $l-year)      ,          concat('^', $l-month-long, $date-sep, $l-year)      )        else if ($l-length &gt; 7) then (         concat('^', $l-dt-value)        ,         concat('^', $l-date-type-3-day, $date-sep, $l-month-short, $date-sep, $l-year)  ,         concat('^', $l-date-type-3-day, $date-sep, $l-month-long, $date-sep, $l-year)  ,         concat('^', $l-date-type-3-day, '/', $l-date-type-3-month, '/', $l-year)  )        else () " />
    <xsl:variable name="l-matching-seq-1" select="if (exists($l-dt-sequence-1))        then index-of(for $i in (1 to count($l-dt-sequence-1)) return exists($narr-dateTimes[matches(., $l-dt-sequence-1[$i], 'i')]), true())        else () " />
    <xsl:variable name="l-dt-stem-1" select="for $i in (1 to count($l-matching-seq-1)) return $l-dt-sequence-1[$l-matching-seq-1[$i]] " />
    <xsl:variable name="l-dt-regex-1" select="if (exists($l-dt-stem-1)) then concat('(', string-join($l-dt-stem-1, '$)|('), '$)') else ()" />
    <xsl:variable name="l-dt-match-1" select="exists($l-dt-stem-1) and exists($narr-dateTimes[matches(., $l-dt-regex-1, 'i')])" />
    <xsl:variable name="l-time-1" select="if ($l-length &gt; 11 and $l-hour-short != '') then concat($l-hour-short, ':', $l-minute, '( *| *am)') else '' " />
    <xsl:variable name="l-time-2" select="if ($l-length &gt; 13 and $l-hour-short != '') then concat($l-hour-short, ':', $l-minute, ':', $l-second, '( *| *am)') else '' " />
    <xsl:variable name="l-time-3" select="if ($l-length &gt; 11 and number($l-hour-long) &lt; 12) then concat($l-hour-long, ':', $l-minute, '( *| *am)')        else if ($l-length &gt; 11) then concat($l-hour-long, ':', $l-minute) else '' " />
    <xsl:variable name="l-time-4" select="if ($l-length &gt; 13 and number($l-hour-long) &lt; 12) then concat($l-hour-long, ':', $l-minute, ':', $l-second, '( *| *am)')        else if ($l-length &gt; 13) then concat($l-hour-long, ':', $l-minute, ':', $l-second) else '' " />
    <xsl:variable name="l-time-5" select="if ($l-length &gt; 11 and number($l-hour-long) &gt; 12) then concat(string(number($l-hour-long) - 12), ':', $l-minute, '( *| *pm)') else '' " />
    <xsl:variable name="l-time-6" select="if ($l-length &gt; 13 and number($l-hour-long) &gt; 12) then concat(string(number($l-hour-long) - 12), ':', $l-minute, ':', $l-second, '( *| *pm)') else '' " />
    <xsl:variable name="l-dt-temp-0" select="if (exists($l-dt-stem-1) and $l-length = 8) then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $narr-time-regex) else () " />
    <xsl:variable name="l-dt-temp-1" select="if (exists($l-dt-stem-1) and $l-time-1 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-1) else () " />
    <xsl:variable name="l-dt-temp-2" select="if (exists($l-dt-stem-1) and $l-time-2 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-2) else () " />
    <xsl:variable name="l-dt-temp-3" select="if (exists($l-dt-stem-1) and $l-time-3 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-3) else () " />
    <xsl:variable name="l-dt-temp-4" select="if (exists($l-dt-stem-1) and $l-time-4 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-4) else () " />
    <xsl:variable name="l-dt-temp-5" select="if (exists($l-dt-stem-1) and $l-time-5 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-5) else () " />
    <xsl:variable name="l-dt-temp-6" select="if (exists($l-dt-stem-1) and $l-time-6 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-6) else () " />
    <xsl:variable name="l-dt-sequence-2" select="($l-dt-temp-0, $l-dt-temp-1, $l-dt-temp-2, $l-dt-temp-3, $l-dt-temp-4, $l-dt-temp-5, $l-dt-temp-6)" />
    <xsl:variable name="l-matching-seq-2" select="if (exists($l-dt-sequence-2))        then index-of(for $i in (1 to count($l-dt-sequence-2)) return exists($narr-dateTimes[matches(., $l-dt-sequence-2[$i], 'i')]), true())        else () " />
    <xsl:variable name="l-dt-stem-2" select="for $i in (1 to count($l-matching-seq-2)) return $l-dt-sequence-2[$l-matching-seq-2[$i]] " />
    <xsl:variable name="l-dt-regex-2" select="if (exists($l-dt-stem-2)) then concat('(', string-join($l-dt-stem-2, '$)|('), '$)') else '' " />
    <xsl:variable name="l-dt-match-2" select="(exists($l-dt-stem-2) and exists($narr-dateTimes[matches(., $l-dt-regex-2, 'i')])) " />
    <xsl:variable name="l-dt-sequence-3" select="if (not($l-dt-match-2) and exists($l-dt-stem-2) and $l-time-zone != '') then for $i in (1 to count($l-dt-stem-2)) return        concat($l-dt-stem-2[$i], substring($l-time-zone, 1, 4), ':?', substring($l-time-zone, 5, 2)) else () " />
    <xsl:variable name="l-dt-regex-3" select="if ($l-dt-match-2) then '' else if (exists($l-dt-sequence-3)) then concat('(', string-join($l-dt-sequence-3, '$)|('), '$)') else '' " />
    <xsl:variable name="l-dt-match-3" select="($l-dt-match-2 or (exists($l-dt-sequence-3) and exists($narr-dateTimes[matches(., $l-dt-regex-3, 'i')]))) " />
    <xsl:variable name="l-narr-match" select="if ($l-dt-value != '' and count($narr-dateTimes) = 0) then      (       contains($narrative, $l-dt-value)                or       (string-length($l-dt-value) = 4 and contains($narrative, $l-year))             or        (string-length($l-dt-value) = 6 and contains($narrative, concat($l-month-short, $l-year)))          or       (string-length($l-dt-value) &gt; 7 and starts-with($l-day, '0') and        (contains($narrative, concat(substring($l-day,2,1), $l-month-short, $l-year)) or         contains($narrative, concat(substring($l-day,2,1), $l-month-num, $l-year))))          or       (string-length($l-dt-value) &gt; 7 and (contains($narrative, concat($l-day, $l-month-short, $l-year)) or contains($narrative, concat($l-day, $l-month-num, $l-year))))        )       else false() " />
    <xsl:variable name="h-dt-value" select="if (cda:high/@value and $l-dt-value != cda:high/@value) then cda:high/@value        else '' " />
    <xsl:variable name="h-no-time-zone" select="if (contains($h-dt-value, '+')) then substring-before($h-dt-value, '+')       else if (contains($h-dt-value, '-')) then substring-before($h-dt-value, '-')       else $h-dt-value " />
    <xsl:variable name="h-length" select="string-length($h-no-time-zone) " />
    <xsl:variable name="h-year" select="if ($h-length &gt; 3) then substring($h-no-time-zone,1,4) else '' " />
    <xsl:variable name="h-month-num" select="if ($h-length &gt; 5) then substring($h-no-time-zone,5,2) else '' " />
    <xsl:variable name="h-day" select="if ($h-length &gt; 7 and substring($h-no-time-zone,7,1) = '0') then substring($h-no-time-zone,8,1)       else if ($h-length &gt; 7 and substring($h-no-time-zone,7,1) != '0') then substring($h-no-time-zone,7,2) else '' " />
    <xsl:variable name="h-hour-long" select="if ($h-length &gt; 9) then substring($h-no-time-zone,9,2) else '' " />
    <xsl:variable name="h-hour-short" select="if (substring($h-hour-long, 1, 1) = '0') then substring($h-hour-long, 2, 1) else '' " />
    <xsl:variable name="h-minute" select="if ($h-length &gt; 11) then substring($h-no-time-zone,11,2) else '' " />
    <xsl:variable name="h-second" select="if ($h-length &gt; 13) then substring($h-no-time-zone,13,2) else '' " />
    <xsl:variable name="h-time-zone" select="if (contains($h-dt-value, '+')) then concat('\+', substring-after($h-dt-value, '+'))       else if (contains($h-dt-value, '-')) then concat('\-', substring-after($h-dt-value, '-'))       else '' " />
    <xsl:variable name="h-month-short" select="if ($h-month-num = '01') then 'jan'   else             if ($h-month-num = '02') then 'feb'   else             if ($h-month-num = '03') then 'mar'   else             if ($h-month-num = '04') then 'apr'   else             if ($h-month-num = '05') then 'may'   else             if ($h-month-num = '06') then 'jun'   else             if ($h-month-num = '07') then 'jul'   else             if ($h-month-num = '08') then 'aug'   else             if ($h-month-num = '09') then 'sep'   else             if ($h-month-num = '10') then 'oct'   else             if ($h-month-num = '11') then 'nov'   else             if ($h-month-num = '12') then 'dec'   else '' " />
    <xsl:variable name="h-month-long" select="if ($h-month-num = '01') then 'january'   else             if ($h-month-num = '02') then 'february'  else             if ($h-month-num = '03') then 'march'   else             if ($h-month-num = '04') then 'april'   else             if ($h-month-num = '05') then 'may'   else             if ($h-month-num = '06') then 'june'   else             if ($h-month-num = '07') then 'july'   else             if ($h-month-num = '08') then 'august'   else             if ($h-month-num = '09') then 'september'  else             if ($h-month-num = '10') then 'october'   else             if ($h-month-num = '11') then 'november'  else             if ($h-month-num = '12') then 'december'  else '' " />
    <xsl:variable name="h-date-type-3-day" select="if (string-length($h-day) = 1) then concat('0{0,1}', $h-day) else $h-day " />
    <xsl:variable name="h-date-type-3-month" select="if (string-length($h-month-num) = 1) then concat('0{0,1}', $h-month-num)        else if (substring($h-month-num, 1, 1) = '0') then concat('0{0,1}', substring($h-month-num, 2, 1))         else $h-month-num " />
    <xsl:variable name="h-dt-sequence-1" select="if ($h-length = 4) then (         concat('^', $h-dt-value)        ,          concat('^', $h-year)         )        else if ($h-length = 6) then (         concat('^', $h-dt-value)        ,         concat('^', $h-month-short, $date-sep, $h-year)      ,          concat('^', $h-month-long, $date-sep, $h-year)      )        else if ($h-length &gt; 7) then (         concat('^', $h-dt-value)        ,         concat('^', $h-date-type-3-day, $date-sep, $h-month-short, $date-sep, $h-year)  ,         concat('^', $h-date-type-3-day, $date-sep, $h-month-long, $date-sep, $h-year)  ,         concat('^', $h-date-type-3-day, '/', $h-date-type-3-month, '/', $h-year)  )        else () " />
    <xsl:variable name="h-matching-seq-1" select="if (exists($h-dt-sequence-1))        then index-of(for $i in (1 to count($h-dt-sequence-1)) return exists($narr-dateTimes[matches(., $h-dt-sequence-1[$i], 'i')]), true())        else () " />
    <xsl:variable name="h-dt-stem-1" select="for $i in (1 to count($h-matching-seq-1)) return $h-dt-sequence-1[$h-matching-seq-1[$i]] " />
    <xsl:variable name="h-dt-regex-1" select="if (exists($h-dt-stem-1)) then concat('(', string-join($h-dt-stem-1, '$)|('), '$)') else ()" />
    <xsl:variable name="h-dt-match-1" select="exists($h-dt-stem-1) and exists($narr-dateTimes[matches(., $h-dt-regex-1, 'i')])" />
    <xsl:variable name="h-time-1" select="if ($h-length &gt; 11 and $h-hour-short != '') then concat($h-hour-short, ':', $h-minute, '( *| *am)') else '' " />
    <xsl:variable name="h-time-2" select="if ($h-length &gt; 13 and $h-hour-short != '') then concat($h-hour-short, ':', $h-minute, ':', $h-second, '( *| *am)') else '' " />
    <xsl:variable name="h-time-3" select="if ($h-length &gt; 11 and number($h-hour-long) &lt; 12) then concat($h-hour-long, ':', $h-minute, '( *| *am)')        else if ($h-length &gt; 11) then concat($h-hour-long, ':', $h-minute) else '' " />
    <xsl:variable name="h-time-4" select="if ($h-length &gt; 13 and number($h-hour-long) &lt; 12) then concat($h-hour-long, ':', $h-minute, ':', $h-second, '( *| *am)')        else if ($h-length &gt; 13) then concat($h-hour-long, ':', $h-minute, ':', $h-second) else '' " />
    <xsl:variable name="h-time-5" select="if ($h-length &gt; 11 and number($h-hour-long) &gt; 12) then concat(string(number($h-hour-long) - 12), ':', $h-minute, '( *| *pm)') else '' " />
    <xsl:variable name="h-time-6" select="if ($h-length &gt; 13 and number($h-hour-long) &gt; 12) then concat(string(number($h-hour-long) - 12), ':', $h-minute, ':', $h-second, '( *| *pm)') else '' " />
    <xsl:variable name="h-dt-temp-0" select="if (exists($h-dt-stem-1) and $h-length = 8) then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $narr-time-regex) else () " />
    <xsl:variable name="h-dt-temp-1" select="if (exists($h-dt-stem-1) and $h-time-1 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-1) else () " />
    <xsl:variable name="h-dt-temp-2" select="if (exists($h-dt-stem-1) and $h-time-2 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-2) else () " />
    <xsl:variable name="h-dt-temp-3" select="if (exists($h-dt-stem-1) and $h-time-3 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-3) else () " />
    <xsl:variable name="h-dt-temp-4" select="if (exists($h-dt-stem-1) and $h-time-4 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-4) else () " />
    <xsl:variable name="h-dt-temp-5" select="if (exists($h-dt-stem-1) and $h-time-5 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-5) else () " />
    <xsl:variable name="h-dt-temp-6" select="if (exists($h-dt-stem-1) and $h-time-6 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-6) else () " />
    <xsl:variable name="h-dt-sequence-2" select="($h-dt-temp-0, $h-dt-temp-1, $h-dt-temp-2, $h-dt-temp-3, $h-dt-temp-4, $h-dt-temp-5, $h-dt-temp-6)" />
    <xsl:variable name="h-matching-seq-2" select="if (exists($h-dt-sequence-2))        then index-of(for $i in (1 to count($h-dt-sequence-2)) return exists($narr-dateTimes[matches(., $h-dt-sequence-2[$i], 'i')]), true())        else () " />
    <xsl:variable name="h-dt-stem-2" select="for $i in (1 to count($h-matching-seq-2)) return $h-dt-sequence-2[$h-matching-seq-2[$i]] " />
    <xsl:variable name="h-dt-regex-2" select="if (exists($h-dt-stem-2)) then concat('(', string-join($h-dt-stem-2, '$)|('), '$)') else '' " />
    <xsl:variable name="h-dt-match-2" select="(exists($h-dt-stem-2) and exists($narr-dateTimes[matches(., $h-dt-regex-2, 'i')])) " />
    <xsl:variable name="h-dt-sequence-3" select="if (not($h-dt-match-2) and exists($h-dt-stem-2) and $h-time-zone != '') then for $i in (1 to count($h-dt-stem-2)) return        concat($h-dt-stem-2[$i], substring($h-time-zone, 1, 4), ':?', substring($h-time-zone, 5, 2)) else () " />
    <xsl:variable name="h-dt-regex-3" select="if ($h-dt-match-2) then '' else if (exists($h-dt-sequence-3)) then concat('(', string-join($h-dt-sequence-3, '$)|('), '$)') else '' " />
    <xsl:variable name="h-dt-match-3" select="($h-dt-match-2 or (exists($h-dt-sequence-3) and exists($narr-dateTimes[matches(., $h-dt-regex-3, 'i')]))) " />
    <xsl:variable name="h-narr-match" select="if ($h-dt-value != '' and count($narr-dateTimes) = 0) then      (       contains($narrative, $h-dt-value)                or       (string-length($h-dt-value) = 4 and contains($narrative, $h-year))             or        (string-length($h-dt-value) = 6 and contains($narrative, concat($h-month-short, $h-year)))          or       (string-length($h-dt-value) &gt; 7 and starts-with($h-day, '0') and        (contains($narrative, concat(substring($h-day,2,1), $h-month-short, $h-year)) or         contains($narrative, concat(substring($h-day,2,1), $h-month-num, $h-year))))          or       (string-length($h-dt-value) &gt; 7 and (contains($narrative, concat($h-day, $h-month-short, $h-year)) or contains($narrative, concat($h-day, $h-month-num, $h-year))))        )       else false() " />
    <xsl:variable name="h-nullFlavor-values" select="if (cda:high/@nullFlavor and cda:high/@nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))        then $nullFlavors/nullFlavor[@value = current()/cda:high/@nullFlavor] else () " />
    <xsl:variable name="h-null-to-find" select="exists($h-nullFlavor-values) " />
    <xsl:variable name="h-null-in-narr" select="($h-nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $h-nullFlavor-values/@name-regex, 'is')])) or              ($h-nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $h-nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="l-nullFlavor-values" select="if (cda:low/@nullFlavor and cda:low/@nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))        then $nullFlavors/nullFlavor[@value = current()/cda:low/@nullFlavor] else () " />
    <xsl:variable name="l-null-to-find" select="exists($l-nullFlavor-values) " />
    <xsl:variable name="l-null-in-narr" select="($l-nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $l-nullFlavor-values/@name-regex, 'is')])) or              ($l-nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $l-nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="l-dt-name" select="if ($l-dt-value = cda:low/@value) then ' low' else '' " />
    <xsl:variable name="l-dt-msg" select="if ($l-dt-value = cda:low/@value) then ' This date/time is the low boundary of a time interval.' else '' " />
    <xsl:variable name="h-dt-msg" select="if ($h-dt-value = cda:high/@value) then ' This date/time is the high boundary of a time interval.' else '' " />
    <xsl:variable name="l-null-msg" select="if ($l-dt-value = cda:low/@value) then ' This nullFlavor value is for the low boundary of a time interval.' else '' " />
    <xsl:variable name="h-null-msg" select="if ($h-dt-value = cda:high/@value) then ' This nullFlavor value is for the high boundary of a time interval.' else '' " />
    <xsl:variable name="multimedia" select="exists($fir-narr-node//cda:renderMultiMedia) or exists($sec-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($fir-narr-node//cda:linkHtml) or exists($sec-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="l-warning-1" select="exists($l-dt-sequence-1) and exists($narr-dateTimes) and $l-dt-match-1 and not($l-dt-match-3) and $l-dt-value != '' " />
    <xsl:variable name="l-error-1" select="$l-warning-1 and not($multimedia) " />
    <xsl:variable name="l-warning-2" select="exists($l-dt-sequence-1) and exists($narr-dateTimes) and not($l-dt-match-1 or $l-dt-match-3) and $l-dt-value != '' " />
    <xsl:variable name="l-error-2a" select="$l-warning-2 and not($multimedia) and $l-time-zone != '' and count($narr-dateTimes) =        count(for $dt in $narr-dateTimes return replace(replace($dt, $regex-date-type-1, ''), $regex-date-type-2, '')       [matches(., concat('^\s*([0-9]{1,2}:{1}[0-9]{2}\s*', substring($l-time-zone, 1, 4), ':?', substring($l-time-zone, 5, 2),         '|[0-9]{1,2}:{1}[0-9]{2}:{1}[0-9]{2}\s*', substring($l-time-zone, 1, 4), ':?', substring($l-time-zone, 5, 2), ')\s*$'), 'i')]) " />
    <xsl:variable name="l-error-2b" select="$l-warning-2 and not($l-dt-match-1) and not($multimedia) and count($narr-dateTimes[matches(., $regex-date-type-2, 'i')]) =        count($narr-dateTimes[matches(., concat($regex-date-type-2, ' ', $narr-time-regex, '$'), 'i')]) " />
    <xsl:variable name="l-error-2c" select="$l-warning-2 and exists($narr-dateTimes[matches(., concat('^', $l-year, '$'))]) " />
    <xsl:variable name="l-error-2" select="$l-error-2a or $l-error-2b or $l-error-2c " />
    <xsl:variable name="l-warning-3" select="$l-dt-value != '' and not(exists($narr-dateTimes)) and not($l-narr-match) " />
    <xsl:variable name="l-error-3" select="$l-warning-3 and not($multimedia) and not(contains($narrative, substring($l-year, 3,2)))" />
    <xsl:variable name="h-warning-1" select="exists($h-dt-sequence-1) and exists($narr-dateTimes) and $h-dt-match-1 and not($h-dt-match-3) and $h-dt-value != '' " />
    <xsl:variable name="h-error-1" select="$h-warning-1 and not($multimedia) " />
    <xsl:variable name="h-warning-2" select="exists($h-dt-sequence-1) and exists($narr-dateTimes) and not($h-dt-match-1 or $h-dt-match-3) and $h-dt-value != '' " />
    <xsl:variable name="h-error-2a" select="$h-warning-2 and not($multimedia) and $h-time-zone != '' and count($narr-dateTimes) =        count(for $dt in $narr-dateTimes return replace(replace($dt, $regex-date-type-1, ''), $regex-date-type-2, '')       [matches(., concat('^\s*([0-9]{1,2}:{1}[0-9]{2}\s*', substring($h-time-zone, 1, 4), ':?', substring($h-time-zone, 5, 2),         '|[0-9]{1,2}:{1}[0-9]{2}:{1}[0-9]{2}\s*', substring($h-time-zone, 1, 4), ':?', substring($h-time-zone, 5, 2), ')\s*$'), 'i')]) " />
    <xsl:variable name="h-error-2b" select="$h-warning-2 and not($h-dt-match-1) and not($multimedia) and count($narr-dateTimes[matches(., $regex-date-type-2, 'i')]) =        count($narr-dateTimes[matches(., concat($regex-date-type-2, ' ', $narr-time-regex, '$'), 'i')]) " />
    <xsl:variable name="h-error-2c" select="$l-warning-2 and exists($narr-dateTimes[matches(., concat('^', $h-year, '$'))]) " />
    <xsl:variable name="h-error-2" select="$h-error-2a or $h-error-2b or $h-error-2c " />
    <xsl:variable name="h-warning-3" select="$h-dt-value != '' and not(exists($narr-dateTimes)) and not($h-narr-match) " />
    <xsl:variable name="h-error-3" select="$h-warning-3 and not($multimedia) and not(contains($narrative, substring($h-year, 3,2))) " />
    <xsl:variable name="narr-dt-msg" select="if ($multimedia or $no-content) then ''       else if (not(exists($narr-dateTimes))) then concat(' The narrative of the ', iq:location(., ''), ' contains no dateTime elements.')       else if (count($narr-dateTimes) = 1) then concat(' The only dateTime element in the narrative of the ', iq:location(., ''), ' is ''',         dh:XQueryRecursiveReplace($narr-dateTimes[1], '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), '''.')       else concat(' The distinct dateTime elements in the narrative of the ', iq:location(., ''), ' are ''',         string-join(for $dt in $narr-dateTimes return          dh:XQueryRecursiveReplace($dt, '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), ', '), '''.') " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-4" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-4 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and exists($l-dt-sequence-1) and $l-dt-value != '' and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and exists($l-dt-sequence-1) and $l-dt-value != '' and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 4: The dateTime element in the structured data is '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'.<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text />
		The number of dateTime elements that have been extracted from the narrative is '<xsl:text /><xsl:value-of select="count($narr-dateTimes)" /><xsl:text />'.
		These are '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-dateTimes, ', '), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The initial regular expressions are '<xsl:text /><xsl:value-of select="string-join($l-dt-sequence-1, ', ')" /><xsl:text />'.
		The three regular expressions used to perform an exact match for narrative dateTime elements are as follows:
		l-dt-regex-1='<xsl:text /><xsl:value-of select="$l-dt-regex-1" /><xsl:text />'; l-dt-regex-2='<xsl:text /><xsl:value-of select="$l-dt-regex-2" /><xsl:text />'; and l-dt-regex-3='<xsl:text /><xsl:value-of select="$l-dt-regex-3" /><xsl:text />'.
		Was a match found after the first regular expression was created? <xsl:text /><xsl:value-of select="$l-dt-match-1" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($l-dt-regex-2 = '') then 'The second regular expression was not applied as there is no time information.'    else concat('Was a match found after the second regular expression (with a date and time) was created? ', $l-dt-match-2, '.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($l-dt-regex-3 = '') then 'The third regular expression was not applied as there is no timezone information.'    else concat('Was a match found after the third regular expression (with a date and time) was created? ', $l-dt-match-3, '.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and exists($h-dt-sequence-1) and $h-dt-value != '' and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and exists($h-dt-sequence-1) and $h-dt-value != '' and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 4: The dateTime element in the structured data is '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'.<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text />
		The number of dateTime elements that have been extracted from the narrative is '<xsl:text /><xsl:value-of select="count($narr-dateTimes)" /><xsl:text />'.
		These are '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-dateTimes, ', '), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The initial regular expressions are '<xsl:text /><xsl:value-of select="string-join($h-dt-sequence-1, ', ')" /><xsl:text />'.
		The three regular expressions used to perform an exact match for narrative dateTime elements are as follows:
		h-dt-regex-1='<xsl:text /><xsl:value-of select="$h-dt-regex-1" /><xsl:text />'; h-dt-regex-2='<xsl:text /><xsl:value-of select="$h-dt-regex-2" /><xsl:text />'; and h-dt-regex-3='<xsl:text /><xsl:value-of select="$h-dt-regex-3" /><xsl:text />'.
		Was a match found after the first regular expression was created? <xsl:text /><xsl:value-of select="$h-dt-match-1" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($h-dt-regex-2 = '') then 'The second regular expression was not applied as there is no time information.'    else concat('Was a match found after the second regular expression (with a date and time) was created? ', $h-dt-match-2, '.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($h-dt-regex-3 = '') then 'The third regular expression was not applied as there is no timezone information.'    else concat('Was a match found after the third regular expression (with a date and time) was created? ', $h-dt-match-3, '.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $l-warning-1 and not($l-error-1 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $l-warning-1 and not($l-error-1 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Report DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /> Although the date was found in the narrative the Report DateTime data element must contain the time.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Report DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $l-error-1 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $l-error-1 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Report DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /> Although the date was found in the narrative the Report DateTime data element must contain the time.
		The Report DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $l-error-1 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $l-error-1 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Report DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /> Although the date was found in the narrative the Report DateTime data element must contain the time.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-warning-2 and not($l-error-2 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-warning-2 and not($l-error-2 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Report DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Report DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-error-2 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-error-2 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Report DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($l-error-2c) then concat('The narrative contains a date with the same year ''', $l-year, ''' but without a month or day.') else '' " /><xsl:text />
		The Report DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-error-2 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-error-2 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Report DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($l-error-2c) then concat('The narrative contains a date with the same year ''', $l-year, ''' but without a month or day.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $l-dt-value != '' and not($l-narr-match or $l-null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $l-dt-value != '' and not($l-narr-match or $l-null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Report DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $l-dt-value != '' and not($l-narr-match or $l-null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $l-dt-value != '' and not($l-narr-match or $l-null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Report DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Report DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $h-warning-1 and not($h-error-1 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $h-warning-1 and not($h-error-1 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Report DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /> Although the date was found in the narrative the Report DateTime data element must contain the time.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Report DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $h-error-1 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $h-error-1 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Report DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /> Although the date was found in the narrative the Report DateTime data element must contain the time.
		The Report DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $h-error-1 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $h-error-1 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Report DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /> Although the date was found in the narrative the Report DateTime data element must contain the time.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-warning-2 and not($h-error-2 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-warning-2 and not($h-error-2 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Report DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Report DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-error-2 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-error-2 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Report DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($h-error-2c) then concat('The narrative contains a date with the same year ''', $h-year, ''' but without a month or day.') else '' " /><xsl:text />
		The Report DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-error-2 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-error-2 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Report DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($h-error-2c) then concat('The narrative contains a date with the same year ''', $h-year, ''' but without a month or day.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-warning-3 and not($l-error-3 or $no-content)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-warning-3 and not($l-error-3 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Report DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not seem to be present in the narrative of the section.<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Report DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-error-3 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-error-3 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Report DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Report DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else ' All clinical information in entry elements must be present in the narrative.'" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-error-3 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-error-3 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Report DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-warning-3 and not($h-error-3 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-warning-3 and not($h-error-3 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Report DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not seem to be present in the narrative of the section.<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Report DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-error-3 and not($no-content) and true()  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-error-3 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Report DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text />
		The Report DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-error-3 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-error-3 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Report DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $h-dt-value != '' and not($h-narr-match or $h-null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $h-dt-value != '' and not($h-narr-match or $h-null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Report DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $h-dt-value != '' and not($h-narr-match or $h-null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $h-dt-value != '' and not($h-narr-match or $h-null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Report DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Report DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-null-to-find and not($l-null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-null-to-find and not($l-null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Report DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="cda:low/@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$l-nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($l-nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.<xsl:text /><xsl:value-of select="$l-null-msg" /><xsl:text /> If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-null-to-find and not($h-null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-null-to-find and not($h-null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Report DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="cda:high/@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$h-nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($h-nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.<xsl:text /><xsl:value-of select="$h-null-msg" /><xsl:text />
		If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M202" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M202" />
  <xsl:template match="@*|node()" priority="-2" mode="M202">
    <xsl:apply-templates select="@*|*" mode="M202" />
  </xsl:template>
  <!--PATTERN p-TS-DiagImaging-TimeInterval-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16945' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16945']]/cda:author/cda:time " priority="1000" mode="M203">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16945' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16945']]/cda:author/cda:time " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text1" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="message-text2" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See sections 8.6 and 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="nullFlavor-values" select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]" />
    <xsl:variable name="low-inclusive" select="if (not(cda:low)) then '' else if (cda:low/@inclusive='false') then ' (excluded)' else ' (included)' " />
    <xsl:variable name="high-inclusive" select="if (not(cda:high)) then '' else if (cda:high/@inclusive='false') then ' (excluded)' else ' (included)' " />
    <xsl:variable name="display-interval" select="if (@value and cda:low/@value and cda:high/@value)         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34), ', low value ', codepoints-to-string(34), cda:low/@value,        codepoints-to-string(34), $low-inclusive, ' and high value ', codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)        else if (@value and cda:low/@value and not(cda:high/@value))         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34), ' and low value ', codepoints-to-string(34), cda:low/@value,        codepoints-to-string(34), $low-inclusive)       else if (@value and not(cda:low/@value) and cda:high/@value)         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34), ' and high value ', codepoints-to-string(34),        cda:high/@value, codepoints-to-string(34), $high-inclusive)       else if (not(@value) and cda:low/@value and cda:high/@value)         then concat('low value ', codepoints-to-string(34), cda:low/@value, codepoints-to-string(34), $low-inclusive, ' and high value ',         codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)       else if (@value and not(cda:low/@value) and not(cda:high/@value))         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34))       else if (not(@value) and cda:low/@value and not(cda:high/@value))         then concat('low value ', codepoints-to-string(34), cda:low/@value, codepoints-to-string(34), $low-inclusive)       else if (not(@value) and not(cda:low/@value) and cda:high/@value)         then concat('high value ', codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)       else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-22" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-22 else $rating-alt-TC-Types-22 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-22: The Reporting Radiologist Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type
		and <xsl:text /><xsl:value-of select="if (@value or cda:low/@value or cda:high/@value) then concat('has ', $display-interval)   else 'has no value attribute and no low or high data elements' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@nullFlavor) then concat('The nullFlavor attribute has the value ''', @nullFlavor, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.2 of the Diagnostic Imaging Report CDA Implementation Guide v1.0 the Reporting Radiologist Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type.
		It contains a value of nullFlavor 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a value
		may exist, but it must be derived from the information provided. Confirm if the use of this nullFlavor is valid.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'NINF' or @nullFlavor = 'PINF' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'NINF' or @nullFlavor = 'PINF'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 1: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.2 of the Diagnostic Imaging Report CDA Implementation Guide v1.0 the Reporting Radiologist Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data
		type which is derived from the HL7 'IVL_TS' data type. It has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) which is a
		value of nullFlavor that may not be used for data elements of the IVL data type.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.2 of the Diagnostic Imaging Report CDA Implementation Guide v1.0 the Reporting Radiologist Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data
		type however it has nullFlavor = 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include
		nullFlavor = 'UNC'. (See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'QS' or @nullFlavor = 'TRC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'QS' or @nullFlavor = 'TRC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 3: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.2 of the Diagnostic Imaging Report CDA Implementation Guide v1.0 the Reporting Radiologist Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data
		type which is derived from the HL7 'IVL_TS' data type. It has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) however
		that value of nullFlavor may not be used for data elements of the TS or IVL data types.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.2 of the Diagnostic Imaging Report CDA Implementation Guide v1.0 the Reporting Radiologist Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type which is
		derived from the HL7 'IVL_TS' data type. The HL7 'TS' data type may also be used for a TimeInterval however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		(See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 3.8.1 of HL7 Version 3 Standard: Data Types - Abstract Specification,
		Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.2 of the Diagnostic Imaging Report CDA Implementation Guide v1.0 the Reporting Radiologist Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type which is
		derived from the HL7 'IVL_TS' data type. The HL7 'TS' data type may also be used for a TimeInterval however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'IVL_TS' or 'TS'.
		(See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 3.8.1 of HL7 Version 3 Standard: Data Types - Abstract Specification,
		Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not(@nullFlavor or @value or cda:low or cda:high) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor or @value or cda:low or cda:high)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.2 of the Diagnostic Imaging Report CDA Implementation Guide v1.0 the Reporting Radiologist Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however
		it does not have a nullFlavor or value attribute or low or high elements. A TimeInterval may only contain a nullFlavor or value attribute or low or high elements with the optional
		'inclusive' attribute included in the low or high elements if there is a need to indicate that the low or high boundaries are excluded.
		(See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @value and (cda:low or cda:high) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value and (cda:low or cda:high)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.2 of the Diagnostic Imaging Report CDA Implementation Guide v1.0 the Reporting Radiologist Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type.
		It has the element '<xsl:text /><xsl:value-of select="local-name(cda:*[local-name() = ('low', 'high')])" /><xsl:text />' which is used for the HL7 'IVL' data type
		but also has a 'value' attribute which is used by the HL7 'TS' data type and is not used by the HL7 'IVL' data type. The data element must either have a 'value' attribute
		or '<xsl:text /><xsl:value-of select="local-name(cda:*[local-name() = ('low', 'high')])" /><xsl:text />' but not both.
		(See section 7.10.9.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and section 3.8.1 of
		HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('low', 'high'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.2 of the Diagnostic Imaging Report CDA Implementation Guide v1.0 the Reporting Radiologist Participation Period
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('low', 'high'))])" /><xsl:text />' was found
		that is not expected for the TimeInterval data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('low', 'high', 'width'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('low', 'high', 'width'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.2 of the Diagnostic Imaging Report CDA Implementation Guide v1.0 the Reporting Radiologist Participation Period
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('low', 'high', 'width'))])" /><xsl:text />' was found
		that is not expected for the TimeInterval data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and cda:width/@value and ((cda:low/@value and not(cda:high/@value)) or (not(cda:low/@value) and cda:high/@value)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and cda:width/@value and ((cda:low/@value and not(cda:high/@value)) or (not(cda:low/@value) and cda:high/@value))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.2 of the Diagnostic Imaging Report CDA Implementation Guide v1.0 the Reporting Radiologist Participation Period
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a width element is also
		present with the value '<xsl:text /><xsl:value-of select="cda:width/@value" /><xsl:text />' and unit '<xsl:text /><xsl:value-of select="cda:width/@unit" /><xsl:text />'.		
		This is an error as the presence of a <xsl:text /><xsl:value-of select="if (cda:low) then 'low' else 'high' " /><xsl:text /> element without a <xsl:text /><xsl:value-of select="if (cda:low) then 'high' else 'low' " /><xsl:text /> element
		means the TimeInterval is unbounded in one direction however the width element implies the interval is bounded. That is the width element is an extension that qualifies the
		time interval whereas an extension is allowed only if it does not qualify or negate the time interval.
		(See the definition of Reporting Radiologist Participation Period in the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text />, section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0
		and <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)
		As the <xsl:text /><xsl:value-of select="if (cda:low) then 'start' else 'end' " /><xsl:text /> of the time interval is known then the Reporting Radiologist Participation Period must also have a
		<xsl:text /><xsl:value-of select="if (cda:low) then ' high' else ' low' " /><xsl:text /> element as the TimeInterval data type uses low and high elements rather than width to define an interval.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and cda:width/@value and not(cda:high/@value or cda:low/@value) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and cda:width/@value and not(cda:high/@value or cda:low/@value)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.2 of the Diagnostic Imaging Report CDA Implementation Guide v1.0 the Reporting Radiologist Participation Period
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a width element is also
		present with the value '<xsl:text /><xsl:value-of select="cda:width/@value" /><xsl:text />' and unit '<xsl:text /><xsl:value-of select="cda:width/@unit" /><xsl:text />'.		
		This is an error as the Reporting Radiologist Participation Period has no low or high elements so the TimeInterval is unbounded however the width element implies the interval is bounded. That is the width element is an
		extension that qualifies the time interval whereas an extension is allowed only if it does not qualify or negate the time interval.
		(See the definition of Reporting Radiologist Participation Period in the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text />, section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0
		and <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)
		The TimeInterval data type uses low and high elements rather than width to define an interval.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(    @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or    @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'  )) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not( @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS' ))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.2 of the Diagnostic Imaging Report CDA Implementation Guide v1.0 the Reporting Radiologist Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the TimeInterval data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(    @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or    @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'  )) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not( @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS' ))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.2 of the Diagnostic Imaging Report CDA Implementation Guide v1.0 the Reporting Radiologist Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the TimeInterval data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @operator and @operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @operator and @operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.2 of the Diagnostic Imaging Report CDA Implementation Guide v1.0 the Reporting Radiologist Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the TimeInterval data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @operator and @operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @operator and @operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.2 of the Diagnostic Imaging Report CDA Implementation Guide v1.0 the Reporting Radiologist Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the TimeInterval data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:low/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:low/*">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.2 of the Diagnostic Imaging Report CDA Implementation Guide v1.0 the Reporting Radiologist Participation Period 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(cda:low/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/*">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.2 of the Diagnostic Imaging Report CDA Implementation Guide v1.0 the Reporting Radiologist Participation Period 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(cda:low/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.2 of the Diagnostic Imaging Report CDA Implementation Guide v1.0 the Reporting Radiologist Participation Period 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.2 of the Diagnostic Imaging Report CDA Implementation Guide v1.0 the Reporting Radiologist Participation Period 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:low/@operator and cda:low/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:low/@operator and cda:low/@operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.2 of the Diagnostic Imaging Report CDA Implementation Guide v1.0 the Reporting Radiologist Participation Period 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/@operator and cda:low/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/@operator and cda:low/@operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.2 of the Diagnostic Imaging Report CDA Implementation Guide v1.0 the Reporting Radiologist Participation Period 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:low/cda:originalText) and cda:low/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:low/cda:originalText) and cda:low/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.2 of the Diagnostic Imaging Report CDA Implementation Guide v1.0 the Reporting Radiologist Participation Period 'low' child element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present so
		it is an error to include nullFlavor 'UNC'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:high/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:high/*">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.2 of the Diagnostic Imaging Report CDA Implementation Guide v1.0 the Reporting Radiologist Participation Period 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element '<xsl:text /><xsl:value-of select="local-name(cda:high/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/*">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.2 of the Diagnostic Imaging Report CDA Implementation Guide v1.0 the Reporting Radiologist Participation Period 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element '<xsl:text /><xsl:value-of select="local-name(cda:high/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.2 of the Diagnostic Imaging Report CDA Implementation Guide v1.0 the Reporting Radiologist Participation Period 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.2 of the Diagnostic Imaging Report CDA Implementation Guide v1.0 the Reporting Radiologist Participation Period 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:high/@operator and cda:high/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:high/@operator and cda:high/@operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.2 of the Diagnostic Imaging Report CDA Implementation Guide v1.0 the Reporting Radiologist Participation Period 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/@operator and cda:high/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/@operator and cda:high/@operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.2 of the Diagnostic Imaging Report CDA Implementation Guide v1.0 the Reporting Radiologist Participation Period 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.2 of the Diagnostic Imaging Report CDA Implementation Guide v1.0 the Reporting Radiologist Participation Period 'high' child element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present
		so it is an error to include nullFlavor 'UNC'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.2 of the Diagnostic Imaging Report CDA Implementation Guide v1.0 the Reporting Radiologist Participation Period 'high' child element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present
		so it is an error to include nullFlavor 'UNC'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M203" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M203" />
  <xsl:template match="@*|node()" priority="-2" mode="M203">
    <xsl:apply-templates select="@*|*" mode="M203" />
  </xsl:template>
  <!--PATTERN p-TS-DiagImaging-TimeInterval-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16945' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16945']]/cda:author/cda:time   [not((cda:low/@value and (number(substring(cda:low/@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(cda:low/@value,1,4)) &gt; number($creation-date-yr) + 130)) or     (cda:high/@value and (number(substring(cda:high/@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(cda:high/@value,1,4)) &gt; number($creation-date-yr) + 130)))] " priority="1000" mode="M204">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16945' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16945']]/cda:author/cda:time   [not((cda:low/@value and (number(substring(cda:low/@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(cda:low/@value,1,4)) &gt; number($creation-date-yr) + 130)) or     (cda:high/@value and (number(substring(cda:high/@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(cda:high/@value,1,4)) &gt; number($creation-date-yr) + 130)))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="fir-narrative" select="translate(normalize-space(lower-case(string($fir-narr-node))), $chars-to-remove, '')" />
    <xsl:variable name="sec-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)        then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]        else () " />
    <xsl:variable name="sec-narr-node" select="$sec-section/cda:text " />
    <xsl:variable name="narr-text-el" select="(for $text in ($fir-narr-node//text(), $sec-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="sec-narrative" select="translate(normalize-space(lower-case(string($sec-narr-node))), $chars-to-remove, '') " />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="narrative" select="concat($target-title, $fir-narrative, $sec-narrative)" />
    <xsl:variable name="narr-elements" select="$fir-narr-node//cda:*[exists(text()[normalize-space() != '']) and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ]  |             $sec-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ] " />
    <xsl:variable name="narr-lower-case" select="for $i in (1 to count($narr-elements)) return lower-case(normalize-space(string-join($narr-elements[$i]/text(), '')))  " />
    <xsl:variable name="dt-narr-elements" select="$narr-lower-case[matches(., $regex-date-type-1, 'i') or matches(., $regex-date-type-2, 'i') or matches(., $regex-date-type-3, 'i')] " />
    <xsl:variable name="narr-elements-start" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-before($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-before($dt-narr-elements[$i], ' -'))        else $dt-narr-elements[$i])[. != ''] " />
    <xsl:variable name="narr-elements-end" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-after($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-after($dt-narr-elements[$i], ' -'))        else '')[. != ''] " />
    <xsl:variable name="narr-dateTimes" select="distinct-values(($narr-elements-start , $narr-elements-end))[. != '(ongoing)'] " />
    <xsl:variable name="l-dt-value" select="if (@value) then @value        else if (cda:low/@value) then cda:low/@value        else '' " />
    <xsl:variable name="l-no-time-zone" select="if (contains($l-dt-value, '+')) then substring-before($l-dt-value, '+')       else if (contains($l-dt-value, '-')) then substring-before($l-dt-value, '-')       else $l-dt-value " />
    <xsl:variable name="l-length" select="string-length($l-no-time-zone) " />
    <xsl:variable name="l-year" select="if ($l-length &gt; 3) then substring($l-no-time-zone,1,4) else '' " />
    <xsl:variable name="l-month-num" select="if ($l-length &gt; 5) then substring($l-no-time-zone,5,2) else '' " />
    <xsl:variable name="l-day" select="if ($l-length &gt; 7 and substring($l-no-time-zone,7,1) = '0') then substring($l-no-time-zone,8,1)       else if ($l-length &gt; 7 and substring($l-no-time-zone,7,1) != '0') then substring($l-no-time-zone,7,2) else '' " />
    <xsl:variable name="l-hour-long" select="if ($l-length &gt; 9) then substring($l-no-time-zone,9,2) else '' " />
    <xsl:variable name="l-hour-short" select="if (substring($l-hour-long, 1, 1) = '0') then substring($l-hour-long, 2, 1) else '' " />
    <xsl:variable name="l-minute" select="if ($l-length &gt; 11) then substring($l-no-time-zone,11,2) else '' " />
    <xsl:variable name="l-second" select="if ($l-length &gt; 13) then substring($l-no-time-zone,13,2) else '' " />
    <xsl:variable name="l-time-zone" select="if (contains($l-dt-value, '+')) then concat('\+', substring-after($l-dt-value, '+'))       else if (contains($l-dt-value, '-')) then concat('\-', substring-after($l-dt-value, '-'))       else '' " />
    <xsl:variable name="l-month-short" select="if ($l-month-num = '01') then 'jan'   else             if ($l-month-num = '02') then 'feb'   else             if ($l-month-num = '03') then 'mar'   else             if ($l-month-num = '04') then 'apr'   else             if ($l-month-num = '05') then 'may'   else             if ($l-month-num = '06') then 'jun'   else             if ($l-month-num = '07') then 'jul'   else             if ($l-month-num = '08') then 'aug'   else             if ($l-month-num = '09') then 'sep'   else             if ($l-month-num = '10') then 'oct'   else             if ($l-month-num = '11') then 'nov'   else             if ($l-month-num = '12') then 'dec'   else '' " />
    <xsl:variable name="l-month-long" select="if ($l-month-num = '01') then 'january'   else             if ($l-month-num = '02') then 'february'  else             if ($l-month-num = '03') then 'march'   else             if ($l-month-num = '04') then 'april'   else             if ($l-month-num = '05') then 'may'   else             if ($l-month-num = '06') then 'june'   else             if ($l-month-num = '07') then 'july'   else             if ($l-month-num = '08') then 'august'   else             if ($l-month-num = '09') then 'september'  else             if ($l-month-num = '10') then 'october'   else             if ($l-month-num = '11') then 'november'  else             if ($l-month-num = '12') then 'december'  else '' " />
    <xsl:variable name="l-date-type-3-day" select="if (string-length($l-day) = 1) then concat('0{0,1}', $l-day) else $l-day " />
    <xsl:variable name="l-date-type-3-month" select="if (string-length($l-month-num) = 1) then concat('0{0,1}', $l-month-num)        else if (substring($l-month-num, 1, 1) = '0') then concat('0{0,1}', substring($l-month-num, 2, 1))         else $l-month-num " />
    <xsl:variable name="l-dt-sequence-1" select="if ($l-length = 4) then (         concat('^', $l-dt-value)        ,          concat('^', $l-year)         )        else if ($l-length = 6) then (         concat('^', $l-dt-value)        ,         concat('^', $l-month-short, $date-sep, $l-year)      ,          concat('^', $l-month-long, $date-sep, $l-year)      )        else if ($l-length &gt; 7) then (         concat('^', $l-dt-value)        ,         concat('^', $l-date-type-3-day, $date-sep, $l-month-short, $date-sep, $l-year)  ,         concat('^', $l-date-type-3-day, $date-sep, $l-month-long, $date-sep, $l-year)  ,         concat('^', $l-date-type-3-day, '/', $l-date-type-3-month, '/', $l-year)  )        else () " />
    <xsl:variable name="l-matching-seq-1" select="if (exists($l-dt-sequence-1))        then index-of(for $i in (1 to count($l-dt-sequence-1)) return exists($narr-dateTimes[matches(., $l-dt-sequence-1[$i], 'i')]), true())        else () " />
    <xsl:variable name="l-dt-stem-1" select="for $i in (1 to count($l-matching-seq-1)) return $l-dt-sequence-1[$l-matching-seq-1[$i]] " />
    <xsl:variable name="l-dt-regex-1" select="if (exists($l-dt-stem-1)) then concat('(', string-join($l-dt-stem-1, '$)|('), '$)') else ()" />
    <xsl:variable name="l-dt-match-1" select="exists($l-dt-stem-1) and exists($narr-dateTimes[matches(., $l-dt-regex-1, 'i')])" />
    <xsl:variable name="l-time-1" select="if ($l-length &gt; 11 and $l-hour-short != '') then concat($l-hour-short, ':', $l-minute, '( *| *am)') else '' " />
    <xsl:variable name="l-time-2" select="if ($l-length &gt; 13 and $l-hour-short != '') then concat($l-hour-short, ':', $l-minute, ':', $l-second, '( *| *am)') else '' " />
    <xsl:variable name="l-time-3" select="if ($l-length &gt; 11 and number($l-hour-long) &lt; 12) then concat($l-hour-long, ':', $l-minute, '( *| *am)')        else if ($l-length &gt; 11) then concat($l-hour-long, ':', $l-minute) else '' " />
    <xsl:variable name="l-time-4" select="if ($l-length &gt; 13 and number($l-hour-long) &lt; 12) then concat($l-hour-long, ':', $l-minute, ':', $l-second, '( *| *am)')        else if ($l-length &gt; 13) then concat($l-hour-long, ':', $l-minute, ':', $l-second) else '' " />
    <xsl:variable name="l-time-5" select="if ($l-length &gt; 11 and number($l-hour-long) &gt; 12) then concat(string(number($l-hour-long) - 12), ':', $l-minute, '( *| *pm)') else '' " />
    <xsl:variable name="l-time-6" select="if ($l-length &gt; 13 and number($l-hour-long) &gt; 12) then concat(string(number($l-hour-long) - 12), ':', $l-minute, ':', $l-second, '( *| *pm)') else '' " />
    <xsl:variable name="l-dt-temp-0" select="if (exists($l-dt-stem-1) and $l-length = 8) then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $narr-time-regex) else () " />
    <xsl:variable name="l-dt-temp-1" select="if (exists($l-dt-stem-1) and $l-time-1 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-1) else () " />
    <xsl:variable name="l-dt-temp-2" select="if (exists($l-dt-stem-1) and $l-time-2 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-2) else () " />
    <xsl:variable name="l-dt-temp-3" select="if (exists($l-dt-stem-1) and $l-time-3 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-3) else () " />
    <xsl:variable name="l-dt-temp-4" select="if (exists($l-dt-stem-1) and $l-time-4 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-4) else () " />
    <xsl:variable name="l-dt-temp-5" select="if (exists($l-dt-stem-1) and $l-time-5 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-5) else () " />
    <xsl:variable name="l-dt-temp-6" select="if (exists($l-dt-stem-1) and $l-time-6 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-6) else () " />
    <xsl:variable name="l-dt-sequence-2" select="($l-dt-temp-0, $l-dt-temp-1, $l-dt-temp-2, $l-dt-temp-3, $l-dt-temp-4, $l-dt-temp-5, $l-dt-temp-6)" />
    <xsl:variable name="l-matching-seq-2" select="if (exists($l-dt-sequence-2))        then index-of(for $i in (1 to count($l-dt-sequence-2)) return exists($narr-dateTimes[matches(., $l-dt-sequence-2[$i], 'i')]), true())        else () " />
    <xsl:variable name="l-dt-stem-2" select="for $i in (1 to count($l-matching-seq-2)) return $l-dt-sequence-2[$l-matching-seq-2[$i]] " />
    <xsl:variable name="l-dt-regex-2" select="if (exists($l-dt-stem-2)) then concat('(', string-join($l-dt-stem-2, '$)|('), '$)') else '' " />
    <xsl:variable name="l-dt-match-2" select="(exists($l-dt-stem-2) and exists($narr-dateTimes[matches(., $l-dt-regex-2, 'i')])) " />
    <xsl:variable name="l-dt-sequence-3" select="if (not($l-dt-match-2) and exists($l-dt-stem-2) and $l-time-zone != '') then for $i in (1 to count($l-dt-stem-2)) return        concat($l-dt-stem-2[$i], substring($l-time-zone, 1, 4), ':?', substring($l-time-zone, 5, 2)) else () " />
    <xsl:variable name="l-dt-regex-3" select="if ($l-dt-match-2) then '' else if (exists($l-dt-sequence-3)) then concat('(', string-join($l-dt-sequence-3, '$)|('), '$)') else '' " />
    <xsl:variable name="l-dt-match-3" select="($l-dt-match-2 or (exists($l-dt-sequence-3) and exists($narr-dateTimes[matches(., $l-dt-regex-3, 'i')]))) " />
    <xsl:variable name="l-narr-match" select="if ($l-dt-value != '' and count($narr-dateTimes) = 0) then      (       contains($narrative, $l-dt-value)                or       (string-length($l-dt-value) = 4 and contains($narrative, $l-year))             or        (string-length($l-dt-value) = 6 and contains($narrative, concat($l-month-short, $l-year)))          or       (string-length($l-dt-value) &gt; 7 and starts-with($l-day, '0') and        (contains($narrative, concat(substring($l-day,2,1), $l-month-short, $l-year)) or         contains($narrative, concat(substring($l-day,2,1), $l-month-num, $l-year))))          or       (string-length($l-dt-value) &gt; 7 and (contains($narrative, concat($l-day, $l-month-short, $l-year)) or contains($narrative, concat($l-day, $l-month-num, $l-year))))        )       else false() " />
    <xsl:variable name="h-dt-value" select="if (cda:high/@value and $l-dt-value != cda:high/@value) then cda:high/@value        else '' " />
    <xsl:variable name="h-no-time-zone" select="if (contains($h-dt-value, '+')) then substring-before($h-dt-value, '+')       else if (contains($h-dt-value, '-')) then substring-before($h-dt-value, '-')       else $h-dt-value " />
    <xsl:variable name="h-length" select="string-length($h-no-time-zone) " />
    <xsl:variable name="h-year" select="if ($h-length &gt; 3) then substring($h-no-time-zone,1,4) else '' " />
    <xsl:variable name="h-month-num" select="if ($h-length &gt; 5) then substring($h-no-time-zone,5,2) else '' " />
    <xsl:variable name="h-day" select="if ($h-length &gt; 7 and substring($h-no-time-zone,7,1) = '0') then substring($h-no-time-zone,8,1)       else if ($h-length &gt; 7 and substring($h-no-time-zone,7,1) != '0') then substring($h-no-time-zone,7,2) else '' " />
    <xsl:variable name="h-hour-long" select="if ($h-length &gt; 9) then substring($h-no-time-zone,9,2) else '' " />
    <xsl:variable name="h-hour-short" select="if (substring($h-hour-long, 1, 1) = '0') then substring($h-hour-long, 2, 1) else '' " />
    <xsl:variable name="h-minute" select="if ($h-length &gt; 11) then substring($h-no-time-zone,11,2) else '' " />
    <xsl:variable name="h-second" select="if ($h-length &gt; 13) then substring($h-no-time-zone,13,2) else '' " />
    <xsl:variable name="h-time-zone" select="if (contains($h-dt-value, '+')) then concat('\+', substring-after($h-dt-value, '+'))       else if (contains($h-dt-value, '-')) then concat('\-', substring-after($h-dt-value, '-'))       else '' " />
    <xsl:variable name="h-month-short" select="if ($h-month-num = '01') then 'jan'   else             if ($h-month-num = '02') then 'feb'   else             if ($h-month-num = '03') then 'mar'   else             if ($h-month-num = '04') then 'apr'   else             if ($h-month-num = '05') then 'may'   else             if ($h-month-num = '06') then 'jun'   else             if ($h-month-num = '07') then 'jul'   else             if ($h-month-num = '08') then 'aug'   else             if ($h-month-num = '09') then 'sep'   else             if ($h-month-num = '10') then 'oct'   else             if ($h-month-num = '11') then 'nov'   else             if ($h-month-num = '12') then 'dec'   else '' " />
    <xsl:variable name="h-month-long" select="if ($h-month-num = '01') then 'january'   else             if ($h-month-num = '02') then 'february'  else             if ($h-month-num = '03') then 'march'   else             if ($h-month-num = '04') then 'april'   else             if ($h-month-num = '05') then 'may'   else             if ($h-month-num = '06') then 'june'   else             if ($h-month-num = '07') then 'july'   else             if ($h-month-num = '08') then 'august'   else             if ($h-month-num = '09') then 'september'  else             if ($h-month-num = '10') then 'october'   else             if ($h-month-num = '11') then 'november'  else             if ($h-month-num = '12') then 'december'  else '' " />
    <xsl:variable name="h-date-type-3-day" select="if (string-length($h-day) = 1) then concat('0{0,1}', $h-day) else $h-day " />
    <xsl:variable name="h-date-type-3-month" select="if (string-length($h-month-num) = 1) then concat('0{0,1}', $h-month-num)        else if (substring($h-month-num, 1, 1) = '0') then concat('0{0,1}', substring($h-month-num, 2, 1))         else $h-month-num " />
    <xsl:variable name="h-dt-sequence-1" select="if ($h-length = 4) then (         concat('^', $h-dt-value)        ,          concat('^', $h-year)         )        else if ($h-length = 6) then (         concat('^', $h-dt-value)        ,         concat('^', $h-month-short, $date-sep, $h-year)      ,          concat('^', $h-month-long, $date-sep, $h-year)      )        else if ($h-length &gt; 7) then (         concat('^', $h-dt-value)        ,         concat('^', $h-date-type-3-day, $date-sep, $h-month-short, $date-sep, $h-year)  ,         concat('^', $h-date-type-3-day, $date-sep, $h-month-long, $date-sep, $h-year)  ,         concat('^', $h-date-type-3-day, '/', $h-date-type-3-month, '/', $h-year)  )        else () " />
    <xsl:variable name="h-matching-seq-1" select="if (exists($h-dt-sequence-1))        then index-of(for $i in (1 to count($h-dt-sequence-1)) return exists($narr-dateTimes[matches(., $h-dt-sequence-1[$i], 'i')]), true())        else () " />
    <xsl:variable name="h-dt-stem-1" select="for $i in (1 to count($h-matching-seq-1)) return $h-dt-sequence-1[$h-matching-seq-1[$i]] " />
    <xsl:variable name="h-dt-regex-1" select="if (exists($h-dt-stem-1)) then concat('(', string-join($h-dt-stem-1, '$)|('), '$)') else ()" />
    <xsl:variable name="h-dt-match-1" select="exists($h-dt-stem-1) and exists($narr-dateTimes[matches(., $h-dt-regex-1, 'i')])" />
    <xsl:variable name="h-time-1" select="if ($h-length &gt; 11 and $h-hour-short != '') then concat($h-hour-short, ':', $h-minute, '( *| *am)') else '' " />
    <xsl:variable name="h-time-2" select="if ($h-length &gt; 13 and $h-hour-short != '') then concat($h-hour-short, ':', $h-minute, ':', $h-second, '( *| *am)') else '' " />
    <xsl:variable name="h-time-3" select="if ($h-length &gt; 11 and number($h-hour-long) &lt; 12) then concat($h-hour-long, ':', $h-minute, '( *| *am)')        else if ($h-length &gt; 11) then concat($h-hour-long, ':', $h-minute) else '' " />
    <xsl:variable name="h-time-4" select="if ($h-length &gt; 13 and number($h-hour-long) &lt; 12) then concat($h-hour-long, ':', $h-minute, ':', $h-second, '( *| *am)')        else if ($h-length &gt; 13) then concat($h-hour-long, ':', $h-minute, ':', $h-second) else '' " />
    <xsl:variable name="h-time-5" select="if ($h-length &gt; 11 and number($h-hour-long) &gt; 12) then concat(string(number($h-hour-long) - 12), ':', $h-minute, '( *| *pm)') else '' " />
    <xsl:variable name="h-time-6" select="if ($h-length &gt; 13 and number($h-hour-long) &gt; 12) then concat(string(number($h-hour-long) - 12), ':', $h-minute, ':', $h-second, '( *| *pm)') else '' " />
    <xsl:variable name="h-dt-temp-0" select="if (exists($h-dt-stem-1) and $h-length = 8) then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $narr-time-regex) else () " />
    <xsl:variable name="h-dt-temp-1" select="if (exists($h-dt-stem-1) and $h-time-1 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-1) else () " />
    <xsl:variable name="h-dt-temp-2" select="if (exists($h-dt-stem-1) and $h-time-2 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-2) else () " />
    <xsl:variable name="h-dt-temp-3" select="if (exists($h-dt-stem-1) and $h-time-3 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-3) else () " />
    <xsl:variable name="h-dt-temp-4" select="if (exists($h-dt-stem-1) and $h-time-4 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-4) else () " />
    <xsl:variable name="h-dt-temp-5" select="if (exists($h-dt-stem-1) and $h-time-5 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-5) else () " />
    <xsl:variable name="h-dt-temp-6" select="if (exists($h-dt-stem-1) and $h-time-6 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-6) else () " />
    <xsl:variable name="h-dt-sequence-2" select="($h-dt-temp-0, $h-dt-temp-1, $h-dt-temp-2, $h-dt-temp-3, $h-dt-temp-4, $h-dt-temp-5, $h-dt-temp-6)" />
    <xsl:variable name="h-matching-seq-2" select="if (exists($h-dt-sequence-2))        then index-of(for $i in (1 to count($h-dt-sequence-2)) return exists($narr-dateTimes[matches(., $h-dt-sequence-2[$i], 'i')]), true())        else () " />
    <xsl:variable name="h-dt-stem-2" select="for $i in (1 to count($h-matching-seq-2)) return $h-dt-sequence-2[$h-matching-seq-2[$i]] " />
    <xsl:variable name="h-dt-regex-2" select="if (exists($h-dt-stem-2)) then concat('(', string-join($h-dt-stem-2, '$)|('), '$)') else '' " />
    <xsl:variable name="h-dt-match-2" select="(exists($h-dt-stem-2) and exists($narr-dateTimes[matches(., $h-dt-regex-2, 'i')])) " />
    <xsl:variable name="h-dt-sequence-3" select="if (not($h-dt-match-2) and exists($h-dt-stem-2) and $h-time-zone != '') then for $i in (1 to count($h-dt-stem-2)) return        concat($h-dt-stem-2[$i], substring($h-time-zone, 1, 4), ':?', substring($h-time-zone, 5, 2)) else () " />
    <xsl:variable name="h-dt-regex-3" select="if ($h-dt-match-2) then '' else if (exists($h-dt-sequence-3)) then concat('(', string-join($h-dt-sequence-3, '$)|('), '$)') else '' " />
    <xsl:variable name="h-dt-match-3" select="($h-dt-match-2 or (exists($h-dt-sequence-3) and exists($narr-dateTimes[matches(., $h-dt-regex-3, 'i')]))) " />
    <xsl:variable name="h-narr-match" select="if ($h-dt-value != '' and count($narr-dateTimes) = 0) then      (       contains($narrative, $h-dt-value)                or       (string-length($h-dt-value) = 4 and contains($narrative, $h-year))             or        (string-length($h-dt-value) = 6 and contains($narrative, concat($h-month-short, $h-year)))          or       (string-length($h-dt-value) &gt; 7 and starts-with($h-day, '0') and        (contains($narrative, concat(substring($h-day,2,1), $h-month-short, $h-year)) or         contains($narrative, concat(substring($h-day,2,1), $h-month-num, $h-year))))          or       (string-length($h-dt-value) &gt; 7 and (contains($narrative, concat($h-day, $h-month-short, $h-year)) or contains($narrative, concat($h-day, $h-month-num, $h-year))))        )       else false() " />
    <xsl:variable name="h-nullFlavor-values" select="if (cda:high/@nullFlavor and cda:high/@nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))        then $nullFlavors/nullFlavor[@value = current()/cda:high/@nullFlavor] else () " />
    <xsl:variable name="h-null-to-find" select="exists($h-nullFlavor-values) " />
    <xsl:variable name="h-null-in-narr" select="($h-nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $h-nullFlavor-values/@name-regex, 'is')])) or              ($h-nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $h-nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="l-nullFlavor-values" select="if (cda:low/@nullFlavor and cda:low/@nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))        then $nullFlavors/nullFlavor[@value = current()/cda:low/@nullFlavor] else () " />
    <xsl:variable name="l-null-to-find" select="exists($l-nullFlavor-values) " />
    <xsl:variable name="l-null-in-narr" select="($l-nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $l-nullFlavor-values/@name-regex, 'is')])) or              ($l-nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $l-nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="l-dt-name" select="if ($l-dt-value = cda:low/@value) then ' low' else '' " />
    <xsl:variable name="l-dt-msg" select="if ($l-dt-value = cda:low/@value) then ' This date/time is the low boundary of a time interval.' else '' " />
    <xsl:variable name="h-dt-msg" select="if ($h-dt-value = cda:high/@value) then ' This date/time is the high boundary of a time interval.' else '' " />
    <xsl:variable name="l-null-msg" select="if ($l-dt-value = cda:low/@value) then ' This nullFlavor value is for the low boundary of a time interval.' else '' " />
    <xsl:variable name="h-null-msg" select="if ($h-dt-value = cda:high/@value) then ' This nullFlavor value is for the high boundary of a time interval.' else '' " />
    <xsl:variable name="multimedia" select="exists($fir-narr-node//cda:renderMultiMedia) or exists($sec-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($fir-narr-node//cda:linkHtml) or exists($sec-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="l-warning-1" select="exists($l-dt-sequence-1) and exists($narr-dateTimes) and $l-dt-match-1 and not($l-dt-match-3) and $l-dt-value != '' " />
    <xsl:variable name="l-error-1" select="$l-warning-1 and not($multimedia) " />
    <xsl:variable name="l-warning-2" select="exists($l-dt-sequence-1) and exists($narr-dateTimes) and not($l-dt-match-1 or $l-dt-match-3) and $l-dt-value != '' " />
    <xsl:variable name="l-error-2a" select="$l-warning-2 and not($multimedia) and $l-time-zone != '' and count($narr-dateTimes) =        count(for $dt in $narr-dateTimes return replace(replace($dt, $regex-date-type-1, ''), $regex-date-type-2, '')       [matches(., concat('^\s*([0-9]{1,2}:{1}[0-9]{2}\s*', substring($l-time-zone, 1, 4), ':?', substring($l-time-zone, 5, 2),         '|[0-9]{1,2}:{1}[0-9]{2}:{1}[0-9]{2}\s*', substring($l-time-zone, 1, 4), ':?', substring($l-time-zone, 5, 2), ')\s*$'), 'i')]) " />
    <xsl:variable name="l-error-2b" select="$l-warning-2 and not($l-dt-match-1) and not($multimedia) and count($narr-dateTimes[matches(., $regex-date-type-2, 'i')]) =        count($narr-dateTimes[matches(., concat($regex-date-type-2, ' ', $narr-time-regex, '$'), 'i')]) " />
    <xsl:variable name="l-error-2c" select="$l-warning-2 and exists($narr-dateTimes[matches(., concat('^', $l-year, '$'))]) " />
    <xsl:variable name="l-error-2" select="$l-error-2a or $l-error-2b or $l-error-2c " />
    <xsl:variable name="l-warning-3" select="$l-dt-value != '' and not(exists($narr-dateTimes)) and not($l-narr-match) " />
    <xsl:variable name="l-error-3" select="$l-warning-3 and not($multimedia) and not(contains($narrative, substring($l-year, 3,2)))" />
    <xsl:variable name="h-warning-1" select="exists($h-dt-sequence-1) and exists($narr-dateTimes) and $h-dt-match-1 and not($h-dt-match-3) and $h-dt-value != '' " />
    <xsl:variable name="h-error-1" select="$h-warning-1 and not($multimedia) " />
    <xsl:variable name="h-warning-2" select="exists($h-dt-sequence-1) and exists($narr-dateTimes) and not($h-dt-match-1 or $h-dt-match-3) and $h-dt-value != '' " />
    <xsl:variable name="h-error-2a" select="$h-warning-2 and not($multimedia) and $h-time-zone != '' and count($narr-dateTimes) =        count(for $dt in $narr-dateTimes return replace(replace($dt, $regex-date-type-1, ''), $regex-date-type-2, '')       [matches(., concat('^\s*([0-9]{1,2}:{1}[0-9]{2}\s*', substring($h-time-zone, 1, 4), ':?', substring($h-time-zone, 5, 2),         '|[0-9]{1,2}:{1}[0-9]{2}:{1}[0-9]{2}\s*', substring($h-time-zone, 1, 4), ':?', substring($h-time-zone, 5, 2), ')\s*$'), 'i')]) " />
    <xsl:variable name="h-error-2b" select="$h-warning-2 and not($h-dt-match-1) and not($multimedia) and count($narr-dateTimes[matches(., $regex-date-type-2, 'i')]) =        count($narr-dateTimes[matches(., concat($regex-date-type-2, ' ', $narr-time-regex, '$'), 'i')]) " />
    <xsl:variable name="h-error-2c" select="$l-warning-2 and exists($narr-dateTimes[matches(., concat('^', $h-year, '$'))]) " />
    <xsl:variable name="h-error-2" select="$h-error-2a or $h-error-2b or $h-error-2c " />
    <xsl:variable name="h-warning-3" select="$h-dt-value != '' and not(exists($narr-dateTimes)) and not($h-narr-match) " />
    <xsl:variable name="h-error-3" select="$h-warning-3 and not($multimedia) and not(contains($narrative, substring($h-year, 3,2))) " />
    <xsl:variable name="narr-dt-msg" select="if ($multimedia or $no-content) then ''       else if (not(exists($narr-dateTimes))) then concat(' The narrative of the ', iq:location(., ''), ' contains no dateTime elements.')       else if (count($narr-dateTimes) = 1) then concat(' The only dateTime element in the narrative of the ', iq:location(., ''), ' is ''',         dh:XQueryRecursiveReplace($narr-dateTimes[1], '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), '''.')       else concat(' The distinct dateTime elements in the narrative of the ', iq:location(., ''), ' are ''',         string-join(for $dt in $narr-dateTimes return          dh:XQueryRecursiveReplace($dt, '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), ', '), '''.') " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-4" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-4 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and exists($l-dt-sequence-1) and $l-dt-value != '' and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and exists($l-dt-sequence-1) and $l-dt-value != '' and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 4: The dateTime element in the structured data is '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'.<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text />
		The number of dateTime elements that have been extracted from the narrative is '<xsl:text /><xsl:value-of select="count($narr-dateTimes)" /><xsl:text />'.
		These are '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-dateTimes, ', '), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The initial regular expressions are '<xsl:text /><xsl:value-of select="string-join($l-dt-sequence-1, ', ')" /><xsl:text />'.
		The three regular expressions used to perform an exact match for narrative dateTime elements are as follows:
		l-dt-regex-1='<xsl:text /><xsl:value-of select="$l-dt-regex-1" /><xsl:text />'; l-dt-regex-2='<xsl:text /><xsl:value-of select="$l-dt-regex-2" /><xsl:text />'; and l-dt-regex-3='<xsl:text /><xsl:value-of select="$l-dt-regex-3" /><xsl:text />'.
		Was a match found after the first regular expression was created? <xsl:text /><xsl:value-of select="$l-dt-match-1" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($l-dt-regex-2 = '') then 'The second regular expression was not applied as there is no time information.'    else concat('Was a match found after the second regular expression (with a date and time) was created? ', $l-dt-match-2, '.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($l-dt-regex-3 = '') then 'The third regular expression was not applied as there is no timezone information.'    else concat('Was a match found after the third regular expression (with a date and time) was created? ', $l-dt-match-3, '.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and exists($h-dt-sequence-1) and $h-dt-value != '' and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and exists($h-dt-sequence-1) and $h-dt-value != '' and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 4: The dateTime element in the structured data is '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'.<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text />
		The number of dateTime elements that have been extracted from the narrative is '<xsl:text /><xsl:value-of select="count($narr-dateTimes)" /><xsl:text />'.
		These are '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-dateTimes, ', '), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The initial regular expressions are '<xsl:text /><xsl:value-of select="string-join($h-dt-sequence-1, ', ')" /><xsl:text />'.
		The three regular expressions used to perform an exact match for narrative dateTime elements are as follows:
		h-dt-regex-1='<xsl:text /><xsl:value-of select="$h-dt-regex-1" /><xsl:text />'; h-dt-regex-2='<xsl:text /><xsl:value-of select="$h-dt-regex-2" /><xsl:text />'; and h-dt-regex-3='<xsl:text /><xsl:value-of select="$h-dt-regex-3" /><xsl:text />'.
		Was a match found after the first regular expression was created? <xsl:text /><xsl:value-of select="$h-dt-match-1" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($h-dt-regex-2 = '') then 'The second regular expression was not applied as there is no time information.'    else concat('Was a match found after the second regular expression (with a date and time) was created? ', $h-dt-match-2, '.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($h-dt-regex-3 = '') then 'The third regular expression was not applied as there is no timezone information.'    else concat('Was a match found after the third regular expression (with a date and time) was created? ', $h-dt-match-3, '.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $l-warning-1 and not($l-error-1 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $l-warning-1 and not($l-error-1 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Reporting Radiologist Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /> Although the date was found in the narrative the Reporting Radiologist Participation Period data element must contain the time.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Reporting Radiologist Participation Period data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $l-error-1 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $l-error-1 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Reporting Radiologist Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /> Although the date was found in the narrative the Reporting Radiologist Participation Period data element must contain the time.
		The Reporting Radiologist Participation Period data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $l-error-1 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $l-error-1 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Reporting Radiologist Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /> Although the date was found in the narrative the Reporting Radiologist Participation Period data element must contain the time.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-warning-2 and not($l-error-2 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-warning-2 and not($l-error-2 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Reporting Radiologist Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Reporting Radiologist Participation Period data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-error-2 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-error-2 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Reporting Radiologist Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($l-error-2c) then concat('The narrative contains a date with the same year ''', $l-year, ''' but without a month or day.') else '' " /><xsl:text />
		The Reporting Radiologist Participation Period data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-error-2 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-error-2 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Reporting Radiologist Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($l-error-2c) then concat('The narrative contains a date with the same year ''', $l-year, ''' but without a month or day.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $l-dt-value != '' and not($l-narr-match or $l-null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $l-dt-value != '' and not($l-narr-match or $l-null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Reporting Radiologist Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $l-dt-value != '' and not($l-narr-match or $l-null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $l-dt-value != '' and not($l-narr-match or $l-null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Reporting Radiologist Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Reporting Radiologist Participation Period data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $h-warning-1 and not($h-error-1 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $h-warning-1 and not($h-error-1 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Reporting Radiologist Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /> Although the date was found in the narrative the Reporting Radiologist Participation Period data element must contain the time.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Reporting Radiologist Participation Period data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $h-error-1 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $h-error-1 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Reporting Radiologist Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /> Although the date was found in the narrative the Reporting Radiologist Participation Period data element must contain the time.
		The Reporting Radiologist Participation Period data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $h-error-1 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $h-error-1 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Reporting Radiologist Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /> Although the date was found in the narrative the Reporting Radiologist Participation Period data element must contain the time.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-warning-2 and not($h-error-2 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-warning-2 and not($h-error-2 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Reporting Radiologist Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Reporting Radiologist Participation Period data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-error-2 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-error-2 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Reporting Radiologist Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($h-error-2c) then concat('The narrative contains a date with the same year ''', $h-year, ''' but without a month or day.') else '' " /><xsl:text />
		The Reporting Radiologist Participation Period data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-error-2 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-error-2 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Reporting Radiologist Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($h-error-2c) then concat('The narrative contains a date with the same year ''', $h-year, ''' but without a month or day.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-warning-3 and not($l-error-3 or $no-content)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-warning-3 and not($l-error-3 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Reporting Radiologist Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not seem to be present in the narrative of the section.<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Reporting Radiologist Participation Period data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-error-3 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-error-3 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Reporting Radiologist Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Reporting Radiologist Participation Period data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else ' All clinical information in entry elements must be present in the narrative.'" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-error-3 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-error-3 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Reporting Radiologist Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-warning-3 and not($h-error-3 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-warning-3 and not($h-error-3 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Reporting Radiologist Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not seem to be present in the narrative of the section.<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Reporting Radiologist Participation Period data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-error-3 and not($no-content) and true()  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-error-3 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Reporting Radiologist Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text />
		The Reporting Radiologist Participation Period data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-error-3 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-error-3 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Reporting Radiologist Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $h-dt-value != '' and not($h-narr-match or $h-null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $h-dt-value != '' and not($h-narr-match or $h-null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Reporting Radiologist Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $h-dt-value != '' and not($h-narr-match or $h-null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $h-dt-value != '' and not($h-narr-match or $h-null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Reporting Radiologist Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Reporting Radiologist Participation Period data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-null-to-find and not($l-null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-null-to-find and not($l-null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Reporting Radiologist Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="cda:low/@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$l-nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($l-nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.<xsl:text /><xsl:value-of select="$l-null-msg" /><xsl:text /> If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-null-to-find and not($h-null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-null-to-find and not($h-null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Reporting Radiologist Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="cda:high/@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$h-nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($h-nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.<xsl:text /><xsl:value-of select="$h-null-msg" /><xsl:text />
		If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M204" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M204" />
  <xsl:template match="@*|node()" priority="-2" mode="M204">
    <xsl:apply-templates select="@*|*" mode="M204" />
  </xsl:template>
  <!--PATTERN p-TS-DiagImaging-EncapsulatedData-1-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument['101.16945' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16945']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16971']]/cda:reference[@typeCode='XCRPT']/cda:externalDocument/cda:text" priority="1000" mode="M205">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument['101.16945' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16945']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16971']]/cda:reference[@typeCode='XCRPT']/cda:externalDocument/cda:text" />
    <xsl:variable name="the-text" select="normalize-space(string-join(text(), '')) " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="display-text-1" select="$the-text " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)        then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')), codepoints-to-string(34))       else concat('commencing with ', codepoints-to-string(34),         normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),         $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-02" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-02 else $rating-alt-TC-Types-02 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-02: The Examination Result Representation
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type and
		<xsl:text /><xsl:value-of select="if (cda:reference/@value and $text-is-present) then concat('has a reference to ''', cda:reference/@value, ''' and contains the character string ',    $display-text)   else if (cda:reference/@value and not($text-is-present)) then concat('has a reference to ''', cda:reference/@value, '''')   else if (not(cda:reference/@value) and $text-is-present) then concat('contains the character string ', $display-text)   else 'has no reference and does not contain a character string' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@nullFlavor) then concat(' The nullFlavor attribute has the value ''', @nullFlavor, '''.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (@integrityCheckAlgorithm) then concat(' The integrityCheckAlgorithm attribute has the value ''', @integrityCheckAlgorithm, '''.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (@integrityCheck) then concat(' The integrityCheck attribute has the value ''', @integrityCheck, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-02" /><xsl:text />: TC-Types-02: According to section 2.21 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Examination Result Representation

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type
		which is derived from the HL7 'ED' data type however the xsi:type attribute has the value <xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(local-name(..) = 'observationMedia') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(local-name(..) = 'observationMedia') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-02" /><xsl:text />: TC-Types-02: According to section 2.21 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Examination Result Representation
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type which is derived from the HL7 'ED' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'ED'.
		(See section 5.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeED') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeED')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.21 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Examination Result Representation
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type.
		The data element's value '<xsl:text /><xsl:value-of select="$display-text-1" /><xsl:text />' contains "xsitypeED" which is an invalid attempt to assign the data element's type to be the HL7 'ED' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ED'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@integrityCheckAlgorithm) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@integrityCheckAlgorithm)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-02" /><xsl:text />: TC-Types-02: The Examination Result Representation
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type but does not have the
		integrityCheckAlgorithm attribute which indicates the data element does not have the HL7 'ED' data type. The Encapsulated Data data type is derived from the HL7 'ED' data type so the
		attribute xsi:type with the value 'ED' needs to be added to the data element.
		(See section 5.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('reference', 'thumbnail'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('reference', 'thumbnail'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.21 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Examination Result Representation

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('reference', 'thumbnail'))])" /><xsl:text />' was found that is not expected for the EncapsulatedData data type
		so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('reference', 'thumbnail'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('reference', 'thumbnail'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.21 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Examination Result Representation

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('reference', 'thumbnail'))])" /><xsl:text />' was found that is not expected for the EncapsulatedData data type
		so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'charset', 'integrityCheck', 'integrityCheckAlgorithm', 'compression', 'representation'))] and    not(@xsi:type and not(@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'charset', 'integrityCheck', 'integrityCheckAlgorithm', 'compression', 'representation'))] and not(@xsi:type and not(@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.21 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Examination Result Representation

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'charset', 'integrityCheck', 'integrityCheckAlgorithm', 'compression', 'representation'))])" /><xsl:text />' was
		found that is not expected for the EncapsulatedData data type.
		The definition of the EncapsulatedData data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'charset', 'integrityCheck', 'integrityCheckAlgorithm', 'compression', 'representation'))] and    not(@xsi:type and not(@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'charset', 'integrityCheck', 'integrityCheckAlgorithm', 'compression', 'representation'))] and not(@xsi:type and not(@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.21 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Examination Result Representation

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'charset', 'integrityCheck', 'integrityCheckAlgorithm', 'compression', 'representation'))])" /><xsl:text />' was
		found that is not expected for the EncapsulatedData data type.
		The definition of the EncapsulatedData data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-02" /><xsl:text />: TC-Types-02: The Examination Result Representation
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type and has the attribute
		language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this attribute.
		(See section 5.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @charset ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @charset">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-02" /><xsl:text />: TC-Types-02: The Examination Result Representation
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type and has the attribute
		charset='<xsl:text /><xsl:value-of select="@charset" /><xsl:text />'. Confirm that this is a valid value for this attribute.
		(See section 5.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M205" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M205" />
  <xsl:template match="@*|node()" priority="-2" mode="M205">
    <xsl:apply-templates select="@*|*" mode="M205" />
  </xsl:template>
  <!--PATTERN p-TS-DiagImaging-EncapsulatedData-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16945' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16945']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16971']]/cda:reference[@typeCode='XCRPT']/cda:externalDocument/cda:text " priority="1000" mode="M206">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16945' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16945']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16971']]/cda:reference[@typeCode='XCRPT']/cda:externalDocument/cda:text " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Examination Result Representation '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Examination Result Representation
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Examination Result Representation data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Examination Result Representation
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Examination Result Representation data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Examination Result Representation
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Examination Result Representation
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Examination Result Representation data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Examination Result Representation
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M206" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M206" />
  <xsl:template match="@*|node()" priority="-2" mode="M206">
    <xsl:apply-templates select="@*|*" mode="M206" />
  </xsl:template>
  <!--PATTERN p-TS-DiagImaging-Text-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16945' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16945']]/cda:entry/   cda:act/cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16966']]/cda:text " priority="1000" mode="M207">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16945' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16945']]/cda:entry/   cda:act/cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16966']]/cda:text " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Report Description
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 2.25 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Report Description 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 2.25 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Report Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.25 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Report Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Report Description however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Report Description in section 2.25 of the Diagnostic Imaging Report Structured Content Specification v1.0 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.25 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Report Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Report Description however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Report Description in section 2.25 of the Diagnostic Imaging Report Structured Content Specification v1.0 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Report Description data element with a proper value then an exclusion
		statement must be included to state why there is no Report Description. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.25 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Report Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Report Description however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Report Description in section 2.25 of the Diagnostic Imaging Report Structured Content Specification v1.0 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.25 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Report Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.25 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Report Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.25 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Report Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.25 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Report Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.25 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Report Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.25 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Report Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.25 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Report Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.25 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Report Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.25 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Report Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 2.25 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Report Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M207" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M207" />
  <xsl:template match="@*|node()" priority="-2" mode="M207">
    <xsl:apply-templates select="@*|*" mode="M207" />
  </xsl:template>
  <!--PATTERN p-TS-DiagImaging-Text-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16945' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16945']]/cda:entry/   cda:act/cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16966']]/cda:text " priority="1000" mode="M208">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16945' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16945']]/cda:entry/   cda:act/cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16966']]/cda:text " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Report Description '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Report Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Report Description data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Report Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Report Description data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Report Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Report Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Report Description data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Report Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M208" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M208" />
  <xsl:template match="@*|node()" priority="-2" mode="M208">
    <xsl:apply-templates select="@*|*" mode="M208" />
  </xsl:template>
  <!--PATTERN p-TS-CeaseMed-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16146.4.1.2' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.2'] " priority="1000" mode="M209">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16146.4.1.2' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.2'] " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating" select="if ($initial-priority) then $initial-rating else if ($FS-Types-seq/@rating) then concat(' (', $FS-Types-seq/@rating, ')') else '' " />
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and not(/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']) and $extensions-allowed">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']) and $extensions-allowed">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: FS-Types: The Ceased Medications section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16146.4.1.2') has been found in a <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. The Ceased Medications section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16146.4.1.2') is defined in the digital health specifications but
		although tests have been applied to the data elements the specification of the data elements may have been varied for inclusion in this document
		so further examination may be needed. The rules have been validated for <xsl:text /><xsl:value-of select="normalize-space('Discharge Summary CDA Implementation Guide version 3.4')" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M209" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M209" />
  <xsl:template match="@*|node()" priority="-2" mode="M209">
    <xsl:apply-templates select="@*|*" mode="M209" />
  </xsl:template>
  <!--PATTERN p-TS-CeaseMed-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16146.4.1.2' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.2']]/cda:component/cda:section " priority="1000" mode="M210">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16146.4.1.2' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.2']]/cda:component/cda:section " />
    <xsl:variable name="agency-section" select=" cda:code/@codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="test-step" select=" if (not($extensions-allowed)) then 'step 4'        else if ($agency-section) then 'step 3' else 'step 1' " />
    <xsl:variable name="title-and-code" select=" if (cda:title and cda:code/@code) then concat('title ''', cda:title, ''', code/code ''', cda:code/@code, '''')        else if (cda:title and not(cda:code/@code)) then concat('title ''', cda:title, '''')        else if (not(cda:title) and cda:code/@code) then concat('code/code ''', cda:code/@code, '''')        else '' " />
    <xsl:variable name="other-section-names" select=" if (cda:code/@displayName and not(cda:code/cda:originalText)) then concat(' and code/displayName ''', cda:code/@displayName, '''')         else if (cda:code/@displayName and cda:code/cda:originalText)          then concat(', code/displayName ''', cda:code/@displayName,''' and code/originalText ''', cda:code/cda:originalText, '''')        else if (not(cda:code/@displayName) and cda:code/cda:originalText) then concat(' and code/originalText ''', cda:code/cda:originalText, '''')        else '' " />
    <xsl:variable name="section-names" select="concat($title-and-code, $other-section-names)" />
    <xsl:variable name="doc-code" select="/cda:ClinicalDocument/cda:code" />
    <xsl:variable name="parent-section" select="ancestor::cda:section[position()=1]" />
    <xsl:variable name="custom-section-info" select="($iq-config/custom-sections/section, $knowledge/custom-sections/section)[        @doc-code  = $doc-code/@code          and        @doc-codeSystem  = $doc-code/@codeSystem          and        @parent-code   = $parent-section/cda:code/@code         and         @parent-codeSystem  = $parent-section/cda:code/@codeSystem        and         (@title = current()/cda:title or (@code = current()/cda:code/@code and @codeSystem = current()/cda:code/@codeSystem)) ] " />
    <xsl:variable name="section-disallowed" select="$custom-section-info/@disallowed = 'yes' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and ($section-disallowed or not(exists($custom-section-info)))) then $rating-alt-TC-Doc-28-step-1        else if ($test-step = 'step 1' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections]) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 3') then $rating-TC-Doc-28-step-3 else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and $section-disallowed ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and $section-disallowed">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Ceased Medications section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16146.4.1.2') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> which
		is an extension to the information model however the inclusion of this section conflicts with sections defined in the digital health specifications.
		<xsl:text /><xsl:value-of select="$custom-section-info[@disallowed = 'yes']/@reason" /><xsl:text /> (Also see <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not(false()) and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(false()) and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Ceased Medications section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16146.4.1.2') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. No subsection is expected so this
		is an extension to the information model. Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the 
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(false()) and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(false()) and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Ceased Medications section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16146.4.1.2') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> but no subsections were
		expected so the document fails to meet the requirement that it must not contain additional data elements. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and false() and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and false() and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Ceased Medications section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16146.4.1.2') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		none are expected but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the information model.
		Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Ceased Medications section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16146.4.1.2') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		none are expected but the inclusion of the section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> fails to meet the requirement that it must not contain additional data elements.
		(See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M210" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M210" />
  <xsl:template match="@*|node()" priority="-2" mode="M210">
    <xsl:apply-templates select="@*|*" mode="M210" />
  </xsl:template>
  <!--PATTERN p-TS-CeaseMed-CodeableText-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16146.4.1.2' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.2']]/   cda:entry/cda:substanceAdministration/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code " priority="1000" mode="M211">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16146.4.1.2' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.2']]/   cda:entry/cda:substanceAdministration/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Ceased Medications - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Ceased Medications - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Ceased Medications - Therapeutic Good Identification',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to section 5.25 of the Discharge Summary Structured Document Template v3.3 the Ceased Medications - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to section 5.25 of the Discharge Summary Structured Document Template v3.3 the Ceased Medications - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'exclusion' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'exclusion' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 5.25 of the Discharge Summary Structured Document Template v3.3 the Ceased Medications - Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Ceased Medications - Therapeutic Good Identification however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Ceased Medications - Therapeutic Good Identification in section 5.25 of the Discharge Summary Structured Document Template v3.3 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'exclusion' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'exclusion' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 5.25 of the Discharge Summary Structured Document Template v3.3 the Ceased Medications - Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Ceased Medications - Therapeutic Good Identification however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Ceased Medications - Therapeutic Good Identification in section 5.25 of the Discharge Summary Structured Document Template v3.3 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Ceased Medications - Therapeutic Good Identification data element must have a value that is consistent with this definition. Alternatively if there is no Ceased Medications - Therapeutic Good Identification data element with a proper value then an exclusion
		statement must be included to state why there is no Ceased Medications - Therapeutic Good Identification.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'exclusion' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'exclusion' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 5.25 of the Discharge Summary Structured Document Template v3.3 the Ceased Medications - Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Ceased Medications - Therapeutic Good Identification however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Ceased Medications - Therapeutic Good Identification in section 5.25 of the Discharge Summary Structured Document Template v3.3 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'exclusion' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'exclusion' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 5.25 of the Discharge Summary Structured Document Template v3.3 the Ceased Medications - Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Ceased Medications - Therapeutic Good Identification however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Ceased Medications - Therapeutic Good Identification in section 5.25 of the Discharge Summary Structured Document Template v3.3 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Ceased Medications - Therapeutic Good Identification data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'exclusion' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'exclusion' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 5.25 of the Discharge Summary Structured Document Template v3.3 the Ceased Medications - Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Ceased Medications - Therapeutic Good Identification however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Ceased Medications - Therapeutic Good Identification in section 5.25 of the Discharge Summary Structured Document Template v3.3 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Ceased Medications - Therapeutic Good Identification data element must have a value that is consistent with this definition. Alternatively if there is no Ceased Medications - Therapeutic Good Identification data element with a proper value then an exclusion
		statement must be included to state why there is no Ceased Medications - Therapeutic Good Identification.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'exclusion' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'exclusion' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 5.25 of the Discharge Summary Structured Document Template v3.3 the Ceased Medications - Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Ceased Medications - Therapeutic Good Identification however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Ceased Medications - Therapeutic Good Identification in section 5.25 of the Discharge Summary Structured Document Template v3.3 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Ceased Medications - Therapeutic Good Identification data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Ceased Medications - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.25 of the Discharge Summary Structured Document Template v3.3 the Ceased Medications - Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.25 of the Discharge Summary Structured Document Template v3.3 the Ceased Medications - Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.25 of the Discharge Summary Structured Document Template v3.3 the Ceased Medications - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.25 of the Discharge Summary Structured Document Template v3.3 the Ceased Medications - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 5.25 of the Discharge Summary Structured Document Template v3.3 the Ceased Medications - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 5.25 of the Discharge Summary Structured Document Template v3.3 the Ceased Medications - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 5.25 of the Discharge Summary Structured Document Template v3.3 the Ceased Medications - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 5.25 of the Discharge Summary Structured Document Template v3.3 the Ceased Medications - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Ceased Medications - Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 5.25 of the Discharge Summary Structured Document Template v3.3 the Ceased Medications - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Ceased Medications - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Ceased Medications - Therapeutic Good Identification.
		(See the definition of Ceased Medications - Therapeutic Good Identification in section 5.25 of the Discharge Summary Structured Document Template v3.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Ceased Medications - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M211" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M211" />
  <xsl:template match="@*|node()" priority="-2" mode="M211">
    <xsl:apply-templates select="@*|*" mode="M211" />
  </xsl:template>
  <!--PATTERN p-TS-CeaseMed-CodeableText-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '101.16146.4.1.2' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.2']]/   cda:entry/cda:substanceAdministration/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code   [@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " priority="1000" mode="M212">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '101.16146.4.1.2' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.2']]/   cda:entry/cda:substanceAdministration/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code   [@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="pnullFlavor" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @nullFlavor) then @nullFlavor else '' " />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-p-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then false()        else if ($psnomed-id = 'amtv3' and @codeSystemVersion) then exists($v-amtv3[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($psnomed-id = 'snomedctau' and @codeSystemVersion) then exists($v-snomedctau[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false() " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and $pcode != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used to assess the primary code.') " />
    <xsl:variable name="pcode-refsets-1" select="if (@codeSystem = '2.16.840.1.113883.6.96' and not($pcode = ''))         then dh:FindValueDomainsForCode($pcode, '2.16.840.1.113883.6.96', $v-psnomed-version) else 'no-code' " />
    <xsl:variable name="pcode-found" select="not($pcode-refsets-1 = 'no-code' or $pcode-refsets-1 = 'CodeNotFound' or $pcode-refsets-1 = 'Error'        or contains($pcode-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="pcode-refsets" select="if ($pcode-found) then distinct-values(tokenize($pcode-refsets-1, '\|')) else () " />
    <xsl:variable name="pcode-special-proc" select="count($pcode-refsets) = 1 and 'Procedure Foundation (PF)' = $pcode-refsets and not($pnullFlavor = 'OTH') " />
    <xsl:variable name="pcode-refsets-msg" select="if (count($pcode-refsets) = 0) then ''         else if (count($pcode-refsets) = 1) then concat('The code is a member of the ', $pcode-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($pcode-refsets, ', '), '.') " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))         else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-1" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="snomed-trans-2" select="distinct-values(for $i in (1 to count($snomed-trans-1)) return $snomed-trans-1[$i]/@code) " />
    <xsl:variable name="snomed-trans-a" select="$snomed-trans-1[1] " />
    <xsl:variable name="tcode-a" select="if (exists($snomed-trans-a) and matches($snomed-trans-a/@code, $snomed-code-regex)) then $snomed-trans-a/@code else '' " />
    <xsl:variable name="tnullFlavor-a" select="if (exists($snomed-trans-a) and $snomed-trans-a/@nullFlavor) then $snomed-trans-a/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-a" select="if (not(exists($snomed-trans-a))) then 'not-snomed'        else if (not($snomed-trans-a/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-a/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-a" select="if (not(exists($snomed-trans-a))) then ''        else if ($tsnomed-id-a = 'amtv3' and exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-a = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-a/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-a" select="if (not(exists($snomed-trans-a))) then false()        else if ($tsnomed-id-a = 'amtv3' and $snomed-trans-a/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-a = 'snomedctau' and $snomed-trans-a/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-a-msg" select="if (not(exists($snomed-trans-a))) then ''        else if (not($snomed-trans-a/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-a, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-a = 'amtv3') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-a = 'snomedctau') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-a/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-a, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-a/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-a-refsets-1" select="if (exists($snomed-trans-a) and not($tcode-a = ''))         then dh:FindValueDomainsForCode($tcode-a, '2.16.840.1.113883.6.96', $v-tsnomed-version-a) else 'no-code' " />
    <xsl:variable name="tcode-a-found" select="not($tcode-a-refsets-1 = 'no-code' or $tcode-a-refsets-1 = 'CodeNotFound' or $tcode-a-refsets-1 = 'Error'         or contains($tcode-a-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-a-refsets" select="if ($tcode-a-found) then distinct-values(tokenize($tcode-a-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-a-special-proc" select="count($tcode-a-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-a-refsets and not($tnullFlavor-a = 'OTH') " />
    <xsl:variable name="tcode-a-refsets-msg" select="if (count($tcode-a-refsets) = 0) then ''         else if (count($tcode-a-refsets) = 1) then concat('The code is a member of the ', $tcode-a-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-a-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@code and $snomed-trans-a/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-a/@displayName, codepoints-to-string(34))         else if ($snomed-trans-a/@code and not($snomed-trans-a/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@codeSystem and $snomed-trans-a/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-a/@codeSystemName, ')')         else if ($snomed-trans-a/@codeSystem and not($snomed-trans-a/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-b" select="(for $i in (2 to count($snomed-trans-1)) return if ($snomed-trans-1[$i]/@code != $snomed-trans-a/@code) then $snomed-trans-1[$i] else ())[1] " />
    <xsl:variable name="tcode-b" select="if (exists($snomed-trans-b) and matches($snomed-trans-b/@code, $snomed-code-regex)) then $snomed-trans-b/@code else '' " />
    <xsl:variable name="tnullFlavor-b" select="if (exists($snomed-trans-b) and $snomed-trans-b/@nullFlavor) then $snomed-trans-b/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-b" select="if (not(exists($snomed-trans-b))) then 'not-snomed'        else if (not($snomed-trans-b/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-b/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-b" select="if (not(exists($snomed-trans-b))) then ''        else if ($tsnomed-id-b = 'amtv3' and exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-b = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-b/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-b" select="if (not(exists($snomed-trans-b))) then false()        else if ($tsnomed-id-b = 'amtv3' and $snomed-trans-b/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-b = 'snomedctau' and $snomed-trans-b/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-b-msg" select="if (not(exists($snomed-trans-b))) then ''        else if (not($snomed-trans-b/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-b, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-b = 'amtv3') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-b = 'snomedctau') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-b/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-b, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-b/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-b-refsets-1" select="if (exists($snomed-trans-b) and not($tcode-b = ''))         then dh:FindValueDomainsForCode($tcode-b, '2.16.840.1.113883.6.96', $v-tsnomed-version-b) else 'no-code' " />
    <xsl:variable name="tcode-b-found" select="not($tcode-b-refsets-1 = 'no-code' or $tcode-b-refsets-1 = 'CodeNotFound' or $tcode-b-refsets-1 = 'Error'         or contains($tcode-b-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-b-refsets" select="if ($tcode-b-found) then distinct-values(tokenize($tcode-b-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-b-special-proc" select="count($tcode-b-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-b-refsets and not($tnullFlavor-b = 'OTH') " />
    <xsl:variable name="tcode-b-refsets-msg" select="if (count($tcode-b-refsets) = 0) then ''         else if (count($tcode-b-refsets) = 1) then concat('The code is a member of the ', $tcode-b-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-b-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@code and $snomed-trans-b/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-b/@displayName, codepoints-to-string(34))         else if ($snomed-trans-b/@code and not($snomed-trans-b/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@codeSystem and $snomed-trans-b/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-b/@codeSystemName, ')')         else if ($snomed-trans-b/@codeSystem and not($snomed-trans-b/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-60" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-60 else $rating-alt-TC-Types-60 " />
    <!--REPORT -->
    <xsl:if test=" $pcode-found and $pcode-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pcode-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD (p-TS-CD-SCT-RefSet): An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$pcode" /><xsl:text />',
		codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-psnomed-version" /><xsl:text />'. This error occurred when assessing the Ceased Medications - Therapeutic Good Identification data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Ceased Medications - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. The value is not valid for the data element as it describes a medical
		procedure and not a medical problem or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify medications that the consumer was taking         at the start of the healthcare encounter (e.g. on admission), that have been stopped during the encounter or on discharge, and that         are not expected to be recommenced. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate. (See section 5.20 of the Discharge Summary Structured Document Template v3.3.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Ceased Medications - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the code is not a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.7 of the Medication Instruction and Action Detailed Clinical Model Specification v2.4,         which allows more reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Ceased Medications - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.7 of the Medication Instruction and Action Detailed Clinical Model Specification v2.4,         which allows more reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Ceased Medications - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.7 of the Medication Instruction and Action Detailed Clinical Model Specification v2.4,         which allows more reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Ceased Medications - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. Confirm if the code is a member of the value domain.
		If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.7 of the Medication Instruction and Action Detailed Clinical Model Specification v2.4,         which allows more reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Ceased Medications - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="count($snomed-trans-1)" /><xsl:text /> translation elements with
		codes and the SNOMED CT-AU codeSystem '2.16.840.1.113883.6.96'. The first two translation elements have been assessed to determine if the codes are members of the value domain
		and the others have not been assessed. Confirm if the value of the code attribute in all SNOMED CT translation elements meets the requirement that it be a member of the value domain
		if there is no nullFlavor 'OTH' or that there is a nullFlavor 'OTH' if the value of the code attribute is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text /> 
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.7 of the Medication Instruction and Action Detailed Clinical Model Specification v2.4,         which allows more reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-a" /><xsl:text />'. This error occurred when assessing the Ceased Medications - Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Ceased Medications - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify medications that the consumer was taking         at the start of the healthcare encounter (e.g. on admission), that have been stopped during the encounter or on discharge, and that         are not expected to be recommenced. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate. (See section 5.20 of the Discharge Summary Structured Document Template v3.3.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Ceased Medications - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.7 of the Medication Instruction and Action Detailed Clinical Model Specification v2.4,         which allows more reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Ceased Medications - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.7 of the Medication Instruction and Action Detailed Clinical Model Specification v2.4,         which allows more reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Ceased Medications - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.7 of the Medication Instruction and Action Detailed Clinical Model Specification v2.4,         which allows more reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Ceased Medications - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.7 of the Medication Instruction and Action Detailed Clinical Model Specification v2.4,         which allows more reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-b" /><xsl:text />'. This error occurred when assessing the Ceased Medications - Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Ceased Medications - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> 
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify medications that the consumer was taking         at the start of the healthcare encounter (e.g. on admission), that have been stopped during the encounter or on discharge, and that         are not expected to be recommenced. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate. (See section 5.20 of the Discharge Summary Structured Document Template v3.3.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Ceased Medications - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.7 of the Medication Instruction and Action Detailed Clinical Model Specification v2.4,         which allows more reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Ceased Medications - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.7 of the Medication Instruction and Action Detailed Clinical Model Specification v2.4,         which allows more reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Ceased Medications - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.7 of the Medication Instruction and Action Detailed Clinical Model Specification v2.4,         which allows more reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Ceased Medications - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.7 of the Medication Instruction and Action Detailed Clinical Model Specification v2.4,         which allows more reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M212" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M212" />
  <xsl:template match="@*|node()" priority="-2" mode="M212">
    <xsl:apply-templates select="@*|*" mode="M212" />
  </xsl:template>
  <!--PATTERN p-TS-CeaseMed-CodeableText-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '101.16146.4.1.2' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.2']]/   cda:entry/cda:substanceAdministration/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code   [(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-meds-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])]   [not(@nullFlavor = $no-value-NF)] " priority="1000" mode="M213">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '101.16146.4.1.2' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.2']]/   cda:entry/cda:substanceAdministration/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code   [(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-meds-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])]   [not(@nullFlavor = $no-value-NF)] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="snomed-trans" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="tcode" select="if (exists($snomed-trans[1]) and matches($snomed-trans[1]/@code, $snomed-code-regex)) then $snomed-trans[1]/@code else '' " />
    <xsl:variable name="code-present" select="$pcode != '' or $tcode != '' " />
    <xsl:variable name="invalid-code-system" select="@code and @displayName and @codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="codesystemvalues" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']" />
    <xsl:variable name="otext-without-markup" select="if (cda:originalText and cda:originalText != '') then normalize-space(replace(cda:originalText, $markup-regex, ' ')) else '' " />
    <xsl:variable name="pdname" select="if (@displayName and not($invalid-code-system)) then normalize-space(@displayName) else '' " />
    <xsl:variable name="is-immun" select="exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='101.16638' or @code = '101.16658' or @code = '101.17039')]]) " />
    <xsl:variable name="is-pd" select="exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code = '102.16210' or @code='102.16211' or @code='101.16795')]]) " />
    <xsl:variable name="is-shs-meds" select="$templateId-root = '1.2.36.1.2001.1001.101.100.1002.120' and          exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]) " />
    <xsl:variable name="is-meds" select="exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code = '101.16146.4.1.1' or @code = '101.16146.4.1.2' or @code='101.16146')]]) " />
    <xsl:variable name="max-code-number" select="if ($knowledge/search-for-term/max-sct-code-number/@value &gt; '5') then $knowledge/search-for-term/max-sct-code-number/@value else '5' " />
    <xsl:variable name="der-text-1" select="if ($code-present) then ''         else if ($otext-without-markup != '') then $otext-without-markup        else if ($pdname != '') then $pdname        else '' " />
    <xsl:variable name="family-err" select="matches($der-text-1, $family-regex, 'is')" />
    <xsl:variable name="der-truncated-text-1" select="normalize-space(replace(replace($der-text-1, $unicode-br-truncation-regex, '$1', 'is'), $tgi-truncation-regex, '$1', 'is')) " />
    <xsl:variable name="length-err" select="string-length($der-truncated-text-1) &gt; $length-err-max" />
    <xsl:variable name="prose-err-1" select="$length-err and cda:originalText and (        matches(cda:originalText, $ulist-regex)           or         matches(cda:originalText, $alt-ulist-1a-regex, 'is')         or         matches(cda:originalText, $alt-ulist-1b-regex, 'is')         )" />
    <xsl:variable name="prose-err" select="$prose-err-1 or (cda:originalText and (         matches(cda:originalText, $alt-ulist-2-regex, 'is')         or        matches(cda:originalText, $olist-arabic-regex, 'is')         or         matches(cda:originalText, $olist-alpha-regex, 'is')         or         matches(cda:originalText, $olist-roman-regex, 'is')         or        matches(replace(cda:originalText, $new-line-regex, codepoints-to-string((10)), 'is'), $para-regex, 'is') or        matches(cda:originalText, codepoints-to-string((8233)), 'is')        or               (cda:originalText and matches(cda:originalText, $invalid-concept-regex, 'is'))     or        ($length-err and matches(cda:originalText, '\.\s*$', 's') and matches(cda:originalText, $multi-sentence-regex, 's')) ))" />
    <xsl:variable name="avoid-ts" select="$family-err or $length-err or $prose-err or not($use-ts-for-sctau) " />
    <xsl:variable name="der-text-2a" select="if ($der-truncated-text-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-truncated-text-1, $tgi-fir-pattern-replacement, 'ic')) " />
    <xsl:variable name="der-text-2" select="if ($der-text-2a = '') then $der-text-1 else $der-text-2a " />
    <xsl:variable name="der-text-a" select="if ($der-text-2 = '' or $tgi-regex = '') then $der-text-2 else normalize-space(dh:XQueryRecursiveReplace($der-text-2, $tgi-regex, 'ic')) " />
    <xsl:variable name="der-text" select="if ($der-text-a = '') then $der-text-2 else $der-text-a " />
    <xsl:variable name="defn-valid-regex" select="concat('(^|\|)', translate($der-text-2, $chars-to-remove, ''), '(\||$)') " />
    <xsl:variable name="der-text-to-match-1" select="lower-case($der-text-2) " />
    <xsl:variable name="der-text-to-match" select="translate($der-text-to-match-1, $chars-to-remove, '') " />
    <xsl:variable name="tgi-non-value-regex" select="if ($is-immun)          then $cd-definitions/immun/@non-value-regex         else if ($is-pd)       then $cd-definitions/pd/@non-value-regex        else if ($is-shs-meds) then $cd-definitions/shs-meds/@non-value-regex        else if ($is-meds)     then $cd-definitions/meds/@non-value-regex        else '' " />
    <xsl:variable name="der-text-non-value" select="if ($code-present or @nullFlavor = $no-value-NF) then false() else         $der-text-to-match = ''             or         not(matches($der-text-to-match-1, '[a-z]', 'is'))         or        ($cd-definitions/non-value/@regex != '' and matches($der-text-to-match-1, $cd-definitions/non-value/@regex, 'is')) or        ($tgi-non-value-regex != '' and matches($der-text-to-match-1, $tgi-non-value-regex, 'is'))    " />
    <xsl:variable name="tgi-invalid-regex" select="if ($is-immun)          then $cd-definitions/immun/@invalid-regex         else if ($is-pd)       then $cd-definitions/pd/@invalid-regex        else if ($is-shs-meds) then $cd-definitions/shs-meds/@invalid-regex        else if ($is-meds)     then $cd-definitions/meds/@invalid-regex        else '' " />
    <xsl:variable name="defn-invalid-regex" select="if ($code-present or $der-text-non-value) then ()        else if ($tgi-invalid-regex != '') then tokenize($tgi-invalid-regex, '~')[. != '']         else () " />
    <xsl:variable name="defn-invalid-txt-regex" select="(for $i in (1 to count($defn-invalid-regex)) return normalize-space(substring-before($defn-invalid-regex[$i], '[[')))[. != '']" />
    <xsl:variable name="der-invalid-text-regex-1" select="if (exists($defn-invalid-txt-regex))        then index-of(for $i in (1 to count($defn-invalid-txt-regex)) return matches($der-text-2, $defn-invalid-txt-regex[$i], 'is'), true())        else () " />
    <xsl:variable name="der-invalid-text" select="exists($der-invalid-text-regex-1) " />
    <xsl:variable name="defn-invalid-rsn" select="if ($der-invalid-text)         then normalize-space(substring-before(substring-after($defn-invalid-regex[$der-invalid-text-regex-1[1]], '[['), ']]'))         else '' " />
    <xsl:variable name="trusted-code-systems" select="if ($der-text = '' or $der-invalid-text or not(@codeSystem or cda:translation/@codeSystem)) then ()        else if ($is-immun)          then (tokenize(replace($cd-definitions/immun/@core, '\s+', ''), '\|'),           tokenize(replace($cd-definitions/immun/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-pd)          then (tokenize(replace($cd-definitions/pd/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/pd/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-shs-meds)          then (tokenize(replace($cd-definitions/shs-meds/@core, '\s+', ''), '\|'),          tokenize(replace($cd-definitions/shs-meds/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-meds)          then (tokenize(replace($cd-definitions/meds/@core, '\s+', ''), '\|'),           tokenize(replace($cd-definitions/meds/@extra, '\s+', ''), '\|'))[. != '']         else () " />
    <xsl:variable name="der-trusted-text" select="if ($der-text = '' or $der-invalid-text or (@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex)))) then false()        else ((@codeSystem and exists($trusted-code-systems[. = current()/@codeSystem])) or               (cda:translation/@codeSystem and exists($trusted-code-systems[. = current()/cda:translation/@codeSystem]))) " />
    <xsl:variable name="a-vaccine-1" select="not($code-present or $der-text-non-value or $der-invalid-text) and exists($vaccine-text-normalised) and $der-text-to-match = $vaccine-text-normalised" />
    <xsl:variable name="a-sas-tgi-1" select="not($code-present or $der-text-non-value or $der-invalid-text or $a-vaccine-1) and $tgi-sas-regex != '' and matches($der-text, $tgi-sas-regex, 'is')" />
    <xsl:variable name="an-uncoded-tgi-1" select="not($code-present or $der-text-non-value or $der-invalid-text or $a-vaccine-1 or $a-sas-tgi-1) and $tgi-otheru-regex != '' and         matches($der-text, $tgi-otheru-regex, 'is')" />
    <xsl:variable name="obsolete-tgi-info-1" select="if ($is-immun or $code-present or $der-text-non-value or $der-invalid-text or $a-vaccine-1 or $a-sas-tgi-1 or $an-uncoded-tgi-1 or         not(exists($knowledge/special-tgi/obsolete))) then ()        else $knowledge/special-tgi/obsolete[matches($der-text, concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')] " />
    <xsl:variable name="an-obsolete-tgi-1" select="exists($obsolete-tgi-info-1)" />
    <xsl:variable name="tgi-valid-regex-1" select="if ($code-present or $der-text-non-value or $der-invalid-text or $der-text = '' or $a-vaccine-1 or $a-sas-tgi-1 or $an-uncoded-tgi-1 or          $an-obsolete-tgi-1) then ''        else if ($is-immun)    then $cd-definitions/immun/@valid-regex        else if ($is-pd)       then $cd-definitions/pd/@valid-regex        else if ($is-shs-meds) then $cd-definitions/shs-meds/@valid-regex        else if ($is-meds)     then $cd-definitions/meds/@valid-regex        else '' " />
    <xsl:variable name="valid-tgi-1" select="if ($a-vaccine-1 or $a-sas-tgi-1 or $an-uncoded-tgi-1 or $an-obsolete-tgi-1) then true()         else if ($tgi-valid-regex-1 = '') then false()        else exists(index-of(for $regex in (tokenize($tgi-valid-regex-1, '~')[. != '']) return          matches($der-text-2, dh:XQueryRecursiveReplace(normalize-space($regex), ' \|~|~\| ~|', ''), 'is'), true())) " />
    <xsl:variable name="invalid-hierarchy-1" select="if (exists($cd-definitions/meds/meds-invalid/hierarchy))         then string-join(for $hierarchy in $cd-definitions/meds/meds-invalid/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-refset" select="if (exists($cd-definitions/meds/meds-invalid/refset))          then string-join(for $refset in $cd-definitions/meds/meds-invalid/refset return concat('^', $refset/@code), ' OR ')         else '' " />
    <xsl:variable name="valid-refset" select="concat($tgi-formula, ' OR &lt;763158003') " />
    <xsl:variable name="valid-domain" select="if ($invalid-refset != '' and $invalid-hierarchy-1 != '')         then concat('((', $valid-refset, ') MINUS (', $invalid-refset, ' OR (', $invalid-hierarchy-1, ')))')        else if ($invalid-refset = '' and $invalid-hierarchy-1 != '') then concat('((', $valid-refset, ') MINUS (', $invalid-hierarchy-1, '))')         else if ($invalid-refset != '' and $invalid-hierarchy-1 = '') then concat('((', $valid-refset, ') MINUS (', $invalid-refset, '))')        else concat('(', $valid-refset, ')') " />
    <xsl:variable name="related-terms-1" select="if ($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-1) then ()        else ($codesystemvalues/code[@related-terms], $codesystemvalues/related-terms[@related-terms]) " />
    <xsl:variable name="related-terms-2" select="for $i in index-of(        for $concept in $related-terms-1 return matches(translate($concept/@related-terms, $chars-no-pipe, ''), $defn-valid-regex, 'is'), true())         return $related-terms-1[$i]/@code " />
    <xsl:variable name="der-tgi-codes-1" select="if (exists($related-terms-2)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($related-terms-2, ' OR '), ') AND ', $valid-domain), '', string(count($related-terms-2)), false())        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $der-tgi-codes-1 " />
    <xsl:variable name="der-valid-codes-1" select="if (contains($der-tgi-codes-1, '[')) then $der-tgi-codes-1 else '' " />
    <xsl:variable name="valid-tgi-2" select="$valid-tgi-1 or $der-valid-codes-1 != '' " />
    <xsl:variable name="tgi-inactive-refSets" select="if (exists($cd-definitions/tgi/tgi-invalid/inactive-refset))         then concat('((', $inactive-refSets, ') MINUS (',           string-join(for $refset in $cd-definitions/tgi/tgi-invalid/inactive-refset return concat('^', $refset/@code), ' OR '),          '))')         else $inactive-refSets " />
    <xsl:variable name="formula" select="concat($valid-domain, ' OR ', $tgi-inactive-refSets) " />
    <xsl:variable name="ts-not-needed" select="$der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-2 or $avoid-ts " />
    <xsl:variable name="der-tgi-codes-2-a" select="if ($ts-not-needed or exists($related-terms-2)) then ()         else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-text,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2-a" select="$error-usingTS-1 or 'Error' = $der-tgi-codes-2-a " />
    <xsl:variable name="revision-pattern-1" select="if ($ts-not-needed or $valid-tgi-2 or exists($der-tgi-codes-2-a) or $error-usingTS-2-a or exists($related-terms-2)) then ''        else $tgi-sec-pattern-replacement " />
    <xsl:variable name="der-revised-text-1" select="if ($revision-pattern-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-text, $revision-pattern-1, 'ic')) " />
    <xsl:variable name="use-revised-text-1" select="$der-revised-text-1 != '' and $der-revised-text-1 != $der-text " />
    <xsl:variable name="obsolete-tgi-info-2" select="if (exists($der-tgi-codes-2-a)) then ()        else if ($an-obsolete-tgi-1) then $obsolete-tgi-info-1        else if ($use-revised-text-1) then $knowledge/special-tgi/obsolete[matches($der-revised-text-1, concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')]        else () " />
    <xsl:variable name="an-obsolete-tgi-2" select="exists($obsolete-tgi-info-2)" />
    <xsl:variable name="der-tgi-codes-2-b" select="if ($an-obsolete-tgi-2) then ()        else if ($ts-not-needed or exists($der-tgi-codes-2-a) or not($use-revised-text-1)) then $der-tgi-codes-2-a         else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-1,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2-b" select="$error-usingTS-2-a or 'Error' = $der-tgi-codes-2-b " />
    <xsl:variable name="revision-pattern-2" select="if ($ts-not-needed or $valid-tgi-2 or exists($der-tgi-codes-2-b) or $error-usingTS-2-b or exists($related-terms-2)) then ''        else $tgi-thi-pattern-replacement " />
    <xsl:variable name="der-revised-text-2" select="if ($revision-pattern-2 = '') then '' else normalize-space(dh:XQueryRecursiveReplace(         if ($use-revised-text-1) then $der-revised-text-1 else $der-text, $revision-pattern-2, 'ic')) " />
    <xsl:variable name="use-revised-text-2" select="if ($use-revised-text-1) then $der-revised-text-2 != '' and $der-revised-text-2 != $der-revised-text-1         else $der-revised-text-2 != '' and $der-revised-text-2 != $der-text " />
    <xsl:variable name="obsolete-tgi-info-3" select="if (exists($der-tgi-codes-2-b)) then ()        else if ($an-obsolete-tgi-2) then $obsolete-tgi-info-2        else if ($use-revised-text-2) then $knowledge/special-tgi/obsolete[matches($der-revised-text-2, concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')]        else () " />
    <xsl:variable name="an-obsolete-tgi-3" select="exists($obsolete-tgi-info-3)" />
    <xsl:variable name="der-tgi-codes-2-c" select="if ($an-obsolete-tgi-3) then ()        else if ($ts-not-needed or exists($der-tgi-codes-2-b) or not($use-revised-text-2)) then $der-tgi-codes-2-b        else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-2,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2-c" select="$error-usingTS-2-b or 'Error' = $der-tgi-codes-2-c " />
    <xsl:variable name="der-tgi-codes-2-d" select="if ($an-obsolete-tgi-3 or $ts-not-needed or exists($der-tgi-codes-2-c)) then $der-tgi-codes-2-c        else iq:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula,          if ($der-revised-text-2 != '') then $der-revised-text-2          else if ($der-revised-text-1 != '') then $der-revised-text-1          else $der-text, 'default') " />
    <xsl:variable name="error-usingTS-2-d" select="$error-usingTS-2-c or 'Error' = $der-tgi-codes-2-d " />
    <xsl:variable name="der-tgi-codes-2" select="$der-tgi-codes-2-d " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-2-d " />
    <xsl:variable name="der-valid-codes-2" select="if ($der-valid-codes-1 != '') then $der-valid-codes-1        else if ($error-usingTS-2) then ''         else string-join((for $code in $der-tgi-codes-2 return if (contains($code, '~inactive')) then '' else $code)[. != ''], '|')  " />
    <xsl:variable name="valid-tgi-3" select="$valid-tgi-2 or $der-valid-codes-2 != '' " />
    <xsl:variable name="der-inactive-codes-1" select="if ($valid-tgi-3) then () else        for $code in $der-tgi-codes-2 return if (contains($code, '~inactive')) then replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is') else '' " />
    <xsl:variable name="der-inactive-codes-2" select="for $i in (1 to count($der-inactive-codes-1)) return         dh:IsCodeAssociatedWithAnotherCode($der-inactive-codes-1[$i], '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-1" select="'Error' = $der-inactive-codes-2 " />
    <xsl:variable name="der-NAF-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-NAF-active-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound~active')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-inactive-codes-3" select="tokenize(string-join(for $i in (1 to count($der-inactive-codes-1)) return replace(string-join(tokenize($der-inactive-codes-2[$i], '\|')        [matches(., '(REPLACED BY|SAME AS|ALTERNATIVE|POSSIBLY EQUIVALENT TO|MAY BE A|WAS A)')], '|'), '[0-9]+~[A-Z ]+~([0-9]+)', '$1'), '|'), '\|')        [. != ''] " />
    <xsl:variable name="der-tgi-codes-3" select="if (exists($der-inactive-codes-3)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($der-inactive-codes-3, ' OR '), ') AND ', $valid-domain), '', string(count($der-inactive-codes-3)), false())          else '' " />
    <xsl:variable name="error-usingTS-3" select="$error-usingTS-2 or 'Error' = $der-tgi-codes-3 " />
    <xsl:variable name="der-valid-codes-3" select="if ($der-valid-codes-2 != '') then $der-valid-codes-2        else if (contains($der-tgi-codes-3, '[')) then $der-tgi-codes-3        else '' " />
    <xsl:variable name="valid-tgi-4" select="$valid-tgi-3 or $der-valid-codes-3 != '' " />
    <xsl:variable name="tbd-hierarchy" select="if (exists($cd-definitions/meds/meds-tbd/hierarchy))         then string-join(for $hierarchy in $cd-definitions/meds/meds-tbd/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-hierarchy" select="if ($invalid-hierarchy-1 != '' and $tbd-hierarchy != '') then concat($invalid-hierarchy-1, ' OR ', $tbd-hierarchy)        else if ($invalid-hierarchy-1 != '') then $invalid-hierarchy-1        else if ($tbd-hierarchy != '') then $tbd-hierarchy        else '' " />
    <xsl:variable name="invalid-domain" select="if ($invalid-hierarchy != '' and $invalid-refset != '') then concat($invalid-hierarchy, ' OR ', $invalid-refset)        else if ($invalid-hierarchy != '') then $invalid-hierarchy        else if ($invalid-refset != '') then $invalid-refset        else '' " />
    <xsl:variable name="filter-text" select="if ($use-revised-text-2) then $der-revised-text-2 else if ($use-revised-text-1) then $der-revised-text-1 else $der-text " />
    <xsl:variable name="der-tgi-codes-4" select="if ($ts-not-needed or $valid-tgi-4 or $invalid-domain = '') then ()        else if (exists($related-terms-2)) then $related-terms-2        else distinct-values((tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          $invalid-domain, $filter-text, $max-code-number, false()), '(\[.*?\])(\||$)', '$2'), '\|'), $der-inactive-codes-3)) " />
    <xsl:variable name="error-usingTS-4" select="$error-usingTS-3 or 'Error' = $der-tgi-codes-4 " />
    <xsl:variable name="invalid-tgi-codes-r" select="if ($ts-not-needed or $valid-tgi-4 or $error-usingTS-4 or not(exists($der-tgi-codes-4))) then ()        else if ($invalid-refset = '') then tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-tgi-codes-4, ' OR '), ') AND (', $inactive-refSets, ')'), '',           string(count($der-tgi-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')        else tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-tgi-codes-4, ' OR '), ') AND (', $invalid-refset, ' OR ', $inactive-refSets, ')'), '',           string(count($der-tgi-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')  " />
    <xsl:variable name="error-usingTS-5" select="$error-usingTS-4 or 'Error' = $invalid-tgi-codes-r " />
    <xsl:variable name="der-tgi-codes-4-h" select="if ($error-usingTS-5) then () else $der-tgi-codes-4[not(. = $invalid-tgi-codes-r)]" />
    <xsl:variable name="invalid-tgi-codes-h" select="if ($ts-not-needed or $valid-tgi-4 or 'Error' = $der-tgi-codes-4 or $meds-invalid-hierarchy = '' or not(exists($der-tgi-codes-4-h))) then ()        else (for $code in $der-tgi-codes-4-h return          if (dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;&gt;', $code, ' MINUS ', $meds-invalid-hierarchy), '', '1', false()) = '') then $code else '')[. != ''] " />
    <xsl:variable name="invalid-tgi-codes" select="($invalid-tgi-codes-h, $invalid-tgi-codes-r) " />
    <xsl:variable name="der-tgi-codes-5" select="$der-tgi-codes-4[not(. = $invalid-tgi-codes or . = 'Error')]" />
    <xsl:variable name="der-valid-codes-4" select="if ($der-valid-codes-3 != '') then $der-valid-codes-3        else if ($ts-not-needed or $valid-tgi-4 or $valid-domain = '' or not(exists($der-tgi-codes-5))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-tgi-codes-5, ' OR '), ') AND ', $valid-domain), '', string(count($der-tgi-codes-5)), false()) " />
    <xsl:variable name="error-usingTS-6" select="$error-usingTS-5 or 'Error' = $der-valid-codes-4 " />
    <xsl:variable name="valid-tgi-5" select="$valid-tgi-4 or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="der-valid-codes-seq" select="if ($error-usingTS-6) then () else tokenize(replace($der-valid-codes-4,  '(\[.*?\])(\||$)', '$2'), '\|') " />
    <xsl:variable name="undetermined-tgi-1" select="if (exists($der-valid-codes-seq)) then $der-tgi-codes-5[not(. = $der-valid-codes-seq)] else $der-tgi-codes-5 " />
    <xsl:variable name="undetermined-inactive-1" select="for $i in (1 to count($undetermined-tgi-1)) return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $undetermined-tgi-1[$i], '', '1', false()) " />
    <xsl:variable name="error-usingTS-7" select="$error-usingTS-6 or 'Error' = $undetermined-inactive-1 " />
    <xsl:variable name="undetermined-inactive" select="(for $i in (1 to count($undetermined-tgi-1)) return         if (contains($undetermined-inactive-1[$i], '~inactive')) then $undetermined-inactive-1[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-1" select="for $i in (1 to count($undetermined-inactive))        return dh:IsCodeAssociatedWithAnotherCode(replace($undetermined-inactive[$i], '(\[.*?\])(\||$)', '$2'), '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-2" select="$error-usingV-1 or 'Error' = $undetermined-NAF-1 " />
    <xsl:variable name="undetermined-NAF" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-codes" select="for $term in $undetermined-NAF return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-NAF-active" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound~active')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-active-codes" select="for $term in $undetermined-NAF-active return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-tgi" select="$undetermined-tgi-1[not(. = ($undetermined-NAF-codes, $undetermined-NAF-active-codes))]" />
    <xsl:variable name="invalid-tgi" select="not($valid-tgi-5) and exists($invalid-tgi-codes) and not(exists($undetermined-tgi))" />
    <xsl:variable name="a-sas-tgi" select="if ($a-sas-tgi-1) then true()        else if ($a-vaccine-1 or $valid-tgi-5 or $invalid-tgi or not($use-revised-text-2) or $tgi-sas-regex = '') then false()        else matches($der-revised-text-2, $tgi-sas-regex, 'is')" />
    <xsl:variable name="an-uncoded-tgi" select="if ($an-uncoded-tgi-1) then true()        else if ($a-vaccine-1 or $valid-tgi-5 or $invalid-tgi or not($use-revised-text-2) or $tgi-otheru-regex = '' or $a-sas-tgi) then false()        else matches($der-revised-text-2, $tgi-otheru-regex, 'is')" />
    <xsl:variable name="obsolete-tgi-info" select="if ($an-obsolete-tgi-3) then $obsolete-tgi-info-3        else if ($a-vaccine-1 or $valid-tgi-5 or $invalid-tgi or not($use-revised-text-2) or not(exists($knowledge/special-tgi/obsolete)) or $a-sas-tgi or          $an-uncoded-tgi) then ()        else $knowledge/special-tgi/obsolete[matches($der-revised-text-2,          concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')] " />
    <xsl:variable name="an-obsolete-tgi" select="exists($obsolete-tgi-info)" />
    <xsl:variable name="valid-tgi-6" select="$valid-tgi-5 or $a-sas-tgi or $an-uncoded-tgi or $an-obsolete-tgi " />
    <xsl:variable name="a-vaccine-2" select="if ($a-vaccine-1) then true()        else if ($valid-tgi-6 or $invalid-tgi or not(exists($vaccine-text-normalised))) then false()        else if ($der-text != '' and translate(lower-case($der-text), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else if ($use-revised-text-1 and translate(lower-case($der-revised-text-1), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else if ($use-revised-text-2 and translate(lower-case($der-revised-text-2), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else false() " />
    <xsl:variable name="vaccine-code-test" select="if (not($a-vaccine-2 or $valid-tgi-6 or $invalid-tgi or $avoid-ts) and exists($undetermined-tgi))         then tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($undetermined-tgi, ' OR '), ') AND (&lt;71181003 OR &lt;127785005)'), '',          string(count($undetermined-tgi)), false()), '\|')        else () " />
    <xsl:variable name="error-usingTS-8" select="$error-usingTS-7 or 'Error' = $vaccine-code-test " />
    <xsl:variable name="a-vaccine" select="$a-vaccine-2 or (not('Error' = $vaccine-code-test) and exists($undetermined-tgi) and count($vaccine-code-test) = count($undetermined-tgi)) " />
    <xsl:variable name="codes-with-history" select="$der-inactive-codes-2[matches(., '[0-9]')]" />
    <xsl:variable name="hist-vers" select="if (exists($codes-with-history))        then dh:FindLastUpdatedDateForCodeUsingTS(substring-before($codes-with-history[1], '~'), '2.16.840.1.113883.6.96', $ts-latest-snomedctau)       else '' " />
    <xsl:variable name="error-usingTS-9" select="$error-usingTS-8 or 'Error' = $hist-vers " />
    <xsl:variable name="hist-vers-date" select="if (matches($hist-vers, '^(CodeFoundActive|CodeFoundInactive)\|[0-9]{8}$')) then substring-after($hist-vers, '|') else '' " />
    <xsl:variable name="inactive-concept" select="count($der-tgi-codes-2) = count($der-inactive-codes-1) and not($valid-tgi-6)" />
    <xsl:variable name="der-inactive-codes-4" select="$der-inactive-codes-3[not(contains(., 'MOVED FROM') or contains(., 'WAS A'))]" />
    <xsl:variable name="obsolete-without-date" select=" ($an-obsolete-tgi and not($obsolete-tgi-info/@last-available))   or         (exists($der-inactive-codes-3) and not(exists($der-inactive-codes-4)))  or         (exists($der-inactive-codes-4) and $hist-vers-date = '')   " />
    <xsl:variable name="obsolete-date" select="if ($is-immun) then ''        else if ($hist-vers-date != '') then $hist-vers-date        else if ($an-obsolete-tgi and $obsolete-tgi-info/@last-available) then $obsolete-tgi-info/@last-available         else '' " />
    <xsl:variable name="obsolete-yr" select="substring($obsolete-date, 1, 4) " />
    <xsl:variable name="obsolete-mn-temp" select="substring($obsolete-date, 5, 2) " />
    <xsl:variable name="obsolete-mn" select="if ($obsolete-mn-temp = '') then '06' else $obsolete-mn-temp " />
    <xsl:variable name="obsolete-dy-temp" select="substring($obsolete-date, 7, 2) " />
    <xsl:variable name="obsolete-dy" select="if ($obsolete-dy-temp = '') then '15' else $obsolete-dy-temp " />
    <xsl:variable name="obsolete-xs" select="if ($obsolete-date = '') then () else xs:date(concat($obsolete-yr, '-', $obsolete-mn, '-', $obsolete-dy)) " />
    <xsl:variable name="display-obsolete-date" select="if ($obsolete-date = '') then ''        else if ($obsolete-mn-temp = '') then $obsolete-dy        else if ($obsolete-dy-temp = '') then concat($knowledge/months/month[@number = $obsolete-mn]/@abbreviation, ' ', $obsolete-yr)        else concat($obsolete-dy, ' ', $knowledge/months/month[@number = $obsolete-mn]/@abbreviation, ' ', $obsolete-yr) " />
    <xsl:variable name="obsolete-date-diff" select="if ($obsolete-date = '' or not(matches($creation-date-xs - $obsolete-xs, '^P[0-9]+D'))) then '0'        else number(substring-before(substring-after($creation-date-xs - $obsolete-xs, 'P'), 'D')) " />
    <xsl:variable name="obsolete-yrs-ago" select="$obsolete-date-diff div 365 " />
    <xsl:variable name="coding" select="if (not($flags/@assess-class = 'true') or not($use-ts-for-sctau) or not(exists($iq-config/tgi-coding))) then () else $iq-config/tgi-coding" />
    <xsl:variable name="s-classification" select="if (exists($coding/special-classification/classification)) then $coding/special-classification/classification else () " />
    <xsl:variable name="s-number" select="count($s-classification) " />
    <xsl:variable name="s-formula" select="string-join(for $class in $s-classification return $class/@code, ' OR ')" />
    <xsl:variable name="code-to-assess" select="if (not($flags/@assess-class = 'true') or not($use-ts-for-sctau)) then '' else if (exists($der-valid-codes-seq)) then $der-valid-codes-seq[1] else '' " />
    <xsl:variable name="value-domain-1" select="if ($code-to-assess = '') then '' else dh:FindValueDomainsForCode($code-to-assess, '2.16.840.1.113883.6.96', $v-current-sctau)" />
    <xsl:variable name="class-error-1" select="$value-domain-1 = 'Error' " />
    <xsl:variable name="value-domain" select="if ($class-error-1 or $value-domain-1 = ('', 'CodeNotFound')) then ''       else if (contains($value-domain-1, '|')) then substring-before($value-domain-1, '|')       else $value-domain-1 " />
    <xsl:variable name="first-pass-1" select="if ($value-domain = '') then ''        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)'))         then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat($code-to-assess, ' . 30409011000036107'), '', '1', true())        else if ($value-domain = 'Medicinal Product Pack (MPP)')         then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat($code-to-assess, ' . 30348011000036104'), '', '1', true())        else if ($value-domain = 'Trade Product (TP)') then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&lt;', $code-to-assess), '', '1', true())        else $code-to-assess " />
    <xsl:variable name="class-error-2" select="$class-error-1 or ($value-domain != '' and $first-pass-1 = ('Error', '')) " />
    <xsl:variable name="first-pass" select="if (not($class-error-2) and $first-pass-1 != '') then replace($first-pass-1, '(\[.*?\])(\||$)', '$2') else '' " />
    <xsl:variable name="second-pass-1" select="if ($first-pass = '') then ''        else if ($value-domain = 'Trade Product Unit of Use (TPUU)')          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $code-to-assess, ' AND ^929360071000036103'), '', '1', true())        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product (TP)'))          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $first-pass, ' AND ^929360071000036103'), '', '1', true())        else if ($value-domain = 'Medicinal Product Pack (MPP)') then $first-pass        else $code-to-assess " />
    <xsl:variable name="class-error-3" select="$class-error-2 or ($first-pass != '' and $second-pass-1 = ('Error', '')) " />
    <xsl:variable name="second-pass" select="if (not($class-error-3) and $second-pass-1 != '') then replace($second-pass-1, '(\[.*?\])(\||$)', '$2') else '' " />
    <xsl:variable name="class-tp-1" select="if ($class-error-3) then ''        else if ($value-domain = 'Trade Product Unit of Use (TPUU)')          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $code-to-assess, ' AND ^929360021000036102'), '', '1', true())        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)'))          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $first-pass, ' AND ^929360021000036102'), '', '1', true())        else '' " />
    <xsl:variable name="class-tp-error" select="$class-tp-1 = 'Error' " />
    <xsl:variable name="class-tp" select="if (not($class-tp-error) and $class-tp-1 != '') then replace($class-tp-1, '^([0-9]+\[)(.*?)(\])$', '$2') else '' " />
    <xsl:variable name="third-pass-1" select="if ($second-pass = '') then ''        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product (TP)',          'Trade Product Unit of Use (TPUU)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)'))         then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;!', $second-pass, ' AND ^929360061000036106'), '', '1', false())        else $second-pass " />
    <xsl:variable name="class-error-4" select="$class-error-3 or ($second-pass != '' and $third-pass-1 = ('Error', '')) " />
    <xsl:variable name="third-pass" select="if ($class-error-4 or $third-pass-1 = '') then ''         else if (matches($third-pass-1, '^[0-9]+$')) then replace($der-valid-codes-4, '^([0-9]+\[)(.*?)(\]\|.*|\])$', '$2')        else if (matches($third-pass-1, '^[0-9]')) then replace($third-pass-1, '^([0-9]+\[)(.*?)(\])$', '$2') else '' " />
    <xsl:variable name="fourth-pass-1" select="if ($third-pass = '') then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', '&lt;373873005', $third-pass, '1', true()) " />
    <xsl:variable name="class-error-5" select="$class-error-4 or $fourth-pass-1 = 'Error' " />
    <xsl:variable name="fourth-pass" select="if (not($class-error-4) and $fourth-pass-1 != '' and matches($fourth-pass-1, '^[0-9]')) then replace($fourth-pass-1, '(\[.*?\])(\||$)', '$2') else '' " />
    <xsl:variable name="class-not-completed" select="($flags/@assess-class = 'true' and $code-to-assess = '')  or        ($code-to-assess != '' and $value-domain-1 = 'CodeNotFound') or        ($third-pass != '' and $fourth-pass = '')   " />
    <xsl:variable name="valid-class-1" select="if ($fourth-pass = '' or $s-number = 0) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND (', $s-formula, ')'), '', string($s-number), true()) " />
    <xsl:variable name="class-error-6" select="$class-error-5 or $valid-class-1 = 'Error' " />
    <xsl:variable name="valid-class-2" select="if ($valid-class-1 = '' or $class-error-6) then () else tokenize(replace($valid-class-1, '(\[.*?\])(\||$)', '$2'), '\|') " />
    <xsl:variable name="valid-class-3" select="if ($a-vaccine and exists($s-classification[@code = '71181003']/@description)) then ($s-classification[@code = '71181003']/@description)       else if ($a-vaccine and exists($s-classification[@code = '71181003']/@pterm)) then ($s-classification[@code = '71181003']/@pterm)       else for $code in $valid-class-2 return if ($coding/special-classification/classification[@code = $code]/@description)         then $coding/special-classification/classification[@code = $code]/@description         else $coding/special-classification/classification[@code = $code]/@pterm " />
    <xsl:variable name="fifth-pass" select="if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/first-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/first-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-7" select="$class-error-6 or $fifth-pass = 'Error' " />
    <xsl:variable name="sixth-pass" select="if (not($fifth-pass = '')) then $fifth-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/second-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/second-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-8" select="$class-error-7 or $sixth-pass = 'Error' " />
    <xsl:variable name="seventh-pass" select="if (not($sixth-pass = '')) then $sixth-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/third-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/third-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-9" select="$class-error-8 or $seventh-pass = 'Error' " />
    <xsl:variable name="eighth-pass" select="if (not($seventh-pass = '')) then $seventh-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/fourth-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/fourth-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-10" select="$class-error-9 or $eighth-pass = 'Error' " />
    <xsl:variable name="ninth-pass" select="if (not($eighth-pass = '')) then $eighth-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/fifth-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/fifth-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-11" select="$class-error-10 or $ninth-pass = 'Error' " />
    <xsl:variable name="valid-class" select="if (exists($valid-class-3)) then $valid-class-3        else if (not($ninth-pass = '')) then for $term in tokenize($ninth-pass, '\|') return replace($term, '^([0-9]+\[)(.*?)(\])$', '$2')       else () " />
    <xsl:variable name="codes-were-found" select="exists($der-tgi-codes-4) or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="obsolete-error" select="not($is-immun) and ($an-obsolete-tgi or $inactive-concept) and $obsolete-yrs-ago &gt; 2 " />
    <xsl:variable name="obsolete-warning" select="not($is-immun or $obsolete-error) and ($an-obsolete-tgi or $inactive-concept) and ($obsolete-yrs-ago &gt; 1 or $obsolete-without-date) " />
    <xsl:variable name="codes-not-found" select="not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-6 or $invalid-tgi or $a-vaccine) " />
    <xsl:variable name="codes-in-the-domain" select="not($valid-tgi-1) and $valid-tgi-5" />
    <xsl:variable name="codes-in-other-domain" select="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi or         $a-vaccine or $obsolete-warning) " />
    <xsl:variable name="codes-in-no-domain" select="exists($der-tgi-codes-5) " />
    <xsl:variable name="display-in-the-domain" select="if ($codes-in-the-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', '), '''')        else '' " />
    <xsl:variable name="display-in-other-r" select="if (exists($invalid-tgi-codes-r) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-tgi-codes-r return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-h" select="if (exists($invalid-tgi-codes-h) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-tgi-codes-h return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-domain" select="if (not($codes-in-other-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))) then ''        else if ($display-in-other-r and display-in-other-h) then concat('''', $display-in-other-r, ', ', $display-in-other-h, '''')        else if ($display-in-other-r) then concat('''', $display-in-other-r, '''')        else if ($display-in-other-h) then concat('''', $display-in-other-h, '''')        else '' " />
    <xsl:variable name="display-in-no-domain" select="if ($codes-in-no-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', dh:XQueryRecursiveReplace(string-join(for $code in $der-tgi-codes-5 return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), '; '),          $term-pattern-replacement, 'ic'), '''')        else '' " />
    <xsl:variable name="log-concepts-appended" select="if ($error-usingTS-9 or not($flags/@report-terminology-concepts = 'true') or $log-concepts-name = '') then ''        else if ($codes-not-found and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                   'Therapeutic Good Identification', $log-tab,                   'yes',     $log-tab,                   iq:display-CD(.),   $log-tab,                   '',     $log-tab,                  '',     $log-tab,                  '',     $log-tab,                  $ts-current-sctau   ))        else if (($use-revised-text-2 or $codes-in-no-domain) and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                  'Therapeutic Good Identification', $log-tab,                   'yes',     $log-tab,                     iq:display-CD(.),   $log-tab,                    $display-in-the-domain,   $log-tab,                  $display-in-other-domain,  $log-tab,                  $display-in-no-domain,   $log-tab,                  $ts-current-sctau   ))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if (matches($defn-invalid-rsn, 'is a container', 'is')) then $rating-container-TC-Types-57 else $rating-TC-Types-57 " />
    <!--REPORT -->
    <xsl:if test=" $log-concepts-appended = ('NOTFOUND', 'ERROR') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$log-concepts-appended = ('NOTFOUND', 'ERROR')">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): The AppendLog function returned '<xsl:text /><xsl:value-of select="$log-concepts-appended" /><xsl:text />' when requested to append the concepts log
		'<xsl:text /><xsl:value-of select="$log-concepts-name" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $flags/@assess-class = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $flags/@assess-class = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): 
		code-to-assess '<xsl:text /><xsl:value-of select="$code-to-assess" /><xsl:text />'
		value-domain '<xsl:text /><xsl:value-of select="$value-domain" /><xsl:text />'
		first-pass '<xsl:text /><xsl:value-of select="$first-pass" /><xsl:text />'
		second-pass '<xsl:text /><xsl:value-of select="$second-pass" /><xsl:text />'
		third-pass '<xsl:text /><xsl:value-of select="$third-pass" /><xsl:text />'
		fourth-pass '<xsl:text /><xsl:value-of select="$fourth-pass" /><xsl:text />'
		valid-class-1 '<xsl:text /><xsl:value-of select="$valid-class-1" /><xsl:text />'
		fifth-pass '<xsl:text /><xsl:value-of select="$fifth-pass" /><xsl:text />'
		sixth-pass '<xsl:text /><xsl:value-of select="$sixth-pass" /><xsl:text />'
		seventh-pass '<xsl:text /><xsl:value-of select="$seventh-pass" /><xsl:text />'
		eighth-pass '<xsl:text /><xsl:value-of select="$eighth-pass" /><xsl:text />'
		ninth-pass '<xsl:text /><xsl:value-of select="$ninth-pass" /><xsl:text />'

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $class-error-11 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$class-error-11">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An unexpected error occurred during the process to classify a terminology code.
		Report the information below to the Australian Digital Health Agency for investigation.
		The value domain was '<xsl:text /><xsl:value-of select="$value-domain" /><xsl:text />' and the error variable was
		<xsl:text /><xsl:value-of select="if ($class-error-1) then concat('class-error-1. The FindValueDomainsForCode function was called with code ''', $code-to-assess,     ''', codeSystem ''2.16.840.1.113883.6.96'' and codeSystemVersion ''', $v-current-sctau, ''' and returned ''', $value-domain-1, '''.')   else if ($class-error-2) then concat('class-error-2. The SearchForCodesInHierarchyUsingTS function was called with code ''', $code-to-assess,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $first-pass-1, '''.')   else if ($class-error-3) then concat('class-error-3. The SearchForCodesInHierarchyUsingTS function was called with code ''',     if ($value-domain = 'Trade Product Unit of Use (TPUU)') then $code-to-assess else $first-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $second-pass-1, '''.')   else if ($class-error-4) then concat('class-error-4. The SearchForCodesInHierarchyUsingTS function was called with code ''', $second-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $third-pass-1, '''.')   else if ($class-error-5) then concat('class-error-5. The SearchForCodesInHierarchyUsingTS function was called with code ''', $third-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $fourth-pass-1, '''.')   else if ($class-error-6) then concat('class-error-6. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $valid-class-1, '''.')   else if ($class-error-7) then concat('class-error-7. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $fifth-pass, '''.')   else if ($class-error-8) then concat('class-error-8. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $sixth-pass, '''.')   else if ($class-error-9) then concat('class-error-9. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $seventh-pass, '''.')   else if ($class-error-10) then concat('class-error-10. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $eighth-pass, '''.')   else if ($class-error-11) then concat('class-error-11. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $ninth-pass, '''.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $class-tp-error ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$class-tp-error">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An unexpected error occurred during the process to find the trade product name for a medicine.
		Report the information below to the Australian Digital Health Agency for investigation.
		The value domain was '<xsl:text /><xsl:value-of select="$value-domain" /><xsl:text />' and the error variable was class-tp-error.
		The FindValueDomainsForCode function was called with code ''', 
		if ($value-domain = 'Trade Product Unit of Use (TPUU)') then $code-to-assess else $first-pass, 
		''', codeSystem ''2.16.840.1.113883.6.96'' and codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $class-tp-1, '''.')

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-tgi-6) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-tgi-6)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An unexpected problem occurred when assessing the value of the Ceased Medications - Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. The application of regular expressions resulted in the complete loss of text.
		Report the information below to the Australian Digital Health Agency for investigation.

		der-text-1 '<xsl:text /><xsl:value-of select="normalize-space(dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'))" /><xsl:text />'.
		der-text-2a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-2a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-a, $term-pattern-replacement, 'ic')" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingV-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingV-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An error was reported when accessing the terminology server when assessing the Ceased Medications - Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		Report the issue to the Australian Digital Health Agency for investigation stating the error was recorded for error-usingV-2.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-9 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-9">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An error was reported when accessing the terminology server when assessing the Ceased Medications - Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term:
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The analysis should be retried as the terminology server may have been temporarily unavailable.
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'error-usingTS-1' else if ($error-usingTS-2-a) then 'error-usingTS-2-a'   else if ($error-usingTS-2-b) then 'error-usingTS-2-b' else if ($error-usingTS-2-c) then 'error-usingTS-2-c'   else if ($error-usingTS-2) then 'error-usingTS-2'   else if ($error-usingTS-3) then 'error-usingTS-3' else if ($error-usingTS-4) then 'error-usingTS-4'   else if ($error-usingTS-5) then 'error-usingTS-5' else if ($error-usingTS-6) then 'error-usingTS-6'   else if ($error-usingTS-7) then 'error-usingTS-7' else if ($error-usingTS-8) then 'error-usingTS-8'   else 'error-usingTS-9' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or      $valid-tgi-6 or $invalid-tgi) and not($a-vaccine and not(false())) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi) and not($a-vaccine and not(false()))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Ceased Medications - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify medications that the consumer was taking         at the start of the healthcare encounter (e.g. on admission), that have been stopped during the encounter or on discharge, and that         are not expected to be recommenced. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate. (See section 5.20 of the Discharge Summary Structured Document Template v3.3.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.7 of the Medication Instruction and Action Detailed Clinical Model Specification v2.4,         which allows more reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi) and    not($a-vaccine and false()) and not($obsolete-warning) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi) and not($a-vaccine and false()) and not($obsolete-warning)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Ceased Medications - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the value does not seem to be applicable for the data element.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify medications that the consumer was taking         at the start of the healthcare encounter (e.g. on admission), that have been stopped during the encounter or on discharge, and that         are not expected to be recommenced. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate. (See section 5.20 of the Discharge Summary Structured Document Template v3.3.)')" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $obsolete-warning ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$obsolete-warning">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Ceased Medications - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the name may not be applicable for the data element.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> and the
		<xsl:text /><xsl:value-of select="if ($display-obsolete-date != '') then concat('name of the therapeutic good was last used ', $display-obsolete-date)   else if ($obsolete-tgi-info/@name) then concat('therapeutic good ''', $obsolete-tgi-info/@name, ''' was last available ', $display-obsolete-date)    else if ($obsolete-without-date) then 'name of the therapeutic good is no longer used ' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($obsolete-tgi-info/@reason) then concat(' because ', $obsolete-tgi-info/@reason, '.') else '.' " /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify medications that the consumer was taking         at the start of the healthcare encounter (e.g. on admission), that have been stopped during the encounter or on discharge, and that         are not expected to be recommenced. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate. (See section 5.20 of the Discharge Summary Structured Document Template v3.3.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		<xsl:text /><xsl:value-of select="$creation-date-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $obsolete-error ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$obsolete-error">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Ceased Medications - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the name is not applicable for the data element.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> and the
		<xsl:text /><xsl:value-of select="if ($display-obsolete-date != '') then concat('name of the therapeutic good was last used ', $display-obsolete-date)   else if ($obsolete-tgi-info/@name) then concat('therapeutic good ''', $obsolete-tgi-info/@name, ''' was last available ', $display-obsolete-date)    else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($obsolete-tgi-info/@reason) then concat(' because ', $obsolete-tgi-info/@reason, '.') else '.' " /><xsl:text />
		That was <xsl:text /><xsl:value-of select="if (contains(string($obsolete-yrs-ago), '.')) then substring-before(string($obsolete-yrs-ago), '.') else $obsolete-yrs-ago " /><xsl:text /> years before the
		<xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify medications that the consumer was taking         at the start of the healthcare encounter (e.g. on admission), that have been stopped during the encounter or on discharge, and that         are not expected to be recommenced. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate. (See section 5.20 of the Discharge Summary Structured Document Template v3.3.)'))" /><xsl:text /><xsl:text /><xsl:value-of select="$creation-date-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'exclusion' = 'allowed' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'exclusion' = 'allowed' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Ceased Medications - Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the data element does not have a proper value. <xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify medications that the consumer was taking         at the start of the healthcare encounter (e.g. on admission), that have been stopped during the encounter or on discharge, and that         are not expected to be recommenced. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate. (See section 5.20 of the Discharge Summary Structured Document Template v3.3.)'))" /><xsl:text />
		The Ceased Medications - Therapeutic Good Identification data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'exclusion' = 'exclusion' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'exclusion' = 'exclusion' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Ceased Medications - Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify medications that the consumer was taking         at the start of the healthcare encounter (e.g. on admission), that have been stopped during the encounter or on discharge, and that         are not expected to be recommenced. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate. (See section 5.20 of the Discharge Summary Structured Document Template v3.3.)'))" /><xsl:text />
		The Ceased Medications - Therapeutic Good Identification data element must have a value that is consistent with this definition. Alternatively if there is no Ceased Medications - Therapeutic Good Identification data element with a proper value then an exclusion
		statement must be included to state why there is no Ceased Medications - Therapeutic Good Identification. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4')    then concat('Text such as ''', dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'), ''' may be permitted in the narrative even though the Ceased Medications - Therapeutic Good Identification data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'exclusion' = 'unknown' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'exclusion' = 'unknown' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Ceased Medications - Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the data element does not have a proper value. <xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify medications that the consumer was taking         at the start of the healthcare encounter (e.g. on admission), that have been stopped during the encounter or on discharge, and that         are not expected to be recommenced. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate. (See section 5.20 of the Discharge Summary Structured Document Template v3.3.)'))" /><xsl:text />
		The Ceased Medications - Therapeutic Good Identification data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($der-text-non-value) and $der-invalid-text ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($der-text-non-value) and $der-invalid-text">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Ceased Medications - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />
		however the value is invalid. <xsl:text /><xsl:value-of select="$defn-invalid-rsn" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify medications that the consumer was taking         at the start of the healthcare encounter (e.g. on admission), that have been stopped during the encounter or on discharge, and that         are not expected to be recommenced. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate. (See section 5.20 of the Discharge Summary Structured Document Template v3.3.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $a-vaccine and false() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$a-vaccine and false()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Ceased Medications - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />
		which identifies a vaccine. <xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify medications that the consumer was taking         at the start of the healthcare encounter (e.g. on admission), that have been stopped during the encounter or on discharge, and that         are not expected to be recommenced. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate. (See section 5.20 of the Discharge Summary Structured Document Template v3.3.)'))" /><xsl:text />
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.7 of the Medication Instruction and Action Detailed Clinical Model Specification v2.4,         which allows more reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $invalid-tgi and not($error-usingTS-9) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$invalid-tgi and not($error-usingTS-9)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
ZZZ
der-text '<xsl:text /><xsl:value-of select="$der-text" /><xsl:text />'
der-revised-text-1 '<xsl:text /><xsl:value-of select="$der-revised-text-1" /><xsl:text />'
der-revised-text-2 '<xsl:text /><xsl:value-of select="$der-revised-text-2" /><xsl:text />'
ZZZ
		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Ceased Medications - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the value is invalid
		<xsl:text /><xsl:value-of select="if (exists($invalid-tgi-codes-h) or exists($invalid-tgi-codes-r)) then concat(' as it describes ',    iq:invalidityExplanationUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, $invalid-tgi-codes-h, $cd-definitions/meds/meds-invalid/hierarchy, $invalid-tgi-codes-r, $cd-definitions/meds/meds-invalid/refset), '.')   else '.' " /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify medications that the consumer was taking         at the start of the healthcare encounter (e.g. on admission), that have been stopped during the encounter or on discharge, and that         are not expected to be recommenced. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate. (See section 5.20 of the Discharge Summary Structured Document Template v3.3.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable outside the applicable value domain): The Ceased Medications - Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. The following codes were obtained and are not in the value domain:
		<xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-TGI-Defn): The Ceased Medications - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU and no associated code was found in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists(($der-NAF-active-codes, $undetermined-NAF-active-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists(($der-NAF-active-codes, $undetermined-NAF-active-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-TGI-Defn): The Ceased Medications - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-active-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the
		'<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU but it was not found with this status in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.
		<xsl:text /><xsl:value-of select="if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and ($valid-tgi-1 or $a-vaccine-2 or (not($valid-tgi-5) and $valid-tgi-6))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and ($valid-tgi-1 or $a-vaccine-2 or (not($valid-tgi-5) and $valid-tgi-6))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable within the value domain): The Ceased Medications - Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> which matches
		<xsl:text /><xsl:value-of select="if ($a-vaccine-1) then 'one of the terms listed in Knowledge.xml' else 'the vaccine information in CodeSystems.xml' " /><xsl:text /> for the Ceased Medications - Therapeutic Good Identification.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(exists($valid-class)) and $class-not-completed and not($class-tp-error or $class-error-10) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(exists($valid-class)) and $class-not-completed and not($class-tp-error or $class-error-10)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: The Ceased Medications - Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. <xsl:text /><xsl:value-of select="if ($code-to-assess = '') then 'No code could be found for the medicine.'    else if ($value-domain = '') then concat('The code ''', $code-to-assess, ''' was found to apply to the medicine by applying the terminology server using the ''', $ts-current-sctau,   ''' version of SNOMED CT-AU but the code was not found in the Validator''s database using the ''', $v-current-sctau, ''' version of SNOMED CT-AU.',   if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '')   else concat('This is a ', $value-domain,    if ($value-domain = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)')) then    concat(' (with medicinal product ''', $third-pass, ''').')    else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)'))    then concat(' (with trade product ''', $class-tp, ''').')    else '.') " /><xsl:text /> The classification of this medicine could not be completed.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists($valid-class) and not($class-tp-error or $class-error-11) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists($valid-class) and not($class-tp-error or $class-error-11)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: The Ceased Medications - Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This <xsl:text /><xsl:value-of select="if (not($value-domain = ('Containered Trade Product Pack (CTPP)',    'Trade Product Pack (TPP)', 'Trade Product (TP)', 'Trade Product Unit of Use (TPUU)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Medicinal Product (MP)')))    then '' else concat('is a ', $value-domain, ' which')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($value-domain = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)')) then concat(' (with medicinal product ''', $third-pass, ''') which')   else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)'))    then concat(' (with trade product ''', $class-tp, ''') which') else '' " /><xsl:text />
		identifies a type of <xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($valid-class, ' and '), $markup-pattern-replacement, 'ic')" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (concept is codeable within the value domain): The Ceased Medications - Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> which is a valid value for the Ceased Medications - Therapeutic Good Identification.
		SNOMED CT-AU codes that matched the concept are: <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Ceased Medications - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The text used to match regular expression (der-text-2) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to match non-values and vaccines (der-text-to-match) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-to-match, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to derive a code (der-text) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.

		<xsl:text /><xsl:value-of select="if ($use-revised-text-1) then concat(' A first revision of the text (der-revised-text-1) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-1, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A first revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-1 != '' and $der-revised-text-1 = '') then ' revision-pattern-1 was applied but the output (der-revised-text-1) was an empty string.' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($use-revised-text-2) then concat(' A second revision of the text (der-revised-text-2) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A second revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-2 != '' and $der-revised-text-2 = '') then ' revision-pattern-2 was applied but the output (der-revised-text-2) was an empty string.' else '' " /><xsl:text />

		The SNOMED CT-AU version used to find codes is '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' and the maximum code number is '<xsl:text /><xsl:value-of select="$max-code-number" /><xsl:text />'.

		Codes for related terms (related-terms-2): '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($related-terms-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes for related terms (der-valid-codes-1): 
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-1, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-tgi-codes-2) returned by the terminology server that match the text:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-tgi-codes-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes from related terms or the terminology server (der-valid-codes-2):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-2, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-inactive-codes-3) returned from the Validator's database associated with inactive codes:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-inactive-codes-3, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes found after examining inactive codes (der-valid-codes-3):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-3, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Members of invalid reference sets (invalid-tgi-codes-r): '<xsl:text /><xsl:value-of select="$display-in-other-r" /><xsl:text />'.
		Members of invalid code hierarchies (invalid-tgi-codes-h): '<xsl:text /><xsl:value-of select="$display-in-other-h" /><xsl:text />'.

		Final set of valid codes (der-valid-codes-4): <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.
		
		Codes whose validity has not been determined (der-tgi-codes-5): <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.
		Codes whose validity has not been determined and are inactive with no associated code (undetermined-NAF): '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(    string-join($undetermined-NAF, ''', '''), $markup-pattern-replacement, 'ic')" /><xsl:text />'.

		Result of the second vaccination code test (a-vaccine-2): '<xsl:text /><xsl:value-of select="$a-vaccine-2" /><xsl:text />'.
		Vaccine codes (vaccine-code-test):  '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($vaccine-code-test, '; '), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Overall result of the vaccination test (a-vaccine): '<xsl:text /><xsl:value-of select="$a-vaccine" /><xsl:text />'.

		Will the value of the data element be trusted (der-trusted-text)? '<xsl:text /><xsl:value-of select="$der-trusted-text" /><xsl:text />'.
		
	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and $codes-not-found">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept not codeable): The Ceased Medications - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($avoid-ts) then 'The terminology server was not used to assist with finding codes corresponding to text in the data element. ' else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $prose-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $prose-err">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Ceased Medications - Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> which is invalid as it is prose text.
		The Ceased Medications - Therapeutic Good Identification data element is CodeableText derived from the HL7 CD data type which by definition is to record a concept defined in an external code system, terminology or ontology.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify medications that the consumer was taking         at the start of the healthcare encounter (e.g. on admission), that have been stopped during the encounter or on discharge, and that         are not expected to be recommenced. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate. (See section 5.20 of the Discharge Summary Structured Document Template v3.3.)'))" /><xsl:text />
		This finding will also be reported as an error.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M213" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M213" />
  <xsl:template match="@*|node()" priority="-2" mode="M213">
    <xsl:apply-templates select="@*|*" mode="M213" />
  </xsl:template>
  <!--PATTERN p-TS-CeaseMed-CodeableText-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16146.4.1.2' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.2']]/   cda:entry/cda:substanceAdministration/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M214">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16146.4.1.2' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.2']]/   cda:entry/cda:substanceAdministration/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Ceased Medications - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Ceased Medications - Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Ceased Medications - Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Ceased Medications - Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Ceased Medications - Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Ceased Medications - Therapeutic Good Identification has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Ceased Medications - Therapeutic Good Identification data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Ceased Medications - Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Ceased Medications - Therapeutic Good Identification data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Ceased Medications - Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Ceased Medications - Therapeutic Good Identification data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Ceased Medications - Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Ceased Medications - Therapeutic Good Identification data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Ceased Medications - Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Ceased Medications - Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Ceased Medications - Therapeutic Good Identification data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Ceased Medications - Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Ceased Medications - Therapeutic Good Identification data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Ceased Medications - Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Ceased Medications - Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Ceased Medications - Therapeutic Good Identification data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Ceased Medications - Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Ceased Medications - Therapeutic Good Identification data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Ceased Medications - Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Ceased Medications - Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M214" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M214" />
  <xsl:template match="@*|node()" priority="-2" mode="M214">
    <xsl:apply-templates select="@*|*" mode="M214" />
  </xsl:template>
  <!--PATTERN p-TS-CeaseMed-CodeableText-5-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16146.4.1.2' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.2']]/   cda:entry/cda:substanceAdministration/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code " priority="1000" mode="M215">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16146.4.1.2' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.2']]/   cda:entry/cda:substanceAdministration/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code " />
    <xsl:variable name="hist-vers-1" select="tokenize($ts-snomedctau-pre-ordered, '\|')" />
    <xsl:variable name="pcode" select="if (not(@code)) then ''        else if (@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)) then @code        else '' " />
    <xsl:variable name="pname-to-test" select="@codeSystem = '2.16.840.1.113883.6.96' and @displayName and $pcode != '' " />
    <xsl:variable name="psctau-version" select="if (exists(@codeSystemVersion) and matches(@codeSystemVersion, $snomedctau-version-regex)) then @codeSystemVersion else '' " />
    <xsl:variable name="psnomed-id" select="if (not($pname-to-test) or not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion) and          dh:IsFirstDateEarlierThanSecondDate($creation-date, substring-after($first-amt-in-sctau, '/version/')) = '1') then 'amtv3'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (not($psctau-version = '')) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="psnomed-type" select="if ($psnomed-id = 'amtv3') then 'AMT v3'        else if ($psnomed-id = 'snomedctau') then 'SNOMED CT-AU'        else if ($psnomed-id = 'snomedct') then 'SNOMED CT'        else '' " />
    <xsl:variable name="pvers-old" select="if ($psnomed-id = 'snomedctau' and @codeSystemVersion) then not(exists($ts-snomedctau[. = current()/@codeSystemVersion]))        else if ($psnomed-id = 'snomedctau' and $creation-date != '' and $ts-earliest-sctau-date != '') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $ts-earliest-sctau-date) = '1'         else if ($psnomed-id = 'amtv3' and @codeSystemVersion) then not(exists($v-amtv3[. = current()/@codeSystemVersion]))        else if ($psnomed-id = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '1'         else false() " />
    <xsl:variable name="psctau-ts" select="if ($psctau-version = '' or not($pvers-old)) then '' else substring-after($psctau-version, '/version/') " />
    <xsl:variable name="psctau-ts-xs" select="if ($psctau-ts = '') then '' else concat(substring($psctau-ts, 1, 4), '-', substring($psctau-ts, 5, 2), '-', substring($psctau-ts, 7, 2))" />
    <xsl:variable name="psctau-ts-1" select="if ($psctau-ts = '' or not($psctau-ts-xs castable as xs:date)) then '' else string($sctau-last-xs - xs:date($psctau-ts-xs)) " />
    <xsl:variable name="psctau-ts-2" select="if ($psctau-ts-1 = '' or not(matches($psctau-ts-1, '^P[0-9]+D'))) then '' else substring-before(substring-after($psctau-ts-1, 'P'), 'D') " />
    <xsl:variable name="psctau-ts-63-err" select="$psctau-ts-2 != '' and $psctau-ts-2 &gt; $sctau-acceptable-age  " />
    <xsl:variable name="ts-psnomed-version" select="if (not($pname-to-test) or not($psnomed-id = 'snomedctau')) then ''        else if (not(@codeSystemVersion)) then $ts-latest-snomedctau        else if ($psnomed-id = 'snomedctau' and @codeSystemVersion and not($pvers-old)) then @codeSystemVersion        else if ($pvers-old and $ts-earliest-sctau-date != '') then concat('http://snomed.info/sct/32506021000036107/version/', $ts-earliest-sctau-date)        else $ts-latest-snomedctau " />
    <xsl:variable name="v-psnomed-version" select="if (not($psnomed-id = 'amtv3')) then ''        else if (@codeSystemVersion and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($pvers-old) then concat('http://snomed.info/sct/900062011000036108/version/', $v-earliest-amtv3-date)        else $v-latest-amtv3 " />
    <xsl:variable name="test-pname" select="$pname-to-test and not($ts-psnomed-version = '' and $v-psnomed-version = '') and not($psctau-ts-63-err)" />
    <xsl:variable name="p-term-actual-1" select="if ($test-pname and $use-ts-for-sctau and $psnomed-id = 'snomedctau')        then dh:FindPreferredTermUsingTS($pcode, '2.16.840.1.113883.6.96', $ts-psnomed-version)        else if ($test-pname and exists($v-amtv3) and $psnomed-id = 'amtv3')        then replace(dh:FindPreferredTermAndCaseSignificance($pcode, '2.16.840.1.113883.6.96', $v-psnomed-version), '\|.*$', '', 'is')       else '' " />
    <xsl:variable name="error-usingTS-1" select="$p-term-actual-1 = 'Error' " />
    <xsl:variable name="p-term-actual" select="if ($p-term-actual-1 = ('CodeNotFound', 'Error')) then '' else $p-term-actual-1 " />
    <xsl:variable name="pname-invalid" select="$test-pname and $p-term-actual != '' and lower-case($p-term-actual) != lower-case(@displayName) " />
    <xsl:variable name="phist-search" select="$test-pname and $pname-invalid and $ts-snomedctau-pre-ordered != '' " />
    <xsl:variable name="phist-vers-2" select="if ($phist-search) then index-of($hist-vers-1, substring-after($ts-psnomed-version, 'version/')) else () " />
    <xsl:variable name="phist-vers-3" select="if (exists($phist-vers-2) and count($hist-vers-1) &gt; $phist-vers-2[1]) then $hist-vers-1[$phist-vers-2[1] + 1] else '' " />
    <xsl:variable name="phist-vers-4" select="if ($phist-vers-3 = '') then '' else concat('http://snomed.info/sct/32506021000036107/version/', $phist-vers-3) " />
    <xsl:variable name="phist-vers-5" select="if ($phist-vers-4 != '' and $use-ts-for-sctau)         then dh:FindLatestVersionWhereDisplaynameMatchUsingTS($pcode, '2.16.840.1.113883.6.96', $phist-vers-4, @displayName, false()) else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or $phist-vers-5 = 'Error' " />
    <xsl:variable name="phist-vers-found-1" select="matches($phist-vers-5, 'http') " />
    <xsl:variable name="pcode-pterm-date-1" select="if (not($pname-invalid) or $phist-vers-found-1) then '' else dh:LatestDateForPreferredTerm($pcode, '2.16.840.1.113883.6.96', $v-latest-snomedctau) " />
    <xsl:variable name="error-pcode-pterm-date" select="'Error' = $pcode-pterm-date-1" />
    <xsl:variable name="pcode-pterm-date-2" select="if (matches($pcode-pterm-date-1, '^[0-9]{8}\|')) then substring-before($pcode-pterm-date-1, '|') else '' " />
    <xsl:variable name="pcode-pterm-date-est" select="$pcode-pterm-date-2 != '' and dh:IsFirstDateEarlierThanSecondDate($creation-date, $pcode-pterm-date-2) = '0' " />
    <xsl:variable name="pcode-pterm-date" select="if ($pcode-pterm-date-est) then $pcode-pterm-date-2 else '' " />
    <xsl:variable name="phist-vers-6" select="if ($phist-vers-5 = 'PreferredTermNeverMatches' and not($pcode-pterm-date-est) and matches($pcode, $sctau-namespace-id-regex))         then dh:IsCodePreferredTermInTerminologyValid($pcode, '2.16.840.1.113883.6.96', $v-latest-amtv3, @displayName)        else '' " />
    <xsl:variable name="phist-vers-found-2" select="$phist-vers-6 = 'PreferredTermMatch' " />
    <xsl:variable name="phist-vers-7" select="if ($phist-vers-6 = 'PreferredTermMismatch' and not($pcode-pterm-date-est) and $v-latest-amtv2 = $last-amtv2)         then dh:IsCodePreferredTermInTerminologyValid($pcode, '1.2.36.1.2001.1004.100', $last-amtv2, @displayName)        else '' " />
    <xsl:variable name="phist-vers-found-3" select="$phist-vers-7 = 'PreferredTermMatch' " />
    <xsl:variable name="phist-vers-found" select="$phist-vers-found-1 or $phist-vers-found-2 or $phist-vers-found-3 or $pcode-pterm-date-est " />
    <xsl:variable name="phist-vers-date" select="if ($phist-vers-found-1) then substring-after($phist-vers-5, 'http://snomed.info/sct/32506021000036107/version/')         else if ($phist-vers-found-2) then substring-after($v-latest-amtv3, 'http://snomed.info/sct/900062011000036108/version/')        else if ($phist-vers-found-3) then $last-amtv2-date        else if ($pcode-pterm-date-est) then $pcode-pterm-date        else '' " />
    <xsl:variable name="phist-last-diff" select="if ($sctau-last = '' or $phist-vers-date = '') then ''        else iq:display-date-diff($phist-vers-date, $sctau-last)[2] " />
    <xsl:variable name="phist-last-old" select="$phist-last-diff != '' and not(number($phist-last-diff) &lt; $sctau-acceptable-age) " />
    <xsl:variable name="p-term-found-in" select="if ($phist-vers-found-1) then 'last used in the version of SNOMED CT-AU'        else if ($phist-vers-found-2) then 'used in the version of AMT v3'        else if ($phist-vers-found-3) then 'used in the version of AMT v2'        else '' " />
    <xsl:variable name="phist-last-msg" select="if ($pcode-pterm-date-est) then concat(' The preferred term was last changed in the version of SNOMED CT-AU published ',          iq:display-date($phist-vers-date),          ' so if the value of the displayName was ever valid then it must be before then. ',          'That version was published ', $phist-last-diff, ' days before the version of SNOMED CT-AU published immediately prior to the date ''',         /cda:ClinicalDocument/cda:effectiveTime/@value, ''' that this ', $document-name,          ' was created. SNOMED CT-AU is published monthly and the Australian National Terminology Licence Agreement requires the copy used ',         'in healthcare software systems (live or production environments) to be updated within 30 days of the National Terminology release.')         else if (not($phist-last-old) or $p-term-found-in = '') then ''        else concat(' The value of the displayName was ', $p-term-found-in,          ' published on the ', iq:display-date($phist-vers-date), '. That version was published ', $phist-last-diff,          ' days before the version of SNOMED CT-AU published immediately prior to the date the ', $document-name,          ' was created. SNOMED CT-AU is published monthly and the Australian National Terminology Licence Agreement requires the copy used in',         ' healthcare software systems (live or production environments) to be updated within 30 days of the National Terminology release.') " />
    <xsl:variable name="p-date-required" select="if (not($pname-invalid)) then ''        else if (@codeSystemVersion and matches(@codeSystemVersion, $snomed-version-regex-1)) then substring-after(@codeSystemVersion, '/version/')        else if ($creation-date-est) then ''        else $creation-date " />
    <xsl:variable name="p-date-diff" select="if ($p-date-required = '' or         not(dh:IsFirstDateEarlierThanSecondDate(substring-after($ts-psnomed-version, '/version/'), $p-date-required) = '1')) then ()        else iq:display-date-diff(substring-after($ts-psnomed-version, '/version/'), $p-date-required)" />
    <xsl:variable name="p-old-ts-version" select="exists($p-date-diff) and number($p-date-diff[2]) &gt; 31 " />
    <xsl:variable name="snomed-trans-1" select="if (cda:translation) then cda:translation[@displayName and @codeSystem = '2.16.840.1.113883.6.96' and @code and         matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="snomed-trans-2" select="distinct-values(for $trans in $snomed-trans-1 return $trans/@code) " />
    <xsl:variable name="snomed-trans-a" select="if (exists($snomed-trans-1)) then $snomed-trans-1[1] else () " />
    <xsl:variable name="tcode-a" select="if (exists($snomed-trans-a)) then $snomed-trans-a/@code else '' " />
    <xsl:variable name="tname-a-to-test" select="$tcode-a != '' and $snomed-trans-a/@displayName " />
    <xsl:variable name="tsctau-version-a" select="if (exists($snomed-trans-a/@codeSystemVersion) and matches($snomed-trans-a/@codeSystemVersion, $snomedctau-version-regex)) then $snomed-trans-a/@codeSystemVersion else '' " />
    <xsl:variable name="tsnomed-id-a" select="if (not($tname-a-to-test)) then 'none'        else if (not($snomed-trans-a/@codeSystemVersion) and          dh:IsFirstDateEarlierThanSecondDate($creation-date, substring-after($first-amt-in-sctau, '/version/')) = '1') then 'amtv3'        else if (not($snomed-trans-a/@codeSystemVersion)) then 'snomedctau'        else if (not($tsctau-version-a = '')) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-a/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="tsnomed-a-type" select="if ($tsnomed-id-a = 'amtv3') then 'AMT v3'        else if ($tsnomed-id-a = 'snomedctau') then 'SNOMED CT-AU'        else if ($tsnomed-id-a = 'snomedct') then 'SNOMED CT'        else '' " />
    <xsl:variable name="t-vers-a-old" select="if ($tsnomed-id-a = 'snomedctau' and $snomed-trans-a/@codeSystemVersion) then not(exists($ts-snomedctau[. = $snomed-trans-a/@codeSystemVersion]))         else if ($tsnomed-id-a = 'snomedctau' and $creation-date != '' and $ts-earliest-sctau-date != '') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $ts-earliest-sctau-date) = '1'         else if ($tsnomed-id-a = 'amtv3' and $snomed-trans-a/@codeSystemVersion) then not(exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion]))        else if ($tsnomed-id-a = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '1'         else false() " />
    <xsl:variable name="tsctau-ts-a" select="if ($tsctau-version-a = '' or not($t-vers-a-old)) then '' else substring-after($tsctau-version-a, '/version/') " />
    <xsl:variable name="tsctau-ts-a-xs" select="if ($tsctau-ts-a = '') then '' else concat(substring($tsctau-ts-a, 1, 4), '-', substring($tsctau-ts-a, 5, 2), '-', substring($tsctau-ts-a, 7, 2))" />
    <xsl:variable name="tsctau-ts-a-1" select="if ($tsctau-ts-a = '' or not($tsctau-ts-a-xs castable as xs:date)) then '' else string($sctau-last-xs - xs:date($tsctau-ts-a-xs)) " />
    <xsl:variable name="tsctau-ts-a-2" select="if ($tsctau-ts-a-1 = '' or not(matches($tsctau-ts-a-1, '^P[0-9]+D'))) then '' else substring-before(substring-after($tsctau-ts-a-1, 'P'), 'D') " />
    <xsl:variable name="tsctau-ts-a-63-err" select="$tsctau-ts-a-2 != '' and $tsctau-ts-a-2 &gt; $sctau-acceptable-age  " />
    <xsl:variable name="ts-tsnomed-version-a" select="if (not($tname-a-to-test) or not($tsnomed-id-a = 'snomedctau')) then ''        else if (not($snomed-trans-a/@codeSystemVersion)) then $ts-latest-snomedctau        else if ($tsnomed-id-a = 'snomedctau' and $snomed-trans-a/@codeSystemVersion and not($t-vers-a-old)) then $snomed-trans-a/@codeSystemVersion        else if ($t-vers-a-old and $ts-earliest-sctau-date != '') then concat('http://snomed.info/sct/32506021000036107/version/', $ts-earliest-sctau-date)        else $ts-latest-snomedctau " />
    <xsl:variable name="v-tsnomed-version-a" select="if (not($tsnomed-id-a = 'amtv3')) then ''        else if ($snomed-trans-a/@codeSystemVersion and exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($t-vers-a-old) then concat('http://snomed.info/sct/900062011000036108/version/', $v-earliest-amtv3-date)        else $v-latest-amtv3 " />
    <xsl:variable name="test-tname-a" select="$tname-a-to-test and not($ts-tsnomed-version-a = '' and $v-tsnomed-version-a = '') and not($tsctau-ts-a-63-err) " />
    <xsl:variable name="t-a-term-actual-1" select="if ($test-tname-a and $use-ts-for-sctau and $tsnomed-id-a = 'snomedctau')         then dh:FindPreferredTermUsingTS($tcode-a, '2.16.840.1.113883.6.96', $ts-tsnomed-version-a)         else if ($test-tname-a and exists($v-amtv3) and $tsnomed-id-a = 'amtv3')         then replace(dh:FindPreferredTermAndCaseSignificance($tcode-a, '2.16.840.1.113883.6.96', $v-tsnomed-version-a), '\|.*$', '', 'is')        else '' " />
    <xsl:variable name="error-usingTS-3" select="$error-usingTS-2 or $t-a-term-actual-1 = 'Error' " />
    <xsl:variable name="t-a-term-actual" select="if ($t-a-term-actual-1 = 'CodeNotFound' or $t-a-term-actual-1 = 'Error') then '' else $t-a-term-actual-1 " />
    <xsl:variable name="tname-a-invalid" select="$test-tname-a and $t-a-term-actual != '' and lower-case($t-a-term-actual) != lower-case($snomed-trans-a/@displayName) " />
    <xsl:variable name="thist-a-search" select="$test-tname-a and $tname-a-invalid and $ts-snomedctau-pre-ordered != '' " />
    <xsl:variable name="thist-a-vers-2" select="if ($thist-a-search) then index-of($hist-vers-1, substring-after($ts-tsnomed-version-a, 'version/')) else () " />
    <xsl:variable name="thist-a-vers-3" select="if (exists($thist-a-vers-2) and count($hist-vers-1) &gt; $thist-a-vers-2[1]) then $hist-vers-1[$thist-a-vers-2[1] + 1] else '' " />
    <xsl:variable name="thist-a-vers-4" select="if ($thist-a-vers-3 = '') then '' else concat('http://snomed.info/sct/32506021000036107/version/', $thist-a-vers-3) " />
    <xsl:variable name="thist-a-vers-5" select="if ($thist-a-vers-4 != '' and $use-ts-for-sctau)         then dh:FindLatestVersionWhereDisplaynameMatchUsingTS($tcode-a, '2.16.840.1.113883.6.96', $thist-a-vers-4, $snomed-trans-a/@displayName, false())         else '' " />
    <xsl:variable name="error-usingTS-4" select="$error-usingTS-3 or $thist-a-vers-5 = 'Error' " />
    <xsl:variable name="thist-a-vers-found-1" select="matches($thist-a-vers-5, 'http') " />
    <xsl:variable name="tcode-a-pterm-date-1" select="if (not($tname-a-invalid) or $thist-a-vers-found-1) then ''          else dh:LatestDateForPreferredTerm($tcode-a, '2.16.840.1.113883.6.96', $v-latest-snomedctau) " />
    <xsl:variable name="error-tcode-a-pterm-date" select="'Error' = $tcode-a-pterm-date-1" />
    <xsl:variable name="tcode-a-pterm-date-2" select="if (matches($tcode-a-pterm-date-1, '^[0-9]{8}\|')) then substring-before($tcode-a-pterm-date-1, '|') else '' " />
    <xsl:variable name="tcode-a-pterm-date-est" select="$tcode-a-pterm-date-2 != '' and dh:IsFirstDateEarlierThanSecondDate($creation-date, $tcode-a-pterm-date-2) = '0' " />
    <xsl:variable name="tcode-a-pterm-date" select="if ($tcode-a-pterm-date-est) then $tcode-a-pterm-date-2 else '' " />
    <xsl:variable name="thist-a-vers-6" select="if ($thist-a-vers-5 = 'PreferredTermNeverMatches' and not($tcode-a-pterm-date-est) and matches($tcode-a, $sctau-namespace-id-regex))         then dh:IsCodePreferredTermInTerminologyValid($tcode-a, '2.16.840.1.113883.6.96', $v-latest-amtv3, $snomed-trans-a/@displayName)        else '' " />
    <xsl:variable name="thist-a-vers-found-2" select="$thist-a-vers-6 = 'PreferredTermMatch' " />
    <xsl:variable name="thist-a-vers-7" select="if ($thist-a-vers-6 = 'PreferredTermMismatch' and not($tcode-a-pterm-date-est) and $v-latest-amtv2 = $last-amtv2)         then dh:IsCodePreferredTermInTerminologyValid($tcode-a, '1.2.36.1.2001.1004.100', $last-amtv2, $snomed-trans-a/@displayName)        else '' " />
    <xsl:variable name="thist-a-vers-found-3" select="$thist-a-vers-7 = 'PreferredTermMatch' " />
    <xsl:variable name="thist-a-vers-found" select="$thist-a-vers-found-1 or $thist-a-vers-found-2 or $thist-a-vers-found-3 or $tcode-a-pterm-date-est " />
    <xsl:variable name="thist-a-vers-date" select="if ($thist-a-vers-found-1) then substring-after($thist-a-vers-5, 'http://snomed.info/sct/32506021000036107/version/')         else if ($thist-a-vers-found-2) then substring-after($v-latest-amtv3, 'http://snomed.info/sct/900062011000036108/version/')        else if ($thist-a-vers-found-3) then $last-amtv2-date        else if ($tcode-a-pterm-date-est) then $tcode-a-pterm-date        else '' " />
    <xsl:variable name="thist-a-last-diff" select="if ($sctau-last = '' or $thist-a-vers-date = '') then ''        else iq:display-date-diff($thist-a-vers-date, $sctau-last)[2] " />
    <xsl:variable name="thist-a-last-old" select="$thist-a-last-diff != '' and not(number($thist-a-last-diff) &lt; $sctau-acceptable-age) " />
    <xsl:variable name="t-a-term-found-in" select="if ($thist-a-vers-found-1) then 'last used in the version of SNOMED CT-AU'        else if ($thist-a-vers-found-2) then 'used in the version of AMT v3'        else if ($thist-a-vers-found-3) then 'used in the version of AMT v2'        else '' " />
    <xsl:variable name="thist-a-last-msg" select="if ($tcode-a-pterm-date-est) then concat(' The preferred term was last changed in the version of SNOMED CT-AU published ',          iq:display-date($thist-a-vers-date),          ' so if the value of the translation code displayName was ever valid then it must be before then. ',          'That version was published ', $thist-a-last-diff, ' days before the version of SNOMED CT-AU published immediately prior to the date ''',         /cda:ClinicalDocument/cda:effectiveTime/@value, ''' that this ', $document-name,          ' was created. SNOMED CT-AU is published monthly and the Australian National Terminology Licence Agreement requires the copy used ',         'in healthcare software systems (live or production environments) to be updated within 30 days of the National Terminology release.')         else if (not($thist-a-last-old) or $t-a-term-found-in = '') then ''           else concat(' The value of the translation code displayName was ', $t-a-term-found-in, ' published on the ', iq:display-date($thist-a-vers-date),         '. That version was published ', $thist-a-last-diff, ' days before the version of SNOMED CT-AU published immediately prior to the date the ',        $document-name, ' was created. SNOMED CT-AU is published monthly and the Australian National Terminology Licence Agreement requires ',        'the copy used in healthcare software systems (live or production environments) to be updated within 30 days of the National Terminology release.')" />
    <xsl:variable name="tr-a-date-required" select="if (not($tname-a-invalid)) then ''        else if ($snomed-trans-a/@codeSystemVersion and matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1))          then substring-after($snomed-trans-a/@codeSystemVersion, '/version/')        else if ($creation-date-est) then ''        else $creation-date " />
    <xsl:variable name="tr-a-date-diff" select="if ($tr-a-date-required = '' or         not(dh:IsFirstDateEarlierThanSecondDate(substring-after($ts-tsnomed-version-a, '/version/'), $tr-a-date-required) = '1')) then ()        else iq:display-date-diff(substring-after($ts-tsnomed-version-a, '/version/'), $tr-a-date-required)" />
    <xsl:variable name="tr-a-old-ts-version" select="exists($tr-a-date-diff) and number($tr-a-date-diff[2]) &gt; 31 " />
    <xsl:variable name="snomed-trans-b" select="if (exists($snomed-trans-1)) then $snomed-trans-1[@code and not(@code = $tcode-a)] else () " />
    <xsl:variable name="tcode-b" select="if (exists($snomed-trans-b)) then $snomed-trans-b/@code else '' " />
    <xsl:variable name="tname-b-to-test" select="$tcode-b != '' and $snomed-trans-b/@displayName " />
    <xsl:variable name="tsctau-version-b" select="if (exists($snomed-trans-b/@codeSystemVersion) and matches($snomed-trans-b/@codeSystemVersion, $snomedctau-version-regex)) then $snomed-trans-b/@codeSystemVersion else '' " />
    <xsl:variable name="tsnomed-id-b" select="if (not($tname-b-to-test)) then 'none'        else if (not($snomed-trans-b/@codeSystemVersion) and          dh:IsFirstDateEarlierThanSecondDate($creation-date, substring-after($first-amt-in-sctau, '/version/')) = '1') then 'amtv3'        else if (not($snomed-trans-b/@codeSystemVersion)) then 'snomedctau'        else if (not($tsctau-version-b = '')) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-b/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="tsnomed-b-type" select="if ($tsnomed-id-b = 'amtv3') then 'AMT v3'        else if ($tsnomed-id-b = 'snomedctau') then 'SNOMED CT-AU'        else if ($tsnomed-id-b = 'snomedct') then 'SNOMED CT'        else '' " />
    <xsl:variable name="t-vers-b-old" select="if ($tsnomed-id-b = 'snomedctau' and $snomed-trans-b/@codeSystemVersion) then not(exists($ts-snomedctau[. = $snomed-trans-b/@codeSystemVersion]))         else if ($tsnomed-id-b = 'snomedctau' and $creation-date != '' and $ts-earliest-sctau-date != '') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $ts-earliest-sctau-date) = '1'         else if ($tsnomed-id-b = 'amtv3' and $snomed-trans-b/@codeSystemVersion) then not(exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion]))        else if ($tsnomed-id-b = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '1'         else false() " />
    <xsl:variable name="tsctau-ts-b" select="if ($tsctau-version-b = '' or not($t-vers-b-old)) then '' else substring-after($tsctau-version-b, '/version/') " />
    <xsl:variable name="tsctau-ts-b-xs" select="if ($tsctau-ts-b = '') then '' else concat(substring($tsctau-ts-b, 1, 4), '-', substring($tsctau-ts-b, 5, 2), '-', substring($tsctau-ts-b, 7, 2))" />
    <xsl:variable name="tsctau-ts-b-1" select="if ($tsctau-ts-b = '' or not($tsctau-ts-b-xs castable as xs:date)) then '' else string($sctau-last-xs - xs:date($tsctau-ts-b-xs)) " />
    <xsl:variable name="tsctau-ts-b-2" select="if ($tsctau-ts-b-1 = '' or not(matches($tsctau-ts-b-1, '^P[0-9]+D'))) then '' else substring-before(substring-after($tsctau-ts-b-1, 'P'), 'D') " />
    <xsl:variable name="tsctau-ts-b-63-err" select="$tsctau-ts-b-2 != '' and $tsctau-ts-b-2 &gt; $sctau-acceptable-age  " />
    <xsl:variable name="ts-tsnomed-version-b" select="if (not($tname-b-to-test) or not($tsnomed-id-b = 'snomedctau')) then ''        else if (not($snomed-trans-b/@codeSystemVersion)) then $ts-latest-snomedctau        else if ($tsnomed-id-b = 'snomedctau' and $snomed-trans-b/@codeSystemVersion and not($t-vers-b-old)) then $snomed-trans-b/@codeSystemVersion        else if ($t-vers-b-old and $ts-earliest-sctau-date != '') then concat('http://snomed.info/sct/32506021000036107/version/', $ts-earliest-sctau-date)        else $ts-latest-snomedctau " />
    <xsl:variable name="v-tsnomed-version-b" select="if (not($tsnomed-id-b = 'amtv3')) then ''        else if ($snomed-trans-b/@codeSystemVersion and exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($t-vers-b-old) then concat('http://snomed.info/sct/900062011000036108/version/', $v-earliest-amtv3-date)        else $v-latest-amtv3 " />
    <xsl:variable name="test-tname-b" select="$tname-b-to-test and not($ts-tsnomed-version-b = '' and $v-tsnomed-version-b = '') and not($tsctau-ts-b-63-err) " />
    <xsl:variable name="t-b-term-actual-1" select="if ($test-tname-b and $use-ts-for-sctau and $tsnomed-id-b = 'snomedctau')        then dh:FindPreferredTermUsingTS($tcode-b, '2.16.840.1.113883.6.96', $ts-tsnomed-version-b)        else if ($test-tname-b and exists($v-amtv3) and $tsnomed-id-b = 'amtv3')        then replace(dh:FindPreferredTermAndCaseSignificance($tcode-b, '2.16.840.1.113883.6.96', $v-tsnomed-version-b), '\|.*$', '', 'is')       else '' " />
    <xsl:variable name="error-usingTS-5" select="$error-usingTS-4 or $t-b-term-actual-1 = 'Error' " />
    <xsl:variable name="t-b-term-actual" select="if ($t-b-term-actual-1 = 'CodeNotFound' or $t-b-term-actual-1 = 'Error') then '' else $t-b-term-actual-1 " />
    <xsl:variable name="tname-b-invalid" select="$test-tname-b and $t-b-term-actual != '' and lower-case($t-b-term-actual) != lower-case($snomed-trans-b/@displayName) " />
    <xsl:variable name="thist-b-search" select="$test-tname-b and $tname-b-invalid and $ts-snomedctau-pre-ordered != '' " />
    <xsl:variable name="thist-b-vers-2" select="if ($thist-b-search) then index-of($hist-vers-1, substring-after($ts-tsnomed-version-b, 'version/')) else () " />
    <xsl:variable name="thist-b-vers-3" select="if (exists($thist-b-vers-2) and count($hist-vers-1) &gt; $thist-b-vers-2[1]) then $hist-vers-1[$thist-b-vers-2[1] + 1] else '' " />
    <xsl:variable name="thist-b-vers-4" select="if ($thist-b-vers-3 = '') then '' else concat('http://snomed.info/sct/32506021000036107/version/', $thist-b-vers-3) " />
    <xsl:variable name="thist-b-vers-5" select="if ($thist-b-vers-4 != '' and $use-ts-for-sctau)         then dh:FindLatestVersionWhereDisplaynameMatchUsingTS($tcode-b, '2.16.840.1.113883.6.96', $thist-b-vers-4, $snomed-trans-b/@displayName, false())         else '' " />
    <xsl:variable name="error-usingTS-6" select="$error-usingTS-5 or $thist-b-vers-5 = 'Error' " />
    <xsl:variable name="thist-b-vers-found-1" select="matches($thist-b-vers-5, 'http') " />
    <xsl:variable name="tcode-b-pterm-date-1" select="if (not($tname-b-invalid) or $thist-b-vers-found-1) then ''          else dh:LatestDateForPreferredTerm($tcode-b, '2.16.840.1.113883.6.96', $v-latest-snomedctau) " />
    <xsl:variable name="error-tcode-b-pterm-date" select="'Error' = $tcode-b-pterm-date-1" />
    <xsl:variable name="tcode-b-pterm-date-2" select="if (matches($tcode-b-pterm-date-1, '^[0-9]{8}\|')) then substring-before($tcode-b-pterm-date-1, '|') else '' " />
    <xsl:variable name="tcode-b-pterm-date-est" select="$tcode-b-pterm-date-2 != '' and dh:IsFirstDateEarlierThanSecondDate($creation-date, $tcode-b-pterm-date-2) = '0' " />
    <xsl:variable name="tcode-b-pterm-date" select="if ($tcode-b-pterm-date-est) then $tcode-b-pterm-date-2 else '' " />
    <xsl:variable name="thist-b-vers-6" select="if ($thist-b-vers-5 = 'PreferredTermNeverMatches' and not($tcode-b-pterm-date-est) and matches($tcode-b, $sctau-namespace-id-regex))         then dh:IsCodePreferredTermInTerminologyValid($tcode-b, '2.16.840.1.113883.6.96', $v-latest-amtv3, $snomed-trans-b/@displayName)        else '' " />
    <xsl:variable name="thist-b-vers-found-2" select="$thist-b-vers-6 = 'PreferredTermMatch' " />
    <xsl:variable name="thist-b-vers-7" select="if ($thist-b-vers-6 = 'PreferredTermMismatch' and not($tcode-b-pterm-date-est) and $v-latest-amtv2 = $last-amtv2)         then dh:IsCodePreferredTermInTerminologyValid($tcode-b, '1.2.36.1.2001.1004.100', $last-amtv2, $snomed-trans-b/@displayName)        else '' " />
    <xsl:variable name="thist-b-vers-found-3" select="$thist-b-vers-7 = 'PreferredTermMatch' " />
    <xsl:variable name="thist-b-vers-found" select="$thist-b-vers-found-1 or $thist-b-vers-found-2 or $thist-b-vers-found-3 or $tcode-b-pterm-date-est " />
    <xsl:variable name="thist-b-vers-date" select="if ($thist-b-vers-found-1) then substring-after($thist-b-vers-5, 'http://snomed.info/sct/32506021000036107/version/')         else if ($thist-b-vers-found-2) then substring-after($v-latest-amtv3, 'http://snomed.info/sct/900062011000036108/version/')        else if ($thist-b-vers-found-3) then $last-amtv2-date        else if ($tcode-b-pterm-date-est) then $tcode-b-pterm-date        else '' " />
    <xsl:variable name="thist-b-last-diff" select="if ($sctau-last = '' or $thist-b-vers-date = '') then ''        else iq:display-date-diff($thist-b-vers-date, $sctau-last)[2] " />
    <xsl:variable name="thist-b-last-old" select="$thist-b-last-diff != '' and not(number($thist-b-last-diff) &lt; $sctau-acceptable-age) " />
    <xsl:variable name="t-b-term-found-in" select="if ($thist-b-vers-found-1) then 'last used in the version of SNOMED CT-AU'        else if ($thist-b-vers-found-2) then 'used in the version of AMT v3'        else if ($thist-b-vers-found-3) then 'used in the version of AMT v2'        else '' " />
    <xsl:variable name="thist-b-last-msg" select="if ($tcode-b-pterm-date-est) then concat(' The preferred term was last changed in the version of SNOMED CT-AU published ',          iq:display-date($thist-b-vers-date),          ' so if the value of the translation code displayName was ever valid then it must be before then. ',          'That version was published ', $thist-b-last-diff, ' days before the version of SNOMED CT-AU published immediately prior to the date ''',         /cda:ClinicalDocument/cda:effectiveTime/@value, ''' that this ', $document-name,          ' was created. SNOMED CT-AU is published monthly and the Australian National Terminology Licence Agreement requires the copy used ',         'in healthcare software systems (live or production environments) to be updated within 30 days of the National Terminology release.')        else if (not($thist-b-last-old) or $t-b-term-found-in = '') then ''           else concat(' The value of the translation code displayName was ', $t-b-term-found-in,         ' published on the ', iq:display-date($thist-b-vers-date),         '. That version was published ', $thist-b-last-diff, ' days before the version of SNOMED CT-AU published immediately prior to the date the ',        $document-name, ' was created. SNOMED CT-AU is published monthly and the Australian National Terminology Licence Agreement requires ',        'the copy used in healthcare software systems (live or production environments) to be updated within 30 days of the National Terminology release.')" />
    <xsl:variable name="tr-b-date-required" select="if (not($tname-b-invalid)) then ''        else if ($snomed-trans-b/@codeSystemVersion and matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1))          then substring-after($snomed-trans-b/@codeSystemVersion, '/version/')        else if ($creation-date-est) then ''        else $creation-date " />
    <xsl:variable name="tr-b-date-diff" select="if ($tr-b-date-required = '' or         not(dh:IsFirstDateEarlierThanSecondDate(substring-after($ts-tsnomed-version-b, '/version/'), $tr-b-date-required) = '1')) then ()        else iq:display-date-diff(substring-after($ts-tsnomed-version-b, '/version/'), $tr-b-date-required)" />
    <xsl:variable name="tr-b-old-ts-version" select="exists($tr-b-date-diff) and number($tr-b-date-diff[2]) &gt; 31 " />
    <xsl:variable name="psnomed-version-msg" select="if (not($pname-to-test) or $psctau-ts-63-err) then ''        else if (not(@codeSystemVersion) and $psnomed-id = 'snomedctau' and $pvers-old)          then concat(' The terminology server did not have a version of SNOMED CT-AU published before the date the clinical document was created (',         /cda:ClinicalDocument/cda:effectiveTime/@value, ') so the ''',          $ts-psnomed-version, ''' version of the SNOMED CT-AU code system was used in the assessment.')        else if (not(@codeSystemVersion) and $psnomed-id = 'amtv3' and $pvers-old)          then concat(' The terminology server did not have a version of AMT v3 published before the date the clinical document was created (',         /cda:ClinicalDocument/cda:effectiveTime/@value, ') so the ''',          $v-psnomed-version, ''' version of the AMT v3 code system was used in the assessment.')        else if (not(@codeSystemVersion) and $psnomed-id = 'amtv3') then concat(' The data element did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the AMT v3 code system was used in the assessment.')        else if (not(@codeSystemVersion)) then concat(' The data element did not contain the codeSystemVersion attribute so the ''',          $ts-psnomed-version, ''' version of the SNOMED CT-AU code system was used in the assessment.')        else if ($psnomed-id = 'snomedctau' and not($pvers-old)) then          concat(' The ''', $ts-psnomed-version, ''' version of the code system was used to validate the SNOMED CT-AU code.')        else if ($psnomed-id = 'snomedctau' and $pvers-old) then          concat(' The codeSystemVersion attribute has the correct format for SNOMED CT-AU ''', @codeSystemVersion,          ''' but that version is not present in the Terminology Server.')        else if ($psnomed-id = 'amtv3') then         concat(' The codeSystemVersion attribute has the correct format for AMT v3 ''', @codeSystemVersion,          ''' but that version was not available to use in the assessment.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1) or matches(@codeSystemVersion, $snomed-version-regex-2)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system was not available to use in the assessment.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' .') " />
    <xsl:variable name="tsnomed-version-a-msg" select="if (not($tname-a-to-test) or $tsctau-ts-a-63-err) then ''        else if (not($snomed-trans-a/@codeSystemVersion) and $tsnomed-id-a = 'snomedctau' and $t-vers-a-old)          then concat(' The terminology server did not have a version of SNOMED CT-AU published before the date the clinical document was created (',         /cda:ClinicalDocument/cda:effectiveTime/@value, ') so the ''',          $ts-tsnomed-version-a, ''' version of the SNOMED CT-AU code system was used in the assessment.')        else if (not($snomed-trans-a/@codeSystemVersion) and $tsnomed-id-a = 'amtv3' and $t-vers-a-old)          then concat(' The Clinical Package Validator did not have a version of AMT v3 published before the date the clinical document was created (',         /cda:ClinicalDocument/cda:effectiveTime/@value, ') so the ''',          $v-tsnomed-version-a, ''' version of the AMT v3 code system was used in the assessment.')        else if (not($snomed-trans-a/@codeSystemVersion) and $tsnomed-id-a = 'amtv3')          then concat(' The data element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-a, ''' version of the AMT v3 code system was used in the assessment.')        else if (not($snomed-trans-a/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $ts-tsnomed-version-a, ''' version of the SNOMED CT-AU code system was used in the assessment.')         else if ($tsnomed-id-a = 'snomedctau' and not($t-vers-a-old)) then          concat(' The ''', $ts-tsnomed-version-a, ''' version of the code system was used to validate the SNOMED CT-AU code.')        else if ($tsnomed-id-a = 'snomedctau' and $t-vers-a-old) then          concat(' The codeSystemVersion attribute has the correct format for SNOMED CT-AU ''', $snomed-trans-a/@codeSystemVersion,          ''' but that version is not present in the Terminology Server.')        else if ($tsnomed-id-a = 'amtv3') then         concat(' The codeSystemVersion attribute has the correct format for AMT v3 ''', $snomed-trans-a/@codeSystemVersion,          ''' but that version was not available to use in the assessment.')        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1) or matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-2))         then concat(' The ''', $snomed-trans-a/@codeSystemVersion, ''' version of the code system was not available to use in the assessment.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-a/@codeSystemVersion, '''.') " />
    <xsl:variable name="tsnomed-version-b-msg" select="if (not($tname-b-to-test) or $ts-tsnomed-version-b = '' or $tsctau-ts-b-63-err) then ''        else if (not($snomed-trans-b/@codeSystemVersion) and $tsnomed-id-b = 'snomedctau' and $t-vers-b-old)          then concat(' The terminology server did not have a version of SNOMED CT-AU published before the date the clinical document was created (',         /cda:ClinicalDocument/cda:effectiveTime/@value, ') so the ''',          $ts-tsnomed-version-b, ''' version of the SNOMED CT-AU code system was used in the assessment.')        else if (not($snomed-trans-b/@codeSystemVersion) and $tsnomed-id-b = 'amtv3' and $t-vers-b-old)          then concat(' The Clinical Package Validator did not have a version of AMT v3 published before the date the clinical document was created (',         /cda:ClinicalDocument/cda:effectiveTime/@value, ') so the ''',          $v-tsnomed-version-b, ''' version of the AMT v3 code system was used in the assessment.')        else if (not($snomed-trans-b/@codeSystemVersion) and $tsnomed-id-b = 'amtv3')          then concat(' The data element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-b, ''' version of the AMT v3 code system was used in the assessment.')        else if (not($snomed-trans-b/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $ts-tsnomed-version-b, ''' version of the SNOMED CT-AU code system was used in the assessment.')         else if ($tsnomed-id-b = 'snomedctau' and not($t-vers-b-old)) then          concat(' The ''', $ts-tsnomed-version-b, ''' version of the code system was used to validate the SNOMED CT-AU code.')        else if ($tsnomed-id-b = 'snomedctau' and $t-vers-b-old) then          concat(' The codeSystemVersion attribute has the correct format for SNOMED CT-AU ''', $snomed-trans-b/@codeSystemVersion,          ''' but that version is not present in the Terminology Server.')        else if ($tsnomed-id-b = 'amtv3') then         concat(' The codeSystemVersion attribute has the correct format for AMT v3 ''', $snomed-trans-b/@codeSystemVersion,          ''' but that version was not available to use in the assessment.')        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1) or matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-2))         then concat(' The ''', $snomed-trans-b/@codeSystemVersion, ''' version of the code system was not available to use in the assessment.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-b/@codeSystemVersion, '''.') " />
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and ($pname-to-test or $tname-a-to-test or $tname-b-to-test) and not($use-ts-for-sctau) and    not($psctau-ts-63-err or $tsctau-ts-a-63-err or $tsctau-ts-b-63-err) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and ($pname-to-test or $tname-a-to-test or $tname-b-to-test) and not($use-ts-for-sctau) and not($psctau-ts-63-err or $tsctau-ts-a-63-err or $tsctau-ts-b-63-err)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Ceased Medications - Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /><xsl:text /><xsl:value-of select="if ($tname-a-to-test) then concat(' and translation ', iq:display-CD($snomed-trans-a)) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($tname-b-to-test) then concat(' and translation ', iq:display-CD($snomed-trans-b)) else '' " /><xsl:text />
		A terminology server with SNOMED CT-AU codes was not available so it was not possible to verify that the AMT code contains the preferred term for the displayName.
		Confirm that the value of the displayName attribute meets the requirement that it be the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 5.25 of the Discharge Summary Structured Document Template v3.3.) 

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-6 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-6">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-GCD: An error was reported when accessing the terminology server. The analysis should be retried as the terminology server may have been temporarily unavailable.
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.
		<xsl:text /><xsl:value-of select="if ($p-term-actual-1 = 'Error') then concat(' The error occurred when calling the function FindPreferredTermUsingTS with code ''', $pcode,    ''', codeSystem ''2.16.840.1.113883.6.96'' and codeSystemVersion ''', $ts-psnomed-version, '''.')   else if ($t-a-term-actual-1 = 'Error') then concat(' The error occurred when calling the function FindPreferredTermUsingTS with code ''', $tcode-a,    ''', codeSystem ''2.16.840.1.113883.6.96'' and codeSystemVersion ''', $ts-tsnomed-version-a, '''.')   else if ($t-b-term-actual-1 = 'Error') then concat(' The error occurred when calling the function FindPreferredTermUsingTS with code ''', $tcode-b,    ''', codeSystem ''2.16.840.1.113883.6.96'' and codeSystemVersion ''', $ts-tsnomed-version-b, '''.')   else if ($phist-vers-5 = 'Error') then concat(' The error occurred when calling the function FindLatestVersionWhereDisplaynameMatchUsingTS with code ''', @code,    ''', codeSystem ''2.16.840.1.113883.6.96'', initialVersion ''', $phist-vers-4, ''', displayName ''', @displayName, ''' and enforceCase ''false()''.')   else if ($thist-a-vers-5 = 'Error') then concat(' The error occurred when calling the function FindLatestVersionWhereDisplaynameMatchUsingTS with code ''', $tcode-a,    ''', codeSystem ''2.16.840.1.113883.6.96'', initialVersion ''', $thist-a-vers-4, ''', displayName ''', $snomed-trans-a/@displayName, ''' and enforceCase ''false()''.')   else if ($thist-b-vers-5 = 'Error') then concat(' The error occurred when calling the function FindLatestVersionWhereDisplaynameMatchUsingTS with code ''', $tcode-b,    ''', codeSystem ''2.16.840.1.113883.6.96'', initialVersion ''', $thist-b-vers-4, ''', displayName ''', $snomed-trans-b/@displayName, ''' and enforceCase ''false()''.')    else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-pcode-pterm-date ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-pcode-pterm-date">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$pcode-pterm-date-1" /><xsl:text /> was returned when calling the function LatestDateForPreferredTerm with
		code '<xsl:text /><xsl:value-of select="$pcode" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-latest-snomedctau" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$phist-vers-6 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$phist-vers-6 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$phist-vers-6" /><xsl:text /> was returned when calling the function IsCodePreferredTermInTerminologyValid with
		code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96', codeSystemVersion '<xsl:text /><xsl:value-of select="$v-latest-amtv3" /><xsl:text />' and
		displayName '<xsl:text /><xsl:value-of select="@displayName" /><xsl:text />'. The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$phist-vers-7 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$phist-vers-7 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$phist-vers-7" /><xsl:text /> was returned when calling the function IsCodePreferredTermInTerminologyValid with
		code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />', codeSystem '1.2.36.1.2001.1004.100', codeSystemVersion '<xsl:text /><xsl:value-of select="$last-amtv2" /><xsl:text />' and
		displayName '<xsl:text /><xsl:value-of select="@displayName" /><xsl:text />'. The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $pname-to-test and (not($test-pname) or ($pname-invalid and $pvers-old)) and not($pcode-pterm-date-est or $psctau-ts-63-err)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pname-to-test and (not($test-pname) or ($pname-invalid and $pvers-old)) and not($pcode-pterm-date-est or $psctau-ts-63-err)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Ceased Medications - Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		Confirm that the value of the displayName attribute is the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 5.25 of the Discharge Summary Structured Document Template v3.3.)<xsl:text /><xsl:value-of select="$psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $pname-to-test and $pname-invalid and (not($pvers-old) or $pcode-pterm-date-est) and    (not($phist-vers-found) or ($phist-vers-found and $phist-last-old)) and not($p-old-ts-version)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pname-to-test and $pname-invalid and (not($pvers-old) or $pcode-pterm-date-est) and (not($phist-vers-found) or ($phist-vers-found and $phist-last-old)) and not($p-old-ts-version)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Ceased Medications - Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. The value of the displayName attribute does not meet the requirement that it be the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 5.25 of the Discharge Summary Structured Document Template v3.3.) <xsl:text /><xsl:value-of select="$phist-last-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($p-term-actual = '') then ''   else if ($ts-psnomed-version != '') then concat(' According to the ''', $ts-psnomed-version, ''' version of SNOMED CT-AU the correct value for the preferred term is ''',   dh:XQueryRecursiveReplace($p-term-actual, $markup-pattern-replacement, 'ic'), '''.')   else concat(' According to the ''', $v-psnomed-version, ''' version of AMT v3 the correct value for the preferred term is ''',   dh:XQueryRecursiveReplace($p-term-actual, $markup-pattern-replacement, 'ic'), '''.') " /><xsl:text />'

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $pname-to-test and $pname-invalid and (not($pvers-old) or $pcode-pterm-date-est) and    (not($phist-vers-found) or ($phist-vers-found and $phist-last-old)) and $p-old-ts-version">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pname-to-test and $pname-invalid and (not($pvers-old) or $pcode-pterm-date-est) and (not($phist-vers-found) or ($phist-vers-found and $phist-last-old)) and $p-old-ts-version">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Ceased Medications - Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. The value of the displayName attribute may not meet the requirement that it be the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 5.25 of the Discharge Summary Structured Document Template v3.3.) According to the '<xsl:text /><xsl:value-of select="$ts-psnomed-version" /><xsl:text />' version of SNOMED CT-AU the correct value for the preferred term is
		'<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($p-term-actual, $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		However that version of SNOMED CT-AU in the Terminology Server was published on the <xsl:text /><xsl:value-of select="iq:display-date(substring-after($ts-psnomed-version, '/version/'))" /><xsl:text />
		which is <xsl:text /><xsl:value-of select="$p-date-diff" /><xsl:text /> before the <xsl:text /><xsl:value-of select="if (@codeSystemVersion and matches(@codeSystemVersion, $snomed-version-regex-1)) then   'value of the codeSystemVersion attribute' else concat('date the ', $document-name, ' was created')" /><xsl:text /> which is <xsl:text /><xsl:value-of select="iq:display-date($creation-date)" /><xsl:text />.
		Use a more recently published version of SNOMED CT-AU to confirm if the value of the displayName attribute is the preferred term for the code.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Ceased Medications - Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> has 
		<xsl:text /><xsl:value-of select="if ($numbers/number[number(@value) = count($snomed-trans-2)])        then $numbers/number[number(@value) = count($snomed-trans-2)]/@name        else count($snomed-trans-2)" /><xsl:text /> translation elements with
		distinct codes and the SNOMED CT codeSystem '2.16.840.1.113883.6.96'. The first translation element has been assessed to determine if the value of the displayName is the preferred term and
		the others have not been assessed. Confirm if the value of the displayName attribute in all SNOMED CT translation elements meets the requirement that it be the preferred term, also known as
		the preferred synonym, for the code. (See the Conditions of Use in the definition of Ceased Medications - Therapeutic Good Identification in the Conditions of Use in section 5.25 of the Discharge Summary Structured Document Template v3.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-tcode-a-pterm-date ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-tcode-a-pterm-date">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$tcode-a-pterm-date-1" /><xsl:text /> was returned when calling the function LatestDateForPreferredTerm with
		code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-latest-snomedctau" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$thist-a-vers-6 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$thist-a-vers-6 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$thist-a-vers-6" /><xsl:text /> was returned when calling the function IsCodePreferredTermInTerminologyValid with
		code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', '2.16.840.1.113883.6.96', codeSystemVersion '<xsl:text /><xsl:value-of select="$v-latest-amtv3" /><xsl:text />' and
		displayName '<xsl:text /><xsl:value-of select="$snomed-trans-a/@displayName" /><xsl:text />'. The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$thist-a-vers-7 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$thist-a-vers-7 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$thist-a-vers-7" /><xsl:text /> was returned when calling the function IsCodePreferredTermInTerminologyValid with
		code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', codeSystem '1.2.36.1.2001.1004.100', codeSystemVersion '<xsl:text /><xsl:value-of select="$last-amtv2" /><xsl:text />' and
		displayName '<xsl:text /><xsl:value-of select="$snomed-trans-a/@displayName" /><xsl:text />'. The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-tcode-b-pterm-date ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-tcode-b-pterm-date">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$tcode-b-pterm-date-1" /><xsl:text /> was returned when calling the function LatestDateForPreferredTerm with
		code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-latest-snomedctau" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$thist-b-vers-6 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$thist-b-vers-6 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$thist-b-vers-6" /><xsl:text /> was returned when calling the function IsCodePreferredTermInTerminologyValid with
		code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', '2.16.840.1.113883.6.96', codeSystemVersion '<xsl:text /><xsl:value-of select="$v-latest-amtv3" /><xsl:text />' and
		displayName '<xsl:text /><xsl:value-of select="$snomed-trans-b/@displayName" /><xsl:text />'. The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$thist-b-vers-7 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$thist-b-vers-7 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$thist-b-vers-7" /><xsl:text /> was returned when calling the function IsCodePreferredTermInTerminologyValid with
		code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', codeSystem '1.2.36.1.2001.1004.100', codeSystemVersion '<xsl:text /><xsl:value-of select="$last-amtv2" /><xsl:text />' and
		displayName '<xsl:text /><xsl:value-of select="$snomed-trans-b/@displayName" /><xsl:text />'. The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $tname-a-to-test and (not($test-tname-a) or ($tname-a-invalid and $t-vers-a-old)) and not($tcode-a-pterm-date-est or $tsctau-ts-a-63-err) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tname-a-to-test and (not($test-tname-a) or ($tname-a-invalid and $t-vers-a-old)) and not($tcode-a-pterm-date-est or $tsctau-ts-a-63-err)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Ceased Medications - Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> has translation <xsl:text /><xsl:value-of select="iq:display-CD($snomed-trans-a)" /><xsl:text />.
		Confirm that the value of the translation code displayName attribute is the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 5.25 of the Discharge Summary Structured Document Template v3.3.)<xsl:text /><xsl:value-of select="$tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $tname-b-to-test and (not($test-tname-b) or ($tname-b-invalid and $t-vers-b-old)) and not($tcode-b-pterm-date-est or $tsctau-ts-b-63-err) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tname-b-to-test and (not($test-tname-b) or ($tname-b-invalid and $t-vers-b-old)) and not($tcode-b-pterm-date-est or $tsctau-ts-b-63-err)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Ceased Medications - Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> has translation <xsl:text /><xsl:value-of select="iq:display-CD($snomed-trans-b)" /><xsl:text />.
		Confirm that the value of the translation code displayName attribute is the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 5.25 of the Discharge Summary Structured Document Template v3.3.)<xsl:text /><xsl:value-of select="$tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tcode-a = '') and $tname-a-invalid and (not($t-vers-a-old) or $tcode-a-pterm-date-est) and    (not($thist-a-vers-found) or ($thist-a-vers-found and $thist-a-last-old)) and not($tr-a-old-ts-version)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tcode-a = '') and $tname-a-invalid and (not($t-vers-a-old) or $tcode-a-pterm-date-est) and (not($thist-a-vers-found) or ($thist-a-vers-found and $thist-a-last-old)) and not($tr-a-old-ts-version)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Ceased Medications - Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> has translation <xsl:text /><xsl:value-of select="iq:display-CD($snomed-trans-a)" /><xsl:text />.
		The value of the translation code displayName attribute does not meet the requirement that it be the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 5.25 of the Discharge Summary Structured Document Template v3.3.) <xsl:text /><xsl:value-of select="$thist-a-last-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($t-a-term-actual = '') then ''   else if ($ts-tsnomed-version-a != '') then concat(' According to the ''', $ts-tsnomed-version-a, ''' version of SNOMED CT-AU the correct value for the preferred term is ''',   dh:XQueryRecursiveReplace($t-a-term-actual, $markup-pattern-replacement, 'ic'), '''.')   else concat(' According to the ''', $v-tsnomed-version-a, ''' version of AMT v3 the correct value for the preferred term is ''',   dh:XQueryRecursiveReplace($t-a-term-actual, $markup-pattern-replacement, 'ic'), '''.') " /><xsl:text />'

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not($tcode-a = '') and $tname-a-invalid and (not($t-vers-a-old) or $tcode-a-pterm-date-est) and    (not($thist-a-vers-found) or ($thist-a-vers-found and $thist-a-last-old)) and $tr-a-old-ts-version">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not($tcode-a = '') and $tname-a-invalid and (not($t-vers-a-old) or $tcode-a-pterm-date-est) and (not($thist-a-vers-found) or ($thist-a-vers-found and $thist-a-last-old)) and $tr-a-old-ts-version">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Ceased Medications - Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> has translation <xsl:text /><xsl:value-of select="iq:display-CD($snomed-trans-a)" /><xsl:text />.
		The value of the translation code displayName attribute may not meet the requirement that it be the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 5.25 of the Discharge Summary Structured Document Template v3.3.) According to the '<xsl:text /><xsl:value-of select="$ts-tsnomed-version-a" /><xsl:text />' version of SNOMED CT-AU the correct value for the preferred term is
		'<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($t-a-term-actual, $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		However that version of SNOMED CT-AU in the Terminology Server was published on the <xsl:text /><xsl:value-of select="iq:display-date(substring-after($ts-tsnomed-version-a, '/version/'))" /><xsl:text />
		which is <xsl:text /><xsl:value-of select="$tr-a-date-diff" /><xsl:text /> before the <xsl:text /><xsl:value-of select="if ($snomed-trans-a/@codeSystemVersion and matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1))    then 'value of the translation codeSystemVersion attribute' else concat('date the ', $document-name, ' was created')" /><xsl:text /> which is <xsl:text /><xsl:value-of select="iq:display-date($creation-date)" /><xsl:text />.
		Use a more recently published version of SNOMED CT-AU to confirm if the value of the displayName attribute is the preferred term for the translation code.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tcode-b = '') and $tname-b-invalid and (not($t-vers-b-old) or $tcode-b-pterm-date-est) and    (not($thist-b-vers-found) or ($thist-b-vers-found and $thist-b-last-old)) and not($tr-b-old-ts-version)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tcode-b = '') and $tname-b-invalid and (not($t-vers-b-old) or $tcode-b-pterm-date-est) and (not($thist-b-vers-found) or ($thist-b-vers-found and $thist-b-last-old)) and not($tr-b-old-ts-version)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Ceased Medications - Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> has translation <xsl:text /><xsl:value-of select="iq:display-CD($snomed-trans-b)" /><xsl:text />.
		The value of the translation code displayName attribute does not meet the requirement that it be the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 5.25 of the Discharge Summary Structured Document Template v3.3.) <xsl:text /><xsl:value-of select="$thist-b-last-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($t-b-term-actual = '') then ''   else if ($ts-tsnomed-version-b != '') then concat(' According to the ''', $ts-tsnomed-version-b, ''' version of SNOMED CT-AU the correct value for the preferred term is ''',   dh:XQueryRecursiveReplace($t-b-term-actual, $markup-pattern-replacement, 'ic'), '''.')   else concat(' According to the ''', $v-tsnomed-version-b, ''' version of AMT v3 the correct value for the preferred term is ''',   dh:XQueryRecursiveReplace($t-b-term-actual, $markup-pattern-replacement, 'ic'), '''.') " /><xsl:text />'

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not($tcode-b = '') and $tname-b-invalid and (not($t-vers-b-old) or $tcode-b-pterm-date-est) and    (not($thist-b-vers-found) or ($thist-b-vers-found and $thist-b-last-old)) and $tr-b-old-ts-version">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not($tcode-b = '') and $tname-b-invalid and (not($t-vers-b-old) or $tcode-b-pterm-date-est) and (not($thist-b-vers-found) or ($thist-b-vers-found and $thist-b-last-old)) and $tr-b-old-ts-version">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Ceased Medications - Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> has translation <xsl:text /><xsl:value-of select="iq:display-CD($snomed-trans-b)" /><xsl:text />.
		The value of the translation code displayName attribute may not meet the requirement that it be the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 5.25 of the Discharge Summary Structured Document Template v3.3.) According to the '<xsl:text /><xsl:value-of select="$ts-tsnomed-version-b" /><xsl:text />' version of SNOMED CT-AU the correct value for the preferred term is
		'<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($t-b-term-actual, $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		However that version of SNOMED CT-AU in the Terminology Server was published on the <xsl:text /><xsl:value-of select="iq:display-date(substring-after($ts-tsnomed-version-b, '/version/'))" /><xsl:text />
		which is <xsl:text /><xsl:value-of select="$tr-b-date-diff" /><xsl:text /> before the <xsl:text /><xsl:value-of select="if ($snomed-trans-b/@codeSystemVersion and matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1))    then 'value of the translation codeSystemVersion attribute' else concat('date the ', $document-name, ' was created')" /><xsl:text /> which is <xsl:text /><xsl:value-of select="iq:display-date($creation-date)" /><xsl:text />.
		Use a more recently published version of SNOMED CT-AU to confirm if the value of the displayName attribute is the preferred term for the translation code.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M215" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M215" />
  <xsl:template match="@*|node()" priority="-2" mode="M215">
    <xsl:apply-templates select="@*|*" mode="M215" />
  </xsl:template>
  <!--PATTERN p-TS-CeaseMed-CodeableText-6-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16146.4.1.2' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.2']]/   cda:entry/cda:substanceAdministration/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code   [(@displayName and matches(@displayName, '[a-z0-9]', 'i')) or (cda:originalText and matches(cda:originalText, '[a-z0-9]', 'i'))] " priority="1000" mode="M216">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16146.4.1.2' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.2']]/   cda:entry/cda:substanceAdministration/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code   [(@displayName and matches(@displayName, '[a-z0-9]', 'i')) or (cda:originalText and matches(cda:originalText, '[a-z0-9]', 'i'))] " />
    <xsl:variable name="section1" select="if (cda:originalText) then /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//cda:section   [cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = ('101.16672', '101.16006', '101.20109', '102.15513.4.1.1', '101.20117', '101.16611', '102.20158', '101.16606', '102.16347')]]   [contains(translate(normalize-space(lower-case(cda:text)), $chars-to-remove, ''), translate(normalize-space(lower-case(current()/cda:originalText)), $chars-to-remove, ''))] else ()" />
    <xsl:variable name="section2" select="if (@displayName) then /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//cda:section   [cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = ('101.16672', '101.16006', '101.20109', '102.15513.4.1.1', '101.20117', '101.16611', '102.20158', '101.16606', '102.16347')]]   [contains(translate(normalize-space(lower-case(cda:text)), $chars-to-remove, ''), translate(normalize-space(lower-case(current()/@displayName)), $chars-to-remove, ''))] else ()" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-2" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-2 " />
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $section1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $section1">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step-2" /><xsl:text />: TC-Narr-09 step 2: The Ceased Medications - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has originalText with the value
		'<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />' and this was also found in the narrative of the <xsl:text /><xsl:value-of select="$section1/cda:title" /><xsl:text /> section. Confirm by manual inspection that the information
		about '<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />' in the <xsl:text /><xsl:value-of select="$section1/cda:title" /><xsl:text /> section does not contradict information about '<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. Also check other sections in the document for information about '<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />'.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not($section1) and $section2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not($section1) and $section2">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step-2" /><xsl:text />: TC-Narr-09 step 2: The Ceased Medications - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a displayName attribute with the value '<xsl:text /><xsl:value-of select="@displayName" /><xsl:text />' and this was also found in the narrative of the
		<xsl:text /><xsl:value-of select="$section2/cda:title" /><xsl:text /> section. Confirm by manual inspection that the information about
		'<xsl:text /><xsl:value-of select="@displayName" /><xsl:text />' in the <xsl:text /><xsl:value-of select="$section2/cda:title" /><xsl:text /> section does not contradict information about '<xsl:text /><xsl:value-of select="@displayName" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. Also check other sections in the document for information about '<xsl:text /><xsl:value-of select="@displayName" /><xsl:text />'.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M216" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M216" />
  <xsl:template match="@*|node()" priority="-2" mode="M216">
    <xsl:apply-templates select="@*|*" mode="M216" />
  </xsl:template>
  <!--PATTERN p-TS-CeaseMed-CodeableText-7-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16146.4.1.2' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.2']]/   cda:entry/cda:substanceAdministration/cda:entryRelationship[@typeCode = 'SPRT']/cda:observation/cda:code " priority="1000" mode="M217">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16146.4.1.2' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.2']]/   cda:entry/cda:substanceAdministration/cda:entryRelationship[@typeCode = 'SPRT']/cda:observation/cda:code " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Ceased Medications - Changes Made '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and true() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and true() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Ceased Medications - Changes Made '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Ceased Medications - Changes Made',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to the Structured Document Template the Ceased Medications - Changes Made '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to the Structured Document Template the Ceased Medications - Changes Made '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'disallowed' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'disallowed' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Document Template the Ceased Medications - Changes Made
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Ceased Medications - Changes Made however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Ceased Medications - Changes Made in the Structured Document Template and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'disallowed' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'disallowed' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Document Template the Ceased Medications - Changes Made
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Ceased Medications - Changes Made however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Ceased Medications - Changes Made in the Structured Document Template and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Ceased Medications - Changes Made data element must have a value that is consistent with this definition. Alternatively if there is no Ceased Medications - Changes Made data element with a proper value then an exclusion
		statement must be included to state why there is no Ceased Medications - Changes Made.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'disallowed' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'disallowed' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Document Template the Ceased Medications - Changes Made
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Ceased Medications - Changes Made however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Ceased Medications - Changes Made in the Structured Document Template and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'disallowed' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'disallowed' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Document Template the Ceased Medications - Changes Made
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Ceased Medications - Changes Made however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Ceased Medications - Changes Made in the Structured Document Template and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Ceased Medications - Changes Made data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'disallowed' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'disallowed' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Document Template the Ceased Medications - Changes Made
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Ceased Medications - Changes Made however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Ceased Medications - Changes Made in the Structured Document Template and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Ceased Medications - Changes Made data element must have a value that is consistent with this definition. Alternatively if there is no Ceased Medications - Changes Made data element with a proper value then an exclusion
		statement must be included to state why there is no Ceased Medications - Changes Made.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'disallowed' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'disallowed' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Document Template the Ceased Medications - Changes Made
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Ceased Medications - Changes Made however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Ceased Medications - Changes Made in the Structured Document Template and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Ceased Medications - Changes Made data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Ceased Medications - Changes Made '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Document Template the Ceased Medications - Changes Made
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Document Template the Ceased Medications - Changes Made
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Document Template the Ceased Medications - Changes Made '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Document Template the Ceased Medications - Changes Made '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Document Template the Ceased Medications - Changes Made '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Document Template the Ceased Medications - Changes Made '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Document Template the Ceased Medications - Changes Made '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Document Template the Ceased Medications - Changes Made '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Ceased Medications - Changes Made
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Document Template the Ceased Medications - Changes Made '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Ceased Medications - Changes Made '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Ceased Medications - Changes Made.
		(See the definition of Ceased Medications - Changes Made in the Structured Document Template.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Ceased Medications - Changes Made '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M217" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M217" />
  <xsl:template match="@*|node()" priority="-2" mode="M217">
    <xsl:apply-templates select="@*|*" mode="M217" />
  </xsl:template>
  <!--PATTERN p-TS-CeaseMed-CodeableText-8-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16146.4.1.2' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.2']]/   cda:entry/cda:substanceAdministration/cda:entryRelationship[@typeCode = 'SPRT']/cda:observation/cda:code   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M218">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16146.4.1.2' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.2']]/   cda:entry/cda:substanceAdministration/cda:entryRelationship[@typeCode = 'SPRT']/cda:observation/cda:code   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Ceased Medications - Changes Made '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Ceased Medications - Changes Made
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Ceased Medications - Changes Made
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Ceased Medications - Changes Made
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Ceased Medications - Changes Made
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Ceased Medications - Changes Made has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Ceased Medications - Changes Made data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Ceased Medications - Changes Made
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Ceased Medications - Changes Made data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Ceased Medications - Changes Made
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Ceased Medications - Changes Made data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Ceased Medications - Changes Made
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Ceased Medications - Changes Made data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Ceased Medications - Changes Made
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Ceased Medications - Changes Made
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Ceased Medications - Changes Made data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Ceased Medications - Changes Made
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Ceased Medications - Changes Made data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Ceased Medications - Changes Made
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Ceased Medications - Changes Made
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Ceased Medications - Changes Made data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Ceased Medications - Changes Made
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Ceased Medications - Changes Made data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Ceased Medications - Changes Made
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Ceased Medications - Changes Made
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M218" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M218" />
  <xsl:template match="@*|node()" priority="-2" mode="M218">
    <xsl:apply-templates select="@*|*" mode="M218" />
  </xsl:template>
  <!--PATTERN p-TS-CeaseMed-CodedText-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16146.4.1.2' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.2']]/   cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.4.3.3']]/cda:value " priority="1000" mode="M219">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16146.4.1.2' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.2']]/   cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.4.3.3']]/cda:value " />
    <xsl:variable name="tc-types-49-err" select="@nullFlavor = ('PINF', 'NINF', 'QS', 'TRC') or (@nullFlavor='UNC' and (not(cda:originalText) or normalize-space(cda:originalText) = '')) " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="family-err" select="cda:originalText and matches(cda:originalText, $family-regex, 'i')" />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; 200" />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and @code != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used with the Clinical Package Validator to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used with the Clinical Package Validator to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the primary code.') " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-06-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-06-step-2 else $rating-alt-TC-Types-06-step-2 " />
    <xsl:variable name="rating-07-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-1 else $rating-alt-TC-Types-07-step-1 " />
    <xsl:variable name="rating-07-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-2 else $rating-alt-TC-Types-07-step-2 " />
    <xsl:variable name="rating-08" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-08 else $rating-alt-TC-Types-08 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-07: The Ceased Medications Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data
		type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to the Structured Document Template the Ceased Medications Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which is derived from the HL7 'CD' data type however xsi:type '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to the Structured Document Template the Ceased Medications Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:translation">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:translation">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Document Template the Ceased Medications Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'translation' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value
		domain, with no exceptions. A translation translates the value into a code from another code systems, so translations are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:qualifier">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:qualifier">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Document Template the Ceased Medications Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'qualifier' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value domain,
		with no exceptions. A qualifier constrains the value, so qualifiers are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Ceased Medications Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Document Template the Ceased Medications Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Document Template the Ceased Medications Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Document Template the Ceased Medications Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present and is not expected
		for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Document Template the Ceased Medications Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />'
		is present and is not expected for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-terminology-concepts = 'true' and not(true() or false() or $family-err or $length-err) and    not(@nullFlavor) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and not(true() or false() or $family-err or $length-err) and not(@nullFlavor)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (value domain not specified): The Ceased Medications Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The CodedText data type has the requirement that values must come from the specified bound value domain with no exceptions but a value domain has not been specified for the
		Ceased Medications Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Ceased Medications Exclusion Statement',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="false() and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != '1.2.36.1.2001.1001.101.104.16299'))  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != '1.2.36.1.2001.1001.101.104.16299'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-06-step-2" /><xsl:text />: TC-Types-06 step 2: According to the Structured Document Template the Ceased Medications Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. The
		CodedText data type has the requirement that values must come from the bound value domain with no exceptions. Therefore the value of the codeSystem attribute must be a publicly available
		code system. The Ceased Medications Exclusion Statement data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide states the code system is 'NS' (not stated) with the requirement 'When national standard code sets become
		available, they SHALL be used'. The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> which is after the national standard code set became available
		for use on the <xsl:text /><xsl:value-of select="''" /><xsl:text />. The code system that must be used is
		<xsl:text /><xsl:value-of select="if ('1.2.36.1.2001.1001.101.104.16299' = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName, ' (ConceptId ''', 'none', ''')')   else concat('1.2.36.1.2001.1001.101.104.16299', ' (', $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16299']/@codeSystemName, ')')" /><xsl:text /><xsl:text /><xsl:value-of select="if (not(@codeSystem)) then '.'    else if (@codeSystemName) then concat(' however codeSystem ''', @codeSystem, ''' (', @codeSystemName, ') is present.')   else concat(' however a codeSystem attribute with the value ''', @codeSystem, ''' is present.') " /><xsl:text />
		(See section 1.8 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide, <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 7 of the CDA Implementation Guide for the
		information about the value domain.)
		<xsl:text /><xsl:value-of select="if ('none' = '11000036103') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName,     ' are Allergic reaction (''419076005''), Medication side-effect (''401207004'') and Drug interaction (''79899007'').')    else if ('none' = '15071000036100') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName,     ' are Prescribed (''105681000036100''), Suspended (''385655000'') and Unchanged (''105701000036103'').')    else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'OTH' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'OTH'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Document Template the Ceased Medications Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore it is not valid for the data element to have nullFlavor 'OTH' to indicate that the
		actual value is not a member of the set of permitted data values in the constrained value domain. 
		(See the requirements for Ceased Medications Exclusion Statement and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Document Template the Ceased Medications Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type<xsl:text /><xsl:value-of select="if (not(false())) then '.' else   concat(' and section 7 of the CDA Implementation Guide states the vocabulary is ''', '1.2.36.1.2001.1001.101.104.16299', ''' (', $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16299']/@codeSystemName, ').') " /><xsl:text />
		The CodedText data type has
		the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor attribute
		to indicate there is no value, however a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) is present and is not one of the nullFlavor values that indicate there is no value.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@nullFlavor or @code) and not(false() and not(@nullFlavor) and not(@codeSystem)) and cda:originalText ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor or @code) and not(false() and not(@nullFlavor) and not(@codeSystem)) and cda:originalText">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Document Template the Ceased Medications Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor
		attribute to indicate there is no value. The only information found in the data element is originalText '<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />'.
		(See the requirements for Ceased Medications Exclusion Statement and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)
		<xsl:text /><xsl:value-of select="if (local-name(.) = 'jobClassCode') then concat('Consider using the METeOR 314867 ''Employment type'' code system (codeSystem ''2.16.840.1.113883.3.879.314867'') which has ',   'codes for ''Permanent'', ''Fixed term contract'', ''Casual'' and ''Not stated/inadequately described''; or the  METeOR 691891 ''Full-time/part-time status'' code system ',   '(codeSystem ''2.16.840.1.113883.3.879.691891'') which has codes for ''Full-time'', ''Part-time'' and ''Not stated/inadequately described''. ',   '(See the the METeOR 314867 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/314867 and the METeOR 691891 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/691891.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="true() and @codeSystem and @codeSystem != '1.2.36.1.2001.1001.101.104.16299' and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and @codeSystem and @codeSystem != '1.2.36.1.2001.1001.101.104.16299' and not(false())">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Document Template the Ceased Medications Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and section 7 of the CDA Implementation Guide states the vocabulary is
		<xsl:text /><xsl:value-of select="if ('1.2.36.1.2001.1001.101.104.16299' = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName, ' (ConceptId ''', 'none', ''').')   else concat('1.2.36.1.2001.1001.101.104.16299', ' (', $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16299']/@codeSystemName, ').')" /><xsl:text />
		The CodedText data type has the requirement that values must come from the bound value domain with no exceptions.
		Therefore the value of codeSystem must be '1.2.36.1.2001.1001.101.104.16299' but codeSystem '<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />' (<xsl:text /><xsl:value-of select="@codeSystemName" /><xsl:text />) is present.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="true() and '1.2.36.1.2001.1001.101.104.16299' = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and    not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version,    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@refSet) = 'CodeFound') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and '1.2.36.1.2001.1001.101.104.16299' = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version, $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@refSet) = 'CodeFound')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Document Template the Ceased Medications Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. The applicable value domain is the SNOMED CT-AU
		<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName" /><xsl:text />
		(Concept ID: 'none'). The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the code is not a member of the value domain.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 7 of the CDA Implementation Guide for the information about the value domain.)<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-08" /><xsl:text />: TC-Types-08: According to the Structured Document Template the Ceased Medications Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. It has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> but has neither an originalText nor a displayName
		so it fails to conform to the requirement 'In accordance with the requirement to completely represent section contents, values of CodedText or CodeableText data elements defined in
		the SCS SHALL include an originalText or a displayName component (or both)'.
		(See Appendix A of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 6.1 and 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090
		Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and not(cda:originalText) and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and not(cda:originalText) and not(false())">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Ceased Medications Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is
		not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. (See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M219" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M219" />
  <xsl:template match="@*|node()" priority="-2" mode="M219">
    <xsl:apply-templates select="@*|*" mode="M219" />
  </xsl:template>
  <!--PATTERN p-TS-CeaseMed-CodedText-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16146.4.1.2' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.2']]/   cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.4.3.3']]/cda:value   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M220">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16146.4.1.2' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.2']]/   cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.4.3.3']]/cda:value   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Ceased Medications Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Ceased Medications Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Ceased Medications Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Ceased Medications Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Ceased Medications Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Ceased Medications Exclusion Statement has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Ceased Medications Exclusion Statement data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('medications|ceased medications', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('medications|ceased medications', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Ceased Medications Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Ceased Medications Exclusion Statement data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Ceased Medications Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Ceased Medications Exclusion Statement data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Ceased Medications Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Ceased Medications Exclusion Statement data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('medications|ceased medications', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('medications|ceased medications', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Ceased Medications Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('medications|ceased medications', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Ceased Medications Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Ceased Medications Exclusion Statement data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Ceased Medications Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Ceased Medications Exclusion Statement data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Ceased Medications Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Ceased Medications Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Ceased Medications Exclusion Statement data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Ceased Medications Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Ceased Medications Exclusion Statement data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Ceased Medications Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Ceased Medications Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M220" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M220" />
  <xsl:template match="@*|node()" priority="-2" mode="M220">
    <xsl:apply-templates select="@*|*" mode="M220" />
  </xsl:template>
  <!--PATTERN p-TS-CeaseMed-CodedText-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16146.4.1.2' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.2']]/   cda:entry/cda:substanceAdministration/cda:entryRelationship[@typeCode = 'SUBJ']/cda:observation/cda:code " priority="1000" mode="M221">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16146.4.1.2' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.2']]/   cda:entry/cda:substanceAdministration/cda:entryRelationship[@typeCode = 'SUBJ']/cda:observation/cda:code " />
    <xsl:variable name="tc-types-49-err" select="@nullFlavor = ('PINF', 'NINF', 'QS', 'TRC') or (@nullFlavor='UNC' and (not(cda:originalText) or normalize-space(cda:originalText) = '')) " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="family-err" select="cda:originalText and matches(cda:originalText, $family-regex, 'i')" />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; 200" />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and @code != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used with the Clinical Package Validator to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used with the Clinical Package Validator to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the primary code.') " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-06-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-06-step-2 else $rating-alt-TC-Types-06-step-2 " />
    <xsl:variable name="rating-07-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-1 else $rating-alt-TC-Types-07-step-1 " />
    <xsl:variable name="rating-07-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-2 else $rating-alt-TC-Types-07-step-2 " />
    <xsl:variable name="rating-08" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-08 else $rating-alt-TC-Types-08 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-07: The Item Status (also known as Change Type) '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data
		type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to the Structured Document Template the Item Status (also known as Change Type) '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which is derived from the HL7 'CD' data type however xsi:type '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to the Structured Document Template the Item Status (also known as Change Type) '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:translation">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:translation">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Document Template the Item Status (also known as Change Type) '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'translation' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value
		domain, with no exceptions. A translation translates the value into a code from another code systems, so translations are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:qualifier">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:qualifier">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Document Template the Item Status (also known as Change Type)
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'qualifier' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value domain,
		with no exceptions. A qualifier constrains the value, so qualifiers are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Item Status (also known as Change Type) '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Document Template the Item Status (also known as Change Type)
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Document Template the Item Status (also known as Change Type)
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Document Template the Item Status (also known as Change Type)
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present and is not expected
		for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Document Template the Item Status (also known as Change Type)
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />'
		is present and is not expected for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-terminology-concepts = 'true' and not(true() or dh:IsFirstDateEarlierThanSecondDate(substring('20151218', 1, $creation-date-length), $creation-date-actual) = '1' or $family-err or $length-err) and    not(@nullFlavor) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and not(true() or dh:IsFirstDateEarlierThanSecondDate(substring('20151218', 1, $creation-date-length), $creation-date-actual) = '1' or $family-err or $length-err) and not(@nullFlavor)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (value domain not specified): The Item Status (also known as Change Type) '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The CodedText data type has the requirement that values must come from the specified bound value domain with no exceptions but a value domain has not been specified for the
		Item Status (also known as Change Type) '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Item Status (also known as Change Type)',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="dh:IsFirstDateEarlierThanSecondDate(substring('20151218', 1, $creation-date-length), $creation-date-actual) = '1' and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != '2.16.840.1.113883.6.96'))  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="dh:IsFirstDateEarlierThanSecondDate(substring('20151218', 1, $creation-date-length), $creation-date-actual) = '1' and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != '2.16.840.1.113883.6.96'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-06-step-2" /><xsl:text />: TC-Types-06 step 2: According to the Structured Document Template the Item Status (also known as Change Type) '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. The
		CodedText data type has the requirement that values must come from the bound value domain with no exceptions. Therefore the value of the codeSystem attribute must be a publicly available
		code system. The Item Status (also known as Change Type) data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide states the code system is 'NS' (not stated) with the requirement 'When national standard code sets become
		available, they SHALL be used'. The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> which is after the national standard code set became available
		for use on the <xsl:text /><xsl:value-of select="'18 Dec 2015'" /><xsl:text />. The code system that must be used is
		<xsl:text /><xsl:value-of select="if ('2.16.840.1.113883.6.96' = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = '15071000036100']/@referenceSetName, ' (ConceptId ''', '15071000036100', ''')')   else concat('2.16.840.1.113883.6.96', ' (', $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/@codeSystemName, ')')" /><xsl:text /><xsl:text /><xsl:value-of select="if (not(@codeSystem)) then '.'    else if (@codeSystemName) then concat(' however codeSystem ''', @codeSystem, ''' (', @codeSystemName, ') is present.')   else concat(' however a codeSystem attribute with the value ''', @codeSystem, ''' is present.') " /><xsl:text />
		(See section 1.8 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide, <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 2.71 of the Medication Instruction and Action Detailed Clinical Model Specification v2.4 for the
		information about the value domain.)
		<xsl:text /><xsl:value-of select="if ('15071000036100' = '11000036103') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = '15071000036100']/@referenceSetName,     ' are Allergic reaction (''419076005''), Medication side-effect (''401207004'') and Drug interaction (''79899007'').')    else if ('15071000036100' = '15071000036100') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = '15071000036100']/@referenceSetName,     ' are Prescribed (''105681000036100''), Suspended (''385655000'') and Unchanged (''105701000036103'').')    else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'OTH' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'OTH'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Document Template the Item Status (also known as Change Type) '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore it is not valid for the data element to have nullFlavor 'OTH' to indicate that the
		actual value is not a member of the set of permitted data values in the constrained value domain. 
		(See the requirements for Item Status (also known as Change Type) and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Document Template the Item Status (also known as Change Type) '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type<xsl:text /><xsl:value-of select="if (not(dh:IsFirstDateEarlierThanSecondDate(substring('20151218', 1, $creation-date-length), $creation-date-actual) = '1')) then '.' else   concat(' and section 2.71 of the Medication Instruction and Action Detailed Clinical Model Specification v2.4 states the vocabulary is ''', '2.16.840.1.113883.6.96', ''' (', $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/@codeSystemName, ').') " /><xsl:text />
		The CodedText data type has
		the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor attribute
		to indicate there is no value, however a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) is present and is not one of the nullFlavor values that indicate there is no value.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@nullFlavor or @code) and not(dh:IsFirstDateEarlierThanSecondDate(substring('20151218', 1, $creation-date-length), $creation-date-actual) = '1' and not(@nullFlavor) and not(@codeSystem)) and cda:originalText ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor or @code) and not(dh:IsFirstDateEarlierThanSecondDate(substring('20151218', 1, $creation-date-length), $creation-date-actual) = '1' and not(@nullFlavor) and not(@codeSystem)) and cda:originalText">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Document Template the Item Status (also known as Change Type) '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor
		attribute to indicate there is no value. The only information found in the data element is originalText '<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />'.
		(See the requirements for Item Status (also known as Change Type) and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)
		<xsl:text /><xsl:value-of select="if (local-name(.) = 'jobClassCode') then concat('Consider using the METeOR 314867 ''Employment type'' code system (codeSystem ''2.16.840.1.113883.3.879.314867'') which has ',   'codes for ''Permanent'', ''Fixed term contract'', ''Casual'' and ''Not stated/inadequately described''; or the  METeOR 691891 ''Full-time/part-time status'' code system ',   '(codeSystem ''2.16.840.1.113883.3.879.691891'') which has codes for ''Full-time'', ''Part-time'' and ''Not stated/inadequately described''. ',   '(See the the METeOR 314867 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/314867 and the METeOR 691891 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/691891.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="true() and @codeSystem and @codeSystem != '2.16.840.1.113883.6.96' and not(dh:IsFirstDateEarlierThanSecondDate(substring('20151218', 1, $creation-date-length), $creation-date-actual) = '1') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and @codeSystem and @codeSystem != '2.16.840.1.113883.6.96' and not(dh:IsFirstDateEarlierThanSecondDate(substring('20151218', 1, $creation-date-length), $creation-date-actual) = '1')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Document Template the Item Status (also known as Change Type) '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and section 2.71 of the Medication Instruction and Action Detailed Clinical Model Specification v2.4 states the vocabulary is
		<xsl:text /><xsl:value-of select="if ('2.16.840.1.113883.6.96' = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = '15071000036100']/@referenceSetName, ' (ConceptId ''', '15071000036100', ''').')   else concat('2.16.840.1.113883.6.96', ' (', $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/@codeSystemName, ').')" /><xsl:text />
		The CodedText data type has the requirement that values must come from the bound value domain with no exceptions.
		Therefore the value of codeSystem must be '2.16.840.1.113883.6.96' but codeSystem '<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />' (<xsl:text /><xsl:value-of select="@codeSystemName" /><xsl:text />) is present.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="true() and '2.16.840.1.113883.6.96' = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and    not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version,    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = '15071000036100']/@refSet) = 'CodeFound') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and '2.16.840.1.113883.6.96' = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version, $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = '15071000036100']/@refSet) = 'CodeFound')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Document Template the Item Status (also known as Change Type) '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. The applicable value domain is the SNOMED CT-AU
		<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = '15071000036100']/@referenceSetName" /><xsl:text />
		(Concept ID: '15071000036100'). The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the code is not a member of the value domain.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 2.71 of the Medication Instruction and Action Detailed Clinical Model Specification v2.4 for the information about the value domain.)<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-08" /><xsl:text />: TC-Types-08: According to the Structured Document Template the Item Status (also known as Change Type) '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. It has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> but has neither an originalText nor a displayName
		so it fails to conform to the requirement 'In accordance with the requirement to completely represent section contents, values of CodedText or CodeableText data elements defined in
		the SCS SHALL include an originalText or a displayName component (or both)'.
		(See Appendix A of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 6.1 and 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090
		Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and not(cda:originalText) and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and not(cda:originalText) and not(false())">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Item Status (also known as Change Type) '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is
		not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. (See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M221" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M221" />
  <xsl:template match="@*|node()" priority="-2" mode="M221">
    <xsl:apply-templates select="@*|*" mode="M221" />
  </xsl:template>
  <!--PATTERN p-TS-CeaseMed-CodedText-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16146.4.1.2' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.2']]/   cda:entry/cda:substanceAdministration/cda:entryRelationship[@typeCode = 'SUBJ']/cda:observation/cda:code   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M222">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16146.4.1.2' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.2']]/   cda:entry/cda:substanceAdministration/cda:entryRelationship[@typeCode = 'SUBJ']/cda:observation/cda:code   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Item Status '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Item Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Item Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Item Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Item Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Item Status has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Item Status data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Item Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Item Status data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Item Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Item Status data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Item Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Item Status data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Item Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Item Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Item Status data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Item Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Item Status data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Item Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Item Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Item Status data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Item Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Item Status data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Item Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Item Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M222" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M222" />
  <xsl:template match="@*|node()" priority="-2" mode="M222">
    <xsl:apply-templates select="@*|*" mode="M222" />
  </xsl:template>
  <!--PATTERN p-TS-CeaseMed-Text-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16146.4.1.2' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.2']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:observation/cda:entryRelationship[@typeCode = 'RSON']/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.10177']]/cda:text " priority="1000" mode="M223">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16146.4.1.2' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.2']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:observation/cda:entryRelationship[@typeCode = 'RSON']/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.10177']]/cda:text " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Reason for Change
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 5.31 of the Discharge Summary Structured Document Template v3.3 the Reason for Change 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 5.31 of the Discharge Summary Structured Document Template v3.3 the Reason for Change
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 5.31 of the Discharge Summary Structured Document Template v3.3 the Reason for Change
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Reason for Change however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Reason for Change in section 5.31 of the Discharge Summary Structured Document Template v3.3 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 5.31 of the Discharge Summary Structured Document Template v3.3 the Reason for Change
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Reason for Change however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Reason for Change in section 5.31 of the Discharge Summary Structured Document Template v3.3 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Reason for Change data element with a proper value then an exclusion
		statement must be included to state why there is no Reason for Change. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 5.31 of the Discharge Summary Structured Document Template v3.3 the Reason for Change
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Reason for Change however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Reason for Change in section 5.31 of the Discharge Summary Structured Document Template v3.3 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 5.31 of the Discharge Summary Structured Document Template v3.3 the Reason for Change
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.31 of the Discharge Summary Structured Document Template v3.3 the Reason for Change
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.31 of the Discharge Summary Structured Document Template v3.3 the Reason for Change
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.31 of the Discharge Summary Structured Document Template v3.3 the Reason for Change
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.31 of the Discharge Summary Structured Document Template v3.3 the Reason for Change
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.31 of the Discharge Summary Structured Document Template v3.3 the Reason for Change
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.31 of the Discharge Summary Structured Document Template v3.3 the Reason for Change
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.31 of the Discharge Summary Structured Document Template v3.3 the Reason for Change
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.31 of the Discharge Summary Structured Document Template v3.3 the Reason for Change
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 5.31 of the Discharge Summary Structured Document Template v3.3 the Reason for Change
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M223" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M223" />
  <xsl:template match="@*|node()" priority="-2" mode="M223">
    <xsl:apply-templates select="@*|*" mode="M223" />
  </xsl:template>
  <!--PATTERN p-TS-CeaseMed-Text-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16146.4.1.2' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.2']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:observation/cda:entryRelationship[@typeCode = 'RSON']/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.10177']]/cda:text " priority="1000" mode="M224">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16146.4.1.2' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.2']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:observation/cda:entryRelationship[@typeCode = 'RSON']/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.10177']]/cda:text " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Reason for Change '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Reason for Change
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Reason for Change data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Reason for Change
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Reason for Change data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Reason for Change
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Reason for Change
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Reason for Change data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Reason for Change
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M224" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M224" />
  <xsl:template match="@*|node()" priority="-2" mode="M224">
    <xsl:apply-templates select="@*|*" mode="M224" />
  </xsl:template>
  <!--PATTERN p-TS-CurrMed-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16146.4.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1'] " priority="1000" mode="M225">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16146.4.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1'] " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating" select="if ($initial-priority) then $initial-rating else if ($FS-Types-seq/@rating) then concat(' (', $FS-Types-seq/@rating, ')') else '' " />
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and not(/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']) and $extensions-allowed">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']) and $extensions-allowed">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: FS-Types: The Current Medications on Discharge section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16146.4.1.1') has been found in a <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. The Current Medications on Discharge section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16146.4.1.1') is defined in the digital health specifications but
		although tests have been applied to the data elements the specification of the data elements may have been varied for inclusion in this document
		so further examination may be needed. The rules have been validated for <xsl:text /><xsl:value-of select="normalize-space('Discharge Summary CDA Implementation Guide version 3.4')" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M225" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M225" />
  <xsl:template match="@*|node()" priority="-2" mode="M225">
    <xsl:apply-templates select="@*|*" mode="M225" />
  </xsl:template>
  <!--PATTERN p-TS-CurrMed-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16146.4.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1']]/cda:component/cda:section " priority="1000" mode="M226">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16146.4.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1']]/cda:component/cda:section " />
    <xsl:variable name="agency-section" select=" cda:code/@codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="test-step" select=" if (not($extensions-allowed)) then 'step 4'        else if ($agency-section) then 'step 3' else 'step 1' " />
    <xsl:variable name="title-and-code" select=" if (cda:title and cda:code/@code) then concat('title ''', cda:title, ''', code/code ''', cda:code/@code, '''')        else if (cda:title and not(cda:code/@code)) then concat('title ''', cda:title, '''')        else if (not(cda:title) and cda:code/@code) then concat('code/code ''', cda:code/@code, '''')        else '' " />
    <xsl:variable name="other-section-names" select=" if (cda:code/@displayName and not(cda:code/cda:originalText)) then concat(' and code/displayName ''', cda:code/@displayName, '''')         else if (cda:code/@displayName and cda:code/cda:originalText)          then concat(', code/displayName ''', cda:code/@displayName,''' and code/originalText ''', cda:code/cda:originalText, '''')        else if (not(cda:code/@displayName) and cda:code/cda:originalText) then concat(' and code/originalText ''', cda:code/cda:originalText, '''')        else '' " />
    <xsl:variable name="section-names" select="concat($title-and-code, $other-section-names)" />
    <xsl:variable name="doc-code" select="/cda:ClinicalDocument/cda:code" />
    <xsl:variable name="parent-section" select="ancestor::cda:section[position()=1]" />
    <xsl:variable name="custom-section-info" select="($iq-config/custom-sections/section, $knowledge/custom-sections/section)[        @doc-code  = $doc-code/@code          and        @doc-codeSystem  = $doc-code/@codeSystem          and        @parent-code   = $parent-section/cda:code/@code         and         @parent-codeSystem  = $parent-section/cda:code/@codeSystem        and         (@title = current()/cda:title or (@code = current()/cda:code/@code and @codeSystem = current()/cda:code/@codeSystem)) ] " />
    <xsl:variable name="section-disallowed" select="$custom-section-info/@disallowed = 'yes' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and ($section-disallowed or not(exists($custom-section-info)))) then $rating-alt-TC-Doc-28-step-1        else if ($test-step = 'step 1' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections]) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 3') then $rating-TC-Doc-28-step-3 else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and $section-disallowed ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and $section-disallowed">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Current Medications on Discharge section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16146.4.1.1') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> which
		is an extension to the information model however the inclusion of this section conflicts with sections defined in the digital health specifications.
		<xsl:text /><xsl:value-of select="$custom-section-info[@disallowed = 'yes']/@reason" /><xsl:text /> (Also see <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not(false()) and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(false()) and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Current Medications on Discharge section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16146.4.1.1') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. No subsection is expected so this
		is an extension to the information model. Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the 
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(false()) and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(false()) and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Current Medications on Discharge section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16146.4.1.1') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> but no subsections were
		expected so the document fails to meet the requirement that it must not contain additional data elements. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and false() and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and false() and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Current Medications on Discharge section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16146.4.1.1') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		none are expected but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the information model.
		Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Current Medications on Discharge section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16146.4.1.1') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		none are expected but the inclusion of the section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> fails to meet the requirement that it must not contain additional data elements.
		(See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M226" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M226" />
  <xsl:template match="@*|node()" priority="-2" mode="M226">
    <xsl:apply-templates select="@*|*" mode="M226" />
  </xsl:template>
  <!--PATTERN p-TS-CurrMed-CodeableText-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16146.4.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1']]/cda:entry/   cda:substanceAdministration/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code " priority="1000" mode="M227">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16146.4.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1']]/cda:entry/   cda:substanceAdministration/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Current Medications on Discharge - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Current Medications on Discharge - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Current Medications on Discharge - Therapeutic Good Identification',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to section 5.7 of the Discharge Summary Structured Document Template v3.3 the Current Medications on Discharge - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to section 5.7 of the Discharge Summary Structured Document Template v3.3 the Current Medications on Discharge - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'exclusion' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'exclusion' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 5.7 of the Discharge Summary Structured Document Template v3.3 the Current Medications on Discharge - Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Current Medications on Discharge - Therapeutic Good Identification however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Current Medications on Discharge - Therapeutic Good Identification in section 5.7 of the Discharge Summary Structured Document Template v3.3 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'exclusion' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'exclusion' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 5.7 of the Discharge Summary Structured Document Template v3.3 the Current Medications on Discharge - Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Current Medications on Discharge - Therapeutic Good Identification however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Current Medications on Discharge - Therapeutic Good Identification in section 5.7 of the Discharge Summary Structured Document Template v3.3 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Current Medications on Discharge - Therapeutic Good Identification data element must have a value that is consistent with this definition. Alternatively if there is no Current Medications on Discharge - Therapeutic Good Identification data element with a proper value then an exclusion
		statement must be included to state why there is no Current Medications on Discharge - Therapeutic Good Identification.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'exclusion' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'exclusion' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 5.7 of the Discharge Summary Structured Document Template v3.3 the Current Medications on Discharge - Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Current Medications on Discharge - Therapeutic Good Identification however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Current Medications on Discharge - Therapeutic Good Identification in section 5.7 of the Discharge Summary Structured Document Template v3.3 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'exclusion' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'exclusion' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 5.7 of the Discharge Summary Structured Document Template v3.3 the Current Medications on Discharge - Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Current Medications on Discharge - Therapeutic Good Identification however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Current Medications on Discharge - Therapeutic Good Identification in section 5.7 of the Discharge Summary Structured Document Template v3.3 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Current Medications on Discharge - Therapeutic Good Identification data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'exclusion' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'exclusion' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 5.7 of the Discharge Summary Structured Document Template v3.3 the Current Medications on Discharge - Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Current Medications on Discharge - Therapeutic Good Identification however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Current Medications on Discharge - Therapeutic Good Identification in section 5.7 of the Discharge Summary Structured Document Template v3.3 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Current Medications on Discharge - Therapeutic Good Identification data element must have a value that is consistent with this definition. Alternatively if there is no Current Medications on Discharge - Therapeutic Good Identification data element with a proper value then an exclusion
		statement must be included to state why there is no Current Medications on Discharge - Therapeutic Good Identification.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'exclusion' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'exclusion' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 5.7 of the Discharge Summary Structured Document Template v3.3 the Current Medications on Discharge - Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Current Medications on Discharge - Therapeutic Good Identification however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Current Medications on Discharge - Therapeutic Good Identification in section 5.7 of the Discharge Summary Structured Document Template v3.3 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Current Medications on Discharge - Therapeutic Good Identification data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Current Medications on Discharge - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.7 of the Discharge Summary Structured Document Template v3.3 the Current Medications on Discharge - Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.7 of the Discharge Summary Structured Document Template v3.3 the Current Medications on Discharge - Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.7 of the Discharge Summary Structured Document Template v3.3 the Current Medications on Discharge - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.7 of the Discharge Summary Structured Document Template v3.3 the Current Medications on Discharge - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 5.7 of the Discharge Summary Structured Document Template v3.3 the Current Medications on Discharge - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 5.7 of the Discharge Summary Structured Document Template v3.3 the Current Medications on Discharge - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 5.7 of the Discharge Summary Structured Document Template v3.3 the Current Medications on Discharge - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 5.7 of the Discharge Summary Structured Document Template v3.3 the Current Medications on Discharge - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Current Medications on Discharge - Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 5.7 of the Discharge Summary Structured Document Template v3.3 the Current Medications on Discharge - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Current Medications on Discharge - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Current Medications on Discharge - Therapeutic Good Identification.
		(See the definition of Current Medications on Discharge - Therapeutic Good Identification in section 5.7 of the Discharge Summary Structured Document Template v3.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Current Medications on Discharge - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M227" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M227" />
  <xsl:template match="@*|node()" priority="-2" mode="M227">
    <xsl:apply-templates select="@*|*" mode="M227" />
  </xsl:template>
  <!--PATTERN p-TS-CurrMed-CodeableText-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '101.16146.4.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1']]/cda:entry/   cda:substanceAdministration/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code   [@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " priority="1000" mode="M228">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '101.16146.4.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1']]/cda:entry/   cda:substanceAdministration/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code   [@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="pnullFlavor" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @nullFlavor) then @nullFlavor else '' " />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-p-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then false()        else if ($psnomed-id = 'amtv3' and @codeSystemVersion) then exists($v-amtv3[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($psnomed-id = 'snomedctau' and @codeSystemVersion) then exists($v-snomedctau[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false() " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and $pcode != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used to assess the primary code.') " />
    <xsl:variable name="pcode-refsets-1" select="if (@codeSystem = '2.16.840.1.113883.6.96' and not($pcode = ''))         then dh:FindValueDomainsForCode($pcode, '2.16.840.1.113883.6.96', $v-psnomed-version) else 'no-code' " />
    <xsl:variable name="pcode-found" select="not($pcode-refsets-1 = 'no-code' or $pcode-refsets-1 = 'CodeNotFound' or $pcode-refsets-1 = 'Error'        or contains($pcode-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="pcode-refsets" select="if ($pcode-found) then distinct-values(tokenize($pcode-refsets-1, '\|')) else () " />
    <xsl:variable name="pcode-special-proc" select="count($pcode-refsets) = 1 and 'Procedure Foundation (PF)' = $pcode-refsets and not($pnullFlavor = 'OTH') " />
    <xsl:variable name="pcode-refsets-msg" select="if (count($pcode-refsets) = 0) then ''         else if (count($pcode-refsets) = 1) then concat('The code is a member of the ', $pcode-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($pcode-refsets, ', '), '.') " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))         else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-1" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="snomed-trans-2" select="distinct-values(for $i in (1 to count($snomed-trans-1)) return $snomed-trans-1[$i]/@code) " />
    <xsl:variable name="snomed-trans-a" select="$snomed-trans-1[1] " />
    <xsl:variable name="tcode-a" select="if (exists($snomed-trans-a) and matches($snomed-trans-a/@code, $snomed-code-regex)) then $snomed-trans-a/@code else '' " />
    <xsl:variable name="tnullFlavor-a" select="if (exists($snomed-trans-a) and $snomed-trans-a/@nullFlavor) then $snomed-trans-a/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-a" select="if (not(exists($snomed-trans-a))) then 'not-snomed'        else if (not($snomed-trans-a/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-a/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-a" select="if (not(exists($snomed-trans-a))) then ''        else if ($tsnomed-id-a = 'amtv3' and exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-a = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-a/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-a" select="if (not(exists($snomed-trans-a))) then false()        else if ($tsnomed-id-a = 'amtv3' and $snomed-trans-a/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-a = 'snomedctau' and $snomed-trans-a/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-a-msg" select="if (not(exists($snomed-trans-a))) then ''        else if (not($snomed-trans-a/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-a, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-a = 'amtv3') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-a = 'snomedctau') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-a/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-a, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-a/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-a-refsets-1" select="if (exists($snomed-trans-a) and not($tcode-a = ''))         then dh:FindValueDomainsForCode($tcode-a, '2.16.840.1.113883.6.96', $v-tsnomed-version-a) else 'no-code' " />
    <xsl:variable name="tcode-a-found" select="not($tcode-a-refsets-1 = 'no-code' or $tcode-a-refsets-1 = 'CodeNotFound' or $tcode-a-refsets-1 = 'Error'         or contains($tcode-a-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-a-refsets" select="if ($tcode-a-found) then distinct-values(tokenize($tcode-a-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-a-special-proc" select="count($tcode-a-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-a-refsets and not($tnullFlavor-a = 'OTH') " />
    <xsl:variable name="tcode-a-refsets-msg" select="if (count($tcode-a-refsets) = 0) then ''         else if (count($tcode-a-refsets) = 1) then concat('The code is a member of the ', $tcode-a-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-a-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@code and $snomed-trans-a/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-a/@displayName, codepoints-to-string(34))         else if ($snomed-trans-a/@code and not($snomed-trans-a/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@codeSystem and $snomed-trans-a/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-a/@codeSystemName, ')')         else if ($snomed-trans-a/@codeSystem and not($snomed-trans-a/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-b" select="(for $i in (2 to count($snomed-trans-1)) return if ($snomed-trans-1[$i]/@code != $snomed-trans-a/@code) then $snomed-trans-1[$i] else ())[1] " />
    <xsl:variable name="tcode-b" select="if (exists($snomed-trans-b) and matches($snomed-trans-b/@code, $snomed-code-regex)) then $snomed-trans-b/@code else '' " />
    <xsl:variable name="tnullFlavor-b" select="if (exists($snomed-trans-b) and $snomed-trans-b/@nullFlavor) then $snomed-trans-b/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-b" select="if (not(exists($snomed-trans-b))) then 'not-snomed'        else if (not($snomed-trans-b/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-b/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-b" select="if (not(exists($snomed-trans-b))) then ''        else if ($tsnomed-id-b = 'amtv3' and exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-b = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-b/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-b" select="if (not(exists($snomed-trans-b))) then false()        else if ($tsnomed-id-b = 'amtv3' and $snomed-trans-b/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-b = 'snomedctau' and $snomed-trans-b/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-b-msg" select="if (not(exists($snomed-trans-b))) then ''        else if (not($snomed-trans-b/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-b, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-b = 'amtv3') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-b = 'snomedctau') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-b/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-b, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-b/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-b-refsets-1" select="if (exists($snomed-trans-b) and not($tcode-b = ''))         then dh:FindValueDomainsForCode($tcode-b, '2.16.840.1.113883.6.96', $v-tsnomed-version-b) else 'no-code' " />
    <xsl:variable name="tcode-b-found" select="not($tcode-b-refsets-1 = 'no-code' or $tcode-b-refsets-1 = 'CodeNotFound' or $tcode-b-refsets-1 = 'Error'         or contains($tcode-b-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-b-refsets" select="if ($tcode-b-found) then distinct-values(tokenize($tcode-b-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-b-special-proc" select="count($tcode-b-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-b-refsets and not($tnullFlavor-b = 'OTH') " />
    <xsl:variable name="tcode-b-refsets-msg" select="if (count($tcode-b-refsets) = 0) then ''         else if (count($tcode-b-refsets) = 1) then concat('The code is a member of the ', $tcode-b-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-b-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@code and $snomed-trans-b/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-b/@displayName, codepoints-to-string(34))         else if ($snomed-trans-b/@code and not($snomed-trans-b/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@codeSystem and $snomed-trans-b/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-b/@codeSystemName, ')')         else if ($snomed-trans-b/@codeSystem and not($snomed-trans-b/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-60" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-60 else $rating-alt-TC-Types-60 " />
    <!--REPORT -->
    <xsl:if test=" $pcode-found and $pcode-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pcode-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD (p-TS-CD-SCT-RefSet): An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$pcode" /><xsl:text />',
		codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-psnomed-version" /><xsl:text />'. This error occurred when assessing the Current Medications on Discharge - Therapeutic Good Identification data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Current Medications on Discharge - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. The value is not valid for the data element as it describes a medical
		procedure and not a medical problem or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the medications that the consumer will commence or         continue to use on discharge include those that are continued unchanged or continued with some changes on discharge. The text must include         the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See section 5.2 of the Discharge Summary Structured Document Template v3.3.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Current Medications on Discharge - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the code is not a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.7 of the Medication Instruction and Action Detailed Clinical Model Specification v2.4,         which allows more reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Current Medications on Discharge - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.7 of the Medication Instruction and Action Detailed Clinical Model Specification v2.4,         which allows more reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Current Medications on Discharge - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.7 of the Medication Instruction and Action Detailed Clinical Model Specification v2.4,         which allows more reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Current Medications on Discharge - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. Confirm if the code is a member of the value domain.
		If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.7 of the Medication Instruction and Action Detailed Clinical Model Specification v2.4,         which allows more reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Current Medications on Discharge - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="count($snomed-trans-1)" /><xsl:text /> translation elements with
		codes and the SNOMED CT-AU codeSystem '2.16.840.1.113883.6.96'. The first two translation elements have been assessed to determine if the codes are members of the value domain
		and the others have not been assessed. Confirm if the value of the code attribute in all SNOMED CT translation elements meets the requirement that it be a member of the value domain
		if there is no nullFlavor 'OTH' or that there is a nullFlavor 'OTH' if the value of the code attribute is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text /> 
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.7 of the Medication Instruction and Action Detailed Clinical Model Specification v2.4,         which allows more reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-a" /><xsl:text />'. This error occurred when assessing the Current Medications on Discharge - Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Current Medications on Discharge - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the medications that the consumer will commence or         continue to use on discharge include those that are continued unchanged or continued with some changes on discharge. The text must include         the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See section 5.2 of the Discharge Summary Structured Document Template v3.3.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Current Medications on Discharge - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.7 of the Medication Instruction and Action Detailed Clinical Model Specification v2.4,         which allows more reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Current Medications on Discharge - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.7 of the Medication Instruction and Action Detailed Clinical Model Specification v2.4,         which allows more reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Current Medications on Discharge - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.7 of the Medication Instruction and Action Detailed Clinical Model Specification v2.4,         which allows more reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Current Medications on Discharge - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.7 of the Medication Instruction and Action Detailed Clinical Model Specification v2.4,         which allows more reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-b" /><xsl:text />'. This error occurred when assessing the Current Medications on Discharge - Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Current Medications on Discharge - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> 
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the medications that the consumer will commence or         continue to use on discharge include those that are continued unchanged or continued with some changes on discharge. The text must include         the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See section 5.2 of the Discharge Summary Structured Document Template v3.3.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Current Medications on Discharge - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.7 of the Medication Instruction and Action Detailed Clinical Model Specification v2.4,         which allows more reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Current Medications on Discharge - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.7 of the Medication Instruction and Action Detailed Clinical Model Specification v2.4,         which allows more reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Current Medications on Discharge - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.7 of the Medication Instruction and Action Detailed Clinical Model Specification v2.4,         which allows more reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Current Medications on Discharge - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.7 of the Medication Instruction and Action Detailed Clinical Model Specification v2.4,         which allows more reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M228" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M228" />
  <xsl:template match="@*|node()" priority="-2" mode="M228">
    <xsl:apply-templates select="@*|*" mode="M228" />
  </xsl:template>
  <!--PATTERN p-TS-CurrMed-CodeableText-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '101.16146.4.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1']]/cda:entry/   cda:substanceAdministration/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code[(@codeSystem = '2.16.840.1.113883.6.96' and    not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-meds-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])]   [not(@nullFlavor = $no-value-NF)] " priority="1000" mode="M229">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '101.16146.4.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1']]/cda:entry/   cda:substanceAdministration/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code[(@codeSystem = '2.16.840.1.113883.6.96' and    not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-meds-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])]   [not(@nullFlavor = $no-value-NF)] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="snomed-trans" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="tcode" select="if (exists($snomed-trans[1]) and matches($snomed-trans[1]/@code, $snomed-code-regex)) then $snomed-trans[1]/@code else '' " />
    <xsl:variable name="code-present" select="$pcode != '' or $tcode != '' " />
    <xsl:variable name="invalid-code-system" select="@code and @displayName and @codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="codesystemvalues" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']" />
    <xsl:variable name="otext-without-markup" select="if (cda:originalText and cda:originalText != '') then normalize-space(replace(cda:originalText, $markup-regex, ' ')) else '' " />
    <xsl:variable name="pdname" select="if (@displayName and not($invalid-code-system)) then normalize-space(@displayName) else '' " />
    <xsl:variable name="is-immun" select="exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='101.16638' or @code = '101.16658' or @code = '101.17039')]]) " />
    <xsl:variable name="is-pd" select="exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code = '102.16210' or @code='102.16211' or @code='101.16795')]]) " />
    <xsl:variable name="is-shs-meds" select="$templateId-root = '1.2.36.1.2001.1001.101.100.1002.120' and          exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]) " />
    <xsl:variable name="is-meds" select="exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code = '101.16146.4.1.1' or @code = '101.16146.4.1.2' or @code='101.16146')]]) " />
    <xsl:variable name="max-code-number" select="if ($knowledge/search-for-term/max-sct-code-number/@value &gt; '5') then $knowledge/search-for-term/max-sct-code-number/@value else '5' " />
    <xsl:variable name="der-text-1" select="if ($code-present) then ''         else if ($otext-without-markup != '') then $otext-without-markup        else if ($pdname != '') then $pdname        else '' " />
    <xsl:variable name="family-err" select="matches($der-text-1, $family-regex, 'is')" />
    <xsl:variable name="der-truncated-text-1" select="normalize-space(replace(replace($der-text-1, $unicode-br-truncation-regex, '$1', 'is'), $tgi-truncation-regex, '$1', 'is')) " />
    <xsl:variable name="length-err" select="string-length($der-truncated-text-1) &gt; $length-err-max" />
    <xsl:variable name="prose-err-1" select="$length-err and cda:originalText and (        matches(cda:originalText, $ulist-regex)           or         matches(cda:originalText, $alt-ulist-1a-regex, 'is')         or         matches(cda:originalText, $alt-ulist-1b-regex, 'is')         )" />
    <xsl:variable name="prose-err" select="$prose-err-1 or (cda:originalText and (         matches(cda:originalText, $alt-ulist-2-regex, 'is')         or        matches(cda:originalText, $olist-arabic-regex, 'is')         or         matches(cda:originalText, $olist-alpha-regex, 'is')         or         matches(cda:originalText, $olist-roman-regex, 'is')         or        matches(replace(cda:originalText, $new-line-regex, codepoints-to-string((10)), 'is'), $para-regex, 'is') or        matches(cda:originalText, codepoints-to-string((8233)), 'is')        or               (cda:originalText and matches(cda:originalText, $invalid-concept-regex, 'is'))     or        ($length-err and matches(cda:originalText, '\.\s*$', 's') and matches(cda:originalText, $multi-sentence-regex, 's')) ))" />
    <xsl:variable name="avoid-ts" select="$family-err or $length-err or $prose-err or not($use-ts-for-sctau) " />
    <xsl:variable name="der-text-2a" select="if ($der-truncated-text-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-truncated-text-1, $tgi-fir-pattern-replacement, 'ic')) " />
    <xsl:variable name="der-text-2" select="if ($der-text-2a = '') then $der-text-1 else $der-text-2a " />
    <xsl:variable name="der-text-a" select="if ($der-text-2 = '' or $tgi-regex = '') then $der-text-2 else normalize-space(dh:XQueryRecursiveReplace($der-text-2, $tgi-regex, 'ic')) " />
    <xsl:variable name="der-text" select="if ($der-text-a = '') then $der-text-2 else $der-text-a " />
    <xsl:variable name="defn-valid-regex" select="concat('(^|\|)', translate($der-text-2, $chars-to-remove, ''), '(\||$)') " />
    <xsl:variable name="der-text-to-match-1" select="lower-case($der-text-2) " />
    <xsl:variable name="der-text-to-match" select="translate($der-text-to-match-1, $chars-to-remove, '') " />
    <xsl:variable name="tgi-non-value-regex" select="if ($is-immun)          then $cd-definitions/immun/@non-value-regex         else if ($is-pd)       then $cd-definitions/pd/@non-value-regex        else if ($is-shs-meds) then $cd-definitions/shs-meds/@non-value-regex        else if ($is-meds)     then $cd-definitions/meds/@non-value-regex        else '' " />
    <xsl:variable name="der-text-non-value" select="if ($code-present or @nullFlavor = $no-value-NF) then false() else         $der-text-to-match = ''             or         not(matches($der-text-to-match-1, '[a-z]', 'is'))         or        ($cd-definitions/non-value/@regex != '' and matches($der-text-to-match-1, $cd-definitions/non-value/@regex, 'is')) or        ($tgi-non-value-regex != '' and matches($der-text-to-match-1, $tgi-non-value-regex, 'is'))    " />
    <xsl:variable name="tgi-invalid-regex" select="if ($is-immun)          then $cd-definitions/immun/@invalid-regex         else if ($is-pd)       then $cd-definitions/pd/@invalid-regex        else if ($is-shs-meds) then $cd-definitions/shs-meds/@invalid-regex        else if ($is-meds)     then $cd-definitions/meds/@invalid-regex        else '' " />
    <xsl:variable name="defn-invalid-regex" select="if ($code-present or $der-text-non-value) then ()        else if ($tgi-invalid-regex != '') then tokenize($tgi-invalid-regex, '~')[. != '']         else () " />
    <xsl:variable name="defn-invalid-txt-regex" select="(for $i in (1 to count($defn-invalid-regex)) return normalize-space(substring-before($defn-invalid-regex[$i], '[[')))[. != '']" />
    <xsl:variable name="der-invalid-text-regex-1" select="if (exists($defn-invalid-txt-regex))        then index-of(for $i in (1 to count($defn-invalid-txt-regex)) return matches($der-text-2, $defn-invalid-txt-regex[$i], 'is'), true())        else () " />
    <xsl:variable name="der-invalid-text" select="exists($der-invalid-text-regex-1) " />
    <xsl:variable name="defn-invalid-rsn" select="if ($der-invalid-text)         then normalize-space(substring-before(substring-after($defn-invalid-regex[$der-invalid-text-regex-1[1]], '[['), ']]'))         else '' " />
    <xsl:variable name="trusted-code-systems" select="if ($der-text = '' or $der-invalid-text or not(@codeSystem or cda:translation/@codeSystem)) then ()        else if ($is-immun)          then (tokenize(replace($cd-definitions/immun/@core, '\s+', ''), '\|'),           tokenize(replace($cd-definitions/immun/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-pd)          then (tokenize(replace($cd-definitions/pd/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/pd/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-shs-meds)          then (tokenize(replace($cd-definitions/shs-meds/@core, '\s+', ''), '\|'),          tokenize(replace($cd-definitions/shs-meds/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-meds)          then (tokenize(replace($cd-definitions/meds/@core, '\s+', ''), '\|'),           tokenize(replace($cd-definitions/meds/@extra, '\s+', ''), '\|'))[. != '']         else () " />
    <xsl:variable name="der-trusted-text" select="if ($der-text = '' or $der-invalid-text or (@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex)))) then false()        else ((@codeSystem and exists($trusted-code-systems[. = current()/@codeSystem])) or               (cda:translation/@codeSystem and exists($trusted-code-systems[. = current()/cda:translation/@codeSystem]))) " />
    <xsl:variable name="a-vaccine-1" select="not($code-present or $der-text-non-value or $der-invalid-text) and exists($vaccine-text-normalised) and $der-text-to-match = $vaccine-text-normalised" />
    <xsl:variable name="a-sas-tgi-1" select="not($code-present or $der-text-non-value or $der-invalid-text or $a-vaccine-1) and $tgi-sas-regex != '' and matches($der-text, $tgi-sas-regex, 'is')" />
    <xsl:variable name="an-uncoded-tgi-1" select="not($code-present or $der-text-non-value or $der-invalid-text or $a-vaccine-1 or $a-sas-tgi-1) and $tgi-otheru-regex != '' and         matches($der-text, $tgi-otheru-regex, 'is')" />
    <xsl:variable name="obsolete-tgi-info-1" select="if ($is-immun or $code-present or $der-text-non-value or $der-invalid-text or $a-vaccine-1 or $a-sas-tgi-1 or $an-uncoded-tgi-1 or         not(exists($knowledge/special-tgi/obsolete))) then ()        else $knowledge/special-tgi/obsolete[matches($der-text, concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')] " />
    <xsl:variable name="an-obsolete-tgi-1" select="exists($obsolete-tgi-info-1)" />
    <xsl:variable name="tgi-valid-regex-1" select="if ($code-present or $der-text-non-value or $der-invalid-text or $der-text = '' or $a-vaccine-1 or $a-sas-tgi-1 or $an-uncoded-tgi-1 or          $an-obsolete-tgi-1) then ''        else if ($is-immun)    then $cd-definitions/immun/@valid-regex        else if ($is-pd)       then $cd-definitions/pd/@valid-regex        else if ($is-shs-meds) then $cd-definitions/shs-meds/@valid-regex        else if ($is-meds)     then $cd-definitions/meds/@valid-regex        else '' " />
    <xsl:variable name="valid-tgi-1" select="if ($a-vaccine-1 or $a-sas-tgi-1 or $an-uncoded-tgi-1 or $an-obsolete-tgi-1) then true()         else if ($tgi-valid-regex-1 = '') then false()        else exists(index-of(for $regex in (tokenize($tgi-valid-regex-1, '~')[. != '']) return          matches($der-text-2, dh:XQueryRecursiveReplace(normalize-space($regex), ' \|~|~\| ~|', ''), 'is'), true())) " />
    <xsl:variable name="invalid-hierarchy-1" select="if (exists($cd-definitions/meds/meds-invalid/hierarchy))         then string-join(for $hierarchy in $cd-definitions/meds/meds-invalid/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-refset" select="if (exists($cd-definitions/meds/meds-invalid/refset))          then string-join(for $refset in $cd-definitions/meds/meds-invalid/refset return concat('^', $refset/@code), ' OR ')         else '' " />
    <xsl:variable name="valid-refset" select="concat($tgi-formula, ' OR &lt;763158003') " />
    <xsl:variable name="valid-domain" select="if ($invalid-refset != '' and $invalid-hierarchy-1 != '')         then concat('((', $valid-refset, ') MINUS (', $invalid-refset, ' OR (', $invalid-hierarchy-1, ')))')        else if ($invalid-refset = '' and $invalid-hierarchy-1 != '') then concat('((', $valid-refset, ') MINUS (', $invalid-hierarchy-1, '))')         else if ($invalid-refset != '' and $invalid-hierarchy-1 = '') then concat('((', $valid-refset, ') MINUS (', $invalid-refset, '))')        else concat('(', $valid-refset, ')') " />
    <xsl:variable name="related-terms-1" select="if ($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-1) then ()        else ($codesystemvalues/code[@related-terms], $codesystemvalues/related-terms[@related-terms]) " />
    <xsl:variable name="related-terms-2" select="for $i in index-of(        for $concept in $related-terms-1 return matches(translate($concept/@related-terms, $chars-no-pipe, ''), $defn-valid-regex, 'is'), true())         return $related-terms-1[$i]/@code " />
    <xsl:variable name="der-tgi-codes-1" select="if (exists($related-terms-2)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($related-terms-2, ' OR '), ') AND ', $valid-domain), '', string(count($related-terms-2)), false())        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $der-tgi-codes-1 " />
    <xsl:variable name="der-valid-codes-1" select="if (contains($der-tgi-codes-1, '[')) then $der-tgi-codes-1 else '' " />
    <xsl:variable name="valid-tgi-2" select="$valid-tgi-1 or $der-valid-codes-1 != '' " />
    <xsl:variable name="tgi-inactive-refSets" select="if (exists($cd-definitions/tgi/tgi-invalid/inactive-refset))         then concat('((', $inactive-refSets, ') MINUS (',           string-join(for $refset in $cd-definitions/tgi/tgi-invalid/inactive-refset return concat('^', $refset/@code), ' OR '),          '))')         else $inactive-refSets " />
    <xsl:variable name="formula" select="concat($valid-domain, ' OR ', $tgi-inactive-refSets) " />
    <xsl:variable name="ts-not-needed" select="$der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-2 or $avoid-ts " />
    <xsl:variable name="der-tgi-codes-2-a" select="if ($ts-not-needed or exists($related-terms-2)) then ()         else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-text,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2-a" select="$error-usingTS-1 or 'Error' = $der-tgi-codes-2-a " />
    <xsl:variable name="revision-pattern-1" select="if ($ts-not-needed or $valid-tgi-2 or exists($der-tgi-codes-2-a) or $error-usingTS-2-a or exists($related-terms-2)) then ''        else $tgi-sec-pattern-replacement " />
    <xsl:variable name="der-revised-text-1" select="if ($revision-pattern-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-text, $revision-pattern-1, 'ic')) " />
    <xsl:variable name="use-revised-text-1" select="$der-revised-text-1 != '' and $der-revised-text-1 != $der-text " />
    <xsl:variable name="obsolete-tgi-info-2" select="if (exists($der-tgi-codes-2-a)) then ()        else if ($an-obsolete-tgi-1) then $obsolete-tgi-info-1        else if ($use-revised-text-1) then $knowledge/special-tgi/obsolete[matches($der-revised-text-1, concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')]        else () " />
    <xsl:variable name="an-obsolete-tgi-2" select="exists($obsolete-tgi-info-2)" />
    <xsl:variable name="der-tgi-codes-2-b" select="if ($an-obsolete-tgi-2) then ()        else if ($ts-not-needed or exists($der-tgi-codes-2-a) or not($use-revised-text-1)) then $der-tgi-codes-2-a         else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-1,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2-b" select="$error-usingTS-2-a or 'Error' = $der-tgi-codes-2-b " />
    <xsl:variable name="revision-pattern-2" select="if ($ts-not-needed or $valid-tgi-2 or exists($der-tgi-codes-2-b) or $error-usingTS-2-b or exists($related-terms-2)) then ''        else $tgi-thi-pattern-replacement " />
    <xsl:variable name="der-revised-text-2" select="if ($revision-pattern-2 = '') then '' else normalize-space(dh:XQueryRecursiveReplace(         if ($use-revised-text-1) then $der-revised-text-1 else $der-text, $revision-pattern-2, 'ic')) " />
    <xsl:variable name="use-revised-text-2" select="if ($use-revised-text-1) then $der-revised-text-2 != '' and $der-revised-text-2 != $der-revised-text-1         else $der-revised-text-2 != '' and $der-revised-text-2 != $der-text " />
    <xsl:variable name="obsolete-tgi-info-3" select="if (exists($der-tgi-codes-2-b)) then ()        else if ($an-obsolete-tgi-2) then $obsolete-tgi-info-2        else if ($use-revised-text-2) then $knowledge/special-tgi/obsolete[matches($der-revised-text-2, concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')]        else () " />
    <xsl:variable name="an-obsolete-tgi-3" select="exists($obsolete-tgi-info-3)" />
    <xsl:variable name="der-tgi-codes-2-c" select="if ($an-obsolete-tgi-3) then ()        else if ($ts-not-needed or exists($der-tgi-codes-2-b) or not($use-revised-text-2)) then $der-tgi-codes-2-b        else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-2,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2-c" select="$error-usingTS-2-b or 'Error' = $der-tgi-codes-2-c " />
    <xsl:variable name="der-tgi-codes-2-d" select="if ($an-obsolete-tgi-3 or $ts-not-needed or exists($der-tgi-codes-2-c)) then $der-tgi-codes-2-c        else iq:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula,          if ($der-revised-text-2 != '') then $der-revised-text-2          else if ($der-revised-text-1 != '') then $der-revised-text-1          else $der-text, 'default') " />
    <xsl:variable name="error-usingTS-2-d" select="$error-usingTS-2-c or 'Error' = $der-tgi-codes-2-d " />
    <xsl:variable name="der-tgi-codes-2" select="$der-tgi-codes-2-d " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-2-d " />
    <xsl:variable name="der-valid-codes-2" select="if ($der-valid-codes-1 != '') then $der-valid-codes-1        else if ($error-usingTS-2) then ''         else string-join((for $code in $der-tgi-codes-2 return if (contains($code, '~inactive')) then '' else $code)[. != ''], '|')  " />
    <xsl:variable name="valid-tgi-3" select="$valid-tgi-2 or $der-valid-codes-2 != '' " />
    <xsl:variable name="der-inactive-codes-1" select="if ($valid-tgi-3) then () else        for $code in $der-tgi-codes-2 return if (contains($code, '~inactive')) then replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is') else '' " />
    <xsl:variable name="der-inactive-codes-2" select="for $i in (1 to count($der-inactive-codes-1)) return         dh:IsCodeAssociatedWithAnotherCode($der-inactive-codes-1[$i], '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-1" select="'Error' = $der-inactive-codes-2 " />
    <xsl:variable name="der-NAF-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-NAF-active-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound~active')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-inactive-codes-3" select="tokenize(string-join(for $i in (1 to count($der-inactive-codes-1)) return replace(string-join(tokenize($der-inactive-codes-2[$i], '\|')        [matches(., '(REPLACED BY|SAME AS|ALTERNATIVE|POSSIBLY EQUIVALENT TO|MAY BE A|WAS A)')], '|'), '[0-9]+~[A-Z ]+~([0-9]+)', '$1'), '|'), '\|')        [. != ''] " />
    <xsl:variable name="der-tgi-codes-3" select="if (exists($der-inactive-codes-3)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($der-inactive-codes-3, ' OR '), ') AND ', $valid-domain), '', string(count($der-inactive-codes-3)), false())          else '' " />
    <xsl:variable name="error-usingTS-3" select="$error-usingTS-2 or 'Error' = $der-tgi-codes-3 " />
    <xsl:variable name="der-valid-codes-3" select="if ($der-valid-codes-2 != '') then $der-valid-codes-2        else if (contains($der-tgi-codes-3, '[')) then $der-tgi-codes-3        else '' " />
    <xsl:variable name="valid-tgi-4" select="$valid-tgi-3 or $der-valid-codes-3 != '' " />
    <xsl:variable name="tbd-hierarchy" select="if (exists($cd-definitions/meds/meds-tbd/hierarchy))         then string-join(for $hierarchy in $cd-definitions/meds/meds-tbd/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-hierarchy" select="if ($invalid-hierarchy-1 != '' and $tbd-hierarchy != '') then concat($invalid-hierarchy-1, ' OR ', $tbd-hierarchy)        else if ($invalid-hierarchy-1 != '') then $invalid-hierarchy-1        else if ($tbd-hierarchy != '') then $tbd-hierarchy        else '' " />
    <xsl:variable name="invalid-domain" select="if ($invalid-hierarchy != '' and $invalid-refset != '') then concat($invalid-hierarchy, ' OR ', $invalid-refset)        else if ($invalid-hierarchy != '') then $invalid-hierarchy        else if ($invalid-refset != '') then $invalid-refset        else '' " />
    <xsl:variable name="filter-text" select="if ($use-revised-text-2) then $der-revised-text-2 else if ($use-revised-text-1) then $der-revised-text-1 else $der-text " />
    <xsl:variable name="der-tgi-codes-4" select="if ($ts-not-needed or $valid-tgi-4 or $invalid-domain = '') then ()        else if (exists($related-terms-2)) then $related-terms-2        else distinct-values((tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          $invalid-domain, $filter-text, $max-code-number, false()), '(\[.*?\])(\||$)', '$2'), '\|'), $der-inactive-codes-3)) " />
    <xsl:variable name="error-usingTS-4" select="$error-usingTS-3 or 'Error' = $der-tgi-codes-4 " />
    <xsl:variable name="invalid-tgi-codes-r" select="if ($ts-not-needed or $valid-tgi-4 or $error-usingTS-4 or not(exists($der-tgi-codes-4))) then ()        else if ($invalid-refset = '') then tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-tgi-codes-4, ' OR '), ') AND (', $inactive-refSets, ')'), '',           string(count($der-tgi-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')        else tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-tgi-codes-4, ' OR '), ') AND (', $invalid-refset, ' OR ', $inactive-refSets, ')'), '',           string(count($der-tgi-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')  " />
    <xsl:variable name="error-usingTS-5" select="$error-usingTS-4 or 'Error' = $invalid-tgi-codes-r " />
    <xsl:variable name="der-tgi-codes-4-h" select="if ($error-usingTS-5) then () else $der-tgi-codes-4[not(. = $invalid-tgi-codes-r)]" />
    <xsl:variable name="invalid-tgi-codes-h" select="if ($ts-not-needed or $valid-tgi-4 or 'Error' = $der-tgi-codes-4 or $meds-invalid-hierarchy = '' or not(exists($der-tgi-codes-4-h))) then ()        else (for $code in $der-tgi-codes-4-h return          if (dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;&gt;', $code, ' MINUS ', $meds-invalid-hierarchy), '', '1', false()) = '') then $code else '')[. != ''] " />
    <xsl:variable name="invalid-tgi-codes" select="($invalid-tgi-codes-h, $invalid-tgi-codes-r) " />
    <xsl:variable name="der-tgi-codes-5" select="$der-tgi-codes-4[not(. = $invalid-tgi-codes or . = 'Error')]" />
    <xsl:variable name="der-valid-codes-4" select="if ($der-valid-codes-3 != '') then $der-valid-codes-3        else if ($ts-not-needed or $valid-tgi-4 or $valid-domain = '' or not(exists($der-tgi-codes-5))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-tgi-codes-5, ' OR '), ') AND ', $valid-domain), '', string(count($der-tgi-codes-5)), false()) " />
    <xsl:variable name="error-usingTS-6" select="$error-usingTS-5 or 'Error' = $der-valid-codes-4 " />
    <xsl:variable name="valid-tgi-5" select="$valid-tgi-4 or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="der-valid-codes-seq" select="if ($error-usingTS-6) then () else tokenize(replace($der-valid-codes-4,  '(\[.*?\])(\||$)', '$2'), '\|') " />
    <xsl:variable name="undetermined-tgi-1" select="if (exists($der-valid-codes-seq)) then $der-tgi-codes-5[not(. = $der-valid-codes-seq)] else $der-tgi-codes-5 " />
    <xsl:variable name="undetermined-inactive-1" select="for $i in (1 to count($undetermined-tgi-1)) return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $undetermined-tgi-1[$i], '', '1', false()) " />
    <xsl:variable name="error-usingTS-7" select="$error-usingTS-6 or 'Error' = $undetermined-inactive-1 " />
    <xsl:variable name="undetermined-inactive" select="(for $i in (1 to count($undetermined-tgi-1)) return         if (contains($undetermined-inactive-1[$i], '~inactive')) then $undetermined-inactive-1[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-1" select="for $i in (1 to count($undetermined-inactive))        return dh:IsCodeAssociatedWithAnotherCode(replace($undetermined-inactive[$i], '(\[.*?\])(\||$)', '$2'), '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-2" select="$error-usingV-1 or 'Error' = $undetermined-NAF-1 " />
    <xsl:variable name="undetermined-NAF" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-codes" select="for $term in $undetermined-NAF return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-NAF-active" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound~active')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-active-codes" select="for $term in $undetermined-NAF-active return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-tgi" select="$undetermined-tgi-1[not(. = ($undetermined-NAF-codes, $undetermined-NAF-active-codes))]" />
    <xsl:variable name="invalid-tgi" select="not($valid-tgi-5) and exists($invalid-tgi-codes) and not(exists($undetermined-tgi))" />
    <xsl:variable name="a-sas-tgi" select="if ($a-sas-tgi-1) then true()        else if ($a-vaccine-1 or $valid-tgi-5 or $invalid-tgi or not($use-revised-text-2) or $tgi-sas-regex = '') then false()        else matches($der-revised-text-2, $tgi-sas-regex, 'is')" />
    <xsl:variable name="an-uncoded-tgi" select="if ($an-uncoded-tgi-1) then true()        else if ($a-vaccine-1 or $valid-tgi-5 or $invalid-tgi or not($use-revised-text-2) or $tgi-otheru-regex = '' or $a-sas-tgi) then false()        else matches($der-revised-text-2, $tgi-otheru-regex, 'is')" />
    <xsl:variable name="obsolete-tgi-info" select="if ($an-obsolete-tgi-3) then $obsolete-tgi-info-3        else if ($a-vaccine-1 or $valid-tgi-5 or $invalid-tgi or not($use-revised-text-2) or not(exists($knowledge/special-tgi/obsolete)) or $a-sas-tgi or          $an-uncoded-tgi) then ()        else $knowledge/special-tgi/obsolete[matches($der-revised-text-2,          concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')] " />
    <xsl:variable name="an-obsolete-tgi" select="exists($obsolete-tgi-info)" />
    <xsl:variable name="valid-tgi-6" select="$valid-tgi-5 or $a-sas-tgi or $an-uncoded-tgi or $an-obsolete-tgi " />
    <xsl:variable name="a-vaccine-2" select="if ($a-vaccine-1) then true()        else if ($valid-tgi-6 or $invalid-tgi or not(exists($vaccine-text-normalised))) then false()        else if ($der-text != '' and translate(lower-case($der-text), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else if ($use-revised-text-1 and translate(lower-case($der-revised-text-1), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else if ($use-revised-text-2 and translate(lower-case($der-revised-text-2), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else false() " />
    <xsl:variable name="vaccine-code-test" select="if (not($a-vaccine-2 or $valid-tgi-6 or $invalid-tgi or $avoid-ts) and exists($undetermined-tgi))         then tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($undetermined-tgi, ' OR '), ') AND (&lt;71181003 OR &lt;127785005)'), '',          string(count($undetermined-tgi)), false()), '\|')        else () " />
    <xsl:variable name="error-usingTS-8" select="$error-usingTS-7 or 'Error' = $vaccine-code-test " />
    <xsl:variable name="a-vaccine" select="$a-vaccine-2 or (not('Error' = $vaccine-code-test) and exists($undetermined-tgi) and count($vaccine-code-test) = count($undetermined-tgi)) " />
    <xsl:variable name="codes-with-history" select="$der-inactive-codes-2[matches(., '[0-9]')]" />
    <xsl:variable name="hist-vers" select="if (exists($codes-with-history))        then dh:FindLastUpdatedDateForCodeUsingTS(substring-before($codes-with-history[1], '~'), '2.16.840.1.113883.6.96', $ts-latest-snomedctau)       else '' " />
    <xsl:variable name="error-usingTS-9" select="$error-usingTS-8 or 'Error' = $hist-vers " />
    <xsl:variable name="hist-vers-date" select="if (matches($hist-vers, '^(CodeFoundActive|CodeFoundInactive)\|[0-9]{8}$')) then substring-after($hist-vers, '|') else '' " />
    <xsl:variable name="inactive-concept" select="count($der-tgi-codes-2) = count($der-inactive-codes-1) and not($valid-tgi-6)" />
    <xsl:variable name="der-inactive-codes-4" select="$der-inactive-codes-3[not(contains(., 'MOVED FROM') or contains(., 'WAS A'))]" />
    <xsl:variable name="obsolete-without-date" select=" ($an-obsolete-tgi and not($obsolete-tgi-info/@last-available))   or         (exists($der-inactive-codes-3) and not(exists($der-inactive-codes-4)))  or         (exists($der-inactive-codes-4) and $hist-vers-date = '')   " />
    <xsl:variable name="obsolete-date" select="if ($is-immun) then ''        else if ($hist-vers-date != '') then $hist-vers-date        else if ($an-obsolete-tgi and $obsolete-tgi-info/@last-available) then $obsolete-tgi-info/@last-available         else '' " />
    <xsl:variable name="obsolete-yr" select="substring($obsolete-date, 1, 4) " />
    <xsl:variable name="obsolete-mn-temp" select="substring($obsolete-date, 5, 2) " />
    <xsl:variable name="obsolete-mn" select="if ($obsolete-mn-temp = '') then '06' else $obsolete-mn-temp " />
    <xsl:variable name="obsolete-dy-temp" select="substring($obsolete-date, 7, 2) " />
    <xsl:variable name="obsolete-dy" select="if ($obsolete-dy-temp = '') then '15' else $obsolete-dy-temp " />
    <xsl:variable name="obsolete-xs" select="if ($obsolete-date = '') then () else xs:date(concat($obsolete-yr, '-', $obsolete-mn, '-', $obsolete-dy)) " />
    <xsl:variable name="display-obsolete-date" select="if ($obsolete-date = '') then ''        else if ($obsolete-mn-temp = '') then $obsolete-dy        else if ($obsolete-dy-temp = '') then concat($knowledge/months/month[@number = $obsolete-mn]/@abbreviation, ' ', $obsolete-yr)        else concat($obsolete-dy, ' ', $knowledge/months/month[@number = $obsolete-mn]/@abbreviation, ' ', $obsolete-yr) " />
    <xsl:variable name="obsolete-date-diff" select="if ($obsolete-date = '' or not(matches($creation-date-xs - $obsolete-xs, '^P[0-9]+D'))) then '0'        else number(substring-before(substring-after($creation-date-xs - $obsolete-xs, 'P'), 'D')) " />
    <xsl:variable name="obsolete-yrs-ago" select="$obsolete-date-diff div 365 " />
    <xsl:variable name="coding" select="if (not($flags/@assess-class = 'true') or not($use-ts-for-sctau) or not(exists($iq-config/tgi-coding))) then () else $iq-config/tgi-coding" />
    <xsl:variable name="s-classification" select="if (exists($coding/special-classification/classification)) then $coding/special-classification/classification else () " />
    <xsl:variable name="s-number" select="count($s-classification) " />
    <xsl:variable name="s-formula" select="string-join(for $class in $s-classification return $class/@code, ' OR ')" />
    <xsl:variable name="code-to-assess" select="if (not($flags/@assess-class = 'true') or not($use-ts-for-sctau)) then '' else if (exists($der-valid-codes-seq)) then $der-valid-codes-seq[1] else '' " />
    <xsl:variable name="value-domain-1" select="if ($code-to-assess = '') then '' else dh:FindValueDomainsForCode($code-to-assess, '2.16.840.1.113883.6.96', $v-current-sctau)" />
    <xsl:variable name="class-error-1" select="$value-domain-1 = 'Error' " />
    <xsl:variable name="value-domain" select="if ($class-error-1 or $value-domain-1 = ('', 'CodeNotFound')) then ''       else if (contains($value-domain-1, '|')) then substring-before($value-domain-1, '|')       else $value-domain-1 " />
    <xsl:variable name="first-pass-1" select="if ($value-domain = '') then ''        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)'))         then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat($code-to-assess, ' . 30409011000036107'), '', '1', true())        else if ($value-domain = 'Medicinal Product Pack (MPP)')         then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat($code-to-assess, ' . 30348011000036104'), '', '1', true())        else if ($value-domain = 'Trade Product (TP)') then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&lt;', $code-to-assess), '', '1', true())        else $code-to-assess " />
    <xsl:variable name="class-error-2" select="$class-error-1 or ($value-domain != '' and $first-pass-1 = ('Error', '')) " />
    <xsl:variable name="first-pass" select="if (not($class-error-2) and $first-pass-1 != '') then replace($first-pass-1, '(\[.*?\])(\||$)', '$2') else '' " />
    <xsl:variable name="second-pass-1" select="if ($first-pass = '') then ''        else if ($value-domain = 'Trade Product Unit of Use (TPUU)')          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $code-to-assess, ' AND ^929360071000036103'), '', '1', true())        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product (TP)'))          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $first-pass, ' AND ^929360071000036103'), '', '1', true())        else if ($value-domain = 'Medicinal Product Pack (MPP)') then $first-pass        else $code-to-assess " />
    <xsl:variable name="class-error-3" select="$class-error-2 or ($first-pass != '' and $second-pass-1 = ('Error', '')) " />
    <xsl:variable name="second-pass" select="if (not($class-error-3) and $second-pass-1 != '') then replace($second-pass-1, '(\[.*?\])(\||$)', '$2') else '' " />
    <xsl:variable name="class-tp-1" select="if ($class-error-3) then ''        else if ($value-domain = 'Trade Product Unit of Use (TPUU)')          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $code-to-assess, ' AND ^929360021000036102'), '', '1', true())        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)'))          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $first-pass, ' AND ^929360021000036102'), '', '1', true())        else '' " />
    <xsl:variable name="class-tp-error" select="$class-tp-1 = 'Error' " />
    <xsl:variable name="class-tp" select="if (not($class-tp-error) and $class-tp-1 != '') then replace($class-tp-1, '^([0-9]+\[)(.*?)(\])$', '$2') else '' " />
    <xsl:variable name="third-pass-1" select="if ($second-pass = '') then ''        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product (TP)',          'Trade Product Unit of Use (TPUU)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)'))         then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;!', $second-pass, ' AND ^929360061000036106'), '', '1', false())        else $second-pass " />
    <xsl:variable name="class-error-4" select="$class-error-3 or ($second-pass != '' and $third-pass-1 = ('Error', '')) " />
    <xsl:variable name="third-pass" select="if ($class-error-4 or $third-pass-1 = '') then ''         else if (matches($third-pass-1, '^[0-9]+$')) then replace($der-valid-codes-4, '^([0-9]+\[)(.*?)(\]\|.*|\])$', '$2')        else if (matches($third-pass-1, '^[0-9]')) then replace($third-pass-1, '^([0-9]+\[)(.*?)(\])$', '$2') else '' " />
    <xsl:variable name="fourth-pass-1" select="if ($third-pass = '') then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', '&lt;373873005', $third-pass, '1', true()) " />
    <xsl:variable name="class-error-5" select="$class-error-4 or $fourth-pass-1 = 'Error' " />
    <xsl:variable name="fourth-pass" select="if (not($class-error-4) and $fourth-pass-1 != '' and matches($fourth-pass-1, '^[0-9]')) then replace($fourth-pass-1, '(\[.*?\])(\||$)', '$2') else '' " />
    <xsl:variable name="class-not-completed" select="($flags/@assess-class = 'true' and $code-to-assess = '')  or        ($code-to-assess != '' and $value-domain-1 = 'CodeNotFound') or        ($third-pass != '' and $fourth-pass = '')   " />
    <xsl:variable name="valid-class-1" select="if ($fourth-pass = '' or $s-number = 0) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND (', $s-formula, ')'), '', string($s-number), true()) " />
    <xsl:variable name="class-error-6" select="$class-error-5 or $valid-class-1 = 'Error' " />
    <xsl:variable name="valid-class-2" select="if ($valid-class-1 = '' or $class-error-6) then () else tokenize(replace($valid-class-1, '(\[.*?\])(\||$)', '$2'), '\|') " />
    <xsl:variable name="valid-class-3" select="if ($a-vaccine and exists($s-classification[@code = '71181003']/@description)) then ($s-classification[@code = '71181003']/@description)       else if ($a-vaccine and exists($s-classification[@code = '71181003']/@pterm)) then ($s-classification[@code = '71181003']/@pterm)       else for $code in $valid-class-2 return if ($coding/special-classification/classification[@code = $code]/@description)         then $coding/special-classification/classification[@code = $code]/@description         else $coding/special-classification/classification[@code = $code]/@pterm " />
    <xsl:variable name="fifth-pass" select="if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/first-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/first-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-7" select="$class-error-6 or $fifth-pass = 'Error' " />
    <xsl:variable name="sixth-pass" select="if (not($fifth-pass = '')) then $fifth-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/second-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/second-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-8" select="$class-error-7 or $sixth-pass = 'Error' " />
    <xsl:variable name="seventh-pass" select="if (not($sixth-pass = '')) then $sixth-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/third-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/third-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-9" select="$class-error-8 or $seventh-pass = 'Error' " />
    <xsl:variable name="eighth-pass" select="if (not($seventh-pass = '')) then $seventh-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/fourth-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/fourth-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-10" select="$class-error-9 or $eighth-pass = 'Error' " />
    <xsl:variable name="ninth-pass" select="if (not($eighth-pass = '')) then $eighth-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/fifth-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/fifth-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-11" select="$class-error-10 or $ninth-pass = 'Error' " />
    <xsl:variable name="valid-class" select="if (exists($valid-class-3)) then $valid-class-3        else if (not($ninth-pass = '')) then for $term in tokenize($ninth-pass, '\|') return replace($term, '^([0-9]+\[)(.*?)(\])$', '$2')       else () " />
    <xsl:variable name="codes-were-found" select="exists($der-tgi-codes-4) or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="obsolete-error" select="not($is-immun) and ($an-obsolete-tgi or $inactive-concept) and $obsolete-yrs-ago &gt; 2 " />
    <xsl:variable name="obsolete-warning" select="not($is-immun or $obsolete-error) and ($an-obsolete-tgi or $inactive-concept) and ($obsolete-yrs-ago &gt; 1 or $obsolete-without-date) " />
    <xsl:variable name="codes-not-found" select="not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-6 or $invalid-tgi or $a-vaccine) " />
    <xsl:variable name="codes-in-the-domain" select="not($valid-tgi-1) and $valid-tgi-5" />
    <xsl:variable name="codes-in-other-domain" select="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi or         $a-vaccine or $obsolete-warning) " />
    <xsl:variable name="codes-in-no-domain" select="exists($der-tgi-codes-5) " />
    <xsl:variable name="display-in-the-domain" select="if ($codes-in-the-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', '), '''')        else '' " />
    <xsl:variable name="display-in-other-r" select="if (exists($invalid-tgi-codes-r) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-tgi-codes-r return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-h" select="if (exists($invalid-tgi-codes-h) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-tgi-codes-h return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-domain" select="if (not($codes-in-other-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))) then ''        else if ($display-in-other-r and display-in-other-h) then concat('''', $display-in-other-r, ', ', $display-in-other-h, '''')        else if ($display-in-other-r) then concat('''', $display-in-other-r, '''')        else if ($display-in-other-h) then concat('''', $display-in-other-h, '''')        else '' " />
    <xsl:variable name="display-in-no-domain" select="if ($codes-in-no-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', dh:XQueryRecursiveReplace(string-join(for $code in $der-tgi-codes-5 return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), '; '),          $term-pattern-replacement, 'ic'), '''')        else '' " />
    <xsl:variable name="log-concepts-appended" select="if ($error-usingTS-9 or not($flags/@report-terminology-concepts = 'true') or $log-concepts-name = '') then ''        else if ($codes-not-found and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                   'Therapeutic Good Identification', $log-tab,                   'yes',     $log-tab,                   iq:display-CD(.),   $log-tab,                   '',     $log-tab,                  '',     $log-tab,                  '',     $log-tab,                  $ts-current-sctau   ))        else if (($use-revised-text-2 or $codes-in-no-domain) and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                  'Therapeutic Good Identification', $log-tab,                   'yes',     $log-tab,                     iq:display-CD(.),   $log-tab,                    $display-in-the-domain,   $log-tab,                  $display-in-other-domain,  $log-tab,                  $display-in-no-domain,   $log-tab,                  $ts-current-sctau   ))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if (matches($defn-invalid-rsn, 'is a container', 'is')) then $rating-container-TC-Types-57 else $rating-TC-Types-57 " />
    <!--REPORT -->
    <xsl:if test=" $log-concepts-appended = ('NOTFOUND', 'ERROR') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$log-concepts-appended = ('NOTFOUND', 'ERROR')">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): The AppendLog function returned '<xsl:text /><xsl:value-of select="$log-concepts-appended" /><xsl:text />' when requested to append the concepts log
		'<xsl:text /><xsl:value-of select="$log-concepts-name" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $flags/@assess-class = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $flags/@assess-class = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): 
		code-to-assess '<xsl:text /><xsl:value-of select="$code-to-assess" /><xsl:text />'
		value-domain '<xsl:text /><xsl:value-of select="$value-domain" /><xsl:text />'
		first-pass '<xsl:text /><xsl:value-of select="$first-pass" /><xsl:text />'
		second-pass '<xsl:text /><xsl:value-of select="$second-pass" /><xsl:text />'
		third-pass '<xsl:text /><xsl:value-of select="$third-pass" /><xsl:text />'
		fourth-pass '<xsl:text /><xsl:value-of select="$fourth-pass" /><xsl:text />'
		valid-class-1 '<xsl:text /><xsl:value-of select="$valid-class-1" /><xsl:text />'
		fifth-pass '<xsl:text /><xsl:value-of select="$fifth-pass" /><xsl:text />'
		sixth-pass '<xsl:text /><xsl:value-of select="$sixth-pass" /><xsl:text />'
		seventh-pass '<xsl:text /><xsl:value-of select="$seventh-pass" /><xsl:text />'
		eighth-pass '<xsl:text /><xsl:value-of select="$eighth-pass" /><xsl:text />'
		ninth-pass '<xsl:text /><xsl:value-of select="$ninth-pass" /><xsl:text />'

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $class-error-11 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$class-error-11">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An unexpected error occurred during the process to classify a terminology code.
		Report the information below to the Australian Digital Health Agency for investigation.
		The value domain was '<xsl:text /><xsl:value-of select="$value-domain" /><xsl:text />' and the error variable was
		<xsl:text /><xsl:value-of select="if ($class-error-1) then concat('class-error-1. The FindValueDomainsForCode function was called with code ''', $code-to-assess,     ''', codeSystem ''2.16.840.1.113883.6.96'' and codeSystemVersion ''', $v-current-sctau, ''' and returned ''', $value-domain-1, '''.')   else if ($class-error-2) then concat('class-error-2. The SearchForCodesInHierarchyUsingTS function was called with code ''', $code-to-assess,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $first-pass-1, '''.')   else if ($class-error-3) then concat('class-error-3. The SearchForCodesInHierarchyUsingTS function was called with code ''',     if ($value-domain = 'Trade Product Unit of Use (TPUU)') then $code-to-assess else $first-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $second-pass-1, '''.')   else if ($class-error-4) then concat('class-error-4. The SearchForCodesInHierarchyUsingTS function was called with code ''', $second-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $third-pass-1, '''.')   else if ($class-error-5) then concat('class-error-5. The SearchForCodesInHierarchyUsingTS function was called with code ''', $third-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $fourth-pass-1, '''.')   else if ($class-error-6) then concat('class-error-6. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $valid-class-1, '''.')   else if ($class-error-7) then concat('class-error-7. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $fifth-pass, '''.')   else if ($class-error-8) then concat('class-error-8. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $sixth-pass, '''.')   else if ($class-error-9) then concat('class-error-9. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $seventh-pass, '''.')   else if ($class-error-10) then concat('class-error-10. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $eighth-pass, '''.')   else if ($class-error-11) then concat('class-error-11. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $ninth-pass, '''.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $class-tp-error ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$class-tp-error">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An unexpected error occurred during the process to find the trade product name for a medicine.
		Report the information below to the Australian Digital Health Agency for investigation.
		The value domain was '<xsl:text /><xsl:value-of select="$value-domain" /><xsl:text />' and the error variable was class-tp-error.
		The FindValueDomainsForCode function was called with code ''', 
		if ($value-domain = 'Trade Product Unit of Use (TPUU)') then $code-to-assess else $first-pass, 
		''', codeSystem ''2.16.840.1.113883.6.96'' and codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $class-tp-1, '''.')

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-tgi-6) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-tgi-6)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An unexpected problem occurred when assessing the value of the Current Medications on Discharge - Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. The application of regular expressions resulted in the complete loss of text.
		Report the information below to the Australian Digital Health Agency for investigation.

		der-text-1 '<xsl:text /><xsl:value-of select="normalize-space(dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'))" /><xsl:text />'.
		der-text-2a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-2a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-a, $term-pattern-replacement, 'ic')" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingV-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingV-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An error was reported when accessing the terminology server when assessing the Current Medications on Discharge - Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		Report the issue to the Australian Digital Health Agency for investigation stating the error was recorded for error-usingV-2.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-9 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-9">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An error was reported when accessing the terminology server when assessing the Current Medications on Discharge - Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term:
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The analysis should be retried as the terminology server may have been temporarily unavailable.
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'error-usingTS-1' else if ($error-usingTS-2-a) then 'error-usingTS-2-a'   else if ($error-usingTS-2-b) then 'error-usingTS-2-b' else if ($error-usingTS-2-c) then 'error-usingTS-2-c'   else if ($error-usingTS-2) then 'error-usingTS-2'   else if ($error-usingTS-3) then 'error-usingTS-3' else if ($error-usingTS-4) then 'error-usingTS-4'   else if ($error-usingTS-5) then 'error-usingTS-5' else if ($error-usingTS-6) then 'error-usingTS-6'   else if ($error-usingTS-7) then 'error-usingTS-7' else if ($error-usingTS-8) then 'error-usingTS-8'   else 'error-usingTS-9' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or      $valid-tgi-6 or $invalid-tgi) and not($a-vaccine and not(false())) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi) and not($a-vaccine and not(false()))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Current Medications on Discharge - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medications that the consumer will commence or         continue to use on discharge include those that are continued unchanged or continued with some changes on discharge. The text must include         the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See section 5.2 of the Discharge Summary Structured Document Template v3.3.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.7 of the Medication Instruction and Action Detailed Clinical Model Specification v2.4,         which allows more reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi) and    not($a-vaccine and false()) and not($obsolete-warning) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi) and not($a-vaccine and false()) and not($obsolete-warning)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Current Medications on Discharge - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the value does not seem to be applicable for the data element.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the medications that the consumer will commence or         continue to use on discharge include those that are continued unchanged or continued with some changes on discharge. The text must include         the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See section 5.2 of the Discharge Summary Structured Document Template v3.3.)')" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $obsolete-warning ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$obsolete-warning">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Current Medications on Discharge - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the name may not be applicable for the data element.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> and the
		<xsl:text /><xsl:value-of select="if ($display-obsolete-date != '') then concat('name of the therapeutic good was last used ', $display-obsolete-date)   else if ($obsolete-tgi-info/@name) then concat('therapeutic good ''', $obsolete-tgi-info/@name, ''' was last available ', $display-obsolete-date)    else if ($obsolete-without-date) then 'name of the therapeutic good is no longer used ' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($obsolete-tgi-info/@reason) then concat(' because ', $obsolete-tgi-info/@reason, '.') else '.' " /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medications that the consumer will commence or         continue to use on discharge include those that are continued unchanged or continued with some changes on discharge. The text must include         the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See section 5.2 of the Discharge Summary Structured Document Template v3.3.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		<xsl:text /><xsl:value-of select="$creation-date-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $obsolete-error ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$obsolete-error">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Current Medications on Discharge - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the name is not applicable for the data element.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> and the
		<xsl:text /><xsl:value-of select="if ($display-obsolete-date != '') then concat('name of the therapeutic good was last used ', $display-obsolete-date)   else if ($obsolete-tgi-info/@name) then concat('therapeutic good ''', $obsolete-tgi-info/@name, ''' was last available ', $display-obsolete-date)    else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($obsolete-tgi-info/@reason) then concat(' because ', $obsolete-tgi-info/@reason, '.') else '.' " /><xsl:text />
		That was <xsl:text /><xsl:value-of select="if (contains(string($obsolete-yrs-ago), '.')) then substring-before(string($obsolete-yrs-ago), '.') else $obsolete-yrs-ago " /><xsl:text /> years before the
		<xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medications that the consumer will commence or         continue to use on discharge include those that are continued unchanged or continued with some changes on discharge. The text must include         the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See section 5.2 of the Discharge Summary Structured Document Template v3.3.)'))" /><xsl:text /><xsl:text /><xsl:value-of select="$creation-date-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'exclusion' = 'allowed' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'exclusion' = 'allowed' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Current Medications on Discharge - Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the data element does not have a proper value. <xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medications that the consumer will commence or         continue to use on discharge include those that are continued unchanged or continued with some changes on discharge. The text must include         the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See section 5.2 of the Discharge Summary Structured Document Template v3.3.)'))" /><xsl:text />
		The Current Medications on Discharge - Therapeutic Good Identification data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'exclusion' = 'exclusion' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'exclusion' = 'exclusion' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Current Medications on Discharge - Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medications that the consumer will commence or         continue to use on discharge include those that are continued unchanged or continued with some changes on discharge. The text must include         the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See section 5.2 of the Discharge Summary Structured Document Template v3.3.)'))" /><xsl:text />
		The Current Medications on Discharge - Therapeutic Good Identification data element must have a value that is consistent with this definition. Alternatively if there is no Current Medications on Discharge - Therapeutic Good Identification data element with a proper value then an exclusion
		statement must be included to state why there is no Current Medications on Discharge - Therapeutic Good Identification. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4')    then concat('Text such as ''', dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'), ''' may be permitted in the narrative even though the Current Medications on Discharge - Therapeutic Good Identification data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'exclusion' = 'unknown' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'exclusion' = 'unknown' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Current Medications on Discharge - Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the data element does not have a proper value. <xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medications that the consumer will commence or         continue to use on discharge include those that are continued unchanged or continued with some changes on discharge. The text must include         the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See section 5.2 of the Discharge Summary Structured Document Template v3.3.)'))" /><xsl:text />
		The Current Medications on Discharge - Therapeutic Good Identification data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($der-text-non-value) and $der-invalid-text ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($der-text-non-value) and $der-invalid-text">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Current Medications on Discharge - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />
		however the value is invalid. <xsl:text /><xsl:value-of select="$defn-invalid-rsn" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medications that the consumer will commence or         continue to use on discharge include those that are continued unchanged or continued with some changes on discharge. The text must include         the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See section 5.2 of the Discharge Summary Structured Document Template v3.3.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $a-vaccine and false() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$a-vaccine and false()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Current Medications on Discharge - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />
		which identifies a vaccine. <xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medications that the consumer will commence or         continue to use on discharge include those that are continued unchanged or continued with some changes on discharge. The text must include         the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See section 5.2 of the Discharge Summary Structured Document Template v3.3.)'))" /><xsl:text />
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.7 of the Medication Instruction and Action Detailed Clinical Model Specification v2.4,         which allows more reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $invalid-tgi and not($error-usingTS-9) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$invalid-tgi and not($error-usingTS-9)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
ZZZ
der-text '<xsl:text /><xsl:value-of select="$der-text" /><xsl:text />'
der-revised-text-1 '<xsl:text /><xsl:value-of select="$der-revised-text-1" /><xsl:text />'
der-revised-text-2 '<xsl:text /><xsl:value-of select="$der-revised-text-2" /><xsl:text />'
ZZZ
		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Current Medications on Discharge - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the value is invalid
		<xsl:text /><xsl:value-of select="if (exists($invalid-tgi-codes-h) or exists($invalid-tgi-codes-r)) then concat(' as it describes ',    iq:invalidityExplanationUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, $invalid-tgi-codes-h, $cd-definitions/meds/meds-invalid/hierarchy, $invalid-tgi-codes-r, $cd-definitions/meds/meds-invalid/refset), '.')   else '.' " /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medications that the consumer will commence or         continue to use on discharge include those that are continued unchanged or continued with some changes on discharge. The text must include         the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See section 5.2 of the Discharge Summary Structured Document Template v3.3.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable outside the applicable value domain): The Current Medications on Discharge - Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. The following codes were obtained and are not in the value domain:
		<xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-TGI-Defn): The Current Medications on Discharge - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU and no associated code was found in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists(($der-NAF-active-codes, $undetermined-NAF-active-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists(($der-NAF-active-codes, $undetermined-NAF-active-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-TGI-Defn): The Current Medications on Discharge - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-active-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the
		'<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU but it was not found with this status in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.
		<xsl:text /><xsl:value-of select="if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and ($valid-tgi-1 or $a-vaccine-2 or (not($valid-tgi-5) and $valid-tgi-6))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and ($valid-tgi-1 or $a-vaccine-2 or (not($valid-tgi-5) and $valid-tgi-6))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable within the value domain): The Current Medications on Discharge - Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> which matches
		<xsl:text /><xsl:value-of select="if ($a-vaccine-1) then 'one of the terms listed in Knowledge.xml' else 'the vaccine information in CodeSystems.xml' " /><xsl:text /> for the Current Medications on Discharge - Therapeutic Good Identification.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(exists($valid-class)) and $class-not-completed and not($class-tp-error or $class-error-10) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(exists($valid-class)) and $class-not-completed and not($class-tp-error or $class-error-10)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: The Current Medications on Discharge - Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. <xsl:text /><xsl:value-of select="if ($code-to-assess = '') then 'No code could be found for the medicine.'    else if ($value-domain = '') then concat('The code ''', $code-to-assess, ''' was found to apply to the medicine by applying the terminology server using the ''', $ts-current-sctau,   ''' version of SNOMED CT-AU but the code was not found in the Validator''s database using the ''', $v-current-sctau, ''' version of SNOMED CT-AU.',   if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '')   else concat('This is a ', $value-domain,    if ($value-domain = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)')) then    concat(' (with medicinal product ''', $third-pass, ''').')    else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)'))    then concat(' (with trade product ''', $class-tp, ''').')    else '.') " /><xsl:text /> The classification of this medicine could not be completed.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists($valid-class) and not($class-tp-error or $class-error-11) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists($valid-class) and not($class-tp-error or $class-error-11)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: The Current Medications on Discharge - Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This <xsl:text /><xsl:value-of select="if (not($value-domain = ('Containered Trade Product Pack (CTPP)',    'Trade Product Pack (TPP)', 'Trade Product (TP)', 'Trade Product Unit of Use (TPUU)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Medicinal Product (MP)')))    then '' else concat('is a ', $value-domain, ' which')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($value-domain = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)')) then concat(' (with medicinal product ''', $third-pass, ''') which')   else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)'))    then concat(' (with trade product ''', $class-tp, ''') which') else '' " /><xsl:text />
		identifies a type of <xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($valid-class, ' and '), $markup-pattern-replacement, 'ic')" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (concept is codeable within the value domain): The Current Medications on Discharge - Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> which is a valid value for the Current Medications on Discharge - Therapeutic Good Identification.
		SNOMED CT-AU codes that matched the concept are: <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Current Medications on Discharge - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The text used to match regular expression (der-text-2) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to match non-values and vaccines (der-text-to-match) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-to-match, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to derive a code (der-text) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.

		<xsl:text /><xsl:value-of select="if ($use-revised-text-1) then concat(' A first revision of the text (der-revised-text-1) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-1, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A first revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-1 != '' and $der-revised-text-1 = '') then ' revision-pattern-1 was applied but the output (der-revised-text-1) was an empty string.' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($use-revised-text-2) then concat(' A second revision of the text (der-revised-text-2) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A second revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-2 != '' and $der-revised-text-2 = '') then ' revision-pattern-2 was applied but the output (der-revised-text-2) was an empty string.' else '' " /><xsl:text />

		The SNOMED CT-AU version used to find codes is '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' and the maximum code number is '<xsl:text /><xsl:value-of select="$max-code-number" /><xsl:text />'.

		Codes for related terms (related-terms-2): '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($related-terms-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes for related terms (der-valid-codes-1): 
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-1, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-tgi-codes-2) returned by the terminology server that match the text:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-tgi-codes-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes from related terms or the terminology server (der-valid-codes-2):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-2, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-inactive-codes-3) returned from the Validator's database associated with inactive codes:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-inactive-codes-3, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes found after examining inactive codes (der-valid-codes-3):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-3, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Members of invalid reference sets (invalid-tgi-codes-r): '<xsl:text /><xsl:value-of select="$display-in-other-r" /><xsl:text />'.
		Members of invalid code hierarchies (invalid-tgi-codes-h): '<xsl:text /><xsl:value-of select="$display-in-other-h" /><xsl:text />'.

		Final set of valid codes (der-valid-codes-4): <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.
		
		Codes whose validity has not been determined (der-tgi-codes-5): <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.
		Codes whose validity has not been determined and are inactive with no associated code (undetermined-NAF): '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(    string-join($undetermined-NAF, ''', '''), $markup-pattern-replacement, 'ic')" /><xsl:text />'.

		Result of the second vaccination code test (a-vaccine-2): '<xsl:text /><xsl:value-of select="$a-vaccine-2" /><xsl:text />'.
		Vaccine codes (vaccine-code-test):  '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($vaccine-code-test, '; '), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Overall result of the vaccination test (a-vaccine): '<xsl:text /><xsl:value-of select="$a-vaccine" /><xsl:text />'.

		Will the value of the data element be trusted (der-trusted-text)? '<xsl:text /><xsl:value-of select="$der-trusted-text" /><xsl:text />'.
		
	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and $codes-not-found">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept not codeable): The Current Medications on Discharge - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($avoid-ts) then 'The terminology server was not used to assist with finding codes corresponding to text in the data element. ' else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $prose-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $prose-err">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Current Medications on Discharge - Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> which is invalid as it is prose text.
		The Current Medications on Discharge - Therapeutic Good Identification data element is CodeableText derived from the HL7 CD data type which by definition is to record a concept defined in an external code system, terminology or ontology.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medications that the consumer will commence or         continue to use on discharge include those that are continued unchanged or continued with some changes on discharge. The text must include         the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See section 5.2 of the Discharge Summary Structured Document Template v3.3.)'))" /><xsl:text />
		This finding will also be reported as an error.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M229" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M229" />
  <xsl:template match="@*|node()" priority="-2" mode="M229">
    <xsl:apply-templates select="@*|*" mode="M229" />
  </xsl:template>
  <!--PATTERN p-TS-CurrMed-CodeableText-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16146.4.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1']]/   cda:entry/cda:substanceAdministration/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M230">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16146.4.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1']]/   cda:entry/cda:substanceAdministration/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Current Medications on Discharge - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Current Medications on Discharge - Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Current Medications on Discharge - Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Current Medications on Discharge - Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Current Medications on Discharge - Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Current Medications on Discharge - Therapeutic Good Identification has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Current Medications on Discharge - Therapeutic Good Identification data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Current Medications on Discharge - Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Current Medications on Discharge - Therapeutic Good Identification data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Current Medications on Discharge - Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Current Medications on Discharge - Therapeutic Good Identification data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Current Medications on Discharge - Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Current Medications on Discharge - Therapeutic Good Identification data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Current Medications on Discharge - Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Current Medications on Discharge - Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Current Medications on Discharge - Therapeutic Good Identification data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Current Medications on Discharge - Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Current Medications on Discharge - Therapeutic Good Identification data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Current Medications on Discharge - Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Current Medications on Discharge - Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Current Medications on Discharge - Therapeutic Good Identification data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Current Medications on Discharge - Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Current Medications on Discharge - Therapeutic Good Identification data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Current Medications on Discharge - Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Current Medications on Discharge - Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M230" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M230" />
  <xsl:template match="@*|node()" priority="-2" mode="M230">
    <xsl:apply-templates select="@*|*" mode="M230" />
  </xsl:template>
  <!--PATTERN p-TS-CurrMed-CodeableText-5-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16146.4.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1']]/cda:entry/   cda:substanceAdministration/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code " priority="1000" mode="M231">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16146.4.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1']]/cda:entry/   cda:substanceAdministration/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code " />
    <xsl:variable name="hist-vers-1" select="tokenize($ts-snomedctau-pre-ordered, '\|')" />
    <xsl:variable name="pcode" select="if (not(@code)) then ''        else if (@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)) then @code        else '' " />
    <xsl:variable name="pname-to-test" select="@codeSystem = '2.16.840.1.113883.6.96' and @displayName and $pcode != '' " />
    <xsl:variable name="psctau-version" select="if (exists(@codeSystemVersion) and matches(@codeSystemVersion, $snomedctau-version-regex)) then @codeSystemVersion else '' " />
    <xsl:variable name="psnomed-id" select="if (not($pname-to-test) or not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion) and          dh:IsFirstDateEarlierThanSecondDate($creation-date, substring-after($first-amt-in-sctau, '/version/')) = '1') then 'amtv3'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (not($psctau-version = '')) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="psnomed-type" select="if ($psnomed-id = 'amtv3') then 'AMT v3'        else if ($psnomed-id = 'snomedctau') then 'SNOMED CT-AU'        else if ($psnomed-id = 'snomedct') then 'SNOMED CT'        else '' " />
    <xsl:variable name="pvers-old" select="if ($psnomed-id = 'snomedctau' and @codeSystemVersion) then not(exists($ts-snomedctau[. = current()/@codeSystemVersion]))        else if ($psnomed-id = 'snomedctau' and $creation-date != '' and $ts-earliest-sctau-date != '') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $ts-earliest-sctau-date) = '1'         else if ($psnomed-id = 'amtv3' and @codeSystemVersion) then not(exists($v-amtv3[. = current()/@codeSystemVersion]))        else if ($psnomed-id = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '1'         else false() " />
    <xsl:variable name="psctau-ts" select="if ($psctau-version = '' or not($pvers-old)) then '' else substring-after($psctau-version, '/version/') " />
    <xsl:variable name="psctau-ts-xs" select="if ($psctau-ts = '') then '' else concat(substring($psctau-ts, 1, 4), '-', substring($psctau-ts, 5, 2), '-', substring($psctau-ts, 7, 2))" />
    <xsl:variable name="psctau-ts-1" select="if ($psctau-ts = '' or not($psctau-ts-xs castable as xs:date)) then '' else string($sctau-last-xs - xs:date($psctau-ts-xs)) " />
    <xsl:variable name="psctau-ts-2" select="if ($psctau-ts-1 = '' or not(matches($psctau-ts-1, '^P[0-9]+D'))) then '' else substring-before(substring-after($psctau-ts-1, 'P'), 'D') " />
    <xsl:variable name="psctau-ts-63-err" select="$psctau-ts-2 != '' and $psctau-ts-2 &gt; $sctau-acceptable-age  " />
    <xsl:variable name="ts-psnomed-version" select="if (not($pname-to-test) or not($psnomed-id = 'snomedctau')) then ''        else if (not(@codeSystemVersion)) then $ts-latest-snomedctau        else if ($psnomed-id = 'snomedctau' and @codeSystemVersion and not($pvers-old)) then @codeSystemVersion        else if ($pvers-old and $ts-earliest-sctau-date != '') then concat('http://snomed.info/sct/32506021000036107/version/', $ts-earliest-sctau-date)        else $ts-latest-snomedctau " />
    <xsl:variable name="v-psnomed-version" select="if (not($psnomed-id = 'amtv3')) then ''        else if (@codeSystemVersion and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($pvers-old) then concat('http://snomed.info/sct/900062011000036108/version/', $v-earliest-amtv3-date)        else $v-latest-amtv3 " />
    <xsl:variable name="test-pname" select="$pname-to-test and not($ts-psnomed-version = '' and $v-psnomed-version = '') and not($psctau-ts-63-err)" />
    <xsl:variable name="p-term-actual-1" select="if ($test-pname and $use-ts-for-sctau and $psnomed-id = 'snomedctau')        then dh:FindPreferredTermUsingTS($pcode, '2.16.840.1.113883.6.96', $ts-psnomed-version)        else if ($test-pname and exists($v-amtv3) and $psnomed-id = 'amtv3')        then replace(dh:FindPreferredTermAndCaseSignificance($pcode, '2.16.840.1.113883.6.96', $v-psnomed-version), '\|.*$', '', 'is')       else '' " />
    <xsl:variable name="error-usingTS-1" select="$p-term-actual-1 = 'Error' " />
    <xsl:variable name="p-term-actual" select="if ($p-term-actual-1 = ('CodeNotFound', 'Error')) then '' else $p-term-actual-1 " />
    <xsl:variable name="pname-invalid" select="$test-pname and $p-term-actual != '' and lower-case($p-term-actual) != lower-case(@displayName) " />
    <xsl:variable name="phist-search" select="$test-pname and $pname-invalid and $ts-snomedctau-pre-ordered != '' " />
    <xsl:variable name="phist-vers-2" select="if ($phist-search) then index-of($hist-vers-1, substring-after($ts-psnomed-version, 'version/')) else () " />
    <xsl:variable name="phist-vers-3" select="if (exists($phist-vers-2) and count($hist-vers-1) &gt; $phist-vers-2[1]) then $hist-vers-1[$phist-vers-2[1] + 1] else '' " />
    <xsl:variable name="phist-vers-4" select="if ($phist-vers-3 = '') then '' else concat('http://snomed.info/sct/32506021000036107/version/', $phist-vers-3) " />
    <xsl:variable name="phist-vers-5" select="if ($phist-vers-4 != '' and $use-ts-for-sctau)         then dh:FindLatestVersionWhereDisplaynameMatchUsingTS($pcode, '2.16.840.1.113883.6.96', $phist-vers-4, @displayName, false()) else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or $phist-vers-5 = 'Error' " />
    <xsl:variable name="phist-vers-found-1" select="matches($phist-vers-5, 'http') " />
    <xsl:variable name="pcode-pterm-date-1" select="if (not($pname-invalid) or $phist-vers-found-1) then '' else dh:LatestDateForPreferredTerm($pcode, '2.16.840.1.113883.6.96', $v-latest-snomedctau) " />
    <xsl:variable name="error-pcode-pterm-date" select="'Error' = $pcode-pterm-date-1" />
    <xsl:variable name="pcode-pterm-date-2" select="if (matches($pcode-pterm-date-1, '^[0-9]{8}\|')) then substring-before($pcode-pterm-date-1, '|') else '' " />
    <xsl:variable name="pcode-pterm-date-est" select="$pcode-pterm-date-2 != '' and dh:IsFirstDateEarlierThanSecondDate($creation-date, $pcode-pterm-date-2) = '0' " />
    <xsl:variable name="pcode-pterm-date" select="if ($pcode-pterm-date-est) then $pcode-pterm-date-2 else '' " />
    <xsl:variable name="phist-vers-6" select="if ($phist-vers-5 = 'PreferredTermNeverMatches' and not($pcode-pterm-date-est) and matches($pcode, $sctau-namespace-id-regex))         then dh:IsCodePreferredTermInTerminologyValid($pcode, '2.16.840.1.113883.6.96', $v-latest-amtv3, @displayName)        else '' " />
    <xsl:variable name="phist-vers-found-2" select="$phist-vers-6 = 'PreferredTermMatch' " />
    <xsl:variable name="phist-vers-7" select="if ($phist-vers-6 = 'PreferredTermMismatch' and not($pcode-pterm-date-est) and $v-latest-amtv2 = $last-amtv2)         then dh:IsCodePreferredTermInTerminologyValid($pcode, '1.2.36.1.2001.1004.100', $last-amtv2, @displayName)        else '' " />
    <xsl:variable name="phist-vers-found-3" select="$phist-vers-7 = 'PreferredTermMatch' " />
    <xsl:variable name="phist-vers-found" select="$phist-vers-found-1 or $phist-vers-found-2 or $phist-vers-found-3 or $pcode-pterm-date-est " />
    <xsl:variable name="phist-vers-date" select="if ($phist-vers-found-1) then substring-after($phist-vers-5, 'http://snomed.info/sct/32506021000036107/version/')         else if ($phist-vers-found-2) then substring-after($v-latest-amtv3, 'http://snomed.info/sct/900062011000036108/version/')        else if ($phist-vers-found-3) then $last-amtv2-date        else if ($pcode-pterm-date-est) then $pcode-pterm-date        else '' " />
    <xsl:variable name="phist-last-diff" select="if ($sctau-last = '' or $phist-vers-date = '') then ''        else iq:display-date-diff($phist-vers-date, $sctau-last)[2] " />
    <xsl:variable name="phist-last-old" select="$phist-last-diff != '' and not(number($phist-last-diff) &lt; $sctau-acceptable-age) " />
    <xsl:variable name="p-term-found-in" select="if ($phist-vers-found-1) then 'last used in the version of SNOMED CT-AU'        else if ($phist-vers-found-2) then 'used in the version of AMT v3'        else if ($phist-vers-found-3) then 'used in the version of AMT v2'        else '' " />
    <xsl:variable name="phist-last-msg" select="if ($pcode-pterm-date-est) then concat(' The preferred term was last changed in the version of SNOMED CT-AU published ',          iq:display-date($phist-vers-date),          ' so if the value of the displayName was ever valid then it must be before then. ',          'That version was published ', $phist-last-diff, ' days before the version of SNOMED CT-AU published immediately prior to the date ''',         /cda:ClinicalDocument/cda:effectiveTime/@value, ''' that this ', $document-name,          ' was created. SNOMED CT-AU is published monthly and the Australian National Terminology Licence Agreement requires the copy used ',         'in healthcare software systems (live or production environments) to be updated within 30 days of the National Terminology release.')         else if (not($phist-last-old) or $p-term-found-in = '') then ''        else concat(' The value of the displayName was ', $p-term-found-in,          ' published on the ', iq:display-date($phist-vers-date), '. That version was published ', $phist-last-diff,          ' days before the version of SNOMED CT-AU published immediately prior to the date the ', $document-name,          ' was created. SNOMED CT-AU is published monthly and the Australian National Terminology Licence Agreement requires the copy used in',         ' healthcare software systems (live or production environments) to be updated within 30 days of the National Terminology release.') " />
    <xsl:variable name="p-date-required" select="if (not($pname-invalid)) then ''        else if (@codeSystemVersion and matches(@codeSystemVersion, $snomed-version-regex-1)) then substring-after(@codeSystemVersion, '/version/')        else if ($creation-date-est) then ''        else $creation-date " />
    <xsl:variable name="p-date-diff" select="if ($p-date-required = '' or         not(dh:IsFirstDateEarlierThanSecondDate(substring-after($ts-psnomed-version, '/version/'), $p-date-required) = '1')) then ()        else iq:display-date-diff(substring-after($ts-psnomed-version, '/version/'), $p-date-required)" />
    <xsl:variable name="p-old-ts-version" select="exists($p-date-diff) and number($p-date-diff[2]) &gt; 31 " />
    <xsl:variable name="snomed-trans-1" select="if (cda:translation) then cda:translation[@displayName and @codeSystem = '2.16.840.1.113883.6.96' and @code and         matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="snomed-trans-2" select="distinct-values(for $trans in $snomed-trans-1 return $trans/@code) " />
    <xsl:variable name="snomed-trans-a" select="if (exists($snomed-trans-1)) then $snomed-trans-1[1] else () " />
    <xsl:variable name="tcode-a" select="if (exists($snomed-trans-a)) then $snomed-trans-a/@code else '' " />
    <xsl:variable name="tname-a-to-test" select="$tcode-a != '' and $snomed-trans-a/@displayName " />
    <xsl:variable name="tsctau-version-a" select="if (exists($snomed-trans-a/@codeSystemVersion) and matches($snomed-trans-a/@codeSystemVersion, $snomedctau-version-regex)) then $snomed-trans-a/@codeSystemVersion else '' " />
    <xsl:variable name="tsnomed-id-a" select="if (not($tname-a-to-test)) then 'none'        else if (not($snomed-trans-a/@codeSystemVersion) and          dh:IsFirstDateEarlierThanSecondDate($creation-date, substring-after($first-amt-in-sctau, '/version/')) = '1') then 'amtv3'        else if (not($snomed-trans-a/@codeSystemVersion)) then 'snomedctau'        else if (not($tsctau-version-a = '')) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-a/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="tsnomed-a-type" select="if ($tsnomed-id-a = 'amtv3') then 'AMT v3'        else if ($tsnomed-id-a = 'snomedctau') then 'SNOMED CT-AU'        else if ($tsnomed-id-a = 'snomedct') then 'SNOMED CT'        else '' " />
    <xsl:variable name="t-vers-a-old" select="if ($tsnomed-id-a = 'snomedctau' and $snomed-trans-a/@codeSystemVersion) then not(exists($ts-snomedctau[. = $snomed-trans-a/@codeSystemVersion]))         else if ($tsnomed-id-a = 'snomedctau' and $creation-date != '' and $ts-earliest-sctau-date != '') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $ts-earliest-sctau-date) = '1'         else if ($tsnomed-id-a = 'amtv3' and $snomed-trans-a/@codeSystemVersion) then not(exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion]))        else if ($tsnomed-id-a = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '1'         else false() " />
    <xsl:variable name="tsctau-ts-a" select="if ($tsctau-version-a = '' or not($t-vers-a-old)) then '' else substring-after($tsctau-version-a, '/version/') " />
    <xsl:variable name="tsctau-ts-a-xs" select="if ($tsctau-ts-a = '') then '' else concat(substring($tsctau-ts-a, 1, 4), '-', substring($tsctau-ts-a, 5, 2), '-', substring($tsctau-ts-a, 7, 2))" />
    <xsl:variable name="tsctau-ts-a-1" select="if ($tsctau-ts-a = '' or not($tsctau-ts-a-xs castable as xs:date)) then '' else string($sctau-last-xs - xs:date($tsctau-ts-a-xs)) " />
    <xsl:variable name="tsctau-ts-a-2" select="if ($tsctau-ts-a-1 = '' or not(matches($tsctau-ts-a-1, '^P[0-9]+D'))) then '' else substring-before(substring-after($tsctau-ts-a-1, 'P'), 'D') " />
    <xsl:variable name="tsctau-ts-a-63-err" select="$tsctau-ts-a-2 != '' and $tsctau-ts-a-2 &gt; $sctau-acceptable-age  " />
    <xsl:variable name="ts-tsnomed-version-a" select="if (not($tname-a-to-test) or not($tsnomed-id-a = 'snomedctau')) then ''        else if (not($snomed-trans-a/@codeSystemVersion)) then $ts-latest-snomedctau        else if ($tsnomed-id-a = 'snomedctau' and $snomed-trans-a/@codeSystemVersion and not($t-vers-a-old)) then $snomed-trans-a/@codeSystemVersion        else if ($t-vers-a-old and $ts-earliest-sctau-date != '') then concat('http://snomed.info/sct/32506021000036107/version/', $ts-earliest-sctau-date)        else $ts-latest-snomedctau " />
    <xsl:variable name="v-tsnomed-version-a" select="if (not($tsnomed-id-a = 'amtv3')) then ''        else if ($snomed-trans-a/@codeSystemVersion and exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($t-vers-a-old) then concat('http://snomed.info/sct/900062011000036108/version/', $v-earliest-amtv3-date)        else $v-latest-amtv3 " />
    <xsl:variable name="test-tname-a" select="$tname-a-to-test and not($ts-tsnomed-version-a = '' and $v-tsnomed-version-a = '') and not($tsctau-ts-a-63-err) " />
    <xsl:variable name="t-a-term-actual-1" select="if ($test-tname-a and $use-ts-for-sctau and $tsnomed-id-a = 'snomedctau')         then dh:FindPreferredTermUsingTS($tcode-a, '2.16.840.1.113883.6.96', $ts-tsnomed-version-a)         else if ($test-tname-a and exists($v-amtv3) and $tsnomed-id-a = 'amtv3')         then replace(dh:FindPreferredTermAndCaseSignificance($tcode-a, '2.16.840.1.113883.6.96', $v-tsnomed-version-a), '\|.*$', '', 'is')        else '' " />
    <xsl:variable name="error-usingTS-3" select="$error-usingTS-2 or $t-a-term-actual-1 = 'Error' " />
    <xsl:variable name="t-a-term-actual" select="if ($t-a-term-actual-1 = 'CodeNotFound' or $t-a-term-actual-1 = 'Error') then '' else $t-a-term-actual-1 " />
    <xsl:variable name="tname-a-invalid" select="$test-tname-a and $t-a-term-actual != '' and lower-case($t-a-term-actual) != lower-case($snomed-trans-a/@displayName) " />
    <xsl:variable name="thist-a-search" select="$test-tname-a and $tname-a-invalid and $ts-snomedctau-pre-ordered != '' " />
    <xsl:variable name="thist-a-vers-2" select="if ($thist-a-search) then index-of($hist-vers-1, substring-after($ts-tsnomed-version-a, 'version/')) else () " />
    <xsl:variable name="thist-a-vers-3" select="if (exists($thist-a-vers-2) and count($hist-vers-1) &gt; $thist-a-vers-2[1]) then $hist-vers-1[$thist-a-vers-2[1] + 1] else '' " />
    <xsl:variable name="thist-a-vers-4" select="if ($thist-a-vers-3 = '') then '' else concat('http://snomed.info/sct/32506021000036107/version/', $thist-a-vers-3) " />
    <xsl:variable name="thist-a-vers-5" select="if ($thist-a-vers-4 != '' and $use-ts-for-sctau)         then dh:FindLatestVersionWhereDisplaynameMatchUsingTS($tcode-a, '2.16.840.1.113883.6.96', $thist-a-vers-4, $snomed-trans-a/@displayName, false())         else '' " />
    <xsl:variable name="error-usingTS-4" select="$error-usingTS-3 or $thist-a-vers-5 = 'Error' " />
    <xsl:variable name="thist-a-vers-found-1" select="matches($thist-a-vers-5, 'http') " />
    <xsl:variable name="tcode-a-pterm-date-1" select="if (not($tname-a-invalid) or $thist-a-vers-found-1) then ''          else dh:LatestDateForPreferredTerm($tcode-a, '2.16.840.1.113883.6.96', $v-latest-snomedctau) " />
    <xsl:variable name="error-tcode-a-pterm-date" select="'Error' = $tcode-a-pterm-date-1" />
    <xsl:variable name="tcode-a-pterm-date-2" select="if (matches($tcode-a-pterm-date-1, '^[0-9]{8}\|')) then substring-before($tcode-a-pterm-date-1, '|') else '' " />
    <xsl:variable name="tcode-a-pterm-date-est" select="$tcode-a-pterm-date-2 != '' and dh:IsFirstDateEarlierThanSecondDate($creation-date, $tcode-a-pterm-date-2) = '0' " />
    <xsl:variable name="tcode-a-pterm-date" select="if ($tcode-a-pterm-date-est) then $tcode-a-pterm-date-2 else '' " />
    <xsl:variable name="thist-a-vers-6" select="if ($thist-a-vers-5 = 'PreferredTermNeverMatches' and not($tcode-a-pterm-date-est) and matches($tcode-a, $sctau-namespace-id-regex))         then dh:IsCodePreferredTermInTerminologyValid($tcode-a, '2.16.840.1.113883.6.96', $v-latest-amtv3, $snomed-trans-a/@displayName)        else '' " />
    <xsl:variable name="thist-a-vers-found-2" select="$thist-a-vers-6 = 'PreferredTermMatch' " />
    <xsl:variable name="thist-a-vers-7" select="if ($thist-a-vers-6 = 'PreferredTermMismatch' and not($tcode-a-pterm-date-est) and $v-latest-amtv2 = $last-amtv2)         then dh:IsCodePreferredTermInTerminologyValid($tcode-a, '1.2.36.1.2001.1004.100', $last-amtv2, $snomed-trans-a/@displayName)        else '' " />
    <xsl:variable name="thist-a-vers-found-3" select="$thist-a-vers-7 = 'PreferredTermMatch' " />
    <xsl:variable name="thist-a-vers-found" select="$thist-a-vers-found-1 or $thist-a-vers-found-2 or $thist-a-vers-found-3 or $tcode-a-pterm-date-est " />
    <xsl:variable name="thist-a-vers-date" select="if ($thist-a-vers-found-1) then substring-after($thist-a-vers-5, 'http://snomed.info/sct/32506021000036107/version/')         else if ($thist-a-vers-found-2) then substring-after($v-latest-amtv3, 'http://snomed.info/sct/900062011000036108/version/')        else if ($thist-a-vers-found-3) then $last-amtv2-date        else if ($tcode-a-pterm-date-est) then $tcode-a-pterm-date        else '' " />
    <xsl:variable name="thist-a-last-diff" select="if ($sctau-last = '' or $thist-a-vers-date = '') then ''        else iq:display-date-diff($thist-a-vers-date, $sctau-last)[2] " />
    <xsl:variable name="thist-a-last-old" select="$thist-a-last-diff != '' and not(number($thist-a-last-diff) &lt; $sctau-acceptable-age) " />
    <xsl:variable name="t-a-term-found-in" select="if ($thist-a-vers-found-1) then 'last used in the version of SNOMED CT-AU'        else if ($thist-a-vers-found-2) then 'used in the version of AMT v3'        else if ($thist-a-vers-found-3) then 'used in the version of AMT v2'        else '' " />
    <xsl:variable name="thist-a-last-msg" select="if ($tcode-a-pterm-date-est) then concat(' The preferred term was last changed in the version of SNOMED CT-AU published ',          iq:display-date($thist-a-vers-date),          ' so if the value of the translation code displayName was ever valid then it must be before then. ',          'That version was published ', $thist-a-last-diff, ' days before the version of SNOMED CT-AU published immediately prior to the date ''',         /cda:ClinicalDocument/cda:effectiveTime/@value, ''' that this ', $document-name,          ' was created. SNOMED CT-AU is published monthly and the Australian National Terminology Licence Agreement requires the copy used ',         'in healthcare software systems (live or production environments) to be updated within 30 days of the National Terminology release.')         else if (not($thist-a-last-old) or $t-a-term-found-in = '') then ''           else concat(' The value of the translation code displayName was ', $t-a-term-found-in, ' published on the ', iq:display-date($thist-a-vers-date),         '. That version was published ', $thist-a-last-diff, ' days before the version of SNOMED CT-AU published immediately prior to the date the ',        $document-name, ' was created. SNOMED CT-AU is published monthly and the Australian National Terminology Licence Agreement requires ',        'the copy used in healthcare software systems (live or production environments) to be updated within 30 days of the National Terminology release.')" />
    <xsl:variable name="tr-a-date-required" select="if (not($tname-a-invalid)) then ''        else if ($snomed-trans-a/@codeSystemVersion and matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1))          then substring-after($snomed-trans-a/@codeSystemVersion, '/version/')        else if ($creation-date-est) then ''        else $creation-date " />
    <xsl:variable name="tr-a-date-diff" select="if ($tr-a-date-required = '' or         not(dh:IsFirstDateEarlierThanSecondDate(substring-after($ts-tsnomed-version-a, '/version/'), $tr-a-date-required) = '1')) then ()        else iq:display-date-diff(substring-after($ts-tsnomed-version-a, '/version/'), $tr-a-date-required)" />
    <xsl:variable name="tr-a-old-ts-version" select="exists($tr-a-date-diff) and number($tr-a-date-diff[2]) &gt; 31 " />
    <xsl:variable name="snomed-trans-b" select="if (exists($snomed-trans-1)) then $snomed-trans-1[@code and not(@code = $tcode-a)] else () " />
    <xsl:variable name="tcode-b" select="if (exists($snomed-trans-b)) then $snomed-trans-b/@code else '' " />
    <xsl:variable name="tname-b-to-test" select="$tcode-b != '' and $snomed-trans-b/@displayName " />
    <xsl:variable name="tsctau-version-b" select="if (exists($snomed-trans-b/@codeSystemVersion) and matches($snomed-trans-b/@codeSystemVersion, $snomedctau-version-regex)) then $snomed-trans-b/@codeSystemVersion else '' " />
    <xsl:variable name="tsnomed-id-b" select="if (not($tname-b-to-test)) then 'none'        else if (not($snomed-trans-b/@codeSystemVersion) and          dh:IsFirstDateEarlierThanSecondDate($creation-date, substring-after($first-amt-in-sctau, '/version/')) = '1') then 'amtv3'        else if (not($snomed-trans-b/@codeSystemVersion)) then 'snomedctau'        else if (not($tsctau-version-b = '')) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-b/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="tsnomed-b-type" select="if ($tsnomed-id-b = 'amtv3') then 'AMT v3'        else if ($tsnomed-id-b = 'snomedctau') then 'SNOMED CT-AU'        else if ($tsnomed-id-b = 'snomedct') then 'SNOMED CT'        else '' " />
    <xsl:variable name="t-vers-b-old" select="if ($tsnomed-id-b = 'snomedctau' and $snomed-trans-b/@codeSystemVersion) then not(exists($ts-snomedctau[. = $snomed-trans-b/@codeSystemVersion]))         else if ($tsnomed-id-b = 'snomedctau' and $creation-date != '' and $ts-earliest-sctau-date != '') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $ts-earliest-sctau-date) = '1'         else if ($tsnomed-id-b = 'amtv3' and $snomed-trans-b/@codeSystemVersion) then not(exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion]))        else if ($tsnomed-id-b = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '1'         else false() " />
    <xsl:variable name="tsctau-ts-b" select="if ($tsctau-version-b = '' or not($t-vers-b-old)) then '' else substring-after($tsctau-version-b, '/version/') " />
    <xsl:variable name="tsctau-ts-b-xs" select="if ($tsctau-ts-b = '') then '' else concat(substring($tsctau-ts-b, 1, 4), '-', substring($tsctau-ts-b, 5, 2), '-', substring($tsctau-ts-b, 7, 2))" />
    <xsl:variable name="tsctau-ts-b-1" select="if ($tsctau-ts-b = '' or not($tsctau-ts-b-xs castable as xs:date)) then '' else string($sctau-last-xs - xs:date($tsctau-ts-b-xs)) " />
    <xsl:variable name="tsctau-ts-b-2" select="if ($tsctau-ts-b-1 = '' or not(matches($tsctau-ts-b-1, '^P[0-9]+D'))) then '' else substring-before(substring-after($tsctau-ts-b-1, 'P'), 'D') " />
    <xsl:variable name="tsctau-ts-b-63-err" select="$tsctau-ts-b-2 != '' and $tsctau-ts-b-2 &gt; $sctau-acceptable-age  " />
    <xsl:variable name="ts-tsnomed-version-b" select="if (not($tname-b-to-test) or not($tsnomed-id-b = 'snomedctau')) then ''        else if (not($snomed-trans-b/@codeSystemVersion)) then $ts-latest-snomedctau        else if ($tsnomed-id-b = 'snomedctau' and $snomed-trans-b/@codeSystemVersion and not($t-vers-b-old)) then $snomed-trans-b/@codeSystemVersion        else if ($t-vers-b-old and $ts-earliest-sctau-date != '') then concat('http://snomed.info/sct/32506021000036107/version/', $ts-earliest-sctau-date)        else $ts-latest-snomedctau " />
    <xsl:variable name="v-tsnomed-version-b" select="if (not($tsnomed-id-b = 'amtv3')) then ''        else if ($snomed-trans-b/@codeSystemVersion and exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($t-vers-b-old) then concat('http://snomed.info/sct/900062011000036108/version/', $v-earliest-amtv3-date)        else $v-latest-amtv3 " />
    <xsl:variable name="test-tname-b" select="$tname-b-to-test and not($ts-tsnomed-version-b = '' and $v-tsnomed-version-b = '') and not($tsctau-ts-b-63-err) " />
    <xsl:variable name="t-b-term-actual-1" select="if ($test-tname-b and $use-ts-for-sctau and $tsnomed-id-b = 'snomedctau')        then dh:FindPreferredTermUsingTS($tcode-b, '2.16.840.1.113883.6.96', $ts-tsnomed-version-b)        else if ($test-tname-b and exists($v-amtv3) and $tsnomed-id-b = 'amtv3')        then replace(dh:FindPreferredTermAndCaseSignificance($tcode-b, '2.16.840.1.113883.6.96', $v-tsnomed-version-b), '\|.*$', '', 'is')       else '' " />
    <xsl:variable name="error-usingTS-5" select="$error-usingTS-4 or $t-b-term-actual-1 = 'Error' " />
    <xsl:variable name="t-b-term-actual" select="if ($t-b-term-actual-1 = 'CodeNotFound' or $t-b-term-actual-1 = 'Error') then '' else $t-b-term-actual-1 " />
    <xsl:variable name="tname-b-invalid" select="$test-tname-b and $t-b-term-actual != '' and lower-case($t-b-term-actual) != lower-case($snomed-trans-b/@displayName) " />
    <xsl:variable name="thist-b-search" select="$test-tname-b and $tname-b-invalid and $ts-snomedctau-pre-ordered != '' " />
    <xsl:variable name="thist-b-vers-2" select="if ($thist-b-search) then index-of($hist-vers-1, substring-after($ts-tsnomed-version-b, 'version/')) else () " />
    <xsl:variable name="thist-b-vers-3" select="if (exists($thist-b-vers-2) and count($hist-vers-1) &gt; $thist-b-vers-2[1]) then $hist-vers-1[$thist-b-vers-2[1] + 1] else '' " />
    <xsl:variable name="thist-b-vers-4" select="if ($thist-b-vers-3 = '') then '' else concat('http://snomed.info/sct/32506021000036107/version/', $thist-b-vers-3) " />
    <xsl:variable name="thist-b-vers-5" select="if ($thist-b-vers-4 != '' and $use-ts-for-sctau)         then dh:FindLatestVersionWhereDisplaynameMatchUsingTS($tcode-b, '2.16.840.1.113883.6.96', $thist-b-vers-4, $snomed-trans-b/@displayName, false())         else '' " />
    <xsl:variable name="error-usingTS-6" select="$error-usingTS-5 or $thist-b-vers-5 = 'Error' " />
    <xsl:variable name="thist-b-vers-found-1" select="matches($thist-b-vers-5, 'http') " />
    <xsl:variable name="tcode-b-pterm-date-1" select="if (not($tname-b-invalid) or $thist-b-vers-found-1) then ''          else dh:LatestDateForPreferredTerm($tcode-b, '2.16.840.1.113883.6.96', $v-latest-snomedctau) " />
    <xsl:variable name="error-tcode-b-pterm-date" select="'Error' = $tcode-b-pterm-date-1" />
    <xsl:variable name="tcode-b-pterm-date-2" select="if (matches($tcode-b-pterm-date-1, '^[0-9]{8}\|')) then substring-before($tcode-b-pterm-date-1, '|') else '' " />
    <xsl:variable name="tcode-b-pterm-date-est" select="$tcode-b-pterm-date-2 != '' and dh:IsFirstDateEarlierThanSecondDate($creation-date, $tcode-b-pterm-date-2) = '0' " />
    <xsl:variable name="tcode-b-pterm-date" select="if ($tcode-b-pterm-date-est) then $tcode-b-pterm-date-2 else '' " />
    <xsl:variable name="thist-b-vers-6" select="if ($thist-b-vers-5 = 'PreferredTermNeverMatches' and not($tcode-b-pterm-date-est) and matches($tcode-b, $sctau-namespace-id-regex))         then dh:IsCodePreferredTermInTerminologyValid($tcode-b, '2.16.840.1.113883.6.96', $v-latest-amtv3, $snomed-trans-b/@displayName)        else '' " />
    <xsl:variable name="thist-b-vers-found-2" select="$thist-b-vers-6 = 'PreferredTermMatch' " />
    <xsl:variable name="thist-b-vers-7" select="if ($thist-b-vers-6 = 'PreferredTermMismatch' and not($tcode-b-pterm-date-est) and $v-latest-amtv2 = $last-amtv2)         then dh:IsCodePreferredTermInTerminologyValid($tcode-b, '1.2.36.1.2001.1004.100', $last-amtv2, $snomed-trans-b/@displayName)        else '' " />
    <xsl:variable name="thist-b-vers-found-3" select="$thist-b-vers-7 = 'PreferredTermMatch' " />
    <xsl:variable name="thist-b-vers-found" select="$thist-b-vers-found-1 or $thist-b-vers-found-2 or $thist-b-vers-found-3 or $tcode-b-pterm-date-est " />
    <xsl:variable name="thist-b-vers-date" select="if ($thist-b-vers-found-1) then substring-after($thist-b-vers-5, 'http://snomed.info/sct/32506021000036107/version/')         else if ($thist-b-vers-found-2) then substring-after($v-latest-amtv3, 'http://snomed.info/sct/900062011000036108/version/')        else if ($thist-b-vers-found-3) then $last-amtv2-date        else if ($tcode-b-pterm-date-est) then $tcode-b-pterm-date        else '' " />
    <xsl:variable name="thist-b-last-diff" select="if ($sctau-last = '' or $thist-b-vers-date = '') then ''        else iq:display-date-diff($thist-b-vers-date, $sctau-last)[2] " />
    <xsl:variable name="thist-b-last-old" select="$thist-b-last-diff != '' and not(number($thist-b-last-diff) &lt; $sctau-acceptable-age) " />
    <xsl:variable name="t-b-term-found-in" select="if ($thist-b-vers-found-1) then 'last used in the version of SNOMED CT-AU'        else if ($thist-b-vers-found-2) then 'used in the version of AMT v3'        else if ($thist-b-vers-found-3) then 'used in the version of AMT v2'        else '' " />
    <xsl:variable name="thist-b-last-msg" select="if ($tcode-b-pterm-date-est) then concat(' The preferred term was last changed in the version of SNOMED CT-AU published ',          iq:display-date($thist-b-vers-date),          ' so if the value of the translation code displayName was ever valid then it must be before then. ',          'That version was published ', $thist-b-last-diff, ' days before the version of SNOMED CT-AU published immediately prior to the date ''',         /cda:ClinicalDocument/cda:effectiveTime/@value, ''' that this ', $document-name,          ' was created. SNOMED CT-AU is published monthly and the Australian National Terminology Licence Agreement requires the copy used ',         'in healthcare software systems (live or production environments) to be updated within 30 days of the National Terminology release.')        else if (not($thist-b-last-old) or $t-b-term-found-in = '') then ''           else concat(' The value of the translation code displayName was ', $t-b-term-found-in,         ' published on the ', iq:display-date($thist-b-vers-date),         '. That version was published ', $thist-b-last-diff, ' days before the version of SNOMED CT-AU published immediately prior to the date the ',        $document-name, ' was created. SNOMED CT-AU is published monthly and the Australian National Terminology Licence Agreement requires ',        'the copy used in healthcare software systems (live or production environments) to be updated within 30 days of the National Terminology release.')" />
    <xsl:variable name="tr-b-date-required" select="if (not($tname-b-invalid)) then ''        else if ($snomed-trans-b/@codeSystemVersion and matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1))          then substring-after($snomed-trans-b/@codeSystemVersion, '/version/')        else if ($creation-date-est) then ''        else $creation-date " />
    <xsl:variable name="tr-b-date-diff" select="if ($tr-b-date-required = '' or         not(dh:IsFirstDateEarlierThanSecondDate(substring-after($ts-tsnomed-version-b, '/version/'), $tr-b-date-required) = '1')) then ()        else iq:display-date-diff(substring-after($ts-tsnomed-version-b, '/version/'), $tr-b-date-required)" />
    <xsl:variable name="tr-b-old-ts-version" select="exists($tr-b-date-diff) and number($tr-b-date-diff[2]) &gt; 31 " />
    <xsl:variable name="psnomed-version-msg" select="if (not($pname-to-test) or $psctau-ts-63-err) then ''        else if (not(@codeSystemVersion) and $psnomed-id = 'snomedctau' and $pvers-old)          then concat(' The terminology server did not have a version of SNOMED CT-AU published before the date the clinical document was created (',         /cda:ClinicalDocument/cda:effectiveTime/@value, ') so the ''',          $ts-psnomed-version, ''' version of the SNOMED CT-AU code system was used in the assessment.')        else if (not(@codeSystemVersion) and $psnomed-id = 'amtv3' and $pvers-old)          then concat(' The terminology server did not have a version of AMT v3 published before the date the clinical document was created (',         /cda:ClinicalDocument/cda:effectiveTime/@value, ') so the ''',          $v-psnomed-version, ''' version of the AMT v3 code system was used in the assessment.')        else if (not(@codeSystemVersion) and $psnomed-id = 'amtv3') then concat(' The data element did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the AMT v3 code system was used in the assessment.')        else if (not(@codeSystemVersion)) then concat(' The data element did not contain the codeSystemVersion attribute so the ''',          $ts-psnomed-version, ''' version of the SNOMED CT-AU code system was used in the assessment.')        else if ($psnomed-id = 'snomedctau' and not($pvers-old)) then          concat(' The ''', $ts-psnomed-version, ''' version of the code system was used to validate the SNOMED CT-AU code.')        else if ($psnomed-id = 'snomedctau' and $pvers-old) then          concat(' The codeSystemVersion attribute has the correct format for SNOMED CT-AU ''', @codeSystemVersion,          ''' but that version is not present in the Terminology Server.')        else if ($psnomed-id = 'amtv3') then         concat(' The codeSystemVersion attribute has the correct format for AMT v3 ''', @codeSystemVersion,          ''' but that version was not available to use in the assessment.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1) or matches(@codeSystemVersion, $snomed-version-regex-2)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system was not available to use in the assessment.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' .') " />
    <xsl:variable name="tsnomed-version-a-msg" select="if (not($tname-a-to-test) or $tsctau-ts-a-63-err) then ''        else if (not($snomed-trans-a/@codeSystemVersion) and $tsnomed-id-a = 'snomedctau' and $t-vers-a-old)          then concat(' The terminology server did not have a version of SNOMED CT-AU published before the date the clinical document was created (',         /cda:ClinicalDocument/cda:effectiveTime/@value, ') so the ''',          $ts-tsnomed-version-a, ''' version of the SNOMED CT-AU code system was used in the assessment.')        else if (not($snomed-trans-a/@codeSystemVersion) and $tsnomed-id-a = 'amtv3' and $t-vers-a-old)          then concat(' The Clinical Package Validator did not have a version of AMT v3 published before the date the clinical document was created (',         /cda:ClinicalDocument/cda:effectiveTime/@value, ') so the ''',          $v-tsnomed-version-a, ''' version of the AMT v3 code system was used in the assessment.')        else if (not($snomed-trans-a/@codeSystemVersion) and $tsnomed-id-a = 'amtv3')          then concat(' The data element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-a, ''' version of the AMT v3 code system was used in the assessment.')        else if (not($snomed-trans-a/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $ts-tsnomed-version-a, ''' version of the SNOMED CT-AU code system was used in the assessment.')         else if ($tsnomed-id-a = 'snomedctau' and not($t-vers-a-old)) then          concat(' The ''', $ts-tsnomed-version-a, ''' version of the code system was used to validate the SNOMED CT-AU code.')        else if ($tsnomed-id-a = 'snomedctau' and $t-vers-a-old) then          concat(' The codeSystemVersion attribute has the correct format for SNOMED CT-AU ''', $snomed-trans-a/@codeSystemVersion,          ''' but that version is not present in the Terminology Server.')        else if ($tsnomed-id-a = 'amtv3') then         concat(' The codeSystemVersion attribute has the correct format for AMT v3 ''', $snomed-trans-a/@codeSystemVersion,          ''' but that version was not available to use in the assessment.')        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1) or matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-2))         then concat(' The ''', $snomed-trans-a/@codeSystemVersion, ''' version of the code system was not available to use in the assessment.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-a/@codeSystemVersion, '''.') " />
    <xsl:variable name="tsnomed-version-b-msg" select="if (not($tname-b-to-test) or $ts-tsnomed-version-b = '' or $tsctau-ts-b-63-err) then ''        else if (not($snomed-trans-b/@codeSystemVersion) and $tsnomed-id-b = 'snomedctau' and $t-vers-b-old)          then concat(' The terminology server did not have a version of SNOMED CT-AU published before the date the clinical document was created (',         /cda:ClinicalDocument/cda:effectiveTime/@value, ') so the ''',          $ts-tsnomed-version-b, ''' version of the SNOMED CT-AU code system was used in the assessment.')        else if (not($snomed-trans-b/@codeSystemVersion) and $tsnomed-id-b = 'amtv3' and $t-vers-b-old)          then concat(' The Clinical Package Validator did not have a version of AMT v3 published before the date the clinical document was created (',         /cda:ClinicalDocument/cda:effectiveTime/@value, ') so the ''',          $v-tsnomed-version-b, ''' version of the AMT v3 code system was used in the assessment.')        else if (not($snomed-trans-b/@codeSystemVersion) and $tsnomed-id-b = 'amtv3')          then concat(' The data element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-b, ''' version of the AMT v3 code system was used in the assessment.')        else if (not($snomed-trans-b/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $ts-tsnomed-version-b, ''' version of the SNOMED CT-AU code system was used in the assessment.')         else if ($tsnomed-id-b = 'snomedctau' and not($t-vers-b-old)) then          concat(' The ''', $ts-tsnomed-version-b, ''' version of the code system was used to validate the SNOMED CT-AU code.')        else if ($tsnomed-id-b = 'snomedctau' and $t-vers-b-old) then          concat(' The codeSystemVersion attribute has the correct format for SNOMED CT-AU ''', $snomed-trans-b/@codeSystemVersion,          ''' but that version is not present in the Terminology Server.')        else if ($tsnomed-id-b = 'amtv3') then         concat(' The codeSystemVersion attribute has the correct format for AMT v3 ''', $snomed-trans-b/@codeSystemVersion,          ''' but that version was not available to use in the assessment.')        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1) or matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-2))         then concat(' The ''', $snomed-trans-b/@codeSystemVersion, ''' version of the code system was not available to use in the assessment.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-b/@codeSystemVersion, '''.') " />
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and ($pname-to-test or $tname-a-to-test or $tname-b-to-test) and not($use-ts-for-sctau) and    not($psctau-ts-63-err or $tsctau-ts-a-63-err or $tsctau-ts-b-63-err) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and ($pname-to-test or $tname-a-to-test or $tname-b-to-test) and not($use-ts-for-sctau) and not($psctau-ts-63-err or $tsctau-ts-a-63-err or $tsctau-ts-b-63-err)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Current Medications on Discharge - Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /><xsl:text /><xsl:value-of select="if ($tname-a-to-test) then concat(' and translation ', iq:display-CD($snomed-trans-a)) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($tname-b-to-test) then concat(' and translation ', iq:display-CD($snomed-trans-b)) else '' " /><xsl:text />
		A terminology server with SNOMED CT-AU codes was not available so it was not possible to verify that the AMT code contains the preferred term for the displayName.
		Confirm that the value of the displayName attribute meets the requirement that it be the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 5.7 of the Discharge Summary Structured Document Template v3.3.) 

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-6 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-6">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-GCD: An error was reported when accessing the terminology server. The analysis should be retried as the terminology server may have been temporarily unavailable.
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.
		<xsl:text /><xsl:value-of select="if ($p-term-actual-1 = 'Error') then concat(' The error occurred when calling the function FindPreferredTermUsingTS with code ''', $pcode,    ''', codeSystem ''2.16.840.1.113883.6.96'' and codeSystemVersion ''', $ts-psnomed-version, '''.')   else if ($t-a-term-actual-1 = 'Error') then concat(' The error occurred when calling the function FindPreferredTermUsingTS with code ''', $tcode-a,    ''', codeSystem ''2.16.840.1.113883.6.96'' and codeSystemVersion ''', $ts-tsnomed-version-a, '''.')   else if ($t-b-term-actual-1 = 'Error') then concat(' The error occurred when calling the function FindPreferredTermUsingTS with code ''', $tcode-b,    ''', codeSystem ''2.16.840.1.113883.6.96'' and codeSystemVersion ''', $ts-tsnomed-version-b, '''.')   else if ($phist-vers-5 = 'Error') then concat(' The error occurred when calling the function FindLatestVersionWhereDisplaynameMatchUsingTS with code ''', @code,    ''', codeSystem ''2.16.840.1.113883.6.96'', initialVersion ''', $phist-vers-4, ''', displayName ''', @displayName, ''' and enforceCase ''false()''.')   else if ($thist-a-vers-5 = 'Error') then concat(' The error occurred when calling the function FindLatestVersionWhereDisplaynameMatchUsingTS with code ''', $tcode-a,    ''', codeSystem ''2.16.840.1.113883.6.96'', initialVersion ''', $thist-a-vers-4, ''', displayName ''', $snomed-trans-a/@displayName, ''' and enforceCase ''false()''.')   else if ($thist-b-vers-5 = 'Error') then concat(' The error occurred when calling the function FindLatestVersionWhereDisplaynameMatchUsingTS with code ''', $tcode-b,    ''', codeSystem ''2.16.840.1.113883.6.96'', initialVersion ''', $thist-b-vers-4, ''', displayName ''', $snomed-trans-b/@displayName, ''' and enforceCase ''false()''.')    else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-pcode-pterm-date ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-pcode-pterm-date">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$pcode-pterm-date-1" /><xsl:text /> was returned when calling the function LatestDateForPreferredTerm with
		code '<xsl:text /><xsl:value-of select="$pcode" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-latest-snomedctau" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$phist-vers-6 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$phist-vers-6 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$phist-vers-6" /><xsl:text /> was returned when calling the function IsCodePreferredTermInTerminologyValid with
		code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96', codeSystemVersion '<xsl:text /><xsl:value-of select="$v-latest-amtv3" /><xsl:text />' and
		displayName '<xsl:text /><xsl:value-of select="@displayName" /><xsl:text />'. The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$phist-vers-7 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$phist-vers-7 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$phist-vers-7" /><xsl:text /> was returned when calling the function IsCodePreferredTermInTerminologyValid with
		code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />', codeSystem '1.2.36.1.2001.1004.100', codeSystemVersion '<xsl:text /><xsl:value-of select="$last-amtv2" /><xsl:text />' and
		displayName '<xsl:text /><xsl:value-of select="@displayName" /><xsl:text />'. The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $pname-to-test and (not($test-pname) or ($pname-invalid and $pvers-old)) and not($pcode-pterm-date-est or $psctau-ts-63-err)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pname-to-test and (not($test-pname) or ($pname-invalid and $pvers-old)) and not($pcode-pterm-date-est or $psctau-ts-63-err)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Current Medications on Discharge - Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		Confirm that the value of the displayName attribute is the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 5.7 of the Discharge Summary Structured Document Template v3.3.)<xsl:text /><xsl:value-of select="$psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $pname-to-test and $pname-invalid and (not($pvers-old) or $pcode-pterm-date-est) and    (not($phist-vers-found) or ($phist-vers-found and $phist-last-old)) and not($p-old-ts-version)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pname-to-test and $pname-invalid and (not($pvers-old) or $pcode-pterm-date-est) and (not($phist-vers-found) or ($phist-vers-found and $phist-last-old)) and not($p-old-ts-version)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Current Medications on Discharge - Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. The value of the displayName attribute does not meet the requirement that it be the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 5.7 of the Discharge Summary Structured Document Template v3.3.) <xsl:text /><xsl:value-of select="$phist-last-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($p-term-actual = '') then ''   else if ($ts-psnomed-version != '') then concat(' According to the ''', $ts-psnomed-version, ''' version of SNOMED CT-AU the correct value for the preferred term is ''',   dh:XQueryRecursiveReplace($p-term-actual, $markup-pattern-replacement, 'ic'), '''.')   else concat(' According to the ''', $v-psnomed-version, ''' version of AMT v3 the correct value for the preferred term is ''',   dh:XQueryRecursiveReplace($p-term-actual, $markup-pattern-replacement, 'ic'), '''.') " /><xsl:text />'

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $pname-to-test and $pname-invalid and (not($pvers-old) or $pcode-pterm-date-est) and    (not($phist-vers-found) or ($phist-vers-found and $phist-last-old)) and $p-old-ts-version">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pname-to-test and $pname-invalid and (not($pvers-old) or $pcode-pterm-date-est) and (not($phist-vers-found) or ($phist-vers-found and $phist-last-old)) and $p-old-ts-version">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Current Medications on Discharge - Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. The value of the displayName attribute may not meet the requirement that it be the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 5.7 of the Discharge Summary Structured Document Template v3.3.) According to the '<xsl:text /><xsl:value-of select="$ts-psnomed-version" /><xsl:text />' version of SNOMED CT-AU the correct value for the preferred term is
		'<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($p-term-actual, $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		However that version of SNOMED CT-AU in the Terminology Server was published on the <xsl:text /><xsl:value-of select="iq:display-date(substring-after($ts-psnomed-version, '/version/'))" /><xsl:text />
		which is <xsl:text /><xsl:value-of select="$p-date-diff" /><xsl:text /> before the <xsl:text /><xsl:value-of select="if (@codeSystemVersion and matches(@codeSystemVersion, $snomed-version-regex-1)) then   'value of the codeSystemVersion attribute' else concat('date the ', $document-name, ' was created')" /><xsl:text /> which is <xsl:text /><xsl:value-of select="iq:display-date($creation-date)" /><xsl:text />.
		Use a more recently published version of SNOMED CT-AU to confirm if the value of the displayName attribute is the preferred term for the code.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Current Medications on Discharge - Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> has 
		<xsl:text /><xsl:value-of select="if ($numbers/number[number(@value) = count($snomed-trans-2)])        then $numbers/number[number(@value) = count($snomed-trans-2)]/@name        else count($snomed-trans-2)" /><xsl:text /> translation elements with
		distinct codes and the SNOMED CT codeSystem '2.16.840.1.113883.6.96'. The first translation element has been assessed to determine if the value of the displayName is the preferred term and
		the others have not been assessed. Confirm if the value of the displayName attribute in all SNOMED CT translation elements meets the requirement that it be the preferred term, also known as
		the preferred synonym, for the code. (See the Conditions of Use in the definition of Current Medications on Discharge - Therapeutic Good Identification in the Conditions of Use in section 5.7 of the Discharge Summary Structured Document Template v3.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-tcode-a-pterm-date ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-tcode-a-pterm-date">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$tcode-a-pterm-date-1" /><xsl:text /> was returned when calling the function LatestDateForPreferredTerm with
		code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-latest-snomedctau" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$thist-a-vers-6 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$thist-a-vers-6 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$thist-a-vers-6" /><xsl:text /> was returned when calling the function IsCodePreferredTermInTerminologyValid with
		code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', '2.16.840.1.113883.6.96', codeSystemVersion '<xsl:text /><xsl:value-of select="$v-latest-amtv3" /><xsl:text />' and
		displayName '<xsl:text /><xsl:value-of select="$snomed-trans-a/@displayName" /><xsl:text />'. The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$thist-a-vers-7 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$thist-a-vers-7 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$thist-a-vers-7" /><xsl:text /> was returned when calling the function IsCodePreferredTermInTerminologyValid with
		code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', codeSystem '1.2.36.1.2001.1004.100', codeSystemVersion '<xsl:text /><xsl:value-of select="$last-amtv2" /><xsl:text />' and
		displayName '<xsl:text /><xsl:value-of select="$snomed-trans-a/@displayName" /><xsl:text />'. The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-tcode-b-pterm-date ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-tcode-b-pterm-date">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$tcode-b-pterm-date-1" /><xsl:text /> was returned when calling the function LatestDateForPreferredTerm with
		code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-latest-snomedctau" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$thist-b-vers-6 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$thist-b-vers-6 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$thist-b-vers-6" /><xsl:text /> was returned when calling the function IsCodePreferredTermInTerminologyValid with
		code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', '2.16.840.1.113883.6.96', codeSystemVersion '<xsl:text /><xsl:value-of select="$v-latest-amtv3" /><xsl:text />' and
		displayName '<xsl:text /><xsl:value-of select="$snomed-trans-b/@displayName" /><xsl:text />'. The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$thist-b-vers-7 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$thist-b-vers-7 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$thist-b-vers-7" /><xsl:text /> was returned when calling the function IsCodePreferredTermInTerminologyValid with
		code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', codeSystem '1.2.36.1.2001.1004.100', codeSystemVersion '<xsl:text /><xsl:value-of select="$last-amtv2" /><xsl:text />' and
		displayName '<xsl:text /><xsl:value-of select="$snomed-trans-b/@displayName" /><xsl:text />'. The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $tname-a-to-test and (not($test-tname-a) or ($tname-a-invalid and $t-vers-a-old)) and not($tcode-a-pterm-date-est or $tsctau-ts-a-63-err) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tname-a-to-test and (not($test-tname-a) or ($tname-a-invalid and $t-vers-a-old)) and not($tcode-a-pterm-date-est or $tsctau-ts-a-63-err)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Current Medications on Discharge - Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> has translation <xsl:text /><xsl:value-of select="iq:display-CD($snomed-trans-a)" /><xsl:text />.
		Confirm that the value of the translation code displayName attribute is the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 5.7 of the Discharge Summary Structured Document Template v3.3.)<xsl:text /><xsl:value-of select="$tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $tname-b-to-test and (not($test-tname-b) or ($tname-b-invalid and $t-vers-b-old)) and not($tcode-b-pterm-date-est or $tsctau-ts-b-63-err) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tname-b-to-test and (not($test-tname-b) or ($tname-b-invalid and $t-vers-b-old)) and not($tcode-b-pterm-date-est or $tsctau-ts-b-63-err)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Current Medications on Discharge - Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> has translation <xsl:text /><xsl:value-of select="iq:display-CD($snomed-trans-b)" /><xsl:text />.
		Confirm that the value of the translation code displayName attribute is the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 5.7 of the Discharge Summary Structured Document Template v3.3.)<xsl:text /><xsl:value-of select="$tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tcode-a = '') and $tname-a-invalid and (not($t-vers-a-old) or $tcode-a-pterm-date-est) and    (not($thist-a-vers-found) or ($thist-a-vers-found and $thist-a-last-old)) and not($tr-a-old-ts-version)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tcode-a = '') and $tname-a-invalid and (not($t-vers-a-old) or $tcode-a-pterm-date-est) and (not($thist-a-vers-found) or ($thist-a-vers-found and $thist-a-last-old)) and not($tr-a-old-ts-version)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Current Medications on Discharge - Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> has translation <xsl:text /><xsl:value-of select="iq:display-CD($snomed-trans-a)" /><xsl:text />.
		The value of the translation code displayName attribute does not meet the requirement that it be the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 5.7 of the Discharge Summary Structured Document Template v3.3.) <xsl:text /><xsl:value-of select="$thist-a-last-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($t-a-term-actual = '') then ''   else if ($ts-tsnomed-version-a != '') then concat(' According to the ''', $ts-tsnomed-version-a, ''' version of SNOMED CT-AU the correct value for the preferred term is ''',   dh:XQueryRecursiveReplace($t-a-term-actual, $markup-pattern-replacement, 'ic'), '''.')   else concat(' According to the ''', $v-tsnomed-version-a, ''' version of AMT v3 the correct value for the preferred term is ''',   dh:XQueryRecursiveReplace($t-a-term-actual, $markup-pattern-replacement, 'ic'), '''.') " /><xsl:text />'

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not($tcode-a = '') and $tname-a-invalid and (not($t-vers-a-old) or $tcode-a-pterm-date-est) and    (not($thist-a-vers-found) or ($thist-a-vers-found and $thist-a-last-old)) and $tr-a-old-ts-version">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not($tcode-a = '') and $tname-a-invalid and (not($t-vers-a-old) or $tcode-a-pterm-date-est) and (not($thist-a-vers-found) or ($thist-a-vers-found and $thist-a-last-old)) and $tr-a-old-ts-version">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Current Medications on Discharge - Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> has translation <xsl:text /><xsl:value-of select="iq:display-CD($snomed-trans-a)" /><xsl:text />.
		The value of the translation code displayName attribute may not meet the requirement that it be the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 5.7 of the Discharge Summary Structured Document Template v3.3.) According to the '<xsl:text /><xsl:value-of select="$ts-tsnomed-version-a" /><xsl:text />' version of SNOMED CT-AU the correct value for the preferred term is
		'<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($t-a-term-actual, $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		However that version of SNOMED CT-AU in the Terminology Server was published on the <xsl:text /><xsl:value-of select="iq:display-date(substring-after($ts-tsnomed-version-a, '/version/'))" /><xsl:text />
		which is <xsl:text /><xsl:value-of select="$tr-a-date-diff" /><xsl:text /> before the <xsl:text /><xsl:value-of select="if ($snomed-trans-a/@codeSystemVersion and matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1))    then 'value of the translation codeSystemVersion attribute' else concat('date the ', $document-name, ' was created')" /><xsl:text /> which is <xsl:text /><xsl:value-of select="iq:display-date($creation-date)" /><xsl:text />.
		Use a more recently published version of SNOMED CT-AU to confirm if the value of the displayName attribute is the preferred term for the translation code.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tcode-b = '') and $tname-b-invalid and (not($t-vers-b-old) or $tcode-b-pterm-date-est) and    (not($thist-b-vers-found) or ($thist-b-vers-found and $thist-b-last-old)) and not($tr-b-old-ts-version)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tcode-b = '') and $tname-b-invalid and (not($t-vers-b-old) or $tcode-b-pterm-date-est) and (not($thist-b-vers-found) or ($thist-b-vers-found and $thist-b-last-old)) and not($tr-b-old-ts-version)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Current Medications on Discharge - Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> has translation <xsl:text /><xsl:value-of select="iq:display-CD($snomed-trans-b)" /><xsl:text />.
		The value of the translation code displayName attribute does not meet the requirement that it be the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 5.7 of the Discharge Summary Structured Document Template v3.3.) <xsl:text /><xsl:value-of select="$thist-b-last-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($t-b-term-actual = '') then ''   else if ($ts-tsnomed-version-b != '') then concat(' According to the ''', $ts-tsnomed-version-b, ''' version of SNOMED CT-AU the correct value for the preferred term is ''',   dh:XQueryRecursiveReplace($t-b-term-actual, $markup-pattern-replacement, 'ic'), '''.')   else concat(' According to the ''', $v-tsnomed-version-b, ''' version of AMT v3 the correct value for the preferred term is ''',   dh:XQueryRecursiveReplace($t-b-term-actual, $markup-pattern-replacement, 'ic'), '''.') " /><xsl:text />'

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not($tcode-b = '') and $tname-b-invalid and (not($t-vers-b-old) or $tcode-b-pterm-date-est) and    (not($thist-b-vers-found) or ($thist-b-vers-found and $thist-b-last-old)) and $tr-b-old-ts-version">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not($tcode-b = '') and $tname-b-invalid and (not($t-vers-b-old) or $tcode-b-pterm-date-est) and (not($thist-b-vers-found) or ($thist-b-vers-found and $thist-b-last-old)) and $tr-b-old-ts-version">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Current Medications on Discharge - Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> has translation <xsl:text /><xsl:value-of select="iq:display-CD($snomed-trans-b)" /><xsl:text />.
		The value of the translation code displayName attribute may not meet the requirement that it be the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 5.7 of the Discharge Summary Structured Document Template v3.3.) According to the '<xsl:text /><xsl:value-of select="$ts-tsnomed-version-b" /><xsl:text />' version of SNOMED CT-AU the correct value for the preferred term is
		'<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($t-b-term-actual, $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		However that version of SNOMED CT-AU in the Terminology Server was published on the <xsl:text /><xsl:value-of select="iq:display-date(substring-after($ts-tsnomed-version-b, '/version/'))" /><xsl:text />
		which is <xsl:text /><xsl:value-of select="$tr-b-date-diff" /><xsl:text /> before the <xsl:text /><xsl:value-of select="if ($snomed-trans-b/@codeSystemVersion and matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1))    then 'value of the translation codeSystemVersion attribute' else concat('date the ', $document-name, ' was created')" /><xsl:text /> which is <xsl:text /><xsl:value-of select="iq:display-date($creation-date)" /><xsl:text />.
		Use a more recently published version of SNOMED CT-AU to confirm if the value of the displayName attribute is the preferred term for the translation code.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M231" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M231" />
  <xsl:template match="@*|node()" priority="-2" mode="M231">
    <xsl:apply-templates select="@*|*" mode="M231" />
  </xsl:template>
  <!--PATTERN p-TS-CurrMed-CodeableText-6-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16146.4.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1']]/   cda:entry/cda:substanceAdministration/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code   [(@displayName and matches(@displayName, '[a-z0-9]', 'i')) or (cda:originalText and matches(cda:originalText, '[a-z0-9]', 'i'))] " priority="1000" mode="M232">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16146.4.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1']]/   cda:entry/cda:substanceAdministration/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code   [(@displayName and matches(@displayName, '[a-z0-9]', 'i')) or (cda:originalText and matches(cda:originalText, '[a-z0-9]', 'i'))] " />
    <xsl:variable name="section1" select="if (cda:originalText) then /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//cda:section   [cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = ('101.16672', '101.16006', '101.20109', '102.15513.4.1.1', '101.20117', '101.16611', '102.20158', '101.16606', '102.16347')]]   [contains(translate(normalize-space(lower-case(cda:text)), $chars-to-remove, ''), translate(normalize-space(lower-case(current()/cda:originalText)), $chars-to-remove, ''))] else ()" />
    <xsl:variable name="section2" select="if (@displayName) then /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//cda:section   [cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = ('101.16672', '101.16006', '101.20109', '102.15513.4.1.1', '101.20117', '101.16611', '102.20158', '101.16606', '102.16347')]]   [contains(translate(normalize-space(lower-case(cda:text)), $chars-to-remove, ''), translate(normalize-space(lower-case(current()/@displayName)), $chars-to-remove, ''))] else ()" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-2" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-2 " />
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $section1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $section1">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step-2" /><xsl:text />: TC-Narr-09 step 2: The Current Medications on Discharge - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has originalText with the value
		'<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />' and this was also found in the narrative of the <xsl:text /><xsl:value-of select="$section1/cda:title" /><xsl:text /> section. Confirm by manual inspection that the information
		about '<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />' in the <xsl:text /><xsl:value-of select="$section1/cda:title" /><xsl:text /> section does not contradict information about '<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. Also check other sections in the document for information about '<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />'.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not($section1) and $section2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not($section1) and $section2">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step-2" /><xsl:text />: TC-Narr-09 step 2: The Current Medications on Discharge - Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a displayName attribute with the value '<xsl:text /><xsl:value-of select="@displayName" /><xsl:text />' and this was also found in the narrative of the
		<xsl:text /><xsl:value-of select="$section2/cda:title" /><xsl:text /> section. Confirm by manual inspection that the information about
		'<xsl:text /><xsl:value-of select="@displayName" /><xsl:text />' in the <xsl:text /><xsl:value-of select="$section2/cda:title" /><xsl:text /> section does not contradict information about '<xsl:text /><xsl:value-of select="@displayName" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. Also check other sections in the document for information about '<xsl:text /><xsl:value-of select="@displayName" /><xsl:text />'.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M232" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M232" />
  <xsl:template match="@*|node()" priority="-2" mode="M232">
    <xsl:apply-templates select="@*|*" mode="M232" />
  </xsl:template>
  <!--PATTERN p-TS-CurrMed-CodeableText-7-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16146.4.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1']]/   cda:entry/cda:substanceAdministration/cda:entryRelationship[@typeCode = 'SPRT']/cda:observation[@moodCode='EVN']/cda:code " priority="1000" mode="M233">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16146.4.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1']]/   cda:entry/cda:substanceAdministration/cda:entryRelationship[@typeCode = 'SPRT']/cda:observation[@moodCode='EVN']/cda:code " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Current Medications on Discharge - Changes Made '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and true() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and true() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Current Medications on Discharge - Changes Made '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Current Medications on Discharge - Changes Made',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to the Structured Document Template the Current Medications on Discharge - Changes Made '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to the Structured Document Template the Current Medications on Discharge - Changes Made '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'disallowed' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'disallowed' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Document Template the Current Medications on Discharge - Changes Made
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Current Medications on Discharge - Changes Made however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Current Medications on Discharge - Changes Made in the Structured Document Template and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'disallowed' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'disallowed' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Document Template the Current Medications on Discharge - Changes Made
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Current Medications on Discharge - Changes Made however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Current Medications on Discharge - Changes Made in the Structured Document Template and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Current Medications on Discharge - Changes Made data element must have a value that is consistent with this definition. Alternatively if there is no Current Medications on Discharge - Changes Made data element with a proper value then an exclusion
		statement must be included to state why there is no Current Medications on Discharge - Changes Made.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'disallowed' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'disallowed' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Document Template the Current Medications on Discharge - Changes Made
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Current Medications on Discharge - Changes Made however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Current Medications on Discharge - Changes Made in the Structured Document Template and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'disallowed' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'disallowed' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Document Template the Current Medications on Discharge - Changes Made
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Current Medications on Discharge - Changes Made however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Current Medications on Discharge - Changes Made in the Structured Document Template and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Current Medications on Discharge - Changes Made data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'disallowed' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'disallowed' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Document Template the Current Medications on Discharge - Changes Made
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Current Medications on Discharge - Changes Made however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Current Medications on Discharge - Changes Made in the Structured Document Template and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Current Medications on Discharge - Changes Made data element must have a value that is consistent with this definition. Alternatively if there is no Current Medications on Discharge - Changes Made data element with a proper value then an exclusion
		statement must be included to state why there is no Current Medications on Discharge - Changes Made.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'disallowed' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'disallowed' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Document Template the Current Medications on Discharge - Changes Made
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Current Medications on Discharge - Changes Made however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Current Medications on Discharge - Changes Made in the Structured Document Template and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Current Medications on Discharge - Changes Made data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Current Medications on Discharge - Changes Made '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Document Template the Current Medications on Discharge - Changes Made
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Document Template the Current Medications on Discharge - Changes Made
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Document Template the Current Medications on Discharge - Changes Made '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Document Template the Current Medications on Discharge - Changes Made '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Document Template the Current Medications on Discharge - Changes Made '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Document Template the Current Medications on Discharge - Changes Made '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Document Template the Current Medications on Discharge - Changes Made '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Document Template the Current Medications on Discharge - Changes Made '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Current Medications on Discharge - Changes Made
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Document Template the Current Medications on Discharge - Changes Made '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Current Medications on Discharge - Changes Made '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Current Medications on Discharge - Changes Made.
		(See the definition of Current Medications on Discharge - Changes Made in the Structured Document Template.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Current Medications on Discharge - Changes Made '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M233" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M233" />
  <xsl:template match="@*|node()" priority="-2" mode="M233">
    <xsl:apply-templates select="@*|*" mode="M233" />
  </xsl:template>
  <!--PATTERN p-TS-CurrMed-CodeableText-8-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16146.4.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1']]/   cda:entry/cda:substanceAdministration/cda:entryRelationship[@typeCode = 'SPRT']/cda:observation[@moodCode='EVN']/cda:code   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M234">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16146.4.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1']]/   cda:entry/cda:substanceAdministration/cda:entryRelationship[@typeCode = 'SPRT']/cda:observation[@moodCode='EVN']/cda:code   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Current Medications on Discharge - Changes Made '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Current Medications on Discharge - Changes Made
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Current Medications on Discharge - Changes Made
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Current Medications on Discharge - Changes Made
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Current Medications on Discharge - Changes Made
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Current Medications on Discharge - Changes Made has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Current Medications on Discharge - Changes Made data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Current Medications on Discharge - Changes Made
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Current Medications on Discharge - Changes Made data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Current Medications on Discharge - Changes Made
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Current Medications on Discharge - Changes Made data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Current Medications on Discharge - Changes Made
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Current Medications on Discharge - Changes Made data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Current Medications on Discharge - Changes Made
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Current Medications on Discharge - Changes Made
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Current Medications on Discharge - Changes Made data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Current Medications on Discharge - Changes Made
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Current Medications on Discharge - Changes Made data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Current Medications on Discharge - Changes Made
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Current Medications on Discharge - Changes Made
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Current Medications on Discharge - Changes Made data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Current Medications on Discharge - Changes Made
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Current Medications on Discharge - Changes Made data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Current Medications on Discharge - Changes Made
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Current Medications on Discharge - Changes Made
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M234" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M234" />
  <xsl:template match="@*|node()" priority="-2" mode="M234">
    <xsl:apply-templates select="@*|*" mode="M234" />
  </xsl:template>
  <!--PATTERN p-TS-CurrMed-CodedText-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16146.4.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1']]/   cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.4.3.2']]/cda:value " priority="1000" mode="M235">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16146.4.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1']]/   cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.4.3.2']]/cda:value " />
    <xsl:variable name="tc-types-49-err" select="@nullFlavor = ('PINF', 'NINF', 'QS', 'TRC') or (@nullFlavor='UNC' and (not(cda:originalText) or normalize-space(cda:originalText) = '')) " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="family-err" select="cda:originalText and matches(cda:originalText, $family-regex, 'i')" />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; 200" />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and @code != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used with the Clinical Package Validator to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used with the Clinical Package Validator to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the primary code.') " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-06-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-06-step-2 else $rating-alt-TC-Types-06-step-2 " />
    <xsl:variable name="rating-07-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-1 else $rating-alt-TC-Types-07-step-1 " />
    <xsl:variable name="rating-07-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-2 else $rating-alt-TC-Types-07-step-2 " />
    <xsl:variable name="rating-08" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-08 else $rating-alt-TC-Types-08 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-07: The Current Medications on Discharge Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data
		type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to the Structured Document Template the Current Medications on Discharge Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which is derived from the HL7 'CD' data type however xsi:type '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to the Structured Document Template the Current Medications on Discharge Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:translation">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:translation">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Document Template the Current Medications on Discharge Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'translation' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value
		domain, with no exceptions. A translation translates the value into a code from another code systems, so translations are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:qualifier">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:qualifier">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Document Template the Current Medications on Discharge Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'qualifier' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value domain,
		with no exceptions. A qualifier constrains the value, so qualifiers are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Current Medications on Discharge Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Document Template the Current Medications on Discharge Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Document Template the Current Medications on Discharge Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Document Template the Current Medications on Discharge Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present and is not expected
		for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Document Template the Current Medications on Discharge Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />'
		is present and is not expected for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-terminology-concepts = 'true' and not(true() or false() or $family-err or $length-err) and    not(@nullFlavor) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and not(true() or false() or $family-err or $length-err) and not(@nullFlavor)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (value domain not specified): The Current Medications on Discharge Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The CodedText data type has the requirement that values must come from the specified bound value domain with no exceptions but a value domain has not been specified for the
		Current Medications on Discharge Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Current Medications on Discharge Exclusion Statement',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="false() and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != '1.2.36.1.2001.1001.101.104.16299'))  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != '1.2.36.1.2001.1001.101.104.16299'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-06-step-2" /><xsl:text />: TC-Types-06 step 2: According to the Structured Document Template the Current Medications on Discharge Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. The
		CodedText data type has the requirement that values must come from the bound value domain with no exceptions. Therefore the value of the codeSystem attribute must be a publicly available
		code system. The Current Medications on Discharge Exclusion Statement data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide states the code system is 'NS' (not stated) with the requirement 'When national standard code sets become
		available, they SHALL be used'. The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> which is after the national standard code set became available
		for use on the <xsl:text /><xsl:value-of select="''" /><xsl:text />. The code system that must be used is
		<xsl:text /><xsl:value-of select="if ('1.2.36.1.2001.1001.101.104.16299' = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName, ' (ConceptId ''', 'none', ''')')   else concat('1.2.36.1.2001.1001.101.104.16299', ' (', $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16299']/@codeSystemName, ')')" /><xsl:text /><xsl:text /><xsl:value-of select="if (not(@codeSystem)) then '.'    else if (@codeSystemName) then concat(' however codeSystem ''', @codeSystem, ''' (', @codeSystemName, ') is present.')   else concat(' however a codeSystem attribute with the value ''', @codeSystem, ''' is present.') " /><xsl:text />
		(See section 1.8 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide, <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 7 of the CDA Implementation Guide for the
		information about the value domain.)
		<xsl:text /><xsl:value-of select="if ('none' = '11000036103') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName,     ' are Allergic reaction (''419076005''), Medication side-effect (''401207004'') and Drug interaction (''79899007'').')    else if ('none' = '15071000036100') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName,     ' are Prescribed (''105681000036100''), Suspended (''385655000'') and Unchanged (''105701000036103'').')    else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'OTH' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'OTH'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Document Template the Current Medications on Discharge Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore it is not valid for the data element to have nullFlavor 'OTH' to indicate that the
		actual value is not a member of the set of permitted data values in the constrained value domain. 
		(See the requirements for Current Medications on Discharge Exclusion Statement and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Document Template the Current Medications on Discharge Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type<xsl:text /><xsl:value-of select="if (not(false())) then '.' else   concat(' and section 7 of the CDA Implementation Guide states the vocabulary is ''', '1.2.36.1.2001.1001.101.104.16299', ''' (', $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16299']/@codeSystemName, ').') " /><xsl:text />
		The CodedText data type has
		the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor attribute
		to indicate there is no value, however a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) is present and is not one of the nullFlavor values that indicate there is no value.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@nullFlavor or @code) and not(false() and not(@nullFlavor) and not(@codeSystem)) and cda:originalText ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor or @code) and not(false() and not(@nullFlavor) and not(@codeSystem)) and cda:originalText">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Document Template the Current Medications on Discharge Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor
		attribute to indicate there is no value. The only information found in the data element is originalText '<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />'.
		(See the requirements for Current Medications on Discharge Exclusion Statement and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)
		<xsl:text /><xsl:value-of select="if (local-name(.) = 'jobClassCode') then concat('Consider using the METeOR 314867 ''Employment type'' code system (codeSystem ''2.16.840.1.113883.3.879.314867'') which has ',   'codes for ''Permanent'', ''Fixed term contract'', ''Casual'' and ''Not stated/inadequately described''; or the  METeOR 691891 ''Full-time/part-time status'' code system ',   '(codeSystem ''2.16.840.1.113883.3.879.691891'') which has codes for ''Full-time'', ''Part-time'' and ''Not stated/inadequately described''. ',   '(See the the METeOR 314867 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/314867 and the METeOR 691891 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/691891.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="true() and @codeSystem and @codeSystem != '1.2.36.1.2001.1001.101.104.16299' and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and @codeSystem and @codeSystem != '1.2.36.1.2001.1001.101.104.16299' and not(false())">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Document Template the Current Medications on Discharge Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and section 7 of the CDA Implementation Guide states the vocabulary is
		<xsl:text /><xsl:value-of select="if ('1.2.36.1.2001.1001.101.104.16299' = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName, ' (ConceptId ''', 'none', ''').')   else concat('1.2.36.1.2001.1001.101.104.16299', ' (', $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16299']/@codeSystemName, ').')" /><xsl:text />
		The CodedText data type has the requirement that values must come from the bound value domain with no exceptions.
		Therefore the value of codeSystem must be '1.2.36.1.2001.1001.101.104.16299' but codeSystem '<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />' (<xsl:text /><xsl:value-of select="@codeSystemName" /><xsl:text />) is present.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="true() and '1.2.36.1.2001.1001.101.104.16299' = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and    not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version,    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@refSet) = 'CodeFound') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and '1.2.36.1.2001.1001.101.104.16299' = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version, $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@refSet) = 'CodeFound')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Document Template the Current Medications on Discharge Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. The applicable value domain is the SNOMED CT-AU
		<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName" /><xsl:text />
		(Concept ID: 'none'). The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the code is not a member of the value domain.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 7 of the CDA Implementation Guide for the information about the value domain.)<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-08" /><xsl:text />: TC-Types-08: According to the Structured Document Template the Current Medications on Discharge Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. It has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> but has neither an originalText nor a displayName
		so it fails to conform to the requirement 'In accordance with the requirement to completely represent section contents, values of CodedText or CodeableText data elements defined in
		the SCS SHALL include an originalText or a displayName component (or both)'.
		(See Appendix A of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 6.1 and 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090
		Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and not(cda:originalText) and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and not(cda:originalText) and not(false())">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Current Medications on Discharge Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is
		not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. (See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M235" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M235" />
  <xsl:template match="@*|node()" priority="-2" mode="M235">
    <xsl:apply-templates select="@*|*" mode="M235" />
  </xsl:template>
  <!--PATTERN p-TS-CurrMed-CodedText-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16146.4.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1']]/   cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.4.3.2']]/cda:value   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M236">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16146.4.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1']]/   cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.4.3.2']]/cda:value   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Current Medications on Discharge Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Current Medications on Discharge Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Current Medications on Discharge Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Current Medications on Discharge Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Current Medications on Discharge Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Current Medications on Discharge Exclusion Statement has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Current Medications on Discharge Exclusion Statement data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('medications|current medications|current medication information|discharge medication information', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('medications|current medications|current medication information|discharge medication information', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Current Medications on Discharge Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Current Medications on Discharge Exclusion Statement data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Current Medications on Discharge Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Current Medications on Discharge Exclusion Statement data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Current Medications on Discharge Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Current Medications on Discharge Exclusion Statement data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('medications|current medications|current medication information|discharge medication information', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('medications|current medications|current medication information|discharge medication information', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Current Medications on Discharge Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('medications|current medications|current medication information|discharge medication information', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Current Medications on Discharge Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Current Medications on Discharge Exclusion Statement data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Current Medications on Discharge Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Current Medications on Discharge Exclusion Statement data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Current Medications on Discharge Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Current Medications on Discharge Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Current Medications on Discharge Exclusion Statement data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Current Medications on Discharge Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Current Medications on Discharge Exclusion Statement data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Current Medications on Discharge Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Current Medications on Discharge Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M236" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M236" />
  <xsl:template match="@*|node()" priority="-2" mode="M236">
    <xsl:apply-templates select="@*|*" mode="M236" />
  </xsl:template>
  <!--PATTERN p-TS-CurrMed-CodedText-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16146.4.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1']]/   cda:entry/cda:substanceAdministration/cda:entryRelationship[@typeCode = 'SUBJ']/cda:observation/cda:code " priority="1000" mode="M237">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16146.4.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1']]/   cda:entry/cda:substanceAdministration/cda:entryRelationship[@typeCode = 'SUBJ']/cda:observation/cda:code " />
    <xsl:variable name="tc-types-49-err" select="@nullFlavor = ('PINF', 'NINF', 'QS', 'TRC') or (@nullFlavor='UNC' and (not(cda:originalText) or normalize-space(cda:originalText) = '')) " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="family-err" select="cda:originalText and matches(cda:originalText, $family-regex, 'i')" />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; 200" />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and @code != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used with the Clinical Package Validator to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used with the Clinical Package Validator to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the primary code.') " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-06-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-06-step-2 else $rating-alt-TC-Types-06-step-2 " />
    <xsl:variable name="rating-07-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-1 else $rating-alt-TC-Types-07-step-1 " />
    <xsl:variable name="rating-07-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-2 else $rating-alt-TC-Types-07-step-2 " />
    <xsl:variable name="rating-08" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-08 else $rating-alt-TC-Types-08 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-07: The Current Medications on Discharge - Item Status (also known as Change Type) '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data
		type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to the Structured Document Template the Current Medications on Discharge - Item Status (also known as Change Type) '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which is derived from the HL7 'CD' data type however xsi:type '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to the Structured Document Template the Current Medications on Discharge - Item Status (also known as Change Type) '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:translation">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:translation">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Document Template the Current Medications on Discharge - Item Status (also known as Change Type) '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'translation' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value
		domain, with no exceptions. A translation translates the value into a code from another code systems, so translations are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:qualifier">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:qualifier">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Document Template the Current Medications on Discharge - Item Status (also known as Change Type)
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'qualifier' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value domain,
		with no exceptions. A qualifier constrains the value, so qualifiers are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Current Medications on Discharge - Item Status (also known as Change Type) '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Document Template the Current Medications on Discharge - Item Status (also known as Change Type)
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Document Template the Current Medications on Discharge - Item Status (also known as Change Type)
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Document Template the Current Medications on Discharge - Item Status (also known as Change Type)
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present and is not expected
		for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Document Template the Current Medications on Discharge - Item Status (also known as Change Type)
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />'
		is present and is not expected for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-terminology-concepts = 'true' and not(true() or dh:IsFirstDateEarlierThanSecondDate(substring('20151218', 1, $creation-date-length), $creation-date-actual) = '1' or $family-err or $length-err) and    not(@nullFlavor) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and not(true() or dh:IsFirstDateEarlierThanSecondDate(substring('20151218', 1, $creation-date-length), $creation-date-actual) = '1' or $family-err or $length-err) and not(@nullFlavor)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (value domain not specified): The Current Medications on Discharge - Item Status (also known as Change Type) '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The CodedText data type has the requirement that values must come from the specified bound value domain with no exceptions but a value domain has not been specified for the
		Current Medications on Discharge - Item Status (also known as Change Type) '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Current Medications on Discharge - Item Status (also known as Change Type)',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="dh:IsFirstDateEarlierThanSecondDate(substring('20151218', 1, $creation-date-length), $creation-date-actual) = '1' and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != '2.16.840.1.113883.6.96'))  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="dh:IsFirstDateEarlierThanSecondDate(substring('20151218', 1, $creation-date-length), $creation-date-actual) = '1' and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != '2.16.840.1.113883.6.96'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-06-step-2" /><xsl:text />: TC-Types-06 step 2: According to the Structured Document Template the Current Medications on Discharge - Item Status (also known as Change Type) '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. The
		CodedText data type has the requirement that values must come from the bound value domain with no exceptions. Therefore the value of the codeSystem attribute must be a publicly available
		code system. The Current Medications on Discharge - Item Status (also known as Change Type) data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide states the code system is 'NS' (not stated) with the requirement 'When national standard code sets become
		available, they SHALL be used'. The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> which is after the national standard code set became available
		for use on the <xsl:text /><xsl:value-of select="'18 Dec 2015'" /><xsl:text />. The code system that must be used is
		<xsl:text /><xsl:value-of select="if ('2.16.840.1.113883.6.96' = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = '15071000036100']/@referenceSetName, ' (ConceptId ''', '15071000036100', ''')')   else concat('2.16.840.1.113883.6.96', ' (', $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/@codeSystemName, ')')" /><xsl:text /><xsl:text /><xsl:value-of select="if (not(@codeSystem)) then '.'    else if (@codeSystemName) then concat(' however codeSystem ''', @codeSystem, ''' (', @codeSystemName, ') is present.')   else concat(' however a codeSystem attribute with the value ''', @codeSystem, ''' is present.') " /><xsl:text />
		(See section 1.8 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide, <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 2.71 of the Medication Instruction and Action Detailed Clinical Model Specification v2.4 for the
		information about the value domain.)
		<xsl:text /><xsl:value-of select="if ('15071000036100' = '11000036103') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = '15071000036100']/@referenceSetName,     ' are Allergic reaction (''419076005''), Medication side-effect (''401207004'') and Drug interaction (''79899007'').')    else if ('15071000036100' = '15071000036100') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = '15071000036100']/@referenceSetName,     ' are Prescribed (''105681000036100''), Suspended (''385655000'') and Unchanged (''105701000036103'').')    else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'OTH' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'OTH'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Document Template the Current Medications on Discharge - Item Status (also known as Change Type) '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore it is not valid for the data element to have nullFlavor 'OTH' to indicate that the
		actual value is not a member of the set of permitted data values in the constrained value domain. 
		(See the requirements for Current Medications on Discharge - Item Status (also known as Change Type) and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Document Template the Current Medications on Discharge - Item Status (also known as Change Type) '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type<xsl:text /><xsl:value-of select="if (not(dh:IsFirstDateEarlierThanSecondDate(substring('20151218', 1, $creation-date-length), $creation-date-actual) = '1')) then '.' else   concat(' and section 2.71 of the Medication Instruction and Action Detailed Clinical Model Specification v2.4 states the vocabulary is ''', '2.16.840.1.113883.6.96', ''' (', $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/@codeSystemName, ').') " /><xsl:text />
		The CodedText data type has
		the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor attribute
		to indicate there is no value, however a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) is present and is not one of the nullFlavor values that indicate there is no value.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@nullFlavor or @code) and not(dh:IsFirstDateEarlierThanSecondDate(substring('20151218', 1, $creation-date-length), $creation-date-actual) = '1' and not(@nullFlavor) and not(@codeSystem)) and cda:originalText ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor or @code) and not(dh:IsFirstDateEarlierThanSecondDate(substring('20151218', 1, $creation-date-length), $creation-date-actual) = '1' and not(@nullFlavor) and not(@codeSystem)) and cda:originalText">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Document Template the Current Medications on Discharge - Item Status (also known as Change Type) '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor
		attribute to indicate there is no value. The only information found in the data element is originalText '<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />'.
		(See the requirements for Current Medications on Discharge - Item Status (also known as Change Type) and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)
		<xsl:text /><xsl:value-of select="if (local-name(.) = 'jobClassCode') then concat('Consider using the METeOR 314867 ''Employment type'' code system (codeSystem ''2.16.840.1.113883.3.879.314867'') which has ',   'codes for ''Permanent'', ''Fixed term contract'', ''Casual'' and ''Not stated/inadequately described''; or the  METeOR 691891 ''Full-time/part-time status'' code system ',   '(codeSystem ''2.16.840.1.113883.3.879.691891'') which has codes for ''Full-time'', ''Part-time'' and ''Not stated/inadequately described''. ',   '(See the the METeOR 314867 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/314867 and the METeOR 691891 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/691891.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="true() and @codeSystem and @codeSystem != '2.16.840.1.113883.6.96' and not(dh:IsFirstDateEarlierThanSecondDate(substring('20151218', 1, $creation-date-length), $creation-date-actual) = '1') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and @codeSystem and @codeSystem != '2.16.840.1.113883.6.96' and not(dh:IsFirstDateEarlierThanSecondDate(substring('20151218', 1, $creation-date-length), $creation-date-actual) = '1')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Document Template the Current Medications on Discharge - Item Status (also known as Change Type) '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and section 2.71 of the Medication Instruction and Action Detailed Clinical Model Specification v2.4 states the vocabulary is
		<xsl:text /><xsl:value-of select="if ('2.16.840.1.113883.6.96' = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = '15071000036100']/@referenceSetName, ' (ConceptId ''', '15071000036100', ''').')   else concat('2.16.840.1.113883.6.96', ' (', $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/@codeSystemName, ').')" /><xsl:text />
		The CodedText data type has the requirement that values must come from the bound value domain with no exceptions.
		Therefore the value of codeSystem must be '2.16.840.1.113883.6.96' but codeSystem '<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />' (<xsl:text /><xsl:value-of select="@codeSystemName" /><xsl:text />) is present.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="true() and '2.16.840.1.113883.6.96' = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and    not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version,    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = '15071000036100']/@refSet) = 'CodeFound') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and '2.16.840.1.113883.6.96' = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version, $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = '15071000036100']/@refSet) = 'CodeFound')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Document Template the Current Medications on Discharge - Item Status (also known as Change Type) '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. The applicable value domain is the SNOMED CT-AU
		<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = '15071000036100']/@referenceSetName" /><xsl:text />
		(Concept ID: '15071000036100'). The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the code is not a member of the value domain.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 2.71 of the Medication Instruction and Action Detailed Clinical Model Specification v2.4 for the information about the value domain.)<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-08" /><xsl:text />: TC-Types-08: According to the Structured Document Template the Current Medications on Discharge - Item Status (also known as Change Type) '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. It has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> but has neither an originalText nor a displayName
		so it fails to conform to the requirement 'In accordance with the requirement to completely represent section contents, values of CodedText or CodeableText data elements defined in
		the SCS SHALL include an originalText or a displayName component (or both)'.
		(See Appendix A of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 6.1 and 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090
		Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and not(cda:originalText) and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and not(cda:originalText) and not(false())">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Current Medications on Discharge - Item Status (also known as Change Type) '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is
		not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. (See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M237" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M237" />
  <xsl:template match="@*|node()" priority="-2" mode="M237">
    <xsl:apply-templates select="@*|*" mode="M237" />
  </xsl:template>
  <!--PATTERN p-TS-CurrMed-CodedText-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16146.4.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1']]/   cda:entry/cda:substanceAdministration/cda:entryRelationship[@typeCode = 'SUBJ']/cda:observation/cda:code   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M238">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16146.4.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1']]/   cda:entry/cda:substanceAdministration/cda:entryRelationship[@typeCode = 'SUBJ']/cda:observation/cda:code   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Current Medications on Discharge - Item Status '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Current Medications on Discharge - Item Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Current Medications on Discharge - Item Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Current Medications on Discharge - Item Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Current Medications on Discharge - Item Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Current Medications on Discharge - Item Status has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Current Medications on Discharge - Item Status data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Current Medications on Discharge - Item Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Current Medications on Discharge - Item Status data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Current Medications on Discharge - Item Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Current Medications on Discharge - Item Status data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Current Medications on Discharge - Item Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Current Medications on Discharge - Item Status data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Current Medications on Discharge - Item Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Current Medications on Discharge - Item Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Current Medications on Discharge - Item Status data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Current Medications on Discharge - Item Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Current Medications on Discharge - Item Status data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Current Medications on Discharge - Item Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Current Medications on Discharge - Item Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Current Medications on Discharge - Item Status data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Current Medications on Discharge - Item Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Current Medications on Discharge - Item Status data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Current Medications on Discharge - Item Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Current Medications on Discharge - Item Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M238" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M238" />
  <xsl:template match="@*|node()" priority="-2" mode="M238">
    <xsl:apply-templates select="@*|*" mode="M238" />
  </xsl:template>
  <!--PATTERN p-TS-CurrMed-Duration-TimeInterval-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16146.4.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1']]/cda:entry/        cda:substanceAdministration[@classCode = 'SBADM']/cda:effectiveTime " priority="1000" mode="M239">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16146.4.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1']]/cda:entry/        cda:substanceAdministration[@classCode = 'SBADM']/cda:effectiveTime " />
    <xsl:variable name="is-Duration" select="exists(cda:width) " />
    <xsl:variable name="is-TimeInterval" select="not(exists(cda:width))  " />
    <xsl:variable name="unit" select="if (not($is-Duration)) then '' else if (not(cda:width/@unit)) then '1' else dh:XQueryRecursiveReplace(cda:width/@unit, $ucum-annotation-replacement, '') " />
    <xsl:variable name="a-time-unit" select="cda:width/@unit and matches($unit, $ucum-time-unit-regex) " />
    <xsl:variable name="unit-validation" select="if (cda:width/@unit and not($a-time-unit)) then dh:ValidateUCUM($unit) else '' " />
    <xsl:variable name="tc-types-93-err" select="cda:width/@unit and not($a-time-unit) and $unit-validation = 'INVALID' " />
    <xsl:variable name="low-inclusive" select="if (not(cda:low)) then '' else if (cda:low/@inclusive='false') then ' (excluded)' else ' (included)' " />
    <xsl:variable name="high-inclusive" select="if (not(cda:high)) then '' else if (cda:high/@inclusive='false') then ' (excluded)' else ' (included)' " />
    <xsl:variable name="display-interval" select="if (not($is-TimeInterval)) then ''       else if (@value and cda:low/@value and cda:high/@value)         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34), ', low value ', codepoints-to-string(34), cda:low/@value,        codepoints-to-string(34), $low-inclusive, ' and high value ', codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)        else if (@value and cda:low/@value and not(cda:high/@value))         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34), ' and low value ', codepoints-to-string(34), cda:low/@value,        codepoints-to-string(34), $low-inclusive)       else if (@value and not(cda:low/@value) and cda:high/@value)         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34), ' and high value ', codepoints-to-string(34),        cda:high/@value, codepoints-to-string(34), $high-inclusive)       else if (not(@value) and cda:low/@value and cda:high/@value)         then concat('low value ', codepoints-to-string(34), cda:low/@value, codepoints-to-string(34), $low-inclusive, ' and high value ',         codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)       else if (@value and not(cda:low/@value) and not(cda:high/@value))         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34))       else if (not(@value) and cda:low/@value and not(cda:high/@value))         then concat('low value ', codepoints-to-string(34), cda:low/@value, codepoints-to-string(34), $low-inclusive)       else if (not(@value) and not(cda:low/@value) and cda:high/@value)         then concat('high value ', codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)       else '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text1" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 8.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="message-text2" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="message-text3" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See sections 8.6 and 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="message-text4" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See sections 8.5 and 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-22" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-22 else $rating-alt-TC-Types-22 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <xsl:variable name="rating-98" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-98 else $rating-alt-TC-Types-98 " />
    <!--REPORT -->
    <xsl:if test=" (($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true') and $is-Duration ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="(($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true') and $is-Duration">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-17: The Medication Duration '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Duration data type and
		<xsl:text /><xsl:value-of select="if (cda:width/@value and cda:width/@nullFlavor) then concat('has a value attribute with the value ''', cda:width/@value,     ''' and a nullFlavor attribute with the value ''', cda:width/@nullFlavor, '''')   else if (cda:width/@value and not(cda:width/@nullFlavor)) then concat('has a value attribute with the value ''', cda:width/@value, '''')   else if (not(cda:width/@value) and cda:width/@nullFlavor) then concat('has a nullFlavor attribute with the value ''', cda:width/@nullFlavor, '''')   else 'has a width with no value or nullFlavor attributes' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (cda:width/@unit = '1') then ' The unit attribute has the value ''1'' which is the default value assigned by the CDA schema'   else if (cda:width/@unit) then concat(' The unit attribute has the value ''', cda:width/@unit, '''') else ' There is no unit attribute' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" (($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true') and $is-TimeInterval ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="(($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true') and $is-TimeInterval">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-22: The Medication Duration '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type
		and <xsl:text /><xsl:value-of select="if (@value or cda:low/@value or cda:high/@value) then concat('has ''', $display-interval)   else 'has no value attribute and no low or high data elements' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@nullFlavor) then concat('The nullFlavor attribute has the value ''', @nullFlavor, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" (($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true') and not($is-TimeInterval or $is-Duration) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="(($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true') and not($is-TimeInterval or $is-Duration)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-17 and TC-Types-22: The Medication Duration '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> may have either
		the TimeInterval or Duration data type. <xsl:text /><xsl:value-of select="if (@nullFlavor) then concat('The nullFlavor attribute has the value ''', @nullFlavor, '''.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (@unit = '1') then ' The unit attribute has the value ''1'' which is the default value assigned by the CDA schema'   else if (@unit) then concat(' The unit attribute has the value ''', @unit, '''') else ' There is no unit attribute' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 5.19 of the Discharge Summary Structured Document Template v3.3 the Medication Duration
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> may have either the Duration or
		TimeInterval data type however it has nullFlavor = 'UNC' (uncoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include
		nullFlavor = 'UNC'. (See sections 8.5 and 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-17 and TC-Types-22: According to section 5.19 of the Discharge Summary Structured Document Template v3.3 the Medication Duration
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> may have either the
		Duration or TimeInterval data type so the HL7 'IVL_TS' data type was expected however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present.
		(See sections 8.5 and 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-17 and TC-Types-22: According to section 5.19 of the Discharge Summary Structured Document Template v3.3 the Medication Duration
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> may have either the
		Duration or TimeInterval data type so the HL7 'IVL_TS' data type was expected however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'IVL_TS'.
		(See sections 8.5 and 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not(@nullFlavor or cda:width or cda:low or cda:high) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor or cda:width or cda:low or cda:high)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-17 and TC-Types-22: According to section 5.19 of the Discharge Summary Structured Document Template v3.3 the Medication Duration '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> may have either the Duration or TimeInterval data type. The Medication Duration '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element does not have nullFlavor, width, low or high elements. At least one of these must be present for the Medication Duration
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		to meet the requirements of Duration or a TimeInterval. (See sections 8.5 and 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('low', 'high', 'width'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('low', 'high', 'width'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.19 of the Discharge Summary Structured Document Template v3.3 the Medication Duration
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> may have either the Duration or TimeInterval data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('low', 'high', 'width'))])" /><xsl:text />' was found
		that is not expected for either the Duration or TimeInterval data types so this element is an extension.
		<xsl:text /><xsl:value-of select="$message-text4" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('low', 'high', 'width'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('low', 'high', 'width'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.19 of the Discharge Summary Structured Document Template v3.3 the Medication Duration '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> may have either the Duration or TimeInterval data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('low', 'high', 'width'))])" /><xsl:text />' was found
		that is not expected for either the Duration or TimeInterval data types so this element is an extension.
		<xsl:text /><xsl:value-of select="$message-text4" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:width and *[not(local-name() = 'width')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:width and *[not(local-name() = 'width')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.19 of the Discharge Summary Structured Document Template v3.3 the Medication Duration '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> may have either the Duration or TimeInterval data type. It has the width attribute so the
		option of a Duration has been chosen however a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = 'width')])" /><xsl:text />' was found
		that is not expected for the Duration data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:width and *[not(local-name() = ('low', 'high', 'width'))]  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:width and *[not(local-name() = ('low', 'high', 'width'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.19 of the Discharge Summary Structured Document Template v3.3 the Medication Duration '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> may have either the Duration or TimeInterval data type. It has the width attribute so the
		option of a Duration has been chosen however a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('low', 'high', 'width'))])" /><xsl:text />' was found
		that is not expected for the Duration data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:width and    cda:width/@*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:width and cda:width/@*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.19 of the Discharge Summary Structured Document Template v3.3 the Medication Duration
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> may have either the Duration or TimeInterval data type. It has the width attribute so the option of a
		Duration has been chosen however an attribute
		'<xsl:text /><xsl:value-of select="local-name(cda:width/@*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the
		Duration data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:width and    cda:width/@*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:width and cda:width/@*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.19 of the Discharge Summary Structured Document Template v3.3 the Medication Duration '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> may have either the Duration or TimeInterval data type. It has the width attribute so the option of a
		Duration has been chosen however an attribute
		'<xsl:text /><xsl:value-of select="local-name(cda:width/@*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the
		Duration data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:width/cda:originalText) and cda:width/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:width/cda:originalText) and cda:width/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 5.19 of the Discharge Summary Structured Document Template v3.3 the Medication Duration '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> may have either the Duration or
		TimeInterval data type. It has the width element so the option of a
		Duration has been chosen however it has width/nullFlavor 'UNC' (uncoded) which may only be used when there is an originalText.
		An originalText is not present so it is an error to include a nullFlavor attribute with the value 'UNC'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and (cda:low or cda:high) and *[not(local-name() = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and (cda:low or cda:high) and *[not(local-name() = ('low', 'high'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.19 of the Discharge Summary Structured Document Template v3.3 the Medication Duration '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> may have either the Duration or TimeInterval data type. It has a
		<xsl:text /><xsl:value-of select="if (cda:low and cda:high) then ' low and high' else if (cda:low) then ' low' else ' high' " /><xsl:text /> element so the
		option of a TimeInterval has been chosen however a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('low', 'high'))])" /><xsl:text />' was found
		that is not expected for the TimeInterval data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and (cda:low or cda:high) and *[not(local-name() = ('low', 'high', 'width'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and (cda:low or cda:high) and *[not(local-name() = ('low', 'high', 'width'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.19 of the Discharge Summary Structured Document Template v3.3 the Medication Duration
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> may have either the Duration or TimeInterval data type. It has a
		<xsl:text /><xsl:value-of select="if (cda:low and cda:high) then ' low and high' else if (cda:low) then ' low' else ' high' " /><xsl:text /> element so the
		option of a TimeInterval has been chosen however a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('low', 'high', 'width'))])" /><xsl:text />' was found
		that is not expected for the TimeInterval data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and cda:width and (cda:low and not(cda:high)) or (not(cda:low) and cda:high) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and cda:width and (cda:low and not(cda:high)) or (not(cda:low) and cda:high)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.19 of the Discharge Summary Structured Document Template v3.3 the Medication Duration
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> may have either the Duration or TimeInterval data type. It has a
		<xsl:text /><xsl:value-of select="if (cda:low) then ' low' else ' high' " /><xsl:text /> element so the data element is a TimeInterval however a width element is also present.		
		This is an error as the presence of a <xsl:text /><xsl:value-of select="if (cda:low) then 'low' else 'high' " /><xsl:text /> element without a <xsl:text /><xsl:value-of select="if (cda:low) then 'high' else 'low' " /><xsl:text /> element
		means the TimeInterval is unbounded in one direction however the width element implies the interval is bounded. That is the width element is an extension that qualifies the
		time interval whereas an extension is allowed only if it does not qualify or negate the time interval.
		(See the definition of Medication Duration in the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text />, section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0
		and <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)
		As the <xsl:text /><xsl:value-of select="if (cda:low) then 'start' else 'end' " /><xsl:text /> of the time interval is known then the Medication Duration must also have a
		<xsl:text /><xsl:value-of select="if (cda:low) then ' high' else ' low' " /><xsl:text /> element as the TimeInterval data type uses low and high elements rather than width to define an interval.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and (cda:low or cda:high) and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and (cda:low or cda:high) and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.19 of the Discharge Summary Structured Document Template v3.3 the Medication Duration '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> may have either the Duration or TimeInterval data type. It has a cda:low of cda:high element so the
		option of a TimeInterval has been chosen however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the TimeInterval data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and (cda:low or cda:high) and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and (cda:low or cda:high) and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.19 of the Discharge Summary Structured Document Template v3.3 the Medication Duration '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> may have either the Duration or TimeInterval data type. It has a cda:low of cda:high element so the
		option of a TimeInterval has been chosen however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the TimeInterval data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and (cda:low or cda:high) and @operator and @operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and (cda:low or cda:high) and @operator and @operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.19 of the Discharge Summary Structured Document Template v3.3 the Medication Duration '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> may have either the Duration or TimeInterval data type. It has a cda:low of cda:high element so the
		option of a TimeInterval has been chosen however an attribute 'operator' with the value
		'<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the TimeInterval data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and (cda:low or cda:high) and @operator and @operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and (cda:low or cda:high) and @operator and @operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.19 of the Discharge Summary Structured Document Template v3.3 the Medication Duration '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> may have either the Duration or TimeInterval data type. It has a cda:low of cda:high element so the
		option of a TimeInterval has been chosen however an attribute 'operator' with the value
		'<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the TimeInterval data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:low/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:low/*">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.19 of the Discharge Summary Structured Document Template v3.3 the Medication Duration 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element '<xsl:text /><xsl:value-of select="local-name(cda:low/*)" /><xsl:text />'
		was found that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text3" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/*">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.19 of the Discharge Summary Structured Document Template v3.3 the Medication Duration 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element '<xsl:text /><xsl:value-of select="local-name(cda:low/*)" /><xsl:text />'
		was found that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text3" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.19 of the Discharge Summary Structured Document Template v3.3 the Medication Duration 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text3" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.19 of the Discharge Summary Structured Document Template v3.3 the Medication Duration 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text3" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:low/@operator and cda:low/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:low/@operator and cda:low/@operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.19 of the Discharge Summary Structured Document Template v3.3 the Medication Duration 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with the value
		'<xsl:text /><xsl:value-of select="cda:low/@operator" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text3" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/@operator and cda:low/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/@operator and cda:low/@operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.19 of the Discharge Summary Structured Document Template v3.3 the Medication Duration 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with the value
		'<xsl:text /><xsl:value-of select="cda:low/@operator" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text3" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:low/cda:originalText) and cda:low/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:low/cda:originalText) and cda:low/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 5.19 of the Discharge Summary Structured Document Template v3.3 the Medication Duration 'low' child element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data
		type however it has a nullFlavor attribute with the value 'UNC' (uncoded) which may only be used when there is an originalText. An originalText is not present so it is an
		error to include nullFlavor 'UNC'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:high/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:high/*">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.19 of the Discharge Summary Structured Document Template v3.3 the Medication Duration 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element '<xsl:text /><xsl:value-of select="local-name(cda:high/*)" /><xsl:text />'
		was found that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text3" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/*">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.19 of the Discharge Summary Structured Document Template v3.3 the Medication Duration 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element '<xsl:text /><xsl:value-of select="local-name(cda:high/*)" /><xsl:text />'
		was found that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text3" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.19 of the Discharge Summary Structured Document Template v3.3 the Medication Duration 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text3" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.19 of the Discharge Summary Structured Document Template v3.3 the Medication Duration 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text3" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:high/@operator and cda:high/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:high/@operator and cda:high/@operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.19 of the Discharge Summary Structured Document Template v3.3 the Medication Duration 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with the value
		'<xsl:text /><xsl:value-of select="cda:high/@operator" /><xsl:text />' is present and is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text3" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/@operator and cda:high/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/@operator and cda:high/@operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.19 of the Discharge Summary Structured Document Template v3.3 the Medication Duration 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with the value '<xsl:text /><xsl:value-of select="cda:high/@operator" /><xsl:text />' is present and is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text3" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 5.19 of the Discharge Summary Structured Document Template v3.3 the Medication Duration 'high' child element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data
		type however it has a nullFlavor attribute with the value 'UNC' (uncoded) which may only be used when there is an originalText. An originalText is not present so it is an error
		to include nullFlavor 'UNC'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:width/@unit and not($a-time-unit) and not($tc-types-93-err) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:width/@unit and not($a-time-unit) and not($tc-types-93-err)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-98" /><xsl:text />: TC-Types-98: According to section 5.19 of the Discharge Summary Structured Document Template v3.3 the Medication Duration '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> may have either the DateTime or Duration
		data type. It has a width element so it must be a Duration however it has a width/unit attribute with the value
		'<xsl:text /><xsl:value-of select="$unit" /><xsl:text />'<xsl:text /><xsl:value-of select="if (cda:width/@unit = '1') then ' which is the default value assigned by the CDA schema.'    else if (contains($unit-validation, '|')) then '.' else if (contains($unit-validation, '~')) then concat(' which is the unit for ', substring-after($unit-validation, '~'), '.')    else '.' " /><xsl:text />
		The unit must be one of the case sensitive UCUM units for time which are listed in listed in table 5 of the UCUM specification, http://unitsofmeasure.org/ucum.html#para-31.
		(See section 7.8.10.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M239" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M239" />
  <xsl:template match="@*|node()" priority="-2" mode="M239">
    <xsl:apply-templates select="@*|*" mode="M239" />
  </xsl:template>
  <!--PATTERN p-TS-CurrMed-Duration-TimeInterval-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16146.4.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1']]/cda:entry/        cda:substanceAdministration[@classCode = 'SBADM']/cda:effectiveTime/cda:width[@unit] " priority="1000" mode="M240">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16146.4.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1']]/cda:entry/        cda:substanceAdministration[@classCode = 'SBADM']/cda:effectiveTime/cda:width[@unit] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="narr-text-el" select="(for $text in ($target-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="a-quantity-range" select="local-name(.) = 'low' or local-name(.) = 'high' " />
    <xsl:variable name="normalised-value" select="if (@value) then replace(lower-case(@value), '\s+', '') else '' " />
    <xsl:variable name="normalised-value-regex" select="if (not(contains($normalised-value, '.'))) then concat('(', $normalised-value, '|', $normalised-value, '\.0*)')        else if (ends-with($normalised-value, '0')) then replace(replace($normalised-value, '\.', '\\.'), '0+$', '0*')        else concat(replace($normalised-value, '\.', '\\.'), '0*') " />
    <xsl:variable name="value-regex" select="if ($normalised-value = '') then ''         else concat('(^|[^0-9])', $normalised-value-regex, '([^0-9]*$|\s+.*$)') " />
    <xsl:variable name="tables" select="$target-narr-node//cda:table " />
    <xsl:variable name="table-num" select="count($tables) " />
    <xsl:variable name="value-regex-3" select="if ($normalised-value = '' or not(exists($tables))) then ''         else concat('(^|[^0-9])', $normalised-value-regex, '([^0-9]+$|\s+.+$)') " />
    <xsl:variable name="table-value-match" select="if ($normalised-value = '' or not(exists($tables))) then () else for $i in (1 to $table-num) return         if (not($tables[$i]//cda:td[matches(., $value-regex, 'is')])) then '0'        else if ($tables[$i]//cda:td[matches(., $value-regex-3, 'is')]) then '3'        else if ($tables[$i]//cda:td[replace(lower-case(.), '\s+', '') = $normalised-value]) then '2'        else '1' " />
    <xsl:variable name="unit-1" select="dh:XQueryRecursiveReplace(@unit, $ucum-annotation-replacement, '')" />
    <xsl:variable name="unit-2" select="if ($a-quantity-range) then dh:XQueryRecursiveReplace(../@unit, $ucum-annotation-replacement, '') else '' " />
    <xsl:variable name="unit" select="if (not($a-quantity-range) or $unit-2 = '') then $unit-1        else if ($unit-1 = '1' and $unit-2 != '1') then $unit-2         else $unit-1 " />
    <xsl:variable name="normalised-unit" select="replace(lower-case($unit), '\s+', '') " />
    <xsl:variable name="unit-validation" select="if ($unit = '1' or exists($UCUM/unit[@value = $normalised-unit])) then '' else dh:ValidateUCUM($unit) " />
    <xsl:variable name="unit-name" select="if (exists($UCUM/unit[@value = $normalised-unit])) then $UCUM/unit[@value = $normalised-unit]/@name else ''  " />
    <xsl:variable name="power-synonym" select="if (contains($normalised-unit, '10^')) then replace($normalised-unit, '10\^', '10*')        else if (contains($normalised-unit, '10*')) then replace($normalised-unit, '10\*', '10^')        else '' " />
    <xsl:variable name="special-unit-synonym" select="if (contains($normalised-unit, '['))         then (normalize-space(replace($normalised-unit, '[\[\]]', ' ')), normalize-space(replace($normalised-unit, '[\[\]]', ''))) else '' " />
    <xsl:variable name="apostrophe-synonym" select="for $syn in $special-unit-synonym return if (contains($syn, '''')) then normalize-space(replace($syn, '''', ' ')) else '' " />
    <xsl:variable name="unit-synonyms" select="if (exists($UCUM/unit[@value = $normalised-unit]))         then ($normalised-unit, $power-synonym, $special-unit-synonym, $apostrophe-synonym, $UCUM/unit[@value = $normalised-unit]/@name,          tokenize($UCUM/unit[@value = $normalised-unit]/@synonyms, '\|'))[. != '']        else ($normalised-unit, $power-synonym, $special-unit-synonym, $apostrophe-synonym)[. != ''] " />
    <xsl:variable name="search-terms-1" select="if ($normalised-value = '') then () else (for $synonym in $unit-synonyms return normalize-space(lower-case($synonym)))[. != ''] " />
    <xsl:variable name="search-terms-2" select="if ($normalised-value = '') then () else for $term in $search-terms-1 return         if ($term = '1') then $normalised-value else concat($normalised-value, $term) " />
    <xsl:variable name="search-regex-1" select="if ($normalised-value = '') then () else for $term in $search-terms-1 return          replace(replace(replace(replace(replace(replace(replace(replace(replace(replace($term, '\^', '\\^'), '\*', '\\*'), '\.', '\\.'), '\+', '\\+'),          '\)', '\\)'), '\(', '\\('), '\[', '\\['), '\]', '\\]'), '\{', '\\{'), '\}', '\\}') " />
    <xsl:variable name="search-regex-2" select="if ($normalised-value = '') then () else for $term in $search-regex-1 return         if (matches($term, '^10')) then concat('(', '(^|[^0-9])(', $normalised-value-regex, 'x{0,1}', $term, '|', 'x{0,1}', $term, ')([^0-9a-z]|$)',          ')|(', '(^|[^0-9])(', $normalised-value-regex, $term, '|', $term, ')([^0-9a-z]|$)', ')')         else if ($term = '1') then concat('(^|[^0-9])', $normalised-value-regex, '([^0-9]{1}.*$|$)')        else concat('(^|[^0-9])(', $normalised-value-regex, $term, '|', $term, ')([^0-9a-z]|$)') " />
    <xsl:variable name="quantity-match" select="if (not(exists($table-value-match)) or not(exists($table-value-match[. != '0']))) then (false())        else if ($unit = '1' and not($a-quantity-range)) then for $i in (1 to $table-num) return          ($table-value-match[$i] = '2' or boolean($tables[$i]//cda:td[matches(., $search-regex-2[1], 'is')]))        else if ($unit = '1' and $a-quantity-range) then for $i in (1 to $table-num) return not($table-value-match[$i] = '0')        else for $i in (1 to $table-num) return          if ($table-value-match[$i] = '0') then false()         else if ($table-value-match[$i] = '2') then           exists(index-of(for $term in $search-terms-1 return boolean($tables[$i]//cda:td[replace(lower-case(.), '\s+', '') = $term]), true()))         else exists(index-of(          for $j in (1 to count($search-terms-1)) return boolean($tables[$i]//cda:td[           replace(lower-case(.), '\s+', '') = $search-terms-1[$j]  or           replace(lower-case(.), '\s+', '') = $search-terms-2[$j]  or           matches(., $search-regex-2[$j], 'is')    ]), true())) " />
    <xsl:variable name="in-a-table" select="if ($normalised-value = '') then false() else exists(index-of($quantity-match, true())) " />
    <xsl:variable name="xpre-1" select="if ($normalised-value = '' or $in-a-table) then () else $target-narr-node//*[contains(@styleCode, 'xPre')] " />
    <xsl:variable name="xpre-num" select="count($xpre-1) " />
    <xsl:variable name="xpre-2" select="for $i in (1 to $xpre-num) return lower-case($xpre-1[$i]) " />
    <xsl:variable name="xpre-value-match" select="for $i in (1 to $xpre-num) return matches($xpre-2[$i], $value-regex, 'is') " />
    <xsl:variable name="xpre-quantity-match" select="if ($unit = '1') then ($xpre-value-match) else for $i in (1 to $xpre-num) return         $xpre-value-match[$i] and exists(index-of(for $term in $search-regex-2 return matches($xpre-2[$i], $term, 'is'), true())) " />
    <xsl:variable name="in-xpre" select="exists(index-of($xpre-quantity-match, true())) " />
    <xsl:variable name="narrative" select="if ($normalised-value = '' or $in-a-table or $in-xpre) then ''         else normalize-space(lower-case(string-join($target-narr-node//text()         [not(ancestor::cda:table or ancestor::cda:caption or contains(@styleCode, 'xPre'))], ''))) " />
    <xsl:variable name="narr-value-match" select="if ($normalised-value = '' or $in-a-table or $in-xpre) then true() else matches($narrative, $value-regex, 'is') " />
    <xsl:variable name="narr-quantity-match" select="if ($normalised-value = '' or $in-a-table or $in-xpre) then true()        else $narr-value-match and exists(index-of(for $term in $search-regex-2 return matches($narrative, $term, 'is'), true())) " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="quantity-text-1" select="if ($unit = '1') then concat('value ''', @value, '''') else concat('value ''', @value, ''' and unit ''', $unit, '''') " />
    <xsl:variable name="quantity-text" select="if ($unit-name = '') then $quantity-text-1 else concat($quantity-text-1, ' (the unit for ', $unit-name, ')') " />
    <xsl:variable name="inclusive-text" select="if ($a-quantity-range and @inclusive = 'true') then ' (the boundary is included)'        else if ($a-quantity-range and @inclusive = 'false') then ' (the boundary is not included)'        else '' " />
    <xsl:variable name="multimedia" select="exists($target-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$table-num = 0 and $xpre-num = 0 and not(exists($narr-text-el)) and not($multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-narr-node//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-6" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-6 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and @value and $table-num &gt; 0 and not($in-a-table or $in-xpre or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and @value and $table-num &gt; 0 and not($in-a-table or $in-xpre or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-PQ): The Medication Duration '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text />.
		Is the quantity on the boundary of a quantity range? <xsl:text /><xsl:value-of select="$a-quantity-range" /><xsl:text /><xsl:text /><xsl:value-of select="$inclusive-text" /><xsl:text />.
		When transformed the quantity value is '<xsl:text /><xsl:value-of select="$normalised-value" /><xsl:text />'.
		The narrative contains <xsl:text /><xsl:value-of select="$table-num" /><xsl:text /><xsl:text /><xsl:value-of select="if ($table-num = 1) then ' table' else ' tables' " /><xsl:text />.
		The value regular expression value-regex is '<xsl:text /><xsl:value-of select="$value-regex" /><xsl:text />'.
		The value regular expression value-regex-3 is '<xsl:text /><xsl:value-of select="$value-regex-3" /><xsl:text />'.
		Elements of table-value-match are '<xsl:text /><xsl:value-of select="string-join($table-value-match, '|')" /><xsl:text />'.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($unit-synonyms, '|')" /><xsl:text />'.
		Elements of search-terms-1 are '<xsl:text /><xsl:value-of select="string-join($search-terms-1, '|')" /><xsl:text />'.
		Elements of search-terms-2 are '<xsl:text /><xsl:value-of select="string-join($search-terms-2, '|')" /><xsl:text />'.
		Elements of search-regex-1 are '<xsl:text /><xsl:value-of select="string-join($search-regex-1, '|')" /><xsl:text />'.
		Elements of search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($search-regex-2, '|')" /><xsl:text />'.
		Elements of quantity-match are '<xsl:text /><xsl:value-of select="string-join(for $i in (1 to count($quantity-match)) return if ($quantity-match[$i]) then '1' else '0', '|')" /><xsl:text />'.
		Was the quantity found by looking in table rows? <xsl:text /><xsl:value-of select="$in-a-table" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and @value and $xpre-num &gt; 0 and not($in-a-table or $in-xpre or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and @value and $xpre-num &gt; 0 and not($in-a-table or $in-xpre or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-PQ): The Medication Duration '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text />.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($unit-synonyms, '|')" /><xsl:text />'.
		The narrative contains <xsl:text /><xsl:value-of select="$xpre-num" /><xsl:text /> elements with the xPre styleCode.
		The value regular expression value-regex is '<xsl:text /><xsl:value-of select="$value-regex" /><xsl:text />'.
		Elements of xpre-value-match are '<xsl:text /><xsl:value-of select="string-join(for $x in $xpre-value-match return if ($x) then '1' else '0', '|')" /><xsl:text />'.
		Elements of search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($search-regex-2, '|')" /><xsl:text />'.
		Elements of xpre-quantity-match are '<xsl:text /><xsl:value-of select="string-join(for $x in $xpre-quantity-match return if ($x) then '1' else '0', '|')" /><xsl:text />'.
		Was the quantity found by looking in elements with the xPre styleCode? <xsl:text /><xsl:value-of select="$in-xpre" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and @value and not($in-a-table or $narr-quantity-match or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and @value and not($in-a-table or $narr-quantity-match or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-PQ): The Medication Duration '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text />.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($unit-synonyms, '|')" /><xsl:text />'.
		The value regular expression value-regex is '<xsl:text /><xsl:value-of select="$value-regex" /><xsl:text />'.
		Was the value found in the narrative? <xsl:text /><xsl:value-of select="$narr-value-match" /><xsl:text />.
		Elements of search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($search-regex-2, '|')" /><xsl:text />'.
		Was the quantity found in the narrative? <xsl:text /><xsl:value-of select="$narr-quantity-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @value and not($narr-quantity-match or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value and not($narr-quantity-match or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-6" /><xsl:text />: TC-Narr-09 step 6: The Medication Duration '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text /> however the quantity does not seem to be
		present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Medication Duration data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and @value and not($narr-value-match or $narr-quantity-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and @value and not($narr-value-match or $narr-quantity-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-6" /><xsl:text />: TC-Narr-09 step 6: The Medication Duration '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text /> however the quantity is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and @value and not($narr-value-match or $narr-quantity-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and @value and not($narr-value-match or $narr-quantity-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-6" /><xsl:text />: TC-Narr-09 step 6: The Medication Duration '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text /> however the quantity is not present in the narrative of the section.
		The Medication Duration data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'QS', 'TRC', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'QS', 'TRC', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Medication Duration '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M240" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M240" />
  <xsl:template match="@*|node()" priority="-2" mode="M240">
    <xsl:apply-templates select="@*|*" mode="M240" />
  </xsl:template>
  <!--PATTERN p-TS-CurrMed-Duration-TimeInterval-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16146.4.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1']]/cda:entry/        cda:substanceAdministration[@classCode = 'SBADM']/cda:effectiveTime   [not((cda:low/@value and (number(substring(cda:low/@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(cda:low/@value,1,4)) &gt; number($creation-date-yr) + 130)) or     (cda:high/@value and (number(substring(cda:high/@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(cda:high/@value,1,4)) &gt; number($creation-date-yr) + 130)))] " priority="1000" mode="M241">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16146.4.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1']]/cda:entry/        cda:substanceAdministration[@classCode = 'SBADM']/cda:effectiveTime   [not((cda:low/@value and (number(substring(cda:low/@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(cda:low/@value,1,4)) &gt; number($creation-date-yr) + 130)) or     (cda:high/@value and (number(substring(cda:high/@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(cda:high/@value,1,4)) &gt; number($creation-date-yr) + 130)))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="fir-narrative" select="translate(normalize-space(lower-case(string($fir-narr-node))), $chars-to-remove, '')" />
    <xsl:variable name="sec-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)        then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]        else () " />
    <xsl:variable name="sec-narr-node" select="$sec-section/cda:text " />
    <xsl:variable name="narr-text-el" select="(for $text in ($fir-narr-node//text(), $sec-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="sec-narrative" select="translate(normalize-space(lower-case(string($sec-narr-node))), $chars-to-remove, '') " />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="narrative" select="concat($target-title, $fir-narrative, $sec-narrative)" />
    <xsl:variable name="narr-elements" select="$fir-narr-node//cda:*[exists(text()[normalize-space() != '']) and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ]  |             $sec-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ] " />
    <xsl:variable name="narr-lower-case" select="for $i in (1 to count($narr-elements)) return lower-case(normalize-space(string-join($narr-elements[$i]/text(), '')))  " />
    <xsl:variable name="dt-narr-elements" select="$narr-lower-case[matches(., $regex-date-type-1, 'i') or matches(., $regex-date-type-2, 'i') or matches(., $regex-date-type-3, 'i')] " />
    <xsl:variable name="narr-elements-start" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-before($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-before($dt-narr-elements[$i], ' -'))        else $dt-narr-elements[$i])[. != ''] " />
    <xsl:variable name="narr-elements-end" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-after($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-after($dt-narr-elements[$i], ' -'))        else '')[. != ''] " />
    <xsl:variable name="narr-dateTimes" select="distinct-values(($narr-elements-start , $narr-elements-end))[. != '(ongoing)'] " />
    <xsl:variable name="l-dt-value" select="if (@value) then @value        else if (cda:low/@value) then cda:low/@value        else '' " />
    <xsl:variable name="l-no-time-zone" select="if (contains($l-dt-value, '+')) then substring-before($l-dt-value, '+')       else if (contains($l-dt-value, '-')) then substring-before($l-dt-value, '-')       else $l-dt-value " />
    <xsl:variable name="l-length" select="string-length($l-no-time-zone) " />
    <xsl:variable name="l-year" select="if ($l-length &gt; 3) then substring($l-no-time-zone,1,4) else '' " />
    <xsl:variable name="l-month-num" select="if ($l-length &gt; 5) then substring($l-no-time-zone,5,2) else '' " />
    <xsl:variable name="l-day" select="if ($l-length &gt; 7 and substring($l-no-time-zone,7,1) = '0') then substring($l-no-time-zone,8,1)       else if ($l-length &gt; 7 and substring($l-no-time-zone,7,1) != '0') then substring($l-no-time-zone,7,2) else '' " />
    <xsl:variable name="l-hour-long" select="if ($l-length &gt; 9) then substring($l-no-time-zone,9,2) else '' " />
    <xsl:variable name="l-hour-short" select="if (substring($l-hour-long, 1, 1) = '0') then substring($l-hour-long, 2, 1) else '' " />
    <xsl:variable name="l-minute" select="if ($l-length &gt; 11) then substring($l-no-time-zone,11,2) else '' " />
    <xsl:variable name="l-second" select="if ($l-length &gt; 13) then substring($l-no-time-zone,13,2) else '' " />
    <xsl:variable name="l-time-zone" select="if (contains($l-dt-value, '+')) then concat('\+', substring-after($l-dt-value, '+'))       else if (contains($l-dt-value, '-')) then concat('\-', substring-after($l-dt-value, '-'))       else '' " />
    <xsl:variable name="l-month-short" select="if ($l-month-num = '01') then 'jan'   else             if ($l-month-num = '02') then 'feb'   else             if ($l-month-num = '03') then 'mar'   else             if ($l-month-num = '04') then 'apr'   else             if ($l-month-num = '05') then 'may'   else             if ($l-month-num = '06') then 'jun'   else             if ($l-month-num = '07') then 'jul'   else             if ($l-month-num = '08') then 'aug'   else             if ($l-month-num = '09') then 'sep'   else             if ($l-month-num = '10') then 'oct'   else             if ($l-month-num = '11') then 'nov'   else             if ($l-month-num = '12') then 'dec'   else '' " />
    <xsl:variable name="l-month-long" select="if ($l-month-num = '01') then 'january'   else             if ($l-month-num = '02') then 'february'  else             if ($l-month-num = '03') then 'march'   else             if ($l-month-num = '04') then 'april'   else             if ($l-month-num = '05') then 'may'   else             if ($l-month-num = '06') then 'june'   else             if ($l-month-num = '07') then 'july'   else             if ($l-month-num = '08') then 'august'   else             if ($l-month-num = '09') then 'september'  else             if ($l-month-num = '10') then 'october'   else             if ($l-month-num = '11') then 'november'  else             if ($l-month-num = '12') then 'december'  else '' " />
    <xsl:variable name="l-date-type-3-day" select="if (string-length($l-day) = 1) then concat('0{0,1}', $l-day) else $l-day " />
    <xsl:variable name="l-date-type-3-month" select="if (string-length($l-month-num) = 1) then concat('0{0,1}', $l-month-num)        else if (substring($l-month-num, 1, 1) = '0') then concat('0{0,1}', substring($l-month-num, 2, 1))         else $l-month-num " />
    <xsl:variable name="l-dt-sequence-1" select="if ($l-length = 4) then (         concat('^', $l-dt-value)        ,          concat('^', $l-year)         )        else if ($l-length = 6) then (         concat('^', $l-dt-value)        ,         concat('^', $l-month-short, $date-sep, $l-year)      ,          concat('^', $l-month-long, $date-sep, $l-year)      )        else if ($l-length &gt; 7) then (         concat('^', $l-dt-value)        ,         concat('^', $l-date-type-3-day, $date-sep, $l-month-short, $date-sep, $l-year)  ,         concat('^', $l-date-type-3-day, $date-sep, $l-month-long, $date-sep, $l-year)  ,         concat('^', $l-date-type-3-day, '/', $l-date-type-3-month, '/', $l-year)  )        else () " />
    <xsl:variable name="l-matching-seq-1" select="if (exists($l-dt-sequence-1))        then index-of(for $i in (1 to count($l-dt-sequence-1)) return exists($narr-dateTimes[matches(., $l-dt-sequence-1[$i], 'i')]), true())        else () " />
    <xsl:variable name="l-dt-stem-1" select="for $i in (1 to count($l-matching-seq-1)) return $l-dt-sequence-1[$l-matching-seq-1[$i]] " />
    <xsl:variable name="l-dt-regex-1" select="if (exists($l-dt-stem-1)) then concat('(', string-join($l-dt-stem-1, '$)|('), '$)') else ()" />
    <xsl:variable name="l-dt-match-1" select="exists($l-dt-stem-1) and exists($narr-dateTimes[matches(., $l-dt-regex-1, 'i')])" />
    <xsl:variable name="l-time-1" select="if ($l-length &gt; 11 and $l-hour-short != '') then concat($l-hour-short, ':', $l-minute, '( *| *am)') else '' " />
    <xsl:variable name="l-time-2" select="if ($l-length &gt; 13 and $l-hour-short != '') then concat($l-hour-short, ':', $l-minute, ':', $l-second, '( *| *am)') else '' " />
    <xsl:variable name="l-time-3" select="if ($l-length &gt; 11 and number($l-hour-long) &lt; 12) then concat($l-hour-long, ':', $l-minute, '( *| *am)')        else if ($l-length &gt; 11) then concat($l-hour-long, ':', $l-minute) else '' " />
    <xsl:variable name="l-time-4" select="if ($l-length &gt; 13 and number($l-hour-long) &lt; 12) then concat($l-hour-long, ':', $l-minute, ':', $l-second, '( *| *am)')        else if ($l-length &gt; 13) then concat($l-hour-long, ':', $l-minute, ':', $l-second) else '' " />
    <xsl:variable name="l-time-5" select="if ($l-length &gt; 11 and number($l-hour-long) &gt; 12) then concat(string(number($l-hour-long) - 12), ':', $l-minute, '( *| *pm)') else '' " />
    <xsl:variable name="l-time-6" select="if ($l-length &gt; 13 and number($l-hour-long) &gt; 12) then concat(string(number($l-hour-long) - 12), ':', $l-minute, ':', $l-second, '( *| *pm)') else '' " />
    <xsl:variable name="l-dt-temp-0" select="if (exists($l-dt-stem-1) and $l-length = 8) then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $narr-time-regex) else () " />
    <xsl:variable name="l-dt-temp-1" select="if (exists($l-dt-stem-1) and $l-time-1 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-1) else () " />
    <xsl:variable name="l-dt-temp-2" select="if (exists($l-dt-stem-1) and $l-time-2 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-2) else () " />
    <xsl:variable name="l-dt-temp-3" select="if (exists($l-dt-stem-1) and $l-time-3 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-3) else () " />
    <xsl:variable name="l-dt-temp-4" select="if (exists($l-dt-stem-1) and $l-time-4 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-4) else () " />
    <xsl:variable name="l-dt-temp-5" select="if (exists($l-dt-stem-1) and $l-time-5 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-5) else () " />
    <xsl:variable name="l-dt-temp-6" select="if (exists($l-dt-stem-1) and $l-time-6 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-6) else () " />
    <xsl:variable name="l-dt-sequence-2" select="($l-dt-temp-0, $l-dt-temp-1, $l-dt-temp-2, $l-dt-temp-3, $l-dt-temp-4, $l-dt-temp-5, $l-dt-temp-6)" />
    <xsl:variable name="l-matching-seq-2" select="if (exists($l-dt-sequence-2))        then index-of(for $i in (1 to count($l-dt-sequence-2)) return exists($narr-dateTimes[matches(., $l-dt-sequence-2[$i], 'i')]), true())        else () " />
    <xsl:variable name="l-dt-stem-2" select="for $i in (1 to count($l-matching-seq-2)) return $l-dt-sequence-2[$l-matching-seq-2[$i]] " />
    <xsl:variable name="l-dt-regex-2" select="if (exists($l-dt-stem-2)) then concat('(', string-join($l-dt-stem-2, '$)|('), '$)') else '' " />
    <xsl:variable name="l-dt-match-2" select="(exists($l-dt-stem-2) and exists($narr-dateTimes[matches(., $l-dt-regex-2, 'i')])) " />
    <xsl:variable name="l-dt-sequence-3" select="if (not($l-dt-match-2) and exists($l-dt-stem-2) and $l-time-zone != '') then for $i in (1 to count($l-dt-stem-2)) return        concat($l-dt-stem-2[$i], substring($l-time-zone, 1, 4), ':?', substring($l-time-zone, 5, 2)) else () " />
    <xsl:variable name="l-dt-regex-3" select="if ($l-dt-match-2) then '' else if (exists($l-dt-sequence-3)) then concat('(', string-join($l-dt-sequence-3, '$)|('), '$)') else '' " />
    <xsl:variable name="l-dt-match-3" select="($l-dt-match-2 or (exists($l-dt-sequence-3) and exists($narr-dateTimes[matches(., $l-dt-regex-3, 'i')]))) " />
    <xsl:variable name="l-narr-match" select="if ($l-dt-value != '' and count($narr-dateTimes) = 0) then      (       contains($narrative, $l-dt-value)                or       (string-length($l-dt-value) = 4 and contains($narrative, $l-year))             or        (string-length($l-dt-value) = 6 and contains($narrative, concat($l-month-short, $l-year)))          or       (string-length($l-dt-value) &gt; 7 and starts-with($l-day, '0') and        (contains($narrative, concat(substring($l-day,2,1), $l-month-short, $l-year)) or         contains($narrative, concat(substring($l-day,2,1), $l-month-num, $l-year))))          or       (string-length($l-dt-value) &gt; 7 and (contains($narrative, concat($l-day, $l-month-short, $l-year)) or contains($narrative, concat($l-day, $l-month-num, $l-year))))        )       else false() " />
    <xsl:variable name="h-dt-value" select="if (cda:high/@value and $l-dt-value != cda:high/@value) then cda:high/@value        else '' " />
    <xsl:variable name="h-no-time-zone" select="if (contains($h-dt-value, '+')) then substring-before($h-dt-value, '+')       else if (contains($h-dt-value, '-')) then substring-before($h-dt-value, '-')       else $h-dt-value " />
    <xsl:variable name="h-length" select="string-length($h-no-time-zone) " />
    <xsl:variable name="h-year" select="if ($h-length &gt; 3) then substring($h-no-time-zone,1,4) else '' " />
    <xsl:variable name="h-month-num" select="if ($h-length &gt; 5) then substring($h-no-time-zone,5,2) else '' " />
    <xsl:variable name="h-day" select="if ($h-length &gt; 7 and substring($h-no-time-zone,7,1) = '0') then substring($h-no-time-zone,8,1)       else if ($h-length &gt; 7 and substring($h-no-time-zone,7,1) != '0') then substring($h-no-time-zone,7,2) else '' " />
    <xsl:variable name="h-hour-long" select="if ($h-length &gt; 9) then substring($h-no-time-zone,9,2) else '' " />
    <xsl:variable name="h-hour-short" select="if (substring($h-hour-long, 1, 1) = '0') then substring($h-hour-long, 2, 1) else '' " />
    <xsl:variable name="h-minute" select="if ($h-length &gt; 11) then substring($h-no-time-zone,11,2) else '' " />
    <xsl:variable name="h-second" select="if ($h-length &gt; 13) then substring($h-no-time-zone,13,2) else '' " />
    <xsl:variable name="h-time-zone" select="if (contains($h-dt-value, '+')) then concat('\+', substring-after($h-dt-value, '+'))       else if (contains($h-dt-value, '-')) then concat('\-', substring-after($h-dt-value, '-'))       else '' " />
    <xsl:variable name="h-month-short" select="if ($h-month-num = '01') then 'jan'   else             if ($h-month-num = '02') then 'feb'   else             if ($h-month-num = '03') then 'mar'   else             if ($h-month-num = '04') then 'apr'   else             if ($h-month-num = '05') then 'may'   else             if ($h-month-num = '06') then 'jun'   else             if ($h-month-num = '07') then 'jul'   else             if ($h-month-num = '08') then 'aug'   else             if ($h-month-num = '09') then 'sep'   else             if ($h-month-num = '10') then 'oct'   else             if ($h-month-num = '11') then 'nov'   else             if ($h-month-num = '12') then 'dec'   else '' " />
    <xsl:variable name="h-month-long" select="if ($h-month-num = '01') then 'january'   else             if ($h-month-num = '02') then 'february'  else             if ($h-month-num = '03') then 'march'   else             if ($h-month-num = '04') then 'april'   else             if ($h-month-num = '05') then 'may'   else             if ($h-month-num = '06') then 'june'   else             if ($h-month-num = '07') then 'july'   else             if ($h-month-num = '08') then 'august'   else             if ($h-month-num = '09') then 'september'  else             if ($h-month-num = '10') then 'october'   else             if ($h-month-num = '11') then 'november'  else             if ($h-month-num = '12') then 'december'  else '' " />
    <xsl:variable name="h-date-type-3-day" select="if (string-length($h-day) = 1) then concat('0{0,1}', $h-day) else $h-day " />
    <xsl:variable name="h-date-type-3-month" select="if (string-length($h-month-num) = 1) then concat('0{0,1}', $h-month-num)        else if (substring($h-month-num, 1, 1) = '0') then concat('0{0,1}', substring($h-month-num, 2, 1))         else $h-month-num " />
    <xsl:variable name="h-dt-sequence-1" select="if ($h-length = 4) then (         concat('^', $h-dt-value)        ,          concat('^', $h-year)         )        else if ($h-length = 6) then (         concat('^', $h-dt-value)        ,         concat('^', $h-month-short, $date-sep, $h-year)      ,          concat('^', $h-month-long, $date-sep, $h-year)      )        else if ($h-length &gt; 7) then (         concat('^', $h-dt-value)        ,         concat('^', $h-date-type-3-day, $date-sep, $h-month-short, $date-sep, $h-year)  ,         concat('^', $h-date-type-3-day, $date-sep, $h-month-long, $date-sep, $h-year)  ,         concat('^', $h-date-type-3-day, '/', $h-date-type-3-month, '/', $h-year)  )        else () " />
    <xsl:variable name="h-matching-seq-1" select="if (exists($h-dt-sequence-1))        then index-of(for $i in (1 to count($h-dt-sequence-1)) return exists($narr-dateTimes[matches(., $h-dt-sequence-1[$i], 'i')]), true())        else () " />
    <xsl:variable name="h-dt-stem-1" select="for $i in (1 to count($h-matching-seq-1)) return $h-dt-sequence-1[$h-matching-seq-1[$i]] " />
    <xsl:variable name="h-dt-regex-1" select="if (exists($h-dt-stem-1)) then concat('(', string-join($h-dt-stem-1, '$)|('), '$)') else ()" />
    <xsl:variable name="h-dt-match-1" select="exists($h-dt-stem-1) and exists($narr-dateTimes[matches(., $h-dt-regex-1, 'i')])" />
    <xsl:variable name="h-time-1" select="if ($h-length &gt; 11 and $h-hour-short != '') then concat($h-hour-short, ':', $h-minute, '( *| *am)') else '' " />
    <xsl:variable name="h-time-2" select="if ($h-length &gt; 13 and $h-hour-short != '') then concat($h-hour-short, ':', $h-minute, ':', $h-second, '( *| *am)') else '' " />
    <xsl:variable name="h-time-3" select="if ($h-length &gt; 11 and number($h-hour-long) &lt; 12) then concat($h-hour-long, ':', $h-minute, '( *| *am)')        else if ($h-length &gt; 11) then concat($h-hour-long, ':', $h-minute) else '' " />
    <xsl:variable name="h-time-4" select="if ($h-length &gt; 13 and number($h-hour-long) &lt; 12) then concat($h-hour-long, ':', $h-minute, ':', $h-second, '( *| *am)')        else if ($h-length &gt; 13) then concat($h-hour-long, ':', $h-minute, ':', $h-second) else '' " />
    <xsl:variable name="h-time-5" select="if ($h-length &gt; 11 and number($h-hour-long) &gt; 12) then concat(string(number($h-hour-long) - 12), ':', $h-minute, '( *| *pm)') else '' " />
    <xsl:variable name="h-time-6" select="if ($h-length &gt; 13 and number($h-hour-long) &gt; 12) then concat(string(number($h-hour-long) - 12), ':', $h-minute, ':', $h-second, '( *| *pm)') else '' " />
    <xsl:variable name="h-dt-temp-0" select="if (exists($h-dt-stem-1) and $h-length = 8) then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $narr-time-regex) else () " />
    <xsl:variable name="h-dt-temp-1" select="if (exists($h-dt-stem-1) and $h-time-1 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-1) else () " />
    <xsl:variable name="h-dt-temp-2" select="if (exists($h-dt-stem-1) and $h-time-2 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-2) else () " />
    <xsl:variable name="h-dt-temp-3" select="if (exists($h-dt-stem-1) and $h-time-3 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-3) else () " />
    <xsl:variable name="h-dt-temp-4" select="if (exists($h-dt-stem-1) and $h-time-4 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-4) else () " />
    <xsl:variable name="h-dt-temp-5" select="if (exists($h-dt-stem-1) and $h-time-5 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-5) else () " />
    <xsl:variable name="h-dt-temp-6" select="if (exists($h-dt-stem-1) and $h-time-6 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-6) else () " />
    <xsl:variable name="h-dt-sequence-2" select="($h-dt-temp-0, $h-dt-temp-1, $h-dt-temp-2, $h-dt-temp-3, $h-dt-temp-4, $h-dt-temp-5, $h-dt-temp-6)" />
    <xsl:variable name="h-matching-seq-2" select="if (exists($h-dt-sequence-2))        then index-of(for $i in (1 to count($h-dt-sequence-2)) return exists($narr-dateTimes[matches(., $h-dt-sequence-2[$i], 'i')]), true())        else () " />
    <xsl:variable name="h-dt-stem-2" select="for $i in (1 to count($h-matching-seq-2)) return $h-dt-sequence-2[$h-matching-seq-2[$i]] " />
    <xsl:variable name="h-dt-regex-2" select="if (exists($h-dt-stem-2)) then concat('(', string-join($h-dt-stem-2, '$)|('), '$)') else '' " />
    <xsl:variable name="h-dt-match-2" select="(exists($h-dt-stem-2) and exists($narr-dateTimes[matches(., $h-dt-regex-2, 'i')])) " />
    <xsl:variable name="h-dt-sequence-3" select="if (not($h-dt-match-2) and exists($h-dt-stem-2) and $h-time-zone != '') then for $i in (1 to count($h-dt-stem-2)) return        concat($h-dt-stem-2[$i], substring($h-time-zone, 1, 4), ':?', substring($h-time-zone, 5, 2)) else () " />
    <xsl:variable name="h-dt-regex-3" select="if ($h-dt-match-2) then '' else if (exists($h-dt-sequence-3)) then concat('(', string-join($h-dt-sequence-3, '$)|('), '$)') else '' " />
    <xsl:variable name="h-dt-match-3" select="($h-dt-match-2 or (exists($h-dt-sequence-3) and exists($narr-dateTimes[matches(., $h-dt-regex-3, 'i')]))) " />
    <xsl:variable name="h-narr-match" select="if ($h-dt-value != '' and count($narr-dateTimes) = 0) then      (       contains($narrative, $h-dt-value)                or       (string-length($h-dt-value) = 4 and contains($narrative, $h-year))             or        (string-length($h-dt-value) = 6 and contains($narrative, concat($h-month-short, $h-year)))          or       (string-length($h-dt-value) &gt; 7 and starts-with($h-day, '0') and        (contains($narrative, concat(substring($h-day,2,1), $h-month-short, $h-year)) or         contains($narrative, concat(substring($h-day,2,1), $h-month-num, $h-year))))          or       (string-length($h-dt-value) &gt; 7 and (contains($narrative, concat($h-day, $h-month-short, $h-year)) or contains($narrative, concat($h-day, $h-month-num, $h-year))))        )       else false() " />
    <xsl:variable name="h-nullFlavor-values" select="if (cda:high/@nullFlavor and cda:high/@nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))        then $nullFlavors/nullFlavor[@value = current()/cda:high/@nullFlavor] else () " />
    <xsl:variable name="h-null-to-find" select="exists($h-nullFlavor-values) " />
    <xsl:variable name="h-null-in-narr" select="($h-nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $h-nullFlavor-values/@name-regex, 'is')])) or              ($h-nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $h-nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="l-nullFlavor-values" select="if (cda:low/@nullFlavor and cda:low/@nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))        then $nullFlavors/nullFlavor[@value = current()/cda:low/@nullFlavor] else () " />
    <xsl:variable name="l-null-to-find" select="exists($l-nullFlavor-values) " />
    <xsl:variable name="l-null-in-narr" select="($l-nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $l-nullFlavor-values/@name-regex, 'is')])) or              ($l-nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $l-nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="l-dt-name" select="if ($l-dt-value = cda:low/@value) then ' low' else '' " />
    <xsl:variable name="l-dt-msg" select="if ($l-dt-value = cda:low/@value) then ' This date/time is the low boundary of a time interval.' else '' " />
    <xsl:variable name="h-dt-msg" select="if ($h-dt-value = cda:high/@value) then ' This date/time is the high boundary of a time interval.' else '' " />
    <xsl:variable name="l-null-msg" select="if ($l-dt-value = cda:low/@value) then ' This nullFlavor value is for the low boundary of a time interval.' else '' " />
    <xsl:variable name="h-null-msg" select="if ($h-dt-value = cda:high/@value) then ' This nullFlavor value is for the high boundary of a time interval.' else '' " />
    <xsl:variable name="multimedia" select="exists($fir-narr-node//cda:renderMultiMedia) or exists($sec-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($fir-narr-node//cda:linkHtml) or exists($sec-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="l-warning-1" select="exists($l-dt-sequence-1) and exists($narr-dateTimes) and $l-dt-match-1 and not($l-dt-match-3) and $l-dt-value != '' " />
    <xsl:variable name="l-error-1" select="$l-warning-1 and not($multimedia) " />
    <xsl:variable name="l-warning-2" select="exists($l-dt-sequence-1) and exists($narr-dateTimes) and not($l-dt-match-1 or $l-dt-match-3) and $l-dt-value != '' " />
    <xsl:variable name="l-error-2a" select="$l-warning-2 and not($multimedia) and $l-time-zone != '' and count($narr-dateTimes) =        count(for $dt in $narr-dateTimes return replace(replace($dt, $regex-date-type-1, ''), $regex-date-type-2, '')       [matches(., concat('^\s*([0-9]{1,2}:{1}[0-9]{2}\s*', substring($l-time-zone, 1, 4), ':?', substring($l-time-zone, 5, 2),         '|[0-9]{1,2}:{1}[0-9]{2}:{1}[0-9]{2}\s*', substring($l-time-zone, 1, 4), ':?', substring($l-time-zone, 5, 2), ')\s*$'), 'i')]) " />
    <xsl:variable name="l-error-2b" select="$l-warning-2 and not($l-dt-match-1) and not($multimedia) and count($narr-dateTimes[matches(., $regex-date-type-2, 'i')]) =        count($narr-dateTimes[matches(., concat($regex-date-type-2, ' ', $narr-time-regex, '$'), 'i')]) " />
    <xsl:variable name="l-error-2c" select="$l-warning-2 and exists($narr-dateTimes[matches(., concat('^', $l-year, '$'))]) " />
    <xsl:variable name="l-error-2" select="$l-error-2a or $l-error-2b or $l-error-2c " />
    <xsl:variable name="l-warning-3" select="$l-dt-value != '' and not(exists($narr-dateTimes)) and not($l-narr-match) " />
    <xsl:variable name="l-error-3" select="$l-warning-3 and not($multimedia) and not(contains($narrative, substring($l-year, 3,2)))" />
    <xsl:variable name="h-warning-1" select="exists($h-dt-sequence-1) and exists($narr-dateTimes) and $h-dt-match-1 and not($h-dt-match-3) and $h-dt-value != '' " />
    <xsl:variable name="h-error-1" select="$h-warning-1 and not($multimedia) " />
    <xsl:variable name="h-warning-2" select="exists($h-dt-sequence-1) and exists($narr-dateTimes) and not($h-dt-match-1 or $h-dt-match-3) and $h-dt-value != '' " />
    <xsl:variable name="h-error-2a" select="$h-warning-2 and not($multimedia) and $h-time-zone != '' and count($narr-dateTimes) =        count(for $dt in $narr-dateTimes return replace(replace($dt, $regex-date-type-1, ''), $regex-date-type-2, '')       [matches(., concat('^\s*([0-9]{1,2}:{1}[0-9]{2}\s*', substring($h-time-zone, 1, 4), ':?', substring($h-time-zone, 5, 2),         '|[0-9]{1,2}:{1}[0-9]{2}:{1}[0-9]{2}\s*', substring($h-time-zone, 1, 4), ':?', substring($h-time-zone, 5, 2), ')\s*$'), 'i')]) " />
    <xsl:variable name="h-error-2b" select="$h-warning-2 and not($h-dt-match-1) and not($multimedia) and count($narr-dateTimes[matches(., $regex-date-type-2, 'i')]) =        count($narr-dateTimes[matches(., concat($regex-date-type-2, ' ', $narr-time-regex, '$'), 'i')]) " />
    <xsl:variable name="h-error-2c" select="$l-warning-2 and exists($narr-dateTimes[matches(., concat('^', $h-year, '$'))]) " />
    <xsl:variable name="h-error-2" select="$h-error-2a or $h-error-2b or $h-error-2c " />
    <xsl:variable name="h-warning-3" select="$h-dt-value != '' and not(exists($narr-dateTimes)) and not($h-narr-match) " />
    <xsl:variable name="h-error-3" select="$h-warning-3 and not($multimedia) and not(contains($narrative, substring($h-year, 3,2))) " />
    <xsl:variable name="narr-dt-msg" select="if ($multimedia or $no-content) then ''       else if (not(exists($narr-dateTimes))) then concat(' The narrative of the ', iq:location(., ''), ' contains no dateTime elements.')       else if (count($narr-dateTimes) = 1) then concat(' The only dateTime element in the narrative of the ', iq:location(., ''), ' is ''',         dh:XQueryRecursiveReplace($narr-dateTimes[1], '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), '''.')       else concat(' The distinct dateTime elements in the narrative of the ', iq:location(., ''), ' are ''',         string-join(for $dt in $narr-dateTimes return          dh:XQueryRecursiveReplace($dt, '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), ', '), '''.') " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-4" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-4 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and exists($l-dt-sequence-1) and $l-dt-value != '' and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and exists($l-dt-sequence-1) and $l-dt-value != '' and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 4: The dateTime element in the structured data is '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'.<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text />
		The number of dateTime elements that have been extracted from the narrative is '<xsl:text /><xsl:value-of select="count($narr-dateTimes)" /><xsl:text />'.
		These are '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-dateTimes, ', '), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The initial regular expressions are '<xsl:text /><xsl:value-of select="string-join($l-dt-sequence-1, ', ')" /><xsl:text />'.
		The three regular expressions used to perform an exact match for narrative dateTime elements are as follows:
		l-dt-regex-1='<xsl:text /><xsl:value-of select="$l-dt-regex-1" /><xsl:text />'; l-dt-regex-2='<xsl:text /><xsl:value-of select="$l-dt-regex-2" /><xsl:text />'; and l-dt-regex-3='<xsl:text /><xsl:value-of select="$l-dt-regex-3" /><xsl:text />'.
		Was a match found after the first regular expression was created? <xsl:text /><xsl:value-of select="$l-dt-match-1" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($l-dt-regex-2 = '') then 'The second regular expression was not applied as there is no time information.'    else concat('Was a match found after the second regular expression (with a date and time) was created? ', $l-dt-match-2, '.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($l-dt-regex-3 = '') then 'The third regular expression was not applied as there is no timezone information.'    else concat('Was a match found after the third regular expression (with a date and time) was created? ', $l-dt-match-3, '.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and exists($h-dt-sequence-1) and $h-dt-value != '' and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and exists($h-dt-sequence-1) and $h-dt-value != '' and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 4: The dateTime element in the structured data is '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'.<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text />
		The number of dateTime elements that have been extracted from the narrative is '<xsl:text /><xsl:value-of select="count($narr-dateTimes)" /><xsl:text />'.
		These are '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-dateTimes, ', '), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The initial regular expressions are '<xsl:text /><xsl:value-of select="string-join($h-dt-sequence-1, ', ')" /><xsl:text />'.
		The three regular expressions used to perform an exact match for narrative dateTime elements are as follows:
		h-dt-regex-1='<xsl:text /><xsl:value-of select="$h-dt-regex-1" /><xsl:text />'; h-dt-regex-2='<xsl:text /><xsl:value-of select="$h-dt-regex-2" /><xsl:text />'; and h-dt-regex-3='<xsl:text /><xsl:value-of select="$h-dt-regex-3" /><xsl:text />'.
		Was a match found after the first regular expression was created? <xsl:text /><xsl:value-of select="$h-dt-match-1" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($h-dt-regex-2 = '') then 'The second regular expression was not applied as there is no time information.'    else concat('Was a match found after the second regular expression (with a date and time) was created? ', $h-dt-match-2, '.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($h-dt-regex-3 = '') then 'The third regular expression was not applied as there is no timezone information.'    else concat('Was a match found after the third regular expression (with a date and time) was created? ', $h-dt-match-3, '.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $l-warning-1 and not($l-error-1 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $l-warning-1 and not($l-error-1 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Medication Duration '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /> Although the date was found in the narrative the Medication Duration data element must contain the time.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Medication Duration data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $l-error-1 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $l-error-1 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Medication Duration '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /> Although the date was found in the narrative the Medication Duration data element must contain the time.
		The Medication Duration data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $l-error-1 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $l-error-1 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Medication Duration '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /> Although the date was found in the narrative the Medication Duration data element must contain the time.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-warning-2 and not($l-error-2 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-warning-2 and not($l-error-2 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Medication Duration '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Medication Duration data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-error-2 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-error-2 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Medication Duration '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($l-error-2c) then concat('The narrative contains a date with the same year ''', $l-year, ''' but without a month or day.') else '' " /><xsl:text />
		The Medication Duration data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-error-2 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-error-2 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Medication Duration '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($l-error-2c) then concat('The narrative contains a date with the same year ''', $l-year, ''' but without a month or day.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $l-dt-value != '' and not($l-narr-match or $l-null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $l-dt-value != '' and not($l-narr-match or $l-null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Medication Duration '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $l-dt-value != '' and not($l-narr-match or $l-null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $l-dt-value != '' and not($l-narr-match or $l-null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Medication Duration '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Medication Duration data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $h-warning-1 and not($h-error-1 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $h-warning-1 and not($h-error-1 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Medication Duration '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /> Although the date was found in the narrative the Medication Duration data element must contain the time.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Medication Duration data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $h-error-1 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $h-error-1 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Medication Duration '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /> Although the date was found in the narrative the Medication Duration data element must contain the time.
		The Medication Duration data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $h-error-1 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $h-error-1 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Medication Duration '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /> Although the date was found in the narrative the Medication Duration data element must contain the time.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-warning-2 and not($h-error-2 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-warning-2 and not($h-error-2 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Medication Duration '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Medication Duration data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-error-2 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-error-2 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Medication Duration '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($h-error-2c) then concat('The narrative contains a date with the same year ''', $h-year, ''' but without a month or day.') else '' " /><xsl:text />
		The Medication Duration data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-error-2 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-error-2 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Medication Duration '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($h-error-2c) then concat('The narrative contains a date with the same year ''', $h-year, ''' but without a month or day.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-warning-3 and not($l-error-3 or $no-content)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-warning-3 and not($l-error-3 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Medication Duration '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not seem to be present in the narrative of the section.<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Medication Duration data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-error-3 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-error-3 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Medication Duration '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Medication Duration data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else ' All clinical information in entry elements must be present in the narrative.'" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-error-3 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-error-3 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Medication Duration '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-warning-3 and not($h-error-3 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-warning-3 and not($h-error-3 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Medication Duration '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not seem to be present in the narrative of the section.<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Medication Duration data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-error-3 and not($no-content) and true()  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-error-3 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Medication Duration '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text />
		The Medication Duration data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-error-3 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-error-3 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Medication Duration '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $h-dt-value != '' and not($h-narr-match or $h-null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $h-dt-value != '' and not($h-narr-match or $h-null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Medication Duration '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $h-dt-value != '' and not($h-narr-match or $h-null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $h-dt-value != '' and not($h-narr-match or $h-null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Medication Duration '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Medication Duration data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-null-to-find and not($l-null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-null-to-find and not($l-null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Medication Duration '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="cda:low/@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$l-nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($l-nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.<xsl:text /><xsl:value-of select="$l-null-msg" /><xsl:text /> If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-null-to-find and not($h-null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-null-to-find and not($h-null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Medication Duration '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="cda:high/@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$h-nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($h-nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.<xsl:text /><xsl:value-of select="$h-null-msg" /><xsl:text />
		If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M241" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M241" />
  <xsl:template match="@*|node()" priority="-2" mode="M241">
    <xsl:apply-templates select="@*|*" mode="M241" />
  </xsl:template>
  <!--PATTERN p-TS-CurrMed-Text-1-->
  <!--RULE -->
  <xsl:template match=" //cda:ClinicalDocument['101.16146.4.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1']]/cda:entry/cda:substanceAdministration/cda:text " priority="1000" mode="M242">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" //cda:ClinicalDocument['101.16146.4.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1']]/cda:entry/cda:substanceAdministration/cda:text " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Dose Instruction
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 5.10 of the Discharge Summary Structured Document Template v3.3 the Dose Instruction 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 5.10 of the Discharge Summary Structured Document Template v3.3 the Dose Instruction
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'exclusion' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'exclusion' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 5.10 of the Discharge Summary Structured Document Template v3.3 the Dose Instruction
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Dose Instruction however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Dose Instruction in section 5.10 of the Discharge Summary Structured Document Template v3.3 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'exclusion' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'exclusion' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 5.10 of the Discharge Summary Structured Document Template v3.3 the Dose Instruction
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Dose Instruction however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Dose Instruction in section 5.10 of the Discharge Summary Structured Document Template v3.3 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Dose Instruction data element with a proper value then an exclusion
		statement must be included to state why there is no Dose Instruction. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'exclusion' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'exclusion' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 5.10 of the Discharge Summary Structured Document Template v3.3 the Dose Instruction
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Dose Instruction however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Dose Instruction in section 5.10 of the Discharge Summary Structured Document Template v3.3 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 5.10 of the Discharge Summary Structured Document Template v3.3 the Dose Instruction
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.10 of the Discharge Summary Structured Document Template v3.3 the Dose Instruction
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.10 of the Discharge Summary Structured Document Template v3.3 the Dose Instruction
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.10 of the Discharge Summary Structured Document Template v3.3 the Dose Instruction
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.10 of the Discharge Summary Structured Document Template v3.3 the Dose Instruction
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.10 of the Discharge Summary Structured Document Template v3.3 the Dose Instruction
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.10 of the Discharge Summary Structured Document Template v3.3 the Dose Instruction
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.10 of the Discharge Summary Structured Document Template v3.3 the Dose Instruction
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.10 of the Discharge Summary Structured Document Template v3.3 the Dose Instruction
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 5.10 of the Discharge Summary Structured Document Template v3.3 the Dose Instruction
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M242" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M242" />
  <xsl:template match="@*|node()" priority="-2" mode="M242">
    <xsl:apply-templates select="@*|*" mode="M242" />
  </xsl:template>
  <!--PATTERN p-TS-CurrMed-Text-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16146.4.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1']]/cda:entry/cda:substanceAdministration/cda:text " priority="1000" mode="M243">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16146.4.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1']]/cda:entry/cda:substanceAdministration/cda:text " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Dose Instruction '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Dose Instruction
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Dose Instruction data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Dose Instruction
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Dose Instruction data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Dose Instruction
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Dose Instruction
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Dose Instruction data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Dose Instruction
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M243" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M243" />
  <xsl:template match="@*|node()" priority="-2" mode="M243">
    <xsl:apply-templates select="@*|*" mode="M243" />
  </xsl:template>
  <!--PATTERN p-TS-CurrMed-Text-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16146.4.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:supply/cda:text " priority="1000" mode="M244">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16146.4.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:supply/cda:text " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Unit of Use Quantity Dispensed
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 5.11 of the Discharge Summary Structured Document Template v3.3 the Unit of Use Quantity Dispensed 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 5.11 of the Discharge Summary Structured Document Template v3.3 the Unit of Use Quantity Dispensed
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 5.11 of the Discharge Summary Structured Document Template v3.3 the Unit of Use Quantity Dispensed
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Unit of Use Quantity Dispensed however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Unit of Use Quantity Dispensed in section 5.11 of the Discharge Summary Structured Document Template v3.3 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 5.11 of the Discharge Summary Structured Document Template v3.3 the Unit of Use Quantity Dispensed
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Unit of Use Quantity Dispensed however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Unit of Use Quantity Dispensed in section 5.11 of the Discharge Summary Structured Document Template v3.3 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Unit of Use Quantity Dispensed data element with a proper value then an exclusion
		statement must be included to state why there is no Unit of Use Quantity Dispensed. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 5.11 of the Discharge Summary Structured Document Template v3.3 the Unit of Use Quantity Dispensed
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Unit of Use Quantity Dispensed however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Unit of Use Quantity Dispensed in section 5.11 of the Discharge Summary Structured Document Template v3.3 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 5.11 of the Discharge Summary Structured Document Template v3.3 the Unit of Use Quantity Dispensed
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.11 of the Discharge Summary Structured Document Template v3.3 the Unit of Use Quantity Dispensed
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.11 of the Discharge Summary Structured Document Template v3.3 the Unit of Use Quantity Dispensed
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.11 of the Discharge Summary Structured Document Template v3.3 the Unit of Use Quantity Dispensed
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.11 of the Discharge Summary Structured Document Template v3.3 the Unit of Use Quantity Dispensed
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.11 of the Discharge Summary Structured Document Template v3.3 the Unit of Use Quantity Dispensed
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.11 of the Discharge Summary Structured Document Template v3.3 the Unit of Use Quantity Dispensed
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.11 of the Discharge Summary Structured Document Template v3.3 the Unit of Use Quantity Dispensed
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.11 of the Discharge Summary Structured Document Template v3.3 the Unit of Use Quantity Dispensed
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 5.11 of the Discharge Summary Structured Document Template v3.3 the Unit of Use Quantity Dispensed
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M244" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M244" />
  <xsl:template match="@*|node()" priority="-2" mode="M244">
    <xsl:apply-templates select="@*|*" mode="M244" />
  </xsl:template>
  <!--PATTERN p-TS-CurrMed-Text-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16146.4.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:supply/cda:text " priority="1000" mode="M245">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16146.4.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:supply/cda:text " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Unit of Use Quantity Dispensed '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Unit of Use Quantity Dispensed
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Unit of Use Quantity Dispensed data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Unit of Use Quantity Dispensed
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Unit of Use Quantity Dispensed data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Unit of Use Quantity Dispensed
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Unit of Use Quantity Dispensed
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Unit of Use Quantity Dispensed data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Unit of Use Quantity Dispensed
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M245" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M245" />
  <xsl:template match="@*|node()" priority="-2" mode="M245">
    <xsl:apply-templates select="@*|*" mode="M245" />
  </xsl:template>
  <!--PATTERN p-TS-CurrMed-Text-5-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16146.4.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship[@typeCode = 'RSON']/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.10141']]/cda:text " priority="1000" mode="M246">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16146.4.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship[@typeCode = 'RSON']/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.10141']]/cda:text " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Reason for Therapeutic Good
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 5.12 of the Discharge Summary Structured Document Template v3.3 the Reason for Therapeutic Good 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 5.12 of the Discharge Summary Structured Document Template v3.3 the Reason for Therapeutic Good
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 5.12 of the Discharge Summary Structured Document Template v3.3 the Reason for Therapeutic Good
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Reason for Therapeutic Good however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Reason for Therapeutic Good in section 5.12 of the Discharge Summary Structured Document Template v3.3 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 5.12 of the Discharge Summary Structured Document Template v3.3 the Reason for Therapeutic Good
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Reason for Therapeutic Good however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Reason for Therapeutic Good in section 5.12 of the Discharge Summary Structured Document Template v3.3 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Reason for Therapeutic Good data element with a proper value then an exclusion
		statement must be included to state why there is no Reason for Therapeutic Good. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 5.12 of the Discharge Summary Structured Document Template v3.3 the Reason for Therapeutic Good
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Reason for Therapeutic Good however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Reason for Therapeutic Good in section 5.12 of the Discharge Summary Structured Document Template v3.3 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 5.12 of the Discharge Summary Structured Document Template v3.3 the Reason for Therapeutic Good
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.12 of the Discharge Summary Structured Document Template v3.3 the Reason for Therapeutic Good
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.12 of the Discharge Summary Structured Document Template v3.3 the Reason for Therapeutic Good
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.12 of the Discharge Summary Structured Document Template v3.3 the Reason for Therapeutic Good
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.12 of the Discharge Summary Structured Document Template v3.3 the Reason for Therapeutic Good
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.12 of the Discharge Summary Structured Document Template v3.3 the Reason for Therapeutic Good
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.12 of the Discharge Summary Structured Document Template v3.3 the Reason for Therapeutic Good
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.12 of the Discharge Summary Structured Document Template v3.3 the Reason for Therapeutic Good
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.12 of the Discharge Summary Structured Document Template v3.3 the Reason for Therapeutic Good
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 5.12 of the Discharge Summary Structured Document Template v3.3 the Reason for Therapeutic Good
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M246" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M246" />
  <xsl:template match="@*|node()" priority="-2" mode="M246">
    <xsl:apply-templates select="@*|*" mode="M246" />
  </xsl:template>
  <!--PATTERN p-TS-CurrMed-Text-6-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16146.4.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship[@typeCode = 'RSON']/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.10141']]/cda:text " priority="1000" mode="M247">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16146.4.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship[@typeCode = 'RSON']/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.10141']]/cda:text " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Reason for Therapeutic Good '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Reason for Therapeutic Good
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Reason for Therapeutic Good data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Reason for Therapeutic Good
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Reason for Therapeutic Good data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Reason for Therapeutic Good
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Reason for Therapeutic Good
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Reason for Therapeutic Good data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Reason for Therapeutic Good
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M247" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M247" />
  <xsl:template match="@*|node()" priority="-2" mode="M247">
    <xsl:apply-templates select="@*|*" mode="M247" />
  </xsl:template>
  <!--PATTERN p-TS-CurrMed-Text-7-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16146.4.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16044']]/cda:text " priority="1000" mode="M248">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16146.4.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16044']]/cda:text " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Additional Comments
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 5.13 of the Discharge Summary Structured Document Template v3.3 the Additional Comments 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 5.13 of the Discharge Summary Structured Document Template v3.3 the Additional Comments
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 5.13 of the Discharge Summary Structured Document Template v3.3 the Additional Comments
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Additional Comments however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Additional Comments in section 5.13 of the Discharge Summary Structured Document Template v3.3 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 5.13 of the Discharge Summary Structured Document Template v3.3 the Additional Comments
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Additional Comments however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Additional Comments in section 5.13 of the Discharge Summary Structured Document Template v3.3 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Additional Comments data element with a proper value then an exclusion
		statement must be included to state why there is no Additional Comments. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 5.13 of the Discharge Summary Structured Document Template v3.3 the Additional Comments
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Additional Comments however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Additional Comments in section 5.13 of the Discharge Summary Structured Document Template v3.3 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 5.13 of the Discharge Summary Structured Document Template v3.3 the Additional Comments
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.13 of the Discharge Summary Structured Document Template v3.3 the Additional Comments
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.13 of the Discharge Summary Structured Document Template v3.3 the Additional Comments
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.13 of the Discharge Summary Structured Document Template v3.3 the Additional Comments
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.13 of the Discharge Summary Structured Document Template v3.3 the Additional Comments
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.13 of the Discharge Summary Structured Document Template v3.3 the Additional Comments
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.13 of the Discharge Summary Structured Document Template v3.3 the Additional Comments
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.13 of the Discharge Summary Structured Document Template v3.3 the Additional Comments
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.13 of the Discharge Summary Structured Document Template v3.3 the Additional Comments
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 5.13 of the Discharge Summary Structured Document Template v3.3 the Additional Comments
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M248" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M248" />
  <xsl:template match="@*|node()" priority="-2" mode="M248">
    <xsl:apply-templates select="@*|*" mode="M248" />
  </xsl:template>
  <!--PATTERN p-TS-CurrMed-Text-8-->
  <!--RULE -->
  <xsl:template match=" //cda:ClinicalDocument['101.16146.4.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16044']]/cda:text " priority="1000" mode="M249">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" //cda:ClinicalDocument['101.16146.4.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16044']]/cda:text " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Additional Comments '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Additional Comments
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Additional Comments data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Additional Comments
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Additional Comments data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Additional Comments
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Additional Comments
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Additional Comments data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Additional Comments
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M249" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M249" />
  <xsl:template match="@*|node()" priority="-2" mode="M249">
    <xsl:apply-templates select="@*|*" mode="M249" />
  </xsl:template>
  <!--PATTERN p-TS-CurrMed-Text-9-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16146.4.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship[@typeCode = 'SPRT']/cda:observation[@moodCode='EVN']/cda:entryRelationship[@typeCode = 'RSON']/cda:act[@moodCode='EVN' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.10177']]/cda:text " priority="1000" mode="M250">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16146.4.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship[@typeCode = 'SPRT']/cda:observation[@moodCode='EVN']/cda:entryRelationship[@typeCode = 'RSON']/cda:act[@moodCode='EVN' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.10177']]/cda:text " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Reason for Change
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 5.18 of the Discharge Summary Structured Document Template v3.3 the Reason for Change 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 5.18 of the Discharge Summary Structured Document Template v3.3 the Reason for Change
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 5.18 of the Discharge Summary Structured Document Template v3.3 the Reason for Change
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Reason for Change however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Reason for Change in section 5.18 of the Discharge Summary Structured Document Template v3.3 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 5.18 of the Discharge Summary Structured Document Template v3.3 the Reason for Change
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Reason for Change however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Reason for Change in section 5.18 of the Discharge Summary Structured Document Template v3.3 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Reason for Change data element with a proper value then an exclusion
		statement must be included to state why there is no Reason for Change. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 5.18 of the Discharge Summary Structured Document Template v3.3 the Reason for Change
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Reason for Change however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Reason for Change in section 5.18 of the Discharge Summary Structured Document Template v3.3 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 5.18 of the Discharge Summary Structured Document Template v3.3 the Reason for Change
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.18 of the Discharge Summary Structured Document Template v3.3 the Reason for Change
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.18 of the Discharge Summary Structured Document Template v3.3 the Reason for Change
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.18 of the Discharge Summary Structured Document Template v3.3 the Reason for Change
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.18 of the Discharge Summary Structured Document Template v3.3 the Reason for Change
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.18 of the Discharge Summary Structured Document Template v3.3 the Reason for Change
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.18 of the Discharge Summary Structured Document Template v3.3 the Reason for Change
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.18 of the Discharge Summary Structured Document Template v3.3 the Reason for Change
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.18 of the Discharge Summary Structured Document Template v3.3 the Reason for Change
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 5.18 of the Discharge Summary Structured Document Template v3.3 the Reason for Change
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M250" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M250" />
  <xsl:template match="@*|node()" priority="-2" mode="M250">
    <xsl:apply-templates select="@*|*" mode="M250" />
  </xsl:template>
  <!--PATTERN p-TS-CurrMed-Text-10-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16146.4.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship[@typeCode = 'SPRT']/cda:observation[@moodCode='EVN']/cda:entryRelationship[@typeCode = 'RSON']/cda:act[@moodCode='EVN' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.10177']]/cda:text " priority="1000" mode="M251">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16146.4.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship[@typeCode = 'SPRT']/cda:observation[@moodCode='EVN']/cda:entryRelationship[@typeCode = 'RSON']/cda:act[@moodCode='EVN' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.10177']]/cda:text " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Reason for Change '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Reason for Change
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Reason for Change data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Reason for Change
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Reason for Change data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Reason for Change
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Reason for Change
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Reason for Change data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Reason for Change
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M251" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M251" />
  <xsl:template match="@*|node()" priority="-2" mode="M251">
    <xsl:apply-templates select="@*|*" mode="M251" />
  </xsl:template>
  <!--PATTERN p-TS-DisEvent-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16006' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16006'] " priority="1000" mode="M252">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16006' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16006'] " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating" select="if ($initial-priority) then $initial-rating else if ($FS-Types-seq/@rating) then concat(' (', $FS-Types-seq/@rating, ')') else '' " />
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and not(/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']) and $extensions-allowed">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']) and $extensions-allowed">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: FS-Types: The Event section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16006') has been found in a <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. The Event section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16006') is defined in the digital health specifications but
		although tests have been applied to the data elements the specification of the data elements may have been varied for inclusion in this document
		so further examination may be needed. The rules have been validated for <xsl:text /><xsl:value-of select="normalize-space('Discharge Summary CDA Implementation Guide version 3.4')" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M252" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M252" />
  <xsl:template match="@*|node()" priority="-2" mode="M252">
    <xsl:apply-templates select="@*|*" mode="M252" />
  </xsl:template>
  <!--PATTERN p-TS-DisEvent-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16006' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16006']]/cda:component/        cda:section[cda:code[not(@code='101.16142' or @code='101.20109' or @code='102.15513.4.1.1' or @code='101.20117')]] " priority="1000" mode="M253">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16006' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16006']]/cda:component/        cda:section[cda:code[not(@code='101.16142' or @code='101.20109' or @code='102.15513.4.1.1' or @code='101.20117')]] " />
    <xsl:variable name="agency-section" select=" cda:code/@codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="test-step" select=" if (not($extensions-allowed)) then 'step 4'        else if ($agency-section) then 'step 3' else 'step 1' " />
    <xsl:variable name="title-and-code" select=" if (cda:title and cda:code/@code) then concat('title ''', cda:title, ''', code/code ''', cda:code/@code, '''')        else if (cda:title and not(cda:code/@code)) then concat('title ''', cda:title, '''')        else if (not(cda:title) and cda:code/@code) then concat('code/code ''', cda:code/@code, '''')        else '' " />
    <xsl:variable name="other-section-names" select=" if (cda:code/@displayName and not(cda:code/cda:originalText)) then concat(' and code/displayName ''', cda:code/@displayName, '''')         else if (cda:code/@displayName and cda:code/cda:originalText)          then concat(', code/displayName ''', cda:code/@displayName,''' and code/originalText ''', cda:code/cda:originalText, '''')        else if (not(cda:code/@displayName) and cda:code/cda:originalText) then concat(' and code/originalText ''', cda:code/cda:originalText, '''')        else '' " />
    <xsl:variable name="section-names" select="concat($title-and-code, $other-section-names)" />
    <xsl:variable name="doc-code" select="/cda:ClinicalDocument/cda:code" />
    <xsl:variable name="parent-section" select="ancestor::cda:section[position()=1]" />
    <xsl:variable name="custom-section-info" select="($iq-config/custom-sections/section, $knowledge/custom-sections/section)[        @doc-code  = $doc-code/@code          and        @doc-codeSystem  = $doc-code/@codeSystem          and        @parent-code   = $parent-section/cda:code/@code         and         @parent-codeSystem  = $parent-section/cda:code/@codeSystem        and         (@title = current()/cda:title or (@code = current()/cda:code/@code and @codeSystem = current()/cda:code/@codeSystem)) ] " />
    <xsl:variable name="section-disallowed" select="$custom-section-info/@disallowed = 'yes' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and ($section-disallowed or not(exists($custom-section-info)))) then $rating-alt-TC-Doc-28-step-1        else if ($test-step = 'step 1' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections]) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 3') then $rating-TC-Doc-28-step-3 else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and $section-disallowed ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and $section-disallowed">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Event section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16006') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> which
		is an extension to the information model however the inclusion of this section conflicts with sections defined in the digital health specifications.
		<xsl:text /><xsl:value-of select="$custom-section-info[@disallowed = 'yes']/@reason" /><xsl:text /> (Also see <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not(true()) and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(true()) and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Event section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16006') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. No subsection is expected so this
		is an extension to the information model. Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the 
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(true()) and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(true()) and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Event section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16006') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> but no subsections were
		expected so the document fails to meet the requirement that it must not contain additional data elements. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and true() and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and true() and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Event section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16006') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		code '101.16142', code '101.20109', code '102.15513.4.1.1' and code '101.20117' are expected but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the information model.
		Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Event section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16006') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		code '101.16142', code '101.20109', code '102.15513.4.1.1' and code '101.20117' are expected but the inclusion of the section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> fails to meet the requirement that it must not contain additional data elements.
		(See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M253" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M253" />
  <xsl:template match="@*|node()" priority="-2" mode="M253">
    <xsl:apply-templates select="@*|*" mode="M253" />
  </xsl:template>
  <!--PATTERN p-TS-DisEvent-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16006' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16006']][cda:entry] " priority="1000" mode="M254">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16006' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16006']][cda:entry] " />
    <xsl:variable name="test-step" select=" if (not($extensions-allowed)) then 'step 4' else 'step 1' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Event section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16006') has an entry element but no entry elements were expected so this is an extension
		to the information model. Confirm if the entry element meets the requirement that extensions must not qualify or negate any of the 
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Event section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16006') has an entry element but no entry elements were expected so the document fails to meet the
		requirement that it must not contain additional data elements. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M254" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M254" />
  <xsl:template match="@*|node()" priority="-2" mode="M254">
    <xsl:apply-templates select="@*|*" mode="M254" />
  </xsl:template>
  <!--PATTERN p-TS-DisInter-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.20109' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20109'] " priority="1000" mode="M255">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.20109' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20109'] " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating" select="if ($initial-priority) then $initial-rating else if ($FS-Types-seq/@rating) then concat(' (', $FS-Types-seq/@rating, ')') else '' " />
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and not(/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']) and $extensions-allowed">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']) and $extensions-allowed">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: FS-Types: The Clinical Interventions Performed This Visit section (codeSystem '1.2.36.1.2001.1001.101' and code '101.20109') has been found in a <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. The Clinical Interventions Performed This Visit section (codeSystem '1.2.36.1.2001.1001.101' and code '101.20109') is defined in the digital health specifications but
		although tests have been applied to the data elements the specification of the data elements may have been varied for inclusion in this document
		so further examination may be needed. The rules have been validated for <xsl:text /><xsl:value-of select="normalize-space('Discharge Summary CDA Implementation Guide version 3.4')" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M255" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M255" />
  <xsl:template match="@*|node()" priority="-2" mode="M255">
    <xsl:apply-templates select="@*|*" mode="M255" />
  </xsl:template>
  <!--PATTERN p-TS-DisInter-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.20109' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16006']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20109']]/cda:component/cda:section " priority="1000" mode="M256">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.20109' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16006']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20109']]/cda:component/cda:section " />
    <xsl:variable name="agency-section" select=" cda:code/@codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="test-step" select=" if (not($extensions-allowed)) then 'step 4'        else if ($agency-section) then 'step 3' else 'step 1' " />
    <xsl:variable name="title-and-code" select=" if (cda:title and cda:code/@code) then concat('title ''', cda:title, ''', code/code ''', cda:code/@code, '''')        else if (cda:title and not(cda:code/@code)) then concat('title ''', cda:title, '''')        else if (not(cda:title) and cda:code/@code) then concat('code/code ''', cda:code/@code, '''')        else '' " />
    <xsl:variable name="other-section-names" select=" if (cda:code/@displayName and not(cda:code/cda:originalText)) then concat(' and code/displayName ''', cda:code/@displayName, '''')         else if (cda:code/@displayName and cda:code/cda:originalText)          then concat(', code/displayName ''', cda:code/@displayName,''' and code/originalText ''', cda:code/cda:originalText, '''')        else if (not(cda:code/@displayName) and cda:code/cda:originalText) then concat(' and code/originalText ''', cda:code/cda:originalText, '''')        else '' " />
    <xsl:variable name="section-names" select="concat($title-and-code, $other-section-names)" />
    <xsl:variable name="doc-code" select="/cda:ClinicalDocument/cda:code" />
    <xsl:variable name="parent-section" select="ancestor::cda:section[position()=1]" />
    <xsl:variable name="custom-section-info" select="($iq-config/custom-sections/section, $knowledge/custom-sections/section)[        @doc-code  = $doc-code/@code          and        @doc-codeSystem  = $doc-code/@codeSystem          and        @parent-code   = $parent-section/cda:code/@code         and         @parent-codeSystem  = $parent-section/cda:code/@codeSystem        and         (@title = current()/cda:title or (@code = current()/cda:code/@code and @codeSystem = current()/cda:code/@codeSystem)) ] " />
    <xsl:variable name="section-disallowed" select="$custom-section-info/@disallowed = 'yes' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and ($section-disallowed or not(exists($custom-section-info)))) then $rating-alt-TC-Doc-28-step-1        else if ($test-step = 'step 1' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections]) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 3') then $rating-TC-Doc-28-step-3 else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and $section-disallowed ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and $section-disallowed">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Clinical Interventions Performed This Visit section (codeSystem '1.2.36.1.2001.1001.101' and code '101.20109') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> which
		is an extension to the information model however the inclusion of this section conflicts with sections defined in the digital health specifications.
		<xsl:text /><xsl:value-of select="$custom-section-info[@disallowed = 'yes']/@reason" /><xsl:text /> (Also see <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not(false()) and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(false()) and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Clinical Interventions Performed This Visit section (codeSystem '1.2.36.1.2001.1001.101' and code '101.20109') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. No subsection is expected so this
		is an extension to the information model. Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the 
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(false()) and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(false()) and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Clinical Interventions Performed This Visit section (codeSystem '1.2.36.1.2001.1001.101' and code '101.20109') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> but no subsections were
		expected so the document fails to meet the requirement that it must not contain additional data elements. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and false() and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and false() and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Clinical Interventions Performed This Visit section (codeSystem '1.2.36.1.2001.1001.101' and code '101.20109') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		none are expected but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the information model.
		Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Clinical Interventions Performed This Visit section (codeSystem '1.2.36.1.2001.1001.101' and code '101.20109') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		none are expected but the inclusion of the section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> fails to meet the requirement that it must not contain additional data elements.
		(See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M256" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M256" />
  <xsl:template match="@*|node()" priority="-2" mode="M256">
    <xsl:apply-templates select="@*|*" mode="M256" />
  </xsl:template>
  <!--PATTERN p-TS-DisInter-CodeableText-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.20109' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16006']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20109']]/cda:entry/cda:procedure[@classCode='PROC']/cda:code " priority="1000" mode="M257">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.20109' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16006']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20109']]/cda:entry/cda:procedure[@classCode='PROC']/cda:code " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Clinical Intervention Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Clinical Intervention Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Clinical Intervention Description',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Clinical Intervention Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Clinical Intervention Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'disallowed' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'disallowed' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Clinical Intervention Description
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Clinical Intervention Description however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Clinical Intervention Description in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'disallowed' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'disallowed' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Clinical Intervention Description
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Clinical Intervention Description however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Clinical Intervention Description in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Clinical Intervention Description data element must have a value that is consistent with this definition. Alternatively if there is no Clinical Intervention Description data element with a proper value then an exclusion
		statement must be included to state why there is no Clinical Intervention Description.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'disallowed' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'disallowed' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Clinical Intervention Description
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Clinical Intervention Description however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Clinical Intervention Description in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'disallowed' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'disallowed' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Clinical Intervention Description
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Clinical Intervention Description however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Clinical Intervention Description in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Clinical Intervention Description data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'disallowed' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'disallowed' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Clinical Intervention Description
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Clinical Intervention Description however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Clinical Intervention Description in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Clinical Intervention Description data element must have a value that is consistent with this definition. Alternatively if there is no Clinical Intervention Description data element with a proper value then an exclusion
		statement must be included to state why there is no Clinical Intervention Description.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'disallowed' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'disallowed' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Clinical Intervention Description
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Clinical Intervention Description however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Clinical Intervention Description in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Clinical Intervention Description data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Clinical Intervention Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Clinical Intervention Description
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Clinical Intervention Description
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Clinical Intervention Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Clinical Intervention Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Clinical Intervention Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Clinical Intervention Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Clinical Intervention Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Clinical Intervention Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Clinical Intervention Description
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Clinical Intervention Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Clinical Intervention Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Clinical Intervention Description.
		(See the definition of Clinical Intervention Description in the Structured Content Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Clinical Intervention Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M257" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M257" />
  <xsl:template match="@*|node()" priority="-2" mode="M257">
    <xsl:apply-templates select="@*|*" mode="M257" />
  </xsl:template>
  <!--PATTERN p-TS-DisInter-CodeableText-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '101.20109' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16006']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20109']]/cda:entry/cda:procedure[@classCode='PROC']/cda:code         [@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " priority="1000" mode="M258">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '101.20109' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16006']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20109']]/cda:entry/cda:procedure[@classCode='PROC']/cda:code         [@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="pnullFlavor" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @nullFlavor) then @nullFlavor else '' " />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-p-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then false()        else if ($psnomed-id = 'amtv3' and @codeSystemVersion) then exists($v-amtv3[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($psnomed-id = 'snomedctau' and @codeSystemVersion) then exists($v-snomedctau[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false() " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and $pcode != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used to assess the primary code.') " />
    <xsl:variable name="pcode-refsets-1" select="if (@codeSystem = '2.16.840.1.113883.6.96' and not($pcode = ''))         then dh:FindValueDomainsForCode($pcode, '2.16.840.1.113883.6.96', $v-psnomed-version) else 'no-code' " />
    <xsl:variable name="pcode-found" select="not($pcode-refsets-1 = 'no-code' or $pcode-refsets-1 = 'CodeNotFound' or $pcode-refsets-1 = 'Error'        or contains($pcode-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="pcode-refsets" select="if ($pcode-found) then distinct-values(tokenize($pcode-refsets-1, '\|')) else () " />
    <xsl:variable name="pcode-special-proc" select="count($pcode-refsets) = 1 and 'Procedure Foundation (PF)' = $pcode-refsets and not($pnullFlavor = 'OTH') " />
    <xsl:variable name="pcode-refsets-msg" select="if (count($pcode-refsets) = 0) then ''         else if (count($pcode-refsets) = 1) then concat('The code is a member of the ', $pcode-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($pcode-refsets, ', '), '.') " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))         else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-1" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="snomed-trans-2" select="distinct-values(for $i in (1 to count($snomed-trans-1)) return $snomed-trans-1[$i]/@code) " />
    <xsl:variable name="snomed-trans-a" select="$snomed-trans-1[1] " />
    <xsl:variable name="tcode-a" select="if (exists($snomed-trans-a) and matches($snomed-trans-a/@code, $snomed-code-regex)) then $snomed-trans-a/@code else '' " />
    <xsl:variable name="tnullFlavor-a" select="if (exists($snomed-trans-a) and $snomed-trans-a/@nullFlavor) then $snomed-trans-a/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-a" select="if (not(exists($snomed-trans-a))) then 'not-snomed'        else if (not($snomed-trans-a/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-a/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-a" select="if (not(exists($snomed-trans-a))) then ''        else if ($tsnomed-id-a = 'amtv3' and exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-a = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-a/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-a" select="if (not(exists($snomed-trans-a))) then false()        else if ($tsnomed-id-a = 'amtv3' and $snomed-trans-a/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-a = 'snomedctau' and $snomed-trans-a/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-a-msg" select="if (not(exists($snomed-trans-a))) then ''        else if (not($snomed-trans-a/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-a, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-a = 'amtv3') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-a = 'snomedctau') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-a/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-a, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-a/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-a-refsets-1" select="if (exists($snomed-trans-a) and not($tcode-a = ''))         then dh:FindValueDomainsForCode($tcode-a, '2.16.840.1.113883.6.96', $v-tsnomed-version-a) else 'no-code' " />
    <xsl:variable name="tcode-a-found" select="not($tcode-a-refsets-1 = 'no-code' or $tcode-a-refsets-1 = 'CodeNotFound' or $tcode-a-refsets-1 = 'Error'         or contains($tcode-a-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-a-refsets" select="if ($tcode-a-found) then distinct-values(tokenize($tcode-a-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-a-special-proc" select="count($tcode-a-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-a-refsets and not($tnullFlavor-a = 'OTH') " />
    <xsl:variable name="tcode-a-refsets-msg" select="if (count($tcode-a-refsets) = 0) then ''         else if (count($tcode-a-refsets) = 1) then concat('The code is a member of the ', $tcode-a-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-a-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@code and $snomed-trans-a/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-a/@displayName, codepoints-to-string(34))         else if ($snomed-trans-a/@code and not($snomed-trans-a/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@codeSystem and $snomed-trans-a/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-a/@codeSystemName, ')')         else if ($snomed-trans-a/@codeSystem and not($snomed-trans-a/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-b" select="(for $i in (2 to count($snomed-trans-1)) return if ($snomed-trans-1[$i]/@code != $snomed-trans-a/@code) then $snomed-trans-1[$i] else ())[1] " />
    <xsl:variable name="tcode-b" select="if (exists($snomed-trans-b) and matches($snomed-trans-b/@code, $snomed-code-regex)) then $snomed-trans-b/@code else '' " />
    <xsl:variable name="tnullFlavor-b" select="if (exists($snomed-trans-b) and $snomed-trans-b/@nullFlavor) then $snomed-trans-b/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-b" select="if (not(exists($snomed-trans-b))) then 'not-snomed'        else if (not($snomed-trans-b/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-b/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-b" select="if (not(exists($snomed-trans-b))) then ''        else if ($tsnomed-id-b = 'amtv3' and exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-b = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-b/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-b" select="if (not(exists($snomed-trans-b))) then false()        else if ($tsnomed-id-b = 'amtv3' and $snomed-trans-b/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-b = 'snomedctau' and $snomed-trans-b/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-b-msg" select="if (not(exists($snomed-trans-b))) then ''        else if (not($snomed-trans-b/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-b, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-b = 'amtv3') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-b = 'snomedctau') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-b/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-b, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-b/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-b-refsets-1" select="if (exists($snomed-trans-b) and not($tcode-b = ''))         then dh:FindValueDomainsForCode($tcode-b, '2.16.840.1.113883.6.96', $v-tsnomed-version-b) else 'no-code' " />
    <xsl:variable name="tcode-b-found" select="not($tcode-b-refsets-1 = 'no-code' or $tcode-b-refsets-1 = 'CodeNotFound' or $tcode-b-refsets-1 = 'Error'         or contains($tcode-b-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-b-refsets" select="if ($tcode-b-found) then distinct-values(tokenize($tcode-b-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-b-special-proc" select="count($tcode-b-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-b-refsets and not($tnullFlavor-b = 'OTH') " />
    <xsl:variable name="tcode-b-refsets-msg" select="if (count($tcode-b-refsets) = 0) then ''         else if (count($tcode-b-refsets) = 1) then concat('The code is a member of the ', $tcode-b-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-b-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@code and $snomed-trans-b/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-b/@displayName, codepoints-to-string(34))         else if ($snomed-trans-b/@code and not($snomed-trans-b/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@codeSystem and $snomed-trans-b/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-b/@codeSystemName, ')')         else if ($snomed-trans-b/@codeSystem and not($snomed-trans-b/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-60" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-60 else $rating-alt-TC-Types-60 " />
    <!--REPORT -->
    <xsl:if test=" $pcode-found and $pcode-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pcode-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD (p-TS-CD-SCT-RefSet): An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$pcode" /><xsl:text />',
		codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-psnomed-version" /><xsl:text />'. This error occurred when assessing the Clinical Intervention Description data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Clinical Intervention Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. The value is not valid for the data element as it describes a medical
		procedure and not a medical problem or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to describe the clinical intervention (i.e. procedure) undertaken         on or provided to the consumer. (See section 4.21 of the Discharge Summary Structured Document Template v3.3.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and   not(exists(index-of(for $refset in ('Procedure Foundation (PF)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and not(exists(index-of(for $refset in ('Procedure Foundation (PF)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Clinical Intervention Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the code is not a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Procedure Foundation reference set (Concept Id: 32570141000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         CLINICAL INTERVENTIONS PERFORMED THIS VISIT section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and   not(exists(index-of(for $refset in ('Procedure Foundation (PF)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and not(exists(index-of(for $refset in ('Procedure Foundation (PF)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Clinical Intervention Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Procedure Foundation reference set (Concept Id: 32570141000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         CLINICAL INTERVENTIONS PERFORMED THIS VISIT section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and   exists(index-of(for $refset in ('Procedure Foundation (PF)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and exists(index-of(for $refset in ('Procedure Foundation (PF)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Clinical Intervention Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Procedure Foundation reference set (Concept Id: 32570141000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         CLINICAL INTERVENTIONS PERFORMED THIS VISIT section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and   exists(index-of(for $refset in ('Procedure Foundation (PF)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and exists(index-of(for $refset in ('Procedure Foundation (PF)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Clinical Intervention Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. Confirm if the code is a member of the value domain.
		If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Procedure Foundation reference set (Concept Id: 32570141000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         CLINICAL INTERVENTIONS PERFORMED THIS VISIT section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Clinical Intervention Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="count($snomed-trans-1)" /><xsl:text /> translation elements with
		codes and the SNOMED CT-AU codeSystem '2.16.840.1.113883.6.96'. The first two translation elements have been assessed to determine if the codes are members of the value domain
		and the others have not been assessed. Confirm if the value of the code attribute in all SNOMED CT translation elements meets the requirement that it be a member of the value domain
		if there is no nullFlavor 'OTH' or that there is a nullFlavor 'OTH' if the value of the code attribute is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Procedure Foundation reference set (Concept Id: 32570141000036105).')" /><xsl:text /> 
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         CLINICAL INTERVENTIONS PERFORMED THIS VISIT section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-a" /><xsl:text />'. This error occurred when assessing the Clinical Intervention Description data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Clinical Intervention Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to describe the clinical intervention (i.e. procedure) undertaken         on or provided to the consumer. (See section 4.21 of the Discharge Summary Structured Document Template v3.3.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and   not(exists(index-of(for $refset in ('Procedure Foundation (PF)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and not(exists(index-of(for $refset in ('Procedure Foundation (PF)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Clinical Intervention Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Procedure Foundation reference set (Concept Id: 32570141000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         CLINICAL INTERVENTIONS PERFORMED THIS VISIT section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and   not(exists(index-of(for $refset in ('Procedure Foundation (PF)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and not(exists(index-of(for $refset in ('Procedure Foundation (PF)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Clinical Intervention Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Procedure Foundation reference set (Concept Id: 32570141000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         CLINICAL INTERVENTIONS PERFORMED THIS VISIT section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and   exists(index-of(for $refset in ('Procedure Foundation (PF)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and exists(index-of(for $refset in ('Procedure Foundation (PF)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Clinical Intervention Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Procedure Foundation reference set (Concept Id: 32570141000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         CLINICAL INTERVENTIONS PERFORMED THIS VISIT section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and   exists(index-of(for $refset in ('Procedure Foundation (PF)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and exists(index-of(for $refset in ('Procedure Foundation (PF)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Clinical Intervention Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Procedure Foundation reference set (Concept Id: 32570141000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         CLINICAL INTERVENTIONS PERFORMED THIS VISIT section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-b" /><xsl:text />'. This error occurred when assessing the Clinical Intervention Description data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Clinical Intervention Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> 
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to describe the clinical intervention (i.e. procedure) undertaken         on or provided to the consumer. (See section 4.21 of the Discharge Summary Structured Document Template v3.3.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and   not(exists(index-of(for $refset in ('Procedure Foundation (PF)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and not(exists(index-of(for $refset in ('Procedure Foundation (PF)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Clinical Intervention Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Procedure Foundation reference set (Concept Id: 32570141000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         CLINICAL INTERVENTIONS PERFORMED THIS VISIT section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and   not(exists(index-of(for $refset in ('Procedure Foundation (PF)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and not(exists(index-of(for $refset in ('Procedure Foundation (PF)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Clinical Intervention Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Procedure Foundation reference set (Concept Id: 32570141000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         CLINICAL INTERVENTIONS PERFORMED THIS VISIT section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and   exists(index-of(for $refset in ('Procedure Foundation (PF)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and exists(index-of(for $refset in ('Procedure Foundation (PF)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Clinical Intervention Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Procedure Foundation reference set (Concept Id: 32570141000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         CLINICAL INTERVENTIONS PERFORMED THIS VISIT section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and   exists(index-of(for $refset in ('Procedure Foundation (PF)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and exists(index-of(for $refset in ('Procedure Foundation (PF)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Clinical Intervention Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Procedure Foundation reference set (Concept Id: 32570141000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         CLINICAL INTERVENTIONS PERFORMED THIS VISIT section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M258" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M258" />
  <xsl:template match="@*|node()" priority="-2" mode="M258">
    <xsl:apply-templates select="@*|*" mode="M258" />
  </xsl:template>
  <!--PATTERN p-TS-DisInter-CodeableText-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '101.20109' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16006']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20109']]/cda:entry/cda:procedure[@classCode='PROC']/cda:code   [(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-proc-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])][not(@nullFlavor = $no-value-NF)]   [not(cda:originalText and (    ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))    or    (string-length(cda:originalText) &gt; $length-err-max and matches(cda:originalText, $unicode-br-regex)) or    (matches(cda:originalText, '^\W*(Dear\W+Doctor|Dear\W+Dr|Thank\W+you)', 'is'))    ))] " priority="1000" mode="M259">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '101.20109' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16006']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20109']]/cda:entry/cda:procedure[@classCode='PROC']/cda:code   [(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-proc-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])][not(@nullFlavor = $no-value-NF)]   [not(cda:originalText and (    ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))    or    (string-length(cda:originalText) &gt; $length-err-max and matches(cda:originalText, $unicode-br-regex)) or    (matches(cda:originalText, '^\W*(Dear\W+Doctor|Dear\W+Dr|Thank\W+you)', 'is'))    ))] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="snomed-trans" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="tcode" select="if (exists($snomed-trans[1]) and matches($snomed-trans[1]/@code, $snomed-code-regex)) then $snomed-trans[1]/@code else '' " />
    <xsl:variable name="code-present" select="$pcode != '' or $tcode != '' " />
    <xsl:variable name="invalid-code-system" select="@code and @displayName and @codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="codesystemvalues" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']" />
    <xsl:variable name="text-1" select="if (. != '') then replace(., '^[0-9]*xsitype(ED|ST)', '') else '' " />
    <xsl:variable name="text-2" select="if ($text-1 = '') then ''        else if (matches($text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $text-1 " />
    <xsl:variable name="text-without-markup" select="if (cda:originalText and cda:originalText != '') then replace(cda:originalText, $markup-regex, ' ')         else if ($text-2 != '') then normalize-space(replace($text-2, $markup-regex, ' '))         else '' " />
    <xsl:variable name="pdname" select="if (@displayName and not($invalid-code-system)) then @displayName else '' " />
    <xsl:variable name="max-code-number" select="if ($knowledge/search-for-term/max-sct-code-number/@value &gt; '5') then $knowledge/search-for-term/max-sct-code-number/@value else '5' " />
    <xsl:variable name="der-text-1" select="if ($code-present) then ''         else if ($text-without-markup != '') then $text-without-markup        else if ($pdname != '') then $pdname        else '' " />
    <xsl:variable name="is-problem-diagnosis" select="$der-text-1 != '' and local-name(.) = 'value' and local-name(..) = 'observation' " />
    <xsl:variable name="is-procedure" select="$der-text-1 != '' and local-name(.) = 'code' and local-name(..) = 'procedure' " />
    <xsl:variable name="is-uncategorised" select="$der-text-1 != '' and local-name(.) = 'text' " />
    <xsl:variable name="uncat-embedded-comment" select="if ($is-uncategorised and matches($text-1, '^(.*?,?\s*Comments:)(.*?)(,?\s*(StartTime:|Effective Date:).*)$', 's'))         then normalize-space(replace($text-1, '^(.*?,?\s*Comments:)(.*?)(,?\s*(StartTime:|Effective Date:).*)$', '$2', 's'))        else '' " />
    <xsl:variable name="uncat-embedded-dt" select="if ($is-uncategorised and matches($text-1, '^(.*?,?\s*Effective Date:)(.*?)$', 's'))         then normalize-space(replace($text-1, '^(.*?,?\s*Effective Date:)(.*?)$', '$2', 's'))        else '' " />
    <xsl:variable name="uncat-embedded-start" select="if ($is-uncategorised and matches($text-1, '^(.*?,?\s*(StartTime|From):)(.*?)(,?\s*(EndTime|To):.*?)$', 's'))         then normalize-space(replace($text-1, '^(.*?,?\s*(StartTime|From):)(.*?)(,?\s*(EndTime|To):.*?)$', '$3', 's'))        else '' " />
    <xsl:variable name="uncat-embedded-end" select="if ($is-uncategorised and matches($text-1, '^(.*?,?\s*(EndTime|To):)(.*?)$', 's'))         then normalize-space(replace($text-1, '^(.*?,?\s*(EndTime|To):)(.*?)$', '$3', 's'))        else '' " />
    <xsl:variable name="uncat-embedded-error" select="$uncat-embedded-comment != '' or $uncat-embedded-dt != '' or $uncat-embedded-start != '' or $uncat-embedded-end != '' " />
    <xsl:variable name="negated-err" select="if ($uncat-embedded-error) then false() else matches($der-text-1, '\?\s*no(^[a-z]|$)', 'is') " />
    <xsl:variable name="family-err" select="$family-regex != '' and not(matches($der-text-1, '(^|\s)(small|white\s*cell\s*count)(\s|$)', 'is')) and matches($der-text-1, $family-regex, 'is')" />
    <xsl:variable name="der-truncated-text-1" select="normalize-space(replace(replace($der-text-1, $unicode-br-truncation-regex, '$1', 'is'), $diag-proc-truncation-regex, '$1', 'is')) " />
    <xsl:variable name="length-err" select="string-length($der-truncated-text-1) &gt; $length-err-max" />
    <xsl:variable name="prose-err-1" select="$length-err and cda:originalText and (        matches(cda:originalText, $ulist-regex)           or         matches(cda:originalText, $alt-ulist-1a-regex, 'is')         or         matches(cda:originalText, $alt-ulist-1b-regex, 'is')         )" />
    <xsl:variable name="prose-err" select="$prose-err-1 or (cda:originalText and (               matches(cda:originalText, '^\W*(Dear\W+Doctor|Dear\W+Dr|Thank\W+you)', 'is')      or        ($length-err and matches(cda:originalText, '\.\s*$', 's') and matches(cda:originalText, $multi-sentence-regex, 's')) or        matches(cda:originalText, $alt-ulist-2-regex, 'is')          or        matches(cda:originalText, $olist-arabic-regex, 'is')          or         matches(cda:originalText, $olist-alpha-regex, 'is')          or         matches(cda:originalText, $olist-roman-regex, 'is')          or        matches(replace(cda:originalText, $new-line-regex, codepoints-to-string((10)), 'is'), $para-regex, 'is')  or        matches(cda:originalText, codepoints-to-string((8233)), 'is')         or               (cda:originalText and matches(cda:originalText, $invalid-concept-regex, 'is'))      ))  or              ($text-2 != '' and matches($text-2, $invalid-concept-regex, 'is'))        " />
    <xsl:variable name="avoid-ts" select="$family-err or $length-err or $prose-err or $negated-err or not($use-ts-for-sctau) " />
    <xsl:variable name="typo-replacements" select="if ($der-truncated-text-1 = '' or $uncat-embedded-error) then ''         else if ($is-problem-diagnosis and not($diag-typo = '')) then $diag-typo        else if ($is-procedure and not($proc-typo = '')) then $proc-typo        else if ($is-uncategorised and not($diag-typo = '') and not($proc-typo = '')) then concat($diag-typo, '~', $proc-typo)        else if ($is-uncategorised and $diag-typo = '' and not($proc-typo = '')) then $proc-typo        else if ($is-uncategorised and not($diag-typo = '') and $proc-typo = '') then $diag-typo        else '' " />
    <xsl:variable name="diag-proc-fir-pattern-replacement" select="if ($uncat-embedded-error) then ''           else if ($typo-replacements = '') then concat($diag-proc-fir-1, '~', $month-replacements)           else concat($diag-proc-fir-1, '~', $typo-replacements, '~', $month-replacements) " />
    <xsl:variable name="der-text-2a" select="if ($der-truncated-text-1 = '' or $uncat-embedded-error or $negated-err) then ''         else normalize-space(dh:XQueryRecursiveReplace(         replace(if ($is-procedure or $is-uncategorised) then replace($der-truncated-text-1, '^(.*?[a-z]+.*?)(\?.*?)$', '$1', 'is')            else $der-truncated-text-1,           concat('^(.*?[a-z]+.*?\s+)', $unicode-dash-regex, '(\s+.*?)$'), '$1', 'is'),           $diag-proc-fir-pattern-replacement, 'ic')) " />
    <xsl:variable name="der-text-2" select="if ($der-text-2a = '') then $der-truncated-text-1 else $der-text-2a " />
    <xsl:variable name="diag-proc-sec-pattern-replacement" select="if ($uncat-embedded-error or $negated-err or $der-text-2 = '') then ''           else if ($is-problem-diagnosis and not($diag-replacements = '')) then $diag-replacements          else if ($is-procedure and not($proc-replacements = '')) then $proc-replacements          else if ($is-uncategorised and not($diag-replacements = '') and not($proc-replacements = ''))            then concat($diag-replacements, '~', $proc-replacements)          else if ($is-uncategorised and $diag-replacements = '' and not($proc-replacements = ''))            then $proc-replacements          else if ($is-uncategorised and not($diag-replacements = '') and $proc-replacements = '')            then $diag-replacements          else '' " />
    <xsl:variable name="der-text-3a" select="if ($uncat-embedded-error or $negated-err or $der-text-2 = '' or $diag-proc-sec-pattern-replacement = '') then ''         else dh:XQueryRecursiveReplace($der-text-2, $diag-proc-sec-pattern-replacement, 'ic') " />
    <xsl:variable name="der-text-3" select="if ($der-text-3a = '') then $der-text-2 else $der-text-3a " />
    <xsl:variable name="der-text-a" select="normalize-space(replace(dh:XQueryRecursiveReplace($der-text-3, '(^|[^a-z])r([^a-z]|$)~$1 right $2~(^|[^a-z])l([^a-z]|$)~$1 left $2', 'ic'),          '([a-z])''s', '$1', 'i')) " />
    <xsl:variable name="der-text" select="if ($der-text-a = '') then $der-text-3 else $der-text-a " />
    <xsl:variable name="defn-valid-regex" select="concat('(^|\|)', translate($der-text-2, $chars-to-remove, ''), '(\||$)') " />
    <xsl:variable name="der-text-to-match-1" select="lower-case($der-text-2) " />
    <xsl:variable name="der-text-to-match" select="translate($der-text-to-match-1, $chars-to-remove, '') " />
    <xsl:variable name="der-text-non-value" select="if ($code-present or $uncat-embedded-error or $negated-err or @nullFlavor = $no-value-NF) then false()        else if ($der-text-to-match = '' or not(matches($der-text-to-match-1, '[a-z]', 'i')) or         ($cd-definitions/non-value/@regex != '' and matches($der-text-to-match-1, $cd-definitions/non-value/@regex, 'i'))) then true()         else if ($is-problem-diagnosis) then          exists($cd-definitions/diag/@non-value-regex) and matches($der-text-to-match-1, $cd-definitions/diag/@non-value-regex, 'i')        else if ($is-procedure) then          exists($cd-definitions/proc/@non-value-regex) and matches($der-text-to-match-1, $cd-definitions/proc/@non-value-regex, 'i')        else if ($is-uncategorised) then          (exists($cd-definitions/diag/@non-value-regex) and matches($der-text-to-match-1, $cd-definitions/diag/@non-value-regex, 'i')) or         (exists($cd-definitions/proc/@non-value-regex) and matches($der-text-to-match-1, $cd-definitions/proc/@non-value-regex, 'i'))        else false() " />
    <xsl:variable name="defn-common-inv-regex" select="if ($code-present or $uncat-embedded-error or $negated-err or $der-text-non-value or not($cd-definitions/diag-proc/@invalid-regex)) then ()        else tokenize($cd-definitions/diag-proc/@invalid-regex, '~') " />
    <xsl:variable name="defn-diag-inv-regex" select="if ($code-present or $uncat-embedded-error or $negated-err or $der-text-non-value or not($is-problem-diagnosis) or          not($cd-definitions/diag/@invalid-regex)) then ()        else tokenize($cd-definitions/diag/@invalid-regex, '~') " />
    <xsl:variable name="defn-proc-inv-regex" select="if ($code-present or $uncat-embedded-error or $negated-err or $der-text-non-value or not($is-procedure) or          not($cd-definitions/proc/@invalid-regex)) then ()        else tokenize($cd-definitions/proc/@invalid-regex, '~') " />
    <xsl:variable name="defn-invalid-regex" select="($defn-common-inv-regex, $defn-diag-inv-regex, $defn-proc-inv-regex)[. != ''] " />
    <xsl:variable name="defn-invalid-txt-regex" select="(for $i in (1 to count($defn-invalid-regex)) return normalize-space(substring-before($defn-invalid-regex[$i], '[[')))[. != '']" />
    <xsl:variable name="der-invalid-text-regex-1" select="if (exists($defn-invalid-txt-regex))        then index-of(for $i in (1 to count($defn-invalid-txt-regex)) return matches($der-text-2, $defn-invalid-txt-regex[$i], 'i'), true())        else () " />
    <xsl:variable name="der-invalid-text" select="exists($der-invalid-text-regex-1) or $uncat-embedded-error " />
    <xsl:variable name="defn-invalid-rsn" select="if ($der-invalid-text)         then normalize-space(substring-before(substring-after($defn-invalid-regex[$der-invalid-text-regex-1[1]], '[['), ']]'))         else '' " />
    <xsl:variable name="try-immun" select="not($der-text = '' or $negated-err or $der-text-non-value or $der-invalid-text) and         /cda:ClinicalDocument/cda:code[@codeSystem = '2.16.840.1.113883.6.1' and @code = ('60591-5', '34133-9')] " />
    <xsl:variable name="an-immun-1" select="$try-immun and matches($der-text, '(^|[^a-z])(immunizations?|immunisations?)([^a-z]|$)', 'i') " />
    <xsl:variable name="an-immun-2" select="$try-immun and ($an-immun-1 or (exists($vaccine-text-normalised) and $der-text-to-match = $vaccine-text-normalised)) " />
    <xsl:variable name="try-adverse" select="not($der-text = '' or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2) and         /cda:ClinicalDocument/cda:code[@codeSystem = '2.16.840.1.113883.6.1' and @code = ('60591-5', '34133-9', '57133-1', '18842-5', '51852-2')] " />
    <xsl:variable name="an-adverse-1" select="$try-adverse and matches($der-text, '(^|[^a-z])(ADR?|adverse drug reactions?|adverse reactions?)([^a-z]|$)', 'i') " />
    <xsl:variable name="trusted-code-systems" select="if ($der-text = '' or $der-invalid-text or $an-immun-2 or not(@codeSystem or cda:translation/@codeSystem)) then ()        else if ($is-problem-diagnosis)         then (tokenize(replace($cd-definitions/diag/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/diag/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-procedure)         then (tokenize(replace($cd-definitions/proc/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/proc/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-uncategorised)         then (tokenize(replace($cd-definitions/diag/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/diag/@extra, '\s+', ''), '\|'),         tokenize(replace($cd-definitions/proc/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/proc/@extra, '\s+', ''), '\|'))[. != '']         else () " />
    <xsl:variable name="der-trusted-text" select="if ($der-text = '' or $der-invalid-text or (@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex)))) then false()        else ((@codeSystem and exists($trusted-code-systems[. = current()/@codeSystem])) or               (cda:translation/@codeSystem and exists($trusted-code-systems[. = current()/cda:translation/@codeSystem]))) " />
    <xsl:variable name="a-disease" select="if ($is-procedure or $code-present or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2 or $der-text-to-match = '')          then false()        else $der-text-to-match = (for $disease in tokenize(string-join($vaccine-codes/@disease, '|'), '\|')          return translate(normalize-space(lower-case($disease)), $chars-to-remove, '')) " />
    <xsl:variable name="valid-diag-1" select="if ($a-disease) then true()        else if ($is-procedure or $code-present or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2 or          not($cd-definitions/diag/@valid-regex)) then false()        else exists(index-of(for $regex in (tokenize($cd-definitions/diag/@valid-regex, '~')[. != '']) return          matches($der-text-2, dh:XQueryRecursiveReplace(normalize-space($regex), ' \|~|~\| ~|', ''), 'is'), true())) " />
    <xsl:variable name="valid-proc-1" select="if ($is-problem-diagnosis or $code-present or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2 or         not($cd-definitions/proc/@valid-regex)) then false()        else exists(index-of(for $regex in (tokenize($cd-definitions/proc/@valid-regex, '~')[. != '']) return          matches($der-text-2, dh:XQueryRecursiveReplace(normalize-space($regex), ' \|~|~\| ~|', ''), 'is'), true())) " />
    <xsl:variable name="valid-diag-proc-1" select="if ($is-problem-diagnosis) then $valid-diag-1        else if ($is-procedure) then $valid-proc-1        else if ($is-uncategorised) then $valid-diag-1 or $valid-proc-1        else false() " />
    <xsl:variable name="the-invalid-h" select="if ($der-text = '' or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2) then ()        else if ($is-problem-diagnosis) then $cd-definitions/diag/diag-invalid/hierarchy        else if ($is-procedure) then $cd-definitions/proc/proc-invalid/hierarchy        else if ($is-uncategorised) then $cd-definitions/diag-proc/diag-proc-invalid/hierarchy        else () " />
    <xsl:variable name="invalid-hierarchy-1" select=" if (exists($the-invalid-h)) then string-join(for $hierarchy in $the-invalid-h return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-refset" select="if ($der-text = '' or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2) then ''        else if ($is-problem-diagnosis) then $diag-invalid-refset         else if ($is-procedure) then $proc-invalid-refset         else if ($is-uncategorised) then $diag-proc-invalid-refset         else '' " />
    <xsl:variable name="valid-refset" select="if ($der-text = '' or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2) then ''        else if ($is-problem-diagnosis) then '^32570581000036105'         else if ($is-procedure) then '^32570141000036105'         else if ($is-uncategorised) then '(^32570581000036105 OR ^32570141000036105)'        else '' " />
    <xsl:variable name="valid-domain" select="if ($der-text = '' or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2) then ''        else if ($invalid-refset != '' and $invalid-hierarchy-1 != '')         then concat('((', $valid-refset, ') MINUS (', $invalid-refset, ' OR (', $invalid-hierarchy-1, ')))')        else if ($invalid-refset = '' and $invalid-hierarchy-1 != '') then concat('((', $valid-refset, ') MINUS (', $invalid-hierarchy-1, '))')         else if ($invalid-refset != '' and $invalid-hierarchy-1 = '') then concat('((', $valid-refset, ') MINUS (', $invalid-refset, '))')        else concat('(', $valid-refset, ')') " />
    <xsl:variable name="der-text-2-laterality" select="if ($der-text-2 = '' or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2 or $valid-diag-proc-1 or        $laterality-regex = '' or not(matches($der-text-2, $laterality-regex, 'is'))) then ''        else replace($der-text-2, $laterality-regex, '$1 $3', 'is') " />
    <xsl:variable name="defn-laterality-regex" select="if ($der-text-2-laterality = '') then '' else concat('(^|\|)', translate($der-text-2-laterality, $chars-to-remove, ''), '(\||$)') " />
    <xsl:variable name="related-terms-1" select="if ($der-text = '' or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2 or $valid-diag-proc-1) then ()        else ($codesystemvalues/code[@related-terms], $codesystemvalues/related-terms[@related-terms]) " />
    <xsl:variable name="related-terms-2" select="for $i in index-of(for $concept in $related-terms-1 return         matches(translate($concept/@related-terms, $chars-no-pipe, ''), $defn-valid-regex, 'is') or        ($defn-laterality-regex != '' and matches(translate($concept/@related-terms, $chars-no-pipe, ''), $defn-laterality-regex, 'is')), true())         return $related-terms-1[$i]/@code " />
    <xsl:variable name="der-diag-proc-codes-1" select="if (exists($related-terms-2)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($related-terms-2, ' OR '), ') AND ', $valid-domain), '', string(count($related-terms-2)), false())        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $der-diag-proc-codes-1 " />
    <xsl:variable name="der-valid-codes-1" select="if (contains($der-diag-proc-codes-1, '[')) then $der-diag-proc-codes-1 else '' " />
    <xsl:variable name="valid-diag-proc-2" select="$valid-diag-proc-1 or $der-valid-codes-1 != '' " />
    <xsl:variable name="invalid-inactive-refset" select="if ($der-text = '' or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2) then ''        else if ($is-problem-diagnosis) then $diag-invalid-inactive-refset         else if ($is-procedure) then $proc-invalid-inactive-refset         else if ($is-uncategorised) then $diag-proc-invalid-inactive-refset         else '' " />
    <xsl:variable name="diag-proc-inactive-refSets" select="if ($invalid-inactive-refset = '') then $inactive-refSets         else concat('((', $inactive-refSets, ') MINUS (', $invalid-inactive-refset, '))') " />
    <xsl:variable name="formula" select="concat($valid-domain, ' OR ', $diag-proc-inactive-refSets) " />
    <xsl:variable name="ts-not-needed" select="$der-text = '' or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2 or $valid-diag-proc-2 or $avoid-ts " />
    <xsl:variable name="der-diag-proc-codes-2-a" select="if ($ts-not-needed or exists($related-terms-2)) then ()         else tokenize(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-text,          'default'), '\|') " />
    <xsl:variable name="error-usingTS-2-a" select="$error-usingTS-1 or 'Error' = $der-diag-proc-codes-2-a " />
    <xsl:variable name="revision-pattern-1" select="if ($ts-not-needed or $valid-diag-proc-2 or exists($der-diag-proc-codes-2-a) or exists($related-terms-2) or $error-usingTS-2-a) then ''        else if ($no-qual-pattern = '') then concat($laterality-regex, '~$1 $3')        else concat($laterality-regex, '~$1 $3~',  $no-qual-pattern) " />
    <xsl:variable name="der-revised-text-1" select="if ($revision-pattern-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-text, $revision-pattern-1, 'ic')) " />
    <xsl:variable name="use-revised-text-1" select="$der-revised-text-1 != '' and $der-revised-text-1 != $der-text " />
    <xsl:variable name="der-diag-proc-codes-2-b" select="if ($ts-not-needed or exists($der-diag-proc-codes-2-a) or not($use-revised-text-1)) then $der-diag-proc-codes-2-a         else tokenize(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-1,          'default'), '\|') " />
    <xsl:variable name="error-usingTS-2-b" select="$error-usingTS-2-a or 'Error' = $der-diag-proc-codes-2-b " />
    <xsl:variable name="revision-pattern-2" select="if ($ts-not-needed or $valid-diag-proc-2 or exists($der-diag-proc-codes-2-b) or exists($related-terms-2) or $error-usingTS-2-b) then ''        else if ($is-problem-diagnosis and not($diag-sec-replacements = '')) then $diag-sec-replacements        else if ($is-procedure and not($proc-sec-replacements = '')) then $proc-sec-replacements        else if ($is-uncategorised and not($diag-sec-replacements = '') and not($proc-sec-replacements = ''))          then concat($diag-sec-replacements, '~', $proc-sec-replacements)        else if ($is-uncategorised and $diag-sec-replacements = '' and not($proc-sec-replacements = '')) then $proc-sec-replacements        else if ($is-uncategorised and not($diag-sec-replacements = '') and $proc-sec-replacements = '') then $diag-sec-replacements        else '' " />
    <xsl:variable name="der-revised-text-2" select="if ($revision-pattern-2 = '') then ''         else normalize-space(dh:XQueryRecursiveReplace(if ($use-revised-text-1) then $der-revised-text-1 else $der-text, $revision-pattern-2, 'ic')) " />
    <xsl:variable name="use-revised-text-2" select="if ($use-revised-text-1) then $der-revised-text-2 != '' and $der-revised-text-2 != $der-revised-text-1         else $der-revised-text-2 != '' and $der-revised-text-2 != $der-text " />
    <xsl:variable name="der-diag-proc-codes-2-c" select="if ($ts-not-needed or exists($der-diag-proc-codes-2-b) or not($use-revised-text-2)) then $der-diag-proc-codes-2-b        else tokenize(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-2,          'default'), '\|') " />
    <xsl:variable name="error-usingTS-2-c" select="$error-usingTS-2-b or 'Error' = $der-diag-proc-codes-2-c " />
    <xsl:variable name="text-for-revision-3" select="if ($use-revised-text-2) then $der-revised-text-2 else if ($use-revised-text-1) then $der-revised-text-1 else $der-text " />
    <xsl:variable name="base-pattern-3" select="if ($ts-not-needed or $valid-diag-proc-2 or exists($der-diag-proc-codes-2-c) or exists($related-terms-2) or $error-usingTS-2-c or        matches($text-for-revision-3, '^[A-Z]+$')) then ''        else '(^|[^a-z])[a-z]{1}([^a-z]|$)~$1$2~(^|[^/0-9])[0-9]{1}([^0-9]|$)~$1$2' " />
    <xsl:variable name="revision-pattern-3" select="if ($base-pattern-3 = '') then ''        else if (matches($der-truncated-text-1, $conjunction-regex, 'is'))         then concat($base-pattern-3, '~^(.+?)(', normalize-space(dh:XQueryRecursiveReplace(         replace($der-truncated-text-1, $conjunction-regex, '$3', 'is'), $diag-proc-fir-pattern-replacement, 'ic')), '.*?)$~$1')         else $base-pattern-3 " />
    <xsl:variable name="der-revised-text-3" select="if ($revision-pattern-3 = '') then ''        else dh:XQueryRecursiveReplace($text-for-revision-3, $revision-pattern-3, 'ic') " />
    <xsl:variable name="use-revised-text-3" select="if ($use-revised-text-2) then $der-revised-text-3 != '' and $der-revised-text-3 != $der-revised-text-2         else if ($use-revised-text-1) then $der-revised-text-3 != '' and $der-revised-text-3 != $der-revised-text-1         else $der-revised-text-3 != '' and $der-revised-text-3 != $der-text " />
    <xsl:variable name="der-diag-proc-codes-2-d" select="if ($ts-not-needed or exists($der-diag-proc-codes-2-c) or not($use-revised-text-3)) then $der-diag-proc-codes-2-c        else tokenize(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-3,          'default'), '\|') " />
    <xsl:variable name="error-usingTS-2-d" select="$error-usingTS-2-c or 'Error' = $der-diag-proc-codes-2-d " />
    <xsl:variable name="der-diag-proc-codes-2-e" select="$der-diag-proc-codes-2-d " />
    <xsl:variable name="error-usingTS-2-e" select="$error-usingTS-2-d " />
    <xsl:variable name="der-diag-proc-codes-2" select="if ($ts-not-needed or $error-usingTS-2-e or not(exists($der-diag-proc-codes-2-e)) or $der-valid-codes-1 != '') then ()        else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join(for $code in $der-diag-proc-codes-2-e return replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is'), ' OR '), ') AND (',          $formula, ')'), '', string(count($der-diag-proc-codes-2-e)), false()), '\|') " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-2-e or 'Error' = $der-diag-proc-codes-2 " />
    <xsl:variable name="der-valid-codes-2" select="if ($der-valid-codes-1 != '') then $der-valid-codes-1        else if ($error-usingTS-2) then ''         else string-join((for $code in $der-diag-proc-codes-2 return if (contains($code, '~inactive')) then '' else $code)[. != ''], '|')  " />
    <xsl:variable name="valid-diag-proc-3" select="$valid-diag-proc-2 or $der-valid-codes-2 != '' " />
    <xsl:variable name="der-inactive-codes-1" select="if ($valid-diag-proc-3) then () else        for $code in $der-diag-proc-codes-2 return if (contains($code, '~inactive')) then replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is') else '' " />
    <xsl:variable name="der-inactive-codes-2" select="for $i in (1 to count($der-inactive-codes-1)) return         dh:IsCodeAssociatedWithAnotherCode($der-inactive-codes-1[$i], '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-1" select="'Error' = $der-inactive-codes-2 " />
    <xsl:variable name="der-NAF-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-NAF-active-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound~active')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-inactive-codes-3" select="tokenize(string-join(for $i in (1 to count($der-inactive-codes-1)) return replace(string-join(tokenize($der-inactive-codes-2[$i], '\|')        [matches(., '(REPLACED BY|SAME AS|ALTERNATIVE|POSSIBLY EQUIVALENT TO|MAY BE A|WAS A)')], '|'), '[0-9]+~[A-Z ]+~([0-9]+)', '$1'), '|'), '\|')        [. != ''] " />
    <xsl:variable name="der-diag-proc-codes-3" select="if (exists($der-inactive-codes-3)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($der-inactive-codes-3, ' OR '), ') AND ', $valid-domain), '', string(count($der-inactive-codes-3)), false())          else '' " />
    <xsl:variable name="error-usingTS-3" select="$error-usingTS-2 or 'Error' = $der-diag-proc-codes-3 " />
    <xsl:variable name="der-valid-codes-3" select="if ($der-valid-codes-2 != '') then $der-valid-codes-2        else if (contains($der-diag-proc-codes-3, '[')) then $der-diag-proc-codes-3        else '' " />
    <xsl:variable name="valid-diag-proc-4" select="$valid-diag-proc-3 or $der-valid-codes-3 != '' " />
    <xsl:variable name="the-tbd" select="if ($is-problem-diagnosis) then $cd-definitions/diag/diag-tbd/hierarchy        else if ($is-procedure) then $cd-definitions/proc/proc-tbd/hierarchy        else if ($is-uncategorised) then $cd-definitions/diag-proc/diag-proc-tbd/hierarchy        else () " />
    <xsl:variable name="the-invalid-r" select="if ($is-problem-diagnosis) then $cd-definitions/diag/diag-invalid/refset        else if ($is-procedure) then $cd-definitions/proc/proc-invalid/refset        else if ($is-uncategorised) then $cd-definitions/diag-proc/diag-proc-invalid/refset        else () " />
    <xsl:variable name="tbd-hierarchy" select="if (exists($the-tbd)) then string-join(for $hierarchy in $the-tbd return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-hierarchy" select="if ($invalid-hierarchy-1 != '' and $tbd-hierarchy != '') then concat($invalid-hierarchy-1, ' OR ', $tbd-hierarchy)        else if ($invalid-hierarchy-1 != '') then $invalid-hierarchy-1        else if ($tbd-hierarchy != '') then $tbd-hierarchy        else '' " />
    <xsl:variable name="invalid-domain" select="if ($invalid-hierarchy != '' and $invalid-refset != '') then concat($invalid-hierarchy, ' OR ', $invalid-refset)        else if ($invalid-hierarchy != '') then $invalid-hierarchy        else if ($invalid-refset != '') then $invalid-refset        else '' " />
    <xsl:variable name="filter-text" select="if ($use-revised-text-3) then $der-revised-text-3         else if ($use-revised-text-2) then $der-revised-text-2         else if ($use-revised-text-1) then $der-revised-text-1         else $der-text " />
    <xsl:variable name="der-diag-proc-codes-4" select="if ($ts-not-needed or $valid-diag-proc-4 or $invalid-domain = '') then ()        else if (exists($related-terms-2)) then $related-terms-2        else distinct-values((tokenize(replace(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          $invalid-domain, $filter-text, 'default'), '(\[.*?\])(\||$)', '$2'), '\|'), $der-inactive-codes-3)) " />
    <xsl:variable name="error-usingTS-4" select="$error-usingTS-3 or 'Error' = $der-diag-proc-codes-4 " />
    <xsl:variable name="invalid-diag-proc-codes-r" select="if ($ts-not-needed or $valid-diag-proc-4 or $error-usingTS-4 or not(exists($der-diag-proc-codes-4))) then ()        else if ($invalid-refset = '') then tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-diag-proc-codes-4, ' OR '), ') AND (', $inactive-refSets, ')'), '',           string(count($der-diag-proc-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')        else tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-diag-proc-codes-4, ' OR '), ') AND (', $invalid-refset, ' OR ', $inactive-refSets, ')'), '',           string(count($der-diag-proc-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')  " />
    <xsl:variable name="error-usingTS-5" select="$error-usingTS-4 or 'Error' = $invalid-diag-proc-codes-r " />
    <xsl:variable name="invalid-formula" select="if ($is-problem-diagnosis) then $diag-invalid-hierarchy         else if ($is-procedure) then $proc-invalid-hierarchy         else if ($is-uncategorised) then $diag-proc-invalid-hierarchy        else '' " />
    <xsl:variable name="der-diag-proc-codes-4-h" select="if ($error-usingTS-5) then () else $der-diag-proc-codes-4[not(. = $invalid-diag-proc-codes-r)]" />
    <xsl:variable name="invalid-diag-proc-codes-h" select="if ($ts-not-needed or $valid-diag-proc-4 or 'Error' = $der-diag-proc-codes-4 or $invalid-formula = '' or          not(exists($der-diag-proc-codes-4-h))) then ()        else (for $code in $der-diag-proc-codes-4-h return          if (dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;&gt;', $code, ' MINUS ', $invalid-formula), '', '1', false()) = '') then $code else '')[. != ''] " />
    <xsl:variable name="invalid-diag-proc-codes" select="($invalid-diag-proc-codes-h, $invalid-diag-proc-codes-r) " />
    <xsl:variable name="der-diag-proc-codes-5" select="$der-diag-proc-codes-4[not(. = $invalid-diag-proc-codes or . = 'Error')]" />
    <xsl:variable name="der-valid-codes-4" select="if ($der-valid-codes-3 != '') then $der-valid-codes-3        else if ($ts-not-needed or $valid-diag-proc-4 or $valid-domain = '' or not(exists($der-diag-proc-codes-5))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-diag-proc-codes-5, ' OR '), ') AND ', $valid-domain), '', string(count($der-diag-proc-codes-5)), false()) " />
    <xsl:variable name="error-usingTS-6" select="$error-usingTS-5 or 'Error' = $der-valid-codes-4 " />
    <xsl:variable name="valid-diag-proc-5" select="$valid-diag-proc-4 or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="der-valid-codes-seq" select="if ($error-usingTS-6) then () else tokenize(replace($der-valid-codes-4,  '(\[.*?\])(\||$)', '$2'), '\|') " />
    <xsl:variable name="proc-ivl-location" select="if ($is-uncategorised or $is-procedure) then ../cda:effectiveTime else () " />
    <xsl:variable name="proc-has-low-date" select="exists($proc-ivl-location[cda:low and not(cda:high)]) and ($is-uncategorised or               ($is-procedure and exists(/cda:ClinicalDocument/cda:templateId[         (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3') or          (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.4')])))  " />
    <xsl:variable name="proc-intervals" select="if (not($proc-has-low-date and $valid-diag-proc-5)) then ()        else if ($is-uncategorised) then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/         cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16627']]/cda:effectiveTime        else if ($is-procedure) then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/         cda:entry/cda:procedure/cda:effectiveTime        else () " />
    <xsl:variable name="proc-ivl-low" select="$proc-intervals/cda:low/@value " />
    <xsl:variable name="proc-ivl-value" select="$proc-intervals/@value " />
    <xsl:variable name="proc-ivl-high" select="$proc-intervals/cda:high/@value " />
    <xsl:variable name="assess-proc-short" select="$proc-has-low-date and count($proc-ivl-low) = count($proc-intervals) and count($proc-ivl-value) = 0 and count($proc-ivl-high) = 0 " />
    <xsl:variable name="diag-has-date" select="($is-uncategorised and exists(../cda:effectiveTime)) or              ($is-problem-diagnosis and exists(/cda:ClinicalDocument[cda:templateId[           (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3'))  or                         (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4'))  or           (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')   ]]) and exists(../cda:effectiveTime)) " />
    <xsl:variable name="diag-intervals" select="if (not($diag-has-date and $valid-diag-proc-5 and $is-uncategorised)) then ()        else ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/         cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16627']]/cda:effectiveTime " />
    <xsl:variable name="diag-onset" select="if (not($diag-has-date and $valid-diag-proc-5 and $is-problem-diagnosis)) then ()        else if (/cda:ClinicalDocument[cda:templateId[(@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3') or                   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.4') ]])          then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/          cda:entry/cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]/cda:effectiveTime/cda:low        else if (/cda:ClinicalDocument[cda:templateId[(@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2') or                   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.3') or                   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')   ]])         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/          cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]/cda:effectiveTime        else () " />
    <xsl:variable name="diag-remission" select="if (not($diag-has-date and $valid-diag-proc-5 and $is-problem-diagnosis)) then ()        else ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/         cda:entry/cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]/cda:entryRelationship[@typeCode='SUBJ']/         cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]/cda:value " />
    <xsl:variable name="diag-ivl-low" select="$diag-intervals/cda:low/@value " />
    <xsl:variable name="diag-ivl-value" select="$diag-intervals/@value " />
    <xsl:variable name="diag-ivl-high" select="$diag-intervals/cda:high/@value " />
    <xsl:variable name="assess-diag-ongoing" select="(exists($diag-ivl-low) and not(exists($diag-ivl-value)) and not(exists($diag-ivl-high))) or              (not(exists($diag-ivl-low)) and exists($diag-ivl-value) and not(exists($diag-ivl-high))) or              (not(exists($diag-ivl-low)) and not(exists($diag-ivl-value)) and exists($diag-ivl-high)) or              (exists($diag-onset) and not(exists($diag-remission)))     or              (not(exists($diag-onset)) and exists($diag-remission))     " />
    <xsl:variable name="code-num" select="if ($assess-proc-short or $assess-diag-ongoing) then count($der-valid-codes-seq) else 0 " />
    <xsl:variable name="best-match-ratio" select=" 1.0 " />
    <xsl:variable name="comparison" select="if ($code-num &gt; 0)         then distinct-values(tokenize(normalize-space(translate(lower-case($der-text), $chars-no-space, '')), ' ')) else () " />
    <xsl:variable name="comparison-count" select="count($comparison) " />
    <xsl:variable name="der-valid-code-pterm" select="if ($code-num &gt; 0) then tokenize($der-valid-codes-4, '\|') else () " />
    <xsl:variable name="code-terms" select="if ($code-num &gt; 0) then for $x in $der-valid-code-pterm return          normalize-space(dh:XQueryRecursiveReplace(dh:XQueryRecursiveReplace(translate(lower-case(replace($x, '^([0-9]+\[)(.*?)(\]$)', '$2')),          $chars-no-space, ''), $diag-proc-fir-pattern-replacement, 'ic'), $diag-proc-sec-pattern-replacement, 'ic')) else () " />
    <xsl:variable name="code-term-num" select="count($code-terms) " />
    <xsl:variable name="code-term-count" select="if ($code-term-num &gt; 0) then for $i in (1 to $code-term-num) return count(distinct-values(tokenize($code-terms[$i], ' '))) else () " />
    <xsl:variable name="best-matches" select="(for $j in (1 to $code-term-num) return               if (           (            (             $comparison-count + $code-term-count[$j] - count(distinct-values(($comparison, tokenize($code-terms[$j], ' '))))            ) div $comparison-count            +            (             $comparison-count + $code-term-count[$j] - count(distinct-values(($comparison, tokenize($code-terms[$j], ' '))))            ) div $code-term-count[$j]           ) div 2 &gt;= $best-match-ratio          ) then $der-valid-code-pterm[$j] else '')[. != ''] " />
    <xsl:variable name="best-codes" select="if (exists($best-matches)) then for $concept in $best-matches return replace($concept, '^([0-9]+)(\[.*?\]$)', '$1')         else $der-valid-codes-seq " />
    <xsl:variable name="best-num" select="count($best-codes)" />
    <xsl:variable name="short-procedure-codes" select="if ($assess-proc-short and $best-num &gt; 0) then for $item in $cd-definitions/proc/proc-short/hierarchy return $item/@code else () " />
    <xsl:variable name="procedure-type" select="if ($assess-proc-short and $best-num &gt; 0) then tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($best-codes, ' OR '), ') AND &lt;&lt;(', string-join($short-procedure-codes, ' OR '), ')'), '',         string($best-num), false()), '\|') else () " />
    <xsl:variable name="error-usingTS-7a" select="$error-usingTS-6 or 'Error' = $procedure-type " />
    <xsl:variable name="short-procedure" select="$valid-diag-proc-5 and $assess-proc-short and $best-num &gt; 0 and not($error-usingTS-7a) and $best-num = count($procedure-type) " />
    <xsl:variable name="procedure-codes" select="if ($is-uncategorised and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $best-num &gt; 0)         then tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($best-codes, ' OR '), ') AND ^32570141000036105'), '', string($best-num), false()), '\|')        else if ($is-procedure and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true')) then $der-valid-codes-4        else () " />
    <xsl:variable name="error-usingTS-7b" select="$error-usingTS-7a or 'Error' = $procedure-codes " />
    <xsl:variable name="ongoing-diag-codes" select="if ($assess-diag-ongoing and $best-num &gt; 0) then for $item in $cd-definitions/diag/diag-ongoing/hierarchy return $item/@code else () " />
    <xsl:variable name="diagnosis-type" select="if ($assess-diag-ongoing and $best-num &gt; 0) then tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($best-codes, ' OR '), ') AND &lt;&lt;(', string-join($ongoing-diag-codes, ' OR '), ')'), '',         string($best-num), false()), '\|') else () " />
    <xsl:variable name="error-usingTS-7c" select="$error-usingTS-7b or 'Error' = $diagnosis-type " />
    <xsl:variable name="ongoing-diagnosis" select="$valid-diag-proc-5 and $assess-diag-ongoing and $best-num &gt; 0 and not($error-usingTS-7b) and $best-num = count($diagnosis-type) " />
    <xsl:variable name="repeated-start" select="if (not($ongoing-diagnosis and $is-uncategorised and (exists(../cda:effectiveTime/cda:low/@value) or exists(../cda:effectiveTime/@value)))) then ()        else ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/         cda:entry/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16627']]/cda:text         [matches(., concat('^', translate($der-text-2, $chars-to-remove, ''), '$'), 'is')] " />
    <xsl:variable name="diagnosis-codes" select="if ($is-uncategorised and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))         then tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($best-codes, ' OR '), ') AND ^32570581000036105'), '', string($best-num), false()), '\|')        else () " />
    <xsl:variable name="diagnosis-codes" select="if ($is-uncategorised and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $best-num &gt; 0)         then tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($best-codes, ' OR '), ') AND ^32570581000036105'), '', string($best-num), false()), '\|')        else if ($is-problem-diagnosis and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))         then tokenize($der-valid-codes-4, '\|')        else () " />
    <xsl:variable name="error-usingTS-7d" select="$error-usingTS-7c or 'Error' = $diagnosis-codes " />
    <xsl:variable name="error-usingTS-7" select="$error-usingTS-7d " />
    <xsl:variable name="undetermined-diag-proc-1" select="if (exists($der-valid-codes-seq)) then $der-diag-proc-codes-5[not(. = $der-valid-codes-seq)] else $der-diag-proc-codes-5 " />
    <xsl:variable name="undetermined-inactive-1" select="for $i in (1 to count($undetermined-diag-proc-1)) return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $undetermined-diag-proc-1[$i], '', '1', false()) " />
    <xsl:variable name="error-usingTS-8" select="$error-usingTS-7 or 'Error' = $undetermined-inactive-1 " />
    <xsl:variable name="undetermined-inactive" select="(for $i in (1 to count($undetermined-diag-proc-1)) return         if (contains($undetermined-inactive-1[$i], '~inactive')) then $undetermined-inactive-1[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-1" select="for $i in (1 to count($undetermined-inactive))        return dh:IsCodeAssociatedWithAnotherCode(replace($undetermined-inactive[$i], '(\[.*?\])(\||$)', '$2'), '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-2" select="$error-usingV-1 or 'Error' = $undetermined-NAF-1 " />
    <xsl:variable name="undetermined-NAF" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-codes" select="for $term in $undetermined-NAF return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-NAF-active" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound~active')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-active-codes" select="for $term in $undetermined-NAF-active return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-diag-proc" select="$undetermined-diag-proc-1[not(. = ($undetermined-NAF-codes, $undetermined-NAF-active-codes))]" />
    <xsl:variable name="invalid-diag-proc" select="not($valid-diag-proc-5) and exists($invalid-diag-proc-codes) and not(exists($undetermined-diag-proc))" />
    <xsl:variable name="an-immun-3" select="if ($an-immun-2) then true()        else if (not($try-immun) or $valid-diag-proc-5 or $invalid-diag-proc or not(exists($vaccine-text-normalised))) then false()        else if ($der-text != '' and translate(lower-case($der-text), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else if ($use-revised-text-1 and translate(lower-case($der-revised-text-1), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else if ($use-revised-text-2 and translate(lower-case($der-revised-text-2), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else if ($use-revised-text-3 and translate(lower-case($der-revised-text-3), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else false() " />
    <xsl:variable name="vaccine-code-test" select="if ($try-immun and not($an-immun-3 or $valid-diag-proc-5 or $invalid-diag-proc or $avoid-ts or $error-usingTS-8) and exists($undetermined-diag-proc))          then tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('(', string-join($undetermined-diag-proc, ' OR '), ') AND (&lt;71181003 OR &lt;127785005)'), '',           string(count($undetermined-diag-proc)), false()), '\|')        else () " />
    <xsl:variable name="error-usingTS-9" select="$error-usingTS-8 or 'Error' = $vaccine-code-test " />
    <xsl:variable name="an-immun" select="$an-immun-3 or (not('Error' = $vaccine-code-test) and exists($undetermined-diag-proc) and         count($vaccine-code-test) = count($undetermined-diag-proc)) " />
    <xsl:variable name="try-tgi" select="not($valid-diag-proc-5 or $invalid-diag-proc or ($try-immun and $an-immun) or $der-text = '' or $negated-err or $der-text-non-value or         $der-invalid-text) and /cda:ClinicalDocument/cda:code[         (@codeSystem = '2.16.840.1.113883.6.1' and @code = ('60591-5', '34133-9', '18842-5', '57133-1', '51852-2')) or         (@codeSystem = '1.2.36.1.2001.1001.101' and @code = '100.16685')      ]" />
    <xsl:variable name="der-tgi-text" select="if ($try-tgi) then normalize-space(dh:XQueryRecursiveReplace($der-text,         concat($tgi-fir-pattern-replacement, '~', $tgi-regex, '~', $tgi-sec-pattern-replacement, '~', $tgi-thi-pattern-replacement), 'ic')) else '' " />
    <xsl:variable name="use-tgi-text" select="$der-tgi-text != '' and $der-tgi-text != $der-text " />
    <xsl:variable name="a-sas-tgi" select="$try-tgi and $use-tgi-text and $tgi-sas-regex != '' and matches($der-tgi-text, $tgi-sas-regex, 'is')" />
    <xsl:variable name="an-uncoded-tgi" select="$try-tgi and $use-tgi-text and $tgi-otheru-regex != '' and matches($der-tgi-text, $tgi-otheru-regex, 'is')" />
    <xsl:variable name="der-tgi-codes" select="if ($avoid-ts or $error-usingTS-9) then ''         else if ($try-tgi and $use-tgi-text and not($a-sas-tgi or $an-uncoded-tgi))         then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $tgi-formula, $der-tgi-text,           $max-code-number, false())         else '' " />
    <xsl:variable name="error-usingTS-10" select="$error-usingTS-9 or 'Error' = $der-tgi-codes " />
    <xsl:variable name="a-tgi" select="$try-tgi and ($a-sas-tgi or $an-uncoded-tgi or contains($der-tgi-codes, '[')) and not(exists($undetermined-diag-proc)) " />
    <xsl:variable name="codes-were-found" select="exists($der-diag-proc-codes-4) or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="codes-not-found" select="not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or        $valid-diag-proc-5 or $invalid-diag-proc or $an-immun or $a-tgi or $error-usingTS-10 or $family-err or $length-err or $prose-err or $negated-err) " />
    <xsl:variable name="codes-in-the-domain" select="not($valid-diag-proc-1) and $valid-diag-proc-5" />
    <xsl:variable name="codes-in-other-domain" select="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-diag-proc-5 or         $invalid-diag-proc or $an-immun or $a-tgi) " />
    <xsl:variable name="codes-in-no-domain" select="exists($der-diag-proc-codes-5) " />
    <xsl:variable name="display-in-the-domain" select="if ($codes-in-the-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', '), '''')        else '' " />
    <xsl:variable name="display-in-other-r" select="if (exists($invalid-diag-proc-codes-r) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-diag-proc-codes-r return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-h" select="if (exists($invalid-diag-proc-codes-h) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-diag-proc-codes-h return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-domain" select="if (not($codes-in-other-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))) then ''        else if ($display-in-other-r and display-in-other-h) then concat('''', $display-in-other-r, ', ', $display-in-other-h, '''')        else if ($display-in-other-r) then concat('''', $display-in-other-r, '''')        else if ($display-in-other-h) then concat('''', $display-in-other-h, '''')        else '' " />
    <xsl:variable name="display-in-no-domain" select="if ($codes-in-no-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', dh:XQueryRecursiveReplace(string-join(for $code in $der-diag-proc-codes-5 return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), '; '),          $term-pattern-replacement, 'ic'), '''')        else '' " />
    <xsl:variable name="display-text-1" select="if (cda:originalText != '') then normalize-space(cda:originalText)        else if (. != '') then normalize-space(.)        else '' " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-attr" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))        else if (. != '') then normalize-space(concat('the text ', $display-text))        else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="log-element" select="if ($error-usingTS-10 or not($flags/@report-terminology-concepts = 'true') or $log-concepts-name = '') then ''        else if ($is-problem-diagnosis) then 'Problem/Diagnosis' else if ($is-procedure) then 'Procedure' else 'Problem/Diagnosis or Procedure' " />
    <xsl:variable name="log-concepts-appended" select="if ($error-usingTS-10 or not($flags/@report-terminology-concepts = 'true') or $log-concepts-name = '') then ''        else if ($codes-not-found and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                   $log-element,    $log-tab,                   'yes',     $log-tab,                   concat($display-attr, $display-system), $log-tab,                   '',     $log-tab,                  '',     $log-tab,                  '',     $log-tab,                  $ts-current-sctau   ))        else if (($use-revised-text-3 or $codes-in-no-domain) and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                  $log-element,    $log-tab,                   'yes',     $log-tab,                     concat($display-attr, $display-system), $log-tab,                    $display-in-the-domain,   $log-tab,                  $display-in-other-domain,  $log-tab,                  $display-in-no-domain,   $log-tab,                  $ts-current-sctau   ))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-01" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating" select="if ($text-without-markup = '' or (cda:originalText and cda:originalText != '')) then $rating-57 else $rating-01 " />
    <xsl:variable name="test-case-id" select="if ($text-without-markup = '' or (cda:originalText and cda:originalText != '')) then 'TC-Types-57' else 'TC-Doc-01' " />
    <!--REPORT -->
    <xsl:if test=" $log-concepts-appended = ('NOTFOUND', 'ERROR') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$log-concepts-appended = ('NOTFOUND', 'ERROR')">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Diag-Proc-Defn): The AppendLog function returned '<xsl:text /><xsl:value-of select="$log-concepts-appended" /><xsl:text />' when requested to append the concepts log
		'<xsl:text /><xsl:value-of select="$log-concepts-name" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-3a = '' or $der-text-a = '') and    not($uncat-embedded-error or $negated-err or $valid-diag-proc-5) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-3a = '' or $der-text-a = '') and not($uncat-embedded-error or $negated-err or $valid-diag-proc-5)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Diag-Proc-Defn): An unexpected problem occurred when assessing the value of the Clinical Intervention Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. The application of regular expressions resulted in the complete loss of text.
		Report the information below to the Australian Digital Health Agency for investigation.

		der-text-1 '<xsl:text /><xsl:value-of select="normalize-space(dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'))" /><xsl:text />'.
		der-truncated-text-1 '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-truncated-text-1, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-2a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-2a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-3a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-3a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-a, $term-pattern-replacement, 'ic')" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingV-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingV-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Diag-Proc-Defn): An error was reported when accessing the terminology server when assessing the Clinical Intervention Description data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		Report the issue to the Australian Digital Health Agency for investigation stating the error was recorded for error-usingV-2.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-10 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-10">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Diag-Proc-Defn): An error was reported when accessing the terminology server when assessing the Clinical Intervention Description data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term:
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The analysis should be retried as the terminology server may have been temporarily unavailable.
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation, stating that the error was found by
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'error-usingTS-1' else if ($error-usingTS-2-a) then 'error-usingTS-2-a'   else if ($error-usingTS-2-b) then 'error-usingTS-2-b' else if ($error-usingTS-2-c) then 'error-usingTS-2-c'   else if ($error-usingTS-2-d) then 'error-usingTS-2-d' else if ($error-usingTS-2-e) then 'error-usingTS-2-e'   else if ($error-usingTS-2) then 'error-usingTS-2'   else if ($error-usingTS-3) then 'error-usingTS-3' else if ($error-usingTS-4) then 'error-usingTS-4'   else if ($error-usingTS-5) then 'error-usingTS-5' else if ($error-usingTS-6) then 'error-usingTS-6'   else if ($error-usingTS-7) then 'error-usingTS-7' else if ($error-usingTS-8) then 'error-usingTS-8'   else if ($error-usingTS-9) then 'error-usingTS-9' else 'error-usingTS-10' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($family-err or $length-err) and not($prose-err or $negated-err or $der-invalid-text) and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($family-err or $length-err) and not($prose-err or $negated-err or $der-invalid-text) and not(cda:originalText)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: <xsl:text /><xsl:value-of select="$test-case-id" /><xsl:text />: The Clinical Intervention Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which may be invalid as it
		<xsl:text /><xsl:value-of select="if ($family-err) then 'contains the family name of a healthcare participant' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($family-err and $length-err) then ' and ' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($length-err) then 'seems to be too long to describe a concept and may be a copy of or extract from the narrative.' else '.' " /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to describe the clinical intervention (i.e. procedure) undertaken         on or provided to the consumer. (See section 4.21 of the Discharge Summary Structured Document Template v3.3.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-uncategorised and $prose-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-uncategorised and $prose-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: <xsl:text /><xsl:value-of select="$test-case-id" /><xsl:text />: The Clinical Intervention Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is invalid as it is prose text.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to describe the clinical intervention (i.e. procedure) undertaken         on or provided to the consumer. (See section 4.21 of the Discharge Summary Structured Document Template v3.3.)'))" /><xsl:text /> A place to record prose text is in a comment or clinical synopsis data element.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and not($is-uncategorised) and $prose-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and not($is-uncategorised) and $prose-err">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: <xsl:text /><xsl:value-of select="$test-case-id" /><xsl:text />: The Clinical Intervention Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is invalid as it is prose text.
		<xsl:text /><xsl:value-of select="if ($is-problem-diagnosis or $is-procedure) then concat('The Clinical Intervention Description data element is CodeableText derived from the HL7 CD data type which by definition is to record ',   'a concept defined in an external code system, terminology or ontology. (See section 7.5.2.1 of ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')    else '' " /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to describe the clinical intervention (i.e. procedure) undertaken         on or provided to the consumer. (See section 4.21 of the Discharge Summary Structured Document Template v3.3.)'))" /><xsl:text />
		A place to record prose text is in a comment or clinical synopsis data element.
		This finding will also be reported as an error.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $codes-not-found">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: <xsl:text /><xsl:value-of select="$test-case-id" /><xsl:text />: The Clinical Intervention Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to describe the clinical intervention (i.e. procedure) undertaken         on or provided to the consumer. (See section 4.21 of the Discharge Summary Structured Document Template v3.3.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         CLINICAL INTERVENTIONS PERFORMED THIS VISIT section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$codes-in-other-domain and not($error-usingTS-10)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$codes-in-other-domain and not($error-usingTS-10)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: <xsl:text /><xsl:value-of select="$test-case-id" /><xsl:text />: The Clinical Intervention Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value does not seem to be applicable for the data element.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to describe the clinical intervention (i.e. procedure) undertaken         on or provided to the consumer. (See section 4.21 of the Discharge Summary Structured Document Template v3.3.)')" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $negated-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$negated-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: <xsl:text /><xsl:value-of select="$test-case-id" /><xsl:text />: The Clinical Intervention Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element has an invalid value which states the healthcare consumer
		<xsl:text /><xsl:value-of select="if ('Clinical Intervention Description' = 'Problem/Diagnosis Identification') then 'does not have a problem' else if ('Clinical Intervention Description' = 'Procedure Name') then 'has not had a procedure'   else if ('Clinical Intervention Description' = 'Medical History Item Description') then 'does not have the item' else 'Clinical Intervention Description'" /><xsl:text />.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to describe the clinical intervention (i.e. procedure) undertaken         on or provided to the consumer. (See section 4.21 of the Discharge Summary Structured Document Template v3.3.)'))" /><xsl:text />
		If the consumer once had the <xsl:text /><xsl:value-of select="if ('Clinical Intervention Description' = 'Problem/Diagnosis Identification') then 'problem'    else if ('Clinical Intervention Description' = 'Procedure Name') then 'procedure' else if ('Clinical Intervention Description' = 'Medical History Item Description') then 'item' else 'Clinical Intervention Description'" /><xsl:text /> then the error may be
		corrected by stating the
		<xsl:text /><xsl:value-of select="if ('Clinical Intervention Description' = 'Problem/Diagnosis Identification') then 'problem the consumer once had' else if ('Clinical Intervention Description' = 'Procedure Name') then 'procedure the consumer once had'    else if ('Clinical Intervention Description' = 'Medical History Item Description') then 'medical history item the consumer once had' else 'Clinical Intervention Description'" /><xsl:text /> and including an end date. If the consumer was previously thought
		to have had the <xsl:text /><xsl:value-of select="if ('Clinical Intervention Description' = 'Problem/Diagnosis Identification') then 'problem' else if ('Clinical Intervention Description' = 'Procedure Name') then 'procedure'   else if ('Clinical Intervention Description' = 'Medical History Item Description') then 'medical history item' else 'Clinical Intervention Description'" /><xsl:text /> and if this was subsequently ruled out then
		<xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> must not be included in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and 'disallowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and 'disallowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Clinical Intervention Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to describe the clinical intervention (i.e. procedure) undertaken         on or provided to the consumer. (See section 4.21 of the Discharge Summary Structured Document Template v3.3.)'))" /><xsl:text />
		The Clinical Intervention Description data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and 'disallowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and 'disallowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: <xsl:text /><xsl:value-of select="$test-case-id" /><xsl:text />: The Clinical Intervention Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to describe the clinical intervention (i.e. procedure) undertaken         on or provided to the consumer. (See section 4.21 of the Discharge Summary Structured Document Template v3.3.)'))" /><xsl:text />
		The Clinical Intervention Description data element must have a value that is consistent with this definition. Alternatively if there is no Clinical Intervention Description data element with a proper value then an exclusion
		statement must be included to state why there is no Clinical Intervention Description. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4')    then concat('Text such as ''', dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'), ''' may be permitted in the narrative even though the Clinical Intervention Description data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and 'disallowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and 'disallowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Clinical Intervention Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to describe the clinical intervention (i.e. procedure) undertaken         on or provided to the consumer. (See section 4.21 of the Discharge Summary Structured Document Template v3.3.)'))" /><xsl:text />
		The Clinical Intervention Description data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($der-text-non-value) and $der-invalid-text ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($der-text-non-value) and $der-invalid-text">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Clinical Intervention Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid. <xsl:text /><xsl:value-of select="$defn-invalid-rsn" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to describe the clinical intervention (i.e. procedure) undertaken         on or provided to the consumer. (See section 4.21 of the Discharge Summary Structured Document Template v3.3.)'))" /><xsl:text /><xsl:text /><xsl:value-of select="if ($uncat-embedded-comment != '') then concat(' The Clinical Intervention Description text contains the comment ''', $uncat-embedded-comment,     ''' which should have been recorded in the Medical History Item Comment data element.',    ' (See the mapping table for Medical History Item Comment in the ', $document-name, ' CDA Implementation Guide.)') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($uncat-embedded-start != '' and $uncat-embedded-end != '') then concat(' The Clinical Intervention Description text contains a time interval commencing at ''', $uncat-embedded-start,     ''' and ending at ', $uncat-embedded-end, ''' however they should have been recorded in the low and high elements of the Medical History Item TimeInterval data element.')     else if ($uncat-embedded-start != '' and $uncat-embedded-end = '') then concat(' The Clinical Intervention Description text contains a time interval commencing at ''', $uncat-embedded-start,     ''' which should have been recorded in the low element of the Medical History Item TimeInterval data element.')    else if ($uncat-embedded-start = '' and $uncat-embedded-end != '') then concat(' The Clinical Intervention Description text contains a time interval ending at ', $uncat-embedded-end,     ''' which should have been recorded in the high element of the Medical History Item TimeInterval data element.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($uncat-embedded-dt != '') then concat(' The Clinical Intervention Description text contains the date ''', $uncat-embedded-dt,     ''' which should have been recorded in the value attribute of the Medical History Item TimeInterval data element.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($uncat-embedded-start != '' or $uncat-embedded-end != '' or $uncat-embedded-dt != '') then concat(    ' (See the mapping table for Medical History Item TimeInterval in the ', $document-name, ' CDA Implementation Guide.)') else '' " /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $an-immun and not($error-usingTS-10)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$an-immun and not($error-usingTS-10)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: <xsl:text /><xsl:value-of select="$test-case-id" /><xsl:text />: The Clinical Intervention Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the value is invalid.
		<xsl:text /><xsl:value-of select="if ($is-problem-diagnosis) then concat('Administering an immunisation is not a medical problem or diagnosis and the ', $document-name,    ' has a separate Immunisation section for recording the immunisation.')   else 'Administering an immunisation is not a medical procedure that may be recorded in this section of the document as there is a separate Immunisation section for that purpose.' " /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to describe the clinical intervention (i.e. procedure) undertaken         on or provided to the consumer. (See section 4.21 of the Discharge Summary Structured Document Template v3.3.)'))" /><xsl:text />
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         CLINICAL INTERVENTIONS PERFORMED THIS VISIT section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $a-tgi and not($error-usingTS-10) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$a-tgi and not($error-usingTS-10)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: <xsl:text /><xsl:value-of select="$test-case-id" /><xsl:text />: The Clinical Intervention Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the value is invalid as it identifies a medication.
		Administering a medication is not a medical procedure that may be recorded in this section of the document as there is a separate Medication section for that purpose.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to describe the clinical intervention (i.e. procedure) undertaken         on or provided to the consumer. (See section 4.21 of the Discharge Summary Structured Document Template v3.3.)'))" /><xsl:text />
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         CLINICAL INTERVENTIONS PERFORMED THIS VISIT section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $invalid-diag-proc and not($error-usingTS-10) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$invalid-diag-proc and not($error-usingTS-10)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Clinical Intervention Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid
		<xsl:text /><xsl:value-of select="if (exists($invalid-diag-proc-codes-h)) then concat(' as it describes ', string-join(distinct-values(for $code in tokenize(replace(   dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat('(', string-join(for $code in $invalid-diag-proc-codes-h return concat('&gt;&gt;', $code), ' OR '), ') AND (',    string-join(for $hierarchy in $the-invalid-h return $hierarchy/@code, ' OR '), ')'), '',    string(count($invalid-diag-proc-codes-h)), true()), '(\[.*?\])(\||$)', '$2'), '\|') return $the-invalid-h[@code = $code]/@description)[position() = (1 to 2)], ' and '), '.')    else if (exists($invalid-diag-proc-codes-r)) then concat(' as it describes ', string-join(distinct-values(for $code in $invalid-diag-proc-codes-r return   $the-invalid-r[index-of(for $x in (for $refset in $the-invalid-r return    dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat($code, ' AND ^', $refset/@code), '', '1', true()), '|') return matches($x, '^[0-9]'), true())[1]]/@description), ' and '), '.')   else '.'" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to describe the clinical intervention (i.e. procedure) undertaken         on or provided to the consumer. (See section 4.21 of the Discharge Summary Structured Document Template v3.3.)'))" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable outside the applicable value domain): The Clinical Intervention Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following codes were obtained and are not in the value domain: <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-Diag-Proc-Defn): The Clinical Intervention Description '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU and no associated code was found in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists(($der-NAF-active-codes, $undetermined-NAF-active-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists(($der-NAF-active-codes, $undetermined-NAF-active-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-Diag-Proc-Defn): The Clinical Intervention Description '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-active-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the
		'<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' version of SNOMED CT-AU but it was not found with this status in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU.
		<xsl:text /><xsl:value-of select="if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $valid-diag-proc-1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $valid-diag-proc-1">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable within the value domain): The Clinical Intervention Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which matches one of the terms listed in
		<xsl:text /><xsl:value-of select="if ($a-disease) then 'the vaccine information in CodeSystems.xml' else 'Knowledge.xml' " /><xsl:text /> for the Clinical Intervention Description.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (concept is codeable within the value domain): The Clinical Intervention Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a valid value for the Clinical Intervention Description.
		SNOMED CT-AU codes that matched the concept are: <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (count($best-matches) = count($der-valid-codes-seq)) then ''   else if (count($best-matches) = 1) then concat('The analysis continued only with the best matching code which is ''',   dh:XQueryRecursiveReplace($best-matches[1], $markup-pattern-replacement, 'ic'), '''.')   else if (exists($best-matches)) then concat('The analysis continued only with the best matching codes which are ''',   dh:XQueryRecursiveReplace(string-join($best-matches, '; '), $markup-pattern-replacement, 'ic'), '''.')   else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ('Error' = $procedure-codes or not(exists($procedure-codes))) then ''   else if ($best-num = count($procedure-codes)) then ' All matching codes are members of the Procedure Foundation reference set.'    else if (count($procedure-codes) = 1) then concat(' Out of the ', $best-num, ' codes one is a member of the Procedure Foundation reference set (', string-join($procedure-codes, '; '), ').')    else if (count($procedure-codes) = 0) then concat(' Out of the ', $best-num, ' codes none is a member of the Procedure Foundation reference set.')   else concat(' Out of the ', $best-num, ' codes ', count($procedure-codes), ' are members of the Procedure Foundation reference set (', string-join($procedure-codes, '; '), ').') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($error-usingTS-7 or not(exists($procedure-codes))) then ''   else if (not($assess-proc-short)) then ' The procedure duration was not assessed.'   else if (count($procedure-type) = 0 and $best-num = count($procedure-codes)) then ' This may be a long duration procedure.'   else if (count($procedure-type) = 0) then ''   else if ($short-procedure) then ' This is a short duration procedure.'    else if ($best-num &gt; count($procedure-type) and count($procedure-type) = 1)     then concat(' Out of the ', $best-num, ' codes one describes a short duration procedure (', string-join($procedure-type, '; '), ').')   else if ($best-num &gt; count($procedure-type))     then concat(' Out of the ', $best-num, ' codes ', count($procedure-type), ' describe a short duration procedure (', string-join($procedure-type, '; '), ').')   else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ('Error' = $diagnosis-codes or not(exists($diagnosis-codes))) then ''   else if ($best-num = count($diagnosis-codes)) then ' All matching codes are members of the Problem/Diagnosis reference set.'    else if (count($diagnosis-codes) = 1) then concat(' Out of the ', $best-num, ' codes one is a member of the Problem/Diagnosis reference set (', string-join($diagnosis-codes, '; '), ').')    else if (count($diagnosis-codes) = 0) then concat(' Out of the ', $best-num, ' codes none is a member of the Problem/Diagnosis reference set.')   else concat(' Out of the ', $best-num, ' codes ', count($diagnosis-codes), ' are members of the Problem/Diagnosis reference set (', string-join($diagnosis-codes, '; '), ').') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($error-usingTS-7 or not(exists($diagnosis-codes))) then ''   else if (not($assess-diag-ongoing)) then ' The medical problem duration was not assessed.'   else if (count($diagnosis-type) = 0 and $best-num = count($diagnosis-codes)) then ' This medical problem may not be ongoing.'   else if (count($diagnosis-type) = 0) then ''   else if ($ongoing-diagnosis) then concat(' This medical problem is generally ongoing and is a member of the following conditions in the Knowledge.xml file: ''',    string-join(for $concept in $diagnosis-type return     dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',     concat('&gt;&gt;', replace($concept, '^([0-9]+)(\[.*?\]$)', '$1'), ' AND (', string-join($ongoing-diag-codes, ' OR '), ')'), '', '1', false()), '|'), '''.')   else if ($best-num &gt; count($diagnosis-type) and count($diagnosis-type) = 1)     then concat(' Out of the ', $best-num, ' codes one describes an ongoing medical problem (', string-join($diagnosis-type, '; '), ').')   else if ($best-num &gt; count($diagnosis-type))     then concat(' Out of the ', $best-num, ' codes ', count($diagnosis-type), ' describe an ongoing medical problem (', string-join($diagnosis-type, '; '), ').')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-diag-proc-1 or $prose-err or $negated-err) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-diag-proc-1 or $prose-err or $negated-err)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: <xsl:text /><xsl:value-of select="$test-case-id" /><xsl:text />: The Clinical Intervention Description '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The text used to match regular expression (der-text-2) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to match non-values and vaccines (der-text-to-match) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-to-match, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to derive a code (der-text) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.

		<xsl:text /><xsl:value-of select="if ($use-revised-text-1) then concat(' A first revision of the text (der-revised-text-1) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-1, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A first revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-1 != '' and $der-revised-text-1 = '') then ' revision-pattern-1 was applied but the output (der-revised-text-1) was an empty string.' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($use-revised-text-2) then concat(' A second revision of the text (der-revised-text-2) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A second revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-2 != '' and $der-revised-text-2 = '') then ' revision-pattern-2 was applied but the output (der-revised-text-2) was an empty string.' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($use-revised-text-3) then concat(' A third revision of the text (der-revised-text-3) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-3, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A third revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-3 != '' and $der-revised-text-3 = '') then ' revision-pattern-3 was applied but the output (der-revised-text-3) was an empty string.' else '' " /><xsl:text />

		Codes for related terms (related-terms-2): '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($related-terms-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes for related terms (der-valid-codes-1): 
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-1, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-diag-proc-codes-2) returned by the terminology server that match the text:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-diag-proc-codes-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes from related terms or the terminology server (der-valid-codes-2):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-2, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-inactive-codes-3) returned from the Validator's database associated with inactive codes:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-inactive-codes-3, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes found after examining inactive codes (der-valid-codes-3):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-3, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-diag-proc-codes-3) returned by the terminology server that are in der-inactive-codes-3 and the value domain:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-diag-proc-codes-3, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Members of invalid reference sets (invalid-diag-proc-codes-r): '<xsl:text /><xsl:value-of select="$display-in-other-r" /><xsl:text />'.
		Members of invalid code hierarchies (invalid-diag-proc-codes-h): '<xsl:text /><xsl:value-of select="$display-in-other-h" /><xsl:text />'.

		Final set of valid medical diagnosis and procedure codes (der-valid-codes-4): <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.

		 diag-proc-codes-5): '<xsl:text /><xsl:value-of select="string-join($der-diag-proc-codes-5, ''', ''')" /><xsl:text />'.
		Codes whose validity has not been determined and are inactive with no associated code (undetermined-NAF): '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(    string-join($undetermined-NAF, ''', '''), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		
		Were immunisations examined (try-immun)?: '<xsl:text /><xsl:value-of select="$try-immun" /><xsl:text />'
		Were immunisations found in the first assessment (an-immun-1):  '<xsl:text /><xsl:value-of select="$an-immun-1" /><xsl:text />'
		Were immunisations found in the second assessment (an-immun-2):  '<xsl:text /><xsl:value-of select="$an-immun-2" /><xsl:text />'
		Were immunisations found in the third assessment (an-immun-3):  '<xsl:text /><xsl:value-of select="$an-immun-3" /><xsl:text />'
		Vaccine codes (vaccine-code-test):  '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($vaccine-code-test, '; '), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Were immunisations found in the third assessment (an-immun):  '<xsl:text /><xsl:value-of select="$an-immun" /><xsl:text />'

		Were therapeutic good identifiers examined (try-tgi)?: '<xsl:text /><xsl:value-of select="$try-tgi" /><xsl:text />'
		Was text used to examine therapeutic good identifiers (use-tgi-text)?: '<xsl:text /><xsl:value-of select="$use-tgi-text" /><xsl:text />'
		The text used (der-tgi-text) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-tgi-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		Did the data element describe a therapeutic good on the Special Access Scheme (a-sas-tgi)?: '<xsl:text /><xsl:value-of select="$a-sas-tgi" /><xsl:text />'
		Did the data element describe an uncoded TGI (an-uncoded-tgi)?: '<xsl:text /><xsl:value-of select="$an-uncoded-tgi" /><xsl:text />'
		Set of TGI codes (der-tgi-codes):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-tgi-codes, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Was it confirmed that the data element describes a TGI (a-tgi)?: '<xsl:text /><xsl:value-of select="$a-tgi" /><xsl:text />'

		Will the value of the data element be trusted (der-trusted-text)? '<xsl:text /><xsl:value-of select="$der-trusted-text" /><xsl:text />'.
		
	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and $der-text != '' and not($valid-diag-proc-5 or $codes-were-found or $der-text-non-value or $der-invalid-text or    $an-immun or $a-tgi or $error-usingTS-10 or $family-err or $length-err or $prose-err or $negated-err) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and $der-text != '' and not($valid-diag-proc-5 or $codes-were-found or $der-text-non-value or $der-invalid-text or $an-immun or $a-tgi or $error-usingTS-10 or $family-err or $length-err or $prose-err or $negated-err)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept not codeable): The Clinical Intervention Description '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($avoid-ts) then 'The terminology server was not used to assist with finding codes corresponding to text in the data element. ' else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $short-procedure and not('' = '') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$short-procedure and not('' = '')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Clinical Intervention Description '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which describes a short duration procedure. The <xsl:text /><xsl:value-of select="''" /><xsl:text />
		data element describes the time interval when the procedure was performed and states that it commenced on '<xsl:text /><xsl:value-of select="$proc-ivl-location/cda:low/@value" /><xsl:text />' and the completion date was not
		stated which means the procedure is either ongoing or if it was was completed then the completion date was not recorded.
		(See section 8 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		As all <xsl:text /><xsl:value-of select="''" /><xsl:text /> data elements have a commencement date and no completion date then it is assumed that there is a software error rather than a human error causing the
		dates to be incorrectly recorded in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A way to record a time interval that completed the same day that it commenced is for the <xsl:text /><xsl:value-of select="''" /><xsl:text /> '<xsl:text /><xsl:value-of select="local-name($proc-ivl-location)" /><xsl:text />'
		data element to have a value attribute with the value '<xsl:text /><xsl:value-of select="$proc-ivl-location/cda:low/@value" /><xsl:text />' and no low or high elements.
		Alternatively if the commencement date is unknown and '<xsl:text /><xsl:value-of select="$proc-ivl-location/cda:low/@value" /><xsl:text />' is the date when the procedure was completed then the <xsl:text /><xsl:value-of select="''" /><xsl:text />
		'<xsl:text /><xsl:value-of select="local-name($proc-ivl-location)" /><xsl:text />' data element should have no low element and a high element with a value attribute with the value
		'<xsl:text /><xsl:value-of select="$proc-ivl-location/cda:low/@value" /><xsl:text />'. (See sections 3.6 and 3.8.1 of the HL7 Data Types - Abstract Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $ongoing-diagnosis and $is-uncategorised and exists(../cda:effectiveTime/cda:high/@value) and not('' = '') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$ongoing-diagnosis and $is-uncategorised and exists(../cda:effectiveTime/cda:high/@value) and not('' = '')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Clinical Intervention Description '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which describes a medical problem that is often ongoing however
		the <xsl:text /><xsl:value-of select="''" /><xsl:text /> data element, which describes the time interval applying to the medical problem, does not state a commencement date and has a 'high' element
		with a value that states the medical problem
		was resolved on '<xsl:text /><xsl:value-of select="../cda:effectiveTime/cda:high/@value" /><xsl:text />'. (See section 8 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		As the <xsl:text /><xsl:value-of select="''" /><xsl:text /> data elements have a resolution or remission date and no date of onset then, if the medical problem is ongoing, there may be a software error
		rather than a human error causing the dates to be incorrectly recorded in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. Confirm if the software system is able to correctly record an ongoing
		medical problem. A way to record a time interval for an ongoing medical problem is for the <xsl:text /><xsl:value-of select="''" /><xsl:text /> 'effectiveTime'
		data element to have a low element with a value attribute to record the commencement date and for the high element to be omitted.
		(See section 3.6 of the HL7 Data Types - Abstract Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $ongoing-diagnosis and $is-uncategorised and exists(../cda:effectiveTime/@value) and not('' = '') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$ongoing-diagnosis and $is-uncategorised and exists(../cda:effectiveTime/@value) and not('' = '')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Clinical Intervention Description '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which describes a medical problem that is often ongoing however
		the <xsl:text /><xsl:value-of select="''" /><xsl:text /> data element, which describes the time interval applying to the medical problem, has a 'value' attribute with the value
		'<xsl:text /><xsl:value-of select="../cda:effectiveTime/@value" /><xsl:text />' which indicates the medical problem both commenced and
		was resolved on '<xsl:text /><xsl:value-of select="../cda:effectiveTime/@value" /><xsl:text />'. (See section 8 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and
		section 3.8.1 of the HL7 Data Types - Abstract Specification.)
		As the <xsl:text /><xsl:value-of select="''" /><xsl:text /> data elements have value attribute then, if the medical problem is ongoing, there may be a software error rather than a human error causing
		the dates to be incorrectly recorded in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. Confirm if the software system is able to correctly record an ongoing medical problem.
		A way to record a time interval for an ongoing medical problem is for the <xsl:text /><xsl:value-of select="''" /><xsl:text /> 'effectiveTime'
		data element to have a low element with a value attribute to record the commencement date and for the high element to be omitted.
		(See section 3.6 of the HL7 Data Types - Abstract Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $ongoing-diagnosis and $is-problem-diagnosis and    exists(../cda:entryRelationship[@typeCode='SUBJ']/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]/cda:value/@value) and not('' = '') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$ongoing-diagnosis and $is-problem-diagnosis and exists(../cda:entryRelationship[@typeCode='SUBJ']/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]/cda:value/@value) and not('' = '')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Clinical Intervention Description '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which describes a medical problem that is often ongoing however
		the <xsl:text /><xsl:value-of select="''" /><xsl:text /> data element has a value that states the medical problem
		was resolved on '<xsl:text /><xsl:value-of select="../cda:entryRelationship[@typeCode='SUBJ']/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]/cda:value/@value" /><xsl:text />'.	
		As the Clinical Intervention Description data elements have a resolution or remission date and no date of onset then there may be a software error
		rather than a human error causing the dates to be incorrectly recorded in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. Confirm if the software system is able to correctly record an ongoing
		medical problem. (See information about the <xsl:text /><xsl:value-of select="''" /><xsl:text /> in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $ongoing-diagnosis and $is-uncategorised and count($repeated-start) &gt; 1 and not('' = '') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$ongoing-diagnosis and $is-uncategorised and count($repeated-start) &gt; 1 and not('' = '')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Clinical Intervention Description '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which describes a medical problem that is often ongoing.

		The <xsl:text /><xsl:value-of select="''" /><xsl:text /> data element has a value that indicates the medical problem commenced or was first recorded on
		'<xsl:text /><xsl:value-of select="if (../cda:effectiveTime/cda:low/@value) then ../cda:effectiveTime/cda:low/@value else ../cda:effectiveTime/@value " /><xsl:text />'.
		According to information recorded in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> the medical problem has commenced on
		<xsl:text /><xsl:value-of select="if ($numbers/number[number(@value) = count($repeated-start)]) then $numbers/number[number(@value) = count($repeated-start)]/@name else count($repeated-start)" /><xsl:text />
		different occasions. As all Clinical Intervention Description data elements with a date have a commencement date then there may be a software error rather than a human error that has resulted in the ongoing
		medical problem to be recorded multiple times. Confirm if the software system is able to correctly record the dates for an ongoing
		medical problem. (See information about the <xsl:text /><xsl:value-of select="''" /><xsl:text /> in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M259" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M259" />
  <xsl:template match="@*|node()" priority="-2" mode="M259">
    <xsl:apply-templates select="@*|*" mode="M259" />
  </xsl:template>
  <!--PATTERN p-TS-DisInter-CodeableText-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.20109' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16006']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20109']]/cda:entry/cda:procedure[@classCode='PROC']/cda:code        [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]        [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or          ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M260">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.20109' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16006']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20109']]/cda:entry/cda:procedure[@classCode='PROC']/cda:code        [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]        [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or          ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Clinical Intervention Description '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Clinical Intervention Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Clinical Intervention Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Clinical Intervention Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Clinical Intervention Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Clinical Intervention Description has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Clinical Intervention Description data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Clinical Intervention Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Clinical Intervention Description data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Clinical Intervention Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Clinical Intervention Description data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Clinical Intervention Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Clinical Intervention Description data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Clinical Intervention Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Clinical Intervention Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Clinical Intervention Description data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Clinical Intervention Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Clinical Intervention Description data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Clinical Intervention Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Clinical Intervention Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Clinical Intervention Description data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Clinical Intervention Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Clinical Intervention Description data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Clinical Intervention Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Clinical Intervention Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M260" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M260" />
  <xsl:template match="@*|node()" priority="-2" mode="M260">
    <xsl:apply-templates select="@*|*" mode="M260" />
  </xsl:template>
  <!--PATTERN p-TS-DisMed-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16022' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022'] " priority="1000" mode="M261">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16022' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022'] " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating" select="if ($initial-priority) then $initial-rating else if ($FS-Types-seq/@rating) then concat(' (', $FS-Types-seq/@rating, ')') else '' " />
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and not(/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']) and $extensions-allowed">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']) and $extensions-allowed">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: FS-Types: The Discharge Summary Medications section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16022') has been found in a <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. The Discharge Summary Medications section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16022') is defined in the digital health specifications but
		although tests have been applied to the data elements the specification of the data elements may have been varied for inclusion in this document
		so further examination may be needed. The rules have been validated for <xsl:text /><xsl:value-of select="normalize-space('Discharge Summary CDA Implementation Guide version 3.4')" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M261" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M261" />
  <xsl:template match="@*|node()" priority="-2" mode="M261">
    <xsl:apply-templates select="@*|*" mode="M261" />
  </xsl:template>
  <!--PATTERN p-TS-DisMed-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16022' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/cda:section[cda:code   [not(@code='101.16146.4.1.1' or @code='101.16146.4.1.2')]] " priority="1000" mode="M262">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16022' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/cda:section[cda:code   [not(@code='101.16146.4.1.1' or @code='101.16146.4.1.2')]] " />
    <xsl:variable name="agency-section" select=" cda:code/@codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="test-step" select=" if (not($extensions-allowed)) then 'step 4'        else if ($agency-section) then 'step 3' else 'step 1' " />
    <xsl:variable name="title-and-code" select=" if (cda:title and cda:code/@code) then concat('title ''', cda:title, ''', code/code ''', cda:code/@code, '''')        else if (cda:title and not(cda:code/@code)) then concat('title ''', cda:title, '''')        else if (not(cda:title) and cda:code/@code) then concat('code/code ''', cda:code/@code, '''')        else '' " />
    <xsl:variable name="other-section-names" select=" if (cda:code/@displayName and not(cda:code/cda:originalText)) then concat(' and code/displayName ''', cda:code/@displayName, '''')         else if (cda:code/@displayName and cda:code/cda:originalText)          then concat(', code/displayName ''', cda:code/@displayName,''' and code/originalText ''', cda:code/cda:originalText, '''')        else if (not(cda:code/@displayName) and cda:code/cda:originalText) then concat(' and code/originalText ''', cda:code/cda:originalText, '''')        else '' " />
    <xsl:variable name="section-names" select="concat($title-and-code, $other-section-names)" />
    <xsl:variable name="doc-code" select="/cda:ClinicalDocument/cda:code" />
    <xsl:variable name="parent-section" select="ancestor::cda:section[position()=1]" />
    <xsl:variable name="custom-section-info" select="($iq-config/custom-sections/section, $knowledge/custom-sections/section)[        @doc-code  = $doc-code/@code          and        @doc-codeSystem  = $doc-code/@codeSystem          and        @parent-code   = $parent-section/cda:code/@code         and         @parent-codeSystem  = $parent-section/cda:code/@codeSystem        and         (@title = current()/cda:title or (@code = current()/cda:code/@code and @codeSystem = current()/cda:code/@codeSystem)) ] " />
    <xsl:variable name="section-disallowed" select="$custom-section-info/@disallowed = 'yes' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and ($section-disallowed or not(exists($custom-section-info)))) then $rating-alt-TC-Doc-28-step-1        else if ($test-step = 'step 1' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections]) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 3') then $rating-TC-Doc-28-step-3 else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and $section-disallowed ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and $section-disallowed">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Discharge Summary Medications section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16022') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> which
		is an extension to the information model however the inclusion of this section conflicts with sections defined in the digital health specifications.
		<xsl:text /><xsl:value-of select="$custom-section-info[@disallowed = 'yes']/@reason" /><xsl:text /> (Also see <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not(true()) and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(true()) and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Discharge Summary Medications section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16022') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. No subsection is expected so this
		is an extension to the information model. Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the 
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(true()) and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(true()) and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Discharge Summary Medications section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16022') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> but no subsections were
		expected so the document fails to meet the requirement that it must not contain additional data elements. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and true() and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and true() and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Discharge Summary Medications section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16022') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		code '101.16146.4.1.1' and code '101.16146.4.1.2' are expected but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the information model.
		Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Discharge Summary Medications section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16022') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		code '101.16146.4.1.1' and code '101.16146.4.1.2' are expected but the inclusion of the section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> fails to meet the requirement that it must not contain additional data elements.
		(See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M262" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M262" />
  <xsl:template match="@*|node()" priority="-2" mode="M262">
    <xsl:apply-templates select="@*|*" mode="M262" />
  </xsl:template>
  <!--PATTERN p-TS-DisMed-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16022' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']][cda:entry] " priority="1000" mode="M263">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16022' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']][cda:entry] " />
    <xsl:variable name="test-step" select=" if (not($extensions-allowed)) then 'step 4' else 'step 1' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Medications section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16022') has an entry element but no entry elements were expected so this is an extension
		to the information model. Confirm if the entry element meets the requirement that extensions must not qualify or negate any of the 
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Medications section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16022') has an entry element but no entry elements were expected so the document fails to meet the
		requirement that it must not contain additional data elements. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M263" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M263" />
  <xsl:template match="@*|node()" priority="-2" mode="M263">
    <xsl:apply-templates select="@*|*" mode="M263" />
  </xsl:template>
  <!--PATTERN p-TS-DisProb-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16142' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16142'] " priority="1000" mode="M264">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16142' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16142'] " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating" select="if ($initial-priority) then $initial-rating else if ($FS-Types-seq/@rating) then concat(' (', $FS-Types-seq/@rating, ')') else '' " />
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and not(/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']) and $extensions-allowed">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']) and $extensions-allowed">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: FS-Types: The Problems/Diagnoses This Visit section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16142') has been found in a <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. The Problems/Diagnoses This Visit section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16142') is defined in the digital health specifications but
		although tests have been applied to the data elements the specification of the data elements may have been varied for inclusion in this document
		so further examination may be needed. The rules have been validated for <xsl:text /><xsl:value-of select="normalize-space('Discharge Summary CDA Implementation Guide version 3.4')" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M264" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M264" />
  <xsl:template match="@*|node()" priority="-2" mode="M264">
    <xsl:apply-templates select="@*|*" mode="M264" />
  </xsl:template>
  <!--PATTERN p-TS-DisProb-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16142' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16006']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16142']]/cda:component/cda:section " priority="1000" mode="M265">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16142' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16006']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16142']]/cda:component/cda:section " />
    <xsl:variable name="agency-section" select=" cda:code/@codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="test-step" select=" if (not($extensions-allowed)) then 'step 4'        else if ($agency-section) then 'step 3' else 'step 1' " />
    <xsl:variable name="title-and-code" select=" if (cda:title and cda:code/@code) then concat('title ''', cda:title, ''', code/code ''', cda:code/@code, '''')        else if (cda:title and not(cda:code/@code)) then concat('title ''', cda:title, '''')        else if (not(cda:title) and cda:code/@code) then concat('code/code ''', cda:code/@code, '''')        else '' " />
    <xsl:variable name="other-section-names" select=" if (cda:code/@displayName and not(cda:code/cda:originalText)) then concat(' and code/displayName ''', cda:code/@displayName, '''')         else if (cda:code/@displayName and cda:code/cda:originalText)          then concat(', code/displayName ''', cda:code/@displayName,''' and code/originalText ''', cda:code/cda:originalText, '''')        else if (not(cda:code/@displayName) and cda:code/cda:originalText) then concat(' and code/originalText ''', cda:code/cda:originalText, '''')        else '' " />
    <xsl:variable name="section-names" select="concat($title-and-code, $other-section-names)" />
    <xsl:variable name="doc-code" select="/cda:ClinicalDocument/cda:code" />
    <xsl:variable name="parent-section" select="ancestor::cda:section[position()=1]" />
    <xsl:variable name="custom-section-info" select="($iq-config/custom-sections/section, $knowledge/custom-sections/section)[        @doc-code  = $doc-code/@code          and        @doc-codeSystem  = $doc-code/@codeSystem          and        @parent-code   = $parent-section/cda:code/@code         and         @parent-codeSystem  = $parent-section/cda:code/@codeSystem        and         (@title = current()/cda:title or (@code = current()/cda:code/@code and @codeSystem = current()/cda:code/@codeSystem)) ] " />
    <xsl:variable name="section-disallowed" select="$custom-section-info/@disallowed = 'yes' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and ($section-disallowed or not(exists($custom-section-info)))) then $rating-alt-TC-Doc-28-step-1        else if ($test-step = 'step 1' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections]) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 3') then $rating-TC-Doc-28-step-3 else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and $section-disallowed ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and $section-disallowed">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Problems/Diagnoses This Visit section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16142') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> which
		is an extension to the information model however the inclusion of this section conflicts with sections defined in the digital health specifications.
		<xsl:text /><xsl:value-of select="$custom-section-info[@disallowed = 'yes']/@reason" /><xsl:text /> (Also see <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not(false()) and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(false()) and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Problems/Diagnoses This Visit section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16142') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. No subsection is expected so this
		is an extension to the information model. Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the 
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(false()) and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(false()) and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Problems/Diagnoses This Visit section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16142') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> but no subsections were
		expected so the document fails to meet the requirement that it must not contain additional data elements. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and false() and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and false() and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Problems/Diagnoses This Visit section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16142') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		none are expected but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the information model.
		Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Problems/Diagnoses This Visit section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16142') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		none are expected but the inclusion of the section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> fails to meet the requirement that it must not contain additional data elements.
		(See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M265" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M265" />
  <xsl:template match="@*|node()" priority="-2" mode="M265">
    <xsl:apply-templates select="@*|*" mode="M265" />
  </xsl:template>
  <!--PATTERN p-TS-DisProb-CodeableText-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16142' = $doc-sections]/cda:component/cda:structuredBody/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16006']]/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16142']]/cda:entry/         cda:observation[@classCode='OBS' and not(cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.4.3.1'])]/cda:value " priority="1000" mode="M266">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16142' = $doc-sections]/cda:component/cda:structuredBody/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16006']]/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16142']]/cda:entry/         cda:observation[@classCode='OBS' and not(cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.4.3.1'])]/cda:value " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Problem/Diagnosis Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Problem/Diagnosis Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Problem/Diagnosis Description',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Problem/Diagnosis Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Problem/Diagnosis Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'exclusion' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'exclusion' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Problem/Diagnosis Description
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Problem/Diagnosis Description however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Problem/Diagnosis Description in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'exclusion' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'exclusion' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Problem/Diagnosis Description
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Problem/Diagnosis Description however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Problem/Diagnosis Description in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Problem/Diagnosis Description data element must have a value that is consistent with this definition. Alternatively if there is no Problem/Diagnosis Description data element with a proper value then an exclusion
		statement must be included to state why there is no Problem/Diagnosis Description.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'exclusion' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'exclusion' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Problem/Diagnosis Description
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Problem/Diagnosis Description however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Problem/Diagnosis Description in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'exclusion' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'exclusion' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Problem/Diagnosis Description
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Problem/Diagnosis Description however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Problem/Diagnosis Description in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Problem/Diagnosis Description data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'exclusion' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'exclusion' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Problem/Diagnosis Description
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Problem/Diagnosis Description however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Problem/Diagnosis Description in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Problem/Diagnosis Description data element must have a value that is consistent with this definition. Alternatively if there is no Problem/Diagnosis Description data element with a proper value then an exclusion
		statement must be included to state why there is no Problem/Diagnosis Description.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'exclusion' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'exclusion' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Problem/Diagnosis Description
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Problem/Diagnosis Description however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Problem/Diagnosis Description in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Problem/Diagnosis Description data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Problem/Diagnosis Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Problem/Diagnosis Description
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Problem/Diagnosis Description
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Problem/Diagnosis Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Problem/Diagnosis Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Problem/Diagnosis Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Problem/Diagnosis Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Problem/Diagnosis Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Problem/Diagnosis Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Problem/Diagnosis Description
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Problem/Diagnosis Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Problem/Diagnosis Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Problem/Diagnosis Description.
		(See the definition of Problem/Diagnosis Description in the Structured Content Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Problem/Diagnosis Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M266" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M266" />
  <xsl:template match="@*|node()" priority="-2" mode="M266">
    <xsl:apply-templates select="@*|*" mode="M266" />
  </xsl:template>
  <!--PATTERN p-TS-DisProb-CodeableText-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '101.16142' = $doc-sections]/cda:component/cda:structuredBody/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16006']]/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16142']]/cda:entry/         cda:observation[@classCode='OBS' and not(cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.4.3.1'])]/cda:value         [@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " priority="1000" mode="M267">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '101.16142' = $doc-sections]/cda:component/cda:structuredBody/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16006']]/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16142']]/cda:entry/         cda:observation[@classCode='OBS' and not(cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.4.3.1'])]/cda:value         [@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="pnullFlavor" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @nullFlavor) then @nullFlavor else '' " />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-p-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then false()        else if ($psnomed-id = 'amtv3' and @codeSystemVersion) then exists($v-amtv3[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($psnomed-id = 'snomedctau' and @codeSystemVersion) then exists($v-snomedctau[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false() " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and $pcode != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used to assess the primary code.') " />
    <xsl:variable name="pcode-refsets-1" select="if (@codeSystem = '2.16.840.1.113883.6.96' and not($pcode = ''))         then dh:FindValueDomainsForCode($pcode, '2.16.840.1.113883.6.96', $v-psnomed-version) else 'no-code' " />
    <xsl:variable name="pcode-found" select="not($pcode-refsets-1 = 'no-code' or $pcode-refsets-1 = 'CodeNotFound' or $pcode-refsets-1 = 'Error'        or contains($pcode-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="pcode-refsets" select="if ($pcode-found) then distinct-values(tokenize($pcode-refsets-1, '\|')) else () " />
    <xsl:variable name="pcode-special-proc" select="count($pcode-refsets) = 1 and 'Procedure Foundation (PF)' = $pcode-refsets and not($pnullFlavor = 'OTH') " />
    <xsl:variable name="pcode-refsets-msg" select="if (count($pcode-refsets) = 0) then ''         else if (count($pcode-refsets) = 1) then concat('The code is a member of the ', $pcode-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($pcode-refsets, ', '), '.') " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))         else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-1" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="snomed-trans-2" select="distinct-values(for $i in (1 to count($snomed-trans-1)) return $snomed-trans-1[$i]/@code) " />
    <xsl:variable name="snomed-trans-a" select="$snomed-trans-1[1] " />
    <xsl:variable name="tcode-a" select="if (exists($snomed-trans-a) and matches($snomed-trans-a/@code, $snomed-code-regex)) then $snomed-trans-a/@code else '' " />
    <xsl:variable name="tnullFlavor-a" select="if (exists($snomed-trans-a) and $snomed-trans-a/@nullFlavor) then $snomed-trans-a/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-a" select="if (not(exists($snomed-trans-a))) then 'not-snomed'        else if (not($snomed-trans-a/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-a/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-a" select="if (not(exists($snomed-trans-a))) then ''        else if ($tsnomed-id-a = 'amtv3' and exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-a = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-a/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-a" select="if (not(exists($snomed-trans-a))) then false()        else if ($tsnomed-id-a = 'amtv3' and $snomed-trans-a/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-a = 'snomedctau' and $snomed-trans-a/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-a-msg" select="if (not(exists($snomed-trans-a))) then ''        else if (not($snomed-trans-a/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-a, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-a = 'amtv3') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-a = 'snomedctau') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-a/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-a, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-a/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-a-refsets-1" select="if (exists($snomed-trans-a) and not($tcode-a = ''))         then dh:FindValueDomainsForCode($tcode-a, '2.16.840.1.113883.6.96', $v-tsnomed-version-a) else 'no-code' " />
    <xsl:variable name="tcode-a-found" select="not($tcode-a-refsets-1 = 'no-code' or $tcode-a-refsets-1 = 'CodeNotFound' or $tcode-a-refsets-1 = 'Error'         or contains($tcode-a-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-a-refsets" select="if ($tcode-a-found) then distinct-values(tokenize($tcode-a-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-a-special-proc" select="count($tcode-a-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-a-refsets and not($tnullFlavor-a = 'OTH') " />
    <xsl:variable name="tcode-a-refsets-msg" select="if (count($tcode-a-refsets) = 0) then ''         else if (count($tcode-a-refsets) = 1) then concat('The code is a member of the ', $tcode-a-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-a-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@code and $snomed-trans-a/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-a/@displayName, codepoints-to-string(34))         else if ($snomed-trans-a/@code and not($snomed-trans-a/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@codeSystem and $snomed-trans-a/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-a/@codeSystemName, ')')         else if ($snomed-trans-a/@codeSystem and not($snomed-trans-a/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-b" select="(for $i in (2 to count($snomed-trans-1)) return if ($snomed-trans-1[$i]/@code != $snomed-trans-a/@code) then $snomed-trans-1[$i] else ())[1] " />
    <xsl:variable name="tcode-b" select="if (exists($snomed-trans-b) and matches($snomed-trans-b/@code, $snomed-code-regex)) then $snomed-trans-b/@code else '' " />
    <xsl:variable name="tnullFlavor-b" select="if (exists($snomed-trans-b) and $snomed-trans-b/@nullFlavor) then $snomed-trans-b/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-b" select="if (not(exists($snomed-trans-b))) then 'not-snomed'        else if (not($snomed-trans-b/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-b/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-b" select="if (not(exists($snomed-trans-b))) then ''        else if ($tsnomed-id-b = 'amtv3' and exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-b = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-b/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-b" select="if (not(exists($snomed-trans-b))) then false()        else if ($tsnomed-id-b = 'amtv3' and $snomed-trans-b/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-b = 'snomedctau' and $snomed-trans-b/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-b-msg" select="if (not(exists($snomed-trans-b))) then ''        else if (not($snomed-trans-b/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-b, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-b = 'amtv3') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-b = 'snomedctau') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-b/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-b, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-b/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-b-refsets-1" select="if (exists($snomed-trans-b) and not($tcode-b = ''))         then dh:FindValueDomainsForCode($tcode-b, '2.16.840.1.113883.6.96', $v-tsnomed-version-b) else 'no-code' " />
    <xsl:variable name="tcode-b-found" select="not($tcode-b-refsets-1 = 'no-code' or $tcode-b-refsets-1 = 'CodeNotFound' or $tcode-b-refsets-1 = 'Error'         or contains($tcode-b-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-b-refsets" select="if ($tcode-b-found) then distinct-values(tokenize($tcode-b-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-b-special-proc" select="count($tcode-b-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-b-refsets and not($tnullFlavor-b = 'OTH') " />
    <xsl:variable name="tcode-b-refsets-msg" select="if (count($tcode-b-refsets) = 0) then ''         else if (count($tcode-b-refsets) = 1) then concat('The code is a member of the ', $tcode-b-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-b-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@code and $snomed-trans-b/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-b/@displayName, codepoints-to-string(34))         else if ($snomed-trans-b/@code and not($snomed-trans-b/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@codeSystem and $snomed-trans-b/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-b/@codeSystemName, ')')         else if ($snomed-trans-b/@codeSystem and not($snomed-trans-b/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-60" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-60 else $rating-alt-TC-Types-60 " />
    <!--REPORT -->
    <xsl:if test=" $pcode-found and $pcode-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pcode-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD (p-TS-CD-SCT-RefSet): An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$pcode" /><xsl:text />',
		codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-psnomed-version" /><xsl:text />'. This error occurred when assessing the Problem/Diagnosis Description data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Problem/Diagnosis Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. The value is not valid for the data element as it describes a medical
		procedure and not a medical problem or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the diagnosis or health problem experienced by the         consumer. (See section 4.17 of the Discharge Summary Structured Document Template v3.3.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and   not(exists(index-of(for $refset in ('Problem Diagnosis (PD)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and not(exists(index-of(for $refset in ('Problem Diagnosis (PD)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Problem/Diagnosis Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the code is not a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Problem/Diagnosis reference set (Concept Id: 32570581000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the PROBLEM/DIAGNOSIS section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and   not(exists(index-of(for $refset in ('Problem Diagnosis (PD)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and not(exists(index-of(for $refset in ('Problem Diagnosis (PD)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Problem/Diagnosis Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Problem/Diagnosis reference set (Concept Id: 32570581000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the PROBLEM/DIAGNOSIS section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and   exists(index-of(for $refset in ('Problem Diagnosis (PD)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and exists(index-of(for $refset in ('Problem Diagnosis (PD)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Problem/Diagnosis Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Problem/Diagnosis reference set (Concept Id: 32570581000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the PROBLEM/DIAGNOSIS section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and   exists(index-of(for $refset in ('Problem Diagnosis (PD)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and exists(index-of(for $refset in ('Problem Diagnosis (PD)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Problem/Diagnosis Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. Confirm if the code is a member of the value domain.
		If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Problem/Diagnosis reference set (Concept Id: 32570581000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the PROBLEM/DIAGNOSIS section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Problem/Diagnosis Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="count($snomed-trans-1)" /><xsl:text /> translation elements with
		codes and the SNOMED CT-AU codeSystem '2.16.840.1.113883.6.96'. The first two translation elements have been assessed to determine if the codes are members of the value domain
		and the others have not been assessed. Confirm if the value of the code attribute in all SNOMED CT translation elements meets the requirement that it be a member of the value domain
		if there is no nullFlavor 'OTH' or that there is a nullFlavor 'OTH' if the value of the code attribute is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Problem/Diagnosis reference set (Concept Id: 32570581000036105).')" /><xsl:text /> 
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the PROBLEM/DIAGNOSIS section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-a" /><xsl:text />'. This error occurred when assessing the Problem/Diagnosis Description data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Problem/Diagnosis Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the diagnosis or health problem experienced by the         consumer. (See section 4.17 of the Discharge Summary Structured Document Template v3.3.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and   not(exists(index-of(for $refset in ('Problem Diagnosis (PD)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and not(exists(index-of(for $refset in ('Problem Diagnosis (PD)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Problem/Diagnosis Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Problem/Diagnosis reference set (Concept Id: 32570581000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the PROBLEM/DIAGNOSIS section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and   not(exists(index-of(for $refset in ('Problem Diagnosis (PD)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and not(exists(index-of(for $refset in ('Problem Diagnosis (PD)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Problem/Diagnosis Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Problem/Diagnosis reference set (Concept Id: 32570581000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the PROBLEM/DIAGNOSIS section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and   exists(index-of(for $refset in ('Problem Diagnosis (PD)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and exists(index-of(for $refset in ('Problem Diagnosis (PD)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Problem/Diagnosis Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Problem/Diagnosis reference set (Concept Id: 32570581000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the PROBLEM/DIAGNOSIS section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and   exists(index-of(for $refset in ('Problem Diagnosis (PD)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and exists(index-of(for $refset in ('Problem Diagnosis (PD)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Problem/Diagnosis Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Problem/Diagnosis reference set (Concept Id: 32570581000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the PROBLEM/DIAGNOSIS section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-b" /><xsl:text />'. This error occurred when assessing the Problem/Diagnosis Description data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Problem/Diagnosis Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> 
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the diagnosis or health problem experienced by the         consumer. (See section 4.17 of the Discharge Summary Structured Document Template v3.3.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and   not(exists(index-of(for $refset in ('Problem Diagnosis (PD)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and not(exists(index-of(for $refset in ('Problem Diagnosis (PD)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Problem/Diagnosis Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Problem/Diagnosis reference set (Concept Id: 32570581000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the PROBLEM/DIAGNOSIS section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and   not(exists(index-of(for $refset in ('Problem Diagnosis (PD)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and not(exists(index-of(for $refset in ('Problem Diagnosis (PD)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Problem/Diagnosis Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Problem/Diagnosis reference set (Concept Id: 32570581000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the PROBLEM/DIAGNOSIS section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and   exists(index-of(for $refset in ('Problem Diagnosis (PD)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and exists(index-of(for $refset in ('Problem Diagnosis (PD)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Problem/Diagnosis Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Problem/Diagnosis reference set (Concept Id: 32570581000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the PROBLEM/DIAGNOSIS section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and   exists(index-of(for $refset in ('Problem Diagnosis (PD)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and exists(index-of(for $refset in ('Problem Diagnosis (PD)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Problem/Diagnosis Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Problem/Diagnosis reference set (Concept Id: 32570581000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the PROBLEM/DIAGNOSIS section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M267" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M267" />
  <xsl:template match="@*|node()" priority="-2" mode="M267">
    <xsl:apply-templates select="@*|*" mode="M267" />
  </xsl:template>
  <!--PATTERN p-TS-DisProb-CodeableText-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '101.16142' = $doc-sections]/cda:component/cda:structuredBody/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16006']]/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16142']]/cda:entry/   cda:observation[@classCode='OBS' and not(cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.4.3.1'])]/cda:value   [(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-diag-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])][not(@nullFlavor = $no-value-NF)]   [not(cda:originalText and (    ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))      or    (string-length(cda:originalText) &gt; $length-err-max and matches(cda:originalText, $unicode-br-regex)) or    (matches(cda:originalText, '^\W*(Dear\W+Doctor|Dear\W+Dr|Thank\W+you)', 'is'))      ))] " priority="1000" mode="M268">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '101.16142' = $doc-sections]/cda:component/cda:structuredBody/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16006']]/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16142']]/cda:entry/   cda:observation[@classCode='OBS' and not(cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.4.3.1'])]/cda:value   [(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-diag-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])][not(@nullFlavor = $no-value-NF)]   [not(cda:originalText and (    ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))      or    (string-length(cda:originalText) &gt; $length-err-max and matches(cda:originalText, $unicode-br-regex)) or    (matches(cda:originalText, '^\W*(Dear\W+Doctor|Dear\W+Dr|Thank\W+you)', 'is'))      ))] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="snomed-trans" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="tcode" select="if (exists($snomed-trans[1]) and matches($snomed-trans[1]/@code, $snomed-code-regex)) then $snomed-trans[1]/@code else '' " />
    <xsl:variable name="code-present" select="$pcode != '' or $tcode != '' " />
    <xsl:variable name="invalid-code-system" select="@code and @displayName and @codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="codesystemvalues" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']" />
    <xsl:variable name="text-1" select="if (. != '') then replace(., '^[0-9]*xsitype(ED|ST)', '') else '' " />
    <xsl:variable name="text-2" select="if ($text-1 = '') then ''        else if (matches($text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $text-1 " />
    <xsl:variable name="text-without-markup" select="if (cda:originalText and cda:originalText != '') then replace(cda:originalText, $markup-regex, ' ')         else if ($text-2 != '') then normalize-space(replace($text-2, $markup-regex, ' '))         else '' " />
    <xsl:variable name="pdname" select="if (@displayName and not($invalid-code-system)) then @displayName else '' " />
    <xsl:variable name="max-code-number" select="if ($knowledge/search-for-term/max-sct-code-number/@value &gt; '5') then $knowledge/search-for-term/max-sct-code-number/@value else '5' " />
    <xsl:variable name="der-text-1" select="if ($code-present) then ''         else if ($text-without-markup != '') then $text-without-markup        else if ($pdname != '') then $pdname        else '' " />
    <xsl:variable name="is-problem-diagnosis" select="$der-text-1 != '' and local-name(.) = 'value' and local-name(..) = 'observation' " />
    <xsl:variable name="is-procedure" select="$der-text-1 != '' and local-name(.) = 'code' and local-name(..) = 'procedure' " />
    <xsl:variable name="is-uncategorised" select="$der-text-1 != '' and local-name(.) = 'text' " />
    <xsl:variable name="uncat-embedded-comment" select="if ($is-uncategorised and matches($text-1, '^(.*?,?\s*Comments:)(.*?)(,?\s*(StartTime:|Effective Date:).*)$', 's'))         then normalize-space(replace($text-1, '^(.*?,?\s*Comments:)(.*?)(,?\s*(StartTime:|Effective Date:).*)$', '$2', 's'))        else '' " />
    <xsl:variable name="uncat-embedded-dt" select="if ($is-uncategorised and matches($text-1, '^(.*?,?\s*Effective Date:)(.*?)$', 's'))         then normalize-space(replace($text-1, '^(.*?,?\s*Effective Date:)(.*?)$', '$2', 's'))        else '' " />
    <xsl:variable name="uncat-embedded-start" select="if ($is-uncategorised and matches($text-1, '^(.*?,?\s*(StartTime|From):)(.*?)(,?\s*(EndTime|To):.*?)$', 's'))         then normalize-space(replace($text-1, '^(.*?,?\s*(StartTime|From):)(.*?)(,?\s*(EndTime|To):.*?)$', '$3', 's'))        else '' " />
    <xsl:variable name="uncat-embedded-end" select="if ($is-uncategorised and matches($text-1, '^(.*?,?\s*(EndTime|To):)(.*?)$', 's'))         then normalize-space(replace($text-1, '^(.*?,?\s*(EndTime|To):)(.*?)$', '$3', 's'))        else '' " />
    <xsl:variable name="uncat-embedded-error" select="$uncat-embedded-comment != '' or $uncat-embedded-dt != '' or $uncat-embedded-start != '' or $uncat-embedded-end != '' " />
    <xsl:variable name="negated-err" select="if ($uncat-embedded-error) then false() else matches($der-text-1, '\?\s*no(^[a-z]|$)', 'is') " />
    <xsl:variable name="family-err" select="$family-regex != '' and not(matches($der-text-1, '(^|\s)(small|white\s*cell\s*count)(\s|$)', 'is')) and matches($der-text-1, $family-regex, 'is')" />
    <xsl:variable name="der-truncated-text-1" select="normalize-space(replace(replace($der-text-1, $unicode-br-truncation-regex, '$1', 'is'), $diag-proc-truncation-regex, '$1', 'is')) " />
    <xsl:variable name="length-err" select="string-length($der-truncated-text-1) &gt; $length-err-max" />
    <xsl:variable name="prose-err-1" select="$length-err and cda:originalText and (        matches(cda:originalText, $ulist-regex)           or         matches(cda:originalText, $alt-ulist-1a-regex, 'is')         or         matches(cda:originalText, $alt-ulist-1b-regex, 'is')         )" />
    <xsl:variable name="prose-err" select="$prose-err-1 or (cda:originalText and (               matches(cda:originalText, '^\W*(Dear\W+Doctor|Dear\W+Dr|Thank\W+you)', 'is')      or        ($length-err and matches(cda:originalText, '\.\s*$', 's') and matches(cda:originalText, $multi-sentence-regex, 's')) or        matches(cda:originalText, $alt-ulist-2-regex, 'is')          or        matches(cda:originalText, $olist-arabic-regex, 'is')          or         matches(cda:originalText, $olist-alpha-regex, 'is')          or         matches(cda:originalText, $olist-roman-regex, 'is')          or        matches(replace(cda:originalText, $new-line-regex, codepoints-to-string((10)), 'is'), $para-regex, 'is')  or        matches(cda:originalText, codepoints-to-string((8233)), 'is')         or               (cda:originalText and matches(cda:originalText, $invalid-concept-regex, 'is'))      ))  or              ($text-2 != '' and matches($text-2, $invalid-concept-regex, 'is'))        " />
    <xsl:variable name="avoid-ts" select="$family-err or $length-err or $prose-err or $negated-err or not($use-ts-for-sctau) " />
    <xsl:variable name="typo-replacements" select="if ($der-truncated-text-1 = '' or $uncat-embedded-error) then ''         else if ($is-problem-diagnosis and not($diag-typo = '')) then $diag-typo        else if ($is-procedure and not($proc-typo = '')) then $proc-typo        else if ($is-uncategorised and not($diag-typo = '') and not($proc-typo = '')) then concat($diag-typo, '~', $proc-typo)        else if ($is-uncategorised and $diag-typo = '' and not($proc-typo = '')) then $proc-typo        else if ($is-uncategorised and not($diag-typo = '') and $proc-typo = '') then $diag-typo        else '' " />
    <xsl:variable name="diag-proc-fir-pattern-replacement" select="if ($uncat-embedded-error) then ''           else if ($typo-replacements = '') then concat($diag-proc-fir-1, '~', $month-replacements)           else concat($diag-proc-fir-1, '~', $typo-replacements, '~', $month-replacements) " />
    <xsl:variable name="der-text-2a" select="if ($der-truncated-text-1 = '' or $uncat-embedded-error or $negated-err) then ''         else normalize-space(dh:XQueryRecursiveReplace(         replace(if ($is-procedure or $is-uncategorised) then replace($der-truncated-text-1, '^(.*?[a-z]+.*?)(\?.*?)$', '$1', 'is')            else $der-truncated-text-1,           concat('^(.*?[a-z]+.*?\s+)', $unicode-dash-regex, '(\s+.*?)$'), '$1', 'is'),           $diag-proc-fir-pattern-replacement, 'ic')) " />
    <xsl:variable name="der-text-2" select="if ($der-text-2a = '') then $der-truncated-text-1 else $der-text-2a " />
    <xsl:variable name="diag-proc-sec-pattern-replacement" select="if ($uncat-embedded-error or $negated-err or $der-text-2 = '') then ''           else if ($is-problem-diagnosis and not($diag-replacements = '')) then $diag-replacements          else if ($is-procedure and not($proc-replacements = '')) then $proc-replacements          else if ($is-uncategorised and not($diag-replacements = '') and not($proc-replacements = ''))            then concat($diag-replacements, '~', $proc-replacements)          else if ($is-uncategorised and $diag-replacements = '' and not($proc-replacements = ''))            then $proc-replacements          else if ($is-uncategorised and not($diag-replacements = '') and $proc-replacements = '')            then $diag-replacements          else '' " />
    <xsl:variable name="der-text-3a" select="if ($uncat-embedded-error or $negated-err or $der-text-2 = '' or $diag-proc-sec-pattern-replacement = '') then ''         else dh:XQueryRecursiveReplace($der-text-2, $diag-proc-sec-pattern-replacement, 'ic') " />
    <xsl:variable name="der-text-3" select="if ($der-text-3a = '') then $der-text-2 else $der-text-3a " />
    <xsl:variable name="der-text-a" select="normalize-space(replace(dh:XQueryRecursiveReplace($der-text-3, '(^|[^a-z])r([^a-z]|$)~$1 right $2~(^|[^a-z])l([^a-z]|$)~$1 left $2', 'ic'),          '([a-z])''s', '$1', 'i')) " />
    <xsl:variable name="der-text" select="if ($der-text-a = '') then $der-text-3 else $der-text-a " />
    <xsl:variable name="defn-valid-regex" select="concat('(^|\|)', translate($der-text-2, $chars-to-remove, ''), '(\||$)') " />
    <xsl:variable name="der-text-to-match-1" select="lower-case($der-text-2) " />
    <xsl:variable name="der-text-to-match" select="translate($der-text-to-match-1, $chars-to-remove, '') " />
    <xsl:variable name="der-text-non-value" select="if ($code-present or $uncat-embedded-error or $negated-err or @nullFlavor = $no-value-NF) then false()        else if ($der-text-to-match = '' or not(matches($der-text-to-match-1, '[a-z]', 'i')) or         ($cd-definitions/non-value/@regex != '' and matches($der-text-to-match-1, $cd-definitions/non-value/@regex, 'i'))) then true()         else if ($is-problem-diagnosis) then          exists($cd-definitions/diag/@non-value-regex) and matches($der-text-to-match-1, $cd-definitions/diag/@non-value-regex, 'i')        else if ($is-procedure) then          exists($cd-definitions/proc/@non-value-regex) and matches($der-text-to-match-1, $cd-definitions/proc/@non-value-regex, 'i')        else if ($is-uncategorised) then          (exists($cd-definitions/diag/@non-value-regex) and matches($der-text-to-match-1, $cd-definitions/diag/@non-value-regex, 'i')) or         (exists($cd-definitions/proc/@non-value-regex) and matches($der-text-to-match-1, $cd-definitions/proc/@non-value-regex, 'i'))        else false() " />
    <xsl:variable name="defn-common-inv-regex" select="if ($code-present or $uncat-embedded-error or $negated-err or $der-text-non-value or not($cd-definitions/diag-proc/@invalid-regex)) then ()        else tokenize($cd-definitions/diag-proc/@invalid-regex, '~') " />
    <xsl:variable name="defn-diag-inv-regex" select="if ($code-present or $uncat-embedded-error or $negated-err or $der-text-non-value or not($is-problem-diagnosis) or          not($cd-definitions/diag/@invalid-regex)) then ()        else tokenize($cd-definitions/diag/@invalid-regex, '~') " />
    <xsl:variable name="defn-proc-inv-regex" select="if ($code-present or $uncat-embedded-error or $negated-err or $der-text-non-value or not($is-procedure) or          not($cd-definitions/proc/@invalid-regex)) then ()        else tokenize($cd-definitions/proc/@invalid-regex, '~') " />
    <xsl:variable name="defn-invalid-regex" select="($defn-common-inv-regex, $defn-diag-inv-regex, $defn-proc-inv-regex)[. != ''] " />
    <xsl:variable name="defn-invalid-txt-regex" select="(for $i in (1 to count($defn-invalid-regex)) return normalize-space(substring-before($defn-invalid-regex[$i], '[[')))[. != '']" />
    <xsl:variable name="der-invalid-text-regex-1" select="if (exists($defn-invalid-txt-regex))        then index-of(for $i in (1 to count($defn-invalid-txt-regex)) return matches($der-text-2, $defn-invalid-txt-regex[$i], 'i'), true())        else () " />
    <xsl:variable name="der-invalid-text" select="exists($der-invalid-text-regex-1) or $uncat-embedded-error " />
    <xsl:variable name="defn-invalid-rsn" select="if ($der-invalid-text)         then normalize-space(substring-before(substring-after($defn-invalid-regex[$der-invalid-text-regex-1[1]], '[['), ']]'))         else '' " />
    <xsl:variable name="try-immun" select="not($der-text = '' or $negated-err or $der-text-non-value or $der-invalid-text) and         /cda:ClinicalDocument/cda:code[@codeSystem = '2.16.840.1.113883.6.1' and @code = ('60591-5', '34133-9')] " />
    <xsl:variable name="an-immun-1" select="$try-immun and matches($der-text, '(^|[^a-z])(immunizations?|immunisations?)([^a-z]|$)', 'i') " />
    <xsl:variable name="an-immun-2" select="$try-immun and ($an-immun-1 or (exists($vaccine-text-normalised) and $der-text-to-match = $vaccine-text-normalised)) " />
    <xsl:variable name="try-adverse" select="not($der-text = '' or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2) and         /cda:ClinicalDocument/cda:code[@codeSystem = '2.16.840.1.113883.6.1' and @code = ('60591-5', '34133-9', '57133-1', '18842-5', '51852-2')] " />
    <xsl:variable name="an-adverse-1" select="$try-adverse and matches($der-text, '(^|[^a-z])(ADR?|adverse drug reactions?|adverse reactions?)([^a-z]|$)', 'i') " />
    <xsl:variable name="trusted-code-systems" select="if ($der-text = '' or $der-invalid-text or $an-immun-2 or not(@codeSystem or cda:translation/@codeSystem)) then ()        else if ($is-problem-diagnosis)         then (tokenize(replace($cd-definitions/diag/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/diag/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-procedure)         then (tokenize(replace($cd-definitions/proc/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/proc/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-uncategorised)         then (tokenize(replace($cd-definitions/diag/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/diag/@extra, '\s+', ''), '\|'),         tokenize(replace($cd-definitions/proc/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/proc/@extra, '\s+', ''), '\|'))[. != '']         else () " />
    <xsl:variable name="der-trusted-text" select="if ($der-text = '' or $der-invalid-text or (@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex)))) then false()        else ((@codeSystem and exists($trusted-code-systems[. = current()/@codeSystem])) or               (cda:translation/@codeSystem and exists($trusted-code-systems[. = current()/cda:translation/@codeSystem]))) " />
    <xsl:variable name="a-disease" select="if ($is-procedure or $code-present or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2 or $der-text-to-match = '')          then false()        else $der-text-to-match = (for $disease in tokenize(string-join($vaccine-codes/@disease, '|'), '\|')          return translate(normalize-space(lower-case($disease)), $chars-to-remove, '')) " />
    <xsl:variable name="valid-diag-1" select="if ($a-disease) then true()        else if ($is-procedure or $code-present or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2 or          not($cd-definitions/diag/@valid-regex)) then false()        else exists(index-of(for $regex in (tokenize($cd-definitions/diag/@valid-regex, '~')[. != '']) return          matches($der-text-2, dh:XQueryRecursiveReplace(normalize-space($regex), ' \|~|~\| ~|', ''), 'is'), true())) " />
    <xsl:variable name="valid-proc-1" select="if ($is-problem-diagnosis or $code-present or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2 or         not($cd-definitions/proc/@valid-regex)) then false()        else exists(index-of(for $regex in (tokenize($cd-definitions/proc/@valid-regex, '~')[. != '']) return          matches($der-text-2, dh:XQueryRecursiveReplace(normalize-space($regex), ' \|~|~\| ~|', ''), 'is'), true())) " />
    <xsl:variable name="valid-diag-proc-1" select="if ($is-problem-diagnosis) then $valid-diag-1        else if ($is-procedure) then $valid-proc-1        else if ($is-uncategorised) then $valid-diag-1 or $valid-proc-1        else false() " />
    <xsl:variable name="the-invalid-h" select="if ($der-text = '' or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2) then ()        else if ($is-problem-diagnosis) then $cd-definitions/diag/diag-invalid/hierarchy        else if ($is-procedure) then $cd-definitions/proc/proc-invalid/hierarchy        else if ($is-uncategorised) then $cd-definitions/diag-proc/diag-proc-invalid/hierarchy        else () " />
    <xsl:variable name="invalid-hierarchy-1" select=" if (exists($the-invalid-h)) then string-join(for $hierarchy in $the-invalid-h return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-refset" select="if ($der-text = '' or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2) then ''        else if ($is-problem-diagnosis) then $diag-invalid-refset         else if ($is-procedure) then $proc-invalid-refset         else if ($is-uncategorised) then $diag-proc-invalid-refset         else '' " />
    <xsl:variable name="valid-refset" select="if ($der-text = '' or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2) then ''        else if ($is-problem-diagnosis) then '^32570581000036105'         else if ($is-procedure) then '^32570141000036105'         else if ($is-uncategorised) then '(^32570581000036105 OR ^32570141000036105)'        else '' " />
    <xsl:variable name="valid-domain" select="if ($der-text = '' or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2) then ''        else if ($invalid-refset != '' and $invalid-hierarchy-1 != '')         then concat('((', $valid-refset, ') MINUS (', $invalid-refset, ' OR (', $invalid-hierarchy-1, ')))')        else if ($invalid-refset = '' and $invalid-hierarchy-1 != '') then concat('((', $valid-refset, ') MINUS (', $invalid-hierarchy-1, '))')         else if ($invalid-refset != '' and $invalid-hierarchy-1 = '') then concat('((', $valid-refset, ') MINUS (', $invalid-refset, '))')        else concat('(', $valid-refset, ')') " />
    <xsl:variable name="der-text-2-laterality" select="if ($der-text-2 = '' or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2 or $valid-diag-proc-1 or        $laterality-regex = '' or not(matches($der-text-2, $laterality-regex, 'is'))) then ''        else replace($der-text-2, $laterality-regex, '$1 $3', 'is') " />
    <xsl:variable name="defn-laterality-regex" select="if ($der-text-2-laterality = '') then '' else concat('(^|\|)', translate($der-text-2-laterality, $chars-to-remove, ''), '(\||$)') " />
    <xsl:variable name="related-terms-1" select="if ($der-text = '' or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2 or $valid-diag-proc-1) then ()        else ($codesystemvalues/code[@related-terms], $codesystemvalues/related-terms[@related-terms]) " />
    <xsl:variable name="related-terms-2" select="for $i in index-of(for $concept in $related-terms-1 return         matches(translate($concept/@related-terms, $chars-no-pipe, ''), $defn-valid-regex, 'is') or        ($defn-laterality-regex != '' and matches(translate($concept/@related-terms, $chars-no-pipe, ''), $defn-laterality-regex, 'is')), true())         return $related-terms-1[$i]/@code " />
    <xsl:variable name="der-diag-proc-codes-1" select="if (exists($related-terms-2)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($related-terms-2, ' OR '), ') AND ', $valid-domain), '', string(count($related-terms-2)), false())        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $der-diag-proc-codes-1 " />
    <xsl:variable name="der-valid-codes-1" select="if (contains($der-diag-proc-codes-1, '[')) then $der-diag-proc-codes-1 else '' " />
    <xsl:variable name="valid-diag-proc-2" select="$valid-diag-proc-1 or $der-valid-codes-1 != '' " />
    <xsl:variable name="invalid-inactive-refset" select="if ($der-text = '' or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2) then ''        else if ($is-problem-diagnosis) then $diag-invalid-inactive-refset         else if ($is-procedure) then $proc-invalid-inactive-refset         else if ($is-uncategorised) then $diag-proc-invalid-inactive-refset         else '' " />
    <xsl:variable name="diag-proc-inactive-refSets" select="if ($invalid-inactive-refset = '') then $inactive-refSets         else concat('((', $inactive-refSets, ') MINUS (', $invalid-inactive-refset, '))') " />
    <xsl:variable name="formula" select="concat($valid-domain, ' OR ', $diag-proc-inactive-refSets) " />
    <xsl:variable name="ts-not-needed" select="$der-text = '' or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2 or $valid-diag-proc-2 or $avoid-ts " />
    <xsl:variable name="der-diag-proc-codes-2-a" select="if ($ts-not-needed or exists($related-terms-2)) then ()         else tokenize(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-text,          'default'), '\|') " />
    <xsl:variable name="error-usingTS-2-a" select="$error-usingTS-1 or 'Error' = $der-diag-proc-codes-2-a " />
    <xsl:variable name="revision-pattern-1" select="if ($ts-not-needed or $valid-diag-proc-2 or exists($der-diag-proc-codes-2-a) or exists($related-terms-2) or $error-usingTS-2-a) then ''        else if ($no-qual-pattern = '') then concat($laterality-regex, '~$1 $3')        else concat($laterality-regex, '~$1 $3~',  $no-qual-pattern) " />
    <xsl:variable name="der-revised-text-1" select="if ($revision-pattern-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-text, $revision-pattern-1, 'ic')) " />
    <xsl:variable name="use-revised-text-1" select="$der-revised-text-1 != '' and $der-revised-text-1 != $der-text " />
    <xsl:variable name="der-diag-proc-codes-2-b" select="if ($ts-not-needed or exists($der-diag-proc-codes-2-a) or not($use-revised-text-1)) then $der-diag-proc-codes-2-a         else tokenize(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-1,          'default'), '\|') " />
    <xsl:variable name="error-usingTS-2-b" select="$error-usingTS-2-a or 'Error' = $der-diag-proc-codes-2-b " />
    <xsl:variable name="revision-pattern-2" select="if ($ts-not-needed or $valid-diag-proc-2 or exists($der-diag-proc-codes-2-b) or exists($related-terms-2) or $error-usingTS-2-b) then ''        else if ($is-problem-diagnosis and not($diag-sec-replacements = '')) then $diag-sec-replacements        else if ($is-procedure and not($proc-sec-replacements = '')) then $proc-sec-replacements        else if ($is-uncategorised and not($diag-sec-replacements = '') and not($proc-sec-replacements = ''))          then concat($diag-sec-replacements, '~', $proc-sec-replacements)        else if ($is-uncategorised and $diag-sec-replacements = '' and not($proc-sec-replacements = '')) then $proc-sec-replacements        else if ($is-uncategorised and not($diag-sec-replacements = '') and $proc-sec-replacements = '') then $diag-sec-replacements        else '' " />
    <xsl:variable name="der-revised-text-2" select="if ($revision-pattern-2 = '') then ''         else normalize-space(dh:XQueryRecursiveReplace(if ($use-revised-text-1) then $der-revised-text-1 else $der-text, $revision-pattern-2, 'ic')) " />
    <xsl:variable name="use-revised-text-2" select="if ($use-revised-text-1) then $der-revised-text-2 != '' and $der-revised-text-2 != $der-revised-text-1         else $der-revised-text-2 != '' and $der-revised-text-2 != $der-text " />
    <xsl:variable name="der-diag-proc-codes-2-c" select="if ($ts-not-needed or exists($der-diag-proc-codes-2-b) or not($use-revised-text-2)) then $der-diag-proc-codes-2-b        else tokenize(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-2,          'default'), '\|') " />
    <xsl:variable name="error-usingTS-2-c" select="$error-usingTS-2-b or 'Error' = $der-diag-proc-codes-2-c " />
    <xsl:variable name="text-for-revision-3" select="if ($use-revised-text-2) then $der-revised-text-2 else if ($use-revised-text-1) then $der-revised-text-1 else $der-text " />
    <xsl:variable name="base-pattern-3" select="if ($ts-not-needed or $valid-diag-proc-2 or exists($der-diag-proc-codes-2-c) or exists($related-terms-2) or $error-usingTS-2-c or        matches($text-for-revision-3, '^[A-Z]+$')) then ''        else '(^|[^a-z])[a-z]{1}([^a-z]|$)~$1$2~(^|[^/0-9])[0-9]{1}([^0-9]|$)~$1$2' " />
    <xsl:variable name="revision-pattern-3" select="if ($base-pattern-3 = '') then ''        else if (matches($der-truncated-text-1, $conjunction-regex, 'is'))         then concat($base-pattern-3, '~^(.+?)(', normalize-space(dh:XQueryRecursiveReplace(         replace($der-truncated-text-1, $conjunction-regex, '$3', 'is'), $diag-proc-fir-pattern-replacement, 'ic')), '.*?)$~$1')         else $base-pattern-3 " />
    <xsl:variable name="der-revised-text-3" select="if ($revision-pattern-3 = '') then ''        else dh:XQueryRecursiveReplace($text-for-revision-3, $revision-pattern-3, 'ic') " />
    <xsl:variable name="use-revised-text-3" select="if ($use-revised-text-2) then $der-revised-text-3 != '' and $der-revised-text-3 != $der-revised-text-2         else if ($use-revised-text-1) then $der-revised-text-3 != '' and $der-revised-text-3 != $der-revised-text-1         else $der-revised-text-3 != '' and $der-revised-text-3 != $der-text " />
    <xsl:variable name="der-diag-proc-codes-2-d" select="if ($ts-not-needed or exists($der-diag-proc-codes-2-c) or not($use-revised-text-3)) then $der-diag-proc-codes-2-c        else tokenize(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-3,          'default'), '\|') " />
    <xsl:variable name="error-usingTS-2-d" select="$error-usingTS-2-c or 'Error' = $der-diag-proc-codes-2-d " />
    <xsl:variable name="der-diag-proc-codes-2-e" select="$der-diag-proc-codes-2-d " />
    <xsl:variable name="error-usingTS-2-e" select="$error-usingTS-2-d " />
    <xsl:variable name="der-diag-proc-codes-2" select="if ($ts-not-needed or $error-usingTS-2-e or not(exists($der-diag-proc-codes-2-e)) or $der-valid-codes-1 != '') then ()        else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join(for $code in $der-diag-proc-codes-2-e return replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is'), ' OR '), ') AND (',          $formula, ')'), '', string(count($der-diag-proc-codes-2-e)), false()), '\|') " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-2-e or 'Error' = $der-diag-proc-codes-2 " />
    <xsl:variable name="der-valid-codes-2" select="if ($der-valid-codes-1 != '') then $der-valid-codes-1        else if ($error-usingTS-2) then ''         else string-join((for $code in $der-diag-proc-codes-2 return if (contains($code, '~inactive')) then '' else $code)[. != ''], '|')  " />
    <xsl:variable name="valid-diag-proc-3" select="$valid-diag-proc-2 or $der-valid-codes-2 != '' " />
    <xsl:variable name="der-inactive-codes-1" select="if ($valid-diag-proc-3) then () else        for $code in $der-diag-proc-codes-2 return if (contains($code, '~inactive')) then replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is') else '' " />
    <xsl:variable name="der-inactive-codes-2" select="for $i in (1 to count($der-inactive-codes-1)) return         dh:IsCodeAssociatedWithAnotherCode($der-inactive-codes-1[$i], '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-1" select="'Error' = $der-inactive-codes-2 " />
    <xsl:variable name="der-NAF-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-NAF-active-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound~active')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-inactive-codes-3" select="tokenize(string-join(for $i in (1 to count($der-inactive-codes-1)) return replace(string-join(tokenize($der-inactive-codes-2[$i], '\|')        [matches(., '(REPLACED BY|SAME AS|ALTERNATIVE|POSSIBLY EQUIVALENT TO|MAY BE A|WAS A)')], '|'), '[0-9]+~[A-Z ]+~([0-9]+)', '$1'), '|'), '\|')        [. != ''] " />
    <xsl:variable name="der-diag-proc-codes-3" select="if (exists($der-inactive-codes-3)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($der-inactive-codes-3, ' OR '), ') AND ', $valid-domain), '', string(count($der-inactive-codes-3)), false())          else '' " />
    <xsl:variable name="error-usingTS-3" select="$error-usingTS-2 or 'Error' = $der-diag-proc-codes-3 " />
    <xsl:variable name="der-valid-codes-3" select="if ($der-valid-codes-2 != '') then $der-valid-codes-2        else if (contains($der-diag-proc-codes-3, '[')) then $der-diag-proc-codes-3        else '' " />
    <xsl:variable name="valid-diag-proc-4" select="$valid-diag-proc-3 or $der-valid-codes-3 != '' " />
    <xsl:variable name="the-tbd" select="if ($is-problem-diagnosis) then $cd-definitions/diag/diag-tbd/hierarchy        else if ($is-procedure) then $cd-definitions/proc/proc-tbd/hierarchy        else if ($is-uncategorised) then $cd-definitions/diag-proc/diag-proc-tbd/hierarchy        else () " />
    <xsl:variable name="the-invalid-r" select="if ($is-problem-diagnosis) then $cd-definitions/diag/diag-invalid/refset        else if ($is-procedure) then $cd-definitions/proc/proc-invalid/refset        else if ($is-uncategorised) then $cd-definitions/diag-proc/diag-proc-invalid/refset        else () " />
    <xsl:variable name="tbd-hierarchy" select="if (exists($the-tbd)) then string-join(for $hierarchy in $the-tbd return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-hierarchy" select="if ($invalid-hierarchy-1 != '' and $tbd-hierarchy != '') then concat($invalid-hierarchy-1, ' OR ', $tbd-hierarchy)        else if ($invalid-hierarchy-1 != '') then $invalid-hierarchy-1        else if ($tbd-hierarchy != '') then $tbd-hierarchy        else '' " />
    <xsl:variable name="invalid-domain" select="if ($invalid-hierarchy != '' and $invalid-refset != '') then concat($invalid-hierarchy, ' OR ', $invalid-refset)        else if ($invalid-hierarchy != '') then $invalid-hierarchy        else if ($invalid-refset != '') then $invalid-refset        else '' " />
    <xsl:variable name="filter-text" select="if ($use-revised-text-3) then $der-revised-text-3         else if ($use-revised-text-2) then $der-revised-text-2         else if ($use-revised-text-1) then $der-revised-text-1         else $der-text " />
    <xsl:variable name="der-diag-proc-codes-4" select="if ($ts-not-needed or $valid-diag-proc-4 or $invalid-domain = '') then ()        else if (exists($related-terms-2)) then $related-terms-2        else distinct-values((tokenize(replace(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          $invalid-domain, $filter-text, 'default'), '(\[.*?\])(\||$)', '$2'), '\|'), $der-inactive-codes-3)) " />
    <xsl:variable name="error-usingTS-4" select="$error-usingTS-3 or 'Error' = $der-diag-proc-codes-4 " />
    <xsl:variable name="invalid-diag-proc-codes-r" select="if ($ts-not-needed or $valid-diag-proc-4 or $error-usingTS-4 or not(exists($der-diag-proc-codes-4))) then ()        else if ($invalid-refset = '') then tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-diag-proc-codes-4, ' OR '), ') AND (', $inactive-refSets, ')'), '',           string(count($der-diag-proc-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')        else tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-diag-proc-codes-4, ' OR '), ') AND (', $invalid-refset, ' OR ', $inactive-refSets, ')'), '',           string(count($der-diag-proc-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')  " />
    <xsl:variable name="error-usingTS-5" select="$error-usingTS-4 or 'Error' = $invalid-diag-proc-codes-r " />
    <xsl:variable name="invalid-formula" select="if ($is-problem-diagnosis) then $diag-invalid-hierarchy         else if ($is-procedure) then $proc-invalid-hierarchy         else if ($is-uncategorised) then $diag-proc-invalid-hierarchy        else '' " />
    <xsl:variable name="der-diag-proc-codes-4-h" select="if ($error-usingTS-5) then () else $der-diag-proc-codes-4[not(. = $invalid-diag-proc-codes-r)]" />
    <xsl:variable name="invalid-diag-proc-codes-h" select="if ($ts-not-needed or $valid-diag-proc-4 or 'Error' = $der-diag-proc-codes-4 or $invalid-formula = '' or          not(exists($der-diag-proc-codes-4-h))) then ()        else (for $code in $der-diag-proc-codes-4-h return          if (dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;&gt;', $code, ' MINUS ', $invalid-formula), '', '1', false()) = '') then $code else '')[. != ''] " />
    <xsl:variable name="invalid-diag-proc-codes" select="($invalid-diag-proc-codes-h, $invalid-diag-proc-codes-r) " />
    <xsl:variable name="der-diag-proc-codes-5" select="$der-diag-proc-codes-4[not(. = $invalid-diag-proc-codes or . = 'Error')]" />
    <xsl:variable name="der-valid-codes-4" select="if ($der-valid-codes-3 != '') then $der-valid-codes-3        else if ($ts-not-needed or $valid-diag-proc-4 or $valid-domain = '' or not(exists($der-diag-proc-codes-5))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-diag-proc-codes-5, ' OR '), ') AND ', $valid-domain), '', string(count($der-diag-proc-codes-5)), false()) " />
    <xsl:variable name="error-usingTS-6" select="$error-usingTS-5 or 'Error' = $der-valid-codes-4 " />
    <xsl:variable name="valid-diag-proc-5" select="$valid-diag-proc-4 or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="der-valid-codes-seq" select="if ($error-usingTS-6) then () else tokenize(replace($der-valid-codes-4,  '(\[.*?\])(\||$)', '$2'), '\|') " />
    <xsl:variable name="proc-ivl-location" select="if ($is-uncategorised or $is-procedure) then ../cda:effectiveTime else () " />
    <xsl:variable name="proc-has-low-date" select="exists($proc-ivl-location[cda:low and not(cda:high)]) and ($is-uncategorised or               ($is-procedure and exists(/cda:ClinicalDocument/cda:templateId[         (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3') or          (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.4')])))  " />
    <xsl:variable name="proc-intervals" select="if (not($proc-has-low-date and $valid-diag-proc-5)) then ()        else if ($is-uncategorised) then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/         cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16627']]/cda:effectiveTime        else if ($is-procedure) then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/         cda:entry/cda:procedure/cda:effectiveTime        else () " />
    <xsl:variable name="proc-ivl-low" select="$proc-intervals/cda:low/@value " />
    <xsl:variable name="proc-ivl-value" select="$proc-intervals/@value " />
    <xsl:variable name="proc-ivl-high" select="$proc-intervals/cda:high/@value " />
    <xsl:variable name="assess-proc-short" select="$proc-has-low-date and count($proc-ivl-low) = count($proc-intervals) and count($proc-ivl-value) = 0 and count($proc-ivl-high) = 0 " />
    <xsl:variable name="diag-has-date" select="($is-uncategorised and exists(../cda:effectiveTime)) or              ($is-problem-diagnosis and exists(/cda:ClinicalDocument[cda:templateId[           (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3'))  or                         (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4'))  or           (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')   ]]) and exists(../cda:effectiveTime)) " />
    <xsl:variable name="diag-intervals" select="if (not($diag-has-date and $valid-diag-proc-5 and $is-uncategorised)) then ()        else ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/         cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16627']]/cda:effectiveTime " />
    <xsl:variable name="diag-onset" select="if (not($diag-has-date and $valid-diag-proc-5 and $is-problem-diagnosis)) then ()        else if (/cda:ClinicalDocument[cda:templateId[(@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3') or                   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.4') ]])          then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/          cda:entry/cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]/cda:effectiveTime/cda:low        else if (/cda:ClinicalDocument[cda:templateId[(@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2') or                   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.3') or                   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')   ]])         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/          cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]/cda:effectiveTime        else () " />
    <xsl:variable name="diag-remission" select="if (not($diag-has-date and $valid-diag-proc-5 and $is-problem-diagnosis)) then ()        else ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/         cda:entry/cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]/cda:entryRelationship[@typeCode='SUBJ']/         cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]/cda:value " />
    <xsl:variable name="diag-ivl-low" select="$diag-intervals/cda:low/@value " />
    <xsl:variable name="diag-ivl-value" select="$diag-intervals/@value " />
    <xsl:variable name="diag-ivl-high" select="$diag-intervals/cda:high/@value " />
    <xsl:variable name="assess-diag-ongoing" select="(exists($diag-ivl-low) and not(exists($diag-ivl-value)) and not(exists($diag-ivl-high))) or              (not(exists($diag-ivl-low)) and exists($diag-ivl-value) and not(exists($diag-ivl-high))) or              (not(exists($diag-ivl-low)) and not(exists($diag-ivl-value)) and exists($diag-ivl-high)) or              (exists($diag-onset) and not(exists($diag-remission)))     or              (not(exists($diag-onset)) and exists($diag-remission))     " />
    <xsl:variable name="code-num" select="if ($assess-proc-short or $assess-diag-ongoing) then count($der-valid-codes-seq) else 0 " />
    <xsl:variable name="best-match-ratio" select=" 1.0 " />
    <xsl:variable name="comparison" select="if ($code-num &gt; 0)         then distinct-values(tokenize(normalize-space(translate(lower-case($der-text), $chars-no-space, '')), ' ')) else () " />
    <xsl:variable name="comparison-count" select="count($comparison) " />
    <xsl:variable name="der-valid-code-pterm" select="if ($code-num &gt; 0) then tokenize($der-valid-codes-4, '\|') else () " />
    <xsl:variable name="code-terms" select="if ($code-num &gt; 0) then for $x in $der-valid-code-pterm return          normalize-space(dh:XQueryRecursiveReplace(dh:XQueryRecursiveReplace(translate(lower-case(replace($x, '^([0-9]+\[)(.*?)(\]$)', '$2')),          $chars-no-space, ''), $diag-proc-fir-pattern-replacement, 'ic'), $diag-proc-sec-pattern-replacement, 'ic')) else () " />
    <xsl:variable name="code-term-num" select="count($code-terms) " />
    <xsl:variable name="code-term-count" select="if ($code-term-num &gt; 0) then for $i in (1 to $code-term-num) return count(distinct-values(tokenize($code-terms[$i], ' '))) else () " />
    <xsl:variable name="best-matches" select="(for $j in (1 to $code-term-num) return               if (           (            (             $comparison-count + $code-term-count[$j] - count(distinct-values(($comparison, tokenize($code-terms[$j], ' '))))            ) div $comparison-count            +            (             $comparison-count + $code-term-count[$j] - count(distinct-values(($comparison, tokenize($code-terms[$j], ' '))))            ) div $code-term-count[$j]           ) div 2 &gt;= $best-match-ratio          ) then $der-valid-code-pterm[$j] else '')[. != ''] " />
    <xsl:variable name="best-codes" select="if (exists($best-matches)) then for $concept in $best-matches return replace($concept, '^([0-9]+)(\[.*?\]$)', '$1')         else $der-valid-codes-seq " />
    <xsl:variable name="best-num" select="count($best-codes)" />
    <xsl:variable name="short-procedure-codes" select="if ($assess-proc-short and $best-num &gt; 0) then for $item in $cd-definitions/proc/proc-short/hierarchy return $item/@code else () " />
    <xsl:variable name="procedure-type" select="if ($assess-proc-short and $best-num &gt; 0) then tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($best-codes, ' OR '), ') AND &lt;&lt;(', string-join($short-procedure-codes, ' OR '), ')'), '',         string($best-num), false()), '\|') else () " />
    <xsl:variable name="error-usingTS-7a" select="$error-usingTS-6 or 'Error' = $procedure-type " />
    <xsl:variable name="short-procedure" select="$valid-diag-proc-5 and $assess-proc-short and $best-num &gt; 0 and not($error-usingTS-7a) and $best-num = count($procedure-type) " />
    <xsl:variable name="procedure-codes" select="if ($is-uncategorised and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $best-num &gt; 0)         then tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($best-codes, ' OR '), ') AND ^32570141000036105'), '', string($best-num), false()), '\|')        else if ($is-procedure and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true')) then $der-valid-codes-4        else () " />
    <xsl:variable name="error-usingTS-7b" select="$error-usingTS-7a or 'Error' = $procedure-codes " />
    <xsl:variable name="ongoing-diag-codes" select="if ($assess-diag-ongoing and $best-num &gt; 0) then for $item in $cd-definitions/diag/diag-ongoing/hierarchy return $item/@code else () " />
    <xsl:variable name="diagnosis-type" select="if ($assess-diag-ongoing and $best-num &gt; 0) then tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($best-codes, ' OR '), ') AND &lt;&lt;(', string-join($ongoing-diag-codes, ' OR '), ')'), '',         string($best-num), false()), '\|') else () " />
    <xsl:variable name="error-usingTS-7c" select="$error-usingTS-7b or 'Error' = $diagnosis-type " />
    <xsl:variable name="ongoing-diagnosis" select="$valid-diag-proc-5 and $assess-diag-ongoing and $best-num &gt; 0 and not($error-usingTS-7b) and $best-num = count($diagnosis-type) " />
    <xsl:variable name="repeated-start" select="if (not($ongoing-diagnosis and $is-uncategorised and (exists(../cda:effectiveTime/cda:low/@value) or exists(../cda:effectiveTime/@value)))) then ()        else ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/         cda:entry/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16627']]/cda:text         [matches(., concat('^', translate($der-text-2, $chars-to-remove, ''), '$'), 'is')] " />
    <xsl:variable name="diagnosis-codes" select="if ($is-uncategorised and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))         then tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($best-codes, ' OR '), ') AND ^32570581000036105'), '', string($best-num), false()), '\|')        else () " />
    <xsl:variable name="diagnosis-codes" select="if ($is-uncategorised and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $best-num &gt; 0)         then tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($best-codes, ' OR '), ') AND ^32570581000036105'), '', string($best-num), false()), '\|')        else if ($is-problem-diagnosis and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))         then tokenize($der-valid-codes-4, '\|')        else () " />
    <xsl:variable name="error-usingTS-7d" select="$error-usingTS-7c or 'Error' = $diagnosis-codes " />
    <xsl:variable name="error-usingTS-7" select="$error-usingTS-7d " />
    <xsl:variable name="undetermined-diag-proc-1" select="if (exists($der-valid-codes-seq)) then $der-diag-proc-codes-5[not(. = $der-valid-codes-seq)] else $der-diag-proc-codes-5 " />
    <xsl:variable name="undetermined-inactive-1" select="for $i in (1 to count($undetermined-diag-proc-1)) return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $undetermined-diag-proc-1[$i], '', '1', false()) " />
    <xsl:variable name="error-usingTS-8" select="$error-usingTS-7 or 'Error' = $undetermined-inactive-1 " />
    <xsl:variable name="undetermined-inactive" select="(for $i in (1 to count($undetermined-diag-proc-1)) return         if (contains($undetermined-inactive-1[$i], '~inactive')) then $undetermined-inactive-1[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-1" select="for $i in (1 to count($undetermined-inactive))        return dh:IsCodeAssociatedWithAnotherCode(replace($undetermined-inactive[$i], '(\[.*?\])(\||$)', '$2'), '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-2" select="$error-usingV-1 or 'Error' = $undetermined-NAF-1 " />
    <xsl:variable name="undetermined-NAF" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-codes" select="for $term in $undetermined-NAF return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-NAF-active" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound~active')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-active-codes" select="for $term in $undetermined-NAF-active return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-diag-proc" select="$undetermined-diag-proc-1[not(. = ($undetermined-NAF-codes, $undetermined-NAF-active-codes))]" />
    <xsl:variable name="invalid-diag-proc" select="not($valid-diag-proc-5) and exists($invalid-diag-proc-codes) and not(exists($undetermined-diag-proc))" />
    <xsl:variable name="an-immun-3" select="if ($an-immun-2) then true()        else if (not($try-immun) or $valid-diag-proc-5 or $invalid-diag-proc or not(exists($vaccine-text-normalised))) then false()        else if ($der-text != '' and translate(lower-case($der-text), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else if ($use-revised-text-1 and translate(lower-case($der-revised-text-1), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else if ($use-revised-text-2 and translate(lower-case($der-revised-text-2), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else if ($use-revised-text-3 and translate(lower-case($der-revised-text-3), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else false() " />
    <xsl:variable name="vaccine-code-test" select="if ($try-immun and not($an-immun-3 or $valid-diag-proc-5 or $invalid-diag-proc or $avoid-ts or $error-usingTS-8) and exists($undetermined-diag-proc))          then tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('(', string-join($undetermined-diag-proc, ' OR '), ') AND (&lt;71181003 OR &lt;127785005)'), '',           string(count($undetermined-diag-proc)), false()), '\|')        else () " />
    <xsl:variable name="error-usingTS-9" select="$error-usingTS-8 or 'Error' = $vaccine-code-test " />
    <xsl:variable name="an-immun" select="$an-immun-3 or (not('Error' = $vaccine-code-test) and exists($undetermined-diag-proc) and         count($vaccine-code-test) = count($undetermined-diag-proc)) " />
    <xsl:variable name="try-tgi" select="not($valid-diag-proc-5 or $invalid-diag-proc or ($try-immun and $an-immun) or $der-text = '' or $negated-err or $der-text-non-value or         $der-invalid-text) and /cda:ClinicalDocument/cda:code[         (@codeSystem = '2.16.840.1.113883.6.1' and @code = ('60591-5', '34133-9', '18842-5', '57133-1', '51852-2')) or         (@codeSystem = '1.2.36.1.2001.1001.101' and @code = '100.16685')      ]" />
    <xsl:variable name="der-tgi-text" select="if ($try-tgi) then normalize-space(dh:XQueryRecursiveReplace($der-text,         concat($tgi-fir-pattern-replacement, '~', $tgi-regex, '~', $tgi-sec-pattern-replacement, '~', $tgi-thi-pattern-replacement), 'ic')) else '' " />
    <xsl:variable name="use-tgi-text" select="$der-tgi-text != '' and $der-tgi-text != $der-text " />
    <xsl:variable name="a-sas-tgi" select="$try-tgi and $use-tgi-text and $tgi-sas-regex != '' and matches($der-tgi-text, $tgi-sas-regex, 'is')" />
    <xsl:variable name="an-uncoded-tgi" select="$try-tgi and $use-tgi-text and $tgi-otheru-regex != '' and matches($der-tgi-text, $tgi-otheru-regex, 'is')" />
    <xsl:variable name="der-tgi-codes" select="if ($avoid-ts or $error-usingTS-9) then ''         else if ($try-tgi and $use-tgi-text and not($a-sas-tgi or $an-uncoded-tgi))         then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $tgi-formula, $der-tgi-text,           $max-code-number, false())         else '' " />
    <xsl:variable name="error-usingTS-10" select="$error-usingTS-9 or 'Error' = $der-tgi-codes " />
    <xsl:variable name="a-tgi" select="$try-tgi and ($a-sas-tgi or $an-uncoded-tgi or contains($der-tgi-codes, '[')) and not(exists($undetermined-diag-proc)) " />
    <xsl:variable name="codes-were-found" select="exists($der-diag-proc-codes-4) or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="codes-not-found" select="not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or        $valid-diag-proc-5 or $invalid-diag-proc or $an-immun or $a-tgi or $error-usingTS-10 or $family-err or $length-err or $prose-err or $negated-err) " />
    <xsl:variable name="codes-in-the-domain" select="not($valid-diag-proc-1) and $valid-diag-proc-5" />
    <xsl:variable name="codes-in-other-domain" select="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-diag-proc-5 or         $invalid-diag-proc or $an-immun or $a-tgi) " />
    <xsl:variable name="codes-in-no-domain" select="exists($der-diag-proc-codes-5) " />
    <xsl:variable name="display-in-the-domain" select="if ($codes-in-the-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', '), '''')        else '' " />
    <xsl:variable name="display-in-other-r" select="if (exists($invalid-diag-proc-codes-r) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-diag-proc-codes-r return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-h" select="if (exists($invalid-diag-proc-codes-h) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-diag-proc-codes-h return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-domain" select="if (not($codes-in-other-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))) then ''        else if ($display-in-other-r and display-in-other-h) then concat('''', $display-in-other-r, ', ', $display-in-other-h, '''')        else if ($display-in-other-r) then concat('''', $display-in-other-r, '''')        else if ($display-in-other-h) then concat('''', $display-in-other-h, '''')        else '' " />
    <xsl:variable name="display-in-no-domain" select="if ($codes-in-no-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', dh:XQueryRecursiveReplace(string-join(for $code in $der-diag-proc-codes-5 return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), '; '),          $term-pattern-replacement, 'ic'), '''')        else '' " />
    <xsl:variable name="display-text-1" select="if (cda:originalText != '') then normalize-space(cda:originalText)        else if (. != '') then normalize-space(.)        else '' " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-attr" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))        else if (. != '') then normalize-space(concat('the text ', $display-text))        else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="log-element" select="if ($error-usingTS-10 or not($flags/@report-terminology-concepts = 'true') or $log-concepts-name = '') then ''        else if ($is-problem-diagnosis) then 'Problem/Diagnosis' else if ($is-procedure) then 'Procedure' else 'Problem/Diagnosis or Procedure' " />
    <xsl:variable name="log-concepts-appended" select="if ($error-usingTS-10 or not($flags/@report-terminology-concepts = 'true') or $log-concepts-name = '') then ''        else if ($codes-not-found and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                   $log-element,    $log-tab,                   'yes',     $log-tab,                   concat($display-attr, $display-system), $log-tab,                   '',     $log-tab,                  '',     $log-tab,                  '',     $log-tab,                  $ts-current-sctau   ))        else if (($use-revised-text-3 or $codes-in-no-domain) and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                  $log-element,    $log-tab,                   'yes',     $log-tab,                     concat($display-attr, $display-system), $log-tab,                    $display-in-the-domain,   $log-tab,                  $display-in-other-domain,  $log-tab,                  $display-in-no-domain,   $log-tab,                  $ts-current-sctau   ))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-01" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating" select="if ($text-without-markup = '' or (cda:originalText and cda:originalText != '')) then $rating-57 else $rating-01 " />
    <xsl:variable name="test-case-id" select="if ($text-without-markup = '' or (cda:originalText and cda:originalText != '')) then 'TC-Types-57' else 'TC-Doc-01' " />
    <!--REPORT -->
    <xsl:if test=" $log-concepts-appended = ('NOTFOUND', 'ERROR') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$log-concepts-appended = ('NOTFOUND', 'ERROR')">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Diag-Proc-Defn): The AppendLog function returned '<xsl:text /><xsl:value-of select="$log-concepts-appended" /><xsl:text />' when requested to append the concepts log
		'<xsl:text /><xsl:value-of select="$log-concepts-name" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-3a = '' or $der-text-a = '') and    not($uncat-embedded-error or $negated-err or $valid-diag-proc-5) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-3a = '' or $der-text-a = '') and not($uncat-embedded-error or $negated-err or $valid-diag-proc-5)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Diag-Proc-Defn): An unexpected problem occurred when assessing the value of the Problem/Diagnosis Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. The application of regular expressions resulted in the complete loss of text.
		Report the information below to the Australian Digital Health Agency for investigation.

		der-text-1 '<xsl:text /><xsl:value-of select="normalize-space(dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'))" /><xsl:text />'.
		der-truncated-text-1 '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-truncated-text-1, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-2a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-2a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-3a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-3a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-a, $term-pattern-replacement, 'ic')" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingV-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingV-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Diag-Proc-Defn): An error was reported when accessing the terminology server when assessing the Problem/Diagnosis Description data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		Report the issue to the Australian Digital Health Agency for investigation stating the error was recorded for error-usingV-2.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-10 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-10">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Diag-Proc-Defn): An error was reported when accessing the terminology server when assessing the Problem/Diagnosis Description data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term:
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The analysis should be retried as the terminology server may have been temporarily unavailable.
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation, stating that the error was found by
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'error-usingTS-1' else if ($error-usingTS-2-a) then 'error-usingTS-2-a'   else if ($error-usingTS-2-b) then 'error-usingTS-2-b' else if ($error-usingTS-2-c) then 'error-usingTS-2-c'   else if ($error-usingTS-2-d) then 'error-usingTS-2-d' else if ($error-usingTS-2-e) then 'error-usingTS-2-e'   else if ($error-usingTS-2) then 'error-usingTS-2'   else if ($error-usingTS-3) then 'error-usingTS-3' else if ($error-usingTS-4) then 'error-usingTS-4'   else if ($error-usingTS-5) then 'error-usingTS-5' else if ($error-usingTS-6) then 'error-usingTS-6'   else if ($error-usingTS-7) then 'error-usingTS-7' else if ($error-usingTS-8) then 'error-usingTS-8'   else if ($error-usingTS-9) then 'error-usingTS-9' else 'error-usingTS-10' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($family-err or $length-err) and not($prose-err or $negated-err or $der-invalid-text) and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($family-err or $length-err) and not($prose-err or $negated-err or $der-invalid-text) and not(cda:originalText)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: <xsl:text /><xsl:value-of select="$test-case-id" /><xsl:text />: The Problem/Diagnosis Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which may be invalid as it
		<xsl:text /><xsl:value-of select="if ($family-err) then 'contains the family name of a healthcare participant' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($family-err and $length-err) then ' and ' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($length-err) then 'seems to be too long to describe a concept and may be a copy of or extract from the narrative.' else '.' " /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the diagnosis or health problem experienced by the         consumer. (See section 4.17 of the Discharge Summary Structured Document Template v3.3.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-uncategorised and $prose-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-uncategorised and $prose-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: <xsl:text /><xsl:value-of select="$test-case-id" /><xsl:text />: The Problem/Diagnosis Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is invalid as it is prose text.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the diagnosis or health problem experienced by the         consumer. (See section 4.17 of the Discharge Summary Structured Document Template v3.3.)'))" /><xsl:text /> A place to record prose text is in a comment or clinical synopsis data element.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and not($is-uncategorised) and $prose-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and not($is-uncategorised) and $prose-err">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: <xsl:text /><xsl:value-of select="$test-case-id" /><xsl:text />: The Problem/Diagnosis Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is invalid as it is prose text.
		<xsl:text /><xsl:value-of select="if ($is-problem-diagnosis or $is-procedure) then concat('The Problem/Diagnosis Description data element is CodeableText derived from the HL7 CD data type which by definition is to record ',   'a concept defined in an external code system, terminology or ontology. (See section 7.5.2.1 of ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')    else '' " /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the diagnosis or health problem experienced by the         consumer. (See section 4.17 of the Discharge Summary Structured Document Template v3.3.)'))" /><xsl:text />
		A place to record prose text is in a comment or clinical synopsis data element.
		This finding will also be reported as an error.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $codes-not-found">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: <xsl:text /><xsl:value-of select="$test-case-id" /><xsl:text />: The Problem/Diagnosis Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the diagnosis or health problem experienced by the         consumer. (See section 4.17 of the Discharge Summary Structured Document Template v3.3.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the PROBLEM/DIAGNOSIS section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$codes-in-other-domain and not($error-usingTS-10)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$codes-in-other-domain and not($error-usingTS-10)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: <xsl:text /><xsl:value-of select="$test-case-id" /><xsl:text />: The Problem/Diagnosis Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value does not seem to be applicable for the data element.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the diagnosis or health problem experienced by the         consumer. (See section 4.17 of the Discharge Summary Structured Document Template v3.3.)')" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $negated-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$negated-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: <xsl:text /><xsl:value-of select="$test-case-id" /><xsl:text />: The Problem/Diagnosis Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element has an invalid value which states the healthcare consumer
		<xsl:text /><xsl:value-of select="if ('Problem/Diagnosis Description' = 'Problem/Diagnosis Identification') then 'does not have a problem' else if ('Problem/Diagnosis Description' = 'Procedure Name') then 'has not had a procedure'   else if ('Problem/Diagnosis Description' = 'Medical History Item Description') then 'does not have the item' else 'Problem/Diagnosis Description'" /><xsl:text />.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the diagnosis or health problem experienced by the         consumer. (See section 4.17 of the Discharge Summary Structured Document Template v3.3.)'))" /><xsl:text />
		If the consumer once had the <xsl:text /><xsl:value-of select="if ('Problem/Diagnosis Description' = 'Problem/Diagnosis Identification') then 'problem'    else if ('Problem/Diagnosis Description' = 'Procedure Name') then 'procedure' else if ('Problem/Diagnosis Description' = 'Medical History Item Description') then 'item' else 'Problem/Diagnosis Description'" /><xsl:text /> then the error may be
		corrected by stating the
		<xsl:text /><xsl:value-of select="if ('Problem/Diagnosis Description' = 'Problem/Diagnosis Identification') then 'problem the consumer once had' else if ('Problem/Diagnosis Description' = 'Procedure Name') then 'procedure the consumer once had'    else if ('Problem/Diagnosis Description' = 'Medical History Item Description') then 'medical history item the consumer once had' else 'Problem/Diagnosis Description'" /><xsl:text /> and including an end date. If the consumer was previously thought
		to have had the <xsl:text /><xsl:value-of select="if ('Problem/Diagnosis Description' = 'Problem/Diagnosis Identification') then 'problem' else if ('Problem/Diagnosis Description' = 'Procedure Name') then 'procedure'   else if ('Problem/Diagnosis Description' = 'Medical History Item Description') then 'medical history item' else 'Problem/Diagnosis Description'" /><xsl:text /> and if this was subsequently ruled out then
		<xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> must not be included in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'exclusion' = 'allowed' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'exclusion' = 'allowed' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Problem/Diagnosis Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the diagnosis or health problem experienced by the         consumer. (See section 4.17 of the Discharge Summary Structured Document Template v3.3.)'))" /><xsl:text />
		The Problem/Diagnosis Description data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'exclusion' = 'exclusion' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'exclusion' = 'exclusion' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: <xsl:text /><xsl:value-of select="$test-case-id" /><xsl:text />: The Problem/Diagnosis Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the diagnosis or health problem experienced by the         consumer. (See section 4.17 of the Discharge Summary Structured Document Template v3.3.)'))" /><xsl:text />
		The Problem/Diagnosis Description data element must have a value that is consistent with this definition. Alternatively if there is no Problem/Diagnosis Description data element with a proper value then an exclusion
		statement must be included to state why there is no Problem/Diagnosis Description. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4')    then concat('Text such as ''', dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'), ''' may be permitted in the narrative even though the Problem/Diagnosis Description data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'exclusion' = 'unknown' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'exclusion' = 'unknown' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Problem/Diagnosis Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the diagnosis or health problem experienced by the         consumer. (See section 4.17 of the Discharge Summary Structured Document Template v3.3.)'))" /><xsl:text />
		The Problem/Diagnosis Description data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($der-text-non-value) and $der-invalid-text ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($der-text-non-value) and $der-invalid-text">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Problem/Diagnosis Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid. <xsl:text /><xsl:value-of select="$defn-invalid-rsn" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the diagnosis or health problem experienced by the         consumer. (See section 4.17 of the Discharge Summary Structured Document Template v3.3.)'))" /><xsl:text /><xsl:text /><xsl:value-of select="if ($uncat-embedded-comment != '') then concat(' The Problem/Diagnosis Description text contains the comment ''', $uncat-embedded-comment,     ''' which should have been recorded in the Medical History Item Comment data element.',    ' (See the mapping table for Medical History Item Comment in the ', $document-name, ' CDA Implementation Guide.)') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($uncat-embedded-start != '' and $uncat-embedded-end != '') then concat(' The Problem/Diagnosis Description text contains a time interval commencing at ''', $uncat-embedded-start,     ''' and ending at ', $uncat-embedded-end, ''' however they should have been recorded in the low and high elements of the Medical History Item TimeInterval data element.')     else if ($uncat-embedded-start != '' and $uncat-embedded-end = '') then concat(' The Problem/Diagnosis Description text contains a time interval commencing at ''', $uncat-embedded-start,     ''' which should have been recorded in the low element of the Medical History Item TimeInterval data element.')    else if ($uncat-embedded-start = '' and $uncat-embedded-end != '') then concat(' The Problem/Diagnosis Description text contains a time interval ending at ', $uncat-embedded-end,     ''' which should have been recorded in the high element of the Medical History Item TimeInterval data element.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($uncat-embedded-dt != '') then concat(' The Problem/Diagnosis Description text contains the date ''', $uncat-embedded-dt,     ''' which should have been recorded in the value attribute of the Medical History Item TimeInterval data element.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($uncat-embedded-start != '' or $uncat-embedded-end != '' or $uncat-embedded-dt != '') then concat(    ' (See the mapping table for Medical History Item TimeInterval in the ', $document-name, ' CDA Implementation Guide.)') else '' " /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $an-immun and not($error-usingTS-10)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$an-immun and not($error-usingTS-10)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: <xsl:text /><xsl:value-of select="$test-case-id" /><xsl:text />: The Problem/Diagnosis Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the value is invalid.
		<xsl:text /><xsl:value-of select="if ($is-problem-diagnosis) then concat('Administering an immunisation is not a medical problem or diagnosis and the ', $document-name,    ' has a separate Immunisation section for recording the immunisation.')   else 'Administering an immunisation is not a medical procedure that may be recorded in this section of the document as there is a separate Immunisation section for that purpose.' " /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the diagnosis or health problem experienced by the         consumer. (See section 4.17 of the Discharge Summary Structured Document Template v3.3.)'))" /><xsl:text />
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the PROBLEM/DIAGNOSIS section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $a-tgi and not($error-usingTS-10) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$a-tgi and not($error-usingTS-10)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: <xsl:text /><xsl:value-of select="$test-case-id" /><xsl:text />: The Problem/Diagnosis Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the value is invalid as it identifies a medication.
		Administering a medication is not a medical procedure that may be recorded in this section of the document as there is a separate Medication section for that purpose.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the diagnosis or health problem experienced by the         consumer. (See section 4.17 of the Discharge Summary Structured Document Template v3.3.)'))" /><xsl:text />
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the PROBLEM/DIAGNOSIS section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $invalid-diag-proc and not($error-usingTS-10) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$invalid-diag-proc and not($error-usingTS-10)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Problem/Diagnosis Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid
		<xsl:text /><xsl:value-of select="if (exists($invalid-diag-proc-codes-h)) then concat(' as it describes ', string-join(distinct-values(for $code in tokenize(replace(   dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat('(', string-join(for $code in $invalid-diag-proc-codes-h return concat('&gt;&gt;', $code), ' OR '), ') AND (',    string-join(for $hierarchy in $the-invalid-h return $hierarchy/@code, ' OR '), ')'), '',    string(count($invalid-diag-proc-codes-h)), true()), '(\[.*?\])(\||$)', '$2'), '\|') return $the-invalid-h[@code = $code]/@description)[position() = (1 to 2)], ' and '), '.')    else if (exists($invalid-diag-proc-codes-r)) then concat(' as it describes ', string-join(distinct-values(for $code in $invalid-diag-proc-codes-r return   $the-invalid-r[index-of(for $x in (for $refset in $the-invalid-r return    dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat($code, ' AND ^', $refset/@code), '', '1', true()), '|') return matches($x, '^[0-9]'), true())[1]]/@description), ' and '), '.')   else '.'" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the diagnosis or health problem experienced by the         consumer. (See section 4.17 of the Discharge Summary Structured Document Template v3.3.)'))" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable outside the applicable value domain): The Problem/Diagnosis Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following codes were obtained and are not in the value domain: <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-Diag-Proc-Defn): The Problem/Diagnosis Description '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU and no associated code was found in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists(($der-NAF-active-codes, $undetermined-NAF-active-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists(($der-NAF-active-codes, $undetermined-NAF-active-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-Diag-Proc-Defn): The Problem/Diagnosis Description '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-active-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the
		'<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' version of SNOMED CT-AU but it was not found with this status in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU.
		<xsl:text /><xsl:value-of select="if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $valid-diag-proc-1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $valid-diag-proc-1">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable within the value domain): The Problem/Diagnosis Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which matches one of the terms listed in
		<xsl:text /><xsl:value-of select="if ($a-disease) then 'the vaccine information in CodeSystems.xml' else 'Knowledge.xml' " /><xsl:text /> for the Problem/Diagnosis Description.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (concept is codeable within the value domain): The Problem/Diagnosis Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a valid value for the Problem/Diagnosis Description.
		SNOMED CT-AU codes that matched the concept are: <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (count($best-matches) = count($der-valid-codes-seq)) then ''   else if (count($best-matches) = 1) then concat('The analysis continued only with the best matching code which is ''',   dh:XQueryRecursiveReplace($best-matches[1], $markup-pattern-replacement, 'ic'), '''.')   else if (exists($best-matches)) then concat('The analysis continued only with the best matching codes which are ''',   dh:XQueryRecursiveReplace(string-join($best-matches, '; '), $markup-pattern-replacement, 'ic'), '''.')   else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ('Error' = $procedure-codes or not(exists($procedure-codes))) then ''   else if ($best-num = count($procedure-codes)) then ' All matching codes are members of the Procedure Foundation reference set.'    else if (count($procedure-codes) = 1) then concat(' Out of the ', $best-num, ' codes one is a member of the Procedure Foundation reference set (', string-join($procedure-codes, '; '), ').')    else if (count($procedure-codes) = 0) then concat(' Out of the ', $best-num, ' codes none is a member of the Procedure Foundation reference set.')   else concat(' Out of the ', $best-num, ' codes ', count($procedure-codes), ' are members of the Procedure Foundation reference set (', string-join($procedure-codes, '; '), ').') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($error-usingTS-7 or not(exists($procedure-codes))) then ''   else if (not($assess-proc-short)) then ' The procedure duration was not assessed.'   else if (count($procedure-type) = 0 and $best-num = count($procedure-codes)) then ' This may be a long duration procedure.'   else if (count($procedure-type) = 0) then ''   else if ($short-procedure) then ' This is a short duration procedure.'    else if ($best-num &gt; count($procedure-type) and count($procedure-type) = 1)     then concat(' Out of the ', $best-num, ' codes one describes a short duration procedure (', string-join($procedure-type, '; '), ').')   else if ($best-num &gt; count($procedure-type))     then concat(' Out of the ', $best-num, ' codes ', count($procedure-type), ' describe a short duration procedure (', string-join($procedure-type, '; '), ').')   else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ('Error' = $diagnosis-codes or not(exists($diagnosis-codes))) then ''   else if ($best-num = count($diagnosis-codes)) then ' All matching codes are members of the Problem/Diagnosis reference set.'    else if (count($diagnosis-codes) = 1) then concat(' Out of the ', $best-num, ' codes one is a member of the Problem/Diagnosis reference set (', string-join($diagnosis-codes, '; '), ').')    else if (count($diagnosis-codes) = 0) then concat(' Out of the ', $best-num, ' codes none is a member of the Problem/Diagnosis reference set.')   else concat(' Out of the ', $best-num, ' codes ', count($diagnosis-codes), ' are members of the Problem/Diagnosis reference set (', string-join($diagnosis-codes, '; '), ').') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($error-usingTS-7 or not(exists($diagnosis-codes))) then ''   else if (not($assess-diag-ongoing)) then ' The medical problem duration was not assessed.'   else if (count($diagnosis-type) = 0 and $best-num = count($diagnosis-codes)) then ' This medical problem may not be ongoing.'   else if (count($diagnosis-type) = 0) then ''   else if ($ongoing-diagnosis) then concat(' This medical problem is generally ongoing and is a member of the following conditions in the Knowledge.xml file: ''',    string-join(for $concept in $diagnosis-type return     dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',     concat('&gt;&gt;', replace($concept, '^([0-9]+)(\[.*?\]$)', '$1'), ' AND (', string-join($ongoing-diag-codes, ' OR '), ')'), '', '1', false()), '|'), '''.')   else if ($best-num &gt; count($diagnosis-type) and count($diagnosis-type) = 1)     then concat(' Out of the ', $best-num, ' codes one describes an ongoing medical problem (', string-join($diagnosis-type, '; '), ').')   else if ($best-num &gt; count($diagnosis-type))     then concat(' Out of the ', $best-num, ' codes ', count($diagnosis-type), ' describe an ongoing medical problem (', string-join($diagnosis-type, '; '), ').')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-diag-proc-1 or $prose-err or $negated-err) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-diag-proc-1 or $prose-err or $negated-err)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: <xsl:text /><xsl:value-of select="$test-case-id" /><xsl:text />: The Problem/Diagnosis Description '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The text used to match regular expression (der-text-2) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to match non-values and vaccines (der-text-to-match) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-to-match, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to derive a code (der-text) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.

		<xsl:text /><xsl:value-of select="if ($use-revised-text-1) then concat(' A first revision of the text (der-revised-text-1) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-1, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A first revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-1 != '' and $der-revised-text-1 = '') then ' revision-pattern-1 was applied but the output (der-revised-text-1) was an empty string.' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($use-revised-text-2) then concat(' A second revision of the text (der-revised-text-2) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A second revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-2 != '' and $der-revised-text-2 = '') then ' revision-pattern-2 was applied but the output (der-revised-text-2) was an empty string.' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($use-revised-text-3) then concat(' A third revision of the text (der-revised-text-3) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-3, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A third revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-3 != '' and $der-revised-text-3 = '') then ' revision-pattern-3 was applied but the output (der-revised-text-3) was an empty string.' else '' " /><xsl:text />

		Codes for related terms (related-terms-2): '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($related-terms-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes for related terms (der-valid-codes-1): 
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-1, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-diag-proc-codes-2) returned by the terminology server that match the text:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-diag-proc-codes-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes from related terms or the terminology server (der-valid-codes-2):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-2, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-inactive-codes-3) returned from the Validator's database associated with inactive codes:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-inactive-codes-3, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes found after examining inactive codes (der-valid-codes-3):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-3, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-diag-proc-codes-3) returned by the terminology server that are in der-inactive-codes-3 and the value domain:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-diag-proc-codes-3, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Members of invalid reference sets (invalid-diag-proc-codes-r): '<xsl:text /><xsl:value-of select="$display-in-other-r" /><xsl:text />'.
		Members of invalid code hierarchies (invalid-diag-proc-codes-h): '<xsl:text /><xsl:value-of select="$display-in-other-h" /><xsl:text />'.

		Final set of valid medical diagnosis and procedure codes (der-valid-codes-4): <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.

		 diag-proc-codes-5): '<xsl:text /><xsl:value-of select="string-join($der-diag-proc-codes-5, ''', ''')" /><xsl:text />'.
		Codes whose validity has not been determined and are inactive with no associated code (undetermined-NAF): '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(    string-join($undetermined-NAF, ''', '''), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		
		Were immunisations examined (try-immun)?: '<xsl:text /><xsl:value-of select="$try-immun" /><xsl:text />'
		Were immunisations found in the first assessment (an-immun-1):  '<xsl:text /><xsl:value-of select="$an-immun-1" /><xsl:text />'
		Were immunisations found in the second assessment (an-immun-2):  '<xsl:text /><xsl:value-of select="$an-immun-2" /><xsl:text />'
		Were immunisations found in the third assessment (an-immun-3):  '<xsl:text /><xsl:value-of select="$an-immun-3" /><xsl:text />'
		Vaccine codes (vaccine-code-test):  '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($vaccine-code-test, '; '), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Were immunisations found in the third assessment (an-immun):  '<xsl:text /><xsl:value-of select="$an-immun" /><xsl:text />'

		Were therapeutic good identifiers examined (try-tgi)?: '<xsl:text /><xsl:value-of select="$try-tgi" /><xsl:text />'
		Was text used to examine therapeutic good identifiers (use-tgi-text)?: '<xsl:text /><xsl:value-of select="$use-tgi-text" /><xsl:text />'
		The text used (der-tgi-text) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-tgi-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		Did the data element describe a therapeutic good on the Special Access Scheme (a-sas-tgi)?: '<xsl:text /><xsl:value-of select="$a-sas-tgi" /><xsl:text />'
		Did the data element describe an uncoded TGI (an-uncoded-tgi)?: '<xsl:text /><xsl:value-of select="$an-uncoded-tgi" /><xsl:text />'
		Set of TGI codes (der-tgi-codes):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-tgi-codes, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Was it confirmed that the data element describes a TGI (a-tgi)?: '<xsl:text /><xsl:value-of select="$a-tgi" /><xsl:text />'

		Will the value of the data element be trusted (der-trusted-text)? '<xsl:text /><xsl:value-of select="$der-trusted-text" /><xsl:text />'.
		
	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and $der-text != '' and not($valid-diag-proc-5 or $codes-were-found or $der-text-non-value or $der-invalid-text or    $an-immun or $a-tgi or $error-usingTS-10 or $family-err or $length-err or $prose-err or $negated-err) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and $der-text != '' and not($valid-diag-proc-5 or $codes-were-found or $der-text-non-value or $der-invalid-text or $an-immun or $a-tgi or $error-usingTS-10 or $family-err or $length-err or $prose-err or $negated-err)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept not codeable): The Problem/Diagnosis Description '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($avoid-ts) then 'The terminology server was not used to assist with finding codes corresponding to text in the data element. ' else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $short-procedure and not('' = '') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$short-procedure and not('' = '')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Problem/Diagnosis Description '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which describes a short duration procedure. The <xsl:text /><xsl:value-of select="''" /><xsl:text />
		data element describes the time interval when the procedure was performed and states that it commenced on '<xsl:text /><xsl:value-of select="$proc-ivl-location/cda:low/@value" /><xsl:text />' and the completion date was not
		stated which means the procedure is either ongoing or if it was was completed then the completion date was not recorded.
		(See section 8 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		As all <xsl:text /><xsl:value-of select="''" /><xsl:text /> data elements have a commencement date and no completion date then it is assumed that there is a software error rather than a human error causing the
		dates to be incorrectly recorded in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A way to record a time interval that completed the same day that it commenced is for the <xsl:text /><xsl:value-of select="''" /><xsl:text /> '<xsl:text /><xsl:value-of select="local-name($proc-ivl-location)" /><xsl:text />'
		data element to have a value attribute with the value '<xsl:text /><xsl:value-of select="$proc-ivl-location/cda:low/@value" /><xsl:text />' and no low or high elements.
		Alternatively if the commencement date is unknown and '<xsl:text /><xsl:value-of select="$proc-ivl-location/cda:low/@value" /><xsl:text />' is the date when the procedure was completed then the <xsl:text /><xsl:value-of select="''" /><xsl:text />
		'<xsl:text /><xsl:value-of select="local-name($proc-ivl-location)" /><xsl:text />' data element should have no low element and a high element with a value attribute with the value
		'<xsl:text /><xsl:value-of select="$proc-ivl-location/cda:low/@value" /><xsl:text />'. (See sections 3.6 and 3.8.1 of the HL7 Data Types - Abstract Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $ongoing-diagnosis and $is-uncategorised and exists(../cda:effectiveTime/cda:high/@value) and not('' = '') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$ongoing-diagnosis and $is-uncategorised and exists(../cda:effectiveTime/cda:high/@value) and not('' = '')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Problem/Diagnosis Description '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which describes a medical problem that is often ongoing however
		the <xsl:text /><xsl:value-of select="''" /><xsl:text /> data element, which describes the time interval applying to the medical problem, does not state a commencement date and has a 'high' element
		with a value that states the medical problem
		was resolved on '<xsl:text /><xsl:value-of select="../cda:effectiveTime/cda:high/@value" /><xsl:text />'. (See section 8 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		As the <xsl:text /><xsl:value-of select="''" /><xsl:text /> data elements have a resolution or remission date and no date of onset then, if the medical problem is ongoing, there may be a software error
		rather than a human error causing the dates to be incorrectly recorded in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. Confirm if the software system is able to correctly record an ongoing
		medical problem. A way to record a time interval for an ongoing medical problem is for the <xsl:text /><xsl:value-of select="''" /><xsl:text /> 'effectiveTime'
		data element to have a low element with a value attribute to record the commencement date and for the high element to be omitted.
		(See section 3.6 of the HL7 Data Types - Abstract Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $ongoing-diagnosis and $is-uncategorised and exists(../cda:effectiveTime/@value) and not('' = '') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$ongoing-diagnosis and $is-uncategorised and exists(../cda:effectiveTime/@value) and not('' = '')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Problem/Diagnosis Description '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which describes a medical problem that is often ongoing however
		the <xsl:text /><xsl:value-of select="''" /><xsl:text /> data element, which describes the time interval applying to the medical problem, has a 'value' attribute with the value
		'<xsl:text /><xsl:value-of select="../cda:effectiveTime/@value" /><xsl:text />' which indicates the medical problem both commenced and
		was resolved on '<xsl:text /><xsl:value-of select="../cda:effectiveTime/@value" /><xsl:text />'. (See section 8 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and
		section 3.8.1 of the HL7 Data Types - Abstract Specification.)
		As the <xsl:text /><xsl:value-of select="''" /><xsl:text /> data elements have value attribute then, if the medical problem is ongoing, there may be a software error rather than a human error causing
		the dates to be incorrectly recorded in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. Confirm if the software system is able to correctly record an ongoing medical problem.
		A way to record a time interval for an ongoing medical problem is for the <xsl:text /><xsl:value-of select="''" /><xsl:text /> 'effectiveTime'
		data element to have a low element with a value attribute to record the commencement date and for the high element to be omitted.
		(See section 3.6 of the HL7 Data Types - Abstract Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $ongoing-diagnosis and $is-problem-diagnosis and    exists(../cda:entryRelationship[@typeCode='SUBJ']/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]/cda:value/@value) and not('' = '') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$ongoing-diagnosis and $is-problem-diagnosis and exists(../cda:entryRelationship[@typeCode='SUBJ']/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]/cda:value/@value) and not('' = '')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Problem/Diagnosis Description '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which describes a medical problem that is often ongoing however
		the <xsl:text /><xsl:value-of select="''" /><xsl:text /> data element has a value that states the medical problem
		was resolved on '<xsl:text /><xsl:value-of select="../cda:entryRelationship[@typeCode='SUBJ']/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]/cda:value/@value" /><xsl:text />'.	
		As the Problem/Diagnosis Description data elements have a resolution or remission date and no date of onset then there may be a software error
		rather than a human error causing the dates to be incorrectly recorded in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. Confirm if the software system is able to correctly record an ongoing
		medical problem. (See information about the <xsl:text /><xsl:value-of select="''" /><xsl:text /> in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $ongoing-diagnosis and $is-uncategorised and count($repeated-start) &gt; 1 and not('' = '') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$ongoing-diagnosis and $is-uncategorised and count($repeated-start) &gt; 1 and not('' = '')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Problem/Diagnosis Description '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which describes a medical problem that is often ongoing.

		The <xsl:text /><xsl:value-of select="''" /><xsl:text /> data element has a value that indicates the medical problem commenced or was first recorded on
		'<xsl:text /><xsl:value-of select="if (../cda:effectiveTime/cda:low/@value) then ../cda:effectiveTime/cda:low/@value else ../cda:effectiveTime/@value " /><xsl:text />'.
		According to information recorded in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> the medical problem has commenced on
		<xsl:text /><xsl:value-of select="if ($numbers/number[number(@value) = count($repeated-start)]) then $numbers/number[number(@value) = count($repeated-start)]/@name else count($repeated-start)" /><xsl:text />
		different occasions. As all Problem/Diagnosis Description data elements with a date have a commencement date then there may be a software error rather than a human error that has resulted in the ongoing
		medical problem to be recorded multiple times. Confirm if the software system is able to correctly record the dates for an ongoing
		medical problem. (See information about the <xsl:text /><xsl:value-of select="''" /><xsl:text /> in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M268" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M268" />
  <xsl:template match="@*|node()" priority="-2" mode="M268">
    <xsl:apply-templates select="@*|*" mode="M268" />
  </xsl:template>
  <!--PATTERN p-TS-DisProb-CodeableText-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16142' = $doc-sections]/cda:component/cda:structuredBody/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16006']]/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16142']]/cda:entry/        cda:observation[@classCode='OBS' and not(cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.4.3.1'])]/cda:value        [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]        [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or          ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M269">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16142' = $doc-sections]/cda:component/cda:structuredBody/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16006']]/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16142']]/cda:entry/        cda:observation[@classCode='OBS' and not(cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.4.3.1'])]/cda:value        [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]        [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or          ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Problem/Diagnosis Description '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Problem/Diagnosis Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Problem/Diagnosis Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Problem/Diagnosis Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Problem/Diagnosis Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Problem/Diagnosis Description has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Problem/Diagnosis Description data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Problem/Diagnosis Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Problem/Diagnosis Description data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Problem/Diagnosis Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Problem/Diagnosis Description data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Problem/Diagnosis Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Problem/Diagnosis Description data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Problem/Diagnosis Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Problem/Diagnosis Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Problem/Diagnosis Description data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Problem/Diagnosis Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Problem/Diagnosis Description data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Problem/Diagnosis Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Problem/Diagnosis Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Problem/Diagnosis Description data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Problem/Diagnosis Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Problem/Diagnosis Description data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Problem/Diagnosis Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Problem/Diagnosis Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M269" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M269" />
  <xsl:template match="@*|node()" priority="-2" mode="M269">
    <xsl:apply-templates select="@*|*" mode="M269" />
  </xsl:template>
  <!--PATTERN p-TS-DisProb-CodedText-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16142' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16006']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16142']]/   cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.4.3.1']]/cda:value " priority="1000" mode="M270">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16142' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16006']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16142']]/   cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.4.3.1']]/cda:value " />
    <xsl:variable name="tc-types-49-err" select="@nullFlavor = ('PINF', 'NINF', 'QS', 'TRC') or (@nullFlavor='UNC' and (not(cda:originalText) or normalize-space(cda:originalText) = '')) " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="family-err" select="cda:originalText and matches(cda:originalText, $family-regex, 'i')" />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; 200" />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and @code != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used with the Clinical Package Validator to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used with the Clinical Package Validator to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the primary code.') " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-06-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-06-step-2 else $rating-alt-TC-Types-06-step-2 " />
    <xsl:variable name="rating-07-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-1 else $rating-alt-TC-Types-07-step-1 " />
    <xsl:variable name="rating-07-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-2 else $rating-alt-TC-Types-07-step-2 " />
    <xsl:variable name="rating-08" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-08 else $rating-alt-TC-Types-08 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-07: The Exclusion Statement - Problems and Diagnoses '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data
		type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to the Structured Content Specification the Exclusion Statement - Problems and Diagnoses '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which is derived from the HL7 'CD' data type however xsi:type '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to the Structured Content Specification the Exclusion Statement - Problems and Diagnoses '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:translation">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:translation">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Exclusion Statement - Problems and Diagnoses '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'translation' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value
		domain, with no exceptions. A translation translates the value into a code from another code systems, so translations are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:qualifier">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:qualifier">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Exclusion Statement - Problems and Diagnoses
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'qualifier' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value domain,
		with no exceptions. A qualifier constrains the value, so qualifiers are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Exclusion Statement - Problems and Diagnoses '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Exclusion Statement - Problems and Diagnoses
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Exclusion Statement - Problems and Diagnoses
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Exclusion Statement - Problems and Diagnoses
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present and is not expected
		for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Exclusion Statement - Problems and Diagnoses
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />'
		is present and is not expected for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-terminology-concepts = 'true' and not(true() or false() or $family-err or $length-err) and    not(@nullFlavor) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and not(true() or false() or $family-err or $length-err) and not(@nullFlavor)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (value domain not specified): The Exclusion Statement - Problems and Diagnoses '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The CodedText data type has the requirement that values must come from the specified bound value domain with no exceptions but a value domain has not been specified for the
		Exclusion Statement - Problems and Diagnoses '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Exclusion Statement - Problems and Diagnoses',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="false() and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != '1.2.36.1.2001.1001.101.104.16299'))  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != '1.2.36.1.2001.1001.101.104.16299'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-06-step-2" /><xsl:text />: TC-Types-06 step 2: According to the Structured Content Specification the Exclusion Statement - Problems and Diagnoses '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. The
		CodedText data type has the requirement that values must come from the bound value domain with no exceptions. Therefore the value of the codeSystem attribute must be a publicly available
		code system. The Exclusion Statement - Problems and Diagnoses data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide states the code system is 'NS' (not stated) with the requirement 'When national standard code sets become
		available, they SHALL be used'. The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> which is after the national standard code set became available
		for use on the <xsl:text /><xsl:value-of select="''" /><xsl:text />. The code system that must be used is
		<xsl:text /><xsl:value-of select="if ('1.2.36.1.2001.1001.101.104.16299' = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName, ' (ConceptId ''', 'none', ''')')   else concat('1.2.36.1.2001.1001.101.104.16299', ' (', $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16299']/@codeSystemName, ')')" /><xsl:text /><xsl:text /><xsl:value-of select="if (not(@codeSystem)) then '.'    else if (@codeSystemName) then concat(' however codeSystem ''', @codeSystem, ''' (', @codeSystemName, ') is present.')   else concat(' however a codeSystem attribute with the value ''', @codeSystem, ''' is present.') " /><xsl:text />
		(See section 1.8 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide, <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 7 of the Discharge Summary CDA Implementation Guide for the
		information about the value domain.)
		<xsl:text /><xsl:value-of select="if ('none' = '11000036103') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName,     ' are Allergic reaction (''419076005''), Medication side-effect (''401207004'') and Drug interaction (''79899007'').')    else if ('none' = '15071000036100') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName,     ' are Prescribed (''105681000036100''), Suspended (''385655000'') and Unchanged (''105701000036103'').')    else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'OTH' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'OTH'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Exclusion Statement - Problems and Diagnoses '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore it is not valid for the data element to have nullFlavor 'OTH' to indicate that the
		actual value is not a member of the set of permitted data values in the constrained value domain. 
		(See the requirements for Exclusion Statement - Problems and Diagnoses and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Exclusion Statement - Problems and Diagnoses '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type<xsl:text /><xsl:value-of select="if (not(false())) then '.' else   concat(' and section 7 of the Discharge Summary CDA Implementation Guide states the vocabulary is ''', '1.2.36.1.2001.1001.101.104.16299', ''' (', $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16299']/@codeSystemName, ').') " /><xsl:text />
		The CodedText data type has
		the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor attribute
		to indicate there is no value, however a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) is present and is not one of the nullFlavor values that indicate there is no value.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@nullFlavor or @code) and not(false() and not(@nullFlavor) and not(@codeSystem)) and cda:originalText ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor or @code) and not(false() and not(@nullFlavor) and not(@codeSystem)) and cda:originalText">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Exclusion Statement - Problems and Diagnoses '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor
		attribute to indicate there is no value. The only information found in the data element is originalText '<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />'.
		(See the requirements for Exclusion Statement - Problems and Diagnoses and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)
		<xsl:text /><xsl:value-of select="if (local-name(.) = 'jobClassCode') then concat('Consider using the METeOR 314867 ''Employment type'' code system (codeSystem ''2.16.840.1.113883.3.879.314867'') which has ',   'codes for ''Permanent'', ''Fixed term contract'', ''Casual'' and ''Not stated/inadequately described''; or the  METeOR 691891 ''Full-time/part-time status'' code system ',   '(codeSystem ''2.16.840.1.113883.3.879.691891'') which has codes for ''Full-time'', ''Part-time'' and ''Not stated/inadequately described''. ',   '(See the the METeOR 314867 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/314867 and the METeOR 691891 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/691891.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="true() and @codeSystem and @codeSystem != '1.2.36.1.2001.1001.101.104.16299' and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and @codeSystem and @codeSystem != '1.2.36.1.2001.1001.101.104.16299' and not(false())">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Exclusion Statement - Problems and Diagnoses '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and section 7 of the Discharge Summary CDA Implementation Guide states the vocabulary is
		<xsl:text /><xsl:value-of select="if ('1.2.36.1.2001.1001.101.104.16299' = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName, ' (ConceptId ''', 'none', ''').')   else concat('1.2.36.1.2001.1001.101.104.16299', ' (', $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16299']/@codeSystemName, ').')" /><xsl:text />
		The CodedText data type has the requirement that values must come from the bound value domain with no exceptions.
		Therefore the value of codeSystem must be '1.2.36.1.2001.1001.101.104.16299' but codeSystem '<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />' (<xsl:text /><xsl:value-of select="@codeSystemName" /><xsl:text />) is present.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="true() and '1.2.36.1.2001.1001.101.104.16299' = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and    not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version,    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@refSet) = 'CodeFound') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and '1.2.36.1.2001.1001.101.104.16299' = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version, $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@refSet) = 'CodeFound')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Exclusion Statement - Problems and Diagnoses '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. The applicable value domain is the SNOMED CT-AU
		<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName" /><xsl:text />
		(Concept ID: 'none'). The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the code is not a member of the value domain.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 7 of the Discharge Summary CDA Implementation Guide for the information about the value domain.)<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-08" /><xsl:text />: TC-Types-08: According to the Structured Content Specification the Exclusion Statement - Problems and Diagnoses '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. It has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> but has neither an originalText nor a displayName
		so it fails to conform to the requirement 'In accordance with the requirement to completely represent section contents, values of CodedText or CodeableText data elements defined in
		the SCS SHALL include an originalText or a displayName component (or both)'.
		(See Appendix A of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 6.1 and 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090
		Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and not(cda:originalText) and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and not(cda:originalText) and not(false())">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Exclusion Statement - Problems and Diagnoses '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is
		not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. (See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M270" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M270" />
  <xsl:template match="@*|node()" priority="-2" mode="M270">
    <xsl:apply-templates select="@*|*" mode="M270" />
  </xsl:template>
  <!--PATTERN p-TS-DisProb-CodedText-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16142' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16006']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16142']]/   cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.4.3.1']]/cda:value   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M271">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16142' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16006']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16142']]/   cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.4.3.1']]/cda:value   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Exclusion Statement - Problems and Diagnoses '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Exclusion Statement - Problems and Diagnoses
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Exclusion Statement - Problems and Diagnoses
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Exclusion Statement - Problems and Diagnoses
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Exclusion Statement - Problems and Diagnoses
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Exclusion Statement - Problems and Diagnoses has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Exclusion Statement - Problems and Diagnoses data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('problems/diagnoses|problem/diagnoses|problems or diagnoses|problem or diagnosis|problems and diagnosess', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('problems/diagnoses|problem/diagnoses|problems or diagnoses|problem or diagnosis|problems and diagnosess', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Exclusion Statement - Problems and Diagnoses
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Exclusion Statement - Problems and Diagnoses data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Exclusion Statement - Problems and Diagnoses
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Exclusion Statement - Problems and Diagnoses data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Exclusion Statement - Problems and Diagnoses
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Exclusion Statement - Problems and Diagnoses data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('problems/diagnoses|problem/diagnoses|problems or diagnoses|problem or diagnosis|problems and diagnosess', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('problems/diagnoses|problem/diagnoses|problems or diagnoses|problem or diagnosis|problems and diagnosess', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Exclusion Statement - Problems and Diagnoses
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('problems/diagnoses|problem/diagnoses|problems or diagnoses|problem or diagnosis|problems and diagnosess', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Exclusion Statement - Problems and Diagnoses
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Exclusion Statement - Problems and Diagnoses data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Exclusion Statement - Problems and Diagnoses
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Exclusion Statement - Problems and Diagnoses data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Exclusion Statement - Problems and Diagnoses
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Exclusion Statement - Problems and Diagnoses
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Exclusion Statement - Problems and Diagnoses data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Exclusion Statement - Problems and Diagnoses
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Exclusion Statement - Problems and Diagnoses data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Exclusion Statement - Problems and Diagnoses
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Exclusion Statement - Problems and Diagnoses
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M271" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M271" />
  <xsl:template match="@*|node()" priority="-2" mode="M271">
    <xsl:apply-templates select="@*|*" mode="M271" />
  </xsl:template>
  <!--PATTERN p-TS-DisProb-CodedText-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16142' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16006']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16142']]/cda:entry/   cda:observation[@classCode='OBS' and not(cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.4.3.1'])]/cda:code " priority="1000" mode="M272">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16142' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16006']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16142']]/cda:entry/   cda:observation[@classCode='OBS' and not(cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.4.3.1'])]/cda:code " />
    <xsl:variable name="tc-types-49-err" select="@nullFlavor = ('PINF', 'NINF', 'QS', 'TRC') or (@nullFlavor='UNC' and (not(cda:originalText) or normalize-space(cda:originalText) = '')) " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="family-err" select="cda:originalText and matches(cda:originalText, $family-regex, 'i')" />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; 200" />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and @code != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used with the Clinical Package Validator to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used with the Clinical Package Validator to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the primary code.') " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-06-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-06-step-2 else $rating-alt-TC-Types-06-step-2 " />
    <xsl:variable name="rating-07-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-1 else $rating-alt-TC-Types-07-step-1 " />
    <xsl:variable name="rating-07-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-2 else $rating-alt-TC-Types-07-step-2 " />
    <xsl:variable name="rating-08" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-08 else $rating-alt-TC-Types-08 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-07: The Problem/Diagnosis Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data
		type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to the Structured Document Template the Problem/Diagnosis Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which is derived from the HL7 'CD' data type however xsi:type '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to the Structured Document Template the Problem/Diagnosis Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:translation">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:translation">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Document Template the Problem/Diagnosis Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'translation' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value
		domain, with no exceptions. A translation translates the value into a code from another code systems, so translations are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:qualifier">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:qualifier">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Document Template the Problem/Diagnosis Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'qualifier' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value domain,
		with no exceptions. A qualifier constrains the value, so qualifiers are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Problem/Diagnosis Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Document Template the Problem/Diagnosis Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Document Template the Problem/Diagnosis Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Document Template the Problem/Diagnosis Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present and is not expected
		for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Document Template the Problem/Diagnosis Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />'
		is present and is not expected for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-terminology-concepts = 'true' and not(false() or false() or $family-err or $length-err) and    not(@nullFlavor) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and not(false() or false() or $family-err or $length-err) and not(@nullFlavor)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (value domain not specified): The Problem/Diagnosis Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The CodedText data type has the requirement that values must come from the specified bound value domain with no exceptions but a value domain has not been specified for the
		Problem/Diagnosis Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Problem/Diagnosis Type',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="false() and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != none))  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != none))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-06-step-2" /><xsl:text />: TC-Types-06 step 2: According to the Structured Document Template the Problem/Diagnosis Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. The
		CodedText data type has the requirement that values must come from the bound value domain with no exceptions. Therefore the value of the codeSystem attribute must be a publicly available
		code system. The Problem/Diagnosis Type data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide states the code system is 'NS' (not stated) with the requirement 'When national standard code sets become
		available, they SHALL be used'. The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> which is after the national standard code set became available
		for use on the <xsl:text /><xsl:value-of select="''" /><xsl:text />. The code system that must be used is
		<xsl:text /><xsl:value-of select="if (none = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName, ' (ConceptId ''', 'none', ''')')   else concat(none, ' (', $code-systems/system[@codeSystem = none]/@codeSystemName, ')')" /><xsl:text /><xsl:text /><xsl:value-of select="if (not(@codeSystem)) then '.'    else if (@codeSystemName) then concat(' however codeSystem ''', @codeSystem, ''' (', @codeSystemName, ') is present.')   else concat(' however a codeSystem attribute with the value ''', @codeSystem, ''' is present.') " /><xsl:text />
		(See section 1.8 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide, <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and none for the
		information about the value domain.)
		<xsl:text /><xsl:value-of select="if ('none' = '11000036103') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName,     ' are Allergic reaction (''419076005''), Medication side-effect (''401207004'') and Drug interaction (''79899007'').')    else if ('none' = '15071000036100') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName,     ' are Prescribed (''105681000036100''), Suspended (''385655000'') and Unchanged (''105701000036103'').')    else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'OTH' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'OTH'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Document Template the Problem/Diagnosis Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore it is not valid for the data element to have nullFlavor 'OTH' to indicate that the
		actual value is not a member of the set of permitted data values in the constrained value domain. 
		(See the requirements for Problem/Diagnosis Type and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Document Template the Problem/Diagnosis Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type<xsl:text /><xsl:value-of select="if (not(false())) then '.' else   concat(' and none states the vocabulary is ''', none, ''' (', $code-systems/system[@codeSystem = none]/@codeSystemName, ').') " /><xsl:text />
		The CodedText data type has
		the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor attribute
		to indicate there is no value, however a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) is present and is not one of the nullFlavor values that indicate there is no value.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@nullFlavor or @code) and not(false() and not(@nullFlavor) and not(@codeSystem)) and cda:originalText ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor or @code) and not(false() and not(@nullFlavor) and not(@codeSystem)) and cda:originalText">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Document Template the Problem/Diagnosis Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor
		attribute to indicate there is no value. The only information found in the data element is originalText '<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />'.
		(See the requirements for Problem/Diagnosis Type and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)
		<xsl:text /><xsl:value-of select="if (local-name(.) = 'jobClassCode') then concat('Consider using the METeOR 314867 ''Employment type'' code system (codeSystem ''2.16.840.1.113883.3.879.314867'') which has ',   'codes for ''Permanent'', ''Fixed term contract'', ''Casual'' and ''Not stated/inadequately described''; or the  METeOR 691891 ''Full-time/part-time status'' code system ',   '(codeSystem ''2.16.840.1.113883.3.879.691891'') which has codes for ''Full-time'', ''Part-time'' and ''Not stated/inadequately described''. ',   '(See the the METeOR 314867 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/314867 and the METeOR 691891 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/691891.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="false() and @codeSystem and @codeSystem != none and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and @codeSystem and @codeSystem != none and not(false())">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Document Template the Problem/Diagnosis Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and none states the vocabulary is
		<xsl:text /><xsl:value-of select="if (none = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName, ' (ConceptId ''', 'none', ''').')   else concat(none, ' (', $code-systems/system[@codeSystem = none]/@codeSystemName, ').')" /><xsl:text />
		The CodedText data type has the requirement that values must come from the bound value domain with no exceptions.
		Therefore the value of codeSystem must be none but codeSystem '<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />' (<xsl:text /><xsl:value-of select="@codeSystemName" /><xsl:text />) is present.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="false() and none = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and    not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version,    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@refSet) = 'CodeFound') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and none = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version, $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@refSet) = 'CodeFound')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Document Template the Problem/Diagnosis Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. The applicable value domain is the SNOMED CT-AU
		<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName" /><xsl:text />
		(Concept ID: 'none'). The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the code is not a member of the value domain.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and none for the information about the value domain.)<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-08" /><xsl:text />: TC-Types-08: According to the Structured Document Template the Problem/Diagnosis Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. It has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> but has neither an originalText nor a displayName
		so it fails to conform to the requirement 'In accordance with the requirement to completely represent section contents, values of CodedText or CodeableText data elements defined in
		the SCS SHALL include an originalText or a displayName component (or both)'.
		(See Appendix A of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 6.1 and 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090
		Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and not(cda:originalText) and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and not(cda:originalText) and not(false())">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Problem/Diagnosis Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is
		not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. (See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M272" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M272" />
  <xsl:template match="@*|node()" priority="-2" mode="M272">
    <xsl:apply-templates select="@*|*" mode="M272" />
  </xsl:template>
  <!--PATTERN p-TS-DisProb-CodedText-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '101.16142' = $doc-sections]/cda:component/cda:structuredBody/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16006']]/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16142']]/cda:entry/   cda:observation[@classCode='OBS' and not(cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.4.3.1'])]/cda:code   [@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " priority="1000" mode="M273">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '101.16142' = $doc-sections]/cda:component/cda:structuredBody/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16006']]/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16142']]/cda:entry/   cda:observation[@classCode='OBS' and not(cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.4.3.1'])]/cda:code   [@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " />
    <xsl:variable name="pcode-1" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex) and        not(@nullFlavor='INV' or @nullFlavor = $no-value-NF)) then @code else '' " />
    <xsl:variable name="psnomed-id" select="if ($pcode-1 = '') then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-psnomed-version" select="if ($pcode-1 = '') then ''        else if (not(@codeSystemVersion)) then $ts-latest-snomedctau        else if ($psnomed-id = 'snomedctau' and exists($ts-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else $ts-latest-snomedctau " />
    <xsl:variable name="pcode" select="if ($pcode-1 != '' and 'CodeFoundActive' = dh:IsCodeInTerminologyValidUsingTS($pcode-1, '2.16.840.1.113883.6.96', $ts-psnomed-version)) then $pcode-1        else '' " />
    <xsl:variable name="display-text-1" select="if ($pcode = '' or not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if ($pcode = '') then ''        else if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if ($pcode = '') then ''        else if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))        else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-version" select="if ($pcode = '') then ''       else if (@codeSystemVersion) then concat(' with codeSystemVersion ', codepoints-to-string(34), @codeSystemVersion, codepoints-to-string(34)) else '' " />
    <xsl:variable name="display-system" select="if ($pcode = '') then ''       else if (@codeSystem and @codeSystemName)         then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')', $display-version)        else if (@codeSystem and not(@codeSystemName))         then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), $display-version)        else '' " />
    <xsl:variable name="snomed-trans-1" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="snomed-trans-2" select="distinct-values(for $i in (1 to count($snomed-trans-1)) return $snomed-trans-1[$i]/@code) " />
    <xsl:variable name="snomed-trans-a" select="$snomed-trans-1[1] " />
    <xsl:variable name="tcode-a-1" select="if (exists($snomed-trans-a) and matches($snomed-trans-a/@code, $snomed-code-regex) and        not($snomed-trans-a/@nullFlavor = 'INV' or $snomed-trans-a/@nullFlavor = $no-value-NF)) then $snomed-trans-a/@code else '' " />
    <xsl:variable name="tsnomed-id-a" select="if ($tcode-a-1 = '' or not(exists($snomed-trans-a))) then 'not-snomed'        else if (not($snomed-trans-a/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-a/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-tsnomed-version-a" select="if ($tcode-a-1 = '') then ''        else if (not($snomed-trans-a/@codeSystemVersion)) then $ts-latest-snomedctau        else if ($tsnomed-id-a = 'snomedctau' and exists($ts-snomedctau[. = $snomed-trans-a/@codeSystemVersion])) then @codeSystemVersion        else $ts-latest-snomedctau " />
    <xsl:variable name="tcode-a" select="if ($tcode-a-1 != '' and 'CodeFoundActive' = dh:IsCodeInTerminologyValidUsingTS($tcode-a-1, '2.16.840.1.113883.6.96', $ts-tsnomed-version-a))         then $tcode-a-1 else '' " />
    <xsl:variable name="display-tcode-a" select="if ($tcode-a = '' or not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@code and $snomed-trans-a/@displayName)          then concat('code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-a/@displayName, codepoints-to-string(34))         else if ($snomed-trans-a/@code and not($snomed-trans-a/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tversion-a" select="if ($tcode-a = '') then ''        else if ($snomed-trans-a/@codeSystemVersion)         then concat(' with codeSystemVersion ', codepoints-to-string(34), $snomed-trans-a/@codeSystemVersion, codepoints-to-string(34)) else '' " />
    <xsl:variable name="display-tsystem-a" select="if ($tcode-a = '') then ''        else if ($snomed-trans-a/@codeSystem and $snomed-trans-a/@codeSystemName)         then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34), ' (',          $snomed-trans-a/@codeSystemName, ')', $display-tversion-a)         else if ($snomed-trans-a/@codeSystem and not($snomed-trans-a/@codeSystemName))         then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34), $display-tversion-a)         else '' " />
    <xsl:variable name="snomed-trans-b" select="(for $i in (2 to count($snomed-trans-1)) return if ($snomed-trans-1[$i]/@code != $snomed-trans-a/@code) then $snomed-trans-1[$i] else ())[1] " />
    <xsl:variable name="tcode-b-1" select="if (exists($snomed-trans-b) and matches($snomed-trans-b/@code, $snomed-code-regex) and        not($snomed-trans-b/@nullFlavor = 'INV' or $snomed-trans-b/@nullFlavor = $no-value-NF)) then $snomed-trans-b/@code else '' " />
    <xsl:variable name="tsnomed-id-b" select="if ($tcode-b-1 = '' or not(exists($snomed-trans-b))) then 'not-snomed'        else if (not($snomed-trans-b/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-b/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-tsnomed-version-b" select="if ($tcode-b-1 = '') then ''        else if (not($snomed-trans-b/@codeSystemVersion)) then $ts-latest-snomedctau        else if ($tsnomed-id-b = 'snomedctau' and exists($ts-snomedctau[. = $snomed-trans-b/@codeSystemVersion])) then @codeSystemVersion        else $ts-latest-snomedctau " />
    <xsl:variable name="tcode-b" select="if ($tcode-b-1 != '' and 'CodeFoundActive' = dh:IsCodeInTerminologyValidUsingTS($tcode-b-1, '2.16.840.1.113883.6.96', $ts-tsnomed-version-b))         then $tcode-b-1 else '' " />
    <xsl:variable name="display-tcode-b" select="if ($tcode-b = '' or not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@code and $snomed-trans-b/@displayName)          then concat('code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-b/@displayName, codepoints-to-string(34))         else if ($snomed-trans-b/@code and not($snomed-trans-b/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tversion-b" select="if ($tcode-b = '') then ''        else if ($snomed-trans-b/@codeSystemVersion)         then concat(' with codeSystemVersion ', codepoints-to-string(34), $snomed-trans-b/@codeSystemVersion, codepoints-to-string(34)) else '' " />
    <xsl:variable name="display-tsystem-b" select="if ($tcode-b = '') then ''        else if ($snomed-trans-b/@codeSystem and $snomed-trans-b/@codeSystemName)         then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34), ' (',          $snomed-trans-b/@codeSystemName, ')', $display-tversion-b)         else if ($snomed-trans-b/@codeSystem and not($snomed-trans-b/@codeSystemName))         then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34), $display-tversion-b)         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $pcode != '' and $use-ts-for-sctau and    not(contains(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-psnomed-version, 'ecl', concat($pcode, ' AND ', '(&lt;&lt;282291009 OR &lt;&lt;439401001 OR &lt;362981000 OR &lt;243882008 OR &lt;118222006 OR 406524005 OR 116223007 OR 81000036106 OR 91000036108 OR 61000036101 OR 417662000)'), '', '1', false()), '[')) and   not(contains(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-psnomed-version, 'ecl', concat($pcode, ' AND ', '((&gt;&gt;106229004 OR ^32570581000036105 OR ^32570141000036105) MINUS (406524005 OR 116223007 OR 81000036106 OR 91000036108 OR 61000036101 OR 417662000))'), '', '1', false()), '[')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode != '' and $use-ts-for-sctau and not(contains(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-psnomed-version, 'ecl', concat($pcode, ' AND ', '(&lt;&lt;282291009 OR &lt;&lt;439401001 OR &lt;362981000 OR &lt;243882008 OR &lt;118222006 OR 406524005 OR 116223007 OR 81000036106 OR 91000036108 OR 61000036101 OR 417662000)'), '', '1', false()), '[')) and not(contains(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-psnomed-version, 'ecl', concat($pcode, ' AND ', '((&gt;&gt;106229004 OR ^32570581000036105 OR ^32570141000036105) MINUS (406524005 OR 116223007 OR 81000036106 OR 91000036108 OR 61000036101 OR 417662000))'), '', '1', false()), '['))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Problem/Diagnosis Type '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. 
		The code '<xsl:text /><xsl:value-of select="$pcode" /><xsl:text />' has the meanings
		<xsl:text /><xsl:value-of select="string-join(distinct-values(tokenize(dh:GetAllSynonymsForCodeUsingTS($pcode, '2.16.840.1.113883.6.96', $ts-psnomed-version), '\|')), '; ')" /><xsl:text />.
		Confirm if this is a valid code for the Problem/Diagnosis Type data element. <xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the Problem/Diagnosis Type         data element must be consistent with the definition which is to categorise the subject of care''s diagnoses or health/problem problems that         were identified and managed during the admission or encounter. Examples are ''Principal'', ''Complication'' and ''Co-morbidity''.         (See section 4.16 of the Discharge Summary Structured Document Template v3.3.) The Australian Commission on Safety and Quality in Health Care         recommends the use of ''Principal diagnosis'', ''Reason for presentation'', ''Secondary diagnoses'', ''Complications'' and          ''Past medical history''. (See section 3F of the National Guidelines for On-Screen Presentation of Discharge Summaries published         September 2017.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $pcode != '' and $use-ts-for-sctau and    contains(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-psnomed-version, 'ecl', concat($pcode, ' AND ', '((&gt;&gt;106229004 OR ^32570581000036105 OR ^32570141000036105) MINUS (406524005 OR 116223007 OR 81000036106 OR 91000036108 OR 61000036101 OR 417662000))'), '', '1', false()), '[') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode != '' and $use-ts-for-sctau and contains(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-psnomed-version, 'ecl', concat($pcode, ' AND ', '((&gt;&gt;106229004 OR ^32570581000036105 OR ^32570141000036105) MINUS (406524005 OR 116223007 OR 81000036106 OR 91000036108 OR 61000036101 OR 417662000))'), '', '1', false()), '[')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Problem/Diagnosis Type '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. The code '<xsl:text /><xsl:value-of select="$pcode" /><xsl:text />' has the meanings
		<xsl:text /><xsl:value-of select="string-join(distinct-values(tokenize(dh:GetAllSynonymsForCodeUsingTS($pcode, '2.16.840.1.113883.6.96', $ts-psnomed-version), '\|')), '; ')" /><xsl:text /> 
		and is not a valid code for the Problem/Diagnosis Type data element. <xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the Problem/Diagnosis Type         data element must be consistent with the definition which is to categorise the subject of care''s diagnoses or health/problem problems that         were identified and managed during the admission or encounter. Examples are ''Principal'', ''Complication'' and ''Co-morbidity''.         (See section 4.16 of the Discharge Summary Structured Document Template v3.3.) The Australian Commission on Safety and Quality in Health Care         recommends the use of ''Principal diagnosis'', ''Reason for presentation'', ''Secondary diagnoses'', ''Complications'' and          ''Past medical history''. (See section 3F of the National Guidelines for On-Screen Presentation of Discharge Summaries published         September 2017.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $tcode-a != '' and $use-ts-for-sctau and    not(contains(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-tsnomed-version-a, 'ecl', concat($tcode-a, ' AND ', '(&lt;&lt;282291009 OR &lt;&lt;439401001 OR &lt;362981000 OR &lt;243882008 OR &lt;118222006 OR 406524005 OR 116223007 OR 81000036106 OR 91000036108 OR 61000036101 OR 417662000)'), '', '1', false()), '[')) and   not(contains(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-tsnomed-version-a, 'ecl', concat($tcode-a, ' AND ', '((&gt;&gt;106229004 OR ^32570581000036105 OR ^32570141000036105) MINUS (406524005 OR 116223007 OR 81000036106 OR 91000036108 OR 61000036101 OR 417662000))'), '', '1', false()), '[')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a != '' and $use-ts-for-sctau and not(contains(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-tsnomed-version-a, 'ecl', concat($tcode-a, ' AND ', '(&lt;&lt;282291009 OR &lt;&lt;439401001 OR &lt;362981000 OR &lt;243882008 OR &lt;118222006 OR 406524005 OR 116223007 OR 81000036106 OR 91000036108 OR 61000036101 OR 417662000)'), '', '1', false()), '[')) and not(contains(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-tsnomed-version-a, 'ecl', concat($tcode-a, ' AND ', '((&gt;&gt;106229004 OR ^32570581000036105 OR ^32570141000036105) MINUS (406524005 OR 116223007 OR 81000036106 OR 91000036108 OR 61000036101 OR 417662000))'), '', '1', false()), '['))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Problem/Diagnosis Type '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the translation <xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />' has the meanings
		<xsl:text /><xsl:value-of select="string-join(distinct-values(tokenize(dh:GetAllSynonymsForCodeUsingTS($tcode-a, '2.16.840.1.113883.6.96', $ts-psnomed-version), '\|')), '; ')" /><xsl:text />.
		Confirm if this is a valid code for the Problem/Diagnosis Type data element. <xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the Problem/Diagnosis Type         data element must be consistent with the definition which is to categorise the subject of care''s diagnoses or health/problem problems that         were identified and managed during the admission or encounter. Examples are ''Principal'', ''Complication'' and ''Co-morbidity''.         (See section 4.16 of the Discharge Summary Structured Document Template v3.3.) The Australian Commission on Safety and Quality in Health Care         recommends the use of ''Principal diagnosis'', ''Reason for presentation'', ''Secondary diagnoses'', ''Complications'' and          ''Past medical history''. (See section 3F of the National Guidelines for On-Screen Presentation of Discharge Summaries published         September 2017.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $tcode-a != '' and $use-ts-for-sctau and    contains(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-tsnomed-version-a, 'ecl', concat($tcode-a, ' AND ', '((&gt;&gt;106229004 OR ^32570581000036105 OR ^32570141000036105) MINUS (406524005 OR 116223007 OR 81000036106 OR 91000036108 OR 61000036101 OR 417662000))'), '', '1', false()), '[') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a != '' and $use-ts-for-sctau and contains(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-tsnomed-version-a, 'ecl', concat($tcode-a, ' AND ', '((&gt;&gt;106229004 OR ^32570581000036105 OR ^32570141000036105) MINUS (406524005 OR 116223007 OR 81000036106 OR 91000036108 OR 61000036101 OR 417662000))'), '', '1', false()), '[')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Problem/Diagnosis Type '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the translation <xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />' has the meanings
		<xsl:text /><xsl:value-of select="string-join(distinct-values(tokenize(dh:GetAllSynonymsForCodeUsingTS($tcode-a, '2.16.840.1.113883.6.96', $ts-psnomed-version), '\|')), '; ')" /><xsl:text /> 
		and is not a valid code for the Problem/Diagnosis Type data element. <xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the Problem/Diagnosis Type         data element must be consistent with the definition which is to categorise the subject of care''s diagnoses or health/problem problems that         were identified and managed during the admission or encounter. Examples are ''Principal'', ''Complication'' and ''Co-morbidity''.         (See section 4.16 of the Discharge Summary Structured Document Template v3.3.) The Australian Commission on Safety and Quality in Health Care         recommends the use of ''Principal diagnosis'', ''Reason for presentation'', ''Secondary diagnoses'', ''Complications'' and          ''Past medical history''. (See section 3F of the National Guidelines for On-Screen Presentation of Discharge Summaries published         September 2017.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $tcode-b != '' and $use-ts-for-sctau and    not(contains(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-tsnomed-version-b, 'ecl', concat($tcode-b, ' AND ', '(&lt;&lt;282291009 OR &lt;&lt;439401001 OR &lt;362981000 OR &lt;243882008 OR &lt;118222006 OR 406524005 OR 116223007 OR 81000036106 OR 91000036108 OR 61000036101 OR 417662000)'), '', '1', false()), '[')) and   not(contains(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-tsnomed-version-b, 'ecl', concat($tcode-b, ' AND ', '((&gt;&gt;106229004 OR ^32570581000036105 OR ^32570141000036105) MINUS (406524005 OR 116223007 OR 81000036106 OR 91000036108 OR 61000036101 OR 417662000))'), '', '1', false()), '[')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b != '' and $use-ts-for-sctau and not(contains(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-tsnomed-version-b, 'ecl', concat($tcode-b, ' AND ', '(&lt;&lt;282291009 OR &lt;&lt;439401001 OR &lt;362981000 OR &lt;243882008 OR &lt;118222006 OR 406524005 OR 116223007 OR 81000036106 OR 91000036108 OR 61000036101 OR 417662000)'), '', '1', false()), '[')) and not(contains(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-tsnomed-version-b, 'ecl', concat($tcode-b, ' AND ', '((&gt;&gt;106229004 OR ^32570581000036105 OR ^32570141000036105) MINUS (406524005 OR 116223007 OR 81000036106 OR 91000036108 OR 61000036101 OR 417662000))'), '', '1', false()), '['))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Problem/Diagnosis Type '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the translation <xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />' has the meanings
		<xsl:text /><xsl:value-of select="string-join(distinct-values(tokenize(dh:GetAllSynonymsForCodeUsingTS($tcode-b, '2.16.840.1.113883.6.96', $ts-psnomed-version), '\|')), '; ')" /><xsl:text />.
		Confirm if this is a valid code for the Problem/Diagnosis Type data element. <xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the Problem/Diagnosis Type         data element must be consistent with the definition which is to categorise the subject of care''s diagnoses or health/problem problems that         were identified and managed during the admission or encounter. Examples are ''Principal'', ''Complication'' and ''Co-morbidity''.         (See section 4.16 of the Discharge Summary Structured Document Template v3.3.) The Australian Commission on Safety and Quality in Health Care         recommends the use of ''Principal diagnosis'', ''Reason for presentation'', ''Secondary diagnoses'', ''Complications'' and          ''Past medical history''. (See section 3F of the National Guidelines for On-Screen Presentation of Discharge Summaries published         September 2017.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $tcode-b != '' and $use-ts-for-sctau and    contains(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-tsnomed-version-b, 'ecl', concat($tcode-b, ' AND ', '((&gt;&gt;106229004 OR ^32570581000036105 OR ^32570141000036105) MINUS (406524005 OR 116223007 OR 81000036106 OR 91000036108 OR 61000036101 OR 417662000))'), '', '1', false()), '[') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b != '' and $use-ts-for-sctau and contains(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-tsnomed-version-b, 'ecl', concat($tcode-b, ' AND ', '((&gt;&gt;106229004 OR ^32570581000036105 OR ^32570141000036105) MINUS (406524005 OR 116223007 OR 81000036106 OR 91000036108 OR 61000036101 OR 417662000))'), '', '1', false()), '[')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Problem/Diagnosis Type '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the translation <xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />' has the meanings
		<xsl:text /><xsl:value-of select="string-join(distinct-values(tokenize(dh:GetAllSynonymsForCodeUsingTS($tcode-b, '2.16.840.1.113883.6.96', $ts-psnomed-version), '\|')), '; ')" /><xsl:text /> 
		and is not a valid code for the Problem/Diagnosis Type data element. <xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the Problem/Diagnosis Type         data element must be consistent with the definition which is to categorise the subject of care''s diagnoses or health/problem problems that         were identified and managed during the admission or encounter. Examples are ''Principal'', ''Complication'' and ''Co-morbidity''.         (See section 4.16 of the Discharge Summary Structured Document Template v3.3.) The Australian Commission on Safety and Quality in Health Care         recommends the use of ''Principal diagnosis'', ''Reason for presentation'', ''Secondary diagnoses'', ''Complications'' and          ''Past medical history''. (See section 3F of the National Guidelines for On-Screen Presentation of Discharge Summaries published         September 2017.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M273" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M273" />
  <xsl:template match="@*|node()" priority="-2" mode="M273">
    <xsl:apply-templates select="@*|*" mode="M273" />
  </xsl:template>
  <!--PATTERN p-TS-DisProb-CodedText-5-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '101.16142' = $doc-sections]/cda:component/cda:structuredBody/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16006']]/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16142']]/cda:entry/   cda:observation[@classCode='OBS' and not(cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.4.3.1'])]/cda:code   [(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-diag-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])]   [not(@nullFlavor = $no-value-NF)] " priority="1000" mode="M274">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '101.16142' = $doc-sections]/cda:component/cda:structuredBody/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16006']]/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16142']]/cda:entry/   cda:observation[@classCode='OBS' and not(cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.4.3.1'])]/cda:code   [(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-diag-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])]   [not(@nullFlavor = $no-value-NF)] " />
    <xsl:variable name="pcode" select="if ('2.16.840.1.113883.6.96' = $defn-PDType-trusted and         @codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="snomed-trans" select="if ('2.16.840.1.113883.6.96' = $defn-PDType-trusted and cda:translation)         then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="tcode" select="if (exists($snomed-trans[1]) and matches($snomed-trans[1]/@code, $snomed-code-regex)) then $snomed-trans[1]/@code else '' " />
    <xsl:variable name="code-present" select="$pcode != '' or $tcode != '' " />
    <xsl:variable name="invalid-code-system" select="@code and @displayName and @codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="codesystemvalues" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']" />
    <xsl:variable name="otext-without-markup" select="if (cda:originalText and cda:originalText != '') then normalize-space(replace(cda:originalText, $markup-regex, ' ')) else '' " />
    <xsl:variable name="pdname" select="if (@displayName and not($invalid-code-system)) then normalize-space(@displayName) else '' " />
    <xsl:variable name="max-code-number" select="if ($knowledge/search-for-term/max-sct-code-number/@value &gt; '5') then $knowledge/search-for-term/max-sct-code-number/@value else '5' " />
    <xsl:variable name="der-text-1" select="if ($code-present) then ''         else if ($otext-without-markup != '') then $otext-without-markup        else if ($pdname != '') then $pdname        else '' " />
    <xsl:variable name="family-err" select="matches($der-text-1, $family-regex, 'i')" />
    <xsl:variable name="length-err" select="string-length($der-text-1) &gt; $length-err-max" />
    <xsl:variable name="avoid-ts" select="$family-err or $length-err or not($use-ts-for-sctau) " />
    <xsl:variable name="der-text-2a" select="if ($der-text-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-text-1, $PDType-fir-pattern-replacement, 'ic')) " />
    <xsl:variable name="der-text-2" select="if ($der-text-2a = '') then $der-text-1 else $der-text-2a " />
    <xsl:variable name="defn-valid-regex" select="concat('(^|\|)', translate($der-text-2, $chars-to-remove, ''), '(\||$)') " />
    <xsl:variable name="der-text-to-match-1" select="lower-case($der-text-2) " />
    <xsl:variable name="der-text-to-match" select="translate($der-text-to-match-1, $chars-to-remove, '') " />
    <xsl:variable name="der-text-a" select="dh:XQueryRecursiveReplace($der-text-2, $PDType-replacements, 'ic') " />
    <xsl:variable name="der-text" select="if ($der-text-a = '') then $der-text-2 else $der-text-a " />
    <xsl:variable name="der-text-non-value" select="if ($code-present or @nullFlavor = $no-value-NF) then false() else         $der-text-to-match = ''               or         not(matches($der-text-to-match, '[a-z]', 'is'))            or        ($cd-definitions/non-value/@regex != '' and matches($der-text-to-match, $cd-definitions/non-value/@regex, 'is'))   or        (exists($cd-definitions/PDType/@non-value-regex) and matches($der-text-to-match, $cd-definitions/PDType/@non-value-regex, 'is')) " />
    <xsl:variable name="defn-invalid-regex" select="if ($code-present or $der-text-non-value) then ()        else if ($cd-definitions/PDType/@invalid-regex) then tokenize($cd-definitions/PDType/@invalid-regex, '~')[. != '']         else () " />
    <xsl:variable name="defn-invalid-txt-regex" select="(for $i in (1 to count($defn-invalid-regex)) return normalize-space(substring-before($defn-invalid-regex[$i], '[[')))[. != '']" />
    <xsl:variable name="der-invalid-text-regex-1" select="if (exists($defn-invalid-txt-regex))        then index-of(for $i in (1 to count($defn-invalid-txt-regex)) return matches($der-text-2, $defn-invalid-txt-regex[$i], 'i'), true())        else () " />
    <xsl:variable name="der-invalid-text" select="exists($der-invalid-text-regex-1) " />
    <xsl:variable name="defn-invalid-rsn" select="if ($der-invalid-text)         then normalize-space(substring-before(substring-after($defn-invalid-regex[$der-invalid-text-regex-1[1]], '[['), ']]'))         else '' " />
    <xsl:variable name="trusted-code-systems" select="if ($der-text = '' or $der-invalid-text or not(@codeSystem or cda:translation/@codeSystem)) then ()        else (tokenize(replace($cd-definitions/PDType/@core, '\s+', ''), '\|'),               tokenize(replace($cd-definitions/PDType/@extra, '\s+', ''), '\|'))[. != ''] " />
    <xsl:variable name="der-trusted-text" select="if ($der-text = '' or $der-invalid-text or (@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex)))) then false()        else ((@codeSystem and exists($trusted-code-systems[. = current()/@codeSystem])) or               (cda:translation/@codeSystem and exists($trusted-code-systems[. = current()/cda:translation/@codeSystem]))) " />
    <xsl:variable name="valid-PDType-1" select="if ($code-present or $der-text-non-value or $der-invalid-text) then false()        else exists(index-of(for $regex in          ((tokenize($cd-definitions/PDType/@valid-regex, '~'), tokenize($cd-definitions/PDType/@principal-regex, '~'))[. != ''])          return matches($der-text-2, dh:XQueryRecursiveReplace(normalize-space($regex), ' \|~|~\| ~|', ''), 'is'), true())) " />
    <xsl:variable name="valid-hierarchy" select="'&lt;&lt;282291009 OR &lt;&lt;439401001 OR &lt;362981000 OR &lt;243882008 OR &lt;118222006 OR 406524005 OR 116223007 OR 81000036106 OR 91000036108 OR 61000036101 OR 417662000' " />
    <xsl:variable name="invalid-hierarchy" select="if (exists($cd-definitions/PDType/PDType-invalid/hierarchy))        then concat('(', string-join(for $hierarchy in $cd-definitions/PDType/PDType-invalid/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR '),         ') MINUS (', $valid-hierarchy, ')')        else '' " />
    <xsl:variable name="invalid-refset" select="if (exists($cd-definitions/PDType/PDType-invalid/refset))         then concat('((', string-join(for $refset in $cd-definitions/PDType/PDType-invalid/refset return concat('^', $refset/@code), ' OR '),         ') MINUS (', $valid-hierarchy, '))')        else '' " />
    <xsl:variable name="valid-refset" select="$valid-hierarchy " />
    <xsl:variable name="valid-domain" select="if ($invalid-refset != '' and $invalid-hierarchy != '')         then concat('((', $valid-refset, ') MINUS (', $invalid-refset, ' OR (', $invalid-hierarchy, ')))')        else if ($invalid-refset = '' and $invalid-hierarchy != '') then concat('((', $valid-refset, ') MINUS (', $invalid-hierarchy, '))')         else if ($invalid-refset != '' and $invalid-hierarchy = '') then concat('((', $valid-refset, ') MINUS (', $invalid-refset, '))')        else concat('(', $valid-refset, ')') " />
    <xsl:variable name="related-terms-1" select="if ($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-PDType-1) then ()        else ($codesystemvalues/code[@related-terms], $codesystemvalues/related-terms[@related-terms]) " />
    <xsl:variable name="related-terms-2" select="for $i in index-of(        for $concept in $related-terms-1 return matches(translate($concept/@related-terms, $chars-no-pipe, ''), $defn-valid-regex, 'i'), true())         return $related-terms-1[$i]/@code " />
    <xsl:variable name="der-PDType-codes-1" select="if (exists($related-terms-2)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($related-terms-2, ' OR '), ') AND (', $valid-domain, ')'), '', string(count($related-terms-2)), false())        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $der-PDType-codes-1 " />
    <xsl:variable name="der-valid-codes-1" select="if (contains($der-PDType-codes-1, '[')) then $der-PDType-codes-1 else '' " />
    <xsl:variable name="valid-PDType-2" select="$valid-PDType-1 or $der-valid-codes-1 != '' " />
    <xsl:variable name="PDType-inactive-refSets" select="if (exists($cd-definitions/PDType/PDType-invalid/inactive-refset))         then concat('((', $inactive-refSets, ') MINUS (',           string-join(for $refset in $cd-definitions/PDType/PDType-invalid/inactive-refset return concat('^', $refset/@code), ' OR '),          '))')         else $inactive-refSets " />
    <xsl:variable name="formula" select="concat($valid-domain, ' OR ', $PDType-inactive-refSets) " />
    <xsl:variable name="ts-not-needed" select="$der-text = '' or $der-text-non-value or $der-invalid-text or $valid-PDType-2 or $avoid-ts " />
    <xsl:variable name="der-PDType-codes-2" select="if ($ts-not-needed or exists($related-terms-2)) then ()         else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-text,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or 'Error' = $der-PDType-codes-2 " />
    <xsl:variable name="der-valid-codes-2" select="if ($der-valid-codes-1 != '') then $der-valid-codes-1        else if ($error-usingTS-2) then ''         else string-join((for $code in $der-PDType-codes-2 return if (contains($code, '~inactive')) then '' else $code)[. != ''], '|')  " />
    <xsl:variable name="valid-PDType-3" select="$valid-PDType-2 or $der-valid-codes-2 != '' " />
    <xsl:variable name="der-inactive-codes-1" select="if ($valid-PDType-3) then () else        for $code in $der-PDType-codes-2 return if (contains($code, '~inactive')) then replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is') else '' " />
    <xsl:variable name="der-inactive-codes-2" select="for $i in (1 to count($der-inactive-codes-1)) return         dh:IsCodeAssociatedWithAnotherCode($der-inactive-codes-1[$i], '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-1" select="'Error' = $der-inactive-codes-2 " />
    <xsl:variable name="der-NAF-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-NAF-active-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound~active')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-inactive-codes-3" select="tokenize(string-join(for $i in (1 to count($der-inactive-codes-1)) return replace(string-join(tokenize($der-inactive-codes-2[$i], '\|')        [matches(., '(REPLACED BY|SAME AS|ALTERNATIVE|POSSIBLY EQUIVALENT TO|MAY BE A|WAS A)')], '|'), '[0-9]+~[A-Z ]+~([0-9]+)', '$1'), '|'), '\|')        [. != ''] " />
    <xsl:variable name="der-PDType-codes-3" select="if (exists($der-inactive-codes-3)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($der-inactive-codes-3, ' OR '), ') AND (', $valid-domain, ')'), '', string(count($der-inactive-codes-3)), false())          else '' " />
    <xsl:variable name="error-usingTS-3" select="$error-usingTS-2 or 'Error' = $der-PDType-codes-3 " />
    <xsl:variable name="der-valid-codes-3" select="if ($der-valid-codes-2 != '') then $der-valid-codes-2        else if (contains($der-PDType-codes-3, '[')) then $der-PDType-codes-3        else '' " />
    <xsl:variable name="valid-PDType-4" select="$valid-PDType-3 or $der-valid-codes-3 != '' " />
    <xsl:variable name="invalid-domain" select="if ($invalid-hierarchy != '' and $invalid-refset != '') then concat($invalid-hierarchy, ' OR ', $invalid-refset)        else if ($invalid-hierarchy != '') then $invalid-hierarchy        else if ($invalid-refset != '') then $invalid-refset        else '' " />
    <xsl:variable name="der-PDType-codes-4" select="if ($ts-not-needed or $valid-PDType-4 or $invalid-domain = '') then ()        else if (exists($related-terms-2)) then $related-terms-2        else distinct-values((tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          $invalid-domain, $der-text, $max-code-number, false()), '(\[.*?\])(\||$)', '$2'), '\|'), $der-inactive-codes-3)) " />
    <xsl:variable name="error-usingTS-4" select="$error-usingTS-3 or 'Error' = $der-PDType-codes-4 " />
    <xsl:variable name="invalid-PDType-codes-r" select="if ($ts-not-needed or $valid-PDType-4 or $error-usingTS-4 or not(exists($der-PDType-codes-4))) then ()        else if ($invalid-refset = '') then tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-PDType-codes-4, ' OR '), ') AND (', $inactive-refSets, ')'), '',           string(count($der-PDType-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')        else tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-PDType-codes-4, ' OR '), ') AND (', $invalid-refset, ' OR ', $inactive-refSets, ')'), '',           string(count($der-PDType-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')  " />
    <xsl:variable name="error-usingTS-5" select="$error-usingTS-4 or 'Error' = $invalid-PDType-codes-r " />
    <xsl:variable name="der-PDType-codes-4-h" select="if ($error-usingTS-5) then () else $der-PDType-codes-4[not(. = $invalid-PDType-codes-r)]" />
    <xsl:variable name="invalid-PDType-codes-h" select="if ($ts-not-needed or $valid-PDType-4 or 'Error' = $der-PDType-codes-4 or $PDType-invalid-hierarchy = '' or not(exists($der-PDType-codes-4-h))) then ()        else (for $code in $der-PDType-codes-4-h return          if (dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;&gt;', $code, ' MINUS ', $PDType-invalid-hierarchy), '', '1', false()) = '') then $code else '')[. != ''] " />
    <xsl:variable name="invalid-PDType-codes" select="($invalid-PDType-codes-h, $invalid-PDType-codes-r) " />
    <xsl:variable name="der-PDType-codes-5" select="$der-PDType-codes-4[not(. = $invalid-PDType-codes or . = 'Error')]" />
    <xsl:variable name="der-valid-codes-4" select="if ($der-valid-codes-3 != '') then $der-valid-codes-3        else if ($ts-not-needed or $valid-PDType-4 or $valid-domain = '' or not(exists($der-PDType-codes-5))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-PDType-codes-5, ' OR '), ') AND ', $valid-domain), '', string(count($der-PDType-codes-5)), false()) " />
    <xsl:variable name="error-usingTS-6" select="$error-usingTS-5 or 'Error' = $der-valid-codes-4 " />
    <xsl:variable name="valid-PDType-5" select="$valid-PDType-4 or not($der-valid-codes-4 = ('', 'Error'))" />
    <xsl:variable name="undetermined-PDType-1" select="$der-PDType-codes-5[not(. = tokenize(replace($der-valid-codes-4,  '(\[.*?\])(\||$)', '$2'), '\|'))]" />
    <xsl:variable name="undetermined-inactive-1" select="for $i in (1 to count($undetermined-PDType-1)) return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $undetermined-PDType-1[$i], '', '1', false()) " />
    <xsl:variable name="error-usingTS-7" select="$error-usingTS-6 or 'Error' = $undetermined-inactive-1 " />
    <xsl:variable name="undetermined-inactive" select="(for $i in (1 to count($undetermined-PDType-1)) return         if (contains($undetermined-inactive-1[$i], '~inactive')) then $undetermined-inactive-1[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-1" select="for $i in (1 to count($undetermined-inactive))        return dh:IsCodeAssociatedWithAnotherCode(replace($undetermined-inactive[$i], '(\[.*?\])(\||$)', '$2'), '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-2" select="$error-usingV-1 or 'Error' = $undetermined-NAF-1 " />
    <xsl:variable name="undetermined-NAF" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-codes" select="for $term in $undetermined-NAF return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-NAF-active" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound~active')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-active-codes" select="for $term in $undetermined-NAF-active return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-PDType" select="$undetermined-PDType-1[not(. = ($undetermined-NAF-codes, $undetermined-NAF-active-codes))]" />
    <xsl:variable name="invalid-PDType" select="not($valid-PDType-5) and exists($invalid-PDType-codes) and not(exists($undetermined-PDType))" />
    <xsl:variable name="codes-were-found" select="exists($der-PDType-codes-4) or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="codes-not-found" select="not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-PDType-5 or $invalid-PDType)" />
    <xsl:variable name="codes-in-the-domain" select="not($valid-PDType-1) and $valid-PDType-5" />
    <xsl:variable name="codes-in-other-domain" select="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-PDType-5 or $invalid-PDType or         $error-usingTS-7) " />
    <xsl:variable name="codes-in-no-domain" select="exists($der-PDType-codes-5) " />
    <xsl:variable name="display-in-the-domain" select="if ($codes-in-the-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', '), '''')        else '' " />
    <xsl:variable name="display-in-other-r" select="if (exists($invalid-PDType-codes-r) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-PDType-codes-r return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-h" select="if (exists($invalid-PDType-codes-h) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-PDType-codes-h return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-domain" select="if (not($codes-in-other-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))) then ''        else if ($display-in-other-r and display-in-other-h) then concat('''', $display-in-other-r, ', ', $display-in-other-h, '''')        else if ($display-in-other-r) then concat('''', $display-in-other-r, '''')        else if ($display-in-other-h) then concat('''', $display-in-other-h, '''')        else '' " />
    <xsl:variable name="display-in-no-domain" select="if ($codes-in-no-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', dh:XQueryRecursiveReplace(string-join(for $code in $der-PDType-codes-5 return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), '; '),          $term-pattern-replacement, 'ic'), '''')        else '' " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))        else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="log-concepts-appended" select="if ($error-usingTS-7 or not($flags/@report-terminology-concepts = 'true') or $log-concepts-name = '') then ''        else if ($codes-not-found and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                   'Problem/Diagnosis Type',  $log-tab,                   'yes',     $log-tab,                   concat($display-code, $display-system), $log-tab,                   '',     $log-tab,                  '',     $log-tab,                  '',     $log-tab,                  $ts-current-sctau   ))        else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <!--REPORT -->
    <xsl:if test=" $log-concepts-appended = ('NOTFOUND', 'ERROR') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$log-concepts-appended = ('NOTFOUND', 'ERROR')">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-PDType-Defn): The AppendLog function returned '<xsl:text /><xsl:value-of select="$log-concepts-appended" /><xsl:text />' when requested to append the concepts log
		'<xsl:text /><xsl:value-of select="$log-concepts-name" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-PDType-5) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-PDType-5)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-PDType-Defn): An unexpected problem occurred when assessing the value of the Problem/Diagnosis Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. The application of regular expressions resulted in the complete loss of text.
		Report the information below to the Australian Digital Health Agency for investigation.

		der-text-1 '<xsl:text /><xsl:value-of select="normalize-space(dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'))" /><xsl:text />'.
		der-text-2a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-2a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-a, $term-pattern-replacement, 'ic')" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingV-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingV-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-PDType-Defn): An error was reported when accessing the terminology server when assessing the Problem/Diagnosis Type data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		Report the issue to the Australian Digital Health Agency for investigation stating the error was recorded for error-usingV-2.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-7 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-7">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-PDType-Defn): An error was reported when accessing the terminology server when assessing the Problem/Diagnosis Type data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term:
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The analysis should be retried as the terminology server may have been temporarily unavailable.
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation, stating that the error was found by
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'error-usingTS-1' else if ($error-usingTS-2) then 'error-usingTS-2'   else if ($error-usingTS-3) then 'error-usingTS-3' else if ($error-usingTS-4) then 'error-usingTS-4'   else if ($error-usingTS-5) then 'error-usingTS-5' else if ($error-usingTS-6) then 'error-usingTS-6'   else 'error-usingTS-7' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $codes-not-found">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Problem/Diagnosis Type '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the Problem/Diagnosis Type data element must be consistent with the definition which is to categorise the subject of care''s         diagnoses or health/problem problems that were identified and managed during the admission or encounter.         (See section 4.16 of the Discharge Summary Structured Document Template v3.3.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$codes-in-other-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$codes-in-other-domain">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Problem/Diagnosis Type '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value does not seem to be applicable for the data element.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the Problem/Diagnosis Type data element must be consistent with the definition which is to categorise the subject of care''s         diagnoses or health/problem problems that were identified and managed during the admission or encounter.         (See section 4.16 of the Discharge Summary Structured Document Template v3.3.)')" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'exclusion' = 'allowed' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'exclusion' = 'allowed' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Problem/Diagnosis Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the Problem/Diagnosis Type data element must be consistent with the definition which is to categorise the subject of care''s         diagnoses or health/problem problems that were identified and managed during the admission or encounter.         (See section 4.16 of the Discharge Summary Structured Document Template v3.3.)'))" /><xsl:text />
		The Problem/Diagnosis Type data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'exclusion' = 'exclusion' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'exclusion' = 'exclusion' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Problem/Diagnosis Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the Problem/Diagnosis Type data element must be consistent with the definition which is to categorise the subject of care''s         diagnoses or health/problem problems that were identified and managed during the admission or encounter.         (See section 4.16 of the Discharge Summary Structured Document Template v3.3.)'))" /><xsl:text />
		The Problem/Diagnosis Type data element must have a value that is consistent with this definition. Alternatively if there is no Problem/Diagnosis Type data element with a proper value then an exclusion
		statement must be included to state why there is no Problem/Diagnosis Type. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4')    then concat('Text such as ''', dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'), ''' may be permitted in the narrative even though the Problem/Diagnosis Type data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'exclusion' = 'unknown' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'exclusion' = 'unknown' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Problem/Diagnosis Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the Problem/Diagnosis Type data element must be consistent with the definition which is to categorise the subject of care''s         diagnoses or health/problem problems that were identified and managed during the admission or encounter.         (See section 4.16 of the Discharge Summary Structured Document Template v3.3.)'))" /><xsl:text />
		The Problem/Diagnosis Type data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($der-text-non-value) and $der-invalid-text ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($der-text-non-value) and $der-invalid-text">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Problem/Diagnosis Type '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid. <xsl:text /><xsl:value-of select="$defn-invalid-rsn" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the Problem/Diagnosis Type data element must be consistent with the definition which is to categorise the subject of care''s         diagnoses or health/problem problems that were identified and managed during the admission or encounter.         (See section 4.16 of the Discharge Summary Structured Document Template v3.3.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $invalid-PDType and not($error-usingTS-7) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$invalid-PDType and not($error-usingTS-7)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Problem/Diagnosis Type '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid
		<xsl:text /><xsl:value-of select="if (exists($invalid-PDType-codes-h)) then concat(' as it describes ', string-join(distinct-values(for $code in tokenize(replace(   dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat('(', string-join(for $code in $invalid-PDType-codes-h return concat('&gt;&gt;', $code), ' OR '), ') AND (',    string-join(for $hierarchy in $cd-definitions/PDType/PDType-invalid/hierarchy return $hierarchy/@code, ' OR '), ')'), '',    string(count($invalid-PDType-codes-h)), true()), '(\[.*?\])(\||$)', '$2'), '\|') return $cd-definitions/PDType/PDType-invalid/hierarchy[@code = $code]/@description)[position() = (1 to 2)], ' and '), '.')    else if (exists($invalid-PDType-codes-r)) then concat(' as it describes ', string-join(distinct-values(for $code in $invalid-PDType-codes-r return   $cd-definitions/PDType/PDType-invalid/refset[index-of(for $x in (for $refset in $cd-definitions/PDType/PDType-invalid/refset return    dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat($code, ' AND ^', $refset/@code), '', '1', true()), '|') return matches($x, '^[0-9]'), true())[1]]/@description), ' and '), '.')   else '.'" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the Problem/Diagnosis Type data element must be consistent with the definition which is to categorise the subject of care''s         diagnoses or health/problem problems that were identified and managed during the admission or encounter.         (See section 4.16 of the Discharge Summary Structured Document Template v3.3.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable outside the applicable value domain): The Problem/Diagnosis Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following codes were obtained and are not in the value domain: <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-PDType-Defn): The Problem/Diagnosis Type '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU and no associated code was found in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists(($der-NAF-active-codes, $undetermined-NAF-active-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists(($der-NAF-active-codes, $undetermined-NAF-active-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-PDType-Defn): The Problem/Diagnosis Type '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-active-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU but it was not found with this status in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.
		<xsl:text /><xsl:value-of select="if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $valid-PDType-1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $valid-PDType-1">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable within the value domain): The Problem/Diagnosis Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which matches one of the terms listed in Knowledge.xml for the Problem/Diagnosis Type.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (concept is codeable within the value domain): The Problem/Diagnosis Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a valid value for the Problem/Diagnosis Type.
		SNOMED CT-AU codes that matched the concept are: <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-PDType-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-PDType-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Problem/Diagnosis Type '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The text used to match regular expression (der-text-2) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to match non-values (der-text-to-match) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-to-match, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to derive a code (der-text) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The SNOMED CT-AU version used to find codes is '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' and the maximum code number is '<xsl:text /><xsl:value-of select="$max-code-number" /><xsl:text />'.

		Codes for related terms (related-terms-2): '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($related-terms-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes for related terms (der-valid-codes-1): 
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-1, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-PDType-codes-2) returned by the terminology server that match the text:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-PDType-codes-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes from related terms or the terminology server (der-valid-codes-2):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-2, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-inactive-codes-3) returned from the Validator's database associated with inactive codes:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-inactive-codes-3, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes found after examining inactive codes (der-valid-codes-3):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-3, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Members of invalid reference sets (invalid-PDType-codes-r): '<xsl:text /><xsl:value-of select="$display-in-other-r" /><xsl:text />'.
		Members of invalid code hierarchies (invalid-PDType-codes-h): '<xsl:text /><xsl:value-of select="$display-in-other-h" /><xsl:text />'.

		Final set of valid codes (der-valid-codes-4):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		
		Codes whose validity has not been determined (der-PDType-codes-5):  <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.
		Codes whose validity has not been determined and are inactive with no associated code (undetermined-NAF): '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(    string-join($undetermined-NAF, ''', '''), $markup-pattern-replacement, 'ic')" /><xsl:text />'.

		Will the value of the data element be trusted (der-trusted-text)? '<xsl:text /><xsl:value-of select="$der-trusted-text" /><xsl:text />'.
		
	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and $codes-not-found">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept not codeable): The Problem/Diagnosis Type '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($avoid-ts) then 'The terminology server was not used to assist with finding codes corresponding to text in the data element. ' else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M274" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M274" />
  <xsl:template match="@*|node()" priority="-2" mode="M274">
    <xsl:apply-templates select="@*|*" mode="M274" />
  </xsl:template>
  <!--PATTERN p-TS-DisProb-CodedText-6-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '101.16142' = $doc-sections]/cda:component/cda:structuredBody/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16006']]/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16142']]/cda:entry[not(count(cda:observation) = 1 and         cda:observation/cda:code/cda:originalText and         matches(cda:observation/cda:code/cda:originalText, $cd-definitions/PDType/@principal-regex, 'i'))]/        cda:observation[@classCode='OBS' and not(cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.4.3.1'])]/        cda:code[(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]        [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or          ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M275">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '101.16142' = $doc-sections]/cda:component/cda:structuredBody/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16006']]/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16142']]/cda:entry[not(count(cda:observation) = 1 and         cda:observation/cda:code/cda:originalText and         matches(cda:observation/cda:code/cda:originalText, $cd-definitions/PDType/@principal-regex, 'i'))]/        cda:observation[@classCode='OBS' and not(cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.4.3.1'])]/        cda:code[(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]        [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or          ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Problem/Diagnosis Type '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Problem/Diagnosis Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Problem/Diagnosis Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Problem/Diagnosis Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Problem/Diagnosis Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Problem/Diagnosis Type has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Problem/Diagnosis Type data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Problem/Diagnosis Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Problem/Diagnosis Type data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Problem/Diagnosis Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Problem/Diagnosis Type data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Problem/Diagnosis Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Problem/Diagnosis Type data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Problem/Diagnosis Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Problem/Diagnosis Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Problem/Diagnosis Type data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Problem/Diagnosis Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Problem/Diagnosis Type data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Problem/Diagnosis Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Problem/Diagnosis Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Problem/Diagnosis Type data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Problem/Diagnosis Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Problem/Diagnosis Type data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Problem/Diagnosis Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Problem/Diagnosis Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M275" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M275" />
  <xsl:template match="@*|node()" priority="-2" mode="M275">
    <xsl:apply-templates select="@*|*" mode="M275" />
  </xsl:template>
  <!--PATTERN p-TS-DisRec-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.20016' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20016'] " priority="1000" mode="M276">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.20016' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20016'] " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating" select="if ($initial-priority) then $initial-rating else if ($FS-Types-seq/@rating) then concat(' (', $FS-Types-seq/@rating, ')') else '' " />
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and not(/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']) and $extensions-allowed">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']) and $extensions-allowed">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: FS-Types: The Record Of Recommendations And Information Provided section (codeSystem '1.2.36.1.2001.1001.101' and code '101.20016') has been found in a <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. The Record Of Recommendations And Information Provided section (codeSystem '1.2.36.1.2001.1001.101' and code '101.20016') is defined in the digital health specifications but
		although tests have been applied to the data elements the specification of the data elements may have been varied for inclusion in this document
		so further examination may be needed. The rules have been validated for <xsl:text /><xsl:value-of select="normalize-space('Discharge Summary CDA Implementation Guide version 3.4')" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M276" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M276" />
  <xsl:template match="@*|node()" priority="-2" mode="M276">
    <xsl:apply-templates select="@*|*" mode="M276" />
  </xsl:template>
  <!--PATTERN p-TS-DisRec-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.20016' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16020']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20016']]/cda:component/cda:section " priority="1000" mode="M277">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.20016' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16020']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20016']]/cda:component/cda:section " />
    <xsl:variable name="agency-section" select=" cda:code/@codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="test-step" select=" if (not($extensions-allowed)) then 'step 4'        else if ($agency-section) then 'step 3' else 'step 1' " />
    <xsl:variable name="title-and-code" select=" if (cda:title and cda:code/@code) then concat('title ''', cda:title, ''', code/code ''', cda:code/@code, '''')        else if (cda:title and not(cda:code/@code)) then concat('title ''', cda:title, '''')        else if (not(cda:title) and cda:code/@code) then concat('code/code ''', cda:code/@code, '''')        else '' " />
    <xsl:variable name="other-section-names" select=" if (cda:code/@displayName and not(cda:code/cda:originalText)) then concat(' and code/displayName ''', cda:code/@displayName, '''')         else if (cda:code/@displayName and cda:code/cda:originalText)          then concat(', code/displayName ''', cda:code/@displayName,''' and code/originalText ''', cda:code/cda:originalText, '''')        else if (not(cda:code/@displayName) and cda:code/cda:originalText) then concat(' and code/originalText ''', cda:code/cda:originalText, '''')        else '' " />
    <xsl:variable name="section-names" select="concat($title-and-code, $other-section-names)" />
    <xsl:variable name="doc-code" select="/cda:ClinicalDocument/cda:code" />
    <xsl:variable name="parent-section" select="ancestor::cda:section[position()=1]" />
    <xsl:variable name="custom-section-info" select="($iq-config/custom-sections/section, $knowledge/custom-sections/section)[        @doc-code  = $doc-code/@code          and        @doc-codeSystem  = $doc-code/@codeSystem          and        @parent-code   = $parent-section/cda:code/@code         and         @parent-codeSystem  = $parent-section/cda:code/@codeSystem        and         (@title = current()/cda:title or (@code = current()/cda:code/@code and @codeSystem = current()/cda:code/@codeSystem)) ] " />
    <xsl:variable name="section-disallowed" select="$custom-section-info/@disallowed = 'yes' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and ($section-disallowed or not(exists($custom-section-info)))) then $rating-alt-TC-Doc-28-step-1        else if ($test-step = 'step 1' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections]) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 3') then $rating-TC-Doc-28-step-3 else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and $section-disallowed ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and $section-disallowed">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Record Of Recommendations And Information Provided section (codeSystem '1.2.36.1.2001.1001.101' and code '101.20016') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> which
		is an extension to the information model however the inclusion of this section conflicts with sections defined in the digital health specifications.
		<xsl:text /><xsl:value-of select="$custom-section-info[@disallowed = 'yes']/@reason" /><xsl:text /> (Also see <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not(false()) and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(false()) and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Record Of Recommendations And Information Provided section (codeSystem '1.2.36.1.2001.1001.101' and code '101.20016') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. No subsection is expected so this
		is an extension to the information model. Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the 
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(false()) and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(false()) and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Record Of Recommendations And Information Provided section (codeSystem '1.2.36.1.2001.1001.101' and code '101.20016') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> but no subsections were
		expected so the document fails to meet the requirement that it must not contain additional data elements. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and false() and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and false() and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Record Of Recommendations And Information Provided section (codeSystem '1.2.36.1.2001.1001.101' and code '101.20016') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		none are expected but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the information model.
		Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Record Of Recommendations And Information Provided section (codeSystem '1.2.36.1.2001.1001.101' and code '101.20016') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		none are expected but the inclusion of the section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> fails to meet the requirement that it must not contain additional data elements.
		(See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M277" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M277" />
  <xsl:template match="@*|node()" priority="-2" mode="M277">
    <xsl:apply-templates select="@*|*" mode="M277" />
  </xsl:template>
  <!--PATTERN p-TS-DisRec-Text-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.20016' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16020']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20016']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20016.4.1.1']]/cda:text " priority="1000" mode="M278">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.20016' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16020']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20016']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20016.4.1.1']]/cda:text " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Recommendation Note
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 7.13 of the Discharge Summary Structured Document Template v3.3 the Recommendation Note 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 7.13 of the Discharge Summary Structured Document Template v3.3 the Recommendation Note
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 7.13 of the Discharge Summary Structured Document Template v3.3 the Recommendation Note
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Recommendation Note however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Recommendation Note in section 7.13 of the Discharge Summary Structured Document Template v3.3 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 7.13 of the Discharge Summary Structured Document Template v3.3 the Recommendation Note
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Recommendation Note however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Recommendation Note in section 7.13 of the Discharge Summary Structured Document Template v3.3 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Recommendation Note data element with a proper value then an exclusion
		statement must be included to state why there is no Recommendation Note. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 7.13 of the Discharge Summary Structured Document Template v3.3 the Recommendation Note
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Recommendation Note however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Recommendation Note in section 7.13 of the Discharge Summary Structured Document Template v3.3 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 7.13 of the Discharge Summary Structured Document Template v3.3 the Recommendation Note
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 7.13 of the Discharge Summary Structured Document Template v3.3 the Recommendation Note
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 7.13 of the Discharge Summary Structured Document Template v3.3 the Recommendation Note
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 7.13 of the Discharge Summary Structured Document Template v3.3 the Recommendation Note
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 7.13 of the Discharge Summary Structured Document Template v3.3 the Recommendation Note
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 7.13 of the Discharge Summary Structured Document Template v3.3 the Recommendation Note
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 7.13 of the Discharge Summary Structured Document Template v3.3 the Recommendation Note
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 7.13 of the Discharge Summary Structured Document Template v3.3 the Recommendation Note
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 7.13 of the Discharge Summary Structured Document Template v3.3 the Recommendation Note
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 7.13 of the Discharge Summary Structured Document Template v3.3 the Recommendation Note
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M278" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M278" />
  <xsl:template match="@*|node()" priority="-2" mode="M278">
    <xsl:apply-templates select="@*|*" mode="M278" />
  </xsl:template>
  <!--PATTERN p-TS-DisRec-Text-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.20016' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16020']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20016']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20016.4.1.1']]/cda:text " priority="1000" mode="M279">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.20016' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16020']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20016']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20016.4.1.1']]/cda:text " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Recommendation Note '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Recommendation Note
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Recommendation Note data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Recommendation Note
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Recommendation Note data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Recommendation Note
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Recommendation Note
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Recommendation Note data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Recommendation Note
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M279" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M279" />
  <xsl:template match="@*|node()" priority="-2" mode="M279">
    <xsl:apply-templates select="@*|*" mode="M279" />
  </xsl:template>
  <!--PATTERN p-TS-DisRec-Text-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.20016' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16020']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20016']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20016.4.1.2']]/cda:text " priority="1000" mode="M280">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.20016' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16020']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20016']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20016.4.1.2']]/cda:text " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Information Provided to Subject of Care and/or Relevant Parties
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 7.15 of the Discharge Summary Structured Document Template v3.3 the Information Provided to Subject of Care and/or Relevant Parties 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 7.15 of the Discharge Summary Structured Document Template v3.3 the Information Provided to Subject of Care and/or Relevant Parties
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 7.15 of the Discharge Summary Structured Document Template v3.3 the Information Provided to Subject of Care and/or Relevant Parties
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Information Provided to Subject of Care and/or Relevant Parties however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Information Provided to Subject of Care and/or Relevant Parties in section 7.15 of the Discharge Summary Structured Document Template v3.3 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 7.15 of the Discharge Summary Structured Document Template v3.3 the Information Provided to Subject of Care and/or Relevant Parties
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Information Provided to Subject of Care and/or Relevant Parties however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Information Provided to Subject of Care and/or Relevant Parties in section 7.15 of the Discharge Summary Structured Document Template v3.3 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Information Provided to Subject of Care and/or Relevant Parties data element with a proper value then an exclusion
		statement must be included to state why there is no Information Provided to Subject of Care and/or Relevant Parties. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 7.15 of the Discharge Summary Structured Document Template v3.3 the Information Provided to Subject of Care and/or Relevant Parties
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Information Provided to Subject of Care and/or Relevant Parties however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Information Provided to Subject of Care and/or Relevant Parties in section 7.15 of the Discharge Summary Structured Document Template v3.3 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 7.15 of the Discharge Summary Structured Document Template v3.3 the Information Provided to Subject of Care and/or Relevant Parties
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 7.15 of the Discharge Summary Structured Document Template v3.3 the Information Provided to Subject of Care and/or Relevant Parties
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 7.15 of the Discharge Summary Structured Document Template v3.3 the Information Provided to Subject of Care and/or Relevant Parties
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 7.15 of the Discharge Summary Structured Document Template v3.3 the Information Provided to Subject of Care and/or Relevant Parties
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 7.15 of the Discharge Summary Structured Document Template v3.3 the Information Provided to Subject of Care and/or Relevant Parties
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 7.15 of the Discharge Summary Structured Document Template v3.3 the Information Provided to Subject of Care and/or Relevant Parties
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 7.15 of the Discharge Summary Structured Document Template v3.3 the Information Provided to Subject of Care and/or Relevant Parties
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 7.15 of the Discharge Summary Structured Document Template v3.3 the Information Provided to Subject of Care and/or Relevant Parties
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 7.15 of the Discharge Summary Structured Document Template v3.3 the Information Provided to Subject of Care and/or Relevant Parties
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 7.15 of the Discharge Summary Structured Document Template v3.3 the Information Provided to Subject of Care and/or Relevant Parties
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M280" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M280" />
  <xsl:template match="@*|node()" priority="-2" mode="M280">
    <xsl:apply-templates select="@*|*" mode="M280" />
  </xsl:template>
  <!--PATTERN p-TS-DisRec-Text-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.20016' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16020']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20016']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20016.4.1.2']]/cda:text " priority="1000" mode="M281">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.20016' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16020']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20016']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20016.4.1.2']]/cda:text " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Information Provided to Subject of Care and/or Relevant Parties '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Information Provided to Subject of Care and/or Relevant Parties
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Information Provided to Subject of Care and/or Relevant Parties data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Information Provided to Subject of Care and/or Relevant Parties
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Information Provided to Subject of Care and/or Relevant Parties data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Information Provided to Subject of Care and/or Relevant Parties
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Information Provided to Subject of Care and/or Relevant Parties
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Information Provided to Subject of Care and/or Relevant Parties data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Information Provided to Subject of Care and/or Relevant Parties
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M281" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M281" />
  <xsl:template match="@*|node()" priority="-2" mode="M281">
    <xsl:apply-templates select="@*|*" mode="M281" />
  </xsl:template>
  <!--PATTERN p-TS-DisSynopsis-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.15513.4.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15513.4.1.1'] " priority="1000" mode="M282">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.15513.4.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15513.4.1.1'] " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating" select="if ($initial-priority) then $initial-rating else if ($FS-Types-seq/@rating) then concat(' (', $FS-Types-seq/@rating, ')') else '' " />
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and not(/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']) and $extensions-allowed">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']) and $extensions-allowed">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: FS-Types: The Clinical Synopsis section (codeSystem '1.2.36.1.2001.1001.101' and code '102.15513.4.1.1') has been found in a <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. The Clinical Synopsis section (codeSystem '1.2.36.1.2001.1001.101' and code '102.15513.4.1.1') is defined in the digital health specifications but
		although tests have been applied to the data elements the specification of the data elements may have been varied for inclusion in this document
		so further examination may be needed. The rules have been validated for <xsl:text /><xsl:value-of select="normalize-space('Discharge Summary CDA Implementation Guide version 3.4')" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M282" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M282" />
  <xsl:template match="@*|node()" priority="-2" mode="M282">
    <xsl:apply-templates select="@*|*" mode="M282" />
  </xsl:template>
  <!--PATTERN p-TS-DisSynopsis-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.15513.4.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component/     cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16006']]/cda:component/     cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15513.4.1.1']]/cda:component/cda:section " priority="1000" mode="M283">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.15513.4.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component/     cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16006']]/cda:component/     cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15513.4.1.1']]/cda:component/cda:section " />
    <xsl:variable name="agency-section" select=" cda:code/@codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="test-step" select=" if (not($extensions-allowed)) then 'step 4'        else if ($agency-section) then 'step 3' else 'step 1' " />
    <xsl:variable name="title-and-code" select=" if (cda:title and cda:code/@code) then concat('title ''', cda:title, ''', code/code ''', cda:code/@code, '''')        else if (cda:title and not(cda:code/@code)) then concat('title ''', cda:title, '''')        else if (not(cda:title) and cda:code/@code) then concat('code/code ''', cda:code/@code, '''')        else '' " />
    <xsl:variable name="other-section-names" select=" if (cda:code/@displayName and not(cda:code/cda:originalText)) then concat(' and code/displayName ''', cda:code/@displayName, '''')         else if (cda:code/@displayName and cda:code/cda:originalText)          then concat(', code/displayName ''', cda:code/@displayName,''' and code/originalText ''', cda:code/cda:originalText, '''')        else if (not(cda:code/@displayName) and cda:code/cda:originalText) then concat(' and code/originalText ''', cda:code/cda:originalText, '''')        else '' " />
    <xsl:variable name="section-names" select="concat($title-and-code, $other-section-names)" />
    <xsl:variable name="doc-code" select="/cda:ClinicalDocument/cda:code" />
    <xsl:variable name="parent-section" select="ancestor::cda:section[position()=1]" />
    <xsl:variable name="custom-section-info" select="($iq-config/custom-sections/section, $knowledge/custom-sections/section)[        @doc-code  = $doc-code/@code          and        @doc-codeSystem  = $doc-code/@codeSystem          and        @parent-code   = $parent-section/cda:code/@code         and         @parent-codeSystem  = $parent-section/cda:code/@codeSystem        and         (@title = current()/cda:title or (@code = current()/cda:code/@code and @codeSystem = current()/cda:code/@codeSystem)) ] " />
    <xsl:variable name="section-disallowed" select="$custom-section-info/@disallowed = 'yes' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and ($section-disallowed or not(exists($custom-section-info)))) then $rating-alt-TC-Doc-28-step-1        else if ($test-step = 'step 1' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections]) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 3') then $rating-TC-Doc-28-step-3 else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and $section-disallowed ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and $section-disallowed">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Clinical Synopsis section (codeSystem '1.2.36.1.2001.1001.101' and code '102.15513.4.1.1') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> which
		is an extension to the information model however the inclusion of this section conflicts with sections defined in the digital health specifications.
		<xsl:text /><xsl:value-of select="$custom-section-info[@disallowed = 'yes']/@reason" /><xsl:text /> (Also see <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not(false()) and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(false()) and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Clinical Synopsis section (codeSystem '1.2.36.1.2001.1001.101' and code '102.15513.4.1.1') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. No subsection is expected so this
		is an extension to the information model. Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the 
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(false()) and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(false()) and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Clinical Synopsis section (codeSystem '1.2.36.1.2001.1001.101' and code '102.15513.4.1.1') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> but no subsections were
		expected so the document fails to meet the requirement that it must not contain additional data elements. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and false() and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and false() and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Clinical Synopsis section (codeSystem '1.2.36.1.2001.1001.101' and code '102.15513.4.1.1') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		none are expected but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the information model.
		Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Clinical Synopsis section (codeSystem '1.2.36.1.2001.1001.101' and code '102.15513.4.1.1') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		none are expected but the inclusion of the section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> fails to meet the requirement that it must not contain additional data elements.
		(See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M283" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M283" />
  <xsl:template match="@*|node()" priority="-2" mode="M283">
    <xsl:apply-templates select="@*|*" mode="M283" />
  </xsl:template>
  <!--PATTERN p-TS-DisSynopsis-Text-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.15513.4.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component/     cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16006']]/cda:component/     cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15513.4.1.1']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15582']]/cda:text " priority="1000" mode="M284">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.15513.4.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component/     cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16006']]/cda:component/     cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15513.4.1.1']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15582']]/cda:text " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Clinical Synopsis Description
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 4.24 of the Discharge Summary Structured Document Template v3.3 the Clinical Synopsis Description 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 4.24 of the Discharge Summary Structured Document Template v3.3 the Clinical Synopsis Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 4.24 of the Discharge Summary Structured Document Template v3.3 the Clinical Synopsis Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Clinical Synopsis Description however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Clinical Synopsis Description in section 4.24 of the Discharge Summary Structured Document Template v3.3 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 4.24 of the Discharge Summary Structured Document Template v3.3 the Clinical Synopsis Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Clinical Synopsis Description however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Clinical Synopsis Description in section 4.24 of the Discharge Summary Structured Document Template v3.3 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Clinical Synopsis Description data element with a proper value then an exclusion
		statement must be included to state why there is no Clinical Synopsis Description. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 4.24 of the Discharge Summary Structured Document Template v3.3 the Clinical Synopsis Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Clinical Synopsis Description however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Clinical Synopsis Description in section 4.24 of the Discharge Summary Structured Document Template v3.3 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 4.24 of the Discharge Summary Structured Document Template v3.3 the Clinical Synopsis Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 4.24 of the Discharge Summary Structured Document Template v3.3 the Clinical Synopsis Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 4.24 of the Discharge Summary Structured Document Template v3.3 the Clinical Synopsis Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 4.24 of the Discharge Summary Structured Document Template v3.3 the Clinical Synopsis Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 4.24 of the Discharge Summary Structured Document Template v3.3 the Clinical Synopsis Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 4.24 of the Discharge Summary Structured Document Template v3.3 the Clinical Synopsis Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 4.24 of the Discharge Summary Structured Document Template v3.3 the Clinical Synopsis Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 4.24 of the Discharge Summary Structured Document Template v3.3 the Clinical Synopsis Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 4.24 of the Discharge Summary Structured Document Template v3.3 the Clinical Synopsis Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 4.24 of the Discharge Summary Structured Document Template v3.3 the Clinical Synopsis Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M284" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M284" />
  <xsl:template match="@*|node()" priority="-2" mode="M284">
    <xsl:apply-templates select="@*|*" mode="M284" />
  </xsl:template>
  <!--PATTERN p-TS-DisSynopsis-Text-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.15513.4.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component/     cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16006']]/cda:component/     cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15513.4.1.1']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15582']]/cda:text " priority="1000" mode="M285">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.15513.4.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component/     cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16006']]/cda:component/     cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15513.4.1.1']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15582']]/cda:text " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Clinical Synopsis Description '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Clinical Synopsis Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Clinical Synopsis Description data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Clinical Synopsis Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Clinical Synopsis Description data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Clinical Synopsis Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Clinical Synopsis Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Clinical Synopsis Description data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Clinical Synopsis Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M285" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M285" />
  <xsl:template match="@*|node()" priority="-2" mode="M285">
    <xsl:apply-templates select="@*|*" mode="M285" />
  </xsl:template>
  <!--PATTERN p-TS-DispItem-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210'] " priority="1000" mode="M286">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210'] " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating" select="if ($initial-priority) then $initial-rating else if ($FS-Types-seq/@rating) then concat(' (', $FS-Types-seq/@rating, ')') else '' " />
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and not(/cda:ClinicalDocument/cda:templateId[        (@root = '1.2.36.1.2001.1001.100.1002.171' and @extension = '1.0') or        (@root = '1.2.36.1.2001.1001.100.1002.179' and @extension = '1.0') ]) and $extensions-allowed">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(/cda:ClinicalDocument/cda:templateId[ (@root = '1.2.36.1.2001.1001.100.1002.171' and @extension = '1.0') or (@root = '1.2.36.1.2001.1001.100.1002.179' and @extension = '1.0') ]) and $extensions-allowed">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: FS-Types: The Dispense Item section (codeSystem '1.2.36.1.2001.1001.101' and code '102.16210') has been found in a <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. The Dispense Item section (codeSystem '1.2.36.1.2001.1001.101' and code '102.16210') is defined in the digital health specifications but
		although tests have been applied to the data elements the specification of the data elements may have been varied for inclusion in this document
		so further examination may be needed. The rules have been validated for <xsl:text /><xsl:value-of select="normalize-space('Dispense Record CDA Implementation Guide version 1.0; and Prescription and Dispense View CDA Implementation Guide version 1.0')" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M286" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M286" />
  <xsl:template match="@*|node()" priority="-2" mode="M286">
    <xsl:apply-templates select="@*|*" mode="M286" />
  </xsl:template>
  <!--PATTERN p-TS-DispItem-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:component/cda:section " priority="1000" mode="M287">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:component/cda:section " />
    <xsl:variable name="agency-section" select=" cda:code/@codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="test-step" select=" if (not($extensions-allowed)) then 'step 4'        else if ($agency-section) then 'step 3' else 'step 1' " />
    <xsl:variable name="title-and-code" select=" if (cda:title and cda:code/@code) then concat('title ''', cda:title, ''', code/code ''', cda:code/@code, '''')        else if (cda:title and not(cda:code/@code)) then concat('title ''', cda:title, '''')        else if (not(cda:title) and cda:code/@code) then concat('code/code ''', cda:code/@code, '''')        else '' " />
    <xsl:variable name="other-section-names" select=" if (cda:code/@displayName and not(cda:code/cda:originalText)) then concat(' and code/displayName ''', cda:code/@displayName, '''')         else if (cda:code/@displayName and cda:code/cda:originalText)          then concat(', code/displayName ''', cda:code/@displayName,''' and code/originalText ''', cda:code/cda:originalText, '''')        else if (not(cda:code/@displayName) and cda:code/cda:originalText) then concat(' and code/originalText ''', cda:code/cda:originalText, '''')        else '' " />
    <xsl:variable name="section-names" select="concat($title-and-code, $other-section-names)" />
    <xsl:variable name="doc-code" select="/cda:ClinicalDocument/cda:code" />
    <xsl:variable name="parent-section" select="ancestor::cda:section[position()=1]" />
    <xsl:variable name="custom-section-info" select="($iq-config/custom-sections/section, $knowledge/custom-sections/section)[        @doc-code  = $doc-code/@code          and        @doc-codeSystem  = $doc-code/@codeSystem          and        @parent-code   = $parent-section/cda:code/@code         and         @parent-codeSystem  = $parent-section/cda:code/@codeSystem        and         (@title = current()/cda:title or (@code = current()/cda:code/@code and @codeSystem = current()/cda:code/@codeSystem)) ] " />
    <xsl:variable name="section-disallowed" select="$custom-section-info/@disallowed = 'yes' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and ($section-disallowed or not(exists($custom-section-info)))) then $rating-alt-TC-Doc-28-step-1        else if ($test-step = 'step 1' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections]) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 3') then $rating-TC-Doc-28-step-3 else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and $section-disallowed ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and $section-disallowed">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Dispense Item section (codeSystem '1.2.36.1.2001.1001.101' and code '102.16210') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> which
		is an extension to the information model however the inclusion of this section conflicts with sections defined in the digital health specifications.
		<xsl:text /><xsl:value-of select="$custom-section-info[@disallowed = 'yes']/@reason" /><xsl:text /> (Also see <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not(false()) and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(false()) and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Dispense Item section (codeSystem '1.2.36.1.2001.1001.101' and code '102.16210') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. No subsection is expected so this
		is an extension to the information model. Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the 
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(false()) and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(false()) and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Dispense Item section (codeSystem '1.2.36.1.2001.1001.101' and code '102.16210') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> but no subsections were
		expected so the document fails to meet the requirement that it must not contain additional data elements. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and false() and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and false() and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Dispense Item section (codeSystem '1.2.36.1.2001.1001.101' and code '102.16210') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		none are expected but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the information model.
		Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Dispense Item section (codeSystem '1.2.36.1.2001.1001.101' and code '102.16210') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		none are expected but the inclusion of the section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> fails to meet the requirement that it must not contain additional data elements.
		(See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M287" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M287" />
  <xsl:template match="@*|node()" priority="-2" mode="M287">
    <xsl:apply-templates select="@*|*" mode="M287" />
  </xsl:template>
  <!--PATTERN p-TS-DispItem-CodeableText-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:supply/cda:product/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code " priority="1000" mode="M288">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:supply/cda:product/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Therapeutic Good Identification',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'disallowed' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'disallowed' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Therapeutic Good Identification however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Therapeutic Good Identification in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'disallowed' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'disallowed' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Therapeutic Good Identification however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Therapeutic Good Identification in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Therapeutic Good Identification data element must have a value that is consistent with this definition. Alternatively if there is no Therapeutic Good Identification data element with a proper value then an exclusion
		statement must be included to state why there is no Therapeutic Good Identification.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'disallowed' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'disallowed' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Therapeutic Good Identification however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Therapeutic Good Identification in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'disallowed' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'disallowed' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Therapeutic Good Identification however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Therapeutic Good Identification in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Therapeutic Good Identification data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'disallowed' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'disallowed' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Therapeutic Good Identification however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Therapeutic Good Identification in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Therapeutic Good Identification data element must have a value that is consistent with this definition. Alternatively if there is no Therapeutic Good Identification data element with a proper value then an exclusion
		statement must be included to state why there is no Therapeutic Good Identification.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'disallowed' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'disallowed' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Therapeutic Good Identification however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Therapeutic Good Identification in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Therapeutic Good Identification data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Therapeutic Good Identification.
		(See the definition of Therapeutic Good Identification in the Structured Content Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M288" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M288" />
  <xsl:template match="@*|node()" priority="-2" mode="M288">
    <xsl:apply-templates select="@*|*" mode="M288" />
  </xsl:template>
  <!--PATTERN p-TS-DispItem-CodeableText-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:supply/cda:product/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code   [@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " priority="1000" mode="M289">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:supply/cda:product/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code   [@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="pnullFlavor" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @nullFlavor) then @nullFlavor else '' " />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-p-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then false()        else if ($psnomed-id = 'amtv3' and @codeSystemVersion) then exists($v-amtv3[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($psnomed-id = 'snomedctau' and @codeSystemVersion) then exists($v-snomedctau[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false() " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and $pcode != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used to assess the primary code.') " />
    <xsl:variable name="pcode-refsets-1" select="if (@codeSystem = '2.16.840.1.113883.6.96' and not($pcode = ''))         then dh:FindValueDomainsForCode($pcode, '2.16.840.1.113883.6.96', $v-psnomed-version) else 'no-code' " />
    <xsl:variable name="pcode-found" select="not($pcode-refsets-1 = 'no-code' or $pcode-refsets-1 = 'CodeNotFound' or $pcode-refsets-1 = 'Error'        or contains($pcode-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="pcode-refsets" select="if ($pcode-found) then distinct-values(tokenize($pcode-refsets-1, '\|')) else () " />
    <xsl:variable name="pcode-special-proc" select="count($pcode-refsets) = 1 and 'Procedure Foundation (PF)' = $pcode-refsets and not($pnullFlavor = 'OTH') " />
    <xsl:variable name="pcode-refsets-msg" select="if (count($pcode-refsets) = 0) then ''         else if (count($pcode-refsets) = 1) then concat('The code is a member of the ', $pcode-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($pcode-refsets, ', '), '.') " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))         else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-1" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="snomed-trans-2" select="distinct-values(for $i in (1 to count($snomed-trans-1)) return $snomed-trans-1[$i]/@code) " />
    <xsl:variable name="snomed-trans-a" select="$snomed-trans-1[1] " />
    <xsl:variable name="tcode-a" select="if (exists($snomed-trans-a) and matches($snomed-trans-a/@code, $snomed-code-regex)) then $snomed-trans-a/@code else '' " />
    <xsl:variable name="tnullFlavor-a" select="if (exists($snomed-trans-a) and $snomed-trans-a/@nullFlavor) then $snomed-trans-a/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-a" select="if (not(exists($snomed-trans-a))) then 'not-snomed'        else if (not($snomed-trans-a/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-a/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-a" select="if (not(exists($snomed-trans-a))) then ''        else if ($tsnomed-id-a = 'amtv3' and exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-a = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-a/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-a" select="if (not(exists($snomed-trans-a))) then false()        else if ($tsnomed-id-a = 'amtv3' and $snomed-trans-a/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-a = 'snomedctau' and $snomed-trans-a/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-a-msg" select="if (not(exists($snomed-trans-a))) then ''        else if (not($snomed-trans-a/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-a, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-a = 'amtv3') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-a = 'snomedctau') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-a/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-a, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-a/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-a-refsets-1" select="if (exists($snomed-trans-a) and not($tcode-a = ''))         then dh:FindValueDomainsForCode($tcode-a, '2.16.840.1.113883.6.96', $v-tsnomed-version-a) else 'no-code' " />
    <xsl:variable name="tcode-a-found" select="not($tcode-a-refsets-1 = 'no-code' or $tcode-a-refsets-1 = 'CodeNotFound' or $tcode-a-refsets-1 = 'Error'         or contains($tcode-a-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-a-refsets" select="if ($tcode-a-found) then distinct-values(tokenize($tcode-a-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-a-special-proc" select="count($tcode-a-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-a-refsets and not($tnullFlavor-a = 'OTH') " />
    <xsl:variable name="tcode-a-refsets-msg" select="if (count($tcode-a-refsets) = 0) then ''         else if (count($tcode-a-refsets) = 1) then concat('The code is a member of the ', $tcode-a-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-a-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@code and $snomed-trans-a/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-a/@displayName, codepoints-to-string(34))         else if ($snomed-trans-a/@code and not($snomed-trans-a/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@codeSystem and $snomed-trans-a/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-a/@codeSystemName, ')')         else if ($snomed-trans-a/@codeSystem and not($snomed-trans-a/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-b" select="(for $i in (2 to count($snomed-trans-1)) return if ($snomed-trans-1[$i]/@code != $snomed-trans-a/@code) then $snomed-trans-1[$i] else ())[1] " />
    <xsl:variable name="tcode-b" select="if (exists($snomed-trans-b) and matches($snomed-trans-b/@code, $snomed-code-regex)) then $snomed-trans-b/@code else '' " />
    <xsl:variable name="tnullFlavor-b" select="if (exists($snomed-trans-b) and $snomed-trans-b/@nullFlavor) then $snomed-trans-b/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-b" select="if (not(exists($snomed-trans-b))) then 'not-snomed'        else if (not($snomed-trans-b/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-b/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-b" select="if (not(exists($snomed-trans-b))) then ''        else if ($tsnomed-id-b = 'amtv3' and exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-b = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-b/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-b" select="if (not(exists($snomed-trans-b))) then false()        else if ($tsnomed-id-b = 'amtv3' and $snomed-trans-b/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-b = 'snomedctau' and $snomed-trans-b/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-b-msg" select="if (not(exists($snomed-trans-b))) then ''        else if (not($snomed-trans-b/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-b, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-b = 'amtv3') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-b = 'snomedctau') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-b/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-b, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-b/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-b-refsets-1" select="if (exists($snomed-trans-b) and not($tcode-b = ''))         then dh:FindValueDomainsForCode($tcode-b, '2.16.840.1.113883.6.96', $v-tsnomed-version-b) else 'no-code' " />
    <xsl:variable name="tcode-b-found" select="not($tcode-b-refsets-1 = 'no-code' or $tcode-b-refsets-1 = 'CodeNotFound' or $tcode-b-refsets-1 = 'Error'         or contains($tcode-b-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-b-refsets" select="if ($tcode-b-found) then distinct-values(tokenize($tcode-b-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-b-special-proc" select="count($tcode-b-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-b-refsets and not($tnullFlavor-b = 'OTH') " />
    <xsl:variable name="tcode-b-refsets-msg" select="if (count($tcode-b-refsets) = 0) then ''         else if (count($tcode-b-refsets) = 1) then concat('The code is a member of the ', $tcode-b-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-b-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@code and $snomed-trans-b/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-b/@displayName, codepoints-to-string(34))         else if ($snomed-trans-b/@code and not($snomed-trans-b/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@codeSystem and $snomed-trans-b/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-b/@codeSystemName, ')')         else if ($snomed-trans-b/@codeSystem and not($snomed-trans-b/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-60" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-60 else $rating-alt-TC-Types-60 " />
    <!--REPORT -->
    <xsl:if test=" $pcode-found and $pcode-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pcode-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD (p-TS-CD-SCT-RefSet): An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$pcode" /><xsl:text />',
		codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-psnomed-version" /><xsl:text />'. This error occurred when assessing the Therapeutic Good Identification data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. The value is not valid for the data element as it describes a medical
		procedure and not a medical problem or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         that was the focus of the action. (See section 3.5 of the eHealth Dispense Record Structured Content Specification v1.0.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and   not(exists(index-of(for $refset in ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and not(exists(index-of(for $refset in ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the code is not a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product Pack (Concept Id: 929360081000036101), Medicinal Product Unit of Use         (Concept Id: 929360071000036103), Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use         (Concept Id: 929360031000036100) and the Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Dispense Item (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and   not(exists(index-of(for $refset in ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and not(exists(index-of(for $refset in ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product Pack (Concept Id: 929360081000036101), Medicinal Product Unit of Use         (Concept Id: 929360071000036103), Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use         (Concept Id: 929360031000036100) and the Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Dispense Item (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and   exists(index-of(for $refset in ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and exists(index-of(for $refset in ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product Pack (Concept Id: 929360081000036101), Medicinal Product Unit of Use         (Concept Id: 929360071000036103), Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use         (Concept Id: 929360031000036100) and the Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Dispense Item (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and   exists(index-of(for $refset in ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and exists(index-of(for $refset in ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. Confirm if the code is a member of the value domain.
		If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product Pack (Concept Id: 929360081000036101), Medicinal Product Unit of Use         (Concept Id: 929360071000036103), Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use         (Concept Id: 929360031000036100) and the Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Dispense Item (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="count($snomed-trans-1)" /><xsl:text /> translation elements with
		codes and the SNOMED CT-AU codeSystem '2.16.840.1.113883.6.96'. The first two translation elements have been assessed to determine if the codes are members of the value domain
		and the others have not been assessed. Confirm if the value of the code attribute in all SNOMED CT translation elements meets the requirement that it be a member of the value domain
		if there is no nullFlavor 'OTH' or that there is a nullFlavor 'OTH' if the value of the code attribute is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product Pack (Concept Id: 929360081000036101), Medicinal Product Unit of Use         (Concept Id: 929360071000036103), Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use         (Concept Id: 929360031000036100) and the Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text /> 
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Dispense Item (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-a" /><xsl:text />'. This error occurred when assessing the Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         that was the focus of the action. (See section 3.5 of the eHealth Dispense Record Structured Content Specification v1.0.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and   not(exists(index-of(for $refset in ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and not(exists(index-of(for $refset in ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product Pack (Concept Id: 929360081000036101), Medicinal Product Unit of Use         (Concept Id: 929360071000036103), Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use         (Concept Id: 929360031000036100) and the Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Dispense Item (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and   not(exists(index-of(for $refset in ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and not(exists(index-of(for $refset in ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product Pack (Concept Id: 929360081000036101), Medicinal Product Unit of Use         (Concept Id: 929360071000036103), Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use         (Concept Id: 929360031000036100) and the Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Dispense Item (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and   exists(index-of(for $refset in ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and exists(index-of(for $refset in ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product Pack (Concept Id: 929360081000036101), Medicinal Product Unit of Use         (Concept Id: 929360071000036103), Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use         (Concept Id: 929360031000036100) and the Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Dispense Item (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and   exists(index-of(for $refset in ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and exists(index-of(for $refset in ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product Pack (Concept Id: 929360081000036101), Medicinal Product Unit of Use         (Concept Id: 929360071000036103), Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use         (Concept Id: 929360031000036100) and the Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Dispense Item (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-b" /><xsl:text />'. This error occurred when assessing the Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> 
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         that was the focus of the action. (See section 3.5 of the eHealth Dispense Record Structured Content Specification v1.0.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and   not(exists(index-of(for $refset in ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and not(exists(index-of(for $refset in ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product Pack (Concept Id: 929360081000036101), Medicinal Product Unit of Use         (Concept Id: 929360071000036103), Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use         (Concept Id: 929360031000036100) and the Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Dispense Item (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and   not(exists(index-of(for $refset in ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and not(exists(index-of(for $refset in ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product Pack (Concept Id: 929360081000036101), Medicinal Product Unit of Use         (Concept Id: 929360071000036103), Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use         (Concept Id: 929360031000036100) and the Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Dispense Item (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and   exists(index-of(for $refset in ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and exists(index-of(for $refset in ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product Pack (Concept Id: 929360081000036101), Medicinal Product Unit of Use         (Concept Id: 929360071000036103), Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use         (Concept Id: 929360031000036100) and the Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Dispense Item (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and   exists(index-of(for $refset in ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and exists(index-of(for $refset in ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product Pack (Concept Id: 929360081000036101), Medicinal Product Unit of Use         (Concept Id: 929360071000036103), Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use         (Concept Id: 929360031000036100) and the Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Dispense Item (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M289" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M289" />
  <xsl:template match="@*|node()" priority="-2" mode="M289">
    <xsl:apply-templates select="@*|*" mode="M289" />
  </xsl:template>
  <!--PATTERN p-TS-DispItem-CodeableText-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:supply/cda:product/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code[(@codeSystem = '2.16.840.1.113883.6.96' and     not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-pd-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])]   [not(@nullFlavor = $no-value-NF)] " priority="1000" mode="M290">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:supply/cda:product/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code[(@codeSystem = '2.16.840.1.113883.6.96' and     not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-pd-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])]   [not(@nullFlavor = $no-value-NF)] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="snomed-trans" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="tcode" select="if (exists($snomed-trans[1]) and matches($snomed-trans[1]/@code, $snomed-code-regex)) then $snomed-trans[1]/@code else '' " />
    <xsl:variable name="code-present" select="$pcode != '' or $tcode != '' " />
    <xsl:variable name="invalid-code-system" select="@code and @displayName and @codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="codesystemvalues" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']" />
    <xsl:variable name="otext-without-markup" select="if (cda:originalText and cda:originalText != '') then normalize-space(replace(cda:originalText, $markup-regex, ' ')) else '' " />
    <xsl:variable name="pdname" select="if (@displayName and not($invalid-code-system)) then normalize-space(@displayName) else '' " />
    <xsl:variable name="is-immun" select="exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='101.16638' or @code = '101.16658' or @code = '101.17039')]]) " />
    <xsl:variable name="is-pd" select="exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code = '102.16210' or @code='102.16211' or @code='101.16795')]]) " />
    <xsl:variable name="is-shs-meds" select="$templateId-root = '1.2.36.1.2001.1001.101.100.1002.120' and          exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]) " />
    <xsl:variable name="is-meds" select="exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code = '101.16146.4.1.1' or @code = '101.16146.4.1.2' or @code='101.16146')]]) " />
    <xsl:variable name="max-code-number" select="if ($knowledge/search-for-term/max-sct-code-number/@value &gt; '5') then $knowledge/search-for-term/max-sct-code-number/@value else '5' " />
    <xsl:variable name="der-text-1" select="if ($code-present) then ''         else if ($otext-without-markup != '') then $otext-without-markup        else if ($pdname != '') then $pdname        else '' " />
    <xsl:variable name="family-err" select="matches($der-text-1, $family-regex, 'is')" />
    <xsl:variable name="der-truncated-text-1" select="normalize-space(replace(replace($der-text-1, $unicode-br-truncation-regex, '$1', 'is'), $tgi-truncation-regex, '$1', 'is')) " />
    <xsl:variable name="length-err" select="string-length($der-truncated-text-1) &gt; $length-err-max" />
    <xsl:variable name="prose-err-1" select="$length-err and cda:originalText and (        matches(cda:originalText, $ulist-regex)           or         matches(cda:originalText, $alt-ulist-1a-regex, 'is')         or         matches(cda:originalText, $alt-ulist-1b-regex, 'is')         )" />
    <xsl:variable name="prose-err" select="$prose-err-1 or (cda:originalText and (         matches(cda:originalText, $alt-ulist-2-regex, 'is')         or        matches(cda:originalText, $olist-arabic-regex, 'is')         or         matches(cda:originalText, $olist-alpha-regex, 'is')         or         matches(cda:originalText, $olist-roman-regex, 'is')         or        matches(replace(cda:originalText, $new-line-regex, codepoints-to-string((10)), 'is'), $para-regex, 'is') or        matches(cda:originalText, codepoints-to-string((8233)), 'is')        or               (cda:originalText and matches(cda:originalText, $invalid-concept-regex, 'is'))     or        ($length-err and matches(cda:originalText, '\.\s*$', 's') and matches(cda:originalText, $multi-sentence-regex, 's')) ))" />
    <xsl:variable name="avoid-ts" select="$family-err or $length-err or $prose-err or not($use-ts-for-sctau) " />
    <xsl:variable name="der-text-2a" select="if ($der-truncated-text-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-truncated-text-1, $tgi-fir-pattern-replacement, 'ic')) " />
    <xsl:variable name="der-text-2" select="if ($der-text-2a = '') then $der-text-1 else $der-text-2a " />
    <xsl:variable name="der-text-a" select="if ($der-text-2 = '' or $tgi-regex = '') then $der-text-2 else normalize-space(dh:XQueryRecursiveReplace($der-text-2, $tgi-regex, 'ic')) " />
    <xsl:variable name="der-text" select="if ($der-text-a = '') then $der-text-2 else $der-text-a " />
    <xsl:variable name="defn-valid-regex" select="concat('(^|\|)', translate($der-text-2, $chars-to-remove, ''), '(\||$)') " />
    <xsl:variable name="der-text-to-match-1" select="lower-case($der-text-2) " />
    <xsl:variable name="der-text-to-match" select="translate($der-text-to-match-1, $chars-to-remove, '') " />
    <xsl:variable name="tgi-non-value-regex" select="if ($is-immun)          then $cd-definitions/immun/@non-value-regex         else if ($is-pd)       then $cd-definitions/pd/@non-value-regex        else if ($is-shs-meds) then $cd-definitions/shs-meds/@non-value-regex        else if ($is-meds)     then $cd-definitions/meds/@non-value-regex        else '' " />
    <xsl:variable name="der-text-non-value" select="if ($code-present or @nullFlavor = $no-value-NF) then false() else         $der-text-to-match = ''             or         not(matches($der-text-to-match-1, '[a-z]', 'is'))         or        ($cd-definitions/non-value/@regex != '' and matches($der-text-to-match-1, $cd-definitions/non-value/@regex, 'is')) or        ($tgi-non-value-regex != '' and matches($der-text-to-match-1, $tgi-non-value-regex, 'is'))    " />
    <xsl:variable name="tgi-invalid-regex" select="if ($is-immun)          then $cd-definitions/immun/@invalid-regex         else if ($is-pd)       then $cd-definitions/pd/@invalid-regex        else if ($is-shs-meds) then $cd-definitions/shs-meds/@invalid-regex        else if ($is-meds)     then $cd-definitions/meds/@invalid-regex        else '' " />
    <xsl:variable name="defn-invalid-regex" select="if ($code-present or $der-text-non-value) then ()        else if ($tgi-invalid-regex != '') then tokenize($tgi-invalid-regex, '~')[. != '']         else () " />
    <xsl:variable name="defn-invalid-txt-regex" select="(for $i in (1 to count($defn-invalid-regex)) return normalize-space(substring-before($defn-invalid-regex[$i], '[[')))[. != '']" />
    <xsl:variable name="der-invalid-text-regex-1" select="if (exists($defn-invalid-txt-regex))        then index-of(for $i in (1 to count($defn-invalid-txt-regex)) return matches($der-text-2, $defn-invalid-txt-regex[$i], 'is'), true())        else () " />
    <xsl:variable name="der-invalid-text" select="exists($der-invalid-text-regex-1) " />
    <xsl:variable name="defn-invalid-rsn" select="if ($der-invalid-text)         then normalize-space(substring-before(substring-after($defn-invalid-regex[$der-invalid-text-regex-1[1]], '[['), ']]'))         else '' " />
    <xsl:variable name="trusted-code-systems" select="if ($der-text = '' or $der-invalid-text or not(@codeSystem or cda:translation/@codeSystem)) then ()        else if ($is-immun)          then (tokenize(replace($cd-definitions/immun/@core, '\s+', ''), '\|'),           tokenize(replace($cd-definitions/immun/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-pd)          then (tokenize(replace($cd-definitions/pd/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/pd/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-shs-meds)          then (tokenize(replace($cd-definitions/shs-meds/@core, '\s+', ''), '\|'),          tokenize(replace($cd-definitions/shs-meds/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-meds)          then (tokenize(replace($cd-definitions/meds/@core, '\s+', ''), '\|'),           tokenize(replace($cd-definitions/meds/@extra, '\s+', ''), '\|'))[. != '']         else () " />
    <xsl:variable name="der-trusted-text" select="if ($der-text = '' or $der-invalid-text or (@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex)))) then false()        else ((@codeSystem and exists($trusted-code-systems[. = current()/@codeSystem])) or               (cda:translation/@codeSystem and exists($trusted-code-systems[. = current()/cda:translation/@codeSystem]))) " />
    <xsl:variable name="a-vaccine-1" select="not($code-present or $der-text-non-value or $der-invalid-text) and exists($vaccine-text-normalised) and $der-text-to-match = $vaccine-text-normalised" />
    <xsl:variable name="a-sas-tgi-1" select="not($code-present or $der-text-non-value or $der-invalid-text or $a-vaccine-1) and $tgi-sas-regex != '' and matches($der-text, $tgi-sas-regex, 'is')" />
    <xsl:variable name="an-uncoded-tgi-1" select="not($code-present or $der-text-non-value or $der-invalid-text or $a-vaccine-1 or $a-sas-tgi-1) and $tgi-otheru-regex != '' and         matches($der-text, $tgi-otheru-regex, 'is')" />
    <xsl:variable name="obsolete-tgi-info-1" select="if ($is-immun or $code-present or $der-text-non-value or $der-invalid-text or $a-vaccine-1 or $a-sas-tgi-1 or $an-uncoded-tgi-1 or         not(exists($knowledge/special-tgi/obsolete))) then ()        else $knowledge/special-tgi/obsolete[matches($der-text, concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')] " />
    <xsl:variable name="an-obsolete-tgi-1" select="exists($obsolete-tgi-info-1)" />
    <xsl:variable name="tgi-valid-regex-1" select="if ($code-present or $der-text-non-value or $der-invalid-text or $der-text = '' or $a-vaccine-1 or $a-sas-tgi-1 or $an-uncoded-tgi-1 or          $an-obsolete-tgi-1) then ''        else if ($is-immun)    then $cd-definitions/immun/@valid-regex        else if ($is-pd)       then $cd-definitions/pd/@valid-regex        else if ($is-shs-meds) then $cd-definitions/shs-meds/@valid-regex        else if ($is-meds)     then $cd-definitions/meds/@valid-regex        else '' " />
    <xsl:variable name="valid-tgi-1" select="if ($a-vaccine-1 or $a-sas-tgi-1 or $an-uncoded-tgi-1 or $an-obsolete-tgi-1) then true()         else if ($tgi-valid-regex-1 = '') then false()        else exists(index-of(for $regex in (tokenize($tgi-valid-regex-1, '~')[. != '']) return          matches($der-text-2, dh:XQueryRecursiveReplace(normalize-space($regex), ' \|~|~\| ~|', ''), 'is'), true())) " />
    <xsl:variable name="invalid-hierarchy-1" select="if (exists($cd-definitions/meds/meds-invalid/hierarchy))         then string-join(for $hierarchy in $cd-definitions/meds/meds-invalid/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-refset" select="if (exists($cd-definitions/meds/meds-invalid/refset))          then string-join(for $refset in $cd-definitions/meds/meds-invalid/refset return concat('^', $refset/@code), ' OR ')         else '' " />
    <xsl:variable name="valid-refset" select="concat($tgi-formula, ' OR &lt;763158003') " />
    <xsl:variable name="valid-domain" select="if ($invalid-refset != '' and $invalid-hierarchy-1 != '')         then concat('((', $valid-refset, ') MINUS (', $invalid-refset, ' OR (', $invalid-hierarchy-1, ')))')        else if ($invalid-refset = '' and $invalid-hierarchy-1 != '') then concat('((', $valid-refset, ') MINUS (', $invalid-hierarchy-1, '))')         else if ($invalid-refset != '' and $invalid-hierarchy-1 = '') then concat('((', $valid-refset, ') MINUS (', $invalid-refset, '))')        else concat('(', $valid-refset, ')') " />
    <xsl:variable name="related-terms-1" select="if ($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-1) then ()        else ($codesystemvalues/code[@related-terms], $codesystemvalues/related-terms[@related-terms]) " />
    <xsl:variable name="related-terms-2" select="for $i in index-of(        for $concept in $related-terms-1 return matches(translate($concept/@related-terms, $chars-no-pipe, ''), $defn-valid-regex, 'is'), true())         return $related-terms-1[$i]/@code " />
    <xsl:variable name="der-tgi-codes-1" select="if (exists($related-terms-2)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($related-terms-2, ' OR '), ') AND ', $valid-domain), '', string(count($related-terms-2)), false())        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $der-tgi-codes-1 " />
    <xsl:variable name="der-valid-codes-1" select="if (contains($der-tgi-codes-1, '[')) then $der-tgi-codes-1 else '' " />
    <xsl:variable name="valid-tgi-2" select="$valid-tgi-1 or $der-valid-codes-1 != '' " />
    <xsl:variable name="tgi-inactive-refSets" select="if (exists($cd-definitions/tgi/tgi-invalid/inactive-refset))         then concat('((', $inactive-refSets, ') MINUS (',           string-join(for $refset in $cd-definitions/tgi/tgi-invalid/inactive-refset return concat('^', $refset/@code), ' OR '),          '))')         else $inactive-refSets " />
    <xsl:variable name="formula" select="concat($valid-domain, ' OR ', $tgi-inactive-refSets) " />
    <xsl:variable name="ts-not-needed" select="$der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-2 or $avoid-ts " />
    <xsl:variable name="der-tgi-codes-2-a" select="if ($ts-not-needed or exists($related-terms-2)) then ()         else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-text,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2-a" select="$error-usingTS-1 or 'Error' = $der-tgi-codes-2-a " />
    <xsl:variable name="revision-pattern-1" select="if ($ts-not-needed or $valid-tgi-2 or exists($der-tgi-codes-2-a) or $error-usingTS-2-a or exists($related-terms-2)) then ''        else $tgi-sec-pattern-replacement " />
    <xsl:variable name="der-revised-text-1" select="if ($revision-pattern-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-text, $revision-pattern-1, 'ic')) " />
    <xsl:variable name="use-revised-text-1" select="$der-revised-text-1 != '' and $der-revised-text-1 != $der-text " />
    <xsl:variable name="obsolete-tgi-info-2" select="if (exists($der-tgi-codes-2-a)) then ()        else if ($an-obsolete-tgi-1) then $obsolete-tgi-info-1        else if ($use-revised-text-1) then $knowledge/special-tgi/obsolete[matches($der-revised-text-1, concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')]        else () " />
    <xsl:variable name="an-obsolete-tgi-2" select="exists($obsolete-tgi-info-2)" />
    <xsl:variable name="der-tgi-codes-2-b" select="if ($an-obsolete-tgi-2) then ()        else if ($ts-not-needed or exists($der-tgi-codes-2-a) or not($use-revised-text-1)) then $der-tgi-codes-2-a         else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-1,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2-b" select="$error-usingTS-2-a or 'Error' = $der-tgi-codes-2-b " />
    <xsl:variable name="revision-pattern-2" select="if ($ts-not-needed or $valid-tgi-2 or exists($der-tgi-codes-2-b) or $error-usingTS-2-b or exists($related-terms-2)) then ''        else $tgi-thi-pattern-replacement " />
    <xsl:variable name="der-revised-text-2" select="if ($revision-pattern-2 = '') then '' else normalize-space(dh:XQueryRecursiveReplace(         if ($use-revised-text-1) then $der-revised-text-1 else $der-text, $revision-pattern-2, 'ic')) " />
    <xsl:variable name="use-revised-text-2" select="if ($use-revised-text-1) then $der-revised-text-2 != '' and $der-revised-text-2 != $der-revised-text-1         else $der-revised-text-2 != '' and $der-revised-text-2 != $der-text " />
    <xsl:variable name="obsolete-tgi-info-3" select="if (exists($der-tgi-codes-2-b)) then ()        else if ($an-obsolete-tgi-2) then $obsolete-tgi-info-2        else if ($use-revised-text-2) then $knowledge/special-tgi/obsolete[matches($der-revised-text-2, concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')]        else () " />
    <xsl:variable name="an-obsolete-tgi-3" select="exists($obsolete-tgi-info-3)" />
    <xsl:variable name="der-tgi-codes-2-c" select="if ($an-obsolete-tgi-3) then ()        else if ($ts-not-needed or exists($der-tgi-codes-2-b) or not($use-revised-text-2)) then $der-tgi-codes-2-b        else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-2,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2-c" select="$error-usingTS-2-b or 'Error' = $der-tgi-codes-2-c " />
    <xsl:variable name="der-tgi-codes-2-d" select="if ($an-obsolete-tgi-3 or $ts-not-needed or exists($der-tgi-codes-2-c)) then $der-tgi-codes-2-c        else iq:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula,          if ($der-revised-text-2 != '') then $der-revised-text-2          else if ($der-revised-text-1 != '') then $der-revised-text-1          else $der-text, 'default') " />
    <xsl:variable name="error-usingTS-2-d" select="$error-usingTS-2-c or 'Error' = $der-tgi-codes-2-d " />
    <xsl:variable name="der-tgi-codes-2" select="$der-tgi-codes-2-d " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-2-d " />
    <xsl:variable name="der-valid-codes-2" select="if ($der-valid-codes-1 != '') then $der-valid-codes-1        else if ($error-usingTS-2) then ''         else string-join((for $code in $der-tgi-codes-2 return if (contains($code, '~inactive')) then '' else $code)[. != ''], '|')  " />
    <xsl:variable name="valid-tgi-3" select="$valid-tgi-2 or $der-valid-codes-2 != '' " />
    <xsl:variable name="der-inactive-codes-1" select="if ($valid-tgi-3) then () else        for $code in $der-tgi-codes-2 return if (contains($code, '~inactive')) then replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is') else '' " />
    <xsl:variable name="der-inactive-codes-2" select="for $i in (1 to count($der-inactive-codes-1)) return         dh:IsCodeAssociatedWithAnotherCode($der-inactive-codes-1[$i], '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-1" select="'Error' = $der-inactive-codes-2 " />
    <xsl:variable name="der-NAF-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-NAF-active-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound~active')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-inactive-codes-3" select="tokenize(string-join(for $i in (1 to count($der-inactive-codes-1)) return replace(string-join(tokenize($der-inactive-codes-2[$i], '\|')        [matches(., '(REPLACED BY|SAME AS|ALTERNATIVE|POSSIBLY EQUIVALENT TO|MAY BE A|WAS A)')], '|'), '[0-9]+~[A-Z ]+~([0-9]+)', '$1'), '|'), '\|')        [. != ''] " />
    <xsl:variable name="der-tgi-codes-3" select="if (exists($der-inactive-codes-3)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($der-inactive-codes-3, ' OR '), ') AND ', $valid-domain), '', string(count($der-inactive-codes-3)), false())          else '' " />
    <xsl:variable name="error-usingTS-3" select="$error-usingTS-2 or 'Error' = $der-tgi-codes-3 " />
    <xsl:variable name="der-valid-codes-3" select="if ($der-valid-codes-2 != '') then $der-valid-codes-2        else if (contains($der-tgi-codes-3, '[')) then $der-tgi-codes-3        else '' " />
    <xsl:variable name="valid-tgi-4" select="$valid-tgi-3 or $der-valid-codes-3 != '' " />
    <xsl:variable name="tbd-hierarchy" select="if (exists($cd-definitions/meds/meds-tbd/hierarchy))         then string-join(for $hierarchy in $cd-definitions/meds/meds-tbd/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-hierarchy" select="if ($invalid-hierarchy-1 != '' and $tbd-hierarchy != '') then concat($invalid-hierarchy-1, ' OR ', $tbd-hierarchy)        else if ($invalid-hierarchy-1 != '') then $invalid-hierarchy-1        else if ($tbd-hierarchy != '') then $tbd-hierarchy        else '' " />
    <xsl:variable name="invalid-domain" select="if ($invalid-hierarchy != '' and $invalid-refset != '') then concat($invalid-hierarchy, ' OR ', $invalid-refset)        else if ($invalid-hierarchy != '') then $invalid-hierarchy        else if ($invalid-refset != '') then $invalid-refset        else '' " />
    <xsl:variable name="filter-text" select="if ($use-revised-text-2) then $der-revised-text-2 else if ($use-revised-text-1) then $der-revised-text-1 else $der-text " />
    <xsl:variable name="der-tgi-codes-4" select="if ($ts-not-needed or $valid-tgi-4 or $invalid-domain = '') then ()        else if (exists($related-terms-2)) then $related-terms-2        else distinct-values((tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          $invalid-domain, $filter-text, $max-code-number, false()), '(\[.*?\])(\||$)', '$2'), '\|'), $der-inactive-codes-3)) " />
    <xsl:variable name="error-usingTS-4" select="$error-usingTS-3 or 'Error' = $der-tgi-codes-4 " />
    <xsl:variable name="invalid-tgi-codes-r" select="if ($ts-not-needed or $valid-tgi-4 or $error-usingTS-4 or not(exists($der-tgi-codes-4))) then ()        else if ($invalid-refset = '') then tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-tgi-codes-4, ' OR '), ') AND (', $inactive-refSets, ')'), '',           string(count($der-tgi-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')        else tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-tgi-codes-4, ' OR '), ') AND (', $invalid-refset, ' OR ', $inactive-refSets, ')'), '',           string(count($der-tgi-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')  " />
    <xsl:variable name="error-usingTS-5" select="$error-usingTS-4 or 'Error' = $invalid-tgi-codes-r " />
    <xsl:variable name="der-tgi-codes-4-h" select="if ($error-usingTS-5) then () else $der-tgi-codes-4[not(. = $invalid-tgi-codes-r)]" />
    <xsl:variable name="invalid-tgi-codes-h" select="if ($ts-not-needed or $valid-tgi-4 or 'Error' = $der-tgi-codes-4 or $meds-invalid-hierarchy = '' or not(exists($der-tgi-codes-4-h))) then ()        else (for $code in $der-tgi-codes-4-h return          if (dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;&gt;', $code, ' MINUS ', $meds-invalid-hierarchy), '', '1', false()) = '') then $code else '')[. != ''] " />
    <xsl:variable name="invalid-tgi-codes" select="($invalid-tgi-codes-h, $invalid-tgi-codes-r) " />
    <xsl:variable name="der-tgi-codes-5" select="$der-tgi-codes-4[not(. = $invalid-tgi-codes or . = 'Error')]" />
    <xsl:variable name="der-valid-codes-4" select="if ($der-valid-codes-3 != '') then $der-valid-codes-3        else if ($ts-not-needed or $valid-tgi-4 or $valid-domain = '' or not(exists($der-tgi-codes-5))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-tgi-codes-5, ' OR '), ') AND ', $valid-domain), '', string(count($der-tgi-codes-5)), false()) " />
    <xsl:variable name="error-usingTS-6" select="$error-usingTS-5 or 'Error' = $der-valid-codes-4 " />
    <xsl:variable name="valid-tgi-5" select="$valid-tgi-4 or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="der-valid-codes-seq" select="if ($error-usingTS-6) then () else tokenize(replace($der-valid-codes-4,  '(\[.*?\])(\||$)', '$2'), '\|') " />
    <xsl:variable name="undetermined-tgi-1" select="if (exists($der-valid-codes-seq)) then $der-tgi-codes-5[not(. = $der-valid-codes-seq)] else $der-tgi-codes-5 " />
    <xsl:variable name="undetermined-inactive-1" select="for $i in (1 to count($undetermined-tgi-1)) return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $undetermined-tgi-1[$i], '', '1', false()) " />
    <xsl:variable name="error-usingTS-7" select="$error-usingTS-6 or 'Error' = $undetermined-inactive-1 " />
    <xsl:variable name="undetermined-inactive" select="(for $i in (1 to count($undetermined-tgi-1)) return         if (contains($undetermined-inactive-1[$i], '~inactive')) then $undetermined-inactive-1[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-1" select="for $i in (1 to count($undetermined-inactive))        return dh:IsCodeAssociatedWithAnotherCode(replace($undetermined-inactive[$i], '(\[.*?\])(\||$)', '$2'), '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-2" select="$error-usingV-1 or 'Error' = $undetermined-NAF-1 " />
    <xsl:variable name="undetermined-NAF" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-codes" select="for $term in $undetermined-NAF return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-NAF-active" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound~active')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-active-codes" select="for $term in $undetermined-NAF-active return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-tgi" select="$undetermined-tgi-1[not(. = ($undetermined-NAF-codes, $undetermined-NAF-active-codes))]" />
    <xsl:variable name="invalid-tgi" select="not($valid-tgi-5) and exists($invalid-tgi-codes) and not(exists($undetermined-tgi))" />
    <xsl:variable name="a-sas-tgi" select="if ($a-sas-tgi-1) then true()        else if ($a-vaccine-1 or $valid-tgi-5 or $invalid-tgi or not($use-revised-text-2) or $tgi-sas-regex = '') then false()        else matches($der-revised-text-2, $tgi-sas-regex, 'is')" />
    <xsl:variable name="an-uncoded-tgi" select="if ($an-uncoded-tgi-1) then true()        else if ($a-vaccine-1 or $valid-tgi-5 or $invalid-tgi or not($use-revised-text-2) or $tgi-otheru-regex = '' or $a-sas-tgi) then false()        else matches($der-revised-text-2, $tgi-otheru-regex, 'is')" />
    <xsl:variable name="obsolete-tgi-info" select="if ($an-obsolete-tgi-3) then $obsolete-tgi-info-3        else if ($a-vaccine-1 or $valid-tgi-5 or $invalid-tgi or not($use-revised-text-2) or not(exists($knowledge/special-tgi/obsolete)) or $a-sas-tgi or          $an-uncoded-tgi) then ()        else $knowledge/special-tgi/obsolete[matches($der-revised-text-2,          concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')] " />
    <xsl:variable name="an-obsolete-tgi" select="exists($obsolete-tgi-info)" />
    <xsl:variable name="valid-tgi-6" select="$valid-tgi-5 or $a-sas-tgi or $an-uncoded-tgi or $an-obsolete-tgi " />
    <xsl:variable name="a-vaccine-2" select="if ($a-vaccine-1) then true()        else if ($valid-tgi-6 or $invalid-tgi or not(exists($vaccine-text-normalised))) then false()        else if ($der-text != '' and translate(lower-case($der-text), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else if ($use-revised-text-1 and translate(lower-case($der-revised-text-1), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else if ($use-revised-text-2 and translate(lower-case($der-revised-text-2), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else false() " />
    <xsl:variable name="vaccine-code-test" select="if (not($a-vaccine-2 or $valid-tgi-6 or $invalid-tgi or $avoid-ts) and exists($undetermined-tgi))         then tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($undetermined-tgi, ' OR '), ') AND (&lt;71181003 OR &lt;127785005)'), '',          string(count($undetermined-tgi)), false()), '\|')        else () " />
    <xsl:variable name="error-usingTS-8" select="$error-usingTS-7 or 'Error' = $vaccine-code-test " />
    <xsl:variable name="a-vaccine" select="$a-vaccine-2 or (not('Error' = $vaccine-code-test) and exists($undetermined-tgi) and count($vaccine-code-test) = count($undetermined-tgi)) " />
    <xsl:variable name="codes-with-history" select="$der-inactive-codes-2[matches(., '[0-9]')]" />
    <xsl:variable name="hist-vers" select="if (exists($codes-with-history))        then dh:FindLastUpdatedDateForCodeUsingTS(substring-before($codes-with-history[1], '~'), '2.16.840.1.113883.6.96', $ts-latest-snomedctau)       else '' " />
    <xsl:variable name="error-usingTS-9" select="$error-usingTS-8 or 'Error' = $hist-vers " />
    <xsl:variable name="hist-vers-date" select="if (matches($hist-vers, '^(CodeFoundActive|CodeFoundInactive)\|[0-9]{8}$')) then substring-after($hist-vers, '|') else '' " />
    <xsl:variable name="inactive-concept" select="count($der-tgi-codes-2) = count($der-inactive-codes-1) and not($valid-tgi-6)" />
    <xsl:variable name="der-inactive-codes-4" select="$der-inactive-codes-3[not(contains(., 'MOVED FROM') or contains(., 'WAS A'))]" />
    <xsl:variable name="obsolete-without-date" select=" ($an-obsolete-tgi and not($obsolete-tgi-info/@last-available))   or         (exists($der-inactive-codes-3) and not(exists($der-inactive-codes-4)))  or         (exists($der-inactive-codes-4) and $hist-vers-date = '')   " />
    <xsl:variable name="obsolete-date" select="if ($is-immun) then ''        else if ($hist-vers-date != '') then $hist-vers-date        else if ($an-obsolete-tgi and $obsolete-tgi-info/@last-available) then $obsolete-tgi-info/@last-available         else '' " />
    <xsl:variable name="obsolete-yr" select="substring($obsolete-date, 1, 4) " />
    <xsl:variable name="obsolete-mn-temp" select="substring($obsolete-date, 5, 2) " />
    <xsl:variable name="obsolete-mn" select="if ($obsolete-mn-temp = '') then '06' else $obsolete-mn-temp " />
    <xsl:variable name="obsolete-dy-temp" select="substring($obsolete-date, 7, 2) " />
    <xsl:variable name="obsolete-dy" select="if ($obsolete-dy-temp = '') then '15' else $obsolete-dy-temp " />
    <xsl:variable name="obsolete-xs" select="if ($obsolete-date = '') then () else xs:date(concat($obsolete-yr, '-', $obsolete-mn, '-', $obsolete-dy)) " />
    <xsl:variable name="display-obsolete-date" select="if ($obsolete-date = '') then ''        else if ($obsolete-mn-temp = '') then $obsolete-dy        else if ($obsolete-dy-temp = '') then concat($knowledge/months/month[@number = $obsolete-mn]/@abbreviation, ' ', $obsolete-yr)        else concat($obsolete-dy, ' ', $knowledge/months/month[@number = $obsolete-mn]/@abbreviation, ' ', $obsolete-yr) " />
    <xsl:variable name="obsolete-date-diff" select="if ($obsolete-date = '' or not(matches($creation-date-xs - $obsolete-xs, '^P[0-9]+D'))) then '0'        else number(substring-before(substring-after($creation-date-xs - $obsolete-xs, 'P'), 'D')) " />
    <xsl:variable name="obsolete-yrs-ago" select="$obsolete-date-diff div 365 " />
    <xsl:variable name="coding" select="if (not($flags/@assess-class = 'true') or not($use-ts-for-sctau) or not(exists($iq-config/tgi-coding))) then () else $iq-config/tgi-coding" />
    <xsl:variable name="s-classification" select="if (exists($coding/special-classification/classification)) then $coding/special-classification/classification else () " />
    <xsl:variable name="s-number" select="count($s-classification) " />
    <xsl:variable name="s-formula" select="string-join(for $class in $s-classification return $class/@code, ' OR ')" />
    <xsl:variable name="code-to-assess" select="if (not($flags/@assess-class = 'true') or not($use-ts-for-sctau)) then '' else if (exists($der-valid-codes-seq)) then $der-valid-codes-seq[1] else '' " />
    <xsl:variable name="value-domain-1" select="if ($code-to-assess = '') then '' else dh:FindValueDomainsForCode($code-to-assess, '2.16.840.1.113883.6.96', $v-current-sctau)" />
    <xsl:variable name="class-error-1" select="$value-domain-1 = 'Error' " />
    <xsl:variable name="value-domain" select="if ($class-error-1 or $value-domain-1 = ('', 'CodeNotFound')) then ''       else if (contains($value-domain-1, '|')) then substring-before($value-domain-1, '|')       else $value-domain-1 " />
    <xsl:variable name="first-pass-1" select="if ($value-domain = '') then ''        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)'))         then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat($code-to-assess, ' . 30409011000036107'), '', '1', true())        else if ($value-domain = 'Medicinal Product Pack (MPP)')         then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat($code-to-assess, ' . 30348011000036104'), '', '1', true())        else if ($value-domain = 'Trade Product (TP)') then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&lt;', $code-to-assess), '', '1', true())        else $code-to-assess " />
    <xsl:variable name="class-error-2" select="$class-error-1 or ($value-domain != '' and $first-pass-1 = ('Error', '')) " />
    <xsl:variable name="first-pass" select="if (not($class-error-2) and $first-pass-1 != '') then replace($first-pass-1, '(\[.*?\])(\||$)', '$2') else '' " />
    <xsl:variable name="second-pass-1" select="if ($first-pass = '') then ''        else if ($value-domain = 'Trade Product Unit of Use (TPUU)')          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $code-to-assess, ' AND ^929360071000036103'), '', '1', true())        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product (TP)'))          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $first-pass, ' AND ^929360071000036103'), '', '1', true())        else if ($value-domain = 'Medicinal Product Pack (MPP)') then $first-pass        else $code-to-assess " />
    <xsl:variable name="class-error-3" select="$class-error-2 or ($first-pass != '' and $second-pass-1 = ('Error', '')) " />
    <xsl:variable name="second-pass" select="if (not($class-error-3) and $second-pass-1 != '') then replace($second-pass-1, '(\[.*?\])(\||$)', '$2') else '' " />
    <xsl:variable name="class-tp-1" select="if ($class-error-3) then ''        else if ($value-domain = 'Trade Product Unit of Use (TPUU)')          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $code-to-assess, ' AND ^929360021000036102'), '', '1', true())        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)'))          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $first-pass, ' AND ^929360021000036102'), '', '1', true())        else '' " />
    <xsl:variable name="class-tp-error" select="$class-tp-1 = 'Error' " />
    <xsl:variable name="class-tp" select="if (not($class-tp-error) and $class-tp-1 != '') then replace($class-tp-1, '^([0-9]+\[)(.*?)(\])$', '$2') else '' " />
    <xsl:variable name="third-pass-1" select="if ($second-pass = '') then ''        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product (TP)',          'Trade Product Unit of Use (TPUU)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)'))         then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;!', $second-pass, ' AND ^929360061000036106'), '', '1', false())        else $second-pass " />
    <xsl:variable name="class-error-4" select="$class-error-3 or ($second-pass != '' and $third-pass-1 = ('Error', '')) " />
    <xsl:variable name="third-pass" select="if ($class-error-4 or $third-pass-1 = '') then ''         else if (matches($third-pass-1, '^[0-9]+$')) then replace($der-valid-codes-4, '^([0-9]+\[)(.*?)(\]\|.*|\])$', '$2')        else if (matches($third-pass-1, '^[0-9]')) then replace($third-pass-1, '^([0-9]+\[)(.*?)(\])$', '$2') else '' " />
    <xsl:variable name="fourth-pass-1" select="if ($third-pass = '') then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', '&lt;373873005', $third-pass, '1', true()) " />
    <xsl:variable name="class-error-5" select="$class-error-4 or $fourth-pass-1 = 'Error' " />
    <xsl:variable name="fourth-pass" select="if (not($class-error-4) and $fourth-pass-1 != '' and matches($fourth-pass-1, '^[0-9]')) then replace($fourth-pass-1, '(\[.*?\])(\||$)', '$2') else '' " />
    <xsl:variable name="class-not-completed" select="($flags/@assess-class = 'true' and $code-to-assess = '')  or        ($code-to-assess != '' and $value-domain-1 = 'CodeNotFound') or        ($third-pass != '' and $fourth-pass = '')   " />
    <xsl:variable name="valid-class-1" select="if ($fourth-pass = '' or $s-number = 0) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND (', $s-formula, ')'), '', string($s-number), true()) " />
    <xsl:variable name="class-error-6" select="$class-error-5 or $valid-class-1 = 'Error' " />
    <xsl:variable name="valid-class-2" select="if ($valid-class-1 = '' or $class-error-6) then () else tokenize(replace($valid-class-1, '(\[.*?\])(\||$)', '$2'), '\|') " />
    <xsl:variable name="valid-class-3" select="if ($a-vaccine and exists($s-classification[@code = '71181003']/@description)) then ($s-classification[@code = '71181003']/@description)       else if ($a-vaccine and exists($s-classification[@code = '71181003']/@pterm)) then ($s-classification[@code = '71181003']/@pterm)       else for $code in $valid-class-2 return if ($coding/special-classification/classification[@code = $code]/@description)         then $coding/special-classification/classification[@code = $code]/@description         else $coding/special-classification/classification[@code = $code]/@pterm " />
    <xsl:variable name="fifth-pass" select="if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/first-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/first-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-7" select="$class-error-6 or $fifth-pass = 'Error' " />
    <xsl:variable name="sixth-pass" select="if (not($fifth-pass = '')) then $fifth-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/second-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/second-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-8" select="$class-error-7 or $sixth-pass = 'Error' " />
    <xsl:variable name="seventh-pass" select="if (not($sixth-pass = '')) then $sixth-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/third-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/third-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-9" select="$class-error-8 or $seventh-pass = 'Error' " />
    <xsl:variable name="eighth-pass" select="if (not($seventh-pass = '')) then $seventh-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/fourth-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/fourth-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-10" select="$class-error-9 or $eighth-pass = 'Error' " />
    <xsl:variable name="ninth-pass" select="if (not($eighth-pass = '')) then $eighth-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/fifth-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/fifth-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-11" select="$class-error-10 or $ninth-pass = 'Error' " />
    <xsl:variable name="valid-class" select="if (exists($valid-class-3)) then $valid-class-3        else if (not($ninth-pass = '')) then for $term in tokenize($ninth-pass, '\|') return replace($term, '^([0-9]+\[)(.*?)(\])$', '$2')       else () " />
    <xsl:variable name="codes-were-found" select="exists($der-tgi-codes-4) or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="obsolete-error" select="not($is-immun) and ($an-obsolete-tgi or $inactive-concept) and $obsolete-yrs-ago &gt; 2 " />
    <xsl:variable name="obsolete-warning" select="not($is-immun or $obsolete-error) and ($an-obsolete-tgi or $inactive-concept) and ($obsolete-yrs-ago &gt; 1 or $obsolete-without-date) " />
    <xsl:variable name="codes-not-found" select="not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-6 or $invalid-tgi or $a-vaccine) " />
    <xsl:variable name="codes-in-the-domain" select="not($valid-tgi-1) and $valid-tgi-5" />
    <xsl:variable name="codes-in-other-domain" select="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi or         $a-vaccine or $obsolete-warning) " />
    <xsl:variable name="codes-in-no-domain" select="exists($der-tgi-codes-5) " />
    <xsl:variable name="display-in-the-domain" select="if ($codes-in-the-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', '), '''')        else '' " />
    <xsl:variable name="display-in-other-r" select="if (exists($invalid-tgi-codes-r) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-tgi-codes-r return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-h" select="if (exists($invalid-tgi-codes-h) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-tgi-codes-h return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-domain" select="if (not($codes-in-other-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))) then ''        else if ($display-in-other-r and display-in-other-h) then concat('''', $display-in-other-r, ', ', $display-in-other-h, '''')        else if ($display-in-other-r) then concat('''', $display-in-other-r, '''')        else if ($display-in-other-h) then concat('''', $display-in-other-h, '''')        else '' " />
    <xsl:variable name="display-in-no-domain" select="if ($codes-in-no-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', dh:XQueryRecursiveReplace(string-join(for $code in $der-tgi-codes-5 return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), '; '),          $term-pattern-replacement, 'ic'), '''')        else '' " />
    <xsl:variable name="log-concepts-appended" select="if ($error-usingTS-9 or not($flags/@report-terminology-concepts = 'true') or $log-concepts-name = '') then ''        else if ($codes-not-found and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                   'Therapeutic Good Identification', $log-tab,                   'yes',     $log-tab,                   iq:display-CD(.),   $log-tab,                   '',     $log-tab,                  '',     $log-tab,                  '',     $log-tab,                  $ts-current-sctau   ))        else if (($use-revised-text-2 or $codes-in-no-domain) and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                  'Therapeutic Good Identification', $log-tab,                   'yes',     $log-tab,                     iq:display-CD(.),   $log-tab,                    $display-in-the-domain,   $log-tab,                  $display-in-other-domain,  $log-tab,                  $display-in-no-domain,   $log-tab,                  $ts-current-sctau   ))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if (matches($defn-invalid-rsn, 'is a container', 'is')) then $rating-container-TC-Types-57 else $rating-TC-Types-57 " />
    <!--REPORT -->
    <xsl:if test=" $log-concepts-appended = ('NOTFOUND', 'ERROR') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$log-concepts-appended = ('NOTFOUND', 'ERROR')">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): The AppendLog function returned '<xsl:text /><xsl:value-of select="$log-concepts-appended" /><xsl:text />' when requested to append the concepts log
		'<xsl:text /><xsl:value-of select="$log-concepts-name" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $flags/@assess-class = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $flags/@assess-class = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): 
		code-to-assess '<xsl:text /><xsl:value-of select="$code-to-assess" /><xsl:text />'
		value-domain '<xsl:text /><xsl:value-of select="$value-domain" /><xsl:text />'
		first-pass '<xsl:text /><xsl:value-of select="$first-pass" /><xsl:text />'
		second-pass '<xsl:text /><xsl:value-of select="$second-pass" /><xsl:text />'
		third-pass '<xsl:text /><xsl:value-of select="$third-pass" /><xsl:text />'
		fourth-pass '<xsl:text /><xsl:value-of select="$fourth-pass" /><xsl:text />'
		valid-class-1 '<xsl:text /><xsl:value-of select="$valid-class-1" /><xsl:text />'
		fifth-pass '<xsl:text /><xsl:value-of select="$fifth-pass" /><xsl:text />'
		sixth-pass '<xsl:text /><xsl:value-of select="$sixth-pass" /><xsl:text />'
		seventh-pass '<xsl:text /><xsl:value-of select="$seventh-pass" /><xsl:text />'
		eighth-pass '<xsl:text /><xsl:value-of select="$eighth-pass" /><xsl:text />'
		ninth-pass '<xsl:text /><xsl:value-of select="$ninth-pass" /><xsl:text />'

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $class-error-11 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$class-error-11">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An unexpected error occurred during the process to classify a terminology code.
		Report the information below to the Australian Digital Health Agency for investigation.
		The value domain was '<xsl:text /><xsl:value-of select="$value-domain" /><xsl:text />' and the error variable was
		<xsl:text /><xsl:value-of select="if ($class-error-1) then concat('class-error-1. The FindValueDomainsForCode function was called with code ''', $code-to-assess,     ''', codeSystem ''2.16.840.1.113883.6.96'' and codeSystemVersion ''', $v-current-sctau, ''' and returned ''', $value-domain-1, '''.')   else if ($class-error-2) then concat('class-error-2. The SearchForCodesInHierarchyUsingTS function was called with code ''', $code-to-assess,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $first-pass-1, '''.')   else if ($class-error-3) then concat('class-error-3. The SearchForCodesInHierarchyUsingTS function was called with code ''',     if ($value-domain = 'Trade Product Unit of Use (TPUU)') then $code-to-assess else $first-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $second-pass-1, '''.')   else if ($class-error-4) then concat('class-error-4. The SearchForCodesInHierarchyUsingTS function was called with code ''', $second-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $third-pass-1, '''.')   else if ($class-error-5) then concat('class-error-5. The SearchForCodesInHierarchyUsingTS function was called with code ''', $third-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $fourth-pass-1, '''.')   else if ($class-error-6) then concat('class-error-6. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $valid-class-1, '''.')   else if ($class-error-7) then concat('class-error-7. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $fifth-pass, '''.')   else if ($class-error-8) then concat('class-error-8. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $sixth-pass, '''.')   else if ($class-error-9) then concat('class-error-9. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $seventh-pass, '''.')   else if ($class-error-10) then concat('class-error-10. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $eighth-pass, '''.')   else if ($class-error-11) then concat('class-error-11. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $ninth-pass, '''.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $class-tp-error ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$class-tp-error">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An unexpected error occurred during the process to find the trade product name for a medicine.
		Report the information below to the Australian Digital Health Agency for investigation.
		The value domain was '<xsl:text /><xsl:value-of select="$value-domain" /><xsl:text />' and the error variable was class-tp-error.
		The FindValueDomainsForCode function was called with code ''', 
		if ($value-domain = 'Trade Product Unit of Use (TPUU)') then $code-to-assess else $first-pass, 
		''', codeSystem ''2.16.840.1.113883.6.96'' and codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $class-tp-1, '''.')

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-tgi-6) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-tgi-6)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An unexpected problem occurred when assessing the value of the Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. The application of regular expressions resulted in the complete loss of text.
		Report the information below to the Australian Digital Health Agency for investigation.

		der-text-1 '<xsl:text /><xsl:value-of select="normalize-space(dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'))" /><xsl:text />'.
		der-text-2a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-2a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-a, $term-pattern-replacement, 'ic')" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingV-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingV-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An error was reported when accessing the terminology server when assessing the Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		Report the issue to the Australian Digital Health Agency for investigation stating the error was recorded for error-usingV-2.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-9 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-9">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An error was reported when accessing the terminology server when assessing the Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term:
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The analysis should be retried as the terminology server may have been temporarily unavailable.
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'error-usingTS-1' else if ($error-usingTS-2-a) then 'error-usingTS-2-a'   else if ($error-usingTS-2-b) then 'error-usingTS-2-b' else if ($error-usingTS-2-c) then 'error-usingTS-2-c'   else if ($error-usingTS-2) then 'error-usingTS-2'   else if ($error-usingTS-3) then 'error-usingTS-3' else if ($error-usingTS-4) then 'error-usingTS-4'   else if ($error-usingTS-5) then 'error-usingTS-5' else if ($error-usingTS-6) then 'error-usingTS-6'   else if ($error-usingTS-7) then 'error-usingTS-7' else if ($error-usingTS-8) then 'error-usingTS-8'   else 'error-usingTS-9' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or      $valid-tgi-6 or $invalid-tgi) and not($a-vaccine and not(false())) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi) and not($a-vaccine and not(false()))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         that was the focus of the action. (See section 3.5 of the eHealth Dispense Record Structured Content Specification v1.0.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Dispense Item (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi) and    not($a-vaccine and false()) and not($obsolete-warning) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi) and not($a-vaccine and false()) and not($obsolete-warning)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the value does not seem to be applicable for the data element.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         that was the focus of the action. (See section 3.5 of the eHealth Dispense Record Structured Content Specification v1.0.)')" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $obsolete-warning ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$obsolete-warning">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the name may not be applicable for the data element.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> and the
		<xsl:text /><xsl:value-of select="if ($display-obsolete-date != '') then concat('name of the therapeutic good was last used ', $display-obsolete-date)   else if ($obsolete-tgi-info/@name) then concat('therapeutic good ''', $obsolete-tgi-info/@name, ''' was last available ', $display-obsolete-date)    else if ($obsolete-without-date) then 'name of the therapeutic good is no longer used ' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($obsolete-tgi-info/@reason) then concat(' because ', $obsolete-tgi-info/@reason, '.') else '.' " /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         that was the focus of the action. (See section 3.5 of the eHealth Dispense Record Structured Content Specification v1.0.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		<xsl:text /><xsl:value-of select="$creation-date-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $obsolete-error ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$obsolete-error">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the name is not applicable for the data element.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> and the
		<xsl:text /><xsl:value-of select="if ($display-obsolete-date != '') then concat('name of the therapeutic good was last used ', $display-obsolete-date)   else if ($obsolete-tgi-info/@name) then concat('therapeutic good ''', $obsolete-tgi-info/@name, ''' was last available ', $display-obsolete-date)    else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($obsolete-tgi-info/@reason) then concat(' because ', $obsolete-tgi-info/@reason, '.') else '.' " /><xsl:text />
		That was <xsl:text /><xsl:value-of select="if (contains(string($obsolete-yrs-ago), '.')) then substring-before(string($obsolete-yrs-ago), '.') else $obsolete-yrs-ago " /><xsl:text /> years before the
		<xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         that was the focus of the action. (See section 3.5 of the eHealth Dispense Record Structured Content Specification v1.0.)'))" /><xsl:text /><xsl:text /><xsl:value-of select="$creation-date-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the data element does not have a proper value. <xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         that was the focus of the action. (See section 3.5 of the eHealth Dispense Record Structured Content Specification v1.0.)'))" /><xsl:text />
		The Therapeutic Good Identification data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         that was the focus of the action. (See section 3.5 of the eHealth Dispense Record Structured Content Specification v1.0.)'))" /><xsl:text />
		The Therapeutic Good Identification data element must have a value that is consistent with this definition. Alternatively if there is no Therapeutic Good Identification data element with a proper value then an exclusion
		statement must be included to state why there is no Therapeutic Good Identification. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4')    then concat('Text such as ''', dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'), ''' may be permitted in the narrative even though the Therapeutic Good Identification data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the data element does not have a proper value. <xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         that was the focus of the action. (See section 3.5 of the eHealth Dispense Record Structured Content Specification v1.0.)'))" /><xsl:text />
		The Therapeutic Good Identification data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($der-text-non-value) and $der-invalid-text ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($der-text-non-value) and $der-invalid-text">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />
		however the value is invalid. <xsl:text /><xsl:value-of select="$defn-invalid-rsn" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         that was the focus of the action. (See section 3.5 of the eHealth Dispense Record Structured Content Specification v1.0.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $a-vaccine and false() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$a-vaccine and false()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />
		which identifies a vaccine. <xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         that was the focus of the action. (See section 3.5 of the eHealth Dispense Record Structured Content Specification v1.0.)'))" /><xsl:text />
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Dispense Item (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $invalid-tgi and not($error-usingTS-9) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$invalid-tgi and not($error-usingTS-9)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
ZZZ
der-text '<xsl:text /><xsl:value-of select="$der-text" /><xsl:text />'
der-revised-text-1 '<xsl:text /><xsl:value-of select="$der-revised-text-1" /><xsl:text />'
der-revised-text-2 '<xsl:text /><xsl:value-of select="$der-revised-text-2" /><xsl:text />'
ZZZ
		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the value is invalid
		<xsl:text /><xsl:value-of select="if (exists($invalid-tgi-codes-h) or exists($invalid-tgi-codes-r)) then concat(' as it describes ',    iq:invalidityExplanationUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, $invalid-tgi-codes-h, $cd-definitions/meds/meds-invalid/hierarchy, $invalid-tgi-codes-r, $cd-definitions/meds/meds-invalid/refset), '.')   else '.' " /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         that was the focus of the action. (See section 3.5 of the eHealth Dispense Record Structured Content Specification v1.0.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable outside the applicable value domain): The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. The following codes were obtained and are not in the value domain:
		<xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-TGI-Defn): The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU and no associated code was found in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists(($der-NAF-active-codes, $undetermined-NAF-active-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists(($der-NAF-active-codes, $undetermined-NAF-active-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-TGI-Defn): The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-active-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the
		'<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU but it was not found with this status in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.
		<xsl:text /><xsl:value-of select="if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and ($valid-tgi-1 or $a-vaccine-2 or (not($valid-tgi-5) and $valid-tgi-6))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and ($valid-tgi-1 or $a-vaccine-2 or (not($valid-tgi-5) and $valid-tgi-6))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable within the value domain): The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> which matches
		<xsl:text /><xsl:value-of select="if ($a-vaccine-1) then 'one of the terms listed in Knowledge.xml' else 'the vaccine information in CodeSystems.xml' " /><xsl:text /> for the Therapeutic Good Identification.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(exists($valid-class)) and $class-not-completed and not($class-tp-error or $class-error-10) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(exists($valid-class)) and $class-not-completed and not($class-tp-error or $class-error-10)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. <xsl:text /><xsl:value-of select="if ($code-to-assess = '') then 'No code could be found for the medicine.'    else if ($value-domain = '') then concat('The code ''', $code-to-assess, ''' was found to apply to the medicine by applying the terminology server using the ''', $ts-current-sctau,   ''' version of SNOMED CT-AU but the code was not found in the Validator''s database using the ''', $v-current-sctau, ''' version of SNOMED CT-AU.',   if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '')   else concat('This is a ', $value-domain,    if ($value-domain = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)')) then    concat(' (with medicinal product ''', $third-pass, ''').')    else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)'))    then concat(' (with trade product ''', $class-tp, ''').')    else '.') " /><xsl:text /> The classification of this medicine could not be completed.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists($valid-class) and not($class-tp-error or $class-error-11) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists($valid-class) and not($class-tp-error or $class-error-11)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This <xsl:text /><xsl:value-of select="if (not($value-domain = ('Containered Trade Product Pack (CTPP)',    'Trade Product Pack (TPP)', 'Trade Product (TP)', 'Trade Product Unit of Use (TPUU)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Medicinal Product (MP)')))    then '' else concat('is a ', $value-domain, ' which')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($value-domain = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)')) then concat(' (with medicinal product ''', $third-pass, ''') which')   else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)'))    then concat(' (with trade product ''', $class-tp, ''') which') else '' " /><xsl:text />
		identifies a type of <xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($valid-class, ' and '), $markup-pattern-replacement, 'ic')" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (concept is codeable within the value domain): The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> which is a valid value for the Therapeutic Good Identification.
		SNOMED CT-AU codes that matched the concept are: <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The text used to match regular expression (der-text-2) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to match non-values and vaccines (der-text-to-match) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-to-match, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to derive a code (der-text) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.

		<xsl:text /><xsl:value-of select="if ($use-revised-text-1) then concat(' A first revision of the text (der-revised-text-1) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-1, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A first revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-1 != '' and $der-revised-text-1 = '') then ' revision-pattern-1 was applied but the output (der-revised-text-1) was an empty string.' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($use-revised-text-2) then concat(' A second revision of the text (der-revised-text-2) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A second revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-2 != '' and $der-revised-text-2 = '') then ' revision-pattern-2 was applied but the output (der-revised-text-2) was an empty string.' else '' " /><xsl:text />

		The SNOMED CT-AU version used to find codes is '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' and the maximum code number is '<xsl:text /><xsl:value-of select="$max-code-number" /><xsl:text />'.

		Codes for related terms (related-terms-2): '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($related-terms-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes for related terms (der-valid-codes-1): 
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-1, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-tgi-codes-2) returned by the terminology server that match the text:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-tgi-codes-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes from related terms or the terminology server (der-valid-codes-2):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-2, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-inactive-codes-3) returned from the Validator's database associated with inactive codes:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-inactive-codes-3, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes found after examining inactive codes (der-valid-codes-3):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-3, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Members of invalid reference sets (invalid-tgi-codes-r): '<xsl:text /><xsl:value-of select="$display-in-other-r" /><xsl:text />'.
		Members of invalid code hierarchies (invalid-tgi-codes-h): '<xsl:text /><xsl:value-of select="$display-in-other-h" /><xsl:text />'.

		Final set of valid codes (der-valid-codes-4): <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.
		
		Codes whose validity has not been determined (der-tgi-codes-5): <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.
		Codes whose validity has not been determined and are inactive with no associated code (undetermined-NAF): '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(    string-join($undetermined-NAF, ''', '''), $markup-pattern-replacement, 'ic')" /><xsl:text />'.

		Result of the second vaccination code test (a-vaccine-2): '<xsl:text /><xsl:value-of select="$a-vaccine-2" /><xsl:text />'.
		Vaccine codes (vaccine-code-test):  '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($vaccine-code-test, '; '), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Overall result of the vaccination test (a-vaccine): '<xsl:text /><xsl:value-of select="$a-vaccine" /><xsl:text />'.

		Will the value of the data element be trusted (der-trusted-text)? '<xsl:text /><xsl:value-of select="$der-trusted-text" /><xsl:text />'.
		
	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and $codes-not-found">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept not codeable): The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($avoid-ts) then 'The terminology server was not used to assist with finding codes corresponding to text in the data element. ' else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $prose-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $prose-err">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> which is invalid as it is prose text.
		The Therapeutic Good Identification data element is CodeableText derived from the HL7 CD data type which by definition is to record a concept defined in an external code system, terminology or ontology.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         that was the focus of the action. (See section 3.5 of the eHealth Dispense Record Structured Content Specification v1.0.)'))" /><xsl:text />
		This finding will also be reported as an error.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M290" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M290" />
  <xsl:template match="@*|node()" priority="-2" mode="M290">
    <xsl:apply-templates select="@*|*" mode="M290" />
  </xsl:template>
  <!--PATTERN p-TS-DispItem-CodeableText-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:supply/cda:product/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M291">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:supply/cda:product/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Therapeutic Good Identification has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Therapeutic Good Identification data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Therapeutic Good Identification data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Therapeutic Good Identification data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Therapeutic Good Identification data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Therapeutic Good Identification data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = () and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = () and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Therapeutic Good Identification data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Therapeutic Good Identification data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Therapeutic Good Identification data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M291" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M291" />
  <xsl:template match="@*|node()" priority="-2" mode="M291">
    <xsl:apply-templates select="@*|*" mode="M291" />
  </xsl:template>
  <!--PATTERN p-TS-DispItem-CodeableText-5-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$templateId-root = '1.2.36.1.2001.1001.100.1002.171' and $templateId-ext = '1.0' and    '102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:supply/cda:product/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code " priority="1000" mode="M292">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$templateId-root = '1.2.36.1.2001.1001.100.1002.171' and $templateId-ext = '1.0' and    '102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:supply/cda:product/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and exists(('ALL')[. = 'ALL']) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and exists(('ALL')[. = 'ALL'])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. The Therapeutic Good Identification data element is not allowed to contain a nullFlavor attribute.
		(See section 3.2.13 of the eHealth Dispense Record PCEHR Conformance Profile v1.3.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and exists(('ALL')[. = current()/@nullFlavor]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and exists(('ALL')[. = current()/@nullFlavor])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. The Therapeutic Good Identification data element is not allowed to contain a nullFlavor attribute
		with this value. (See section 3.2.13 of the eHealth Dispense Record PCEHR Conformance Profile v1.3.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M292" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M292" />
  <xsl:template match="@*|node()" priority="-2" mode="M292">
    <xsl:apply-templates select="@*|*" mode="M292" />
  </xsl:template>
  <!--PATTERN p-TS-DispItem-CodeableText-6-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:supply/cda:product/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code " priority="1000" mode="M293">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:supply/cda:product/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code " />
    <xsl:variable name="hist-vers-1" select="tokenize($ts-snomedctau-pre-ordered, '\|')" />
    <xsl:variable name="pcode" select="if (not(@code)) then ''        else if (@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)) then @code        else '' " />
    <xsl:variable name="pname-to-test" select="@codeSystem = '2.16.840.1.113883.6.96' and @displayName and $pcode != '' " />
    <xsl:variable name="psctau-version" select="if (exists(@codeSystemVersion) and matches(@codeSystemVersion, $snomedctau-version-regex)) then @codeSystemVersion else '' " />
    <xsl:variable name="psnomed-id" select="if (not($pname-to-test) or not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion) and          dh:IsFirstDateEarlierThanSecondDate($creation-date, substring-after($first-amt-in-sctau, '/version/')) = '1') then 'amtv3'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (not($psctau-version = '')) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="psnomed-type" select="if ($psnomed-id = 'amtv3') then 'AMT v3'        else if ($psnomed-id = 'snomedctau') then 'SNOMED CT-AU'        else if ($psnomed-id = 'snomedct') then 'SNOMED CT'        else '' " />
    <xsl:variable name="pvers-old" select="if ($psnomed-id = 'snomedctau' and @codeSystemVersion) then not(exists($ts-snomedctau[. = current()/@codeSystemVersion]))        else if ($psnomed-id = 'snomedctau' and $creation-date != '' and $ts-earliest-sctau-date != '') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $ts-earliest-sctau-date) = '1'         else if ($psnomed-id = 'amtv3' and @codeSystemVersion) then not(exists($v-amtv3[. = current()/@codeSystemVersion]))        else if ($psnomed-id = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '1'         else false() " />
    <xsl:variable name="psctau-ts" select="if ($psctau-version = '' or not($pvers-old)) then '' else substring-after($psctau-version, '/version/') " />
    <xsl:variable name="psctau-ts-xs" select="if ($psctau-ts = '') then '' else concat(substring($psctau-ts, 1, 4), '-', substring($psctau-ts, 5, 2), '-', substring($psctau-ts, 7, 2))" />
    <xsl:variable name="psctau-ts-1" select="if ($psctau-ts = '' or not($psctau-ts-xs castable as xs:date)) then '' else string($sctau-last-xs - xs:date($psctau-ts-xs)) " />
    <xsl:variable name="psctau-ts-2" select="if ($psctau-ts-1 = '' or not(matches($psctau-ts-1, '^P[0-9]+D'))) then '' else substring-before(substring-after($psctau-ts-1, 'P'), 'D') " />
    <xsl:variable name="psctau-ts-63-err" select="$psctau-ts-2 != '' and $psctau-ts-2 &gt; $sctau-acceptable-age  " />
    <xsl:variable name="ts-psnomed-version" select="if (not($pname-to-test) or not($psnomed-id = 'snomedctau')) then ''        else if (not(@codeSystemVersion)) then $ts-latest-snomedctau        else if ($psnomed-id = 'snomedctau' and @codeSystemVersion and not($pvers-old)) then @codeSystemVersion        else if ($pvers-old and $ts-earliest-sctau-date != '') then concat('http://snomed.info/sct/32506021000036107/version/', $ts-earliest-sctau-date)        else $ts-latest-snomedctau " />
    <xsl:variable name="v-psnomed-version" select="if (not($psnomed-id = 'amtv3')) then ''        else if (@codeSystemVersion and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($pvers-old) then concat('http://snomed.info/sct/900062011000036108/version/', $v-earliest-amtv3-date)        else $v-latest-amtv3 " />
    <xsl:variable name="test-pname" select="$pname-to-test and not($ts-psnomed-version = '' and $v-psnomed-version = '') and not($psctau-ts-63-err)" />
    <xsl:variable name="p-term-actual-1" select="if ($test-pname and $use-ts-for-sctau and $psnomed-id = 'snomedctau')        then dh:FindPreferredTermUsingTS($pcode, '2.16.840.1.113883.6.96', $ts-psnomed-version)        else if ($test-pname and exists($v-amtv3) and $psnomed-id = 'amtv3')        then replace(dh:FindPreferredTermAndCaseSignificance($pcode, '2.16.840.1.113883.6.96', $v-psnomed-version), '\|.*$', '', 'is')       else '' " />
    <xsl:variable name="error-usingTS-1" select="$p-term-actual-1 = 'Error' " />
    <xsl:variable name="p-term-actual" select="if ($p-term-actual-1 = ('CodeNotFound', 'Error')) then '' else $p-term-actual-1 " />
    <xsl:variable name="pname-invalid" select="$test-pname and $p-term-actual != '' and lower-case($p-term-actual) != lower-case(@displayName) " />
    <xsl:variable name="phist-search" select="$test-pname and $pname-invalid and $ts-snomedctau-pre-ordered != '' " />
    <xsl:variable name="phist-vers-2" select="if ($phist-search) then index-of($hist-vers-1, substring-after($ts-psnomed-version, 'version/')) else () " />
    <xsl:variable name="phist-vers-3" select="if (exists($phist-vers-2) and count($hist-vers-1) &gt; $phist-vers-2[1]) then $hist-vers-1[$phist-vers-2[1] + 1] else '' " />
    <xsl:variable name="phist-vers-4" select="if ($phist-vers-3 = '') then '' else concat('http://snomed.info/sct/32506021000036107/version/', $phist-vers-3) " />
    <xsl:variable name="phist-vers-5" select="if ($phist-vers-4 != '' and $use-ts-for-sctau)         then dh:FindLatestVersionWhereDisplaynameMatchUsingTS($pcode, '2.16.840.1.113883.6.96', $phist-vers-4, @displayName, false()) else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or $phist-vers-5 = 'Error' " />
    <xsl:variable name="phist-vers-found-1" select="matches($phist-vers-5, 'http') " />
    <xsl:variable name="pcode-pterm-date-1" select="if (not($pname-invalid) or $phist-vers-found-1) then '' else dh:LatestDateForPreferredTerm($pcode, '2.16.840.1.113883.6.96', $v-latest-snomedctau) " />
    <xsl:variable name="error-pcode-pterm-date" select="'Error' = $pcode-pterm-date-1" />
    <xsl:variable name="pcode-pterm-date-2" select="if (matches($pcode-pterm-date-1, '^[0-9]{8}\|')) then substring-before($pcode-pterm-date-1, '|') else '' " />
    <xsl:variable name="pcode-pterm-date-est" select="$pcode-pterm-date-2 != '' and dh:IsFirstDateEarlierThanSecondDate($creation-date, $pcode-pterm-date-2) = '0' " />
    <xsl:variable name="pcode-pterm-date" select="if ($pcode-pterm-date-est) then $pcode-pterm-date-2 else '' " />
    <xsl:variable name="phist-vers-6" select="if ($phist-vers-5 = 'PreferredTermNeverMatches' and not($pcode-pterm-date-est) and matches($pcode, $sctau-namespace-id-regex))         then dh:IsCodePreferredTermInTerminologyValid($pcode, '2.16.840.1.113883.6.96', $v-latest-amtv3, @displayName)        else '' " />
    <xsl:variable name="phist-vers-found-2" select="$phist-vers-6 = 'PreferredTermMatch' " />
    <xsl:variable name="phist-vers-7" select="if ($phist-vers-6 = 'PreferredTermMismatch' and not($pcode-pterm-date-est) and $v-latest-amtv2 = $last-amtv2)         then dh:IsCodePreferredTermInTerminologyValid($pcode, '1.2.36.1.2001.1004.100', $last-amtv2, @displayName)        else '' " />
    <xsl:variable name="phist-vers-found-3" select="$phist-vers-7 = 'PreferredTermMatch' " />
    <xsl:variable name="phist-vers-found" select="$phist-vers-found-1 or $phist-vers-found-2 or $phist-vers-found-3 or $pcode-pterm-date-est " />
    <xsl:variable name="phist-vers-date" select="if ($phist-vers-found-1) then substring-after($phist-vers-5, 'http://snomed.info/sct/32506021000036107/version/')         else if ($phist-vers-found-2) then substring-after($v-latest-amtv3, 'http://snomed.info/sct/900062011000036108/version/')        else if ($phist-vers-found-3) then $last-amtv2-date        else if ($pcode-pterm-date-est) then $pcode-pterm-date        else '' " />
    <xsl:variable name="phist-last-diff" select="if ($sctau-last = '' or $phist-vers-date = '') then ''        else iq:display-date-diff($phist-vers-date, $sctau-last)[2] " />
    <xsl:variable name="phist-last-old" select="$phist-last-diff != '' and not(number($phist-last-diff) &lt; $sctau-acceptable-age) " />
    <xsl:variable name="p-term-found-in" select="if ($phist-vers-found-1) then 'last used in the version of SNOMED CT-AU'        else if ($phist-vers-found-2) then 'used in the version of AMT v3'        else if ($phist-vers-found-3) then 'used in the version of AMT v2'        else '' " />
    <xsl:variable name="phist-last-msg" select="if ($pcode-pterm-date-est) then concat(' The preferred term was last changed in the version of SNOMED CT-AU published ',          iq:display-date($phist-vers-date),          ' so if the value of the displayName was ever valid then it must be before then. ',          'That version was published ', $phist-last-diff, ' days before the version of SNOMED CT-AU published immediately prior to the date ''',         /cda:ClinicalDocument/cda:effectiveTime/@value, ''' that this ', $document-name,          ' was created. SNOMED CT-AU is published monthly and the Australian National Terminology Licence Agreement requires the copy used ',         'in healthcare software systems (live or production environments) to be updated within 30 days of the National Terminology release.')         else if (not($phist-last-old) or $p-term-found-in = '') then ''        else concat(' The value of the displayName was ', $p-term-found-in,          ' published on the ', iq:display-date($phist-vers-date), '. That version was published ', $phist-last-diff,          ' days before the version of SNOMED CT-AU published immediately prior to the date the ', $document-name,          ' was created. SNOMED CT-AU is published monthly and the Australian National Terminology Licence Agreement requires the copy used in',         ' healthcare software systems (live or production environments) to be updated within 30 days of the National Terminology release.') " />
    <xsl:variable name="p-date-required" select="if (not($pname-invalid)) then ''        else if (@codeSystemVersion and matches(@codeSystemVersion, $snomed-version-regex-1)) then substring-after(@codeSystemVersion, '/version/')        else if ($creation-date-est) then ''        else $creation-date " />
    <xsl:variable name="p-date-diff" select="if ($p-date-required = '' or         not(dh:IsFirstDateEarlierThanSecondDate(substring-after($ts-psnomed-version, '/version/'), $p-date-required) = '1')) then ()        else iq:display-date-diff(substring-after($ts-psnomed-version, '/version/'), $p-date-required)" />
    <xsl:variable name="p-old-ts-version" select="exists($p-date-diff) and number($p-date-diff[2]) &gt; 31 " />
    <xsl:variable name="snomed-trans-1" select="if (cda:translation) then cda:translation[@displayName and @codeSystem = '2.16.840.1.113883.6.96' and @code and         matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="snomed-trans-2" select="distinct-values(for $trans in $snomed-trans-1 return $trans/@code) " />
    <xsl:variable name="snomed-trans-a" select="if (exists($snomed-trans-1)) then $snomed-trans-1[1] else () " />
    <xsl:variable name="tcode-a" select="if (exists($snomed-trans-a)) then $snomed-trans-a/@code else '' " />
    <xsl:variable name="tname-a-to-test" select="$tcode-a != '' and $snomed-trans-a/@displayName " />
    <xsl:variable name="tsctau-version-a" select="if (exists($snomed-trans-a/@codeSystemVersion) and matches($snomed-trans-a/@codeSystemVersion, $snomedctau-version-regex)) then $snomed-trans-a/@codeSystemVersion else '' " />
    <xsl:variable name="tsnomed-id-a" select="if (not($tname-a-to-test)) then 'none'        else if (not($snomed-trans-a/@codeSystemVersion) and          dh:IsFirstDateEarlierThanSecondDate($creation-date, substring-after($first-amt-in-sctau, '/version/')) = '1') then 'amtv3'        else if (not($snomed-trans-a/@codeSystemVersion)) then 'snomedctau'        else if (not($tsctau-version-a = '')) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-a/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="tsnomed-a-type" select="if ($tsnomed-id-a = 'amtv3') then 'AMT v3'        else if ($tsnomed-id-a = 'snomedctau') then 'SNOMED CT-AU'        else if ($tsnomed-id-a = 'snomedct') then 'SNOMED CT'        else '' " />
    <xsl:variable name="t-vers-a-old" select="if ($tsnomed-id-a = 'snomedctau' and $snomed-trans-a/@codeSystemVersion) then not(exists($ts-snomedctau[. = $snomed-trans-a/@codeSystemVersion]))         else if ($tsnomed-id-a = 'snomedctau' and $creation-date != '' and $ts-earliest-sctau-date != '') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $ts-earliest-sctau-date) = '1'         else if ($tsnomed-id-a = 'amtv3' and $snomed-trans-a/@codeSystemVersion) then not(exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion]))        else if ($tsnomed-id-a = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '1'         else false() " />
    <xsl:variable name="tsctau-ts-a" select="if ($tsctau-version-a = '' or not($t-vers-a-old)) then '' else substring-after($tsctau-version-a, '/version/') " />
    <xsl:variable name="tsctau-ts-a-xs" select="if ($tsctau-ts-a = '') then '' else concat(substring($tsctau-ts-a, 1, 4), '-', substring($tsctau-ts-a, 5, 2), '-', substring($tsctau-ts-a, 7, 2))" />
    <xsl:variable name="tsctau-ts-a-1" select="if ($tsctau-ts-a = '' or not($tsctau-ts-a-xs castable as xs:date)) then '' else string($sctau-last-xs - xs:date($tsctau-ts-a-xs)) " />
    <xsl:variable name="tsctau-ts-a-2" select="if ($tsctau-ts-a-1 = '' or not(matches($tsctau-ts-a-1, '^P[0-9]+D'))) then '' else substring-before(substring-after($tsctau-ts-a-1, 'P'), 'D') " />
    <xsl:variable name="tsctau-ts-a-63-err" select="$tsctau-ts-a-2 != '' and $tsctau-ts-a-2 &gt; $sctau-acceptable-age  " />
    <xsl:variable name="ts-tsnomed-version-a" select="if (not($tname-a-to-test) or not($tsnomed-id-a = 'snomedctau')) then ''        else if (not($snomed-trans-a/@codeSystemVersion)) then $ts-latest-snomedctau        else if ($tsnomed-id-a = 'snomedctau' and $snomed-trans-a/@codeSystemVersion and not($t-vers-a-old)) then $snomed-trans-a/@codeSystemVersion        else if ($t-vers-a-old and $ts-earliest-sctau-date != '') then concat('http://snomed.info/sct/32506021000036107/version/', $ts-earliest-sctau-date)        else $ts-latest-snomedctau " />
    <xsl:variable name="v-tsnomed-version-a" select="if (not($tsnomed-id-a = 'amtv3')) then ''        else if ($snomed-trans-a/@codeSystemVersion and exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($t-vers-a-old) then concat('http://snomed.info/sct/900062011000036108/version/', $v-earliest-amtv3-date)        else $v-latest-amtv3 " />
    <xsl:variable name="test-tname-a" select="$tname-a-to-test and not($ts-tsnomed-version-a = '' and $v-tsnomed-version-a = '') and not($tsctau-ts-a-63-err) " />
    <xsl:variable name="t-a-term-actual-1" select="if ($test-tname-a and $use-ts-for-sctau and $tsnomed-id-a = 'snomedctau')         then dh:FindPreferredTermUsingTS($tcode-a, '2.16.840.1.113883.6.96', $ts-tsnomed-version-a)         else if ($test-tname-a and exists($v-amtv3) and $tsnomed-id-a = 'amtv3')         then replace(dh:FindPreferredTermAndCaseSignificance($tcode-a, '2.16.840.1.113883.6.96', $v-tsnomed-version-a), '\|.*$', '', 'is')        else '' " />
    <xsl:variable name="error-usingTS-3" select="$error-usingTS-2 or $t-a-term-actual-1 = 'Error' " />
    <xsl:variable name="t-a-term-actual" select="if ($t-a-term-actual-1 = 'CodeNotFound' or $t-a-term-actual-1 = 'Error') then '' else $t-a-term-actual-1 " />
    <xsl:variable name="tname-a-invalid" select="$test-tname-a and $t-a-term-actual != '' and lower-case($t-a-term-actual) != lower-case($snomed-trans-a/@displayName) " />
    <xsl:variable name="thist-a-search" select="$test-tname-a and $tname-a-invalid and $ts-snomedctau-pre-ordered != '' " />
    <xsl:variable name="thist-a-vers-2" select="if ($thist-a-search) then index-of($hist-vers-1, substring-after($ts-tsnomed-version-a, 'version/')) else () " />
    <xsl:variable name="thist-a-vers-3" select="if (exists($thist-a-vers-2) and count($hist-vers-1) &gt; $thist-a-vers-2[1]) then $hist-vers-1[$thist-a-vers-2[1] + 1] else '' " />
    <xsl:variable name="thist-a-vers-4" select="if ($thist-a-vers-3 = '') then '' else concat('http://snomed.info/sct/32506021000036107/version/', $thist-a-vers-3) " />
    <xsl:variable name="thist-a-vers-5" select="if ($thist-a-vers-4 != '' and $use-ts-for-sctau)         then dh:FindLatestVersionWhereDisplaynameMatchUsingTS($tcode-a, '2.16.840.1.113883.6.96', $thist-a-vers-4, $snomed-trans-a/@displayName, false())         else '' " />
    <xsl:variable name="error-usingTS-4" select="$error-usingTS-3 or $thist-a-vers-5 = 'Error' " />
    <xsl:variable name="thist-a-vers-found-1" select="matches($thist-a-vers-5, 'http') " />
    <xsl:variable name="tcode-a-pterm-date-1" select="if (not($tname-a-invalid) or $thist-a-vers-found-1) then ''          else dh:LatestDateForPreferredTerm($tcode-a, '2.16.840.1.113883.6.96', $v-latest-snomedctau) " />
    <xsl:variable name="error-tcode-a-pterm-date" select="'Error' = $tcode-a-pterm-date-1" />
    <xsl:variable name="tcode-a-pterm-date-2" select="if (matches($tcode-a-pterm-date-1, '^[0-9]{8}\|')) then substring-before($tcode-a-pterm-date-1, '|') else '' " />
    <xsl:variable name="tcode-a-pterm-date-est" select="$tcode-a-pterm-date-2 != '' and dh:IsFirstDateEarlierThanSecondDate($creation-date, $tcode-a-pterm-date-2) = '0' " />
    <xsl:variable name="tcode-a-pterm-date" select="if ($tcode-a-pterm-date-est) then $tcode-a-pterm-date-2 else '' " />
    <xsl:variable name="thist-a-vers-6" select="if ($thist-a-vers-5 = 'PreferredTermNeverMatches' and not($tcode-a-pterm-date-est) and matches($tcode-a, $sctau-namespace-id-regex))         then dh:IsCodePreferredTermInTerminologyValid($tcode-a, '2.16.840.1.113883.6.96', $v-latest-amtv3, $snomed-trans-a/@displayName)        else '' " />
    <xsl:variable name="thist-a-vers-found-2" select="$thist-a-vers-6 = 'PreferredTermMatch' " />
    <xsl:variable name="thist-a-vers-7" select="if ($thist-a-vers-6 = 'PreferredTermMismatch' and not($tcode-a-pterm-date-est) and $v-latest-amtv2 = $last-amtv2)         then dh:IsCodePreferredTermInTerminologyValid($tcode-a, '1.2.36.1.2001.1004.100', $last-amtv2, $snomed-trans-a/@displayName)        else '' " />
    <xsl:variable name="thist-a-vers-found-3" select="$thist-a-vers-7 = 'PreferredTermMatch' " />
    <xsl:variable name="thist-a-vers-found" select="$thist-a-vers-found-1 or $thist-a-vers-found-2 or $thist-a-vers-found-3 or $tcode-a-pterm-date-est " />
    <xsl:variable name="thist-a-vers-date" select="if ($thist-a-vers-found-1) then substring-after($thist-a-vers-5, 'http://snomed.info/sct/32506021000036107/version/')         else if ($thist-a-vers-found-2) then substring-after($v-latest-amtv3, 'http://snomed.info/sct/900062011000036108/version/')        else if ($thist-a-vers-found-3) then $last-amtv2-date        else if ($tcode-a-pterm-date-est) then $tcode-a-pterm-date        else '' " />
    <xsl:variable name="thist-a-last-diff" select="if ($sctau-last = '' or $thist-a-vers-date = '') then ''        else iq:display-date-diff($thist-a-vers-date, $sctau-last)[2] " />
    <xsl:variable name="thist-a-last-old" select="$thist-a-last-diff != '' and not(number($thist-a-last-diff) &lt; $sctau-acceptable-age) " />
    <xsl:variable name="t-a-term-found-in" select="if ($thist-a-vers-found-1) then 'last used in the version of SNOMED CT-AU'        else if ($thist-a-vers-found-2) then 'used in the version of AMT v3'        else if ($thist-a-vers-found-3) then 'used in the version of AMT v2'        else '' " />
    <xsl:variable name="thist-a-last-msg" select="if ($tcode-a-pterm-date-est) then concat(' The preferred term was last changed in the version of SNOMED CT-AU published ',          iq:display-date($thist-a-vers-date),          ' so if the value of the translation code displayName was ever valid then it must be before then. ',          'That version was published ', $thist-a-last-diff, ' days before the version of SNOMED CT-AU published immediately prior to the date ''',         /cda:ClinicalDocument/cda:effectiveTime/@value, ''' that this ', $document-name,          ' was created. SNOMED CT-AU is published monthly and the Australian National Terminology Licence Agreement requires the copy used ',         'in healthcare software systems (live or production environments) to be updated within 30 days of the National Terminology release.')         else if (not($thist-a-last-old) or $t-a-term-found-in = '') then ''           else concat(' The value of the translation code displayName was ', $t-a-term-found-in, ' published on the ', iq:display-date($thist-a-vers-date),         '. That version was published ', $thist-a-last-diff, ' days before the version of SNOMED CT-AU published immediately prior to the date the ',        $document-name, ' was created. SNOMED CT-AU is published monthly and the Australian National Terminology Licence Agreement requires ',        'the copy used in healthcare software systems (live or production environments) to be updated within 30 days of the National Terminology release.')" />
    <xsl:variable name="tr-a-date-required" select="if (not($tname-a-invalid)) then ''        else if ($snomed-trans-a/@codeSystemVersion and matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1))          then substring-after($snomed-trans-a/@codeSystemVersion, '/version/')        else if ($creation-date-est) then ''        else $creation-date " />
    <xsl:variable name="tr-a-date-diff" select="if ($tr-a-date-required = '' or         not(dh:IsFirstDateEarlierThanSecondDate(substring-after($ts-tsnomed-version-a, '/version/'), $tr-a-date-required) = '1')) then ()        else iq:display-date-diff(substring-after($ts-tsnomed-version-a, '/version/'), $tr-a-date-required)" />
    <xsl:variable name="tr-a-old-ts-version" select="exists($tr-a-date-diff) and number($tr-a-date-diff[2]) &gt; 31 " />
    <xsl:variable name="snomed-trans-b" select="if (exists($snomed-trans-1)) then $snomed-trans-1[@code and not(@code = $tcode-a)] else () " />
    <xsl:variable name="tcode-b" select="if (exists($snomed-trans-b)) then $snomed-trans-b/@code else '' " />
    <xsl:variable name="tname-b-to-test" select="$tcode-b != '' and $snomed-trans-b/@displayName " />
    <xsl:variable name="tsctau-version-b" select="if (exists($snomed-trans-b/@codeSystemVersion) and matches($snomed-trans-b/@codeSystemVersion, $snomedctau-version-regex)) then $snomed-trans-b/@codeSystemVersion else '' " />
    <xsl:variable name="tsnomed-id-b" select="if (not($tname-b-to-test)) then 'none'        else if (not($snomed-trans-b/@codeSystemVersion) and          dh:IsFirstDateEarlierThanSecondDate($creation-date, substring-after($first-amt-in-sctau, '/version/')) = '1') then 'amtv3'        else if (not($snomed-trans-b/@codeSystemVersion)) then 'snomedctau'        else if (not($tsctau-version-b = '')) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-b/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="tsnomed-b-type" select="if ($tsnomed-id-b = 'amtv3') then 'AMT v3'        else if ($tsnomed-id-b = 'snomedctau') then 'SNOMED CT-AU'        else if ($tsnomed-id-b = 'snomedct') then 'SNOMED CT'        else '' " />
    <xsl:variable name="t-vers-b-old" select="if ($tsnomed-id-b = 'snomedctau' and $snomed-trans-b/@codeSystemVersion) then not(exists($ts-snomedctau[. = $snomed-trans-b/@codeSystemVersion]))         else if ($tsnomed-id-b = 'snomedctau' and $creation-date != '' and $ts-earliest-sctau-date != '') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $ts-earliest-sctau-date) = '1'         else if ($tsnomed-id-b = 'amtv3' and $snomed-trans-b/@codeSystemVersion) then not(exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion]))        else if ($tsnomed-id-b = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '1'         else false() " />
    <xsl:variable name="tsctau-ts-b" select="if ($tsctau-version-b = '' or not($t-vers-b-old)) then '' else substring-after($tsctau-version-b, '/version/') " />
    <xsl:variable name="tsctau-ts-b-xs" select="if ($tsctau-ts-b = '') then '' else concat(substring($tsctau-ts-b, 1, 4), '-', substring($tsctau-ts-b, 5, 2), '-', substring($tsctau-ts-b, 7, 2))" />
    <xsl:variable name="tsctau-ts-b-1" select="if ($tsctau-ts-b = '' or not($tsctau-ts-b-xs castable as xs:date)) then '' else string($sctau-last-xs - xs:date($tsctau-ts-b-xs)) " />
    <xsl:variable name="tsctau-ts-b-2" select="if ($tsctau-ts-b-1 = '' or not(matches($tsctau-ts-b-1, '^P[0-9]+D'))) then '' else substring-before(substring-after($tsctau-ts-b-1, 'P'), 'D') " />
    <xsl:variable name="tsctau-ts-b-63-err" select="$tsctau-ts-b-2 != '' and $tsctau-ts-b-2 &gt; $sctau-acceptable-age  " />
    <xsl:variable name="ts-tsnomed-version-b" select="if (not($tname-b-to-test) or not($tsnomed-id-b = 'snomedctau')) then ''        else if (not($snomed-trans-b/@codeSystemVersion)) then $ts-latest-snomedctau        else if ($tsnomed-id-b = 'snomedctau' and $snomed-trans-b/@codeSystemVersion and not($t-vers-b-old)) then $snomed-trans-b/@codeSystemVersion        else if ($t-vers-b-old and $ts-earliest-sctau-date != '') then concat('http://snomed.info/sct/32506021000036107/version/', $ts-earliest-sctau-date)        else $ts-latest-snomedctau " />
    <xsl:variable name="v-tsnomed-version-b" select="if (not($tsnomed-id-b = 'amtv3')) then ''        else if ($snomed-trans-b/@codeSystemVersion and exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($t-vers-b-old) then concat('http://snomed.info/sct/900062011000036108/version/', $v-earliest-amtv3-date)        else $v-latest-amtv3 " />
    <xsl:variable name="test-tname-b" select="$tname-b-to-test and not($ts-tsnomed-version-b = '' and $v-tsnomed-version-b = '') and not($tsctau-ts-b-63-err) " />
    <xsl:variable name="t-b-term-actual-1" select="if ($test-tname-b and $use-ts-for-sctau and $tsnomed-id-b = 'snomedctau')        then dh:FindPreferredTermUsingTS($tcode-b, '2.16.840.1.113883.6.96', $ts-tsnomed-version-b)        else if ($test-tname-b and exists($v-amtv3) and $tsnomed-id-b = 'amtv3')        then replace(dh:FindPreferredTermAndCaseSignificance($tcode-b, '2.16.840.1.113883.6.96', $v-tsnomed-version-b), '\|.*$', '', 'is')       else '' " />
    <xsl:variable name="error-usingTS-5" select="$error-usingTS-4 or $t-b-term-actual-1 = 'Error' " />
    <xsl:variable name="t-b-term-actual" select="if ($t-b-term-actual-1 = 'CodeNotFound' or $t-b-term-actual-1 = 'Error') then '' else $t-b-term-actual-1 " />
    <xsl:variable name="tname-b-invalid" select="$test-tname-b and $t-b-term-actual != '' and lower-case($t-b-term-actual) != lower-case($snomed-trans-b/@displayName) " />
    <xsl:variable name="thist-b-search" select="$test-tname-b and $tname-b-invalid and $ts-snomedctau-pre-ordered != '' " />
    <xsl:variable name="thist-b-vers-2" select="if ($thist-b-search) then index-of($hist-vers-1, substring-after($ts-tsnomed-version-b, 'version/')) else () " />
    <xsl:variable name="thist-b-vers-3" select="if (exists($thist-b-vers-2) and count($hist-vers-1) &gt; $thist-b-vers-2[1]) then $hist-vers-1[$thist-b-vers-2[1] + 1] else '' " />
    <xsl:variable name="thist-b-vers-4" select="if ($thist-b-vers-3 = '') then '' else concat('http://snomed.info/sct/32506021000036107/version/', $thist-b-vers-3) " />
    <xsl:variable name="thist-b-vers-5" select="if ($thist-b-vers-4 != '' and $use-ts-for-sctau)         then dh:FindLatestVersionWhereDisplaynameMatchUsingTS($tcode-b, '2.16.840.1.113883.6.96', $thist-b-vers-4, $snomed-trans-b/@displayName, false())         else '' " />
    <xsl:variable name="error-usingTS-6" select="$error-usingTS-5 or $thist-b-vers-5 = 'Error' " />
    <xsl:variable name="thist-b-vers-found-1" select="matches($thist-b-vers-5, 'http') " />
    <xsl:variable name="tcode-b-pterm-date-1" select="if (not($tname-b-invalid) or $thist-b-vers-found-1) then ''          else dh:LatestDateForPreferredTerm($tcode-b, '2.16.840.1.113883.6.96', $v-latest-snomedctau) " />
    <xsl:variable name="error-tcode-b-pterm-date" select="'Error' = $tcode-b-pterm-date-1" />
    <xsl:variable name="tcode-b-pterm-date-2" select="if (matches($tcode-b-pterm-date-1, '^[0-9]{8}\|')) then substring-before($tcode-b-pterm-date-1, '|') else '' " />
    <xsl:variable name="tcode-b-pterm-date-est" select="$tcode-b-pterm-date-2 != '' and dh:IsFirstDateEarlierThanSecondDate($creation-date, $tcode-b-pterm-date-2) = '0' " />
    <xsl:variable name="tcode-b-pterm-date" select="if ($tcode-b-pterm-date-est) then $tcode-b-pterm-date-2 else '' " />
    <xsl:variable name="thist-b-vers-6" select="if ($thist-b-vers-5 = 'PreferredTermNeverMatches' and not($tcode-b-pterm-date-est) and matches($tcode-b, $sctau-namespace-id-regex))         then dh:IsCodePreferredTermInTerminologyValid($tcode-b, '2.16.840.1.113883.6.96', $v-latest-amtv3, $snomed-trans-b/@displayName)        else '' " />
    <xsl:variable name="thist-b-vers-found-2" select="$thist-b-vers-6 = 'PreferredTermMatch' " />
    <xsl:variable name="thist-b-vers-7" select="if ($thist-b-vers-6 = 'PreferredTermMismatch' and not($tcode-b-pterm-date-est) and $v-latest-amtv2 = $last-amtv2)         then dh:IsCodePreferredTermInTerminologyValid($tcode-b, '1.2.36.1.2001.1004.100', $last-amtv2, $snomed-trans-b/@displayName)        else '' " />
    <xsl:variable name="thist-b-vers-found-3" select="$thist-b-vers-7 = 'PreferredTermMatch' " />
    <xsl:variable name="thist-b-vers-found" select="$thist-b-vers-found-1 or $thist-b-vers-found-2 or $thist-b-vers-found-3 or $tcode-b-pterm-date-est " />
    <xsl:variable name="thist-b-vers-date" select="if ($thist-b-vers-found-1) then substring-after($thist-b-vers-5, 'http://snomed.info/sct/32506021000036107/version/')         else if ($thist-b-vers-found-2) then substring-after($v-latest-amtv3, 'http://snomed.info/sct/900062011000036108/version/')        else if ($thist-b-vers-found-3) then $last-amtv2-date        else if ($tcode-b-pterm-date-est) then $tcode-b-pterm-date        else '' " />
    <xsl:variable name="thist-b-last-diff" select="if ($sctau-last = '' or $thist-b-vers-date = '') then ''        else iq:display-date-diff($thist-b-vers-date, $sctau-last)[2] " />
    <xsl:variable name="thist-b-last-old" select="$thist-b-last-diff != '' and not(number($thist-b-last-diff) &lt; $sctau-acceptable-age) " />
    <xsl:variable name="t-b-term-found-in" select="if ($thist-b-vers-found-1) then 'last used in the version of SNOMED CT-AU'        else if ($thist-b-vers-found-2) then 'used in the version of AMT v3'        else if ($thist-b-vers-found-3) then 'used in the version of AMT v2'        else '' " />
    <xsl:variable name="thist-b-last-msg" select="if ($tcode-b-pterm-date-est) then concat(' The preferred term was last changed in the version of SNOMED CT-AU published ',          iq:display-date($thist-b-vers-date),          ' so if the value of the translation code displayName was ever valid then it must be before then. ',          'That version was published ', $thist-b-last-diff, ' days before the version of SNOMED CT-AU published immediately prior to the date ''',         /cda:ClinicalDocument/cda:effectiveTime/@value, ''' that this ', $document-name,          ' was created. SNOMED CT-AU is published monthly and the Australian National Terminology Licence Agreement requires the copy used ',         'in healthcare software systems (live or production environments) to be updated within 30 days of the National Terminology release.')        else if (not($thist-b-last-old) or $t-b-term-found-in = '') then ''           else concat(' The value of the translation code displayName was ', $t-b-term-found-in,         ' published on the ', iq:display-date($thist-b-vers-date),         '. That version was published ', $thist-b-last-diff, ' days before the version of SNOMED CT-AU published immediately prior to the date the ',        $document-name, ' was created. SNOMED CT-AU is published monthly and the Australian National Terminology Licence Agreement requires ',        'the copy used in healthcare software systems (live or production environments) to be updated within 30 days of the National Terminology release.')" />
    <xsl:variable name="tr-b-date-required" select="if (not($tname-b-invalid)) then ''        else if ($snomed-trans-b/@codeSystemVersion and matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1))          then substring-after($snomed-trans-b/@codeSystemVersion, '/version/')        else if ($creation-date-est) then ''        else $creation-date " />
    <xsl:variable name="tr-b-date-diff" select="if ($tr-b-date-required = '' or         not(dh:IsFirstDateEarlierThanSecondDate(substring-after($ts-tsnomed-version-b, '/version/'), $tr-b-date-required) = '1')) then ()        else iq:display-date-diff(substring-after($ts-tsnomed-version-b, '/version/'), $tr-b-date-required)" />
    <xsl:variable name="tr-b-old-ts-version" select="exists($tr-b-date-diff) and number($tr-b-date-diff[2]) &gt; 31 " />
    <xsl:variable name="psnomed-version-msg" select="if (not($pname-to-test) or $psctau-ts-63-err) then ''        else if (not(@codeSystemVersion) and $psnomed-id = 'snomedctau' and $pvers-old)          then concat(' The terminology server did not have a version of SNOMED CT-AU published before the date the clinical document was created (',         /cda:ClinicalDocument/cda:effectiveTime/@value, ') so the ''',          $ts-psnomed-version, ''' version of the SNOMED CT-AU code system was used in the assessment.')        else if (not(@codeSystemVersion) and $psnomed-id = 'amtv3' and $pvers-old)          then concat(' The terminology server did not have a version of AMT v3 published before the date the clinical document was created (',         /cda:ClinicalDocument/cda:effectiveTime/@value, ') so the ''',          $v-psnomed-version, ''' version of the AMT v3 code system was used in the assessment.')        else if (not(@codeSystemVersion) and $psnomed-id = 'amtv3') then concat(' The data element did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the AMT v3 code system was used in the assessment.')        else if (not(@codeSystemVersion)) then concat(' The data element did not contain the codeSystemVersion attribute so the ''',          $ts-psnomed-version, ''' version of the SNOMED CT-AU code system was used in the assessment.')        else if ($psnomed-id = 'snomedctau' and not($pvers-old)) then          concat(' The ''', $ts-psnomed-version, ''' version of the code system was used to validate the SNOMED CT-AU code.')        else if ($psnomed-id = 'snomedctau' and $pvers-old) then          concat(' The codeSystemVersion attribute has the correct format for SNOMED CT-AU ''', @codeSystemVersion,          ''' but that version is not present in the Terminology Server.')        else if ($psnomed-id = 'amtv3') then         concat(' The codeSystemVersion attribute has the correct format for AMT v3 ''', @codeSystemVersion,          ''' but that version was not available to use in the assessment.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1) or matches(@codeSystemVersion, $snomed-version-regex-2)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system was not available to use in the assessment.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' .') " />
    <xsl:variable name="tsnomed-version-a-msg" select="if (not($tname-a-to-test) or $tsctau-ts-a-63-err) then ''        else if (not($snomed-trans-a/@codeSystemVersion) and $tsnomed-id-a = 'snomedctau' and $t-vers-a-old)          then concat(' The terminology server did not have a version of SNOMED CT-AU published before the date the clinical document was created (',         /cda:ClinicalDocument/cda:effectiveTime/@value, ') so the ''',          $ts-tsnomed-version-a, ''' version of the SNOMED CT-AU code system was used in the assessment.')        else if (not($snomed-trans-a/@codeSystemVersion) and $tsnomed-id-a = 'amtv3' and $t-vers-a-old)          then concat(' The Clinical Package Validator did not have a version of AMT v3 published before the date the clinical document was created (',         /cda:ClinicalDocument/cda:effectiveTime/@value, ') so the ''',          $v-tsnomed-version-a, ''' version of the AMT v3 code system was used in the assessment.')        else if (not($snomed-trans-a/@codeSystemVersion) and $tsnomed-id-a = 'amtv3')          then concat(' The data element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-a, ''' version of the AMT v3 code system was used in the assessment.')        else if (not($snomed-trans-a/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $ts-tsnomed-version-a, ''' version of the SNOMED CT-AU code system was used in the assessment.')         else if ($tsnomed-id-a = 'snomedctau' and not($t-vers-a-old)) then          concat(' The ''', $ts-tsnomed-version-a, ''' version of the code system was used to validate the SNOMED CT-AU code.')        else if ($tsnomed-id-a = 'snomedctau' and $t-vers-a-old) then          concat(' The codeSystemVersion attribute has the correct format for SNOMED CT-AU ''', $snomed-trans-a/@codeSystemVersion,          ''' but that version is not present in the Terminology Server.')        else if ($tsnomed-id-a = 'amtv3') then         concat(' The codeSystemVersion attribute has the correct format for AMT v3 ''', $snomed-trans-a/@codeSystemVersion,          ''' but that version was not available to use in the assessment.')        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1) or matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-2))         then concat(' The ''', $snomed-trans-a/@codeSystemVersion, ''' version of the code system was not available to use in the assessment.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-a/@codeSystemVersion, '''.') " />
    <xsl:variable name="tsnomed-version-b-msg" select="if (not($tname-b-to-test) or $ts-tsnomed-version-b = '' or $tsctau-ts-b-63-err) then ''        else if (not($snomed-trans-b/@codeSystemVersion) and $tsnomed-id-b = 'snomedctau' and $t-vers-b-old)          then concat(' The terminology server did not have a version of SNOMED CT-AU published before the date the clinical document was created (',         /cda:ClinicalDocument/cda:effectiveTime/@value, ') so the ''',          $ts-tsnomed-version-b, ''' version of the SNOMED CT-AU code system was used in the assessment.')        else if (not($snomed-trans-b/@codeSystemVersion) and $tsnomed-id-b = 'amtv3' and $t-vers-b-old)          then concat(' The Clinical Package Validator did not have a version of AMT v3 published before the date the clinical document was created (',         /cda:ClinicalDocument/cda:effectiveTime/@value, ') so the ''',          $v-tsnomed-version-b, ''' version of the AMT v3 code system was used in the assessment.')        else if (not($snomed-trans-b/@codeSystemVersion) and $tsnomed-id-b = 'amtv3')          then concat(' The data element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-b, ''' version of the AMT v3 code system was used in the assessment.')        else if (not($snomed-trans-b/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $ts-tsnomed-version-b, ''' version of the SNOMED CT-AU code system was used in the assessment.')         else if ($tsnomed-id-b = 'snomedctau' and not($t-vers-b-old)) then          concat(' The ''', $ts-tsnomed-version-b, ''' version of the code system was used to validate the SNOMED CT-AU code.')        else if ($tsnomed-id-b = 'snomedctau' and $t-vers-b-old) then          concat(' The codeSystemVersion attribute has the correct format for SNOMED CT-AU ''', $snomed-trans-b/@codeSystemVersion,          ''' but that version is not present in the Terminology Server.')        else if ($tsnomed-id-b = 'amtv3') then         concat(' The codeSystemVersion attribute has the correct format for AMT v3 ''', $snomed-trans-b/@codeSystemVersion,          ''' but that version was not available to use in the assessment.')        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1) or matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-2))         then concat(' The ''', $snomed-trans-b/@codeSystemVersion, ''' version of the code system was not available to use in the assessment.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-b/@codeSystemVersion, '''.') " />
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and ($pname-to-test or $tname-a-to-test or $tname-b-to-test) and not($use-ts-for-sctau) and    not($psctau-ts-63-err or $tsctau-ts-a-63-err or $tsctau-ts-b-63-err) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and ($pname-to-test or $tname-a-to-test or $tname-b-to-test) and not($use-ts-for-sctau) and not($psctau-ts-63-err or $tsctau-ts-a-63-err or $tsctau-ts-b-63-err)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /><xsl:text /><xsl:value-of select="if ($tname-a-to-test) then concat(' and translation ', iq:display-CD($snomed-trans-a)) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($tname-b-to-test) then concat(' and translation ', iq:display-CD($snomed-trans-b)) else '' " /><xsl:text />
		A terminology server with SNOMED CT-AU codes was not available so it was not possible to verify that the AMT code contains the preferred term for the displayName.
		Confirm that the value of the displayName attribute meets the requirement that it be the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 3.5 of the eHealth Dispense Record Structured Content Specification v1.0.) 

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-6 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-6">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-GCD: An error was reported when accessing the terminology server. The analysis should be retried as the terminology server may have been temporarily unavailable.
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.
		<xsl:text /><xsl:value-of select="if ($p-term-actual-1 = 'Error') then concat(' The error occurred when calling the function FindPreferredTermUsingTS with code ''', $pcode,    ''', codeSystem ''2.16.840.1.113883.6.96'' and codeSystemVersion ''', $ts-psnomed-version, '''.')   else if ($t-a-term-actual-1 = 'Error') then concat(' The error occurred when calling the function FindPreferredTermUsingTS with code ''', $tcode-a,    ''', codeSystem ''2.16.840.1.113883.6.96'' and codeSystemVersion ''', $ts-tsnomed-version-a, '''.')   else if ($t-b-term-actual-1 = 'Error') then concat(' The error occurred when calling the function FindPreferredTermUsingTS with code ''', $tcode-b,    ''', codeSystem ''2.16.840.1.113883.6.96'' and codeSystemVersion ''', $ts-tsnomed-version-b, '''.')   else if ($phist-vers-5 = 'Error') then concat(' The error occurred when calling the function FindLatestVersionWhereDisplaynameMatchUsingTS with code ''', @code,    ''', codeSystem ''2.16.840.1.113883.6.96'', initialVersion ''', $phist-vers-4, ''', displayName ''', @displayName, ''' and enforceCase ''false()''.')   else if ($thist-a-vers-5 = 'Error') then concat(' The error occurred when calling the function FindLatestVersionWhereDisplaynameMatchUsingTS with code ''', $tcode-a,    ''', codeSystem ''2.16.840.1.113883.6.96'', initialVersion ''', $thist-a-vers-4, ''', displayName ''', $snomed-trans-a/@displayName, ''' and enforceCase ''false()''.')   else if ($thist-b-vers-5 = 'Error') then concat(' The error occurred when calling the function FindLatestVersionWhereDisplaynameMatchUsingTS with code ''', $tcode-b,    ''', codeSystem ''2.16.840.1.113883.6.96'', initialVersion ''', $thist-b-vers-4, ''', displayName ''', $snomed-trans-b/@displayName, ''' and enforceCase ''false()''.')    else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-pcode-pterm-date ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-pcode-pterm-date">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$pcode-pterm-date-1" /><xsl:text /> was returned when calling the function LatestDateForPreferredTerm with
		code '<xsl:text /><xsl:value-of select="$pcode" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-latest-snomedctau" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$phist-vers-6 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$phist-vers-6 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$phist-vers-6" /><xsl:text /> was returned when calling the function IsCodePreferredTermInTerminologyValid with
		code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96', codeSystemVersion '<xsl:text /><xsl:value-of select="$v-latest-amtv3" /><xsl:text />' and
		displayName '<xsl:text /><xsl:value-of select="@displayName" /><xsl:text />'. The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$phist-vers-7 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$phist-vers-7 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$phist-vers-7" /><xsl:text /> was returned when calling the function IsCodePreferredTermInTerminologyValid with
		code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />', codeSystem '1.2.36.1.2001.1004.100', codeSystemVersion '<xsl:text /><xsl:value-of select="$last-amtv2" /><xsl:text />' and
		displayName '<xsl:text /><xsl:value-of select="@displayName" /><xsl:text />'. The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $pname-to-test and (not($test-pname) or ($pname-invalid and $pvers-old)) and not($pcode-pterm-date-est or $psctau-ts-63-err)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pname-to-test and (not($test-pname) or ($pname-invalid and $pvers-old)) and not($pcode-pterm-date-est or $psctau-ts-63-err)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		Confirm that the value of the displayName attribute is the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 3.5 of the eHealth Dispense Record Structured Content Specification v1.0.)<xsl:text /><xsl:value-of select="$psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $pname-to-test and $pname-invalid and (not($pvers-old) or $pcode-pterm-date-est) and    (not($phist-vers-found) or ($phist-vers-found and $phist-last-old)) and not($p-old-ts-version)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pname-to-test and $pname-invalid and (not($pvers-old) or $pcode-pterm-date-est) and (not($phist-vers-found) or ($phist-vers-found and $phist-last-old)) and not($p-old-ts-version)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. The value of the displayName attribute does not meet the requirement that it be the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 3.5 of the eHealth Dispense Record Structured Content Specification v1.0.) <xsl:text /><xsl:value-of select="$phist-last-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($p-term-actual = '') then ''   else if ($ts-psnomed-version != '') then concat(' According to the ''', $ts-psnomed-version, ''' version of SNOMED CT-AU the correct value for the preferred term is ''',   dh:XQueryRecursiveReplace($p-term-actual, $markup-pattern-replacement, 'ic'), '''.')   else concat(' According to the ''', $v-psnomed-version, ''' version of AMT v3 the correct value for the preferred term is ''',   dh:XQueryRecursiveReplace($p-term-actual, $markup-pattern-replacement, 'ic'), '''.') " /><xsl:text />'

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $pname-to-test and $pname-invalid and (not($pvers-old) or $pcode-pterm-date-est) and    (not($phist-vers-found) or ($phist-vers-found and $phist-last-old)) and $p-old-ts-version">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pname-to-test and $pname-invalid and (not($pvers-old) or $pcode-pterm-date-est) and (not($phist-vers-found) or ($phist-vers-found and $phist-last-old)) and $p-old-ts-version">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. The value of the displayName attribute may not meet the requirement that it be the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 3.5 of the eHealth Dispense Record Structured Content Specification v1.0.) According to the '<xsl:text /><xsl:value-of select="$ts-psnomed-version" /><xsl:text />' version of SNOMED CT-AU the correct value for the preferred term is
		'<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($p-term-actual, $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		However that version of SNOMED CT-AU in the Terminology Server was published on the <xsl:text /><xsl:value-of select="iq:display-date(substring-after($ts-psnomed-version, '/version/'))" /><xsl:text />
		which is <xsl:text /><xsl:value-of select="$p-date-diff" /><xsl:text /> before the <xsl:text /><xsl:value-of select="if (@codeSystemVersion and matches(@codeSystemVersion, $snomed-version-regex-1)) then   'value of the codeSystemVersion attribute' else concat('date the ', $document-name, ' was created')" /><xsl:text /> which is <xsl:text /><xsl:value-of select="iq:display-date($creation-date)" /><xsl:text />.
		Use a more recently published version of SNOMED CT-AU to confirm if the value of the displayName attribute is the preferred term for the code.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> has 
		<xsl:text /><xsl:value-of select="if ($numbers/number[number(@value) = count($snomed-trans-2)])        then $numbers/number[number(@value) = count($snomed-trans-2)]/@name        else count($snomed-trans-2)" /><xsl:text /> translation elements with
		distinct codes and the SNOMED CT codeSystem '2.16.840.1.113883.6.96'. The first translation element has been assessed to determine if the value of the displayName is the preferred term and
		the others have not been assessed. Confirm if the value of the displayName attribute in all SNOMED CT translation elements meets the requirement that it be the preferred term, also known as
		the preferred synonym, for the code. (See the Conditions of Use in the definition of Therapeutic Good Identification in the Conditions of Use in section 3.5 of the eHealth Dispense Record Structured Content Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-tcode-a-pterm-date ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-tcode-a-pterm-date">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$tcode-a-pterm-date-1" /><xsl:text /> was returned when calling the function LatestDateForPreferredTerm with
		code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-latest-snomedctau" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$thist-a-vers-6 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$thist-a-vers-6 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$thist-a-vers-6" /><xsl:text /> was returned when calling the function IsCodePreferredTermInTerminologyValid with
		code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', '2.16.840.1.113883.6.96', codeSystemVersion '<xsl:text /><xsl:value-of select="$v-latest-amtv3" /><xsl:text />' and
		displayName '<xsl:text /><xsl:value-of select="$snomed-trans-a/@displayName" /><xsl:text />'. The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$thist-a-vers-7 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$thist-a-vers-7 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$thist-a-vers-7" /><xsl:text /> was returned when calling the function IsCodePreferredTermInTerminologyValid with
		code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', codeSystem '1.2.36.1.2001.1004.100', codeSystemVersion '<xsl:text /><xsl:value-of select="$last-amtv2" /><xsl:text />' and
		displayName '<xsl:text /><xsl:value-of select="$snomed-trans-a/@displayName" /><xsl:text />'. The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-tcode-b-pterm-date ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-tcode-b-pterm-date">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$tcode-b-pterm-date-1" /><xsl:text /> was returned when calling the function LatestDateForPreferredTerm with
		code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-latest-snomedctau" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$thist-b-vers-6 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$thist-b-vers-6 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$thist-b-vers-6" /><xsl:text /> was returned when calling the function IsCodePreferredTermInTerminologyValid with
		code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', '2.16.840.1.113883.6.96', codeSystemVersion '<xsl:text /><xsl:value-of select="$v-latest-amtv3" /><xsl:text />' and
		displayName '<xsl:text /><xsl:value-of select="$snomed-trans-b/@displayName" /><xsl:text />'. The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$thist-b-vers-7 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$thist-b-vers-7 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$thist-b-vers-7" /><xsl:text /> was returned when calling the function IsCodePreferredTermInTerminologyValid with
		code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', codeSystem '1.2.36.1.2001.1004.100', codeSystemVersion '<xsl:text /><xsl:value-of select="$last-amtv2" /><xsl:text />' and
		displayName '<xsl:text /><xsl:value-of select="$snomed-trans-b/@displayName" /><xsl:text />'. The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $tname-a-to-test and (not($test-tname-a) or ($tname-a-invalid and $t-vers-a-old)) and not($tcode-a-pterm-date-est or $tsctau-ts-a-63-err) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tname-a-to-test and (not($test-tname-a) or ($tname-a-invalid and $t-vers-a-old)) and not($tcode-a-pterm-date-est or $tsctau-ts-a-63-err)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> has translation <xsl:text /><xsl:value-of select="iq:display-CD($snomed-trans-a)" /><xsl:text />.
		Confirm that the value of the translation code displayName attribute is the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 3.5 of the eHealth Dispense Record Structured Content Specification v1.0.)<xsl:text /><xsl:value-of select="$tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $tname-b-to-test and (not($test-tname-b) or ($tname-b-invalid and $t-vers-b-old)) and not($tcode-b-pterm-date-est or $tsctau-ts-b-63-err) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tname-b-to-test and (not($test-tname-b) or ($tname-b-invalid and $t-vers-b-old)) and not($tcode-b-pterm-date-est or $tsctau-ts-b-63-err)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> has translation <xsl:text /><xsl:value-of select="iq:display-CD($snomed-trans-b)" /><xsl:text />.
		Confirm that the value of the translation code displayName attribute is the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 3.5 of the eHealth Dispense Record Structured Content Specification v1.0.)<xsl:text /><xsl:value-of select="$tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tcode-a = '') and $tname-a-invalid and (not($t-vers-a-old) or $tcode-a-pterm-date-est) and    (not($thist-a-vers-found) or ($thist-a-vers-found and $thist-a-last-old)) and not($tr-a-old-ts-version)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tcode-a = '') and $tname-a-invalid and (not($t-vers-a-old) or $tcode-a-pterm-date-est) and (not($thist-a-vers-found) or ($thist-a-vers-found and $thist-a-last-old)) and not($tr-a-old-ts-version)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> has translation <xsl:text /><xsl:value-of select="iq:display-CD($snomed-trans-a)" /><xsl:text />.
		The value of the translation code displayName attribute does not meet the requirement that it be the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 3.5 of the eHealth Dispense Record Structured Content Specification v1.0.) <xsl:text /><xsl:value-of select="$thist-a-last-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($t-a-term-actual = '') then ''   else if ($ts-tsnomed-version-a != '') then concat(' According to the ''', $ts-tsnomed-version-a, ''' version of SNOMED CT-AU the correct value for the preferred term is ''',   dh:XQueryRecursiveReplace($t-a-term-actual, $markup-pattern-replacement, 'ic'), '''.')   else concat(' According to the ''', $v-tsnomed-version-a, ''' version of AMT v3 the correct value for the preferred term is ''',   dh:XQueryRecursiveReplace($t-a-term-actual, $markup-pattern-replacement, 'ic'), '''.') " /><xsl:text />'

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not($tcode-a = '') and $tname-a-invalid and (not($t-vers-a-old) or $tcode-a-pterm-date-est) and    (not($thist-a-vers-found) or ($thist-a-vers-found and $thist-a-last-old)) and $tr-a-old-ts-version">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not($tcode-a = '') and $tname-a-invalid and (not($t-vers-a-old) or $tcode-a-pterm-date-est) and (not($thist-a-vers-found) or ($thist-a-vers-found and $thist-a-last-old)) and $tr-a-old-ts-version">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> has translation <xsl:text /><xsl:value-of select="iq:display-CD($snomed-trans-a)" /><xsl:text />.
		The value of the translation code displayName attribute may not meet the requirement that it be the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 3.5 of the eHealth Dispense Record Structured Content Specification v1.0.) According to the '<xsl:text /><xsl:value-of select="$ts-tsnomed-version-a" /><xsl:text />' version of SNOMED CT-AU the correct value for the preferred term is
		'<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($t-a-term-actual, $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		However that version of SNOMED CT-AU in the Terminology Server was published on the <xsl:text /><xsl:value-of select="iq:display-date(substring-after($ts-tsnomed-version-a, '/version/'))" /><xsl:text />
		which is <xsl:text /><xsl:value-of select="$tr-a-date-diff" /><xsl:text /> before the <xsl:text /><xsl:value-of select="if ($snomed-trans-a/@codeSystemVersion and matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1))    then 'value of the translation codeSystemVersion attribute' else concat('date the ', $document-name, ' was created')" /><xsl:text /> which is <xsl:text /><xsl:value-of select="iq:display-date($creation-date)" /><xsl:text />.
		Use a more recently published version of SNOMED CT-AU to confirm if the value of the displayName attribute is the preferred term for the translation code.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tcode-b = '') and $tname-b-invalid and (not($t-vers-b-old) or $tcode-b-pterm-date-est) and    (not($thist-b-vers-found) or ($thist-b-vers-found and $thist-b-last-old)) and not($tr-b-old-ts-version)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tcode-b = '') and $tname-b-invalid and (not($t-vers-b-old) or $tcode-b-pterm-date-est) and (not($thist-b-vers-found) or ($thist-b-vers-found and $thist-b-last-old)) and not($tr-b-old-ts-version)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> has translation <xsl:text /><xsl:value-of select="iq:display-CD($snomed-trans-b)" /><xsl:text />.
		The value of the translation code displayName attribute does not meet the requirement that it be the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 3.5 of the eHealth Dispense Record Structured Content Specification v1.0.) <xsl:text /><xsl:value-of select="$thist-b-last-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($t-b-term-actual = '') then ''   else if ($ts-tsnomed-version-b != '') then concat(' According to the ''', $ts-tsnomed-version-b, ''' version of SNOMED CT-AU the correct value for the preferred term is ''',   dh:XQueryRecursiveReplace($t-b-term-actual, $markup-pattern-replacement, 'ic'), '''.')   else concat(' According to the ''', $v-tsnomed-version-b, ''' version of AMT v3 the correct value for the preferred term is ''',   dh:XQueryRecursiveReplace($t-b-term-actual, $markup-pattern-replacement, 'ic'), '''.') " /><xsl:text />'

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not($tcode-b = '') and $tname-b-invalid and (not($t-vers-b-old) or $tcode-b-pterm-date-est) and    (not($thist-b-vers-found) or ($thist-b-vers-found and $thist-b-last-old)) and $tr-b-old-ts-version">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not($tcode-b = '') and $tname-b-invalid and (not($t-vers-b-old) or $tcode-b-pterm-date-est) and (not($thist-b-vers-found) or ($thist-b-vers-found and $thist-b-last-old)) and $tr-b-old-ts-version">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> has translation <xsl:text /><xsl:value-of select="iq:display-CD($snomed-trans-b)" /><xsl:text />.
		The value of the translation code displayName attribute may not meet the requirement that it be the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 3.5 of the eHealth Dispense Record Structured Content Specification v1.0.) According to the '<xsl:text /><xsl:value-of select="$ts-tsnomed-version-b" /><xsl:text />' version of SNOMED CT-AU the correct value for the preferred term is
		'<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($t-b-term-actual, $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		However that version of SNOMED CT-AU in the Terminology Server was published on the <xsl:text /><xsl:value-of select="iq:display-date(substring-after($ts-tsnomed-version-b, '/version/'))" /><xsl:text />
		which is <xsl:text /><xsl:value-of select="$tr-b-date-diff" /><xsl:text /> before the <xsl:text /><xsl:value-of select="if ($snomed-trans-b/@codeSystemVersion and matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1))    then 'value of the translation codeSystemVersion attribute' else concat('date the ', $document-name, ' was created')" /><xsl:text /> which is <xsl:text /><xsl:value-of select="iq:display-date($creation-date)" /><xsl:text />.
		Use a more recently published version of SNOMED CT-AU to confirm if the value of the displayName attribute is the preferred term for the translation code.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M293" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M293" />
  <xsl:template match="@*|node()" priority="-2" mode="M293">
    <xsl:apply-templates select="@*|*" mode="M293" />
  </xsl:template>
  <!--PATTERN p-TS-DispItem-CodeableText-7-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/   cda:substanceAdministration/cda:entryRelationship/cda:supply/cda:product/cda:manufacturedProduct/cda:manufacturedMaterial/ext:formCode " priority="1000" mode="M294">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/   cda:substanceAdministration/cda:entryRelationship/cda:supply/cda:product/cda:manufacturedProduct/cda:manufacturedMaterial/ext:formCode " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Form '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Form '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Form',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Form '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Form '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'allowed' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'allowed' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Form
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Form however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Form in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'allowed' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'allowed' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Form
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Form however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Form in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Form data element must have a value that is consistent with this definition. Alternatively if there is no Form data element with a proper value then an exclusion
		statement must be included to state why there is no Form.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'allowed' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'allowed' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Form
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Form however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Form in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'allowed' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'allowed' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Form
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Form however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Form in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Form data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'allowed' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'allowed' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Form
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Form however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Form in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Form data element must have a value that is consistent with this definition. Alternatively if there is no Form data element with a proper value then an exclusion
		statement must be included to state why there is no Form.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'allowed' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'allowed' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Form
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Form however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Form in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Form data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Form '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Form
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Form
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Form '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Form '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Form '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Form '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Form '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Form '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Form
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Form '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Form '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Form.
		(See the definition of Form in the Structured Content Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Form '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M294" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M294" />
  <xsl:template match="@*|node()" priority="-2" mode="M294">
    <xsl:apply-templates select="@*|*" mode="M294" />
  </xsl:template>
  <!--PATTERN p-TS-DispItem-CodeableText-8-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/   cda:substanceAdministration/cda:entryRelationship/cda:supply/cda:product/cda:manufacturedProduct/cda:manufacturedMaterial/ext:formCode   [@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " priority="1000" mode="M295">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/   cda:substanceAdministration/cda:entryRelationship/cda:supply/cda:product/cda:manufacturedProduct/cda:manufacturedMaterial/ext:formCode   [@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="pnullFlavor" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @nullFlavor) then @nullFlavor else '' " />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-p-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then false()        else if ($psnomed-id = 'amtv3' and @codeSystemVersion) then exists($v-amtv3[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($psnomed-id = 'snomedctau' and @codeSystemVersion) then exists($v-snomedctau[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false() " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and $pcode != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used to assess the primary code.') " />
    <xsl:variable name="pcode-refsets-1" select="if (@codeSystem = '2.16.840.1.113883.6.96' and not($pcode = ''))         then dh:FindValueDomainsForCode($pcode, '2.16.840.1.113883.6.96', $v-psnomed-version) else 'no-code' " />
    <xsl:variable name="pcode-found" select="not($pcode-refsets-1 = 'no-code' or $pcode-refsets-1 = 'CodeNotFound' or $pcode-refsets-1 = 'Error'        or contains($pcode-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="pcode-refsets" select="if ($pcode-found) then distinct-values(tokenize($pcode-refsets-1, '\|')) else () " />
    <xsl:variable name="pcode-special-proc" select="count($pcode-refsets) = 1 and 'Procedure Foundation (PF)' = $pcode-refsets and not($pnullFlavor = 'OTH') " />
    <xsl:variable name="pcode-refsets-msg" select="if (count($pcode-refsets) = 0) then ''         else if (count($pcode-refsets) = 1) then concat('The code is a member of the ', $pcode-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($pcode-refsets, ', '), '.') " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))         else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-1" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="snomed-trans-2" select="distinct-values(for $i in (1 to count($snomed-trans-1)) return $snomed-trans-1[$i]/@code) " />
    <xsl:variable name="snomed-trans-a" select="$snomed-trans-1[1] " />
    <xsl:variable name="tcode-a" select="if (exists($snomed-trans-a) and matches($snomed-trans-a/@code, $snomed-code-regex)) then $snomed-trans-a/@code else '' " />
    <xsl:variable name="tnullFlavor-a" select="if (exists($snomed-trans-a) and $snomed-trans-a/@nullFlavor) then $snomed-trans-a/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-a" select="if (not(exists($snomed-trans-a))) then 'not-snomed'        else if (not($snomed-trans-a/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-a/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-a" select="if (not(exists($snomed-trans-a))) then ''        else if ($tsnomed-id-a = 'amtv3' and exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-a = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-a/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-a" select="if (not(exists($snomed-trans-a))) then false()        else if ($tsnomed-id-a = 'amtv3' and $snomed-trans-a/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-a = 'snomedctau' and $snomed-trans-a/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-a-msg" select="if (not(exists($snomed-trans-a))) then ''        else if (not($snomed-trans-a/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-a, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-a = 'amtv3') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-a = 'snomedctau') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-a/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-a, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-a/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-a-refsets-1" select="if (exists($snomed-trans-a) and not($tcode-a = ''))         then dh:FindValueDomainsForCode($tcode-a, '2.16.840.1.113883.6.96', $v-tsnomed-version-a) else 'no-code' " />
    <xsl:variable name="tcode-a-found" select="not($tcode-a-refsets-1 = 'no-code' or $tcode-a-refsets-1 = 'CodeNotFound' or $tcode-a-refsets-1 = 'Error'         or contains($tcode-a-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-a-refsets" select="if ($tcode-a-found) then distinct-values(tokenize($tcode-a-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-a-special-proc" select="count($tcode-a-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-a-refsets and not($tnullFlavor-a = 'OTH') " />
    <xsl:variable name="tcode-a-refsets-msg" select="if (count($tcode-a-refsets) = 0) then ''         else if (count($tcode-a-refsets) = 1) then concat('The code is a member of the ', $tcode-a-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-a-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@code and $snomed-trans-a/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-a/@displayName, codepoints-to-string(34))         else if ($snomed-trans-a/@code and not($snomed-trans-a/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@codeSystem and $snomed-trans-a/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-a/@codeSystemName, ')')         else if ($snomed-trans-a/@codeSystem and not($snomed-trans-a/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-b" select="(for $i in (2 to count($snomed-trans-1)) return if ($snomed-trans-1[$i]/@code != $snomed-trans-a/@code) then $snomed-trans-1[$i] else ())[1] " />
    <xsl:variable name="tcode-b" select="if (exists($snomed-trans-b) and matches($snomed-trans-b/@code, $snomed-code-regex)) then $snomed-trans-b/@code else '' " />
    <xsl:variable name="tnullFlavor-b" select="if (exists($snomed-trans-b) and $snomed-trans-b/@nullFlavor) then $snomed-trans-b/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-b" select="if (not(exists($snomed-trans-b))) then 'not-snomed'        else if (not($snomed-trans-b/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-b/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-b" select="if (not(exists($snomed-trans-b))) then ''        else if ($tsnomed-id-b = 'amtv3' and exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-b = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-b/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-b" select="if (not(exists($snomed-trans-b))) then false()        else if ($tsnomed-id-b = 'amtv3' and $snomed-trans-b/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-b = 'snomedctau' and $snomed-trans-b/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-b-msg" select="if (not(exists($snomed-trans-b))) then ''        else if (not($snomed-trans-b/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-b, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-b = 'amtv3') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-b = 'snomedctau') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-b/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-b, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-b/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-b-refsets-1" select="if (exists($snomed-trans-b) and not($tcode-b = ''))         then dh:FindValueDomainsForCode($tcode-b, '2.16.840.1.113883.6.96', $v-tsnomed-version-b) else 'no-code' " />
    <xsl:variable name="tcode-b-found" select="not($tcode-b-refsets-1 = 'no-code' or $tcode-b-refsets-1 = 'CodeNotFound' or $tcode-b-refsets-1 = 'Error'         or contains($tcode-b-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-b-refsets" select="if ($tcode-b-found) then distinct-values(tokenize($tcode-b-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-b-special-proc" select="count($tcode-b-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-b-refsets and not($tnullFlavor-b = 'OTH') " />
    <xsl:variable name="tcode-b-refsets-msg" select="if (count($tcode-b-refsets) = 0) then ''         else if (count($tcode-b-refsets) = 1) then concat('The code is a member of the ', $tcode-b-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-b-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@code and $snomed-trans-b/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-b/@displayName, codepoints-to-string(34))         else if ($snomed-trans-b/@code and not($snomed-trans-b/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@codeSystem and $snomed-trans-b/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-b/@codeSystemName, ')')         else if ($snomed-trans-b/@codeSystem and not($snomed-trans-b/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-60" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-60 else $rating-alt-TC-Types-60 " />
    <!--REPORT -->
    <xsl:if test=" $pcode-found and $pcode-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pcode-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD (p-TS-CD-SCT-RefSet): An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$pcode" /><xsl:text />',
		codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-psnomed-version" /><xsl:text />'. This error occurred when assessing the Form data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-special-proc and count(('Medication Form (MF)')) = 1 and 'Problem Diagnosis (PD)' = ('Medication Form (MF)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-special-proc and count(('Medication Form (MF)')) = 1 and 'Problem Diagnosis (PD)' = ('Medication Form (MF)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Form '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. The value is not valid for the data element as it describes a medical
		procedure and not a medical problem or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to describe the formulation or presentation of the medication.         (See section 3.13 of the eHealth Dispense Record Structured Content Specification v1.0.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and   not(exists(index-of(for $refset in ('Medication Form (MF)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Medication Form (MF)')) = 1 and 'Problem Diagnosis (PD)' = ('Medication Form (MF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and not(exists(index-of(for $refset in ('Medication Form (MF)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Medication Form (MF)')) = 1 and 'Problem Diagnosis (PD)' = ('Medication Form (MF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Form '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the code is not a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medication Form reference set (Concept Id: 32570621000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Dispense Item (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and   not(exists(index-of(for $refset in ('Medication Form (MF)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Medication Form (MF)')) = 1 and 'Problem Diagnosis (PD)' = ('Medication Form (MF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and not(exists(index-of(for $refset in ('Medication Form (MF)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Medication Form (MF)')) = 1 and 'Problem Diagnosis (PD)' = ('Medication Form (MF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Form '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medication Form reference set (Concept Id: 32570621000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Dispense Item (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and   exists(index-of(for $refset in ('Medication Form (MF)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Medication Form (MF)')) = 1 and 'Problem Diagnosis (PD)' = ('Medication Form (MF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and exists(index-of(for $refset in ('Medication Form (MF)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Medication Form (MF)')) = 1 and 'Problem Diagnosis (PD)' = ('Medication Form (MF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Form '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medication Form reference set (Concept Id: 32570621000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Dispense Item (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and   exists(index-of(for $refset in ('Medication Form (MF)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Medication Form (MF)')) = 1 and 'Problem Diagnosis (PD)' = ('Medication Form (MF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and exists(index-of(for $refset in ('Medication Form (MF)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Medication Form (MF)')) = 1 and 'Problem Diagnosis (PD)' = ('Medication Form (MF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Form '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. Confirm if the code is a member of the value domain.
		If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medication Form reference set (Concept Id: 32570621000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Dispense Item (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Form '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="count($snomed-trans-1)" /><xsl:text /> translation elements with
		codes and the SNOMED CT-AU codeSystem '2.16.840.1.113883.6.96'. The first two translation elements have been assessed to determine if the codes are members of the value domain
		and the others have not been assessed. Confirm if the value of the code attribute in all SNOMED CT translation elements meets the requirement that it be a member of the value domain
		if there is no nullFlavor 'OTH' or that there is a nullFlavor 'OTH' if the value of the code attribute is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medication Form reference set (Concept Id: 32570621000036105).')" /><xsl:text /> 
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Dispense Item (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-a" /><xsl:text />'. This error occurred when assessing the Form data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-special-proc and count(('Medication Form (MF)')) = 1 and 'Problem Diagnosis (PD)' = ('Medication Form (MF)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-special-proc and count(('Medication Form (MF)')) = 1 and 'Problem Diagnosis (PD)' = ('Medication Form (MF)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Form '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to describe the formulation or presentation of the medication.         (See section 3.13 of the eHealth Dispense Record Structured Content Specification v1.0.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and   not(exists(index-of(for $refset in ('Medication Form (MF)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Medication Form (MF)')) = 1 and 'Problem Diagnosis (PD)' = ('Medication Form (MF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and not(exists(index-of(for $refset in ('Medication Form (MF)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Medication Form (MF)')) = 1 and 'Problem Diagnosis (PD)' = ('Medication Form (MF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Form '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medication Form reference set (Concept Id: 32570621000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Dispense Item (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and   not(exists(index-of(for $refset in ('Medication Form (MF)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Medication Form (MF)')) = 1 and 'Problem Diagnosis (PD)' = ('Medication Form (MF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and not(exists(index-of(for $refset in ('Medication Form (MF)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Medication Form (MF)')) = 1 and 'Problem Diagnosis (PD)' = ('Medication Form (MF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Form '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medication Form reference set (Concept Id: 32570621000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Dispense Item (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and   exists(index-of(for $refset in ('Medication Form (MF)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Medication Form (MF)')) = 1 and 'Problem Diagnosis (PD)' = ('Medication Form (MF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and exists(index-of(for $refset in ('Medication Form (MF)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Medication Form (MF)')) = 1 and 'Problem Diagnosis (PD)' = ('Medication Form (MF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Form '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medication Form reference set (Concept Id: 32570621000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Dispense Item (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and   exists(index-of(for $refset in ('Medication Form (MF)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Medication Form (MF)')) = 1 and 'Problem Diagnosis (PD)' = ('Medication Form (MF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and exists(index-of(for $refset in ('Medication Form (MF)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Medication Form (MF)')) = 1 and 'Problem Diagnosis (PD)' = ('Medication Form (MF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Form '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medication Form reference set (Concept Id: 32570621000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Dispense Item (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-b" /><xsl:text />'. This error occurred when assessing the Form data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-special-proc and count(('Medication Form (MF)')) = 1 and 'Problem Diagnosis (PD)' = ('Medication Form (MF)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-special-proc and count(('Medication Form (MF)')) = 1 and 'Problem Diagnosis (PD)' = ('Medication Form (MF)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Form '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> 
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to describe the formulation or presentation of the medication.         (See section 3.13 of the eHealth Dispense Record Structured Content Specification v1.0.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and   not(exists(index-of(for $refset in ('Medication Form (MF)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Medication Form (MF)')) = 1 and 'Problem Diagnosis (PD)' = ('Medication Form (MF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and not(exists(index-of(for $refset in ('Medication Form (MF)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Medication Form (MF)')) = 1 and 'Problem Diagnosis (PD)' = ('Medication Form (MF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Form '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medication Form reference set (Concept Id: 32570621000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Dispense Item (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and   not(exists(index-of(for $refset in ('Medication Form (MF)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Medication Form (MF)')) = 1 and 'Problem Diagnosis (PD)' = ('Medication Form (MF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and not(exists(index-of(for $refset in ('Medication Form (MF)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Medication Form (MF)')) = 1 and 'Problem Diagnosis (PD)' = ('Medication Form (MF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Form '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medication Form reference set (Concept Id: 32570621000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Dispense Item (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and   exists(index-of(for $refset in ('Medication Form (MF)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Medication Form (MF)')) = 1 and 'Problem Diagnosis (PD)' = ('Medication Form (MF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and exists(index-of(for $refset in ('Medication Form (MF)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Medication Form (MF)')) = 1 and 'Problem Diagnosis (PD)' = ('Medication Form (MF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Form '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medication Form reference set (Concept Id: 32570621000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Dispense Item (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and   exists(index-of(for $refset in ('Medication Form (MF)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Medication Form (MF)')) = 1 and 'Problem Diagnosis (PD)' = ('Medication Form (MF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and exists(index-of(for $refset in ('Medication Form (MF)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Medication Form (MF)')) = 1 and 'Problem Diagnosis (PD)' = ('Medication Form (MF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Form '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medication Form reference set (Concept Id: 32570621000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Dispense Item (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M295" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M295" />
  <xsl:template match="@*|node()" priority="-2" mode="M295">
    <xsl:apply-templates select="@*|*" mode="M295" />
  </xsl:template>
  <!--PATTERN p-TS-DispItem-CodeableText-9-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/   cda:substanceAdministration/cda:entryRelationship/cda:supply/cda:product/cda:manufacturedProduct/cda:manufacturedMaterial/ext:formCode   [(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-form-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])][not(@nullFlavor = $no-value-NF)]  " priority="1000" mode="M296">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/   cda:substanceAdministration/cda:entryRelationship/cda:supply/cda:product/cda:manufacturedProduct/cda:manufacturedMaterial/ext:formCode   [(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-form-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])][not(@nullFlavor = $no-value-NF)]  " />
    <xsl:variable name="pcode" select="if ('2.16.840.1.113883.6.96' = $defn-form-trusted and         @codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="snomed-trans" select="if ('2.16.840.1.113883.6.96' = $defn-form-trusted and cda:translation)         then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="tcode" select="if (exists($snomed-trans[1]) and matches($snomed-trans[1]/@code, $snomed-code-regex)) then $snomed-trans[1]/@code else '' " />
    <xsl:variable name="code-present" select="$pcode != '' or $tcode != '' " />
    <xsl:variable name="invalid-code-system" select="@code and @displayName and @codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="codesystemvalues" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']" />
    <xsl:variable name="otext-without-markup" select="if (cda:originalText and cda:originalText != '') then normalize-space(replace(cda:originalText, $markup-regex, ' ')) else '' " />
    <xsl:variable name="pdname" select="if (@displayName and not($invalid-code-system)) then normalize-space(@displayName) else '' " />
    <xsl:variable name="max-code-number" select="if ($knowledge/search-for-term/max-sct-code-number/@value &gt; '5') then $knowledge/search-for-term/max-sct-code-number/@value else '5' " />
    <xsl:variable name="der-text-1" select="if ($code-present) then ''         else if ($otext-without-markup != '') then $otext-without-markup        else if ($pdname != '') then $pdname        else '' " />
    <xsl:variable name="family-err" select="matches($der-text-1, $family-regex, 'i')" />
    <xsl:variable name="length-err" select="string-length($der-text-1) &gt; $length-err-max" />
    <xsl:variable name="avoid-ts" select="$family-err or $length-err or not($use-ts-for-sctau) " />
    <xsl:variable name="der-text-2a" select="if ($der-text-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-text-1, $form-fir-pattern-replacement, 'ic')) " />
    <xsl:variable name="der-text-2" select="if ($der-text-2a = '') then $der-text-1 else $der-text-2a " />
    <xsl:variable name="der-text-3a" select="if ($der-text-2 = '' or $form-replacements = '') then $der-text-2        else normalize-space(dh:XQueryRecursiveReplace($der-text-2, $form-replacements, 'ic')) " />
    <xsl:variable name="der-text-3" select="if ($der-text-3a = '') then $der-text-2 else $der-text-3a " />
    <xsl:variable name="der-text-4a" select="if ($der-text-3 = '' or $dose-form-p-regex = '') then $der-text-3        else normalize-space(dh:XQueryRecursiveReplace($der-text-3, $dose-form-p-regex, 'ic')) " />
    <xsl:variable name="der-text-4" select="if ($der-text-4a = '') then $der-text-3 else $der-text-4a " />
    <xsl:variable name="der-text-5a" select="if ($der-text-4 = '' or $dose-form-s-regex = '') then $der-text-4        else normalize-space(dh:XQueryRecursiveReplace($der-text-4, $dose-form-s-regex, 'ic')) " />
    <xsl:variable name="der-text-5" select="if ($der-text-5a = '') then $der-text-4 else $der-text-5a " />
    <xsl:variable name="der-text-6a" select="if ($der-text-5 = '' or $prop-dose-form-p-regex = '') then $der-text-5        else normalize-space(dh:XQueryRecursiveReplace($der-text-5, $prop-dose-form-p-regex, 'ic')) " />
    <xsl:variable name="der-text-6" select="if ($der-text-6a = '') then $der-text-5 else $der-text-6a " />
    <xsl:variable name="der-text-a" select="if ($der-text-6 = '' or $prop-dose-form-s-regex = '') then $der-text-6        else normalize-space(dh:XQueryRecursiveReplace($der-text-6, $prop-dose-form-s-regex, 'ic')) " />
    <xsl:variable name="der-text" select="if ($der-text-a = '') then $der-text-6 else $der-text-a " />
    <xsl:variable name="defn-valid-regex" select="concat('(^|\|)', translate($der-text-2, $chars-to-remove, ''), '(\||$)') " />
    <xsl:variable name="der-text-to-match-1" select="lower-case($der-text-2) " />
    <xsl:variable name="der-text-to-match" select="translate($der-text-to-match-1, $chars-to-remove, '') " />
    <xsl:variable name="der-text-non-value" select="if ($code-present or @nullFlavor = $no-value-NF) then false() else         $der-text-to-match = ''              or         not(matches($der-text-to-match, '[a-z]', 'is'))           or        ($cd-definitions/non-value/@regex != '' and matches($der-text-to-match, $cd-definitions/non-value/@regex, 'is'))  or        (exists($cd-definitions/form/@non-value-regex) and matches($der-text-to-match, $cd-definitions/form/@non-value-regex, 'is')) " />
    <xsl:variable name="valid-form-1" select="not($code-present or $der-text-non-value) and $der-text-to-match != '' and         ($der-text-to-match = $dose-form-names or matches($der-text, $dose-form-name-regex, 'is'))" />
    <xsl:variable name="is-container" select="not($valid-form-1 or $code-present or $der-text-non-value) and exists($tgi-container-names) and $der-text-to-match = $tgi-container-names " />
    <xsl:variable name="defn-invalid-regex" select="if ($code-present or $der-text-non-value or $is-container) then ()        else if ($cd-definitions/form/@invalid-regex) then tokenize($cd-definitions/form/@invalid-regex, '~')[. != '']         else () " />
    <xsl:variable name="defn-invalid-txt-regex" select="(for $i in (1 to count($defn-invalid-regex)) return normalize-space(substring-before($defn-invalid-regex[$i], '[[')))[. != '']" />
    <xsl:variable name="der-invalid-text-regex-1" select="if (exists($defn-invalid-txt-regex))        then index-of(for $i in (1 to count($defn-invalid-txt-regex)) return matches($der-text-2, $defn-invalid-txt-regex[$i], 'i'), true())        else () " />
    <xsl:variable name="der-invalid-text" select="$is-container or exists($der-invalid-text-regex-1) " />
    <xsl:variable name="defn-invalid-rsn" select="if ($der-invalid-text)         then normalize-space(substring-before(substring-after($defn-invalid-regex[$der-invalid-text-regex-1[1]], '[['), ']]'))         else '' " />
    <xsl:variable name="trusted-code-systems" select="if ($der-text = '' or $der-invalid-text or not(@codeSystem or cda:translation/@codeSystem)) then ()        else (tokenize(replace($cd-definitions/form/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/form/@extra, '\s+', ''), '\|'))[. != ''] " />
    <xsl:variable name="der-trusted-text" select="if ($der-text = '' or $der-invalid-text or (@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex)))) then false()        else ((@codeSystem and exists($trusted-code-systems[. = current()/@codeSystem])) or               (cda:translation/@codeSystem and exists($trusted-code-systems[. = current()/cda:translation/@codeSystem]))) " />
    <xsl:variable name="invalid-hierarchy" select="if (exists($cd-definitions/form/form-invalid/hierarchy))         then string-join(for $hierarchy in $cd-definitions/form/form-invalid/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-refset" select="if (exists($cd-definitions/form/form-invalid/refset))          then string-join(for $refset in $cd-definitions/form/form-invalid/refset return concat('^', $refset/@code), ' OR ')         else '' " />
    <xsl:variable name="valid-refset" select="'^32570621000036105' " />
    <xsl:variable name="valid-domain" select="if ($invalid-refset != '' and $invalid-hierarchy != '')         then concat('((', $valid-refset, ') MINUS (', $invalid-refset, ' OR (', $invalid-hierarchy, ')))')        else if ($invalid-refset = '' and $invalid-hierarchy != '') then concat('((', $valid-refset, ') MINUS (', $invalid-hierarchy, '))')         else if ($invalid-refset != '' and $invalid-hierarchy = '') then concat('((', $valid-refset, ') MINUS (', $invalid-refset, '))')        else concat('(', $valid-refset, ')') " />
    <xsl:variable name="related-terms-1" select="if ($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-form-1) then ()        else ($codesystemvalues/code[@related-terms], $codesystemvalues/related-terms[@related-terms]) " />
    <xsl:variable name="related-terms-2" select="for $i in index-of(        for $concept in $related-terms-1 return matches(translate($concept/@related-terms, $chars-no-pipe, ''), $defn-valid-regex, 'i'), true())         return $related-terms-1[$i]/@code " />
    <xsl:variable name="der-form-codes-1" select="if (exists($related-terms-2)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($related-terms-2, ' OR '), ') AND (', $valid-domain, ')'), '', string(count($related-terms-2)), false())        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $der-form-codes-1 " />
    <xsl:variable name="der-valid-codes-1" select="if (contains($der-form-codes-1, '[')) then $der-form-codes-1 else '' " />
    <xsl:variable name="valid-form-2" select="$valid-form-1 or $der-valid-codes-1 != '' " />
    <xsl:variable name="form-inactive-refSets" select="if (exists($cd-definitions/form/form-invalid/inactive-refset))         then concat('((', $inactive-refSets, ') MINUS (',           string-join(for $refset in $cd-definitions/form/form-invalid/inactive-refset return concat('^', $refset/@code), ' OR '),          '))')         else $inactive-refSets " />
    <xsl:variable name="formula" select="concat($valid-domain, ' OR ', $form-inactive-refSets) " />
    <xsl:variable name="ts-not-needed" select="$der-text = '' or $der-text-non-value or $der-invalid-text or $valid-form-2 or $avoid-ts " />
    <xsl:variable name="der-form-codes-2" select="if ($ts-not-needed or exists($related-terms-2)) then ()         else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-text,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or 'Error' = $der-form-codes-2 " />
    <xsl:variable name="der-valid-codes-2" select="if ($der-valid-codes-1 != '') then $der-valid-codes-1        else if ($error-usingTS-2) then ''         else string-join((for $code in $der-form-codes-2 return if (contains($code, '~inactive')) then '' else $code)[. != ''], '|')  " />
    <xsl:variable name="valid-form-3" select="$valid-form-2 or $der-valid-codes-2 != '' " />
    <xsl:variable name="der-inactive-codes-1" select="if ($valid-form-3) then () else        for $code in $der-form-codes-2 return if (contains($code, '~inactive')) then replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is') else '' " />
    <xsl:variable name="der-inactive-codes-2" select="for $i in (1 to count($der-inactive-codes-1)) return         dh:IsCodeAssociatedWithAnotherCode($der-inactive-codes-1[$i], '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-1" select="'Error' = $der-inactive-codes-2 " />
    <xsl:variable name="der-NAF-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-NAF-active-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound~active')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-inactive-codes-3" select="tokenize(string-join(for $i in (1 to count($der-inactive-codes-1)) return replace(string-join(tokenize($der-inactive-codes-2[$i], '\|')        [matches(., '(REPLACED BY|SAME AS|ALTERNATIVE|POSSIBLY EQUIVALENT TO|MAY BE A|WAS A)')], '|'), '[0-9]+~[A-Z ]+~([0-9]+)', '$1'), '|'), '\|')        [. != ''] " />
    <xsl:variable name="der-form-codes-3" select="if (exists($der-inactive-codes-3)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($der-inactive-codes-3, ' OR '), ') AND (', $valid-domain, ')'), '', string(count($der-inactive-codes-3)), false())          else '' " />
    <xsl:variable name="error-usingTS-3" select="$error-usingTS-2 or 'Error' = $der-form-codes-3 " />
    <xsl:variable name="der-valid-codes-3" select="if ($der-valid-codes-2 != '') then $der-valid-codes-2        else if (contains($der-form-codes-3, '[')) then $der-form-codes-3        else '' " />
    <xsl:variable name="valid-form-4" select="$valid-form-3 or $der-valid-codes-3 != '' " />
    <xsl:variable name="invalid-domain" select="if ($invalid-hierarchy != '' and $invalid-refset != '') then concat($invalid-hierarchy, ' OR ', $invalid-refset)        else if ($invalid-hierarchy != '') then $invalid-hierarchy        else if ($invalid-refset != '') then $invalid-refset        else '' " />
    <xsl:variable name="der-form-codes-4" select="if ($ts-not-needed or $valid-form-4 or $invalid-domain = '') then ()        else if (exists($related-terms-2)) then $related-terms-2        else distinct-values((tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          $invalid-domain, $der-text, $max-code-number, false()), '(\[.*?\])(\||$)', '$2'), '\|'), $der-inactive-codes-3)) " />
    <xsl:variable name="error-usingTS-4" select="$error-usingTS-3 or 'Error' = $der-form-codes-4 " />
    <xsl:variable name="invalid-form-codes-r" select="if ($ts-not-needed or $valid-form-4 or $error-usingTS-4 or not(exists($der-form-codes-4))) then ()        else if ($invalid-refset = '') then tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-form-codes-4, ' OR '), ') AND (', $inactive-refSets, ')'), '',           string(count($der-form-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')        else tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-form-codes-4, ' OR '), ') AND (', $invalid-refset, ' OR ', $inactive-refSets, ')'), '',           string(count($der-form-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')  " />
    <xsl:variable name="error-usingTS-5" select="$error-usingTS-4 or 'Error' = $invalid-form-codes-r " />
    <xsl:variable name="der-form-codes-4-h" select="if ($error-usingTS-5) then () else $der-form-codes-4[not(. = $invalid-form-codes-r)]" />
    <xsl:variable name="invalid-form-codes-h" select="if ($ts-not-needed or $valid-form-4 or 'Error' = $der-form-codes-4 or $form-invalid-hierarchy = '' or not(exists($der-form-codes-4-h))) then ()        else (for $code in $der-form-codes-4-h return          if (dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;&gt;', $code, ' MINUS ', $form-invalid-hierarchy), '', '1', false()) = '') then $code else '')[. != ''] " />
    <xsl:variable name="invalid-form-codes" select="($invalid-form-codes-h, $invalid-form-codes-r) " />
    <xsl:variable name="der-form-codes-5" select="$der-form-codes-4[not(. = $invalid-form-codes or . = 'Error')]" />
    <xsl:variable name="der-valid-codes-4" select="if ($der-valid-codes-3 != '') then $der-valid-codes-3        else if ($ts-not-needed or $valid-form-4 or $valid-domain = '' or not(exists($der-form-codes-5))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-form-codes-5, ' OR '), ') AND ', $valid-domain), '', string(count($der-form-codes-5)), false()) " />
    <xsl:variable name="error-usingTS-6" select="$error-usingTS-5 or 'Error' = $der-valid-codes-4 " />
    <xsl:variable name="valid-form-5" select="$valid-form-4 or not($der-valid-codes-4 = ('', 'Error'))" />
    <xsl:variable name="undetermined-form-1" select="$der-form-codes-5[not(. = tokenize(replace($der-valid-codes-4,  '(\[.*?\])(\||$)', '$2'), '\|'))]" />
    <xsl:variable name="undetermined-inactive-1" select="for $i in (1 to count($undetermined-form-1)) return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $undetermined-form-1[$i], '', '1', false()) " />
    <xsl:variable name="error-usingTS-7" select="$error-usingTS-6 or 'Error' = $undetermined-inactive-1 " />
    <xsl:variable name="undetermined-inactive" select="(for $i in (1 to count($undetermined-form-1)) return         if (contains($undetermined-inactive-1[$i], '~inactive')) then $undetermined-inactive-1[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-1" select="for $i in (1 to count($undetermined-inactive))        return dh:IsCodeAssociatedWithAnotherCode(replace($undetermined-inactive[$i], '(\[.*?\])(\||$)', '$2'), '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-2" select="$error-usingV-1 or 'Error' = $undetermined-NAF-1 " />
    <xsl:variable name="undetermined-NAF" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-codes" select="for $term in $undetermined-NAF return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-NAF-active" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound~active')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-active-codes" select="for $term in $undetermined-NAF-active return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-form" select="$undetermined-form-1[not(. = ($undetermined-NAF-codes, $undetermined-NAF-active-codes))]" />
    <xsl:variable name="invalid-form" select="not($valid-form-5) and exists($invalid-form-codes) and not(exists($undetermined-form))" />
    <xsl:variable name="codes-were-found" select="exists($der-form-codes-4) or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="codes-not-found" select="not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-form-5 or $invalid-form) " />
    <xsl:variable name="codes-in-the-domain" select="not($valid-form-1) and $valid-form-5" />
    <xsl:variable name="codes-in-other-domain" select="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-form-5 or $invalid-form or         $error-usingTS-7) " />
    <xsl:variable name="codes-in-no-domain" select="exists($der-form-codes-5) " />
    <xsl:variable name="display-in-the-domain" select="if ($codes-in-the-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', '), '''')        else '' " />
    <xsl:variable name="display-in-other-r" select="if (exists($invalid-form-codes-r) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-form-codes-r return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-h" select="if (exists($invalid-form-codes-h) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-form-codes-h return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-domain" select="if (not($codes-in-other-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))) then ''        else if ($display-in-other-r and display-in-other-h) then concat('''', $display-in-other-r, ', ', $display-in-other-h, '''')        else if ($display-in-other-r) then concat('''', $display-in-other-r, '''')        else if ($display-in-other-h) then concat('''', $display-in-other-h, '''')        else '' " />
    <xsl:variable name="display-in-no-domain" select="if ($codes-in-no-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', dh:XQueryRecursiveReplace(string-join(for $code in $der-form-codes-5 return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), '; '),          $term-pattern-replacement, 'ic'), '''')        else '' " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))        else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="log-concepts-appended" select="if ($error-usingTS-7 or not($flags/@report-terminology-concepts = 'true') or $log-concepts-name = '') then ''        else if ($codes-not-found and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                   'Form',     $log-tab,                   'yes',     $log-tab,                   concat($display-code, $display-system), $log-tab,                   '',     $log-tab,                  '',     $log-tab,                  '',     $log-tab,                  $ts-current-sctau   ))        else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <!--REPORT -->
    <xsl:if test=" $log-concepts-appended = ('NOTFOUND', 'ERROR') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$log-concepts-appended = ('NOTFOUND', 'ERROR')">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Form-Defn): The AppendLog function returned '<xsl:text /><xsl:value-of select="$log-concepts-appended" /><xsl:text />' when requested to append the concepts log
		'<xsl:text /><xsl:value-of select="$log-concepts-name" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-3a = '' or $der-text-4a = '' or $der-text-5a = '' or $der-text-6a = '' or $der-text-a = '') and    not($valid-form-5) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-3a = '' or $der-text-4a = '' or $der-text-5a = '' or $der-text-6a = '' or $der-text-a = '') and not($valid-form-5)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Form-Defn): An unexpected problem occurred when assessing the value of the Form
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. The application of regular expressions resulted in the complete loss of text.
		Report the information below to the Australian Digital Health Agency for investigation.
		der-text-1 '<xsl:text /><xsl:value-of select="normalize-space(dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'))" /><xsl:text />'.
		der-text-2a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-2a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-3a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-3a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-4a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-4a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-5a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-5a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-6a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-6a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-a, $term-pattern-replacement, 'ic')" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingV-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingV-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Form-Defn): An error was reported when accessing the terminology server when assessing the Form data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		Report the issue to the Australian Digital Health Agency for investigation stating the error was recorded for error-usingV-2.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-7 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-7">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Form-Defn): An error was reported when accessing the terminology server when assessing the Form data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term:
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The analysis should be retried as the terminology server may have been temporarily unavailable.
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation, stating that the error was found by
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'error-usingTS-1' else if ($error-usingTS-2) then 'error-usingTS-2'   else if ($error-usingTS-3) then 'error-usingTS-3' else if ($error-usingTS-4) then 'error-usingTS-4'   else if ($error-usingTS-5) then 'error-usingTS-5' else if ($error-usingTS-6) then 'error-usingTS-6'   else 'error-usingTS-7' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $codes-not-found">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $codes-not-found">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Form '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to describe the formulation or presentation of the medication.         (See section 3.13 of the eHealth Dispense Record Structured Content Specification v1.0.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Dispense Item (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$codes-in-other-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$codes-in-other-domain">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Form '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value does not seem to be applicable for the data element.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to describe the formulation or presentation of the medication.         (See section 3.13 of the eHealth Dispense Record Structured Content Specification v1.0.)')" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Form
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to describe the formulation or presentation of the medication.         (See section 3.13 of the eHealth Dispense Record Structured Content Specification v1.0.)'))" /><xsl:text />
		The Form data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Form
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to describe the formulation or presentation of the medication.         (See section 3.13 of the eHealth Dispense Record Structured Content Specification v1.0.)'))" /><xsl:text />
		The Form data element must have a value that is consistent with this definition. Alternatively if there is no Form data element with a proper value then an exclusion
		statement must be included to state why there is no Form. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4')    then concat('Text such as ''', dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'), ''' may be permitted in the narrative even though the Form data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Form
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to describe the formulation or presentation of the medication.         (See section 3.13 of the eHealth Dispense Record Structured Content Specification v1.0.)'))" /><xsl:text />
		The Form data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($der-text-non-value) and $is-container ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($der-text-non-value) and $is-container">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Form '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid as it identifies a type of container. <xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to describe the formulation or presentation of the medication.         (See section 3.13 of the eHealth Dispense Record Structured Content Specification v1.0.)')" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($der-text-non-value) and $der-invalid-text and not($is-container) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($der-text-non-value) and $der-invalid-text and not($is-container)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Form '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid. <xsl:text /><xsl:value-of select="$defn-invalid-rsn" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to describe the formulation or presentation of the medication.         (See section 3.13 of the eHealth Dispense Record Structured Content Specification v1.0.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $invalid-form and not($error-usingTS-7) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$invalid-form and not($error-usingTS-7)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Form '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid
		<xsl:text /><xsl:value-of select="if (exists($invalid-form-codes-h)) then concat(' as it describes ', string-join(distinct-values(for $code in tokenize(replace(   dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat('(', string-join(for $code in $invalid-form-codes-h return concat('&gt;&gt;', $code), ' OR '), ') AND (',    string-join(for $hierarchy in $cd-definitions/form/form-invalid/hierarchy return $hierarchy/@code, ' OR '), ')'), '',    string(count($invalid-form-codes-h)), true()), '(\[.*?\])(\||$)', '$2'), '\|')    return $cd-definitions/form/form-invalid/hierarchy[@code = $code]/@description)[position() = (1 to 2)], ' and '), '.')    else if (exists($invalid-form-codes-r)) then concat(' as it describes ', string-join(distinct-values(for $code in $invalid-form-codes-r return   $cd-definitions/form/form-invalid/refset[index-of(for $x in (for $refset in $cd-definitions/form/form-invalid/refset return    dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat($code, ' AND ^', $refset/@code), '', '1', true()), '|') return matches($x, '^[0-9]'), true())[1]]/@description), ' and '), '.')   else '.'" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to describe the formulation or presentation of the medication.         (See section 3.13 of the eHealth Dispense Record Structured Content Specification v1.0.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable outside the applicable value domain): The Form
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following codes were obtained and are not in the value domain: <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-Form-Defn): The Form '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU and no associated code was found in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists(($der-NAF-active-codes, $undetermined-NAF-active-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists(($der-NAF-active-codes, $undetermined-NAF-active-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-Form-Defn): The Form '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-active-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the
		'<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU but it was not found with this status in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.
		<xsl:text /><xsl:value-of select="if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $valid-form-1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $valid-form-1">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable within the value domain): The Form
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which matches one of the terms listed in Knowledge.xml for the Form.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (concept is codeable within the value domain): The Form
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a valid value for the Form.
		SNOMED CT-AU codes that matched the concept are: '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-form-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-form-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Form '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The text used to match regular expression (der-text-2) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to match non-values and containers (der-text-to-match) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-to-match, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to derive a code (der-text) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The SNOMED CT-AU version used to find codes is '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' and the maximum code number is '<xsl:text /><xsl:value-of select="$max-code-number" /><xsl:text />'.

		Codes for related terms (related-terms-2): '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($related-terms-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes for related terms (der-valid-codes-1): 
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-1, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-form-codes-2) returned by the terminology server that match the text:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-form-codes-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes from related terms or the terminology server (der-valid-codes-2):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-2, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-inactive-codes-3) returned from the Validator's database associated with inactive codes:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-inactive-codes-3, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes found after examining inactive codes (der-valid-codes-3):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-3, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Members of invalid reference sets (invalid-form-codes-r): '<xsl:text /><xsl:value-of select="$display-in-other-r" /><xsl:text />'.
		Members of invalid code hierarchies (invalid-form-codes-h): '<xsl:text /><xsl:value-of select="$display-in-other-h" /><xsl:text />'.

		Final set of valid codes (der-valid-codes-4):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		
		Codes whose validity has not been determined (der-body-codes-5):  <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.
		Codes whose validity has not been determined and are inactive with no associated code (undetermined-NAF): '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(    string-join($undetermined-NAF, ''', '''), $markup-pattern-replacement, 'ic')" /><xsl:text />'.

		Will the value of the data element be trusted (der-trusted-text)? '<xsl:text /><xsl:value-of select="$der-trusted-text" /><xsl:text />'.
		
	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and $codes-not-found">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept not codeable): The Form '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($avoid-ts) then 'The terminology server was not used to assist with finding codes corresponding to text in the data element. ' else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M296" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M296" />
  <xsl:template match="@*|node()" priority="-2" mode="M296">
    <xsl:apply-templates select="@*|*" mode="M296" />
  </xsl:template>
  <!--PATTERN p-TS-DispItem-CodeableText-10-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/   cda:substanceAdministration/cda:entryRelationship/cda:supply/cda:product/cda:manufacturedProduct/cda:manufacturedMaterial/ext:formCode   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M297">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/   cda:substanceAdministration/cda:entryRelationship/cda:supply/cda:product/cda:manufacturedProduct/cda:manufacturedMaterial/ext:formCode   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Form '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Form
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Form
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Form
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Form
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Form has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Form data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Form
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Form data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Form
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Form data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Form
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Form data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Form
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Form
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Form data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Form
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Form data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Form
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Form
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Form data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Form
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Form data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Form
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Form
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M297" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M297" />
  <xsl:template match="@*|node()" priority="-2" mode="M297">
    <xsl:apply-templates select="@*|*" mode="M297" />
  </xsl:template>
  <!--PATTERN p-TS-DispItem-CodeableText-11-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flags/@report-data = 'true' and '102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16692.179.1.1']]/cda:reference[@typeCode] " priority="1000" mode="M298">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flags/@report-data = 'true' and '102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16692.179.1.1']]/cda:reference[@typeCode] " />
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data = 'true' and @typeCode ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data = 'true' and @typeCode">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Dispense Record Link Role '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and is mapped to the typeCode attribute which has the value '<xsl:text /><xsl:value-of select="@typeCode" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M298" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M298" />
  <xsl:template match="@*|node()" priority="-2" mode="M298">
    <xsl:apply-templates select="@*|*" mode="M298" />
  </xsl:template>
  <!--PATTERN p-TS-DispItem-DateTime-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:supply/cda:effectiveTime " priority="1000" mode="M299">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:supply/cda:effectiveTime " />
    <xsl:variable name="allow-ivl-ts" select="if (not(@xsi:type)) then false() else /cda:ClinicalDocument       [cda:templateId[(@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')  or         (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or         (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) ]]   and        local-name(.) = 'value'             and        ..[local-name(.) = 'observation' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]   and       ../..[local-name(.) = 'entryRelationship' and @typeCode='SUBJ']        and       ../../..[local-name(.) = 'observation' and cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]  and       ../../../..[local-name(.) = 'entry']            and       ../../../../..[local-name(.) = 'section' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]  " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-18" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-18 else $rating-alt-TC-Types-18 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-18: The DateTime of Dispense Event '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data
		type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime',            'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime', 'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: The DateTime of Dispense Event

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type but it does not meet the requirement to have the xsi:type attribute with the value 'TS'.
		(See section 8.6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the DateTime of Dispense Event '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was
		found. This may be corrected by using an xsi:type attribute with the value 'TS'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the DateTime of Dispense Event '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		This may be corrected by using an xsi:type attribute with the value 'TS'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the DateTime of Dispense Event '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7
		'TS' data type to have a value attribute if there is no nullFlavor
		attribute. (See section 7.8.13.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange')

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the DateTime of Dispense Event '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7 'TS' data type to have a value attribute if there is no nullFlavor
		attribute. The element has a '<xsl:text /><xsl:value-of select="local-name(*[local-name(.) = ('low', 'high')])" /><xsl:text />' child element with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		which is not one of the elements used for the HL7 'TS'
		data type. (See section 7.8.13 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the DateTime of Dispense Event
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		is present. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the DateTime of Dispense Event
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' was found. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the DateTime of Dispense Event
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the DateTime of Dispense Event
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@value) and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@value) and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to the Structured Content Specification the DateTime of Dispense Event
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (uncoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include
		nullFlavor 'UNC'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M299" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M299" />
  <xsl:template match="@*|node()" priority="-2" mode="M299">
    <xsl:apply-templates select="@*|*" mode="M299" />
  </xsl:template>
  <!--PATTERN p-TS-DispItem-DateTime-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:supply/cda:effectiveTime    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))] " priority="1000" mode="M300">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:supply/cda:effectiveTime    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="fir-narrative" select="translate(normalize-space(lower-case(string($fir-narr-node))), $chars-to-remove, '')" />
    <xsl:variable name="sec-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)        then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]        else () " />
    <xsl:variable name="sec-narr-node" select="$sec-section/cda:text " />
    <xsl:variable name="narr-text-el" select="(for $text in ($fir-narr-node//text(), $sec-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="sec-narrative" select="translate(normalize-space(lower-case(string($sec-narr-node))), $chars-to-remove, '') " />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="narrative" select="concat($target-title, $fir-narrative, $sec-narrative)" />
    <xsl:variable name="narr-elements" select="$fir-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ]  |             $sec-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ] " />
    <xsl:variable name="narr-lower-case" select="for $i in (1 to count($narr-elements)) return lower-case(normalize-space(string-join($narr-elements[$i]/text(), '')))  " />
    <xsl:variable name="dt-narr-elements" select="$narr-lower-case[matches(., $regex-date-type-1, 'i') or matches(., $regex-date-type-2, 'i') or matches(., $regex-date-type-3, 'i')] " />
    <xsl:variable name="narr-elements-start" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-before($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-before($dt-narr-elements[$i], ' -'))        else $dt-narr-elements[$i])[. != ''] " />
    <xsl:variable name="narr-elements-end" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-after($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-after($dt-narr-elements[$i], ' -'))        else '')[. != ''] " />
    <xsl:variable name="narr-dateTimes" select="distinct-values(($narr-elements-start , $narr-elements-end))[. != '(ongoing)'] " />
    <xsl:variable name="dt-value" select="if (@value) then @value else '' " />
    <xsl:variable name="no-time-zone" select="if (contains($dt-value, '+')) then substring-before($dt-value, '+')       else if (contains($dt-value, '-')) then substring-before($dt-value, '-')       else $dt-value " />
    <xsl:variable name="dateTime-length" select="string-length($no-time-zone) " />
    <xsl:variable name="year" select="if ($dateTime-length &gt; 3) then substring($no-time-zone,1,4) else '' " />
    <xsl:variable name="month-num" select="if ($dateTime-length &gt; 5) then substring($no-time-zone,5,2) else '' " />
    <xsl:variable name="day" select="if ($dateTime-length &gt; 7 and substring($no-time-zone,7,1) = '0') then substring($no-time-zone,8,1)       else if ($dateTime-length &gt; 7 and substring($no-time-zone,7,1) != '0') then substring($no-time-zone,7,2) else '' " />
    <xsl:variable name="hour-long" select="if ($dateTime-length &gt; 9) then substring($no-time-zone,9,2) else '' " />
    <xsl:variable name="hour-short" select="if (substring($hour-long, 1, 1) = '0') then substring($hour-long, 2, 1) else '' " />
    <xsl:variable name="minute" select="if ($dateTime-length &gt; 11) then substring($no-time-zone,11,2) else '' " />
    <xsl:variable name="second" select="if ($dateTime-length &gt; 13) then substring($no-time-zone,13,2) else '' " />
    <xsl:variable name="time-zone" select="if (contains($dt-value, '+')) then concat('\+', substring-after($dt-value, '+'))       else if (contains($dt-value, '-')) then concat('\-', substring-after($dt-value, '-'))       else '' " />
    <xsl:variable name="month-short" select="if ($month-num = '01') then 'jan'  else             if ($month-num = '02') then 'feb'  else             if ($month-num = '03') then 'mar'  else             if ($month-num = '04') then 'apr'  else             if ($month-num = '05') then 'may'  else             if ($month-num = '06') then 'jun'  else             if ($month-num = '07') then 'jul'  else             if ($month-num = '08') then 'aug'  else             if ($month-num = '09') then 'sep'  else             if ($month-num = '10') then 'oct'  else             if ($month-num = '11') then 'nov'  else             if ($month-num = '12') then 'dec'  else '' " />
    <xsl:variable name="month-long" select="if ($month-num = '01') then 'january'  else             if ($month-num = '02') then 'february'  else             if ($month-num = '03') then 'march'  else             if ($month-num = '04') then 'april'  else             if ($month-num = '05') then 'may'  else             if ($month-num = '06') then 'june'  else             if ($month-num = '07') then 'july'  else             if ($month-num = '08') then 'august'  else             if ($month-num = '09') then 'september'  else             if ($month-num = '10') then 'october'  else             if ($month-num = '11') then 'november'  else             if ($month-num = '12') then 'december'  else '' " />
    <xsl:variable name="date-type-3-day" select="if (string-length($day) = 1) then concat('0{0,1}', $day) else $day " />
    <xsl:variable name="date-type-3-month" select="if (string-length($month-num) = 1) then concat('0{0,1}', $month-num)        else if (substring($month-num, 1, 1) = '0') then concat('0{0,1}', substring($month-num, 2, 1))         else $month-num " />
    <xsl:variable name="dt-sequence-1" select="if ($dateTime-length = 4) then (         concat('^', $dt-value)         ,          concat('^', $year)         )        else if ($dateTime-length = 6) then (         concat('^', $dt-value)         ,         concat('^', $month-short, $date-sep, $year)      ,          concat('^', $month-long, $date-sep, $year)      )        else if ($dateTime-length &gt; 7) then (         concat('^', $dt-value)         ,         concat('^', $date-type-3-day, $date-sep, $month-short, $date-sep, $year)  ,         concat('^', $date-type-3-day, $date-sep, $month-long, $date-sep, $year)   ,         concat('^', $date-type-3-day, '/', $date-type-3-month, '/', $year)   )        else () " />
    <xsl:variable name="matching-seq-1" select="if (exists($dt-sequence-1))        then index-of(for $i in (1 to count($dt-sequence-1)) return exists($narr-dateTimes[matches(., $dt-sequence-1[$i], 'i')]), true())        else () " />
    <xsl:variable name="dt-stem-1" select="for $i in (1 to count($matching-seq-1)) return $dt-sequence-1[$matching-seq-1[$i]] " />
    <xsl:variable name="dt-regex-1" select="if (exists($dt-stem-1)) then concat('(', string-join($dt-stem-1, '$)|('), '$)') else ()" />
    <xsl:variable name="dt-match-1" select="exists($dt-stem-1) and exists($narr-dateTimes[matches(., $dt-regex-1, 'i')])" />
    <xsl:variable name="time-1" select="if ($dateTime-length &gt; 11 and $hour-short != '') then concat($hour-short, ':', $minute, '( *| *am)') else '' " />
    <xsl:variable name="time-2" select="if ($dateTime-length &gt; 13 and $hour-short != '') then concat($hour-short, ':', $minute, ':', $second, '( *| *am)') else '' " />
    <xsl:variable name="time-3" select="if ($dateTime-length &gt; 11 and number($hour-long) &lt; 12) then concat($hour-long, ':', $minute, '( *| *am)')       else if ($dateTime-length &gt; 11) then concat($hour-long, ':', $minute) else '' " />
    <xsl:variable name="time-4" select="if ($dateTime-length &gt; 13 and number($hour-long) &lt; 12) then concat($hour-long, ':', $minute, ':', $second, '( *| *am)')        else if ($dateTime-length &gt; 13) then concat($hour-long, ':', $minute, ':', $second) else '' " />
    <xsl:variable name="time-5" select="if ($dateTime-length &gt; 11 and number($hour-long) &gt; 12) then concat(string(number($hour-long) - 12), ':', $minute, '( *| *pm)') else '' " />
    <xsl:variable name="time-6" select="if ($dateTime-length &gt; 13 and number($hour-long) &gt; 12) then concat(string(number($hour-long) - 12), ':', $minute, ':', $second, '( *| *pm)') else '' " />
    <xsl:variable name="dt-temp-0" select="if (exists($dt-stem-1) and $dateTime-length = 8) then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $narr-time-regex) else () " />
    <xsl:variable name="dt-temp-1" select="if (exists($dt-stem-1) and $time-1 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-1) else () " />
    <xsl:variable name="dt-temp-2" select="if (exists($dt-stem-1) and $time-2 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-2) else () " />
    <xsl:variable name="dt-temp-3" select="if (exists($dt-stem-1) and $time-3 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-3) else () " />
    <xsl:variable name="dt-temp-4" select="if (exists($dt-stem-1) and $time-4 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-4) else () " />
    <xsl:variable name="dt-temp-5" select="if (exists($dt-stem-1) and $time-5 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-5) else () " />
    <xsl:variable name="dt-temp-6" select="if (exists($dt-stem-1) and $time-6 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-6) else () " />
    <xsl:variable name="dt-sequence-2" select="($dt-temp-0, $dt-temp-1, $dt-temp-2, $dt-temp-3, $dt-temp-4, $dt-temp-5, $dt-temp-6)" />
    <xsl:variable name="matching-seq-2" select="if (exists($dt-sequence-2))        then index-of(for $i in (1 to count($dt-sequence-2)) return exists($narr-dateTimes[matches(., $dt-sequence-2[$i], 'i')]), true())        else () " />
    <xsl:variable name="dt-stem-2" select="for $i in (1 to count($matching-seq-2)) return $dt-sequence-2[$matching-seq-2[$i]] " />
    <xsl:variable name="dt-regex-2" select="if (exists($dt-stem-2)) then concat('(', string-join($dt-stem-2, '$)|('), '$)') else '' " />
    <xsl:variable name="dt-match-2" select="(exists($dt-stem-2) and exists($narr-dateTimes[matches(., $dt-regex-2, 'i')])) " />
    <xsl:variable name="dt-sequence-3" select="if (not($dt-match-2) and exists($dt-stem-2) and $time-zone != '') then for $i in (1 to count($dt-stem-2)) return        concat($dt-stem-2[$i], substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2)) else () " />
    <xsl:variable name="dt-regex-3" select="if ($dt-match-2) then '' else if (exists($dt-sequence-3)) then concat('(', string-join($dt-sequence-3, '$)|('), '$)') else '' " />
    <xsl:variable name="dt-match-3" select="($dt-match-2 or (exists($dt-sequence-3) and exists($narr-dateTimes[matches(., $dt-regex-3, 'i')]))) " />
    <xsl:variable name="narr-match" select="if ($dt-value != '' and not(exists($narr-dateTimes))) then      (       contains($narrative, $dt-value)               or       (string-length($dt-value) = 4 and contains($narrative, $year))            or        (string-length($dt-value) = 6 and contains($narrative, concat($month-short, $year)))          or       (string-length($dt-value) &gt; 7 and starts-with($day, '0') and        (contains($narrative, concat(substring($day,2,1), $month-short, $year)) or         contains($narrative, concat(substring($day,2,1), $month-num, $year))))          or       (string-length($dt-value) &gt; 7 and (contains($narrative, concat($day, $month-short, $year)) or contains($narrative, concat($day, $month-num, $year))))        )       else false() " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($fir-narr-node//cda:renderMultiMedia) or exists($sec-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($fir-narr-node//cda:linkHtml) or exists($sec-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="warning-1" select="exists($dt-sequence-1) and exists($narr-dateTimes) and $dt-match-1 and not($dt-match-3) and $dt-value != '' " />
    <xsl:variable name="error-1" select="$warning-1 and not($multimedia) " />
    <xsl:variable name="warning-2" select="exists($dt-sequence-1) and exists($narr-dateTimes) and not($dt-match-1 or $dt-match-3) and $dt-value != '' " />
    <xsl:variable name="error-2a" select="$warning-2 and not($multimedia) and $time-zone != '' and count($narr-dateTimes) =        count(for $dt in $narr-dateTimes return replace(replace($dt, $regex-date-type-1, ''), $regex-date-type-2, '')       [matches(., concat('^\s*([0-9]{1,2}:{1}[0-9]{2}\s*', substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2),         '|[0-9]{1,2}:{1}[0-9]{2}:{1}[0-9]{2}\s*', substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2), ')\s*$'), 'i')]) " />
    <xsl:variable name="error-2b" select="$warning-2 and not($dt-match-1) and not($multimedia) and count($narr-dateTimes[matches(., $regex-date-type-2, 'i')]) =        count($narr-dateTimes[matches(., concat($regex-date-type-2, ' ', $narr-time-regex, '$'), 'i')]) " />
    <xsl:variable name="error-2c" select="$warning-2 and exists($narr-dateTimes[matches(., concat('^', $year, '$'))]) " />
    <xsl:variable name="error-2" select="$error-2a or $error-2b or $error-2c " />
    <xsl:variable name="warning-3" select="$dt-value != '' and not(exists($narr-dateTimes)) and not($narr-match) " />
    <xsl:variable name="error-3" select="$warning-3 and not($multimedia) and not(contains($narrative, substring($year, 3, 2)))" />
    <xsl:variable name="narr-dt-msg" select="if ($multimedia or $no-content) then ''       else if (not(exists($narr-dateTimes))) then concat(' The narrative of the ', iq:location(., ''), ' contains no dateTime elements.')       else if (count($narr-dateTimes) = 1) then concat(' The only dateTime element in the narrative of the ', iq:location(., ''), ' is ''',         dh:XQueryRecursiveReplace($narr-dateTimes[1], '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), '''.')       else concat(' The distinct dateTime elements in the narrative of the ', iq:location(., ''), ' are ''',         string-join(for $dt in $narr-dateTimes return          dh:XQueryRecursiveReplace($dt, '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), ', '), '''.') " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-4" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-4 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and exists($dt-sequence-1) and $dt-value != '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and exists($dt-sequence-1) and $dt-value != ''">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 4: The dateTime element in the structured data is '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'.
		The number of dateTime elements that have been extracted from the narrative is '<xsl:text /><xsl:value-of select="count($narr-dateTimes)" /><xsl:text />'.
		These are '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-dateTimes, ', '), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The initial regular expressions are '<xsl:text /><xsl:value-of select="string-join($dt-sequence-1, ', ')" /><xsl:text />'.
		The items in dt-stem-1 are: '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($dt-stem-1, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The items in dt-sequence-2 are: '<xsl:text /><xsl:value-of select="string-join($dt-sequence-2, '|')" /><xsl:text />'.
		The items in dt-stem-2 are: '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($dt-stem-2, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The three regular expressions used to perform an exact match for narrative dateTime elements are as follows:
		dt-regex-1='<xsl:text /><xsl:value-of select="$dt-regex-1" /><xsl:text />'; dt-regex-2='<xsl:text /><xsl:value-of select="$dt-regex-2" /><xsl:text />'; and dt-regex-3='<xsl:text /><xsl:value-of select="$dt-regex-3" /><xsl:text />'.
		Was a match found after the first regular expression (with just a date) was created? <xsl:text /><xsl:value-of select="$dt-match-1" /><xsl:text />.		
		<xsl:text /><xsl:value-of select="if ($dt-regex-2 = '') then 'The second regular expression was not applied as there is no time information.'    else concat('Was a match found after the second regular expression (with a date and time) was created? ', $dt-match-2, '.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($dt-regex-3 = '') then ' The third regular expression was not applied as there is no timezone information.'    else concat(' Was a match found after the third regular expression (with a date and time) was created? ', $dt-match-3, '.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $warning-1 and not($error-1 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $warning-1 and not($error-1 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime of Dispense Event 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The DateTime of Dispense Event data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $error-1 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $error-1 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime of Dispense Event 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. The DateTime of Dispense Event data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $error-1 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $error-1 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime of Dispense Event 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. The DateTime of Dispense Event data element records clinical information and all clinical information in entry elements must be present in the narrative.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $warning-2 and not($error-2 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$warning-2 and not($error-2 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime of Dispense Event 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The DateTime of Dispense Event data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-2 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-2 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime of Dispense Event 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="if ($error-2c) then concat('The narrative contains a date with the same year ''', $year, ''' but without a month or day.') else '' " /><xsl:text />
		The DateTime of Dispense Event data element records clinical information and all clinical information in entry elements must be present in the narrative.
		<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-2 and not($no-content) and not(true())">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-2 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime of Dispense Event 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="if ($error-2c) then concat('The narrative contains a date with the same year ''', $year, ''' but without a month or day.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $warning-3 and not($error-3 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$warning-3 and not($error-3 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime of Dispense Event 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The DateTime of Dispense Event data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $dt-value != '' and not($narr-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $dt-value != '' and not($narr-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime of Dispense Event 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $dt-value != '' and not($narr-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $dt-value != '' and not($narr-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime of Dispense Event '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The DateTime of Dispense Event data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-3 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-3 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime of Dispense Event '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The DateTime of Dispense Event data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-3 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-3 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime of Dispense Event '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = () and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = () and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The DateTime of Dispense Event '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M300" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M300" />
  <xsl:template match="@*|node()" priority="-2" mode="M300">
    <xsl:apply-templates select="@*|*" mode="M300" />
  </xsl:template>
  <!--PATTERN p-TS-DispItem-DateTime-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$templateId-root = '1.2.36.1.2001.1001.100.1002.171' and $templateId-ext = '1.0' and   '102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:supply/cda:effectiveTime " priority="1000" mode="M301">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$templateId-root = '1.2.36.1.2001.1001.100.1002.171' and $templateId-ext = '1.0' and   '102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:supply/cda:effectiveTime " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and exists(('ALL')[. = 'ALL']) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and exists(('ALL')[. = 'ALL'])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The DateTime of Dispense Event data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. The DateTime of Dispense Event data element is not allowed to contain a nullFlavor attribute.
		(See section 3.2.13 of the eHealth Dispense Record PCEHR Conformance Profile v1.3.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and exists(('ALL')[. = current()/@nullFlavor]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and exists(('ALL')[. = current()/@nullFlavor])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The DateTime of Dispense Event data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. The DateTime of Dispense Event data element is not allowed to contain a nullFlavor attribute
		with this value. (See section 3.2.13 of the eHealth Dispense Record PCEHR Conformance Profile v1.3.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M301" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M301" />
  <xsl:template match="@*|node()" priority="-2" mode="M301">
    <xsl:apply-templates select="@*|*" mode="M301" />
  </xsl:template>
  <!--PATTERN p-TS-DispItem-UniqueIdentifier-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:supply/cda:product/cda:manufacturedProduct/cda:manufacturerOrganization/cda:id " priority="1000" mode="M302">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:supply/cda:product/cda:manufacturedProduct/cda:manufacturerOrganization/cda:id " />
    <xsl:variable name="agency-namespace" select="@root and (matches(@root, '^1\.2\.36\.1\.2001\.1001\.10[0-4]{1}\.') or matches(@root, '^1\.2\.36\.1\.2001\.1006\.')) " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-11" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-11 else $rating-alt-TC-Types-11 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="ii-context" select="if (ancestor::cda:recordTarget and ancestor::ext:asEntityIdentifier) then 'default' else 'alternative' " />
    <xsl:variable name="rating-73" select="if ($initial-priority) then $initial-rating       else if ($ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/test-case[@id='TC-Types-73']/@rating)        then concat(' (', $ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/test-case[@id='TC-Types-73']/@rating, ')')       else if ($ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/@rating)       then concat(' (', $ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/@rating, ')')       else '' " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-11: The PBS Manufacturer Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type and has <xsl:text /><xsl:value-of select="iq:display-II(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-11" /><xsl:text />: TC-Types-11: According to the CDA Implementation Guide the PBS Manufacturer Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type which
		is derived from the HL7 'II' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present.
		(See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-11" /><xsl:text />: TC-Types-11: According to the CDA Implementation Guide the PBS Manufacturer Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type which is derived from the HL7 'II' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'II'. (See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the CDA Implementation Guide the PBS Manufacturer Code
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the UniqueIdentifier data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the CDA Implementation Guide the PBS Manufacturer Code
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the UniqueIdentifier data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and   not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the CDA Implementation Guide the PBS Manufacturer Code
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however the attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))])" /><xsl:text />' was found that is not in the list of attributes
		expected for the UniqueIdentifier data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and   not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the CDA Implementation Guide the PBS Manufacturer Code
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however the attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))])" /><xsl:text />' was found that is not in the list of attributes
		expected for the UniqueIdentifier data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $agency-namespace ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$agency-namespace">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-73" /><xsl:text />: TC-Types-73:  The PBS Manufacturer Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-II(.)" /><xsl:text />. The value of the root attribute identifies the
		'<xsl:text /><xsl:value-of select="$namespaces/namespace[starts-with(current()/@root, concat(@OID-prefix, '.'))]/@name" /><xsl:text />' namespace which is reserved for use by the Australian Digital Health Agency.
		The value of the root attribute must define the namespace for the extension attribute whose value is required to identify the manufacturer of the PBS item.
		(See section 7.6.7.3.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and the PBS Manufacturer Code definition in the CDA Implementation Guide.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M302" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M302" />
  <xsl:template match="@*|node()" priority="-2" mode="M302">
    <xsl:apply-templates select="@*|*" mode="M302" />
  </xsl:template>
  <!--PATTERN p-TS-DispItem-UniqueIdentifier-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:supply/cda:product/cda:manufacturedProduct/cda:manufacturerOrganization/cda:id " priority="1000" mode="M303">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:supply/cda:product/cda:manufacturedProduct/cda:manufacturerOrganization/cda:id " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="narr-text-el" select="(for $text in ($target-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-to-find" select="if (@extension) then matches(@extension, '[0-9a-z]', 'is') else false() " />
    <xsl:variable name="text-regex" select="if ($text-to-find) then concat('(^|\W)', dh:XQueryRecursiveReplace(@extension, $meta-pattern-with-pipe, ''), '(\W|$)') else '' " />
    <xsl:variable name="text-in-narr" select="$text-to-find and exists($narr-text-el[matches(., $text-regex, 'is')]) " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-narr-node//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-1" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-1 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 1: 
		The text that needs to be found is '<xsl:text /><xsl:value-of select="@extension" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-text-el, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		Was matching text found? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$text-to-find and not($text-in-narr or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-in-narr or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-1" /><xsl:text />: TC-Narr-09 step 1: The PBS Manufacturer Code '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has an extension attribute with the value '<xsl:text /><xsl:value-of select="@extension" /><xsl:text />' which was not found in the narrative of the
		section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The PBS Manufacturer Code data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		Confirm by manual inspection that the PBS Manufacturer Code has been listed in the narrative perhaps using other text with the same meaning.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and $no-content and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and $no-content and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-1" /><xsl:text />: TC-Narr-09 step 1: The PBS Manufacturer Code '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has an extension attribute with the value '<xsl:text /><xsl:value-of select="@extension" /><xsl:text />' which is not in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and $no-content and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and $no-content and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-1" /><xsl:text />: TC-Narr-09 step 1: The PBS Manufacturer Code '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has an extension attribute with the value '<xsl:text /><xsl:value-of select="@extension" /><xsl:text />' which is not in the narrative of the section.
		The PBS Manufacturer Code data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The PBS Manufacturer Code '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The PBS Manufacturer Code data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		Confirm by manual inspection that the PBS Manufacturer Code has been listed in the narrative perhaps using other text with the same meaning.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M303" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M303" />
  <xsl:template match="@*|node()" priority="-2" mode="M303">
    <xsl:apply-templates select="@*|*" mode="M303" />
  </xsl:template>
  <!--PATTERN p-TS-DispItem-UniqueIdentifier-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:supply/cda:id " priority="1000" mode="M304">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:supply/cda:id " />
    <xsl:variable name="agency-namespace" select="@root and (matches(@root, '^1\.2\.36\.1\.2001\.1001\.10[0-4]{1}\.') or matches(@root, '^1\.2\.36\.1\.2001\.1006\.')) " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-11" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-11 else $rating-alt-TC-Types-11 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="ii-context" select="if (ancestor::cda:recordTarget and ancestor::ext:asEntityIdentifier) then 'default' else 'alternative' " />
    <xsl:variable name="rating-73" select="if ($initial-priority) then $initial-rating       else if ($ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/test-case[@id='TC-Types-73']/@rating)        then concat(' (', $ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/test-case[@id='TC-Types-73']/@rating, ')')       else if ($ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/@rating)       then concat(' (', $ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/@rating, ')')       else '' " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-11: The Dispense Item Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type and has <xsl:text /><xsl:value-of select="iq:display-II(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-11" /><xsl:text />: TC-Types-11: According to the Structured Content Specification the Dispense Item Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type which
		is derived from the HL7 'II' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present.
		(See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-11" /><xsl:text />: TC-Types-11: According to the Structured Content Specification the Dispense Item Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type which is derived from the HL7 'II' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'II'. (See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Dispense Item Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the UniqueIdentifier data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Dispense Item Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the UniqueIdentifier data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and   not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Dispense Item Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however the attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))])" /><xsl:text />' was found that is not in the list of attributes
		expected for the UniqueIdentifier data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and   not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Dispense Item Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however the attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))])" /><xsl:text />' was found that is not in the list of attributes
		expected for the UniqueIdentifier data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $agency-namespace ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$agency-namespace">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-73" /><xsl:text />: TC-Types-73:  The Dispense Item Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-II(.)" /><xsl:text />. The value of the root attribute identifies the
		'<xsl:text /><xsl:value-of select="$namespaces/namespace[starts-with(current()/@root, concat(@OID-prefix, '.'))]/@name" /><xsl:text />' namespace which is reserved for use by the Australian Digital Health Agency.
		The value of the root attribute must define the namespace for the extension attribute whose value is required to identify the dispense and supply of a therapeutic good.
		(See section 7.6.7.3.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and the Dispense Item Identifier definition in the Structured Content Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M304" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M304" />
  <xsl:template match="@*|node()" priority="-2" mode="M304">
    <xsl:apply-templates select="@*|*" mode="M304" />
  </xsl:template>
  <!--PATTERN p-TS-DispItem-UniqueIdentifier-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$templateId-root = '1.2.36.1.2001.1001.100.1002.171' and $templateId-ext = '1.0' and    '102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:supply/cda:id " priority="1000" mode="M305">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$templateId-root = '1.2.36.1.2001.1001.100.1002.171' and $templateId-ext = '1.0' and    '102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:supply/cda:id " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and exists(('ALL')[. = 'ALL']) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and exists(('ALL')[. = 'ALL'])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Dispense Item Identifier data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. The Dispense Item Identifier data element is not allowed to contain a nullFlavor attribute.
		(See section 3.2.13 of the eHealth Dispense Record PCEHR Conformance Profile v1.3.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and exists(('ALL')[. = current()/@nullFlavor]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and exists(('ALL')[. = current()/@nullFlavor])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Dispense Item Identifier data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. The Dispense Item Identifier data element is not allowed to contain a nullFlavor attribute
		with this value. (See section 3.2.13 of the eHealth Dispense Record PCEHR Conformance Profile v1.3.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M305" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M305" />
  <xsl:template match="@*|node()" priority="-2" mode="M305">
    <xsl:apply-templates select="@*|*" mode="M305" />
  </xsl:template>
  <!--PATTERN p-TS-DispItem-UniqueIdentifier-5-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/cda:id " priority="1000" mode="M306">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/cda:id " />
    <xsl:variable name="agency-namespace" select="@root and (matches(@root, '^1\.2\.36\.1\.2001\.1001\.10[0-4]{1}\.') or matches(@root, '^1\.2\.36\.1\.2001\.1006\.')) " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-11" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-11 else $rating-alt-TC-Types-11 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="ii-context" select="if (ancestor::cda:recordTarget and ancestor::ext:asEntityIdentifier) then 'default' else 'alternative' " />
    <xsl:variable name="rating-73" select="if ($initial-priority) then $initial-rating       else if ($ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/test-case[@id='TC-Types-73']/@rating)        then concat(' (', $ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/test-case[@id='TC-Types-73']/@rating, ')')       else if ($ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/@rating)       then concat(' (', $ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/@rating, ')')       else '' " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-11: The Prescription Item Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type and has <xsl:text /><xsl:value-of select="iq:display-II(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-11" /><xsl:text />: TC-Types-11: According to the Structured Content Specification the Prescription Item Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type which
		is derived from the HL7 'II' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present.
		(See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-11" /><xsl:text />: TC-Types-11: According to the Structured Content Specification the Prescription Item Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type which is derived from the HL7 'II' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'II'. (See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Prescription Item Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the UniqueIdentifier data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Prescription Item Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the UniqueIdentifier data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and   not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Prescription Item Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however the attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))])" /><xsl:text />' was found that is not in the list of attributes
		expected for the UniqueIdentifier data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and   not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Prescription Item Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however the attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))])" /><xsl:text />' was found that is not in the list of attributes
		expected for the UniqueIdentifier data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $agency-namespace ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$agency-namespace">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-73" /><xsl:text />: TC-Types-73:  The Prescription Item Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-II(.)" /><xsl:text />. The value of the root attribute identifies the
		'<xsl:text /><xsl:value-of select="$namespaces/namespace[starts-with(current()/@root, concat(@OID-prefix, '.'))]/@name" /><xsl:text />' namespace which is reserved for use by the Australian Digital Health Agency.
		The value of the root attribute must define the namespace for the extension attribute whose value is required to identify the prescription item which authorised the dispensing of the therapeutic good.
		(See section 7.6.7.3.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and the Prescription Item Identifier definition in the Structured Content Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M306" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M306" />
  <xsl:template match="@*|node()" priority="-2" mode="M306">
    <xsl:apply-templates select="@*|*" mode="M306" />
  </xsl:template>
  <!--PATTERN p-TS-DispItem-Integer-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:sequenceNumber " priority="1000" mode="M307">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:sequenceNumber " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 8.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-14" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-14 else $rating-alt-TC-Types-14 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-14: The Number of this Dispense '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type and
		<xsl:text /><xsl:value-of select="if (@value and @nullFlavor) then concat('has a value attribute with the value ''', @value, ''' and a nullFlavor attribute with the value ''', @nullFlavor, '''')   else if (@value and not(@nullFlavor)) then concat('has a value attribute with the value ''', @value, '''')   else if (not(@value) and @nullFlavor) then concat('has a nullFlavor attribute with the value ''', @nullFlavor, '''')   else 'has no value or nullFlavor attributes' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(   local-name(.)  = 'batchTotalNumber'  or   local-name(.)  = 'continuationQuantity'  or   local-name(.)  = 'expectedSequenceNumber' or   local-name(.)  = 'initialQuantity'  or   local-name(.)  = 'messageWaitingNumber'  or   local-name(.)  = 'multipleBirthOrderNumber' or   local-name(.)  = 'positionNumber'  or   local-name(.)  = 'priorityNumber'  or   local-name(..) = 'repeatNumber'   or   local-name(.)  = 'resultCurrentQuantity' or   local-name(.)  = 'resultRemainingQuantity' or   local-name(.)  = 'resultTotalQuantity'  or   local-name(.)  = 'sequenceNumber'  or   local-name(.)  = 'startResultNumber'  or   local-name(.)  = 'transmissionQuantity'  or   local-name(.)  = 'versionNumber'  ) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not( local-name(.) = 'batchTotalNumber' or local-name(.) = 'continuationQuantity' or local-name(.) = 'expectedSequenceNumber' or local-name(.) = 'initialQuantity' or local-name(.) = 'messageWaitingNumber' or local-name(.) = 'multipleBirthOrderNumber' or local-name(.) = 'positionNumber' or local-name(.) = 'priorityNumber' or local-name(..) = 'repeatNumber' or local-name(.) = 'resultCurrentQuantity' or local-name(.) = 'resultRemainingQuantity' or local-name(.) = 'resultTotalQuantity' or local-name(.) = 'sequenceNumber' or local-name(.) = 'startResultNumber' or local-name(.) = 'transmissionQuantity' or local-name(.) = 'versionNumber' )">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-14" /><xsl:text />: TC-Types-14: The Number of this Dispense
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type but it does not meet the requirement to have the xsi:type attribute with the value 'INT'.
		(See section 8.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-14" /><xsl:text />: TC-Types-14: According to the Structured Content Specification the Number of this Dispense
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type which is
		derived from the HL7 'INT' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		(See section 8.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Number of this Dispense
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Integer data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Number of this Dispense
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Integer data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Number of this Dispense
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the Integer data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Number of this Dispense
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the Integer data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @inclusive != 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @inclusive != 'true'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Number of this Dispense
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however an attribute 'inclusive' with the value
		'<xsl:text /><xsl:value-of select="@inclusive" /><xsl:text />' was found that is not expected for the Integer data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @inclusive != 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @inclusive != 'true'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Number of this Dispense
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however an attribute 'inclusive' with the value
		'<xsl:text /><xsl:value-of select="@inclusive" /><xsl:text />' was found that is not expected for the Integer data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@value) and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@value) and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to the Structured Content Specification the Number of this Dispense
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type
		however it has nullFlavor = 'UNC' (uncoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include nullFlavor = 'UNC'.
		(See section 8.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M307" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M307" />
  <xsl:template match="@*|node()" priority="-2" mode="M307">
    <xsl:apply-templates select="@*|*" mode="M307" />
  </xsl:template>
  <!--PATTERN p-TS-DispItem-Integer-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:sequenceNumber " priority="1000" mode="M308">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:sequenceNumber " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="narr-text-el" select="(for $text in ($target-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="narr-numbers" select="$narr-text-el[. castable as xs:double] " />
    <xsl:variable name="narr-el-present" select="exists($narr-numbers)" />
    <xsl:variable name="num-in-narr" select="@value and exists($narr-numbers[number() = current()/@value])" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-8" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-8 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @value and ancestor::cda:section and not($narr-el-present) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @value and ancestor::cda:section and not($narr-el-present)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step-8" /><xsl:text />: TC-Narr-09 step 8: The Number of this Dispense
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Number of this Dispense data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @value and $narr-el-present and not($num-in-narr or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value and $narr-el-present and not($num-in-narr or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-8" /><xsl:text />: TC-Narr-09 step 8: The Number of this Dispense
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' which was not found in table data elements of
		the narrative of the section. The data element is in the section with the title '<xsl:text /><xsl:value-of select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]/cda:title" /><xsl:text />'.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Number of this Dispense data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Number of this Dispense
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M308" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M308" />
  <xsl:template match="@*|node()" priority="-2" mode="M308">
    <xsl:apply-templates select="@*|*" mode="M308" />
  </xsl:template>
  <!--PATTERN p-TS-DispItem-Integer-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/cda:repeatNumber/cda:high " priority="1000" mode="M309">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/cda:repeatNumber/cda:high " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 8.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-14" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-14 else $rating-alt-TC-Types-14 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-14: The Maximum Number of Repeats '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type and
		<xsl:text /><xsl:value-of select="if (@value and @nullFlavor) then concat('has a value attribute with the value ''', @value, ''' and a nullFlavor attribute with the value ''', @nullFlavor, '''')   else if (@value and not(@nullFlavor)) then concat('has a value attribute with the value ''', @value, '''')   else if (not(@value) and @nullFlavor) then concat('has a nullFlavor attribute with the value ''', @nullFlavor, '''')   else 'has no value or nullFlavor attributes' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(   local-name(.)  = 'batchTotalNumber'  or   local-name(.)  = 'continuationQuantity'  or   local-name(.)  = 'expectedSequenceNumber' or   local-name(.)  = 'initialQuantity'  or   local-name(.)  = 'messageWaitingNumber'  or   local-name(.)  = 'multipleBirthOrderNumber' or   local-name(.)  = 'positionNumber'  or   local-name(.)  = 'priorityNumber'  or   local-name(..) = 'repeatNumber'   or   local-name(.)  = 'resultCurrentQuantity' or   local-name(.)  = 'resultRemainingQuantity' or   local-name(.)  = 'resultTotalQuantity'  or   local-name(.)  = 'sequenceNumber'  or   local-name(.)  = 'startResultNumber'  or   local-name(.)  = 'transmissionQuantity'  or   local-name(.)  = 'versionNumber'  ) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not( local-name(.) = 'batchTotalNumber' or local-name(.) = 'continuationQuantity' or local-name(.) = 'expectedSequenceNumber' or local-name(.) = 'initialQuantity' or local-name(.) = 'messageWaitingNumber' or local-name(.) = 'multipleBirthOrderNumber' or local-name(.) = 'positionNumber' or local-name(.) = 'priorityNumber' or local-name(..) = 'repeatNumber' or local-name(.) = 'resultCurrentQuantity' or local-name(.) = 'resultRemainingQuantity' or local-name(.) = 'resultTotalQuantity' or local-name(.) = 'sequenceNumber' or local-name(.) = 'startResultNumber' or local-name(.) = 'transmissionQuantity' or local-name(.) = 'versionNumber' )">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-14" /><xsl:text />: TC-Types-14: The Maximum Number of Repeats
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type but it does not meet the requirement to have the xsi:type attribute with the value 'INT'.
		(See section 8.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-14" /><xsl:text />: TC-Types-14: According to the Structured Content Specification the Maximum Number of Repeats
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type which is
		derived from the HL7 'INT' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		(See section 8.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Maximum Number of Repeats
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Integer data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Maximum Number of Repeats
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Integer data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Maximum Number of Repeats
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the Integer data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Maximum Number of Repeats
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the Integer data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @inclusive != 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @inclusive != 'true'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Maximum Number of Repeats
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however an attribute 'inclusive' with the value
		'<xsl:text /><xsl:value-of select="@inclusive" /><xsl:text />' was found that is not expected for the Integer data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @inclusive != 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @inclusive != 'true'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Maximum Number of Repeats
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however an attribute 'inclusive' with the value
		'<xsl:text /><xsl:value-of select="@inclusive" /><xsl:text />' was found that is not expected for the Integer data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@value) and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@value) and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to the Structured Content Specification the Maximum Number of Repeats
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type
		however it has nullFlavor = 'UNC' (uncoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include nullFlavor = 'UNC'.
		(See section 8.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M309" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M309" />
  <xsl:template match="@*|node()" priority="-2" mode="M309">
    <xsl:apply-templates select="@*|*" mode="M309" />
  </xsl:template>
  <!--PATTERN p-TS-DispItem-Integer-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/cda:repeatNumber " priority="1000" mode="M310">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/cda:repeatNumber " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="narr-text-el" select="(for $text in ($target-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="max-repeats" select="cda:high/@value - 1" />
    <xsl:variable name="inv-max-repeats" select="cda:high/@value " />
    <xsl:variable name="min-repeats" select="cda:low/@value - 1" />
    <xsl:variable name="narr-numbers" select="$narr-text-el[. castable as xs:double] " />
    <xsl:variable name="narr-el-present" select="exists($narr-numbers)" />
    <xsl:variable name="max-nullFlavor-values" select="if (cda:high/@nullFlavor and cda:high/@nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))       then $nullFlavors/nullFlavor[@value = current()/cda:high/@nullFlavor] else () " />
    <xsl:variable name="max-null-to-find" select="exists($max-nullFlavor-values) " />
    <xsl:variable name="max-null-in-narr" select="($max-nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $max-nullFlavor-values/@name-regex, 'is')])) or              ($max-nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $max-nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="min-nullFlavor-values" select="if (cda:low/@nullFlavor and cda:low/@nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))        then $nullFlavors/nullFlavor[@value = current()/cda:low/@nullFlavor] else () " />
    <xsl:variable name="min-null-to-find" select="exists($min-nullFlavor-values) " />
    <xsl:variable name="min-null-in-narr" select="($min-nullFlavor-values/@name-regex and exists($target-narr-node//text()[matches(., $min-nullFlavor-values/@name-regex, 'is')])) or              ($min-nullFlavor-values/@syn-regex and exists($target-narr-node//text()[matches(., $min-nullFlavor-values/@syn-regex, 'is')]))  " />
    <xsl:variable name="multimedia" select="exists($target-narr-node//cda:renderMultiMedia)" />
    <xsl:variable name="max-repeat-absent" select="cda:high/@value &gt; 0 and $narr-el-present and not(exists($narr-numbers[number() = $max-repeats]))" />
    <xsl:variable name="max-repeat-err" select="$max-repeat-absent and exists($narr-numbers[number() = $inv-max-repeats]) and not($multimedia)" />
    <xsl:variable name="max-repeat-warn" select="$max-repeat-absent and not($max-repeat-err)" />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-narr-node//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-1" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-1 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $max-repeat-warn ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$max-repeat-warn">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-1" /><xsl:text />: TC-Narr-09 step 1: The Maximum Number of Repeats
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$max-repeats" /><xsl:text />'. This
		was not found in the table data elements of the narrative of the section. Confirm that the Maximum Number of Repeats is recorded in the narrative
		noting that the number of repeats equals the value of 'entry/substanceAdministration/repeatNumber/high' minus one as the repeatNumber data element is the maximum number of times
		the health act (in this case the dispensing of a medication) may be performed. All clinical information in entry elements must also be present in the narrative.
		<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See section 3.1.1.15 of the HL7 Reference Information Model and Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $max-repeat-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$max-repeat-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-1" /><xsl:text />: TC-Narr-09 step 1: The Maximum Number of Repeats
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$max-repeats" /><xsl:text />'.
		The maximum number of repeats equals the value of 'entry/substanceAdministration/repeatNumber/high' minus one as the repeatNumber data element is the maximum number of times
		the health act (in this case the dispensing of a medication) may be performed. Therefore the maximum number of repeats is '<xsl:text /><xsl:value-of select="$max-repeats" /><xsl:text />' as
		the value of 'entry/substanceAdministration/repeatNumber/high' is '<xsl:text /><xsl:value-of select="$inv-max-repeats" /><xsl:text />'. The number '<xsl:text /><xsl:value-of select="$inv-max-repeats" /><xsl:text />' is present in the
		narrative but it should be '<xsl:text /><xsl:value-of select="$max-repeats" /><xsl:text />'. All clinical information in entry elements must be present in the narrative.
		(See section 3.1.1.15 of the HL7 Reference Information Model and Appendix A 'CDA Narratives' in the
		<xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:high/@value &gt; 0 and not($narr-el-present) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:high/@value &gt; 0 and not($narr-el-present)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-1" /><xsl:text />: TC-Narr-09 step 1: The Maximum Number of Repeats
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$max-repeats" /><xsl:text />'. 
		The maximum number of repeats equals the value of 'entry/substanceAdministration/repeatNumber/high' minus one as the repeatNumber data element is the maximum number of times
		the health act (in this case the dispensing of a medication) may be performed. Therefore the maximum number of repeats is '<xsl:text /><xsl:value-of select="$max-repeats" /><xsl:text />' as
		the value of 'entry/substanceAdministration/repeatNumber/high' is '<xsl:text /><xsl:value-of select="$inv-max-repeats" /><xsl:text />'. Confirm by manual inspection that this value is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative.
		<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text /> (See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:low/@value &gt; 0 and $narr-el-present and not(exists($narr-numbers[number() = $min-repeats])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:low/@value &gt; 0 and $narr-el-present and not(exists($narr-numbers[number() = $min-repeats]))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-1" /><xsl:text />: TC-Narr-09 step 1: The Minimum Number of Repeats
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$min-repeats" /><xsl:text />'. This
		was not found in the table data elements in the narrative of the section. Confirm that the Minimum Number of Repeats is recorded in the narrative
		noting that the number of repeats equals the value of 'entry/substanceAdministration/repeatNumber/low' minus one as the repeatNumber data element is the maximum number of times the
		health act (in this case the dispensing of a medication) may be performed. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See section 3.1.1.15 of the HL7 Reference Information Model and Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and cda:low/@value &gt; 0 and not($target-narr-node//cda:td) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and cda:low/@value &gt; 0 and not($target-narr-node//cda:td)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step-1" /><xsl:text />: TC-Narr-09 step 1: The Minimum Number of Repeats
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$min-repeats" /><xsl:text />'. Confirm by manual inspection that this value is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $max-null-to-find and not($max-null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$max-null-to-find and not($max-null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Maximum Number of Repeats
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="cda:high/@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$max-nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($max-nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $min-null-to-find and not($min-null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$min-null-to-find and not($min-null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Minimum Number of Repeats
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="cda:low/@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$min-nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($min-nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M310" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M310" />
  <xsl:template match="@*|node()" priority="-2" mode="M310">
    <xsl:apply-templates select="@*|*" mode="M310" />
  </xsl:template>
  <!--PATTERN p-TS-DispItem-Boolean-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:supply/cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16064']]/cda:value " priority="1000" mode="M311">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:supply/cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16064']]/cda:value " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 4.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-01" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-01 else $rating-alt-TC-Types-01 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-01: The Brand Substitution Occurred
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type and
		<xsl:text /><xsl:value-of select="if (@value and @nullFlavor) then concat('has a value attribute with the value ''', @value, ''' and a nullFlavor attribute with the value ''', @nullFlavor, '''')   else if (@value and not(@nullFlavor)) then concat('has a value attribute with the value ''', @value, '''')   else if (not(@value) and @nullFlavor) then concat('has a nullFlavor attribute with the value ''', @nullFlavor, '''')   else 'has no value or nullFlavor attributes' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type or local-name(..) = ('contextConductionInd', 'deceasedInd') or   local-name(.) = ('independentInd', 'interruptibleInd', 'inversionInd', 'mobileInd', 'multipleBirthInd', 'negationInd', 'organDonorInd', 'performInd', 'preAdmitTestInd', 'preferenceInd', 'seperatableInd')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type or local-name(..) = ('contextConductionInd', 'deceasedInd') or local-name(.) = ('independentInd', 'interruptibleInd', 'inversionInd', 'mobileInd', 'multipleBirthInd', 'negationInd', 'organDonorInd', 'performInd', 'preAdmitTestInd', 'preferenceInd', 'seperatableInd'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Types-01: The Brand Substitution Occurred
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type but it does not meet the requirement to have the xsi:type attribute with the value 'BL'.
		(See section 4.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Types-01: According to section 3.18 of the Dispense Record Structured Content Specification v1.0 the Brand Substitution Occurred

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type which is
		derived from the HL7 'BL' data type however the xsi:type attribute has the value <xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 4.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Types-01: According to section 3.18 of the Dispense Record Structured Content Specification v1.0 the Brand Substitution Occurred
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type which is derived from the HL7 'BL' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'BL'.
		(See section 4.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.18 of the Dispense Record Structured Content Specification v1.0 the Brand Substitution Occurred

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Boolean data type.
		The Boolean data type does not have any child elements so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.18 of the Dispense Record Structured Content Specification v1.0 the Brand Substitution Occurred

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Boolean data type.
		The Boolean data type does not have any child elements so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')] and     not(@xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')] and not(@xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.18 of the Dispense Record Structured Content Specification v1.0 the Brand Substitution Occurred

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')])" /><xsl:text />' was found that is not expected for the Boolean data type.
		The definition of the Boolean data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')] and     not(@xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')] and not(@xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.18 of the Dispense Record Structured Content Specification v1.0 the Brand Substitution Occurred

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')])" /><xsl:text />' was found that is not expected for the Boolean data type.
		The definition of the Boolean data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M311" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M311" />
  <xsl:template match="@*|node()" priority="-2" mode="M311">
    <xsl:apply-templates select="@*|*" mode="M311" />
  </xsl:template>
  <!--PATTERN p-TS-DispItem-Boolean-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:supply/cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16064']]/cda:value " priority="1000" mode="M312">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:supply/cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16064']]/cda:value " />
    <xsl:variable name="single-word" select="exists(@value)" />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="narr-text-el" select="(for $text in ($target-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="boolean-values" select="if (@value) then $booleans/boolean[@value = current()/@value] else () " />
    <xsl:variable name="text-to-find" select="exists($boolean-values) " />
    <xsl:variable name="text-in-narr" select="($boolean-values/@value-regex and exists($narr-text-el[matches(., $boolean-values/@value-regex, 'is')])) or              ($boolean-values/@syn-regex and exists($narr-text-el[matches(., $boolean-values/@syn-regex, 'is')])) " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')]))  " />
    <xsl:variable name="multimedia" select="exists($target-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-1" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-1 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 1: 
		The word that needs to be found is '<xsl:text /><xsl:value-of select="$text-to-find" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-text-el, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		Was matching text found? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-in-narr or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-in-narr or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-1" /><xsl:text />: TC-Narr-09 step 1: The Brand Substitution Occurred
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' which does not seem to be present in the narrative.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Brand Substitution Occurred data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Brand Substitution Occurred
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M312" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M312" />
  <xsl:template match="@*|node()" priority="-2" mode="M312">
    <xsl:apply-templates select="@*|*" mode="M312" />
  </xsl:template>
  <!--PATTERN p-TS-DispItem-Text-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16769.171.1.1']]/cda:text " priority="1000" mode="M313">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16769.171.1.1']]/cda:text " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Therapeutic Good Strength
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Therapeutic Good Strength 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Therapeutic Good Strength
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Therapeutic Good Strength
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Therapeutic Good Strength however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Therapeutic Good Strength in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Therapeutic Good Strength
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Therapeutic Good Strength however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Therapeutic Good Strength in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Therapeutic Good Strength data element with a proper value then an exclusion
		statement must be included to state why there is no Therapeutic Good Strength. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Therapeutic Good Strength
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Therapeutic Good Strength however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Therapeutic Good Strength in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Therapeutic Good Strength
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Therapeutic Good Strength
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Therapeutic Good Strength
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Therapeutic Good Strength
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Therapeutic Good Strength
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Therapeutic Good Strength
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Therapeutic Good Strength
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Therapeutic Good Strength
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Therapeutic Good Strength
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Therapeutic Good Strength
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M313" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M313" />
  <xsl:template match="@*|node()" priority="-2" mode="M313">
    <xsl:apply-templates select="@*|*" mode="M313" />
  </xsl:template>
  <!--PATTERN p-TS-DispItem-Text-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16769.171.1.1']]/cda:text " priority="1000" mode="M314">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16769.171.1.1']]/cda:text " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Therapeutic Good Strength '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Therapeutic Good Strength
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Therapeutic Good Strength data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Therapeutic Good Strength
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Therapeutic Good Strength data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Therapeutic Good Strength
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Therapeutic Good Strength
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Therapeutic Good Strength data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Therapeutic Good Strength
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M314" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M314" />
  <xsl:template match="@*|node()" priority="-2" mode="M314">
    <xsl:apply-templates select="@*|*" mode="M314" />
  </xsl:template>
  <!--PATTERN p-TS-DispItem-Text-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:supply/cda:product/cda:manufacturedProduct/cda:manufacturedMaterial/cda:name " priority="1000" mode="M315">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:supply/cda:product/cda:manufacturedProduct/cda:manufacturedMaterial/cda:name " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Therapeutic Good Generic Name
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Therapeutic Good Generic Name 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Therapeutic Good Generic Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Therapeutic Good Generic Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Therapeutic Good Generic Name however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Therapeutic Good Generic Name in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Therapeutic Good Generic Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Therapeutic Good Generic Name however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Therapeutic Good Generic Name in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Therapeutic Good Generic Name data element with a proper value then an exclusion
		statement must be included to state why there is no Therapeutic Good Generic Name. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Therapeutic Good Generic Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Therapeutic Good Generic Name however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Therapeutic Good Generic Name in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Therapeutic Good Generic Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Therapeutic Good Generic Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Therapeutic Good Generic Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Therapeutic Good Generic Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Therapeutic Good Generic Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Therapeutic Good Generic Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Therapeutic Good Generic Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Therapeutic Good Generic Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Therapeutic Good Generic Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Therapeutic Good Generic Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M315" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M315" />
  <xsl:template match="@*|node()" priority="-2" mode="M315">
    <xsl:apply-templates select="@*|*" mode="M315" />
  </xsl:template>
  <!--PATTERN p-TS-DispItem-Text-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:supply/cda:product/cda:manufacturedProduct/cda:manufacturedMaterial/cda:name " priority="1000" mode="M316">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:supply/cda:product/cda:manufacturedProduct/cda:manufacturedMaterial/cda:name " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Therapeutic Good Generic Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Therapeutic Good Generic Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Therapeutic Good Generic Name data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Therapeutic Good Generic Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Therapeutic Good Generic Name data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Therapeutic Good Generic Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Therapeutic Good Generic Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Therapeutic Good Generic Name data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Therapeutic Good Generic Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M316" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M316" />
  <xsl:template match="@*|node()" priority="-2" mode="M316">
    <xsl:apply-templates select="@*|*" mode="M316" />
  </xsl:template>
  <!--PATTERN p-TS-DispItem-Text-5-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:supply/cda:product/cda:manufacturedProduct/cda:manufacturedMaterial/ext:desc " priority="1000" mode="M317">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:supply/cda:product/cda:manufacturedProduct/cda:manufacturedMaterial/ext:desc " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Additional Dispensed Item Description
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Additional Dispensed Item Description 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Additional Dispensed Item Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Additional Dispensed Item Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Additional Dispensed Item Description however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Additional Dispensed Item Description in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Additional Dispensed Item Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Additional Dispensed Item Description however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Additional Dispensed Item Description in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Additional Dispensed Item Description data element with a proper value then an exclusion
		statement must be included to state why there is no Additional Dispensed Item Description. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Additional Dispensed Item Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Additional Dispensed Item Description however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Additional Dispensed Item Description in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Additional Dispensed Item Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Additional Dispensed Item Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Additional Dispensed Item Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Additional Dispensed Item Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Additional Dispensed Item Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Additional Dispensed Item Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Additional Dispensed Item Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Additional Dispensed Item Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Additional Dispensed Item Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Additional Dispensed Item Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M317" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M317" />
  <xsl:template match="@*|node()" priority="-2" mode="M317">
    <xsl:apply-templates select="@*|*" mode="M317" />
  </xsl:template>
  <!--PATTERN p-TS-DispItem-Text-6-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:supply/cda:product/cda:manufacturedProduct/cda:manufacturedMaterial/ext:desc " priority="1000" mode="M318">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:supply/cda:product/cda:manufacturedProduct/cda:manufacturedMaterial/ext:desc " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Additional Dispensed Item Description '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Additional Dispensed Item Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Additional Dispensed Item Description data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Additional Dispensed Item Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Additional Dispensed Item Description data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Additional Dispensed Item Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Additional Dispensed Item Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Additional Dispensed Item Description data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Additional Dispensed Item Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M318" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M318" />
  <xsl:template match="@*|node()" priority="-2" mode="M318">
    <xsl:apply-templates select="@*|*" mode="M318" />
  </xsl:template>
  <!--PATTERN p-TS-DispItem-Text-7-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:supply/cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16109']]/cda:text " priority="1000" mode="M319">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:supply/cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16109']]/cda:text " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Label Instruction
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Label Instruction 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Label Instruction
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Label Instruction
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Label Instruction however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Label Instruction in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Label Instruction
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Label Instruction however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Label Instruction in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Label Instruction data element with a proper value then an exclusion
		statement must be included to state why there is no Label Instruction. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Label Instruction
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Label Instruction however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Label Instruction in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Label Instruction
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Label Instruction
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Label Instruction
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Label Instruction
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Label Instruction
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Label Instruction
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Label Instruction
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Label Instruction
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Label Instruction
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Label Instruction
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M319" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M319" />
  <xsl:template match="@*|node()" priority="-2" mode="M319">
    <xsl:apply-templates select="@*|*" mode="M319" />
  </xsl:template>
  <!--PATTERN p-TS-DispItem-Text-8-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:supply/cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16109']]/cda:text " priority="1000" mode="M320">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:supply/cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16109']]/cda:text " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Label Instruction '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Label Instruction
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Label Instruction data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Label Instruction
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Label Instruction data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Label Instruction
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Label Instruction
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Label Instruction data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Label Instruction
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M320" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M320" />
  <xsl:template match="@*|node()" priority="-2" mode="M320">
    <xsl:apply-templates select="@*|*" mode="M320" />
  </xsl:template>
  <!--PATTERN p-TS-DispItem-Text-9-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16272']]/cda:text " priority="1000" mode="M321">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16272']]/cda:text " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Formula
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Formula 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Formula
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Formula
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Formula however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Formula in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Formula
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Formula however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Formula in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Formula data element with a proper value then an exclusion
		statement must be included to state why there is no Formula. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Formula
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Formula however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Formula in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Formula
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Formula
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Formula
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Formula
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Formula
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Formula
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Formula
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Formula
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Formula
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Formula
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M321" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M321" />
  <xsl:template match="@*|node()" priority="-2" mode="M321">
    <xsl:apply-templates select="@*|*" mode="M321" />
  </xsl:template>
  <!--PATTERN p-TS-DispItem-Text-10-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16272']]/cda:text " priority="1000" mode="M322">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16272']]/cda:text " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Formula '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Formula
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Formula data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Formula
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Formula data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Formula
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Formula
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Formula data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Formula
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M322" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M322" />
  <xsl:template match="@*|node()" priority="-2" mode="M322">
    <xsl:apply-templates select="@*|*" mode="M322" />
  </xsl:template>
  <!--PATTERN p-TS-DispItem-Text-11-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16044']]/cda:text " priority="1000" mode="M323">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16044']]/cda:text " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Comment
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Comment 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Comment however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Comment in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Comment however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Comment in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Comment data element with a proper value then an exclusion
		statement must be included to state why there is no Comment. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Comment however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Comment in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M323" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M323" />
  <xsl:template match="@*|node()" priority="-2" mode="M323">
    <xsl:apply-templates select="@*|*" mode="M323" />
  </xsl:template>
  <!--PATTERN p-TS-DispItem-Text-12-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16044']]/cda:text " priority="1000" mode="M324">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16044']]/cda:text " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Comment '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Comment data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Comment data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Comment data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M324" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M324" />
  <xsl:template match="@*|node()" priority="-2" mode="M324">
    <xsl:apply-templates select="@*|*" mode="M324" />
  </xsl:template>
  <!--PATTERN p-TS-DispItem-Text-13-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:supply/cda:entryRelationship/cda:act[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='246205007']]/cda:text " priority="1000" mode="M325">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:supply/cda:entryRelationship/cda:act[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='246205007']]/cda:text " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Quantity Description
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Quantity Description 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Quantity Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Quantity Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Quantity Description however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Quantity Description in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Quantity Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Quantity Description however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Quantity Description in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Quantity Description data element with a proper value then an exclusion
		statement must be included to state why there is no Quantity Description. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Quantity Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Quantity Description however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Quantity Description in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Quantity Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Quantity Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Quantity Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Quantity Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Quantity Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Quantity Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Quantity Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Quantity Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Quantity Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Quantity Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M325" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M325" />
  <xsl:template match="@*|node()" priority="-2" mode="M325">
    <xsl:apply-templates select="@*|*" mode="M325" />
  </xsl:template>
  <!--PATTERN p-TS-DispItem-Text-14-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:supply/cda:entryRelationship/cda:act[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='246205007']]/cda:text " priority="1000" mode="M326">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:supply/cda:entryRelationship/cda:act[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='246205007']]/cda:text " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Quantity Description '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Quantity Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Quantity Description data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Quantity Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Quantity Description data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Quantity Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Quantity Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Quantity Description data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Quantity Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M326" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M326" />
  <xsl:template match="@*|node()" priority="-2" mode="M326">
    <xsl:apply-templates select="@*|*" mode="M326" />
  </xsl:template>
  <!--PATTERN p-TS-DispItem-Text-15-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:supply/cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16786']]/cda:text " priority="1000" mode="M327">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:supply/cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16786']]/cda:text " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Unique Pharmacy Prescription Number
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Unique Pharmacy Prescription Number 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Unique Pharmacy Prescription Number
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Unique Pharmacy Prescription Number
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Unique Pharmacy Prescription Number however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Unique Pharmacy Prescription Number in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Unique Pharmacy Prescription Number
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Unique Pharmacy Prescription Number however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Unique Pharmacy Prescription Number in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Unique Pharmacy Prescription Number data element with a proper value then an exclusion
		statement must be included to state why there is no Unique Pharmacy Prescription Number. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Unique Pharmacy Prescription Number
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Unique Pharmacy Prescription Number however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Unique Pharmacy Prescription Number in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Unique Pharmacy Prescription Number
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Unique Pharmacy Prescription Number
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Unique Pharmacy Prescription Number
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Unique Pharmacy Prescription Number
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Unique Pharmacy Prescription Number
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Unique Pharmacy Prescription Number
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Unique Pharmacy Prescription Number
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Unique Pharmacy Prescription Number
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Unique Pharmacy Prescription Number
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Unique Pharmacy Prescription Number
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M327" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M327" />
  <xsl:template match="@*|node()" priority="-2" mode="M327">
    <xsl:apply-templates select="@*|*" mode="M327" />
  </xsl:template>
  <!--PATTERN p-TS-DispItem-Text-16-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:supply/cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16786']]/cda:text " priority="1000" mode="M328">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:supply/cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16786']]/cda:text " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Unique Pharmacy Prescription Number '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Unique Pharmacy Prescription Number
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Unique Pharmacy Prescription Number data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Unique Pharmacy Prescription Number
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Unique Pharmacy Prescription Number data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Unique Pharmacy Prescription Number
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Unique Pharmacy Prescription Number
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Unique Pharmacy Prescription Number data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Unique Pharmacy Prescription Number
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M328" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M328" />
  <xsl:template match="@*|node()" priority="-2" mode="M328">
    <xsl:apply-templates select="@*|*" mode="M328" />
  </xsl:template>
  <!--PATTERN p-TS-DispItem-Link-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/   cda:entry/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16692.179.1.1']]/cda:text/cda:reference " priority="1000" mode="M329">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/   cda:entry/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16692.179.1.1']]/cda:text/cda:reference " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 7.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-10" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-10 else $rating-alt-TC-Types-10 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-10: The Dispense Record Link Target '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Link data type and
		<xsl:text /><xsl:value-of select="if (@value and @nullFlavor) then concat('has a value attribute with the value ''', @value, ''' and a nullFlavor attribute with the value ''', @nullFlavor, '''')   else if (@value and not(@nullFlavor)) then concat('has a value attribute with the value ''', @value, '''')   else if (not(@value) and @nullFlavor) then concat('has a nullFlavor attribute with the value ''', @nullFlavor, '''')   else 'has no value or nullFlavor attributes' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'TEL' or normalize-space(substring-after(@xsi:type, ':')) = 'TEL') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'TEL' or normalize-space(substring-after(@xsi:type, ':')) = 'TEL')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-10" /><xsl:text />: TC-Types-10: According to section 5.31 of the Prescription and Dispense View Structured Content Specification v1.0 the Dispense Record Link Target '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Link data type which is derived from the HL7 'TEL' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is
		present. (See section 7.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-10" /><xsl:text />: TC-Types-10: According to section 5.31 of the Prescription and Dispense View Structured Content Specification v1.0 the Dispense Record Link Target '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Link data type which is derived from the HL7 'TEL' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'TEL'. (See section 7.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.31 of the Prescription and Dispense View Structured Content Specification v1.0 the Dispense Record Link Target
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Link data type however a
		child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Link data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.31 of the Prescription and Dispense View Structured Content Specification v1.0 the Dispense Record Link Target
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Link data type however a
		child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Link data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @useablePeriod ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@useablePeriod">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-10" /><xsl:text />: TC-Types-10: According to section 5.31 of the Prescription and Dispense View Structured Content Specification v1.0 the Dispense Record Link Target '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Link data type which is
		derived from the HL7 'TEL' data type. The 'useablePeriod' attribute is present with the value '<xsl:text /><xsl:value-of select="@useablePeriod" /><xsl:text />' however that attribute must not be present in
		a data element of the Link data type. (See section 7.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @use ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@use">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-10" /><xsl:text />: TC-Types-10: According to section 5.31 of the Prescription and Dispense View Structured Content Specification v1.0 the Dispense Record Link Target '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Link data type which is
		derived from the HL7 'TEL' data type. The 'use' attribute is present with the value '<xsl:text /><xsl:value-of select="@use" /><xsl:text />' however that attribute must not be present in
		a data element of the Link data type. (See section 7.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value' or name() = 'useablePeriod' or name() = 'use')] and    not(@xsi:type and not(@xsi:type = 'TEL' or normalize-space(substring-after(@xsi:type, ':')) = 'TEL')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value' or name() = 'useablePeriod' or name() = 'use')] and not(@xsi:type and not(@xsi:type = 'TEL' or normalize-space(substring-after(@xsi:type, ':')) = 'TEL'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.31 of the Prescription and Dispense View Structured Content Specification v1.0 the Dispense Record Link Target
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Link data type however an
		attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value' or name() = 'useablePeriod' or name() = 'use')])" /><xsl:text />' was found that is not
		expected for the Link data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value' or name() = 'useablePeriod' or name() = 'use')] and    not(@xsi:type and not(@xsi:type = 'TEL' or normalize-space(substring-after(@xsi:type, ':')) = 'TEL')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value' or name() = 'useablePeriod' or name() = 'use')] and not(@xsi:type and not(@xsi:type = 'TEL' or normalize-space(substring-after(@xsi:type, ':')) = 'TEL'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.31 of the Prescription and Dispense View Structured Content Specification v1.0 the Dispense Record Link Target
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Link data type however an
		attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value' or name() = 'useablePeriod' or name() = 'use')])" /><xsl:text />' was found that is not
		expected for the Link data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M329" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M329" />
  <xsl:template match="@*|node()" priority="-2" mode="M329">
    <xsl:apply-templates select="@*|*" mode="M329" />
  </xsl:template>
  <!--PATTERN p-TS-Event-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16672' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16672'] " priority="1000" mode="M330">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16672' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16672'] " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating" select="if ($initial-priority) then $initial-rating else if ($FS-Types-seq/@rating) then concat(' (', $FS-Types-seq/@rating, ')') else '' " />
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and not(/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')]) and $extensions-allowed">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')]) and $extensions-allowed">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: FS-Types: The Event Details section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16672') has been found in a <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. The Event Details section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16672') is defined in the digital health specifications but
		although tests have been applied to the data elements the specification of the data elements may have been varied for inclusion in this document
		so further examination may be needed. The rules have been validated for <xsl:text /><xsl:value-of select="normalize-space('Event Summary CDA Implementation Guide version 1.2 and 1.3')" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M330" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M330" />
  <xsl:template match="@*|node()" priority="-2" mode="M330">
    <xsl:apply-templates select="@*|*" mode="M330" />
  </xsl:template>
  <!--PATTERN p-TS-Event-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16672' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16672']]/cda:component/cda:section " priority="1000" mode="M331">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16672' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16672']]/cda:component/cda:section " />
    <xsl:variable name="agency-section" select=" cda:code/@codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="test-step" select=" if (not($extensions-allowed)) then 'step 4'        else if ($agency-section) then 'step 3' else 'step 1' " />
    <xsl:variable name="title-and-code" select=" if (cda:title and cda:code/@code) then concat('title ''', cda:title, ''', code/code ''', cda:code/@code, '''')        else if (cda:title and not(cda:code/@code)) then concat('title ''', cda:title, '''')        else if (not(cda:title) and cda:code/@code) then concat('code/code ''', cda:code/@code, '''')        else '' " />
    <xsl:variable name="other-section-names" select=" if (cda:code/@displayName and not(cda:code/cda:originalText)) then concat(' and code/displayName ''', cda:code/@displayName, '''')         else if (cda:code/@displayName and cda:code/cda:originalText)          then concat(', code/displayName ''', cda:code/@displayName,''' and code/originalText ''', cda:code/cda:originalText, '''')        else if (not(cda:code/@displayName) and cda:code/cda:originalText) then concat(' and code/originalText ''', cda:code/cda:originalText, '''')        else '' " />
    <xsl:variable name="section-names" select="concat($title-and-code, $other-section-names)" />
    <xsl:variable name="doc-code" select="/cda:ClinicalDocument/cda:code" />
    <xsl:variable name="parent-section" select="ancestor::cda:section[position()=1]" />
    <xsl:variable name="custom-section-info" select="($iq-config/custom-sections/section, $knowledge/custom-sections/section)[        @doc-code  = $doc-code/@code          and        @doc-codeSystem  = $doc-code/@codeSystem          and        @parent-code   = $parent-section/cda:code/@code         and         @parent-codeSystem  = $parent-section/cda:code/@codeSystem        and         (@title = current()/cda:title or (@code = current()/cda:code/@code and @codeSystem = current()/cda:code/@codeSystem)) ] " />
    <xsl:variable name="section-disallowed" select="$custom-section-info/@disallowed = 'yes' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and ($section-disallowed or not(exists($custom-section-info)))) then $rating-alt-TC-Doc-28-step-1        else if ($test-step = 'step 1' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections]) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 3') then $rating-TC-Doc-28-step-3 else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and $section-disallowed ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and $section-disallowed">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Event Details section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16672') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> which
		is an extension to the information model however the inclusion of this section conflicts with sections defined in the digital health specifications.
		<xsl:text /><xsl:value-of select="$custom-section-info[@disallowed = 'yes']/@reason" /><xsl:text /> (Also see <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not(false()) and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(false()) and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Event Details section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16672') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. No subsection is expected so this
		is an extension to the information model. Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the 
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(false()) and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(false()) and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Event Details section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16672') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> but no subsections were
		expected so the document fails to meet the requirement that it must not contain additional data elements. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and false() and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and false() and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Event Details section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16672') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		none are expected but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the information model.
		Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Event Details section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16672') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		none are expected but the inclusion of the section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> fails to meet the requirement that it must not contain additional data elements.
		(See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M331" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M331" />
  <xsl:template match="@*|node()" priority="-2" mode="M331">
    <xsl:apply-templates select="@*|*" mode="M331" />
  </xsl:template>
  <!--PATTERN p-TS-Event-Text-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16672' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16672']]/   cda:entry/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15513']]/cda:text " priority="1000" mode="M332">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16672' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16672']]/   cda:entry/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15513']]/cda:text " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Clinical Synopsis Description
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 3.5 of the Event Summary Structured Content Specification the Clinical Synopsis Description 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 3.5 of the Event Summary Structured Content Specification the Clinical Synopsis Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 3.5 of the Event Summary Structured Content Specification the Clinical Synopsis Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Clinical Synopsis Description however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Clinical Synopsis Description in section 3.5 of the Event Summary Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 3.5 of the Event Summary Structured Content Specification the Clinical Synopsis Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Clinical Synopsis Description however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Clinical Synopsis Description in section 3.5 of the Event Summary Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Clinical Synopsis Description data element with a proper value then an exclusion
		statement must be included to state why there is no Clinical Synopsis Description. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 3.5 of the Event Summary Structured Content Specification the Clinical Synopsis Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Clinical Synopsis Description however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Clinical Synopsis Description in section 3.5 of the Event Summary Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 3.5 of the Event Summary Structured Content Specification the Clinical Synopsis Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.5 of the Event Summary Structured Content Specification the Clinical Synopsis Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.5 of the Event Summary Structured Content Specification the Clinical Synopsis Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.5 of the Event Summary Structured Content Specification the Clinical Synopsis Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.5 of the Event Summary Structured Content Specification the Clinical Synopsis Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.5 of the Event Summary Structured Content Specification the Clinical Synopsis Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.5 of the Event Summary Structured Content Specification the Clinical Synopsis Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.5 of the Event Summary Structured Content Specification the Clinical Synopsis Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.5 of the Event Summary Structured Content Specification the Clinical Synopsis Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 3.5 of the Event Summary Structured Content Specification the Clinical Synopsis Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M332" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M332" />
  <xsl:template match="@*|node()" priority="-2" mode="M332">
    <xsl:apply-templates select="@*|*" mode="M332" />
  </xsl:template>
  <!--PATTERN p-TS-Event-Text-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16672' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16672']]/   cda:entry/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15513']]/cda:text " priority="1000" mode="M333">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16672' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16672']]/   cda:entry/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15513']]/cda:text " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Clinical Synopsis Description '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Clinical Synopsis Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Clinical Synopsis Description data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Clinical Synopsis Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Clinical Synopsis Description data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Clinical Synopsis Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Clinical Synopsis Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Clinical Synopsis Description data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Clinical Synopsis Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M333" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M333" />
  <xsl:template match="@*|node()" priority="-2" mode="M333">
    <xsl:apply-templates select="@*|*" mode="M333" />
  </xsl:template>
  <!--PATTERN p-TS-Header-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument " priority="1000" mode="M334">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating" select="if ($initial-priority) then $initial-rating else if ($FS-Types-seq/@rating) then concat(' (', $FS-Types-seq/@rating, ')') else '' " />
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and not( /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.156' and @extension = '1.0'] or        /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.226' and @extension = '1.0'] or        /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.144' and @extension = '1.1'] or        /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.234' and @extension = '1.0'] or        /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.147' and @extension = '1.1'] or        /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.222' and @extension = '1.0'] or        /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4'] or        /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.171' and @extension = '1.0'] or        /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.170' and @extension = '1.0'] or        /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2'] or        /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')] or        /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.140' and @extension = '1.1'] or        /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.172' and @extension = '1.1'] or        /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.220' and @extension = '1.0'] or        /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.153' and @extension = '1.0'] or        /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.142' and @extension = '1.1'] or        /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.179' and @extension = '1.0'] or        /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')] or        /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3']) and $extensions-allowed">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not( /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.156' and @extension = '1.0'] or /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.226' and @extension = '1.0'] or /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.144' and @extension = '1.1'] or /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.234' and @extension = '1.0'] or /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.147' and @extension = '1.1'] or /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.222' and @extension = '1.0'] or /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4'] or /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.171' and @extension = '1.0'] or /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.170' and @extension = '1.0'] or /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2'] or /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')] or /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.140' and @extension = '1.1'] or /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.172' and @extension = '1.1'] or /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.220' and @extension = '1.0'] or /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.153' and @extension = '1.0'] or /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.142' and @extension = '1.1'] or /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.179' and @extension = '1.0'] or /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')] or /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3']) and $extensions-allowed">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: FS-Types: The document header has been found in a <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. The document header is defined in the digital health specifications but
		although tests have been applied to the data elements the specification of the data elements may have been varied for inclusion in this document
		so further examination may be needed. The rules have been validated for <xsl:text /><xsl:value-of select="normalize-space(' Advance Care Directive Custodian Report CDA Implementation Guide version 1.0; and        Advance Care Information CDA Implementation Guide version 1.0; and        Australian Childhood Immunisation Register CDA Implementation Guide version 1.1; and        Australian Immunisation Register CDA Implementation Guide version 1.0; and        Australian Organ Donor Register CDA Implementation Guide version 1.1; and        Diagnostic Imaging Report CDA Implementation Guide version 1.0; and        Discharge Summary CDA Implementation Guide version 3.4; and        eHealth Dispense Record CDA Implementation Guide version 1.0; and        eHealth Prescription Record CDA Implementation Guide version 1.0; and        eReferral CDA Implementation Guide version 2.2; and        Event Summary CDA Implementation Guide version 1.2 and 1.3; and        Medicare/DVA Benefits Report CDA Implementation Guide version 1.1; and        Medicare Overview CDA Implementation Guide version 1.1; and        Pathology Report CDA Implementation Guide version 1.0; and        Personal Health Summary CDA Implementation Guide version 1.0; and        Pharmaceutical Benefits Report CDA Implementation Guide version 1.1; and        Prescription and Dispense View CDA Implementation Guide version 1.0; and        Shared Health Summary CDA Implementation Guide version 1.3 and 1.4; and        Specialist Letter CDA Implementation Guide version 1.3')" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M334" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M334" />
  <xsl:template match="@*|node()" priority="-2" mode="M334">
    <xsl:apply-templates select="@*|*" mode="M334" />
  </xsl:template>
  <!--PATTERN p-TS-Header-Integer-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument/cda:recordTarget/cda:patientRole/cda:patient/ext:multipleBirthOrderNumber " priority="1000" mode="M335">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument/cda:recordTarget/cda:patientRole/cda:patient/ext:multipleBirthOrderNumber " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 8.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-14" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-14 else $rating-alt-TC-Types-14 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-14: The Birth Order '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type and
		<xsl:text /><xsl:value-of select="if (@value and @nullFlavor) then concat('has a value attribute with the value ''', @value, ''' and a nullFlavor attribute with the value ''', @nullFlavor, '''')   else if (@value and not(@nullFlavor)) then concat('has a value attribute with the value ''', @value, '''')   else if (not(@value) and @nullFlavor) then concat('has a nullFlavor attribute with the value ''', @nullFlavor, '''')   else 'has no value or nullFlavor attributes' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(   local-name(.)  = 'batchTotalNumber'  or   local-name(.)  = 'continuationQuantity'  or   local-name(.)  = 'expectedSequenceNumber' or   local-name(.)  = 'initialQuantity'  or   local-name(.)  = 'messageWaitingNumber'  or   local-name(.)  = 'multipleBirthOrderNumber' or   local-name(.)  = 'positionNumber'  or   local-name(.)  = 'priorityNumber'  or   local-name(..) = 'repeatNumber'   or   local-name(.)  = 'resultCurrentQuantity' or   local-name(.)  = 'resultRemainingQuantity' or   local-name(.)  = 'resultTotalQuantity'  or   local-name(.)  = 'sequenceNumber'  or   local-name(.)  = 'startResultNumber'  or   local-name(.)  = 'transmissionQuantity'  or   local-name(.)  = 'versionNumber'  ) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not( local-name(.) = 'batchTotalNumber' or local-name(.) = 'continuationQuantity' or local-name(.) = 'expectedSequenceNumber' or local-name(.) = 'initialQuantity' or local-name(.) = 'messageWaitingNumber' or local-name(.) = 'multipleBirthOrderNumber' or local-name(.) = 'positionNumber' or local-name(.) = 'priorityNumber' or local-name(..) = 'repeatNumber' or local-name(.) = 'resultCurrentQuantity' or local-name(.) = 'resultRemainingQuantity' or local-name(.) = 'resultTotalQuantity' or local-name(.) = 'sequenceNumber' or local-name(.) = 'startResultNumber' or local-name(.) = 'transmissionQuantity' or local-name(.) = 'versionNumber' )">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-14" /><xsl:text />: TC-Types-14: The Birth Order
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type but it does not meet the requirement to have the xsi:type attribute with the value 'INT'.
		(See section 8.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-14" /><xsl:text />: TC-Types-14: According to section 2.58 of the Participation Data Specification v3.2 the Birth Order
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type which is
		derived from the HL7 'INT' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		(See section 8.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.58 of the Participation Data Specification v3.2 the Birth Order
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Integer data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.58 of the Participation Data Specification v3.2 the Birth Order
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Integer data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.58 of the Participation Data Specification v3.2 the Birth Order
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the Integer data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.58 of the Participation Data Specification v3.2 the Birth Order
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the Integer data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @inclusive != 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @inclusive != 'true'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.58 of the Participation Data Specification v3.2 the Birth Order
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however an attribute 'inclusive' with the value
		'<xsl:text /><xsl:value-of select="@inclusive" /><xsl:text />' was found that is not expected for the Integer data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @inclusive != 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @inclusive != 'true'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.58 of the Participation Data Specification v3.2 the Birth Order
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however an attribute 'inclusive' with the value
		'<xsl:text /><xsl:value-of select="@inclusive" /><xsl:text />' was found that is not expected for the Integer data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@value) and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@value) and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 2.58 of the Participation Data Specification v3.2 the Birth Order
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type
		however it has nullFlavor = 'UNC' (uncoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include nullFlavor = 'UNC'.
		(See section 8.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M335" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M335" />
  <xsl:template match="@*|node()" priority="-2" mode="M335">
    <xsl:apply-templates select="@*|*" mode="M335" />
  </xsl:template>
  <!--PATTERN p-TS-Header-DateTime-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument/cda:recordTarget/cda:patientRole/cda:patient/cda:birthTime " priority="1000" mode="M336">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument/cda:recordTarget/cda:patientRole/cda:patient/cda:birthTime " />
    <xsl:variable name="allow-ivl-ts" select="if (not(@xsi:type)) then false() else /cda:ClinicalDocument       [cda:templateId[(@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')  or         (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or         (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) ]]   and        local-name(.) = 'value'             and        ..[local-name(.) = 'observation' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]   and       ../..[local-name(.) = 'entryRelationship' and @typeCode='SUBJ']        and       ../../..[local-name(.) = 'observation' and cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]  and       ../../../..[local-name(.) = 'entry']            and       ../../../../..[local-name(.) = 'section' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]  " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-18" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-18 else $rating-alt-TC-Types-18 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-18: The Date of Birth '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data
		type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime',            'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime', 'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: The Date of Birth

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type but it does not meet the requirement to have the xsi:type attribute with the value 'TS'.
		(See section 8.6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to section 2.48 of the Participation Data Specification v3.2 the Date of Birth '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was
		found. This may be corrected by using an xsi:type attribute with the value 'TS'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to section 2.48 of the Participation Data Specification v3.2 the Date of Birth '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		This may be corrected by using an xsi:type attribute with the value 'TS'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to section 2.48 of the Participation Data Specification v3.2 the Date of Birth '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7
		'TS' data type to have a value attribute if there is no nullFlavor
		attribute. (See section 7.8.13.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange')

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to section 2.48 of the Participation Data Specification v3.2 the Date of Birth '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7 'TS' data type to have a value attribute if there is no nullFlavor
		attribute. The element has a '<xsl:text /><xsl:value-of select="local-name(*[local-name(.) = ('low', 'high')])" /><xsl:text />' child element with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		which is not one of the elements used for the HL7 'TS'
		data type. (See section 7.8.13 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.48 of the Participation Data Specification v3.2 the Date of Birth
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		is present. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.48 of the Participation Data Specification v3.2 the Date of Birth
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' was found. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.48 of the Participation Data Specification v3.2 the Date of Birth
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.48 of the Participation Data Specification v3.2 the Date of Birth
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@value) and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@value) and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 2.48 of the Participation Data Specification v3.2 the Date of Birth
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (uncoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include
		nullFlavor 'UNC'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M336" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M336" />
  <xsl:template match="@*|node()" priority="-2" mode="M336">
    <xsl:apply-templates select="@*|*" mode="M336" />
  </xsl:template>
  <!--PATTERN p-TS-Header-DateTime-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument/cda:recordTarget/cda:patientRole/cda:patient/ext:deceasedTime " priority="1000" mode="M337">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument/cda:recordTarget/cda:patientRole/cda:patient/ext:deceasedTime " />
    <xsl:variable name="allow-ivl-ts" select="if (not(@xsi:type)) then false() else /cda:ClinicalDocument       [cda:templateId[(@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')  or         (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or         (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) ]]   and        local-name(.) = 'value'             and        ..[local-name(.) = 'observation' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]   and       ../..[local-name(.) = 'entryRelationship' and @typeCode='SUBJ']        and       ../../..[local-name(.) = 'observation' and cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]  and       ../../../..[local-name(.) = 'entry']            and       ../../../../..[local-name(.) = 'section' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]  " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-18" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-18 else $rating-alt-TC-Types-18 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-18: The Date of Death '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data
		type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime',            'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime', 'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: The Date of Death

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type but it does not meet the requirement to have the xsi:type attribute with the value 'TS'.
		(See section 8.6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to section 2.60 of the Participation Data Specification v3.2 the Date of Death '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was
		found. This may be corrected by using an xsi:type attribute with the value 'TS'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to section 2.60 of the Participation Data Specification v3.2 the Date of Death '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		This may be corrected by using an xsi:type attribute with the value 'TS'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to section 2.60 of the Participation Data Specification v3.2 the Date of Death '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7
		'TS' data type to have a value attribute if there is no nullFlavor
		attribute. (See section 7.8.13.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange')

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to section 2.60 of the Participation Data Specification v3.2 the Date of Death '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7 'TS' data type to have a value attribute if there is no nullFlavor
		attribute. The element has a '<xsl:text /><xsl:value-of select="local-name(*[local-name(.) = ('low', 'high')])" /><xsl:text />' child element with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		which is not one of the elements used for the HL7 'TS'
		data type. (See section 7.8.13 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.60 of the Participation Data Specification v3.2 the Date of Death
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		is present. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.60 of the Participation Data Specification v3.2 the Date of Death
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' was found. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.60 of the Participation Data Specification v3.2 the Date of Death
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.60 of the Participation Data Specification v3.2 the Date of Death
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@value) and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@value) and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 2.60 of the Participation Data Specification v3.2 the Date of Death
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (uncoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include
		nullFlavor 'UNC'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M337" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M337" />
  <xsl:template match="@*|node()" priority="-2" mode="M337">
    <xsl:apply-templates select="@*|*" mode="M337" />
  </xsl:template>
  <!--PATTERN p-TS-Header-DateTime-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.156' and @extension = '1.0')  or   (@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4')  or   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')  or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3')  or   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')  ]]/cda:legalAuthenticator/cda:time " priority="1000" mode="M338">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.156' and @extension = '1.0')  or   (@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4')  or   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')  or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3')  or   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')  ]]/cda:legalAuthenticator/cda:time " />
    <xsl:variable name="allow-ivl-ts" select="if (not(@xsi:type)) then false() else /cda:ClinicalDocument       [cda:templateId[(@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')  or         (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or         (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) ]]   and        local-name(.) = 'value'             and        ..[local-name(.) = 'observation' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]   and       ../..[local-name(.) = 'entryRelationship' and @typeCode='SUBJ']        and       ../../..[local-name(.) = 'observation' and cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]  and       ../../../..[local-name(.) = 'entry']            and       ../../../../..[local-name(.) = 'section' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]  " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-18" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-18 else $rating-alt-TC-Types-18 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-18: The DateTime Attested '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data
		type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime',            'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime', 'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: The DateTime Attested

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type but it does not meet the requirement to have the xsi:type attribute with the value 'TS'.
		(See section 8.6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the DateTime Attested '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was
		found. This may be corrected by using an xsi:type attribute with the value 'TS'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the DateTime Attested '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		This may be corrected by using an xsi:type attribute with the value 'TS'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the DateTime Attested '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7
		'TS' data type to have a value attribute if there is no nullFlavor
		attribute. (See section 7.8.13.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange')

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the DateTime Attested '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7 'TS' data type to have a value attribute if there is no nullFlavor
		attribute. The element has a '<xsl:text /><xsl:value-of select="local-name(*[local-name(.) = ('low', 'high')])" /><xsl:text />' child element with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		which is not one of the elements used for the HL7 'TS'
		data type. (See section 7.8.13 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the DateTime Attested
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		is present. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the DateTime Attested
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' was found. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the DateTime Attested
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the DateTime Attested
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@value) and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@value) and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to the Structured Content Specification the DateTime Attested
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (uncoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include
		nullFlavor 'UNC'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M338" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M338" />
  <xsl:template match="@*|node()" priority="-2" mode="M338">
    <xsl:apply-templates select="@*|*" mode="M338" />
  </xsl:template>
  <!--PATTERN p-TS-Header-DateTime-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.156' and @extension = '1.0') or   (@root = '1.2.36.1.2001.1001.100.1002.171' and @extension = '1.0') or   (@root = '1.2.36.1.2001.1001.100.1002.172' and @extension = '1.1') or   (@root = '1.2.36.1.2001.1001.101.100.1002.153' and @extension = '1.0') or   (@root = '1.2.36.1.2001.1001.100.1002.179' and @extension = '1.0') or   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3') ]]/cda:author/cda:time " priority="1000" mode="M339">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.156' and @extension = '1.0') or   (@root = '1.2.36.1.2001.1001.100.1002.171' and @extension = '1.0') or   (@root = '1.2.36.1.2001.1001.100.1002.172' and @extension = '1.1') or   (@root = '1.2.36.1.2001.1001.101.100.1002.153' and @extension = '1.0') or   (@root = '1.2.36.1.2001.1001.100.1002.179' and @extension = '1.0') or   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3') ]]/cda:author/cda:time " />
    <xsl:variable name="allow-ivl-ts" select="if (not(@xsi:type)) then false() else /cda:ClinicalDocument       [cda:templateId[(@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')  or         (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or         (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) ]]   and        local-name(.) = 'value'             and        ..[local-name(.) = 'observation' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]   and       ../..[local-name(.) = 'entryRelationship' and @typeCode='SUBJ']        and       ../../..[local-name(.) = 'observation' and cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]  and       ../../../..[local-name(.) = 'entry']            and       ../../../../..[local-name(.) = 'section' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]  " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-18" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-18 else $rating-alt-TC-Types-18 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-18: The DateTime Authored '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data
		type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime',            'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime', 'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: The DateTime Authored

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type but it does not meet the requirement to have the xsi:type attribute with the value 'TS'.
		(See section 8.6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the DateTime Authored '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was
		found. This may be corrected by using an xsi:type attribute with the value 'TS'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the DateTime Authored '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		This may be corrected by using an xsi:type attribute with the value 'TS'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the DateTime Authored '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7
		'TS' data type to have a value attribute if there is no nullFlavor
		attribute. (See section 7.8.13.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange')

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the DateTime Authored '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7 'TS' data type to have a value attribute if there is no nullFlavor
		attribute. The element has a '<xsl:text /><xsl:value-of select="local-name(*[local-name(.) = ('low', 'high')])" /><xsl:text />' child element with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		which is not one of the elements used for the HL7 'TS'
		data type. (See section 7.8.13 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the DateTime Authored
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		is present. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the DateTime Authored
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' was found. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the DateTime Authored
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the DateTime Authored
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@value) and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@value) and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to the Structured Content Specification the DateTime Authored
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (uncoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include
		nullFlavor 'UNC'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M339" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M339" />
  <xsl:template match="@*|node()" priority="-2" mode="M339">
    <xsl:apply-templates select="@*|*" mode="M339" />
  </xsl:template>
  <!--PATTERN p-TS-Header-DateTime-5-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[cda:templateId[(@root = '1.2.36.1.2001.1001.100.1002.170' and @extension = '1.0')]]/cda:author/cda:time " priority="1000" mode="M340">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[cda:templateId[(@root = '1.2.36.1.2001.1001.100.1002.170' and @extension = '1.0')]]/cda:author/cda:time " />
    <xsl:variable name="allow-ivl-ts" select="if (not(@xsi:type)) then false() else /cda:ClinicalDocument       [cda:templateId[(@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')  or         (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or         (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) ]]   and        local-name(.) = 'value'             and        ..[local-name(.) = 'observation' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]   and       ../..[local-name(.) = 'entryRelationship' and @typeCode='SUBJ']        and       ../../..[local-name(.) = 'observation' and cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]  and       ../../../..[local-name(.) = 'entry']            and       ../../../../..[local-name(.) = 'section' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]  " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-18" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-18 else $rating-alt-TC-Types-18 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-18: The DateTime Prescription Written '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data
		type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime',            'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime', 'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: The DateTime Prescription Written

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type but it does not meet the requirement to have the xsi:type attribute with the value 'TS'.
		(See section 8.6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the eHealth Prescription Record Structured Content Specification the DateTime Prescription Written '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was
		found. This may be corrected by using an xsi:type attribute with the value 'TS'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the eHealth Prescription Record Structured Content Specification the DateTime Prescription Written '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		This may be corrected by using an xsi:type attribute with the value 'TS'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the eHealth Prescription Record Structured Content Specification the DateTime Prescription Written '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7
		'TS' data type to have a value attribute if there is no nullFlavor
		attribute. (See section 7.8.13.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange')

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the eHealth Prescription Record Structured Content Specification the DateTime Prescription Written '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7 'TS' data type to have a value attribute if there is no nullFlavor
		attribute. The element has a '<xsl:text /><xsl:value-of select="local-name(*[local-name(.) = ('low', 'high')])" /><xsl:text />' child element with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		which is not one of the elements used for the HL7 'TS'
		data type. (See section 7.8.13 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the eHealth Prescription Record Structured Content Specification the DateTime Prescription Written
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		is present. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the eHealth Prescription Record Structured Content Specification the DateTime Prescription Written
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' was found. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the eHealth Prescription Record Structured Content Specification the DateTime Prescription Written
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the eHealth Prescription Record Structured Content Specification the DateTime Prescription Written
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@value) and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@value) and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to the eHealth Prescription Record Structured Content Specification the DateTime Prescription Written
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (uncoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include
		nullFlavor 'UNC'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M340" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M340" />
  <xsl:template match="@*|node()" priority="-2" mode="M340">
    <xsl:apply-templates select="@*|*" mode="M340" />
  </xsl:template>
  <!--PATTERN p-TS-Header-DateTime-6-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3']]/   cda:componentOf/cda:encompassingEncounter/cda:effectiveTime/cda:low " priority="1000" mode="M341">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3']]/   cda:componentOf/cda:encompassingEncounter/cda:effectiveTime/cda:low " />
    <xsl:variable name="allow-ivl-ts" select="if (not(@xsi:type)) then false() else /cda:ClinicalDocument       [cda:templateId[(@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')  or         (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or         (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) ]]   and        local-name(.) = 'value'             and        ..[local-name(.) = 'observation' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]   and       ../..[local-name(.) = 'entryRelationship' and @typeCode='SUBJ']        and       ../../..[local-name(.) = 'observation' and cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]  and       ../../../..[local-name(.) = 'entry']            and       ../../../../..[local-name(.) = 'section' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]  " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-18" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-18 else $rating-alt-TC-Types-18 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-18: The DateTime Health Event Started '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data
		type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime',            'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime', 'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: The DateTime Health Event Started

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type but it does not meet the requirement to have the xsi:type attribute with the value 'TS'.
		(See section 8.6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to section 2.7 of the Event Summary Structured Content Specification v1.2 the DateTime Health Event Started '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was
		found. This may be corrected by using an xsi:type attribute with the value 'TS'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to section 2.7 of the Event Summary Structured Content Specification v1.2 the DateTime Health Event Started '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		This may be corrected by using an xsi:type attribute with the value 'TS'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to section 2.7 of the Event Summary Structured Content Specification v1.2 the DateTime Health Event Started '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7
		'TS' data type to have a value attribute if there is no nullFlavor
		attribute. (See section 7.8.13.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange')

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to section 2.7 of the Event Summary Structured Content Specification v1.2 the DateTime Health Event Started '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7 'TS' data type to have a value attribute if there is no nullFlavor
		attribute. The element has a '<xsl:text /><xsl:value-of select="local-name(*[local-name(.) = ('low', 'high')])" /><xsl:text />' child element with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		which is not one of the elements used for the HL7 'TS'
		data type. (See section 7.8.13 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.7 of the Event Summary Structured Content Specification v1.2 the DateTime Health Event Started
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		is present. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.7 of the Event Summary Structured Content Specification v1.2 the DateTime Health Event Started
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' was found. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.7 of the Event Summary Structured Content Specification v1.2 the DateTime Health Event Started
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.7 of the Event Summary Structured Content Specification v1.2 the DateTime Health Event Started
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@value) and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@value) and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 2.7 of the Event Summary Structured Content Specification v1.2 the DateTime Health Event Started
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (uncoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include
		nullFlavor 'UNC'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M341" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M341" />
  <xsl:template match="@*|node()" priority="-2" mode="M341">
    <xsl:apply-templates select="@*|*" mode="M341" />
  </xsl:template>
  <!--PATTERN p-TS-Header-DateTime-7-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3']]/   cda:componentOf/cda:encompassingEncounter/cda:effectiveTime/cda:high " priority="1000" mode="M342">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3']]/   cda:componentOf/cda:encompassingEncounter/cda:effectiveTime/cda:high " />
    <xsl:variable name="allow-ivl-ts" select="if (not(@xsi:type)) then false() else /cda:ClinicalDocument       [cda:templateId[(@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')  or         (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or         (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) ]]   and        local-name(.) = 'value'             and        ..[local-name(.) = 'observation' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]   and       ../..[local-name(.) = 'entryRelationship' and @typeCode='SUBJ']        and       ../../..[local-name(.) = 'observation' and cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]  and       ../../../..[local-name(.) = 'entry']            and       ../../../../..[local-name(.) = 'section' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]  " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-18" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-18 else $rating-alt-TC-Types-18 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-18: The DateTime Health Event Ended '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data
		type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime',            'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime', 'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: The DateTime Health Event Ended

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type but it does not meet the requirement to have the xsi:type attribute with the value 'TS'.
		(See section 8.6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to section 2.8 of the Event Summary Structured Content Specification v1.2 the DateTime Health Event Ended '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was
		found. This may be corrected by using an xsi:type attribute with the value 'TS'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to section 2.8 of the Event Summary Structured Content Specification v1.2 the DateTime Health Event Ended '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		This may be corrected by using an xsi:type attribute with the value 'TS'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to section 2.8 of the Event Summary Structured Content Specification v1.2 the DateTime Health Event Ended '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7
		'TS' data type to have a value attribute if there is no nullFlavor
		attribute. (See section 7.8.13.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange')

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to section 2.8 of the Event Summary Structured Content Specification v1.2 the DateTime Health Event Ended '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7 'TS' data type to have a value attribute if there is no nullFlavor
		attribute. The element has a '<xsl:text /><xsl:value-of select="local-name(*[local-name(.) = ('low', 'high')])" /><xsl:text />' child element with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		which is not one of the elements used for the HL7 'TS'
		data type. (See section 7.8.13 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.8 of the Event Summary Structured Content Specification v1.2 the DateTime Health Event Ended
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		is present. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.8 of the Event Summary Structured Content Specification v1.2 the DateTime Health Event Ended
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' was found. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.8 of the Event Summary Structured Content Specification v1.2 the DateTime Health Event Ended
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.8 of the Event Summary Structured Content Specification v1.2 the DateTime Health Event Ended
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@value) and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@value) and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 2.8 of the Event Summary Structured Content Specification v1.2 the DateTime Health Event Ended
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (uncoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include
		nullFlavor 'UNC'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M342" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M342" />
  <xsl:template match="@*|node()" priority="-2" mode="M342">
    <xsl:apply-templates select="@*|*" mode="M342" />
  </xsl:template>
  <!--PATTERN p-TS-Header-DateTime-8-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3']]/   cda:componentOf/cda:encompassingEncounter/cda:effectiveTime " priority="1000" mode="M343">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3']]/   cda:componentOf/cda:encompassingEncounter/cda:effectiveTime " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text1" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="message-text2" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See sections 8.6 and 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="nullFlavor-values" select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]" />
    <xsl:variable name="low-inclusive" select="if (not(cda:low)) then '' else if (cda:low/@inclusive='false') then ' (excluded)' else ' (included)' " />
    <xsl:variable name="high-inclusive" select="if (not(cda:high)) then '' else if (cda:high/@inclusive='false') then ' (excluded)' else ' (included)' " />
    <xsl:variable name="display-interval" select="if (@value and cda:low/@value and cda:high/@value)         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34), ', low value ', codepoints-to-string(34), cda:low/@value,        codepoints-to-string(34), $low-inclusive, ' and high value ', codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)        else if (@value and cda:low/@value and not(cda:high/@value))         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34), ' and low value ', codepoints-to-string(34), cda:low/@value,        codepoints-to-string(34), $low-inclusive)       else if (@value and not(cda:low/@value) and cda:high/@value)         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34), ' and high value ', codepoints-to-string(34),        cda:high/@value, codepoints-to-string(34), $high-inclusive)       else if (not(@value) and cda:low/@value and cda:high/@value)         then concat('low value ', codepoints-to-string(34), cda:low/@value, codepoints-to-string(34), $low-inclusive, ' and high value ',         codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)       else if (@value and not(cda:low/@value) and not(cda:high/@value))         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34))       else if (not(@value) and cda:low/@value and not(cda:high/@value))         then concat('low value ', codepoints-to-string(34), cda:low/@value, codepoints-to-string(34), $low-inclusive)       else if (not(@value) and not(cda:low/@value) and cda:high/@value)         then concat('high value ', codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)       else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-22" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-22 else $rating-alt-TC-Types-22 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-22: The DateTime Subject of Care Seen '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type
		and <xsl:text /><xsl:value-of select="if (@value or cda:low/@value or cda:high/@value) then concat('has ', $display-interval)   else 'has no value attribute and no low or high data elements' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@nullFlavor) then concat('The nullFlavor attribute has the value ''', @nullFlavor, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.7 of the Specialist Letter Structured Content Specification v1.1 the DateTime Subject of Care Seen '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type.
		It contains a value of nullFlavor 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a value
		may exist, but it must be derived from the information provided. Confirm if the use of this nullFlavor is valid.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'NINF' or @nullFlavor = 'PINF' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'NINF' or @nullFlavor = 'PINF'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 1: According to section 2.7 of the Specialist Letter Structured Content Specification v1.1 the DateTime Subject of Care Seen '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data
		type which is derived from the HL7 'IVL_TS' data type. It has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) which is a
		value of nullFlavor that may not be used for data elements of the IVL data type.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 2.7 of the Specialist Letter Structured Content Specification v1.1 the DateTime Subject of Care Seen '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data
		type however it has nullFlavor = 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include
		nullFlavor = 'UNC'. (See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'QS' or @nullFlavor = 'TRC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'QS' or @nullFlavor = 'TRC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 3: According to section 2.7 of the Specialist Letter Structured Content Specification v1.1 the DateTime Subject of Care Seen '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data
		type which is derived from the HL7 'IVL_TS' data type. It has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) however
		that value of nullFlavor may not be used for data elements of the TS or IVL data types.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to section 2.7 of the Specialist Letter Structured Content Specification v1.1 the DateTime Subject of Care Seen '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type which is
		derived from the HL7 'IVL_TS' data type. The HL7 'TS' data type may also be used for a TimeInterval however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		(See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 3.8.1 of HL7 Version 3 Standard: Data Types - Abstract Specification,
		Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to section 2.7 of the Specialist Letter Structured Content Specification v1.1 the DateTime Subject of Care Seen '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type which is
		derived from the HL7 'IVL_TS' data type. The HL7 'TS' data type may also be used for a TimeInterval however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'IVL_TS' or 'TS'.
		(See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 3.8.1 of HL7 Version 3 Standard: Data Types - Abstract Specification,
		Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not(@nullFlavor or @value or cda:low or cda:high) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor or @value or cda:low or cda:high)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to section 2.7 of the Specialist Letter Structured Content Specification v1.1 the DateTime Subject of Care Seen '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however
		it does not have a nullFlavor or value attribute or low or high elements. A TimeInterval may only contain a nullFlavor or value attribute or low or high elements with the optional
		'inclusive' attribute included in the low or high elements if there is a need to indicate that the low or high boundaries are excluded.
		(See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @value and (cda:low or cda:high) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value and (cda:low or cda:high)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to section 2.7 of the Specialist Letter Structured Content Specification v1.1 the DateTime Subject of Care Seen '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type.
		It has the element '<xsl:text /><xsl:value-of select="local-name(cda:*[local-name() = ('low', 'high')])" /><xsl:text />' which is used for the HL7 'IVL' data type
		but also has a 'value' attribute which is used by the HL7 'TS' data type and is not used by the HL7 'IVL' data type. The data element must either have a 'value' attribute
		or '<xsl:text /><xsl:value-of select="local-name(cda:*[local-name() = ('low', 'high')])" /><xsl:text />' but not both.
		(See section 7.10.9.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and section 3.8.1 of
		HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('low', 'high'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.7 of the Specialist Letter Structured Content Specification v1.1 the DateTime Subject of Care Seen
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('low', 'high'))])" /><xsl:text />' was found
		that is not expected for the TimeInterval data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('low', 'high', 'width'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('low', 'high', 'width'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.7 of the Specialist Letter Structured Content Specification v1.1 the DateTime Subject of Care Seen
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('low', 'high', 'width'))])" /><xsl:text />' was found
		that is not expected for the TimeInterval data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and cda:width/@value and ((cda:low/@value and not(cda:high/@value)) or (not(cda:low/@value) and cda:high/@value)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and cda:width/@value and ((cda:low/@value and not(cda:high/@value)) or (not(cda:low/@value) and cda:high/@value))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.7 of the Specialist Letter Structured Content Specification v1.1 the DateTime Subject of Care Seen
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a width element is also
		present with the value '<xsl:text /><xsl:value-of select="cda:width/@value" /><xsl:text />' and unit '<xsl:text /><xsl:value-of select="cda:width/@unit" /><xsl:text />'.		
		This is an error as the presence of a <xsl:text /><xsl:value-of select="if (cda:low) then 'low' else 'high' " /><xsl:text /> element without a <xsl:text /><xsl:value-of select="if (cda:low) then 'high' else 'low' " /><xsl:text /> element
		means the TimeInterval is unbounded in one direction however the width element implies the interval is bounded. That is the width element is an extension that qualifies the
		time interval whereas an extension is allowed only if it does not qualify or negate the time interval.
		(See the definition of DateTime Subject of Care Seen in the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text />, section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0
		and <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)
		As the <xsl:text /><xsl:value-of select="if (cda:low) then 'start' else 'end' " /><xsl:text /> of the time interval is known then the DateTime Subject of Care Seen must also have a
		<xsl:text /><xsl:value-of select="if (cda:low) then ' high' else ' low' " /><xsl:text /> element as the TimeInterval data type uses low and high elements rather than width to define an interval.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and cda:width/@value and not(cda:high/@value or cda:low/@value) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and cda:width/@value and not(cda:high/@value or cda:low/@value)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.7 of the Specialist Letter Structured Content Specification v1.1 the DateTime Subject of Care Seen
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a width element is also
		present with the value '<xsl:text /><xsl:value-of select="cda:width/@value" /><xsl:text />' and unit '<xsl:text /><xsl:value-of select="cda:width/@unit" /><xsl:text />'.		
		This is an error as the DateTime Subject of Care Seen has no low or high elements so the TimeInterval is unbounded however the width element implies the interval is bounded. That is the width element is an
		extension that qualifies the time interval whereas an extension is allowed only if it does not qualify or negate the time interval.
		(See the definition of DateTime Subject of Care Seen in the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text />, section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0
		and <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)
		The TimeInterval data type uses low and high elements rather than width to define an interval.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(    @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or    @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'  )) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not( @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS' ))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.7 of the Specialist Letter Structured Content Specification v1.1 the DateTime Subject of Care Seen '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the TimeInterval data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(    @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or    @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'  )) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not( @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS' ))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.7 of the Specialist Letter Structured Content Specification v1.1 the DateTime Subject of Care Seen '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the TimeInterval data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @operator and @operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @operator and @operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.7 of the Specialist Letter Structured Content Specification v1.1 the DateTime Subject of Care Seen '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the TimeInterval data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @operator and @operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @operator and @operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.7 of the Specialist Letter Structured Content Specification v1.1 the DateTime Subject of Care Seen '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the TimeInterval data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:low/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:low/*">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.7 of the Specialist Letter Structured Content Specification v1.1 the DateTime Subject of Care Seen 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(cda:low/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/*">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.7 of the Specialist Letter Structured Content Specification v1.1 the DateTime Subject of Care Seen 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(cda:low/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.7 of the Specialist Letter Structured Content Specification v1.1 the DateTime Subject of Care Seen 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.7 of the Specialist Letter Structured Content Specification v1.1 the DateTime Subject of Care Seen 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:low/@operator and cda:low/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:low/@operator and cda:low/@operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.7 of the Specialist Letter Structured Content Specification v1.1 the DateTime Subject of Care Seen 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/@operator and cda:low/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/@operator and cda:low/@operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.7 of the Specialist Letter Structured Content Specification v1.1 the DateTime Subject of Care Seen 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:low/cda:originalText) and cda:low/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:low/cda:originalText) and cda:low/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 2.7 of the Specialist Letter Structured Content Specification v1.1 the DateTime Subject of Care Seen 'low' child element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present so
		it is an error to include nullFlavor 'UNC'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:high/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:high/*">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.7 of the Specialist Letter Structured Content Specification v1.1 the DateTime Subject of Care Seen 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element '<xsl:text /><xsl:value-of select="local-name(cda:high/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/*">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.7 of the Specialist Letter Structured Content Specification v1.1 the DateTime Subject of Care Seen 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element '<xsl:text /><xsl:value-of select="local-name(cda:high/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.7 of the Specialist Letter Structured Content Specification v1.1 the DateTime Subject of Care Seen 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.7 of the Specialist Letter Structured Content Specification v1.1 the DateTime Subject of Care Seen 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:high/@operator and cda:high/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:high/@operator and cda:high/@operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.7 of the Specialist Letter Structured Content Specification v1.1 the DateTime Subject of Care Seen 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/@operator and cda:high/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/@operator and cda:high/@operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.7 of the Specialist Letter Structured Content Specification v1.1 the DateTime Subject of Care Seen 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 2.7 of the Specialist Letter Structured Content Specification v1.1 the DateTime Subject of Care Seen 'high' child element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present
		so it is an error to include nullFlavor 'UNC'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 2.7 of the Specialist Letter Structured Content Specification v1.1 the DateTime Subject of Care Seen 'high' child element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present
		so it is an error to include nullFlavor 'UNC'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M343" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M343" />
  <xsl:template match="@*|node()" priority="-2" mode="M343">
    <xsl:apply-templates select="@*|*" mode="M343" />
  </xsl:template>
  <!--PATTERN p-TS-Header-TimeInterval-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4') or    (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2')]]/cda:componentOf/cda:encompassingEncounter/cda:effectiveTime " priority="1000" mode="M344">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4') or    (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2')]]/cda:componentOf/cda:encompassingEncounter/cda:effectiveTime " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text1" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="message-text2" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See sections 8.6 and 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="nullFlavor-values" select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]" />
    <xsl:variable name="low-inclusive" select="if (not(cda:low)) then '' else if (cda:low/@inclusive='false') then ' (excluded)' else ' (included)' " />
    <xsl:variable name="high-inclusive" select="if (not(cda:high)) then '' else if (cda:high/@inclusive='false') then ' (excluded)' else ' (included)' " />
    <xsl:variable name="display-interval" select="if (@value and cda:low/@value and cda:high/@value)         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34), ', low value ', codepoints-to-string(34), cda:low/@value,        codepoints-to-string(34), $low-inclusive, ' and high value ', codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)        else if (@value and cda:low/@value and not(cda:high/@value))         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34), ' and low value ', codepoints-to-string(34), cda:low/@value,        codepoints-to-string(34), $low-inclusive)       else if (@value and not(cda:low/@value) and cda:high/@value)         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34), ' and high value ', codepoints-to-string(34),        cda:high/@value, codepoints-to-string(34), $high-inclusive)       else if (not(@value) and cda:low/@value and cda:high/@value)         then concat('low value ', codepoints-to-string(34), cda:low/@value, codepoints-to-string(34), $low-inclusive, ' and high value ',         codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)       else if (@value and not(cda:low/@value) and not(cda:high/@value))         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34))       else if (not(@value) and cda:low/@value and not(cda:high/@value))         then concat('low value ', codepoints-to-string(34), cda:low/@value, codepoints-to-string(34), $low-inclusive)       else if (not(@value) and not(cda:low/@value) and cda:high/@value)         then concat('high value ', codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)       else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-22" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-22 else $rating-alt-TC-Types-22 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-22: The Encounter Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type
		and <xsl:text /><xsl:value-of select="if (@value or cda:low/@value or cda:high/@value) then concat('has ', $display-interval)   else 'has no value attribute and no low or high data elements' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@nullFlavor) then concat('The nullFlavor attribute has the value ''', @nullFlavor, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Encounter Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type.
		It contains a value of nullFlavor 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a value
		may exist, but it must be derived from the information provided. Confirm if the use of this nullFlavor is valid.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'NINF' or @nullFlavor = 'PINF' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'NINF' or @nullFlavor = 'PINF'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 1: According to the Structured Content Specification the Encounter Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data
		type which is derived from the HL7 'IVL_TS' data type. It has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) which is a
		value of nullFlavor that may not be used for data elements of the IVL data type.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to the Structured Content Specification the Encounter Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data
		type however it has nullFlavor = 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include
		nullFlavor = 'UNC'. (See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'QS' or @nullFlavor = 'TRC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'QS' or @nullFlavor = 'TRC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 3: According to the Structured Content Specification the Encounter Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data
		type which is derived from the HL7 'IVL_TS' data type. It has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) however
		that value of nullFlavor may not be used for data elements of the TS or IVL data types.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to the Structured Content Specification the Encounter Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type which is
		derived from the HL7 'IVL_TS' data type. The HL7 'TS' data type may also be used for a TimeInterval however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		(See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 3.8.1 of HL7 Version 3 Standard: Data Types - Abstract Specification,
		Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to the Structured Content Specification the Encounter Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type which is
		derived from the HL7 'IVL_TS' data type. The HL7 'TS' data type may also be used for a TimeInterval however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'IVL_TS' or 'TS'.
		(See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 3.8.1 of HL7 Version 3 Standard: Data Types - Abstract Specification,
		Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not(@nullFlavor or @value or cda:low or cda:high) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor or @value or cda:low or cda:high)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to the Structured Content Specification the Encounter Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however
		it does not have a nullFlavor or value attribute or low or high elements. A TimeInterval may only contain a nullFlavor or value attribute or low or high elements with the optional
		'inclusive' attribute included in the low or high elements if there is a need to indicate that the low or high boundaries are excluded.
		(See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @value and (cda:low or cda:high) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value and (cda:low or cda:high)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to the Structured Content Specification the Encounter Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type.
		It has the element '<xsl:text /><xsl:value-of select="local-name(cda:*[local-name() = ('low', 'high')])" /><xsl:text />' which is used for the HL7 'IVL' data type
		but also has a 'value' attribute which is used by the HL7 'TS' data type and is not used by the HL7 'IVL' data type. The data element must either have a 'value' attribute
		or '<xsl:text /><xsl:value-of select="local-name(cda:*[local-name() = ('low', 'high')])" /><xsl:text />' but not both.
		(See section 7.10.9.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and section 3.8.1 of
		HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('low', 'high'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Encounter Period
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('low', 'high'))])" /><xsl:text />' was found
		that is not expected for the TimeInterval data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('low', 'high', 'width'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('low', 'high', 'width'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Encounter Period
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('low', 'high', 'width'))])" /><xsl:text />' was found
		that is not expected for the TimeInterval data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and cda:width/@value and ((cda:low/@value and not(cda:high/@value)) or (not(cda:low/@value) and cda:high/@value)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and cda:width/@value and ((cda:low/@value and not(cda:high/@value)) or (not(cda:low/@value) and cda:high/@value))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Encounter Period
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a width element is also
		present with the value '<xsl:text /><xsl:value-of select="cda:width/@value" /><xsl:text />' and unit '<xsl:text /><xsl:value-of select="cda:width/@unit" /><xsl:text />'.		
		This is an error as the presence of a <xsl:text /><xsl:value-of select="if (cda:low) then 'low' else 'high' " /><xsl:text /> element without a <xsl:text /><xsl:value-of select="if (cda:low) then 'high' else 'low' " /><xsl:text /> element
		means the TimeInterval is unbounded in one direction however the width element implies the interval is bounded. That is the width element is an extension that qualifies the
		time interval whereas an extension is allowed only if it does not qualify or negate the time interval.
		(See the definition of Encounter Period in the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text />, section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0
		and <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)
		As the <xsl:text /><xsl:value-of select="if (cda:low) then 'start' else 'end' " /><xsl:text /> of the time interval is known then the Encounter Period must also have a
		<xsl:text /><xsl:value-of select="if (cda:low) then ' high' else ' low' " /><xsl:text /> element as the TimeInterval data type uses low and high elements rather than width to define an interval.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and cda:width/@value and not(cda:high/@value or cda:low/@value) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and cda:width/@value and not(cda:high/@value or cda:low/@value)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Encounter Period
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a width element is also
		present with the value '<xsl:text /><xsl:value-of select="cda:width/@value" /><xsl:text />' and unit '<xsl:text /><xsl:value-of select="cda:width/@unit" /><xsl:text />'.		
		This is an error as the Encounter Period has no low or high elements so the TimeInterval is unbounded however the width element implies the interval is bounded. That is the width element is an
		extension that qualifies the time interval whereas an extension is allowed only if it does not qualify or negate the time interval.
		(See the definition of Encounter Period in the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text />, section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0
		and <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)
		The TimeInterval data type uses low and high elements rather than width to define an interval.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(    @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or    @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'  )) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not( @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS' ))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Encounter Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the TimeInterval data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(    @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or    @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'  )) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not( @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS' ))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Encounter Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the TimeInterval data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @operator and @operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @operator and @operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Encounter Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the TimeInterval data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @operator and @operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @operator and @operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Encounter Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the TimeInterval data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:low/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:low/*">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Encounter Period 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(cda:low/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/*">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Encounter Period 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(cda:low/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Encounter Period 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Encounter Period 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:low/@operator and cda:low/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:low/@operator and cda:low/@operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Encounter Period 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/@operator and cda:low/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/@operator and cda:low/@operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Encounter Period 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:low/cda:originalText) and cda:low/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:low/cda:originalText) and cda:low/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to the Structured Content Specification the Encounter Period 'low' child element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present so
		it is an error to include nullFlavor 'UNC'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:high/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:high/*">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Encounter Period 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element '<xsl:text /><xsl:value-of select="local-name(cda:high/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/*">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Encounter Period 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element '<xsl:text /><xsl:value-of select="local-name(cda:high/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Encounter Period 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Encounter Period 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:high/@operator and cda:high/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:high/@operator and cda:high/@operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Encounter Period 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/@operator and cda:high/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/@operator and cda:high/@operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Encounter Period 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to the Structured Content Specification the Encounter Period 'high' child element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present
		so it is an error to include nullFlavor 'UNC'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to the Structured Content Specification the Encounter Period 'high' child element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present
		so it is an error to include nullFlavor 'UNC'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M344" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M344" />
  <xsl:template match="@*|node()" priority="-2" mode="M344">
    <xsl:apply-templates select="@*|*" mode="M344" />
  </xsl:template>
  <!--PATTERN p-TS-Header-TimeInterval-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']]/cda:componentOf/cda:encompassingEncounter/    cda:encounterParticipant[@typeCode='DIS']/cda:time " priority="1000" mode="M345">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']]/cda:componentOf/cda:encompassingEncounter/    cda:encounterParticipant[@typeCode='DIS']/cda:time " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text1" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="message-text2" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See sections 8.6 and 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="nullFlavor-values" select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]" />
    <xsl:variable name="low-inclusive" select="if (not(cda:low)) then '' else if (cda:low/@inclusive='false') then ' (excluded)' else ' (included)' " />
    <xsl:variable name="high-inclusive" select="if (not(cda:high)) then '' else if (cda:high/@inclusive='false') then ' (excluded)' else ' (included)' " />
    <xsl:variable name="display-interval" select="if (@value and cda:low/@value and cda:high/@value)         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34), ', low value ', codepoints-to-string(34), cda:low/@value,        codepoints-to-string(34), $low-inclusive, ' and high value ', codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)        else if (@value and cda:low/@value and not(cda:high/@value))         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34), ' and low value ', codepoints-to-string(34), cda:low/@value,        codepoints-to-string(34), $low-inclusive)       else if (@value and not(cda:low/@value) and cda:high/@value)         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34), ' and high value ', codepoints-to-string(34),        cda:high/@value, codepoints-to-string(34), $high-inclusive)       else if (not(@value) and cda:low/@value and cda:high/@value)         then concat('low value ', codepoints-to-string(34), cda:low/@value, codepoints-to-string(34), $low-inclusive, ' and high value ',         codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)       else if (@value and not(cda:low/@value) and not(cda:high/@value))         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34))       else if (not(@value) and cda:low/@value and not(cda:high/@value))         then concat('low value ', codepoints-to-string(34), cda:low/@value, codepoints-to-string(34), $low-inclusive)       else if (not(@value) and not(cda:low/@value) and cda:high/@value)         then concat('high value ', codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)       else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-22" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-22 else $rating-alt-TC-Types-22 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-22: The Responsible Health Professional at Time of Discharge - Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type
		and <xsl:text /><xsl:value-of select="if (@value or cda:low/@value or cda:high/@value) then concat('has ', $display-interval)   else 'has no value attribute and no low or high data elements' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@nullFlavor) then concat('The nullFlavor attribute has the value ''', @nullFlavor, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.4 of the Participation Data Specification v3.2 the Responsible Health Professional at Time of Discharge - Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type.
		It contains a value of nullFlavor 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a value
		may exist, but it must be derived from the information provided. Confirm if the use of this nullFlavor is valid.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'NINF' or @nullFlavor = 'PINF' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'NINF' or @nullFlavor = 'PINF'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 1: According to section 2.4 of the Participation Data Specification v3.2 the Responsible Health Professional at Time of Discharge - Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data
		type which is derived from the HL7 'IVL_TS' data type. It has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) which is a
		value of nullFlavor that may not be used for data elements of the IVL data type.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 2.4 of the Participation Data Specification v3.2 the Responsible Health Professional at Time of Discharge - Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data
		type however it has nullFlavor = 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include
		nullFlavor = 'UNC'. (See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'QS' or @nullFlavor = 'TRC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'QS' or @nullFlavor = 'TRC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 3: According to section 2.4 of the Participation Data Specification v3.2 the Responsible Health Professional at Time of Discharge - Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data
		type which is derived from the HL7 'IVL_TS' data type. It has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) however
		that value of nullFlavor may not be used for data elements of the TS or IVL data types.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to section 2.4 of the Participation Data Specification v3.2 the Responsible Health Professional at Time of Discharge - Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type which is
		derived from the HL7 'IVL_TS' data type. The HL7 'TS' data type may also be used for a TimeInterval however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		(See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 3.8.1 of HL7 Version 3 Standard: Data Types - Abstract Specification,
		Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to section 2.4 of the Participation Data Specification v3.2 the Responsible Health Professional at Time of Discharge - Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type which is
		derived from the HL7 'IVL_TS' data type. The HL7 'TS' data type may also be used for a TimeInterval however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'IVL_TS' or 'TS'.
		(See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 3.8.1 of HL7 Version 3 Standard: Data Types - Abstract Specification,
		Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not(@nullFlavor or @value or cda:low or cda:high) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor or @value or cda:low or cda:high)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to section 2.4 of the Participation Data Specification v3.2 the Responsible Health Professional at Time of Discharge - Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however
		it does not have a nullFlavor or value attribute or low or high elements. A TimeInterval may only contain a nullFlavor or value attribute or low or high elements with the optional
		'inclusive' attribute included in the low or high elements if there is a need to indicate that the low or high boundaries are excluded.
		(See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @value and (cda:low or cda:high) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value and (cda:low or cda:high)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to section 2.4 of the Participation Data Specification v3.2 the Responsible Health Professional at Time of Discharge - Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type.
		It has the element '<xsl:text /><xsl:value-of select="local-name(cda:*[local-name() = ('low', 'high')])" /><xsl:text />' which is used for the HL7 'IVL' data type
		but also has a 'value' attribute which is used by the HL7 'TS' data type and is not used by the HL7 'IVL' data type. The data element must either have a 'value' attribute
		or '<xsl:text /><xsl:value-of select="local-name(cda:*[local-name() = ('low', 'high')])" /><xsl:text />' but not both.
		(See section 7.10.9.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and section 3.8.1 of
		HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('low', 'high'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 the Responsible Health Professional at Time of Discharge - Participation Period
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('low', 'high'))])" /><xsl:text />' was found
		that is not expected for the TimeInterval data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('low', 'high', 'width'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('low', 'high', 'width'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 the Responsible Health Professional at Time of Discharge - Participation Period
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('low', 'high', 'width'))])" /><xsl:text />' was found
		that is not expected for the TimeInterval data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and cda:width/@value and ((cda:low/@value and not(cda:high/@value)) or (not(cda:low/@value) and cda:high/@value)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and cda:width/@value and ((cda:low/@value and not(cda:high/@value)) or (not(cda:low/@value) and cda:high/@value))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 the Responsible Health Professional at Time of Discharge - Participation Period
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a width element is also
		present with the value '<xsl:text /><xsl:value-of select="cda:width/@value" /><xsl:text />' and unit '<xsl:text /><xsl:value-of select="cda:width/@unit" /><xsl:text />'.		
		This is an error as the presence of a <xsl:text /><xsl:value-of select="if (cda:low) then 'low' else 'high' " /><xsl:text /> element without a <xsl:text /><xsl:value-of select="if (cda:low) then 'high' else 'low' " /><xsl:text /> element
		means the TimeInterval is unbounded in one direction however the width element implies the interval is bounded. That is the width element is an extension that qualifies the
		time interval whereas an extension is allowed only if it does not qualify or negate the time interval.
		(See the definition of Responsible Health Professional at Time of Discharge - Participation Period in the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text />, section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0
		and <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)
		As the <xsl:text /><xsl:value-of select="if (cda:low) then 'start' else 'end' " /><xsl:text /> of the time interval is known then the Responsible Health Professional at Time of Discharge - Participation Period must also have a
		<xsl:text /><xsl:value-of select="if (cda:low) then ' high' else ' low' " /><xsl:text /> element as the TimeInterval data type uses low and high elements rather than width to define an interval.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and cda:width/@value and not(cda:high/@value or cda:low/@value) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and cda:width/@value and not(cda:high/@value or cda:low/@value)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 the Responsible Health Professional at Time of Discharge - Participation Period
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a width element is also
		present with the value '<xsl:text /><xsl:value-of select="cda:width/@value" /><xsl:text />' and unit '<xsl:text /><xsl:value-of select="cda:width/@unit" /><xsl:text />'.		
		This is an error as the Responsible Health Professional at Time of Discharge - Participation Period has no low or high elements so the TimeInterval is unbounded however the width element implies the interval is bounded. That is the width element is an
		extension that qualifies the time interval whereas an extension is allowed only if it does not qualify or negate the time interval.
		(See the definition of Responsible Health Professional at Time of Discharge - Participation Period in the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text />, section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0
		and <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)
		The TimeInterval data type uses low and high elements rather than width to define an interval.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(    @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or    @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'  )) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not( @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS' ))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 the Responsible Health Professional at Time of Discharge - Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the TimeInterval data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(    @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or    @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'  )) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not( @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS' ))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 the Responsible Health Professional at Time of Discharge - Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the TimeInterval data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @operator and @operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @operator and @operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 the Responsible Health Professional at Time of Discharge - Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the TimeInterval data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @operator and @operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @operator and @operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 the Responsible Health Professional at Time of Discharge - Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the TimeInterval data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:low/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:low/*">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 the Responsible Health Professional at Time of Discharge - Participation Period 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(cda:low/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/*">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 the Responsible Health Professional at Time of Discharge - Participation Period 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(cda:low/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 the Responsible Health Professional at Time of Discharge - Participation Period 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 the Responsible Health Professional at Time of Discharge - Participation Period 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:low/@operator and cda:low/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:low/@operator and cda:low/@operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 the Responsible Health Professional at Time of Discharge - Participation Period 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/@operator and cda:low/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/@operator and cda:low/@operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 the Responsible Health Professional at Time of Discharge - Participation Period 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:low/cda:originalText) and cda:low/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:low/cda:originalText) and cda:low/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 2.4 of the Participation Data Specification v3.2 the Responsible Health Professional at Time of Discharge - Participation Period 'low' child element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present so
		it is an error to include nullFlavor 'UNC'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:high/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:high/*">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 the Responsible Health Professional at Time of Discharge - Participation Period 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element '<xsl:text /><xsl:value-of select="local-name(cda:high/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/*">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 the Responsible Health Professional at Time of Discharge - Participation Period 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element '<xsl:text /><xsl:value-of select="local-name(cda:high/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 the Responsible Health Professional at Time of Discharge - Participation Period 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 the Responsible Health Professional at Time of Discharge - Participation Period 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:high/@operator and cda:high/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:high/@operator and cda:high/@operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 the Responsible Health Professional at Time of Discharge - Participation Period 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/@operator and cda:high/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/@operator and cda:high/@operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 the Responsible Health Professional at Time of Discharge - Participation Period 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 2.4 of the Participation Data Specification v3.2 the Responsible Health Professional at Time of Discharge - Participation Period 'high' child element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present
		so it is an error to include nullFlavor 'UNC'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 2.4 of the Participation Data Specification v3.2 the Responsible Health Professional at Time of Discharge - Participation Period 'high' child element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present
		so it is an error to include nullFlavor 'UNC'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M345" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M345" />
  <xsl:template match="@*|node()" priority="-2" mode="M345">
    <xsl:apply-templates select="@*|*" mode="M345" />
  </xsl:template>
  <!--PATTERN p-TS-Header-TimeInterval-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']]/cda:participant/cda:time " priority="1000" mode="M346">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']]/cda:participant/cda:time " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text1" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="message-text2" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See sections 8.6 and 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="nullFlavor-values" select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]" />
    <xsl:variable name="low-inclusive" select="if (not(cda:low)) then '' else if (cda:low/@inclusive='false') then ' (excluded)' else ' (included)' " />
    <xsl:variable name="high-inclusive" select="if (not(cda:high)) then '' else if (cda:high/@inclusive='false') then ' (excluded)' else ' (included)' " />
    <xsl:variable name="display-interval" select="if (@value and cda:low/@value and cda:high/@value)         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34), ', low value ', codepoints-to-string(34), cda:low/@value,        codepoints-to-string(34), $low-inclusive, ' and high value ', codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)        else if (@value and cda:low/@value and not(cda:high/@value))         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34), ' and low value ', codepoints-to-string(34), cda:low/@value,        codepoints-to-string(34), $low-inclusive)       else if (@value and not(cda:low/@value) and cda:high/@value)         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34), ' and high value ', codepoints-to-string(34),        cda:high/@value, codepoints-to-string(34), $high-inclusive)       else if (not(@value) and cda:low/@value and cda:high/@value)         then concat('low value ', codepoints-to-string(34), cda:low/@value, codepoints-to-string(34), $low-inclusive, ' and high value ',         codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)       else if (@value and not(cda:low/@value) and not(cda:high/@value))         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34))       else if (not(@value) and cda:low/@value and not(cda:high/@value))         then concat('low value ', codepoints-to-string(34), cda:low/@value, codepoints-to-string(34), $low-inclusive)       else if (not(@value) and not(cda:low/@value) and cda:high/@value)         then concat('high value ', codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)       else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-22" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-22 else $rating-alt-TC-Types-22 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-22: The Other Participant - Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type
		and <xsl:text /><xsl:value-of select="if (@value or cda:low/@value or cda:high/@value) then concat('has ', $display-interval)   else 'has no value attribute and no low or high data elements' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@nullFlavor) then concat('The nullFlavor attribute has the value ''', @nullFlavor, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.4 of the Participation Data Specification v3.2 the Other Participant - Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type.
		It contains a value of nullFlavor 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a value
		may exist, but it must be derived from the information provided. Confirm if the use of this nullFlavor is valid.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'NINF' or @nullFlavor = 'PINF' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'NINF' or @nullFlavor = 'PINF'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 1: According to section 2.4 of the Participation Data Specification v3.2 the Other Participant - Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data
		type which is derived from the HL7 'IVL_TS' data type. It has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) which is a
		value of nullFlavor that may not be used for data elements of the IVL data type.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 2.4 of the Participation Data Specification v3.2 the Other Participant - Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data
		type however it has nullFlavor = 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include
		nullFlavor = 'UNC'. (See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'QS' or @nullFlavor = 'TRC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'QS' or @nullFlavor = 'TRC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 3: According to section 2.4 of the Participation Data Specification v3.2 the Other Participant - Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data
		type which is derived from the HL7 'IVL_TS' data type. It has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) however
		that value of nullFlavor may not be used for data elements of the TS or IVL data types.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to section 2.4 of the Participation Data Specification v3.2 the Other Participant - Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type which is
		derived from the HL7 'IVL_TS' data type. The HL7 'TS' data type may also be used for a TimeInterval however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		(See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 3.8.1 of HL7 Version 3 Standard: Data Types - Abstract Specification,
		Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to section 2.4 of the Participation Data Specification v3.2 the Other Participant - Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type which is
		derived from the HL7 'IVL_TS' data type. The HL7 'TS' data type may also be used for a TimeInterval however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'IVL_TS' or 'TS'.
		(See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 3.8.1 of HL7 Version 3 Standard: Data Types - Abstract Specification,
		Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not(@nullFlavor or @value or cda:low or cda:high) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor or @value or cda:low or cda:high)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to section 2.4 of the Participation Data Specification v3.2 the Other Participant - Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however
		it does not have a nullFlavor or value attribute or low or high elements. A TimeInterval may only contain a nullFlavor or value attribute or low or high elements with the optional
		'inclusive' attribute included in the low or high elements if there is a need to indicate that the low or high boundaries are excluded.
		(See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @value and (cda:low or cda:high) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value and (cda:low or cda:high)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to section 2.4 of the Participation Data Specification v3.2 the Other Participant - Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type.
		It has the element '<xsl:text /><xsl:value-of select="local-name(cda:*[local-name() = ('low', 'high')])" /><xsl:text />' which is used for the HL7 'IVL' data type
		but also has a 'value' attribute which is used by the HL7 'TS' data type and is not used by the HL7 'IVL' data type. The data element must either have a 'value' attribute
		or '<xsl:text /><xsl:value-of select="local-name(cda:*[local-name() = ('low', 'high')])" /><xsl:text />' but not both.
		(See section 7.10.9.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and section 3.8.1 of
		HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('low', 'high'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 the Other Participant - Participation Period
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('low', 'high'))])" /><xsl:text />' was found
		that is not expected for the TimeInterval data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('low', 'high', 'width'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('low', 'high', 'width'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 the Other Participant - Participation Period
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('low', 'high', 'width'))])" /><xsl:text />' was found
		that is not expected for the TimeInterval data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and cda:width/@value and ((cda:low/@value and not(cda:high/@value)) or (not(cda:low/@value) and cda:high/@value)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and cda:width/@value and ((cda:low/@value and not(cda:high/@value)) or (not(cda:low/@value) and cda:high/@value))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 the Other Participant - Participation Period
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a width element is also
		present with the value '<xsl:text /><xsl:value-of select="cda:width/@value" /><xsl:text />' and unit '<xsl:text /><xsl:value-of select="cda:width/@unit" /><xsl:text />'.		
		This is an error as the presence of a <xsl:text /><xsl:value-of select="if (cda:low) then 'low' else 'high' " /><xsl:text /> element without a <xsl:text /><xsl:value-of select="if (cda:low) then 'high' else 'low' " /><xsl:text /> element
		means the TimeInterval is unbounded in one direction however the width element implies the interval is bounded. That is the width element is an extension that qualifies the
		time interval whereas an extension is allowed only if it does not qualify or negate the time interval.
		(See the definition of Other Participant - Participation Period in the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text />, section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0
		and <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)
		As the <xsl:text /><xsl:value-of select="if (cda:low) then 'start' else 'end' " /><xsl:text /> of the time interval is known then the Other Participant - Participation Period must also have a
		<xsl:text /><xsl:value-of select="if (cda:low) then ' high' else ' low' " /><xsl:text /> element as the TimeInterval data type uses low and high elements rather than width to define an interval.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and cda:width/@value and not(cda:high/@value or cda:low/@value) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and cda:width/@value and not(cda:high/@value or cda:low/@value)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 the Other Participant - Participation Period
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a width element is also
		present with the value '<xsl:text /><xsl:value-of select="cda:width/@value" /><xsl:text />' and unit '<xsl:text /><xsl:value-of select="cda:width/@unit" /><xsl:text />'.		
		This is an error as the Other Participant - Participation Period has no low or high elements so the TimeInterval is unbounded however the width element implies the interval is bounded. That is the width element is an
		extension that qualifies the time interval whereas an extension is allowed only if it does not qualify or negate the time interval.
		(See the definition of Other Participant - Participation Period in the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text />, section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0
		and <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)
		The TimeInterval data type uses low and high elements rather than width to define an interval.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(    @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or    @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'  )) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not( @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS' ))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 the Other Participant - Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the TimeInterval data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(    @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or    @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'  )) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not( @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS' ))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 the Other Participant - Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the TimeInterval data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @operator and @operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @operator and @operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 the Other Participant - Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the TimeInterval data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @operator and @operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @operator and @operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 the Other Participant - Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the TimeInterval data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:low/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:low/*">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 the Other Participant - Participation Period 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(cda:low/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/*">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 the Other Participant - Participation Period 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(cda:low/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 the Other Participant - Participation Period 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 the Other Participant - Participation Period 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:low/@operator and cda:low/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:low/@operator and cda:low/@operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 the Other Participant - Participation Period 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/@operator and cda:low/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/@operator and cda:low/@operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 the Other Participant - Participation Period 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:low/cda:originalText) and cda:low/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:low/cda:originalText) and cda:low/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 2.4 of the Participation Data Specification v3.2 the Other Participant - Participation Period 'low' child element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present so
		it is an error to include nullFlavor 'UNC'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:high/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:high/*">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 the Other Participant - Participation Period 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element '<xsl:text /><xsl:value-of select="local-name(cda:high/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/*">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 the Other Participant - Participation Period 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element '<xsl:text /><xsl:value-of select="local-name(cda:high/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 the Other Participant - Participation Period 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 the Other Participant - Participation Period 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:high/@operator and cda:high/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:high/@operator and cda:high/@operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 the Other Participant - Participation Period 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/@operator and cda:high/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/@operator and cda:high/@operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 the Other Participant - Participation Period 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 2.4 of the Participation Data Specification v3.2 the Other Participant - Participation Period 'high' child element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present
		so it is an error to include nullFlavor 'UNC'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 2.4 of the Participation Data Specification v3.2 the Other Participant - Participation Period 'high' child element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present
		so it is an error to include nullFlavor 'UNC'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M346" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M346" />
  <xsl:template match="@*|node()" priority="-2" mode="M346">
    <xsl:apply-templates select="@*|*" mode="M346" />
  </xsl:template>
  <!--PATTERN p-TS-Header-TimeInterval-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[cda:templateId[   (@root = '1.2.36.1.2001.1001.100.1002.226' and @extension = '1.0')  or   (@root = '1.2.36.1.2001.1001.101.100.1002.144' and @extension = '1.1')  or   (@root = '1.2.36.1.2001.1001.101.100.1002.234' and @extension = '1.0')  or   (@root = '1.2.36.1.2001.1001.101.100.1002.147' and @extension = '1.1')  or   (@root = '1.2.36.1.2001.1001.100.1002.222' and @extension = '1.0')  or   (@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4')  or   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')  or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) or   (@root = '1.2.36.1.2001.1001.101.100.1002.140' and @extension = '1.1')  or   (@root = '1.2.36.1.2001.1001.100.1002.220' and @extension = '1.0')  or   (@root = '1.2.36.1.2001.1001.101.100.1002.153' and @extension = '1.0')  or   (@root = '1.2.36.1.2001.1001.101.100.1002.142' and @extension = '1.1')  or   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) ]]/cda:author/cda:time " priority="1000" mode="M347">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[cda:templateId[   (@root = '1.2.36.1.2001.1001.100.1002.226' and @extension = '1.0')  or   (@root = '1.2.36.1.2001.1001.101.100.1002.144' and @extension = '1.1')  or   (@root = '1.2.36.1.2001.1001.101.100.1002.234' and @extension = '1.0')  or   (@root = '1.2.36.1.2001.1001.101.100.1002.147' and @extension = '1.1')  or   (@root = '1.2.36.1.2001.1001.100.1002.222' and @extension = '1.0')  or   (@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4')  or   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')  or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) or   (@root = '1.2.36.1.2001.1001.101.100.1002.140' and @extension = '1.1')  or   (@root = '1.2.36.1.2001.1001.100.1002.220' and @extension = '1.0')  or   (@root = '1.2.36.1.2001.1001.101.100.1002.153' and @extension = '1.0')  or   (@root = '1.2.36.1.2001.1001.101.100.1002.142' and @extension = '1.1')  or   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) ]]/cda:author/cda:time " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text1" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="message-text2" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See sections 8.6 and 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="nullFlavor-values" select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]" />
    <xsl:variable name="low-inclusive" select="if (not(cda:low)) then '' else if (cda:low/@inclusive='false') then ' (excluded)' else ' (included)' " />
    <xsl:variable name="high-inclusive" select="if (not(cda:high)) then '' else if (cda:high/@inclusive='false') then ' (excluded)' else ' (included)' " />
    <xsl:variable name="display-interval" select="if (@value and cda:low/@value and cda:high/@value)         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34), ', low value ', codepoints-to-string(34), cda:low/@value,        codepoints-to-string(34), $low-inclusive, ' and high value ', codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)        else if (@value and cda:low/@value and not(cda:high/@value))         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34), ' and low value ', codepoints-to-string(34), cda:low/@value,        codepoints-to-string(34), $low-inclusive)       else if (@value and not(cda:low/@value) and cda:high/@value)         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34), ' and high value ', codepoints-to-string(34),        cda:high/@value, codepoints-to-string(34), $high-inclusive)       else if (not(@value) and cda:low/@value and cda:high/@value)         then concat('low value ', codepoints-to-string(34), cda:low/@value, codepoints-to-string(34), $low-inclusive, ' and high value ',         codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)       else if (@value and not(cda:low/@value) and not(cda:high/@value))         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34))       else if (not(@value) and cda:low/@value and not(cda:high/@value))         then concat('low value ', codepoints-to-string(34), cda:low/@value, codepoints-to-string(34), $low-inclusive)       else if (not(@value) and not(cda:low/@value) and cda:high/@value)         then concat('high value ', codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)       else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-22" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-22 else $rating-alt-TC-Types-22 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-22: The Document Author Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type
		and <xsl:text /><xsl:value-of select="if (@value or cda:low/@value or cda:high/@value) then concat('has ', $display-interval)   else 'has no value attribute and no low or high data elements' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@nullFlavor) then concat('The nullFlavor attribute has the value ''', @nullFlavor, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.4 of the Participation Data Specification v3.2 and section 6.1 of the CDA Implementation Guide the Document Author Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type.
		It contains a value of nullFlavor 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a value
		may exist, but it must be derived from the information provided. Confirm if the use of this nullFlavor is valid.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'NINF' or @nullFlavor = 'PINF' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'NINF' or @nullFlavor = 'PINF'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 1: According to section 2.4 of the Participation Data Specification v3.2 and section 6.1 of the CDA Implementation Guide the Document Author Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data
		type which is derived from the HL7 'IVL_TS' data type. It has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) which is a
		value of nullFlavor that may not be used for data elements of the IVL data type.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 2.4 of the Participation Data Specification v3.2 and section 6.1 of the CDA Implementation Guide the Document Author Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data
		type however it has nullFlavor = 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include
		nullFlavor = 'UNC'. (See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'QS' or @nullFlavor = 'TRC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'QS' or @nullFlavor = 'TRC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 3: According to section 2.4 of the Participation Data Specification v3.2 and section 6.1 of the CDA Implementation Guide the Document Author Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data
		type which is derived from the HL7 'IVL_TS' data type. It has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) however
		that value of nullFlavor may not be used for data elements of the TS or IVL data types.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to section 2.4 of the Participation Data Specification v3.2 and section 6.1 of the CDA Implementation Guide the Document Author Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type which is
		derived from the HL7 'IVL_TS' data type. The HL7 'TS' data type may also be used for a TimeInterval however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		(See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 3.8.1 of HL7 Version 3 Standard: Data Types - Abstract Specification,
		Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to section 2.4 of the Participation Data Specification v3.2 and section 6.1 of the CDA Implementation Guide the Document Author Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type which is
		derived from the HL7 'IVL_TS' data type. The HL7 'TS' data type may also be used for a TimeInterval however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'IVL_TS' or 'TS'.
		(See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 3.8.1 of HL7 Version 3 Standard: Data Types - Abstract Specification,
		Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not(@nullFlavor or @value or cda:low or cda:high) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor or @value or cda:low or cda:high)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to section 2.4 of the Participation Data Specification v3.2 and section 6.1 of the CDA Implementation Guide the Document Author Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however
		it does not have a nullFlavor or value attribute or low or high elements. A TimeInterval may only contain a nullFlavor or value attribute or low or high elements with the optional
		'inclusive' attribute included in the low or high elements if there is a need to indicate that the low or high boundaries are excluded.
		(See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @value and (cda:low or cda:high) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value and (cda:low or cda:high)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to section 2.4 of the Participation Data Specification v3.2 and section 6.1 of the CDA Implementation Guide the Document Author Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type.
		It has the element '<xsl:text /><xsl:value-of select="local-name(cda:*[local-name() = ('low', 'high')])" /><xsl:text />' which is used for the HL7 'IVL' data type
		but also has a 'value' attribute which is used by the HL7 'TS' data type and is not used by the HL7 'IVL' data type. The data element must either have a 'value' attribute
		or '<xsl:text /><xsl:value-of select="local-name(cda:*[local-name() = ('low', 'high')])" /><xsl:text />' but not both.
		(See section 7.10.9.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and section 3.8.1 of
		HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('low', 'high'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 6.1 of the CDA Implementation Guide the Document Author Participation Period
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('low', 'high'))])" /><xsl:text />' was found
		that is not expected for the TimeInterval data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('low', 'high', 'width'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('low', 'high', 'width'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 6.1 of the CDA Implementation Guide the Document Author Participation Period
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('low', 'high', 'width'))])" /><xsl:text />' was found
		that is not expected for the TimeInterval data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and cda:width/@value and ((cda:low/@value and not(cda:high/@value)) or (not(cda:low/@value) and cda:high/@value)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and cda:width/@value and ((cda:low/@value and not(cda:high/@value)) or (not(cda:low/@value) and cda:high/@value))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 6.1 of the CDA Implementation Guide the Document Author Participation Period
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a width element is also
		present with the value '<xsl:text /><xsl:value-of select="cda:width/@value" /><xsl:text />' and unit '<xsl:text /><xsl:value-of select="cda:width/@unit" /><xsl:text />'.		
		This is an error as the presence of a <xsl:text /><xsl:value-of select="if (cda:low) then 'low' else 'high' " /><xsl:text /> element without a <xsl:text /><xsl:value-of select="if (cda:low) then 'high' else 'low' " /><xsl:text /> element
		means the TimeInterval is unbounded in one direction however the width element implies the interval is bounded. That is the width element is an extension that qualifies the
		time interval whereas an extension is allowed only if it does not qualify or negate the time interval.
		(See the definition of Document Author Participation Period in the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text />, section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0
		and <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)
		As the <xsl:text /><xsl:value-of select="if (cda:low) then 'start' else 'end' " /><xsl:text /> of the time interval is known then the Document Author Participation Period must also have a
		<xsl:text /><xsl:value-of select="if (cda:low) then ' high' else ' low' " /><xsl:text /> element as the TimeInterval data type uses low and high elements rather than width to define an interval.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and cda:width/@value and not(cda:high/@value or cda:low/@value) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and cda:width/@value and not(cda:high/@value or cda:low/@value)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 6.1 of the CDA Implementation Guide the Document Author Participation Period
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a width element is also
		present with the value '<xsl:text /><xsl:value-of select="cda:width/@value" /><xsl:text />' and unit '<xsl:text /><xsl:value-of select="cda:width/@unit" /><xsl:text />'.		
		This is an error as the Document Author Participation Period has no low or high elements so the TimeInterval is unbounded however the width element implies the interval is bounded. That is the width element is an
		extension that qualifies the time interval whereas an extension is allowed only if it does not qualify or negate the time interval.
		(See the definition of Document Author Participation Period in the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text />, section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0
		and <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)
		The TimeInterval data type uses low and high elements rather than width to define an interval.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(    @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or    @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'  )) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not( @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS' ))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 6.1 of the CDA Implementation Guide the Document Author Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the TimeInterval data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(    @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or    @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'  )) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not( @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS' ))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 6.1 of the CDA Implementation Guide the Document Author Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the TimeInterval data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @operator and @operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @operator and @operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 6.1 of the CDA Implementation Guide the Document Author Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the TimeInterval data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @operator and @operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @operator and @operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 6.1 of the CDA Implementation Guide the Document Author Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the TimeInterval data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:low/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:low/*">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 6.1 of the CDA Implementation Guide the Document Author Participation Period 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(cda:low/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/*">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 6.1 of the CDA Implementation Guide the Document Author Participation Period 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(cda:low/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 6.1 of the CDA Implementation Guide the Document Author Participation Period 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 6.1 of the CDA Implementation Guide the Document Author Participation Period 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:low/@operator and cda:low/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:low/@operator and cda:low/@operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 6.1 of the CDA Implementation Guide the Document Author Participation Period 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/@operator and cda:low/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/@operator and cda:low/@operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 6.1 of the CDA Implementation Guide the Document Author Participation Period 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:low/cda:originalText) and cda:low/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:low/cda:originalText) and cda:low/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 2.4 of the Participation Data Specification v3.2 and section 6.1 of the CDA Implementation Guide the Document Author Participation Period 'low' child element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present so
		it is an error to include nullFlavor 'UNC'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:high/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:high/*">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 6.1 of the CDA Implementation Guide the Document Author Participation Period 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element '<xsl:text /><xsl:value-of select="local-name(cda:high/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/*">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 6.1 of the CDA Implementation Guide the Document Author Participation Period 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element '<xsl:text /><xsl:value-of select="local-name(cda:high/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 6.1 of the CDA Implementation Guide the Document Author Participation Period 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 6.1 of the CDA Implementation Guide the Document Author Participation Period 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:high/@operator and cda:high/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:high/@operator and cda:high/@operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 6.1 of the CDA Implementation Guide the Document Author Participation Period 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/@operator and cda:high/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/@operator and cda:high/@operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 6.1 of the CDA Implementation Guide the Document Author Participation Period 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 2.4 of the Participation Data Specification v3.2 and section 6.1 of the CDA Implementation Guide the Document Author Participation Period 'high' child element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present
		so it is an error to include nullFlavor 'UNC'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 2.4 of the Participation Data Specification v3.2 and section 6.1 of the CDA Implementation Guide the Document Author Participation Period 'high' child element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present
		so it is an error to include nullFlavor 'UNC'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M347" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M347" />
  <xsl:template match="@*|node()" priority="-2" mode="M347">
    <xsl:apply-templates select="@*|*" mode="M347" />
  </xsl:template>
  <!--PATTERN p-TS-Header-TimeInterval-5-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[cda:templateId[   (@root = '1.2.36.1.2001.1001.100.1002.222' and @extension = '1.0') or   (@root = '1.2.36.1.2001.1001.100.1002.220' and @extension = '1.0') ]]/cda:participant/cda:time " priority="1000" mode="M348">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[cda:templateId[   (@root = '1.2.36.1.2001.1001.100.1002.222' and @extension = '1.0') or   (@root = '1.2.36.1.2001.1001.100.1002.220' and @extension = '1.0') ]]/cda:participant/cda:time " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text1" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="message-text2" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See sections 8.6 and 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="nullFlavor-values" select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]" />
    <xsl:variable name="low-inclusive" select="if (not(cda:low)) then '' else if (cda:low/@inclusive='false') then ' (excluded)' else ' (included)' " />
    <xsl:variable name="high-inclusive" select="if (not(cda:high)) then '' else if (cda:high/@inclusive='false') then ' (excluded)' else ' (included)' " />
    <xsl:variable name="display-interval" select="if (@value and cda:low/@value and cda:high/@value)         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34), ', low value ', codepoints-to-string(34), cda:low/@value,        codepoints-to-string(34), $low-inclusive, ' and high value ', codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)        else if (@value and cda:low/@value and not(cda:high/@value))         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34), ' and low value ', codepoints-to-string(34), cda:low/@value,        codepoints-to-string(34), $low-inclusive)       else if (@value and not(cda:low/@value) and cda:high/@value)         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34), ' and high value ', codepoints-to-string(34),        cda:high/@value, codepoints-to-string(34), $high-inclusive)       else if (not(@value) and cda:low/@value and cda:high/@value)         then concat('low value ', codepoints-to-string(34), cda:low/@value, codepoints-to-string(34), $low-inclusive, ' and high value ',         codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)       else if (@value and not(cda:low/@value) and not(cda:high/@value))         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34))       else if (not(@value) and cda:low/@value and not(cda:high/@value))         then concat('low value ', codepoints-to-string(34), cda:low/@value, codepoints-to-string(34), $low-inclusive)       else if (not(@value) and not(cda:low/@value) and cda:high/@value)         then concat('high value ', codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)       else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-22" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-22 else $rating-alt-TC-Types-22 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-22: The Requester Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type
		and <xsl:text /><xsl:value-of select="if (@value or cda:low/@value or cda:high/@value) then concat('has ', $display-interval)   else 'has no value attribute and no low or high data elements' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@nullFlavor) then concat('The nullFlavor attribute has the value ''', @nullFlavor, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.4 of the Participation Data Specification v3.2 and section 6.1.4 of the CDA Implementation Guide v1.0 the Requester Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type.
		It contains a value of nullFlavor 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a value
		may exist, but it must be derived from the information provided. Confirm if the use of this nullFlavor is valid.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'NINF' or @nullFlavor = 'PINF' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'NINF' or @nullFlavor = 'PINF'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 1: According to section 2.4 of the Participation Data Specification v3.2 and section 6.1.4 of the CDA Implementation Guide v1.0 the Requester Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data
		type which is derived from the HL7 'IVL_TS' data type. It has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) which is a
		value of nullFlavor that may not be used for data elements of the IVL data type.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 2.4 of the Participation Data Specification v3.2 and section 6.1.4 of the CDA Implementation Guide v1.0 the Requester Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data
		type however it has nullFlavor = 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include
		nullFlavor = 'UNC'. (See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'QS' or @nullFlavor = 'TRC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'QS' or @nullFlavor = 'TRC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 3: According to section 2.4 of the Participation Data Specification v3.2 and section 6.1.4 of the CDA Implementation Guide v1.0 the Requester Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data
		type which is derived from the HL7 'IVL_TS' data type. It has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) however
		that value of nullFlavor may not be used for data elements of the TS or IVL data types.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to section 2.4 of the Participation Data Specification v3.2 and section 6.1.4 of the CDA Implementation Guide v1.0 the Requester Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type which is
		derived from the HL7 'IVL_TS' data type. The HL7 'TS' data type may also be used for a TimeInterval however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		(See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 3.8.1 of HL7 Version 3 Standard: Data Types - Abstract Specification,
		Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to section 2.4 of the Participation Data Specification v3.2 and section 6.1.4 of the CDA Implementation Guide v1.0 the Requester Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type which is
		derived from the HL7 'IVL_TS' data type. The HL7 'TS' data type may also be used for a TimeInterval however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'IVL_TS' or 'TS'.
		(See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 3.8.1 of HL7 Version 3 Standard: Data Types - Abstract Specification,
		Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not(@nullFlavor or @value or cda:low or cda:high) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor or @value or cda:low or cda:high)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to section 2.4 of the Participation Data Specification v3.2 and section 6.1.4 of the CDA Implementation Guide v1.0 the Requester Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however
		it does not have a nullFlavor or value attribute or low or high elements. A TimeInterval may only contain a nullFlavor or value attribute or low or high elements with the optional
		'inclusive' attribute included in the low or high elements if there is a need to indicate that the low or high boundaries are excluded.
		(See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @value and (cda:low or cda:high) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value and (cda:low or cda:high)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to section 2.4 of the Participation Data Specification v3.2 and section 6.1.4 of the CDA Implementation Guide v1.0 the Requester Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type.
		It has the element '<xsl:text /><xsl:value-of select="local-name(cda:*[local-name() = ('low', 'high')])" /><xsl:text />' which is used for the HL7 'IVL' data type
		but also has a 'value' attribute which is used by the HL7 'TS' data type and is not used by the HL7 'IVL' data type. The data element must either have a 'value' attribute
		or '<xsl:text /><xsl:value-of select="local-name(cda:*[local-name() = ('low', 'high')])" /><xsl:text />' but not both.
		(See section 7.10.9.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and section 3.8.1 of
		HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('low', 'high'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 6.1.4 of the CDA Implementation Guide v1.0 the Requester Participation Period
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('low', 'high'))])" /><xsl:text />' was found
		that is not expected for the TimeInterval data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('low', 'high', 'width'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('low', 'high', 'width'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 6.1.4 of the CDA Implementation Guide v1.0 the Requester Participation Period
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('low', 'high', 'width'))])" /><xsl:text />' was found
		that is not expected for the TimeInterval data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and cda:width/@value and ((cda:low/@value and not(cda:high/@value)) or (not(cda:low/@value) and cda:high/@value)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and cda:width/@value and ((cda:low/@value and not(cda:high/@value)) or (not(cda:low/@value) and cda:high/@value))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 6.1.4 of the CDA Implementation Guide v1.0 the Requester Participation Period
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a width element is also
		present with the value '<xsl:text /><xsl:value-of select="cda:width/@value" /><xsl:text />' and unit '<xsl:text /><xsl:value-of select="cda:width/@unit" /><xsl:text />'.		
		This is an error as the presence of a <xsl:text /><xsl:value-of select="if (cda:low) then 'low' else 'high' " /><xsl:text /> element without a <xsl:text /><xsl:value-of select="if (cda:low) then 'high' else 'low' " /><xsl:text /> element
		means the TimeInterval is unbounded in one direction however the width element implies the interval is bounded. That is the width element is an extension that qualifies the
		time interval whereas an extension is allowed only if it does not qualify or negate the time interval.
		(See the definition of Requester Participation Period in the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text />, section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0
		and <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)
		As the <xsl:text /><xsl:value-of select="if (cda:low) then 'start' else 'end' " /><xsl:text /> of the time interval is known then the Requester Participation Period must also have a
		<xsl:text /><xsl:value-of select="if (cda:low) then ' high' else ' low' " /><xsl:text /> element as the TimeInterval data type uses low and high elements rather than width to define an interval.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and cda:width/@value and not(cda:high/@value or cda:low/@value) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and cda:width/@value and not(cda:high/@value or cda:low/@value)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 6.1.4 of the CDA Implementation Guide v1.0 the Requester Participation Period
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a width element is also
		present with the value '<xsl:text /><xsl:value-of select="cda:width/@value" /><xsl:text />' and unit '<xsl:text /><xsl:value-of select="cda:width/@unit" /><xsl:text />'.		
		This is an error as the Requester Participation Period has no low or high elements so the TimeInterval is unbounded however the width element implies the interval is bounded. That is the width element is an
		extension that qualifies the time interval whereas an extension is allowed only if it does not qualify or negate the time interval.
		(See the definition of Requester Participation Period in the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text />, section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0
		and <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)
		The TimeInterval data type uses low and high elements rather than width to define an interval.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(    @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or    @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'  )) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not( @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS' ))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 6.1.4 of the CDA Implementation Guide v1.0 the Requester Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the TimeInterval data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(    @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or    @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'  )) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not( @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS' ))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 6.1.4 of the CDA Implementation Guide v1.0 the Requester Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the TimeInterval data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @operator and @operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @operator and @operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 6.1.4 of the CDA Implementation Guide v1.0 the Requester Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the TimeInterval data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @operator and @operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @operator and @operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 6.1.4 of the CDA Implementation Guide v1.0 the Requester Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the TimeInterval data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:low/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:low/*">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 6.1.4 of the CDA Implementation Guide v1.0 the Requester Participation Period 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(cda:low/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/*">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 6.1.4 of the CDA Implementation Guide v1.0 the Requester Participation Period 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(cda:low/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 6.1.4 of the CDA Implementation Guide v1.0 the Requester Participation Period 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 6.1.4 of the CDA Implementation Guide v1.0 the Requester Participation Period 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:low/@operator and cda:low/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:low/@operator and cda:low/@operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 6.1.4 of the CDA Implementation Guide v1.0 the Requester Participation Period 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/@operator and cda:low/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/@operator and cda:low/@operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 6.1.4 of the CDA Implementation Guide v1.0 the Requester Participation Period 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:low/cda:originalText) and cda:low/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:low/cda:originalText) and cda:low/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 2.4 of the Participation Data Specification v3.2 and section 6.1.4 of the CDA Implementation Guide v1.0 the Requester Participation Period 'low' child element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present so
		it is an error to include nullFlavor 'UNC'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:high/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:high/*">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 6.1.4 of the CDA Implementation Guide v1.0 the Requester Participation Period 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element '<xsl:text /><xsl:value-of select="local-name(cda:high/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/*">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 6.1.4 of the CDA Implementation Guide v1.0 the Requester Participation Period 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element '<xsl:text /><xsl:value-of select="local-name(cda:high/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 6.1.4 of the CDA Implementation Guide v1.0 the Requester Participation Period 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 6.1.4 of the CDA Implementation Guide v1.0 the Requester Participation Period 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:high/@operator and cda:high/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:high/@operator and cda:high/@operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 6.1.4 of the CDA Implementation Guide v1.0 the Requester Participation Period 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/@operator and cda:high/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/@operator and cda:high/@operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 6.1.4 of the CDA Implementation Guide v1.0 the Requester Participation Period 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 2.4 of the Participation Data Specification v3.2 and section 6.1.4 of the CDA Implementation Guide v1.0 the Requester Participation Period 'high' child element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present
		so it is an error to include nullFlavor 'UNC'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 2.4 of the Participation Data Specification v3.2 and section 6.1.4 of the CDA Implementation Guide v1.0 the Requester Participation Period 'high' child element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present
		so it is an error to include nullFlavor 'UNC'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M348" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M348" />
  <xsl:template match="@*|node()" priority="-2" mode="M348">
    <xsl:apply-templates select="@*|*" mode="M348" />
  </xsl:template>
  <!--PATTERN p-TS-Header-CodeableText-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flags/@report-data = 'true']/cda:recordTarget/cda:patientRole/cda:patient/          cda:birthplace/cda:place/cda:addr/cda:country " priority="1000" mode="M349">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flags/@report-data = 'true']/cda:recordTarget/cda:patientRole/cda:patient/          cda:birthplace/cda:place/cda:addr/cda:country " />
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Country of Birth '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M349" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M349" />
  <xsl:template match="@*|node()" priority="-2" mode="M349">
    <xsl:apply-templates select="@*|*" mode="M349" />
  </xsl:template>
  <!--PATTERN p-TS-Header-CodedText-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument/cda:recordTarget/cda:patientRole/cda:patient/cda:ethnicGroupCode " priority="1000" mode="M350">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument/cda:recordTarget/cda:patientRole/cda:patient/cda:ethnicGroupCode " />
    <xsl:variable name="tc-types-49-err" select="@nullFlavor = ('PINF', 'NINF', 'QS', 'TRC') or (@nullFlavor='UNC' and (not(cda:originalText) or normalize-space(cda:originalText) = '')) " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="family-err" select="cda:originalText and matches(cda:originalText, $family-regex, 'i')" />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; 200" />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and @code != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used with the Clinical Package Validator to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used with the Clinical Package Validator to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the primary code.') " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-06-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-06-step-2 else $rating-alt-TC-Types-06-step-2 " />
    <xsl:variable name="rating-07-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-1 else $rating-alt-TC-Types-07-step-1 " />
    <xsl:variable name="rating-07-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-2 else $rating-alt-TC-Types-07-step-2 " />
    <xsl:variable name="rating-08" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-08 else $rating-alt-TC-Types-08 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-07: The Indigenous Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data
		type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to section 2.72 of the Participation Data Specification v3.2 the Indigenous Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which is derived from the HL7 'CD' data type however xsi:type '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to section 2.72 of the Participation Data Specification v3.2 the Indigenous Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:translation">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:translation">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to section 2.72 of the Participation Data Specification v3.2 the Indigenous Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'translation' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value
		domain, with no exceptions. A translation translates the value into a code from another code systems, so translations are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:qualifier">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:qualifier">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to section 2.72 of the Participation Data Specification v3.2 the Indigenous Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'qualifier' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value domain,
		with no exceptions. A qualifier constrains the value, so qualifiers are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Indigenous Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.72 of the Participation Data Specification v3.2 the Indigenous Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.72 of the Participation Data Specification v3.2 the Indigenous Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.72 of the Participation Data Specification v3.2 the Indigenous Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present and is not expected
		for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.72 of the Participation Data Specification v3.2 the Indigenous Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />'
		is present and is not expected for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-terminology-concepts = 'true' and not(true() or false() or $family-err or $length-err) and    not(@nullFlavor) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and not(true() or false() or $family-err or $length-err) and not(@nullFlavor)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (value domain not specified): The Indigenous Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The CodedText data type has the requirement that values must come from the specified bound value domain with no exceptions but a value domain has not been specified for the
		Indigenous Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Indigenous Status',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="false() and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != '2.16.840.1.113883.3.879.291036'))  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != '2.16.840.1.113883.3.879.291036'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-06-step-2" /><xsl:text />: TC-Types-06 step 2: According to section 2.72 of the Participation Data Specification v3.2 the Indigenous Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. The
		CodedText data type has the requirement that values must come from the bound value domain with no exceptions. Therefore the value of the codeSystem attribute must be a publicly available
		code system. The Indigenous Status data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide states the code system is 'NS' (not stated) with the requirement 'When national standard code sets become
		available, they SHALL be used'. The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> which is after the national standard code set became available
		for use on the <xsl:text /><xsl:value-of select="''" /><xsl:text />. The code system that must be used is
		<xsl:text /><xsl:value-of select="if ('2.16.840.1.113883.3.879.291036' = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName, ' (ConceptId ''', 'none', ''')')   else concat('2.16.840.1.113883.3.879.291036', ' (', $code-systems/system[@codeSystem = '2.16.840.1.113883.3.879.291036']/@codeSystemName, ')')" /><xsl:text /><xsl:text /><xsl:value-of select="if (not(@codeSystem)) then '.'    else if (@codeSystemName) then concat(' however codeSystem ''', @codeSystem, ''' (', @codeSystemName, ') is present.')   else concat(' however a codeSystem attribute with the value ''', @codeSystem, ''' is present.') " /><xsl:text />
		(See section 1.8 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide, <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 4.3 of the CDA Implementation Guide for the
		information about the value domain.)
		<xsl:text /><xsl:value-of select="if ('none' = '11000036103') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName,     ' are Allergic reaction (''419076005''), Medication side-effect (''401207004'') and Drug interaction (''79899007'').')    else if ('none' = '15071000036100') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName,     ' are Prescribed (''105681000036100''), Suspended (''385655000'') and Unchanged (''105701000036103'').')    else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'OTH' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'OTH'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to section 2.72 of the Participation Data Specification v3.2 the Indigenous Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore it is not valid for the data element to have nullFlavor 'OTH' to indicate that the
		actual value is not a member of the set of permitted data values in the constrained value domain. 
		(See the requirements for Indigenous Status and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.72 of the Participation Data Specification v3.2 the Indigenous Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type<xsl:text /><xsl:value-of select="if (not(false())) then '.' else   concat(' and section 4.3 of the CDA Implementation Guide states the vocabulary is ''', '2.16.840.1.113883.3.879.291036', ''' (', $code-systems/system[@codeSystem = '2.16.840.1.113883.3.879.291036']/@codeSystemName, ').') " /><xsl:text />
		The CodedText data type has
		the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor attribute
		to indicate there is no value, however a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) is present and is not one of the nullFlavor values that indicate there is no value.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@nullFlavor or @code) and not(false() and not(@nullFlavor) and not(@codeSystem)) and cda:originalText ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor or @code) and not(false() and not(@nullFlavor) and not(@codeSystem)) and cda:originalText">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to section 2.72 of the Participation Data Specification v3.2 the Indigenous Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor
		attribute to indicate there is no value. The only information found in the data element is originalText '<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />'.
		(See the requirements for Indigenous Status and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)
		<xsl:text /><xsl:value-of select="if (local-name(.) = 'jobClassCode') then concat('Consider using the METeOR 314867 ''Employment type'' code system (codeSystem ''2.16.840.1.113883.3.879.314867'') which has ',   'codes for ''Permanent'', ''Fixed term contract'', ''Casual'' and ''Not stated/inadequately described''; or the  METeOR 691891 ''Full-time/part-time status'' code system ',   '(codeSystem ''2.16.840.1.113883.3.879.691891'') which has codes for ''Full-time'', ''Part-time'' and ''Not stated/inadequately described''. ',   '(See the the METeOR 314867 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/314867 and the METeOR 691891 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/691891.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="true() and @codeSystem and @codeSystem != '2.16.840.1.113883.3.879.291036' and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and @codeSystem and @codeSystem != '2.16.840.1.113883.3.879.291036' and not(false())">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to section 2.72 of the Participation Data Specification v3.2 the Indigenous Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and section 4.3 of the CDA Implementation Guide states the vocabulary is
		<xsl:text /><xsl:value-of select="if ('2.16.840.1.113883.3.879.291036' = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName, ' (ConceptId ''', 'none', ''').')   else concat('2.16.840.1.113883.3.879.291036', ' (', $code-systems/system[@codeSystem = '2.16.840.1.113883.3.879.291036']/@codeSystemName, ').')" /><xsl:text />
		The CodedText data type has the requirement that values must come from the bound value domain with no exceptions.
		Therefore the value of codeSystem must be '2.16.840.1.113883.3.879.291036' but codeSystem '<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />' (<xsl:text /><xsl:value-of select="@codeSystemName" /><xsl:text />) is present.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="true() and '2.16.840.1.113883.3.879.291036' = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and    not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version,    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@refSet) = 'CodeFound') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and '2.16.840.1.113883.3.879.291036' = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version, $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@refSet) = 'CodeFound')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to section 2.72 of the Participation Data Specification v3.2 the Indigenous Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. The applicable value domain is the SNOMED CT-AU
		<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName" /><xsl:text />
		(Concept ID: 'none'). The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the code is not a member of the value domain.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 4.3 of the CDA Implementation Guide for the information about the value domain.)<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-08" /><xsl:text />: TC-Types-08: According to section 2.72 of the Participation Data Specification v3.2 the Indigenous Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. It has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> but has neither an originalText nor a displayName
		so it fails to conform to the requirement 'In accordance with the requirement to completely represent section contents, values of CodedText or CodeableText data elements defined in
		the SCS SHALL include an originalText or a displayName component (or both)'.
		(See Appendix A of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 6.1 and 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090
		Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and not(cda:originalText) and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and not(cda:originalText) and not(false())">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Indigenous Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is
		not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. (See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M350" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M350" />
  <xsl:template match="@*|node()" priority="-2" mode="M350">
    <xsl:apply-templates select="@*|*" mode="M350" />
  </xsl:template>
  <!--PATTERN p-TS-Header-CodedText-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument/cda:componentOf/cda:encompassingEncounter/cda:dischargeDispositionCode " priority="1000" mode="M351">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument/cda:componentOf/cda:encompassingEncounter/cda:dischargeDispositionCode " />
    <xsl:variable name="tc-types-49-err" select="@nullFlavor = ('PINF', 'NINF', 'QS', 'TRC') or (@nullFlavor='UNC' and (not(cda:originalText) or normalize-space(cda:originalText) = '')) " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="family-err" select="cda:originalText and matches(cda:originalText, $family-regex, 'i')" />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; 200" />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and @code != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used with the Clinical Package Validator to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used with the Clinical Package Validator to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the primary code.') " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-06-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-06-step-2 else $rating-alt-TC-Types-06-step-2 " />
    <xsl:variable name="rating-07-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-1 else $rating-alt-TC-Types-07-step-1 " />
    <xsl:variable name="rating-07-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-2 else $rating-alt-TC-Types-07-step-2 " />
    <xsl:variable name="rating-08" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-08 else $rating-alt-TC-Types-08 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-07: The Separation Mode '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data
		type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to section 4.3 of the Discharge Summary Structured Document Template v3.3 the Separation Mode '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which is derived from the HL7 'CD' data type however xsi:type '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to section 4.3 of the Discharge Summary Structured Document Template v3.3 the Separation Mode '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:translation">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:translation">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to section 4.3 of the Discharge Summary Structured Document Template v3.3 the Separation Mode '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'translation' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value
		domain, with no exceptions. A translation translates the value into a code from another code systems, so translations are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:qualifier">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:qualifier">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to section 4.3 of the Discharge Summary Structured Document Template v3.3 the Separation Mode
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'qualifier' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value domain,
		with no exceptions. A qualifier constrains the value, so qualifiers are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Separation Mode '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 4.3 of the Discharge Summary Structured Document Template v3.3 the Separation Mode
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 4.3 of the Discharge Summary Structured Document Template v3.3 the Separation Mode
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 4.3 of the Discharge Summary Structured Document Template v3.3 the Separation Mode
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present and is not expected
		for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 4.3 of the Discharge Summary Structured Document Template v3.3 the Separation Mode
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />'
		is present and is not expected for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-terminology-concepts = 'true' and not(true() or false() or $family-err or $length-err) and    not(@nullFlavor) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and not(true() or false() or $family-err or $length-err) and not(@nullFlavor)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (value domain not specified): The Separation Mode '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The CodedText data type has the requirement that values must come from the specified bound value domain with no exceptions but a value domain has not been specified for the
		Separation Mode '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Separation Mode',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="false() and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != '2.16.840.1.113883.13.65'))  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != '2.16.840.1.113883.13.65'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-06-step-2" /><xsl:text />: TC-Types-06 step 2: According to section 4.3 of the Discharge Summary Structured Document Template v3.3 the Separation Mode '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. The
		CodedText data type has the requirement that values must come from the bound value domain with no exceptions. Therefore the value of the codeSystem attribute must be a publicly available
		code system. The Separation Mode data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide states the code system is 'NS' (not stated) with the requirement 'When national standard code sets become
		available, they SHALL be used'. The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> which is after the national standard code set became available
		for use on the <xsl:text /><xsl:value-of select="''" /><xsl:text />. The code system that must be used is
		<xsl:text /><xsl:value-of select="if ('2.16.840.1.113883.13.65' = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName, ' (ConceptId ''', 'none', ''')')   else concat('2.16.840.1.113883.13.65', ' (', $code-systems/system[@codeSystem = '2.16.840.1.113883.13.65']/@codeSystemName, ')')" /><xsl:text /><xsl:text /><xsl:value-of select="if (not(@codeSystem)) then '.'    else if (@codeSystemName) then concat(' however codeSystem ''', @codeSystem, ''' (', @codeSystemName, ') is present.')   else concat(' however a codeSystem attribute with the value ''', @codeSystem, ''' is present.') " /><xsl:text />
		(See section 1.8 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide, <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 4.5 of the Discharge Summary Structured Document Template v3.3 for the
		information about the value domain.)
		<xsl:text /><xsl:value-of select="if ('none' = '11000036103') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName,     ' are Allergic reaction (''419076005''), Medication side-effect (''401207004'') and Drug interaction (''79899007'').')    else if ('none' = '15071000036100') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName,     ' are Prescribed (''105681000036100''), Suspended (''385655000'') and Unchanged (''105701000036103'').')    else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'OTH' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'OTH'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to section 4.3 of the Discharge Summary Structured Document Template v3.3 the Separation Mode '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore it is not valid for the data element to have nullFlavor 'OTH' to indicate that the
		actual value is not a member of the set of permitted data values in the constrained value domain. 
		(See the requirements for Separation Mode and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 4.3 of the Discharge Summary Structured Document Template v3.3 the Separation Mode '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type<xsl:text /><xsl:value-of select="if (not(false())) then '.' else   concat(' and section 4.5 of the Discharge Summary Structured Document Template v3.3 states the vocabulary is ''', '2.16.840.1.113883.13.65', ''' (', $code-systems/system[@codeSystem = '2.16.840.1.113883.13.65']/@codeSystemName, ').') " /><xsl:text />
		The CodedText data type has
		the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor attribute
		to indicate there is no value, however a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) is present and is not one of the nullFlavor values that indicate there is no value.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@nullFlavor or @code) and not(false() and not(@nullFlavor) and not(@codeSystem)) and cda:originalText ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor or @code) and not(false() and not(@nullFlavor) and not(@codeSystem)) and cda:originalText">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to section 4.3 of the Discharge Summary Structured Document Template v3.3 the Separation Mode '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor
		attribute to indicate there is no value. The only information found in the data element is originalText '<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />'.
		(See the requirements for Separation Mode and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)
		<xsl:text /><xsl:value-of select="if (local-name(.) = 'jobClassCode') then concat('Consider using the METeOR 314867 ''Employment type'' code system (codeSystem ''2.16.840.1.113883.3.879.314867'') which has ',   'codes for ''Permanent'', ''Fixed term contract'', ''Casual'' and ''Not stated/inadequately described''; or the  METeOR 691891 ''Full-time/part-time status'' code system ',   '(codeSystem ''2.16.840.1.113883.3.879.691891'') which has codes for ''Full-time'', ''Part-time'' and ''Not stated/inadequately described''. ',   '(See the the METeOR 314867 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/314867 and the METeOR 691891 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/691891.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="true() and @codeSystem and @codeSystem != '2.16.840.1.113883.13.65' and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and @codeSystem and @codeSystem != '2.16.840.1.113883.13.65' and not(false())">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to section 4.3 of the Discharge Summary Structured Document Template v3.3 the Separation Mode '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and section 4.5 of the Discharge Summary Structured Document Template v3.3 states the vocabulary is
		<xsl:text /><xsl:value-of select="if ('2.16.840.1.113883.13.65' = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName, ' (ConceptId ''', 'none', ''').')   else concat('2.16.840.1.113883.13.65', ' (', $code-systems/system[@codeSystem = '2.16.840.1.113883.13.65']/@codeSystemName, ').')" /><xsl:text />
		The CodedText data type has the requirement that values must come from the bound value domain with no exceptions.
		Therefore the value of codeSystem must be '2.16.840.1.113883.13.65' but codeSystem '<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />' (<xsl:text /><xsl:value-of select="@codeSystemName" /><xsl:text />) is present.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="true() and '2.16.840.1.113883.13.65' = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and    not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version,    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@refSet) = 'CodeFound') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and '2.16.840.1.113883.13.65' = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version, $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@refSet) = 'CodeFound')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to section 4.3 of the Discharge Summary Structured Document Template v3.3 the Separation Mode '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. The applicable value domain is the SNOMED CT-AU
		<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName" /><xsl:text />
		(Concept ID: 'none'). The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the code is not a member of the value domain.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 4.5 of the Discharge Summary Structured Document Template v3.3 for the information about the value domain.)<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-08" /><xsl:text />: TC-Types-08: According to section 4.3 of the Discharge Summary Structured Document Template v3.3 the Separation Mode '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. It has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> but has neither an originalText nor a displayName
		so it fails to conform to the requirement 'In accordance with the requirement to completely represent section contents, values of CodedText or CodeableText data elements defined in
		the SCS SHALL include an originalText or a displayName component (or both)'.
		(See Appendix A of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 6.1 and 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090
		Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and not(cda:originalText) and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and not(cda:originalText) and not(false())">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Separation Mode '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is
		not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. (See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M351" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M351" />
  <xsl:template match="@*|node()" priority="-2" mode="M351">
    <xsl:apply-templates select="@*|*" mode="M351" />
  </xsl:template>
  <!--PATTERN p-TS-Header-CodedText-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument/cda:recordTarget/cda:patientRole/cda:patient/cda:administrativeGenderCode " priority="1000" mode="M352">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument/cda:recordTarget/cda:patientRole/cda:patient/cda:administrativeGenderCode " />
    <xsl:variable name="tc-types-49-err" select="@nullFlavor = ('PINF', 'NINF', 'QS', 'TRC') or (@nullFlavor='UNC' and (not(cda:originalText) or normalize-space(cda:originalText) = '')) " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="family-err" select="cda:originalText and matches(cda:originalText, $family-regex, 'i')" />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; 200" />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and @code != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used with the Clinical Package Validator to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used with the Clinical Package Validator to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the primary code.') " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-06-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-06-step-2 else $rating-alt-TC-Types-06-step-2 " />
    <xsl:variable name="rating-07-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-1 else $rating-alt-TC-Types-07-step-1 " />
    <xsl:variable name="rating-07-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-2 else $rating-alt-TC-Types-07-step-2 " />
    <xsl:variable name="rating-08" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-08 else $rating-alt-TC-Types-08 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-07: The Sex '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data
		type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to section 2.45 of the Participation Data Specification v3.2 the Sex '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which is derived from the HL7 'CD' data type however xsi:type '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to section 2.45 of the Participation Data Specification v3.2 the Sex '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:translation">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:translation">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to section 2.45 of the Participation Data Specification v3.2 the Sex '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'translation' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value
		domain, with no exceptions. A translation translates the value into a code from another code systems, so translations are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:qualifier">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:qualifier">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to section 2.45 of the Participation Data Specification v3.2 the Sex
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'qualifier' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value domain,
		with no exceptions. A qualifier constrains the value, so qualifiers are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Sex '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.45 of the Participation Data Specification v3.2 the Sex
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.45 of the Participation Data Specification v3.2 the Sex
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.45 of the Participation Data Specification v3.2 the Sex
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present and is not expected
		for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.45 of the Participation Data Specification v3.2 the Sex
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />'
		is present and is not expected for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-terminology-concepts = 'true' and not(true() or false() or $family-err or $length-err) and    not(@nullFlavor) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and not(true() or false() or $family-err or $length-err) and not(@nullFlavor)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (value domain not specified): The Sex '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The CodedText data type has the requirement that values must come from the specified bound value domain with no exceptions but a value domain has not been specified for the
		Sex '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Sex',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="false() and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != '2.16.840.1.113883.13.68'))  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != '2.16.840.1.113883.13.68'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-06-step-2" /><xsl:text />: TC-Types-06 step 2: According to section 2.45 of the Participation Data Specification v3.2 the Sex '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. The
		CodedText data type has the requirement that values must come from the bound value domain with no exceptions. Therefore the value of the codeSystem attribute must be a publicly available
		code system. The Sex data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide states the code system is 'NS' (not stated) with the requirement 'When national standard code sets become
		available, they SHALL be used'. The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> which is after the national standard code set became available
		for use on the <xsl:text /><xsl:value-of select="''" /><xsl:text />. The code system that must be used is
		<xsl:text /><xsl:value-of select="if ('2.16.840.1.113883.13.68' = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName, ' (ConceptId ''', 'none', ''')')   else concat('2.16.840.1.113883.13.68', ' (', $code-systems/system[@codeSystem = '2.16.840.1.113883.13.68']/@codeSystemName, ')')" /><xsl:text /><xsl:text /><xsl:value-of select="if (not(@codeSystem)) then '.'    else if (@codeSystemName) then concat(' however codeSystem ''', @codeSystem, ''' (', @codeSystemName, ') is present.')   else concat(' however a codeSystem attribute with the value ''', @codeSystem, ''' is present.') " /><xsl:text />
		(See section 1.8 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide, <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 6 of the CDA Implementation Guide for the
		information about the value domain.)
		<xsl:text /><xsl:value-of select="if ('none' = '11000036103') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName,     ' are Allergic reaction (''419076005''), Medication side-effect (''401207004'') and Drug interaction (''79899007'').')    else if ('none' = '15071000036100') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName,     ' are Prescribed (''105681000036100''), Suspended (''385655000'') and Unchanged (''105701000036103'').')    else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'OTH' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'OTH'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to section 2.45 of the Participation Data Specification v3.2 the Sex '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore it is not valid for the data element to have nullFlavor 'OTH' to indicate that the
		actual value is not a member of the set of permitted data values in the constrained value domain. 
		(See the requirements for Sex and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.45 of the Participation Data Specification v3.2 the Sex '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type<xsl:text /><xsl:value-of select="if (not(false())) then '.' else   concat(' and section 6 of the CDA Implementation Guide states the vocabulary is ''', '2.16.840.1.113883.13.68', ''' (', $code-systems/system[@codeSystem = '2.16.840.1.113883.13.68']/@codeSystemName, ').') " /><xsl:text />
		The CodedText data type has
		the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor attribute
		to indicate there is no value, however a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) is present and is not one of the nullFlavor values that indicate there is no value.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@nullFlavor or @code) and not(false() and not(@nullFlavor) and not(@codeSystem)) and cda:originalText ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor or @code) and not(false() and not(@nullFlavor) and not(@codeSystem)) and cda:originalText">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to section 2.45 of the Participation Data Specification v3.2 the Sex '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor
		attribute to indicate there is no value. The only information found in the data element is originalText '<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />'.
		(See the requirements for Sex and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)
		<xsl:text /><xsl:value-of select="if (local-name(.) = 'jobClassCode') then concat('Consider using the METeOR 314867 ''Employment type'' code system (codeSystem ''2.16.840.1.113883.3.879.314867'') which has ',   'codes for ''Permanent'', ''Fixed term contract'', ''Casual'' and ''Not stated/inadequately described''; or the  METeOR 691891 ''Full-time/part-time status'' code system ',   '(codeSystem ''2.16.840.1.113883.3.879.691891'') which has codes for ''Full-time'', ''Part-time'' and ''Not stated/inadequately described''. ',   '(See the the METeOR 314867 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/314867 and the METeOR 691891 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/691891.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="true() and @codeSystem and @codeSystem != '2.16.840.1.113883.13.68' and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and @codeSystem and @codeSystem != '2.16.840.1.113883.13.68' and not(false())">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to section 2.45 of the Participation Data Specification v3.2 the Sex '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and section 6 of the CDA Implementation Guide states the vocabulary is
		<xsl:text /><xsl:value-of select="if ('2.16.840.1.113883.13.68' = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName, ' (ConceptId ''', 'none', ''').')   else concat('2.16.840.1.113883.13.68', ' (', $code-systems/system[@codeSystem = '2.16.840.1.113883.13.68']/@codeSystemName, ').')" /><xsl:text />
		The CodedText data type has the requirement that values must come from the bound value domain with no exceptions.
		Therefore the value of codeSystem must be '2.16.840.1.113883.13.68' but codeSystem '<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />' (<xsl:text /><xsl:value-of select="@codeSystemName" /><xsl:text />) is present.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="true() and '2.16.840.1.113883.13.68' = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and    not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version,    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@refSet) = 'CodeFound') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and '2.16.840.1.113883.13.68' = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version, $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@refSet) = 'CodeFound')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to section 2.45 of the Participation Data Specification v3.2 the Sex '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. The applicable value domain is the SNOMED CT-AU
		<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName" /><xsl:text />
		(Concept ID: 'none'). The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the code is not a member of the value domain.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 6 of the CDA Implementation Guide for the information about the value domain.)<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-08" /><xsl:text />: TC-Types-08: According to section 2.45 of the Participation Data Specification v3.2 the Sex '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. It has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> but has neither an originalText nor a displayName
		so it fails to conform to the requirement 'In accordance with the requirement to completely represent section contents, values of CodedText or CodeableText data elements defined in
		the SCS SHALL include an originalText or a displayName component (or both)'.
		(See Appendix A of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 6.1 and 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090
		Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and not(cda:originalText) and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and not(cda:originalText) and not(false())">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Sex '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is
		not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. (See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M352" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M352" />
  <xsl:template match="@*|node()" priority="-2" mode="M352">
    <xsl:apply-templates select="@*|*" mode="M352" />
  </xsl:template>
  <!--PATTERN p-TS-Header-Text-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument/cda:participant[@typeCode='ORG']/cda:associatedEntity[@classCode='SDLOC']/cda:code/cda:originalText " priority="1000" mode="M353">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument/cda:participant[@typeCode='ORG']/cda:associatedEntity[@classCode='SDLOC']/cda:code/cda:originalText " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Location of Discharge
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 4.8 of the Discharge Summary Structured Document Template v3.3 the Location of Discharge 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 4.8 of the Discharge Summary Structured Document Template v3.3 the Location of Discharge
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 4.8 of the Discharge Summary Structured Document Template v3.3 the Location of Discharge
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Location of Discharge however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Location of Discharge in section 4.8 of the Discharge Summary Structured Document Template v3.3 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 4.8 of the Discharge Summary Structured Document Template v3.3 the Location of Discharge
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Location of Discharge however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Location of Discharge in section 4.8 of the Discharge Summary Structured Document Template v3.3 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Location of Discharge data element with a proper value then an exclusion
		statement must be included to state why there is no Location of Discharge. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 4.8 of the Discharge Summary Structured Document Template v3.3 the Location of Discharge
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Location of Discharge however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Location of Discharge in section 4.8 of the Discharge Summary Structured Document Template v3.3 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 4.8 of the Discharge Summary Structured Document Template v3.3 the Location of Discharge
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 4.8 of the Discharge Summary Structured Document Template v3.3 the Location of Discharge
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 4.8 of the Discharge Summary Structured Document Template v3.3 the Location of Discharge
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 4.8 of the Discharge Summary Structured Document Template v3.3 the Location of Discharge
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 4.8 of the Discharge Summary Structured Document Template v3.3 the Location of Discharge
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 4.8 of the Discharge Summary Structured Document Template v3.3 the Location of Discharge
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 4.8 of the Discharge Summary Structured Document Template v3.3 the Location of Discharge
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 4.8 of the Discharge Summary Structured Document Template v3.3 the Location of Discharge
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 4.8 of the Discharge Summary Structured Document Template v3.3 the Location of Discharge
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 4.8 of the Discharge Summary Structured Document Template v3.3 the Location of Discharge
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M353" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M353" />
  <xsl:template match="@*|node()" priority="-2" mode="M353">
    <xsl:apply-templates select="@*|*" mode="M353" />
  </xsl:template>
  <!--PATTERN p-TS-Header-UniqueIdentifier-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.171' and @extension = '1.0']]/   cda:relatedDocument[@typeCode = 'XFRM']/cda:parentDocument/cda:id " priority="1000" mode="M354">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.171' and @extension = '1.0']]/   cda:relatedDocument[@typeCode = 'XFRM']/cda:parentDocument/cda:id " />
    <xsl:variable name="agency-namespace" select="@root and (matches(@root, '^1\.2\.36\.1\.2001\.1001\.10[0-4]{1}\.') or matches(@root, '^1\.2\.36\.1\.2001\.1006\.')) " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-11" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-11 else $rating-alt-TC-Types-11 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="ii-context" select="if (ancestor::cda:recordTarget and ancestor::ext:asEntityIdentifier) then 'default' else 'alternative' " />
    <xsl:variable name="rating-73" select="if ($initial-priority) then $initial-rating       else if ($ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/test-case[@id='TC-Types-73']/@rating)        then concat(' (', $ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/test-case[@id='TC-Types-73']/@rating, ')')       else if ($ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/@rating)       then concat(' (', $ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/@rating, ')')       else '' " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-11: The Identifier of Original Dispense Record '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type and has <xsl:text /><xsl:value-of select="iq:display-II(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-11" /><xsl:text />: TC-Types-11: According to section 2.9 of the Dispense Record Structured Content Specification v1.0 the Identifier of Original Dispense Record '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type which
		is derived from the HL7 'II' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present.
		(See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-11" /><xsl:text />: TC-Types-11: According to section 2.9 of the Dispense Record Structured Content Specification v1.0 the Identifier of Original Dispense Record '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type which is derived from the HL7 'II' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'II'. (See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.9 of the Dispense Record Structured Content Specification v1.0 the Identifier of Original Dispense Record
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the UniqueIdentifier data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.9 of the Dispense Record Structured Content Specification v1.0 the Identifier of Original Dispense Record
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the UniqueIdentifier data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and   not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.9 of the Dispense Record Structured Content Specification v1.0 the Identifier of Original Dispense Record
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however the attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))])" /><xsl:text />' was found that is not in the list of attributes
		expected for the UniqueIdentifier data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and   not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.9 of the Dispense Record Structured Content Specification v1.0 the Identifier of Original Dispense Record
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however the attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))])" /><xsl:text />' was found that is not in the list of attributes
		expected for the UniqueIdentifier data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $agency-namespace ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$agency-namespace">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-73" /><xsl:text />: TC-Types-73:  The Identifier of Original Dispense Record '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-II(.)" /><xsl:text />. The value of the root attribute identifies the
		'<xsl:text /><xsl:value-of select="$namespaces/namespace[starts-with(current()/@root, concat(@OID-prefix, '.'))]/@name" /><xsl:text />' namespace which is reserved for use by the Australian Digital Health Agency.
		The value of the root attribute must define the namespace for the extension attribute whose value is required to be the identifier assigned by the source of the original dispense record to that original dispense record.
		(See section 7.6.7.3.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and the Identifier of Original Dispense Record definition in section 2.9 of the Dispense Record Structured Content Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M354" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M354" />
  <xsl:template match="@*|node()" priority="-2" mode="M354">
    <xsl:apply-templates select="@*|*" mode="M354" />
  </xsl:template>
  <!--PATTERN p-TS-Header-UniqueIdentifier-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.171' and @extension = '1.0']]/cda:id " priority="1000" mode="M355">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.171' and @extension = '1.0']]/cda:id " />
    <xsl:variable name="agency-namespace" select="@root and (matches(@root, '^1\.2\.36\.1\.2001\.1001\.10[0-4]{1}\.') or matches(@root, '^1\.2\.36\.1\.2001\.1006\.')) " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-11" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-11 else $rating-alt-TC-Types-11 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="ii-context" select="if (ancestor::cda:recordTarget and ancestor::ext:asEntityIdentifier) then 'default' else 'alternative' " />
    <xsl:variable name="rating-73" select="if ($initial-priority) then $initial-rating       else if ($ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/test-case[@id='TC-Types-73']/@rating)        then concat(' (', $ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/test-case[@id='TC-Types-73']/@rating, ')')       else if ($ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/@rating)       then concat(' (', $ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/@rating, ')')       else '' " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-11: The PCEHR Dispense Record Instance Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type and has <xsl:text /><xsl:value-of select="iq:display-II(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-11" /><xsl:text />: TC-Types-11: According to section 2.7 of the Dispense Record Structured Content Specification v1.0 the PCEHR Dispense Record Instance Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type which
		is derived from the HL7 'II' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present.
		(See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-11" /><xsl:text />: TC-Types-11: According to section 2.7 of the Dispense Record Structured Content Specification v1.0 the PCEHR Dispense Record Instance Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type which is derived from the HL7 'II' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'II'. (See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.7 of the Dispense Record Structured Content Specification v1.0 the PCEHR Dispense Record Instance Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the UniqueIdentifier data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.7 of the Dispense Record Structured Content Specification v1.0 the PCEHR Dispense Record Instance Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the UniqueIdentifier data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and   not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.7 of the Dispense Record Structured Content Specification v1.0 the PCEHR Dispense Record Instance Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however the attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))])" /><xsl:text />' was found that is not in the list of attributes
		expected for the UniqueIdentifier data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and   not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.7 of the Dispense Record Structured Content Specification v1.0 the PCEHR Dispense Record Instance Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however the attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))])" /><xsl:text />' was found that is not in the list of attributes
		expected for the UniqueIdentifier data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $agency-namespace ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$agency-namespace">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-73" /><xsl:text />: TC-Types-73:  The PCEHR Dispense Record Instance Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-II(.)" /><xsl:text />. The value of the root attribute identifies the
		'<xsl:text /><xsl:value-of select="$namespaces/namespace[starts-with(current()/@root, concat(@OID-prefix, '.'))]/@name" /><xsl:text />' namespace which is reserved for use by the Australian Digital Health Agency.
		The value of the root attribute must define the namespace for the extension attribute whose value is required to be the identifier for each instance of an eHealth Dispense Record.
		(See section 7.6.7.3.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and the PCEHR Dispense Record Instance Identifier definition in section 2.7 of the Dispense Record Structured Content Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M355" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M355" />
  <xsl:template match="@*|node()" priority="-2" mode="M355">
    <xsl:apply-templates select="@*|*" mode="M355" />
  </xsl:template>
  <!--PATTERN p-TS-Header-UniqueIdentifier-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.170' and @extension = '1.0']]/   cda:relatedDocument[@typeCode = 'XFRM']/cda:parentDocument/cda:id " priority="1000" mode="M356">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.170' and @extension = '1.0']]/   cda:relatedDocument[@typeCode = 'XFRM']/cda:parentDocument/cda:id " />
    <xsl:variable name="agency-namespace" select="@root and (matches(@root, '^1\.2\.36\.1\.2001\.1001\.10[0-4]{1}\.') or matches(@root, '^1\.2\.36\.1\.2001\.1006\.')) " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-11" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-11 else $rating-alt-TC-Types-11 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="ii-context" select="if (ancestor::cda:recordTarget and ancestor::ext:asEntityIdentifier) then 'default' else 'alternative' " />
    <xsl:variable name="rating-73" select="if ($initial-priority) then $initial-rating       else if ($ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/test-case[@id='TC-Types-73']/@rating)        then concat(' (', $ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/test-case[@id='TC-Types-73']/@rating, ')')       else if ($ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/@rating)       then concat(' (', $ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/@rating, ')')       else '' " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-11: The Identifier of Original Prescription '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type and has <xsl:text /><xsl:value-of select="iq:display-II(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-11" /><xsl:text />: TC-Types-11: According to section 2.8 of the Prescription Record Structured Content Specification v1.0 the Identifier of Original Prescription '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type which
		is derived from the HL7 'II' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present.
		(See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-11" /><xsl:text />: TC-Types-11: According to section 2.8 of the Prescription Record Structured Content Specification v1.0 the Identifier of Original Prescription '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type which is derived from the HL7 'II' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'II'. (See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.8 of the Prescription Record Structured Content Specification v1.0 the Identifier of Original Prescription
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the UniqueIdentifier data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.8 of the Prescription Record Structured Content Specification v1.0 the Identifier of Original Prescription
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the UniqueIdentifier data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and   not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.8 of the Prescription Record Structured Content Specification v1.0 the Identifier of Original Prescription
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however the attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))])" /><xsl:text />' was found that is not in the list of attributes
		expected for the UniqueIdentifier data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and   not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.8 of the Prescription Record Structured Content Specification v1.0 the Identifier of Original Prescription
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however the attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))])" /><xsl:text />' was found that is not in the list of attributes
		expected for the UniqueIdentifier data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $agency-namespace ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$agency-namespace">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-73" /><xsl:text />: TC-Types-73:  The Identifier of Original Prescription '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-II(.)" /><xsl:text />. The value of the root attribute identifies the
		'<xsl:text /><xsl:value-of select="$namespaces/namespace[starts-with(current()/@root, concat(@OID-prefix, '.'))]/@name" /><xsl:text />' namespace which is reserved for use by the Australian Digital Health Agency.
		The value of the root attribute must define the namespace for the extension attribute whose value is required to be the identifier which was assigned to the original prescription by the Electronic Prescribing System (EPS) used to create it.
		(See section 7.6.7.3.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and the Identifier of Original Prescription definition in section 2.8 of the Prescription Record Structured Content Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M356" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M356" />
  <xsl:template match="@*|node()" priority="-2" mode="M356">
    <xsl:apply-templates select="@*|*" mode="M356" />
  </xsl:template>
  <!--PATTERN p-TS-Header-UniqueIdentifier-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.170' and @extension = '1.0']]/cda:id " priority="1000" mode="M357">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.170' and @extension = '1.0']]/cda:id " />
    <xsl:variable name="agency-namespace" select="@root and (matches(@root, '^1\.2\.36\.1\.2001\.1001\.10[0-4]{1}\.') or matches(@root, '^1\.2\.36\.1\.2001\.1006\.')) " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-11" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-11 else $rating-alt-TC-Types-11 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="ii-context" select="if (ancestor::cda:recordTarget and ancestor::ext:asEntityIdentifier) then 'default' else 'alternative' " />
    <xsl:variable name="rating-73" select="if ($initial-priority) then $initial-rating       else if ($ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/test-case[@id='TC-Types-73']/@rating)        then concat(' (', $ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/test-case[@id='TC-Types-73']/@rating, ')')       else if ($ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/@rating)       then concat(' (', $ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/@rating, ')')       else '' " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-11: The PCEHR Prescription Record Instance Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type and has <xsl:text /><xsl:value-of select="iq:display-II(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-11" /><xsl:text />: TC-Types-11: According to section 2.8 of the Dispense Record Structured Content Specification v1.0 the PCEHR Prescription Record Instance Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type which
		is derived from the HL7 'II' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present.
		(See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-11" /><xsl:text />: TC-Types-11: According to section 2.8 of the Dispense Record Structured Content Specification v1.0 the PCEHR Prescription Record Instance Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type which is derived from the HL7 'II' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'II'. (See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.8 of the Dispense Record Structured Content Specification v1.0 the PCEHR Prescription Record Instance Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the UniqueIdentifier data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.8 of the Dispense Record Structured Content Specification v1.0 the PCEHR Prescription Record Instance Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the UniqueIdentifier data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and   not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.8 of the Dispense Record Structured Content Specification v1.0 the PCEHR Prescription Record Instance Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however the attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))])" /><xsl:text />' was found that is not in the list of attributes
		expected for the UniqueIdentifier data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and   not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.8 of the Dispense Record Structured Content Specification v1.0 the PCEHR Prescription Record Instance Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however the attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))])" /><xsl:text />' was found that is not in the list of attributes
		expected for the UniqueIdentifier data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $agency-namespace ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$agency-namespace">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-73" /><xsl:text />: TC-Types-73:  The PCEHR Prescription Record Instance Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-II(.)" /><xsl:text />. The value of the root attribute identifies the
		'<xsl:text /><xsl:value-of select="$namespaces/namespace[starts-with(current()/@root, concat(@OID-prefix, '.'))]/@name" /><xsl:text />' namespace which is reserved for use by the Australian Digital Health Agency.
		The value of the root attribute must define the namespace for the extension attribute whose value is required to identify the eHealth Prescription Record.
		(See section 7.6.7.3.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and the PCEHR Prescription Record Instance Identifier definition in section 2.8 of the Dispense Record Structured Content Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M357" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M357" />
  <xsl:template match="@*|node()" priority="-2" mode="M357">
    <xsl:apply-templates select="@*|*" mode="M357" />
  </xsl:template>
  <!--PATTERN p-TS-Header-UniqueIdentifier-5-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument/cda:inFulfillmentOf/cda:order[@moodCode='RQO']/cda:id[not(starts-with(@root, '1.2.36.1.2001.1005.53.'))] " priority="1000" mode="M358">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument/cda:inFulfillmentOf/cda:order[@moodCode='RQO']/cda:id[not(starts-with(@root, '1.2.36.1.2001.1005.53.'))] " />
    <xsl:variable name="agency-namespace" select="@root and (matches(@root, '^1\.2\.36\.1\.2001\.1001\.10[0-4]{1}\.') or matches(@root, '^1\.2\.36\.1\.2001\.1006\.')) " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-11" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-11 else $rating-alt-TC-Types-11 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="ii-context" select="if (ancestor::cda:recordTarget and ancestor::ext:asEntityIdentifier) then 'default' else 'alternative' " />
    <xsl:variable name="rating-73" select="if ($initial-priority) then $initial-rating       else if ($ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/test-case[@id='TC-Types-73']/@rating)        then concat(' (', $ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/test-case[@id='TC-Types-73']/@rating, ')')       else if ($ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/@rating)       then concat(' (', $ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/@rating, ')')       else '' " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-11: The Requester Order Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type and has <xsl:text /><xsl:value-of select="iq:display-II(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-11" /><xsl:text />: TC-Types-11: According to section 2.12 of the Structured Content Specification the Requester Order Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type which
		is derived from the HL7 'II' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present.
		(See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-11" /><xsl:text />: TC-Types-11: According to section 2.12 of the Structured Content Specification the Requester Order Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type which is derived from the HL7 'II' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'II'. (See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.12 of the Structured Content Specification the Requester Order Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the UniqueIdentifier data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.12 of the Structured Content Specification the Requester Order Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the UniqueIdentifier data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and   not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.12 of the Structured Content Specification the Requester Order Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however the attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))])" /><xsl:text />' was found that is not in the list of attributes
		expected for the UniqueIdentifier data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and   not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.12 of the Structured Content Specification the Requester Order Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however the attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))])" /><xsl:text />' was found that is not in the list of attributes
		expected for the UniqueIdentifier data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $agency-namespace ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$agency-namespace">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-73" /><xsl:text />: TC-Types-73:  The Requester Order Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-II(.)" /><xsl:text />. The value of the root attribute identifies the
		'<xsl:text /><xsl:value-of select="$namespaces/namespace[starts-with(current()/@root, concat(@OID-prefix, '.'))]/@name" /><xsl:text />' namespace which is reserved for use by the Australian Digital Health Agency.
		The value of the root attribute must define the namespace for the extension attribute whose value is required to be the local identifier assigned to the order by the order requester.
		(See section 7.6.7.3.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and the Requester Order Identifier definition in section 2.12 of the Structured Content Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M358" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M358" />
  <xsl:template match="@*|node()" priority="-2" mode="M358">
    <xsl:apply-templates select="@*|*" mode="M358" />
  </xsl:template>
  <!--PATTERN p-TS-Header-UniqueIdentifier-6-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument/cda:inFulfillmentOf/cda:order/cda:id[starts-with(@root, '1.2.36.1.2001.1005.53.')] " priority="1000" mode="M359">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument/cda:inFulfillmentOf/cda:order/cda:id[starts-with(@root, '1.2.36.1.2001.1005.53.')] " />
    <xsl:variable name="agency-namespace" select="@root and (matches(@root, '^1\.2\.36\.1\.2001\.1001\.10[0-4]{1}\.') or matches(@root, '^1\.2\.36\.1\.2001\.1006\.')) " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-11" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-11 else $rating-alt-TC-Types-11 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="ii-context" select="if (ancestor::cda:recordTarget and ancestor::ext:asEntityIdentifier) then 'default' else 'alternative' " />
    <xsl:variable name="rating-73" select="if ($initial-priority) then $initial-rating       else if ($ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/test-case[@id='TC-Types-73']/@rating)        then concat(' (', $ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/test-case[@id='TC-Types-73']/@rating, ')')       else if ($ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/@rating)       then concat(' (', $ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/@rating, ')')       else '' " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-11: The Accession Number '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type and has <xsl:text /><xsl:value-of select="iq:display-II(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-11" /><xsl:text />: TC-Types-11: According to section 2.13 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Accession Number '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type which
		is derived from the HL7 'II' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present.
		(See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-11" /><xsl:text />: TC-Types-11: According to section 2.13 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Accession Number '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type which is derived from the HL7 'II' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'II'. (See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.13 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Accession Number
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the UniqueIdentifier data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.13 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Accession Number
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the UniqueIdentifier data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and   not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.13 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Accession Number
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however the attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))])" /><xsl:text />' was found that is not in the list of attributes
		expected for the UniqueIdentifier data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and   not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.13 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Accession Number
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however the attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))])" /><xsl:text />' was found that is not in the list of attributes
		expected for the UniqueIdentifier data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $agency-namespace ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$agency-namespace">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-73" /><xsl:text />: TC-Types-73:  The Accession Number '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-II(.)" /><xsl:text />. The value of the root attribute identifies the
		'<xsl:text /><xsl:value-of select="$namespaces/namespace[starts-with(current()/@root, concat(@OID-prefix, '.'))]/@name" /><xsl:text />' namespace which is reserved for use by the Australian Digital Health Agency.
		The value of the root attribute must define the namespace for the extension attribute whose value is required to be the accession number assigned by the receiver of the request for imaging services.
		(See section 7.6.7.3.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and the Accession Number definition in section 2.13 of the Diagnostic Imaging Report Structured Content Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M359" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M359" />
  <xsl:template match="@*|node()" priority="-2" mode="M359">
    <xsl:apply-templates select="@*|*" mode="M359" />
  </xsl:template>
  <!--PATTERN p-TS-Header-UniqueIdentifier-7-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.222' and @extension = '1.0']]/cda:inFulfillmentOf/cda:order/cda:id[starts-with(@root, '1.2.36.1.2001.1005.53.')] " priority="1000" mode="M360">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.222' and @extension = '1.0']]/cda:inFulfillmentOf/cda:order/cda:id[starts-with(@root, '1.2.36.1.2001.1005.53.')] " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and exists(('ALL')[. = 'ALL']) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and exists(('ALL')[. = 'ALL'])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Accession Number data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. The Accession Number data element is not allowed to contain a nullFlavor attribute.
		(See requirement 025075 of the eHealth Diagnostic Imaging Report My Health Record Conformance Profile v1.1.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and exists(('ALL')[. = current()/@nullFlavor]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and exists(('ALL')[. = current()/@nullFlavor])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Accession Number data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. The Accession Number data element is not allowed to contain a nullFlavor attribute
		with this value. (See requirement 025075 of the eHealth Diagnostic Imaging Report My Health Record Conformance Profile v1.1.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M360" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M360" />
  <xsl:template match="@*|node()" priority="-2" mode="M360">
    <xsl:apply-templates select="@*|*" mode="M360" />
  </xsl:template>
  <!--PATTERN p-TS-Header-UniqueIdentifier-8-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.179' and @extension = '1.0']]/cda:id " priority="1000" mode="M361">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.179' and @extension = '1.0']]/cda:id " />
    <xsl:variable name="agency-namespace" select="@root and (matches(@root, '^1\.2\.36\.1\.2001\.1001\.10[0-4]{1}\.') or matches(@root, '^1\.2\.36\.1\.2001\.1006\.')) " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-11" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-11 else $rating-alt-TC-Types-11 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="ii-context" select="if (ancestor::cda:recordTarget and ancestor::ext:asEntityIdentifier) then 'default' else 'alternative' " />
    <xsl:variable name="rating-73" select="if ($initial-priority) then $initial-rating       else if ($ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/test-case[@id='TC-Types-73']/@rating)        then concat(' (', $ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/test-case[@id='TC-Types-73']/@rating, ')')       else if ($ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/@rating)       then concat(' (', $ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/@rating, ')')       else '' " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-11: The PCEHR Prescription and Dispense View Instance Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type and has <xsl:text /><xsl:value-of select="iq:display-II(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-11" /><xsl:text />: TC-Types-11: According to section 2.9 of the Prescription and Dispense View Structured Content Specification v1.0 the PCEHR Prescription and Dispense View Instance Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type which
		is derived from the HL7 'II' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present.
		(See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-11" /><xsl:text />: TC-Types-11: According to section 2.9 of the Prescription and Dispense View Structured Content Specification v1.0 the PCEHR Prescription and Dispense View Instance Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type which is derived from the HL7 'II' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'II'. (See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.9 of the Prescription and Dispense View Structured Content Specification v1.0 the PCEHR Prescription and Dispense View Instance Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the UniqueIdentifier data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.9 of the Prescription and Dispense View Structured Content Specification v1.0 the PCEHR Prescription and Dispense View Instance Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the UniqueIdentifier data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and   not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.9 of the Prescription and Dispense View Structured Content Specification v1.0 the PCEHR Prescription and Dispense View Instance Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however the attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))])" /><xsl:text />' was found that is not in the list of attributes
		expected for the UniqueIdentifier data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and   not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.9 of the Prescription and Dispense View Structured Content Specification v1.0 the PCEHR Prescription and Dispense View Instance Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however the attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))])" /><xsl:text />' was found that is not in the list of attributes
		expected for the UniqueIdentifier data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $agency-namespace ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$agency-namespace">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-73" /><xsl:text />: TC-Types-73:  The PCEHR Prescription and Dispense View Instance Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-II(.)" /><xsl:text />. The value of the root attribute identifies the
		'<xsl:text /><xsl:value-of select="$namespaces/namespace[starts-with(current()/@root, concat(@OID-prefix, '.'))]/@name" /><xsl:text />' namespace which is reserved for use by the Australian Digital Health Agency.
		The value of the root attribute must define the namespace for the extension attribute whose value is required to identify the eHealth Prescription and DispenseView document.
		(See section 7.6.7.3.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and the PCEHR Prescription and Dispense View Instance Identifier definition in section 2.9 of the Prescription and Dispense View Structured Content Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M361" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M361" />
  <xsl:template match="@*|node()" priority="-2" mode="M361">
    <xsl:apply-templates select="@*|*" mode="M361" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145'] " priority="1000" mode="M362">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145'] " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating" select="if ($initial-priority) then $initial-rating else if ($FS-Types-seq/@rating) then concat(' (', $FS-Types-seq/@rating, ')') else '' " />
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and not( /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4'] or        /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2'] or        /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3'] or        /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')] or        /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.222' and @extension = '1.0']) and $extensions-allowed">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not( /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4'] or /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2'] or /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3'] or /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')] or /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.222' and @extension = '1.0']) and $extensions-allowed">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: FS-Types: The Imaging Examination Result section (codeSystem '1.2.36.1.2001.1001.101' and code '102.16145') has been found in a <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. The Imaging Examination Result section (codeSystem '1.2.36.1.2001.1001.101' and code '102.16145') is defined in the digital health specifications but
		although tests have been applied to the data elements the specification of the data elements may have been varied for inclusion in this document
		so further examination may be needed. The rules have been validated for <xsl:text /><xsl:value-of select="normalize-space(' Discharge Summary CDA Implementation Guide version 3.4;        eReferral CDA Implementation Guide version 2.2;         Specialist Letter CDA Implementation Guide version 1.3;         Event Summary CDA Implementation Guide version 1.2 and 1.3; and        Diagnostic Imaging Report CDA Implementation Guide version 1.0')" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M362" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M362" />
  <xsl:template match="@*|node()" priority="-2" mode="M362">
    <xsl:apply-templates select="@*|*" mode="M362" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:component/cda:section " priority="1000" mode="M363">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:component/cda:section " />
    <xsl:variable name="agency-section" select=" cda:code/@codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="test-step" select=" if (not($extensions-allowed)) then 'step 4'        else if ($agency-section) then 'step 3' else 'step 1' " />
    <xsl:variable name="title-and-code" select=" if (cda:title and cda:code/@code) then concat('title ''', cda:title, ''', code/code ''', cda:code/@code, '''')        else if (cda:title and not(cda:code/@code)) then concat('title ''', cda:title, '''')        else if (not(cda:title) and cda:code/@code) then concat('code/code ''', cda:code/@code, '''')        else '' " />
    <xsl:variable name="other-section-names" select=" if (cda:code/@displayName and not(cda:code/cda:originalText)) then concat(' and code/displayName ''', cda:code/@displayName, '''')         else if (cda:code/@displayName and cda:code/cda:originalText)          then concat(', code/displayName ''', cda:code/@displayName,''' and code/originalText ''', cda:code/cda:originalText, '''')        else if (not(cda:code/@displayName) and cda:code/cda:originalText) then concat(' and code/originalText ''', cda:code/cda:originalText, '''')        else '' " />
    <xsl:variable name="section-names" select="concat($title-and-code, $other-section-names)" />
    <xsl:variable name="doc-code" select="/cda:ClinicalDocument/cda:code" />
    <xsl:variable name="parent-section" select="ancestor::cda:section[position()=1]" />
    <xsl:variable name="custom-section-info" select="($iq-config/custom-sections/section, $knowledge/custom-sections/section)[        @doc-code  = $doc-code/@code          and        @doc-codeSystem  = $doc-code/@codeSystem          and        @parent-code   = $parent-section/cda:code/@code         and         @parent-codeSystem  = $parent-section/cda:code/@codeSystem        and         (@title = current()/cda:title or (@code = current()/cda:code/@code and @codeSystem = current()/cda:code/@codeSystem)) ] " />
    <xsl:variable name="section-disallowed" select="$custom-section-info/@disallowed = 'yes' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and ($section-disallowed or not(exists($custom-section-info)))) then $rating-alt-TC-Doc-28-step-1        else if ($test-step = 'step 1' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections]) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 3') then $rating-TC-Doc-28-step-3 else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and $section-disallowed ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and $section-disallowed">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result section (codeSystem '1.2.36.1.2001.1001.101' and code '102.16145') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> which
		is an extension to the information model however the inclusion of this section conflicts with sections defined in the digital health specifications.
		<xsl:text /><xsl:value-of select="$custom-section-info[@disallowed = 'yes']/@reason" /><xsl:text /> (Also see <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not(false()) and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(false()) and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result section (codeSystem '1.2.36.1.2001.1001.101' and code '102.16145') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. No subsection is expected so this
		is an extension to the information model. Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the 
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(false()) and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(false()) and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result section (codeSystem '1.2.36.1.2001.1001.101' and code '102.16145') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> but no subsections were
		expected so the document fails to meet the requirement that it must not contain additional data elements. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and false() and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and false() and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result section (codeSystem '1.2.36.1.2001.1001.101' and code '102.16145') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		none are expected but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the information model.
		Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result section (codeSystem '1.2.36.1.2001.1001.101' and code '102.16145') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		none are expected but the inclusion of the section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> fails to meet the requirement that it must not contain additional data elements.
		(See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M363" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M363" />
  <xsl:template match="@*|node()" priority="-2" mode="M363">
    <xsl:apply-templates select="@*|*" mode="M363" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-CodeableText-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/cda:code " priority="1000" mode="M364">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/cda:code " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Imaging Examination Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and true() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and true() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Imaging Examination Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Imaging Examination Result Name',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Imaging Examination Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Imaging Examination Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Imaging Examination Result Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Imaging Examination Result Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Imaging Examination Result Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Imaging Examination Result Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Imaging Examination Result Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Imaging Examination Result Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Imaging Examination Result Name data element must have a value that is consistent with this definition. Alternatively if there is no Imaging Examination Result Name data element with a proper value then an exclusion
		statement must be included to state why there is no Imaging Examination Result Name.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Imaging Examination Result Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Imaging Examination Result Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Imaging Examination Result Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Imaging Examination Result Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Imaging Examination Result Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Imaging Examination Result Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Imaging Examination Result Name data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Imaging Examination Result Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Imaging Examination Result Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Imaging Examination Result Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Imaging Examination Result Name data element must have a value that is consistent with this definition. Alternatively if there is no Imaging Examination Result Name data element with a proper value then an exclusion
		statement must be included to state why there is no Imaging Examination Result Name.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Imaging Examination Result Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Imaging Examination Result Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Imaging Examination Result Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Imaging Examination Result Name data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Imaging Examination Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Imaging Examination Result Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Imaging Examination Result Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Imaging Examination Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Imaging Examination Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Imaging Examination Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Imaging Examination Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Imaging Examination Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Imaging Examination Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Imaging Examination Result Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Imaging Examination Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Imaging Examination Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Imaging Examination Result Name.
		(See the definition of Imaging Examination Result Name in the Structured Content Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Imaging Examination Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M364" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M364" />
  <xsl:template match="@*|node()" priority="-2" mode="M364">
    <xsl:apply-templates select="@*|*" mode="M364" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-CodeableText-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/cda:code   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M365">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/cda:code   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Imaging Examination Result Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Imaging Examination Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Imaging Examination Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Imaging Examination Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Imaging Examination Result Name has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Imaging Examination Result Name data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Imaging Examination Result Name data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Imaging Examination Result Name data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Imaging Examination Result Name data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Imaging Examination Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Imaging Examination Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Imaging Examination Result Name data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Imaging Examination Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Imaging Examination Result Name data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Imaging Examination Result Name data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Imaging Examination Result Name data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M365" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M365" />
  <xsl:template match="@*|node()" priority="-2" mode="M365">
    <xsl:apply-templates select="@*|*" mode="M365" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-CodeableText-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/cda:methodCode " priority="1000" mode="M366">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/cda:methodCode " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Imaging Modality '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and true() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and true() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Imaging Modality '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Imaging Modality',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Imaging Modality '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Imaging Modality '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Imaging Modality
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Imaging Modality however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Imaging Modality in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Imaging Modality
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Imaging Modality however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Imaging Modality in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Imaging Modality data element must have a value that is consistent with this definition. Alternatively if there is no Imaging Modality data element with a proper value then an exclusion
		statement must be included to state why there is no Imaging Modality.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Imaging Modality
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Imaging Modality however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Imaging Modality in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Imaging Modality
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Imaging Modality however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Imaging Modality in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Imaging Modality data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Imaging Modality
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Imaging Modality however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Imaging Modality in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Imaging Modality data element must have a value that is consistent with this definition. Alternatively if there is no Imaging Modality data element with a proper value then an exclusion
		statement must be included to state why there is no Imaging Modality.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Imaging Modality
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Imaging Modality however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Imaging Modality in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Imaging Modality data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Imaging Modality '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Imaging Modality
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Imaging Modality
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Imaging Modality '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Imaging Modality '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Imaging Modality '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Imaging Modality '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Imaging Modality '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Imaging Modality '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Imaging Modality
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Imaging Modality '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Imaging Modality '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Imaging Modality.
		(See the definition of Imaging Modality in the Structured Content Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Imaging Modality '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M366" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M366" />
  <xsl:template match="@*|node()" priority="-2" mode="M366">
    <xsl:apply-templates select="@*|*" mode="M366" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-CodeableText-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '102.16145' = $doc-sections]   [cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.222' and @extension = '1.0']]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/cda:methodCode   [(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-modality-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])][not(@nullFlavor = $no-value-NF)] " priority="1000" mode="M367">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '102.16145' = $doc-sections]   [cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.222' and @extension = '1.0']]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/cda:methodCode   [(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-modality-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])][not(@nullFlavor = $no-value-NF)] " />
    <xsl:variable name="pcode" select="if ('2.16.840.1.113883.6.96' = $defn-modality-trusted and         @codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="snomed-trans" select="if ('2.16.840.1.113883.6.96' = $defn-modality-trusted and cda:translation)         then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="tcode" select="if (exists($snomed-trans[1]) and matches($snomed-trans[1]/@code, $snomed-code-regex)) then $snomed-trans[1]/@code else '' " />
    <xsl:variable name="code-present" select="$pcode != '' or $tcode != '' " />
    <xsl:variable name="invalid-code-system" select="@code and @displayName and @codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="codesystemvalues" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']" />
    <xsl:variable name="dicom" select="$code-systems/system[@codeSystem = '1.2.840.10008.2.16.4']" />
    <xsl:variable name="hl7-modality" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.12.259']" />
    <xsl:variable name="otext-without-markup" select="if (cda:originalText and cda:originalText != '') then normalize-space(replace(cda:originalText, $markup-regex, ' ')) else '' " />
    <xsl:variable name="pdname" select="if (@displayName and not($invalid-code-system)) then normalize-space(@displayName) else '' " />
    <xsl:variable name="max-code-number" select="if ($knowledge/search-for-term/max-sct-code-number/@value &gt; '5') then $knowledge/search-for-term/max-sct-code-number/@value else '5' " />
    <xsl:variable name="der-text-1" select="if ($code-present) then ''         else if ($otext-without-markup != '') then $otext-without-markup        else if ($pdname != '') then $pdname        else '' " />
    <xsl:variable name="family-err" select="matches($der-text-1, $family-regex, 'i')" />
    <xsl:variable name="length-err" select="string-length($der-text-1) &gt; $length-err-max" />
    <xsl:variable name="avoid-ts" select="$family-err or $length-err or not($use-ts-for-sctau) " />
    <xsl:variable name="der-text-2a" select="if ($der-text-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-text-1, $modality-fir-pattern-replacement, 'ic')) " />
    <xsl:variable name="der-text-2" select="if ($der-text-2a = '') then $der-text-1 else $der-text-2a " />
    <xsl:variable name="der-text-a" select="if ($modality-replacements = '' or $der-text-2 = '') then $der-text-2        else normalize-space(dh:XQueryRecursiveReplace($der-text-2, $modality-replacements, 'ic')) " />
    <xsl:variable name="der-text" select="if ($der-text-a = '') then $der-text-2 else $der-text-a " />
    <xsl:variable name="defn-valid-regex" select="concat('(^|\|)', translate($der-text-2, $chars-to-remove, ''), '(\||$)') " />
    <xsl:variable name="der-text-to-match-1" select="lower-case($der-text-2) " />
    <xsl:variable name="der-text-to-match" select="translate($der-text-to-match-1, $chars-to-remove, '') " />
    <xsl:variable name="der-text-non-value" select="if ($code-present or @nullFlavor = $no-value-NF) then false() else         $der-text-to-match = ''              or         not(matches($der-text-to-match, '[a-z]', 'is'))           or        ($cd-definitions/non-value/@regex != '' and matches($der-text-to-match, $cd-definitions/non-value/@regex, 'is'))  or        (exists($cd-definitions/modality/@non-value-regex) and matches($der-text-to-match, $cd-definitions/modality/@non-value-regex, 'is')) " />
    <xsl:variable name="defn-invalid-regex" select="if ($code-present or $der-text-non-value) then ()        else if ($cd-definitions/modality/@invalid-regex) then tokenize($cd-definitions/modality/@invalid-regex, '~')[. != '']         else () " />
    <xsl:variable name="defn-invalid-txt-regex" select="(for $i in (1 to count($defn-invalid-regex)) return normalize-space(substring-before($defn-invalid-regex[$i], '[[')))[. != '']" />
    <xsl:variable name="der-invalid-text-regex-1" select="if (exists($defn-invalid-txt-regex))        then index-of(for $i in (1 to count($defn-invalid-txt-regex)) return matches($der-text-2, $defn-invalid-txt-regex[$i], 'i'), true())        else () " />
    <xsl:variable name="der-invalid-text-1" select="exists($der-invalid-text-regex-1) " />
    <xsl:variable name="defn-invalid-rsn-1" select="if ($der-invalid-text-1)         then normalize-space(substring-before(substring-after($defn-invalid-regex[$der-invalid-text-regex-1[1]], '[['), ']]'))         else '' " />
    <xsl:variable name="der-invalid-text-2a" select="if ($der-text = '' or $der-text-non-value or $der-invalid-text-1) then ()        else index-of(for $concept in $dicom/code[@imaging-modality='false'] return           matches($concept/@code, $defn-valid-regex, 'i'), true()) " />
    <xsl:variable name="der-invalid-text-2" select="exists($der-invalid-text-2a) " />
    <xsl:variable name="der-invalid-text-3" select="if ($der-text = '' or $der-text-non-value or $der-invalid-text-1 or $der-invalid-text-2) then false()        else exists(index-of(for $concept in $dicom/code[@imaging-modality='false'] return           matches(translate($concept/@displayName, $chars-no-pipe, ''), $defn-valid-regex, 'i')  or           matches(translate($concept/@synonyms, $chars-no-pipe, ''), $defn-valid-regex, 'i') , true())) " />
    <xsl:variable name="der-invalid-text" select="$der-invalid-text-1 or $der-invalid-text-2 or $der-invalid-text-3 " />
    <xsl:variable name="defn-invalid-rsn" select="if ($der-invalid-text-1) then $defn-invalid-rsn-1        else if ($der-invalid-text-2) then concat('The code ''', $der-text-2, ''' (',          $dicom/code[@imaging-modality='false'][$der-invalid-text-2a[1]]/@displayName,         ') is a member of the ', $dicom/@codeSystemName, ' (code system ''',  $dicom/@codeSystem, ''') but it is not an imaging modality.')        else if ($der-invalid-text-3) then concat('The term is a member of the ', $dicom/@codeSystemName, ' (code system ''',           $dicom/@codeSystem, ''') but it is not an imaging modality.')        else '' " />
    <xsl:variable name="trusted-code-systems" select="if ($der-text = '' or $der-invalid-text or not(@codeSystem or cda:translation/@codeSystem)) then ()        else (tokenize(replace($cd-definitions/modality/@core, '\s+', ''), '\|'),          tokenize(replace($cd-definitions/modality/@extra, '\s+', ''), '\|'))[. != ''] " />
    <xsl:variable name="der-trusted-text" select="if ($der-text = '' or $der-invalid-text or (@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex)))) then false()        else ((@codeSystem and exists($trusted-code-systems[. = current()/@codeSystem])) or               (cda:translation/@codeSystem and exists($trusted-code-systems[. = current()/cda:translation/@codeSystem]))) " />
    <xsl:variable name="valid-modality-1a" select="if ($code-present or $der-text-non-value or $der-invalid-text or not($cd-definitions/modality/@valid-regex)) then false()        else exists(index-of(for $regex in (tokenize($cd-definitions/modality/@valid-regex, '~')[. != '']) return          matches($der-text-2, dh:XQueryRecursiveReplace(normalize-space($regex), ' \|~|~\| ~|', ''), 'is'), true())) " />
    <xsl:variable name="valid-modality-1b" select="if ($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-modality-1a) then false()        else exists(index-of(for $concept in $dicom/code[not(@imaging-modality='false')] return           matches($concept/@code, $defn-valid-regex, 'i')  or           matches(translate($concept/@displayName, $chars-no-pipe, ''), $defn-valid-regex, 'i')  or           matches(translate($concept/@synonyms, $chars-no-pipe, ''), $defn-valid-regex, 'i') , true()))  or        exists(index-of(for $concept in $hl7-modality/code return           matches($concept/@code, $defn-valid-regex, 'i')  or           matches(translate($concept/@displayName, $chars-no-pipe, ''), $defn-valid-regex, 'i')  or           matches(translate($concept/@synonyms, $chars-no-pipe, ''), $defn-valid-regex, 'i') , true())) " />
    <xsl:variable name="valid-modality-1" select="$valid-modality-1a or $valid-modality-1b " />
    <xsl:variable name="invalid-hierarchy" select="if (exists($cd-definitions/modality/modality-invalid/hierarchy))         then string-join(for $hierarchy in $cd-definitions/modality/modality-invalid/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-refset" select="if (exists($cd-definitions/modality/modality-invalid/refset))          then string-join(for $refset in $cd-definitions/modality/modality-invalid/refset return concat('^', $refset/@code), ' OR ')         else '' " />
    <xsl:variable name="valid-refset" select="'^32570361000036108 OR &lt;314789007' " />
    <xsl:variable name="valid-domain" select="if ($invalid-refset != '' and $invalid-hierarchy != '')         then concat('((', $valid-refset, ') MINUS (', $invalid-refset, ' OR (', $invalid-hierarchy, ')))')        else if ($invalid-refset = '' and $invalid-hierarchy != '') then concat('((', $valid-refset, ') MINUS (', $invalid-hierarchy, '))')         else if ($invalid-refset != '' and $invalid-hierarchy = '') then concat('((', $valid-refset, ') MINUS (', $invalid-refset, '))')        else concat('(', $valid-refset, ')') " />
    <xsl:variable name="related-terms-1" select="if ($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-modality-1) then ()        else ($codesystemvalues/code[@related-terms], $codesystemvalues/related-terms[@related-terms]) " />
    <xsl:variable name="related-terms-2" select="for $i in index-of(        for $concept in $related-terms-1 return matches(translate($concept/@related-terms, $chars-no-pipe, ''), $defn-valid-regex, 'i'), true())         return $related-terms-1[$i]/@code " />
    <xsl:variable name="der-modality-codes-1" select="if (exists($related-terms-2)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($related-terms-2, ' OR '), ') AND ', $valid-domain), '', string(count($related-terms-2)), false())        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $der-modality-codes-1 " />
    <xsl:variable name="der-valid-codes-1" select="if (contains($der-modality-codes-1, '[')) then $der-modality-codes-1 else '' " />
    <xsl:variable name="valid-modality-2" select="$valid-modality-1 or $der-valid-codes-1 != '' " />
    <xsl:variable name="modality-inactive-refSets" select="if (exists($cd-definitions/modality/modality-invalid/inactive-refset))         then concat('((', $inactive-refSets, ') MINUS (',           string-join(for $refset in $cd-definitions/modality/modality-invalid/inactive-refset return concat('^', $refset/@code), ' OR '),          '))')         else $inactive-refSets " />
    <xsl:variable name="formula" select="concat($valid-domain, ' OR ', $modality-inactive-refSets) " />
    <xsl:variable name="ts-not-needed" select="$der-text = '' or $der-text-non-value or $der-invalid-text or $valid-modality-2 or $avoid-ts " />
    <xsl:variable name="der-modality-codes-2" select="if ($ts-not-needed or exists($related-terms-2)) then ()         else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-text,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or 'Error' = $der-modality-codes-2 " />
    <xsl:variable name="der-valid-codes-2" select="if ($der-valid-codes-1 != '') then $der-valid-codes-1        else if ($error-usingTS-2) then ''         else string-join((for $code in $der-modality-codes-2 return if (contains($code, '~inactive')) then '' else $code)[. != ''], '|')  " />
    <xsl:variable name="valid-modality-3" select="$valid-modality-2 or $der-valid-codes-2 != '' " />
    <xsl:variable name="der-inactive-codes-1" select="if ($valid-modality-3) then () else        for $code in $der-modality-codes-2 return if (contains($code, '~inactive')) then replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is') else '' " />
    <xsl:variable name="der-inactive-codes-2" select="for $i in (1 to count($der-inactive-codes-1)) return         dh:IsCodeAssociatedWithAnotherCode($der-inactive-codes-1[$i], '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-1" select="'Error' = $der-inactive-codes-2 " />
    <xsl:variable name="der-NAF-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-NAF-active-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound~active')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-inactive-codes-3" select="tokenize(string-join(for $i in (1 to count($der-inactive-codes-1)) return replace(string-join(tokenize($der-inactive-codes-2[$i], '\|')        [matches(., '(REPLACED BY|SAME AS|ALTERNATIVE|POSSIBLY EQUIVALENT TO|MAY BE A|WAS A)')], '|'), '[0-9]+~[A-Z ]+~([0-9]+)', '$1'), '|'), '\|')        [. != ''] " />
    <xsl:variable name="der-modality-codes-3" select="if (exists($der-inactive-codes-3)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($der-inactive-codes-3, ' OR '), ') AND ', $valid-domain), '', string(count($der-inactive-codes-3)), false())          else '' " />
    <xsl:variable name="error-usingTS-3" select="$error-usingTS-2 or 'Error' = $der-modality-codes-3 " />
    <xsl:variable name="der-valid-codes-3" select="if ($der-valid-codes-2 != '') then $der-valid-codes-2        else if (contains($der-modality-codes-3, '[')) then $der-modality-codes-3        else '' " />
    <xsl:variable name="valid-modality-4" select="$valid-modality-3 or $der-valid-codes-3 != '' " />
    <xsl:variable name="invalid-domain" select="if ($invalid-hierarchy != '' and $invalid-refset != '') then concat($invalid-hierarchy, ' OR ', $invalid-refset)        else if ($invalid-hierarchy != '') then $invalid-hierarchy        else if ($invalid-refset != '') then $invalid-refset        else '' " />
    <xsl:variable name="der-modality-codes-4" select="if ($ts-not-needed or $valid-modality-4 or $invalid-domain = '') then ()        else if (exists($related-terms-2)) then $related-terms-2        else distinct-values((tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          $invalid-domain, $der-text, $max-code-number, false()), '(\[.*?\])(\||$)', '$2'), '\|'), $der-inactive-codes-3)) " />
    <xsl:variable name="error-usingTS-4" select="$error-usingTS-3 or 'Error' = $der-modality-codes-4 " />
    <xsl:variable name="invalid-modality-codes-r" select="if ($ts-not-needed or $valid-modality-4 or $error-usingTS-4 or not(exists($der-modality-codes-4))) then ()        else if ($invalid-refset = '') then tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-modality-codes-4, ' OR '), ') AND (', $inactive-refSets, ')'), '',           string(count($der-modality-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')        else tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-modality-codes-4, ' OR '), ') AND (', $invalid-refset, ' OR ', $inactive-refSets, ')'), '',           string(count($der-modality-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')  " />
    <xsl:variable name="error-usingTS-5" select="$error-usingTS-4 or 'Error' = $invalid-modality-codes-r " />
    <xsl:variable name="der-modality-codes-4-h" select="if ($error-usingTS-5) then () else $der-modality-codes-4[not(. = $invalid-modality-codes-r)]" />
    <xsl:variable name="invalid-modality-codes-h" select="if ($ts-not-needed or $valid-modality-4 or 'Error' = $der-modality-codes-4 or $modality-invalid-hierarchy = '' or          not(exists($der-modality-codes-4-h))) then ()        else (for $code in $der-modality-codes-4-h return          if (dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;&gt;', $code, ' MINUS ', $modality-invalid-hierarchy), '', '1', false()) = '') then $code else '')[. != ''] " />
    <xsl:variable name="invalid-modality-codes" select="($invalid-modality-codes-h, $invalid-modality-codes-r) " />
    <xsl:variable name="der-modality-codes-5" select="$der-modality-codes-4[not(. = $invalid-modality-codes or . = 'Error')]" />
    <xsl:variable name="der-valid-codes-4" select="if ($der-valid-codes-3 != '') then $der-valid-codes-3        else if ($ts-not-needed or $valid-modality-4 or $valid-domain = '' or not(exists($der-modality-codes-5))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-modality-codes-5, ' OR '), ') AND ', $valid-domain), '', string(count($der-modality-codes-5)), false()) " />
    <xsl:variable name="error-usingTS-6" select="$error-usingTS-5 or 'Error' = $der-valid-codes-4 " />
    <xsl:variable name="valid-modality-5" select="$valid-modality-4 or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="undetermined-modality-1" select="$der-modality-codes-5[not(. = tokenize(replace($der-valid-codes-4,  '(\[.*?\])(\||$)', '$2'), '\|'))]" />
    <xsl:variable name="undetermined-inactive-1" select="for $i in (1 to count($undetermined-modality-1)) return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $undetermined-modality-1[$i], '', '1', false()) " />
    <xsl:variable name="error-usingTS-7" select="$error-usingTS-6 or 'Error' = $undetermined-inactive-1 " />
    <xsl:variable name="undetermined-inactive" select="(for $i in (1 to count($undetermined-modality-1)) return         if (contains($undetermined-inactive-1[$i], '~inactive')) then $undetermined-inactive-1[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-1" select="for $i in (1 to count($undetermined-inactive))        return dh:IsCodeAssociatedWithAnotherCode(replace($undetermined-inactive[$i], '(\[.*?\])(\||$)', '$2'), '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-2" select="$error-usingV-1 or 'Error' = $undetermined-NAF-1 " />
    <xsl:variable name="undetermined-NAF" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-codes" select="for $term in $undetermined-NAF return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-NAF-active" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound~active')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-active-codes" select="for $term in $undetermined-NAF-active return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-modality" select="$undetermined-modality-1[not(. = ($undetermined-NAF-codes, $undetermined-NAF-active-codes))]" />
    <xsl:variable name="invalid-modality" select="not($valid-modality-5) and exists($invalid-modality-codes) and not(exists($undetermined-modality))" />
    <xsl:variable name="codes-were-found" select="exists($der-modality-codes-4) or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="codes-not-found" select="not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or        $valid-modality-5 or $invalid-modality) " />
    <xsl:variable name="codes-in-the-domain" select="not($valid-modality-1) and $valid-modality-5" />
    <xsl:variable name="codes-in-other-domain" select="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-modality-5 or $invalid-modality or         $error-usingTS-7) " />
    <xsl:variable name="codes-in-no-domain" select="exists($der-modality-codes-5) " />
    <xsl:variable name="display-in-the-domain" select="if ($codes-in-the-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', '), '''')        else '' " />
    <xsl:variable name="display-in-other-r" select="if (exists($invalid-modality-codes-r) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-modality-codes-r return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-h" select="if (exists($invalid-modality-codes-h) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-modality-codes-h return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-domain" select="if (not($codes-in-other-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))) then ''        else if ($display-in-other-r and display-in-other-h) then concat('''', $display-in-other-r, ', ', $display-in-other-h, '''')        else if ($display-in-other-r) then concat('''', $display-in-other-r, '''')        else if ($display-in-other-h) then concat('''', $display-in-other-h, '''')        else '' " />
    <xsl:variable name="display-in-no-domain" select="if ($codes-in-no-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', dh:XQueryRecursiveReplace(string-join(for $code in $der-modality-codes-5 return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), '; '),          $term-pattern-replacement, 'ic'), '''')        else '' " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))        else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="log-concepts-appended" select="if ($error-usingTS-7 or not($flags/@report-terminology-concepts = 'true') or $log-concepts-name = '') then ''        else if ($codes-not-found and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                   'Modality',    $log-tab,                   'yes',     $log-tab,                   concat($display-code, $display-system), $log-tab,                   '',     $log-tab,                  '',     $log-tab,                  '',     $log-tab,                  $ts-current-sctau   ))        else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <!--REPORT -->
    <xsl:if test=" $log-concepts-appended = ('NOTFOUND', 'ERROR') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$log-concepts-appended = ('NOTFOUND', 'ERROR')">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Modality-Defn): The AppendLog function returned '<xsl:text /><xsl:value-of select="$log-concepts-appended" /><xsl:text />' when requested to append the concepts log
		'<xsl:text /><xsl:value-of select="$log-concepts-name" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-modality-5) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-modality-5)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Modality-Defn): An unexpected problem occurred when assessing the value of the Imaging Modality
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. The application of regular expressions resulted in the complete loss of text.
		Report the information below to the Australian Digital Health Agency for investigation.

		der-text-1 '<xsl:text /><xsl:value-of select="normalize-space(dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'))" /><xsl:text />'.
		der-text-2a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-2a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-a, $term-pattern-replacement, 'ic')" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingV-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingV-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Modality-Defn): An error was reported when accessing the terminology server when assessing the Imaging Modality data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		Report the issue to the Australian Digital Health Agency for investigation stating the error was recorded for error-usingV-2.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-7 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-7">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Modality-Defn): An error was reported when accessing the terminology server when assessing the Imaging Modality data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term:
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The analysis should be retried as the terminology server may have been temporarily unavailable.
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation, stating that the error was found by
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'error-usingTS-1' else if ($error-usingTS-2) then 'error-usingTS-2'   else if ($error-usingTS-3) then 'error-usingTS-3' else if ($error-usingTS-4) then 'error-usingTS-4'   else if ($error-usingTS-5) then 'error-usingTS-5' else if ($error-usingTS-6) then 'error-usingTS-6'   else 'error-usingTS-7' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $codes-not-found">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Imaging Modality '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the imaging method used to perform the examination.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$codes-in-other-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$codes-in-other-domain">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Imaging Modality '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value does not seem to be applicable for the data element.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the imaging method used to perform the examination.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Imaging Modality
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the imaging method used to perform the examination.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Imaging Modality data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Imaging Modality
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the imaging method used to perform the examination.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Imaging Modality data element must have a value that is consistent with this definition. Alternatively if there is no Imaging Modality data element with a proper value then an exclusion
		statement must be included to state why there is no Imaging Modality. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4')    then concat('Text such as ''', dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'), ''' may be permitted in the narrative even though the Imaging Modality data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Imaging Modality
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the imaging method used to perform the examination.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Imaging Modality data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($der-text-non-value) and $der-invalid-text ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($der-text-non-value) and $der-invalid-text">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Imaging Modality '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid. <xsl:text /><xsl:value-of select="$defn-invalid-rsn" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the imaging method used to perform the examination.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $invalid-modality and not($error-usingTS-7) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$invalid-modality and not($error-usingTS-7)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Imaging Modality '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid
		<xsl:text /><xsl:value-of select="if (exists($invalid-modality-codes-h)) then concat(' as it describes ', string-join(distinct-values(for $code in tokenize(replace(   dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat('(', string-join(for $code in $invalid-modality-codes-h return concat('&gt;&gt;', $code), ' OR '), ') AND (',    string-join(for $hierarchy in $cd-definitions/modality/modality-invalid/hierarchy return $hierarchy/@code, ' OR '), ')'), '',    string(count($invalid-modality-codes-h)), true()), '(\[.*?\])(\||$)', '$2'), '\|') return $cd-definitions/modality/modality-invalid/hierarchy[@code = $code]/@description)[position() = (1 to 2)], ' and '), '.')    else if (exists($invalid-modality-codes-r)) then concat(' as it describes ', string-join(distinct-values(for $code in $invalid-modality-codes-r return   $cd-definitions/modality/modality-invalid/refset[index-of(for $x in (for $refset in $cd-definitions/modality/modality-invalid/refset return    dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat($code, ' AND ^', $refset/@code), '', '1', true()), '|') return matches($x, '^[0-9]'), true())[1]]/@description), ' and '), '.')   else '.'" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the imaging method used to perform the examination.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable outside the applicable value domain): The Imaging Modality
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following codes were obtained and are not in the value domain: <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-Modality-Defn): The Imaging Modality '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU and no associated code was found in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists(($der-NAF-active-codes, $undetermined-NAF-active-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists(($der-NAF-active-codes, $undetermined-NAF-active-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-Modality-Defn): The Imaging Modality '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-active-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU but it was not found with this status in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.
		<xsl:text /><xsl:value-of select="if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $valid-modality-1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $valid-modality-1">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable within the value domain): The Imaging Modality
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which matches one of the terms
		<xsl:text /><xsl:value-of select="if ($valid-modality-1a) then ' listed in Knowledge.xml' else ' in the DICOM vocabulary' " /><xsl:text /> for the Imaging Modality.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (concept is codeable within the value domain): The Imaging Modality
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a valid value for the Imaging Modality.
		SNOMED CT-AU codes that matched the concept are: <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-modality-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-modality-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Imaging Modality '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The text used to match regular expression (der-text-2) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to match non-values (der-text-to-match) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-to-match, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to derive a code (der-text) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The SNOMED CT-AU version used to find codes is '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' and the maximum code number is '<xsl:text /><xsl:value-of select="$max-code-number" /><xsl:text />'.

		Codes for related terms (related-terms-2): '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($related-terms-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes for related terms (der-valid-codes-1): 
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-1, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-modality-codes-2) returned by the terminology server that match the text:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-modality-codes-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes from related terms or the terminology server (der-valid-codes-2):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-2, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-inactive-codes-3) returned from the Validator's database associated with inactive codes:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-inactive-codes-3, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes found after examining inactive codes (der-valid-codes-3):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-3, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Members of invalid reference sets (invalid-modality-codes-r): '<xsl:text /><xsl:value-of select="$display-in-other-r" /><xsl:text />'.
		Members of invalid code hierarchies (invalid-modality-codes-h): '<xsl:text /><xsl:value-of select="$display-in-other-h" /><xsl:text />'.

		Final set of valid codes (der-valid-codes-4):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		
		Codes whose validity has not been determined (der-modality-codes-5):  <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.
		Codes whose validity has not been determined and are inactive with no associated code (undetermined-NAF): '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(    string-join($undetermined-NAF, ''', '''), $markup-pattern-replacement, 'ic')" /><xsl:text />'.

		Will the value of the data element be trusted (der-trusted-text)? '<xsl:text /><xsl:value-of select="$der-trusted-text" /><xsl:text />'.
		
	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and $codes-not-found">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept not codeable): The Imaging Modality '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($avoid-ts) then 'The terminology server was not used to assist with finding codes corresponding to text in the data element. ' else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M367" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M367" />
  <xsl:template match="@*|node()" priority="-2" mode="M367">
    <xsl:apply-templates select="@*|*" mode="M367" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-CodeableText-5-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '102.16145' = $doc-sections]   [not(cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.222' and @extension = '1.0'])]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/cda:methodCode   [(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-modality-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])][not(@nullFlavor = $no-value-NF)] " priority="1000" mode="M368">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '102.16145' = $doc-sections]   [not(cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.222' and @extension = '1.0'])]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/cda:methodCode   [(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-modality-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])][not(@nullFlavor = $no-value-NF)] " />
    <xsl:variable name="pcode" select="if ('2.16.840.1.113883.6.96' = $defn-modality-trusted and         @codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="snomed-trans" select="if ('2.16.840.1.113883.6.96' = $defn-modality-trusted and cda:translation)         then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="tcode" select="if (exists($snomed-trans[1]) and matches($snomed-trans[1]/@code, $snomed-code-regex)) then $snomed-trans[1]/@code else '' " />
    <xsl:variable name="code-present" select="$pcode != '' or $tcode != '' " />
    <xsl:variable name="invalid-code-system" select="@code and @displayName and @codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="codesystemvalues" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']" />
    <xsl:variable name="dicom" select="$code-systems/system[@codeSystem = '1.2.840.10008.2.16.4']" />
    <xsl:variable name="hl7-modality" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.12.259']" />
    <xsl:variable name="otext-without-markup" select="if (cda:originalText and cda:originalText != '') then normalize-space(replace(cda:originalText, $markup-regex, ' ')) else '' " />
    <xsl:variable name="pdname" select="if (@displayName and not($invalid-code-system)) then normalize-space(@displayName) else '' " />
    <xsl:variable name="max-code-number" select="if ($knowledge/search-for-term/max-sct-code-number/@value &gt; '5') then $knowledge/search-for-term/max-sct-code-number/@value else '5' " />
    <xsl:variable name="der-text-1" select="if ($code-present) then ''         else if ($otext-without-markup != '') then $otext-without-markup        else if ($pdname != '') then $pdname        else '' " />
    <xsl:variable name="family-err" select="matches($der-text-1, $family-regex, 'i')" />
    <xsl:variable name="length-err" select="string-length($der-text-1) &gt; $length-err-max" />
    <xsl:variable name="avoid-ts" select="$family-err or $length-err or not($use-ts-for-sctau) " />
    <xsl:variable name="der-text-2a" select="if ($der-text-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-text-1, $modality-fir-pattern-replacement, 'ic')) " />
    <xsl:variable name="der-text-2" select="if ($der-text-2a = '') then $der-text-1 else $der-text-2a " />
    <xsl:variable name="der-text-a" select="if ($modality-replacements = '' or $der-text-2 = '') then $der-text-2        else normalize-space(dh:XQueryRecursiveReplace($der-text-2, $modality-replacements, 'ic')) " />
    <xsl:variable name="der-text" select="if ($der-text-a = '') then $der-text-2 else $der-text-a " />
    <xsl:variable name="defn-valid-regex" select="concat('(^|\|)', translate($der-text-2, $chars-to-remove, ''), '(\||$)') " />
    <xsl:variable name="der-text-to-match-1" select="lower-case($der-text-2) " />
    <xsl:variable name="der-text-to-match" select="translate($der-text-to-match-1, $chars-to-remove, '') " />
    <xsl:variable name="der-text-non-value" select="if ($code-present or @nullFlavor = $no-value-NF) then false() else         $der-text-to-match = ''              or         not(matches($der-text-to-match, '[a-z]', 'is'))           or        ($cd-definitions/non-value/@regex != '' and matches($der-text-to-match, $cd-definitions/non-value/@regex, 'is'))  or        (exists($cd-definitions/modality/@non-value-regex) and matches($der-text-to-match, $cd-definitions/modality/@non-value-regex, 'is')) " />
    <xsl:variable name="defn-invalid-regex" select="if ($code-present or $der-text-non-value) then ()        else if ($cd-definitions/modality/@invalid-regex) then tokenize($cd-definitions/modality/@invalid-regex, '~')[. != '']         else () " />
    <xsl:variable name="defn-invalid-txt-regex" select="(for $i in (1 to count($defn-invalid-regex)) return normalize-space(substring-before($defn-invalid-regex[$i], '[[')))[. != '']" />
    <xsl:variable name="der-invalid-text-regex-1" select="if (exists($defn-invalid-txt-regex))        then index-of(for $i in (1 to count($defn-invalid-txt-regex)) return matches($der-text-2, $defn-invalid-txt-regex[$i], 'i'), true())        else () " />
    <xsl:variable name="der-invalid-text-1" select="exists($der-invalid-text-regex-1) " />
    <xsl:variable name="defn-invalid-rsn-1" select="if ($der-invalid-text-1)         then normalize-space(substring-before(substring-after($defn-invalid-regex[$der-invalid-text-regex-1[1]], '[['), ']]'))         else '' " />
    <xsl:variable name="der-invalid-text-2a" select="if ($der-text = '' or $der-text-non-value or $der-invalid-text-1) then ()        else index-of(for $concept in $dicom/code[@imaging-modality='false'] return           matches($concept/@code, $defn-valid-regex, 'i'), true()) " />
    <xsl:variable name="der-invalid-text-2" select="exists($der-invalid-text-2a) " />
    <xsl:variable name="der-invalid-text-3" select="if ($der-text = '' or $der-text-non-value or $der-invalid-text-1 or $der-invalid-text-2) then false()        else exists(index-of(for $concept in $dicom/code[@imaging-modality='false'] return           matches(translate($concept/@displayName, $chars-no-pipe, ''), $defn-valid-regex, 'i')  or           matches(translate($concept/@synonyms, $chars-no-pipe, ''), $defn-valid-regex, 'i') , true())) " />
    <xsl:variable name="der-invalid-text" select="$der-invalid-text-1 or $der-invalid-text-2 or $der-invalid-text-3 " />
    <xsl:variable name="defn-invalid-rsn" select="if ($der-invalid-text-1) then $defn-invalid-rsn-1        else if ($der-invalid-text-2) then concat('The code ''', $der-text-2, ''' (',          $dicom/code[@imaging-modality='false'][$der-invalid-text-2a[1]]/@displayName,         ') is a member of the ', $dicom/@codeSystemName, ' (code system ''',  $dicom/@codeSystem, ''') but it is not an imaging modality.')        else if ($der-invalid-text-3) then concat('The term is a member of the ', $dicom/@codeSystemName, ' (code system ''',           $dicom/@codeSystem, ''') but it is not an imaging modality.')        else '' " />
    <xsl:variable name="trusted-code-systems" select="if ($der-text = '' or $der-invalid-text or not(@codeSystem or cda:translation/@codeSystem)) then ()        else (tokenize(replace($cd-definitions/modality/@core, '\s+', ''), '\|'),          tokenize(replace($cd-definitions/modality/@extra, '\s+', ''), '\|'))[. != ''] " />
    <xsl:variable name="der-trusted-text" select="if ($der-text = '' or $der-invalid-text or (@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex)))) then false()        else ((@codeSystem and exists($trusted-code-systems[. = current()/@codeSystem])) or               (cda:translation/@codeSystem and exists($trusted-code-systems[. = current()/cda:translation/@codeSystem]))) " />
    <xsl:variable name="valid-modality-1a" select="if ($code-present or $der-text-non-value or $der-invalid-text or not($cd-definitions/modality/@valid-regex)) then false()        else exists(index-of(for $regex in (tokenize($cd-definitions/modality/@valid-regex, '~')[. != '']) return          matches($der-text-2, dh:XQueryRecursiveReplace(normalize-space($regex), ' \|~|~\| ~|', ''), 'is'), true())) " />
    <xsl:variable name="valid-modality-1b" select="if ($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-modality-1a) then false()        else exists(index-of(for $concept in $dicom/code[not(@imaging-modality='false')] return           matches($concept/@code, $defn-valid-regex, 'i')  or           matches(translate($concept/@displayName, $chars-no-pipe, ''), $defn-valid-regex, 'i')  or           matches(translate($concept/@synonyms, $chars-no-pipe, ''), $defn-valid-regex, 'i') , true()))  or        exists(index-of(for $concept in $hl7-modality/code return           matches($concept/@code, $defn-valid-regex, 'i')  or           matches(translate($concept/@displayName, $chars-no-pipe, ''), $defn-valid-regex, 'i')  or           matches(translate($concept/@synonyms, $chars-no-pipe, ''), $defn-valid-regex, 'i') , true())) " />
    <xsl:variable name="valid-modality-1" select="$valid-modality-1a or $valid-modality-1b " />
    <xsl:variable name="invalid-hierarchy" select="if (exists($cd-definitions/modality/modality-invalid/hierarchy))         then string-join(for $hierarchy in $cd-definitions/modality/modality-invalid/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-refset" select="if (exists($cd-definitions/modality/modality-invalid/refset))          then string-join(for $refset in $cd-definitions/modality/modality-invalid/refset return concat('^', $refset/@code), ' OR ')         else '' " />
    <xsl:variable name="valid-refset" select="'^32570361000036108 OR &lt;314789007' " />
    <xsl:variable name="valid-domain" select="if ($invalid-refset != '' and $invalid-hierarchy != '')         then concat('((', $valid-refset, ') MINUS (', $invalid-refset, ' OR (', $invalid-hierarchy, ')))')        else if ($invalid-refset = '' and $invalid-hierarchy != '') then concat('((', $valid-refset, ') MINUS (', $invalid-hierarchy, '))')         else if ($invalid-refset != '' and $invalid-hierarchy = '') then concat('((', $valid-refset, ') MINUS (', $invalid-refset, '))')        else concat('(', $valid-refset, ')') " />
    <xsl:variable name="related-terms-1" select="if ($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-modality-1) then ()        else ($codesystemvalues/code[@related-terms], $codesystemvalues/related-terms[@related-terms]) " />
    <xsl:variable name="related-terms-2" select="for $i in index-of(        for $concept in $related-terms-1 return matches(translate($concept/@related-terms, $chars-no-pipe, ''), $defn-valid-regex, 'i'), true())         return $related-terms-1[$i]/@code " />
    <xsl:variable name="der-modality-codes-1" select="if (exists($related-terms-2)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($related-terms-2, ' OR '), ') AND ', $valid-domain), '', string(count($related-terms-2)), false())        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $der-modality-codes-1 " />
    <xsl:variable name="der-valid-codes-1" select="if (contains($der-modality-codes-1, '[')) then $der-modality-codes-1 else '' " />
    <xsl:variable name="valid-modality-2" select="$valid-modality-1 or $der-valid-codes-1 != '' " />
    <xsl:variable name="modality-inactive-refSets" select="if (exists($cd-definitions/modality/modality-invalid/inactive-refset))         then concat('((', $inactive-refSets, ') MINUS (',           string-join(for $refset in $cd-definitions/modality/modality-invalid/inactive-refset return concat('^', $refset/@code), ' OR '),          '))')         else $inactive-refSets " />
    <xsl:variable name="formula" select="concat($valid-domain, ' OR ', $modality-inactive-refSets) " />
    <xsl:variable name="ts-not-needed" select="$der-text = '' or $der-text-non-value or $der-invalid-text or $valid-modality-2 or $avoid-ts " />
    <xsl:variable name="der-modality-codes-2" select="if ($ts-not-needed or exists($related-terms-2)) then ()         else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-text,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or 'Error' = $der-modality-codes-2 " />
    <xsl:variable name="der-valid-codes-2" select="if ($der-valid-codes-1 != '') then $der-valid-codes-1        else if ($error-usingTS-2) then ''         else string-join((for $code in $der-modality-codes-2 return if (contains($code, '~inactive')) then '' else $code)[. != ''], '|')  " />
    <xsl:variable name="valid-modality-3" select="$valid-modality-2 or $der-valid-codes-2 != '' " />
    <xsl:variable name="der-inactive-codes-1" select="if ($valid-modality-3) then () else        for $code in $der-modality-codes-2 return if (contains($code, '~inactive')) then replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is') else '' " />
    <xsl:variable name="der-inactive-codes-2" select="for $i in (1 to count($der-inactive-codes-1)) return         dh:IsCodeAssociatedWithAnotherCode($der-inactive-codes-1[$i], '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-1" select="'Error' = $der-inactive-codes-2 " />
    <xsl:variable name="der-NAF-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-NAF-active-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound~active')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-inactive-codes-3" select="tokenize(string-join(for $i in (1 to count($der-inactive-codes-1)) return replace(string-join(tokenize($der-inactive-codes-2[$i], '\|')        [matches(., '(REPLACED BY|SAME AS|ALTERNATIVE|POSSIBLY EQUIVALENT TO|MAY BE A|WAS A)')], '|'), '[0-9]+~[A-Z ]+~([0-9]+)', '$1'), '|'), '\|')        [. != ''] " />
    <xsl:variable name="der-modality-codes-3" select="if (exists($der-inactive-codes-3)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($der-inactive-codes-3, ' OR '), ') AND ', $valid-domain), '', string(count($der-inactive-codes-3)), false())          else '' " />
    <xsl:variable name="error-usingTS-3" select="$error-usingTS-2 or 'Error' = $der-modality-codes-3 " />
    <xsl:variable name="der-valid-codes-3" select="if ($der-valid-codes-2 != '') then $der-valid-codes-2        else if (contains($der-modality-codes-3, '[')) then $der-modality-codes-3        else '' " />
    <xsl:variable name="valid-modality-4" select="$valid-modality-3 or $der-valid-codes-3 != '' " />
    <xsl:variable name="invalid-domain" select="if ($invalid-hierarchy != '' and $invalid-refset != '') then concat($invalid-hierarchy, ' OR ', $invalid-refset)        else if ($invalid-hierarchy != '') then $invalid-hierarchy        else if ($invalid-refset != '') then $invalid-refset        else '' " />
    <xsl:variable name="der-modality-codes-4" select="if ($ts-not-needed or $valid-modality-4 or $invalid-domain = '') then ()        else if (exists($related-terms-2)) then $related-terms-2        else distinct-values((tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          $invalid-domain, $der-text, $max-code-number, false()), '(\[.*?\])(\||$)', '$2'), '\|'), $der-inactive-codes-3)) " />
    <xsl:variable name="error-usingTS-4" select="$error-usingTS-3 or 'Error' = $der-modality-codes-4 " />
    <xsl:variable name="invalid-modality-codes-r" select="if ($ts-not-needed or $valid-modality-4 or $error-usingTS-4 or not(exists($der-modality-codes-4))) then ()        else if ($invalid-refset = '') then tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-modality-codes-4, ' OR '), ') AND (', $inactive-refSets, ')'), '',           string(count($der-modality-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')        else tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-modality-codes-4, ' OR '), ') AND (', $invalid-refset, ' OR ', $inactive-refSets, ')'), '',           string(count($der-modality-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')  " />
    <xsl:variable name="error-usingTS-5" select="$error-usingTS-4 or 'Error' = $invalid-modality-codes-r " />
    <xsl:variable name="der-modality-codes-4-h" select="if ($error-usingTS-5) then () else $der-modality-codes-4[not(. = $invalid-modality-codes-r)]" />
    <xsl:variable name="invalid-modality-codes-h" select="if ($ts-not-needed or $valid-modality-4 or 'Error' = $der-modality-codes-4 or $modality-invalid-hierarchy = '' or          not(exists($der-modality-codes-4-h))) then ()        else (for $code in $der-modality-codes-4-h return          if (dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;&gt;', $code, ' MINUS ', $modality-invalid-hierarchy), '', '1', false()) = '') then $code else '')[. != ''] " />
    <xsl:variable name="invalid-modality-codes" select="($invalid-modality-codes-h, $invalid-modality-codes-r) " />
    <xsl:variable name="der-modality-codes-5" select="$der-modality-codes-4[not(. = $invalid-modality-codes or . = 'Error')]" />
    <xsl:variable name="der-valid-codes-4" select="if ($der-valid-codes-3 != '') then $der-valid-codes-3        else if ($ts-not-needed or $valid-modality-4 or $valid-domain = '' or not(exists($der-modality-codes-5))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-modality-codes-5, ' OR '), ') AND ', $valid-domain), '', string(count($der-modality-codes-5)), false()) " />
    <xsl:variable name="error-usingTS-6" select="$error-usingTS-5 or 'Error' = $der-valid-codes-4 " />
    <xsl:variable name="valid-modality-5" select="$valid-modality-4 or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="undetermined-modality-1" select="$der-modality-codes-5[not(. = tokenize(replace($der-valid-codes-4,  '(\[.*?\])(\||$)', '$2'), '\|'))]" />
    <xsl:variable name="undetermined-inactive-1" select="for $i in (1 to count($undetermined-modality-1)) return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $undetermined-modality-1[$i], '', '1', false()) " />
    <xsl:variable name="error-usingTS-7" select="$error-usingTS-6 or 'Error' = $undetermined-inactive-1 " />
    <xsl:variable name="undetermined-inactive" select="(for $i in (1 to count($undetermined-modality-1)) return         if (contains($undetermined-inactive-1[$i], '~inactive')) then $undetermined-inactive-1[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-1" select="for $i in (1 to count($undetermined-inactive))        return dh:IsCodeAssociatedWithAnotherCode(replace($undetermined-inactive[$i], '(\[.*?\])(\||$)', '$2'), '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-2" select="$error-usingV-1 or 'Error' = $undetermined-NAF-1 " />
    <xsl:variable name="undetermined-NAF" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-codes" select="for $term in $undetermined-NAF return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-NAF-active" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound~active')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-active-codes" select="for $term in $undetermined-NAF-active return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-modality" select="$undetermined-modality-1[not(. = ($undetermined-NAF-codes, $undetermined-NAF-active-codes))]" />
    <xsl:variable name="invalid-modality" select="not($valid-modality-5) and exists($invalid-modality-codes) and not(exists($undetermined-modality))" />
    <xsl:variable name="codes-were-found" select="exists($der-modality-codes-4) or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="codes-not-found" select="not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or        $valid-modality-5 or $invalid-modality) " />
    <xsl:variable name="codes-in-the-domain" select="not($valid-modality-1) and $valid-modality-5" />
    <xsl:variable name="codes-in-other-domain" select="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-modality-5 or $invalid-modality or         $error-usingTS-7) " />
    <xsl:variable name="codes-in-no-domain" select="exists($der-modality-codes-5) " />
    <xsl:variable name="display-in-the-domain" select="if ($codes-in-the-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', '), '''')        else '' " />
    <xsl:variable name="display-in-other-r" select="if (exists($invalid-modality-codes-r) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-modality-codes-r return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-h" select="if (exists($invalid-modality-codes-h) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-modality-codes-h return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-domain" select="if (not($codes-in-other-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))) then ''        else if ($display-in-other-r and display-in-other-h) then concat('''', $display-in-other-r, ', ', $display-in-other-h, '''')        else if ($display-in-other-r) then concat('''', $display-in-other-r, '''')        else if ($display-in-other-h) then concat('''', $display-in-other-h, '''')        else '' " />
    <xsl:variable name="display-in-no-domain" select="if ($codes-in-no-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', dh:XQueryRecursiveReplace(string-join(for $code in $der-modality-codes-5 return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), '; '),          $term-pattern-replacement, 'ic'), '''')        else '' " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))        else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="log-concepts-appended" select="if ($error-usingTS-7 or not($flags/@report-terminology-concepts = 'true') or $log-concepts-name = '') then ''        else if ($codes-not-found and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                   'Modality',    $log-tab,                   'yes',     $log-tab,                   concat($display-code, $display-system), $log-tab,                   '',     $log-tab,                  '',     $log-tab,                  '',     $log-tab,                  $ts-current-sctau   ))        else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <!--REPORT -->
    <xsl:if test=" $log-concepts-appended = ('NOTFOUND', 'ERROR') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$log-concepts-appended = ('NOTFOUND', 'ERROR')">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Modality-Defn): The AppendLog function returned '<xsl:text /><xsl:value-of select="$log-concepts-appended" /><xsl:text />' when requested to append the concepts log
		'<xsl:text /><xsl:value-of select="$log-concepts-name" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-modality-5) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-modality-5)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Modality-Defn): An unexpected problem occurred when assessing the value of the Imaging Modality
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. The application of regular expressions resulted in the complete loss of text.
		Report the information below to the Australian Digital Health Agency for investigation.

		der-text-1 '<xsl:text /><xsl:value-of select="normalize-space(dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'))" /><xsl:text />'.
		der-text-2a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-2a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-a, $term-pattern-replacement, 'ic')" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingV-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingV-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Modality-Defn): An error was reported when accessing the terminology server when assessing the Imaging Modality data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		Report the issue to the Australian Digital Health Agency for investigation stating the error was recorded for error-usingV-2.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-7 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-7">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Modality-Defn): An error was reported when accessing the terminology server when assessing the Imaging Modality data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term:
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The analysis should be retried as the terminology server may have been temporarily unavailable.
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation, stating that the error was found by
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'error-usingTS-1' else if ($error-usingTS-2) then 'error-usingTS-2'   else if ($error-usingTS-3) then 'error-usingTS-3' else if ($error-usingTS-4) then 'error-usingTS-4'   else if ($error-usingTS-5) then 'error-usingTS-5' else if ($error-usingTS-6) then 'error-usingTS-6'   else 'error-usingTS-7' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $codes-not-found">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Imaging Modality '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the imaging method used to perform the examination.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$codes-in-other-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$codes-in-other-domain">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Imaging Modality '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value does not seem to be applicable for the data element.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the imaging method used to perform the examination.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Imaging Modality
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the imaging method used to perform the examination.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Imaging Modality data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Imaging Modality
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the imaging method used to perform the examination.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Imaging Modality data element must have a value that is consistent with this definition. Alternatively if there is no Imaging Modality data element with a proper value then an exclusion
		statement must be included to state why there is no Imaging Modality. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4')    then concat('Text such as ''', dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'), ''' may be permitted in the narrative even though the Imaging Modality data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Imaging Modality
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the imaging method used to perform the examination.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Imaging Modality data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($der-text-non-value) and $der-invalid-text ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($der-text-non-value) and $der-invalid-text">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Imaging Modality '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid. <xsl:text /><xsl:value-of select="$defn-invalid-rsn" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the imaging method used to perform the examination.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $invalid-modality and not($error-usingTS-7) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$invalid-modality and not($error-usingTS-7)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Imaging Modality '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid
		<xsl:text /><xsl:value-of select="if (exists($invalid-modality-codes-h)) then concat(' as it describes ', string-join(distinct-values(for $code in tokenize(replace(   dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat('(', string-join(for $code in $invalid-modality-codes-h return concat('&gt;&gt;', $code), ' OR '), ') AND (',    string-join(for $hierarchy in $cd-definitions/modality/modality-invalid/hierarchy return $hierarchy/@code, ' OR '), ')'), '',    string(count($invalid-modality-codes-h)), true()), '(\[.*?\])(\||$)', '$2'), '\|') return $cd-definitions/modality/modality-invalid/hierarchy[@code = $code]/@description)[position() = (1 to 2)], ' and '), '.')    else if (exists($invalid-modality-codes-r)) then concat(' as it describes ', string-join(distinct-values(for $code in $invalid-modality-codes-r return   $cd-definitions/modality/modality-invalid/refset[index-of(for $x in (for $refset in $cd-definitions/modality/modality-invalid/refset return    dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat($code, ' AND ^', $refset/@code), '', '1', true()), '|') return matches($x, '^[0-9]'), true())[1]]/@description), ' and '), '.')   else '.'" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the imaging method used to perform the examination.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable outside the applicable value domain): The Imaging Modality
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following codes were obtained and are not in the value domain: <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-Modality-Defn): The Imaging Modality '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU and no associated code was found in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists(($der-NAF-active-codes, $undetermined-NAF-active-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists(($der-NAF-active-codes, $undetermined-NAF-active-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-Modality-Defn): The Imaging Modality '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-active-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU but it was not found with this status in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.
		<xsl:text /><xsl:value-of select="if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $valid-modality-1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $valid-modality-1">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable within the value domain): The Imaging Modality
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which matches one of the terms
		<xsl:text /><xsl:value-of select="if ($valid-modality-1a) then ' listed in Knowledge.xml' else ' in the DICOM vocabulary' " /><xsl:text /> for the Imaging Modality.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (concept is codeable within the value domain): The Imaging Modality
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a valid value for the Imaging Modality.
		SNOMED CT-AU codes that matched the concept are: <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-modality-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-modality-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Imaging Modality '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The text used to match regular expression (der-text-2) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to match non-values (der-text-to-match) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-to-match, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to derive a code (der-text) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The SNOMED CT-AU version used to find codes is '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' and the maximum code number is '<xsl:text /><xsl:value-of select="$max-code-number" /><xsl:text />'.

		Codes for related terms (related-terms-2): '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($related-terms-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes for related terms (der-valid-codes-1): 
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-1, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-modality-codes-2) returned by the terminology server that match the text:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-modality-codes-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes from related terms or the terminology server (der-valid-codes-2):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-2, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-inactive-codes-3) returned from the Validator's database associated with inactive codes:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-inactive-codes-3, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes found after examining inactive codes (der-valid-codes-3):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-3, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Members of invalid reference sets (invalid-modality-codes-r): '<xsl:text /><xsl:value-of select="$display-in-other-r" /><xsl:text />'.
		Members of invalid code hierarchies (invalid-modality-codes-h): '<xsl:text /><xsl:value-of select="$display-in-other-h" /><xsl:text />'.

		Final set of valid codes (der-valid-codes-4):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		
		Codes whose validity has not been determined (der-modality-codes-5):  <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.
		Codes whose validity has not been determined and are inactive with no associated code (undetermined-NAF): '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(    string-join($undetermined-NAF, ''', '''), $markup-pattern-replacement, 'ic')" /><xsl:text />'.

		Will the value of the data element be trusted (der-trusted-text)? '<xsl:text /><xsl:value-of select="$der-trusted-text" /><xsl:text />'.
		
	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and $codes-not-found">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept not codeable): The Imaging Modality '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($avoid-ts) then 'The terminology server was not used to assist with finding codes corresponding to text in the data element. ' else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M368" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M368" />
  <xsl:template match="@*|node()" priority="-2" mode="M368">
    <xsl:apply-templates select="@*|*" mode="M368" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-CodeableText-6-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/cda:methodCode   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M369">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/cda:methodCode   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Imaging Modality '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Imaging Modality
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Imaging Modality
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Imaging Modality
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Modality
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Imaging Modality has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Imaging Modality data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Modality
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Imaging Modality data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Modality
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Imaging Modality data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Modality
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Imaging Modality data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Imaging Modality
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Imaging Modality
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Imaging Modality data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Imaging Modality
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Imaging Modality data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Modality
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Modality
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Imaging Modality data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Modality
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Imaging Modality data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Modality
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Modality
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M369" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M369" />
  <xsl:template match="@*|node()" priority="-2" mode="M369">
    <xsl:apply-templates select="@*|*" mode="M369" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-CodeableText-7-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/cda:targetSiteCode " priority="1000" mode="M370">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/cda:targetSiteCode " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Anatomical Site - Specific Location - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Anatomical Site - Specific Location - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Anatomical Site - Specific Location - Anatomical Location Name',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Anatomical Site - Specific Location - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Anatomical Site - Specific Location - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Anatomical Site - Specific Location - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Anatomical Site - Specific Location - Anatomical Location Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Anatomical Site - Specific Location - Anatomical Location Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Anatomical Site - Specific Location - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Anatomical Site - Specific Location - Anatomical Location Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Anatomical Site - Specific Location - Anatomical Location Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Anatomical Site - Specific Location - Anatomical Location Name data element must have a value that is consistent with this definition. Alternatively if there is no Anatomical Site - Specific Location - Anatomical Location Name data element with a proper value then an exclusion
		statement must be included to state why there is no Anatomical Site - Specific Location - Anatomical Location Name.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Anatomical Site - Specific Location - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Anatomical Site - Specific Location - Anatomical Location Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Anatomical Site - Specific Location - Anatomical Location Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Anatomical Site - Specific Location - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Anatomical Site - Specific Location - Anatomical Location Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Anatomical Site - Specific Location - Anatomical Location Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Anatomical Site - Specific Location - Anatomical Location Name data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Anatomical Site - Specific Location - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Anatomical Site - Specific Location - Anatomical Location Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Anatomical Site - Specific Location - Anatomical Location Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Anatomical Site - Specific Location - Anatomical Location Name data element must have a value that is consistent with this definition. Alternatively if there is no Anatomical Site - Specific Location - Anatomical Location Name data element with a proper value then an exclusion
		statement must be included to state why there is no Anatomical Site - Specific Location - Anatomical Location Name.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Anatomical Site - Specific Location - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Anatomical Site - Specific Location - Anatomical Location Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Anatomical Site - Specific Location - Anatomical Location Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Anatomical Site - Specific Location - Anatomical Location Name data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Anatomical Site - Specific Location - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Anatomical Site - Specific Location - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Anatomical Site - Specific Location - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Anatomical Site - Specific Location - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Anatomical Site - Specific Location - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Anatomical Site - Specific Location - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Anatomical Site - Specific Location - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Anatomical Site - Specific Location - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Anatomical Site - Specific Location - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Anatomical Site - Specific Location - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Anatomical Site - Specific Location - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Anatomical Site - Specific Location - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Anatomical Site - Specific Location - Anatomical Location Name.
		(See the definition of Anatomical Site - Specific Location - Anatomical Location Name in the Structured Content Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Anatomical Site - Specific Location - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M370" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M370" />
  <xsl:template match="@*|node()" priority="-2" mode="M370">
    <xsl:apply-templates select="@*|*" mode="M370" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-CodeableText-8-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/cda:targetSiteCode   [@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " priority="1000" mode="M371">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/cda:targetSiteCode   [@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="pnullFlavor" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @nullFlavor) then @nullFlavor else '' " />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-p-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then false()        else if ($psnomed-id = 'amtv3' and @codeSystemVersion) then exists($v-amtv3[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($psnomed-id = 'snomedctau' and @codeSystemVersion) then exists($v-snomedctau[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false() " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and $pcode != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used to assess the primary code.') " />
    <xsl:variable name="pcode-refsets-1" select="if (@codeSystem = '2.16.840.1.113883.6.96' and not($pcode = ''))         then dh:FindValueDomainsForCode($pcode, '2.16.840.1.113883.6.96', $v-psnomed-version) else 'no-code' " />
    <xsl:variable name="pcode-found" select="not($pcode-refsets-1 = 'no-code' or $pcode-refsets-1 = 'CodeNotFound' or $pcode-refsets-1 = 'Error'        or contains($pcode-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="pcode-refsets" select="if ($pcode-found) then distinct-values(tokenize($pcode-refsets-1, '\|')) else () " />
    <xsl:variable name="pcode-special-proc" select="count($pcode-refsets) = 1 and 'Procedure Foundation (PF)' = $pcode-refsets and not($pnullFlavor = 'OTH') " />
    <xsl:variable name="pcode-refsets-msg" select="if (count($pcode-refsets) = 0) then ''         else if (count($pcode-refsets) = 1) then concat('The code is a member of the ', $pcode-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($pcode-refsets, ', '), '.') " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))         else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-1" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="snomed-trans-2" select="distinct-values(for $i in (1 to count($snomed-trans-1)) return $snomed-trans-1[$i]/@code) " />
    <xsl:variable name="snomed-trans-a" select="$snomed-trans-1[1] " />
    <xsl:variable name="tcode-a" select="if (exists($snomed-trans-a) and matches($snomed-trans-a/@code, $snomed-code-regex)) then $snomed-trans-a/@code else '' " />
    <xsl:variable name="tnullFlavor-a" select="if (exists($snomed-trans-a) and $snomed-trans-a/@nullFlavor) then $snomed-trans-a/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-a" select="if (not(exists($snomed-trans-a))) then 'not-snomed'        else if (not($snomed-trans-a/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-a/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-a" select="if (not(exists($snomed-trans-a))) then ''        else if ($tsnomed-id-a = 'amtv3' and exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-a = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-a/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-a" select="if (not(exists($snomed-trans-a))) then false()        else if ($tsnomed-id-a = 'amtv3' and $snomed-trans-a/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-a = 'snomedctau' and $snomed-trans-a/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-a-msg" select="if (not(exists($snomed-trans-a))) then ''        else if (not($snomed-trans-a/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-a, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-a = 'amtv3') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-a = 'snomedctau') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-a/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-a, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-a/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-a-refsets-1" select="if (exists($snomed-trans-a) and not($tcode-a = ''))         then dh:FindValueDomainsForCode($tcode-a, '2.16.840.1.113883.6.96', $v-tsnomed-version-a) else 'no-code' " />
    <xsl:variable name="tcode-a-found" select="not($tcode-a-refsets-1 = 'no-code' or $tcode-a-refsets-1 = 'CodeNotFound' or $tcode-a-refsets-1 = 'Error'         or contains($tcode-a-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-a-refsets" select="if ($tcode-a-found) then distinct-values(tokenize($tcode-a-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-a-special-proc" select="count($tcode-a-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-a-refsets and not($tnullFlavor-a = 'OTH') " />
    <xsl:variable name="tcode-a-refsets-msg" select="if (count($tcode-a-refsets) = 0) then ''         else if (count($tcode-a-refsets) = 1) then concat('The code is a member of the ', $tcode-a-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-a-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@code and $snomed-trans-a/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-a/@displayName, codepoints-to-string(34))         else if ($snomed-trans-a/@code and not($snomed-trans-a/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@codeSystem and $snomed-trans-a/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-a/@codeSystemName, ')')         else if ($snomed-trans-a/@codeSystem and not($snomed-trans-a/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-b" select="(for $i in (2 to count($snomed-trans-1)) return if ($snomed-trans-1[$i]/@code != $snomed-trans-a/@code) then $snomed-trans-1[$i] else ())[1] " />
    <xsl:variable name="tcode-b" select="if (exists($snomed-trans-b) and matches($snomed-trans-b/@code, $snomed-code-regex)) then $snomed-trans-b/@code else '' " />
    <xsl:variable name="tnullFlavor-b" select="if (exists($snomed-trans-b) and $snomed-trans-b/@nullFlavor) then $snomed-trans-b/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-b" select="if (not(exists($snomed-trans-b))) then 'not-snomed'        else if (not($snomed-trans-b/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-b/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-b" select="if (not(exists($snomed-trans-b))) then ''        else if ($tsnomed-id-b = 'amtv3' and exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-b = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-b/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-b" select="if (not(exists($snomed-trans-b))) then false()        else if ($tsnomed-id-b = 'amtv3' and $snomed-trans-b/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-b = 'snomedctau' and $snomed-trans-b/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-b-msg" select="if (not(exists($snomed-trans-b))) then ''        else if (not($snomed-trans-b/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-b, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-b = 'amtv3') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-b = 'snomedctau') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-b/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-b, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-b/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-b-refsets-1" select="if (exists($snomed-trans-b) and not($tcode-b = ''))         then dh:FindValueDomainsForCode($tcode-b, '2.16.840.1.113883.6.96', $v-tsnomed-version-b) else 'no-code' " />
    <xsl:variable name="tcode-b-found" select="not($tcode-b-refsets-1 = 'no-code' or $tcode-b-refsets-1 = 'CodeNotFound' or $tcode-b-refsets-1 = 'Error'         or contains($tcode-b-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-b-refsets" select="if ($tcode-b-found) then distinct-values(tokenize($tcode-b-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-b-special-proc" select="count($tcode-b-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-b-refsets and not($tnullFlavor-b = 'OTH') " />
    <xsl:variable name="tcode-b-refsets-msg" select="if (count($tcode-b-refsets) = 0) then ''         else if (count($tcode-b-refsets) = 1) then concat('The code is a member of the ', $tcode-b-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-b-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@code and $snomed-trans-b/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-b/@displayName, codepoints-to-string(34))         else if ($snomed-trans-b/@code and not($snomed-trans-b/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@codeSystem and $snomed-trans-b/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-b/@codeSystemName, ')')         else if ($snomed-trans-b/@codeSystem and not($snomed-trans-b/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-60" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-60 else $rating-alt-TC-Types-60 " />
    <!--REPORT -->
    <xsl:if test=" $pcode-found and $pcode-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pcode-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD (p-TS-CD-SCT-RefSet): An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$pcode" /><xsl:text />',
		codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-psnomed-version" /><xsl:text />'. This error occurred when assessing the Anatomical Site - Specific Location - Anatomical Location Name data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Anatomical Site - Specific Location - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. The value is not valid for the data element as it describes a medical
		procedure and not a medical problem or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and   not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Anatomical Site - Specific Location - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the code is not a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the IMAGING EXAMINATION RESULT section of the         CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and   not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Anatomical Site - Specific Location - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the IMAGING EXAMINATION RESULT section of the         CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and   exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Anatomical Site - Specific Location - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the IMAGING EXAMINATION RESULT section of the         CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and   exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Anatomical Site - Specific Location - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. Confirm if the code is a member of the value domain.
		If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the IMAGING EXAMINATION RESULT section of the         CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Anatomical Site - Specific Location - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="count($snomed-trans-1)" /><xsl:text /> translation elements with
		codes and the SNOMED CT-AU codeSystem '2.16.840.1.113883.6.96'. The first two translation elements have been assessed to determine if the codes are members of the value domain
		and the others have not been assessed. Confirm if the value of the code attribute in all SNOMED CT translation elements meets the requirement that it be a member of the value domain
		if there is no nullFlavor 'OTH' or that there is a nullFlavor 'OTH' if the value of the code attribute is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text /> 
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the IMAGING EXAMINATION RESULT section of the         CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-a" /><xsl:text />'. This error occurred when assessing the Anatomical Site - Specific Location - Anatomical Location Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Anatomical Site - Specific Location - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and   not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Anatomical Site - Specific Location - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the IMAGING EXAMINATION RESULT section of the         CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and   not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Anatomical Site - Specific Location - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the IMAGING EXAMINATION RESULT section of the         CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and   exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Anatomical Site - Specific Location - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the IMAGING EXAMINATION RESULT section of the         CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and   exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Anatomical Site - Specific Location - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the IMAGING EXAMINATION RESULT section of the         CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-b" /><xsl:text />'. This error occurred when assessing the Anatomical Site - Specific Location - Anatomical Location Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Anatomical Site - Specific Location - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> 
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and   not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Anatomical Site - Specific Location - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the IMAGING EXAMINATION RESULT section of the         CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and   not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Anatomical Site - Specific Location - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the IMAGING EXAMINATION RESULT section of the         CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and   exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Anatomical Site - Specific Location - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the IMAGING EXAMINATION RESULT section of the         CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and   exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Anatomical Site - Specific Location - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the IMAGING EXAMINATION RESULT section of the         CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M371" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M371" />
  <xsl:template match="@*|node()" priority="-2" mode="M371">
    <xsl:apply-templates select="@*|*" mode="M371" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-CodeableText-9-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/cda:targetSiteCode[@displayName]   [(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-body-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])][not(@nullFlavor = $no-value-NF)] " priority="1000" mode="M372">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/cda:targetSiteCode[@displayName]   [(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-body-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])][not(@nullFlavor = $no-value-NF)] " />
    <xsl:variable name="pcode" select="if ('2.16.840.1.113883.6.96' = $defn-body-trusted and          @codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="snomed-trans" select="if ('2.16.840.1.113883.6.96' = $defn-body-trusted and cda:translation)         then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="tcode" select="if (exists($snomed-trans[1]) and matches($snomed-trans[1]/@code, $snomed-code-regex)) then $snomed-trans[1]/@code else '' " />
    <xsl:variable name="code-present" select="$pcode != '' or $tcode != '' " />
    <xsl:variable name="invalid-code-system" select="@code and @displayName and @codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="codesystemvalues" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']" />
    <xsl:variable name="otext-without-markup" select="if (cda:originalText and cda:originalText != '') then normalize-space(replace(cda:originalText, $markup-regex, ' ')) else '' " />
    <xsl:variable name="pdname" select="if (@displayName and not($invalid-code-system)) then normalize-space(@displayName) else '' " />
    <xsl:variable name="max-code-number" select="if ($knowledge/search-for-term/max-sct-code-number/@value &gt; '5') then $knowledge/search-for-term/max-sct-code-number/@value else '5' " />
    <xsl:variable name="der-text-1" select="if ($code-present) then ''         else if ($otext-without-markup != '') then $otext-without-markup        else if ($pdname != '') then $pdname        else '' " />
    <xsl:variable name="der-text-2a" select="if ($der-text-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-text-1, $body-fir-pattern-replacement, 'ic')) " />
    <xsl:variable name="der-text-2" select="if ($der-text-2a = '') then $der-text-1 else $der-text-2a " />
    <xsl:variable name="family-err" select="matches($der-text-1, $family-regex, 'i')" />
    <xsl:variable name="length-err" select="string-length($der-text-1) &gt; $length-err-max" />
    <xsl:variable name="avoid-ts" select="$family-err or $length-err or not($use-ts-for-sctau) " />
    <xsl:variable name="der-text-a" select="if ($body-replacements = '' or $der-text-2 = '') then $der-text-2        else normalize-space(dh:XQueryRecursiveReplace($der-text-2, $body-replacements, 'ic')) " />
    <xsl:variable name="der-text" select="if ($der-text-a = '') then $der-text-2 else $der-text-a " />
    <xsl:variable name="defn-valid-regex" select="concat('(^|\|)', translate($der-text-2, $chars-to-remove, ''), '(\||$)') " />
    <xsl:variable name="der-text-to-match-1" select="lower-case($der-text-2) " />
    <xsl:variable name="der-text-to-match" select="translate($der-text-to-match-1, $chars-to-remove, '') " />
    <xsl:variable name="der-text-non-value" select="if ($code-present or @nullFlavor = $no-value-NF) then false() else         $der-text-to-match = ''              or         not(matches($der-text-to-match-1, '[a-z]', 'i'))          or        ($cd-definitions/non-value/@regex != '' and matches($der-text-to-match-1, $cd-definitions/non-value/@regex, 'i'))  or        (exists($cd-definitions/body/@non-value-regex) and matches($der-text-to-match-1, $cd-definitions/body/@non-value-regex, 'i')) " />
    <xsl:variable name="defn-invalid-regex" select="if ($code-present or $der-text-non-value) then ()        else if ($cd-definitions/body/@invalid-regex) then tokenize($cd-definitions/body/@invalid-regex, '~')[. != '']         else () " />
    <xsl:variable name="defn-invalid-txt-regex" select="(for $i in (1 to count($defn-invalid-regex)) return normalize-space(substring-before($defn-invalid-regex[$i], '[[')))[. != '']" />
    <xsl:variable name="der-invalid-text-regex-1" select="if (exists($defn-invalid-txt-regex))        then index-of(for $i in (1 to count($defn-invalid-txt-regex)) return matches($der-text-2, $defn-invalid-txt-regex[$i], 'i'), true())        else () " />
    <xsl:variable name="der-invalid-text" select="exists($der-invalid-text-regex-1) " />
    <xsl:variable name="defn-invalid-rsn" select="if ($der-invalid-text)         then normalize-space(substring-before(substring-after($defn-invalid-regex[$der-invalid-text-regex-1[1]], '[['), ']]'))         else '' " />
    <xsl:variable name="trusted-code-systems" select="if ($der-text = '' or $der-invalid-text or not(@codeSystem or cda:translation/@codeSystem)) then ()        else (tokenize(replace($cd-definitions/body/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/body/@extra, '\s+', ''), '\|'))[. != ''] " />
    <xsl:variable name="der-trusted-text" select="if ($der-text = '' or $der-invalid-text or (@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex)))) then false()        else ((@codeSystem and exists($trusted-code-systems[. = current()/@codeSystem])) or               (cda:translation/@codeSystem and exists($trusted-code-systems[. = current()/cda:translation/@codeSystem]))) " />
    <xsl:variable name="valid-body-1" select="if ($code-present or $der-text-non-value or $der-invalid-text or not($cd-definitions/body/@valid-regex)) then false()        else exists(index-of(for $regex in (tokenize($cd-definitions/body/@valid-regex, '~')[. != '']) return          matches($der-text-2, dh:XQueryRecursiveReplace(normalize-space($regex), ' \|~|~\| ~|', ''), 'is'), true())) " />
    <xsl:variable name="invalid-hierarchy" select="if (exists($cd-definitions/body/body-invalid/hierarchy))         then string-join(for $hierarchy in $cd-definitions/body/body-invalid/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-refset" select="if (exists($cd-definitions/body/body-invalid/refset))          then string-join(for $refset in $cd-definitions/body/body-invalid/refset return concat('^', $refset/@code), ' OR ')         else '' " />
    <xsl:variable name="valid-refset" select="'^32570061000036105' " />
    <xsl:variable name="valid-domain" select="if ($invalid-refset != '' and $invalid-hierarchy != '')         then concat('((', $valid-refset, ') MINUS (', $invalid-refset, ' OR (', $invalid-hierarchy, ')))')        else if ($invalid-refset = '' and $invalid-hierarchy != '') then concat('((', $valid-refset, ') MINUS (', $invalid-hierarchy, '))')         else if ($invalid-refset != '' and $invalid-hierarchy = '') then concat('((', $valid-refset, ') MINUS (', $invalid-refset, '))')        else concat('(', $valid-refset, ')') " />
    <xsl:variable name="related-terms-1" select="if ($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-body-1) then ()        else ($codesystemvalues/code[@related-terms], $codesystemvalues/related-terms[@related-terms]) " />
    <xsl:variable name="related-terms-2" select="for $i in index-of(        for $concept in $related-terms-1 return matches(translate($concept/@related-terms, $chars-no-pipe, ''), $defn-valid-regex, 'i'), true())         return $related-terms-1[$i]/@code " />
    <xsl:variable name="der-body-codes-1" select="if (exists($related-terms-2)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($related-terms-2, ' OR '), ') AND (', $valid-domain, ')'), '', string(count($related-terms-2)), false())        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $der-body-codes-1 " />
    <xsl:variable name="der-valid-codes-1" select="if (contains($der-body-codes-1, '[')) then $der-body-codes-1 else '' " />
    <xsl:variable name="valid-body-2" select="$valid-body-1 or $der-valid-codes-1 != '' " />
    <xsl:variable name="body-inactive-refSets" select="if (exists($cd-definitions/body/body-invalid/inactive-refset))         then concat('((', $inactive-refSets, ') MINUS (',           string-join(for $refset in $cd-definitions/body/body-invalid/inactive-refset return concat('^', $refset/@code), ' OR '),          '))')         else $inactive-refSets " />
    <xsl:variable name="formula" select="concat($valid-domain, ' OR ', $body-inactive-refSets) " />
    <xsl:variable name="ts-not-needed" select="$der-text = '' or $der-text-non-value or $der-invalid-text or $valid-body-2 or $avoid-ts " />
    <xsl:variable name="der-body-codes-2" select="if ($ts-not-needed or exists($related-terms-2)) then ()         else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-text,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or 'Error' = $der-body-codes-2 " />
    <xsl:variable name="der-valid-codes-2" select="if ($der-valid-codes-1 != '') then $der-valid-codes-1        else if ($error-usingTS-2) then ''         else string-join((for $code in $der-body-codes-2 return if (contains($code, '~inactive')) then '' else $code)[. != ''], '|')  " />
    <xsl:variable name="valid-body-3" select="$valid-body-2 or $der-valid-codes-2 != '' " />
    <xsl:variable name="der-inactive-codes-1" select="if ($valid-body-3) then () else        for $code in $der-body-codes-2 return if (contains($code, '~inactive')) then replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is') else '' " />
    <xsl:variable name="der-inactive-codes-2" select="for $i in (1 to count($der-inactive-codes-1)) return         dh:IsCodeAssociatedWithAnotherCode($der-inactive-codes-1[$i], '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-1" select="'Error' = $der-inactive-codes-2 " />
    <xsl:variable name="der-NAF-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-NAF-active-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound~active')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-inactive-codes-3" select="tokenize(string-join(for $i in (1 to count($der-inactive-codes-1)) return replace(string-join(tokenize($der-inactive-codes-2[$i], '\|')        [matches(., '(REPLACED BY|SAME AS|ALTERNATIVE|POSSIBLY EQUIVALENT TO|MAY BE A|WAS A)')], '|'), '[0-9]+~[A-Z ]+~([0-9]+)', '$1'), '|'), '\|')        [. != ''] " />
    <xsl:variable name="der-body-codes-3" select="if (exists($der-inactive-codes-3)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($der-inactive-codes-3, ' OR '), ') AND (', $valid-domain, ')'), '', string(count($der-inactive-codes-3)), false())          else '' " />
    <xsl:variable name="error-usingTS-3" select="$error-usingTS-2 or 'Error' = $der-body-codes-3 " />
    <xsl:variable name="der-valid-codes-3" select="if ($der-valid-codes-2 != '') then $der-valid-codes-2        else if (contains($der-body-codes-3, '[')) then $der-body-codes-3        else '' " />
    <xsl:variable name="valid-body-4" select="$valid-body-3 or $der-valid-codes-3 != '' " />
    <xsl:variable name="invalid-domain" select="if ($invalid-hierarchy != '' and $invalid-refset != '') then concat($invalid-hierarchy, ' OR ', $invalid-refset)        else if ($invalid-hierarchy != '') then $invalid-hierarchy        else if ($invalid-refset != '') then $invalid-refset        else '' " />
    <xsl:variable name="der-body-codes-4" select="if ($ts-not-needed or $valid-body-4 or $invalid-domain = '') then ()        else if (exists($related-terms-2)) then $related-terms-2        else distinct-values((tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          $invalid-domain, $der-text, $max-code-number, false()), '(\[.*?\])(\||$)', '$2'), '\|'), $der-inactive-codes-3)) " />
    <xsl:variable name="error-usingTS-4" select="$error-usingTS-3 or 'Error' = $der-body-codes-4 " />
    <xsl:variable name="invalid-body-codes-r" select="if ($ts-not-needed or $valid-body-4 or $error-usingTS-4 or not(exists($der-body-codes-4))) then ()        else if ($invalid-refset = '') then tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-body-codes-4, ' OR '), ') AND (', $inactive-refSets, ')'), '',           string(count($der-body-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')        else tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-body-codes-4, ' OR '), ') AND (', $invalid-refset, ' OR ', $inactive-refSets, ')'), '',           string(count($der-body-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')  " />
    <xsl:variable name="error-usingTS-5" select="$error-usingTS-4 or 'Error' = $invalid-body-codes-r " />
    <xsl:variable name="der-body-codes-4-h" select="if ($error-usingTS-5) then () else $der-body-codes-4[not(. = $invalid-body-codes-r)]" />
    <xsl:variable name="invalid-body-codes-h" select="if ($ts-not-needed or $valid-body-4 or 'Error' = $der-body-codes-4 or $body-invalid-hierarchy = '' or not(exists($der-body-codes-4-h))) then ()        else (for $code in $der-body-codes-4-h return          if (dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;&gt;', $code, ' MINUS ', $body-invalid-hierarchy), '', '1', false()) = '') then $code else '')[. != ''] " />
    <xsl:variable name="invalid-body-codes" select="($invalid-body-codes-h, $invalid-body-codes-r) " />
    <xsl:variable name="der-body-codes-5" select="$der-body-codes-4[not(. = $invalid-body-codes or . = 'Error')]" />
    <xsl:variable name="der-valid-codes-4" select="if ($der-valid-codes-3 != '') then $der-valid-codes-3        else if ($ts-not-needed or $valid-body-4 or $valid-domain = '' or not(exists($der-body-codes-5))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-body-codes-5, ' OR '), ') AND ', $valid-domain), '', string(count($der-body-codes-5)), false()) " />
    <xsl:variable name="error-usingTS-6" select="$error-usingTS-5 or 'Error' = $der-valid-codes-4 " />
    <xsl:variable name="valid-body-5" select="$valid-body-4 or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="undetermined-body-1" select="$der-body-codes-5[not(. = tokenize(replace($der-valid-codes-4,  '(\[.*?\])(\||$)', '$2'), '\|'))]" />
    <xsl:variable name="undetermined-inactive-1" select="for $i in (1 to count($undetermined-body-1)) return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $undetermined-body-1[$i], '', '1', false()) " />
    <xsl:variable name="error-usingTS-7" select="$error-usingTS-6 or 'Error' = $undetermined-inactive-1 " />
    <xsl:variable name="undetermined-inactive" select="(for $i in (1 to count($undetermined-body-1)) return         if (contains($undetermined-inactive-1[$i], '~inactive')) then $undetermined-inactive-1[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-1" select="for $i in (1 to count($undetermined-inactive))        return dh:IsCodeAssociatedWithAnotherCode(replace($undetermined-inactive[$i], '(\[.*?\])(\||$)', '$2'), '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-2" select="$error-usingV-1 or 'Error' = $undetermined-NAF-1 " />
    <xsl:variable name="undetermined-NAF" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-codes" select="for $term in $undetermined-NAF return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-NAF-active" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound~active')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-active-codes" select="for $term in $undetermined-NAF-active return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-body" select="$undetermined-body-1[not(. = ($undetermined-NAF-codes, $undetermined-NAF-active-codes))]" />
    <xsl:variable name="invalid-body" select="not($valid-body-5) and exists($invalid-body-codes) and not(exists($undetermined-body))" />
    <xsl:variable name="codes-were-found" select="exists($der-body-codes-4) or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="codes-not-found" select="not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-body-5 or $invalid-body) " />
    <xsl:variable name="codes-in-the-domain" select="not($valid-body-1) and $valid-body-5" />
    <xsl:variable name="codes-in-other-domain" select="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-body-5 or $invalid-body or         $error-usingTS-7) " />
    <xsl:variable name="codes-in-no-domain" select="exists($der-body-codes-5) " />
    <xsl:variable name="display-in-the-domain" select="if ($codes-in-the-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', '), '''')        else '' " />
    <xsl:variable name="display-in-other-r" select="if (exists($invalid-body-codes-r) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-body-codes-r return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-h" select="if (exists($invalid-body-codes-h) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-body-codes-h return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-domain" select="if (not($codes-in-other-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))) then ''        else if ($display-in-other-r and display-in-other-h) then concat('''', $display-in-other-r, ', ', $display-in-other-h, '''')        else if ($display-in-other-r) then concat('''', $display-in-other-r, '''')        else if ($display-in-other-h) then concat('''', $display-in-other-h, '''')        else '' " />
    <xsl:variable name="display-in-no-domain" select="if ($codes-in-no-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', dh:XQueryRecursiveReplace(string-join(for $code in $der-body-codes-5 return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), '; '),          $term-pattern-replacement, 'ic'), '''')        else '' " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))        else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="log-concepts-appended" select="if ($error-usingTS-7 or not($flags/@report-terminology-concepts = 'true') or $log-concepts-name = '') then ''        else if ($codes-not-found and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                   'Body',     $log-tab,                   'yes',     $log-tab,                   concat($display-code, $display-system), $log-tab,                   '',     $log-tab,                  '',     $log-tab,                  '',     $log-tab,                  $ts-current-sctau   ))        else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <!--REPORT -->
    <xsl:if test=" $log-concepts-appended = ('NOTFOUND', 'ERROR') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$log-concepts-appended = ('NOTFOUND', 'ERROR')">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Body-Defn): The AppendLog function returned '<xsl:text /><xsl:value-of select="$log-concepts-appended" /><xsl:text />' when requested to append the concepts log
		'<xsl:text /><xsl:value-of select="$log-concepts-name" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-body-5) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-body-5)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Body-Defn): An unexpected problem occurred when assessing the value of the Anatomical Site - Specific Location - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. The application of regular expressions resulted in the complete loss of text.
		Report the information below to the Australian Digital Health Agency for investigation.

		der-text-1 '<xsl:text /><xsl:value-of select="normalize-space(dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'))" /><xsl:text />'.
		der-text-2a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-2a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-a, $term-pattern-replacement, 'ic')" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingV-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingV-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Body-Defn): An error was reported when accessing the terminology server when assessing the Anatomical Site - Specific Location - Anatomical Location Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		Report the issue to the Australian Digital Health Agency for investigation stating the error was recorded for error-usingV-2.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-7 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-7">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Body-Defn): An error was reported when accessing the terminology server when assessing the Anatomical Site - Specific Location - Anatomical Location Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term:
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The analysis should be retried as the terminology server may have been temporarily unavailable.
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation, stating that the error was found by
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'error-usingTS-1' else if ($error-usingTS-2) then 'error-usingTS-2'   else if ($error-usingTS-3) then 'error-usingTS-3' else if ($error-usingTS-4) then 'error-usingTS-4'   else if ($error-usingTS-5) then 'error-usingTS-5' else if ($error-usingTS-6) then 'error-usingTS-6'   else 'error-usingTS-7' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $codes-not-found">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Anatomical Site - Specific Location - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the IMAGING EXAMINATION RESULT section of the         CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$codes-in-other-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$codes-in-other-domain">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Anatomical Site - Specific Location - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value does not seem to be applicable for the data element.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Anatomical Site - Specific Location - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Anatomical Site - Specific Location - Anatomical Location Name data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Anatomical Site - Specific Location - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Anatomical Site - Specific Location - Anatomical Location Name data element must have a value that is consistent with this definition. Alternatively if there is no Anatomical Site - Specific Location - Anatomical Location Name data element with a proper value then an exclusion
		statement must be included to state why there is no Anatomical Site - Specific Location - Anatomical Location Name. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4')    then concat('Text such as ''', dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'), ''' may be permitted in the narrative even though the Anatomical Site - Specific Location - Anatomical Location Name data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Anatomical Site - Specific Location - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Anatomical Site - Specific Location - Anatomical Location Name data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($der-text-non-value) and $der-invalid-text ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($der-text-non-value) and $der-invalid-text">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Anatomical Site - Specific Location - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid. <xsl:text /><xsl:value-of select="$defn-invalid-rsn" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $invalid-body and not($error-usingTS-7) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$invalid-body and not($error-usingTS-7)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Anatomical Site - Specific Location - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid
		<xsl:text /><xsl:value-of select="if (exists($invalid-body-codes-h)) then concat(' as it describes ', string-join(distinct-values(for $code in tokenize(replace(   dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat('(', string-join(for $code in $invalid-body-codes-h return concat('&gt;&gt;', $code), ' OR '), ') AND (',    string-join(for $hierarchy in $cd-definitions/body/body-invalid/hierarchy return $hierarchy/@code, ' OR '), ')'), '',    string(count($invalid-body-codes-h)), true()), '(\[.*?\])(\||$)', '$2'), '\|') return $cd-definitions/body/body-invalid/hierarchy[@code = $code]/@description)[position() = (1 to 2)], ' and '), '.')    else if (exists($invalid-body-codes-r)) then concat(' as it describes ', string-join(distinct-values(for $code in $invalid-body-codes-r return   $cd-definitions/body/body-invalid/refset[index-of(for $x in (for $refset in $cd-definitions/body/body-invalid/refset return    dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat($code, ' AND ^', $refset/@code), '', '1', true()), '|') return matches($x, '^[0-9]'), true())[1]]/@description), ' and '), '.')   else '.'" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable outside the applicable value domain): The Anatomical Site - Specific Location - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following codes were obtained and are not in the value domain: <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-Body-Defn): The Anatomical Site - Specific Location - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU and no associated code was found in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists(($der-NAF-active-codes, $undetermined-NAF-active-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists(($der-NAF-active-codes, $undetermined-NAF-active-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-Body-Defn): The Anatomical Site - Specific Location - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-active-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU but it was not found with this status in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.
		<xsl:text /><xsl:value-of select="if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $valid-body-1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $valid-body-1">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable within the value domain): The Anatomical Site - Specific Location - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which matches one of the terms listed in Knowledge.xml for the Anatomical Site - Specific Location - Anatomical Location Name.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (concept is codeable within the value domain): The Anatomical Site - Specific Location - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a valid value for the Anatomical Site - Specific Location - Anatomical Location Name.
		SNOMED CT-AU codes that matched the concept are: <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-body-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-body-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Anatomical Site - Specific Location - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The text used to match regular expression (der-text-2) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to match non-values (der-text-to-match) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-to-match, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to derive a code (der-text) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The SNOMED CT-AU version used to find codes is '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' and the maximum code number is '<xsl:text /><xsl:value-of select="$max-code-number" /><xsl:text />'.

		Codes for related terms (related-terms-2): '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($related-terms-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes for related terms (der-valid-codes-1): 
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-1, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-body-codes-2) returned by the terminology server that match the text:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-body-codes-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes from related terms or the terminology server (der-valid-codes-2):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-2, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-inactive-codes-3) returned from the Validator's database associated with inactive codes:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-inactive-codes-3, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes found after examining inactive codes (der-valid-codes-3):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-3, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Members of invalid reference sets (invalid-body-codes-r): '<xsl:text /><xsl:value-of select="$display-in-other-r" /><xsl:text />'.
		Members of invalid code hierarchies (invalid-body-codes-h): '<xsl:text /><xsl:value-of select="$display-in-other-h" /><xsl:text />'.

		Final set of valid codes (der-valid-codes-4):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes whose validity has not been determined (der-body-codes-5):  <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.
		Codes whose validity has not been determined and are inactive with no associated code (undetermined-NAF): '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(    string-join($undetermined-NAF, ''', '''), $markup-pattern-replacement, 'ic')" /><xsl:text />'.

		Will the value of the data element be trusted (der-trusted-text)? '<xsl:text /><xsl:value-of select="$der-trusted-text" /><xsl:text />'.
		
	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and $codes-not-found">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept not codeable): The Anatomical Site - Specific Location - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($avoid-ts) then 'The terminology server was not used to assist with finding codes corresponding to text in the data element. ' else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M372" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M372" />
  <xsl:template match="@*|node()" priority="-2" mode="M372">
    <xsl:apply-templates select="@*|*" mode="M372" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-CodeableText-10-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/cda:targetSiteCode[@code]   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M373">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/cda:targetSiteCode[@code]   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Anatomical Site - Specific Location - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Anatomical Site - Specific Location - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Anatomical Site - Specific Location - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Anatomical Site - Specific Location - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Anatomical Site - Specific Location - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Anatomical Site - Specific Location - Anatomical Location Name has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Anatomical Site - Specific Location - Anatomical Location Name data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Anatomical Site - Specific Location - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Anatomical Site - Specific Location - Anatomical Location Name data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Anatomical Site - Specific Location - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Anatomical Site - Specific Location - Anatomical Location Name data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Anatomical Site - Specific Location - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Anatomical Site - Specific Location - Anatomical Location Name data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Anatomical Site - Specific Location - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Anatomical Site - Specific Location - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Anatomical Site - Specific Location - Anatomical Location Name data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Anatomical Site - Specific Location - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Anatomical Site - Specific Location - Anatomical Location Name data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Anatomical Site - Specific Location - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Anatomical Site - Specific Location - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Anatomical Site - Specific Location - Anatomical Location Name data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Anatomical Site - Specific Location - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Anatomical Site - Specific Location - Anatomical Location Name data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Anatomical Site - Specific Location - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Anatomical Site - Specific Location - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M373" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M373" />
  <xsl:template match="@*|node()" priority="-2" mode="M373">
    <xsl:apply-templates select="@*|*" mode="M373" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-CodeableText-11-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/   cda:entry/cda:observation/cda:entryRelationship/cda:organizer/cda:code " priority="1000" mode="M374">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/   cda:entry/cda:observation/cda:entryRelationship/cda:organizer/cda:code " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Imaging Examination Result Group Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and true() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and true() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Imaging Examination Result Group Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Imaging Examination Result Group Name',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Imaging Examination Result Group Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Imaging Examination Result Group Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Imaging Examination Result Group Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Imaging Examination Result Group Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Imaging Examination Result Group Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Imaging Examination Result Group Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Imaging Examination Result Group Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Imaging Examination Result Group Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Imaging Examination Result Group Name data element must have a value that is consistent with this definition. Alternatively if there is no Imaging Examination Result Group Name data element with a proper value then an exclusion
		statement must be included to state why there is no Imaging Examination Result Group Name.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Imaging Examination Result Group Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Imaging Examination Result Group Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Imaging Examination Result Group Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Imaging Examination Result Group Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Imaging Examination Result Group Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Imaging Examination Result Group Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Imaging Examination Result Group Name data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Imaging Examination Result Group Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Imaging Examination Result Group Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Imaging Examination Result Group Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Imaging Examination Result Group Name data element must have a value that is consistent with this definition. Alternatively if there is no Imaging Examination Result Group Name data element with a proper value then an exclusion
		statement must be included to state why there is no Imaging Examination Result Group Name.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Imaging Examination Result Group Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Imaging Examination Result Group Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Imaging Examination Result Group Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Imaging Examination Result Group Name data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Imaging Examination Result Group Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Imaging Examination Result Group Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Imaging Examination Result Group Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Imaging Examination Result Group Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Imaging Examination Result Group Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Imaging Examination Result Group Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Imaging Examination Result Group Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Imaging Examination Result Group Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Imaging Examination Result Group Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Imaging Examination Result Group Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Imaging Examination Result Group Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Imaging Examination Result Group Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Imaging Examination Result Group Name.
		(See the definition of Imaging Examination Result Group Name in the Structured Content Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Imaging Examination Result Group Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M374" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M374" />
  <xsl:template match="@*|node()" priority="-2" mode="M374">
    <xsl:apply-templates select="@*|*" mode="M374" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-CodeableText-12-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:code[(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M375">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:code[(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Imaging Examination Result Group Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Imaging Examination Result Group Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Imaging Examination Result Group Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Imaging Examination Result Group Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Group Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Imaging Examination Result Group Name has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Imaging Examination Result Group Name data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Group Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Imaging Examination Result Group Name data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Group Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Imaging Examination Result Group Name data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Group Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Imaging Examination Result Group Name data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Imaging Examination Result Group Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Imaging Examination Result Group Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Imaging Examination Result Group Name data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Imaging Examination Result Group Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Imaging Examination Result Group Name data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Group Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Group Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Imaging Examination Result Group Name data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Group Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Imaging Examination Result Group Name data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Group Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Group Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M375" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M375" />
  <xsl:template match="@*|node()" priority="-2" mode="M375">
    <xsl:apply-templates select="@*|*" mode="M375" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-CodeableText-13-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/   cda:entry/cda:observation/cda:entryRelationship/cda:organizer/   cda:component/cda:observation/cda:code " priority="1000" mode="M376">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/   cda:entry/cda:observation/cda:entryRelationship/cda:organizer/   cda:component/cda:observation/cda:code " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Individual Imaging Examination Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and true() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and true() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Individual Imaging Examination Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Individual Imaging Examination Result Name',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Individual Imaging Examination Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Individual Imaging Examination Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Individual Imaging Examination Result Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Individual Imaging Examination Result Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Individual Imaging Examination Result Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Individual Imaging Examination Result Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Individual Imaging Examination Result Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Individual Imaging Examination Result Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Individual Imaging Examination Result Name data element must have a value that is consistent with this definition. Alternatively if there is no Individual Imaging Examination Result Name data element with a proper value then an exclusion
		statement must be included to state why there is no Individual Imaging Examination Result Name.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Individual Imaging Examination Result Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Individual Imaging Examination Result Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Individual Imaging Examination Result Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Individual Imaging Examination Result Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Individual Imaging Examination Result Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Individual Imaging Examination Result Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Individual Imaging Examination Result Name data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Individual Imaging Examination Result Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Individual Imaging Examination Result Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Individual Imaging Examination Result Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Individual Imaging Examination Result Name data element must have a value that is consistent with this definition. Alternatively if there is no Individual Imaging Examination Result Name data element with a proper value then an exclusion
		statement must be included to state why there is no Individual Imaging Examination Result Name.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Individual Imaging Examination Result Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Individual Imaging Examination Result Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Individual Imaging Examination Result Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Individual Imaging Examination Result Name data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Individual Imaging Examination Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Individual Imaging Examination Result Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Individual Imaging Examination Result Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Individual Imaging Examination Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Individual Imaging Examination Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Individual Imaging Examination Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Individual Imaging Examination Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Individual Imaging Examination Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Individual Imaging Examination Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Individual Imaging Examination Result Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Individual Imaging Examination Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Individual Imaging Examination Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Individual Imaging Examination Result Name.
		(See the definition of Individual Imaging Examination Result Name in the Structured Content Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Individual Imaging Examination Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M376" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M376" />
  <xsl:template match="@*|node()" priority="-2" mode="M376">
    <xsl:apply-templates select="@*|*" mode="M376" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-CodeableText-14-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/cda:entryRelationship/cda:organizer/   cda:component/cda:observation/cda:code[(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M377">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/cda:entryRelationship/cda:organizer/   cda:component/cda:observation/cda:code[(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Individual Imaging Examination Result Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Individual Imaging Examination Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Individual Imaging Examination Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Individual Imaging Examination Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Imaging Examination Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Individual Imaging Examination Result Name has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Individual Imaging Examination Result Name data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Imaging Examination Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Individual Imaging Examination Result Name data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Imaging Examination Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Individual Imaging Examination Result Name data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Imaging Examination Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Individual Imaging Examination Result Name data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Individual Imaging Examination Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Individual Imaging Examination Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Individual Imaging Examination Result Name data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Individual Imaging Examination Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Individual Imaging Examination Result Name data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Imaging Examination Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Imaging Examination Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Individual Imaging Examination Result Name data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Imaging Examination Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Individual Imaging Examination Result Name data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Imaging Examination Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Imaging Examination Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M377" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M377" />
  <xsl:template match="@*|node()" priority="-2" mode="M377">
    <xsl:apply-templates select="@*|*" mode="M377" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-CodeableText-15-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/   cda:entry/cda:observation/cda:entryRelationship/cda:organizer/cda:component/   cda:observation/cda:interpretationCode " priority="1000" mode="M378">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/   cda:entry/cda:observation/cda:entryRelationship/cda:organizer/cda:component/   cda:observation/cda:interpretationCode " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Normal Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and true() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and true() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Normal Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Normal Status',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Normal Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Normal Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Normal Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Normal Status however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Normal Status in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Normal Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Normal Status however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Normal Status in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Normal Status data element must have a value that is consistent with this definition. Alternatively if there is no Normal Status data element with a proper value then an exclusion
		statement must be included to state why there is no Normal Status.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Normal Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Normal Status however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Normal Status in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Normal Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Normal Status however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Normal Status in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Normal Status data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Normal Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Normal Status however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Normal Status in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Normal Status data element must have a value that is consistent with this definition. Alternatively if there is no Normal Status data element with a proper value then an exclusion
		statement must be included to state why there is no Normal Status.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Normal Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Normal Status however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Normal Status in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Normal Status data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Normal Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Normal Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Normal Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Normal Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Normal Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Normal Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Normal Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Normal Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Normal Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Normal Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Normal Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Normal Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Normal Status.
		(See the definition of Normal Status in the Structured Content Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Normal Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M378" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M378" />
  <xsl:template match="@*|node()" priority="-2" mode="M378">
    <xsl:apply-templates select="@*|*" mode="M378" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-CodeableText-16-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/cda:entryRelationship/cda:organizer/   cda:component/cda:observation/cda:interpretationCode[(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))]   [not((cda:originalText and matches(cda:originalText, '^\s*normal\s*$', 'is')) or (@codeSystem = '2.16.840.1.113883.5.83' and @code = 'N'))] " priority="1000" mode="M379">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/cda:entryRelationship/cda:organizer/   cda:component/cda:observation/cda:interpretationCode[(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))]   [not((cda:originalText and matches(cda:originalText, '^\s*normal\s*$', 'is')) or (@codeSystem = '2.16.840.1.113883.5.83' and @code = 'N'))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Normal Status '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Normal Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Normal Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Normal Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Normal Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Normal Status has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Normal Status data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Normal Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Normal Status data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Normal Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Normal Status data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Normal Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Normal Status data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Normal Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Normal Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Normal Status data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Normal Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Normal Status data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Normal Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Normal Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Normal Status data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Normal Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Normal Status data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Normal Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Normal Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M379" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M379" />
  <xsl:template match="@*|node()" priority="-2" mode="M379">
    <xsl:apply-templates select="@*|*" mode="M379" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-CodeableText-17-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/   cda:entry/cda:observation/cda:entryRelationship/cda:organizer/cda:component/   cda:observation/cda:referenceRange/cda:observationRange/cda:code " priority="1000" mode="M380">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/   cda:entry/cda:observation/cda:entryRelationship/cda:organizer/cda:component/   cda:observation/cda:referenceRange/cda:observationRange/cda:code " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Reference Range Meaning '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and true() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and true() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Reference Range Meaning '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Reference Range Meaning',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Reference Range Meaning '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Reference Range Meaning '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Reference Range Meaning
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Reference Range Meaning however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Reference Range Meaning in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Reference Range Meaning
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Reference Range Meaning however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Reference Range Meaning in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Reference Range Meaning data element must have a value that is consistent with this definition. Alternatively if there is no Reference Range Meaning data element with a proper value then an exclusion
		statement must be included to state why there is no Reference Range Meaning.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Reference Range Meaning
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Reference Range Meaning however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Reference Range Meaning in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Reference Range Meaning
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Reference Range Meaning however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Reference Range Meaning in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Reference Range Meaning data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Reference Range Meaning
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Reference Range Meaning however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Reference Range Meaning in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Reference Range Meaning data element must have a value that is consistent with this definition. Alternatively if there is no Reference Range Meaning data element with a proper value then an exclusion
		statement must be included to state why there is no Reference Range Meaning.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Reference Range Meaning
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Reference Range Meaning however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Reference Range Meaning in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Reference Range Meaning data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Reference Range Meaning '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Reference Range Meaning
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Reference Range Meaning
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Reference Range Meaning '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Reference Range Meaning '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Reference Range Meaning '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Reference Range Meaning '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Reference Range Meaning '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Reference Range Meaning '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Reference Range Meaning
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Reference Range Meaning '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Reference Range Meaning '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Reference Range Meaning.
		(See the definition of Reference Range Meaning in the Structured Content Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Reference Range Meaning '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M380" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M380" />
  <xsl:template match="@*|node()" priority="-2" mode="M380">
    <xsl:apply-templates select="@*|*" mode="M380" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-CodeableText-18-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/cda:entryRelationship/cda:organizer/   cda:component/cda:observation/cda:referenceRange/cda:observationRange/cda:code   [not(normalize-space(cda:originalText) != '' and not(@codeSystem) and (cda:originalText castable as xs:double or (      (matches(cda:originalText, $number-regex, 'is') or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~'))))]   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))]   [not(matches(cda:originalText, '^(normal|normal\s+range)$', 'is') or matches(@displayName, '^(normal|normal\s+range)$', 'is') or   (@codeSystem = '2.16.840.1.113883.6.96' and @code = '260395002'))] " priority="1000" mode="M381">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/cda:entryRelationship/cda:organizer/   cda:component/cda:observation/cda:referenceRange/cda:observationRange/cda:code   [not(normalize-space(cda:originalText) != '' and not(@codeSystem) and (cda:originalText castable as xs:double or (      (matches(cda:originalText, $number-regex, 'is') or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~'))))]   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))]   [not(matches(cda:originalText, '^(normal|normal\s+range)$', 'is') or matches(@displayName, '^(normal|normal\s+range)$', 'is') or   (@codeSystem = '2.16.840.1.113883.6.96' and @code = '260395002'))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Reference Range Meaning '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Reference Range Meaning
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Reference Range Meaning
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Reference Range Meaning
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Reference Range Meaning
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Reference Range Meaning has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Reference Range Meaning data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Reference Range Meaning
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Reference Range Meaning data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Reference Range Meaning
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Reference Range Meaning data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Reference Range Meaning
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Reference Range Meaning data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Reference Range Meaning
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Reference Range Meaning
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Reference Range Meaning data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Reference Range Meaning
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Reference Range Meaning data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Reference Range Meaning
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Reference Range Meaning
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Reference Range Meaning data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Reference Range Meaning
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Reference Range Meaning data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Reference Range Meaning
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Reference Range Meaning
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M381" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M381" />
  <xsl:template match="@*|node()" priority="-2" mode="M381">
    <xsl:apply-templates select="@*|*" mode="M381" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-CodeableText-19-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/   cda:entry/cda:observation/cda:entryRelationship/cda:organizer/cda:component/cda:observation/cda:targetSiteCode " priority="1000" mode="M382">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/   cda:entry/cda:observation/cda:entryRelationship/cda:organizer/cda:component/cda:observation/cda:targetSiteCode " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Imaging Examination Result Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Imaging Examination Result Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Imaging Examination Result Anatomical Location Name',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Imaging Examination Result Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Imaging Examination Result Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Imaging Examination Result Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Imaging Examination Result Anatomical Location Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Imaging Examination Result Anatomical Location Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Imaging Examination Result Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Imaging Examination Result Anatomical Location Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Imaging Examination Result Anatomical Location Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Imaging Examination Result Anatomical Location Name data element must have a value that is consistent with this definition. Alternatively if there is no Imaging Examination Result Anatomical Location Name data element with a proper value then an exclusion
		statement must be included to state why there is no Imaging Examination Result Anatomical Location Name.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Imaging Examination Result Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Imaging Examination Result Anatomical Location Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Imaging Examination Result Anatomical Location Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Imaging Examination Result Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Imaging Examination Result Anatomical Location Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Imaging Examination Result Anatomical Location Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Imaging Examination Result Anatomical Location Name data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Imaging Examination Result Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Imaging Examination Result Anatomical Location Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Imaging Examination Result Anatomical Location Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Imaging Examination Result Anatomical Location Name data element must have a value that is consistent with this definition. Alternatively if there is no Imaging Examination Result Anatomical Location Name data element with a proper value then an exclusion
		statement must be included to state why there is no Imaging Examination Result Anatomical Location Name.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Imaging Examination Result Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Imaging Examination Result Anatomical Location Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Imaging Examination Result Anatomical Location Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Imaging Examination Result Anatomical Location Name data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Imaging Examination Result Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Imaging Examination Result Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Imaging Examination Result Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Imaging Examination Result Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Imaging Examination Result Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Imaging Examination Result Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Imaging Examination Result Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Imaging Examination Result Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Imaging Examination Result Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Imaging Examination Result Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Imaging Examination Result Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Imaging Examination Result Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Imaging Examination Result Anatomical Location Name.
		(See the definition of Imaging Examination Result Anatomical Location Name in the Structured Content Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Imaging Examination Result Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M382" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M382" />
  <xsl:template match="@*|node()" priority="-2" mode="M382">
    <xsl:apply-templates select="@*|*" mode="M382" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-CodeableText-20-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/   cda:entry/cda:observation/cda:entryRelationship/cda:organizer/cda:component/cda:observation/cda:targetSiteCode   [@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " priority="1000" mode="M383">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/   cda:entry/cda:observation/cda:entryRelationship/cda:organizer/cda:component/cda:observation/cda:targetSiteCode   [@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="pnullFlavor" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @nullFlavor) then @nullFlavor else '' " />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-p-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then false()        else if ($psnomed-id = 'amtv3' and @codeSystemVersion) then exists($v-amtv3[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($psnomed-id = 'snomedctau' and @codeSystemVersion) then exists($v-snomedctau[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false() " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and $pcode != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used to assess the primary code.') " />
    <xsl:variable name="pcode-refsets-1" select="if (@codeSystem = '2.16.840.1.113883.6.96' and not($pcode = ''))         then dh:FindValueDomainsForCode($pcode, '2.16.840.1.113883.6.96', $v-psnomed-version) else 'no-code' " />
    <xsl:variable name="pcode-found" select="not($pcode-refsets-1 = 'no-code' or $pcode-refsets-1 = 'CodeNotFound' or $pcode-refsets-1 = 'Error'        or contains($pcode-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="pcode-refsets" select="if ($pcode-found) then distinct-values(tokenize($pcode-refsets-1, '\|')) else () " />
    <xsl:variable name="pcode-special-proc" select="count($pcode-refsets) = 1 and 'Procedure Foundation (PF)' = $pcode-refsets and not($pnullFlavor = 'OTH') " />
    <xsl:variable name="pcode-refsets-msg" select="if (count($pcode-refsets) = 0) then ''         else if (count($pcode-refsets) = 1) then concat('The code is a member of the ', $pcode-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($pcode-refsets, ', '), '.') " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))         else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-1" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="snomed-trans-2" select="distinct-values(for $i in (1 to count($snomed-trans-1)) return $snomed-trans-1[$i]/@code) " />
    <xsl:variable name="snomed-trans-a" select="$snomed-trans-1[1] " />
    <xsl:variable name="tcode-a" select="if (exists($snomed-trans-a) and matches($snomed-trans-a/@code, $snomed-code-regex)) then $snomed-trans-a/@code else '' " />
    <xsl:variable name="tnullFlavor-a" select="if (exists($snomed-trans-a) and $snomed-trans-a/@nullFlavor) then $snomed-trans-a/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-a" select="if (not(exists($snomed-trans-a))) then 'not-snomed'        else if (not($snomed-trans-a/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-a/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-a" select="if (not(exists($snomed-trans-a))) then ''        else if ($tsnomed-id-a = 'amtv3' and exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-a = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-a/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-a" select="if (not(exists($snomed-trans-a))) then false()        else if ($tsnomed-id-a = 'amtv3' and $snomed-trans-a/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-a = 'snomedctau' and $snomed-trans-a/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-a-msg" select="if (not(exists($snomed-trans-a))) then ''        else if (not($snomed-trans-a/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-a, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-a = 'amtv3') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-a = 'snomedctau') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-a/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-a, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-a/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-a-refsets-1" select="if (exists($snomed-trans-a) and not($tcode-a = ''))         then dh:FindValueDomainsForCode($tcode-a, '2.16.840.1.113883.6.96', $v-tsnomed-version-a) else 'no-code' " />
    <xsl:variable name="tcode-a-found" select="not($tcode-a-refsets-1 = 'no-code' or $tcode-a-refsets-1 = 'CodeNotFound' or $tcode-a-refsets-1 = 'Error'         or contains($tcode-a-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-a-refsets" select="if ($tcode-a-found) then distinct-values(tokenize($tcode-a-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-a-special-proc" select="count($tcode-a-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-a-refsets and not($tnullFlavor-a = 'OTH') " />
    <xsl:variable name="tcode-a-refsets-msg" select="if (count($tcode-a-refsets) = 0) then ''         else if (count($tcode-a-refsets) = 1) then concat('The code is a member of the ', $tcode-a-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-a-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@code and $snomed-trans-a/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-a/@displayName, codepoints-to-string(34))         else if ($snomed-trans-a/@code and not($snomed-trans-a/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@codeSystem and $snomed-trans-a/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-a/@codeSystemName, ')')         else if ($snomed-trans-a/@codeSystem and not($snomed-trans-a/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-b" select="(for $i in (2 to count($snomed-trans-1)) return if ($snomed-trans-1[$i]/@code != $snomed-trans-a/@code) then $snomed-trans-1[$i] else ())[1] " />
    <xsl:variable name="tcode-b" select="if (exists($snomed-trans-b) and matches($snomed-trans-b/@code, $snomed-code-regex)) then $snomed-trans-b/@code else '' " />
    <xsl:variable name="tnullFlavor-b" select="if (exists($snomed-trans-b) and $snomed-trans-b/@nullFlavor) then $snomed-trans-b/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-b" select="if (not(exists($snomed-trans-b))) then 'not-snomed'        else if (not($snomed-trans-b/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-b/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-b" select="if (not(exists($snomed-trans-b))) then ''        else if ($tsnomed-id-b = 'amtv3' and exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-b = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-b/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-b" select="if (not(exists($snomed-trans-b))) then false()        else if ($tsnomed-id-b = 'amtv3' and $snomed-trans-b/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-b = 'snomedctau' and $snomed-trans-b/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-b-msg" select="if (not(exists($snomed-trans-b))) then ''        else if (not($snomed-trans-b/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-b, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-b = 'amtv3') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-b = 'snomedctau') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-b/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-b, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-b/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-b-refsets-1" select="if (exists($snomed-trans-b) and not($tcode-b = ''))         then dh:FindValueDomainsForCode($tcode-b, '2.16.840.1.113883.6.96', $v-tsnomed-version-b) else 'no-code' " />
    <xsl:variable name="tcode-b-found" select="not($tcode-b-refsets-1 = 'no-code' or $tcode-b-refsets-1 = 'CodeNotFound' or $tcode-b-refsets-1 = 'Error'         or contains($tcode-b-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-b-refsets" select="if ($tcode-b-found) then distinct-values(tokenize($tcode-b-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-b-special-proc" select="count($tcode-b-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-b-refsets and not($tnullFlavor-b = 'OTH') " />
    <xsl:variable name="tcode-b-refsets-msg" select="if (count($tcode-b-refsets) = 0) then ''         else if (count($tcode-b-refsets) = 1) then concat('The code is a member of the ', $tcode-b-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-b-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@code and $snomed-trans-b/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-b/@displayName, codepoints-to-string(34))         else if ($snomed-trans-b/@code and not($snomed-trans-b/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@codeSystem and $snomed-trans-b/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-b/@codeSystemName, ')')         else if ($snomed-trans-b/@codeSystem and not($snomed-trans-b/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-60" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-60 else $rating-alt-TC-Types-60 " />
    <!--REPORT -->
    <xsl:if test=" $pcode-found and $pcode-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pcode-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD (p-TS-CD-SCT-RefSet): An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$pcode" /><xsl:text />',
		codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-psnomed-version" /><xsl:text />'. This error occurred when assessing the Imaging Examination Result Anatomical Location Name data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Imaging Examination Result Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. The value is not valid for the data element as it describes a medical
		procedure and not a medical problem or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and   not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Imaging Examination Result Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the code is not a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the Result Group (IMAGING EXAMINATION RESULT GROUP) section         of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and   not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Imaging Examination Result Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the Result Group (IMAGING EXAMINATION RESULT GROUP) section         of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and   exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Imaging Examination Result Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the Result Group (IMAGING EXAMINATION RESULT GROUP) section         of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and   exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Imaging Examination Result Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. Confirm if the code is a member of the value domain.
		If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the Result Group (IMAGING EXAMINATION RESULT GROUP) section         of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Imaging Examination Result Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="count($snomed-trans-1)" /><xsl:text /> translation elements with
		codes and the SNOMED CT-AU codeSystem '2.16.840.1.113883.6.96'. The first two translation elements have been assessed to determine if the codes are members of the value domain
		and the others have not been assessed. Confirm if the value of the code attribute in all SNOMED CT translation elements meets the requirement that it be a member of the value domain
		if there is no nullFlavor 'OTH' or that there is a nullFlavor 'OTH' if the value of the code attribute is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text /> 
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the Result Group (IMAGING EXAMINATION RESULT GROUP) section         of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-a" /><xsl:text />'. This error occurred when assessing the Imaging Examination Result Anatomical Location Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Imaging Examination Result Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and   not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Imaging Examination Result Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the Result Group (IMAGING EXAMINATION RESULT GROUP) section         of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and   not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Imaging Examination Result Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the Result Group (IMAGING EXAMINATION RESULT GROUP) section         of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and   exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Imaging Examination Result Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the Result Group (IMAGING EXAMINATION RESULT GROUP) section         of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and   exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Imaging Examination Result Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the Result Group (IMAGING EXAMINATION RESULT GROUP) section         of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-b" /><xsl:text />'. This error occurred when assessing the Imaging Examination Result Anatomical Location Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Imaging Examination Result Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> 
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and   not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Imaging Examination Result Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the Result Group (IMAGING EXAMINATION RESULT GROUP) section         of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and   not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Imaging Examination Result Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the Result Group (IMAGING EXAMINATION RESULT GROUP) section         of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and   exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Imaging Examination Result Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the Result Group (IMAGING EXAMINATION RESULT GROUP) section         of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and   exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Imaging Examination Result Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the Result Group (IMAGING EXAMINATION RESULT GROUP) section         of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M383" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M383" />
  <xsl:template match="@*|node()" priority="-2" mode="M383">
    <xsl:apply-templates select="@*|*" mode="M383" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-CodeableText-21-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/   cda:entry/cda:observation/cda:entryRelationship/cda:organizer/cda:component/cda:observation/cda:targetSiteCode[@displayName]   [(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-body-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])][not(@nullFlavor = $no-value-NF)] " priority="1000" mode="M384">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/   cda:entry/cda:observation/cda:entryRelationship/cda:organizer/cda:component/cda:observation/cda:targetSiteCode[@displayName]   [(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-body-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])][not(@nullFlavor = $no-value-NF)] " />
    <xsl:variable name="pcode" select="if ('2.16.840.1.113883.6.96' = $defn-body-trusted and          @codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="snomed-trans" select="if ('2.16.840.1.113883.6.96' = $defn-body-trusted and cda:translation)         then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="tcode" select="if (exists($snomed-trans[1]) and matches($snomed-trans[1]/@code, $snomed-code-regex)) then $snomed-trans[1]/@code else '' " />
    <xsl:variable name="code-present" select="$pcode != '' or $tcode != '' " />
    <xsl:variable name="invalid-code-system" select="@code and @displayName and @codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="codesystemvalues" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']" />
    <xsl:variable name="otext-without-markup" select="if (cda:originalText and cda:originalText != '') then normalize-space(replace(cda:originalText, $markup-regex, ' ')) else '' " />
    <xsl:variable name="pdname" select="if (@displayName and not($invalid-code-system)) then normalize-space(@displayName) else '' " />
    <xsl:variable name="max-code-number" select="if ($knowledge/search-for-term/max-sct-code-number/@value &gt; '5') then $knowledge/search-for-term/max-sct-code-number/@value else '5' " />
    <xsl:variable name="der-text-1" select="if ($code-present) then ''         else if ($otext-without-markup != '') then $otext-without-markup        else if ($pdname != '') then $pdname        else '' " />
    <xsl:variable name="der-text-2a" select="if ($der-text-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-text-1, $body-fir-pattern-replacement, 'ic')) " />
    <xsl:variable name="der-text-2" select="if ($der-text-2a = '') then $der-text-1 else $der-text-2a " />
    <xsl:variable name="family-err" select="matches($der-text-1, $family-regex, 'i')" />
    <xsl:variable name="length-err" select="string-length($der-text-1) &gt; $length-err-max" />
    <xsl:variable name="avoid-ts" select="$family-err or $length-err or not($use-ts-for-sctau) " />
    <xsl:variable name="der-text-a" select="if ($body-replacements = '' or $der-text-2 = '') then $der-text-2        else normalize-space(dh:XQueryRecursiveReplace($der-text-2, $body-replacements, 'ic')) " />
    <xsl:variable name="der-text" select="if ($der-text-a = '') then $der-text-2 else $der-text-a " />
    <xsl:variable name="defn-valid-regex" select="concat('(^|\|)', translate($der-text-2, $chars-to-remove, ''), '(\||$)') " />
    <xsl:variable name="der-text-to-match-1" select="lower-case($der-text-2) " />
    <xsl:variable name="der-text-to-match" select="translate($der-text-to-match-1, $chars-to-remove, '') " />
    <xsl:variable name="der-text-non-value" select="if ($code-present or @nullFlavor = $no-value-NF) then false() else         $der-text-to-match = ''              or         not(matches($der-text-to-match-1, '[a-z]', 'i'))          or        ($cd-definitions/non-value/@regex != '' and matches($der-text-to-match-1, $cd-definitions/non-value/@regex, 'i'))  or        (exists($cd-definitions/body/@non-value-regex) and matches($der-text-to-match-1, $cd-definitions/body/@non-value-regex, 'i')) " />
    <xsl:variable name="defn-invalid-regex" select="if ($code-present or $der-text-non-value) then ()        else if ($cd-definitions/body/@invalid-regex) then tokenize($cd-definitions/body/@invalid-regex, '~')[. != '']         else () " />
    <xsl:variable name="defn-invalid-txt-regex" select="(for $i in (1 to count($defn-invalid-regex)) return normalize-space(substring-before($defn-invalid-regex[$i], '[[')))[. != '']" />
    <xsl:variable name="der-invalid-text-regex-1" select="if (exists($defn-invalid-txt-regex))        then index-of(for $i in (1 to count($defn-invalid-txt-regex)) return matches($der-text-2, $defn-invalid-txt-regex[$i], 'i'), true())        else () " />
    <xsl:variable name="der-invalid-text" select="exists($der-invalid-text-regex-1) " />
    <xsl:variable name="defn-invalid-rsn" select="if ($der-invalid-text)         then normalize-space(substring-before(substring-after($defn-invalid-regex[$der-invalid-text-regex-1[1]], '[['), ']]'))         else '' " />
    <xsl:variable name="trusted-code-systems" select="if ($der-text = '' or $der-invalid-text or not(@codeSystem or cda:translation/@codeSystem)) then ()        else (tokenize(replace($cd-definitions/body/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/body/@extra, '\s+', ''), '\|'))[. != ''] " />
    <xsl:variable name="der-trusted-text" select="if ($der-text = '' or $der-invalid-text or (@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex)))) then false()        else ((@codeSystem and exists($trusted-code-systems[. = current()/@codeSystem])) or               (cda:translation/@codeSystem and exists($trusted-code-systems[. = current()/cda:translation/@codeSystem]))) " />
    <xsl:variable name="valid-body-1" select="if ($code-present or $der-text-non-value or $der-invalid-text or not($cd-definitions/body/@valid-regex)) then false()        else exists(index-of(for $regex in (tokenize($cd-definitions/body/@valid-regex, '~')[. != '']) return          matches($der-text-2, dh:XQueryRecursiveReplace(normalize-space($regex), ' \|~|~\| ~|', ''), 'is'), true())) " />
    <xsl:variable name="invalid-hierarchy" select="if (exists($cd-definitions/body/body-invalid/hierarchy))         then string-join(for $hierarchy in $cd-definitions/body/body-invalid/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-refset" select="if (exists($cd-definitions/body/body-invalid/refset))          then string-join(for $refset in $cd-definitions/body/body-invalid/refset return concat('^', $refset/@code), ' OR ')         else '' " />
    <xsl:variable name="valid-refset" select="'^32570061000036105' " />
    <xsl:variable name="valid-domain" select="if ($invalid-refset != '' and $invalid-hierarchy != '')         then concat('((', $valid-refset, ') MINUS (', $invalid-refset, ' OR (', $invalid-hierarchy, ')))')        else if ($invalid-refset = '' and $invalid-hierarchy != '') then concat('((', $valid-refset, ') MINUS (', $invalid-hierarchy, '))')         else if ($invalid-refset != '' and $invalid-hierarchy = '') then concat('((', $valid-refset, ') MINUS (', $invalid-refset, '))')        else concat('(', $valid-refset, ')') " />
    <xsl:variable name="related-terms-1" select="if ($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-body-1) then ()        else ($codesystemvalues/code[@related-terms], $codesystemvalues/related-terms[@related-terms]) " />
    <xsl:variable name="related-terms-2" select="for $i in index-of(        for $concept in $related-terms-1 return matches(translate($concept/@related-terms, $chars-no-pipe, ''), $defn-valid-regex, 'i'), true())         return $related-terms-1[$i]/@code " />
    <xsl:variable name="der-body-codes-1" select="if (exists($related-terms-2)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($related-terms-2, ' OR '), ') AND (', $valid-domain, ')'), '', string(count($related-terms-2)), false())        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $der-body-codes-1 " />
    <xsl:variable name="der-valid-codes-1" select="if (contains($der-body-codes-1, '[')) then $der-body-codes-1 else '' " />
    <xsl:variable name="valid-body-2" select="$valid-body-1 or $der-valid-codes-1 != '' " />
    <xsl:variable name="body-inactive-refSets" select="if (exists($cd-definitions/body/body-invalid/inactive-refset))         then concat('((', $inactive-refSets, ') MINUS (',           string-join(for $refset in $cd-definitions/body/body-invalid/inactive-refset return concat('^', $refset/@code), ' OR '),          '))')         else $inactive-refSets " />
    <xsl:variable name="formula" select="concat($valid-domain, ' OR ', $body-inactive-refSets) " />
    <xsl:variable name="ts-not-needed" select="$der-text = '' or $der-text-non-value or $der-invalid-text or $valid-body-2 or $avoid-ts " />
    <xsl:variable name="der-body-codes-2" select="if ($ts-not-needed or exists($related-terms-2)) then ()         else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-text,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or 'Error' = $der-body-codes-2 " />
    <xsl:variable name="der-valid-codes-2" select="if ($der-valid-codes-1 != '') then $der-valid-codes-1        else if ($error-usingTS-2) then ''         else string-join((for $code in $der-body-codes-2 return if (contains($code, '~inactive')) then '' else $code)[. != ''], '|')  " />
    <xsl:variable name="valid-body-3" select="$valid-body-2 or $der-valid-codes-2 != '' " />
    <xsl:variable name="der-inactive-codes-1" select="if ($valid-body-3) then () else        for $code in $der-body-codes-2 return if (contains($code, '~inactive')) then replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is') else '' " />
    <xsl:variable name="der-inactive-codes-2" select="for $i in (1 to count($der-inactive-codes-1)) return         dh:IsCodeAssociatedWithAnotherCode($der-inactive-codes-1[$i], '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-1" select="'Error' = $der-inactive-codes-2 " />
    <xsl:variable name="der-NAF-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-NAF-active-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound~active')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-inactive-codes-3" select="tokenize(string-join(for $i in (1 to count($der-inactive-codes-1)) return replace(string-join(tokenize($der-inactive-codes-2[$i], '\|')        [matches(., '(REPLACED BY|SAME AS|ALTERNATIVE|POSSIBLY EQUIVALENT TO|MAY BE A|WAS A)')], '|'), '[0-9]+~[A-Z ]+~([0-9]+)', '$1'), '|'), '\|')        [. != ''] " />
    <xsl:variable name="der-body-codes-3" select="if (exists($der-inactive-codes-3)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($der-inactive-codes-3, ' OR '), ') AND (', $valid-domain, ')'), '', string(count($der-inactive-codes-3)), false())          else '' " />
    <xsl:variable name="error-usingTS-3" select="$error-usingTS-2 or 'Error' = $der-body-codes-3 " />
    <xsl:variable name="der-valid-codes-3" select="if ($der-valid-codes-2 != '') then $der-valid-codes-2        else if (contains($der-body-codes-3, '[')) then $der-body-codes-3        else '' " />
    <xsl:variable name="valid-body-4" select="$valid-body-3 or $der-valid-codes-3 != '' " />
    <xsl:variable name="invalid-domain" select="if ($invalid-hierarchy != '' and $invalid-refset != '') then concat($invalid-hierarchy, ' OR ', $invalid-refset)        else if ($invalid-hierarchy != '') then $invalid-hierarchy        else if ($invalid-refset != '') then $invalid-refset        else '' " />
    <xsl:variable name="der-body-codes-4" select="if ($ts-not-needed or $valid-body-4 or $invalid-domain = '') then ()        else if (exists($related-terms-2)) then $related-terms-2        else distinct-values((tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          $invalid-domain, $der-text, $max-code-number, false()), '(\[.*?\])(\||$)', '$2'), '\|'), $der-inactive-codes-3)) " />
    <xsl:variable name="error-usingTS-4" select="$error-usingTS-3 or 'Error' = $der-body-codes-4 " />
    <xsl:variable name="invalid-body-codes-r" select="if ($ts-not-needed or $valid-body-4 or $error-usingTS-4 or not(exists($der-body-codes-4))) then ()        else if ($invalid-refset = '') then tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-body-codes-4, ' OR '), ') AND (', $inactive-refSets, ')'), '',           string(count($der-body-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')        else tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-body-codes-4, ' OR '), ') AND (', $invalid-refset, ' OR ', $inactive-refSets, ')'), '',           string(count($der-body-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')  " />
    <xsl:variable name="error-usingTS-5" select="$error-usingTS-4 or 'Error' = $invalid-body-codes-r " />
    <xsl:variable name="der-body-codes-4-h" select="if ($error-usingTS-5) then () else $der-body-codes-4[not(. = $invalid-body-codes-r)]" />
    <xsl:variable name="invalid-body-codes-h" select="if ($ts-not-needed or $valid-body-4 or 'Error' = $der-body-codes-4 or $body-invalid-hierarchy = '' or not(exists($der-body-codes-4-h))) then ()        else (for $code in $der-body-codes-4-h return          if (dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;&gt;', $code, ' MINUS ', $body-invalid-hierarchy), '', '1', false()) = '') then $code else '')[. != ''] " />
    <xsl:variable name="invalid-body-codes" select="($invalid-body-codes-h, $invalid-body-codes-r) " />
    <xsl:variable name="der-body-codes-5" select="$der-body-codes-4[not(. = $invalid-body-codes or . = 'Error')]" />
    <xsl:variable name="der-valid-codes-4" select="if ($der-valid-codes-3 != '') then $der-valid-codes-3        else if ($ts-not-needed or $valid-body-4 or $valid-domain = '' or not(exists($der-body-codes-5))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-body-codes-5, ' OR '), ') AND ', $valid-domain), '', string(count($der-body-codes-5)), false()) " />
    <xsl:variable name="error-usingTS-6" select="$error-usingTS-5 or 'Error' = $der-valid-codes-4 " />
    <xsl:variable name="valid-body-5" select="$valid-body-4 or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="undetermined-body-1" select="$der-body-codes-5[not(. = tokenize(replace($der-valid-codes-4,  '(\[.*?\])(\||$)', '$2'), '\|'))]" />
    <xsl:variable name="undetermined-inactive-1" select="for $i in (1 to count($undetermined-body-1)) return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $undetermined-body-1[$i], '', '1', false()) " />
    <xsl:variable name="error-usingTS-7" select="$error-usingTS-6 or 'Error' = $undetermined-inactive-1 " />
    <xsl:variable name="undetermined-inactive" select="(for $i in (1 to count($undetermined-body-1)) return         if (contains($undetermined-inactive-1[$i], '~inactive')) then $undetermined-inactive-1[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-1" select="for $i in (1 to count($undetermined-inactive))        return dh:IsCodeAssociatedWithAnotherCode(replace($undetermined-inactive[$i], '(\[.*?\])(\||$)', '$2'), '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-2" select="$error-usingV-1 or 'Error' = $undetermined-NAF-1 " />
    <xsl:variable name="undetermined-NAF" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-codes" select="for $term in $undetermined-NAF return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-NAF-active" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound~active')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-active-codes" select="for $term in $undetermined-NAF-active return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-body" select="$undetermined-body-1[not(. = ($undetermined-NAF-codes, $undetermined-NAF-active-codes))]" />
    <xsl:variable name="invalid-body" select="not($valid-body-5) and exists($invalid-body-codes) and not(exists($undetermined-body))" />
    <xsl:variable name="codes-were-found" select="exists($der-body-codes-4) or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="codes-not-found" select="not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-body-5 or $invalid-body) " />
    <xsl:variable name="codes-in-the-domain" select="not($valid-body-1) and $valid-body-5" />
    <xsl:variable name="codes-in-other-domain" select="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-body-5 or $invalid-body or         $error-usingTS-7) " />
    <xsl:variable name="codes-in-no-domain" select="exists($der-body-codes-5) " />
    <xsl:variable name="display-in-the-domain" select="if ($codes-in-the-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', '), '''')        else '' " />
    <xsl:variable name="display-in-other-r" select="if (exists($invalid-body-codes-r) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-body-codes-r return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-h" select="if (exists($invalid-body-codes-h) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-body-codes-h return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-domain" select="if (not($codes-in-other-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))) then ''        else if ($display-in-other-r and display-in-other-h) then concat('''', $display-in-other-r, ', ', $display-in-other-h, '''')        else if ($display-in-other-r) then concat('''', $display-in-other-r, '''')        else if ($display-in-other-h) then concat('''', $display-in-other-h, '''')        else '' " />
    <xsl:variable name="display-in-no-domain" select="if ($codes-in-no-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', dh:XQueryRecursiveReplace(string-join(for $code in $der-body-codes-5 return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), '; '),          $term-pattern-replacement, 'ic'), '''')        else '' " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))        else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="log-concepts-appended" select="if ($error-usingTS-7 or not($flags/@report-terminology-concepts = 'true') or $log-concepts-name = '') then ''        else if ($codes-not-found and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                   'Body',     $log-tab,                   'yes',     $log-tab,                   concat($display-code, $display-system), $log-tab,                   '',     $log-tab,                  '',     $log-tab,                  '',     $log-tab,                  $ts-current-sctau   ))        else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <!--REPORT -->
    <xsl:if test=" $log-concepts-appended = ('NOTFOUND', 'ERROR') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$log-concepts-appended = ('NOTFOUND', 'ERROR')">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Body-Defn): The AppendLog function returned '<xsl:text /><xsl:value-of select="$log-concepts-appended" /><xsl:text />' when requested to append the concepts log
		'<xsl:text /><xsl:value-of select="$log-concepts-name" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-body-5) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-body-5)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Body-Defn): An unexpected problem occurred when assessing the value of the Imaging Examination Result Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. The application of regular expressions resulted in the complete loss of text.
		Report the information below to the Australian Digital Health Agency for investigation.

		der-text-1 '<xsl:text /><xsl:value-of select="normalize-space(dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'))" /><xsl:text />'.
		der-text-2a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-2a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-a, $term-pattern-replacement, 'ic')" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingV-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingV-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Body-Defn): An error was reported when accessing the terminology server when assessing the Imaging Examination Result Anatomical Location Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		Report the issue to the Australian Digital Health Agency for investigation stating the error was recorded for error-usingV-2.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-7 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-7">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Body-Defn): An error was reported when accessing the terminology server when assessing the Imaging Examination Result Anatomical Location Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term:
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The analysis should be retried as the terminology server may have been temporarily unavailable.
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation, stating that the error was found by
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'error-usingTS-1' else if ($error-usingTS-2) then 'error-usingTS-2'   else if ($error-usingTS-3) then 'error-usingTS-3' else if ($error-usingTS-4) then 'error-usingTS-4'   else if ($error-usingTS-5) then 'error-usingTS-5' else if ($error-usingTS-6) then 'error-usingTS-6'   else 'error-usingTS-7' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $codes-not-found">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Imaging Examination Result Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the Result Group (IMAGING EXAMINATION RESULT GROUP) section         of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$codes-in-other-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$codes-in-other-domain">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Imaging Examination Result Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value does not seem to be applicable for the data element.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Imaging Examination Result Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Imaging Examination Result Anatomical Location Name data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Imaging Examination Result Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Imaging Examination Result Anatomical Location Name data element must have a value that is consistent with this definition. Alternatively if there is no Imaging Examination Result Anatomical Location Name data element with a proper value then an exclusion
		statement must be included to state why there is no Imaging Examination Result Anatomical Location Name. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4')    then concat('Text such as ''', dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'), ''' may be permitted in the narrative even though the Imaging Examination Result Anatomical Location Name data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Imaging Examination Result Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Imaging Examination Result Anatomical Location Name data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($der-text-non-value) and $der-invalid-text ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($der-text-non-value) and $der-invalid-text">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Imaging Examination Result Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid. <xsl:text /><xsl:value-of select="$defn-invalid-rsn" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $invalid-body and not($error-usingTS-7) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$invalid-body and not($error-usingTS-7)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Imaging Examination Result Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid
		<xsl:text /><xsl:value-of select="if (exists($invalid-body-codes-h)) then concat(' as it describes ', string-join(distinct-values(for $code in tokenize(replace(   dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat('(', string-join(for $code in $invalid-body-codes-h return concat('&gt;&gt;', $code), ' OR '), ') AND (',    string-join(for $hierarchy in $cd-definitions/body/body-invalid/hierarchy return $hierarchy/@code, ' OR '), ')'), '',    string(count($invalid-body-codes-h)), true()), '(\[.*?\])(\||$)', '$2'), '\|') return $cd-definitions/body/body-invalid/hierarchy[@code = $code]/@description)[position() = (1 to 2)], ' and '), '.')    else if (exists($invalid-body-codes-r)) then concat(' as it describes ', string-join(distinct-values(for $code in $invalid-body-codes-r return   $cd-definitions/body/body-invalid/refset[index-of(for $x in (for $refset in $cd-definitions/body/body-invalid/refset return    dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat($code, ' AND ^', $refset/@code), '', '1', true()), '|') return matches($x, '^[0-9]'), true())[1]]/@description), ' and '), '.')   else '.'" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable outside the applicable value domain): The Imaging Examination Result Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following codes were obtained and are not in the value domain: <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-Body-Defn): The Imaging Examination Result Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU and no associated code was found in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists(($der-NAF-active-codes, $undetermined-NAF-active-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists(($der-NAF-active-codes, $undetermined-NAF-active-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-Body-Defn): The Imaging Examination Result Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-active-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU but it was not found with this status in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.
		<xsl:text /><xsl:value-of select="if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $valid-body-1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $valid-body-1">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable within the value domain): The Imaging Examination Result Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which matches one of the terms listed in Knowledge.xml for the Imaging Examination Result Anatomical Location Name.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (concept is codeable within the value domain): The Imaging Examination Result Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a valid value for the Imaging Examination Result Anatomical Location Name.
		SNOMED CT-AU codes that matched the concept are: <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-body-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-body-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Imaging Examination Result Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The text used to match regular expression (der-text-2) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to match non-values (der-text-to-match) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-to-match, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to derive a code (der-text) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The SNOMED CT-AU version used to find codes is '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' and the maximum code number is '<xsl:text /><xsl:value-of select="$max-code-number" /><xsl:text />'.

		Codes for related terms (related-terms-2): '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($related-terms-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes for related terms (der-valid-codes-1): 
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-1, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-body-codes-2) returned by the terminology server that match the text:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-body-codes-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes from related terms or the terminology server (der-valid-codes-2):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-2, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-inactive-codes-3) returned from the Validator's database associated with inactive codes:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-inactive-codes-3, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes found after examining inactive codes (der-valid-codes-3):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-3, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Members of invalid reference sets (invalid-body-codes-r): '<xsl:text /><xsl:value-of select="$display-in-other-r" /><xsl:text />'.
		Members of invalid code hierarchies (invalid-body-codes-h): '<xsl:text /><xsl:value-of select="$display-in-other-h" /><xsl:text />'.

		Final set of valid codes (der-valid-codes-4):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes whose validity has not been determined (der-body-codes-5):  <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.
		Codes whose validity has not been determined and are inactive with no associated code (undetermined-NAF): '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(    string-join($undetermined-NAF, ''', '''), $markup-pattern-replacement, 'ic')" /><xsl:text />'.

		Will the value of the data element be trusted (der-trusted-text)? '<xsl:text /><xsl:value-of select="$der-trusted-text" /><xsl:text />'.
		
	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and $codes-not-found">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept not codeable): The Imaging Examination Result Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($avoid-ts) then 'The terminology server was not used to assist with finding codes corresponding to text in the data element. ' else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M384" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M384" />
  <xsl:template match="@*|node()" priority="-2" mode="M384">
    <xsl:apply-templates select="@*|*" mode="M384" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-CodeableText-22-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/cda:entryRelationship/cda:organizer/   cda:component/cda:observation/cda:targetSiteCode[@code]   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M385">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/cda:entryRelationship/cda:organizer/   cda:component/cda:observation/cda:targetSiteCode[@code]   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Imaging Examination Result Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Imaging Examination Result Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Imaging Examination Result Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Imaging Examination Result Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Imaging Examination Result Anatomical Location Name has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Imaging Examination Result Anatomical Location Name data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Imaging Examination Result Anatomical Location Name data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Imaging Examination Result Anatomical Location Name data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Imaging Examination Result Anatomical Location Name data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Imaging Examination Result Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Imaging Examination Result Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Imaging Examination Result Anatomical Location Name data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Imaging Examination Result Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Imaging Examination Result Anatomical Location Name data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Imaging Examination Result Anatomical Location Name data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Imaging Examination Result Anatomical Location Name data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M385" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M385" />
  <xsl:template match="@*|node()" priority="-2" mode="M385">
    <xsl:apply-templates select="@*|*" mode="M385" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-CodeableText-23-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/   cda:entry/cda:observation/cda:entryRelationship/cda:act/cda:entryRelationship/   cda:act/cda:entryRelationship/cda:observation/cda:value " priority="1000" mode="M386">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/   cda:entry/cda:observation/cda:entryRelationship/cda:act/cda:entryRelationship/   cda:act/cda:entryRelationship/cda:observation/cda:value " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Image View Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and true() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and true() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Image View Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Image View Name',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Image View Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Image View Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Image View Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Image View Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Image View Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Image View Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Image View Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Image View Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Image View Name data element must have a value that is consistent with this definition. Alternatively if there is no Image View Name data element with a proper value then an exclusion
		statement must be included to state why there is no Image View Name.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Image View Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Image View Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Image View Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Image View Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Image View Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Image View Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Image View Name data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Image View Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Image View Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Image View Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Image View Name data element must have a value that is consistent with this definition. Alternatively if there is no Image View Name data element with a proper value then an exclusion
		statement must be included to state why there is no Image View Name.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Image View Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Image View Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Image View Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Image View Name data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Image View Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Image View Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Image View Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Image View Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Image View Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Image View Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Image View Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Image View Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Image View Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Image View Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Image View Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Image View Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Image View Name.
		(See the definition of Image View Name in the Structured Content Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Image View Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M386" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M386" />
  <xsl:template match="@*|node()" priority="-2" mode="M386">
    <xsl:apply-templates select="@*|*" mode="M386" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-CodeableText-24-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/   cda:entry/cda:observation/cda:entryRelationship/cda:act/cda:entryRelationship/   cda:act/cda:entryRelationship/cda:observation/cda:value[(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M387">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/   cda:entry/cda:observation/cda:entryRelationship/cda:act/cda:entryRelationship/   cda:act/cda:entryRelationship/cda:observation/cda:value[(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Image View Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Image View Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Image View Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Image View Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Image View Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Image View Name has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Image View Name data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Image View Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Image View Name data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Image View Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Image View Name data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Image View Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Image View Name data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Image View Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Image View Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Image View Name data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Image View Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Image View Name data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Image View Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Image View Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Image View Name data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Image View Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Image View Name data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Image View Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Image View Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M387" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M387" />
  <xsl:template match="@*|node()" priority="-2" mode="M387">
    <xsl:apply-templates select="@*|*" mode="M387" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-CodedText-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/   cda:entry/cda:observation/cda:targetSiteCode/cda:qualifier[cda:name[@codeSystem='2.16.840.1.113883.6.96' and (@code='272741003' or @code='78615007')]]/cda:value " priority="1000" mode="M388">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/   cda:entry/cda:observation/cda:targetSiteCode/cda:qualifier[cda:name[@codeSystem='2.16.840.1.113883.6.96' and (@code='272741003' or @code='78615007')]]/cda:value " />
    <xsl:variable name="tc-types-49-err" select="@nullFlavor = ('PINF', 'NINF', 'QS', 'TRC') or (@nullFlavor='UNC' and (not(cda:originalText) or normalize-space(cda:originalText) = '')) " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="family-err" select="cda:originalText and matches(cda:originalText, $family-regex, 'i')" />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; 200" />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and @code != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used with the Clinical Package Validator to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used with the Clinical Package Validator to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the primary code.') " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-06-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-06-step-2 else $rating-alt-TC-Types-06-step-2 " />
    <xsl:variable name="rating-07-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-1 else $rating-alt-TC-Types-07-step-1 " />
    <xsl:variable name="rating-07-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-2 else $rating-alt-TC-Types-07-step-2 " />
    <xsl:variable name="rating-08" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-08 else $rating-alt-TC-Types-08 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-07: The Test Specimen Detail - Specific Location - Side '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data
		type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to the Structured Content Specification the Test Specimen Detail - Specific Location - Side '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which is derived from the HL7 'CD' data type however xsi:type '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to the Structured Content Specification the Test Specimen Detail - Specific Location - Side '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:translation">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:translation">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Test Specimen Detail - Specific Location - Side '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'translation' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value
		domain, with no exceptions. A translation translates the value into a code from another code systems, so translations are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:qualifier">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:qualifier">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Test Specimen Detail - Specific Location - Side
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'qualifier' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value domain,
		with no exceptions. A qualifier constrains the value, so qualifiers are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Specimen Detail - Specific Location - Side '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen Detail - Specific Location - Side
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen Detail - Specific Location - Side
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen Detail - Specific Location - Side
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present and is not expected
		for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen Detail - Specific Location - Side
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />'
		is present and is not expected for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-terminology-concepts = 'true' and not(true() or false() or $family-err or $length-err) and    not(@nullFlavor) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and not(true() or false() or $family-err or $length-err) and not(@nullFlavor)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (value domain not specified): The Test Specimen Detail - Specific Location - Side '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The CodedText data type has the requirement that values must come from the specified bound value domain with no exceptions but a value domain has not been specified for the
		Test Specimen Detail - Specific Location - Side '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Test Specimen Detail - Specific Location - Side',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="false() and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != '2.16.840.1.113883.6.96'))  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != '2.16.840.1.113883.6.96'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-06-step-2" /><xsl:text />: TC-Types-06 step 2: According to the Structured Content Specification the Test Specimen Detail - Specific Location - Side '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. The
		CodedText data type has the requirement that values must come from the bound value domain with no exceptions. Therefore the value of the codeSystem attribute must be a publicly available
		code system. The Test Specimen Detail - Specific Location - Side data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide states the code system is 'NS' (not stated) with the requirement 'When national standard code sets become
		available, they SHALL be used'. The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> which is after the national standard code set became available
		for use on the <xsl:text /><xsl:value-of select="''" /><xsl:text />. The code system that must be used is
		<xsl:text /><xsl:value-of select="if ('2.16.840.1.113883.6.96' = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = '32570611000036103']/@referenceSetName, ' (ConceptId ''', '32570611000036103', ''')')   else concat('2.16.840.1.113883.6.96', ' (', $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/@codeSystemName, ')')" /><xsl:text /><xsl:text /><xsl:value-of select="if (not(@codeSystem)) then '.'    else if (@codeSystemName) then concat(' however codeSystem ''', @codeSystem, ''' (', @codeSystemName, ') is present.')   else concat(' however a codeSystem attribute with the value ''', @codeSystem, ''' is present.') " /><xsl:text />
		(See section 1.8 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide, <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 7 of the CDA Implementation Guide for the
		information about the value domain.)
		<xsl:text /><xsl:value-of select="if ('32570611000036103' = '11000036103') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = '32570611000036103']/@referenceSetName,     ' are Allergic reaction (''419076005''), Medication side-effect (''401207004'') and Drug interaction (''79899007'').')    else if ('32570611000036103' = '15071000036100') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = '32570611000036103']/@referenceSetName,     ' are Prescribed (''105681000036100''), Suspended (''385655000'') and Unchanged (''105701000036103'').')    else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'OTH' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'OTH'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Test Specimen Detail - Specific Location - Side '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore it is not valid for the data element to have nullFlavor 'OTH' to indicate that the
		actual value is not a member of the set of permitted data values in the constrained value domain. 
		(See the requirements for Test Specimen Detail - Specific Location - Side and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Specimen Detail - Specific Location - Side '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type<xsl:text /><xsl:value-of select="if (not(false())) then '.' else   concat(' and section 7 of the CDA Implementation Guide states the vocabulary is ''', '2.16.840.1.113883.6.96', ''' (', $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/@codeSystemName, ').') " /><xsl:text />
		The CodedText data type has
		the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor attribute
		to indicate there is no value, however a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) is present and is not one of the nullFlavor values that indicate there is no value.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@nullFlavor or @code) and not(false() and not(@nullFlavor) and not(@codeSystem)) and cda:originalText ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor or @code) and not(false() and not(@nullFlavor) and not(@codeSystem)) and cda:originalText">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Test Specimen Detail - Specific Location - Side '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor
		attribute to indicate there is no value. The only information found in the data element is originalText '<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />'.
		(See the requirements for Test Specimen Detail - Specific Location - Side and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)
		<xsl:text /><xsl:value-of select="if (local-name(.) = 'jobClassCode') then concat('Consider using the METeOR 314867 ''Employment type'' code system (codeSystem ''2.16.840.1.113883.3.879.314867'') which has ',   'codes for ''Permanent'', ''Fixed term contract'', ''Casual'' and ''Not stated/inadequately described''; or the  METeOR 691891 ''Full-time/part-time status'' code system ',   '(codeSystem ''2.16.840.1.113883.3.879.691891'') which has codes for ''Full-time'', ''Part-time'' and ''Not stated/inadequately described''. ',   '(See the the METeOR 314867 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/314867 and the METeOR 691891 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/691891.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="true() and @codeSystem and @codeSystem != '2.16.840.1.113883.6.96' and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and @codeSystem and @codeSystem != '2.16.840.1.113883.6.96' and not(false())">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Test Specimen Detail - Specific Location - Side '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and section 7 of the CDA Implementation Guide states the vocabulary is
		<xsl:text /><xsl:value-of select="if ('2.16.840.1.113883.6.96' = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = '32570611000036103']/@referenceSetName, ' (ConceptId ''', '32570611000036103', ''').')   else concat('2.16.840.1.113883.6.96', ' (', $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/@codeSystemName, ').')" /><xsl:text />
		The CodedText data type has the requirement that values must come from the bound value domain with no exceptions.
		Therefore the value of codeSystem must be '2.16.840.1.113883.6.96' but codeSystem '<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />' (<xsl:text /><xsl:value-of select="@codeSystemName" /><xsl:text />) is present.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="true() and '2.16.840.1.113883.6.96' = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and    not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version,    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = '32570611000036103']/@refSet) = 'CodeFound') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and '2.16.840.1.113883.6.96' = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version, $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = '32570611000036103']/@refSet) = 'CodeFound')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Test Specimen Detail - Specific Location - Side '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. The applicable value domain is the SNOMED CT-AU
		<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = '32570611000036103']/@referenceSetName" /><xsl:text />
		(Concept ID: '32570611000036103'). The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the code is not a member of the value domain.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 7 of the CDA Implementation Guide for the information about the value domain.)<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-08" /><xsl:text />: TC-Types-08: According to the Structured Content Specification the Test Specimen Detail - Specific Location - Side '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. It has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> but has neither an originalText nor a displayName
		so it fails to conform to the requirement 'In accordance with the requirement to completely represent section contents, values of CodedText or CodeableText data elements defined in
		the SCS SHALL include an originalText or a displayName component (or both)'.
		(See Appendix A of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 6.1 and 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090
		Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and not(cda:originalText) and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and not(cda:originalText) and not(false())">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Test Specimen Detail - Specific Location - Side '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is
		not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. (See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M388" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M388" />
  <xsl:template match="@*|node()" priority="-2" mode="M388">
    <xsl:apply-templates select="@*|*" mode="M388" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-CodedText-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/   cda:entry/cda:observation/cda:targetSiteCode/cda:qualifier[cda:name[@codeSystem='2.16.840.1.113883.6.96' and (@code='272741003' or @code='78615007')]]/cda:value   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M389">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/   cda:entry/cda:observation/cda:targetSiteCode/cda:qualifier[cda:name[@codeSystem='2.16.840.1.113883.6.96' and (@code='272741003' or @code='78615007')]]/cda:value   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Test Specimen Detail - Specific Location - Side '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Test Specimen Detail - Specific Location - Side
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Test Specimen Detail - Specific Location - Side
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Test Specimen Detail - Specific Location - Side
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Specimen Detail - Specific Location - Side
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Test Specimen Detail - Specific Location - Side has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Test Specimen Detail - Specific Location - Side data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Specimen Detail - Specific Location - Side
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Test Specimen Detail - Specific Location - Side data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Specimen Detail - Specific Location - Side
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Test Specimen Detail - Specific Location - Side data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Specimen Detail - Specific Location - Side
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Test Specimen Detail - Specific Location - Side data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Test Specimen Detail - Specific Location - Side
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Specimen Detail - Specific Location - Side
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Test Specimen Detail - Specific Location - Side data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Test Specimen Detail - Specific Location - Side
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Test Specimen Detail - Specific Location - Side data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Specimen Detail - Specific Location - Side
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Specimen Detail - Specific Location - Side
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Test Specimen Detail - Specific Location - Side data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Specimen Detail - Specific Location - Side
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Test Specimen Detail - Specific Location - Side data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Specimen Detail - Specific Location - Side
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Specimen Detail - Specific Location - Side
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M389" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M389" />
  <xsl:template match="@*|node()" priority="-2" mode="M389">
    <xsl:apply-templates select="@*|*" mode="M389" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-CodedText-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16145' = $doc-sections][cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4')     or   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) ]]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/   cda:entry/cda:observation/cda:entryRelationship/cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='308552006']]/cda:value " priority="1000" mode="M390">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16145' = $doc-sections][cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4')     or   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) ]]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/   cda:entry/cda:observation/cda:entryRelationship/cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='308552006']]/cda:value " />
    <xsl:variable name="tc-types-49-err" select="@nullFlavor = ('PINF', 'NINF', 'QS', 'TRC') or (@nullFlavor='UNC' and (not(cda:originalText) or normalize-space(cda:originalText) = '')) " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="family-err" select="cda:originalText and matches(cda:originalText, $family-regex, 'i')" />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; 200" />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and @code != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used with the Clinical Package Validator to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used with the Clinical Package Validator to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the primary code.') " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-06-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-06-step-2 else $rating-alt-TC-Types-06-step-2 " />
    <xsl:variable name="rating-07-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-1 else $rating-alt-TC-Types-07-step-1 " />
    <xsl:variable name="rating-07-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-2 else $rating-alt-TC-Types-07-step-2 " />
    <xsl:variable name="rating-08" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-08 else $rating-alt-TC-Types-08 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-07: The Imaging Examination Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data
		type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to the Structured Content Specification the Imaging Examination Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which is derived from the HL7 'CD' data type however xsi:type '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to the Structured Content Specification the Imaging Examination Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:translation">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:translation">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Imaging Examination Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'translation' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value
		domain, with no exceptions. A translation translates the value into a code from another code systems, so translations are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:qualifier">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:qualifier">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Imaging Examination Result Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'qualifier' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value domain,
		with no exceptions. A qualifier constrains the value, so qualifiers are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Imaging Examination Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Imaging Examination Result Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Imaging Examination Result Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Imaging Examination Result Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present and is not expected
		for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Imaging Examination Result Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />'
		is present and is not expected for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-terminology-concepts = 'true' and not(true() or false() or $family-err or $length-err) and    not(@nullFlavor) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and not(true() or false() or $family-err or $length-err) and not(@nullFlavor)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (value domain not specified): The Imaging Examination Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The CodedText data type has the requirement that values must come from the specified bound value domain with no exceptions but a value domain has not been specified for the
		Imaging Examination Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Imaging Examination Result Status',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="false() and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != '1.2.36.1.2001.1001.101.104.16501'))  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != '1.2.36.1.2001.1001.101.104.16501'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-06-step-2" /><xsl:text />: TC-Types-06 step 2: According to the Structured Content Specification the Imaging Examination Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. The
		CodedText data type has the requirement that values must come from the bound value domain with no exceptions. Therefore the value of the codeSystem attribute must be a publicly available
		code system. The Imaging Examination Result Status data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide states the code system is 'NS' (not stated) with the requirement 'When national standard code sets become
		available, they SHALL be used'. The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> which is after the national standard code set became available
		for use on the <xsl:text /><xsl:value-of select="''" /><xsl:text />. The code system that must be used is
		<xsl:text /><xsl:value-of select="if ('1.2.36.1.2001.1001.101.104.16501' = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName, ' (ConceptId ''', 'none', ''')')   else concat('1.2.36.1.2001.1001.101.104.16501', ' (', $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16501']/@codeSystemName, ')')" /><xsl:text /><xsl:text /><xsl:value-of select="if (not(@codeSystem)) then '.'    else if (@codeSystemName) then concat(' however codeSystem ''', @codeSystem, ''' (', @codeSystemName, ') is present.')   else concat(' however a codeSystem attribute with the value ''', @codeSystem, ''' is present.') " /><xsl:text />
		(See section 1.8 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide, <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 7 of the CDA Implementation Guide for the
		information about the value domain.)
		<xsl:text /><xsl:value-of select="if ('none' = '11000036103') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName,     ' are Allergic reaction (''419076005''), Medication side-effect (''401207004'') and Drug interaction (''79899007'').')    else if ('none' = '15071000036100') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName,     ' are Prescribed (''105681000036100''), Suspended (''385655000'') and Unchanged (''105701000036103'').')    else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'OTH' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'OTH'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Imaging Examination Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore it is not valid for the data element to have nullFlavor 'OTH' to indicate that the
		actual value is not a member of the set of permitted data values in the constrained value domain. 
		(See the requirements for Imaging Examination Result Status and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Imaging Examination Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type<xsl:text /><xsl:value-of select="if (not(false())) then '.' else   concat(' and section 7 of the CDA Implementation Guide states the vocabulary is ''', '1.2.36.1.2001.1001.101.104.16501', ''' (', $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16501']/@codeSystemName, ').') " /><xsl:text />
		The CodedText data type has
		the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor attribute
		to indicate there is no value, however a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) is present and is not one of the nullFlavor values that indicate there is no value.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@nullFlavor or @code) and not(false() and not(@nullFlavor) and not(@codeSystem)) and cda:originalText ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor or @code) and not(false() and not(@nullFlavor) and not(@codeSystem)) and cda:originalText">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Imaging Examination Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor
		attribute to indicate there is no value. The only information found in the data element is originalText '<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />'.
		(See the requirements for Imaging Examination Result Status and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)
		<xsl:text /><xsl:value-of select="if (local-name(.) = 'jobClassCode') then concat('Consider using the METeOR 314867 ''Employment type'' code system (codeSystem ''2.16.840.1.113883.3.879.314867'') which has ',   'codes for ''Permanent'', ''Fixed term contract'', ''Casual'' and ''Not stated/inadequately described''; or the  METeOR 691891 ''Full-time/part-time status'' code system ',   '(codeSystem ''2.16.840.1.113883.3.879.691891'') which has codes for ''Full-time'', ''Part-time'' and ''Not stated/inadequately described''. ',   '(See the the METeOR 314867 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/314867 and the METeOR 691891 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/691891.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="true() and @codeSystem and @codeSystem != '1.2.36.1.2001.1001.101.104.16501' and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and @codeSystem and @codeSystem != '1.2.36.1.2001.1001.101.104.16501' and not(false())">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Imaging Examination Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and section 7 of the CDA Implementation Guide states the vocabulary is
		<xsl:text /><xsl:value-of select="if ('1.2.36.1.2001.1001.101.104.16501' = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName, ' (ConceptId ''', 'none', ''').')   else concat('1.2.36.1.2001.1001.101.104.16501', ' (', $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16501']/@codeSystemName, ').')" /><xsl:text />
		The CodedText data type has the requirement that values must come from the bound value domain with no exceptions.
		Therefore the value of codeSystem must be '1.2.36.1.2001.1001.101.104.16501' but codeSystem '<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />' (<xsl:text /><xsl:value-of select="@codeSystemName" /><xsl:text />) is present.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="true() and '1.2.36.1.2001.1001.101.104.16501' = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and    not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version,    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@refSet) = 'CodeFound') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and '1.2.36.1.2001.1001.101.104.16501' = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version, $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@refSet) = 'CodeFound')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Imaging Examination Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. The applicable value domain is the SNOMED CT-AU
		<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName" /><xsl:text />
		(Concept ID: 'none'). The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the code is not a member of the value domain.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 7 of the CDA Implementation Guide for the information about the value domain.)<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-08" /><xsl:text />: TC-Types-08: According to the Structured Content Specification the Imaging Examination Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. It has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> but has neither an originalText nor a displayName
		so it fails to conform to the requirement 'In accordance with the requirement to completely represent section contents, values of CodedText or CodeableText data elements defined in
		the SCS SHALL include an originalText or a displayName component (or both)'.
		(See Appendix A of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 6.1 and 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090
		Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and not(cda:originalText) and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and not(cda:originalText) and not(false())">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Imaging Examination Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is
		not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. (See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M390" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M390" />
  <xsl:template match="@*|node()" priority="-2" mode="M390">
    <xsl:apply-templates select="@*|*" mode="M390" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-CodedText-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16145' = $doc-sections][cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.222' and @extension = '1.0']]/   cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/   cda:entry/cda:observation/cda:entryRelationship/cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='308552006']]/cda:value " priority="1000" mode="M391">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16145' = $doc-sections][cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.222' and @extension = '1.0']]/   cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/   cda:entry/cda:observation/cda:entryRelationship/cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='308552006']]/cda:value " />
    <xsl:variable name="tc-types-49-err" select="@nullFlavor = ('PINF', 'NINF', 'QS', 'TRC') or (@nullFlavor='UNC' and (not(cda:originalText) or normalize-space(cda:originalText) = '')) " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="family-err" select="cda:originalText and matches(cda:originalText, $family-regex, 'i')" />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; 200" />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and @code != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used with the Clinical Package Validator to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used with the Clinical Package Validator to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the primary code.') " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-06-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-06-step-2 else $rating-alt-TC-Types-06-step-2 " />
    <xsl:variable name="rating-07-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-1 else $rating-alt-TC-Types-07-step-1 " />
    <xsl:variable name="rating-07-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-2 else $rating-alt-TC-Types-07-step-2 " />
    <xsl:variable name="rating-08" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-08 else $rating-alt-TC-Types-08 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-07: The Imaging Examination Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data
		type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to the Structured Content Specification the Imaging Examination Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which is derived from the HL7 'CD' data type however xsi:type '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to the Structured Content Specification the Imaging Examination Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:translation">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:translation">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Imaging Examination Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'translation' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value
		domain, with no exceptions. A translation translates the value into a code from another code systems, so translations are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:qualifier">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:qualifier">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Imaging Examination Result Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'qualifier' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value domain,
		with no exceptions. A qualifier constrains the value, so qualifiers are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Imaging Examination Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Imaging Examination Result Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Imaging Examination Result Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Imaging Examination Result Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present and is not expected
		for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Imaging Examination Result Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />'
		is present and is not expected for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-terminology-concepts = 'true' and not(true() or false() or $family-err or $length-err) and    not(@nullFlavor) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and not(true() or false() or $family-err or $length-err) and not(@nullFlavor)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (value domain not specified): The Imaging Examination Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The CodedText data type has the requirement that values must come from the specified bound value domain with no exceptions but a value domain has not been specified for the
		Imaging Examination Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Imaging Examination Result Status',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="false() and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != '2.16.840.1.113883.12.123'))  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != '2.16.840.1.113883.12.123'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-06-step-2" /><xsl:text />: TC-Types-06 step 2: According to the Structured Content Specification the Imaging Examination Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. The
		CodedText data type has the requirement that values must come from the bound value domain with no exceptions. Therefore the value of the codeSystem attribute must be a publicly available
		code system. The Imaging Examination Result Status data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide states the code system is 'NS' (not stated) with the requirement 'When national standard code sets become
		available, they SHALL be used'. The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> which is after the national standard code set became available
		for use on the <xsl:text /><xsl:value-of select="''" /><xsl:text />. The code system that must be used is
		<xsl:text /><xsl:value-of select="if ('2.16.840.1.113883.12.123' = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName, ' (ConceptId ''', 'none', ''')')   else concat('2.16.840.1.113883.12.123', ' (', $code-systems/system[@codeSystem = '2.16.840.1.113883.12.123']/@codeSystemName, ')')" /><xsl:text /><xsl:text /><xsl:value-of select="if (not(@codeSystem)) then '.'    else if (@codeSystemName) then concat(' however codeSystem ''', @codeSystem, ''' (', @codeSystemName, ') is present.')   else concat(' however a codeSystem attribute with the value ''', @codeSystem, ''' is present.') " /><xsl:text />
		(See section 1.8 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide, <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 7 of the CDA Implementation Guide for the
		information about the value domain.)
		<xsl:text /><xsl:value-of select="if ('none' = '11000036103') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName,     ' are Allergic reaction (''419076005''), Medication side-effect (''401207004'') and Drug interaction (''79899007'').')    else if ('none' = '15071000036100') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName,     ' are Prescribed (''105681000036100''), Suspended (''385655000'') and Unchanged (''105701000036103'').')    else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'OTH' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'OTH'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Imaging Examination Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore it is not valid for the data element to have nullFlavor 'OTH' to indicate that the
		actual value is not a member of the set of permitted data values in the constrained value domain. 
		(See the requirements for Imaging Examination Result Status and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Imaging Examination Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type<xsl:text /><xsl:value-of select="if (not(false())) then '.' else   concat(' and section 7 of the CDA Implementation Guide states the vocabulary is ''', '2.16.840.1.113883.12.123', ''' (', $code-systems/system[@codeSystem = '2.16.840.1.113883.12.123']/@codeSystemName, ').') " /><xsl:text />
		The CodedText data type has
		the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor attribute
		to indicate there is no value, however a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) is present and is not one of the nullFlavor values that indicate there is no value.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@nullFlavor or @code) and not(false() and not(@nullFlavor) and not(@codeSystem)) and cda:originalText ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor or @code) and not(false() and not(@nullFlavor) and not(@codeSystem)) and cda:originalText">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Imaging Examination Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor
		attribute to indicate there is no value. The only information found in the data element is originalText '<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />'.
		(See the requirements for Imaging Examination Result Status and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)
		<xsl:text /><xsl:value-of select="if (local-name(.) = 'jobClassCode') then concat('Consider using the METeOR 314867 ''Employment type'' code system (codeSystem ''2.16.840.1.113883.3.879.314867'') which has ',   'codes for ''Permanent'', ''Fixed term contract'', ''Casual'' and ''Not stated/inadequately described''; or the  METeOR 691891 ''Full-time/part-time status'' code system ',   '(codeSystem ''2.16.840.1.113883.3.879.691891'') which has codes for ''Full-time'', ''Part-time'' and ''Not stated/inadequately described''. ',   '(See the the METeOR 314867 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/314867 and the METeOR 691891 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/691891.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="true() and @codeSystem and @codeSystem != '2.16.840.1.113883.12.123' and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and @codeSystem and @codeSystem != '2.16.840.1.113883.12.123' and not(false())">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Imaging Examination Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and section 7 of the CDA Implementation Guide states the vocabulary is
		<xsl:text /><xsl:value-of select="if ('2.16.840.1.113883.12.123' = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName, ' (ConceptId ''', 'none', ''').')   else concat('2.16.840.1.113883.12.123', ' (', $code-systems/system[@codeSystem = '2.16.840.1.113883.12.123']/@codeSystemName, ').')" /><xsl:text />
		The CodedText data type has the requirement that values must come from the bound value domain with no exceptions.
		Therefore the value of codeSystem must be '2.16.840.1.113883.12.123' but codeSystem '<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />' (<xsl:text /><xsl:value-of select="@codeSystemName" /><xsl:text />) is present.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="true() and '2.16.840.1.113883.12.123' = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and    not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version,    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@refSet) = 'CodeFound') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and '2.16.840.1.113883.12.123' = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version, $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@refSet) = 'CodeFound')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Imaging Examination Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. The applicable value domain is the SNOMED CT-AU
		<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName" /><xsl:text />
		(Concept ID: 'none'). The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the code is not a member of the value domain.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 7 of the CDA Implementation Guide for the information about the value domain.)<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-08" /><xsl:text />: TC-Types-08: According to the Structured Content Specification the Imaging Examination Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. It has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> but has neither an originalText nor a displayName
		so it fails to conform to the requirement 'In accordance with the requirement to completely represent section contents, values of CodedText or CodeableText data elements defined in
		the SCS SHALL include an originalText or a displayName component (or both)'.
		(See Appendix A of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 6.1 and 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090
		Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and not(cda:originalText) and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and not(cda:originalText) and not(false())">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Imaging Examination Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is
		not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. (See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M391" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M391" />
  <xsl:template match="@*|node()" priority="-2" mode="M391">
    <xsl:apply-templates select="@*|*" mode="M391" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-CodedText-5-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16145' = $doc-sections][not(cda:templateId[   (@root = '1.2.36.1.2001.1001.100.1002.222' and @extension = '1.0')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4')     or   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3'))   or   (@root = '1.2.36.1.2001.1001.100.1002.222' and @extension = '1.0')    ])]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/   cda:entry/cda:observation/cda:entryRelationship/cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='308552006']]/cda:value " priority="1000" mode="M392">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16145' = $doc-sections][not(cda:templateId[   (@root = '1.2.36.1.2001.1001.100.1002.222' and @extension = '1.0')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4')     or   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3'))   or   (@root = '1.2.36.1.2001.1001.100.1002.222' and @extension = '1.0')    ])]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/   cda:entry/cda:observation/cda:entryRelationship/cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='308552006']]/cda:value " />
    <xsl:variable name="tc-types-49-err" select="@nullFlavor = ('PINF', 'NINF', 'QS', 'TRC') or (@nullFlavor='UNC' and (not(cda:originalText) or normalize-space(cda:originalText) = '')) " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and @code != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used with the Clinical Package Validator to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used with the Clinical Package Validator to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the primary code.') " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-06-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-06-step-2 else $rating-alt-TC-Types-06-step-2 " />
    <xsl:variable name="rating-07-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-1 else $rating-alt-TC-Types-07-step-1 " />
    <xsl:variable name="rating-07-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-2 else $rating-alt-TC-Types-07-step-2 " />
    <xsl:variable name="rating-08" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-08 else $rating-alt-TC-Types-08 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-07: The Imaging Examination Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data
		type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to the Structured Content Specification the Imaging Examination Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type which is derived from the HL7 'CD' data type however an xsi:type attribute with the value
		'<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present. (See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to the Structured Content Specification the Imaging Examination Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:translation">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:translation">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Imaging Examination Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'translation' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value domain,
		with no exceptions. A translation translates the value into a code from another code systems, so translations are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:qualifier">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:qualifier">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Imaging Examination Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'qualifier' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value domain,
		with no exceptions. A qualifier constrains the value, so qualifiers are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Imaging Examination Result Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Imaging Examination Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Imaging Examination Result Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'code' or name() = 'codeSystem' or name() = 'codeSystemName' or name() = 'codeSystemVersion' or     name() = 'displayName' or name() = 'nullFlavor')] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'code' or name() = 'codeSystem' or name() = 'codeSystemName' or name() = 'codeSystemVersion' or name() = 'displayName' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Imaging Examination Result Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'code' or name() = 'codeSystem' or name() = 'codeSystemName' or name() = 'codeSystemVersion' or   name() = 'displayName' or name() = 'nullFlavor')])" /><xsl:text />' is present and is not expected for the CodedText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'code' or name() = 'codeSystem' or name() = 'codeSystemName' or name() = 'codeSystemVersion' or     name() = 'displayName' or name() = 'nullFlavor')] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'code' or name() = 'codeSystem' or name() = 'codeSystemName' or name() = 'codeSystemVersion' or name() = 'displayName' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Imaging Examination Result Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'code' or name() = 'codeSystem' or name() = 'codeSystemName' or name() = 'codeSystemVersion' or   name() = 'displayName' or name() = 'nullFlavor')])" /><xsl:text />' is present and is not expected for the CodedText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-08" /><xsl:text />: TC-Types-08: According to the Structured Content Specification the Imaging Examination Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. It has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> but has neither an originalText nor a displayName
		so it fails to conform to the requirement 'In accordance with the requirement to completely represent section contents, values of CodedText or CodeableText data elements defined in
		the SCS SHALL include an originalText or a displayName component (or both)'.
		(See Appendix A of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 6.1 and 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification
		v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not(@nullFlavor) and not(@codeSystem) and cda:originalText ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor) and not(@codeSystem) and cda:originalText">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-06-step-2" /><xsl:text />: TC-Types-06 step 2: According to the Structured Content Specification the Imaging Examination Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type.
		The CodedText data type has the requirement that values must come from the bound value domain with no exceptions. Therefore the value of the codeSystem attribute must be a publicly
		available code system. The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide states the code system is 'NS' (not stated) with the requirement 'When national standard code sets
		become available, they SHALL be used'. The national standard code is available for use and the code system that must be used is either '1.2.36.1.2001.1001.101.104.16501'
		(<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16501']/@codeSystemName" /><xsl:text />)
		or '2.16.840.1.113883.12.123' (<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = '2.16.840.1.113883.12.123']/@codeSystemName" /><xsl:text />).
		The only information found in the data element is originalText '<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />'.
		(See section 1.8 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide, <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 7 of the CDA Implementation Guide for the information
		about the value domain.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not(@nullFlavor) and not(@codeSystem) and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor) and not(@codeSystem) and not(cda:originalText)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-06-step-2" /><xsl:text />: TC-Types-06 step 2: According to the Structured Content Specification the Imaging Examination Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The CodedText data type has the requirement that values must come from the bound value domain with no exceptions. Therefore the value of the codeSystem attribute must be a publicly
		available code system. The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide states the code system is 'NS' (not stated) with the requirement 'When national standard code sets
		become available, they SHALL be used'. The national standard code is available for use and the code system that must be used is either '1.2.36.1.2001.1001.101.104.16501'
		(<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16501']/@codeSystemName" /><xsl:text />)
		or '2.16.840.1.113883.12.123' (<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = '2.16.840.1.113883.12.123']/@codeSystemName" /><xsl:text />).
		(See section 1.8 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide, <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 7 of the CDA Implementation Guide for the information
		about the value domain.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'OTH' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'OTH'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Imaging Examination Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore it is not valid for the data element to have nullFlavor 'OTH' to indicate that the
		actual value is not a member of the set of permitted data values in the constrained value domain.
		(See the requirements for Imaging Examination Result Status and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA'))  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Imaging Examination Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and
		section 7 of the CDA Implementation Guide states the vocabulary is either '1.2.36.1.2001.1001.101.104.16501' (<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16501']/@codeSystemName" /><xsl:text />) or '2.16.840.1.113883.12.123'
		(<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = '2.16.840.1.113883.12.123']/@codeSystemName" /><xsl:text />). The CodedText data type has the requirement that values must come
		from the bound value domain with no exceptions.
		Therefore the data element must have a code attribute to provide a value or a nullFlavor attribute to indicate there is no value,
		however a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) is present and is not
		one of the nullFlavor values that indicate there is no value.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@nullFlavor or @code) and not(not(@nullFlavor) and not(@codeSystem)) and cda:originalText ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor or @code) and not(not(@nullFlavor) and not(@codeSystem)) and cda:originalText">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Imaging Examination Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor
		attribute to indicate there is no value. The only information found in the data element is originalText '<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />'.
		(See the requirements for Imaging Examination Result Status and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @codeSystem and not(@codeSystem = '1.2.36.1.2001.1001.101.104.16501' or @codeSystem = '2.16.840.1.113883.12.123') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem and not(@codeSystem = '1.2.36.1.2001.1001.101.104.16501' or @codeSystem = '2.16.840.1.113883.12.123')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Imaging Examination Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and
		section 7 of the CDA Implementation Guide states the vocabulary is either '1.2.36.1.2001.1001.101.104.16501' (<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16501']/@codeSystemName" /><xsl:text />) or '2.16.840.1.113883.12.123'
		(<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = '2.16.840.1.113883.12.123']/@codeSystemName" /><xsl:text />). The CodedText data type has the requirement that values must come from
		the bound value domain with no exceptions. Therefore the value of codeSystem must either be '1.2.36.1.2001.1001.101.104.16501' or '2.16.840.1.113883.12.123' but codeSystem '<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="@codeSystemName" /><xsl:text />) is present. (See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ('1.2.36.1.2001.1001.101.104.16501' = '2.16.840.1.113883.6.96' or '2.16.840.1.113883.12.123' = '2.16.840.1.113883.6.96') and @codeSystem = '2.16.840.1.113883.6.96' and @code and    not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version,    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@refSet) = 'CodeFound') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="('1.2.36.1.2001.1001.101.104.16501' = '2.16.840.1.113883.6.96' or '2.16.840.1.113883.12.123' = '2.16.840.1.113883.6.96') and @codeSystem = '2.16.840.1.113883.6.96' and @code and not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version, $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@refSet) = 'CodeFound')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Imaging Examination Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. The applicable value domain is the SNOMED CT-AU
		<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName" /><xsl:text />
		(Concept ID: 'none'). The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the code is not a member of the value domain.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 7 of the CDA Implementation Guide for the information about the value domain.)<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and not(cda:originalText) and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and not(cda:originalText) and not(false())">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Imaging Examination Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText 
		data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M392" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M392" />
  <xsl:template match="@*|node()" priority="-2" mode="M392">
    <xsl:apply-templates select="@*|*" mode="M392" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-CodedText-6-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/   cda:entry/cda:observation/cda:entryRelationship/cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='308552006']]/cda:value   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M393">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/   cda:entry/cda:observation/cda:entryRelationship/cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='308552006']]/cda:value   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Imaging Examination Result Status '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Imaging Examination Result Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Imaging Examination Result Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Imaging Examination Result Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Imaging Examination Result Status has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Imaging Examination Result Status data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Imaging Examination Result Status data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Imaging Examination Result Status data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Imaging Examination Result Status data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Imaging Examination Result Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Imaging Examination Result Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Imaging Examination Result Status data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Imaging Examination Result Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Imaging Examination Result Status data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Imaging Examination Result Status data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Imaging Examination Result Status data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M393" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M393" />
  <xsl:template match="@*|node()" priority="-2" mode="M393">
    <xsl:apply-templates select="@*|*" mode="M393" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-CodedText-7-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/   cda:entry/cda:observation/cda:entryRelationship/cda:organizer/cda:component/cda:observation/cda:targetSiteCode/cda:qualifier[cda:name   [@codeSystem='2.16.840.1.113883.6.96' and (@code='272741003' or @code='78615007')]]/cda:value " priority="1000" mode="M394">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/   cda:entry/cda:observation/cda:entryRelationship/cda:organizer/cda:component/cda:observation/cda:targetSiteCode/cda:qualifier[cda:name   [@codeSystem='2.16.840.1.113883.6.96' and (@code='272741003' or @code='78615007')]]/cda:value " />
    <xsl:variable name="tc-types-49-err" select="@nullFlavor = ('PINF', 'NINF', 'QS', 'TRC') or (@nullFlavor='UNC' and (not(cda:originalText) or normalize-space(cda:originalText) = '')) " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="family-err" select="cda:originalText and matches(cda:originalText, $family-regex, 'i')" />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; 200" />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and @code != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used with the Clinical Package Validator to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used with the Clinical Package Validator to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the primary code.') " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-06-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-06-step-2 else $rating-alt-TC-Types-06-step-2 " />
    <xsl:variable name="rating-07-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-1 else $rating-alt-TC-Types-07-step-1 " />
    <xsl:variable name="rating-07-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-2 else $rating-alt-TC-Types-07-step-2 " />
    <xsl:variable name="rating-08" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-08 else $rating-alt-TC-Types-08 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-07: The Imaging Examination Result Group - Specific Location - Side '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data
		type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to the Structured Content Specification the Imaging Examination Result Group - Specific Location - Side '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which is derived from the HL7 'CD' data type however xsi:type '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to the Structured Content Specification the Imaging Examination Result Group - Specific Location - Side '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:translation">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:translation">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Imaging Examination Result Group - Specific Location - Side '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'translation' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value
		domain, with no exceptions. A translation translates the value into a code from another code systems, so translations are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:qualifier">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:qualifier">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Imaging Examination Result Group - Specific Location - Side
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'qualifier' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value domain,
		with no exceptions. A qualifier constrains the value, so qualifiers are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Imaging Examination Result Group - Specific Location - Side '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Imaging Examination Result Group - Specific Location - Side
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Imaging Examination Result Group - Specific Location - Side
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Imaging Examination Result Group - Specific Location - Side
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present and is not expected
		for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Imaging Examination Result Group - Specific Location - Side
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />'
		is present and is not expected for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-terminology-concepts = 'true' and not(true() or false() or $family-err or $length-err) and    not(@nullFlavor) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and not(true() or false() or $family-err or $length-err) and not(@nullFlavor)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (value domain not specified): The Imaging Examination Result Group - Specific Location - Side '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The CodedText data type has the requirement that values must come from the specified bound value domain with no exceptions but a value domain has not been specified for the
		Imaging Examination Result Group - Specific Location - Side '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Imaging Examination Result Group - Specific Location - Side',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="false() and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != '2.16.840.1.113883.6.96'))  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != '2.16.840.1.113883.6.96'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-06-step-2" /><xsl:text />: TC-Types-06 step 2: According to the Structured Content Specification the Imaging Examination Result Group - Specific Location - Side '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. The
		CodedText data type has the requirement that values must come from the bound value domain with no exceptions. Therefore the value of the codeSystem attribute must be a publicly available
		code system. The Imaging Examination Result Group - Specific Location - Side data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide states the code system is 'NS' (not stated) with the requirement 'When national standard code sets become
		available, they SHALL be used'. The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> which is after the national standard code set became available
		for use on the <xsl:text /><xsl:value-of select="''" /><xsl:text />. The code system that must be used is
		<xsl:text /><xsl:value-of select="if ('2.16.840.1.113883.6.96' = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = '32570611000036103']/@referenceSetName, ' (ConceptId ''', '32570611000036103', ''')')   else concat('2.16.840.1.113883.6.96', ' (', $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/@codeSystemName, ')')" /><xsl:text /><xsl:text /><xsl:value-of select="if (not(@codeSystem)) then '.'    else if (@codeSystemName) then concat(' however codeSystem ''', @codeSystem, ''' (', @codeSystemName, ') is present.')   else concat(' however a codeSystem attribute with the value ''', @codeSystem, ''' is present.') " /><xsl:text />
		(See section 1.8 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide, <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 7 of the CDA Implementation Guide for the
		information about the value domain.)
		<xsl:text /><xsl:value-of select="if ('32570611000036103' = '11000036103') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = '32570611000036103']/@referenceSetName,     ' are Allergic reaction (''419076005''), Medication side-effect (''401207004'') and Drug interaction (''79899007'').')    else if ('32570611000036103' = '15071000036100') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = '32570611000036103']/@referenceSetName,     ' are Prescribed (''105681000036100''), Suspended (''385655000'') and Unchanged (''105701000036103'').')    else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'OTH' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'OTH'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Imaging Examination Result Group - Specific Location - Side '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore it is not valid for the data element to have nullFlavor 'OTH' to indicate that the
		actual value is not a member of the set of permitted data values in the constrained value domain. 
		(See the requirements for Imaging Examination Result Group - Specific Location - Side and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Imaging Examination Result Group - Specific Location - Side '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type<xsl:text /><xsl:value-of select="if (not(false())) then '.' else   concat(' and section 7 of the CDA Implementation Guide states the vocabulary is ''', '2.16.840.1.113883.6.96', ''' (', $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/@codeSystemName, ').') " /><xsl:text />
		The CodedText data type has
		the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor attribute
		to indicate there is no value, however a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) is present and is not one of the nullFlavor values that indicate there is no value.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@nullFlavor or @code) and not(false() and not(@nullFlavor) and not(@codeSystem)) and cda:originalText ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor or @code) and not(false() and not(@nullFlavor) and not(@codeSystem)) and cda:originalText">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Imaging Examination Result Group - Specific Location - Side '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor
		attribute to indicate there is no value. The only information found in the data element is originalText '<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />'.
		(See the requirements for Imaging Examination Result Group - Specific Location - Side and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)
		<xsl:text /><xsl:value-of select="if (local-name(.) = 'jobClassCode') then concat('Consider using the METeOR 314867 ''Employment type'' code system (codeSystem ''2.16.840.1.113883.3.879.314867'') which has ',   'codes for ''Permanent'', ''Fixed term contract'', ''Casual'' and ''Not stated/inadequately described''; or the  METeOR 691891 ''Full-time/part-time status'' code system ',   '(codeSystem ''2.16.840.1.113883.3.879.691891'') which has codes for ''Full-time'', ''Part-time'' and ''Not stated/inadequately described''. ',   '(See the the METeOR 314867 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/314867 and the METeOR 691891 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/691891.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="true() and @codeSystem and @codeSystem != '2.16.840.1.113883.6.96' and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and @codeSystem and @codeSystem != '2.16.840.1.113883.6.96' and not(false())">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Imaging Examination Result Group - Specific Location - Side '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and section 7 of the CDA Implementation Guide states the vocabulary is
		<xsl:text /><xsl:value-of select="if ('2.16.840.1.113883.6.96' = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = '32570611000036103']/@referenceSetName, ' (ConceptId ''', '32570611000036103', ''').')   else concat('2.16.840.1.113883.6.96', ' (', $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/@codeSystemName, ').')" /><xsl:text />
		The CodedText data type has the requirement that values must come from the bound value domain with no exceptions.
		Therefore the value of codeSystem must be '2.16.840.1.113883.6.96' but codeSystem '<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />' (<xsl:text /><xsl:value-of select="@codeSystemName" /><xsl:text />) is present.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="true() and '2.16.840.1.113883.6.96' = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and    not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version,    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = '32570611000036103']/@refSet) = 'CodeFound') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and '2.16.840.1.113883.6.96' = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version, $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = '32570611000036103']/@refSet) = 'CodeFound')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Imaging Examination Result Group - Specific Location - Side '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. The applicable value domain is the SNOMED CT-AU
		<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = '32570611000036103']/@referenceSetName" /><xsl:text />
		(Concept ID: '32570611000036103'). The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the code is not a member of the value domain.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 7 of the CDA Implementation Guide for the information about the value domain.)<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-08" /><xsl:text />: TC-Types-08: According to the Structured Content Specification the Imaging Examination Result Group - Specific Location - Side '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. It has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> but has neither an originalText nor a displayName
		so it fails to conform to the requirement 'In accordance with the requirement to completely represent section contents, values of CodedText or CodeableText data elements defined in
		the SCS SHALL include an originalText or a displayName component (or both)'.
		(See Appendix A of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 6.1 and 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090
		Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and not(cda:originalText) and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and not(cda:originalText) and not(false())">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Imaging Examination Result Group - Specific Location - Side '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is
		not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. (See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M394" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M394" />
  <xsl:template match="@*|node()" priority="-2" mode="M394">
    <xsl:apply-templates select="@*|*" mode="M394" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-CodedText-8-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/   cda:entry/cda:observation/cda:entryRelationship/cda:organizer/cda:component/cda:observation/cda:targetSiteCode/cda:qualifier[cda:name   [@codeSystem='2.16.840.1.113883.6.96' and (@code='272741003' or @code='78615007')]]/cda:value[(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M395">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/   cda:entry/cda:observation/cda:entryRelationship/cda:organizer/cda:component/cda:observation/cda:targetSiteCode/cda:qualifier[cda:name   [@codeSystem='2.16.840.1.113883.6.96' and (@code='272741003' or @code='78615007')]]/cda:value[(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Imaging Examination Result Group - Specific Location - Side '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Imaging Examination Result Group - Specific Location - Side
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Imaging Examination Result Group - Specific Location - Side
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Imaging Examination Result Group - Specific Location - Side
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Group - Specific Location - Side
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Imaging Examination Result Group - Specific Location - Side has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Imaging Examination Result Group - Specific Location - Side data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Group - Specific Location - Side
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Imaging Examination Result Group - Specific Location - Side data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Group - Specific Location - Side
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Imaging Examination Result Group - Specific Location - Side data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Group - Specific Location - Side
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Imaging Examination Result Group - Specific Location - Side data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Imaging Examination Result Group - Specific Location - Side
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Imaging Examination Result Group - Specific Location - Side
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Imaging Examination Result Group - Specific Location - Side data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Imaging Examination Result Group - Specific Location - Side
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Imaging Examination Result Group - Specific Location - Side data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Group - Specific Location - Side
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Group - Specific Location - Side
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Imaging Examination Result Group - Specific Location - Side data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Group - Specific Location - Side
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Imaging Examination Result Group - Specific Location - Side data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Group - Specific Location - Side
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Group - Specific Location - Side
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M395" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M395" />
  <xsl:template match="@*|node()" priority="-2" mode="M395">
    <xsl:apply-templates select="@*|*" mode="M395" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-CodedText-9-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.17009']]/cda:value " priority="1000" mode="M396">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.17009']]/cda:value " />
    <xsl:variable name="tc-types-49-err" select="@nullFlavor = ('PINF', 'NINF', 'QS', 'TRC') or (@nullFlavor='UNC' and (not(cda:originalText) or normalize-space(cda:originalText) = '')) " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="family-err" select="cda:originalText and matches(cda:originalText, $family-regex, 'i')" />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; 200" />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and @code != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used with the Clinical Package Validator to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used with the Clinical Package Validator to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the primary code.') " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-06-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-06-step-2 else $rating-alt-TC-Types-06-step-2 " />
    <xsl:variable name="rating-07-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-1 else $rating-alt-TC-Types-07-step-1 " />
    <xsl:variable name="rating-07-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-2 else $rating-alt-TC-Types-07-step-2 " />
    <xsl:variable name="rating-08" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-08 else $rating-alt-TC-Types-08 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-07: The Anatomical Region '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data
		type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to the Structured Content Specification the Anatomical Region '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which is derived from the HL7 'CD' data type however xsi:type '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to the Structured Content Specification the Anatomical Region '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:translation">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:translation">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Anatomical Region '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'translation' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value
		domain, with no exceptions. A translation translates the value into a code from another code systems, so translations are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:qualifier">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:qualifier">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Anatomical Region
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'qualifier' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value domain,
		with no exceptions. A qualifier constrains the value, so qualifiers are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Anatomical Region '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Anatomical Region
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Anatomical Region
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Anatomical Region
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present and is not expected
		for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Anatomical Region
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />'
		is present and is not expected for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-terminology-concepts = 'true' and not(true() or false() or $family-err or $length-err) and    not(@nullFlavor) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and not(true() or false() or $family-err or $length-err) and not(@nullFlavor)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (value domain not specified): The Anatomical Region '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The CodedText data type has the requirement that values must come from the specified bound value domain with no exceptions but a value domain has not been specified for the
		Anatomical Region '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Anatomical Region',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="false() and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != '1.2.36.1.2001.1001.101.104.17008'))  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != '1.2.36.1.2001.1001.101.104.17008'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-06-step-2" /><xsl:text />: TC-Types-06 step 2: According to the Structured Content Specification the Anatomical Region '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. The
		CodedText data type has the requirement that values must come from the bound value domain with no exceptions. Therefore the value of the codeSystem attribute must be a publicly available
		code system. The Anatomical Region data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide states the code system is 'NS' (not stated) with the requirement 'When national standard code sets become
		available, they SHALL be used'. The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> which is after the national standard code set became available
		for use on the <xsl:text /><xsl:value-of select="''" /><xsl:text />. The code system that must be used is
		<xsl:text /><xsl:value-of select="if ('1.2.36.1.2001.1001.101.104.17008' = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName, ' (ConceptId ''', 'none', ''')')   else concat('1.2.36.1.2001.1001.101.104.17008', ' (', $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.17008']/@codeSystemName, ')')" /><xsl:text /><xsl:text /><xsl:value-of select="if (not(@codeSystem)) then '.'    else if (@codeSystemName) then concat(' however codeSystem ''', @codeSystem, ''' (', @codeSystemName, ') is present.')   else concat(' however a codeSystem attribute with the value ''', @codeSystem, ''' is present.') " /><xsl:text />
		(See section 1.8 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide, <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 7 of the CDA Implementation Guide for the
		information about the value domain.)
		<xsl:text /><xsl:value-of select="if ('none' = '11000036103') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName,     ' are Allergic reaction (''419076005''), Medication side-effect (''401207004'') and Drug interaction (''79899007'').')    else if ('none' = '15071000036100') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName,     ' are Prescribed (''105681000036100''), Suspended (''385655000'') and Unchanged (''105701000036103'').')    else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'OTH' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'OTH'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Anatomical Region '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore it is not valid for the data element to have nullFlavor 'OTH' to indicate that the
		actual value is not a member of the set of permitted data values in the constrained value domain. 
		(See the requirements for Anatomical Region and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Anatomical Region '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type<xsl:text /><xsl:value-of select="if (not(false())) then '.' else   concat(' and section 7 of the CDA Implementation Guide states the vocabulary is ''', '1.2.36.1.2001.1001.101.104.17008', ''' (', $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.17008']/@codeSystemName, ').') " /><xsl:text />
		The CodedText data type has
		the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor attribute
		to indicate there is no value, however a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) is present and is not one of the nullFlavor values that indicate there is no value.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@nullFlavor or @code) and not(false() and not(@nullFlavor) and not(@codeSystem)) and cda:originalText ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor or @code) and not(false() and not(@nullFlavor) and not(@codeSystem)) and cda:originalText">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Anatomical Region '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor
		attribute to indicate there is no value. The only information found in the data element is originalText '<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />'.
		(See the requirements for Anatomical Region and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)
		<xsl:text /><xsl:value-of select="if (local-name(.) = 'jobClassCode') then concat('Consider using the METeOR 314867 ''Employment type'' code system (codeSystem ''2.16.840.1.113883.3.879.314867'') which has ',   'codes for ''Permanent'', ''Fixed term contract'', ''Casual'' and ''Not stated/inadequately described''; or the  METeOR 691891 ''Full-time/part-time status'' code system ',   '(codeSystem ''2.16.840.1.113883.3.879.691891'') which has codes for ''Full-time'', ''Part-time'' and ''Not stated/inadequately described''. ',   '(See the the METeOR 314867 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/314867 and the METeOR 691891 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/691891.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="true() and @codeSystem and @codeSystem != '1.2.36.1.2001.1001.101.104.17008' and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and @codeSystem and @codeSystem != '1.2.36.1.2001.1001.101.104.17008' and not(false())">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Anatomical Region '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and section 7 of the CDA Implementation Guide states the vocabulary is
		<xsl:text /><xsl:value-of select="if ('1.2.36.1.2001.1001.101.104.17008' = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName, ' (ConceptId ''', 'none', ''').')   else concat('1.2.36.1.2001.1001.101.104.17008', ' (', $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.17008']/@codeSystemName, ').')" /><xsl:text />
		The CodedText data type has the requirement that values must come from the bound value domain with no exceptions.
		Therefore the value of codeSystem must be '1.2.36.1.2001.1001.101.104.17008' but codeSystem '<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />' (<xsl:text /><xsl:value-of select="@codeSystemName" /><xsl:text />) is present.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="true() and '1.2.36.1.2001.1001.101.104.17008' = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and    not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version,    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@refSet) = 'CodeFound') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and '1.2.36.1.2001.1001.101.104.17008' = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version, $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@refSet) = 'CodeFound')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Anatomical Region '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. The applicable value domain is the SNOMED CT-AU
		<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName" /><xsl:text />
		(Concept ID: 'none'). The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the code is not a member of the value domain.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 7 of the CDA Implementation Guide for the information about the value domain.)<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-08" /><xsl:text />: TC-Types-08: According to the Structured Content Specification the Anatomical Region '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. It has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> but has neither an originalText nor a displayName
		so it fails to conform to the requirement 'In accordance with the requirement to completely represent section contents, values of CodedText or CodeableText data elements defined in
		the SCS SHALL include an originalText or a displayName component (or both)'.
		(See Appendix A of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 6.1 and 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090
		Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and not(cda:originalText) and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and not(cda:originalText) and not(false())">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Anatomical Region '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is
		not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. (See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M396" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M396" />
  <xsl:template match="@*|node()" priority="-2" mode="M396">
    <xsl:apply-templates select="@*|*" mode="M396" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-DateTime-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/cda:entryRelationship/cda:act/cda:entryRelationship/    cda:act/cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16515' or @code = '103.16515')]]/cda:effectiveTime |   /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/cda:entryRelationship/cda:act[    cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16511']]/    cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16515' or @code = '103.16515')]]/cda:effectiveTime " priority="1000" mode="M397">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/cda:entryRelationship/cda:act/cda:entryRelationship/    cda:act/cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16515' or @code = '103.16515')]]/cda:effectiveTime |   /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/cda:entryRelationship/cda:act[    cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16511']]/    cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16515' or @code = '103.16515')]]/cda:effectiveTime " />
    <xsl:variable name="allow-ivl-ts" select="if (not(@xsi:type)) then false() else /cda:ClinicalDocument       [cda:templateId[(@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')  or         (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or         (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) ]]   and        local-name(.) = 'value'             and        ..[local-name(.) = 'observation' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]   and       ../..[local-name(.) = 'entryRelationship' and @typeCode='SUBJ']        and       ../../..[local-name(.) = 'observation' and cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]  and       ../../../..[local-name(.) = 'entry']            and       ../../../../..[local-name(.) = 'section' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]  " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-18" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-18 else $rating-alt-TC-Types-18 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-18: The Examination Request Details - Image Details - Image DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data
		type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime',            'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime', 'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: The Examination Request Details - Image Details - Image DateTime

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type but it does not meet the requirement to have the xsi:type attribute with the value 'TS'.
		(See section 8.6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the Examination Request Details - Image Details - Image DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was
		found. This may be corrected by using an xsi:type attribute with the value 'TS'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the Examination Request Details - Image Details - Image DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		This may be corrected by using an xsi:type attribute with the value 'TS'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the Examination Request Details - Image Details - Image DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7
		'TS' data type to have a value attribute if there is no nullFlavor
		attribute. (See section 7.8.13.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange')

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the Examination Request Details - Image Details - Image DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7 'TS' data type to have a value attribute if there is no nullFlavor
		attribute. The element has a '<xsl:text /><xsl:value-of select="local-name(*[local-name(.) = ('low', 'high')])" /><xsl:text />' child element with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		which is not one of the elements used for the HL7 'TS'
		data type. (See section 7.8.13 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Examination Request Details - Image Details - Image DateTime
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		is present. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Examination Request Details - Image Details - Image DateTime
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' was found. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Examination Request Details - Image Details - Image DateTime
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Examination Request Details - Image Details - Image DateTime
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@value) and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@value) and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to the Structured Content Specification the Examination Request Details - Image Details - Image DateTime
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (uncoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include
		nullFlavor 'UNC'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M397" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M397" />
  <xsl:template match="@*|node()" priority="-2" mode="M397">
    <xsl:apply-templates select="@*|*" mode="M397" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-DateTime-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/cda:entryRelationship/cda:act/cda:entryRelationship/    cda:act/cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16515' or @code = '103.16515')]]/cda:effectiveTime |   /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/cda:entryRelationship/cda:act[    cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16511']]/    cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16515' or @code = '103.16515')]]/cda:effectiveTime    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))] " priority="1000" mode="M398">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/cda:entryRelationship/cda:act/cda:entryRelationship/    cda:act/cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16515' or @code = '103.16515')]]/cda:effectiveTime |   /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/cda:entryRelationship/cda:act[    cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16511']]/    cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16515' or @code = '103.16515')]]/cda:effectiveTime    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="fir-narrative" select="translate(normalize-space(lower-case(string($fir-narr-node))), $chars-to-remove, '')" />
    <xsl:variable name="sec-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)        then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]        else () " />
    <xsl:variable name="sec-narr-node" select="$sec-section/cda:text " />
    <xsl:variable name="narr-text-el" select="(for $text in ($fir-narr-node//text(), $sec-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="sec-narrative" select="translate(normalize-space(lower-case(string($sec-narr-node))), $chars-to-remove, '') " />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="narrative" select="concat($target-title, $fir-narrative, $sec-narrative)" />
    <xsl:variable name="narr-elements" select="$fir-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ]  |             $sec-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ] " />
    <xsl:variable name="narr-lower-case" select="for $i in (1 to count($narr-elements)) return lower-case(normalize-space(string-join($narr-elements[$i]/text(), '')))  " />
    <xsl:variable name="dt-narr-elements" select="$narr-lower-case[matches(., $regex-date-type-1, 'i') or matches(., $regex-date-type-2, 'i') or matches(., $regex-date-type-3, 'i')] " />
    <xsl:variable name="narr-elements-start" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-before($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-before($dt-narr-elements[$i], ' -'))        else $dt-narr-elements[$i])[. != ''] " />
    <xsl:variable name="narr-elements-end" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-after($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-after($dt-narr-elements[$i], ' -'))        else '')[. != ''] " />
    <xsl:variable name="narr-dateTimes" select="distinct-values(($narr-elements-start , $narr-elements-end))[. != '(ongoing)'] " />
    <xsl:variable name="dt-value" select="if (@value) then @value else '' " />
    <xsl:variable name="no-time-zone" select="if (contains($dt-value, '+')) then substring-before($dt-value, '+')       else if (contains($dt-value, '-')) then substring-before($dt-value, '-')       else $dt-value " />
    <xsl:variable name="dateTime-length" select="string-length($no-time-zone) " />
    <xsl:variable name="year" select="if ($dateTime-length &gt; 3) then substring($no-time-zone,1,4) else '' " />
    <xsl:variable name="month-num" select="if ($dateTime-length &gt; 5) then substring($no-time-zone,5,2) else '' " />
    <xsl:variable name="day" select="if ($dateTime-length &gt; 7 and substring($no-time-zone,7,1) = '0') then substring($no-time-zone,8,1)       else if ($dateTime-length &gt; 7 and substring($no-time-zone,7,1) != '0') then substring($no-time-zone,7,2) else '' " />
    <xsl:variable name="hour-long" select="if ($dateTime-length &gt; 9) then substring($no-time-zone,9,2) else '' " />
    <xsl:variable name="hour-short" select="if (substring($hour-long, 1, 1) = '0') then substring($hour-long, 2, 1) else '' " />
    <xsl:variable name="minute" select="if ($dateTime-length &gt; 11) then substring($no-time-zone,11,2) else '' " />
    <xsl:variable name="second" select="if ($dateTime-length &gt; 13) then substring($no-time-zone,13,2) else '' " />
    <xsl:variable name="time-zone" select="if (contains($dt-value, '+')) then concat('\+', substring-after($dt-value, '+'))       else if (contains($dt-value, '-')) then concat('\-', substring-after($dt-value, '-'))       else '' " />
    <xsl:variable name="month-short" select="if ($month-num = '01') then 'jan'  else             if ($month-num = '02') then 'feb'  else             if ($month-num = '03') then 'mar'  else             if ($month-num = '04') then 'apr'  else             if ($month-num = '05') then 'may'  else             if ($month-num = '06') then 'jun'  else             if ($month-num = '07') then 'jul'  else             if ($month-num = '08') then 'aug'  else             if ($month-num = '09') then 'sep'  else             if ($month-num = '10') then 'oct'  else             if ($month-num = '11') then 'nov'  else             if ($month-num = '12') then 'dec'  else '' " />
    <xsl:variable name="month-long" select="if ($month-num = '01') then 'january'  else             if ($month-num = '02') then 'february'  else             if ($month-num = '03') then 'march'  else             if ($month-num = '04') then 'april'  else             if ($month-num = '05') then 'may'  else             if ($month-num = '06') then 'june'  else             if ($month-num = '07') then 'july'  else             if ($month-num = '08') then 'august'  else             if ($month-num = '09') then 'september'  else             if ($month-num = '10') then 'october'  else             if ($month-num = '11') then 'november'  else             if ($month-num = '12') then 'december'  else '' " />
    <xsl:variable name="date-type-3-day" select="if (string-length($day) = 1) then concat('0{0,1}', $day) else $day " />
    <xsl:variable name="date-type-3-month" select="if (string-length($month-num) = 1) then concat('0{0,1}', $month-num)        else if (substring($month-num, 1, 1) = '0') then concat('0{0,1}', substring($month-num, 2, 1))         else $month-num " />
    <xsl:variable name="dt-sequence-1" select="if ($dateTime-length = 4) then (         concat('^', $dt-value)         ,          concat('^', $year)         )        else if ($dateTime-length = 6) then (         concat('^', $dt-value)         ,         concat('^', $month-short, $date-sep, $year)      ,          concat('^', $month-long, $date-sep, $year)      )        else if ($dateTime-length &gt; 7) then (         concat('^', $dt-value)         ,         concat('^', $date-type-3-day, $date-sep, $month-short, $date-sep, $year)  ,         concat('^', $date-type-3-day, $date-sep, $month-long, $date-sep, $year)   ,         concat('^', $date-type-3-day, '/', $date-type-3-month, '/', $year)   )        else () " />
    <xsl:variable name="matching-seq-1" select="if (exists($dt-sequence-1))        then index-of(for $i in (1 to count($dt-sequence-1)) return exists($narr-dateTimes[matches(., $dt-sequence-1[$i], 'i')]), true())        else () " />
    <xsl:variable name="dt-stem-1" select="for $i in (1 to count($matching-seq-1)) return $dt-sequence-1[$matching-seq-1[$i]] " />
    <xsl:variable name="dt-regex-1" select="if (exists($dt-stem-1)) then concat('(', string-join($dt-stem-1, '$)|('), '$)') else ()" />
    <xsl:variable name="dt-match-1" select="exists($dt-stem-1) and exists($narr-dateTimes[matches(., $dt-regex-1, 'i')])" />
    <xsl:variable name="time-1" select="if ($dateTime-length &gt; 11 and $hour-short != '') then concat($hour-short, ':', $minute, '( *| *am)') else '' " />
    <xsl:variable name="time-2" select="if ($dateTime-length &gt; 13 and $hour-short != '') then concat($hour-short, ':', $minute, ':', $second, '( *| *am)') else '' " />
    <xsl:variable name="time-3" select="if ($dateTime-length &gt; 11 and number($hour-long) &lt; 12) then concat($hour-long, ':', $minute, '( *| *am)')       else if ($dateTime-length &gt; 11) then concat($hour-long, ':', $minute) else '' " />
    <xsl:variable name="time-4" select="if ($dateTime-length &gt; 13 and number($hour-long) &lt; 12) then concat($hour-long, ':', $minute, ':', $second, '( *| *am)')        else if ($dateTime-length &gt; 13) then concat($hour-long, ':', $minute, ':', $second) else '' " />
    <xsl:variable name="time-5" select="if ($dateTime-length &gt; 11 and number($hour-long) &gt; 12) then concat(string(number($hour-long) - 12), ':', $minute, '( *| *pm)') else '' " />
    <xsl:variable name="time-6" select="if ($dateTime-length &gt; 13 and number($hour-long) &gt; 12) then concat(string(number($hour-long) - 12), ':', $minute, ':', $second, '( *| *pm)') else '' " />
    <xsl:variable name="dt-temp-0" select="if (exists($dt-stem-1) and $dateTime-length = 8) then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $narr-time-regex) else () " />
    <xsl:variable name="dt-temp-1" select="if (exists($dt-stem-1) and $time-1 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-1) else () " />
    <xsl:variable name="dt-temp-2" select="if (exists($dt-stem-1) and $time-2 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-2) else () " />
    <xsl:variable name="dt-temp-3" select="if (exists($dt-stem-1) and $time-3 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-3) else () " />
    <xsl:variable name="dt-temp-4" select="if (exists($dt-stem-1) and $time-4 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-4) else () " />
    <xsl:variable name="dt-temp-5" select="if (exists($dt-stem-1) and $time-5 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-5) else () " />
    <xsl:variable name="dt-temp-6" select="if (exists($dt-stem-1) and $time-6 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-6) else () " />
    <xsl:variable name="dt-sequence-2" select="($dt-temp-0, $dt-temp-1, $dt-temp-2, $dt-temp-3, $dt-temp-4, $dt-temp-5, $dt-temp-6)" />
    <xsl:variable name="matching-seq-2" select="if (exists($dt-sequence-2))        then index-of(for $i in (1 to count($dt-sequence-2)) return exists($narr-dateTimes[matches(., $dt-sequence-2[$i], 'i')]), true())        else () " />
    <xsl:variable name="dt-stem-2" select="for $i in (1 to count($matching-seq-2)) return $dt-sequence-2[$matching-seq-2[$i]] " />
    <xsl:variable name="dt-regex-2" select="if (exists($dt-stem-2)) then concat('(', string-join($dt-stem-2, '$)|('), '$)') else '' " />
    <xsl:variable name="dt-match-2" select="(exists($dt-stem-2) and exists($narr-dateTimes[matches(., $dt-regex-2, 'i')])) " />
    <xsl:variable name="dt-sequence-3" select="if (not($dt-match-2) and exists($dt-stem-2) and $time-zone != '') then for $i in (1 to count($dt-stem-2)) return        concat($dt-stem-2[$i], substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2)) else () " />
    <xsl:variable name="dt-regex-3" select="if ($dt-match-2) then '' else if (exists($dt-sequence-3)) then concat('(', string-join($dt-sequence-3, '$)|('), '$)') else '' " />
    <xsl:variable name="dt-match-3" select="($dt-match-2 or (exists($dt-sequence-3) and exists($narr-dateTimes[matches(., $dt-regex-3, 'i')]))) " />
    <xsl:variable name="narr-match" select="if ($dt-value != '' and not(exists($narr-dateTimes))) then      (       contains($narrative, $dt-value)               or       (string-length($dt-value) = 4 and contains($narrative, $year))            or        (string-length($dt-value) = 6 and contains($narrative, concat($month-short, $year)))          or       (string-length($dt-value) &gt; 7 and starts-with($day, '0') and        (contains($narrative, concat(substring($day,2,1), $month-short, $year)) or         contains($narrative, concat(substring($day,2,1), $month-num, $year))))          or       (string-length($dt-value) &gt; 7 and (contains($narrative, concat($day, $month-short, $year)) or contains($narrative, concat($day, $month-num, $year))))        )       else false() " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($fir-narr-node//cda:renderMultiMedia) or exists($sec-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($fir-narr-node//cda:linkHtml) or exists($sec-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="warning-1" select="exists($dt-sequence-1) and exists($narr-dateTimes) and $dt-match-1 and not($dt-match-3) and $dt-value != '' " />
    <xsl:variable name="error-1" select="$warning-1 and not($multimedia) " />
    <xsl:variable name="warning-2" select="exists($dt-sequence-1) and exists($narr-dateTimes) and not($dt-match-1 or $dt-match-3) and $dt-value != '' " />
    <xsl:variable name="error-2a" select="$warning-2 and not($multimedia) and $time-zone != '' and count($narr-dateTimes) =        count(for $dt in $narr-dateTimes return replace(replace($dt, $regex-date-type-1, ''), $regex-date-type-2, '')       [matches(., concat('^\s*([0-9]{1,2}:{1}[0-9]{2}\s*', substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2),         '|[0-9]{1,2}:{1}[0-9]{2}:{1}[0-9]{2}\s*', substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2), ')\s*$'), 'i')]) " />
    <xsl:variable name="error-2b" select="$warning-2 and not($dt-match-1) and not($multimedia) and count($narr-dateTimes[matches(., $regex-date-type-2, 'i')]) =        count($narr-dateTimes[matches(., concat($regex-date-type-2, ' ', $narr-time-regex, '$'), 'i')]) " />
    <xsl:variable name="error-2c" select="$warning-2 and exists($narr-dateTimes[matches(., concat('^', $year, '$'))]) " />
    <xsl:variable name="error-2" select="$error-2a or $error-2b or $error-2c " />
    <xsl:variable name="warning-3" select="$dt-value != '' and not(exists($narr-dateTimes)) and not($narr-match) " />
    <xsl:variable name="error-3" select="$warning-3 and not($multimedia) and not(contains($narrative, substring($year, 3, 2)))" />
    <xsl:variable name="narr-dt-msg" select="if ($multimedia or $no-content) then ''       else if (not(exists($narr-dateTimes))) then concat(' The narrative of the ', iq:location(., ''), ' contains no dateTime elements.')       else if (count($narr-dateTimes) = 1) then concat(' The only dateTime element in the narrative of the ', iq:location(., ''), ' is ''',         dh:XQueryRecursiveReplace($narr-dateTimes[1], '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), '''.')       else concat(' The distinct dateTime elements in the narrative of the ', iq:location(., ''), ' are ''',         string-join(for $dt in $narr-dateTimes return          dh:XQueryRecursiveReplace($dt, '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), ', '), '''.') " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-4" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-4 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and exists($dt-sequence-1) and $dt-value != '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and exists($dt-sequence-1) and $dt-value != ''">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 4: The dateTime element in the structured data is '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'.
		The number of dateTime elements that have been extracted from the narrative is '<xsl:text /><xsl:value-of select="count($narr-dateTimes)" /><xsl:text />'.
		These are '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-dateTimes, ', '), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The initial regular expressions are '<xsl:text /><xsl:value-of select="string-join($dt-sequence-1, ', ')" /><xsl:text />'.
		The items in dt-stem-1 are: '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($dt-stem-1, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The items in dt-sequence-2 are: '<xsl:text /><xsl:value-of select="string-join($dt-sequence-2, '|')" /><xsl:text />'.
		The items in dt-stem-2 are: '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($dt-stem-2, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The three regular expressions used to perform an exact match for narrative dateTime elements are as follows:
		dt-regex-1='<xsl:text /><xsl:value-of select="$dt-regex-1" /><xsl:text />'; dt-regex-2='<xsl:text /><xsl:value-of select="$dt-regex-2" /><xsl:text />'; and dt-regex-3='<xsl:text /><xsl:value-of select="$dt-regex-3" /><xsl:text />'.
		Was a match found after the first regular expression (with just a date) was created? <xsl:text /><xsl:value-of select="$dt-match-1" /><xsl:text />.		
		<xsl:text /><xsl:value-of select="if ($dt-regex-2 = '') then 'The second regular expression was not applied as there is no time information.'    else concat('Was a match found after the second regular expression (with a date and time) was created? ', $dt-match-2, '.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($dt-regex-3 = '') then ' The third regular expression was not applied as there is no timezone information.'    else concat(' Was a match found after the third regular expression (with a date and time) was created? ', $dt-match-3, '.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $warning-1 and not($error-1 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $warning-1 and not($error-1 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Examination Request Details - Image Details - Image DateTime 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Examination Request Details - Image Details - Image DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $error-1 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $error-1 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Examination Request Details - Image Details - Image DateTime 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. The Examination Request Details - Image Details - Image DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $error-1 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $error-1 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Examination Request Details - Image Details - Image DateTime 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. The Examination Request Details - Image Details - Image DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $warning-2 and not($error-2 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$warning-2 and not($error-2 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Examination Request Details - Image Details - Image DateTime 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Examination Request Details - Image Details - Image DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-2 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-2 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Examination Request Details - Image Details - Image DateTime 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="if ($error-2c) then concat('The narrative contains a date with the same year ''', $year, ''' but without a month or day.') else '' " /><xsl:text />
		The Examination Request Details - Image Details - Image DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.
		<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-2 and not($no-content) and not(true())">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-2 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Examination Request Details - Image Details - Image DateTime 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="if ($error-2c) then concat('The narrative contains a date with the same year ''', $year, ''' but without a month or day.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $warning-3 and not($error-3 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$warning-3 and not($error-3 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Examination Request Details - Image Details - Image DateTime 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Examination Request Details - Image Details - Image DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $dt-value != '' and not($narr-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $dt-value != '' and not($narr-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Examination Request Details - Image Details - Image DateTime 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $dt-value != '' and not($narr-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $dt-value != '' and not($narr-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Examination Request Details - Image Details - Image DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Examination Request Details - Image Details - Image DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-3 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-3 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Examination Request Details - Image Details - Image DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Examination Request Details - Image Details - Image DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-3 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-3 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Examination Request Details - Image Details - Image DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Examination Request Details - Image Details - Image DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M398" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M398" />
  <xsl:template match="@*|node()" priority="-2" mode="M398">
    <xsl:apply-templates select="@*|*" mode="M398" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-DateTime-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16145' = $doc-sections and not(cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4') or   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2') or   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3') or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2') ])]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/cda:entryRelationship/cda:observation   [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16589']]/cda:effectiveTime " priority="1000" mode="M399">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16145' = $doc-sections and not(cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4') or   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2') or   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3') or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2') ])]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/cda:entryRelationship/cda:observation   [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16589']]/cda:effectiveTime " />
    <xsl:variable name="allow-ivl-ts" select="if (not(@xsi:type)) then false() else /cda:ClinicalDocument       [cda:templateId[(@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')  or         (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or         (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) ]]   and        local-name(.) = 'value'             and        ..[local-name(.) = 'observation' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]   and       ../..[local-name(.) = 'entryRelationship' and @typeCode='SUBJ']        and       ../../..[local-name(.) = 'observation' and cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]  and       ../../../..[local-name(.) = 'entry']            and       ../../../../..[local-name(.) = 'section' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]  " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-18" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-18 else $rating-alt-TC-Types-18 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-18: The Observation DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data
		type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime',            'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime', 'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: The Observation DateTime

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type but it does not meet the requirement to have the xsi:type attribute with the value 'TS'.
		(See section 8.6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the Observation DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was
		found. This may be corrected by using an xsi:type attribute with the value 'TS'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the Observation DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		This may be corrected by using an xsi:type attribute with the value 'TS'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the Observation DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7
		'TS' data type to have a value attribute if there is no nullFlavor
		attribute. (See section 7.8.13.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange')

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the Observation DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7 'TS' data type to have a value attribute if there is no nullFlavor
		attribute. The element has a '<xsl:text /><xsl:value-of select="local-name(*[local-name(.) = ('low', 'high')])" /><xsl:text />' child element with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		which is not one of the elements used for the HL7 'TS'
		data type. (See section 7.8.13 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Observation DateTime
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		is present. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Observation DateTime
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' was found. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Observation DateTime
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Observation DateTime
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@value) and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@value) and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to the Structured Content Specification the Observation DateTime
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (uncoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include
		nullFlavor 'UNC'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M399" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M399" />
  <xsl:template match="@*|node()" priority="-2" mode="M399">
    <xsl:apply-templates select="@*|*" mode="M399" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-DateTime-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16145' = $doc-sections and cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4') or   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2') or   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3') or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2') ]]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/cda:entryRelationship/cda:observation   [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16589']]/cda:effectiveTime " priority="1000" mode="M400">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16145' = $doc-sections and cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4') or   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2') or   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3') or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2') ]]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/cda:entryRelationship/cda:observation   [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16589']]/cda:effectiveTime " />
    <xsl:variable name="allow-ivl-ts" select="if (not(@xsi:type)) then false() else /cda:ClinicalDocument       [cda:templateId[(@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')  or         (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or         (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) ]]   and        local-name(.) = 'value'             and        ..[local-name(.) = 'observation' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]   and       ../..[local-name(.) = 'entryRelationship' and @typeCode='SUBJ']        and       ../../..[local-name(.) = 'observation' and cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]  and       ../../../..[local-name(.) = 'entry']            and       ../../../../..[local-name(.) = 'section' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]  " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-18" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-18 else $rating-alt-TC-Types-18 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-18: The Imaging Examination Result DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data
		type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime',            'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime', 'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: The Imaging Examination Result DateTime

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type but it does not meet the requirement to have the xsi:type attribute with the value 'TS'.
		(See section 8.6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the Imaging Examination Result DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was
		found. This may be corrected by using an xsi:type attribute with the value 'TS'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the Imaging Examination Result DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		This may be corrected by using an xsi:type attribute with the value 'TS'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the Imaging Examination Result DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7
		'TS' data type to have a value attribute if there is no nullFlavor
		attribute. (See section 7.8.13.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange')

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the Imaging Examination Result DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7 'TS' data type to have a value attribute if there is no nullFlavor
		attribute. The element has a '<xsl:text /><xsl:value-of select="local-name(*[local-name(.) = ('low', 'high')])" /><xsl:text />' child element with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		which is not one of the elements used for the HL7 'TS'
		data type. (See section 7.8.13 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Imaging Examination Result DateTime
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		is present. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Imaging Examination Result DateTime
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' was found. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Imaging Examination Result DateTime
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Imaging Examination Result DateTime
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@value) and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@value) and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to the Structured Content Specification the Imaging Examination Result DateTime
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (uncoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include
		nullFlavor 'UNC'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M400" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M400" />
  <xsl:template match="@*|node()" priority="-2" mode="M400">
    <xsl:apply-templates select="@*|*" mode="M400" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-DateTime-5-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16145' = $doc-sections and not(cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4') or   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2') or   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3') or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2') ])]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/cda:entryRelationship/cda:observation   [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16589']]/cda:effectiveTime    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))] " priority="1000" mode="M401">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16145' = $doc-sections and not(cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4') or   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2') or   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3') or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2') ])]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/cda:entryRelationship/cda:observation   [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16589']]/cda:effectiveTime    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="fir-narrative" select="translate(normalize-space(lower-case(string($fir-narr-node))), $chars-to-remove, '')" />
    <xsl:variable name="sec-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)        then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]        else () " />
    <xsl:variable name="sec-narr-node" select="$sec-section/cda:text " />
    <xsl:variable name="narr-text-el" select="(for $text in ($fir-narr-node//text(), $sec-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="sec-narrative" select="translate(normalize-space(lower-case(string($sec-narr-node))), $chars-to-remove, '') " />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="narrative" select="concat($target-title, $fir-narrative, $sec-narrative)" />
    <xsl:variable name="narr-elements" select="$fir-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ]  |             $sec-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ] " />
    <xsl:variable name="narr-lower-case" select="for $i in (1 to count($narr-elements)) return lower-case(normalize-space(string-join($narr-elements[$i]/text(), '')))  " />
    <xsl:variable name="dt-narr-elements" select="$narr-lower-case[matches(., $regex-date-type-1, 'i') or matches(., $regex-date-type-2, 'i') or matches(., $regex-date-type-3, 'i')] " />
    <xsl:variable name="narr-elements-start" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-before($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-before($dt-narr-elements[$i], ' -'))        else $dt-narr-elements[$i])[. != ''] " />
    <xsl:variable name="narr-elements-end" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-after($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-after($dt-narr-elements[$i], ' -'))        else '')[. != ''] " />
    <xsl:variable name="narr-dateTimes" select="distinct-values(($narr-elements-start , $narr-elements-end))[. != '(ongoing)'] " />
    <xsl:variable name="dt-value" select="if (@value) then @value else '' " />
    <xsl:variable name="no-time-zone" select="if (contains($dt-value, '+')) then substring-before($dt-value, '+')       else if (contains($dt-value, '-')) then substring-before($dt-value, '-')       else $dt-value " />
    <xsl:variable name="dateTime-length" select="string-length($no-time-zone) " />
    <xsl:variable name="year" select="if ($dateTime-length &gt; 3) then substring($no-time-zone,1,4) else '' " />
    <xsl:variable name="month-num" select="if ($dateTime-length &gt; 5) then substring($no-time-zone,5,2) else '' " />
    <xsl:variable name="day" select="if ($dateTime-length &gt; 7 and substring($no-time-zone,7,1) = '0') then substring($no-time-zone,8,1)       else if ($dateTime-length &gt; 7 and substring($no-time-zone,7,1) != '0') then substring($no-time-zone,7,2) else '' " />
    <xsl:variable name="hour-long" select="if ($dateTime-length &gt; 9) then substring($no-time-zone,9,2) else '' " />
    <xsl:variable name="hour-short" select="if (substring($hour-long, 1, 1) = '0') then substring($hour-long, 2, 1) else '' " />
    <xsl:variable name="minute" select="if ($dateTime-length &gt; 11) then substring($no-time-zone,11,2) else '' " />
    <xsl:variable name="second" select="if ($dateTime-length &gt; 13) then substring($no-time-zone,13,2) else '' " />
    <xsl:variable name="time-zone" select="if (contains($dt-value, '+')) then concat('\+', substring-after($dt-value, '+'))       else if (contains($dt-value, '-')) then concat('\-', substring-after($dt-value, '-'))       else '' " />
    <xsl:variable name="month-short" select="if ($month-num = '01') then 'jan'  else             if ($month-num = '02') then 'feb'  else             if ($month-num = '03') then 'mar'  else             if ($month-num = '04') then 'apr'  else             if ($month-num = '05') then 'may'  else             if ($month-num = '06') then 'jun'  else             if ($month-num = '07') then 'jul'  else             if ($month-num = '08') then 'aug'  else             if ($month-num = '09') then 'sep'  else             if ($month-num = '10') then 'oct'  else             if ($month-num = '11') then 'nov'  else             if ($month-num = '12') then 'dec'  else '' " />
    <xsl:variable name="month-long" select="if ($month-num = '01') then 'january'  else             if ($month-num = '02') then 'february'  else             if ($month-num = '03') then 'march'  else             if ($month-num = '04') then 'april'  else             if ($month-num = '05') then 'may'  else             if ($month-num = '06') then 'june'  else             if ($month-num = '07') then 'july'  else             if ($month-num = '08') then 'august'  else             if ($month-num = '09') then 'september'  else             if ($month-num = '10') then 'october'  else             if ($month-num = '11') then 'november'  else             if ($month-num = '12') then 'december'  else '' " />
    <xsl:variable name="date-type-3-day" select="if (string-length($day) = 1) then concat('0{0,1}', $day) else $day " />
    <xsl:variable name="date-type-3-month" select="if (string-length($month-num) = 1) then concat('0{0,1}', $month-num)        else if (substring($month-num, 1, 1) = '0') then concat('0{0,1}', substring($month-num, 2, 1))         else $month-num " />
    <xsl:variable name="dt-sequence-1" select="if ($dateTime-length = 4) then (         concat('^', $dt-value)         ,          concat('^', $year)         )        else if ($dateTime-length = 6) then (         concat('^', $dt-value)         ,         concat('^', $month-short, $date-sep, $year)      ,          concat('^', $month-long, $date-sep, $year)      )        else if ($dateTime-length &gt; 7) then (         concat('^', $dt-value)         ,         concat('^', $date-type-3-day, $date-sep, $month-short, $date-sep, $year)  ,         concat('^', $date-type-3-day, $date-sep, $month-long, $date-sep, $year)   ,         concat('^', $date-type-3-day, '/', $date-type-3-month, '/', $year)   )        else () " />
    <xsl:variable name="matching-seq-1" select="if (exists($dt-sequence-1))        then index-of(for $i in (1 to count($dt-sequence-1)) return exists($narr-dateTimes[matches(., $dt-sequence-1[$i], 'i')]), true())        else () " />
    <xsl:variable name="dt-stem-1" select="for $i in (1 to count($matching-seq-1)) return $dt-sequence-1[$matching-seq-1[$i]] " />
    <xsl:variable name="dt-regex-1" select="if (exists($dt-stem-1)) then concat('(', string-join($dt-stem-1, '$)|('), '$)') else ()" />
    <xsl:variable name="dt-match-1" select="exists($dt-stem-1) and exists($narr-dateTimes[matches(., $dt-regex-1, 'i')])" />
    <xsl:variable name="time-1" select="if ($dateTime-length &gt; 11 and $hour-short != '') then concat($hour-short, ':', $minute, '( *| *am)') else '' " />
    <xsl:variable name="time-2" select="if ($dateTime-length &gt; 13 and $hour-short != '') then concat($hour-short, ':', $minute, ':', $second, '( *| *am)') else '' " />
    <xsl:variable name="time-3" select="if ($dateTime-length &gt; 11 and number($hour-long) &lt; 12) then concat($hour-long, ':', $minute, '( *| *am)')       else if ($dateTime-length &gt; 11) then concat($hour-long, ':', $minute) else '' " />
    <xsl:variable name="time-4" select="if ($dateTime-length &gt; 13 and number($hour-long) &lt; 12) then concat($hour-long, ':', $minute, ':', $second, '( *| *am)')        else if ($dateTime-length &gt; 13) then concat($hour-long, ':', $minute, ':', $second) else '' " />
    <xsl:variable name="time-5" select="if ($dateTime-length &gt; 11 and number($hour-long) &gt; 12) then concat(string(number($hour-long) - 12), ':', $minute, '( *| *pm)') else '' " />
    <xsl:variable name="time-6" select="if ($dateTime-length &gt; 13 and number($hour-long) &gt; 12) then concat(string(number($hour-long) - 12), ':', $minute, ':', $second, '( *| *pm)') else '' " />
    <xsl:variable name="dt-temp-0" select="if (exists($dt-stem-1) and $dateTime-length = 8) then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $narr-time-regex) else () " />
    <xsl:variable name="dt-temp-1" select="if (exists($dt-stem-1) and $time-1 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-1) else () " />
    <xsl:variable name="dt-temp-2" select="if (exists($dt-stem-1) and $time-2 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-2) else () " />
    <xsl:variable name="dt-temp-3" select="if (exists($dt-stem-1) and $time-3 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-3) else () " />
    <xsl:variable name="dt-temp-4" select="if (exists($dt-stem-1) and $time-4 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-4) else () " />
    <xsl:variable name="dt-temp-5" select="if (exists($dt-stem-1) and $time-5 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-5) else () " />
    <xsl:variable name="dt-temp-6" select="if (exists($dt-stem-1) and $time-6 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-6) else () " />
    <xsl:variable name="dt-sequence-2" select="($dt-temp-0, $dt-temp-1, $dt-temp-2, $dt-temp-3, $dt-temp-4, $dt-temp-5, $dt-temp-6)" />
    <xsl:variable name="matching-seq-2" select="if (exists($dt-sequence-2))        then index-of(for $i in (1 to count($dt-sequence-2)) return exists($narr-dateTimes[matches(., $dt-sequence-2[$i], 'i')]), true())        else () " />
    <xsl:variable name="dt-stem-2" select="for $i in (1 to count($matching-seq-2)) return $dt-sequence-2[$matching-seq-2[$i]] " />
    <xsl:variable name="dt-regex-2" select="if (exists($dt-stem-2)) then concat('(', string-join($dt-stem-2, '$)|('), '$)') else '' " />
    <xsl:variable name="dt-match-2" select="(exists($dt-stem-2) and exists($narr-dateTimes[matches(., $dt-regex-2, 'i')])) " />
    <xsl:variable name="dt-sequence-3" select="if (not($dt-match-2) and exists($dt-stem-2) and $time-zone != '') then for $i in (1 to count($dt-stem-2)) return        concat($dt-stem-2[$i], substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2)) else () " />
    <xsl:variable name="dt-regex-3" select="if ($dt-match-2) then '' else if (exists($dt-sequence-3)) then concat('(', string-join($dt-sequence-3, '$)|('), '$)') else '' " />
    <xsl:variable name="dt-match-3" select="($dt-match-2 or (exists($dt-sequence-3) and exists($narr-dateTimes[matches(., $dt-regex-3, 'i')]))) " />
    <xsl:variable name="narr-match" select="if ($dt-value != '' and not(exists($narr-dateTimes))) then      (       contains($narrative, $dt-value)               or       (string-length($dt-value) = 4 and contains($narrative, $year))            or        (string-length($dt-value) = 6 and contains($narrative, concat($month-short, $year)))          or       (string-length($dt-value) &gt; 7 and starts-with($day, '0') and        (contains($narrative, concat(substring($day,2,1), $month-short, $year)) or         contains($narrative, concat(substring($day,2,1), $month-num, $year))))          or       (string-length($dt-value) &gt; 7 and (contains($narrative, concat($day, $month-short, $year)) or contains($narrative, concat($day, $month-num, $year))))        )       else false() " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($fir-narr-node//cda:renderMultiMedia) or exists($sec-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($fir-narr-node//cda:linkHtml) or exists($sec-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="warning-1" select="exists($dt-sequence-1) and exists($narr-dateTimes) and $dt-match-1 and not($dt-match-3) and $dt-value != '' " />
    <xsl:variable name="error-1" select="$warning-1 and not($multimedia) " />
    <xsl:variable name="warning-2" select="exists($dt-sequence-1) and exists($narr-dateTimes) and not($dt-match-1 or $dt-match-3) and $dt-value != '' " />
    <xsl:variable name="error-2a" select="$warning-2 and not($multimedia) and $time-zone != '' and count($narr-dateTimes) =        count(for $dt in $narr-dateTimes return replace(replace($dt, $regex-date-type-1, ''), $regex-date-type-2, '')       [matches(., concat('^\s*([0-9]{1,2}:{1}[0-9]{2}\s*', substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2),         '|[0-9]{1,2}:{1}[0-9]{2}:{1}[0-9]{2}\s*', substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2), ')\s*$'), 'i')]) " />
    <xsl:variable name="error-2b" select="$warning-2 and not($dt-match-1) and not($multimedia) and count($narr-dateTimes[matches(., $regex-date-type-2, 'i')]) =        count($narr-dateTimes[matches(., concat($regex-date-type-2, ' ', $narr-time-regex, '$'), 'i')]) " />
    <xsl:variable name="error-2c" select="$warning-2 and exists($narr-dateTimes[matches(., concat('^', $year, '$'))]) " />
    <xsl:variable name="error-2" select="$error-2a or $error-2b or $error-2c " />
    <xsl:variable name="warning-3" select="$dt-value != '' and not(exists($narr-dateTimes)) and not($narr-match) " />
    <xsl:variable name="error-3" select="$warning-3 and not($multimedia) and not(contains($narrative, substring($year, 3, 2)))" />
    <xsl:variable name="narr-dt-msg" select="if ($multimedia or $no-content) then ''       else if (not(exists($narr-dateTimes))) then concat(' The narrative of the ', iq:location(., ''), ' contains no dateTime elements.')       else if (count($narr-dateTimes) = 1) then concat(' The only dateTime element in the narrative of the ', iq:location(., ''), ' is ''',         dh:XQueryRecursiveReplace($narr-dateTimes[1], '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), '''.')       else concat(' The distinct dateTime elements in the narrative of the ', iq:location(., ''), ' are ''',         string-join(for $dt in $narr-dateTimes return          dh:XQueryRecursiveReplace($dt, '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), ', '), '''.') " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-4" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-4 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and exists($dt-sequence-1) and $dt-value != '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and exists($dt-sequence-1) and $dt-value != ''">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 4: The dateTime element in the structured data is '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'.
		The number of dateTime elements that have been extracted from the narrative is '<xsl:text /><xsl:value-of select="count($narr-dateTimes)" /><xsl:text />'.
		These are '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-dateTimes, ', '), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The initial regular expressions are '<xsl:text /><xsl:value-of select="string-join($dt-sequence-1, ', ')" /><xsl:text />'.
		The items in dt-stem-1 are: '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($dt-stem-1, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The items in dt-sequence-2 are: '<xsl:text /><xsl:value-of select="string-join($dt-sequence-2, '|')" /><xsl:text />'.
		The items in dt-stem-2 are: '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($dt-stem-2, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The three regular expressions used to perform an exact match for narrative dateTime elements are as follows:
		dt-regex-1='<xsl:text /><xsl:value-of select="$dt-regex-1" /><xsl:text />'; dt-regex-2='<xsl:text /><xsl:value-of select="$dt-regex-2" /><xsl:text />'; and dt-regex-3='<xsl:text /><xsl:value-of select="$dt-regex-3" /><xsl:text />'.
		Was a match found after the first regular expression (with just a date) was created? <xsl:text /><xsl:value-of select="$dt-match-1" /><xsl:text />.		
		<xsl:text /><xsl:value-of select="if ($dt-regex-2 = '') then 'The second regular expression was not applied as there is no time information.'    else concat('Was a match found after the second regular expression (with a date and time) was created? ', $dt-match-2, '.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($dt-regex-3 = '') then ' The third regular expression was not applied as there is no timezone information.'    else concat(' Was a match found after the third regular expression (with a date and time) was created? ', $dt-match-3, '.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $warning-1 and not($error-1 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $warning-1 and not($error-1 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Observation DateTime 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Observation DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $error-1 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $error-1 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Observation DateTime 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. The Observation DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $error-1 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $error-1 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Observation DateTime 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. The Observation DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $warning-2 and not($error-2 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$warning-2 and not($error-2 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Observation DateTime 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Observation DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-2 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-2 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Observation DateTime 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="if ($error-2c) then concat('The narrative contains a date with the same year ''', $year, ''' but without a month or day.') else '' " /><xsl:text />
		The Observation DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.
		<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-2 and not($no-content) and not(true())">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-2 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Observation DateTime 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="if ($error-2c) then concat('The narrative contains a date with the same year ''', $year, ''' but without a month or day.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $warning-3 and not($error-3 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$warning-3 and not($error-3 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Observation DateTime 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Observation DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $dt-value != '' and not($narr-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $dt-value != '' and not($narr-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Observation DateTime 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $dt-value != '' and not($narr-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $dt-value != '' and not($narr-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Observation DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Observation DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-3 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-3 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Observation DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Observation DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-3 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-3 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Observation DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Observation DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M401" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M401" />
  <xsl:template match="@*|node()" priority="-2" mode="M401">
    <xsl:apply-templates select="@*|*" mode="M401" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-DateTime-5-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16145' = $doc-sections and not(cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4') or   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2') or   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3') or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2') ])]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/cda:entryRelationship/cda:observation   [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16589']]/cda:effectiveTime    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))] " priority="1000" mode="M402">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16145' = $doc-sections and not(cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4') or   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2') or   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3') or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2') ])]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/cda:entryRelationship/cda:observation   [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16589']]/cda:effectiveTime    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="fir-narrative" select="translate(normalize-space(lower-case(string($fir-narr-node))), $chars-to-remove, '')" />
    <xsl:variable name="sec-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)        then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]        else () " />
    <xsl:variable name="sec-narr-node" select="$sec-section/cda:text " />
    <xsl:variable name="narr-text-el" select="(for $text in ($fir-narr-node//text(), $sec-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="sec-narrative" select="translate(normalize-space(lower-case(string($sec-narr-node))), $chars-to-remove, '') " />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="narrative" select="concat($target-title, $fir-narrative, $sec-narrative)" />
    <xsl:variable name="narr-elements" select="$fir-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ]  |             $sec-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ] " />
    <xsl:variable name="narr-lower-case" select="for $i in (1 to count($narr-elements)) return lower-case(normalize-space(string-join($narr-elements[$i]/text(), '')))  " />
    <xsl:variable name="dt-narr-elements" select="$narr-lower-case[matches(., $regex-date-type-1, 'i') or matches(., $regex-date-type-2, 'i') or matches(., $regex-date-type-3, 'i')] " />
    <xsl:variable name="narr-elements-start" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-before($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-before($dt-narr-elements[$i], ' -'))        else $dt-narr-elements[$i])[. != ''] " />
    <xsl:variable name="narr-elements-end" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-after($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-after($dt-narr-elements[$i], ' -'))        else '')[. != ''] " />
    <xsl:variable name="narr-dateTimes" select="distinct-values(($narr-elements-start , $narr-elements-end))[. != '(ongoing)'] " />
    <xsl:variable name="dt-value" select="if (@value) then @value else '' " />
    <xsl:variable name="no-time-zone" select="if (contains($dt-value, '+')) then substring-before($dt-value, '+')       else if (contains($dt-value, '-')) then substring-before($dt-value, '-')       else $dt-value " />
    <xsl:variable name="dateTime-length" select="string-length($no-time-zone) " />
    <xsl:variable name="year" select="if ($dateTime-length &gt; 3) then substring($no-time-zone,1,4) else '' " />
    <xsl:variable name="month-num" select="if ($dateTime-length &gt; 5) then substring($no-time-zone,5,2) else '' " />
    <xsl:variable name="day" select="if ($dateTime-length &gt; 7 and substring($no-time-zone,7,1) = '0') then substring($no-time-zone,8,1)       else if ($dateTime-length &gt; 7 and substring($no-time-zone,7,1) != '0') then substring($no-time-zone,7,2) else '' " />
    <xsl:variable name="hour-long" select="if ($dateTime-length &gt; 9) then substring($no-time-zone,9,2) else '' " />
    <xsl:variable name="hour-short" select="if (substring($hour-long, 1, 1) = '0') then substring($hour-long, 2, 1) else '' " />
    <xsl:variable name="minute" select="if ($dateTime-length &gt; 11) then substring($no-time-zone,11,2) else '' " />
    <xsl:variable name="second" select="if ($dateTime-length &gt; 13) then substring($no-time-zone,13,2) else '' " />
    <xsl:variable name="time-zone" select="if (contains($dt-value, '+')) then concat('\+', substring-after($dt-value, '+'))       else if (contains($dt-value, '-')) then concat('\-', substring-after($dt-value, '-'))       else '' " />
    <xsl:variable name="month-short" select="if ($month-num = '01') then 'jan'  else             if ($month-num = '02') then 'feb'  else             if ($month-num = '03') then 'mar'  else             if ($month-num = '04') then 'apr'  else             if ($month-num = '05') then 'may'  else             if ($month-num = '06') then 'jun'  else             if ($month-num = '07') then 'jul'  else             if ($month-num = '08') then 'aug'  else             if ($month-num = '09') then 'sep'  else             if ($month-num = '10') then 'oct'  else             if ($month-num = '11') then 'nov'  else             if ($month-num = '12') then 'dec'  else '' " />
    <xsl:variable name="month-long" select="if ($month-num = '01') then 'january'  else             if ($month-num = '02') then 'february'  else             if ($month-num = '03') then 'march'  else             if ($month-num = '04') then 'april'  else             if ($month-num = '05') then 'may'  else             if ($month-num = '06') then 'june'  else             if ($month-num = '07') then 'july'  else             if ($month-num = '08') then 'august'  else             if ($month-num = '09') then 'september'  else             if ($month-num = '10') then 'october'  else             if ($month-num = '11') then 'november'  else             if ($month-num = '12') then 'december'  else '' " />
    <xsl:variable name="date-type-3-day" select="if (string-length($day) = 1) then concat('0{0,1}', $day) else $day " />
    <xsl:variable name="date-type-3-month" select="if (string-length($month-num) = 1) then concat('0{0,1}', $month-num)        else if (substring($month-num, 1, 1) = '0') then concat('0{0,1}', substring($month-num, 2, 1))         else $month-num " />
    <xsl:variable name="dt-sequence-1" select="if ($dateTime-length = 4) then (         concat('^', $dt-value)         ,          concat('^', $year)         )        else if ($dateTime-length = 6) then (         concat('^', $dt-value)         ,         concat('^', $month-short, $date-sep, $year)      ,          concat('^', $month-long, $date-sep, $year)      )        else if ($dateTime-length &gt; 7) then (         concat('^', $dt-value)         ,         concat('^', $date-type-3-day, $date-sep, $month-short, $date-sep, $year)  ,         concat('^', $date-type-3-day, $date-sep, $month-long, $date-sep, $year)   ,         concat('^', $date-type-3-day, '/', $date-type-3-month, '/', $year)   )        else () " />
    <xsl:variable name="matching-seq-1" select="if (exists($dt-sequence-1))        then index-of(for $i in (1 to count($dt-sequence-1)) return exists($narr-dateTimes[matches(., $dt-sequence-1[$i], 'i')]), true())        else () " />
    <xsl:variable name="dt-stem-1" select="for $i in (1 to count($matching-seq-1)) return $dt-sequence-1[$matching-seq-1[$i]] " />
    <xsl:variable name="dt-regex-1" select="if (exists($dt-stem-1)) then concat('(', string-join($dt-stem-1, '$)|('), '$)') else ()" />
    <xsl:variable name="dt-match-1" select="exists($dt-stem-1) and exists($narr-dateTimes[matches(., $dt-regex-1, 'i')])" />
    <xsl:variable name="time-1" select="if ($dateTime-length &gt; 11 and $hour-short != '') then concat($hour-short, ':', $minute, '( *| *am)') else '' " />
    <xsl:variable name="time-2" select="if ($dateTime-length &gt; 13 and $hour-short != '') then concat($hour-short, ':', $minute, ':', $second, '( *| *am)') else '' " />
    <xsl:variable name="time-3" select="if ($dateTime-length &gt; 11 and number($hour-long) &lt; 12) then concat($hour-long, ':', $minute, '( *| *am)')       else if ($dateTime-length &gt; 11) then concat($hour-long, ':', $minute) else '' " />
    <xsl:variable name="time-4" select="if ($dateTime-length &gt; 13 and number($hour-long) &lt; 12) then concat($hour-long, ':', $minute, ':', $second, '( *| *am)')        else if ($dateTime-length &gt; 13) then concat($hour-long, ':', $minute, ':', $second) else '' " />
    <xsl:variable name="time-5" select="if ($dateTime-length &gt; 11 and number($hour-long) &gt; 12) then concat(string(number($hour-long) - 12), ':', $minute, '( *| *pm)') else '' " />
    <xsl:variable name="time-6" select="if ($dateTime-length &gt; 13 and number($hour-long) &gt; 12) then concat(string(number($hour-long) - 12), ':', $minute, ':', $second, '( *| *pm)') else '' " />
    <xsl:variable name="dt-temp-0" select="if (exists($dt-stem-1) and $dateTime-length = 8) then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $narr-time-regex) else () " />
    <xsl:variable name="dt-temp-1" select="if (exists($dt-stem-1) and $time-1 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-1) else () " />
    <xsl:variable name="dt-temp-2" select="if (exists($dt-stem-1) and $time-2 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-2) else () " />
    <xsl:variable name="dt-temp-3" select="if (exists($dt-stem-1) and $time-3 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-3) else () " />
    <xsl:variable name="dt-temp-4" select="if (exists($dt-stem-1) and $time-4 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-4) else () " />
    <xsl:variable name="dt-temp-5" select="if (exists($dt-stem-1) and $time-5 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-5) else () " />
    <xsl:variable name="dt-temp-6" select="if (exists($dt-stem-1) and $time-6 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-6) else () " />
    <xsl:variable name="dt-sequence-2" select="($dt-temp-0, $dt-temp-1, $dt-temp-2, $dt-temp-3, $dt-temp-4, $dt-temp-5, $dt-temp-6)" />
    <xsl:variable name="matching-seq-2" select="if (exists($dt-sequence-2))        then index-of(for $i in (1 to count($dt-sequence-2)) return exists($narr-dateTimes[matches(., $dt-sequence-2[$i], 'i')]), true())        else () " />
    <xsl:variable name="dt-stem-2" select="for $i in (1 to count($matching-seq-2)) return $dt-sequence-2[$matching-seq-2[$i]] " />
    <xsl:variable name="dt-regex-2" select="if (exists($dt-stem-2)) then concat('(', string-join($dt-stem-2, '$)|('), '$)') else '' " />
    <xsl:variable name="dt-match-2" select="(exists($dt-stem-2) and exists($narr-dateTimes[matches(., $dt-regex-2, 'i')])) " />
    <xsl:variable name="dt-sequence-3" select="if (not($dt-match-2) and exists($dt-stem-2) and $time-zone != '') then for $i in (1 to count($dt-stem-2)) return        concat($dt-stem-2[$i], substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2)) else () " />
    <xsl:variable name="dt-regex-3" select="if ($dt-match-2) then '' else if (exists($dt-sequence-3)) then concat('(', string-join($dt-sequence-3, '$)|('), '$)') else '' " />
    <xsl:variable name="dt-match-3" select="($dt-match-2 or (exists($dt-sequence-3) and exists($narr-dateTimes[matches(., $dt-regex-3, 'i')]))) " />
    <xsl:variable name="narr-match" select="if ($dt-value != '' and not(exists($narr-dateTimes))) then      (       contains($narrative, $dt-value)               or       (string-length($dt-value) = 4 and contains($narrative, $year))            or        (string-length($dt-value) = 6 and contains($narrative, concat($month-short, $year)))          or       (string-length($dt-value) &gt; 7 and starts-with($day, '0') and        (contains($narrative, concat(substring($day,2,1), $month-short, $year)) or         contains($narrative, concat(substring($day,2,1), $month-num, $year))))          or       (string-length($dt-value) &gt; 7 and (contains($narrative, concat($day, $month-short, $year)) or contains($narrative, concat($day, $month-num, $year))))        )       else false() " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($fir-narr-node//cda:renderMultiMedia) or exists($sec-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($fir-narr-node//cda:linkHtml) or exists($sec-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="warning-1" select="exists($dt-sequence-1) and exists($narr-dateTimes) and $dt-match-1 and not($dt-match-3) and $dt-value != '' " />
    <xsl:variable name="error-1" select="$warning-1 and not($multimedia) " />
    <xsl:variable name="warning-2" select="exists($dt-sequence-1) and exists($narr-dateTimes) and not($dt-match-1 or $dt-match-3) and $dt-value != '' " />
    <xsl:variable name="error-2a" select="$warning-2 and not($multimedia) and $time-zone != '' and count($narr-dateTimes) =        count(for $dt in $narr-dateTimes return replace(replace($dt, $regex-date-type-1, ''), $regex-date-type-2, '')       [matches(., concat('^\s*([0-9]{1,2}:{1}[0-9]{2}\s*', substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2),         '|[0-9]{1,2}:{1}[0-9]{2}:{1}[0-9]{2}\s*', substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2), ')\s*$'), 'i')]) " />
    <xsl:variable name="error-2b" select="$warning-2 and not($dt-match-1) and not($multimedia) and count($narr-dateTimes[matches(., $regex-date-type-2, 'i')]) =        count($narr-dateTimes[matches(., concat($regex-date-type-2, ' ', $narr-time-regex, '$'), 'i')]) " />
    <xsl:variable name="error-2c" select="$warning-2 and exists($narr-dateTimes[matches(., concat('^', $year, '$'))]) " />
    <xsl:variable name="error-2" select="$error-2a or $error-2b or $error-2c " />
    <xsl:variable name="warning-3" select="$dt-value != '' and not(exists($narr-dateTimes)) and not($narr-match) " />
    <xsl:variable name="error-3" select="$warning-3 and not($multimedia) and not(contains($narrative, substring($year, 3, 2)))" />
    <xsl:variable name="narr-dt-msg" select="if ($multimedia or $no-content) then ''       else if (not(exists($narr-dateTimes))) then concat(' The narrative of the ', iq:location(., ''), ' contains no dateTime elements.')       else if (count($narr-dateTimes) = 1) then concat(' The only dateTime element in the narrative of the ', iq:location(., ''), ' is ''',         dh:XQueryRecursiveReplace($narr-dateTimes[1], '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), '''.')       else concat(' The distinct dateTime elements in the narrative of the ', iq:location(., ''), ' are ''',         string-join(for $dt in $narr-dateTimes return          dh:XQueryRecursiveReplace($dt, '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), ', '), '''.') " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-4" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-4 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and exists($dt-sequence-1) and $dt-value != '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and exists($dt-sequence-1) and $dt-value != ''">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 4: The dateTime element in the structured data is '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'.
		The number of dateTime elements that have been extracted from the narrative is '<xsl:text /><xsl:value-of select="count($narr-dateTimes)" /><xsl:text />'.
		These are '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-dateTimes, ', '), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The initial regular expressions are '<xsl:text /><xsl:value-of select="string-join($dt-sequence-1, ', ')" /><xsl:text />'.
		The items in dt-stem-1 are: '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($dt-stem-1, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The items in dt-sequence-2 are: '<xsl:text /><xsl:value-of select="string-join($dt-sequence-2, '|')" /><xsl:text />'.
		The items in dt-stem-2 are: '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($dt-stem-2, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The three regular expressions used to perform an exact match for narrative dateTime elements are as follows:
		dt-regex-1='<xsl:text /><xsl:value-of select="$dt-regex-1" /><xsl:text />'; dt-regex-2='<xsl:text /><xsl:value-of select="$dt-regex-2" /><xsl:text />'; and dt-regex-3='<xsl:text /><xsl:value-of select="$dt-regex-3" /><xsl:text />'.
		Was a match found after the first regular expression (with just a date) was created? <xsl:text /><xsl:value-of select="$dt-match-1" /><xsl:text />.		
		<xsl:text /><xsl:value-of select="if ($dt-regex-2 = '') then 'The second regular expression was not applied as there is no time information.'    else concat('Was a match found after the second regular expression (with a date and time) was created? ', $dt-match-2, '.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($dt-regex-3 = '') then ' The third regular expression was not applied as there is no timezone information.'    else concat(' Was a match found after the third regular expression (with a date and time) was created? ', $dt-match-3, '.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $warning-1 and not($error-1 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $warning-1 and not($error-1 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Observation DateTime 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Observation DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $error-1 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $error-1 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Observation DateTime 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. The Observation DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $error-1 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $error-1 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Observation DateTime 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. The Observation DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $warning-2 and not($error-2 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$warning-2 and not($error-2 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Observation DateTime 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Observation DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-2 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-2 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Observation DateTime 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="if ($error-2c) then concat('The narrative contains a date with the same year ''', $year, ''' but without a month or day.') else '' " /><xsl:text />
		The Observation DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.
		<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-2 and not($no-content) and not(true())">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-2 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Observation DateTime 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="if ($error-2c) then concat('The narrative contains a date with the same year ''', $year, ''' but without a month or day.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $warning-3 and not($error-3 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$warning-3 and not($error-3 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Observation DateTime 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Observation DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $dt-value != '' and not($narr-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $dt-value != '' and not($narr-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Observation DateTime 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $dt-value != '' and not($narr-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $dt-value != '' and not($narr-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Observation DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Observation DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-3 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-3 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Observation DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Observation DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-3 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-3 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Observation DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Observation DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M402" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M402" />
  <xsl:template match="@*|node()" priority="-2" mode="M402">
    <xsl:apply-templates select="@*|*" mode="M402" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-QuantityRange-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/   cda:entry/cda:observation/cda:entryRelationship/cda:organizer/cda:component/   cda:observation/cda:referenceRange/cda:observationRange/cda:value " priority="1000" mode="M403">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/   cda:entry/cda:observation/cda:entryRelationship/cda:organizer/cda:component/   cda:observation/cda:referenceRange/cda:observationRange/cda:value " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text1" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 9.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="message-text2" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See sections 8.1 and 9.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="low-unit" select="if (not(cda:low)) then ''       else if (not(@unit) or (cda:low and not(cda:low/@unit))) then 'error'       else if (@unit = cda:low/@unit) then @unit       else if (@unit = '1' and cda:low/@unit != '1') then cda:low/@unit       else @unit " />
    <xsl:variable name="high-unit" select="if (not(cda:high)) then ''       else if (not(@unit) or (cda:high and not(cda:high/@unit))) then 'error'       else if (@unit = cda:high/@unit) then @unit       else if (@unit = '1' and cda:high/@unit != '1') then cda:high/@unit       else @unit " />
    <xsl:variable name="low-inclusive" select="if (not(cda:low)) then '' else if (cda:low/@inclusive='false') then ' (excluded)' else ' (included)' " />
    <xsl:variable name="high-inclusive" select="if (not(cda:high)) then '' else if (cda:high/@inclusive='false') then ' (excluded)' else ' (included)' " />
    <xsl:variable name="display-range" select="if ($low-unit = 'error' or $high-unit = 'error') then 'error'       else if (cda:low/@value and cda:high/@value)         then concat('low value ', codepoints-to-string(34), cda:low/@value, if ($low-unit = '1') then '' else concat(' ', $low-unit), codepoints-to-string(34), $low-inclusive,         ' and high value ', codepoints-to-string(34), cda:high/@value, if ($high-unit = '1') then '' else concat(' ', $high-unit), codepoints-to-string(34), $high-inclusive)        else if (not(cda:low/@value) and cda:high/@value)         then concat('high value ', codepoints-to-string(34), cda:high/@value, if ($high-unit = '1') then '' else concat(' ', $high-unit), codepoints-to-string(34), $high-inclusive)        else if (cda:low/@value and not(cda:high/@value))         then concat('low value ', codepoints-to-string(34), cda:low/@value, if ($low-unit = '1') then '' else concat(' ', $low-unit), codepoints-to-string(34), $low-inclusive)       else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-21" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-21 else $rating-alt-TC-Types-21 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-21: The Imaging Examination Result Reference Range '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the QuantityRange data type
		and <xsl:text /><xsl:value-of select="if ((cda:low/@value or cda:high/@value) and not(@display-range = 'error')) then concat('has ', $display-range)   else 'has no low or high data elements' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@nullFlavor) then concat('The nullFlavor attribute has the value ''', @nullFlavor, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to the Structured Content Specification the Imaging Examination Result Reference Range
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the QuantityRange data type
		however it has nullFlavor = 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present so it is an
		error to include nullFlavor = 'UNC'. (See section 9.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'IVL_PQ' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_PQ') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'IVL_PQ' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_PQ')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-21" /><xsl:text />: TC-Types-21: According to the Structured Content Specification the Imaging Examination Result Reference Range '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the QuantityRange data type which is derived from the HL7 'IVL_PQ' data type however an xsi:type attribute with the value
		'<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		(See section 9.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-21" /><xsl:text />: TC-Types-21: According to the Structured Content Specification the Imaging Examination Result Reference Range '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the QuantityRange data type which is derived from the HL7 'IVL_PQ' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'IVL_PQ'.
		(See section 9.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not(@nullFlavor or cda:low or cda:high) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor or cda:low or cda:high)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-21" /><xsl:text />: TC-Types-21: According to the Structured Content Specification the Imaging Examination Result Reference Range
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the QuantityRange data type however 
		it does not have a nullFlavor attribute or low or high elements. A QuantityRange may only contain a nullFlavor attribute or low or high elements with the inclusive attribute
		included in the low or high elements if there is a need to indicate that the low or high boundaries are included.
		(See section 9.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = 'low' or local-name() = 'high')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = 'low' or local-name() = 'high')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Imaging Examination Result Reference Range
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the QuantityRange data type however a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = 'low' or local-name() = 'high')])" /><xsl:text />'
		was found that is not expected for the QuantityRange data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = 'low' or local-name() = 'high')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = 'low' or local-name() = 'high')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Imaging Examination Result Reference Range
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the QuantityRange data type however a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = 'low' or local-name() = 'high')])" /><xsl:text />'
		was found that is not expected for the QuantityRange data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @width ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@width">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-21" /><xsl:text />: TC-Types-21: According to the Structured Content Specification the Imaging Examination Result Reference Range '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the QuantityRange data type which is
		derived from the HL7 'IVL' data type. The 'width' attribute is present with the value '<xsl:text /><xsl:value-of select="@width" /><xsl:text />' however that attribute must not be present in
		a data element of the QuantityRange data type. (See section 9.1.5 of Data Types in 'NEHTA Specifications - A Profile of ISO 21090 Specification v1.0'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'unit' or name() = 'nullFlavor' or name() = 'unit' or name() = 'width')] and    not(@xsi:type and not(@xsi:type = 'IVL_PQ' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_PQ')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'unit' or name() = 'nullFlavor' or name() = 'unit' or name() = 'width')] and not(@xsi:type and not(@xsi:type = 'IVL_PQ' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_PQ'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Imaging Examination Result Reference Range '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the QuantityRange data type however an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'nullFlavor'   or name() = 'unit' or name() = 'width')])" /><xsl:text />' was found that is not expected for the QuantityRange data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'unit' or name() = 'nullFlavor' or name() = 'unit' or name() = 'width')] and    not(@xsi:type and not(@xsi:type = 'IVL_PQ' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_PQ')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'unit' or name() = 'nullFlavor' or name() = 'unit' or name() = 'width')] and not(@xsi:type and not(@xsi:type = 'IVL_PQ' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_PQ'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Imaging Examination Result Reference Range '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the QuantityRange data type however an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'nullFlavor'   or name() = 'unit' or name() = 'width')])" /><xsl:text />' was found that is not expected for the QuantityRange data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @operator and @operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @operator and @operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Imaging Examination Result Reference Range '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the QuantityRange data type however an attribute 'operator' with the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the
		QuantityRange data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @operator and @operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @operator and @operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Imaging Examination Result Reference Range '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the QuantityRange data type however an attribute 'operator' with the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the
		QuantityRange data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:low/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:low/*">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Imaging Examination Result Reference Range 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Quantity data type however a child element '<xsl:text /><xsl:value-of select="local-name(cda:low/*)" /><xsl:text />' was found
		that is not expected for the Quantity data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/*">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Imaging Examination Result Reference Range 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Quantity data type however a child element '<xsl:text /><xsl:value-of select="local-name(cda:low/*)" /><xsl:text />' was found
		that is not expected for the Quantity data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'unit' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'unit' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Imaging Examination Result Reference Range 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Quantity data type however an attribute '<xsl:text /><xsl:value-of select="name(cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or   name() = 'unit' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the
		Quantity data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'unit' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'unit' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Imaging Examination Result Reference Range 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Quantity data type however an attribute '<xsl:text /><xsl:value-of select="name(cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or   name() = 'unit' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the
		Quantity data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:low/@operator and cda:low/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:low/@operator and cda:low/@operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Imaging Examination Result Reference Range 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Quantity data type however an attribute 'operator'
		with the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the Quantity data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/@operator and cda:low/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/@operator and cda:low/@operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Imaging Examination Result Reference Range 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Quantity data type however an attribute 'operator'
		with the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the Quantity data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:low/cda:originalText) and cda:low/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:low/cda:originalText) and cda:low/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to the Structured Content Specification the Imaging Examination Result Reference Range 'low' child element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Quantity data type
		however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present
		so it is an error to include nullFlavor 'UNC'.
		(See section 8.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:high/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:high/*">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Imaging Examination Result Reference Range 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Quantity data type however a child element '<xsl:text /><xsl:value-of select="local-name(cda:high/*)" /><xsl:text />' was found
		that is not expected for the Quantity data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/*">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Imaging Examination Result Reference Range 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Quantity data type however a child element '<xsl:text /><xsl:value-of select="local-name(cda:high/*)" /><xsl:text />' was found
		that is not expected for the Quantity data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'unit' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'unit' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Imaging Examination Result Reference Range 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Quantity data type however an attribute '<xsl:text /><xsl:value-of select="name(cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value'   or name() = 'unit' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the
		Quantity data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'unit' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'unit' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Imaging Examination Result Reference Range 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Quantity data type however an attribute '<xsl:text /><xsl:value-of select="name(cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value'   or name() = 'unit' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the
		Quantity data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:high/@operator and cda:high/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:high/@operator and cda:high/@operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Imaging Examination Result Reference Range 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Quantity data type however an attribute 'operator'
		with the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the Quantity data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/@operator and cda:high/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/@operator and cda:high/@operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Imaging Examination Result Reference Range 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Quantity data type however an attribute 'operator'
		with the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the Quantity data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to the Structured Content Specification the Imaging Examination Result Reference Range 'high' child element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Quantity data type
		however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present so
		it is an error to include nullFlavor 'UNC'.
		(See section 8.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M403" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M403" />
  <xsl:template match="@*|node()" priority="-2" mode="M403">
    <xsl:apply-templates select="@*|*" mode="M403" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-QuantityRange-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/   cda:entry/cda:observation/cda:entryRelationship/cda:organizer/cda:component/   cda:observation/cda:referenceRange/cda:observationRange/cda:value " priority="1000" mode="M404">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/   cda:entry/cda:observation/cda:entryRelationship/cda:organizer/cda:component/   cda:observation/cda:referenceRange/cda:observationRange/cda:value " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="narr-text-el" select="(for $text in ($target-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="tables" select="$target-narr-node//cda:table " />
    <xsl:variable name="table-num" select="count($tables) " />
    <xsl:variable name="ivl-unit" select="dh:XQueryRecursiveReplace(@unit, $ucum-annotation-replacement, '') " />
    <xsl:variable name="xpre-1" select="$target-narr-node//*[contains(@styleCode, 'xPre')] " />
    <xsl:variable name="xpre-num" select="count($xpre-1) " />
    <xsl:variable name="xpre-2" select="for $i in (1 to $xpre-num) return lower-case($xpre-1[$i]) " />
    <xsl:variable name="narrative" select="normalize-space(lower-case(string-join($target-narr-node//text()        [not(ancestor::cda:table or ancestor::cda:caption or contains(@styleCode, 'xPre'))], ''))) " />
    <xsl:variable name="l-normalised-value" select="if (cda:low/@value) then replace(lower-case(cda:low/@value), '\s+', '') else '' " />
    <xsl:variable name="l-normalised-value-regex" select="if (not(contains($l-normalised-value, '.'))) then concat('(', $l-normalised-value, '|', $l-normalised-value, '\.0*)')        else if (ends-with($l-normalised-value, '0')) then replace(replace($l-normalised-value, '\.', '\\.'), '0+$', '0*')        else concat(replace($l-normalised-value, '\.', '\\.'), '0*') " />
    <xsl:variable name="l-value-regex" select="if ($l-normalised-value = '') then '' else concat('(^|[^\.0-9])', $l-normalised-value-regex, '([^\.0-9]|$)') " />
    <xsl:variable name="l-value-regex-3" select="if ($l-normalised-value = '' or not(exists($tables))) then ''         else concat('(^|[^0-9])', $l-normalised-value-regex, '([^0-9]+$|\s+.+$)') " />
    <xsl:variable name="l-table-value-match" select="if ($l-normalised-value = '' or not(exists($tables))) then () else for $i in (1 to $table-num) return         if (not($tables[$i]//cda:td[matches(., $l-value-regex, 'is')])) then '0'        else if ($tables[$i]//cda:td[matches(., $l-value-regex-3, 'is')]) then '3'        else if ($tables[$i]//cda:td[replace(lower-case(.), '\s+', '') = $l-normalised-value]) then '2'        else '1' " />
    <xsl:variable name="l-unit-1" select="if (not(cda:low)) then '' else dh:XQueryRecursiveReplace(cda:low/@unit, $ucum-annotation-replacement, '') " />
    <xsl:variable name="l-unit" select="if ($l-unit-1 = '1' and $ivl-unit != '1') then $ivl-unit else $l-unit-1 " />
    <xsl:variable name="l-normalised-unit" select="if (not(cda:low)) then '' else replace(lower-case($l-unit), '\s+', '') " />
    <xsl:variable name="l-unit-validation" select="if ($l-unit = '1' or exists($UCUM/unit[@value = $l-normalised-unit])) then '' else dh:ValidateUCUM($l-unit) " />
    <xsl:variable name="l-unit-name" select="if (exists($UCUM/unit[@value = $l-normalised-unit])) then $UCUM/unit[@value = $l-normalised-unit]/@name else ''  " />
    <xsl:variable name="l-power-synonym" select="if (contains($l-normalised-unit, '10^')) then replace($l-normalised-unit, '10\^', '10*')        else if (contains($l-normalised-unit, '10*')) then replace($l-normalised-unit, '10\*', '10^')        else '' " />
    <xsl:variable name="l-special-unit-synonym" select="if (contains($l-normalised-unit, '['))         then (normalize-space(replace($l-normalised-unit, '[\[\]]', ' ')), normalize-space(replace($l-normalised-unit, '[\[\]]', ''))) else '' " />
    <xsl:variable name="l-apostrophe-synonym" select="for $syn in $l-special-unit-synonym return if (contains($syn, '''')) then normalize-space(replace($syn, '''', ' ')) else '' " />
    <xsl:variable name="l-unit-synonyms" select="if (not(cda:low)) then () else if (exists($UCUM/unit[@value = $l-normalised-unit]))         then ($l-normalised-unit, $l-unit-name, $l-power-synonym, $l-special-unit-synonym, $l-apostrophe-synonym,         tokenize($UCUM/unit[@value = $l-normalised-unit]/@synonyms, '\|'))[. != '']        else ($l-normalised-unit, $l-unit-name, $l-power-synonym, $l-special-unit-synonym, $l-apostrophe-synonym)[. != ''] " />
    <xsl:variable name="l-search-terms-1" select="if ($l-normalised-value = '') then () else (for $synonym in $l-unit-synonyms return normalize-space(lower-case($synonym)))[. != ''] " />
    <xsl:variable name="l-search-terms-2" select="if ($l-normalised-value = '') then () else for $term in $l-search-terms-1 return         if ($term = '1') then $l-normalised-value else concat($l-normalised-value, $term) " />
    <xsl:variable name="l-search-regex-1" select="if ($l-normalised-value = '') then () else for $term in $l-search-terms-1 return          replace(replace(replace(replace(replace(replace(replace(replace(replace(replace($term, '\^', '\\^'), '\*', '\\*'), '\.', '\\.'), '\+', '\\+'),          '\)', '\\)'), '\(', '\\('), '\[', '\\['), '\]', '\\]'), '\{', '\\{'), '\}', '\\}') " />
    <xsl:variable name="l-search-regex-2" select="if ($l-normalised-value = '') then () else for $term in $l-search-regex-1 return         if (matches($term, '^10')) then concat('(', '(^|[^0-9])(', $l-normalised-value-regex, 'x{0,1}', $term, '|', 'x{0,1}', $term, ')([^0-9a-z]|$)',          ')|(', '(^|[^0-9])(', $l-normalised-value-regex, $term, '|', $term, ')([^0-9a-z]|$)', ')')         else if ($term = '1') then concat('(^|[^0-9])', $l-normalised-value-regex, '([^0-9]{1}.*$|$)')        else concat('(^|[^0-9])(', $l-normalised-value-regex, $term, '|', $term, ')([^0-9a-z]|$)') " />
    <xsl:variable name="l-quantity-match" select="if (not(exists($l-table-value-match)) or not(exists($l-table-value-match[. != '0']))) then (false())        else if ($l-unit = '1') then for $i in (1 to $table-num) return not($l-table-value-match[$i] = '0')        else for $i in (1 to $table-num) return          if ($l-table-value-match[$i] = '0') then false()         else if ($l-table-value-match[$i] = '2') then           exists(index-of(for $term in $l-search-terms-1 return boolean($tables[$i]//cda:td[replace(lower-case(.), '\s+', '') = $term]),            true()))         else exists(index-of(          for $j in (1 to count($l-search-terms-1)) return boolean($tables[$i]//cda:td[           replace(lower-case(.), '\s+', '') = $l-search-terms-1[$j]   or           replace(lower-case(.), '\s+', '') = $l-search-terms-2[$j]  or           matches(., $l-search-regex-2[$j], 'is')     ]), true())) " />
    <xsl:variable name="l-in-a-table" select="if ($l-normalised-value = '') then false() else exists(index-of($l-quantity-match, true())) " />
    <xsl:variable name="l-xpre-value-match" select="if ($l-normalised-value = '' or $l-in-a-table) then () else for $i in (1 to $xpre-num) return matches($xpre-2[$i], $l-value-regex, 'is') " />
    <xsl:variable name="l-xpre-quantity-match" select="if (not(cda:low)) then () else if ($l-unit = '1') then ($l-xpre-value-match) else for $i in (1 to $xpre-num) return         $l-xpre-value-match[$i] and exists(index-of(for $term in $l-search-regex-2 return matches($xpre-2[$i], $term, 'is'), true())) " />
    <xsl:variable name="l-in-xpre" select="if (not(cda:low)) then false() else exists(index-of($l-xpre-quantity-match, true())) " />
    <xsl:variable name="l-narr-value-match" select="if ($l-normalised-value = '' or $l-in-a-table or $l-in-xpre) then true() else matches($narrative, $l-value-regex, 'is') " />
    <xsl:variable name="l-narr-quantity-match" select="if ($l-normalised-value = '' or $l-in-a-table or $l-in-xpre) then true()        else $l-narr-value-match and exists(index-of(for $term in $l-search-regex-2 return matches($narrative, $term, 'is'), true())) " />
    <xsl:variable name="l-nullFlavor-values" select="if (cda:low/@nullFlavor and cda:low/@nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))        then $nullFlavors/nullFlavor[@value = current()/cda:low/@nullFlavor] else () " />
    <xsl:variable name="l-null-to-find" select="exists($l-nullFlavor-values) " />
    <xsl:variable name="l-null-in-narr" select="($l-nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $l-nullFlavor-values/@name-regex, 'is')])) or              ($l-nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $l-nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="h-normalised-value" select="if (cda:low/@value and not($l-narr-quantity-match)) then ''        else if (cda:low/@nullFlavor and not($l-null-in-narr)) then ''        else if (cda:high/@value) then replace(lower-case(cda:high/@value), '\s+', '')         else '' " />
    <xsl:variable name="h-normalised-value-regex" select="if (not(contains($h-normalised-value, '.'))) then concat('(', $h-normalised-value, '|', $h-normalised-value, '\.0*)')        else if (ends-with($h-normalised-value, '0')) then replace(replace($h-normalised-value, '\.', '\\.'), '0+$', '0*')        else concat(replace($h-normalised-value, '\.', '\\.'), '0*') " />
    <xsl:variable name="h-value-regex" select="if ($h-normalised-value = '') then '' else concat('(^|[^\.0-9])', $h-normalised-value-regex, '([^\.0-9]|$)') " />
    <xsl:variable name="h-unit-1" select="if (not(cda:high)) then '' else dh:XQueryRecursiveReplace(cda:high/@unit, $ucum-annotation-replacement, '') " />
    <xsl:variable name="h-unit" select="if ($h-unit-1 = '1' and $ivl-unit != '1') then $ivl-unit else $h-unit-1 " />
    <xsl:variable name="h-normalised-unit" select="if (not(cda:high)) then '' else replace(lower-case($h-unit), '\s+', '') " />
    <xsl:variable name="h-unit-validation" select="if ($h-unit = '1' or exists($UCUM/unit[@value = $h-normalised-unit])) then '' else dh:ValidateUCUM($h-unit) " />
    <xsl:variable name="h-unit-name" select="if (exists($UCUM/unit[@value = $h-normalised-unit])) then $UCUM/unit[@value = $h-normalised-unit]/@name else ''  " />
    <xsl:variable name="h-search-tables" select="exists($tables) and not($h-normalised-value = '') and ((cda:low/@value and $l-in-a-table) or not(cda:low/@value)) " />
    <xsl:variable name="h-tables" select="if (not($h-search-tables)) then ()        else if (cda:low/@value and $l-in-a-table) then for $i in (1 to count($l-quantity-match)) return if ($l-quantity-match[$i]) then '1' else '0'        else for $i in (1 to $table-num) return '1' " />
    <xsl:variable name="h-value-regex-3" select="if ($h-normalised-value = '' or not(exists($tables))) then ''         else concat('(^|[^0-9])', $h-normalised-value-regex, '([^0-9]+$|\s+.+$)') " />
    <xsl:variable name="h-table-value-match" select="if (not($h-search-tables)) then () else for $i in (1 to $table-num) return         if ($h-tables[$i] = '0') then '4'        else if (not($tables[$i]//cda:td[matches(., $h-value-regex, 'is')])) then '0'        else if ($tables[$i]//cda:td[matches(., $h-value-regex-3, 'is')]) then '3'        else if ($tables[$i]//cda:td[replace(lower-case(.), '\s+', '') = $h-normalised-value]) then '2'        else '1' " />
    <xsl:variable name="h-power-synonym" select="if (contains($h-normalised-unit, '10^')) then replace($h-normalised-unit, '10\^', '10*')        else if (contains($h-normalised-unit, '10*')) then replace($h-normalised-unit, '10\*', '10^')        else '' " />
    <xsl:variable name="h-special-unit-synonym" select="if (contains($h-normalised-unit, '['))         then (normalize-space(replace($h-normalised-unit, '[\[\]]', ' ')), normalize-space(replace($h-normalised-unit, '[\[\]]', ''))) else '' " />
    <xsl:variable name="h-apostrophe-synonym" select="for $syn in $h-special-unit-synonym return if (contains($syn, '''')) then normalize-space(replace($syn, '''', ' ')) else '' " />
    <xsl:variable name="h-unit-synonyms" select="if (not(cda:high)) then () else if (exists($UCUM/unit[@value = $h-normalised-unit]))         then ($h-normalised-unit, $h-unit-name, $h-power-synonym, $h-special-unit-synonym, $h-apostrophe-synonym,           tokenize($UCUM/unit[@value = $h-normalised-unit]/@synonyms, '\|'))[. != '']        else ($h-normalised-unit, $h-unit-name, $h-power-synonym, $h-special-unit-synonym, $h-apostrophe-synonym)[. != ''] " />
    <xsl:variable name="h-search-terms-1" select="if (not($h-search-tables)) then () else (for $synonym in $h-unit-synonyms return normalize-space(lower-case($synonym)))[. != ''] " />
    <xsl:variable name="h-search-terms-2" select="if (not($h-search-tables)) then () else for $term in $h-search-terms-1 return         if ($term = '1') then $h-normalised-value else concat($h-normalised-value, $term) " />
    <xsl:variable name="h-search-regex-1" select="if (not($h-search-tables)) then () else for $term in $h-search-terms-1 return          replace(replace(replace(replace(replace(replace(replace(replace(replace(replace($term, '\^', '\\^'), '\*', '\\*'), '\.', '\\.'), '\+', '\\+'),          '\)', '\\)'), '\(', '\\('), '\[', '\\['), '\]', '\\]'), '\{', '\\{'), '\}', '\\}') " />
    <xsl:variable name="h-search-regex-2" select="if ($h-normalised-value = '') then () else for $term in $h-search-regex-1 return         if (matches($term, '^10')) then concat('(', '(^|[^0-9])(', $h-normalised-value-regex, 'x{0,1}', $term, '|', 'x{0,1}', $term, ')([^0-9a-z]|$)',          ')|(', '(^|[^0-9])(', $h-normalised-value-regex, $term, '|', $term, ')([^0-9a-z]|$)', ')')         else if ($term = '1') then concat('(^|[^0-9])', $h-normalised-value-regex, '([^0-9]{1}.*$|$)')        else concat('(^|[^0-9])(', $h-normalised-value-regex, $term, '|', $term, ')([^0-9a-z]|$)') " />
    <xsl:variable name="h-quantity-match" select="if (not(exists($h-table-value-match)) or not(exists($h-table-value-match[. != '0']))) then (false())        else if ($h-unit = '1') then for $i in (1 to $table-num) return not($h-table-value-match[$i] = '0')        else for $i in (1 to $table-num) return          if ($h-table-value-match[$i] = '0' or $h-table-value-match[$i] = '4') then false()         else if ($h-table-value-match[$i] = '2') then           exists(index-of(for $term in $h-search-terms-1 return boolean($tables[$i]//cda:td[replace(lower-case(.), '\s+', '') = $term]),            true()))         else exists(index-of(          for $j in (1 to count($h-search-terms-1)) return boolean($tables[$i]//cda:td[           replace(lower-case(.), '\s+', '') = $h-search-terms-1[$j]   or           replace(lower-case(.), '\s+', '') = $h-search-terms-2[$j]  or           matches(., $h-search-regex-2[$j], 'is')     ]), true())) " />
    <xsl:variable name="h-in-a-table" select="if ($h-normalised-value = '') then false() else exists(index-of($h-quantity-match, true())) " />
    <xsl:variable name="h-search-xPre" select="$xpre-num &gt; 0 and not($h-normalised-value = '') and ((cda:low/@value and $l-in-xpre) or not(cda:low/@value)) " />
    <xsl:variable name="h-xPre-elements" select="if (not($h-search-xPre)) then ()        else if (cda:low/@value and $l-in-xpre) then for $i in (1 to $xpre-num) return if ($l-xpre-quantity-match[$i]) then '1' else '0'        else for $i in (1 to $xpre-num) return '1' " />
    <xsl:variable name="h-xpre-value-match" select="if (not($h-search-xPre)) then () else for $i in (1 to $xpre-num) return $h-xPre-elements[$i] = '1' and matches($xpre-2[$i], $h-value-regex, 'is') " />
    <xsl:variable name="h-xpre-quantity-match" select="if (not(cda:high)) then () else if ($h-unit = '1') then ($h-xpre-value-match) else for $i in (1 to $xpre-num) return         $h-xpre-value-match[$i] and exists(index-of(for $term in $h-search-regex-2 return matches($xpre-2[$i], $term, 'is'), true())) " />
    <xsl:variable name="h-in-xpre" select="if (not(cda:high)) then false() else exists(index-of($h-xpre-quantity-match, true())) " />
    <xsl:variable name="h-narr-value-match" select="if ($h-normalised-value = '' or $h-in-a-table or $h-in-xpre) then true() else matches($narrative, $h-value-regex, 'is') " />
    <xsl:variable name="h-narr-quantity-match" select="if ($h-normalised-value = '' or $h-in-a-table or $h-in-xpre) then true()        else $h-narr-value-match and exists(index-of(for $term in $h-search-regex-2 return matches($narrative, $term, 'is'), true())) " />
    <xsl:variable name="ivl-narr-quantity-match" select="if (cda:low/@value and cda:high/@value) then $l-narr-quantity-match and $h-narr-quantity-match        else if (cda:low/@value and not(cda:high/@value)) then $l-narr-quantity-match        else if (not(cda:low/@value) and cda:high/@value) then $l-narr-quantity-match        else false() " />
    <xsl:variable name="h-nullFlavor-values" select="if (cda:high/@nullFlavor and cda:high/@nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))        then $nullFlavors/nullFlavor[@value = current()/cda:high/@nullFlavor] else () " />
    <xsl:variable name="h-null-to-find" select="exists($h-nullFlavor-values) " />
    <xsl:variable name="h-null-in-narr" select="($h-nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $h-nullFlavor-values/@name-regex, 'is')])) or              ($h-nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $h-nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="ivl-nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="ivl-null-to-find" select="exists($ivl-nullFlavor-values) " />
    <xsl:variable name="ivl-null-in-narr" select="($ivl-nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $ivl-nullFlavor-values/@name-regex, 'is')])) or              ($ivl-nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $ivl-nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="l-quantity-text-1" select="if (not(cda:low)) then '' else if ($l-unit = '1') then concat('value ''', cda:low/@value, '''') else concat('value ''', cda:low/@value,         ''' and unit ''', $l-unit, '''') " />
    <xsl:variable name="l-quantity-text" select="if ($l-unit-name = '') then $l-quantity-text-1 else concat($l-quantity-text-1, ' (the unit for ', $l-unit-name, ')') " />
    <xsl:variable name="l-inclusive-text" select="if (not(cda:low)) then ''         else if (cda:low/@inclusive = 'true') then ' (the boundary is included)'        else if (cda:low/@inclusive = 'false') then ' (the boundary is not included)'        else '' " />
    <xsl:variable name="h-quantity-text-1" select="if (not(cda:high)) then '' else if ($h-unit = '1') then concat('value ''', cda:high/@value, '''') else concat('value ''', cda:high/@value,         ''' and unit ''', $h-unit, '''') " />
    <xsl:variable name="h-quantity-text" select="if ($h-unit-name = '') then $h-quantity-text-1 else concat($h-quantity-text-1, ' (the unit for ', $h-unit-name, ')') " />
    <xsl:variable name="h-inclusive-text" select="if (not(cda:high)) then ''         else if (cda:high/@inclusive = 'true') then ' (the boundary is included)'        else if (cda:high/@inclusive = 'false') then ' (the boundary is not included)'        else '' " />
    <xsl:variable name="multimedia" select="exists($target-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$table-num = 0 and $xpre-num = 0 and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-narr-node//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-6" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-6 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and cda:low/@value and $table-num &gt; 0 and not($l-in-a-table or $l-in-xpre or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and cda:low/@value and $table-num &gt; 0 and not($l-in-a-table or $l-in-xpre or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-IVL-PQ): The Imaging Examination Result Reference Range '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a low boundary with the <xsl:text /><xsl:value-of select="$l-quantity-text" /><xsl:text />.
		<xsl:text /><xsl:value-of select="$l-inclusive-text" /><xsl:text />.
		When transformed the quantity value is '<xsl:text /><xsl:value-of select="$l-normalised-value" /><xsl:text />'.
		The narrative contains <xsl:text /><xsl:value-of select="$table-num" /><xsl:text /><xsl:text /><xsl:value-of select="if ($table-num = 1) then ' table' else ' tables' " /><xsl:text />.
		The value regular expression l-value-regex is '<xsl:text /><xsl:value-of select="$l-value-regex" /><xsl:text />'.
		The value regular expression l-value-regex-3 is '<xsl:text /><xsl:value-of select="$l-value-regex-3" /><xsl:text />'.
		Elements of l-table-value-match are '<xsl:text /><xsl:value-of select="string-join($l-table-value-match, '|')" /><xsl:text />'.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($l-unit-synonyms, '|')" /><xsl:text />'.
		Elements of l-search-terms-1 are '<xsl:text /><xsl:value-of select="string-join($l-search-terms-1, '|')" /><xsl:text />'.
		Elements of l-search-terms-2 are '<xsl:text /><xsl:value-of select="string-join($l-search-terms-2, '|')" /><xsl:text />'.
		Elements of l-search-regex-1 are '<xsl:text /><xsl:value-of select="string-join($l-search-regex-1, '|')" /><xsl:text />'.
		Elements of l-search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($l-search-regex-2, '|')" /><xsl:text />'.
		Elements of l-quantity-match are '<xsl:text /><xsl:value-of select="string-join(for $i in (1 to count($l-quantity-match)) return if ($l-quantity-match[$i]) then '1' else '0', '|')" /><xsl:text />'.
		Was the quantity found by looking in table rows? <xsl:text /><xsl:value-of select="$l-in-a-table" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and cda:low/@value and $xpre-num &gt; 0 and not($l-in-a-table or $l-in-xpre or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and cda:low/@value and $xpre-num &gt; 0 and not($l-in-a-table or $l-in-xpre or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-IVL-PQ): The Imaging Examination Result Reference Range '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a low boundary with the <xsl:text /><xsl:value-of select="$l-quantity-text" /><xsl:text />.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($l-unit-synonyms, '|')" /><xsl:text />'.
		The narrative contains <xsl:text /><xsl:value-of select="$xpre-num" /><xsl:text /> elements with the xPre styleCode.
		The value regular expression l-value-regex is '<xsl:text /><xsl:value-of select="$l-value-regex" /><xsl:text />'.
		Elements of l-xpre-value-match are '<xsl:text /><xsl:value-of select="string-join(for $x in $l-xpre-value-match return if ($x) then '1' else '0', '|')" /><xsl:text />'.
		Elements of l-search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($l-search-regex-2, '|')" /><xsl:text />'.
		Elements of l-xpre-quantity-match are '<xsl:text /><xsl:value-of select="string-join(for $x in $l-xpre-quantity-match return if ($x) then '1' else '0', '|')" /><xsl:text />'.
		Was the quantity found by looking in elements with the xPre styleCode? <xsl:text /><xsl:value-of select="$l-in-xpre" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and cda:low/@value and not($l-in-a-table or $l-narr-quantity-match or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and cda:low/@value and not($l-in-a-table or $l-narr-quantity-match or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-IVL-PQ): The Imaging Examination Result Reference Range '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a low boundary with the <xsl:text /><xsl:value-of select="$l-quantity-text" /><xsl:text />.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($l-unit-synonyms, '|')" /><xsl:text />'.
		The value regular expression l-value-regex is '<xsl:text /><xsl:value-of select="$l-value-regex" /><xsl:text />'.
		Was the value found in the narrative? <xsl:text /><xsl:value-of select="$l-narr-value-match" /><xsl:text />.
		Elements of l-search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($l-search-regex-2, '|')" /><xsl:text />'.
		Was the quantity found in the narrative? <xsl:text /><xsl:value-of select="$l-narr-quantity-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and ((cda:low/@value and $l-narr-quantity-match) or not(cda:low/@value))   and cda:high/@value and $table-num &gt; 0 and not($h-in-a-table or $h-in-xpre or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and ((cda:low/@value and $l-narr-quantity-match) or not(cda:low/@value)) and cda:high/@value and $table-num &gt; 0 and not($h-in-a-table or $h-in-xpre or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-IVL-PQ): The Imaging Examination Result Reference Range '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a high boundary with the <xsl:text /><xsl:value-of select="$h-quantity-text" /><xsl:text />.
		<xsl:text /><xsl:value-of select="$h-inclusive-text" /><xsl:text />.
		When transformed the quantity value is '<xsl:text /><xsl:value-of select="$h-normalised-value" /><xsl:text />'.
		The narrative contains <xsl:text /><xsl:value-of select="$table-num" /><xsl:text /><xsl:text /><xsl:value-of select="if ($table-num = 1) then ' table' else ' tables' " /><xsl:text />.
		Elements of h-tables are'<xsl:text /><xsl:value-of select="string-join($h-tables, '|')" /><xsl:text />'.
		The value regular expression h-value-regex is '<xsl:text /><xsl:value-of select="$h-value-regex" /><xsl:text />'.
		The value regular expression h-value-regex-3 is '<xsl:text /><xsl:value-of select="$h-value-regex-3" /><xsl:text />'.
		Elements of h-table-value-match are '<xsl:text /><xsl:value-of select="string-join($h-table-value-match, '|')" /><xsl:text />'.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($h-unit-synonyms, '|')" /><xsl:text />'.
		Elements of h-search-terms-1 are '<xsl:text /><xsl:value-of select="string-join($h-search-terms-1, '|')" /><xsl:text />'.
		Elements of h-search-terms-2 are '<xsl:text /><xsl:value-of select="string-join($h-search-terms-2, '|')" /><xsl:text />'.
		Elements of h-search-regex-1 are '<xsl:text /><xsl:value-of select="string-join($h-search-regex-1, '|')" /><xsl:text />'.
		Elements of h-search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($h-search-regex-2, '|')" /><xsl:text />'.
		Elements of h-quantity-match are '<xsl:text /><xsl:value-of select="string-join(for $i in (1 to count($h-quantity-match)) return if ($h-quantity-match[$i]) then '1' else '0', '|')" /><xsl:text />'.
		Was the quantity found by looking in table rows? <xsl:text /><xsl:value-of select="$h-in-a-table" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and ((cda:low/@value and $l-narr-quantity-match) or not(cda:low/@value))   and cda:high/@value and $xpre-num &gt; 0 and not($h-in-a-table or $h-in-xpre or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and ((cda:low/@value and $l-narr-quantity-match) or not(cda:low/@value)) and cda:high/@value and $xpre-num &gt; 0 and not($h-in-a-table or $h-in-xpre or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-IVL-PQ): The Imaging Examination Result Reference Range '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a high boundary with the <xsl:text /><xsl:value-of select="$h-quantity-text" /><xsl:text />.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($h-unit-synonyms, '|')" /><xsl:text />'.
		The narrative contains <xsl:text /><xsl:value-of select="$xpre-num" /><xsl:text /> elements with the xPre styleCode.
		The value regular expression h-value-regex is '<xsl:text /><xsl:value-of select="$h-value-regex" /><xsl:text />'.
		Elements of h-xpre-value-match are '<xsl:text /><xsl:value-of select="string-join(for $x in $h-xpre-value-match return if ($x) then '1' else '0', '|')" /><xsl:text />'.
		Elements of h-search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($h-search-regex-2, '|')" /><xsl:text />'.
		Elements of h-xpre-quantity-match are '<xsl:text /><xsl:value-of select="string-join(for $x in $h-xpre-quantity-match return if ($x) then '1' else '0', '|')" /><xsl:text />'.
		Was the quantity found by looking in elements with the xPre styleCode? <xsl:text /><xsl:value-of select="$h-in-xpre" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and ((cda:low/@value and $l-narr-quantity-match) or not(cda:low/@value))   and cda:high/@value and not($h-in-a-table or $h-narr-quantity-match or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and ((cda:low/@value and $l-narr-quantity-match) or not(cda:low/@value)) and cda:high/@value and not($h-in-a-table or $h-narr-quantity-match or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-IVL-PQ): The Imaging Examination Result Reference Range '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a high boundary with the value <xsl:text /><xsl:value-of select="$h-quantity-text" /><xsl:text />.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($h-unit-synonyms, '|')" /><xsl:text />'.
		The value regular expression h-value-regex is '<xsl:text /><xsl:value-of select="$h-value-regex" /><xsl:text />'.
		Was the value found in the narrative? <xsl:text /><xsl:value-of select="$h-narr-value-match" /><xsl:text />.
		Elements of h-search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($h-search-regex-2, '|')" /><xsl:text />'.
		Was the quantity found in the narrative? <xsl:text /><xsl:value-of select="$h-narr-quantity-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" (cda:low/@value or cda:high/@value) and not($ivl-narr-quantity-match or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="(cda:low/@value or cda:high/@value) and not($ivl-narr-quantity-match or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-6" /><xsl:text />: TC-Narr-09 step 6: The Imaging Examination Result Reference Range '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="if (cda:low/@value) then concat('a low boundary with the ', $l-quantity-text) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (cda:low/@value and cda:high/@value) then ' and ' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (cda:high/@value) then concat('a high boundary with the ', $h-quantity-text) else '' " /><xsl:text />
		however the boundary <xsl:text /><xsl:value-of select="if (cda:low/@value and cda:high/@value) then ' values do ' else ' value does ' " /><xsl:text /> not seem to be
		present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Imaging Examination Result Reference Range data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and (cda:low/@value or cda:high/@value) and not($ivl-narr-quantity-match or $ivl-null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and (cda:low/@value or cda:high/@value) and not($ivl-narr-quantity-match or $ivl-null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-6" /><xsl:text />: TC-Narr-09 step 6: The Imaging Examination Result Reference Range '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="if (cda:low/@value) then concat('a low boundary with the ', $l-quantity-text) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (cda:low/@value and cda:high/@value) then ' and ' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (cda:high/@value) then concat('a high boundary with the ', $h-quantity-text) else '' " /><xsl:text />
		however the boundary <xsl:text /><xsl:value-of select="if (cda:low/@value and cda:high/@value) then ' values do ' else ' value does ' " /><xsl:text /> are not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and (cda:low/@value or cda:high/@value) and not($ivl-narr-quantity-match or $ivl-null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and (cda:low/@value or cda:high/@value) and not($ivl-narr-quantity-match or $ivl-null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-6" /><xsl:text />: TC-Narr-09 step 6: The Imaging Examination Result Reference Range '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="if (cda:low/@value) then concat('a low boundary with the ', $l-quantity-text) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (cda:low/@value and cda:high/@value) then ' and ' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (cda:high/@value) then concat('a high boundary with the ', $h-quantity-text) else '' " /><xsl:text />
		however the boundary <xsl:text /><xsl:value-of select="if (cda:low/@value and cda:high/@value) then ' values do ' else ' value does ' " /><xsl:text /> are not present in the narrative of the section.
		The Imaging Examination Result Reference Range data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-null-to-find and not($l-null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-null-to-find and not($l-null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Imaging Examination Result Reference Range '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a low boundary with a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="cda:low/@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$l-nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($l-nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-null-to-find and not($h-null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-null-to-find and not($h-null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Imaging Examination Result Reference Range '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a high boundary with a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="cda:high/@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$h-nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($h-nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $ivl-null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'QS', 'TRC', 'UNK') and not($ivl-null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$ivl-null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'QS', 'TRC', 'UNK') and not($ivl-null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Imaging Examination Result Reference Range '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$ivl-nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($ivl-nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M404" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M404" />
  <xsl:template match="@*|node()" priority="-2" mode="M404">
    <xsl:apply-templates select="@*|*" mode="M404" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-Observation-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/   cda:entryRelationship/cda:organizer/cda:component/cda:observation/cda:value " priority="1000" mode="M405">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/   cda:entryRelationship/cda:organizer/cda:component/cda:observation/cda:value " />
    <xsl:variable name="xsi-type" select="if (not(@xsi:type)) then '' else if (contains(@xsi:type, ':')) then normalize-space(substring-after(@xsi:type, ':')) else normalize-space(@xsi:type) " />
    <xsl:variable name="is-Boolean" select=" $xsi-type = 'BL' " />
    <xsl:variable name="is-CodeableText" select=" @codeSystem or $xsi-type = ('CD', 'CE', 'CO', 'CV') " />
    <xsl:variable name="normalized-otext" select="if ($is-CodeableText and cda:originalText) then normalize-space(cda:originalText) else '' " />
    <xsl:variable name="is-DateTime" select=" $xsi-type = 'TS' " />
    <xsl:variable name="is-time-unit" select=" @unit and matches(dh:XQueryRecursiveReplace(@unit, $ucum-annotation-replacement, ''), $ucum-time-unit-regex) " />
    <xsl:variable name="is-Duration" select=" ($xsi-type = '' and not(cda:low or cda:high) and $is-time-unit)  or        ($xsi-type = 'PQ' and $is-time-unit)      " />
    <xsl:variable name="is-EncapsulatedData" select=" @integrityCheckAlgorithm or $xsi-type = 'ED' " />
    <xsl:variable name="is-Integer" select=" $xsi-type = 'INT' " />
    <xsl:variable name="is-Quantity" select=" ($xsi-type = '' and not(cda:low or cda:high) and @unit and not($is-time-unit)) or        ($xsi-type = 'PQ' and not($is-time-unit))      " />
    <xsl:variable name="is-QuantRange" select=" (cda:low[@unit] or cda:high[@unit] or $xsi-type = 'IVL_PQ') and not($is-time-unit) " />
    <xsl:variable name="is-QuantRatio" select=" cda:numerator or cda:denominator or $xsi-type = 'RTO' " />
    <xsl:variable name="is-Real" select=" $xsi-type = 'REAL' " />
    <xsl:variable name="is-Text" select=" $xsi-type = ('ST', 'SC') or         (@representation='TXT' and @mediaType='text/plain' and not(@compression or @integrityCheck or @integrityCheckAlgorithm)) " />
    <xsl:variable name="normalized-text" select="if ($is-Text or ($is-EncapsulatedData and @mediaType = 'text/plain' and not(@compression))) then normalize-space(.) else '' " />
    <xsl:variable name="is-TimeInterval" select=" $xsi-type = 'IVL_TS' or (cda:low and not(cda:low/@unit)) or (cda:high and not(cda:high/@unit))  " />
    <xsl:variable name="num-tc-types-97-err" select=" $is-QuantRatio and exists(cda:numerator[@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS' or         @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS']) " />
    <xsl:variable name="den-tc-types-97-err" select=" $is-QuantRatio and exists(cda:denominator[@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS' or         @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS']) " />
    <xsl:variable name="test-step" select=" if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="spec-section" select=" if ($is-Boolean) then 'section 4.2'        else if ($is-CodeableText) then 'section 6.1'        else if ($is-DateTime) then 'section 8.6'        else if ($is-Duration) then 'section 8.5'        else if ($is-EncapsulatedData) then 'section 5.1'        else if ($is-Integer) then 'section 8.2'        else if ($is-Quantity) then 'section 8.1'        else if ($is-QuantRange) then 'section 9.1'        else if ($is-QuantRatio) then 'section 8.4'        else if ($is-Real) then 'section 8.3'        else if ($is-Text) then 'section 5.2'        else if ($is-TimeInterval) then 'section 9.2'        else '' " />
    <xsl:variable name="IVL_PQ-in-CD-is-low" select="$is-CodeableText and not(@codeSystem) and (matches($normalized-otext, $PQ-low-regex) or matches($normalized-otext, $IVL_PQ-regex)) " />
    <xsl:variable name="IVL_PQ-in-CD-low-excl" select="$IVL_PQ-in-CD-is-low and matches($normalized-otext, $PQ-low-regex) " />
    <xsl:variable name="IVL_PQ-in-CD-low-value" select="if (not($IVL_PQ-in-CD-is-low)) then ''         else if ($IVL_PQ-in-CD-low-excl) then normalize-space(replace($normalized-otext, '^(\s*\(?)(&gt;|&gt;)([0-9 \.\-]+)(.*)$', '$3'))         else normalize-space(replace($normalized-otext, '^(\s*\(?)([0-9 \.\-]+)(\s*-\s*)([0-9 \.\-]+)(\)?.*)', '$2')) " />
    <xsl:variable name="IVL_PQ-in-CD-is-high" select="$is-CodeableText and not(@codeSystem) and (matches($normalized-otext, $PQ-high-regex) or matches($normalized-otext, $IVL_PQ-regex)) " />
    <xsl:variable name="IVL_PQ-in-CD-high-excl" select="$IVL_PQ-in-CD-is-high and matches($normalized-otext, $PQ-high-regex) " />
    <xsl:variable name="IVL_PQ-in-CD-high-value" select="if (not($IVL_PQ-in-CD-is-high)) then ''         else if ($IVL_PQ-in-CD-high-excl) then normalize-space(replace($normalized-otext, '^(\s*\(?&lt;)([0-9 \.\-]+)(.*)$', '$2'))         else normalize-space(replace($normalized-otext, '^(\s*\(?)([0-9 \.\-]+)(\s*-\s*)([0-9 \.\-]+)(\)?.*)', '$4')) " />
    <xsl:variable name="valid-IVL_PQ-in-CD-values" select="if ($IVL_PQ-in-CD-is-low and $IVL_PQ-in-CD-is-high) then $IVL_PQ-in-CD-low-value castable as xs:double and $IVL_PQ-in-CD-high-value castable as xs:double         else if ($IVL_PQ-in-CD-is-low) then $IVL_PQ-in-CD-low-value castable as xs:double         else if ($IVL_PQ-in-CD-is-high) then $IVL_PQ-in-CD-high-value castable as xs:double         else false() " />
    <xsl:variable name="IVL_PQ-in-CD-value-msg" select="if (not($valid-IVL_PQ-in-CD-values)) then ''        else if ($IVL_PQ-in-CD-is-low and not($IVL_PQ-in-CD-is-high)) then concat(' and a low ''value'' attribute with the value ''', $IVL_PQ-in-CD-low-value, '''')        else if (not($IVL_PQ-in-CD-is-low) and $IVL_PQ-in-CD-is-high) then          concat(' and a high ''value'' attribute with the value ''', $IVL_PQ-in-CD-high-value, '''')        else if ($IVL_PQ-in-CD-is-low and $IVL_PQ-in-CD-is-high) then concat(', a low ''value'' attribute with the value ''', $IVL_PQ-in-CD-low-value,          ''' and a high ''value'' attribute with the value ''', $IVL_PQ-in-CD-high-value, '''')         else '' " />
    <xsl:variable name="IVL_PQ-in-CD-unit" select="if (not($is-CodeableText) or @codeSystem or not($valid-IVL_PQ-in-CD-values)) then ''        else if (matches($normalized-otext, '^\s*\(?(&gt;|&gt;|&lt;)[0-9 \.\-]+\s*$') or           matches($normalized-otext, '^\s*\(?[0-9 \.\-]+\s*-\s*[0-9 \.\-]+\)?\s*$')) then '1'        else if (matches($normalized-otext, '^\s*\(?(&gt;|&gt;|&lt;)[0-9 \.\-]+') or matches($normalized-otext, '^\s*\(?[0-9 \.\-]+\s*-\s*[0-9 \.\-]+\)?'))         then dh:XQueryRecursiveReplace($normalized-otext, $IVL_PQ-replacement, '')         else '' " />
    <xsl:variable name="IVL_PQ-in-CD-unit-type" select="if ($IVL_PQ-in-CD-unit = '') then ''        else if ($IVL_PQ-in-CD-unit = '1') then 'unity'        else dh:ValidateUCUM(dh:XQueryRecursiveReplace($IVL_PQ-in-CD-unit, $ucum-annotation-replacement, ''))" />
    <xsl:variable name="IVL_PQ-in-CD-unit-msg" select="if ($IVL_PQ-in-CD-unit = '') then '' else if ($IVL_PQ-in-CD-unit = '1') then ' a unit attribute with the value ''1'' or an annotation'        else concat(' a unit attribute with the value ''', $IVL_PQ-in-CD-unit, '''') " />
    <xsl:variable name="IVL_PQ-in-CD" select="$valid-IVL_PQ-in-CD-values and ($IVL_PQ-in-CD-unit = '1' or contains($IVL_PQ-in-CD-unit-type, '~')) " />
    <xsl:variable name="PQ-in-CD-value" select="if (not($is-CodeableText) or @codeSystem or $IVL_PQ-in-CD-is-low or $IVL_PQ-in-CD-is-high) then ''         else normalize-space(replace($normalized-otext, $number-in-ST-regex, '$1'))" />
    <xsl:variable name="valid-PQ-in-CD-value" select="$PQ-in-CD-value castable as xs:double " />
    <xsl:variable name="PQ-in-CD-unit" select="if (not($is-CodeableText) or @codeSystem or not($valid-PQ-in-CD-value)) then ''        else if ($normalized-otext castable as xs:double) then '1'        else dh:XQueryRecursiveReplace($normalized-otext, $PQ-replacement, '')" />
    <xsl:variable name="PQ-in-CD-unit-msg" select="if ($PQ-in-CD-unit = '') then '' else if ($PQ-in-CD-unit = '1') then ' a unit attribute with the value ''1'' or an annotation'        else concat(' a unit attribute with the value ''', $PQ-in-CD-unit, '''') " />
    <xsl:variable name="PQ-in-CD-unit-type" select="if ($PQ-in-CD-unit = '') then ''        else if ($PQ-in-CD-unit = '1') then 'unity'        else dh:ValidateUCUM(dh:XQueryRecursiveReplace($PQ-in-CD-unit, $ucum-annotation-replacement, ''))" />
    <xsl:variable name="INT-in-CD" select="$PQ-in-CD-value != '' and $PQ-in-CD-unit = '1' and $normalized-otext castable as xs:integer " />
    <xsl:variable name="PQ-in-CD" select="not($INT-in-CD) and $valid-PQ-in-CD-value and ($PQ-in-CD-unit = '1' or contains($PQ-in-CD-unit-type, '~')) " />
    <xsl:variable name="RR-in-CD-text" select="if (($PQ-in-CD or $IVL_PQ-in-CD) and matches($normalized-otext, $RR-regex))         then normalize-space(replace($normalized-otext, $RR-regex, '$2'))        else '' " />
    <xsl:variable name="RR-in-CD-is-low" select="$RR-in-CD-text != '' and (matches($RR-in-CD-text, '^\s*\(?(&gt;|&gt;)[0-9 \.\-]+') or         matches($RR-in-CD-text, '^\s*\(?[0-9 \.\-]+\s*-\s*[0-9 \.\-]+\)?')) " />
    <xsl:variable name="RR-in-CD-low-excl" select="$RR-in-CD-is-low and matches($RR-in-CD-text, '^\s*\(?(&gt;|&gt;)[0-9 \.\-]+') " />
    <xsl:variable name="RR-in-CD-low-value" select="if (not($RR-in-CD-is-low)) then ''        else if ($RR-in-CD-low-excl) then normalize-space(replace($RR-in-CD-text, '^(\s*\(?)(&gt;|&gt;)([0-9 \.\-]+)(.*)$', '$3'))        else normalize-space(replace($RR-in-CD-text, '^(\s*\(?)([0-9 \.\-]+)(\s*-\s*)([0-9 \.\-]+)(\)?.*)', '$2')) " />
    <xsl:variable name="RR-in-CD-is-high" select="$RR-in-CD-text != '' and (matches($RR-in-CD-text, '^\s*\(?&lt;[0-9 \.\-]+') or matches($RR-in-CD-text, '^\s*\(?[0-9 \.\-]+\s*-\s*[0-9 \.\-]+\)?')) " />
    <xsl:variable name="RR-in-CD-high-excl" select="$RR-in-CD-is-high and matches($RR-in-CD-text, '^\s*\(?&lt;[0-9 \.\-]+') " />
    <xsl:variable name="RR-in-CD-high-value" select="if (not($RR-in-CD-is-high)) then ''        else if ($RR-in-CD-high-excl) then normalize-space(replace($RR-in-CD-text, '^(\s*\(?&lt;)([0-9 \.\-]+)(.*)$', '$2'))        else normalize-space(replace($RR-in-CD-text, '^(\s*\(?)([0-9 \.\-]+)(\s*-\s*)([0-9 \.\-]+)(\)?.*)', '$4')) " />
    <xsl:variable name="valid-RR-in-CD-values" select="if ($RR-in-CD-is-low and $RR-in-CD-is-high) then $RR-in-CD-low-value castable as xs:double and $RR-in-CD-high-value castable as xs:double         else if ($RR-in-CD-is-low) then $RR-in-CD-low-value castable as xs:double         else if ($RR-in-CD-is-high) then $RR-in-CD-high-value castable as xs:double         else false() " />
    <xsl:variable name="RR-in-CD-value-msg" select="if (not($valid-RR-in-CD-values)) then ''        else if ($RR-in-CD-is-low and not($RR-in-CD-is-high)) then concat(' and a low ''value'' attribute with the value ''', $RR-in-CD-low-value, '''')        else if (not($RR-in-CD-is-low) and $RR-in-CD-is-high) then          concat(' and a high ''value'' attribute with the value ''', $RR-in-CD-high-value, '''')        else if ($RR-in-CD-is-low and $RR-in-CD-is-high) then concat(', a low ''value'' attribute with the value ''', $RR-in-CD-low-value,          ''' and a high ''value'' attribute with the value ''', $RR-in-CD-high-value, '''')         else '' " />
    <xsl:variable name="RR-in-CD-unit" select="if ($RR-in-CD-text = '' or not($valid-RR-in-CD-values)) then ''        else if (matches($RR-in-CD-text, '^\s*\(?(&gt;|&gt;|&lt;)[0-9 \.\-]+\s*$') or matches($RR-in-CD-text, '^\s*\(?[0-9 \.\-]+\s*-\s*[0-9 \.\-]+\)?\s*$'))          then '1'        else if (matches($RR-in-CD-text, '^\s*\(?(&gt;|&gt;|&lt;)[0-9 \.\-]+') or matches($RR-in-CD-text, '^\s*\(?[0-9 \.\-]+\s*-\s*[0-9 \.\-]+\)?'))         then dh:XQueryRecursiveReplace($RR-in-CD-text, $IVL_PQ-replacement, '')         else '' " />
    <xsl:variable name="RR-in-CD-unit-type" select="if ($RR-in-CD-unit = '') then ''        else if ($RR-in-CD-unit = '1') then 'unity'        else dh:ValidateUCUM(dh:XQueryRecursiveReplace($RR-in-CD-unit, $ucum-annotation-replacement, ''))" />
    <xsl:variable name="RR-in-CD-unit-msg" select="if ($RR-in-CD-unit = '') then '' else if ($RR-in-CD-unit = '1') then ' a unit attribute with the value ''1'' or an annotation'        else concat(' a unit attribute with the value ''', $RR-in-CD-unit, '''') " />
    <xsl:variable name="RR-in-CD" select="$valid-RR-in-CD-values and ($RR-in-CD-unit = '1' or contains($RR-in-CD-unit-type, '~')) " />
    <xsl:variable name="try-ST-for-quant" select="($is-Text or ($is-EncapsulatedData and @mediaType = 'text/plain' and not(@compression))) and $normalized-text != ''" />
    <xsl:variable name="IVL_PQ-in-ST-is-low" select="$try-ST-for-quant and (matches($normalized-text, $PQ-low-regex) or matches($normalized-text, $IVL_PQ-regex)) " />
    <xsl:variable name="IVL_PQ-in-ST-low-excl" select="$IVL_PQ-in-ST-is-low and matches($normalized-text, $PQ-low-regex) " />
    <xsl:variable name="IVL_PQ-in-ST-low-value" select="if (not($IVL_PQ-in-ST-is-low)) then ''        else if ($IVL_PQ-in-ST-low-excl) then normalize-space(replace($normalized-text, '^(\s*\(?)(&gt;|&gt;)([0-9 \.\-]+)(.*)$', '$3'))        else normalize-space(replace($normalized-text, '^(\s*\(?)([0-9 \.\-]+)(\s*-\s*)([0-9 \.\-]+)(\)?.*)', '$2')) " />
    <xsl:variable name="IVL_PQ-in-ST-is-high" select="$try-ST-for-quant and (matches($normalized-text, $PQ-high-regex) or matches($normalized-text, $IVL_PQ-regex)) " />
    <xsl:variable name="IVL_PQ-in-ST-high-excl" select="$IVL_PQ-in-ST-is-high and matches($normalized-text, $PQ-high-regex) " />
    <xsl:variable name="IVL_PQ-in-ST-high-value" select="if (not($IVL_PQ-in-ST-is-high)) then ''        else if ($IVL_PQ-in-ST-high-excl) then normalize-space(replace($normalized-text, '^(\s*\(?&lt;)([0-9 \.\-]+)(.*)$', '$2'))        else normalize-space(replace($normalized-text, '^(\s*\(?)([0-9 \.\-]+)(\s*-\s*)([0-9 \.\-]+)(\)?.*)', '$4')) " />
    <xsl:variable name="valid-IVL_PQ-in-ST-values" select="if ($IVL_PQ-in-ST-is-low and $IVL_PQ-in-ST-is-high) then $IVL_PQ-in-ST-low-value castable as xs:double and $IVL_PQ-in-ST-high-value castable as xs:double         else if ($IVL_PQ-in-ST-is-low) then $IVL_PQ-in-ST-low-value castable as xs:double         else if ($IVL_PQ-in-ST-is-high) then $IVL_PQ-in-ST-high-value castable as xs:double         else false() " />
    <xsl:variable name="IVL_PQ-in-ST-value-msg" select="if (not($valid-IVL_PQ-in-ST-values)) then ''        else if ($IVL_PQ-in-ST-is-low and not($IVL_PQ-in-ST-is-high)) then concat(' and a low ''value'' attribute with the value ''', $IVL_PQ-in-ST-low-value, '''')        else if (not($IVL_PQ-in-ST-is-low) and $IVL_PQ-in-ST-is-high) then          concat(' and a high ''value'' attribute with the value ''', $IVL_PQ-in-ST-high-value, '''')        else if ($IVL_PQ-in-ST-is-low and $IVL_PQ-in-ST-is-high) then concat(', a low ''value'' attribute with the value ''', $IVL_PQ-in-ST-low-value,          ''' and a high ''value'' attribute with the value ''', $IVL_PQ-in-ST-high-value, '''')         else '' " />
    <xsl:variable name="IVL_PQ-in-ST-unit" select="if (not($try-ST-for-quant) or not($valid-IVL_PQ-in-ST-values)) then ''        else if (matches($normalized-text, '^\s*\(?(&gt;|&gt;|&lt;)[0-9 \.\-]+\s*$') or           matches($normalized-text, '^\s*\(?[0-9 \.\-]+\s*-\s*[0-9 \.\-]+\)?\s*$')) then '1'        else if (matches($normalized-text, '^\s*\(?(&gt;|&gt;|&lt;)[0-9 \.\-]+') or matches($normalized-text, '^\s*\(?[0-9 \.\-]+\s*-\s*[0-9 \.\-]+\)?'))         then dh:XQueryRecursiveReplace($normalized-text, $IVL_PQ-replacement, '')         else '' " />
    <xsl:variable name="IVL_PQ-in-ST-unit-type" select="if ($IVL_PQ-in-ST-unit = '') then ''        else if ($IVL_PQ-in-ST-unit = '1') then 'unity'        else dh:ValidateUCUM(dh:XQueryRecursiveReplace($IVL_PQ-in-ST-unit, $ucum-annotation-replacement, ''))" />
    <xsl:variable name="IVL_PQ-in-ST-unit-msg" select="if ($IVL_PQ-in-ST-unit = '') then '' else if ($IVL_PQ-in-ST-unit = '1') then ' a unit attribute with the value ''1'' or an annotation'        else concat(' a unit attribute with the value ''', $IVL_PQ-in-ST-unit, '''') " />
    <xsl:variable name="IVL_PQ-in-ST" select="$valid-IVL_PQ-in-ST-values and ($IVL_PQ-in-ST-unit = '1' or contains($IVL_PQ-in-ST-unit-type, '~')) " />
    <xsl:variable name="PQ-in-ST-value" select="if (not($try-ST-for-quant) or $IVL_PQ-in-ST-is-low or $IVL_PQ-in-ST-is-high) then ''         else normalize-space(replace($normalized-text, $number-in-ST-regex, '$1'))" />
    <xsl:variable name="valid-PQ-in-ST-value" select="$PQ-in-ST-value castable as xs:double " />
    <xsl:variable name="PQ-in-ST-unit" select="if (not($try-ST-for-quant) or not($valid-PQ-in-ST-value)) then ''        else if ($normalized-text castable as xs:double) then '1'        else dh:XQueryRecursiveReplace($normalized-text, $PQ-replacement, '')" />
    <xsl:variable name="PQ-in-ST-unit-msg" select="if ($PQ-in-ST-unit = '') then '' else if ($PQ-in-ST-unit = '1') then ' a unit attribute with the value ''1'' or an annotation'        else concat(' a unit attribute with the value ''', $PQ-in-ST-unit, '''') " />
    <xsl:variable name="PQ-in-ST-unit-type" select="if ($PQ-in-ST-unit = '') then ''        else if ($PQ-in-ST-unit = '1') then 'unity'        else dh:ValidateUCUM(dh:XQueryRecursiveReplace($PQ-in-ST-unit, $ucum-annotation-replacement, ''))" />
    <xsl:variable name="INT-in-ST" select="$PQ-in-ST-value != '' and $PQ-in-ST-unit = '1' and $normalized-text castable as xs:integer " />
    <xsl:variable name="PQ-in-ST" select="not($INT-in-ST) and $valid-PQ-in-ST-value and ($PQ-in-ST-unit = '1' or contains($PQ-in-ST-unit-type, '~')) " />
    <xsl:variable name="RR-in-ST-text" select="if (($PQ-in-CD or $IVL_PQ-in-CD) and matches($normalized-text, $RR-regex))         then normalize-space(replace($normalized-text, $RR-regex, '$2'))        else '' " />
    <xsl:variable name="RR-in-ST-is-low" select="$RR-in-ST-text != '' and (matches($RR-in-ST-text, '^\s*\(?(&gt;|&gt;)[0-9 \.\-]+') or         matches($RR-in-ST-text, '^\s*\(?[0-9 \.\-]+\s*-\s*[0-9 \.\-]+\)?')) " />
    <xsl:variable name="RR-in-ST-low-excl" select="$RR-in-ST-is-low and matches($RR-in-ST-text, '^\s*\(?(&gt;|&gt;)[0-9 \.\-]+') " />
    <xsl:variable name="RR-in-ST-low-value" select="if (not($RR-in-ST-is-low)) then ''        else if ($RR-in-ST-low-excl) then normalize-space(replace($RR-in-ST-text, '^(\s*\(?)(&gt;|&gt;)([0-9 \.\-]+)(.*)$', '$3'))        else normalize-space(replace($RR-in-ST-text, '^(\s*\(?)([0-9 \.\-]+)(\s*-\s*)([0-9 \.\-]+)(\)?.*)', '$2')) " />
    <xsl:variable name="RR-in-ST-is-high" select="$RR-in-ST-text != '' and (matches($RR-in-ST-text, '^\s*\(?&lt;[0-9 \.\-]+') or matches($RR-in-ST-text, '^\s*\(?[0-9 \.\-]+\s*-\s*[0-9 \.\-]+\)?')) " />
    <xsl:variable name="RR-in-ST-high-excl" select="$RR-in-ST-is-high and matches($RR-in-ST-text, '^\s*\(?&lt;[0-9 \.\-]+') " />
    <xsl:variable name="RR-in-ST-high-value" select="if (not($RR-in-ST-is-high)) then ''        else if ($RR-in-ST-high-excl) then normalize-space(replace($RR-in-ST-text, '^(\s*\(?&lt;)([0-9 \.\-]+)(.*)$', '$2'))        else normalize-space(replace($RR-in-ST-text, '^(\s*\(?)([0-9 \.\-]+)(\s*-\s*)([0-9 \.\-]+)(\)?.*)', '$4')) " />
    <xsl:variable name="valid-RR-in-ST-values" select="if ($RR-in-ST-is-low and $RR-in-ST-is-high) then $RR-in-ST-low-value castable as xs:double and $RR-in-ST-high-value castable as xs:double         else if ($RR-in-ST-is-low) then $RR-in-ST-low-value castable as xs:double         else if ($RR-in-ST-is-high) then $RR-in-ST-high-value castable as xs:double         else false() " />
    <xsl:variable name="RR-in-ST-value-msg" select="if (not($valid-RR-in-ST-values)) then ''        else if ($RR-in-ST-is-low and not($RR-in-ST-is-high)) then concat(' and a low ''value'' attribute with the value ''', $RR-in-ST-low-value, '''')        else if (not($RR-in-ST-is-low) and $RR-in-ST-is-high) then          concat(' and a high ''value'' attribute with the value ''', $RR-in-ST-high-value, '''')        else if ($RR-in-ST-is-low and $RR-in-ST-is-high) then concat(', a low ''value'' attribute with the value ''', $RR-in-ST-low-value,          ''' and a high ''value'' attribute with the value ''', $RR-in-ST-high-value, '''')         else '' " />
    <xsl:variable name="RR-in-ST-unit" select="if ($RR-in-ST-text = '' or not($valid-RR-in-ST-values)) then ''        else if (matches($RR-in-ST-text, '^\s*\(?(&gt;|&gt;|&lt;)[0-9 \.\-]+\s*$') or matches($RR-in-ST-text, '^\s*\(?[0-9 \.\-]+\s*-\s*[0-9 \.\-]+\)?\s*$'))          then '1'        else if (matches($RR-in-ST-text, '^\s*\(?(&gt;|&gt;|&lt;)[0-9 \.\-]+') or matches($RR-in-ST-text, '^\s*\(?[0-9 \.\-]+\s*-\s*[0-9 \.\-]+\)?'))         then dh:XQueryRecursiveReplace($RR-in-ST-text, $IVL_PQ-replacement, '')         else '' " />
    <xsl:variable name="RR-in-ST-unit-type" select="if ($RR-in-ST-unit = '') then ''        else if ($RR-in-ST-unit = '1') then 'unity'        else dh:ValidateUCUM(dh:XQueryRecursiveReplace($RR-in-ST-unit, $ucum-annotation-replacement, ''))" />
    <xsl:variable name="RR-in-ST-unit-msg" select="if ($RR-in-ST-unit = '') then '' else if ($RR-in-ST-unit = '1') then ' a unit attribute with the value ''1'' or an annotation'        else concat(' a unit attribute with the value ''', $RR-in-ST-unit, '''') " />
    <xsl:variable name="RR-in-ST" select="$valid-RR-in-ST-values and ($RR-in-ST-unit = '1' or contains($RR-in-ST-unit-type, '~')) " />
    <xsl:variable name="long-text" select="($is-CodeableText and string-length($normalized-otext) &gt; $length-err-max)       or              ($is-Text and string-length($normalized-text) &gt; $length-err-max)         or              ($is-EncapsulatedData and @mediaType = 'text/plain' and not(@compression) and string-length($normalized-text) &gt; $length-err-max) " />
    <xsl:variable name="prose-text" select="$long-text and not($is-CodeableText) and matches(., $unicode-br-regex) " />
    <xsl:variable name="length-err" select="$long-text and $is-CodeableText " />
    <xsl:variable name="family-err" select="$family-regex != '' and $is-CodeableText and matches($normalized-otext, $family-regex, 'is')" />
    <xsl:variable name="message-text1" select=" if ($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See ', $spec-section, ' of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="message-text2" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See sections 8.1 and 8.4 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="message-text3" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See sections 8.1 and 9.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="message-text4" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See sections 8.6 and 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-text-1" select="if (not($is-Text or $is-EncapsulatedData) or . = '') then '' else $normalized-text " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-text-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if (not(cda:originalText)) then ''         else if ($normalized-otext != '' and string-length(cda:originalText) &lt; 200)         then concat('originalText ', codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($normalized-otext, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else if ($normalized-otext != '') then concat('originalText commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($normalized-otext, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-otext" select="if ($normalized-otext != '' and cda:originalText/@nullFlavor) then concat($display-otext-1, ' and ', $display-text-NF)        else if ($normalized-otext != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($normalized-otext = '' and cda:originalText/@nullFlavor) then $display-text-NF        else '' " />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic')),          codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat($display-otext, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat($display-otext, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then $display-otext         else if (cda:originalText and not(@code) and @displayName)          then concat($display-otext, ' and displayName ', $display-dname)         else if (not(cda:originalText) and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)         then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')        else if (@codeSystem and not(@codeSystemName))         then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))        else if (not(@nullFlavor or @code or cda:originalText))         then 'no value (i.e. no nullFlavor attribute or information in a code attribute or originalText element)'       else '' " />
    <xsl:variable name="low-unit" select="if (not(cda:low)) then ''       else if (not(@unit) or (cda:low and not(cda:low/@unit))) then 'error'       else if (@unit = cda:low/@unit) then @unit       else if (@unit = '1' and cda:low/@unit != '1') then cda:low/@unit       else @unit " />
    <xsl:variable name="high-unit" select="if (not(cda:high)) then ''       else if (not(@unit) or (cda:high and not(cda:high/@unit))) then 'error'       else if (@unit = cda:high/@unit) then @unit       else if (@unit = '1' and cda:high/@unit != '1') then cda:high/@unit       else @unit " />
    <xsl:variable name="low-inclusive" select="if (not(cda:low)) then '' else if (cda:low/@inclusive='false') then ' (excluded)' else ' (included)' " />
    <xsl:variable name="high-inclusive" select="if (not(cda:high)) then '' else if (cda:high/@inclusive='false') then ' (excluded)' else ' (included)' " />
    <xsl:variable name="display-range" select="if (not($is-QuantRange)) then ''       else if ($low-unit = 'error' or $high-unit = 'error') then 'error'       else if (cda:low/@value and cda:high/@value)         then concat('low value ', codepoints-to-string(34), cda:low/@value, ' ', $low-unit, codepoints-to-string(34), $low-inclusive,         ' and high value ', codepoints-to-string(34), cda:high/@value, ' ', $high-unit, codepoints-to-string(34), $high-inclusive)        else if (not(cda:low/@value) and cda:high/@value)         then concat('high value ', codepoints-to-string(34), cda:high/@value, ' ', $high-unit, codepoints-to-string(34), $high-inclusive)        else if (cda:low/@value and not(cda:high/@value))         then concat('low value ', codepoints-to-string(34), cda:low/@value, ' ', $low-unit, codepoints-to-string(34), $low-inclusive)       else '' " />
    <xsl:variable name="display-interval" select="if (not($is-TimeInterval)) then ''       else if (@value and cda:low/@value and cda:high/@value)         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34), ', low value ', codepoints-to-string(34), cda:low/@value,        codepoints-to-string(34), $low-inclusive, ' and high value ', codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)        else if (@value and cda:low/@value and not(cda:high/@value))         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34), ' and low value ', codepoints-to-string(34), cda:low/@value,        codepoints-to-string(34), $low-inclusive)       else if (@value and not(cda:low/@value) and cda:high/@value)         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34), ' and high value ', codepoints-to-string(34),        cda:high/@value, codepoints-to-string(34), $high-inclusive)       else if (not(@value) and cda:low/@value and cda:high/@value)         then concat('low value ', codepoints-to-string(34), cda:low/@value, codepoints-to-string(34), $low-inclusive, ' and high value ',         codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)       else if (@value and not(cda:low/@value) and not(cda:high/@value))         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34))       else if (not(@value) and cda:low/@value and not(cda:high/@value))         then concat('low value ', codepoints-to-string(34), cda:low/@value, codepoints-to-string(34), $low-inclusive)       else if (not(@value) and not(cda:low/@value) and cda:high/@value)         then concat('high value ', codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)       else '' " />
    <xsl:variable name="obs-name-1" select="if (not(../cda:code/cda:originalText = '')) then ../cda:code/cda:originalText       else if (not(../cda:code/@displayName = '')) then ../cda:code/@displayName       else '' " />
    <xsl:variable name="obs-name-2" select="if (../cda:code[cda:originalText != ''])       then normalize-space(dh:XQueryRecursiveReplace(normalize-space(../cda:code/cda:originalText), $markup-pattern-replacement, 'ic'))       else if (../cda:code[@displayName != ''])        then  normalize-space(dh:XQueryRecursiveReplace(normalize-space(../cda:code/@displayName), $markup-pattern-replacement, 'ic'))       else '' " />
    <xsl:variable name="prose-comment" select="($is-Text or $is-EncapsulatedData) and $prose-text and matches($obs-name-2, '(^|[^a-z])(comment|autocomment)([^a-z]|$)', 'is')" />
    <xsl:variable name="obs-name" select="if ($obs-name-2 = '') then '' else concat(' is the result of the ', $obs-name-2,        if (ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]) then ' pathology test'       else if (ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]) then ' imaging examination' else ' observation', '.')" />
    <xsl:variable name="obs-msg" select="concat('must be consistent with the kind of observation indicated by the observation code which has ',        if (../cda:code[cda:originalText != '']) then concat('originalText ', codepoints-to-string(34),        normalize-space(dh:XQueryRecursiveReplace(normalize-space(../cda:code/cda:originalText), $markup-pattern-replacement, 'ic')), codepoints-to-string(34))       else '', if (../cda:code[cda:originalText != '' and @displayName != '']) then ' and'       else '', if (../cda:code[@displayName != '']) then concat('displayName ', codepoints-to-string(34),        normalize-space(dh:XQueryRecursiveReplace(normalize-space(../cda:code/@displayName), $markup-pattern-replacement, 'ic')), codepoints-to-string(34))       else '', '.') " />
    <xsl:variable name="rating-28" select="if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1 else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" (($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true') and $is-Boolean ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="(($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true') and $is-Boolean">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-01: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type and
		<xsl:text /><xsl:value-of select="if (@value and @nullFlavor) then concat('has a value attribute with the value ''', @value, ''' and a nullFlavor attribute with the value ''', @nullFlavor, '''')   else if (@value and not(@nullFlavor)) then concat('has a value attribute with the value ''', @value, '''')   else if (not(@value) and @nullFlavor) then concat('has a nullFlavor attribute with the value ''', @nullFlavor, '''')   else 'has no value or nullFlavor attributes' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and $is-CodeableText and not($IVL_PQ-in-CD or $PQ-in-CD or $INT-in-CD or $family-err or $length-err) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and $is-CodeableText and not($IVL_PQ-in-CD or $PQ-in-CD or $INT-in-CD or $family-err or $length-err)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="$display-nullFlavor " /><xsl:text /><xsl:text /><xsl:value-of select="if (@nullFlavor and @code and cda:originalText)    then ', ' else if (@nullFlavor and (@code or cda:originalText)) then ' and ' else ''" /><xsl:text /><xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which <xsl:text /><xsl:value-of select="$obs-name" /><xsl:text /><xsl:text /><xsl:value-of select="if ($log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(           $display-creation-date,      $log-tab,           $document-id,       $log-tab,           $document-name,       $log-tab,           iq:location(., ''),      $log-tab,            'Imaging Examination Result Value',       $log-tab,            'no',        $log-tab,            concat($display-code, $display-system, ' which ', $obs-name), $log-tab,            '',        $log-tab,           '',        $log-tab,           '',        $log-tab,           ''        )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" (($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true') and $is-CodeableText ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="(($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true') and $is-CodeableText">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		and has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which <xsl:text /><xsl:value-of select="$obs-name" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" (($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true') and $is-DateTime ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="(($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true') and $is-DateTime">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-18: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and
		<xsl:text /><xsl:value-of select="if (@value and @nullFlavor) then concat('has a value attribute with the value ''', @value, ''' and a nullFlavor attribute with the value ''', @nullFlavor, '''')   else if (@value and not(@nullFlavor)) then concat('has a value attribute with the value ''', @value, '''')   else if (not(@value) and @nullFlavor) then concat('has a nullFlavor attribute with the value ''', @nullFlavor, '''')   else 'has no value or nullFlavor attributes' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" (($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true') and $is-Duration ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="(($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true') and $is-Duration">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-17: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Duration data type and
		<xsl:text /><xsl:value-of select="if (@value and @nullFlavor) then concat('has a value attribute with the value ''', @value, ''' and a nullFlavor attribute with the value ''', @nullFlavor, '''')   else if (@value and not(@nullFlavor)) then concat('has a value attribute with the value ''', @value, '''')   else if (not(@value) and @nullFlavor) then concat('has a nullFlavor attribute with the value ''', @nullFlavor, '''')   else 'has no value or nullFlavor attributes' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /><xsl:text /><xsl:value-of select="if (@unit = '1') then ' The unit attribute has the value ''1'' which is the default value assigned by the CDA schema'   else if (@unit) then concat(' The unit attribute has the value ''', @unit, '''') else ' There is no unit attribute' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" (($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true') and $is-EncapsulatedData ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="(($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true') and $is-EncapsulatedData">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-02: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data
		type and <xsl:text /><xsl:value-of select="if (cda:reference/@value and string-length($normalized-text) &gt; 0) then concat('has a reference to ''', cda:reference/@value, ''' and contains the character   string ', $display-text)   else if (cda:reference/@value and not(string-length($normalized-text) &gt; 0)) then concat('has a reference to ''', cda:reference/@value, '''')   else if (not(cda:reference/@value) and string-length($normalized-text) &gt; 0) then concat('contains the character string ', $display-text)   else 'has no reference and does not contain a character string' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@nullFlavor) then concat(' The nullFlavor attribute has the value ''', @nullFlavor, '''.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the value ''', @mediaType, '''.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (@integrityCheckAlgorithm) then concat(' The integrityCheckAlgorithm attribute has the value ''', @integrityCheckAlgorithm, '''.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (@integrityCheck) then concat(' The integrityCheck attribute has the value ''', @integrityCheck, '''.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" (($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true') and $is-Integer ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="(($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true') and $is-Integer">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-14: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type and
		<xsl:text /><xsl:value-of select="if (@value and @nullFlavor) then concat('has a value attribute with the value ''', @value, ''' and a nullFlavor attribute with the value ''', @nullFlavor, '''')   else if (@value and not(@nullFlavor)) then concat('has a value attribute with the value ''', @value, '''')   else if (not(@value) and @nullFlavor) then concat('has a nullFlavor attribute with the value ''', @nullFlavor, '''')   else 'has no value or nullFlavor attributes' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" (($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true') and $is-Quantity ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="(($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true') and $is-Quantity">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-13: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Quantity data type and
		<xsl:text /><xsl:value-of select="if (@value and @unit) then concat('has a value attribute with the value ''', @value, ''' and a unit attribute with the value ''', @unit, '''')   else if (@value and not(@unit)) then concat('has a value attribute with the value ''', @value, '''')   else if (not(@value) and @unit) then concat('has a unit attribute with the value ''', @unit, '''')   else 'has no value or unit attributes' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@nullFlavor) then concat('The nullFlavor attribute has the value ''', @nullFlavor, '''.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" (($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true') and $is-QuantRange ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="(($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true') and $is-QuantRange">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-21: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the QuantityRange data type
		and <xsl:text /><xsl:value-of select="if ((cda:low/@value or cda:high/@value) and not(@display-range = 'error')) then concat('has ', $display-range)   else 'has no low or high data elements' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@nullFlavor) then concat('The nullFlavor attribute has the value ''', @nullFlavor, '''.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" (($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true') and $is-QuantRatio ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="(($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true') and $is-QuantRatio">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-16: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the QuantityRatio data type
		and <xsl:text /><xsl:value-of select="if (@nullFlavor) then concat('has a nullFlavor attribute with the value ''', @nullFlavor, '''')   else 'has no nullFlavor attribute' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (cda:numerator/@value and cda:numerator/@nullFlavor)    then concat('The numerator has a value attribute with the value ''', @value, ''' and a nullFlavor attribute with the value ''', @nullFlavor, '''')   else if (cda:numerator/@value and not(cda:numerator/@nullFlavor)) then concat('The numerator has a value attribute with the value ''', @value, '''')   else if (not(cda:numerator/@value) and cda:numerator/@nullFlavor) then concat('The numerator has a nullFlavor attribute with the value ''', @nullFlavor, '''')   else if (cda:numerator and not(cda:numerator/@value) and not(cda:numerator/@nullFlavor)) then 'The numerator has no value and nullFlavor attributes'   else 'There is no numerator' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (cda:denominator/@value and cda:denominator/@nullFlavor)    then concat('The denominator has a value attribute with the value ''', @value, ''' and a nullFlavor attribute with the value ''', @nullFlavor, '''')   else if (cda:denominator/@value and not(cda:denominator/@nullFlavor)) then concat('The denominator has a value attribute with the value ''', @value, '''')   else if (not(cda:denominator/@value) and cda:denominator/@nullFlavor) then concat('The denominator has a nullFlavor attribute with the value ''', @nullFlavor, '''')   else if (cda:denominator and not(cda:denominator/@value) and not(cda:denominator/@nullFlavor)) then 'The denominator has no value and nullFlavor attributes'   else 'There is no denominator' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" (($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true') and $is-Real ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="(($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true') and $is-Real">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-15: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Real data type and
		<xsl:text /><xsl:value-of select="if (@value and @nullFlavor) then concat('has a value attribute with the value ''', @value, ''' and a nullFlavor attribute with the value ''', @nullFlavor, '''')   else if (@value and not(@nullFlavor)) then concat('has a value attribute with the value ''', @value, '''')   else if (not(@value) and @nullFlavor) then concat('has a nullFlavor attribute with the value ''', @nullFlavor, '''')   else 'has no value or nullFlavor attributes' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" (($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true') and $is-Text and not($IVL_PQ-in-ST or $INT-in-ST or $PQ-in-ST) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="(($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true') and $is-Text and not($IVL_PQ-in-ST or $INT-in-ST or $PQ-in-ST)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and
		<xsl:text /><xsl:value-of select="if (string-length($normalized-text) &gt; 0 and @nullFlavor) then concat('contains the character string ', $display-text, ' and has a nullFlavor attribute with the value ',    @nullFlavor)   else if (string-length($normalized-text) &gt; 0 and not(@nullFlavor)) then concat('contains the character string ', $display-text)   else if (not(string-length($normalized-text) &gt; 0) and @nullFlavor) then concat('has a nullFlavor attribute with the value ''', @nullFlavor, '''')   else 'has no nullFlavor attribute and does not contain a character string' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@nullFlavor) then concat('The nullFlavor attribute has the value ''', @nullFlavor, '''.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (@mediaType) then concat('The mediaType attribute has the value ''', @mediaType, '''.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" (($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true') and $is-TimeInterval ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="(($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true') and $is-TimeInterval">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-22: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type and <xsl:text /><xsl:value-of select="if (@value or cda:low/@value or cda:high/@value) then concat('has ', $display-interval)   else 'has no value attribute and no low or high data elements' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@nullFlavor) then concat('The nullFlavor attribute has the value ''', @nullFlavor, '''.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and $is-Text and not(matches(., '[a-z]', 'is')) and    matches(translate(normalize-space(lower-case(.)), $chars-to-remove, ''), '^[0-9]+$', '') and not(@nullFlavor or $IVL_PQ-in-ST or $INT-in-ST or $PQ-in-ST or $prose-text) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $is-Text and not(matches(., '[a-z]', 'is')) and matches(translate(normalize-space(lower-case(.)), $chars-to-remove, ''), '^[0-9]+$', '') and not(@nullFlavor or $IVL_PQ-in-ST or $INT-in-ST or $PQ-in-ST or $prose-text)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-Types-110" /><xsl:text />: TC-Types-110: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and contains the character string <xsl:text /><xsl:value-of select="$display-text" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text />
		Using a different data type for the outcome of the observation may provide a better representation of the data.
		(See section 3.1.13.1 of the HL7 Reference Information Model, Release 6.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and $is-EncapsulatedData and not(@nullFlavor or $family-err or $length-err or $prose-text) and   not(cda:reference/@value) and string-length($normalized-text) &gt; 0 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $is-EncapsulatedData and not(@nullFlavor or $family-err or $length-err or $prose-text) and not(cda:reference/@value) and string-length($normalized-text) &gt; 0">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-Types-110" /><xsl:text />: TC-Types-110: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data that contains the character string type and <xsl:text /><xsl:value-of select="$display-text " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text />
		Using a different data type for the outcome of the observation may provide a better representation of the data.
		(See section 3.1.13.1 of the HL7 Reference Information Model, Release 6.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" (($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true') and    not($is-Boolean or $is-CodeableText or $is-DateTime or $is-Duration or $is-EncapsulatedData or $is-Integer or     $is-Quantity or $is-QuantRange or $is-QuantRatio or $is-Real or $is-Text or $is-TimeInterval) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="(($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true') and not($is-Boolean or $is-CodeableText or $is-DateTime or $is-Duration or $is-EncapsulatedData or $is-Integer or $is-Quantity or $is-QuantRange or $is-QuantRatio or $is-Real or $is-Text or $is-TimeInterval)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-110: The data type of The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> cannot be determined. <xsl:text /><xsl:value-of select="if (@nullFlavor) then concat('The nullFlavor attribute has the value ''', @nullFlavor, '''.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-Boolean and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-Boolean and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-49" /><xsl:text />: TC-Types-49 step 2: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type however it has
		a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include nullFlavor 'UNC'.
		(See <xsl:text /><xsl:value-of select="$spec-section" /><xsl:text /> of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-Boolean and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-Boolean and not(false())">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-110" /><xsl:text />: TC-Types-110: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type however that data type is not allowed for this data element.
		The Imaging Examination Result Value <xsl:text /><xsl:value-of select="$obs-msg" /><xsl:text /> (See the Structured Content Specification and section 2.20 of the Imaging Examination Result Detailed Clinical Model Specification v3.2 and section 3.1.13.1 of the HL7 Reference Information Model, Release 6.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-57" /><xsl:text />: TC-Types-57: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-Boolean and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-Boolean and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		Boolean data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the Boolean data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-Boolean and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-Boolean and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		Boolean data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the Boolean data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-Boolean and    @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-Boolean and @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		Boolean data type however an attribute  '<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')])" /><xsl:text />' was found that is not expected for the
		Boolean data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-Boolean and    @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-Boolean and @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		Boolean data type however an attribute  '<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')])" /><xsl:text />' was found that is not expected for the
		Boolean data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-EncapsulatedData and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-EncapsulatedData and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-49" /><xsl:text />: TC-Types-49 step 2: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		EncapsulatedData data type however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present so it
		is an error to include nullFlavor 'UNC'. (See <xsl:text /><xsl:value-of select="$spec-section" /><xsl:text /> of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of
		ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-EncapsulatedData and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-EncapsulatedData and not(false())">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-110" /><xsl:text />: TC-Types-110: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type however that data type is not allowed for this data element.
		The Imaging Examination Result Value <xsl:text /><xsl:value-of select="$obs-msg" /><xsl:text /> (See the Structured Content Specification and section 2.20 of the Imaging Examination Result Detailed Clinical Model Specification v3.2 and section 3.1.13.1 of the HL7 Reference Information Model, Release 6.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-EncapsulatedData and *[not(local-name() = 'reference' or local-name() = 'thumbnail')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-EncapsulatedData and *[not(local-name() = 'reference' or local-name() = 'thumbnail')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		EncapsulatedData data type however a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = 'reference' or local-name() = 'thumbnail')])" /><xsl:text />' was found
		that is not expected for the EncapsulatedData data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-EncapsulatedData and    *[not(local-name() = 'reference' or local-name() = 'thumbnail')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-EncapsulatedData and *[not(local-name() = 'reference' or local-name() = 'thumbnail')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		EncapsulatedData data type however a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = 'reference' or local-name() = 'thumbnail')])" /><xsl:text />' was found
		that is not expected for the EncapsulatedData data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    $is-EncapsulatedData and @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'language' or name() = 'mediaType' or name() = 'charset' or name() = 'integrityCheck'    or name() = 'integrityCheckAlgorithm' or name() = 'compression' or name() = 'representation')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-EncapsulatedData and @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'language' or name() = 'mediaType' or name() = 'charset' or name() = 'integrityCheck' or name() = 'integrityCheckAlgorithm' or name() = 'compression' or name() = 'representation')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		EncapsulatedData data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'language' or name() = 'mediaType' or name() = 'charset' or name() = 'integrityCheck'    or name() = 'integrityCheckAlgorithm' or name() = 'compression' or name() = 'representation')])" /><xsl:text />' was found that is not expected for the EncapsulatedData data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    $is-EncapsulatedData and @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'language' or name() = 'mediaType' or name() = 'charset' or name() = 'integrityCheck'    or name() = 'integrityCheckAlgorithm' or name() = 'compression' or name() = 'representation')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-EncapsulatedData and @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'language' or name() = 'mediaType' or name() = 'charset' or name() = 'integrityCheck' or name() = 'integrityCheckAlgorithm' or name() = 'compression' or name() = 'representation')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		EncapsulatedData data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'language' or name() = 'mediaType' or name() = 'charset' or name() = 'integrityCheck'    or name() = 'integrityCheckAlgorithm' or name() = 'compression' or name() = 'representation')])" /><xsl:text />' was found that is not expected for the EncapsulatedData data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $is-EncapsulatedData and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $is-EncapsulatedData and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-03" /><xsl:text />: TC-Types-03: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type and has the attribute
		language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this attribute.
		(See <xsl:text /><xsl:value-of select="$spec-section" /><xsl:text /> of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		<xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $is-EncapsulatedData and @charset ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $is-EncapsulatedData and @charset">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-03" /><xsl:text />: TC-Types-03: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type and has the attribute
		charset='<xsl:text /><xsl:value-of select="@charset" /><xsl:text />'. Confirm that this is a valid value for this attribute.
		(See <xsl:text /><xsl:value-of select="$spec-section" /><xsl:text /> of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		<xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-Text and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-Text and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-49" /><xsl:text />: TC-Types-49 step 2: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		Text data type however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present
		so it is an error to include nullFlavor 'UNC'.
		(See <xsl:text /><xsl:value-of select="$spec-section" /><xsl:text /> of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-Text and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-Text and not(true())">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-110" /><xsl:text />: TC-Types-110: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however that
		data type is not allowed for this data element.
		The Imaging Examination Result Value <xsl:text /><xsl:value-of select="$obs-msg" /><xsl:text /> (See the Structured Content Specification and section 2.20 of the Imaging Examination Result Detailed Clinical Model Specification v3.2 and section 3.1.13.1 of the HL7 Reference Information Model, Release 6.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($is-Text or $is-EncapsulatedData) and $prose-text and not($prose-comment) and not('' != '' and matches($obs-name-1, '', 'is')) and    not('.' != '' and matches($obs-name-1, '.', 'is')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($is-Text or $is-EncapsulatedData) and $prose-text and not($prose-comment) and not('' != '' and matches($obs-name-1, '', 'is')) and not('.' != '' and matches($obs-name-1, '.', 'is'))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-TC-Types-110" /><xsl:text />: TC-Types-110: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name-2 = '') then '' else concat(' is the result of a ', $obs-name-2,        if (ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]) then ' pathology test'       else if (ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]) then ' imaging examination' else ' observation', ' and ')" /><xsl:text />
		has the value <xsl:text /><xsl:value-of select="$display-text" /><xsl:text />. This is prose text which may not be valid for the Imaging Examination Result Value
		<xsl:text /><xsl:value-of select="if ($obs-name-2 = '') then '.' else concat(' of a ', $obs-name-2,        if (ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]) then ' pathology test.'       else if (ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]) then ' imaging examination.' else ' observation.')" /><xsl:text />
		Confirm if this is a valid value for the Imaging Examination Result Value. (See the definition of Imaging Examination Result Value in the Structured Content Specification and section 2.20 of the Imaging Examination Result Detailed Clinical Model Specification v3.2.)
		If an individual result is required and it is not possible to record individual results then rather than the
		<xsl:text /><xsl:value-of select="if (ancestor::cda:section[position()=1]/cda:title) then ancestor::cda:section[position()=1]/cda:title     else if (ancestor::cda:section[position()=1]/cda:code/@displayName) then ancestor::cda:section[position()=1]/cda:code/@displayName else '' " /><xsl:text /> section
		the information should be recorded in a Diagnostic Investigation section defined in the FAQ on Undifferentiated pathology and radiology reports.
		The Diagnostic Investigation section may be used for any type of diagnostic investigation such as pathology, diagnostic imaging and other types of diagnostic investigation
		and may be used as a subsection of the
		<xsl:text /><xsl:value-of select="if (ancestor::cda:section[position()=2]/cda:title) then ancestor::cda:section[position()=2]/cda:title     else if (ancestor::cda:section[position()=2]/cda:code/@displayName) then ancestor::cda:section[position()=2]/cda:code/@displayName else 'Diagnostic Investigations' " /><xsl:text /> section.
		The Diagnostic Investigation section is intended for use for diagnostic investigations where information is recorded as prose text and individual results cannot be recorded in separate
		entry elements.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($is-Text or $is-EncapsulatedData) and $prose-comment and not('' != '' and matches($obs-name-1, '', 'is')) and    not('.' != '' and matches($obs-name-1, '.', 'is')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($is-Text or $is-EncapsulatedData) and $prose-comment and not('' != '' and matches($obs-name-1, '', 'is')) and not('.' != '' and matches($obs-name-1, '.', 'is'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-110" /><xsl:text />: TC-Types-110: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value <xsl:text /><xsl:value-of select="$display-text" /><xsl:text />. This is not valid for the Imaging Examination Result Value as it is a comment rather than the
		result of <xsl:text /><xsl:value-of select="if (ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]) then 'a pathology test.'   else 'an imaging examination.'" /><xsl:text /> (See the definition of Imaging Examination Result Value in the Structured Content Specification and section 2.20 of the Imaging Examination Result Detailed Clinical Model Specification v3.2.)
		<xsl:text /><xsl:value-of select="if (ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']])    then 'The correct place to record a comment is in the Individual Pathology Test Result Comment or Test Comment data element.'   else 'The correct place to record a comment is in the Result Comment data element.'" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($is-Text or $is-EncapsulatedData) and $prose-text and '' != '' and matches($obs-name-1, '', 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($is-Text or $is-EncapsulatedData) and $prose-text and '' != '' and matches($obs-name-1, '', 'is')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-110" /><xsl:text />: TC-Types-110: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name-2 = '') then '' else concat(' is the result of a ', $obs-name-2,        if (ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]) then ' pathology test'       else if (ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]) then ' imaging examination' else ' observation', ' and ')" /><xsl:text />
		has the value <xsl:text /><xsl:value-of select="$display-text" /><xsl:text />. This is prose text which is not valid for the Imaging Examination Result Value
		<xsl:text /><xsl:value-of select="if ($obs-name-2 = '') then '' else concat(' of a ', $obs-name-2,        if (ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]) then ' pathology test'       else if (ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]) then ' imaging examination' else ' observation')" /><xsl:text />
		as an individual result required for an Imaging Examination Result Value data element.
		(See the definition of Imaging Examination Result Value in the Structured Content Specification and section 2.20 of the Imaging Examination Result Detailed Clinical Model Specification v3.2.) If it is not possible to record individual results then rather than the
		<xsl:text /><xsl:value-of select="if (ancestor::cda:section[position()=1]/cda:title) then ancestor::cda:section[position()=1]/cda:title     else if (ancestor::cda:section[position()=1]/cda:code/@displayName) then ancestor::cda:section[position()=1]/cda:code/@displayName else '' " /><xsl:text /> section
		the information should be recorded in a Diagnostic Investigation section defined in the FAQ on Undifferentiated pathology and radiology reports.
		The Diagnostic Investigation section may be used for any type of diagnostic investigation such as pathology, diagnostic imaging and other types of diagnostic investigation
		and may be used as a subsection of the
		<xsl:text /><xsl:value-of select="if (ancestor::cda:section[position()=2]/cda:title) then ancestor::cda:section[position()=2]/cda:title     else if (ancestor::cda:section[position()=2]/cda:code/@displayName) then ancestor::cda:section[position()=2]/cda:code/@displayName else 'Diagnostic Investigations' " /><xsl:text /> section.
		The Diagnostic Investigation section is intended for use for diagnostic investigations where information is recorded as prose text and individual results cannot be recorded in separate
		entry elements.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-Text and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-Text and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		Text data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-Text and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-Text and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		Text data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-Text and    @*[not(name() = 'xsi:type' or name() = 'integrityCheckAlgorithm' or name() = 'representation' or name() = 'nullFlavor' or name() = 'language' or name() = 'mediaType')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-Text and @*[not(name() = 'xsi:type' or name() = 'integrityCheckAlgorithm' or name() = 'representation' or name() = 'nullFlavor' or name() = 'language' or name() = 'mediaType')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		Text data type however an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'integrityCheckAlgorithm' or   name() = 'representation' or name() = 'nullFlavor' or name() = 'language' or name() = 'mediaType')])" /><xsl:text />' was found that is not expected for the Text data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-Text and    @*[not(name() = 'xsi:type' or name() = 'integrityCheckAlgorithm' or name() = 'representation' or name() = 'nullFlavor' or name() = 'language' or name() = 'mediaType')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-Text and @*[not(name() = 'xsi:type' or name() = 'integrityCheckAlgorithm' or name() = 'representation' or name() = 'nullFlavor' or name() = 'language' or name() = 'mediaType')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		Text data type however an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'integrityCheckAlgorithm' or   name() = 'representation' or name() = 'nullFlavor' or name() = 'language' or name() = 'mediaType')])" /><xsl:text />' was found that is not expected for the Text data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-Text and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-Text and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		Text data type however an attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-Text and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-Text and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		Text data type however an attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-Text and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-Text and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		Text data type however an attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so
		this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-Text and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-Text and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		Text data type however an attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so
		this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $is-Text and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $is-Text and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-03" /><xsl:text />: TC-Types-03: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and a language attribute with the value '<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this attribute.
		(See <xsl:text /><xsl:value-of select="$spec-section" /><xsl:text /> of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		<xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-Text and $normalized-text != '' and not(matches(., '[a-z0-9]', 'i')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-Text and $normalized-text != '' and not(matches(., '[a-z0-9]', 'i'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-110" /><xsl:text />: TC-Types-110: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and the value <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> which contains no clinical information and is an invalid Imaging Examination Result Value.
		The Imaging Examination Result Value <xsl:text /><xsl:value-of select="$obs-msg" /><xsl:text /> (See section 3.1.13.1 of the HL7 Reference Information Model, Release 6.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-ST ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-ST">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-110" /><xsl:text />: TC-Types-110: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value <xsl:text /><xsl:value-of select="$display-text" /><xsl:text />.
		This uses the HL7 '<xsl:text /><xsl:value-of select="if ($xsi-type = '') then 'ST' else $xsi-type" /><xsl:text />' data type to record a physical quantity interval whereas a physical quantity interval must be recorded
		using the HL7 'IVL_PQ'
		(Interval of Physical Quantities) data type. The Imaging Examination Result Value <xsl:text /><xsl:value-of select="$obs-msg" /><xsl:text /> (See the Structured Content Specification and section 2.20 of the Imaging Examination Result Detailed Clinical Model Specification v3.2 and section 3.1.13.1 of the HL7 Reference Information Model, Release 6.)
		The Imaging Examination Result Value data element of the HL7 'IVL_PQ' data type may be created with an xsi:type attribute with the value 'IVL_PQ',
		<xsl:text /><xsl:value-of select="$IVL_PQ-in-ST-unit-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$IVL_PQ-in-ST-value-msg " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($IVL_PQ-in-ST-low-excl) then ' The low inclusive attribute must have the value ''false'' to indicate the low boundary is excluded from the interval.' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($IVL_PQ-in-ST-high-excl) then ' The high inclusive attribute must have the value ''false'' to indicate the high boundary is excluded from the interval.' else '' " /><xsl:text />
		(See <xsl:text /><xsl:value-of select="if ($IVL_PQ-in-ST-low-excl or $IVL_PQ-in-ST-high-excl) then 'sections 3.8 and 3.9' else 'section 3.8' " /><xsl:text />
		of XML Implementation Technology Specification - Data Types.)
		<xsl:text /><xsl:value-of select="if (contains($normalized-otext, $IVL_PQ-in-ST-unit)) then ''    else ' This message includes the corrected quantity unit. (See information about quantity units in The Unified Code for Units of Measure.)' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $INT-in-ST ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$INT-in-ST">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-110" /><xsl:text />: TC-Types-110: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value <xsl:text /><xsl:value-of select="$display-text" /><xsl:text />.
		This uses the HL7 '<xsl:text /><xsl:value-of select="if ($xsi-type = '') then 'ST' else $xsi-type" /><xsl:text />' data type to record a quantity whereas a quantity must be recorded using the HL7 'INT'
		(Integer) or 'PQ' (Physical Quantity) data types.
		The Imaging Examination Result Value <xsl:text /><xsl:value-of select="$obs-msg" /><xsl:text /> (See the Structured Content Specification and section 2.20 of the Imaging Examination Result Detailed Clinical Model Specification v3.2 and section 3.1.13.1 of the HL7 Reference Information Model, Release 6.)
		The Imaging Examination Result Value data element of the HL7 'INT' data type may be created with an xsi:type attribute with the value 'INT'
		and a 'value' attribute with the value '<xsl:text /><xsl:value-of select="$PQ-in-ST-value" /><xsl:text />'.
		(See section 2.26 of XML Implementation Technology Specification - Data Types.)
		The Imaging Examination Result Value data element of the HL7 'PQ' data type may be created with an xsi:type attribute with the value 'PQ',
		<xsl:text /><xsl:value-of select="$PQ-in-ST-unit-msg" /><xsl:text /> and a 'value' attribute with the value '<xsl:text /><xsl:value-of select="$PQ-in-ST-value" /><xsl:text />'.
		(See section 2.28 of XML Implementation Technology Specification - Data Types.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $PQ-in-ST ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$PQ-in-ST">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-110" /><xsl:text />: TC-Types-110: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value <xsl:text /><xsl:value-of select="$display-text" /><xsl:text />.
		This uses the HL7 '<xsl:text /><xsl:value-of select="if ($xsi-type = '') then 'ST' else $xsi-type" /><xsl:text />' data type to record a physical quantity whereas a physical quantity must be recorded using the HL7 'PQ' (Physical Quantity) data type.
		The Imaging Examination Result Value <xsl:text /><xsl:value-of select="$obs-msg" /><xsl:text /> (See the Structured Content Specification and section 2.20 of the Imaging Examination Result Detailed Clinical Model Specification v3.2 and section 3.1.13.1 of the HL7 Reference Information Model, Release 6.)
		The Imaging Examination Result Value data element of the HL7 'PQ' data type may be created with an xsi:type attribute with the value 'PQ',
		<xsl:text /><xsl:value-of select="$PQ-in-ST-unit-msg" /><xsl:text /> and a 'value' attribute with the value '<xsl:text /><xsl:value-of select="$PQ-in-ST-value" /><xsl:text />'.
		(See section 2.28 of XML Implementation Technology Specification - Data Types.)
		<xsl:text /><xsl:value-of select="if (contains($normalized-otext, $IVL_PQ-in-ST-unit)) then ''    else ' This message includes the corrected quantity unit. (See information about quantity units in The Unified Code for Units of Measure.)' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $RR-in-ST ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$RR-in-ST">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-110" /><xsl:text />: TC-Types-110: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which includes a reference range. A reference range is not an Imaging Examination Result Value and
		must be included in a Reference Range data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />.
		(See the definition and mapping table for Reference Range in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		The Imaging Examination Result Value <xsl:text /><xsl:value-of select="$obs-msg" /><xsl:text /> (See the Structured Content Specification and section 2.20 of the Imaging Examination Result Detailed Clinical Model Specification v3.2.)
		The Reference Range data element should have an xsi:type attribute with the value 'IVL_PQ',
		<xsl:text /><xsl:value-of select="$RR-in-ST-unit-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$RR-in-ST-value-msg " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($RR-in-ST-low-excl) then ' The low inclusive attribute must have the value ''false'' to indicate the low boundary is excluded from the interval.' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($RR-in-ST-high-excl) then ' The high inclusive attribute must have the value ''false'' to indicate the high boundary is excluded from the interval.' else '' " /><xsl:text />
		(See <xsl:text /><xsl:value-of select="if ($RR-in-ST-low-excl or $RR-in-ST-high-excl) then 'sections 3.8 and 3.9' else 'section 3.8' " /><xsl:text />
		of XML Implementation Technology Specification - Data Types.)
		<xsl:text /><xsl:value-of select="if (contains($RR-in-ST-text, $RR-in-ST-unit)) then ''    else ' This message includes the corrected quantity unit. (See information about quantity units in The Unified Code for Units of Measure.)' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-CodeableText and not(@nullFlavor) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-CodeableText and not(@nullFlavor) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-04-step-2" /><xsl:text />: TC-Types-04 step 2: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however the data element does not
		meet the CodeableText requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		(See <xsl:text /><xsl:value-of select="$spec-section" /><xsl:text /> of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		<xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-CodeableText and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-CodeableText and not(true())">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-110" /><xsl:text />: TC-Types-110: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This uses the CodeableText data type however that data type is not
		allowed for this data element. The Imaging Examination Result Value <xsl:text /><xsl:value-of select="$obs-msg" /><xsl:text /> (See the Structured Content Specification and section 2.20 of the Imaging Examination Result Detailed Clinical Model Specification v3.2 and section 3.1.13.1 of the HL7 Reference Information Model, Release 6.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-110" /><xsl:text />: TC-Types-110: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		This uses the HL7 '<xsl:text /><xsl:value-of select="if ($xsi-type = '') then 'CD' else $xsi-type" /><xsl:text />' data type to record a physical quantity interval whereas a physical quantity interval must be recorded using the HL7 'IVL_PQ'
		(Interval of Physical Quantities) data type. The Imaging Examination Result Value <xsl:text /><xsl:value-of select="$obs-msg" /><xsl:text /> (See the Structured Content Specification and section 2.20 of the Imaging Examination Result Detailed Clinical Model Specification v3.2 and section 3.1.13.1 of the HL7 Reference Information Model, Release 6.)
		The Imaging Examination Result Value data element of the HL7 'IVL_PQ' data type may be created with an xsi:type attribute with the value 'IVL_PQ',
		<xsl:text /><xsl:value-of select="$IVL_PQ-in-CD-unit-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$IVL_PQ-in-CD-value-msg " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($IVL_PQ-in-CD-low-excl) then ' The low inclusive attribute must have the value ''false'' to indicate the low boundary is excluded from the interval.' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($IVL_PQ-in-CD-high-excl) then ' The high inclusive attribute must have the value ''false'' to indicate the high boundary is excluded from the interval.' else '' " /><xsl:text />
		(See <xsl:text /><xsl:value-of select="if ($IVL_PQ-in-CD-low-excl or $IVL_PQ-in-CD-high-excl) then 'sections 3.8 and 3.9' else 'section 3.8' " /><xsl:text />
		of XML Implementation Technology Specification - Data Types.)
		<xsl:text /><xsl:value-of select="if (contains($normalized-otext, $IVL_PQ-in-CD-unit)) then ''    else ' This message includes the corrected quantity unit. (See information about quantity units in The Unified Code for Units of Measure.)' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $INT-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$INT-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-110" /><xsl:text />: TC-Types-110: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		This uses the HL7 '<xsl:text /><xsl:value-of select="if ($xsi-type = '') then 'CD' else $xsi-type" /><xsl:text />' data type to record a quantity whereas a quantity must be recorded using the HL7 'INT'
		(Integer) or 'PQ' (Physical Quantity) data types.
		The Imaging Examination Result Value <xsl:text /><xsl:value-of select="$obs-msg" /><xsl:text /> (See the Structured Content Specification and section 2.20 of the Imaging Examination Result Detailed Clinical Model Specification v3.2 and section 3.1.13.1 of the HL7 Reference Information Model, Release 6.)
		The Imaging Examination Result Value data element of the HL7 'INT' data type may be created with an xsi:type attribute with the value 'INT'
		and a 'value' attribute with the value '<xsl:text /><xsl:value-of select="$PQ-in-CD-value" /><xsl:text />'.
		(See section 2.26 of XML Implementation Technology Specification - Data Types.)
		The Imaging Examination Result Value data element of the HL7 'PQ' data type may be created with an xsi:type attribute with the value 'PQ',
		<xsl:text /><xsl:value-of select="$PQ-in-CD-unit-msg" /><xsl:text /> and a 'value' attribute with the value '<xsl:text /><xsl:value-of select="$PQ-in-CD-value" /><xsl:text />'.
		(See section 2.28 of XML Implementation Technology Specification - Data Types.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-110" /><xsl:text />: TC-Types-110: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		This uses the HL7 '<xsl:text /><xsl:value-of select="if ($xsi-type = '') then 'CD' else $xsi-type" /><xsl:text />' data type to record a physical quantity whereas a physical quantity must be recorded using the HL7 'PQ' (Physical Quantity) data type.
		The Imaging Examination Result Value <xsl:text /><xsl:value-of select="$obs-msg" /><xsl:text /> (See the Structured Content Specification and section 2.20 of the Imaging Examination Result Detailed Clinical Model Specification v3.2 and section 3.1.13.1 of the HL7 Reference Information Model, Release 6.)
		The Imaging Examination Result Value data element of the HL7 'PQ' data type may be created with an xsi:type attribute with the value 'PQ',
		<xsl:text /><xsl:value-of select="$PQ-in-CD-unit-msg" /><xsl:text /> and a 'value' attribute with the value '<xsl:text /><xsl:value-of select="$PQ-in-CD-value" /><xsl:text />'.
		(See section 2.28 of XML Implementation Technology Specification - Data Types.)
		<xsl:text /><xsl:value-of select="if (contains($normalized-otext, $IVL_PQ-in-CD-unit)) then ''    else ' This message includes the corrected quantity unit. (See information about quantity units in The Unified Code for Units of Measure.)' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $RR-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$RR-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-110" /><xsl:text />: TC-Types-110: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which includes a reference range. A reference range is not an Imaging Examination Result Value and
		must be included in a Reference Range data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />.
		(See the definition and mapping table for Reference Range in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		The Imaging Examination Result Value <xsl:text /><xsl:value-of select="$obs-msg" /><xsl:text /> (See the Structured Content Specification and section 2.20 of the Imaging Examination Result Detailed Clinical Model Specification v3.2.)
		The Reference Range data element should have an xsi:type attribute with the value 'IVL_PQ',
		<xsl:text /><xsl:value-of select="$RR-in-CD-unit-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$RR-in-CD-value-msg " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($RR-in-CD-low-excl) then ' The low inclusive attribute must have the value ''false'' to indicate the low boundary is excluded from the interval.' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($RR-in-CD-high-excl) then ' The high inclusive attribute must have the value ''false'' to indicate the high boundary is excluded from the interval.' else '' " /><xsl:text />
		(See <xsl:text /><xsl:value-of select="if ($RR-in-CD-low-excl or $RR-in-CD-high-excl) then 'sections 3.8 and 3.9' else 'section 3.8' " /><xsl:text />
		of XML Implementation Technology Specification - Data Types.)
		<xsl:text /><xsl:value-of select="if (contains($RR-in-CD-text, $RR-in-CD-unit)) then ''    else ' This message includes the corrected quantity unit. (See information about quantity units in The Unified Code for Units of Measure.)' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-CodeableText and    *[not(local-name() = 'originalText' or local-name() = 'translation' or local-name() = 'qualifier')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-CodeableText and *[not(local-name() = 'originalText' or local-name() = 'translation' or local-name() = 'qualifier')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		CodeableText data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = 'originalText' or local-name() = 'translation' or local-name() = 'qualifier')])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-CodeableText and    *[not(local-name() = 'originalText' or local-name() = 'translation' or local-name() = 'qualifier')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-CodeableText and *[not(local-name() = 'originalText' or local-name() = 'translation' or local-name() = 'qualifier')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		CodeableText data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = 'originalText' or local-name() = 'translation' or local-name() = 'qualifier')])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-CodeableText and    @*[not(name() = 'xsi:type' or name() = 'code' or name() = 'codeSystem' or    name() = 'codeSystemName' or name() = 'codeSystemVersion' or name() = 'displayName' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-CodeableText and @*[not(name() = 'xsi:type' or name() = 'code' or name() = 'codeSystem' or name() = 'codeSystemName' or name() = 'codeSystemVersion' or name() = 'displayName' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'code' or name() = 'codeSystem' or name() = 'codeSystemName' or name() = 'codeSystemVersion' or    name() = 'displayName' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the CodeableText data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-CodeableText and    @*[not(name() = 'xsi:type' or name() = 'code' or name() = 'codeSystem' or    name() = 'codeSystemName' or name() = 'codeSystemVersion' or name() = 'displayName' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-CodeableText and @*[not(name() = 'xsi:type' or name() = 'code' or name() = 'codeSystem' or name() = 'codeSystemName' or name() = 'codeSystemVersion' or name() = 'displayName' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'code' or name() = 'codeSystem' or name() = 'codeSystemName' or name() = 'codeSystemVersion' or    name() = 'displayName' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the CodeableText data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$is-CodeableText and cda:originalText != '' and not(matches(cda:originalText, '[a-z0-9]', 'i')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-CodeableText and cda:originalText != '' and not(matches(cda:originalText, '[a-z0-9]', 'i'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-110" /><xsl:text />: TC-Types-110: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which contains no clinical information and
		is an invalid Imaging Examination Result Value. 
		The Imaging Examination Result Value <xsl:text /><xsl:value-of select="$obs-msg " /><xsl:text /> (See section 3.1.13.1 of the HL7 Reference Information Model, Release 6.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-Quantity and cda:translation ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-Quantity and cda:translation">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-alt-TC-Types-13" /><xsl:text />: TC-Types-13: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Quantity data type which is
		derived from the HL7 'PQ' data type. The 'translation' element is present however that element must not be present in
		a data element of the Quantity data type. (See <xsl:text /><xsl:value-of select="$spec-section" /><xsl:text /> of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-Quantity and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-Quantity and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-49" /><xsl:text />: TC-Types-49 step 2: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Quantity data type however it has
		a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include nullFlavor 'UNC'.
		(See <xsl:text /><xsl:value-of select="$spec-section" /><xsl:text /> of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-Quantity and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-Quantity and not(true())">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-110" /><xsl:text />: TC-Types-110: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Quantity data type however that data type is not allowed for
		this data element.
		The Imaging Examination Result Value <xsl:text /><xsl:value-of select="$obs-msg" /><xsl:text /> (See the Structured Content Specification and section 2.20 of the Imaging Examination Result Detailed Clinical Model Specification v3.2 and section 3.1.13.1 of the HL7 Reference Information Model, Release 6.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-Quantity and *[not(local-name(.) = 'translation')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-Quantity and *[not(local-name(.) = 'translation')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		Quantity data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Quantity data type so this element is an extension.
		<xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-Quantity and *[not(local-name(.) = 'translation')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-Quantity and *[not(local-name(.) = 'translation')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		Quantity data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Quantity data type so this element is an extension.
		<xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-Quantity and    @*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-Quantity and @*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		Quantity data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the Quantity data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-Quantity and    @*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-Quantity and @*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		Quantity data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the Quantity data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-Integer and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-Integer and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-49" /><xsl:text />: TC-Types-49 step 2: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however it has
		a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present
		so it is an error to include nullFlavor 'UNC'.
		(See <xsl:text /><xsl:value-of select="$spec-section" /><xsl:text /> of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-Integer and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-Integer and not(false())">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-110" /><xsl:text />: TC-Types-110: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however that data type is not allowed for
		this data element.
		The Imaging Examination Result Value <xsl:text /><xsl:value-of select="$obs-msg" /><xsl:text /> (See the Structured Content Specification and section 2.20 of the Imaging Examination Result Detailed Clinical Model Specification v3.2 and section 3.1.13.1 of the HL7 Reference Information Model, Release 6.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-Integer and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-Integer and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		Integer data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the Integer data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-Integer and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-Integer and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		Integer data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the Integer data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-Integer and    @*[not(name() = 'xsi:type' or name() = 'value' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-Integer and @*[not(name() = 'xsi:type' or name() = 'value' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		Integer data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the Integer data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-Integer and    @*[not(name() = 'xsi:type' or name() = 'value' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-Integer and @*[not(name() = 'xsi:type' or name() = 'value' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		Integer data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the Integer data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-Real and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-Real and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-49" /><xsl:text />: TC-Types-49 step 2: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Real data type however it has
		a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present so
		it is an error to include nullFlavor 'UNC'.
		(See <xsl:text /><xsl:value-of select="$spec-section" /><xsl:text /> of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-Real and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-Real and not(false())">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-110" /><xsl:text />: TC-Types-110: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Real data type however that data type is not allowed for
		this data element.
		The Imaging Examination Result Value <xsl:text /><xsl:value-of select="$obs-msg" /><xsl:text /> (See the Structured Content Specification and section 2.20 of the Imaging Examination Result Detailed Clinical Model Specification v3.2 and section 3.1.13.1 of the HL7 Reference Information Model, Release 6.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-Real and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-Real and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		Real data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the Real data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-Real and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-Real and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		Real data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the Real data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-Real and    @*[not(name() = 'xsi:type' or name() = 'value' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-Real and @*[not(name() = 'xsi:type' or name() = 'value' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		Real data type however an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the Real
		data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-Real and    @*[not(name() = 'xsi:type' or name() = 'value' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-Real and @*[not(name() = 'xsi:type' or name() = 'value' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		Real data type however an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the Real
		data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-QuantRatio and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-QuantRatio and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-49" /><xsl:text />: TC-Types-49 step 2: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the QuantityRatio data type however it has
		a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include nullFlavor 'UNC'.
		(See <xsl:text /><xsl:value-of select="$spec-section" /><xsl:text /> of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-QuantRatio and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-QuantRatio and not(false())">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-110" /><xsl:text />: TC-Types-110: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the QuantityRatio data type however that data type is not allowed for
		this data element.
		The Imaging Examination Result Value <xsl:text /><xsl:value-of select="$obs-msg" /><xsl:text /> (See the Structured Content Specification and section 2.20 of the Imaging Examination Result Detailed Clinical Model Specification v3.2 and section 3.1.13.1 of the HL7 Reference Information Model, Release 6.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-QuantRatio and *[not(local-name() = 'denominator' or local-name() = 'numerator')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-QuantRatio and *[not(local-name() = 'denominator' or local-name() = 'numerator')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		the QuantityRatio data type however a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = 'denominator' or local-name() = 'numerator')])" /><xsl:text />' was found
		that is not expected for the QuantityRatio data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-QuantRatio and    *[not(local-name() = 'denominator' or local-name() = 'numerator')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-QuantRatio and *[not(local-name() = 'denominator' or local-name() = 'numerator')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		the QuantityRatio data type however a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = 'denominator' or local-name() = 'numerator')])" /><xsl:text />' was found
		that is not expected for the QuantityRatio data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-QuantRatio and @*[not(name() = 'xsi:type' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-QuantRatio and @*[not(name() = 'xsi:type' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		QuantityRatio data type however an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the QuantityRatio data
		type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-QuantRatio and @*[not(name() = 'xsi:type' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-QuantRatio and @*[not(name() = 'xsi:type' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		QuantityRatio data type however an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the QuantityRatio data
		type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:numerator/*[local-name(.) = 'translation'] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:numerator/*[local-name(.) = 'translation']">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-alt-TC-Types-13" /><xsl:text />: TC-Types-13: The Imaging Examination Result Value 'numerator' child element has the Quantity data type and a 'translation' element is present however that element
		must not be present in a data element of the Quantity data type. (See section 8.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		<xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-QuantRatio and cda:numerator/*[not(local-name(.) = 'translation')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-QuantRatio and cda:numerator/*[not(local-name(.) = 'translation')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value 'numerator' child element has the Quantity data type however a
		child element '<xsl:text /><xsl:value-of select="local-name(cda:numerator/*[not(local-name(.) = 'translation')])" /><xsl:text />' was found
		that is not expected for the Quantity data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-QuantRatio and cda:numerator/*[not(local-name(.) = 'translation')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-QuantRatio and cda:numerator/*[not(local-name(.) = 'translation')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value 'numerator' child element has the Quantity data type however a
		child element '<xsl:text /><xsl:value-of select="local-name(cda:numerator/*[not(local-name(.) = 'translation')])" /><xsl:text />' was found
		that is not expected for the Quantity data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-QuantRatio and    cda:numerator/@*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-QuantRatio and cda:numerator/@*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value 'numerator' child element has the Quantity data type however an
		attribute '<xsl:text /><xsl:value-of select="name(cda:numerator/@*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the Quantity data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-QuantRatio and not($num-tc-types-97-err) and    cda:numerator/@*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-QuantRatio and not($num-tc-types-97-err) and cda:numerator/@*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value 'numerator' child element has the Quantity data type however an
		attribute '<xsl:text /><xsl:value-of select="name(cda:numerator/@*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the Quantity data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-QuantRatio and not(cda:numerator/cda:originalText) and cda:numerator/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-QuantRatio and not(cda:numerator/cda:originalText) and cda:numerator/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-49" /><xsl:text />: TC-Types-49 step 2: The Imaging Examination Result Value 'numerator' child element has the Quantity data type however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be
		used when there is an originalText. An originalText is not present so it is an error to include nullFlavor 'UNC'.
		(See sections 8.1 and 8.4 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:denominator/*[local-name(.) = 'translation'] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:denominator/*[local-name(.) = 'translation']">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-alt-TC-Types-13" /><xsl:text />: TC-Types-13: The Imaging Examination Result Value 'denominator' child element has the Quantity data type and a 'translation' element is present however that element
		must not be present in a data element of the Quantity data type. (See section 8.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		<xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-QuantRatio and cda:denominator/*[not(local-name(.) = 'translation')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-QuantRatio and cda:denominator/*[not(local-name(.) = 'translation')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value 'denominator' child element has the Quantity data type however a
		child element '<xsl:text /><xsl:value-of select="local-name(cda:denominator/*[not(local-name(.) = 'translation')])" /><xsl:text />' was found
		that is not expected for the Quantity data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-QuantRatio and cda:denominator/*[not(local-name(.) = 'translation')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-QuantRatio and cda:denominator/*[not(local-name(.) = 'translation')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value 'denominator' child element has the Quantity data type however a
		child element '<xsl:text /><xsl:value-of select="local-name(cda:denominator/*[not(local-name(.) = 'translation')])" /><xsl:text />' was found
		that is not expected for the Quantity data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-QuantRatio and    cda:denominator/@*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-QuantRatio and cda:denominator/@*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value 'denominator' child element has the Quantity data type however an
		attribute '<xsl:text /><xsl:value-of select="name(cda:denominator/@*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the Quantity data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-QuantRatio and not($den-tc-types-97-err) and    cda:denominator/@*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-QuantRatio and not($den-tc-types-97-err) and cda:denominator/@*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value 'denominator' child element has the Quantity data type however an
		attribute '<xsl:text /><xsl:value-of select="name(cda:denominator/@*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the Quantity data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-QuantRatio and not(cda:denominator/cda:originalText) and cda:denominator/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-QuantRatio and not(cda:denominator/cda:originalText) and cda:denominator/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-49" /><xsl:text />: TC-Types-49 step 2: The Imaging Examination Result Value 'denominator' child element has the Quantity data type however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be
		used when there is an originalText. An originalText is not present so it is an error to include nullFlavor 'UNC'.
		(See sections 8.1 and 8.4 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-Duration and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-Duration and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-49" /><xsl:text />: TC-Types-49 step 2: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Duration data type however it has
		a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present
		so it is an error to include nullFlavor 'UNC'.
		(See <xsl:text /><xsl:value-of select="$spec-section" /><xsl:text /> of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-Duration and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-Duration and not(false())">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-110" /><xsl:text />: TC-Types-110: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Duration data type however that data type is not allowed for
		this data element.
		The Imaging Examination Result Value <xsl:text /><xsl:value-of select="$obs-msg" /><xsl:text /> (See the Structured Content Specification and section 2.20 of the Imaging Examination Result Detailed Clinical Model Specification v3.2 and section 3.1.13.1 of the HL7 Reference Information Model, Release 6.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-Duration and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-Duration and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the 
		Duration data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the Duration data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-Duration and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-Duration and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the 
		Duration data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the Duration data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-Duration and    @*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-Duration and @*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		Duration data type however an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the Duration data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-Duration and    @*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-Duration and @*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		Duration data type however an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the Duration data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-DateTime and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-DateTime and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-49" /><xsl:text />: TC-Types-49 step 2: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however it has
		a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include nullFlavor 'UNC'.
		(See <xsl:text /><xsl:value-of select="$spec-section" /><xsl:text /> of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-DateTime and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-DateTime and not(false())">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-110" /><xsl:text />: TC-Types-110: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however that data type is not allowed for 
		this data element.
		The Imaging Examination Result Value <xsl:text /><xsl:value-of select="$obs-msg" /><xsl:text /> (See the Structured Content Specification and section 2.20 of the Imaging Examination Result Detailed Clinical Model Specification v3.2 and section 3.1.13.1 of the HL7 Reference Information Model, Release 6.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-DateTime and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-DateTime and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		DateTime data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-DateTime and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-DateTime and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		DateTime data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-DateTime and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-DateTime and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected
		for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-DateTime and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-DateTime and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected
		for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-QuantRange and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-QuantRange and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-49" /><xsl:text />: TC-Types-49 step 2: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the QuantityRange data type however it has
		a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present so it is an error to
		include nullFlavor 'UNC'.
		(See <xsl:text /><xsl:value-of select="$spec-section" /><xsl:text /> of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-QuantRange and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-QuantRange and not(true())">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-110" /><xsl:text />: TC-Types-110: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the QuantityRange data type however that data type is not allowed for 
		this data element.
		The Imaging Examination Result Value <xsl:text /><xsl:value-of select="$obs-msg" /><xsl:text /> (See the Structured Content Specification and section 2.20 of the Imaging Examination Result Detailed Clinical Model Specification v3.2 and section 3.1.13.1 of the HL7 Reference Information Model, Release 6.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-QuantRange and *[not(local-name() = 'low' or local-name() = 'high')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-QuantRange and *[not(local-name() = 'low' or local-name() = 'high')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		QuantityRange data type however a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = 'low' or local-name() = 'high')])" /><xsl:text />' was found
		that is not expected for the QuantityRange data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-QuantRange and *[not(local-name() = 'low' or local-name() = 'high')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-QuantRange and *[not(local-name() = 'low' or local-name() = 'high')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		QuantityRange data type however a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = 'low' or local-name() = 'high')])" /><xsl:text />' was found
		that is not expected for the QuantityRange data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-QuantRange and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'unit' or name() = 'nullFlavor' or name() = 'unit')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-QuantRange and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'unit' or name() = 'nullFlavor' or name() = 'unit')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		QuantityRange data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'nullFlavor' or name() = 'unit')])" /><xsl:text />' was found that is not expected for the QuantityRange data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-QuantRange and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'unit' or name() = 'nullFlavor' or name() = 'unit')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-QuantRange and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'unit' or name() = 'nullFlavor' or name() = 'unit')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		QuantityRange data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'nullFlavor' or name() = 'unit')])" /><xsl:text />' was found that is not expected for the QuantityRange data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-QuantRange and @operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-QuantRange and @operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		QuantityRange data type however an attribute 'operator' with the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the QuantityRange data type so this is an
		extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-QuantRange and @operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-QuantRange and @operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		QuantityRange data type however an attribute 'operator' with the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the QuantityRange data type so this is an
		extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-QuantRange and not(@nullFlavor or cda:low or cda:high) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-QuantRange and not(@nullFlavor or cda:low or cda:high)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-alt-TC-Types-21" /><xsl:text />: TC-Types-21: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the QuantityRange data type however
		it does not have a nullFlavor attribute or low or high elements. A QuantityRange may only contain a nullFlavor attribute or low or high elements with the inclusive attribute
		included in the low or high elements if there is a need to indicate that the low or high boundaries are included.
		(See <xsl:text /><xsl:value-of select="$spec-section" /><xsl:text /> of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		<xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-QuantRange and cda:low/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-QuantRange and cda:low/*">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value 'low' child element has the Quantity data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(cda:low/*)" /><xsl:text />' was found
		that is not expected for the Quantity data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text3" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-QuantRange and cda:low/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-QuantRange and cda:low/*">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value 'low' child element has the Quantity data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(cda:low/*)" /><xsl:text />' was found
		that is not expected for the Quantity data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text3" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-QuantRange and    cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'unit' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-QuantRange and cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'unit' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value 'low' child element has the Quantity data type however an
		attribute  '<xsl:text /><xsl:value-of select="name(cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'unit' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the Quantity data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text3" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-QuantRange and    cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'unit' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-QuantRange and cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'unit' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value 'low' child element has the Quantity data type however an
		attribute  '<xsl:text /><xsl:value-of select="name(cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'unit' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the Quantity data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text3" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-QuantRange and not(cda:low/cda:originalText) and cda:low/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-QuantRange and not(cda:low/cda:originalText) and cda:low/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-49" /><xsl:text />: TC-Types-49 step 2: The Imaging Examination Result Value 'low' child element has the Quantity data type however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when
		there is an originalText. An originalText is not present so it is an error to include nullFlavor 'UNC'.
		(See section 8.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-QuantRange and cda:high/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-QuantRange and cda:high/*">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value 'high' child element has the Quantity data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(cda:high/*)" /><xsl:text />' was found
		that is not expected for the Quantity data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text3" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-QuantRange and cda:high/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-QuantRange and cda:high/*">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value 'high' child element has the Quantity data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(cda:high/*)" /><xsl:text />' was found
		that is not expected for the Quantity data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text3" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-QuantRange and    cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'unit' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-QuantRange and cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'unit' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value 'high' child element has the Quantity data type however an
		attribute '<xsl:text /><xsl:value-of select="name(cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'unit' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />' 
		was found that is not expected for the Quantity data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text3" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-QuantRange and    cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'unit' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-QuantRange and cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'unit' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value 'high' child element has the Quantity data type however an
		attribute '<xsl:text /><xsl:value-of select="name(cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'unit' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />' 
		was found that is not expected for the Quantity data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text3" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-QuantRange and not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-QuantRange and not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-49" /><xsl:text />: TC-Types-49 step 2: The Imaging Examination Result Value 'high' child element has the Quantity data type however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used
		when there is an originalText. An originalText is not present so it is an error to include nullFlavor 'UNC'.
		(See <xsl:text /><xsl:value-of select="$spec-section" /><xsl:text /> of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-TimeInterval and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-TimeInterval and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-49" /><xsl:text />: TC-Types-49 step 2: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however it has
		a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present so it is an error to
		include nullFlavor 'UNC'.
		(See section <xsl:text /><xsl:value-of select="$spec-section" /><xsl:text /> of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-TimeInterval and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-TimeInterval and not(false())">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-110" /><xsl:text />: TC-Types-110: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however that data type is not allowed for
		this data element.
		The Imaging Examination Result Value <xsl:text /><xsl:value-of select="$obs-msg" /><xsl:text /> (See the Structured Content Specification and section 2.20 of the Imaging Examination Result Detailed Clinical Model Specification v3.2 and section 3.1.13.1 of the HL7 Reference Information Model, Release 6.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-TimeInterval and not(@nullFlavor or cda:low or cda:high) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-TimeInterval and not(@nullFlavor or cda:low or cda:high)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-alt-TC-Types-22" /><xsl:text />: TC-Types-22: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however
		it does not have a nullFlavor attribute or low or high elements. A TimeInterval may only contain a nullFlavor attribute or low or high elements with the inclusive attribute
		included in the low or high elements if there is a need to indicate that the low or high boundaries are included.
		(See section <xsl:text /><xsl:value-of select="$spec-section" /><xsl:text />of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		<xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-TimeInterval and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-TimeInterval and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		TimeInterval data type however an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the
		TimeInterval data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$spec-section" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-TimeInterval and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-TimeInterval and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		TimeInterval data type however an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the
		TimeInterval data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$spec-section" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-TimeInterval and @operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-TimeInterval and @operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error&gt;<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		TimeInterval data type however an attribute 'operator' with the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the TimeInterval data type so this is an extension.
		<xsl:text /><xsl:value-of select="$spec-section" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-TimeInterval and @operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-TimeInterval and @operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		TimeInterval data type however an attribute 'operator' with the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the TimeInterval data type so this is an extension.
		<xsl:text /><xsl:value-of select="$spec-section" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-TimeInterval and *[not(local-name() = 'low' or local-name() = 'high')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-TimeInterval and *[not(local-name() = 'low' or local-name() = 'high')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		TimeInterval data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = 'low' or local-name() = 'high')])" /><xsl:text />' was found
		that is not expected for the TimeInterval data type so this element is an extension. <xsl:text /><xsl:value-of select="$spec-section" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-TimeInterval and    *[not(local-name() = 'low' or local-name() = 'high')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-TimeInterval and *[not(local-name() = 'low' or local-name() = 'high')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		TimeInterval data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = 'low' or local-name() = 'high')])" /><xsl:text />' was found
		that is not expected for the TimeInterval data type so this element is an extension. <xsl:text /><xsl:value-of select="$spec-section" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-TimeInterval and cda:low/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-TimeInterval and cda:low/*">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value 'low' child element has the DateTime data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(cda:low/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text4" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-TimeInterval and cda:low/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-TimeInterval and cda:low/*">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value 'low' child element has the DateTime data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(cda:low/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text4" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-TimeInterval and    cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-TimeInterval and cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value 'low' child element has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text4" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-TimeInterval and    cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-TimeInterval and cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value 'low' child element has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text4" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-TimeInterval and not(cda:low/cda:originalText) and cda:low/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-TimeInterval and not(cda:low/cda:originalText) and cda:low/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-49" /><xsl:text />: TC-Types-49 step 2: The Imaging Examination Result Value 'low' child element has the DateTime data type however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when
		there is an originalText. An originalText is not present so it is an error to include nullFlavor 'UNC'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-TimeInterval and cda:high/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-TimeInterval and cda:high/*">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value 'high' child element has the DateTime data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(cda:high/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text4" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-TimeInterval and cda:high/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-TimeInterval and cda:high/*">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value 'high' child element has the DateTime data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(cda:high/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text4" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-TimeInterval and    cda:high/@*[not(name() = ('xsi:type', 'operator', 'value', 'inclusive', 'nullFlavor'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-TimeInterval and cda:high/@*[not(name() = ('xsi:type', 'operator', 'value', 'inclusive', 'nullFlavor'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value 'high' child element has the DateTime data type however an
		attribute '<xsl:text /><xsl:value-of select="name(cda:high/@*[not(name() = ('xsi:type', 'operator', 'value', 'inclusive', 'nullFlavor'))])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text4" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-TimeInterval and    cda:high/@*[not(name() = ('xsi:type', 'operator', 'value', 'inclusive', 'nullFlavor'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-TimeInterval and cda:high/@*[not(name() = ('xsi:type', 'operator', 'value', 'inclusive', 'nullFlavor'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value 'high' child element has the DateTime data type however an
		attribute '<xsl:text /><xsl:value-of select="name(cda:high/@*[not(name() = ('xsi:type', 'operator', 'value', 'inclusive', 'nullFlavor'))])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text4" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-TimeInterval and not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-TimeInterval and not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-49" /><xsl:text />: TC-Types-49 step 2: The Imaging Examination Result Value 'high' child element has the DateTime data type however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be
		used when there is an originalText. An originalText is not present so it is an error to include nullFlavor 'UNC'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Imaging Examination Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not(   $is-Boolean  or    $is-CodeableText  or    $is-DateTime  or   $is-Duration  or   $is-EncapsulatedData or   $is-Integer  or   $is-Quantity  or   $is-QuantRange  or   $is-QuantRatio  or   $is-Real  or   $is-Text  or   $is-TimeInterval ) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not( $is-Boolean or $is-CodeableText or $is-DateTime or $is-Duration or $is-EncapsulatedData or $is-Integer or $is-Quantity or $is-QuantRange or $is-QuantRatio or $is-Real or $is-Text or $is-TimeInterval )">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-110" /><xsl:text />: TC-Types-110: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> does not seem to have the Boolean, EncapsulatedData, Text, CodeableText, Integer, Real, QuantityRatio, Duration, DateTime, QuantityRange or
		TimeInterval data type. Confirm the data type and the test results are correctly represented.
		The Imaging Examination Result Value <xsl:text /><xsl:value-of select="$obs-msg" /><xsl:text /> (See section 3.1.13.1 of the HL7 Reference Information Model, Release 6.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="    $is-Boolean and (     $is-CodeableText  or     $is-DateTime  or    $is-Duration  or    $is-EncapsulatedData or    $is-Integer  or    $is-Quantity  or    $is-QuantRange  or    $is-QuantRatio  or    $is-Real  or    $is-Text  or    $is-TimeInterval ) or   $is-CodeableText and (     $is-DateTime  or    $is-Duration  or    $is-EncapsulatedData or    $is-Integer  or    $is-Quantity  or    $is-QuantRange  or    $is-QuantRatio  or    $is-Real  or    $is-Text  or    $is-TimeInterval ) or   $is-DateTime and (     $is-Duration  or    $is-EncapsulatedData or    $is-Integer  or    $is-Quantity  or    $is-QuantRange  or    $is-QuantRatio  or    $is-Real  or    $is-Text  or    $is-TimeInterval ) or   $is-Duration and (    $is-EncapsulatedData or    $is-Integer  or    $is-Quantity  or    $is-QuantRange  or    $is-QuantRatio  or    $is-Real  or    $is-Text  or    $is-TimeInterval ) or   $is-EncapsulatedData and (    $is-Integer  or    $is-Quantity  or    $is-QuantRange  or    $is-QuantRatio  or    $is-Real  or    $is-Text  or    $is-TimeInterval ) or   $is-Integer and (    $is-Quantity  or    $is-QuantRange  or    $is-QuantRatio  or    $is-Real  or    $is-Text  or    $is-TimeInterval ) or   $is-Quantity and (    $is-QuantRange  or    $is-QuantRatio  or    $is-Real  or    $is-Text  or    $is-TimeInterval ) or   $is-QuantRange and (    $is-QuantRatio  or    $is-Real  or    $is-Text  or    $is-TimeInterval ) or   $is-QuantRatio and (    $is-Real  or    $is-Text  or    $is-TimeInterval ) or   $is-Real and (    $is-Text  or    $is-TimeInterval ) or   $is-Text and $is-TimeInterval  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-Boolean and ( $is-CodeableText or $is-DateTime or $is-Duration or $is-EncapsulatedData or $is-Integer or $is-Quantity or $is-QuantRange or $is-QuantRatio or $is-Real or $is-Text or $is-TimeInterval ) or $is-CodeableText and ( $is-DateTime or $is-Duration or $is-EncapsulatedData or $is-Integer or $is-Quantity or $is-QuantRange or $is-QuantRatio or $is-Real or $is-Text or $is-TimeInterval ) or $is-DateTime and ( $is-Duration or $is-EncapsulatedData or $is-Integer or $is-Quantity or $is-QuantRange or $is-QuantRatio or $is-Real or $is-Text or $is-TimeInterval ) or $is-Duration and ( $is-EncapsulatedData or $is-Integer or $is-Quantity or $is-QuantRange or $is-QuantRatio or $is-Real or $is-Text or $is-TimeInterval ) or $is-EncapsulatedData and ( $is-Integer or $is-Quantity or $is-QuantRange or $is-QuantRatio or $is-Real or $is-Text or $is-TimeInterval ) or $is-Integer and ( $is-Quantity or $is-QuantRange or $is-QuantRatio or $is-Real or $is-Text or $is-TimeInterval ) or $is-Quantity and ( $is-QuantRange or $is-QuantRatio or $is-Real or $is-Text or $is-TimeInterval ) or $is-QuantRange and ( $is-QuantRatio or $is-Real or $is-Text or $is-TimeInterval ) or $is-QuantRatio and ( $is-Real or $is-Text or $is-TimeInterval ) or $is-Real and ( $is-Text or $is-TimeInterval ) or $is-Text and $is-TimeInterval">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-TC-Types-110" /><xsl:text />: TC-Types-110: The data type of The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> could not be determined. Confirm the data type and the test results are correctly represented.
		The Imaging Examination Result Value <xsl:text /><xsl:value-of select="$obs-msg" /><xsl:text /> (See section 3.1.13.1 of the HL7 Reference Information Model, Release 6.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M405" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M405" />
  <xsl:template match="@*|node()" priority="-2" mode="M405">
    <xsl:apply-templates select="@*|*" mode="M405" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-Observation-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/   cda:entryRelationship/cda:organizer/cda:component/cda:observation/cda:value   [@codeSystem or @xsi:type = ('CD', 'CE', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CV')]   [not(normalize-space(cda:originalText) != '' and not(@codeSystem) and (cda:originalText castable as xs:double or (      (matches(cda:originalText, $number-regex, 'is') or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~'))))]   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M406">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/   cda:entryRelationship/cda:organizer/cda:component/cda:observation/cda:value   [@codeSystem or @xsi:type = ('CD', 'CE', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CV')]   [not(normalize-space(cda:originalText) != '' and not(@codeSystem) and (cda:originalText castable as xs:double or (      (matches(cda:originalText, $number-regex, 'is') or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~'))))]   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Imaging Examination Result Value
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Imaging Examination Result Value
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Imaging Examination Result Value
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Imaging Examination Result Value has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Imaging Examination Result Value data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Imaging Examination Result Value data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Imaging Examination Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Imaging Examination Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Imaging Examination Result Value
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Imaging Examination Result Value
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Imaging Examination Result Value data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Imaging Examination Result Value
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Imaging Examination Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Imaging Examination Result Value data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Imaging Examination Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Imaging Examination Result Value
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M406" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M406" />
  <xsl:template match="@*|node()" priority="-2" mode="M406">
    <xsl:apply-templates select="@*|*" mode="M406" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-Observation-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/   cda:entryRelationship/cda:organizer/cda:component/cda:observation/cda:value     [(@xsi:type = ('ST', 'SC')                or      normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')          or    (@representation='TXT' and @mediaType='text/plain'))             or    ((@integrityCheckAlgorithm or @xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and @mediaType = 'text/plain') ]         [normalize-space(.) != ''][not(. castable as xs:double or (      (matches(., $number-regex, 'is') or matches(., $PQ-low-regex, 'is') or matches(., $PQ-high-regex, 'is') or matches(., $IVL_PQ-regex, 'is'))   and        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(.), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~') ))] " priority="1000" mode="M407">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/   cda:entryRelationship/cda:organizer/cda:component/cda:observation/cda:value     [(@xsi:type = ('ST', 'SC')                or      normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')          or    (@representation='TXT' and @mediaType='text/plain'))             or    ((@integrityCheckAlgorithm or @xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and @mediaType = 'text/plain') ]         [normalize-space(.) != ''][not(. castable as xs:double or (      (matches(., $number-regex, 'is') or matches(., $PQ-low-regex, 'is') or matches(., $PQ-high-regex, 'is') or matches(., $IVL_PQ-regex, 'is'))   and        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(.), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~') ))] " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Imaging Examination Result Value
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Imaging Examination Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Imaging Examination Result Value
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Imaging Examination Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Imaging Examination Result Value
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Imaging Examination Result Value
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Imaging Examination Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Imaging Examination Result Value
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M407" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M407" />
  <xsl:template match="@*|node()" priority="-2" mode="M407">
    <xsl:apply-templates select="@*|*" mode="M407" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-Observation-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/   cda:entryRelationship/cda:organizer/cda:component/cda:observation/cda:value[@unit and not(cda:low or cda:high)] " priority="1000" mode="M408">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/   cda:entryRelationship/cda:organizer/cda:component/cda:observation/cda:value[@unit and not(cda:low or cda:high)] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="narr-text-el" select="(for $text in ($target-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="a-quantity-range" select="local-name(.) = 'low' or local-name(.) = 'high' " />
    <xsl:variable name="normalised-value" select="if (@value) then replace(lower-case(@value), '\s+', '') else '' " />
    <xsl:variable name="normalised-value-regex" select="if (not(contains($normalised-value, '.'))) then concat('(', $normalised-value, '|', $normalised-value, '\.0*)')        else if (ends-with($normalised-value, '0')) then replace(replace($normalised-value, '\.', '\\.'), '0+$', '0*')        else concat(replace($normalised-value, '\.', '\\.'), '0*') " />
    <xsl:variable name="value-regex" select="if ($normalised-value = '') then ''         else concat('(^|[^0-9])', $normalised-value-regex, '([^0-9]*$|\s+.*$)') " />
    <xsl:variable name="tables" select="$target-narr-node//cda:table " />
    <xsl:variable name="table-num" select="count($tables) " />
    <xsl:variable name="value-regex-3" select="if ($normalised-value = '' or not(exists($tables))) then ''         else concat('(^|[^0-9])', $normalised-value-regex, '([^0-9]+$|\s+.+$)') " />
    <xsl:variable name="table-value-match" select="if ($normalised-value = '' or not(exists($tables))) then () else for $i in (1 to $table-num) return         if (not($tables[$i]//cda:td[matches(., $value-regex, 'is')])) then '0'        else if ($tables[$i]//cda:td[matches(., $value-regex-3, 'is')]) then '3'        else if ($tables[$i]//cda:td[replace(lower-case(.), '\s+', '') = $normalised-value]) then '2'        else '1' " />
    <xsl:variable name="unit-1" select="dh:XQueryRecursiveReplace(@unit, $ucum-annotation-replacement, '')" />
    <xsl:variable name="unit-2" select="if ($a-quantity-range) then dh:XQueryRecursiveReplace(../@unit, $ucum-annotation-replacement, '') else '' " />
    <xsl:variable name="unit" select="if (not($a-quantity-range) or $unit-2 = '') then $unit-1        else if ($unit-1 = '1' and $unit-2 != '1') then $unit-2         else $unit-1 " />
    <xsl:variable name="normalised-unit" select="replace(lower-case($unit), '\s+', '') " />
    <xsl:variable name="unit-validation" select="if ($unit = '1' or exists($UCUM/unit[@value = $normalised-unit])) then '' else dh:ValidateUCUM($unit) " />
    <xsl:variable name="unit-name" select="if (exists($UCUM/unit[@value = $normalised-unit])) then $UCUM/unit[@value = $normalised-unit]/@name else ''  " />
    <xsl:variable name="power-synonym" select="if (contains($normalised-unit, '10^')) then replace($normalised-unit, '10\^', '10*')        else if (contains($normalised-unit, '10*')) then replace($normalised-unit, '10\*', '10^')        else '' " />
    <xsl:variable name="special-unit-synonym" select="if (contains($normalised-unit, '['))         then (normalize-space(replace($normalised-unit, '[\[\]]', ' ')), normalize-space(replace($normalised-unit, '[\[\]]', ''))) else '' " />
    <xsl:variable name="apostrophe-synonym" select="for $syn in $special-unit-synonym return if (contains($syn, '''')) then normalize-space(replace($syn, '''', ' ')) else '' " />
    <xsl:variable name="unit-synonyms" select="if (exists($UCUM/unit[@value = $normalised-unit]))         then ($normalised-unit, $power-synonym, $special-unit-synonym, $apostrophe-synonym, $UCUM/unit[@value = $normalised-unit]/@name,          tokenize($UCUM/unit[@value = $normalised-unit]/@synonyms, '\|'))[. != '']        else ($normalised-unit, $power-synonym, $special-unit-synonym, $apostrophe-synonym)[. != ''] " />
    <xsl:variable name="search-terms-1" select="if ($normalised-value = '') then () else (for $synonym in $unit-synonyms return normalize-space(lower-case($synonym)))[. != ''] " />
    <xsl:variable name="search-terms-2" select="if ($normalised-value = '') then () else for $term in $search-terms-1 return         if ($term = '1') then $normalised-value else concat($normalised-value, $term) " />
    <xsl:variable name="search-regex-1" select="if ($normalised-value = '') then () else for $term in $search-terms-1 return          replace(replace(replace(replace(replace(replace(replace(replace(replace(replace($term, '\^', '\\^'), '\*', '\\*'), '\.', '\\.'), '\+', '\\+'),          '\)', '\\)'), '\(', '\\('), '\[', '\\['), '\]', '\\]'), '\{', '\\{'), '\}', '\\}') " />
    <xsl:variable name="search-regex-2" select="if ($normalised-value = '') then () else for $term in $search-regex-1 return         if (matches($term, '^10')) then concat('(', '(^|[^0-9])(', $normalised-value-regex, 'x{0,1}', $term, '|', 'x{0,1}', $term, ')([^0-9a-z]|$)',          ')|(', '(^|[^0-9])(', $normalised-value-regex, $term, '|', $term, ')([^0-9a-z]|$)', ')')         else if ($term = '1') then concat('(^|[^0-9])', $normalised-value-regex, '([^0-9]{1}.*$|$)')        else concat('(^|[^0-9])(', $normalised-value-regex, $term, '|', $term, ')([^0-9a-z]|$)') " />
    <xsl:variable name="quantity-match" select="if (not(exists($table-value-match)) or not(exists($table-value-match[. != '0']))) then (false())        else if ($unit = '1' and not($a-quantity-range)) then for $i in (1 to $table-num) return          ($table-value-match[$i] = '2' or boolean($tables[$i]//cda:td[matches(., $search-regex-2[1], 'is')]))        else if ($unit = '1' and $a-quantity-range) then for $i in (1 to $table-num) return not($table-value-match[$i] = '0')        else for $i in (1 to $table-num) return          if ($table-value-match[$i] = '0') then false()         else if ($table-value-match[$i] = '2') then           exists(index-of(for $term in $search-terms-1 return boolean($tables[$i]//cda:td[replace(lower-case(.), '\s+', '') = $term]), true()))         else exists(index-of(          for $j in (1 to count($search-terms-1)) return boolean($tables[$i]//cda:td[           replace(lower-case(.), '\s+', '') = $search-terms-1[$j]  or           replace(lower-case(.), '\s+', '') = $search-terms-2[$j]  or           matches(., $search-regex-2[$j], 'is')    ]), true())) " />
    <xsl:variable name="in-a-table" select="if ($normalised-value = '') then false() else exists(index-of($quantity-match, true())) " />
    <xsl:variable name="xpre-1" select="if ($normalised-value = '' or $in-a-table) then () else $target-narr-node//*[contains(@styleCode, 'xPre')] " />
    <xsl:variable name="xpre-num" select="count($xpre-1) " />
    <xsl:variable name="xpre-2" select="for $i in (1 to $xpre-num) return lower-case($xpre-1[$i]) " />
    <xsl:variable name="xpre-value-match" select="for $i in (1 to $xpre-num) return matches($xpre-2[$i], $value-regex, 'is') " />
    <xsl:variable name="xpre-quantity-match" select="if ($unit = '1') then ($xpre-value-match) else for $i in (1 to $xpre-num) return         $xpre-value-match[$i] and exists(index-of(for $term in $search-regex-2 return matches($xpre-2[$i], $term, 'is'), true())) " />
    <xsl:variable name="in-xpre" select="exists(index-of($xpre-quantity-match, true())) " />
    <xsl:variable name="narrative" select="if ($normalised-value = '' or $in-a-table or $in-xpre) then ''         else normalize-space(lower-case(string-join($target-narr-node//text()         [not(ancestor::cda:table or ancestor::cda:caption or contains(@styleCode, 'xPre'))], ''))) " />
    <xsl:variable name="narr-value-match" select="if ($normalised-value = '' or $in-a-table or $in-xpre) then true() else matches($narrative, $value-regex, 'is') " />
    <xsl:variable name="narr-quantity-match" select="if ($normalised-value = '' or $in-a-table or $in-xpre) then true()        else $narr-value-match and exists(index-of(for $term in $search-regex-2 return matches($narrative, $term, 'is'), true())) " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="quantity-text-1" select="if ($unit = '1') then concat('value ''', @value, '''') else concat('value ''', @value, ''' and unit ''', $unit, '''') " />
    <xsl:variable name="quantity-text" select="if ($unit-name = '') then $quantity-text-1 else concat($quantity-text-1, ' (the unit for ', $unit-name, ')') " />
    <xsl:variable name="inclusive-text" select="if ($a-quantity-range and @inclusive = 'true') then ' (the boundary is included)'        else if ($a-quantity-range and @inclusive = 'false') then ' (the boundary is not included)'        else '' " />
    <xsl:variable name="multimedia" select="exists($target-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$table-num = 0 and $xpre-num = 0 and not(exists($narr-text-el)) and not($multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-narr-node//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-6" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-6 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and @value and $table-num &gt; 0 and not($in-a-table or $in-xpre or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and @value and $table-num &gt; 0 and not($in-a-table or $in-xpre or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-PQ): The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text />.
		Is the quantity on the boundary of a quantity range? <xsl:text /><xsl:value-of select="$a-quantity-range" /><xsl:text /><xsl:text /><xsl:value-of select="$inclusive-text" /><xsl:text />.
		When transformed the quantity value is '<xsl:text /><xsl:value-of select="$normalised-value" /><xsl:text />'.
		The narrative contains <xsl:text /><xsl:value-of select="$table-num" /><xsl:text /><xsl:text /><xsl:value-of select="if ($table-num = 1) then ' table' else ' tables' " /><xsl:text />.
		The value regular expression value-regex is '<xsl:text /><xsl:value-of select="$value-regex" /><xsl:text />'.
		The value regular expression value-regex-3 is '<xsl:text /><xsl:value-of select="$value-regex-3" /><xsl:text />'.
		Elements of table-value-match are '<xsl:text /><xsl:value-of select="string-join($table-value-match, '|')" /><xsl:text />'.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($unit-synonyms, '|')" /><xsl:text />'.
		Elements of search-terms-1 are '<xsl:text /><xsl:value-of select="string-join($search-terms-1, '|')" /><xsl:text />'.
		Elements of search-terms-2 are '<xsl:text /><xsl:value-of select="string-join($search-terms-2, '|')" /><xsl:text />'.
		Elements of search-regex-1 are '<xsl:text /><xsl:value-of select="string-join($search-regex-1, '|')" /><xsl:text />'.
		Elements of search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($search-regex-2, '|')" /><xsl:text />'.
		Elements of quantity-match are '<xsl:text /><xsl:value-of select="string-join(for $i in (1 to count($quantity-match)) return if ($quantity-match[$i]) then '1' else '0', '|')" /><xsl:text />'.
		Was the quantity found by looking in table rows? <xsl:text /><xsl:value-of select="$in-a-table" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and @value and $xpre-num &gt; 0 and not($in-a-table or $in-xpre or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and @value and $xpre-num &gt; 0 and not($in-a-table or $in-xpre or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-PQ): The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text />.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($unit-synonyms, '|')" /><xsl:text />'.
		The narrative contains <xsl:text /><xsl:value-of select="$xpre-num" /><xsl:text /> elements with the xPre styleCode.
		The value regular expression value-regex is '<xsl:text /><xsl:value-of select="$value-regex" /><xsl:text />'.
		Elements of xpre-value-match are '<xsl:text /><xsl:value-of select="string-join(for $x in $xpre-value-match return if ($x) then '1' else '0', '|')" /><xsl:text />'.
		Elements of search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($search-regex-2, '|')" /><xsl:text />'.
		Elements of xpre-quantity-match are '<xsl:text /><xsl:value-of select="string-join(for $x in $xpre-quantity-match return if ($x) then '1' else '0', '|')" /><xsl:text />'.
		Was the quantity found by looking in elements with the xPre styleCode? <xsl:text /><xsl:value-of select="$in-xpre" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and @value and not($in-a-table or $narr-quantity-match or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and @value and not($in-a-table or $narr-quantity-match or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-PQ): The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text />.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($unit-synonyms, '|')" /><xsl:text />'.
		The value regular expression value-regex is '<xsl:text /><xsl:value-of select="$value-regex" /><xsl:text />'.
		Was the value found in the narrative? <xsl:text /><xsl:value-of select="$narr-value-match" /><xsl:text />.
		Elements of search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($search-regex-2, '|')" /><xsl:text />'.
		Was the quantity found in the narrative? <xsl:text /><xsl:value-of select="$narr-quantity-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @value and not($narr-quantity-match or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value and not($narr-quantity-match or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-6" /><xsl:text />: TC-Narr-09 step 6: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text /> however the quantity does not seem to be
		present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Imaging Examination Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and @value and not($narr-value-match or $narr-quantity-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and @value and not($narr-value-match or $narr-quantity-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-6" /><xsl:text />: TC-Narr-09 step 6: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text /> however the quantity is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and @value and not($narr-value-match or $narr-quantity-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and @value and not($narr-value-match or $narr-quantity-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-6" /><xsl:text />: TC-Narr-09 step 6: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text /> however the quantity is not present in the narrative of the section.
		The Imaging Examination Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'QS', 'TRC', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'QS', 'TRC', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M408" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M408" />
  <xsl:template match="@*|node()" priority="-2" mode="M408">
    <xsl:apply-templates select="@*|*" mode="M408" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-Observation-5-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/   cda:entryRelationship/cda:organizer/cda:component/cda:observation/cda:value/cda:numerator[@unit] " priority="1000" mode="M409">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/   cda:entryRelationship/cda:organizer/cda:component/cda:observation/cda:value/cda:numerator[@unit] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="narr-text-el" select="(for $text in ($target-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="a-quantity-range" select="local-name(.) = 'low' or local-name(.) = 'high' " />
    <xsl:variable name="normalised-value" select="if (@value) then replace(lower-case(@value), '\s+', '') else '' " />
    <xsl:variable name="normalised-value-regex" select="if (not(contains($normalised-value, '.'))) then concat('(', $normalised-value, '|', $normalised-value, '\.0*)')        else if (ends-with($normalised-value, '0')) then replace(replace($normalised-value, '\.', '\\.'), '0+$', '0*')        else concat(replace($normalised-value, '\.', '\\.'), '0*') " />
    <xsl:variable name="value-regex" select="if ($normalised-value = '') then ''         else concat('(^|[^0-9])', $normalised-value-regex, '([^0-9]*$|\s+.*$)') " />
    <xsl:variable name="tables" select="$target-narr-node//cda:table " />
    <xsl:variable name="table-num" select="count($tables) " />
    <xsl:variable name="value-regex-3" select="if ($normalised-value = '' or not(exists($tables))) then ''         else concat('(^|[^0-9])', $normalised-value-regex, '([^0-9]+$|\s+.+$)') " />
    <xsl:variable name="table-value-match" select="if ($normalised-value = '' or not(exists($tables))) then () else for $i in (1 to $table-num) return         if (not($tables[$i]//cda:td[matches(., $value-regex, 'is')])) then '0'        else if ($tables[$i]//cda:td[matches(., $value-regex-3, 'is')]) then '3'        else if ($tables[$i]//cda:td[replace(lower-case(.), '\s+', '') = $normalised-value]) then '2'        else '1' " />
    <xsl:variable name="unit-1" select="dh:XQueryRecursiveReplace(@unit, $ucum-annotation-replacement, '')" />
    <xsl:variable name="unit-2" select="if ($a-quantity-range) then dh:XQueryRecursiveReplace(../@unit, $ucum-annotation-replacement, '') else '' " />
    <xsl:variable name="unit" select="if (not($a-quantity-range) or $unit-2 = '') then $unit-1        else if ($unit-1 = '1' and $unit-2 != '1') then $unit-2         else $unit-1 " />
    <xsl:variable name="normalised-unit" select="replace(lower-case($unit), '\s+', '') " />
    <xsl:variable name="unit-validation" select="if ($unit = '1' or exists($UCUM/unit[@value = $normalised-unit])) then '' else dh:ValidateUCUM($unit) " />
    <xsl:variable name="unit-name" select="if (exists($UCUM/unit[@value = $normalised-unit])) then $UCUM/unit[@value = $normalised-unit]/@name else ''  " />
    <xsl:variable name="power-synonym" select="if (contains($normalised-unit, '10^')) then replace($normalised-unit, '10\^', '10*')        else if (contains($normalised-unit, '10*')) then replace($normalised-unit, '10\*', '10^')        else '' " />
    <xsl:variable name="special-unit-synonym" select="if (contains($normalised-unit, '['))         then (normalize-space(replace($normalised-unit, '[\[\]]', ' ')), normalize-space(replace($normalised-unit, '[\[\]]', ''))) else '' " />
    <xsl:variable name="apostrophe-synonym" select="for $syn in $special-unit-synonym return if (contains($syn, '''')) then normalize-space(replace($syn, '''', ' ')) else '' " />
    <xsl:variable name="unit-synonyms" select="if (exists($UCUM/unit[@value = $normalised-unit]))         then ($normalised-unit, $power-synonym, $special-unit-synonym, $apostrophe-synonym, $UCUM/unit[@value = $normalised-unit]/@name,          tokenize($UCUM/unit[@value = $normalised-unit]/@synonyms, '\|'))[. != '']        else ($normalised-unit, $power-synonym, $special-unit-synonym, $apostrophe-synonym)[. != ''] " />
    <xsl:variable name="search-terms-1" select="if ($normalised-value = '') then () else (for $synonym in $unit-synonyms return normalize-space(lower-case($synonym)))[. != ''] " />
    <xsl:variable name="search-terms-2" select="if ($normalised-value = '') then () else for $term in $search-terms-1 return         if ($term = '1') then $normalised-value else concat($normalised-value, $term) " />
    <xsl:variable name="search-regex-1" select="if ($normalised-value = '') then () else for $term in $search-terms-1 return          replace(replace(replace(replace(replace(replace(replace(replace(replace(replace($term, '\^', '\\^'), '\*', '\\*'), '\.', '\\.'), '\+', '\\+'),          '\)', '\\)'), '\(', '\\('), '\[', '\\['), '\]', '\\]'), '\{', '\\{'), '\}', '\\}') " />
    <xsl:variable name="search-regex-2" select="if ($normalised-value = '') then () else for $term in $search-regex-1 return         if (matches($term, '^10')) then concat('(', '(^|[^0-9])(', $normalised-value-regex, 'x{0,1}', $term, '|', 'x{0,1}', $term, ')([^0-9a-z]|$)',          ')|(', '(^|[^0-9])(', $normalised-value-regex, $term, '|', $term, ')([^0-9a-z]|$)', ')')         else if ($term = '1') then concat('(^|[^0-9])', $normalised-value-regex, '([^0-9]{1}.*$|$)')        else concat('(^|[^0-9])(', $normalised-value-regex, $term, '|', $term, ')([^0-9a-z]|$)') " />
    <xsl:variable name="quantity-match" select="if (not(exists($table-value-match)) or not(exists($table-value-match[. != '0']))) then (false())        else if ($unit = '1' and not($a-quantity-range)) then for $i in (1 to $table-num) return          ($table-value-match[$i] = '2' or boolean($tables[$i]//cda:td[matches(., $search-regex-2[1], 'is')]))        else if ($unit = '1' and $a-quantity-range) then for $i in (1 to $table-num) return not($table-value-match[$i] = '0')        else for $i in (1 to $table-num) return          if ($table-value-match[$i] = '0') then false()         else if ($table-value-match[$i] = '2') then           exists(index-of(for $term in $search-terms-1 return boolean($tables[$i]//cda:td[replace(lower-case(.), '\s+', '') = $term]), true()))         else exists(index-of(          for $j in (1 to count($search-terms-1)) return boolean($tables[$i]//cda:td[           replace(lower-case(.), '\s+', '') = $search-terms-1[$j]  or           replace(lower-case(.), '\s+', '') = $search-terms-2[$j]  or           matches(., $search-regex-2[$j], 'is')    ]), true())) " />
    <xsl:variable name="in-a-table" select="if ($normalised-value = '') then false() else exists(index-of($quantity-match, true())) " />
    <xsl:variable name="xpre-1" select="if ($normalised-value = '' or $in-a-table) then () else $target-narr-node//*[contains(@styleCode, 'xPre')] " />
    <xsl:variable name="xpre-num" select="count($xpre-1) " />
    <xsl:variable name="xpre-2" select="for $i in (1 to $xpre-num) return lower-case($xpre-1[$i]) " />
    <xsl:variable name="xpre-value-match" select="for $i in (1 to $xpre-num) return matches($xpre-2[$i], $value-regex, 'is') " />
    <xsl:variable name="xpre-quantity-match" select="if ($unit = '1') then ($xpre-value-match) else for $i in (1 to $xpre-num) return         $xpre-value-match[$i] and exists(index-of(for $term in $search-regex-2 return matches($xpre-2[$i], $term, 'is'), true())) " />
    <xsl:variable name="in-xpre" select="exists(index-of($xpre-quantity-match, true())) " />
    <xsl:variable name="narrative" select="if ($normalised-value = '' or $in-a-table or $in-xpre) then ''         else normalize-space(lower-case(string-join($target-narr-node//text()         [not(ancestor::cda:table or ancestor::cda:caption or contains(@styleCode, 'xPre'))], ''))) " />
    <xsl:variable name="narr-value-match" select="if ($normalised-value = '' or $in-a-table or $in-xpre) then true() else matches($narrative, $value-regex, 'is') " />
    <xsl:variable name="narr-quantity-match" select="if ($normalised-value = '' or $in-a-table or $in-xpre) then true()        else $narr-value-match and exists(index-of(for $term in $search-regex-2 return matches($narrative, $term, 'is'), true())) " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="quantity-text-1" select="if ($unit = '1') then concat('value ''', @value, '''') else concat('value ''', @value, ''' and unit ''', $unit, '''') " />
    <xsl:variable name="quantity-text" select="if ($unit-name = '') then $quantity-text-1 else concat($quantity-text-1, ' (the unit for ', $unit-name, ')') " />
    <xsl:variable name="inclusive-text" select="if ($a-quantity-range and @inclusive = 'true') then ' (the boundary is included)'        else if ($a-quantity-range and @inclusive = 'false') then ' (the boundary is not included)'        else '' " />
    <xsl:variable name="multimedia" select="exists($target-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$table-num = 0 and $xpre-num = 0 and not(exists($narr-text-el)) and not($multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-narr-node//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-6" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-6 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and @value and $table-num &gt; 0 and not($in-a-table or $in-xpre or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and @value and $table-num &gt; 0 and not($in-a-table or $in-xpre or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-PQ): The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text />.
		Is the quantity on the boundary of a quantity range? <xsl:text /><xsl:value-of select="$a-quantity-range" /><xsl:text /><xsl:text /><xsl:value-of select="$inclusive-text" /><xsl:text />.
		When transformed the quantity value is '<xsl:text /><xsl:value-of select="$normalised-value" /><xsl:text />'.
		The narrative contains <xsl:text /><xsl:value-of select="$table-num" /><xsl:text /><xsl:text /><xsl:value-of select="if ($table-num = 1) then ' table' else ' tables' " /><xsl:text />.
		The value regular expression value-regex is '<xsl:text /><xsl:value-of select="$value-regex" /><xsl:text />'.
		The value regular expression value-regex-3 is '<xsl:text /><xsl:value-of select="$value-regex-3" /><xsl:text />'.
		Elements of table-value-match are '<xsl:text /><xsl:value-of select="string-join($table-value-match, '|')" /><xsl:text />'.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($unit-synonyms, '|')" /><xsl:text />'.
		Elements of search-terms-1 are '<xsl:text /><xsl:value-of select="string-join($search-terms-1, '|')" /><xsl:text />'.
		Elements of search-terms-2 are '<xsl:text /><xsl:value-of select="string-join($search-terms-2, '|')" /><xsl:text />'.
		Elements of search-regex-1 are '<xsl:text /><xsl:value-of select="string-join($search-regex-1, '|')" /><xsl:text />'.
		Elements of search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($search-regex-2, '|')" /><xsl:text />'.
		Elements of quantity-match are '<xsl:text /><xsl:value-of select="string-join(for $i in (1 to count($quantity-match)) return if ($quantity-match[$i]) then '1' else '0', '|')" /><xsl:text />'.
		Was the quantity found by looking in table rows? <xsl:text /><xsl:value-of select="$in-a-table" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and @value and $xpre-num &gt; 0 and not($in-a-table or $in-xpre or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and @value and $xpre-num &gt; 0 and not($in-a-table or $in-xpre or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-PQ): The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text />.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($unit-synonyms, '|')" /><xsl:text />'.
		The narrative contains <xsl:text /><xsl:value-of select="$xpre-num" /><xsl:text /> elements with the xPre styleCode.
		The value regular expression value-regex is '<xsl:text /><xsl:value-of select="$value-regex" /><xsl:text />'.
		Elements of xpre-value-match are '<xsl:text /><xsl:value-of select="string-join(for $x in $xpre-value-match return if ($x) then '1' else '0', '|')" /><xsl:text />'.
		Elements of search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($search-regex-2, '|')" /><xsl:text />'.
		Elements of xpre-quantity-match are '<xsl:text /><xsl:value-of select="string-join(for $x in $xpre-quantity-match return if ($x) then '1' else '0', '|')" /><xsl:text />'.
		Was the quantity found by looking in elements with the xPre styleCode? <xsl:text /><xsl:value-of select="$in-xpre" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and @value and not($in-a-table or $narr-quantity-match or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and @value and not($in-a-table or $narr-quantity-match or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-PQ): The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text />.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($unit-synonyms, '|')" /><xsl:text />'.
		The value regular expression value-regex is '<xsl:text /><xsl:value-of select="$value-regex" /><xsl:text />'.
		Was the value found in the narrative? <xsl:text /><xsl:value-of select="$narr-value-match" /><xsl:text />.
		Elements of search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($search-regex-2, '|')" /><xsl:text />'.
		Was the quantity found in the narrative? <xsl:text /><xsl:value-of select="$narr-quantity-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @value and not($narr-quantity-match or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value and not($narr-quantity-match or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-6" /><xsl:text />: TC-Narr-09 step 6: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text /> however the quantity does not seem to be
		present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Imaging Examination Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and @value and not($narr-value-match or $narr-quantity-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and @value and not($narr-value-match or $narr-quantity-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-6" /><xsl:text />: TC-Narr-09 step 6: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text /> however the quantity is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and @value and not($narr-value-match or $narr-quantity-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and @value and not($narr-value-match or $narr-quantity-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-6" /><xsl:text />: TC-Narr-09 step 6: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text /> however the quantity is not present in the narrative of the section.
		The Imaging Examination Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'QS', 'TRC', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'QS', 'TRC', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M409" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M409" />
  <xsl:template match="@*|node()" priority="-2" mode="M409">
    <xsl:apply-templates select="@*|*" mode="M409" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-Observation-6-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/   cda:entryRelationship/cda:organizer/cda:component/cda:observation/cda:value/cda:denominator[@unit] " priority="1000" mode="M410">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/   cda:entryRelationship/cda:organizer/cda:component/cda:observation/cda:value/cda:denominator[@unit] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="narr-text-el" select="(for $text in ($target-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="a-quantity-range" select="local-name(.) = 'low' or local-name(.) = 'high' " />
    <xsl:variable name="normalised-value" select="if (@value) then replace(lower-case(@value), '\s+', '') else '' " />
    <xsl:variable name="normalised-value-regex" select="if (not(contains($normalised-value, '.'))) then concat('(', $normalised-value, '|', $normalised-value, '\.0*)')        else if (ends-with($normalised-value, '0')) then replace(replace($normalised-value, '\.', '\\.'), '0+$', '0*')        else concat(replace($normalised-value, '\.', '\\.'), '0*') " />
    <xsl:variable name="value-regex" select="if ($normalised-value = '') then ''         else concat('(^|[^0-9])', $normalised-value-regex, '([^0-9]*$|\s+.*$)') " />
    <xsl:variable name="tables" select="$target-narr-node//cda:table " />
    <xsl:variable name="table-num" select="count($tables) " />
    <xsl:variable name="value-regex-3" select="if ($normalised-value = '' or not(exists($tables))) then ''         else concat('(^|[^0-9])', $normalised-value-regex, '([^0-9]+$|\s+.+$)') " />
    <xsl:variable name="table-value-match" select="if ($normalised-value = '' or not(exists($tables))) then () else for $i in (1 to $table-num) return         if (not($tables[$i]//cda:td[matches(., $value-regex, 'is')])) then '0'        else if ($tables[$i]//cda:td[matches(., $value-regex-3, 'is')]) then '3'        else if ($tables[$i]//cda:td[replace(lower-case(.), '\s+', '') = $normalised-value]) then '2'        else '1' " />
    <xsl:variable name="unit-1" select="dh:XQueryRecursiveReplace(@unit, $ucum-annotation-replacement, '')" />
    <xsl:variable name="unit-2" select="if ($a-quantity-range) then dh:XQueryRecursiveReplace(../@unit, $ucum-annotation-replacement, '') else '' " />
    <xsl:variable name="unit" select="if (not($a-quantity-range) or $unit-2 = '') then $unit-1        else if ($unit-1 = '1' and $unit-2 != '1') then $unit-2         else $unit-1 " />
    <xsl:variable name="normalised-unit" select="replace(lower-case($unit), '\s+', '') " />
    <xsl:variable name="unit-validation" select="if ($unit = '1' or exists($UCUM/unit[@value = $normalised-unit])) then '' else dh:ValidateUCUM($unit) " />
    <xsl:variable name="unit-name" select="if (exists($UCUM/unit[@value = $normalised-unit])) then $UCUM/unit[@value = $normalised-unit]/@name else ''  " />
    <xsl:variable name="power-synonym" select="if (contains($normalised-unit, '10^')) then replace($normalised-unit, '10\^', '10*')        else if (contains($normalised-unit, '10*')) then replace($normalised-unit, '10\*', '10^')        else '' " />
    <xsl:variable name="special-unit-synonym" select="if (contains($normalised-unit, '['))         then (normalize-space(replace($normalised-unit, '[\[\]]', ' ')), normalize-space(replace($normalised-unit, '[\[\]]', ''))) else '' " />
    <xsl:variable name="apostrophe-synonym" select="for $syn in $special-unit-synonym return if (contains($syn, '''')) then normalize-space(replace($syn, '''', ' ')) else '' " />
    <xsl:variable name="unit-synonyms" select="if (exists($UCUM/unit[@value = $normalised-unit]))         then ($normalised-unit, $power-synonym, $special-unit-synonym, $apostrophe-synonym, $UCUM/unit[@value = $normalised-unit]/@name,          tokenize($UCUM/unit[@value = $normalised-unit]/@synonyms, '\|'))[. != '']        else ($normalised-unit, $power-synonym, $special-unit-synonym, $apostrophe-synonym)[. != ''] " />
    <xsl:variable name="search-terms-1" select="if ($normalised-value = '') then () else (for $synonym in $unit-synonyms return normalize-space(lower-case($synonym)))[. != ''] " />
    <xsl:variable name="search-terms-2" select="if ($normalised-value = '') then () else for $term in $search-terms-1 return         if ($term = '1') then $normalised-value else concat($normalised-value, $term) " />
    <xsl:variable name="search-regex-1" select="if ($normalised-value = '') then () else for $term in $search-terms-1 return          replace(replace(replace(replace(replace(replace(replace(replace(replace(replace($term, '\^', '\\^'), '\*', '\\*'), '\.', '\\.'), '\+', '\\+'),          '\)', '\\)'), '\(', '\\('), '\[', '\\['), '\]', '\\]'), '\{', '\\{'), '\}', '\\}') " />
    <xsl:variable name="search-regex-2" select="if ($normalised-value = '') then () else for $term in $search-regex-1 return         if (matches($term, '^10')) then concat('(', '(^|[^0-9])(', $normalised-value-regex, 'x{0,1}', $term, '|', 'x{0,1}', $term, ')([^0-9a-z]|$)',          ')|(', '(^|[^0-9])(', $normalised-value-regex, $term, '|', $term, ')([^0-9a-z]|$)', ')')         else if ($term = '1') then concat('(^|[^0-9])', $normalised-value-regex, '([^0-9]{1}.*$|$)')        else concat('(^|[^0-9])(', $normalised-value-regex, $term, '|', $term, ')([^0-9a-z]|$)') " />
    <xsl:variable name="quantity-match" select="if (not(exists($table-value-match)) or not(exists($table-value-match[. != '0']))) then (false())        else if ($unit = '1' and not($a-quantity-range)) then for $i in (1 to $table-num) return          ($table-value-match[$i] = '2' or boolean($tables[$i]//cda:td[matches(., $search-regex-2[1], 'is')]))        else if ($unit = '1' and $a-quantity-range) then for $i in (1 to $table-num) return not($table-value-match[$i] = '0')        else for $i in (1 to $table-num) return          if ($table-value-match[$i] = '0') then false()         else if ($table-value-match[$i] = '2') then           exists(index-of(for $term in $search-terms-1 return boolean($tables[$i]//cda:td[replace(lower-case(.), '\s+', '') = $term]), true()))         else exists(index-of(          for $j in (1 to count($search-terms-1)) return boolean($tables[$i]//cda:td[           replace(lower-case(.), '\s+', '') = $search-terms-1[$j]  or           replace(lower-case(.), '\s+', '') = $search-terms-2[$j]  or           matches(., $search-regex-2[$j], 'is')    ]), true())) " />
    <xsl:variable name="in-a-table" select="if ($normalised-value = '') then false() else exists(index-of($quantity-match, true())) " />
    <xsl:variable name="xpre-1" select="if ($normalised-value = '' or $in-a-table) then () else $target-narr-node//*[contains(@styleCode, 'xPre')] " />
    <xsl:variable name="xpre-num" select="count($xpre-1) " />
    <xsl:variable name="xpre-2" select="for $i in (1 to $xpre-num) return lower-case($xpre-1[$i]) " />
    <xsl:variable name="xpre-value-match" select="for $i in (1 to $xpre-num) return matches($xpre-2[$i], $value-regex, 'is') " />
    <xsl:variable name="xpre-quantity-match" select="if ($unit = '1') then ($xpre-value-match) else for $i in (1 to $xpre-num) return         $xpre-value-match[$i] and exists(index-of(for $term in $search-regex-2 return matches($xpre-2[$i], $term, 'is'), true())) " />
    <xsl:variable name="in-xpre" select="exists(index-of($xpre-quantity-match, true())) " />
    <xsl:variable name="narrative" select="if ($normalised-value = '' or $in-a-table or $in-xpre) then ''         else normalize-space(lower-case(string-join($target-narr-node//text()         [not(ancestor::cda:table or ancestor::cda:caption or contains(@styleCode, 'xPre'))], ''))) " />
    <xsl:variable name="narr-value-match" select="if ($normalised-value = '' or $in-a-table or $in-xpre) then true() else matches($narrative, $value-regex, 'is') " />
    <xsl:variable name="narr-quantity-match" select="if ($normalised-value = '' or $in-a-table or $in-xpre) then true()        else $narr-value-match and exists(index-of(for $term in $search-regex-2 return matches($narrative, $term, 'is'), true())) " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="quantity-text-1" select="if ($unit = '1') then concat('value ''', @value, '''') else concat('value ''', @value, ''' and unit ''', $unit, '''') " />
    <xsl:variable name="quantity-text" select="if ($unit-name = '') then $quantity-text-1 else concat($quantity-text-1, ' (the unit for ', $unit-name, ')') " />
    <xsl:variable name="inclusive-text" select="if ($a-quantity-range and @inclusive = 'true') then ' (the boundary is included)'        else if ($a-quantity-range and @inclusive = 'false') then ' (the boundary is not included)'        else '' " />
    <xsl:variable name="multimedia" select="exists($target-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$table-num = 0 and $xpre-num = 0 and not(exists($narr-text-el)) and not($multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-narr-node//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-6" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-6 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and @value and $table-num &gt; 0 and not($in-a-table or $in-xpre or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and @value and $table-num &gt; 0 and not($in-a-table or $in-xpre or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-PQ): The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text />.
		Is the quantity on the boundary of a quantity range? <xsl:text /><xsl:value-of select="$a-quantity-range" /><xsl:text /><xsl:text /><xsl:value-of select="$inclusive-text" /><xsl:text />.
		When transformed the quantity value is '<xsl:text /><xsl:value-of select="$normalised-value" /><xsl:text />'.
		The narrative contains <xsl:text /><xsl:value-of select="$table-num" /><xsl:text /><xsl:text /><xsl:value-of select="if ($table-num = 1) then ' table' else ' tables' " /><xsl:text />.
		The value regular expression value-regex is '<xsl:text /><xsl:value-of select="$value-regex" /><xsl:text />'.
		The value regular expression value-regex-3 is '<xsl:text /><xsl:value-of select="$value-regex-3" /><xsl:text />'.
		Elements of table-value-match are '<xsl:text /><xsl:value-of select="string-join($table-value-match, '|')" /><xsl:text />'.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($unit-synonyms, '|')" /><xsl:text />'.
		Elements of search-terms-1 are '<xsl:text /><xsl:value-of select="string-join($search-terms-1, '|')" /><xsl:text />'.
		Elements of search-terms-2 are '<xsl:text /><xsl:value-of select="string-join($search-terms-2, '|')" /><xsl:text />'.
		Elements of search-regex-1 are '<xsl:text /><xsl:value-of select="string-join($search-regex-1, '|')" /><xsl:text />'.
		Elements of search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($search-regex-2, '|')" /><xsl:text />'.
		Elements of quantity-match are '<xsl:text /><xsl:value-of select="string-join(for $i in (1 to count($quantity-match)) return if ($quantity-match[$i]) then '1' else '0', '|')" /><xsl:text />'.
		Was the quantity found by looking in table rows? <xsl:text /><xsl:value-of select="$in-a-table" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and @value and $xpre-num &gt; 0 and not($in-a-table or $in-xpre or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and @value and $xpre-num &gt; 0 and not($in-a-table or $in-xpre or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-PQ): The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text />.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($unit-synonyms, '|')" /><xsl:text />'.
		The narrative contains <xsl:text /><xsl:value-of select="$xpre-num" /><xsl:text /> elements with the xPre styleCode.
		The value regular expression value-regex is '<xsl:text /><xsl:value-of select="$value-regex" /><xsl:text />'.
		Elements of xpre-value-match are '<xsl:text /><xsl:value-of select="string-join(for $x in $xpre-value-match return if ($x) then '1' else '0', '|')" /><xsl:text />'.
		Elements of search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($search-regex-2, '|')" /><xsl:text />'.
		Elements of xpre-quantity-match are '<xsl:text /><xsl:value-of select="string-join(for $x in $xpre-quantity-match return if ($x) then '1' else '0', '|')" /><xsl:text />'.
		Was the quantity found by looking in elements with the xPre styleCode? <xsl:text /><xsl:value-of select="$in-xpre" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and @value and not($in-a-table or $narr-quantity-match or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and @value and not($in-a-table or $narr-quantity-match or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-PQ): The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text />.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($unit-synonyms, '|')" /><xsl:text />'.
		The value regular expression value-regex is '<xsl:text /><xsl:value-of select="$value-regex" /><xsl:text />'.
		Was the value found in the narrative? <xsl:text /><xsl:value-of select="$narr-value-match" /><xsl:text />.
		Elements of search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($search-regex-2, '|')" /><xsl:text />'.
		Was the quantity found in the narrative? <xsl:text /><xsl:value-of select="$narr-quantity-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @value and not($narr-quantity-match or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value and not($narr-quantity-match or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-6" /><xsl:text />: TC-Narr-09 step 6: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text /> however the quantity does not seem to be
		present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Imaging Examination Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and @value and not($narr-value-match or $narr-quantity-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and @value and not($narr-value-match or $narr-quantity-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-6" /><xsl:text />: TC-Narr-09 step 6: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text /> however the quantity is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and @value and not($narr-value-match or $narr-quantity-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and @value and not($narr-value-match or $narr-quantity-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-6" /><xsl:text />: TC-Narr-09 step 6: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text /> however the quantity is not present in the narrative of the section.
		The Imaging Examination Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'QS', 'TRC', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'QS', 'TRC', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M410" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M410" />
  <xsl:template match="@*|node()" priority="-2" mode="M410">
    <xsl:apply-templates select="@*|*" mode="M410" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-Observation-7-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/   cda:entryRelationship/cda:organizer/cda:component/cda:observation/cda:value[cda:low[@unit] or cda:high[@unit] or     @xsi:type = 'IVL_PQ' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_PQ'] " priority="1000" mode="M411">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/   cda:entryRelationship/cda:organizer/cda:component/cda:observation/cda:value[cda:low[@unit] or cda:high[@unit] or     @xsi:type = 'IVL_PQ' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_PQ'] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="narr-text-el" select="(for $text in ($target-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="tables" select="$target-narr-node//cda:table " />
    <xsl:variable name="table-num" select="count($tables) " />
    <xsl:variable name="ivl-unit" select="dh:XQueryRecursiveReplace(@unit, $ucum-annotation-replacement, '') " />
    <xsl:variable name="xpre-1" select="$target-narr-node//*[contains(@styleCode, 'xPre')] " />
    <xsl:variable name="xpre-num" select="count($xpre-1) " />
    <xsl:variable name="xpre-2" select="for $i in (1 to $xpre-num) return lower-case($xpre-1[$i]) " />
    <xsl:variable name="narrative" select="normalize-space(lower-case(string-join($target-narr-node//text()        [not(ancestor::cda:table or ancestor::cda:caption or contains(@styleCode, 'xPre'))], ''))) " />
    <xsl:variable name="l-normalised-value" select="if (cda:low/@value) then replace(lower-case(cda:low/@value), '\s+', '') else '' " />
    <xsl:variable name="l-normalised-value-regex" select="if (not(contains($l-normalised-value, '.'))) then concat('(', $l-normalised-value, '|', $l-normalised-value, '\.0*)')        else if (ends-with($l-normalised-value, '0')) then replace(replace($l-normalised-value, '\.', '\\.'), '0+$', '0*')        else concat(replace($l-normalised-value, '\.', '\\.'), '0*') " />
    <xsl:variable name="l-value-regex" select="if ($l-normalised-value = '') then '' else concat('(^|[^\.0-9])', $l-normalised-value-regex, '([^\.0-9]|$)') " />
    <xsl:variable name="l-value-regex-3" select="if ($l-normalised-value = '' or not(exists($tables))) then ''         else concat('(^|[^0-9])', $l-normalised-value-regex, '([^0-9]+$|\s+.+$)') " />
    <xsl:variable name="l-table-value-match" select="if ($l-normalised-value = '' or not(exists($tables))) then () else for $i in (1 to $table-num) return         if (not($tables[$i]//cda:td[matches(., $l-value-regex, 'is')])) then '0'        else if ($tables[$i]//cda:td[matches(., $l-value-regex-3, 'is')]) then '3'        else if ($tables[$i]//cda:td[replace(lower-case(.), '\s+', '') = $l-normalised-value]) then '2'        else '1' " />
    <xsl:variable name="l-unit-1" select="if (not(cda:low)) then '' else dh:XQueryRecursiveReplace(cda:low/@unit, $ucum-annotation-replacement, '') " />
    <xsl:variable name="l-unit" select="if ($l-unit-1 = '1' and $ivl-unit != '1') then $ivl-unit else $l-unit-1 " />
    <xsl:variable name="l-normalised-unit" select="if (not(cda:low)) then '' else replace(lower-case($l-unit), '\s+', '') " />
    <xsl:variable name="l-unit-validation" select="if ($l-unit = '1' or exists($UCUM/unit[@value = $l-normalised-unit])) then '' else dh:ValidateUCUM($l-unit) " />
    <xsl:variable name="l-unit-name" select="if (exists($UCUM/unit[@value = $l-normalised-unit])) then $UCUM/unit[@value = $l-normalised-unit]/@name else ''  " />
    <xsl:variable name="l-power-synonym" select="if (contains($l-normalised-unit, '10^')) then replace($l-normalised-unit, '10\^', '10*')        else if (contains($l-normalised-unit, '10*')) then replace($l-normalised-unit, '10\*', '10^')        else '' " />
    <xsl:variable name="l-special-unit-synonym" select="if (contains($l-normalised-unit, '['))         then (normalize-space(replace($l-normalised-unit, '[\[\]]', ' ')), normalize-space(replace($l-normalised-unit, '[\[\]]', ''))) else '' " />
    <xsl:variable name="l-apostrophe-synonym" select="for $syn in $l-special-unit-synonym return if (contains($syn, '''')) then normalize-space(replace($syn, '''', ' ')) else '' " />
    <xsl:variable name="l-unit-synonyms" select="if (not(cda:low)) then () else if (exists($UCUM/unit[@value = $l-normalised-unit]))         then ($l-normalised-unit, $l-unit-name, $l-power-synonym, $l-special-unit-synonym, $l-apostrophe-synonym,         tokenize($UCUM/unit[@value = $l-normalised-unit]/@synonyms, '\|'))[. != '']        else ($l-normalised-unit, $l-unit-name, $l-power-synonym, $l-special-unit-synonym, $l-apostrophe-synonym)[. != ''] " />
    <xsl:variable name="l-search-terms-1" select="if ($l-normalised-value = '') then () else (for $synonym in $l-unit-synonyms return normalize-space(lower-case($synonym)))[. != ''] " />
    <xsl:variable name="l-search-terms-2" select="if ($l-normalised-value = '') then () else for $term in $l-search-terms-1 return         if ($term = '1') then $l-normalised-value else concat($l-normalised-value, $term) " />
    <xsl:variable name="l-search-regex-1" select="if ($l-normalised-value = '') then () else for $term in $l-search-terms-1 return          replace(replace(replace(replace(replace(replace(replace(replace(replace(replace($term, '\^', '\\^'), '\*', '\\*'), '\.', '\\.'), '\+', '\\+'),          '\)', '\\)'), '\(', '\\('), '\[', '\\['), '\]', '\\]'), '\{', '\\{'), '\}', '\\}') " />
    <xsl:variable name="l-search-regex-2" select="if ($l-normalised-value = '') then () else for $term in $l-search-regex-1 return         if (matches($term, '^10')) then concat('(', '(^|[^0-9])(', $l-normalised-value-regex, 'x{0,1}', $term, '|', 'x{0,1}', $term, ')([^0-9a-z]|$)',          ')|(', '(^|[^0-9])(', $l-normalised-value-regex, $term, '|', $term, ')([^0-9a-z]|$)', ')')         else if ($term = '1') then concat('(^|[^0-9])', $l-normalised-value-regex, '([^0-9]{1}.*$|$)')        else concat('(^|[^0-9])(', $l-normalised-value-regex, $term, '|', $term, ')([^0-9a-z]|$)') " />
    <xsl:variable name="l-quantity-match" select="if (not(exists($l-table-value-match)) or not(exists($l-table-value-match[. != '0']))) then (false())        else if ($l-unit = '1') then for $i in (1 to $table-num) return not($l-table-value-match[$i] = '0')        else for $i in (1 to $table-num) return          if ($l-table-value-match[$i] = '0') then false()         else if ($l-table-value-match[$i] = '2') then           exists(index-of(for $term in $l-search-terms-1 return boolean($tables[$i]//cda:td[replace(lower-case(.), '\s+', '') = $term]),            true()))         else exists(index-of(          for $j in (1 to count($l-search-terms-1)) return boolean($tables[$i]//cda:td[           replace(lower-case(.), '\s+', '') = $l-search-terms-1[$j]   or           replace(lower-case(.), '\s+', '') = $l-search-terms-2[$j]  or           matches(., $l-search-regex-2[$j], 'is')     ]), true())) " />
    <xsl:variable name="l-in-a-table" select="if ($l-normalised-value = '') then false() else exists(index-of($l-quantity-match, true())) " />
    <xsl:variable name="l-xpre-value-match" select="if ($l-normalised-value = '' or $l-in-a-table) then () else for $i in (1 to $xpre-num) return matches($xpre-2[$i], $l-value-regex, 'is') " />
    <xsl:variable name="l-xpre-quantity-match" select="if (not(cda:low)) then () else if ($l-unit = '1') then ($l-xpre-value-match) else for $i in (1 to $xpre-num) return         $l-xpre-value-match[$i] and exists(index-of(for $term in $l-search-regex-2 return matches($xpre-2[$i], $term, 'is'), true())) " />
    <xsl:variable name="l-in-xpre" select="if (not(cda:low)) then false() else exists(index-of($l-xpre-quantity-match, true())) " />
    <xsl:variable name="l-narr-value-match" select="if ($l-normalised-value = '' or $l-in-a-table or $l-in-xpre) then true() else matches($narrative, $l-value-regex, 'is') " />
    <xsl:variable name="l-narr-quantity-match" select="if ($l-normalised-value = '' or $l-in-a-table or $l-in-xpre) then true()        else $l-narr-value-match and exists(index-of(for $term in $l-search-regex-2 return matches($narrative, $term, 'is'), true())) " />
    <xsl:variable name="l-nullFlavor-values" select="if (cda:low/@nullFlavor and cda:low/@nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))        then $nullFlavors/nullFlavor[@value = current()/cda:low/@nullFlavor] else () " />
    <xsl:variable name="l-null-to-find" select="exists($l-nullFlavor-values) " />
    <xsl:variable name="l-null-in-narr" select="($l-nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $l-nullFlavor-values/@name-regex, 'is')])) or              ($l-nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $l-nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="h-normalised-value" select="if (cda:low/@value and not($l-narr-quantity-match)) then ''        else if (cda:low/@nullFlavor and not($l-null-in-narr)) then ''        else if (cda:high/@value) then replace(lower-case(cda:high/@value), '\s+', '')         else '' " />
    <xsl:variable name="h-normalised-value-regex" select="if (not(contains($h-normalised-value, '.'))) then concat('(', $h-normalised-value, '|', $h-normalised-value, '\.0*)')        else if (ends-with($h-normalised-value, '0')) then replace(replace($h-normalised-value, '\.', '\\.'), '0+$', '0*')        else concat(replace($h-normalised-value, '\.', '\\.'), '0*') " />
    <xsl:variable name="h-value-regex" select="if ($h-normalised-value = '') then '' else concat('(^|[^\.0-9])', $h-normalised-value-regex, '([^\.0-9]|$)') " />
    <xsl:variable name="h-unit-1" select="if (not(cda:high)) then '' else dh:XQueryRecursiveReplace(cda:high/@unit, $ucum-annotation-replacement, '') " />
    <xsl:variable name="h-unit" select="if ($h-unit-1 = '1' and $ivl-unit != '1') then $ivl-unit else $h-unit-1 " />
    <xsl:variable name="h-normalised-unit" select="if (not(cda:high)) then '' else replace(lower-case($h-unit), '\s+', '') " />
    <xsl:variable name="h-unit-validation" select="if ($h-unit = '1' or exists($UCUM/unit[@value = $h-normalised-unit])) then '' else dh:ValidateUCUM($h-unit) " />
    <xsl:variable name="h-unit-name" select="if (exists($UCUM/unit[@value = $h-normalised-unit])) then $UCUM/unit[@value = $h-normalised-unit]/@name else ''  " />
    <xsl:variable name="h-search-tables" select="exists($tables) and not($h-normalised-value = '') and ((cda:low/@value and $l-in-a-table) or not(cda:low/@value)) " />
    <xsl:variable name="h-tables" select="if (not($h-search-tables)) then ()        else if (cda:low/@value and $l-in-a-table) then for $i in (1 to count($l-quantity-match)) return if ($l-quantity-match[$i]) then '1' else '0'        else for $i in (1 to $table-num) return '1' " />
    <xsl:variable name="h-value-regex-3" select="if ($h-normalised-value = '' or not(exists($tables))) then ''         else concat('(^|[^0-9])', $h-normalised-value-regex, '([^0-9]+$|\s+.+$)') " />
    <xsl:variable name="h-table-value-match" select="if (not($h-search-tables)) then () else for $i in (1 to $table-num) return         if ($h-tables[$i] = '0') then '4'        else if (not($tables[$i]//cda:td[matches(., $h-value-regex, 'is')])) then '0'        else if ($tables[$i]//cda:td[matches(., $h-value-regex-3, 'is')]) then '3'        else if ($tables[$i]//cda:td[replace(lower-case(.), '\s+', '') = $h-normalised-value]) then '2'        else '1' " />
    <xsl:variable name="h-power-synonym" select="if (contains($h-normalised-unit, '10^')) then replace($h-normalised-unit, '10\^', '10*')        else if (contains($h-normalised-unit, '10*')) then replace($h-normalised-unit, '10\*', '10^')        else '' " />
    <xsl:variable name="h-special-unit-synonym" select="if (contains($h-normalised-unit, '['))         then (normalize-space(replace($h-normalised-unit, '[\[\]]', ' ')), normalize-space(replace($h-normalised-unit, '[\[\]]', ''))) else '' " />
    <xsl:variable name="h-apostrophe-synonym" select="for $syn in $h-special-unit-synonym return if (contains($syn, '''')) then normalize-space(replace($syn, '''', ' ')) else '' " />
    <xsl:variable name="h-unit-synonyms" select="if (not(cda:high)) then () else if (exists($UCUM/unit[@value = $h-normalised-unit]))         then ($h-normalised-unit, $h-unit-name, $h-power-synonym, $h-special-unit-synonym, $h-apostrophe-synonym,           tokenize($UCUM/unit[@value = $h-normalised-unit]/@synonyms, '\|'))[. != '']        else ($h-normalised-unit, $h-unit-name, $h-power-synonym, $h-special-unit-synonym, $h-apostrophe-synonym)[. != ''] " />
    <xsl:variable name="h-search-terms-1" select="if (not($h-search-tables)) then () else (for $synonym in $h-unit-synonyms return normalize-space(lower-case($synonym)))[. != ''] " />
    <xsl:variable name="h-search-terms-2" select="if (not($h-search-tables)) then () else for $term in $h-search-terms-1 return         if ($term = '1') then $h-normalised-value else concat($h-normalised-value, $term) " />
    <xsl:variable name="h-search-regex-1" select="if (not($h-search-tables)) then () else for $term in $h-search-terms-1 return          replace(replace(replace(replace(replace(replace(replace(replace(replace(replace($term, '\^', '\\^'), '\*', '\\*'), '\.', '\\.'), '\+', '\\+'),          '\)', '\\)'), '\(', '\\('), '\[', '\\['), '\]', '\\]'), '\{', '\\{'), '\}', '\\}') " />
    <xsl:variable name="h-search-regex-2" select="if ($h-normalised-value = '') then () else for $term in $h-search-regex-1 return         if (matches($term, '^10')) then concat('(', '(^|[^0-9])(', $h-normalised-value-regex, 'x{0,1}', $term, '|', 'x{0,1}', $term, ')([^0-9a-z]|$)',          ')|(', '(^|[^0-9])(', $h-normalised-value-regex, $term, '|', $term, ')([^0-9a-z]|$)', ')')         else if ($term = '1') then concat('(^|[^0-9])', $h-normalised-value-regex, '([^0-9]{1}.*$|$)')        else concat('(^|[^0-9])(', $h-normalised-value-regex, $term, '|', $term, ')([^0-9a-z]|$)') " />
    <xsl:variable name="h-quantity-match" select="if (not(exists($h-table-value-match)) or not(exists($h-table-value-match[. != '0']))) then (false())        else if ($h-unit = '1') then for $i in (1 to $table-num) return not($h-table-value-match[$i] = '0')        else for $i in (1 to $table-num) return          if ($h-table-value-match[$i] = '0' or $h-table-value-match[$i] = '4') then false()         else if ($h-table-value-match[$i] = '2') then           exists(index-of(for $term in $h-search-terms-1 return boolean($tables[$i]//cda:td[replace(lower-case(.), '\s+', '') = $term]),            true()))         else exists(index-of(          for $j in (1 to count($h-search-terms-1)) return boolean($tables[$i]//cda:td[           replace(lower-case(.), '\s+', '') = $h-search-terms-1[$j]   or           replace(lower-case(.), '\s+', '') = $h-search-terms-2[$j]  or           matches(., $h-search-regex-2[$j], 'is')     ]), true())) " />
    <xsl:variable name="h-in-a-table" select="if ($h-normalised-value = '') then false() else exists(index-of($h-quantity-match, true())) " />
    <xsl:variable name="h-search-xPre" select="$xpre-num &gt; 0 and not($h-normalised-value = '') and ((cda:low/@value and $l-in-xpre) or not(cda:low/@value)) " />
    <xsl:variable name="h-xPre-elements" select="if (not($h-search-xPre)) then ()        else if (cda:low/@value and $l-in-xpre) then for $i in (1 to $xpre-num) return if ($l-xpre-quantity-match[$i]) then '1' else '0'        else for $i in (1 to $xpre-num) return '1' " />
    <xsl:variable name="h-xpre-value-match" select="if (not($h-search-xPre)) then () else for $i in (1 to $xpre-num) return $h-xPre-elements[$i] = '1' and matches($xpre-2[$i], $h-value-regex, 'is') " />
    <xsl:variable name="h-xpre-quantity-match" select="if (not(cda:high)) then () else if ($h-unit = '1') then ($h-xpre-value-match) else for $i in (1 to $xpre-num) return         $h-xpre-value-match[$i] and exists(index-of(for $term in $h-search-regex-2 return matches($xpre-2[$i], $term, 'is'), true())) " />
    <xsl:variable name="h-in-xpre" select="if (not(cda:high)) then false() else exists(index-of($h-xpre-quantity-match, true())) " />
    <xsl:variable name="h-narr-value-match" select="if ($h-normalised-value = '' or $h-in-a-table or $h-in-xpre) then true() else matches($narrative, $h-value-regex, 'is') " />
    <xsl:variable name="h-narr-quantity-match" select="if ($h-normalised-value = '' or $h-in-a-table or $h-in-xpre) then true()        else $h-narr-value-match and exists(index-of(for $term in $h-search-regex-2 return matches($narrative, $term, 'is'), true())) " />
    <xsl:variable name="ivl-narr-quantity-match" select="if (cda:low/@value and cda:high/@value) then $l-narr-quantity-match and $h-narr-quantity-match        else if (cda:low/@value and not(cda:high/@value)) then $l-narr-quantity-match        else if (not(cda:low/@value) and cda:high/@value) then $l-narr-quantity-match        else false() " />
    <xsl:variable name="h-nullFlavor-values" select="if (cda:high/@nullFlavor and cda:high/@nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))        then $nullFlavors/nullFlavor[@value = current()/cda:high/@nullFlavor] else () " />
    <xsl:variable name="h-null-to-find" select="exists($h-nullFlavor-values) " />
    <xsl:variable name="h-null-in-narr" select="($h-nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $h-nullFlavor-values/@name-regex, 'is')])) or              ($h-nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $h-nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="ivl-nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="ivl-null-to-find" select="exists($ivl-nullFlavor-values) " />
    <xsl:variable name="ivl-null-in-narr" select="($ivl-nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $ivl-nullFlavor-values/@name-regex, 'is')])) or              ($ivl-nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $ivl-nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="l-quantity-text-1" select="if (not(cda:low)) then '' else if ($l-unit = '1') then concat('value ''', cda:low/@value, '''') else concat('value ''', cda:low/@value,         ''' and unit ''', $l-unit, '''') " />
    <xsl:variable name="l-quantity-text" select="if ($l-unit-name = '') then $l-quantity-text-1 else concat($l-quantity-text-1, ' (the unit for ', $l-unit-name, ')') " />
    <xsl:variable name="l-inclusive-text" select="if (not(cda:low)) then ''         else if (cda:low/@inclusive = 'true') then ' (the boundary is included)'        else if (cda:low/@inclusive = 'false') then ' (the boundary is not included)'        else '' " />
    <xsl:variable name="h-quantity-text-1" select="if (not(cda:high)) then '' else if ($h-unit = '1') then concat('value ''', cda:high/@value, '''') else concat('value ''', cda:high/@value,         ''' and unit ''', $h-unit, '''') " />
    <xsl:variable name="h-quantity-text" select="if ($h-unit-name = '') then $h-quantity-text-1 else concat($h-quantity-text-1, ' (the unit for ', $h-unit-name, ')') " />
    <xsl:variable name="h-inclusive-text" select="if (not(cda:high)) then ''         else if (cda:high/@inclusive = 'true') then ' (the boundary is included)'        else if (cda:high/@inclusive = 'false') then ' (the boundary is not included)'        else '' " />
    <xsl:variable name="multimedia" select="exists($target-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$table-num = 0 and $xpre-num = 0 and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-narr-node//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-6" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-6 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and cda:low/@value and $table-num &gt; 0 and not($l-in-a-table or $l-in-xpre or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and cda:low/@value and $table-num &gt; 0 and not($l-in-a-table or $l-in-xpre or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-IVL-PQ): The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a low boundary with the <xsl:text /><xsl:value-of select="$l-quantity-text" /><xsl:text />.
		<xsl:text /><xsl:value-of select="$l-inclusive-text" /><xsl:text />.
		When transformed the quantity value is '<xsl:text /><xsl:value-of select="$l-normalised-value" /><xsl:text />'.
		The narrative contains <xsl:text /><xsl:value-of select="$table-num" /><xsl:text /><xsl:text /><xsl:value-of select="if ($table-num = 1) then ' table' else ' tables' " /><xsl:text />.
		The value regular expression l-value-regex is '<xsl:text /><xsl:value-of select="$l-value-regex" /><xsl:text />'.
		The value regular expression l-value-regex-3 is '<xsl:text /><xsl:value-of select="$l-value-regex-3" /><xsl:text />'.
		Elements of l-table-value-match are '<xsl:text /><xsl:value-of select="string-join($l-table-value-match, '|')" /><xsl:text />'.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($l-unit-synonyms, '|')" /><xsl:text />'.
		Elements of l-search-terms-1 are '<xsl:text /><xsl:value-of select="string-join($l-search-terms-1, '|')" /><xsl:text />'.
		Elements of l-search-terms-2 are '<xsl:text /><xsl:value-of select="string-join($l-search-terms-2, '|')" /><xsl:text />'.
		Elements of l-search-regex-1 are '<xsl:text /><xsl:value-of select="string-join($l-search-regex-1, '|')" /><xsl:text />'.
		Elements of l-search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($l-search-regex-2, '|')" /><xsl:text />'.
		Elements of l-quantity-match are '<xsl:text /><xsl:value-of select="string-join(for $i in (1 to count($l-quantity-match)) return if ($l-quantity-match[$i]) then '1' else '0', '|')" /><xsl:text />'.
		Was the quantity found by looking in table rows? <xsl:text /><xsl:value-of select="$l-in-a-table" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and cda:low/@value and $xpre-num &gt; 0 and not($l-in-a-table or $l-in-xpre or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and cda:low/@value and $xpre-num &gt; 0 and not($l-in-a-table or $l-in-xpre or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-IVL-PQ): The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a low boundary with the <xsl:text /><xsl:value-of select="$l-quantity-text" /><xsl:text />.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($l-unit-synonyms, '|')" /><xsl:text />'.
		The narrative contains <xsl:text /><xsl:value-of select="$xpre-num" /><xsl:text /> elements with the xPre styleCode.
		The value regular expression l-value-regex is '<xsl:text /><xsl:value-of select="$l-value-regex" /><xsl:text />'.
		Elements of l-xpre-value-match are '<xsl:text /><xsl:value-of select="string-join(for $x in $l-xpre-value-match return if ($x) then '1' else '0', '|')" /><xsl:text />'.
		Elements of l-search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($l-search-regex-2, '|')" /><xsl:text />'.
		Elements of l-xpre-quantity-match are '<xsl:text /><xsl:value-of select="string-join(for $x in $l-xpre-quantity-match return if ($x) then '1' else '0', '|')" /><xsl:text />'.
		Was the quantity found by looking in elements with the xPre styleCode? <xsl:text /><xsl:value-of select="$l-in-xpre" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and cda:low/@value and not($l-in-a-table or $l-narr-quantity-match or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and cda:low/@value and not($l-in-a-table or $l-narr-quantity-match or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-IVL-PQ): The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a low boundary with the <xsl:text /><xsl:value-of select="$l-quantity-text" /><xsl:text />.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($l-unit-synonyms, '|')" /><xsl:text />'.
		The value regular expression l-value-regex is '<xsl:text /><xsl:value-of select="$l-value-regex" /><xsl:text />'.
		Was the value found in the narrative? <xsl:text /><xsl:value-of select="$l-narr-value-match" /><xsl:text />.
		Elements of l-search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($l-search-regex-2, '|')" /><xsl:text />'.
		Was the quantity found in the narrative? <xsl:text /><xsl:value-of select="$l-narr-quantity-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and ((cda:low/@value and $l-narr-quantity-match) or not(cda:low/@value))   and cda:high/@value and $table-num &gt; 0 and not($h-in-a-table or $h-in-xpre or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and ((cda:low/@value and $l-narr-quantity-match) or not(cda:low/@value)) and cda:high/@value and $table-num &gt; 0 and not($h-in-a-table or $h-in-xpre or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-IVL-PQ): The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a high boundary with the <xsl:text /><xsl:value-of select="$h-quantity-text" /><xsl:text />.
		<xsl:text /><xsl:value-of select="$h-inclusive-text" /><xsl:text />.
		When transformed the quantity value is '<xsl:text /><xsl:value-of select="$h-normalised-value" /><xsl:text />'.
		The narrative contains <xsl:text /><xsl:value-of select="$table-num" /><xsl:text /><xsl:text /><xsl:value-of select="if ($table-num = 1) then ' table' else ' tables' " /><xsl:text />.
		Elements of h-tables are'<xsl:text /><xsl:value-of select="string-join($h-tables, '|')" /><xsl:text />'.
		The value regular expression h-value-regex is '<xsl:text /><xsl:value-of select="$h-value-regex" /><xsl:text />'.
		The value regular expression h-value-regex-3 is '<xsl:text /><xsl:value-of select="$h-value-regex-3" /><xsl:text />'.
		Elements of h-table-value-match are '<xsl:text /><xsl:value-of select="string-join($h-table-value-match, '|')" /><xsl:text />'.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($h-unit-synonyms, '|')" /><xsl:text />'.
		Elements of h-search-terms-1 are '<xsl:text /><xsl:value-of select="string-join($h-search-terms-1, '|')" /><xsl:text />'.
		Elements of h-search-terms-2 are '<xsl:text /><xsl:value-of select="string-join($h-search-terms-2, '|')" /><xsl:text />'.
		Elements of h-search-regex-1 are '<xsl:text /><xsl:value-of select="string-join($h-search-regex-1, '|')" /><xsl:text />'.
		Elements of h-search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($h-search-regex-2, '|')" /><xsl:text />'.
		Elements of h-quantity-match are '<xsl:text /><xsl:value-of select="string-join(for $i in (1 to count($h-quantity-match)) return if ($h-quantity-match[$i]) then '1' else '0', '|')" /><xsl:text />'.
		Was the quantity found by looking in table rows? <xsl:text /><xsl:value-of select="$h-in-a-table" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and ((cda:low/@value and $l-narr-quantity-match) or not(cda:low/@value))   and cda:high/@value and $xpre-num &gt; 0 and not($h-in-a-table or $h-in-xpre or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and ((cda:low/@value and $l-narr-quantity-match) or not(cda:low/@value)) and cda:high/@value and $xpre-num &gt; 0 and not($h-in-a-table or $h-in-xpre or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-IVL-PQ): The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a high boundary with the <xsl:text /><xsl:value-of select="$h-quantity-text" /><xsl:text />.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($h-unit-synonyms, '|')" /><xsl:text />'.
		The narrative contains <xsl:text /><xsl:value-of select="$xpre-num" /><xsl:text /> elements with the xPre styleCode.
		The value regular expression h-value-regex is '<xsl:text /><xsl:value-of select="$h-value-regex" /><xsl:text />'.
		Elements of h-xpre-value-match are '<xsl:text /><xsl:value-of select="string-join(for $x in $h-xpre-value-match return if ($x) then '1' else '0', '|')" /><xsl:text />'.
		Elements of h-search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($h-search-regex-2, '|')" /><xsl:text />'.
		Elements of h-xpre-quantity-match are '<xsl:text /><xsl:value-of select="string-join(for $x in $h-xpre-quantity-match return if ($x) then '1' else '0', '|')" /><xsl:text />'.
		Was the quantity found by looking in elements with the xPre styleCode? <xsl:text /><xsl:value-of select="$h-in-xpre" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and ((cda:low/@value and $l-narr-quantity-match) or not(cda:low/@value))   and cda:high/@value and not($h-in-a-table or $h-narr-quantity-match or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and ((cda:low/@value and $l-narr-quantity-match) or not(cda:low/@value)) and cda:high/@value and not($h-in-a-table or $h-narr-quantity-match or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-IVL-PQ): The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a high boundary with the value <xsl:text /><xsl:value-of select="$h-quantity-text" /><xsl:text />.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($h-unit-synonyms, '|')" /><xsl:text />'.
		The value regular expression h-value-regex is '<xsl:text /><xsl:value-of select="$h-value-regex" /><xsl:text />'.
		Was the value found in the narrative? <xsl:text /><xsl:value-of select="$h-narr-value-match" /><xsl:text />.
		Elements of h-search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($h-search-regex-2, '|')" /><xsl:text />'.
		Was the quantity found in the narrative? <xsl:text /><xsl:value-of select="$h-narr-quantity-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" (cda:low/@value or cda:high/@value) and not($ivl-narr-quantity-match or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="(cda:low/@value or cda:high/@value) and not($ivl-narr-quantity-match or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-6" /><xsl:text />: TC-Narr-09 step 6: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="if (cda:low/@value) then concat('a low boundary with the ', $l-quantity-text) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (cda:low/@value and cda:high/@value) then ' and ' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (cda:high/@value) then concat('a high boundary with the ', $h-quantity-text) else '' " /><xsl:text />
		however the boundary <xsl:text /><xsl:value-of select="if (cda:low/@value and cda:high/@value) then ' values do ' else ' value does ' " /><xsl:text /> not seem to be
		present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Imaging Examination Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and (cda:low/@value or cda:high/@value) and not($ivl-narr-quantity-match or $ivl-null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and (cda:low/@value or cda:high/@value) and not($ivl-narr-quantity-match or $ivl-null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-6" /><xsl:text />: TC-Narr-09 step 6: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="if (cda:low/@value) then concat('a low boundary with the ', $l-quantity-text) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (cda:low/@value and cda:high/@value) then ' and ' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (cda:high/@value) then concat('a high boundary with the ', $h-quantity-text) else '' " /><xsl:text />
		however the boundary <xsl:text /><xsl:value-of select="if (cda:low/@value and cda:high/@value) then ' values do ' else ' value does ' " /><xsl:text /> are not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and (cda:low/@value or cda:high/@value) and not($ivl-narr-quantity-match or $ivl-null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and (cda:low/@value or cda:high/@value) and not($ivl-narr-quantity-match or $ivl-null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-6" /><xsl:text />: TC-Narr-09 step 6: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="if (cda:low/@value) then concat('a low boundary with the ', $l-quantity-text) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (cda:low/@value and cda:high/@value) then ' and ' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (cda:high/@value) then concat('a high boundary with the ', $h-quantity-text) else '' " /><xsl:text />
		however the boundary <xsl:text /><xsl:value-of select="if (cda:low/@value and cda:high/@value) then ' values do ' else ' value does ' " /><xsl:text /> are not present in the narrative of the section.
		The Imaging Examination Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-null-to-find and not($l-null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-null-to-find and not($l-null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a low boundary with a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="cda:low/@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$l-nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($l-nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-null-to-find and not($h-null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-null-to-find and not($h-null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a high boundary with a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="cda:high/@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$h-nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($h-nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $ivl-null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'QS', 'TRC', 'UNK') and not($ivl-null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$ivl-null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'QS', 'TRC', 'UNK') and not($ivl-null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$ivl-nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($ivl-nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M411" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M411" />
  <xsl:template match="@*|node()" priority="-2" mode="M411">
    <xsl:apply-templates select="@*|*" mode="M411" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-Observation-8-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/   cda:entryRelationship/cda:organizer/cda:component/cda:observation/cda:value[@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS']    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))] " priority="1000" mode="M412">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/   cda:entryRelationship/cda:organizer/cda:component/cda:observation/cda:value[@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS']    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="fir-narrative" select="translate(normalize-space(lower-case(string($fir-narr-node))), $chars-to-remove, '')" />
    <xsl:variable name="sec-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)        then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]        else () " />
    <xsl:variable name="sec-narr-node" select="$sec-section/cda:text " />
    <xsl:variable name="narr-text-el" select="(for $text in ($fir-narr-node//text(), $sec-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="sec-narrative" select="translate(normalize-space(lower-case(string($sec-narr-node))), $chars-to-remove, '') " />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="narrative" select="concat($target-title, $fir-narrative, $sec-narrative)" />
    <xsl:variable name="narr-elements" select="$fir-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ]  |             $sec-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ] " />
    <xsl:variable name="narr-lower-case" select="for $i in (1 to count($narr-elements)) return lower-case(normalize-space(string-join($narr-elements[$i]/text(), '')))  " />
    <xsl:variable name="dt-narr-elements" select="$narr-lower-case[matches(., $regex-date-type-1, 'i') or matches(., $regex-date-type-2, 'i') or matches(., $regex-date-type-3, 'i')] " />
    <xsl:variable name="narr-elements-start" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-before($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-before($dt-narr-elements[$i], ' -'))        else $dt-narr-elements[$i])[. != ''] " />
    <xsl:variable name="narr-elements-end" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-after($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-after($dt-narr-elements[$i], ' -'))        else '')[. != ''] " />
    <xsl:variable name="narr-dateTimes" select="distinct-values(($narr-elements-start , $narr-elements-end))[. != '(ongoing)'] " />
    <xsl:variable name="dt-value" select="if (@value) then @value else '' " />
    <xsl:variable name="no-time-zone" select="if (contains($dt-value, '+')) then substring-before($dt-value, '+')       else if (contains($dt-value, '-')) then substring-before($dt-value, '-')       else $dt-value " />
    <xsl:variable name="dateTime-length" select="string-length($no-time-zone) " />
    <xsl:variable name="year" select="if ($dateTime-length &gt; 3) then substring($no-time-zone,1,4) else '' " />
    <xsl:variable name="month-num" select="if ($dateTime-length &gt; 5) then substring($no-time-zone,5,2) else '' " />
    <xsl:variable name="day" select="if ($dateTime-length &gt; 7 and substring($no-time-zone,7,1) = '0') then substring($no-time-zone,8,1)       else if ($dateTime-length &gt; 7 and substring($no-time-zone,7,1) != '0') then substring($no-time-zone,7,2) else '' " />
    <xsl:variable name="hour-long" select="if ($dateTime-length &gt; 9) then substring($no-time-zone,9,2) else '' " />
    <xsl:variable name="hour-short" select="if (substring($hour-long, 1, 1) = '0') then substring($hour-long, 2, 1) else '' " />
    <xsl:variable name="minute" select="if ($dateTime-length &gt; 11) then substring($no-time-zone,11,2) else '' " />
    <xsl:variable name="second" select="if ($dateTime-length &gt; 13) then substring($no-time-zone,13,2) else '' " />
    <xsl:variable name="time-zone" select="if (contains($dt-value, '+')) then concat('\+', substring-after($dt-value, '+'))       else if (contains($dt-value, '-')) then concat('\-', substring-after($dt-value, '-'))       else '' " />
    <xsl:variable name="month-short" select="if ($month-num = '01') then 'jan'  else             if ($month-num = '02') then 'feb'  else             if ($month-num = '03') then 'mar'  else             if ($month-num = '04') then 'apr'  else             if ($month-num = '05') then 'may'  else             if ($month-num = '06') then 'jun'  else             if ($month-num = '07') then 'jul'  else             if ($month-num = '08') then 'aug'  else             if ($month-num = '09') then 'sep'  else             if ($month-num = '10') then 'oct'  else             if ($month-num = '11') then 'nov'  else             if ($month-num = '12') then 'dec'  else '' " />
    <xsl:variable name="month-long" select="if ($month-num = '01') then 'january'  else             if ($month-num = '02') then 'february'  else             if ($month-num = '03') then 'march'  else             if ($month-num = '04') then 'april'  else             if ($month-num = '05') then 'may'  else             if ($month-num = '06') then 'june'  else             if ($month-num = '07') then 'july'  else             if ($month-num = '08') then 'august'  else             if ($month-num = '09') then 'september'  else             if ($month-num = '10') then 'october'  else             if ($month-num = '11') then 'november'  else             if ($month-num = '12') then 'december'  else '' " />
    <xsl:variable name="date-type-3-day" select="if (string-length($day) = 1) then concat('0{0,1}', $day) else $day " />
    <xsl:variable name="date-type-3-month" select="if (string-length($month-num) = 1) then concat('0{0,1}', $month-num)        else if (substring($month-num, 1, 1) = '0') then concat('0{0,1}', substring($month-num, 2, 1))         else $month-num " />
    <xsl:variable name="dt-sequence-1" select="if ($dateTime-length = 4) then (         concat('^', $dt-value)         ,          concat('^', $year)         )        else if ($dateTime-length = 6) then (         concat('^', $dt-value)         ,         concat('^', $month-short, $date-sep, $year)      ,          concat('^', $month-long, $date-sep, $year)      )        else if ($dateTime-length &gt; 7) then (         concat('^', $dt-value)         ,         concat('^', $date-type-3-day, $date-sep, $month-short, $date-sep, $year)  ,         concat('^', $date-type-3-day, $date-sep, $month-long, $date-sep, $year)   ,         concat('^', $date-type-3-day, '/', $date-type-3-month, '/', $year)   )        else () " />
    <xsl:variable name="matching-seq-1" select="if (exists($dt-sequence-1))        then index-of(for $i in (1 to count($dt-sequence-1)) return exists($narr-dateTimes[matches(., $dt-sequence-1[$i], 'i')]), true())        else () " />
    <xsl:variable name="dt-stem-1" select="for $i in (1 to count($matching-seq-1)) return $dt-sequence-1[$matching-seq-1[$i]] " />
    <xsl:variable name="dt-regex-1" select="if (exists($dt-stem-1)) then concat('(', string-join($dt-stem-1, '$)|('), '$)') else ()" />
    <xsl:variable name="dt-match-1" select="exists($dt-stem-1) and exists($narr-dateTimes[matches(., $dt-regex-1, 'i')])" />
    <xsl:variable name="time-1" select="if ($dateTime-length &gt; 11 and $hour-short != '') then concat($hour-short, ':', $minute, '( *| *am)') else '' " />
    <xsl:variable name="time-2" select="if ($dateTime-length &gt; 13 and $hour-short != '') then concat($hour-short, ':', $minute, ':', $second, '( *| *am)') else '' " />
    <xsl:variable name="time-3" select="if ($dateTime-length &gt; 11 and number($hour-long) &lt; 12) then concat($hour-long, ':', $minute, '( *| *am)')       else if ($dateTime-length &gt; 11) then concat($hour-long, ':', $minute) else '' " />
    <xsl:variable name="time-4" select="if ($dateTime-length &gt; 13 and number($hour-long) &lt; 12) then concat($hour-long, ':', $minute, ':', $second, '( *| *am)')        else if ($dateTime-length &gt; 13) then concat($hour-long, ':', $minute, ':', $second) else '' " />
    <xsl:variable name="time-5" select="if ($dateTime-length &gt; 11 and number($hour-long) &gt; 12) then concat(string(number($hour-long) - 12), ':', $minute, '( *| *pm)') else '' " />
    <xsl:variable name="time-6" select="if ($dateTime-length &gt; 13 and number($hour-long) &gt; 12) then concat(string(number($hour-long) - 12), ':', $minute, ':', $second, '( *| *pm)') else '' " />
    <xsl:variable name="dt-temp-0" select="if (exists($dt-stem-1) and $dateTime-length = 8) then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $narr-time-regex) else () " />
    <xsl:variable name="dt-temp-1" select="if (exists($dt-stem-1) and $time-1 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-1) else () " />
    <xsl:variable name="dt-temp-2" select="if (exists($dt-stem-1) and $time-2 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-2) else () " />
    <xsl:variable name="dt-temp-3" select="if (exists($dt-stem-1) and $time-3 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-3) else () " />
    <xsl:variable name="dt-temp-4" select="if (exists($dt-stem-1) and $time-4 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-4) else () " />
    <xsl:variable name="dt-temp-5" select="if (exists($dt-stem-1) and $time-5 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-5) else () " />
    <xsl:variable name="dt-temp-6" select="if (exists($dt-stem-1) and $time-6 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-6) else () " />
    <xsl:variable name="dt-sequence-2" select="($dt-temp-0, $dt-temp-1, $dt-temp-2, $dt-temp-3, $dt-temp-4, $dt-temp-5, $dt-temp-6)" />
    <xsl:variable name="matching-seq-2" select="if (exists($dt-sequence-2))        then index-of(for $i in (1 to count($dt-sequence-2)) return exists($narr-dateTimes[matches(., $dt-sequence-2[$i], 'i')]), true())        else () " />
    <xsl:variable name="dt-stem-2" select="for $i in (1 to count($matching-seq-2)) return $dt-sequence-2[$matching-seq-2[$i]] " />
    <xsl:variable name="dt-regex-2" select="if (exists($dt-stem-2)) then concat('(', string-join($dt-stem-2, '$)|('), '$)') else '' " />
    <xsl:variable name="dt-match-2" select="(exists($dt-stem-2) and exists($narr-dateTimes[matches(., $dt-regex-2, 'i')])) " />
    <xsl:variable name="dt-sequence-3" select="if (not($dt-match-2) and exists($dt-stem-2) and $time-zone != '') then for $i in (1 to count($dt-stem-2)) return        concat($dt-stem-2[$i], substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2)) else () " />
    <xsl:variable name="dt-regex-3" select="if ($dt-match-2) then '' else if (exists($dt-sequence-3)) then concat('(', string-join($dt-sequence-3, '$)|('), '$)') else '' " />
    <xsl:variable name="dt-match-3" select="($dt-match-2 or (exists($dt-sequence-3) and exists($narr-dateTimes[matches(., $dt-regex-3, 'i')]))) " />
    <xsl:variable name="narr-match" select="if ($dt-value != '' and not(exists($narr-dateTimes))) then      (       contains($narrative, $dt-value)               or       (string-length($dt-value) = 4 and contains($narrative, $year))            or        (string-length($dt-value) = 6 and contains($narrative, concat($month-short, $year)))          or       (string-length($dt-value) &gt; 7 and starts-with($day, '0') and        (contains($narrative, concat(substring($day,2,1), $month-short, $year)) or         contains($narrative, concat(substring($day,2,1), $month-num, $year))))          or       (string-length($dt-value) &gt; 7 and (contains($narrative, concat($day, $month-short, $year)) or contains($narrative, concat($day, $month-num, $year))))        )       else false() " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($fir-narr-node//cda:renderMultiMedia) or exists($sec-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($fir-narr-node//cda:linkHtml) or exists($sec-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="warning-1" select="exists($dt-sequence-1) and exists($narr-dateTimes) and $dt-match-1 and not($dt-match-3) and $dt-value != '' " />
    <xsl:variable name="error-1" select="$warning-1 and not($multimedia) " />
    <xsl:variable name="warning-2" select="exists($dt-sequence-1) and exists($narr-dateTimes) and not($dt-match-1 or $dt-match-3) and $dt-value != '' " />
    <xsl:variable name="error-2a" select="$warning-2 and not($multimedia) and $time-zone != '' and count($narr-dateTimes) =        count(for $dt in $narr-dateTimes return replace(replace($dt, $regex-date-type-1, ''), $regex-date-type-2, '')       [matches(., concat('^\s*([0-9]{1,2}:{1}[0-9]{2}\s*', substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2),         '|[0-9]{1,2}:{1}[0-9]{2}:{1}[0-9]{2}\s*', substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2), ')\s*$'), 'i')]) " />
    <xsl:variable name="error-2b" select="$warning-2 and not($dt-match-1) and not($multimedia) and count($narr-dateTimes[matches(., $regex-date-type-2, 'i')]) =        count($narr-dateTimes[matches(., concat($regex-date-type-2, ' ', $narr-time-regex, '$'), 'i')]) " />
    <xsl:variable name="error-2c" select="$warning-2 and exists($narr-dateTimes[matches(., concat('^', $year, '$'))]) " />
    <xsl:variable name="error-2" select="$error-2a or $error-2b or $error-2c " />
    <xsl:variable name="warning-3" select="$dt-value != '' and not(exists($narr-dateTimes)) and not($narr-match) " />
    <xsl:variable name="error-3" select="$warning-3 and not($multimedia) and not(contains($narrative, substring($year, 3, 2)))" />
    <xsl:variable name="narr-dt-msg" select="if ($multimedia or $no-content) then ''       else if (not(exists($narr-dateTimes))) then concat(' The narrative of the ', iq:location(., ''), ' contains no dateTime elements.')       else if (count($narr-dateTimes) = 1) then concat(' The only dateTime element in the narrative of the ', iq:location(., ''), ' is ''',         dh:XQueryRecursiveReplace($narr-dateTimes[1], '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), '''.')       else concat(' The distinct dateTime elements in the narrative of the ', iq:location(., ''), ' are ''',         string-join(for $dt in $narr-dateTimes return          dh:XQueryRecursiveReplace($dt, '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), ', '), '''.') " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-4" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-4 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and exists($dt-sequence-1) and $dt-value != '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and exists($dt-sequence-1) and $dt-value != ''">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 4: The dateTime element in the structured data is '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'.
		The number of dateTime elements that have been extracted from the narrative is '<xsl:text /><xsl:value-of select="count($narr-dateTimes)" /><xsl:text />'.
		These are '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-dateTimes, ', '), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The initial regular expressions are '<xsl:text /><xsl:value-of select="string-join($dt-sequence-1, ', ')" /><xsl:text />'.
		The items in dt-stem-1 are: '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($dt-stem-1, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The items in dt-sequence-2 are: '<xsl:text /><xsl:value-of select="string-join($dt-sequence-2, '|')" /><xsl:text />'.
		The items in dt-stem-2 are: '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($dt-stem-2, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The three regular expressions used to perform an exact match for narrative dateTime elements are as follows:
		dt-regex-1='<xsl:text /><xsl:value-of select="$dt-regex-1" /><xsl:text />'; dt-regex-2='<xsl:text /><xsl:value-of select="$dt-regex-2" /><xsl:text />'; and dt-regex-3='<xsl:text /><xsl:value-of select="$dt-regex-3" /><xsl:text />'.
		Was a match found after the first regular expression (with just a date) was created? <xsl:text /><xsl:value-of select="$dt-match-1" /><xsl:text />.		
		<xsl:text /><xsl:value-of select="if ($dt-regex-2 = '') then 'The second regular expression was not applied as there is no time information.'    else concat('Was a match found after the second regular expression (with a date and time) was created? ', $dt-match-2, '.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($dt-regex-3 = '') then ' The third regular expression was not applied as there is no timezone information.'    else concat(' Was a match found after the third regular expression (with a date and time) was created? ', $dt-match-3, '.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $warning-1 and not($error-1 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $warning-1 and not($error-1 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Imaging Examination Result Value 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Imaging Examination Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $error-1 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $error-1 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Imaging Examination Result Value 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. The Imaging Examination Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $error-1 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $error-1 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Imaging Examination Result Value 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. The Imaging Examination Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $warning-2 and not($error-2 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$warning-2 and not($error-2 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Imaging Examination Result Value 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Imaging Examination Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-2 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-2 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Imaging Examination Result Value 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="if ($error-2c) then concat('The narrative contains a date with the same year ''', $year, ''' but without a month or day.') else '' " /><xsl:text />
		The Imaging Examination Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.
		<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-2 and not($no-content) and not(true())">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-2 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Imaging Examination Result Value 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="if ($error-2c) then concat('The narrative contains a date with the same year ''', $year, ''' but without a month or day.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $warning-3 and not($error-3 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$warning-3 and not($error-3 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Imaging Examination Result Value 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Imaging Examination Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $dt-value != '' and not($narr-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $dt-value != '' and not($narr-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Imaging Examination Result Value 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $dt-value != '' and not($narr-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $dt-value != '' and not($narr-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Imaging Examination Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-3 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-3 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Imaging Examination Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-3 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-3 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M412" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M412" />
  <xsl:template match="@*|node()" priority="-2" mode="M412">
    <xsl:apply-templates select="@*|*" mode="M412" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-Observation-9-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/   cda:entryRelationship/cda:organizer/cda:component/cda:observation/cda:value[@xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS'  or        (cda:low and not(cda:low/@unit)) or (cda:high and not(cda:high/@unit))]   [not((cda:low/@value and (number(substring(cda:low/@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(cda:low/@value,1,4)) &gt; number($creation-date-yr) + 130)) or     (cda:high/@value and (number(substring(cda:high/@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(cda:high/@value,1,4)) &gt; number($creation-date-yr) + 130)))] " priority="1000" mode="M413">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/   cda:entryRelationship/cda:organizer/cda:component/cda:observation/cda:value[@xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS'  or        (cda:low and not(cda:low/@unit)) or (cda:high and not(cda:high/@unit))]   [not((cda:low/@value and (number(substring(cda:low/@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(cda:low/@value,1,4)) &gt; number($creation-date-yr) + 130)) or     (cda:high/@value and (number(substring(cda:high/@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(cda:high/@value,1,4)) &gt; number($creation-date-yr) + 130)))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="fir-narrative" select="translate(normalize-space(lower-case(string($fir-narr-node))), $chars-to-remove, '')" />
    <xsl:variable name="sec-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)        then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]        else () " />
    <xsl:variable name="sec-narr-node" select="$sec-section/cda:text " />
    <xsl:variable name="narr-text-el" select="(for $text in ($fir-narr-node//text(), $sec-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="sec-narrative" select="translate(normalize-space(lower-case(string($sec-narr-node))), $chars-to-remove, '') " />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="narrative" select="concat($target-title, $fir-narrative, $sec-narrative)" />
    <xsl:variable name="narr-elements" select="$fir-narr-node//cda:*[exists(text()[normalize-space() != '']) and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ]  |             $sec-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ] " />
    <xsl:variable name="narr-lower-case" select="for $i in (1 to count($narr-elements)) return lower-case(normalize-space(string-join($narr-elements[$i]/text(), '')))  " />
    <xsl:variable name="dt-narr-elements" select="$narr-lower-case[matches(., $regex-date-type-1, 'i') or matches(., $regex-date-type-2, 'i') or matches(., $regex-date-type-3, 'i')] " />
    <xsl:variable name="narr-elements-start" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-before($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-before($dt-narr-elements[$i], ' -'))        else $dt-narr-elements[$i])[. != ''] " />
    <xsl:variable name="narr-elements-end" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-after($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-after($dt-narr-elements[$i], ' -'))        else '')[. != ''] " />
    <xsl:variable name="narr-dateTimes" select="distinct-values(($narr-elements-start , $narr-elements-end))[. != '(ongoing)'] " />
    <xsl:variable name="l-dt-value" select="if (@value) then @value        else if (cda:low/@value) then cda:low/@value        else '' " />
    <xsl:variable name="l-no-time-zone" select="if (contains($l-dt-value, '+')) then substring-before($l-dt-value, '+')       else if (contains($l-dt-value, '-')) then substring-before($l-dt-value, '-')       else $l-dt-value " />
    <xsl:variable name="l-length" select="string-length($l-no-time-zone) " />
    <xsl:variable name="l-year" select="if ($l-length &gt; 3) then substring($l-no-time-zone,1,4) else '' " />
    <xsl:variable name="l-month-num" select="if ($l-length &gt; 5) then substring($l-no-time-zone,5,2) else '' " />
    <xsl:variable name="l-day" select="if ($l-length &gt; 7 and substring($l-no-time-zone,7,1) = '0') then substring($l-no-time-zone,8,1)       else if ($l-length &gt; 7 and substring($l-no-time-zone,7,1) != '0') then substring($l-no-time-zone,7,2) else '' " />
    <xsl:variable name="l-hour-long" select="if ($l-length &gt; 9) then substring($l-no-time-zone,9,2) else '' " />
    <xsl:variable name="l-hour-short" select="if (substring($l-hour-long, 1, 1) = '0') then substring($l-hour-long, 2, 1) else '' " />
    <xsl:variable name="l-minute" select="if ($l-length &gt; 11) then substring($l-no-time-zone,11,2) else '' " />
    <xsl:variable name="l-second" select="if ($l-length &gt; 13) then substring($l-no-time-zone,13,2) else '' " />
    <xsl:variable name="l-time-zone" select="if (contains($l-dt-value, '+')) then concat('\+', substring-after($l-dt-value, '+'))       else if (contains($l-dt-value, '-')) then concat('\-', substring-after($l-dt-value, '-'))       else '' " />
    <xsl:variable name="l-month-short" select="if ($l-month-num = '01') then 'jan'   else             if ($l-month-num = '02') then 'feb'   else             if ($l-month-num = '03') then 'mar'   else             if ($l-month-num = '04') then 'apr'   else             if ($l-month-num = '05') then 'may'   else             if ($l-month-num = '06') then 'jun'   else             if ($l-month-num = '07') then 'jul'   else             if ($l-month-num = '08') then 'aug'   else             if ($l-month-num = '09') then 'sep'   else             if ($l-month-num = '10') then 'oct'   else             if ($l-month-num = '11') then 'nov'   else             if ($l-month-num = '12') then 'dec'   else '' " />
    <xsl:variable name="l-month-long" select="if ($l-month-num = '01') then 'january'   else             if ($l-month-num = '02') then 'february'  else             if ($l-month-num = '03') then 'march'   else             if ($l-month-num = '04') then 'april'   else             if ($l-month-num = '05') then 'may'   else             if ($l-month-num = '06') then 'june'   else             if ($l-month-num = '07') then 'july'   else             if ($l-month-num = '08') then 'august'   else             if ($l-month-num = '09') then 'september'  else             if ($l-month-num = '10') then 'october'   else             if ($l-month-num = '11') then 'november'  else             if ($l-month-num = '12') then 'december'  else '' " />
    <xsl:variable name="l-date-type-3-day" select="if (string-length($l-day) = 1) then concat('0{0,1}', $l-day) else $l-day " />
    <xsl:variable name="l-date-type-3-month" select="if (string-length($l-month-num) = 1) then concat('0{0,1}', $l-month-num)        else if (substring($l-month-num, 1, 1) = '0') then concat('0{0,1}', substring($l-month-num, 2, 1))         else $l-month-num " />
    <xsl:variable name="l-dt-sequence-1" select="if ($l-length = 4) then (         concat('^', $l-dt-value)        ,          concat('^', $l-year)         )        else if ($l-length = 6) then (         concat('^', $l-dt-value)        ,         concat('^', $l-month-short, $date-sep, $l-year)      ,          concat('^', $l-month-long, $date-sep, $l-year)      )        else if ($l-length &gt; 7) then (         concat('^', $l-dt-value)        ,         concat('^', $l-date-type-3-day, $date-sep, $l-month-short, $date-sep, $l-year)  ,         concat('^', $l-date-type-3-day, $date-sep, $l-month-long, $date-sep, $l-year)  ,         concat('^', $l-date-type-3-day, '/', $l-date-type-3-month, '/', $l-year)  )        else () " />
    <xsl:variable name="l-matching-seq-1" select="if (exists($l-dt-sequence-1))        then index-of(for $i in (1 to count($l-dt-sequence-1)) return exists($narr-dateTimes[matches(., $l-dt-sequence-1[$i], 'i')]), true())        else () " />
    <xsl:variable name="l-dt-stem-1" select="for $i in (1 to count($l-matching-seq-1)) return $l-dt-sequence-1[$l-matching-seq-1[$i]] " />
    <xsl:variable name="l-dt-regex-1" select="if (exists($l-dt-stem-1)) then concat('(', string-join($l-dt-stem-1, '$)|('), '$)') else ()" />
    <xsl:variable name="l-dt-match-1" select="exists($l-dt-stem-1) and exists($narr-dateTimes[matches(., $l-dt-regex-1, 'i')])" />
    <xsl:variable name="l-time-1" select="if ($l-length &gt; 11 and $l-hour-short != '') then concat($l-hour-short, ':', $l-minute, '( *| *am)') else '' " />
    <xsl:variable name="l-time-2" select="if ($l-length &gt; 13 and $l-hour-short != '') then concat($l-hour-short, ':', $l-minute, ':', $l-second, '( *| *am)') else '' " />
    <xsl:variable name="l-time-3" select="if ($l-length &gt; 11 and number($l-hour-long) &lt; 12) then concat($l-hour-long, ':', $l-minute, '( *| *am)')        else if ($l-length &gt; 11) then concat($l-hour-long, ':', $l-minute) else '' " />
    <xsl:variable name="l-time-4" select="if ($l-length &gt; 13 and number($l-hour-long) &lt; 12) then concat($l-hour-long, ':', $l-minute, ':', $l-second, '( *| *am)')        else if ($l-length &gt; 13) then concat($l-hour-long, ':', $l-minute, ':', $l-second) else '' " />
    <xsl:variable name="l-time-5" select="if ($l-length &gt; 11 and number($l-hour-long) &gt; 12) then concat(string(number($l-hour-long) - 12), ':', $l-minute, '( *| *pm)') else '' " />
    <xsl:variable name="l-time-6" select="if ($l-length &gt; 13 and number($l-hour-long) &gt; 12) then concat(string(number($l-hour-long) - 12), ':', $l-minute, ':', $l-second, '( *| *pm)') else '' " />
    <xsl:variable name="l-dt-temp-0" select="if (exists($l-dt-stem-1) and $l-length = 8) then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $narr-time-regex) else () " />
    <xsl:variable name="l-dt-temp-1" select="if (exists($l-dt-stem-1) and $l-time-1 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-1) else () " />
    <xsl:variable name="l-dt-temp-2" select="if (exists($l-dt-stem-1) and $l-time-2 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-2) else () " />
    <xsl:variable name="l-dt-temp-3" select="if (exists($l-dt-stem-1) and $l-time-3 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-3) else () " />
    <xsl:variable name="l-dt-temp-4" select="if (exists($l-dt-stem-1) and $l-time-4 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-4) else () " />
    <xsl:variable name="l-dt-temp-5" select="if (exists($l-dt-stem-1) and $l-time-5 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-5) else () " />
    <xsl:variable name="l-dt-temp-6" select="if (exists($l-dt-stem-1) and $l-time-6 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-6) else () " />
    <xsl:variable name="l-dt-sequence-2" select="($l-dt-temp-0, $l-dt-temp-1, $l-dt-temp-2, $l-dt-temp-3, $l-dt-temp-4, $l-dt-temp-5, $l-dt-temp-6)" />
    <xsl:variable name="l-matching-seq-2" select="if (exists($l-dt-sequence-2))        then index-of(for $i in (1 to count($l-dt-sequence-2)) return exists($narr-dateTimes[matches(., $l-dt-sequence-2[$i], 'i')]), true())        else () " />
    <xsl:variable name="l-dt-stem-2" select="for $i in (1 to count($l-matching-seq-2)) return $l-dt-sequence-2[$l-matching-seq-2[$i]] " />
    <xsl:variable name="l-dt-regex-2" select="if (exists($l-dt-stem-2)) then concat('(', string-join($l-dt-stem-2, '$)|('), '$)') else '' " />
    <xsl:variable name="l-dt-match-2" select="(exists($l-dt-stem-2) and exists($narr-dateTimes[matches(., $l-dt-regex-2, 'i')])) " />
    <xsl:variable name="l-dt-sequence-3" select="if (not($l-dt-match-2) and exists($l-dt-stem-2) and $l-time-zone != '') then for $i in (1 to count($l-dt-stem-2)) return        concat($l-dt-stem-2[$i], substring($l-time-zone, 1, 4), ':?', substring($l-time-zone, 5, 2)) else () " />
    <xsl:variable name="l-dt-regex-3" select="if ($l-dt-match-2) then '' else if (exists($l-dt-sequence-3)) then concat('(', string-join($l-dt-sequence-3, '$)|('), '$)') else '' " />
    <xsl:variable name="l-dt-match-3" select="($l-dt-match-2 or (exists($l-dt-sequence-3) and exists($narr-dateTimes[matches(., $l-dt-regex-3, 'i')]))) " />
    <xsl:variable name="l-narr-match" select="if ($l-dt-value != '' and count($narr-dateTimes) = 0) then      (       contains($narrative, $l-dt-value)                or       (string-length($l-dt-value) = 4 and contains($narrative, $l-year))             or        (string-length($l-dt-value) = 6 and contains($narrative, concat($l-month-short, $l-year)))          or       (string-length($l-dt-value) &gt; 7 and starts-with($l-day, '0') and        (contains($narrative, concat(substring($l-day,2,1), $l-month-short, $l-year)) or         contains($narrative, concat(substring($l-day,2,1), $l-month-num, $l-year))))          or       (string-length($l-dt-value) &gt; 7 and (contains($narrative, concat($l-day, $l-month-short, $l-year)) or contains($narrative, concat($l-day, $l-month-num, $l-year))))        )       else false() " />
    <xsl:variable name="h-dt-value" select="if (cda:high/@value and $l-dt-value != cda:high/@value) then cda:high/@value        else '' " />
    <xsl:variable name="h-no-time-zone" select="if (contains($h-dt-value, '+')) then substring-before($h-dt-value, '+')       else if (contains($h-dt-value, '-')) then substring-before($h-dt-value, '-')       else $h-dt-value " />
    <xsl:variable name="h-length" select="string-length($h-no-time-zone) " />
    <xsl:variable name="h-year" select="if ($h-length &gt; 3) then substring($h-no-time-zone,1,4) else '' " />
    <xsl:variable name="h-month-num" select="if ($h-length &gt; 5) then substring($h-no-time-zone,5,2) else '' " />
    <xsl:variable name="h-day" select="if ($h-length &gt; 7 and substring($h-no-time-zone,7,1) = '0') then substring($h-no-time-zone,8,1)       else if ($h-length &gt; 7 and substring($h-no-time-zone,7,1) != '0') then substring($h-no-time-zone,7,2) else '' " />
    <xsl:variable name="h-hour-long" select="if ($h-length &gt; 9) then substring($h-no-time-zone,9,2) else '' " />
    <xsl:variable name="h-hour-short" select="if (substring($h-hour-long, 1, 1) = '0') then substring($h-hour-long, 2, 1) else '' " />
    <xsl:variable name="h-minute" select="if ($h-length &gt; 11) then substring($h-no-time-zone,11,2) else '' " />
    <xsl:variable name="h-second" select="if ($h-length &gt; 13) then substring($h-no-time-zone,13,2) else '' " />
    <xsl:variable name="h-time-zone" select="if (contains($h-dt-value, '+')) then concat('\+', substring-after($h-dt-value, '+'))       else if (contains($h-dt-value, '-')) then concat('\-', substring-after($h-dt-value, '-'))       else '' " />
    <xsl:variable name="h-month-short" select="if ($h-month-num = '01') then 'jan'   else             if ($h-month-num = '02') then 'feb'   else             if ($h-month-num = '03') then 'mar'   else             if ($h-month-num = '04') then 'apr'   else             if ($h-month-num = '05') then 'may'   else             if ($h-month-num = '06') then 'jun'   else             if ($h-month-num = '07') then 'jul'   else             if ($h-month-num = '08') then 'aug'   else             if ($h-month-num = '09') then 'sep'   else             if ($h-month-num = '10') then 'oct'   else             if ($h-month-num = '11') then 'nov'   else             if ($h-month-num = '12') then 'dec'   else '' " />
    <xsl:variable name="h-month-long" select="if ($h-month-num = '01') then 'january'   else             if ($h-month-num = '02') then 'february'  else             if ($h-month-num = '03') then 'march'   else             if ($h-month-num = '04') then 'april'   else             if ($h-month-num = '05') then 'may'   else             if ($h-month-num = '06') then 'june'   else             if ($h-month-num = '07') then 'july'   else             if ($h-month-num = '08') then 'august'   else             if ($h-month-num = '09') then 'september'  else             if ($h-month-num = '10') then 'october'   else             if ($h-month-num = '11') then 'november'  else             if ($h-month-num = '12') then 'december'  else '' " />
    <xsl:variable name="h-date-type-3-day" select="if (string-length($h-day) = 1) then concat('0{0,1}', $h-day) else $h-day " />
    <xsl:variable name="h-date-type-3-month" select="if (string-length($h-month-num) = 1) then concat('0{0,1}', $h-month-num)        else if (substring($h-month-num, 1, 1) = '0') then concat('0{0,1}', substring($h-month-num, 2, 1))         else $h-month-num " />
    <xsl:variable name="h-dt-sequence-1" select="if ($h-length = 4) then (         concat('^', $h-dt-value)        ,          concat('^', $h-year)         )        else if ($h-length = 6) then (         concat('^', $h-dt-value)        ,         concat('^', $h-month-short, $date-sep, $h-year)      ,          concat('^', $h-month-long, $date-sep, $h-year)      )        else if ($h-length &gt; 7) then (         concat('^', $h-dt-value)        ,         concat('^', $h-date-type-3-day, $date-sep, $h-month-short, $date-sep, $h-year)  ,         concat('^', $h-date-type-3-day, $date-sep, $h-month-long, $date-sep, $h-year)  ,         concat('^', $h-date-type-3-day, '/', $h-date-type-3-month, '/', $h-year)  )        else () " />
    <xsl:variable name="h-matching-seq-1" select="if (exists($h-dt-sequence-1))        then index-of(for $i in (1 to count($h-dt-sequence-1)) return exists($narr-dateTimes[matches(., $h-dt-sequence-1[$i], 'i')]), true())        else () " />
    <xsl:variable name="h-dt-stem-1" select="for $i in (1 to count($h-matching-seq-1)) return $h-dt-sequence-1[$h-matching-seq-1[$i]] " />
    <xsl:variable name="h-dt-regex-1" select="if (exists($h-dt-stem-1)) then concat('(', string-join($h-dt-stem-1, '$)|('), '$)') else ()" />
    <xsl:variable name="h-dt-match-1" select="exists($h-dt-stem-1) and exists($narr-dateTimes[matches(., $h-dt-regex-1, 'i')])" />
    <xsl:variable name="h-time-1" select="if ($h-length &gt; 11 and $h-hour-short != '') then concat($h-hour-short, ':', $h-minute, '( *| *am)') else '' " />
    <xsl:variable name="h-time-2" select="if ($h-length &gt; 13 and $h-hour-short != '') then concat($h-hour-short, ':', $h-minute, ':', $h-second, '( *| *am)') else '' " />
    <xsl:variable name="h-time-3" select="if ($h-length &gt; 11 and number($h-hour-long) &lt; 12) then concat($h-hour-long, ':', $h-minute, '( *| *am)')        else if ($h-length &gt; 11) then concat($h-hour-long, ':', $h-minute) else '' " />
    <xsl:variable name="h-time-4" select="if ($h-length &gt; 13 and number($h-hour-long) &lt; 12) then concat($h-hour-long, ':', $h-minute, ':', $h-second, '( *| *am)')        else if ($h-length &gt; 13) then concat($h-hour-long, ':', $h-minute, ':', $h-second) else '' " />
    <xsl:variable name="h-time-5" select="if ($h-length &gt; 11 and number($h-hour-long) &gt; 12) then concat(string(number($h-hour-long) - 12), ':', $h-minute, '( *| *pm)') else '' " />
    <xsl:variable name="h-time-6" select="if ($h-length &gt; 13 and number($h-hour-long) &gt; 12) then concat(string(number($h-hour-long) - 12), ':', $h-minute, ':', $h-second, '( *| *pm)') else '' " />
    <xsl:variable name="h-dt-temp-0" select="if (exists($h-dt-stem-1) and $h-length = 8) then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $narr-time-regex) else () " />
    <xsl:variable name="h-dt-temp-1" select="if (exists($h-dt-stem-1) and $h-time-1 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-1) else () " />
    <xsl:variable name="h-dt-temp-2" select="if (exists($h-dt-stem-1) and $h-time-2 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-2) else () " />
    <xsl:variable name="h-dt-temp-3" select="if (exists($h-dt-stem-1) and $h-time-3 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-3) else () " />
    <xsl:variable name="h-dt-temp-4" select="if (exists($h-dt-stem-1) and $h-time-4 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-4) else () " />
    <xsl:variable name="h-dt-temp-5" select="if (exists($h-dt-stem-1) and $h-time-5 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-5) else () " />
    <xsl:variable name="h-dt-temp-6" select="if (exists($h-dt-stem-1) and $h-time-6 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-6) else () " />
    <xsl:variable name="h-dt-sequence-2" select="($h-dt-temp-0, $h-dt-temp-1, $h-dt-temp-2, $h-dt-temp-3, $h-dt-temp-4, $h-dt-temp-5, $h-dt-temp-6)" />
    <xsl:variable name="h-matching-seq-2" select="if (exists($h-dt-sequence-2))        then index-of(for $i in (1 to count($h-dt-sequence-2)) return exists($narr-dateTimes[matches(., $h-dt-sequence-2[$i], 'i')]), true())        else () " />
    <xsl:variable name="h-dt-stem-2" select="for $i in (1 to count($h-matching-seq-2)) return $h-dt-sequence-2[$h-matching-seq-2[$i]] " />
    <xsl:variable name="h-dt-regex-2" select="if (exists($h-dt-stem-2)) then concat('(', string-join($h-dt-stem-2, '$)|('), '$)') else '' " />
    <xsl:variable name="h-dt-match-2" select="(exists($h-dt-stem-2) and exists($narr-dateTimes[matches(., $h-dt-regex-2, 'i')])) " />
    <xsl:variable name="h-dt-sequence-3" select="if (not($h-dt-match-2) and exists($h-dt-stem-2) and $h-time-zone != '') then for $i in (1 to count($h-dt-stem-2)) return        concat($h-dt-stem-2[$i], substring($h-time-zone, 1, 4), ':?', substring($h-time-zone, 5, 2)) else () " />
    <xsl:variable name="h-dt-regex-3" select="if ($h-dt-match-2) then '' else if (exists($h-dt-sequence-3)) then concat('(', string-join($h-dt-sequence-3, '$)|('), '$)') else '' " />
    <xsl:variable name="h-dt-match-3" select="($h-dt-match-2 or (exists($h-dt-sequence-3) and exists($narr-dateTimes[matches(., $h-dt-regex-3, 'i')]))) " />
    <xsl:variable name="h-narr-match" select="if ($h-dt-value != '' and count($narr-dateTimes) = 0) then      (       contains($narrative, $h-dt-value)                or       (string-length($h-dt-value) = 4 and contains($narrative, $h-year))             or        (string-length($h-dt-value) = 6 and contains($narrative, concat($h-month-short, $h-year)))          or       (string-length($h-dt-value) &gt; 7 and starts-with($h-day, '0') and        (contains($narrative, concat(substring($h-day,2,1), $h-month-short, $h-year)) or         contains($narrative, concat(substring($h-day,2,1), $h-month-num, $h-year))))          or       (string-length($h-dt-value) &gt; 7 and (contains($narrative, concat($h-day, $h-month-short, $h-year)) or contains($narrative, concat($h-day, $h-month-num, $h-year))))        )       else false() " />
    <xsl:variable name="h-nullFlavor-values" select="if (cda:high/@nullFlavor and cda:high/@nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))        then $nullFlavors/nullFlavor[@value = current()/cda:high/@nullFlavor] else () " />
    <xsl:variable name="h-null-to-find" select="exists($h-nullFlavor-values) " />
    <xsl:variable name="h-null-in-narr" select="($h-nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $h-nullFlavor-values/@name-regex, 'is')])) or              ($h-nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $h-nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="l-nullFlavor-values" select="if (cda:low/@nullFlavor and cda:low/@nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))        then $nullFlavors/nullFlavor[@value = current()/cda:low/@nullFlavor] else () " />
    <xsl:variable name="l-null-to-find" select="exists($l-nullFlavor-values) " />
    <xsl:variable name="l-null-in-narr" select="($l-nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $l-nullFlavor-values/@name-regex, 'is')])) or              ($l-nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $l-nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="l-dt-name" select="if ($l-dt-value = cda:low/@value) then ' low' else '' " />
    <xsl:variable name="l-dt-msg" select="if ($l-dt-value = cda:low/@value) then ' This date/time is the low boundary of a time interval.' else '' " />
    <xsl:variable name="h-dt-msg" select="if ($h-dt-value = cda:high/@value) then ' This date/time is the high boundary of a time interval.' else '' " />
    <xsl:variable name="l-null-msg" select="if ($l-dt-value = cda:low/@value) then ' This nullFlavor value is for the low boundary of a time interval.' else '' " />
    <xsl:variable name="h-null-msg" select="if ($h-dt-value = cda:high/@value) then ' This nullFlavor value is for the high boundary of a time interval.' else '' " />
    <xsl:variable name="multimedia" select="exists($fir-narr-node//cda:renderMultiMedia) or exists($sec-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($fir-narr-node//cda:linkHtml) or exists($sec-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="l-warning-1" select="exists($l-dt-sequence-1) and exists($narr-dateTimes) and $l-dt-match-1 and not($l-dt-match-3) and $l-dt-value != '' " />
    <xsl:variable name="l-error-1" select="$l-warning-1 and not($multimedia) " />
    <xsl:variable name="l-warning-2" select="exists($l-dt-sequence-1) and exists($narr-dateTimes) and not($l-dt-match-1 or $l-dt-match-3) and $l-dt-value != '' " />
    <xsl:variable name="l-error-2a" select="$l-warning-2 and not($multimedia) and $l-time-zone != '' and count($narr-dateTimes) =        count(for $dt in $narr-dateTimes return replace(replace($dt, $regex-date-type-1, ''), $regex-date-type-2, '')       [matches(., concat('^\s*([0-9]{1,2}:{1}[0-9]{2}\s*', substring($l-time-zone, 1, 4), ':?', substring($l-time-zone, 5, 2),         '|[0-9]{1,2}:{1}[0-9]{2}:{1}[0-9]{2}\s*', substring($l-time-zone, 1, 4), ':?', substring($l-time-zone, 5, 2), ')\s*$'), 'i')]) " />
    <xsl:variable name="l-error-2b" select="$l-warning-2 and not($l-dt-match-1) and not($multimedia) and count($narr-dateTimes[matches(., $regex-date-type-2, 'i')]) =        count($narr-dateTimes[matches(., concat($regex-date-type-2, ' ', $narr-time-regex, '$'), 'i')]) " />
    <xsl:variable name="l-error-2c" select="$l-warning-2 and exists($narr-dateTimes[matches(., concat('^', $l-year, '$'))]) " />
    <xsl:variable name="l-error-2" select="$l-error-2a or $l-error-2b or $l-error-2c " />
    <xsl:variable name="l-warning-3" select="$l-dt-value != '' and not(exists($narr-dateTimes)) and not($l-narr-match) " />
    <xsl:variable name="l-error-3" select="$l-warning-3 and not($multimedia) and not(contains($narrative, substring($l-year, 3,2)))" />
    <xsl:variable name="h-warning-1" select="exists($h-dt-sequence-1) and exists($narr-dateTimes) and $h-dt-match-1 and not($h-dt-match-3) and $h-dt-value != '' " />
    <xsl:variable name="h-error-1" select="$h-warning-1 and not($multimedia) " />
    <xsl:variable name="h-warning-2" select="exists($h-dt-sequence-1) and exists($narr-dateTimes) and not($h-dt-match-1 or $h-dt-match-3) and $h-dt-value != '' " />
    <xsl:variable name="h-error-2a" select="$h-warning-2 and not($multimedia) and $h-time-zone != '' and count($narr-dateTimes) =        count(for $dt in $narr-dateTimes return replace(replace($dt, $regex-date-type-1, ''), $regex-date-type-2, '')       [matches(., concat('^\s*([0-9]{1,2}:{1}[0-9]{2}\s*', substring($h-time-zone, 1, 4), ':?', substring($h-time-zone, 5, 2),         '|[0-9]{1,2}:{1}[0-9]{2}:{1}[0-9]{2}\s*', substring($h-time-zone, 1, 4), ':?', substring($h-time-zone, 5, 2), ')\s*$'), 'i')]) " />
    <xsl:variable name="h-error-2b" select="$h-warning-2 and not($h-dt-match-1) and not($multimedia) and count($narr-dateTimes[matches(., $regex-date-type-2, 'i')]) =        count($narr-dateTimes[matches(., concat($regex-date-type-2, ' ', $narr-time-regex, '$'), 'i')]) " />
    <xsl:variable name="h-error-2c" select="$l-warning-2 and exists($narr-dateTimes[matches(., concat('^', $h-year, '$'))]) " />
    <xsl:variable name="h-error-2" select="$h-error-2a or $h-error-2b or $h-error-2c " />
    <xsl:variable name="h-warning-3" select="$h-dt-value != '' and not(exists($narr-dateTimes)) and not($h-narr-match) " />
    <xsl:variable name="h-error-3" select="$h-warning-3 and not($multimedia) and not(contains($narrative, substring($h-year, 3,2))) " />
    <xsl:variable name="narr-dt-msg" select="if ($multimedia or $no-content) then ''       else if (not(exists($narr-dateTimes))) then concat(' The narrative of the ', iq:location(., ''), ' contains no dateTime elements.')       else if (count($narr-dateTimes) = 1) then concat(' The only dateTime element in the narrative of the ', iq:location(., ''), ' is ''',         dh:XQueryRecursiveReplace($narr-dateTimes[1], '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), '''.')       else concat(' The distinct dateTime elements in the narrative of the ', iq:location(., ''), ' are ''',         string-join(for $dt in $narr-dateTimes return          dh:XQueryRecursiveReplace($dt, '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), ', '), '''.') " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-4" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-4 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and exists($l-dt-sequence-1) and $l-dt-value != '' and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and exists($l-dt-sequence-1) and $l-dt-value != '' and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 4: The dateTime element in the structured data is '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'.<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text />
		The number of dateTime elements that have been extracted from the narrative is '<xsl:text /><xsl:value-of select="count($narr-dateTimes)" /><xsl:text />'.
		These are '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-dateTimes, ', '), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The initial regular expressions are '<xsl:text /><xsl:value-of select="string-join($l-dt-sequence-1, ', ')" /><xsl:text />'.
		The three regular expressions used to perform an exact match for narrative dateTime elements are as follows:
		l-dt-regex-1='<xsl:text /><xsl:value-of select="$l-dt-regex-1" /><xsl:text />'; l-dt-regex-2='<xsl:text /><xsl:value-of select="$l-dt-regex-2" /><xsl:text />'; and l-dt-regex-3='<xsl:text /><xsl:value-of select="$l-dt-regex-3" /><xsl:text />'.
		Was a match found after the first regular expression was created? <xsl:text /><xsl:value-of select="$l-dt-match-1" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($l-dt-regex-2 = '') then 'The second regular expression was not applied as there is no time information.'    else concat('Was a match found after the second regular expression (with a date and time) was created? ', $l-dt-match-2, '.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($l-dt-regex-3 = '') then 'The third regular expression was not applied as there is no timezone information.'    else concat('Was a match found after the third regular expression (with a date and time) was created? ', $l-dt-match-3, '.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and exists($h-dt-sequence-1) and $h-dt-value != '' and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and exists($h-dt-sequence-1) and $h-dt-value != '' and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 4: The dateTime element in the structured data is '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'.<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text />
		The number of dateTime elements that have been extracted from the narrative is '<xsl:text /><xsl:value-of select="count($narr-dateTimes)" /><xsl:text />'.
		These are '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-dateTimes, ', '), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The initial regular expressions are '<xsl:text /><xsl:value-of select="string-join($h-dt-sequence-1, ', ')" /><xsl:text />'.
		The three regular expressions used to perform an exact match for narrative dateTime elements are as follows:
		h-dt-regex-1='<xsl:text /><xsl:value-of select="$h-dt-regex-1" /><xsl:text />'; h-dt-regex-2='<xsl:text /><xsl:value-of select="$h-dt-regex-2" /><xsl:text />'; and h-dt-regex-3='<xsl:text /><xsl:value-of select="$h-dt-regex-3" /><xsl:text />'.
		Was a match found after the first regular expression was created? <xsl:text /><xsl:value-of select="$h-dt-match-1" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($h-dt-regex-2 = '') then 'The second regular expression was not applied as there is no time information.'    else concat('Was a match found after the second regular expression (with a date and time) was created? ', $h-dt-match-2, '.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($h-dt-regex-3 = '') then 'The third regular expression was not applied as there is no timezone information.'    else concat('Was a match found after the third regular expression (with a date and time) was created? ', $h-dt-match-3, '.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $l-warning-1 and not($l-error-1 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $l-warning-1 and not($l-error-1 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /> Although the date was found in the narrative the Imaging Examination Result Value data element must contain the time.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Imaging Examination Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $l-error-1 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $l-error-1 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /> Although the date was found in the narrative the Imaging Examination Result Value data element must contain the time.
		The Imaging Examination Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $l-error-1 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $l-error-1 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /> Although the date was found in the narrative the Imaging Examination Result Value data element must contain the time.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-warning-2 and not($l-error-2 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-warning-2 and not($l-error-2 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Imaging Examination Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-error-2 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-error-2 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($l-error-2c) then concat('The narrative contains a date with the same year ''', $l-year, ''' but without a month or day.') else '' " /><xsl:text />
		The Imaging Examination Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-error-2 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-error-2 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($l-error-2c) then concat('The narrative contains a date with the same year ''', $l-year, ''' but without a month or day.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $l-dt-value != '' and not($l-narr-match or $l-null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $l-dt-value != '' and not($l-narr-match or $l-null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $l-dt-value != '' and not($l-narr-match or $l-null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $l-dt-value != '' and not($l-narr-match or $l-null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Imaging Examination Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $h-warning-1 and not($h-error-1 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $h-warning-1 and not($h-error-1 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /> Although the date was found in the narrative the Imaging Examination Result Value data element must contain the time.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Imaging Examination Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $h-error-1 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $h-error-1 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /> Although the date was found in the narrative the Imaging Examination Result Value data element must contain the time.
		The Imaging Examination Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $h-error-1 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $h-error-1 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /> Although the date was found in the narrative the Imaging Examination Result Value data element must contain the time.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-warning-2 and not($h-error-2 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-warning-2 and not($h-error-2 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Imaging Examination Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-error-2 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-error-2 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($h-error-2c) then concat('The narrative contains a date with the same year ''', $h-year, ''' but without a month or day.') else '' " /><xsl:text />
		The Imaging Examination Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-error-2 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-error-2 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($h-error-2c) then concat('The narrative contains a date with the same year ''', $h-year, ''' but without a month or day.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-warning-3 and not($l-error-3 or $no-content)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-warning-3 and not($l-error-3 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not seem to be present in the narrative of the section.<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Imaging Examination Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-error-3 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-error-3 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Imaging Examination Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else ' All clinical information in entry elements must be present in the narrative.'" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-error-3 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-error-3 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-warning-3 and not($h-error-3 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-warning-3 and not($h-error-3 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not seem to be present in the narrative of the section.<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Imaging Examination Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-error-3 and not($no-content) and true()  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-error-3 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text />
		The Imaging Examination Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-error-3 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-error-3 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $h-dt-value != '' and not($h-narr-match or $h-null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $h-dt-value != '' and not($h-narr-match or $h-null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $h-dt-value != '' and not($h-narr-match or $h-null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $h-dt-value != '' and not($h-narr-match or $h-null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Imaging Examination Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-null-to-find and not($l-null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-null-to-find and not($l-null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="cda:low/@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$l-nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($l-nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.<xsl:text /><xsl:value-of select="$l-null-msg" /><xsl:text /> If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-null-to-find and not($h-null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-null-to-find and not($h-null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Imaging Examination Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="cda:high/@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$h-nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($h-nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.<xsl:text /><xsl:value-of select="$h-null-msg" /><xsl:text />
		If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M413" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M413" />
  <xsl:template match="@*|node()" priority="-2" mode="M413">
    <xsl:apply-templates select="@*|*" mode="M413" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-Observation-10-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/   cda:entryRelationship/cda:organizer/cda:component/cda:observation/cda:value[ @xsi:type = 'INT'       or              normalize-space(substring-after(@xsi:type, ':')) = 'INT'  or             @xsi:type = 'REAL'       or              normalize-space(substring-after(@xsi:type, ':')) = 'REAL' ] " priority="1000" mode="M414">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/   cda:entryRelationship/cda:organizer/cda:component/cda:observation/cda:value[ @xsi:type = 'INT'       or              normalize-space(substring-after(@xsi:type, ':')) = 'INT'  or             @xsi:type = 'REAL'       or              normalize-space(substring-after(@xsi:type, ':')) = 'REAL' ] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="narr-text-el" select="(for $text in ($target-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="narr-numbers" select="$narr-text-el[. castable as xs:double] " />
    <xsl:variable name="narr-el-present" select="exists($narr-numbers)" />
    <xsl:variable name="num-in-narr" select="@value and exists($narr-numbers[number() = current()/@value])" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-8" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-8 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @value and ancestor::cda:section and not($narr-el-present) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @value and ancestor::cda:section and not($narr-el-present)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step-8" /><xsl:text />: TC-Narr-09 step 8: The Imaging Examination Result Value
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Imaging Examination Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @value and $narr-el-present and not($num-in-narr or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value and $narr-el-present and not($num-in-narr or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-8" /><xsl:text />: TC-Narr-09 step 8: The Imaging Examination Result Value
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' which was not found in table data elements of
		the narrative of the section. The data element is in the section with the title '<xsl:text /><xsl:value-of select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]/cda:title" /><xsl:text />'.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Imaging Examination Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Imaging Examination Result Value
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M414" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M414" />
  <xsl:template match="@*|node()" priority="-2" mode="M414">
    <xsl:apply-templates select="@*|*" mode="M414" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-EncapsulatedData-1-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/   cda:entryRelationship[@typeCode='REFR']/cda:observationMedia/cda:value" priority="1000" mode="M415">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/   cda:entryRelationship[@typeCode='REFR']/cda:observationMedia/cda:value" />
    <xsl:variable name="the-text" select="normalize-space(string-join(text(), '')) " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="display-text-1" select="$the-text " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)        then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')), codepoints-to-string(34))       else concat('commencing with ', codepoints-to-string(34),         normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),         $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-02" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-02 else $rating-alt-TC-Types-02 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-02: The Imaging Examination Result - Anatomical Location - Anatomical Location Image
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type and
		<xsl:text /><xsl:value-of select="if (cda:reference/@value and $text-is-present) then concat('has a reference to ''', cda:reference/@value, ''' and contains the character string ',    $display-text)   else if (cda:reference/@value and not($text-is-present)) then concat('has a reference to ''', cda:reference/@value, '''')   else if (not(cda:reference/@value) and $text-is-present) then concat('contains the character string ', $display-text)   else 'has no reference and does not contain a character string' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@nullFlavor) then concat(' The nullFlavor attribute has the value ''', @nullFlavor, '''.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (@integrityCheckAlgorithm) then concat(' The integrityCheckAlgorithm attribute has the value ''', @integrityCheckAlgorithm, '''.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (@integrityCheck) then concat(' The integrityCheck attribute has the value ''', @integrityCheck, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-02" /><xsl:text />: TC-Types-02: According to the Structured Content Specification the Imaging Examination Result - Anatomical Location - Anatomical Location Image

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type
		which is derived from the HL7 'ED' data type however the xsi:type attribute has the value <xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(local-name(..) = 'observationMedia') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(local-name(..) = 'observationMedia') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-02" /><xsl:text />: TC-Types-02: According to the Structured Content Specification the Imaging Examination Result - Anatomical Location - Anatomical Location Image
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type which is derived from the HL7 'ED' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'ED'.
		(See section 5.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeED') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeED')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Imaging Examination Result - Anatomical Location - Anatomical Location Image
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type.
		The data element's value '<xsl:text /><xsl:value-of select="$display-text-1" /><xsl:text />' contains "xsitypeED" which is an invalid attempt to assign the data element's type to be the HL7 'ED' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ED'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@integrityCheckAlgorithm) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@integrityCheckAlgorithm)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-02" /><xsl:text />: TC-Types-02: The Imaging Examination Result - Anatomical Location - Anatomical Location Image
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type but does not have the
		integrityCheckAlgorithm attribute which indicates the data element does not have the HL7 'ED' data type. The Encapsulated Data data type is derived from the HL7 'ED' data type so the
		attribute xsi:type with the value 'ED' needs to be added to the data element.
		(See section 5.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('reference', 'thumbnail'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('reference', 'thumbnail'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Imaging Examination Result - Anatomical Location - Anatomical Location Image

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('reference', 'thumbnail'))])" /><xsl:text />' was found that is not expected for the EncapsulatedData data type
		so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('reference', 'thumbnail'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('reference', 'thumbnail'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Imaging Examination Result - Anatomical Location - Anatomical Location Image

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('reference', 'thumbnail'))])" /><xsl:text />' was found that is not expected for the EncapsulatedData data type
		so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'charset', 'integrityCheck', 'integrityCheckAlgorithm', 'compression', 'representation'))] and    not(@xsi:type and not(@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'charset', 'integrityCheck', 'integrityCheckAlgorithm', 'compression', 'representation'))] and not(@xsi:type and not(@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Imaging Examination Result - Anatomical Location - Anatomical Location Image

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'charset', 'integrityCheck', 'integrityCheckAlgorithm', 'compression', 'representation'))])" /><xsl:text />' was
		found that is not expected for the EncapsulatedData data type.
		The definition of the EncapsulatedData data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'charset', 'integrityCheck', 'integrityCheckAlgorithm', 'compression', 'representation'))] and    not(@xsi:type and not(@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'charset', 'integrityCheck', 'integrityCheckAlgorithm', 'compression', 'representation'))] and not(@xsi:type and not(@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Imaging Examination Result - Anatomical Location - Anatomical Location Image

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'charset', 'integrityCheck', 'integrityCheckAlgorithm', 'compression', 'representation'))])" /><xsl:text />' was
		found that is not expected for the EncapsulatedData data type.
		The definition of the EncapsulatedData data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-02" /><xsl:text />: TC-Types-02: The Imaging Examination Result - Anatomical Location - Anatomical Location Image
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type and has the attribute
		language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this attribute.
		(See section 5.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @charset ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @charset">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-02" /><xsl:text />: TC-Types-02: The Imaging Examination Result - Anatomical Location - Anatomical Location Image
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type and has the attribute
		charset='<xsl:text /><xsl:value-of select="@charset" /><xsl:text />'. Confirm that this is a valid value for this attribute.
		(See section 5.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M415" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M415" />
  <xsl:template match="@*|node()" priority="-2" mode="M415">
    <xsl:apply-templates select="@*|*" mode="M415" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-EncapsulatedData-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/   cda:entryRelationship[@typeCode='REFR']/cda:observationMedia/cda:value " priority="1000" mode="M416">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/   cda:entryRelationship[@typeCode='REFR']/cda:observationMedia/cda:value " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Imaging Examination Result - Anatomical Location - Anatomical Location Image '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Imaging Examination Result - Anatomical Location - Anatomical Location Image
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Imaging Examination Result - Anatomical Location - Anatomical Location Image data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Imaging Examination Result - Anatomical Location - Anatomical Location Image
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Imaging Examination Result - Anatomical Location - Anatomical Location Image data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Imaging Examination Result - Anatomical Location - Anatomical Location Image
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Imaging Examination Result - Anatomical Location - Anatomical Location Image
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Imaging Examination Result - Anatomical Location - Anatomical Location Image data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Imaging Examination Result - Anatomical Location - Anatomical Location Image
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M416" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M416" />
  <xsl:template match="@*|node()" priority="-2" mode="M416">
    <xsl:apply-templates select="@*|*" mode="M416" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-EncapsulatedData-3-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/   cda:entryRelationship[@typeCode='COMP']/cda:organizer/cda:component/cda:observation/cda:entryRelationship[@typeCode='REFR']/cda:observationMedia/cda:value " priority="1000" mode="M417">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/   cda:entryRelationship[@typeCode='COMP']/cda:organizer/cda:component/cda:observation/cda:entryRelationship[@typeCode='REFR']/cda:observationMedia/cda:value " />
    <xsl:variable name="the-text" select="normalize-space(string-join(text(), '')) " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="display-text-1" select="$the-text " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)        then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')), codepoints-to-string(34))       else concat('commencing with ', codepoints-to-string(34),         normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),         $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-02" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-02 else $rating-alt-TC-Types-02 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-02: The Imaging Examination Result Group - Anatomical Location - Anatomical Location Image
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type and
		<xsl:text /><xsl:value-of select="if (cda:reference/@value and $text-is-present) then concat('has a reference to ''', cda:reference/@value, ''' and contains the character string ',    $display-text)   else if (cda:reference/@value and not($text-is-present)) then concat('has a reference to ''', cda:reference/@value, '''')   else if (not(cda:reference/@value) and $text-is-present) then concat('contains the character string ', $display-text)   else 'has no reference and does not contain a character string' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@nullFlavor) then concat(' The nullFlavor attribute has the value ''', @nullFlavor, '''.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (@integrityCheckAlgorithm) then concat(' The integrityCheckAlgorithm attribute has the value ''', @integrityCheckAlgorithm, '''.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (@integrityCheck) then concat(' The integrityCheck attribute has the value ''', @integrityCheck, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-02" /><xsl:text />: TC-Types-02: According to the Structured Content Specification the Imaging Examination Result Group - Anatomical Location - Anatomical Location Image

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type
		which is derived from the HL7 'ED' data type however the xsi:type attribute has the value <xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(local-name(..) = 'observationMedia') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(local-name(..) = 'observationMedia') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-02" /><xsl:text />: TC-Types-02: According to the Structured Content Specification the Imaging Examination Result Group - Anatomical Location - Anatomical Location Image
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type which is derived from the HL7 'ED' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'ED'.
		(See section 5.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeED') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeED')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Imaging Examination Result Group - Anatomical Location - Anatomical Location Image
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type.
		The data element's value '<xsl:text /><xsl:value-of select="$display-text-1" /><xsl:text />' contains "xsitypeED" which is an invalid attempt to assign the data element's type to be the HL7 'ED' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ED'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@integrityCheckAlgorithm) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@integrityCheckAlgorithm)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-02" /><xsl:text />: TC-Types-02: The Imaging Examination Result Group - Anatomical Location - Anatomical Location Image
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type but does not have the
		integrityCheckAlgorithm attribute which indicates the data element does not have the HL7 'ED' data type. The Encapsulated Data data type is derived from the HL7 'ED' data type so the
		attribute xsi:type with the value 'ED' needs to be added to the data element.
		(See section 5.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('reference', 'thumbnail'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('reference', 'thumbnail'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Imaging Examination Result Group - Anatomical Location - Anatomical Location Image

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('reference', 'thumbnail'))])" /><xsl:text />' was found that is not expected for the EncapsulatedData data type
		so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('reference', 'thumbnail'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('reference', 'thumbnail'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Imaging Examination Result Group - Anatomical Location - Anatomical Location Image

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('reference', 'thumbnail'))])" /><xsl:text />' was found that is not expected for the EncapsulatedData data type
		so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'charset', 'integrityCheck', 'integrityCheckAlgorithm', 'compression', 'representation'))] and    not(@xsi:type and not(@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'charset', 'integrityCheck', 'integrityCheckAlgorithm', 'compression', 'representation'))] and not(@xsi:type and not(@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Imaging Examination Result Group - Anatomical Location - Anatomical Location Image

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'charset', 'integrityCheck', 'integrityCheckAlgorithm', 'compression', 'representation'))])" /><xsl:text />' was
		found that is not expected for the EncapsulatedData data type.
		The definition of the EncapsulatedData data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'charset', 'integrityCheck', 'integrityCheckAlgorithm', 'compression', 'representation'))] and    not(@xsi:type and not(@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'charset', 'integrityCheck', 'integrityCheckAlgorithm', 'compression', 'representation'))] and not(@xsi:type and not(@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Imaging Examination Result Group - Anatomical Location - Anatomical Location Image

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'charset', 'integrityCheck', 'integrityCheckAlgorithm', 'compression', 'representation'))])" /><xsl:text />' was
		found that is not expected for the EncapsulatedData data type.
		The definition of the EncapsulatedData data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-02" /><xsl:text />: TC-Types-02: The Imaging Examination Result Group - Anatomical Location - Anatomical Location Image
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type and has the attribute
		language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this attribute.
		(See section 5.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @charset ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @charset">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-02" /><xsl:text />: TC-Types-02: The Imaging Examination Result Group - Anatomical Location - Anatomical Location Image
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type and has the attribute
		charset='<xsl:text /><xsl:value-of select="@charset" /><xsl:text />'. Confirm that this is a valid value for this attribute.
		(See section 5.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M417" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M417" />
  <xsl:template match="@*|node()" priority="-2" mode="M417">
    <xsl:apply-templates select="@*|*" mode="M417" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-EncapsulatedData-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/   cda:entryRelationship[@typeCode='COMP']/cda:organizer/cda:component/cda:observation/cda:entryRelationship[@typeCode='REFR']/cda:observationMedia/cda:value  " priority="1000" mode="M418">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/   cda:entryRelationship[@typeCode='COMP']/cda:organizer/cda:component/cda:observation/cda:entryRelationship[@typeCode='REFR']/cda:observationMedia/cda:value  " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Imaging Examination Result Group - Anatomical Location - Anatomical Location Image '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Imaging Examination Result Group - Anatomical Location - Anatomical Location Image
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Imaging Examination Result Group - Anatomical Location - Anatomical Location Image data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Imaging Examination Result Group - Anatomical Location - Anatomical Location Image
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Imaging Examination Result Group - Anatomical Location - Anatomical Location Image data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Imaging Examination Result Group - Anatomical Location - Anatomical Location Image
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Imaging Examination Result Group - Anatomical Location - Anatomical Location Image
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Imaging Examination Result Group - Anatomical Location - Anatomical Location Image data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Imaging Examination Result Group - Anatomical Location - Anatomical Location Image
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M418" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M418" />
  <xsl:template match="@*|node()" priority="-2" mode="M418">
    <xsl:apply-templates select="@*|*" mode="M418" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-EncapsulatedData-5-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/cda:text" priority="1000" mode="M419">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/cda:text" />
    <xsl:variable name="the-text" select="normalize-space(string-join(text(), '')) " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="display-text-1" select="$the-text " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)        then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')), codepoints-to-string(34))       else concat('commencing with ', codepoints-to-string(34),         normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),         $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-02" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-02 else $rating-alt-TC-Types-02 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-02: The Examination Result Representation
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type and
		<xsl:text /><xsl:value-of select="if (cda:reference/@value and $text-is-present) then concat('has a reference to ''', cda:reference/@value, ''' and contains the character string ',    $display-text)   else if (cda:reference/@value and not($text-is-present)) then concat('has a reference to ''', cda:reference/@value, '''')   else if (not(cda:reference/@value) and $text-is-present) then concat('contains the character string ', $display-text)   else 'has no reference and does not contain a character string' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@nullFlavor) then concat(' The nullFlavor attribute has the value ''', @nullFlavor, '''.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (@integrityCheckAlgorithm) then concat(' The integrityCheckAlgorithm attribute has the value ''', @integrityCheckAlgorithm, '''.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (@integrityCheck) then concat(' The integrityCheck attribute has the value ''', @integrityCheck, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-02" /><xsl:text />: TC-Types-02: According to the Structured Content Specification the Examination Result Representation

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type
		which is derived from the HL7 'ED' data type however the xsi:type attribute has the value <xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(local-name(..) = 'observationMedia') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(local-name(..) = 'observationMedia') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-02" /><xsl:text />: TC-Types-02: According to the Structured Content Specification the Examination Result Representation
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type which is derived from the HL7 'ED' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'ED'.
		(See section 5.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeED') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeED')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Examination Result Representation
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type.
		The data element's value '<xsl:text /><xsl:value-of select="$display-text-1" /><xsl:text />' contains "xsitypeED" which is an invalid attempt to assign the data element's type to be the HL7 'ED' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ED'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@integrityCheckAlgorithm) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@integrityCheckAlgorithm)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-02" /><xsl:text />: TC-Types-02: The Examination Result Representation
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type but does not have the
		integrityCheckAlgorithm attribute which indicates the data element does not have the HL7 'ED' data type. The Encapsulated Data data type is derived from the HL7 'ED' data type so the
		attribute xsi:type with the value 'ED' needs to be added to the data element.
		(See section 5.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('reference', 'thumbnail'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('reference', 'thumbnail'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Examination Result Representation

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('reference', 'thumbnail'))])" /><xsl:text />' was found that is not expected for the EncapsulatedData data type
		so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('reference', 'thumbnail'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('reference', 'thumbnail'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Examination Result Representation

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('reference', 'thumbnail'))])" /><xsl:text />' was found that is not expected for the EncapsulatedData data type
		so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'charset', 'integrityCheck', 'integrityCheckAlgorithm', 'compression', 'representation'))] and    not(@xsi:type and not(@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'charset', 'integrityCheck', 'integrityCheckAlgorithm', 'compression', 'representation'))] and not(@xsi:type and not(@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Examination Result Representation

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'charset', 'integrityCheck', 'integrityCheckAlgorithm', 'compression', 'representation'))])" /><xsl:text />' was
		found that is not expected for the EncapsulatedData data type.
		The definition of the EncapsulatedData data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'charset', 'integrityCheck', 'integrityCheckAlgorithm', 'compression', 'representation'))] and    not(@xsi:type and not(@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'charset', 'integrityCheck', 'integrityCheckAlgorithm', 'compression', 'representation'))] and not(@xsi:type and not(@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Examination Result Representation

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'charset', 'integrityCheck', 'integrityCheckAlgorithm', 'compression', 'representation'))])" /><xsl:text />' was
		found that is not expected for the EncapsulatedData data type.
		The definition of the EncapsulatedData data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-02" /><xsl:text />: TC-Types-02: The Examination Result Representation
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type and has the attribute
		language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this attribute.
		(See section 5.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @charset ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @charset">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-02" /><xsl:text />: TC-Types-02: The Examination Result Representation
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type and has the attribute
		charset='<xsl:text /><xsl:value-of select="@charset" /><xsl:text />'. Confirm that this is a valid value for this attribute.
		(See section 5.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M419" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M419" />
  <xsl:template match="@*|node()" priority="-2" mode="M419">
    <xsl:apply-templates select="@*|*" mode="M419" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-EncapsulatedData-6-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/cda:text   [not(cda:reference/@value) or starts-with(cda:reference/@value, '#')] " priority="1000" mode="M420">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/cda:text   [not(cda:reference/@value) or starts-with(cda:reference/@value, '#')] " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Examination Result Representation '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Examination Result Representation
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Examination Result Representation data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Examination Result Representation
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Examination Result Representation data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Examination Result Representation
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Examination Result Representation
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Examination Result Representation data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Examination Result Representation
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M420" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M420" />
  <xsl:template match="@*|node()" priority="-2" mode="M420">
    <xsl:apply-templates select="@*|*" mode="M420" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-EncapsulatedData-7-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/cda:text   [cda:reference/@value and not(starts-with(cda:reference/@value, '#'))] " priority="1000" mode="M421">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/cda:text   [cda:reference/@value and not(starts-with(cda:reference/@value, '#'))] " />
    <xsl:variable name="section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then exists(ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]) else false() " />
    <!--REPORT -->
    <xsl:if test=" local-name(..) = ('act', 'observation') and cda:reference/@value and not(starts-with(cda:reference/@value, '#')) and   not(cda:reference/@value = $section/cda:text//cda:linkHtml/@href) and    not($section/*[not(cda:text)]//cda:observationMedia/cda:value/cda:reference[@value = current()/cda:reference/@value]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(..) = ('act', 'observation') and cda:reference/@value and not(starts-with(cda:reference/@value, '#')) and not(cda:reference/@value = $section/cda:text//cda:linkHtml/@href) and not($section/*[not(cda:text)]//cda:observationMedia/cda:value/cda:reference[@value = current()/cda:reference/@value])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-14" /><xsl:text />: TC-Narr-09 step 14: The Examination Result Representation
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> references the multimedia document '<xsl:text /><xsl:value-of select="cda:reference/@value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (../cda:code/@displayName) then concat(' containing clinical information of the kind ', dh:XQueryRecursiveReplace(../cda:code/@displayName, $markup-pattern-replacement, 'ic'), '.')        else if (../cda:code/cda:originalText) then concat(' containing clinical information of the kind ', dh:XQueryRecursiveReplace(../cda:code/cda:originalText, $markup-pattern-replacement, 'ic'), '.')        else '.'" /><xsl:text />
		The multimedia document contains attested clinical information so it must be referenced from the narrative using a renderMultiMedia narrative element. To achieve that the document must be also referenced from
		an observationMedia element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> but one is not present.
		(See <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide Appendix A 'The narrative contents SHALL completely and accurately represent the clinical information encoded in the section' and
		section 4.3.5.6 of the HL7 CDA R2 specification.) Multimedia that is part of the attestable content of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> must be referenced from the narrative by a renderMultiMedia element
		and not a linkHtml element. A renderMultiMedia narrative element cannot directly reference the multimedia but references an observationMedia element which must be included and references the same multimedia
		that is referenced from the <xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text /> element. (See sections 4.3.5.2 and 4.3.5.6 of HL7 Clinical Document Architecture, Release 2.0.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M421" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M421" />
  <xsl:template match="@*|node()" priority="-2" mode="M421">
    <xsl:apply-templates select="@*|*" mode="M421" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-EncapsulatedData-8-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/   cda:entryRelationship[@typeCode='SUBJ']/cda:act/cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16513']]/   cda:entryRelationship/cda:observation/cda:entryRelationship[@typeCode='SPRT']/cda:observationMedia/cda:value" priority="1000" mode="M422">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/   cda:entryRelationship[@typeCode='SUBJ']/cda:act/cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16513']]/   cda:entryRelationship/cda:observation/cda:entryRelationship[@typeCode='SPRT']/cda:observationMedia/cda:value" />
    <xsl:variable name="the-text" select="normalize-space(string-join(text(), '')) " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="display-text-1" select="$the-text " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)        then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')), codepoints-to-string(34))       else concat('commencing with ', codepoints-to-string(34),         normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),         $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-02" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-02 else $rating-alt-TC-Types-02 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-02: The Examination Request Details - Image Details - Image
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type and
		<xsl:text /><xsl:value-of select="if (cda:reference/@value and $text-is-present) then concat('has a reference to ''', cda:reference/@value, ''' and contains the character string ',    $display-text)   else if (cda:reference/@value and not($text-is-present)) then concat('has a reference to ''', cda:reference/@value, '''')   else if (not(cda:reference/@value) and $text-is-present) then concat('contains the character string ', $display-text)   else 'has no reference and does not contain a character string' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@nullFlavor) then concat(' The nullFlavor attribute has the value ''', @nullFlavor, '''.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (@integrityCheckAlgorithm) then concat(' The integrityCheckAlgorithm attribute has the value ''', @integrityCheckAlgorithm, '''.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (@integrityCheck) then concat(' The integrityCheck attribute has the value ''', @integrityCheck, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-02" /><xsl:text />: TC-Types-02: According to the Structured Content Specification the Examination Request Details - Image Details - Image

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type
		which is derived from the HL7 'ED' data type however the xsi:type attribute has the value <xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(local-name(..) = 'observationMedia') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(local-name(..) = 'observationMedia') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-02" /><xsl:text />: TC-Types-02: According to the Structured Content Specification the Examination Request Details - Image Details - Image
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type which is derived from the HL7 'ED' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'ED'.
		(See section 5.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeED') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeED')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Examination Request Details - Image Details - Image
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type.
		The data element's value '<xsl:text /><xsl:value-of select="$display-text-1" /><xsl:text />' contains "xsitypeED" which is an invalid attempt to assign the data element's type to be the HL7 'ED' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ED'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@integrityCheckAlgorithm) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@integrityCheckAlgorithm)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-02" /><xsl:text />: TC-Types-02: The Examination Request Details - Image Details - Image
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type but does not have the
		integrityCheckAlgorithm attribute which indicates the data element does not have the HL7 'ED' data type. The Encapsulated Data data type is derived from the HL7 'ED' data type so the
		attribute xsi:type with the value 'ED' needs to be added to the data element.
		(See section 5.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('reference', 'thumbnail'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('reference', 'thumbnail'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Examination Request Details - Image Details - Image

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('reference', 'thumbnail'))])" /><xsl:text />' was found that is not expected for the EncapsulatedData data type
		so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('reference', 'thumbnail'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('reference', 'thumbnail'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Examination Request Details - Image Details - Image

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('reference', 'thumbnail'))])" /><xsl:text />' was found that is not expected for the EncapsulatedData data type
		so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'charset', 'integrityCheck', 'integrityCheckAlgorithm', 'compression', 'representation'))] and    not(@xsi:type and not(@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'charset', 'integrityCheck', 'integrityCheckAlgorithm', 'compression', 'representation'))] and not(@xsi:type and not(@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Examination Request Details - Image Details - Image

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'charset', 'integrityCheck', 'integrityCheckAlgorithm', 'compression', 'representation'))])" /><xsl:text />' was
		found that is not expected for the EncapsulatedData data type.
		The definition of the EncapsulatedData data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'charset', 'integrityCheck', 'integrityCheckAlgorithm', 'compression', 'representation'))] and    not(@xsi:type and not(@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'charset', 'integrityCheck', 'integrityCheckAlgorithm', 'compression', 'representation'))] and not(@xsi:type and not(@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Examination Request Details - Image Details - Image

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'charset', 'integrityCheck', 'integrityCheckAlgorithm', 'compression', 'representation'))])" /><xsl:text />' was
		found that is not expected for the EncapsulatedData data type.
		The definition of the EncapsulatedData data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-02" /><xsl:text />: TC-Types-02: The Examination Request Details - Image Details - Image
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type and has the attribute
		language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this attribute.
		(See section 5.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @charset ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @charset">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-02" /><xsl:text />: TC-Types-02: The Examination Request Details - Image Details - Image
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type and has the attribute
		charset='<xsl:text /><xsl:value-of select="@charset" /><xsl:text />'. Confirm that this is a valid value for this attribute.
		(See section 5.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M422" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M422" />
  <xsl:template match="@*|node()" priority="-2" mode="M422">
    <xsl:apply-templates select="@*|*" mode="M422" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-EncapsulatedData-9-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/   cda:entryRelationship[@typeCode='SUBJ']/cda:act/cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16513']]/   cda:entryRelationship/cda:observation/cda:entryRelationship[@typeCode='SPRT']/cda:observationMedia/cda:value " priority="1000" mode="M423">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/   cda:entryRelationship[@typeCode='SUBJ']/cda:act/cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16513']]/   cda:entryRelationship/cda:observation/cda:entryRelationship[@typeCode='SPRT']/cda:observationMedia/cda:value " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Examination Request Details - Image Details - Image '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Examination Request Details - Image Details - Image
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Examination Request Details - Image Details - Image data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Examination Request Details - Image Details - Image
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Examination Request Details - Image Details - Image data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Examination Request Details - Image Details - Image
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Examination Request Details - Image Details - Image
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Examination Request Details - Image Details - Image data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Examination Request Details - Image Details - Image
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M423" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M423" />
  <xsl:template match="@*|node()" priority="-2" mode="M423">
    <xsl:apply-templates select="@*|*" mode="M423" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-Link-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/   cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16692']]/cda:reference/cda:externalAct/cda:text/cda:reference " priority="1000" mode="M424">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/   cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16692']]/cda:reference/cda:externalAct/cda:text/cda:reference " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 7.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-10" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-10 else $rating-alt-TC-Types-10 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-10: The Related Images - Image Location '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Link data type and
		<xsl:text /><xsl:value-of select="if (@value and @nullFlavor) then concat('has a value attribute with the value ''', @value, ''' and a nullFlavor attribute with the value ''', @nullFlavor, '''')   else if (@value and not(@nullFlavor)) then concat('has a value attribute with the value ''', @value, '''')   else if (not(@value) and @nullFlavor) then concat('has a nullFlavor attribute with the value ''', @nullFlavor, '''')   else 'has no value or nullFlavor attributes' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'TEL' or normalize-space(substring-after(@xsi:type, ':')) = 'TEL') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'TEL' or normalize-space(substring-after(@xsi:type, ':')) = 'TEL')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-10" /><xsl:text />: TC-Types-10: According to section 3.27 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Related Images - Image Location '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Link data type which is derived from the HL7 'TEL' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is
		present. (See section 7.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-10" /><xsl:text />: TC-Types-10: According to section 3.27 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Related Images - Image Location '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Link data type which is derived from the HL7 'TEL' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'TEL'. (See section 7.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.27 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Related Images - Image Location
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Link data type however a
		child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Link data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.27 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Related Images - Image Location
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Link data type however a
		child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Link data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @useablePeriod ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@useablePeriod">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-10" /><xsl:text />: TC-Types-10: According to section 3.27 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Related Images - Image Location '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Link data type which is
		derived from the HL7 'TEL' data type. The 'useablePeriod' attribute is present with the value '<xsl:text /><xsl:value-of select="@useablePeriod" /><xsl:text />' however that attribute must not be present in
		a data element of the Link data type. (See section 7.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @use ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@use">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-10" /><xsl:text />: TC-Types-10: According to section 3.27 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Related Images - Image Location '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Link data type which is
		derived from the HL7 'TEL' data type. The 'use' attribute is present with the value '<xsl:text /><xsl:value-of select="@use" /><xsl:text />' however that attribute must not be present in
		a data element of the Link data type. (See section 7.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value' or name() = 'useablePeriod' or name() = 'use')] and    not(@xsi:type and not(@xsi:type = 'TEL' or normalize-space(substring-after(@xsi:type, ':')) = 'TEL')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value' or name() = 'useablePeriod' or name() = 'use')] and not(@xsi:type and not(@xsi:type = 'TEL' or normalize-space(substring-after(@xsi:type, ':')) = 'TEL'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.27 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Related Images - Image Location
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Link data type however an
		attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value' or name() = 'useablePeriod' or name() = 'use')])" /><xsl:text />' was found that is not
		expected for the Link data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value' or name() = 'useablePeriod' or name() = 'use')] and    not(@xsi:type and not(@xsi:type = 'TEL' or normalize-space(substring-after(@xsi:type, ':')) = 'TEL')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value' or name() = 'useablePeriod' or name() = 'use')] and not(@xsi:type and not(@xsi:type = 'TEL' or normalize-space(substring-after(@xsi:type, ':')) = 'TEL'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.27 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Related Images - Image Location
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Link data type however an
		attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value' or name() = 'useablePeriod' or name() = 'use')])" /><xsl:text />' was found that is not
		expected for the Link data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M424" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M424" />
  <xsl:template match="@*|node()" priority="-2" mode="M424">
    <xsl:apply-templates select="@*|*" mode="M424" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-Text-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/cda:targetSiteCode/cda:originalText " priority="1000" mode="M425">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/cda:targetSiteCode/cda:originalText " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Anatomical Site - Specific Location - Anatomical Location Description
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Anatomical Site - Specific Location - Anatomical Location Description 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Anatomical Site - Specific Location - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Anatomical Site - Specific Location - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Anatomical Site - Specific Location - Anatomical Location Description however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Anatomical Site - Specific Location - Anatomical Location Description in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Anatomical Site - Specific Location - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Anatomical Site - Specific Location - Anatomical Location Description however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Anatomical Site - Specific Location - Anatomical Location Description in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Anatomical Site - Specific Location - Anatomical Location Description data element with a proper value then an exclusion
		statement must be included to state why there is no Anatomical Site - Specific Location - Anatomical Location Description. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Anatomical Site - Specific Location - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Anatomical Site - Specific Location - Anatomical Location Description however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Anatomical Site - Specific Location - Anatomical Location Description in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Anatomical Site - Specific Location - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Anatomical Site - Specific Location - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Anatomical Site - Specific Location - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Anatomical Site - Specific Location - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Anatomical Site - Specific Location - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Anatomical Site - Specific Location - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Anatomical Site - Specific Location - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Anatomical Site - Specific Location - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Anatomical Site - Specific Location - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Anatomical Site - Specific Location - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M425" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M425" />
  <xsl:template match="@*|node()" priority="-2" mode="M425">
    <xsl:apply-templates select="@*|*" mode="M425" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-Text-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/cda:targetSiteCode/cda:originalText " priority="1000" mode="M426">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/cda:targetSiteCode/cda:originalText " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Anatomical Site - Specific Location - Anatomical Location Description '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Anatomical Site - Specific Location - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Anatomical Site - Specific Location - Anatomical Location Description data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Anatomical Site - Specific Location - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Anatomical Site - Specific Location - Anatomical Location Description data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Anatomical Site - Specific Location - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Anatomical Site - Specific Location - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Anatomical Site - Specific Location - Anatomical Location Description data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Anatomical Site - Specific Location - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M426" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M426" />
  <xsl:template match="@*|node()" priority="-2" mode="M426">
    <xsl:apply-templates select="@*|*" mode="M426" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-Text-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/   cda:entryRelationship/cda:act[cda:code[@codeSystem='2.16.840.1.113883.6.1' and @code='55752-0']]/cda:text " priority="1000" mode="M427">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/   cda:entryRelationship/cda:act[cda:code[@codeSystem='2.16.840.1.113883.6.1' and @code='55752-0']]/cda:text " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Clinical Information Provided
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Clinical Information Provided 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Clinical Information Provided
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Clinical Information Provided
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Clinical Information Provided however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Clinical Information Provided in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Clinical Information Provided
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Clinical Information Provided however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Clinical Information Provided in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Clinical Information Provided data element with a proper value then an exclusion
		statement must be included to state why there is no Clinical Information Provided. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Clinical Information Provided
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Clinical Information Provided however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Clinical Information Provided in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Clinical Information Provided
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Clinical Information Provided
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Clinical Information Provided
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Clinical Information Provided
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Clinical Information Provided
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Clinical Information Provided
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Clinical Information Provided
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Clinical Information Provided
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Clinical Information Provided
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Clinical Information Provided
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M427" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M427" />
  <xsl:template match="@*|node()" priority="-2" mode="M427">
    <xsl:apply-templates select="@*|*" mode="M427" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-Text-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/   cda:entryRelationship/cda:act[cda:code[@codeSystem='2.16.840.1.113883.6.1' and @code='55752-0']]/cda:text " priority="1000" mode="M428">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/   cda:entryRelationship/cda:act[cda:code[@codeSystem='2.16.840.1.113883.6.1' and @code='55752-0']]/cda:text " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Clinical Information Provided '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Clinical Information Provided
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Clinical Information Provided data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Clinical Information Provided
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Clinical Information Provided data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Clinical Information Provided
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Clinical Information Provided
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Clinical Information Provided data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Clinical Information Provided
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M428" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M428" />
  <xsl:template match="@*|node()" priority="-2" mode="M428">
    <xsl:apply-templates select="@*|*" mode="M428" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-Text-5-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/   cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16503']]/cda:text " priority="1000" mode="M429">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/   cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16503']]/cda:text " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Findings
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Findings 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Findings
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Findings
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Findings however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Findings in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Findings
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Findings however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Findings in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Findings data element with a proper value then an exclusion
		statement must be included to state why there is no Findings. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Findings
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Findings however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Findings in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Findings
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Findings
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Findings
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Findings
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Findings
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Findings
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Findings
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Findings
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Findings
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Findings
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M429" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M429" />
  <xsl:template match="@*|node()" priority="-2" mode="M429">
    <xsl:apply-templates select="@*|*" mode="M429" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-Text-6-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/   cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16503']]/cda:text " priority="1000" mode="M430">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/   cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16503']]/cda:text " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Findings '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Findings
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Findings data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Findings
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Findings data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Findings
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Findings
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Findings data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Findings
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M430" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M430" />
  <xsl:template match="@*|node()" priority="-2" mode="M430">
    <xsl:apply-templates select="@*|*" mode="M430" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-Text-7-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/   cda:entryRelationship/cda:organizer/cda:component/cda:observation/cda:entryRelationship/cda:act[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='281296001']]/cda:text " priority="1000" mode="M431">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/   cda:entryRelationship/cda:organizer/cda:component/cda:observation/cda:entryRelationship/cda:act[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='281296001']]/cda:text " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Result Comment
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Result Comment 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Result Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Result Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Result Comment however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Result Comment in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Result Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Result Comment however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Result Comment in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Result Comment data element with a proper value then an exclusion
		statement must be included to state why there is no Result Comment. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Result Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Result Comment however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Result Comment in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Result Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Result Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Result Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Result Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Result Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Result Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Result Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Result Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Result Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Result Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M431" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M431" />
  <xsl:template match="@*|node()" priority="-2" mode="M431">
    <xsl:apply-templates select="@*|*" mode="M431" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-Text-8-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/   cda:entryRelationship/cda:organizer/cda:component/cda:observation/cda:entryRelationship/cda:act[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='281296001']]/cda:text " priority="1000" mode="M432">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/   cda:entryRelationship/cda:organizer/cda:component/cda:observation/cda:entryRelationship/cda:act[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='281296001']]/cda:text " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Result Comment '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Result Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Result Comment data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Result Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Result Comment data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Result Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Result Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Result Comment data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Result Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M432" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M432" />
  <xsl:template match="@*|node()" priority="-2" mode="M432">
    <xsl:apply-templates select="@*|*" mode="M432" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-Text-9-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/   cda:entryRelationship/cda:organizer/cda:component/cda:observation/cda:targetSiteCode/cda:originalText " priority="1000" mode="M433">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/   cda:entryRelationship/cda:organizer/cda:component/cda:observation/cda:targetSiteCode/cda:originalText " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Result Group - Anatomical Location Description
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Result Group - Anatomical Location Description 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Result Group - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Result Group - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Result Group - Anatomical Location Description however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Result Group - Anatomical Location Description in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Result Group - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Result Group - Anatomical Location Description however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Result Group - Anatomical Location Description in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Result Group - Anatomical Location Description data element with a proper value then an exclusion
		statement must be included to state why there is no Result Group - Anatomical Location Description. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Result Group - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Result Group - Anatomical Location Description however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Result Group - Anatomical Location Description in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Result Group - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Result Group - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Result Group - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Result Group - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Result Group - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Result Group - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Result Group - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Result Group - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Result Group - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Result Group - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M433" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M433" />
  <xsl:template match="@*|node()" priority="-2" mode="M433">
    <xsl:apply-templates select="@*|*" mode="M433" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-Text-10-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/   cda:entryRelationship/cda:organizer/cda:component/cda:observation/cda:targetSiteCode/cda:originalText " priority="1000" mode="M434">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/   cda:entryRelationship/cda:organizer/cda:component/cda:observation/cda:targetSiteCode/cda:originalText " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Result Group - Anatomical Location Description '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Result Group - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Result Group - Anatomical Location Description data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Result Group - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Result Group - Anatomical Location Description data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Result Group - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Result Group - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Result Group - Anatomical Location Description data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Result Group - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M434" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M434" />
  <xsl:template match="@*|node()" priority="-2" mode="M434">
    <xsl:apply-templates select="@*|*" mode="M434" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-Text-11-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/   cda:entryRelationship/cda:act/cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16512']]/cda:text " priority="1000" mode="M435">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/   cda:entryRelationship/cda:act/cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16512']]/cda:text " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Examination Requested Name
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Examination Requested Name 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Examination Requested Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Examination Requested Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Examination Requested Name however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Examination Requested Name in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Examination Requested Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Examination Requested Name however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Examination Requested Name in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Examination Requested Name data element with a proper value then an exclusion
		statement must be included to state why there is no Examination Requested Name. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Examination Requested Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Examination Requested Name however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Examination Requested Name in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Examination Requested Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Examination Requested Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Examination Requested Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Examination Requested Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Examination Requested Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Examination Requested Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Examination Requested Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Examination Requested Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Examination Requested Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Examination Requested Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M435" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M435" />
  <xsl:template match="@*|node()" priority="-2" mode="M435">
    <xsl:apply-templates select="@*|*" mode="M435" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-Text-12-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/   cda:entryRelationship/cda:act/cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16512']]/cda:text " priority="1000" mode="M436">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/   cda:entryRelationship/cda:act/cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16512']]/cda:text " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Examination Requested Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Examination Requested Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Examination Requested Name data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Examination Requested Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Examination Requested Name data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Examination Requested Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Examination Requested Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Examination Requested Name data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Examination Requested Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M436" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M436" />
  <xsl:template match="@*|node()" priority="-2" mode="M436">
    <xsl:apply-templates select="@*|*" mode="M436" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-Text-13-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/   cda:entryRelationship/cda:act/cda:entryRelationship/cda:act/cda:entryRelationship/cda:observation/   cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16519']]/cda:value " priority="1000" mode="M437">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/   cda:entryRelationship/cda:act/cda:entryRelationship/cda:act/cda:entryRelationship/cda:observation/   cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16519']]/cda:value " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Subject Position
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Subject Position 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Subject Position
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Subject Position
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Subject Position however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Subject Position in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Subject Position
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Subject Position however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Subject Position in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Subject Position data element with a proper value then an exclusion
		statement must be included to state why there is no Subject Position. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Subject Position
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Subject Position however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Subject Position in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Subject Position
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Subject Position
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Subject Position
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Subject Position
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Subject Position
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Subject Position
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Subject Position
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Subject Position
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Subject Position
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Subject Position
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M437" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M437" />
  <xsl:template match="@*|node()" priority="-2" mode="M437">
    <xsl:apply-templates select="@*|*" mode="M437" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-Text-14-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/   cda:entryRelationship/cda:act/cda:entryRelationship/cda:act/cda:entryRelationship/cda:observation/   cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16519']]/cda:value " priority="1000" mode="M438">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/   cda:entryRelationship/cda:act/cda:entryRelationship/cda:act/cda:entryRelationship/cda:observation/   cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16519']]/cda:value " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Subject Position '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Subject Position
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Subject Position data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Subject Position
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Subject Position data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Subject Position
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Subject Position
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Subject Position data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Subject Position
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M438" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M438" />
  <xsl:template match="@*|node()" priority="-2" mode="M438">
    <xsl:apply-templates select="@*|*" mode="M438" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-Text-15-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16145' = $doc-sections][$templateId-root = '1.2.36.1.2001.1001.100.1002.222' and $templateId-ext = '1.0']/   cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/   cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='105.16633']]/cda:text " priority="1000" mode="M439">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16145' = $doc-sections][$templateId-root = '1.2.36.1.2001.1001.100.1002.222' and $templateId-ext = '1.0']/   cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/   cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='105.16633']]/cda:text " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Examination Procedure
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 3.21 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Examination Procedure 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 3.21 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Examination Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 3.21 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Examination Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Examination Procedure however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Examination Procedure in section 3.21 of the Diagnostic Imaging Report Structured Content Specification v1.0 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 3.21 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Examination Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Examination Procedure however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Examination Procedure in section 3.21 of the Diagnostic Imaging Report Structured Content Specification v1.0 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Examination Procedure data element with a proper value then an exclusion
		statement must be included to state why there is no Examination Procedure. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 3.21 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Examination Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Examination Procedure however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Examination Procedure in section 3.21 of the Diagnostic Imaging Report Structured Content Specification v1.0 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 3.21 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Examination Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.21 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Examination Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.21 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Examination Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.21 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Examination Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.21 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Examination Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.21 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Examination Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.21 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Examination Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.21 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Examination Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.21 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Examination Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 3.21 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Examination Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M439" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M439" />
  <xsl:template match="@*|node()" priority="-2" mode="M439">
    <xsl:apply-templates select="@*|*" mode="M439" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-Text-16-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16145' = $doc-sections][not($templateId-root = '1.2.36.1.2001.1001.100.1002.222' and $templateId-ext = '1.0')]/   cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/   cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='105.16633']]/cda:text " priority="1000" mode="M440">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16145' = $doc-sections][not($templateId-root = '1.2.36.1.2001.1001.100.1002.222' and $templateId-ext = '1.0')]/   cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/   cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='105.16633']]/cda:text " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Examination Procedure
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 3.21 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Examination Procedure 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 3.21 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Examination Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 3.21 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Examination Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Examination Procedure however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Examination Procedure in section 3.21 of the Diagnostic Imaging Report Structured Content Specification v1.0 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 3.21 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Examination Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Examination Procedure however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Examination Procedure in section 3.21 of the Diagnostic Imaging Report Structured Content Specification v1.0 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Examination Procedure data element with a proper value then an exclusion
		statement must be included to state why there is no Examination Procedure. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 3.21 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Examination Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Examination Procedure however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Examination Procedure in section 3.21 of the Diagnostic Imaging Report Structured Content Specification v1.0 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 3.21 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Examination Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.21 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Examination Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.21 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Examination Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.21 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Examination Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.21 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Examination Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.21 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Examination Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.21 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Examination Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.21 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Examination Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.21 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Examination Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 3.21 of the Diagnostic Imaging Report Structured Content Specification v1.0 the Examination Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M440" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M440" />
  <xsl:template match="@*|node()" priority="-2" mode="M440">
    <xsl:apply-templates select="@*|*" mode="M440" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-Text-17-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/   cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='105.16633']]/cda:text " priority="1000" mode="M441">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/   cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='105.16633']]/cda:text " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Examination Procedure '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Examination Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Examination Procedure data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Examination Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Examination Procedure data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Examination Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Examination Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Examination Procedure data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Examination Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M441" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M441" />
  <xsl:template match="@*|node()" priority="-2" mode="M441">
    <xsl:apply-templates select="@*|*" mode="M441" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-UniqueIdentifier-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/   cda:entryRelationship/cda:act/cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16513']]/cda:id " priority="1000" mode="M442">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/   cda:entryRelationship/cda:act/cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16513']]/cda:id " />
    <xsl:variable name="agency-namespace" select="@root and (matches(@root, '^1\.2\.36\.1\.2001\.1001\.10[0-4]{1}\.') or matches(@root, '^1\.2\.36\.1\.2001\.1006\.')) " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-11" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-11 else $rating-alt-TC-Types-11 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="ii-context" select="if (ancestor::cda:recordTarget and ancestor::ext:asEntityIdentifier) then 'default' else 'alternative' " />
    <xsl:variable name="rating-73" select="if ($initial-priority) then $initial-rating       else if ($ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/test-case[@id='TC-Types-73']/@rating)        then concat(' (', $ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/test-case[@id='TC-Types-73']/@rating, ')')       else if ($ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/@rating)       then concat(' (', $ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/@rating, ')')       else '' " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-11: The DICOM Study Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type and has <xsl:text /><xsl:value-of select="iq:display-II(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-11" /><xsl:text />: TC-Types-11: According to the Structured Content Specification the DICOM Study Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type which
		is derived from the HL7 'II' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present.
		(See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-11" /><xsl:text />: TC-Types-11: According to the Structured Content Specification the DICOM Study Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type which is derived from the HL7 'II' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'II'. (See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the DICOM Study Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the UniqueIdentifier data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the DICOM Study Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the UniqueIdentifier data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and   not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the DICOM Study Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however the attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))])" /><xsl:text />' was found that is not in the list of attributes
		expected for the UniqueIdentifier data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and   not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the DICOM Study Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however the attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))])" /><xsl:text />' was found that is not in the list of attributes
		expected for the UniqueIdentifier data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $agency-namespace ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$agency-namespace">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-73" /><xsl:text />: TC-Types-73:  The DICOM Study Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-II(.)" /><xsl:text />. The value of the root attribute identifies the
		'<xsl:text /><xsl:value-of select="$namespaces/namespace[starts-with(current()/@root, concat(@OID-prefix, '.'))]/@name" /><xsl:text />' namespace which is reserved for use by the Australian Digital Health Agency.
		The value of the root attribute must define the namespace for the extension attribute whose value is required to be the identifier of the diagnostic imaging study allocated by the imaging service.
		(See section 7.6.7.3.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and the DICOM Study Identifier definition in the Structured Content Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M442" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M442" />
  <xsl:template match="@*|node()" priority="-2" mode="M442">
    <xsl:apply-templates select="@*|*" mode="M442" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-UniqueIdentifier-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/   cda:entryRelationship/cda:act/cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16514']]/cda:id " priority="1000" mode="M443">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/   cda:entryRelationship/cda:act/cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16514']]/cda:id " />
    <xsl:variable name="agency-namespace" select="@root and (matches(@root, '^1\.2\.36\.1\.2001\.1001\.10[0-4]{1}\.') or matches(@root, '^1\.2\.36\.1\.2001\.1006\.')) " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-11" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-11 else $rating-alt-TC-Types-11 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="ii-context" select="if (ancestor::cda:recordTarget and ancestor::ext:asEntityIdentifier) then 'default' else 'alternative' " />
    <xsl:variable name="rating-73" select="if ($initial-priority) then $initial-rating       else if ($ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/test-case[@id='TC-Types-73']/@rating)        then concat(' (', $ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/test-case[@id='TC-Types-73']/@rating, ')')       else if ($ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/@rating)       then concat(' (', $ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/@rating, ')')       else '' " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-11: The Report Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type and has <xsl:text /><xsl:value-of select="iq:display-II(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-11" /><xsl:text />: TC-Types-11: According to the Structured Content Specification the Report Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type which
		is derived from the HL7 'II' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present.
		(See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-11" /><xsl:text />: TC-Types-11: According to the Structured Content Specification the Report Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type which is derived from the HL7 'II' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'II'. (See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Report Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the UniqueIdentifier data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Report Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the UniqueIdentifier data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and   not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Report Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however the attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))])" /><xsl:text />' was found that is not in the list of attributes
		expected for the UniqueIdentifier data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and   not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Report Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however the attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))])" /><xsl:text />' was found that is not in the list of attributes
		expected for the UniqueIdentifier data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $agency-namespace ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$agency-namespace">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-73" /><xsl:text />: TC-Types-73:  The Report Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-II(.)" /><xsl:text />. The value of the root attribute identifies the
		'<xsl:text /><xsl:value-of select="$namespaces/namespace[starts-with(current()/@root, concat(@OID-prefix, '.'))]/@name" /><xsl:text />' namespace which is reserved for use by the Australian Digital Health Agency.
		The value of the root attribute must define the namespace for the extension attribute whose value is required to identify the imaging examination report.
		(See section 7.6.7.3.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and the Report Identifier definition in the Structured Content Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M443" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M443" />
  <xsl:template match="@*|node()" priority="-2" mode="M443">
    <xsl:apply-templates select="@*|*" mode="M443" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-UniqueIdentifier-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/   cda:entryRelationship/cda:act/cda:entryRelationship/cda:act/cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16515']]/   cda:id " priority="1000" mode="M444">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/   cda:entryRelationship/cda:act/cda:entryRelationship/cda:act/cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16515']]/   cda:id " />
    <xsl:variable name="agency-namespace" select="@root and (matches(@root, '^1\.2\.36\.1\.2001\.1001\.10[0-4]{1}\.') or matches(@root, '^1\.2\.36\.1\.2001\.1006\.')) " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-11" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-11 else $rating-alt-TC-Types-11 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="ii-context" select="if (ancestor::cda:recordTarget and ancestor::ext:asEntityIdentifier) then 'default' else 'alternative' " />
    <xsl:variable name="rating-73" select="if ($initial-priority) then $initial-rating       else if ($ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/test-case[@id='TC-Types-73']/@rating)        then concat(' (', $ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/test-case[@id='TC-Types-73']/@rating, ')')       else if ($ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/@rating)       then concat(' (', $ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/@rating, ')')       else '' " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-11: The Image Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type and has <xsl:text /><xsl:value-of select="iq:display-II(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-11" /><xsl:text />: TC-Types-11: According to the Structured Content Specification the Image Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type which
		is derived from the HL7 'II' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present.
		(See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-11" /><xsl:text />: TC-Types-11: According to the Structured Content Specification the Image Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type which is derived from the HL7 'II' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'II'. (See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Image Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the UniqueIdentifier data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Image Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the UniqueIdentifier data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and   not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Image Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however the attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))])" /><xsl:text />' was found that is not in the list of attributes
		expected for the UniqueIdentifier data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and   not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Image Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however the attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))])" /><xsl:text />' was found that is not in the list of attributes
		expected for the UniqueIdentifier data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $agency-namespace ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$agency-namespace">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-73" /><xsl:text />: TC-Types-73:  The Image Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-II(.)" /><xsl:text />. The value of the root attribute identifies the
		'<xsl:text /><xsl:value-of select="$namespaces/namespace[starts-with(current()/@root, concat(@OID-prefix, '.'))]/@name" /><xsl:text />' namespace which is reserved for use by the Australian Digital Health Agency.
		The value of the root attribute must define the namespace for the extension attribute whose value is required to be the identifier of the image allocated by the imaging service.
		(See section 7.6.7.3.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and the Image Identifier definition in the Structured Content Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M444" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M444" />
  <xsl:template match="@*|node()" priority="-2" mode="M444">
    <xsl:apply-templates select="@*|*" mode="M444" />
  </xsl:template>
  <!--PATTERN p-TS-ImagExamRes-UniqueIdentifier-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/   cda:entryRelationship/cda:act/cda:entryRelationship/cda:act/cda:entryRelationship/cda:observation/   cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16517']]/cda:id " priority="1000" mode="M445">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/   cda:entryRelationship/cda:act/cda:entryRelationship/cda:act/cda:entryRelationship/cda:observation/   cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16517']]/cda:id " />
    <xsl:variable name="agency-namespace" select="@root and (matches(@root, '^1\.2\.36\.1\.2001\.1001\.10[0-4]{1}\.') or matches(@root, '^1\.2\.36\.1\.2001\.1006\.')) " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-11" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-11 else $rating-alt-TC-Types-11 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="ii-context" select="if (ancestor::cda:recordTarget and ancestor::ext:asEntityIdentifier) then 'default' else 'alternative' " />
    <xsl:variable name="rating-73" select="if ($initial-priority) then $initial-rating       else if ($ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/test-case[@id='TC-Types-73']/@rating)        then concat(' (', $ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/test-case[@id='TC-Types-73']/@rating, ')')       else if ($ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/@rating)       then concat(' (', $ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/@rating, ')')       else '' " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-11: The DICOM Series Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type and has <xsl:text /><xsl:value-of select="iq:display-II(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-11" /><xsl:text />: TC-Types-11: According to the Structured Content Specification the DICOM Series Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type which
		is derived from the HL7 'II' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present.
		(See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-11" /><xsl:text />: TC-Types-11: According to the Structured Content Specification the DICOM Series Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type which is derived from the HL7 'II' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'II'. (See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the DICOM Series Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the UniqueIdentifier data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the DICOM Series Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the UniqueIdentifier data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and   not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the DICOM Series Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however the attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))])" /><xsl:text />' was found that is not in the list of attributes
		expected for the UniqueIdentifier data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and   not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the DICOM Series Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however the attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))])" /><xsl:text />' was found that is not in the list of attributes
		expected for the UniqueIdentifier data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $agency-namespace ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$agency-namespace">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-73" /><xsl:text />: TC-Types-73:  The DICOM Series Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-II(.)" /><xsl:text />. The value of the root attribute identifies the
		'<xsl:text /><xsl:value-of select="$namespaces/namespace[starts-with(current()/@root, concat(@OID-prefix, '.'))]/@name" /><xsl:text />' namespace which is reserved for use by the Australian Digital Health Agency.
		The value of the root attribute must define the namespace for the extension attribute whose value is required to be the identifier of this imaging series allocated by the imaging service.
		(See section 7.6.7.3.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and the DICOM Series Identifier definition in the Structured Content Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M445" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M445" />
  <xsl:template match="@*|node()" priority="-2" mode="M445">
    <xsl:apply-templates select="@*|*" mode="M445" />
  </xsl:template>
  <!--PATTERN p-TS-Immun-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16638' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16638'] " priority="1000" mode="M446">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16638' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16638'] " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating" select="if ($initial-priority) then $initial-rating else if ($FS-Types-seq/@rating) then concat(' (', $FS-Types-seq/@rating, ')') else '' " />
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and not( /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')] or        /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')]) and $extensions-allowed">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not( /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')] or /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')]) and $extensions-allowed">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: FS-Types: The Immunisations section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16638') has been found in a <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. The Immunisations section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16638') is defined in the digital health specifications but
		although tests have been applied to the data elements the specification of the data elements may have been varied for inclusion in this document
		so further examination may be needed. The rules have been validated for <xsl:text /><xsl:value-of select="normalize-space(' Shared Health Summary CDA Implementation Guide version 1.3 and 1.4; and        Event Summary CDA Implementation Guide version 1.2 and 1.3')" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M446" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M446" />
  <xsl:template match="@*|node()" priority="-2" mode="M446">
    <xsl:apply-templates select="@*|*" mode="M446" />
  </xsl:template>
  <!--PATTERN p-TS-Immun-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16638' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16638']]/cda:component/cda:section " priority="1000" mode="M447">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16638' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16638']]/cda:component/cda:section " />
    <xsl:variable name="agency-section" select=" cda:code/@codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="test-step" select=" if (not($extensions-allowed)) then 'step 4'        else if ($agency-section) then 'step 3' else 'step 1' " />
    <xsl:variable name="title-and-code" select=" if (cda:title and cda:code/@code) then concat('title ''', cda:title, ''', code/code ''', cda:code/@code, '''')        else if (cda:title and not(cda:code/@code)) then concat('title ''', cda:title, '''')        else if (not(cda:title) and cda:code/@code) then concat('code/code ''', cda:code/@code, '''')        else '' " />
    <xsl:variable name="other-section-names" select=" if (cda:code/@displayName and not(cda:code/cda:originalText)) then concat(' and code/displayName ''', cda:code/@displayName, '''')         else if (cda:code/@displayName and cda:code/cda:originalText)          then concat(', code/displayName ''', cda:code/@displayName,''' and code/originalText ''', cda:code/cda:originalText, '''')        else if (not(cda:code/@displayName) and cda:code/cda:originalText) then concat(' and code/originalText ''', cda:code/cda:originalText, '''')        else '' " />
    <xsl:variable name="section-names" select="concat($title-and-code, $other-section-names)" />
    <xsl:variable name="doc-code" select="/cda:ClinicalDocument/cda:code" />
    <xsl:variable name="parent-section" select="ancestor::cda:section[position()=1]" />
    <xsl:variable name="custom-section-info" select="($iq-config/custom-sections/section, $knowledge/custom-sections/section)[        @doc-code  = $doc-code/@code          and        @doc-codeSystem  = $doc-code/@codeSystem          and        @parent-code   = $parent-section/cda:code/@code         and         @parent-codeSystem  = $parent-section/cda:code/@codeSystem        and         (@title = current()/cda:title or (@code = current()/cda:code/@code and @codeSystem = current()/cda:code/@codeSystem)) ] " />
    <xsl:variable name="section-disallowed" select="$custom-section-info/@disallowed = 'yes' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and ($section-disallowed or not(exists($custom-section-info)))) then $rating-alt-TC-Doc-28-step-1        else if ($test-step = 'step 1' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections]) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 3') then $rating-TC-Doc-28-step-3 else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and $section-disallowed ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and $section-disallowed">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Immunisations section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16638') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> which
		is an extension to the information model however the inclusion of this section conflicts with sections defined in the digital health specifications.
		<xsl:text /><xsl:value-of select="$custom-section-info[@disallowed = 'yes']/@reason" /><xsl:text /> (Also see <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not(false()) and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(false()) and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Immunisations section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16638') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. No subsection is expected so this
		is an extension to the information model. Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the 
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(false()) and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(false()) and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Immunisations section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16638') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> but no subsections were
		expected so the document fails to meet the requirement that it must not contain additional data elements. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and false() and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and false() and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Immunisations section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16638') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		none are expected but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the information model.
		Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Immunisations section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16638') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		none are expected but the inclusion of the section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> fails to meet the requirement that it must not contain additional data elements.
		(See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M447" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M447" />
  <xsl:template match="@*|node()" priority="-2" mode="M447">
    <xsl:apply-templates select="@*|*" mode="M447" />
  </xsl:template>
  <!--PATTERN p-TS-Immun-CodeableText-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16638' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16638']]/cda:entry/   cda:substanceAdministration/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code " priority="1000" mode="M448">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16638' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16638']]/cda:entry/   cda:substanceAdministration/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Therapeutic Good Identification',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'disallowed' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'disallowed' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Therapeutic Good Identification however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Therapeutic Good Identification in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'disallowed' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'disallowed' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Therapeutic Good Identification however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Therapeutic Good Identification in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Therapeutic Good Identification data element must have a value that is consistent with this definition. Alternatively if there is no Therapeutic Good Identification data element with a proper value then an exclusion
		statement must be included to state why there is no Therapeutic Good Identification.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'disallowed' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'disallowed' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Therapeutic Good Identification however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Therapeutic Good Identification in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'disallowed' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'disallowed' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Therapeutic Good Identification however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Therapeutic Good Identification in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Therapeutic Good Identification data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'disallowed' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'disallowed' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Therapeutic Good Identification however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Therapeutic Good Identification in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Therapeutic Good Identification data element must have a value that is consistent with this definition. Alternatively if there is no Therapeutic Good Identification data element with a proper value then an exclusion
		statement must be included to state why there is no Therapeutic Good Identification.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'disallowed' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'disallowed' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Therapeutic Good Identification however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Therapeutic Good Identification in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Therapeutic Good Identification data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Therapeutic Good Identification.
		(See the definition of Therapeutic Good Identification in the Structured Content Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M448" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M448" />
  <xsl:template match="@*|node()" priority="-2" mode="M448">
    <xsl:apply-templates select="@*|*" mode="M448" />
  </xsl:template>
  <!--PATTERN p-TS-Immun-CodeableText-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '101.16638' = $doc-sections][cda:templateId[         (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.3') ]]/cda:component/cda:structuredBody/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16638']]/cda:entry/         cda:substanceAdministration/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code         [@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " priority="1000" mode="M449">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '101.16638' = $doc-sections][cda:templateId[         (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.3') ]]/cda:component/cda:structuredBody/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16638']]/cda:entry/         cda:substanceAdministration/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code         [@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="pnullFlavor" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @nullFlavor) then @nullFlavor else '' " />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-p-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then false()        else if ($psnomed-id = 'amtv3' and @codeSystemVersion) then exists($v-amtv3[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($psnomed-id = 'snomedctau' and @codeSystemVersion) then exists($v-snomedctau[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false() " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and $pcode != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used to assess the primary code.') " />
    <xsl:variable name="pcode-refsets-1" select="if (@codeSystem = '2.16.840.1.113883.6.96' and not($pcode = ''))         then dh:FindValueDomainsForCode($pcode, '2.16.840.1.113883.6.96', $v-psnomed-version) else 'no-code' " />
    <xsl:variable name="pcode-found" select="not($pcode-refsets-1 = 'no-code' or $pcode-refsets-1 = 'CodeNotFound' or $pcode-refsets-1 = 'Error'        or contains($pcode-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="pcode-refsets" select="if ($pcode-found) then distinct-values(tokenize($pcode-refsets-1, '\|')) else () " />
    <xsl:variable name="pcode-special-proc" select="count($pcode-refsets) = 1 and 'Procedure Foundation (PF)' = $pcode-refsets and not($pnullFlavor = 'OTH') " />
    <xsl:variable name="pcode-refsets-msg" select="if (count($pcode-refsets) = 0) then ''         else if (count($pcode-refsets) = 1) then concat('The code is a member of the ', $pcode-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($pcode-refsets, ', '), '.') " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))         else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-1" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="snomed-trans-2" select="distinct-values(for $i in (1 to count($snomed-trans-1)) return $snomed-trans-1[$i]/@code) " />
    <xsl:variable name="snomed-trans-a" select="$snomed-trans-1[1] " />
    <xsl:variable name="tcode-a" select="if (exists($snomed-trans-a) and matches($snomed-trans-a/@code, $snomed-code-regex)) then $snomed-trans-a/@code else '' " />
    <xsl:variable name="tnullFlavor-a" select="if (exists($snomed-trans-a) and $snomed-trans-a/@nullFlavor) then $snomed-trans-a/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-a" select="if (not(exists($snomed-trans-a))) then 'not-snomed'        else if (not($snomed-trans-a/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-a/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-a" select="if (not(exists($snomed-trans-a))) then ''        else if ($tsnomed-id-a = 'amtv3' and exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-a = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-a/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-a" select="if (not(exists($snomed-trans-a))) then false()        else if ($tsnomed-id-a = 'amtv3' and $snomed-trans-a/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-a = 'snomedctau' and $snomed-trans-a/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-a-msg" select="if (not(exists($snomed-trans-a))) then ''        else if (not($snomed-trans-a/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-a, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-a = 'amtv3') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-a = 'snomedctau') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-a/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-a, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-a/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-a-refsets-1" select="if (exists($snomed-trans-a) and not($tcode-a = ''))         then dh:FindValueDomainsForCode($tcode-a, '2.16.840.1.113883.6.96', $v-tsnomed-version-a) else 'no-code' " />
    <xsl:variable name="tcode-a-found" select="not($tcode-a-refsets-1 = 'no-code' or $tcode-a-refsets-1 = 'CodeNotFound' or $tcode-a-refsets-1 = 'Error'         or contains($tcode-a-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-a-refsets" select="if ($tcode-a-found) then distinct-values(tokenize($tcode-a-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-a-special-proc" select="count($tcode-a-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-a-refsets and not($tnullFlavor-a = 'OTH') " />
    <xsl:variable name="tcode-a-refsets-msg" select="if (count($tcode-a-refsets) = 0) then ''         else if (count($tcode-a-refsets) = 1) then concat('The code is a member of the ', $tcode-a-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-a-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@code and $snomed-trans-a/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-a/@displayName, codepoints-to-string(34))         else if ($snomed-trans-a/@code and not($snomed-trans-a/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@codeSystem and $snomed-trans-a/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-a/@codeSystemName, ')')         else if ($snomed-trans-a/@codeSystem and not($snomed-trans-a/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-b" select="(for $i in (2 to count($snomed-trans-1)) return if ($snomed-trans-1[$i]/@code != $snomed-trans-a/@code) then $snomed-trans-1[$i] else ())[1] " />
    <xsl:variable name="tcode-b" select="if (exists($snomed-trans-b) and matches($snomed-trans-b/@code, $snomed-code-regex)) then $snomed-trans-b/@code else '' " />
    <xsl:variable name="tnullFlavor-b" select="if (exists($snomed-trans-b) and $snomed-trans-b/@nullFlavor) then $snomed-trans-b/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-b" select="if (not(exists($snomed-trans-b))) then 'not-snomed'        else if (not($snomed-trans-b/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-b/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-b" select="if (not(exists($snomed-trans-b))) then ''        else if ($tsnomed-id-b = 'amtv3' and exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-b = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-b/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-b" select="if (not(exists($snomed-trans-b))) then false()        else if ($tsnomed-id-b = 'amtv3' and $snomed-trans-b/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-b = 'snomedctau' and $snomed-trans-b/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-b-msg" select="if (not(exists($snomed-trans-b))) then ''        else if (not($snomed-trans-b/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-b, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-b = 'amtv3') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-b = 'snomedctau') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-b/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-b, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-b/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-b-refsets-1" select="if (exists($snomed-trans-b) and not($tcode-b = ''))         then dh:FindValueDomainsForCode($tcode-b, '2.16.840.1.113883.6.96', $v-tsnomed-version-b) else 'no-code' " />
    <xsl:variable name="tcode-b-found" select="not($tcode-b-refsets-1 = 'no-code' or $tcode-b-refsets-1 = 'CodeNotFound' or $tcode-b-refsets-1 = 'Error'         or contains($tcode-b-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-b-refsets" select="if ($tcode-b-found) then distinct-values(tokenize($tcode-b-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-b-special-proc" select="count($tcode-b-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-b-refsets and not($tnullFlavor-b = 'OTH') " />
    <xsl:variable name="tcode-b-refsets-msg" select="if (count($tcode-b-refsets) = 0) then ''         else if (count($tcode-b-refsets) = 1) then concat('The code is a member of the ', $tcode-b-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-b-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@code and $snomed-trans-b/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-b/@displayName, codepoints-to-string(34))         else if ($snomed-trans-b/@code and not($snomed-trans-b/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@codeSystem and $snomed-trans-b/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-b/@codeSystemName, ')')         else if ($snomed-trans-b/@codeSystem and not($snomed-trans-b/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-60" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-60 else $rating-alt-TC-Types-60 " />
    <!--REPORT -->
    <xsl:if test=" $pcode-found and $pcode-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pcode-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD (p-TS-CD-SCT-RefSet): An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$pcode" /><xsl:text />',
		codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-psnomed-version" /><xsl:text />'. This error occurred when assessing the Therapeutic Good Identification data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. The value is not valid for the data element as it describes a medical
		procedure and not a medical problem or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify a vaccine administered to the consumer at any         time.  The value must include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.8 and 12.5 of the Shared Health Summary Structured Content Specification v1.1.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the code is not a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the list of reference sets stated in section 3.7 of the Medication Instruction and Action Detailed Clinical Model         Specification v2.4, which allows more reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the list of reference sets stated in section 3.7 of the Medication Instruction and Action Detailed Clinical Model         Specification v2.4, which allows more reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the list of reference sets stated in section 3.7 of the Medication Instruction and Action Detailed Clinical Model         Specification v2.4, which allows more reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. Confirm if the code is a member of the value domain.
		If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the list of reference sets stated in section 3.7 of the Medication Instruction and Action Detailed Clinical Model         Specification v2.4, which allows more reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="count($snomed-trans-1)" /><xsl:text /> translation elements with
		codes and the SNOMED CT-AU codeSystem '2.16.840.1.113883.6.96'. The first two translation elements have been assessed to determine if the codes are members of the value domain
		and the others have not been assessed. Confirm if the value of the code attribute in all SNOMED CT translation elements meets the requirement that it be a member of the value domain
		if there is no nullFlavor 'OTH' or that there is a nullFlavor 'OTH' if the value of the code attribute is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text /> 
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the list of reference sets stated in section 3.7 of the Medication Instruction and Action Detailed Clinical Model         Specification v2.4, which allows more reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-a" /><xsl:text />'. This error occurred when assessing the Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify a vaccine administered to the consumer at any         time.  The value must include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.8 and 12.5 of the Shared Health Summary Structured Content Specification v1.1.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the list of reference sets stated in section 3.7 of the Medication Instruction and Action Detailed Clinical Model         Specification v2.4, which allows more reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the list of reference sets stated in section 3.7 of the Medication Instruction and Action Detailed Clinical Model         Specification v2.4, which allows more reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the list of reference sets stated in section 3.7 of the Medication Instruction and Action Detailed Clinical Model         Specification v2.4, which allows more reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the list of reference sets stated in section 3.7 of the Medication Instruction and Action Detailed Clinical Model         Specification v2.4, which allows more reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-b" /><xsl:text />'. This error occurred when assessing the Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> 
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify a vaccine administered to the consumer at any         time.  The value must include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.8 and 12.5 of the Shared Health Summary Structured Content Specification v1.1.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the list of reference sets stated in section 3.7 of the Medication Instruction and Action Detailed Clinical Model         Specification v2.4, which allows more reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the list of reference sets stated in section 3.7 of the Medication Instruction and Action Detailed Clinical Model         Specification v2.4, which allows more reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the list of reference sets stated in section 3.7 of the Medication Instruction and Action Detailed Clinical Model         Specification v2.4, which allows more reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the list of reference sets stated in section 3.7 of the Medication Instruction and Action Detailed Clinical Model         Specification v2.4, which allows more reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M449" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M449" />
  <xsl:template match="@*|node()" priority="-2" mode="M449">
    <xsl:apply-templates select="@*|*" mode="M449" />
  </xsl:template>
  <!--PATTERN p-TS-Immun-CodeableText-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '101.16638' = $doc-sections][cda:templateId[         (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.3') ]]/cda:component/cda:structuredBody/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16638']]/cda:entry/         cda:substanceAdministration/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code         [(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or          not(@code and @codeSystem and @codeSystem = $defn-immun-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])][not(@nullFlavor = $no-value-NF)] " priority="1000" mode="M450">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '101.16638' = $doc-sections][cda:templateId[         (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.3') ]]/cda:component/cda:structuredBody/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16638']]/cda:entry/         cda:substanceAdministration/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code         [(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or          not(@code and @codeSystem and @codeSystem = $defn-immun-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])][not(@nullFlavor = $no-value-NF)] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="snomed-trans" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="tcode" select="if (exists($snomed-trans[1]) and matches($snomed-trans[1]/@code, $snomed-code-regex)) then $snomed-trans[1]/@code else '' " />
    <xsl:variable name="code-present" select="$pcode != '' or $tcode != '' " />
    <xsl:variable name="invalid-code-system" select="@code and @displayName and @codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="codesystemvalues" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']" />
    <xsl:variable name="otext-without-markup" select="if (cda:originalText and cda:originalText != '') then normalize-space(replace(cda:originalText, $markup-regex, ' ')) else '' " />
    <xsl:variable name="pdname" select="if (@displayName and not($invalid-code-system)) then normalize-space(@displayName) else '' " />
    <xsl:variable name="is-immun" select="exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='101.16638' or @code = '101.16658' or @code = '101.17039')]]) " />
    <xsl:variable name="is-pd" select="exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code = '102.16210' or @code='102.16211' or @code='101.16795')]]) " />
    <xsl:variable name="is-shs-meds" select="$templateId-root = '1.2.36.1.2001.1001.101.100.1002.120' and          exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]) " />
    <xsl:variable name="is-meds" select="exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code = '101.16146.4.1.1' or @code = '101.16146.4.1.2' or @code='101.16146')]]) " />
    <xsl:variable name="max-code-number" select="if ($knowledge/search-for-term/max-sct-code-number/@value &gt; '5') then $knowledge/search-for-term/max-sct-code-number/@value else '5' " />
    <xsl:variable name="der-text-1" select="if ($code-present) then ''         else if ($otext-without-markup != '') then $otext-without-markup        else if ($pdname != '') then $pdname        else '' " />
    <xsl:variable name="family-err" select="matches($der-text-1, $family-regex, 'is')" />
    <xsl:variable name="der-truncated-text-1" select="normalize-space(replace(replace($der-text-1, $unicode-br-truncation-regex, '$1', 'is'), $tgi-truncation-regex, '$1', 'is')) " />
    <xsl:variable name="length-err" select="string-length($der-truncated-text-1) &gt; $length-err-max" />
    <xsl:variable name="prose-err-1" select="$length-err and cda:originalText and (        matches(cda:originalText, $ulist-regex)           or         matches(cda:originalText, $alt-ulist-1a-regex, 'is')         or         matches(cda:originalText, $alt-ulist-1b-regex, 'is')         )" />
    <xsl:variable name="prose-err" select="$prose-err-1 or (cda:originalText and (         matches(cda:originalText, $alt-ulist-2-regex, 'is')         or        matches(cda:originalText, $olist-arabic-regex, 'is')         or         matches(cda:originalText, $olist-alpha-regex, 'is')         or         matches(cda:originalText, $olist-roman-regex, 'is')         or        matches(replace(cda:originalText, $new-line-regex, codepoints-to-string((10)), 'is'), $para-regex, 'is') or        matches(cda:originalText, codepoints-to-string((8233)), 'is')        or               (cda:originalText and matches(cda:originalText, $invalid-concept-regex, 'is'))     or        ($length-err and matches(cda:originalText, '\.\s*$', 's') and matches(cda:originalText, $multi-sentence-regex, 's')) ))" />
    <xsl:variable name="avoid-ts" select="$family-err or $length-err or $prose-err or not($use-ts-for-sctau) " />
    <xsl:variable name="der-text-2a" select="if ($der-truncated-text-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-truncated-text-1, $tgi-fir-pattern-replacement, 'ic')) " />
    <xsl:variable name="der-text-2" select="if ($der-text-2a = '') then $der-text-1 else $der-text-2a " />
    <xsl:variable name="der-text-a" select="if ($der-text-2 = '' or $tgi-regex = '') then $der-text-2 else normalize-space(dh:XQueryRecursiveReplace($der-text-2, $tgi-regex, 'ic')) " />
    <xsl:variable name="der-text" select="if ($der-text-a = '') then $der-text-2 else $der-text-a " />
    <xsl:variable name="defn-valid-regex" select="concat('(^|\|)', translate($der-text-2, $chars-to-remove, ''), '(\||$)') " />
    <xsl:variable name="der-text-to-match-1" select="lower-case($der-text-2) " />
    <xsl:variable name="der-text-to-match" select="translate($der-text-to-match-1, $chars-to-remove, '') " />
    <xsl:variable name="tgi-non-value-regex" select="if ($is-immun)          then $cd-definitions/immun/@non-value-regex         else if ($is-pd)       then $cd-definitions/pd/@non-value-regex        else if ($is-shs-meds) then $cd-definitions/shs-meds/@non-value-regex        else if ($is-meds)     then $cd-definitions/meds/@non-value-regex        else '' " />
    <xsl:variable name="der-text-non-value" select="if ($code-present or @nullFlavor = $no-value-NF) then false() else         $der-text-to-match = ''             or         not(matches($der-text-to-match-1, '[a-z]', 'is'))         or        ($cd-definitions/non-value/@regex != '' and matches($der-text-to-match-1, $cd-definitions/non-value/@regex, 'is')) or        ($tgi-non-value-regex != '' and matches($der-text-to-match-1, $tgi-non-value-regex, 'is'))    " />
    <xsl:variable name="tgi-invalid-regex" select="if ($is-immun)          then $cd-definitions/immun/@invalid-regex         else if ($is-pd)       then $cd-definitions/pd/@invalid-regex        else if ($is-shs-meds) then $cd-definitions/shs-meds/@invalid-regex        else if ($is-meds)     then $cd-definitions/meds/@invalid-regex        else '' " />
    <xsl:variable name="defn-invalid-regex" select="if ($code-present or $der-text-non-value) then ()        else if ($tgi-invalid-regex != '') then tokenize($tgi-invalid-regex, '~')[. != '']         else () " />
    <xsl:variable name="defn-invalid-txt-regex" select="(for $i in (1 to count($defn-invalid-regex)) return normalize-space(substring-before($defn-invalid-regex[$i], '[[')))[. != '']" />
    <xsl:variable name="der-invalid-text-regex-1" select="if (exists($defn-invalid-txt-regex))        then index-of(for $i in (1 to count($defn-invalid-txt-regex)) return matches($der-text-2, $defn-invalid-txt-regex[$i], 'is'), true())        else () " />
    <xsl:variable name="der-invalid-text" select="exists($der-invalid-text-regex-1) " />
    <xsl:variable name="defn-invalid-rsn" select="if ($der-invalid-text)         then normalize-space(substring-before(substring-after($defn-invalid-regex[$der-invalid-text-regex-1[1]], '[['), ']]'))         else '' " />
    <xsl:variable name="trusted-code-systems" select="if ($der-text = '' or $der-invalid-text or not(@codeSystem or cda:translation/@codeSystem)) then ()        else if ($is-immun)          then (tokenize(replace($cd-definitions/immun/@core, '\s+', ''), '\|'),           tokenize(replace($cd-definitions/immun/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-pd)          then (tokenize(replace($cd-definitions/pd/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/pd/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-shs-meds)          then (tokenize(replace($cd-definitions/shs-meds/@core, '\s+', ''), '\|'),          tokenize(replace($cd-definitions/shs-meds/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-meds)          then (tokenize(replace($cd-definitions/meds/@core, '\s+', ''), '\|'),           tokenize(replace($cd-definitions/meds/@extra, '\s+', ''), '\|'))[. != '']         else () " />
    <xsl:variable name="der-trusted-text" select="if ($der-text = '' or $der-invalid-text or (@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex)))) then false()        else ((@codeSystem and exists($trusted-code-systems[. = current()/@codeSystem])) or               (cda:translation/@codeSystem and exists($trusted-code-systems[. = current()/cda:translation/@codeSystem]))) " />
    <xsl:variable name="a-vaccine-1" select="not($code-present or $der-text-non-value or $der-invalid-text) and exists($vaccine-text-normalised) and $der-text-to-match = $vaccine-text-normalised" />
    <xsl:variable name="a-sas-tgi-1" select="not($code-present or $der-text-non-value or $der-invalid-text or $a-vaccine-1) and $tgi-sas-regex != '' and matches($der-text, $tgi-sas-regex, 'is')" />
    <xsl:variable name="an-uncoded-tgi-1" select="not($code-present or $der-text-non-value or $der-invalid-text or $a-vaccine-1 or $a-sas-tgi-1) and $tgi-otheru-regex != '' and         matches($der-text, $tgi-otheru-regex, 'is')" />
    <xsl:variable name="obsolete-tgi-info-1" select="if ($is-immun or $code-present or $der-text-non-value or $der-invalid-text or $a-vaccine-1 or $a-sas-tgi-1 or $an-uncoded-tgi-1 or         not(exists($knowledge/special-tgi/obsolete))) then ()        else $knowledge/special-tgi/obsolete[matches($der-text, concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')] " />
    <xsl:variable name="an-obsolete-tgi-1" select="exists($obsolete-tgi-info-1)" />
    <xsl:variable name="tgi-valid-regex-1" select="if ($code-present or $der-text-non-value or $der-invalid-text or $der-text = '' or $a-vaccine-1 or $a-sas-tgi-1 or $an-uncoded-tgi-1 or          $an-obsolete-tgi-1) then ''        else if ($is-immun)    then $cd-definitions/immun/@valid-regex        else if ($is-pd)       then $cd-definitions/pd/@valid-regex        else if ($is-shs-meds) then $cd-definitions/shs-meds/@valid-regex        else if ($is-meds)     then $cd-definitions/meds/@valid-regex        else '' " />
    <xsl:variable name="valid-tgi-1" select="if ($a-vaccine-1 or $a-sas-tgi-1 or $an-uncoded-tgi-1 or $an-obsolete-tgi-1) then true()         else if ($tgi-valid-regex-1 = '') then false()        else exists(index-of(for $regex in (tokenize($tgi-valid-regex-1, '~')[. != '']) return          matches($der-text-2, dh:XQueryRecursiveReplace(normalize-space($regex), ' \|~|~\| ~|', ''), 'is'), true())) " />
    <xsl:variable name="invalid-hierarchy-1" select="if (exists($cd-definitions/meds/meds-invalid/hierarchy))         then string-join(for $hierarchy in $cd-definitions/meds/meds-invalid/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-refset" select="if (exists($cd-definitions/meds/meds-invalid/refset))          then string-join(for $refset in $cd-definitions/meds/meds-invalid/refset return concat('^', $refset/@code), ' OR ')         else '' " />
    <xsl:variable name="valid-refset" select="concat($tgi-formula, ' OR &lt;763158003') " />
    <xsl:variable name="valid-domain" select="if ($invalid-refset != '' and $invalid-hierarchy-1 != '')         then concat('((', $valid-refset, ') MINUS (', $invalid-refset, ' OR (', $invalid-hierarchy-1, ')))')        else if ($invalid-refset = '' and $invalid-hierarchy-1 != '') then concat('((', $valid-refset, ') MINUS (', $invalid-hierarchy-1, '))')         else if ($invalid-refset != '' and $invalid-hierarchy-1 = '') then concat('((', $valid-refset, ') MINUS (', $invalid-refset, '))')        else concat('(', $valid-refset, ')') " />
    <xsl:variable name="related-terms-1" select="if ($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-1) then ()        else ($codesystemvalues/code[@related-terms], $codesystemvalues/related-terms[@related-terms]) " />
    <xsl:variable name="related-terms-2" select="for $i in index-of(        for $concept in $related-terms-1 return matches(translate($concept/@related-terms, $chars-no-pipe, ''), $defn-valid-regex, 'is'), true())         return $related-terms-1[$i]/@code " />
    <xsl:variable name="der-tgi-codes-1" select="if (exists($related-terms-2)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($related-terms-2, ' OR '), ') AND ', $valid-domain), '', string(count($related-terms-2)), false())        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $der-tgi-codes-1 " />
    <xsl:variable name="der-valid-codes-1" select="if (contains($der-tgi-codes-1, '[')) then $der-tgi-codes-1 else '' " />
    <xsl:variable name="valid-tgi-2" select="$valid-tgi-1 or $der-valid-codes-1 != '' " />
    <xsl:variable name="tgi-inactive-refSets" select="if (exists($cd-definitions/tgi/tgi-invalid/inactive-refset))         then concat('((', $inactive-refSets, ') MINUS (',           string-join(for $refset in $cd-definitions/tgi/tgi-invalid/inactive-refset return concat('^', $refset/@code), ' OR '),          '))')         else $inactive-refSets " />
    <xsl:variable name="formula" select="concat($valid-domain, ' OR ', $tgi-inactive-refSets) " />
    <xsl:variable name="ts-not-needed" select="$der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-2 or $avoid-ts " />
    <xsl:variable name="der-tgi-codes-2-a" select="if ($ts-not-needed or exists($related-terms-2)) then ()         else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-text,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2-a" select="$error-usingTS-1 or 'Error' = $der-tgi-codes-2-a " />
    <xsl:variable name="revision-pattern-1" select="if ($ts-not-needed or $valid-tgi-2 or exists($der-tgi-codes-2-a) or $error-usingTS-2-a or exists($related-terms-2)) then ''        else $tgi-sec-pattern-replacement " />
    <xsl:variable name="der-revised-text-1" select="if ($revision-pattern-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-text, $revision-pattern-1, 'ic')) " />
    <xsl:variable name="use-revised-text-1" select="$der-revised-text-1 != '' and $der-revised-text-1 != $der-text " />
    <xsl:variable name="obsolete-tgi-info-2" select="if (exists($der-tgi-codes-2-a)) then ()        else if ($an-obsolete-tgi-1) then $obsolete-tgi-info-1        else if ($use-revised-text-1) then $knowledge/special-tgi/obsolete[matches($der-revised-text-1, concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')]        else () " />
    <xsl:variable name="an-obsolete-tgi-2" select="exists($obsolete-tgi-info-2)" />
    <xsl:variable name="der-tgi-codes-2-b" select="if ($an-obsolete-tgi-2) then ()        else if ($ts-not-needed or exists($der-tgi-codes-2-a) or not($use-revised-text-1)) then $der-tgi-codes-2-a         else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-1,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2-b" select="$error-usingTS-2-a or 'Error' = $der-tgi-codes-2-b " />
    <xsl:variable name="revision-pattern-2" select="if ($ts-not-needed or $valid-tgi-2 or exists($der-tgi-codes-2-b) or $error-usingTS-2-b or exists($related-terms-2)) then ''        else $tgi-thi-pattern-replacement " />
    <xsl:variable name="der-revised-text-2" select="if ($revision-pattern-2 = '') then '' else normalize-space(dh:XQueryRecursiveReplace(         if ($use-revised-text-1) then $der-revised-text-1 else $der-text, $revision-pattern-2, 'ic')) " />
    <xsl:variable name="use-revised-text-2" select="if ($use-revised-text-1) then $der-revised-text-2 != '' and $der-revised-text-2 != $der-revised-text-1         else $der-revised-text-2 != '' and $der-revised-text-2 != $der-text " />
    <xsl:variable name="obsolete-tgi-info-3" select="if (exists($der-tgi-codes-2-b)) then ()        else if ($an-obsolete-tgi-2) then $obsolete-tgi-info-2        else if ($use-revised-text-2) then $knowledge/special-tgi/obsolete[matches($der-revised-text-2, concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')]        else () " />
    <xsl:variable name="an-obsolete-tgi-3" select="exists($obsolete-tgi-info-3)" />
    <xsl:variable name="der-tgi-codes-2-c" select="if ($an-obsolete-tgi-3) then ()        else if ($ts-not-needed or exists($der-tgi-codes-2-b) or not($use-revised-text-2)) then $der-tgi-codes-2-b        else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-2,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2-c" select="$error-usingTS-2-b or 'Error' = $der-tgi-codes-2-c " />
    <xsl:variable name="der-tgi-codes-2-d" select="if ($an-obsolete-tgi-3 or $ts-not-needed or exists($der-tgi-codes-2-c)) then $der-tgi-codes-2-c        else iq:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula,          if ($der-revised-text-2 != '') then $der-revised-text-2          else if ($der-revised-text-1 != '') then $der-revised-text-1          else $der-text, 'default') " />
    <xsl:variable name="error-usingTS-2-d" select="$error-usingTS-2-c or 'Error' = $der-tgi-codes-2-d " />
    <xsl:variable name="der-tgi-codes-2" select="$der-tgi-codes-2-d " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-2-d " />
    <xsl:variable name="der-valid-codes-2" select="if ($der-valid-codes-1 != '') then $der-valid-codes-1        else if ($error-usingTS-2) then ''         else string-join((for $code in $der-tgi-codes-2 return if (contains($code, '~inactive')) then '' else $code)[. != ''], '|')  " />
    <xsl:variable name="valid-tgi-3" select="$valid-tgi-2 or $der-valid-codes-2 != '' " />
    <xsl:variable name="der-inactive-codes-1" select="if ($valid-tgi-3) then () else        for $code in $der-tgi-codes-2 return if (contains($code, '~inactive')) then replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is') else '' " />
    <xsl:variable name="der-inactive-codes-2" select="for $i in (1 to count($der-inactive-codes-1)) return         dh:IsCodeAssociatedWithAnotherCode($der-inactive-codes-1[$i], '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-1" select="'Error' = $der-inactive-codes-2 " />
    <xsl:variable name="der-NAF-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-NAF-active-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound~active')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-inactive-codes-3" select="tokenize(string-join(for $i in (1 to count($der-inactive-codes-1)) return replace(string-join(tokenize($der-inactive-codes-2[$i], '\|')        [matches(., '(REPLACED BY|SAME AS|ALTERNATIVE|POSSIBLY EQUIVALENT TO|MAY BE A|WAS A)')], '|'), '[0-9]+~[A-Z ]+~([0-9]+)', '$1'), '|'), '\|')        [. != ''] " />
    <xsl:variable name="der-tgi-codes-3" select="if (exists($der-inactive-codes-3)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($der-inactive-codes-3, ' OR '), ') AND ', $valid-domain), '', string(count($der-inactive-codes-3)), false())          else '' " />
    <xsl:variable name="error-usingTS-3" select="$error-usingTS-2 or 'Error' = $der-tgi-codes-3 " />
    <xsl:variable name="der-valid-codes-3" select="if ($der-valid-codes-2 != '') then $der-valid-codes-2        else if (contains($der-tgi-codes-3, '[')) then $der-tgi-codes-3        else '' " />
    <xsl:variable name="valid-tgi-4" select="$valid-tgi-3 or $der-valid-codes-3 != '' " />
    <xsl:variable name="tbd-hierarchy" select="if (exists($cd-definitions/meds/meds-tbd/hierarchy))         then string-join(for $hierarchy in $cd-definitions/meds/meds-tbd/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-hierarchy" select="if ($invalid-hierarchy-1 != '' and $tbd-hierarchy != '') then concat($invalid-hierarchy-1, ' OR ', $tbd-hierarchy)        else if ($invalid-hierarchy-1 != '') then $invalid-hierarchy-1        else if ($tbd-hierarchy != '') then $tbd-hierarchy        else '' " />
    <xsl:variable name="invalid-domain" select="if ($invalid-hierarchy != '' and $invalid-refset != '') then concat($invalid-hierarchy, ' OR ', $invalid-refset)        else if ($invalid-hierarchy != '') then $invalid-hierarchy        else if ($invalid-refset != '') then $invalid-refset        else '' " />
    <xsl:variable name="filter-text" select="if ($use-revised-text-2) then $der-revised-text-2 else if ($use-revised-text-1) then $der-revised-text-1 else $der-text " />
    <xsl:variable name="der-tgi-codes-4" select="if ($ts-not-needed or $valid-tgi-4 or $invalid-domain = '') then ()        else if (exists($related-terms-2)) then $related-terms-2        else distinct-values((tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          $invalid-domain, $filter-text, $max-code-number, false()), '(\[.*?\])(\||$)', '$2'), '\|'), $der-inactive-codes-3)) " />
    <xsl:variable name="error-usingTS-4" select="$error-usingTS-3 or 'Error' = $der-tgi-codes-4 " />
    <xsl:variable name="invalid-tgi-codes-r" select="if ($ts-not-needed or $valid-tgi-4 or $error-usingTS-4 or not(exists($der-tgi-codes-4))) then ()        else if ($invalid-refset = '') then tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-tgi-codes-4, ' OR '), ') AND (', $inactive-refSets, ')'), '',           string(count($der-tgi-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')        else tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-tgi-codes-4, ' OR '), ') AND (', $invalid-refset, ' OR ', $inactive-refSets, ')'), '',           string(count($der-tgi-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')  " />
    <xsl:variable name="error-usingTS-5" select="$error-usingTS-4 or 'Error' = $invalid-tgi-codes-r " />
    <xsl:variable name="der-tgi-codes-4-h" select="if ($error-usingTS-5) then () else $der-tgi-codes-4[not(. = $invalid-tgi-codes-r)]" />
    <xsl:variable name="invalid-tgi-codes-h" select="if ($ts-not-needed or $valid-tgi-4 or 'Error' = $der-tgi-codes-4 or $meds-invalid-hierarchy = '' or not(exists($der-tgi-codes-4-h))) then ()        else (for $code in $der-tgi-codes-4-h return          if (dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;&gt;', $code, ' MINUS ', $meds-invalid-hierarchy), '', '1', false()) = '') then $code else '')[. != ''] " />
    <xsl:variable name="invalid-tgi-codes" select="($invalid-tgi-codes-h, $invalid-tgi-codes-r) " />
    <xsl:variable name="der-tgi-codes-5" select="$der-tgi-codes-4[not(. = $invalid-tgi-codes or . = 'Error')]" />
    <xsl:variable name="der-valid-codes-4" select="if ($der-valid-codes-3 != '') then $der-valid-codes-3        else if ($ts-not-needed or $valid-tgi-4 or $valid-domain = '' or not(exists($der-tgi-codes-5))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-tgi-codes-5, ' OR '), ') AND ', $valid-domain), '', string(count($der-tgi-codes-5)), false()) " />
    <xsl:variable name="error-usingTS-6" select="$error-usingTS-5 or 'Error' = $der-valid-codes-4 " />
    <xsl:variable name="valid-tgi-5" select="$valid-tgi-4 or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="der-valid-codes-seq" select="if ($error-usingTS-6) then () else tokenize(replace($der-valid-codes-4,  '(\[.*?\])(\||$)', '$2'), '\|') " />
    <xsl:variable name="undetermined-tgi-1" select="if (exists($der-valid-codes-seq)) then $der-tgi-codes-5[not(. = $der-valid-codes-seq)] else $der-tgi-codes-5 " />
    <xsl:variable name="undetermined-inactive-1" select="for $i in (1 to count($undetermined-tgi-1)) return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $undetermined-tgi-1[$i], '', '1', false()) " />
    <xsl:variable name="error-usingTS-7" select="$error-usingTS-6 or 'Error' = $undetermined-inactive-1 " />
    <xsl:variable name="undetermined-inactive" select="(for $i in (1 to count($undetermined-tgi-1)) return         if (contains($undetermined-inactive-1[$i], '~inactive')) then $undetermined-inactive-1[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-1" select="for $i in (1 to count($undetermined-inactive))        return dh:IsCodeAssociatedWithAnotherCode(replace($undetermined-inactive[$i], '(\[.*?\])(\||$)', '$2'), '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-2" select="$error-usingV-1 or 'Error' = $undetermined-NAF-1 " />
    <xsl:variable name="undetermined-NAF" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-codes" select="for $term in $undetermined-NAF return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-NAF-active" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound~active')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-active-codes" select="for $term in $undetermined-NAF-active return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-tgi" select="$undetermined-tgi-1[not(. = ($undetermined-NAF-codes, $undetermined-NAF-active-codes))]" />
    <xsl:variable name="invalid-tgi" select="not($valid-tgi-5) and exists($invalid-tgi-codes) and not(exists($undetermined-tgi))" />
    <xsl:variable name="a-sas-tgi" select="if ($a-sas-tgi-1) then true()        else if ($a-vaccine-1 or $valid-tgi-5 or $invalid-tgi or not($use-revised-text-2) or $tgi-sas-regex = '') then false()        else matches($der-revised-text-2, $tgi-sas-regex, 'is')" />
    <xsl:variable name="an-uncoded-tgi" select="if ($an-uncoded-tgi-1) then true()        else if ($a-vaccine-1 or $valid-tgi-5 or $invalid-tgi or not($use-revised-text-2) or $tgi-otheru-regex = '' or $a-sas-tgi) then false()        else matches($der-revised-text-2, $tgi-otheru-regex, 'is')" />
    <xsl:variable name="obsolete-tgi-info" select="if ($an-obsolete-tgi-3) then $obsolete-tgi-info-3        else if ($a-vaccine-1 or $valid-tgi-5 or $invalid-tgi or not($use-revised-text-2) or not(exists($knowledge/special-tgi/obsolete)) or $a-sas-tgi or          $an-uncoded-tgi) then ()        else $knowledge/special-tgi/obsolete[matches($der-revised-text-2,          concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')] " />
    <xsl:variable name="an-obsolete-tgi" select="exists($obsolete-tgi-info)" />
    <xsl:variable name="valid-tgi-6" select="$valid-tgi-5 or $a-sas-tgi or $an-uncoded-tgi or $an-obsolete-tgi " />
    <xsl:variable name="a-vaccine-2" select="if ($a-vaccine-1) then true()        else if ($valid-tgi-6 or $invalid-tgi or not(exists($vaccine-text-normalised))) then false()        else if ($der-text != '' and translate(lower-case($der-text), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else if ($use-revised-text-1 and translate(lower-case($der-revised-text-1), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else if ($use-revised-text-2 and translate(lower-case($der-revised-text-2), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else false() " />
    <xsl:variable name="vaccine-code-test" select="if (not($a-vaccine-2 or $valid-tgi-6 or $invalid-tgi or $avoid-ts) and exists($undetermined-tgi))         then tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($undetermined-tgi, ' OR '), ') AND (&lt;71181003 OR &lt;127785005)'), '',          string(count($undetermined-tgi)), false()), '\|')        else () " />
    <xsl:variable name="error-usingTS-8" select="$error-usingTS-7 or 'Error' = $vaccine-code-test " />
    <xsl:variable name="a-vaccine" select="$a-vaccine-2 or (not('Error' = $vaccine-code-test) and exists($undetermined-tgi) and count($vaccine-code-test) = count($undetermined-tgi)) " />
    <xsl:variable name="codes-with-history" select="$der-inactive-codes-2[matches(., '[0-9]')]" />
    <xsl:variable name="hist-vers" select="if (exists($codes-with-history))        then dh:FindLastUpdatedDateForCodeUsingTS(substring-before($codes-with-history[1], '~'), '2.16.840.1.113883.6.96', $ts-latest-snomedctau)       else '' " />
    <xsl:variable name="error-usingTS-9" select="$error-usingTS-8 or 'Error' = $hist-vers " />
    <xsl:variable name="hist-vers-date" select="if (matches($hist-vers, '^(CodeFoundActive|CodeFoundInactive)\|[0-9]{8}$')) then substring-after($hist-vers, '|') else '' " />
    <xsl:variable name="inactive-concept" select="count($der-tgi-codes-2) = count($der-inactive-codes-1) and not($valid-tgi-6)" />
    <xsl:variable name="der-inactive-codes-4" select="$der-inactive-codes-3[not(contains(., 'MOVED FROM') or contains(., 'WAS A'))]" />
    <xsl:variable name="obsolete-without-date" select=" ($an-obsolete-tgi and not($obsolete-tgi-info/@last-available))   or         (exists($der-inactive-codes-3) and not(exists($der-inactive-codes-4)))  or         (exists($der-inactive-codes-4) and $hist-vers-date = '')   " />
    <xsl:variable name="obsolete-date" select="if ($is-immun) then ''        else if ($hist-vers-date != '') then $hist-vers-date        else if ($an-obsolete-tgi and $obsolete-tgi-info/@last-available) then $obsolete-tgi-info/@last-available         else '' " />
    <xsl:variable name="obsolete-yr" select="substring($obsolete-date, 1, 4) " />
    <xsl:variable name="obsolete-mn-temp" select="substring($obsolete-date, 5, 2) " />
    <xsl:variable name="obsolete-mn" select="if ($obsolete-mn-temp = '') then '06' else $obsolete-mn-temp " />
    <xsl:variable name="obsolete-dy-temp" select="substring($obsolete-date, 7, 2) " />
    <xsl:variable name="obsolete-dy" select="if ($obsolete-dy-temp = '') then '15' else $obsolete-dy-temp " />
    <xsl:variable name="obsolete-xs" select="if ($obsolete-date = '') then () else xs:date(concat($obsolete-yr, '-', $obsolete-mn, '-', $obsolete-dy)) " />
    <xsl:variable name="display-obsolete-date" select="if ($obsolete-date = '') then ''        else if ($obsolete-mn-temp = '') then $obsolete-dy        else if ($obsolete-dy-temp = '') then concat($knowledge/months/month[@number = $obsolete-mn]/@abbreviation, ' ', $obsolete-yr)        else concat($obsolete-dy, ' ', $knowledge/months/month[@number = $obsolete-mn]/@abbreviation, ' ', $obsolete-yr) " />
    <xsl:variable name="obsolete-date-diff" select="if ($obsolete-date = '' or not(matches($creation-date-xs - $obsolete-xs, '^P[0-9]+D'))) then '0'        else number(substring-before(substring-after($creation-date-xs - $obsolete-xs, 'P'), 'D')) " />
    <xsl:variable name="obsolete-yrs-ago" select="$obsolete-date-diff div 365 " />
    <xsl:variable name="coding" select="if (not($flags/@assess-class = 'true') or not($use-ts-for-sctau) or not(exists($iq-config/tgi-coding))) then () else $iq-config/tgi-coding" />
    <xsl:variable name="s-classification" select="if (exists($coding/special-classification/classification)) then $coding/special-classification/classification else () " />
    <xsl:variable name="s-number" select="count($s-classification) " />
    <xsl:variable name="s-formula" select="string-join(for $class in $s-classification return $class/@code, ' OR ')" />
    <xsl:variable name="code-to-assess" select="if (not($flags/@assess-class = 'true') or not($use-ts-for-sctau)) then '' else if (exists($der-valid-codes-seq)) then $der-valid-codes-seq[1] else '' " />
    <xsl:variable name="value-domain-1" select="if ($code-to-assess = '') then '' else dh:FindValueDomainsForCode($code-to-assess, '2.16.840.1.113883.6.96', $v-current-sctau)" />
    <xsl:variable name="class-error-1" select="$value-domain-1 = 'Error' " />
    <xsl:variable name="value-domain" select="if ($class-error-1 or $value-domain-1 = ('', 'CodeNotFound')) then ''       else if (contains($value-domain-1, '|')) then substring-before($value-domain-1, '|')       else $value-domain-1 " />
    <xsl:variable name="first-pass-1" select="if ($value-domain = '') then ''        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)'))         then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat($code-to-assess, ' . 30409011000036107'), '', '1', true())        else if ($value-domain = 'Medicinal Product Pack (MPP)')         then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat($code-to-assess, ' . 30348011000036104'), '', '1', true())        else if ($value-domain = 'Trade Product (TP)') then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&lt;', $code-to-assess), '', '1', true())        else $code-to-assess " />
    <xsl:variable name="class-error-2" select="$class-error-1 or ($value-domain != '' and $first-pass-1 = ('Error', '')) " />
    <xsl:variable name="first-pass" select="if (not($class-error-2) and $first-pass-1 != '') then replace($first-pass-1, '(\[.*?\])(\||$)', '$2') else '' " />
    <xsl:variable name="second-pass-1" select="if ($first-pass = '') then ''        else if ($value-domain = 'Trade Product Unit of Use (TPUU)')          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $code-to-assess, ' AND ^929360071000036103'), '', '1', true())        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product (TP)'))          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $first-pass, ' AND ^929360071000036103'), '', '1', true())        else if ($value-domain = 'Medicinal Product Pack (MPP)') then $first-pass        else $code-to-assess " />
    <xsl:variable name="class-error-3" select="$class-error-2 or ($first-pass != '' and $second-pass-1 = ('Error', '')) " />
    <xsl:variable name="second-pass" select="if (not($class-error-3) and $second-pass-1 != '') then replace($second-pass-1, '(\[.*?\])(\||$)', '$2') else '' " />
    <xsl:variable name="class-tp-1" select="if ($class-error-3) then ''        else if ($value-domain = 'Trade Product Unit of Use (TPUU)')          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $code-to-assess, ' AND ^929360021000036102'), '', '1', true())        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)'))          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $first-pass, ' AND ^929360021000036102'), '', '1', true())        else '' " />
    <xsl:variable name="class-tp-error" select="$class-tp-1 = 'Error' " />
    <xsl:variable name="class-tp" select="if (not($class-tp-error) and $class-tp-1 != '') then replace($class-tp-1, '^([0-9]+\[)(.*?)(\])$', '$2') else '' " />
    <xsl:variable name="third-pass-1" select="if ($second-pass = '') then ''        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product (TP)',          'Trade Product Unit of Use (TPUU)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)'))         then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;!', $second-pass, ' AND ^929360061000036106'), '', '1', false())        else $second-pass " />
    <xsl:variable name="class-error-4" select="$class-error-3 or ($second-pass != '' and $third-pass-1 = ('Error', '')) " />
    <xsl:variable name="third-pass" select="if ($class-error-4 or $third-pass-1 = '') then ''         else if (matches($third-pass-1, '^[0-9]+$')) then replace($der-valid-codes-4, '^([0-9]+\[)(.*?)(\]\|.*|\])$', '$2')        else if (matches($third-pass-1, '^[0-9]')) then replace($third-pass-1, '^([0-9]+\[)(.*?)(\])$', '$2') else '' " />
    <xsl:variable name="fourth-pass-1" select="if ($third-pass = '') then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', '&lt;373873005', $third-pass, '1', true()) " />
    <xsl:variable name="class-error-5" select="$class-error-4 or $fourth-pass-1 = 'Error' " />
    <xsl:variable name="fourth-pass" select="if (not($class-error-4) and $fourth-pass-1 != '' and matches($fourth-pass-1, '^[0-9]')) then replace($fourth-pass-1, '(\[.*?\])(\||$)', '$2') else '' " />
    <xsl:variable name="class-not-completed" select="($flags/@assess-class = 'true' and $code-to-assess = '')  or        ($code-to-assess != '' and $value-domain-1 = 'CodeNotFound') or        ($third-pass != '' and $fourth-pass = '')   " />
    <xsl:variable name="valid-class-1" select="if ($fourth-pass = '' or $s-number = 0) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND (', $s-formula, ')'), '', string($s-number), true()) " />
    <xsl:variable name="class-error-6" select="$class-error-5 or $valid-class-1 = 'Error' " />
    <xsl:variable name="valid-class-2" select="if ($valid-class-1 = '' or $class-error-6) then () else tokenize(replace($valid-class-1, '(\[.*?\])(\||$)', '$2'), '\|') " />
    <xsl:variable name="valid-class-3" select="if ($a-vaccine and exists($s-classification[@code = '71181003']/@description)) then ($s-classification[@code = '71181003']/@description)       else if ($a-vaccine and exists($s-classification[@code = '71181003']/@pterm)) then ($s-classification[@code = '71181003']/@pterm)       else for $code in $valid-class-2 return if ($coding/special-classification/classification[@code = $code]/@description)         then $coding/special-classification/classification[@code = $code]/@description         else $coding/special-classification/classification[@code = $code]/@pterm " />
    <xsl:variable name="fifth-pass" select="if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/first-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/first-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-7" select="$class-error-6 or $fifth-pass = 'Error' " />
    <xsl:variable name="sixth-pass" select="if (not($fifth-pass = '')) then $fifth-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/second-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/second-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-8" select="$class-error-7 or $sixth-pass = 'Error' " />
    <xsl:variable name="seventh-pass" select="if (not($sixth-pass = '')) then $sixth-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/third-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/third-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-9" select="$class-error-8 or $seventh-pass = 'Error' " />
    <xsl:variable name="eighth-pass" select="if (not($seventh-pass = '')) then $seventh-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/fourth-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/fourth-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-10" select="$class-error-9 or $eighth-pass = 'Error' " />
    <xsl:variable name="ninth-pass" select="if (not($eighth-pass = '')) then $eighth-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/fifth-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/fifth-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-11" select="$class-error-10 or $ninth-pass = 'Error' " />
    <xsl:variable name="valid-class" select="if (exists($valid-class-3)) then $valid-class-3        else if (not($ninth-pass = '')) then for $term in tokenize($ninth-pass, '\|') return replace($term, '^([0-9]+\[)(.*?)(\])$', '$2')       else () " />
    <xsl:variable name="codes-were-found" select="exists($der-tgi-codes-4) or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="obsolete-error" select="not($is-immun) and ($an-obsolete-tgi or $inactive-concept) and $obsolete-yrs-ago &gt; 2 " />
    <xsl:variable name="obsolete-warning" select="not($is-immun or $obsolete-error) and ($an-obsolete-tgi or $inactive-concept) and ($obsolete-yrs-ago &gt; 1 or $obsolete-without-date) " />
    <xsl:variable name="codes-not-found" select="not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-6 or $invalid-tgi or $a-vaccine) " />
    <xsl:variable name="codes-in-the-domain" select="not($valid-tgi-1) and $valid-tgi-5" />
    <xsl:variable name="codes-in-other-domain" select="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi or         $a-vaccine or $obsolete-warning) " />
    <xsl:variable name="codes-in-no-domain" select="exists($der-tgi-codes-5) " />
    <xsl:variable name="display-in-the-domain" select="if ($codes-in-the-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', '), '''')        else '' " />
    <xsl:variable name="display-in-other-r" select="if (exists($invalid-tgi-codes-r) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-tgi-codes-r return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-h" select="if (exists($invalid-tgi-codes-h) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-tgi-codes-h return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-domain" select="if (not($codes-in-other-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))) then ''        else if ($display-in-other-r and display-in-other-h) then concat('''', $display-in-other-r, ', ', $display-in-other-h, '''')        else if ($display-in-other-r) then concat('''', $display-in-other-r, '''')        else if ($display-in-other-h) then concat('''', $display-in-other-h, '''')        else '' " />
    <xsl:variable name="display-in-no-domain" select="if ($codes-in-no-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', dh:XQueryRecursiveReplace(string-join(for $code in $der-tgi-codes-5 return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), '; '),          $term-pattern-replacement, 'ic'), '''')        else '' " />
    <xsl:variable name="log-concepts-appended" select="if ($error-usingTS-9 or not($flags/@report-terminology-concepts = 'true') or $log-concepts-name = '') then ''        else if ($codes-not-found and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                   'Therapeutic Good Identification', $log-tab,                   'yes',     $log-tab,                   iq:display-CD(.),   $log-tab,                   '',     $log-tab,                  '',     $log-tab,                  '',     $log-tab,                  $ts-current-sctau   ))        else if (($use-revised-text-2 or $codes-in-no-domain) and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                  'Therapeutic Good Identification', $log-tab,                   'yes',     $log-tab,                     iq:display-CD(.),   $log-tab,                    $display-in-the-domain,   $log-tab,                  $display-in-other-domain,  $log-tab,                  $display-in-no-domain,   $log-tab,                  $ts-current-sctau   ))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if (matches($defn-invalid-rsn, 'is a container', 'is')) then $rating-container-TC-Types-57 else $rating-TC-Types-57 " />
    <!--REPORT -->
    <xsl:if test=" $log-concepts-appended = ('NOTFOUND', 'ERROR') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$log-concepts-appended = ('NOTFOUND', 'ERROR')">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): The AppendLog function returned '<xsl:text /><xsl:value-of select="$log-concepts-appended" /><xsl:text />' when requested to append the concepts log
		'<xsl:text /><xsl:value-of select="$log-concepts-name" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $flags/@assess-class = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $flags/@assess-class = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): 
		code-to-assess '<xsl:text /><xsl:value-of select="$code-to-assess" /><xsl:text />'
		value-domain '<xsl:text /><xsl:value-of select="$value-domain" /><xsl:text />'
		first-pass '<xsl:text /><xsl:value-of select="$first-pass" /><xsl:text />'
		second-pass '<xsl:text /><xsl:value-of select="$second-pass" /><xsl:text />'
		third-pass '<xsl:text /><xsl:value-of select="$third-pass" /><xsl:text />'
		fourth-pass '<xsl:text /><xsl:value-of select="$fourth-pass" /><xsl:text />'
		valid-class-1 '<xsl:text /><xsl:value-of select="$valid-class-1" /><xsl:text />'
		fifth-pass '<xsl:text /><xsl:value-of select="$fifth-pass" /><xsl:text />'
		sixth-pass '<xsl:text /><xsl:value-of select="$sixth-pass" /><xsl:text />'
		seventh-pass '<xsl:text /><xsl:value-of select="$seventh-pass" /><xsl:text />'
		eighth-pass '<xsl:text /><xsl:value-of select="$eighth-pass" /><xsl:text />'
		ninth-pass '<xsl:text /><xsl:value-of select="$ninth-pass" /><xsl:text />'

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $class-error-11 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$class-error-11">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An unexpected error occurred during the process to classify a terminology code.
		Report the information below to the Australian Digital Health Agency for investigation.
		The value domain was '<xsl:text /><xsl:value-of select="$value-domain" /><xsl:text />' and the error variable was
		<xsl:text /><xsl:value-of select="if ($class-error-1) then concat('class-error-1. The FindValueDomainsForCode function was called with code ''', $code-to-assess,     ''', codeSystem ''2.16.840.1.113883.6.96'' and codeSystemVersion ''', $v-current-sctau, ''' and returned ''', $value-domain-1, '''.')   else if ($class-error-2) then concat('class-error-2. The SearchForCodesInHierarchyUsingTS function was called with code ''', $code-to-assess,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $first-pass-1, '''.')   else if ($class-error-3) then concat('class-error-3. The SearchForCodesInHierarchyUsingTS function was called with code ''',     if ($value-domain = 'Trade Product Unit of Use (TPUU)') then $code-to-assess else $first-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $second-pass-1, '''.')   else if ($class-error-4) then concat('class-error-4. The SearchForCodesInHierarchyUsingTS function was called with code ''', $second-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $third-pass-1, '''.')   else if ($class-error-5) then concat('class-error-5. The SearchForCodesInHierarchyUsingTS function was called with code ''', $third-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $fourth-pass-1, '''.')   else if ($class-error-6) then concat('class-error-6. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $valid-class-1, '''.')   else if ($class-error-7) then concat('class-error-7. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $fifth-pass, '''.')   else if ($class-error-8) then concat('class-error-8. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $sixth-pass, '''.')   else if ($class-error-9) then concat('class-error-9. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $seventh-pass, '''.')   else if ($class-error-10) then concat('class-error-10. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $eighth-pass, '''.')   else if ($class-error-11) then concat('class-error-11. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $ninth-pass, '''.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $class-tp-error ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$class-tp-error">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An unexpected error occurred during the process to find the trade product name for a medicine.
		Report the information below to the Australian Digital Health Agency for investigation.
		The value domain was '<xsl:text /><xsl:value-of select="$value-domain" /><xsl:text />' and the error variable was class-tp-error.
		The FindValueDomainsForCode function was called with code ''', 
		if ($value-domain = 'Trade Product Unit of Use (TPUU)') then $code-to-assess else $first-pass, 
		''', codeSystem ''2.16.840.1.113883.6.96'' and codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $class-tp-1, '''.')

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-tgi-6) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-tgi-6)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An unexpected problem occurred when assessing the value of the Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. The application of regular expressions resulted in the complete loss of text.
		Report the information below to the Australian Digital Health Agency for investigation.

		der-text-1 '<xsl:text /><xsl:value-of select="normalize-space(dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'))" /><xsl:text />'.
		der-text-2a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-2a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-a, $term-pattern-replacement, 'ic')" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingV-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingV-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An error was reported when accessing the terminology server when assessing the Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		Report the issue to the Australian Digital Health Agency for investigation stating the error was recorded for error-usingV-2.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-9 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-9">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An error was reported when accessing the terminology server when assessing the Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term:
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The analysis should be retried as the terminology server may have been temporarily unavailable.
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'error-usingTS-1' else if ($error-usingTS-2-a) then 'error-usingTS-2-a'   else if ($error-usingTS-2-b) then 'error-usingTS-2-b' else if ($error-usingTS-2-c) then 'error-usingTS-2-c'   else if ($error-usingTS-2) then 'error-usingTS-2'   else if ($error-usingTS-3) then 'error-usingTS-3' else if ($error-usingTS-4) then 'error-usingTS-4'   else if ($error-usingTS-5) then 'error-usingTS-5' else if ($error-usingTS-6) then 'error-usingTS-6'   else if ($error-usingTS-7) then 'error-usingTS-7' else if ($error-usingTS-8) then 'error-usingTS-8'   else 'error-usingTS-9' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or      $valid-tgi-6 or $invalid-tgi) and not($a-vaccine and not(false())) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi) and not($a-vaccine and not(false()))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify a vaccine administered to the consumer at any         time.  The value must include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.8 and 12.5 of the Shared Health Summary Structured Content Specification v1.1.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the list of reference sets stated in section 3.7 of the Medication Instruction and Action Detailed Clinical Model         Specification v2.4, which allows more reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi) and    not($a-vaccine and false()) and not($obsolete-warning) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi) and not($a-vaccine and false()) and not($obsolete-warning)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the value does not seem to be applicable for the data element.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify a vaccine administered to the consumer at any         time.  The value must include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.8 and 12.5 of the Shared Health Summary Structured Content Specification v1.1.)')" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $obsolete-warning ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$obsolete-warning">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the name may not be applicable for the data element.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> and the
		<xsl:text /><xsl:value-of select="if ($display-obsolete-date != '') then concat('name of the therapeutic good was last used ', $display-obsolete-date)   else if ($obsolete-tgi-info/@name) then concat('therapeutic good ''', $obsolete-tgi-info/@name, ''' was last available ', $display-obsolete-date)    else if ($obsolete-without-date) then 'name of the therapeutic good is no longer used ' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($obsolete-tgi-info/@reason) then concat(' because ', $obsolete-tgi-info/@reason, '.') else '.' " /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify a vaccine administered to the consumer at any         time.  The value must include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.8 and 12.5 of the Shared Health Summary Structured Content Specification v1.1.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		<xsl:text /><xsl:value-of select="$creation-date-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $obsolete-error ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$obsolete-error">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the name is not applicable for the data element.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> and the
		<xsl:text /><xsl:value-of select="if ($display-obsolete-date != '') then concat('name of the therapeutic good was last used ', $display-obsolete-date)   else if ($obsolete-tgi-info/@name) then concat('therapeutic good ''', $obsolete-tgi-info/@name, ''' was last available ', $display-obsolete-date)    else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($obsolete-tgi-info/@reason) then concat(' because ', $obsolete-tgi-info/@reason, '.') else '.' " /><xsl:text />
		That was <xsl:text /><xsl:value-of select="if (contains(string($obsolete-yrs-ago), '.')) then substring-before(string($obsolete-yrs-ago), '.') else $obsolete-yrs-ago " /><xsl:text /> years before the
		<xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify a vaccine administered to the consumer at any         time.  The value must include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.8 and 12.5 of the Shared Health Summary Structured Content Specification v1.1.)'))" /><xsl:text /><xsl:text /><xsl:value-of select="$creation-date-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'exclusion' = 'allowed' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'exclusion' = 'allowed' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the data element does not have a proper value. <xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify a vaccine administered to the consumer at any         time.  The value must include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.8 and 12.5 of the Shared Health Summary Structured Content Specification v1.1.)'))" /><xsl:text />
		The Therapeutic Good Identification data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'exclusion' = 'exclusion' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'exclusion' = 'exclusion' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify a vaccine administered to the consumer at any         time.  The value must include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.8 and 12.5 of the Shared Health Summary Structured Content Specification v1.1.)'))" /><xsl:text />
		The Therapeutic Good Identification data element must have a value that is consistent with this definition. Alternatively if there is no Therapeutic Good Identification data element with a proper value then an exclusion
		statement must be included to state why there is no Therapeutic Good Identification. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4')    then concat('Text such as ''', dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'), ''' may be permitted in the narrative even though the Therapeutic Good Identification data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'exclusion' = 'unknown' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'exclusion' = 'unknown' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the data element does not have a proper value. <xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify a vaccine administered to the consumer at any         time.  The value must include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.8 and 12.5 of the Shared Health Summary Structured Content Specification v1.1.)'))" /><xsl:text />
		The Therapeutic Good Identification data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($der-text-non-value) and $der-invalid-text ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($der-text-non-value) and $der-invalid-text">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />
		however the value is invalid. <xsl:text /><xsl:value-of select="$defn-invalid-rsn" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify a vaccine administered to the consumer at any         time.  The value must include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.8 and 12.5 of the Shared Health Summary Structured Content Specification v1.1.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $a-vaccine and false() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$a-vaccine and false()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />
		which identifies a vaccine. <xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify a vaccine administered to the consumer at any         time.  The value must include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.8 and 12.5 of the Shared Health Summary Structured Content Specification v1.1.)'))" /><xsl:text />
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the list of reference sets stated in section 3.7 of the Medication Instruction and Action Detailed Clinical Model         Specification v2.4, which allows more reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $invalid-tgi and not($error-usingTS-9) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$invalid-tgi and not($error-usingTS-9)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
ZZZ
der-text '<xsl:text /><xsl:value-of select="$der-text" /><xsl:text />'
der-revised-text-1 '<xsl:text /><xsl:value-of select="$der-revised-text-1" /><xsl:text />'
der-revised-text-2 '<xsl:text /><xsl:value-of select="$der-revised-text-2" /><xsl:text />'
ZZZ
		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the value is invalid
		<xsl:text /><xsl:value-of select="if (exists($invalid-tgi-codes-h) or exists($invalid-tgi-codes-r)) then concat(' as it describes ',    iq:invalidityExplanationUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, $invalid-tgi-codes-h, $cd-definitions/meds/meds-invalid/hierarchy, $invalid-tgi-codes-r, $cd-definitions/meds/meds-invalid/refset), '.')   else '.' " /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify a vaccine administered to the consumer at any         time.  The value must include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.8 and 12.5 of the Shared Health Summary Structured Content Specification v1.1.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable outside the applicable value domain): The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. The following codes were obtained and are not in the value domain:
		<xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-TGI-Defn): The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU and no associated code was found in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists(($der-NAF-active-codes, $undetermined-NAF-active-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists(($der-NAF-active-codes, $undetermined-NAF-active-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-TGI-Defn): The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-active-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the
		'<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU but it was not found with this status in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.
		<xsl:text /><xsl:value-of select="if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and ($valid-tgi-1 or $a-vaccine-2 or (not($valid-tgi-5) and $valid-tgi-6))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and ($valid-tgi-1 or $a-vaccine-2 or (not($valid-tgi-5) and $valid-tgi-6))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable within the value domain): The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> which matches
		<xsl:text /><xsl:value-of select="if ($a-vaccine-1) then 'one of the terms listed in Knowledge.xml' else 'the vaccine information in CodeSystems.xml' " /><xsl:text /> for the Therapeutic Good Identification.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(exists($valid-class)) and $class-not-completed and not($class-tp-error or $class-error-10) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(exists($valid-class)) and $class-not-completed and not($class-tp-error or $class-error-10)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. <xsl:text /><xsl:value-of select="if ($code-to-assess = '') then 'No code could be found for the medicine.'    else if ($value-domain = '') then concat('The code ''', $code-to-assess, ''' was found to apply to the medicine by applying the terminology server using the ''', $ts-current-sctau,   ''' version of SNOMED CT-AU but the code was not found in the Validator''s database using the ''', $v-current-sctau, ''' version of SNOMED CT-AU.',   if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '')   else concat('This is a ', $value-domain,    if ($value-domain = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)')) then    concat(' (with medicinal product ''', $third-pass, ''').')    else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)'))    then concat(' (with trade product ''', $class-tp, ''').')    else '.') " /><xsl:text /> The classification of this medicine could not be completed.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists($valid-class) and not($class-tp-error or $class-error-11) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists($valid-class) and not($class-tp-error or $class-error-11)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This <xsl:text /><xsl:value-of select="if (not($value-domain = ('Containered Trade Product Pack (CTPP)',    'Trade Product Pack (TPP)', 'Trade Product (TP)', 'Trade Product Unit of Use (TPUU)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Medicinal Product (MP)')))    then '' else concat('is a ', $value-domain, ' which')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($value-domain = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)')) then concat(' (with medicinal product ''', $third-pass, ''') which')   else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)'))    then concat(' (with trade product ''', $class-tp, ''') which') else '' " /><xsl:text />
		identifies a type of <xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($valid-class, ' and '), $markup-pattern-replacement, 'ic')" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (concept is codeable within the value domain): The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> which is a valid value for the Therapeutic Good Identification.
		SNOMED CT-AU codes that matched the concept are: <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The text used to match regular expression (der-text-2) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to match non-values and vaccines (der-text-to-match) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-to-match, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to derive a code (der-text) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.

		<xsl:text /><xsl:value-of select="if ($use-revised-text-1) then concat(' A first revision of the text (der-revised-text-1) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-1, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A first revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-1 != '' and $der-revised-text-1 = '') then ' revision-pattern-1 was applied but the output (der-revised-text-1) was an empty string.' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($use-revised-text-2) then concat(' A second revision of the text (der-revised-text-2) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A second revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-2 != '' and $der-revised-text-2 = '') then ' revision-pattern-2 was applied but the output (der-revised-text-2) was an empty string.' else '' " /><xsl:text />

		The SNOMED CT-AU version used to find codes is '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' and the maximum code number is '<xsl:text /><xsl:value-of select="$max-code-number" /><xsl:text />'.

		Codes for related terms (related-terms-2): '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($related-terms-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes for related terms (der-valid-codes-1): 
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-1, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-tgi-codes-2) returned by the terminology server that match the text:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-tgi-codes-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes from related terms or the terminology server (der-valid-codes-2):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-2, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-inactive-codes-3) returned from the Validator's database associated with inactive codes:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-inactive-codes-3, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes found after examining inactive codes (der-valid-codes-3):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-3, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Members of invalid reference sets (invalid-tgi-codes-r): '<xsl:text /><xsl:value-of select="$display-in-other-r" /><xsl:text />'.
		Members of invalid code hierarchies (invalid-tgi-codes-h): '<xsl:text /><xsl:value-of select="$display-in-other-h" /><xsl:text />'.

		Final set of valid codes (der-valid-codes-4): <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.
		
		Codes whose validity has not been determined (der-tgi-codes-5): <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.
		Codes whose validity has not been determined and are inactive with no associated code (undetermined-NAF): '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(    string-join($undetermined-NAF, ''', '''), $markup-pattern-replacement, 'ic')" /><xsl:text />'.

		Result of the second vaccination code test (a-vaccine-2): '<xsl:text /><xsl:value-of select="$a-vaccine-2" /><xsl:text />'.
		Vaccine codes (vaccine-code-test):  '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($vaccine-code-test, '; '), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Overall result of the vaccination test (a-vaccine): '<xsl:text /><xsl:value-of select="$a-vaccine" /><xsl:text />'.

		Will the value of the data element be trusted (der-trusted-text)? '<xsl:text /><xsl:value-of select="$der-trusted-text" /><xsl:text />'.
		
	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and $codes-not-found">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept not codeable): The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($avoid-ts) then 'The terminology server was not used to assist with finding codes corresponding to text in the data element. ' else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $prose-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $prose-err">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> which is invalid as it is prose text.
		The Therapeutic Good Identification data element is CodeableText derived from the HL7 CD data type which by definition is to record a concept defined in an external code system, terminology or ontology.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify a vaccine administered to the consumer at any         time.  The value must include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.8 and 12.5 of the Shared Health Summary Structured Content Specification v1.1.)'))" /><xsl:text />
		This finding will also be reported as an error.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M450" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M450" />
  <xsl:template match="@*|node()" priority="-2" mode="M450">
    <xsl:apply-templates select="@*|*" mode="M450" />
  </xsl:template>
  <!--PATTERN p-TS-Immun-CodeableText-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '101.16638' = $doc-sections][not(cda:templateId[         (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.4') ])]/cda:component/cda:structuredBody/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16638']]/cda:entry/         cda:substanceAdministration/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code         [@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " priority="1000" mode="M451">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '101.16638' = $doc-sections][not(cda:templateId[         (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.4') ])]/cda:component/cda:structuredBody/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16638']]/cda:entry/         cda:substanceAdministration/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code         [@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="pnullFlavor" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @nullFlavor) then @nullFlavor else '' " />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-p-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then false()        else if ($psnomed-id = 'amtv3' and @codeSystemVersion) then exists($v-amtv3[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($psnomed-id = 'snomedctau' and @codeSystemVersion) then exists($v-snomedctau[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false() " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and $pcode != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used to assess the primary code.') " />
    <xsl:variable name="pcode-refsets-1" select="if (@codeSystem = '2.16.840.1.113883.6.96' and not($pcode = ''))         then dh:FindValueDomainsForCode($pcode, '2.16.840.1.113883.6.96', $v-psnomed-version) else 'no-code' " />
    <xsl:variable name="pcode-found" select="not($pcode-refsets-1 = 'no-code' or $pcode-refsets-1 = 'CodeNotFound' or $pcode-refsets-1 = 'Error'        or contains($pcode-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="pcode-refsets" select="if ($pcode-found) then distinct-values(tokenize($pcode-refsets-1, '\|')) else () " />
    <xsl:variable name="pcode-special-proc" select="count($pcode-refsets) = 1 and 'Procedure Foundation (PF)' = $pcode-refsets and not($pnullFlavor = 'OTH') " />
    <xsl:variable name="pcode-refsets-msg" select="if (count($pcode-refsets) = 0) then ''         else if (count($pcode-refsets) = 1) then concat('The code is a member of the ', $pcode-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($pcode-refsets, ', '), '.') " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))         else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-1" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="snomed-trans-2" select="distinct-values(for $i in (1 to count($snomed-trans-1)) return $snomed-trans-1[$i]/@code) " />
    <xsl:variable name="snomed-trans-a" select="$snomed-trans-1[1] " />
    <xsl:variable name="tcode-a" select="if (exists($snomed-trans-a) and matches($snomed-trans-a/@code, $snomed-code-regex)) then $snomed-trans-a/@code else '' " />
    <xsl:variable name="tnullFlavor-a" select="if (exists($snomed-trans-a) and $snomed-trans-a/@nullFlavor) then $snomed-trans-a/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-a" select="if (not(exists($snomed-trans-a))) then 'not-snomed'        else if (not($snomed-trans-a/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-a/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-a" select="if (not(exists($snomed-trans-a))) then ''        else if ($tsnomed-id-a = 'amtv3' and exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-a = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-a/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-a" select="if (not(exists($snomed-trans-a))) then false()        else if ($tsnomed-id-a = 'amtv3' and $snomed-trans-a/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-a = 'snomedctau' and $snomed-trans-a/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-a-msg" select="if (not(exists($snomed-trans-a))) then ''        else if (not($snomed-trans-a/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-a, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-a = 'amtv3') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-a = 'snomedctau') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-a/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-a, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-a/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-a-refsets-1" select="if (exists($snomed-trans-a) and not($tcode-a = ''))         then dh:FindValueDomainsForCode($tcode-a, '2.16.840.1.113883.6.96', $v-tsnomed-version-a) else 'no-code' " />
    <xsl:variable name="tcode-a-found" select="not($tcode-a-refsets-1 = 'no-code' or $tcode-a-refsets-1 = 'CodeNotFound' or $tcode-a-refsets-1 = 'Error'         or contains($tcode-a-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-a-refsets" select="if ($tcode-a-found) then distinct-values(tokenize($tcode-a-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-a-special-proc" select="count($tcode-a-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-a-refsets and not($tnullFlavor-a = 'OTH') " />
    <xsl:variable name="tcode-a-refsets-msg" select="if (count($tcode-a-refsets) = 0) then ''         else if (count($tcode-a-refsets) = 1) then concat('The code is a member of the ', $tcode-a-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-a-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@code and $snomed-trans-a/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-a/@displayName, codepoints-to-string(34))         else if ($snomed-trans-a/@code and not($snomed-trans-a/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@codeSystem and $snomed-trans-a/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-a/@codeSystemName, ')')         else if ($snomed-trans-a/@codeSystem and not($snomed-trans-a/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-b" select="(for $i in (2 to count($snomed-trans-1)) return if ($snomed-trans-1[$i]/@code != $snomed-trans-a/@code) then $snomed-trans-1[$i] else ())[1] " />
    <xsl:variable name="tcode-b" select="if (exists($snomed-trans-b) and matches($snomed-trans-b/@code, $snomed-code-regex)) then $snomed-trans-b/@code else '' " />
    <xsl:variable name="tnullFlavor-b" select="if (exists($snomed-trans-b) and $snomed-trans-b/@nullFlavor) then $snomed-trans-b/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-b" select="if (not(exists($snomed-trans-b))) then 'not-snomed'        else if (not($snomed-trans-b/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-b/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-b" select="if (not(exists($snomed-trans-b))) then ''        else if ($tsnomed-id-b = 'amtv3' and exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-b = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-b/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-b" select="if (not(exists($snomed-trans-b))) then false()        else if ($tsnomed-id-b = 'amtv3' and $snomed-trans-b/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-b = 'snomedctau' and $snomed-trans-b/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-b-msg" select="if (not(exists($snomed-trans-b))) then ''        else if (not($snomed-trans-b/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-b, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-b = 'amtv3') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-b = 'snomedctau') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-b/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-b, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-b/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-b-refsets-1" select="if (exists($snomed-trans-b) and not($tcode-b = ''))         then dh:FindValueDomainsForCode($tcode-b, '2.16.840.1.113883.6.96', $v-tsnomed-version-b) else 'no-code' " />
    <xsl:variable name="tcode-b-found" select="not($tcode-b-refsets-1 = 'no-code' or $tcode-b-refsets-1 = 'CodeNotFound' or $tcode-b-refsets-1 = 'Error'         or contains($tcode-b-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-b-refsets" select="if ($tcode-b-found) then distinct-values(tokenize($tcode-b-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-b-special-proc" select="count($tcode-b-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-b-refsets and not($tnullFlavor-b = 'OTH') " />
    <xsl:variable name="tcode-b-refsets-msg" select="if (count($tcode-b-refsets) = 0) then ''         else if (count($tcode-b-refsets) = 1) then concat('The code is a member of the ', $tcode-b-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-b-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@code and $snomed-trans-b/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-b/@displayName, codepoints-to-string(34))         else if ($snomed-trans-b/@code and not($snomed-trans-b/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@codeSystem and $snomed-trans-b/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-b/@codeSystemName, ')')         else if ($snomed-trans-b/@codeSystem and not($snomed-trans-b/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-60" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-60 else $rating-alt-TC-Types-60 " />
    <!--REPORT -->
    <xsl:if test=" $pcode-found and $pcode-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pcode-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD (p-TS-CD-SCT-RefSet): An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$pcode" /><xsl:text />',
		codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-psnomed-version" /><xsl:text />'. This error occurred when assessing the Therapeutic Good Identification data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. The value is not valid for the data element as it describes a medical
		procedure and not a medical problem or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify a vaccine administered to the consumer at any         time. The text must include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.16 and 12.5 of the Shared Health Summary Structured Content Specification v1.2.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the code is not a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Administered Immunisation (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Administered Immunisation (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Administered Immunisation (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. Confirm if the code is a member of the value domain.
		If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Administered Immunisation (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="count($snomed-trans-1)" /><xsl:text /> translation elements with
		codes and the SNOMED CT-AU codeSystem '2.16.840.1.113883.6.96'. The first two translation elements have been assessed to determine if the codes are members of the value domain
		and the others have not been assessed. Confirm if the value of the code attribute in all SNOMED CT translation elements meets the requirement that it be a member of the value domain
		if there is no nullFlavor 'OTH' or that there is a nullFlavor 'OTH' if the value of the code attribute is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text /> 
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Administered Immunisation (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-a" /><xsl:text />'. This error occurred when assessing the Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify a vaccine administered to the consumer at any         time. The text must include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.16 and 12.5 of the Shared Health Summary Structured Content Specification v1.2.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Administered Immunisation (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Administered Immunisation (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Administered Immunisation (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Administered Immunisation (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-b" /><xsl:text />'. This error occurred when assessing the Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> 
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify a vaccine administered to the consumer at any         time. The text must include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.16 and 12.5 of the Shared Health Summary Structured Content Specification v1.2.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Administered Immunisation (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Administered Immunisation (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Administered Immunisation (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Administered Immunisation (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M451" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M451" />
  <xsl:template match="@*|node()" priority="-2" mode="M451">
    <xsl:apply-templates select="@*|*" mode="M451" />
  </xsl:template>
  <!--PATTERN p-TS-Immun-CodeableText-5-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '101.16638' = $doc-sections][cda:templateId[         (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.4') ]]/cda:component/cda:structuredBody/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16638']]/cda:entry/         cda:substanceAdministration/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code         [(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-immun-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])][not(@nullFlavor = $no-value-NF)] " priority="1000" mode="M452">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '101.16638' = $doc-sections][cda:templateId[         (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.4') ]]/cda:component/cda:structuredBody/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16638']]/cda:entry/         cda:substanceAdministration/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code         [(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-immun-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])][not(@nullFlavor = $no-value-NF)] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="snomed-trans" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="tcode" select="if (exists($snomed-trans[1]) and matches($snomed-trans[1]/@code, $snomed-code-regex)) then $snomed-trans[1]/@code else '' " />
    <xsl:variable name="code-present" select="$pcode != '' or $tcode != '' " />
    <xsl:variable name="invalid-code-system" select="@code and @displayName and @codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="codesystemvalues" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']" />
    <xsl:variable name="otext-without-markup" select="if (cda:originalText and cda:originalText != '') then normalize-space(replace(cda:originalText, $markup-regex, ' ')) else '' " />
    <xsl:variable name="pdname" select="if (@displayName and not($invalid-code-system)) then normalize-space(@displayName) else '' " />
    <xsl:variable name="is-immun" select="exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='101.16638' or @code = '101.16658' or @code = '101.17039')]]) " />
    <xsl:variable name="is-pd" select="exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code = '102.16210' or @code='102.16211' or @code='101.16795')]]) " />
    <xsl:variable name="is-shs-meds" select="$templateId-root = '1.2.36.1.2001.1001.101.100.1002.120' and          exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]) " />
    <xsl:variable name="is-meds" select="exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code = '101.16146.4.1.1' or @code = '101.16146.4.1.2' or @code='101.16146')]]) " />
    <xsl:variable name="max-code-number" select="if ($knowledge/search-for-term/max-sct-code-number/@value &gt; '5') then $knowledge/search-for-term/max-sct-code-number/@value else '5' " />
    <xsl:variable name="der-text-1" select="if ($code-present) then ''         else if ($otext-without-markup != '') then $otext-without-markup        else if ($pdname != '') then $pdname        else '' " />
    <xsl:variable name="family-err" select="matches($der-text-1, $family-regex, 'is')" />
    <xsl:variable name="der-truncated-text-1" select="normalize-space(replace(replace($der-text-1, $unicode-br-truncation-regex, '$1', 'is'), $tgi-truncation-regex, '$1', 'is')) " />
    <xsl:variable name="length-err" select="string-length($der-truncated-text-1) &gt; $length-err-max" />
    <xsl:variable name="prose-err-1" select="$length-err and cda:originalText and (        matches(cda:originalText, $ulist-regex)           or         matches(cda:originalText, $alt-ulist-1a-regex, 'is')         or         matches(cda:originalText, $alt-ulist-1b-regex, 'is')         )" />
    <xsl:variable name="prose-err" select="$prose-err-1 or (cda:originalText and (         matches(cda:originalText, $alt-ulist-2-regex, 'is')         or        matches(cda:originalText, $olist-arabic-regex, 'is')         or         matches(cda:originalText, $olist-alpha-regex, 'is')         or         matches(cda:originalText, $olist-roman-regex, 'is')         or        matches(replace(cda:originalText, $new-line-regex, codepoints-to-string((10)), 'is'), $para-regex, 'is') or        matches(cda:originalText, codepoints-to-string((8233)), 'is')        or               (cda:originalText and matches(cda:originalText, $invalid-concept-regex, 'is'))     or        ($length-err and matches(cda:originalText, '\.\s*$', 's') and matches(cda:originalText, $multi-sentence-regex, 's')) ))" />
    <xsl:variable name="avoid-ts" select="$family-err or $length-err or $prose-err or not($use-ts-for-sctau) " />
    <xsl:variable name="der-text-2a" select="if ($der-truncated-text-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-truncated-text-1, $tgi-fir-pattern-replacement, 'ic')) " />
    <xsl:variable name="der-text-2" select="if ($der-text-2a = '') then $der-text-1 else $der-text-2a " />
    <xsl:variable name="der-text-a" select="if ($der-text-2 = '' or $tgi-regex = '') then $der-text-2 else normalize-space(dh:XQueryRecursiveReplace($der-text-2, $tgi-regex, 'ic')) " />
    <xsl:variable name="der-text" select="if ($der-text-a = '') then $der-text-2 else $der-text-a " />
    <xsl:variable name="defn-valid-regex" select="concat('(^|\|)', translate($der-text-2, $chars-to-remove, ''), '(\||$)') " />
    <xsl:variable name="der-text-to-match-1" select="lower-case($der-text-2) " />
    <xsl:variable name="der-text-to-match" select="translate($der-text-to-match-1, $chars-to-remove, '') " />
    <xsl:variable name="tgi-non-value-regex" select="if ($is-immun)          then $cd-definitions/immun/@non-value-regex         else if ($is-pd)       then $cd-definitions/pd/@non-value-regex        else if ($is-shs-meds) then $cd-definitions/shs-meds/@non-value-regex        else if ($is-meds)     then $cd-definitions/meds/@non-value-regex        else '' " />
    <xsl:variable name="der-text-non-value" select="if ($code-present or @nullFlavor = $no-value-NF) then false() else         $der-text-to-match = ''             or         not(matches($der-text-to-match-1, '[a-z]', 'is'))         or        ($cd-definitions/non-value/@regex != '' and matches($der-text-to-match-1, $cd-definitions/non-value/@regex, 'is')) or        ($tgi-non-value-regex != '' and matches($der-text-to-match-1, $tgi-non-value-regex, 'is'))    " />
    <xsl:variable name="tgi-invalid-regex" select="if ($is-immun)          then $cd-definitions/immun/@invalid-regex         else if ($is-pd)       then $cd-definitions/pd/@invalid-regex        else if ($is-shs-meds) then $cd-definitions/shs-meds/@invalid-regex        else if ($is-meds)     then $cd-definitions/meds/@invalid-regex        else '' " />
    <xsl:variable name="defn-invalid-regex" select="if ($code-present or $der-text-non-value) then ()        else if ($tgi-invalid-regex != '') then tokenize($tgi-invalid-regex, '~')[. != '']         else () " />
    <xsl:variable name="defn-invalid-txt-regex" select="(for $i in (1 to count($defn-invalid-regex)) return normalize-space(substring-before($defn-invalid-regex[$i], '[[')))[. != '']" />
    <xsl:variable name="der-invalid-text-regex-1" select="if (exists($defn-invalid-txt-regex))        then index-of(for $i in (1 to count($defn-invalid-txt-regex)) return matches($der-text-2, $defn-invalid-txt-regex[$i], 'is'), true())        else () " />
    <xsl:variable name="der-invalid-text" select="exists($der-invalid-text-regex-1) " />
    <xsl:variable name="defn-invalid-rsn" select="if ($der-invalid-text)         then normalize-space(substring-before(substring-after($defn-invalid-regex[$der-invalid-text-regex-1[1]], '[['), ']]'))         else '' " />
    <xsl:variable name="trusted-code-systems" select="if ($der-text = '' or $der-invalid-text or not(@codeSystem or cda:translation/@codeSystem)) then ()        else if ($is-immun)          then (tokenize(replace($cd-definitions/immun/@core, '\s+', ''), '\|'),           tokenize(replace($cd-definitions/immun/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-pd)          then (tokenize(replace($cd-definitions/pd/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/pd/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-shs-meds)          then (tokenize(replace($cd-definitions/shs-meds/@core, '\s+', ''), '\|'),          tokenize(replace($cd-definitions/shs-meds/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-meds)          then (tokenize(replace($cd-definitions/meds/@core, '\s+', ''), '\|'),           tokenize(replace($cd-definitions/meds/@extra, '\s+', ''), '\|'))[. != '']         else () " />
    <xsl:variable name="der-trusted-text" select="if ($der-text = '' or $der-invalid-text or (@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex)))) then false()        else ((@codeSystem and exists($trusted-code-systems[. = current()/@codeSystem])) or               (cda:translation/@codeSystem and exists($trusted-code-systems[. = current()/cda:translation/@codeSystem]))) " />
    <xsl:variable name="a-vaccine-1" select="not($code-present or $der-text-non-value or $der-invalid-text) and exists($vaccine-text-normalised) and $der-text-to-match = $vaccine-text-normalised" />
    <xsl:variable name="a-sas-tgi-1" select="not($code-present or $der-text-non-value or $der-invalid-text or $a-vaccine-1) and $tgi-sas-regex != '' and matches($der-text, $tgi-sas-regex, 'is')" />
    <xsl:variable name="an-uncoded-tgi-1" select="not($code-present or $der-text-non-value or $der-invalid-text or $a-vaccine-1 or $a-sas-tgi-1) and $tgi-otheru-regex != '' and         matches($der-text, $tgi-otheru-regex, 'is')" />
    <xsl:variable name="obsolete-tgi-info-1" select="if ($is-immun or $code-present or $der-text-non-value or $der-invalid-text or $a-vaccine-1 or $a-sas-tgi-1 or $an-uncoded-tgi-1 or         not(exists($knowledge/special-tgi/obsolete))) then ()        else $knowledge/special-tgi/obsolete[matches($der-text, concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')] " />
    <xsl:variable name="an-obsolete-tgi-1" select="exists($obsolete-tgi-info-1)" />
    <xsl:variable name="tgi-valid-regex-1" select="if ($code-present or $der-text-non-value or $der-invalid-text or $der-text = '' or $a-vaccine-1 or $a-sas-tgi-1 or $an-uncoded-tgi-1 or          $an-obsolete-tgi-1) then ''        else if ($is-immun)    then $cd-definitions/immun/@valid-regex        else if ($is-pd)       then $cd-definitions/pd/@valid-regex        else if ($is-shs-meds) then $cd-definitions/shs-meds/@valid-regex        else if ($is-meds)     then $cd-definitions/meds/@valid-regex        else '' " />
    <xsl:variable name="valid-tgi-1" select="if ($a-vaccine-1 or $a-sas-tgi-1 or $an-uncoded-tgi-1 or $an-obsolete-tgi-1) then true()         else if ($tgi-valid-regex-1 = '') then false()        else exists(index-of(for $regex in (tokenize($tgi-valid-regex-1, '~')[. != '']) return          matches($der-text-2, dh:XQueryRecursiveReplace(normalize-space($regex), ' \|~|~\| ~|', ''), 'is'), true())) " />
    <xsl:variable name="invalid-hierarchy-1" select="if (exists($cd-definitions/meds/meds-invalid/hierarchy))         then string-join(for $hierarchy in $cd-definitions/meds/meds-invalid/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-refset" select="if (exists($cd-definitions/meds/meds-invalid/refset))          then string-join(for $refset in $cd-definitions/meds/meds-invalid/refset return concat('^', $refset/@code), ' OR ')         else '' " />
    <xsl:variable name="valid-refset" select="concat($tgi-formula, ' OR &lt;763158003') " />
    <xsl:variable name="valid-domain" select="if ($invalid-refset != '' and $invalid-hierarchy-1 != '')         then concat('((', $valid-refset, ') MINUS (', $invalid-refset, ' OR (', $invalid-hierarchy-1, ')))')        else if ($invalid-refset = '' and $invalid-hierarchy-1 != '') then concat('((', $valid-refset, ') MINUS (', $invalid-hierarchy-1, '))')         else if ($invalid-refset != '' and $invalid-hierarchy-1 = '') then concat('((', $valid-refset, ') MINUS (', $invalid-refset, '))')        else concat('(', $valid-refset, ')') " />
    <xsl:variable name="related-terms-1" select="if ($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-1) then ()        else ($codesystemvalues/code[@related-terms], $codesystemvalues/related-terms[@related-terms]) " />
    <xsl:variable name="related-terms-2" select="for $i in index-of(        for $concept in $related-terms-1 return matches(translate($concept/@related-terms, $chars-no-pipe, ''), $defn-valid-regex, 'is'), true())         return $related-terms-1[$i]/@code " />
    <xsl:variable name="der-tgi-codes-1" select="if (exists($related-terms-2)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($related-terms-2, ' OR '), ') AND ', $valid-domain), '', string(count($related-terms-2)), false())        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $der-tgi-codes-1 " />
    <xsl:variable name="der-valid-codes-1" select="if (contains($der-tgi-codes-1, '[')) then $der-tgi-codes-1 else '' " />
    <xsl:variable name="valid-tgi-2" select="$valid-tgi-1 or $der-valid-codes-1 != '' " />
    <xsl:variable name="tgi-inactive-refSets" select="if (exists($cd-definitions/tgi/tgi-invalid/inactive-refset))         then concat('((', $inactive-refSets, ') MINUS (',           string-join(for $refset in $cd-definitions/tgi/tgi-invalid/inactive-refset return concat('^', $refset/@code), ' OR '),          '))')         else $inactive-refSets " />
    <xsl:variable name="formula" select="concat($valid-domain, ' OR ', $tgi-inactive-refSets) " />
    <xsl:variable name="ts-not-needed" select="$der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-2 or $avoid-ts " />
    <xsl:variable name="der-tgi-codes-2-a" select="if ($ts-not-needed or exists($related-terms-2)) then ()         else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-text,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2-a" select="$error-usingTS-1 or 'Error' = $der-tgi-codes-2-a " />
    <xsl:variable name="revision-pattern-1" select="if ($ts-not-needed or $valid-tgi-2 or exists($der-tgi-codes-2-a) or $error-usingTS-2-a or exists($related-terms-2)) then ''        else $tgi-sec-pattern-replacement " />
    <xsl:variable name="der-revised-text-1" select="if ($revision-pattern-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-text, $revision-pattern-1, 'ic')) " />
    <xsl:variable name="use-revised-text-1" select="$der-revised-text-1 != '' and $der-revised-text-1 != $der-text " />
    <xsl:variable name="obsolete-tgi-info-2" select="if (exists($der-tgi-codes-2-a)) then ()        else if ($an-obsolete-tgi-1) then $obsolete-tgi-info-1        else if ($use-revised-text-1) then $knowledge/special-tgi/obsolete[matches($der-revised-text-1, concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')]        else () " />
    <xsl:variable name="an-obsolete-tgi-2" select="exists($obsolete-tgi-info-2)" />
    <xsl:variable name="der-tgi-codes-2-b" select="if ($an-obsolete-tgi-2) then ()        else if ($ts-not-needed or exists($der-tgi-codes-2-a) or not($use-revised-text-1)) then $der-tgi-codes-2-a         else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-1,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2-b" select="$error-usingTS-2-a or 'Error' = $der-tgi-codes-2-b " />
    <xsl:variable name="revision-pattern-2" select="if ($ts-not-needed or $valid-tgi-2 or exists($der-tgi-codes-2-b) or $error-usingTS-2-b or exists($related-terms-2)) then ''        else $tgi-thi-pattern-replacement " />
    <xsl:variable name="der-revised-text-2" select="if ($revision-pattern-2 = '') then '' else normalize-space(dh:XQueryRecursiveReplace(         if ($use-revised-text-1) then $der-revised-text-1 else $der-text, $revision-pattern-2, 'ic')) " />
    <xsl:variable name="use-revised-text-2" select="if ($use-revised-text-1) then $der-revised-text-2 != '' and $der-revised-text-2 != $der-revised-text-1         else $der-revised-text-2 != '' and $der-revised-text-2 != $der-text " />
    <xsl:variable name="obsolete-tgi-info-3" select="if (exists($der-tgi-codes-2-b)) then ()        else if ($an-obsolete-tgi-2) then $obsolete-tgi-info-2        else if ($use-revised-text-2) then $knowledge/special-tgi/obsolete[matches($der-revised-text-2, concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')]        else () " />
    <xsl:variable name="an-obsolete-tgi-3" select="exists($obsolete-tgi-info-3)" />
    <xsl:variable name="der-tgi-codes-2-c" select="if ($an-obsolete-tgi-3) then ()        else if ($ts-not-needed or exists($der-tgi-codes-2-b) or not($use-revised-text-2)) then $der-tgi-codes-2-b        else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-2,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2-c" select="$error-usingTS-2-b or 'Error' = $der-tgi-codes-2-c " />
    <xsl:variable name="der-tgi-codes-2-d" select="if ($an-obsolete-tgi-3 or $ts-not-needed or exists($der-tgi-codes-2-c)) then $der-tgi-codes-2-c        else iq:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula,          if ($der-revised-text-2 != '') then $der-revised-text-2          else if ($der-revised-text-1 != '') then $der-revised-text-1          else $der-text, 'default') " />
    <xsl:variable name="error-usingTS-2-d" select="$error-usingTS-2-c or 'Error' = $der-tgi-codes-2-d " />
    <xsl:variable name="der-tgi-codes-2" select="$der-tgi-codes-2-d " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-2-d " />
    <xsl:variable name="der-valid-codes-2" select="if ($der-valid-codes-1 != '') then $der-valid-codes-1        else if ($error-usingTS-2) then ''         else string-join((for $code in $der-tgi-codes-2 return if (contains($code, '~inactive')) then '' else $code)[. != ''], '|')  " />
    <xsl:variable name="valid-tgi-3" select="$valid-tgi-2 or $der-valid-codes-2 != '' " />
    <xsl:variable name="der-inactive-codes-1" select="if ($valid-tgi-3) then () else        for $code in $der-tgi-codes-2 return if (contains($code, '~inactive')) then replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is') else '' " />
    <xsl:variable name="der-inactive-codes-2" select="for $i in (1 to count($der-inactive-codes-1)) return         dh:IsCodeAssociatedWithAnotherCode($der-inactive-codes-1[$i], '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-1" select="'Error' = $der-inactive-codes-2 " />
    <xsl:variable name="der-NAF-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-NAF-active-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound~active')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-inactive-codes-3" select="tokenize(string-join(for $i in (1 to count($der-inactive-codes-1)) return replace(string-join(tokenize($der-inactive-codes-2[$i], '\|')        [matches(., '(REPLACED BY|SAME AS|ALTERNATIVE|POSSIBLY EQUIVALENT TO|MAY BE A|WAS A)')], '|'), '[0-9]+~[A-Z ]+~([0-9]+)', '$1'), '|'), '\|')        [. != ''] " />
    <xsl:variable name="der-tgi-codes-3" select="if (exists($der-inactive-codes-3)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($der-inactive-codes-3, ' OR '), ') AND ', $valid-domain), '', string(count($der-inactive-codes-3)), false())          else '' " />
    <xsl:variable name="error-usingTS-3" select="$error-usingTS-2 or 'Error' = $der-tgi-codes-3 " />
    <xsl:variable name="der-valid-codes-3" select="if ($der-valid-codes-2 != '') then $der-valid-codes-2        else if (contains($der-tgi-codes-3, '[')) then $der-tgi-codes-3        else '' " />
    <xsl:variable name="valid-tgi-4" select="$valid-tgi-3 or $der-valid-codes-3 != '' " />
    <xsl:variable name="tbd-hierarchy" select="if (exists($cd-definitions/meds/meds-tbd/hierarchy))         then string-join(for $hierarchy in $cd-definitions/meds/meds-tbd/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-hierarchy" select="if ($invalid-hierarchy-1 != '' and $tbd-hierarchy != '') then concat($invalid-hierarchy-1, ' OR ', $tbd-hierarchy)        else if ($invalid-hierarchy-1 != '') then $invalid-hierarchy-1        else if ($tbd-hierarchy != '') then $tbd-hierarchy        else '' " />
    <xsl:variable name="invalid-domain" select="if ($invalid-hierarchy != '' and $invalid-refset != '') then concat($invalid-hierarchy, ' OR ', $invalid-refset)        else if ($invalid-hierarchy != '') then $invalid-hierarchy        else if ($invalid-refset != '') then $invalid-refset        else '' " />
    <xsl:variable name="filter-text" select="if ($use-revised-text-2) then $der-revised-text-2 else if ($use-revised-text-1) then $der-revised-text-1 else $der-text " />
    <xsl:variable name="der-tgi-codes-4" select="if ($ts-not-needed or $valid-tgi-4 or $invalid-domain = '') then ()        else if (exists($related-terms-2)) then $related-terms-2        else distinct-values((tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          $invalid-domain, $filter-text, $max-code-number, false()), '(\[.*?\])(\||$)', '$2'), '\|'), $der-inactive-codes-3)) " />
    <xsl:variable name="error-usingTS-4" select="$error-usingTS-3 or 'Error' = $der-tgi-codes-4 " />
    <xsl:variable name="invalid-tgi-codes-r" select="if ($ts-not-needed or $valid-tgi-4 or $error-usingTS-4 or not(exists($der-tgi-codes-4))) then ()        else if ($invalid-refset = '') then tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-tgi-codes-4, ' OR '), ') AND (', $inactive-refSets, ')'), '',           string(count($der-tgi-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')        else tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-tgi-codes-4, ' OR '), ') AND (', $invalid-refset, ' OR ', $inactive-refSets, ')'), '',           string(count($der-tgi-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')  " />
    <xsl:variable name="error-usingTS-5" select="$error-usingTS-4 or 'Error' = $invalid-tgi-codes-r " />
    <xsl:variable name="der-tgi-codes-4-h" select="if ($error-usingTS-5) then () else $der-tgi-codes-4[not(. = $invalid-tgi-codes-r)]" />
    <xsl:variable name="invalid-tgi-codes-h" select="if ($ts-not-needed or $valid-tgi-4 or 'Error' = $der-tgi-codes-4 or $meds-invalid-hierarchy = '' or not(exists($der-tgi-codes-4-h))) then ()        else (for $code in $der-tgi-codes-4-h return          if (dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;&gt;', $code, ' MINUS ', $meds-invalid-hierarchy), '', '1', false()) = '') then $code else '')[. != ''] " />
    <xsl:variable name="invalid-tgi-codes" select="($invalid-tgi-codes-h, $invalid-tgi-codes-r) " />
    <xsl:variable name="der-tgi-codes-5" select="$der-tgi-codes-4[not(. = $invalid-tgi-codes or . = 'Error')]" />
    <xsl:variable name="der-valid-codes-4" select="if ($der-valid-codes-3 != '') then $der-valid-codes-3        else if ($ts-not-needed or $valid-tgi-4 or $valid-domain = '' or not(exists($der-tgi-codes-5))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-tgi-codes-5, ' OR '), ') AND ', $valid-domain), '', string(count($der-tgi-codes-5)), false()) " />
    <xsl:variable name="error-usingTS-6" select="$error-usingTS-5 or 'Error' = $der-valid-codes-4 " />
    <xsl:variable name="valid-tgi-5" select="$valid-tgi-4 or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="der-valid-codes-seq" select="if ($error-usingTS-6) then () else tokenize(replace($der-valid-codes-4,  '(\[.*?\])(\||$)', '$2'), '\|') " />
    <xsl:variable name="undetermined-tgi-1" select="if (exists($der-valid-codes-seq)) then $der-tgi-codes-5[not(. = $der-valid-codes-seq)] else $der-tgi-codes-5 " />
    <xsl:variable name="undetermined-inactive-1" select="for $i in (1 to count($undetermined-tgi-1)) return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $undetermined-tgi-1[$i], '', '1', false()) " />
    <xsl:variable name="error-usingTS-7" select="$error-usingTS-6 or 'Error' = $undetermined-inactive-1 " />
    <xsl:variable name="undetermined-inactive" select="(for $i in (1 to count($undetermined-tgi-1)) return         if (contains($undetermined-inactive-1[$i], '~inactive')) then $undetermined-inactive-1[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-1" select="for $i in (1 to count($undetermined-inactive))        return dh:IsCodeAssociatedWithAnotherCode(replace($undetermined-inactive[$i], '(\[.*?\])(\||$)', '$2'), '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-2" select="$error-usingV-1 or 'Error' = $undetermined-NAF-1 " />
    <xsl:variable name="undetermined-NAF" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-codes" select="for $term in $undetermined-NAF return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-NAF-active" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound~active')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-active-codes" select="for $term in $undetermined-NAF-active return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-tgi" select="$undetermined-tgi-1[not(. = ($undetermined-NAF-codes, $undetermined-NAF-active-codes))]" />
    <xsl:variable name="invalid-tgi" select="not($valid-tgi-5) and exists($invalid-tgi-codes) and not(exists($undetermined-tgi))" />
    <xsl:variable name="a-sas-tgi" select="if ($a-sas-tgi-1) then true()        else if ($a-vaccine-1 or $valid-tgi-5 or $invalid-tgi or not($use-revised-text-2) or $tgi-sas-regex = '') then false()        else matches($der-revised-text-2, $tgi-sas-regex, 'is')" />
    <xsl:variable name="an-uncoded-tgi" select="if ($an-uncoded-tgi-1) then true()        else if ($a-vaccine-1 or $valid-tgi-5 or $invalid-tgi or not($use-revised-text-2) or $tgi-otheru-regex = '' or $a-sas-tgi) then false()        else matches($der-revised-text-2, $tgi-otheru-regex, 'is')" />
    <xsl:variable name="obsolete-tgi-info" select="if ($an-obsolete-tgi-3) then $obsolete-tgi-info-3        else if ($a-vaccine-1 or $valid-tgi-5 or $invalid-tgi or not($use-revised-text-2) or not(exists($knowledge/special-tgi/obsolete)) or $a-sas-tgi or          $an-uncoded-tgi) then ()        else $knowledge/special-tgi/obsolete[matches($der-revised-text-2,          concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')] " />
    <xsl:variable name="an-obsolete-tgi" select="exists($obsolete-tgi-info)" />
    <xsl:variable name="valid-tgi-6" select="$valid-tgi-5 or $a-sas-tgi or $an-uncoded-tgi or $an-obsolete-tgi " />
    <xsl:variable name="a-vaccine-2" select="if ($a-vaccine-1) then true()        else if ($valid-tgi-6 or $invalid-tgi or not(exists($vaccine-text-normalised))) then false()        else if ($der-text != '' and translate(lower-case($der-text), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else if ($use-revised-text-1 and translate(lower-case($der-revised-text-1), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else if ($use-revised-text-2 and translate(lower-case($der-revised-text-2), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else false() " />
    <xsl:variable name="vaccine-code-test" select="if (not($a-vaccine-2 or $valid-tgi-6 or $invalid-tgi or $avoid-ts) and exists($undetermined-tgi))         then tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($undetermined-tgi, ' OR '), ') AND (&lt;71181003 OR &lt;127785005)'), '',          string(count($undetermined-tgi)), false()), '\|')        else () " />
    <xsl:variable name="error-usingTS-8" select="$error-usingTS-7 or 'Error' = $vaccine-code-test " />
    <xsl:variable name="a-vaccine" select="$a-vaccine-2 or (not('Error' = $vaccine-code-test) and exists($undetermined-tgi) and count($vaccine-code-test) = count($undetermined-tgi)) " />
    <xsl:variable name="codes-with-history" select="$der-inactive-codes-2[matches(., '[0-9]')]" />
    <xsl:variable name="hist-vers" select="if (exists($codes-with-history))        then dh:FindLastUpdatedDateForCodeUsingTS(substring-before($codes-with-history[1], '~'), '2.16.840.1.113883.6.96', $ts-latest-snomedctau)       else '' " />
    <xsl:variable name="error-usingTS-9" select="$error-usingTS-8 or 'Error' = $hist-vers " />
    <xsl:variable name="hist-vers-date" select="if (matches($hist-vers, '^(CodeFoundActive|CodeFoundInactive)\|[0-9]{8}$')) then substring-after($hist-vers, '|') else '' " />
    <xsl:variable name="inactive-concept" select="count($der-tgi-codes-2) = count($der-inactive-codes-1) and not($valid-tgi-6)" />
    <xsl:variable name="der-inactive-codes-4" select="$der-inactive-codes-3[not(contains(., 'MOVED FROM') or contains(., 'WAS A'))]" />
    <xsl:variable name="obsolete-without-date" select=" ($an-obsolete-tgi and not($obsolete-tgi-info/@last-available))   or         (exists($der-inactive-codes-3) and not(exists($der-inactive-codes-4)))  or         (exists($der-inactive-codes-4) and $hist-vers-date = '')   " />
    <xsl:variable name="obsolete-date" select="if ($is-immun) then ''        else if ($hist-vers-date != '') then $hist-vers-date        else if ($an-obsolete-tgi and $obsolete-tgi-info/@last-available) then $obsolete-tgi-info/@last-available         else '' " />
    <xsl:variable name="obsolete-yr" select="substring($obsolete-date, 1, 4) " />
    <xsl:variable name="obsolete-mn-temp" select="substring($obsolete-date, 5, 2) " />
    <xsl:variable name="obsolete-mn" select="if ($obsolete-mn-temp = '') then '06' else $obsolete-mn-temp " />
    <xsl:variable name="obsolete-dy-temp" select="substring($obsolete-date, 7, 2) " />
    <xsl:variable name="obsolete-dy" select="if ($obsolete-dy-temp = '') then '15' else $obsolete-dy-temp " />
    <xsl:variable name="obsolete-xs" select="if ($obsolete-date = '') then () else xs:date(concat($obsolete-yr, '-', $obsolete-mn, '-', $obsolete-dy)) " />
    <xsl:variable name="display-obsolete-date" select="if ($obsolete-date = '') then ''        else if ($obsolete-mn-temp = '') then $obsolete-dy        else if ($obsolete-dy-temp = '') then concat($knowledge/months/month[@number = $obsolete-mn]/@abbreviation, ' ', $obsolete-yr)        else concat($obsolete-dy, ' ', $knowledge/months/month[@number = $obsolete-mn]/@abbreviation, ' ', $obsolete-yr) " />
    <xsl:variable name="obsolete-date-diff" select="if ($obsolete-date = '' or not(matches($creation-date-xs - $obsolete-xs, '^P[0-9]+D'))) then '0'        else number(substring-before(substring-after($creation-date-xs - $obsolete-xs, 'P'), 'D')) " />
    <xsl:variable name="obsolete-yrs-ago" select="$obsolete-date-diff div 365 " />
    <xsl:variable name="coding" select="if (not($flags/@assess-class = 'true') or not($use-ts-for-sctau) or not(exists($iq-config/tgi-coding))) then () else $iq-config/tgi-coding" />
    <xsl:variable name="s-classification" select="if (exists($coding/special-classification/classification)) then $coding/special-classification/classification else () " />
    <xsl:variable name="s-number" select="count($s-classification) " />
    <xsl:variable name="s-formula" select="string-join(for $class in $s-classification return $class/@code, ' OR ')" />
    <xsl:variable name="code-to-assess" select="if (not($flags/@assess-class = 'true') or not($use-ts-for-sctau)) then '' else if (exists($der-valid-codes-seq)) then $der-valid-codes-seq[1] else '' " />
    <xsl:variable name="value-domain-1" select="if ($code-to-assess = '') then '' else dh:FindValueDomainsForCode($code-to-assess, '2.16.840.1.113883.6.96', $v-current-sctau)" />
    <xsl:variable name="class-error-1" select="$value-domain-1 = 'Error' " />
    <xsl:variable name="value-domain" select="if ($class-error-1 or $value-domain-1 = ('', 'CodeNotFound')) then ''       else if (contains($value-domain-1, '|')) then substring-before($value-domain-1, '|')       else $value-domain-1 " />
    <xsl:variable name="first-pass-1" select="if ($value-domain = '') then ''        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)'))         then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat($code-to-assess, ' . 30409011000036107'), '', '1', true())        else if ($value-domain = 'Medicinal Product Pack (MPP)')         then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat($code-to-assess, ' . 30348011000036104'), '', '1', true())        else if ($value-domain = 'Trade Product (TP)') then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&lt;', $code-to-assess), '', '1', true())        else $code-to-assess " />
    <xsl:variable name="class-error-2" select="$class-error-1 or ($value-domain != '' and $first-pass-1 = ('Error', '')) " />
    <xsl:variable name="first-pass" select="if (not($class-error-2) and $first-pass-1 != '') then replace($first-pass-1, '(\[.*?\])(\||$)', '$2') else '' " />
    <xsl:variable name="second-pass-1" select="if ($first-pass = '') then ''        else if ($value-domain = 'Trade Product Unit of Use (TPUU)')          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $code-to-assess, ' AND ^929360071000036103'), '', '1', true())        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product (TP)'))          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $first-pass, ' AND ^929360071000036103'), '', '1', true())        else if ($value-domain = 'Medicinal Product Pack (MPP)') then $first-pass        else $code-to-assess " />
    <xsl:variable name="class-error-3" select="$class-error-2 or ($first-pass != '' and $second-pass-1 = ('Error', '')) " />
    <xsl:variable name="second-pass" select="if (not($class-error-3) and $second-pass-1 != '') then replace($second-pass-1, '(\[.*?\])(\||$)', '$2') else '' " />
    <xsl:variable name="class-tp-1" select="if ($class-error-3) then ''        else if ($value-domain = 'Trade Product Unit of Use (TPUU)')          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $code-to-assess, ' AND ^929360021000036102'), '', '1', true())        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)'))          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $first-pass, ' AND ^929360021000036102'), '', '1', true())        else '' " />
    <xsl:variable name="class-tp-error" select="$class-tp-1 = 'Error' " />
    <xsl:variable name="class-tp" select="if (not($class-tp-error) and $class-tp-1 != '') then replace($class-tp-1, '^([0-9]+\[)(.*?)(\])$', '$2') else '' " />
    <xsl:variable name="third-pass-1" select="if ($second-pass = '') then ''        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product (TP)',          'Trade Product Unit of Use (TPUU)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)'))         then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;!', $second-pass, ' AND ^929360061000036106'), '', '1', false())        else $second-pass " />
    <xsl:variable name="class-error-4" select="$class-error-3 or ($second-pass != '' and $third-pass-1 = ('Error', '')) " />
    <xsl:variable name="third-pass" select="if ($class-error-4 or $third-pass-1 = '') then ''         else if (matches($third-pass-1, '^[0-9]+$')) then replace($der-valid-codes-4, '^([0-9]+\[)(.*?)(\]\|.*|\])$', '$2')        else if (matches($third-pass-1, '^[0-9]')) then replace($third-pass-1, '^([0-9]+\[)(.*?)(\])$', '$2') else '' " />
    <xsl:variable name="fourth-pass-1" select="if ($third-pass = '') then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', '&lt;373873005', $third-pass, '1', true()) " />
    <xsl:variable name="class-error-5" select="$class-error-4 or $fourth-pass-1 = 'Error' " />
    <xsl:variable name="fourth-pass" select="if (not($class-error-4) and $fourth-pass-1 != '' and matches($fourth-pass-1, '^[0-9]')) then replace($fourth-pass-1, '(\[.*?\])(\||$)', '$2') else '' " />
    <xsl:variable name="class-not-completed" select="($flags/@assess-class = 'true' and $code-to-assess = '')  or        ($code-to-assess != '' and $value-domain-1 = 'CodeNotFound') or        ($third-pass != '' and $fourth-pass = '')   " />
    <xsl:variable name="valid-class-1" select="if ($fourth-pass = '' or $s-number = 0) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND (', $s-formula, ')'), '', string($s-number), true()) " />
    <xsl:variable name="class-error-6" select="$class-error-5 or $valid-class-1 = 'Error' " />
    <xsl:variable name="valid-class-2" select="if ($valid-class-1 = '' or $class-error-6) then () else tokenize(replace($valid-class-1, '(\[.*?\])(\||$)', '$2'), '\|') " />
    <xsl:variable name="valid-class-3" select="if ($a-vaccine and exists($s-classification[@code = '71181003']/@description)) then ($s-classification[@code = '71181003']/@description)       else if ($a-vaccine and exists($s-classification[@code = '71181003']/@pterm)) then ($s-classification[@code = '71181003']/@pterm)       else for $code in $valid-class-2 return if ($coding/special-classification/classification[@code = $code]/@description)         then $coding/special-classification/classification[@code = $code]/@description         else $coding/special-classification/classification[@code = $code]/@pterm " />
    <xsl:variable name="fifth-pass" select="if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/first-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/first-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-7" select="$class-error-6 or $fifth-pass = 'Error' " />
    <xsl:variable name="sixth-pass" select="if (not($fifth-pass = '')) then $fifth-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/second-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/second-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-8" select="$class-error-7 or $sixth-pass = 'Error' " />
    <xsl:variable name="seventh-pass" select="if (not($sixth-pass = '')) then $sixth-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/third-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/third-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-9" select="$class-error-8 or $seventh-pass = 'Error' " />
    <xsl:variable name="eighth-pass" select="if (not($seventh-pass = '')) then $seventh-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/fourth-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/fourth-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-10" select="$class-error-9 or $eighth-pass = 'Error' " />
    <xsl:variable name="ninth-pass" select="if (not($eighth-pass = '')) then $eighth-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/fifth-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/fifth-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-11" select="$class-error-10 or $ninth-pass = 'Error' " />
    <xsl:variable name="valid-class" select="if (exists($valid-class-3)) then $valid-class-3        else if (not($ninth-pass = '')) then for $term in tokenize($ninth-pass, '\|') return replace($term, '^([0-9]+\[)(.*?)(\])$', '$2')       else () " />
    <xsl:variable name="codes-were-found" select="exists($der-tgi-codes-4) or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="obsolete-error" select="not($is-immun) and ($an-obsolete-tgi or $inactive-concept) and $obsolete-yrs-ago &gt; 2 " />
    <xsl:variable name="obsolete-warning" select="not($is-immun or $obsolete-error) and ($an-obsolete-tgi or $inactive-concept) and ($obsolete-yrs-ago &gt; 1 or $obsolete-without-date) " />
    <xsl:variable name="codes-not-found" select="not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-6 or $invalid-tgi or $a-vaccine) " />
    <xsl:variable name="codes-in-the-domain" select="not($valid-tgi-1) and $valid-tgi-5" />
    <xsl:variable name="codes-in-other-domain" select="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi or         $a-vaccine or $obsolete-warning) " />
    <xsl:variable name="codes-in-no-domain" select="exists($der-tgi-codes-5) " />
    <xsl:variable name="display-in-the-domain" select="if ($codes-in-the-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', '), '''')        else '' " />
    <xsl:variable name="display-in-other-r" select="if (exists($invalid-tgi-codes-r) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-tgi-codes-r return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-h" select="if (exists($invalid-tgi-codes-h) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-tgi-codes-h return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-domain" select="if (not($codes-in-other-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))) then ''        else if ($display-in-other-r and display-in-other-h) then concat('''', $display-in-other-r, ', ', $display-in-other-h, '''')        else if ($display-in-other-r) then concat('''', $display-in-other-r, '''')        else if ($display-in-other-h) then concat('''', $display-in-other-h, '''')        else '' " />
    <xsl:variable name="display-in-no-domain" select="if ($codes-in-no-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', dh:XQueryRecursiveReplace(string-join(for $code in $der-tgi-codes-5 return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), '; '),          $term-pattern-replacement, 'ic'), '''')        else '' " />
    <xsl:variable name="log-concepts-appended" select="if ($error-usingTS-9 or not($flags/@report-terminology-concepts = 'true') or $log-concepts-name = '') then ''        else if ($codes-not-found and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                   'Therapeutic Good Identification', $log-tab,                   'yes',     $log-tab,                   iq:display-CD(.),   $log-tab,                   '',     $log-tab,                  '',     $log-tab,                  '',     $log-tab,                  $ts-current-sctau   ))        else if (($use-revised-text-2 or $codes-in-no-domain) and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                  'Therapeutic Good Identification', $log-tab,                   'yes',     $log-tab,                     iq:display-CD(.),   $log-tab,                    $display-in-the-domain,   $log-tab,                  $display-in-other-domain,  $log-tab,                  $display-in-no-domain,   $log-tab,                  $ts-current-sctau   ))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if (matches($defn-invalid-rsn, 'is a container', 'is')) then $rating-container-TC-Types-57 else $rating-TC-Types-57 " />
    <!--REPORT -->
    <xsl:if test=" $log-concepts-appended = ('NOTFOUND', 'ERROR') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$log-concepts-appended = ('NOTFOUND', 'ERROR')">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): The AppendLog function returned '<xsl:text /><xsl:value-of select="$log-concepts-appended" /><xsl:text />' when requested to append the concepts log
		'<xsl:text /><xsl:value-of select="$log-concepts-name" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $flags/@assess-class = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $flags/@assess-class = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): 
		code-to-assess '<xsl:text /><xsl:value-of select="$code-to-assess" /><xsl:text />'
		value-domain '<xsl:text /><xsl:value-of select="$value-domain" /><xsl:text />'
		first-pass '<xsl:text /><xsl:value-of select="$first-pass" /><xsl:text />'
		second-pass '<xsl:text /><xsl:value-of select="$second-pass" /><xsl:text />'
		third-pass '<xsl:text /><xsl:value-of select="$third-pass" /><xsl:text />'
		fourth-pass '<xsl:text /><xsl:value-of select="$fourth-pass" /><xsl:text />'
		valid-class-1 '<xsl:text /><xsl:value-of select="$valid-class-1" /><xsl:text />'
		fifth-pass '<xsl:text /><xsl:value-of select="$fifth-pass" /><xsl:text />'
		sixth-pass '<xsl:text /><xsl:value-of select="$sixth-pass" /><xsl:text />'
		seventh-pass '<xsl:text /><xsl:value-of select="$seventh-pass" /><xsl:text />'
		eighth-pass '<xsl:text /><xsl:value-of select="$eighth-pass" /><xsl:text />'
		ninth-pass '<xsl:text /><xsl:value-of select="$ninth-pass" /><xsl:text />'

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $class-error-11 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$class-error-11">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An unexpected error occurred during the process to classify a terminology code.
		Report the information below to the Australian Digital Health Agency for investigation.
		The value domain was '<xsl:text /><xsl:value-of select="$value-domain" /><xsl:text />' and the error variable was
		<xsl:text /><xsl:value-of select="if ($class-error-1) then concat('class-error-1. The FindValueDomainsForCode function was called with code ''', $code-to-assess,     ''', codeSystem ''2.16.840.1.113883.6.96'' and codeSystemVersion ''', $v-current-sctau, ''' and returned ''', $value-domain-1, '''.')   else if ($class-error-2) then concat('class-error-2. The SearchForCodesInHierarchyUsingTS function was called with code ''', $code-to-assess,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $first-pass-1, '''.')   else if ($class-error-3) then concat('class-error-3. The SearchForCodesInHierarchyUsingTS function was called with code ''',     if ($value-domain = 'Trade Product Unit of Use (TPUU)') then $code-to-assess else $first-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $second-pass-1, '''.')   else if ($class-error-4) then concat('class-error-4. The SearchForCodesInHierarchyUsingTS function was called with code ''', $second-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $third-pass-1, '''.')   else if ($class-error-5) then concat('class-error-5. The SearchForCodesInHierarchyUsingTS function was called with code ''', $third-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $fourth-pass-1, '''.')   else if ($class-error-6) then concat('class-error-6. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $valid-class-1, '''.')   else if ($class-error-7) then concat('class-error-7. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $fifth-pass, '''.')   else if ($class-error-8) then concat('class-error-8. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $sixth-pass, '''.')   else if ($class-error-9) then concat('class-error-9. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $seventh-pass, '''.')   else if ($class-error-10) then concat('class-error-10. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $eighth-pass, '''.')   else if ($class-error-11) then concat('class-error-11. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $ninth-pass, '''.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $class-tp-error ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$class-tp-error">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An unexpected error occurred during the process to find the trade product name for a medicine.
		Report the information below to the Australian Digital Health Agency for investigation.
		The value domain was '<xsl:text /><xsl:value-of select="$value-domain" /><xsl:text />' and the error variable was class-tp-error.
		The FindValueDomainsForCode function was called with code ''', 
		if ($value-domain = 'Trade Product Unit of Use (TPUU)') then $code-to-assess else $first-pass, 
		''', codeSystem ''2.16.840.1.113883.6.96'' and codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $class-tp-1, '''.')

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-tgi-6) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-tgi-6)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An unexpected problem occurred when assessing the value of the Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. The application of regular expressions resulted in the complete loss of text.
		Report the information below to the Australian Digital Health Agency for investigation.

		der-text-1 '<xsl:text /><xsl:value-of select="normalize-space(dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'))" /><xsl:text />'.
		der-text-2a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-2a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-a, $term-pattern-replacement, 'ic')" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingV-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingV-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An error was reported when accessing the terminology server when assessing the Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		Report the issue to the Australian Digital Health Agency for investigation stating the error was recorded for error-usingV-2.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-9 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-9">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An error was reported when accessing the terminology server when assessing the Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term:
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The analysis should be retried as the terminology server may have been temporarily unavailable.
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'error-usingTS-1' else if ($error-usingTS-2-a) then 'error-usingTS-2-a'   else if ($error-usingTS-2-b) then 'error-usingTS-2-b' else if ($error-usingTS-2-c) then 'error-usingTS-2-c'   else if ($error-usingTS-2) then 'error-usingTS-2'   else if ($error-usingTS-3) then 'error-usingTS-3' else if ($error-usingTS-4) then 'error-usingTS-4'   else if ($error-usingTS-5) then 'error-usingTS-5' else if ($error-usingTS-6) then 'error-usingTS-6'   else if ($error-usingTS-7) then 'error-usingTS-7' else if ($error-usingTS-8) then 'error-usingTS-8'   else 'error-usingTS-9' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or      $valid-tgi-6 or $invalid-tgi) and not($a-vaccine and not(false())) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi) and not($a-vaccine and not(false()))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify a vaccine administered to the consumer at any         time. The text must include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.16 and 12.5 of the Shared Health Summary Structured Content Specification v1.2.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Administered Immunisation (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi) and    not($a-vaccine and false()) and not($obsolete-warning) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi) and not($a-vaccine and false()) and not($obsolete-warning)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the value does not seem to be applicable for the data element.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify a vaccine administered to the consumer at any         time. The text must include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.16 and 12.5 of the Shared Health Summary Structured Content Specification v1.2.)')" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $obsolete-warning ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$obsolete-warning">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the name may not be applicable for the data element.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> and the
		<xsl:text /><xsl:value-of select="if ($display-obsolete-date != '') then concat('name of the therapeutic good was last used ', $display-obsolete-date)   else if ($obsolete-tgi-info/@name) then concat('therapeutic good ''', $obsolete-tgi-info/@name, ''' was last available ', $display-obsolete-date)    else if ($obsolete-without-date) then 'name of the therapeutic good is no longer used ' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($obsolete-tgi-info/@reason) then concat(' because ', $obsolete-tgi-info/@reason, '.') else '.' " /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify a vaccine administered to the consumer at any         time. The text must include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.16 and 12.5 of the Shared Health Summary Structured Content Specification v1.2.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		<xsl:text /><xsl:value-of select="$creation-date-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $obsolete-error ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$obsolete-error">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the name is not applicable for the data element.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> and the
		<xsl:text /><xsl:value-of select="if ($display-obsolete-date != '') then concat('name of the therapeutic good was last used ', $display-obsolete-date)   else if ($obsolete-tgi-info/@name) then concat('therapeutic good ''', $obsolete-tgi-info/@name, ''' was last available ', $display-obsolete-date)    else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($obsolete-tgi-info/@reason) then concat(' because ', $obsolete-tgi-info/@reason, '.') else '.' " /><xsl:text />
		That was <xsl:text /><xsl:value-of select="if (contains(string($obsolete-yrs-ago), '.')) then substring-before(string($obsolete-yrs-ago), '.') else $obsolete-yrs-ago " /><xsl:text /> years before the
		<xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify a vaccine administered to the consumer at any         time. The text must include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.16 and 12.5 of the Shared Health Summary Structured Content Specification v1.2.)'))" /><xsl:text /><xsl:text /><xsl:value-of select="$creation-date-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'exclusion' = 'allowed' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'exclusion' = 'allowed' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the data element does not have a proper value. <xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify a vaccine administered to the consumer at any         time. The text must include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.16 and 12.5 of the Shared Health Summary Structured Content Specification v1.2.)'))" /><xsl:text />
		The Therapeutic Good Identification data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'exclusion' = 'exclusion' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'exclusion' = 'exclusion' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify a vaccine administered to the consumer at any         time. The text must include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.16 and 12.5 of the Shared Health Summary Structured Content Specification v1.2.)'))" /><xsl:text />
		The Therapeutic Good Identification data element must have a value that is consistent with this definition. Alternatively if there is no Therapeutic Good Identification data element with a proper value then an exclusion
		statement must be included to state why there is no Therapeutic Good Identification. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4')    then concat('Text such as ''', dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'), ''' may be permitted in the narrative even though the Therapeutic Good Identification data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'exclusion' = 'unknown' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'exclusion' = 'unknown' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the data element does not have a proper value. <xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify a vaccine administered to the consumer at any         time. The text must include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.16 and 12.5 of the Shared Health Summary Structured Content Specification v1.2.)'))" /><xsl:text />
		The Therapeutic Good Identification data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($der-text-non-value) and $der-invalid-text ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($der-text-non-value) and $der-invalid-text">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />
		however the value is invalid. <xsl:text /><xsl:value-of select="$defn-invalid-rsn" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify a vaccine administered to the consumer at any         time. The text must include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.16 and 12.5 of the Shared Health Summary Structured Content Specification v1.2.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $a-vaccine and false() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$a-vaccine and false()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />
		which identifies a vaccine. <xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify a vaccine administered to the consumer at any         time. The text must include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.16 and 12.5 of the Shared Health Summary Structured Content Specification v1.2.)'))" /><xsl:text />
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Administered Immunisation (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $invalid-tgi and not($error-usingTS-9) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$invalid-tgi and not($error-usingTS-9)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
ZZZ
der-text '<xsl:text /><xsl:value-of select="$der-text" /><xsl:text />'
der-revised-text-1 '<xsl:text /><xsl:value-of select="$der-revised-text-1" /><xsl:text />'
der-revised-text-2 '<xsl:text /><xsl:value-of select="$der-revised-text-2" /><xsl:text />'
ZZZ
		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the value is invalid
		<xsl:text /><xsl:value-of select="if (exists($invalid-tgi-codes-h) or exists($invalid-tgi-codes-r)) then concat(' as it describes ',    iq:invalidityExplanationUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, $invalid-tgi-codes-h, $cd-definitions/meds/meds-invalid/hierarchy, $invalid-tgi-codes-r, $cd-definitions/meds/meds-invalid/refset), '.')   else '.' " /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify a vaccine administered to the consumer at any         time. The text must include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.16 and 12.5 of the Shared Health Summary Structured Content Specification v1.2.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable outside the applicable value domain): The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. The following codes were obtained and are not in the value domain:
		<xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-TGI-Defn): The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU and no associated code was found in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists(($der-NAF-active-codes, $undetermined-NAF-active-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists(($der-NAF-active-codes, $undetermined-NAF-active-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-TGI-Defn): The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-active-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the
		'<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU but it was not found with this status in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.
		<xsl:text /><xsl:value-of select="if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and ($valid-tgi-1 or $a-vaccine-2 or (not($valid-tgi-5) and $valid-tgi-6))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and ($valid-tgi-1 or $a-vaccine-2 or (not($valid-tgi-5) and $valid-tgi-6))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable within the value domain): The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> which matches
		<xsl:text /><xsl:value-of select="if ($a-vaccine-1) then 'one of the terms listed in Knowledge.xml' else 'the vaccine information in CodeSystems.xml' " /><xsl:text /> for the Therapeutic Good Identification.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(exists($valid-class)) and $class-not-completed and not($class-tp-error or $class-error-10) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(exists($valid-class)) and $class-not-completed and not($class-tp-error or $class-error-10)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. <xsl:text /><xsl:value-of select="if ($code-to-assess = '') then 'No code could be found for the medicine.'    else if ($value-domain = '') then concat('The code ''', $code-to-assess, ''' was found to apply to the medicine by applying the terminology server using the ''', $ts-current-sctau,   ''' version of SNOMED CT-AU but the code was not found in the Validator''s database using the ''', $v-current-sctau, ''' version of SNOMED CT-AU.',   if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '')   else concat('This is a ', $value-domain,    if ($value-domain = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)')) then    concat(' (with medicinal product ''', $third-pass, ''').')    else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)'))    then concat(' (with trade product ''', $class-tp, ''').')    else '.') " /><xsl:text /> The classification of this medicine could not be completed.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists($valid-class) and not($class-tp-error or $class-error-11) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists($valid-class) and not($class-tp-error or $class-error-11)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This <xsl:text /><xsl:value-of select="if (not($value-domain = ('Containered Trade Product Pack (CTPP)',    'Trade Product Pack (TPP)', 'Trade Product (TP)', 'Trade Product Unit of Use (TPUU)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Medicinal Product (MP)')))    then '' else concat('is a ', $value-domain, ' which')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($value-domain = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)')) then concat(' (with medicinal product ''', $third-pass, ''') which')   else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)'))    then concat(' (with trade product ''', $class-tp, ''') which') else '' " /><xsl:text />
		identifies a type of <xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($valid-class, ' and '), $markup-pattern-replacement, 'ic')" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (concept is codeable within the value domain): The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> which is a valid value for the Therapeutic Good Identification.
		SNOMED CT-AU codes that matched the concept are: <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The text used to match regular expression (der-text-2) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to match non-values and vaccines (der-text-to-match) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-to-match, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to derive a code (der-text) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.

		<xsl:text /><xsl:value-of select="if ($use-revised-text-1) then concat(' A first revision of the text (der-revised-text-1) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-1, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A first revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-1 != '' and $der-revised-text-1 = '') then ' revision-pattern-1 was applied but the output (der-revised-text-1) was an empty string.' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($use-revised-text-2) then concat(' A second revision of the text (der-revised-text-2) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A second revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-2 != '' and $der-revised-text-2 = '') then ' revision-pattern-2 was applied but the output (der-revised-text-2) was an empty string.' else '' " /><xsl:text />

		The SNOMED CT-AU version used to find codes is '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' and the maximum code number is '<xsl:text /><xsl:value-of select="$max-code-number" /><xsl:text />'.

		Codes for related terms (related-terms-2): '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($related-terms-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes for related terms (der-valid-codes-1): 
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-1, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-tgi-codes-2) returned by the terminology server that match the text:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-tgi-codes-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes from related terms or the terminology server (der-valid-codes-2):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-2, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-inactive-codes-3) returned from the Validator's database associated with inactive codes:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-inactive-codes-3, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes found after examining inactive codes (der-valid-codes-3):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-3, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Members of invalid reference sets (invalid-tgi-codes-r): '<xsl:text /><xsl:value-of select="$display-in-other-r" /><xsl:text />'.
		Members of invalid code hierarchies (invalid-tgi-codes-h): '<xsl:text /><xsl:value-of select="$display-in-other-h" /><xsl:text />'.

		Final set of valid codes (der-valid-codes-4): <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.
		
		Codes whose validity has not been determined (der-tgi-codes-5): <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.
		Codes whose validity has not been determined and are inactive with no associated code (undetermined-NAF): '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(    string-join($undetermined-NAF, ''', '''), $markup-pattern-replacement, 'ic')" /><xsl:text />'.

		Result of the second vaccination code test (a-vaccine-2): '<xsl:text /><xsl:value-of select="$a-vaccine-2" /><xsl:text />'.
		Vaccine codes (vaccine-code-test):  '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($vaccine-code-test, '; '), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Overall result of the vaccination test (a-vaccine): '<xsl:text /><xsl:value-of select="$a-vaccine" /><xsl:text />'.

		Will the value of the data element be trusted (der-trusted-text)? '<xsl:text /><xsl:value-of select="$der-trusted-text" /><xsl:text />'.
		
	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and $codes-not-found">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept not codeable): The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($avoid-ts) then 'The terminology server was not used to assist with finding codes corresponding to text in the data element. ' else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $prose-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $prose-err">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> which is invalid as it is prose text.
		The Therapeutic Good Identification data element is CodeableText derived from the HL7 CD data type which by definition is to record a concept defined in an external code system, terminology or ontology.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify a vaccine administered to the consumer at any         time. The text must include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.16 and 12.5 of the Shared Health Summary Structured Content Specification v1.2.)'))" /><xsl:text />
		This finding will also be reported as an error.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M452" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M452" />
  <xsl:template match="@*|node()" priority="-2" mode="M452">
    <xsl:apply-templates select="@*|*" mode="M452" />
  </xsl:template>
  <!--PATTERN p-TS-Immun-CodeableText-6-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '101.16638' = $doc-sections][cda:templateId[         (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2') ]]/cda:component/cda:structuredBody/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16638']]/cda:entry/         cda:substanceAdministration/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code         [@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " priority="1000" mode="M453">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '101.16638' = $doc-sections][cda:templateId[         (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2') ]]/cda:component/cda:structuredBody/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16638']]/cda:entry/         cda:substanceAdministration/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code         [@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="pnullFlavor" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @nullFlavor) then @nullFlavor else '' " />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-p-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then false()        else if ($psnomed-id = 'amtv3' and @codeSystemVersion) then exists($v-amtv3[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($psnomed-id = 'snomedctau' and @codeSystemVersion) then exists($v-snomedctau[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false() " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and $pcode != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used to assess the primary code.') " />
    <xsl:variable name="pcode-refsets-1" select="if (@codeSystem = '2.16.840.1.113883.6.96' and not($pcode = ''))         then dh:FindValueDomainsForCode($pcode, '2.16.840.1.113883.6.96', $v-psnomed-version) else 'no-code' " />
    <xsl:variable name="pcode-found" select="not($pcode-refsets-1 = 'no-code' or $pcode-refsets-1 = 'CodeNotFound' or $pcode-refsets-1 = 'Error'        or contains($pcode-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="pcode-refsets" select="if ($pcode-found) then distinct-values(tokenize($pcode-refsets-1, '\|')) else () " />
    <xsl:variable name="pcode-special-proc" select="count($pcode-refsets) = 1 and 'Procedure Foundation (PF)' = $pcode-refsets and not($pnullFlavor = 'OTH') " />
    <xsl:variable name="pcode-refsets-msg" select="if (count($pcode-refsets) = 0) then ''         else if (count($pcode-refsets) = 1) then concat('The code is a member of the ', $pcode-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($pcode-refsets, ', '), '.') " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))         else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-1" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="snomed-trans-2" select="distinct-values(for $i in (1 to count($snomed-trans-1)) return $snomed-trans-1[$i]/@code) " />
    <xsl:variable name="snomed-trans-a" select="$snomed-trans-1[1] " />
    <xsl:variable name="tcode-a" select="if (exists($snomed-trans-a) and matches($snomed-trans-a/@code, $snomed-code-regex)) then $snomed-trans-a/@code else '' " />
    <xsl:variable name="tnullFlavor-a" select="if (exists($snomed-trans-a) and $snomed-trans-a/@nullFlavor) then $snomed-trans-a/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-a" select="if (not(exists($snomed-trans-a))) then 'not-snomed'        else if (not($snomed-trans-a/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-a/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-a" select="if (not(exists($snomed-trans-a))) then ''        else if ($tsnomed-id-a = 'amtv3' and exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-a = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-a/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-a" select="if (not(exists($snomed-trans-a))) then false()        else if ($tsnomed-id-a = 'amtv3' and $snomed-trans-a/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-a = 'snomedctau' and $snomed-trans-a/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-a-msg" select="if (not(exists($snomed-trans-a))) then ''        else if (not($snomed-trans-a/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-a, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-a = 'amtv3') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-a = 'snomedctau') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-a/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-a, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-a/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-a-refsets-1" select="if (exists($snomed-trans-a) and not($tcode-a = ''))         then dh:FindValueDomainsForCode($tcode-a, '2.16.840.1.113883.6.96', $v-tsnomed-version-a) else 'no-code' " />
    <xsl:variable name="tcode-a-found" select="not($tcode-a-refsets-1 = 'no-code' or $tcode-a-refsets-1 = 'CodeNotFound' or $tcode-a-refsets-1 = 'Error'         or contains($tcode-a-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-a-refsets" select="if ($tcode-a-found) then distinct-values(tokenize($tcode-a-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-a-special-proc" select="count($tcode-a-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-a-refsets and not($tnullFlavor-a = 'OTH') " />
    <xsl:variable name="tcode-a-refsets-msg" select="if (count($tcode-a-refsets) = 0) then ''         else if (count($tcode-a-refsets) = 1) then concat('The code is a member of the ', $tcode-a-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-a-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@code and $snomed-trans-a/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-a/@displayName, codepoints-to-string(34))         else if ($snomed-trans-a/@code and not($snomed-trans-a/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@codeSystem and $snomed-trans-a/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-a/@codeSystemName, ')')         else if ($snomed-trans-a/@codeSystem and not($snomed-trans-a/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-b" select="(for $i in (2 to count($snomed-trans-1)) return if ($snomed-trans-1[$i]/@code != $snomed-trans-a/@code) then $snomed-trans-1[$i] else ())[1] " />
    <xsl:variable name="tcode-b" select="if (exists($snomed-trans-b) and matches($snomed-trans-b/@code, $snomed-code-regex)) then $snomed-trans-b/@code else '' " />
    <xsl:variable name="tnullFlavor-b" select="if (exists($snomed-trans-b) and $snomed-trans-b/@nullFlavor) then $snomed-trans-b/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-b" select="if (not(exists($snomed-trans-b))) then 'not-snomed'        else if (not($snomed-trans-b/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-b/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-b" select="if (not(exists($snomed-trans-b))) then ''        else if ($tsnomed-id-b = 'amtv3' and exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-b = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-b/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-b" select="if (not(exists($snomed-trans-b))) then false()        else if ($tsnomed-id-b = 'amtv3' and $snomed-trans-b/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-b = 'snomedctau' and $snomed-trans-b/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-b-msg" select="if (not(exists($snomed-trans-b))) then ''        else if (not($snomed-trans-b/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-b, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-b = 'amtv3') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-b = 'snomedctau') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-b/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-b, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-b/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-b-refsets-1" select="if (exists($snomed-trans-b) and not($tcode-b = ''))         then dh:FindValueDomainsForCode($tcode-b, '2.16.840.1.113883.6.96', $v-tsnomed-version-b) else 'no-code' " />
    <xsl:variable name="tcode-b-found" select="not($tcode-b-refsets-1 = 'no-code' or $tcode-b-refsets-1 = 'CodeNotFound' or $tcode-b-refsets-1 = 'Error'         or contains($tcode-b-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-b-refsets" select="if ($tcode-b-found) then distinct-values(tokenize($tcode-b-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-b-special-proc" select="count($tcode-b-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-b-refsets and not($tnullFlavor-b = 'OTH') " />
    <xsl:variable name="tcode-b-refsets-msg" select="if (count($tcode-b-refsets) = 0) then ''         else if (count($tcode-b-refsets) = 1) then concat('The code is a member of the ', $tcode-b-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-b-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@code and $snomed-trans-b/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-b/@displayName, codepoints-to-string(34))         else if ($snomed-trans-b/@code and not($snomed-trans-b/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@codeSystem and $snomed-trans-b/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-b/@codeSystemName, ')')         else if ($snomed-trans-b/@codeSystem and not($snomed-trans-b/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-60" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-60 else $rating-alt-TC-Types-60 " />
    <!--REPORT -->
    <xsl:if test=" $pcode-found and $pcode-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pcode-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD (p-TS-CD-SCT-RefSet): An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$pcode" /><xsl:text />',
		codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-psnomed-version" /><xsl:text />'. This error occurred when assessing the Therapeutic Good Identification data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. The value is not valid for the data element as it describes a medical
		procedure and not a medical problem or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify a vaccine administered to the consumer at any         time. The text must include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.11 and 9.5 of the Event Summary Structured Content Specification v1.1.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the code is not a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the list of reference sets stated in section 3.7 of the Medication Instruction and Action Detailed Clinical Model         Specification v2.4, which allows more reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the list of reference sets stated in section 3.7 of the Medication Instruction and Action Detailed Clinical Model         Specification v2.4, which allows more reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the list of reference sets stated in section 3.7 of the Medication Instruction and Action Detailed Clinical Model         Specification v2.4, which allows more reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. Confirm if the code is a member of the value domain.
		If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the list of reference sets stated in section 3.7 of the Medication Instruction and Action Detailed Clinical Model         Specification v2.4, which allows more reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="count($snomed-trans-1)" /><xsl:text /> translation elements with
		codes and the SNOMED CT-AU codeSystem '2.16.840.1.113883.6.96'. The first two translation elements have been assessed to determine if the codes are members of the value domain
		and the others have not been assessed. Confirm if the value of the code attribute in all SNOMED CT translation elements meets the requirement that it be a member of the value domain
		if there is no nullFlavor 'OTH' or that there is a nullFlavor 'OTH' if the value of the code attribute is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text /> 
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the list of reference sets stated in section 3.7 of the Medication Instruction and Action Detailed Clinical Model         Specification v2.4, which allows more reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-a" /><xsl:text />'. This error occurred when assessing the Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify a vaccine administered to the consumer at any         time. The text must include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.11 and 9.5 of the Event Summary Structured Content Specification v1.1.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the list of reference sets stated in section 3.7 of the Medication Instruction and Action Detailed Clinical Model         Specification v2.4, which allows more reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the list of reference sets stated in section 3.7 of the Medication Instruction and Action Detailed Clinical Model         Specification v2.4, which allows more reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the list of reference sets stated in section 3.7 of the Medication Instruction and Action Detailed Clinical Model         Specification v2.4, which allows more reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the list of reference sets stated in section 3.7 of the Medication Instruction and Action Detailed Clinical Model         Specification v2.4, which allows more reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-b" /><xsl:text />'. This error occurred when assessing the Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> 
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify a vaccine administered to the consumer at any         time. The text must include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.11 and 9.5 of the Event Summary Structured Content Specification v1.1.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the list of reference sets stated in section 3.7 of the Medication Instruction and Action Detailed Clinical Model         Specification v2.4, which allows more reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the list of reference sets stated in section 3.7 of the Medication Instruction and Action Detailed Clinical Model         Specification v2.4, which allows more reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the list of reference sets stated in section 3.7 of the Medication Instruction and Action Detailed Clinical Model         Specification v2.4, which allows more reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the list of reference sets stated in section 3.7 of the Medication Instruction and Action Detailed Clinical Model         Specification v2.4, which allows more reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M453" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M453" />
  <xsl:template match="@*|node()" priority="-2" mode="M453">
    <xsl:apply-templates select="@*|*" mode="M453" />
  </xsl:template>
  <!--PATTERN p-TS-Immun-CodeableText-7-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '101.16638' = $doc-sections][cda:templateId[         (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2') ]]/cda:component/cda:structuredBody/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16638']]/cda:entry/         cda:substanceAdministration/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code         [(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-immun-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])][not(@nullFlavor = $no-value-NF)] " priority="1000" mode="M454">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '101.16638' = $doc-sections][cda:templateId[         (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2') ]]/cda:component/cda:structuredBody/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16638']]/cda:entry/         cda:substanceAdministration/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code         [(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-immun-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])][not(@nullFlavor = $no-value-NF)] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="snomed-trans" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="tcode" select="if (exists($snomed-trans[1]) and matches($snomed-trans[1]/@code, $snomed-code-regex)) then $snomed-trans[1]/@code else '' " />
    <xsl:variable name="code-present" select="$pcode != '' or $tcode != '' " />
    <xsl:variable name="invalid-code-system" select="@code and @displayName and @codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="codesystemvalues" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']" />
    <xsl:variable name="otext-without-markup" select="if (cda:originalText and cda:originalText != '') then normalize-space(replace(cda:originalText, $markup-regex, ' ')) else '' " />
    <xsl:variable name="pdname" select="if (@displayName and not($invalid-code-system)) then normalize-space(@displayName) else '' " />
    <xsl:variable name="is-immun" select="exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='101.16638' or @code = '101.16658' or @code = '101.17039')]]) " />
    <xsl:variable name="is-pd" select="exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code = '102.16210' or @code='102.16211' or @code='101.16795')]]) " />
    <xsl:variable name="is-shs-meds" select="$templateId-root = '1.2.36.1.2001.1001.101.100.1002.120' and          exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]) " />
    <xsl:variable name="is-meds" select="exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code = '101.16146.4.1.1' or @code = '101.16146.4.1.2' or @code='101.16146')]]) " />
    <xsl:variable name="max-code-number" select="if ($knowledge/search-for-term/max-sct-code-number/@value &gt; '5') then $knowledge/search-for-term/max-sct-code-number/@value else '5' " />
    <xsl:variable name="der-text-1" select="if ($code-present) then ''         else if ($otext-without-markup != '') then $otext-without-markup        else if ($pdname != '') then $pdname        else '' " />
    <xsl:variable name="family-err" select="matches($der-text-1, $family-regex, 'is')" />
    <xsl:variable name="der-truncated-text-1" select="normalize-space(replace(replace($der-text-1, $unicode-br-truncation-regex, '$1', 'is'), $tgi-truncation-regex, '$1', 'is')) " />
    <xsl:variable name="length-err" select="string-length($der-truncated-text-1) &gt; $length-err-max" />
    <xsl:variable name="prose-err-1" select="$length-err and cda:originalText and (        matches(cda:originalText, $ulist-regex)           or         matches(cda:originalText, $alt-ulist-1a-regex, 'is')         or         matches(cda:originalText, $alt-ulist-1b-regex, 'is')         )" />
    <xsl:variable name="prose-err" select="$prose-err-1 or (cda:originalText and (         matches(cda:originalText, $alt-ulist-2-regex, 'is')         or        matches(cda:originalText, $olist-arabic-regex, 'is')         or         matches(cda:originalText, $olist-alpha-regex, 'is')         or         matches(cda:originalText, $olist-roman-regex, 'is')         or        matches(replace(cda:originalText, $new-line-regex, codepoints-to-string((10)), 'is'), $para-regex, 'is') or        matches(cda:originalText, codepoints-to-string((8233)), 'is')        or               (cda:originalText and matches(cda:originalText, $invalid-concept-regex, 'is'))     or        ($length-err and matches(cda:originalText, '\.\s*$', 's') and matches(cda:originalText, $multi-sentence-regex, 's')) ))" />
    <xsl:variable name="avoid-ts" select="$family-err or $length-err or $prose-err or not($use-ts-for-sctau) " />
    <xsl:variable name="der-text-2a" select="if ($der-truncated-text-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-truncated-text-1, $tgi-fir-pattern-replacement, 'ic')) " />
    <xsl:variable name="der-text-2" select="if ($der-text-2a = '') then $der-text-1 else $der-text-2a " />
    <xsl:variable name="der-text-a" select="if ($der-text-2 = '' or $tgi-regex = '') then $der-text-2 else normalize-space(dh:XQueryRecursiveReplace($der-text-2, $tgi-regex, 'ic')) " />
    <xsl:variable name="der-text" select="if ($der-text-a = '') then $der-text-2 else $der-text-a " />
    <xsl:variable name="defn-valid-regex" select="concat('(^|\|)', translate($der-text-2, $chars-to-remove, ''), '(\||$)') " />
    <xsl:variable name="der-text-to-match-1" select="lower-case($der-text-2) " />
    <xsl:variable name="der-text-to-match" select="translate($der-text-to-match-1, $chars-to-remove, '') " />
    <xsl:variable name="tgi-non-value-regex" select="if ($is-immun)          then $cd-definitions/immun/@non-value-regex         else if ($is-pd)       then $cd-definitions/pd/@non-value-regex        else if ($is-shs-meds) then $cd-definitions/shs-meds/@non-value-regex        else if ($is-meds)     then $cd-definitions/meds/@non-value-regex        else '' " />
    <xsl:variable name="der-text-non-value" select="if ($code-present or @nullFlavor = $no-value-NF) then false() else         $der-text-to-match = ''             or         not(matches($der-text-to-match-1, '[a-z]', 'is'))         or        ($cd-definitions/non-value/@regex != '' and matches($der-text-to-match-1, $cd-definitions/non-value/@regex, 'is')) or        ($tgi-non-value-regex != '' and matches($der-text-to-match-1, $tgi-non-value-regex, 'is'))    " />
    <xsl:variable name="tgi-invalid-regex" select="if ($is-immun)          then $cd-definitions/immun/@invalid-regex         else if ($is-pd)       then $cd-definitions/pd/@invalid-regex        else if ($is-shs-meds) then $cd-definitions/shs-meds/@invalid-regex        else if ($is-meds)     then $cd-definitions/meds/@invalid-regex        else '' " />
    <xsl:variable name="defn-invalid-regex" select="if ($code-present or $der-text-non-value) then ()        else if ($tgi-invalid-regex != '') then tokenize($tgi-invalid-regex, '~')[. != '']         else () " />
    <xsl:variable name="defn-invalid-txt-regex" select="(for $i in (1 to count($defn-invalid-regex)) return normalize-space(substring-before($defn-invalid-regex[$i], '[[')))[. != '']" />
    <xsl:variable name="der-invalid-text-regex-1" select="if (exists($defn-invalid-txt-regex))        then index-of(for $i in (1 to count($defn-invalid-txt-regex)) return matches($der-text-2, $defn-invalid-txt-regex[$i], 'is'), true())        else () " />
    <xsl:variable name="der-invalid-text" select="exists($der-invalid-text-regex-1) " />
    <xsl:variable name="defn-invalid-rsn" select="if ($der-invalid-text)         then normalize-space(substring-before(substring-after($defn-invalid-regex[$der-invalid-text-regex-1[1]], '[['), ']]'))         else '' " />
    <xsl:variable name="trusted-code-systems" select="if ($der-text = '' or $der-invalid-text or not(@codeSystem or cda:translation/@codeSystem)) then ()        else if ($is-immun)          then (tokenize(replace($cd-definitions/immun/@core, '\s+', ''), '\|'),           tokenize(replace($cd-definitions/immun/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-pd)          then (tokenize(replace($cd-definitions/pd/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/pd/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-shs-meds)          then (tokenize(replace($cd-definitions/shs-meds/@core, '\s+', ''), '\|'),          tokenize(replace($cd-definitions/shs-meds/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-meds)          then (tokenize(replace($cd-definitions/meds/@core, '\s+', ''), '\|'),           tokenize(replace($cd-definitions/meds/@extra, '\s+', ''), '\|'))[. != '']         else () " />
    <xsl:variable name="der-trusted-text" select="if ($der-text = '' or $der-invalid-text or (@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex)))) then false()        else ((@codeSystem and exists($trusted-code-systems[. = current()/@codeSystem])) or               (cda:translation/@codeSystem and exists($trusted-code-systems[. = current()/cda:translation/@codeSystem]))) " />
    <xsl:variable name="a-vaccine-1" select="not($code-present or $der-text-non-value or $der-invalid-text) and exists($vaccine-text-normalised) and $der-text-to-match = $vaccine-text-normalised" />
    <xsl:variable name="a-sas-tgi-1" select="not($code-present or $der-text-non-value or $der-invalid-text or $a-vaccine-1) and $tgi-sas-regex != '' and matches($der-text, $tgi-sas-regex, 'is')" />
    <xsl:variable name="an-uncoded-tgi-1" select="not($code-present or $der-text-non-value or $der-invalid-text or $a-vaccine-1 or $a-sas-tgi-1) and $tgi-otheru-regex != '' and         matches($der-text, $tgi-otheru-regex, 'is')" />
    <xsl:variable name="obsolete-tgi-info-1" select="if ($is-immun or $code-present or $der-text-non-value or $der-invalid-text or $a-vaccine-1 or $a-sas-tgi-1 or $an-uncoded-tgi-1 or         not(exists($knowledge/special-tgi/obsolete))) then ()        else $knowledge/special-tgi/obsolete[matches($der-text, concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')] " />
    <xsl:variable name="an-obsolete-tgi-1" select="exists($obsolete-tgi-info-1)" />
    <xsl:variable name="tgi-valid-regex-1" select="if ($code-present or $der-text-non-value or $der-invalid-text or $der-text = '' or $a-vaccine-1 or $a-sas-tgi-1 or $an-uncoded-tgi-1 or          $an-obsolete-tgi-1) then ''        else if ($is-immun)    then $cd-definitions/immun/@valid-regex        else if ($is-pd)       then $cd-definitions/pd/@valid-regex        else if ($is-shs-meds) then $cd-definitions/shs-meds/@valid-regex        else if ($is-meds)     then $cd-definitions/meds/@valid-regex        else '' " />
    <xsl:variable name="valid-tgi-1" select="if ($a-vaccine-1 or $a-sas-tgi-1 or $an-uncoded-tgi-1 or $an-obsolete-tgi-1) then true()         else if ($tgi-valid-regex-1 = '') then false()        else exists(index-of(for $regex in (tokenize($tgi-valid-regex-1, '~')[. != '']) return          matches($der-text-2, dh:XQueryRecursiveReplace(normalize-space($regex), ' \|~|~\| ~|', ''), 'is'), true())) " />
    <xsl:variable name="invalid-hierarchy-1" select="if (exists($cd-definitions/meds/meds-invalid/hierarchy))         then string-join(for $hierarchy in $cd-definitions/meds/meds-invalid/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-refset" select="if (exists($cd-definitions/meds/meds-invalid/refset))          then string-join(for $refset in $cd-definitions/meds/meds-invalid/refset return concat('^', $refset/@code), ' OR ')         else '' " />
    <xsl:variable name="valid-refset" select="concat($tgi-formula, ' OR &lt;763158003') " />
    <xsl:variable name="valid-domain" select="if ($invalid-refset != '' and $invalid-hierarchy-1 != '')         then concat('((', $valid-refset, ') MINUS (', $invalid-refset, ' OR (', $invalid-hierarchy-1, ')))')        else if ($invalid-refset = '' and $invalid-hierarchy-1 != '') then concat('((', $valid-refset, ') MINUS (', $invalid-hierarchy-1, '))')         else if ($invalid-refset != '' and $invalid-hierarchy-1 = '') then concat('((', $valid-refset, ') MINUS (', $invalid-refset, '))')        else concat('(', $valid-refset, ')') " />
    <xsl:variable name="related-terms-1" select="if ($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-1) then ()        else ($codesystemvalues/code[@related-terms], $codesystemvalues/related-terms[@related-terms]) " />
    <xsl:variable name="related-terms-2" select="for $i in index-of(        for $concept in $related-terms-1 return matches(translate($concept/@related-terms, $chars-no-pipe, ''), $defn-valid-regex, 'is'), true())         return $related-terms-1[$i]/@code " />
    <xsl:variable name="der-tgi-codes-1" select="if (exists($related-terms-2)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($related-terms-2, ' OR '), ') AND ', $valid-domain), '', string(count($related-terms-2)), false())        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $der-tgi-codes-1 " />
    <xsl:variable name="der-valid-codes-1" select="if (contains($der-tgi-codes-1, '[')) then $der-tgi-codes-1 else '' " />
    <xsl:variable name="valid-tgi-2" select="$valid-tgi-1 or $der-valid-codes-1 != '' " />
    <xsl:variable name="tgi-inactive-refSets" select="if (exists($cd-definitions/tgi/tgi-invalid/inactive-refset))         then concat('((', $inactive-refSets, ') MINUS (',           string-join(for $refset in $cd-definitions/tgi/tgi-invalid/inactive-refset return concat('^', $refset/@code), ' OR '),          '))')         else $inactive-refSets " />
    <xsl:variable name="formula" select="concat($valid-domain, ' OR ', $tgi-inactive-refSets) " />
    <xsl:variable name="ts-not-needed" select="$der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-2 or $avoid-ts " />
    <xsl:variable name="der-tgi-codes-2-a" select="if ($ts-not-needed or exists($related-terms-2)) then ()         else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-text,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2-a" select="$error-usingTS-1 or 'Error' = $der-tgi-codes-2-a " />
    <xsl:variable name="revision-pattern-1" select="if ($ts-not-needed or $valid-tgi-2 or exists($der-tgi-codes-2-a) or $error-usingTS-2-a or exists($related-terms-2)) then ''        else $tgi-sec-pattern-replacement " />
    <xsl:variable name="der-revised-text-1" select="if ($revision-pattern-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-text, $revision-pattern-1, 'ic')) " />
    <xsl:variable name="use-revised-text-1" select="$der-revised-text-1 != '' and $der-revised-text-1 != $der-text " />
    <xsl:variable name="obsolete-tgi-info-2" select="if (exists($der-tgi-codes-2-a)) then ()        else if ($an-obsolete-tgi-1) then $obsolete-tgi-info-1        else if ($use-revised-text-1) then $knowledge/special-tgi/obsolete[matches($der-revised-text-1, concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')]        else () " />
    <xsl:variable name="an-obsolete-tgi-2" select="exists($obsolete-tgi-info-2)" />
    <xsl:variable name="der-tgi-codes-2-b" select="if ($an-obsolete-tgi-2) then ()        else if ($ts-not-needed or exists($der-tgi-codes-2-a) or not($use-revised-text-1)) then $der-tgi-codes-2-a         else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-1,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2-b" select="$error-usingTS-2-a or 'Error' = $der-tgi-codes-2-b " />
    <xsl:variable name="revision-pattern-2" select="if ($ts-not-needed or $valid-tgi-2 or exists($der-tgi-codes-2-b) or $error-usingTS-2-b or exists($related-terms-2)) then ''        else $tgi-thi-pattern-replacement " />
    <xsl:variable name="der-revised-text-2" select="if ($revision-pattern-2 = '') then '' else normalize-space(dh:XQueryRecursiveReplace(         if ($use-revised-text-1) then $der-revised-text-1 else $der-text, $revision-pattern-2, 'ic')) " />
    <xsl:variable name="use-revised-text-2" select="if ($use-revised-text-1) then $der-revised-text-2 != '' and $der-revised-text-2 != $der-revised-text-1         else $der-revised-text-2 != '' and $der-revised-text-2 != $der-text " />
    <xsl:variable name="obsolete-tgi-info-3" select="if (exists($der-tgi-codes-2-b)) then ()        else if ($an-obsolete-tgi-2) then $obsolete-tgi-info-2        else if ($use-revised-text-2) then $knowledge/special-tgi/obsolete[matches($der-revised-text-2, concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')]        else () " />
    <xsl:variable name="an-obsolete-tgi-3" select="exists($obsolete-tgi-info-3)" />
    <xsl:variable name="der-tgi-codes-2-c" select="if ($an-obsolete-tgi-3) then ()        else if ($ts-not-needed or exists($der-tgi-codes-2-b) or not($use-revised-text-2)) then $der-tgi-codes-2-b        else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-2,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2-c" select="$error-usingTS-2-b or 'Error' = $der-tgi-codes-2-c " />
    <xsl:variable name="der-tgi-codes-2-d" select="if ($an-obsolete-tgi-3 or $ts-not-needed or exists($der-tgi-codes-2-c)) then $der-tgi-codes-2-c        else iq:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula,          if ($der-revised-text-2 != '') then $der-revised-text-2          else if ($der-revised-text-1 != '') then $der-revised-text-1          else $der-text, 'default') " />
    <xsl:variable name="error-usingTS-2-d" select="$error-usingTS-2-c or 'Error' = $der-tgi-codes-2-d " />
    <xsl:variable name="der-tgi-codes-2" select="$der-tgi-codes-2-d " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-2-d " />
    <xsl:variable name="der-valid-codes-2" select="if ($der-valid-codes-1 != '') then $der-valid-codes-1        else if ($error-usingTS-2) then ''         else string-join((for $code in $der-tgi-codes-2 return if (contains($code, '~inactive')) then '' else $code)[. != ''], '|')  " />
    <xsl:variable name="valid-tgi-3" select="$valid-tgi-2 or $der-valid-codes-2 != '' " />
    <xsl:variable name="der-inactive-codes-1" select="if ($valid-tgi-3) then () else        for $code in $der-tgi-codes-2 return if (contains($code, '~inactive')) then replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is') else '' " />
    <xsl:variable name="der-inactive-codes-2" select="for $i in (1 to count($der-inactive-codes-1)) return         dh:IsCodeAssociatedWithAnotherCode($der-inactive-codes-1[$i], '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-1" select="'Error' = $der-inactive-codes-2 " />
    <xsl:variable name="der-NAF-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-NAF-active-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound~active')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-inactive-codes-3" select="tokenize(string-join(for $i in (1 to count($der-inactive-codes-1)) return replace(string-join(tokenize($der-inactive-codes-2[$i], '\|')        [matches(., '(REPLACED BY|SAME AS|ALTERNATIVE|POSSIBLY EQUIVALENT TO|MAY BE A|WAS A)')], '|'), '[0-9]+~[A-Z ]+~([0-9]+)', '$1'), '|'), '\|')        [. != ''] " />
    <xsl:variable name="der-tgi-codes-3" select="if (exists($der-inactive-codes-3)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($der-inactive-codes-3, ' OR '), ') AND ', $valid-domain), '', string(count($der-inactive-codes-3)), false())          else '' " />
    <xsl:variable name="error-usingTS-3" select="$error-usingTS-2 or 'Error' = $der-tgi-codes-3 " />
    <xsl:variable name="der-valid-codes-3" select="if ($der-valid-codes-2 != '') then $der-valid-codes-2        else if (contains($der-tgi-codes-3, '[')) then $der-tgi-codes-3        else '' " />
    <xsl:variable name="valid-tgi-4" select="$valid-tgi-3 or $der-valid-codes-3 != '' " />
    <xsl:variable name="tbd-hierarchy" select="if (exists($cd-definitions/meds/meds-tbd/hierarchy))         then string-join(for $hierarchy in $cd-definitions/meds/meds-tbd/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-hierarchy" select="if ($invalid-hierarchy-1 != '' and $tbd-hierarchy != '') then concat($invalid-hierarchy-1, ' OR ', $tbd-hierarchy)        else if ($invalid-hierarchy-1 != '') then $invalid-hierarchy-1        else if ($tbd-hierarchy != '') then $tbd-hierarchy        else '' " />
    <xsl:variable name="invalid-domain" select="if ($invalid-hierarchy != '' and $invalid-refset != '') then concat($invalid-hierarchy, ' OR ', $invalid-refset)        else if ($invalid-hierarchy != '') then $invalid-hierarchy        else if ($invalid-refset != '') then $invalid-refset        else '' " />
    <xsl:variable name="filter-text" select="if ($use-revised-text-2) then $der-revised-text-2 else if ($use-revised-text-1) then $der-revised-text-1 else $der-text " />
    <xsl:variable name="der-tgi-codes-4" select="if ($ts-not-needed or $valid-tgi-4 or $invalid-domain = '') then ()        else if (exists($related-terms-2)) then $related-terms-2        else distinct-values((tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          $invalid-domain, $filter-text, $max-code-number, false()), '(\[.*?\])(\||$)', '$2'), '\|'), $der-inactive-codes-3)) " />
    <xsl:variable name="error-usingTS-4" select="$error-usingTS-3 or 'Error' = $der-tgi-codes-4 " />
    <xsl:variable name="invalid-tgi-codes-r" select="if ($ts-not-needed or $valid-tgi-4 or $error-usingTS-4 or not(exists($der-tgi-codes-4))) then ()        else if ($invalid-refset = '') then tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-tgi-codes-4, ' OR '), ') AND (', $inactive-refSets, ')'), '',           string(count($der-tgi-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')        else tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-tgi-codes-4, ' OR '), ') AND (', $invalid-refset, ' OR ', $inactive-refSets, ')'), '',           string(count($der-tgi-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')  " />
    <xsl:variable name="error-usingTS-5" select="$error-usingTS-4 or 'Error' = $invalid-tgi-codes-r " />
    <xsl:variable name="der-tgi-codes-4-h" select="if ($error-usingTS-5) then () else $der-tgi-codes-4[not(. = $invalid-tgi-codes-r)]" />
    <xsl:variable name="invalid-tgi-codes-h" select="if ($ts-not-needed or $valid-tgi-4 or 'Error' = $der-tgi-codes-4 or $meds-invalid-hierarchy = '' or not(exists($der-tgi-codes-4-h))) then ()        else (for $code in $der-tgi-codes-4-h return          if (dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;&gt;', $code, ' MINUS ', $meds-invalid-hierarchy), '', '1', false()) = '') then $code else '')[. != ''] " />
    <xsl:variable name="invalid-tgi-codes" select="($invalid-tgi-codes-h, $invalid-tgi-codes-r) " />
    <xsl:variable name="der-tgi-codes-5" select="$der-tgi-codes-4[not(. = $invalid-tgi-codes or . = 'Error')]" />
    <xsl:variable name="der-valid-codes-4" select="if ($der-valid-codes-3 != '') then $der-valid-codes-3        else if ($ts-not-needed or $valid-tgi-4 or $valid-domain = '' or not(exists($der-tgi-codes-5))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-tgi-codes-5, ' OR '), ') AND ', $valid-domain), '', string(count($der-tgi-codes-5)), false()) " />
    <xsl:variable name="error-usingTS-6" select="$error-usingTS-5 or 'Error' = $der-valid-codes-4 " />
    <xsl:variable name="valid-tgi-5" select="$valid-tgi-4 or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="der-valid-codes-seq" select="if ($error-usingTS-6) then () else tokenize(replace($der-valid-codes-4,  '(\[.*?\])(\||$)', '$2'), '\|') " />
    <xsl:variable name="undetermined-tgi-1" select="if (exists($der-valid-codes-seq)) then $der-tgi-codes-5[not(. = $der-valid-codes-seq)] else $der-tgi-codes-5 " />
    <xsl:variable name="undetermined-inactive-1" select="for $i in (1 to count($undetermined-tgi-1)) return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $undetermined-tgi-1[$i], '', '1', false()) " />
    <xsl:variable name="error-usingTS-7" select="$error-usingTS-6 or 'Error' = $undetermined-inactive-1 " />
    <xsl:variable name="undetermined-inactive" select="(for $i in (1 to count($undetermined-tgi-1)) return         if (contains($undetermined-inactive-1[$i], '~inactive')) then $undetermined-inactive-1[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-1" select="for $i in (1 to count($undetermined-inactive))        return dh:IsCodeAssociatedWithAnotherCode(replace($undetermined-inactive[$i], '(\[.*?\])(\||$)', '$2'), '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-2" select="$error-usingV-1 or 'Error' = $undetermined-NAF-1 " />
    <xsl:variable name="undetermined-NAF" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-codes" select="for $term in $undetermined-NAF return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-NAF-active" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound~active')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-active-codes" select="for $term in $undetermined-NAF-active return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-tgi" select="$undetermined-tgi-1[not(. = ($undetermined-NAF-codes, $undetermined-NAF-active-codes))]" />
    <xsl:variable name="invalid-tgi" select="not($valid-tgi-5) and exists($invalid-tgi-codes) and not(exists($undetermined-tgi))" />
    <xsl:variable name="a-sas-tgi" select="if ($a-sas-tgi-1) then true()        else if ($a-vaccine-1 or $valid-tgi-5 or $invalid-tgi or not($use-revised-text-2) or $tgi-sas-regex = '') then false()        else matches($der-revised-text-2, $tgi-sas-regex, 'is')" />
    <xsl:variable name="an-uncoded-tgi" select="if ($an-uncoded-tgi-1) then true()        else if ($a-vaccine-1 or $valid-tgi-5 or $invalid-tgi or not($use-revised-text-2) or $tgi-otheru-regex = '' or $a-sas-tgi) then false()        else matches($der-revised-text-2, $tgi-otheru-regex, 'is')" />
    <xsl:variable name="obsolete-tgi-info" select="if ($an-obsolete-tgi-3) then $obsolete-tgi-info-3        else if ($a-vaccine-1 or $valid-tgi-5 or $invalid-tgi or not($use-revised-text-2) or not(exists($knowledge/special-tgi/obsolete)) or $a-sas-tgi or          $an-uncoded-tgi) then ()        else $knowledge/special-tgi/obsolete[matches($der-revised-text-2,          concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')] " />
    <xsl:variable name="an-obsolete-tgi" select="exists($obsolete-tgi-info)" />
    <xsl:variable name="valid-tgi-6" select="$valid-tgi-5 or $a-sas-tgi or $an-uncoded-tgi or $an-obsolete-tgi " />
    <xsl:variable name="a-vaccine-2" select="if ($a-vaccine-1) then true()        else if ($valid-tgi-6 or $invalid-tgi or not(exists($vaccine-text-normalised))) then false()        else if ($der-text != '' and translate(lower-case($der-text), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else if ($use-revised-text-1 and translate(lower-case($der-revised-text-1), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else if ($use-revised-text-2 and translate(lower-case($der-revised-text-2), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else false() " />
    <xsl:variable name="vaccine-code-test" select="if (not($a-vaccine-2 or $valid-tgi-6 or $invalid-tgi or $avoid-ts) and exists($undetermined-tgi))         then tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($undetermined-tgi, ' OR '), ') AND (&lt;71181003 OR &lt;127785005)'), '',          string(count($undetermined-tgi)), false()), '\|')        else () " />
    <xsl:variable name="error-usingTS-8" select="$error-usingTS-7 or 'Error' = $vaccine-code-test " />
    <xsl:variable name="a-vaccine" select="$a-vaccine-2 or (not('Error' = $vaccine-code-test) and exists($undetermined-tgi) and count($vaccine-code-test) = count($undetermined-tgi)) " />
    <xsl:variable name="codes-with-history" select="$der-inactive-codes-2[matches(., '[0-9]')]" />
    <xsl:variable name="hist-vers" select="if (exists($codes-with-history))        then dh:FindLastUpdatedDateForCodeUsingTS(substring-before($codes-with-history[1], '~'), '2.16.840.1.113883.6.96', $ts-latest-snomedctau)       else '' " />
    <xsl:variable name="error-usingTS-9" select="$error-usingTS-8 or 'Error' = $hist-vers " />
    <xsl:variable name="hist-vers-date" select="if (matches($hist-vers, '^(CodeFoundActive|CodeFoundInactive)\|[0-9]{8}$')) then substring-after($hist-vers, '|') else '' " />
    <xsl:variable name="inactive-concept" select="count($der-tgi-codes-2) = count($der-inactive-codes-1) and not($valid-tgi-6)" />
    <xsl:variable name="der-inactive-codes-4" select="$der-inactive-codes-3[not(contains(., 'MOVED FROM') or contains(., 'WAS A'))]" />
    <xsl:variable name="obsolete-without-date" select=" ($an-obsolete-tgi and not($obsolete-tgi-info/@last-available))   or         (exists($der-inactive-codes-3) and not(exists($der-inactive-codes-4)))  or         (exists($der-inactive-codes-4) and $hist-vers-date = '')   " />
    <xsl:variable name="obsolete-date" select="if ($is-immun) then ''        else if ($hist-vers-date != '') then $hist-vers-date        else if ($an-obsolete-tgi and $obsolete-tgi-info/@last-available) then $obsolete-tgi-info/@last-available         else '' " />
    <xsl:variable name="obsolete-yr" select="substring($obsolete-date, 1, 4) " />
    <xsl:variable name="obsolete-mn-temp" select="substring($obsolete-date, 5, 2) " />
    <xsl:variable name="obsolete-mn" select="if ($obsolete-mn-temp = '') then '06' else $obsolete-mn-temp " />
    <xsl:variable name="obsolete-dy-temp" select="substring($obsolete-date, 7, 2) " />
    <xsl:variable name="obsolete-dy" select="if ($obsolete-dy-temp = '') then '15' else $obsolete-dy-temp " />
    <xsl:variable name="obsolete-xs" select="if ($obsolete-date = '') then () else xs:date(concat($obsolete-yr, '-', $obsolete-mn, '-', $obsolete-dy)) " />
    <xsl:variable name="display-obsolete-date" select="if ($obsolete-date = '') then ''        else if ($obsolete-mn-temp = '') then $obsolete-dy        else if ($obsolete-dy-temp = '') then concat($knowledge/months/month[@number = $obsolete-mn]/@abbreviation, ' ', $obsolete-yr)        else concat($obsolete-dy, ' ', $knowledge/months/month[@number = $obsolete-mn]/@abbreviation, ' ', $obsolete-yr) " />
    <xsl:variable name="obsolete-date-diff" select="if ($obsolete-date = '' or not(matches($creation-date-xs - $obsolete-xs, '^P[0-9]+D'))) then '0'        else number(substring-before(substring-after($creation-date-xs - $obsolete-xs, 'P'), 'D')) " />
    <xsl:variable name="obsolete-yrs-ago" select="$obsolete-date-diff div 365 " />
    <xsl:variable name="coding" select="if (not($flags/@assess-class = 'true') or not($use-ts-for-sctau) or not(exists($iq-config/tgi-coding))) then () else $iq-config/tgi-coding" />
    <xsl:variable name="s-classification" select="if (exists($coding/special-classification/classification)) then $coding/special-classification/classification else () " />
    <xsl:variable name="s-number" select="count($s-classification) " />
    <xsl:variable name="s-formula" select="string-join(for $class in $s-classification return $class/@code, ' OR ')" />
    <xsl:variable name="code-to-assess" select="if (not($flags/@assess-class = 'true') or not($use-ts-for-sctau)) then '' else if (exists($der-valid-codes-seq)) then $der-valid-codes-seq[1] else '' " />
    <xsl:variable name="value-domain-1" select="if ($code-to-assess = '') then '' else dh:FindValueDomainsForCode($code-to-assess, '2.16.840.1.113883.6.96', $v-current-sctau)" />
    <xsl:variable name="class-error-1" select="$value-domain-1 = 'Error' " />
    <xsl:variable name="value-domain" select="if ($class-error-1 or $value-domain-1 = ('', 'CodeNotFound')) then ''       else if (contains($value-domain-1, '|')) then substring-before($value-domain-1, '|')       else $value-domain-1 " />
    <xsl:variable name="first-pass-1" select="if ($value-domain = '') then ''        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)'))         then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat($code-to-assess, ' . 30409011000036107'), '', '1', true())        else if ($value-domain = 'Medicinal Product Pack (MPP)')         then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat($code-to-assess, ' . 30348011000036104'), '', '1', true())        else if ($value-domain = 'Trade Product (TP)') then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&lt;', $code-to-assess), '', '1', true())        else $code-to-assess " />
    <xsl:variable name="class-error-2" select="$class-error-1 or ($value-domain != '' and $first-pass-1 = ('Error', '')) " />
    <xsl:variable name="first-pass" select="if (not($class-error-2) and $first-pass-1 != '') then replace($first-pass-1, '(\[.*?\])(\||$)', '$2') else '' " />
    <xsl:variable name="second-pass-1" select="if ($first-pass = '') then ''        else if ($value-domain = 'Trade Product Unit of Use (TPUU)')          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $code-to-assess, ' AND ^929360071000036103'), '', '1', true())        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product (TP)'))          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $first-pass, ' AND ^929360071000036103'), '', '1', true())        else if ($value-domain = 'Medicinal Product Pack (MPP)') then $first-pass        else $code-to-assess " />
    <xsl:variable name="class-error-3" select="$class-error-2 or ($first-pass != '' and $second-pass-1 = ('Error', '')) " />
    <xsl:variable name="second-pass" select="if (not($class-error-3) and $second-pass-1 != '') then replace($second-pass-1, '(\[.*?\])(\||$)', '$2') else '' " />
    <xsl:variable name="class-tp-1" select="if ($class-error-3) then ''        else if ($value-domain = 'Trade Product Unit of Use (TPUU)')          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $code-to-assess, ' AND ^929360021000036102'), '', '1', true())        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)'))          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $first-pass, ' AND ^929360021000036102'), '', '1', true())        else '' " />
    <xsl:variable name="class-tp-error" select="$class-tp-1 = 'Error' " />
    <xsl:variable name="class-tp" select="if (not($class-tp-error) and $class-tp-1 != '') then replace($class-tp-1, '^([0-9]+\[)(.*?)(\])$', '$2') else '' " />
    <xsl:variable name="third-pass-1" select="if ($second-pass = '') then ''        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product (TP)',          'Trade Product Unit of Use (TPUU)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)'))         then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;!', $second-pass, ' AND ^929360061000036106'), '', '1', false())        else $second-pass " />
    <xsl:variable name="class-error-4" select="$class-error-3 or ($second-pass != '' and $third-pass-1 = ('Error', '')) " />
    <xsl:variable name="third-pass" select="if ($class-error-4 or $third-pass-1 = '') then ''         else if (matches($third-pass-1, '^[0-9]+$')) then replace($der-valid-codes-4, '^([0-9]+\[)(.*?)(\]\|.*|\])$', '$2')        else if (matches($third-pass-1, '^[0-9]')) then replace($third-pass-1, '^([0-9]+\[)(.*?)(\])$', '$2') else '' " />
    <xsl:variable name="fourth-pass-1" select="if ($third-pass = '') then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', '&lt;373873005', $third-pass, '1', true()) " />
    <xsl:variable name="class-error-5" select="$class-error-4 or $fourth-pass-1 = 'Error' " />
    <xsl:variable name="fourth-pass" select="if (not($class-error-4) and $fourth-pass-1 != '' and matches($fourth-pass-1, '^[0-9]')) then replace($fourth-pass-1, '(\[.*?\])(\||$)', '$2') else '' " />
    <xsl:variable name="class-not-completed" select="($flags/@assess-class = 'true' and $code-to-assess = '')  or        ($code-to-assess != '' and $value-domain-1 = 'CodeNotFound') or        ($third-pass != '' and $fourth-pass = '')   " />
    <xsl:variable name="valid-class-1" select="if ($fourth-pass = '' or $s-number = 0) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND (', $s-formula, ')'), '', string($s-number), true()) " />
    <xsl:variable name="class-error-6" select="$class-error-5 or $valid-class-1 = 'Error' " />
    <xsl:variable name="valid-class-2" select="if ($valid-class-1 = '' or $class-error-6) then () else tokenize(replace($valid-class-1, '(\[.*?\])(\||$)', '$2'), '\|') " />
    <xsl:variable name="valid-class-3" select="if ($a-vaccine and exists($s-classification[@code = '71181003']/@description)) then ($s-classification[@code = '71181003']/@description)       else if ($a-vaccine and exists($s-classification[@code = '71181003']/@pterm)) then ($s-classification[@code = '71181003']/@pterm)       else for $code in $valid-class-2 return if ($coding/special-classification/classification[@code = $code]/@description)         then $coding/special-classification/classification[@code = $code]/@description         else $coding/special-classification/classification[@code = $code]/@pterm " />
    <xsl:variable name="fifth-pass" select="if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/first-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/first-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-7" select="$class-error-6 or $fifth-pass = 'Error' " />
    <xsl:variable name="sixth-pass" select="if (not($fifth-pass = '')) then $fifth-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/second-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/second-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-8" select="$class-error-7 or $sixth-pass = 'Error' " />
    <xsl:variable name="seventh-pass" select="if (not($sixth-pass = '')) then $sixth-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/third-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/third-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-9" select="$class-error-8 or $seventh-pass = 'Error' " />
    <xsl:variable name="eighth-pass" select="if (not($seventh-pass = '')) then $seventh-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/fourth-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/fourth-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-10" select="$class-error-9 or $eighth-pass = 'Error' " />
    <xsl:variable name="ninth-pass" select="if (not($eighth-pass = '')) then $eighth-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/fifth-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/fifth-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-11" select="$class-error-10 or $ninth-pass = 'Error' " />
    <xsl:variable name="valid-class" select="if (exists($valid-class-3)) then $valid-class-3        else if (not($ninth-pass = '')) then for $term in tokenize($ninth-pass, '\|') return replace($term, '^([0-9]+\[)(.*?)(\])$', '$2')       else () " />
    <xsl:variable name="codes-were-found" select="exists($der-tgi-codes-4) or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="obsolete-error" select="not($is-immun) and ($an-obsolete-tgi or $inactive-concept) and $obsolete-yrs-ago &gt; 2 " />
    <xsl:variable name="obsolete-warning" select="not($is-immun or $obsolete-error) and ($an-obsolete-tgi or $inactive-concept) and ($obsolete-yrs-ago &gt; 1 or $obsolete-without-date) " />
    <xsl:variable name="codes-not-found" select="not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-6 or $invalid-tgi or $a-vaccine) " />
    <xsl:variable name="codes-in-the-domain" select="not($valid-tgi-1) and $valid-tgi-5" />
    <xsl:variable name="codes-in-other-domain" select="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi or         $a-vaccine or $obsolete-warning) " />
    <xsl:variable name="codes-in-no-domain" select="exists($der-tgi-codes-5) " />
    <xsl:variable name="display-in-the-domain" select="if ($codes-in-the-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', '), '''')        else '' " />
    <xsl:variable name="display-in-other-r" select="if (exists($invalid-tgi-codes-r) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-tgi-codes-r return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-h" select="if (exists($invalid-tgi-codes-h) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-tgi-codes-h return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-domain" select="if (not($codes-in-other-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))) then ''        else if ($display-in-other-r and display-in-other-h) then concat('''', $display-in-other-r, ', ', $display-in-other-h, '''')        else if ($display-in-other-r) then concat('''', $display-in-other-r, '''')        else if ($display-in-other-h) then concat('''', $display-in-other-h, '''')        else '' " />
    <xsl:variable name="display-in-no-domain" select="if ($codes-in-no-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', dh:XQueryRecursiveReplace(string-join(for $code in $der-tgi-codes-5 return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), '; '),          $term-pattern-replacement, 'ic'), '''')        else '' " />
    <xsl:variable name="log-concepts-appended" select="if ($error-usingTS-9 or not($flags/@report-terminology-concepts = 'true') or $log-concepts-name = '') then ''        else if ($codes-not-found and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                   'Therapeutic Good Identification', $log-tab,                   'yes',     $log-tab,                   iq:display-CD(.),   $log-tab,                   '',     $log-tab,                  '',     $log-tab,                  '',     $log-tab,                  $ts-current-sctau   ))        else if (($use-revised-text-2 or $codes-in-no-domain) and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                  'Therapeutic Good Identification', $log-tab,                   'yes',     $log-tab,                     iq:display-CD(.),   $log-tab,                    $display-in-the-domain,   $log-tab,                  $display-in-other-domain,  $log-tab,                  $display-in-no-domain,   $log-tab,                  $ts-current-sctau   ))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if (matches($defn-invalid-rsn, 'is a container', 'is')) then $rating-container-TC-Types-57 else $rating-TC-Types-57 " />
    <!--REPORT -->
    <xsl:if test=" $log-concepts-appended = ('NOTFOUND', 'ERROR') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$log-concepts-appended = ('NOTFOUND', 'ERROR')">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): The AppendLog function returned '<xsl:text /><xsl:value-of select="$log-concepts-appended" /><xsl:text />' when requested to append the concepts log
		'<xsl:text /><xsl:value-of select="$log-concepts-name" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $flags/@assess-class = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $flags/@assess-class = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): 
		code-to-assess '<xsl:text /><xsl:value-of select="$code-to-assess" /><xsl:text />'
		value-domain '<xsl:text /><xsl:value-of select="$value-domain" /><xsl:text />'
		first-pass '<xsl:text /><xsl:value-of select="$first-pass" /><xsl:text />'
		second-pass '<xsl:text /><xsl:value-of select="$second-pass" /><xsl:text />'
		third-pass '<xsl:text /><xsl:value-of select="$third-pass" /><xsl:text />'
		fourth-pass '<xsl:text /><xsl:value-of select="$fourth-pass" /><xsl:text />'
		valid-class-1 '<xsl:text /><xsl:value-of select="$valid-class-1" /><xsl:text />'
		fifth-pass '<xsl:text /><xsl:value-of select="$fifth-pass" /><xsl:text />'
		sixth-pass '<xsl:text /><xsl:value-of select="$sixth-pass" /><xsl:text />'
		seventh-pass '<xsl:text /><xsl:value-of select="$seventh-pass" /><xsl:text />'
		eighth-pass '<xsl:text /><xsl:value-of select="$eighth-pass" /><xsl:text />'
		ninth-pass '<xsl:text /><xsl:value-of select="$ninth-pass" /><xsl:text />'

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $class-error-11 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$class-error-11">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An unexpected error occurred during the process to classify a terminology code.
		Report the information below to the Australian Digital Health Agency for investigation.
		The value domain was '<xsl:text /><xsl:value-of select="$value-domain" /><xsl:text />' and the error variable was
		<xsl:text /><xsl:value-of select="if ($class-error-1) then concat('class-error-1. The FindValueDomainsForCode function was called with code ''', $code-to-assess,     ''', codeSystem ''2.16.840.1.113883.6.96'' and codeSystemVersion ''', $v-current-sctau, ''' and returned ''', $value-domain-1, '''.')   else if ($class-error-2) then concat('class-error-2. The SearchForCodesInHierarchyUsingTS function was called with code ''', $code-to-assess,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $first-pass-1, '''.')   else if ($class-error-3) then concat('class-error-3. The SearchForCodesInHierarchyUsingTS function was called with code ''',     if ($value-domain = 'Trade Product Unit of Use (TPUU)') then $code-to-assess else $first-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $second-pass-1, '''.')   else if ($class-error-4) then concat('class-error-4. The SearchForCodesInHierarchyUsingTS function was called with code ''', $second-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $third-pass-1, '''.')   else if ($class-error-5) then concat('class-error-5. The SearchForCodesInHierarchyUsingTS function was called with code ''', $third-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $fourth-pass-1, '''.')   else if ($class-error-6) then concat('class-error-6. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $valid-class-1, '''.')   else if ($class-error-7) then concat('class-error-7. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $fifth-pass, '''.')   else if ($class-error-8) then concat('class-error-8. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $sixth-pass, '''.')   else if ($class-error-9) then concat('class-error-9. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $seventh-pass, '''.')   else if ($class-error-10) then concat('class-error-10. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $eighth-pass, '''.')   else if ($class-error-11) then concat('class-error-11. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $ninth-pass, '''.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $class-tp-error ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$class-tp-error">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An unexpected error occurred during the process to find the trade product name for a medicine.
		Report the information below to the Australian Digital Health Agency for investigation.
		The value domain was '<xsl:text /><xsl:value-of select="$value-domain" /><xsl:text />' and the error variable was class-tp-error.
		The FindValueDomainsForCode function was called with code ''', 
		if ($value-domain = 'Trade Product Unit of Use (TPUU)') then $code-to-assess else $first-pass, 
		''', codeSystem ''2.16.840.1.113883.6.96'' and codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $class-tp-1, '''.')

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-tgi-6) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-tgi-6)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An unexpected problem occurred when assessing the value of the Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. The application of regular expressions resulted in the complete loss of text.
		Report the information below to the Australian Digital Health Agency for investigation.

		der-text-1 '<xsl:text /><xsl:value-of select="normalize-space(dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'))" /><xsl:text />'.
		der-text-2a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-2a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-a, $term-pattern-replacement, 'ic')" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingV-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingV-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An error was reported when accessing the terminology server when assessing the Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		Report the issue to the Australian Digital Health Agency for investigation stating the error was recorded for error-usingV-2.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-9 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-9">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An error was reported when accessing the terminology server when assessing the Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term:
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The analysis should be retried as the terminology server may have been temporarily unavailable.
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'error-usingTS-1' else if ($error-usingTS-2-a) then 'error-usingTS-2-a'   else if ($error-usingTS-2-b) then 'error-usingTS-2-b' else if ($error-usingTS-2-c) then 'error-usingTS-2-c'   else if ($error-usingTS-2) then 'error-usingTS-2'   else if ($error-usingTS-3) then 'error-usingTS-3' else if ($error-usingTS-4) then 'error-usingTS-4'   else if ($error-usingTS-5) then 'error-usingTS-5' else if ($error-usingTS-6) then 'error-usingTS-6'   else if ($error-usingTS-7) then 'error-usingTS-7' else if ($error-usingTS-8) then 'error-usingTS-8'   else 'error-usingTS-9' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or      $valid-tgi-6 or $invalid-tgi) and not($a-vaccine and not(false())) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi) and not($a-vaccine and not(false()))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify a vaccine administered to the consumer at any         time. The text must include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.11 and 9.5 of the Event Summary Structured Content Specification v1.1.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the list of reference sets stated in section 3.7 of the Medication Instruction and Action Detailed Clinical Model         Specification v2.4, which allows more reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi) and    not($a-vaccine and false()) and not($obsolete-warning) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi) and not($a-vaccine and false()) and not($obsolete-warning)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the value does not seem to be applicable for the data element.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify a vaccine administered to the consumer at any         time. The text must include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.11 and 9.5 of the Event Summary Structured Content Specification v1.1.)')" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $obsolete-warning ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$obsolete-warning">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the name may not be applicable for the data element.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> and the
		<xsl:text /><xsl:value-of select="if ($display-obsolete-date != '') then concat('name of the therapeutic good was last used ', $display-obsolete-date)   else if ($obsolete-tgi-info/@name) then concat('therapeutic good ''', $obsolete-tgi-info/@name, ''' was last available ', $display-obsolete-date)    else if ($obsolete-without-date) then 'name of the therapeutic good is no longer used ' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($obsolete-tgi-info/@reason) then concat(' because ', $obsolete-tgi-info/@reason, '.') else '.' " /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify a vaccine administered to the consumer at any         time. The text must include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.11 and 9.5 of the Event Summary Structured Content Specification v1.1.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		<xsl:text /><xsl:value-of select="$creation-date-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $obsolete-error ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$obsolete-error">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the name is not applicable for the data element.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> and the
		<xsl:text /><xsl:value-of select="if ($display-obsolete-date != '') then concat('name of the therapeutic good was last used ', $display-obsolete-date)   else if ($obsolete-tgi-info/@name) then concat('therapeutic good ''', $obsolete-tgi-info/@name, ''' was last available ', $display-obsolete-date)    else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($obsolete-tgi-info/@reason) then concat(' because ', $obsolete-tgi-info/@reason, '.') else '.' " /><xsl:text />
		That was <xsl:text /><xsl:value-of select="if (contains(string($obsolete-yrs-ago), '.')) then substring-before(string($obsolete-yrs-ago), '.') else $obsolete-yrs-ago " /><xsl:text /> years before the
		<xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify a vaccine administered to the consumer at any         time. The text must include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.11 and 9.5 of the Event Summary Structured Content Specification v1.1.)'))" /><xsl:text /><xsl:text /><xsl:value-of select="$creation-date-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the data element does not have a proper value. <xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify a vaccine administered to the consumer at any         time. The text must include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.11 and 9.5 of the Event Summary Structured Content Specification v1.1.)'))" /><xsl:text />
		The Therapeutic Good Identification data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify a vaccine administered to the consumer at any         time. The text must include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.11 and 9.5 of the Event Summary Structured Content Specification v1.1.)'))" /><xsl:text />
		The Therapeutic Good Identification data element must have a value that is consistent with this definition. Alternatively if there is no Therapeutic Good Identification data element with a proper value then an exclusion
		statement must be included to state why there is no Therapeutic Good Identification. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4')    then concat('Text such as ''', dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'), ''' may be permitted in the narrative even though the Therapeutic Good Identification data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the data element does not have a proper value. <xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify a vaccine administered to the consumer at any         time. The text must include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.11 and 9.5 of the Event Summary Structured Content Specification v1.1.)'))" /><xsl:text />
		The Therapeutic Good Identification data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($der-text-non-value) and $der-invalid-text ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($der-text-non-value) and $der-invalid-text">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />
		however the value is invalid. <xsl:text /><xsl:value-of select="$defn-invalid-rsn" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify a vaccine administered to the consumer at any         time. The text must include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.11 and 9.5 of the Event Summary Structured Content Specification v1.1.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $a-vaccine and false() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$a-vaccine and false()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />
		which identifies a vaccine. <xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify a vaccine administered to the consumer at any         time. The text must include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.11 and 9.5 of the Event Summary Structured Content Specification v1.1.)'))" /><xsl:text />
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the list of reference sets stated in section 3.7 of the Medication Instruction and Action Detailed Clinical Model         Specification v2.4, which allows more reference sets to be used compared to those listed in the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $invalid-tgi and not($error-usingTS-9) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$invalid-tgi and not($error-usingTS-9)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
ZZZ
der-text '<xsl:text /><xsl:value-of select="$der-text" /><xsl:text />'
der-revised-text-1 '<xsl:text /><xsl:value-of select="$der-revised-text-1" /><xsl:text />'
der-revised-text-2 '<xsl:text /><xsl:value-of select="$der-revised-text-2" /><xsl:text />'
ZZZ
		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the value is invalid
		<xsl:text /><xsl:value-of select="if (exists($invalid-tgi-codes-h) or exists($invalid-tgi-codes-r)) then concat(' as it describes ',    iq:invalidityExplanationUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, $invalid-tgi-codes-h, $cd-definitions/meds/meds-invalid/hierarchy, $invalid-tgi-codes-r, $cd-definitions/meds/meds-invalid/refset), '.')   else '.' " /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify a vaccine administered to the consumer at any         time. The text must include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.11 and 9.5 of the Event Summary Structured Content Specification v1.1.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable outside the applicable value domain): The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. The following codes were obtained and are not in the value domain:
		<xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-TGI-Defn): The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU and no associated code was found in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists(($der-NAF-active-codes, $undetermined-NAF-active-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists(($der-NAF-active-codes, $undetermined-NAF-active-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-TGI-Defn): The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-active-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the
		'<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU but it was not found with this status in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.
		<xsl:text /><xsl:value-of select="if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and ($valid-tgi-1 or $a-vaccine-2 or (not($valid-tgi-5) and $valid-tgi-6))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and ($valid-tgi-1 or $a-vaccine-2 or (not($valid-tgi-5) and $valid-tgi-6))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable within the value domain): The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> which matches
		<xsl:text /><xsl:value-of select="if ($a-vaccine-1) then 'one of the terms listed in Knowledge.xml' else 'the vaccine information in CodeSystems.xml' " /><xsl:text /> for the Therapeutic Good Identification.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(exists($valid-class)) and $class-not-completed and not($class-tp-error or $class-error-10) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(exists($valid-class)) and $class-not-completed and not($class-tp-error or $class-error-10)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. <xsl:text /><xsl:value-of select="if ($code-to-assess = '') then 'No code could be found for the medicine.'    else if ($value-domain = '') then concat('The code ''', $code-to-assess, ''' was found to apply to the medicine by applying the terminology server using the ''', $ts-current-sctau,   ''' version of SNOMED CT-AU but the code was not found in the Validator''s database using the ''', $v-current-sctau, ''' version of SNOMED CT-AU.',   if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '')   else concat('This is a ', $value-domain,    if ($value-domain = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)')) then    concat(' (with medicinal product ''', $third-pass, ''').')    else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)'))    then concat(' (with trade product ''', $class-tp, ''').')    else '.') " /><xsl:text /> The classification of this medicine could not be completed.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists($valid-class) and not($class-tp-error or $class-error-11) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists($valid-class) and not($class-tp-error or $class-error-11)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This <xsl:text /><xsl:value-of select="if (not($value-domain = ('Containered Trade Product Pack (CTPP)',    'Trade Product Pack (TPP)', 'Trade Product (TP)', 'Trade Product Unit of Use (TPUU)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Medicinal Product (MP)')))    then '' else concat('is a ', $value-domain, ' which')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($value-domain = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)')) then concat(' (with medicinal product ''', $third-pass, ''') which')   else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)'))    then concat(' (with trade product ''', $class-tp, ''') which') else '' " /><xsl:text />
		identifies a type of <xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($valid-class, ' and '), $markup-pattern-replacement, 'ic')" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (concept is codeable within the value domain): The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> which is a valid value for the Therapeutic Good Identification.
		SNOMED CT-AU codes that matched the concept are: <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The text used to match regular expression (der-text-2) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to match non-values and vaccines (der-text-to-match) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-to-match, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to derive a code (der-text) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.

		<xsl:text /><xsl:value-of select="if ($use-revised-text-1) then concat(' A first revision of the text (der-revised-text-1) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-1, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A first revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-1 != '' and $der-revised-text-1 = '') then ' revision-pattern-1 was applied but the output (der-revised-text-1) was an empty string.' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($use-revised-text-2) then concat(' A second revision of the text (der-revised-text-2) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A second revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-2 != '' and $der-revised-text-2 = '') then ' revision-pattern-2 was applied but the output (der-revised-text-2) was an empty string.' else '' " /><xsl:text />

		The SNOMED CT-AU version used to find codes is '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' and the maximum code number is '<xsl:text /><xsl:value-of select="$max-code-number" /><xsl:text />'.

		Codes for related terms (related-terms-2): '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($related-terms-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes for related terms (der-valid-codes-1): 
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-1, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-tgi-codes-2) returned by the terminology server that match the text:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-tgi-codes-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes from related terms or the terminology server (der-valid-codes-2):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-2, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-inactive-codes-3) returned from the Validator's database associated with inactive codes:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-inactive-codes-3, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes found after examining inactive codes (der-valid-codes-3):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-3, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Members of invalid reference sets (invalid-tgi-codes-r): '<xsl:text /><xsl:value-of select="$display-in-other-r" /><xsl:text />'.
		Members of invalid code hierarchies (invalid-tgi-codes-h): '<xsl:text /><xsl:value-of select="$display-in-other-h" /><xsl:text />'.

		Final set of valid codes (der-valid-codes-4): <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.
		
		Codes whose validity has not been determined (der-tgi-codes-5): <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.
		Codes whose validity has not been determined and are inactive with no associated code (undetermined-NAF): '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(    string-join($undetermined-NAF, ''', '''), $markup-pattern-replacement, 'ic')" /><xsl:text />'.

		Result of the second vaccination code test (a-vaccine-2): '<xsl:text /><xsl:value-of select="$a-vaccine-2" /><xsl:text />'.
		Vaccine codes (vaccine-code-test):  '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($vaccine-code-test, '; '), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Overall result of the vaccination test (a-vaccine): '<xsl:text /><xsl:value-of select="$a-vaccine" /><xsl:text />'.

		Will the value of the data element be trusted (der-trusted-text)? '<xsl:text /><xsl:value-of select="$der-trusted-text" /><xsl:text />'.
		
	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and $codes-not-found">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept not codeable): The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($avoid-ts) then 'The terminology server was not used to assist with finding codes corresponding to text in the data element. ' else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $prose-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $prose-err">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> which is invalid as it is prose text.
		The Therapeutic Good Identification data element is CodeableText derived from the HL7 CD data type which by definition is to record a concept defined in an external code system, terminology or ontology.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify a vaccine administered to the consumer at any         time. The text must include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.11 and 9.5 of the Event Summary Structured Content Specification v1.1.)'))" /><xsl:text />
		This finding will also be reported as an error.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M454" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M454" />
  <xsl:template match="@*|node()" priority="-2" mode="M454">
    <xsl:apply-templates select="@*|*" mode="M454" />
  </xsl:template>
  <!--PATTERN p-TS-Immun-CodeableText-8-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '101.16638' = $doc-sections][cda:templateId[         (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3') ]]/cda:component/cda:structuredBody/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16638']]/cda:entry/         cda:substanceAdministration/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code         [@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " priority="1000" mode="M455">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '101.16638' = $doc-sections][cda:templateId[         (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3') ]]/cda:component/cda:structuredBody/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16638']]/cda:entry/         cda:substanceAdministration/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code         [@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="pnullFlavor" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @nullFlavor) then @nullFlavor else '' " />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-p-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then false()        else if ($psnomed-id = 'amtv3' and @codeSystemVersion) then exists($v-amtv3[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($psnomed-id = 'snomedctau' and @codeSystemVersion) then exists($v-snomedctau[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false() " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and $pcode != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used to assess the primary code.') " />
    <xsl:variable name="pcode-refsets-1" select="if (@codeSystem = '2.16.840.1.113883.6.96' and not($pcode = ''))         then dh:FindValueDomainsForCode($pcode, '2.16.840.1.113883.6.96', $v-psnomed-version) else 'no-code' " />
    <xsl:variable name="pcode-found" select="not($pcode-refsets-1 = 'no-code' or $pcode-refsets-1 = 'CodeNotFound' or $pcode-refsets-1 = 'Error'        or contains($pcode-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="pcode-refsets" select="if ($pcode-found) then distinct-values(tokenize($pcode-refsets-1, '\|')) else () " />
    <xsl:variable name="pcode-special-proc" select="count($pcode-refsets) = 1 and 'Procedure Foundation (PF)' = $pcode-refsets and not($pnullFlavor = 'OTH') " />
    <xsl:variable name="pcode-refsets-msg" select="if (count($pcode-refsets) = 0) then ''         else if (count($pcode-refsets) = 1) then concat('The code is a member of the ', $pcode-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($pcode-refsets, ', '), '.') " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))         else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-1" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="snomed-trans-2" select="distinct-values(for $i in (1 to count($snomed-trans-1)) return $snomed-trans-1[$i]/@code) " />
    <xsl:variable name="snomed-trans-a" select="$snomed-trans-1[1] " />
    <xsl:variable name="tcode-a" select="if (exists($snomed-trans-a) and matches($snomed-trans-a/@code, $snomed-code-regex)) then $snomed-trans-a/@code else '' " />
    <xsl:variable name="tnullFlavor-a" select="if (exists($snomed-trans-a) and $snomed-trans-a/@nullFlavor) then $snomed-trans-a/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-a" select="if (not(exists($snomed-trans-a))) then 'not-snomed'        else if (not($snomed-trans-a/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-a/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-a" select="if (not(exists($snomed-trans-a))) then ''        else if ($tsnomed-id-a = 'amtv3' and exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-a = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-a/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-a" select="if (not(exists($snomed-trans-a))) then false()        else if ($tsnomed-id-a = 'amtv3' and $snomed-trans-a/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-a = 'snomedctau' and $snomed-trans-a/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-a-msg" select="if (not(exists($snomed-trans-a))) then ''        else if (not($snomed-trans-a/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-a, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-a = 'amtv3') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-a = 'snomedctau') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-a/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-a, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-a/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-a-refsets-1" select="if (exists($snomed-trans-a) and not($tcode-a = ''))         then dh:FindValueDomainsForCode($tcode-a, '2.16.840.1.113883.6.96', $v-tsnomed-version-a) else 'no-code' " />
    <xsl:variable name="tcode-a-found" select="not($tcode-a-refsets-1 = 'no-code' or $tcode-a-refsets-1 = 'CodeNotFound' or $tcode-a-refsets-1 = 'Error'         or contains($tcode-a-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-a-refsets" select="if ($tcode-a-found) then distinct-values(tokenize($tcode-a-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-a-special-proc" select="count($tcode-a-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-a-refsets and not($tnullFlavor-a = 'OTH') " />
    <xsl:variable name="tcode-a-refsets-msg" select="if (count($tcode-a-refsets) = 0) then ''         else if (count($tcode-a-refsets) = 1) then concat('The code is a member of the ', $tcode-a-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-a-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@code and $snomed-trans-a/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-a/@displayName, codepoints-to-string(34))         else if ($snomed-trans-a/@code and not($snomed-trans-a/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@codeSystem and $snomed-trans-a/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-a/@codeSystemName, ')')         else if ($snomed-trans-a/@codeSystem and not($snomed-trans-a/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-b" select="(for $i in (2 to count($snomed-trans-1)) return if ($snomed-trans-1[$i]/@code != $snomed-trans-a/@code) then $snomed-trans-1[$i] else ())[1] " />
    <xsl:variable name="tcode-b" select="if (exists($snomed-trans-b) and matches($snomed-trans-b/@code, $snomed-code-regex)) then $snomed-trans-b/@code else '' " />
    <xsl:variable name="tnullFlavor-b" select="if (exists($snomed-trans-b) and $snomed-trans-b/@nullFlavor) then $snomed-trans-b/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-b" select="if (not(exists($snomed-trans-b))) then 'not-snomed'        else if (not($snomed-trans-b/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-b/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-b" select="if (not(exists($snomed-trans-b))) then ''        else if ($tsnomed-id-b = 'amtv3' and exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-b = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-b/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-b" select="if (not(exists($snomed-trans-b))) then false()        else if ($tsnomed-id-b = 'amtv3' and $snomed-trans-b/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-b = 'snomedctau' and $snomed-trans-b/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-b-msg" select="if (not(exists($snomed-trans-b))) then ''        else if (not($snomed-trans-b/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-b, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-b = 'amtv3') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-b = 'snomedctau') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-b/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-b, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-b/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-b-refsets-1" select="if (exists($snomed-trans-b) and not($tcode-b = ''))         then dh:FindValueDomainsForCode($tcode-b, '2.16.840.1.113883.6.96', $v-tsnomed-version-b) else 'no-code' " />
    <xsl:variable name="tcode-b-found" select="not($tcode-b-refsets-1 = 'no-code' or $tcode-b-refsets-1 = 'CodeNotFound' or $tcode-b-refsets-1 = 'Error'         or contains($tcode-b-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-b-refsets" select="if ($tcode-b-found) then distinct-values(tokenize($tcode-b-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-b-special-proc" select="count($tcode-b-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-b-refsets and not($tnullFlavor-b = 'OTH') " />
    <xsl:variable name="tcode-b-refsets-msg" select="if (count($tcode-b-refsets) = 0) then ''         else if (count($tcode-b-refsets) = 1) then concat('The code is a member of the ', $tcode-b-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-b-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@code and $snomed-trans-b/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-b/@displayName, codepoints-to-string(34))         else if ($snomed-trans-b/@code and not($snomed-trans-b/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@codeSystem and $snomed-trans-b/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-b/@codeSystemName, ')')         else if ($snomed-trans-b/@codeSystem and not($snomed-trans-b/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-60" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-60 else $rating-alt-TC-Types-60 " />
    <!--REPORT -->
    <xsl:if test=" $pcode-found and $pcode-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pcode-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD (p-TS-CD-SCT-RefSet): An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$pcode" /><xsl:text />',
		codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-psnomed-version" /><xsl:text />'. This error occurred when assessing the Therapeutic Good Identification data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. The value is not valid for the data element as it describes a medical
		procedure and not a medical problem or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify a vaccine administered or reported to be         administered during the event. The text must include the name of the medication (brand name or generic name equivalent), strength and dose         form, where appropriate. (See sections 2.24 and 9.5 of the Event Summary Structured Content Specification v1.2.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the code is not a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Administered Immunisation (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Administered Immunisation (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Administered Immunisation (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. Confirm if the code is a member of the value domain.
		If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Administered Immunisation (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="count($snomed-trans-1)" /><xsl:text /> translation elements with
		codes and the SNOMED CT-AU codeSystem '2.16.840.1.113883.6.96'. The first two translation elements have been assessed to determine if the codes are members of the value domain
		and the others have not been assessed. Confirm if the value of the code attribute in all SNOMED CT translation elements meets the requirement that it be a member of the value domain
		if there is no nullFlavor 'OTH' or that there is a nullFlavor 'OTH' if the value of the code attribute is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text /> 
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Administered Immunisation (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-a" /><xsl:text />'. This error occurred when assessing the Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify a vaccine administered or reported to be         administered during the event. The text must include the name of the medication (brand name or generic name equivalent), strength and dose         form, where appropriate. (See sections 2.24 and 9.5 of the Event Summary Structured Content Specification v1.2.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Administered Immunisation (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Administered Immunisation (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Administered Immunisation (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Administered Immunisation (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-b" /><xsl:text />'. This error occurred when assessing the Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> 
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify a vaccine administered or reported to be         administered during the event. The text must include the name of the medication (brand name or generic name equivalent), strength and dose         form, where appropriate. (See sections 2.24 and 9.5 of the Event Summary Structured Content Specification v1.2.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Administered Immunisation (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Administered Immunisation (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Administered Immunisation (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Administered Immunisation (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M455" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M455" />
  <xsl:template match="@*|node()" priority="-2" mode="M455">
    <xsl:apply-templates select="@*|*" mode="M455" />
  </xsl:template>
  <!--PATTERN p-TS-Immun-CodeableText-9-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '101.16638' = $doc-sections][cda:templateId[         (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3') ]]/cda:component/cda:structuredBody/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16638']]/cda:entry/         cda:substanceAdministration/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code         [(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-immun-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])][not(@nullFlavor = $no-value-NF)] " priority="1000" mode="M456">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '101.16638' = $doc-sections][cda:templateId[         (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3') ]]/cda:component/cda:structuredBody/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16638']]/cda:entry/         cda:substanceAdministration/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code         [(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-immun-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])][not(@nullFlavor = $no-value-NF)] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="snomed-trans" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="tcode" select="if (exists($snomed-trans[1]) and matches($snomed-trans[1]/@code, $snomed-code-regex)) then $snomed-trans[1]/@code else '' " />
    <xsl:variable name="code-present" select="$pcode != '' or $tcode != '' " />
    <xsl:variable name="invalid-code-system" select="@code and @displayName and @codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="codesystemvalues" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']" />
    <xsl:variable name="otext-without-markup" select="if (cda:originalText and cda:originalText != '') then normalize-space(replace(cda:originalText, $markup-regex, ' ')) else '' " />
    <xsl:variable name="pdname" select="if (@displayName and not($invalid-code-system)) then normalize-space(@displayName) else '' " />
    <xsl:variable name="is-immun" select="exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='101.16638' or @code = '101.16658' or @code = '101.17039')]]) " />
    <xsl:variable name="is-pd" select="exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code = '102.16210' or @code='102.16211' or @code='101.16795')]]) " />
    <xsl:variable name="is-shs-meds" select="$templateId-root = '1.2.36.1.2001.1001.101.100.1002.120' and          exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]) " />
    <xsl:variable name="is-meds" select="exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code = '101.16146.4.1.1' or @code = '101.16146.4.1.2' or @code='101.16146')]]) " />
    <xsl:variable name="max-code-number" select="if ($knowledge/search-for-term/max-sct-code-number/@value &gt; '5') then $knowledge/search-for-term/max-sct-code-number/@value else '5' " />
    <xsl:variable name="der-text-1" select="if ($code-present) then ''         else if ($otext-without-markup != '') then $otext-without-markup        else if ($pdname != '') then $pdname        else '' " />
    <xsl:variable name="family-err" select="matches($der-text-1, $family-regex, 'is')" />
    <xsl:variable name="der-truncated-text-1" select="normalize-space(replace(replace($der-text-1, $unicode-br-truncation-regex, '$1', 'is'), $tgi-truncation-regex, '$1', 'is')) " />
    <xsl:variable name="length-err" select="string-length($der-truncated-text-1) &gt; $length-err-max" />
    <xsl:variable name="prose-err-1" select="$length-err and cda:originalText and (        matches(cda:originalText, $ulist-regex)           or         matches(cda:originalText, $alt-ulist-1a-regex, 'is')         or         matches(cda:originalText, $alt-ulist-1b-regex, 'is')         )" />
    <xsl:variable name="prose-err" select="$prose-err-1 or (cda:originalText and (         matches(cda:originalText, $alt-ulist-2-regex, 'is')         or        matches(cda:originalText, $olist-arabic-regex, 'is')         or         matches(cda:originalText, $olist-alpha-regex, 'is')         or         matches(cda:originalText, $olist-roman-regex, 'is')         or        matches(replace(cda:originalText, $new-line-regex, codepoints-to-string((10)), 'is'), $para-regex, 'is') or        matches(cda:originalText, codepoints-to-string((8233)), 'is')        or               (cda:originalText and matches(cda:originalText, $invalid-concept-regex, 'is'))     or        ($length-err and matches(cda:originalText, '\.\s*$', 's') and matches(cda:originalText, $multi-sentence-regex, 's')) ))" />
    <xsl:variable name="avoid-ts" select="$family-err or $length-err or $prose-err or not($use-ts-for-sctau) " />
    <xsl:variable name="der-text-2a" select="if ($der-truncated-text-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-truncated-text-1, $tgi-fir-pattern-replacement, 'ic')) " />
    <xsl:variable name="der-text-2" select="if ($der-text-2a = '') then $der-text-1 else $der-text-2a " />
    <xsl:variable name="der-text-a" select="if ($der-text-2 = '' or $tgi-regex = '') then $der-text-2 else normalize-space(dh:XQueryRecursiveReplace($der-text-2, $tgi-regex, 'ic')) " />
    <xsl:variable name="der-text" select="if ($der-text-a = '') then $der-text-2 else $der-text-a " />
    <xsl:variable name="defn-valid-regex" select="concat('(^|\|)', translate($der-text-2, $chars-to-remove, ''), '(\||$)') " />
    <xsl:variable name="der-text-to-match-1" select="lower-case($der-text-2) " />
    <xsl:variable name="der-text-to-match" select="translate($der-text-to-match-1, $chars-to-remove, '') " />
    <xsl:variable name="tgi-non-value-regex" select="if ($is-immun)          then $cd-definitions/immun/@non-value-regex         else if ($is-pd)       then $cd-definitions/pd/@non-value-regex        else if ($is-shs-meds) then $cd-definitions/shs-meds/@non-value-regex        else if ($is-meds)     then $cd-definitions/meds/@non-value-regex        else '' " />
    <xsl:variable name="der-text-non-value" select="if ($code-present or @nullFlavor = $no-value-NF) then false() else         $der-text-to-match = ''             or         not(matches($der-text-to-match-1, '[a-z]', 'is'))         or        ($cd-definitions/non-value/@regex != '' and matches($der-text-to-match-1, $cd-definitions/non-value/@regex, 'is')) or        ($tgi-non-value-regex != '' and matches($der-text-to-match-1, $tgi-non-value-regex, 'is'))    " />
    <xsl:variable name="tgi-invalid-regex" select="if ($is-immun)          then $cd-definitions/immun/@invalid-regex         else if ($is-pd)       then $cd-definitions/pd/@invalid-regex        else if ($is-shs-meds) then $cd-definitions/shs-meds/@invalid-regex        else if ($is-meds)     then $cd-definitions/meds/@invalid-regex        else '' " />
    <xsl:variable name="defn-invalid-regex" select="if ($code-present or $der-text-non-value) then ()        else if ($tgi-invalid-regex != '') then tokenize($tgi-invalid-regex, '~')[. != '']         else () " />
    <xsl:variable name="defn-invalid-txt-regex" select="(for $i in (1 to count($defn-invalid-regex)) return normalize-space(substring-before($defn-invalid-regex[$i], '[[')))[. != '']" />
    <xsl:variable name="der-invalid-text-regex-1" select="if (exists($defn-invalid-txt-regex))        then index-of(for $i in (1 to count($defn-invalid-txt-regex)) return matches($der-text-2, $defn-invalid-txt-regex[$i], 'is'), true())        else () " />
    <xsl:variable name="der-invalid-text" select="exists($der-invalid-text-regex-1) " />
    <xsl:variable name="defn-invalid-rsn" select="if ($der-invalid-text)         then normalize-space(substring-before(substring-after($defn-invalid-regex[$der-invalid-text-regex-1[1]], '[['), ']]'))         else '' " />
    <xsl:variable name="trusted-code-systems" select="if ($der-text = '' or $der-invalid-text or not(@codeSystem or cda:translation/@codeSystem)) then ()        else if ($is-immun)          then (tokenize(replace($cd-definitions/immun/@core, '\s+', ''), '\|'),           tokenize(replace($cd-definitions/immun/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-pd)          then (tokenize(replace($cd-definitions/pd/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/pd/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-shs-meds)          then (tokenize(replace($cd-definitions/shs-meds/@core, '\s+', ''), '\|'),          tokenize(replace($cd-definitions/shs-meds/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-meds)          then (tokenize(replace($cd-definitions/meds/@core, '\s+', ''), '\|'),           tokenize(replace($cd-definitions/meds/@extra, '\s+', ''), '\|'))[. != '']         else () " />
    <xsl:variable name="der-trusted-text" select="if ($der-text = '' or $der-invalid-text or (@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex)))) then false()        else ((@codeSystem and exists($trusted-code-systems[. = current()/@codeSystem])) or               (cda:translation/@codeSystem and exists($trusted-code-systems[. = current()/cda:translation/@codeSystem]))) " />
    <xsl:variable name="a-vaccine-1" select="not($code-present or $der-text-non-value or $der-invalid-text) and exists($vaccine-text-normalised) and $der-text-to-match = $vaccine-text-normalised" />
    <xsl:variable name="a-sas-tgi-1" select="not($code-present or $der-text-non-value or $der-invalid-text or $a-vaccine-1) and $tgi-sas-regex != '' and matches($der-text, $tgi-sas-regex, 'is')" />
    <xsl:variable name="an-uncoded-tgi-1" select="not($code-present or $der-text-non-value or $der-invalid-text or $a-vaccine-1 or $a-sas-tgi-1) and $tgi-otheru-regex != '' and         matches($der-text, $tgi-otheru-regex, 'is')" />
    <xsl:variable name="obsolete-tgi-info-1" select="if ($is-immun or $code-present or $der-text-non-value or $der-invalid-text or $a-vaccine-1 or $a-sas-tgi-1 or $an-uncoded-tgi-1 or         not(exists($knowledge/special-tgi/obsolete))) then ()        else $knowledge/special-tgi/obsolete[matches($der-text, concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')] " />
    <xsl:variable name="an-obsolete-tgi-1" select="exists($obsolete-tgi-info-1)" />
    <xsl:variable name="tgi-valid-regex-1" select="if ($code-present or $der-text-non-value or $der-invalid-text or $der-text = '' or $a-vaccine-1 or $a-sas-tgi-1 or $an-uncoded-tgi-1 or          $an-obsolete-tgi-1) then ''        else if ($is-immun)    then $cd-definitions/immun/@valid-regex        else if ($is-pd)       then $cd-definitions/pd/@valid-regex        else if ($is-shs-meds) then $cd-definitions/shs-meds/@valid-regex        else if ($is-meds)     then $cd-definitions/meds/@valid-regex        else '' " />
    <xsl:variable name="valid-tgi-1" select="if ($a-vaccine-1 or $a-sas-tgi-1 or $an-uncoded-tgi-1 or $an-obsolete-tgi-1) then true()         else if ($tgi-valid-regex-1 = '') then false()        else exists(index-of(for $regex in (tokenize($tgi-valid-regex-1, '~')[. != '']) return          matches($der-text-2, dh:XQueryRecursiveReplace(normalize-space($regex), ' \|~|~\| ~|', ''), 'is'), true())) " />
    <xsl:variable name="invalid-hierarchy-1" select="if (exists($cd-definitions/meds/meds-invalid/hierarchy))         then string-join(for $hierarchy in $cd-definitions/meds/meds-invalid/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-refset" select="if (exists($cd-definitions/meds/meds-invalid/refset))          then string-join(for $refset in $cd-definitions/meds/meds-invalid/refset return concat('^', $refset/@code), ' OR ')         else '' " />
    <xsl:variable name="valid-refset" select="concat($tgi-formula, ' OR &lt;763158003') " />
    <xsl:variable name="valid-domain" select="if ($invalid-refset != '' and $invalid-hierarchy-1 != '')         then concat('((', $valid-refset, ') MINUS (', $invalid-refset, ' OR (', $invalid-hierarchy-1, ')))')        else if ($invalid-refset = '' and $invalid-hierarchy-1 != '') then concat('((', $valid-refset, ') MINUS (', $invalid-hierarchy-1, '))')         else if ($invalid-refset != '' and $invalid-hierarchy-1 = '') then concat('((', $valid-refset, ') MINUS (', $invalid-refset, '))')        else concat('(', $valid-refset, ')') " />
    <xsl:variable name="related-terms-1" select="if ($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-1) then ()        else ($codesystemvalues/code[@related-terms], $codesystemvalues/related-terms[@related-terms]) " />
    <xsl:variable name="related-terms-2" select="for $i in index-of(        for $concept in $related-terms-1 return matches(translate($concept/@related-terms, $chars-no-pipe, ''), $defn-valid-regex, 'is'), true())         return $related-terms-1[$i]/@code " />
    <xsl:variable name="der-tgi-codes-1" select="if (exists($related-terms-2)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($related-terms-2, ' OR '), ') AND ', $valid-domain), '', string(count($related-terms-2)), false())        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $der-tgi-codes-1 " />
    <xsl:variable name="der-valid-codes-1" select="if (contains($der-tgi-codes-1, '[')) then $der-tgi-codes-1 else '' " />
    <xsl:variable name="valid-tgi-2" select="$valid-tgi-1 or $der-valid-codes-1 != '' " />
    <xsl:variable name="tgi-inactive-refSets" select="if (exists($cd-definitions/tgi/tgi-invalid/inactive-refset))         then concat('((', $inactive-refSets, ') MINUS (',           string-join(for $refset in $cd-definitions/tgi/tgi-invalid/inactive-refset return concat('^', $refset/@code), ' OR '),          '))')         else $inactive-refSets " />
    <xsl:variable name="formula" select="concat($valid-domain, ' OR ', $tgi-inactive-refSets) " />
    <xsl:variable name="ts-not-needed" select="$der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-2 or $avoid-ts " />
    <xsl:variable name="der-tgi-codes-2-a" select="if ($ts-not-needed or exists($related-terms-2)) then ()         else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-text,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2-a" select="$error-usingTS-1 or 'Error' = $der-tgi-codes-2-a " />
    <xsl:variable name="revision-pattern-1" select="if ($ts-not-needed or $valid-tgi-2 or exists($der-tgi-codes-2-a) or $error-usingTS-2-a or exists($related-terms-2)) then ''        else $tgi-sec-pattern-replacement " />
    <xsl:variable name="der-revised-text-1" select="if ($revision-pattern-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-text, $revision-pattern-1, 'ic')) " />
    <xsl:variable name="use-revised-text-1" select="$der-revised-text-1 != '' and $der-revised-text-1 != $der-text " />
    <xsl:variable name="obsolete-tgi-info-2" select="if (exists($der-tgi-codes-2-a)) then ()        else if ($an-obsolete-tgi-1) then $obsolete-tgi-info-1        else if ($use-revised-text-1) then $knowledge/special-tgi/obsolete[matches($der-revised-text-1, concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')]        else () " />
    <xsl:variable name="an-obsolete-tgi-2" select="exists($obsolete-tgi-info-2)" />
    <xsl:variable name="der-tgi-codes-2-b" select="if ($an-obsolete-tgi-2) then ()        else if ($ts-not-needed or exists($der-tgi-codes-2-a) or not($use-revised-text-1)) then $der-tgi-codes-2-a         else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-1,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2-b" select="$error-usingTS-2-a or 'Error' = $der-tgi-codes-2-b " />
    <xsl:variable name="revision-pattern-2" select="if ($ts-not-needed or $valid-tgi-2 or exists($der-tgi-codes-2-b) or $error-usingTS-2-b or exists($related-terms-2)) then ''        else $tgi-thi-pattern-replacement " />
    <xsl:variable name="der-revised-text-2" select="if ($revision-pattern-2 = '') then '' else normalize-space(dh:XQueryRecursiveReplace(         if ($use-revised-text-1) then $der-revised-text-1 else $der-text, $revision-pattern-2, 'ic')) " />
    <xsl:variable name="use-revised-text-2" select="if ($use-revised-text-1) then $der-revised-text-2 != '' and $der-revised-text-2 != $der-revised-text-1         else $der-revised-text-2 != '' and $der-revised-text-2 != $der-text " />
    <xsl:variable name="obsolete-tgi-info-3" select="if (exists($der-tgi-codes-2-b)) then ()        else if ($an-obsolete-tgi-2) then $obsolete-tgi-info-2        else if ($use-revised-text-2) then $knowledge/special-tgi/obsolete[matches($der-revised-text-2, concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')]        else () " />
    <xsl:variable name="an-obsolete-tgi-3" select="exists($obsolete-tgi-info-3)" />
    <xsl:variable name="der-tgi-codes-2-c" select="if ($an-obsolete-tgi-3) then ()        else if ($ts-not-needed or exists($der-tgi-codes-2-b) or not($use-revised-text-2)) then $der-tgi-codes-2-b        else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-2,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2-c" select="$error-usingTS-2-b or 'Error' = $der-tgi-codes-2-c " />
    <xsl:variable name="der-tgi-codes-2-d" select="if ($an-obsolete-tgi-3 or $ts-not-needed or exists($der-tgi-codes-2-c)) then $der-tgi-codes-2-c        else iq:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula,          if ($der-revised-text-2 != '') then $der-revised-text-2          else if ($der-revised-text-1 != '') then $der-revised-text-1          else $der-text, 'default') " />
    <xsl:variable name="error-usingTS-2-d" select="$error-usingTS-2-c or 'Error' = $der-tgi-codes-2-d " />
    <xsl:variable name="der-tgi-codes-2" select="$der-tgi-codes-2-d " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-2-d " />
    <xsl:variable name="der-valid-codes-2" select="if ($der-valid-codes-1 != '') then $der-valid-codes-1        else if ($error-usingTS-2) then ''         else string-join((for $code in $der-tgi-codes-2 return if (contains($code, '~inactive')) then '' else $code)[. != ''], '|')  " />
    <xsl:variable name="valid-tgi-3" select="$valid-tgi-2 or $der-valid-codes-2 != '' " />
    <xsl:variable name="der-inactive-codes-1" select="if ($valid-tgi-3) then () else        for $code in $der-tgi-codes-2 return if (contains($code, '~inactive')) then replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is') else '' " />
    <xsl:variable name="der-inactive-codes-2" select="for $i in (1 to count($der-inactive-codes-1)) return         dh:IsCodeAssociatedWithAnotherCode($der-inactive-codes-1[$i], '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-1" select="'Error' = $der-inactive-codes-2 " />
    <xsl:variable name="der-NAF-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-NAF-active-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound~active')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-inactive-codes-3" select="tokenize(string-join(for $i in (1 to count($der-inactive-codes-1)) return replace(string-join(tokenize($der-inactive-codes-2[$i], '\|')        [matches(., '(REPLACED BY|SAME AS|ALTERNATIVE|POSSIBLY EQUIVALENT TO|MAY BE A|WAS A)')], '|'), '[0-9]+~[A-Z ]+~([0-9]+)', '$1'), '|'), '\|')        [. != ''] " />
    <xsl:variable name="der-tgi-codes-3" select="if (exists($der-inactive-codes-3)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($der-inactive-codes-3, ' OR '), ') AND ', $valid-domain), '', string(count($der-inactive-codes-3)), false())          else '' " />
    <xsl:variable name="error-usingTS-3" select="$error-usingTS-2 or 'Error' = $der-tgi-codes-3 " />
    <xsl:variable name="der-valid-codes-3" select="if ($der-valid-codes-2 != '') then $der-valid-codes-2        else if (contains($der-tgi-codes-3, '[')) then $der-tgi-codes-3        else '' " />
    <xsl:variable name="valid-tgi-4" select="$valid-tgi-3 or $der-valid-codes-3 != '' " />
    <xsl:variable name="tbd-hierarchy" select="if (exists($cd-definitions/meds/meds-tbd/hierarchy))         then string-join(for $hierarchy in $cd-definitions/meds/meds-tbd/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-hierarchy" select="if ($invalid-hierarchy-1 != '' and $tbd-hierarchy != '') then concat($invalid-hierarchy-1, ' OR ', $tbd-hierarchy)        else if ($invalid-hierarchy-1 != '') then $invalid-hierarchy-1        else if ($tbd-hierarchy != '') then $tbd-hierarchy        else '' " />
    <xsl:variable name="invalid-domain" select="if ($invalid-hierarchy != '' and $invalid-refset != '') then concat($invalid-hierarchy, ' OR ', $invalid-refset)        else if ($invalid-hierarchy != '') then $invalid-hierarchy        else if ($invalid-refset != '') then $invalid-refset        else '' " />
    <xsl:variable name="filter-text" select="if ($use-revised-text-2) then $der-revised-text-2 else if ($use-revised-text-1) then $der-revised-text-1 else $der-text " />
    <xsl:variable name="der-tgi-codes-4" select="if ($ts-not-needed or $valid-tgi-4 or $invalid-domain = '') then ()        else if (exists($related-terms-2)) then $related-terms-2        else distinct-values((tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          $invalid-domain, $filter-text, $max-code-number, false()), '(\[.*?\])(\||$)', '$2'), '\|'), $der-inactive-codes-3)) " />
    <xsl:variable name="error-usingTS-4" select="$error-usingTS-3 or 'Error' = $der-tgi-codes-4 " />
    <xsl:variable name="invalid-tgi-codes-r" select="if ($ts-not-needed or $valid-tgi-4 or $error-usingTS-4 or not(exists($der-tgi-codes-4))) then ()        else if ($invalid-refset = '') then tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-tgi-codes-4, ' OR '), ') AND (', $inactive-refSets, ')'), '',           string(count($der-tgi-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')        else tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-tgi-codes-4, ' OR '), ') AND (', $invalid-refset, ' OR ', $inactive-refSets, ')'), '',           string(count($der-tgi-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')  " />
    <xsl:variable name="error-usingTS-5" select="$error-usingTS-4 or 'Error' = $invalid-tgi-codes-r " />
    <xsl:variable name="der-tgi-codes-4-h" select="if ($error-usingTS-5) then () else $der-tgi-codes-4[not(. = $invalid-tgi-codes-r)]" />
    <xsl:variable name="invalid-tgi-codes-h" select="if ($ts-not-needed or $valid-tgi-4 or 'Error' = $der-tgi-codes-4 or $meds-invalid-hierarchy = '' or not(exists($der-tgi-codes-4-h))) then ()        else (for $code in $der-tgi-codes-4-h return          if (dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;&gt;', $code, ' MINUS ', $meds-invalid-hierarchy), '', '1', false()) = '') then $code else '')[. != ''] " />
    <xsl:variable name="invalid-tgi-codes" select="($invalid-tgi-codes-h, $invalid-tgi-codes-r) " />
    <xsl:variable name="der-tgi-codes-5" select="$der-tgi-codes-4[not(. = $invalid-tgi-codes or . = 'Error')]" />
    <xsl:variable name="der-valid-codes-4" select="if ($der-valid-codes-3 != '') then $der-valid-codes-3        else if ($ts-not-needed or $valid-tgi-4 or $valid-domain = '' or not(exists($der-tgi-codes-5))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-tgi-codes-5, ' OR '), ') AND ', $valid-domain), '', string(count($der-tgi-codes-5)), false()) " />
    <xsl:variable name="error-usingTS-6" select="$error-usingTS-5 or 'Error' = $der-valid-codes-4 " />
    <xsl:variable name="valid-tgi-5" select="$valid-tgi-4 or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="der-valid-codes-seq" select="if ($error-usingTS-6) then () else tokenize(replace($der-valid-codes-4,  '(\[.*?\])(\||$)', '$2'), '\|') " />
    <xsl:variable name="undetermined-tgi-1" select="if (exists($der-valid-codes-seq)) then $der-tgi-codes-5[not(. = $der-valid-codes-seq)] else $der-tgi-codes-5 " />
    <xsl:variable name="undetermined-inactive-1" select="for $i in (1 to count($undetermined-tgi-1)) return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $undetermined-tgi-1[$i], '', '1', false()) " />
    <xsl:variable name="error-usingTS-7" select="$error-usingTS-6 or 'Error' = $undetermined-inactive-1 " />
    <xsl:variable name="undetermined-inactive" select="(for $i in (1 to count($undetermined-tgi-1)) return         if (contains($undetermined-inactive-1[$i], '~inactive')) then $undetermined-inactive-1[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-1" select="for $i in (1 to count($undetermined-inactive))        return dh:IsCodeAssociatedWithAnotherCode(replace($undetermined-inactive[$i], '(\[.*?\])(\||$)', '$2'), '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-2" select="$error-usingV-1 or 'Error' = $undetermined-NAF-1 " />
    <xsl:variable name="undetermined-NAF" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-codes" select="for $term in $undetermined-NAF return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-NAF-active" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound~active')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-active-codes" select="for $term in $undetermined-NAF-active return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-tgi" select="$undetermined-tgi-1[not(. = ($undetermined-NAF-codes, $undetermined-NAF-active-codes))]" />
    <xsl:variable name="invalid-tgi" select="not($valid-tgi-5) and exists($invalid-tgi-codes) and not(exists($undetermined-tgi))" />
    <xsl:variable name="a-sas-tgi" select="if ($a-sas-tgi-1) then true()        else if ($a-vaccine-1 or $valid-tgi-5 or $invalid-tgi or not($use-revised-text-2) or $tgi-sas-regex = '') then false()        else matches($der-revised-text-2, $tgi-sas-regex, 'is')" />
    <xsl:variable name="an-uncoded-tgi" select="if ($an-uncoded-tgi-1) then true()        else if ($a-vaccine-1 or $valid-tgi-5 or $invalid-tgi or not($use-revised-text-2) or $tgi-otheru-regex = '' or $a-sas-tgi) then false()        else matches($der-revised-text-2, $tgi-otheru-regex, 'is')" />
    <xsl:variable name="obsolete-tgi-info" select="if ($an-obsolete-tgi-3) then $obsolete-tgi-info-3        else if ($a-vaccine-1 or $valid-tgi-5 or $invalid-tgi or not($use-revised-text-2) or not(exists($knowledge/special-tgi/obsolete)) or $a-sas-tgi or          $an-uncoded-tgi) then ()        else $knowledge/special-tgi/obsolete[matches($der-revised-text-2,          concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')] " />
    <xsl:variable name="an-obsolete-tgi" select="exists($obsolete-tgi-info)" />
    <xsl:variable name="valid-tgi-6" select="$valid-tgi-5 or $a-sas-tgi or $an-uncoded-tgi or $an-obsolete-tgi " />
    <xsl:variable name="a-vaccine-2" select="if ($a-vaccine-1) then true()        else if ($valid-tgi-6 or $invalid-tgi or not(exists($vaccine-text-normalised))) then false()        else if ($der-text != '' and translate(lower-case($der-text), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else if ($use-revised-text-1 and translate(lower-case($der-revised-text-1), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else if ($use-revised-text-2 and translate(lower-case($der-revised-text-2), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else false() " />
    <xsl:variable name="vaccine-code-test" select="if (not($a-vaccine-2 or $valid-tgi-6 or $invalid-tgi or $avoid-ts) and exists($undetermined-tgi))         then tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($undetermined-tgi, ' OR '), ') AND (&lt;71181003 OR &lt;127785005)'), '',          string(count($undetermined-tgi)), false()), '\|')        else () " />
    <xsl:variable name="error-usingTS-8" select="$error-usingTS-7 or 'Error' = $vaccine-code-test " />
    <xsl:variable name="a-vaccine" select="$a-vaccine-2 or (not('Error' = $vaccine-code-test) and exists($undetermined-tgi) and count($vaccine-code-test) = count($undetermined-tgi)) " />
    <xsl:variable name="codes-with-history" select="$der-inactive-codes-2[matches(., '[0-9]')]" />
    <xsl:variable name="hist-vers" select="if (exists($codes-with-history))        then dh:FindLastUpdatedDateForCodeUsingTS(substring-before($codes-with-history[1], '~'), '2.16.840.1.113883.6.96', $ts-latest-snomedctau)       else '' " />
    <xsl:variable name="error-usingTS-9" select="$error-usingTS-8 or 'Error' = $hist-vers " />
    <xsl:variable name="hist-vers-date" select="if (matches($hist-vers, '^(CodeFoundActive|CodeFoundInactive)\|[0-9]{8}$')) then substring-after($hist-vers, '|') else '' " />
    <xsl:variable name="inactive-concept" select="count($der-tgi-codes-2) = count($der-inactive-codes-1) and not($valid-tgi-6)" />
    <xsl:variable name="der-inactive-codes-4" select="$der-inactive-codes-3[not(contains(., 'MOVED FROM') or contains(., 'WAS A'))]" />
    <xsl:variable name="obsolete-without-date" select=" ($an-obsolete-tgi and not($obsolete-tgi-info/@last-available))   or         (exists($der-inactive-codes-3) and not(exists($der-inactive-codes-4)))  or         (exists($der-inactive-codes-4) and $hist-vers-date = '')   " />
    <xsl:variable name="obsolete-date" select="if ($is-immun) then ''        else if ($hist-vers-date != '') then $hist-vers-date        else if ($an-obsolete-tgi and $obsolete-tgi-info/@last-available) then $obsolete-tgi-info/@last-available         else '' " />
    <xsl:variable name="obsolete-yr" select="substring($obsolete-date, 1, 4) " />
    <xsl:variable name="obsolete-mn-temp" select="substring($obsolete-date, 5, 2) " />
    <xsl:variable name="obsolete-mn" select="if ($obsolete-mn-temp = '') then '06' else $obsolete-mn-temp " />
    <xsl:variable name="obsolete-dy-temp" select="substring($obsolete-date, 7, 2) " />
    <xsl:variable name="obsolete-dy" select="if ($obsolete-dy-temp = '') then '15' else $obsolete-dy-temp " />
    <xsl:variable name="obsolete-xs" select="if ($obsolete-date = '') then () else xs:date(concat($obsolete-yr, '-', $obsolete-mn, '-', $obsolete-dy)) " />
    <xsl:variable name="display-obsolete-date" select="if ($obsolete-date = '') then ''        else if ($obsolete-mn-temp = '') then $obsolete-dy        else if ($obsolete-dy-temp = '') then concat($knowledge/months/month[@number = $obsolete-mn]/@abbreviation, ' ', $obsolete-yr)        else concat($obsolete-dy, ' ', $knowledge/months/month[@number = $obsolete-mn]/@abbreviation, ' ', $obsolete-yr) " />
    <xsl:variable name="obsolete-date-diff" select="if ($obsolete-date = '' or not(matches($creation-date-xs - $obsolete-xs, '^P[0-9]+D'))) then '0'        else number(substring-before(substring-after($creation-date-xs - $obsolete-xs, 'P'), 'D')) " />
    <xsl:variable name="obsolete-yrs-ago" select="$obsolete-date-diff div 365 " />
    <xsl:variable name="coding" select="if (not($flags/@assess-class = 'true') or not($use-ts-for-sctau) or not(exists($iq-config/tgi-coding))) then () else $iq-config/tgi-coding" />
    <xsl:variable name="s-classification" select="if (exists($coding/special-classification/classification)) then $coding/special-classification/classification else () " />
    <xsl:variable name="s-number" select="count($s-classification) " />
    <xsl:variable name="s-formula" select="string-join(for $class in $s-classification return $class/@code, ' OR ')" />
    <xsl:variable name="code-to-assess" select="if (not($flags/@assess-class = 'true') or not($use-ts-for-sctau)) then '' else if (exists($der-valid-codes-seq)) then $der-valid-codes-seq[1] else '' " />
    <xsl:variable name="value-domain-1" select="if ($code-to-assess = '') then '' else dh:FindValueDomainsForCode($code-to-assess, '2.16.840.1.113883.6.96', $v-current-sctau)" />
    <xsl:variable name="class-error-1" select="$value-domain-1 = 'Error' " />
    <xsl:variable name="value-domain" select="if ($class-error-1 or $value-domain-1 = ('', 'CodeNotFound')) then ''       else if (contains($value-domain-1, '|')) then substring-before($value-domain-1, '|')       else $value-domain-1 " />
    <xsl:variable name="first-pass-1" select="if ($value-domain = '') then ''        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)'))         then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat($code-to-assess, ' . 30409011000036107'), '', '1', true())        else if ($value-domain = 'Medicinal Product Pack (MPP)')         then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat($code-to-assess, ' . 30348011000036104'), '', '1', true())        else if ($value-domain = 'Trade Product (TP)') then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&lt;', $code-to-assess), '', '1', true())        else $code-to-assess " />
    <xsl:variable name="class-error-2" select="$class-error-1 or ($value-domain != '' and $first-pass-1 = ('Error', '')) " />
    <xsl:variable name="first-pass" select="if (not($class-error-2) and $first-pass-1 != '') then replace($first-pass-1, '(\[.*?\])(\||$)', '$2') else '' " />
    <xsl:variable name="second-pass-1" select="if ($first-pass = '') then ''        else if ($value-domain = 'Trade Product Unit of Use (TPUU)')          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $code-to-assess, ' AND ^929360071000036103'), '', '1', true())        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product (TP)'))          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $first-pass, ' AND ^929360071000036103'), '', '1', true())        else if ($value-domain = 'Medicinal Product Pack (MPP)') then $first-pass        else $code-to-assess " />
    <xsl:variable name="class-error-3" select="$class-error-2 or ($first-pass != '' and $second-pass-1 = ('Error', '')) " />
    <xsl:variable name="second-pass" select="if (not($class-error-3) and $second-pass-1 != '') then replace($second-pass-1, '(\[.*?\])(\||$)', '$2') else '' " />
    <xsl:variable name="class-tp-1" select="if ($class-error-3) then ''        else if ($value-domain = 'Trade Product Unit of Use (TPUU)')          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $code-to-assess, ' AND ^929360021000036102'), '', '1', true())        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)'))          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $first-pass, ' AND ^929360021000036102'), '', '1', true())        else '' " />
    <xsl:variable name="class-tp-error" select="$class-tp-1 = 'Error' " />
    <xsl:variable name="class-tp" select="if (not($class-tp-error) and $class-tp-1 != '') then replace($class-tp-1, '^([0-9]+\[)(.*?)(\])$', '$2') else '' " />
    <xsl:variable name="third-pass-1" select="if ($second-pass = '') then ''        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product (TP)',          'Trade Product Unit of Use (TPUU)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)'))         then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;!', $second-pass, ' AND ^929360061000036106'), '', '1', false())        else $second-pass " />
    <xsl:variable name="class-error-4" select="$class-error-3 or ($second-pass != '' and $third-pass-1 = ('Error', '')) " />
    <xsl:variable name="third-pass" select="if ($class-error-4 or $third-pass-1 = '') then ''         else if (matches($third-pass-1, '^[0-9]+$')) then replace($der-valid-codes-4, '^([0-9]+\[)(.*?)(\]\|.*|\])$', '$2')        else if (matches($third-pass-1, '^[0-9]')) then replace($third-pass-1, '^([0-9]+\[)(.*?)(\])$', '$2') else '' " />
    <xsl:variable name="fourth-pass-1" select="if ($third-pass = '') then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', '&lt;373873005', $third-pass, '1', true()) " />
    <xsl:variable name="class-error-5" select="$class-error-4 or $fourth-pass-1 = 'Error' " />
    <xsl:variable name="fourth-pass" select="if (not($class-error-4) and $fourth-pass-1 != '' and matches($fourth-pass-1, '^[0-9]')) then replace($fourth-pass-1, '(\[.*?\])(\||$)', '$2') else '' " />
    <xsl:variable name="class-not-completed" select="($flags/@assess-class = 'true' and $code-to-assess = '')  or        ($code-to-assess != '' and $value-domain-1 = 'CodeNotFound') or        ($third-pass != '' and $fourth-pass = '')   " />
    <xsl:variable name="valid-class-1" select="if ($fourth-pass = '' or $s-number = 0) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND (', $s-formula, ')'), '', string($s-number), true()) " />
    <xsl:variable name="class-error-6" select="$class-error-5 or $valid-class-1 = 'Error' " />
    <xsl:variable name="valid-class-2" select="if ($valid-class-1 = '' or $class-error-6) then () else tokenize(replace($valid-class-1, '(\[.*?\])(\||$)', '$2'), '\|') " />
    <xsl:variable name="valid-class-3" select="if ($a-vaccine and exists($s-classification[@code = '71181003']/@description)) then ($s-classification[@code = '71181003']/@description)       else if ($a-vaccine and exists($s-classification[@code = '71181003']/@pterm)) then ($s-classification[@code = '71181003']/@pterm)       else for $code in $valid-class-2 return if ($coding/special-classification/classification[@code = $code]/@description)         then $coding/special-classification/classification[@code = $code]/@description         else $coding/special-classification/classification[@code = $code]/@pterm " />
    <xsl:variable name="fifth-pass" select="if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/first-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/first-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-7" select="$class-error-6 or $fifth-pass = 'Error' " />
    <xsl:variable name="sixth-pass" select="if (not($fifth-pass = '')) then $fifth-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/second-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/second-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-8" select="$class-error-7 or $sixth-pass = 'Error' " />
    <xsl:variable name="seventh-pass" select="if (not($sixth-pass = '')) then $sixth-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/third-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/third-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-9" select="$class-error-8 or $seventh-pass = 'Error' " />
    <xsl:variable name="eighth-pass" select="if (not($seventh-pass = '')) then $seventh-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/fourth-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/fourth-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-10" select="$class-error-9 or $eighth-pass = 'Error' " />
    <xsl:variable name="ninth-pass" select="if (not($eighth-pass = '')) then $eighth-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/fifth-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/fifth-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-11" select="$class-error-10 or $ninth-pass = 'Error' " />
    <xsl:variable name="valid-class" select="if (exists($valid-class-3)) then $valid-class-3        else if (not($ninth-pass = '')) then for $term in tokenize($ninth-pass, '\|') return replace($term, '^([0-9]+\[)(.*?)(\])$', '$2')       else () " />
    <xsl:variable name="codes-were-found" select="exists($der-tgi-codes-4) or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="obsolete-error" select="not($is-immun) and ($an-obsolete-tgi or $inactive-concept) and $obsolete-yrs-ago &gt; 2 " />
    <xsl:variable name="obsolete-warning" select="not($is-immun or $obsolete-error) and ($an-obsolete-tgi or $inactive-concept) and ($obsolete-yrs-ago &gt; 1 or $obsolete-without-date) " />
    <xsl:variable name="codes-not-found" select="not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-6 or $invalid-tgi or $a-vaccine) " />
    <xsl:variable name="codes-in-the-domain" select="not($valid-tgi-1) and $valid-tgi-5" />
    <xsl:variable name="codes-in-other-domain" select="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi or         $a-vaccine or $obsolete-warning) " />
    <xsl:variable name="codes-in-no-domain" select="exists($der-tgi-codes-5) " />
    <xsl:variable name="display-in-the-domain" select="if ($codes-in-the-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', '), '''')        else '' " />
    <xsl:variable name="display-in-other-r" select="if (exists($invalid-tgi-codes-r) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-tgi-codes-r return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-h" select="if (exists($invalid-tgi-codes-h) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-tgi-codes-h return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-domain" select="if (not($codes-in-other-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))) then ''        else if ($display-in-other-r and display-in-other-h) then concat('''', $display-in-other-r, ', ', $display-in-other-h, '''')        else if ($display-in-other-r) then concat('''', $display-in-other-r, '''')        else if ($display-in-other-h) then concat('''', $display-in-other-h, '''')        else '' " />
    <xsl:variable name="display-in-no-domain" select="if ($codes-in-no-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', dh:XQueryRecursiveReplace(string-join(for $code in $der-tgi-codes-5 return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), '; '),          $term-pattern-replacement, 'ic'), '''')        else '' " />
    <xsl:variable name="log-concepts-appended" select="if ($error-usingTS-9 or not($flags/@report-terminology-concepts = 'true') or $log-concepts-name = '') then ''        else if ($codes-not-found and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                   'Therapeutic Good Identification', $log-tab,                   'yes',     $log-tab,                   iq:display-CD(.),   $log-tab,                   '',     $log-tab,                  '',     $log-tab,                  '',     $log-tab,                  $ts-current-sctau   ))        else if (($use-revised-text-2 or $codes-in-no-domain) and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                  'Therapeutic Good Identification', $log-tab,                   'yes',     $log-tab,                     iq:display-CD(.),   $log-tab,                    $display-in-the-domain,   $log-tab,                  $display-in-other-domain,  $log-tab,                  $display-in-no-domain,   $log-tab,                  $ts-current-sctau   ))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if (matches($defn-invalid-rsn, 'is a container', 'is')) then $rating-container-TC-Types-57 else $rating-TC-Types-57 " />
    <!--REPORT -->
    <xsl:if test=" $log-concepts-appended = ('NOTFOUND', 'ERROR') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$log-concepts-appended = ('NOTFOUND', 'ERROR')">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): The AppendLog function returned '<xsl:text /><xsl:value-of select="$log-concepts-appended" /><xsl:text />' when requested to append the concepts log
		'<xsl:text /><xsl:value-of select="$log-concepts-name" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $flags/@assess-class = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $flags/@assess-class = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): 
		code-to-assess '<xsl:text /><xsl:value-of select="$code-to-assess" /><xsl:text />'
		value-domain '<xsl:text /><xsl:value-of select="$value-domain" /><xsl:text />'
		first-pass '<xsl:text /><xsl:value-of select="$first-pass" /><xsl:text />'
		second-pass '<xsl:text /><xsl:value-of select="$second-pass" /><xsl:text />'
		third-pass '<xsl:text /><xsl:value-of select="$third-pass" /><xsl:text />'
		fourth-pass '<xsl:text /><xsl:value-of select="$fourth-pass" /><xsl:text />'
		valid-class-1 '<xsl:text /><xsl:value-of select="$valid-class-1" /><xsl:text />'
		fifth-pass '<xsl:text /><xsl:value-of select="$fifth-pass" /><xsl:text />'
		sixth-pass '<xsl:text /><xsl:value-of select="$sixth-pass" /><xsl:text />'
		seventh-pass '<xsl:text /><xsl:value-of select="$seventh-pass" /><xsl:text />'
		eighth-pass '<xsl:text /><xsl:value-of select="$eighth-pass" /><xsl:text />'
		ninth-pass '<xsl:text /><xsl:value-of select="$ninth-pass" /><xsl:text />'

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $class-error-11 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$class-error-11">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An unexpected error occurred during the process to classify a terminology code.
		Report the information below to the Australian Digital Health Agency for investigation.
		The value domain was '<xsl:text /><xsl:value-of select="$value-domain" /><xsl:text />' and the error variable was
		<xsl:text /><xsl:value-of select="if ($class-error-1) then concat('class-error-1. The FindValueDomainsForCode function was called with code ''', $code-to-assess,     ''', codeSystem ''2.16.840.1.113883.6.96'' and codeSystemVersion ''', $v-current-sctau, ''' and returned ''', $value-domain-1, '''.')   else if ($class-error-2) then concat('class-error-2. The SearchForCodesInHierarchyUsingTS function was called with code ''', $code-to-assess,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $first-pass-1, '''.')   else if ($class-error-3) then concat('class-error-3. The SearchForCodesInHierarchyUsingTS function was called with code ''',     if ($value-domain = 'Trade Product Unit of Use (TPUU)') then $code-to-assess else $first-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $second-pass-1, '''.')   else if ($class-error-4) then concat('class-error-4. The SearchForCodesInHierarchyUsingTS function was called with code ''', $second-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $third-pass-1, '''.')   else if ($class-error-5) then concat('class-error-5. The SearchForCodesInHierarchyUsingTS function was called with code ''', $third-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $fourth-pass-1, '''.')   else if ($class-error-6) then concat('class-error-6. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $valid-class-1, '''.')   else if ($class-error-7) then concat('class-error-7. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $fifth-pass, '''.')   else if ($class-error-8) then concat('class-error-8. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $sixth-pass, '''.')   else if ($class-error-9) then concat('class-error-9. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $seventh-pass, '''.')   else if ($class-error-10) then concat('class-error-10. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $eighth-pass, '''.')   else if ($class-error-11) then concat('class-error-11. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $ninth-pass, '''.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $class-tp-error ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$class-tp-error">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An unexpected error occurred during the process to find the trade product name for a medicine.
		Report the information below to the Australian Digital Health Agency for investigation.
		The value domain was '<xsl:text /><xsl:value-of select="$value-domain" /><xsl:text />' and the error variable was class-tp-error.
		The FindValueDomainsForCode function was called with code ''', 
		if ($value-domain = 'Trade Product Unit of Use (TPUU)') then $code-to-assess else $first-pass, 
		''', codeSystem ''2.16.840.1.113883.6.96'' and codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $class-tp-1, '''.')

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-tgi-6) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-tgi-6)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An unexpected problem occurred when assessing the value of the Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. The application of regular expressions resulted in the complete loss of text.
		Report the information below to the Australian Digital Health Agency for investigation.

		der-text-1 '<xsl:text /><xsl:value-of select="normalize-space(dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'))" /><xsl:text />'.
		der-text-2a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-2a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-a, $term-pattern-replacement, 'ic')" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingV-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingV-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An error was reported when accessing the terminology server when assessing the Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		Report the issue to the Australian Digital Health Agency for investigation stating the error was recorded for error-usingV-2.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-9 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-9">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An error was reported when accessing the terminology server when assessing the Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term:
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The analysis should be retried as the terminology server may have been temporarily unavailable.
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'error-usingTS-1' else if ($error-usingTS-2-a) then 'error-usingTS-2-a'   else if ($error-usingTS-2-b) then 'error-usingTS-2-b' else if ($error-usingTS-2-c) then 'error-usingTS-2-c'   else if ($error-usingTS-2) then 'error-usingTS-2'   else if ($error-usingTS-3) then 'error-usingTS-3' else if ($error-usingTS-4) then 'error-usingTS-4'   else if ($error-usingTS-5) then 'error-usingTS-5' else if ($error-usingTS-6) then 'error-usingTS-6'   else if ($error-usingTS-7) then 'error-usingTS-7' else if ($error-usingTS-8) then 'error-usingTS-8'   else 'error-usingTS-9' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or      $valid-tgi-6 or $invalid-tgi) and not($a-vaccine and not(false())) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi) and not($a-vaccine and not(false()))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify a vaccine administered or reported to be         administered during the event. The text must include the name of the medication (brand name or generic name equivalent), strength and dose         form, where appropriate. (See sections 2.24 and 9.5 of the Event Summary Structured Content Specification v1.2.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Administered Immunisation (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi) and    not($a-vaccine and false()) and not($obsolete-warning) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi) and not($a-vaccine and false()) and not($obsolete-warning)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the value does not seem to be applicable for the data element.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify a vaccine administered or reported to be         administered during the event. The text must include the name of the medication (brand name or generic name equivalent), strength and dose         form, where appropriate. (See sections 2.24 and 9.5 of the Event Summary Structured Content Specification v1.2.)')" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $obsolete-warning ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$obsolete-warning">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the name may not be applicable for the data element.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> and the
		<xsl:text /><xsl:value-of select="if ($display-obsolete-date != '') then concat('name of the therapeutic good was last used ', $display-obsolete-date)   else if ($obsolete-tgi-info/@name) then concat('therapeutic good ''', $obsolete-tgi-info/@name, ''' was last available ', $display-obsolete-date)    else if ($obsolete-without-date) then 'name of the therapeutic good is no longer used ' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($obsolete-tgi-info/@reason) then concat(' because ', $obsolete-tgi-info/@reason, '.') else '.' " /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify a vaccine administered or reported to be         administered during the event. The text must include the name of the medication (brand name or generic name equivalent), strength and dose         form, where appropriate. (See sections 2.24 and 9.5 of the Event Summary Structured Content Specification v1.2.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		<xsl:text /><xsl:value-of select="$creation-date-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $obsolete-error ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$obsolete-error">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the name is not applicable for the data element.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> and the
		<xsl:text /><xsl:value-of select="if ($display-obsolete-date != '') then concat('name of the therapeutic good was last used ', $display-obsolete-date)   else if ($obsolete-tgi-info/@name) then concat('therapeutic good ''', $obsolete-tgi-info/@name, ''' was last available ', $display-obsolete-date)    else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($obsolete-tgi-info/@reason) then concat(' because ', $obsolete-tgi-info/@reason, '.') else '.' " /><xsl:text />
		That was <xsl:text /><xsl:value-of select="if (contains(string($obsolete-yrs-ago), '.')) then substring-before(string($obsolete-yrs-ago), '.') else $obsolete-yrs-ago " /><xsl:text /> years before the
		<xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify a vaccine administered or reported to be         administered during the event. The text must include the name of the medication (brand name or generic name equivalent), strength and dose         form, where appropriate. (See sections 2.24 and 9.5 of the Event Summary Structured Content Specification v1.2.)'))" /><xsl:text /><xsl:text /><xsl:value-of select="$creation-date-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the data element does not have a proper value. <xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify a vaccine administered or reported to be         administered during the event. The text must include the name of the medication (brand name or generic name equivalent), strength and dose         form, where appropriate. (See sections 2.24 and 9.5 of the Event Summary Structured Content Specification v1.2.)'))" /><xsl:text />
		The Therapeutic Good Identification data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify a vaccine administered or reported to be         administered during the event. The text must include the name of the medication (brand name or generic name equivalent), strength and dose         form, where appropriate. (See sections 2.24 and 9.5 of the Event Summary Structured Content Specification v1.2.)'))" /><xsl:text />
		The Therapeutic Good Identification data element must have a value that is consistent with this definition. Alternatively if there is no Therapeutic Good Identification data element with a proper value then an exclusion
		statement must be included to state why there is no Therapeutic Good Identification. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4')    then concat('Text such as ''', dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'), ''' may be permitted in the narrative even though the Therapeutic Good Identification data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the data element does not have a proper value. <xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify a vaccine administered or reported to be         administered during the event. The text must include the name of the medication (brand name or generic name equivalent), strength and dose         form, where appropriate. (See sections 2.24 and 9.5 of the Event Summary Structured Content Specification v1.2.)'))" /><xsl:text />
		The Therapeutic Good Identification data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($der-text-non-value) and $der-invalid-text ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($der-text-non-value) and $der-invalid-text">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />
		however the value is invalid. <xsl:text /><xsl:value-of select="$defn-invalid-rsn" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify a vaccine administered or reported to be         administered during the event. The text must include the name of the medication (brand name or generic name equivalent), strength and dose         form, where appropriate. (See sections 2.24 and 9.5 of the Event Summary Structured Content Specification v1.2.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $a-vaccine and false() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$a-vaccine and false()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />
		which identifies a vaccine. <xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify a vaccine administered or reported to be         administered during the event. The text must include the name of the medication (brand name or generic name equivalent), strength and dose         form, where appropriate. (See sections 2.24 and 9.5 of the Event Summary Structured Content Specification v1.2.)'))" /><xsl:text />
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Administered Immunisation (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $invalid-tgi and not($error-usingTS-9) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$invalid-tgi and not($error-usingTS-9)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
ZZZ
der-text '<xsl:text /><xsl:value-of select="$der-text" /><xsl:text />'
der-revised-text-1 '<xsl:text /><xsl:value-of select="$der-revised-text-1" /><xsl:text />'
der-revised-text-2 '<xsl:text /><xsl:value-of select="$der-revised-text-2" /><xsl:text />'
ZZZ
		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the value is invalid
		<xsl:text /><xsl:value-of select="if (exists($invalid-tgi-codes-h) or exists($invalid-tgi-codes-r)) then concat(' as it describes ',    iq:invalidityExplanationUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, $invalid-tgi-codes-h, $cd-definitions/meds/meds-invalid/hierarchy, $invalid-tgi-codes-r, $cd-definitions/meds/meds-invalid/refset), '.')   else '.' " /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify a vaccine administered or reported to be         administered during the event. The text must include the name of the medication (brand name or generic name equivalent), strength and dose         form, where appropriate. (See sections 2.24 and 9.5 of the Event Summary Structured Content Specification v1.2.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable outside the applicable value domain): The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. The following codes were obtained and are not in the value domain:
		<xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-TGI-Defn): The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU and no associated code was found in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists(($der-NAF-active-codes, $undetermined-NAF-active-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists(($der-NAF-active-codes, $undetermined-NAF-active-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-TGI-Defn): The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-active-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the
		'<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU but it was not found with this status in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.
		<xsl:text /><xsl:value-of select="if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and ($valid-tgi-1 or $a-vaccine-2 or (not($valid-tgi-5) and $valid-tgi-6))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and ($valid-tgi-1 or $a-vaccine-2 or (not($valid-tgi-5) and $valid-tgi-6))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable within the value domain): The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> which matches
		<xsl:text /><xsl:value-of select="if ($a-vaccine-1) then 'one of the terms listed in Knowledge.xml' else 'the vaccine information in CodeSystems.xml' " /><xsl:text /> for the Therapeutic Good Identification.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(exists($valid-class)) and $class-not-completed and not($class-tp-error or $class-error-10) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(exists($valid-class)) and $class-not-completed and not($class-tp-error or $class-error-10)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. <xsl:text /><xsl:value-of select="if ($code-to-assess = '') then 'No code could be found for the medicine.'    else if ($value-domain = '') then concat('The code ''', $code-to-assess, ''' was found to apply to the medicine by applying the terminology server using the ''', $ts-current-sctau,   ''' version of SNOMED CT-AU but the code was not found in the Validator''s database using the ''', $v-current-sctau, ''' version of SNOMED CT-AU.',   if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '')   else concat('This is a ', $value-domain,    if ($value-domain = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)')) then    concat(' (with medicinal product ''', $third-pass, ''').')    else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)'))    then concat(' (with trade product ''', $class-tp, ''').')    else '.') " /><xsl:text /> The classification of this medicine could not be completed.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists($valid-class) and not($class-tp-error or $class-error-11) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists($valid-class) and not($class-tp-error or $class-error-11)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This <xsl:text /><xsl:value-of select="if (not($value-domain = ('Containered Trade Product Pack (CTPP)',    'Trade Product Pack (TPP)', 'Trade Product (TP)', 'Trade Product Unit of Use (TPUU)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Medicinal Product (MP)')))    then '' else concat('is a ', $value-domain, ' which')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($value-domain = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)')) then concat(' (with medicinal product ''', $third-pass, ''') which')   else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)'))    then concat(' (with trade product ''', $class-tp, ''') which') else '' " /><xsl:text />
		identifies a type of <xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($valid-class, ' and '), $markup-pattern-replacement, 'ic')" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (concept is codeable within the value domain): The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> which is a valid value for the Therapeutic Good Identification.
		SNOMED CT-AU codes that matched the concept are: <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The text used to match regular expression (der-text-2) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to match non-values and vaccines (der-text-to-match) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-to-match, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to derive a code (der-text) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.

		<xsl:text /><xsl:value-of select="if ($use-revised-text-1) then concat(' A first revision of the text (der-revised-text-1) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-1, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A first revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-1 != '' and $der-revised-text-1 = '') then ' revision-pattern-1 was applied but the output (der-revised-text-1) was an empty string.' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($use-revised-text-2) then concat(' A second revision of the text (der-revised-text-2) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A second revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-2 != '' and $der-revised-text-2 = '') then ' revision-pattern-2 was applied but the output (der-revised-text-2) was an empty string.' else '' " /><xsl:text />

		The SNOMED CT-AU version used to find codes is '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' and the maximum code number is '<xsl:text /><xsl:value-of select="$max-code-number" /><xsl:text />'.

		Codes for related terms (related-terms-2): '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($related-terms-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes for related terms (der-valid-codes-1): 
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-1, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-tgi-codes-2) returned by the terminology server that match the text:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-tgi-codes-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes from related terms or the terminology server (der-valid-codes-2):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-2, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-inactive-codes-3) returned from the Validator's database associated with inactive codes:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-inactive-codes-3, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes found after examining inactive codes (der-valid-codes-3):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-3, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Members of invalid reference sets (invalid-tgi-codes-r): '<xsl:text /><xsl:value-of select="$display-in-other-r" /><xsl:text />'.
		Members of invalid code hierarchies (invalid-tgi-codes-h): '<xsl:text /><xsl:value-of select="$display-in-other-h" /><xsl:text />'.

		Final set of valid codes (der-valid-codes-4): <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.
		
		Codes whose validity has not been determined (der-tgi-codes-5): <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.
		Codes whose validity has not been determined and are inactive with no associated code (undetermined-NAF): '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(    string-join($undetermined-NAF, ''', '''), $markup-pattern-replacement, 'ic')" /><xsl:text />'.

		Result of the second vaccination code test (a-vaccine-2): '<xsl:text /><xsl:value-of select="$a-vaccine-2" /><xsl:text />'.
		Vaccine codes (vaccine-code-test):  '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($vaccine-code-test, '; '), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Overall result of the vaccination test (a-vaccine): '<xsl:text /><xsl:value-of select="$a-vaccine" /><xsl:text />'.

		Will the value of the data element be trusted (der-trusted-text)? '<xsl:text /><xsl:value-of select="$der-trusted-text" /><xsl:text />'.
		
	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and $codes-not-found">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept not codeable): The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($avoid-ts) then 'The terminology server was not used to assist with finding codes corresponding to text in the data element. ' else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $prose-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $prose-err">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> which is invalid as it is prose text.
		The Therapeutic Good Identification data element is CodeableText derived from the HL7 CD data type which by definition is to record a concept defined in an external code system, terminology or ontology.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify a vaccine administered or reported to be         administered during the event. The text must include the name of the medication (brand name or generic name equivalent), strength and dose         form, where appropriate. (See sections 2.24 and 9.5 of the Event Summary Structured Content Specification v1.2.)'))" /><xsl:text />
		This finding will also be reported as an error.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M456" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M456" />
  <xsl:template match="@*|node()" priority="-2" mode="M456">
    <xsl:apply-templates select="@*|*" mode="M456" />
  </xsl:template>
  <!--PATTERN p-TS-Immun-CodeableText-10-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '101.16638' = $doc-sections][not(cda:templateId[         (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or         (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3'))])]/         cda:component/cda:structuredBody/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16638']]/cda:entry/         cda:substanceAdministration/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code         [@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " priority="1000" mode="M457">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '101.16638' = $doc-sections][not(cda:templateId[         (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or         (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3'))])]/         cda:component/cda:structuredBody/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16638']]/cda:entry/         cda:substanceAdministration/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code         [@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="pnullFlavor" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @nullFlavor) then @nullFlavor else '' " />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-p-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then false()        else if ($psnomed-id = 'amtv3' and @codeSystemVersion) then exists($v-amtv3[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($psnomed-id = 'snomedctau' and @codeSystemVersion) then exists($v-snomedctau[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false() " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and $pcode != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used to assess the primary code.') " />
    <xsl:variable name="pcode-refsets-1" select="if (@codeSystem = '2.16.840.1.113883.6.96' and not($pcode = ''))         then dh:FindValueDomainsForCode($pcode, '2.16.840.1.113883.6.96', $v-psnomed-version) else 'no-code' " />
    <xsl:variable name="pcode-found" select="not($pcode-refsets-1 = 'no-code' or $pcode-refsets-1 = 'CodeNotFound' or $pcode-refsets-1 = 'Error'        or contains($pcode-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="pcode-refsets" select="if ($pcode-found) then distinct-values(tokenize($pcode-refsets-1, '\|')) else () " />
    <xsl:variable name="pcode-special-proc" select="count($pcode-refsets) = 1 and 'Procedure Foundation (PF)' = $pcode-refsets and not($pnullFlavor = 'OTH') " />
    <xsl:variable name="pcode-refsets-msg" select="if (count($pcode-refsets) = 0) then ''         else if (count($pcode-refsets) = 1) then concat('The code is a member of the ', $pcode-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($pcode-refsets, ', '), '.') " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))         else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-1" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="snomed-trans-2" select="distinct-values(for $i in (1 to count($snomed-trans-1)) return $snomed-trans-1[$i]/@code) " />
    <xsl:variable name="snomed-trans-a" select="$snomed-trans-1[1] " />
    <xsl:variable name="tcode-a" select="if (exists($snomed-trans-a) and matches($snomed-trans-a/@code, $snomed-code-regex)) then $snomed-trans-a/@code else '' " />
    <xsl:variable name="tnullFlavor-a" select="if (exists($snomed-trans-a) and $snomed-trans-a/@nullFlavor) then $snomed-trans-a/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-a" select="if (not(exists($snomed-trans-a))) then 'not-snomed'        else if (not($snomed-trans-a/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-a/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-a" select="if (not(exists($snomed-trans-a))) then ''        else if ($tsnomed-id-a = 'amtv3' and exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-a = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-a/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-a" select="if (not(exists($snomed-trans-a))) then false()        else if ($tsnomed-id-a = 'amtv3' and $snomed-trans-a/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-a = 'snomedctau' and $snomed-trans-a/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-a-msg" select="if (not(exists($snomed-trans-a))) then ''        else if (not($snomed-trans-a/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-a, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-a = 'amtv3') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-a = 'snomedctau') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-a/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-a, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-a/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-a-refsets-1" select="if (exists($snomed-trans-a) and not($tcode-a = ''))         then dh:FindValueDomainsForCode($tcode-a, '2.16.840.1.113883.6.96', $v-tsnomed-version-a) else 'no-code' " />
    <xsl:variable name="tcode-a-found" select="not($tcode-a-refsets-1 = 'no-code' or $tcode-a-refsets-1 = 'CodeNotFound' or $tcode-a-refsets-1 = 'Error'         or contains($tcode-a-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-a-refsets" select="if ($tcode-a-found) then distinct-values(tokenize($tcode-a-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-a-special-proc" select="count($tcode-a-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-a-refsets and not($tnullFlavor-a = 'OTH') " />
    <xsl:variable name="tcode-a-refsets-msg" select="if (count($tcode-a-refsets) = 0) then ''         else if (count($tcode-a-refsets) = 1) then concat('The code is a member of the ', $tcode-a-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-a-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@code and $snomed-trans-a/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-a/@displayName, codepoints-to-string(34))         else if ($snomed-trans-a/@code and not($snomed-trans-a/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@codeSystem and $snomed-trans-a/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-a/@codeSystemName, ')')         else if ($snomed-trans-a/@codeSystem and not($snomed-trans-a/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-b" select="(for $i in (2 to count($snomed-trans-1)) return if ($snomed-trans-1[$i]/@code != $snomed-trans-a/@code) then $snomed-trans-1[$i] else ())[1] " />
    <xsl:variable name="tcode-b" select="if (exists($snomed-trans-b) and matches($snomed-trans-b/@code, $snomed-code-regex)) then $snomed-trans-b/@code else '' " />
    <xsl:variable name="tnullFlavor-b" select="if (exists($snomed-trans-b) and $snomed-trans-b/@nullFlavor) then $snomed-trans-b/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-b" select="if (not(exists($snomed-trans-b))) then 'not-snomed'        else if (not($snomed-trans-b/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-b/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-b" select="if (not(exists($snomed-trans-b))) then ''        else if ($tsnomed-id-b = 'amtv3' and exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-b = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-b/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-b" select="if (not(exists($snomed-trans-b))) then false()        else if ($tsnomed-id-b = 'amtv3' and $snomed-trans-b/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-b = 'snomedctau' and $snomed-trans-b/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-b-msg" select="if (not(exists($snomed-trans-b))) then ''        else if (not($snomed-trans-b/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-b, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-b = 'amtv3') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-b = 'snomedctau') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-b/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-b, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-b/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-b-refsets-1" select="if (exists($snomed-trans-b) and not($tcode-b = ''))         then dh:FindValueDomainsForCode($tcode-b, '2.16.840.1.113883.6.96', $v-tsnomed-version-b) else 'no-code' " />
    <xsl:variable name="tcode-b-found" select="not($tcode-b-refsets-1 = 'no-code' or $tcode-b-refsets-1 = 'CodeNotFound' or $tcode-b-refsets-1 = 'Error'         or contains($tcode-b-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-b-refsets" select="if ($tcode-b-found) then distinct-values(tokenize($tcode-b-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-b-special-proc" select="count($tcode-b-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-b-refsets and not($tnullFlavor-b = 'OTH') " />
    <xsl:variable name="tcode-b-refsets-msg" select="if (count($tcode-b-refsets) = 0) then ''         else if (count($tcode-b-refsets) = 1) then concat('The code is a member of the ', $tcode-b-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-b-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@code and $snomed-trans-b/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-b/@displayName, codepoints-to-string(34))         else if ($snomed-trans-b/@code and not($snomed-trans-b/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@codeSystem and $snomed-trans-b/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-b/@codeSystemName, ')')         else if ($snomed-trans-b/@codeSystem and not($snomed-trans-b/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-60" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-60 else $rating-alt-TC-Types-60 " />
    <!--REPORT -->
    <xsl:if test=" $pcode-found and $pcode-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pcode-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD (p-TS-CD-SCT-RefSet): An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$pcode" /><xsl:text />',
		codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-psnomed-version" /><xsl:text />'. This error occurred when assessing the Therapeutic Good Identification data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. The value is not valid for the data element as it describes a medical
		procedure and not a medical problem or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify a vaccine administered to the consumer. The text         must include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the code is not a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Administered Immunisation (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Administered Immunisation (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Administered Immunisation (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. Confirm if the code is a member of the value domain.
		If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Administered Immunisation (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="count($snomed-trans-1)" /><xsl:text /> translation elements with
		codes and the SNOMED CT-AU codeSystem '2.16.840.1.113883.6.96'. The first two translation elements have been assessed to determine if the codes are members of the value domain
		and the others have not been assessed. Confirm if the value of the code attribute in all SNOMED CT translation elements meets the requirement that it be a member of the value domain
		if there is no nullFlavor 'OTH' or that there is a nullFlavor 'OTH' if the value of the code attribute is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text /> 
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Administered Immunisation (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-a" /><xsl:text />'. This error occurred when assessing the Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify a vaccine administered to the consumer. The text         must include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Administered Immunisation (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Administered Immunisation (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Administered Immunisation (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Administered Immunisation (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-b" /><xsl:text />'. This error occurred when assessing the Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> 
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify a vaccine administered to the consumer. The text         must include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Administered Immunisation (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Administered Immunisation (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Administered Immunisation (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Administered Immunisation (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M457" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M457" />
  <xsl:template match="@*|node()" priority="-2" mode="M457">
    <xsl:apply-templates select="@*|*" mode="M457" />
  </xsl:template>
  <!--PATTERN p-TS-Immun-CodeableText-11-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '101.16638' = $doc-sections][not(cda:templateId[         (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or         (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3'))])]/         cda:component/cda:structuredBody/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16638']]/cda:entry/         cda:substanceAdministration/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code         [(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-immun-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])][not(@nullFlavor = $no-value-NF)] " priority="1000" mode="M458">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '101.16638' = $doc-sections][not(cda:templateId[         (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or         (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3'))])]/         cda:component/cda:structuredBody/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16638']]/cda:entry/         cda:substanceAdministration/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code         [(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-immun-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])][not(@nullFlavor = $no-value-NF)] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="snomed-trans" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="tcode" select="if (exists($snomed-trans[1]) and matches($snomed-trans[1]/@code, $snomed-code-regex)) then $snomed-trans[1]/@code else '' " />
    <xsl:variable name="code-present" select="$pcode != '' or $tcode != '' " />
    <xsl:variable name="invalid-code-system" select="@code and @displayName and @codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="codesystemvalues" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']" />
    <xsl:variable name="otext-without-markup" select="if (cda:originalText and cda:originalText != '') then normalize-space(replace(cda:originalText, $markup-regex, ' ')) else '' " />
    <xsl:variable name="pdname" select="if (@displayName and not($invalid-code-system)) then normalize-space(@displayName) else '' " />
    <xsl:variable name="is-immun" select="exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='101.16638' or @code = '101.16658' or @code = '101.17039')]]) " />
    <xsl:variable name="is-pd" select="exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code = '102.16210' or @code='102.16211' or @code='101.16795')]]) " />
    <xsl:variable name="is-shs-meds" select="$templateId-root = '1.2.36.1.2001.1001.101.100.1002.120' and          exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]) " />
    <xsl:variable name="is-meds" select="exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code = '101.16146.4.1.1' or @code = '101.16146.4.1.2' or @code='101.16146')]]) " />
    <xsl:variable name="max-code-number" select="if ($knowledge/search-for-term/max-sct-code-number/@value &gt; '5') then $knowledge/search-for-term/max-sct-code-number/@value else '5' " />
    <xsl:variable name="der-text-1" select="if ($code-present) then ''         else if ($otext-without-markup != '') then $otext-without-markup        else if ($pdname != '') then $pdname        else '' " />
    <xsl:variable name="family-err" select="matches($der-text-1, $family-regex, 'is')" />
    <xsl:variable name="der-truncated-text-1" select="normalize-space(replace(replace($der-text-1, $unicode-br-truncation-regex, '$1', 'is'), $tgi-truncation-regex, '$1', 'is')) " />
    <xsl:variable name="length-err" select="string-length($der-truncated-text-1) &gt; $length-err-max" />
    <xsl:variable name="prose-err-1" select="$length-err and cda:originalText and (        matches(cda:originalText, $ulist-regex)           or         matches(cda:originalText, $alt-ulist-1a-regex, 'is')         or         matches(cda:originalText, $alt-ulist-1b-regex, 'is')         )" />
    <xsl:variable name="prose-err" select="$prose-err-1 or (cda:originalText and (         matches(cda:originalText, $alt-ulist-2-regex, 'is')         or        matches(cda:originalText, $olist-arabic-regex, 'is')         or         matches(cda:originalText, $olist-alpha-regex, 'is')         or         matches(cda:originalText, $olist-roman-regex, 'is')         or        matches(replace(cda:originalText, $new-line-regex, codepoints-to-string((10)), 'is'), $para-regex, 'is') or        matches(cda:originalText, codepoints-to-string((8233)), 'is')        or               (cda:originalText and matches(cda:originalText, $invalid-concept-regex, 'is'))     or        ($length-err and matches(cda:originalText, '\.\s*$', 's') and matches(cda:originalText, $multi-sentence-regex, 's')) ))" />
    <xsl:variable name="avoid-ts" select="$family-err or $length-err or $prose-err or not($use-ts-for-sctau) " />
    <xsl:variable name="der-text-2a" select="if ($der-truncated-text-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-truncated-text-1, $tgi-fir-pattern-replacement, 'ic')) " />
    <xsl:variable name="der-text-2" select="if ($der-text-2a = '') then $der-text-1 else $der-text-2a " />
    <xsl:variable name="der-text-a" select="if ($der-text-2 = '' or $tgi-regex = '') then $der-text-2 else normalize-space(dh:XQueryRecursiveReplace($der-text-2, $tgi-regex, 'ic')) " />
    <xsl:variable name="der-text" select="if ($der-text-a = '') then $der-text-2 else $der-text-a " />
    <xsl:variable name="defn-valid-regex" select="concat('(^|\|)', translate($der-text-2, $chars-to-remove, ''), '(\||$)') " />
    <xsl:variable name="der-text-to-match-1" select="lower-case($der-text-2) " />
    <xsl:variable name="der-text-to-match" select="translate($der-text-to-match-1, $chars-to-remove, '') " />
    <xsl:variable name="tgi-non-value-regex" select="if ($is-immun)          then $cd-definitions/immun/@non-value-regex         else if ($is-pd)       then $cd-definitions/pd/@non-value-regex        else if ($is-shs-meds) then $cd-definitions/shs-meds/@non-value-regex        else if ($is-meds)     then $cd-definitions/meds/@non-value-regex        else '' " />
    <xsl:variable name="der-text-non-value" select="if ($code-present or @nullFlavor = $no-value-NF) then false() else         $der-text-to-match = ''             or         not(matches($der-text-to-match-1, '[a-z]', 'is'))         or        ($cd-definitions/non-value/@regex != '' and matches($der-text-to-match-1, $cd-definitions/non-value/@regex, 'is')) or        ($tgi-non-value-regex != '' and matches($der-text-to-match-1, $tgi-non-value-regex, 'is'))    " />
    <xsl:variable name="tgi-invalid-regex" select="if ($is-immun)          then $cd-definitions/immun/@invalid-regex         else if ($is-pd)       then $cd-definitions/pd/@invalid-regex        else if ($is-shs-meds) then $cd-definitions/shs-meds/@invalid-regex        else if ($is-meds)     then $cd-definitions/meds/@invalid-regex        else '' " />
    <xsl:variable name="defn-invalid-regex" select="if ($code-present or $der-text-non-value) then ()        else if ($tgi-invalid-regex != '') then tokenize($tgi-invalid-regex, '~')[. != '']         else () " />
    <xsl:variable name="defn-invalid-txt-regex" select="(for $i in (1 to count($defn-invalid-regex)) return normalize-space(substring-before($defn-invalid-regex[$i], '[[')))[. != '']" />
    <xsl:variable name="der-invalid-text-regex-1" select="if (exists($defn-invalid-txt-regex))        then index-of(for $i in (1 to count($defn-invalid-txt-regex)) return matches($der-text-2, $defn-invalid-txt-regex[$i], 'is'), true())        else () " />
    <xsl:variable name="der-invalid-text" select="exists($der-invalid-text-regex-1) " />
    <xsl:variable name="defn-invalid-rsn" select="if ($der-invalid-text)         then normalize-space(substring-before(substring-after($defn-invalid-regex[$der-invalid-text-regex-1[1]], '[['), ']]'))         else '' " />
    <xsl:variable name="trusted-code-systems" select="if ($der-text = '' or $der-invalid-text or not(@codeSystem or cda:translation/@codeSystem)) then ()        else if ($is-immun)          then (tokenize(replace($cd-definitions/immun/@core, '\s+', ''), '\|'),           tokenize(replace($cd-definitions/immun/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-pd)          then (tokenize(replace($cd-definitions/pd/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/pd/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-shs-meds)          then (tokenize(replace($cd-definitions/shs-meds/@core, '\s+', ''), '\|'),          tokenize(replace($cd-definitions/shs-meds/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-meds)          then (tokenize(replace($cd-definitions/meds/@core, '\s+', ''), '\|'),           tokenize(replace($cd-definitions/meds/@extra, '\s+', ''), '\|'))[. != '']         else () " />
    <xsl:variable name="der-trusted-text" select="if ($der-text = '' or $der-invalid-text or (@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex)))) then false()        else ((@codeSystem and exists($trusted-code-systems[. = current()/@codeSystem])) or               (cda:translation/@codeSystem and exists($trusted-code-systems[. = current()/cda:translation/@codeSystem]))) " />
    <xsl:variable name="a-vaccine-1" select="not($code-present or $der-text-non-value or $der-invalid-text) and exists($vaccine-text-normalised) and $der-text-to-match = $vaccine-text-normalised" />
    <xsl:variable name="a-sas-tgi-1" select="not($code-present or $der-text-non-value or $der-invalid-text or $a-vaccine-1) and $tgi-sas-regex != '' and matches($der-text, $tgi-sas-regex, 'is')" />
    <xsl:variable name="an-uncoded-tgi-1" select="not($code-present or $der-text-non-value or $der-invalid-text or $a-vaccine-1 or $a-sas-tgi-1) and $tgi-otheru-regex != '' and         matches($der-text, $tgi-otheru-regex, 'is')" />
    <xsl:variable name="obsolete-tgi-info-1" select="if ($is-immun or $code-present or $der-text-non-value or $der-invalid-text or $a-vaccine-1 or $a-sas-tgi-1 or $an-uncoded-tgi-1 or         not(exists($knowledge/special-tgi/obsolete))) then ()        else $knowledge/special-tgi/obsolete[matches($der-text, concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')] " />
    <xsl:variable name="an-obsolete-tgi-1" select="exists($obsolete-tgi-info-1)" />
    <xsl:variable name="tgi-valid-regex-1" select="if ($code-present or $der-text-non-value or $der-invalid-text or $der-text = '' or $a-vaccine-1 or $a-sas-tgi-1 or $an-uncoded-tgi-1 or          $an-obsolete-tgi-1) then ''        else if ($is-immun)    then $cd-definitions/immun/@valid-regex        else if ($is-pd)       then $cd-definitions/pd/@valid-regex        else if ($is-shs-meds) then $cd-definitions/shs-meds/@valid-regex        else if ($is-meds)     then $cd-definitions/meds/@valid-regex        else '' " />
    <xsl:variable name="valid-tgi-1" select="if ($a-vaccine-1 or $a-sas-tgi-1 or $an-uncoded-tgi-1 or $an-obsolete-tgi-1) then true()         else if ($tgi-valid-regex-1 = '') then false()        else exists(index-of(for $regex in (tokenize($tgi-valid-regex-1, '~')[. != '']) return          matches($der-text-2, dh:XQueryRecursiveReplace(normalize-space($regex), ' \|~|~\| ~|', ''), 'is'), true())) " />
    <xsl:variable name="invalid-hierarchy-1" select="if (exists($cd-definitions/meds/meds-invalid/hierarchy))         then string-join(for $hierarchy in $cd-definitions/meds/meds-invalid/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-refset" select="if (exists($cd-definitions/meds/meds-invalid/refset))          then string-join(for $refset in $cd-definitions/meds/meds-invalid/refset return concat('^', $refset/@code), ' OR ')         else '' " />
    <xsl:variable name="valid-refset" select="concat($tgi-formula, ' OR &lt;763158003') " />
    <xsl:variable name="valid-domain" select="if ($invalid-refset != '' and $invalid-hierarchy-1 != '')         then concat('((', $valid-refset, ') MINUS (', $invalid-refset, ' OR (', $invalid-hierarchy-1, ')))')        else if ($invalid-refset = '' and $invalid-hierarchy-1 != '') then concat('((', $valid-refset, ') MINUS (', $invalid-hierarchy-1, '))')         else if ($invalid-refset != '' and $invalid-hierarchy-1 = '') then concat('((', $valid-refset, ') MINUS (', $invalid-refset, '))')        else concat('(', $valid-refset, ')') " />
    <xsl:variable name="related-terms-1" select="if ($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-1) then ()        else ($codesystemvalues/code[@related-terms], $codesystemvalues/related-terms[@related-terms]) " />
    <xsl:variable name="related-terms-2" select="for $i in index-of(        for $concept in $related-terms-1 return matches(translate($concept/@related-terms, $chars-no-pipe, ''), $defn-valid-regex, 'is'), true())         return $related-terms-1[$i]/@code " />
    <xsl:variable name="der-tgi-codes-1" select="if (exists($related-terms-2)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($related-terms-2, ' OR '), ') AND ', $valid-domain), '', string(count($related-terms-2)), false())        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $der-tgi-codes-1 " />
    <xsl:variable name="der-valid-codes-1" select="if (contains($der-tgi-codes-1, '[')) then $der-tgi-codes-1 else '' " />
    <xsl:variable name="valid-tgi-2" select="$valid-tgi-1 or $der-valid-codes-1 != '' " />
    <xsl:variable name="tgi-inactive-refSets" select="if (exists($cd-definitions/tgi/tgi-invalid/inactive-refset))         then concat('((', $inactive-refSets, ') MINUS (',           string-join(for $refset in $cd-definitions/tgi/tgi-invalid/inactive-refset return concat('^', $refset/@code), ' OR '),          '))')         else $inactive-refSets " />
    <xsl:variable name="formula" select="concat($valid-domain, ' OR ', $tgi-inactive-refSets) " />
    <xsl:variable name="ts-not-needed" select="$der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-2 or $avoid-ts " />
    <xsl:variable name="der-tgi-codes-2-a" select="if ($ts-not-needed or exists($related-terms-2)) then ()         else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-text,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2-a" select="$error-usingTS-1 or 'Error' = $der-tgi-codes-2-a " />
    <xsl:variable name="revision-pattern-1" select="if ($ts-not-needed or $valid-tgi-2 or exists($der-tgi-codes-2-a) or $error-usingTS-2-a or exists($related-terms-2)) then ''        else $tgi-sec-pattern-replacement " />
    <xsl:variable name="der-revised-text-1" select="if ($revision-pattern-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-text, $revision-pattern-1, 'ic')) " />
    <xsl:variable name="use-revised-text-1" select="$der-revised-text-1 != '' and $der-revised-text-1 != $der-text " />
    <xsl:variable name="obsolete-tgi-info-2" select="if (exists($der-tgi-codes-2-a)) then ()        else if ($an-obsolete-tgi-1) then $obsolete-tgi-info-1        else if ($use-revised-text-1) then $knowledge/special-tgi/obsolete[matches($der-revised-text-1, concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')]        else () " />
    <xsl:variable name="an-obsolete-tgi-2" select="exists($obsolete-tgi-info-2)" />
    <xsl:variable name="der-tgi-codes-2-b" select="if ($an-obsolete-tgi-2) then ()        else if ($ts-not-needed or exists($der-tgi-codes-2-a) or not($use-revised-text-1)) then $der-tgi-codes-2-a         else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-1,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2-b" select="$error-usingTS-2-a or 'Error' = $der-tgi-codes-2-b " />
    <xsl:variable name="revision-pattern-2" select="if ($ts-not-needed or $valid-tgi-2 or exists($der-tgi-codes-2-b) or $error-usingTS-2-b or exists($related-terms-2)) then ''        else $tgi-thi-pattern-replacement " />
    <xsl:variable name="der-revised-text-2" select="if ($revision-pattern-2 = '') then '' else normalize-space(dh:XQueryRecursiveReplace(         if ($use-revised-text-1) then $der-revised-text-1 else $der-text, $revision-pattern-2, 'ic')) " />
    <xsl:variable name="use-revised-text-2" select="if ($use-revised-text-1) then $der-revised-text-2 != '' and $der-revised-text-2 != $der-revised-text-1         else $der-revised-text-2 != '' and $der-revised-text-2 != $der-text " />
    <xsl:variable name="obsolete-tgi-info-3" select="if (exists($der-tgi-codes-2-b)) then ()        else if ($an-obsolete-tgi-2) then $obsolete-tgi-info-2        else if ($use-revised-text-2) then $knowledge/special-tgi/obsolete[matches($der-revised-text-2, concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')]        else () " />
    <xsl:variable name="an-obsolete-tgi-3" select="exists($obsolete-tgi-info-3)" />
    <xsl:variable name="der-tgi-codes-2-c" select="if ($an-obsolete-tgi-3) then ()        else if ($ts-not-needed or exists($der-tgi-codes-2-b) or not($use-revised-text-2)) then $der-tgi-codes-2-b        else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-2,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2-c" select="$error-usingTS-2-b or 'Error' = $der-tgi-codes-2-c " />
    <xsl:variable name="der-tgi-codes-2-d" select="if ($an-obsolete-tgi-3 or $ts-not-needed or exists($der-tgi-codes-2-c)) then $der-tgi-codes-2-c        else iq:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula,          if ($der-revised-text-2 != '') then $der-revised-text-2          else if ($der-revised-text-1 != '') then $der-revised-text-1          else $der-text, 'default') " />
    <xsl:variable name="error-usingTS-2-d" select="$error-usingTS-2-c or 'Error' = $der-tgi-codes-2-d " />
    <xsl:variable name="der-tgi-codes-2" select="$der-tgi-codes-2-d " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-2-d " />
    <xsl:variable name="der-valid-codes-2" select="if ($der-valid-codes-1 != '') then $der-valid-codes-1        else if ($error-usingTS-2) then ''         else string-join((for $code in $der-tgi-codes-2 return if (contains($code, '~inactive')) then '' else $code)[. != ''], '|')  " />
    <xsl:variable name="valid-tgi-3" select="$valid-tgi-2 or $der-valid-codes-2 != '' " />
    <xsl:variable name="der-inactive-codes-1" select="if ($valid-tgi-3) then () else        for $code in $der-tgi-codes-2 return if (contains($code, '~inactive')) then replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is') else '' " />
    <xsl:variable name="der-inactive-codes-2" select="for $i in (1 to count($der-inactive-codes-1)) return         dh:IsCodeAssociatedWithAnotherCode($der-inactive-codes-1[$i], '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-1" select="'Error' = $der-inactive-codes-2 " />
    <xsl:variable name="der-NAF-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-NAF-active-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound~active')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-inactive-codes-3" select="tokenize(string-join(for $i in (1 to count($der-inactive-codes-1)) return replace(string-join(tokenize($der-inactive-codes-2[$i], '\|')        [matches(., '(REPLACED BY|SAME AS|ALTERNATIVE|POSSIBLY EQUIVALENT TO|MAY BE A|WAS A)')], '|'), '[0-9]+~[A-Z ]+~([0-9]+)', '$1'), '|'), '\|')        [. != ''] " />
    <xsl:variable name="der-tgi-codes-3" select="if (exists($der-inactive-codes-3)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($der-inactive-codes-3, ' OR '), ') AND ', $valid-domain), '', string(count($der-inactive-codes-3)), false())          else '' " />
    <xsl:variable name="error-usingTS-3" select="$error-usingTS-2 or 'Error' = $der-tgi-codes-3 " />
    <xsl:variable name="der-valid-codes-3" select="if ($der-valid-codes-2 != '') then $der-valid-codes-2        else if (contains($der-tgi-codes-3, '[')) then $der-tgi-codes-3        else '' " />
    <xsl:variable name="valid-tgi-4" select="$valid-tgi-3 or $der-valid-codes-3 != '' " />
    <xsl:variable name="tbd-hierarchy" select="if (exists($cd-definitions/meds/meds-tbd/hierarchy))         then string-join(for $hierarchy in $cd-definitions/meds/meds-tbd/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-hierarchy" select="if ($invalid-hierarchy-1 != '' and $tbd-hierarchy != '') then concat($invalid-hierarchy-1, ' OR ', $tbd-hierarchy)        else if ($invalid-hierarchy-1 != '') then $invalid-hierarchy-1        else if ($tbd-hierarchy != '') then $tbd-hierarchy        else '' " />
    <xsl:variable name="invalid-domain" select="if ($invalid-hierarchy != '' and $invalid-refset != '') then concat($invalid-hierarchy, ' OR ', $invalid-refset)        else if ($invalid-hierarchy != '') then $invalid-hierarchy        else if ($invalid-refset != '') then $invalid-refset        else '' " />
    <xsl:variable name="filter-text" select="if ($use-revised-text-2) then $der-revised-text-2 else if ($use-revised-text-1) then $der-revised-text-1 else $der-text " />
    <xsl:variable name="der-tgi-codes-4" select="if ($ts-not-needed or $valid-tgi-4 or $invalid-domain = '') then ()        else if (exists($related-terms-2)) then $related-terms-2        else distinct-values((tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          $invalid-domain, $filter-text, $max-code-number, false()), '(\[.*?\])(\||$)', '$2'), '\|'), $der-inactive-codes-3)) " />
    <xsl:variable name="error-usingTS-4" select="$error-usingTS-3 or 'Error' = $der-tgi-codes-4 " />
    <xsl:variable name="invalid-tgi-codes-r" select="if ($ts-not-needed or $valid-tgi-4 or $error-usingTS-4 or not(exists($der-tgi-codes-4))) then ()        else if ($invalid-refset = '') then tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-tgi-codes-4, ' OR '), ') AND (', $inactive-refSets, ')'), '',           string(count($der-tgi-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')        else tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-tgi-codes-4, ' OR '), ') AND (', $invalid-refset, ' OR ', $inactive-refSets, ')'), '',           string(count($der-tgi-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')  " />
    <xsl:variable name="error-usingTS-5" select="$error-usingTS-4 or 'Error' = $invalid-tgi-codes-r " />
    <xsl:variable name="der-tgi-codes-4-h" select="if ($error-usingTS-5) then () else $der-tgi-codes-4[not(. = $invalid-tgi-codes-r)]" />
    <xsl:variable name="invalid-tgi-codes-h" select="if ($ts-not-needed or $valid-tgi-4 or 'Error' = $der-tgi-codes-4 or $meds-invalid-hierarchy = '' or not(exists($der-tgi-codes-4-h))) then ()        else (for $code in $der-tgi-codes-4-h return          if (dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;&gt;', $code, ' MINUS ', $meds-invalid-hierarchy), '', '1', false()) = '') then $code else '')[. != ''] " />
    <xsl:variable name="invalid-tgi-codes" select="($invalid-tgi-codes-h, $invalid-tgi-codes-r) " />
    <xsl:variable name="der-tgi-codes-5" select="$der-tgi-codes-4[not(. = $invalid-tgi-codes or . = 'Error')]" />
    <xsl:variable name="der-valid-codes-4" select="if ($der-valid-codes-3 != '') then $der-valid-codes-3        else if ($ts-not-needed or $valid-tgi-4 or $valid-domain = '' or not(exists($der-tgi-codes-5))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-tgi-codes-5, ' OR '), ') AND ', $valid-domain), '', string(count($der-tgi-codes-5)), false()) " />
    <xsl:variable name="error-usingTS-6" select="$error-usingTS-5 or 'Error' = $der-valid-codes-4 " />
    <xsl:variable name="valid-tgi-5" select="$valid-tgi-4 or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="der-valid-codes-seq" select="if ($error-usingTS-6) then () else tokenize(replace($der-valid-codes-4,  '(\[.*?\])(\||$)', '$2'), '\|') " />
    <xsl:variable name="undetermined-tgi-1" select="if (exists($der-valid-codes-seq)) then $der-tgi-codes-5[not(. = $der-valid-codes-seq)] else $der-tgi-codes-5 " />
    <xsl:variable name="undetermined-inactive-1" select="for $i in (1 to count($undetermined-tgi-1)) return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $undetermined-tgi-1[$i], '', '1', false()) " />
    <xsl:variable name="error-usingTS-7" select="$error-usingTS-6 or 'Error' = $undetermined-inactive-1 " />
    <xsl:variable name="undetermined-inactive" select="(for $i in (1 to count($undetermined-tgi-1)) return         if (contains($undetermined-inactive-1[$i], '~inactive')) then $undetermined-inactive-1[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-1" select="for $i in (1 to count($undetermined-inactive))        return dh:IsCodeAssociatedWithAnotherCode(replace($undetermined-inactive[$i], '(\[.*?\])(\||$)', '$2'), '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-2" select="$error-usingV-1 or 'Error' = $undetermined-NAF-1 " />
    <xsl:variable name="undetermined-NAF" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-codes" select="for $term in $undetermined-NAF return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-NAF-active" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound~active')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-active-codes" select="for $term in $undetermined-NAF-active return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-tgi" select="$undetermined-tgi-1[not(. = ($undetermined-NAF-codes, $undetermined-NAF-active-codes))]" />
    <xsl:variable name="invalid-tgi" select="not($valid-tgi-5) and exists($invalid-tgi-codes) and not(exists($undetermined-tgi))" />
    <xsl:variable name="a-sas-tgi" select="if ($a-sas-tgi-1) then true()        else if ($a-vaccine-1 or $valid-tgi-5 or $invalid-tgi or not($use-revised-text-2) or $tgi-sas-regex = '') then false()        else matches($der-revised-text-2, $tgi-sas-regex, 'is')" />
    <xsl:variable name="an-uncoded-tgi" select="if ($an-uncoded-tgi-1) then true()        else if ($a-vaccine-1 or $valid-tgi-5 or $invalid-tgi or not($use-revised-text-2) or $tgi-otheru-regex = '' or $a-sas-tgi) then false()        else matches($der-revised-text-2, $tgi-otheru-regex, 'is')" />
    <xsl:variable name="obsolete-tgi-info" select="if ($an-obsolete-tgi-3) then $obsolete-tgi-info-3        else if ($a-vaccine-1 or $valid-tgi-5 or $invalid-tgi or not($use-revised-text-2) or not(exists($knowledge/special-tgi/obsolete)) or $a-sas-tgi or          $an-uncoded-tgi) then ()        else $knowledge/special-tgi/obsolete[matches($der-revised-text-2,          concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')] " />
    <xsl:variable name="an-obsolete-tgi" select="exists($obsolete-tgi-info)" />
    <xsl:variable name="valid-tgi-6" select="$valid-tgi-5 or $a-sas-tgi or $an-uncoded-tgi or $an-obsolete-tgi " />
    <xsl:variable name="a-vaccine-2" select="if ($a-vaccine-1) then true()        else if ($valid-tgi-6 or $invalid-tgi or not(exists($vaccine-text-normalised))) then false()        else if ($der-text != '' and translate(lower-case($der-text), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else if ($use-revised-text-1 and translate(lower-case($der-revised-text-1), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else if ($use-revised-text-2 and translate(lower-case($der-revised-text-2), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else false() " />
    <xsl:variable name="vaccine-code-test" select="if (not($a-vaccine-2 or $valid-tgi-6 or $invalid-tgi or $avoid-ts) and exists($undetermined-tgi))         then tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($undetermined-tgi, ' OR '), ') AND (&lt;71181003 OR &lt;127785005)'), '',          string(count($undetermined-tgi)), false()), '\|')        else () " />
    <xsl:variable name="error-usingTS-8" select="$error-usingTS-7 or 'Error' = $vaccine-code-test " />
    <xsl:variable name="a-vaccine" select="$a-vaccine-2 or (not('Error' = $vaccine-code-test) and exists($undetermined-tgi) and count($vaccine-code-test) = count($undetermined-tgi)) " />
    <xsl:variable name="codes-with-history" select="$der-inactive-codes-2[matches(., '[0-9]')]" />
    <xsl:variable name="hist-vers" select="if (exists($codes-with-history))        then dh:FindLastUpdatedDateForCodeUsingTS(substring-before($codes-with-history[1], '~'), '2.16.840.1.113883.6.96', $ts-latest-snomedctau)       else '' " />
    <xsl:variable name="error-usingTS-9" select="$error-usingTS-8 or 'Error' = $hist-vers " />
    <xsl:variable name="hist-vers-date" select="if (matches($hist-vers, '^(CodeFoundActive|CodeFoundInactive)\|[0-9]{8}$')) then substring-after($hist-vers, '|') else '' " />
    <xsl:variable name="inactive-concept" select="count($der-tgi-codes-2) = count($der-inactive-codes-1) and not($valid-tgi-6)" />
    <xsl:variable name="der-inactive-codes-4" select="$der-inactive-codes-3[not(contains(., 'MOVED FROM') or contains(., 'WAS A'))]" />
    <xsl:variable name="obsolete-without-date" select=" ($an-obsolete-tgi and not($obsolete-tgi-info/@last-available))   or         (exists($der-inactive-codes-3) and not(exists($der-inactive-codes-4)))  or         (exists($der-inactive-codes-4) and $hist-vers-date = '')   " />
    <xsl:variable name="obsolete-date" select="if ($is-immun) then ''        else if ($hist-vers-date != '') then $hist-vers-date        else if ($an-obsolete-tgi and $obsolete-tgi-info/@last-available) then $obsolete-tgi-info/@last-available         else '' " />
    <xsl:variable name="obsolete-yr" select="substring($obsolete-date, 1, 4) " />
    <xsl:variable name="obsolete-mn-temp" select="substring($obsolete-date, 5, 2) " />
    <xsl:variable name="obsolete-mn" select="if ($obsolete-mn-temp = '') then '06' else $obsolete-mn-temp " />
    <xsl:variable name="obsolete-dy-temp" select="substring($obsolete-date, 7, 2) " />
    <xsl:variable name="obsolete-dy" select="if ($obsolete-dy-temp = '') then '15' else $obsolete-dy-temp " />
    <xsl:variable name="obsolete-xs" select="if ($obsolete-date = '') then () else xs:date(concat($obsolete-yr, '-', $obsolete-mn, '-', $obsolete-dy)) " />
    <xsl:variable name="display-obsolete-date" select="if ($obsolete-date = '') then ''        else if ($obsolete-mn-temp = '') then $obsolete-dy        else if ($obsolete-dy-temp = '') then concat($knowledge/months/month[@number = $obsolete-mn]/@abbreviation, ' ', $obsolete-yr)        else concat($obsolete-dy, ' ', $knowledge/months/month[@number = $obsolete-mn]/@abbreviation, ' ', $obsolete-yr) " />
    <xsl:variable name="obsolete-date-diff" select="if ($obsolete-date = '' or not(matches($creation-date-xs - $obsolete-xs, '^P[0-9]+D'))) then '0'        else number(substring-before(substring-after($creation-date-xs - $obsolete-xs, 'P'), 'D')) " />
    <xsl:variable name="obsolete-yrs-ago" select="$obsolete-date-diff div 365 " />
    <xsl:variable name="coding" select="if (not($flags/@assess-class = 'true') or not($use-ts-for-sctau) or not(exists($iq-config/tgi-coding))) then () else $iq-config/tgi-coding" />
    <xsl:variable name="s-classification" select="if (exists($coding/special-classification/classification)) then $coding/special-classification/classification else () " />
    <xsl:variable name="s-number" select="count($s-classification) " />
    <xsl:variable name="s-formula" select="string-join(for $class in $s-classification return $class/@code, ' OR ')" />
    <xsl:variable name="code-to-assess" select="if (not($flags/@assess-class = 'true') or not($use-ts-for-sctau)) then '' else if (exists($der-valid-codes-seq)) then $der-valid-codes-seq[1] else '' " />
    <xsl:variable name="value-domain-1" select="if ($code-to-assess = '') then '' else dh:FindValueDomainsForCode($code-to-assess, '2.16.840.1.113883.6.96', $v-current-sctau)" />
    <xsl:variable name="class-error-1" select="$value-domain-1 = 'Error' " />
    <xsl:variable name="value-domain" select="if ($class-error-1 or $value-domain-1 = ('', 'CodeNotFound')) then ''       else if (contains($value-domain-1, '|')) then substring-before($value-domain-1, '|')       else $value-domain-1 " />
    <xsl:variable name="first-pass-1" select="if ($value-domain = '') then ''        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)'))         then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat($code-to-assess, ' . 30409011000036107'), '', '1', true())        else if ($value-domain = 'Medicinal Product Pack (MPP)')         then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat($code-to-assess, ' . 30348011000036104'), '', '1', true())        else if ($value-domain = 'Trade Product (TP)') then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&lt;', $code-to-assess), '', '1', true())        else $code-to-assess " />
    <xsl:variable name="class-error-2" select="$class-error-1 or ($value-domain != '' and $first-pass-1 = ('Error', '')) " />
    <xsl:variable name="first-pass" select="if (not($class-error-2) and $first-pass-1 != '') then replace($first-pass-1, '(\[.*?\])(\||$)', '$2') else '' " />
    <xsl:variable name="second-pass-1" select="if ($first-pass = '') then ''        else if ($value-domain = 'Trade Product Unit of Use (TPUU)')          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $code-to-assess, ' AND ^929360071000036103'), '', '1', true())        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product (TP)'))          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $first-pass, ' AND ^929360071000036103'), '', '1', true())        else if ($value-domain = 'Medicinal Product Pack (MPP)') then $first-pass        else $code-to-assess " />
    <xsl:variable name="class-error-3" select="$class-error-2 or ($first-pass != '' and $second-pass-1 = ('Error', '')) " />
    <xsl:variable name="second-pass" select="if (not($class-error-3) and $second-pass-1 != '') then replace($second-pass-1, '(\[.*?\])(\||$)', '$2') else '' " />
    <xsl:variable name="class-tp-1" select="if ($class-error-3) then ''        else if ($value-domain = 'Trade Product Unit of Use (TPUU)')          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $code-to-assess, ' AND ^929360021000036102'), '', '1', true())        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)'))          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $first-pass, ' AND ^929360021000036102'), '', '1', true())        else '' " />
    <xsl:variable name="class-tp-error" select="$class-tp-1 = 'Error' " />
    <xsl:variable name="class-tp" select="if (not($class-tp-error) and $class-tp-1 != '') then replace($class-tp-1, '^([0-9]+\[)(.*?)(\])$', '$2') else '' " />
    <xsl:variable name="third-pass-1" select="if ($second-pass = '') then ''        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product (TP)',          'Trade Product Unit of Use (TPUU)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)'))         then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;!', $second-pass, ' AND ^929360061000036106'), '', '1', false())        else $second-pass " />
    <xsl:variable name="class-error-4" select="$class-error-3 or ($second-pass != '' and $third-pass-1 = ('Error', '')) " />
    <xsl:variable name="third-pass" select="if ($class-error-4 or $third-pass-1 = '') then ''         else if (matches($third-pass-1, '^[0-9]+$')) then replace($der-valid-codes-4, '^([0-9]+\[)(.*?)(\]\|.*|\])$', '$2')        else if (matches($third-pass-1, '^[0-9]')) then replace($third-pass-1, '^([0-9]+\[)(.*?)(\])$', '$2') else '' " />
    <xsl:variable name="fourth-pass-1" select="if ($third-pass = '') then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', '&lt;373873005', $third-pass, '1', true()) " />
    <xsl:variable name="class-error-5" select="$class-error-4 or $fourth-pass-1 = 'Error' " />
    <xsl:variable name="fourth-pass" select="if (not($class-error-4) and $fourth-pass-1 != '' and matches($fourth-pass-1, '^[0-9]')) then replace($fourth-pass-1, '(\[.*?\])(\||$)', '$2') else '' " />
    <xsl:variable name="class-not-completed" select="($flags/@assess-class = 'true' and $code-to-assess = '')  or        ($code-to-assess != '' and $value-domain-1 = 'CodeNotFound') or        ($third-pass != '' and $fourth-pass = '')   " />
    <xsl:variable name="valid-class-1" select="if ($fourth-pass = '' or $s-number = 0) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND (', $s-formula, ')'), '', string($s-number), true()) " />
    <xsl:variable name="class-error-6" select="$class-error-5 or $valid-class-1 = 'Error' " />
    <xsl:variable name="valid-class-2" select="if ($valid-class-1 = '' or $class-error-6) then () else tokenize(replace($valid-class-1, '(\[.*?\])(\||$)', '$2'), '\|') " />
    <xsl:variable name="valid-class-3" select="if ($a-vaccine and exists($s-classification[@code = '71181003']/@description)) then ($s-classification[@code = '71181003']/@description)       else if ($a-vaccine and exists($s-classification[@code = '71181003']/@pterm)) then ($s-classification[@code = '71181003']/@pterm)       else for $code in $valid-class-2 return if ($coding/special-classification/classification[@code = $code]/@description)         then $coding/special-classification/classification[@code = $code]/@description         else $coding/special-classification/classification[@code = $code]/@pterm " />
    <xsl:variable name="fifth-pass" select="if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/first-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/first-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-7" select="$class-error-6 or $fifth-pass = 'Error' " />
    <xsl:variable name="sixth-pass" select="if (not($fifth-pass = '')) then $fifth-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/second-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/second-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-8" select="$class-error-7 or $sixth-pass = 'Error' " />
    <xsl:variable name="seventh-pass" select="if (not($sixth-pass = '')) then $sixth-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/third-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/third-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-9" select="$class-error-8 or $seventh-pass = 'Error' " />
    <xsl:variable name="eighth-pass" select="if (not($seventh-pass = '')) then $seventh-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/fourth-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/fourth-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-10" select="$class-error-9 or $eighth-pass = 'Error' " />
    <xsl:variable name="ninth-pass" select="if (not($eighth-pass = '')) then $eighth-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/fifth-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/fifth-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-11" select="$class-error-10 or $ninth-pass = 'Error' " />
    <xsl:variable name="valid-class" select="if (exists($valid-class-3)) then $valid-class-3        else if (not($ninth-pass = '')) then for $term in tokenize($ninth-pass, '\|') return replace($term, '^([0-9]+\[)(.*?)(\])$', '$2')       else () " />
    <xsl:variable name="codes-were-found" select="exists($der-tgi-codes-4) or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="obsolete-error" select="not($is-immun) and ($an-obsolete-tgi or $inactive-concept) and $obsolete-yrs-ago &gt; 2 " />
    <xsl:variable name="obsolete-warning" select="not($is-immun or $obsolete-error) and ($an-obsolete-tgi or $inactive-concept) and ($obsolete-yrs-ago &gt; 1 or $obsolete-without-date) " />
    <xsl:variable name="codes-not-found" select="not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-6 or $invalid-tgi or $a-vaccine) " />
    <xsl:variable name="codes-in-the-domain" select="not($valid-tgi-1) and $valid-tgi-5" />
    <xsl:variable name="codes-in-other-domain" select="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi or         $a-vaccine or $obsolete-warning) " />
    <xsl:variable name="codes-in-no-domain" select="exists($der-tgi-codes-5) " />
    <xsl:variable name="display-in-the-domain" select="if ($codes-in-the-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', '), '''')        else '' " />
    <xsl:variable name="display-in-other-r" select="if (exists($invalid-tgi-codes-r) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-tgi-codes-r return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-h" select="if (exists($invalid-tgi-codes-h) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-tgi-codes-h return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-domain" select="if (not($codes-in-other-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))) then ''        else if ($display-in-other-r and display-in-other-h) then concat('''', $display-in-other-r, ', ', $display-in-other-h, '''')        else if ($display-in-other-r) then concat('''', $display-in-other-r, '''')        else if ($display-in-other-h) then concat('''', $display-in-other-h, '''')        else '' " />
    <xsl:variable name="display-in-no-domain" select="if ($codes-in-no-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', dh:XQueryRecursiveReplace(string-join(for $code in $der-tgi-codes-5 return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), '; '),          $term-pattern-replacement, 'ic'), '''')        else '' " />
    <xsl:variable name="log-concepts-appended" select="if ($error-usingTS-9 or not($flags/@report-terminology-concepts = 'true') or $log-concepts-name = '') then ''        else if ($codes-not-found and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                   'Therapeutic Good Identification', $log-tab,                   'yes',     $log-tab,                   iq:display-CD(.),   $log-tab,                   '',     $log-tab,                  '',     $log-tab,                  '',     $log-tab,                  $ts-current-sctau   ))        else if (($use-revised-text-2 or $codes-in-no-domain) and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                  'Therapeutic Good Identification', $log-tab,                   'yes',     $log-tab,                     iq:display-CD(.),   $log-tab,                    $display-in-the-domain,   $log-tab,                  $display-in-other-domain,  $log-tab,                  $display-in-no-domain,   $log-tab,                  $ts-current-sctau   ))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if (matches($defn-invalid-rsn, 'is a container', 'is')) then $rating-container-TC-Types-57 else $rating-TC-Types-57 " />
    <!--REPORT -->
    <xsl:if test=" $log-concepts-appended = ('NOTFOUND', 'ERROR') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$log-concepts-appended = ('NOTFOUND', 'ERROR')">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): The AppendLog function returned '<xsl:text /><xsl:value-of select="$log-concepts-appended" /><xsl:text />' when requested to append the concepts log
		'<xsl:text /><xsl:value-of select="$log-concepts-name" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $flags/@assess-class = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $flags/@assess-class = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): 
		code-to-assess '<xsl:text /><xsl:value-of select="$code-to-assess" /><xsl:text />'
		value-domain '<xsl:text /><xsl:value-of select="$value-domain" /><xsl:text />'
		first-pass '<xsl:text /><xsl:value-of select="$first-pass" /><xsl:text />'
		second-pass '<xsl:text /><xsl:value-of select="$second-pass" /><xsl:text />'
		third-pass '<xsl:text /><xsl:value-of select="$third-pass" /><xsl:text />'
		fourth-pass '<xsl:text /><xsl:value-of select="$fourth-pass" /><xsl:text />'
		valid-class-1 '<xsl:text /><xsl:value-of select="$valid-class-1" /><xsl:text />'
		fifth-pass '<xsl:text /><xsl:value-of select="$fifth-pass" /><xsl:text />'
		sixth-pass '<xsl:text /><xsl:value-of select="$sixth-pass" /><xsl:text />'
		seventh-pass '<xsl:text /><xsl:value-of select="$seventh-pass" /><xsl:text />'
		eighth-pass '<xsl:text /><xsl:value-of select="$eighth-pass" /><xsl:text />'
		ninth-pass '<xsl:text /><xsl:value-of select="$ninth-pass" /><xsl:text />'

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $class-error-11 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$class-error-11">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An unexpected error occurred during the process to classify a terminology code.
		Report the information below to the Australian Digital Health Agency for investigation.
		The value domain was '<xsl:text /><xsl:value-of select="$value-domain" /><xsl:text />' and the error variable was
		<xsl:text /><xsl:value-of select="if ($class-error-1) then concat('class-error-1. The FindValueDomainsForCode function was called with code ''', $code-to-assess,     ''', codeSystem ''2.16.840.1.113883.6.96'' and codeSystemVersion ''', $v-current-sctau, ''' and returned ''', $value-domain-1, '''.')   else if ($class-error-2) then concat('class-error-2. The SearchForCodesInHierarchyUsingTS function was called with code ''', $code-to-assess,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $first-pass-1, '''.')   else if ($class-error-3) then concat('class-error-3. The SearchForCodesInHierarchyUsingTS function was called with code ''',     if ($value-domain = 'Trade Product Unit of Use (TPUU)') then $code-to-assess else $first-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $second-pass-1, '''.')   else if ($class-error-4) then concat('class-error-4. The SearchForCodesInHierarchyUsingTS function was called with code ''', $second-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $third-pass-1, '''.')   else if ($class-error-5) then concat('class-error-5. The SearchForCodesInHierarchyUsingTS function was called with code ''', $third-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $fourth-pass-1, '''.')   else if ($class-error-6) then concat('class-error-6. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $valid-class-1, '''.')   else if ($class-error-7) then concat('class-error-7. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $fifth-pass, '''.')   else if ($class-error-8) then concat('class-error-8. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $sixth-pass, '''.')   else if ($class-error-9) then concat('class-error-9. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $seventh-pass, '''.')   else if ($class-error-10) then concat('class-error-10. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $eighth-pass, '''.')   else if ($class-error-11) then concat('class-error-11. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $ninth-pass, '''.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $class-tp-error ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$class-tp-error">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An unexpected error occurred during the process to find the trade product name for a medicine.
		Report the information below to the Australian Digital Health Agency for investigation.
		The value domain was '<xsl:text /><xsl:value-of select="$value-domain" /><xsl:text />' and the error variable was class-tp-error.
		The FindValueDomainsForCode function was called with code ''', 
		if ($value-domain = 'Trade Product Unit of Use (TPUU)') then $code-to-assess else $first-pass, 
		''', codeSystem ''2.16.840.1.113883.6.96'' and codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $class-tp-1, '''.')

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-tgi-6) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-tgi-6)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An unexpected problem occurred when assessing the value of the Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. The application of regular expressions resulted in the complete loss of text.
		Report the information below to the Australian Digital Health Agency for investigation.

		der-text-1 '<xsl:text /><xsl:value-of select="normalize-space(dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'))" /><xsl:text />'.
		der-text-2a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-2a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-a, $term-pattern-replacement, 'ic')" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingV-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingV-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An error was reported when accessing the terminology server when assessing the Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		Report the issue to the Australian Digital Health Agency for investigation stating the error was recorded for error-usingV-2.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-9 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-9">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An error was reported when accessing the terminology server when assessing the Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term:
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The analysis should be retried as the terminology server may have been temporarily unavailable.
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'error-usingTS-1' else if ($error-usingTS-2-a) then 'error-usingTS-2-a'   else if ($error-usingTS-2-b) then 'error-usingTS-2-b' else if ($error-usingTS-2-c) then 'error-usingTS-2-c'   else if ($error-usingTS-2) then 'error-usingTS-2'   else if ($error-usingTS-3) then 'error-usingTS-3' else if ($error-usingTS-4) then 'error-usingTS-4'   else if ($error-usingTS-5) then 'error-usingTS-5' else if ($error-usingTS-6) then 'error-usingTS-6'   else if ($error-usingTS-7) then 'error-usingTS-7' else if ($error-usingTS-8) then 'error-usingTS-8'   else 'error-usingTS-9' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or      $valid-tgi-6 or $invalid-tgi) and not($a-vaccine and not(false())) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi) and not($a-vaccine and not(false()))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify a vaccine administered to the consumer. The text         must include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Administered Immunisation (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi) and    not($a-vaccine and false()) and not($obsolete-warning) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi) and not($a-vaccine and false()) and not($obsolete-warning)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the value does not seem to be applicable for the data element.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify a vaccine administered to the consumer. The text         must include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $obsolete-warning ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$obsolete-warning">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the name may not be applicable for the data element.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> and the
		<xsl:text /><xsl:value-of select="if ($display-obsolete-date != '') then concat('name of the therapeutic good was last used ', $display-obsolete-date)   else if ($obsolete-tgi-info/@name) then concat('therapeutic good ''', $obsolete-tgi-info/@name, ''' was last available ', $display-obsolete-date)    else if ($obsolete-without-date) then 'name of the therapeutic good is no longer used ' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($obsolete-tgi-info/@reason) then concat(' because ', $obsolete-tgi-info/@reason, '.') else '.' " /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify a vaccine administered to the consumer. The text         must include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		<xsl:text /><xsl:value-of select="$creation-date-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $obsolete-error ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$obsolete-error">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the name is not applicable for the data element.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> and the
		<xsl:text /><xsl:value-of select="if ($display-obsolete-date != '') then concat('name of the therapeutic good was last used ', $display-obsolete-date)   else if ($obsolete-tgi-info/@name) then concat('therapeutic good ''', $obsolete-tgi-info/@name, ''' was last available ', $display-obsolete-date)    else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($obsolete-tgi-info/@reason) then concat(' because ', $obsolete-tgi-info/@reason, '.') else '.' " /><xsl:text />
		That was <xsl:text /><xsl:value-of select="if (contains(string($obsolete-yrs-ago), '.')) then substring-before(string($obsolete-yrs-ago), '.') else $obsolete-yrs-ago " /><xsl:text /> years before the
		<xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify a vaccine administered to the consumer. The text         must include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /><xsl:text /><xsl:value-of select="$creation-date-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'unknown' = 'allowed' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'unknown' = 'allowed' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the data element does not have a proper value. <xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify a vaccine administered to the consumer. The text         must include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Therapeutic Good Identification data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'unknown' = 'exclusion' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'unknown' = 'exclusion' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify a vaccine administered to the consumer. The text         must include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Therapeutic Good Identification data element must have a value that is consistent with this definition. Alternatively if there is no Therapeutic Good Identification data element with a proper value then an exclusion
		statement must be included to state why there is no Therapeutic Good Identification. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4')    then concat('Text such as ''', dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'), ''' may be permitted in the narrative even though the Therapeutic Good Identification data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'unknown' = 'unknown' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'unknown' = 'unknown' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the data element does not have a proper value. <xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify a vaccine administered to the consumer. The text         must include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Therapeutic Good Identification data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($der-text-non-value) and $der-invalid-text ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($der-text-non-value) and $der-invalid-text">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />
		however the value is invalid. <xsl:text /><xsl:value-of select="$defn-invalid-rsn" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify a vaccine administered to the consumer. The text         must include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $a-vaccine and false() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$a-vaccine and false()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />
		which identifies a vaccine. <xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify a vaccine administered to the consumer. The text         must include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Administered Immunisation (MEDICATION ACTION) section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $invalid-tgi and not($error-usingTS-9) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$invalid-tgi and not($error-usingTS-9)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
ZZZ
der-text '<xsl:text /><xsl:value-of select="$der-text" /><xsl:text />'
der-revised-text-1 '<xsl:text /><xsl:value-of select="$der-revised-text-1" /><xsl:text />'
der-revised-text-2 '<xsl:text /><xsl:value-of select="$der-revised-text-2" /><xsl:text />'
ZZZ
		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the value is invalid
		<xsl:text /><xsl:value-of select="if (exists($invalid-tgi-codes-h) or exists($invalid-tgi-codes-r)) then concat(' as it describes ',    iq:invalidityExplanationUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, $invalid-tgi-codes-h, $cd-definitions/meds/meds-invalid/hierarchy, $invalid-tgi-codes-r, $cd-definitions/meds/meds-invalid/refset), '.')   else '.' " /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify a vaccine administered to the consumer. The text         must include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable outside the applicable value domain): The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. The following codes were obtained and are not in the value domain:
		<xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-TGI-Defn): The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU and no associated code was found in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists(($der-NAF-active-codes, $undetermined-NAF-active-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists(($der-NAF-active-codes, $undetermined-NAF-active-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-TGI-Defn): The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-active-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the
		'<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU but it was not found with this status in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.
		<xsl:text /><xsl:value-of select="if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and ($valid-tgi-1 or $a-vaccine-2 or (not($valid-tgi-5) and $valid-tgi-6))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and ($valid-tgi-1 or $a-vaccine-2 or (not($valid-tgi-5) and $valid-tgi-6))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable within the value domain): The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> which matches
		<xsl:text /><xsl:value-of select="if ($a-vaccine-1) then 'one of the terms listed in Knowledge.xml' else 'the vaccine information in CodeSystems.xml' " /><xsl:text /> for the Therapeutic Good Identification.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(exists($valid-class)) and $class-not-completed and not($class-tp-error or $class-error-10) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(exists($valid-class)) and $class-not-completed and not($class-tp-error or $class-error-10)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. <xsl:text /><xsl:value-of select="if ($code-to-assess = '') then 'No code could be found for the medicine.'    else if ($value-domain = '') then concat('The code ''', $code-to-assess, ''' was found to apply to the medicine by applying the terminology server using the ''', $ts-current-sctau,   ''' version of SNOMED CT-AU but the code was not found in the Validator''s database using the ''', $v-current-sctau, ''' version of SNOMED CT-AU.',   if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '')   else concat('This is a ', $value-domain,    if ($value-domain = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)')) then    concat(' (with medicinal product ''', $third-pass, ''').')    else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)'))    then concat(' (with trade product ''', $class-tp, ''').')    else '.') " /><xsl:text /> The classification of this medicine could not be completed.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists($valid-class) and not($class-tp-error or $class-error-11) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists($valid-class) and not($class-tp-error or $class-error-11)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This <xsl:text /><xsl:value-of select="if (not($value-domain = ('Containered Trade Product Pack (CTPP)',    'Trade Product Pack (TPP)', 'Trade Product (TP)', 'Trade Product Unit of Use (TPUU)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Medicinal Product (MP)')))    then '' else concat('is a ', $value-domain, ' which')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($value-domain = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)')) then concat(' (with medicinal product ''', $third-pass, ''') which')   else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)'))    then concat(' (with trade product ''', $class-tp, ''') which') else '' " /><xsl:text />
		identifies a type of <xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($valid-class, ' and '), $markup-pattern-replacement, 'ic')" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (concept is codeable within the value domain): The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> which is a valid value for the Therapeutic Good Identification.
		SNOMED CT-AU codes that matched the concept are: <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The text used to match regular expression (der-text-2) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to match non-values and vaccines (der-text-to-match) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-to-match, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to derive a code (der-text) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.

		<xsl:text /><xsl:value-of select="if ($use-revised-text-1) then concat(' A first revision of the text (der-revised-text-1) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-1, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A first revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-1 != '' and $der-revised-text-1 = '') then ' revision-pattern-1 was applied but the output (der-revised-text-1) was an empty string.' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($use-revised-text-2) then concat(' A second revision of the text (der-revised-text-2) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A second revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-2 != '' and $der-revised-text-2 = '') then ' revision-pattern-2 was applied but the output (der-revised-text-2) was an empty string.' else '' " /><xsl:text />

		The SNOMED CT-AU version used to find codes is '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' and the maximum code number is '<xsl:text /><xsl:value-of select="$max-code-number" /><xsl:text />'.

		Codes for related terms (related-terms-2): '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($related-terms-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes for related terms (der-valid-codes-1): 
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-1, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-tgi-codes-2) returned by the terminology server that match the text:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-tgi-codes-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes from related terms or the terminology server (der-valid-codes-2):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-2, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-inactive-codes-3) returned from the Validator's database associated with inactive codes:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-inactive-codes-3, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes found after examining inactive codes (der-valid-codes-3):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-3, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Members of invalid reference sets (invalid-tgi-codes-r): '<xsl:text /><xsl:value-of select="$display-in-other-r" /><xsl:text />'.
		Members of invalid code hierarchies (invalid-tgi-codes-h): '<xsl:text /><xsl:value-of select="$display-in-other-h" /><xsl:text />'.

		Final set of valid codes (der-valid-codes-4): <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.
		
		Codes whose validity has not been determined (der-tgi-codes-5): <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.
		Codes whose validity has not been determined and are inactive with no associated code (undetermined-NAF): '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(    string-join($undetermined-NAF, ''', '''), $markup-pattern-replacement, 'ic')" /><xsl:text />'.

		Result of the second vaccination code test (a-vaccine-2): '<xsl:text /><xsl:value-of select="$a-vaccine-2" /><xsl:text />'.
		Vaccine codes (vaccine-code-test):  '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($vaccine-code-test, '; '), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Overall result of the vaccination test (a-vaccine): '<xsl:text /><xsl:value-of select="$a-vaccine" /><xsl:text />'.

		Will the value of the data element be trusted (der-trusted-text)? '<xsl:text /><xsl:value-of select="$der-trusted-text" /><xsl:text />'.
		
	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and $codes-not-found">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept not codeable): The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($avoid-ts) then 'The terminology server was not used to assist with finding codes corresponding to text in the data element. ' else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $prose-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $prose-err">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> which is invalid as it is prose text.
		The Therapeutic Good Identification data element is CodeableText derived from the HL7 CD data type which by definition is to record a concept defined in an external code system, terminology or ontology.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify a vaccine administered to the consumer. The text         must include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		This finding will also be reported as an error.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M458" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M458" />
  <xsl:template match="@*|node()" priority="-2" mode="M458">
    <xsl:apply-templates select="@*|*" mode="M458" />
  </xsl:template>
  <!--PATTERN p-TS-Immun-CodeableText-12-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16638' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16638']]/cda:entry/cda:substanceAdministration/cda:consumable/   cda:manufacturedProduct/cda:manufacturedMaterial/cda:code[(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M459">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16638' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16638']]/cda:entry/cda:substanceAdministration/cda:consumable/   cda:manufacturedProduct/cda:manufacturedMaterial/cda:code[(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Therapeutic Good Identification has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Therapeutic Good Identification data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Therapeutic Good Identification data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Therapeutic Good Identification data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Therapeutic Good Identification data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Therapeutic Good Identification data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Therapeutic Good Identification data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Therapeutic Good Identification data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Therapeutic Good Identification data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M459" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M459" />
  <xsl:template match="@*|node()" priority="-2" mode="M459">
    <xsl:apply-templates select="@*|*" mode="M459" />
  </xsl:template>
  <!--PATTERN p-TS-Immun-CodeableText-13-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16638' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16638']]/cda:entry/   cda:substanceAdministration/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code " priority="1000" mode="M460">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16638' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16638']]/cda:entry/   cda:substanceAdministration/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code " />
    <xsl:variable name="hist-vers-1" select="tokenize($ts-snomedctau-pre-ordered, '\|')" />
    <xsl:variable name="pcode" select="if (not(@code)) then ''        else if (@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)) then @code        else '' " />
    <xsl:variable name="pname-to-test" select="@codeSystem = '2.16.840.1.113883.6.96' and @displayName and $pcode != '' " />
    <xsl:variable name="psctau-version" select="if (exists(@codeSystemVersion) and matches(@codeSystemVersion, $snomedctau-version-regex)) then @codeSystemVersion else '' " />
    <xsl:variable name="psnomed-id" select="if (not($pname-to-test) or not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion) and          dh:IsFirstDateEarlierThanSecondDate($creation-date, substring-after($first-amt-in-sctau, '/version/')) = '1') then 'amtv3'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (not($psctau-version = '')) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="psnomed-type" select="if ($psnomed-id = 'amtv3') then 'AMT v3'        else if ($psnomed-id = 'snomedctau') then 'SNOMED CT-AU'        else if ($psnomed-id = 'snomedct') then 'SNOMED CT'        else '' " />
    <xsl:variable name="pvers-old" select="if ($psnomed-id = 'snomedctau' and @codeSystemVersion) then not(exists($ts-snomedctau[. = current()/@codeSystemVersion]))        else if ($psnomed-id = 'snomedctau' and $creation-date != '' and $ts-earliest-sctau-date != '') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $ts-earliest-sctau-date) = '1'         else if ($psnomed-id = 'amtv3' and @codeSystemVersion) then not(exists($v-amtv3[. = current()/@codeSystemVersion]))        else if ($psnomed-id = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '1'         else false() " />
    <xsl:variable name="psctau-ts" select="if ($psctau-version = '' or not($pvers-old)) then '' else substring-after($psctau-version, '/version/') " />
    <xsl:variable name="psctau-ts-xs" select="if ($psctau-ts = '') then '' else concat(substring($psctau-ts, 1, 4), '-', substring($psctau-ts, 5, 2), '-', substring($psctau-ts, 7, 2))" />
    <xsl:variable name="psctau-ts-1" select="if ($psctau-ts = '' or not($psctau-ts-xs castable as xs:date)) then '' else string($sctau-last-xs - xs:date($psctau-ts-xs)) " />
    <xsl:variable name="psctau-ts-2" select="if ($psctau-ts-1 = '' or not(matches($psctau-ts-1, '^P[0-9]+D'))) then '' else substring-before(substring-after($psctau-ts-1, 'P'), 'D') " />
    <xsl:variable name="psctau-ts-63-err" select="$psctau-ts-2 != '' and $psctau-ts-2 &gt; $sctau-acceptable-age  " />
    <xsl:variable name="ts-psnomed-version" select="if (not($pname-to-test) or not($psnomed-id = 'snomedctau')) then ''        else if (not(@codeSystemVersion)) then $ts-latest-snomedctau        else if ($psnomed-id = 'snomedctau' and @codeSystemVersion and not($pvers-old)) then @codeSystemVersion        else if ($pvers-old and $ts-earliest-sctau-date != '') then concat('http://snomed.info/sct/32506021000036107/version/', $ts-earliest-sctau-date)        else $ts-latest-snomedctau " />
    <xsl:variable name="v-psnomed-version" select="if (not($psnomed-id = 'amtv3')) then ''        else if (@codeSystemVersion and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($pvers-old) then concat('http://snomed.info/sct/900062011000036108/version/', $v-earliest-amtv3-date)        else $v-latest-amtv3 " />
    <xsl:variable name="test-pname" select="$pname-to-test and not($ts-psnomed-version = '' and $v-psnomed-version = '') and not($psctau-ts-63-err)" />
    <xsl:variable name="p-term-actual-1" select="if ($test-pname and $use-ts-for-sctau and $psnomed-id = 'snomedctau')        then dh:FindPreferredTermUsingTS($pcode, '2.16.840.1.113883.6.96', $ts-psnomed-version)        else if ($test-pname and exists($v-amtv3) and $psnomed-id = 'amtv3')        then replace(dh:FindPreferredTermAndCaseSignificance($pcode, '2.16.840.1.113883.6.96', $v-psnomed-version), '\|.*$', '', 'is')       else '' " />
    <xsl:variable name="error-usingTS-1" select="$p-term-actual-1 = 'Error' " />
    <xsl:variable name="p-term-actual" select="if ($p-term-actual-1 = ('CodeNotFound', 'Error')) then '' else $p-term-actual-1 " />
    <xsl:variable name="pname-invalid" select="$test-pname and $p-term-actual != '' and lower-case($p-term-actual) != lower-case(@displayName) " />
    <xsl:variable name="phist-search" select="$test-pname and $pname-invalid and $ts-snomedctau-pre-ordered != '' " />
    <xsl:variable name="phist-vers-2" select="if ($phist-search) then index-of($hist-vers-1, substring-after($ts-psnomed-version, 'version/')) else () " />
    <xsl:variable name="phist-vers-3" select="if (exists($phist-vers-2) and count($hist-vers-1) &gt; $phist-vers-2[1]) then $hist-vers-1[$phist-vers-2[1] + 1] else '' " />
    <xsl:variable name="phist-vers-4" select="if ($phist-vers-3 = '') then '' else concat('http://snomed.info/sct/32506021000036107/version/', $phist-vers-3) " />
    <xsl:variable name="phist-vers-5" select="if ($phist-vers-4 != '' and $use-ts-for-sctau)         then dh:FindLatestVersionWhereDisplaynameMatchUsingTS($pcode, '2.16.840.1.113883.6.96', $phist-vers-4, @displayName, false()) else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or $phist-vers-5 = 'Error' " />
    <xsl:variable name="phist-vers-found-1" select="matches($phist-vers-5, 'http') " />
    <xsl:variable name="pcode-pterm-date-1" select="if (not($pname-invalid) or $phist-vers-found-1) then '' else dh:LatestDateForPreferredTerm($pcode, '2.16.840.1.113883.6.96', $v-latest-snomedctau) " />
    <xsl:variable name="error-pcode-pterm-date" select="'Error' = $pcode-pterm-date-1" />
    <xsl:variable name="pcode-pterm-date-2" select="if (matches($pcode-pterm-date-1, '^[0-9]{8}\|')) then substring-before($pcode-pterm-date-1, '|') else '' " />
    <xsl:variable name="pcode-pterm-date-est" select="$pcode-pterm-date-2 != '' and dh:IsFirstDateEarlierThanSecondDate($creation-date, $pcode-pterm-date-2) = '0' " />
    <xsl:variable name="pcode-pterm-date" select="if ($pcode-pterm-date-est) then $pcode-pterm-date-2 else '' " />
    <xsl:variable name="phist-vers-6" select="if ($phist-vers-5 = 'PreferredTermNeverMatches' and not($pcode-pterm-date-est) and matches($pcode, $sctau-namespace-id-regex))         then dh:IsCodePreferredTermInTerminologyValid($pcode, '2.16.840.1.113883.6.96', $v-latest-amtv3, @displayName)        else '' " />
    <xsl:variable name="phist-vers-found-2" select="$phist-vers-6 = 'PreferredTermMatch' " />
    <xsl:variable name="phist-vers-7" select="if ($phist-vers-6 = 'PreferredTermMismatch' and not($pcode-pterm-date-est) and $v-latest-amtv2 = $last-amtv2)         then dh:IsCodePreferredTermInTerminologyValid($pcode, '1.2.36.1.2001.1004.100', $last-amtv2, @displayName)        else '' " />
    <xsl:variable name="phist-vers-found-3" select="$phist-vers-7 = 'PreferredTermMatch' " />
    <xsl:variable name="phist-vers-found" select="$phist-vers-found-1 or $phist-vers-found-2 or $phist-vers-found-3 or $pcode-pterm-date-est " />
    <xsl:variable name="phist-vers-date" select="if ($phist-vers-found-1) then substring-after($phist-vers-5, 'http://snomed.info/sct/32506021000036107/version/')         else if ($phist-vers-found-2) then substring-after($v-latest-amtv3, 'http://snomed.info/sct/900062011000036108/version/')        else if ($phist-vers-found-3) then $last-amtv2-date        else if ($pcode-pterm-date-est) then $pcode-pterm-date        else '' " />
    <xsl:variable name="phist-last-diff" select="if ($sctau-last = '' or $phist-vers-date = '') then ''        else iq:display-date-diff($phist-vers-date, $sctau-last)[2] " />
    <xsl:variable name="phist-last-old" select="$phist-last-diff != '' and not(number($phist-last-diff) &lt; $sctau-acceptable-age) " />
    <xsl:variable name="p-term-found-in" select="if ($phist-vers-found-1) then 'last used in the version of SNOMED CT-AU'        else if ($phist-vers-found-2) then 'used in the version of AMT v3'        else if ($phist-vers-found-3) then 'used in the version of AMT v2'        else '' " />
    <xsl:variable name="phist-last-msg" select="if ($pcode-pterm-date-est) then concat(' The preferred term was last changed in the version of SNOMED CT-AU published ',          iq:display-date($phist-vers-date),          ' so if the value of the displayName was ever valid then it must be before then. ',          'That version was published ', $phist-last-diff, ' days before the version of SNOMED CT-AU published immediately prior to the date ''',         /cda:ClinicalDocument/cda:effectiveTime/@value, ''' that this ', $document-name,          ' was created. SNOMED CT-AU is published monthly and the Australian National Terminology Licence Agreement requires the copy used ',         'in healthcare software systems (live or production environments) to be updated within 30 days of the National Terminology release.')         else if (not($phist-last-old) or $p-term-found-in = '') then ''        else concat(' The value of the displayName was ', $p-term-found-in,          ' published on the ', iq:display-date($phist-vers-date), '. That version was published ', $phist-last-diff,          ' days before the version of SNOMED CT-AU published immediately prior to the date the ', $document-name,          ' was created. SNOMED CT-AU is published monthly and the Australian National Terminology Licence Agreement requires the copy used in',         ' healthcare software systems (live or production environments) to be updated within 30 days of the National Terminology release.') " />
    <xsl:variable name="p-date-required" select="if (not($pname-invalid)) then ''        else if (@codeSystemVersion and matches(@codeSystemVersion, $snomed-version-regex-1)) then substring-after(@codeSystemVersion, '/version/')        else if ($creation-date-est) then ''        else $creation-date " />
    <xsl:variable name="p-date-diff" select="if ($p-date-required = '' or         not(dh:IsFirstDateEarlierThanSecondDate(substring-after($ts-psnomed-version, '/version/'), $p-date-required) = '1')) then ()        else iq:display-date-diff(substring-after($ts-psnomed-version, '/version/'), $p-date-required)" />
    <xsl:variable name="p-old-ts-version" select="exists($p-date-diff) and number($p-date-diff[2]) &gt; 31 " />
    <xsl:variable name="snomed-trans-1" select="if (cda:translation) then cda:translation[@displayName and @codeSystem = '2.16.840.1.113883.6.96' and @code and         matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="snomed-trans-2" select="distinct-values(for $trans in $snomed-trans-1 return $trans/@code) " />
    <xsl:variable name="snomed-trans-a" select="if (exists($snomed-trans-1)) then $snomed-trans-1[1] else () " />
    <xsl:variable name="tcode-a" select="if (exists($snomed-trans-a)) then $snomed-trans-a/@code else '' " />
    <xsl:variable name="tname-a-to-test" select="$tcode-a != '' and $snomed-trans-a/@displayName " />
    <xsl:variable name="tsctau-version-a" select="if (exists($snomed-trans-a/@codeSystemVersion) and matches($snomed-trans-a/@codeSystemVersion, $snomedctau-version-regex)) then $snomed-trans-a/@codeSystemVersion else '' " />
    <xsl:variable name="tsnomed-id-a" select="if (not($tname-a-to-test)) then 'none'        else if (not($snomed-trans-a/@codeSystemVersion) and          dh:IsFirstDateEarlierThanSecondDate($creation-date, substring-after($first-amt-in-sctau, '/version/')) = '1') then 'amtv3'        else if (not($snomed-trans-a/@codeSystemVersion)) then 'snomedctau'        else if (not($tsctau-version-a = '')) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-a/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="tsnomed-a-type" select="if ($tsnomed-id-a = 'amtv3') then 'AMT v3'        else if ($tsnomed-id-a = 'snomedctau') then 'SNOMED CT-AU'        else if ($tsnomed-id-a = 'snomedct') then 'SNOMED CT'        else '' " />
    <xsl:variable name="t-vers-a-old" select="if ($tsnomed-id-a = 'snomedctau' and $snomed-trans-a/@codeSystemVersion) then not(exists($ts-snomedctau[. = $snomed-trans-a/@codeSystemVersion]))         else if ($tsnomed-id-a = 'snomedctau' and $creation-date != '' and $ts-earliest-sctau-date != '') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $ts-earliest-sctau-date) = '1'         else if ($tsnomed-id-a = 'amtv3' and $snomed-trans-a/@codeSystemVersion) then not(exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion]))        else if ($tsnomed-id-a = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '1'         else false() " />
    <xsl:variable name="tsctau-ts-a" select="if ($tsctau-version-a = '' or not($t-vers-a-old)) then '' else substring-after($tsctau-version-a, '/version/') " />
    <xsl:variable name="tsctau-ts-a-xs" select="if ($tsctau-ts-a = '') then '' else concat(substring($tsctau-ts-a, 1, 4), '-', substring($tsctau-ts-a, 5, 2), '-', substring($tsctau-ts-a, 7, 2))" />
    <xsl:variable name="tsctau-ts-a-1" select="if ($tsctau-ts-a = '' or not($tsctau-ts-a-xs castable as xs:date)) then '' else string($sctau-last-xs - xs:date($tsctau-ts-a-xs)) " />
    <xsl:variable name="tsctau-ts-a-2" select="if ($tsctau-ts-a-1 = '' or not(matches($tsctau-ts-a-1, '^P[0-9]+D'))) then '' else substring-before(substring-after($tsctau-ts-a-1, 'P'), 'D') " />
    <xsl:variable name="tsctau-ts-a-63-err" select="$tsctau-ts-a-2 != '' and $tsctau-ts-a-2 &gt; $sctau-acceptable-age  " />
    <xsl:variable name="ts-tsnomed-version-a" select="if (not($tname-a-to-test) or not($tsnomed-id-a = 'snomedctau')) then ''        else if (not($snomed-trans-a/@codeSystemVersion)) then $ts-latest-snomedctau        else if ($tsnomed-id-a = 'snomedctau' and $snomed-trans-a/@codeSystemVersion and not($t-vers-a-old)) then $snomed-trans-a/@codeSystemVersion        else if ($t-vers-a-old and $ts-earliest-sctau-date != '') then concat('http://snomed.info/sct/32506021000036107/version/', $ts-earliest-sctau-date)        else $ts-latest-snomedctau " />
    <xsl:variable name="v-tsnomed-version-a" select="if (not($tsnomed-id-a = 'amtv3')) then ''        else if ($snomed-trans-a/@codeSystemVersion and exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($t-vers-a-old) then concat('http://snomed.info/sct/900062011000036108/version/', $v-earliest-amtv3-date)        else $v-latest-amtv3 " />
    <xsl:variable name="test-tname-a" select="$tname-a-to-test and not($ts-tsnomed-version-a = '' and $v-tsnomed-version-a = '') and not($tsctau-ts-a-63-err) " />
    <xsl:variable name="t-a-term-actual-1" select="if ($test-tname-a and $use-ts-for-sctau and $tsnomed-id-a = 'snomedctau')         then dh:FindPreferredTermUsingTS($tcode-a, '2.16.840.1.113883.6.96', $ts-tsnomed-version-a)         else if ($test-tname-a and exists($v-amtv3) and $tsnomed-id-a = 'amtv3')         then replace(dh:FindPreferredTermAndCaseSignificance($tcode-a, '2.16.840.1.113883.6.96', $v-tsnomed-version-a), '\|.*$', '', 'is')        else '' " />
    <xsl:variable name="error-usingTS-3" select="$error-usingTS-2 or $t-a-term-actual-1 = 'Error' " />
    <xsl:variable name="t-a-term-actual" select="if ($t-a-term-actual-1 = 'CodeNotFound' or $t-a-term-actual-1 = 'Error') then '' else $t-a-term-actual-1 " />
    <xsl:variable name="tname-a-invalid" select="$test-tname-a and $t-a-term-actual != '' and lower-case($t-a-term-actual) != lower-case($snomed-trans-a/@displayName) " />
    <xsl:variable name="thist-a-search" select="$test-tname-a and $tname-a-invalid and $ts-snomedctau-pre-ordered != '' " />
    <xsl:variable name="thist-a-vers-2" select="if ($thist-a-search) then index-of($hist-vers-1, substring-after($ts-tsnomed-version-a, 'version/')) else () " />
    <xsl:variable name="thist-a-vers-3" select="if (exists($thist-a-vers-2) and count($hist-vers-1) &gt; $thist-a-vers-2[1]) then $hist-vers-1[$thist-a-vers-2[1] + 1] else '' " />
    <xsl:variable name="thist-a-vers-4" select="if ($thist-a-vers-3 = '') then '' else concat('http://snomed.info/sct/32506021000036107/version/', $thist-a-vers-3) " />
    <xsl:variable name="thist-a-vers-5" select="if ($thist-a-vers-4 != '' and $use-ts-for-sctau)         then dh:FindLatestVersionWhereDisplaynameMatchUsingTS($tcode-a, '2.16.840.1.113883.6.96', $thist-a-vers-4, $snomed-trans-a/@displayName, false())         else '' " />
    <xsl:variable name="error-usingTS-4" select="$error-usingTS-3 or $thist-a-vers-5 = 'Error' " />
    <xsl:variable name="thist-a-vers-found-1" select="matches($thist-a-vers-5, 'http') " />
    <xsl:variable name="tcode-a-pterm-date-1" select="if (not($tname-a-invalid) or $thist-a-vers-found-1) then ''          else dh:LatestDateForPreferredTerm($tcode-a, '2.16.840.1.113883.6.96', $v-latest-snomedctau) " />
    <xsl:variable name="error-tcode-a-pterm-date" select="'Error' = $tcode-a-pterm-date-1" />
    <xsl:variable name="tcode-a-pterm-date-2" select="if (matches($tcode-a-pterm-date-1, '^[0-9]{8}\|')) then substring-before($tcode-a-pterm-date-1, '|') else '' " />
    <xsl:variable name="tcode-a-pterm-date-est" select="$tcode-a-pterm-date-2 != '' and dh:IsFirstDateEarlierThanSecondDate($creation-date, $tcode-a-pterm-date-2) = '0' " />
    <xsl:variable name="tcode-a-pterm-date" select="if ($tcode-a-pterm-date-est) then $tcode-a-pterm-date-2 else '' " />
    <xsl:variable name="thist-a-vers-6" select="if ($thist-a-vers-5 = 'PreferredTermNeverMatches' and not($tcode-a-pterm-date-est) and matches($tcode-a, $sctau-namespace-id-regex))         then dh:IsCodePreferredTermInTerminologyValid($tcode-a, '2.16.840.1.113883.6.96', $v-latest-amtv3, $snomed-trans-a/@displayName)        else '' " />
    <xsl:variable name="thist-a-vers-found-2" select="$thist-a-vers-6 = 'PreferredTermMatch' " />
    <xsl:variable name="thist-a-vers-7" select="if ($thist-a-vers-6 = 'PreferredTermMismatch' and not($tcode-a-pterm-date-est) and $v-latest-amtv2 = $last-amtv2)         then dh:IsCodePreferredTermInTerminologyValid($tcode-a, '1.2.36.1.2001.1004.100', $last-amtv2, $snomed-trans-a/@displayName)        else '' " />
    <xsl:variable name="thist-a-vers-found-3" select="$thist-a-vers-7 = 'PreferredTermMatch' " />
    <xsl:variable name="thist-a-vers-found" select="$thist-a-vers-found-1 or $thist-a-vers-found-2 or $thist-a-vers-found-3 or $tcode-a-pterm-date-est " />
    <xsl:variable name="thist-a-vers-date" select="if ($thist-a-vers-found-1) then substring-after($thist-a-vers-5, 'http://snomed.info/sct/32506021000036107/version/')         else if ($thist-a-vers-found-2) then substring-after($v-latest-amtv3, 'http://snomed.info/sct/900062011000036108/version/')        else if ($thist-a-vers-found-3) then $last-amtv2-date        else if ($tcode-a-pterm-date-est) then $tcode-a-pterm-date        else '' " />
    <xsl:variable name="thist-a-last-diff" select="if ($sctau-last = '' or $thist-a-vers-date = '') then ''        else iq:display-date-diff($thist-a-vers-date, $sctau-last)[2] " />
    <xsl:variable name="thist-a-last-old" select="$thist-a-last-diff != '' and not(number($thist-a-last-diff) &lt; $sctau-acceptable-age) " />
    <xsl:variable name="t-a-term-found-in" select="if ($thist-a-vers-found-1) then 'last used in the version of SNOMED CT-AU'        else if ($thist-a-vers-found-2) then 'used in the version of AMT v3'        else if ($thist-a-vers-found-3) then 'used in the version of AMT v2'        else '' " />
    <xsl:variable name="thist-a-last-msg" select="if ($tcode-a-pterm-date-est) then concat(' The preferred term was last changed in the version of SNOMED CT-AU published ',          iq:display-date($thist-a-vers-date),          ' so if the value of the translation code displayName was ever valid then it must be before then. ',          'That version was published ', $thist-a-last-diff, ' days before the version of SNOMED CT-AU published immediately prior to the date ''',         /cda:ClinicalDocument/cda:effectiveTime/@value, ''' that this ', $document-name,          ' was created. SNOMED CT-AU is published monthly and the Australian National Terminology Licence Agreement requires the copy used ',         'in healthcare software systems (live or production environments) to be updated within 30 days of the National Terminology release.')         else if (not($thist-a-last-old) or $t-a-term-found-in = '') then ''           else concat(' The value of the translation code displayName was ', $t-a-term-found-in, ' published on the ', iq:display-date($thist-a-vers-date),         '. That version was published ', $thist-a-last-diff, ' days before the version of SNOMED CT-AU published immediately prior to the date the ',        $document-name, ' was created. SNOMED CT-AU is published monthly and the Australian National Terminology Licence Agreement requires ',        'the copy used in healthcare software systems (live or production environments) to be updated within 30 days of the National Terminology release.')" />
    <xsl:variable name="tr-a-date-required" select="if (not($tname-a-invalid)) then ''        else if ($snomed-trans-a/@codeSystemVersion and matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1))          then substring-after($snomed-trans-a/@codeSystemVersion, '/version/')        else if ($creation-date-est) then ''        else $creation-date " />
    <xsl:variable name="tr-a-date-diff" select="if ($tr-a-date-required = '' or         not(dh:IsFirstDateEarlierThanSecondDate(substring-after($ts-tsnomed-version-a, '/version/'), $tr-a-date-required) = '1')) then ()        else iq:display-date-diff(substring-after($ts-tsnomed-version-a, '/version/'), $tr-a-date-required)" />
    <xsl:variable name="tr-a-old-ts-version" select="exists($tr-a-date-diff) and number($tr-a-date-diff[2]) &gt; 31 " />
    <xsl:variable name="snomed-trans-b" select="if (exists($snomed-trans-1)) then $snomed-trans-1[@code and not(@code = $tcode-a)] else () " />
    <xsl:variable name="tcode-b" select="if (exists($snomed-trans-b)) then $snomed-trans-b/@code else '' " />
    <xsl:variable name="tname-b-to-test" select="$tcode-b != '' and $snomed-trans-b/@displayName " />
    <xsl:variable name="tsctau-version-b" select="if (exists($snomed-trans-b/@codeSystemVersion) and matches($snomed-trans-b/@codeSystemVersion, $snomedctau-version-regex)) then $snomed-trans-b/@codeSystemVersion else '' " />
    <xsl:variable name="tsnomed-id-b" select="if (not($tname-b-to-test)) then 'none'        else if (not($snomed-trans-b/@codeSystemVersion) and          dh:IsFirstDateEarlierThanSecondDate($creation-date, substring-after($first-amt-in-sctau, '/version/')) = '1') then 'amtv3'        else if (not($snomed-trans-b/@codeSystemVersion)) then 'snomedctau'        else if (not($tsctau-version-b = '')) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-b/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="tsnomed-b-type" select="if ($tsnomed-id-b = 'amtv3') then 'AMT v3'        else if ($tsnomed-id-b = 'snomedctau') then 'SNOMED CT-AU'        else if ($tsnomed-id-b = 'snomedct') then 'SNOMED CT'        else '' " />
    <xsl:variable name="t-vers-b-old" select="if ($tsnomed-id-b = 'snomedctau' and $snomed-trans-b/@codeSystemVersion) then not(exists($ts-snomedctau[. = $snomed-trans-b/@codeSystemVersion]))         else if ($tsnomed-id-b = 'snomedctau' and $creation-date != '' and $ts-earliest-sctau-date != '') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $ts-earliest-sctau-date) = '1'         else if ($tsnomed-id-b = 'amtv3' and $snomed-trans-b/@codeSystemVersion) then not(exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion]))        else if ($tsnomed-id-b = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '1'         else false() " />
    <xsl:variable name="tsctau-ts-b" select="if ($tsctau-version-b = '' or not($t-vers-b-old)) then '' else substring-after($tsctau-version-b, '/version/') " />
    <xsl:variable name="tsctau-ts-b-xs" select="if ($tsctau-ts-b = '') then '' else concat(substring($tsctau-ts-b, 1, 4), '-', substring($tsctau-ts-b, 5, 2), '-', substring($tsctau-ts-b, 7, 2))" />
    <xsl:variable name="tsctau-ts-b-1" select="if ($tsctau-ts-b = '' or not($tsctau-ts-b-xs castable as xs:date)) then '' else string($sctau-last-xs - xs:date($tsctau-ts-b-xs)) " />
    <xsl:variable name="tsctau-ts-b-2" select="if ($tsctau-ts-b-1 = '' or not(matches($tsctau-ts-b-1, '^P[0-9]+D'))) then '' else substring-before(substring-after($tsctau-ts-b-1, 'P'), 'D') " />
    <xsl:variable name="tsctau-ts-b-63-err" select="$tsctau-ts-b-2 != '' and $tsctau-ts-b-2 &gt; $sctau-acceptable-age  " />
    <xsl:variable name="ts-tsnomed-version-b" select="if (not($tname-b-to-test) or not($tsnomed-id-b = 'snomedctau')) then ''        else if (not($snomed-trans-b/@codeSystemVersion)) then $ts-latest-snomedctau        else if ($tsnomed-id-b = 'snomedctau' and $snomed-trans-b/@codeSystemVersion and not($t-vers-b-old)) then $snomed-trans-b/@codeSystemVersion        else if ($t-vers-b-old and $ts-earliest-sctau-date != '') then concat('http://snomed.info/sct/32506021000036107/version/', $ts-earliest-sctau-date)        else $ts-latest-snomedctau " />
    <xsl:variable name="v-tsnomed-version-b" select="if (not($tsnomed-id-b = 'amtv3')) then ''        else if ($snomed-trans-b/@codeSystemVersion and exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($t-vers-b-old) then concat('http://snomed.info/sct/900062011000036108/version/', $v-earliest-amtv3-date)        else $v-latest-amtv3 " />
    <xsl:variable name="test-tname-b" select="$tname-b-to-test and not($ts-tsnomed-version-b = '' and $v-tsnomed-version-b = '') and not($tsctau-ts-b-63-err) " />
    <xsl:variable name="t-b-term-actual-1" select="if ($test-tname-b and $use-ts-for-sctau and $tsnomed-id-b = 'snomedctau')        then dh:FindPreferredTermUsingTS($tcode-b, '2.16.840.1.113883.6.96', $ts-tsnomed-version-b)        else if ($test-tname-b and exists($v-amtv3) and $tsnomed-id-b = 'amtv3')        then replace(dh:FindPreferredTermAndCaseSignificance($tcode-b, '2.16.840.1.113883.6.96', $v-tsnomed-version-b), '\|.*$', '', 'is')       else '' " />
    <xsl:variable name="error-usingTS-5" select="$error-usingTS-4 or $t-b-term-actual-1 = 'Error' " />
    <xsl:variable name="t-b-term-actual" select="if ($t-b-term-actual-1 = 'CodeNotFound' or $t-b-term-actual-1 = 'Error') then '' else $t-b-term-actual-1 " />
    <xsl:variable name="tname-b-invalid" select="$test-tname-b and $t-b-term-actual != '' and lower-case($t-b-term-actual) != lower-case($snomed-trans-b/@displayName) " />
    <xsl:variable name="thist-b-search" select="$test-tname-b and $tname-b-invalid and $ts-snomedctau-pre-ordered != '' " />
    <xsl:variable name="thist-b-vers-2" select="if ($thist-b-search) then index-of($hist-vers-1, substring-after($ts-tsnomed-version-b, 'version/')) else () " />
    <xsl:variable name="thist-b-vers-3" select="if (exists($thist-b-vers-2) and count($hist-vers-1) &gt; $thist-b-vers-2[1]) then $hist-vers-1[$thist-b-vers-2[1] + 1] else '' " />
    <xsl:variable name="thist-b-vers-4" select="if ($thist-b-vers-3 = '') then '' else concat('http://snomed.info/sct/32506021000036107/version/', $thist-b-vers-3) " />
    <xsl:variable name="thist-b-vers-5" select="if ($thist-b-vers-4 != '' and $use-ts-for-sctau)         then dh:FindLatestVersionWhereDisplaynameMatchUsingTS($tcode-b, '2.16.840.1.113883.6.96', $thist-b-vers-4, $snomed-trans-b/@displayName, false())         else '' " />
    <xsl:variable name="error-usingTS-6" select="$error-usingTS-5 or $thist-b-vers-5 = 'Error' " />
    <xsl:variable name="thist-b-vers-found-1" select="matches($thist-b-vers-5, 'http') " />
    <xsl:variable name="tcode-b-pterm-date-1" select="if (not($tname-b-invalid) or $thist-b-vers-found-1) then ''          else dh:LatestDateForPreferredTerm($tcode-b, '2.16.840.1.113883.6.96', $v-latest-snomedctau) " />
    <xsl:variable name="error-tcode-b-pterm-date" select="'Error' = $tcode-b-pterm-date-1" />
    <xsl:variable name="tcode-b-pterm-date-2" select="if (matches($tcode-b-pterm-date-1, '^[0-9]{8}\|')) then substring-before($tcode-b-pterm-date-1, '|') else '' " />
    <xsl:variable name="tcode-b-pterm-date-est" select="$tcode-b-pterm-date-2 != '' and dh:IsFirstDateEarlierThanSecondDate($creation-date, $tcode-b-pterm-date-2) = '0' " />
    <xsl:variable name="tcode-b-pterm-date" select="if ($tcode-b-pterm-date-est) then $tcode-b-pterm-date-2 else '' " />
    <xsl:variable name="thist-b-vers-6" select="if ($thist-b-vers-5 = 'PreferredTermNeverMatches' and not($tcode-b-pterm-date-est) and matches($tcode-b, $sctau-namespace-id-regex))         then dh:IsCodePreferredTermInTerminologyValid($tcode-b, '2.16.840.1.113883.6.96', $v-latest-amtv3, $snomed-trans-b/@displayName)        else '' " />
    <xsl:variable name="thist-b-vers-found-2" select="$thist-b-vers-6 = 'PreferredTermMatch' " />
    <xsl:variable name="thist-b-vers-7" select="if ($thist-b-vers-6 = 'PreferredTermMismatch' and not($tcode-b-pterm-date-est) and $v-latest-amtv2 = $last-amtv2)         then dh:IsCodePreferredTermInTerminologyValid($tcode-b, '1.2.36.1.2001.1004.100', $last-amtv2, $snomed-trans-b/@displayName)        else '' " />
    <xsl:variable name="thist-b-vers-found-3" select="$thist-b-vers-7 = 'PreferredTermMatch' " />
    <xsl:variable name="thist-b-vers-found" select="$thist-b-vers-found-1 or $thist-b-vers-found-2 or $thist-b-vers-found-3 or $tcode-b-pterm-date-est " />
    <xsl:variable name="thist-b-vers-date" select="if ($thist-b-vers-found-1) then substring-after($thist-b-vers-5, 'http://snomed.info/sct/32506021000036107/version/')         else if ($thist-b-vers-found-2) then substring-after($v-latest-amtv3, 'http://snomed.info/sct/900062011000036108/version/')        else if ($thist-b-vers-found-3) then $last-amtv2-date        else if ($tcode-b-pterm-date-est) then $tcode-b-pterm-date        else '' " />
    <xsl:variable name="thist-b-last-diff" select="if ($sctau-last = '' or $thist-b-vers-date = '') then ''        else iq:display-date-diff($thist-b-vers-date, $sctau-last)[2] " />
    <xsl:variable name="thist-b-last-old" select="$thist-b-last-diff != '' and not(number($thist-b-last-diff) &lt; $sctau-acceptable-age) " />
    <xsl:variable name="t-b-term-found-in" select="if ($thist-b-vers-found-1) then 'last used in the version of SNOMED CT-AU'        else if ($thist-b-vers-found-2) then 'used in the version of AMT v3'        else if ($thist-b-vers-found-3) then 'used in the version of AMT v2'        else '' " />
    <xsl:variable name="thist-b-last-msg" select="if ($tcode-b-pterm-date-est) then concat(' The preferred term was last changed in the version of SNOMED CT-AU published ',          iq:display-date($thist-b-vers-date),          ' so if the value of the translation code displayName was ever valid then it must be before then. ',          'That version was published ', $thist-b-last-diff, ' days before the version of SNOMED CT-AU published immediately prior to the date ''',         /cda:ClinicalDocument/cda:effectiveTime/@value, ''' that this ', $document-name,          ' was created. SNOMED CT-AU is published monthly and the Australian National Terminology Licence Agreement requires the copy used ',         'in healthcare software systems (live or production environments) to be updated within 30 days of the National Terminology release.')        else if (not($thist-b-last-old) or $t-b-term-found-in = '') then ''           else concat(' The value of the translation code displayName was ', $t-b-term-found-in,         ' published on the ', iq:display-date($thist-b-vers-date),         '. That version was published ', $thist-b-last-diff, ' days before the version of SNOMED CT-AU published immediately prior to the date the ',        $document-name, ' was created. SNOMED CT-AU is published monthly and the Australian National Terminology Licence Agreement requires ',        'the copy used in healthcare software systems (live or production environments) to be updated within 30 days of the National Terminology release.')" />
    <xsl:variable name="tr-b-date-required" select="if (not($tname-b-invalid)) then ''        else if ($snomed-trans-b/@codeSystemVersion and matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1))          then substring-after($snomed-trans-b/@codeSystemVersion, '/version/')        else if ($creation-date-est) then ''        else $creation-date " />
    <xsl:variable name="tr-b-date-diff" select="if ($tr-b-date-required = '' or         not(dh:IsFirstDateEarlierThanSecondDate(substring-after($ts-tsnomed-version-b, '/version/'), $tr-b-date-required) = '1')) then ()        else iq:display-date-diff(substring-after($ts-tsnomed-version-b, '/version/'), $tr-b-date-required)" />
    <xsl:variable name="tr-b-old-ts-version" select="exists($tr-b-date-diff) and number($tr-b-date-diff[2]) &gt; 31 " />
    <xsl:variable name="psnomed-version-msg" select="if (not($pname-to-test) or $psctau-ts-63-err) then ''        else if (not(@codeSystemVersion) and $psnomed-id = 'snomedctau' and $pvers-old)          then concat(' The terminology server did not have a version of SNOMED CT-AU published before the date the clinical document was created (',         /cda:ClinicalDocument/cda:effectiveTime/@value, ') so the ''',          $ts-psnomed-version, ''' version of the SNOMED CT-AU code system was used in the assessment.')        else if (not(@codeSystemVersion) and $psnomed-id = 'amtv3' and $pvers-old)          then concat(' The terminology server did not have a version of AMT v3 published before the date the clinical document was created (',         /cda:ClinicalDocument/cda:effectiveTime/@value, ') so the ''',          $v-psnomed-version, ''' version of the AMT v3 code system was used in the assessment.')        else if (not(@codeSystemVersion) and $psnomed-id = 'amtv3') then concat(' The data element did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the AMT v3 code system was used in the assessment.')        else if (not(@codeSystemVersion)) then concat(' The data element did not contain the codeSystemVersion attribute so the ''',          $ts-psnomed-version, ''' version of the SNOMED CT-AU code system was used in the assessment.')        else if ($psnomed-id = 'snomedctau' and not($pvers-old)) then          concat(' The ''', $ts-psnomed-version, ''' version of the code system was used to validate the SNOMED CT-AU code.')        else if ($psnomed-id = 'snomedctau' and $pvers-old) then          concat(' The codeSystemVersion attribute has the correct format for SNOMED CT-AU ''', @codeSystemVersion,          ''' but that version is not present in the Terminology Server.')        else if ($psnomed-id = 'amtv3') then         concat(' The codeSystemVersion attribute has the correct format for AMT v3 ''', @codeSystemVersion,          ''' but that version was not available to use in the assessment.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1) or matches(@codeSystemVersion, $snomed-version-regex-2)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system was not available to use in the assessment.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' .') " />
    <xsl:variable name="tsnomed-version-a-msg" select="if (not($tname-a-to-test) or $tsctau-ts-a-63-err) then ''        else if (not($snomed-trans-a/@codeSystemVersion) and $tsnomed-id-a = 'snomedctau' and $t-vers-a-old)          then concat(' The terminology server did not have a version of SNOMED CT-AU published before the date the clinical document was created (',         /cda:ClinicalDocument/cda:effectiveTime/@value, ') so the ''',          $ts-tsnomed-version-a, ''' version of the SNOMED CT-AU code system was used in the assessment.')        else if (not($snomed-trans-a/@codeSystemVersion) and $tsnomed-id-a = 'amtv3' and $t-vers-a-old)          then concat(' The Clinical Package Validator did not have a version of AMT v3 published before the date the clinical document was created (',         /cda:ClinicalDocument/cda:effectiveTime/@value, ') so the ''',          $v-tsnomed-version-a, ''' version of the AMT v3 code system was used in the assessment.')        else if (not($snomed-trans-a/@codeSystemVersion) and $tsnomed-id-a = 'amtv3')          then concat(' The data element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-a, ''' version of the AMT v3 code system was used in the assessment.')        else if (not($snomed-trans-a/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $ts-tsnomed-version-a, ''' version of the SNOMED CT-AU code system was used in the assessment.')         else if ($tsnomed-id-a = 'snomedctau' and not($t-vers-a-old)) then          concat(' The ''', $ts-tsnomed-version-a, ''' version of the code system was used to validate the SNOMED CT-AU code.')        else if ($tsnomed-id-a = 'snomedctau' and $t-vers-a-old) then          concat(' The codeSystemVersion attribute has the correct format for SNOMED CT-AU ''', $snomed-trans-a/@codeSystemVersion,          ''' but that version is not present in the Terminology Server.')        else if ($tsnomed-id-a = 'amtv3') then         concat(' The codeSystemVersion attribute has the correct format for AMT v3 ''', $snomed-trans-a/@codeSystemVersion,          ''' but that version was not available to use in the assessment.')        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1) or matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-2))         then concat(' The ''', $snomed-trans-a/@codeSystemVersion, ''' version of the code system was not available to use in the assessment.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-a/@codeSystemVersion, '''.') " />
    <xsl:variable name="tsnomed-version-b-msg" select="if (not($tname-b-to-test) or $ts-tsnomed-version-b = '' or $tsctau-ts-b-63-err) then ''        else if (not($snomed-trans-b/@codeSystemVersion) and $tsnomed-id-b = 'snomedctau' and $t-vers-b-old)          then concat(' The terminology server did not have a version of SNOMED CT-AU published before the date the clinical document was created (',         /cda:ClinicalDocument/cda:effectiveTime/@value, ') so the ''',          $ts-tsnomed-version-b, ''' version of the SNOMED CT-AU code system was used in the assessment.')        else if (not($snomed-trans-b/@codeSystemVersion) and $tsnomed-id-b = 'amtv3' and $t-vers-b-old)          then concat(' The Clinical Package Validator did not have a version of AMT v3 published before the date the clinical document was created (',         /cda:ClinicalDocument/cda:effectiveTime/@value, ') so the ''',          $v-tsnomed-version-b, ''' version of the AMT v3 code system was used in the assessment.')        else if (not($snomed-trans-b/@codeSystemVersion) and $tsnomed-id-b = 'amtv3')          then concat(' The data element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-b, ''' version of the AMT v3 code system was used in the assessment.')        else if (not($snomed-trans-b/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $ts-tsnomed-version-b, ''' version of the SNOMED CT-AU code system was used in the assessment.')         else if ($tsnomed-id-b = 'snomedctau' and not($t-vers-b-old)) then          concat(' The ''', $ts-tsnomed-version-b, ''' version of the code system was used to validate the SNOMED CT-AU code.')        else if ($tsnomed-id-b = 'snomedctau' and $t-vers-b-old) then          concat(' The codeSystemVersion attribute has the correct format for SNOMED CT-AU ''', $snomed-trans-b/@codeSystemVersion,          ''' but that version is not present in the Terminology Server.')        else if ($tsnomed-id-b = 'amtv3') then         concat(' The codeSystemVersion attribute has the correct format for AMT v3 ''', $snomed-trans-b/@codeSystemVersion,          ''' but that version was not available to use in the assessment.')        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1) or matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-2))         then concat(' The ''', $snomed-trans-b/@codeSystemVersion, ''' version of the code system was not available to use in the assessment.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-b/@codeSystemVersion, '''.') " />
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and ($pname-to-test or $tname-a-to-test or $tname-b-to-test) and not($use-ts-for-sctau) and    not($psctau-ts-63-err or $tsctau-ts-a-63-err or $tsctau-ts-b-63-err) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and ($pname-to-test or $tname-a-to-test or $tname-b-to-test) and not($use-ts-for-sctau) and not($psctau-ts-63-err or $tsctau-ts-a-63-err or $tsctau-ts-b-63-err)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /><xsl:text /><xsl:value-of select="if ($tname-a-to-test) then concat(' and translation ', iq:display-CD($snomed-trans-a)) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($tname-b-to-test) then concat(' and translation ', iq:display-CD($snomed-trans-b)) else '' " /><xsl:text />
		A terminology server with SNOMED CT-AU codes was not available so it was not possible to verify that the AMT code contains the preferred term for the displayName.
		Confirm that the value of the displayName attribute meets the requirement that it be the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use for Therapeutic Good Identification in the Structured Content Specification.) 

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-6 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-6">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-GCD: An error was reported when accessing the terminology server. The analysis should be retried as the terminology server may have been temporarily unavailable.
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.
		<xsl:text /><xsl:value-of select="if ($p-term-actual-1 = 'Error') then concat(' The error occurred when calling the function FindPreferredTermUsingTS with code ''', $pcode,    ''', codeSystem ''2.16.840.1.113883.6.96'' and codeSystemVersion ''', $ts-psnomed-version, '''.')   else if ($t-a-term-actual-1 = 'Error') then concat(' The error occurred when calling the function FindPreferredTermUsingTS with code ''', $tcode-a,    ''', codeSystem ''2.16.840.1.113883.6.96'' and codeSystemVersion ''', $ts-tsnomed-version-a, '''.')   else if ($t-b-term-actual-1 = 'Error') then concat(' The error occurred when calling the function FindPreferredTermUsingTS with code ''', $tcode-b,    ''', codeSystem ''2.16.840.1.113883.6.96'' and codeSystemVersion ''', $ts-tsnomed-version-b, '''.')   else if ($phist-vers-5 = 'Error') then concat(' The error occurred when calling the function FindLatestVersionWhereDisplaynameMatchUsingTS with code ''', @code,    ''', codeSystem ''2.16.840.1.113883.6.96'', initialVersion ''', $phist-vers-4, ''', displayName ''', @displayName, ''' and enforceCase ''false()''.')   else if ($thist-a-vers-5 = 'Error') then concat(' The error occurred when calling the function FindLatestVersionWhereDisplaynameMatchUsingTS with code ''', $tcode-a,    ''', codeSystem ''2.16.840.1.113883.6.96'', initialVersion ''', $thist-a-vers-4, ''', displayName ''', $snomed-trans-a/@displayName, ''' and enforceCase ''false()''.')   else if ($thist-b-vers-5 = 'Error') then concat(' The error occurred when calling the function FindLatestVersionWhereDisplaynameMatchUsingTS with code ''', $tcode-b,    ''', codeSystem ''2.16.840.1.113883.6.96'', initialVersion ''', $thist-b-vers-4, ''', displayName ''', $snomed-trans-b/@displayName, ''' and enforceCase ''false()''.')    else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-pcode-pterm-date ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-pcode-pterm-date">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$pcode-pterm-date-1" /><xsl:text /> was returned when calling the function LatestDateForPreferredTerm with
		code '<xsl:text /><xsl:value-of select="$pcode" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-latest-snomedctau" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$phist-vers-6 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$phist-vers-6 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$phist-vers-6" /><xsl:text /> was returned when calling the function IsCodePreferredTermInTerminologyValid with
		code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96', codeSystemVersion '<xsl:text /><xsl:value-of select="$v-latest-amtv3" /><xsl:text />' and
		displayName '<xsl:text /><xsl:value-of select="@displayName" /><xsl:text />'. The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$phist-vers-7 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$phist-vers-7 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$phist-vers-7" /><xsl:text /> was returned when calling the function IsCodePreferredTermInTerminologyValid with
		code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />', codeSystem '1.2.36.1.2001.1004.100', codeSystemVersion '<xsl:text /><xsl:value-of select="$last-amtv2" /><xsl:text />' and
		displayName '<xsl:text /><xsl:value-of select="@displayName" /><xsl:text />'. The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $pname-to-test and (not($test-pname) or ($pname-invalid and $pvers-old)) and not($pcode-pterm-date-est or $psctau-ts-63-err)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pname-to-test and (not($test-pname) or ($pname-invalid and $pvers-old)) and not($pcode-pterm-date-est or $psctau-ts-63-err)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		Confirm that the value of the displayName attribute is the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use for Therapeutic Good Identification in the Structured Content Specification.)<xsl:text /><xsl:value-of select="$psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $pname-to-test and $pname-invalid and (not($pvers-old) or $pcode-pterm-date-est) and    (not($phist-vers-found) or ($phist-vers-found and $phist-last-old)) and not($p-old-ts-version)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pname-to-test and $pname-invalid and (not($pvers-old) or $pcode-pterm-date-est) and (not($phist-vers-found) or ($phist-vers-found and $phist-last-old)) and not($p-old-ts-version)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. The value of the displayName attribute does not meet the requirement that it be the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use for Therapeutic Good Identification in the Structured Content Specification.) <xsl:text /><xsl:value-of select="$phist-last-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($p-term-actual = '') then ''   else if ($ts-psnomed-version != '') then concat(' According to the ''', $ts-psnomed-version, ''' version of SNOMED CT-AU the correct value for the preferred term is ''',   dh:XQueryRecursiveReplace($p-term-actual, $markup-pattern-replacement, 'ic'), '''.')   else concat(' According to the ''', $v-psnomed-version, ''' version of AMT v3 the correct value for the preferred term is ''',   dh:XQueryRecursiveReplace($p-term-actual, $markup-pattern-replacement, 'ic'), '''.') " /><xsl:text />'

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $pname-to-test and $pname-invalid and (not($pvers-old) or $pcode-pterm-date-est) and    (not($phist-vers-found) or ($phist-vers-found and $phist-last-old)) and $p-old-ts-version">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pname-to-test and $pname-invalid and (not($pvers-old) or $pcode-pterm-date-est) and (not($phist-vers-found) or ($phist-vers-found and $phist-last-old)) and $p-old-ts-version">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. The value of the displayName attribute may not meet the requirement that it be the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use for Therapeutic Good Identification in the Structured Content Specification.) According to the '<xsl:text /><xsl:value-of select="$ts-psnomed-version" /><xsl:text />' version of SNOMED CT-AU the correct value for the preferred term is
		'<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($p-term-actual, $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		However that version of SNOMED CT-AU in the Terminology Server was published on the <xsl:text /><xsl:value-of select="iq:display-date(substring-after($ts-psnomed-version, '/version/'))" /><xsl:text />
		which is <xsl:text /><xsl:value-of select="$p-date-diff" /><xsl:text /> before the <xsl:text /><xsl:value-of select="if (@codeSystemVersion and matches(@codeSystemVersion, $snomed-version-regex-1)) then   'value of the codeSystemVersion attribute' else concat('date the ', $document-name, ' was created')" /><xsl:text /> which is <xsl:text /><xsl:value-of select="iq:display-date($creation-date)" /><xsl:text />.
		Use a more recently published version of SNOMED CT-AU to confirm if the value of the displayName attribute is the preferred term for the code.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> has 
		<xsl:text /><xsl:value-of select="if ($numbers/number[number(@value) = count($snomed-trans-2)])        then $numbers/number[number(@value) = count($snomed-trans-2)]/@name        else count($snomed-trans-2)" /><xsl:text /> translation elements with
		distinct codes and the SNOMED CT codeSystem '2.16.840.1.113883.6.96'. The first translation element has been assessed to determine if the value of the displayName is the preferred term and
		the others have not been assessed. Confirm if the value of the displayName attribute in all SNOMED CT translation elements meets the requirement that it be the preferred term, also known as
		the preferred synonym, for the code. (See the Conditions of Use in the definition of Therapeutic Good Identification in the Conditions of Use for Therapeutic Good Identification in the Structured Content Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-tcode-a-pterm-date ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-tcode-a-pterm-date">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$tcode-a-pterm-date-1" /><xsl:text /> was returned when calling the function LatestDateForPreferredTerm with
		code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-latest-snomedctau" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$thist-a-vers-6 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$thist-a-vers-6 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$thist-a-vers-6" /><xsl:text /> was returned when calling the function IsCodePreferredTermInTerminologyValid with
		code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', '2.16.840.1.113883.6.96', codeSystemVersion '<xsl:text /><xsl:value-of select="$v-latest-amtv3" /><xsl:text />' and
		displayName '<xsl:text /><xsl:value-of select="$snomed-trans-a/@displayName" /><xsl:text />'. The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$thist-a-vers-7 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$thist-a-vers-7 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$thist-a-vers-7" /><xsl:text /> was returned when calling the function IsCodePreferredTermInTerminologyValid with
		code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', codeSystem '1.2.36.1.2001.1004.100', codeSystemVersion '<xsl:text /><xsl:value-of select="$last-amtv2" /><xsl:text />' and
		displayName '<xsl:text /><xsl:value-of select="$snomed-trans-a/@displayName" /><xsl:text />'. The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-tcode-b-pterm-date ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-tcode-b-pterm-date">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$tcode-b-pterm-date-1" /><xsl:text /> was returned when calling the function LatestDateForPreferredTerm with
		code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-latest-snomedctau" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$thist-b-vers-6 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$thist-b-vers-6 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$thist-b-vers-6" /><xsl:text /> was returned when calling the function IsCodePreferredTermInTerminologyValid with
		code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', '2.16.840.1.113883.6.96', codeSystemVersion '<xsl:text /><xsl:value-of select="$v-latest-amtv3" /><xsl:text />' and
		displayName '<xsl:text /><xsl:value-of select="$snomed-trans-b/@displayName" /><xsl:text />'. The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$thist-b-vers-7 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$thist-b-vers-7 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$thist-b-vers-7" /><xsl:text /> was returned when calling the function IsCodePreferredTermInTerminologyValid with
		code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', codeSystem '1.2.36.1.2001.1004.100', codeSystemVersion '<xsl:text /><xsl:value-of select="$last-amtv2" /><xsl:text />' and
		displayName '<xsl:text /><xsl:value-of select="$snomed-trans-b/@displayName" /><xsl:text />'. The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $tname-a-to-test and (not($test-tname-a) or ($tname-a-invalid and $t-vers-a-old)) and not($tcode-a-pterm-date-est or $tsctau-ts-a-63-err) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tname-a-to-test and (not($test-tname-a) or ($tname-a-invalid and $t-vers-a-old)) and not($tcode-a-pterm-date-est or $tsctau-ts-a-63-err)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> has translation <xsl:text /><xsl:value-of select="iq:display-CD($snomed-trans-a)" /><xsl:text />.
		Confirm that the value of the translation code displayName attribute is the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use for Therapeutic Good Identification in the Structured Content Specification.)<xsl:text /><xsl:value-of select="$tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $tname-b-to-test and (not($test-tname-b) or ($tname-b-invalid and $t-vers-b-old)) and not($tcode-b-pterm-date-est or $tsctau-ts-b-63-err) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tname-b-to-test and (not($test-tname-b) or ($tname-b-invalid and $t-vers-b-old)) and not($tcode-b-pterm-date-est or $tsctau-ts-b-63-err)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> has translation <xsl:text /><xsl:value-of select="iq:display-CD($snomed-trans-b)" /><xsl:text />.
		Confirm that the value of the translation code displayName attribute is the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use for Therapeutic Good Identification in the Structured Content Specification.)<xsl:text /><xsl:value-of select="$tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tcode-a = '') and $tname-a-invalid and (not($t-vers-a-old) or $tcode-a-pterm-date-est) and    (not($thist-a-vers-found) or ($thist-a-vers-found and $thist-a-last-old)) and not($tr-a-old-ts-version)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tcode-a = '') and $tname-a-invalid and (not($t-vers-a-old) or $tcode-a-pterm-date-est) and (not($thist-a-vers-found) or ($thist-a-vers-found and $thist-a-last-old)) and not($tr-a-old-ts-version)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> has translation <xsl:text /><xsl:value-of select="iq:display-CD($snomed-trans-a)" /><xsl:text />.
		The value of the translation code displayName attribute does not meet the requirement that it be the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use for Therapeutic Good Identification in the Structured Content Specification.) <xsl:text /><xsl:value-of select="$thist-a-last-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($t-a-term-actual = '') then ''   else if ($ts-tsnomed-version-a != '') then concat(' According to the ''', $ts-tsnomed-version-a, ''' version of SNOMED CT-AU the correct value for the preferred term is ''',   dh:XQueryRecursiveReplace($t-a-term-actual, $markup-pattern-replacement, 'ic'), '''.')   else concat(' According to the ''', $v-tsnomed-version-a, ''' version of AMT v3 the correct value for the preferred term is ''',   dh:XQueryRecursiveReplace($t-a-term-actual, $markup-pattern-replacement, 'ic'), '''.') " /><xsl:text />'

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not($tcode-a = '') and $tname-a-invalid and (not($t-vers-a-old) or $tcode-a-pterm-date-est) and    (not($thist-a-vers-found) or ($thist-a-vers-found and $thist-a-last-old)) and $tr-a-old-ts-version">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not($tcode-a = '') and $tname-a-invalid and (not($t-vers-a-old) or $tcode-a-pterm-date-est) and (not($thist-a-vers-found) or ($thist-a-vers-found and $thist-a-last-old)) and $tr-a-old-ts-version">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> has translation <xsl:text /><xsl:value-of select="iq:display-CD($snomed-trans-a)" /><xsl:text />.
		The value of the translation code displayName attribute may not meet the requirement that it be the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use for Therapeutic Good Identification in the Structured Content Specification.) According to the '<xsl:text /><xsl:value-of select="$ts-tsnomed-version-a" /><xsl:text />' version of SNOMED CT-AU the correct value for the preferred term is
		'<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($t-a-term-actual, $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		However that version of SNOMED CT-AU in the Terminology Server was published on the <xsl:text /><xsl:value-of select="iq:display-date(substring-after($ts-tsnomed-version-a, '/version/'))" /><xsl:text />
		which is <xsl:text /><xsl:value-of select="$tr-a-date-diff" /><xsl:text /> before the <xsl:text /><xsl:value-of select="if ($snomed-trans-a/@codeSystemVersion and matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1))    then 'value of the translation codeSystemVersion attribute' else concat('date the ', $document-name, ' was created')" /><xsl:text /> which is <xsl:text /><xsl:value-of select="iq:display-date($creation-date)" /><xsl:text />.
		Use a more recently published version of SNOMED CT-AU to confirm if the value of the displayName attribute is the preferred term for the translation code.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tcode-b = '') and $tname-b-invalid and (not($t-vers-b-old) or $tcode-b-pterm-date-est) and    (not($thist-b-vers-found) or ($thist-b-vers-found and $thist-b-last-old)) and not($tr-b-old-ts-version)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tcode-b = '') and $tname-b-invalid and (not($t-vers-b-old) or $tcode-b-pterm-date-est) and (not($thist-b-vers-found) or ($thist-b-vers-found and $thist-b-last-old)) and not($tr-b-old-ts-version)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> has translation <xsl:text /><xsl:value-of select="iq:display-CD($snomed-trans-b)" /><xsl:text />.
		The value of the translation code displayName attribute does not meet the requirement that it be the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use for Therapeutic Good Identification in the Structured Content Specification.) <xsl:text /><xsl:value-of select="$thist-b-last-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($t-b-term-actual = '') then ''   else if ($ts-tsnomed-version-b != '') then concat(' According to the ''', $ts-tsnomed-version-b, ''' version of SNOMED CT-AU the correct value for the preferred term is ''',   dh:XQueryRecursiveReplace($t-b-term-actual, $markup-pattern-replacement, 'ic'), '''.')   else concat(' According to the ''', $v-tsnomed-version-b, ''' version of AMT v3 the correct value for the preferred term is ''',   dh:XQueryRecursiveReplace($t-b-term-actual, $markup-pattern-replacement, 'ic'), '''.') " /><xsl:text />'

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not($tcode-b = '') and $tname-b-invalid and (not($t-vers-b-old) or $tcode-b-pterm-date-est) and    (not($thist-b-vers-found) or ($thist-b-vers-found and $thist-b-last-old)) and $tr-b-old-ts-version">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not($tcode-b = '') and $tname-b-invalid and (not($t-vers-b-old) or $tcode-b-pterm-date-est) and (not($thist-b-vers-found) or ($thist-b-vers-found and $thist-b-last-old)) and $tr-b-old-ts-version">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> has translation <xsl:text /><xsl:value-of select="iq:display-CD($snomed-trans-b)" /><xsl:text />.
		The value of the translation code displayName attribute may not meet the requirement that it be the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use for Therapeutic Good Identification in the Structured Content Specification.) According to the '<xsl:text /><xsl:value-of select="$ts-tsnomed-version-b" /><xsl:text />' version of SNOMED CT-AU the correct value for the preferred term is
		'<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($t-b-term-actual, $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		However that version of SNOMED CT-AU in the Terminology Server was published on the <xsl:text /><xsl:value-of select="iq:display-date(substring-after($ts-tsnomed-version-b, '/version/'))" /><xsl:text />
		which is <xsl:text /><xsl:value-of select="$tr-b-date-diff" /><xsl:text /> before the <xsl:text /><xsl:value-of select="if ($snomed-trans-b/@codeSystemVersion and matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1))    then 'value of the translation codeSystemVersion attribute' else concat('date the ', $document-name, ' was created')" /><xsl:text /> which is <xsl:text /><xsl:value-of select="iq:display-date($creation-date)" /><xsl:text />.
		Use a more recently published version of SNOMED CT-AU to confirm if the value of the displayName attribute is the preferred term for the translation code.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M460" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M460" />
  <xsl:template match="@*|node()" priority="-2" mode="M460">
    <xsl:apply-templates select="@*|*" mode="M460" />
  </xsl:template>
  <!--PATTERN p-TS-Immun-CodeableText-14-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16638' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16638']]/cda:entry/cda:substanceAdministration/cda:consumable/   cda:manufacturedProduct/cda:manufacturedMaterial/cda:code   [(@displayName and matches(@displayName, '[a-z0-9]', 'i')) or (cda:originalText and matches(cda:originalText, '[a-z0-9]', 'i'))] " priority="1000" mode="M461">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16638' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16638']]/cda:entry/cda:substanceAdministration/cda:consumable/   cda:manufacturedProduct/cda:manufacturedMaterial/cda:code   [(@displayName and matches(@displayName, '[a-z0-9]', 'i')) or (cda:originalText and matches(cda:originalText, '[a-z0-9]', 'i'))] " />
    <xsl:variable name="section1" select="if (cda:originalText) then /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//cda:section   [cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = ('101.16672', '101.16006', '101.20109', '102.15513.4.1.1', '101.20117', '101.16611', '102.20158', '101.16606', '102.16347')]]   [contains(translate(normalize-space(lower-case(cda:text)), $chars-to-remove, ''), translate(normalize-space(lower-case(current()/cda:originalText)), $chars-to-remove, ''))] else ()" />
    <xsl:variable name="section2" select="if (@displayName) then /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//cda:section   [cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = ('101.16672', '101.16006', '101.20109', '102.15513.4.1.1', '101.20117', '101.16611', '102.20158', '101.16606', '102.16347')]]   [contains(translate(normalize-space(lower-case(cda:text)), $chars-to-remove, ''), translate(normalize-space(lower-case(current()/@displayName)), $chars-to-remove, ''))] else ()" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-2" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-2 " />
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $section1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $section1">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step-2" /><xsl:text />: TC-Narr-09 step 2: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has originalText with the value
		'<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />' and this was also found in the narrative of the <xsl:text /><xsl:value-of select="$section1/cda:title" /><xsl:text /> section. Confirm by manual inspection that the information
		about '<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />' in the <xsl:text /><xsl:value-of select="$section1/cda:title" /><xsl:text /> section does not contradict information about '<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. Also check other sections in the document for information about '<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />'.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not($section1) and $section2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not($section1) and $section2">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step-2" /><xsl:text />: TC-Narr-09 step 2: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a displayName attribute with the value '<xsl:text /><xsl:value-of select="@displayName" /><xsl:text />' and this was also found in the narrative of the
		<xsl:text /><xsl:value-of select="$section2/cda:title" /><xsl:text /> section. Confirm by manual inspection that the information about
		'<xsl:text /><xsl:value-of select="@displayName" /><xsl:text />' in the <xsl:text /><xsl:value-of select="$section2/cda:title" /><xsl:text /> section does not contradict information about '<xsl:text /><xsl:value-of select="@displayName" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. Also check other sections in the document for information about '<xsl:text /><xsl:value-of select="@displayName" /><xsl:text />'.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M461" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M461" />
  <xsl:template match="@*|node()" priority="-2" mode="M461">
    <xsl:apply-templates select="@*|*" mode="M461" />
  </xsl:template>
  <!--PATTERN p-TS-Immun-CodedText-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16638' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16638']]/   cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.120.1.5']]/cda:value " priority="1000" mode="M462">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16638' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16638']]/   cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.120.1.5']]/cda:value " />
    <xsl:variable name="tc-types-49-err" select="@nullFlavor = ('PINF', 'NINF', 'QS', 'TRC') or (@nullFlavor='UNC' and (not(cda:originalText) or normalize-space(cda:originalText) = '')) " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="family-err" select="cda:originalText and matches(cda:originalText, $family-regex, 'i')" />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; 200" />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and @code != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used with the Clinical Package Validator to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used with the Clinical Package Validator to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the primary code.') " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-06-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-06-step-2 else $rating-alt-TC-Types-06-step-2 " />
    <xsl:variable name="rating-07-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-1 else $rating-alt-TC-Types-07-step-1 " />
    <xsl:variable name="rating-07-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-2 else $rating-alt-TC-Types-07-step-2 " />
    <xsl:variable name="rating-08" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-08 else $rating-alt-TC-Types-08 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-07: The Immunisations - Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data
		type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to the Structured Content Specification the Immunisations - Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which is derived from the HL7 'CD' data type however xsi:type '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to the Structured Content Specification the Immunisations - Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:translation">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:translation">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Immunisations - Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'translation' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value
		domain, with no exceptions. A translation translates the value into a code from another code systems, so translations are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:qualifier">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:qualifier">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Immunisations - Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'qualifier' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value domain,
		with no exceptions. A qualifier constrains the value, so qualifiers are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Immunisations - Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Immunisations - Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Immunisations - Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Immunisations - Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present and is not expected
		for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Immunisations - Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />'
		is present and is not expected for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-terminology-concepts = 'true' and not(true() or false() or $family-err or $length-err) and    not(@nullFlavor) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and not(true() or false() or $family-err or $length-err) and not(@nullFlavor)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (value domain not specified): The Immunisations - Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The CodedText data type has the requirement that values must come from the specified bound value domain with no exceptions but a value domain has not been specified for the
		Immunisations - Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Immunisations - Exclusion Statement',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="false() and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != '1.2.36.1.2001.1001.101.104.16299'))  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != '1.2.36.1.2001.1001.101.104.16299'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-06-step-2" /><xsl:text />: TC-Types-06 step 2: According to the Structured Content Specification the Immunisations - Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. The
		CodedText data type has the requirement that values must come from the bound value domain with no exceptions. Therefore the value of the codeSystem attribute must be a publicly available
		code system. The Immunisations - Exclusion Statement data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide states the code system is 'NS' (not stated) with the requirement 'When national standard code sets become
		available, they SHALL be used'. The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> which is after the national standard code set became available
		for use on the <xsl:text /><xsl:value-of select="''" /><xsl:text />. The code system that must be used is
		<xsl:text /><xsl:value-of select="if ('1.2.36.1.2001.1001.101.104.16299' = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName, ' (ConceptId ''', 'none', ''')')   else concat('1.2.36.1.2001.1001.101.104.16299', ' (', $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16299']/@codeSystemName, ')')" /><xsl:text /><xsl:text /><xsl:value-of select="if (not(@codeSystem)) then '.'    else if (@codeSystemName) then concat(' however codeSystem ''', @codeSystem, ''' (', @codeSystemName, ') is present.')   else concat(' however a codeSystem attribute with the value ''', @codeSystem, ''' is present.') " /><xsl:text />
		(See section 1.8 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide, <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 7 of the CDA Implementation Guide for the
		information about the value domain.)
		<xsl:text /><xsl:value-of select="if ('none' = '11000036103') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName,     ' are Allergic reaction (''419076005''), Medication side-effect (''401207004'') and Drug interaction (''79899007'').')    else if ('none' = '15071000036100') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName,     ' are Prescribed (''105681000036100''), Suspended (''385655000'') and Unchanged (''105701000036103'').')    else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'OTH' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'OTH'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Immunisations - Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore it is not valid for the data element to have nullFlavor 'OTH' to indicate that the
		actual value is not a member of the set of permitted data values in the constrained value domain. 
		(See the requirements for Immunisations - Exclusion Statement and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Immunisations - Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type<xsl:text /><xsl:value-of select="if (not(false())) then '.' else   concat(' and section 7 of the CDA Implementation Guide states the vocabulary is ''', '1.2.36.1.2001.1001.101.104.16299', ''' (', $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16299']/@codeSystemName, ').') " /><xsl:text />
		The CodedText data type has
		the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor attribute
		to indicate there is no value, however a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) is present and is not one of the nullFlavor values that indicate there is no value.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@nullFlavor or @code) and not(false() and not(@nullFlavor) and not(@codeSystem)) and cda:originalText ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor or @code) and not(false() and not(@nullFlavor) and not(@codeSystem)) and cda:originalText">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Immunisations - Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor
		attribute to indicate there is no value. The only information found in the data element is originalText '<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />'.
		(See the requirements for Immunisations - Exclusion Statement and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)
		<xsl:text /><xsl:value-of select="if (local-name(.) = 'jobClassCode') then concat('Consider using the METeOR 314867 ''Employment type'' code system (codeSystem ''2.16.840.1.113883.3.879.314867'') which has ',   'codes for ''Permanent'', ''Fixed term contract'', ''Casual'' and ''Not stated/inadequately described''; or the  METeOR 691891 ''Full-time/part-time status'' code system ',   '(codeSystem ''2.16.840.1.113883.3.879.691891'') which has codes for ''Full-time'', ''Part-time'' and ''Not stated/inadequately described''. ',   '(See the the METeOR 314867 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/314867 and the METeOR 691891 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/691891.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="true() and @codeSystem and @codeSystem != '1.2.36.1.2001.1001.101.104.16299' and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and @codeSystem and @codeSystem != '1.2.36.1.2001.1001.101.104.16299' and not(false())">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Immunisations - Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and section 7 of the CDA Implementation Guide states the vocabulary is
		<xsl:text /><xsl:value-of select="if ('1.2.36.1.2001.1001.101.104.16299' = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName, ' (ConceptId ''', 'none', ''').')   else concat('1.2.36.1.2001.1001.101.104.16299', ' (', $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16299']/@codeSystemName, ').')" /><xsl:text />
		The CodedText data type has the requirement that values must come from the bound value domain with no exceptions.
		Therefore the value of codeSystem must be '1.2.36.1.2001.1001.101.104.16299' but codeSystem '<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />' (<xsl:text /><xsl:value-of select="@codeSystemName" /><xsl:text />) is present.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="true() and '1.2.36.1.2001.1001.101.104.16299' = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and    not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version,    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@refSet) = 'CodeFound') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and '1.2.36.1.2001.1001.101.104.16299' = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version, $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@refSet) = 'CodeFound')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Immunisations - Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. The applicable value domain is the SNOMED CT-AU
		<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName" /><xsl:text />
		(Concept ID: 'none'). The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the code is not a member of the value domain.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 7 of the CDA Implementation Guide for the information about the value domain.)<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-08" /><xsl:text />: TC-Types-08: According to the Structured Content Specification the Immunisations - Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. It has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> but has neither an originalText nor a displayName
		so it fails to conform to the requirement 'In accordance with the requirement to completely represent section contents, values of CodedText or CodeableText data elements defined in
		the SCS SHALL include an originalText or a displayName component (or both)'.
		(See Appendix A of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 6.1 and 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090
		Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and not(cda:originalText) and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and not(cda:originalText) and not(false())">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Immunisations - Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is
		not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. (See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M462" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M462" />
  <xsl:template match="@*|node()" priority="-2" mode="M462">
    <xsl:apply-templates select="@*|*" mode="M462" />
  </xsl:template>
  <!--PATTERN p-TS-Immun-CodedText-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16638' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16638']]/   cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.120.1.5']]/cda:value   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M463">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16638' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16638']]/   cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.120.1.5']]/cda:value   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Immunisations - Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Immunisations - Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Immunisations - Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Immunisations - Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Immunisations - Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Immunisations - Exclusion Statement has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Immunisations - Exclusion Statement data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('immunisations', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('immunisations', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Immunisations - Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Immunisations - Exclusion Statement data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Immunisations - Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Immunisations - Exclusion Statement data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Immunisations - Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Immunisations - Exclusion Statement data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('immunisations', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('immunisations', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Immunisations - Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('immunisations', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Immunisations - Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Immunisations - Exclusion Statement data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Immunisations - Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Immunisations - Exclusion Statement data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Immunisations - Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Immunisations - Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Immunisations - Exclusion Statement data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Immunisations - Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Immunisations - Exclusion Statement data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Immunisations - Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Immunisations - Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M463" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M463" />
  <xsl:template match="@*|node()" priority="-2" mode="M463">
    <xsl:apply-templates select="@*|*" mode="M463" />
  </xsl:template>
  <!--PATTERN p-TS-Immun-DateTime-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16638' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16638']]/cda:entry/cda:substanceAdministration/cda:effectiveTime " priority="1000" mode="M464">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16638' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16638']]/cda:entry/cda:substanceAdministration/cda:effectiveTime " />
    <xsl:variable name="allow-ivl-ts" select="if (not(@xsi:type)) then false() else /cda:ClinicalDocument       [cda:templateId[(@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')  or         (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or         (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) ]]   and        local-name(.) = 'value'             and        ..[local-name(.) = 'observation' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]   and       ../..[local-name(.) = 'entryRelationship' and @typeCode='SUBJ']        and       ../../..[local-name(.) = 'observation' and cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]  and       ../../../..[local-name(.) = 'entry']            and       ../../../../..[local-name(.) = 'section' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]  " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-18" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-18 else $rating-alt-TC-Types-18 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-18: The Medication Action DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data
		type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime',            'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime', 'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: The Medication Action DateTime

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type but it does not meet the requirement to have the xsi:type attribute with the value 'TS'.
		(See section 8.6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the Medication Action DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was
		found. This may be corrected by using an xsi:type attribute with the value 'TS'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the Medication Action DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		This may be corrected by using an xsi:type attribute with the value 'TS'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the Medication Action DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7
		'TS' data type to have a value attribute if there is no nullFlavor
		attribute. (See section 7.8.13.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange')

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the Medication Action DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7 'TS' data type to have a value attribute if there is no nullFlavor
		attribute. The element has a '<xsl:text /><xsl:value-of select="local-name(*[local-name(.) = ('low', 'high')])" /><xsl:text />' child element with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		which is not one of the elements used for the HL7 'TS'
		data type. (See section 7.8.13 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Medication Action DateTime
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		is present. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Medication Action DateTime
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' was found. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Medication Action DateTime
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Medication Action DateTime
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@value) and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@value) and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to the Structured Content Specification the Medication Action DateTime
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (uncoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include
		nullFlavor 'UNC'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M464" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M464" />
  <xsl:template match="@*|node()" priority="-2" mode="M464">
    <xsl:apply-templates select="@*|*" mode="M464" />
  </xsl:template>
  <!--PATTERN p-TS-Immun-DateTime-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16638' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16638']]/cda:entry/cda:substanceAdministration/cda:effectiveTime    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))] " priority="1000" mode="M465">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16638' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16638']]/cda:entry/cda:substanceAdministration/cda:effectiveTime    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="fir-narrative" select="translate(normalize-space(lower-case(string($fir-narr-node))), $chars-to-remove, '')" />
    <xsl:variable name="sec-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)        then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]        else () " />
    <xsl:variable name="sec-narr-node" select="$sec-section/cda:text " />
    <xsl:variable name="narr-text-el" select="(for $text in ($fir-narr-node//text(), $sec-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="sec-narrative" select="translate(normalize-space(lower-case(string($sec-narr-node))), $chars-to-remove, '') " />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="narrative" select="concat($target-title, $fir-narrative, $sec-narrative)" />
    <xsl:variable name="narr-elements" select="$fir-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ]  |             $sec-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ] " />
    <xsl:variable name="narr-lower-case" select="for $i in (1 to count($narr-elements)) return lower-case(normalize-space(string-join($narr-elements[$i]/text(), '')))  " />
    <xsl:variable name="dt-narr-elements" select="$narr-lower-case[matches(., $regex-date-type-1, 'i') or matches(., $regex-date-type-2, 'i') or matches(., $regex-date-type-3, 'i')] " />
    <xsl:variable name="narr-elements-start" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-before($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-before($dt-narr-elements[$i], ' -'))        else $dt-narr-elements[$i])[. != ''] " />
    <xsl:variable name="narr-elements-end" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-after($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-after($dt-narr-elements[$i], ' -'))        else '')[. != ''] " />
    <xsl:variable name="narr-dateTimes" select="distinct-values(($narr-elements-start , $narr-elements-end))[. != '(ongoing)'] " />
    <xsl:variable name="dt-value" select="if (@value) then @value else '' " />
    <xsl:variable name="no-time-zone" select="if (contains($dt-value, '+')) then substring-before($dt-value, '+')       else if (contains($dt-value, '-')) then substring-before($dt-value, '-')       else $dt-value " />
    <xsl:variable name="dateTime-length" select="string-length($no-time-zone) " />
    <xsl:variable name="year" select="if ($dateTime-length &gt; 3) then substring($no-time-zone,1,4) else '' " />
    <xsl:variable name="month-num" select="if ($dateTime-length &gt; 5) then substring($no-time-zone,5,2) else '' " />
    <xsl:variable name="day" select="if ($dateTime-length &gt; 7 and substring($no-time-zone,7,1) = '0') then substring($no-time-zone,8,1)       else if ($dateTime-length &gt; 7 and substring($no-time-zone,7,1) != '0') then substring($no-time-zone,7,2) else '' " />
    <xsl:variable name="hour-long" select="if ($dateTime-length &gt; 9) then substring($no-time-zone,9,2) else '' " />
    <xsl:variable name="hour-short" select="if (substring($hour-long, 1, 1) = '0') then substring($hour-long, 2, 1) else '' " />
    <xsl:variable name="minute" select="if ($dateTime-length &gt; 11) then substring($no-time-zone,11,2) else '' " />
    <xsl:variable name="second" select="if ($dateTime-length &gt; 13) then substring($no-time-zone,13,2) else '' " />
    <xsl:variable name="time-zone" select="if (contains($dt-value, '+')) then concat('\+', substring-after($dt-value, '+'))       else if (contains($dt-value, '-')) then concat('\-', substring-after($dt-value, '-'))       else '' " />
    <xsl:variable name="month-short" select="if ($month-num = '01') then 'jan'  else             if ($month-num = '02') then 'feb'  else             if ($month-num = '03') then 'mar'  else             if ($month-num = '04') then 'apr'  else             if ($month-num = '05') then 'may'  else             if ($month-num = '06') then 'jun'  else             if ($month-num = '07') then 'jul'  else             if ($month-num = '08') then 'aug'  else             if ($month-num = '09') then 'sep'  else             if ($month-num = '10') then 'oct'  else             if ($month-num = '11') then 'nov'  else             if ($month-num = '12') then 'dec'  else '' " />
    <xsl:variable name="month-long" select="if ($month-num = '01') then 'january'  else             if ($month-num = '02') then 'february'  else             if ($month-num = '03') then 'march'  else             if ($month-num = '04') then 'april'  else             if ($month-num = '05') then 'may'  else             if ($month-num = '06') then 'june'  else             if ($month-num = '07') then 'july'  else             if ($month-num = '08') then 'august'  else             if ($month-num = '09') then 'september'  else             if ($month-num = '10') then 'october'  else             if ($month-num = '11') then 'november'  else             if ($month-num = '12') then 'december'  else '' " />
    <xsl:variable name="date-type-3-day" select="if (string-length($day) = 1) then concat('0{0,1}', $day) else $day " />
    <xsl:variable name="date-type-3-month" select="if (string-length($month-num) = 1) then concat('0{0,1}', $month-num)        else if (substring($month-num, 1, 1) = '0') then concat('0{0,1}', substring($month-num, 2, 1))         else $month-num " />
    <xsl:variable name="dt-sequence-1" select="if ($dateTime-length = 4) then (         concat('^', $dt-value)         ,          concat('^', $year)         )        else if ($dateTime-length = 6) then (         concat('^', $dt-value)         ,         concat('^', $month-short, $date-sep, $year)      ,          concat('^', $month-long, $date-sep, $year)      )        else if ($dateTime-length &gt; 7) then (         concat('^', $dt-value)         ,         concat('^', $date-type-3-day, $date-sep, $month-short, $date-sep, $year)  ,         concat('^', $date-type-3-day, $date-sep, $month-long, $date-sep, $year)   ,         concat('^', $date-type-3-day, '/', $date-type-3-month, '/', $year)   )        else () " />
    <xsl:variable name="matching-seq-1" select="if (exists($dt-sequence-1))        then index-of(for $i in (1 to count($dt-sequence-1)) return exists($narr-dateTimes[matches(., $dt-sequence-1[$i], 'i')]), true())        else () " />
    <xsl:variable name="dt-stem-1" select="for $i in (1 to count($matching-seq-1)) return $dt-sequence-1[$matching-seq-1[$i]] " />
    <xsl:variable name="dt-regex-1" select="if (exists($dt-stem-1)) then concat('(', string-join($dt-stem-1, '$)|('), '$)') else ()" />
    <xsl:variable name="dt-match-1" select="exists($dt-stem-1) and exists($narr-dateTimes[matches(., $dt-regex-1, 'i')])" />
    <xsl:variable name="time-1" select="if ($dateTime-length &gt; 11 and $hour-short != '') then concat($hour-short, ':', $minute, '( *| *am)') else '' " />
    <xsl:variable name="time-2" select="if ($dateTime-length &gt; 13 and $hour-short != '') then concat($hour-short, ':', $minute, ':', $second, '( *| *am)') else '' " />
    <xsl:variable name="time-3" select="if ($dateTime-length &gt; 11 and number($hour-long) &lt; 12) then concat($hour-long, ':', $minute, '( *| *am)')       else if ($dateTime-length &gt; 11) then concat($hour-long, ':', $minute) else '' " />
    <xsl:variable name="time-4" select="if ($dateTime-length &gt; 13 and number($hour-long) &lt; 12) then concat($hour-long, ':', $minute, ':', $second, '( *| *am)')        else if ($dateTime-length &gt; 13) then concat($hour-long, ':', $minute, ':', $second) else '' " />
    <xsl:variable name="time-5" select="if ($dateTime-length &gt; 11 and number($hour-long) &gt; 12) then concat(string(number($hour-long) - 12), ':', $minute, '( *| *pm)') else '' " />
    <xsl:variable name="time-6" select="if ($dateTime-length &gt; 13 and number($hour-long) &gt; 12) then concat(string(number($hour-long) - 12), ':', $minute, ':', $second, '( *| *pm)') else '' " />
    <xsl:variable name="dt-temp-0" select="if (exists($dt-stem-1) and $dateTime-length = 8) then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $narr-time-regex) else () " />
    <xsl:variable name="dt-temp-1" select="if (exists($dt-stem-1) and $time-1 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-1) else () " />
    <xsl:variable name="dt-temp-2" select="if (exists($dt-stem-1) and $time-2 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-2) else () " />
    <xsl:variable name="dt-temp-3" select="if (exists($dt-stem-1) and $time-3 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-3) else () " />
    <xsl:variable name="dt-temp-4" select="if (exists($dt-stem-1) and $time-4 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-4) else () " />
    <xsl:variable name="dt-temp-5" select="if (exists($dt-stem-1) and $time-5 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-5) else () " />
    <xsl:variable name="dt-temp-6" select="if (exists($dt-stem-1) and $time-6 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-6) else () " />
    <xsl:variable name="dt-sequence-2" select="($dt-temp-0, $dt-temp-1, $dt-temp-2, $dt-temp-3, $dt-temp-4, $dt-temp-5, $dt-temp-6)" />
    <xsl:variable name="matching-seq-2" select="if (exists($dt-sequence-2))        then index-of(for $i in (1 to count($dt-sequence-2)) return exists($narr-dateTimes[matches(., $dt-sequence-2[$i], 'i')]), true())        else () " />
    <xsl:variable name="dt-stem-2" select="for $i in (1 to count($matching-seq-2)) return $dt-sequence-2[$matching-seq-2[$i]] " />
    <xsl:variable name="dt-regex-2" select="if (exists($dt-stem-2)) then concat('(', string-join($dt-stem-2, '$)|('), '$)') else '' " />
    <xsl:variable name="dt-match-2" select="(exists($dt-stem-2) and exists($narr-dateTimes[matches(., $dt-regex-2, 'i')])) " />
    <xsl:variable name="dt-sequence-3" select="if (not($dt-match-2) and exists($dt-stem-2) and $time-zone != '') then for $i in (1 to count($dt-stem-2)) return        concat($dt-stem-2[$i], substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2)) else () " />
    <xsl:variable name="dt-regex-3" select="if ($dt-match-2) then '' else if (exists($dt-sequence-3)) then concat('(', string-join($dt-sequence-3, '$)|('), '$)') else '' " />
    <xsl:variable name="dt-match-3" select="($dt-match-2 or (exists($dt-sequence-3) and exists($narr-dateTimes[matches(., $dt-regex-3, 'i')]))) " />
    <xsl:variable name="narr-match" select="if ($dt-value != '' and not(exists($narr-dateTimes))) then      (       contains($narrative, $dt-value)               or       (string-length($dt-value) = 4 and contains($narrative, $year))            or        (string-length($dt-value) = 6 and contains($narrative, concat($month-short, $year)))          or       (string-length($dt-value) &gt; 7 and starts-with($day, '0') and        (contains($narrative, concat(substring($day,2,1), $month-short, $year)) or         contains($narrative, concat(substring($day,2,1), $month-num, $year))))          or       (string-length($dt-value) &gt; 7 and (contains($narrative, concat($day, $month-short, $year)) or contains($narrative, concat($day, $month-num, $year))))        )       else false() " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($fir-narr-node//cda:renderMultiMedia) or exists($sec-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($fir-narr-node//cda:linkHtml) or exists($sec-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="warning-1" select="exists($dt-sequence-1) and exists($narr-dateTimes) and $dt-match-1 and not($dt-match-3) and $dt-value != '' " />
    <xsl:variable name="error-1" select="$warning-1 and not($multimedia) " />
    <xsl:variable name="warning-2" select="exists($dt-sequence-1) and exists($narr-dateTimes) and not($dt-match-1 or $dt-match-3) and $dt-value != '' " />
    <xsl:variable name="error-2a" select="$warning-2 and not($multimedia) and $time-zone != '' and count($narr-dateTimes) =        count(for $dt in $narr-dateTimes return replace(replace($dt, $regex-date-type-1, ''), $regex-date-type-2, '')       [matches(., concat('^\s*([0-9]{1,2}:{1}[0-9]{2}\s*', substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2),         '|[0-9]{1,2}:{1}[0-9]{2}:{1}[0-9]{2}\s*', substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2), ')\s*$'), 'i')]) " />
    <xsl:variable name="error-2b" select="$warning-2 and not($dt-match-1) and not($multimedia) and count($narr-dateTimes[matches(., $regex-date-type-2, 'i')]) =        count($narr-dateTimes[matches(., concat($regex-date-type-2, ' ', $narr-time-regex, '$'), 'i')]) " />
    <xsl:variable name="error-2c" select="$warning-2 and exists($narr-dateTimes[matches(., concat('^', $year, '$'))]) " />
    <xsl:variable name="error-2" select="$error-2a or $error-2b or $error-2c " />
    <xsl:variable name="warning-3" select="$dt-value != '' and not(exists($narr-dateTimes)) and not($narr-match) " />
    <xsl:variable name="error-3" select="$warning-3 and not($multimedia) and not(contains($narrative, substring($year, 3, 2)))" />
    <xsl:variable name="narr-dt-msg" select="if ($multimedia or $no-content) then ''       else if (not(exists($narr-dateTimes))) then concat(' The narrative of the ', iq:location(., ''), ' contains no dateTime elements.')       else if (count($narr-dateTimes) = 1) then concat(' The only dateTime element in the narrative of the ', iq:location(., ''), ' is ''',         dh:XQueryRecursiveReplace($narr-dateTimes[1], '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), '''.')       else concat(' The distinct dateTime elements in the narrative of the ', iq:location(., ''), ' are ''',         string-join(for $dt in $narr-dateTimes return          dh:XQueryRecursiveReplace($dt, '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), ', '), '''.') " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-4" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-4 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and exists($dt-sequence-1) and $dt-value != '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and exists($dt-sequence-1) and $dt-value != ''">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 4: The dateTime element in the structured data is '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'.
		The number of dateTime elements that have been extracted from the narrative is '<xsl:text /><xsl:value-of select="count($narr-dateTimes)" /><xsl:text />'.
		These are '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-dateTimes, ', '), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The initial regular expressions are '<xsl:text /><xsl:value-of select="string-join($dt-sequence-1, ', ')" /><xsl:text />'.
		The items in dt-stem-1 are: '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($dt-stem-1, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The items in dt-sequence-2 are: '<xsl:text /><xsl:value-of select="string-join($dt-sequence-2, '|')" /><xsl:text />'.
		The items in dt-stem-2 are: '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($dt-stem-2, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The three regular expressions used to perform an exact match for narrative dateTime elements are as follows:
		dt-regex-1='<xsl:text /><xsl:value-of select="$dt-regex-1" /><xsl:text />'; dt-regex-2='<xsl:text /><xsl:value-of select="$dt-regex-2" /><xsl:text />'; and dt-regex-3='<xsl:text /><xsl:value-of select="$dt-regex-3" /><xsl:text />'.
		Was a match found after the first regular expression (with just a date) was created? <xsl:text /><xsl:value-of select="$dt-match-1" /><xsl:text />.		
		<xsl:text /><xsl:value-of select="if ($dt-regex-2 = '') then 'The second regular expression was not applied as there is no time information.'    else concat('Was a match found after the second regular expression (with a date and time) was created? ', $dt-match-2, '.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($dt-regex-3 = '') then ' The third regular expression was not applied as there is no timezone information.'    else concat(' Was a match found after the third regular expression (with a date and time) was created? ', $dt-match-3, '.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $warning-1 and not($error-1 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $warning-1 and not($error-1 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Medication Action DateTime 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Medication Action DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $error-1 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $error-1 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Medication Action DateTime 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. The Medication Action DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $error-1 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $error-1 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Medication Action DateTime 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. The Medication Action DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $warning-2 and not($error-2 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$warning-2 and not($error-2 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Medication Action DateTime 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Medication Action DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-2 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-2 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Medication Action DateTime 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="if ($error-2c) then concat('The narrative contains a date with the same year ''', $year, ''' but without a month or day.') else '' " /><xsl:text />
		The Medication Action DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.
		<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-2 and not($no-content) and not(true())">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-2 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Medication Action DateTime 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="if ($error-2c) then concat('The narrative contains a date with the same year ''', $year, ''' but without a month or day.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $warning-3 and not($error-3 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$warning-3 and not($error-3 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Medication Action DateTime 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Medication Action DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $dt-value != '' and not($narr-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $dt-value != '' and not($narr-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Medication Action DateTime 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $dt-value != '' and not($narr-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $dt-value != '' and not($narr-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Medication Action DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Medication Action DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-3 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-3 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Medication Action DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Medication Action DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-3 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-3 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Medication Action DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Medication Action DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M465" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M465" />
  <xsl:template match="@*|node()" priority="-2" mode="M465">
    <xsl:apply-templates select="@*|*" mode="M465" />
  </xsl:template>
  <!--PATTERN p-TS-Immun-DateTime-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16638' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16638']]/cda:entry/cda:substanceAdministration/cda:effectiveTime[@nullFlavor = 'NA'] " priority="1000" mode="M466">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16638' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16638']]/cda:entry/cda:substanceAdministration/cda:effectiveTime[@nullFlavor = 'NA'] " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and exists(('ALL')[. = 'ALL']) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and exists(('ALL')[. = 'ALL'])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Medication Action DateTime data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. The Medication Action DateTime data element is not allowed to contain a nullFlavor attribute.
		(See the FAQ 'What are the nullable fields in clinical documents conformant to the CDA implementation guides?'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and exists(('ALL')[. = current()/@nullFlavor]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and exists(('ALL')[. = current()/@nullFlavor])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Medication Action DateTime data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. The Medication Action DateTime data element is not allowed to contain a nullFlavor attribute
		with this value. (See the FAQ 'What are the nullable fields in clinical documents conformant to the CDA implementation guides?'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M466" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M466" />
  <xsl:template match="@*|node()" priority="-2" mode="M466">
    <xsl:apply-templates select="@*|*" mode="M466" />
  </xsl:template>
  <!--PATTERN p-TS-Immun-Integer-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16638' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16638']]/cda:entry/   cda:substanceAdministration/cda:entryRelationship/cda:sequenceNumber " priority="1000" mode="M467">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16638' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16638']]/cda:entry/   cda:substanceAdministration/cda:entryRelationship/cda:sequenceNumber " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 8.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-14" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-14 else $rating-alt-TC-Types-14 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-14: The Vaccine Sequence Number '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type and
		<xsl:text /><xsl:value-of select="if (@value and @nullFlavor) then concat('has a value attribute with the value ''', @value, ''' and a nullFlavor attribute with the value ''', @nullFlavor, '''')   else if (@value and not(@nullFlavor)) then concat('has a value attribute with the value ''', @value, '''')   else if (not(@value) and @nullFlavor) then concat('has a nullFlavor attribute with the value ''', @nullFlavor, '''')   else 'has no value or nullFlavor attributes' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(   local-name(.)  = 'batchTotalNumber'  or   local-name(.)  = 'continuationQuantity'  or   local-name(.)  = 'expectedSequenceNumber' or   local-name(.)  = 'initialQuantity'  or   local-name(.)  = 'messageWaitingNumber'  or   local-name(.)  = 'multipleBirthOrderNumber' or   local-name(.)  = 'positionNumber'  or   local-name(.)  = 'priorityNumber'  or   local-name(..) = 'repeatNumber'   or   local-name(.)  = 'resultCurrentQuantity' or   local-name(.)  = 'resultRemainingQuantity' or   local-name(.)  = 'resultTotalQuantity'  or   local-name(.)  = 'sequenceNumber'  or   local-name(.)  = 'startResultNumber'  or   local-name(.)  = 'transmissionQuantity'  or   local-name(.)  = 'versionNumber'  ) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not( local-name(.) = 'batchTotalNumber' or local-name(.) = 'continuationQuantity' or local-name(.) = 'expectedSequenceNumber' or local-name(.) = 'initialQuantity' or local-name(.) = 'messageWaitingNumber' or local-name(.) = 'multipleBirthOrderNumber' or local-name(.) = 'positionNumber' or local-name(.) = 'priorityNumber' or local-name(..) = 'repeatNumber' or local-name(.) = 'resultCurrentQuantity' or local-name(.) = 'resultRemainingQuantity' or local-name(.) = 'resultTotalQuantity' or local-name(.) = 'sequenceNumber' or local-name(.) = 'startResultNumber' or local-name(.) = 'transmissionQuantity' or local-name(.) = 'versionNumber' )">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-14" /><xsl:text />: TC-Types-14: The Vaccine Sequence Number
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type but it does not meet the requirement to have the xsi:type attribute with the value 'INT'.
		(See section 8.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-14" /><xsl:text />: TC-Types-14: According to the Structured Content Specification the Vaccine Sequence Number
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type which is
		derived from the HL7 'INT' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		(See section 8.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Vaccine Sequence Number
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Integer data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Vaccine Sequence Number
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Integer data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Vaccine Sequence Number
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the Integer data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Vaccine Sequence Number
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the Integer data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @inclusive != 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @inclusive != 'true'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Vaccine Sequence Number
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however an attribute 'inclusive' with the value
		'<xsl:text /><xsl:value-of select="@inclusive" /><xsl:text />' was found that is not expected for the Integer data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @inclusive != 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @inclusive != 'true'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Vaccine Sequence Number
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however an attribute 'inclusive' with the value
		'<xsl:text /><xsl:value-of select="@inclusive" /><xsl:text />' was found that is not expected for the Integer data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@value) and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@value) and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to the Structured Content Specification the Vaccine Sequence Number
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type
		however it has nullFlavor = 'UNC' (uncoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include nullFlavor = 'UNC'.
		(See section 8.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M467" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M467" />
  <xsl:template match="@*|node()" priority="-2" mode="M467">
    <xsl:apply-templates select="@*|*" mode="M467" />
  </xsl:template>
  <!--PATTERN p-TS-Immun-Integer-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16638' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16638']]/cda:entry/   cda:substanceAdministration/cda:entryRelationship/cda:sequenceNumber " priority="1000" mode="M468">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16638' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16638']]/cda:entry/   cda:substanceAdministration/cda:entryRelationship/cda:sequenceNumber " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="narr-text-el" select="(for $text in ($target-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="narr-numbers" select="$narr-text-el[. castable as xs:double] " />
    <xsl:variable name="narr-el-present" select="exists($narr-numbers)" />
    <xsl:variable name="num-in-narr" select="@value and exists($narr-numbers[number() = current()/@value])" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-8" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-8 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @value and ancestor::cda:section and not($narr-el-present) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @value and ancestor::cda:section and not($narr-el-present)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step-8" /><xsl:text />: TC-Narr-09 step 8: The Vaccine Sequence Number
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Vaccine Sequence Number data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @value and $narr-el-present and not($num-in-narr or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value and $narr-el-present and not($num-in-narr or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-8" /><xsl:text />: TC-Narr-09 step 8: The Vaccine Sequence Number
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' which was not found in table data elements of
		the narrative of the section. The data element is in the section with the title '<xsl:text /><xsl:value-of select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]/cda:title" /><xsl:text />'.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Vaccine Sequence Number data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Vaccine Sequence Number
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M468" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M468" />
  <xsl:template match="@*|node()" priority="-2" mode="M468">
    <xsl:apply-templates select="@*|*" mode="M468" />
  </xsl:template>
  <!--PATTERN p-TS-Med-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16146' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146'] " priority="1000" mode="M469">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16146' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146'] " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating" select="if ($initial-priority) then $initial-rating else if ($FS-Types-seq/@rating) then concat(' (', $FS-Types-seq/@rating, ')') else '' " />
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and not( /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2'] or        /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')] or        /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3'] or        /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')] or        /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.153' and @extension = '1.0']) and $extensions-allowed">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not( /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2'] or /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')] or /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3'] or /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')] or /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.153' and @extension = '1.0']) and $extensions-allowed">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: FS-Types: The Medications section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16146') has been found in a <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. The Medications section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16146') is defined in the digital health specifications but
		although tests have been applied to the data elements the specification of the data elements may have been varied for inclusion in this document
		so further examination may be needed. The rules have been validated for <xsl:text /><xsl:value-of select="normalize-space(' eReferral CDA Implementation Guide version 2.2;         Shared Health Summary CDA Implementation Guide version 1.3 and 1.4;         Specialist Letter CDA Implementation Guide version 1.3; and         Event Summary CDA Implementation Guide version 1.2 and 1.3; and        Personal Health Summary CDA Implementation Guide version 1.0')" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M469" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M469" />
  <xsl:template match="@*|node()" priority="-2" mode="M469">
    <xsl:apply-templates select="@*|*" mode="M469" />
  </xsl:template>
  <!--PATTERN p-TS-Med-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16146' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:component/cda:section " priority="1000" mode="M470">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16146' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:component/cda:section " />
    <xsl:variable name="agency-section" select=" cda:code/@codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="test-step" select=" if (not($extensions-allowed)) then 'step 4'        else if ($agency-section) then 'step 3' else 'step 1' " />
    <xsl:variable name="title-and-code" select=" if (cda:title and cda:code/@code) then concat('title ''', cda:title, ''', code/code ''', cda:code/@code, '''')        else if (cda:title and not(cda:code/@code)) then concat('title ''', cda:title, '''')        else if (not(cda:title) and cda:code/@code) then concat('code/code ''', cda:code/@code, '''')        else '' " />
    <xsl:variable name="other-section-names" select=" if (cda:code/@displayName and not(cda:code/cda:originalText)) then concat(' and code/displayName ''', cda:code/@displayName, '''')         else if (cda:code/@displayName and cda:code/cda:originalText)          then concat(', code/displayName ''', cda:code/@displayName,''' and code/originalText ''', cda:code/cda:originalText, '''')        else if (not(cda:code/@displayName) and cda:code/cda:originalText) then concat(' and code/originalText ''', cda:code/cda:originalText, '''')        else '' " />
    <xsl:variable name="section-names" select="concat($title-and-code, $other-section-names)" />
    <xsl:variable name="doc-code" select="/cda:ClinicalDocument/cda:code" />
    <xsl:variable name="parent-section" select="ancestor::cda:section[position()=1]" />
    <xsl:variable name="custom-section-info" select="($iq-config/custom-sections/section, $knowledge/custom-sections/section)[        @doc-code  = $doc-code/@code          and        @doc-codeSystem  = $doc-code/@codeSystem          and        @parent-code   = $parent-section/cda:code/@code         and         @parent-codeSystem  = $parent-section/cda:code/@codeSystem        and         (@title = current()/cda:title or (@code = current()/cda:code/@code and @codeSystem = current()/cda:code/@codeSystem)) ] " />
    <xsl:variable name="section-disallowed" select="$custom-section-info/@disallowed = 'yes' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and ($section-disallowed or not(exists($custom-section-info)))) then $rating-alt-TC-Doc-28-step-1        else if ($test-step = 'step 1' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections]) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 3') then $rating-TC-Doc-28-step-3 else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and $section-disallowed ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and $section-disallowed">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Medications section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16146') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> which
		is an extension to the information model however the inclusion of this section conflicts with sections defined in the digital health specifications.
		<xsl:text /><xsl:value-of select="$custom-section-info[@disallowed = 'yes']/@reason" /><xsl:text /> (Also see <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not(false()) and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(false()) and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Medications section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16146') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. No subsection is expected so this
		is an extension to the information model. Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the 
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(false()) and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(false()) and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Medications section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16146') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> but no subsections were
		expected so the document fails to meet the requirement that it must not contain additional data elements. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and false() and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and false() and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Medications section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16146') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		none are expected but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the information model.
		Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Medications section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16146') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		none are expected but the inclusion of the section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> fails to meet the requirement that it must not contain additional data elements.
		(See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M470" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M470" />
  <xsl:template match="@*|node()" priority="-2" mode="M470">
    <xsl:apply-templates select="@*|*" mode="M470" />
  </xsl:template>
  <!--PATTERN p-TS-Med-CodeableText-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16146' = $doc-sections][cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4'))  or   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3'))  ]]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/cda:substanceAdministration/cda:consumable/   cda:manufacturedProduct/cda:manufacturedMaterial/cda:code " priority="1000" mode="M471">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16146' = $doc-sections][cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4'))  or   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3'))  ]]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/cda:substanceAdministration/cda:consumable/   cda:manufacturedProduct/cda:manufacturedMaterial/cda:code " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Therapeutic Good Identification',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'disallowed' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'disallowed' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Therapeutic Good Identification however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Therapeutic Good Identification in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'disallowed' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'disallowed' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Therapeutic Good Identification however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Therapeutic Good Identification in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Therapeutic Good Identification data element must have a value that is consistent with this definition. Alternatively if there is no Therapeutic Good Identification data element with a proper value then an exclusion
		statement must be included to state why there is no Therapeutic Good Identification.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'disallowed' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'disallowed' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Therapeutic Good Identification however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Therapeutic Good Identification in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'disallowed' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'disallowed' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Therapeutic Good Identification however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Therapeutic Good Identification in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Therapeutic Good Identification data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'disallowed' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'disallowed' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Therapeutic Good Identification however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Therapeutic Good Identification in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Therapeutic Good Identification data element must have a value that is consistent with this definition. Alternatively if there is no Therapeutic Good Identification data element with a proper value then an exclusion
		statement must be included to state why there is no Therapeutic Good Identification.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'disallowed' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'disallowed' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Therapeutic Good Identification however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Therapeutic Good Identification in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Therapeutic Good Identification data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Therapeutic Good Identification.
		(See the definition of Therapeutic Good Identification in the Structured Content Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M471" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M471" />
  <xsl:template match="@*|node()" priority="-2" mode="M471">
    <xsl:apply-templates select="@*|*" mode="M471" />
  </xsl:template>
  <!--PATTERN p-TS-Med-CodeableText-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '101.16146' = $doc-sections][cda:templateId[   @root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2']]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/cda:substanceAdministration/cda:consumable/   cda:manufacturedProduct/cda:manufacturedMaterial/cda:code[@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " priority="1000" mode="M472">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '101.16146' = $doc-sections][cda:templateId[   @root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2']]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/cda:substanceAdministration/cda:consumable/   cda:manufacturedProduct/cda:manufacturedMaterial/cda:code[@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="pnullFlavor" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @nullFlavor) then @nullFlavor else '' " />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-p-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then false()        else if ($psnomed-id = 'amtv3' and @codeSystemVersion) then exists($v-amtv3[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($psnomed-id = 'snomedctau' and @codeSystemVersion) then exists($v-snomedctau[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false() " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and $pcode != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used to assess the primary code.') " />
    <xsl:variable name="pcode-refsets-1" select="if (@codeSystem = '2.16.840.1.113883.6.96' and not($pcode = ''))         then dh:FindValueDomainsForCode($pcode, '2.16.840.1.113883.6.96', $v-psnomed-version) else 'no-code' " />
    <xsl:variable name="pcode-found" select="not($pcode-refsets-1 = 'no-code' or $pcode-refsets-1 = 'CodeNotFound' or $pcode-refsets-1 = 'Error'        or contains($pcode-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="pcode-refsets" select="if ($pcode-found) then distinct-values(tokenize($pcode-refsets-1, '\|')) else () " />
    <xsl:variable name="pcode-special-proc" select="count($pcode-refsets) = 1 and 'Procedure Foundation (PF)' = $pcode-refsets and not($pnullFlavor = 'OTH') " />
    <xsl:variable name="pcode-refsets-msg" select="if (count($pcode-refsets) = 0) then ''         else if (count($pcode-refsets) = 1) then concat('The code is a member of the ', $pcode-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($pcode-refsets, ', '), '.') " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))         else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-1" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="snomed-trans-2" select="distinct-values(for $i in (1 to count($snomed-trans-1)) return $snomed-trans-1[$i]/@code) " />
    <xsl:variable name="snomed-trans-a" select="$snomed-trans-1[1] " />
    <xsl:variable name="tcode-a" select="if (exists($snomed-trans-a) and matches($snomed-trans-a/@code, $snomed-code-regex)) then $snomed-trans-a/@code else '' " />
    <xsl:variable name="tnullFlavor-a" select="if (exists($snomed-trans-a) and $snomed-trans-a/@nullFlavor) then $snomed-trans-a/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-a" select="if (not(exists($snomed-trans-a))) then 'not-snomed'        else if (not($snomed-trans-a/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-a/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-a" select="if (not(exists($snomed-trans-a))) then ''        else if ($tsnomed-id-a = 'amtv3' and exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-a = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-a/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-a" select="if (not(exists($snomed-trans-a))) then false()        else if ($tsnomed-id-a = 'amtv3' and $snomed-trans-a/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-a = 'snomedctau' and $snomed-trans-a/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-a-msg" select="if (not(exists($snomed-trans-a))) then ''        else if (not($snomed-trans-a/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-a, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-a = 'amtv3') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-a = 'snomedctau') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-a/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-a, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-a/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-a-refsets-1" select="if (exists($snomed-trans-a) and not($tcode-a = ''))         then dh:FindValueDomainsForCode($tcode-a, '2.16.840.1.113883.6.96', $v-tsnomed-version-a) else 'no-code' " />
    <xsl:variable name="tcode-a-found" select="not($tcode-a-refsets-1 = 'no-code' or $tcode-a-refsets-1 = 'CodeNotFound' or $tcode-a-refsets-1 = 'Error'         or contains($tcode-a-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-a-refsets" select="if ($tcode-a-found) then distinct-values(tokenize($tcode-a-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-a-special-proc" select="count($tcode-a-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-a-refsets and not($tnullFlavor-a = 'OTH') " />
    <xsl:variable name="tcode-a-refsets-msg" select="if (count($tcode-a-refsets) = 0) then ''         else if (count($tcode-a-refsets) = 1) then concat('The code is a member of the ', $tcode-a-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-a-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@code and $snomed-trans-a/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-a/@displayName, codepoints-to-string(34))         else if ($snomed-trans-a/@code and not($snomed-trans-a/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@codeSystem and $snomed-trans-a/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-a/@codeSystemName, ')')         else if ($snomed-trans-a/@codeSystem and not($snomed-trans-a/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-b" select="(for $i in (2 to count($snomed-trans-1)) return if ($snomed-trans-1[$i]/@code != $snomed-trans-a/@code) then $snomed-trans-1[$i] else ())[1] " />
    <xsl:variable name="tcode-b" select="if (exists($snomed-trans-b) and matches($snomed-trans-b/@code, $snomed-code-regex)) then $snomed-trans-b/@code else '' " />
    <xsl:variable name="tnullFlavor-b" select="if (exists($snomed-trans-b) and $snomed-trans-b/@nullFlavor) then $snomed-trans-b/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-b" select="if (not(exists($snomed-trans-b))) then 'not-snomed'        else if (not($snomed-trans-b/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-b/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-b" select="if (not(exists($snomed-trans-b))) then ''        else if ($tsnomed-id-b = 'amtv3' and exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-b = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-b/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-b" select="if (not(exists($snomed-trans-b))) then false()        else if ($tsnomed-id-b = 'amtv3' and $snomed-trans-b/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-b = 'snomedctau' and $snomed-trans-b/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-b-msg" select="if (not(exists($snomed-trans-b))) then ''        else if (not($snomed-trans-b/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-b, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-b = 'amtv3') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-b = 'snomedctau') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-b/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-b, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-b/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-b-refsets-1" select="if (exists($snomed-trans-b) and not($tcode-b = ''))         then dh:FindValueDomainsForCode($tcode-b, '2.16.840.1.113883.6.96', $v-tsnomed-version-b) else 'no-code' " />
    <xsl:variable name="tcode-b-found" select="not($tcode-b-refsets-1 = 'no-code' or $tcode-b-refsets-1 = 'CodeNotFound' or $tcode-b-refsets-1 = 'Error'         or contains($tcode-b-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-b-refsets" select="if ($tcode-b-found) then distinct-values(tokenize($tcode-b-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-b-special-proc" select="count($tcode-b-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-b-refsets and not($tnullFlavor-b = 'OTH') " />
    <xsl:variable name="tcode-b-refsets-msg" select="if (count($tcode-b-refsets) = 0) then ''         else if (count($tcode-b-refsets) = 1) then concat('The code is a member of the ', $tcode-b-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-b-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@code and $snomed-trans-b/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-b/@displayName, codepoints-to-string(34))         else if ($snomed-trans-b/@code and not($snomed-trans-b/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@codeSystem and $snomed-trans-b/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-b/@codeSystemName, ')')         else if ($snomed-trans-b/@codeSystem and not($snomed-trans-b/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-60" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-60 else $rating-alt-TC-Types-60 " />
    <!--REPORT -->
    <xsl:if test=" $pcode-found and $pcode-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pcode-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD (p-TS-CD-SCT-RefSet): An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$pcode" /><xsl:text />',
		codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-psnomed-version" /><xsl:text />'. This error occurred when assessing the Therapeutic Good Identification data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. The value is not valid for the data element as it describes a medical
		procedure and not a medical problem or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify medicines relevant to the healthcare event that the         subject of care is or was using and may include prescribed and over the counter medicines. The text must include the name of the medication         (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.9 and 5.5 of the Event Summary Structured Content Specification v1.1.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the code is not a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the MEDICATION section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the MEDICATION section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the MEDICATION section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. Confirm if the code is a member of the value domain.
		If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the MEDICATION section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="count($snomed-trans-1)" /><xsl:text /> translation elements with
		codes and the SNOMED CT-AU codeSystem '2.16.840.1.113883.6.96'. The first two translation elements have been assessed to determine if the codes are members of the value domain
		and the others have not been assessed. Confirm if the value of the code attribute in all SNOMED CT translation elements meets the requirement that it be a member of the value domain
		if there is no nullFlavor 'OTH' or that there is a nullFlavor 'OTH' if the value of the code attribute is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text /> 
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the MEDICATION section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-a" /><xsl:text />'. This error occurred when assessing the Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify medicines relevant to the healthcare event that the         subject of care is or was using and may include prescribed and over the counter medicines. The text must include the name of the medication         (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.9 and 5.5 of the Event Summary Structured Content Specification v1.1.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the MEDICATION section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the MEDICATION section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the MEDICATION section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the MEDICATION section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-b" /><xsl:text />'. This error occurred when assessing the Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> 
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify medicines relevant to the healthcare event that the         subject of care is or was using and may include prescribed and over the counter medicines. The text must include the name of the medication         (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.9 and 5.5 of the Event Summary Structured Content Specification v1.1.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the MEDICATION section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the MEDICATION section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the MEDICATION section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',          'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the MEDICATION section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M472" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M472" />
  <xsl:template match="@*|node()" priority="-2" mode="M472">
    <xsl:apply-templates select="@*|*" mode="M472" />
  </xsl:template>
  <!--PATTERN p-TS-Med-CodeableText-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '101.16146' = $doc-sections][cda:templateId[   @root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2']]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/cda:substanceAdministration/cda:consumable/   cda:manufacturedProduct/cda:manufacturedMaterial/cda:code[(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or      not(@code and @codeSystem and @codeSystem = $defn-meds-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])]   [not(@nullFlavor = $no-value-NF)] " priority="1000" mode="M473">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '101.16146' = $doc-sections][cda:templateId[   @root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2']]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/cda:substanceAdministration/cda:consumable/   cda:manufacturedProduct/cda:manufacturedMaterial/cda:code[(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or      not(@code and @codeSystem and @codeSystem = $defn-meds-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])]   [not(@nullFlavor = $no-value-NF)] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="snomed-trans" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="tcode" select="if (exists($snomed-trans[1]) and matches($snomed-trans[1]/@code, $snomed-code-regex)) then $snomed-trans[1]/@code else '' " />
    <xsl:variable name="code-present" select="$pcode != '' or $tcode != '' " />
    <xsl:variable name="invalid-code-system" select="@code and @displayName and @codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="codesystemvalues" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']" />
    <xsl:variable name="otext-without-markup" select="if (cda:originalText and cda:originalText != '') then normalize-space(replace(cda:originalText, $markup-regex, ' ')) else '' " />
    <xsl:variable name="pdname" select="if (@displayName and not($invalid-code-system)) then normalize-space(@displayName) else '' " />
    <xsl:variable name="is-immun" select="exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='101.16638' or @code = '101.16658' or @code = '101.17039')]]) " />
    <xsl:variable name="is-pd" select="exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code = '102.16210' or @code='102.16211' or @code='101.16795')]]) " />
    <xsl:variable name="is-shs-meds" select="$templateId-root = '1.2.36.1.2001.1001.101.100.1002.120' and          exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]) " />
    <xsl:variable name="is-meds" select="exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code = '101.16146.4.1.1' or @code = '101.16146.4.1.2' or @code='101.16146')]]) " />
    <xsl:variable name="max-code-number" select="if ($knowledge/search-for-term/max-sct-code-number/@value &gt; '5') then $knowledge/search-for-term/max-sct-code-number/@value else '5' " />
    <xsl:variable name="der-text-1" select="if ($code-present) then ''         else if ($otext-without-markup != '') then $otext-without-markup        else if ($pdname != '') then $pdname        else '' " />
    <xsl:variable name="family-err" select="matches($der-text-1, $family-regex, 'is')" />
    <xsl:variable name="der-truncated-text-1" select="normalize-space(replace(replace($der-text-1, $unicode-br-truncation-regex, '$1', 'is'), $tgi-truncation-regex, '$1', 'is')) " />
    <xsl:variable name="length-err" select="string-length($der-truncated-text-1) &gt; $length-err-max" />
    <xsl:variable name="prose-err-1" select="$length-err and cda:originalText and (        matches(cda:originalText, $ulist-regex)           or         matches(cda:originalText, $alt-ulist-1a-regex, 'is')         or         matches(cda:originalText, $alt-ulist-1b-regex, 'is')         )" />
    <xsl:variable name="prose-err" select="$prose-err-1 or (cda:originalText and (         matches(cda:originalText, $alt-ulist-2-regex, 'is')         or        matches(cda:originalText, $olist-arabic-regex, 'is')         or         matches(cda:originalText, $olist-alpha-regex, 'is')         or         matches(cda:originalText, $olist-roman-regex, 'is')         or        matches(replace(cda:originalText, $new-line-regex, codepoints-to-string((10)), 'is'), $para-regex, 'is') or        matches(cda:originalText, codepoints-to-string((8233)), 'is')        or               (cda:originalText and matches(cda:originalText, $invalid-concept-regex, 'is'))     or        ($length-err and matches(cda:originalText, '\.\s*$', 's') and matches(cda:originalText, $multi-sentence-regex, 's')) ))" />
    <xsl:variable name="avoid-ts" select="$family-err or $length-err or $prose-err or not($use-ts-for-sctau) " />
    <xsl:variable name="der-text-2a" select="if ($der-truncated-text-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-truncated-text-1, $tgi-fir-pattern-replacement, 'ic')) " />
    <xsl:variable name="der-text-2" select="if ($der-text-2a = '') then $der-text-1 else $der-text-2a " />
    <xsl:variable name="der-text-a" select="if ($der-text-2 = '' or $tgi-regex = '') then $der-text-2 else normalize-space(dh:XQueryRecursiveReplace($der-text-2, $tgi-regex, 'ic')) " />
    <xsl:variable name="der-text" select="if ($der-text-a = '') then $der-text-2 else $der-text-a " />
    <xsl:variable name="defn-valid-regex" select="concat('(^|\|)', translate($der-text-2, $chars-to-remove, ''), '(\||$)') " />
    <xsl:variable name="der-text-to-match-1" select="lower-case($der-text-2) " />
    <xsl:variable name="der-text-to-match" select="translate($der-text-to-match-1, $chars-to-remove, '') " />
    <xsl:variable name="tgi-non-value-regex" select="if ($is-immun)          then $cd-definitions/immun/@non-value-regex         else if ($is-pd)       then $cd-definitions/pd/@non-value-regex        else if ($is-shs-meds) then $cd-definitions/shs-meds/@non-value-regex        else if ($is-meds)     then $cd-definitions/meds/@non-value-regex        else '' " />
    <xsl:variable name="der-text-non-value" select="if ($code-present or @nullFlavor = $no-value-NF) then false() else         $der-text-to-match = ''             or         not(matches($der-text-to-match-1, '[a-z]', 'is'))         or        ($cd-definitions/non-value/@regex != '' and matches($der-text-to-match-1, $cd-definitions/non-value/@regex, 'is')) or        ($tgi-non-value-regex != '' and matches($der-text-to-match-1, $tgi-non-value-regex, 'is'))    " />
    <xsl:variable name="tgi-invalid-regex" select="if ($is-immun)          then $cd-definitions/immun/@invalid-regex         else if ($is-pd)       then $cd-definitions/pd/@invalid-regex        else if ($is-shs-meds) then $cd-definitions/shs-meds/@invalid-regex        else if ($is-meds)     then $cd-definitions/meds/@invalid-regex        else '' " />
    <xsl:variable name="defn-invalid-regex" select="if ($code-present or $der-text-non-value) then ()        else if ($tgi-invalid-regex != '') then tokenize($tgi-invalid-regex, '~')[. != '']         else () " />
    <xsl:variable name="defn-invalid-txt-regex" select="(for $i in (1 to count($defn-invalid-regex)) return normalize-space(substring-before($defn-invalid-regex[$i], '[[')))[. != '']" />
    <xsl:variable name="der-invalid-text-regex-1" select="if (exists($defn-invalid-txt-regex))        then index-of(for $i in (1 to count($defn-invalid-txt-regex)) return matches($der-text-2, $defn-invalid-txt-regex[$i], 'is'), true())        else () " />
    <xsl:variable name="der-invalid-text" select="exists($der-invalid-text-regex-1) " />
    <xsl:variable name="defn-invalid-rsn" select="if ($der-invalid-text)         then normalize-space(substring-before(substring-after($defn-invalid-regex[$der-invalid-text-regex-1[1]], '[['), ']]'))         else '' " />
    <xsl:variable name="trusted-code-systems" select="if ($der-text = '' or $der-invalid-text or not(@codeSystem or cda:translation/@codeSystem)) then ()        else if ($is-immun)          then (tokenize(replace($cd-definitions/immun/@core, '\s+', ''), '\|'),           tokenize(replace($cd-definitions/immun/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-pd)          then (tokenize(replace($cd-definitions/pd/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/pd/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-shs-meds)          then (tokenize(replace($cd-definitions/shs-meds/@core, '\s+', ''), '\|'),          tokenize(replace($cd-definitions/shs-meds/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-meds)          then (tokenize(replace($cd-definitions/meds/@core, '\s+', ''), '\|'),           tokenize(replace($cd-definitions/meds/@extra, '\s+', ''), '\|'))[. != '']         else () " />
    <xsl:variable name="der-trusted-text" select="if ($der-text = '' or $der-invalid-text or (@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex)))) then false()        else ((@codeSystem and exists($trusted-code-systems[. = current()/@codeSystem])) or               (cda:translation/@codeSystem and exists($trusted-code-systems[. = current()/cda:translation/@codeSystem]))) " />
    <xsl:variable name="a-vaccine-1" select="not($code-present or $der-text-non-value or $der-invalid-text) and exists($vaccine-text-normalised) and $der-text-to-match = $vaccine-text-normalised" />
    <xsl:variable name="a-sas-tgi-1" select="not($code-present or $der-text-non-value or $der-invalid-text or $a-vaccine-1) and $tgi-sas-regex != '' and matches($der-text, $tgi-sas-regex, 'is')" />
    <xsl:variable name="an-uncoded-tgi-1" select="not($code-present or $der-text-non-value or $der-invalid-text or $a-vaccine-1 or $a-sas-tgi-1) and $tgi-otheru-regex != '' and         matches($der-text, $tgi-otheru-regex, 'is')" />
    <xsl:variable name="obsolete-tgi-info-1" select="if ($is-immun or $code-present or $der-text-non-value or $der-invalid-text or $a-vaccine-1 or $a-sas-tgi-1 or $an-uncoded-tgi-1 or         not(exists($knowledge/special-tgi/obsolete))) then ()        else $knowledge/special-tgi/obsolete[matches($der-text, concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')] " />
    <xsl:variable name="an-obsolete-tgi-1" select="exists($obsolete-tgi-info-1)" />
    <xsl:variable name="tgi-valid-regex-1" select="if ($code-present or $der-text-non-value or $der-invalid-text or $der-text = '' or $a-vaccine-1 or $a-sas-tgi-1 or $an-uncoded-tgi-1 or          $an-obsolete-tgi-1) then ''        else if ($is-immun)    then $cd-definitions/immun/@valid-regex        else if ($is-pd)       then $cd-definitions/pd/@valid-regex        else if ($is-shs-meds) then $cd-definitions/shs-meds/@valid-regex        else if ($is-meds)     then $cd-definitions/meds/@valid-regex        else '' " />
    <xsl:variable name="valid-tgi-1" select="if ($a-vaccine-1 or $a-sas-tgi-1 or $an-uncoded-tgi-1 or $an-obsolete-tgi-1) then true()         else if ($tgi-valid-regex-1 = '') then false()        else exists(index-of(for $regex in (tokenize($tgi-valid-regex-1, '~')[. != '']) return          matches($der-text-2, dh:XQueryRecursiveReplace(normalize-space($regex), ' \|~|~\| ~|', ''), 'is'), true())) " />
    <xsl:variable name="invalid-hierarchy-1" select="if (exists($cd-definitions/meds/meds-invalid/hierarchy))         then string-join(for $hierarchy in $cd-definitions/meds/meds-invalid/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-refset" select="if (exists($cd-definitions/meds/meds-invalid/refset))          then string-join(for $refset in $cd-definitions/meds/meds-invalid/refset return concat('^', $refset/@code), ' OR ')         else '' " />
    <xsl:variable name="valid-refset" select="concat($tgi-formula, ' OR &lt;763158003') " />
    <xsl:variable name="valid-domain" select="if ($invalid-refset != '' and $invalid-hierarchy-1 != '')         then concat('((', $valid-refset, ') MINUS (', $invalid-refset, ' OR (', $invalid-hierarchy-1, ')))')        else if ($invalid-refset = '' and $invalid-hierarchy-1 != '') then concat('((', $valid-refset, ') MINUS (', $invalid-hierarchy-1, '))')         else if ($invalid-refset != '' and $invalid-hierarchy-1 = '') then concat('((', $valid-refset, ') MINUS (', $invalid-refset, '))')        else concat('(', $valid-refset, ')') " />
    <xsl:variable name="related-terms-1" select="if ($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-1) then ()        else ($codesystemvalues/code[@related-terms], $codesystemvalues/related-terms[@related-terms]) " />
    <xsl:variable name="related-terms-2" select="for $i in index-of(        for $concept in $related-terms-1 return matches(translate($concept/@related-terms, $chars-no-pipe, ''), $defn-valid-regex, 'is'), true())         return $related-terms-1[$i]/@code " />
    <xsl:variable name="der-tgi-codes-1" select="if (exists($related-terms-2)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($related-terms-2, ' OR '), ') AND ', $valid-domain), '', string(count($related-terms-2)), false())        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $der-tgi-codes-1 " />
    <xsl:variable name="der-valid-codes-1" select="if (contains($der-tgi-codes-1, '[')) then $der-tgi-codes-1 else '' " />
    <xsl:variable name="valid-tgi-2" select="$valid-tgi-1 or $der-valid-codes-1 != '' " />
    <xsl:variable name="tgi-inactive-refSets" select="if (exists($cd-definitions/tgi/tgi-invalid/inactive-refset))         then concat('((', $inactive-refSets, ') MINUS (',           string-join(for $refset in $cd-definitions/tgi/tgi-invalid/inactive-refset return concat('^', $refset/@code), ' OR '),          '))')         else $inactive-refSets " />
    <xsl:variable name="formula" select="concat($valid-domain, ' OR ', $tgi-inactive-refSets) " />
    <xsl:variable name="ts-not-needed" select="$der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-2 or $avoid-ts " />
    <xsl:variable name="der-tgi-codes-2-a" select="if ($ts-not-needed or exists($related-terms-2)) then ()         else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-text,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2-a" select="$error-usingTS-1 or 'Error' = $der-tgi-codes-2-a " />
    <xsl:variable name="revision-pattern-1" select="if ($ts-not-needed or $valid-tgi-2 or exists($der-tgi-codes-2-a) or $error-usingTS-2-a or exists($related-terms-2)) then ''        else $tgi-sec-pattern-replacement " />
    <xsl:variable name="der-revised-text-1" select="if ($revision-pattern-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-text, $revision-pattern-1, 'ic')) " />
    <xsl:variable name="use-revised-text-1" select="$der-revised-text-1 != '' and $der-revised-text-1 != $der-text " />
    <xsl:variable name="obsolete-tgi-info-2" select="if (exists($der-tgi-codes-2-a)) then ()        else if ($an-obsolete-tgi-1) then $obsolete-tgi-info-1        else if ($use-revised-text-1) then $knowledge/special-tgi/obsolete[matches($der-revised-text-1, concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')]        else () " />
    <xsl:variable name="an-obsolete-tgi-2" select="exists($obsolete-tgi-info-2)" />
    <xsl:variable name="der-tgi-codes-2-b" select="if ($an-obsolete-tgi-2) then ()        else if ($ts-not-needed or exists($der-tgi-codes-2-a) or not($use-revised-text-1)) then $der-tgi-codes-2-a         else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-1,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2-b" select="$error-usingTS-2-a or 'Error' = $der-tgi-codes-2-b " />
    <xsl:variable name="revision-pattern-2" select="if ($ts-not-needed or $valid-tgi-2 or exists($der-tgi-codes-2-b) or $error-usingTS-2-b or exists($related-terms-2)) then ''        else $tgi-thi-pattern-replacement " />
    <xsl:variable name="der-revised-text-2" select="if ($revision-pattern-2 = '') then '' else normalize-space(dh:XQueryRecursiveReplace(         if ($use-revised-text-1) then $der-revised-text-1 else $der-text, $revision-pattern-2, 'ic')) " />
    <xsl:variable name="use-revised-text-2" select="if ($use-revised-text-1) then $der-revised-text-2 != '' and $der-revised-text-2 != $der-revised-text-1         else $der-revised-text-2 != '' and $der-revised-text-2 != $der-text " />
    <xsl:variable name="obsolete-tgi-info-3" select="if (exists($der-tgi-codes-2-b)) then ()        else if ($an-obsolete-tgi-2) then $obsolete-tgi-info-2        else if ($use-revised-text-2) then $knowledge/special-tgi/obsolete[matches($der-revised-text-2, concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')]        else () " />
    <xsl:variable name="an-obsolete-tgi-3" select="exists($obsolete-tgi-info-3)" />
    <xsl:variable name="der-tgi-codes-2-c" select="if ($an-obsolete-tgi-3) then ()        else if ($ts-not-needed or exists($der-tgi-codes-2-b) or not($use-revised-text-2)) then $der-tgi-codes-2-b        else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-2,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2-c" select="$error-usingTS-2-b or 'Error' = $der-tgi-codes-2-c " />
    <xsl:variable name="der-tgi-codes-2-d" select="if ($an-obsolete-tgi-3 or $ts-not-needed or exists($der-tgi-codes-2-c)) then $der-tgi-codes-2-c        else iq:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula,          if ($der-revised-text-2 != '') then $der-revised-text-2          else if ($der-revised-text-1 != '') then $der-revised-text-1          else $der-text, 'default') " />
    <xsl:variable name="error-usingTS-2-d" select="$error-usingTS-2-c or 'Error' = $der-tgi-codes-2-d " />
    <xsl:variable name="der-tgi-codes-2" select="$der-tgi-codes-2-d " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-2-d " />
    <xsl:variable name="der-valid-codes-2" select="if ($der-valid-codes-1 != '') then $der-valid-codes-1        else if ($error-usingTS-2) then ''         else string-join((for $code in $der-tgi-codes-2 return if (contains($code, '~inactive')) then '' else $code)[. != ''], '|')  " />
    <xsl:variable name="valid-tgi-3" select="$valid-tgi-2 or $der-valid-codes-2 != '' " />
    <xsl:variable name="der-inactive-codes-1" select="if ($valid-tgi-3) then () else        for $code in $der-tgi-codes-2 return if (contains($code, '~inactive')) then replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is') else '' " />
    <xsl:variable name="der-inactive-codes-2" select="for $i in (1 to count($der-inactive-codes-1)) return         dh:IsCodeAssociatedWithAnotherCode($der-inactive-codes-1[$i], '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-1" select="'Error' = $der-inactive-codes-2 " />
    <xsl:variable name="der-NAF-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-NAF-active-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound~active')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-inactive-codes-3" select="tokenize(string-join(for $i in (1 to count($der-inactive-codes-1)) return replace(string-join(tokenize($der-inactive-codes-2[$i], '\|')        [matches(., '(REPLACED BY|SAME AS|ALTERNATIVE|POSSIBLY EQUIVALENT TO|MAY BE A|WAS A)')], '|'), '[0-9]+~[A-Z ]+~([0-9]+)', '$1'), '|'), '\|')        [. != ''] " />
    <xsl:variable name="der-tgi-codes-3" select="if (exists($der-inactive-codes-3)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($der-inactive-codes-3, ' OR '), ') AND ', $valid-domain), '', string(count($der-inactive-codes-3)), false())          else '' " />
    <xsl:variable name="error-usingTS-3" select="$error-usingTS-2 or 'Error' = $der-tgi-codes-3 " />
    <xsl:variable name="der-valid-codes-3" select="if ($der-valid-codes-2 != '') then $der-valid-codes-2        else if (contains($der-tgi-codes-3, '[')) then $der-tgi-codes-3        else '' " />
    <xsl:variable name="valid-tgi-4" select="$valid-tgi-3 or $der-valid-codes-3 != '' " />
    <xsl:variable name="tbd-hierarchy" select="if (exists($cd-definitions/meds/meds-tbd/hierarchy))         then string-join(for $hierarchy in $cd-definitions/meds/meds-tbd/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-hierarchy" select="if ($invalid-hierarchy-1 != '' and $tbd-hierarchy != '') then concat($invalid-hierarchy-1, ' OR ', $tbd-hierarchy)        else if ($invalid-hierarchy-1 != '') then $invalid-hierarchy-1        else if ($tbd-hierarchy != '') then $tbd-hierarchy        else '' " />
    <xsl:variable name="invalid-domain" select="if ($invalid-hierarchy != '' and $invalid-refset != '') then concat($invalid-hierarchy, ' OR ', $invalid-refset)        else if ($invalid-hierarchy != '') then $invalid-hierarchy        else if ($invalid-refset != '') then $invalid-refset        else '' " />
    <xsl:variable name="filter-text" select="if ($use-revised-text-2) then $der-revised-text-2 else if ($use-revised-text-1) then $der-revised-text-1 else $der-text " />
    <xsl:variable name="der-tgi-codes-4" select="if ($ts-not-needed or $valid-tgi-4 or $invalid-domain = '') then ()        else if (exists($related-terms-2)) then $related-terms-2        else distinct-values((tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          $invalid-domain, $filter-text, $max-code-number, false()), '(\[.*?\])(\||$)', '$2'), '\|'), $der-inactive-codes-3)) " />
    <xsl:variable name="error-usingTS-4" select="$error-usingTS-3 or 'Error' = $der-tgi-codes-4 " />
    <xsl:variable name="invalid-tgi-codes-r" select="if ($ts-not-needed or $valid-tgi-4 or $error-usingTS-4 or not(exists($der-tgi-codes-4))) then ()        else if ($invalid-refset = '') then tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-tgi-codes-4, ' OR '), ') AND (', $inactive-refSets, ')'), '',           string(count($der-tgi-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')        else tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-tgi-codes-4, ' OR '), ') AND (', $invalid-refset, ' OR ', $inactive-refSets, ')'), '',           string(count($der-tgi-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')  " />
    <xsl:variable name="error-usingTS-5" select="$error-usingTS-4 or 'Error' = $invalid-tgi-codes-r " />
    <xsl:variable name="der-tgi-codes-4-h" select="if ($error-usingTS-5) then () else $der-tgi-codes-4[not(. = $invalid-tgi-codes-r)]" />
    <xsl:variable name="invalid-tgi-codes-h" select="if ($ts-not-needed or $valid-tgi-4 or 'Error' = $der-tgi-codes-4 or $meds-invalid-hierarchy = '' or not(exists($der-tgi-codes-4-h))) then ()        else (for $code in $der-tgi-codes-4-h return          if (dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;&gt;', $code, ' MINUS ', $meds-invalid-hierarchy), '', '1', false()) = '') then $code else '')[. != ''] " />
    <xsl:variable name="invalid-tgi-codes" select="($invalid-tgi-codes-h, $invalid-tgi-codes-r) " />
    <xsl:variable name="der-tgi-codes-5" select="$der-tgi-codes-4[not(. = $invalid-tgi-codes or . = 'Error')]" />
    <xsl:variable name="der-valid-codes-4" select="if ($der-valid-codes-3 != '') then $der-valid-codes-3        else if ($ts-not-needed or $valid-tgi-4 or $valid-domain = '' or not(exists($der-tgi-codes-5))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-tgi-codes-5, ' OR '), ') AND ', $valid-domain), '', string(count($der-tgi-codes-5)), false()) " />
    <xsl:variable name="error-usingTS-6" select="$error-usingTS-5 or 'Error' = $der-valid-codes-4 " />
    <xsl:variable name="valid-tgi-5" select="$valid-tgi-4 or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="der-valid-codes-seq" select="if ($error-usingTS-6) then () else tokenize(replace($der-valid-codes-4,  '(\[.*?\])(\||$)', '$2'), '\|') " />
    <xsl:variable name="undetermined-tgi-1" select="if (exists($der-valid-codes-seq)) then $der-tgi-codes-5[not(. = $der-valid-codes-seq)] else $der-tgi-codes-5 " />
    <xsl:variable name="undetermined-inactive-1" select="for $i in (1 to count($undetermined-tgi-1)) return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $undetermined-tgi-1[$i], '', '1', false()) " />
    <xsl:variable name="error-usingTS-7" select="$error-usingTS-6 or 'Error' = $undetermined-inactive-1 " />
    <xsl:variable name="undetermined-inactive" select="(for $i in (1 to count($undetermined-tgi-1)) return         if (contains($undetermined-inactive-1[$i], '~inactive')) then $undetermined-inactive-1[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-1" select="for $i in (1 to count($undetermined-inactive))        return dh:IsCodeAssociatedWithAnotherCode(replace($undetermined-inactive[$i], '(\[.*?\])(\||$)', '$2'), '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-2" select="$error-usingV-1 or 'Error' = $undetermined-NAF-1 " />
    <xsl:variable name="undetermined-NAF" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-codes" select="for $term in $undetermined-NAF return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-NAF-active" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound~active')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-active-codes" select="for $term in $undetermined-NAF-active return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-tgi" select="$undetermined-tgi-1[not(. = ($undetermined-NAF-codes, $undetermined-NAF-active-codes))]" />
    <xsl:variable name="invalid-tgi" select="not($valid-tgi-5) and exists($invalid-tgi-codes) and not(exists($undetermined-tgi))" />
    <xsl:variable name="a-sas-tgi" select="if ($a-sas-tgi-1) then true()        else if ($a-vaccine-1 or $valid-tgi-5 or $invalid-tgi or not($use-revised-text-2) or $tgi-sas-regex = '') then false()        else matches($der-revised-text-2, $tgi-sas-regex, 'is')" />
    <xsl:variable name="an-uncoded-tgi" select="if ($an-uncoded-tgi-1) then true()        else if ($a-vaccine-1 or $valid-tgi-5 or $invalid-tgi or not($use-revised-text-2) or $tgi-otheru-regex = '' or $a-sas-tgi) then false()        else matches($der-revised-text-2, $tgi-otheru-regex, 'is')" />
    <xsl:variable name="obsolete-tgi-info" select="if ($an-obsolete-tgi-3) then $obsolete-tgi-info-3        else if ($a-vaccine-1 or $valid-tgi-5 or $invalid-tgi or not($use-revised-text-2) or not(exists($knowledge/special-tgi/obsolete)) or $a-sas-tgi or          $an-uncoded-tgi) then ()        else $knowledge/special-tgi/obsolete[matches($der-revised-text-2,          concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')] " />
    <xsl:variable name="an-obsolete-tgi" select="exists($obsolete-tgi-info)" />
    <xsl:variable name="valid-tgi-6" select="$valid-tgi-5 or $a-sas-tgi or $an-uncoded-tgi or $an-obsolete-tgi " />
    <xsl:variable name="a-vaccine-2" select="if ($a-vaccine-1) then true()        else if ($valid-tgi-6 or $invalid-tgi or not(exists($vaccine-text-normalised))) then false()        else if ($der-text != '' and translate(lower-case($der-text), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else if ($use-revised-text-1 and translate(lower-case($der-revised-text-1), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else if ($use-revised-text-2 and translate(lower-case($der-revised-text-2), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else false() " />
    <xsl:variable name="vaccine-code-test" select="if (not($a-vaccine-2 or $valid-tgi-6 or $invalid-tgi or $avoid-ts) and exists($undetermined-tgi))         then tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($undetermined-tgi, ' OR '), ') AND (&lt;71181003 OR &lt;127785005)'), '',          string(count($undetermined-tgi)), false()), '\|')        else () " />
    <xsl:variable name="error-usingTS-8" select="$error-usingTS-7 or 'Error' = $vaccine-code-test " />
    <xsl:variable name="a-vaccine" select="$a-vaccine-2 or (not('Error' = $vaccine-code-test) and exists($undetermined-tgi) and count($vaccine-code-test) = count($undetermined-tgi)) " />
    <xsl:variable name="codes-with-history" select="$der-inactive-codes-2[matches(., '[0-9]')]" />
    <xsl:variable name="hist-vers" select="if (exists($codes-with-history))        then dh:FindLastUpdatedDateForCodeUsingTS(substring-before($codes-with-history[1], '~'), '2.16.840.1.113883.6.96', $ts-latest-snomedctau)       else '' " />
    <xsl:variable name="error-usingTS-9" select="$error-usingTS-8 or 'Error' = $hist-vers " />
    <xsl:variable name="hist-vers-date" select="if (matches($hist-vers, '^(CodeFoundActive|CodeFoundInactive)\|[0-9]{8}$')) then substring-after($hist-vers, '|') else '' " />
    <xsl:variable name="inactive-concept" select="count($der-tgi-codes-2) = count($der-inactive-codes-1) and not($valid-tgi-6)" />
    <xsl:variable name="der-inactive-codes-4" select="$der-inactive-codes-3[not(contains(., 'MOVED FROM') or contains(., 'WAS A'))]" />
    <xsl:variable name="obsolete-without-date" select=" ($an-obsolete-tgi and not($obsolete-tgi-info/@last-available))   or         (exists($der-inactive-codes-3) and not(exists($der-inactive-codes-4)))  or         (exists($der-inactive-codes-4) and $hist-vers-date = '')   " />
    <xsl:variable name="obsolete-date" select="if ($is-immun) then ''        else if ($hist-vers-date != '') then $hist-vers-date        else if ($an-obsolete-tgi and $obsolete-tgi-info/@last-available) then $obsolete-tgi-info/@last-available         else '' " />
    <xsl:variable name="obsolete-yr" select="substring($obsolete-date, 1, 4) " />
    <xsl:variable name="obsolete-mn-temp" select="substring($obsolete-date, 5, 2) " />
    <xsl:variable name="obsolete-mn" select="if ($obsolete-mn-temp = '') then '06' else $obsolete-mn-temp " />
    <xsl:variable name="obsolete-dy-temp" select="substring($obsolete-date, 7, 2) " />
    <xsl:variable name="obsolete-dy" select="if ($obsolete-dy-temp = '') then '15' else $obsolete-dy-temp " />
    <xsl:variable name="obsolete-xs" select="if ($obsolete-date = '') then () else xs:date(concat($obsolete-yr, '-', $obsolete-mn, '-', $obsolete-dy)) " />
    <xsl:variable name="display-obsolete-date" select="if ($obsolete-date = '') then ''        else if ($obsolete-mn-temp = '') then $obsolete-dy        else if ($obsolete-dy-temp = '') then concat($knowledge/months/month[@number = $obsolete-mn]/@abbreviation, ' ', $obsolete-yr)        else concat($obsolete-dy, ' ', $knowledge/months/month[@number = $obsolete-mn]/@abbreviation, ' ', $obsolete-yr) " />
    <xsl:variable name="obsolete-date-diff" select="if ($obsolete-date = '' or not(matches($creation-date-xs - $obsolete-xs, '^P[0-9]+D'))) then '0'        else number(substring-before(substring-after($creation-date-xs - $obsolete-xs, 'P'), 'D')) " />
    <xsl:variable name="obsolete-yrs-ago" select="$obsolete-date-diff div 365 " />
    <xsl:variable name="coding" select="if (not($flags/@assess-class = 'true') or not($use-ts-for-sctau) or not(exists($iq-config/tgi-coding))) then () else $iq-config/tgi-coding" />
    <xsl:variable name="s-classification" select="if (exists($coding/special-classification/classification)) then $coding/special-classification/classification else () " />
    <xsl:variable name="s-number" select="count($s-classification) " />
    <xsl:variable name="s-formula" select="string-join(for $class in $s-classification return $class/@code, ' OR ')" />
    <xsl:variable name="code-to-assess" select="if (not($flags/@assess-class = 'true') or not($use-ts-for-sctau)) then '' else if (exists($der-valid-codes-seq)) then $der-valid-codes-seq[1] else '' " />
    <xsl:variable name="value-domain-1" select="if ($code-to-assess = '') then '' else dh:FindValueDomainsForCode($code-to-assess, '2.16.840.1.113883.6.96', $v-current-sctau)" />
    <xsl:variable name="class-error-1" select="$value-domain-1 = 'Error' " />
    <xsl:variable name="value-domain" select="if ($class-error-1 or $value-domain-1 = ('', 'CodeNotFound')) then ''       else if (contains($value-domain-1, '|')) then substring-before($value-domain-1, '|')       else $value-domain-1 " />
    <xsl:variable name="first-pass-1" select="if ($value-domain = '') then ''        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)'))         then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat($code-to-assess, ' . 30409011000036107'), '', '1', true())        else if ($value-domain = 'Medicinal Product Pack (MPP)')         then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat($code-to-assess, ' . 30348011000036104'), '', '1', true())        else if ($value-domain = 'Trade Product (TP)') then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&lt;', $code-to-assess), '', '1', true())        else $code-to-assess " />
    <xsl:variable name="class-error-2" select="$class-error-1 or ($value-domain != '' and $first-pass-1 = ('Error', '')) " />
    <xsl:variable name="first-pass" select="if (not($class-error-2) and $first-pass-1 != '') then replace($first-pass-1, '(\[.*?\])(\||$)', '$2') else '' " />
    <xsl:variable name="second-pass-1" select="if ($first-pass = '') then ''        else if ($value-domain = 'Trade Product Unit of Use (TPUU)')          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $code-to-assess, ' AND ^929360071000036103'), '', '1', true())        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product (TP)'))          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $first-pass, ' AND ^929360071000036103'), '', '1', true())        else if ($value-domain = 'Medicinal Product Pack (MPP)') then $first-pass        else $code-to-assess " />
    <xsl:variable name="class-error-3" select="$class-error-2 or ($first-pass != '' and $second-pass-1 = ('Error', '')) " />
    <xsl:variable name="second-pass" select="if (not($class-error-3) and $second-pass-1 != '') then replace($second-pass-1, '(\[.*?\])(\||$)', '$2') else '' " />
    <xsl:variable name="class-tp-1" select="if ($class-error-3) then ''        else if ($value-domain = 'Trade Product Unit of Use (TPUU)')          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $code-to-assess, ' AND ^929360021000036102'), '', '1', true())        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)'))          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $first-pass, ' AND ^929360021000036102'), '', '1', true())        else '' " />
    <xsl:variable name="class-tp-error" select="$class-tp-1 = 'Error' " />
    <xsl:variable name="class-tp" select="if (not($class-tp-error) and $class-tp-1 != '') then replace($class-tp-1, '^([0-9]+\[)(.*?)(\])$', '$2') else '' " />
    <xsl:variable name="third-pass-1" select="if ($second-pass = '') then ''        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product (TP)',          'Trade Product Unit of Use (TPUU)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)'))         then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;!', $second-pass, ' AND ^929360061000036106'), '', '1', false())        else $second-pass " />
    <xsl:variable name="class-error-4" select="$class-error-3 or ($second-pass != '' and $third-pass-1 = ('Error', '')) " />
    <xsl:variable name="third-pass" select="if ($class-error-4 or $third-pass-1 = '') then ''         else if (matches($third-pass-1, '^[0-9]+$')) then replace($der-valid-codes-4, '^([0-9]+\[)(.*?)(\]\|.*|\])$', '$2')        else if (matches($third-pass-1, '^[0-9]')) then replace($third-pass-1, '^([0-9]+\[)(.*?)(\])$', '$2') else '' " />
    <xsl:variable name="fourth-pass-1" select="if ($third-pass = '') then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', '&lt;373873005', $third-pass, '1', true()) " />
    <xsl:variable name="class-error-5" select="$class-error-4 or $fourth-pass-1 = 'Error' " />
    <xsl:variable name="fourth-pass" select="if (not($class-error-4) and $fourth-pass-1 != '' and matches($fourth-pass-1, '^[0-9]')) then replace($fourth-pass-1, '(\[.*?\])(\||$)', '$2') else '' " />
    <xsl:variable name="class-not-completed" select="($flags/@assess-class = 'true' and $code-to-assess = '')  or        ($code-to-assess != '' and $value-domain-1 = 'CodeNotFound') or        ($third-pass != '' and $fourth-pass = '')   " />
    <xsl:variable name="valid-class-1" select="if ($fourth-pass = '' or $s-number = 0) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND (', $s-formula, ')'), '', string($s-number), true()) " />
    <xsl:variable name="class-error-6" select="$class-error-5 or $valid-class-1 = 'Error' " />
    <xsl:variable name="valid-class-2" select="if ($valid-class-1 = '' or $class-error-6) then () else tokenize(replace($valid-class-1, '(\[.*?\])(\||$)', '$2'), '\|') " />
    <xsl:variable name="valid-class-3" select="if ($a-vaccine and exists($s-classification[@code = '71181003']/@description)) then ($s-classification[@code = '71181003']/@description)       else if ($a-vaccine and exists($s-classification[@code = '71181003']/@pterm)) then ($s-classification[@code = '71181003']/@pterm)       else for $code in $valid-class-2 return if ($coding/special-classification/classification[@code = $code]/@description)         then $coding/special-classification/classification[@code = $code]/@description         else $coding/special-classification/classification[@code = $code]/@pterm " />
    <xsl:variable name="fifth-pass" select="if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/first-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/first-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-7" select="$class-error-6 or $fifth-pass = 'Error' " />
    <xsl:variable name="sixth-pass" select="if (not($fifth-pass = '')) then $fifth-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/second-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/second-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-8" select="$class-error-7 or $sixth-pass = 'Error' " />
    <xsl:variable name="seventh-pass" select="if (not($sixth-pass = '')) then $sixth-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/third-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/third-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-9" select="$class-error-8 or $seventh-pass = 'Error' " />
    <xsl:variable name="eighth-pass" select="if (not($seventh-pass = '')) then $seventh-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/fourth-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/fourth-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-10" select="$class-error-9 or $eighth-pass = 'Error' " />
    <xsl:variable name="ninth-pass" select="if (not($eighth-pass = '')) then $eighth-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/fifth-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/fifth-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-11" select="$class-error-10 or $ninth-pass = 'Error' " />
    <xsl:variable name="valid-class" select="if (exists($valid-class-3)) then $valid-class-3        else if (not($ninth-pass = '')) then for $term in tokenize($ninth-pass, '\|') return replace($term, '^([0-9]+\[)(.*?)(\])$', '$2')       else () " />
    <xsl:variable name="codes-were-found" select="exists($der-tgi-codes-4) or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="obsolete-error" select="not($is-immun) and ($an-obsolete-tgi or $inactive-concept) and $obsolete-yrs-ago &gt; 2 " />
    <xsl:variable name="obsolete-warning" select="not($is-immun or $obsolete-error) and ($an-obsolete-tgi or $inactive-concept) and ($obsolete-yrs-ago &gt; 1 or $obsolete-without-date) " />
    <xsl:variable name="codes-not-found" select="not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-6 or $invalid-tgi or $a-vaccine) " />
    <xsl:variable name="codes-in-the-domain" select="not($valid-tgi-1) and $valid-tgi-5" />
    <xsl:variable name="codes-in-other-domain" select="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi or         $a-vaccine or $obsolete-warning) " />
    <xsl:variable name="codes-in-no-domain" select="exists($der-tgi-codes-5) " />
    <xsl:variable name="display-in-the-domain" select="if ($codes-in-the-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', '), '''')        else '' " />
    <xsl:variable name="display-in-other-r" select="if (exists($invalid-tgi-codes-r) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-tgi-codes-r return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-h" select="if (exists($invalid-tgi-codes-h) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-tgi-codes-h return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-domain" select="if (not($codes-in-other-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))) then ''        else if ($display-in-other-r and display-in-other-h) then concat('''', $display-in-other-r, ', ', $display-in-other-h, '''')        else if ($display-in-other-r) then concat('''', $display-in-other-r, '''')        else if ($display-in-other-h) then concat('''', $display-in-other-h, '''')        else '' " />
    <xsl:variable name="display-in-no-domain" select="if ($codes-in-no-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', dh:XQueryRecursiveReplace(string-join(for $code in $der-tgi-codes-5 return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), '; '),          $term-pattern-replacement, 'ic'), '''')        else '' " />
    <xsl:variable name="log-concepts-appended" select="if ($error-usingTS-9 or not($flags/@report-terminology-concepts = 'true') or $log-concepts-name = '') then ''        else if ($codes-not-found and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                   'Therapeutic Good Identification', $log-tab,                   'yes',     $log-tab,                   iq:display-CD(.),   $log-tab,                   '',     $log-tab,                  '',     $log-tab,                  '',     $log-tab,                  $ts-current-sctau   ))        else if (($use-revised-text-2 or $codes-in-no-domain) and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                  'Therapeutic Good Identification', $log-tab,                   'yes',     $log-tab,                     iq:display-CD(.),   $log-tab,                    $display-in-the-domain,   $log-tab,                  $display-in-other-domain,  $log-tab,                  $display-in-no-domain,   $log-tab,                  $ts-current-sctau   ))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if (matches($defn-invalid-rsn, 'is a container', 'is')) then $rating-container-TC-Types-57 else $rating-TC-Types-57 " />
    <!--REPORT -->
    <xsl:if test=" $log-concepts-appended = ('NOTFOUND', 'ERROR') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$log-concepts-appended = ('NOTFOUND', 'ERROR')">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): The AppendLog function returned '<xsl:text /><xsl:value-of select="$log-concepts-appended" /><xsl:text />' when requested to append the concepts log
		'<xsl:text /><xsl:value-of select="$log-concepts-name" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $flags/@assess-class = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $flags/@assess-class = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): 
		code-to-assess '<xsl:text /><xsl:value-of select="$code-to-assess" /><xsl:text />'
		value-domain '<xsl:text /><xsl:value-of select="$value-domain" /><xsl:text />'
		first-pass '<xsl:text /><xsl:value-of select="$first-pass" /><xsl:text />'
		second-pass '<xsl:text /><xsl:value-of select="$second-pass" /><xsl:text />'
		third-pass '<xsl:text /><xsl:value-of select="$third-pass" /><xsl:text />'
		fourth-pass '<xsl:text /><xsl:value-of select="$fourth-pass" /><xsl:text />'
		valid-class-1 '<xsl:text /><xsl:value-of select="$valid-class-1" /><xsl:text />'
		fifth-pass '<xsl:text /><xsl:value-of select="$fifth-pass" /><xsl:text />'
		sixth-pass '<xsl:text /><xsl:value-of select="$sixth-pass" /><xsl:text />'
		seventh-pass '<xsl:text /><xsl:value-of select="$seventh-pass" /><xsl:text />'
		eighth-pass '<xsl:text /><xsl:value-of select="$eighth-pass" /><xsl:text />'
		ninth-pass '<xsl:text /><xsl:value-of select="$ninth-pass" /><xsl:text />'

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $class-error-11 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$class-error-11">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An unexpected error occurred during the process to classify a terminology code.
		Report the information below to the Australian Digital Health Agency for investigation.
		The value domain was '<xsl:text /><xsl:value-of select="$value-domain" /><xsl:text />' and the error variable was
		<xsl:text /><xsl:value-of select="if ($class-error-1) then concat('class-error-1. The FindValueDomainsForCode function was called with code ''', $code-to-assess,     ''', codeSystem ''2.16.840.1.113883.6.96'' and codeSystemVersion ''', $v-current-sctau, ''' and returned ''', $value-domain-1, '''.')   else if ($class-error-2) then concat('class-error-2. The SearchForCodesInHierarchyUsingTS function was called with code ''', $code-to-assess,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $first-pass-1, '''.')   else if ($class-error-3) then concat('class-error-3. The SearchForCodesInHierarchyUsingTS function was called with code ''',     if ($value-domain = 'Trade Product Unit of Use (TPUU)') then $code-to-assess else $first-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $second-pass-1, '''.')   else if ($class-error-4) then concat('class-error-4. The SearchForCodesInHierarchyUsingTS function was called with code ''', $second-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $third-pass-1, '''.')   else if ($class-error-5) then concat('class-error-5. The SearchForCodesInHierarchyUsingTS function was called with code ''', $third-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $fourth-pass-1, '''.')   else if ($class-error-6) then concat('class-error-6. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $valid-class-1, '''.')   else if ($class-error-7) then concat('class-error-7. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $fifth-pass, '''.')   else if ($class-error-8) then concat('class-error-8. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $sixth-pass, '''.')   else if ($class-error-9) then concat('class-error-9. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $seventh-pass, '''.')   else if ($class-error-10) then concat('class-error-10. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $eighth-pass, '''.')   else if ($class-error-11) then concat('class-error-11. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $ninth-pass, '''.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $class-tp-error ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$class-tp-error">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An unexpected error occurred during the process to find the trade product name for a medicine.
		Report the information below to the Australian Digital Health Agency for investigation.
		The value domain was '<xsl:text /><xsl:value-of select="$value-domain" /><xsl:text />' and the error variable was class-tp-error.
		The FindValueDomainsForCode function was called with code ''', 
		if ($value-domain = 'Trade Product Unit of Use (TPUU)') then $code-to-assess else $first-pass, 
		''', codeSystem ''2.16.840.1.113883.6.96'' and codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $class-tp-1, '''.')

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-tgi-6) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-tgi-6)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An unexpected problem occurred when assessing the value of the Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. The application of regular expressions resulted in the complete loss of text.
		Report the information below to the Australian Digital Health Agency for investigation.

		der-text-1 '<xsl:text /><xsl:value-of select="normalize-space(dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'))" /><xsl:text />'.
		der-text-2a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-2a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-a, $term-pattern-replacement, 'ic')" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingV-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingV-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An error was reported when accessing the terminology server when assessing the Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		Report the issue to the Australian Digital Health Agency for investigation stating the error was recorded for error-usingV-2.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-9 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-9">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An error was reported when accessing the terminology server when assessing the Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term:
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The analysis should be retried as the terminology server may have been temporarily unavailable.
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'error-usingTS-1' else if ($error-usingTS-2-a) then 'error-usingTS-2-a'   else if ($error-usingTS-2-b) then 'error-usingTS-2-b' else if ($error-usingTS-2-c) then 'error-usingTS-2-c'   else if ($error-usingTS-2) then 'error-usingTS-2'   else if ($error-usingTS-3) then 'error-usingTS-3' else if ($error-usingTS-4) then 'error-usingTS-4'   else if ($error-usingTS-5) then 'error-usingTS-5' else if ($error-usingTS-6) then 'error-usingTS-6'   else if ($error-usingTS-7) then 'error-usingTS-7' else if ($error-usingTS-8) then 'error-usingTS-8'   else 'error-usingTS-9' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or      $valid-tgi-6 or $invalid-tgi) and not($a-vaccine and not(false())) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi) and not($a-vaccine and not(false()))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify medicines relevant to the healthcare event that the         subject of care is or was using and may include prescribed and over the counter medicines. The text must include the name of the medication         (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.9 and 5.5 of the Event Summary Structured Content Specification v1.1.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the MEDICATION section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi) and    not($a-vaccine and false()) and not($obsolete-warning) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi) and not($a-vaccine and false()) and not($obsolete-warning)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the value does not seem to be applicable for the data element.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify medicines relevant to the healthcare event that the         subject of care is or was using and may include prescribed and over the counter medicines. The text must include the name of the medication         (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.9 and 5.5 of the Event Summary Structured Content Specification v1.1.)')" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $obsolete-warning ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$obsolete-warning">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the name may not be applicable for the data element.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> and the
		<xsl:text /><xsl:value-of select="if ($display-obsolete-date != '') then concat('name of the therapeutic good was last used ', $display-obsolete-date)   else if ($obsolete-tgi-info/@name) then concat('therapeutic good ''', $obsolete-tgi-info/@name, ''' was last available ', $display-obsolete-date)    else if ($obsolete-without-date) then 'name of the therapeutic good is no longer used ' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($obsolete-tgi-info/@reason) then concat(' because ', $obsolete-tgi-info/@reason, '.') else '.' " /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify medicines relevant to the healthcare event that the         subject of care is or was using and may include prescribed and over the counter medicines. The text must include the name of the medication         (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.9 and 5.5 of the Event Summary Structured Content Specification v1.1.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		<xsl:text /><xsl:value-of select="$creation-date-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $obsolete-error ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$obsolete-error">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the name is not applicable for the data element.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> and the
		<xsl:text /><xsl:value-of select="if ($display-obsolete-date != '') then concat('name of the therapeutic good was last used ', $display-obsolete-date)   else if ($obsolete-tgi-info/@name) then concat('therapeutic good ''', $obsolete-tgi-info/@name, ''' was last available ', $display-obsolete-date)    else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($obsolete-tgi-info/@reason) then concat(' because ', $obsolete-tgi-info/@reason, '.') else '.' " /><xsl:text />
		That was <xsl:text /><xsl:value-of select="if (contains(string($obsolete-yrs-ago), '.')) then substring-before(string($obsolete-yrs-ago), '.') else $obsolete-yrs-ago " /><xsl:text /> years before the
		<xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify medicines relevant to the healthcare event that the         subject of care is or was using and may include prescribed and over the counter medicines. The text must include the name of the medication         (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.9 and 5.5 of the Event Summary Structured Content Specification v1.1.)'))" /><xsl:text /><xsl:text /><xsl:value-of select="$creation-date-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the data element does not have a proper value. <xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify medicines relevant to the healthcare event that the         subject of care is or was using and may include prescribed and over the counter medicines. The text must include the name of the medication         (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.9 and 5.5 of the Event Summary Structured Content Specification v1.1.)'))" /><xsl:text />
		The Therapeutic Good Identification data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify medicines relevant to the healthcare event that the         subject of care is or was using and may include prescribed and over the counter medicines. The text must include the name of the medication         (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.9 and 5.5 of the Event Summary Structured Content Specification v1.1.)'))" /><xsl:text />
		The Therapeutic Good Identification data element must have a value that is consistent with this definition. Alternatively if there is no Therapeutic Good Identification data element with a proper value then an exclusion
		statement must be included to state why there is no Therapeutic Good Identification. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4')    then concat('Text such as ''', dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'), ''' may be permitted in the narrative even though the Therapeutic Good Identification data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the data element does not have a proper value. <xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify medicines relevant to the healthcare event that the         subject of care is or was using and may include prescribed and over the counter medicines. The text must include the name of the medication         (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.9 and 5.5 of the Event Summary Structured Content Specification v1.1.)'))" /><xsl:text />
		The Therapeutic Good Identification data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($der-text-non-value) and $der-invalid-text ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($der-text-non-value) and $der-invalid-text">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />
		however the value is invalid. <xsl:text /><xsl:value-of select="$defn-invalid-rsn" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify medicines relevant to the healthcare event that the         subject of care is or was using and may include prescribed and over the counter medicines. The text must include the name of the medication         (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.9 and 5.5 of the Event Summary Structured Content Specification v1.1.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $a-vaccine and false() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$a-vaccine and false()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />
		which identifies a vaccine. <xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify medicines relevant to the healthcare event that the         subject of care is or was using and may include prescribed and over the counter medicines. The text must include the name of the medication         (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.9 and 5.5 of the Event Summary Structured Content Specification v1.1.)'))" /><xsl:text />
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the MEDICATION section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $invalid-tgi and not($error-usingTS-9) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$invalid-tgi and not($error-usingTS-9)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
ZZZ
der-text '<xsl:text /><xsl:value-of select="$der-text" /><xsl:text />'
der-revised-text-1 '<xsl:text /><xsl:value-of select="$der-revised-text-1" /><xsl:text />'
der-revised-text-2 '<xsl:text /><xsl:value-of select="$der-revised-text-2" /><xsl:text />'
ZZZ
		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the value is invalid
		<xsl:text /><xsl:value-of select="if (exists($invalid-tgi-codes-h) or exists($invalid-tgi-codes-r)) then concat(' as it describes ',    iq:invalidityExplanationUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, $invalid-tgi-codes-h, $cd-definitions/meds/meds-invalid/hierarchy, $invalid-tgi-codes-r, $cd-definitions/meds/meds-invalid/refset), '.')   else '.' " /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify medicines relevant to the healthcare event that the         subject of care is or was using and may include prescribed and over the counter medicines. The text must include the name of the medication         (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.9 and 5.5 of the Event Summary Structured Content Specification v1.1.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable outside the applicable value domain): The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. The following codes were obtained and are not in the value domain:
		<xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-TGI-Defn): The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU and no associated code was found in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists(($der-NAF-active-codes, $undetermined-NAF-active-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists(($der-NAF-active-codes, $undetermined-NAF-active-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-TGI-Defn): The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-active-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the
		'<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU but it was not found with this status in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.
		<xsl:text /><xsl:value-of select="if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and ($valid-tgi-1 or $a-vaccine-2 or (not($valid-tgi-5) and $valid-tgi-6))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and ($valid-tgi-1 or $a-vaccine-2 or (not($valid-tgi-5) and $valid-tgi-6))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable within the value domain): The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> which matches
		<xsl:text /><xsl:value-of select="if ($a-vaccine-1) then 'one of the terms listed in Knowledge.xml' else 'the vaccine information in CodeSystems.xml' " /><xsl:text /> for the Therapeutic Good Identification.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(exists($valid-class)) and $class-not-completed and not($class-tp-error or $class-error-10) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(exists($valid-class)) and $class-not-completed and not($class-tp-error or $class-error-10)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. <xsl:text /><xsl:value-of select="if ($code-to-assess = '') then 'No code could be found for the medicine.'    else if ($value-domain = '') then concat('The code ''', $code-to-assess, ''' was found to apply to the medicine by applying the terminology server using the ''', $ts-current-sctau,   ''' version of SNOMED CT-AU but the code was not found in the Validator''s database using the ''', $v-current-sctau, ''' version of SNOMED CT-AU.',   if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '')   else concat('This is a ', $value-domain,    if ($value-domain = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)')) then    concat(' (with medicinal product ''', $third-pass, ''').')    else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)'))    then concat(' (with trade product ''', $class-tp, ''').')    else '.') " /><xsl:text /> The classification of this medicine could not be completed.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists($valid-class) and not($class-tp-error or $class-error-11) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists($valid-class) and not($class-tp-error or $class-error-11)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This <xsl:text /><xsl:value-of select="if (not($value-domain = ('Containered Trade Product Pack (CTPP)',    'Trade Product Pack (TPP)', 'Trade Product (TP)', 'Trade Product Unit of Use (TPUU)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Medicinal Product (MP)')))    then '' else concat('is a ', $value-domain, ' which')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($value-domain = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)')) then concat(' (with medicinal product ''', $third-pass, ''') which')   else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)'))    then concat(' (with trade product ''', $class-tp, ''') which') else '' " /><xsl:text />
		identifies a type of <xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($valid-class, ' and '), $markup-pattern-replacement, 'ic')" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (concept is codeable within the value domain): The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> which is a valid value for the Therapeutic Good Identification.
		SNOMED CT-AU codes that matched the concept are: <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The text used to match regular expression (der-text-2) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to match non-values and vaccines (der-text-to-match) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-to-match, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to derive a code (der-text) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.

		<xsl:text /><xsl:value-of select="if ($use-revised-text-1) then concat(' A first revision of the text (der-revised-text-1) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-1, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A first revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-1 != '' and $der-revised-text-1 = '') then ' revision-pattern-1 was applied but the output (der-revised-text-1) was an empty string.' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($use-revised-text-2) then concat(' A second revision of the text (der-revised-text-2) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A second revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-2 != '' and $der-revised-text-2 = '') then ' revision-pattern-2 was applied but the output (der-revised-text-2) was an empty string.' else '' " /><xsl:text />

		The SNOMED CT-AU version used to find codes is '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' and the maximum code number is '<xsl:text /><xsl:value-of select="$max-code-number" /><xsl:text />'.

		Codes for related terms (related-terms-2): '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($related-terms-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes for related terms (der-valid-codes-1): 
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-1, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-tgi-codes-2) returned by the terminology server that match the text:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-tgi-codes-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes from related terms or the terminology server (der-valid-codes-2):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-2, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-inactive-codes-3) returned from the Validator's database associated with inactive codes:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-inactive-codes-3, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes found after examining inactive codes (der-valid-codes-3):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-3, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Members of invalid reference sets (invalid-tgi-codes-r): '<xsl:text /><xsl:value-of select="$display-in-other-r" /><xsl:text />'.
		Members of invalid code hierarchies (invalid-tgi-codes-h): '<xsl:text /><xsl:value-of select="$display-in-other-h" /><xsl:text />'.

		Final set of valid codes (der-valid-codes-4): <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.
		
		Codes whose validity has not been determined (der-tgi-codes-5): <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.
		Codes whose validity has not been determined and are inactive with no associated code (undetermined-NAF): '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(    string-join($undetermined-NAF, ''', '''), $markup-pattern-replacement, 'ic')" /><xsl:text />'.

		Result of the second vaccination code test (a-vaccine-2): '<xsl:text /><xsl:value-of select="$a-vaccine-2" /><xsl:text />'.
		Vaccine codes (vaccine-code-test):  '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($vaccine-code-test, '; '), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Overall result of the vaccination test (a-vaccine): '<xsl:text /><xsl:value-of select="$a-vaccine" /><xsl:text />'.

		Will the value of the data element be trusted (der-trusted-text)? '<xsl:text /><xsl:value-of select="$der-trusted-text" /><xsl:text />'.
		
	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and $codes-not-found">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept not codeable): The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($avoid-ts) then 'The terminology server was not used to assist with finding codes corresponding to text in the data element. ' else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $prose-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $prose-err">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> which is invalid as it is prose text.
		The Therapeutic Good Identification data element is CodeableText derived from the HL7 CD data type which by definition is to record a concept defined in an external code system, terminology or ontology.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify medicines relevant to the healthcare event that the         subject of care is or was using and may include prescribed and over the counter medicines. The text must include the name of the medication         (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.9 and 5.5 of the Event Summary Structured Content Specification v1.1.)'))" /><xsl:text />
		This finding will also be reported as an error.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M473" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M473" />
  <xsl:template match="@*|node()" priority="-2" mode="M473">
    <xsl:apply-templates select="@*|*" mode="M473" />
  </xsl:template>
  <!--PATTERN p-TS-Med-CodeableText-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '101.16146' = $doc-sections][cda:templateId[   @root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3']]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/cda:substanceAdministration/cda:consumable/   cda:manufacturedProduct/cda:manufacturedMaterial/cda:code[@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " priority="1000" mode="M474">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '101.16146' = $doc-sections][cda:templateId[   @root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3']]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/cda:substanceAdministration/cda:consumable/   cda:manufacturedProduct/cda:manufacturedMaterial/cda:code[@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="pnullFlavor" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @nullFlavor) then @nullFlavor else '' " />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-p-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then false()        else if ($psnomed-id = 'amtv3' and @codeSystemVersion) then exists($v-amtv3[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($psnomed-id = 'snomedctau' and @codeSystemVersion) then exists($v-snomedctau[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false() " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and $pcode != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used to assess the primary code.') " />
    <xsl:variable name="pcode-refsets-1" select="if (@codeSystem = '2.16.840.1.113883.6.96' and not($pcode = ''))         then dh:FindValueDomainsForCode($pcode, '2.16.840.1.113883.6.96', $v-psnomed-version) else 'no-code' " />
    <xsl:variable name="pcode-found" select="not($pcode-refsets-1 = 'no-code' or $pcode-refsets-1 = 'CodeNotFound' or $pcode-refsets-1 = 'Error'        or contains($pcode-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="pcode-refsets" select="if ($pcode-found) then distinct-values(tokenize($pcode-refsets-1, '\|')) else () " />
    <xsl:variable name="pcode-special-proc" select="count($pcode-refsets) = 1 and 'Procedure Foundation (PF)' = $pcode-refsets and not($pnullFlavor = 'OTH') " />
    <xsl:variable name="pcode-refsets-msg" select="if (count($pcode-refsets) = 0) then ''         else if (count($pcode-refsets) = 1) then concat('The code is a member of the ', $pcode-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($pcode-refsets, ', '), '.') " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))         else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-1" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="snomed-trans-2" select="distinct-values(for $i in (1 to count($snomed-trans-1)) return $snomed-trans-1[$i]/@code) " />
    <xsl:variable name="snomed-trans-a" select="$snomed-trans-1[1] " />
    <xsl:variable name="tcode-a" select="if (exists($snomed-trans-a) and matches($snomed-trans-a/@code, $snomed-code-regex)) then $snomed-trans-a/@code else '' " />
    <xsl:variable name="tnullFlavor-a" select="if (exists($snomed-trans-a) and $snomed-trans-a/@nullFlavor) then $snomed-trans-a/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-a" select="if (not(exists($snomed-trans-a))) then 'not-snomed'        else if (not($snomed-trans-a/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-a/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-a" select="if (not(exists($snomed-trans-a))) then ''        else if ($tsnomed-id-a = 'amtv3' and exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-a = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-a/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-a" select="if (not(exists($snomed-trans-a))) then false()        else if ($tsnomed-id-a = 'amtv3' and $snomed-trans-a/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-a = 'snomedctau' and $snomed-trans-a/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-a-msg" select="if (not(exists($snomed-trans-a))) then ''        else if (not($snomed-trans-a/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-a, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-a = 'amtv3') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-a = 'snomedctau') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-a/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-a, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-a/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-a-refsets-1" select="if (exists($snomed-trans-a) and not($tcode-a = ''))         then dh:FindValueDomainsForCode($tcode-a, '2.16.840.1.113883.6.96', $v-tsnomed-version-a) else 'no-code' " />
    <xsl:variable name="tcode-a-found" select="not($tcode-a-refsets-1 = 'no-code' or $tcode-a-refsets-1 = 'CodeNotFound' or $tcode-a-refsets-1 = 'Error'         or contains($tcode-a-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-a-refsets" select="if ($tcode-a-found) then distinct-values(tokenize($tcode-a-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-a-special-proc" select="count($tcode-a-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-a-refsets and not($tnullFlavor-a = 'OTH') " />
    <xsl:variable name="tcode-a-refsets-msg" select="if (count($tcode-a-refsets) = 0) then ''         else if (count($tcode-a-refsets) = 1) then concat('The code is a member of the ', $tcode-a-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-a-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@code and $snomed-trans-a/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-a/@displayName, codepoints-to-string(34))         else if ($snomed-trans-a/@code and not($snomed-trans-a/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@codeSystem and $snomed-trans-a/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-a/@codeSystemName, ')')         else if ($snomed-trans-a/@codeSystem and not($snomed-trans-a/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-b" select="(for $i in (2 to count($snomed-trans-1)) return if ($snomed-trans-1[$i]/@code != $snomed-trans-a/@code) then $snomed-trans-1[$i] else ())[1] " />
    <xsl:variable name="tcode-b" select="if (exists($snomed-trans-b) and matches($snomed-trans-b/@code, $snomed-code-regex)) then $snomed-trans-b/@code else '' " />
    <xsl:variable name="tnullFlavor-b" select="if (exists($snomed-trans-b) and $snomed-trans-b/@nullFlavor) then $snomed-trans-b/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-b" select="if (not(exists($snomed-trans-b))) then 'not-snomed'        else if (not($snomed-trans-b/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-b/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-b" select="if (not(exists($snomed-trans-b))) then ''        else if ($tsnomed-id-b = 'amtv3' and exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-b = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-b/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-b" select="if (not(exists($snomed-trans-b))) then false()        else if ($tsnomed-id-b = 'amtv3' and $snomed-trans-b/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-b = 'snomedctau' and $snomed-trans-b/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-b-msg" select="if (not(exists($snomed-trans-b))) then ''        else if (not($snomed-trans-b/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-b, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-b = 'amtv3') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-b = 'snomedctau') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-b/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-b, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-b/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-b-refsets-1" select="if (exists($snomed-trans-b) and not($tcode-b = ''))         then dh:FindValueDomainsForCode($tcode-b, '2.16.840.1.113883.6.96', $v-tsnomed-version-b) else 'no-code' " />
    <xsl:variable name="tcode-b-found" select="not($tcode-b-refsets-1 = 'no-code' or $tcode-b-refsets-1 = 'CodeNotFound' or $tcode-b-refsets-1 = 'Error'         or contains($tcode-b-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-b-refsets" select="if ($tcode-b-found) then distinct-values(tokenize($tcode-b-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-b-special-proc" select="count($tcode-b-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-b-refsets and not($tnullFlavor-b = 'OTH') " />
    <xsl:variable name="tcode-b-refsets-msg" select="if (count($tcode-b-refsets) = 0) then ''         else if (count($tcode-b-refsets) = 1) then concat('The code is a member of the ', $tcode-b-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-b-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@code and $snomed-trans-b/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-b/@displayName, codepoints-to-string(34))         else if ($snomed-trans-b/@code and not($snomed-trans-b/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@codeSystem and $snomed-trans-b/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-b/@codeSystemName, ')')         else if ($snomed-trans-b/@codeSystem and not($snomed-trans-b/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-60" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-60 else $rating-alt-TC-Types-60 " />
    <!--REPORT -->
    <xsl:if test=" $pcode-found and $pcode-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pcode-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD (p-TS-CD-SCT-RefSet): An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$pcode" /><xsl:text />',
		codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-psnomed-version" /><xsl:text />'. This error occurred when assessing the Therapeutic Good Identification data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. The value is not valid for the data element as it describes a medical
		procedure and not a medical problem or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify medicines relevant to the healthcare event that the         subject of care is or was using and may include prescribed and over the counter medicines. The text must include the name of the medication         (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.18 and 5.5 of the Event Summary Structured Content Specification v1.2.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the code is not a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Known Medication (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Known Medication (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Known Medication (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. Confirm if the code is a member of the value domain.
		If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Known Medication (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="count($snomed-trans-1)" /><xsl:text /> translation elements with
		codes and the SNOMED CT-AU codeSystem '2.16.840.1.113883.6.96'. The first two translation elements have been assessed to determine if the codes are members of the value domain
		and the others have not been assessed. Confirm if the value of the code attribute in all SNOMED CT translation elements meets the requirement that it be a member of the value domain
		if there is no nullFlavor 'OTH' or that there is a nullFlavor 'OTH' if the value of the code attribute is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text /> 
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Known Medication (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-a" /><xsl:text />'. This error occurred when assessing the Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify medicines relevant to the healthcare event that the         subject of care is or was using and may include prescribed and over the counter medicines. The text must include the name of the medication         (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.18 and 5.5 of the Event Summary Structured Content Specification v1.2.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Known Medication (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Known Medication (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Known Medication (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Known Medication (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-b" /><xsl:text />'. This error occurred when assessing the Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> 
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify medicines relevant to the healthcare event that the         subject of care is or was using and may include prescribed and over the counter medicines. The text must include the name of the medication         (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.18 and 5.5 of the Event Summary Structured Content Specification v1.2.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Known Medication (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Known Medication (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Known Medication (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Known Medication (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M474" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M474" />
  <xsl:template match="@*|node()" priority="-2" mode="M474">
    <xsl:apply-templates select="@*|*" mode="M474" />
  </xsl:template>
  <!--PATTERN p-TS-Med-CodeableText-5-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '101.16146' = $doc-sections][cda:templateId[   @root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3']]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/cda:substanceAdministration/cda:consumable/   cda:manufacturedProduct/cda:manufacturedMaterial/cda:code[(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-meds-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])]   [not(@nullFlavor = $no-value-NF)] " priority="1000" mode="M475">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '101.16146' = $doc-sections][cda:templateId[   @root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3']]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/cda:substanceAdministration/cda:consumable/   cda:manufacturedProduct/cda:manufacturedMaterial/cda:code[(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-meds-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])]   [not(@nullFlavor = $no-value-NF)] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="snomed-trans" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="tcode" select="if (exists($snomed-trans[1]) and matches($snomed-trans[1]/@code, $snomed-code-regex)) then $snomed-trans[1]/@code else '' " />
    <xsl:variable name="code-present" select="$pcode != '' or $tcode != '' " />
    <xsl:variable name="invalid-code-system" select="@code and @displayName and @codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="codesystemvalues" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']" />
    <xsl:variable name="otext-without-markup" select="if (cda:originalText and cda:originalText != '') then normalize-space(replace(cda:originalText, $markup-regex, ' ')) else '' " />
    <xsl:variable name="pdname" select="if (@displayName and not($invalid-code-system)) then normalize-space(@displayName) else '' " />
    <xsl:variable name="is-immun" select="exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='101.16638' or @code = '101.16658' or @code = '101.17039')]]) " />
    <xsl:variable name="is-pd" select="exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code = '102.16210' or @code='102.16211' or @code='101.16795')]]) " />
    <xsl:variable name="is-shs-meds" select="$templateId-root = '1.2.36.1.2001.1001.101.100.1002.120' and          exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]) " />
    <xsl:variable name="is-meds" select="exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code = '101.16146.4.1.1' or @code = '101.16146.4.1.2' or @code='101.16146')]]) " />
    <xsl:variable name="max-code-number" select="if ($knowledge/search-for-term/max-sct-code-number/@value &gt; '5') then $knowledge/search-for-term/max-sct-code-number/@value else '5' " />
    <xsl:variable name="der-text-1" select="if ($code-present) then ''         else if ($otext-without-markup != '') then $otext-without-markup        else if ($pdname != '') then $pdname        else '' " />
    <xsl:variable name="family-err" select="matches($der-text-1, $family-regex, 'is')" />
    <xsl:variable name="der-truncated-text-1" select="normalize-space(replace(replace($der-text-1, $unicode-br-truncation-regex, '$1', 'is'), $tgi-truncation-regex, '$1', 'is')) " />
    <xsl:variable name="length-err" select="string-length($der-truncated-text-1) &gt; $length-err-max" />
    <xsl:variable name="prose-err-1" select="$length-err and cda:originalText and (        matches(cda:originalText, $ulist-regex)           or         matches(cda:originalText, $alt-ulist-1a-regex, 'is')         or         matches(cda:originalText, $alt-ulist-1b-regex, 'is')         )" />
    <xsl:variable name="prose-err" select="$prose-err-1 or (cda:originalText and (         matches(cda:originalText, $alt-ulist-2-regex, 'is')         or        matches(cda:originalText, $olist-arabic-regex, 'is')         or         matches(cda:originalText, $olist-alpha-regex, 'is')         or         matches(cda:originalText, $olist-roman-regex, 'is')         or        matches(replace(cda:originalText, $new-line-regex, codepoints-to-string((10)), 'is'), $para-regex, 'is') or        matches(cda:originalText, codepoints-to-string((8233)), 'is')        or               (cda:originalText and matches(cda:originalText, $invalid-concept-regex, 'is'))     or        ($length-err and matches(cda:originalText, '\.\s*$', 's') and matches(cda:originalText, $multi-sentence-regex, 's')) ))" />
    <xsl:variable name="avoid-ts" select="$family-err or $length-err or $prose-err or not($use-ts-for-sctau) " />
    <xsl:variable name="der-text-2a" select="if ($der-truncated-text-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-truncated-text-1, $tgi-fir-pattern-replacement, 'ic')) " />
    <xsl:variable name="der-text-2" select="if ($der-text-2a = '') then $der-text-1 else $der-text-2a " />
    <xsl:variable name="der-text-a" select="if ($der-text-2 = '' or $tgi-regex = '') then $der-text-2 else normalize-space(dh:XQueryRecursiveReplace($der-text-2, $tgi-regex, 'ic')) " />
    <xsl:variable name="der-text" select="if ($der-text-a = '') then $der-text-2 else $der-text-a " />
    <xsl:variable name="defn-valid-regex" select="concat('(^|\|)', translate($der-text-2, $chars-to-remove, ''), '(\||$)') " />
    <xsl:variable name="der-text-to-match-1" select="lower-case($der-text-2) " />
    <xsl:variable name="der-text-to-match" select="translate($der-text-to-match-1, $chars-to-remove, '') " />
    <xsl:variable name="tgi-non-value-regex" select="if ($is-immun)          then $cd-definitions/immun/@non-value-regex         else if ($is-pd)       then $cd-definitions/pd/@non-value-regex        else if ($is-shs-meds) then $cd-definitions/shs-meds/@non-value-regex        else if ($is-meds)     then $cd-definitions/meds/@non-value-regex        else '' " />
    <xsl:variable name="der-text-non-value" select="if ($code-present or @nullFlavor = $no-value-NF) then false() else         $der-text-to-match = ''             or         not(matches($der-text-to-match-1, '[a-z]', 'is'))         or        ($cd-definitions/non-value/@regex != '' and matches($der-text-to-match-1, $cd-definitions/non-value/@regex, 'is')) or        ($tgi-non-value-regex != '' and matches($der-text-to-match-1, $tgi-non-value-regex, 'is'))    " />
    <xsl:variable name="tgi-invalid-regex" select="if ($is-immun)          then $cd-definitions/immun/@invalid-regex         else if ($is-pd)       then $cd-definitions/pd/@invalid-regex        else if ($is-shs-meds) then $cd-definitions/shs-meds/@invalid-regex        else if ($is-meds)     then $cd-definitions/meds/@invalid-regex        else '' " />
    <xsl:variable name="defn-invalid-regex" select="if ($code-present or $der-text-non-value) then ()        else if ($tgi-invalid-regex != '') then tokenize($tgi-invalid-regex, '~')[. != '']         else () " />
    <xsl:variable name="defn-invalid-txt-regex" select="(for $i in (1 to count($defn-invalid-regex)) return normalize-space(substring-before($defn-invalid-regex[$i], '[[')))[. != '']" />
    <xsl:variable name="der-invalid-text-regex-1" select="if (exists($defn-invalid-txt-regex))        then index-of(for $i in (1 to count($defn-invalid-txt-regex)) return matches($der-text-2, $defn-invalid-txt-regex[$i], 'is'), true())        else () " />
    <xsl:variable name="der-invalid-text" select="exists($der-invalid-text-regex-1) " />
    <xsl:variable name="defn-invalid-rsn" select="if ($der-invalid-text)         then normalize-space(substring-before(substring-after($defn-invalid-regex[$der-invalid-text-regex-1[1]], '[['), ']]'))         else '' " />
    <xsl:variable name="trusted-code-systems" select="if ($der-text = '' or $der-invalid-text or not(@codeSystem or cda:translation/@codeSystem)) then ()        else if ($is-immun)          then (tokenize(replace($cd-definitions/immun/@core, '\s+', ''), '\|'),           tokenize(replace($cd-definitions/immun/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-pd)          then (tokenize(replace($cd-definitions/pd/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/pd/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-shs-meds)          then (tokenize(replace($cd-definitions/shs-meds/@core, '\s+', ''), '\|'),          tokenize(replace($cd-definitions/shs-meds/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-meds)          then (tokenize(replace($cd-definitions/meds/@core, '\s+', ''), '\|'),           tokenize(replace($cd-definitions/meds/@extra, '\s+', ''), '\|'))[. != '']         else () " />
    <xsl:variable name="der-trusted-text" select="if ($der-text = '' or $der-invalid-text or (@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex)))) then false()        else ((@codeSystem and exists($trusted-code-systems[. = current()/@codeSystem])) or               (cda:translation/@codeSystem and exists($trusted-code-systems[. = current()/cda:translation/@codeSystem]))) " />
    <xsl:variable name="a-vaccine-1" select="not($code-present or $der-text-non-value or $der-invalid-text) and exists($vaccine-text-normalised) and $der-text-to-match = $vaccine-text-normalised" />
    <xsl:variable name="a-sas-tgi-1" select="not($code-present or $der-text-non-value or $der-invalid-text or $a-vaccine-1) and $tgi-sas-regex != '' and matches($der-text, $tgi-sas-regex, 'is')" />
    <xsl:variable name="an-uncoded-tgi-1" select="not($code-present or $der-text-non-value or $der-invalid-text or $a-vaccine-1 or $a-sas-tgi-1) and $tgi-otheru-regex != '' and         matches($der-text, $tgi-otheru-regex, 'is')" />
    <xsl:variable name="obsolete-tgi-info-1" select="if ($is-immun or $code-present or $der-text-non-value or $der-invalid-text or $a-vaccine-1 or $a-sas-tgi-1 or $an-uncoded-tgi-1 or         not(exists($knowledge/special-tgi/obsolete))) then ()        else $knowledge/special-tgi/obsolete[matches($der-text, concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')] " />
    <xsl:variable name="an-obsolete-tgi-1" select="exists($obsolete-tgi-info-1)" />
    <xsl:variable name="tgi-valid-regex-1" select="if ($code-present or $der-text-non-value or $der-invalid-text or $der-text = '' or $a-vaccine-1 or $a-sas-tgi-1 or $an-uncoded-tgi-1 or          $an-obsolete-tgi-1) then ''        else if ($is-immun)    then $cd-definitions/immun/@valid-regex        else if ($is-pd)       then $cd-definitions/pd/@valid-regex        else if ($is-shs-meds) then $cd-definitions/shs-meds/@valid-regex        else if ($is-meds)     then $cd-definitions/meds/@valid-regex        else '' " />
    <xsl:variable name="valid-tgi-1" select="if ($a-vaccine-1 or $a-sas-tgi-1 or $an-uncoded-tgi-1 or $an-obsolete-tgi-1) then true()         else if ($tgi-valid-regex-1 = '') then false()        else exists(index-of(for $regex in (tokenize($tgi-valid-regex-1, '~')[. != '']) return          matches($der-text-2, dh:XQueryRecursiveReplace(normalize-space($regex), ' \|~|~\| ~|', ''), 'is'), true())) " />
    <xsl:variable name="invalid-hierarchy-1" select="if (exists($cd-definitions/meds/meds-invalid/hierarchy))         then string-join(for $hierarchy in $cd-definitions/meds/meds-invalid/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-refset" select="if (exists($cd-definitions/meds/meds-invalid/refset))          then string-join(for $refset in $cd-definitions/meds/meds-invalid/refset return concat('^', $refset/@code), ' OR ')         else '' " />
    <xsl:variable name="valid-refset" select="concat($tgi-formula, ' OR &lt;763158003') " />
    <xsl:variable name="valid-domain" select="if ($invalid-refset != '' and $invalid-hierarchy-1 != '')         then concat('((', $valid-refset, ') MINUS (', $invalid-refset, ' OR (', $invalid-hierarchy-1, ')))')        else if ($invalid-refset = '' and $invalid-hierarchy-1 != '') then concat('((', $valid-refset, ') MINUS (', $invalid-hierarchy-1, '))')         else if ($invalid-refset != '' and $invalid-hierarchy-1 = '') then concat('((', $valid-refset, ') MINUS (', $invalid-refset, '))')        else concat('(', $valid-refset, ')') " />
    <xsl:variable name="related-terms-1" select="if ($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-1) then ()        else ($codesystemvalues/code[@related-terms], $codesystemvalues/related-terms[@related-terms]) " />
    <xsl:variable name="related-terms-2" select="for $i in index-of(        for $concept in $related-terms-1 return matches(translate($concept/@related-terms, $chars-no-pipe, ''), $defn-valid-regex, 'is'), true())         return $related-terms-1[$i]/@code " />
    <xsl:variable name="der-tgi-codes-1" select="if (exists($related-terms-2)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($related-terms-2, ' OR '), ') AND ', $valid-domain), '', string(count($related-terms-2)), false())        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $der-tgi-codes-1 " />
    <xsl:variable name="der-valid-codes-1" select="if (contains($der-tgi-codes-1, '[')) then $der-tgi-codes-1 else '' " />
    <xsl:variable name="valid-tgi-2" select="$valid-tgi-1 or $der-valid-codes-1 != '' " />
    <xsl:variable name="tgi-inactive-refSets" select="if (exists($cd-definitions/tgi/tgi-invalid/inactive-refset))         then concat('((', $inactive-refSets, ') MINUS (',           string-join(for $refset in $cd-definitions/tgi/tgi-invalid/inactive-refset return concat('^', $refset/@code), ' OR '),          '))')         else $inactive-refSets " />
    <xsl:variable name="formula" select="concat($valid-domain, ' OR ', $tgi-inactive-refSets) " />
    <xsl:variable name="ts-not-needed" select="$der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-2 or $avoid-ts " />
    <xsl:variable name="der-tgi-codes-2-a" select="if ($ts-not-needed or exists($related-terms-2)) then ()         else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-text,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2-a" select="$error-usingTS-1 or 'Error' = $der-tgi-codes-2-a " />
    <xsl:variable name="revision-pattern-1" select="if ($ts-not-needed or $valid-tgi-2 or exists($der-tgi-codes-2-a) or $error-usingTS-2-a or exists($related-terms-2)) then ''        else $tgi-sec-pattern-replacement " />
    <xsl:variable name="der-revised-text-1" select="if ($revision-pattern-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-text, $revision-pattern-1, 'ic')) " />
    <xsl:variable name="use-revised-text-1" select="$der-revised-text-1 != '' and $der-revised-text-1 != $der-text " />
    <xsl:variable name="obsolete-tgi-info-2" select="if (exists($der-tgi-codes-2-a)) then ()        else if ($an-obsolete-tgi-1) then $obsolete-tgi-info-1        else if ($use-revised-text-1) then $knowledge/special-tgi/obsolete[matches($der-revised-text-1, concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')]        else () " />
    <xsl:variable name="an-obsolete-tgi-2" select="exists($obsolete-tgi-info-2)" />
    <xsl:variable name="der-tgi-codes-2-b" select="if ($an-obsolete-tgi-2) then ()        else if ($ts-not-needed or exists($der-tgi-codes-2-a) or not($use-revised-text-1)) then $der-tgi-codes-2-a         else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-1,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2-b" select="$error-usingTS-2-a or 'Error' = $der-tgi-codes-2-b " />
    <xsl:variable name="revision-pattern-2" select="if ($ts-not-needed or $valid-tgi-2 or exists($der-tgi-codes-2-b) or $error-usingTS-2-b or exists($related-terms-2)) then ''        else $tgi-thi-pattern-replacement " />
    <xsl:variable name="der-revised-text-2" select="if ($revision-pattern-2 = '') then '' else normalize-space(dh:XQueryRecursiveReplace(         if ($use-revised-text-1) then $der-revised-text-1 else $der-text, $revision-pattern-2, 'ic')) " />
    <xsl:variable name="use-revised-text-2" select="if ($use-revised-text-1) then $der-revised-text-2 != '' and $der-revised-text-2 != $der-revised-text-1         else $der-revised-text-2 != '' and $der-revised-text-2 != $der-text " />
    <xsl:variable name="obsolete-tgi-info-3" select="if (exists($der-tgi-codes-2-b)) then ()        else if ($an-obsolete-tgi-2) then $obsolete-tgi-info-2        else if ($use-revised-text-2) then $knowledge/special-tgi/obsolete[matches($der-revised-text-2, concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')]        else () " />
    <xsl:variable name="an-obsolete-tgi-3" select="exists($obsolete-tgi-info-3)" />
    <xsl:variable name="der-tgi-codes-2-c" select="if ($an-obsolete-tgi-3) then ()        else if ($ts-not-needed or exists($der-tgi-codes-2-b) or not($use-revised-text-2)) then $der-tgi-codes-2-b        else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-2,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2-c" select="$error-usingTS-2-b or 'Error' = $der-tgi-codes-2-c " />
    <xsl:variable name="der-tgi-codes-2-d" select="if ($an-obsolete-tgi-3 or $ts-not-needed or exists($der-tgi-codes-2-c)) then $der-tgi-codes-2-c        else iq:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula,          if ($der-revised-text-2 != '') then $der-revised-text-2          else if ($der-revised-text-1 != '') then $der-revised-text-1          else $der-text, 'default') " />
    <xsl:variable name="error-usingTS-2-d" select="$error-usingTS-2-c or 'Error' = $der-tgi-codes-2-d " />
    <xsl:variable name="der-tgi-codes-2" select="$der-tgi-codes-2-d " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-2-d " />
    <xsl:variable name="der-valid-codes-2" select="if ($der-valid-codes-1 != '') then $der-valid-codes-1        else if ($error-usingTS-2) then ''         else string-join((for $code in $der-tgi-codes-2 return if (contains($code, '~inactive')) then '' else $code)[. != ''], '|')  " />
    <xsl:variable name="valid-tgi-3" select="$valid-tgi-2 or $der-valid-codes-2 != '' " />
    <xsl:variable name="der-inactive-codes-1" select="if ($valid-tgi-3) then () else        for $code in $der-tgi-codes-2 return if (contains($code, '~inactive')) then replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is') else '' " />
    <xsl:variable name="der-inactive-codes-2" select="for $i in (1 to count($der-inactive-codes-1)) return         dh:IsCodeAssociatedWithAnotherCode($der-inactive-codes-1[$i], '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-1" select="'Error' = $der-inactive-codes-2 " />
    <xsl:variable name="der-NAF-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-NAF-active-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound~active')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-inactive-codes-3" select="tokenize(string-join(for $i in (1 to count($der-inactive-codes-1)) return replace(string-join(tokenize($der-inactive-codes-2[$i], '\|')        [matches(., '(REPLACED BY|SAME AS|ALTERNATIVE|POSSIBLY EQUIVALENT TO|MAY BE A|WAS A)')], '|'), '[0-9]+~[A-Z ]+~([0-9]+)', '$1'), '|'), '\|')        [. != ''] " />
    <xsl:variable name="der-tgi-codes-3" select="if (exists($der-inactive-codes-3)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($der-inactive-codes-3, ' OR '), ') AND ', $valid-domain), '', string(count($der-inactive-codes-3)), false())          else '' " />
    <xsl:variable name="error-usingTS-3" select="$error-usingTS-2 or 'Error' = $der-tgi-codes-3 " />
    <xsl:variable name="der-valid-codes-3" select="if ($der-valid-codes-2 != '') then $der-valid-codes-2        else if (contains($der-tgi-codes-3, '[')) then $der-tgi-codes-3        else '' " />
    <xsl:variable name="valid-tgi-4" select="$valid-tgi-3 or $der-valid-codes-3 != '' " />
    <xsl:variable name="tbd-hierarchy" select="if (exists($cd-definitions/meds/meds-tbd/hierarchy))         then string-join(for $hierarchy in $cd-definitions/meds/meds-tbd/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-hierarchy" select="if ($invalid-hierarchy-1 != '' and $tbd-hierarchy != '') then concat($invalid-hierarchy-1, ' OR ', $tbd-hierarchy)        else if ($invalid-hierarchy-1 != '') then $invalid-hierarchy-1        else if ($tbd-hierarchy != '') then $tbd-hierarchy        else '' " />
    <xsl:variable name="invalid-domain" select="if ($invalid-hierarchy != '' and $invalid-refset != '') then concat($invalid-hierarchy, ' OR ', $invalid-refset)        else if ($invalid-hierarchy != '') then $invalid-hierarchy        else if ($invalid-refset != '') then $invalid-refset        else '' " />
    <xsl:variable name="filter-text" select="if ($use-revised-text-2) then $der-revised-text-2 else if ($use-revised-text-1) then $der-revised-text-1 else $der-text " />
    <xsl:variable name="der-tgi-codes-4" select="if ($ts-not-needed or $valid-tgi-4 or $invalid-domain = '') then ()        else if (exists($related-terms-2)) then $related-terms-2        else distinct-values((tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          $invalid-domain, $filter-text, $max-code-number, false()), '(\[.*?\])(\||$)', '$2'), '\|'), $der-inactive-codes-3)) " />
    <xsl:variable name="error-usingTS-4" select="$error-usingTS-3 or 'Error' = $der-tgi-codes-4 " />
    <xsl:variable name="invalid-tgi-codes-r" select="if ($ts-not-needed or $valid-tgi-4 or $error-usingTS-4 or not(exists($der-tgi-codes-4))) then ()        else if ($invalid-refset = '') then tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-tgi-codes-4, ' OR '), ') AND (', $inactive-refSets, ')'), '',           string(count($der-tgi-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')        else tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-tgi-codes-4, ' OR '), ') AND (', $invalid-refset, ' OR ', $inactive-refSets, ')'), '',           string(count($der-tgi-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')  " />
    <xsl:variable name="error-usingTS-5" select="$error-usingTS-4 or 'Error' = $invalid-tgi-codes-r " />
    <xsl:variable name="der-tgi-codes-4-h" select="if ($error-usingTS-5) then () else $der-tgi-codes-4[not(. = $invalid-tgi-codes-r)]" />
    <xsl:variable name="invalid-tgi-codes-h" select="if ($ts-not-needed or $valid-tgi-4 or 'Error' = $der-tgi-codes-4 or $meds-invalid-hierarchy = '' or not(exists($der-tgi-codes-4-h))) then ()        else (for $code in $der-tgi-codes-4-h return          if (dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;&gt;', $code, ' MINUS ', $meds-invalid-hierarchy), '', '1', false()) = '') then $code else '')[. != ''] " />
    <xsl:variable name="invalid-tgi-codes" select="($invalid-tgi-codes-h, $invalid-tgi-codes-r) " />
    <xsl:variable name="der-tgi-codes-5" select="$der-tgi-codes-4[not(. = $invalid-tgi-codes or . = 'Error')]" />
    <xsl:variable name="der-valid-codes-4" select="if ($der-valid-codes-3 != '') then $der-valid-codes-3        else if ($ts-not-needed or $valid-tgi-4 or $valid-domain = '' or not(exists($der-tgi-codes-5))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-tgi-codes-5, ' OR '), ') AND ', $valid-domain), '', string(count($der-tgi-codes-5)), false()) " />
    <xsl:variable name="error-usingTS-6" select="$error-usingTS-5 or 'Error' = $der-valid-codes-4 " />
    <xsl:variable name="valid-tgi-5" select="$valid-tgi-4 or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="der-valid-codes-seq" select="if ($error-usingTS-6) then () else tokenize(replace($der-valid-codes-4,  '(\[.*?\])(\||$)', '$2'), '\|') " />
    <xsl:variable name="undetermined-tgi-1" select="if (exists($der-valid-codes-seq)) then $der-tgi-codes-5[not(. = $der-valid-codes-seq)] else $der-tgi-codes-5 " />
    <xsl:variable name="undetermined-inactive-1" select="for $i in (1 to count($undetermined-tgi-1)) return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $undetermined-tgi-1[$i], '', '1', false()) " />
    <xsl:variable name="error-usingTS-7" select="$error-usingTS-6 or 'Error' = $undetermined-inactive-1 " />
    <xsl:variable name="undetermined-inactive" select="(for $i in (1 to count($undetermined-tgi-1)) return         if (contains($undetermined-inactive-1[$i], '~inactive')) then $undetermined-inactive-1[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-1" select="for $i in (1 to count($undetermined-inactive))        return dh:IsCodeAssociatedWithAnotherCode(replace($undetermined-inactive[$i], '(\[.*?\])(\||$)', '$2'), '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-2" select="$error-usingV-1 or 'Error' = $undetermined-NAF-1 " />
    <xsl:variable name="undetermined-NAF" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-codes" select="for $term in $undetermined-NAF return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-NAF-active" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound~active')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-active-codes" select="for $term in $undetermined-NAF-active return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-tgi" select="$undetermined-tgi-1[not(. = ($undetermined-NAF-codes, $undetermined-NAF-active-codes))]" />
    <xsl:variable name="invalid-tgi" select="not($valid-tgi-5) and exists($invalid-tgi-codes) and not(exists($undetermined-tgi))" />
    <xsl:variable name="a-sas-tgi" select="if ($a-sas-tgi-1) then true()        else if ($a-vaccine-1 or $valid-tgi-5 or $invalid-tgi or not($use-revised-text-2) or $tgi-sas-regex = '') then false()        else matches($der-revised-text-2, $tgi-sas-regex, 'is')" />
    <xsl:variable name="an-uncoded-tgi" select="if ($an-uncoded-tgi-1) then true()        else if ($a-vaccine-1 or $valid-tgi-5 or $invalid-tgi or not($use-revised-text-2) or $tgi-otheru-regex = '' or $a-sas-tgi) then false()        else matches($der-revised-text-2, $tgi-otheru-regex, 'is')" />
    <xsl:variable name="obsolete-tgi-info" select="if ($an-obsolete-tgi-3) then $obsolete-tgi-info-3        else if ($a-vaccine-1 or $valid-tgi-5 or $invalid-tgi or not($use-revised-text-2) or not(exists($knowledge/special-tgi/obsolete)) or $a-sas-tgi or          $an-uncoded-tgi) then ()        else $knowledge/special-tgi/obsolete[matches($der-revised-text-2,          concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')] " />
    <xsl:variable name="an-obsolete-tgi" select="exists($obsolete-tgi-info)" />
    <xsl:variable name="valid-tgi-6" select="$valid-tgi-5 or $a-sas-tgi or $an-uncoded-tgi or $an-obsolete-tgi " />
    <xsl:variable name="a-vaccine-2" select="if ($a-vaccine-1) then true()        else if ($valid-tgi-6 or $invalid-tgi or not(exists($vaccine-text-normalised))) then false()        else if ($der-text != '' and translate(lower-case($der-text), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else if ($use-revised-text-1 and translate(lower-case($der-revised-text-1), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else if ($use-revised-text-2 and translate(lower-case($der-revised-text-2), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else false() " />
    <xsl:variable name="vaccine-code-test" select="if (not($a-vaccine-2 or $valid-tgi-6 or $invalid-tgi or $avoid-ts) and exists($undetermined-tgi))         then tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($undetermined-tgi, ' OR '), ') AND (&lt;71181003 OR &lt;127785005)'), '',          string(count($undetermined-tgi)), false()), '\|')        else () " />
    <xsl:variable name="error-usingTS-8" select="$error-usingTS-7 or 'Error' = $vaccine-code-test " />
    <xsl:variable name="a-vaccine" select="$a-vaccine-2 or (not('Error' = $vaccine-code-test) and exists($undetermined-tgi) and count($vaccine-code-test) = count($undetermined-tgi)) " />
    <xsl:variable name="codes-with-history" select="$der-inactive-codes-2[matches(., '[0-9]')]" />
    <xsl:variable name="hist-vers" select="if (exists($codes-with-history))        then dh:FindLastUpdatedDateForCodeUsingTS(substring-before($codes-with-history[1], '~'), '2.16.840.1.113883.6.96', $ts-latest-snomedctau)       else '' " />
    <xsl:variable name="error-usingTS-9" select="$error-usingTS-8 or 'Error' = $hist-vers " />
    <xsl:variable name="hist-vers-date" select="if (matches($hist-vers, '^(CodeFoundActive|CodeFoundInactive)\|[0-9]{8}$')) then substring-after($hist-vers, '|') else '' " />
    <xsl:variable name="inactive-concept" select="count($der-tgi-codes-2) = count($der-inactive-codes-1) and not($valid-tgi-6)" />
    <xsl:variable name="der-inactive-codes-4" select="$der-inactive-codes-3[not(contains(., 'MOVED FROM') or contains(., 'WAS A'))]" />
    <xsl:variable name="obsolete-without-date" select=" ($an-obsolete-tgi and not($obsolete-tgi-info/@last-available))   or         (exists($der-inactive-codes-3) and not(exists($der-inactive-codes-4)))  or         (exists($der-inactive-codes-4) and $hist-vers-date = '')   " />
    <xsl:variable name="obsolete-date" select="if ($is-immun) then ''        else if ($hist-vers-date != '') then $hist-vers-date        else if ($an-obsolete-tgi and $obsolete-tgi-info/@last-available) then $obsolete-tgi-info/@last-available         else '' " />
    <xsl:variable name="obsolete-yr" select="substring($obsolete-date, 1, 4) " />
    <xsl:variable name="obsolete-mn-temp" select="substring($obsolete-date, 5, 2) " />
    <xsl:variable name="obsolete-mn" select="if ($obsolete-mn-temp = '') then '06' else $obsolete-mn-temp " />
    <xsl:variable name="obsolete-dy-temp" select="substring($obsolete-date, 7, 2) " />
    <xsl:variable name="obsolete-dy" select="if ($obsolete-dy-temp = '') then '15' else $obsolete-dy-temp " />
    <xsl:variable name="obsolete-xs" select="if ($obsolete-date = '') then () else xs:date(concat($obsolete-yr, '-', $obsolete-mn, '-', $obsolete-dy)) " />
    <xsl:variable name="display-obsolete-date" select="if ($obsolete-date = '') then ''        else if ($obsolete-mn-temp = '') then $obsolete-dy        else if ($obsolete-dy-temp = '') then concat($knowledge/months/month[@number = $obsolete-mn]/@abbreviation, ' ', $obsolete-yr)        else concat($obsolete-dy, ' ', $knowledge/months/month[@number = $obsolete-mn]/@abbreviation, ' ', $obsolete-yr) " />
    <xsl:variable name="obsolete-date-diff" select="if ($obsolete-date = '' or not(matches($creation-date-xs - $obsolete-xs, '^P[0-9]+D'))) then '0'        else number(substring-before(substring-after($creation-date-xs - $obsolete-xs, 'P'), 'D')) " />
    <xsl:variable name="obsolete-yrs-ago" select="$obsolete-date-diff div 365 " />
    <xsl:variable name="coding" select="if (not($flags/@assess-class = 'true') or not($use-ts-for-sctau) or not(exists($iq-config/tgi-coding))) then () else $iq-config/tgi-coding" />
    <xsl:variable name="s-classification" select="if (exists($coding/special-classification/classification)) then $coding/special-classification/classification else () " />
    <xsl:variable name="s-number" select="count($s-classification) " />
    <xsl:variable name="s-formula" select="string-join(for $class in $s-classification return $class/@code, ' OR ')" />
    <xsl:variable name="code-to-assess" select="if (not($flags/@assess-class = 'true') or not($use-ts-for-sctau)) then '' else if (exists($der-valid-codes-seq)) then $der-valid-codes-seq[1] else '' " />
    <xsl:variable name="value-domain-1" select="if ($code-to-assess = '') then '' else dh:FindValueDomainsForCode($code-to-assess, '2.16.840.1.113883.6.96', $v-current-sctau)" />
    <xsl:variable name="class-error-1" select="$value-domain-1 = 'Error' " />
    <xsl:variable name="value-domain" select="if ($class-error-1 or $value-domain-1 = ('', 'CodeNotFound')) then ''       else if (contains($value-domain-1, '|')) then substring-before($value-domain-1, '|')       else $value-domain-1 " />
    <xsl:variable name="first-pass-1" select="if ($value-domain = '') then ''        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)'))         then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat($code-to-assess, ' . 30409011000036107'), '', '1', true())        else if ($value-domain = 'Medicinal Product Pack (MPP)')         then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat($code-to-assess, ' . 30348011000036104'), '', '1', true())        else if ($value-domain = 'Trade Product (TP)') then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&lt;', $code-to-assess), '', '1', true())        else $code-to-assess " />
    <xsl:variable name="class-error-2" select="$class-error-1 or ($value-domain != '' and $first-pass-1 = ('Error', '')) " />
    <xsl:variable name="first-pass" select="if (not($class-error-2) and $first-pass-1 != '') then replace($first-pass-1, '(\[.*?\])(\||$)', '$2') else '' " />
    <xsl:variable name="second-pass-1" select="if ($first-pass = '') then ''        else if ($value-domain = 'Trade Product Unit of Use (TPUU)')          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $code-to-assess, ' AND ^929360071000036103'), '', '1', true())        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product (TP)'))          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $first-pass, ' AND ^929360071000036103'), '', '1', true())        else if ($value-domain = 'Medicinal Product Pack (MPP)') then $first-pass        else $code-to-assess " />
    <xsl:variable name="class-error-3" select="$class-error-2 or ($first-pass != '' and $second-pass-1 = ('Error', '')) " />
    <xsl:variable name="second-pass" select="if (not($class-error-3) and $second-pass-1 != '') then replace($second-pass-1, '(\[.*?\])(\||$)', '$2') else '' " />
    <xsl:variable name="class-tp-1" select="if ($class-error-3) then ''        else if ($value-domain = 'Trade Product Unit of Use (TPUU)')          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $code-to-assess, ' AND ^929360021000036102'), '', '1', true())        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)'))          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $first-pass, ' AND ^929360021000036102'), '', '1', true())        else '' " />
    <xsl:variable name="class-tp-error" select="$class-tp-1 = 'Error' " />
    <xsl:variable name="class-tp" select="if (not($class-tp-error) and $class-tp-1 != '') then replace($class-tp-1, '^([0-9]+\[)(.*?)(\])$', '$2') else '' " />
    <xsl:variable name="third-pass-1" select="if ($second-pass = '') then ''        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product (TP)',          'Trade Product Unit of Use (TPUU)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)'))         then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;!', $second-pass, ' AND ^929360061000036106'), '', '1', false())        else $second-pass " />
    <xsl:variable name="class-error-4" select="$class-error-3 or ($second-pass != '' and $third-pass-1 = ('Error', '')) " />
    <xsl:variable name="third-pass" select="if ($class-error-4 or $third-pass-1 = '') then ''         else if (matches($third-pass-1, '^[0-9]+$')) then replace($der-valid-codes-4, '^([0-9]+\[)(.*?)(\]\|.*|\])$', '$2')        else if (matches($third-pass-1, '^[0-9]')) then replace($third-pass-1, '^([0-9]+\[)(.*?)(\])$', '$2') else '' " />
    <xsl:variable name="fourth-pass-1" select="if ($third-pass = '') then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', '&lt;373873005', $third-pass, '1', true()) " />
    <xsl:variable name="class-error-5" select="$class-error-4 or $fourth-pass-1 = 'Error' " />
    <xsl:variable name="fourth-pass" select="if (not($class-error-4) and $fourth-pass-1 != '' and matches($fourth-pass-1, '^[0-9]')) then replace($fourth-pass-1, '(\[.*?\])(\||$)', '$2') else '' " />
    <xsl:variable name="class-not-completed" select="($flags/@assess-class = 'true' and $code-to-assess = '')  or        ($code-to-assess != '' and $value-domain-1 = 'CodeNotFound') or        ($third-pass != '' and $fourth-pass = '')   " />
    <xsl:variable name="valid-class-1" select="if ($fourth-pass = '' or $s-number = 0) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND (', $s-formula, ')'), '', string($s-number), true()) " />
    <xsl:variable name="class-error-6" select="$class-error-5 or $valid-class-1 = 'Error' " />
    <xsl:variable name="valid-class-2" select="if ($valid-class-1 = '' or $class-error-6) then () else tokenize(replace($valid-class-1, '(\[.*?\])(\||$)', '$2'), '\|') " />
    <xsl:variable name="valid-class-3" select="if ($a-vaccine and exists($s-classification[@code = '71181003']/@description)) then ($s-classification[@code = '71181003']/@description)       else if ($a-vaccine and exists($s-classification[@code = '71181003']/@pterm)) then ($s-classification[@code = '71181003']/@pterm)       else for $code in $valid-class-2 return if ($coding/special-classification/classification[@code = $code]/@description)         then $coding/special-classification/classification[@code = $code]/@description         else $coding/special-classification/classification[@code = $code]/@pterm " />
    <xsl:variable name="fifth-pass" select="if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/first-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/first-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-7" select="$class-error-6 or $fifth-pass = 'Error' " />
    <xsl:variable name="sixth-pass" select="if (not($fifth-pass = '')) then $fifth-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/second-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/second-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-8" select="$class-error-7 or $sixth-pass = 'Error' " />
    <xsl:variable name="seventh-pass" select="if (not($sixth-pass = '')) then $sixth-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/third-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/third-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-9" select="$class-error-8 or $seventh-pass = 'Error' " />
    <xsl:variable name="eighth-pass" select="if (not($seventh-pass = '')) then $seventh-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/fourth-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/fourth-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-10" select="$class-error-9 or $eighth-pass = 'Error' " />
    <xsl:variable name="ninth-pass" select="if (not($eighth-pass = '')) then $eighth-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/fifth-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/fifth-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-11" select="$class-error-10 or $ninth-pass = 'Error' " />
    <xsl:variable name="valid-class" select="if (exists($valid-class-3)) then $valid-class-3        else if (not($ninth-pass = '')) then for $term in tokenize($ninth-pass, '\|') return replace($term, '^([0-9]+\[)(.*?)(\])$', '$2')       else () " />
    <xsl:variable name="codes-were-found" select="exists($der-tgi-codes-4) or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="obsolete-error" select="not($is-immun) and ($an-obsolete-tgi or $inactive-concept) and $obsolete-yrs-ago &gt; 2 " />
    <xsl:variable name="obsolete-warning" select="not($is-immun or $obsolete-error) and ($an-obsolete-tgi or $inactive-concept) and ($obsolete-yrs-ago &gt; 1 or $obsolete-without-date) " />
    <xsl:variable name="codes-not-found" select="not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-6 or $invalid-tgi or $a-vaccine) " />
    <xsl:variable name="codes-in-the-domain" select="not($valid-tgi-1) and $valid-tgi-5" />
    <xsl:variable name="codes-in-other-domain" select="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi or         $a-vaccine or $obsolete-warning) " />
    <xsl:variable name="codes-in-no-domain" select="exists($der-tgi-codes-5) " />
    <xsl:variable name="display-in-the-domain" select="if ($codes-in-the-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', '), '''')        else '' " />
    <xsl:variable name="display-in-other-r" select="if (exists($invalid-tgi-codes-r) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-tgi-codes-r return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-h" select="if (exists($invalid-tgi-codes-h) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-tgi-codes-h return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-domain" select="if (not($codes-in-other-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))) then ''        else if ($display-in-other-r and display-in-other-h) then concat('''', $display-in-other-r, ', ', $display-in-other-h, '''')        else if ($display-in-other-r) then concat('''', $display-in-other-r, '''')        else if ($display-in-other-h) then concat('''', $display-in-other-h, '''')        else '' " />
    <xsl:variable name="display-in-no-domain" select="if ($codes-in-no-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', dh:XQueryRecursiveReplace(string-join(for $code in $der-tgi-codes-5 return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), '; '),          $term-pattern-replacement, 'ic'), '''')        else '' " />
    <xsl:variable name="log-concepts-appended" select="if ($error-usingTS-9 or not($flags/@report-terminology-concepts = 'true') or $log-concepts-name = '') then ''        else if ($codes-not-found and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                   'Therapeutic Good Identification', $log-tab,                   'yes',     $log-tab,                   iq:display-CD(.),   $log-tab,                   '',     $log-tab,                  '',     $log-tab,                  '',     $log-tab,                  $ts-current-sctau   ))        else if (($use-revised-text-2 or $codes-in-no-domain) and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                  'Therapeutic Good Identification', $log-tab,                   'yes',     $log-tab,                     iq:display-CD(.),   $log-tab,                    $display-in-the-domain,   $log-tab,                  $display-in-other-domain,  $log-tab,                  $display-in-no-domain,   $log-tab,                  $ts-current-sctau   ))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if (matches($defn-invalid-rsn, 'is a container', 'is')) then $rating-container-TC-Types-57 else $rating-TC-Types-57 " />
    <!--REPORT -->
    <xsl:if test=" $log-concepts-appended = ('NOTFOUND', 'ERROR') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$log-concepts-appended = ('NOTFOUND', 'ERROR')">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): The AppendLog function returned '<xsl:text /><xsl:value-of select="$log-concepts-appended" /><xsl:text />' when requested to append the concepts log
		'<xsl:text /><xsl:value-of select="$log-concepts-name" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $flags/@assess-class = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $flags/@assess-class = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): 
		code-to-assess '<xsl:text /><xsl:value-of select="$code-to-assess" /><xsl:text />'
		value-domain '<xsl:text /><xsl:value-of select="$value-domain" /><xsl:text />'
		first-pass '<xsl:text /><xsl:value-of select="$first-pass" /><xsl:text />'
		second-pass '<xsl:text /><xsl:value-of select="$second-pass" /><xsl:text />'
		third-pass '<xsl:text /><xsl:value-of select="$third-pass" /><xsl:text />'
		fourth-pass '<xsl:text /><xsl:value-of select="$fourth-pass" /><xsl:text />'
		valid-class-1 '<xsl:text /><xsl:value-of select="$valid-class-1" /><xsl:text />'
		fifth-pass '<xsl:text /><xsl:value-of select="$fifth-pass" /><xsl:text />'
		sixth-pass '<xsl:text /><xsl:value-of select="$sixth-pass" /><xsl:text />'
		seventh-pass '<xsl:text /><xsl:value-of select="$seventh-pass" /><xsl:text />'
		eighth-pass '<xsl:text /><xsl:value-of select="$eighth-pass" /><xsl:text />'
		ninth-pass '<xsl:text /><xsl:value-of select="$ninth-pass" /><xsl:text />'

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $class-error-11 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$class-error-11">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An unexpected error occurred during the process to classify a terminology code.
		Report the information below to the Australian Digital Health Agency for investigation.
		The value domain was '<xsl:text /><xsl:value-of select="$value-domain" /><xsl:text />' and the error variable was
		<xsl:text /><xsl:value-of select="if ($class-error-1) then concat('class-error-1. The FindValueDomainsForCode function was called with code ''', $code-to-assess,     ''', codeSystem ''2.16.840.1.113883.6.96'' and codeSystemVersion ''', $v-current-sctau, ''' and returned ''', $value-domain-1, '''.')   else if ($class-error-2) then concat('class-error-2. The SearchForCodesInHierarchyUsingTS function was called with code ''', $code-to-assess,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $first-pass-1, '''.')   else if ($class-error-3) then concat('class-error-3. The SearchForCodesInHierarchyUsingTS function was called with code ''',     if ($value-domain = 'Trade Product Unit of Use (TPUU)') then $code-to-assess else $first-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $second-pass-1, '''.')   else if ($class-error-4) then concat('class-error-4. The SearchForCodesInHierarchyUsingTS function was called with code ''', $second-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $third-pass-1, '''.')   else if ($class-error-5) then concat('class-error-5. The SearchForCodesInHierarchyUsingTS function was called with code ''', $third-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $fourth-pass-1, '''.')   else if ($class-error-6) then concat('class-error-6. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $valid-class-1, '''.')   else if ($class-error-7) then concat('class-error-7. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $fifth-pass, '''.')   else if ($class-error-8) then concat('class-error-8. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $sixth-pass, '''.')   else if ($class-error-9) then concat('class-error-9. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $seventh-pass, '''.')   else if ($class-error-10) then concat('class-error-10. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $eighth-pass, '''.')   else if ($class-error-11) then concat('class-error-11. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $ninth-pass, '''.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $class-tp-error ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$class-tp-error">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An unexpected error occurred during the process to find the trade product name for a medicine.
		Report the information below to the Australian Digital Health Agency for investigation.
		The value domain was '<xsl:text /><xsl:value-of select="$value-domain" /><xsl:text />' and the error variable was class-tp-error.
		The FindValueDomainsForCode function was called with code ''', 
		if ($value-domain = 'Trade Product Unit of Use (TPUU)') then $code-to-assess else $first-pass, 
		''', codeSystem ''2.16.840.1.113883.6.96'' and codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $class-tp-1, '''.')

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-tgi-6) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-tgi-6)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An unexpected problem occurred when assessing the value of the Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. The application of regular expressions resulted in the complete loss of text.
		Report the information below to the Australian Digital Health Agency for investigation.

		der-text-1 '<xsl:text /><xsl:value-of select="normalize-space(dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'))" /><xsl:text />'.
		der-text-2a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-2a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-a, $term-pattern-replacement, 'ic')" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingV-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingV-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An error was reported when accessing the terminology server when assessing the Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		Report the issue to the Australian Digital Health Agency for investigation stating the error was recorded for error-usingV-2.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-9 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-9">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An error was reported when accessing the terminology server when assessing the Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term:
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The analysis should be retried as the terminology server may have been temporarily unavailable.
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'error-usingTS-1' else if ($error-usingTS-2-a) then 'error-usingTS-2-a'   else if ($error-usingTS-2-b) then 'error-usingTS-2-b' else if ($error-usingTS-2-c) then 'error-usingTS-2-c'   else if ($error-usingTS-2) then 'error-usingTS-2'   else if ($error-usingTS-3) then 'error-usingTS-3' else if ($error-usingTS-4) then 'error-usingTS-4'   else if ($error-usingTS-5) then 'error-usingTS-5' else if ($error-usingTS-6) then 'error-usingTS-6'   else if ($error-usingTS-7) then 'error-usingTS-7' else if ($error-usingTS-8) then 'error-usingTS-8'   else 'error-usingTS-9' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or      $valid-tgi-6 or $invalid-tgi) and not($a-vaccine and not(false())) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi) and not($a-vaccine and not(false()))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify medicines relevant to the healthcare event that the         subject of care is or was using and may include prescribed and over the counter medicines. The text must include the name of the medication         (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.18 and 5.5 of the Event Summary Structured Content Specification v1.2.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Known Medication (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi) and    not($a-vaccine and false()) and not($obsolete-warning) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi) and not($a-vaccine and false()) and not($obsolete-warning)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the value does not seem to be applicable for the data element.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify medicines relevant to the healthcare event that the         subject of care is or was using and may include prescribed and over the counter medicines. The text must include the name of the medication         (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.18 and 5.5 of the Event Summary Structured Content Specification v1.2.)')" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $obsolete-warning ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$obsolete-warning">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the name may not be applicable for the data element.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> and the
		<xsl:text /><xsl:value-of select="if ($display-obsolete-date != '') then concat('name of the therapeutic good was last used ', $display-obsolete-date)   else if ($obsolete-tgi-info/@name) then concat('therapeutic good ''', $obsolete-tgi-info/@name, ''' was last available ', $display-obsolete-date)    else if ($obsolete-without-date) then 'name of the therapeutic good is no longer used ' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($obsolete-tgi-info/@reason) then concat(' because ', $obsolete-tgi-info/@reason, '.') else '.' " /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify medicines relevant to the healthcare event that the         subject of care is or was using and may include prescribed and over the counter medicines. The text must include the name of the medication         (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.18 and 5.5 of the Event Summary Structured Content Specification v1.2.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		<xsl:text /><xsl:value-of select="$creation-date-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $obsolete-error ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$obsolete-error">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the name is not applicable for the data element.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> and the
		<xsl:text /><xsl:value-of select="if ($display-obsolete-date != '') then concat('name of the therapeutic good was last used ', $display-obsolete-date)   else if ($obsolete-tgi-info/@name) then concat('therapeutic good ''', $obsolete-tgi-info/@name, ''' was last available ', $display-obsolete-date)    else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($obsolete-tgi-info/@reason) then concat(' because ', $obsolete-tgi-info/@reason, '.') else '.' " /><xsl:text />
		That was <xsl:text /><xsl:value-of select="if (contains(string($obsolete-yrs-ago), '.')) then substring-before(string($obsolete-yrs-ago), '.') else $obsolete-yrs-ago " /><xsl:text /> years before the
		<xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify medicines relevant to the healthcare event that the         subject of care is or was using and may include prescribed and over the counter medicines. The text must include the name of the medication         (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.18 and 5.5 of the Event Summary Structured Content Specification v1.2.)'))" /><xsl:text /><xsl:text /><xsl:value-of select="$creation-date-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the data element does not have a proper value. <xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify medicines relevant to the healthcare event that the         subject of care is or was using and may include prescribed and over the counter medicines. The text must include the name of the medication         (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.18 and 5.5 of the Event Summary Structured Content Specification v1.2.)'))" /><xsl:text />
		The Therapeutic Good Identification data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify medicines relevant to the healthcare event that the         subject of care is or was using and may include prescribed and over the counter medicines. The text must include the name of the medication         (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.18 and 5.5 of the Event Summary Structured Content Specification v1.2.)'))" /><xsl:text />
		The Therapeutic Good Identification data element must have a value that is consistent with this definition. Alternatively if there is no Therapeutic Good Identification data element with a proper value then an exclusion
		statement must be included to state why there is no Therapeutic Good Identification. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4')    then concat('Text such as ''', dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'), ''' may be permitted in the narrative even though the Therapeutic Good Identification data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the data element does not have a proper value. <xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify medicines relevant to the healthcare event that the         subject of care is or was using and may include prescribed and over the counter medicines. The text must include the name of the medication         (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.18 and 5.5 of the Event Summary Structured Content Specification v1.2.)'))" /><xsl:text />
		The Therapeutic Good Identification data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($der-text-non-value) and $der-invalid-text ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($der-text-non-value) and $der-invalid-text">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />
		however the value is invalid. <xsl:text /><xsl:value-of select="$defn-invalid-rsn" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify medicines relevant to the healthcare event that the         subject of care is or was using and may include prescribed and over the counter medicines. The text must include the name of the medication         (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.18 and 5.5 of the Event Summary Structured Content Specification v1.2.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $a-vaccine and false() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$a-vaccine and false()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />
		which identifies a vaccine. <xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify medicines relevant to the healthcare event that the         subject of care is or was using and may include prescribed and over the counter medicines. The text must include the name of the medication         (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.18 and 5.5 of the Event Summary Structured Content Specification v1.2.)'))" /><xsl:text />
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Known Medication (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $invalid-tgi and not($error-usingTS-9) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$invalid-tgi and not($error-usingTS-9)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
ZZZ
der-text '<xsl:text /><xsl:value-of select="$der-text" /><xsl:text />'
der-revised-text-1 '<xsl:text /><xsl:value-of select="$der-revised-text-1" /><xsl:text />'
der-revised-text-2 '<xsl:text /><xsl:value-of select="$der-revised-text-2" /><xsl:text />'
ZZZ
		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the value is invalid
		<xsl:text /><xsl:value-of select="if (exists($invalid-tgi-codes-h) or exists($invalid-tgi-codes-r)) then concat(' as it describes ',    iq:invalidityExplanationUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, $invalid-tgi-codes-h, $cd-definitions/meds/meds-invalid/hierarchy, $invalid-tgi-codes-r, $cd-definitions/meds/meds-invalid/refset), '.')   else '.' " /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify medicines relevant to the healthcare event that the         subject of care is or was using and may include prescribed and over the counter medicines. The text must include the name of the medication         (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.18 and 5.5 of the Event Summary Structured Content Specification v1.2.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable outside the applicable value domain): The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. The following codes were obtained and are not in the value domain:
		<xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-TGI-Defn): The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU and no associated code was found in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists(($der-NAF-active-codes, $undetermined-NAF-active-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists(($der-NAF-active-codes, $undetermined-NAF-active-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-TGI-Defn): The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-active-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the
		'<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU but it was not found with this status in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.
		<xsl:text /><xsl:value-of select="if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and ($valid-tgi-1 or $a-vaccine-2 or (not($valid-tgi-5) and $valid-tgi-6))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and ($valid-tgi-1 or $a-vaccine-2 or (not($valid-tgi-5) and $valid-tgi-6))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable within the value domain): The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> which matches
		<xsl:text /><xsl:value-of select="if ($a-vaccine-1) then 'one of the terms listed in Knowledge.xml' else 'the vaccine information in CodeSystems.xml' " /><xsl:text /> for the Therapeutic Good Identification.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(exists($valid-class)) and $class-not-completed and not($class-tp-error or $class-error-10) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(exists($valid-class)) and $class-not-completed and not($class-tp-error or $class-error-10)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. <xsl:text /><xsl:value-of select="if ($code-to-assess = '') then 'No code could be found for the medicine.'    else if ($value-domain = '') then concat('The code ''', $code-to-assess, ''' was found to apply to the medicine by applying the terminology server using the ''', $ts-current-sctau,   ''' version of SNOMED CT-AU but the code was not found in the Validator''s database using the ''', $v-current-sctau, ''' version of SNOMED CT-AU.',   if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '')   else concat('This is a ', $value-domain,    if ($value-domain = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)')) then    concat(' (with medicinal product ''', $third-pass, ''').')    else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)'))    then concat(' (with trade product ''', $class-tp, ''').')    else '.') " /><xsl:text /> The classification of this medicine could not be completed.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists($valid-class) and not($class-tp-error or $class-error-11) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists($valid-class) and not($class-tp-error or $class-error-11)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This <xsl:text /><xsl:value-of select="if (not($value-domain = ('Containered Trade Product Pack (CTPP)',    'Trade Product Pack (TPP)', 'Trade Product (TP)', 'Trade Product Unit of Use (TPUU)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Medicinal Product (MP)')))    then '' else concat('is a ', $value-domain, ' which')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($value-domain = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)')) then concat(' (with medicinal product ''', $third-pass, ''') which')   else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)'))    then concat(' (with trade product ''', $class-tp, ''') which') else '' " /><xsl:text />
		identifies a type of <xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($valid-class, ' and '), $markup-pattern-replacement, 'ic')" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (concept is codeable within the value domain): The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> which is a valid value for the Therapeutic Good Identification.
		SNOMED CT-AU codes that matched the concept are: <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The text used to match regular expression (der-text-2) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to match non-values and vaccines (der-text-to-match) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-to-match, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to derive a code (der-text) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.

		<xsl:text /><xsl:value-of select="if ($use-revised-text-1) then concat(' A first revision of the text (der-revised-text-1) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-1, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A first revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-1 != '' and $der-revised-text-1 = '') then ' revision-pattern-1 was applied but the output (der-revised-text-1) was an empty string.' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($use-revised-text-2) then concat(' A second revision of the text (der-revised-text-2) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A second revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-2 != '' and $der-revised-text-2 = '') then ' revision-pattern-2 was applied but the output (der-revised-text-2) was an empty string.' else '' " /><xsl:text />

		The SNOMED CT-AU version used to find codes is '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' and the maximum code number is '<xsl:text /><xsl:value-of select="$max-code-number" /><xsl:text />'.

		Codes for related terms (related-terms-2): '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($related-terms-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes for related terms (der-valid-codes-1): 
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-1, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-tgi-codes-2) returned by the terminology server that match the text:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-tgi-codes-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes from related terms or the terminology server (der-valid-codes-2):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-2, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-inactive-codes-3) returned from the Validator's database associated with inactive codes:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-inactive-codes-3, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes found after examining inactive codes (der-valid-codes-3):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-3, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Members of invalid reference sets (invalid-tgi-codes-r): '<xsl:text /><xsl:value-of select="$display-in-other-r" /><xsl:text />'.
		Members of invalid code hierarchies (invalid-tgi-codes-h): '<xsl:text /><xsl:value-of select="$display-in-other-h" /><xsl:text />'.

		Final set of valid codes (der-valid-codes-4): <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.
		
		Codes whose validity has not been determined (der-tgi-codes-5): <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.
		Codes whose validity has not been determined and are inactive with no associated code (undetermined-NAF): '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(    string-join($undetermined-NAF, ''', '''), $markup-pattern-replacement, 'ic')" /><xsl:text />'.

		Result of the second vaccination code test (a-vaccine-2): '<xsl:text /><xsl:value-of select="$a-vaccine-2" /><xsl:text />'.
		Vaccine codes (vaccine-code-test):  '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($vaccine-code-test, '; '), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Overall result of the vaccination test (a-vaccine): '<xsl:text /><xsl:value-of select="$a-vaccine" /><xsl:text />'.

		Will the value of the data element be trusted (der-trusted-text)? '<xsl:text /><xsl:value-of select="$der-trusted-text" /><xsl:text />'.
		
	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and $codes-not-found">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept not codeable): The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($avoid-ts) then 'The terminology server was not used to assist with finding codes corresponding to text in the data element. ' else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $prose-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $prose-err">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> which is invalid as it is prose text.
		The Therapeutic Good Identification data element is CodeableText derived from the HL7 CD data type which by definition is to record a concept defined in an external code system, terminology or ontology.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify medicines relevant to the healthcare event that the         subject of care is or was using and may include prescribed and over the counter medicines. The text must include the name of the medication         (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.18 and 5.5 of the Event Summary Structured Content Specification v1.2.)'))" /><xsl:text />
		This finding will also be reported as an error.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M475" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M475" />
  <xsl:template match="@*|node()" priority="-2" mode="M475">
    <xsl:apply-templates select="@*|*" mode="M475" />
  </xsl:template>
  <!--PATTERN p-TS-Med-CodeableText-6-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '101.16146' = $doc-sections][cda:templateId[   @root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2']]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/cda:substanceAdministration/cda:consumable/   cda:manufacturedProduct/cda:manufacturedMaterial/cda:code[@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " priority="1000" mode="M476">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '101.16146' = $doc-sections][cda:templateId[   @root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2']]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/cda:substanceAdministration/cda:consumable/   cda:manufacturedProduct/cda:manufacturedMaterial/cda:code[@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="pnullFlavor" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @nullFlavor) then @nullFlavor else '' " />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-p-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then false()        else if ($psnomed-id = 'amtv3' and @codeSystemVersion) then exists($v-amtv3[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($psnomed-id = 'snomedctau' and @codeSystemVersion) then exists($v-snomedctau[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false() " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and $pcode != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used to assess the primary code.') " />
    <xsl:variable name="pcode-refsets-1" select="if (@codeSystem = '2.16.840.1.113883.6.96' and not($pcode = ''))         then dh:FindValueDomainsForCode($pcode, '2.16.840.1.113883.6.96', $v-psnomed-version) else 'no-code' " />
    <xsl:variable name="pcode-found" select="not($pcode-refsets-1 = 'no-code' or $pcode-refsets-1 = 'CodeNotFound' or $pcode-refsets-1 = 'Error'        or contains($pcode-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="pcode-refsets" select="if ($pcode-found) then distinct-values(tokenize($pcode-refsets-1, '\|')) else () " />
    <xsl:variable name="pcode-special-proc" select="count($pcode-refsets) = 1 and 'Procedure Foundation (PF)' = $pcode-refsets and not($pnullFlavor = 'OTH') " />
    <xsl:variable name="pcode-refsets-msg" select="if (count($pcode-refsets) = 0) then ''         else if (count($pcode-refsets) = 1) then concat('The code is a member of the ', $pcode-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($pcode-refsets, ', '), '.') " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))         else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-1" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="snomed-trans-2" select="distinct-values(for $i in (1 to count($snomed-trans-1)) return $snomed-trans-1[$i]/@code) " />
    <xsl:variable name="snomed-trans-a" select="$snomed-trans-1[1] " />
    <xsl:variable name="tcode-a" select="if (exists($snomed-trans-a) and matches($snomed-trans-a/@code, $snomed-code-regex)) then $snomed-trans-a/@code else '' " />
    <xsl:variable name="tnullFlavor-a" select="if (exists($snomed-trans-a) and $snomed-trans-a/@nullFlavor) then $snomed-trans-a/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-a" select="if (not(exists($snomed-trans-a))) then 'not-snomed'        else if (not($snomed-trans-a/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-a/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-a" select="if (not(exists($snomed-trans-a))) then ''        else if ($tsnomed-id-a = 'amtv3' and exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-a = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-a/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-a" select="if (not(exists($snomed-trans-a))) then false()        else if ($tsnomed-id-a = 'amtv3' and $snomed-trans-a/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-a = 'snomedctau' and $snomed-trans-a/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-a-msg" select="if (not(exists($snomed-trans-a))) then ''        else if (not($snomed-trans-a/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-a, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-a = 'amtv3') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-a = 'snomedctau') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-a/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-a, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-a/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-a-refsets-1" select="if (exists($snomed-trans-a) and not($tcode-a = ''))         then dh:FindValueDomainsForCode($tcode-a, '2.16.840.1.113883.6.96', $v-tsnomed-version-a) else 'no-code' " />
    <xsl:variable name="tcode-a-found" select="not($tcode-a-refsets-1 = 'no-code' or $tcode-a-refsets-1 = 'CodeNotFound' or $tcode-a-refsets-1 = 'Error'         or contains($tcode-a-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-a-refsets" select="if ($tcode-a-found) then distinct-values(tokenize($tcode-a-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-a-special-proc" select="count($tcode-a-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-a-refsets and not($tnullFlavor-a = 'OTH') " />
    <xsl:variable name="tcode-a-refsets-msg" select="if (count($tcode-a-refsets) = 0) then ''         else if (count($tcode-a-refsets) = 1) then concat('The code is a member of the ', $tcode-a-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-a-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@code and $snomed-trans-a/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-a/@displayName, codepoints-to-string(34))         else if ($snomed-trans-a/@code and not($snomed-trans-a/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@codeSystem and $snomed-trans-a/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-a/@codeSystemName, ')')         else if ($snomed-trans-a/@codeSystem and not($snomed-trans-a/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-b" select="(for $i in (2 to count($snomed-trans-1)) return if ($snomed-trans-1[$i]/@code != $snomed-trans-a/@code) then $snomed-trans-1[$i] else ())[1] " />
    <xsl:variable name="tcode-b" select="if (exists($snomed-trans-b) and matches($snomed-trans-b/@code, $snomed-code-regex)) then $snomed-trans-b/@code else '' " />
    <xsl:variable name="tnullFlavor-b" select="if (exists($snomed-trans-b) and $snomed-trans-b/@nullFlavor) then $snomed-trans-b/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-b" select="if (not(exists($snomed-trans-b))) then 'not-snomed'        else if (not($snomed-trans-b/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-b/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-b" select="if (not(exists($snomed-trans-b))) then ''        else if ($tsnomed-id-b = 'amtv3' and exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-b = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-b/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-b" select="if (not(exists($snomed-trans-b))) then false()        else if ($tsnomed-id-b = 'amtv3' and $snomed-trans-b/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-b = 'snomedctau' and $snomed-trans-b/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-b-msg" select="if (not(exists($snomed-trans-b))) then ''        else if (not($snomed-trans-b/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-b, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-b = 'amtv3') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-b = 'snomedctau') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-b/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-b, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-b/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-b-refsets-1" select="if (exists($snomed-trans-b) and not($tcode-b = ''))         then dh:FindValueDomainsForCode($tcode-b, '2.16.840.1.113883.6.96', $v-tsnomed-version-b) else 'no-code' " />
    <xsl:variable name="tcode-b-found" select="not($tcode-b-refsets-1 = 'no-code' or $tcode-b-refsets-1 = 'CodeNotFound' or $tcode-b-refsets-1 = 'Error'         or contains($tcode-b-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-b-refsets" select="if ($tcode-b-found) then distinct-values(tokenize($tcode-b-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-b-special-proc" select="count($tcode-b-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-b-refsets and not($tnullFlavor-b = 'OTH') " />
    <xsl:variable name="tcode-b-refsets-msg" select="if (count($tcode-b-refsets) = 0) then ''         else if (count($tcode-b-refsets) = 1) then concat('The code is a member of the ', $tcode-b-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-b-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@code and $snomed-trans-b/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-b/@displayName, codepoints-to-string(34))         else if ($snomed-trans-b/@code and not($snomed-trans-b/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@codeSystem and $snomed-trans-b/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-b/@codeSystemName, ')')         else if ($snomed-trans-b/@codeSystem and not($snomed-trans-b/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-60" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-60 else $rating-alt-TC-Types-60 " />
    <!--REPORT -->
    <xsl:if test=" $pcode-found and $pcode-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pcode-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD (p-TS-CD-SCT-RefSet): An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$pcode" /><xsl:text />',
		codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-psnomed-version" /><xsl:text />'. This error occurred when assessing the Therapeutic Good Identification data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. The value is not valid for the data element as it describes a medical
		procedure and not a medical problem or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify therapeutic goods which are or were prescribed for         the consumer or they have been been taking. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate. (See section 8.5 of the eReferral Structured Content Specification v1.1.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the code is not a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the MEDICATION INSTRUCTION section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the MEDICATION INSTRUCTION section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the MEDICATION INSTRUCTION section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. Confirm if the code is a member of the value domain.
		If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the MEDICATION INSTRUCTION section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="count($snomed-trans-1)" /><xsl:text /> translation elements with
		codes and the SNOMED CT-AU codeSystem '2.16.840.1.113883.6.96'. The first two translation elements have been assessed to determine if the codes are members of the value domain
		and the others have not been assessed. Confirm if the value of the code attribute in all SNOMED CT translation elements meets the requirement that it be a member of the value domain
		if there is no nullFlavor 'OTH' or that there is a nullFlavor 'OTH' if the value of the code attribute is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text /> 
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the MEDICATION INSTRUCTION section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-a" /><xsl:text />'. This error occurred when assessing the Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify therapeutic goods which are or were prescribed for         the consumer or they have been been taking. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate. (See section 8.5 of the eReferral Structured Content Specification v1.1.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the MEDICATION INSTRUCTION section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the MEDICATION INSTRUCTION section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the MEDICATION INSTRUCTION section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the MEDICATION INSTRUCTION section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-b" /><xsl:text />'. This error occurred when assessing the Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> 
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify therapeutic goods which are or were prescribed for         the consumer or they have been been taking. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate. (See section 8.5 of the eReferral Structured Content Specification v1.1.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the MEDICATION INSTRUCTION section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the MEDICATION INSTRUCTION section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the MEDICATION INSTRUCTION section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the MEDICATION INSTRUCTION section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M476" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M476" />
  <xsl:template match="@*|node()" priority="-2" mode="M476">
    <xsl:apply-templates select="@*|*" mode="M476" />
  </xsl:template>
  <!--PATTERN p-TS-Med-CodeableText-7-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '101.16146' = $doc-sections][cda:templateId[   @root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2']]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/cda:substanceAdministration/cda:consumable/   cda:manufacturedProduct/cda:manufacturedMaterial/cda:code[(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or    not(@code and @codeSystem and @codeSystem = $defn-meds-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])][not(@nullFlavor = $no-value-NF)] " priority="1000" mode="M477">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '101.16146' = $doc-sections][cda:templateId[   @root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2']]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/cda:substanceAdministration/cda:consumable/   cda:manufacturedProduct/cda:manufacturedMaterial/cda:code[(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or    not(@code and @codeSystem and @codeSystem = $defn-meds-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])][not(@nullFlavor = $no-value-NF)] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="snomed-trans" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="tcode" select="if (exists($snomed-trans[1]) and matches($snomed-trans[1]/@code, $snomed-code-regex)) then $snomed-trans[1]/@code else '' " />
    <xsl:variable name="code-present" select="$pcode != '' or $tcode != '' " />
    <xsl:variable name="invalid-code-system" select="@code and @displayName and @codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="codesystemvalues" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']" />
    <xsl:variable name="otext-without-markup" select="if (cda:originalText and cda:originalText != '') then normalize-space(replace(cda:originalText, $markup-regex, ' ')) else '' " />
    <xsl:variable name="pdname" select="if (@displayName and not($invalid-code-system)) then normalize-space(@displayName) else '' " />
    <xsl:variable name="is-immun" select="exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='101.16638' or @code = '101.16658' or @code = '101.17039')]]) " />
    <xsl:variable name="is-pd" select="exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code = '102.16210' or @code='102.16211' or @code='101.16795')]]) " />
    <xsl:variable name="is-shs-meds" select="$templateId-root = '1.2.36.1.2001.1001.101.100.1002.120' and          exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]) " />
    <xsl:variable name="is-meds" select="exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code = '101.16146.4.1.1' or @code = '101.16146.4.1.2' or @code='101.16146')]]) " />
    <xsl:variable name="max-code-number" select="if ($knowledge/search-for-term/max-sct-code-number/@value &gt; '5') then $knowledge/search-for-term/max-sct-code-number/@value else '5' " />
    <xsl:variable name="der-text-1" select="if ($code-present) then ''         else if ($otext-without-markup != '') then $otext-without-markup        else if ($pdname != '') then $pdname        else '' " />
    <xsl:variable name="family-err" select="matches($der-text-1, $family-regex, 'is')" />
    <xsl:variable name="der-truncated-text-1" select="normalize-space(replace(replace($der-text-1, $unicode-br-truncation-regex, '$1', 'is'), $tgi-truncation-regex, '$1', 'is')) " />
    <xsl:variable name="length-err" select="string-length($der-truncated-text-1) &gt; $length-err-max" />
    <xsl:variable name="prose-err-1" select="$length-err and cda:originalText and (        matches(cda:originalText, $ulist-regex)           or         matches(cda:originalText, $alt-ulist-1a-regex, 'is')         or         matches(cda:originalText, $alt-ulist-1b-regex, 'is')         )" />
    <xsl:variable name="prose-err" select="$prose-err-1 or (cda:originalText and (         matches(cda:originalText, $alt-ulist-2-regex, 'is')         or        matches(cda:originalText, $olist-arabic-regex, 'is')         or         matches(cda:originalText, $olist-alpha-regex, 'is')         or         matches(cda:originalText, $olist-roman-regex, 'is')         or        matches(replace(cda:originalText, $new-line-regex, codepoints-to-string((10)), 'is'), $para-regex, 'is') or        matches(cda:originalText, codepoints-to-string((8233)), 'is')        or               (cda:originalText and matches(cda:originalText, $invalid-concept-regex, 'is'))     or        ($length-err and matches(cda:originalText, '\.\s*$', 's') and matches(cda:originalText, $multi-sentence-regex, 's')) ))" />
    <xsl:variable name="avoid-ts" select="$family-err or $length-err or $prose-err or not($use-ts-for-sctau) " />
    <xsl:variable name="der-text-2a" select="if ($der-truncated-text-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-truncated-text-1, $tgi-fir-pattern-replacement, 'ic')) " />
    <xsl:variable name="der-text-2" select="if ($der-text-2a = '') then $der-text-1 else $der-text-2a " />
    <xsl:variable name="der-text-a" select="if ($der-text-2 = '' or $tgi-regex = '') then $der-text-2 else normalize-space(dh:XQueryRecursiveReplace($der-text-2, $tgi-regex, 'ic')) " />
    <xsl:variable name="der-text" select="if ($der-text-a = '') then $der-text-2 else $der-text-a " />
    <xsl:variable name="defn-valid-regex" select="concat('(^|\|)', translate($der-text-2, $chars-to-remove, ''), '(\||$)') " />
    <xsl:variable name="der-text-to-match-1" select="lower-case($der-text-2) " />
    <xsl:variable name="der-text-to-match" select="translate($der-text-to-match-1, $chars-to-remove, '') " />
    <xsl:variable name="tgi-non-value-regex" select="if ($is-immun)          then $cd-definitions/immun/@non-value-regex         else if ($is-pd)       then $cd-definitions/pd/@non-value-regex        else if ($is-shs-meds) then $cd-definitions/shs-meds/@non-value-regex        else if ($is-meds)     then $cd-definitions/meds/@non-value-regex        else '' " />
    <xsl:variable name="der-text-non-value" select="if ($code-present or @nullFlavor = $no-value-NF) then false() else         $der-text-to-match = ''             or         not(matches($der-text-to-match-1, '[a-z]', 'is'))         or        ($cd-definitions/non-value/@regex != '' and matches($der-text-to-match-1, $cd-definitions/non-value/@regex, 'is')) or        ($tgi-non-value-regex != '' and matches($der-text-to-match-1, $tgi-non-value-regex, 'is'))    " />
    <xsl:variable name="tgi-invalid-regex" select="if ($is-immun)          then $cd-definitions/immun/@invalid-regex         else if ($is-pd)       then $cd-definitions/pd/@invalid-regex        else if ($is-shs-meds) then $cd-definitions/shs-meds/@invalid-regex        else if ($is-meds)     then $cd-definitions/meds/@invalid-regex        else '' " />
    <xsl:variable name="defn-invalid-regex" select="if ($code-present or $der-text-non-value) then ()        else if ($tgi-invalid-regex != '') then tokenize($tgi-invalid-regex, '~')[. != '']         else () " />
    <xsl:variable name="defn-invalid-txt-regex" select="(for $i in (1 to count($defn-invalid-regex)) return normalize-space(substring-before($defn-invalid-regex[$i], '[[')))[. != '']" />
    <xsl:variable name="der-invalid-text-regex-1" select="if (exists($defn-invalid-txt-regex))        then index-of(for $i in (1 to count($defn-invalid-txt-regex)) return matches($der-text-2, $defn-invalid-txt-regex[$i], 'is'), true())        else () " />
    <xsl:variable name="der-invalid-text" select="exists($der-invalid-text-regex-1) " />
    <xsl:variable name="defn-invalid-rsn" select="if ($der-invalid-text)         then normalize-space(substring-before(substring-after($defn-invalid-regex[$der-invalid-text-regex-1[1]], '[['), ']]'))         else '' " />
    <xsl:variable name="trusted-code-systems" select="if ($der-text = '' or $der-invalid-text or not(@codeSystem or cda:translation/@codeSystem)) then ()        else if ($is-immun)          then (tokenize(replace($cd-definitions/immun/@core, '\s+', ''), '\|'),           tokenize(replace($cd-definitions/immun/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-pd)          then (tokenize(replace($cd-definitions/pd/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/pd/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-shs-meds)          then (tokenize(replace($cd-definitions/shs-meds/@core, '\s+', ''), '\|'),          tokenize(replace($cd-definitions/shs-meds/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-meds)          then (tokenize(replace($cd-definitions/meds/@core, '\s+', ''), '\|'),           tokenize(replace($cd-definitions/meds/@extra, '\s+', ''), '\|'))[. != '']         else () " />
    <xsl:variable name="der-trusted-text" select="if ($der-text = '' or $der-invalid-text or (@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex)))) then false()        else ((@codeSystem and exists($trusted-code-systems[. = current()/@codeSystem])) or               (cda:translation/@codeSystem and exists($trusted-code-systems[. = current()/cda:translation/@codeSystem]))) " />
    <xsl:variable name="a-vaccine-1" select="not($code-present or $der-text-non-value or $der-invalid-text) and exists($vaccine-text-normalised) and $der-text-to-match = $vaccine-text-normalised" />
    <xsl:variable name="a-sas-tgi-1" select="not($code-present or $der-text-non-value or $der-invalid-text or $a-vaccine-1) and $tgi-sas-regex != '' and matches($der-text, $tgi-sas-regex, 'is')" />
    <xsl:variable name="an-uncoded-tgi-1" select="not($code-present or $der-text-non-value or $der-invalid-text or $a-vaccine-1 or $a-sas-tgi-1) and $tgi-otheru-regex != '' and         matches($der-text, $tgi-otheru-regex, 'is')" />
    <xsl:variable name="obsolete-tgi-info-1" select="if ($is-immun or $code-present or $der-text-non-value or $der-invalid-text or $a-vaccine-1 or $a-sas-tgi-1 or $an-uncoded-tgi-1 or         not(exists($knowledge/special-tgi/obsolete))) then ()        else $knowledge/special-tgi/obsolete[matches($der-text, concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')] " />
    <xsl:variable name="an-obsolete-tgi-1" select="exists($obsolete-tgi-info-1)" />
    <xsl:variable name="tgi-valid-regex-1" select="if ($code-present or $der-text-non-value or $der-invalid-text or $der-text = '' or $a-vaccine-1 or $a-sas-tgi-1 or $an-uncoded-tgi-1 or          $an-obsolete-tgi-1) then ''        else if ($is-immun)    then $cd-definitions/immun/@valid-regex        else if ($is-pd)       then $cd-definitions/pd/@valid-regex        else if ($is-shs-meds) then $cd-definitions/shs-meds/@valid-regex        else if ($is-meds)     then $cd-definitions/meds/@valid-regex        else '' " />
    <xsl:variable name="valid-tgi-1" select="if ($a-vaccine-1 or $a-sas-tgi-1 or $an-uncoded-tgi-1 or $an-obsolete-tgi-1) then true()         else if ($tgi-valid-regex-1 = '') then false()        else exists(index-of(for $regex in (tokenize($tgi-valid-regex-1, '~')[. != '']) return          matches($der-text-2, dh:XQueryRecursiveReplace(normalize-space($regex), ' \|~|~\| ~|', ''), 'is'), true())) " />
    <xsl:variable name="invalid-hierarchy-1" select="if (exists($cd-definitions/meds/meds-invalid/hierarchy))         then string-join(for $hierarchy in $cd-definitions/meds/meds-invalid/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-refset" select="if (exists($cd-definitions/meds/meds-invalid/refset))          then string-join(for $refset in $cd-definitions/meds/meds-invalid/refset return concat('^', $refset/@code), ' OR ')         else '' " />
    <xsl:variable name="valid-refset" select="concat($tgi-formula, ' OR &lt;763158003') " />
    <xsl:variable name="valid-domain" select="if ($invalid-refset != '' and $invalid-hierarchy-1 != '')         then concat('((', $valid-refset, ') MINUS (', $invalid-refset, ' OR (', $invalid-hierarchy-1, ')))')        else if ($invalid-refset = '' and $invalid-hierarchy-1 != '') then concat('((', $valid-refset, ') MINUS (', $invalid-hierarchy-1, '))')         else if ($invalid-refset != '' and $invalid-hierarchy-1 = '') then concat('((', $valid-refset, ') MINUS (', $invalid-refset, '))')        else concat('(', $valid-refset, ')') " />
    <xsl:variable name="related-terms-1" select="if ($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-1) then ()        else ($codesystemvalues/code[@related-terms], $codesystemvalues/related-terms[@related-terms]) " />
    <xsl:variable name="related-terms-2" select="for $i in index-of(        for $concept in $related-terms-1 return matches(translate($concept/@related-terms, $chars-no-pipe, ''), $defn-valid-regex, 'is'), true())         return $related-terms-1[$i]/@code " />
    <xsl:variable name="der-tgi-codes-1" select="if (exists($related-terms-2)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($related-terms-2, ' OR '), ') AND ', $valid-domain), '', string(count($related-terms-2)), false())        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $der-tgi-codes-1 " />
    <xsl:variable name="der-valid-codes-1" select="if (contains($der-tgi-codes-1, '[')) then $der-tgi-codes-1 else '' " />
    <xsl:variable name="valid-tgi-2" select="$valid-tgi-1 or $der-valid-codes-1 != '' " />
    <xsl:variable name="tgi-inactive-refSets" select="if (exists($cd-definitions/tgi/tgi-invalid/inactive-refset))         then concat('((', $inactive-refSets, ') MINUS (',           string-join(for $refset in $cd-definitions/tgi/tgi-invalid/inactive-refset return concat('^', $refset/@code), ' OR '),          '))')         else $inactive-refSets " />
    <xsl:variable name="formula" select="concat($valid-domain, ' OR ', $tgi-inactive-refSets) " />
    <xsl:variable name="ts-not-needed" select="$der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-2 or $avoid-ts " />
    <xsl:variable name="der-tgi-codes-2-a" select="if ($ts-not-needed or exists($related-terms-2)) then ()         else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-text,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2-a" select="$error-usingTS-1 or 'Error' = $der-tgi-codes-2-a " />
    <xsl:variable name="revision-pattern-1" select="if ($ts-not-needed or $valid-tgi-2 or exists($der-tgi-codes-2-a) or $error-usingTS-2-a or exists($related-terms-2)) then ''        else $tgi-sec-pattern-replacement " />
    <xsl:variable name="der-revised-text-1" select="if ($revision-pattern-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-text, $revision-pattern-1, 'ic')) " />
    <xsl:variable name="use-revised-text-1" select="$der-revised-text-1 != '' and $der-revised-text-1 != $der-text " />
    <xsl:variable name="obsolete-tgi-info-2" select="if (exists($der-tgi-codes-2-a)) then ()        else if ($an-obsolete-tgi-1) then $obsolete-tgi-info-1        else if ($use-revised-text-1) then $knowledge/special-tgi/obsolete[matches($der-revised-text-1, concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')]        else () " />
    <xsl:variable name="an-obsolete-tgi-2" select="exists($obsolete-tgi-info-2)" />
    <xsl:variable name="der-tgi-codes-2-b" select="if ($an-obsolete-tgi-2) then ()        else if ($ts-not-needed or exists($der-tgi-codes-2-a) or not($use-revised-text-1)) then $der-tgi-codes-2-a         else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-1,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2-b" select="$error-usingTS-2-a or 'Error' = $der-tgi-codes-2-b " />
    <xsl:variable name="revision-pattern-2" select="if ($ts-not-needed or $valid-tgi-2 or exists($der-tgi-codes-2-b) or $error-usingTS-2-b or exists($related-terms-2)) then ''        else $tgi-thi-pattern-replacement " />
    <xsl:variable name="der-revised-text-2" select="if ($revision-pattern-2 = '') then '' else normalize-space(dh:XQueryRecursiveReplace(         if ($use-revised-text-1) then $der-revised-text-1 else $der-text, $revision-pattern-2, 'ic')) " />
    <xsl:variable name="use-revised-text-2" select="if ($use-revised-text-1) then $der-revised-text-2 != '' and $der-revised-text-2 != $der-revised-text-1         else $der-revised-text-2 != '' and $der-revised-text-2 != $der-text " />
    <xsl:variable name="obsolete-tgi-info-3" select="if (exists($der-tgi-codes-2-b)) then ()        else if ($an-obsolete-tgi-2) then $obsolete-tgi-info-2        else if ($use-revised-text-2) then $knowledge/special-tgi/obsolete[matches($der-revised-text-2, concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')]        else () " />
    <xsl:variable name="an-obsolete-tgi-3" select="exists($obsolete-tgi-info-3)" />
    <xsl:variable name="der-tgi-codes-2-c" select="if ($an-obsolete-tgi-3) then ()        else if ($ts-not-needed or exists($der-tgi-codes-2-b) or not($use-revised-text-2)) then $der-tgi-codes-2-b        else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-2,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2-c" select="$error-usingTS-2-b or 'Error' = $der-tgi-codes-2-c " />
    <xsl:variable name="der-tgi-codes-2-d" select="if ($an-obsolete-tgi-3 or $ts-not-needed or exists($der-tgi-codes-2-c)) then $der-tgi-codes-2-c        else iq:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula,          if ($der-revised-text-2 != '') then $der-revised-text-2          else if ($der-revised-text-1 != '') then $der-revised-text-1          else $der-text, 'default') " />
    <xsl:variable name="error-usingTS-2-d" select="$error-usingTS-2-c or 'Error' = $der-tgi-codes-2-d " />
    <xsl:variable name="der-tgi-codes-2" select="$der-tgi-codes-2-d " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-2-d " />
    <xsl:variable name="der-valid-codes-2" select="if ($der-valid-codes-1 != '') then $der-valid-codes-1        else if ($error-usingTS-2) then ''         else string-join((for $code in $der-tgi-codes-2 return if (contains($code, '~inactive')) then '' else $code)[. != ''], '|')  " />
    <xsl:variable name="valid-tgi-3" select="$valid-tgi-2 or $der-valid-codes-2 != '' " />
    <xsl:variable name="der-inactive-codes-1" select="if ($valid-tgi-3) then () else        for $code in $der-tgi-codes-2 return if (contains($code, '~inactive')) then replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is') else '' " />
    <xsl:variable name="der-inactive-codes-2" select="for $i in (1 to count($der-inactive-codes-1)) return         dh:IsCodeAssociatedWithAnotherCode($der-inactive-codes-1[$i], '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-1" select="'Error' = $der-inactive-codes-2 " />
    <xsl:variable name="der-NAF-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-NAF-active-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound~active')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-inactive-codes-3" select="tokenize(string-join(for $i in (1 to count($der-inactive-codes-1)) return replace(string-join(tokenize($der-inactive-codes-2[$i], '\|')        [matches(., '(REPLACED BY|SAME AS|ALTERNATIVE|POSSIBLY EQUIVALENT TO|MAY BE A|WAS A)')], '|'), '[0-9]+~[A-Z ]+~([0-9]+)', '$1'), '|'), '\|')        [. != ''] " />
    <xsl:variable name="der-tgi-codes-3" select="if (exists($der-inactive-codes-3)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($der-inactive-codes-3, ' OR '), ') AND ', $valid-domain), '', string(count($der-inactive-codes-3)), false())          else '' " />
    <xsl:variable name="error-usingTS-3" select="$error-usingTS-2 or 'Error' = $der-tgi-codes-3 " />
    <xsl:variable name="der-valid-codes-3" select="if ($der-valid-codes-2 != '') then $der-valid-codes-2        else if (contains($der-tgi-codes-3, '[')) then $der-tgi-codes-3        else '' " />
    <xsl:variable name="valid-tgi-4" select="$valid-tgi-3 or $der-valid-codes-3 != '' " />
    <xsl:variable name="tbd-hierarchy" select="if (exists($cd-definitions/meds/meds-tbd/hierarchy))         then string-join(for $hierarchy in $cd-definitions/meds/meds-tbd/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-hierarchy" select="if ($invalid-hierarchy-1 != '' and $tbd-hierarchy != '') then concat($invalid-hierarchy-1, ' OR ', $tbd-hierarchy)        else if ($invalid-hierarchy-1 != '') then $invalid-hierarchy-1        else if ($tbd-hierarchy != '') then $tbd-hierarchy        else '' " />
    <xsl:variable name="invalid-domain" select="if ($invalid-hierarchy != '' and $invalid-refset != '') then concat($invalid-hierarchy, ' OR ', $invalid-refset)        else if ($invalid-hierarchy != '') then $invalid-hierarchy        else if ($invalid-refset != '') then $invalid-refset        else '' " />
    <xsl:variable name="filter-text" select="if ($use-revised-text-2) then $der-revised-text-2 else if ($use-revised-text-1) then $der-revised-text-1 else $der-text " />
    <xsl:variable name="der-tgi-codes-4" select="if ($ts-not-needed or $valid-tgi-4 or $invalid-domain = '') then ()        else if (exists($related-terms-2)) then $related-terms-2        else distinct-values((tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          $invalid-domain, $filter-text, $max-code-number, false()), '(\[.*?\])(\||$)', '$2'), '\|'), $der-inactive-codes-3)) " />
    <xsl:variable name="error-usingTS-4" select="$error-usingTS-3 or 'Error' = $der-tgi-codes-4 " />
    <xsl:variable name="invalid-tgi-codes-r" select="if ($ts-not-needed or $valid-tgi-4 or $error-usingTS-4 or not(exists($der-tgi-codes-4))) then ()        else if ($invalid-refset = '') then tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-tgi-codes-4, ' OR '), ') AND (', $inactive-refSets, ')'), '',           string(count($der-tgi-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')        else tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-tgi-codes-4, ' OR '), ') AND (', $invalid-refset, ' OR ', $inactive-refSets, ')'), '',           string(count($der-tgi-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')  " />
    <xsl:variable name="error-usingTS-5" select="$error-usingTS-4 or 'Error' = $invalid-tgi-codes-r " />
    <xsl:variable name="der-tgi-codes-4-h" select="if ($error-usingTS-5) then () else $der-tgi-codes-4[not(. = $invalid-tgi-codes-r)]" />
    <xsl:variable name="invalid-tgi-codes-h" select="if ($ts-not-needed or $valid-tgi-4 or 'Error' = $der-tgi-codes-4 or $meds-invalid-hierarchy = '' or not(exists($der-tgi-codes-4-h))) then ()        else (for $code in $der-tgi-codes-4-h return          if (dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;&gt;', $code, ' MINUS ', $meds-invalid-hierarchy), '', '1', false()) = '') then $code else '')[. != ''] " />
    <xsl:variable name="invalid-tgi-codes" select="($invalid-tgi-codes-h, $invalid-tgi-codes-r) " />
    <xsl:variable name="der-tgi-codes-5" select="$der-tgi-codes-4[not(. = $invalid-tgi-codes or . = 'Error')]" />
    <xsl:variable name="der-valid-codes-4" select="if ($der-valid-codes-3 != '') then $der-valid-codes-3        else if ($ts-not-needed or $valid-tgi-4 or $valid-domain = '' or not(exists($der-tgi-codes-5))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-tgi-codes-5, ' OR '), ') AND ', $valid-domain), '', string(count($der-tgi-codes-5)), false()) " />
    <xsl:variable name="error-usingTS-6" select="$error-usingTS-5 or 'Error' = $der-valid-codes-4 " />
    <xsl:variable name="valid-tgi-5" select="$valid-tgi-4 or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="der-valid-codes-seq" select="if ($error-usingTS-6) then () else tokenize(replace($der-valid-codes-4,  '(\[.*?\])(\||$)', '$2'), '\|') " />
    <xsl:variable name="undetermined-tgi-1" select="if (exists($der-valid-codes-seq)) then $der-tgi-codes-5[not(. = $der-valid-codes-seq)] else $der-tgi-codes-5 " />
    <xsl:variable name="undetermined-inactive-1" select="for $i in (1 to count($undetermined-tgi-1)) return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $undetermined-tgi-1[$i], '', '1', false()) " />
    <xsl:variable name="error-usingTS-7" select="$error-usingTS-6 or 'Error' = $undetermined-inactive-1 " />
    <xsl:variable name="undetermined-inactive" select="(for $i in (1 to count($undetermined-tgi-1)) return         if (contains($undetermined-inactive-1[$i], '~inactive')) then $undetermined-inactive-1[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-1" select="for $i in (1 to count($undetermined-inactive))        return dh:IsCodeAssociatedWithAnotherCode(replace($undetermined-inactive[$i], '(\[.*?\])(\||$)', '$2'), '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-2" select="$error-usingV-1 or 'Error' = $undetermined-NAF-1 " />
    <xsl:variable name="undetermined-NAF" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-codes" select="for $term in $undetermined-NAF return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-NAF-active" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound~active')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-active-codes" select="for $term in $undetermined-NAF-active return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-tgi" select="$undetermined-tgi-1[not(. = ($undetermined-NAF-codes, $undetermined-NAF-active-codes))]" />
    <xsl:variable name="invalid-tgi" select="not($valid-tgi-5) and exists($invalid-tgi-codes) and not(exists($undetermined-tgi))" />
    <xsl:variable name="a-sas-tgi" select="if ($a-sas-tgi-1) then true()        else if ($a-vaccine-1 or $valid-tgi-5 or $invalid-tgi or not($use-revised-text-2) or $tgi-sas-regex = '') then false()        else matches($der-revised-text-2, $tgi-sas-regex, 'is')" />
    <xsl:variable name="an-uncoded-tgi" select="if ($an-uncoded-tgi-1) then true()        else if ($a-vaccine-1 or $valid-tgi-5 or $invalid-tgi or not($use-revised-text-2) or $tgi-otheru-regex = '' or $a-sas-tgi) then false()        else matches($der-revised-text-2, $tgi-otheru-regex, 'is')" />
    <xsl:variable name="obsolete-tgi-info" select="if ($an-obsolete-tgi-3) then $obsolete-tgi-info-3        else if ($a-vaccine-1 or $valid-tgi-5 or $invalid-tgi or not($use-revised-text-2) or not(exists($knowledge/special-tgi/obsolete)) or $a-sas-tgi or          $an-uncoded-tgi) then ()        else $knowledge/special-tgi/obsolete[matches($der-revised-text-2,          concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')] " />
    <xsl:variable name="an-obsolete-tgi" select="exists($obsolete-tgi-info)" />
    <xsl:variable name="valid-tgi-6" select="$valid-tgi-5 or $a-sas-tgi or $an-uncoded-tgi or $an-obsolete-tgi " />
    <xsl:variable name="a-vaccine-2" select="if ($a-vaccine-1) then true()        else if ($valid-tgi-6 or $invalid-tgi or not(exists($vaccine-text-normalised))) then false()        else if ($der-text != '' and translate(lower-case($der-text), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else if ($use-revised-text-1 and translate(lower-case($der-revised-text-1), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else if ($use-revised-text-2 and translate(lower-case($der-revised-text-2), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else false() " />
    <xsl:variable name="vaccine-code-test" select="if (not($a-vaccine-2 or $valid-tgi-6 or $invalid-tgi or $avoid-ts) and exists($undetermined-tgi))         then tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($undetermined-tgi, ' OR '), ') AND (&lt;71181003 OR &lt;127785005)'), '',          string(count($undetermined-tgi)), false()), '\|')        else () " />
    <xsl:variable name="error-usingTS-8" select="$error-usingTS-7 or 'Error' = $vaccine-code-test " />
    <xsl:variable name="a-vaccine" select="$a-vaccine-2 or (not('Error' = $vaccine-code-test) and exists($undetermined-tgi) and count($vaccine-code-test) = count($undetermined-tgi)) " />
    <xsl:variable name="codes-with-history" select="$der-inactive-codes-2[matches(., '[0-9]')]" />
    <xsl:variable name="hist-vers" select="if (exists($codes-with-history))        then dh:FindLastUpdatedDateForCodeUsingTS(substring-before($codes-with-history[1], '~'), '2.16.840.1.113883.6.96', $ts-latest-snomedctau)       else '' " />
    <xsl:variable name="error-usingTS-9" select="$error-usingTS-8 or 'Error' = $hist-vers " />
    <xsl:variable name="hist-vers-date" select="if (matches($hist-vers, '^(CodeFoundActive|CodeFoundInactive)\|[0-9]{8}$')) then substring-after($hist-vers, '|') else '' " />
    <xsl:variable name="inactive-concept" select="count($der-tgi-codes-2) = count($der-inactive-codes-1) and not($valid-tgi-6)" />
    <xsl:variable name="der-inactive-codes-4" select="$der-inactive-codes-3[not(contains(., 'MOVED FROM') or contains(., 'WAS A'))]" />
    <xsl:variable name="obsolete-without-date" select=" ($an-obsolete-tgi and not($obsolete-tgi-info/@last-available))   or         (exists($der-inactive-codes-3) and not(exists($der-inactive-codes-4)))  or         (exists($der-inactive-codes-4) and $hist-vers-date = '')   " />
    <xsl:variable name="obsolete-date" select="if ($is-immun) then ''        else if ($hist-vers-date != '') then $hist-vers-date        else if ($an-obsolete-tgi and $obsolete-tgi-info/@last-available) then $obsolete-tgi-info/@last-available         else '' " />
    <xsl:variable name="obsolete-yr" select="substring($obsolete-date, 1, 4) " />
    <xsl:variable name="obsolete-mn-temp" select="substring($obsolete-date, 5, 2) " />
    <xsl:variable name="obsolete-mn" select="if ($obsolete-mn-temp = '') then '06' else $obsolete-mn-temp " />
    <xsl:variable name="obsolete-dy-temp" select="substring($obsolete-date, 7, 2) " />
    <xsl:variable name="obsolete-dy" select="if ($obsolete-dy-temp = '') then '15' else $obsolete-dy-temp " />
    <xsl:variable name="obsolete-xs" select="if ($obsolete-date = '') then () else xs:date(concat($obsolete-yr, '-', $obsolete-mn, '-', $obsolete-dy)) " />
    <xsl:variable name="display-obsolete-date" select="if ($obsolete-date = '') then ''        else if ($obsolete-mn-temp = '') then $obsolete-dy        else if ($obsolete-dy-temp = '') then concat($knowledge/months/month[@number = $obsolete-mn]/@abbreviation, ' ', $obsolete-yr)        else concat($obsolete-dy, ' ', $knowledge/months/month[@number = $obsolete-mn]/@abbreviation, ' ', $obsolete-yr) " />
    <xsl:variable name="obsolete-date-diff" select="if ($obsolete-date = '' or not(matches($creation-date-xs - $obsolete-xs, '^P[0-9]+D'))) then '0'        else number(substring-before(substring-after($creation-date-xs - $obsolete-xs, 'P'), 'D')) " />
    <xsl:variable name="obsolete-yrs-ago" select="$obsolete-date-diff div 365 " />
    <xsl:variable name="coding" select="if (not($flags/@assess-class = 'true') or not($use-ts-for-sctau) or not(exists($iq-config/tgi-coding))) then () else $iq-config/tgi-coding" />
    <xsl:variable name="s-classification" select="if (exists($coding/special-classification/classification)) then $coding/special-classification/classification else () " />
    <xsl:variable name="s-number" select="count($s-classification) " />
    <xsl:variable name="s-formula" select="string-join(for $class in $s-classification return $class/@code, ' OR ')" />
    <xsl:variable name="code-to-assess" select="if (not($flags/@assess-class = 'true') or not($use-ts-for-sctau)) then '' else if (exists($der-valid-codes-seq)) then $der-valid-codes-seq[1] else '' " />
    <xsl:variable name="value-domain-1" select="if ($code-to-assess = '') then '' else dh:FindValueDomainsForCode($code-to-assess, '2.16.840.1.113883.6.96', $v-current-sctau)" />
    <xsl:variable name="class-error-1" select="$value-domain-1 = 'Error' " />
    <xsl:variable name="value-domain" select="if ($class-error-1 or $value-domain-1 = ('', 'CodeNotFound')) then ''       else if (contains($value-domain-1, '|')) then substring-before($value-domain-1, '|')       else $value-domain-1 " />
    <xsl:variable name="first-pass-1" select="if ($value-domain = '') then ''        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)'))         then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat($code-to-assess, ' . 30409011000036107'), '', '1', true())        else if ($value-domain = 'Medicinal Product Pack (MPP)')         then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat($code-to-assess, ' . 30348011000036104'), '', '1', true())        else if ($value-domain = 'Trade Product (TP)') then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&lt;', $code-to-assess), '', '1', true())        else $code-to-assess " />
    <xsl:variable name="class-error-2" select="$class-error-1 or ($value-domain != '' and $first-pass-1 = ('Error', '')) " />
    <xsl:variable name="first-pass" select="if (not($class-error-2) and $first-pass-1 != '') then replace($first-pass-1, '(\[.*?\])(\||$)', '$2') else '' " />
    <xsl:variable name="second-pass-1" select="if ($first-pass = '') then ''        else if ($value-domain = 'Trade Product Unit of Use (TPUU)')          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $code-to-assess, ' AND ^929360071000036103'), '', '1', true())        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product (TP)'))          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $first-pass, ' AND ^929360071000036103'), '', '1', true())        else if ($value-domain = 'Medicinal Product Pack (MPP)') then $first-pass        else $code-to-assess " />
    <xsl:variable name="class-error-3" select="$class-error-2 or ($first-pass != '' and $second-pass-1 = ('Error', '')) " />
    <xsl:variable name="second-pass" select="if (not($class-error-3) and $second-pass-1 != '') then replace($second-pass-1, '(\[.*?\])(\||$)', '$2') else '' " />
    <xsl:variable name="class-tp-1" select="if ($class-error-3) then ''        else if ($value-domain = 'Trade Product Unit of Use (TPUU)')          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $code-to-assess, ' AND ^929360021000036102'), '', '1', true())        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)'))          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $first-pass, ' AND ^929360021000036102'), '', '1', true())        else '' " />
    <xsl:variable name="class-tp-error" select="$class-tp-1 = 'Error' " />
    <xsl:variable name="class-tp" select="if (not($class-tp-error) and $class-tp-1 != '') then replace($class-tp-1, '^([0-9]+\[)(.*?)(\])$', '$2') else '' " />
    <xsl:variable name="third-pass-1" select="if ($second-pass = '') then ''        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product (TP)',          'Trade Product Unit of Use (TPUU)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)'))         then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;!', $second-pass, ' AND ^929360061000036106'), '', '1', false())        else $second-pass " />
    <xsl:variable name="class-error-4" select="$class-error-3 or ($second-pass != '' and $third-pass-1 = ('Error', '')) " />
    <xsl:variable name="third-pass" select="if ($class-error-4 or $third-pass-1 = '') then ''         else if (matches($third-pass-1, '^[0-9]+$')) then replace($der-valid-codes-4, '^([0-9]+\[)(.*?)(\]\|.*|\])$', '$2')        else if (matches($third-pass-1, '^[0-9]')) then replace($third-pass-1, '^([0-9]+\[)(.*?)(\])$', '$2') else '' " />
    <xsl:variable name="fourth-pass-1" select="if ($third-pass = '') then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', '&lt;373873005', $third-pass, '1', true()) " />
    <xsl:variable name="class-error-5" select="$class-error-4 or $fourth-pass-1 = 'Error' " />
    <xsl:variable name="fourth-pass" select="if (not($class-error-4) and $fourth-pass-1 != '' and matches($fourth-pass-1, '^[0-9]')) then replace($fourth-pass-1, '(\[.*?\])(\||$)', '$2') else '' " />
    <xsl:variable name="class-not-completed" select="($flags/@assess-class = 'true' and $code-to-assess = '')  or        ($code-to-assess != '' and $value-domain-1 = 'CodeNotFound') or        ($third-pass != '' and $fourth-pass = '')   " />
    <xsl:variable name="valid-class-1" select="if ($fourth-pass = '' or $s-number = 0) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND (', $s-formula, ')'), '', string($s-number), true()) " />
    <xsl:variable name="class-error-6" select="$class-error-5 or $valid-class-1 = 'Error' " />
    <xsl:variable name="valid-class-2" select="if ($valid-class-1 = '' or $class-error-6) then () else tokenize(replace($valid-class-1, '(\[.*?\])(\||$)', '$2'), '\|') " />
    <xsl:variable name="valid-class-3" select="if ($a-vaccine and exists($s-classification[@code = '71181003']/@description)) then ($s-classification[@code = '71181003']/@description)       else if ($a-vaccine and exists($s-classification[@code = '71181003']/@pterm)) then ($s-classification[@code = '71181003']/@pterm)       else for $code in $valid-class-2 return if ($coding/special-classification/classification[@code = $code]/@description)         then $coding/special-classification/classification[@code = $code]/@description         else $coding/special-classification/classification[@code = $code]/@pterm " />
    <xsl:variable name="fifth-pass" select="if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/first-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/first-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-7" select="$class-error-6 or $fifth-pass = 'Error' " />
    <xsl:variable name="sixth-pass" select="if (not($fifth-pass = '')) then $fifth-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/second-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/second-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-8" select="$class-error-7 or $sixth-pass = 'Error' " />
    <xsl:variable name="seventh-pass" select="if (not($sixth-pass = '')) then $sixth-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/third-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/third-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-9" select="$class-error-8 or $seventh-pass = 'Error' " />
    <xsl:variable name="eighth-pass" select="if (not($seventh-pass = '')) then $seventh-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/fourth-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/fourth-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-10" select="$class-error-9 or $eighth-pass = 'Error' " />
    <xsl:variable name="ninth-pass" select="if (not($eighth-pass = '')) then $eighth-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/fifth-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/fifth-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-11" select="$class-error-10 or $ninth-pass = 'Error' " />
    <xsl:variable name="valid-class" select="if (exists($valid-class-3)) then $valid-class-3        else if (not($ninth-pass = '')) then for $term in tokenize($ninth-pass, '\|') return replace($term, '^([0-9]+\[)(.*?)(\])$', '$2')       else () " />
    <xsl:variable name="codes-were-found" select="exists($der-tgi-codes-4) or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="obsolete-error" select="not($is-immun) and ($an-obsolete-tgi or $inactive-concept) and $obsolete-yrs-ago &gt; 2 " />
    <xsl:variable name="obsolete-warning" select="not($is-immun or $obsolete-error) and ($an-obsolete-tgi or $inactive-concept) and ($obsolete-yrs-ago &gt; 1 or $obsolete-without-date) " />
    <xsl:variable name="codes-not-found" select="not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-6 or $invalid-tgi or $a-vaccine) " />
    <xsl:variable name="codes-in-the-domain" select="not($valid-tgi-1) and $valid-tgi-5" />
    <xsl:variable name="codes-in-other-domain" select="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi or         $a-vaccine or $obsolete-warning) " />
    <xsl:variable name="codes-in-no-domain" select="exists($der-tgi-codes-5) " />
    <xsl:variable name="display-in-the-domain" select="if ($codes-in-the-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', '), '''')        else '' " />
    <xsl:variable name="display-in-other-r" select="if (exists($invalid-tgi-codes-r) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-tgi-codes-r return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-h" select="if (exists($invalid-tgi-codes-h) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-tgi-codes-h return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-domain" select="if (not($codes-in-other-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))) then ''        else if ($display-in-other-r and display-in-other-h) then concat('''', $display-in-other-r, ', ', $display-in-other-h, '''')        else if ($display-in-other-r) then concat('''', $display-in-other-r, '''')        else if ($display-in-other-h) then concat('''', $display-in-other-h, '''')        else '' " />
    <xsl:variable name="display-in-no-domain" select="if ($codes-in-no-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', dh:XQueryRecursiveReplace(string-join(for $code in $der-tgi-codes-5 return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), '; '),          $term-pattern-replacement, 'ic'), '''')        else '' " />
    <xsl:variable name="log-concepts-appended" select="if ($error-usingTS-9 or not($flags/@report-terminology-concepts = 'true') or $log-concepts-name = '') then ''        else if ($codes-not-found and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                   'Therapeutic Good Identification', $log-tab,                   'yes',     $log-tab,                   iq:display-CD(.),   $log-tab,                   '',     $log-tab,                  '',     $log-tab,                  '',     $log-tab,                  $ts-current-sctau   ))        else if (($use-revised-text-2 or $codes-in-no-domain) and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                  'Therapeutic Good Identification', $log-tab,                   'yes',     $log-tab,                     iq:display-CD(.),   $log-tab,                    $display-in-the-domain,   $log-tab,                  $display-in-other-domain,  $log-tab,                  $display-in-no-domain,   $log-tab,                  $ts-current-sctau   ))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if (matches($defn-invalid-rsn, 'is a container', 'is')) then $rating-container-TC-Types-57 else $rating-TC-Types-57 " />
    <!--REPORT -->
    <xsl:if test=" $log-concepts-appended = ('NOTFOUND', 'ERROR') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$log-concepts-appended = ('NOTFOUND', 'ERROR')">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): The AppendLog function returned '<xsl:text /><xsl:value-of select="$log-concepts-appended" /><xsl:text />' when requested to append the concepts log
		'<xsl:text /><xsl:value-of select="$log-concepts-name" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $flags/@assess-class = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $flags/@assess-class = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): 
		code-to-assess '<xsl:text /><xsl:value-of select="$code-to-assess" /><xsl:text />'
		value-domain '<xsl:text /><xsl:value-of select="$value-domain" /><xsl:text />'
		first-pass '<xsl:text /><xsl:value-of select="$first-pass" /><xsl:text />'
		second-pass '<xsl:text /><xsl:value-of select="$second-pass" /><xsl:text />'
		third-pass '<xsl:text /><xsl:value-of select="$third-pass" /><xsl:text />'
		fourth-pass '<xsl:text /><xsl:value-of select="$fourth-pass" /><xsl:text />'
		valid-class-1 '<xsl:text /><xsl:value-of select="$valid-class-1" /><xsl:text />'
		fifth-pass '<xsl:text /><xsl:value-of select="$fifth-pass" /><xsl:text />'
		sixth-pass '<xsl:text /><xsl:value-of select="$sixth-pass" /><xsl:text />'
		seventh-pass '<xsl:text /><xsl:value-of select="$seventh-pass" /><xsl:text />'
		eighth-pass '<xsl:text /><xsl:value-of select="$eighth-pass" /><xsl:text />'
		ninth-pass '<xsl:text /><xsl:value-of select="$ninth-pass" /><xsl:text />'

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $class-error-11 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$class-error-11">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An unexpected error occurred during the process to classify a terminology code.
		Report the information below to the Australian Digital Health Agency for investigation.
		The value domain was '<xsl:text /><xsl:value-of select="$value-domain" /><xsl:text />' and the error variable was
		<xsl:text /><xsl:value-of select="if ($class-error-1) then concat('class-error-1. The FindValueDomainsForCode function was called with code ''', $code-to-assess,     ''', codeSystem ''2.16.840.1.113883.6.96'' and codeSystemVersion ''', $v-current-sctau, ''' and returned ''', $value-domain-1, '''.')   else if ($class-error-2) then concat('class-error-2. The SearchForCodesInHierarchyUsingTS function was called with code ''', $code-to-assess,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $first-pass-1, '''.')   else if ($class-error-3) then concat('class-error-3. The SearchForCodesInHierarchyUsingTS function was called with code ''',     if ($value-domain = 'Trade Product Unit of Use (TPUU)') then $code-to-assess else $first-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $second-pass-1, '''.')   else if ($class-error-4) then concat('class-error-4. The SearchForCodesInHierarchyUsingTS function was called with code ''', $second-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $third-pass-1, '''.')   else if ($class-error-5) then concat('class-error-5. The SearchForCodesInHierarchyUsingTS function was called with code ''', $third-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $fourth-pass-1, '''.')   else if ($class-error-6) then concat('class-error-6. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $valid-class-1, '''.')   else if ($class-error-7) then concat('class-error-7. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $fifth-pass, '''.')   else if ($class-error-8) then concat('class-error-8. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $sixth-pass, '''.')   else if ($class-error-9) then concat('class-error-9. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $seventh-pass, '''.')   else if ($class-error-10) then concat('class-error-10. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $eighth-pass, '''.')   else if ($class-error-11) then concat('class-error-11. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $ninth-pass, '''.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $class-tp-error ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$class-tp-error">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An unexpected error occurred during the process to find the trade product name for a medicine.
		Report the information below to the Australian Digital Health Agency for investigation.
		The value domain was '<xsl:text /><xsl:value-of select="$value-domain" /><xsl:text />' and the error variable was class-tp-error.
		The FindValueDomainsForCode function was called with code ''', 
		if ($value-domain = 'Trade Product Unit of Use (TPUU)') then $code-to-assess else $first-pass, 
		''', codeSystem ''2.16.840.1.113883.6.96'' and codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $class-tp-1, '''.')

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-tgi-6) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-tgi-6)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An unexpected problem occurred when assessing the value of the Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. The application of regular expressions resulted in the complete loss of text.
		Report the information below to the Australian Digital Health Agency for investigation.

		der-text-1 '<xsl:text /><xsl:value-of select="normalize-space(dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'))" /><xsl:text />'.
		der-text-2a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-2a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-a, $term-pattern-replacement, 'ic')" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingV-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingV-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An error was reported when accessing the terminology server when assessing the Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		Report the issue to the Australian Digital Health Agency for investigation stating the error was recorded for error-usingV-2.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-9 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-9">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An error was reported when accessing the terminology server when assessing the Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term:
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The analysis should be retried as the terminology server may have been temporarily unavailable.
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'error-usingTS-1' else if ($error-usingTS-2-a) then 'error-usingTS-2-a'   else if ($error-usingTS-2-b) then 'error-usingTS-2-b' else if ($error-usingTS-2-c) then 'error-usingTS-2-c'   else if ($error-usingTS-2) then 'error-usingTS-2'   else if ($error-usingTS-3) then 'error-usingTS-3' else if ($error-usingTS-4) then 'error-usingTS-4'   else if ($error-usingTS-5) then 'error-usingTS-5' else if ($error-usingTS-6) then 'error-usingTS-6'   else if ($error-usingTS-7) then 'error-usingTS-7' else if ($error-usingTS-8) then 'error-usingTS-8'   else 'error-usingTS-9' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or      $valid-tgi-6 or $invalid-tgi) and not($a-vaccine and not(false())) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi) and not($a-vaccine and not(false()))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify therapeutic goods which are or were prescribed for         the consumer or they have been been taking. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate. (See section 8.5 of the eReferral Structured Content Specification v1.1.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the MEDICATION INSTRUCTION section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi) and    not($a-vaccine and false()) and not($obsolete-warning) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi) and not($a-vaccine and false()) and not($obsolete-warning)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the value does not seem to be applicable for the data element.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify therapeutic goods which are or were prescribed for         the consumer or they have been been taking. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate. (See section 8.5 of the eReferral Structured Content Specification v1.1.)')" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $obsolete-warning ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$obsolete-warning">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the name may not be applicable for the data element.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> and the
		<xsl:text /><xsl:value-of select="if ($display-obsolete-date != '') then concat('name of the therapeutic good was last used ', $display-obsolete-date)   else if ($obsolete-tgi-info/@name) then concat('therapeutic good ''', $obsolete-tgi-info/@name, ''' was last available ', $display-obsolete-date)    else if ($obsolete-without-date) then 'name of the therapeutic good is no longer used ' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($obsolete-tgi-info/@reason) then concat(' because ', $obsolete-tgi-info/@reason, '.') else '.' " /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify therapeutic goods which are or were prescribed for         the consumer or they have been been taking. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate. (See section 8.5 of the eReferral Structured Content Specification v1.1.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		<xsl:text /><xsl:value-of select="$creation-date-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $obsolete-error ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$obsolete-error">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the name is not applicable for the data element.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> and the
		<xsl:text /><xsl:value-of select="if ($display-obsolete-date != '') then concat('name of the therapeutic good was last used ', $display-obsolete-date)   else if ($obsolete-tgi-info/@name) then concat('therapeutic good ''', $obsolete-tgi-info/@name, ''' was last available ', $display-obsolete-date)    else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($obsolete-tgi-info/@reason) then concat(' because ', $obsolete-tgi-info/@reason, '.') else '.' " /><xsl:text />
		That was <xsl:text /><xsl:value-of select="if (contains(string($obsolete-yrs-ago), '.')) then substring-before(string($obsolete-yrs-ago), '.') else $obsolete-yrs-ago " /><xsl:text /> years before the
		<xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify therapeutic goods which are or were prescribed for         the consumer or they have been been taking. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate. (See section 8.5 of the eReferral Structured Content Specification v1.1.)'))" /><xsl:text /><xsl:text /><xsl:value-of select="$creation-date-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'exclusion' = 'allowed' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'exclusion' = 'allowed' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the data element does not have a proper value. <xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify therapeutic goods which are or were prescribed for         the consumer or they have been been taking. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate. (See section 8.5 of the eReferral Structured Content Specification v1.1.)'))" /><xsl:text />
		The Therapeutic Good Identification data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'exclusion' = 'exclusion' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'exclusion' = 'exclusion' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify therapeutic goods which are or were prescribed for         the consumer or they have been been taking. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate. (See section 8.5 of the eReferral Structured Content Specification v1.1.)'))" /><xsl:text />
		The Therapeutic Good Identification data element must have a value that is consistent with this definition. Alternatively if there is no Therapeutic Good Identification data element with a proper value then an exclusion
		statement must be included to state why there is no Therapeutic Good Identification. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4')    then concat('Text such as ''', dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'), ''' may be permitted in the narrative even though the Therapeutic Good Identification data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'exclusion' = 'unknown' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'exclusion' = 'unknown' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the data element does not have a proper value. <xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify therapeutic goods which are or were prescribed for         the consumer or they have been been taking. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate. (See section 8.5 of the eReferral Structured Content Specification v1.1.)'))" /><xsl:text />
		The Therapeutic Good Identification data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($der-text-non-value) and $der-invalid-text ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($der-text-non-value) and $der-invalid-text">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />
		however the value is invalid. <xsl:text /><xsl:value-of select="$defn-invalid-rsn" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify therapeutic goods which are or were prescribed for         the consumer or they have been been taking. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate. (See section 8.5 of the eReferral Structured Content Specification v1.1.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $a-vaccine and false() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$a-vaccine and false()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />
		which identifies a vaccine. <xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify therapeutic goods which are or were prescribed for         the consumer or they have been been taking. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate. (See section 8.5 of the eReferral Structured Content Specification v1.1.)'))" /><xsl:text />
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the MEDICATION INSTRUCTION section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $invalid-tgi and not($error-usingTS-9) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$invalid-tgi and not($error-usingTS-9)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
ZZZ
der-text '<xsl:text /><xsl:value-of select="$der-text" /><xsl:text />'
der-revised-text-1 '<xsl:text /><xsl:value-of select="$der-revised-text-1" /><xsl:text />'
der-revised-text-2 '<xsl:text /><xsl:value-of select="$der-revised-text-2" /><xsl:text />'
ZZZ
		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the value is invalid
		<xsl:text /><xsl:value-of select="if (exists($invalid-tgi-codes-h) or exists($invalid-tgi-codes-r)) then concat(' as it describes ',    iq:invalidityExplanationUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, $invalid-tgi-codes-h, $cd-definitions/meds/meds-invalid/hierarchy, $invalid-tgi-codes-r, $cd-definitions/meds/meds-invalid/refset), '.')   else '.' " /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify therapeutic goods which are or were prescribed for         the consumer or they have been been taking. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate. (See section 8.5 of the eReferral Structured Content Specification v1.1.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable outside the applicable value domain): The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. The following codes were obtained and are not in the value domain:
		<xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-TGI-Defn): The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU and no associated code was found in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists(($der-NAF-active-codes, $undetermined-NAF-active-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists(($der-NAF-active-codes, $undetermined-NAF-active-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-TGI-Defn): The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-active-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the
		'<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU but it was not found with this status in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.
		<xsl:text /><xsl:value-of select="if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and ($valid-tgi-1 or $a-vaccine-2 or (not($valid-tgi-5) and $valid-tgi-6))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and ($valid-tgi-1 or $a-vaccine-2 or (not($valid-tgi-5) and $valid-tgi-6))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable within the value domain): The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> which matches
		<xsl:text /><xsl:value-of select="if ($a-vaccine-1) then 'one of the terms listed in Knowledge.xml' else 'the vaccine information in CodeSystems.xml' " /><xsl:text /> for the Therapeutic Good Identification.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(exists($valid-class)) and $class-not-completed and not($class-tp-error or $class-error-10) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(exists($valid-class)) and $class-not-completed and not($class-tp-error or $class-error-10)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. <xsl:text /><xsl:value-of select="if ($code-to-assess = '') then 'No code could be found for the medicine.'    else if ($value-domain = '') then concat('The code ''', $code-to-assess, ''' was found to apply to the medicine by applying the terminology server using the ''', $ts-current-sctau,   ''' version of SNOMED CT-AU but the code was not found in the Validator''s database using the ''', $v-current-sctau, ''' version of SNOMED CT-AU.',   if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '')   else concat('This is a ', $value-domain,    if ($value-domain = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)')) then    concat(' (with medicinal product ''', $third-pass, ''').')    else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)'))    then concat(' (with trade product ''', $class-tp, ''').')    else '.') " /><xsl:text /> The classification of this medicine could not be completed.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists($valid-class) and not($class-tp-error or $class-error-11) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists($valid-class) and not($class-tp-error or $class-error-11)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This <xsl:text /><xsl:value-of select="if (not($value-domain = ('Containered Trade Product Pack (CTPP)',    'Trade Product Pack (TPP)', 'Trade Product (TP)', 'Trade Product Unit of Use (TPUU)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Medicinal Product (MP)')))    then '' else concat('is a ', $value-domain, ' which')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($value-domain = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)')) then concat(' (with medicinal product ''', $third-pass, ''') which')   else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)'))    then concat(' (with trade product ''', $class-tp, ''') which') else '' " /><xsl:text />
		identifies a type of <xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($valid-class, ' and '), $markup-pattern-replacement, 'ic')" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (concept is codeable within the value domain): The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> which is a valid value for the Therapeutic Good Identification.
		SNOMED CT-AU codes that matched the concept are: <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The text used to match regular expression (der-text-2) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to match non-values and vaccines (der-text-to-match) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-to-match, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to derive a code (der-text) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.

		<xsl:text /><xsl:value-of select="if ($use-revised-text-1) then concat(' A first revision of the text (der-revised-text-1) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-1, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A first revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-1 != '' and $der-revised-text-1 = '') then ' revision-pattern-1 was applied but the output (der-revised-text-1) was an empty string.' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($use-revised-text-2) then concat(' A second revision of the text (der-revised-text-2) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A second revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-2 != '' and $der-revised-text-2 = '') then ' revision-pattern-2 was applied but the output (der-revised-text-2) was an empty string.' else '' " /><xsl:text />

		The SNOMED CT-AU version used to find codes is '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' and the maximum code number is '<xsl:text /><xsl:value-of select="$max-code-number" /><xsl:text />'.

		Codes for related terms (related-terms-2): '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($related-terms-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes for related terms (der-valid-codes-1): 
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-1, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-tgi-codes-2) returned by the terminology server that match the text:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-tgi-codes-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes from related terms or the terminology server (der-valid-codes-2):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-2, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-inactive-codes-3) returned from the Validator's database associated with inactive codes:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-inactive-codes-3, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes found after examining inactive codes (der-valid-codes-3):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-3, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Members of invalid reference sets (invalid-tgi-codes-r): '<xsl:text /><xsl:value-of select="$display-in-other-r" /><xsl:text />'.
		Members of invalid code hierarchies (invalid-tgi-codes-h): '<xsl:text /><xsl:value-of select="$display-in-other-h" /><xsl:text />'.

		Final set of valid codes (der-valid-codes-4): <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.
		
		Codes whose validity has not been determined (der-tgi-codes-5): <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.
		Codes whose validity has not been determined and are inactive with no associated code (undetermined-NAF): '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(    string-join($undetermined-NAF, ''', '''), $markup-pattern-replacement, 'ic')" /><xsl:text />'.

		Result of the second vaccination code test (a-vaccine-2): '<xsl:text /><xsl:value-of select="$a-vaccine-2" /><xsl:text />'.
		Vaccine codes (vaccine-code-test):  '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($vaccine-code-test, '; '), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Overall result of the vaccination test (a-vaccine): '<xsl:text /><xsl:value-of select="$a-vaccine" /><xsl:text />'.

		Will the value of the data element be trusted (der-trusted-text)? '<xsl:text /><xsl:value-of select="$der-trusted-text" /><xsl:text />'.
		
	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and $codes-not-found">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept not codeable): The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($avoid-ts) then 'The terminology server was not used to assist with finding codes corresponding to text in the data element. ' else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $prose-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $prose-err">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> which is invalid as it is prose text.
		The Therapeutic Good Identification data element is CodeableText derived from the HL7 CD data type which by definition is to record a concept defined in an external code system, terminology or ontology.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify therapeutic goods which are or were prescribed for         the consumer or they have been been taking. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate. (See section 8.5 of the eReferral Structured Content Specification v1.1.)'))" /><xsl:text />
		This finding will also be reported as an error.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M477" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M477" />
  <xsl:template match="@*|node()" priority="-2" mode="M477">
    <xsl:apply-templates select="@*|*" mode="M477" />
  </xsl:template>
  <!--PATTERN p-TS-Med-CodeableText-8-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '101.16146' = $doc-sections][cda:templateId[   @root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.3']]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/cda:substanceAdministration/cda:consumable/   cda:manufacturedProduct/cda:manufacturedMaterial/cda:code[@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " priority="1000" mode="M478">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '101.16146' = $doc-sections][cda:templateId[   @root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.3']]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/cda:substanceAdministration/cda:consumable/   cda:manufacturedProduct/cda:manufacturedMaterial/cda:code[@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="pnullFlavor" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @nullFlavor) then @nullFlavor else '' " />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-p-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then false()        else if ($psnomed-id = 'amtv3' and @codeSystemVersion) then exists($v-amtv3[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($psnomed-id = 'snomedctau' and @codeSystemVersion) then exists($v-snomedctau[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false() " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and $pcode != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used to assess the primary code.') " />
    <xsl:variable name="pcode-refsets-1" select="if (@codeSystem = '2.16.840.1.113883.6.96' and not($pcode = ''))         then dh:FindValueDomainsForCode($pcode, '2.16.840.1.113883.6.96', $v-psnomed-version) else 'no-code' " />
    <xsl:variable name="pcode-found" select="not($pcode-refsets-1 = 'no-code' or $pcode-refsets-1 = 'CodeNotFound' or $pcode-refsets-1 = 'Error'        or contains($pcode-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="pcode-refsets" select="if ($pcode-found) then distinct-values(tokenize($pcode-refsets-1, '\|')) else () " />
    <xsl:variable name="pcode-special-proc" select="count($pcode-refsets) = 1 and 'Procedure Foundation (PF)' = $pcode-refsets and not($pnullFlavor = 'OTH') " />
    <xsl:variable name="pcode-refsets-msg" select="if (count($pcode-refsets) = 0) then ''         else if (count($pcode-refsets) = 1) then concat('The code is a member of the ', $pcode-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($pcode-refsets, ', '), '.') " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))         else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-1" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="snomed-trans-2" select="distinct-values(for $i in (1 to count($snomed-trans-1)) return $snomed-trans-1[$i]/@code) " />
    <xsl:variable name="snomed-trans-a" select="$snomed-trans-1[1] " />
    <xsl:variable name="tcode-a" select="if (exists($snomed-trans-a) and matches($snomed-trans-a/@code, $snomed-code-regex)) then $snomed-trans-a/@code else '' " />
    <xsl:variable name="tnullFlavor-a" select="if (exists($snomed-trans-a) and $snomed-trans-a/@nullFlavor) then $snomed-trans-a/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-a" select="if (not(exists($snomed-trans-a))) then 'not-snomed'        else if (not($snomed-trans-a/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-a/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-a" select="if (not(exists($snomed-trans-a))) then ''        else if ($tsnomed-id-a = 'amtv3' and exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-a = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-a/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-a" select="if (not(exists($snomed-trans-a))) then false()        else if ($tsnomed-id-a = 'amtv3' and $snomed-trans-a/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-a = 'snomedctau' and $snomed-trans-a/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-a-msg" select="if (not(exists($snomed-trans-a))) then ''        else if (not($snomed-trans-a/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-a, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-a = 'amtv3') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-a = 'snomedctau') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-a/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-a, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-a/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-a-refsets-1" select="if (exists($snomed-trans-a) and not($tcode-a = ''))         then dh:FindValueDomainsForCode($tcode-a, '2.16.840.1.113883.6.96', $v-tsnomed-version-a) else 'no-code' " />
    <xsl:variable name="tcode-a-found" select="not($tcode-a-refsets-1 = 'no-code' or $tcode-a-refsets-1 = 'CodeNotFound' or $tcode-a-refsets-1 = 'Error'         or contains($tcode-a-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-a-refsets" select="if ($tcode-a-found) then distinct-values(tokenize($tcode-a-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-a-special-proc" select="count($tcode-a-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-a-refsets and not($tnullFlavor-a = 'OTH') " />
    <xsl:variable name="tcode-a-refsets-msg" select="if (count($tcode-a-refsets) = 0) then ''         else if (count($tcode-a-refsets) = 1) then concat('The code is a member of the ', $tcode-a-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-a-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@code and $snomed-trans-a/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-a/@displayName, codepoints-to-string(34))         else if ($snomed-trans-a/@code and not($snomed-trans-a/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@codeSystem and $snomed-trans-a/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-a/@codeSystemName, ')')         else if ($snomed-trans-a/@codeSystem and not($snomed-trans-a/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-b" select="(for $i in (2 to count($snomed-trans-1)) return if ($snomed-trans-1[$i]/@code != $snomed-trans-a/@code) then $snomed-trans-1[$i] else ())[1] " />
    <xsl:variable name="tcode-b" select="if (exists($snomed-trans-b) and matches($snomed-trans-b/@code, $snomed-code-regex)) then $snomed-trans-b/@code else '' " />
    <xsl:variable name="tnullFlavor-b" select="if (exists($snomed-trans-b) and $snomed-trans-b/@nullFlavor) then $snomed-trans-b/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-b" select="if (not(exists($snomed-trans-b))) then 'not-snomed'        else if (not($snomed-trans-b/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-b/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-b" select="if (not(exists($snomed-trans-b))) then ''        else if ($tsnomed-id-b = 'amtv3' and exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-b = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-b/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-b" select="if (not(exists($snomed-trans-b))) then false()        else if ($tsnomed-id-b = 'amtv3' and $snomed-trans-b/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-b = 'snomedctau' and $snomed-trans-b/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-b-msg" select="if (not(exists($snomed-trans-b))) then ''        else if (not($snomed-trans-b/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-b, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-b = 'amtv3') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-b = 'snomedctau') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-b/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-b, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-b/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-b-refsets-1" select="if (exists($snomed-trans-b) and not($tcode-b = ''))         then dh:FindValueDomainsForCode($tcode-b, '2.16.840.1.113883.6.96', $v-tsnomed-version-b) else 'no-code' " />
    <xsl:variable name="tcode-b-found" select="not($tcode-b-refsets-1 = 'no-code' or $tcode-b-refsets-1 = 'CodeNotFound' or $tcode-b-refsets-1 = 'Error'         or contains($tcode-b-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-b-refsets" select="if ($tcode-b-found) then distinct-values(tokenize($tcode-b-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-b-special-proc" select="count($tcode-b-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-b-refsets and not($tnullFlavor-b = 'OTH') " />
    <xsl:variable name="tcode-b-refsets-msg" select="if (count($tcode-b-refsets) = 0) then ''         else if (count($tcode-b-refsets) = 1) then concat('The code is a member of the ', $tcode-b-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-b-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@code and $snomed-trans-b/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-b/@displayName, codepoints-to-string(34))         else if ($snomed-trans-b/@code and not($snomed-trans-b/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@codeSystem and $snomed-trans-b/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-b/@codeSystemName, ')')         else if ($snomed-trans-b/@codeSystem and not($snomed-trans-b/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-60" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-60 else $rating-alt-TC-Types-60 " />
    <!--REPORT -->
    <xsl:if test=" $pcode-found and $pcode-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pcode-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD (p-TS-CD-SCT-RefSet): An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$pcode" /><xsl:text />',
		codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-psnomed-version" /><xsl:text />'. This error occurred when assessing the Therapeutic Good Identification data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. The value is not valid for the data element as it describes a medical
		procedure and not a medical problem or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify medicines which the consumer is currently using         including self prescribed, clinician prescribed and nonprescription medicines. Note: must not be used to record vaccines. The text must         include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.6 and 6.5 of the Shared Health Summary Structured Content Specification v1.1.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the code is not a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the KNOWN MEDICATION section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the KNOWN MEDICATION section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the KNOWN MEDICATION section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. Confirm if the code is a member of the value domain.
		If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the KNOWN MEDICATION section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="count($snomed-trans-1)" /><xsl:text /> translation elements with
		codes and the SNOMED CT-AU codeSystem '2.16.840.1.113883.6.96'. The first two translation elements have been assessed to determine if the codes are members of the value domain
		and the others have not been assessed. Confirm if the value of the code attribute in all SNOMED CT translation elements meets the requirement that it be a member of the value domain
		if there is no nullFlavor 'OTH' or that there is a nullFlavor 'OTH' if the value of the code attribute is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text /> 
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the KNOWN MEDICATION section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-a" /><xsl:text />'. This error occurred when assessing the Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify medicines which the consumer is currently using         including self prescribed, clinician prescribed and nonprescription medicines. Note: must not be used to record vaccines. The text must         include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.6 and 6.5 of the Shared Health Summary Structured Content Specification v1.1.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the KNOWN MEDICATION section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the KNOWN MEDICATION section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the KNOWN MEDICATION section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the KNOWN MEDICATION section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-b" /><xsl:text />'. This error occurred when assessing the Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> 
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify medicines which the consumer is currently using         including self prescribed, clinician prescribed and nonprescription medicines. Note: must not be used to record vaccines. The text must         include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.6 and 6.5 of the Shared Health Summary Structured Content Specification v1.1.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the KNOWN MEDICATION section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the KNOWN MEDICATION section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the KNOWN MEDICATION section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the KNOWN MEDICATION section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M478" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M478" />
  <xsl:template match="@*|node()" priority="-2" mode="M478">
    <xsl:apply-templates select="@*|*" mode="M478" />
  </xsl:template>
  <!--PATTERN p-TS-Med-CodeableText-9-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '101.16146' = $doc-sections][cda:templateId[   @root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.3']]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/cda:substanceAdministration/cda:consumable/   cda:manufacturedProduct/cda:manufacturedMaterial/cda:code[not(@code and @codeSystem and exists(index-of($defn-shs-meds-trusted, @codeSystem)))]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])]   [not(@nullFlavor = $no-value-NF)] " priority="1000" mode="M479">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '101.16146' = $doc-sections][cda:templateId[   @root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.3']]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/cda:substanceAdministration/cda:consumable/   cda:manufacturedProduct/cda:manufacturedMaterial/cda:code[not(@code and @codeSystem and exists(index-of($defn-shs-meds-trusted, @codeSystem)))]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])]   [not(@nullFlavor = $no-value-NF)] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="snomed-trans" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="tcode" select="if (exists($snomed-trans[1]) and matches($snomed-trans[1]/@code, $snomed-code-regex)) then $snomed-trans[1]/@code else '' " />
    <xsl:variable name="code-present" select="$pcode != '' or $tcode != '' " />
    <xsl:variable name="invalid-code-system" select="@code and @displayName and @codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="codesystemvalues" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']" />
    <xsl:variable name="otext-without-markup" select="if (cda:originalText and cda:originalText != '') then normalize-space(replace(cda:originalText, $markup-regex, ' ')) else '' " />
    <xsl:variable name="pdname" select="if (@displayName and not($invalid-code-system)) then normalize-space(@displayName) else '' " />
    <xsl:variable name="is-immun" select="exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='101.16638' or @code = '101.16658' or @code = '101.17039')]]) " />
    <xsl:variable name="is-pd" select="exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code = '102.16210' or @code='102.16211' or @code='101.16795')]]) " />
    <xsl:variable name="is-shs-meds" select="$templateId-root = '1.2.36.1.2001.1001.101.100.1002.120' and          exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]) " />
    <xsl:variable name="is-meds" select="exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code = '101.16146.4.1.1' or @code = '101.16146.4.1.2' or @code='101.16146')]]) " />
    <xsl:variable name="max-code-number" select="if ($knowledge/search-for-term/max-sct-code-number/@value &gt; '5') then $knowledge/search-for-term/max-sct-code-number/@value else '5' " />
    <xsl:variable name="der-text-1" select="if ($code-present) then ''         else if ($otext-without-markup != '') then $otext-without-markup        else if ($pdname != '') then $pdname        else '' " />
    <xsl:variable name="family-err" select="matches($der-text-1, $family-regex, 'is')" />
    <xsl:variable name="der-truncated-text-1" select="normalize-space(replace(replace($der-text-1, $unicode-br-truncation-regex, '$1', 'is'), $tgi-truncation-regex, '$1', 'is')) " />
    <xsl:variable name="length-err" select="string-length($der-truncated-text-1) &gt; $length-err-max" />
    <xsl:variable name="prose-err-1" select="$length-err and cda:originalText and (        matches(cda:originalText, $ulist-regex)           or         matches(cda:originalText, $alt-ulist-1a-regex, 'is')         or         matches(cda:originalText, $alt-ulist-1b-regex, 'is')         )" />
    <xsl:variable name="prose-err" select="$prose-err-1 or (cda:originalText and (         matches(cda:originalText, $alt-ulist-2-regex, 'is')         or        matches(cda:originalText, $olist-arabic-regex, 'is')         or         matches(cda:originalText, $olist-alpha-regex, 'is')         or         matches(cda:originalText, $olist-roman-regex, 'is')         or        matches(replace(cda:originalText, $new-line-regex, codepoints-to-string((10)), 'is'), $para-regex, 'is') or        matches(cda:originalText, codepoints-to-string((8233)), 'is')        or               (cda:originalText and matches(cda:originalText, $invalid-concept-regex, 'is'))     or        ($length-err and matches(cda:originalText, '\.\s*$', 's') and matches(cda:originalText, $multi-sentence-regex, 's')) ))" />
    <xsl:variable name="avoid-ts" select="$family-err or $length-err or $prose-err or not($use-ts-for-sctau) " />
    <xsl:variable name="der-text-2a" select="if ($der-truncated-text-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-truncated-text-1, $tgi-fir-pattern-replacement, 'ic')) " />
    <xsl:variable name="der-text-2" select="if ($der-text-2a = '') then $der-text-1 else $der-text-2a " />
    <xsl:variable name="der-text-a" select="if ($der-text-2 = '' or $tgi-regex = '') then $der-text-2 else normalize-space(dh:XQueryRecursiveReplace($der-text-2, $tgi-regex, 'ic')) " />
    <xsl:variable name="der-text" select="if ($der-text-a = '') then $der-text-2 else $der-text-a " />
    <xsl:variable name="defn-valid-regex" select="concat('(^|\|)', translate($der-text-2, $chars-to-remove, ''), '(\||$)') " />
    <xsl:variable name="der-text-to-match-1" select="lower-case($der-text-2) " />
    <xsl:variable name="der-text-to-match" select="translate($der-text-to-match-1, $chars-to-remove, '') " />
    <xsl:variable name="tgi-non-value-regex" select="if ($is-immun)          then $cd-definitions/immun/@non-value-regex         else if ($is-pd)       then $cd-definitions/pd/@non-value-regex        else if ($is-shs-meds) then $cd-definitions/shs-meds/@non-value-regex        else if ($is-meds)     then $cd-definitions/meds/@non-value-regex        else '' " />
    <xsl:variable name="der-text-non-value" select="if ($code-present or @nullFlavor = $no-value-NF) then false() else         $der-text-to-match = ''             or         not(matches($der-text-to-match-1, '[a-z]', 'is'))         or        ($cd-definitions/non-value/@regex != '' and matches($der-text-to-match-1, $cd-definitions/non-value/@regex, 'is')) or        ($tgi-non-value-regex != '' and matches($der-text-to-match-1, $tgi-non-value-regex, 'is'))    " />
    <xsl:variable name="tgi-invalid-regex" select="if ($is-immun)          then $cd-definitions/immun/@invalid-regex         else if ($is-pd)       then $cd-definitions/pd/@invalid-regex        else if ($is-shs-meds) then $cd-definitions/shs-meds/@invalid-regex        else if ($is-meds)     then $cd-definitions/meds/@invalid-regex        else '' " />
    <xsl:variable name="defn-invalid-regex" select="if ($code-present or $der-text-non-value) then ()        else if ($tgi-invalid-regex != '') then tokenize($tgi-invalid-regex, '~')[. != '']         else () " />
    <xsl:variable name="defn-invalid-txt-regex" select="(for $i in (1 to count($defn-invalid-regex)) return normalize-space(substring-before($defn-invalid-regex[$i], '[[')))[. != '']" />
    <xsl:variable name="der-invalid-text-regex-1" select="if (exists($defn-invalid-txt-regex))        then index-of(for $i in (1 to count($defn-invalid-txt-regex)) return matches($der-text-2, $defn-invalid-txt-regex[$i], 'is'), true())        else () " />
    <xsl:variable name="der-invalid-text" select="exists($der-invalid-text-regex-1) " />
    <xsl:variable name="defn-invalid-rsn" select="if ($der-invalid-text)         then normalize-space(substring-before(substring-after($defn-invalid-regex[$der-invalid-text-regex-1[1]], '[['), ']]'))         else '' " />
    <xsl:variable name="trusted-code-systems" select="if ($der-text = '' or $der-invalid-text or not(@codeSystem or cda:translation/@codeSystem)) then ()        else if ($is-immun)          then (tokenize(replace($cd-definitions/immun/@core, '\s+', ''), '\|'),           tokenize(replace($cd-definitions/immun/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-pd)          then (tokenize(replace($cd-definitions/pd/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/pd/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-shs-meds)          then (tokenize(replace($cd-definitions/shs-meds/@core, '\s+', ''), '\|'),          tokenize(replace($cd-definitions/shs-meds/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-meds)          then (tokenize(replace($cd-definitions/meds/@core, '\s+', ''), '\|'),           tokenize(replace($cd-definitions/meds/@extra, '\s+', ''), '\|'))[. != '']         else () " />
    <xsl:variable name="der-trusted-text" select="if ($der-text = '' or $der-invalid-text or (@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex)))) then false()        else ((@codeSystem and exists($trusted-code-systems[. = current()/@codeSystem])) or               (cda:translation/@codeSystem and exists($trusted-code-systems[. = current()/cda:translation/@codeSystem]))) " />
    <xsl:variable name="a-vaccine-1" select="not($code-present or $der-text-non-value or $der-invalid-text) and exists($vaccine-text-normalised) and $der-text-to-match = $vaccine-text-normalised" />
    <xsl:variable name="a-sas-tgi-1" select="not($code-present or $der-text-non-value or $der-invalid-text or $a-vaccine-1) and $tgi-sas-regex != '' and matches($der-text, $tgi-sas-regex, 'is')" />
    <xsl:variable name="an-uncoded-tgi-1" select="not($code-present or $der-text-non-value or $der-invalid-text or $a-vaccine-1 or $a-sas-tgi-1) and $tgi-otheru-regex != '' and         matches($der-text, $tgi-otheru-regex, 'is')" />
    <xsl:variable name="obsolete-tgi-info-1" select="if ($is-immun or $code-present or $der-text-non-value or $der-invalid-text or $a-vaccine-1 or $a-sas-tgi-1 or $an-uncoded-tgi-1 or         not(exists($knowledge/special-tgi/obsolete))) then ()        else $knowledge/special-tgi/obsolete[matches($der-text, concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')] " />
    <xsl:variable name="an-obsolete-tgi-1" select="exists($obsolete-tgi-info-1)" />
    <xsl:variable name="tgi-valid-regex-1" select="if ($code-present or $der-text-non-value or $der-invalid-text or $der-text = '' or $a-vaccine-1 or $a-sas-tgi-1 or $an-uncoded-tgi-1 or          $an-obsolete-tgi-1) then ''        else if ($is-immun)    then $cd-definitions/immun/@valid-regex        else if ($is-pd)       then $cd-definitions/pd/@valid-regex        else if ($is-shs-meds) then $cd-definitions/shs-meds/@valid-regex        else if ($is-meds)     then $cd-definitions/meds/@valid-regex        else '' " />
    <xsl:variable name="valid-tgi-1" select="if ($a-vaccine-1 or $a-sas-tgi-1 or $an-uncoded-tgi-1 or $an-obsolete-tgi-1) then true()         else if ($tgi-valid-regex-1 = '') then false()        else exists(index-of(for $regex in (tokenize($tgi-valid-regex-1, '~')[. != '']) return          matches($der-text-2, dh:XQueryRecursiveReplace(normalize-space($regex), ' \|~|~\| ~|', ''), 'is'), true())) " />
    <xsl:variable name="invalid-hierarchy-1" select="if (exists($cd-definitions/meds/meds-invalid/hierarchy))         then string-join(for $hierarchy in $cd-definitions/meds/meds-invalid/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-refset" select="if (exists($cd-definitions/meds/meds-invalid/refset))          then string-join(for $refset in $cd-definitions/meds/meds-invalid/refset return concat('^', $refset/@code), ' OR ')         else '' " />
    <xsl:variable name="valid-refset" select="concat($tgi-formula, ' OR &lt;763158003') " />
    <xsl:variable name="valid-domain" select="if ($invalid-refset != '' and $invalid-hierarchy-1 != '')         then concat('((', $valid-refset, ') MINUS (', $invalid-refset, ' OR (', $invalid-hierarchy-1, ')))')        else if ($invalid-refset = '' and $invalid-hierarchy-1 != '') then concat('((', $valid-refset, ') MINUS (', $invalid-hierarchy-1, '))')         else if ($invalid-refset != '' and $invalid-hierarchy-1 = '') then concat('((', $valid-refset, ') MINUS (', $invalid-refset, '))')        else concat('(', $valid-refset, ')') " />
    <xsl:variable name="related-terms-1" select="if ($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-1) then ()        else ($codesystemvalues/code[@related-terms], $codesystemvalues/related-terms[@related-terms]) " />
    <xsl:variable name="related-terms-2" select="for $i in index-of(        for $concept in $related-terms-1 return matches(translate($concept/@related-terms, $chars-no-pipe, ''), $defn-valid-regex, 'is'), true())         return $related-terms-1[$i]/@code " />
    <xsl:variable name="der-tgi-codes-1" select="if (exists($related-terms-2)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($related-terms-2, ' OR '), ') AND ', $valid-domain), '', string(count($related-terms-2)), false())        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $der-tgi-codes-1 " />
    <xsl:variable name="der-valid-codes-1" select="if (contains($der-tgi-codes-1, '[')) then $der-tgi-codes-1 else '' " />
    <xsl:variable name="valid-tgi-2" select="$valid-tgi-1 or $der-valid-codes-1 != '' " />
    <xsl:variable name="tgi-inactive-refSets" select="if (exists($cd-definitions/tgi/tgi-invalid/inactive-refset))         then concat('((', $inactive-refSets, ') MINUS (',           string-join(for $refset in $cd-definitions/tgi/tgi-invalid/inactive-refset return concat('^', $refset/@code), ' OR '),          '))')         else $inactive-refSets " />
    <xsl:variable name="formula" select="concat($valid-domain, ' OR ', $tgi-inactive-refSets) " />
    <xsl:variable name="ts-not-needed" select="$der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-2 or $avoid-ts " />
    <xsl:variable name="der-tgi-codes-2-a" select="if ($ts-not-needed or exists($related-terms-2)) then ()         else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-text,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2-a" select="$error-usingTS-1 or 'Error' = $der-tgi-codes-2-a " />
    <xsl:variable name="revision-pattern-1" select="if ($ts-not-needed or $valid-tgi-2 or exists($der-tgi-codes-2-a) or $error-usingTS-2-a or exists($related-terms-2)) then ''        else $tgi-sec-pattern-replacement " />
    <xsl:variable name="der-revised-text-1" select="if ($revision-pattern-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-text, $revision-pattern-1, 'ic')) " />
    <xsl:variable name="use-revised-text-1" select="$der-revised-text-1 != '' and $der-revised-text-1 != $der-text " />
    <xsl:variable name="obsolete-tgi-info-2" select="if (exists($der-tgi-codes-2-a)) then ()        else if ($an-obsolete-tgi-1) then $obsolete-tgi-info-1        else if ($use-revised-text-1) then $knowledge/special-tgi/obsolete[matches($der-revised-text-1, concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')]        else () " />
    <xsl:variable name="an-obsolete-tgi-2" select="exists($obsolete-tgi-info-2)" />
    <xsl:variable name="der-tgi-codes-2-b" select="if ($an-obsolete-tgi-2) then ()        else if ($ts-not-needed or exists($der-tgi-codes-2-a) or not($use-revised-text-1)) then $der-tgi-codes-2-a         else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-1,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2-b" select="$error-usingTS-2-a or 'Error' = $der-tgi-codes-2-b " />
    <xsl:variable name="revision-pattern-2" select="if ($ts-not-needed or $valid-tgi-2 or exists($der-tgi-codes-2-b) or $error-usingTS-2-b or exists($related-terms-2)) then ''        else $tgi-thi-pattern-replacement " />
    <xsl:variable name="der-revised-text-2" select="if ($revision-pattern-2 = '') then '' else normalize-space(dh:XQueryRecursiveReplace(         if ($use-revised-text-1) then $der-revised-text-1 else $der-text, $revision-pattern-2, 'ic')) " />
    <xsl:variable name="use-revised-text-2" select="if ($use-revised-text-1) then $der-revised-text-2 != '' and $der-revised-text-2 != $der-revised-text-1         else $der-revised-text-2 != '' and $der-revised-text-2 != $der-text " />
    <xsl:variable name="obsolete-tgi-info-3" select="if (exists($der-tgi-codes-2-b)) then ()        else if ($an-obsolete-tgi-2) then $obsolete-tgi-info-2        else if ($use-revised-text-2) then $knowledge/special-tgi/obsolete[matches($der-revised-text-2, concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')]        else () " />
    <xsl:variable name="an-obsolete-tgi-3" select="exists($obsolete-tgi-info-3)" />
    <xsl:variable name="der-tgi-codes-2-c" select="if ($an-obsolete-tgi-3) then ()        else if ($ts-not-needed or exists($der-tgi-codes-2-b) or not($use-revised-text-2)) then $der-tgi-codes-2-b        else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-2,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2-c" select="$error-usingTS-2-b or 'Error' = $der-tgi-codes-2-c " />
    <xsl:variable name="der-tgi-codes-2-d" select="if ($an-obsolete-tgi-3 or $ts-not-needed or exists($der-tgi-codes-2-c)) then $der-tgi-codes-2-c        else iq:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula,          if ($der-revised-text-2 != '') then $der-revised-text-2          else if ($der-revised-text-1 != '') then $der-revised-text-1          else $der-text, 'default') " />
    <xsl:variable name="error-usingTS-2-d" select="$error-usingTS-2-c or 'Error' = $der-tgi-codes-2-d " />
    <xsl:variable name="der-tgi-codes-2" select="$der-tgi-codes-2-d " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-2-d " />
    <xsl:variable name="der-valid-codes-2" select="if ($der-valid-codes-1 != '') then $der-valid-codes-1        else if ($error-usingTS-2) then ''         else string-join((for $code in $der-tgi-codes-2 return if (contains($code, '~inactive')) then '' else $code)[. != ''], '|')  " />
    <xsl:variable name="valid-tgi-3" select="$valid-tgi-2 or $der-valid-codes-2 != '' " />
    <xsl:variable name="der-inactive-codes-1" select="if ($valid-tgi-3) then () else        for $code in $der-tgi-codes-2 return if (contains($code, '~inactive')) then replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is') else '' " />
    <xsl:variable name="der-inactive-codes-2" select="for $i in (1 to count($der-inactive-codes-1)) return         dh:IsCodeAssociatedWithAnotherCode($der-inactive-codes-1[$i], '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-1" select="'Error' = $der-inactive-codes-2 " />
    <xsl:variable name="der-NAF-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-NAF-active-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound~active')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-inactive-codes-3" select="tokenize(string-join(for $i in (1 to count($der-inactive-codes-1)) return replace(string-join(tokenize($der-inactive-codes-2[$i], '\|')        [matches(., '(REPLACED BY|SAME AS|ALTERNATIVE|POSSIBLY EQUIVALENT TO|MAY BE A|WAS A)')], '|'), '[0-9]+~[A-Z ]+~([0-9]+)', '$1'), '|'), '\|')        [. != ''] " />
    <xsl:variable name="der-tgi-codes-3" select="if (exists($der-inactive-codes-3)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($der-inactive-codes-3, ' OR '), ') AND ', $valid-domain), '', string(count($der-inactive-codes-3)), false())          else '' " />
    <xsl:variable name="error-usingTS-3" select="$error-usingTS-2 or 'Error' = $der-tgi-codes-3 " />
    <xsl:variable name="der-valid-codes-3" select="if ($der-valid-codes-2 != '') then $der-valid-codes-2        else if (contains($der-tgi-codes-3, '[')) then $der-tgi-codes-3        else '' " />
    <xsl:variable name="valid-tgi-4" select="$valid-tgi-3 or $der-valid-codes-3 != '' " />
    <xsl:variable name="tbd-hierarchy" select="if (exists($cd-definitions/meds/meds-tbd/hierarchy))         then string-join(for $hierarchy in $cd-definitions/meds/meds-tbd/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-hierarchy" select="if ($invalid-hierarchy-1 != '' and $tbd-hierarchy != '') then concat($invalid-hierarchy-1, ' OR ', $tbd-hierarchy)        else if ($invalid-hierarchy-1 != '') then $invalid-hierarchy-1        else if ($tbd-hierarchy != '') then $tbd-hierarchy        else '' " />
    <xsl:variable name="invalid-domain" select="if ($invalid-hierarchy != '' and $invalid-refset != '') then concat($invalid-hierarchy, ' OR ', $invalid-refset)        else if ($invalid-hierarchy != '') then $invalid-hierarchy        else if ($invalid-refset != '') then $invalid-refset        else '' " />
    <xsl:variable name="filter-text" select="if ($use-revised-text-2) then $der-revised-text-2 else if ($use-revised-text-1) then $der-revised-text-1 else $der-text " />
    <xsl:variable name="der-tgi-codes-4" select="if ($ts-not-needed or $valid-tgi-4 or $invalid-domain = '') then ()        else if (exists($related-terms-2)) then $related-terms-2        else distinct-values((tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          $invalid-domain, $filter-text, $max-code-number, false()), '(\[.*?\])(\||$)', '$2'), '\|'), $der-inactive-codes-3)) " />
    <xsl:variable name="error-usingTS-4" select="$error-usingTS-3 or 'Error' = $der-tgi-codes-4 " />
    <xsl:variable name="invalid-tgi-codes-r" select="if ($ts-not-needed or $valid-tgi-4 or $error-usingTS-4 or not(exists($der-tgi-codes-4))) then ()        else if ($invalid-refset = '') then tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-tgi-codes-4, ' OR '), ') AND (', $inactive-refSets, ')'), '',           string(count($der-tgi-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')        else tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-tgi-codes-4, ' OR '), ') AND (', $invalid-refset, ' OR ', $inactive-refSets, ')'), '',           string(count($der-tgi-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')  " />
    <xsl:variable name="error-usingTS-5" select="$error-usingTS-4 or 'Error' = $invalid-tgi-codes-r " />
    <xsl:variable name="der-tgi-codes-4-h" select="if ($error-usingTS-5) then () else $der-tgi-codes-4[not(. = $invalid-tgi-codes-r)]" />
    <xsl:variable name="invalid-tgi-codes-h" select="if ($ts-not-needed or $valid-tgi-4 or 'Error' = $der-tgi-codes-4 or $meds-invalid-hierarchy = '' or not(exists($der-tgi-codes-4-h))) then ()        else (for $code in $der-tgi-codes-4-h return          if (dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;&gt;', $code, ' MINUS ', $meds-invalid-hierarchy), '', '1', false()) = '') then $code else '')[. != ''] " />
    <xsl:variable name="invalid-tgi-codes" select="($invalid-tgi-codes-h, $invalid-tgi-codes-r) " />
    <xsl:variable name="der-tgi-codes-5" select="$der-tgi-codes-4[not(. = $invalid-tgi-codes or . = 'Error')]" />
    <xsl:variable name="der-valid-codes-4" select="if ($der-valid-codes-3 != '') then $der-valid-codes-3        else if ($ts-not-needed or $valid-tgi-4 or $valid-domain = '' or not(exists($der-tgi-codes-5))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-tgi-codes-5, ' OR '), ') AND ', $valid-domain), '', string(count($der-tgi-codes-5)), false()) " />
    <xsl:variable name="error-usingTS-6" select="$error-usingTS-5 or 'Error' = $der-valid-codes-4 " />
    <xsl:variable name="valid-tgi-5" select="$valid-tgi-4 or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="der-valid-codes-seq" select="if ($error-usingTS-6) then () else tokenize(replace($der-valid-codes-4,  '(\[.*?\])(\||$)', '$2'), '\|') " />
    <xsl:variable name="undetermined-tgi-1" select="if (exists($der-valid-codes-seq)) then $der-tgi-codes-5[not(. = $der-valid-codes-seq)] else $der-tgi-codes-5 " />
    <xsl:variable name="undetermined-inactive-1" select="for $i in (1 to count($undetermined-tgi-1)) return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $undetermined-tgi-1[$i], '', '1', false()) " />
    <xsl:variable name="error-usingTS-7" select="$error-usingTS-6 or 'Error' = $undetermined-inactive-1 " />
    <xsl:variable name="undetermined-inactive" select="(for $i in (1 to count($undetermined-tgi-1)) return         if (contains($undetermined-inactive-1[$i], '~inactive')) then $undetermined-inactive-1[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-1" select="for $i in (1 to count($undetermined-inactive))        return dh:IsCodeAssociatedWithAnotherCode(replace($undetermined-inactive[$i], '(\[.*?\])(\||$)', '$2'), '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-2" select="$error-usingV-1 or 'Error' = $undetermined-NAF-1 " />
    <xsl:variable name="undetermined-NAF" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-codes" select="for $term in $undetermined-NAF return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-NAF-active" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound~active')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-active-codes" select="for $term in $undetermined-NAF-active return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-tgi" select="$undetermined-tgi-1[not(. = ($undetermined-NAF-codes, $undetermined-NAF-active-codes))]" />
    <xsl:variable name="invalid-tgi" select="not($valid-tgi-5) and exists($invalid-tgi-codes) and not(exists($undetermined-tgi))" />
    <xsl:variable name="a-sas-tgi" select="if ($a-sas-tgi-1) then true()        else if ($a-vaccine-1 or $valid-tgi-5 or $invalid-tgi or not($use-revised-text-2) or $tgi-sas-regex = '') then false()        else matches($der-revised-text-2, $tgi-sas-regex, 'is')" />
    <xsl:variable name="an-uncoded-tgi" select="if ($an-uncoded-tgi-1) then true()        else if ($a-vaccine-1 or $valid-tgi-5 or $invalid-tgi or not($use-revised-text-2) or $tgi-otheru-regex = '' or $a-sas-tgi) then false()        else matches($der-revised-text-2, $tgi-otheru-regex, 'is')" />
    <xsl:variable name="obsolete-tgi-info" select="if ($an-obsolete-tgi-3) then $obsolete-tgi-info-3        else if ($a-vaccine-1 or $valid-tgi-5 or $invalid-tgi or not($use-revised-text-2) or not(exists($knowledge/special-tgi/obsolete)) or $a-sas-tgi or          $an-uncoded-tgi) then ()        else $knowledge/special-tgi/obsolete[matches($der-revised-text-2,          concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')] " />
    <xsl:variable name="an-obsolete-tgi" select="exists($obsolete-tgi-info)" />
    <xsl:variable name="valid-tgi-6" select="$valid-tgi-5 or $a-sas-tgi or $an-uncoded-tgi or $an-obsolete-tgi " />
    <xsl:variable name="a-vaccine-2" select="if ($a-vaccine-1) then true()        else if ($valid-tgi-6 or $invalid-tgi or not(exists($vaccine-text-normalised))) then false()        else if ($der-text != '' and translate(lower-case($der-text), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else if ($use-revised-text-1 and translate(lower-case($der-revised-text-1), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else if ($use-revised-text-2 and translate(lower-case($der-revised-text-2), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else false() " />
    <xsl:variable name="vaccine-code-test" select="if (not($a-vaccine-2 or $valid-tgi-6 or $invalid-tgi or $avoid-ts) and exists($undetermined-tgi))         then tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($undetermined-tgi, ' OR '), ') AND (&lt;71181003 OR &lt;127785005)'), '',          string(count($undetermined-tgi)), false()), '\|')        else () " />
    <xsl:variable name="error-usingTS-8" select="$error-usingTS-7 or 'Error' = $vaccine-code-test " />
    <xsl:variable name="a-vaccine" select="$a-vaccine-2 or (not('Error' = $vaccine-code-test) and exists($undetermined-tgi) and count($vaccine-code-test) = count($undetermined-tgi)) " />
    <xsl:variable name="codes-with-history" select="$der-inactive-codes-2[matches(., '[0-9]')]" />
    <xsl:variable name="hist-vers" select="if (exists($codes-with-history))        then dh:FindLastUpdatedDateForCodeUsingTS(substring-before($codes-with-history[1], '~'), '2.16.840.1.113883.6.96', $ts-latest-snomedctau)       else '' " />
    <xsl:variable name="error-usingTS-9" select="$error-usingTS-8 or 'Error' = $hist-vers " />
    <xsl:variable name="hist-vers-date" select="if (matches($hist-vers, '^(CodeFoundActive|CodeFoundInactive)\|[0-9]{8}$')) then substring-after($hist-vers, '|') else '' " />
    <xsl:variable name="inactive-concept" select="count($der-tgi-codes-2) = count($der-inactive-codes-1) and not($valid-tgi-6)" />
    <xsl:variable name="der-inactive-codes-4" select="$der-inactive-codes-3[not(contains(., 'MOVED FROM') or contains(., 'WAS A'))]" />
    <xsl:variable name="obsolete-without-date" select=" ($an-obsolete-tgi and not($obsolete-tgi-info/@last-available))   or         (exists($der-inactive-codes-3) and not(exists($der-inactive-codes-4)))  or         (exists($der-inactive-codes-4) and $hist-vers-date = '')   " />
    <xsl:variable name="obsolete-date" select="if ($is-immun) then ''        else if ($hist-vers-date != '') then $hist-vers-date        else if ($an-obsolete-tgi and $obsolete-tgi-info/@last-available) then $obsolete-tgi-info/@last-available         else '' " />
    <xsl:variable name="obsolete-yr" select="substring($obsolete-date, 1, 4) " />
    <xsl:variable name="obsolete-mn-temp" select="substring($obsolete-date, 5, 2) " />
    <xsl:variable name="obsolete-mn" select="if ($obsolete-mn-temp = '') then '06' else $obsolete-mn-temp " />
    <xsl:variable name="obsolete-dy-temp" select="substring($obsolete-date, 7, 2) " />
    <xsl:variable name="obsolete-dy" select="if ($obsolete-dy-temp = '') then '15' else $obsolete-dy-temp " />
    <xsl:variable name="obsolete-xs" select="if ($obsolete-date = '') then () else xs:date(concat($obsolete-yr, '-', $obsolete-mn, '-', $obsolete-dy)) " />
    <xsl:variable name="display-obsolete-date" select="if ($obsolete-date = '') then ''        else if ($obsolete-mn-temp = '') then $obsolete-dy        else if ($obsolete-dy-temp = '') then concat($knowledge/months/month[@number = $obsolete-mn]/@abbreviation, ' ', $obsolete-yr)        else concat($obsolete-dy, ' ', $knowledge/months/month[@number = $obsolete-mn]/@abbreviation, ' ', $obsolete-yr) " />
    <xsl:variable name="obsolete-date-diff" select="if ($obsolete-date = '' or not(matches($creation-date-xs - $obsolete-xs, '^P[0-9]+D'))) then '0'        else number(substring-before(substring-after($creation-date-xs - $obsolete-xs, 'P'), 'D')) " />
    <xsl:variable name="obsolete-yrs-ago" select="$obsolete-date-diff div 365 " />
    <xsl:variable name="coding" select="if (not($flags/@assess-class = 'true') or not($use-ts-for-sctau) or not(exists($iq-config/tgi-coding))) then () else $iq-config/tgi-coding" />
    <xsl:variable name="s-classification" select="if (exists($coding/special-classification/classification)) then $coding/special-classification/classification else () " />
    <xsl:variable name="s-number" select="count($s-classification) " />
    <xsl:variable name="s-formula" select="string-join(for $class in $s-classification return $class/@code, ' OR ')" />
    <xsl:variable name="code-to-assess" select="if (not($flags/@assess-class = 'true') or not($use-ts-for-sctau)) then '' else if (exists($der-valid-codes-seq)) then $der-valid-codes-seq[1] else '' " />
    <xsl:variable name="value-domain-1" select="if ($code-to-assess = '') then '' else dh:FindValueDomainsForCode($code-to-assess, '2.16.840.1.113883.6.96', $v-current-sctau)" />
    <xsl:variable name="class-error-1" select="$value-domain-1 = 'Error' " />
    <xsl:variable name="value-domain" select="if ($class-error-1 or $value-domain-1 = ('', 'CodeNotFound')) then ''       else if (contains($value-domain-1, '|')) then substring-before($value-domain-1, '|')       else $value-domain-1 " />
    <xsl:variable name="first-pass-1" select="if ($value-domain = '') then ''        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)'))         then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat($code-to-assess, ' . 30409011000036107'), '', '1', true())        else if ($value-domain = 'Medicinal Product Pack (MPP)')         then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat($code-to-assess, ' . 30348011000036104'), '', '1', true())        else if ($value-domain = 'Trade Product (TP)') then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&lt;', $code-to-assess), '', '1', true())        else $code-to-assess " />
    <xsl:variable name="class-error-2" select="$class-error-1 or ($value-domain != '' and $first-pass-1 = ('Error', '')) " />
    <xsl:variable name="first-pass" select="if (not($class-error-2) and $first-pass-1 != '') then replace($first-pass-1, '(\[.*?\])(\||$)', '$2') else '' " />
    <xsl:variable name="second-pass-1" select="if ($first-pass = '') then ''        else if ($value-domain = 'Trade Product Unit of Use (TPUU)')          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $code-to-assess, ' AND ^929360071000036103'), '', '1', true())        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product (TP)'))          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $first-pass, ' AND ^929360071000036103'), '', '1', true())        else if ($value-domain = 'Medicinal Product Pack (MPP)') then $first-pass        else $code-to-assess " />
    <xsl:variable name="class-error-3" select="$class-error-2 or ($first-pass != '' and $second-pass-1 = ('Error', '')) " />
    <xsl:variable name="second-pass" select="if (not($class-error-3) and $second-pass-1 != '') then replace($second-pass-1, '(\[.*?\])(\||$)', '$2') else '' " />
    <xsl:variable name="class-tp-1" select="if ($class-error-3) then ''        else if ($value-domain = 'Trade Product Unit of Use (TPUU)')          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $code-to-assess, ' AND ^929360021000036102'), '', '1', true())        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)'))          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $first-pass, ' AND ^929360021000036102'), '', '1', true())        else '' " />
    <xsl:variable name="class-tp-error" select="$class-tp-1 = 'Error' " />
    <xsl:variable name="class-tp" select="if (not($class-tp-error) and $class-tp-1 != '') then replace($class-tp-1, '^([0-9]+\[)(.*?)(\])$', '$2') else '' " />
    <xsl:variable name="third-pass-1" select="if ($second-pass = '') then ''        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product (TP)',          'Trade Product Unit of Use (TPUU)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)'))         then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;!', $second-pass, ' AND ^929360061000036106'), '', '1', false())        else $second-pass " />
    <xsl:variable name="class-error-4" select="$class-error-3 or ($second-pass != '' and $third-pass-1 = ('Error', '')) " />
    <xsl:variable name="third-pass" select="if ($class-error-4 or $third-pass-1 = '') then ''         else if (matches($third-pass-1, '^[0-9]+$')) then replace($der-valid-codes-4, '^([0-9]+\[)(.*?)(\]\|.*|\])$', '$2')        else if (matches($third-pass-1, '^[0-9]')) then replace($third-pass-1, '^([0-9]+\[)(.*?)(\])$', '$2') else '' " />
    <xsl:variable name="fourth-pass-1" select="if ($third-pass = '') then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', '&lt;373873005', $third-pass, '1', true()) " />
    <xsl:variable name="class-error-5" select="$class-error-4 or $fourth-pass-1 = 'Error' " />
    <xsl:variable name="fourth-pass" select="if (not($class-error-4) and $fourth-pass-1 != '' and matches($fourth-pass-1, '^[0-9]')) then replace($fourth-pass-1, '(\[.*?\])(\||$)', '$2') else '' " />
    <xsl:variable name="class-not-completed" select="($flags/@assess-class = 'true' and $code-to-assess = '')  or        ($code-to-assess != '' and $value-domain-1 = 'CodeNotFound') or        ($third-pass != '' and $fourth-pass = '')   " />
    <xsl:variable name="valid-class-1" select="if ($fourth-pass = '' or $s-number = 0) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND (', $s-formula, ')'), '', string($s-number), true()) " />
    <xsl:variable name="class-error-6" select="$class-error-5 or $valid-class-1 = 'Error' " />
    <xsl:variable name="valid-class-2" select="if ($valid-class-1 = '' or $class-error-6) then () else tokenize(replace($valid-class-1, '(\[.*?\])(\||$)', '$2'), '\|') " />
    <xsl:variable name="valid-class-3" select="if ($a-vaccine and exists($s-classification[@code = '71181003']/@description)) then ($s-classification[@code = '71181003']/@description)       else if ($a-vaccine and exists($s-classification[@code = '71181003']/@pterm)) then ($s-classification[@code = '71181003']/@pterm)       else for $code in $valid-class-2 return if ($coding/special-classification/classification[@code = $code]/@description)         then $coding/special-classification/classification[@code = $code]/@description         else $coding/special-classification/classification[@code = $code]/@pterm " />
    <xsl:variable name="fifth-pass" select="if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/first-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/first-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-7" select="$class-error-6 or $fifth-pass = 'Error' " />
    <xsl:variable name="sixth-pass" select="if (not($fifth-pass = '')) then $fifth-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/second-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/second-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-8" select="$class-error-7 or $sixth-pass = 'Error' " />
    <xsl:variable name="seventh-pass" select="if (not($sixth-pass = '')) then $sixth-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/third-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/third-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-9" select="$class-error-8 or $seventh-pass = 'Error' " />
    <xsl:variable name="eighth-pass" select="if (not($seventh-pass = '')) then $seventh-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/fourth-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/fourth-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-10" select="$class-error-9 or $eighth-pass = 'Error' " />
    <xsl:variable name="ninth-pass" select="if (not($eighth-pass = '')) then $eighth-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/fifth-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/fifth-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-11" select="$class-error-10 or $ninth-pass = 'Error' " />
    <xsl:variable name="valid-class" select="if (exists($valid-class-3)) then $valid-class-3        else if (not($ninth-pass = '')) then for $term in tokenize($ninth-pass, '\|') return replace($term, '^([0-9]+\[)(.*?)(\])$', '$2')       else () " />
    <xsl:variable name="codes-were-found" select="exists($der-tgi-codes-4) or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="obsolete-error" select="not($is-immun) and ($an-obsolete-tgi or $inactive-concept) and $obsolete-yrs-ago &gt; 2 " />
    <xsl:variable name="obsolete-warning" select="not($is-immun or $obsolete-error) and ($an-obsolete-tgi or $inactive-concept) and ($obsolete-yrs-ago &gt; 1 or $obsolete-without-date) " />
    <xsl:variable name="codes-not-found" select="not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-6 or $invalid-tgi or $a-vaccine) " />
    <xsl:variable name="codes-in-the-domain" select="not($valid-tgi-1) and $valid-tgi-5" />
    <xsl:variable name="codes-in-other-domain" select="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi or         $a-vaccine or $obsolete-warning) " />
    <xsl:variable name="codes-in-no-domain" select="exists($der-tgi-codes-5) " />
    <xsl:variable name="display-in-the-domain" select="if ($codes-in-the-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', '), '''')        else '' " />
    <xsl:variable name="display-in-other-r" select="if (exists($invalid-tgi-codes-r) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-tgi-codes-r return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-h" select="if (exists($invalid-tgi-codes-h) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-tgi-codes-h return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-domain" select="if (not($codes-in-other-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))) then ''        else if ($display-in-other-r and display-in-other-h) then concat('''', $display-in-other-r, ', ', $display-in-other-h, '''')        else if ($display-in-other-r) then concat('''', $display-in-other-r, '''')        else if ($display-in-other-h) then concat('''', $display-in-other-h, '''')        else '' " />
    <xsl:variable name="display-in-no-domain" select="if ($codes-in-no-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', dh:XQueryRecursiveReplace(string-join(for $code in $der-tgi-codes-5 return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), '; '),          $term-pattern-replacement, 'ic'), '''')        else '' " />
    <xsl:variable name="log-concepts-appended" select="if ($error-usingTS-9 or not($flags/@report-terminology-concepts = 'true') or $log-concepts-name = '') then ''        else if ($codes-not-found and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                   'Therapeutic Good Identification', $log-tab,                   'yes',     $log-tab,                   iq:display-CD(.),   $log-tab,                   '',     $log-tab,                  '',     $log-tab,                  '',     $log-tab,                  $ts-current-sctau   ))        else if (($use-revised-text-2 or $codes-in-no-domain) and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                  'Therapeutic Good Identification', $log-tab,                   'yes',     $log-tab,                     iq:display-CD(.),   $log-tab,                    $display-in-the-domain,   $log-tab,                  $display-in-other-domain,  $log-tab,                  $display-in-no-domain,   $log-tab,                  $ts-current-sctau   ))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if (matches($defn-invalid-rsn, 'is a container', 'is')) then $rating-container-TC-Types-57 else $rating-TC-Types-57 " />
    <!--REPORT -->
    <xsl:if test=" $log-concepts-appended = ('NOTFOUND', 'ERROR') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$log-concepts-appended = ('NOTFOUND', 'ERROR')">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): The AppendLog function returned '<xsl:text /><xsl:value-of select="$log-concepts-appended" /><xsl:text />' when requested to append the concepts log
		'<xsl:text /><xsl:value-of select="$log-concepts-name" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $flags/@assess-class = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $flags/@assess-class = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): 
		code-to-assess '<xsl:text /><xsl:value-of select="$code-to-assess" /><xsl:text />'
		value-domain '<xsl:text /><xsl:value-of select="$value-domain" /><xsl:text />'
		first-pass '<xsl:text /><xsl:value-of select="$first-pass" /><xsl:text />'
		second-pass '<xsl:text /><xsl:value-of select="$second-pass" /><xsl:text />'
		third-pass '<xsl:text /><xsl:value-of select="$third-pass" /><xsl:text />'
		fourth-pass '<xsl:text /><xsl:value-of select="$fourth-pass" /><xsl:text />'
		valid-class-1 '<xsl:text /><xsl:value-of select="$valid-class-1" /><xsl:text />'
		fifth-pass '<xsl:text /><xsl:value-of select="$fifth-pass" /><xsl:text />'
		sixth-pass '<xsl:text /><xsl:value-of select="$sixth-pass" /><xsl:text />'
		seventh-pass '<xsl:text /><xsl:value-of select="$seventh-pass" /><xsl:text />'
		eighth-pass '<xsl:text /><xsl:value-of select="$eighth-pass" /><xsl:text />'
		ninth-pass '<xsl:text /><xsl:value-of select="$ninth-pass" /><xsl:text />'

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $class-error-11 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$class-error-11">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An unexpected error occurred during the process to classify a terminology code.
		Report the information below to the Australian Digital Health Agency for investigation.
		The value domain was '<xsl:text /><xsl:value-of select="$value-domain" /><xsl:text />' and the error variable was
		<xsl:text /><xsl:value-of select="if ($class-error-1) then concat('class-error-1. The FindValueDomainsForCode function was called with code ''', $code-to-assess,     ''', codeSystem ''2.16.840.1.113883.6.96'' and codeSystemVersion ''', $v-current-sctau, ''' and returned ''', $value-domain-1, '''.')   else if ($class-error-2) then concat('class-error-2. The SearchForCodesInHierarchyUsingTS function was called with code ''', $code-to-assess,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $first-pass-1, '''.')   else if ($class-error-3) then concat('class-error-3. The SearchForCodesInHierarchyUsingTS function was called with code ''',     if ($value-domain = 'Trade Product Unit of Use (TPUU)') then $code-to-assess else $first-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $second-pass-1, '''.')   else if ($class-error-4) then concat('class-error-4. The SearchForCodesInHierarchyUsingTS function was called with code ''', $second-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $third-pass-1, '''.')   else if ($class-error-5) then concat('class-error-5. The SearchForCodesInHierarchyUsingTS function was called with code ''', $third-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $fourth-pass-1, '''.')   else if ($class-error-6) then concat('class-error-6. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $valid-class-1, '''.')   else if ($class-error-7) then concat('class-error-7. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $fifth-pass, '''.')   else if ($class-error-8) then concat('class-error-8. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $sixth-pass, '''.')   else if ($class-error-9) then concat('class-error-9. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $seventh-pass, '''.')   else if ($class-error-10) then concat('class-error-10. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $eighth-pass, '''.')   else if ($class-error-11) then concat('class-error-11. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $ninth-pass, '''.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $class-tp-error ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$class-tp-error">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An unexpected error occurred during the process to find the trade product name for a medicine.
		Report the information below to the Australian Digital Health Agency for investigation.
		The value domain was '<xsl:text /><xsl:value-of select="$value-domain" /><xsl:text />' and the error variable was class-tp-error.
		The FindValueDomainsForCode function was called with code ''', 
		if ($value-domain = 'Trade Product Unit of Use (TPUU)') then $code-to-assess else $first-pass, 
		''', codeSystem ''2.16.840.1.113883.6.96'' and codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $class-tp-1, '''.')

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-tgi-6) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-tgi-6)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An unexpected problem occurred when assessing the value of the Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. The application of regular expressions resulted in the complete loss of text.
		Report the information below to the Australian Digital Health Agency for investigation.

		der-text-1 '<xsl:text /><xsl:value-of select="normalize-space(dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'))" /><xsl:text />'.
		der-text-2a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-2a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-a, $term-pattern-replacement, 'ic')" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingV-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingV-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An error was reported when accessing the terminology server when assessing the Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		Report the issue to the Australian Digital Health Agency for investigation stating the error was recorded for error-usingV-2.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-9 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-9">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An error was reported when accessing the terminology server when assessing the Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term:
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The analysis should be retried as the terminology server may have been temporarily unavailable.
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'error-usingTS-1' else if ($error-usingTS-2-a) then 'error-usingTS-2-a'   else if ($error-usingTS-2-b) then 'error-usingTS-2-b' else if ($error-usingTS-2-c) then 'error-usingTS-2-c'   else if ($error-usingTS-2) then 'error-usingTS-2'   else if ($error-usingTS-3) then 'error-usingTS-3' else if ($error-usingTS-4) then 'error-usingTS-4'   else if ($error-usingTS-5) then 'error-usingTS-5' else if ($error-usingTS-6) then 'error-usingTS-6'   else if ($error-usingTS-7) then 'error-usingTS-7' else if ($error-usingTS-8) then 'error-usingTS-8'   else 'error-usingTS-9' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or      $valid-tgi-6 or $invalid-tgi) and not($a-vaccine and not(true())) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi) and not($a-vaccine and not(true()))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify medicines which the consumer is currently using         including self prescribed, clinician prescribed and nonprescription medicines. Note: must not be used to record vaccines. The text must         include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.6 and 6.5 of the Shared Health Summary Structured Content Specification v1.1.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the KNOWN MEDICATION section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi) and    not($a-vaccine and true()) and not($obsolete-warning) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi) and not($a-vaccine and true()) and not($obsolete-warning)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the value does not seem to be applicable for the data element.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify medicines which the consumer is currently using         including self prescribed, clinician prescribed and nonprescription medicines. Note: must not be used to record vaccines. The text must         include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.6 and 6.5 of the Shared Health Summary Structured Content Specification v1.1.)')" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $obsolete-warning ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$obsolete-warning">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the name may not be applicable for the data element.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> and the
		<xsl:text /><xsl:value-of select="if ($display-obsolete-date != '') then concat('name of the therapeutic good was last used ', $display-obsolete-date)   else if ($obsolete-tgi-info/@name) then concat('therapeutic good ''', $obsolete-tgi-info/@name, ''' was last available ', $display-obsolete-date)    else if ($obsolete-without-date) then 'name of the therapeutic good is no longer used ' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($obsolete-tgi-info/@reason) then concat(' because ', $obsolete-tgi-info/@reason, '.') else '.' " /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify medicines which the consumer is currently using         including self prescribed, clinician prescribed and nonprescription medicines. Note: must not be used to record vaccines. The text must         include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.6 and 6.5 of the Shared Health Summary Structured Content Specification v1.1.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		<xsl:text /><xsl:value-of select="$creation-date-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $obsolete-error ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$obsolete-error">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the name is not applicable for the data element.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> and the
		<xsl:text /><xsl:value-of select="if ($display-obsolete-date != '') then concat('name of the therapeutic good was last used ', $display-obsolete-date)   else if ($obsolete-tgi-info/@name) then concat('therapeutic good ''', $obsolete-tgi-info/@name, ''' was last available ', $display-obsolete-date)    else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($obsolete-tgi-info/@reason) then concat(' because ', $obsolete-tgi-info/@reason, '.') else '.' " /><xsl:text />
		That was <xsl:text /><xsl:value-of select="if (contains(string($obsolete-yrs-ago), '.')) then substring-before(string($obsolete-yrs-ago), '.') else $obsolete-yrs-ago " /><xsl:text /> years before the
		<xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify medicines which the consumer is currently using         including self prescribed, clinician prescribed and nonprescription medicines. Note: must not be used to record vaccines. The text must         include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.6 and 6.5 of the Shared Health Summary Structured Content Specification v1.1.)'))" /><xsl:text /><xsl:text /><xsl:value-of select="$creation-date-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'exclusion' = 'allowed' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'exclusion' = 'allowed' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the data element does not have a proper value. <xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify medicines which the consumer is currently using         including self prescribed, clinician prescribed and nonprescription medicines. Note: must not be used to record vaccines. The text must         include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.6 and 6.5 of the Shared Health Summary Structured Content Specification v1.1.)'))" /><xsl:text />
		The Therapeutic Good Identification data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'exclusion' = 'exclusion' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'exclusion' = 'exclusion' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify medicines which the consumer is currently using         including self prescribed, clinician prescribed and nonprescription medicines. Note: must not be used to record vaccines. The text must         include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.6 and 6.5 of the Shared Health Summary Structured Content Specification v1.1.)'))" /><xsl:text />
		The Therapeutic Good Identification data element must have a value that is consistent with this definition. Alternatively if there is no Therapeutic Good Identification data element with a proper value then an exclusion
		statement must be included to state why there is no Therapeutic Good Identification. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4')    then concat('Text such as ''', dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'), ''' may be permitted in the narrative even though the Therapeutic Good Identification data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'exclusion' = 'unknown' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'exclusion' = 'unknown' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the data element does not have a proper value. <xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify medicines which the consumer is currently using         including self prescribed, clinician prescribed and nonprescription medicines. Note: must not be used to record vaccines. The text must         include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.6 and 6.5 of the Shared Health Summary Structured Content Specification v1.1.)'))" /><xsl:text />
		The Therapeutic Good Identification data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($der-text-non-value) and $der-invalid-text ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($der-text-non-value) and $der-invalid-text">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />
		however the value is invalid. <xsl:text /><xsl:value-of select="$defn-invalid-rsn" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify medicines which the consumer is currently using         including self prescribed, clinician prescribed and nonprescription medicines. Note: must not be used to record vaccines. The text must         include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.6 and 6.5 of the Shared Health Summary Structured Content Specification v1.1.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $a-vaccine and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$a-vaccine and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />
		which identifies a vaccine. <xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify medicines which the consumer is currently using         including self prescribed, clinician prescribed and nonprescription medicines. Note: must not be used to record vaccines. The text must         include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.6 and 6.5 of the Shared Health Summary Structured Content Specification v1.1.)'))" /><xsl:text />
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the KNOWN MEDICATION section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $invalid-tgi and not($error-usingTS-9) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$invalid-tgi and not($error-usingTS-9)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
ZZZ
der-text '<xsl:text /><xsl:value-of select="$der-text" /><xsl:text />'
der-revised-text-1 '<xsl:text /><xsl:value-of select="$der-revised-text-1" /><xsl:text />'
der-revised-text-2 '<xsl:text /><xsl:value-of select="$der-revised-text-2" /><xsl:text />'
ZZZ
		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the value is invalid
		<xsl:text /><xsl:value-of select="if (exists($invalid-tgi-codes-h) or exists($invalid-tgi-codes-r)) then concat(' as it describes ',    iq:invalidityExplanationUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, $invalid-tgi-codes-h, $cd-definitions/meds/meds-invalid/hierarchy, $invalid-tgi-codes-r, $cd-definitions/meds/meds-invalid/refset), '.')   else '.' " /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify medicines which the consumer is currently using         including self prescribed, clinician prescribed and nonprescription medicines. Note: must not be used to record vaccines. The text must         include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.6 and 6.5 of the Shared Health Summary Structured Content Specification v1.1.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable outside the applicable value domain): The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. The following codes were obtained and are not in the value domain:
		<xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-TGI-Defn): The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU and no associated code was found in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists(($der-NAF-active-codes, $undetermined-NAF-active-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists(($der-NAF-active-codes, $undetermined-NAF-active-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-TGI-Defn): The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-active-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the
		'<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU but it was not found with this status in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.
		<xsl:text /><xsl:value-of select="if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and ($valid-tgi-1 or $a-vaccine-2 or (not($valid-tgi-5) and $valid-tgi-6))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and ($valid-tgi-1 or $a-vaccine-2 or (not($valid-tgi-5) and $valid-tgi-6))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable within the value domain): The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> which matches
		<xsl:text /><xsl:value-of select="if ($a-vaccine-1) then 'one of the terms listed in Knowledge.xml' else 'the vaccine information in CodeSystems.xml' " /><xsl:text /> for the Therapeutic Good Identification.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(exists($valid-class)) and $class-not-completed and not($class-tp-error or $class-error-10) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(exists($valid-class)) and $class-not-completed and not($class-tp-error or $class-error-10)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. <xsl:text /><xsl:value-of select="if ($code-to-assess = '') then 'No code could be found for the medicine.'    else if ($value-domain = '') then concat('The code ''', $code-to-assess, ''' was found to apply to the medicine by applying the terminology server using the ''', $ts-current-sctau,   ''' version of SNOMED CT-AU but the code was not found in the Validator''s database using the ''', $v-current-sctau, ''' version of SNOMED CT-AU.',   if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '')   else concat('This is a ', $value-domain,    if ($value-domain = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)')) then    concat(' (with medicinal product ''', $third-pass, ''').')    else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)'))    then concat(' (with trade product ''', $class-tp, ''').')    else '.') " /><xsl:text /> The classification of this medicine could not be completed.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists($valid-class) and not($class-tp-error or $class-error-11) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists($valid-class) and not($class-tp-error or $class-error-11)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This <xsl:text /><xsl:value-of select="if (not($value-domain = ('Containered Trade Product Pack (CTPP)',    'Trade Product Pack (TPP)', 'Trade Product (TP)', 'Trade Product Unit of Use (TPUU)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Medicinal Product (MP)')))    then '' else concat('is a ', $value-domain, ' which')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($value-domain = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)')) then concat(' (with medicinal product ''', $third-pass, ''') which')   else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)'))    then concat(' (with trade product ''', $class-tp, ''') which') else '' " /><xsl:text />
		identifies a type of <xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($valid-class, ' and '), $markup-pattern-replacement, 'ic')" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (concept is codeable within the value domain): The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> which is a valid value for the Therapeutic Good Identification.
		SNOMED CT-AU codes that matched the concept are: <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The text used to match regular expression (der-text-2) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to match non-values and vaccines (der-text-to-match) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-to-match, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to derive a code (der-text) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.

		<xsl:text /><xsl:value-of select="if ($use-revised-text-1) then concat(' A first revision of the text (der-revised-text-1) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-1, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A first revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-1 != '' and $der-revised-text-1 = '') then ' revision-pattern-1 was applied but the output (der-revised-text-1) was an empty string.' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($use-revised-text-2) then concat(' A second revision of the text (der-revised-text-2) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A second revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-2 != '' and $der-revised-text-2 = '') then ' revision-pattern-2 was applied but the output (der-revised-text-2) was an empty string.' else '' " /><xsl:text />

		The SNOMED CT-AU version used to find codes is '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' and the maximum code number is '<xsl:text /><xsl:value-of select="$max-code-number" /><xsl:text />'.

		Codes for related terms (related-terms-2): '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($related-terms-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes for related terms (der-valid-codes-1): 
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-1, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-tgi-codes-2) returned by the terminology server that match the text:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-tgi-codes-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes from related terms or the terminology server (der-valid-codes-2):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-2, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-inactive-codes-3) returned from the Validator's database associated with inactive codes:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-inactive-codes-3, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes found after examining inactive codes (der-valid-codes-3):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-3, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Members of invalid reference sets (invalid-tgi-codes-r): '<xsl:text /><xsl:value-of select="$display-in-other-r" /><xsl:text />'.
		Members of invalid code hierarchies (invalid-tgi-codes-h): '<xsl:text /><xsl:value-of select="$display-in-other-h" /><xsl:text />'.

		Final set of valid codes (der-valid-codes-4): <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.
		
		Codes whose validity has not been determined (der-tgi-codes-5): <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.
		Codes whose validity has not been determined and are inactive with no associated code (undetermined-NAF): '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(    string-join($undetermined-NAF, ''', '''), $markup-pattern-replacement, 'ic')" /><xsl:text />'.

		Result of the second vaccination code test (a-vaccine-2): '<xsl:text /><xsl:value-of select="$a-vaccine-2" /><xsl:text />'.
		Vaccine codes (vaccine-code-test):  '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($vaccine-code-test, '; '), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Overall result of the vaccination test (a-vaccine): '<xsl:text /><xsl:value-of select="$a-vaccine" /><xsl:text />'.

		Will the value of the data element be trusted (der-trusted-text)? '<xsl:text /><xsl:value-of select="$der-trusted-text" /><xsl:text />'.
		
	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and $codes-not-found">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept not codeable): The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($avoid-ts) then 'The terminology server was not used to assist with finding codes corresponding to text in the data element. ' else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $prose-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $prose-err">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> which is invalid as it is prose text.
		The Therapeutic Good Identification data element is CodeableText derived from the HL7 CD data type which by definition is to record a concept defined in an external code system, terminology or ontology.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify medicines which the consumer is currently using         including self prescribed, clinician prescribed and nonprescription medicines. Note: must not be used to record vaccines. The text must         include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.6 and 6.5 of the Shared Health Summary Structured Content Specification v1.1.)'))" /><xsl:text />
		This finding will also be reported as an error.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M479" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M479" />
  <xsl:template match="@*|node()" priority="-2" mode="M479">
    <xsl:apply-templates select="@*|*" mode="M479" />
  </xsl:template>
  <!--PATTERN p-TS-Med-CodeableText-10-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '101.16146' = $doc-sections][cda:templateId[   @root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.4']]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/cda:substanceAdministration/cda:consumable/   cda:manufacturedProduct/cda:manufacturedMaterial/cda:code[@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " priority="1000" mode="M480">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '101.16146' = $doc-sections][cda:templateId[   @root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.4']]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/cda:substanceAdministration/cda:consumable/   cda:manufacturedProduct/cda:manufacturedMaterial/cda:code[@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="pnullFlavor" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @nullFlavor) then @nullFlavor else '' " />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-p-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then false()        else if ($psnomed-id = 'amtv3' and @codeSystemVersion) then exists($v-amtv3[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($psnomed-id = 'snomedctau' and @codeSystemVersion) then exists($v-snomedctau[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false() " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and $pcode != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used to assess the primary code.') " />
    <xsl:variable name="pcode-refsets-1" select="if (@codeSystem = '2.16.840.1.113883.6.96' and not($pcode = ''))         then dh:FindValueDomainsForCode($pcode, '2.16.840.1.113883.6.96', $v-psnomed-version) else 'no-code' " />
    <xsl:variable name="pcode-found" select="not($pcode-refsets-1 = 'no-code' or $pcode-refsets-1 = 'CodeNotFound' or $pcode-refsets-1 = 'Error'        or contains($pcode-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="pcode-refsets" select="if ($pcode-found) then distinct-values(tokenize($pcode-refsets-1, '\|')) else () " />
    <xsl:variable name="pcode-special-proc" select="count($pcode-refsets) = 1 and 'Procedure Foundation (PF)' = $pcode-refsets and not($pnullFlavor = 'OTH') " />
    <xsl:variable name="pcode-refsets-msg" select="if (count($pcode-refsets) = 0) then ''         else if (count($pcode-refsets) = 1) then concat('The code is a member of the ', $pcode-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($pcode-refsets, ', '), '.') " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))         else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-1" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="snomed-trans-2" select="distinct-values(for $i in (1 to count($snomed-trans-1)) return $snomed-trans-1[$i]/@code) " />
    <xsl:variable name="snomed-trans-a" select="$snomed-trans-1[1] " />
    <xsl:variable name="tcode-a" select="if (exists($snomed-trans-a) and matches($snomed-trans-a/@code, $snomed-code-regex)) then $snomed-trans-a/@code else '' " />
    <xsl:variable name="tnullFlavor-a" select="if (exists($snomed-trans-a) and $snomed-trans-a/@nullFlavor) then $snomed-trans-a/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-a" select="if (not(exists($snomed-trans-a))) then 'not-snomed'        else if (not($snomed-trans-a/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-a/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-a" select="if (not(exists($snomed-trans-a))) then ''        else if ($tsnomed-id-a = 'amtv3' and exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-a = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-a/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-a" select="if (not(exists($snomed-trans-a))) then false()        else if ($tsnomed-id-a = 'amtv3' and $snomed-trans-a/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-a = 'snomedctau' and $snomed-trans-a/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-a-msg" select="if (not(exists($snomed-trans-a))) then ''        else if (not($snomed-trans-a/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-a, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-a = 'amtv3') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-a = 'snomedctau') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-a/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-a, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-a/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-a-refsets-1" select="if (exists($snomed-trans-a) and not($tcode-a = ''))         then dh:FindValueDomainsForCode($tcode-a, '2.16.840.1.113883.6.96', $v-tsnomed-version-a) else 'no-code' " />
    <xsl:variable name="tcode-a-found" select="not($tcode-a-refsets-1 = 'no-code' or $tcode-a-refsets-1 = 'CodeNotFound' or $tcode-a-refsets-1 = 'Error'         or contains($tcode-a-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-a-refsets" select="if ($tcode-a-found) then distinct-values(tokenize($tcode-a-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-a-special-proc" select="count($tcode-a-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-a-refsets and not($tnullFlavor-a = 'OTH') " />
    <xsl:variable name="tcode-a-refsets-msg" select="if (count($tcode-a-refsets) = 0) then ''         else if (count($tcode-a-refsets) = 1) then concat('The code is a member of the ', $tcode-a-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-a-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@code and $snomed-trans-a/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-a/@displayName, codepoints-to-string(34))         else if ($snomed-trans-a/@code and not($snomed-trans-a/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@codeSystem and $snomed-trans-a/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-a/@codeSystemName, ')')         else if ($snomed-trans-a/@codeSystem and not($snomed-trans-a/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-b" select="(for $i in (2 to count($snomed-trans-1)) return if ($snomed-trans-1[$i]/@code != $snomed-trans-a/@code) then $snomed-trans-1[$i] else ())[1] " />
    <xsl:variable name="tcode-b" select="if (exists($snomed-trans-b) and matches($snomed-trans-b/@code, $snomed-code-regex)) then $snomed-trans-b/@code else '' " />
    <xsl:variable name="tnullFlavor-b" select="if (exists($snomed-trans-b) and $snomed-trans-b/@nullFlavor) then $snomed-trans-b/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-b" select="if (not(exists($snomed-trans-b))) then 'not-snomed'        else if (not($snomed-trans-b/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-b/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-b" select="if (not(exists($snomed-trans-b))) then ''        else if ($tsnomed-id-b = 'amtv3' and exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-b = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-b/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-b" select="if (not(exists($snomed-trans-b))) then false()        else if ($tsnomed-id-b = 'amtv3' and $snomed-trans-b/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-b = 'snomedctau' and $snomed-trans-b/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-b-msg" select="if (not(exists($snomed-trans-b))) then ''        else if (not($snomed-trans-b/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-b, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-b = 'amtv3') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-b = 'snomedctau') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-b/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-b, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-b/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-b-refsets-1" select="if (exists($snomed-trans-b) and not($tcode-b = ''))         then dh:FindValueDomainsForCode($tcode-b, '2.16.840.1.113883.6.96', $v-tsnomed-version-b) else 'no-code' " />
    <xsl:variable name="tcode-b-found" select="not($tcode-b-refsets-1 = 'no-code' or $tcode-b-refsets-1 = 'CodeNotFound' or $tcode-b-refsets-1 = 'Error'         or contains($tcode-b-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-b-refsets" select="if ($tcode-b-found) then distinct-values(tokenize($tcode-b-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-b-special-proc" select="count($tcode-b-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-b-refsets and not($tnullFlavor-b = 'OTH') " />
    <xsl:variable name="tcode-b-refsets-msg" select="if (count($tcode-b-refsets) = 0) then ''         else if (count($tcode-b-refsets) = 1) then concat('The code is a member of the ', $tcode-b-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-b-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@code and $snomed-trans-b/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-b/@displayName, codepoints-to-string(34))         else if ($snomed-trans-b/@code and not($snomed-trans-b/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@codeSystem and $snomed-trans-b/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-b/@codeSystemName, ')')         else if ($snomed-trans-b/@codeSystem and not($snomed-trans-b/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-60" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-60 else $rating-alt-TC-Types-60 " />
    <!--REPORT -->
    <xsl:if test=" $pcode-found and $pcode-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pcode-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD (p-TS-CD-SCT-RefSet): An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$pcode" /><xsl:text />',
		codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-psnomed-version" /><xsl:text />'. This error occurred when assessing the Therapeutic Good Identification data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. The value is not valid for the data element as it describes a medical
		procedure and not a medical problem or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify medicines which the consumer is currently using         including self prescribed, clinician prescribed and nonprescription medicines. Note: must not be used to record vaccines. The text must         include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.10 and 6.5 of the Shared Health Summary Structured Content Specification v1.2.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the code is not a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Known Medication (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Known Medication (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Known Medication (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. Confirm if the code is a member of the value domain.
		If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Known Medication (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="count($snomed-trans-1)" /><xsl:text /> translation elements with
		codes and the SNOMED CT-AU codeSystem '2.16.840.1.113883.6.96'. The first two translation elements have been assessed to determine if the codes are members of the value domain
		and the others have not been assessed. Confirm if the value of the code attribute in all SNOMED CT translation elements meets the requirement that it be a member of the value domain
		if there is no nullFlavor 'OTH' or that there is a nullFlavor 'OTH' if the value of the code attribute is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text /> 
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Known Medication (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-a" /><xsl:text />'. This error occurred when assessing the Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify medicines which the consumer is currently using         including self prescribed, clinician prescribed and nonprescription medicines. Note: must not be used to record vaccines. The text must         include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.10 and 6.5 of the Shared Health Summary Structured Content Specification v1.2.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Known Medication (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Known Medication (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Known Medication (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Known Medication (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-b" /><xsl:text />'. This error occurred when assessing the Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> 
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify medicines which the consumer is currently using         including self prescribed, clinician prescribed and nonprescription medicines. Note: must not be used to record vaccines. The text must         include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.10 and 6.5 of the Shared Health Summary Structured Content Specification v1.2.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Known Medication (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Known Medication (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Known Medication (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Known Medication (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M480" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M480" />
  <xsl:template match="@*|node()" priority="-2" mode="M480">
    <xsl:apply-templates select="@*|*" mode="M480" />
  </xsl:template>
  <!--PATTERN p-TS-Med-CodeableText-11-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '101.16146' = $doc-sections][cda:templateId[   @root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.4']]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/cda:substanceAdministration/cda:consumable/   cda:manufacturedProduct/cda:manufacturedMaterial/cda:code[not(@code and @codeSystem and exists(index-of($defn-shs-meds-trusted, @codeSystem)))]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])][not(@nullFlavor = $no-value-NF)] " priority="1000" mode="M481">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '101.16146' = $doc-sections][cda:templateId[   @root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.4']]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/cda:substanceAdministration/cda:consumable/   cda:manufacturedProduct/cda:manufacturedMaterial/cda:code[not(@code and @codeSystem and exists(index-of($defn-shs-meds-trusted, @codeSystem)))]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])][not(@nullFlavor = $no-value-NF)] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="snomed-trans" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="tcode" select="if (exists($snomed-trans[1]) and matches($snomed-trans[1]/@code, $snomed-code-regex)) then $snomed-trans[1]/@code else '' " />
    <xsl:variable name="code-present" select="$pcode != '' or $tcode != '' " />
    <xsl:variable name="invalid-code-system" select="@code and @displayName and @codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="codesystemvalues" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']" />
    <xsl:variable name="otext-without-markup" select="if (cda:originalText and cda:originalText != '') then normalize-space(replace(cda:originalText, $markup-regex, ' ')) else '' " />
    <xsl:variable name="pdname" select="if (@displayName and not($invalid-code-system)) then normalize-space(@displayName) else '' " />
    <xsl:variable name="is-immun" select="exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='101.16638' or @code = '101.16658' or @code = '101.17039')]]) " />
    <xsl:variable name="is-pd" select="exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code = '102.16210' or @code='102.16211' or @code='101.16795')]]) " />
    <xsl:variable name="is-shs-meds" select="$templateId-root = '1.2.36.1.2001.1001.101.100.1002.120' and          exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]) " />
    <xsl:variable name="is-meds" select="exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code = '101.16146.4.1.1' or @code = '101.16146.4.1.2' or @code='101.16146')]]) " />
    <xsl:variable name="max-code-number" select="if ($knowledge/search-for-term/max-sct-code-number/@value &gt; '5') then $knowledge/search-for-term/max-sct-code-number/@value else '5' " />
    <xsl:variable name="der-text-1" select="if ($code-present) then ''         else if ($otext-without-markup != '') then $otext-without-markup        else if ($pdname != '') then $pdname        else '' " />
    <xsl:variable name="family-err" select="matches($der-text-1, $family-regex, 'is')" />
    <xsl:variable name="der-truncated-text-1" select="normalize-space(replace(replace($der-text-1, $unicode-br-truncation-regex, '$1', 'is'), $tgi-truncation-regex, '$1', 'is')) " />
    <xsl:variable name="length-err" select="string-length($der-truncated-text-1) &gt; $length-err-max" />
    <xsl:variable name="prose-err-1" select="$length-err and cda:originalText and (        matches(cda:originalText, $ulist-regex)           or         matches(cda:originalText, $alt-ulist-1a-regex, 'is')         or         matches(cda:originalText, $alt-ulist-1b-regex, 'is')         )" />
    <xsl:variable name="prose-err" select="$prose-err-1 or (cda:originalText and (         matches(cda:originalText, $alt-ulist-2-regex, 'is')         or        matches(cda:originalText, $olist-arabic-regex, 'is')         or         matches(cda:originalText, $olist-alpha-regex, 'is')         or         matches(cda:originalText, $olist-roman-regex, 'is')         or        matches(replace(cda:originalText, $new-line-regex, codepoints-to-string((10)), 'is'), $para-regex, 'is') or        matches(cda:originalText, codepoints-to-string((8233)), 'is')        or               (cda:originalText and matches(cda:originalText, $invalid-concept-regex, 'is'))     or        ($length-err and matches(cda:originalText, '\.\s*$', 's') and matches(cda:originalText, $multi-sentence-regex, 's')) ))" />
    <xsl:variable name="avoid-ts" select="$family-err or $length-err or $prose-err or not($use-ts-for-sctau) " />
    <xsl:variable name="der-text-2a" select="if ($der-truncated-text-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-truncated-text-1, $tgi-fir-pattern-replacement, 'ic')) " />
    <xsl:variable name="der-text-2" select="if ($der-text-2a = '') then $der-text-1 else $der-text-2a " />
    <xsl:variable name="der-text-a" select="if ($der-text-2 = '' or $tgi-regex = '') then $der-text-2 else normalize-space(dh:XQueryRecursiveReplace($der-text-2, $tgi-regex, 'ic')) " />
    <xsl:variable name="der-text" select="if ($der-text-a = '') then $der-text-2 else $der-text-a " />
    <xsl:variable name="defn-valid-regex" select="concat('(^|\|)', translate($der-text-2, $chars-to-remove, ''), '(\||$)') " />
    <xsl:variable name="der-text-to-match-1" select="lower-case($der-text-2) " />
    <xsl:variable name="der-text-to-match" select="translate($der-text-to-match-1, $chars-to-remove, '') " />
    <xsl:variable name="tgi-non-value-regex" select="if ($is-immun)          then $cd-definitions/immun/@non-value-regex         else if ($is-pd)       then $cd-definitions/pd/@non-value-regex        else if ($is-shs-meds) then $cd-definitions/shs-meds/@non-value-regex        else if ($is-meds)     then $cd-definitions/meds/@non-value-regex        else '' " />
    <xsl:variable name="der-text-non-value" select="if ($code-present or @nullFlavor = $no-value-NF) then false() else         $der-text-to-match = ''             or         not(matches($der-text-to-match-1, '[a-z]', 'is'))         or        ($cd-definitions/non-value/@regex != '' and matches($der-text-to-match-1, $cd-definitions/non-value/@regex, 'is')) or        ($tgi-non-value-regex != '' and matches($der-text-to-match-1, $tgi-non-value-regex, 'is'))    " />
    <xsl:variable name="tgi-invalid-regex" select="if ($is-immun)          then $cd-definitions/immun/@invalid-regex         else if ($is-pd)       then $cd-definitions/pd/@invalid-regex        else if ($is-shs-meds) then $cd-definitions/shs-meds/@invalid-regex        else if ($is-meds)     then $cd-definitions/meds/@invalid-regex        else '' " />
    <xsl:variable name="defn-invalid-regex" select="if ($code-present or $der-text-non-value) then ()        else if ($tgi-invalid-regex != '') then tokenize($tgi-invalid-regex, '~')[. != '']         else () " />
    <xsl:variable name="defn-invalid-txt-regex" select="(for $i in (1 to count($defn-invalid-regex)) return normalize-space(substring-before($defn-invalid-regex[$i], '[[')))[. != '']" />
    <xsl:variable name="der-invalid-text-regex-1" select="if (exists($defn-invalid-txt-regex))        then index-of(for $i in (1 to count($defn-invalid-txt-regex)) return matches($der-text-2, $defn-invalid-txt-regex[$i], 'is'), true())        else () " />
    <xsl:variable name="der-invalid-text" select="exists($der-invalid-text-regex-1) " />
    <xsl:variable name="defn-invalid-rsn" select="if ($der-invalid-text)         then normalize-space(substring-before(substring-after($defn-invalid-regex[$der-invalid-text-regex-1[1]], '[['), ']]'))         else '' " />
    <xsl:variable name="trusted-code-systems" select="if ($der-text = '' or $der-invalid-text or not(@codeSystem or cda:translation/@codeSystem)) then ()        else if ($is-immun)          then (tokenize(replace($cd-definitions/immun/@core, '\s+', ''), '\|'),           tokenize(replace($cd-definitions/immun/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-pd)          then (tokenize(replace($cd-definitions/pd/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/pd/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-shs-meds)          then (tokenize(replace($cd-definitions/shs-meds/@core, '\s+', ''), '\|'),          tokenize(replace($cd-definitions/shs-meds/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-meds)          then (tokenize(replace($cd-definitions/meds/@core, '\s+', ''), '\|'),           tokenize(replace($cd-definitions/meds/@extra, '\s+', ''), '\|'))[. != '']         else () " />
    <xsl:variable name="der-trusted-text" select="if ($der-text = '' or $der-invalid-text or (@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex)))) then false()        else ((@codeSystem and exists($trusted-code-systems[. = current()/@codeSystem])) or               (cda:translation/@codeSystem and exists($trusted-code-systems[. = current()/cda:translation/@codeSystem]))) " />
    <xsl:variable name="a-vaccine-1" select="not($code-present or $der-text-non-value or $der-invalid-text) and exists($vaccine-text-normalised) and $der-text-to-match = $vaccine-text-normalised" />
    <xsl:variable name="a-sas-tgi-1" select="not($code-present or $der-text-non-value or $der-invalid-text or $a-vaccine-1) and $tgi-sas-regex != '' and matches($der-text, $tgi-sas-regex, 'is')" />
    <xsl:variable name="an-uncoded-tgi-1" select="not($code-present or $der-text-non-value or $der-invalid-text or $a-vaccine-1 or $a-sas-tgi-1) and $tgi-otheru-regex != '' and         matches($der-text, $tgi-otheru-regex, 'is')" />
    <xsl:variable name="obsolete-tgi-info-1" select="if ($is-immun or $code-present or $der-text-non-value or $der-invalid-text or $a-vaccine-1 or $a-sas-tgi-1 or $an-uncoded-tgi-1 or         not(exists($knowledge/special-tgi/obsolete))) then ()        else $knowledge/special-tgi/obsolete[matches($der-text, concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')] " />
    <xsl:variable name="an-obsolete-tgi-1" select="exists($obsolete-tgi-info-1)" />
    <xsl:variable name="tgi-valid-regex-1" select="if ($code-present or $der-text-non-value or $der-invalid-text or $der-text = '' or $a-vaccine-1 or $a-sas-tgi-1 or $an-uncoded-tgi-1 or          $an-obsolete-tgi-1) then ''        else if ($is-immun)    then $cd-definitions/immun/@valid-regex        else if ($is-pd)       then $cd-definitions/pd/@valid-regex        else if ($is-shs-meds) then $cd-definitions/shs-meds/@valid-regex        else if ($is-meds)     then $cd-definitions/meds/@valid-regex        else '' " />
    <xsl:variable name="valid-tgi-1" select="if ($a-vaccine-1 or $a-sas-tgi-1 or $an-uncoded-tgi-1 or $an-obsolete-tgi-1) then true()         else if ($tgi-valid-regex-1 = '') then false()        else exists(index-of(for $regex in (tokenize($tgi-valid-regex-1, '~')[. != '']) return          matches($der-text-2, dh:XQueryRecursiveReplace(normalize-space($regex), ' \|~|~\| ~|', ''), 'is'), true())) " />
    <xsl:variable name="invalid-hierarchy-1" select="if (exists($cd-definitions/meds/meds-invalid/hierarchy))         then string-join(for $hierarchy in $cd-definitions/meds/meds-invalid/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-refset" select="if (exists($cd-definitions/meds/meds-invalid/refset))          then string-join(for $refset in $cd-definitions/meds/meds-invalid/refset return concat('^', $refset/@code), ' OR ')         else '' " />
    <xsl:variable name="valid-refset" select="concat($tgi-formula, ' OR &lt;763158003') " />
    <xsl:variable name="valid-domain" select="if ($invalid-refset != '' and $invalid-hierarchy-1 != '')         then concat('((', $valid-refset, ') MINUS (', $invalid-refset, ' OR (', $invalid-hierarchy-1, ')))')        else if ($invalid-refset = '' and $invalid-hierarchy-1 != '') then concat('((', $valid-refset, ') MINUS (', $invalid-hierarchy-1, '))')         else if ($invalid-refset != '' and $invalid-hierarchy-1 = '') then concat('((', $valid-refset, ') MINUS (', $invalid-refset, '))')        else concat('(', $valid-refset, ')') " />
    <xsl:variable name="related-terms-1" select="if ($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-1) then ()        else ($codesystemvalues/code[@related-terms], $codesystemvalues/related-terms[@related-terms]) " />
    <xsl:variable name="related-terms-2" select="for $i in index-of(        for $concept in $related-terms-1 return matches(translate($concept/@related-terms, $chars-no-pipe, ''), $defn-valid-regex, 'is'), true())         return $related-terms-1[$i]/@code " />
    <xsl:variable name="der-tgi-codes-1" select="if (exists($related-terms-2)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($related-terms-2, ' OR '), ') AND ', $valid-domain), '', string(count($related-terms-2)), false())        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $der-tgi-codes-1 " />
    <xsl:variable name="der-valid-codes-1" select="if (contains($der-tgi-codes-1, '[')) then $der-tgi-codes-1 else '' " />
    <xsl:variable name="valid-tgi-2" select="$valid-tgi-1 or $der-valid-codes-1 != '' " />
    <xsl:variable name="tgi-inactive-refSets" select="if (exists($cd-definitions/tgi/tgi-invalid/inactive-refset))         then concat('((', $inactive-refSets, ') MINUS (',           string-join(for $refset in $cd-definitions/tgi/tgi-invalid/inactive-refset return concat('^', $refset/@code), ' OR '),          '))')         else $inactive-refSets " />
    <xsl:variable name="formula" select="concat($valid-domain, ' OR ', $tgi-inactive-refSets) " />
    <xsl:variable name="ts-not-needed" select="$der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-2 or $avoid-ts " />
    <xsl:variable name="der-tgi-codes-2-a" select="if ($ts-not-needed or exists($related-terms-2)) then ()         else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-text,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2-a" select="$error-usingTS-1 or 'Error' = $der-tgi-codes-2-a " />
    <xsl:variable name="revision-pattern-1" select="if ($ts-not-needed or $valid-tgi-2 or exists($der-tgi-codes-2-a) or $error-usingTS-2-a or exists($related-terms-2)) then ''        else $tgi-sec-pattern-replacement " />
    <xsl:variable name="der-revised-text-1" select="if ($revision-pattern-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-text, $revision-pattern-1, 'ic')) " />
    <xsl:variable name="use-revised-text-1" select="$der-revised-text-1 != '' and $der-revised-text-1 != $der-text " />
    <xsl:variable name="obsolete-tgi-info-2" select="if (exists($der-tgi-codes-2-a)) then ()        else if ($an-obsolete-tgi-1) then $obsolete-tgi-info-1        else if ($use-revised-text-1) then $knowledge/special-tgi/obsolete[matches($der-revised-text-1, concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')]        else () " />
    <xsl:variable name="an-obsolete-tgi-2" select="exists($obsolete-tgi-info-2)" />
    <xsl:variable name="der-tgi-codes-2-b" select="if ($an-obsolete-tgi-2) then ()        else if ($ts-not-needed or exists($der-tgi-codes-2-a) or not($use-revised-text-1)) then $der-tgi-codes-2-a         else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-1,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2-b" select="$error-usingTS-2-a or 'Error' = $der-tgi-codes-2-b " />
    <xsl:variable name="revision-pattern-2" select="if ($ts-not-needed or $valid-tgi-2 or exists($der-tgi-codes-2-b) or $error-usingTS-2-b or exists($related-terms-2)) then ''        else $tgi-thi-pattern-replacement " />
    <xsl:variable name="der-revised-text-2" select="if ($revision-pattern-2 = '') then '' else normalize-space(dh:XQueryRecursiveReplace(         if ($use-revised-text-1) then $der-revised-text-1 else $der-text, $revision-pattern-2, 'ic')) " />
    <xsl:variable name="use-revised-text-2" select="if ($use-revised-text-1) then $der-revised-text-2 != '' and $der-revised-text-2 != $der-revised-text-1         else $der-revised-text-2 != '' and $der-revised-text-2 != $der-text " />
    <xsl:variable name="obsolete-tgi-info-3" select="if (exists($der-tgi-codes-2-b)) then ()        else if ($an-obsolete-tgi-2) then $obsolete-tgi-info-2        else if ($use-revised-text-2) then $knowledge/special-tgi/obsolete[matches($der-revised-text-2, concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')]        else () " />
    <xsl:variable name="an-obsolete-tgi-3" select="exists($obsolete-tgi-info-3)" />
    <xsl:variable name="der-tgi-codes-2-c" select="if ($an-obsolete-tgi-3) then ()        else if ($ts-not-needed or exists($der-tgi-codes-2-b) or not($use-revised-text-2)) then $der-tgi-codes-2-b        else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-2,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2-c" select="$error-usingTS-2-b or 'Error' = $der-tgi-codes-2-c " />
    <xsl:variable name="der-tgi-codes-2-d" select="if ($an-obsolete-tgi-3 or $ts-not-needed or exists($der-tgi-codes-2-c)) then $der-tgi-codes-2-c        else iq:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula,          if ($der-revised-text-2 != '') then $der-revised-text-2          else if ($der-revised-text-1 != '') then $der-revised-text-1          else $der-text, 'default') " />
    <xsl:variable name="error-usingTS-2-d" select="$error-usingTS-2-c or 'Error' = $der-tgi-codes-2-d " />
    <xsl:variable name="der-tgi-codes-2" select="$der-tgi-codes-2-d " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-2-d " />
    <xsl:variable name="der-valid-codes-2" select="if ($der-valid-codes-1 != '') then $der-valid-codes-1        else if ($error-usingTS-2) then ''         else string-join((for $code in $der-tgi-codes-2 return if (contains($code, '~inactive')) then '' else $code)[. != ''], '|')  " />
    <xsl:variable name="valid-tgi-3" select="$valid-tgi-2 or $der-valid-codes-2 != '' " />
    <xsl:variable name="der-inactive-codes-1" select="if ($valid-tgi-3) then () else        for $code in $der-tgi-codes-2 return if (contains($code, '~inactive')) then replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is') else '' " />
    <xsl:variable name="der-inactive-codes-2" select="for $i in (1 to count($der-inactive-codes-1)) return         dh:IsCodeAssociatedWithAnotherCode($der-inactive-codes-1[$i], '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-1" select="'Error' = $der-inactive-codes-2 " />
    <xsl:variable name="der-NAF-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-NAF-active-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound~active')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-inactive-codes-3" select="tokenize(string-join(for $i in (1 to count($der-inactive-codes-1)) return replace(string-join(tokenize($der-inactive-codes-2[$i], '\|')        [matches(., '(REPLACED BY|SAME AS|ALTERNATIVE|POSSIBLY EQUIVALENT TO|MAY BE A|WAS A)')], '|'), '[0-9]+~[A-Z ]+~([0-9]+)', '$1'), '|'), '\|')        [. != ''] " />
    <xsl:variable name="der-tgi-codes-3" select="if (exists($der-inactive-codes-3)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($der-inactive-codes-3, ' OR '), ') AND ', $valid-domain), '', string(count($der-inactive-codes-3)), false())          else '' " />
    <xsl:variable name="error-usingTS-3" select="$error-usingTS-2 or 'Error' = $der-tgi-codes-3 " />
    <xsl:variable name="der-valid-codes-3" select="if ($der-valid-codes-2 != '') then $der-valid-codes-2        else if (contains($der-tgi-codes-3, '[')) then $der-tgi-codes-3        else '' " />
    <xsl:variable name="valid-tgi-4" select="$valid-tgi-3 or $der-valid-codes-3 != '' " />
    <xsl:variable name="tbd-hierarchy" select="if (exists($cd-definitions/meds/meds-tbd/hierarchy))         then string-join(for $hierarchy in $cd-definitions/meds/meds-tbd/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-hierarchy" select="if ($invalid-hierarchy-1 != '' and $tbd-hierarchy != '') then concat($invalid-hierarchy-1, ' OR ', $tbd-hierarchy)        else if ($invalid-hierarchy-1 != '') then $invalid-hierarchy-1        else if ($tbd-hierarchy != '') then $tbd-hierarchy        else '' " />
    <xsl:variable name="invalid-domain" select="if ($invalid-hierarchy != '' and $invalid-refset != '') then concat($invalid-hierarchy, ' OR ', $invalid-refset)        else if ($invalid-hierarchy != '') then $invalid-hierarchy        else if ($invalid-refset != '') then $invalid-refset        else '' " />
    <xsl:variable name="filter-text" select="if ($use-revised-text-2) then $der-revised-text-2 else if ($use-revised-text-1) then $der-revised-text-1 else $der-text " />
    <xsl:variable name="der-tgi-codes-4" select="if ($ts-not-needed or $valid-tgi-4 or $invalid-domain = '') then ()        else if (exists($related-terms-2)) then $related-terms-2        else distinct-values((tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          $invalid-domain, $filter-text, $max-code-number, false()), '(\[.*?\])(\||$)', '$2'), '\|'), $der-inactive-codes-3)) " />
    <xsl:variable name="error-usingTS-4" select="$error-usingTS-3 or 'Error' = $der-tgi-codes-4 " />
    <xsl:variable name="invalid-tgi-codes-r" select="if ($ts-not-needed or $valid-tgi-4 or $error-usingTS-4 or not(exists($der-tgi-codes-4))) then ()        else if ($invalid-refset = '') then tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-tgi-codes-4, ' OR '), ') AND (', $inactive-refSets, ')'), '',           string(count($der-tgi-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')        else tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-tgi-codes-4, ' OR '), ') AND (', $invalid-refset, ' OR ', $inactive-refSets, ')'), '',           string(count($der-tgi-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')  " />
    <xsl:variable name="error-usingTS-5" select="$error-usingTS-4 or 'Error' = $invalid-tgi-codes-r " />
    <xsl:variable name="der-tgi-codes-4-h" select="if ($error-usingTS-5) then () else $der-tgi-codes-4[not(. = $invalid-tgi-codes-r)]" />
    <xsl:variable name="invalid-tgi-codes-h" select="if ($ts-not-needed or $valid-tgi-4 or 'Error' = $der-tgi-codes-4 or $meds-invalid-hierarchy = '' or not(exists($der-tgi-codes-4-h))) then ()        else (for $code in $der-tgi-codes-4-h return          if (dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;&gt;', $code, ' MINUS ', $meds-invalid-hierarchy), '', '1', false()) = '') then $code else '')[. != ''] " />
    <xsl:variable name="invalid-tgi-codes" select="($invalid-tgi-codes-h, $invalid-tgi-codes-r) " />
    <xsl:variable name="der-tgi-codes-5" select="$der-tgi-codes-4[not(. = $invalid-tgi-codes or . = 'Error')]" />
    <xsl:variable name="der-valid-codes-4" select="if ($der-valid-codes-3 != '') then $der-valid-codes-3        else if ($ts-not-needed or $valid-tgi-4 or $valid-domain = '' or not(exists($der-tgi-codes-5))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-tgi-codes-5, ' OR '), ') AND ', $valid-domain), '', string(count($der-tgi-codes-5)), false()) " />
    <xsl:variable name="error-usingTS-6" select="$error-usingTS-5 or 'Error' = $der-valid-codes-4 " />
    <xsl:variable name="valid-tgi-5" select="$valid-tgi-4 or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="der-valid-codes-seq" select="if ($error-usingTS-6) then () else tokenize(replace($der-valid-codes-4,  '(\[.*?\])(\||$)', '$2'), '\|') " />
    <xsl:variable name="undetermined-tgi-1" select="if (exists($der-valid-codes-seq)) then $der-tgi-codes-5[not(. = $der-valid-codes-seq)] else $der-tgi-codes-5 " />
    <xsl:variable name="undetermined-inactive-1" select="for $i in (1 to count($undetermined-tgi-1)) return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $undetermined-tgi-1[$i], '', '1', false()) " />
    <xsl:variable name="error-usingTS-7" select="$error-usingTS-6 or 'Error' = $undetermined-inactive-1 " />
    <xsl:variable name="undetermined-inactive" select="(for $i in (1 to count($undetermined-tgi-1)) return         if (contains($undetermined-inactive-1[$i], '~inactive')) then $undetermined-inactive-1[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-1" select="for $i in (1 to count($undetermined-inactive))        return dh:IsCodeAssociatedWithAnotherCode(replace($undetermined-inactive[$i], '(\[.*?\])(\||$)', '$2'), '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-2" select="$error-usingV-1 or 'Error' = $undetermined-NAF-1 " />
    <xsl:variable name="undetermined-NAF" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-codes" select="for $term in $undetermined-NAF return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-NAF-active" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound~active')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-active-codes" select="for $term in $undetermined-NAF-active return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-tgi" select="$undetermined-tgi-1[not(. = ($undetermined-NAF-codes, $undetermined-NAF-active-codes))]" />
    <xsl:variable name="invalid-tgi" select="not($valid-tgi-5) and exists($invalid-tgi-codes) and not(exists($undetermined-tgi))" />
    <xsl:variable name="a-sas-tgi" select="if ($a-sas-tgi-1) then true()        else if ($a-vaccine-1 or $valid-tgi-5 or $invalid-tgi or not($use-revised-text-2) or $tgi-sas-regex = '') then false()        else matches($der-revised-text-2, $tgi-sas-regex, 'is')" />
    <xsl:variable name="an-uncoded-tgi" select="if ($an-uncoded-tgi-1) then true()        else if ($a-vaccine-1 or $valid-tgi-5 or $invalid-tgi or not($use-revised-text-2) or $tgi-otheru-regex = '' or $a-sas-tgi) then false()        else matches($der-revised-text-2, $tgi-otheru-regex, 'is')" />
    <xsl:variable name="obsolete-tgi-info" select="if ($an-obsolete-tgi-3) then $obsolete-tgi-info-3        else if ($a-vaccine-1 or $valid-tgi-5 or $invalid-tgi or not($use-revised-text-2) or not(exists($knowledge/special-tgi/obsolete)) or $a-sas-tgi or          $an-uncoded-tgi) then ()        else $knowledge/special-tgi/obsolete[matches($der-revised-text-2,          concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')] " />
    <xsl:variable name="an-obsolete-tgi" select="exists($obsolete-tgi-info)" />
    <xsl:variable name="valid-tgi-6" select="$valid-tgi-5 or $a-sas-tgi or $an-uncoded-tgi or $an-obsolete-tgi " />
    <xsl:variable name="a-vaccine-2" select="if ($a-vaccine-1) then true()        else if ($valid-tgi-6 or $invalid-tgi or not(exists($vaccine-text-normalised))) then false()        else if ($der-text != '' and translate(lower-case($der-text), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else if ($use-revised-text-1 and translate(lower-case($der-revised-text-1), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else if ($use-revised-text-2 and translate(lower-case($der-revised-text-2), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else false() " />
    <xsl:variable name="vaccine-code-test" select="if (not($a-vaccine-2 or $valid-tgi-6 or $invalid-tgi or $avoid-ts) and exists($undetermined-tgi))         then tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($undetermined-tgi, ' OR '), ') AND (&lt;71181003 OR &lt;127785005)'), '',          string(count($undetermined-tgi)), false()), '\|')        else () " />
    <xsl:variable name="error-usingTS-8" select="$error-usingTS-7 or 'Error' = $vaccine-code-test " />
    <xsl:variable name="a-vaccine" select="$a-vaccine-2 or (not('Error' = $vaccine-code-test) and exists($undetermined-tgi) and count($vaccine-code-test) = count($undetermined-tgi)) " />
    <xsl:variable name="codes-with-history" select="$der-inactive-codes-2[matches(., '[0-9]')]" />
    <xsl:variable name="hist-vers" select="if (exists($codes-with-history))        then dh:FindLastUpdatedDateForCodeUsingTS(substring-before($codes-with-history[1], '~'), '2.16.840.1.113883.6.96', $ts-latest-snomedctau)       else '' " />
    <xsl:variable name="error-usingTS-9" select="$error-usingTS-8 or 'Error' = $hist-vers " />
    <xsl:variable name="hist-vers-date" select="if (matches($hist-vers, '^(CodeFoundActive|CodeFoundInactive)\|[0-9]{8}$')) then substring-after($hist-vers, '|') else '' " />
    <xsl:variable name="inactive-concept" select="count($der-tgi-codes-2) = count($der-inactive-codes-1) and not($valid-tgi-6)" />
    <xsl:variable name="der-inactive-codes-4" select="$der-inactive-codes-3[not(contains(., 'MOVED FROM') or contains(., 'WAS A'))]" />
    <xsl:variable name="obsolete-without-date" select=" ($an-obsolete-tgi and not($obsolete-tgi-info/@last-available))   or         (exists($der-inactive-codes-3) and not(exists($der-inactive-codes-4)))  or         (exists($der-inactive-codes-4) and $hist-vers-date = '')   " />
    <xsl:variable name="obsolete-date" select="if ($is-immun) then ''        else if ($hist-vers-date != '') then $hist-vers-date        else if ($an-obsolete-tgi and $obsolete-tgi-info/@last-available) then $obsolete-tgi-info/@last-available         else '' " />
    <xsl:variable name="obsolete-yr" select="substring($obsolete-date, 1, 4) " />
    <xsl:variable name="obsolete-mn-temp" select="substring($obsolete-date, 5, 2) " />
    <xsl:variable name="obsolete-mn" select="if ($obsolete-mn-temp = '') then '06' else $obsolete-mn-temp " />
    <xsl:variable name="obsolete-dy-temp" select="substring($obsolete-date, 7, 2) " />
    <xsl:variable name="obsolete-dy" select="if ($obsolete-dy-temp = '') then '15' else $obsolete-dy-temp " />
    <xsl:variable name="obsolete-xs" select="if ($obsolete-date = '') then () else xs:date(concat($obsolete-yr, '-', $obsolete-mn, '-', $obsolete-dy)) " />
    <xsl:variable name="display-obsolete-date" select="if ($obsolete-date = '') then ''        else if ($obsolete-mn-temp = '') then $obsolete-dy        else if ($obsolete-dy-temp = '') then concat($knowledge/months/month[@number = $obsolete-mn]/@abbreviation, ' ', $obsolete-yr)        else concat($obsolete-dy, ' ', $knowledge/months/month[@number = $obsolete-mn]/@abbreviation, ' ', $obsolete-yr) " />
    <xsl:variable name="obsolete-date-diff" select="if ($obsolete-date = '' or not(matches($creation-date-xs - $obsolete-xs, '^P[0-9]+D'))) then '0'        else number(substring-before(substring-after($creation-date-xs - $obsolete-xs, 'P'), 'D')) " />
    <xsl:variable name="obsolete-yrs-ago" select="$obsolete-date-diff div 365 " />
    <xsl:variable name="coding" select="if (not($flags/@assess-class = 'true') or not($use-ts-for-sctau) or not(exists($iq-config/tgi-coding))) then () else $iq-config/tgi-coding" />
    <xsl:variable name="s-classification" select="if (exists($coding/special-classification/classification)) then $coding/special-classification/classification else () " />
    <xsl:variable name="s-number" select="count($s-classification) " />
    <xsl:variable name="s-formula" select="string-join(for $class in $s-classification return $class/@code, ' OR ')" />
    <xsl:variable name="code-to-assess" select="if (not($flags/@assess-class = 'true') or not($use-ts-for-sctau)) then '' else if (exists($der-valid-codes-seq)) then $der-valid-codes-seq[1] else '' " />
    <xsl:variable name="value-domain-1" select="if ($code-to-assess = '') then '' else dh:FindValueDomainsForCode($code-to-assess, '2.16.840.1.113883.6.96', $v-current-sctau)" />
    <xsl:variable name="class-error-1" select="$value-domain-1 = 'Error' " />
    <xsl:variable name="value-domain" select="if ($class-error-1 or $value-domain-1 = ('', 'CodeNotFound')) then ''       else if (contains($value-domain-1, '|')) then substring-before($value-domain-1, '|')       else $value-domain-1 " />
    <xsl:variable name="first-pass-1" select="if ($value-domain = '') then ''        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)'))         then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat($code-to-assess, ' . 30409011000036107'), '', '1', true())        else if ($value-domain = 'Medicinal Product Pack (MPP)')         then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat($code-to-assess, ' . 30348011000036104'), '', '1', true())        else if ($value-domain = 'Trade Product (TP)') then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&lt;', $code-to-assess), '', '1', true())        else $code-to-assess " />
    <xsl:variable name="class-error-2" select="$class-error-1 or ($value-domain != '' and $first-pass-1 = ('Error', '')) " />
    <xsl:variable name="first-pass" select="if (not($class-error-2) and $first-pass-1 != '') then replace($first-pass-1, '(\[.*?\])(\||$)', '$2') else '' " />
    <xsl:variable name="second-pass-1" select="if ($first-pass = '') then ''        else if ($value-domain = 'Trade Product Unit of Use (TPUU)')          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $code-to-assess, ' AND ^929360071000036103'), '', '1', true())        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product (TP)'))          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $first-pass, ' AND ^929360071000036103'), '', '1', true())        else if ($value-domain = 'Medicinal Product Pack (MPP)') then $first-pass        else $code-to-assess " />
    <xsl:variable name="class-error-3" select="$class-error-2 or ($first-pass != '' and $second-pass-1 = ('Error', '')) " />
    <xsl:variable name="second-pass" select="if (not($class-error-3) and $second-pass-1 != '') then replace($second-pass-1, '(\[.*?\])(\||$)', '$2') else '' " />
    <xsl:variable name="class-tp-1" select="if ($class-error-3) then ''        else if ($value-domain = 'Trade Product Unit of Use (TPUU)')          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $code-to-assess, ' AND ^929360021000036102'), '', '1', true())        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)'))          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $first-pass, ' AND ^929360021000036102'), '', '1', true())        else '' " />
    <xsl:variable name="class-tp-error" select="$class-tp-1 = 'Error' " />
    <xsl:variable name="class-tp" select="if (not($class-tp-error) and $class-tp-1 != '') then replace($class-tp-1, '^([0-9]+\[)(.*?)(\])$', '$2') else '' " />
    <xsl:variable name="third-pass-1" select="if ($second-pass = '') then ''        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product (TP)',          'Trade Product Unit of Use (TPUU)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)'))         then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;!', $second-pass, ' AND ^929360061000036106'), '', '1', false())        else $second-pass " />
    <xsl:variable name="class-error-4" select="$class-error-3 or ($second-pass != '' and $third-pass-1 = ('Error', '')) " />
    <xsl:variable name="third-pass" select="if ($class-error-4 or $third-pass-1 = '') then ''         else if (matches($third-pass-1, '^[0-9]+$')) then replace($der-valid-codes-4, '^([0-9]+\[)(.*?)(\]\|.*|\])$', '$2')        else if (matches($third-pass-1, '^[0-9]')) then replace($third-pass-1, '^([0-9]+\[)(.*?)(\])$', '$2') else '' " />
    <xsl:variable name="fourth-pass-1" select="if ($third-pass = '') then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', '&lt;373873005', $third-pass, '1', true()) " />
    <xsl:variable name="class-error-5" select="$class-error-4 or $fourth-pass-1 = 'Error' " />
    <xsl:variable name="fourth-pass" select="if (not($class-error-4) and $fourth-pass-1 != '' and matches($fourth-pass-1, '^[0-9]')) then replace($fourth-pass-1, '(\[.*?\])(\||$)', '$2') else '' " />
    <xsl:variable name="class-not-completed" select="($flags/@assess-class = 'true' and $code-to-assess = '')  or        ($code-to-assess != '' and $value-domain-1 = 'CodeNotFound') or        ($third-pass != '' and $fourth-pass = '')   " />
    <xsl:variable name="valid-class-1" select="if ($fourth-pass = '' or $s-number = 0) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND (', $s-formula, ')'), '', string($s-number), true()) " />
    <xsl:variable name="class-error-6" select="$class-error-5 or $valid-class-1 = 'Error' " />
    <xsl:variable name="valid-class-2" select="if ($valid-class-1 = '' or $class-error-6) then () else tokenize(replace($valid-class-1, '(\[.*?\])(\||$)', '$2'), '\|') " />
    <xsl:variable name="valid-class-3" select="if ($a-vaccine and exists($s-classification[@code = '71181003']/@description)) then ($s-classification[@code = '71181003']/@description)       else if ($a-vaccine and exists($s-classification[@code = '71181003']/@pterm)) then ($s-classification[@code = '71181003']/@pterm)       else for $code in $valid-class-2 return if ($coding/special-classification/classification[@code = $code]/@description)         then $coding/special-classification/classification[@code = $code]/@description         else $coding/special-classification/classification[@code = $code]/@pterm " />
    <xsl:variable name="fifth-pass" select="if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/first-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/first-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-7" select="$class-error-6 or $fifth-pass = 'Error' " />
    <xsl:variable name="sixth-pass" select="if (not($fifth-pass = '')) then $fifth-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/second-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/second-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-8" select="$class-error-7 or $sixth-pass = 'Error' " />
    <xsl:variable name="seventh-pass" select="if (not($sixth-pass = '')) then $sixth-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/third-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/third-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-9" select="$class-error-8 or $seventh-pass = 'Error' " />
    <xsl:variable name="eighth-pass" select="if (not($seventh-pass = '')) then $seventh-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/fourth-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/fourth-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-10" select="$class-error-9 or $eighth-pass = 'Error' " />
    <xsl:variable name="ninth-pass" select="if (not($eighth-pass = '')) then $eighth-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/fifth-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/fifth-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-11" select="$class-error-10 or $ninth-pass = 'Error' " />
    <xsl:variable name="valid-class" select="if (exists($valid-class-3)) then $valid-class-3        else if (not($ninth-pass = '')) then for $term in tokenize($ninth-pass, '\|') return replace($term, '^([0-9]+\[)(.*?)(\])$', '$2')       else () " />
    <xsl:variable name="codes-were-found" select="exists($der-tgi-codes-4) or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="obsolete-error" select="not($is-immun) and ($an-obsolete-tgi or $inactive-concept) and $obsolete-yrs-ago &gt; 2 " />
    <xsl:variable name="obsolete-warning" select="not($is-immun or $obsolete-error) and ($an-obsolete-tgi or $inactive-concept) and ($obsolete-yrs-ago &gt; 1 or $obsolete-without-date) " />
    <xsl:variable name="codes-not-found" select="not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-6 or $invalid-tgi or $a-vaccine) " />
    <xsl:variable name="codes-in-the-domain" select="not($valid-tgi-1) and $valid-tgi-5" />
    <xsl:variable name="codes-in-other-domain" select="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi or         $a-vaccine or $obsolete-warning) " />
    <xsl:variable name="codes-in-no-domain" select="exists($der-tgi-codes-5) " />
    <xsl:variable name="display-in-the-domain" select="if ($codes-in-the-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', '), '''')        else '' " />
    <xsl:variable name="display-in-other-r" select="if (exists($invalid-tgi-codes-r) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-tgi-codes-r return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-h" select="if (exists($invalid-tgi-codes-h) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-tgi-codes-h return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-domain" select="if (not($codes-in-other-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))) then ''        else if ($display-in-other-r and display-in-other-h) then concat('''', $display-in-other-r, ', ', $display-in-other-h, '''')        else if ($display-in-other-r) then concat('''', $display-in-other-r, '''')        else if ($display-in-other-h) then concat('''', $display-in-other-h, '''')        else '' " />
    <xsl:variable name="display-in-no-domain" select="if ($codes-in-no-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', dh:XQueryRecursiveReplace(string-join(for $code in $der-tgi-codes-5 return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), '; '),          $term-pattern-replacement, 'ic'), '''')        else '' " />
    <xsl:variable name="log-concepts-appended" select="if ($error-usingTS-9 or not($flags/@report-terminology-concepts = 'true') or $log-concepts-name = '') then ''        else if ($codes-not-found and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                   'Therapeutic Good Identification', $log-tab,                   'yes',     $log-tab,                   iq:display-CD(.),   $log-tab,                   '',     $log-tab,                  '',     $log-tab,                  '',     $log-tab,                  $ts-current-sctau   ))        else if (($use-revised-text-2 or $codes-in-no-domain) and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                  'Therapeutic Good Identification', $log-tab,                   'yes',     $log-tab,                     iq:display-CD(.),   $log-tab,                    $display-in-the-domain,   $log-tab,                  $display-in-other-domain,  $log-tab,                  $display-in-no-domain,   $log-tab,                  $ts-current-sctau   ))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if (matches($defn-invalid-rsn, 'is a container', 'is')) then $rating-container-TC-Types-57 else $rating-TC-Types-57 " />
    <!--REPORT -->
    <xsl:if test=" $log-concepts-appended = ('NOTFOUND', 'ERROR') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$log-concepts-appended = ('NOTFOUND', 'ERROR')">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): The AppendLog function returned '<xsl:text /><xsl:value-of select="$log-concepts-appended" /><xsl:text />' when requested to append the concepts log
		'<xsl:text /><xsl:value-of select="$log-concepts-name" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $flags/@assess-class = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $flags/@assess-class = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): 
		code-to-assess '<xsl:text /><xsl:value-of select="$code-to-assess" /><xsl:text />'
		value-domain '<xsl:text /><xsl:value-of select="$value-domain" /><xsl:text />'
		first-pass '<xsl:text /><xsl:value-of select="$first-pass" /><xsl:text />'
		second-pass '<xsl:text /><xsl:value-of select="$second-pass" /><xsl:text />'
		third-pass '<xsl:text /><xsl:value-of select="$third-pass" /><xsl:text />'
		fourth-pass '<xsl:text /><xsl:value-of select="$fourth-pass" /><xsl:text />'
		valid-class-1 '<xsl:text /><xsl:value-of select="$valid-class-1" /><xsl:text />'
		fifth-pass '<xsl:text /><xsl:value-of select="$fifth-pass" /><xsl:text />'
		sixth-pass '<xsl:text /><xsl:value-of select="$sixth-pass" /><xsl:text />'
		seventh-pass '<xsl:text /><xsl:value-of select="$seventh-pass" /><xsl:text />'
		eighth-pass '<xsl:text /><xsl:value-of select="$eighth-pass" /><xsl:text />'
		ninth-pass '<xsl:text /><xsl:value-of select="$ninth-pass" /><xsl:text />'

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $class-error-11 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$class-error-11">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An unexpected error occurred during the process to classify a terminology code.
		Report the information below to the Australian Digital Health Agency for investigation.
		The value domain was '<xsl:text /><xsl:value-of select="$value-domain" /><xsl:text />' and the error variable was
		<xsl:text /><xsl:value-of select="if ($class-error-1) then concat('class-error-1. The FindValueDomainsForCode function was called with code ''', $code-to-assess,     ''', codeSystem ''2.16.840.1.113883.6.96'' and codeSystemVersion ''', $v-current-sctau, ''' and returned ''', $value-domain-1, '''.')   else if ($class-error-2) then concat('class-error-2. The SearchForCodesInHierarchyUsingTS function was called with code ''', $code-to-assess,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $first-pass-1, '''.')   else if ($class-error-3) then concat('class-error-3. The SearchForCodesInHierarchyUsingTS function was called with code ''',     if ($value-domain = 'Trade Product Unit of Use (TPUU)') then $code-to-assess else $first-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $second-pass-1, '''.')   else if ($class-error-4) then concat('class-error-4. The SearchForCodesInHierarchyUsingTS function was called with code ''', $second-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $third-pass-1, '''.')   else if ($class-error-5) then concat('class-error-5. The SearchForCodesInHierarchyUsingTS function was called with code ''', $third-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $fourth-pass-1, '''.')   else if ($class-error-6) then concat('class-error-6. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $valid-class-1, '''.')   else if ($class-error-7) then concat('class-error-7. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $fifth-pass, '''.')   else if ($class-error-8) then concat('class-error-8. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $sixth-pass, '''.')   else if ($class-error-9) then concat('class-error-9. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $seventh-pass, '''.')   else if ($class-error-10) then concat('class-error-10. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $eighth-pass, '''.')   else if ($class-error-11) then concat('class-error-11. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $ninth-pass, '''.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $class-tp-error ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$class-tp-error">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An unexpected error occurred during the process to find the trade product name for a medicine.
		Report the information below to the Australian Digital Health Agency for investigation.
		The value domain was '<xsl:text /><xsl:value-of select="$value-domain" /><xsl:text />' and the error variable was class-tp-error.
		The FindValueDomainsForCode function was called with code ''', 
		if ($value-domain = 'Trade Product Unit of Use (TPUU)') then $code-to-assess else $first-pass, 
		''', codeSystem ''2.16.840.1.113883.6.96'' and codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $class-tp-1, '''.')

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-tgi-6) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-tgi-6)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An unexpected problem occurred when assessing the value of the Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. The application of regular expressions resulted in the complete loss of text.
		Report the information below to the Australian Digital Health Agency for investigation.

		der-text-1 '<xsl:text /><xsl:value-of select="normalize-space(dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'))" /><xsl:text />'.
		der-text-2a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-2a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-a, $term-pattern-replacement, 'ic')" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingV-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingV-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An error was reported when accessing the terminology server when assessing the Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		Report the issue to the Australian Digital Health Agency for investigation stating the error was recorded for error-usingV-2.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-9 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-9">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An error was reported when accessing the terminology server when assessing the Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term:
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The analysis should be retried as the terminology server may have been temporarily unavailable.
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'error-usingTS-1' else if ($error-usingTS-2-a) then 'error-usingTS-2-a'   else if ($error-usingTS-2-b) then 'error-usingTS-2-b' else if ($error-usingTS-2-c) then 'error-usingTS-2-c'   else if ($error-usingTS-2) then 'error-usingTS-2'   else if ($error-usingTS-3) then 'error-usingTS-3' else if ($error-usingTS-4) then 'error-usingTS-4'   else if ($error-usingTS-5) then 'error-usingTS-5' else if ($error-usingTS-6) then 'error-usingTS-6'   else if ($error-usingTS-7) then 'error-usingTS-7' else if ($error-usingTS-8) then 'error-usingTS-8'   else 'error-usingTS-9' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or      $valid-tgi-6 or $invalid-tgi) and not($a-vaccine and not(true())) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi) and not($a-vaccine and not(true()))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify medicines which the consumer is currently using         including self prescribed, clinician prescribed and nonprescription medicines. Note: must not be used to record vaccines. The text must         include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.10 and 6.5 of the Shared Health Summary Structured Content Specification v1.2.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Known Medication (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi) and    not($a-vaccine and true()) and not($obsolete-warning) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi) and not($a-vaccine and true()) and not($obsolete-warning)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the value does not seem to be applicable for the data element.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify medicines which the consumer is currently using         including self prescribed, clinician prescribed and nonprescription medicines. Note: must not be used to record vaccines. The text must         include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.10 and 6.5 of the Shared Health Summary Structured Content Specification v1.2.)')" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $obsolete-warning ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$obsolete-warning">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the name may not be applicable for the data element.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> and the
		<xsl:text /><xsl:value-of select="if ($display-obsolete-date != '') then concat('name of the therapeutic good was last used ', $display-obsolete-date)   else if ($obsolete-tgi-info/@name) then concat('therapeutic good ''', $obsolete-tgi-info/@name, ''' was last available ', $display-obsolete-date)    else if ($obsolete-without-date) then 'name of the therapeutic good is no longer used ' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($obsolete-tgi-info/@reason) then concat(' because ', $obsolete-tgi-info/@reason, '.') else '.' " /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify medicines which the consumer is currently using         including self prescribed, clinician prescribed and nonprescription medicines. Note: must not be used to record vaccines. The text must         include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.10 and 6.5 of the Shared Health Summary Structured Content Specification v1.2.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		<xsl:text /><xsl:value-of select="$creation-date-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $obsolete-error ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$obsolete-error">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the name is not applicable for the data element.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> and the
		<xsl:text /><xsl:value-of select="if ($display-obsolete-date != '') then concat('name of the therapeutic good was last used ', $display-obsolete-date)   else if ($obsolete-tgi-info/@name) then concat('therapeutic good ''', $obsolete-tgi-info/@name, ''' was last available ', $display-obsolete-date)    else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($obsolete-tgi-info/@reason) then concat(' because ', $obsolete-tgi-info/@reason, '.') else '.' " /><xsl:text />
		That was <xsl:text /><xsl:value-of select="if (contains(string($obsolete-yrs-ago), '.')) then substring-before(string($obsolete-yrs-ago), '.') else $obsolete-yrs-ago " /><xsl:text /> years before the
		<xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify medicines which the consumer is currently using         including self prescribed, clinician prescribed and nonprescription medicines. Note: must not be used to record vaccines. The text must         include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.10 and 6.5 of the Shared Health Summary Structured Content Specification v1.2.)'))" /><xsl:text /><xsl:text /><xsl:value-of select="$creation-date-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'exclusion' = 'allowed' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'exclusion' = 'allowed' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the data element does not have a proper value. <xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify medicines which the consumer is currently using         including self prescribed, clinician prescribed and nonprescription medicines. Note: must not be used to record vaccines. The text must         include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.10 and 6.5 of the Shared Health Summary Structured Content Specification v1.2.)'))" /><xsl:text />
		The Therapeutic Good Identification data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'exclusion' = 'exclusion' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'exclusion' = 'exclusion' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify medicines which the consumer is currently using         including self prescribed, clinician prescribed and nonprescription medicines. Note: must not be used to record vaccines. The text must         include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.10 and 6.5 of the Shared Health Summary Structured Content Specification v1.2.)'))" /><xsl:text />
		The Therapeutic Good Identification data element must have a value that is consistent with this definition. Alternatively if there is no Therapeutic Good Identification data element with a proper value then an exclusion
		statement must be included to state why there is no Therapeutic Good Identification. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4')    then concat('Text such as ''', dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'), ''' may be permitted in the narrative even though the Therapeutic Good Identification data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'exclusion' = 'unknown' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'exclusion' = 'unknown' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the data element does not have a proper value. <xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify medicines which the consumer is currently using         including self prescribed, clinician prescribed and nonprescription medicines. Note: must not be used to record vaccines. The text must         include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.10 and 6.5 of the Shared Health Summary Structured Content Specification v1.2.)'))" /><xsl:text />
		The Therapeutic Good Identification data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($der-text-non-value) and $der-invalid-text ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($der-text-non-value) and $der-invalid-text">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />
		however the value is invalid. <xsl:text /><xsl:value-of select="$defn-invalid-rsn" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify medicines which the consumer is currently using         including self prescribed, clinician prescribed and nonprescription medicines. Note: must not be used to record vaccines. The text must         include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.10 and 6.5 of the Shared Health Summary Structured Content Specification v1.2.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $a-vaccine and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$a-vaccine and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />
		which identifies a vaccine. <xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify medicines which the consumer is currently using         including self prescribed, clinician prescribed and nonprescription medicines. Note: must not be used to record vaccines. The text must         include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.10 and 6.5 of the Shared Health Summary Structured Content Specification v1.2.)'))" /><xsl:text />
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Known Medication (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $invalid-tgi and not($error-usingTS-9) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$invalid-tgi and not($error-usingTS-9)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
ZZZ
der-text '<xsl:text /><xsl:value-of select="$der-text" /><xsl:text />'
der-revised-text-1 '<xsl:text /><xsl:value-of select="$der-revised-text-1" /><xsl:text />'
der-revised-text-2 '<xsl:text /><xsl:value-of select="$der-revised-text-2" /><xsl:text />'
ZZZ
		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the value is invalid
		<xsl:text /><xsl:value-of select="if (exists($invalid-tgi-codes-h) or exists($invalid-tgi-codes-r)) then concat(' as it describes ',    iq:invalidityExplanationUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, $invalid-tgi-codes-h, $cd-definitions/meds/meds-invalid/hierarchy, $invalid-tgi-codes-r, $cd-definitions/meds/meds-invalid/refset), '.')   else '.' " /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify medicines which the consumer is currently using         including self prescribed, clinician prescribed and nonprescription medicines. Note: must not be used to record vaccines. The text must         include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.10 and 6.5 of the Shared Health Summary Structured Content Specification v1.2.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable outside the applicable value domain): The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. The following codes were obtained and are not in the value domain:
		<xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-TGI-Defn): The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU and no associated code was found in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists(($der-NAF-active-codes, $undetermined-NAF-active-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists(($der-NAF-active-codes, $undetermined-NAF-active-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-TGI-Defn): The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-active-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the
		'<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU but it was not found with this status in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.
		<xsl:text /><xsl:value-of select="if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and ($valid-tgi-1 or $a-vaccine-2 or (not($valid-tgi-5) and $valid-tgi-6))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and ($valid-tgi-1 or $a-vaccine-2 or (not($valid-tgi-5) and $valid-tgi-6))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable within the value domain): The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> which matches
		<xsl:text /><xsl:value-of select="if ($a-vaccine-1) then 'one of the terms listed in Knowledge.xml' else 'the vaccine information in CodeSystems.xml' " /><xsl:text /> for the Therapeutic Good Identification.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(exists($valid-class)) and $class-not-completed and not($class-tp-error or $class-error-10) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(exists($valid-class)) and $class-not-completed and not($class-tp-error or $class-error-10)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. <xsl:text /><xsl:value-of select="if ($code-to-assess = '') then 'No code could be found for the medicine.'    else if ($value-domain = '') then concat('The code ''', $code-to-assess, ''' was found to apply to the medicine by applying the terminology server using the ''', $ts-current-sctau,   ''' version of SNOMED CT-AU but the code was not found in the Validator''s database using the ''', $v-current-sctau, ''' version of SNOMED CT-AU.',   if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '')   else concat('This is a ', $value-domain,    if ($value-domain = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)')) then    concat(' (with medicinal product ''', $third-pass, ''').')    else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)'))    then concat(' (with trade product ''', $class-tp, ''').')    else '.') " /><xsl:text /> The classification of this medicine could not be completed.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists($valid-class) and not($class-tp-error or $class-error-11) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists($valid-class) and not($class-tp-error or $class-error-11)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This <xsl:text /><xsl:value-of select="if (not($value-domain = ('Containered Trade Product Pack (CTPP)',    'Trade Product Pack (TPP)', 'Trade Product (TP)', 'Trade Product Unit of Use (TPUU)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Medicinal Product (MP)')))    then '' else concat('is a ', $value-domain, ' which')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($value-domain = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)')) then concat(' (with medicinal product ''', $third-pass, ''') which')   else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)'))    then concat(' (with trade product ''', $class-tp, ''') which') else '' " /><xsl:text />
		identifies a type of <xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($valid-class, ' and '), $markup-pattern-replacement, 'ic')" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (concept is codeable within the value domain): The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> which is a valid value for the Therapeutic Good Identification.
		SNOMED CT-AU codes that matched the concept are: <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The text used to match regular expression (der-text-2) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to match non-values and vaccines (der-text-to-match) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-to-match, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to derive a code (der-text) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.

		<xsl:text /><xsl:value-of select="if ($use-revised-text-1) then concat(' A first revision of the text (der-revised-text-1) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-1, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A first revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-1 != '' and $der-revised-text-1 = '') then ' revision-pattern-1 was applied but the output (der-revised-text-1) was an empty string.' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($use-revised-text-2) then concat(' A second revision of the text (der-revised-text-2) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A second revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-2 != '' and $der-revised-text-2 = '') then ' revision-pattern-2 was applied but the output (der-revised-text-2) was an empty string.' else '' " /><xsl:text />

		The SNOMED CT-AU version used to find codes is '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' and the maximum code number is '<xsl:text /><xsl:value-of select="$max-code-number" /><xsl:text />'.

		Codes for related terms (related-terms-2): '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($related-terms-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes for related terms (der-valid-codes-1): 
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-1, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-tgi-codes-2) returned by the terminology server that match the text:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-tgi-codes-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes from related terms or the terminology server (der-valid-codes-2):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-2, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-inactive-codes-3) returned from the Validator's database associated with inactive codes:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-inactive-codes-3, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes found after examining inactive codes (der-valid-codes-3):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-3, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Members of invalid reference sets (invalid-tgi-codes-r): '<xsl:text /><xsl:value-of select="$display-in-other-r" /><xsl:text />'.
		Members of invalid code hierarchies (invalid-tgi-codes-h): '<xsl:text /><xsl:value-of select="$display-in-other-h" /><xsl:text />'.

		Final set of valid codes (der-valid-codes-4): <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.
		
		Codes whose validity has not been determined (der-tgi-codes-5): <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.
		Codes whose validity has not been determined and are inactive with no associated code (undetermined-NAF): '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(    string-join($undetermined-NAF, ''', '''), $markup-pattern-replacement, 'ic')" /><xsl:text />'.

		Result of the second vaccination code test (a-vaccine-2): '<xsl:text /><xsl:value-of select="$a-vaccine-2" /><xsl:text />'.
		Vaccine codes (vaccine-code-test):  '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($vaccine-code-test, '; '), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Overall result of the vaccination test (a-vaccine): '<xsl:text /><xsl:value-of select="$a-vaccine" /><xsl:text />'.

		Will the value of the data element be trusted (der-trusted-text)? '<xsl:text /><xsl:value-of select="$der-trusted-text" /><xsl:text />'.
		
	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and $codes-not-found">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept not codeable): The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($avoid-ts) then 'The terminology server was not used to assist with finding codes corresponding to text in the data element. ' else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $prose-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $prose-err">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> which is invalid as it is prose text.
		The Therapeutic Good Identification data element is CodeableText derived from the HL7 CD data type which by definition is to record a concept defined in an external code system, terminology or ontology.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify medicines which the consumer is currently using         including self prescribed, clinician prescribed and nonprescription medicines. Note: must not be used to record vaccines. The text must         include the name of the medication (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.10 and 6.5 of the Shared Health Summary Structured Content Specification v1.2.)'))" /><xsl:text />
		This finding will also be reported as an error.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M481" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M481" />
  <xsl:template match="@*|node()" priority="-2" mode="M481">
    <xsl:apply-templates select="@*|*" mode="M481" />
  </xsl:template>
  <!--PATTERN p-TS-Med-CodeableText-12-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '101.16146' = $doc-sections][cda:templateId[   @root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3']]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/cda:substanceAdministration/cda:consumable/   cda:manufacturedProduct/cda:manufacturedMaterial/cda:code[@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " priority="1000" mode="M482">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '101.16146' = $doc-sections][cda:templateId[   @root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3']]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/cda:substanceAdministration/cda:consumable/   cda:manufacturedProduct/cda:manufacturedMaterial/cda:code[@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="pnullFlavor" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @nullFlavor) then @nullFlavor else '' " />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-p-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then false()        else if ($psnomed-id = 'amtv3' and @codeSystemVersion) then exists($v-amtv3[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($psnomed-id = 'snomedctau' and @codeSystemVersion) then exists($v-snomedctau[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false() " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and $pcode != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used to assess the primary code.') " />
    <xsl:variable name="pcode-refsets-1" select="if (@codeSystem = '2.16.840.1.113883.6.96' and not($pcode = ''))         then dh:FindValueDomainsForCode($pcode, '2.16.840.1.113883.6.96', $v-psnomed-version) else 'no-code' " />
    <xsl:variable name="pcode-found" select="not($pcode-refsets-1 = 'no-code' or $pcode-refsets-1 = 'CodeNotFound' or $pcode-refsets-1 = 'Error'        or contains($pcode-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="pcode-refsets" select="if ($pcode-found) then distinct-values(tokenize($pcode-refsets-1, '\|')) else () " />
    <xsl:variable name="pcode-special-proc" select="count($pcode-refsets) = 1 and 'Procedure Foundation (PF)' = $pcode-refsets and not($pnullFlavor = 'OTH') " />
    <xsl:variable name="pcode-refsets-msg" select="if (count($pcode-refsets) = 0) then ''         else if (count($pcode-refsets) = 1) then concat('The code is a member of the ', $pcode-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($pcode-refsets, ', '), '.') " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))         else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-1" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="snomed-trans-2" select="distinct-values(for $i in (1 to count($snomed-trans-1)) return $snomed-trans-1[$i]/@code) " />
    <xsl:variable name="snomed-trans-a" select="$snomed-trans-1[1] " />
    <xsl:variable name="tcode-a" select="if (exists($snomed-trans-a) and matches($snomed-trans-a/@code, $snomed-code-regex)) then $snomed-trans-a/@code else '' " />
    <xsl:variable name="tnullFlavor-a" select="if (exists($snomed-trans-a) and $snomed-trans-a/@nullFlavor) then $snomed-trans-a/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-a" select="if (not(exists($snomed-trans-a))) then 'not-snomed'        else if (not($snomed-trans-a/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-a/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-a" select="if (not(exists($snomed-trans-a))) then ''        else if ($tsnomed-id-a = 'amtv3' and exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-a = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-a/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-a" select="if (not(exists($snomed-trans-a))) then false()        else if ($tsnomed-id-a = 'amtv3' and $snomed-trans-a/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-a = 'snomedctau' and $snomed-trans-a/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-a-msg" select="if (not(exists($snomed-trans-a))) then ''        else if (not($snomed-trans-a/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-a, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-a = 'amtv3') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-a = 'snomedctau') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-a/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-a, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-a/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-a-refsets-1" select="if (exists($snomed-trans-a) and not($tcode-a = ''))         then dh:FindValueDomainsForCode($tcode-a, '2.16.840.1.113883.6.96', $v-tsnomed-version-a) else 'no-code' " />
    <xsl:variable name="tcode-a-found" select="not($tcode-a-refsets-1 = 'no-code' or $tcode-a-refsets-1 = 'CodeNotFound' or $tcode-a-refsets-1 = 'Error'         or contains($tcode-a-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-a-refsets" select="if ($tcode-a-found) then distinct-values(tokenize($tcode-a-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-a-special-proc" select="count($tcode-a-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-a-refsets and not($tnullFlavor-a = 'OTH') " />
    <xsl:variable name="tcode-a-refsets-msg" select="if (count($tcode-a-refsets) = 0) then ''         else if (count($tcode-a-refsets) = 1) then concat('The code is a member of the ', $tcode-a-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-a-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@code and $snomed-trans-a/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-a/@displayName, codepoints-to-string(34))         else if ($snomed-trans-a/@code and not($snomed-trans-a/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@codeSystem and $snomed-trans-a/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-a/@codeSystemName, ')')         else if ($snomed-trans-a/@codeSystem and not($snomed-trans-a/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-b" select="(for $i in (2 to count($snomed-trans-1)) return if ($snomed-trans-1[$i]/@code != $snomed-trans-a/@code) then $snomed-trans-1[$i] else ())[1] " />
    <xsl:variable name="tcode-b" select="if (exists($snomed-trans-b) and matches($snomed-trans-b/@code, $snomed-code-regex)) then $snomed-trans-b/@code else '' " />
    <xsl:variable name="tnullFlavor-b" select="if (exists($snomed-trans-b) and $snomed-trans-b/@nullFlavor) then $snomed-trans-b/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-b" select="if (not(exists($snomed-trans-b))) then 'not-snomed'        else if (not($snomed-trans-b/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-b/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-b" select="if (not(exists($snomed-trans-b))) then ''        else if ($tsnomed-id-b = 'amtv3' and exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-b = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-b/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-b" select="if (not(exists($snomed-trans-b))) then false()        else if ($tsnomed-id-b = 'amtv3' and $snomed-trans-b/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-b = 'snomedctau' and $snomed-trans-b/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-b-msg" select="if (not(exists($snomed-trans-b))) then ''        else if (not($snomed-trans-b/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-b, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-b = 'amtv3') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-b = 'snomedctau') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-b/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-b, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-b/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-b-refsets-1" select="if (exists($snomed-trans-b) and not($tcode-b = ''))         then dh:FindValueDomainsForCode($tcode-b, '2.16.840.1.113883.6.96', $v-tsnomed-version-b) else 'no-code' " />
    <xsl:variable name="tcode-b-found" select="not($tcode-b-refsets-1 = 'no-code' or $tcode-b-refsets-1 = 'CodeNotFound' or $tcode-b-refsets-1 = 'Error'         or contains($tcode-b-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-b-refsets" select="if ($tcode-b-found) then distinct-values(tokenize($tcode-b-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-b-special-proc" select="count($tcode-b-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-b-refsets and not($tnullFlavor-b = 'OTH') " />
    <xsl:variable name="tcode-b-refsets-msg" select="if (count($tcode-b-refsets) = 0) then ''         else if (count($tcode-b-refsets) = 1) then concat('The code is a member of the ', $tcode-b-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-b-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@code and $snomed-trans-b/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-b/@displayName, codepoints-to-string(34))         else if ($snomed-trans-b/@code and not($snomed-trans-b/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@codeSystem and $snomed-trans-b/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-b/@codeSystemName, ')')         else if ($snomed-trans-b/@codeSystem and not($snomed-trans-b/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-60" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-60 else $rating-alt-TC-Types-60 " />
    <!--REPORT -->
    <xsl:if test=" $pcode-found and $pcode-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pcode-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD (p-TS-CD-SCT-RefSet): An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$pcode" /><xsl:text />',
		codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-psnomed-version" /><xsl:text />'. This error occurred when assessing the Therapeutic Good Identification data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. The value is not valid for the data element as it describes a medical
		procedure and not a medical problem or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify medicines the consumer should continue, commence,         cease or alter relevant to and as a consequence of their interaction with the specialist. The text must include the name of the medication         (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.13 and 10.5 of the Specialist Letter Structured Content Specification v1.1.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the code is not a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the KNOWN MEDICATION section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the KNOWN MEDICATION section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the KNOWN MEDICATION section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. Confirm if the code is a member of the value domain.
		If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the KNOWN MEDICATION section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="count($snomed-trans-1)" /><xsl:text /> translation elements with
		codes and the SNOMED CT-AU codeSystem '2.16.840.1.113883.6.96'. The first two translation elements have been assessed to determine if the codes are members of the value domain
		and the others have not been assessed. Confirm if the value of the code attribute in all SNOMED CT translation elements meets the requirement that it be a member of the value domain
		if there is no nullFlavor 'OTH' or that there is a nullFlavor 'OTH' if the value of the code attribute is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text /> 
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the KNOWN MEDICATION section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-a" /><xsl:text />'. This error occurred when assessing the Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify medicines the consumer should continue, commence,         cease or alter relevant to and as a consequence of their interaction with the specialist. The text must include the name of the medication         (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.13 and 10.5 of the Specialist Letter Structured Content Specification v1.1.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the KNOWN MEDICATION section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the KNOWN MEDICATION section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the KNOWN MEDICATION section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the KNOWN MEDICATION section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-b" /><xsl:text />'. This error occurred when assessing the Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> 
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify medicines the consumer should continue, commence,         cease or alter relevant to and as a consequence of their interaction with the specialist. The text must include the name of the medication         (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.13 and 10.5 of the Specialist Letter Structured Content Specification v1.1.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the KNOWN MEDICATION section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the KNOWN MEDICATION section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the KNOWN MEDICATION section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the KNOWN MEDICATION section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M482" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M482" />
  <xsl:template match="@*|node()" priority="-2" mode="M482">
    <xsl:apply-templates select="@*|*" mode="M482" />
  </xsl:template>
  <!--PATTERN p-TS-Med-CodeableText-13-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '101.16146' = $doc-sections][cda:templateId[   @root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3']]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/cda:substanceAdministration/cda:consumable/   cda:manufacturedProduct/cda:manufacturedMaterial/cda:code[(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or    not(@code and @codeSystem and @codeSystem = $defn-meds-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])][not(@nullFlavor = $no-value-NF)] " priority="1000" mode="M483">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '101.16146' = $doc-sections][cda:templateId[   @root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3']]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/cda:substanceAdministration/cda:consumable/   cda:manufacturedProduct/cda:manufacturedMaterial/cda:code[(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or    not(@code and @codeSystem and @codeSystem = $defn-meds-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])][not(@nullFlavor = $no-value-NF)] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="snomed-trans" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="tcode" select="if (exists($snomed-trans[1]) and matches($snomed-trans[1]/@code, $snomed-code-regex)) then $snomed-trans[1]/@code else '' " />
    <xsl:variable name="code-present" select="$pcode != '' or $tcode != '' " />
    <xsl:variable name="invalid-code-system" select="@code and @displayName and @codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="codesystemvalues" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']" />
    <xsl:variable name="otext-without-markup" select="if (cda:originalText and cda:originalText != '') then normalize-space(replace(cda:originalText, $markup-regex, ' ')) else '' " />
    <xsl:variable name="pdname" select="if (@displayName and not($invalid-code-system)) then normalize-space(@displayName) else '' " />
    <xsl:variable name="is-immun" select="exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='101.16638' or @code = '101.16658' or @code = '101.17039')]]) " />
    <xsl:variable name="is-pd" select="exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code = '102.16210' or @code='102.16211' or @code='101.16795')]]) " />
    <xsl:variable name="is-shs-meds" select="$templateId-root = '1.2.36.1.2001.1001.101.100.1002.120' and          exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]) " />
    <xsl:variable name="is-meds" select="exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code = '101.16146.4.1.1' or @code = '101.16146.4.1.2' or @code='101.16146')]]) " />
    <xsl:variable name="max-code-number" select="if ($knowledge/search-for-term/max-sct-code-number/@value &gt; '5') then $knowledge/search-for-term/max-sct-code-number/@value else '5' " />
    <xsl:variable name="der-text-1" select="if ($code-present) then ''         else if ($otext-without-markup != '') then $otext-without-markup        else if ($pdname != '') then $pdname        else '' " />
    <xsl:variable name="family-err" select="matches($der-text-1, $family-regex, 'is')" />
    <xsl:variable name="der-truncated-text-1" select="normalize-space(replace(replace($der-text-1, $unicode-br-truncation-regex, '$1', 'is'), $tgi-truncation-regex, '$1', 'is')) " />
    <xsl:variable name="length-err" select="string-length($der-truncated-text-1) &gt; $length-err-max" />
    <xsl:variable name="prose-err-1" select="$length-err and cda:originalText and (        matches(cda:originalText, $ulist-regex)           or         matches(cda:originalText, $alt-ulist-1a-regex, 'is')         or         matches(cda:originalText, $alt-ulist-1b-regex, 'is')         )" />
    <xsl:variable name="prose-err" select="$prose-err-1 or (cda:originalText and (         matches(cda:originalText, $alt-ulist-2-regex, 'is')         or        matches(cda:originalText, $olist-arabic-regex, 'is')         or         matches(cda:originalText, $olist-alpha-regex, 'is')         or         matches(cda:originalText, $olist-roman-regex, 'is')         or        matches(replace(cda:originalText, $new-line-regex, codepoints-to-string((10)), 'is'), $para-regex, 'is') or        matches(cda:originalText, codepoints-to-string((8233)), 'is')        or               (cda:originalText and matches(cda:originalText, $invalid-concept-regex, 'is'))     or        ($length-err and matches(cda:originalText, '\.\s*$', 's') and matches(cda:originalText, $multi-sentence-regex, 's')) ))" />
    <xsl:variable name="avoid-ts" select="$family-err or $length-err or $prose-err or not($use-ts-for-sctau) " />
    <xsl:variable name="der-text-2a" select="if ($der-truncated-text-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-truncated-text-1, $tgi-fir-pattern-replacement, 'ic')) " />
    <xsl:variable name="der-text-2" select="if ($der-text-2a = '') then $der-text-1 else $der-text-2a " />
    <xsl:variable name="der-text-a" select="if ($der-text-2 = '' or $tgi-regex = '') then $der-text-2 else normalize-space(dh:XQueryRecursiveReplace($der-text-2, $tgi-regex, 'ic')) " />
    <xsl:variable name="der-text" select="if ($der-text-a = '') then $der-text-2 else $der-text-a " />
    <xsl:variable name="defn-valid-regex" select="concat('(^|\|)', translate($der-text-2, $chars-to-remove, ''), '(\||$)') " />
    <xsl:variable name="der-text-to-match-1" select="lower-case($der-text-2) " />
    <xsl:variable name="der-text-to-match" select="translate($der-text-to-match-1, $chars-to-remove, '') " />
    <xsl:variable name="tgi-non-value-regex" select="if ($is-immun)          then $cd-definitions/immun/@non-value-regex         else if ($is-pd)       then $cd-definitions/pd/@non-value-regex        else if ($is-shs-meds) then $cd-definitions/shs-meds/@non-value-regex        else if ($is-meds)     then $cd-definitions/meds/@non-value-regex        else '' " />
    <xsl:variable name="der-text-non-value" select="if ($code-present or @nullFlavor = $no-value-NF) then false() else         $der-text-to-match = ''             or         not(matches($der-text-to-match-1, '[a-z]', 'is'))         or        ($cd-definitions/non-value/@regex != '' and matches($der-text-to-match-1, $cd-definitions/non-value/@regex, 'is')) or        ($tgi-non-value-regex != '' and matches($der-text-to-match-1, $tgi-non-value-regex, 'is'))    " />
    <xsl:variable name="tgi-invalid-regex" select="if ($is-immun)          then $cd-definitions/immun/@invalid-regex         else if ($is-pd)       then $cd-definitions/pd/@invalid-regex        else if ($is-shs-meds) then $cd-definitions/shs-meds/@invalid-regex        else if ($is-meds)     then $cd-definitions/meds/@invalid-regex        else '' " />
    <xsl:variable name="defn-invalid-regex" select="if ($code-present or $der-text-non-value) then ()        else if ($tgi-invalid-regex != '') then tokenize($tgi-invalid-regex, '~')[. != '']         else () " />
    <xsl:variable name="defn-invalid-txt-regex" select="(for $i in (1 to count($defn-invalid-regex)) return normalize-space(substring-before($defn-invalid-regex[$i], '[[')))[. != '']" />
    <xsl:variable name="der-invalid-text-regex-1" select="if (exists($defn-invalid-txt-regex))        then index-of(for $i in (1 to count($defn-invalid-txt-regex)) return matches($der-text-2, $defn-invalid-txt-regex[$i], 'is'), true())        else () " />
    <xsl:variable name="der-invalid-text" select="exists($der-invalid-text-regex-1) " />
    <xsl:variable name="defn-invalid-rsn" select="if ($der-invalid-text)         then normalize-space(substring-before(substring-after($defn-invalid-regex[$der-invalid-text-regex-1[1]], '[['), ']]'))         else '' " />
    <xsl:variable name="trusted-code-systems" select="if ($der-text = '' or $der-invalid-text or not(@codeSystem or cda:translation/@codeSystem)) then ()        else if ($is-immun)          then (tokenize(replace($cd-definitions/immun/@core, '\s+', ''), '\|'),           tokenize(replace($cd-definitions/immun/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-pd)          then (tokenize(replace($cd-definitions/pd/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/pd/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-shs-meds)          then (tokenize(replace($cd-definitions/shs-meds/@core, '\s+', ''), '\|'),          tokenize(replace($cd-definitions/shs-meds/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-meds)          then (tokenize(replace($cd-definitions/meds/@core, '\s+', ''), '\|'),           tokenize(replace($cd-definitions/meds/@extra, '\s+', ''), '\|'))[. != '']         else () " />
    <xsl:variable name="der-trusted-text" select="if ($der-text = '' or $der-invalid-text or (@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex)))) then false()        else ((@codeSystem and exists($trusted-code-systems[. = current()/@codeSystem])) or               (cda:translation/@codeSystem and exists($trusted-code-systems[. = current()/cda:translation/@codeSystem]))) " />
    <xsl:variable name="a-vaccine-1" select="not($code-present or $der-text-non-value or $der-invalid-text) and exists($vaccine-text-normalised) and $der-text-to-match = $vaccine-text-normalised" />
    <xsl:variable name="a-sas-tgi-1" select="not($code-present or $der-text-non-value or $der-invalid-text or $a-vaccine-1) and $tgi-sas-regex != '' and matches($der-text, $tgi-sas-regex, 'is')" />
    <xsl:variable name="an-uncoded-tgi-1" select="not($code-present or $der-text-non-value or $der-invalid-text or $a-vaccine-1 or $a-sas-tgi-1) and $tgi-otheru-regex != '' and         matches($der-text, $tgi-otheru-regex, 'is')" />
    <xsl:variable name="obsolete-tgi-info-1" select="if ($is-immun or $code-present or $der-text-non-value or $der-invalid-text or $a-vaccine-1 or $a-sas-tgi-1 or $an-uncoded-tgi-1 or         not(exists($knowledge/special-tgi/obsolete))) then ()        else $knowledge/special-tgi/obsolete[matches($der-text, concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')] " />
    <xsl:variable name="an-obsolete-tgi-1" select="exists($obsolete-tgi-info-1)" />
    <xsl:variable name="tgi-valid-regex-1" select="if ($code-present or $der-text-non-value or $der-invalid-text or $der-text = '' or $a-vaccine-1 or $a-sas-tgi-1 or $an-uncoded-tgi-1 or          $an-obsolete-tgi-1) then ''        else if ($is-immun)    then $cd-definitions/immun/@valid-regex        else if ($is-pd)       then $cd-definitions/pd/@valid-regex        else if ($is-shs-meds) then $cd-definitions/shs-meds/@valid-regex        else if ($is-meds)     then $cd-definitions/meds/@valid-regex        else '' " />
    <xsl:variable name="valid-tgi-1" select="if ($a-vaccine-1 or $a-sas-tgi-1 or $an-uncoded-tgi-1 or $an-obsolete-tgi-1) then true()         else if ($tgi-valid-regex-1 = '') then false()        else exists(index-of(for $regex in (tokenize($tgi-valid-regex-1, '~')[. != '']) return          matches($der-text-2, dh:XQueryRecursiveReplace(normalize-space($regex), ' \|~|~\| ~|', ''), 'is'), true())) " />
    <xsl:variable name="invalid-hierarchy-1" select="if (exists($cd-definitions/meds/meds-invalid/hierarchy))         then string-join(for $hierarchy in $cd-definitions/meds/meds-invalid/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-refset" select="if (exists($cd-definitions/meds/meds-invalid/refset))          then string-join(for $refset in $cd-definitions/meds/meds-invalid/refset return concat('^', $refset/@code), ' OR ')         else '' " />
    <xsl:variable name="valid-refset" select="concat($tgi-formula, ' OR &lt;763158003') " />
    <xsl:variable name="valid-domain" select="if ($invalid-refset != '' and $invalid-hierarchy-1 != '')         then concat('((', $valid-refset, ') MINUS (', $invalid-refset, ' OR (', $invalid-hierarchy-1, ')))')        else if ($invalid-refset = '' and $invalid-hierarchy-1 != '') then concat('((', $valid-refset, ') MINUS (', $invalid-hierarchy-1, '))')         else if ($invalid-refset != '' and $invalid-hierarchy-1 = '') then concat('((', $valid-refset, ') MINUS (', $invalid-refset, '))')        else concat('(', $valid-refset, ')') " />
    <xsl:variable name="related-terms-1" select="if ($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-1) then ()        else ($codesystemvalues/code[@related-terms], $codesystemvalues/related-terms[@related-terms]) " />
    <xsl:variable name="related-terms-2" select="for $i in index-of(        for $concept in $related-terms-1 return matches(translate($concept/@related-terms, $chars-no-pipe, ''), $defn-valid-regex, 'is'), true())         return $related-terms-1[$i]/@code " />
    <xsl:variable name="der-tgi-codes-1" select="if (exists($related-terms-2)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($related-terms-2, ' OR '), ') AND ', $valid-domain), '', string(count($related-terms-2)), false())        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $der-tgi-codes-1 " />
    <xsl:variable name="der-valid-codes-1" select="if (contains($der-tgi-codes-1, '[')) then $der-tgi-codes-1 else '' " />
    <xsl:variable name="valid-tgi-2" select="$valid-tgi-1 or $der-valid-codes-1 != '' " />
    <xsl:variable name="tgi-inactive-refSets" select="if (exists($cd-definitions/tgi/tgi-invalid/inactive-refset))         then concat('((', $inactive-refSets, ') MINUS (',           string-join(for $refset in $cd-definitions/tgi/tgi-invalid/inactive-refset return concat('^', $refset/@code), ' OR '),          '))')         else $inactive-refSets " />
    <xsl:variable name="formula" select="concat($valid-domain, ' OR ', $tgi-inactive-refSets) " />
    <xsl:variable name="ts-not-needed" select="$der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-2 or $avoid-ts " />
    <xsl:variable name="der-tgi-codes-2-a" select="if ($ts-not-needed or exists($related-terms-2)) then ()         else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-text,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2-a" select="$error-usingTS-1 or 'Error' = $der-tgi-codes-2-a " />
    <xsl:variable name="revision-pattern-1" select="if ($ts-not-needed or $valid-tgi-2 or exists($der-tgi-codes-2-a) or $error-usingTS-2-a or exists($related-terms-2)) then ''        else $tgi-sec-pattern-replacement " />
    <xsl:variable name="der-revised-text-1" select="if ($revision-pattern-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-text, $revision-pattern-1, 'ic')) " />
    <xsl:variable name="use-revised-text-1" select="$der-revised-text-1 != '' and $der-revised-text-1 != $der-text " />
    <xsl:variable name="obsolete-tgi-info-2" select="if (exists($der-tgi-codes-2-a)) then ()        else if ($an-obsolete-tgi-1) then $obsolete-tgi-info-1        else if ($use-revised-text-1) then $knowledge/special-tgi/obsolete[matches($der-revised-text-1, concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')]        else () " />
    <xsl:variable name="an-obsolete-tgi-2" select="exists($obsolete-tgi-info-2)" />
    <xsl:variable name="der-tgi-codes-2-b" select="if ($an-obsolete-tgi-2) then ()        else if ($ts-not-needed or exists($der-tgi-codes-2-a) or not($use-revised-text-1)) then $der-tgi-codes-2-a         else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-1,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2-b" select="$error-usingTS-2-a or 'Error' = $der-tgi-codes-2-b " />
    <xsl:variable name="revision-pattern-2" select="if ($ts-not-needed or $valid-tgi-2 or exists($der-tgi-codes-2-b) or $error-usingTS-2-b or exists($related-terms-2)) then ''        else $tgi-thi-pattern-replacement " />
    <xsl:variable name="der-revised-text-2" select="if ($revision-pattern-2 = '') then '' else normalize-space(dh:XQueryRecursiveReplace(         if ($use-revised-text-1) then $der-revised-text-1 else $der-text, $revision-pattern-2, 'ic')) " />
    <xsl:variable name="use-revised-text-2" select="if ($use-revised-text-1) then $der-revised-text-2 != '' and $der-revised-text-2 != $der-revised-text-1         else $der-revised-text-2 != '' and $der-revised-text-2 != $der-text " />
    <xsl:variable name="obsolete-tgi-info-3" select="if (exists($der-tgi-codes-2-b)) then ()        else if ($an-obsolete-tgi-2) then $obsolete-tgi-info-2        else if ($use-revised-text-2) then $knowledge/special-tgi/obsolete[matches($der-revised-text-2, concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')]        else () " />
    <xsl:variable name="an-obsolete-tgi-3" select="exists($obsolete-tgi-info-3)" />
    <xsl:variable name="der-tgi-codes-2-c" select="if ($an-obsolete-tgi-3) then ()        else if ($ts-not-needed or exists($der-tgi-codes-2-b) or not($use-revised-text-2)) then $der-tgi-codes-2-b        else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-2,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2-c" select="$error-usingTS-2-b or 'Error' = $der-tgi-codes-2-c " />
    <xsl:variable name="der-tgi-codes-2-d" select="if ($an-obsolete-tgi-3 or $ts-not-needed or exists($der-tgi-codes-2-c)) then $der-tgi-codes-2-c        else iq:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula,          if ($der-revised-text-2 != '') then $der-revised-text-2          else if ($der-revised-text-1 != '') then $der-revised-text-1          else $der-text, 'default') " />
    <xsl:variable name="error-usingTS-2-d" select="$error-usingTS-2-c or 'Error' = $der-tgi-codes-2-d " />
    <xsl:variable name="der-tgi-codes-2" select="$der-tgi-codes-2-d " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-2-d " />
    <xsl:variable name="der-valid-codes-2" select="if ($der-valid-codes-1 != '') then $der-valid-codes-1        else if ($error-usingTS-2) then ''         else string-join((for $code in $der-tgi-codes-2 return if (contains($code, '~inactive')) then '' else $code)[. != ''], '|')  " />
    <xsl:variable name="valid-tgi-3" select="$valid-tgi-2 or $der-valid-codes-2 != '' " />
    <xsl:variable name="der-inactive-codes-1" select="if ($valid-tgi-3) then () else        for $code in $der-tgi-codes-2 return if (contains($code, '~inactive')) then replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is') else '' " />
    <xsl:variable name="der-inactive-codes-2" select="for $i in (1 to count($der-inactive-codes-1)) return         dh:IsCodeAssociatedWithAnotherCode($der-inactive-codes-1[$i], '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-1" select="'Error' = $der-inactive-codes-2 " />
    <xsl:variable name="der-NAF-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-NAF-active-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound~active')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-inactive-codes-3" select="tokenize(string-join(for $i in (1 to count($der-inactive-codes-1)) return replace(string-join(tokenize($der-inactive-codes-2[$i], '\|')        [matches(., '(REPLACED BY|SAME AS|ALTERNATIVE|POSSIBLY EQUIVALENT TO|MAY BE A|WAS A)')], '|'), '[0-9]+~[A-Z ]+~([0-9]+)', '$1'), '|'), '\|')        [. != ''] " />
    <xsl:variable name="der-tgi-codes-3" select="if (exists($der-inactive-codes-3)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($der-inactive-codes-3, ' OR '), ') AND ', $valid-domain), '', string(count($der-inactive-codes-3)), false())          else '' " />
    <xsl:variable name="error-usingTS-3" select="$error-usingTS-2 or 'Error' = $der-tgi-codes-3 " />
    <xsl:variable name="der-valid-codes-3" select="if ($der-valid-codes-2 != '') then $der-valid-codes-2        else if (contains($der-tgi-codes-3, '[')) then $der-tgi-codes-3        else '' " />
    <xsl:variable name="valid-tgi-4" select="$valid-tgi-3 or $der-valid-codes-3 != '' " />
    <xsl:variable name="tbd-hierarchy" select="if (exists($cd-definitions/meds/meds-tbd/hierarchy))         then string-join(for $hierarchy in $cd-definitions/meds/meds-tbd/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-hierarchy" select="if ($invalid-hierarchy-1 != '' and $tbd-hierarchy != '') then concat($invalid-hierarchy-1, ' OR ', $tbd-hierarchy)        else if ($invalid-hierarchy-1 != '') then $invalid-hierarchy-1        else if ($tbd-hierarchy != '') then $tbd-hierarchy        else '' " />
    <xsl:variable name="invalid-domain" select="if ($invalid-hierarchy != '' and $invalid-refset != '') then concat($invalid-hierarchy, ' OR ', $invalid-refset)        else if ($invalid-hierarchy != '') then $invalid-hierarchy        else if ($invalid-refset != '') then $invalid-refset        else '' " />
    <xsl:variable name="filter-text" select="if ($use-revised-text-2) then $der-revised-text-2 else if ($use-revised-text-1) then $der-revised-text-1 else $der-text " />
    <xsl:variable name="der-tgi-codes-4" select="if ($ts-not-needed or $valid-tgi-4 or $invalid-domain = '') then ()        else if (exists($related-terms-2)) then $related-terms-2        else distinct-values((tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          $invalid-domain, $filter-text, $max-code-number, false()), '(\[.*?\])(\||$)', '$2'), '\|'), $der-inactive-codes-3)) " />
    <xsl:variable name="error-usingTS-4" select="$error-usingTS-3 or 'Error' = $der-tgi-codes-4 " />
    <xsl:variable name="invalid-tgi-codes-r" select="if ($ts-not-needed or $valid-tgi-4 or $error-usingTS-4 or not(exists($der-tgi-codes-4))) then ()        else if ($invalid-refset = '') then tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-tgi-codes-4, ' OR '), ') AND (', $inactive-refSets, ')'), '',           string(count($der-tgi-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')        else tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-tgi-codes-4, ' OR '), ') AND (', $invalid-refset, ' OR ', $inactive-refSets, ')'), '',           string(count($der-tgi-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')  " />
    <xsl:variable name="error-usingTS-5" select="$error-usingTS-4 or 'Error' = $invalid-tgi-codes-r " />
    <xsl:variable name="der-tgi-codes-4-h" select="if ($error-usingTS-5) then () else $der-tgi-codes-4[not(. = $invalid-tgi-codes-r)]" />
    <xsl:variable name="invalid-tgi-codes-h" select="if ($ts-not-needed or $valid-tgi-4 or 'Error' = $der-tgi-codes-4 or $meds-invalid-hierarchy = '' or not(exists($der-tgi-codes-4-h))) then ()        else (for $code in $der-tgi-codes-4-h return          if (dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;&gt;', $code, ' MINUS ', $meds-invalid-hierarchy), '', '1', false()) = '') then $code else '')[. != ''] " />
    <xsl:variable name="invalid-tgi-codes" select="($invalid-tgi-codes-h, $invalid-tgi-codes-r) " />
    <xsl:variable name="der-tgi-codes-5" select="$der-tgi-codes-4[not(. = $invalid-tgi-codes or . = 'Error')]" />
    <xsl:variable name="der-valid-codes-4" select="if ($der-valid-codes-3 != '') then $der-valid-codes-3        else if ($ts-not-needed or $valid-tgi-4 or $valid-domain = '' or not(exists($der-tgi-codes-5))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-tgi-codes-5, ' OR '), ') AND ', $valid-domain), '', string(count($der-tgi-codes-5)), false()) " />
    <xsl:variable name="error-usingTS-6" select="$error-usingTS-5 or 'Error' = $der-valid-codes-4 " />
    <xsl:variable name="valid-tgi-5" select="$valid-tgi-4 or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="der-valid-codes-seq" select="if ($error-usingTS-6) then () else tokenize(replace($der-valid-codes-4,  '(\[.*?\])(\||$)', '$2'), '\|') " />
    <xsl:variable name="undetermined-tgi-1" select="if (exists($der-valid-codes-seq)) then $der-tgi-codes-5[not(. = $der-valid-codes-seq)] else $der-tgi-codes-5 " />
    <xsl:variable name="undetermined-inactive-1" select="for $i in (1 to count($undetermined-tgi-1)) return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $undetermined-tgi-1[$i], '', '1', false()) " />
    <xsl:variable name="error-usingTS-7" select="$error-usingTS-6 or 'Error' = $undetermined-inactive-1 " />
    <xsl:variable name="undetermined-inactive" select="(for $i in (1 to count($undetermined-tgi-1)) return         if (contains($undetermined-inactive-1[$i], '~inactive')) then $undetermined-inactive-1[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-1" select="for $i in (1 to count($undetermined-inactive))        return dh:IsCodeAssociatedWithAnotherCode(replace($undetermined-inactive[$i], '(\[.*?\])(\||$)', '$2'), '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-2" select="$error-usingV-1 or 'Error' = $undetermined-NAF-1 " />
    <xsl:variable name="undetermined-NAF" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-codes" select="for $term in $undetermined-NAF return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-NAF-active" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound~active')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-active-codes" select="for $term in $undetermined-NAF-active return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-tgi" select="$undetermined-tgi-1[not(. = ($undetermined-NAF-codes, $undetermined-NAF-active-codes))]" />
    <xsl:variable name="invalid-tgi" select="not($valid-tgi-5) and exists($invalid-tgi-codes) and not(exists($undetermined-tgi))" />
    <xsl:variable name="a-sas-tgi" select="if ($a-sas-tgi-1) then true()        else if ($a-vaccine-1 or $valid-tgi-5 or $invalid-tgi or not($use-revised-text-2) or $tgi-sas-regex = '') then false()        else matches($der-revised-text-2, $tgi-sas-regex, 'is')" />
    <xsl:variable name="an-uncoded-tgi" select="if ($an-uncoded-tgi-1) then true()        else if ($a-vaccine-1 or $valid-tgi-5 or $invalid-tgi or not($use-revised-text-2) or $tgi-otheru-regex = '' or $a-sas-tgi) then false()        else matches($der-revised-text-2, $tgi-otheru-regex, 'is')" />
    <xsl:variable name="obsolete-tgi-info" select="if ($an-obsolete-tgi-3) then $obsolete-tgi-info-3        else if ($a-vaccine-1 or $valid-tgi-5 or $invalid-tgi or not($use-revised-text-2) or not(exists($knowledge/special-tgi/obsolete)) or $a-sas-tgi or          $an-uncoded-tgi) then ()        else $knowledge/special-tgi/obsolete[matches($der-revised-text-2,          concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')] " />
    <xsl:variable name="an-obsolete-tgi" select="exists($obsolete-tgi-info)" />
    <xsl:variable name="valid-tgi-6" select="$valid-tgi-5 or $a-sas-tgi or $an-uncoded-tgi or $an-obsolete-tgi " />
    <xsl:variable name="a-vaccine-2" select="if ($a-vaccine-1) then true()        else if ($valid-tgi-6 or $invalid-tgi or not(exists($vaccine-text-normalised))) then false()        else if ($der-text != '' and translate(lower-case($der-text), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else if ($use-revised-text-1 and translate(lower-case($der-revised-text-1), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else if ($use-revised-text-2 and translate(lower-case($der-revised-text-2), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else false() " />
    <xsl:variable name="vaccine-code-test" select="if (not($a-vaccine-2 or $valid-tgi-6 or $invalid-tgi or $avoid-ts) and exists($undetermined-tgi))         then tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($undetermined-tgi, ' OR '), ') AND (&lt;71181003 OR &lt;127785005)'), '',          string(count($undetermined-tgi)), false()), '\|')        else () " />
    <xsl:variable name="error-usingTS-8" select="$error-usingTS-7 or 'Error' = $vaccine-code-test " />
    <xsl:variable name="a-vaccine" select="$a-vaccine-2 or (not('Error' = $vaccine-code-test) and exists($undetermined-tgi) and count($vaccine-code-test) = count($undetermined-tgi)) " />
    <xsl:variable name="codes-with-history" select="$der-inactive-codes-2[matches(., '[0-9]')]" />
    <xsl:variable name="hist-vers" select="if (exists($codes-with-history))        then dh:FindLastUpdatedDateForCodeUsingTS(substring-before($codes-with-history[1], '~'), '2.16.840.1.113883.6.96', $ts-latest-snomedctau)       else '' " />
    <xsl:variable name="error-usingTS-9" select="$error-usingTS-8 or 'Error' = $hist-vers " />
    <xsl:variable name="hist-vers-date" select="if (matches($hist-vers, '^(CodeFoundActive|CodeFoundInactive)\|[0-9]{8}$')) then substring-after($hist-vers, '|') else '' " />
    <xsl:variable name="inactive-concept" select="count($der-tgi-codes-2) = count($der-inactive-codes-1) and not($valid-tgi-6)" />
    <xsl:variable name="der-inactive-codes-4" select="$der-inactive-codes-3[not(contains(., 'MOVED FROM') or contains(., 'WAS A'))]" />
    <xsl:variable name="obsolete-without-date" select=" ($an-obsolete-tgi and not($obsolete-tgi-info/@last-available))   or         (exists($der-inactive-codes-3) and not(exists($der-inactive-codes-4)))  or         (exists($der-inactive-codes-4) and $hist-vers-date = '')   " />
    <xsl:variable name="obsolete-date" select="if ($is-immun) then ''        else if ($hist-vers-date != '') then $hist-vers-date        else if ($an-obsolete-tgi and $obsolete-tgi-info/@last-available) then $obsolete-tgi-info/@last-available         else '' " />
    <xsl:variable name="obsolete-yr" select="substring($obsolete-date, 1, 4) " />
    <xsl:variable name="obsolete-mn-temp" select="substring($obsolete-date, 5, 2) " />
    <xsl:variable name="obsolete-mn" select="if ($obsolete-mn-temp = '') then '06' else $obsolete-mn-temp " />
    <xsl:variable name="obsolete-dy-temp" select="substring($obsolete-date, 7, 2) " />
    <xsl:variable name="obsolete-dy" select="if ($obsolete-dy-temp = '') then '15' else $obsolete-dy-temp " />
    <xsl:variable name="obsolete-xs" select="if ($obsolete-date = '') then () else xs:date(concat($obsolete-yr, '-', $obsolete-mn, '-', $obsolete-dy)) " />
    <xsl:variable name="display-obsolete-date" select="if ($obsolete-date = '') then ''        else if ($obsolete-mn-temp = '') then $obsolete-dy        else if ($obsolete-dy-temp = '') then concat($knowledge/months/month[@number = $obsolete-mn]/@abbreviation, ' ', $obsolete-yr)        else concat($obsolete-dy, ' ', $knowledge/months/month[@number = $obsolete-mn]/@abbreviation, ' ', $obsolete-yr) " />
    <xsl:variable name="obsolete-date-diff" select="if ($obsolete-date = '' or not(matches($creation-date-xs - $obsolete-xs, '^P[0-9]+D'))) then '0'        else number(substring-before(substring-after($creation-date-xs - $obsolete-xs, 'P'), 'D')) " />
    <xsl:variable name="obsolete-yrs-ago" select="$obsolete-date-diff div 365 " />
    <xsl:variable name="coding" select="if (not($flags/@assess-class = 'true') or not($use-ts-for-sctau) or not(exists($iq-config/tgi-coding))) then () else $iq-config/tgi-coding" />
    <xsl:variable name="s-classification" select="if (exists($coding/special-classification/classification)) then $coding/special-classification/classification else () " />
    <xsl:variable name="s-number" select="count($s-classification) " />
    <xsl:variable name="s-formula" select="string-join(for $class in $s-classification return $class/@code, ' OR ')" />
    <xsl:variable name="code-to-assess" select="if (not($flags/@assess-class = 'true') or not($use-ts-for-sctau)) then '' else if (exists($der-valid-codes-seq)) then $der-valid-codes-seq[1] else '' " />
    <xsl:variable name="value-domain-1" select="if ($code-to-assess = '') then '' else dh:FindValueDomainsForCode($code-to-assess, '2.16.840.1.113883.6.96', $v-current-sctau)" />
    <xsl:variable name="class-error-1" select="$value-domain-1 = 'Error' " />
    <xsl:variable name="value-domain" select="if ($class-error-1 or $value-domain-1 = ('', 'CodeNotFound')) then ''       else if (contains($value-domain-1, '|')) then substring-before($value-domain-1, '|')       else $value-domain-1 " />
    <xsl:variable name="first-pass-1" select="if ($value-domain = '') then ''        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)'))         then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat($code-to-assess, ' . 30409011000036107'), '', '1', true())        else if ($value-domain = 'Medicinal Product Pack (MPP)')         then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat($code-to-assess, ' . 30348011000036104'), '', '1', true())        else if ($value-domain = 'Trade Product (TP)') then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&lt;', $code-to-assess), '', '1', true())        else $code-to-assess " />
    <xsl:variable name="class-error-2" select="$class-error-1 or ($value-domain != '' and $first-pass-1 = ('Error', '')) " />
    <xsl:variable name="first-pass" select="if (not($class-error-2) and $first-pass-1 != '') then replace($first-pass-1, '(\[.*?\])(\||$)', '$2') else '' " />
    <xsl:variable name="second-pass-1" select="if ($first-pass = '') then ''        else if ($value-domain = 'Trade Product Unit of Use (TPUU)')          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $code-to-assess, ' AND ^929360071000036103'), '', '1', true())        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product (TP)'))          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $first-pass, ' AND ^929360071000036103'), '', '1', true())        else if ($value-domain = 'Medicinal Product Pack (MPP)') then $first-pass        else $code-to-assess " />
    <xsl:variable name="class-error-3" select="$class-error-2 or ($first-pass != '' and $second-pass-1 = ('Error', '')) " />
    <xsl:variable name="second-pass" select="if (not($class-error-3) and $second-pass-1 != '') then replace($second-pass-1, '(\[.*?\])(\||$)', '$2') else '' " />
    <xsl:variable name="class-tp-1" select="if ($class-error-3) then ''        else if ($value-domain = 'Trade Product Unit of Use (TPUU)')          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $code-to-assess, ' AND ^929360021000036102'), '', '1', true())        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)'))          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $first-pass, ' AND ^929360021000036102'), '', '1', true())        else '' " />
    <xsl:variable name="class-tp-error" select="$class-tp-1 = 'Error' " />
    <xsl:variable name="class-tp" select="if (not($class-tp-error) and $class-tp-1 != '') then replace($class-tp-1, '^([0-9]+\[)(.*?)(\])$', '$2') else '' " />
    <xsl:variable name="third-pass-1" select="if ($second-pass = '') then ''        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product (TP)',          'Trade Product Unit of Use (TPUU)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)'))         then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;!', $second-pass, ' AND ^929360061000036106'), '', '1', false())        else $second-pass " />
    <xsl:variable name="class-error-4" select="$class-error-3 or ($second-pass != '' and $third-pass-1 = ('Error', '')) " />
    <xsl:variable name="third-pass" select="if ($class-error-4 or $third-pass-1 = '') then ''         else if (matches($third-pass-1, '^[0-9]+$')) then replace($der-valid-codes-4, '^([0-9]+\[)(.*?)(\]\|.*|\])$', '$2')        else if (matches($third-pass-1, '^[0-9]')) then replace($third-pass-1, '^([0-9]+\[)(.*?)(\])$', '$2') else '' " />
    <xsl:variable name="fourth-pass-1" select="if ($third-pass = '') then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', '&lt;373873005', $third-pass, '1', true()) " />
    <xsl:variable name="class-error-5" select="$class-error-4 or $fourth-pass-1 = 'Error' " />
    <xsl:variable name="fourth-pass" select="if (not($class-error-4) and $fourth-pass-1 != '' and matches($fourth-pass-1, '^[0-9]')) then replace($fourth-pass-1, '(\[.*?\])(\||$)', '$2') else '' " />
    <xsl:variable name="class-not-completed" select="($flags/@assess-class = 'true' and $code-to-assess = '')  or        ($code-to-assess != '' and $value-domain-1 = 'CodeNotFound') or        ($third-pass != '' and $fourth-pass = '')   " />
    <xsl:variable name="valid-class-1" select="if ($fourth-pass = '' or $s-number = 0) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND (', $s-formula, ')'), '', string($s-number), true()) " />
    <xsl:variable name="class-error-6" select="$class-error-5 or $valid-class-1 = 'Error' " />
    <xsl:variable name="valid-class-2" select="if ($valid-class-1 = '' or $class-error-6) then () else tokenize(replace($valid-class-1, '(\[.*?\])(\||$)', '$2'), '\|') " />
    <xsl:variable name="valid-class-3" select="if ($a-vaccine and exists($s-classification[@code = '71181003']/@description)) then ($s-classification[@code = '71181003']/@description)       else if ($a-vaccine and exists($s-classification[@code = '71181003']/@pterm)) then ($s-classification[@code = '71181003']/@pterm)       else for $code in $valid-class-2 return if ($coding/special-classification/classification[@code = $code]/@description)         then $coding/special-classification/classification[@code = $code]/@description         else $coding/special-classification/classification[@code = $code]/@pterm " />
    <xsl:variable name="fifth-pass" select="if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/first-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/first-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-7" select="$class-error-6 or $fifth-pass = 'Error' " />
    <xsl:variable name="sixth-pass" select="if (not($fifth-pass = '')) then $fifth-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/second-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/second-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-8" select="$class-error-7 or $sixth-pass = 'Error' " />
    <xsl:variable name="seventh-pass" select="if (not($sixth-pass = '')) then $sixth-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/third-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/third-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-9" select="$class-error-8 or $seventh-pass = 'Error' " />
    <xsl:variable name="eighth-pass" select="if (not($seventh-pass = '')) then $seventh-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/fourth-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/fourth-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-10" select="$class-error-9 or $eighth-pass = 'Error' " />
    <xsl:variable name="ninth-pass" select="if (not($eighth-pass = '')) then $eighth-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/fifth-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/fifth-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-11" select="$class-error-10 or $ninth-pass = 'Error' " />
    <xsl:variable name="valid-class" select="if (exists($valid-class-3)) then $valid-class-3        else if (not($ninth-pass = '')) then for $term in tokenize($ninth-pass, '\|') return replace($term, '^([0-9]+\[)(.*?)(\])$', '$2')       else () " />
    <xsl:variable name="codes-were-found" select="exists($der-tgi-codes-4) or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="obsolete-error" select="not($is-immun) and ($an-obsolete-tgi or $inactive-concept) and $obsolete-yrs-ago &gt; 2 " />
    <xsl:variable name="obsolete-warning" select="not($is-immun or $obsolete-error) and ($an-obsolete-tgi or $inactive-concept) and ($obsolete-yrs-ago &gt; 1 or $obsolete-without-date) " />
    <xsl:variable name="codes-not-found" select="not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-6 or $invalid-tgi or $a-vaccine) " />
    <xsl:variable name="codes-in-the-domain" select="not($valid-tgi-1) and $valid-tgi-5" />
    <xsl:variable name="codes-in-other-domain" select="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi or         $a-vaccine or $obsolete-warning) " />
    <xsl:variable name="codes-in-no-domain" select="exists($der-tgi-codes-5) " />
    <xsl:variable name="display-in-the-domain" select="if ($codes-in-the-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', '), '''')        else '' " />
    <xsl:variable name="display-in-other-r" select="if (exists($invalid-tgi-codes-r) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-tgi-codes-r return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-h" select="if (exists($invalid-tgi-codes-h) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-tgi-codes-h return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-domain" select="if (not($codes-in-other-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))) then ''        else if ($display-in-other-r and display-in-other-h) then concat('''', $display-in-other-r, ', ', $display-in-other-h, '''')        else if ($display-in-other-r) then concat('''', $display-in-other-r, '''')        else if ($display-in-other-h) then concat('''', $display-in-other-h, '''')        else '' " />
    <xsl:variable name="display-in-no-domain" select="if ($codes-in-no-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', dh:XQueryRecursiveReplace(string-join(for $code in $der-tgi-codes-5 return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), '; '),          $term-pattern-replacement, 'ic'), '''')        else '' " />
    <xsl:variable name="log-concepts-appended" select="if ($error-usingTS-9 or not($flags/@report-terminology-concepts = 'true') or $log-concepts-name = '') then ''        else if ($codes-not-found and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                   'Therapeutic Good Identification', $log-tab,                   'yes',     $log-tab,                   iq:display-CD(.),   $log-tab,                   '',     $log-tab,                  '',     $log-tab,                  '',     $log-tab,                  $ts-current-sctau   ))        else if (($use-revised-text-2 or $codes-in-no-domain) and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                  'Therapeutic Good Identification', $log-tab,                   'yes',     $log-tab,                     iq:display-CD(.),   $log-tab,                    $display-in-the-domain,   $log-tab,                  $display-in-other-domain,  $log-tab,                  $display-in-no-domain,   $log-tab,                  $ts-current-sctau   ))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if (matches($defn-invalid-rsn, 'is a container', 'is')) then $rating-container-TC-Types-57 else $rating-TC-Types-57 " />
    <!--REPORT -->
    <xsl:if test=" $log-concepts-appended = ('NOTFOUND', 'ERROR') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$log-concepts-appended = ('NOTFOUND', 'ERROR')">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): The AppendLog function returned '<xsl:text /><xsl:value-of select="$log-concepts-appended" /><xsl:text />' when requested to append the concepts log
		'<xsl:text /><xsl:value-of select="$log-concepts-name" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $flags/@assess-class = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $flags/@assess-class = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): 
		code-to-assess '<xsl:text /><xsl:value-of select="$code-to-assess" /><xsl:text />'
		value-domain '<xsl:text /><xsl:value-of select="$value-domain" /><xsl:text />'
		first-pass '<xsl:text /><xsl:value-of select="$first-pass" /><xsl:text />'
		second-pass '<xsl:text /><xsl:value-of select="$second-pass" /><xsl:text />'
		third-pass '<xsl:text /><xsl:value-of select="$third-pass" /><xsl:text />'
		fourth-pass '<xsl:text /><xsl:value-of select="$fourth-pass" /><xsl:text />'
		valid-class-1 '<xsl:text /><xsl:value-of select="$valid-class-1" /><xsl:text />'
		fifth-pass '<xsl:text /><xsl:value-of select="$fifth-pass" /><xsl:text />'
		sixth-pass '<xsl:text /><xsl:value-of select="$sixth-pass" /><xsl:text />'
		seventh-pass '<xsl:text /><xsl:value-of select="$seventh-pass" /><xsl:text />'
		eighth-pass '<xsl:text /><xsl:value-of select="$eighth-pass" /><xsl:text />'
		ninth-pass '<xsl:text /><xsl:value-of select="$ninth-pass" /><xsl:text />'

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $class-error-11 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$class-error-11">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An unexpected error occurred during the process to classify a terminology code.
		Report the information below to the Australian Digital Health Agency for investigation.
		The value domain was '<xsl:text /><xsl:value-of select="$value-domain" /><xsl:text />' and the error variable was
		<xsl:text /><xsl:value-of select="if ($class-error-1) then concat('class-error-1. The FindValueDomainsForCode function was called with code ''', $code-to-assess,     ''', codeSystem ''2.16.840.1.113883.6.96'' and codeSystemVersion ''', $v-current-sctau, ''' and returned ''', $value-domain-1, '''.')   else if ($class-error-2) then concat('class-error-2. The SearchForCodesInHierarchyUsingTS function was called with code ''', $code-to-assess,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $first-pass-1, '''.')   else if ($class-error-3) then concat('class-error-3. The SearchForCodesInHierarchyUsingTS function was called with code ''',     if ($value-domain = 'Trade Product Unit of Use (TPUU)') then $code-to-assess else $first-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $second-pass-1, '''.')   else if ($class-error-4) then concat('class-error-4. The SearchForCodesInHierarchyUsingTS function was called with code ''', $second-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $third-pass-1, '''.')   else if ($class-error-5) then concat('class-error-5. The SearchForCodesInHierarchyUsingTS function was called with code ''', $third-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $fourth-pass-1, '''.')   else if ($class-error-6) then concat('class-error-6. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $valid-class-1, '''.')   else if ($class-error-7) then concat('class-error-7. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $fifth-pass, '''.')   else if ($class-error-8) then concat('class-error-8. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $sixth-pass, '''.')   else if ($class-error-9) then concat('class-error-9. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $seventh-pass, '''.')   else if ($class-error-10) then concat('class-error-10. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $eighth-pass, '''.')   else if ($class-error-11) then concat('class-error-11. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $ninth-pass, '''.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $class-tp-error ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$class-tp-error">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An unexpected error occurred during the process to find the trade product name for a medicine.
		Report the information below to the Australian Digital Health Agency for investigation.
		The value domain was '<xsl:text /><xsl:value-of select="$value-domain" /><xsl:text />' and the error variable was class-tp-error.
		The FindValueDomainsForCode function was called with code ''', 
		if ($value-domain = 'Trade Product Unit of Use (TPUU)') then $code-to-assess else $first-pass, 
		''', codeSystem ''2.16.840.1.113883.6.96'' and codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $class-tp-1, '''.')

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-tgi-6) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-tgi-6)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An unexpected problem occurred when assessing the value of the Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. The application of regular expressions resulted in the complete loss of text.
		Report the information below to the Australian Digital Health Agency for investigation.

		der-text-1 '<xsl:text /><xsl:value-of select="normalize-space(dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'))" /><xsl:text />'.
		der-text-2a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-2a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-a, $term-pattern-replacement, 'ic')" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingV-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingV-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An error was reported when accessing the terminology server when assessing the Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		Report the issue to the Australian Digital Health Agency for investigation stating the error was recorded for error-usingV-2.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-9 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-9">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An error was reported when accessing the terminology server when assessing the Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term:
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The analysis should be retried as the terminology server may have been temporarily unavailable.
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'error-usingTS-1' else if ($error-usingTS-2-a) then 'error-usingTS-2-a'   else if ($error-usingTS-2-b) then 'error-usingTS-2-b' else if ($error-usingTS-2-c) then 'error-usingTS-2-c'   else if ($error-usingTS-2) then 'error-usingTS-2'   else if ($error-usingTS-3) then 'error-usingTS-3' else if ($error-usingTS-4) then 'error-usingTS-4'   else if ($error-usingTS-5) then 'error-usingTS-5' else if ($error-usingTS-6) then 'error-usingTS-6'   else if ($error-usingTS-7) then 'error-usingTS-7' else if ($error-usingTS-8) then 'error-usingTS-8'   else 'error-usingTS-9' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or      $valid-tgi-6 or $invalid-tgi) and not($a-vaccine and not(false())) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi) and not($a-vaccine and not(false()))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify medicines the consumer should continue, commence,         cease or alter relevant to and as a consequence of their interaction with the specialist. The text must include the name of the medication         (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.13 and 10.5 of the Specialist Letter Structured Content Specification v1.1.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the KNOWN MEDICATION section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi) and    not($a-vaccine and false()) and not($obsolete-warning) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi) and not($a-vaccine and false()) and not($obsolete-warning)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the value does not seem to be applicable for the data element.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify medicines the consumer should continue, commence,         cease or alter relevant to and as a consequence of their interaction with the specialist. The text must include the name of the medication         (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.13 and 10.5 of the Specialist Letter Structured Content Specification v1.1.)')" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $obsolete-warning ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$obsolete-warning">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the name may not be applicable for the data element.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> and the
		<xsl:text /><xsl:value-of select="if ($display-obsolete-date != '') then concat('name of the therapeutic good was last used ', $display-obsolete-date)   else if ($obsolete-tgi-info/@name) then concat('therapeutic good ''', $obsolete-tgi-info/@name, ''' was last available ', $display-obsolete-date)    else if ($obsolete-without-date) then 'name of the therapeutic good is no longer used ' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($obsolete-tgi-info/@reason) then concat(' because ', $obsolete-tgi-info/@reason, '.') else '.' " /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify medicines the consumer should continue, commence,         cease or alter relevant to and as a consequence of their interaction with the specialist. The text must include the name of the medication         (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.13 and 10.5 of the Specialist Letter Structured Content Specification v1.1.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		<xsl:text /><xsl:value-of select="$creation-date-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $obsolete-error ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$obsolete-error">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the name is not applicable for the data element.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> and the
		<xsl:text /><xsl:value-of select="if ($display-obsolete-date != '') then concat('name of the therapeutic good was last used ', $display-obsolete-date)   else if ($obsolete-tgi-info/@name) then concat('therapeutic good ''', $obsolete-tgi-info/@name, ''' was last available ', $display-obsolete-date)    else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($obsolete-tgi-info/@reason) then concat(' because ', $obsolete-tgi-info/@reason, '.') else '.' " /><xsl:text />
		That was <xsl:text /><xsl:value-of select="if (contains(string($obsolete-yrs-ago), '.')) then substring-before(string($obsolete-yrs-ago), '.') else $obsolete-yrs-ago " /><xsl:text /> years before the
		<xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify medicines the consumer should continue, commence,         cease or alter relevant to and as a consequence of their interaction with the specialist. The text must include the name of the medication         (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.13 and 10.5 of the Specialist Letter Structured Content Specification v1.1.)'))" /><xsl:text /><xsl:text /><xsl:value-of select="$creation-date-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'exclusion' = 'allowed' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'exclusion' = 'allowed' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the data element does not have a proper value. <xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify medicines the consumer should continue, commence,         cease or alter relevant to and as a consequence of their interaction with the specialist. The text must include the name of the medication         (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.13 and 10.5 of the Specialist Letter Structured Content Specification v1.1.)'))" /><xsl:text />
		The Therapeutic Good Identification data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'exclusion' = 'exclusion' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'exclusion' = 'exclusion' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify medicines the consumer should continue, commence,         cease or alter relevant to and as a consequence of their interaction with the specialist. The text must include the name of the medication         (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.13 and 10.5 of the Specialist Letter Structured Content Specification v1.1.)'))" /><xsl:text />
		The Therapeutic Good Identification data element must have a value that is consistent with this definition. Alternatively if there is no Therapeutic Good Identification data element with a proper value then an exclusion
		statement must be included to state why there is no Therapeutic Good Identification. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4')    then concat('Text such as ''', dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'), ''' may be permitted in the narrative even though the Therapeutic Good Identification data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'exclusion' = 'unknown' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'exclusion' = 'unknown' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the data element does not have a proper value. <xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify medicines the consumer should continue, commence,         cease or alter relevant to and as a consequence of their interaction with the specialist. The text must include the name of the medication         (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.13 and 10.5 of the Specialist Letter Structured Content Specification v1.1.)'))" /><xsl:text />
		The Therapeutic Good Identification data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($der-text-non-value) and $der-invalid-text ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($der-text-non-value) and $der-invalid-text">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />
		however the value is invalid. <xsl:text /><xsl:value-of select="$defn-invalid-rsn" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify medicines the consumer should continue, commence,         cease or alter relevant to and as a consequence of their interaction with the specialist. The text must include the name of the medication         (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.13 and 10.5 of the Specialist Letter Structured Content Specification v1.1.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $a-vaccine and false() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$a-vaccine and false()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />
		which identifies a vaccine. <xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify medicines the consumer should continue, commence,         cease or alter relevant to and as a consequence of their interaction with the specialist. The text must include the name of the medication         (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.13 and 10.5 of the Specialist Letter Structured Content Specification v1.1.)'))" /><xsl:text />
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the KNOWN MEDICATION section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $invalid-tgi and not($error-usingTS-9) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$invalid-tgi and not($error-usingTS-9)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
ZZZ
der-text '<xsl:text /><xsl:value-of select="$der-text" /><xsl:text />'
der-revised-text-1 '<xsl:text /><xsl:value-of select="$der-revised-text-1" /><xsl:text />'
der-revised-text-2 '<xsl:text /><xsl:value-of select="$der-revised-text-2" /><xsl:text />'
ZZZ
		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the value is invalid
		<xsl:text /><xsl:value-of select="if (exists($invalid-tgi-codes-h) or exists($invalid-tgi-codes-r)) then concat(' as it describes ',    iq:invalidityExplanationUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, $invalid-tgi-codes-h, $cd-definitions/meds/meds-invalid/hierarchy, $invalid-tgi-codes-r, $cd-definitions/meds/meds-invalid/refset), '.')   else '.' " /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify medicines the consumer should continue, commence,         cease or alter relevant to and as a consequence of their interaction with the specialist. The text must include the name of the medication         (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.13 and 10.5 of the Specialist Letter Structured Content Specification v1.1.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable outside the applicable value domain): The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. The following codes were obtained and are not in the value domain:
		<xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-TGI-Defn): The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU and no associated code was found in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists(($der-NAF-active-codes, $undetermined-NAF-active-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists(($der-NAF-active-codes, $undetermined-NAF-active-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-TGI-Defn): The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-active-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the
		'<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU but it was not found with this status in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.
		<xsl:text /><xsl:value-of select="if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and ($valid-tgi-1 or $a-vaccine-2 or (not($valid-tgi-5) and $valid-tgi-6))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and ($valid-tgi-1 or $a-vaccine-2 or (not($valid-tgi-5) and $valid-tgi-6))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable within the value domain): The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> which matches
		<xsl:text /><xsl:value-of select="if ($a-vaccine-1) then 'one of the terms listed in Knowledge.xml' else 'the vaccine information in CodeSystems.xml' " /><xsl:text /> for the Therapeutic Good Identification.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(exists($valid-class)) and $class-not-completed and not($class-tp-error or $class-error-10) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(exists($valid-class)) and $class-not-completed and not($class-tp-error or $class-error-10)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. <xsl:text /><xsl:value-of select="if ($code-to-assess = '') then 'No code could be found for the medicine.'    else if ($value-domain = '') then concat('The code ''', $code-to-assess, ''' was found to apply to the medicine by applying the terminology server using the ''', $ts-current-sctau,   ''' version of SNOMED CT-AU but the code was not found in the Validator''s database using the ''', $v-current-sctau, ''' version of SNOMED CT-AU.',   if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '')   else concat('This is a ', $value-domain,    if ($value-domain = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)')) then    concat(' (with medicinal product ''', $third-pass, ''').')    else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)'))    then concat(' (with trade product ''', $class-tp, ''').')    else '.') " /><xsl:text /> The classification of this medicine could not be completed.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists($valid-class) and not($class-tp-error or $class-error-11) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists($valid-class) and not($class-tp-error or $class-error-11)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This <xsl:text /><xsl:value-of select="if (not($value-domain = ('Containered Trade Product Pack (CTPP)',    'Trade Product Pack (TPP)', 'Trade Product (TP)', 'Trade Product Unit of Use (TPUU)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Medicinal Product (MP)')))    then '' else concat('is a ', $value-domain, ' which')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($value-domain = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)')) then concat(' (with medicinal product ''', $third-pass, ''') which')   else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)'))    then concat(' (with trade product ''', $class-tp, ''') which') else '' " /><xsl:text />
		identifies a type of <xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($valid-class, ' and '), $markup-pattern-replacement, 'ic')" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (concept is codeable within the value domain): The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> which is a valid value for the Therapeutic Good Identification.
		SNOMED CT-AU codes that matched the concept are: <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The text used to match regular expression (der-text-2) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to match non-values and vaccines (der-text-to-match) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-to-match, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to derive a code (der-text) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.

		<xsl:text /><xsl:value-of select="if ($use-revised-text-1) then concat(' A first revision of the text (der-revised-text-1) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-1, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A first revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-1 != '' and $der-revised-text-1 = '') then ' revision-pattern-1 was applied but the output (der-revised-text-1) was an empty string.' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($use-revised-text-2) then concat(' A second revision of the text (der-revised-text-2) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A second revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-2 != '' and $der-revised-text-2 = '') then ' revision-pattern-2 was applied but the output (der-revised-text-2) was an empty string.' else '' " /><xsl:text />

		The SNOMED CT-AU version used to find codes is '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' and the maximum code number is '<xsl:text /><xsl:value-of select="$max-code-number" /><xsl:text />'.

		Codes for related terms (related-terms-2): '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($related-terms-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes for related terms (der-valid-codes-1): 
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-1, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-tgi-codes-2) returned by the terminology server that match the text:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-tgi-codes-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes from related terms or the terminology server (der-valid-codes-2):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-2, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-inactive-codes-3) returned from the Validator's database associated with inactive codes:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-inactive-codes-3, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes found after examining inactive codes (der-valid-codes-3):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-3, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Members of invalid reference sets (invalid-tgi-codes-r): '<xsl:text /><xsl:value-of select="$display-in-other-r" /><xsl:text />'.
		Members of invalid code hierarchies (invalid-tgi-codes-h): '<xsl:text /><xsl:value-of select="$display-in-other-h" /><xsl:text />'.

		Final set of valid codes (der-valid-codes-4): <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.
		
		Codes whose validity has not been determined (der-tgi-codes-5): <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.
		Codes whose validity has not been determined and are inactive with no associated code (undetermined-NAF): '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(    string-join($undetermined-NAF, ''', '''), $markup-pattern-replacement, 'ic')" /><xsl:text />'.

		Result of the second vaccination code test (a-vaccine-2): '<xsl:text /><xsl:value-of select="$a-vaccine-2" /><xsl:text />'.
		Vaccine codes (vaccine-code-test):  '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($vaccine-code-test, '; '), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Overall result of the vaccination test (a-vaccine): '<xsl:text /><xsl:value-of select="$a-vaccine" /><xsl:text />'.

		Will the value of the data element be trusted (der-trusted-text)? '<xsl:text /><xsl:value-of select="$der-trusted-text" /><xsl:text />'.
		
	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and $codes-not-found">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept not codeable): The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($avoid-ts) then 'The terminology server was not used to assist with finding codes corresponding to text in the data element. ' else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $prose-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $prose-err">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> which is invalid as it is prose text.
		The Therapeutic Good Identification data element is CodeableText derived from the HL7 CD data type which by definition is to record a concept defined in an external code system, terminology or ontology.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify medicines the consumer should continue, commence,         cease or alter relevant to and as a consequence of their interaction with the specialist. The text must include the name of the medication         (brand name or generic name equivalent), strength and dose form, where appropriate.         (See sections 2.13 and 10.5 of the Specialist Letter Structured Content Specification v1.1.)'))" /><xsl:text />
		This finding will also be reported as an error.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M483" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M483" />
  <xsl:template match="@*|node()" priority="-2" mode="M483">
    <xsl:apply-templates select="@*|*" mode="M483" />
  </xsl:template>
  <!--PATTERN p-TS-Med-CodeableText-14-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '101.16146' = $doc-sections][not(cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) or   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')  or   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')  ])]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/cda:substanceAdministration/cda:consumable/   cda:manufacturedProduct/cda:manufacturedMaterial/cda:code[@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " priority="1000" mode="M484">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '101.16146' = $doc-sections][not(cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) or   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')  or   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')  ])]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/cda:substanceAdministration/cda:consumable/   cda:manufacturedProduct/cda:manufacturedMaterial/cda:code[@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="pnullFlavor" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @nullFlavor) then @nullFlavor else '' " />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-p-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then false()        else if ($psnomed-id = 'amtv3' and @codeSystemVersion) then exists($v-amtv3[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($psnomed-id = 'snomedctau' and @codeSystemVersion) then exists($v-snomedctau[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false() " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and $pcode != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used to assess the primary code.') " />
    <xsl:variable name="pcode-refsets-1" select="if (@codeSystem = '2.16.840.1.113883.6.96' and not($pcode = ''))         then dh:FindValueDomainsForCode($pcode, '2.16.840.1.113883.6.96', $v-psnomed-version) else 'no-code' " />
    <xsl:variable name="pcode-found" select="not($pcode-refsets-1 = 'no-code' or $pcode-refsets-1 = 'CodeNotFound' or $pcode-refsets-1 = 'Error'        or contains($pcode-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="pcode-refsets" select="if ($pcode-found) then distinct-values(tokenize($pcode-refsets-1, '\|')) else () " />
    <xsl:variable name="pcode-special-proc" select="count($pcode-refsets) = 1 and 'Procedure Foundation (PF)' = $pcode-refsets and not($pnullFlavor = 'OTH') " />
    <xsl:variable name="pcode-refsets-msg" select="if (count($pcode-refsets) = 0) then ''         else if (count($pcode-refsets) = 1) then concat('The code is a member of the ', $pcode-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($pcode-refsets, ', '), '.') " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))         else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-1" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="snomed-trans-2" select="distinct-values(for $i in (1 to count($snomed-trans-1)) return $snomed-trans-1[$i]/@code) " />
    <xsl:variable name="snomed-trans-a" select="$snomed-trans-1[1] " />
    <xsl:variable name="tcode-a" select="if (exists($snomed-trans-a) and matches($snomed-trans-a/@code, $snomed-code-regex)) then $snomed-trans-a/@code else '' " />
    <xsl:variable name="tnullFlavor-a" select="if (exists($snomed-trans-a) and $snomed-trans-a/@nullFlavor) then $snomed-trans-a/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-a" select="if (not(exists($snomed-trans-a))) then 'not-snomed'        else if (not($snomed-trans-a/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-a/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-a" select="if (not(exists($snomed-trans-a))) then ''        else if ($tsnomed-id-a = 'amtv3' and exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-a = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-a/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-a" select="if (not(exists($snomed-trans-a))) then false()        else if ($tsnomed-id-a = 'amtv3' and $snomed-trans-a/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-a = 'snomedctau' and $snomed-trans-a/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-a-msg" select="if (not(exists($snomed-trans-a))) then ''        else if (not($snomed-trans-a/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-a, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-a = 'amtv3') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-a = 'snomedctau') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-a/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-a, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-a/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-a-refsets-1" select="if (exists($snomed-trans-a) and not($tcode-a = ''))         then dh:FindValueDomainsForCode($tcode-a, '2.16.840.1.113883.6.96', $v-tsnomed-version-a) else 'no-code' " />
    <xsl:variable name="tcode-a-found" select="not($tcode-a-refsets-1 = 'no-code' or $tcode-a-refsets-1 = 'CodeNotFound' or $tcode-a-refsets-1 = 'Error'         or contains($tcode-a-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-a-refsets" select="if ($tcode-a-found) then distinct-values(tokenize($tcode-a-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-a-special-proc" select="count($tcode-a-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-a-refsets and not($tnullFlavor-a = 'OTH') " />
    <xsl:variable name="tcode-a-refsets-msg" select="if (count($tcode-a-refsets) = 0) then ''         else if (count($tcode-a-refsets) = 1) then concat('The code is a member of the ', $tcode-a-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-a-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@code and $snomed-trans-a/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-a/@displayName, codepoints-to-string(34))         else if ($snomed-trans-a/@code and not($snomed-trans-a/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@codeSystem and $snomed-trans-a/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-a/@codeSystemName, ')')         else if ($snomed-trans-a/@codeSystem and not($snomed-trans-a/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-b" select="(for $i in (2 to count($snomed-trans-1)) return if ($snomed-trans-1[$i]/@code != $snomed-trans-a/@code) then $snomed-trans-1[$i] else ())[1] " />
    <xsl:variable name="tcode-b" select="if (exists($snomed-trans-b) and matches($snomed-trans-b/@code, $snomed-code-regex)) then $snomed-trans-b/@code else '' " />
    <xsl:variable name="tnullFlavor-b" select="if (exists($snomed-trans-b) and $snomed-trans-b/@nullFlavor) then $snomed-trans-b/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-b" select="if (not(exists($snomed-trans-b))) then 'not-snomed'        else if (not($snomed-trans-b/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-b/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-b" select="if (not(exists($snomed-trans-b))) then ''        else if ($tsnomed-id-b = 'amtv3' and exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-b = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-b/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-b" select="if (not(exists($snomed-trans-b))) then false()        else if ($tsnomed-id-b = 'amtv3' and $snomed-trans-b/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-b = 'snomedctau' and $snomed-trans-b/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-b-msg" select="if (not(exists($snomed-trans-b))) then ''        else if (not($snomed-trans-b/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-b, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-b = 'amtv3') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-b = 'snomedctau') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-b/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-b, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-b/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-b-refsets-1" select="if (exists($snomed-trans-b) and not($tcode-b = ''))         then dh:FindValueDomainsForCode($tcode-b, '2.16.840.1.113883.6.96', $v-tsnomed-version-b) else 'no-code' " />
    <xsl:variable name="tcode-b-found" select="not($tcode-b-refsets-1 = 'no-code' or $tcode-b-refsets-1 = 'CodeNotFound' or $tcode-b-refsets-1 = 'Error'         or contains($tcode-b-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-b-refsets" select="if ($tcode-b-found) then distinct-values(tokenize($tcode-b-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-b-special-proc" select="count($tcode-b-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-b-refsets and not($tnullFlavor-b = 'OTH') " />
    <xsl:variable name="tcode-b-refsets-msg" select="if (count($tcode-b-refsets) = 0) then ''         else if (count($tcode-b-refsets) = 1) then concat('The code is a member of the ', $tcode-b-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-b-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@code and $snomed-trans-b/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-b/@displayName, codepoints-to-string(34))         else if ($snomed-trans-b/@code and not($snomed-trans-b/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@codeSystem and $snomed-trans-b/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-b/@codeSystemName, ')')         else if ($snomed-trans-b/@codeSystem and not($snomed-trans-b/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-60" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-60 else $rating-alt-TC-Types-60 " />
    <!--REPORT -->
    <xsl:if test=" $pcode-found and $pcode-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pcode-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD (p-TS-CD-SCT-RefSet): An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$pcode" /><xsl:text />',
		codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-psnomed-version" /><xsl:text />'. This error occurred when assessing the Therapeutic Good Identification data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. The value is not valid for the data element as it describes a medical
		procedure and not a medical problem or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered for, administered to or used by the consumer. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.         (See section 2.6 of the Medication Instruction and Action Detailed Clinical Model Specification Version 2.4.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the code is not a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Known Medication (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Known Medication (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Known Medication (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. Confirm if the code is a member of the value domain.
		If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Known Medication (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="count($snomed-trans-1)" /><xsl:text /> translation elements with
		codes and the SNOMED CT-AU codeSystem '2.16.840.1.113883.6.96'. The first two translation elements have been assessed to determine if the codes are members of the value domain
		and the others have not been assessed. Confirm if the value of the code attribute in all SNOMED CT translation elements meets the requirement that it be a member of the value domain
		if there is no nullFlavor 'OTH' or that there is a nullFlavor 'OTH' if the value of the code attribute is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text /> 
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Known Medication (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-a" /><xsl:text />'. This error occurred when assessing the Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered for, administered to or used by the consumer. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.         (See section 2.6 of the Medication Instruction and Action Detailed Clinical Model Specification Version 2.4.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Known Medication (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Known Medication (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Known Medication (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Known Medication (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-b" /><xsl:text />'. This error occurred when assessing the Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> 
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered for, administered to or used by the consumer. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.         (See section 2.6 of the Medication Instruction and Action Detailed Clinical Model Specification Version 2.4.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Known Medication (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and   not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and not(exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Known Medication (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Known Medication (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and   exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)',         'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and exists(index-of(for $refset in ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product (MP)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product (TP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product (Concept Id: 929360061000036106), Medicinal Product Pack (Concept Id: 929360081000036101),         Medicinal Product Unit of Use (Concept Id: 929360071000036103), Trade Product (Concept Id: 929360021000036102), Trade Product Pack         (Concept Id: 929360041000036105), Trade Product Unit of Use (Concept Id: 929360031000036100) and the Containered Trade Product Pack         (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Known Medication (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M484" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M484" />
  <xsl:template match="@*|node()" priority="-2" mode="M484">
    <xsl:apply-templates select="@*|*" mode="M484" />
  </xsl:template>
  <!--PATTERN p-TS-Med-CodeableText-15-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '101.16146' = $doc-sections][not(cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) or   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')  or   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')  ])]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/cda:substanceAdministration/cda:consumable/   cda:manufacturedProduct/cda:manufacturedMaterial/cda:code[(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-meds-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])][not(@nullFlavor = $no-value-NF)] " priority="1000" mode="M485">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '101.16146' = $doc-sections][not(cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) or   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')  or   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')  ])]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/cda:substanceAdministration/cda:consumable/   cda:manufacturedProduct/cda:manufacturedMaterial/cda:code[(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-meds-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])][not(@nullFlavor = $no-value-NF)] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="snomed-trans" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="tcode" select="if (exists($snomed-trans[1]) and matches($snomed-trans[1]/@code, $snomed-code-regex)) then $snomed-trans[1]/@code else '' " />
    <xsl:variable name="code-present" select="$pcode != '' or $tcode != '' " />
    <xsl:variable name="invalid-code-system" select="@code and @displayName and @codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="codesystemvalues" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']" />
    <xsl:variable name="otext-without-markup" select="if (cda:originalText and cda:originalText != '') then normalize-space(replace(cda:originalText, $markup-regex, ' ')) else '' " />
    <xsl:variable name="pdname" select="if (@displayName and not($invalid-code-system)) then normalize-space(@displayName) else '' " />
    <xsl:variable name="is-immun" select="exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='101.16638' or @code = '101.16658' or @code = '101.17039')]]) " />
    <xsl:variable name="is-pd" select="exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code = '102.16210' or @code='102.16211' or @code='101.16795')]]) " />
    <xsl:variable name="is-shs-meds" select="$templateId-root = '1.2.36.1.2001.1001.101.100.1002.120' and          exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]) " />
    <xsl:variable name="is-meds" select="exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code = '101.16146.4.1.1' or @code = '101.16146.4.1.2' or @code='101.16146')]]) " />
    <xsl:variable name="max-code-number" select="if ($knowledge/search-for-term/max-sct-code-number/@value &gt; '5') then $knowledge/search-for-term/max-sct-code-number/@value else '5' " />
    <xsl:variable name="der-text-1" select="if ($code-present) then ''         else if ($otext-without-markup != '') then $otext-without-markup        else if ($pdname != '') then $pdname        else '' " />
    <xsl:variable name="family-err" select="matches($der-text-1, $family-regex, 'is')" />
    <xsl:variable name="der-truncated-text-1" select="normalize-space(replace(replace($der-text-1, $unicode-br-truncation-regex, '$1', 'is'), $tgi-truncation-regex, '$1', 'is')) " />
    <xsl:variable name="length-err" select="string-length($der-truncated-text-1) &gt; $length-err-max" />
    <xsl:variable name="prose-err-1" select="$length-err and cda:originalText and (        matches(cda:originalText, $ulist-regex)           or         matches(cda:originalText, $alt-ulist-1a-regex, 'is')         or         matches(cda:originalText, $alt-ulist-1b-regex, 'is')         )" />
    <xsl:variable name="prose-err" select="$prose-err-1 or (cda:originalText and (         matches(cda:originalText, $alt-ulist-2-regex, 'is')         or        matches(cda:originalText, $olist-arabic-regex, 'is')         or         matches(cda:originalText, $olist-alpha-regex, 'is')         or         matches(cda:originalText, $olist-roman-regex, 'is')         or        matches(replace(cda:originalText, $new-line-regex, codepoints-to-string((10)), 'is'), $para-regex, 'is') or        matches(cda:originalText, codepoints-to-string((8233)), 'is')        or               (cda:originalText and matches(cda:originalText, $invalid-concept-regex, 'is'))     or        ($length-err and matches(cda:originalText, '\.\s*$', 's') and matches(cda:originalText, $multi-sentence-regex, 's')) ))" />
    <xsl:variable name="avoid-ts" select="$family-err or $length-err or $prose-err or not($use-ts-for-sctau) " />
    <xsl:variable name="der-text-2a" select="if ($der-truncated-text-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-truncated-text-1, $tgi-fir-pattern-replacement, 'ic')) " />
    <xsl:variable name="der-text-2" select="if ($der-text-2a = '') then $der-text-1 else $der-text-2a " />
    <xsl:variable name="der-text-a" select="if ($der-text-2 = '' or $tgi-regex = '') then $der-text-2 else normalize-space(dh:XQueryRecursiveReplace($der-text-2, $tgi-regex, 'ic')) " />
    <xsl:variable name="der-text" select="if ($der-text-a = '') then $der-text-2 else $der-text-a " />
    <xsl:variable name="defn-valid-regex" select="concat('(^|\|)', translate($der-text-2, $chars-to-remove, ''), '(\||$)') " />
    <xsl:variable name="der-text-to-match-1" select="lower-case($der-text-2) " />
    <xsl:variable name="der-text-to-match" select="translate($der-text-to-match-1, $chars-to-remove, '') " />
    <xsl:variable name="tgi-non-value-regex" select="if ($is-immun)          then $cd-definitions/immun/@non-value-regex         else if ($is-pd)       then $cd-definitions/pd/@non-value-regex        else if ($is-shs-meds) then $cd-definitions/shs-meds/@non-value-regex        else if ($is-meds)     then $cd-definitions/meds/@non-value-regex        else '' " />
    <xsl:variable name="der-text-non-value" select="if ($code-present or @nullFlavor = $no-value-NF) then false() else         $der-text-to-match = ''             or         not(matches($der-text-to-match-1, '[a-z]', 'is'))         or        ($cd-definitions/non-value/@regex != '' and matches($der-text-to-match-1, $cd-definitions/non-value/@regex, 'is')) or        ($tgi-non-value-regex != '' and matches($der-text-to-match-1, $tgi-non-value-regex, 'is'))    " />
    <xsl:variable name="tgi-invalid-regex" select="if ($is-immun)          then $cd-definitions/immun/@invalid-regex         else if ($is-pd)       then $cd-definitions/pd/@invalid-regex        else if ($is-shs-meds) then $cd-definitions/shs-meds/@invalid-regex        else if ($is-meds)     then $cd-definitions/meds/@invalid-regex        else '' " />
    <xsl:variable name="defn-invalid-regex" select="if ($code-present or $der-text-non-value) then ()        else if ($tgi-invalid-regex != '') then tokenize($tgi-invalid-regex, '~')[. != '']         else () " />
    <xsl:variable name="defn-invalid-txt-regex" select="(for $i in (1 to count($defn-invalid-regex)) return normalize-space(substring-before($defn-invalid-regex[$i], '[[')))[. != '']" />
    <xsl:variable name="der-invalid-text-regex-1" select="if (exists($defn-invalid-txt-regex))        then index-of(for $i in (1 to count($defn-invalid-txt-regex)) return matches($der-text-2, $defn-invalid-txt-regex[$i], 'is'), true())        else () " />
    <xsl:variable name="der-invalid-text" select="exists($der-invalid-text-regex-1) " />
    <xsl:variable name="defn-invalid-rsn" select="if ($der-invalid-text)         then normalize-space(substring-before(substring-after($defn-invalid-regex[$der-invalid-text-regex-1[1]], '[['), ']]'))         else '' " />
    <xsl:variable name="trusted-code-systems" select="if ($der-text = '' or $der-invalid-text or not(@codeSystem or cda:translation/@codeSystem)) then ()        else if ($is-immun)          then (tokenize(replace($cd-definitions/immun/@core, '\s+', ''), '\|'),           tokenize(replace($cd-definitions/immun/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-pd)          then (tokenize(replace($cd-definitions/pd/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/pd/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-shs-meds)          then (tokenize(replace($cd-definitions/shs-meds/@core, '\s+', ''), '\|'),          tokenize(replace($cd-definitions/shs-meds/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-meds)          then (tokenize(replace($cd-definitions/meds/@core, '\s+', ''), '\|'),           tokenize(replace($cd-definitions/meds/@extra, '\s+', ''), '\|'))[. != '']         else () " />
    <xsl:variable name="der-trusted-text" select="if ($der-text = '' or $der-invalid-text or (@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex)))) then false()        else ((@codeSystem and exists($trusted-code-systems[. = current()/@codeSystem])) or               (cda:translation/@codeSystem and exists($trusted-code-systems[. = current()/cda:translation/@codeSystem]))) " />
    <xsl:variable name="a-vaccine-1" select="not($code-present or $der-text-non-value or $der-invalid-text) and exists($vaccine-text-normalised) and $der-text-to-match = $vaccine-text-normalised" />
    <xsl:variable name="a-sas-tgi-1" select="not($code-present or $der-text-non-value or $der-invalid-text or $a-vaccine-1) and $tgi-sas-regex != '' and matches($der-text, $tgi-sas-regex, 'is')" />
    <xsl:variable name="an-uncoded-tgi-1" select="not($code-present or $der-text-non-value or $der-invalid-text or $a-vaccine-1 or $a-sas-tgi-1) and $tgi-otheru-regex != '' and         matches($der-text, $tgi-otheru-regex, 'is')" />
    <xsl:variable name="obsolete-tgi-info-1" select="if ($is-immun or $code-present or $der-text-non-value or $der-invalid-text or $a-vaccine-1 or $a-sas-tgi-1 or $an-uncoded-tgi-1 or         not(exists($knowledge/special-tgi/obsolete))) then ()        else $knowledge/special-tgi/obsolete[matches($der-text, concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')] " />
    <xsl:variable name="an-obsolete-tgi-1" select="exists($obsolete-tgi-info-1)" />
    <xsl:variable name="tgi-valid-regex-1" select="if ($code-present or $der-text-non-value or $der-invalid-text or $der-text = '' or $a-vaccine-1 or $a-sas-tgi-1 or $an-uncoded-tgi-1 or          $an-obsolete-tgi-1) then ''        else if ($is-immun)    then $cd-definitions/immun/@valid-regex        else if ($is-pd)       then $cd-definitions/pd/@valid-regex        else if ($is-shs-meds) then $cd-definitions/shs-meds/@valid-regex        else if ($is-meds)     then $cd-definitions/meds/@valid-regex        else '' " />
    <xsl:variable name="valid-tgi-1" select="if ($a-vaccine-1 or $a-sas-tgi-1 or $an-uncoded-tgi-1 or $an-obsolete-tgi-1) then true()         else if ($tgi-valid-regex-1 = '') then false()        else exists(index-of(for $regex in (tokenize($tgi-valid-regex-1, '~')[. != '']) return          matches($der-text-2, dh:XQueryRecursiveReplace(normalize-space($regex), ' \|~|~\| ~|', ''), 'is'), true())) " />
    <xsl:variable name="invalid-hierarchy-1" select="if (exists($cd-definitions/meds/meds-invalid/hierarchy))         then string-join(for $hierarchy in $cd-definitions/meds/meds-invalid/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-refset" select="if (exists($cd-definitions/meds/meds-invalid/refset))          then string-join(for $refset in $cd-definitions/meds/meds-invalid/refset return concat('^', $refset/@code), ' OR ')         else '' " />
    <xsl:variable name="valid-refset" select="concat($tgi-formula, ' OR &lt;763158003') " />
    <xsl:variable name="valid-domain" select="if ($invalid-refset != '' and $invalid-hierarchy-1 != '')         then concat('((', $valid-refset, ') MINUS (', $invalid-refset, ' OR (', $invalid-hierarchy-1, ')))')        else if ($invalid-refset = '' and $invalid-hierarchy-1 != '') then concat('((', $valid-refset, ') MINUS (', $invalid-hierarchy-1, '))')         else if ($invalid-refset != '' and $invalid-hierarchy-1 = '') then concat('((', $valid-refset, ') MINUS (', $invalid-refset, '))')        else concat('(', $valid-refset, ')') " />
    <xsl:variable name="related-terms-1" select="if ($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-1) then ()        else ($codesystemvalues/code[@related-terms], $codesystemvalues/related-terms[@related-terms]) " />
    <xsl:variable name="related-terms-2" select="for $i in index-of(        for $concept in $related-terms-1 return matches(translate($concept/@related-terms, $chars-no-pipe, ''), $defn-valid-regex, 'is'), true())         return $related-terms-1[$i]/@code " />
    <xsl:variable name="der-tgi-codes-1" select="if (exists($related-terms-2)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($related-terms-2, ' OR '), ') AND ', $valid-domain), '', string(count($related-terms-2)), false())        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $der-tgi-codes-1 " />
    <xsl:variable name="der-valid-codes-1" select="if (contains($der-tgi-codes-1, '[')) then $der-tgi-codes-1 else '' " />
    <xsl:variable name="valid-tgi-2" select="$valid-tgi-1 or $der-valid-codes-1 != '' " />
    <xsl:variable name="tgi-inactive-refSets" select="if (exists($cd-definitions/tgi/tgi-invalid/inactive-refset))         then concat('((', $inactive-refSets, ') MINUS (',           string-join(for $refset in $cd-definitions/tgi/tgi-invalid/inactive-refset return concat('^', $refset/@code), ' OR '),          '))')         else $inactive-refSets " />
    <xsl:variable name="formula" select="concat($valid-domain, ' OR ', $tgi-inactive-refSets) " />
    <xsl:variable name="ts-not-needed" select="$der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-2 or $avoid-ts " />
    <xsl:variable name="der-tgi-codes-2-a" select="if ($ts-not-needed or exists($related-terms-2)) then ()         else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-text,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2-a" select="$error-usingTS-1 or 'Error' = $der-tgi-codes-2-a " />
    <xsl:variable name="revision-pattern-1" select="if ($ts-not-needed or $valid-tgi-2 or exists($der-tgi-codes-2-a) or $error-usingTS-2-a or exists($related-terms-2)) then ''        else $tgi-sec-pattern-replacement " />
    <xsl:variable name="der-revised-text-1" select="if ($revision-pattern-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-text, $revision-pattern-1, 'ic')) " />
    <xsl:variable name="use-revised-text-1" select="$der-revised-text-1 != '' and $der-revised-text-1 != $der-text " />
    <xsl:variable name="obsolete-tgi-info-2" select="if (exists($der-tgi-codes-2-a)) then ()        else if ($an-obsolete-tgi-1) then $obsolete-tgi-info-1        else if ($use-revised-text-1) then $knowledge/special-tgi/obsolete[matches($der-revised-text-1, concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')]        else () " />
    <xsl:variable name="an-obsolete-tgi-2" select="exists($obsolete-tgi-info-2)" />
    <xsl:variable name="der-tgi-codes-2-b" select="if ($an-obsolete-tgi-2) then ()        else if ($ts-not-needed or exists($der-tgi-codes-2-a) or not($use-revised-text-1)) then $der-tgi-codes-2-a         else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-1,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2-b" select="$error-usingTS-2-a or 'Error' = $der-tgi-codes-2-b " />
    <xsl:variable name="revision-pattern-2" select="if ($ts-not-needed or $valid-tgi-2 or exists($der-tgi-codes-2-b) or $error-usingTS-2-b or exists($related-terms-2)) then ''        else $tgi-thi-pattern-replacement " />
    <xsl:variable name="der-revised-text-2" select="if ($revision-pattern-2 = '') then '' else normalize-space(dh:XQueryRecursiveReplace(         if ($use-revised-text-1) then $der-revised-text-1 else $der-text, $revision-pattern-2, 'ic')) " />
    <xsl:variable name="use-revised-text-2" select="if ($use-revised-text-1) then $der-revised-text-2 != '' and $der-revised-text-2 != $der-revised-text-1         else $der-revised-text-2 != '' and $der-revised-text-2 != $der-text " />
    <xsl:variable name="obsolete-tgi-info-3" select="if (exists($der-tgi-codes-2-b)) then ()        else if ($an-obsolete-tgi-2) then $obsolete-tgi-info-2        else if ($use-revised-text-2) then $knowledge/special-tgi/obsolete[matches($der-revised-text-2, concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')]        else () " />
    <xsl:variable name="an-obsolete-tgi-3" select="exists($obsolete-tgi-info-3)" />
    <xsl:variable name="der-tgi-codes-2-c" select="if ($an-obsolete-tgi-3) then ()        else if ($ts-not-needed or exists($der-tgi-codes-2-b) or not($use-revised-text-2)) then $der-tgi-codes-2-b        else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-2,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2-c" select="$error-usingTS-2-b or 'Error' = $der-tgi-codes-2-c " />
    <xsl:variable name="der-tgi-codes-2-d" select="if ($an-obsolete-tgi-3 or $ts-not-needed or exists($der-tgi-codes-2-c)) then $der-tgi-codes-2-c        else iq:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula,          if ($der-revised-text-2 != '') then $der-revised-text-2          else if ($der-revised-text-1 != '') then $der-revised-text-1          else $der-text, 'default') " />
    <xsl:variable name="error-usingTS-2-d" select="$error-usingTS-2-c or 'Error' = $der-tgi-codes-2-d " />
    <xsl:variable name="der-tgi-codes-2" select="$der-tgi-codes-2-d " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-2-d " />
    <xsl:variable name="der-valid-codes-2" select="if ($der-valid-codes-1 != '') then $der-valid-codes-1        else if ($error-usingTS-2) then ''         else string-join((for $code in $der-tgi-codes-2 return if (contains($code, '~inactive')) then '' else $code)[. != ''], '|')  " />
    <xsl:variable name="valid-tgi-3" select="$valid-tgi-2 or $der-valid-codes-2 != '' " />
    <xsl:variable name="der-inactive-codes-1" select="if ($valid-tgi-3) then () else        for $code in $der-tgi-codes-2 return if (contains($code, '~inactive')) then replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is') else '' " />
    <xsl:variable name="der-inactive-codes-2" select="for $i in (1 to count($der-inactive-codes-1)) return         dh:IsCodeAssociatedWithAnotherCode($der-inactive-codes-1[$i], '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-1" select="'Error' = $der-inactive-codes-2 " />
    <xsl:variable name="der-NAF-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-NAF-active-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound~active')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-inactive-codes-3" select="tokenize(string-join(for $i in (1 to count($der-inactive-codes-1)) return replace(string-join(tokenize($der-inactive-codes-2[$i], '\|')        [matches(., '(REPLACED BY|SAME AS|ALTERNATIVE|POSSIBLY EQUIVALENT TO|MAY BE A|WAS A)')], '|'), '[0-9]+~[A-Z ]+~([0-9]+)', '$1'), '|'), '\|')        [. != ''] " />
    <xsl:variable name="der-tgi-codes-3" select="if (exists($der-inactive-codes-3)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($der-inactive-codes-3, ' OR '), ') AND ', $valid-domain), '', string(count($der-inactive-codes-3)), false())          else '' " />
    <xsl:variable name="error-usingTS-3" select="$error-usingTS-2 or 'Error' = $der-tgi-codes-3 " />
    <xsl:variable name="der-valid-codes-3" select="if ($der-valid-codes-2 != '') then $der-valid-codes-2        else if (contains($der-tgi-codes-3, '[')) then $der-tgi-codes-3        else '' " />
    <xsl:variable name="valid-tgi-4" select="$valid-tgi-3 or $der-valid-codes-3 != '' " />
    <xsl:variable name="tbd-hierarchy" select="if (exists($cd-definitions/meds/meds-tbd/hierarchy))         then string-join(for $hierarchy in $cd-definitions/meds/meds-tbd/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-hierarchy" select="if ($invalid-hierarchy-1 != '' and $tbd-hierarchy != '') then concat($invalid-hierarchy-1, ' OR ', $tbd-hierarchy)        else if ($invalid-hierarchy-1 != '') then $invalid-hierarchy-1        else if ($tbd-hierarchy != '') then $tbd-hierarchy        else '' " />
    <xsl:variable name="invalid-domain" select="if ($invalid-hierarchy != '' and $invalid-refset != '') then concat($invalid-hierarchy, ' OR ', $invalid-refset)        else if ($invalid-hierarchy != '') then $invalid-hierarchy        else if ($invalid-refset != '') then $invalid-refset        else '' " />
    <xsl:variable name="filter-text" select="if ($use-revised-text-2) then $der-revised-text-2 else if ($use-revised-text-1) then $der-revised-text-1 else $der-text " />
    <xsl:variable name="der-tgi-codes-4" select="if ($ts-not-needed or $valid-tgi-4 or $invalid-domain = '') then ()        else if (exists($related-terms-2)) then $related-terms-2        else distinct-values((tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          $invalid-domain, $filter-text, $max-code-number, false()), '(\[.*?\])(\||$)', '$2'), '\|'), $der-inactive-codes-3)) " />
    <xsl:variable name="error-usingTS-4" select="$error-usingTS-3 or 'Error' = $der-tgi-codes-4 " />
    <xsl:variable name="invalid-tgi-codes-r" select="if ($ts-not-needed or $valid-tgi-4 or $error-usingTS-4 or not(exists($der-tgi-codes-4))) then ()        else if ($invalid-refset = '') then tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-tgi-codes-4, ' OR '), ') AND (', $inactive-refSets, ')'), '',           string(count($der-tgi-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')        else tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-tgi-codes-4, ' OR '), ') AND (', $invalid-refset, ' OR ', $inactive-refSets, ')'), '',           string(count($der-tgi-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')  " />
    <xsl:variable name="error-usingTS-5" select="$error-usingTS-4 or 'Error' = $invalid-tgi-codes-r " />
    <xsl:variable name="der-tgi-codes-4-h" select="if ($error-usingTS-5) then () else $der-tgi-codes-4[not(. = $invalid-tgi-codes-r)]" />
    <xsl:variable name="invalid-tgi-codes-h" select="if ($ts-not-needed or $valid-tgi-4 or 'Error' = $der-tgi-codes-4 or $meds-invalid-hierarchy = '' or not(exists($der-tgi-codes-4-h))) then ()        else (for $code in $der-tgi-codes-4-h return          if (dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;&gt;', $code, ' MINUS ', $meds-invalid-hierarchy), '', '1', false()) = '') then $code else '')[. != ''] " />
    <xsl:variable name="invalid-tgi-codes" select="($invalid-tgi-codes-h, $invalid-tgi-codes-r) " />
    <xsl:variable name="der-tgi-codes-5" select="$der-tgi-codes-4[not(. = $invalid-tgi-codes or . = 'Error')]" />
    <xsl:variable name="der-valid-codes-4" select="if ($der-valid-codes-3 != '') then $der-valid-codes-3        else if ($ts-not-needed or $valid-tgi-4 or $valid-domain = '' or not(exists($der-tgi-codes-5))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-tgi-codes-5, ' OR '), ') AND ', $valid-domain), '', string(count($der-tgi-codes-5)), false()) " />
    <xsl:variable name="error-usingTS-6" select="$error-usingTS-5 or 'Error' = $der-valid-codes-4 " />
    <xsl:variable name="valid-tgi-5" select="$valid-tgi-4 or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="der-valid-codes-seq" select="if ($error-usingTS-6) then () else tokenize(replace($der-valid-codes-4,  '(\[.*?\])(\||$)', '$2'), '\|') " />
    <xsl:variable name="undetermined-tgi-1" select="if (exists($der-valid-codes-seq)) then $der-tgi-codes-5[not(. = $der-valid-codes-seq)] else $der-tgi-codes-5 " />
    <xsl:variable name="undetermined-inactive-1" select="for $i in (1 to count($undetermined-tgi-1)) return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $undetermined-tgi-1[$i], '', '1', false()) " />
    <xsl:variable name="error-usingTS-7" select="$error-usingTS-6 or 'Error' = $undetermined-inactive-1 " />
    <xsl:variable name="undetermined-inactive" select="(for $i in (1 to count($undetermined-tgi-1)) return         if (contains($undetermined-inactive-1[$i], '~inactive')) then $undetermined-inactive-1[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-1" select="for $i in (1 to count($undetermined-inactive))        return dh:IsCodeAssociatedWithAnotherCode(replace($undetermined-inactive[$i], '(\[.*?\])(\||$)', '$2'), '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-2" select="$error-usingV-1 or 'Error' = $undetermined-NAF-1 " />
    <xsl:variable name="undetermined-NAF" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-codes" select="for $term in $undetermined-NAF return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-NAF-active" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound~active')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-active-codes" select="for $term in $undetermined-NAF-active return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-tgi" select="$undetermined-tgi-1[not(. = ($undetermined-NAF-codes, $undetermined-NAF-active-codes))]" />
    <xsl:variable name="invalid-tgi" select="not($valid-tgi-5) and exists($invalid-tgi-codes) and not(exists($undetermined-tgi))" />
    <xsl:variable name="a-sas-tgi" select="if ($a-sas-tgi-1) then true()        else if ($a-vaccine-1 or $valid-tgi-5 or $invalid-tgi or not($use-revised-text-2) or $tgi-sas-regex = '') then false()        else matches($der-revised-text-2, $tgi-sas-regex, 'is')" />
    <xsl:variable name="an-uncoded-tgi" select="if ($an-uncoded-tgi-1) then true()        else if ($a-vaccine-1 or $valid-tgi-5 or $invalid-tgi or not($use-revised-text-2) or $tgi-otheru-regex = '' or $a-sas-tgi) then false()        else matches($der-revised-text-2, $tgi-otheru-regex, 'is')" />
    <xsl:variable name="obsolete-tgi-info" select="if ($an-obsolete-tgi-3) then $obsolete-tgi-info-3        else if ($a-vaccine-1 or $valid-tgi-5 or $invalid-tgi or not($use-revised-text-2) or not(exists($knowledge/special-tgi/obsolete)) or $a-sas-tgi or          $an-uncoded-tgi) then ()        else $knowledge/special-tgi/obsolete[matches($der-revised-text-2,          concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')] " />
    <xsl:variable name="an-obsolete-tgi" select="exists($obsolete-tgi-info)" />
    <xsl:variable name="valid-tgi-6" select="$valid-tgi-5 or $a-sas-tgi or $an-uncoded-tgi or $an-obsolete-tgi " />
    <xsl:variable name="a-vaccine-2" select="if ($a-vaccine-1) then true()        else if ($valid-tgi-6 or $invalid-tgi or not(exists($vaccine-text-normalised))) then false()        else if ($der-text != '' and translate(lower-case($der-text), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else if ($use-revised-text-1 and translate(lower-case($der-revised-text-1), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else if ($use-revised-text-2 and translate(lower-case($der-revised-text-2), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else false() " />
    <xsl:variable name="vaccine-code-test" select="if (not($a-vaccine-2 or $valid-tgi-6 or $invalid-tgi or $avoid-ts) and exists($undetermined-tgi))         then tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($undetermined-tgi, ' OR '), ') AND (&lt;71181003 OR &lt;127785005)'), '',          string(count($undetermined-tgi)), false()), '\|')        else () " />
    <xsl:variable name="error-usingTS-8" select="$error-usingTS-7 or 'Error' = $vaccine-code-test " />
    <xsl:variable name="a-vaccine" select="$a-vaccine-2 or (not('Error' = $vaccine-code-test) and exists($undetermined-tgi) and count($vaccine-code-test) = count($undetermined-tgi)) " />
    <xsl:variable name="codes-with-history" select="$der-inactive-codes-2[matches(., '[0-9]')]" />
    <xsl:variable name="hist-vers" select="if (exists($codes-with-history))        then dh:FindLastUpdatedDateForCodeUsingTS(substring-before($codes-with-history[1], '~'), '2.16.840.1.113883.6.96', $ts-latest-snomedctau)       else '' " />
    <xsl:variable name="error-usingTS-9" select="$error-usingTS-8 or 'Error' = $hist-vers " />
    <xsl:variable name="hist-vers-date" select="if (matches($hist-vers, '^(CodeFoundActive|CodeFoundInactive)\|[0-9]{8}$')) then substring-after($hist-vers, '|') else '' " />
    <xsl:variable name="inactive-concept" select="count($der-tgi-codes-2) = count($der-inactive-codes-1) and not($valid-tgi-6)" />
    <xsl:variable name="der-inactive-codes-4" select="$der-inactive-codes-3[not(contains(., 'MOVED FROM') or contains(., 'WAS A'))]" />
    <xsl:variable name="obsolete-without-date" select=" ($an-obsolete-tgi and not($obsolete-tgi-info/@last-available))   or         (exists($der-inactive-codes-3) and not(exists($der-inactive-codes-4)))  or         (exists($der-inactive-codes-4) and $hist-vers-date = '')   " />
    <xsl:variable name="obsolete-date" select="if ($is-immun) then ''        else if ($hist-vers-date != '') then $hist-vers-date        else if ($an-obsolete-tgi and $obsolete-tgi-info/@last-available) then $obsolete-tgi-info/@last-available         else '' " />
    <xsl:variable name="obsolete-yr" select="substring($obsolete-date, 1, 4) " />
    <xsl:variable name="obsolete-mn-temp" select="substring($obsolete-date, 5, 2) " />
    <xsl:variable name="obsolete-mn" select="if ($obsolete-mn-temp = '') then '06' else $obsolete-mn-temp " />
    <xsl:variable name="obsolete-dy-temp" select="substring($obsolete-date, 7, 2) " />
    <xsl:variable name="obsolete-dy" select="if ($obsolete-dy-temp = '') then '15' else $obsolete-dy-temp " />
    <xsl:variable name="obsolete-xs" select="if ($obsolete-date = '') then () else xs:date(concat($obsolete-yr, '-', $obsolete-mn, '-', $obsolete-dy)) " />
    <xsl:variable name="display-obsolete-date" select="if ($obsolete-date = '') then ''        else if ($obsolete-mn-temp = '') then $obsolete-dy        else if ($obsolete-dy-temp = '') then concat($knowledge/months/month[@number = $obsolete-mn]/@abbreviation, ' ', $obsolete-yr)        else concat($obsolete-dy, ' ', $knowledge/months/month[@number = $obsolete-mn]/@abbreviation, ' ', $obsolete-yr) " />
    <xsl:variable name="obsolete-date-diff" select="if ($obsolete-date = '' or not(matches($creation-date-xs - $obsolete-xs, '^P[0-9]+D'))) then '0'        else number(substring-before(substring-after($creation-date-xs - $obsolete-xs, 'P'), 'D')) " />
    <xsl:variable name="obsolete-yrs-ago" select="$obsolete-date-diff div 365 " />
    <xsl:variable name="coding" select="if (not($flags/@assess-class = 'true') or not($use-ts-for-sctau) or not(exists($iq-config/tgi-coding))) then () else $iq-config/tgi-coding" />
    <xsl:variable name="s-classification" select="if (exists($coding/special-classification/classification)) then $coding/special-classification/classification else () " />
    <xsl:variable name="s-number" select="count($s-classification) " />
    <xsl:variable name="s-formula" select="string-join(for $class in $s-classification return $class/@code, ' OR ')" />
    <xsl:variable name="code-to-assess" select="if (not($flags/@assess-class = 'true') or not($use-ts-for-sctau)) then '' else if (exists($der-valid-codes-seq)) then $der-valid-codes-seq[1] else '' " />
    <xsl:variable name="value-domain-1" select="if ($code-to-assess = '') then '' else dh:FindValueDomainsForCode($code-to-assess, '2.16.840.1.113883.6.96', $v-current-sctau)" />
    <xsl:variable name="class-error-1" select="$value-domain-1 = 'Error' " />
    <xsl:variable name="value-domain" select="if ($class-error-1 or $value-domain-1 = ('', 'CodeNotFound')) then ''       else if (contains($value-domain-1, '|')) then substring-before($value-domain-1, '|')       else $value-domain-1 " />
    <xsl:variable name="first-pass-1" select="if ($value-domain = '') then ''        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)'))         then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat($code-to-assess, ' . 30409011000036107'), '', '1', true())        else if ($value-domain = 'Medicinal Product Pack (MPP)')         then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat($code-to-assess, ' . 30348011000036104'), '', '1', true())        else if ($value-domain = 'Trade Product (TP)') then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&lt;', $code-to-assess), '', '1', true())        else $code-to-assess " />
    <xsl:variable name="class-error-2" select="$class-error-1 or ($value-domain != '' and $first-pass-1 = ('Error', '')) " />
    <xsl:variable name="first-pass" select="if (not($class-error-2) and $first-pass-1 != '') then replace($first-pass-1, '(\[.*?\])(\||$)', '$2') else '' " />
    <xsl:variable name="second-pass-1" select="if ($first-pass = '') then ''        else if ($value-domain = 'Trade Product Unit of Use (TPUU)')          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $code-to-assess, ' AND ^929360071000036103'), '', '1', true())        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product (TP)'))          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $first-pass, ' AND ^929360071000036103'), '', '1', true())        else if ($value-domain = 'Medicinal Product Pack (MPP)') then $first-pass        else $code-to-assess " />
    <xsl:variable name="class-error-3" select="$class-error-2 or ($first-pass != '' and $second-pass-1 = ('Error', '')) " />
    <xsl:variable name="second-pass" select="if (not($class-error-3) and $second-pass-1 != '') then replace($second-pass-1, '(\[.*?\])(\||$)', '$2') else '' " />
    <xsl:variable name="class-tp-1" select="if ($class-error-3) then ''        else if ($value-domain = 'Trade Product Unit of Use (TPUU)')          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $code-to-assess, ' AND ^929360021000036102'), '', '1', true())        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)'))          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $first-pass, ' AND ^929360021000036102'), '', '1', true())        else '' " />
    <xsl:variable name="class-tp-error" select="$class-tp-1 = 'Error' " />
    <xsl:variable name="class-tp" select="if (not($class-tp-error) and $class-tp-1 != '') then replace($class-tp-1, '^([0-9]+\[)(.*?)(\])$', '$2') else '' " />
    <xsl:variable name="third-pass-1" select="if ($second-pass = '') then ''        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product (TP)',          'Trade Product Unit of Use (TPUU)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)'))         then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;!', $second-pass, ' AND ^929360061000036106'), '', '1', false())        else $second-pass " />
    <xsl:variable name="class-error-4" select="$class-error-3 or ($second-pass != '' and $third-pass-1 = ('Error', '')) " />
    <xsl:variable name="third-pass" select="if ($class-error-4 or $third-pass-1 = '') then ''         else if (matches($third-pass-1, '^[0-9]+$')) then replace($der-valid-codes-4, '^([0-9]+\[)(.*?)(\]\|.*|\])$', '$2')        else if (matches($third-pass-1, '^[0-9]')) then replace($third-pass-1, '^([0-9]+\[)(.*?)(\])$', '$2') else '' " />
    <xsl:variable name="fourth-pass-1" select="if ($third-pass = '') then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', '&lt;373873005', $third-pass, '1', true()) " />
    <xsl:variable name="class-error-5" select="$class-error-4 or $fourth-pass-1 = 'Error' " />
    <xsl:variable name="fourth-pass" select="if (not($class-error-4) and $fourth-pass-1 != '' and matches($fourth-pass-1, '^[0-9]')) then replace($fourth-pass-1, '(\[.*?\])(\||$)', '$2') else '' " />
    <xsl:variable name="class-not-completed" select="($flags/@assess-class = 'true' and $code-to-assess = '')  or        ($code-to-assess != '' and $value-domain-1 = 'CodeNotFound') or        ($third-pass != '' and $fourth-pass = '')   " />
    <xsl:variable name="valid-class-1" select="if ($fourth-pass = '' or $s-number = 0) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND (', $s-formula, ')'), '', string($s-number), true()) " />
    <xsl:variable name="class-error-6" select="$class-error-5 or $valid-class-1 = 'Error' " />
    <xsl:variable name="valid-class-2" select="if ($valid-class-1 = '' or $class-error-6) then () else tokenize(replace($valid-class-1, '(\[.*?\])(\||$)', '$2'), '\|') " />
    <xsl:variable name="valid-class-3" select="if ($a-vaccine and exists($s-classification[@code = '71181003']/@description)) then ($s-classification[@code = '71181003']/@description)       else if ($a-vaccine and exists($s-classification[@code = '71181003']/@pterm)) then ($s-classification[@code = '71181003']/@pterm)       else for $code in $valid-class-2 return if ($coding/special-classification/classification[@code = $code]/@description)         then $coding/special-classification/classification[@code = $code]/@description         else $coding/special-classification/classification[@code = $code]/@pterm " />
    <xsl:variable name="fifth-pass" select="if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/first-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/first-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-7" select="$class-error-6 or $fifth-pass = 'Error' " />
    <xsl:variable name="sixth-pass" select="if (not($fifth-pass = '')) then $fifth-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/second-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/second-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-8" select="$class-error-7 or $sixth-pass = 'Error' " />
    <xsl:variable name="seventh-pass" select="if (not($sixth-pass = '')) then $sixth-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/third-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/third-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-9" select="$class-error-8 or $seventh-pass = 'Error' " />
    <xsl:variable name="eighth-pass" select="if (not($seventh-pass = '')) then $seventh-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/fourth-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/fourth-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-10" select="$class-error-9 or $eighth-pass = 'Error' " />
    <xsl:variable name="ninth-pass" select="if (not($eighth-pass = '')) then $eighth-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/fifth-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/fifth-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-11" select="$class-error-10 or $ninth-pass = 'Error' " />
    <xsl:variable name="valid-class" select="if (exists($valid-class-3)) then $valid-class-3        else if (not($ninth-pass = '')) then for $term in tokenize($ninth-pass, '\|') return replace($term, '^([0-9]+\[)(.*?)(\])$', '$2')       else () " />
    <xsl:variable name="codes-were-found" select="exists($der-tgi-codes-4) or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="obsolete-error" select="not($is-immun) and ($an-obsolete-tgi or $inactive-concept) and $obsolete-yrs-ago &gt; 2 " />
    <xsl:variable name="obsolete-warning" select="not($is-immun or $obsolete-error) and ($an-obsolete-tgi or $inactive-concept) and ($obsolete-yrs-ago &gt; 1 or $obsolete-without-date) " />
    <xsl:variable name="codes-not-found" select="not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-6 or $invalid-tgi or $a-vaccine) " />
    <xsl:variable name="codes-in-the-domain" select="not($valid-tgi-1) and $valid-tgi-5" />
    <xsl:variable name="codes-in-other-domain" select="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi or         $a-vaccine or $obsolete-warning) " />
    <xsl:variable name="codes-in-no-domain" select="exists($der-tgi-codes-5) " />
    <xsl:variable name="display-in-the-domain" select="if ($codes-in-the-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', '), '''')        else '' " />
    <xsl:variable name="display-in-other-r" select="if (exists($invalid-tgi-codes-r) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-tgi-codes-r return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-h" select="if (exists($invalid-tgi-codes-h) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-tgi-codes-h return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-domain" select="if (not($codes-in-other-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))) then ''        else if ($display-in-other-r and display-in-other-h) then concat('''', $display-in-other-r, ', ', $display-in-other-h, '''')        else if ($display-in-other-r) then concat('''', $display-in-other-r, '''')        else if ($display-in-other-h) then concat('''', $display-in-other-h, '''')        else '' " />
    <xsl:variable name="display-in-no-domain" select="if ($codes-in-no-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', dh:XQueryRecursiveReplace(string-join(for $code in $der-tgi-codes-5 return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), '; '),          $term-pattern-replacement, 'ic'), '''')        else '' " />
    <xsl:variable name="log-concepts-appended" select="if ($error-usingTS-9 or not($flags/@report-terminology-concepts = 'true') or $log-concepts-name = '') then ''        else if ($codes-not-found and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                   'Therapeutic Good Identification', $log-tab,                   'yes',     $log-tab,                   iq:display-CD(.),   $log-tab,                   '',     $log-tab,                  '',     $log-tab,                  '',     $log-tab,                  $ts-current-sctau   ))        else if (($use-revised-text-2 or $codes-in-no-domain) and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                  'Therapeutic Good Identification', $log-tab,                   'yes',     $log-tab,                     iq:display-CD(.),   $log-tab,                    $display-in-the-domain,   $log-tab,                  $display-in-other-domain,  $log-tab,                  $display-in-no-domain,   $log-tab,                  $ts-current-sctau   ))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if (matches($defn-invalid-rsn, 'is a container', 'is')) then $rating-container-TC-Types-57 else $rating-TC-Types-57 " />
    <!--REPORT -->
    <xsl:if test=" $log-concepts-appended = ('NOTFOUND', 'ERROR') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$log-concepts-appended = ('NOTFOUND', 'ERROR')">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): The AppendLog function returned '<xsl:text /><xsl:value-of select="$log-concepts-appended" /><xsl:text />' when requested to append the concepts log
		'<xsl:text /><xsl:value-of select="$log-concepts-name" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $flags/@assess-class = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $flags/@assess-class = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): 
		code-to-assess '<xsl:text /><xsl:value-of select="$code-to-assess" /><xsl:text />'
		value-domain '<xsl:text /><xsl:value-of select="$value-domain" /><xsl:text />'
		first-pass '<xsl:text /><xsl:value-of select="$first-pass" /><xsl:text />'
		second-pass '<xsl:text /><xsl:value-of select="$second-pass" /><xsl:text />'
		third-pass '<xsl:text /><xsl:value-of select="$third-pass" /><xsl:text />'
		fourth-pass '<xsl:text /><xsl:value-of select="$fourth-pass" /><xsl:text />'
		valid-class-1 '<xsl:text /><xsl:value-of select="$valid-class-1" /><xsl:text />'
		fifth-pass '<xsl:text /><xsl:value-of select="$fifth-pass" /><xsl:text />'
		sixth-pass '<xsl:text /><xsl:value-of select="$sixth-pass" /><xsl:text />'
		seventh-pass '<xsl:text /><xsl:value-of select="$seventh-pass" /><xsl:text />'
		eighth-pass '<xsl:text /><xsl:value-of select="$eighth-pass" /><xsl:text />'
		ninth-pass '<xsl:text /><xsl:value-of select="$ninth-pass" /><xsl:text />'

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $class-error-11 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$class-error-11">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An unexpected error occurred during the process to classify a terminology code.
		Report the information below to the Australian Digital Health Agency for investigation.
		The value domain was '<xsl:text /><xsl:value-of select="$value-domain" /><xsl:text />' and the error variable was
		<xsl:text /><xsl:value-of select="if ($class-error-1) then concat('class-error-1. The FindValueDomainsForCode function was called with code ''', $code-to-assess,     ''', codeSystem ''2.16.840.1.113883.6.96'' and codeSystemVersion ''', $v-current-sctau, ''' and returned ''', $value-domain-1, '''.')   else if ($class-error-2) then concat('class-error-2. The SearchForCodesInHierarchyUsingTS function was called with code ''', $code-to-assess,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $first-pass-1, '''.')   else if ($class-error-3) then concat('class-error-3. The SearchForCodesInHierarchyUsingTS function was called with code ''',     if ($value-domain = 'Trade Product Unit of Use (TPUU)') then $code-to-assess else $first-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $second-pass-1, '''.')   else if ($class-error-4) then concat('class-error-4. The SearchForCodesInHierarchyUsingTS function was called with code ''', $second-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $third-pass-1, '''.')   else if ($class-error-5) then concat('class-error-5. The SearchForCodesInHierarchyUsingTS function was called with code ''', $third-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $fourth-pass-1, '''.')   else if ($class-error-6) then concat('class-error-6. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $valid-class-1, '''.')   else if ($class-error-7) then concat('class-error-7. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $fifth-pass, '''.')   else if ($class-error-8) then concat('class-error-8. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $sixth-pass, '''.')   else if ($class-error-9) then concat('class-error-9. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $seventh-pass, '''.')   else if ($class-error-10) then concat('class-error-10. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $eighth-pass, '''.')   else if ($class-error-11) then concat('class-error-11. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $ninth-pass, '''.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $class-tp-error ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$class-tp-error">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An unexpected error occurred during the process to find the trade product name for a medicine.
		Report the information below to the Australian Digital Health Agency for investigation.
		The value domain was '<xsl:text /><xsl:value-of select="$value-domain" /><xsl:text />' and the error variable was class-tp-error.
		The FindValueDomainsForCode function was called with code ''', 
		if ($value-domain = 'Trade Product Unit of Use (TPUU)') then $code-to-assess else $first-pass, 
		''', codeSystem ''2.16.840.1.113883.6.96'' and codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $class-tp-1, '''.')

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-tgi-6) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-tgi-6)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An unexpected problem occurred when assessing the value of the Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. The application of regular expressions resulted in the complete loss of text.
		Report the information below to the Australian Digital Health Agency for investigation.

		der-text-1 '<xsl:text /><xsl:value-of select="normalize-space(dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'))" /><xsl:text />'.
		der-text-2a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-2a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-a, $term-pattern-replacement, 'ic')" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingV-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingV-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An error was reported when accessing the terminology server when assessing the Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		Report the issue to the Australian Digital Health Agency for investigation stating the error was recorded for error-usingV-2.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-9 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-9">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An error was reported when accessing the terminology server when assessing the Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term:
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The analysis should be retried as the terminology server may have been temporarily unavailable.
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'error-usingTS-1' else if ($error-usingTS-2-a) then 'error-usingTS-2-a'   else if ($error-usingTS-2-b) then 'error-usingTS-2-b' else if ($error-usingTS-2-c) then 'error-usingTS-2-c'   else if ($error-usingTS-2) then 'error-usingTS-2'   else if ($error-usingTS-3) then 'error-usingTS-3' else if ($error-usingTS-4) then 'error-usingTS-4'   else if ($error-usingTS-5) then 'error-usingTS-5' else if ($error-usingTS-6) then 'error-usingTS-6'   else if ($error-usingTS-7) then 'error-usingTS-7' else if ($error-usingTS-8) then 'error-usingTS-8'   else 'error-usingTS-9' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or      $valid-tgi-6 or $invalid-tgi) and not($a-vaccine and not(false())) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi) and not($a-vaccine and not(false()))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered for, administered to or used by the consumer. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.         (See section 2.6 of the Medication Instruction and Action Detailed Clinical Model Specification Version 2.4.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Known Medication (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi) and    not($a-vaccine and false()) and not($obsolete-warning) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi) and not($a-vaccine and false()) and not($obsolete-warning)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the value does not seem to be applicable for the data element.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered for, administered to or used by the consumer. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.         (See section 2.6 of the Medication Instruction and Action Detailed Clinical Model Specification Version 2.4.)')" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $obsolete-warning ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$obsolete-warning">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the name may not be applicable for the data element.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> and the
		<xsl:text /><xsl:value-of select="if ($display-obsolete-date != '') then concat('name of the therapeutic good was last used ', $display-obsolete-date)   else if ($obsolete-tgi-info/@name) then concat('therapeutic good ''', $obsolete-tgi-info/@name, ''' was last available ', $display-obsolete-date)    else if ($obsolete-without-date) then 'name of the therapeutic good is no longer used ' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($obsolete-tgi-info/@reason) then concat(' because ', $obsolete-tgi-info/@reason, '.') else '.' " /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered for, administered to or used by the consumer. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.         (See section 2.6 of the Medication Instruction and Action Detailed Clinical Model Specification Version 2.4.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		<xsl:text /><xsl:value-of select="$creation-date-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $obsolete-error ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$obsolete-error">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the name is not applicable for the data element.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> and the
		<xsl:text /><xsl:value-of select="if ($display-obsolete-date != '') then concat('name of the therapeutic good was last used ', $display-obsolete-date)   else if ($obsolete-tgi-info/@name) then concat('therapeutic good ''', $obsolete-tgi-info/@name, ''' was last available ', $display-obsolete-date)    else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($obsolete-tgi-info/@reason) then concat(' because ', $obsolete-tgi-info/@reason, '.') else '.' " /><xsl:text />
		That was <xsl:text /><xsl:value-of select="if (contains(string($obsolete-yrs-ago), '.')) then substring-before(string($obsolete-yrs-ago), '.') else $obsolete-yrs-ago " /><xsl:text /> years before the
		<xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered for, administered to or used by the consumer. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.         (See section 2.6 of the Medication Instruction and Action Detailed Clinical Model Specification Version 2.4.)'))" /><xsl:text /><xsl:text /><xsl:value-of select="$creation-date-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'unknown' = 'allowed' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'unknown' = 'allowed' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the data element does not have a proper value. <xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered for, administered to or used by the consumer. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.         (See section 2.6 of the Medication Instruction and Action Detailed Clinical Model Specification Version 2.4.)'))" /><xsl:text />
		The Therapeutic Good Identification data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'unknown' = 'exclusion' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'unknown' = 'exclusion' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered for, administered to or used by the consumer. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.         (See section 2.6 of the Medication Instruction and Action Detailed Clinical Model Specification Version 2.4.)'))" /><xsl:text />
		The Therapeutic Good Identification data element must have a value that is consistent with this definition. Alternatively if there is no Therapeutic Good Identification data element with a proper value then an exclusion
		statement must be included to state why there is no Therapeutic Good Identification. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4')    then concat('Text such as ''', dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'), ''' may be permitted in the narrative even though the Therapeutic Good Identification data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'unknown' = 'unknown' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'unknown' = 'unknown' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the data element does not have a proper value. <xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered for, administered to or used by the consumer. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.         (See section 2.6 of the Medication Instruction and Action Detailed Clinical Model Specification Version 2.4.)'))" /><xsl:text />
		The Therapeutic Good Identification data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($der-text-non-value) and $der-invalid-text ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($der-text-non-value) and $der-invalid-text">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />
		however the value is invalid. <xsl:text /><xsl:value-of select="$defn-invalid-rsn" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered for, administered to or used by the consumer. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.         (See section 2.6 of the Medication Instruction and Action Detailed Clinical Model Specification Version 2.4.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $a-vaccine and false() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$a-vaccine and false()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />
		which identifies a vaccine. <xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered for, administered to or used by the consumer. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.         (See section 2.6 of the Medication Instruction and Action Detailed Clinical Model Specification Version 2.4.)'))" /><xsl:text />
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Known Medication (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $invalid-tgi and not($error-usingTS-9) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$invalid-tgi and not($error-usingTS-9)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
ZZZ
der-text '<xsl:text /><xsl:value-of select="$der-text" /><xsl:text />'
der-revised-text-1 '<xsl:text /><xsl:value-of select="$der-revised-text-1" /><xsl:text />'
der-revised-text-2 '<xsl:text /><xsl:value-of select="$der-revised-text-2" /><xsl:text />'
ZZZ
		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the value is invalid
		<xsl:text /><xsl:value-of select="if (exists($invalid-tgi-codes-h) or exists($invalid-tgi-codes-r)) then concat(' as it describes ',    iq:invalidityExplanationUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, $invalid-tgi-codes-h, $cd-definitions/meds/meds-invalid/hierarchy, $invalid-tgi-codes-r, $cd-definitions/meds/meds-invalid/refset), '.')   else '.' " /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered for, administered to or used by the consumer. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.         (See section 2.6 of the Medication Instruction and Action Detailed Clinical Model Specification Version 2.4.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable outside the applicable value domain): The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. The following codes were obtained and are not in the value domain:
		<xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-TGI-Defn): The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU and no associated code was found in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists(($der-NAF-active-codes, $undetermined-NAF-active-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists(($der-NAF-active-codes, $undetermined-NAF-active-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-TGI-Defn): The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-active-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the
		'<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU but it was not found with this status in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.
		<xsl:text /><xsl:value-of select="if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and ($valid-tgi-1 or $a-vaccine-2 or (not($valid-tgi-5) and $valid-tgi-6))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and ($valid-tgi-1 or $a-vaccine-2 or (not($valid-tgi-5) and $valid-tgi-6))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable within the value domain): The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> which matches
		<xsl:text /><xsl:value-of select="if ($a-vaccine-1) then 'one of the terms listed in Knowledge.xml' else 'the vaccine information in CodeSystems.xml' " /><xsl:text /> for the Therapeutic Good Identification.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(exists($valid-class)) and $class-not-completed and not($class-tp-error or $class-error-10) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(exists($valid-class)) and $class-not-completed and not($class-tp-error or $class-error-10)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. <xsl:text /><xsl:value-of select="if ($code-to-assess = '') then 'No code could be found for the medicine.'    else if ($value-domain = '') then concat('The code ''', $code-to-assess, ''' was found to apply to the medicine by applying the terminology server using the ''', $ts-current-sctau,   ''' version of SNOMED CT-AU but the code was not found in the Validator''s database using the ''', $v-current-sctau, ''' version of SNOMED CT-AU.',   if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '')   else concat('This is a ', $value-domain,    if ($value-domain = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)')) then    concat(' (with medicinal product ''', $third-pass, ''').')    else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)'))    then concat(' (with trade product ''', $class-tp, ''').')    else '.') " /><xsl:text /> The classification of this medicine could not be completed.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists($valid-class) and not($class-tp-error or $class-error-11) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists($valid-class) and not($class-tp-error or $class-error-11)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This <xsl:text /><xsl:value-of select="if (not($value-domain = ('Containered Trade Product Pack (CTPP)',    'Trade Product Pack (TPP)', 'Trade Product (TP)', 'Trade Product Unit of Use (TPUU)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Medicinal Product (MP)')))    then '' else concat('is a ', $value-domain, ' which')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($value-domain = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)')) then concat(' (with medicinal product ''', $third-pass, ''') which')   else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)'))    then concat(' (with trade product ''', $class-tp, ''') which') else '' " /><xsl:text />
		identifies a type of <xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($valid-class, ' and '), $markup-pattern-replacement, 'ic')" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (concept is codeable within the value domain): The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> which is a valid value for the Therapeutic Good Identification.
		SNOMED CT-AU codes that matched the concept are: <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The text used to match regular expression (der-text-2) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to match non-values and vaccines (der-text-to-match) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-to-match, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to derive a code (der-text) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.

		<xsl:text /><xsl:value-of select="if ($use-revised-text-1) then concat(' A first revision of the text (der-revised-text-1) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-1, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A first revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-1 != '' and $der-revised-text-1 = '') then ' revision-pattern-1 was applied but the output (der-revised-text-1) was an empty string.' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($use-revised-text-2) then concat(' A second revision of the text (der-revised-text-2) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A second revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-2 != '' and $der-revised-text-2 = '') then ' revision-pattern-2 was applied but the output (der-revised-text-2) was an empty string.' else '' " /><xsl:text />

		The SNOMED CT-AU version used to find codes is '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' and the maximum code number is '<xsl:text /><xsl:value-of select="$max-code-number" /><xsl:text />'.

		Codes for related terms (related-terms-2): '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($related-terms-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes for related terms (der-valid-codes-1): 
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-1, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-tgi-codes-2) returned by the terminology server that match the text:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-tgi-codes-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes from related terms or the terminology server (der-valid-codes-2):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-2, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-inactive-codes-3) returned from the Validator's database associated with inactive codes:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-inactive-codes-3, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes found after examining inactive codes (der-valid-codes-3):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-3, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Members of invalid reference sets (invalid-tgi-codes-r): '<xsl:text /><xsl:value-of select="$display-in-other-r" /><xsl:text />'.
		Members of invalid code hierarchies (invalid-tgi-codes-h): '<xsl:text /><xsl:value-of select="$display-in-other-h" /><xsl:text />'.

		Final set of valid codes (der-valid-codes-4): <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.
		
		Codes whose validity has not been determined (der-tgi-codes-5): <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.
		Codes whose validity has not been determined and are inactive with no associated code (undetermined-NAF): '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(    string-join($undetermined-NAF, ''', '''), $markup-pattern-replacement, 'ic')" /><xsl:text />'.

		Result of the second vaccination code test (a-vaccine-2): '<xsl:text /><xsl:value-of select="$a-vaccine-2" /><xsl:text />'.
		Vaccine codes (vaccine-code-test):  '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($vaccine-code-test, '; '), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Overall result of the vaccination test (a-vaccine): '<xsl:text /><xsl:value-of select="$a-vaccine" /><xsl:text />'.

		Will the value of the data element be trusted (der-trusted-text)? '<xsl:text /><xsl:value-of select="$der-trusted-text" /><xsl:text />'.
		
	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and $codes-not-found">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept not codeable): The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($avoid-ts) then 'The terminology server was not used to assist with finding codes corresponding to text in the data element. ' else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $prose-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $prose-err">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> which is invalid as it is prose text.
		The Therapeutic Good Identification data element is CodeableText derived from the HL7 CD data type which by definition is to record a concept defined in an external code system, terminology or ontology.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered for, administered to or used by the consumer. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.         (See section 2.6 of the Medication Instruction and Action Detailed Clinical Model Specification Version 2.4.)'))" /><xsl:text />
		This finding will also be reported as an error.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M485" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M485" />
  <xsl:template match="@*|node()" priority="-2" mode="M485">
    <xsl:apply-templates select="@*|*" mode="M485" />
  </xsl:template>
  <!--PATTERN p-TS-Med-CodeableText-16-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16146' = $doc-sections][cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.153' and @extension = '1.0']]/   cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/cda:substanceAdministration/cda:consumable/   cda:manufacturedProduct/cda:manufacturedMaterial/cda:code " priority="1000" mode="M486">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16146' = $doc-sections][cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.153' and @extension = '1.0']]/   cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/cda:substanceAdministration/cda:consumable/   cda:manufacturedProduct/cda:manufacturedMaterial/cda:code " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and true() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and true() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Therapeutic Good Identification',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Therapeutic Good Identification however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Therapeutic Good Identification in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Therapeutic Good Identification however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Therapeutic Good Identification in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Therapeutic Good Identification data element must have a value that is consistent with this definition. Alternatively if there is no Therapeutic Good Identification data element with a proper value then an exclusion
		statement must be included to state why there is no Therapeutic Good Identification.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Therapeutic Good Identification however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Therapeutic Good Identification in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Therapeutic Good Identification however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Therapeutic Good Identification in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Therapeutic Good Identification data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Therapeutic Good Identification however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Therapeutic Good Identification in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Therapeutic Good Identification data element must have a value that is consistent with this definition. Alternatively if there is no Therapeutic Good Identification data element with a proper value then an exclusion
		statement must be included to state why there is no Therapeutic Good Identification.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Therapeutic Good Identification however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Therapeutic Good Identification in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Therapeutic Good Identification data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Therapeutic Good Identification.
		(See the definition of Therapeutic Good Identification in the Structured Content Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M486" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M486" />
  <xsl:template match="@*|node()" priority="-2" mode="M486">
    <xsl:apply-templates select="@*|*" mode="M486" />
  </xsl:template>
  <!--PATTERN p-TS-Med-CodeableText-17-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16146' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/cda:substanceAdministration/cda:consumable/   cda:manufacturedProduct/cda:manufacturedMaterial/cda:code[(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M487">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16146' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/cda:substanceAdministration/cda:consumable/   cda:manufacturedProduct/cda:manufacturedMaterial/cda:code[(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Therapeutic Good Identification has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Therapeutic Good Identification data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Therapeutic Good Identification data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Therapeutic Good Identification data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Therapeutic Good Identification data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Therapeutic Good Identification data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Therapeutic Good Identification data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Therapeutic Good Identification data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Therapeutic Good Identification data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M487" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M487" />
  <xsl:template match="@*|node()" priority="-2" mode="M487">
    <xsl:apply-templates select="@*|*" mode="M487" />
  </xsl:template>
  <!--PATTERN p-TS-Med-CodeableText-18-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16146' = $doc-sections][cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')   or   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')   or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) ]]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/cda:substanceAdministration/cda:consumable/   cda:manufacturedProduct/cda:manufacturedMaterial/cda:code " priority="1000" mode="M488">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16146' = $doc-sections][cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')   or   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')   or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) ]]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/cda:substanceAdministration/cda:consumable/   cda:manufacturedProduct/cda:manufacturedMaterial/cda:code " />
    <xsl:variable name="hist-vers-1" select="tokenize($ts-snomedctau-pre-ordered, '\|')" />
    <xsl:variable name="pcode" select="if (not(@code)) then ''        else if (@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)) then @code        else '' " />
    <xsl:variable name="pname-to-test" select="@codeSystem = '2.16.840.1.113883.6.96' and @displayName and $pcode != '' " />
    <xsl:variable name="psctau-version" select="if (exists(@codeSystemVersion) and matches(@codeSystemVersion, $snomedctau-version-regex)) then @codeSystemVersion else '' " />
    <xsl:variable name="psnomed-id" select="if (not($pname-to-test) or not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion) and          dh:IsFirstDateEarlierThanSecondDate($creation-date, substring-after($first-amt-in-sctau, '/version/')) = '1') then 'amtv3'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (not($psctau-version = '')) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="psnomed-type" select="if ($psnomed-id = 'amtv3') then 'AMT v3'        else if ($psnomed-id = 'snomedctau') then 'SNOMED CT-AU'        else if ($psnomed-id = 'snomedct') then 'SNOMED CT'        else '' " />
    <xsl:variable name="pvers-old" select="if ($psnomed-id = 'snomedctau' and @codeSystemVersion) then not(exists($ts-snomedctau[. = current()/@codeSystemVersion]))        else if ($psnomed-id = 'snomedctau' and $creation-date != '' and $ts-earliest-sctau-date != '') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $ts-earliest-sctau-date) = '1'         else if ($psnomed-id = 'amtv3' and @codeSystemVersion) then not(exists($v-amtv3[. = current()/@codeSystemVersion]))        else if ($psnomed-id = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '1'         else false() " />
    <xsl:variable name="psctau-ts" select="if ($psctau-version = '' or not($pvers-old)) then '' else substring-after($psctau-version, '/version/') " />
    <xsl:variable name="psctau-ts-xs" select="if ($psctau-ts = '') then '' else concat(substring($psctau-ts, 1, 4), '-', substring($psctau-ts, 5, 2), '-', substring($psctau-ts, 7, 2))" />
    <xsl:variable name="psctau-ts-1" select="if ($psctau-ts = '' or not($psctau-ts-xs castable as xs:date)) then '' else string($sctau-last-xs - xs:date($psctau-ts-xs)) " />
    <xsl:variable name="psctau-ts-2" select="if ($psctau-ts-1 = '' or not(matches($psctau-ts-1, '^P[0-9]+D'))) then '' else substring-before(substring-after($psctau-ts-1, 'P'), 'D') " />
    <xsl:variable name="psctau-ts-63-err" select="$psctau-ts-2 != '' and $psctau-ts-2 &gt; $sctau-acceptable-age  " />
    <xsl:variable name="ts-psnomed-version" select="if (not($pname-to-test) or not($psnomed-id = 'snomedctau')) then ''        else if (not(@codeSystemVersion)) then $ts-latest-snomedctau        else if ($psnomed-id = 'snomedctau' and @codeSystemVersion and not($pvers-old)) then @codeSystemVersion        else if ($pvers-old and $ts-earliest-sctau-date != '') then concat('http://snomed.info/sct/32506021000036107/version/', $ts-earliest-sctau-date)        else $ts-latest-snomedctau " />
    <xsl:variable name="v-psnomed-version" select="if (not($psnomed-id = 'amtv3')) then ''        else if (@codeSystemVersion and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($pvers-old) then concat('http://snomed.info/sct/900062011000036108/version/', $v-earliest-amtv3-date)        else $v-latest-amtv3 " />
    <xsl:variable name="test-pname" select="$pname-to-test and not($ts-psnomed-version = '' and $v-psnomed-version = '') and not($psctau-ts-63-err)" />
    <xsl:variable name="p-term-actual-1" select="if ($test-pname and $use-ts-for-sctau and $psnomed-id = 'snomedctau')        then dh:FindPreferredTermUsingTS($pcode, '2.16.840.1.113883.6.96', $ts-psnomed-version)        else if ($test-pname and exists($v-amtv3) and $psnomed-id = 'amtv3')        then replace(dh:FindPreferredTermAndCaseSignificance($pcode, '2.16.840.1.113883.6.96', $v-psnomed-version), '\|.*$', '', 'is')       else '' " />
    <xsl:variable name="error-usingTS-1" select="$p-term-actual-1 = 'Error' " />
    <xsl:variable name="p-term-actual" select="if ($p-term-actual-1 = ('CodeNotFound', 'Error')) then '' else $p-term-actual-1 " />
    <xsl:variable name="pname-invalid" select="$test-pname and $p-term-actual != '' and lower-case($p-term-actual) != lower-case(@displayName) " />
    <xsl:variable name="phist-search" select="$test-pname and $pname-invalid and $ts-snomedctau-pre-ordered != '' " />
    <xsl:variable name="phist-vers-2" select="if ($phist-search) then index-of($hist-vers-1, substring-after($ts-psnomed-version, 'version/')) else () " />
    <xsl:variable name="phist-vers-3" select="if (exists($phist-vers-2) and count($hist-vers-1) &gt; $phist-vers-2[1]) then $hist-vers-1[$phist-vers-2[1] + 1] else '' " />
    <xsl:variable name="phist-vers-4" select="if ($phist-vers-3 = '') then '' else concat('http://snomed.info/sct/32506021000036107/version/', $phist-vers-3) " />
    <xsl:variable name="phist-vers-5" select="if ($phist-vers-4 != '' and $use-ts-for-sctau)         then dh:FindLatestVersionWhereDisplaynameMatchUsingTS($pcode, '2.16.840.1.113883.6.96', $phist-vers-4, @displayName, false()) else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or $phist-vers-5 = 'Error' " />
    <xsl:variable name="phist-vers-found-1" select="matches($phist-vers-5, 'http') " />
    <xsl:variable name="pcode-pterm-date-1" select="if (not($pname-invalid) or $phist-vers-found-1) then '' else dh:LatestDateForPreferredTerm($pcode, '2.16.840.1.113883.6.96', $v-latest-snomedctau) " />
    <xsl:variable name="error-pcode-pterm-date" select="'Error' = $pcode-pterm-date-1" />
    <xsl:variable name="pcode-pterm-date-2" select="if (matches($pcode-pterm-date-1, '^[0-9]{8}\|')) then substring-before($pcode-pterm-date-1, '|') else '' " />
    <xsl:variable name="pcode-pterm-date-est" select="$pcode-pterm-date-2 != '' and dh:IsFirstDateEarlierThanSecondDate($creation-date, $pcode-pterm-date-2) = '0' " />
    <xsl:variable name="pcode-pterm-date" select="if ($pcode-pterm-date-est) then $pcode-pterm-date-2 else '' " />
    <xsl:variable name="phist-vers-6" select="if ($phist-vers-5 = 'PreferredTermNeverMatches' and not($pcode-pterm-date-est) and matches($pcode, $sctau-namespace-id-regex))         then dh:IsCodePreferredTermInTerminologyValid($pcode, '2.16.840.1.113883.6.96', $v-latest-amtv3, @displayName)        else '' " />
    <xsl:variable name="phist-vers-found-2" select="$phist-vers-6 = 'PreferredTermMatch' " />
    <xsl:variable name="phist-vers-7" select="if ($phist-vers-6 = 'PreferredTermMismatch' and not($pcode-pterm-date-est) and $v-latest-amtv2 = $last-amtv2)         then dh:IsCodePreferredTermInTerminologyValid($pcode, '1.2.36.1.2001.1004.100', $last-amtv2, @displayName)        else '' " />
    <xsl:variable name="phist-vers-found-3" select="$phist-vers-7 = 'PreferredTermMatch' " />
    <xsl:variable name="phist-vers-found" select="$phist-vers-found-1 or $phist-vers-found-2 or $phist-vers-found-3 or $pcode-pterm-date-est " />
    <xsl:variable name="phist-vers-date" select="if ($phist-vers-found-1) then substring-after($phist-vers-5, 'http://snomed.info/sct/32506021000036107/version/')         else if ($phist-vers-found-2) then substring-after($v-latest-amtv3, 'http://snomed.info/sct/900062011000036108/version/')        else if ($phist-vers-found-3) then $last-amtv2-date        else if ($pcode-pterm-date-est) then $pcode-pterm-date        else '' " />
    <xsl:variable name="phist-last-diff" select="if ($sctau-last = '' or $phist-vers-date = '') then ''        else iq:display-date-diff($phist-vers-date, $sctau-last)[2] " />
    <xsl:variable name="phist-last-old" select="$phist-last-diff != '' and not(number($phist-last-diff) &lt; $sctau-acceptable-age) " />
    <xsl:variable name="p-term-found-in" select="if ($phist-vers-found-1) then 'last used in the version of SNOMED CT-AU'        else if ($phist-vers-found-2) then 'used in the version of AMT v3'        else if ($phist-vers-found-3) then 'used in the version of AMT v2'        else '' " />
    <xsl:variable name="phist-last-msg" select="if ($pcode-pterm-date-est) then concat(' The preferred term was last changed in the version of SNOMED CT-AU published ',          iq:display-date($phist-vers-date),          ' so if the value of the displayName was ever valid then it must be before then. ',          'That version was published ', $phist-last-diff, ' days before the version of SNOMED CT-AU published immediately prior to the date ''',         /cda:ClinicalDocument/cda:effectiveTime/@value, ''' that this ', $document-name,          ' was created. SNOMED CT-AU is published monthly and the Australian National Terminology Licence Agreement requires the copy used ',         'in healthcare software systems (live or production environments) to be updated within 30 days of the National Terminology release.')         else if (not($phist-last-old) or $p-term-found-in = '') then ''        else concat(' The value of the displayName was ', $p-term-found-in,          ' published on the ', iq:display-date($phist-vers-date), '. That version was published ', $phist-last-diff,          ' days before the version of SNOMED CT-AU published immediately prior to the date the ', $document-name,          ' was created. SNOMED CT-AU is published monthly and the Australian National Terminology Licence Agreement requires the copy used in',         ' healthcare software systems (live or production environments) to be updated within 30 days of the National Terminology release.') " />
    <xsl:variable name="p-date-required" select="if (not($pname-invalid)) then ''        else if (@codeSystemVersion and matches(@codeSystemVersion, $snomed-version-regex-1)) then substring-after(@codeSystemVersion, '/version/')        else if ($creation-date-est) then ''        else $creation-date " />
    <xsl:variable name="p-date-diff" select="if ($p-date-required = '' or         not(dh:IsFirstDateEarlierThanSecondDate(substring-after($ts-psnomed-version, '/version/'), $p-date-required) = '1')) then ()        else iq:display-date-diff(substring-after($ts-psnomed-version, '/version/'), $p-date-required)" />
    <xsl:variable name="p-old-ts-version" select="exists($p-date-diff) and number($p-date-diff[2]) &gt; 31 " />
    <xsl:variable name="snomed-trans-1" select="if (cda:translation) then cda:translation[@displayName and @codeSystem = '2.16.840.1.113883.6.96' and @code and         matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="snomed-trans-2" select="distinct-values(for $trans in $snomed-trans-1 return $trans/@code) " />
    <xsl:variable name="snomed-trans-a" select="if (exists($snomed-trans-1)) then $snomed-trans-1[1] else () " />
    <xsl:variable name="tcode-a" select="if (exists($snomed-trans-a)) then $snomed-trans-a/@code else '' " />
    <xsl:variable name="tname-a-to-test" select="$tcode-a != '' and $snomed-trans-a/@displayName " />
    <xsl:variable name="tsctau-version-a" select="if (exists($snomed-trans-a/@codeSystemVersion) and matches($snomed-trans-a/@codeSystemVersion, $snomedctau-version-regex)) then $snomed-trans-a/@codeSystemVersion else '' " />
    <xsl:variable name="tsnomed-id-a" select="if (not($tname-a-to-test)) then 'none'        else if (not($snomed-trans-a/@codeSystemVersion) and          dh:IsFirstDateEarlierThanSecondDate($creation-date, substring-after($first-amt-in-sctau, '/version/')) = '1') then 'amtv3'        else if (not($snomed-trans-a/@codeSystemVersion)) then 'snomedctau'        else if (not($tsctau-version-a = '')) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-a/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="tsnomed-a-type" select="if ($tsnomed-id-a = 'amtv3') then 'AMT v3'        else if ($tsnomed-id-a = 'snomedctau') then 'SNOMED CT-AU'        else if ($tsnomed-id-a = 'snomedct') then 'SNOMED CT'        else '' " />
    <xsl:variable name="t-vers-a-old" select="if ($tsnomed-id-a = 'snomedctau' and $snomed-trans-a/@codeSystemVersion) then not(exists($ts-snomedctau[. = $snomed-trans-a/@codeSystemVersion]))         else if ($tsnomed-id-a = 'snomedctau' and $creation-date != '' and $ts-earliest-sctau-date != '') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $ts-earliest-sctau-date) = '1'         else if ($tsnomed-id-a = 'amtv3' and $snomed-trans-a/@codeSystemVersion) then not(exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion]))        else if ($tsnomed-id-a = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '1'         else false() " />
    <xsl:variable name="tsctau-ts-a" select="if ($tsctau-version-a = '' or not($t-vers-a-old)) then '' else substring-after($tsctau-version-a, '/version/') " />
    <xsl:variable name="tsctau-ts-a-xs" select="if ($tsctau-ts-a = '') then '' else concat(substring($tsctau-ts-a, 1, 4), '-', substring($tsctau-ts-a, 5, 2), '-', substring($tsctau-ts-a, 7, 2))" />
    <xsl:variable name="tsctau-ts-a-1" select="if ($tsctau-ts-a = '' or not($tsctau-ts-a-xs castable as xs:date)) then '' else string($sctau-last-xs - xs:date($tsctau-ts-a-xs)) " />
    <xsl:variable name="tsctau-ts-a-2" select="if ($tsctau-ts-a-1 = '' or not(matches($tsctau-ts-a-1, '^P[0-9]+D'))) then '' else substring-before(substring-after($tsctau-ts-a-1, 'P'), 'D') " />
    <xsl:variable name="tsctau-ts-a-63-err" select="$tsctau-ts-a-2 != '' and $tsctau-ts-a-2 &gt; $sctau-acceptable-age  " />
    <xsl:variable name="ts-tsnomed-version-a" select="if (not($tname-a-to-test) or not($tsnomed-id-a = 'snomedctau')) then ''        else if (not($snomed-trans-a/@codeSystemVersion)) then $ts-latest-snomedctau        else if ($tsnomed-id-a = 'snomedctau' and $snomed-trans-a/@codeSystemVersion and not($t-vers-a-old)) then $snomed-trans-a/@codeSystemVersion        else if ($t-vers-a-old and $ts-earliest-sctau-date != '') then concat('http://snomed.info/sct/32506021000036107/version/', $ts-earliest-sctau-date)        else $ts-latest-snomedctau " />
    <xsl:variable name="v-tsnomed-version-a" select="if (not($tsnomed-id-a = 'amtv3')) then ''        else if ($snomed-trans-a/@codeSystemVersion and exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($t-vers-a-old) then concat('http://snomed.info/sct/900062011000036108/version/', $v-earliest-amtv3-date)        else $v-latest-amtv3 " />
    <xsl:variable name="test-tname-a" select="$tname-a-to-test and not($ts-tsnomed-version-a = '' and $v-tsnomed-version-a = '') and not($tsctau-ts-a-63-err) " />
    <xsl:variable name="t-a-term-actual-1" select="if ($test-tname-a and $use-ts-for-sctau and $tsnomed-id-a = 'snomedctau')         then dh:FindPreferredTermUsingTS($tcode-a, '2.16.840.1.113883.6.96', $ts-tsnomed-version-a)         else if ($test-tname-a and exists($v-amtv3) and $tsnomed-id-a = 'amtv3')         then replace(dh:FindPreferredTermAndCaseSignificance($tcode-a, '2.16.840.1.113883.6.96', $v-tsnomed-version-a), '\|.*$', '', 'is')        else '' " />
    <xsl:variable name="error-usingTS-3" select="$error-usingTS-2 or $t-a-term-actual-1 = 'Error' " />
    <xsl:variable name="t-a-term-actual" select="if ($t-a-term-actual-1 = 'CodeNotFound' or $t-a-term-actual-1 = 'Error') then '' else $t-a-term-actual-1 " />
    <xsl:variable name="tname-a-invalid" select="$test-tname-a and $t-a-term-actual != '' and lower-case($t-a-term-actual) != lower-case($snomed-trans-a/@displayName) " />
    <xsl:variable name="thist-a-search" select="$test-tname-a and $tname-a-invalid and $ts-snomedctau-pre-ordered != '' " />
    <xsl:variable name="thist-a-vers-2" select="if ($thist-a-search) then index-of($hist-vers-1, substring-after($ts-tsnomed-version-a, 'version/')) else () " />
    <xsl:variable name="thist-a-vers-3" select="if (exists($thist-a-vers-2) and count($hist-vers-1) &gt; $thist-a-vers-2[1]) then $hist-vers-1[$thist-a-vers-2[1] + 1] else '' " />
    <xsl:variable name="thist-a-vers-4" select="if ($thist-a-vers-3 = '') then '' else concat('http://snomed.info/sct/32506021000036107/version/', $thist-a-vers-3) " />
    <xsl:variable name="thist-a-vers-5" select="if ($thist-a-vers-4 != '' and $use-ts-for-sctau)         then dh:FindLatestVersionWhereDisplaynameMatchUsingTS($tcode-a, '2.16.840.1.113883.6.96', $thist-a-vers-4, $snomed-trans-a/@displayName, false())         else '' " />
    <xsl:variable name="error-usingTS-4" select="$error-usingTS-3 or $thist-a-vers-5 = 'Error' " />
    <xsl:variable name="thist-a-vers-found-1" select="matches($thist-a-vers-5, 'http') " />
    <xsl:variable name="tcode-a-pterm-date-1" select="if (not($tname-a-invalid) or $thist-a-vers-found-1) then ''          else dh:LatestDateForPreferredTerm($tcode-a, '2.16.840.1.113883.6.96', $v-latest-snomedctau) " />
    <xsl:variable name="error-tcode-a-pterm-date" select="'Error' = $tcode-a-pterm-date-1" />
    <xsl:variable name="tcode-a-pterm-date-2" select="if (matches($tcode-a-pterm-date-1, '^[0-9]{8}\|')) then substring-before($tcode-a-pterm-date-1, '|') else '' " />
    <xsl:variable name="tcode-a-pterm-date-est" select="$tcode-a-pterm-date-2 != '' and dh:IsFirstDateEarlierThanSecondDate($creation-date, $tcode-a-pterm-date-2) = '0' " />
    <xsl:variable name="tcode-a-pterm-date" select="if ($tcode-a-pterm-date-est) then $tcode-a-pterm-date-2 else '' " />
    <xsl:variable name="thist-a-vers-6" select="if ($thist-a-vers-5 = 'PreferredTermNeverMatches' and not($tcode-a-pterm-date-est) and matches($tcode-a, $sctau-namespace-id-regex))         then dh:IsCodePreferredTermInTerminologyValid($tcode-a, '2.16.840.1.113883.6.96', $v-latest-amtv3, $snomed-trans-a/@displayName)        else '' " />
    <xsl:variable name="thist-a-vers-found-2" select="$thist-a-vers-6 = 'PreferredTermMatch' " />
    <xsl:variable name="thist-a-vers-7" select="if ($thist-a-vers-6 = 'PreferredTermMismatch' and not($tcode-a-pterm-date-est) and $v-latest-amtv2 = $last-amtv2)         then dh:IsCodePreferredTermInTerminologyValid($tcode-a, '1.2.36.1.2001.1004.100', $last-amtv2, $snomed-trans-a/@displayName)        else '' " />
    <xsl:variable name="thist-a-vers-found-3" select="$thist-a-vers-7 = 'PreferredTermMatch' " />
    <xsl:variable name="thist-a-vers-found" select="$thist-a-vers-found-1 or $thist-a-vers-found-2 or $thist-a-vers-found-3 or $tcode-a-pterm-date-est " />
    <xsl:variable name="thist-a-vers-date" select="if ($thist-a-vers-found-1) then substring-after($thist-a-vers-5, 'http://snomed.info/sct/32506021000036107/version/')         else if ($thist-a-vers-found-2) then substring-after($v-latest-amtv3, 'http://snomed.info/sct/900062011000036108/version/')        else if ($thist-a-vers-found-3) then $last-amtv2-date        else if ($tcode-a-pterm-date-est) then $tcode-a-pterm-date        else '' " />
    <xsl:variable name="thist-a-last-diff" select="if ($sctau-last = '' or $thist-a-vers-date = '') then ''        else iq:display-date-diff($thist-a-vers-date, $sctau-last)[2] " />
    <xsl:variable name="thist-a-last-old" select="$thist-a-last-diff != '' and not(number($thist-a-last-diff) &lt; $sctau-acceptable-age) " />
    <xsl:variable name="t-a-term-found-in" select="if ($thist-a-vers-found-1) then 'last used in the version of SNOMED CT-AU'        else if ($thist-a-vers-found-2) then 'used in the version of AMT v3'        else if ($thist-a-vers-found-3) then 'used in the version of AMT v2'        else '' " />
    <xsl:variable name="thist-a-last-msg" select="if ($tcode-a-pterm-date-est) then concat(' The preferred term was last changed in the version of SNOMED CT-AU published ',          iq:display-date($thist-a-vers-date),          ' so if the value of the translation code displayName was ever valid then it must be before then. ',          'That version was published ', $thist-a-last-diff, ' days before the version of SNOMED CT-AU published immediately prior to the date ''',         /cda:ClinicalDocument/cda:effectiveTime/@value, ''' that this ', $document-name,          ' was created. SNOMED CT-AU is published monthly and the Australian National Terminology Licence Agreement requires the copy used ',         'in healthcare software systems (live or production environments) to be updated within 30 days of the National Terminology release.')         else if (not($thist-a-last-old) or $t-a-term-found-in = '') then ''           else concat(' The value of the translation code displayName was ', $t-a-term-found-in, ' published on the ', iq:display-date($thist-a-vers-date),         '. That version was published ', $thist-a-last-diff, ' days before the version of SNOMED CT-AU published immediately prior to the date the ',        $document-name, ' was created. SNOMED CT-AU is published monthly and the Australian National Terminology Licence Agreement requires ',        'the copy used in healthcare software systems (live or production environments) to be updated within 30 days of the National Terminology release.')" />
    <xsl:variable name="tr-a-date-required" select="if (not($tname-a-invalid)) then ''        else if ($snomed-trans-a/@codeSystemVersion and matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1))          then substring-after($snomed-trans-a/@codeSystemVersion, '/version/')        else if ($creation-date-est) then ''        else $creation-date " />
    <xsl:variable name="tr-a-date-diff" select="if ($tr-a-date-required = '' or         not(dh:IsFirstDateEarlierThanSecondDate(substring-after($ts-tsnomed-version-a, '/version/'), $tr-a-date-required) = '1')) then ()        else iq:display-date-diff(substring-after($ts-tsnomed-version-a, '/version/'), $tr-a-date-required)" />
    <xsl:variable name="tr-a-old-ts-version" select="exists($tr-a-date-diff) and number($tr-a-date-diff[2]) &gt; 31 " />
    <xsl:variable name="snomed-trans-b" select="if (exists($snomed-trans-1)) then $snomed-trans-1[@code and not(@code = $tcode-a)] else () " />
    <xsl:variable name="tcode-b" select="if (exists($snomed-trans-b)) then $snomed-trans-b/@code else '' " />
    <xsl:variable name="tname-b-to-test" select="$tcode-b != '' and $snomed-trans-b/@displayName " />
    <xsl:variable name="tsctau-version-b" select="if (exists($snomed-trans-b/@codeSystemVersion) and matches($snomed-trans-b/@codeSystemVersion, $snomedctau-version-regex)) then $snomed-trans-b/@codeSystemVersion else '' " />
    <xsl:variable name="tsnomed-id-b" select="if (not($tname-b-to-test)) then 'none'        else if (not($snomed-trans-b/@codeSystemVersion) and          dh:IsFirstDateEarlierThanSecondDate($creation-date, substring-after($first-amt-in-sctau, '/version/')) = '1') then 'amtv3'        else if (not($snomed-trans-b/@codeSystemVersion)) then 'snomedctau'        else if (not($tsctau-version-b = '')) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-b/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="tsnomed-b-type" select="if ($tsnomed-id-b = 'amtv3') then 'AMT v3'        else if ($tsnomed-id-b = 'snomedctau') then 'SNOMED CT-AU'        else if ($tsnomed-id-b = 'snomedct') then 'SNOMED CT'        else '' " />
    <xsl:variable name="t-vers-b-old" select="if ($tsnomed-id-b = 'snomedctau' and $snomed-trans-b/@codeSystemVersion) then not(exists($ts-snomedctau[. = $snomed-trans-b/@codeSystemVersion]))         else if ($tsnomed-id-b = 'snomedctau' and $creation-date != '' and $ts-earliest-sctau-date != '') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $ts-earliest-sctau-date) = '1'         else if ($tsnomed-id-b = 'amtv3' and $snomed-trans-b/@codeSystemVersion) then not(exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion]))        else if ($tsnomed-id-b = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '1'         else false() " />
    <xsl:variable name="tsctau-ts-b" select="if ($tsctau-version-b = '' or not($t-vers-b-old)) then '' else substring-after($tsctau-version-b, '/version/') " />
    <xsl:variable name="tsctau-ts-b-xs" select="if ($tsctau-ts-b = '') then '' else concat(substring($tsctau-ts-b, 1, 4), '-', substring($tsctau-ts-b, 5, 2), '-', substring($tsctau-ts-b, 7, 2))" />
    <xsl:variable name="tsctau-ts-b-1" select="if ($tsctau-ts-b = '' or not($tsctau-ts-b-xs castable as xs:date)) then '' else string($sctau-last-xs - xs:date($tsctau-ts-b-xs)) " />
    <xsl:variable name="tsctau-ts-b-2" select="if ($tsctau-ts-b-1 = '' or not(matches($tsctau-ts-b-1, '^P[0-9]+D'))) then '' else substring-before(substring-after($tsctau-ts-b-1, 'P'), 'D') " />
    <xsl:variable name="tsctau-ts-b-63-err" select="$tsctau-ts-b-2 != '' and $tsctau-ts-b-2 &gt; $sctau-acceptable-age  " />
    <xsl:variable name="ts-tsnomed-version-b" select="if (not($tname-b-to-test) or not($tsnomed-id-b = 'snomedctau')) then ''        else if (not($snomed-trans-b/@codeSystemVersion)) then $ts-latest-snomedctau        else if ($tsnomed-id-b = 'snomedctau' and $snomed-trans-b/@codeSystemVersion and not($t-vers-b-old)) then $snomed-trans-b/@codeSystemVersion        else if ($t-vers-b-old and $ts-earliest-sctau-date != '') then concat('http://snomed.info/sct/32506021000036107/version/', $ts-earliest-sctau-date)        else $ts-latest-snomedctau " />
    <xsl:variable name="v-tsnomed-version-b" select="if (not($tsnomed-id-b = 'amtv3')) then ''        else if ($snomed-trans-b/@codeSystemVersion and exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($t-vers-b-old) then concat('http://snomed.info/sct/900062011000036108/version/', $v-earliest-amtv3-date)        else $v-latest-amtv3 " />
    <xsl:variable name="test-tname-b" select="$tname-b-to-test and not($ts-tsnomed-version-b = '' and $v-tsnomed-version-b = '') and not($tsctau-ts-b-63-err) " />
    <xsl:variable name="t-b-term-actual-1" select="if ($test-tname-b and $use-ts-for-sctau and $tsnomed-id-b = 'snomedctau')        then dh:FindPreferredTermUsingTS($tcode-b, '2.16.840.1.113883.6.96', $ts-tsnomed-version-b)        else if ($test-tname-b and exists($v-amtv3) and $tsnomed-id-b = 'amtv3')        then replace(dh:FindPreferredTermAndCaseSignificance($tcode-b, '2.16.840.1.113883.6.96', $v-tsnomed-version-b), '\|.*$', '', 'is')       else '' " />
    <xsl:variable name="error-usingTS-5" select="$error-usingTS-4 or $t-b-term-actual-1 = 'Error' " />
    <xsl:variable name="t-b-term-actual" select="if ($t-b-term-actual-1 = 'CodeNotFound' or $t-b-term-actual-1 = 'Error') then '' else $t-b-term-actual-1 " />
    <xsl:variable name="tname-b-invalid" select="$test-tname-b and $t-b-term-actual != '' and lower-case($t-b-term-actual) != lower-case($snomed-trans-b/@displayName) " />
    <xsl:variable name="thist-b-search" select="$test-tname-b and $tname-b-invalid and $ts-snomedctau-pre-ordered != '' " />
    <xsl:variable name="thist-b-vers-2" select="if ($thist-b-search) then index-of($hist-vers-1, substring-after($ts-tsnomed-version-b, 'version/')) else () " />
    <xsl:variable name="thist-b-vers-3" select="if (exists($thist-b-vers-2) and count($hist-vers-1) &gt; $thist-b-vers-2[1]) then $hist-vers-1[$thist-b-vers-2[1] + 1] else '' " />
    <xsl:variable name="thist-b-vers-4" select="if ($thist-b-vers-3 = '') then '' else concat('http://snomed.info/sct/32506021000036107/version/', $thist-b-vers-3) " />
    <xsl:variable name="thist-b-vers-5" select="if ($thist-b-vers-4 != '' and $use-ts-for-sctau)         then dh:FindLatestVersionWhereDisplaynameMatchUsingTS($tcode-b, '2.16.840.1.113883.6.96', $thist-b-vers-4, $snomed-trans-b/@displayName, false())         else '' " />
    <xsl:variable name="error-usingTS-6" select="$error-usingTS-5 or $thist-b-vers-5 = 'Error' " />
    <xsl:variable name="thist-b-vers-found-1" select="matches($thist-b-vers-5, 'http') " />
    <xsl:variable name="tcode-b-pterm-date-1" select="if (not($tname-b-invalid) or $thist-b-vers-found-1) then ''          else dh:LatestDateForPreferredTerm($tcode-b, '2.16.840.1.113883.6.96', $v-latest-snomedctau) " />
    <xsl:variable name="error-tcode-b-pterm-date" select="'Error' = $tcode-b-pterm-date-1" />
    <xsl:variable name="tcode-b-pterm-date-2" select="if (matches($tcode-b-pterm-date-1, '^[0-9]{8}\|')) then substring-before($tcode-b-pterm-date-1, '|') else '' " />
    <xsl:variable name="tcode-b-pterm-date-est" select="$tcode-b-pterm-date-2 != '' and dh:IsFirstDateEarlierThanSecondDate($creation-date, $tcode-b-pterm-date-2) = '0' " />
    <xsl:variable name="tcode-b-pterm-date" select="if ($tcode-b-pterm-date-est) then $tcode-b-pterm-date-2 else '' " />
    <xsl:variable name="thist-b-vers-6" select="if ($thist-b-vers-5 = 'PreferredTermNeverMatches' and not($tcode-b-pterm-date-est) and matches($tcode-b, $sctau-namespace-id-regex))         then dh:IsCodePreferredTermInTerminologyValid($tcode-b, '2.16.840.1.113883.6.96', $v-latest-amtv3, $snomed-trans-b/@displayName)        else '' " />
    <xsl:variable name="thist-b-vers-found-2" select="$thist-b-vers-6 = 'PreferredTermMatch' " />
    <xsl:variable name="thist-b-vers-7" select="if ($thist-b-vers-6 = 'PreferredTermMismatch' and not($tcode-b-pterm-date-est) and $v-latest-amtv2 = $last-amtv2)         then dh:IsCodePreferredTermInTerminologyValid($tcode-b, '1.2.36.1.2001.1004.100', $last-amtv2, $snomed-trans-b/@displayName)        else '' " />
    <xsl:variable name="thist-b-vers-found-3" select="$thist-b-vers-7 = 'PreferredTermMatch' " />
    <xsl:variable name="thist-b-vers-found" select="$thist-b-vers-found-1 or $thist-b-vers-found-2 or $thist-b-vers-found-3 or $tcode-b-pterm-date-est " />
    <xsl:variable name="thist-b-vers-date" select="if ($thist-b-vers-found-1) then substring-after($thist-b-vers-5, 'http://snomed.info/sct/32506021000036107/version/')         else if ($thist-b-vers-found-2) then substring-after($v-latest-amtv3, 'http://snomed.info/sct/900062011000036108/version/')        else if ($thist-b-vers-found-3) then $last-amtv2-date        else if ($tcode-b-pterm-date-est) then $tcode-b-pterm-date        else '' " />
    <xsl:variable name="thist-b-last-diff" select="if ($sctau-last = '' or $thist-b-vers-date = '') then ''        else iq:display-date-diff($thist-b-vers-date, $sctau-last)[2] " />
    <xsl:variable name="thist-b-last-old" select="$thist-b-last-diff != '' and not(number($thist-b-last-diff) &lt; $sctau-acceptable-age) " />
    <xsl:variable name="t-b-term-found-in" select="if ($thist-b-vers-found-1) then 'last used in the version of SNOMED CT-AU'        else if ($thist-b-vers-found-2) then 'used in the version of AMT v3'        else if ($thist-b-vers-found-3) then 'used in the version of AMT v2'        else '' " />
    <xsl:variable name="thist-b-last-msg" select="if ($tcode-b-pterm-date-est) then concat(' The preferred term was last changed in the version of SNOMED CT-AU published ',          iq:display-date($thist-b-vers-date),          ' so if the value of the translation code displayName was ever valid then it must be before then. ',          'That version was published ', $thist-b-last-diff, ' days before the version of SNOMED CT-AU published immediately prior to the date ''',         /cda:ClinicalDocument/cda:effectiveTime/@value, ''' that this ', $document-name,          ' was created. SNOMED CT-AU is published monthly and the Australian National Terminology Licence Agreement requires the copy used ',         'in healthcare software systems (live or production environments) to be updated within 30 days of the National Terminology release.')        else if (not($thist-b-last-old) or $t-b-term-found-in = '') then ''           else concat(' The value of the translation code displayName was ', $t-b-term-found-in,         ' published on the ', iq:display-date($thist-b-vers-date),         '. That version was published ', $thist-b-last-diff, ' days before the version of SNOMED CT-AU published immediately prior to the date the ',        $document-name, ' was created. SNOMED CT-AU is published monthly and the Australian National Terminology Licence Agreement requires ',        'the copy used in healthcare software systems (live or production environments) to be updated within 30 days of the National Terminology release.')" />
    <xsl:variable name="tr-b-date-required" select="if (not($tname-b-invalid)) then ''        else if ($snomed-trans-b/@codeSystemVersion and matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1))          then substring-after($snomed-trans-b/@codeSystemVersion, '/version/')        else if ($creation-date-est) then ''        else $creation-date " />
    <xsl:variable name="tr-b-date-diff" select="if ($tr-b-date-required = '' or         not(dh:IsFirstDateEarlierThanSecondDate(substring-after($ts-tsnomed-version-b, '/version/'), $tr-b-date-required) = '1')) then ()        else iq:display-date-diff(substring-after($ts-tsnomed-version-b, '/version/'), $tr-b-date-required)" />
    <xsl:variable name="tr-b-old-ts-version" select="exists($tr-b-date-diff) and number($tr-b-date-diff[2]) &gt; 31 " />
    <xsl:variable name="psnomed-version-msg" select="if (not($pname-to-test) or $psctau-ts-63-err) then ''        else if (not(@codeSystemVersion) and $psnomed-id = 'snomedctau' and $pvers-old)          then concat(' The terminology server did not have a version of SNOMED CT-AU published before the date the clinical document was created (',         /cda:ClinicalDocument/cda:effectiveTime/@value, ') so the ''',          $ts-psnomed-version, ''' version of the SNOMED CT-AU code system was used in the assessment.')        else if (not(@codeSystemVersion) and $psnomed-id = 'amtv3' and $pvers-old)          then concat(' The terminology server did not have a version of AMT v3 published before the date the clinical document was created (',         /cda:ClinicalDocument/cda:effectiveTime/@value, ') so the ''',          $v-psnomed-version, ''' version of the AMT v3 code system was used in the assessment.')        else if (not(@codeSystemVersion) and $psnomed-id = 'amtv3') then concat(' The data element did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the AMT v3 code system was used in the assessment.')        else if (not(@codeSystemVersion)) then concat(' The data element did not contain the codeSystemVersion attribute so the ''',          $ts-psnomed-version, ''' version of the SNOMED CT-AU code system was used in the assessment.')        else if ($psnomed-id = 'snomedctau' and not($pvers-old)) then          concat(' The ''', $ts-psnomed-version, ''' version of the code system was used to validate the SNOMED CT-AU code.')        else if ($psnomed-id = 'snomedctau' and $pvers-old) then          concat(' The codeSystemVersion attribute has the correct format for SNOMED CT-AU ''', @codeSystemVersion,          ''' but that version is not present in the Terminology Server.')        else if ($psnomed-id = 'amtv3') then         concat(' The codeSystemVersion attribute has the correct format for AMT v3 ''', @codeSystemVersion,          ''' but that version was not available to use in the assessment.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1) or matches(@codeSystemVersion, $snomed-version-regex-2)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system was not available to use in the assessment.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' .') " />
    <xsl:variable name="tsnomed-version-a-msg" select="if (not($tname-a-to-test) or $tsctau-ts-a-63-err) then ''        else if (not($snomed-trans-a/@codeSystemVersion) and $tsnomed-id-a = 'snomedctau' and $t-vers-a-old)          then concat(' The terminology server did not have a version of SNOMED CT-AU published before the date the clinical document was created (',         /cda:ClinicalDocument/cda:effectiveTime/@value, ') so the ''',          $ts-tsnomed-version-a, ''' version of the SNOMED CT-AU code system was used in the assessment.')        else if (not($snomed-trans-a/@codeSystemVersion) and $tsnomed-id-a = 'amtv3' and $t-vers-a-old)          then concat(' The Clinical Package Validator did not have a version of AMT v3 published before the date the clinical document was created (',         /cda:ClinicalDocument/cda:effectiveTime/@value, ') so the ''',          $v-tsnomed-version-a, ''' version of the AMT v3 code system was used in the assessment.')        else if (not($snomed-trans-a/@codeSystemVersion) and $tsnomed-id-a = 'amtv3')          then concat(' The data element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-a, ''' version of the AMT v3 code system was used in the assessment.')        else if (not($snomed-trans-a/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $ts-tsnomed-version-a, ''' version of the SNOMED CT-AU code system was used in the assessment.')         else if ($tsnomed-id-a = 'snomedctau' and not($t-vers-a-old)) then          concat(' The ''', $ts-tsnomed-version-a, ''' version of the code system was used to validate the SNOMED CT-AU code.')        else if ($tsnomed-id-a = 'snomedctau' and $t-vers-a-old) then          concat(' The codeSystemVersion attribute has the correct format for SNOMED CT-AU ''', $snomed-trans-a/@codeSystemVersion,          ''' but that version is not present in the Terminology Server.')        else if ($tsnomed-id-a = 'amtv3') then         concat(' The codeSystemVersion attribute has the correct format for AMT v3 ''', $snomed-trans-a/@codeSystemVersion,          ''' but that version was not available to use in the assessment.')        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1) or matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-2))         then concat(' The ''', $snomed-trans-a/@codeSystemVersion, ''' version of the code system was not available to use in the assessment.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-a/@codeSystemVersion, '''.') " />
    <xsl:variable name="tsnomed-version-b-msg" select="if (not($tname-b-to-test) or $ts-tsnomed-version-b = '' or $tsctau-ts-b-63-err) then ''        else if (not($snomed-trans-b/@codeSystemVersion) and $tsnomed-id-b = 'snomedctau' and $t-vers-b-old)          then concat(' The terminology server did not have a version of SNOMED CT-AU published before the date the clinical document was created (',         /cda:ClinicalDocument/cda:effectiveTime/@value, ') so the ''',          $ts-tsnomed-version-b, ''' version of the SNOMED CT-AU code system was used in the assessment.')        else if (not($snomed-trans-b/@codeSystemVersion) and $tsnomed-id-b = 'amtv3' and $t-vers-b-old)          then concat(' The Clinical Package Validator did not have a version of AMT v3 published before the date the clinical document was created (',         /cda:ClinicalDocument/cda:effectiveTime/@value, ') so the ''',          $v-tsnomed-version-b, ''' version of the AMT v3 code system was used in the assessment.')        else if (not($snomed-trans-b/@codeSystemVersion) and $tsnomed-id-b = 'amtv3')          then concat(' The data element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-b, ''' version of the AMT v3 code system was used in the assessment.')        else if (not($snomed-trans-b/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $ts-tsnomed-version-b, ''' version of the SNOMED CT-AU code system was used in the assessment.')         else if ($tsnomed-id-b = 'snomedctau' and not($t-vers-b-old)) then          concat(' The ''', $ts-tsnomed-version-b, ''' version of the code system was used to validate the SNOMED CT-AU code.')        else if ($tsnomed-id-b = 'snomedctau' and $t-vers-b-old) then          concat(' The codeSystemVersion attribute has the correct format for SNOMED CT-AU ''', $snomed-trans-b/@codeSystemVersion,          ''' but that version is not present in the Terminology Server.')        else if ($tsnomed-id-b = 'amtv3') then         concat(' The codeSystemVersion attribute has the correct format for AMT v3 ''', $snomed-trans-b/@codeSystemVersion,          ''' but that version was not available to use in the assessment.')        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1) or matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-2))         then concat(' The ''', $snomed-trans-b/@codeSystemVersion, ''' version of the code system was not available to use in the assessment.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-b/@codeSystemVersion, '''.') " />
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and ($pname-to-test or $tname-a-to-test or $tname-b-to-test) and not($use-ts-for-sctau) and    not($psctau-ts-63-err or $tsctau-ts-a-63-err or $tsctau-ts-b-63-err) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and ($pname-to-test or $tname-a-to-test or $tname-b-to-test) and not($use-ts-for-sctau) and not($psctau-ts-63-err or $tsctau-ts-a-63-err or $tsctau-ts-b-63-err)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /><xsl:text /><xsl:value-of select="if ($tname-a-to-test) then concat(' and translation ', iq:display-CD($snomed-trans-a)) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($tname-b-to-test) then concat(' and translation ', iq:display-CD($snomed-trans-b)) else '' " /><xsl:text />
		A terminology server with SNOMED CT-AU codes was not available so it was not possible to verify that the AMT code contains the preferred term for the displayName.
		Confirm that the value of the displayName attribute meets the requirement that it be the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use for Therapeutic Good Identification in the Structured Content Specification.) 

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-6 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-6">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-GCD: An error was reported when accessing the terminology server. The analysis should be retried as the terminology server may have been temporarily unavailable.
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.
		<xsl:text /><xsl:value-of select="if ($p-term-actual-1 = 'Error') then concat(' The error occurred when calling the function FindPreferredTermUsingTS with code ''', $pcode,    ''', codeSystem ''2.16.840.1.113883.6.96'' and codeSystemVersion ''', $ts-psnomed-version, '''.')   else if ($t-a-term-actual-1 = 'Error') then concat(' The error occurred when calling the function FindPreferredTermUsingTS with code ''', $tcode-a,    ''', codeSystem ''2.16.840.1.113883.6.96'' and codeSystemVersion ''', $ts-tsnomed-version-a, '''.')   else if ($t-b-term-actual-1 = 'Error') then concat(' The error occurred when calling the function FindPreferredTermUsingTS with code ''', $tcode-b,    ''', codeSystem ''2.16.840.1.113883.6.96'' and codeSystemVersion ''', $ts-tsnomed-version-b, '''.')   else if ($phist-vers-5 = 'Error') then concat(' The error occurred when calling the function FindLatestVersionWhereDisplaynameMatchUsingTS with code ''', @code,    ''', codeSystem ''2.16.840.1.113883.6.96'', initialVersion ''', $phist-vers-4, ''', displayName ''', @displayName, ''' and enforceCase ''false()''.')   else if ($thist-a-vers-5 = 'Error') then concat(' The error occurred when calling the function FindLatestVersionWhereDisplaynameMatchUsingTS with code ''', $tcode-a,    ''', codeSystem ''2.16.840.1.113883.6.96'', initialVersion ''', $thist-a-vers-4, ''', displayName ''', $snomed-trans-a/@displayName, ''' and enforceCase ''false()''.')   else if ($thist-b-vers-5 = 'Error') then concat(' The error occurred when calling the function FindLatestVersionWhereDisplaynameMatchUsingTS with code ''', $tcode-b,    ''', codeSystem ''2.16.840.1.113883.6.96'', initialVersion ''', $thist-b-vers-4, ''', displayName ''', $snomed-trans-b/@displayName, ''' and enforceCase ''false()''.')    else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-pcode-pterm-date ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-pcode-pterm-date">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$pcode-pterm-date-1" /><xsl:text /> was returned when calling the function LatestDateForPreferredTerm with
		code '<xsl:text /><xsl:value-of select="$pcode" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-latest-snomedctau" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$phist-vers-6 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$phist-vers-6 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$phist-vers-6" /><xsl:text /> was returned when calling the function IsCodePreferredTermInTerminologyValid with
		code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96', codeSystemVersion '<xsl:text /><xsl:value-of select="$v-latest-amtv3" /><xsl:text />' and
		displayName '<xsl:text /><xsl:value-of select="@displayName" /><xsl:text />'. The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$phist-vers-7 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$phist-vers-7 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$phist-vers-7" /><xsl:text /> was returned when calling the function IsCodePreferredTermInTerminologyValid with
		code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />', codeSystem '1.2.36.1.2001.1004.100', codeSystemVersion '<xsl:text /><xsl:value-of select="$last-amtv2" /><xsl:text />' and
		displayName '<xsl:text /><xsl:value-of select="@displayName" /><xsl:text />'. The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $pname-to-test and (not($test-pname) or ($pname-invalid and $pvers-old)) and not($pcode-pterm-date-est or $psctau-ts-63-err)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pname-to-test and (not($test-pname) or ($pname-invalid and $pvers-old)) and not($pcode-pterm-date-est or $psctau-ts-63-err)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		Confirm that the value of the displayName attribute is the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use for Therapeutic Good Identification in the Structured Content Specification.)<xsl:text /><xsl:value-of select="$psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $pname-to-test and $pname-invalid and (not($pvers-old) or $pcode-pterm-date-est) and    (not($phist-vers-found) or ($phist-vers-found and $phist-last-old)) and not($p-old-ts-version)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pname-to-test and $pname-invalid and (not($pvers-old) or $pcode-pterm-date-est) and (not($phist-vers-found) or ($phist-vers-found and $phist-last-old)) and not($p-old-ts-version)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. The value of the displayName attribute does not meet the requirement that it be the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use for Therapeutic Good Identification in the Structured Content Specification.) <xsl:text /><xsl:value-of select="$phist-last-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($p-term-actual = '') then ''   else if ($ts-psnomed-version != '') then concat(' According to the ''', $ts-psnomed-version, ''' version of SNOMED CT-AU the correct value for the preferred term is ''',   dh:XQueryRecursiveReplace($p-term-actual, $markup-pattern-replacement, 'ic'), '''.')   else concat(' According to the ''', $v-psnomed-version, ''' version of AMT v3 the correct value for the preferred term is ''',   dh:XQueryRecursiveReplace($p-term-actual, $markup-pattern-replacement, 'ic'), '''.') " /><xsl:text />'

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $pname-to-test and $pname-invalid and (not($pvers-old) or $pcode-pterm-date-est) and    (not($phist-vers-found) or ($phist-vers-found and $phist-last-old)) and $p-old-ts-version">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pname-to-test and $pname-invalid and (not($pvers-old) or $pcode-pterm-date-est) and (not($phist-vers-found) or ($phist-vers-found and $phist-last-old)) and $p-old-ts-version">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. The value of the displayName attribute may not meet the requirement that it be the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use for Therapeutic Good Identification in the Structured Content Specification.) According to the '<xsl:text /><xsl:value-of select="$ts-psnomed-version" /><xsl:text />' version of SNOMED CT-AU the correct value for the preferred term is
		'<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($p-term-actual, $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		However that version of SNOMED CT-AU in the Terminology Server was published on the <xsl:text /><xsl:value-of select="iq:display-date(substring-after($ts-psnomed-version, '/version/'))" /><xsl:text />
		which is <xsl:text /><xsl:value-of select="$p-date-diff" /><xsl:text /> before the <xsl:text /><xsl:value-of select="if (@codeSystemVersion and matches(@codeSystemVersion, $snomed-version-regex-1)) then   'value of the codeSystemVersion attribute' else concat('date the ', $document-name, ' was created')" /><xsl:text /> which is <xsl:text /><xsl:value-of select="iq:display-date($creation-date)" /><xsl:text />.
		Use a more recently published version of SNOMED CT-AU to confirm if the value of the displayName attribute is the preferred term for the code.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> has 
		<xsl:text /><xsl:value-of select="if ($numbers/number[number(@value) = count($snomed-trans-2)])        then $numbers/number[number(@value) = count($snomed-trans-2)]/@name        else count($snomed-trans-2)" /><xsl:text /> translation elements with
		distinct codes and the SNOMED CT codeSystem '2.16.840.1.113883.6.96'. The first translation element has been assessed to determine if the value of the displayName is the preferred term and
		the others have not been assessed. Confirm if the value of the displayName attribute in all SNOMED CT translation elements meets the requirement that it be the preferred term, also known as
		the preferred synonym, for the code. (See the Conditions of Use in the definition of Therapeutic Good Identification in the Conditions of Use for Therapeutic Good Identification in the Structured Content Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-tcode-a-pterm-date ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-tcode-a-pterm-date">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$tcode-a-pterm-date-1" /><xsl:text /> was returned when calling the function LatestDateForPreferredTerm with
		code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-latest-snomedctau" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$thist-a-vers-6 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$thist-a-vers-6 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$thist-a-vers-6" /><xsl:text /> was returned when calling the function IsCodePreferredTermInTerminologyValid with
		code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', '2.16.840.1.113883.6.96', codeSystemVersion '<xsl:text /><xsl:value-of select="$v-latest-amtv3" /><xsl:text />' and
		displayName '<xsl:text /><xsl:value-of select="$snomed-trans-a/@displayName" /><xsl:text />'. The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$thist-a-vers-7 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$thist-a-vers-7 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$thist-a-vers-7" /><xsl:text /> was returned when calling the function IsCodePreferredTermInTerminologyValid with
		code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', codeSystem '1.2.36.1.2001.1004.100', codeSystemVersion '<xsl:text /><xsl:value-of select="$last-amtv2" /><xsl:text />' and
		displayName '<xsl:text /><xsl:value-of select="$snomed-trans-a/@displayName" /><xsl:text />'. The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-tcode-b-pterm-date ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-tcode-b-pterm-date">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$tcode-b-pterm-date-1" /><xsl:text /> was returned when calling the function LatestDateForPreferredTerm with
		code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-latest-snomedctau" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$thist-b-vers-6 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$thist-b-vers-6 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$thist-b-vers-6" /><xsl:text /> was returned when calling the function IsCodePreferredTermInTerminologyValid with
		code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', '2.16.840.1.113883.6.96', codeSystemVersion '<xsl:text /><xsl:value-of select="$v-latest-amtv3" /><xsl:text />' and
		displayName '<xsl:text /><xsl:value-of select="$snomed-trans-b/@displayName" /><xsl:text />'. The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$thist-b-vers-7 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$thist-b-vers-7 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$thist-b-vers-7" /><xsl:text /> was returned when calling the function IsCodePreferredTermInTerminologyValid with
		code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', codeSystem '1.2.36.1.2001.1004.100', codeSystemVersion '<xsl:text /><xsl:value-of select="$last-amtv2" /><xsl:text />' and
		displayName '<xsl:text /><xsl:value-of select="$snomed-trans-b/@displayName" /><xsl:text />'. The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $tname-a-to-test and (not($test-tname-a) or ($tname-a-invalid and $t-vers-a-old)) and not($tcode-a-pterm-date-est or $tsctau-ts-a-63-err) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tname-a-to-test and (not($test-tname-a) or ($tname-a-invalid and $t-vers-a-old)) and not($tcode-a-pterm-date-est or $tsctau-ts-a-63-err)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> has translation <xsl:text /><xsl:value-of select="iq:display-CD($snomed-trans-a)" /><xsl:text />.
		Confirm that the value of the translation code displayName attribute is the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use for Therapeutic Good Identification in the Structured Content Specification.)<xsl:text /><xsl:value-of select="$tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $tname-b-to-test and (not($test-tname-b) or ($tname-b-invalid and $t-vers-b-old)) and not($tcode-b-pterm-date-est or $tsctau-ts-b-63-err) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tname-b-to-test and (not($test-tname-b) or ($tname-b-invalid and $t-vers-b-old)) and not($tcode-b-pterm-date-est or $tsctau-ts-b-63-err)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> has translation <xsl:text /><xsl:value-of select="iq:display-CD($snomed-trans-b)" /><xsl:text />.
		Confirm that the value of the translation code displayName attribute is the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use for Therapeutic Good Identification in the Structured Content Specification.)<xsl:text /><xsl:value-of select="$tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tcode-a = '') and $tname-a-invalid and (not($t-vers-a-old) or $tcode-a-pterm-date-est) and    (not($thist-a-vers-found) or ($thist-a-vers-found and $thist-a-last-old)) and not($tr-a-old-ts-version)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tcode-a = '') and $tname-a-invalid and (not($t-vers-a-old) or $tcode-a-pterm-date-est) and (not($thist-a-vers-found) or ($thist-a-vers-found and $thist-a-last-old)) and not($tr-a-old-ts-version)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> has translation <xsl:text /><xsl:value-of select="iq:display-CD($snomed-trans-a)" /><xsl:text />.
		The value of the translation code displayName attribute does not meet the requirement that it be the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use for Therapeutic Good Identification in the Structured Content Specification.) <xsl:text /><xsl:value-of select="$thist-a-last-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($t-a-term-actual = '') then ''   else if ($ts-tsnomed-version-a != '') then concat(' According to the ''', $ts-tsnomed-version-a, ''' version of SNOMED CT-AU the correct value for the preferred term is ''',   dh:XQueryRecursiveReplace($t-a-term-actual, $markup-pattern-replacement, 'ic'), '''.')   else concat(' According to the ''', $v-tsnomed-version-a, ''' version of AMT v3 the correct value for the preferred term is ''',   dh:XQueryRecursiveReplace($t-a-term-actual, $markup-pattern-replacement, 'ic'), '''.') " /><xsl:text />'

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not($tcode-a = '') and $tname-a-invalid and (not($t-vers-a-old) or $tcode-a-pterm-date-est) and    (not($thist-a-vers-found) or ($thist-a-vers-found and $thist-a-last-old)) and $tr-a-old-ts-version">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not($tcode-a = '') and $tname-a-invalid and (not($t-vers-a-old) or $tcode-a-pterm-date-est) and (not($thist-a-vers-found) or ($thist-a-vers-found and $thist-a-last-old)) and $tr-a-old-ts-version">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> has translation <xsl:text /><xsl:value-of select="iq:display-CD($snomed-trans-a)" /><xsl:text />.
		The value of the translation code displayName attribute may not meet the requirement that it be the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use for Therapeutic Good Identification in the Structured Content Specification.) According to the '<xsl:text /><xsl:value-of select="$ts-tsnomed-version-a" /><xsl:text />' version of SNOMED CT-AU the correct value for the preferred term is
		'<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($t-a-term-actual, $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		However that version of SNOMED CT-AU in the Terminology Server was published on the <xsl:text /><xsl:value-of select="iq:display-date(substring-after($ts-tsnomed-version-a, '/version/'))" /><xsl:text />
		which is <xsl:text /><xsl:value-of select="$tr-a-date-diff" /><xsl:text /> before the <xsl:text /><xsl:value-of select="if ($snomed-trans-a/@codeSystemVersion and matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1))    then 'value of the translation codeSystemVersion attribute' else concat('date the ', $document-name, ' was created')" /><xsl:text /> which is <xsl:text /><xsl:value-of select="iq:display-date($creation-date)" /><xsl:text />.
		Use a more recently published version of SNOMED CT-AU to confirm if the value of the displayName attribute is the preferred term for the translation code.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tcode-b = '') and $tname-b-invalid and (not($t-vers-b-old) or $tcode-b-pterm-date-est) and    (not($thist-b-vers-found) or ($thist-b-vers-found and $thist-b-last-old)) and not($tr-b-old-ts-version)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tcode-b = '') and $tname-b-invalid and (not($t-vers-b-old) or $tcode-b-pterm-date-est) and (not($thist-b-vers-found) or ($thist-b-vers-found and $thist-b-last-old)) and not($tr-b-old-ts-version)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> has translation <xsl:text /><xsl:value-of select="iq:display-CD($snomed-trans-b)" /><xsl:text />.
		The value of the translation code displayName attribute does not meet the requirement that it be the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use for Therapeutic Good Identification in the Structured Content Specification.) <xsl:text /><xsl:value-of select="$thist-b-last-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($t-b-term-actual = '') then ''   else if ($ts-tsnomed-version-b != '') then concat(' According to the ''', $ts-tsnomed-version-b, ''' version of SNOMED CT-AU the correct value for the preferred term is ''',   dh:XQueryRecursiveReplace($t-b-term-actual, $markup-pattern-replacement, 'ic'), '''.')   else concat(' According to the ''', $v-tsnomed-version-b, ''' version of AMT v3 the correct value for the preferred term is ''',   dh:XQueryRecursiveReplace($t-b-term-actual, $markup-pattern-replacement, 'ic'), '''.') " /><xsl:text />'

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not($tcode-b = '') and $tname-b-invalid and (not($t-vers-b-old) or $tcode-b-pterm-date-est) and    (not($thist-b-vers-found) or ($thist-b-vers-found and $thist-b-last-old)) and $tr-b-old-ts-version">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not($tcode-b = '') and $tname-b-invalid and (not($t-vers-b-old) or $tcode-b-pterm-date-est) and (not($thist-b-vers-found) or ($thist-b-vers-found and $thist-b-last-old)) and $tr-b-old-ts-version">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> has translation <xsl:text /><xsl:value-of select="iq:display-CD($snomed-trans-b)" /><xsl:text />.
		The value of the translation code displayName attribute may not meet the requirement that it be the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use for Therapeutic Good Identification in the Structured Content Specification.) According to the '<xsl:text /><xsl:value-of select="$ts-tsnomed-version-b" /><xsl:text />' version of SNOMED CT-AU the correct value for the preferred term is
		'<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($t-b-term-actual, $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		However that version of SNOMED CT-AU in the Terminology Server was published on the <xsl:text /><xsl:value-of select="iq:display-date(substring-after($ts-tsnomed-version-b, '/version/'))" /><xsl:text />
		which is <xsl:text /><xsl:value-of select="$tr-b-date-diff" /><xsl:text /> before the <xsl:text /><xsl:value-of select="if ($snomed-trans-b/@codeSystemVersion and matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1))    then 'value of the translation codeSystemVersion attribute' else concat('date the ', $document-name, ' was created')" /><xsl:text /> which is <xsl:text /><xsl:value-of select="iq:display-date($creation-date)" /><xsl:text />.
		Use a more recently published version of SNOMED CT-AU to confirm if the value of the displayName attribute is the preferred term for the translation code.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M488" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M488" />
  <xsl:template match="@*|node()" priority="-2" mode="M488">
    <xsl:apply-templates select="@*|*" mode="M488" />
  </xsl:template>
  <!--PATTERN p-TS-Med-CodeableText-19-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16146' = $doc-sections][cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')   or   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')   or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) ]]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/cda:substanceAdministration/cda:consumable/   cda:manufacturedProduct/cda:manufacturedMaterial/cda:code   [(@displayName and matches(@displayName, '[a-z0-9]', 'i')) or (cda:originalText and matches(cda:originalText, '[a-z0-9]', 'i'))] " priority="1000" mode="M489">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16146' = $doc-sections][cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')   or   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')   or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) ]]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/cda:substanceAdministration/cda:consumable/   cda:manufacturedProduct/cda:manufacturedMaterial/cda:code   [(@displayName and matches(@displayName, '[a-z0-9]', 'i')) or (cda:originalText and matches(cda:originalText, '[a-z0-9]', 'i'))] " />
    <xsl:variable name="section1" select="if (cda:originalText) then /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//cda:section   [cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = ('101.16672', '101.16006', '101.20109', '102.15513.4.1.1', '101.20117', '101.16611', '102.20158', '101.16606', '102.16347')]]   [contains(translate(normalize-space(lower-case(cda:text)), $chars-to-remove, ''), translate(normalize-space(lower-case(current()/cda:originalText)), $chars-to-remove, ''))] else ()" />
    <xsl:variable name="section2" select="if (@displayName) then /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//cda:section   [cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = ('101.16672', '101.16006', '101.20109', '102.15513.4.1.1', '101.20117', '101.16611', '102.20158', '101.16606', '102.16347')]]   [contains(translate(normalize-space(lower-case(cda:text)), $chars-to-remove, ''), translate(normalize-space(lower-case(current()/@displayName)), $chars-to-remove, ''))] else ()" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-2" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-2 " />
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $section1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $section1">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step-2" /><xsl:text />: TC-Narr-09 step 2: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has originalText with the value
		'<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />' and this was also found in the narrative of the <xsl:text /><xsl:value-of select="$section1/cda:title" /><xsl:text /> section. Confirm by manual inspection that the information
		about '<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />' in the <xsl:text /><xsl:value-of select="$section1/cda:title" /><xsl:text /> section does not contradict information about '<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. Also check other sections in the document for information about '<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />'.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not($section1) and $section2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not($section1) and $section2">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step-2" /><xsl:text />: TC-Narr-09 step 2: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a displayName attribute with the value '<xsl:text /><xsl:value-of select="@displayName" /><xsl:text />' and this was also found in the narrative of the
		<xsl:text /><xsl:value-of select="$section2/cda:title" /><xsl:text /> section. Confirm by manual inspection that the information about
		'<xsl:text /><xsl:value-of select="@displayName" /><xsl:text />' in the <xsl:text /><xsl:value-of select="$section2/cda:title" /><xsl:text /> section does not contradict information about '<xsl:text /><xsl:value-of select="@displayName" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. Also check other sections in the document for information about '<xsl:text /><xsl:value-of select="@displayName" /><xsl:text />'.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M489" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M489" />
  <xsl:template match="@*|node()" priority="-2" mode="M489">
    <xsl:apply-templates select="@*|*" mode="M489" />
  </xsl:template>
  <!--PATTERN p-TS-Med-CodedText-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16146' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('103.16302.2.2.1', '103.16302.120.1.2', '103.16302.132.1.1')]]/cda:value " priority="1000" mode="M490">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16146' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('103.16302.2.2.1', '103.16302.120.1.2', '103.16302.132.1.1')]]/cda:value " />
    <xsl:variable name="tc-types-49-err" select="@nullFlavor = ('PINF', 'NINF', 'QS', 'TRC') or (@nullFlavor='UNC' and (not(cda:originalText) or normalize-space(cda:originalText) = '')) " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="family-err" select="cda:originalText and matches(cda:originalText, $family-regex, 'i')" />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; 200" />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and @code != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used with the Clinical Package Validator to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used with the Clinical Package Validator to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the primary code.') " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-06-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-06-step-2 else $rating-alt-TC-Types-06-step-2 " />
    <xsl:variable name="rating-07-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-1 else $rating-alt-TC-Types-07-step-1 " />
    <xsl:variable name="rating-07-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-2 else $rating-alt-TC-Types-07-step-2 " />
    <xsl:variable name="rating-08" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-08 else $rating-alt-TC-Types-08 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-07: The Medications Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data
		type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to the Structured Content Specification the Medications Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which is derived from the HL7 'CD' data type however xsi:type '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to the Structured Content Specification the Medications Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:translation">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:translation">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Medications Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'translation' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value
		domain, with no exceptions. A translation translates the value into a code from another code systems, so translations are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:qualifier">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:qualifier">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Medications Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'qualifier' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value domain,
		with no exceptions. A qualifier constrains the value, so qualifiers are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Medications Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Medications Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Medications Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Medications Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present and is not expected
		for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Medications Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />'
		is present and is not expected for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-terminology-concepts = 'true' and not(true() or false() or $family-err or $length-err) and    not(@nullFlavor) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and not(true() or false() or $family-err or $length-err) and not(@nullFlavor)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (value domain not specified): The Medications Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The CodedText data type has the requirement that values must come from the specified bound value domain with no exceptions but a value domain has not been specified for the
		Medications Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Medications Exclusion Statement',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="false() and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != '1.2.36.1.2001.1001.101.104.16299'))  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != '1.2.36.1.2001.1001.101.104.16299'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-06-step-2" /><xsl:text />: TC-Types-06 step 2: According to the Structured Content Specification the Medications Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. The
		CodedText data type has the requirement that values must come from the bound value domain with no exceptions. Therefore the value of the codeSystem attribute must be a publicly available
		code system. The Medications Exclusion Statement data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide states the code system is 'NS' (not stated) with the requirement 'When national standard code sets become
		available, they SHALL be used'. The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> which is after the national standard code set became available
		for use on the <xsl:text /><xsl:value-of select="''" /><xsl:text />. The code system that must be used is
		<xsl:text /><xsl:value-of select="if ('1.2.36.1.2001.1001.101.104.16299' = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName, ' (ConceptId ''', 'none', ''')')   else concat('1.2.36.1.2001.1001.101.104.16299', ' (', $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16299']/@codeSystemName, ')')" /><xsl:text /><xsl:text /><xsl:value-of select="if (not(@codeSystem)) then '.'    else if (@codeSystemName) then concat(' however codeSystem ''', @codeSystem, ''' (', @codeSystemName, ') is present.')   else concat(' however a codeSystem attribute with the value ''', @codeSystem, ''' is present.') " /><xsl:text />
		(See section 1.8 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide, <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 7 of the CDA Implementation Guide for the
		information about the value domain.)
		<xsl:text /><xsl:value-of select="if ('none' = '11000036103') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName,     ' are Allergic reaction (''419076005''), Medication side-effect (''401207004'') and Drug interaction (''79899007'').')    else if ('none' = '15071000036100') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName,     ' are Prescribed (''105681000036100''), Suspended (''385655000'') and Unchanged (''105701000036103'').')    else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'OTH' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'OTH'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Medications Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore it is not valid for the data element to have nullFlavor 'OTH' to indicate that the
		actual value is not a member of the set of permitted data values in the constrained value domain. 
		(See the requirements for Medications Exclusion Statement and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Medications Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type<xsl:text /><xsl:value-of select="if (not(false())) then '.' else   concat(' and section 7 of the CDA Implementation Guide states the vocabulary is ''', '1.2.36.1.2001.1001.101.104.16299', ''' (', $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16299']/@codeSystemName, ').') " /><xsl:text />
		The CodedText data type has
		the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor attribute
		to indicate there is no value, however a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) is present and is not one of the nullFlavor values that indicate there is no value.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@nullFlavor or @code) and not(false() and not(@nullFlavor) and not(@codeSystem)) and cda:originalText ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor or @code) and not(false() and not(@nullFlavor) and not(@codeSystem)) and cda:originalText">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Medications Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor
		attribute to indicate there is no value. The only information found in the data element is originalText '<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />'.
		(See the requirements for Medications Exclusion Statement and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)
		<xsl:text /><xsl:value-of select="if (local-name(.) = 'jobClassCode') then concat('Consider using the METeOR 314867 ''Employment type'' code system (codeSystem ''2.16.840.1.113883.3.879.314867'') which has ',   'codes for ''Permanent'', ''Fixed term contract'', ''Casual'' and ''Not stated/inadequately described''; or the  METeOR 691891 ''Full-time/part-time status'' code system ',   '(codeSystem ''2.16.840.1.113883.3.879.691891'') which has codes for ''Full-time'', ''Part-time'' and ''Not stated/inadequately described''. ',   '(See the the METeOR 314867 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/314867 and the METeOR 691891 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/691891.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="true() and @codeSystem and @codeSystem != '1.2.36.1.2001.1001.101.104.16299' and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and @codeSystem and @codeSystem != '1.2.36.1.2001.1001.101.104.16299' and not(false())">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Medications Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and section 7 of the CDA Implementation Guide states the vocabulary is
		<xsl:text /><xsl:value-of select="if ('1.2.36.1.2001.1001.101.104.16299' = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName, ' (ConceptId ''', 'none', ''').')   else concat('1.2.36.1.2001.1001.101.104.16299', ' (', $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16299']/@codeSystemName, ').')" /><xsl:text />
		The CodedText data type has the requirement that values must come from the bound value domain with no exceptions.
		Therefore the value of codeSystem must be '1.2.36.1.2001.1001.101.104.16299' but codeSystem '<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />' (<xsl:text /><xsl:value-of select="@codeSystemName" /><xsl:text />) is present.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="true() and '1.2.36.1.2001.1001.101.104.16299' = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and    not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version,    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@refSet) = 'CodeFound') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and '1.2.36.1.2001.1001.101.104.16299' = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version, $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@refSet) = 'CodeFound')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Medications Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. The applicable value domain is the SNOMED CT-AU
		<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName" /><xsl:text />
		(Concept ID: 'none'). The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the code is not a member of the value domain.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 7 of the CDA Implementation Guide for the information about the value domain.)<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-08" /><xsl:text />: TC-Types-08: According to the Structured Content Specification the Medications Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. It has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> but has neither an originalText nor a displayName
		so it fails to conform to the requirement 'In accordance with the requirement to completely represent section contents, values of CodedText or CodeableText data elements defined in
		the SCS SHALL include an originalText or a displayName component (or both)'.
		(See Appendix A of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 6.1 and 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090
		Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and not(cda:originalText) and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and not(cda:originalText) and not(false())">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Medications Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is
		not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. (See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M490" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M490" />
  <xsl:template match="@*|node()" priority="-2" mode="M490">
    <xsl:apply-templates select="@*|*" mode="M490" />
  </xsl:template>
  <!--PATTERN p-TS-Med-CodedText-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16146' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('103.16302.2.2.1', '103.16302.120.1.2', '103.16302.132.1.1')]]/cda:value   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M491">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16146' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('103.16302.2.2.1', '103.16302.120.1.2', '103.16302.132.1.1')]]/cda:value   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Medications Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Medications Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Medications Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Medications Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Medications Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Medications Exclusion Statement has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Medications Exclusion Statement data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('medications', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('medications', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Medications Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Medications Exclusion Statement data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Medications Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Medications Exclusion Statement data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Medications Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Medications Exclusion Statement data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('medications', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('medications', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Medications Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('medications', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Medications Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Medications Exclusion Statement data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Medications Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Medications Exclusion Statement data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Medications Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Medications Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Medications Exclusion Statement data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Medications Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Medications Exclusion Statement data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Medications Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Medications Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M491" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M491" />
  <xsl:template match="@*|node()" priority="-2" mode="M491">
    <xsl:apply-templates select="@*|*" mode="M491" />
  </xsl:template>
  <!--PATTERN p-TS-Med-CodedText-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16146' = $doc-sections][cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3') or   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.4')]]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/   cda:entry/cda:substanceAdministration/cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16593']]/cda:value " priority="1000" mode="M492">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16146' = $doc-sections][cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3') or   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.4')]]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/   cda:entry/cda:substanceAdministration/cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16593']]/cda:value " />
    <xsl:variable name="tc-types-49-err" select="@nullFlavor = ('PINF', 'NINF', 'QS', 'TRC') or (@nullFlavor='UNC' and (not(cda:originalText) or normalize-space(cda:originalText) = '')) " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="family-err" select="cda:originalText and matches(cda:originalText, $family-regex, 'i')" />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; 200" />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and @code != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used with the Clinical Package Validator to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used with the Clinical Package Validator to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the primary code.') " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-06-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-06-step-2 else $rating-alt-TC-Types-06-step-2 " />
    <xsl:variable name="rating-07-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-1 else $rating-alt-TC-Types-07-step-1 " />
    <xsl:variable name="rating-07-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-2 else $rating-alt-TC-Types-07-step-2 " />
    <xsl:variable name="rating-08" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-08 else $rating-alt-TC-Types-08 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-07: The Change Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data
		type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to the Structured Content Specification the Change Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which is derived from the HL7 'CD' data type however xsi:type '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to the Structured Content Specification the Change Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:translation">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:translation">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Change Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'translation' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value
		domain, with no exceptions. A translation translates the value into a code from another code systems, so translations are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:qualifier">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:qualifier">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Change Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'qualifier' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value domain,
		with no exceptions. A qualifier constrains the value, so qualifiers are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Change Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Change Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Change Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Change Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present and is not expected
		for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Change Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />'
		is present and is not expected for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-terminology-concepts = 'true' and not(true() or false() or $family-err or $length-err) and    not(@nullFlavor) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and not(true() or false() or $family-err or $length-err) and not(@nullFlavor)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (value domain not specified): The Change Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The CodedText data type has the requirement that values must come from the specified bound value domain with no exceptions but a value domain has not been specified for the
		Change Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Change Type',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="false() and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != '2.16.840.1.113883.6.96'))  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != '2.16.840.1.113883.6.96'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-06-step-2" /><xsl:text />: TC-Types-06 step 2: According to the Structured Content Specification the Change Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. The
		CodedText data type has the requirement that values must come from the bound value domain with no exceptions. Therefore the value of the codeSystem attribute must be a publicly available
		code system. The Change Type data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide states the code system is 'NS' (not stated) with the requirement 'When national standard code sets become
		available, they SHALL be used'. The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> which is after the national standard code set became available
		for use on the <xsl:text /><xsl:value-of select="''" /><xsl:text />. The code system that must be used is
		<xsl:text /><xsl:value-of select="if ('2.16.840.1.113883.6.96' = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = '15071000036100']/@referenceSetName, ' (ConceptId ''', '15071000036100', ''')')   else concat('2.16.840.1.113883.6.96', ' (', $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/@codeSystemName, ')')" /><xsl:text /><xsl:text /><xsl:value-of select="if (not(@codeSystem)) then '.'    else if (@codeSystemName) then concat(' however codeSystem ''', @codeSystem, ''' (', @codeSystemName, ') is present.')   else concat(' however a codeSystem attribute with the value ''', @codeSystem, ''' is present.') " /><xsl:text />
		(See section 1.8 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide, <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 7 of the CDA Implementation Guide for the
		information about the value domain.)
		<xsl:text /><xsl:value-of select="if ('15071000036100' = '11000036103') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = '15071000036100']/@referenceSetName,     ' are Allergic reaction (''419076005''), Medication side-effect (''401207004'') and Drug interaction (''79899007'').')    else if ('15071000036100' = '15071000036100') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = '15071000036100']/@referenceSetName,     ' are Prescribed (''105681000036100''), Suspended (''385655000'') and Unchanged (''105701000036103'').')    else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'OTH' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'OTH'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Change Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore it is not valid for the data element to have nullFlavor 'OTH' to indicate that the
		actual value is not a member of the set of permitted data values in the constrained value domain. 
		(See the requirements for Change Type and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Change Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type<xsl:text /><xsl:value-of select="if (not(false())) then '.' else   concat(' and section 7 of the CDA Implementation Guide states the vocabulary is ''', '2.16.840.1.113883.6.96', ''' (', $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/@codeSystemName, ').') " /><xsl:text />
		The CodedText data type has
		the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor attribute
		to indicate there is no value, however a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) is present and is not one of the nullFlavor values that indicate there is no value.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@nullFlavor or @code) and not(false() and not(@nullFlavor) and not(@codeSystem)) and cda:originalText ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor or @code) and not(false() and not(@nullFlavor) and not(@codeSystem)) and cda:originalText">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Change Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor
		attribute to indicate there is no value. The only information found in the data element is originalText '<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />'.
		(See the requirements for Change Type and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)
		<xsl:text /><xsl:value-of select="if (local-name(.) = 'jobClassCode') then concat('Consider using the METeOR 314867 ''Employment type'' code system (codeSystem ''2.16.840.1.113883.3.879.314867'') which has ',   'codes for ''Permanent'', ''Fixed term contract'', ''Casual'' and ''Not stated/inadequately described''; or the  METeOR 691891 ''Full-time/part-time status'' code system ',   '(codeSystem ''2.16.840.1.113883.3.879.691891'') which has codes for ''Full-time'', ''Part-time'' and ''Not stated/inadequately described''. ',   '(See the the METeOR 314867 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/314867 and the METeOR 691891 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/691891.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="true() and @codeSystem and @codeSystem != '2.16.840.1.113883.6.96' and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and @codeSystem and @codeSystem != '2.16.840.1.113883.6.96' and not(false())">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Change Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and section 7 of the CDA Implementation Guide states the vocabulary is
		<xsl:text /><xsl:value-of select="if ('2.16.840.1.113883.6.96' = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = '15071000036100']/@referenceSetName, ' (ConceptId ''', '15071000036100', ''').')   else concat('2.16.840.1.113883.6.96', ' (', $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/@codeSystemName, ').')" /><xsl:text />
		The CodedText data type has the requirement that values must come from the bound value domain with no exceptions.
		Therefore the value of codeSystem must be '2.16.840.1.113883.6.96' but codeSystem '<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />' (<xsl:text /><xsl:value-of select="@codeSystemName" /><xsl:text />) is present.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="true() and '2.16.840.1.113883.6.96' = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and    not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version,    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = '15071000036100']/@refSet) = 'CodeFound') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and '2.16.840.1.113883.6.96' = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version, $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = '15071000036100']/@refSet) = 'CodeFound')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Change Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. The applicable value domain is the SNOMED CT-AU
		<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = '15071000036100']/@referenceSetName" /><xsl:text />
		(Concept ID: '15071000036100'). The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the code is not a member of the value domain.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 7 of the CDA Implementation Guide for the information about the value domain.)<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-08" /><xsl:text />: TC-Types-08: According to the Structured Content Specification the Change Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. It has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> but has neither an originalText nor a displayName
		so it fails to conform to the requirement 'In accordance with the requirement to completely represent section contents, values of CodedText or CodeableText data elements defined in
		the SCS SHALL include an originalText or a displayName component (or both)'.
		(See Appendix A of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 6.1 and 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090
		Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and not(cda:originalText) and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and not(cda:originalText) and not(false())">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Change Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is
		not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. (See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M492" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M492" />
  <xsl:template match="@*|node()" priority="-2" mode="M492">
    <xsl:apply-templates select="@*|*" mode="M492" />
  </xsl:template>
  <!--PATTERN p-TS-Med-CodedText-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16146' = $doc-sections][cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2') or   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3') or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2') or   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.3')]]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/   cda:entry/cda:substanceAdministration/cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16593']]/cda:value  " priority="1000" mode="M493">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16146' = $doc-sections][cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2') or   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3') or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2') or   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.3')]]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/   cda:entry/cda:substanceAdministration/cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16593']]/cda:value  " />
    <xsl:variable name="tc-types-49-err" select="@nullFlavor = ('PINF', 'NINF', 'QS', 'TRC') or (@nullFlavor='UNC' and (not(cda:originalText) or normalize-space(cda:originalText) = '')) " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="family-err" select="cda:originalText and matches(cda:originalText, $family-regex, 'i')" />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; 200" />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and @code != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used with the Clinical Package Validator to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used with the Clinical Package Validator to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the primary code.') " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-06-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-06-step-2 else $rating-alt-TC-Types-06-step-2 " />
    <xsl:variable name="rating-07-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-1 else $rating-alt-TC-Types-07-step-1 " />
    <xsl:variable name="rating-07-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-2 else $rating-alt-TC-Types-07-step-2 " />
    <xsl:variable name="rating-08" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-08 else $rating-alt-TC-Types-08 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-07: The Change Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data
		type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to the Structured Content Specification the Change Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which is derived from the HL7 'CD' data type however xsi:type '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to the Structured Content Specification the Change Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:translation">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:translation">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Change Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'translation' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value
		domain, with no exceptions. A translation translates the value into a code from another code systems, so translations are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:qualifier">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:qualifier">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Change Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'qualifier' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value domain,
		with no exceptions. A qualifier constrains the value, so qualifiers are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Change Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Change Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Change Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Change Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present and is not expected
		for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Change Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />'
		is present and is not expected for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-terminology-concepts = 'true' and not(true() or false() or $family-err or $length-err) and    not(@nullFlavor) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and not(true() or false() or $family-err or $length-err) and not(@nullFlavor)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (value domain not specified): The Change Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The CodedText data type has the requirement that values must come from the specified bound value domain with no exceptions but a value domain has not been specified for the
		Change Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Change Type',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="false() and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != '1.2.36.1.2001.1001.101.104.16592'))  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != '1.2.36.1.2001.1001.101.104.16592'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-06-step-2" /><xsl:text />: TC-Types-06 step 2: According to the Structured Content Specification the Change Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. The
		CodedText data type has the requirement that values must come from the bound value domain with no exceptions. Therefore the value of the codeSystem attribute must be a publicly available
		code system. The Change Type data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide states the code system is 'NS' (not stated) with the requirement 'When national standard code sets become
		available, they SHALL be used'. The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> which is after the national standard code set became available
		for use on the <xsl:text /><xsl:value-of select="''" /><xsl:text />. The code system that must be used is
		<xsl:text /><xsl:value-of select="if ('1.2.36.1.2001.1001.101.104.16592' = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName, ' (ConceptId ''', 'none', ''')')   else concat('1.2.36.1.2001.1001.101.104.16592', ' (', $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592']/@codeSystemName, ')')" /><xsl:text /><xsl:text /><xsl:value-of select="if (not(@codeSystem)) then '.'    else if (@codeSystemName) then concat(' however codeSystem ''', @codeSystem, ''' (', @codeSystemName, ') is present.')   else concat(' however a codeSystem attribute with the value ''', @codeSystem, ''' is present.') " /><xsl:text />
		(See section 1.8 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide, <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 7 of the CDA Implementation Guide for the
		information about the value domain.)
		<xsl:text /><xsl:value-of select="if ('none' = '11000036103') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName,     ' are Allergic reaction (''419076005''), Medication side-effect (''401207004'') and Drug interaction (''79899007'').')    else if ('none' = '15071000036100') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName,     ' are Prescribed (''105681000036100''), Suspended (''385655000'') and Unchanged (''105701000036103'').')    else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'OTH' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'OTH'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Change Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore it is not valid for the data element to have nullFlavor 'OTH' to indicate that the
		actual value is not a member of the set of permitted data values in the constrained value domain. 
		(See the requirements for Change Type and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Change Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type<xsl:text /><xsl:value-of select="if (not(false())) then '.' else   concat(' and section 7 of the CDA Implementation Guide states the vocabulary is ''', '1.2.36.1.2001.1001.101.104.16592', ''' (', $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592']/@codeSystemName, ').') " /><xsl:text />
		The CodedText data type has
		the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor attribute
		to indicate there is no value, however a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) is present and is not one of the nullFlavor values that indicate there is no value.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@nullFlavor or @code) and not(false() and not(@nullFlavor) and not(@codeSystem)) and cda:originalText ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor or @code) and not(false() and not(@nullFlavor) and not(@codeSystem)) and cda:originalText">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Change Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor
		attribute to indicate there is no value. The only information found in the data element is originalText '<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />'.
		(See the requirements for Change Type and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)
		<xsl:text /><xsl:value-of select="if (local-name(.) = 'jobClassCode') then concat('Consider using the METeOR 314867 ''Employment type'' code system (codeSystem ''2.16.840.1.113883.3.879.314867'') which has ',   'codes for ''Permanent'', ''Fixed term contract'', ''Casual'' and ''Not stated/inadequately described''; or the  METeOR 691891 ''Full-time/part-time status'' code system ',   '(codeSystem ''2.16.840.1.113883.3.879.691891'') which has codes for ''Full-time'', ''Part-time'' and ''Not stated/inadequately described''. ',   '(See the the METeOR 314867 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/314867 and the METeOR 691891 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/691891.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="true() and @codeSystem and @codeSystem != '1.2.36.1.2001.1001.101.104.16592' and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and @codeSystem and @codeSystem != '1.2.36.1.2001.1001.101.104.16592' and not(false())">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Change Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and section 7 of the CDA Implementation Guide states the vocabulary is
		<xsl:text /><xsl:value-of select="if ('1.2.36.1.2001.1001.101.104.16592' = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName, ' (ConceptId ''', 'none', ''').')   else concat('1.2.36.1.2001.1001.101.104.16592', ' (', $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592']/@codeSystemName, ').')" /><xsl:text />
		The CodedText data type has the requirement that values must come from the bound value domain with no exceptions.
		Therefore the value of codeSystem must be '1.2.36.1.2001.1001.101.104.16592' but codeSystem '<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />' (<xsl:text /><xsl:value-of select="@codeSystemName" /><xsl:text />) is present.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="true() and '1.2.36.1.2001.1001.101.104.16592' = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and    not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version,    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@refSet) = 'CodeFound') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and '1.2.36.1.2001.1001.101.104.16592' = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version, $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@refSet) = 'CodeFound')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Change Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. The applicable value domain is the SNOMED CT-AU
		<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName" /><xsl:text />
		(Concept ID: 'none'). The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the code is not a member of the value domain.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 7 of the CDA Implementation Guide for the information about the value domain.)<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-08" /><xsl:text />: TC-Types-08: According to the Structured Content Specification the Change Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. It has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> but has neither an originalText nor a displayName
		so it fails to conform to the requirement 'In accordance with the requirement to completely represent section contents, values of CodedText or CodeableText data elements defined in
		the SCS SHALL include an originalText or a displayName component (or both)'.
		(See Appendix A of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 6.1 and 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090
		Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and not(cda:originalText) and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and not(cda:originalText) and not(false())">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Change Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is
		not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. (See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M493" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M493" />
  <xsl:template match="@*|node()" priority="-2" mode="M493">
    <xsl:apply-templates select="@*|*" mode="M493" />
  </xsl:template>
  <!--PATTERN p-TS-Med-CodedText-5-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16146' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/   cda:entry/cda:substanceAdministration/cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16593']]/cda:value   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M494">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16146' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/   cda:entry/cda:substanceAdministration/cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16593']]/cda:value   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Change Type '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Change Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Change Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Change Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Change Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Change Type has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Change Type data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Change Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Change Type data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Change Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Change Type data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Change Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Change Type data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Change Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Change Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Change Type data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Change Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Change Type data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Change Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Change Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Change Type data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Change Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Change Type data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Change Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Change Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M494" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M494" />
  <xsl:template match="@*|node()" priority="-2" mode="M494">
    <xsl:apply-templates select="@*|*" mode="M494" />
  </xsl:template>
  <!--PATTERN p-TS-Med-CodedText-6-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16146' = $doc-sections][cda:templateId[   @root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3']]/   cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/   cda:substanceAdministration/cda:entryRelationship/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16595']]/cda:value " priority="1000" mode="M495">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16146' = $doc-sections][cda:templateId[   @root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3']]/   cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/   cda:substanceAdministration/cda:entryRelationship/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16595']]/cda:value " />
    <xsl:variable name="tc-types-49-err" select="@nullFlavor = ('PINF', 'NINF', 'QS', 'TRC') or (@nullFlavor='UNC' and (not(cda:originalText) or normalize-space(cda:originalText) = '')) " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="family-err" select="cda:originalText and matches(cda:originalText, $family-regex, 'i')" />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; 200" />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and @code != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used with the Clinical Package Validator to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used with the Clinical Package Validator to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the primary code.') " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-06-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-06-step-2 else $rating-alt-TC-Types-06-step-2 " />
    <xsl:variable name="rating-07-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-1 else $rating-alt-TC-Types-07-step-1 " />
    <xsl:variable name="rating-07-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-2 else $rating-alt-TC-Types-07-step-2 " />
    <xsl:variable name="rating-08" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-08 else $rating-alt-TC-Types-08 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-07: The Change Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data
		type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to the Structured Content Specification the Change Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which is derived from the HL7 'CD' data type however xsi:type '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to the Structured Content Specification the Change Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:translation">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:translation">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Change Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'translation' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value
		domain, with no exceptions. A translation translates the value into a code from another code systems, so translations are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:qualifier">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:qualifier">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Change Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'qualifier' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value domain,
		with no exceptions. A qualifier constrains the value, so qualifiers are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Change Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Change Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Change Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Change Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present and is not expected
		for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Change Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />'
		is present and is not expected for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-terminology-concepts = 'true' and not(true() or false() or $family-err or $length-err) and    not(@nullFlavor) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and not(true() or false() or $family-err or $length-err) and not(@nullFlavor)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (value domain not specified): The Change Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The CodedText data type has the requirement that values must come from the specified bound value domain with no exceptions but a value domain has not been specified for the
		Change Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Change Status',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="false() and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != '2.16.840.1.113883.6.96'))  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != '2.16.840.1.113883.6.96'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-06-step-2" /><xsl:text />: TC-Types-06 step 2: According to the Structured Content Specification the Change Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. The
		CodedText data type has the requirement that values must come from the bound value domain with no exceptions. Therefore the value of the codeSystem attribute must be a publicly available
		code system. The Change Status data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide states the code system is 'NS' (not stated) with the requirement 'When national standard code sets become
		available, they SHALL be used'. The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> which is after the national standard code set became available
		for use on the <xsl:text /><xsl:value-of select="''" /><xsl:text />. The code system that must be used is
		<xsl:text /><xsl:value-of select="if ('2.16.840.1.113883.6.96' = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = '669181000168104']/@referenceSetName, ' (ConceptId ''', '669181000168104', ''')')   else concat('2.16.840.1.113883.6.96', ' (', $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/@codeSystemName, ')')" /><xsl:text /><xsl:text /><xsl:value-of select="if (not(@codeSystem)) then '.'    else if (@codeSystemName) then concat(' however codeSystem ''', @codeSystem, ''' (', @codeSystemName, ') is present.')   else concat(' however a codeSystem attribute with the value ''', @codeSystem, ''' is present.') " /><xsl:text />
		(See section 1.8 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide, <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 7 of the CDA Implementation Guide for the
		information about the value domain.)
		<xsl:text /><xsl:value-of select="if ('669181000168104' = '11000036103') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = '669181000168104']/@referenceSetName,     ' are Allergic reaction (''419076005''), Medication side-effect (''401207004'') and Drug interaction (''79899007'').')    else if ('669181000168104' = '15071000036100') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = '669181000168104']/@referenceSetName,     ' are Prescribed (''105681000036100''), Suspended (''385655000'') and Unchanged (''105701000036103'').')    else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'OTH' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'OTH'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Change Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore it is not valid for the data element to have nullFlavor 'OTH' to indicate that the
		actual value is not a member of the set of permitted data values in the constrained value domain. 
		(See the requirements for Change Status and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Change Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type<xsl:text /><xsl:value-of select="if (not(false())) then '.' else   concat(' and section 7 of the CDA Implementation Guide states the vocabulary is ''', '2.16.840.1.113883.6.96', ''' (', $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/@codeSystemName, ').') " /><xsl:text />
		The CodedText data type has
		the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor attribute
		to indicate there is no value, however a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) is present and is not one of the nullFlavor values that indicate there is no value.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@nullFlavor or @code) and not(false() and not(@nullFlavor) and not(@codeSystem)) and cda:originalText ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor or @code) and not(false() and not(@nullFlavor) and not(@codeSystem)) and cda:originalText">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Change Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor
		attribute to indicate there is no value. The only information found in the data element is originalText '<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />'.
		(See the requirements for Change Status and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)
		<xsl:text /><xsl:value-of select="if (local-name(.) = 'jobClassCode') then concat('Consider using the METeOR 314867 ''Employment type'' code system (codeSystem ''2.16.840.1.113883.3.879.314867'') which has ',   'codes for ''Permanent'', ''Fixed term contract'', ''Casual'' and ''Not stated/inadequately described''; or the  METeOR 691891 ''Full-time/part-time status'' code system ',   '(codeSystem ''2.16.840.1.113883.3.879.691891'') which has codes for ''Full-time'', ''Part-time'' and ''Not stated/inadequately described''. ',   '(See the the METeOR 314867 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/314867 and the METeOR 691891 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/691891.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="true() and @codeSystem and @codeSystem != '2.16.840.1.113883.6.96' and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and @codeSystem and @codeSystem != '2.16.840.1.113883.6.96' and not(false())">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Change Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and section 7 of the CDA Implementation Guide states the vocabulary is
		<xsl:text /><xsl:value-of select="if ('2.16.840.1.113883.6.96' = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = '669181000168104']/@referenceSetName, ' (ConceptId ''', '669181000168104', ''').')   else concat('2.16.840.1.113883.6.96', ' (', $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/@codeSystemName, ').')" /><xsl:text />
		The CodedText data type has the requirement that values must come from the bound value domain with no exceptions.
		Therefore the value of codeSystem must be '2.16.840.1.113883.6.96' but codeSystem '<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />' (<xsl:text /><xsl:value-of select="@codeSystemName" /><xsl:text />) is present.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="true() and '2.16.840.1.113883.6.96' = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and    not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version,    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = '669181000168104']/@refSet) = 'CodeFound') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and '2.16.840.1.113883.6.96' = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version, $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = '669181000168104']/@refSet) = 'CodeFound')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Change Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. The applicable value domain is the SNOMED CT-AU
		<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = '669181000168104']/@referenceSetName" /><xsl:text />
		(Concept ID: '669181000168104'). The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the code is not a member of the value domain.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 7 of the CDA Implementation Guide for the information about the value domain.)<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-08" /><xsl:text />: TC-Types-08: According to the Structured Content Specification the Change Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. It has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> but has neither an originalText nor a displayName
		so it fails to conform to the requirement 'In accordance with the requirement to completely represent section contents, values of CodedText or CodeableText data elements defined in
		the SCS SHALL include an originalText or a displayName component (or both)'.
		(See Appendix A of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 6.1 and 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090
		Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and not(cda:originalText) and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and not(cda:originalText) and not(false())">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Change Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is
		not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. (See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M495" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M495" />
  <xsl:template match="@*|node()" priority="-2" mode="M495">
    <xsl:apply-templates select="@*|*" mode="M495" />
  </xsl:template>
  <!--PATTERN p-TS-Med-CodedText-7-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16146' = $doc-sections][cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3') or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2') ]]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/   cda:substanceAdministration/cda:entryRelationship/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16595']]/cda:value " priority="1000" mode="M496">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16146' = $doc-sections][cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3') or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2') ]]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/   cda:substanceAdministration/cda:entryRelationship/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16595']]/cda:value " />
    <xsl:variable name="tc-types-49-err" select="@nullFlavor = ('PINF', 'NINF', 'QS', 'TRC') or (@nullFlavor='UNC' and (not(cda:originalText) or normalize-space(cda:originalText) = '')) " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="family-err" select="cda:originalText and matches(cda:originalText, $family-regex, 'i')" />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; 200" />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and @code != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used with the Clinical Package Validator to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used with the Clinical Package Validator to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the primary code.') " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-06-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-06-step-2 else $rating-alt-TC-Types-06-step-2 " />
    <xsl:variable name="rating-07-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-1 else $rating-alt-TC-Types-07-step-1 " />
    <xsl:variable name="rating-07-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-2 else $rating-alt-TC-Types-07-step-2 " />
    <xsl:variable name="rating-08" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-08 else $rating-alt-TC-Types-08 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-07: The Change or Recommendation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data
		type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to the Structured Content Specification the Change or Recommendation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which is derived from the HL7 'CD' data type however xsi:type '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to the Structured Content Specification the Change or Recommendation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:translation">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:translation">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Change or Recommendation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'translation' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value
		domain, with no exceptions. A translation translates the value into a code from another code systems, so translations are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:qualifier">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:qualifier">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Change or Recommendation
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'qualifier' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value domain,
		with no exceptions. A qualifier constrains the value, so qualifiers are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Change or Recommendation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Change or Recommendation
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Change or Recommendation
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Change or Recommendation
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present and is not expected
		for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Change or Recommendation
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />'
		is present and is not expected for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-terminology-concepts = 'true' and not(true() or false() or $family-err or $length-err) and    not(@nullFlavor) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and not(true() or false() or $family-err or $length-err) and not(@nullFlavor)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (value domain not specified): The Change or Recommendation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The CodedText data type has the requirement that values must come from the specified bound value domain with no exceptions but a value domain has not been specified for the
		Change or Recommendation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Change or Recommendation',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="false() and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != '1.2.36.1.2001.1001.101.104.16594'))  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != '1.2.36.1.2001.1001.101.104.16594'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-06-step-2" /><xsl:text />: TC-Types-06 step 2: According to the Structured Content Specification the Change or Recommendation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. The
		CodedText data type has the requirement that values must come from the bound value domain with no exceptions. Therefore the value of the codeSystem attribute must be a publicly available
		code system. The Change or Recommendation data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide states the code system is 'NS' (not stated) with the requirement 'When national standard code sets become
		available, they SHALL be used'. The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> which is after the national standard code set became available
		for use on the <xsl:text /><xsl:value-of select="''" /><xsl:text />. The code system that must be used is
		<xsl:text /><xsl:value-of select="if ('1.2.36.1.2001.1001.101.104.16594' = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName, ' (ConceptId ''', 'none', ''')')   else concat('1.2.36.1.2001.1001.101.104.16594', ' (', $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16594']/@codeSystemName, ')')" /><xsl:text /><xsl:text /><xsl:value-of select="if (not(@codeSystem)) then '.'    else if (@codeSystemName) then concat(' however codeSystem ''', @codeSystem, ''' (', @codeSystemName, ') is present.')   else concat(' however a codeSystem attribute with the value ''', @codeSystem, ''' is present.') " /><xsl:text />
		(See section 1.8 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide, <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 7 of the CDA Implementation Guide for the
		information about the value domain.)
		<xsl:text /><xsl:value-of select="if ('none' = '11000036103') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName,     ' are Allergic reaction (''419076005''), Medication side-effect (''401207004'') and Drug interaction (''79899007'').')    else if ('none' = '15071000036100') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName,     ' are Prescribed (''105681000036100''), Suspended (''385655000'') and Unchanged (''105701000036103'').')    else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'OTH' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'OTH'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Change or Recommendation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore it is not valid for the data element to have nullFlavor 'OTH' to indicate that the
		actual value is not a member of the set of permitted data values in the constrained value domain. 
		(See the requirements for Change or Recommendation and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Change or Recommendation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type<xsl:text /><xsl:value-of select="if (not(false())) then '.' else   concat(' and section 7 of the CDA Implementation Guide states the vocabulary is ''', '1.2.36.1.2001.1001.101.104.16594', ''' (', $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16594']/@codeSystemName, ').') " /><xsl:text />
		The CodedText data type has
		the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor attribute
		to indicate there is no value, however a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) is present and is not one of the nullFlavor values that indicate there is no value.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@nullFlavor or @code) and not(false() and not(@nullFlavor) and not(@codeSystem)) and cda:originalText ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor or @code) and not(false() and not(@nullFlavor) and not(@codeSystem)) and cda:originalText">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Change or Recommendation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor
		attribute to indicate there is no value. The only information found in the data element is originalText '<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />'.
		(See the requirements for Change or Recommendation and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)
		<xsl:text /><xsl:value-of select="if (local-name(.) = 'jobClassCode') then concat('Consider using the METeOR 314867 ''Employment type'' code system (codeSystem ''2.16.840.1.113883.3.879.314867'') which has ',   'codes for ''Permanent'', ''Fixed term contract'', ''Casual'' and ''Not stated/inadequately described''; or the  METeOR 691891 ''Full-time/part-time status'' code system ',   '(codeSystem ''2.16.840.1.113883.3.879.691891'') which has codes for ''Full-time'', ''Part-time'' and ''Not stated/inadequately described''. ',   '(See the the METeOR 314867 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/314867 and the METeOR 691891 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/691891.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="true() and @codeSystem and @codeSystem != '1.2.36.1.2001.1001.101.104.16594' and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and @codeSystem and @codeSystem != '1.2.36.1.2001.1001.101.104.16594' and not(false())">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Change or Recommendation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and section 7 of the CDA Implementation Guide states the vocabulary is
		<xsl:text /><xsl:value-of select="if ('1.2.36.1.2001.1001.101.104.16594' = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName, ' (ConceptId ''', 'none', ''').')   else concat('1.2.36.1.2001.1001.101.104.16594', ' (', $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16594']/@codeSystemName, ').')" /><xsl:text />
		The CodedText data type has the requirement that values must come from the bound value domain with no exceptions.
		Therefore the value of codeSystem must be '1.2.36.1.2001.1001.101.104.16594' but codeSystem '<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />' (<xsl:text /><xsl:value-of select="@codeSystemName" /><xsl:text />) is present.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="true() and '1.2.36.1.2001.1001.101.104.16594' = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and    not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version,    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@refSet) = 'CodeFound') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and '1.2.36.1.2001.1001.101.104.16594' = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version, $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@refSet) = 'CodeFound')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Change or Recommendation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. The applicable value domain is the SNOMED CT-AU
		<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName" /><xsl:text />
		(Concept ID: 'none'). The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the code is not a member of the value domain.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 7 of the CDA Implementation Guide for the information about the value domain.)<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-08" /><xsl:text />: TC-Types-08: According to the Structured Content Specification the Change or Recommendation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. It has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> but has neither an originalText nor a displayName
		so it fails to conform to the requirement 'In accordance with the requirement to completely represent section contents, values of CodedText or CodeableText data elements defined in
		the SCS SHALL include an originalText or a displayName component (or both)'.
		(See Appendix A of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 6.1 and 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090
		Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and not(cda:originalText) and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and not(cda:originalText) and not(false())">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Change or Recommendation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is
		not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. (See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M496" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M496" />
  <xsl:template match="@*|node()" priority="-2" mode="M496">
    <xsl:apply-templates select="@*|*" mode="M496" />
  </xsl:template>
  <!--PATTERN p-TS-Med-CodedText-8-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16146' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/   cda:substanceAdministration/cda:entryRelationship/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16595']]/cda:value[(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M497">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16146' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/   cda:substanceAdministration/cda:entryRelationship/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16595']]/cda:value[(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Change Status '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Change Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Change Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Change Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Change Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Change Status has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Change Status data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Change Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Change Status data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Change Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Change Status data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Change Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Change Status data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Change Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Change Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Change Status data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Change Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Change Status data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Change Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Change Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Change Status data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Change Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Change Status data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Change Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Change Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M497" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M497" />
  <xsl:template match="@*|node()" priority="-2" mode="M497">
    <xsl:apply-templates select="@*|*" mode="M497" />
  </xsl:template>
  <!--PATTERN p-TS-Med-Text-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16146' = $doc-sections][cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3') or   (@root = '1.2.36.1.2001.1001.101.100.1002.153' and @extension = '1.0') ]]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16044']]/cda:text " priority="1000" mode="M498">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16146' = $doc-sections][cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3') or   (@root = '1.2.36.1.2001.1001.101.100.1002.153' and @extension = '1.0') ]]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16044']]/cda:text " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Comment
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Comment 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Comment however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Comment in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Comment however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Comment in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Comment data element with a proper value then an exclusion
		statement must be included to state why there is no Comment. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Comment however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Comment in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M498" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M498" />
  <xsl:template match="@*|node()" priority="-2" mode="M498">
    <xsl:apply-templates select="@*|*" mode="M498" />
  </xsl:template>
  <!--PATTERN p-TS-Med-Text-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16146' = $doc-sections][cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3') or   (@root = '1.2.36.1.2001.1001.101.100.1002.153' and @extension = '1.0') ]]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16044']]/cda:text " priority="1000" mode="M499">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16146' = $doc-sections][cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3') or   (@root = '1.2.36.1.2001.1001.101.100.1002.153' and @extension = '1.0') ]]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16044']]/cda:text " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Comment '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Comment data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Comment data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Comment data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M499" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M499" />
  <xsl:template match="@*|node()" priority="-2" mode="M499">
    <xsl:apply-templates select="@*|*" mode="M499" />
  </xsl:template>
  <!--PATTERN p-TS-Med-Text-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16146' = $doc-sections][cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')   or   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) ]]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/cda:substanceAdministration/cda:text " priority="1000" mode="M500">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16146' = $doc-sections][cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')   or   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) ]]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/cda:substanceAdministration/cda:text " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Directions
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Directions 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Directions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Directions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Directions however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Directions in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Directions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Directions however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Directions in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Directions data element with a proper value then an exclusion
		statement must be included to state why there is no Directions. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Directions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Directions however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Directions in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Directions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Directions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Directions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Directions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Directions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Directions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Directions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Directions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Directions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Directions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M500" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M500" />
  <xsl:template match="@*|node()" priority="-2" mode="M500">
    <xsl:apply-templates select="@*|*" mode="M500" />
  </xsl:template>
  <!--PATTERN p-TS-Med-Text-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16146' = $doc-sections][cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')]]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/cda:substanceAdministration/cda:text " priority="1000" mode="M501">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16146' = $doc-sections][cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')]]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/cda:substanceAdministration/cda:text " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Directions
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Specialist Letter Structured Content Specification the Directions 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Specialist Letter Structured Content Specification the Directions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Specialist Letter Structured Content Specification the Directions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Directions however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Directions in the Specialist Letter Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Specialist Letter Structured Content Specification the Directions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Directions however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Directions in the Specialist Letter Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Directions data element with a proper value then an exclusion
		statement must be included to state why there is no Directions. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Specialist Letter Structured Content Specification the Directions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Directions however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Directions in the Specialist Letter Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Specialist Letter Structured Content Specification the Directions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Specialist Letter Structured Content Specification the Directions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Specialist Letter Structured Content Specification the Directions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Specialist Letter Structured Content Specification the Directions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Specialist Letter Structured Content Specification the Directions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Specialist Letter Structured Content Specification the Directions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Specialist Letter Structured Content Specification the Directions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Specialist Letter Structured Content Specification the Directions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Specialist Letter Structured Content Specification the Directions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Specialist Letter Structured Content Specification the Directions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M501" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M501" />
  <xsl:template match="@*|node()" priority="-2" mode="M501">
    <xsl:apply-templates select="@*|*" mode="M501" />
  </xsl:template>
  <!--PATTERN p-TS-Med-Text-5-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16146' = $doc-sections][not(cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) or   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')  or   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')  ])]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/cda:substanceAdministration/cda:text " priority="1000" mode="M502">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16146' = $doc-sections][not(cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) or   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')  or   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')  ])]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/cda:substanceAdministration/cda:text " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Directions
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Directions 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Directions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'unknown' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'unknown' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Directions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Directions however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Directions in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'unknown' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'unknown' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Directions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Directions however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Directions in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Directions data element with a proper value then an exclusion
		statement must be included to state why there is no Directions. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'unknown' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'unknown' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Directions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Directions however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Directions in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Directions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Directions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Directions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Directions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Directions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Directions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Directions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Directions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Directions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Directions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M502" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M502" />
  <xsl:template match="@*|node()" priority="-2" mode="M502">
    <xsl:apply-templates select="@*|*" mode="M502" />
  </xsl:template>
  <!--PATTERN p-TS-Med-Text-6-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16146' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/cda:substanceAdministration/cda:text " priority="1000" mode="M503">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16146' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/cda:substanceAdministration/cda:text " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Directions '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Directions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Directions data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Directions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Directions data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Directions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Directions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Directions data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Directions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M503" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M503" />
  <xsl:template match="@*|node()" priority="-2" mode="M503">
    <xsl:apply-templates select="@*|*" mode="M503" />
  </xsl:template>
  <!--PATTERN p-TS-Med-Text-7-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16146' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship[@typeCode='RSON']/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.10141']]/cda:text " priority="1000" mode="M504">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16146' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship[@typeCode='RSON']/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.10141']]/cda:text " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Clinical Indication
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Clinical Indication 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Clinical Indication
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Clinical Indication
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Clinical Indication however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Clinical Indication in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Clinical Indication
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Clinical Indication however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Clinical Indication in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Clinical Indication data element with a proper value then an exclusion
		statement must be included to state why there is no Clinical Indication. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Clinical Indication
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Clinical Indication however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Clinical Indication in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Clinical Indication
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Clinical Indication
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Clinical Indication
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Clinical Indication
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Clinical Indication
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Clinical Indication
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Clinical Indication
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Clinical Indication
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Clinical Indication
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Clinical Indication
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M504" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M504" />
  <xsl:template match="@*|node()" priority="-2" mode="M504">
    <xsl:apply-templates select="@*|*" mode="M504" />
  </xsl:template>
  <!--PATTERN p-TS-Med-Text-8-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16146' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship[@typeCode='RSON']/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.10141']]/cda:text " priority="1000" mode="M505">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16146' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship[@typeCode='RSON']/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.10141']]/cda:text " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Clinical Indication '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Clinical Indication
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Clinical Indication data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Clinical Indication
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Clinical Indication data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Clinical Indication
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Clinical Indication
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Clinical Indication data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Clinical Indication
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M505" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M505" />
  <xsl:template match="@*|node()" priority="-2" mode="M505">
    <xsl:apply-templates select="@*|*" mode="M505" />
  </xsl:template>
  <!--PATTERN p-TS-Med-Text-9-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16146' = $doc-sections][cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or    (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3'))]]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16044']]/cda:text " priority="1000" mode="M506">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16146' = $doc-sections][cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or    (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3'))]]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16044']]/cda:text " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Medication Instruction Comment
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Medication Instruction Comment 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Medication Instruction Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Medication Instruction Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Medication Instruction Comment however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Medication Instruction Comment in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Medication Instruction Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Medication Instruction Comment however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Medication Instruction Comment in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Medication Instruction Comment data element with a proper value then an exclusion
		statement must be included to state why there is no Medication Instruction Comment. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Medication Instruction Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Medication Instruction Comment however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Medication Instruction Comment in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Medication Instruction Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Medication Instruction Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Medication Instruction Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Medication Instruction Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Medication Instruction Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Medication Instruction Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Medication Instruction Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Medication Instruction Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Medication Instruction Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Medication Instruction Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M506" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M506" />
  <xsl:template match="@*|node()" priority="-2" mode="M506">
    <xsl:apply-templates select="@*|*" mode="M506" />
  </xsl:template>
  <!--PATTERN p-TS-Med-Text-10-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16146' = $doc-sections][cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or    (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3'))]]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16044']]/cda:text " priority="1000" mode="M507">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16146' = $doc-sections][cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or    (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3'))]]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16044']]/cda:text " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Medication Instruction Comment '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Medication Instruction Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Medication Instruction Comment data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Medication Instruction Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Medication Instruction Comment data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Medication Instruction Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Medication Instruction Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Medication Instruction Comment data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Medication Instruction Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M507" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M507" />
  <xsl:template match="@*|node()" priority="-2" mode="M507">
    <xsl:apply-templates select="@*|*" mode="M507" />
  </xsl:template>
  <!--PATTERN p-TS-Med-Text-11-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16146' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship[@typeCode='SPRT']/cda:observation/cda:text " priority="1000" mode="M508">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16146' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship[@typeCode='SPRT']/cda:observation/cda:text " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Change Description
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Change Description 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Change Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Change Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Change Description however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Change Description in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Change Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Change Description however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Change Description in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Change Description data element with a proper value then an exclusion
		statement must be included to state why there is no Change Description. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Change Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Change Description however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Change Description in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Change Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Change Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Change Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Change Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Change Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Change Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Change Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Change Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Change Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Change Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M508" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M508" />
  <xsl:template match="@*|node()" priority="-2" mode="M508">
    <xsl:apply-templates select="@*|*" mode="M508" />
  </xsl:template>
  <!--PATTERN p-TS-Med-Text-12-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16146' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship[@typeCode='SPRT']/cda:observation/cda:text " priority="1000" mode="M509">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16146' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship[@typeCode='SPRT']/cda:observation/cda:text " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Change Description '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Change Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Change Description data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Change Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Change Description data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Change Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Change Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Change Description data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Change Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M509" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M509" />
  <xsl:template match="@*|node()" priority="-2" mode="M509">
    <xsl:apply-templates select="@*|*" mode="M509" />
  </xsl:template>
  <!--PATTERN p-TS-Med-Text-13-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16146' = $doc-sections][cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3']]/   cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:observation/cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.10177']]/cda:text " priority="1000" mode="M510">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16146' = $doc-sections][cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3']]/   cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:observation/cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.10177']]/cda:text " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Change or Recommendation Reason
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Change or Recommendation Reason 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Change or Recommendation Reason
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Change or Recommendation Reason
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Change or Recommendation Reason however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Change or Recommendation Reason in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Change or Recommendation Reason
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Change or Recommendation Reason however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Change or Recommendation Reason in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Change or Recommendation Reason data element with a proper value then an exclusion
		statement must be included to state why there is no Change or Recommendation Reason. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Change or Recommendation Reason
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Change or Recommendation Reason however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Change or Recommendation Reason in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Change or Recommendation Reason
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Change or Recommendation Reason
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Change or Recommendation Reason
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Change or Recommendation Reason
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Change or Recommendation Reason
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Change or Recommendation Reason
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Change or Recommendation Reason
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Change or Recommendation Reason
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Change or Recommendation Reason
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Change or Recommendation Reason
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M510" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M510" />
  <xsl:template match="@*|node()" priority="-2" mode="M510">
    <xsl:apply-templates select="@*|*" mode="M510" />
  </xsl:template>
  <!--PATTERN p-TS-Med-Text-14-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16146' = $doc-sections][cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3']]/   cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:observation/cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.10177']]/cda:text " priority="1000" mode="M511">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16146' = $doc-sections][cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3']]/   cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:observation/cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.10177']]/cda:text " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Change or Recommendation Reason '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Change or Recommendation Reason
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Change or Recommendation Reason data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Change or Recommendation Reason
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Change or Recommendation Reason data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Change or Recommendation Reason
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Change or Recommendation Reason
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Change or Recommendation Reason data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Change or Recommendation Reason
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M511" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M511" />
  <xsl:template match="@*|node()" priority="-2" mode="M511">
    <xsl:apply-templates select="@*|*" mode="M511" />
  </xsl:template>
  <!--PATTERN p-TS-Med-Text-15-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16146' = $doc-sections][cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3') or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2') ]]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:observation/cda:entryRelationship[@typeCode='RSON']/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.10177']]/cda:text " priority="1000" mode="M512">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16146' = $doc-sections][cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3') or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2') ]]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:observation/cda:entryRelationship[@typeCode='RSON']/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.10177']]/cda:text " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Change Reason
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Change Reason 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Change Reason
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Change Reason
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Change Reason however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Change Reason in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Change Reason
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Change Reason however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Change Reason in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Change Reason data element with a proper value then an exclusion
		statement must be included to state why there is no Change Reason. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Change Reason
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Change Reason however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Change Reason in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Change Reason
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Change Reason
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Change Reason
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Change Reason
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Change Reason
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Change Reason
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Change Reason
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Change Reason
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Change Reason
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Change Reason
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M512" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M512" />
  <xsl:template match="@*|node()" priority="-2" mode="M512">
    <xsl:apply-templates select="@*|*" mode="M512" />
  </xsl:template>
  <!--PATTERN p-TS-Med-Text-16-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16146' = $doc-sections][cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3') or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2') ]]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:observation/cda:entryRelationship[@typeCode='RSON']/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.10177']]/cda:text " priority="1000" mode="M513">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16146' = $doc-sections][cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3') or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2') ]]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:observation/cda:entryRelationship[@typeCode='RSON']/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.10177']]/cda:text " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Change Reason '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Change Reason
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Change Reason data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Change Reason
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Change Reason data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Change Reason
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Change Reason
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Change Reason data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Change Reason
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M513" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M513" />
  <xsl:template match="@*|node()" priority="-2" mode="M513">
    <xsl:apply-templates select="@*|*" mode="M513" />
  </xsl:template>
  <!--PATTERN p-TS-MedHist-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component//       cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117'] " priority="1000" mode="M514">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component//       cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117'] " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating" select="if ($initial-priority) then $initial-rating else if ($FS-Types-seq/@rating) then concat(' (', $FS-Types-seq/@rating, ')') else '' " />
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and not( /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2'] or        /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')] or        /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')]) and $extensions-allowed">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not( /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2'] or /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')] or /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')]) and $extensions-allowed">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: FS-Types: The Medical History section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16117') has been found in a <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. The Medical History section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16117') is defined in the digital health specifications but
		although tests have been applied to the data elements the specification of the data elements may have been varied for inclusion in this document
		so further examination may be needed. The rules have been validated for <xsl:text /><xsl:value-of select="normalize-space('eReferral CDA Implementation Guide version 2.2;    Shared Health Summary CDA Implementation Guide version 1.3 and 1.4; and    Event Summary CDA Implementation Guide version 1.2 and 1.3')" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M514" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M514" />
  <xsl:template match="@*|node()" priority="-2" mode="M514">
    <xsl:apply-templates select="@*|*" mode="M514" />
  </xsl:template>
  <!--PATTERN p-TS-MedHist-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:component/cda:section " priority="1000" mode="M515">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:component/cda:section " />
    <xsl:variable name="agency-section" select=" cda:code/@codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="test-step" select=" if (not($extensions-allowed)) then 'step 4'        else if ($agency-section) then 'step 3' else 'step 1' " />
    <xsl:variable name="title-and-code" select=" if (cda:title and cda:code/@code) then concat('title ''', cda:title, ''', code/code ''', cda:code/@code, '''')        else if (cda:title and not(cda:code/@code)) then concat('title ''', cda:title, '''')        else if (not(cda:title) and cda:code/@code) then concat('code/code ''', cda:code/@code, '''')        else '' " />
    <xsl:variable name="other-section-names" select=" if (cda:code/@displayName and not(cda:code/cda:originalText)) then concat(' and code/displayName ''', cda:code/@displayName, '''')         else if (cda:code/@displayName and cda:code/cda:originalText)          then concat(', code/displayName ''', cda:code/@displayName,''' and code/originalText ''', cda:code/cda:originalText, '''')        else if (not(cda:code/@displayName) and cda:code/cda:originalText) then concat(' and code/originalText ''', cda:code/cda:originalText, '''')        else '' " />
    <xsl:variable name="section-names" select="concat($title-and-code, $other-section-names)" />
    <xsl:variable name="doc-code" select="/cda:ClinicalDocument/cda:code" />
    <xsl:variable name="parent-section" select="ancestor::cda:section[position()=1]" />
    <xsl:variable name="custom-section-info" select="($iq-config/custom-sections/section, $knowledge/custom-sections/section)[        @doc-code  = $doc-code/@code          and        @doc-codeSystem  = $doc-code/@codeSystem          and        @parent-code   = $parent-section/cda:code/@code         and         @parent-codeSystem  = $parent-section/cda:code/@codeSystem        and         (@title = current()/cda:title or (@code = current()/cda:code/@code and @codeSystem = current()/cda:code/@codeSystem)) ] " />
    <xsl:variable name="section-disallowed" select="$custom-section-info/@disallowed = 'yes' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and ($section-disallowed or not(exists($custom-section-info)))) then $rating-alt-TC-Doc-28-step-1        else if ($test-step = 'step 1' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections]) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 3') then $rating-TC-Doc-28-step-3 else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and $section-disallowed ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and $section-disallowed">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Medical History section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16117') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> which
		is an extension to the information model however the inclusion of this section conflicts with sections defined in the digital health specifications.
		<xsl:text /><xsl:value-of select="$custom-section-info[@disallowed = 'yes']/@reason" /><xsl:text /> (Also see <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not(false()) and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(false()) and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Medical History section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16117') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. No subsection is expected so this
		is an extension to the information model. Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the 
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(false()) and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(false()) and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Medical History section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16117') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> but no subsections were
		expected so the document fails to meet the requirement that it must not contain additional data elements. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and false() and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and false() and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Medical History section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16117') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		none are expected but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the information model.
		Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Medical History section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16117') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		none are expected but the inclusion of the section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> fails to meet the requirement that it must not contain additional data elements.
		(See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M515" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M515" />
  <xsl:template match="@*|node()" priority="-2" mode="M515">
    <xsl:apply-templates select="@*|*" mode="M515" />
  </xsl:template>
  <!--PATTERN p-TS-MedHist-CodeableText-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/   cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]/cda:value " priority="1000" mode="M516">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/   cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]/cda:value " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Problem/Diagnosis Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Problem/Diagnosis Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Problem/Diagnosis Identification',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Problem/Diagnosis Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Problem/Diagnosis Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Problem/Diagnosis Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Problem/Diagnosis Identification however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Problem/Diagnosis Identification in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Problem/Diagnosis Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Problem/Diagnosis Identification however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Problem/Diagnosis Identification in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Problem/Diagnosis Identification data element must have a value that is consistent with this definition. Alternatively if there is no Problem/Diagnosis Identification data element with a proper value then an exclusion
		statement must be included to state why there is no Problem/Diagnosis Identification.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Problem/Diagnosis Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Problem/Diagnosis Identification however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Problem/Diagnosis Identification in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Problem/Diagnosis Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Problem/Diagnosis Identification however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Problem/Diagnosis Identification in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Problem/Diagnosis Identification data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Problem/Diagnosis Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Problem/Diagnosis Identification however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Problem/Diagnosis Identification in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Problem/Diagnosis Identification data element must have a value that is consistent with this definition. Alternatively if there is no Problem/Diagnosis Identification data element with a proper value then an exclusion
		statement must be included to state why there is no Problem/Diagnosis Identification.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Problem/Diagnosis Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Problem/Diagnosis Identification however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Problem/Diagnosis Identification in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Problem/Diagnosis Identification data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Problem/Diagnosis Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Problem/Diagnosis Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Problem/Diagnosis Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Problem/Diagnosis Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Problem/Diagnosis Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Problem/Diagnosis Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Problem/Diagnosis Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Problem/Diagnosis Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Problem/Diagnosis Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Problem/Diagnosis Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Problem/Diagnosis Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Problem/Diagnosis Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Problem/Diagnosis Identification.
		(See the definition of Problem/Diagnosis Identification in the Structured Content Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Problem/Diagnosis Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M516" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M516" />
  <xsl:template match="@*|node()" priority="-2" mode="M516">
    <xsl:apply-templates select="@*|*" mode="M516" />
  </xsl:template>
  <!--PATTERN p-TS-MedHist-CodeableText-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/   cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]/cda:value   [@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " priority="1000" mode="M517">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/   cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]/cda:value   [@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="pnullFlavor" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @nullFlavor) then @nullFlavor else '' " />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-p-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then false()        else if ($psnomed-id = 'amtv3' and @codeSystemVersion) then exists($v-amtv3[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($psnomed-id = 'snomedctau' and @codeSystemVersion) then exists($v-snomedctau[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false() " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and $pcode != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used to assess the primary code.') " />
    <xsl:variable name="pcode-refsets-1" select="if (@codeSystem = '2.16.840.1.113883.6.96' and not($pcode = ''))         then dh:FindValueDomainsForCode($pcode, '2.16.840.1.113883.6.96', $v-psnomed-version) else 'no-code' " />
    <xsl:variable name="pcode-found" select="not($pcode-refsets-1 = 'no-code' or $pcode-refsets-1 = 'CodeNotFound' or $pcode-refsets-1 = 'Error'        or contains($pcode-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="pcode-refsets" select="if ($pcode-found) then distinct-values(tokenize($pcode-refsets-1, '\|')) else () " />
    <xsl:variable name="pcode-special-proc" select="count($pcode-refsets) = 1 and 'Procedure Foundation (PF)' = $pcode-refsets and not($pnullFlavor = 'OTH') " />
    <xsl:variable name="pcode-refsets-msg" select="if (count($pcode-refsets) = 0) then ''         else if (count($pcode-refsets) = 1) then concat('The code is a member of the ', $pcode-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($pcode-refsets, ', '), '.') " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))         else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-1" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="snomed-trans-2" select="distinct-values(for $i in (1 to count($snomed-trans-1)) return $snomed-trans-1[$i]/@code) " />
    <xsl:variable name="snomed-trans-a" select="$snomed-trans-1[1] " />
    <xsl:variable name="tcode-a" select="if (exists($snomed-trans-a) and matches($snomed-trans-a/@code, $snomed-code-regex)) then $snomed-trans-a/@code else '' " />
    <xsl:variable name="tnullFlavor-a" select="if (exists($snomed-trans-a) and $snomed-trans-a/@nullFlavor) then $snomed-trans-a/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-a" select="if (not(exists($snomed-trans-a))) then 'not-snomed'        else if (not($snomed-trans-a/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-a/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-a" select="if (not(exists($snomed-trans-a))) then ''        else if ($tsnomed-id-a = 'amtv3' and exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-a = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-a/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-a" select="if (not(exists($snomed-trans-a))) then false()        else if ($tsnomed-id-a = 'amtv3' and $snomed-trans-a/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-a = 'snomedctau' and $snomed-trans-a/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-a-msg" select="if (not(exists($snomed-trans-a))) then ''        else if (not($snomed-trans-a/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-a, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-a = 'amtv3') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-a = 'snomedctau') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-a/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-a, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-a/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-a-refsets-1" select="if (exists($snomed-trans-a) and not($tcode-a = ''))         then dh:FindValueDomainsForCode($tcode-a, '2.16.840.1.113883.6.96', $v-tsnomed-version-a) else 'no-code' " />
    <xsl:variable name="tcode-a-found" select="not($tcode-a-refsets-1 = 'no-code' or $tcode-a-refsets-1 = 'CodeNotFound' or $tcode-a-refsets-1 = 'Error'         or contains($tcode-a-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-a-refsets" select="if ($tcode-a-found) then distinct-values(tokenize($tcode-a-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-a-special-proc" select="count($tcode-a-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-a-refsets and not($tnullFlavor-a = 'OTH') " />
    <xsl:variable name="tcode-a-refsets-msg" select="if (count($tcode-a-refsets) = 0) then ''         else if (count($tcode-a-refsets) = 1) then concat('The code is a member of the ', $tcode-a-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-a-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@code and $snomed-trans-a/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-a/@displayName, codepoints-to-string(34))         else if ($snomed-trans-a/@code and not($snomed-trans-a/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@codeSystem and $snomed-trans-a/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-a/@codeSystemName, ')')         else if ($snomed-trans-a/@codeSystem and not($snomed-trans-a/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-b" select="(for $i in (2 to count($snomed-trans-1)) return if ($snomed-trans-1[$i]/@code != $snomed-trans-a/@code) then $snomed-trans-1[$i] else ())[1] " />
    <xsl:variable name="tcode-b" select="if (exists($snomed-trans-b) and matches($snomed-trans-b/@code, $snomed-code-regex)) then $snomed-trans-b/@code else '' " />
    <xsl:variable name="tnullFlavor-b" select="if (exists($snomed-trans-b) and $snomed-trans-b/@nullFlavor) then $snomed-trans-b/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-b" select="if (not(exists($snomed-trans-b))) then 'not-snomed'        else if (not($snomed-trans-b/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-b/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-b" select="if (not(exists($snomed-trans-b))) then ''        else if ($tsnomed-id-b = 'amtv3' and exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-b = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-b/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-b" select="if (not(exists($snomed-trans-b))) then false()        else if ($tsnomed-id-b = 'amtv3' and $snomed-trans-b/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-b = 'snomedctau' and $snomed-trans-b/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-b-msg" select="if (not(exists($snomed-trans-b))) then ''        else if (not($snomed-trans-b/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-b, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-b = 'amtv3') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-b = 'snomedctau') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-b/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-b, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-b/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-b-refsets-1" select="if (exists($snomed-trans-b) and not($tcode-b = ''))         then dh:FindValueDomainsForCode($tcode-b, '2.16.840.1.113883.6.96', $v-tsnomed-version-b) else 'no-code' " />
    <xsl:variable name="tcode-b-found" select="not($tcode-b-refsets-1 = 'no-code' or $tcode-b-refsets-1 = 'CodeNotFound' or $tcode-b-refsets-1 = 'Error'         or contains($tcode-b-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-b-refsets" select="if ($tcode-b-found) then distinct-values(tokenize($tcode-b-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-b-special-proc" select="count($tcode-b-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-b-refsets and not($tnullFlavor-b = 'OTH') " />
    <xsl:variable name="tcode-b-refsets-msg" select="if (count($tcode-b-refsets) = 0) then ''         else if (count($tcode-b-refsets) = 1) then concat('The code is a member of the ', $tcode-b-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-b-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@code and $snomed-trans-b/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-b/@displayName, codepoints-to-string(34))         else if ($snomed-trans-b/@code and not($snomed-trans-b/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@codeSystem and $snomed-trans-b/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-b/@codeSystemName, ')')         else if ($snomed-trans-b/@codeSystem and not($snomed-trans-b/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-60" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-60 else $rating-alt-TC-Types-60 " />
    <!--REPORT -->
    <xsl:if test=" $pcode-found and $pcode-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pcode-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD (p-TS-CD-SCT-RefSet): An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$pcode" /><xsl:text />',
		codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-psnomed-version" /><xsl:text />'. This error occurred when assessing the Problem/Diagnosis Identification data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Problem/Diagnosis Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. The value is not valid for the data element as it describes a medical
		procedure and not a medical problem or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the diagnosis or health problem or experienced by         the consumer. (See the definition in the Structured Content Specification or the CDA Implementation Guide.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and   not(exists(index-of(for $refset in ('Problem Diagnosis (PD)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and not(exists(index-of(for $refset in ('Problem Diagnosis (PD)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Problem/Diagnosis Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the code is not a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Problem/Diagnosis reference set (Concept Id: 32570581000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the PROBLEM/DIAGNOSIS section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and   not(exists(index-of(for $refset in ('Problem Diagnosis (PD)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and not(exists(index-of(for $refset in ('Problem Diagnosis (PD)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Problem/Diagnosis Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Problem/Diagnosis reference set (Concept Id: 32570581000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the PROBLEM/DIAGNOSIS section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and   exists(index-of(for $refset in ('Problem Diagnosis (PD)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and exists(index-of(for $refset in ('Problem Diagnosis (PD)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Problem/Diagnosis Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Problem/Diagnosis reference set (Concept Id: 32570581000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the PROBLEM/DIAGNOSIS section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and   exists(index-of(for $refset in ('Problem Diagnosis (PD)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and exists(index-of(for $refset in ('Problem Diagnosis (PD)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Problem/Diagnosis Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. Confirm if the code is a member of the value domain.
		If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Problem/Diagnosis reference set (Concept Id: 32570581000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the PROBLEM/DIAGNOSIS section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Problem/Diagnosis Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="count($snomed-trans-1)" /><xsl:text /> translation elements with
		codes and the SNOMED CT-AU codeSystem '2.16.840.1.113883.6.96'. The first two translation elements have been assessed to determine if the codes are members of the value domain
		and the others have not been assessed. Confirm if the value of the code attribute in all SNOMED CT translation elements meets the requirement that it be a member of the value domain
		if there is no nullFlavor 'OTH' or that there is a nullFlavor 'OTH' if the value of the code attribute is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Problem/Diagnosis reference set (Concept Id: 32570581000036105).')" /><xsl:text /> 
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the PROBLEM/DIAGNOSIS section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-a" /><xsl:text />'. This error occurred when assessing the Problem/Diagnosis Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Problem/Diagnosis Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the diagnosis or health problem or experienced by         the consumer. (See the definition in the Structured Content Specification or the CDA Implementation Guide.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and   not(exists(index-of(for $refset in ('Problem Diagnosis (PD)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and not(exists(index-of(for $refset in ('Problem Diagnosis (PD)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Problem/Diagnosis Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Problem/Diagnosis reference set (Concept Id: 32570581000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the PROBLEM/DIAGNOSIS section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and   not(exists(index-of(for $refset in ('Problem Diagnosis (PD)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and not(exists(index-of(for $refset in ('Problem Diagnosis (PD)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Problem/Diagnosis Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Problem/Diagnosis reference set (Concept Id: 32570581000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the PROBLEM/DIAGNOSIS section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and   exists(index-of(for $refset in ('Problem Diagnosis (PD)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and exists(index-of(for $refset in ('Problem Diagnosis (PD)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Problem/Diagnosis Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Problem/Diagnosis reference set (Concept Id: 32570581000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the PROBLEM/DIAGNOSIS section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and   exists(index-of(for $refset in ('Problem Diagnosis (PD)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and exists(index-of(for $refset in ('Problem Diagnosis (PD)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Problem/Diagnosis Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Problem/Diagnosis reference set (Concept Id: 32570581000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the PROBLEM/DIAGNOSIS section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-b" /><xsl:text />'. This error occurred when assessing the Problem/Diagnosis Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Problem/Diagnosis Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> 
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the diagnosis or health problem or experienced by         the consumer. (See the definition in the Structured Content Specification or the CDA Implementation Guide.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and   not(exists(index-of(for $refset in ('Problem Diagnosis (PD)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and not(exists(index-of(for $refset in ('Problem Diagnosis (PD)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Problem/Diagnosis Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Problem/Diagnosis reference set (Concept Id: 32570581000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the PROBLEM/DIAGNOSIS section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and   not(exists(index-of(for $refset in ('Problem Diagnosis (PD)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and not(exists(index-of(for $refset in ('Problem Diagnosis (PD)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Problem/Diagnosis Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Problem/Diagnosis reference set (Concept Id: 32570581000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the PROBLEM/DIAGNOSIS section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and   exists(index-of(for $refset in ('Problem Diagnosis (PD)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and exists(index-of(for $refset in ('Problem Diagnosis (PD)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Problem/Diagnosis Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Problem/Diagnosis reference set (Concept Id: 32570581000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the PROBLEM/DIAGNOSIS section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and   exists(index-of(for $refset in ('Problem Diagnosis (PD)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and exists(index-of(for $refset in ('Problem Diagnosis (PD)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Problem/Diagnosis Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Problem/Diagnosis reference set (Concept Id: 32570581000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the PROBLEM/DIAGNOSIS section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M517" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M517" />
  <xsl:template match="@*|node()" priority="-2" mode="M517">
    <xsl:apply-templates select="@*|*" mode="M517" />
  </xsl:template>
  <!--PATTERN p-TS-MedHist-CodeableText-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/   cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]/cda:value[(@codeSystem = '2.16.840.1.113883.6.96' and    not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-diag-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])][not(@nullFlavor = $no-value-NF)]   [not(cda:originalText and (    ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))    or    (string-length(cda:originalText) &gt; $length-err-max and matches(cda:originalText, $unicode-br-regex)) or    (matches(cda:originalText, '^\W*(Dear\W+Doctor|Dear\W+Dr|Thank\W+you)', 'is'))    ))] " priority="1000" mode="M518">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/   cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]/cda:value[(@codeSystem = '2.16.840.1.113883.6.96' and    not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-diag-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])][not(@nullFlavor = $no-value-NF)]   [not(cda:originalText and (    ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))    or    (string-length(cda:originalText) &gt; $length-err-max and matches(cda:originalText, $unicode-br-regex)) or    (matches(cda:originalText, '^\W*(Dear\W+Doctor|Dear\W+Dr|Thank\W+you)', 'is'))    ))] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="snomed-trans" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="tcode" select="if (exists($snomed-trans[1]) and matches($snomed-trans[1]/@code, $snomed-code-regex)) then $snomed-trans[1]/@code else '' " />
    <xsl:variable name="code-present" select="$pcode != '' or $tcode != '' " />
    <xsl:variable name="invalid-code-system" select="@code and @displayName and @codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="codesystemvalues" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']" />
    <xsl:variable name="text-1" select="if (. != '') then replace(., '^[0-9]*xsitype(ED|ST)', '') else '' " />
    <xsl:variable name="text-2" select="if ($text-1 = '') then ''        else if (matches($text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $text-1 " />
    <xsl:variable name="text-without-markup" select="if (cda:originalText and cda:originalText != '') then replace(cda:originalText, $markup-regex, ' ')         else if ($text-2 != '') then normalize-space(replace($text-2, $markup-regex, ' '))         else '' " />
    <xsl:variable name="pdname" select="if (@displayName and not($invalid-code-system)) then @displayName else '' " />
    <xsl:variable name="max-code-number" select="if ($knowledge/search-for-term/max-sct-code-number/@value &gt; '5') then $knowledge/search-for-term/max-sct-code-number/@value else '5' " />
    <xsl:variable name="der-text-1" select="if ($code-present) then ''         else if ($text-without-markup != '') then $text-without-markup        else if ($pdname != '') then $pdname        else '' " />
    <xsl:variable name="is-problem-diagnosis" select="$der-text-1 != '' and local-name(.) = 'value' and local-name(..) = 'observation' " />
    <xsl:variable name="is-procedure" select="$der-text-1 != '' and local-name(.) = 'code' and local-name(..) = 'procedure' " />
    <xsl:variable name="is-uncategorised" select="$der-text-1 != '' and local-name(.) = 'text' " />
    <xsl:variable name="uncat-embedded-comment" select="if ($is-uncategorised and matches($text-1, '^(.*?,?\s*Comments:)(.*?)(,?\s*(StartTime:|Effective Date:).*)$', 's'))         then normalize-space(replace($text-1, '^(.*?,?\s*Comments:)(.*?)(,?\s*(StartTime:|Effective Date:).*)$', '$2', 's'))        else '' " />
    <xsl:variable name="uncat-embedded-dt" select="if ($is-uncategorised and matches($text-1, '^(.*?,?\s*Effective Date:)(.*?)$', 's'))         then normalize-space(replace($text-1, '^(.*?,?\s*Effective Date:)(.*?)$', '$2', 's'))        else '' " />
    <xsl:variable name="uncat-embedded-start" select="if ($is-uncategorised and matches($text-1, '^(.*?,?\s*(StartTime|From):)(.*?)(,?\s*(EndTime|To):.*?)$', 's'))         then normalize-space(replace($text-1, '^(.*?,?\s*(StartTime|From):)(.*?)(,?\s*(EndTime|To):.*?)$', '$3', 's'))        else '' " />
    <xsl:variable name="uncat-embedded-end" select="if ($is-uncategorised and matches($text-1, '^(.*?,?\s*(EndTime|To):)(.*?)$', 's'))         then normalize-space(replace($text-1, '^(.*?,?\s*(EndTime|To):)(.*?)$', '$3', 's'))        else '' " />
    <xsl:variable name="uncat-embedded-error" select="$uncat-embedded-comment != '' or $uncat-embedded-dt != '' or $uncat-embedded-start != '' or $uncat-embedded-end != '' " />
    <xsl:variable name="negated-err" select="if ($uncat-embedded-error) then false() else matches($der-text-1, '\?\s*no(^[a-z]|$)', 'is') " />
    <xsl:variable name="family-err" select="$family-regex != '' and not(matches($der-text-1, '(^|\s)(small|white\s*cell\s*count)(\s|$)', 'is')) and matches($der-text-1, $family-regex, 'is')" />
    <xsl:variable name="der-truncated-text-1" select="normalize-space(replace(replace($der-text-1, $unicode-br-truncation-regex, '$1', 'is'), $diag-proc-truncation-regex, '$1', 'is')) " />
    <xsl:variable name="length-err" select="string-length($der-truncated-text-1) &gt; $length-err-max" />
    <xsl:variable name="prose-err-1" select="$length-err and cda:originalText and (        matches(cda:originalText, $ulist-regex)           or         matches(cda:originalText, $alt-ulist-1a-regex, 'is')         or         matches(cda:originalText, $alt-ulist-1b-regex, 'is')         )" />
    <xsl:variable name="prose-err" select="$prose-err-1 or (cda:originalText and (               matches(cda:originalText, '^\W*(Dear\W+Doctor|Dear\W+Dr|Thank\W+you)', 'is')      or        ($length-err and matches(cda:originalText, '\.\s*$', 's') and matches(cda:originalText, $multi-sentence-regex, 's')) or        matches(cda:originalText, $alt-ulist-2-regex, 'is')          or        matches(cda:originalText, $olist-arabic-regex, 'is')          or         matches(cda:originalText, $olist-alpha-regex, 'is')          or         matches(cda:originalText, $olist-roman-regex, 'is')          or        matches(replace(cda:originalText, $new-line-regex, codepoints-to-string((10)), 'is'), $para-regex, 'is')  or        matches(cda:originalText, codepoints-to-string((8233)), 'is')         or               (cda:originalText and matches(cda:originalText, $invalid-concept-regex, 'is'))      ))  or              ($text-2 != '' and matches($text-2, $invalid-concept-regex, 'is'))        " />
    <xsl:variable name="avoid-ts" select="$family-err or $length-err or $prose-err or $negated-err or not($use-ts-for-sctau) " />
    <xsl:variable name="typo-replacements" select="if ($der-truncated-text-1 = '' or $uncat-embedded-error) then ''         else if ($is-problem-diagnosis and not($diag-typo = '')) then $diag-typo        else if ($is-procedure and not($proc-typo = '')) then $proc-typo        else if ($is-uncategorised and not($diag-typo = '') and not($proc-typo = '')) then concat($diag-typo, '~', $proc-typo)        else if ($is-uncategorised and $diag-typo = '' and not($proc-typo = '')) then $proc-typo        else if ($is-uncategorised and not($diag-typo = '') and $proc-typo = '') then $diag-typo        else '' " />
    <xsl:variable name="diag-proc-fir-pattern-replacement" select="if ($uncat-embedded-error) then ''           else if ($typo-replacements = '') then concat($diag-proc-fir-1, '~', $month-replacements)           else concat($diag-proc-fir-1, '~', $typo-replacements, '~', $month-replacements) " />
    <xsl:variable name="der-text-2a" select="if ($der-truncated-text-1 = '' or $uncat-embedded-error or $negated-err) then ''         else normalize-space(dh:XQueryRecursiveReplace(         replace(if ($is-procedure or $is-uncategorised) then replace($der-truncated-text-1, '^(.*?[a-z]+.*?)(\?.*?)$', '$1', 'is')            else $der-truncated-text-1,           concat('^(.*?[a-z]+.*?\s+)', $unicode-dash-regex, '(\s+.*?)$'), '$1', 'is'),           $diag-proc-fir-pattern-replacement, 'ic')) " />
    <xsl:variable name="der-text-2" select="if ($der-text-2a = '') then $der-truncated-text-1 else $der-text-2a " />
    <xsl:variable name="diag-proc-sec-pattern-replacement" select="if ($uncat-embedded-error or $negated-err or $der-text-2 = '') then ''           else if ($is-problem-diagnosis and not($diag-replacements = '')) then $diag-replacements          else if ($is-procedure and not($proc-replacements = '')) then $proc-replacements          else if ($is-uncategorised and not($diag-replacements = '') and not($proc-replacements = ''))            then concat($diag-replacements, '~', $proc-replacements)          else if ($is-uncategorised and $diag-replacements = '' and not($proc-replacements = ''))            then $proc-replacements          else if ($is-uncategorised and not($diag-replacements = '') and $proc-replacements = '')            then $diag-replacements          else '' " />
    <xsl:variable name="der-text-3a" select="if ($uncat-embedded-error or $negated-err or $der-text-2 = '' or $diag-proc-sec-pattern-replacement = '') then ''         else dh:XQueryRecursiveReplace($der-text-2, $diag-proc-sec-pattern-replacement, 'ic') " />
    <xsl:variable name="der-text-3" select="if ($der-text-3a = '') then $der-text-2 else $der-text-3a " />
    <xsl:variable name="der-text-a" select="normalize-space(replace(dh:XQueryRecursiveReplace($der-text-3, '(^|[^a-z])r([^a-z]|$)~$1 right $2~(^|[^a-z])l([^a-z]|$)~$1 left $2', 'ic'),          '([a-z])''s', '$1', 'i')) " />
    <xsl:variable name="der-text" select="if ($der-text-a = '') then $der-text-3 else $der-text-a " />
    <xsl:variable name="defn-valid-regex" select="concat('(^|\|)', translate($der-text-2, $chars-to-remove, ''), '(\||$)') " />
    <xsl:variable name="der-text-to-match-1" select="lower-case($der-text-2) " />
    <xsl:variable name="der-text-to-match" select="translate($der-text-to-match-1, $chars-to-remove, '') " />
    <xsl:variable name="der-text-non-value" select="if ($code-present or $uncat-embedded-error or $negated-err or @nullFlavor = $no-value-NF) then false()        else if ($der-text-to-match = '' or not(matches($der-text-to-match-1, '[a-z]', 'i')) or         ($cd-definitions/non-value/@regex != '' and matches($der-text-to-match-1, $cd-definitions/non-value/@regex, 'i'))) then true()         else if ($is-problem-diagnosis) then          exists($cd-definitions/diag/@non-value-regex) and matches($der-text-to-match-1, $cd-definitions/diag/@non-value-regex, 'i')        else if ($is-procedure) then          exists($cd-definitions/proc/@non-value-regex) and matches($der-text-to-match-1, $cd-definitions/proc/@non-value-regex, 'i')        else if ($is-uncategorised) then          (exists($cd-definitions/diag/@non-value-regex) and matches($der-text-to-match-1, $cd-definitions/diag/@non-value-regex, 'i')) or         (exists($cd-definitions/proc/@non-value-regex) and matches($der-text-to-match-1, $cd-definitions/proc/@non-value-regex, 'i'))        else false() " />
    <xsl:variable name="defn-common-inv-regex" select="if ($code-present or $uncat-embedded-error or $negated-err or $der-text-non-value or not($cd-definitions/diag-proc/@invalid-regex)) then ()        else tokenize($cd-definitions/diag-proc/@invalid-regex, '~') " />
    <xsl:variable name="defn-diag-inv-regex" select="if ($code-present or $uncat-embedded-error or $negated-err or $der-text-non-value or not($is-problem-diagnosis) or          not($cd-definitions/diag/@invalid-regex)) then ()        else tokenize($cd-definitions/diag/@invalid-regex, '~') " />
    <xsl:variable name="defn-proc-inv-regex" select="if ($code-present or $uncat-embedded-error or $negated-err or $der-text-non-value or not($is-procedure) or          not($cd-definitions/proc/@invalid-regex)) then ()        else tokenize($cd-definitions/proc/@invalid-regex, '~') " />
    <xsl:variable name="defn-invalid-regex" select="($defn-common-inv-regex, $defn-diag-inv-regex, $defn-proc-inv-regex)[. != ''] " />
    <xsl:variable name="defn-invalid-txt-regex" select="(for $i in (1 to count($defn-invalid-regex)) return normalize-space(substring-before($defn-invalid-regex[$i], '[[')))[. != '']" />
    <xsl:variable name="der-invalid-text-regex-1" select="if (exists($defn-invalid-txt-regex))        then index-of(for $i in (1 to count($defn-invalid-txt-regex)) return matches($der-text-2, $defn-invalid-txt-regex[$i], 'i'), true())        else () " />
    <xsl:variable name="der-invalid-text" select="exists($der-invalid-text-regex-1) or $uncat-embedded-error " />
    <xsl:variable name="defn-invalid-rsn" select="if ($der-invalid-text)         then normalize-space(substring-before(substring-after($defn-invalid-regex[$der-invalid-text-regex-1[1]], '[['), ']]'))         else '' " />
    <xsl:variable name="try-immun" select="not($der-text = '' or $negated-err or $der-text-non-value or $der-invalid-text) and         /cda:ClinicalDocument/cda:code[@codeSystem = '2.16.840.1.113883.6.1' and @code = ('60591-5', '34133-9')] " />
    <xsl:variable name="an-immun-1" select="$try-immun and matches($der-text, '(^|[^a-z])(immunizations?|immunisations?)([^a-z]|$)', 'i') " />
    <xsl:variable name="an-immun-2" select="$try-immun and ($an-immun-1 or (exists($vaccine-text-normalised) and $der-text-to-match = $vaccine-text-normalised)) " />
    <xsl:variable name="try-adverse" select="not($der-text = '' or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2) and         /cda:ClinicalDocument/cda:code[@codeSystem = '2.16.840.1.113883.6.1' and @code = ('60591-5', '34133-9', '57133-1', '18842-5', '51852-2')] " />
    <xsl:variable name="an-adverse-1" select="$try-adverse and matches($der-text, '(^|[^a-z])(ADR?|adverse drug reactions?|adverse reactions?)([^a-z]|$)', 'i') " />
    <xsl:variable name="trusted-code-systems" select="if ($der-text = '' or $der-invalid-text or $an-immun-2 or not(@codeSystem or cda:translation/@codeSystem)) then ()        else if ($is-problem-diagnosis)         then (tokenize(replace($cd-definitions/diag/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/diag/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-procedure)         then (tokenize(replace($cd-definitions/proc/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/proc/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-uncategorised)         then (tokenize(replace($cd-definitions/diag/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/diag/@extra, '\s+', ''), '\|'),         tokenize(replace($cd-definitions/proc/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/proc/@extra, '\s+', ''), '\|'))[. != '']         else () " />
    <xsl:variable name="der-trusted-text" select="if ($der-text = '' or $der-invalid-text or (@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex)))) then false()        else ((@codeSystem and exists($trusted-code-systems[. = current()/@codeSystem])) or               (cda:translation/@codeSystem and exists($trusted-code-systems[. = current()/cda:translation/@codeSystem]))) " />
    <xsl:variable name="a-disease" select="if ($is-procedure or $code-present or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2 or $der-text-to-match = '')          then false()        else $der-text-to-match = (for $disease in tokenize(string-join($vaccine-codes/@disease, '|'), '\|')          return translate(normalize-space(lower-case($disease)), $chars-to-remove, '')) " />
    <xsl:variable name="valid-diag-1" select="if ($a-disease) then true()        else if ($is-procedure or $code-present or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2 or          not($cd-definitions/diag/@valid-regex)) then false()        else exists(index-of(for $regex in (tokenize($cd-definitions/diag/@valid-regex, '~')[. != '']) return          matches($der-text-2, dh:XQueryRecursiveReplace(normalize-space($regex), ' \|~|~\| ~|', ''), 'is'), true())) " />
    <xsl:variable name="valid-proc-1" select="if ($is-problem-diagnosis or $code-present or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2 or         not($cd-definitions/proc/@valid-regex)) then false()        else exists(index-of(for $regex in (tokenize($cd-definitions/proc/@valid-regex, '~')[. != '']) return          matches($der-text-2, dh:XQueryRecursiveReplace(normalize-space($regex), ' \|~|~\| ~|', ''), 'is'), true())) " />
    <xsl:variable name="valid-diag-proc-1" select="if ($is-problem-diagnosis) then $valid-diag-1        else if ($is-procedure) then $valid-proc-1        else if ($is-uncategorised) then $valid-diag-1 or $valid-proc-1        else false() " />
    <xsl:variable name="the-invalid-h" select="if ($der-text = '' or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2) then ()        else if ($is-problem-diagnosis) then $cd-definitions/diag/diag-invalid/hierarchy        else if ($is-procedure) then $cd-definitions/proc/proc-invalid/hierarchy        else if ($is-uncategorised) then $cd-definitions/diag-proc/diag-proc-invalid/hierarchy        else () " />
    <xsl:variable name="invalid-hierarchy-1" select=" if (exists($the-invalid-h)) then string-join(for $hierarchy in $the-invalid-h return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-refset" select="if ($der-text = '' or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2) then ''        else if ($is-problem-diagnosis) then $diag-invalid-refset         else if ($is-procedure) then $proc-invalid-refset         else if ($is-uncategorised) then $diag-proc-invalid-refset         else '' " />
    <xsl:variable name="valid-refset" select="if ($der-text = '' or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2) then ''        else if ($is-problem-diagnosis) then '^32570581000036105'         else if ($is-procedure) then '^32570141000036105'         else if ($is-uncategorised) then '(^32570581000036105 OR ^32570141000036105)'        else '' " />
    <xsl:variable name="valid-domain" select="if ($der-text = '' or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2) then ''        else if ($invalid-refset != '' and $invalid-hierarchy-1 != '')         then concat('((', $valid-refset, ') MINUS (', $invalid-refset, ' OR (', $invalid-hierarchy-1, ')))')        else if ($invalid-refset = '' and $invalid-hierarchy-1 != '') then concat('((', $valid-refset, ') MINUS (', $invalid-hierarchy-1, '))')         else if ($invalid-refset != '' and $invalid-hierarchy-1 = '') then concat('((', $valid-refset, ') MINUS (', $invalid-refset, '))')        else concat('(', $valid-refset, ')') " />
    <xsl:variable name="der-text-2-laterality" select="if ($der-text-2 = '' or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2 or $valid-diag-proc-1 or        $laterality-regex = '' or not(matches($der-text-2, $laterality-regex, 'is'))) then ''        else replace($der-text-2, $laterality-regex, '$1 $3', 'is') " />
    <xsl:variable name="defn-laterality-regex" select="if ($der-text-2-laterality = '') then '' else concat('(^|\|)', translate($der-text-2-laterality, $chars-to-remove, ''), '(\||$)') " />
    <xsl:variable name="related-terms-1" select="if ($der-text = '' or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2 or $valid-diag-proc-1) then ()        else ($codesystemvalues/code[@related-terms], $codesystemvalues/related-terms[@related-terms]) " />
    <xsl:variable name="related-terms-2" select="for $i in index-of(for $concept in $related-terms-1 return         matches(translate($concept/@related-terms, $chars-no-pipe, ''), $defn-valid-regex, 'is') or        ($defn-laterality-regex != '' and matches(translate($concept/@related-terms, $chars-no-pipe, ''), $defn-laterality-regex, 'is')), true())         return $related-terms-1[$i]/@code " />
    <xsl:variable name="der-diag-proc-codes-1" select="if (exists($related-terms-2)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($related-terms-2, ' OR '), ') AND ', $valid-domain), '', string(count($related-terms-2)), false())        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $der-diag-proc-codes-1 " />
    <xsl:variable name="der-valid-codes-1" select="if (contains($der-diag-proc-codes-1, '[')) then $der-diag-proc-codes-1 else '' " />
    <xsl:variable name="valid-diag-proc-2" select="$valid-diag-proc-1 or $der-valid-codes-1 != '' " />
    <xsl:variable name="invalid-inactive-refset" select="if ($der-text = '' or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2) then ''        else if ($is-problem-diagnosis) then $diag-invalid-inactive-refset         else if ($is-procedure) then $proc-invalid-inactive-refset         else if ($is-uncategorised) then $diag-proc-invalid-inactive-refset         else '' " />
    <xsl:variable name="diag-proc-inactive-refSets" select="if ($invalid-inactive-refset = '') then $inactive-refSets         else concat('((', $inactive-refSets, ') MINUS (', $invalid-inactive-refset, '))') " />
    <xsl:variable name="formula" select="concat($valid-domain, ' OR ', $diag-proc-inactive-refSets) " />
    <xsl:variable name="ts-not-needed" select="$der-text = '' or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2 or $valid-diag-proc-2 or $avoid-ts " />
    <xsl:variable name="der-diag-proc-codes-2-a" select="if ($ts-not-needed or exists($related-terms-2)) then ()         else tokenize(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-text,          'default'), '\|') " />
    <xsl:variable name="error-usingTS-2-a" select="$error-usingTS-1 or 'Error' = $der-diag-proc-codes-2-a " />
    <xsl:variable name="revision-pattern-1" select="if ($ts-not-needed or $valid-diag-proc-2 or exists($der-diag-proc-codes-2-a) or exists($related-terms-2) or $error-usingTS-2-a) then ''        else if ($no-qual-pattern = '') then concat($laterality-regex, '~$1 $3')        else concat($laterality-regex, '~$1 $3~',  $no-qual-pattern) " />
    <xsl:variable name="der-revised-text-1" select="if ($revision-pattern-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-text, $revision-pattern-1, 'ic')) " />
    <xsl:variable name="use-revised-text-1" select="$der-revised-text-1 != '' and $der-revised-text-1 != $der-text " />
    <xsl:variable name="der-diag-proc-codes-2-b" select="if ($ts-not-needed or exists($der-diag-proc-codes-2-a) or not($use-revised-text-1)) then $der-diag-proc-codes-2-a         else tokenize(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-1,          'default'), '\|') " />
    <xsl:variable name="error-usingTS-2-b" select="$error-usingTS-2-a or 'Error' = $der-diag-proc-codes-2-b " />
    <xsl:variable name="revision-pattern-2" select="if ($ts-not-needed or $valid-diag-proc-2 or exists($der-diag-proc-codes-2-b) or exists($related-terms-2) or $error-usingTS-2-b) then ''        else if ($is-problem-diagnosis and not($diag-sec-replacements = '')) then $diag-sec-replacements        else if ($is-procedure and not($proc-sec-replacements = '')) then $proc-sec-replacements        else if ($is-uncategorised and not($diag-sec-replacements = '') and not($proc-sec-replacements = ''))          then concat($diag-sec-replacements, '~', $proc-sec-replacements)        else if ($is-uncategorised and $diag-sec-replacements = '' and not($proc-sec-replacements = '')) then $proc-sec-replacements        else if ($is-uncategorised and not($diag-sec-replacements = '') and $proc-sec-replacements = '') then $diag-sec-replacements        else '' " />
    <xsl:variable name="der-revised-text-2" select="if ($revision-pattern-2 = '') then ''         else normalize-space(dh:XQueryRecursiveReplace(if ($use-revised-text-1) then $der-revised-text-1 else $der-text, $revision-pattern-2, 'ic')) " />
    <xsl:variable name="use-revised-text-2" select="if ($use-revised-text-1) then $der-revised-text-2 != '' and $der-revised-text-2 != $der-revised-text-1         else $der-revised-text-2 != '' and $der-revised-text-2 != $der-text " />
    <xsl:variable name="der-diag-proc-codes-2-c" select="if ($ts-not-needed or exists($der-diag-proc-codes-2-b) or not($use-revised-text-2)) then $der-diag-proc-codes-2-b        else tokenize(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-2,          'default'), '\|') " />
    <xsl:variable name="error-usingTS-2-c" select="$error-usingTS-2-b or 'Error' = $der-diag-proc-codes-2-c " />
    <xsl:variable name="text-for-revision-3" select="if ($use-revised-text-2) then $der-revised-text-2 else if ($use-revised-text-1) then $der-revised-text-1 else $der-text " />
    <xsl:variable name="base-pattern-3" select="if ($ts-not-needed or $valid-diag-proc-2 or exists($der-diag-proc-codes-2-c) or exists($related-terms-2) or $error-usingTS-2-c or        matches($text-for-revision-3, '^[A-Z]+$')) then ''        else '(^|[^a-z])[a-z]{1}([^a-z]|$)~$1$2~(^|[^/0-9])[0-9]{1}([^0-9]|$)~$1$2' " />
    <xsl:variable name="revision-pattern-3" select="if ($base-pattern-3 = '') then ''        else if (matches($der-truncated-text-1, $conjunction-regex, 'is'))         then concat($base-pattern-3, '~^(.+?)(', normalize-space(dh:XQueryRecursiveReplace(         replace($der-truncated-text-1, $conjunction-regex, '$3', 'is'), $diag-proc-fir-pattern-replacement, 'ic')), '.*?)$~$1')         else $base-pattern-3 " />
    <xsl:variable name="der-revised-text-3" select="if ($revision-pattern-3 = '') then ''        else dh:XQueryRecursiveReplace($text-for-revision-3, $revision-pattern-3, 'ic') " />
    <xsl:variable name="use-revised-text-3" select="if ($use-revised-text-2) then $der-revised-text-3 != '' and $der-revised-text-3 != $der-revised-text-2         else if ($use-revised-text-1) then $der-revised-text-3 != '' and $der-revised-text-3 != $der-revised-text-1         else $der-revised-text-3 != '' and $der-revised-text-3 != $der-text " />
    <xsl:variable name="der-diag-proc-codes-2-d" select="if ($ts-not-needed or exists($der-diag-proc-codes-2-c) or not($use-revised-text-3)) then $der-diag-proc-codes-2-c        else tokenize(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-3,          'default'), '\|') " />
    <xsl:variable name="error-usingTS-2-d" select="$error-usingTS-2-c or 'Error' = $der-diag-proc-codes-2-d " />
    <xsl:variable name="der-diag-proc-codes-2-e" select="$der-diag-proc-codes-2-d " />
    <xsl:variable name="error-usingTS-2-e" select="$error-usingTS-2-d " />
    <xsl:variable name="der-diag-proc-codes-2" select="if ($ts-not-needed or $error-usingTS-2-e or not(exists($der-diag-proc-codes-2-e)) or $der-valid-codes-1 != '') then ()        else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join(for $code in $der-diag-proc-codes-2-e return replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is'), ' OR '), ') AND (',          $formula, ')'), '', string(count($der-diag-proc-codes-2-e)), false()), '\|') " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-2-e or 'Error' = $der-diag-proc-codes-2 " />
    <xsl:variable name="der-valid-codes-2" select="if ($der-valid-codes-1 != '') then $der-valid-codes-1        else if ($error-usingTS-2) then ''         else string-join((for $code in $der-diag-proc-codes-2 return if (contains($code, '~inactive')) then '' else $code)[. != ''], '|')  " />
    <xsl:variable name="valid-diag-proc-3" select="$valid-diag-proc-2 or $der-valid-codes-2 != '' " />
    <xsl:variable name="der-inactive-codes-1" select="if ($valid-diag-proc-3) then () else        for $code in $der-diag-proc-codes-2 return if (contains($code, '~inactive')) then replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is') else '' " />
    <xsl:variable name="der-inactive-codes-2" select="for $i in (1 to count($der-inactive-codes-1)) return         dh:IsCodeAssociatedWithAnotherCode($der-inactive-codes-1[$i], '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-1" select="'Error' = $der-inactive-codes-2 " />
    <xsl:variable name="der-NAF-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-NAF-active-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound~active')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-inactive-codes-3" select="tokenize(string-join(for $i in (1 to count($der-inactive-codes-1)) return replace(string-join(tokenize($der-inactive-codes-2[$i], '\|')        [matches(., '(REPLACED BY|SAME AS|ALTERNATIVE|POSSIBLY EQUIVALENT TO|MAY BE A|WAS A)')], '|'), '[0-9]+~[A-Z ]+~([0-9]+)', '$1'), '|'), '\|')        [. != ''] " />
    <xsl:variable name="der-diag-proc-codes-3" select="if (exists($der-inactive-codes-3)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($der-inactive-codes-3, ' OR '), ') AND ', $valid-domain), '', string(count($der-inactive-codes-3)), false())          else '' " />
    <xsl:variable name="error-usingTS-3" select="$error-usingTS-2 or 'Error' = $der-diag-proc-codes-3 " />
    <xsl:variable name="der-valid-codes-3" select="if ($der-valid-codes-2 != '') then $der-valid-codes-2        else if (contains($der-diag-proc-codes-3, '[')) then $der-diag-proc-codes-3        else '' " />
    <xsl:variable name="valid-diag-proc-4" select="$valid-diag-proc-3 or $der-valid-codes-3 != '' " />
    <xsl:variable name="the-tbd" select="if ($is-problem-diagnosis) then $cd-definitions/diag/diag-tbd/hierarchy        else if ($is-procedure) then $cd-definitions/proc/proc-tbd/hierarchy        else if ($is-uncategorised) then $cd-definitions/diag-proc/diag-proc-tbd/hierarchy        else () " />
    <xsl:variable name="the-invalid-r" select="if ($is-problem-diagnosis) then $cd-definitions/diag/diag-invalid/refset        else if ($is-procedure) then $cd-definitions/proc/proc-invalid/refset        else if ($is-uncategorised) then $cd-definitions/diag-proc/diag-proc-invalid/refset        else () " />
    <xsl:variable name="tbd-hierarchy" select="if (exists($the-tbd)) then string-join(for $hierarchy in $the-tbd return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-hierarchy" select="if ($invalid-hierarchy-1 != '' and $tbd-hierarchy != '') then concat($invalid-hierarchy-1, ' OR ', $tbd-hierarchy)        else if ($invalid-hierarchy-1 != '') then $invalid-hierarchy-1        else if ($tbd-hierarchy != '') then $tbd-hierarchy        else '' " />
    <xsl:variable name="invalid-domain" select="if ($invalid-hierarchy != '' and $invalid-refset != '') then concat($invalid-hierarchy, ' OR ', $invalid-refset)        else if ($invalid-hierarchy != '') then $invalid-hierarchy        else if ($invalid-refset != '') then $invalid-refset        else '' " />
    <xsl:variable name="filter-text" select="if ($use-revised-text-3) then $der-revised-text-3         else if ($use-revised-text-2) then $der-revised-text-2         else if ($use-revised-text-1) then $der-revised-text-1         else $der-text " />
    <xsl:variable name="der-diag-proc-codes-4" select="if ($ts-not-needed or $valid-diag-proc-4 or $invalid-domain = '') then ()        else if (exists($related-terms-2)) then $related-terms-2        else distinct-values((tokenize(replace(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          $invalid-domain, $filter-text, 'default'), '(\[.*?\])(\||$)', '$2'), '\|'), $der-inactive-codes-3)) " />
    <xsl:variable name="error-usingTS-4" select="$error-usingTS-3 or 'Error' = $der-diag-proc-codes-4 " />
    <xsl:variable name="invalid-diag-proc-codes-r" select="if ($ts-not-needed or $valid-diag-proc-4 or $error-usingTS-4 or not(exists($der-diag-proc-codes-4))) then ()        else if ($invalid-refset = '') then tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-diag-proc-codes-4, ' OR '), ') AND (', $inactive-refSets, ')'), '',           string(count($der-diag-proc-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')        else tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-diag-proc-codes-4, ' OR '), ') AND (', $invalid-refset, ' OR ', $inactive-refSets, ')'), '',           string(count($der-diag-proc-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')  " />
    <xsl:variable name="error-usingTS-5" select="$error-usingTS-4 or 'Error' = $invalid-diag-proc-codes-r " />
    <xsl:variable name="invalid-formula" select="if ($is-problem-diagnosis) then $diag-invalid-hierarchy         else if ($is-procedure) then $proc-invalid-hierarchy         else if ($is-uncategorised) then $diag-proc-invalid-hierarchy        else '' " />
    <xsl:variable name="der-diag-proc-codes-4-h" select="if ($error-usingTS-5) then () else $der-diag-proc-codes-4[not(. = $invalid-diag-proc-codes-r)]" />
    <xsl:variable name="invalid-diag-proc-codes-h" select="if ($ts-not-needed or $valid-diag-proc-4 or 'Error' = $der-diag-proc-codes-4 or $invalid-formula = '' or          not(exists($der-diag-proc-codes-4-h))) then ()        else (for $code in $der-diag-proc-codes-4-h return          if (dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;&gt;', $code, ' MINUS ', $invalid-formula), '', '1', false()) = '') then $code else '')[. != ''] " />
    <xsl:variable name="invalid-diag-proc-codes" select="($invalid-diag-proc-codes-h, $invalid-diag-proc-codes-r) " />
    <xsl:variable name="der-diag-proc-codes-5" select="$der-diag-proc-codes-4[not(. = $invalid-diag-proc-codes or . = 'Error')]" />
    <xsl:variable name="der-valid-codes-4" select="if ($der-valid-codes-3 != '') then $der-valid-codes-3        else if ($ts-not-needed or $valid-diag-proc-4 or $valid-domain = '' or not(exists($der-diag-proc-codes-5))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-diag-proc-codes-5, ' OR '), ') AND ', $valid-domain), '', string(count($der-diag-proc-codes-5)), false()) " />
    <xsl:variable name="error-usingTS-6" select="$error-usingTS-5 or 'Error' = $der-valid-codes-4 " />
    <xsl:variable name="valid-diag-proc-5" select="$valid-diag-proc-4 or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="der-valid-codes-seq" select="if ($error-usingTS-6) then () else tokenize(replace($der-valid-codes-4,  '(\[.*?\])(\||$)', '$2'), '\|') " />
    <xsl:variable name="proc-ivl-location" select="if ($is-uncategorised or $is-procedure) then ../cda:effectiveTime else () " />
    <xsl:variable name="proc-has-low-date" select="exists($proc-ivl-location[cda:low and not(cda:high)]) and ($is-uncategorised or               ($is-procedure and exists(/cda:ClinicalDocument/cda:templateId[         (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3') or          (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.4')])))  " />
    <xsl:variable name="proc-intervals" select="if (not($proc-has-low-date and $valid-diag-proc-5)) then ()        else if ($is-uncategorised) then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/         cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16627']]/cda:effectiveTime        else if ($is-procedure) then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/         cda:entry/cda:procedure/cda:effectiveTime        else () " />
    <xsl:variable name="proc-ivl-low" select="$proc-intervals/cda:low/@value " />
    <xsl:variable name="proc-ivl-value" select="$proc-intervals/@value " />
    <xsl:variable name="proc-ivl-high" select="$proc-intervals/cda:high/@value " />
    <xsl:variable name="assess-proc-short" select="$proc-has-low-date and count($proc-ivl-low) = count($proc-intervals) and count($proc-ivl-value) = 0 and count($proc-ivl-high) = 0 " />
    <xsl:variable name="diag-has-date" select="($is-uncategorised and exists(../cda:effectiveTime)) or              ($is-problem-diagnosis and exists(/cda:ClinicalDocument[cda:templateId[           (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3'))  or                         (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4'))  or           (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')   ]]) and exists(../cda:effectiveTime)) " />
    <xsl:variable name="diag-intervals" select="if (not($diag-has-date and $valid-diag-proc-5 and $is-uncategorised)) then ()        else ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/         cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16627']]/cda:effectiveTime " />
    <xsl:variable name="diag-onset" select="if (not($diag-has-date and $valid-diag-proc-5 and $is-problem-diagnosis)) then ()        else if (/cda:ClinicalDocument[cda:templateId[(@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3') or                   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.4') ]])          then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/          cda:entry/cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]/cda:effectiveTime/cda:low        else if (/cda:ClinicalDocument[cda:templateId[(@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2') or                   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.3') or                   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')   ]])         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/          cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]/cda:effectiveTime        else () " />
    <xsl:variable name="diag-remission" select="if (not($diag-has-date and $valid-diag-proc-5 and $is-problem-diagnosis)) then ()        else ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/         cda:entry/cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]/cda:entryRelationship[@typeCode='SUBJ']/         cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]/cda:value " />
    <xsl:variable name="diag-ivl-low" select="$diag-intervals/cda:low/@value " />
    <xsl:variable name="diag-ivl-value" select="$diag-intervals/@value " />
    <xsl:variable name="diag-ivl-high" select="$diag-intervals/cda:high/@value " />
    <xsl:variable name="assess-diag-ongoing" select="(exists($diag-ivl-low) and not(exists($diag-ivl-value)) and not(exists($diag-ivl-high))) or              (not(exists($diag-ivl-low)) and exists($diag-ivl-value) and not(exists($diag-ivl-high))) or              (not(exists($diag-ivl-low)) and not(exists($diag-ivl-value)) and exists($diag-ivl-high)) or              (exists($diag-onset) and not(exists($diag-remission)))     or              (not(exists($diag-onset)) and exists($diag-remission))     " />
    <xsl:variable name="code-num" select="if ($assess-proc-short or $assess-diag-ongoing) then count($der-valid-codes-seq) else 0 " />
    <xsl:variable name="best-match-ratio" select=" 1.0 " />
    <xsl:variable name="comparison" select="if ($code-num &gt; 0)         then distinct-values(tokenize(normalize-space(translate(lower-case($der-text), $chars-no-space, '')), ' ')) else () " />
    <xsl:variable name="comparison-count" select="count($comparison) " />
    <xsl:variable name="der-valid-code-pterm" select="if ($code-num &gt; 0) then tokenize($der-valid-codes-4, '\|') else () " />
    <xsl:variable name="code-terms" select="if ($code-num &gt; 0) then for $x in $der-valid-code-pterm return          normalize-space(dh:XQueryRecursiveReplace(dh:XQueryRecursiveReplace(translate(lower-case(replace($x, '^([0-9]+\[)(.*?)(\]$)', '$2')),          $chars-no-space, ''), $diag-proc-fir-pattern-replacement, 'ic'), $diag-proc-sec-pattern-replacement, 'ic')) else () " />
    <xsl:variable name="code-term-num" select="count($code-terms) " />
    <xsl:variable name="code-term-count" select="if ($code-term-num &gt; 0) then for $i in (1 to $code-term-num) return count(distinct-values(tokenize($code-terms[$i], ' '))) else () " />
    <xsl:variable name="best-matches" select="(for $j in (1 to $code-term-num) return               if (           (            (             $comparison-count + $code-term-count[$j] - count(distinct-values(($comparison, tokenize($code-terms[$j], ' '))))            ) div $comparison-count            +            (             $comparison-count + $code-term-count[$j] - count(distinct-values(($comparison, tokenize($code-terms[$j], ' '))))            ) div $code-term-count[$j]           ) div 2 &gt;= $best-match-ratio          ) then $der-valid-code-pterm[$j] else '')[. != ''] " />
    <xsl:variable name="best-codes" select="if (exists($best-matches)) then for $concept in $best-matches return replace($concept, '^([0-9]+)(\[.*?\]$)', '$1')         else $der-valid-codes-seq " />
    <xsl:variable name="best-num" select="count($best-codes)" />
    <xsl:variable name="short-procedure-codes" select="if ($assess-proc-short and $best-num &gt; 0) then for $item in $cd-definitions/proc/proc-short/hierarchy return $item/@code else () " />
    <xsl:variable name="procedure-type" select="if ($assess-proc-short and $best-num &gt; 0) then tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($best-codes, ' OR '), ') AND &lt;&lt;(', string-join($short-procedure-codes, ' OR '), ')'), '',         string($best-num), false()), '\|') else () " />
    <xsl:variable name="error-usingTS-7a" select="$error-usingTS-6 or 'Error' = $procedure-type " />
    <xsl:variable name="short-procedure" select="$valid-diag-proc-5 and $assess-proc-short and $best-num &gt; 0 and not($error-usingTS-7a) and $best-num = count($procedure-type) " />
    <xsl:variable name="procedure-codes" select="if ($is-uncategorised and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $best-num &gt; 0)         then tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($best-codes, ' OR '), ') AND ^32570141000036105'), '', string($best-num), false()), '\|')        else if ($is-procedure and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true')) then $der-valid-codes-4        else () " />
    <xsl:variable name="error-usingTS-7b" select="$error-usingTS-7a or 'Error' = $procedure-codes " />
    <xsl:variable name="ongoing-diag-codes" select="if ($assess-diag-ongoing and $best-num &gt; 0) then for $item in $cd-definitions/diag/diag-ongoing/hierarchy return $item/@code else () " />
    <xsl:variable name="diagnosis-type" select="if ($assess-diag-ongoing and $best-num &gt; 0) then tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($best-codes, ' OR '), ') AND &lt;&lt;(', string-join($ongoing-diag-codes, ' OR '), ')'), '',         string($best-num), false()), '\|') else () " />
    <xsl:variable name="error-usingTS-7c" select="$error-usingTS-7b or 'Error' = $diagnosis-type " />
    <xsl:variable name="ongoing-diagnosis" select="$valid-diag-proc-5 and $assess-diag-ongoing and $best-num &gt; 0 and not($error-usingTS-7b) and $best-num = count($diagnosis-type) " />
    <xsl:variable name="repeated-start" select="if (not($ongoing-diagnosis and $is-uncategorised and (exists(../cda:effectiveTime/cda:low/@value) or exists(../cda:effectiveTime/@value)))) then ()        else ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/         cda:entry/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16627']]/cda:text         [matches(., concat('^', translate($der-text-2, $chars-to-remove, ''), '$'), 'is')] " />
    <xsl:variable name="diagnosis-codes" select="if ($is-uncategorised and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))         then tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($best-codes, ' OR '), ') AND ^32570581000036105'), '', string($best-num), false()), '\|')        else () " />
    <xsl:variable name="diagnosis-codes" select="if ($is-uncategorised and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $best-num &gt; 0)         then tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($best-codes, ' OR '), ') AND ^32570581000036105'), '', string($best-num), false()), '\|')        else if ($is-problem-diagnosis and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))         then tokenize($der-valid-codes-4, '\|')        else () " />
    <xsl:variable name="error-usingTS-7d" select="$error-usingTS-7c or 'Error' = $diagnosis-codes " />
    <xsl:variable name="error-usingTS-7" select="$error-usingTS-7d " />
    <xsl:variable name="undetermined-diag-proc-1" select="if (exists($der-valid-codes-seq)) then $der-diag-proc-codes-5[not(. = $der-valid-codes-seq)] else $der-diag-proc-codes-5 " />
    <xsl:variable name="undetermined-inactive-1" select="for $i in (1 to count($undetermined-diag-proc-1)) return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $undetermined-diag-proc-1[$i], '', '1', false()) " />
    <xsl:variable name="error-usingTS-8" select="$error-usingTS-7 or 'Error' = $undetermined-inactive-1 " />
    <xsl:variable name="undetermined-inactive" select="(for $i in (1 to count($undetermined-diag-proc-1)) return         if (contains($undetermined-inactive-1[$i], '~inactive')) then $undetermined-inactive-1[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-1" select="for $i in (1 to count($undetermined-inactive))        return dh:IsCodeAssociatedWithAnotherCode(replace($undetermined-inactive[$i], '(\[.*?\])(\||$)', '$2'), '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-2" select="$error-usingV-1 or 'Error' = $undetermined-NAF-1 " />
    <xsl:variable name="undetermined-NAF" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-codes" select="for $term in $undetermined-NAF return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-NAF-active" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound~active')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-active-codes" select="for $term in $undetermined-NAF-active return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-diag-proc" select="$undetermined-diag-proc-1[not(. = ($undetermined-NAF-codes, $undetermined-NAF-active-codes))]" />
    <xsl:variable name="invalid-diag-proc" select="not($valid-diag-proc-5) and exists($invalid-diag-proc-codes) and not(exists($undetermined-diag-proc))" />
    <xsl:variable name="an-immun-3" select="if ($an-immun-2) then true()        else if (not($try-immun) or $valid-diag-proc-5 or $invalid-diag-proc or not(exists($vaccine-text-normalised))) then false()        else if ($der-text != '' and translate(lower-case($der-text), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else if ($use-revised-text-1 and translate(lower-case($der-revised-text-1), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else if ($use-revised-text-2 and translate(lower-case($der-revised-text-2), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else if ($use-revised-text-3 and translate(lower-case($der-revised-text-3), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else false() " />
    <xsl:variable name="vaccine-code-test" select="if ($try-immun and not($an-immun-3 or $valid-diag-proc-5 or $invalid-diag-proc or $avoid-ts or $error-usingTS-8) and exists($undetermined-diag-proc))          then tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('(', string-join($undetermined-diag-proc, ' OR '), ') AND (&lt;71181003 OR &lt;127785005)'), '',           string(count($undetermined-diag-proc)), false()), '\|')        else () " />
    <xsl:variable name="error-usingTS-9" select="$error-usingTS-8 or 'Error' = $vaccine-code-test " />
    <xsl:variable name="an-immun" select="$an-immun-3 or (not('Error' = $vaccine-code-test) and exists($undetermined-diag-proc) and         count($vaccine-code-test) = count($undetermined-diag-proc)) " />
    <xsl:variable name="try-tgi" select="not($valid-diag-proc-5 or $invalid-diag-proc or ($try-immun and $an-immun) or $der-text = '' or $negated-err or $der-text-non-value or         $der-invalid-text) and /cda:ClinicalDocument/cda:code[         (@codeSystem = '2.16.840.1.113883.6.1' and @code = ('60591-5', '34133-9', '18842-5', '57133-1', '51852-2')) or         (@codeSystem = '1.2.36.1.2001.1001.101' and @code = '100.16685')      ]" />
    <xsl:variable name="der-tgi-text" select="if ($try-tgi) then normalize-space(dh:XQueryRecursiveReplace($der-text,         concat($tgi-fir-pattern-replacement, '~', $tgi-regex, '~', $tgi-sec-pattern-replacement, '~', $tgi-thi-pattern-replacement), 'ic')) else '' " />
    <xsl:variable name="use-tgi-text" select="$der-tgi-text != '' and $der-tgi-text != $der-text " />
    <xsl:variable name="a-sas-tgi" select="$try-tgi and $use-tgi-text and $tgi-sas-regex != '' and matches($der-tgi-text, $tgi-sas-regex, 'is')" />
    <xsl:variable name="an-uncoded-tgi" select="$try-tgi and $use-tgi-text and $tgi-otheru-regex != '' and matches($der-tgi-text, $tgi-otheru-regex, 'is')" />
    <xsl:variable name="der-tgi-codes" select="if ($avoid-ts or $error-usingTS-9) then ''         else if ($try-tgi and $use-tgi-text and not($a-sas-tgi or $an-uncoded-tgi))         then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $tgi-formula, $der-tgi-text,           $max-code-number, false())         else '' " />
    <xsl:variable name="error-usingTS-10" select="$error-usingTS-9 or 'Error' = $der-tgi-codes " />
    <xsl:variable name="a-tgi" select="$try-tgi and ($a-sas-tgi or $an-uncoded-tgi or contains($der-tgi-codes, '[')) and not(exists($undetermined-diag-proc)) " />
    <xsl:variable name="codes-were-found" select="exists($der-diag-proc-codes-4) or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="codes-not-found" select="not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or        $valid-diag-proc-5 or $invalid-diag-proc or $an-immun or $a-tgi or $error-usingTS-10 or $family-err or $length-err or $prose-err or $negated-err) " />
    <xsl:variable name="codes-in-the-domain" select="not($valid-diag-proc-1) and $valid-diag-proc-5" />
    <xsl:variable name="codes-in-other-domain" select="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-diag-proc-5 or         $invalid-diag-proc or $an-immun or $a-tgi) " />
    <xsl:variable name="codes-in-no-domain" select="exists($der-diag-proc-codes-5) " />
    <xsl:variable name="display-in-the-domain" select="if ($codes-in-the-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', '), '''')        else '' " />
    <xsl:variable name="display-in-other-r" select="if (exists($invalid-diag-proc-codes-r) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-diag-proc-codes-r return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-h" select="if (exists($invalid-diag-proc-codes-h) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-diag-proc-codes-h return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-domain" select="if (not($codes-in-other-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))) then ''        else if ($display-in-other-r and display-in-other-h) then concat('''', $display-in-other-r, ', ', $display-in-other-h, '''')        else if ($display-in-other-r) then concat('''', $display-in-other-r, '''')        else if ($display-in-other-h) then concat('''', $display-in-other-h, '''')        else '' " />
    <xsl:variable name="display-in-no-domain" select="if ($codes-in-no-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', dh:XQueryRecursiveReplace(string-join(for $code in $der-diag-proc-codes-5 return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), '; '),          $term-pattern-replacement, 'ic'), '''')        else '' " />
    <xsl:variable name="display-text-1" select="if (cda:originalText != '') then normalize-space(cda:originalText)        else if (. != '') then normalize-space(.)        else '' " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-attr" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))        else if (. != '') then normalize-space(concat('the text ', $display-text))        else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="log-element" select="if ($error-usingTS-10 or not($flags/@report-terminology-concepts = 'true') or $log-concepts-name = '') then ''        else if ($is-problem-diagnosis) then 'Problem/Diagnosis' else if ($is-procedure) then 'Procedure' else 'Problem/Diagnosis or Procedure' " />
    <xsl:variable name="log-concepts-appended" select="if ($error-usingTS-10 or not($flags/@report-terminology-concepts = 'true') or $log-concepts-name = '') then ''        else if ($codes-not-found and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                   $log-element,    $log-tab,                   'yes',     $log-tab,                   concat($display-attr, $display-system), $log-tab,                   '',     $log-tab,                  '',     $log-tab,                  '',     $log-tab,                  $ts-current-sctau   ))        else if (($use-revised-text-3 or $codes-in-no-domain) and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                  $log-element,    $log-tab,                   'yes',     $log-tab,                     concat($display-attr, $display-system), $log-tab,                    $display-in-the-domain,   $log-tab,                  $display-in-other-domain,  $log-tab,                  $display-in-no-domain,   $log-tab,                  $ts-current-sctau   ))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-01" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating" select="if ($text-without-markup = '' or (cda:originalText and cda:originalText != '')) then $rating-57 else $rating-01 " />
    <xsl:variable name="test-case-id" select="if ($text-without-markup = '' or (cda:originalText and cda:originalText != '')) then 'TC-Types-57' else 'TC-Doc-01' " />
    <!--REPORT -->
    <xsl:if test=" $log-concepts-appended = ('NOTFOUND', 'ERROR') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$log-concepts-appended = ('NOTFOUND', 'ERROR')">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Diag-Proc-Defn): The AppendLog function returned '<xsl:text /><xsl:value-of select="$log-concepts-appended" /><xsl:text />' when requested to append the concepts log
		'<xsl:text /><xsl:value-of select="$log-concepts-name" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-3a = '' or $der-text-a = '') and    not($uncat-embedded-error or $negated-err or $valid-diag-proc-5) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-3a = '' or $der-text-a = '') and not($uncat-embedded-error or $negated-err or $valid-diag-proc-5)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Diag-Proc-Defn): An unexpected problem occurred when assessing the value of the Problem/Diagnosis Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. The application of regular expressions resulted in the complete loss of text.
		Report the information below to the Australian Digital Health Agency for investigation.

		der-text-1 '<xsl:text /><xsl:value-of select="normalize-space(dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'))" /><xsl:text />'.
		der-truncated-text-1 '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-truncated-text-1, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-2a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-2a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-3a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-3a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-a, $term-pattern-replacement, 'ic')" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingV-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingV-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Diag-Proc-Defn): An error was reported when accessing the terminology server when assessing the Problem/Diagnosis Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		Report the issue to the Australian Digital Health Agency for investigation stating the error was recorded for error-usingV-2.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-10 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-10">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Diag-Proc-Defn): An error was reported when accessing the terminology server when assessing the Problem/Diagnosis Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term:
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The analysis should be retried as the terminology server may have been temporarily unavailable.
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation, stating that the error was found by
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'error-usingTS-1' else if ($error-usingTS-2-a) then 'error-usingTS-2-a'   else if ($error-usingTS-2-b) then 'error-usingTS-2-b' else if ($error-usingTS-2-c) then 'error-usingTS-2-c'   else if ($error-usingTS-2-d) then 'error-usingTS-2-d' else if ($error-usingTS-2-e) then 'error-usingTS-2-e'   else if ($error-usingTS-2) then 'error-usingTS-2'   else if ($error-usingTS-3) then 'error-usingTS-3' else if ($error-usingTS-4) then 'error-usingTS-4'   else if ($error-usingTS-5) then 'error-usingTS-5' else if ($error-usingTS-6) then 'error-usingTS-6'   else if ($error-usingTS-7) then 'error-usingTS-7' else if ($error-usingTS-8) then 'error-usingTS-8'   else if ($error-usingTS-9) then 'error-usingTS-9' else 'error-usingTS-10' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($family-err or $length-err) and not($prose-err or $negated-err or $der-invalid-text) and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($family-err or $length-err) and not($prose-err or $negated-err or $der-invalid-text) and not(cda:originalText)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: <xsl:text /><xsl:value-of select="$test-case-id" /><xsl:text />: The Problem/Diagnosis Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which may be invalid as it
		<xsl:text /><xsl:value-of select="if ($family-err) then 'contains the family name of a healthcare participant' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($family-err and $length-err) then ' and ' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($length-err) then 'seems to be too long to describe a concept and may be a copy of or extract from the narrative.' else '.' " /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the diagnosis or health problem or experienced by         the consumer. (See the definition in the Structured Content Specification or the CDA Implementation Guide.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-uncategorised and $prose-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-uncategorised and $prose-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: <xsl:text /><xsl:value-of select="$test-case-id" /><xsl:text />: The Problem/Diagnosis Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is invalid as it is prose text.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the diagnosis or health problem or experienced by         the consumer. (See the definition in the Structured Content Specification or the CDA Implementation Guide.)'))" /><xsl:text /> A place to record prose text is in a comment or clinical synopsis data element.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and not($is-uncategorised) and $prose-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and not($is-uncategorised) and $prose-err">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: <xsl:text /><xsl:value-of select="$test-case-id" /><xsl:text />: The Problem/Diagnosis Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is invalid as it is prose text.
		<xsl:text /><xsl:value-of select="if ($is-problem-diagnosis or $is-procedure) then concat('The Problem/Diagnosis Identification data element is CodeableText derived from the HL7 CD data type which by definition is to record ',   'a concept defined in an external code system, terminology or ontology. (See section 7.5.2.1 of ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')    else '' " /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the diagnosis or health problem or experienced by         the consumer. (See the definition in the Structured Content Specification or the CDA Implementation Guide.)'))" /><xsl:text />
		A place to record prose text is in a comment or clinical synopsis data element.
		This finding will also be reported as an error.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $codes-not-found">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: <xsl:text /><xsl:value-of select="$test-case-id" /><xsl:text />: The Problem/Diagnosis Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the diagnosis or health problem or experienced by         the consumer. (See the definition in the Structured Content Specification or the CDA Implementation Guide.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the PROBLEM/DIAGNOSIS section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$codes-in-other-domain and not($error-usingTS-10)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$codes-in-other-domain and not($error-usingTS-10)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: <xsl:text /><xsl:value-of select="$test-case-id" /><xsl:text />: The Problem/Diagnosis Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value does not seem to be applicable for the data element.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the diagnosis or health problem or experienced by         the consumer. (See the definition in the Structured Content Specification or the CDA Implementation Guide.)')" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $negated-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$negated-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: <xsl:text /><xsl:value-of select="$test-case-id" /><xsl:text />: The Problem/Diagnosis Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element has an invalid value which states the healthcare consumer
		<xsl:text /><xsl:value-of select="if ('Problem/Diagnosis Identification' = 'Problem/Diagnosis Identification') then 'does not have a problem' else if ('Problem/Diagnosis Identification' = 'Procedure Name') then 'has not had a procedure'   else if ('Problem/Diagnosis Identification' = 'Medical History Item Description') then 'does not have the item' else 'Problem/Diagnosis Identification'" /><xsl:text />.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the diagnosis or health problem or experienced by         the consumer. (See the definition in the Structured Content Specification or the CDA Implementation Guide.)'))" /><xsl:text />
		If the consumer once had the <xsl:text /><xsl:value-of select="if ('Problem/Diagnosis Identification' = 'Problem/Diagnosis Identification') then 'problem'    else if ('Problem/Diagnosis Identification' = 'Procedure Name') then 'procedure' else if ('Problem/Diagnosis Identification' = 'Medical History Item Description') then 'item' else 'Problem/Diagnosis Identification'" /><xsl:text /> then the error may be
		corrected by stating the
		<xsl:text /><xsl:value-of select="if ('Problem/Diagnosis Identification' = 'Problem/Diagnosis Identification') then 'problem the consumer once had' else if ('Problem/Diagnosis Identification' = 'Procedure Name') then 'procedure the consumer once had'    else if ('Problem/Diagnosis Identification' = 'Medical History Item Description') then 'medical history item the consumer once had' else 'Problem/Diagnosis Identification'" /><xsl:text /> and including an end date. If the consumer was previously thought
		to have had the <xsl:text /><xsl:value-of select="if ('Problem/Diagnosis Identification' = 'Problem/Diagnosis Identification') then 'problem' else if ('Problem/Diagnosis Identification' = 'Procedure Name') then 'procedure'   else if ('Problem/Diagnosis Identification' = 'Medical History Item Description') then 'medical history item' else 'Problem/Diagnosis Identification'" /><xsl:text /> and if this was subsequently ruled out then
		<xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> must not be included in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Problem/Diagnosis Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the diagnosis or health problem or experienced by         the consumer. (See the definition in the Structured Content Specification or the CDA Implementation Guide.)'))" /><xsl:text />
		The Problem/Diagnosis Identification data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: <xsl:text /><xsl:value-of select="$test-case-id" /><xsl:text />: The Problem/Diagnosis Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the diagnosis or health problem or experienced by         the consumer. (See the definition in the Structured Content Specification or the CDA Implementation Guide.)'))" /><xsl:text />
		The Problem/Diagnosis Identification data element must have a value that is consistent with this definition. Alternatively if there is no Problem/Diagnosis Identification data element with a proper value then an exclusion
		statement must be included to state why there is no Problem/Diagnosis Identification. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4')    then concat('Text such as ''', dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'), ''' may be permitted in the narrative even though the Problem/Diagnosis Identification data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Problem/Diagnosis Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the diagnosis or health problem or experienced by         the consumer. (See the definition in the Structured Content Specification or the CDA Implementation Guide.)'))" /><xsl:text />
		The Problem/Diagnosis Identification data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($der-text-non-value) and $der-invalid-text ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($der-text-non-value) and $der-invalid-text">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Problem/Diagnosis Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid. <xsl:text /><xsl:value-of select="$defn-invalid-rsn" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the diagnosis or health problem or experienced by         the consumer. (See the definition in the Structured Content Specification or the CDA Implementation Guide.)'))" /><xsl:text /><xsl:text /><xsl:value-of select="if ($uncat-embedded-comment != '') then concat(' The Problem/Diagnosis Identification text contains the comment ''', $uncat-embedded-comment,     ''' which should have been recorded in the Medical History Item Comment data element.',    ' (See the mapping table for Medical History Item Comment in the ', $document-name, ' CDA Implementation Guide.)') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($uncat-embedded-start != '' and $uncat-embedded-end != '') then concat(' The Problem/Diagnosis Identification text contains a time interval commencing at ''', $uncat-embedded-start,     ''' and ending at ', $uncat-embedded-end, ''' however they should have been recorded in the low and high elements of the Medical History Item TimeInterval data element.')     else if ($uncat-embedded-start != '' and $uncat-embedded-end = '') then concat(' The Problem/Diagnosis Identification text contains a time interval commencing at ''', $uncat-embedded-start,     ''' which should have been recorded in the low element of the Medical History Item TimeInterval data element.')    else if ($uncat-embedded-start = '' and $uncat-embedded-end != '') then concat(' The Problem/Diagnosis Identification text contains a time interval ending at ', $uncat-embedded-end,     ''' which should have been recorded in the high element of the Medical History Item TimeInterval data element.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($uncat-embedded-dt != '') then concat(' The Problem/Diagnosis Identification text contains the date ''', $uncat-embedded-dt,     ''' which should have been recorded in the value attribute of the Medical History Item TimeInterval data element.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($uncat-embedded-start != '' or $uncat-embedded-end != '' or $uncat-embedded-dt != '') then concat(    ' (See the mapping table for Medical History Item TimeInterval in the ', $document-name, ' CDA Implementation Guide.)') else '' " /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $an-immun and not($error-usingTS-10)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$an-immun and not($error-usingTS-10)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: <xsl:text /><xsl:value-of select="$test-case-id" /><xsl:text />: The Problem/Diagnosis Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the value is invalid.
		<xsl:text /><xsl:value-of select="if ($is-problem-diagnosis) then concat('Administering an immunisation is not a medical problem or diagnosis and the ', $document-name,    ' has a separate Immunisation section for recording the immunisation.')   else 'Administering an immunisation is not a medical procedure that may be recorded in this section of the document as there is a separate Immunisation section for that purpose.' " /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the diagnosis or health problem or experienced by         the consumer. (See the definition in the Structured Content Specification or the CDA Implementation Guide.)'))" /><xsl:text />
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the PROBLEM/DIAGNOSIS section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $a-tgi and not($error-usingTS-10) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$a-tgi and not($error-usingTS-10)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: <xsl:text /><xsl:value-of select="$test-case-id" /><xsl:text />: The Problem/Diagnosis Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the value is invalid as it identifies a medication.
		Administering a medication is not a medical procedure that may be recorded in this section of the document as there is a separate Medication section for that purpose.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the diagnosis or health problem or experienced by         the consumer. (See the definition in the Structured Content Specification or the CDA Implementation Guide.)'))" /><xsl:text />
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the PROBLEM/DIAGNOSIS section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $invalid-diag-proc and not($error-usingTS-10) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$invalid-diag-proc and not($error-usingTS-10)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Problem/Diagnosis Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid
		<xsl:text /><xsl:value-of select="if (exists($invalid-diag-proc-codes-h)) then concat(' as it describes ', string-join(distinct-values(for $code in tokenize(replace(   dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat('(', string-join(for $code in $invalid-diag-proc-codes-h return concat('&gt;&gt;', $code), ' OR '), ') AND (',    string-join(for $hierarchy in $the-invalid-h return $hierarchy/@code, ' OR '), ')'), '',    string(count($invalid-diag-proc-codes-h)), true()), '(\[.*?\])(\||$)', '$2'), '\|') return $the-invalid-h[@code = $code]/@description)[position() = (1 to 2)], ' and '), '.')    else if (exists($invalid-diag-proc-codes-r)) then concat(' as it describes ', string-join(distinct-values(for $code in $invalid-diag-proc-codes-r return   $the-invalid-r[index-of(for $x in (for $refset in $the-invalid-r return    dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat($code, ' AND ^', $refset/@code), '', '1', true()), '|') return matches($x, '^[0-9]'), true())[1]]/@description), ' and '), '.')   else '.'" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the diagnosis or health problem or experienced by         the consumer. (See the definition in the Structured Content Specification or the CDA Implementation Guide.)'))" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable outside the applicable value domain): The Problem/Diagnosis Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following codes were obtained and are not in the value domain: <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-Diag-Proc-Defn): The Problem/Diagnosis Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU and no associated code was found in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists(($der-NAF-active-codes, $undetermined-NAF-active-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists(($der-NAF-active-codes, $undetermined-NAF-active-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-Diag-Proc-Defn): The Problem/Diagnosis Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-active-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the
		'<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' version of SNOMED CT-AU but it was not found with this status in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU.
		<xsl:text /><xsl:value-of select="if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $valid-diag-proc-1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $valid-diag-proc-1">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable within the value domain): The Problem/Diagnosis Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which matches one of the terms listed in
		<xsl:text /><xsl:value-of select="if ($a-disease) then 'the vaccine information in CodeSystems.xml' else 'Knowledge.xml' " /><xsl:text /> for the Problem/Diagnosis Identification.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (concept is codeable within the value domain): The Problem/Diagnosis Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a valid value for the Problem/Diagnosis Identification.
		SNOMED CT-AU codes that matched the concept are: <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (count($best-matches) = count($der-valid-codes-seq)) then ''   else if (count($best-matches) = 1) then concat('The analysis continued only with the best matching code which is ''',   dh:XQueryRecursiveReplace($best-matches[1], $markup-pattern-replacement, 'ic'), '''.')   else if (exists($best-matches)) then concat('The analysis continued only with the best matching codes which are ''',   dh:XQueryRecursiveReplace(string-join($best-matches, '; '), $markup-pattern-replacement, 'ic'), '''.')   else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ('Error' = $procedure-codes or not(exists($procedure-codes))) then ''   else if ($best-num = count($procedure-codes)) then ' All matching codes are members of the Procedure Foundation reference set.'    else if (count($procedure-codes) = 1) then concat(' Out of the ', $best-num, ' codes one is a member of the Procedure Foundation reference set (', string-join($procedure-codes, '; '), ').')    else if (count($procedure-codes) = 0) then concat(' Out of the ', $best-num, ' codes none is a member of the Procedure Foundation reference set.')   else concat(' Out of the ', $best-num, ' codes ', count($procedure-codes), ' are members of the Procedure Foundation reference set (', string-join($procedure-codes, '; '), ').') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($error-usingTS-7 or not(exists($procedure-codes))) then ''   else if (not($assess-proc-short)) then ' The procedure duration was not assessed.'   else if (count($procedure-type) = 0 and $best-num = count($procedure-codes)) then ' This may be a long duration procedure.'   else if (count($procedure-type) = 0) then ''   else if ($short-procedure) then ' This is a short duration procedure.'    else if ($best-num &gt; count($procedure-type) and count($procedure-type) = 1)     then concat(' Out of the ', $best-num, ' codes one describes a short duration procedure (', string-join($procedure-type, '; '), ').')   else if ($best-num &gt; count($procedure-type))     then concat(' Out of the ', $best-num, ' codes ', count($procedure-type), ' describe a short duration procedure (', string-join($procedure-type, '; '), ').')   else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ('Error' = $diagnosis-codes or not(exists($diagnosis-codes))) then ''   else if ($best-num = count($diagnosis-codes)) then ' All matching codes are members of the Problem/Diagnosis reference set.'    else if (count($diagnosis-codes) = 1) then concat(' Out of the ', $best-num, ' codes one is a member of the Problem/Diagnosis reference set (', string-join($diagnosis-codes, '; '), ').')    else if (count($diagnosis-codes) = 0) then concat(' Out of the ', $best-num, ' codes none is a member of the Problem/Diagnosis reference set.')   else concat(' Out of the ', $best-num, ' codes ', count($diagnosis-codes), ' are members of the Problem/Diagnosis reference set (', string-join($diagnosis-codes, '; '), ').') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($error-usingTS-7 or not(exists($diagnosis-codes))) then ''   else if (not($assess-diag-ongoing)) then ' The medical problem duration was not assessed.'   else if (count($diagnosis-type) = 0 and $best-num = count($diagnosis-codes)) then ' This medical problem may not be ongoing.'   else if (count($diagnosis-type) = 0) then ''   else if ($ongoing-diagnosis) then concat(' This medical problem is generally ongoing and is a member of the following conditions in the Knowledge.xml file: ''',    string-join(for $concept in $diagnosis-type return     dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',     concat('&gt;&gt;', replace($concept, '^([0-9]+)(\[.*?\]$)', '$1'), ' AND (', string-join($ongoing-diag-codes, ' OR '), ')'), '', '1', false()), '|'), '''.')   else if ($best-num &gt; count($diagnosis-type) and count($diagnosis-type) = 1)     then concat(' Out of the ', $best-num, ' codes one describes an ongoing medical problem (', string-join($diagnosis-type, '; '), ').')   else if ($best-num &gt; count($diagnosis-type))     then concat(' Out of the ', $best-num, ' codes ', count($diagnosis-type), ' describe an ongoing medical problem (', string-join($diagnosis-type, '; '), ').')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-diag-proc-1 or $prose-err or $negated-err) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-diag-proc-1 or $prose-err or $negated-err)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: <xsl:text /><xsl:value-of select="$test-case-id" /><xsl:text />: The Problem/Diagnosis Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The text used to match regular expression (der-text-2) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to match non-values and vaccines (der-text-to-match) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-to-match, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to derive a code (der-text) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.

		<xsl:text /><xsl:value-of select="if ($use-revised-text-1) then concat(' A first revision of the text (der-revised-text-1) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-1, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A first revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-1 != '' and $der-revised-text-1 = '') then ' revision-pattern-1 was applied but the output (der-revised-text-1) was an empty string.' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($use-revised-text-2) then concat(' A second revision of the text (der-revised-text-2) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A second revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-2 != '' and $der-revised-text-2 = '') then ' revision-pattern-2 was applied but the output (der-revised-text-2) was an empty string.' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($use-revised-text-3) then concat(' A third revision of the text (der-revised-text-3) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-3, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A third revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-3 != '' and $der-revised-text-3 = '') then ' revision-pattern-3 was applied but the output (der-revised-text-3) was an empty string.' else '' " /><xsl:text />

		Codes for related terms (related-terms-2): '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($related-terms-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes for related terms (der-valid-codes-1): 
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-1, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-diag-proc-codes-2) returned by the terminology server that match the text:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-diag-proc-codes-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes from related terms or the terminology server (der-valid-codes-2):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-2, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-inactive-codes-3) returned from the Validator's database associated with inactive codes:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-inactive-codes-3, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes found after examining inactive codes (der-valid-codes-3):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-3, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-diag-proc-codes-3) returned by the terminology server that are in der-inactive-codes-3 and the value domain:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-diag-proc-codes-3, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Members of invalid reference sets (invalid-diag-proc-codes-r): '<xsl:text /><xsl:value-of select="$display-in-other-r" /><xsl:text />'.
		Members of invalid code hierarchies (invalid-diag-proc-codes-h): '<xsl:text /><xsl:value-of select="$display-in-other-h" /><xsl:text />'.

		Final set of valid medical diagnosis and procedure codes (der-valid-codes-4): <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.

		 diag-proc-codes-5): '<xsl:text /><xsl:value-of select="string-join($der-diag-proc-codes-5, ''', ''')" /><xsl:text />'.
		Codes whose validity has not been determined and are inactive with no associated code (undetermined-NAF): '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(    string-join($undetermined-NAF, ''', '''), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		
		Were immunisations examined (try-immun)?: '<xsl:text /><xsl:value-of select="$try-immun" /><xsl:text />'
		Were immunisations found in the first assessment (an-immun-1):  '<xsl:text /><xsl:value-of select="$an-immun-1" /><xsl:text />'
		Were immunisations found in the second assessment (an-immun-2):  '<xsl:text /><xsl:value-of select="$an-immun-2" /><xsl:text />'
		Were immunisations found in the third assessment (an-immun-3):  '<xsl:text /><xsl:value-of select="$an-immun-3" /><xsl:text />'
		Vaccine codes (vaccine-code-test):  '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($vaccine-code-test, '; '), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Were immunisations found in the third assessment (an-immun):  '<xsl:text /><xsl:value-of select="$an-immun" /><xsl:text />'

		Were therapeutic good identifiers examined (try-tgi)?: '<xsl:text /><xsl:value-of select="$try-tgi" /><xsl:text />'
		Was text used to examine therapeutic good identifiers (use-tgi-text)?: '<xsl:text /><xsl:value-of select="$use-tgi-text" /><xsl:text />'
		The text used (der-tgi-text) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-tgi-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		Did the data element describe a therapeutic good on the Special Access Scheme (a-sas-tgi)?: '<xsl:text /><xsl:value-of select="$a-sas-tgi" /><xsl:text />'
		Did the data element describe an uncoded TGI (an-uncoded-tgi)?: '<xsl:text /><xsl:value-of select="$an-uncoded-tgi" /><xsl:text />'
		Set of TGI codes (der-tgi-codes):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-tgi-codes, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Was it confirmed that the data element describes a TGI (a-tgi)?: '<xsl:text /><xsl:value-of select="$a-tgi" /><xsl:text />'

		Will the value of the data element be trusted (der-trusted-text)? '<xsl:text /><xsl:value-of select="$der-trusted-text" /><xsl:text />'.
		
	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and $der-text != '' and not($valid-diag-proc-5 or $codes-were-found or $der-text-non-value or $der-invalid-text or    $an-immun or $a-tgi or $error-usingTS-10 or $family-err or $length-err or $prose-err or $negated-err) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and $der-text != '' and not($valid-diag-proc-5 or $codes-were-found or $der-text-non-value or $der-invalid-text or $an-immun or $a-tgi or $error-usingTS-10 or $family-err or $length-err or $prose-err or $negated-err)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept not codeable): The Problem/Diagnosis Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($avoid-ts) then 'The terminology server was not used to assist with finding codes corresponding to text in the data element. ' else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $short-procedure and not('' = '') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$short-procedure and not('' = '')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Problem/Diagnosis Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which describes a short duration procedure. The <xsl:text /><xsl:value-of select="''" /><xsl:text />
		data element describes the time interval when the procedure was performed and states that it commenced on '<xsl:text /><xsl:value-of select="$proc-ivl-location/cda:low/@value" /><xsl:text />' and the completion date was not
		stated which means the procedure is either ongoing or if it was was completed then the completion date was not recorded.
		(See section 8 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		As all <xsl:text /><xsl:value-of select="''" /><xsl:text /> data elements have a commencement date and no completion date then it is assumed that there is a software error rather than a human error causing the
		dates to be incorrectly recorded in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A way to record a time interval that completed the same day that it commenced is for the <xsl:text /><xsl:value-of select="''" /><xsl:text /> '<xsl:text /><xsl:value-of select="local-name($proc-ivl-location)" /><xsl:text />'
		data element to have a value attribute with the value '<xsl:text /><xsl:value-of select="$proc-ivl-location/cda:low/@value" /><xsl:text />' and no low or high elements.
		Alternatively if the commencement date is unknown and '<xsl:text /><xsl:value-of select="$proc-ivl-location/cda:low/@value" /><xsl:text />' is the date when the procedure was completed then the <xsl:text /><xsl:value-of select="''" /><xsl:text />
		'<xsl:text /><xsl:value-of select="local-name($proc-ivl-location)" /><xsl:text />' data element should have no low element and a high element with a value attribute with the value
		'<xsl:text /><xsl:value-of select="$proc-ivl-location/cda:low/@value" /><xsl:text />'. (See sections 3.6 and 3.8.1 of the HL7 Data Types - Abstract Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $ongoing-diagnosis and $is-uncategorised and exists(../cda:effectiveTime/cda:high/@value) and not('' = '') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$ongoing-diagnosis and $is-uncategorised and exists(../cda:effectiveTime/cda:high/@value) and not('' = '')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Problem/Diagnosis Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which describes a medical problem that is often ongoing however
		the <xsl:text /><xsl:value-of select="''" /><xsl:text /> data element, which describes the time interval applying to the medical problem, does not state a commencement date and has a 'high' element
		with a value that states the medical problem
		was resolved on '<xsl:text /><xsl:value-of select="../cda:effectiveTime/cda:high/@value" /><xsl:text />'. (See section 8 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		As the <xsl:text /><xsl:value-of select="''" /><xsl:text /> data elements have a resolution or remission date and no date of onset then, if the medical problem is ongoing, there may be a software error
		rather than a human error causing the dates to be incorrectly recorded in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. Confirm if the software system is able to correctly record an ongoing
		medical problem. A way to record a time interval for an ongoing medical problem is for the <xsl:text /><xsl:value-of select="''" /><xsl:text /> 'effectiveTime'
		data element to have a low element with a value attribute to record the commencement date and for the high element to be omitted.
		(See section 3.6 of the HL7 Data Types - Abstract Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $ongoing-diagnosis and $is-uncategorised and exists(../cda:effectiveTime/@value) and not('' = '') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$ongoing-diagnosis and $is-uncategorised and exists(../cda:effectiveTime/@value) and not('' = '')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Problem/Diagnosis Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which describes a medical problem that is often ongoing however
		the <xsl:text /><xsl:value-of select="''" /><xsl:text /> data element, which describes the time interval applying to the medical problem, has a 'value' attribute with the value
		'<xsl:text /><xsl:value-of select="../cda:effectiveTime/@value" /><xsl:text />' which indicates the medical problem both commenced and
		was resolved on '<xsl:text /><xsl:value-of select="../cda:effectiveTime/@value" /><xsl:text />'. (See section 8 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and
		section 3.8.1 of the HL7 Data Types - Abstract Specification.)
		As the <xsl:text /><xsl:value-of select="''" /><xsl:text /> data elements have value attribute then, if the medical problem is ongoing, there may be a software error rather than a human error causing
		the dates to be incorrectly recorded in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. Confirm if the software system is able to correctly record an ongoing medical problem.
		A way to record a time interval for an ongoing medical problem is for the <xsl:text /><xsl:value-of select="''" /><xsl:text /> 'effectiveTime'
		data element to have a low element with a value attribute to record the commencement date and for the high element to be omitted.
		(See section 3.6 of the HL7 Data Types - Abstract Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $ongoing-diagnosis and $is-problem-diagnosis and    exists(../cda:entryRelationship[@typeCode='SUBJ']/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]/cda:value/@value) and not('Problem/Diagnosis Date of Resolution/Remission' = '') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$ongoing-diagnosis and $is-problem-diagnosis and exists(../cda:entryRelationship[@typeCode='SUBJ']/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]/cda:value/@value) and not('Problem/Diagnosis Date of Resolution/Remission' = '')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Problem/Diagnosis Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which describes a medical problem that is often ongoing however
		the <xsl:text /><xsl:value-of select="'Problem/Diagnosis Date of Resolution/Remission'" /><xsl:text /> data element has a value that states the medical problem
		was resolved on '<xsl:text /><xsl:value-of select="../cda:entryRelationship[@typeCode='SUBJ']/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]/cda:value/@value" /><xsl:text />'.	
		As the Problem/Diagnosis Identification data elements have a resolution or remission date and no date of onset then there may be a software error
		rather than a human error causing the dates to be incorrectly recorded in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. Confirm if the software system is able to correctly record an ongoing
		medical problem. (See information about the <xsl:text /><xsl:value-of select="'Problem/Diagnosis Date of Resolution/Remission'" /><xsl:text /> in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $ongoing-diagnosis and $is-uncategorised and count($repeated-start) &gt; 1 and not('' = '') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$ongoing-diagnosis and $is-uncategorised and count($repeated-start) &gt; 1 and not('' = '')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Problem/Diagnosis Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which describes a medical problem that is often ongoing.

		The <xsl:text /><xsl:value-of select="''" /><xsl:text /> data element has a value that indicates the medical problem commenced or was first recorded on
		'<xsl:text /><xsl:value-of select="if (../cda:effectiveTime/cda:low/@value) then ../cda:effectiveTime/cda:low/@value else ../cda:effectiveTime/@value " /><xsl:text />'.
		According to information recorded in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> the medical problem has commenced on
		<xsl:text /><xsl:value-of select="if ($numbers/number[number(@value) = count($repeated-start)]) then $numbers/number[number(@value) = count($repeated-start)]/@name else count($repeated-start)" /><xsl:text />
		different occasions. As all Problem/Diagnosis Identification data elements with a date have a commencement date then there may be a software error rather than a human error that has resulted in the ongoing
		medical problem to be recorded multiple times. Confirm if the software system is able to correctly record the dates for an ongoing
		medical problem. (See information about the <xsl:text /><xsl:value-of select="''" /><xsl:text /> in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M518" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M518" />
  <xsl:template match="@*|node()" priority="-2" mode="M518">
    <xsl:apply-templates select="@*|*" mode="M518" />
  </xsl:template>
  <!--PATTERN p-TS-MedHist-CodeableText-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/   cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]/cda:value[(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M519">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/   cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]/cda:value[(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Problem/Diagnosis Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Problem/Diagnosis Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Problem/Diagnosis Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Problem/Diagnosis Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Problem/Diagnosis Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Problem/Diagnosis Identification has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Problem/Diagnosis Identification data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Problem/Diagnosis Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Problem/Diagnosis Identification data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Problem/Diagnosis Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Problem/Diagnosis Identification data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Problem/Diagnosis Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Problem/Diagnosis Identification data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Problem/Diagnosis Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Problem/Diagnosis Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Problem/Diagnosis Identification data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Problem/Diagnosis Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Problem/Diagnosis Identification data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Problem/Diagnosis Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Problem/Diagnosis Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Problem/Diagnosis Identification data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Problem/Diagnosis Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Problem/Diagnosis Identification data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Problem/Diagnosis Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Problem/Diagnosis Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M519" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M519" />
  <xsl:template match="@*|node()" priority="-2" mode="M519">
    <xsl:apply-templates select="@*|*" mode="M519" />
  </xsl:template>
  <!--PATTERN p-TS-MedHist-CodeableText-5-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/   cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]/cda:value   [(@displayName and matches(@displayName, '[a-z0-9]', 'i')) or (cda:originalText and matches(cda:originalText, '[a-z0-9]', 'i'))] " priority="1000" mode="M520">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/   cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]/cda:value   [(@displayName and matches(@displayName, '[a-z0-9]', 'i')) or (cda:originalText and matches(cda:originalText, '[a-z0-9]', 'i'))] " />
    <xsl:variable name="section1" select="if (cda:originalText) then /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//cda:section   [cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = ('101.16672', '101.16006', '101.20109', '102.15513.4.1.1', '101.20117', '101.16611', '102.20158', '101.16606', '102.16347')]]   [contains(translate(normalize-space(lower-case(cda:text)), $chars-to-remove, ''), translate(normalize-space(lower-case(current()/cda:originalText)), $chars-to-remove, ''))] else ()" />
    <xsl:variable name="section2" select="if (@displayName) then /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//cda:section   [cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = ('101.16672', '101.16006', '101.20109', '102.15513.4.1.1', '101.20117', '101.16611', '102.20158', '101.16606', '102.16347')]]   [contains(translate(normalize-space(lower-case(cda:text)), $chars-to-remove, ''), translate(normalize-space(lower-case(current()/@displayName)), $chars-to-remove, ''))] else ()" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-2" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-2 " />
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $section1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $section1">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step-2" /><xsl:text />: TC-Narr-09 step 2: The Problem/Diagnosis Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has originalText with the value
		'<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />' and this was also found in the narrative of the <xsl:text /><xsl:value-of select="$section1/cda:title" /><xsl:text /> section. Confirm by manual inspection that the information
		about '<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />' in the <xsl:text /><xsl:value-of select="$section1/cda:title" /><xsl:text /> section does not contradict information about '<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. Also check other sections in the document for information about '<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />'.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not($section1) and $section2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not($section1) and $section2">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step-2" /><xsl:text />: TC-Narr-09 step 2: The Problem/Diagnosis Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a displayName attribute with the value '<xsl:text /><xsl:value-of select="@displayName" /><xsl:text />' and this was also found in the narrative of the
		<xsl:text /><xsl:value-of select="$section2/cda:title" /><xsl:text /> section. Confirm by manual inspection that the information about
		'<xsl:text /><xsl:value-of select="@displayName" /><xsl:text />' in the <xsl:text /><xsl:value-of select="$section2/cda:title" /><xsl:text /> section does not contradict information about '<xsl:text /><xsl:value-of select="@displayName" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. Also check other sections in the document for information about '<xsl:text /><xsl:value-of select="@displayName" /><xsl:text />'.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M520" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M520" />
  <xsl:template match="@*|node()" priority="-2" mode="M520">
    <xsl:apply-templates select="@*|*" mode="M520" />
  </xsl:template>
  <!--PATTERN p-TS-MedHist-CodeableText-6-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/cda:procedure[@classCode='PROC']/cda:code " priority="1000" mode="M521">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/cda:procedure[@classCode='PROC']/cda:code " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Procedure Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Procedure Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Procedure Name',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Procedure Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Procedure Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Procedure Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Procedure Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Procedure Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Procedure Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Procedure Name data element must have a value that is consistent with this definition. Alternatively if there is no Procedure Name data element with a proper value then an exclusion
		statement must be included to state why there is no Procedure Name.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Procedure Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Procedure Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Procedure Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Procedure Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Procedure Name data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Procedure Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Procedure Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Procedure Name data element must have a value that is consistent with this definition. Alternatively if there is no Procedure Name data element with a proper value then an exclusion
		statement must be included to state why there is no Procedure Name.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Procedure Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Procedure Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Procedure Name data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Procedure Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Procedure Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Procedure Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Procedure Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Procedure Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Procedure Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Procedure Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Procedure Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Procedure Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Procedure Name.
		(See the definition of Procedure Name in the Structured Content Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Procedure Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M521" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M521" />
  <xsl:template match="@*|node()" priority="-2" mode="M521">
    <xsl:apply-templates select="@*|*" mode="M521" />
  </xsl:template>
  <!--PATTERN p-TS-MedHist-CodeableText-7-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/cda:procedure[@classCode='PROC']/cda:code   [@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " priority="1000" mode="M522">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/cda:procedure[@classCode='PROC']/cda:code   [@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="pnullFlavor" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @nullFlavor) then @nullFlavor else '' " />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-p-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then false()        else if ($psnomed-id = 'amtv3' and @codeSystemVersion) then exists($v-amtv3[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($psnomed-id = 'snomedctau' and @codeSystemVersion) then exists($v-snomedctau[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false() " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and $pcode != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used to assess the primary code.') " />
    <xsl:variable name="pcode-refsets-1" select="if (@codeSystem = '2.16.840.1.113883.6.96' and not($pcode = ''))         then dh:FindValueDomainsForCode($pcode, '2.16.840.1.113883.6.96', $v-psnomed-version) else 'no-code' " />
    <xsl:variable name="pcode-found" select="not($pcode-refsets-1 = 'no-code' or $pcode-refsets-1 = 'CodeNotFound' or $pcode-refsets-1 = 'Error'        or contains($pcode-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="pcode-refsets" select="if ($pcode-found) then distinct-values(tokenize($pcode-refsets-1, '\|')) else () " />
    <xsl:variable name="pcode-special-proc" select="count($pcode-refsets) = 1 and 'Procedure Foundation (PF)' = $pcode-refsets and not($pnullFlavor = 'OTH') " />
    <xsl:variable name="pcode-refsets-msg" select="if (count($pcode-refsets) = 0) then ''         else if (count($pcode-refsets) = 1) then concat('The code is a member of the ', $pcode-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($pcode-refsets, ', '), '.') " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))         else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-1" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="snomed-trans-2" select="distinct-values(for $i in (1 to count($snomed-trans-1)) return $snomed-trans-1[$i]/@code) " />
    <xsl:variable name="snomed-trans-a" select="$snomed-trans-1[1] " />
    <xsl:variable name="tcode-a" select="if (exists($snomed-trans-a) and matches($snomed-trans-a/@code, $snomed-code-regex)) then $snomed-trans-a/@code else '' " />
    <xsl:variable name="tnullFlavor-a" select="if (exists($snomed-trans-a) and $snomed-trans-a/@nullFlavor) then $snomed-trans-a/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-a" select="if (not(exists($snomed-trans-a))) then 'not-snomed'        else if (not($snomed-trans-a/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-a/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-a" select="if (not(exists($snomed-trans-a))) then ''        else if ($tsnomed-id-a = 'amtv3' and exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-a = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-a/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-a" select="if (not(exists($snomed-trans-a))) then false()        else if ($tsnomed-id-a = 'amtv3' and $snomed-trans-a/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-a = 'snomedctau' and $snomed-trans-a/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-a-msg" select="if (not(exists($snomed-trans-a))) then ''        else if (not($snomed-trans-a/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-a, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-a = 'amtv3') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-a = 'snomedctau') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-a/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-a, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-a/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-a-refsets-1" select="if (exists($snomed-trans-a) and not($tcode-a = ''))         then dh:FindValueDomainsForCode($tcode-a, '2.16.840.1.113883.6.96', $v-tsnomed-version-a) else 'no-code' " />
    <xsl:variable name="tcode-a-found" select="not($tcode-a-refsets-1 = 'no-code' or $tcode-a-refsets-1 = 'CodeNotFound' or $tcode-a-refsets-1 = 'Error'         or contains($tcode-a-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-a-refsets" select="if ($tcode-a-found) then distinct-values(tokenize($tcode-a-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-a-special-proc" select="count($tcode-a-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-a-refsets and not($tnullFlavor-a = 'OTH') " />
    <xsl:variable name="tcode-a-refsets-msg" select="if (count($tcode-a-refsets) = 0) then ''         else if (count($tcode-a-refsets) = 1) then concat('The code is a member of the ', $tcode-a-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-a-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@code and $snomed-trans-a/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-a/@displayName, codepoints-to-string(34))         else if ($snomed-trans-a/@code and not($snomed-trans-a/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@codeSystem and $snomed-trans-a/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-a/@codeSystemName, ')')         else if ($snomed-trans-a/@codeSystem and not($snomed-trans-a/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-b" select="(for $i in (2 to count($snomed-trans-1)) return if ($snomed-trans-1[$i]/@code != $snomed-trans-a/@code) then $snomed-trans-1[$i] else ())[1] " />
    <xsl:variable name="tcode-b" select="if (exists($snomed-trans-b) and matches($snomed-trans-b/@code, $snomed-code-regex)) then $snomed-trans-b/@code else '' " />
    <xsl:variable name="tnullFlavor-b" select="if (exists($snomed-trans-b) and $snomed-trans-b/@nullFlavor) then $snomed-trans-b/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-b" select="if (not(exists($snomed-trans-b))) then 'not-snomed'        else if (not($snomed-trans-b/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-b/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-b" select="if (not(exists($snomed-trans-b))) then ''        else if ($tsnomed-id-b = 'amtv3' and exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-b = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-b/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-b" select="if (not(exists($snomed-trans-b))) then false()        else if ($tsnomed-id-b = 'amtv3' and $snomed-trans-b/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-b = 'snomedctau' and $snomed-trans-b/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-b-msg" select="if (not(exists($snomed-trans-b))) then ''        else if (not($snomed-trans-b/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-b, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-b = 'amtv3') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-b = 'snomedctau') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-b/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-b, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-b/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-b-refsets-1" select="if (exists($snomed-trans-b) and not($tcode-b = ''))         then dh:FindValueDomainsForCode($tcode-b, '2.16.840.1.113883.6.96', $v-tsnomed-version-b) else 'no-code' " />
    <xsl:variable name="tcode-b-found" select="not($tcode-b-refsets-1 = 'no-code' or $tcode-b-refsets-1 = 'CodeNotFound' or $tcode-b-refsets-1 = 'Error'         or contains($tcode-b-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-b-refsets" select="if ($tcode-b-found) then distinct-values(tokenize($tcode-b-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-b-special-proc" select="count($tcode-b-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-b-refsets and not($tnullFlavor-b = 'OTH') " />
    <xsl:variable name="tcode-b-refsets-msg" select="if (count($tcode-b-refsets) = 0) then ''         else if (count($tcode-b-refsets) = 1) then concat('The code is a member of the ', $tcode-b-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-b-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@code and $snomed-trans-b/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-b/@displayName, codepoints-to-string(34))         else if ($snomed-trans-b/@code and not($snomed-trans-b/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@codeSystem and $snomed-trans-b/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-b/@codeSystemName, ')')         else if ($snomed-trans-b/@codeSystem and not($snomed-trans-b/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-60" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-60 else $rating-alt-TC-Types-60 " />
    <!--REPORT -->
    <xsl:if test=" $pcode-found and $pcode-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pcode-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD (p-TS-CD-SCT-RefSet): An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$pcode" /><xsl:text />',
		codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-psnomed-version" /><xsl:text />'. This error occurred when assessing the Procedure Name data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Procedure Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. The value is not valid for the data element as it describes a medical
		procedure and not a medical problem or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the medical procedure performed.         (See the definition in the Structured Content Specification or the CDA Implementation Guide.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and   not(exists(index-of(for $refset in ('Procedure Foundation (PF)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and not(exists(index-of(for $refset in ('Procedure Foundation (PF)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Procedure Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the code is not a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Procedure Foundation reference set (Concept Id: 32570141000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the PROCEDURE section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and   not(exists(index-of(for $refset in ('Procedure Foundation (PF)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and not(exists(index-of(for $refset in ('Procedure Foundation (PF)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Procedure Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Procedure Foundation reference set (Concept Id: 32570141000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the PROCEDURE section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and   exists(index-of(for $refset in ('Procedure Foundation (PF)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and exists(index-of(for $refset in ('Procedure Foundation (PF)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Procedure Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Procedure Foundation reference set (Concept Id: 32570141000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the PROCEDURE section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and   exists(index-of(for $refset in ('Procedure Foundation (PF)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and exists(index-of(for $refset in ('Procedure Foundation (PF)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Procedure Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. Confirm if the code is a member of the value domain.
		If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Procedure Foundation reference set (Concept Id: 32570141000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the PROCEDURE section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Procedure Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="count($snomed-trans-1)" /><xsl:text /> translation elements with
		codes and the SNOMED CT-AU codeSystem '2.16.840.1.113883.6.96'. The first two translation elements have been assessed to determine if the codes are members of the value domain
		and the others have not been assessed. Confirm if the value of the code attribute in all SNOMED CT translation elements meets the requirement that it be a member of the value domain
		if there is no nullFlavor 'OTH' or that there is a nullFlavor 'OTH' if the value of the code attribute is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Procedure Foundation reference set (Concept Id: 32570141000036105).')" /><xsl:text /> 
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the PROCEDURE section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-a" /><xsl:text />'. This error occurred when assessing the Procedure Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Procedure Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the medical procedure performed.         (See the definition in the Structured Content Specification or the CDA Implementation Guide.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and   not(exists(index-of(for $refset in ('Procedure Foundation (PF)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and not(exists(index-of(for $refset in ('Procedure Foundation (PF)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Procedure Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Procedure Foundation reference set (Concept Id: 32570141000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the PROCEDURE section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and   not(exists(index-of(for $refset in ('Procedure Foundation (PF)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and not(exists(index-of(for $refset in ('Procedure Foundation (PF)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Procedure Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Procedure Foundation reference set (Concept Id: 32570141000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the PROCEDURE section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and   exists(index-of(for $refset in ('Procedure Foundation (PF)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and exists(index-of(for $refset in ('Procedure Foundation (PF)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Procedure Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Procedure Foundation reference set (Concept Id: 32570141000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the PROCEDURE section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and   exists(index-of(for $refset in ('Procedure Foundation (PF)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and exists(index-of(for $refset in ('Procedure Foundation (PF)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Procedure Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Procedure Foundation reference set (Concept Id: 32570141000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the PROCEDURE section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-b" /><xsl:text />'. This error occurred when assessing the Procedure Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Procedure Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> 
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the medical procedure performed.         (See the definition in the Structured Content Specification or the CDA Implementation Guide.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and   not(exists(index-of(for $refset in ('Procedure Foundation (PF)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and not(exists(index-of(for $refset in ('Procedure Foundation (PF)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Procedure Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Procedure Foundation reference set (Concept Id: 32570141000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the PROCEDURE section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and   not(exists(index-of(for $refset in ('Procedure Foundation (PF)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and not(exists(index-of(for $refset in ('Procedure Foundation (PF)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Procedure Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Procedure Foundation reference set (Concept Id: 32570141000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the PROCEDURE section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and   exists(index-of(for $refset in ('Procedure Foundation (PF)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and exists(index-of(for $refset in ('Procedure Foundation (PF)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Procedure Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Procedure Foundation reference set (Concept Id: 32570141000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the PROCEDURE section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and   exists(index-of(for $refset in ('Procedure Foundation (PF)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and exists(index-of(for $refset in ('Procedure Foundation (PF)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Procedure Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Procedure Foundation reference set (Concept Id: 32570141000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the PROCEDURE section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M522" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M522" />
  <xsl:template match="@*|node()" priority="-2" mode="M522">
    <xsl:apply-templates select="@*|*" mode="M522" />
  </xsl:template>
  <!--PATTERN p-TS-MedHist-CodeableText-8-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '101.16117' = $doc-sections and $use-ts-for-sctau]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/cda:procedure[@classCode='PROC']/cda:code   [@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " priority="1000" mode="M523">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '101.16117' = $doc-sections and $use-ts-for-sctau]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/cda:procedure[@classCode='PROC']/cda:code   [@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " />
    <xsl:variable name="proc-ivl-location" select="../cda:effectiveTime " />
    <xsl:variable name="proc-has-low-date" select="exists($proc-ivl-location[cda:low and not(cda:high)]) and exists(/cda:ClinicalDocument/cda:templateId[         (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3') or          (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.4')])  " />
    <xsl:variable name="proc-intervals" select="if (not($proc-has-low-date)) then ()        else ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/         cda:entry/cda:procedure/cda:effectiveTime " />
    <xsl:variable name="proc-ivl-low" select="$proc-intervals/cda:low/@value " />
    <xsl:variable name="proc-ivl-value" select="$proc-intervals/@value " />
    <xsl:variable name="proc-ivl-high" select="$proc-intervals/cda:high/@value " />
    <xsl:variable name="assess-proc-short" select="$proc-has-low-date and count($proc-ivl-low) = count($proc-intervals) and count($proc-ivl-value) = 0 and count($proc-ivl-high) = 0 " />
    <xsl:variable name="pcode" select="if ($assess-proc-short and @codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="snomed-trans-1" select="if (not($assess-proc-short)) then ()        else if ($pcode = '' and cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="snomed-trans-a" select="$snomed-trans-1[1] " />
    <xsl:variable name="tcode-a" select="if (exists($snomed-trans-a) and matches($snomed-trans-a/@code, $snomed-code-regex)) then $snomed-trans-a/@code else '' " />
    <xsl:variable name="snomed-trans-b" select="(for $i in (2 to count($snomed-trans-1)) return if ($snomed-trans-1[$i]/@code != $snomed-trans-a/@code) then $snomed-trans-1[$i] else ())[1] " />
    <xsl:variable name="tcode-b" select="if (exists($snomed-trans-b) and matches($snomed-trans-b/@code, $snomed-code-regex)) then $snomed-trans-b/@code else '' " />
    <xsl:variable name="the-code" select="if (not($assess-proc-short)) then ''        else if ($pcode != '') then $pcode        else if ($tcode-a != '') then $tcode-a        else if ($tcode-b != '') then $tcode-b        else '' " />
    <xsl:variable name="short-procedure-codes" select="if ($the-code = '') then () else for $item in $cd-definitions/proc/proc-short/hierarchy return $item/@code " />
    <xsl:variable name="procedure-type" select="if ($the-code = '') then '' else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat($the-code, ' AND &lt;(', string-join($short-procedure-codes, ' OR '), ')'), '', '1', false()) " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $procedure-type " />
    <xsl:variable name="short-procedure" select="$the-code != '' and not($error-usingTS-1) and matches($procedure-type, concat('^', $the-code, '\[')) " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))         else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="display-tcode-a" select="if ($tcode-a = '') then '' else if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@code and $snomed-trans-a/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-a/@displayName, codepoints-to-string(34))         else if ($snomed-trans-a/@code and not($snomed-trans-a/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-a" select="if ($tcode-a = '') then '' else if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@codeSystem and $snomed-trans-a/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-a/@codeSystemName, ')')         else if ($snomed-trans-a/@codeSystem and not($snomed-trans-a/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="display-tcode-b" select="if ($tcode-b = '') then '' else if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@code and $snomed-trans-b/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-b/@displayName, codepoints-to-string(34))         else if ($snomed-trans-b/@code and not($snomed-trans-b/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-b" select="if ($tcode-b = '') then '' else if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@codeSystem and $snomed-trans-b/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-b/@codeSystemName, ')')         else if ($snomed-trans-b/@codeSystem and not($snomed-trans-b/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-01" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-01 " />
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-1">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Proc-IVL): An error was reported when accessing the terminology server when assessing the Procedure Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the SNOMED CT-AU code:
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), $the-code, codepoints-to-string(34)) " /><xsl:text />.
		The analysis should be retried as the terminology server may have been temporarily unavailable.
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and not($short-procedure) and $assess-proc-short ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and not($short-procedure) and $assess-proc-short">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Procedure Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($pcode != '') then ' has ' else ' with ' " /><xsl:text /><xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /><xsl:text /><xsl:value-of select="if ($pcode != '') then 'which describes a procedure that is not a short duration procedure.'   else if ($tcode-a != '') then concat(' has', $display-tcode-a, $display-tsystem-a, ' which describes a procedure that is not a short duration procedure.')    else if ($tcode-b != '') then concat(' has', $display-tcode-b, $display-tsystem-b, ' which describes a procedure that may be a long duration procedure.')    else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $short-procedure and not('Procedure DateTime' = '')  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$short-procedure and not('Procedure DateTime' = '')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Procedure Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($pcode != '') then 'has' else 'with' " /><xsl:text /><xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /><xsl:text /><xsl:value-of select="if ($pcode != '') then 'which describes a short duration procedure.'   else if ($tcode-a != '') then concat(' has', $display-tcode-a, $display-tsystem-a, ' which describes a short duration procedure.')    else concat(' has', $display-tcode-b, $display-tsystem-b, ' which describes a short duration procedure.') " /><xsl:text /> The <xsl:text /><xsl:value-of select="'Procedure DateTime'" /><xsl:text />
		data element describes the time interval when the procedure was performed and states that it commenced on '<xsl:text /><xsl:value-of select="$proc-ivl-location/cda:low/@value" /><xsl:text />' and the completion date was not
		stated which means the procedure is either ongoing or if it was was completed then the completion date was not recorded.
		(See section 8 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		As all <xsl:text /><xsl:value-of select="'Procedure DateTime'" /><xsl:text /> data elements have a commencement date and no completion date then it is assumed that there is a software error rather than a human error causing the
		dates to be incorrectly recorded in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A way to record a time interval that completed the same day that it commenced is for the <xsl:text /><xsl:value-of select="'Procedure DateTime'" /><xsl:text /> '<xsl:text /><xsl:value-of select="local-name($proc-ivl-location)" /><xsl:text />'
		data element to have a value attribute with the value '<xsl:text /><xsl:value-of select="$proc-ivl-location/cda:low/@value" /><xsl:text />' and no low or high elements.
		Alternatively if '<xsl:text /><xsl:value-of select="$proc-ivl-location/cda:low/@value" /><xsl:text />' is the date when the procedure was completed then the <xsl:text /><xsl:value-of select="'Procedure DateTime'" /><xsl:text />
		'<xsl:text /><xsl:value-of select="local-name($proc-ivl-location)" /><xsl:text />' data element should have no low element and a high element with a value attribute with the value
		'<xsl:text /><xsl:value-of select="$proc-ivl-location/cda:low/@value" /><xsl:text />'. (See sections 3.6 and 3.8.1 of the HL7 Data Types - Abstract Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M523" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M523" />
  <xsl:template match="@*|node()" priority="-2" mode="M523">
    <xsl:apply-templates select="@*|*" mode="M523" />
  </xsl:template>
  <!--PATTERN p-TS-MedHist-CodeableText-9-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/cda:procedure[@classCode='PROC']/cda:code   [(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-proc-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])][not(@nullFlavor = $no-value-NF)]   [not(cda:originalText and (    ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))    or    (string-length(cda:originalText) &gt; $length-err-max and matches(cda:originalText, $unicode-br-regex)) or    (matches(cda:originalText, '^\W*(Dear\W+Doctor|Dear\W+Dr|Thank\W+you)', 'is'))    ))] " priority="1000" mode="M524">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/cda:procedure[@classCode='PROC']/cda:code   [(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-proc-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])][not(@nullFlavor = $no-value-NF)]   [not(cda:originalText and (    ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))    or    (string-length(cda:originalText) &gt; $length-err-max and matches(cda:originalText, $unicode-br-regex)) or    (matches(cda:originalText, '^\W*(Dear\W+Doctor|Dear\W+Dr|Thank\W+you)', 'is'))    ))] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="snomed-trans" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="tcode" select="if (exists($snomed-trans[1]) and matches($snomed-trans[1]/@code, $snomed-code-regex)) then $snomed-trans[1]/@code else '' " />
    <xsl:variable name="code-present" select="$pcode != '' or $tcode != '' " />
    <xsl:variable name="invalid-code-system" select="@code and @displayName and @codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="codesystemvalues" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']" />
    <xsl:variable name="text-1" select="if (. != '') then replace(., '^[0-9]*xsitype(ED|ST)', '') else '' " />
    <xsl:variable name="text-2" select="if ($text-1 = '') then ''        else if (matches($text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $text-1 " />
    <xsl:variable name="text-without-markup" select="if (cda:originalText and cda:originalText != '') then replace(cda:originalText, $markup-regex, ' ')         else if ($text-2 != '') then normalize-space(replace($text-2, $markup-regex, ' '))         else '' " />
    <xsl:variable name="pdname" select="if (@displayName and not($invalid-code-system)) then @displayName else '' " />
    <xsl:variable name="max-code-number" select="if ($knowledge/search-for-term/max-sct-code-number/@value &gt; '5') then $knowledge/search-for-term/max-sct-code-number/@value else '5' " />
    <xsl:variable name="der-text-1" select="if ($code-present) then ''         else if ($text-without-markup != '') then $text-without-markup        else if ($pdname != '') then $pdname        else '' " />
    <xsl:variable name="is-problem-diagnosis" select="$der-text-1 != '' and local-name(.) = 'value' and local-name(..) = 'observation' " />
    <xsl:variable name="is-procedure" select="$der-text-1 != '' and local-name(.) = 'code' and local-name(..) = 'procedure' " />
    <xsl:variable name="is-uncategorised" select="$der-text-1 != '' and local-name(.) = 'text' " />
    <xsl:variable name="uncat-embedded-comment" select="if ($is-uncategorised and matches($text-1, '^(.*?,?\s*Comments:)(.*?)(,?\s*(StartTime:|Effective Date:).*)$', 's'))         then normalize-space(replace($text-1, '^(.*?,?\s*Comments:)(.*?)(,?\s*(StartTime:|Effective Date:).*)$', '$2', 's'))        else '' " />
    <xsl:variable name="uncat-embedded-dt" select="if ($is-uncategorised and matches($text-1, '^(.*?,?\s*Effective Date:)(.*?)$', 's'))         then normalize-space(replace($text-1, '^(.*?,?\s*Effective Date:)(.*?)$', '$2', 's'))        else '' " />
    <xsl:variable name="uncat-embedded-start" select="if ($is-uncategorised and matches($text-1, '^(.*?,?\s*(StartTime|From):)(.*?)(,?\s*(EndTime|To):.*?)$', 's'))         then normalize-space(replace($text-1, '^(.*?,?\s*(StartTime|From):)(.*?)(,?\s*(EndTime|To):.*?)$', '$3', 's'))        else '' " />
    <xsl:variable name="uncat-embedded-end" select="if ($is-uncategorised and matches($text-1, '^(.*?,?\s*(EndTime|To):)(.*?)$', 's'))         then normalize-space(replace($text-1, '^(.*?,?\s*(EndTime|To):)(.*?)$', '$3', 's'))        else '' " />
    <xsl:variable name="uncat-embedded-error" select="$uncat-embedded-comment != '' or $uncat-embedded-dt != '' or $uncat-embedded-start != '' or $uncat-embedded-end != '' " />
    <xsl:variable name="negated-err" select="if ($uncat-embedded-error) then false() else matches($der-text-1, '\?\s*no(^[a-z]|$)', 'is') " />
    <xsl:variable name="family-err" select="$family-regex != '' and not(matches($der-text-1, '(^|\s)(small|white\s*cell\s*count)(\s|$)', 'is')) and matches($der-text-1, $family-regex, 'is')" />
    <xsl:variable name="der-truncated-text-1" select="normalize-space(replace(replace($der-text-1, $unicode-br-truncation-regex, '$1', 'is'), $diag-proc-truncation-regex, '$1', 'is')) " />
    <xsl:variable name="length-err" select="string-length($der-truncated-text-1) &gt; $length-err-max" />
    <xsl:variable name="prose-err-1" select="$length-err and cda:originalText and (        matches(cda:originalText, $ulist-regex)           or         matches(cda:originalText, $alt-ulist-1a-regex, 'is')         or         matches(cda:originalText, $alt-ulist-1b-regex, 'is')         )" />
    <xsl:variable name="prose-err" select="$prose-err-1 or (cda:originalText and (               matches(cda:originalText, '^\W*(Dear\W+Doctor|Dear\W+Dr|Thank\W+you)', 'is')      or        ($length-err and matches(cda:originalText, '\.\s*$', 's') and matches(cda:originalText, $multi-sentence-regex, 's')) or        matches(cda:originalText, $alt-ulist-2-regex, 'is')          or        matches(cda:originalText, $olist-arabic-regex, 'is')          or         matches(cda:originalText, $olist-alpha-regex, 'is')          or         matches(cda:originalText, $olist-roman-regex, 'is')          or        matches(replace(cda:originalText, $new-line-regex, codepoints-to-string((10)), 'is'), $para-regex, 'is')  or        matches(cda:originalText, codepoints-to-string((8233)), 'is')         or               (cda:originalText and matches(cda:originalText, $invalid-concept-regex, 'is'))      ))  or              ($text-2 != '' and matches($text-2, $invalid-concept-regex, 'is'))        " />
    <xsl:variable name="avoid-ts" select="$family-err or $length-err or $prose-err or $negated-err or not($use-ts-for-sctau) " />
    <xsl:variable name="typo-replacements" select="if ($der-truncated-text-1 = '' or $uncat-embedded-error) then ''         else if ($is-problem-diagnosis and not($diag-typo = '')) then $diag-typo        else if ($is-procedure and not($proc-typo = '')) then $proc-typo        else if ($is-uncategorised and not($diag-typo = '') and not($proc-typo = '')) then concat($diag-typo, '~', $proc-typo)        else if ($is-uncategorised and $diag-typo = '' and not($proc-typo = '')) then $proc-typo        else if ($is-uncategorised and not($diag-typo = '') and $proc-typo = '') then $diag-typo        else '' " />
    <xsl:variable name="diag-proc-fir-pattern-replacement" select="if ($uncat-embedded-error) then ''           else if ($typo-replacements = '') then concat($diag-proc-fir-1, '~', $month-replacements)           else concat($diag-proc-fir-1, '~', $typo-replacements, '~', $month-replacements) " />
    <xsl:variable name="der-text-2a" select="if ($der-truncated-text-1 = '' or $uncat-embedded-error or $negated-err) then ''         else normalize-space(dh:XQueryRecursiveReplace(         replace(if ($is-procedure or $is-uncategorised) then replace($der-truncated-text-1, '^(.*?[a-z]+.*?)(\?.*?)$', '$1', 'is')            else $der-truncated-text-1,           concat('^(.*?[a-z]+.*?\s+)', $unicode-dash-regex, '(\s+.*?)$'), '$1', 'is'),           $diag-proc-fir-pattern-replacement, 'ic')) " />
    <xsl:variable name="der-text-2" select="if ($der-text-2a = '') then $der-truncated-text-1 else $der-text-2a " />
    <xsl:variable name="diag-proc-sec-pattern-replacement" select="if ($uncat-embedded-error or $negated-err or $der-text-2 = '') then ''           else if ($is-problem-diagnosis and not($diag-replacements = '')) then $diag-replacements          else if ($is-procedure and not($proc-replacements = '')) then $proc-replacements          else if ($is-uncategorised and not($diag-replacements = '') and not($proc-replacements = ''))            then concat($diag-replacements, '~', $proc-replacements)          else if ($is-uncategorised and $diag-replacements = '' and not($proc-replacements = ''))            then $proc-replacements          else if ($is-uncategorised and not($diag-replacements = '') and $proc-replacements = '')            then $diag-replacements          else '' " />
    <xsl:variable name="der-text-3a" select="if ($uncat-embedded-error or $negated-err or $der-text-2 = '' or $diag-proc-sec-pattern-replacement = '') then ''         else dh:XQueryRecursiveReplace($der-text-2, $diag-proc-sec-pattern-replacement, 'ic') " />
    <xsl:variable name="der-text-3" select="if ($der-text-3a = '') then $der-text-2 else $der-text-3a " />
    <xsl:variable name="der-text-a" select="normalize-space(replace(dh:XQueryRecursiveReplace($der-text-3, '(^|[^a-z])r([^a-z]|$)~$1 right $2~(^|[^a-z])l([^a-z]|$)~$1 left $2', 'ic'),          '([a-z])''s', '$1', 'i')) " />
    <xsl:variable name="der-text" select="if ($der-text-a = '') then $der-text-3 else $der-text-a " />
    <xsl:variable name="defn-valid-regex" select="concat('(^|\|)', translate($der-text-2, $chars-to-remove, ''), '(\||$)') " />
    <xsl:variable name="der-text-to-match-1" select="lower-case($der-text-2) " />
    <xsl:variable name="der-text-to-match" select="translate($der-text-to-match-1, $chars-to-remove, '') " />
    <xsl:variable name="der-text-non-value" select="if ($code-present or $uncat-embedded-error or $negated-err or @nullFlavor = $no-value-NF) then false()        else if ($der-text-to-match = '' or not(matches($der-text-to-match-1, '[a-z]', 'i')) or         ($cd-definitions/non-value/@regex != '' and matches($der-text-to-match-1, $cd-definitions/non-value/@regex, 'i'))) then true()         else if ($is-problem-diagnosis) then          exists($cd-definitions/diag/@non-value-regex) and matches($der-text-to-match-1, $cd-definitions/diag/@non-value-regex, 'i')        else if ($is-procedure) then          exists($cd-definitions/proc/@non-value-regex) and matches($der-text-to-match-1, $cd-definitions/proc/@non-value-regex, 'i')        else if ($is-uncategorised) then          (exists($cd-definitions/diag/@non-value-regex) and matches($der-text-to-match-1, $cd-definitions/diag/@non-value-regex, 'i')) or         (exists($cd-definitions/proc/@non-value-regex) and matches($der-text-to-match-1, $cd-definitions/proc/@non-value-regex, 'i'))        else false() " />
    <xsl:variable name="defn-common-inv-regex" select="if ($code-present or $uncat-embedded-error or $negated-err or $der-text-non-value or not($cd-definitions/diag-proc/@invalid-regex)) then ()        else tokenize($cd-definitions/diag-proc/@invalid-regex, '~') " />
    <xsl:variable name="defn-diag-inv-regex" select="if ($code-present or $uncat-embedded-error or $negated-err or $der-text-non-value or not($is-problem-diagnosis) or          not($cd-definitions/diag/@invalid-regex)) then ()        else tokenize($cd-definitions/diag/@invalid-regex, '~') " />
    <xsl:variable name="defn-proc-inv-regex" select="if ($code-present or $uncat-embedded-error or $negated-err or $der-text-non-value or not($is-procedure) or          not($cd-definitions/proc/@invalid-regex)) then ()        else tokenize($cd-definitions/proc/@invalid-regex, '~') " />
    <xsl:variable name="defn-invalid-regex" select="($defn-common-inv-regex, $defn-diag-inv-regex, $defn-proc-inv-regex)[. != ''] " />
    <xsl:variable name="defn-invalid-txt-regex" select="(for $i in (1 to count($defn-invalid-regex)) return normalize-space(substring-before($defn-invalid-regex[$i], '[[')))[. != '']" />
    <xsl:variable name="der-invalid-text-regex-1" select="if (exists($defn-invalid-txt-regex))        then index-of(for $i in (1 to count($defn-invalid-txt-regex)) return matches($der-text-2, $defn-invalid-txt-regex[$i], 'i'), true())        else () " />
    <xsl:variable name="der-invalid-text" select="exists($der-invalid-text-regex-1) or $uncat-embedded-error " />
    <xsl:variable name="defn-invalid-rsn" select="if ($der-invalid-text)         then normalize-space(substring-before(substring-after($defn-invalid-regex[$der-invalid-text-regex-1[1]], '[['), ']]'))         else '' " />
    <xsl:variable name="try-immun" select="not($der-text = '' or $negated-err or $der-text-non-value or $der-invalid-text) and         /cda:ClinicalDocument/cda:code[@codeSystem = '2.16.840.1.113883.6.1' and @code = ('60591-5', '34133-9')] " />
    <xsl:variable name="an-immun-1" select="$try-immun and matches($der-text, '(^|[^a-z])(immunizations?|immunisations?)([^a-z]|$)', 'i') " />
    <xsl:variable name="an-immun-2" select="$try-immun and ($an-immun-1 or (exists($vaccine-text-normalised) and $der-text-to-match = $vaccine-text-normalised)) " />
    <xsl:variable name="try-adverse" select="not($der-text = '' or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2) and         /cda:ClinicalDocument/cda:code[@codeSystem = '2.16.840.1.113883.6.1' and @code = ('60591-5', '34133-9', '57133-1', '18842-5', '51852-2')] " />
    <xsl:variable name="an-adverse-1" select="$try-adverse and matches($der-text, '(^|[^a-z])(ADR?|adverse drug reactions?|adverse reactions?)([^a-z]|$)', 'i') " />
    <xsl:variable name="trusted-code-systems" select="if ($der-text = '' or $der-invalid-text or $an-immun-2 or not(@codeSystem or cda:translation/@codeSystem)) then ()        else if ($is-problem-diagnosis)         then (tokenize(replace($cd-definitions/diag/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/diag/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-procedure)         then (tokenize(replace($cd-definitions/proc/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/proc/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-uncategorised)         then (tokenize(replace($cd-definitions/diag/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/diag/@extra, '\s+', ''), '\|'),         tokenize(replace($cd-definitions/proc/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/proc/@extra, '\s+', ''), '\|'))[. != '']         else () " />
    <xsl:variable name="der-trusted-text" select="if ($der-text = '' or $der-invalid-text or (@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex)))) then false()        else ((@codeSystem and exists($trusted-code-systems[. = current()/@codeSystem])) or               (cda:translation/@codeSystem and exists($trusted-code-systems[. = current()/cda:translation/@codeSystem]))) " />
    <xsl:variable name="a-disease" select="if ($is-procedure or $code-present or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2 or $der-text-to-match = '')          then false()        else $der-text-to-match = (for $disease in tokenize(string-join($vaccine-codes/@disease, '|'), '\|')          return translate(normalize-space(lower-case($disease)), $chars-to-remove, '')) " />
    <xsl:variable name="valid-diag-1" select="if ($a-disease) then true()        else if ($is-procedure or $code-present or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2 or          not($cd-definitions/diag/@valid-regex)) then false()        else exists(index-of(for $regex in (tokenize($cd-definitions/diag/@valid-regex, '~')[. != '']) return          matches($der-text-2, dh:XQueryRecursiveReplace(normalize-space($regex), ' \|~|~\| ~|', ''), 'is'), true())) " />
    <xsl:variable name="valid-proc-1" select="if ($is-problem-diagnosis or $code-present or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2 or         not($cd-definitions/proc/@valid-regex)) then false()        else exists(index-of(for $regex in (tokenize($cd-definitions/proc/@valid-regex, '~')[. != '']) return          matches($der-text-2, dh:XQueryRecursiveReplace(normalize-space($regex), ' \|~|~\| ~|', ''), 'is'), true())) " />
    <xsl:variable name="valid-diag-proc-1" select="if ($is-problem-diagnosis) then $valid-diag-1        else if ($is-procedure) then $valid-proc-1        else if ($is-uncategorised) then $valid-diag-1 or $valid-proc-1        else false() " />
    <xsl:variable name="the-invalid-h" select="if ($der-text = '' or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2) then ()        else if ($is-problem-diagnosis) then $cd-definitions/diag/diag-invalid/hierarchy        else if ($is-procedure) then $cd-definitions/proc/proc-invalid/hierarchy        else if ($is-uncategorised) then $cd-definitions/diag-proc/diag-proc-invalid/hierarchy        else () " />
    <xsl:variable name="invalid-hierarchy-1" select=" if (exists($the-invalid-h)) then string-join(for $hierarchy in $the-invalid-h return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-refset" select="if ($der-text = '' or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2) then ''        else if ($is-problem-diagnosis) then $diag-invalid-refset         else if ($is-procedure) then $proc-invalid-refset         else if ($is-uncategorised) then $diag-proc-invalid-refset         else '' " />
    <xsl:variable name="valid-refset" select="if ($der-text = '' or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2) then ''        else if ($is-problem-diagnosis) then '^32570581000036105'         else if ($is-procedure) then '^32570141000036105'         else if ($is-uncategorised) then '(^32570581000036105 OR ^32570141000036105)'        else '' " />
    <xsl:variable name="valid-domain" select="if ($der-text = '' or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2) then ''        else if ($invalid-refset != '' and $invalid-hierarchy-1 != '')         then concat('((', $valid-refset, ') MINUS (', $invalid-refset, ' OR (', $invalid-hierarchy-1, ')))')        else if ($invalid-refset = '' and $invalid-hierarchy-1 != '') then concat('((', $valid-refset, ') MINUS (', $invalid-hierarchy-1, '))')         else if ($invalid-refset != '' and $invalid-hierarchy-1 = '') then concat('((', $valid-refset, ') MINUS (', $invalid-refset, '))')        else concat('(', $valid-refset, ')') " />
    <xsl:variable name="der-text-2-laterality" select="if ($der-text-2 = '' or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2 or $valid-diag-proc-1 or        $laterality-regex = '' or not(matches($der-text-2, $laterality-regex, 'is'))) then ''        else replace($der-text-2, $laterality-regex, '$1 $3', 'is') " />
    <xsl:variable name="defn-laterality-regex" select="if ($der-text-2-laterality = '') then '' else concat('(^|\|)', translate($der-text-2-laterality, $chars-to-remove, ''), '(\||$)') " />
    <xsl:variable name="related-terms-1" select="if ($der-text = '' or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2 or $valid-diag-proc-1) then ()        else ($codesystemvalues/code[@related-terms], $codesystemvalues/related-terms[@related-terms]) " />
    <xsl:variable name="related-terms-2" select="for $i in index-of(for $concept in $related-terms-1 return         matches(translate($concept/@related-terms, $chars-no-pipe, ''), $defn-valid-regex, 'is') or        ($defn-laterality-regex != '' and matches(translate($concept/@related-terms, $chars-no-pipe, ''), $defn-laterality-regex, 'is')), true())         return $related-terms-1[$i]/@code " />
    <xsl:variable name="der-diag-proc-codes-1" select="if (exists($related-terms-2)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($related-terms-2, ' OR '), ') AND ', $valid-domain), '', string(count($related-terms-2)), false())        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $der-diag-proc-codes-1 " />
    <xsl:variable name="der-valid-codes-1" select="if (contains($der-diag-proc-codes-1, '[')) then $der-diag-proc-codes-1 else '' " />
    <xsl:variable name="valid-diag-proc-2" select="$valid-diag-proc-1 or $der-valid-codes-1 != '' " />
    <xsl:variable name="invalid-inactive-refset" select="if ($der-text = '' or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2) then ''        else if ($is-problem-diagnosis) then $diag-invalid-inactive-refset         else if ($is-procedure) then $proc-invalid-inactive-refset         else if ($is-uncategorised) then $diag-proc-invalid-inactive-refset         else '' " />
    <xsl:variable name="diag-proc-inactive-refSets" select="if ($invalid-inactive-refset = '') then $inactive-refSets         else concat('((', $inactive-refSets, ') MINUS (', $invalid-inactive-refset, '))') " />
    <xsl:variable name="formula" select="concat($valid-domain, ' OR ', $diag-proc-inactive-refSets) " />
    <xsl:variable name="ts-not-needed" select="$der-text = '' or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2 or $valid-diag-proc-2 or $avoid-ts " />
    <xsl:variable name="der-diag-proc-codes-2-a" select="if ($ts-not-needed or exists($related-terms-2)) then ()         else tokenize(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-text,          'default'), '\|') " />
    <xsl:variable name="error-usingTS-2-a" select="$error-usingTS-1 or 'Error' = $der-diag-proc-codes-2-a " />
    <xsl:variable name="revision-pattern-1" select="if ($ts-not-needed or $valid-diag-proc-2 or exists($der-diag-proc-codes-2-a) or exists($related-terms-2) or $error-usingTS-2-a) then ''        else if ($no-qual-pattern = '') then concat($laterality-regex, '~$1 $3')        else concat($laterality-regex, '~$1 $3~',  $no-qual-pattern) " />
    <xsl:variable name="der-revised-text-1" select="if ($revision-pattern-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-text, $revision-pattern-1, 'ic')) " />
    <xsl:variable name="use-revised-text-1" select="$der-revised-text-1 != '' and $der-revised-text-1 != $der-text " />
    <xsl:variable name="der-diag-proc-codes-2-b" select="if ($ts-not-needed or exists($der-diag-proc-codes-2-a) or not($use-revised-text-1)) then $der-diag-proc-codes-2-a         else tokenize(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-1,          'default'), '\|') " />
    <xsl:variable name="error-usingTS-2-b" select="$error-usingTS-2-a or 'Error' = $der-diag-proc-codes-2-b " />
    <xsl:variable name="revision-pattern-2" select="if ($ts-not-needed or $valid-diag-proc-2 or exists($der-diag-proc-codes-2-b) or exists($related-terms-2) or $error-usingTS-2-b) then ''        else if ($is-problem-diagnosis and not($diag-sec-replacements = '')) then $diag-sec-replacements        else if ($is-procedure and not($proc-sec-replacements = '')) then $proc-sec-replacements        else if ($is-uncategorised and not($diag-sec-replacements = '') and not($proc-sec-replacements = ''))          then concat($diag-sec-replacements, '~', $proc-sec-replacements)        else if ($is-uncategorised and $diag-sec-replacements = '' and not($proc-sec-replacements = '')) then $proc-sec-replacements        else if ($is-uncategorised and not($diag-sec-replacements = '') and $proc-sec-replacements = '') then $diag-sec-replacements        else '' " />
    <xsl:variable name="der-revised-text-2" select="if ($revision-pattern-2 = '') then ''         else normalize-space(dh:XQueryRecursiveReplace(if ($use-revised-text-1) then $der-revised-text-1 else $der-text, $revision-pattern-2, 'ic')) " />
    <xsl:variable name="use-revised-text-2" select="if ($use-revised-text-1) then $der-revised-text-2 != '' and $der-revised-text-2 != $der-revised-text-1         else $der-revised-text-2 != '' and $der-revised-text-2 != $der-text " />
    <xsl:variable name="der-diag-proc-codes-2-c" select="if ($ts-not-needed or exists($der-diag-proc-codes-2-b) or not($use-revised-text-2)) then $der-diag-proc-codes-2-b        else tokenize(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-2,          'default'), '\|') " />
    <xsl:variable name="error-usingTS-2-c" select="$error-usingTS-2-b or 'Error' = $der-diag-proc-codes-2-c " />
    <xsl:variable name="text-for-revision-3" select="if ($use-revised-text-2) then $der-revised-text-2 else if ($use-revised-text-1) then $der-revised-text-1 else $der-text " />
    <xsl:variable name="base-pattern-3" select="if ($ts-not-needed or $valid-diag-proc-2 or exists($der-diag-proc-codes-2-c) or exists($related-terms-2) or $error-usingTS-2-c or        matches($text-for-revision-3, '^[A-Z]+$')) then ''        else '(^|[^a-z])[a-z]{1}([^a-z]|$)~$1$2~(^|[^/0-9])[0-9]{1}([^0-9]|$)~$1$2' " />
    <xsl:variable name="revision-pattern-3" select="if ($base-pattern-3 = '') then ''        else if (matches($der-truncated-text-1, $conjunction-regex, 'is'))         then concat($base-pattern-3, '~^(.+?)(', normalize-space(dh:XQueryRecursiveReplace(         replace($der-truncated-text-1, $conjunction-regex, '$3', 'is'), $diag-proc-fir-pattern-replacement, 'ic')), '.*?)$~$1')         else $base-pattern-3 " />
    <xsl:variable name="der-revised-text-3" select="if ($revision-pattern-3 = '') then ''        else dh:XQueryRecursiveReplace($text-for-revision-3, $revision-pattern-3, 'ic') " />
    <xsl:variable name="use-revised-text-3" select="if ($use-revised-text-2) then $der-revised-text-3 != '' and $der-revised-text-3 != $der-revised-text-2         else if ($use-revised-text-1) then $der-revised-text-3 != '' and $der-revised-text-3 != $der-revised-text-1         else $der-revised-text-3 != '' and $der-revised-text-3 != $der-text " />
    <xsl:variable name="der-diag-proc-codes-2-d" select="if ($ts-not-needed or exists($der-diag-proc-codes-2-c) or not($use-revised-text-3)) then $der-diag-proc-codes-2-c        else tokenize(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-3,          'default'), '\|') " />
    <xsl:variable name="error-usingTS-2-d" select="$error-usingTS-2-c or 'Error' = $der-diag-proc-codes-2-d " />
    <xsl:variable name="der-diag-proc-codes-2-e" select="$der-diag-proc-codes-2-d " />
    <xsl:variable name="error-usingTS-2-e" select="$error-usingTS-2-d " />
    <xsl:variable name="der-diag-proc-codes-2" select="if ($ts-not-needed or $error-usingTS-2-e or not(exists($der-diag-proc-codes-2-e)) or $der-valid-codes-1 != '') then ()        else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join(for $code in $der-diag-proc-codes-2-e return replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is'), ' OR '), ') AND (',          $formula, ')'), '', string(count($der-diag-proc-codes-2-e)), false()), '\|') " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-2-e or 'Error' = $der-diag-proc-codes-2 " />
    <xsl:variable name="der-valid-codes-2" select="if ($der-valid-codes-1 != '') then $der-valid-codes-1        else if ($error-usingTS-2) then ''         else string-join((for $code in $der-diag-proc-codes-2 return if (contains($code, '~inactive')) then '' else $code)[. != ''], '|')  " />
    <xsl:variable name="valid-diag-proc-3" select="$valid-diag-proc-2 or $der-valid-codes-2 != '' " />
    <xsl:variable name="der-inactive-codes-1" select="if ($valid-diag-proc-3) then () else        for $code in $der-diag-proc-codes-2 return if (contains($code, '~inactive')) then replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is') else '' " />
    <xsl:variable name="der-inactive-codes-2" select="for $i in (1 to count($der-inactive-codes-1)) return         dh:IsCodeAssociatedWithAnotherCode($der-inactive-codes-1[$i], '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-1" select="'Error' = $der-inactive-codes-2 " />
    <xsl:variable name="der-NAF-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-NAF-active-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound~active')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-inactive-codes-3" select="tokenize(string-join(for $i in (1 to count($der-inactive-codes-1)) return replace(string-join(tokenize($der-inactive-codes-2[$i], '\|')        [matches(., '(REPLACED BY|SAME AS|ALTERNATIVE|POSSIBLY EQUIVALENT TO|MAY BE A|WAS A)')], '|'), '[0-9]+~[A-Z ]+~([0-9]+)', '$1'), '|'), '\|')        [. != ''] " />
    <xsl:variable name="der-diag-proc-codes-3" select="if (exists($der-inactive-codes-3)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($der-inactive-codes-3, ' OR '), ') AND ', $valid-domain), '', string(count($der-inactive-codes-3)), false())          else '' " />
    <xsl:variable name="error-usingTS-3" select="$error-usingTS-2 or 'Error' = $der-diag-proc-codes-3 " />
    <xsl:variable name="der-valid-codes-3" select="if ($der-valid-codes-2 != '') then $der-valid-codes-2        else if (contains($der-diag-proc-codes-3, '[')) then $der-diag-proc-codes-3        else '' " />
    <xsl:variable name="valid-diag-proc-4" select="$valid-diag-proc-3 or $der-valid-codes-3 != '' " />
    <xsl:variable name="the-tbd" select="if ($is-problem-diagnosis) then $cd-definitions/diag/diag-tbd/hierarchy        else if ($is-procedure) then $cd-definitions/proc/proc-tbd/hierarchy        else if ($is-uncategorised) then $cd-definitions/diag-proc/diag-proc-tbd/hierarchy        else () " />
    <xsl:variable name="the-invalid-r" select="if ($is-problem-diagnosis) then $cd-definitions/diag/diag-invalid/refset        else if ($is-procedure) then $cd-definitions/proc/proc-invalid/refset        else if ($is-uncategorised) then $cd-definitions/diag-proc/diag-proc-invalid/refset        else () " />
    <xsl:variable name="tbd-hierarchy" select="if (exists($the-tbd)) then string-join(for $hierarchy in $the-tbd return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-hierarchy" select="if ($invalid-hierarchy-1 != '' and $tbd-hierarchy != '') then concat($invalid-hierarchy-1, ' OR ', $tbd-hierarchy)        else if ($invalid-hierarchy-1 != '') then $invalid-hierarchy-1        else if ($tbd-hierarchy != '') then $tbd-hierarchy        else '' " />
    <xsl:variable name="invalid-domain" select="if ($invalid-hierarchy != '' and $invalid-refset != '') then concat($invalid-hierarchy, ' OR ', $invalid-refset)        else if ($invalid-hierarchy != '') then $invalid-hierarchy        else if ($invalid-refset != '') then $invalid-refset        else '' " />
    <xsl:variable name="filter-text" select="if ($use-revised-text-3) then $der-revised-text-3         else if ($use-revised-text-2) then $der-revised-text-2         else if ($use-revised-text-1) then $der-revised-text-1         else $der-text " />
    <xsl:variable name="der-diag-proc-codes-4" select="if ($ts-not-needed or $valid-diag-proc-4 or $invalid-domain = '') then ()        else if (exists($related-terms-2)) then $related-terms-2        else distinct-values((tokenize(replace(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          $invalid-domain, $filter-text, 'default'), '(\[.*?\])(\||$)', '$2'), '\|'), $der-inactive-codes-3)) " />
    <xsl:variable name="error-usingTS-4" select="$error-usingTS-3 or 'Error' = $der-diag-proc-codes-4 " />
    <xsl:variable name="invalid-diag-proc-codes-r" select="if ($ts-not-needed or $valid-diag-proc-4 or $error-usingTS-4 or not(exists($der-diag-proc-codes-4))) then ()        else if ($invalid-refset = '') then tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-diag-proc-codes-4, ' OR '), ') AND (', $inactive-refSets, ')'), '',           string(count($der-diag-proc-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')        else tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-diag-proc-codes-4, ' OR '), ') AND (', $invalid-refset, ' OR ', $inactive-refSets, ')'), '',           string(count($der-diag-proc-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')  " />
    <xsl:variable name="error-usingTS-5" select="$error-usingTS-4 or 'Error' = $invalid-diag-proc-codes-r " />
    <xsl:variable name="invalid-formula" select="if ($is-problem-diagnosis) then $diag-invalid-hierarchy         else if ($is-procedure) then $proc-invalid-hierarchy         else if ($is-uncategorised) then $diag-proc-invalid-hierarchy        else '' " />
    <xsl:variable name="der-diag-proc-codes-4-h" select="if ($error-usingTS-5) then () else $der-diag-proc-codes-4[not(. = $invalid-diag-proc-codes-r)]" />
    <xsl:variable name="invalid-diag-proc-codes-h" select="if ($ts-not-needed or $valid-diag-proc-4 or 'Error' = $der-diag-proc-codes-4 or $invalid-formula = '' or          not(exists($der-diag-proc-codes-4-h))) then ()        else (for $code in $der-diag-proc-codes-4-h return          if (dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;&gt;', $code, ' MINUS ', $invalid-formula), '', '1', false()) = '') then $code else '')[. != ''] " />
    <xsl:variable name="invalid-diag-proc-codes" select="($invalid-diag-proc-codes-h, $invalid-diag-proc-codes-r) " />
    <xsl:variable name="der-diag-proc-codes-5" select="$der-diag-proc-codes-4[not(. = $invalid-diag-proc-codes or . = 'Error')]" />
    <xsl:variable name="der-valid-codes-4" select="if ($der-valid-codes-3 != '') then $der-valid-codes-3        else if ($ts-not-needed or $valid-diag-proc-4 or $valid-domain = '' or not(exists($der-diag-proc-codes-5))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-diag-proc-codes-5, ' OR '), ') AND ', $valid-domain), '', string(count($der-diag-proc-codes-5)), false()) " />
    <xsl:variable name="error-usingTS-6" select="$error-usingTS-5 or 'Error' = $der-valid-codes-4 " />
    <xsl:variable name="valid-diag-proc-5" select="$valid-diag-proc-4 or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="der-valid-codes-seq" select="if ($error-usingTS-6) then () else tokenize(replace($der-valid-codes-4,  '(\[.*?\])(\||$)', '$2'), '\|') " />
    <xsl:variable name="proc-ivl-location" select="if ($is-uncategorised or $is-procedure) then ../cda:effectiveTime else () " />
    <xsl:variable name="proc-has-low-date" select="exists($proc-ivl-location[cda:low and not(cda:high)]) and ($is-uncategorised or               ($is-procedure and exists(/cda:ClinicalDocument/cda:templateId[         (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3') or          (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.4')])))  " />
    <xsl:variable name="proc-intervals" select="if (not($proc-has-low-date and $valid-diag-proc-5)) then ()        else if ($is-uncategorised) then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/         cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16627']]/cda:effectiveTime        else if ($is-procedure) then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/         cda:entry/cda:procedure/cda:effectiveTime        else () " />
    <xsl:variable name="proc-ivl-low" select="$proc-intervals/cda:low/@value " />
    <xsl:variable name="proc-ivl-value" select="$proc-intervals/@value " />
    <xsl:variable name="proc-ivl-high" select="$proc-intervals/cda:high/@value " />
    <xsl:variable name="assess-proc-short" select="$proc-has-low-date and count($proc-ivl-low) = count($proc-intervals) and count($proc-ivl-value) = 0 and count($proc-ivl-high) = 0 " />
    <xsl:variable name="diag-has-date" select="($is-uncategorised and exists(../cda:effectiveTime)) or              ($is-problem-diagnosis and exists(/cda:ClinicalDocument[cda:templateId[           (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3'))  or                         (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4'))  or           (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')   ]]) and exists(../cda:effectiveTime)) " />
    <xsl:variable name="diag-intervals" select="if (not($diag-has-date and $valid-diag-proc-5 and $is-uncategorised)) then ()        else ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/         cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16627']]/cda:effectiveTime " />
    <xsl:variable name="diag-onset" select="if (not($diag-has-date and $valid-diag-proc-5 and $is-problem-diagnosis)) then ()        else if (/cda:ClinicalDocument[cda:templateId[(@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3') or                   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.4') ]])          then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/          cda:entry/cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]/cda:effectiveTime/cda:low        else if (/cda:ClinicalDocument[cda:templateId[(@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2') or                   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.3') or                   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')   ]])         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/          cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]/cda:effectiveTime        else () " />
    <xsl:variable name="diag-remission" select="if (not($diag-has-date and $valid-diag-proc-5 and $is-problem-diagnosis)) then ()        else ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/         cda:entry/cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]/cda:entryRelationship[@typeCode='SUBJ']/         cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]/cda:value " />
    <xsl:variable name="diag-ivl-low" select="$diag-intervals/cda:low/@value " />
    <xsl:variable name="diag-ivl-value" select="$diag-intervals/@value " />
    <xsl:variable name="diag-ivl-high" select="$diag-intervals/cda:high/@value " />
    <xsl:variable name="assess-diag-ongoing" select="(exists($diag-ivl-low) and not(exists($diag-ivl-value)) and not(exists($diag-ivl-high))) or              (not(exists($diag-ivl-low)) and exists($diag-ivl-value) and not(exists($diag-ivl-high))) or              (not(exists($diag-ivl-low)) and not(exists($diag-ivl-value)) and exists($diag-ivl-high)) or              (exists($diag-onset) and not(exists($diag-remission)))     or              (not(exists($diag-onset)) and exists($diag-remission))     " />
    <xsl:variable name="code-num" select="if ($assess-proc-short or $assess-diag-ongoing) then count($der-valid-codes-seq) else 0 " />
    <xsl:variable name="best-match-ratio" select=" 1.0 " />
    <xsl:variable name="comparison" select="if ($code-num &gt; 0)         then distinct-values(tokenize(normalize-space(translate(lower-case($der-text), $chars-no-space, '')), ' ')) else () " />
    <xsl:variable name="comparison-count" select="count($comparison) " />
    <xsl:variable name="der-valid-code-pterm" select="if ($code-num &gt; 0) then tokenize($der-valid-codes-4, '\|') else () " />
    <xsl:variable name="code-terms" select="if ($code-num &gt; 0) then for $x in $der-valid-code-pterm return          normalize-space(dh:XQueryRecursiveReplace(dh:XQueryRecursiveReplace(translate(lower-case(replace($x, '^([0-9]+\[)(.*?)(\]$)', '$2')),          $chars-no-space, ''), $diag-proc-fir-pattern-replacement, 'ic'), $diag-proc-sec-pattern-replacement, 'ic')) else () " />
    <xsl:variable name="code-term-num" select="count($code-terms) " />
    <xsl:variable name="code-term-count" select="if ($code-term-num &gt; 0) then for $i in (1 to $code-term-num) return count(distinct-values(tokenize($code-terms[$i], ' '))) else () " />
    <xsl:variable name="best-matches" select="(for $j in (1 to $code-term-num) return               if (           (            (             $comparison-count + $code-term-count[$j] - count(distinct-values(($comparison, tokenize($code-terms[$j], ' '))))            ) div $comparison-count            +            (             $comparison-count + $code-term-count[$j] - count(distinct-values(($comparison, tokenize($code-terms[$j], ' '))))            ) div $code-term-count[$j]           ) div 2 &gt;= $best-match-ratio          ) then $der-valid-code-pterm[$j] else '')[. != ''] " />
    <xsl:variable name="best-codes" select="if (exists($best-matches)) then for $concept in $best-matches return replace($concept, '^([0-9]+)(\[.*?\]$)', '$1')         else $der-valid-codes-seq " />
    <xsl:variable name="best-num" select="count($best-codes)" />
    <xsl:variable name="short-procedure-codes" select="if ($assess-proc-short and $best-num &gt; 0) then for $item in $cd-definitions/proc/proc-short/hierarchy return $item/@code else () " />
    <xsl:variable name="procedure-type" select="if ($assess-proc-short and $best-num &gt; 0) then tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($best-codes, ' OR '), ') AND &lt;&lt;(', string-join($short-procedure-codes, ' OR '), ')'), '',         string($best-num), false()), '\|') else () " />
    <xsl:variable name="error-usingTS-7a" select="$error-usingTS-6 or 'Error' = $procedure-type " />
    <xsl:variable name="short-procedure" select="$valid-diag-proc-5 and $assess-proc-short and $best-num &gt; 0 and not($error-usingTS-7a) and $best-num = count($procedure-type) " />
    <xsl:variable name="procedure-codes" select="if ($is-uncategorised and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $best-num &gt; 0)         then tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($best-codes, ' OR '), ') AND ^32570141000036105'), '', string($best-num), false()), '\|')        else if ($is-procedure and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true')) then $der-valid-codes-4        else () " />
    <xsl:variable name="error-usingTS-7b" select="$error-usingTS-7a or 'Error' = $procedure-codes " />
    <xsl:variable name="ongoing-diag-codes" select="if ($assess-diag-ongoing and $best-num &gt; 0) then for $item in $cd-definitions/diag/diag-ongoing/hierarchy return $item/@code else () " />
    <xsl:variable name="diagnosis-type" select="if ($assess-diag-ongoing and $best-num &gt; 0) then tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($best-codes, ' OR '), ') AND &lt;&lt;(', string-join($ongoing-diag-codes, ' OR '), ')'), '',         string($best-num), false()), '\|') else () " />
    <xsl:variable name="error-usingTS-7c" select="$error-usingTS-7b or 'Error' = $diagnosis-type " />
    <xsl:variable name="ongoing-diagnosis" select="$valid-diag-proc-5 and $assess-diag-ongoing and $best-num &gt; 0 and not($error-usingTS-7b) and $best-num = count($diagnosis-type) " />
    <xsl:variable name="repeated-start" select="if (not($ongoing-diagnosis and $is-uncategorised and (exists(../cda:effectiveTime/cda:low/@value) or exists(../cda:effectiveTime/@value)))) then ()        else ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/         cda:entry/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16627']]/cda:text         [matches(., concat('^', translate($der-text-2, $chars-to-remove, ''), '$'), 'is')] " />
    <xsl:variable name="diagnosis-codes" select="if ($is-uncategorised and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))         then tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($best-codes, ' OR '), ') AND ^32570581000036105'), '', string($best-num), false()), '\|')        else () " />
    <xsl:variable name="diagnosis-codes" select="if ($is-uncategorised and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $best-num &gt; 0)         then tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($best-codes, ' OR '), ') AND ^32570581000036105'), '', string($best-num), false()), '\|')        else if ($is-problem-diagnosis and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))         then tokenize($der-valid-codes-4, '\|')        else () " />
    <xsl:variable name="error-usingTS-7d" select="$error-usingTS-7c or 'Error' = $diagnosis-codes " />
    <xsl:variable name="error-usingTS-7" select="$error-usingTS-7d " />
    <xsl:variable name="undetermined-diag-proc-1" select="if (exists($der-valid-codes-seq)) then $der-diag-proc-codes-5[not(. = $der-valid-codes-seq)] else $der-diag-proc-codes-5 " />
    <xsl:variable name="undetermined-inactive-1" select="for $i in (1 to count($undetermined-diag-proc-1)) return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $undetermined-diag-proc-1[$i], '', '1', false()) " />
    <xsl:variable name="error-usingTS-8" select="$error-usingTS-7 or 'Error' = $undetermined-inactive-1 " />
    <xsl:variable name="undetermined-inactive" select="(for $i in (1 to count($undetermined-diag-proc-1)) return         if (contains($undetermined-inactive-1[$i], '~inactive')) then $undetermined-inactive-1[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-1" select="for $i in (1 to count($undetermined-inactive))        return dh:IsCodeAssociatedWithAnotherCode(replace($undetermined-inactive[$i], '(\[.*?\])(\||$)', '$2'), '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-2" select="$error-usingV-1 or 'Error' = $undetermined-NAF-1 " />
    <xsl:variable name="undetermined-NAF" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-codes" select="for $term in $undetermined-NAF return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-NAF-active" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound~active')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-active-codes" select="for $term in $undetermined-NAF-active return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-diag-proc" select="$undetermined-diag-proc-1[not(. = ($undetermined-NAF-codes, $undetermined-NAF-active-codes))]" />
    <xsl:variable name="invalid-diag-proc" select="not($valid-diag-proc-5) and exists($invalid-diag-proc-codes) and not(exists($undetermined-diag-proc))" />
    <xsl:variable name="an-immun-3" select="if ($an-immun-2) then true()        else if (not($try-immun) or $valid-diag-proc-5 or $invalid-diag-proc or not(exists($vaccine-text-normalised))) then false()        else if ($der-text != '' and translate(lower-case($der-text), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else if ($use-revised-text-1 and translate(lower-case($der-revised-text-1), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else if ($use-revised-text-2 and translate(lower-case($der-revised-text-2), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else if ($use-revised-text-3 and translate(lower-case($der-revised-text-3), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else false() " />
    <xsl:variable name="vaccine-code-test" select="if ($try-immun and not($an-immun-3 or $valid-diag-proc-5 or $invalid-diag-proc or $avoid-ts or $error-usingTS-8) and exists($undetermined-diag-proc))          then tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('(', string-join($undetermined-diag-proc, ' OR '), ') AND (&lt;71181003 OR &lt;127785005)'), '',           string(count($undetermined-diag-proc)), false()), '\|')        else () " />
    <xsl:variable name="error-usingTS-9" select="$error-usingTS-8 or 'Error' = $vaccine-code-test " />
    <xsl:variable name="an-immun" select="$an-immun-3 or (not('Error' = $vaccine-code-test) and exists($undetermined-diag-proc) and         count($vaccine-code-test) = count($undetermined-diag-proc)) " />
    <xsl:variable name="try-tgi" select="not($valid-diag-proc-5 or $invalid-diag-proc or ($try-immun and $an-immun) or $der-text = '' or $negated-err or $der-text-non-value or         $der-invalid-text) and /cda:ClinicalDocument/cda:code[         (@codeSystem = '2.16.840.1.113883.6.1' and @code = ('60591-5', '34133-9', '18842-5', '57133-1', '51852-2')) or         (@codeSystem = '1.2.36.1.2001.1001.101' and @code = '100.16685')      ]" />
    <xsl:variable name="der-tgi-text" select="if ($try-tgi) then normalize-space(dh:XQueryRecursiveReplace($der-text,         concat($tgi-fir-pattern-replacement, '~', $tgi-regex, '~', $tgi-sec-pattern-replacement, '~', $tgi-thi-pattern-replacement), 'ic')) else '' " />
    <xsl:variable name="use-tgi-text" select="$der-tgi-text != '' and $der-tgi-text != $der-text " />
    <xsl:variable name="a-sas-tgi" select="$try-tgi and $use-tgi-text and $tgi-sas-regex != '' and matches($der-tgi-text, $tgi-sas-regex, 'is')" />
    <xsl:variable name="an-uncoded-tgi" select="$try-tgi and $use-tgi-text and $tgi-otheru-regex != '' and matches($der-tgi-text, $tgi-otheru-regex, 'is')" />
    <xsl:variable name="der-tgi-codes" select="if ($avoid-ts or $error-usingTS-9) then ''         else if ($try-tgi and $use-tgi-text and not($a-sas-tgi or $an-uncoded-tgi))         then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $tgi-formula, $der-tgi-text,           $max-code-number, false())         else '' " />
    <xsl:variable name="error-usingTS-10" select="$error-usingTS-9 or 'Error' = $der-tgi-codes " />
    <xsl:variable name="a-tgi" select="$try-tgi and ($a-sas-tgi or $an-uncoded-tgi or contains($der-tgi-codes, '[')) and not(exists($undetermined-diag-proc)) " />
    <xsl:variable name="codes-were-found" select="exists($der-diag-proc-codes-4) or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="codes-not-found" select="not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or        $valid-diag-proc-5 or $invalid-diag-proc or $an-immun or $a-tgi or $error-usingTS-10 or $family-err or $length-err or $prose-err or $negated-err) " />
    <xsl:variable name="codes-in-the-domain" select="not($valid-diag-proc-1) and $valid-diag-proc-5" />
    <xsl:variable name="codes-in-other-domain" select="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-diag-proc-5 or         $invalid-diag-proc or $an-immun or $a-tgi) " />
    <xsl:variable name="codes-in-no-domain" select="exists($der-diag-proc-codes-5) " />
    <xsl:variable name="display-in-the-domain" select="if ($codes-in-the-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', '), '''')        else '' " />
    <xsl:variable name="display-in-other-r" select="if (exists($invalid-diag-proc-codes-r) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-diag-proc-codes-r return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-h" select="if (exists($invalid-diag-proc-codes-h) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-diag-proc-codes-h return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-domain" select="if (not($codes-in-other-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))) then ''        else if ($display-in-other-r and display-in-other-h) then concat('''', $display-in-other-r, ', ', $display-in-other-h, '''')        else if ($display-in-other-r) then concat('''', $display-in-other-r, '''')        else if ($display-in-other-h) then concat('''', $display-in-other-h, '''')        else '' " />
    <xsl:variable name="display-in-no-domain" select="if ($codes-in-no-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', dh:XQueryRecursiveReplace(string-join(for $code in $der-diag-proc-codes-5 return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), '; '),          $term-pattern-replacement, 'ic'), '''')        else '' " />
    <xsl:variable name="display-text-1" select="if (cda:originalText != '') then normalize-space(cda:originalText)        else if (. != '') then normalize-space(.)        else '' " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-attr" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))        else if (. != '') then normalize-space(concat('the text ', $display-text))        else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="log-element" select="if ($error-usingTS-10 or not($flags/@report-terminology-concepts = 'true') or $log-concepts-name = '') then ''        else if ($is-problem-diagnosis) then 'Problem/Diagnosis' else if ($is-procedure) then 'Procedure' else 'Problem/Diagnosis or Procedure' " />
    <xsl:variable name="log-concepts-appended" select="if ($error-usingTS-10 or not($flags/@report-terminology-concepts = 'true') or $log-concepts-name = '') then ''        else if ($codes-not-found and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                   $log-element,    $log-tab,                   'yes',     $log-tab,                   concat($display-attr, $display-system), $log-tab,                   '',     $log-tab,                  '',     $log-tab,                  '',     $log-tab,                  $ts-current-sctau   ))        else if (($use-revised-text-3 or $codes-in-no-domain) and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                  $log-element,    $log-tab,                   'yes',     $log-tab,                     concat($display-attr, $display-system), $log-tab,                    $display-in-the-domain,   $log-tab,                  $display-in-other-domain,  $log-tab,                  $display-in-no-domain,   $log-tab,                  $ts-current-sctau   ))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-01" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating" select="if ($text-without-markup = '' or (cda:originalText and cda:originalText != '')) then $rating-57 else $rating-01 " />
    <xsl:variable name="test-case-id" select="if ($text-without-markup = '' or (cda:originalText and cda:originalText != '')) then 'TC-Types-57' else 'TC-Doc-01' " />
    <!--REPORT -->
    <xsl:if test=" $log-concepts-appended = ('NOTFOUND', 'ERROR') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$log-concepts-appended = ('NOTFOUND', 'ERROR')">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Diag-Proc-Defn): The AppendLog function returned '<xsl:text /><xsl:value-of select="$log-concepts-appended" /><xsl:text />' when requested to append the concepts log
		'<xsl:text /><xsl:value-of select="$log-concepts-name" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-3a = '' or $der-text-a = '') and    not($uncat-embedded-error or $negated-err or $valid-diag-proc-5) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-3a = '' or $der-text-a = '') and not($uncat-embedded-error or $negated-err or $valid-diag-proc-5)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Diag-Proc-Defn): An unexpected problem occurred when assessing the value of the Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. The application of regular expressions resulted in the complete loss of text.
		Report the information below to the Australian Digital Health Agency for investigation.

		der-text-1 '<xsl:text /><xsl:value-of select="normalize-space(dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'))" /><xsl:text />'.
		der-truncated-text-1 '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-truncated-text-1, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-2a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-2a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-3a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-3a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-a, $term-pattern-replacement, 'ic')" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingV-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingV-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Diag-Proc-Defn): An error was reported when accessing the terminology server when assessing the Procedure Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		Report the issue to the Australian Digital Health Agency for investigation stating the error was recorded for error-usingV-2.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-10 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-10">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Diag-Proc-Defn): An error was reported when accessing the terminology server when assessing the Procedure Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term:
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The analysis should be retried as the terminology server may have been temporarily unavailable.
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation, stating that the error was found by
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'error-usingTS-1' else if ($error-usingTS-2-a) then 'error-usingTS-2-a'   else if ($error-usingTS-2-b) then 'error-usingTS-2-b' else if ($error-usingTS-2-c) then 'error-usingTS-2-c'   else if ($error-usingTS-2-d) then 'error-usingTS-2-d' else if ($error-usingTS-2-e) then 'error-usingTS-2-e'   else if ($error-usingTS-2) then 'error-usingTS-2'   else if ($error-usingTS-3) then 'error-usingTS-3' else if ($error-usingTS-4) then 'error-usingTS-4'   else if ($error-usingTS-5) then 'error-usingTS-5' else if ($error-usingTS-6) then 'error-usingTS-6'   else if ($error-usingTS-7) then 'error-usingTS-7' else if ($error-usingTS-8) then 'error-usingTS-8'   else if ($error-usingTS-9) then 'error-usingTS-9' else 'error-usingTS-10' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($family-err or $length-err) and not($prose-err or $negated-err or $der-invalid-text) and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($family-err or $length-err) and not($prose-err or $negated-err or $der-invalid-text) and not(cda:originalText)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: <xsl:text /><xsl:value-of select="$test-case-id" /><xsl:text />: The Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which may be invalid as it
		<xsl:text /><xsl:value-of select="if ($family-err) then 'contains the family name of a healthcare participant' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($family-err and $length-err) then ' and ' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($length-err) then 'seems to be too long to describe a concept and may be a copy of or extract from the narrative.' else '.' " /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medical procedure performed.         (See the definition in the Structured Content Specification or the CDA Implementation Guide.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-uncategorised and $prose-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-uncategorised and $prose-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: <xsl:text /><xsl:value-of select="$test-case-id" /><xsl:text />: The Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is invalid as it is prose text.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medical procedure performed.         (See the definition in the Structured Content Specification or the CDA Implementation Guide.)'))" /><xsl:text /> A place to record prose text is in a comment or clinical synopsis data element.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and not($is-uncategorised) and $prose-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and not($is-uncategorised) and $prose-err">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: <xsl:text /><xsl:value-of select="$test-case-id" /><xsl:text />: The Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is invalid as it is prose text.
		<xsl:text /><xsl:value-of select="if ($is-problem-diagnosis or $is-procedure) then concat('The Procedure Name data element is CodeableText derived from the HL7 CD data type which by definition is to record ',   'a concept defined in an external code system, terminology or ontology. (See section 7.5.2.1 of ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')    else '' " /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medical procedure performed.         (See the definition in the Structured Content Specification or the CDA Implementation Guide.)'))" /><xsl:text />
		A place to record prose text is in a comment or clinical synopsis data element.
		This finding will also be reported as an error.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $codes-not-found">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: <xsl:text /><xsl:value-of select="$test-case-id" /><xsl:text />: The Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medical procedure performed.         (See the definition in the Structured Content Specification or the CDA Implementation Guide.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the PROCEDURE section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$codes-in-other-domain and not($error-usingTS-10)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$codes-in-other-domain and not($error-usingTS-10)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: <xsl:text /><xsl:value-of select="$test-case-id" /><xsl:text />: The Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value does not seem to be applicable for the data element.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the medical procedure performed.         (See the definition in the Structured Content Specification or the CDA Implementation Guide.)')" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $negated-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$negated-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: <xsl:text /><xsl:value-of select="$test-case-id" /><xsl:text />: The Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element has an invalid value which states the healthcare consumer
		<xsl:text /><xsl:value-of select="if ('Procedure Name' = 'Problem/Diagnosis Identification') then 'does not have a problem' else if ('Procedure Name' = 'Procedure Name') then 'has not had a procedure'   else if ('Procedure Name' = 'Medical History Item Description') then 'does not have the item' else 'Procedure Name'" /><xsl:text />.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medical procedure performed.         (See the definition in the Structured Content Specification or the CDA Implementation Guide.)'))" /><xsl:text />
		If the consumer once had the <xsl:text /><xsl:value-of select="if ('Procedure Name' = 'Problem/Diagnosis Identification') then 'problem'    else if ('Procedure Name' = 'Procedure Name') then 'procedure' else if ('Procedure Name' = 'Medical History Item Description') then 'item' else 'Procedure Name'" /><xsl:text /> then the error may be
		corrected by stating the
		<xsl:text /><xsl:value-of select="if ('Procedure Name' = 'Problem/Diagnosis Identification') then 'problem the consumer once had' else if ('Procedure Name' = 'Procedure Name') then 'procedure the consumer once had'    else if ('Procedure Name' = 'Medical History Item Description') then 'medical history item the consumer once had' else 'Procedure Name'" /><xsl:text /> and including an end date. If the consumer was previously thought
		to have had the <xsl:text /><xsl:value-of select="if ('Procedure Name' = 'Problem/Diagnosis Identification') then 'problem' else if ('Procedure Name' = 'Procedure Name') then 'procedure'   else if ('Procedure Name' = 'Medical History Item Description') then 'medical history item' else 'Procedure Name'" /><xsl:text /> and if this was subsequently ruled out then
		<xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> must not be included in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medical procedure performed.         (See the definition in the Structured Content Specification or the CDA Implementation Guide.)'))" /><xsl:text />
		The Procedure Name data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: <xsl:text /><xsl:value-of select="$test-case-id" /><xsl:text />: The Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medical procedure performed.         (See the definition in the Structured Content Specification or the CDA Implementation Guide.)'))" /><xsl:text />
		The Procedure Name data element must have a value that is consistent with this definition. Alternatively if there is no Procedure Name data element with a proper value then an exclusion
		statement must be included to state why there is no Procedure Name. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4')    then concat('Text such as ''', dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'), ''' may be permitted in the narrative even though the Procedure Name data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medical procedure performed.         (See the definition in the Structured Content Specification or the CDA Implementation Guide.)'))" /><xsl:text />
		The Procedure Name data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($der-text-non-value) and $der-invalid-text ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($der-text-non-value) and $der-invalid-text">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid. <xsl:text /><xsl:value-of select="$defn-invalid-rsn" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medical procedure performed.         (See the definition in the Structured Content Specification or the CDA Implementation Guide.)'))" /><xsl:text /><xsl:text /><xsl:value-of select="if ($uncat-embedded-comment != '') then concat(' The Procedure Name text contains the comment ''', $uncat-embedded-comment,     ''' which should have been recorded in the Medical History Item Comment data element.',    ' (See the mapping table for Medical History Item Comment in the ', $document-name, ' CDA Implementation Guide.)') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($uncat-embedded-start != '' and $uncat-embedded-end != '') then concat(' The Procedure Name text contains a time interval commencing at ''', $uncat-embedded-start,     ''' and ending at ', $uncat-embedded-end, ''' however they should have been recorded in the low and high elements of the Medical History Item TimeInterval data element.')     else if ($uncat-embedded-start != '' and $uncat-embedded-end = '') then concat(' The Procedure Name text contains a time interval commencing at ''', $uncat-embedded-start,     ''' which should have been recorded in the low element of the Medical History Item TimeInterval data element.')    else if ($uncat-embedded-start = '' and $uncat-embedded-end != '') then concat(' The Procedure Name text contains a time interval ending at ', $uncat-embedded-end,     ''' which should have been recorded in the high element of the Medical History Item TimeInterval data element.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($uncat-embedded-dt != '') then concat(' The Procedure Name text contains the date ''', $uncat-embedded-dt,     ''' which should have been recorded in the value attribute of the Medical History Item TimeInterval data element.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($uncat-embedded-start != '' or $uncat-embedded-end != '' or $uncat-embedded-dt != '') then concat(    ' (See the mapping table for Medical History Item TimeInterval in the ', $document-name, ' CDA Implementation Guide.)') else '' " /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $an-immun and not($error-usingTS-10)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$an-immun and not($error-usingTS-10)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: <xsl:text /><xsl:value-of select="$test-case-id" /><xsl:text />: The Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the value is invalid.
		<xsl:text /><xsl:value-of select="if ($is-problem-diagnosis) then concat('Administering an immunisation is not a medical problem or diagnosis and the ', $document-name,    ' has a separate Immunisation section for recording the immunisation.')   else 'Administering an immunisation is not a medical procedure that may be recorded in this section of the document as there is a separate Immunisation section for that purpose.' " /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medical procedure performed.         (See the definition in the Structured Content Specification or the CDA Implementation Guide.)'))" /><xsl:text />
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the PROCEDURE section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $a-tgi and not($error-usingTS-10) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$a-tgi and not($error-usingTS-10)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: <xsl:text /><xsl:value-of select="$test-case-id" /><xsl:text />: The Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the value is invalid as it identifies a medication.
		Administering a medication is not a medical procedure that may be recorded in this section of the document as there is a separate Medication section for that purpose.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medical procedure performed.         (See the definition in the Structured Content Specification or the CDA Implementation Guide.)'))" /><xsl:text />
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the PROCEDURE section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $invalid-diag-proc and not($error-usingTS-10) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$invalid-diag-proc and not($error-usingTS-10)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid
		<xsl:text /><xsl:value-of select="if (exists($invalid-diag-proc-codes-h)) then concat(' as it describes ', string-join(distinct-values(for $code in tokenize(replace(   dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat('(', string-join(for $code in $invalid-diag-proc-codes-h return concat('&gt;&gt;', $code), ' OR '), ') AND (',    string-join(for $hierarchy in $the-invalid-h return $hierarchy/@code, ' OR '), ')'), '',    string(count($invalid-diag-proc-codes-h)), true()), '(\[.*?\])(\||$)', '$2'), '\|') return $the-invalid-h[@code = $code]/@description)[position() = (1 to 2)], ' and '), '.')    else if (exists($invalid-diag-proc-codes-r)) then concat(' as it describes ', string-join(distinct-values(for $code in $invalid-diag-proc-codes-r return   $the-invalid-r[index-of(for $x in (for $refset in $the-invalid-r return    dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat($code, ' AND ^', $refset/@code), '', '1', true()), '|') return matches($x, '^[0-9]'), true())[1]]/@description), ' and '), '.')   else '.'" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medical procedure performed.         (See the definition in the Structured Content Specification or the CDA Implementation Guide.)'))" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable outside the applicable value domain): The Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following codes were obtained and are not in the value domain: <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-Diag-Proc-Defn): The Procedure Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU and no associated code was found in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists(($der-NAF-active-codes, $undetermined-NAF-active-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists(($der-NAF-active-codes, $undetermined-NAF-active-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-Diag-Proc-Defn): The Procedure Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-active-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the
		'<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' version of SNOMED CT-AU but it was not found with this status in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU.
		<xsl:text /><xsl:value-of select="if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $valid-diag-proc-1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $valid-diag-proc-1">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable within the value domain): The Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which matches one of the terms listed in
		<xsl:text /><xsl:value-of select="if ($a-disease) then 'the vaccine information in CodeSystems.xml' else 'Knowledge.xml' " /><xsl:text /> for the Procedure Name.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (concept is codeable within the value domain): The Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a valid value for the Procedure Name.
		SNOMED CT-AU codes that matched the concept are: <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (count($best-matches) = count($der-valid-codes-seq)) then ''   else if (count($best-matches) = 1) then concat('The analysis continued only with the best matching code which is ''',   dh:XQueryRecursiveReplace($best-matches[1], $markup-pattern-replacement, 'ic'), '''.')   else if (exists($best-matches)) then concat('The analysis continued only with the best matching codes which are ''',   dh:XQueryRecursiveReplace(string-join($best-matches, '; '), $markup-pattern-replacement, 'ic'), '''.')   else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ('Error' = $procedure-codes or not(exists($procedure-codes))) then ''   else if ($best-num = count($procedure-codes)) then ' All matching codes are members of the Procedure Foundation reference set.'    else if (count($procedure-codes) = 1) then concat(' Out of the ', $best-num, ' codes one is a member of the Procedure Foundation reference set (', string-join($procedure-codes, '; '), ').')    else if (count($procedure-codes) = 0) then concat(' Out of the ', $best-num, ' codes none is a member of the Procedure Foundation reference set.')   else concat(' Out of the ', $best-num, ' codes ', count($procedure-codes), ' are members of the Procedure Foundation reference set (', string-join($procedure-codes, '; '), ').') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($error-usingTS-7 or not(exists($procedure-codes))) then ''   else if (not($assess-proc-short)) then ' The procedure duration was not assessed.'   else if (count($procedure-type) = 0 and $best-num = count($procedure-codes)) then ' This may be a long duration procedure.'   else if (count($procedure-type) = 0) then ''   else if ($short-procedure) then ' This is a short duration procedure.'    else if ($best-num &gt; count($procedure-type) and count($procedure-type) = 1)     then concat(' Out of the ', $best-num, ' codes one describes a short duration procedure (', string-join($procedure-type, '; '), ').')   else if ($best-num &gt; count($procedure-type))     then concat(' Out of the ', $best-num, ' codes ', count($procedure-type), ' describe a short duration procedure (', string-join($procedure-type, '; '), ').')   else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ('Error' = $diagnosis-codes or not(exists($diagnosis-codes))) then ''   else if ($best-num = count($diagnosis-codes)) then ' All matching codes are members of the Problem/Diagnosis reference set.'    else if (count($diagnosis-codes) = 1) then concat(' Out of the ', $best-num, ' codes one is a member of the Problem/Diagnosis reference set (', string-join($diagnosis-codes, '; '), ').')    else if (count($diagnosis-codes) = 0) then concat(' Out of the ', $best-num, ' codes none is a member of the Problem/Diagnosis reference set.')   else concat(' Out of the ', $best-num, ' codes ', count($diagnosis-codes), ' are members of the Problem/Diagnosis reference set (', string-join($diagnosis-codes, '; '), ').') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($error-usingTS-7 or not(exists($diagnosis-codes))) then ''   else if (not($assess-diag-ongoing)) then ' The medical problem duration was not assessed.'   else if (count($diagnosis-type) = 0 and $best-num = count($diagnosis-codes)) then ' This medical problem may not be ongoing.'   else if (count($diagnosis-type) = 0) then ''   else if ($ongoing-diagnosis) then concat(' This medical problem is generally ongoing and is a member of the following conditions in the Knowledge.xml file: ''',    string-join(for $concept in $diagnosis-type return     dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',     concat('&gt;&gt;', replace($concept, '^([0-9]+)(\[.*?\]$)', '$1'), ' AND (', string-join($ongoing-diag-codes, ' OR '), ')'), '', '1', false()), '|'), '''.')   else if ($best-num &gt; count($diagnosis-type) and count($diagnosis-type) = 1)     then concat(' Out of the ', $best-num, ' codes one describes an ongoing medical problem (', string-join($diagnosis-type, '; '), ').')   else if ($best-num &gt; count($diagnosis-type))     then concat(' Out of the ', $best-num, ' codes ', count($diagnosis-type), ' describe an ongoing medical problem (', string-join($diagnosis-type, '; '), ').')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-diag-proc-1 or $prose-err or $negated-err) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-diag-proc-1 or $prose-err or $negated-err)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: <xsl:text /><xsl:value-of select="$test-case-id" /><xsl:text />: The Procedure Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The text used to match regular expression (der-text-2) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to match non-values and vaccines (der-text-to-match) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-to-match, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to derive a code (der-text) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.

		<xsl:text /><xsl:value-of select="if ($use-revised-text-1) then concat(' A first revision of the text (der-revised-text-1) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-1, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A first revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-1 != '' and $der-revised-text-1 = '') then ' revision-pattern-1 was applied but the output (der-revised-text-1) was an empty string.' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($use-revised-text-2) then concat(' A second revision of the text (der-revised-text-2) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A second revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-2 != '' and $der-revised-text-2 = '') then ' revision-pattern-2 was applied but the output (der-revised-text-2) was an empty string.' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($use-revised-text-3) then concat(' A third revision of the text (der-revised-text-3) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-3, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A third revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-3 != '' and $der-revised-text-3 = '') then ' revision-pattern-3 was applied but the output (der-revised-text-3) was an empty string.' else '' " /><xsl:text />

		Codes for related terms (related-terms-2): '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($related-terms-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes for related terms (der-valid-codes-1): 
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-1, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-diag-proc-codes-2) returned by the terminology server that match the text:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-diag-proc-codes-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes from related terms or the terminology server (der-valid-codes-2):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-2, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-inactive-codes-3) returned from the Validator's database associated with inactive codes:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-inactive-codes-3, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes found after examining inactive codes (der-valid-codes-3):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-3, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-diag-proc-codes-3) returned by the terminology server that are in der-inactive-codes-3 and the value domain:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-diag-proc-codes-3, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Members of invalid reference sets (invalid-diag-proc-codes-r): '<xsl:text /><xsl:value-of select="$display-in-other-r" /><xsl:text />'.
		Members of invalid code hierarchies (invalid-diag-proc-codes-h): '<xsl:text /><xsl:value-of select="$display-in-other-h" /><xsl:text />'.

		Final set of valid medical diagnosis and procedure codes (der-valid-codes-4): <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.

		 diag-proc-codes-5): '<xsl:text /><xsl:value-of select="string-join($der-diag-proc-codes-5, ''', ''')" /><xsl:text />'.
		Codes whose validity has not been determined and are inactive with no associated code (undetermined-NAF): '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(    string-join($undetermined-NAF, ''', '''), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		
		Were immunisations examined (try-immun)?: '<xsl:text /><xsl:value-of select="$try-immun" /><xsl:text />'
		Were immunisations found in the first assessment (an-immun-1):  '<xsl:text /><xsl:value-of select="$an-immun-1" /><xsl:text />'
		Were immunisations found in the second assessment (an-immun-2):  '<xsl:text /><xsl:value-of select="$an-immun-2" /><xsl:text />'
		Were immunisations found in the third assessment (an-immun-3):  '<xsl:text /><xsl:value-of select="$an-immun-3" /><xsl:text />'
		Vaccine codes (vaccine-code-test):  '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($vaccine-code-test, '; '), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Were immunisations found in the third assessment (an-immun):  '<xsl:text /><xsl:value-of select="$an-immun" /><xsl:text />'

		Were therapeutic good identifiers examined (try-tgi)?: '<xsl:text /><xsl:value-of select="$try-tgi" /><xsl:text />'
		Was text used to examine therapeutic good identifiers (use-tgi-text)?: '<xsl:text /><xsl:value-of select="$use-tgi-text" /><xsl:text />'
		The text used (der-tgi-text) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-tgi-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		Did the data element describe a therapeutic good on the Special Access Scheme (a-sas-tgi)?: '<xsl:text /><xsl:value-of select="$a-sas-tgi" /><xsl:text />'
		Did the data element describe an uncoded TGI (an-uncoded-tgi)?: '<xsl:text /><xsl:value-of select="$an-uncoded-tgi" /><xsl:text />'
		Set of TGI codes (der-tgi-codes):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-tgi-codes, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Was it confirmed that the data element describes a TGI (a-tgi)?: '<xsl:text /><xsl:value-of select="$a-tgi" /><xsl:text />'

		Will the value of the data element be trusted (der-trusted-text)? '<xsl:text /><xsl:value-of select="$der-trusted-text" /><xsl:text />'.
		
	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and $der-text != '' and not($valid-diag-proc-5 or $codes-were-found or $der-text-non-value or $der-invalid-text or    $an-immun or $a-tgi or $error-usingTS-10 or $family-err or $length-err or $prose-err or $negated-err) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and $der-text != '' and not($valid-diag-proc-5 or $codes-were-found or $der-text-non-value or $der-invalid-text or $an-immun or $a-tgi or $error-usingTS-10 or $family-err or $length-err or $prose-err or $negated-err)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept not codeable): The Procedure Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($avoid-ts) then 'The terminology server was not used to assist with finding codes corresponding to text in the data element. ' else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $short-procedure and not('Procedure DateTime' = '') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$short-procedure and not('Procedure DateTime' = '')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Procedure Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which describes a short duration procedure. The <xsl:text /><xsl:value-of select="'Procedure DateTime'" /><xsl:text />
		data element describes the time interval when the procedure was performed and states that it commenced on '<xsl:text /><xsl:value-of select="$proc-ivl-location/cda:low/@value" /><xsl:text />' and the completion date was not
		stated which means the procedure is either ongoing or if it was was completed then the completion date was not recorded.
		(See section 8 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		As all <xsl:text /><xsl:value-of select="'Procedure DateTime'" /><xsl:text /> data elements have a commencement date and no completion date then it is assumed that there is a software error rather than a human error causing the
		dates to be incorrectly recorded in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A way to record a time interval that completed the same day that it commenced is for the <xsl:text /><xsl:value-of select="'Procedure DateTime'" /><xsl:text /> '<xsl:text /><xsl:value-of select="local-name($proc-ivl-location)" /><xsl:text />'
		data element to have a value attribute with the value '<xsl:text /><xsl:value-of select="$proc-ivl-location/cda:low/@value" /><xsl:text />' and no low or high elements.
		Alternatively if the commencement date is unknown and '<xsl:text /><xsl:value-of select="$proc-ivl-location/cda:low/@value" /><xsl:text />' is the date when the procedure was completed then the <xsl:text /><xsl:value-of select="'Procedure DateTime'" /><xsl:text />
		'<xsl:text /><xsl:value-of select="local-name($proc-ivl-location)" /><xsl:text />' data element should have no low element and a high element with a value attribute with the value
		'<xsl:text /><xsl:value-of select="$proc-ivl-location/cda:low/@value" /><xsl:text />'. (See sections 3.6 and 3.8.1 of the HL7 Data Types - Abstract Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $ongoing-diagnosis and $is-uncategorised and exists(../cda:effectiveTime/cda:high/@value) and not('Procedure DateTime' = '') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$ongoing-diagnosis and $is-uncategorised and exists(../cda:effectiveTime/cda:high/@value) and not('Procedure DateTime' = '')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Procedure Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which describes a medical problem that is often ongoing however
		the <xsl:text /><xsl:value-of select="'Procedure DateTime'" /><xsl:text /> data element, which describes the time interval applying to the medical problem, does not state a commencement date and has a 'high' element
		with a value that states the medical problem
		was resolved on '<xsl:text /><xsl:value-of select="../cda:effectiveTime/cda:high/@value" /><xsl:text />'. (See section 8 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		As the <xsl:text /><xsl:value-of select="'Procedure DateTime'" /><xsl:text /> data elements have a resolution or remission date and no date of onset then, if the medical problem is ongoing, there may be a software error
		rather than a human error causing the dates to be incorrectly recorded in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. Confirm if the software system is able to correctly record an ongoing
		medical problem. A way to record a time interval for an ongoing medical problem is for the <xsl:text /><xsl:value-of select="'Procedure DateTime'" /><xsl:text /> 'effectiveTime'
		data element to have a low element with a value attribute to record the commencement date and for the high element to be omitted.
		(See section 3.6 of the HL7 Data Types - Abstract Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $ongoing-diagnosis and $is-uncategorised and exists(../cda:effectiveTime/@value) and not('Procedure DateTime' = '') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$ongoing-diagnosis and $is-uncategorised and exists(../cda:effectiveTime/@value) and not('Procedure DateTime' = '')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Procedure Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which describes a medical problem that is often ongoing however
		the <xsl:text /><xsl:value-of select="'Procedure DateTime'" /><xsl:text /> data element, which describes the time interval applying to the medical problem, has a 'value' attribute with the value
		'<xsl:text /><xsl:value-of select="../cda:effectiveTime/@value" /><xsl:text />' which indicates the medical problem both commenced and
		was resolved on '<xsl:text /><xsl:value-of select="../cda:effectiveTime/@value" /><xsl:text />'. (See section 8 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and
		section 3.8.1 of the HL7 Data Types - Abstract Specification.)
		As the <xsl:text /><xsl:value-of select="'Procedure DateTime'" /><xsl:text /> data elements have value attribute then, if the medical problem is ongoing, there may be a software error rather than a human error causing
		the dates to be incorrectly recorded in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. Confirm if the software system is able to correctly record an ongoing medical problem.
		A way to record a time interval for an ongoing medical problem is for the <xsl:text /><xsl:value-of select="'Procedure DateTime'" /><xsl:text /> 'effectiveTime'
		data element to have a low element with a value attribute to record the commencement date and for the high element to be omitted.
		(See section 3.6 of the HL7 Data Types - Abstract Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $ongoing-diagnosis and $is-problem-diagnosis and    exists(../cda:entryRelationship[@typeCode='SUBJ']/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]/cda:value/@value) and not('' = '') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$ongoing-diagnosis and $is-problem-diagnosis and exists(../cda:entryRelationship[@typeCode='SUBJ']/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]/cda:value/@value) and not('' = '')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Procedure Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which describes a medical problem that is often ongoing however
		the <xsl:text /><xsl:value-of select="''" /><xsl:text /> data element has a value that states the medical problem
		was resolved on '<xsl:text /><xsl:value-of select="../cda:entryRelationship[@typeCode='SUBJ']/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]/cda:value/@value" /><xsl:text />'.	
		As the Procedure Name data elements have a resolution or remission date and no date of onset then there may be a software error
		rather than a human error causing the dates to be incorrectly recorded in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. Confirm if the software system is able to correctly record an ongoing
		medical problem. (See information about the <xsl:text /><xsl:value-of select="''" /><xsl:text /> in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $ongoing-diagnosis and $is-uncategorised and count($repeated-start) &gt; 1 and not('Procedure DateTime' = '') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$ongoing-diagnosis and $is-uncategorised and count($repeated-start) &gt; 1 and not('Procedure DateTime' = '')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Procedure Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which describes a medical problem that is often ongoing.

		The <xsl:text /><xsl:value-of select="'Procedure DateTime'" /><xsl:text /> data element has a value that indicates the medical problem commenced or was first recorded on
		'<xsl:text /><xsl:value-of select="if (../cda:effectiveTime/cda:low/@value) then ../cda:effectiveTime/cda:low/@value else ../cda:effectiveTime/@value " /><xsl:text />'.
		According to information recorded in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> the medical problem has commenced on
		<xsl:text /><xsl:value-of select="if ($numbers/number[number(@value) = count($repeated-start)]) then $numbers/number[number(@value) = count($repeated-start)]/@name else count($repeated-start)" /><xsl:text />
		different occasions. As all Procedure Name data elements with a date have a commencement date then there may be a software error rather than a human error that has resulted in the ongoing
		medical problem to be recorded multiple times. Confirm if the software system is able to correctly record the dates for an ongoing
		medical problem. (See information about the <xsl:text /><xsl:value-of select="'Procedure DateTime'" /><xsl:text /> in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M524" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M524" />
  <xsl:template match="@*|node()" priority="-2" mode="M524">
    <xsl:apply-templates select="@*|*" mode="M524" />
  </xsl:template>
  <!--PATTERN p-TS-MedHist-CodeableText-10-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/   cda:entry/cda:procedure[@classCode='PROC']/cda:code   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M525">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/   cda:entry/cda:procedure[@classCode='PROC']/cda:code   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Procedure Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Procedure Name has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Procedure Name data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Procedure Name data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Procedure Name data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Procedure Name data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Procedure Name data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Procedure Name data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Procedure Name data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Procedure Name data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M525" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M525" />
  <xsl:template match="@*|node()" priority="-2" mode="M525">
    <xsl:apply-templates select="@*|*" mode="M525" />
  </xsl:template>
  <!--PATTERN p-TS-MedHist-CodeableText-11-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/cda:procedure[@classCode='PROC']/cda:code   [(@displayName and matches(@displayName, '[a-z0-9]', 'i')) or (cda:originalText and matches(cda:originalText, '[a-z0-9]', 'i'))] " priority="1000" mode="M526">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/cda:procedure[@classCode='PROC']/cda:code   [(@displayName and matches(@displayName, '[a-z0-9]', 'i')) or (cda:originalText and matches(cda:originalText, '[a-z0-9]', 'i'))] " />
    <xsl:variable name="section1" select="if (cda:originalText) then /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//cda:section   [cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = ('101.16672', '101.16006', '101.20109', '102.15513.4.1.1', '101.20117', '101.16611', '102.20158', '101.16606', '102.16347')]]   [contains(translate(normalize-space(lower-case(cda:text)), $chars-to-remove, ''), translate(normalize-space(lower-case(current()/cda:originalText)), $chars-to-remove, ''))] else ()" />
    <xsl:variable name="section2" select="if (@displayName) then /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//cda:section   [cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = ('101.16672', '101.16006', '101.20109', '102.15513.4.1.1', '101.20117', '101.16611', '102.20158', '101.16606', '102.16347')]]   [contains(translate(normalize-space(lower-case(cda:text)), $chars-to-remove, ''), translate(normalize-space(lower-case(current()/@displayName)), $chars-to-remove, ''))] else ()" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-2" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-2 " />
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $section1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $section1">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step-2" /><xsl:text />: TC-Narr-09 step 2: The Procedure Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has originalText with the value
		'<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />' and this was also found in the narrative of the <xsl:text /><xsl:value-of select="$section1/cda:title" /><xsl:text /> section. Confirm by manual inspection that the information
		about '<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />' in the <xsl:text /><xsl:value-of select="$section1/cda:title" /><xsl:text /> section does not contradict information about '<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. Also check other sections in the document for information about '<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />'.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not($section1) and $section2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not($section1) and $section2">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step-2" /><xsl:text />: TC-Narr-09 step 2: The Procedure Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a displayName attribute with the value '<xsl:text /><xsl:value-of select="@displayName" /><xsl:text />' and this was also found in the narrative of the
		<xsl:text /><xsl:value-of select="$section2/cda:title" /><xsl:text /> section. Confirm by manual inspection that the information about
		'<xsl:text /><xsl:value-of select="@displayName" /><xsl:text />' in the <xsl:text /><xsl:value-of select="$section2/cda:title" /><xsl:text /> section does not contradict information about '<xsl:text /><xsl:value-of select="@displayName" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. Also check other sections in the document for information about '<xsl:text /><xsl:value-of select="@displayName" /><xsl:text />'.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M526" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M526" />
  <xsl:template match="@*|node()" priority="-2" mode="M526">
    <xsl:apply-templates select="@*|*" mode="M526" />
  </xsl:template>
  <!--PATTERN p-TS-MedHist-CodedText-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/   cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.120.1.3']]/cda:value " priority="1000" mode="M527">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/   cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.120.1.3']]/cda:value " />
    <xsl:variable name="tc-types-49-err" select="@nullFlavor = ('PINF', 'NINF', 'QS', 'TRC') or (@nullFlavor='UNC' and (not(cda:originalText) or normalize-space(cda:originalText) = '')) " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="family-err" select="cda:originalText and matches(cda:originalText, $family-regex, 'i')" />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; 200" />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and @code != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used with the Clinical Package Validator to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used with the Clinical Package Validator to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the primary code.') " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-06-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-06-step-2 else $rating-alt-TC-Types-06-step-2 " />
    <xsl:variable name="rating-07-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-1 else $rating-alt-TC-Types-07-step-1 " />
    <xsl:variable name="rating-07-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-2 else $rating-alt-TC-Types-07-step-2 " />
    <xsl:variable name="rating-08" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-08 else $rating-alt-TC-Types-08 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-07: The Problems and Diagnoses Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data
		type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to the Structured Content Specification the Problems and Diagnoses Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which is derived from the HL7 'CD' data type however xsi:type '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to the Structured Content Specification the Problems and Diagnoses Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:translation">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:translation">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Problems and Diagnoses Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'translation' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value
		domain, with no exceptions. A translation translates the value into a code from another code systems, so translations are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:qualifier">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:qualifier">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Problems and Diagnoses Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'qualifier' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value domain,
		with no exceptions. A qualifier constrains the value, so qualifiers are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Problems and Diagnoses Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Problems and Diagnoses Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Problems and Diagnoses Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Problems and Diagnoses Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present and is not expected
		for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Problems and Diagnoses Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />'
		is present and is not expected for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-terminology-concepts = 'true' and not(true() or false() or $family-err or $length-err) and    not(@nullFlavor) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and not(true() or false() or $family-err or $length-err) and not(@nullFlavor)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (value domain not specified): The Problems and Diagnoses Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The CodedText data type has the requirement that values must come from the specified bound value domain with no exceptions but a value domain has not been specified for the
		Problems and Diagnoses Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Problems and Diagnoses Exclusion Statement',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="false() and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != '1.2.36.1.2001.1001.101.104.16299'))  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != '1.2.36.1.2001.1001.101.104.16299'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-06-step-2" /><xsl:text />: TC-Types-06 step 2: According to the Structured Content Specification the Problems and Diagnoses Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. The
		CodedText data type has the requirement that values must come from the bound value domain with no exceptions. Therefore the value of the codeSystem attribute must be a publicly available
		code system. The Problems and Diagnoses Exclusion Statement data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide states the code system is 'NS' (not stated) with the requirement 'When national standard code sets become
		available, they SHALL be used'. The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> which is after the national standard code set became available
		for use on the <xsl:text /><xsl:value-of select="''" /><xsl:text />. The code system that must be used is
		<xsl:text /><xsl:value-of select="if ('1.2.36.1.2001.1001.101.104.16299' = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName, ' (ConceptId ''', 'none', ''')')   else concat('1.2.36.1.2001.1001.101.104.16299', ' (', $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16299']/@codeSystemName, ')')" /><xsl:text /><xsl:text /><xsl:value-of select="if (not(@codeSystem)) then '.'    else if (@codeSystemName) then concat(' however codeSystem ''', @codeSystem, ''' (', @codeSystemName, ') is present.')   else concat(' however a codeSystem attribute with the value ''', @codeSystem, ''' is present.') " /><xsl:text />
		(See section 1.8 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide, <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 7 of the CDA Implementation Guide for the
		information about the value domain.)
		<xsl:text /><xsl:value-of select="if ('none' = '11000036103') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName,     ' are Allergic reaction (''419076005''), Medication side-effect (''401207004'') and Drug interaction (''79899007'').')    else if ('none' = '15071000036100') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName,     ' are Prescribed (''105681000036100''), Suspended (''385655000'') and Unchanged (''105701000036103'').')    else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'OTH' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'OTH'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Problems and Diagnoses Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore it is not valid for the data element to have nullFlavor 'OTH' to indicate that the
		actual value is not a member of the set of permitted data values in the constrained value domain. 
		(See the requirements for Problems and Diagnoses Exclusion Statement and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Problems and Diagnoses Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type<xsl:text /><xsl:value-of select="if (not(false())) then '.' else   concat(' and section 7 of the CDA Implementation Guide states the vocabulary is ''', '1.2.36.1.2001.1001.101.104.16299', ''' (', $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16299']/@codeSystemName, ').') " /><xsl:text />
		The CodedText data type has
		the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor attribute
		to indicate there is no value, however a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) is present and is not one of the nullFlavor values that indicate there is no value.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@nullFlavor or @code) and not(false() and not(@nullFlavor) and not(@codeSystem)) and cda:originalText ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor or @code) and not(false() and not(@nullFlavor) and not(@codeSystem)) and cda:originalText">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Problems and Diagnoses Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor
		attribute to indicate there is no value. The only information found in the data element is originalText '<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />'.
		(See the requirements for Problems and Diagnoses Exclusion Statement and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)
		<xsl:text /><xsl:value-of select="if (local-name(.) = 'jobClassCode') then concat('Consider using the METeOR 314867 ''Employment type'' code system (codeSystem ''2.16.840.1.113883.3.879.314867'') which has ',   'codes for ''Permanent'', ''Fixed term contract'', ''Casual'' and ''Not stated/inadequately described''; or the  METeOR 691891 ''Full-time/part-time status'' code system ',   '(codeSystem ''2.16.840.1.113883.3.879.691891'') which has codes for ''Full-time'', ''Part-time'' and ''Not stated/inadequately described''. ',   '(See the the METeOR 314867 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/314867 and the METeOR 691891 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/691891.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="true() and @codeSystem and @codeSystem != '1.2.36.1.2001.1001.101.104.16299' and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and @codeSystem and @codeSystem != '1.2.36.1.2001.1001.101.104.16299' and not(false())">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Problems and Diagnoses Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and section 7 of the CDA Implementation Guide states the vocabulary is
		<xsl:text /><xsl:value-of select="if ('1.2.36.1.2001.1001.101.104.16299' = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName, ' (ConceptId ''', 'none', ''').')   else concat('1.2.36.1.2001.1001.101.104.16299', ' (', $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16299']/@codeSystemName, ').')" /><xsl:text />
		The CodedText data type has the requirement that values must come from the bound value domain with no exceptions.
		Therefore the value of codeSystem must be '1.2.36.1.2001.1001.101.104.16299' but codeSystem '<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />' (<xsl:text /><xsl:value-of select="@codeSystemName" /><xsl:text />) is present.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="true() and '1.2.36.1.2001.1001.101.104.16299' = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and    not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version,    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@refSet) = 'CodeFound') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and '1.2.36.1.2001.1001.101.104.16299' = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version, $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@refSet) = 'CodeFound')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Problems and Diagnoses Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. The applicable value domain is the SNOMED CT-AU
		<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName" /><xsl:text />
		(Concept ID: 'none'). The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the code is not a member of the value domain.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 7 of the CDA Implementation Guide for the information about the value domain.)<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-08" /><xsl:text />: TC-Types-08: According to the Structured Content Specification the Problems and Diagnoses Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. It has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> but has neither an originalText nor a displayName
		so it fails to conform to the requirement 'In accordance with the requirement to completely represent section contents, values of CodedText or CodeableText data elements defined in
		the SCS SHALL include an originalText or a displayName component (or both)'.
		(See Appendix A of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 6.1 and 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090
		Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and not(cda:originalText) and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and not(cda:originalText) and not(false())">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Problems and Diagnoses Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is
		not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. (See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M527" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M527" />
  <xsl:template match="@*|node()" priority="-2" mode="M527">
    <xsl:apply-templates select="@*|*" mode="M527" />
  </xsl:template>
  <!--PATTERN p-TS-MedHist-CodedText-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/   cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.120.1.3']]/cda:value   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M528">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/   cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.120.1.3']]/cda:value   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Problems and Diagnoses Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Problems and Diagnoses Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Problems and Diagnoses Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Problems and Diagnoses Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Problems and Diagnoses Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Problems and Diagnoses Exclusion Statement has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Problems and Diagnoses Exclusion Statement data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('problems/diagnoses|problem/diagnoses|problems or diagnoses|problem or diagnosis|problems and diagnoses', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('problems/diagnoses|problem/diagnoses|problems or diagnoses|problem or diagnosis|problems and diagnoses', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Problems and Diagnoses Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Problems and Diagnoses Exclusion Statement data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Problems and Diagnoses Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Problems and Diagnoses Exclusion Statement data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Problems and Diagnoses Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Problems and Diagnoses Exclusion Statement data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('problems/diagnoses|problem/diagnoses|problems or diagnoses|problem or diagnosis|problems and diagnoses', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('problems/diagnoses|problem/diagnoses|problems or diagnoses|problem or diagnosis|problems and diagnoses', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Problems and Diagnoses Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('problems/diagnoses|problem/diagnoses|problems or diagnoses|problem or diagnosis|problems and diagnoses', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Problems and Diagnoses Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Problems and Diagnoses Exclusion Statement data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Problems and Diagnoses Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Problems and Diagnoses Exclusion Statement data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Problems and Diagnoses Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Problems and Diagnoses Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Problems and Diagnoses Exclusion Statement data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Problems and Diagnoses Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Problems and Diagnoses Exclusion Statement data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Problems and Diagnoses Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Problems and Diagnoses Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M528" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M528" />
  <xsl:template match="@*|node()" priority="-2" mode="M528">
    <xsl:apply-templates select="@*|*" mode="M528" />
  </xsl:template>
  <!--PATTERN p-TS-MedHist-CodedText-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/   cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.120.1.4']]/cda:value " priority="1000" mode="M529">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/   cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.120.1.4']]/cda:value " />
    <xsl:variable name="tc-types-49-err" select="@nullFlavor = ('PINF', 'NINF', 'QS', 'TRC') or (@nullFlavor='UNC' and (not(cda:originalText) or normalize-space(cda:originalText) = '')) " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="family-err" select="cda:originalText and matches(cda:originalText, $family-regex, 'i')" />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; 200" />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and @code != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used with the Clinical Package Validator to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used with the Clinical Package Validator to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the primary code.') " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-06-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-06-step-2 else $rating-alt-TC-Types-06-step-2 " />
    <xsl:variable name="rating-07-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-1 else $rating-alt-TC-Types-07-step-1 " />
    <xsl:variable name="rating-07-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-2 else $rating-alt-TC-Types-07-step-2 " />
    <xsl:variable name="rating-08" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-08 else $rating-alt-TC-Types-08 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-07: The Procedures Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data
		type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to the Structured Content Specification the Procedures Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which is derived from the HL7 'CD' data type however xsi:type '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to the Structured Content Specification the Procedures Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:translation">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:translation">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Procedures Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'translation' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value
		domain, with no exceptions. A translation translates the value into a code from another code systems, so translations are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:qualifier">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:qualifier">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Procedures Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'qualifier' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value domain,
		with no exceptions. A qualifier constrains the value, so qualifiers are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Procedures Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Procedures Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Procedures Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Procedures Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present and is not expected
		for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Procedures Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />'
		is present and is not expected for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-terminology-concepts = 'true' and not(true() or false() or $family-err or $length-err) and    not(@nullFlavor) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and not(true() or false() or $family-err or $length-err) and not(@nullFlavor)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (value domain not specified): The Procedures Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The CodedText data type has the requirement that values must come from the specified bound value domain with no exceptions but a value domain has not been specified for the
		Procedures Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Procedures Exclusion Statement',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="false() and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != '1.2.36.1.2001.1001.101.104.16299'))  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != '1.2.36.1.2001.1001.101.104.16299'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-06-step-2" /><xsl:text />: TC-Types-06 step 2: According to the Structured Content Specification the Procedures Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. The
		CodedText data type has the requirement that values must come from the bound value domain with no exceptions. Therefore the value of the codeSystem attribute must be a publicly available
		code system. The Procedures Exclusion Statement data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide states the code system is 'NS' (not stated) with the requirement 'When national standard code sets become
		available, they SHALL be used'. The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> which is after the national standard code set became available
		for use on the <xsl:text /><xsl:value-of select="''" /><xsl:text />. The code system that must be used is
		<xsl:text /><xsl:value-of select="if ('1.2.36.1.2001.1001.101.104.16299' = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName, ' (ConceptId ''', 'none', ''')')   else concat('1.2.36.1.2001.1001.101.104.16299', ' (', $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16299']/@codeSystemName, ')')" /><xsl:text /><xsl:text /><xsl:value-of select="if (not(@codeSystem)) then '.'    else if (@codeSystemName) then concat(' however codeSystem ''', @codeSystem, ''' (', @codeSystemName, ') is present.')   else concat(' however a codeSystem attribute with the value ''', @codeSystem, ''' is present.') " /><xsl:text />
		(See section 1.8 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide, <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 7 of the CDA Implementation Guide for the
		information about the value domain.)
		<xsl:text /><xsl:value-of select="if ('none' = '11000036103') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName,     ' are Allergic reaction (''419076005''), Medication side-effect (''401207004'') and Drug interaction (''79899007'').')    else if ('none' = '15071000036100') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName,     ' are Prescribed (''105681000036100''), Suspended (''385655000'') and Unchanged (''105701000036103'').')    else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'OTH' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'OTH'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Procedures Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore it is not valid for the data element to have nullFlavor 'OTH' to indicate that the
		actual value is not a member of the set of permitted data values in the constrained value domain. 
		(See the requirements for Procedures Exclusion Statement and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Procedures Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type<xsl:text /><xsl:value-of select="if (not(false())) then '.' else   concat(' and section 7 of the CDA Implementation Guide states the vocabulary is ''', '1.2.36.1.2001.1001.101.104.16299', ''' (', $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16299']/@codeSystemName, ').') " /><xsl:text />
		The CodedText data type has
		the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor attribute
		to indicate there is no value, however a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) is present and is not one of the nullFlavor values that indicate there is no value.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@nullFlavor or @code) and not(false() and not(@nullFlavor) and not(@codeSystem)) and cda:originalText ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor or @code) and not(false() and not(@nullFlavor) and not(@codeSystem)) and cda:originalText">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Procedures Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor
		attribute to indicate there is no value. The only information found in the data element is originalText '<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />'.
		(See the requirements for Procedures Exclusion Statement and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)
		<xsl:text /><xsl:value-of select="if (local-name(.) = 'jobClassCode') then concat('Consider using the METeOR 314867 ''Employment type'' code system (codeSystem ''2.16.840.1.113883.3.879.314867'') which has ',   'codes for ''Permanent'', ''Fixed term contract'', ''Casual'' and ''Not stated/inadequately described''; or the  METeOR 691891 ''Full-time/part-time status'' code system ',   '(codeSystem ''2.16.840.1.113883.3.879.691891'') which has codes for ''Full-time'', ''Part-time'' and ''Not stated/inadequately described''. ',   '(See the the METeOR 314867 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/314867 and the METeOR 691891 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/691891.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="true() and @codeSystem and @codeSystem != '1.2.36.1.2001.1001.101.104.16299' and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and @codeSystem and @codeSystem != '1.2.36.1.2001.1001.101.104.16299' and not(false())">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Procedures Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and section 7 of the CDA Implementation Guide states the vocabulary is
		<xsl:text /><xsl:value-of select="if ('1.2.36.1.2001.1001.101.104.16299' = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName, ' (ConceptId ''', 'none', ''').')   else concat('1.2.36.1.2001.1001.101.104.16299', ' (', $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16299']/@codeSystemName, ').')" /><xsl:text />
		The CodedText data type has the requirement that values must come from the bound value domain with no exceptions.
		Therefore the value of codeSystem must be '1.2.36.1.2001.1001.101.104.16299' but codeSystem '<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />' (<xsl:text /><xsl:value-of select="@codeSystemName" /><xsl:text />) is present.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="true() and '1.2.36.1.2001.1001.101.104.16299' = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and    not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version,    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@refSet) = 'CodeFound') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and '1.2.36.1.2001.1001.101.104.16299' = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version, $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@refSet) = 'CodeFound')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Procedures Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. The applicable value domain is the SNOMED CT-AU
		<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName" /><xsl:text />
		(Concept ID: 'none'). The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the code is not a member of the value domain.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 7 of the CDA Implementation Guide for the information about the value domain.)<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-08" /><xsl:text />: TC-Types-08: According to the Structured Content Specification the Procedures Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. It has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> but has neither an originalText nor a displayName
		so it fails to conform to the requirement 'In accordance with the requirement to completely represent section contents, values of CodedText or CodeableText data elements defined in
		the SCS SHALL include an originalText or a displayName component (or both)'.
		(See Appendix A of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 6.1 and 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090
		Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and not(cda:originalText) and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and not(cda:originalText) and not(false())">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Procedures Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is
		not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. (See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M529" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M529" />
  <xsl:template match="@*|node()" priority="-2" mode="M529">
    <xsl:apply-templates select="@*|*" mode="M529" />
  </xsl:template>
  <!--PATTERN p-TS-MedHist-CodedText-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/   cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.120.1.4']]/cda:value   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M530">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/   cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.120.1.4']]/cda:value   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Procedures Exclusion Statement '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Procedures Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Procedures Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Procedures Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Procedures Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Procedures Exclusion Statement has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Procedures Exclusion Statement data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('procedures', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('procedures', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Procedures Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Procedures Exclusion Statement data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Procedures Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Procedures Exclusion Statement data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Procedures Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Procedures Exclusion Statement data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('procedures', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('procedures', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Procedures Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('procedures', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Procedures Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Procedures Exclusion Statement data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Procedures Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Procedures Exclusion Statement data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Procedures Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Procedures Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Procedures Exclusion Statement data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Procedures Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Procedures Exclusion Statement data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Procedures Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Procedures Exclusion Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M530" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M530" />
  <xsl:template match="@*|node()" priority="-2" mode="M530">
    <xsl:apply-templates select="@*|*" mode="M530" />
  </xsl:template>
  <!--PATTERN p-TS-MedHist-TimeInterval-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16627']]/cda:effectiveTime " priority="1000" mode="M531">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16627']]/cda:effectiveTime " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text1" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="message-text2" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See sections 8.6 and 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="nullFlavor-values" select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]" />
    <xsl:variable name="low-inclusive" select="if (not(cda:low)) then '' else if (cda:low/@inclusive='false') then ' (excluded)' else ' (included)' " />
    <xsl:variable name="high-inclusive" select="if (not(cda:high)) then '' else if (cda:high/@inclusive='false') then ' (excluded)' else ' (included)' " />
    <xsl:variable name="display-interval" select="if (@value and cda:low/@value and cda:high/@value)         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34), ', low value ', codepoints-to-string(34), cda:low/@value,        codepoints-to-string(34), $low-inclusive, ' and high value ', codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)        else if (@value and cda:low/@value and not(cda:high/@value))         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34), ' and low value ', codepoints-to-string(34), cda:low/@value,        codepoints-to-string(34), $low-inclusive)       else if (@value and not(cda:low/@value) and cda:high/@value)         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34), ' and high value ', codepoints-to-string(34),        cda:high/@value, codepoints-to-string(34), $high-inclusive)       else if (not(@value) and cda:low/@value and cda:high/@value)         then concat('low value ', codepoints-to-string(34), cda:low/@value, codepoints-to-string(34), $low-inclusive, ' and high value ',         codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)       else if (@value and not(cda:low/@value) and not(cda:high/@value))         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34))       else if (not(@value) and cda:low/@value and not(cda:high/@value))         then concat('low value ', codepoints-to-string(34), cda:low/@value, codepoints-to-string(34), $low-inclusive)       else if (not(@value) and not(cda:low/@value) and cda:high/@value)         then concat('high value ', codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)       else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-22" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-22 else $rating-alt-TC-Types-22 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-22: The Medical History Item TimeInterval '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type
		and <xsl:text /><xsl:value-of select="if (@value or cda:low/@value or cda:high/@value) then concat('has ', $display-interval)   else 'has no value attribute and no low or high data elements' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@nullFlavor) then concat('The nullFlavor attribute has the value ''', @nullFlavor, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Medical History Item TimeInterval '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type.
		It contains a value of nullFlavor 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a value
		may exist, but it must be derived from the information provided. Confirm if the use of this nullFlavor is valid.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'NINF' or @nullFlavor = 'PINF' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'NINF' or @nullFlavor = 'PINF'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 1: According to the Structured Content Specification the Medical History Item TimeInterval '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data
		type which is derived from the HL7 'IVL_TS' data type. It has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) which is a
		value of nullFlavor that may not be used for data elements of the IVL data type.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to the Structured Content Specification the Medical History Item TimeInterval '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data
		type however it has nullFlavor = 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include
		nullFlavor = 'UNC'. (See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'QS' or @nullFlavor = 'TRC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'QS' or @nullFlavor = 'TRC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 3: According to the Structured Content Specification the Medical History Item TimeInterval '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data
		type which is derived from the HL7 'IVL_TS' data type. It has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) however
		that value of nullFlavor may not be used for data elements of the TS or IVL data types.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to the Structured Content Specification the Medical History Item TimeInterval '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type which is
		derived from the HL7 'IVL_TS' data type. The HL7 'TS' data type may also be used for a TimeInterval however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		(See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 3.8.1 of HL7 Version 3 Standard: Data Types - Abstract Specification,
		Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to the Structured Content Specification the Medical History Item TimeInterval '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type which is
		derived from the HL7 'IVL_TS' data type. The HL7 'TS' data type may also be used for a TimeInterval however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'IVL_TS' or 'TS'.
		(See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 3.8.1 of HL7 Version 3 Standard: Data Types - Abstract Specification,
		Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not(@nullFlavor or @value or cda:low or cda:high) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor or @value or cda:low or cda:high)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to the Structured Content Specification the Medical History Item TimeInterval '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however
		it does not have a nullFlavor or value attribute or low or high elements. A TimeInterval may only contain a nullFlavor or value attribute or low or high elements with the optional
		'inclusive' attribute included in the low or high elements if there is a need to indicate that the low or high boundaries are excluded.
		(See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @value and (cda:low or cda:high) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value and (cda:low or cda:high)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to the Structured Content Specification the Medical History Item TimeInterval '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type.
		It has the element '<xsl:text /><xsl:value-of select="local-name(cda:*[local-name() = ('low', 'high')])" /><xsl:text />' which is used for the HL7 'IVL' data type
		but also has a 'value' attribute which is used by the HL7 'TS' data type and is not used by the HL7 'IVL' data type. The data element must either have a 'value' attribute
		or '<xsl:text /><xsl:value-of select="local-name(cda:*[local-name() = ('low', 'high')])" /><xsl:text />' but not both.
		(See section 7.10.9.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and section 3.8.1 of
		HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('low', 'high'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Medical History Item TimeInterval
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('low', 'high'))])" /><xsl:text />' was found
		that is not expected for the TimeInterval data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('low', 'high', 'width'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('low', 'high', 'width'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Medical History Item TimeInterval
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('low', 'high', 'width'))])" /><xsl:text />' was found
		that is not expected for the TimeInterval data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and cda:width/@value and ((cda:low/@value and not(cda:high/@value)) or (not(cda:low/@value) and cda:high/@value)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and cda:width/@value and ((cda:low/@value and not(cda:high/@value)) or (not(cda:low/@value) and cda:high/@value))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Medical History Item TimeInterval
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a width element is also
		present with the value '<xsl:text /><xsl:value-of select="cda:width/@value" /><xsl:text />' and unit '<xsl:text /><xsl:value-of select="cda:width/@unit" /><xsl:text />'.		
		This is an error as the presence of a <xsl:text /><xsl:value-of select="if (cda:low) then 'low' else 'high' " /><xsl:text /> element without a <xsl:text /><xsl:value-of select="if (cda:low) then 'high' else 'low' " /><xsl:text /> element
		means the TimeInterval is unbounded in one direction however the width element implies the interval is bounded. That is the width element is an extension that qualifies the
		time interval whereas an extension is allowed only if it does not qualify or negate the time interval.
		(See the definition of Medical History Item TimeInterval in the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text />, section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0
		and <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)
		As the <xsl:text /><xsl:value-of select="if (cda:low) then 'start' else 'end' " /><xsl:text /> of the time interval is known then the Medical History Item TimeInterval must also have a
		<xsl:text /><xsl:value-of select="if (cda:low) then ' high' else ' low' " /><xsl:text /> element as the TimeInterval data type uses low and high elements rather than width to define an interval.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and cda:width/@value and not(cda:high/@value or cda:low/@value) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and cda:width/@value and not(cda:high/@value or cda:low/@value)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Medical History Item TimeInterval
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a width element is also
		present with the value '<xsl:text /><xsl:value-of select="cda:width/@value" /><xsl:text />' and unit '<xsl:text /><xsl:value-of select="cda:width/@unit" /><xsl:text />'.		
		This is an error as the Medical History Item TimeInterval has no low or high elements so the TimeInterval is unbounded however the width element implies the interval is bounded. That is the width element is an
		extension that qualifies the time interval whereas an extension is allowed only if it does not qualify or negate the time interval.
		(See the definition of Medical History Item TimeInterval in the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text />, section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0
		and <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)
		The TimeInterval data type uses low and high elements rather than width to define an interval.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(    @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or    @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'  )) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not( @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS' ))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Medical History Item TimeInterval '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the TimeInterval data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(    @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or    @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'  )) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not( @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS' ))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Medical History Item TimeInterval '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the TimeInterval data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @operator and @operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @operator and @operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Medical History Item TimeInterval '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the TimeInterval data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @operator and @operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @operator and @operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Medical History Item TimeInterval '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the TimeInterval data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:low/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:low/*">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Medical History Item TimeInterval 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(cda:low/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/*">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Medical History Item TimeInterval 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(cda:low/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Medical History Item TimeInterval 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Medical History Item TimeInterval 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:low/@operator and cda:low/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:low/@operator and cda:low/@operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Medical History Item TimeInterval 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/@operator and cda:low/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/@operator and cda:low/@operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Medical History Item TimeInterval 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:low/cda:originalText) and cda:low/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:low/cda:originalText) and cda:low/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to the Structured Content Specification the Medical History Item TimeInterval 'low' child element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present so
		it is an error to include nullFlavor 'UNC'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:high/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:high/*">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Medical History Item TimeInterval 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element '<xsl:text /><xsl:value-of select="local-name(cda:high/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/*">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Medical History Item TimeInterval 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element '<xsl:text /><xsl:value-of select="local-name(cda:high/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Medical History Item TimeInterval 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Medical History Item TimeInterval 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:high/@operator and cda:high/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:high/@operator and cda:high/@operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Medical History Item TimeInterval 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/@operator and cda:high/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/@operator and cda:high/@operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Medical History Item TimeInterval 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to the Structured Content Specification the Medical History Item TimeInterval 'high' child element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present
		so it is an error to include nullFlavor 'UNC'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to the Structured Content Specification the Medical History Item TimeInterval 'high' child element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present
		so it is an error to include nullFlavor 'UNC'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M531" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M531" />
  <xsl:template match="@*|node()" priority="-2" mode="M531">
    <xsl:apply-templates select="@*|*" mode="M531" />
  </xsl:template>
  <!--PATTERN p-TS-MedHist-TimeInterval-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16627']]/cda:effectiveTime   [not((cda:low/@value and (number(substring(cda:low/@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(cda:low/@value,1,4)) &gt; number($creation-date-yr) + 130)) or     (cda:high/@value and (number(substring(cda:high/@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(cda:high/@value,1,4)) &gt; number($creation-date-yr) + 130)))] " priority="1000" mode="M532">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16627']]/cda:effectiveTime   [not((cda:low/@value and (number(substring(cda:low/@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(cda:low/@value,1,4)) &gt; number($creation-date-yr) + 130)) or     (cda:high/@value and (number(substring(cda:high/@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(cda:high/@value,1,4)) &gt; number($creation-date-yr) + 130)))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="fir-narrative" select="translate(normalize-space(lower-case(string($fir-narr-node))), $chars-to-remove, '')" />
    <xsl:variable name="sec-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)        then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]        else () " />
    <xsl:variable name="sec-narr-node" select="$sec-section/cda:text " />
    <xsl:variable name="narr-text-el" select="(for $text in ($fir-narr-node//text(), $sec-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="sec-narrative" select="translate(normalize-space(lower-case(string($sec-narr-node))), $chars-to-remove, '') " />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="narrative" select="concat($target-title, $fir-narrative, $sec-narrative)" />
    <xsl:variable name="narr-elements" select="$fir-narr-node//cda:*[exists(text()[normalize-space() != '']) and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ]  |             $sec-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ] " />
    <xsl:variable name="narr-lower-case" select="for $i in (1 to count($narr-elements)) return lower-case(normalize-space(string-join($narr-elements[$i]/text(), '')))  " />
    <xsl:variable name="dt-narr-elements" select="$narr-lower-case[matches(., $regex-date-type-1, 'i') or matches(., $regex-date-type-2, 'i') or matches(., $regex-date-type-3, 'i')] " />
    <xsl:variable name="narr-elements-start" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-before($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-before($dt-narr-elements[$i], ' -'))        else $dt-narr-elements[$i])[. != ''] " />
    <xsl:variable name="narr-elements-end" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-after($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-after($dt-narr-elements[$i], ' -'))        else '')[. != ''] " />
    <xsl:variable name="narr-dateTimes" select="distinct-values(($narr-elements-start , $narr-elements-end))[. != '(ongoing)'] " />
    <xsl:variable name="l-dt-value" select="if (@value) then @value        else if (cda:low/@value) then cda:low/@value        else '' " />
    <xsl:variable name="l-no-time-zone" select="if (contains($l-dt-value, '+')) then substring-before($l-dt-value, '+')       else if (contains($l-dt-value, '-')) then substring-before($l-dt-value, '-')       else $l-dt-value " />
    <xsl:variable name="l-length" select="string-length($l-no-time-zone) " />
    <xsl:variable name="l-year" select="if ($l-length &gt; 3) then substring($l-no-time-zone,1,4) else '' " />
    <xsl:variable name="l-month-num" select="if ($l-length &gt; 5) then substring($l-no-time-zone,5,2) else '' " />
    <xsl:variable name="l-day" select="if ($l-length &gt; 7 and substring($l-no-time-zone,7,1) = '0') then substring($l-no-time-zone,8,1)       else if ($l-length &gt; 7 and substring($l-no-time-zone,7,1) != '0') then substring($l-no-time-zone,7,2) else '' " />
    <xsl:variable name="l-hour-long" select="if ($l-length &gt; 9) then substring($l-no-time-zone,9,2) else '' " />
    <xsl:variable name="l-hour-short" select="if (substring($l-hour-long, 1, 1) = '0') then substring($l-hour-long, 2, 1) else '' " />
    <xsl:variable name="l-minute" select="if ($l-length &gt; 11) then substring($l-no-time-zone,11,2) else '' " />
    <xsl:variable name="l-second" select="if ($l-length &gt; 13) then substring($l-no-time-zone,13,2) else '' " />
    <xsl:variable name="l-time-zone" select="if (contains($l-dt-value, '+')) then concat('\+', substring-after($l-dt-value, '+'))       else if (contains($l-dt-value, '-')) then concat('\-', substring-after($l-dt-value, '-'))       else '' " />
    <xsl:variable name="l-month-short" select="if ($l-month-num = '01') then 'jan'   else             if ($l-month-num = '02') then 'feb'   else             if ($l-month-num = '03') then 'mar'   else             if ($l-month-num = '04') then 'apr'   else             if ($l-month-num = '05') then 'may'   else             if ($l-month-num = '06') then 'jun'   else             if ($l-month-num = '07') then 'jul'   else             if ($l-month-num = '08') then 'aug'   else             if ($l-month-num = '09') then 'sep'   else             if ($l-month-num = '10') then 'oct'   else             if ($l-month-num = '11') then 'nov'   else             if ($l-month-num = '12') then 'dec'   else '' " />
    <xsl:variable name="l-month-long" select="if ($l-month-num = '01') then 'january'   else             if ($l-month-num = '02') then 'february'  else             if ($l-month-num = '03') then 'march'   else             if ($l-month-num = '04') then 'april'   else             if ($l-month-num = '05') then 'may'   else             if ($l-month-num = '06') then 'june'   else             if ($l-month-num = '07') then 'july'   else             if ($l-month-num = '08') then 'august'   else             if ($l-month-num = '09') then 'september'  else             if ($l-month-num = '10') then 'october'   else             if ($l-month-num = '11') then 'november'  else             if ($l-month-num = '12') then 'december'  else '' " />
    <xsl:variable name="l-date-type-3-day" select="if (string-length($l-day) = 1) then concat('0{0,1}', $l-day) else $l-day " />
    <xsl:variable name="l-date-type-3-month" select="if (string-length($l-month-num) = 1) then concat('0{0,1}', $l-month-num)        else if (substring($l-month-num, 1, 1) = '0') then concat('0{0,1}', substring($l-month-num, 2, 1))         else $l-month-num " />
    <xsl:variable name="l-dt-sequence-1" select="if ($l-length = 4) then (         concat('^', $l-dt-value)        ,          concat('^', $l-year)         )        else if ($l-length = 6) then (         concat('^', $l-dt-value)        ,         concat('^', $l-month-short, $date-sep, $l-year)      ,          concat('^', $l-month-long, $date-sep, $l-year)      )        else if ($l-length &gt; 7) then (         concat('^', $l-dt-value)        ,         concat('^', $l-date-type-3-day, $date-sep, $l-month-short, $date-sep, $l-year)  ,         concat('^', $l-date-type-3-day, $date-sep, $l-month-long, $date-sep, $l-year)  ,         concat('^', $l-date-type-3-day, '/', $l-date-type-3-month, '/', $l-year)  )        else () " />
    <xsl:variable name="l-matching-seq-1" select="if (exists($l-dt-sequence-1))        then index-of(for $i in (1 to count($l-dt-sequence-1)) return exists($narr-dateTimes[matches(., $l-dt-sequence-1[$i], 'i')]), true())        else () " />
    <xsl:variable name="l-dt-stem-1" select="for $i in (1 to count($l-matching-seq-1)) return $l-dt-sequence-1[$l-matching-seq-1[$i]] " />
    <xsl:variable name="l-dt-regex-1" select="if (exists($l-dt-stem-1)) then concat('(', string-join($l-dt-stem-1, '$)|('), '$)') else ()" />
    <xsl:variable name="l-dt-match-1" select="exists($l-dt-stem-1) and exists($narr-dateTimes[matches(., $l-dt-regex-1, 'i')])" />
    <xsl:variable name="l-time-1" select="if ($l-length &gt; 11 and $l-hour-short != '') then concat($l-hour-short, ':', $l-minute, '( *| *am)') else '' " />
    <xsl:variable name="l-time-2" select="if ($l-length &gt; 13 and $l-hour-short != '') then concat($l-hour-short, ':', $l-minute, ':', $l-second, '( *| *am)') else '' " />
    <xsl:variable name="l-time-3" select="if ($l-length &gt; 11 and number($l-hour-long) &lt; 12) then concat($l-hour-long, ':', $l-minute, '( *| *am)')        else if ($l-length &gt; 11) then concat($l-hour-long, ':', $l-minute) else '' " />
    <xsl:variable name="l-time-4" select="if ($l-length &gt; 13 and number($l-hour-long) &lt; 12) then concat($l-hour-long, ':', $l-minute, ':', $l-second, '( *| *am)')        else if ($l-length &gt; 13) then concat($l-hour-long, ':', $l-minute, ':', $l-second) else '' " />
    <xsl:variable name="l-time-5" select="if ($l-length &gt; 11 and number($l-hour-long) &gt; 12) then concat(string(number($l-hour-long) - 12), ':', $l-minute, '( *| *pm)') else '' " />
    <xsl:variable name="l-time-6" select="if ($l-length &gt; 13 and number($l-hour-long) &gt; 12) then concat(string(number($l-hour-long) - 12), ':', $l-minute, ':', $l-second, '( *| *pm)') else '' " />
    <xsl:variable name="l-dt-temp-0" select="if (exists($l-dt-stem-1) and $l-length = 8) then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $narr-time-regex) else () " />
    <xsl:variable name="l-dt-temp-1" select="if (exists($l-dt-stem-1) and $l-time-1 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-1) else () " />
    <xsl:variable name="l-dt-temp-2" select="if (exists($l-dt-stem-1) and $l-time-2 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-2) else () " />
    <xsl:variable name="l-dt-temp-3" select="if (exists($l-dt-stem-1) and $l-time-3 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-3) else () " />
    <xsl:variable name="l-dt-temp-4" select="if (exists($l-dt-stem-1) and $l-time-4 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-4) else () " />
    <xsl:variable name="l-dt-temp-5" select="if (exists($l-dt-stem-1) and $l-time-5 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-5) else () " />
    <xsl:variable name="l-dt-temp-6" select="if (exists($l-dt-stem-1) and $l-time-6 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-6) else () " />
    <xsl:variable name="l-dt-sequence-2" select="($l-dt-temp-0, $l-dt-temp-1, $l-dt-temp-2, $l-dt-temp-3, $l-dt-temp-4, $l-dt-temp-5, $l-dt-temp-6)" />
    <xsl:variable name="l-matching-seq-2" select="if (exists($l-dt-sequence-2))        then index-of(for $i in (1 to count($l-dt-sequence-2)) return exists($narr-dateTimes[matches(., $l-dt-sequence-2[$i], 'i')]), true())        else () " />
    <xsl:variable name="l-dt-stem-2" select="for $i in (1 to count($l-matching-seq-2)) return $l-dt-sequence-2[$l-matching-seq-2[$i]] " />
    <xsl:variable name="l-dt-regex-2" select="if (exists($l-dt-stem-2)) then concat('(', string-join($l-dt-stem-2, '$)|('), '$)') else '' " />
    <xsl:variable name="l-dt-match-2" select="(exists($l-dt-stem-2) and exists($narr-dateTimes[matches(., $l-dt-regex-2, 'i')])) " />
    <xsl:variable name="l-dt-sequence-3" select="if (not($l-dt-match-2) and exists($l-dt-stem-2) and $l-time-zone != '') then for $i in (1 to count($l-dt-stem-2)) return        concat($l-dt-stem-2[$i], substring($l-time-zone, 1, 4), ':?', substring($l-time-zone, 5, 2)) else () " />
    <xsl:variable name="l-dt-regex-3" select="if ($l-dt-match-2) then '' else if (exists($l-dt-sequence-3)) then concat('(', string-join($l-dt-sequence-3, '$)|('), '$)') else '' " />
    <xsl:variable name="l-dt-match-3" select="($l-dt-match-2 or (exists($l-dt-sequence-3) and exists($narr-dateTimes[matches(., $l-dt-regex-3, 'i')]))) " />
    <xsl:variable name="l-narr-match" select="if ($l-dt-value != '' and count($narr-dateTimes) = 0) then      (       contains($narrative, $l-dt-value)                or       (string-length($l-dt-value) = 4 and contains($narrative, $l-year))             or        (string-length($l-dt-value) = 6 and contains($narrative, concat($l-month-short, $l-year)))          or       (string-length($l-dt-value) &gt; 7 and starts-with($l-day, '0') and        (contains($narrative, concat(substring($l-day,2,1), $l-month-short, $l-year)) or         contains($narrative, concat(substring($l-day,2,1), $l-month-num, $l-year))))          or       (string-length($l-dt-value) &gt; 7 and (contains($narrative, concat($l-day, $l-month-short, $l-year)) or contains($narrative, concat($l-day, $l-month-num, $l-year))))        )       else false() " />
    <xsl:variable name="h-dt-value" select="if (cda:high/@value and $l-dt-value != cda:high/@value) then cda:high/@value        else '' " />
    <xsl:variable name="h-no-time-zone" select="if (contains($h-dt-value, '+')) then substring-before($h-dt-value, '+')       else if (contains($h-dt-value, '-')) then substring-before($h-dt-value, '-')       else $h-dt-value " />
    <xsl:variable name="h-length" select="string-length($h-no-time-zone) " />
    <xsl:variable name="h-year" select="if ($h-length &gt; 3) then substring($h-no-time-zone,1,4) else '' " />
    <xsl:variable name="h-month-num" select="if ($h-length &gt; 5) then substring($h-no-time-zone,5,2) else '' " />
    <xsl:variable name="h-day" select="if ($h-length &gt; 7 and substring($h-no-time-zone,7,1) = '0') then substring($h-no-time-zone,8,1)       else if ($h-length &gt; 7 and substring($h-no-time-zone,7,1) != '0') then substring($h-no-time-zone,7,2) else '' " />
    <xsl:variable name="h-hour-long" select="if ($h-length &gt; 9) then substring($h-no-time-zone,9,2) else '' " />
    <xsl:variable name="h-hour-short" select="if (substring($h-hour-long, 1, 1) = '0') then substring($h-hour-long, 2, 1) else '' " />
    <xsl:variable name="h-minute" select="if ($h-length &gt; 11) then substring($h-no-time-zone,11,2) else '' " />
    <xsl:variable name="h-second" select="if ($h-length &gt; 13) then substring($h-no-time-zone,13,2) else '' " />
    <xsl:variable name="h-time-zone" select="if (contains($h-dt-value, '+')) then concat('\+', substring-after($h-dt-value, '+'))       else if (contains($h-dt-value, '-')) then concat('\-', substring-after($h-dt-value, '-'))       else '' " />
    <xsl:variable name="h-month-short" select="if ($h-month-num = '01') then 'jan'   else             if ($h-month-num = '02') then 'feb'   else             if ($h-month-num = '03') then 'mar'   else             if ($h-month-num = '04') then 'apr'   else             if ($h-month-num = '05') then 'may'   else             if ($h-month-num = '06') then 'jun'   else             if ($h-month-num = '07') then 'jul'   else             if ($h-month-num = '08') then 'aug'   else             if ($h-month-num = '09') then 'sep'   else             if ($h-month-num = '10') then 'oct'   else             if ($h-month-num = '11') then 'nov'   else             if ($h-month-num = '12') then 'dec'   else '' " />
    <xsl:variable name="h-month-long" select="if ($h-month-num = '01') then 'january'   else             if ($h-month-num = '02') then 'february'  else             if ($h-month-num = '03') then 'march'   else             if ($h-month-num = '04') then 'april'   else             if ($h-month-num = '05') then 'may'   else             if ($h-month-num = '06') then 'june'   else             if ($h-month-num = '07') then 'july'   else             if ($h-month-num = '08') then 'august'   else             if ($h-month-num = '09') then 'september'  else             if ($h-month-num = '10') then 'october'   else             if ($h-month-num = '11') then 'november'  else             if ($h-month-num = '12') then 'december'  else '' " />
    <xsl:variable name="h-date-type-3-day" select="if (string-length($h-day) = 1) then concat('0{0,1}', $h-day) else $h-day " />
    <xsl:variable name="h-date-type-3-month" select="if (string-length($h-month-num) = 1) then concat('0{0,1}', $h-month-num)        else if (substring($h-month-num, 1, 1) = '0') then concat('0{0,1}', substring($h-month-num, 2, 1))         else $h-month-num " />
    <xsl:variable name="h-dt-sequence-1" select="if ($h-length = 4) then (         concat('^', $h-dt-value)        ,          concat('^', $h-year)         )        else if ($h-length = 6) then (         concat('^', $h-dt-value)        ,         concat('^', $h-month-short, $date-sep, $h-year)      ,          concat('^', $h-month-long, $date-sep, $h-year)      )        else if ($h-length &gt; 7) then (         concat('^', $h-dt-value)        ,         concat('^', $h-date-type-3-day, $date-sep, $h-month-short, $date-sep, $h-year)  ,         concat('^', $h-date-type-3-day, $date-sep, $h-month-long, $date-sep, $h-year)  ,         concat('^', $h-date-type-3-day, '/', $h-date-type-3-month, '/', $h-year)  )        else () " />
    <xsl:variable name="h-matching-seq-1" select="if (exists($h-dt-sequence-1))        then index-of(for $i in (1 to count($h-dt-sequence-1)) return exists($narr-dateTimes[matches(., $h-dt-sequence-1[$i], 'i')]), true())        else () " />
    <xsl:variable name="h-dt-stem-1" select="for $i in (1 to count($h-matching-seq-1)) return $h-dt-sequence-1[$h-matching-seq-1[$i]] " />
    <xsl:variable name="h-dt-regex-1" select="if (exists($h-dt-stem-1)) then concat('(', string-join($h-dt-stem-1, '$)|('), '$)') else ()" />
    <xsl:variable name="h-dt-match-1" select="exists($h-dt-stem-1) and exists($narr-dateTimes[matches(., $h-dt-regex-1, 'i')])" />
    <xsl:variable name="h-time-1" select="if ($h-length &gt; 11 and $h-hour-short != '') then concat($h-hour-short, ':', $h-minute, '( *| *am)') else '' " />
    <xsl:variable name="h-time-2" select="if ($h-length &gt; 13 and $h-hour-short != '') then concat($h-hour-short, ':', $h-minute, ':', $h-second, '( *| *am)') else '' " />
    <xsl:variable name="h-time-3" select="if ($h-length &gt; 11 and number($h-hour-long) &lt; 12) then concat($h-hour-long, ':', $h-minute, '( *| *am)')        else if ($h-length &gt; 11) then concat($h-hour-long, ':', $h-minute) else '' " />
    <xsl:variable name="h-time-4" select="if ($h-length &gt; 13 and number($h-hour-long) &lt; 12) then concat($h-hour-long, ':', $h-minute, ':', $h-second, '( *| *am)')        else if ($h-length &gt; 13) then concat($h-hour-long, ':', $h-minute, ':', $h-second) else '' " />
    <xsl:variable name="h-time-5" select="if ($h-length &gt; 11 and number($h-hour-long) &gt; 12) then concat(string(number($h-hour-long) - 12), ':', $h-minute, '( *| *pm)') else '' " />
    <xsl:variable name="h-time-6" select="if ($h-length &gt; 13 and number($h-hour-long) &gt; 12) then concat(string(number($h-hour-long) - 12), ':', $h-minute, ':', $h-second, '( *| *pm)') else '' " />
    <xsl:variable name="h-dt-temp-0" select="if (exists($h-dt-stem-1) and $h-length = 8) then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $narr-time-regex) else () " />
    <xsl:variable name="h-dt-temp-1" select="if (exists($h-dt-stem-1) and $h-time-1 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-1) else () " />
    <xsl:variable name="h-dt-temp-2" select="if (exists($h-dt-stem-1) and $h-time-2 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-2) else () " />
    <xsl:variable name="h-dt-temp-3" select="if (exists($h-dt-stem-1) and $h-time-3 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-3) else () " />
    <xsl:variable name="h-dt-temp-4" select="if (exists($h-dt-stem-1) and $h-time-4 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-4) else () " />
    <xsl:variable name="h-dt-temp-5" select="if (exists($h-dt-stem-1) and $h-time-5 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-5) else () " />
    <xsl:variable name="h-dt-temp-6" select="if (exists($h-dt-stem-1) and $h-time-6 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-6) else () " />
    <xsl:variable name="h-dt-sequence-2" select="($h-dt-temp-0, $h-dt-temp-1, $h-dt-temp-2, $h-dt-temp-3, $h-dt-temp-4, $h-dt-temp-5, $h-dt-temp-6)" />
    <xsl:variable name="h-matching-seq-2" select="if (exists($h-dt-sequence-2))        then index-of(for $i in (1 to count($h-dt-sequence-2)) return exists($narr-dateTimes[matches(., $h-dt-sequence-2[$i], 'i')]), true())        else () " />
    <xsl:variable name="h-dt-stem-2" select="for $i in (1 to count($h-matching-seq-2)) return $h-dt-sequence-2[$h-matching-seq-2[$i]] " />
    <xsl:variable name="h-dt-regex-2" select="if (exists($h-dt-stem-2)) then concat('(', string-join($h-dt-stem-2, '$)|('), '$)') else '' " />
    <xsl:variable name="h-dt-match-2" select="(exists($h-dt-stem-2) and exists($narr-dateTimes[matches(., $h-dt-regex-2, 'i')])) " />
    <xsl:variable name="h-dt-sequence-3" select="if (not($h-dt-match-2) and exists($h-dt-stem-2) and $h-time-zone != '') then for $i in (1 to count($h-dt-stem-2)) return        concat($h-dt-stem-2[$i], substring($h-time-zone, 1, 4), ':?', substring($h-time-zone, 5, 2)) else () " />
    <xsl:variable name="h-dt-regex-3" select="if ($h-dt-match-2) then '' else if (exists($h-dt-sequence-3)) then concat('(', string-join($h-dt-sequence-3, '$)|('), '$)') else '' " />
    <xsl:variable name="h-dt-match-3" select="($h-dt-match-2 or (exists($h-dt-sequence-3) and exists($narr-dateTimes[matches(., $h-dt-regex-3, 'i')]))) " />
    <xsl:variable name="h-narr-match" select="if ($h-dt-value != '' and count($narr-dateTimes) = 0) then      (       contains($narrative, $h-dt-value)                or       (string-length($h-dt-value) = 4 and contains($narrative, $h-year))             or        (string-length($h-dt-value) = 6 and contains($narrative, concat($h-month-short, $h-year)))          or       (string-length($h-dt-value) &gt; 7 and starts-with($h-day, '0') and        (contains($narrative, concat(substring($h-day,2,1), $h-month-short, $h-year)) or         contains($narrative, concat(substring($h-day,2,1), $h-month-num, $h-year))))          or       (string-length($h-dt-value) &gt; 7 and (contains($narrative, concat($h-day, $h-month-short, $h-year)) or contains($narrative, concat($h-day, $h-month-num, $h-year))))        )       else false() " />
    <xsl:variable name="h-nullFlavor-values" select="if (cda:high/@nullFlavor and cda:high/@nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))        then $nullFlavors/nullFlavor[@value = current()/cda:high/@nullFlavor] else () " />
    <xsl:variable name="h-null-to-find" select="exists($h-nullFlavor-values) " />
    <xsl:variable name="h-null-in-narr" select="($h-nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $h-nullFlavor-values/@name-regex, 'is')])) or              ($h-nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $h-nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="l-nullFlavor-values" select="if (cda:low/@nullFlavor and cda:low/@nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))        then $nullFlavors/nullFlavor[@value = current()/cda:low/@nullFlavor] else () " />
    <xsl:variable name="l-null-to-find" select="exists($l-nullFlavor-values) " />
    <xsl:variable name="l-null-in-narr" select="($l-nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $l-nullFlavor-values/@name-regex, 'is')])) or              ($l-nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $l-nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="l-dt-name" select="if ($l-dt-value = cda:low/@value) then ' low' else '' " />
    <xsl:variable name="l-dt-msg" select="if ($l-dt-value = cda:low/@value) then ' This date/time is the low boundary of a time interval.' else '' " />
    <xsl:variable name="h-dt-msg" select="if ($h-dt-value = cda:high/@value) then ' This date/time is the high boundary of a time interval.' else '' " />
    <xsl:variable name="l-null-msg" select="if ($l-dt-value = cda:low/@value) then ' This nullFlavor value is for the low boundary of a time interval.' else '' " />
    <xsl:variable name="h-null-msg" select="if ($h-dt-value = cda:high/@value) then ' This nullFlavor value is for the high boundary of a time interval.' else '' " />
    <xsl:variable name="multimedia" select="exists($fir-narr-node//cda:renderMultiMedia) or exists($sec-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($fir-narr-node//cda:linkHtml) or exists($sec-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="l-warning-1" select="exists($l-dt-sequence-1) and exists($narr-dateTimes) and $l-dt-match-1 and not($l-dt-match-3) and $l-dt-value != '' " />
    <xsl:variable name="l-error-1" select="$l-warning-1 and not($multimedia) " />
    <xsl:variable name="l-warning-2" select="exists($l-dt-sequence-1) and exists($narr-dateTimes) and not($l-dt-match-1 or $l-dt-match-3) and $l-dt-value != '' " />
    <xsl:variable name="l-error-2a" select="$l-warning-2 and not($multimedia) and $l-time-zone != '' and count($narr-dateTimes) =        count(for $dt in $narr-dateTimes return replace(replace($dt, $regex-date-type-1, ''), $regex-date-type-2, '')       [matches(., concat('^\s*([0-9]{1,2}:{1}[0-9]{2}\s*', substring($l-time-zone, 1, 4), ':?', substring($l-time-zone, 5, 2),         '|[0-9]{1,2}:{1}[0-9]{2}:{1}[0-9]{2}\s*', substring($l-time-zone, 1, 4), ':?', substring($l-time-zone, 5, 2), ')\s*$'), 'i')]) " />
    <xsl:variable name="l-error-2b" select="$l-warning-2 and not($l-dt-match-1) and not($multimedia) and count($narr-dateTimes[matches(., $regex-date-type-2, 'i')]) =        count($narr-dateTimes[matches(., concat($regex-date-type-2, ' ', $narr-time-regex, '$'), 'i')]) " />
    <xsl:variable name="l-error-2c" select="$l-warning-2 and exists($narr-dateTimes[matches(., concat('^', $l-year, '$'))]) " />
    <xsl:variable name="l-error-2" select="$l-error-2a or $l-error-2b or $l-error-2c " />
    <xsl:variable name="l-warning-3" select="$l-dt-value != '' and not(exists($narr-dateTimes)) and not($l-narr-match) " />
    <xsl:variable name="l-error-3" select="$l-warning-3 and not($multimedia) and not(contains($narrative, substring($l-year, 3,2)))" />
    <xsl:variable name="h-warning-1" select="exists($h-dt-sequence-1) and exists($narr-dateTimes) and $h-dt-match-1 and not($h-dt-match-3) and $h-dt-value != '' " />
    <xsl:variable name="h-error-1" select="$h-warning-1 and not($multimedia) " />
    <xsl:variable name="h-warning-2" select="exists($h-dt-sequence-1) and exists($narr-dateTimes) and not($h-dt-match-1 or $h-dt-match-3) and $h-dt-value != '' " />
    <xsl:variable name="h-error-2a" select="$h-warning-2 and not($multimedia) and $h-time-zone != '' and count($narr-dateTimes) =        count(for $dt in $narr-dateTimes return replace(replace($dt, $regex-date-type-1, ''), $regex-date-type-2, '')       [matches(., concat('^\s*([0-9]{1,2}:{1}[0-9]{2}\s*', substring($h-time-zone, 1, 4), ':?', substring($h-time-zone, 5, 2),         '|[0-9]{1,2}:{1}[0-9]{2}:{1}[0-9]{2}\s*', substring($h-time-zone, 1, 4), ':?', substring($h-time-zone, 5, 2), ')\s*$'), 'i')]) " />
    <xsl:variable name="h-error-2b" select="$h-warning-2 and not($h-dt-match-1) and not($multimedia) and count($narr-dateTimes[matches(., $regex-date-type-2, 'i')]) =        count($narr-dateTimes[matches(., concat($regex-date-type-2, ' ', $narr-time-regex, '$'), 'i')]) " />
    <xsl:variable name="h-error-2c" select="$l-warning-2 and exists($narr-dateTimes[matches(., concat('^', $h-year, '$'))]) " />
    <xsl:variable name="h-error-2" select="$h-error-2a or $h-error-2b or $h-error-2c " />
    <xsl:variable name="h-warning-3" select="$h-dt-value != '' and not(exists($narr-dateTimes)) and not($h-narr-match) " />
    <xsl:variable name="h-error-3" select="$h-warning-3 and not($multimedia) and not(contains($narrative, substring($h-year, 3,2))) " />
    <xsl:variable name="narr-dt-msg" select="if ($multimedia or $no-content) then ''       else if (not(exists($narr-dateTimes))) then concat(' The narrative of the ', iq:location(., ''), ' contains no dateTime elements.')       else if (count($narr-dateTimes) = 1) then concat(' The only dateTime element in the narrative of the ', iq:location(., ''), ' is ''',         dh:XQueryRecursiveReplace($narr-dateTimes[1], '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), '''.')       else concat(' The distinct dateTime elements in the narrative of the ', iq:location(., ''), ' are ''',         string-join(for $dt in $narr-dateTimes return          dh:XQueryRecursiveReplace($dt, '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), ', '), '''.') " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-4" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-4 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and exists($l-dt-sequence-1) and $l-dt-value != '' and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and exists($l-dt-sequence-1) and $l-dt-value != '' and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 4: The dateTime element in the structured data is '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'.<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text />
		The number of dateTime elements that have been extracted from the narrative is '<xsl:text /><xsl:value-of select="count($narr-dateTimes)" /><xsl:text />'.
		These are '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-dateTimes, ', '), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The initial regular expressions are '<xsl:text /><xsl:value-of select="string-join($l-dt-sequence-1, ', ')" /><xsl:text />'.
		The three regular expressions used to perform an exact match for narrative dateTime elements are as follows:
		l-dt-regex-1='<xsl:text /><xsl:value-of select="$l-dt-regex-1" /><xsl:text />'; l-dt-regex-2='<xsl:text /><xsl:value-of select="$l-dt-regex-2" /><xsl:text />'; and l-dt-regex-3='<xsl:text /><xsl:value-of select="$l-dt-regex-3" /><xsl:text />'.
		Was a match found after the first regular expression was created? <xsl:text /><xsl:value-of select="$l-dt-match-1" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($l-dt-regex-2 = '') then 'The second regular expression was not applied as there is no time information.'    else concat('Was a match found after the second regular expression (with a date and time) was created? ', $l-dt-match-2, '.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($l-dt-regex-3 = '') then 'The third regular expression was not applied as there is no timezone information.'    else concat('Was a match found after the third regular expression (with a date and time) was created? ', $l-dt-match-3, '.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and exists($h-dt-sequence-1) and $h-dt-value != '' and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and exists($h-dt-sequence-1) and $h-dt-value != '' and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 4: The dateTime element in the structured data is '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'.<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text />
		The number of dateTime elements that have been extracted from the narrative is '<xsl:text /><xsl:value-of select="count($narr-dateTimes)" /><xsl:text />'.
		These are '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-dateTimes, ', '), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The initial regular expressions are '<xsl:text /><xsl:value-of select="string-join($h-dt-sequence-1, ', ')" /><xsl:text />'.
		The three regular expressions used to perform an exact match for narrative dateTime elements are as follows:
		h-dt-regex-1='<xsl:text /><xsl:value-of select="$h-dt-regex-1" /><xsl:text />'; h-dt-regex-2='<xsl:text /><xsl:value-of select="$h-dt-regex-2" /><xsl:text />'; and h-dt-regex-3='<xsl:text /><xsl:value-of select="$h-dt-regex-3" /><xsl:text />'.
		Was a match found after the first regular expression was created? <xsl:text /><xsl:value-of select="$h-dt-match-1" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($h-dt-regex-2 = '') then 'The second regular expression was not applied as there is no time information.'    else concat('Was a match found after the second regular expression (with a date and time) was created? ', $h-dt-match-2, '.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($h-dt-regex-3 = '') then 'The third regular expression was not applied as there is no timezone information.'    else concat('Was a match found after the third regular expression (with a date and time) was created? ', $h-dt-match-3, '.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $l-warning-1 and not($l-error-1 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $l-warning-1 and not($l-error-1 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Medical History Item TimeInterval '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /> Although the date was found in the narrative the Medical History Item TimeInterval data element must contain the time.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Medical History Item TimeInterval data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $l-error-1 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $l-error-1 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Medical History Item TimeInterval '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /> Although the date was found in the narrative the Medical History Item TimeInterval data element must contain the time.
		The Medical History Item TimeInterval data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $l-error-1 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $l-error-1 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Medical History Item TimeInterval '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /> Although the date was found in the narrative the Medical History Item TimeInterval data element must contain the time.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-warning-2 and not($l-error-2 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-warning-2 and not($l-error-2 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Medical History Item TimeInterval '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Medical History Item TimeInterval data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-error-2 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-error-2 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Medical History Item TimeInterval '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($l-error-2c) then concat('The narrative contains a date with the same year ''', $l-year, ''' but without a month or day.') else '' " /><xsl:text />
		The Medical History Item TimeInterval data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-error-2 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-error-2 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Medical History Item TimeInterval '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($l-error-2c) then concat('The narrative contains a date with the same year ''', $l-year, ''' but without a month or day.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $l-dt-value != '' and not($l-narr-match or $l-null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $l-dt-value != '' and not($l-narr-match or $l-null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Medical History Item TimeInterval '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $l-dt-value != '' and not($l-narr-match or $l-null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $l-dt-value != '' and not($l-narr-match or $l-null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Medical History Item TimeInterval '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Medical History Item TimeInterval data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $h-warning-1 and not($h-error-1 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $h-warning-1 and not($h-error-1 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Medical History Item TimeInterval '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /> Although the date was found in the narrative the Medical History Item TimeInterval data element must contain the time.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Medical History Item TimeInterval data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $h-error-1 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $h-error-1 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Medical History Item TimeInterval '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /> Although the date was found in the narrative the Medical History Item TimeInterval data element must contain the time.
		The Medical History Item TimeInterval data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $h-error-1 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $h-error-1 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Medical History Item TimeInterval '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /> Although the date was found in the narrative the Medical History Item TimeInterval data element must contain the time.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-warning-2 and not($h-error-2 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-warning-2 and not($h-error-2 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Medical History Item TimeInterval '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Medical History Item TimeInterval data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-error-2 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-error-2 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Medical History Item TimeInterval '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($h-error-2c) then concat('The narrative contains a date with the same year ''', $h-year, ''' but without a month or day.') else '' " /><xsl:text />
		The Medical History Item TimeInterval data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-error-2 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-error-2 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Medical History Item TimeInterval '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($h-error-2c) then concat('The narrative contains a date with the same year ''', $h-year, ''' but without a month or day.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-warning-3 and not($l-error-3 or $no-content)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-warning-3 and not($l-error-3 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Medical History Item TimeInterval '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not seem to be present in the narrative of the section.<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Medical History Item TimeInterval data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-error-3 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-error-3 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Medical History Item TimeInterval '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Medical History Item TimeInterval data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else ' All clinical information in entry elements must be present in the narrative.'" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-error-3 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-error-3 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Medical History Item TimeInterval '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-warning-3 and not($h-error-3 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-warning-3 and not($h-error-3 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Medical History Item TimeInterval '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not seem to be present in the narrative of the section.<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Medical History Item TimeInterval data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-error-3 and not($no-content) and true()  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-error-3 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Medical History Item TimeInterval '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text />
		The Medical History Item TimeInterval data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-error-3 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-error-3 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Medical History Item TimeInterval '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $h-dt-value != '' and not($h-narr-match or $h-null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $h-dt-value != '' and not($h-narr-match or $h-null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Medical History Item TimeInterval '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $h-dt-value != '' and not($h-narr-match or $h-null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $h-dt-value != '' and not($h-narr-match or $h-null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Medical History Item TimeInterval '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Medical History Item TimeInterval data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-null-to-find and not($l-null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-null-to-find and not($l-null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Medical History Item TimeInterval '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="cda:low/@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$l-nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($l-nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.<xsl:text /><xsl:value-of select="$l-null-msg" /><xsl:text /> If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-null-to-find and not($h-null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-null-to-find and not($h-null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Medical History Item TimeInterval '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="cda:high/@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$h-nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($h-nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.<xsl:text /><xsl:value-of select="$h-null-msg" /><xsl:text />
		If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M532" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M532" />
  <xsl:template match="@*|node()" priority="-2" mode="M532">
    <xsl:apply-templates select="@*|*" mode="M532" />
  </xsl:template>
  <!--PATTERN p-TS-MedHist-TimeInterval-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16117' = $doc-sections][cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3') or (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.4')]]/   cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/cda:procedure/cda:effectiveTime " priority="1000" mode="M533">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16117' = $doc-sections][cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3') or (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.4')]]/   cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/cda:procedure/cda:effectiveTime " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text1" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="message-text2" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See sections 8.6 and 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="nullFlavor-values" select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]" />
    <xsl:variable name="low-inclusive" select="if (not(cda:low)) then '' else if (cda:low/@inclusive='false') then ' (excluded)' else ' (included)' " />
    <xsl:variable name="high-inclusive" select="if (not(cda:high)) then '' else if (cda:high/@inclusive='false') then ' (excluded)' else ' (included)' " />
    <xsl:variable name="display-interval" select="if (@value and cda:low/@value and cda:high/@value)         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34), ', low value ', codepoints-to-string(34), cda:low/@value,        codepoints-to-string(34), $low-inclusive, ' and high value ', codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)        else if (@value and cda:low/@value and not(cda:high/@value))         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34), ' and low value ', codepoints-to-string(34), cda:low/@value,        codepoints-to-string(34), $low-inclusive)       else if (@value and not(cda:low/@value) and cda:high/@value)         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34), ' and high value ', codepoints-to-string(34),        cda:high/@value, codepoints-to-string(34), $high-inclusive)       else if (not(@value) and cda:low/@value and cda:high/@value)         then concat('low value ', codepoints-to-string(34), cda:low/@value, codepoints-to-string(34), $low-inclusive, ' and high value ',         codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)       else if (@value and not(cda:low/@value) and not(cda:high/@value))         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34))       else if (not(@value) and cda:low/@value and not(cda:high/@value))         then concat('low value ', codepoints-to-string(34), cda:low/@value, codepoints-to-string(34), $low-inclusive)       else if (not(@value) and not(cda:low/@value) and cda:high/@value)         then concat('high value ', codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)       else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-22" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-22 else $rating-alt-TC-Types-22 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-22: The Procedure DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type
		and <xsl:text /><xsl:value-of select="if (@value or cda:low/@value or cda:high/@value) then concat('has ', $display-interval)   else 'has no value attribute and no low or high data elements' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@nullFlavor) then concat('The nullFlavor attribute has the value ''', @nullFlavor, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Procedure DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type.
		It contains a value of nullFlavor 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a value
		may exist, but it must be derived from the information provided. Confirm if the use of this nullFlavor is valid.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'NINF' or @nullFlavor = 'PINF' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'NINF' or @nullFlavor = 'PINF'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 1: According to the Structured Content Specification the Procedure DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data
		type which is derived from the HL7 'IVL_TS' data type. It has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) which is a
		value of nullFlavor that may not be used for data elements of the IVL data type.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to the Structured Content Specification the Procedure DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data
		type however it has nullFlavor = 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include
		nullFlavor = 'UNC'. (See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'QS' or @nullFlavor = 'TRC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'QS' or @nullFlavor = 'TRC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 3: According to the Structured Content Specification the Procedure DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data
		type which is derived from the HL7 'IVL_TS' data type. It has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) however
		that value of nullFlavor may not be used for data elements of the TS or IVL data types.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to the Structured Content Specification the Procedure DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type which is
		derived from the HL7 'IVL_TS' data type. The HL7 'TS' data type may also be used for a TimeInterval however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		(See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 3.8.1 of HL7 Version 3 Standard: Data Types - Abstract Specification,
		Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to the Structured Content Specification the Procedure DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type which is
		derived from the HL7 'IVL_TS' data type. The HL7 'TS' data type may also be used for a TimeInterval however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'IVL_TS' or 'TS'.
		(See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 3.8.1 of HL7 Version 3 Standard: Data Types - Abstract Specification,
		Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not(@nullFlavor or @value or cda:low or cda:high) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor or @value or cda:low or cda:high)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to the Structured Content Specification the Procedure DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however
		it does not have a nullFlavor or value attribute or low or high elements. A TimeInterval may only contain a nullFlavor or value attribute or low or high elements with the optional
		'inclusive' attribute included in the low or high elements if there is a need to indicate that the low or high boundaries are excluded.
		(See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @value and (cda:low or cda:high) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value and (cda:low or cda:high)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to the Structured Content Specification the Procedure DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type.
		It has the element '<xsl:text /><xsl:value-of select="local-name(cda:*[local-name() = ('low', 'high')])" /><xsl:text />' which is used for the HL7 'IVL' data type
		but also has a 'value' attribute which is used by the HL7 'TS' data type and is not used by the HL7 'IVL' data type. The data element must either have a 'value' attribute
		or '<xsl:text /><xsl:value-of select="local-name(cda:*[local-name() = ('low', 'high')])" /><xsl:text />' but not both.
		(See section 7.10.9.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and section 3.8.1 of
		HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('low', 'high'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Procedure DateTime
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('low', 'high'))])" /><xsl:text />' was found
		that is not expected for the TimeInterval data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('low', 'high', 'width'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('low', 'high', 'width'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Procedure DateTime
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('low', 'high', 'width'))])" /><xsl:text />' was found
		that is not expected for the TimeInterval data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and cda:width/@value and ((cda:low/@value and not(cda:high/@value)) or (not(cda:low/@value) and cda:high/@value)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and cda:width/@value and ((cda:low/@value and not(cda:high/@value)) or (not(cda:low/@value) and cda:high/@value))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Procedure DateTime
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a width element is also
		present with the value '<xsl:text /><xsl:value-of select="cda:width/@value" /><xsl:text />' and unit '<xsl:text /><xsl:value-of select="cda:width/@unit" /><xsl:text />'.		
		This is an error as the presence of a <xsl:text /><xsl:value-of select="if (cda:low) then 'low' else 'high' " /><xsl:text /> element without a <xsl:text /><xsl:value-of select="if (cda:low) then 'high' else 'low' " /><xsl:text /> element
		means the TimeInterval is unbounded in one direction however the width element implies the interval is bounded. That is the width element is an extension that qualifies the
		time interval whereas an extension is allowed only if it does not qualify or negate the time interval.
		(See the definition of Procedure DateTime in the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text />, section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0
		and <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)
		As the <xsl:text /><xsl:value-of select="if (cda:low) then 'start' else 'end' " /><xsl:text /> of the time interval is known then the Procedure DateTime must also have a
		<xsl:text /><xsl:value-of select="if (cda:low) then ' high' else ' low' " /><xsl:text /> element as the TimeInterval data type uses low and high elements rather than width to define an interval.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and cda:width/@value and not(cda:high/@value or cda:low/@value) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and cda:width/@value and not(cda:high/@value or cda:low/@value)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Procedure DateTime
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a width element is also
		present with the value '<xsl:text /><xsl:value-of select="cda:width/@value" /><xsl:text />' and unit '<xsl:text /><xsl:value-of select="cda:width/@unit" /><xsl:text />'.		
		This is an error as the Procedure DateTime has no low or high elements so the TimeInterval is unbounded however the width element implies the interval is bounded. That is the width element is an
		extension that qualifies the time interval whereas an extension is allowed only if it does not qualify or negate the time interval.
		(See the definition of Procedure DateTime in the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text />, section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0
		and <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)
		The TimeInterval data type uses low and high elements rather than width to define an interval.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(    @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or    @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'  )) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not( @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS' ))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Procedure DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the TimeInterval data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(    @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or    @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'  )) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not( @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS' ))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Procedure DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the TimeInterval data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @operator and @operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @operator and @operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Procedure DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the TimeInterval data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @operator and @operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @operator and @operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Procedure DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the TimeInterval data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:low/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:low/*">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Procedure DateTime 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(cda:low/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/*">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Procedure DateTime 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(cda:low/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Procedure DateTime 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Procedure DateTime 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:low/@operator and cda:low/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:low/@operator and cda:low/@operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Procedure DateTime 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/@operator and cda:low/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/@operator and cda:low/@operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Procedure DateTime 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:low/cda:originalText) and cda:low/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:low/cda:originalText) and cda:low/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to the Structured Content Specification the Procedure DateTime 'low' child element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present so
		it is an error to include nullFlavor 'UNC'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:high/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:high/*">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Procedure DateTime 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element '<xsl:text /><xsl:value-of select="local-name(cda:high/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/*">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Procedure DateTime 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element '<xsl:text /><xsl:value-of select="local-name(cda:high/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Procedure DateTime 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Procedure DateTime 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:high/@operator and cda:high/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:high/@operator and cda:high/@operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Procedure DateTime 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/@operator and cda:high/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/@operator and cda:high/@operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Procedure DateTime 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to the Structured Content Specification the Procedure DateTime 'high' child element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present
		so it is an error to include nullFlavor 'UNC'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to the Structured Content Specification the Procedure DateTime 'high' child element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present
		so it is an error to include nullFlavor 'UNC'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M533" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M533" />
  <xsl:template match="@*|node()" priority="-2" mode="M533">
    <xsl:apply-templates select="@*|*" mode="M533" />
  </xsl:template>
  <!--PATTERN p-TS-MedHist-TimeInterval-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16117' = $doc-sections][cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3') or (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.4')]]/   cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/cda:procedure/cda:effectiveTime   [not((cda:low/@value and (number(substring(cda:low/@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(cda:low/@value,1,4)) &gt; number($creation-date-yr) + 130)) or     (cda:high/@value and (number(substring(cda:high/@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(cda:high/@value,1,4)) &gt; number($creation-date-yr) + 130)))] " priority="1000" mode="M534">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16117' = $doc-sections][cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3') or (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.4')]]/   cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/cda:procedure/cda:effectiveTime   [not((cda:low/@value and (number(substring(cda:low/@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(cda:low/@value,1,4)) &gt; number($creation-date-yr) + 130)) or     (cda:high/@value and (number(substring(cda:high/@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(cda:high/@value,1,4)) &gt; number($creation-date-yr) + 130)))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="fir-narrative" select="translate(normalize-space(lower-case(string($fir-narr-node))), $chars-to-remove, '')" />
    <xsl:variable name="sec-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)        then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]        else () " />
    <xsl:variable name="sec-narr-node" select="$sec-section/cda:text " />
    <xsl:variable name="narr-text-el" select="(for $text in ($fir-narr-node//text(), $sec-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="sec-narrative" select="translate(normalize-space(lower-case(string($sec-narr-node))), $chars-to-remove, '') " />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="narrative" select="concat($target-title, $fir-narrative, $sec-narrative)" />
    <xsl:variable name="narr-elements" select="$fir-narr-node//cda:*[exists(text()[normalize-space() != '']) and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ]  |             $sec-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ] " />
    <xsl:variable name="narr-lower-case" select="for $i in (1 to count($narr-elements)) return lower-case(normalize-space(string-join($narr-elements[$i]/text(), '')))  " />
    <xsl:variable name="dt-narr-elements" select="$narr-lower-case[matches(., $regex-date-type-1, 'i') or matches(., $regex-date-type-2, 'i') or matches(., $regex-date-type-3, 'i')] " />
    <xsl:variable name="narr-elements-start" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-before($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-before($dt-narr-elements[$i], ' -'))        else $dt-narr-elements[$i])[. != ''] " />
    <xsl:variable name="narr-elements-end" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-after($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-after($dt-narr-elements[$i], ' -'))        else '')[. != ''] " />
    <xsl:variable name="narr-dateTimes" select="distinct-values(($narr-elements-start , $narr-elements-end))[. != '(ongoing)'] " />
    <xsl:variable name="l-dt-value" select="if (@value) then @value        else if (cda:low/@value) then cda:low/@value        else '' " />
    <xsl:variable name="l-no-time-zone" select="if (contains($l-dt-value, '+')) then substring-before($l-dt-value, '+')       else if (contains($l-dt-value, '-')) then substring-before($l-dt-value, '-')       else $l-dt-value " />
    <xsl:variable name="l-length" select="string-length($l-no-time-zone) " />
    <xsl:variable name="l-year" select="if ($l-length &gt; 3) then substring($l-no-time-zone,1,4) else '' " />
    <xsl:variable name="l-month-num" select="if ($l-length &gt; 5) then substring($l-no-time-zone,5,2) else '' " />
    <xsl:variable name="l-day" select="if ($l-length &gt; 7 and substring($l-no-time-zone,7,1) = '0') then substring($l-no-time-zone,8,1)       else if ($l-length &gt; 7 and substring($l-no-time-zone,7,1) != '0') then substring($l-no-time-zone,7,2) else '' " />
    <xsl:variable name="l-hour-long" select="if ($l-length &gt; 9) then substring($l-no-time-zone,9,2) else '' " />
    <xsl:variable name="l-hour-short" select="if (substring($l-hour-long, 1, 1) = '0') then substring($l-hour-long, 2, 1) else '' " />
    <xsl:variable name="l-minute" select="if ($l-length &gt; 11) then substring($l-no-time-zone,11,2) else '' " />
    <xsl:variable name="l-second" select="if ($l-length &gt; 13) then substring($l-no-time-zone,13,2) else '' " />
    <xsl:variable name="l-time-zone" select="if (contains($l-dt-value, '+')) then concat('\+', substring-after($l-dt-value, '+'))       else if (contains($l-dt-value, '-')) then concat('\-', substring-after($l-dt-value, '-'))       else '' " />
    <xsl:variable name="l-month-short" select="if ($l-month-num = '01') then 'jan'   else             if ($l-month-num = '02') then 'feb'   else             if ($l-month-num = '03') then 'mar'   else             if ($l-month-num = '04') then 'apr'   else             if ($l-month-num = '05') then 'may'   else             if ($l-month-num = '06') then 'jun'   else             if ($l-month-num = '07') then 'jul'   else             if ($l-month-num = '08') then 'aug'   else             if ($l-month-num = '09') then 'sep'   else             if ($l-month-num = '10') then 'oct'   else             if ($l-month-num = '11') then 'nov'   else             if ($l-month-num = '12') then 'dec'   else '' " />
    <xsl:variable name="l-month-long" select="if ($l-month-num = '01') then 'january'   else             if ($l-month-num = '02') then 'february'  else             if ($l-month-num = '03') then 'march'   else             if ($l-month-num = '04') then 'april'   else             if ($l-month-num = '05') then 'may'   else             if ($l-month-num = '06') then 'june'   else             if ($l-month-num = '07') then 'july'   else             if ($l-month-num = '08') then 'august'   else             if ($l-month-num = '09') then 'september'  else             if ($l-month-num = '10') then 'october'   else             if ($l-month-num = '11') then 'november'  else             if ($l-month-num = '12') then 'december'  else '' " />
    <xsl:variable name="l-date-type-3-day" select="if (string-length($l-day) = 1) then concat('0{0,1}', $l-day) else $l-day " />
    <xsl:variable name="l-date-type-3-month" select="if (string-length($l-month-num) = 1) then concat('0{0,1}', $l-month-num)        else if (substring($l-month-num, 1, 1) = '0') then concat('0{0,1}', substring($l-month-num, 2, 1))         else $l-month-num " />
    <xsl:variable name="l-dt-sequence-1" select="if ($l-length = 4) then (         concat('^', $l-dt-value)        ,          concat('^', $l-year)         )        else if ($l-length = 6) then (         concat('^', $l-dt-value)        ,         concat('^', $l-month-short, $date-sep, $l-year)      ,          concat('^', $l-month-long, $date-sep, $l-year)      )        else if ($l-length &gt; 7) then (         concat('^', $l-dt-value)        ,         concat('^', $l-date-type-3-day, $date-sep, $l-month-short, $date-sep, $l-year)  ,         concat('^', $l-date-type-3-day, $date-sep, $l-month-long, $date-sep, $l-year)  ,         concat('^', $l-date-type-3-day, '/', $l-date-type-3-month, '/', $l-year)  )        else () " />
    <xsl:variable name="l-matching-seq-1" select="if (exists($l-dt-sequence-1))        then index-of(for $i in (1 to count($l-dt-sequence-1)) return exists($narr-dateTimes[matches(., $l-dt-sequence-1[$i], 'i')]), true())        else () " />
    <xsl:variable name="l-dt-stem-1" select="for $i in (1 to count($l-matching-seq-1)) return $l-dt-sequence-1[$l-matching-seq-1[$i]] " />
    <xsl:variable name="l-dt-regex-1" select="if (exists($l-dt-stem-1)) then concat('(', string-join($l-dt-stem-1, '$)|('), '$)') else ()" />
    <xsl:variable name="l-dt-match-1" select="exists($l-dt-stem-1) and exists($narr-dateTimes[matches(., $l-dt-regex-1, 'i')])" />
    <xsl:variable name="l-time-1" select="if ($l-length &gt; 11 and $l-hour-short != '') then concat($l-hour-short, ':', $l-minute, '( *| *am)') else '' " />
    <xsl:variable name="l-time-2" select="if ($l-length &gt; 13 and $l-hour-short != '') then concat($l-hour-short, ':', $l-minute, ':', $l-second, '( *| *am)') else '' " />
    <xsl:variable name="l-time-3" select="if ($l-length &gt; 11 and number($l-hour-long) &lt; 12) then concat($l-hour-long, ':', $l-minute, '( *| *am)')        else if ($l-length &gt; 11) then concat($l-hour-long, ':', $l-minute) else '' " />
    <xsl:variable name="l-time-4" select="if ($l-length &gt; 13 and number($l-hour-long) &lt; 12) then concat($l-hour-long, ':', $l-minute, ':', $l-second, '( *| *am)')        else if ($l-length &gt; 13) then concat($l-hour-long, ':', $l-minute, ':', $l-second) else '' " />
    <xsl:variable name="l-time-5" select="if ($l-length &gt; 11 and number($l-hour-long) &gt; 12) then concat(string(number($l-hour-long) - 12), ':', $l-minute, '( *| *pm)') else '' " />
    <xsl:variable name="l-time-6" select="if ($l-length &gt; 13 and number($l-hour-long) &gt; 12) then concat(string(number($l-hour-long) - 12), ':', $l-minute, ':', $l-second, '( *| *pm)') else '' " />
    <xsl:variable name="l-dt-temp-0" select="if (exists($l-dt-stem-1) and $l-length = 8) then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $narr-time-regex) else () " />
    <xsl:variable name="l-dt-temp-1" select="if (exists($l-dt-stem-1) and $l-time-1 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-1) else () " />
    <xsl:variable name="l-dt-temp-2" select="if (exists($l-dt-stem-1) and $l-time-2 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-2) else () " />
    <xsl:variable name="l-dt-temp-3" select="if (exists($l-dt-stem-1) and $l-time-3 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-3) else () " />
    <xsl:variable name="l-dt-temp-4" select="if (exists($l-dt-stem-1) and $l-time-4 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-4) else () " />
    <xsl:variable name="l-dt-temp-5" select="if (exists($l-dt-stem-1) and $l-time-5 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-5) else () " />
    <xsl:variable name="l-dt-temp-6" select="if (exists($l-dt-stem-1) and $l-time-6 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-6) else () " />
    <xsl:variable name="l-dt-sequence-2" select="($l-dt-temp-0, $l-dt-temp-1, $l-dt-temp-2, $l-dt-temp-3, $l-dt-temp-4, $l-dt-temp-5, $l-dt-temp-6)" />
    <xsl:variable name="l-matching-seq-2" select="if (exists($l-dt-sequence-2))        then index-of(for $i in (1 to count($l-dt-sequence-2)) return exists($narr-dateTimes[matches(., $l-dt-sequence-2[$i], 'i')]), true())        else () " />
    <xsl:variable name="l-dt-stem-2" select="for $i in (1 to count($l-matching-seq-2)) return $l-dt-sequence-2[$l-matching-seq-2[$i]] " />
    <xsl:variable name="l-dt-regex-2" select="if (exists($l-dt-stem-2)) then concat('(', string-join($l-dt-stem-2, '$)|('), '$)') else '' " />
    <xsl:variable name="l-dt-match-2" select="(exists($l-dt-stem-2) and exists($narr-dateTimes[matches(., $l-dt-regex-2, 'i')])) " />
    <xsl:variable name="l-dt-sequence-3" select="if (not($l-dt-match-2) and exists($l-dt-stem-2) and $l-time-zone != '') then for $i in (1 to count($l-dt-stem-2)) return        concat($l-dt-stem-2[$i], substring($l-time-zone, 1, 4), ':?', substring($l-time-zone, 5, 2)) else () " />
    <xsl:variable name="l-dt-regex-3" select="if ($l-dt-match-2) then '' else if (exists($l-dt-sequence-3)) then concat('(', string-join($l-dt-sequence-3, '$)|('), '$)') else '' " />
    <xsl:variable name="l-dt-match-3" select="($l-dt-match-2 or (exists($l-dt-sequence-3) and exists($narr-dateTimes[matches(., $l-dt-regex-3, 'i')]))) " />
    <xsl:variable name="l-narr-match" select="if ($l-dt-value != '' and count($narr-dateTimes) = 0) then      (       contains($narrative, $l-dt-value)                or       (string-length($l-dt-value) = 4 and contains($narrative, $l-year))             or        (string-length($l-dt-value) = 6 and contains($narrative, concat($l-month-short, $l-year)))          or       (string-length($l-dt-value) &gt; 7 and starts-with($l-day, '0') and        (contains($narrative, concat(substring($l-day,2,1), $l-month-short, $l-year)) or         contains($narrative, concat(substring($l-day,2,1), $l-month-num, $l-year))))          or       (string-length($l-dt-value) &gt; 7 and (contains($narrative, concat($l-day, $l-month-short, $l-year)) or contains($narrative, concat($l-day, $l-month-num, $l-year))))        )       else false() " />
    <xsl:variable name="h-dt-value" select="if (cda:high/@value and $l-dt-value != cda:high/@value) then cda:high/@value        else '' " />
    <xsl:variable name="h-no-time-zone" select="if (contains($h-dt-value, '+')) then substring-before($h-dt-value, '+')       else if (contains($h-dt-value, '-')) then substring-before($h-dt-value, '-')       else $h-dt-value " />
    <xsl:variable name="h-length" select="string-length($h-no-time-zone) " />
    <xsl:variable name="h-year" select="if ($h-length &gt; 3) then substring($h-no-time-zone,1,4) else '' " />
    <xsl:variable name="h-month-num" select="if ($h-length &gt; 5) then substring($h-no-time-zone,5,2) else '' " />
    <xsl:variable name="h-day" select="if ($h-length &gt; 7 and substring($h-no-time-zone,7,1) = '0') then substring($h-no-time-zone,8,1)       else if ($h-length &gt; 7 and substring($h-no-time-zone,7,1) != '0') then substring($h-no-time-zone,7,2) else '' " />
    <xsl:variable name="h-hour-long" select="if ($h-length &gt; 9) then substring($h-no-time-zone,9,2) else '' " />
    <xsl:variable name="h-hour-short" select="if (substring($h-hour-long, 1, 1) = '0') then substring($h-hour-long, 2, 1) else '' " />
    <xsl:variable name="h-minute" select="if ($h-length &gt; 11) then substring($h-no-time-zone,11,2) else '' " />
    <xsl:variable name="h-second" select="if ($h-length &gt; 13) then substring($h-no-time-zone,13,2) else '' " />
    <xsl:variable name="h-time-zone" select="if (contains($h-dt-value, '+')) then concat('\+', substring-after($h-dt-value, '+'))       else if (contains($h-dt-value, '-')) then concat('\-', substring-after($h-dt-value, '-'))       else '' " />
    <xsl:variable name="h-month-short" select="if ($h-month-num = '01') then 'jan'   else             if ($h-month-num = '02') then 'feb'   else             if ($h-month-num = '03') then 'mar'   else             if ($h-month-num = '04') then 'apr'   else             if ($h-month-num = '05') then 'may'   else             if ($h-month-num = '06') then 'jun'   else             if ($h-month-num = '07') then 'jul'   else             if ($h-month-num = '08') then 'aug'   else             if ($h-month-num = '09') then 'sep'   else             if ($h-month-num = '10') then 'oct'   else             if ($h-month-num = '11') then 'nov'   else             if ($h-month-num = '12') then 'dec'   else '' " />
    <xsl:variable name="h-month-long" select="if ($h-month-num = '01') then 'january'   else             if ($h-month-num = '02') then 'february'  else             if ($h-month-num = '03') then 'march'   else             if ($h-month-num = '04') then 'april'   else             if ($h-month-num = '05') then 'may'   else             if ($h-month-num = '06') then 'june'   else             if ($h-month-num = '07') then 'july'   else             if ($h-month-num = '08') then 'august'   else             if ($h-month-num = '09') then 'september'  else             if ($h-month-num = '10') then 'october'   else             if ($h-month-num = '11') then 'november'  else             if ($h-month-num = '12') then 'december'  else '' " />
    <xsl:variable name="h-date-type-3-day" select="if (string-length($h-day) = 1) then concat('0{0,1}', $h-day) else $h-day " />
    <xsl:variable name="h-date-type-3-month" select="if (string-length($h-month-num) = 1) then concat('0{0,1}', $h-month-num)        else if (substring($h-month-num, 1, 1) = '0') then concat('0{0,1}', substring($h-month-num, 2, 1))         else $h-month-num " />
    <xsl:variable name="h-dt-sequence-1" select="if ($h-length = 4) then (         concat('^', $h-dt-value)        ,          concat('^', $h-year)         )        else if ($h-length = 6) then (         concat('^', $h-dt-value)        ,         concat('^', $h-month-short, $date-sep, $h-year)      ,          concat('^', $h-month-long, $date-sep, $h-year)      )        else if ($h-length &gt; 7) then (         concat('^', $h-dt-value)        ,         concat('^', $h-date-type-3-day, $date-sep, $h-month-short, $date-sep, $h-year)  ,         concat('^', $h-date-type-3-day, $date-sep, $h-month-long, $date-sep, $h-year)  ,         concat('^', $h-date-type-3-day, '/', $h-date-type-3-month, '/', $h-year)  )        else () " />
    <xsl:variable name="h-matching-seq-1" select="if (exists($h-dt-sequence-1))        then index-of(for $i in (1 to count($h-dt-sequence-1)) return exists($narr-dateTimes[matches(., $h-dt-sequence-1[$i], 'i')]), true())        else () " />
    <xsl:variable name="h-dt-stem-1" select="for $i in (1 to count($h-matching-seq-1)) return $h-dt-sequence-1[$h-matching-seq-1[$i]] " />
    <xsl:variable name="h-dt-regex-1" select="if (exists($h-dt-stem-1)) then concat('(', string-join($h-dt-stem-1, '$)|('), '$)') else ()" />
    <xsl:variable name="h-dt-match-1" select="exists($h-dt-stem-1) and exists($narr-dateTimes[matches(., $h-dt-regex-1, 'i')])" />
    <xsl:variable name="h-time-1" select="if ($h-length &gt; 11 and $h-hour-short != '') then concat($h-hour-short, ':', $h-minute, '( *| *am)') else '' " />
    <xsl:variable name="h-time-2" select="if ($h-length &gt; 13 and $h-hour-short != '') then concat($h-hour-short, ':', $h-minute, ':', $h-second, '( *| *am)') else '' " />
    <xsl:variable name="h-time-3" select="if ($h-length &gt; 11 and number($h-hour-long) &lt; 12) then concat($h-hour-long, ':', $h-minute, '( *| *am)')        else if ($h-length &gt; 11) then concat($h-hour-long, ':', $h-minute) else '' " />
    <xsl:variable name="h-time-4" select="if ($h-length &gt; 13 and number($h-hour-long) &lt; 12) then concat($h-hour-long, ':', $h-minute, ':', $h-second, '( *| *am)')        else if ($h-length &gt; 13) then concat($h-hour-long, ':', $h-minute, ':', $h-second) else '' " />
    <xsl:variable name="h-time-5" select="if ($h-length &gt; 11 and number($h-hour-long) &gt; 12) then concat(string(number($h-hour-long) - 12), ':', $h-minute, '( *| *pm)') else '' " />
    <xsl:variable name="h-time-6" select="if ($h-length &gt; 13 and number($h-hour-long) &gt; 12) then concat(string(number($h-hour-long) - 12), ':', $h-minute, ':', $h-second, '( *| *pm)') else '' " />
    <xsl:variable name="h-dt-temp-0" select="if (exists($h-dt-stem-1) and $h-length = 8) then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $narr-time-regex) else () " />
    <xsl:variable name="h-dt-temp-1" select="if (exists($h-dt-stem-1) and $h-time-1 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-1) else () " />
    <xsl:variable name="h-dt-temp-2" select="if (exists($h-dt-stem-1) and $h-time-2 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-2) else () " />
    <xsl:variable name="h-dt-temp-3" select="if (exists($h-dt-stem-1) and $h-time-3 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-3) else () " />
    <xsl:variable name="h-dt-temp-4" select="if (exists($h-dt-stem-1) and $h-time-4 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-4) else () " />
    <xsl:variable name="h-dt-temp-5" select="if (exists($h-dt-stem-1) and $h-time-5 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-5) else () " />
    <xsl:variable name="h-dt-temp-6" select="if (exists($h-dt-stem-1) and $h-time-6 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-6) else () " />
    <xsl:variable name="h-dt-sequence-2" select="($h-dt-temp-0, $h-dt-temp-1, $h-dt-temp-2, $h-dt-temp-3, $h-dt-temp-4, $h-dt-temp-5, $h-dt-temp-6)" />
    <xsl:variable name="h-matching-seq-2" select="if (exists($h-dt-sequence-2))        then index-of(for $i in (1 to count($h-dt-sequence-2)) return exists($narr-dateTimes[matches(., $h-dt-sequence-2[$i], 'i')]), true())        else () " />
    <xsl:variable name="h-dt-stem-2" select="for $i in (1 to count($h-matching-seq-2)) return $h-dt-sequence-2[$h-matching-seq-2[$i]] " />
    <xsl:variable name="h-dt-regex-2" select="if (exists($h-dt-stem-2)) then concat('(', string-join($h-dt-stem-2, '$)|('), '$)') else '' " />
    <xsl:variable name="h-dt-match-2" select="(exists($h-dt-stem-2) and exists($narr-dateTimes[matches(., $h-dt-regex-2, 'i')])) " />
    <xsl:variable name="h-dt-sequence-3" select="if (not($h-dt-match-2) and exists($h-dt-stem-2) and $h-time-zone != '') then for $i in (1 to count($h-dt-stem-2)) return        concat($h-dt-stem-2[$i], substring($h-time-zone, 1, 4), ':?', substring($h-time-zone, 5, 2)) else () " />
    <xsl:variable name="h-dt-regex-3" select="if ($h-dt-match-2) then '' else if (exists($h-dt-sequence-3)) then concat('(', string-join($h-dt-sequence-3, '$)|('), '$)') else '' " />
    <xsl:variable name="h-dt-match-3" select="($h-dt-match-2 or (exists($h-dt-sequence-3) and exists($narr-dateTimes[matches(., $h-dt-regex-3, 'i')]))) " />
    <xsl:variable name="h-narr-match" select="if ($h-dt-value != '' and count($narr-dateTimes) = 0) then      (       contains($narrative, $h-dt-value)                or       (string-length($h-dt-value) = 4 and contains($narrative, $h-year))             or        (string-length($h-dt-value) = 6 and contains($narrative, concat($h-month-short, $h-year)))          or       (string-length($h-dt-value) &gt; 7 and starts-with($h-day, '0') and        (contains($narrative, concat(substring($h-day,2,1), $h-month-short, $h-year)) or         contains($narrative, concat(substring($h-day,2,1), $h-month-num, $h-year))))          or       (string-length($h-dt-value) &gt; 7 and (contains($narrative, concat($h-day, $h-month-short, $h-year)) or contains($narrative, concat($h-day, $h-month-num, $h-year))))        )       else false() " />
    <xsl:variable name="h-nullFlavor-values" select="if (cda:high/@nullFlavor and cda:high/@nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))        then $nullFlavors/nullFlavor[@value = current()/cda:high/@nullFlavor] else () " />
    <xsl:variable name="h-null-to-find" select="exists($h-nullFlavor-values) " />
    <xsl:variable name="h-null-in-narr" select="($h-nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $h-nullFlavor-values/@name-regex, 'is')])) or              ($h-nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $h-nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="l-nullFlavor-values" select="if (cda:low/@nullFlavor and cda:low/@nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))        then $nullFlavors/nullFlavor[@value = current()/cda:low/@nullFlavor] else () " />
    <xsl:variable name="l-null-to-find" select="exists($l-nullFlavor-values) " />
    <xsl:variable name="l-null-in-narr" select="($l-nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $l-nullFlavor-values/@name-regex, 'is')])) or              ($l-nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $l-nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="l-dt-name" select="if ($l-dt-value = cda:low/@value) then ' low' else '' " />
    <xsl:variable name="l-dt-msg" select="if ($l-dt-value = cda:low/@value) then ' This date/time is the low boundary of a time interval.' else '' " />
    <xsl:variable name="h-dt-msg" select="if ($h-dt-value = cda:high/@value) then ' This date/time is the high boundary of a time interval.' else '' " />
    <xsl:variable name="l-null-msg" select="if ($l-dt-value = cda:low/@value) then ' This nullFlavor value is for the low boundary of a time interval.' else '' " />
    <xsl:variable name="h-null-msg" select="if ($h-dt-value = cda:high/@value) then ' This nullFlavor value is for the high boundary of a time interval.' else '' " />
    <xsl:variable name="multimedia" select="exists($fir-narr-node//cda:renderMultiMedia) or exists($sec-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($fir-narr-node//cda:linkHtml) or exists($sec-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="l-warning-1" select="exists($l-dt-sequence-1) and exists($narr-dateTimes) and $l-dt-match-1 and not($l-dt-match-3) and $l-dt-value != '' " />
    <xsl:variable name="l-error-1" select="$l-warning-1 and not($multimedia) " />
    <xsl:variable name="l-warning-2" select="exists($l-dt-sequence-1) and exists($narr-dateTimes) and not($l-dt-match-1 or $l-dt-match-3) and $l-dt-value != '' " />
    <xsl:variable name="l-error-2a" select="$l-warning-2 and not($multimedia) and $l-time-zone != '' and count($narr-dateTimes) =        count(for $dt in $narr-dateTimes return replace(replace($dt, $regex-date-type-1, ''), $regex-date-type-2, '')       [matches(., concat('^\s*([0-9]{1,2}:{1}[0-9]{2}\s*', substring($l-time-zone, 1, 4), ':?', substring($l-time-zone, 5, 2),         '|[0-9]{1,2}:{1}[0-9]{2}:{1}[0-9]{2}\s*', substring($l-time-zone, 1, 4), ':?', substring($l-time-zone, 5, 2), ')\s*$'), 'i')]) " />
    <xsl:variable name="l-error-2b" select="$l-warning-2 and not($l-dt-match-1) and not($multimedia) and count($narr-dateTimes[matches(., $regex-date-type-2, 'i')]) =        count($narr-dateTimes[matches(., concat($regex-date-type-2, ' ', $narr-time-regex, '$'), 'i')]) " />
    <xsl:variable name="l-error-2c" select="$l-warning-2 and exists($narr-dateTimes[matches(., concat('^', $l-year, '$'))]) " />
    <xsl:variable name="l-error-2" select="$l-error-2a or $l-error-2b or $l-error-2c " />
    <xsl:variable name="l-warning-3" select="$l-dt-value != '' and not(exists($narr-dateTimes)) and not($l-narr-match) " />
    <xsl:variable name="l-error-3" select="$l-warning-3 and not($multimedia) and not(contains($narrative, substring($l-year, 3,2)))" />
    <xsl:variable name="h-warning-1" select="exists($h-dt-sequence-1) and exists($narr-dateTimes) and $h-dt-match-1 and not($h-dt-match-3) and $h-dt-value != '' " />
    <xsl:variable name="h-error-1" select="$h-warning-1 and not($multimedia) " />
    <xsl:variable name="h-warning-2" select="exists($h-dt-sequence-1) and exists($narr-dateTimes) and not($h-dt-match-1 or $h-dt-match-3) and $h-dt-value != '' " />
    <xsl:variable name="h-error-2a" select="$h-warning-2 and not($multimedia) and $h-time-zone != '' and count($narr-dateTimes) =        count(for $dt in $narr-dateTimes return replace(replace($dt, $regex-date-type-1, ''), $regex-date-type-2, '')       [matches(., concat('^\s*([0-9]{1,2}:{1}[0-9]{2}\s*', substring($h-time-zone, 1, 4), ':?', substring($h-time-zone, 5, 2),         '|[0-9]{1,2}:{1}[0-9]{2}:{1}[0-9]{2}\s*', substring($h-time-zone, 1, 4), ':?', substring($h-time-zone, 5, 2), ')\s*$'), 'i')]) " />
    <xsl:variable name="h-error-2b" select="$h-warning-2 and not($h-dt-match-1) and not($multimedia) and count($narr-dateTimes[matches(., $regex-date-type-2, 'i')]) =        count($narr-dateTimes[matches(., concat($regex-date-type-2, ' ', $narr-time-regex, '$'), 'i')]) " />
    <xsl:variable name="h-error-2c" select="$l-warning-2 and exists($narr-dateTimes[matches(., concat('^', $h-year, '$'))]) " />
    <xsl:variable name="h-error-2" select="$h-error-2a or $h-error-2b or $h-error-2c " />
    <xsl:variable name="h-warning-3" select="$h-dt-value != '' and not(exists($narr-dateTimes)) and not($h-narr-match) " />
    <xsl:variable name="h-error-3" select="$h-warning-3 and not($multimedia) and not(contains($narrative, substring($h-year, 3,2))) " />
    <xsl:variable name="narr-dt-msg" select="if ($multimedia or $no-content) then ''       else if (not(exists($narr-dateTimes))) then concat(' The narrative of the ', iq:location(., ''), ' contains no dateTime elements.')       else if (count($narr-dateTimes) = 1) then concat(' The only dateTime element in the narrative of the ', iq:location(., ''), ' is ''',         dh:XQueryRecursiveReplace($narr-dateTimes[1], '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), '''.')       else concat(' The distinct dateTime elements in the narrative of the ', iq:location(., ''), ' are ''',         string-join(for $dt in $narr-dateTimes return          dh:XQueryRecursiveReplace($dt, '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), ', '), '''.') " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-4" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-4 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and exists($l-dt-sequence-1) and $l-dt-value != '' and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and exists($l-dt-sequence-1) and $l-dt-value != '' and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 4: The dateTime element in the structured data is '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'.<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text />
		The number of dateTime elements that have been extracted from the narrative is '<xsl:text /><xsl:value-of select="count($narr-dateTimes)" /><xsl:text />'.
		These are '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-dateTimes, ', '), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The initial regular expressions are '<xsl:text /><xsl:value-of select="string-join($l-dt-sequence-1, ', ')" /><xsl:text />'.
		The three regular expressions used to perform an exact match for narrative dateTime elements are as follows:
		l-dt-regex-1='<xsl:text /><xsl:value-of select="$l-dt-regex-1" /><xsl:text />'; l-dt-regex-2='<xsl:text /><xsl:value-of select="$l-dt-regex-2" /><xsl:text />'; and l-dt-regex-3='<xsl:text /><xsl:value-of select="$l-dt-regex-3" /><xsl:text />'.
		Was a match found after the first regular expression was created? <xsl:text /><xsl:value-of select="$l-dt-match-1" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($l-dt-regex-2 = '') then 'The second regular expression was not applied as there is no time information.'    else concat('Was a match found after the second regular expression (with a date and time) was created? ', $l-dt-match-2, '.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($l-dt-regex-3 = '') then 'The third regular expression was not applied as there is no timezone information.'    else concat('Was a match found after the third regular expression (with a date and time) was created? ', $l-dt-match-3, '.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and exists($h-dt-sequence-1) and $h-dt-value != '' and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and exists($h-dt-sequence-1) and $h-dt-value != '' and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 4: The dateTime element in the structured data is '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'.<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text />
		The number of dateTime elements that have been extracted from the narrative is '<xsl:text /><xsl:value-of select="count($narr-dateTimes)" /><xsl:text />'.
		These are '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-dateTimes, ', '), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The initial regular expressions are '<xsl:text /><xsl:value-of select="string-join($h-dt-sequence-1, ', ')" /><xsl:text />'.
		The three regular expressions used to perform an exact match for narrative dateTime elements are as follows:
		h-dt-regex-1='<xsl:text /><xsl:value-of select="$h-dt-regex-1" /><xsl:text />'; h-dt-regex-2='<xsl:text /><xsl:value-of select="$h-dt-regex-2" /><xsl:text />'; and h-dt-regex-3='<xsl:text /><xsl:value-of select="$h-dt-regex-3" /><xsl:text />'.
		Was a match found after the first regular expression was created? <xsl:text /><xsl:value-of select="$h-dt-match-1" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($h-dt-regex-2 = '') then 'The second regular expression was not applied as there is no time information.'    else concat('Was a match found after the second regular expression (with a date and time) was created? ', $h-dt-match-2, '.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($h-dt-regex-3 = '') then 'The third regular expression was not applied as there is no timezone information.'    else concat('Was a match found after the third regular expression (with a date and time) was created? ', $h-dt-match-3, '.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $l-warning-1 and not($l-error-1 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $l-warning-1 and not($l-error-1 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Procedure DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /> Although the date was found in the narrative the Procedure DateTime data element must contain the time.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Procedure DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $l-error-1 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $l-error-1 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Procedure DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /> Although the date was found in the narrative the Procedure DateTime data element must contain the time.
		The Procedure DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $l-error-1 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $l-error-1 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Procedure DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /> Although the date was found in the narrative the Procedure DateTime data element must contain the time.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-warning-2 and not($l-error-2 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-warning-2 and not($l-error-2 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Procedure DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Procedure DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-error-2 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-error-2 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Procedure DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($l-error-2c) then concat('The narrative contains a date with the same year ''', $l-year, ''' but without a month or day.') else '' " /><xsl:text />
		The Procedure DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-error-2 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-error-2 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Procedure DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($l-error-2c) then concat('The narrative contains a date with the same year ''', $l-year, ''' but without a month or day.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $l-dt-value != '' and not($l-narr-match or $l-null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $l-dt-value != '' and not($l-narr-match or $l-null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Procedure DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $l-dt-value != '' and not($l-narr-match or $l-null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $l-dt-value != '' and not($l-narr-match or $l-null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Procedure DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Procedure DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $h-warning-1 and not($h-error-1 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $h-warning-1 and not($h-error-1 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Procedure DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /> Although the date was found in the narrative the Procedure DateTime data element must contain the time.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Procedure DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $h-error-1 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $h-error-1 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Procedure DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /> Although the date was found in the narrative the Procedure DateTime data element must contain the time.
		The Procedure DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $h-error-1 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $h-error-1 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Procedure DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /> Although the date was found in the narrative the Procedure DateTime data element must contain the time.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-warning-2 and not($h-error-2 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-warning-2 and not($h-error-2 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Procedure DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Procedure DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-error-2 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-error-2 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Procedure DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($h-error-2c) then concat('The narrative contains a date with the same year ''', $h-year, ''' but without a month or day.') else '' " /><xsl:text />
		The Procedure DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-error-2 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-error-2 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Procedure DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($h-error-2c) then concat('The narrative contains a date with the same year ''', $h-year, ''' but without a month or day.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-warning-3 and not($l-error-3 or $no-content)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-warning-3 and not($l-error-3 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Procedure DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not seem to be present in the narrative of the section.<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Procedure DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-error-3 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-error-3 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Procedure DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Procedure DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else ' All clinical information in entry elements must be present in the narrative.'" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-error-3 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-error-3 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Procedure DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-warning-3 and not($h-error-3 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-warning-3 and not($h-error-3 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Procedure DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not seem to be present in the narrative of the section.<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Procedure DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-error-3 and not($no-content) and true()  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-error-3 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Procedure DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text />
		The Procedure DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-error-3 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-error-3 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Procedure DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $h-dt-value != '' and not($h-narr-match or $h-null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $h-dt-value != '' and not($h-narr-match or $h-null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Procedure DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $h-dt-value != '' and not($h-narr-match or $h-null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $h-dt-value != '' and not($h-narr-match or $h-null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Procedure DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Procedure DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-null-to-find and not($l-null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-null-to-find and not($l-null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Procedure DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="cda:low/@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$l-nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($l-nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.<xsl:text /><xsl:value-of select="$l-null-msg" /><xsl:text /> If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-null-to-find and not($h-null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-null-to-find and not($h-null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Procedure DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="cda:high/@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$h-nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($h-nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.<xsl:text /><xsl:value-of select="$h-null-msg" /><xsl:text />
		If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M534" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M534" />
  <xsl:template match="@*|node()" priority="-2" mode="M534">
    <xsl:apply-templates select="@*|*" mode="M534" />
  </xsl:template>
  <!--PATTERN p-TS-MedHist-DateTime-1-->
  <!--RULE -->
  <xsl:template match="    /cda:ClinicalDocument['101.16117' = $doc-sections][cda:templateId[    (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3') or    (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.4')]]/cda:component/cda:structuredBody/cda:component/     cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/    cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]/cda:effectiveTime/cda:low     |    /cda:ClinicalDocument['101.16117' = $doc-sections][cda:templateId[    (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2') or    (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.3') or    (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')]]/cda:component/cda:structuredBody/cda:component/     cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/    cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]/cda:effectiveTime[@value or @nullFlavor]   |    /cda:ClinicalDocument['101.16117' = $doc-sections][cda:templateId[    (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2') or    (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.3') or    (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')]]/cda:component/cda:structuredBody/cda:component/     cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/    cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]/cda:effectiveTime/*[@value or @nullFlavor]   " priority="1000" mode="M535">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="    /cda:ClinicalDocument['101.16117' = $doc-sections][cda:templateId[    (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3') or    (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.4')]]/cda:component/cda:structuredBody/cda:component/     cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/    cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]/cda:effectiveTime/cda:low     |    /cda:ClinicalDocument['101.16117' = $doc-sections][cda:templateId[    (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2') or    (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.3') or    (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')]]/cda:component/cda:structuredBody/cda:component/     cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/    cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]/cda:effectiveTime[@value or @nullFlavor]   |    /cda:ClinicalDocument['101.16117' = $doc-sections][cda:templateId[    (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2') or    (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.3') or    (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')]]/cda:component/cda:structuredBody/cda:component/     cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/    cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]/cda:effectiveTime/*[@value or @nullFlavor]   " />
    <xsl:variable name="allow-ivl-ts" select="if (not(@xsi:type)) then false() else /cda:ClinicalDocument       [cda:templateId[(@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')  or         (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or         (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) ]]   and        local-name(.) = 'value'             and        ..[local-name(.) = 'observation' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]   and       ../..[local-name(.) = 'entryRelationship' and @typeCode='SUBJ']        and       ../../..[local-name(.) = 'observation' and cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]  and       ../../../..[local-name(.) = 'entry']            and       ../../../../..[local-name(.) = 'section' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]  " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-18" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-18 else $rating-alt-TC-Types-18 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-18: The Problem/Diagnosis Date of Onset '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data
		type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime',            'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime', 'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: The Problem/Diagnosis Date of Onset

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type but it does not meet the requirement to have the xsi:type attribute with the value 'TS'.
		(See section 8.6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the Problem/Diagnosis Date of Onset '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was
		found. This may be corrected by using an xsi:type attribute with the value 'TS'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the Problem/Diagnosis Date of Onset '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		This may be corrected by using an xsi:type attribute with the value 'TS'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the Problem/Diagnosis Date of Onset '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7
		'TS' data type to have a value attribute if there is no nullFlavor
		attribute. (See section 7.8.13.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange')

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the Problem/Diagnosis Date of Onset '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7 'TS' data type to have a value attribute if there is no nullFlavor
		attribute. The element has a '<xsl:text /><xsl:value-of select="local-name(*[local-name(.) = ('low', 'high')])" /><xsl:text />' child element with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		which is not one of the elements used for the HL7 'TS'
		data type. (See section 7.8.13 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Problem/Diagnosis Date of Onset
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		is present. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Problem/Diagnosis Date of Onset
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' was found. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Problem/Diagnosis Date of Onset
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Problem/Diagnosis Date of Onset
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@value) and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@value) and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to the Structured Content Specification the Problem/Diagnosis Date of Onset
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (uncoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include
		nullFlavor 'UNC'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M535" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M535" />
  <xsl:template match="@*|node()" priority="-2" mode="M535">
    <xsl:apply-templates select="@*|*" mode="M535" />
  </xsl:template>
  <!--PATTERN p-TS-MedHist-DateTime-2-->
  <!--RULE -->
  <xsl:template match="    /cda:ClinicalDocument['101.16117' = $doc-sections][cda:templateId[    (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3') or    (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.4')]]/cda:component/cda:structuredBody/cda:component/     cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/    cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]/cda:effectiveTime/cda:low    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))]  |     /cda:ClinicalDocument['101.16117' = $doc-sections][cda:templateId[    (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2') or    (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.3') or    (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')]]/cda:component/cda:structuredBody/cda:component/     cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/    cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]/cda:effectiveTime[@value or @nullFlavor]    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))]  |    /cda:ClinicalDocument['101.16117' = $doc-sections][cda:templateId[    (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2') or    (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.3') or    (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')]]/cda:component/cda:structuredBody/cda:component/     cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/    cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]/cda:effectiveTime/*[@value or @nullFlavor]    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))]   " priority="1000" mode="M536">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="    /cda:ClinicalDocument['101.16117' = $doc-sections][cda:templateId[    (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3') or    (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.4')]]/cda:component/cda:structuredBody/cda:component/     cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/    cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]/cda:effectiveTime/cda:low    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))]  |     /cda:ClinicalDocument['101.16117' = $doc-sections][cda:templateId[    (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2') or    (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.3') or    (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')]]/cda:component/cda:structuredBody/cda:component/     cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/    cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]/cda:effectiveTime[@value or @nullFlavor]    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))]  |    /cda:ClinicalDocument['101.16117' = $doc-sections][cda:templateId[    (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2') or    (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.3') or    (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')]]/cda:component/cda:structuredBody/cda:component/     cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/    cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]/cda:effectiveTime/*[@value or @nullFlavor]    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))]   " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="fir-narrative" select="translate(normalize-space(lower-case(string($fir-narr-node))), $chars-to-remove, '')" />
    <xsl:variable name="sec-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)        then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]        else () " />
    <xsl:variable name="sec-narr-node" select="$sec-section/cda:text " />
    <xsl:variable name="narr-text-el" select="(for $text in ($fir-narr-node//text(), $sec-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="sec-narrative" select="translate(normalize-space(lower-case(string($sec-narr-node))), $chars-to-remove, '') " />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="narrative" select="concat($target-title, $fir-narrative, $sec-narrative)" />
    <xsl:variable name="narr-elements" select="$fir-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ]  |             $sec-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ] " />
    <xsl:variable name="narr-lower-case" select="for $i in (1 to count($narr-elements)) return lower-case(normalize-space(string-join($narr-elements[$i]/text(), '')))  " />
    <xsl:variable name="dt-narr-elements" select="$narr-lower-case[matches(., $regex-date-type-1, 'i') or matches(., $regex-date-type-2, 'i') or matches(., $regex-date-type-3, 'i')] " />
    <xsl:variable name="narr-elements-start" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-before($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-before($dt-narr-elements[$i], ' -'))        else $dt-narr-elements[$i])[. != ''] " />
    <xsl:variable name="narr-elements-end" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-after($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-after($dt-narr-elements[$i], ' -'))        else '')[. != ''] " />
    <xsl:variable name="narr-dateTimes" select="distinct-values(($narr-elements-start , $narr-elements-end))[. != '(ongoing)'] " />
    <xsl:variable name="dt-value" select="if (@value) then @value else '' " />
    <xsl:variable name="no-time-zone" select="if (contains($dt-value, '+')) then substring-before($dt-value, '+')       else if (contains($dt-value, '-')) then substring-before($dt-value, '-')       else $dt-value " />
    <xsl:variable name="dateTime-length" select="string-length($no-time-zone) " />
    <xsl:variable name="year" select="if ($dateTime-length &gt; 3) then substring($no-time-zone,1,4) else '' " />
    <xsl:variable name="month-num" select="if ($dateTime-length &gt; 5) then substring($no-time-zone,5,2) else '' " />
    <xsl:variable name="day" select="if ($dateTime-length &gt; 7 and substring($no-time-zone,7,1) = '0') then substring($no-time-zone,8,1)       else if ($dateTime-length &gt; 7 and substring($no-time-zone,7,1) != '0') then substring($no-time-zone,7,2) else '' " />
    <xsl:variable name="hour-long" select="if ($dateTime-length &gt; 9) then substring($no-time-zone,9,2) else '' " />
    <xsl:variable name="hour-short" select="if (substring($hour-long, 1, 1) = '0') then substring($hour-long, 2, 1) else '' " />
    <xsl:variable name="minute" select="if ($dateTime-length &gt; 11) then substring($no-time-zone,11,2) else '' " />
    <xsl:variable name="second" select="if ($dateTime-length &gt; 13) then substring($no-time-zone,13,2) else '' " />
    <xsl:variable name="time-zone" select="if (contains($dt-value, '+')) then concat('\+', substring-after($dt-value, '+'))       else if (contains($dt-value, '-')) then concat('\-', substring-after($dt-value, '-'))       else '' " />
    <xsl:variable name="month-short" select="if ($month-num = '01') then 'jan'  else             if ($month-num = '02') then 'feb'  else             if ($month-num = '03') then 'mar'  else             if ($month-num = '04') then 'apr'  else             if ($month-num = '05') then 'may'  else             if ($month-num = '06') then 'jun'  else             if ($month-num = '07') then 'jul'  else             if ($month-num = '08') then 'aug'  else             if ($month-num = '09') then 'sep'  else             if ($month-num = '10') then 'oct'  else             if ($month-num = '11') then 'nov'  else             if ($month-num = '12') then 'dec'  else '' " />
    <xsl:variable name="month-long" select="if ($month-num = '01') then 'january'  else             if ($month-num = '02') then 'february'  else             if ($month-num = '03') then 'march'  else             if ($month-num = '04') then 'april'  else             if ($month-num = '05') then 'may'  else             if ($month-num = '06') then 'june'  else             if ($month-num = '07') then 'july'  else             if ($month-num = '08') then 'august'  else             if ($month-num = '09') then 'september'  else             if ($month-num = '10') then 'october'  else             if ($month-num = '11') then 'november'  else             if ($month-num = '12') then 'december'  else '' " />
    <xsl:variable name="date-type-3-day" select="if (string-length($day) = 1) then concat('0{0,1}', $day) else $day " />
    <xsl:variable name="date-type-3-month" select="if (string-length($month-num) = 1) then concat('0{0,1}', $month-num)        else if (substring($month-num, 1, 1) = '0') then concat('0{0,1}', substring($month-num, 2, 1))         else $month-num " />
    <xsl:variable name="dt-sequence-1" select="if ($dateTime-length = 4) then (         concat('^', $dt-value)         ,          concat('^', $year)         )        else if ($dateTime-length = 6) then (         concat('^', $dt-value)         ,         concat('^', $month-short, $date-sep, $year)      ,          concat('^', $month-long, $date-sep, $year)      )        else if ($dateTime-length &gt; 7) then (         concat('^', $dt-value)         ,         concat('^', $date-type-3-day, $date-sep, $month-short, $date-sep, $year)  ,         concat('^', $date-type-3-day, $date-sep, $month-long, $date-sep, $year)   ,         concat('^', $date-type-3-day, '/', $date-type-3-month, '/', $year)   )        else () " />
    <xsl:variable name="matching-seq-1" select="if (exists($dt-sequence-1))        then index-of(for $i in (1 to count($dt-sequence-1)) return exists($narr-dateTimes[matches(., $dt-sequence-1[$i], 'i')]), true())        else () " />
    <xsl:variable name="dt-stem-1" select="for $i in (1 to count($matching-seq-1)) return $dt-sequence-1[$matching-seq-1[$i]] " />
    <xsl:variable name="dt-regex-1" select="if (exists($dt-stem-1)) then concat('(', string-join($dt-stem-1, '$)|('), '$)') else ()" />
    <xsl:variable name="dt-match-1" select="exists($dt-stem-1) and exists($narr-dateTimes[matches(., $dt-regex-1, 'i')])" />
    <xsl:variable name="time-1" select="if ($dateTime-length &gt; 11 and $hour-short != '') then concat($hour-short, ':', $minute, '( *| *am)') else '' " />
    <xsl:variable name="time-2" select="if ($dateTime-length &gt; 13 and $hour-short != '') then concat($hour-short, ':', $minute, ':', $second, '( *| *am)') else '' " />
    <xsl:variable name="time-3" select="if ($dateTime-length &gt; 11 and number($hour-long) &lt; 12) then concat($hour-long, ':', $minute, '( *| *am)')       else if ($dateTime-length &gt; 11) then concat($hour-long, ':', $minute) else '' " />
    <xsl:variable name="time-4" select="if ($dateTime-length &gt; 13 and number($hour-long) &lt; 12) then concat($hour-long, ':', $minute, ':', $second, '( *| *am)')        else if ($dateTime-length &gt; 13) then concat($hour-long, ':', $minute, ':', $second) else '' " />
    <xsl:variable name="time-5" select="if ($dateTime-length &gt; 11 and number($hour-long) &gt; 12) then concat(string(number($hour-long) - 12), ':', $minute, '( *| *pm)') else '' " />
    <xsl:variable name="time-6" select="if ($dateTime-length &gt; 13 and number($hour-long) &gt; 12) then concat(string(number($hour-long) - 12), ':', $minute, ':', $second, '( *| *pm)') else '' " />
    <xsl:variable name="dt-temp-0" select="if (exists($dt-stem-1) and $dateTime-length = 8) then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $narr-time-regex) else () " />
    <xsl:variable name="dt-temp-1" select="if (exists($dt-stem-1) and $time-1 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-1) else () " />
    <xsl:variable name="dt-temp-2" select="if (exists($dt-stem-1) and $time-2 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-2) else () " />
    <xsl:variable name="dt-temp-3" select="if (exists($dt-stem-1) and $time-3 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-3) else () " />
    <xsl:variable name="dt-temp-4" select="if (exists($dt-stem-1) and $time-4 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-4) else () " />
    <xsl:variable name="dt-temp-5" select="if (exists($dt-stem-1) and $time-5 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-5) else () " />
    <xsl:variable name="dt-temp-6" select="if (exists($dt-stem-1) and $time-6 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-6) else () " />
    <xsl:variable name="dt-sequence-2" select="($dt-temp-0, $dt-temp-1, $dt-temp-2, $dt-temp-3, $dt-temp-4, $dt-temp-5, $dt-temp-6)" />
    <xsl:variable name="matching-seq-2" select="if (exists($dt-sequence-2))        then index-of(for $i in (1 to count($dt-sequence-2)) return exists($narr-dateTimes[matches(., $dt-sequence-2[$i], 'i')]), true())        else () " />
    <xsl:variable name="dt-stem-2" select="for $i in (1 to count($matching-seq-2)) return $dt-sequence-2[$matching-seq-2[$i]] " />
    <xsl:variable name="dt-regex-2" select="if (exists($dt-stem-2)) then concat('(', string-join($dt-stem-2, '$)|('), '$)') else '' " />
    <xsl:variable name="dt-match-2" select="(exists($dt-stem-2) and exists($narr-dateTimes[matches(., $dt-regex-2, 'i')])) " />
    <xsl:variable name="dt-sequence-3" select="if (not($dt-match-2) and exists($dt-stem-2) and $time-zone != '') then for $i in (1 to count($dt-stem-2)) return        concat($dt-stem-2[$i], substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2)) else () " />
    <xsl:variable name="dt-regex-3" select="if ($dt-match-2) then '' else if (exists($dt-sequence-3)) then concat('(', string-join($dt-sequence-3, '$)|('), '$)') else '' " />
    <xsl:variable name="dt-match-3" select="($dt-match-2 or (exists($dt-sequence-3) and exists($narr-dateTimes[matches(., $dt-regex-3, 'i')]))) " />
    <xsl:variable name="narr-match" select="if ($dt-value != '' and not(exists($narr-dateTimes))) then      (       contains($narrative, $dt-value)               or       (string-length($dt-value) = 4 and contains($narrative, $year))            or        (string-length($dt-value) = 6 and contains($narrative, concat($month-short, $year)))          or       (string-length($dt-value) &gt; 7 and starts-with($day, '0') and        (contains($narrative, concat(substring($day,2,1), $month-short, $year)) or         contains($narrative, concat(substring($day,2,1), $month-num, $year))))          or       (string-length($dt-value) &gt; 7 and (contains($narrative, concat($day, $month-short, $year)) or contains($narrative, concat($day, $month-num, $year))))        )       else false() " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($fir-narr-node//cda:renderMultiMedia) or exists($sec-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($fir-narr-node//cda:linkHtml) or exists($sec-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="warning-1" select="exists($dt-sequence-1) and exists($narr-dateTimes) and $dt-match-1 and not($dt-match-3) and $dt-value != '' " />
    <xsl:variable name="error-1" select="$warning-1 and not($multimedia) " />
    <xsl:variable name="warning-2" select="exists($dt-sequence-1) and exists($narr-dateTimes) and not($dt-match-1 or $dt-match-3) and $dt-value != '' " />
    <xsl:variable name="error-2a" select="$warning-2 and not($multimedia) and $time-zone != '' and count($narr-dateTimes) =        count(for $dt in $narr-dateTimes return replace(replace($dt, $regex-date-type-1, ''), $regex-date-type-2, '')       [matches(., concat('^\s*([0-9]{1,2}:{1}[0-9]{2}\s*', substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2),         '|[0-9]{1,2}:{1}[0-9]{2}:{1}[0-9]{2}\s*', substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2), ')\s*$'), 'i')]) " />
    <xsl:variable name="error-2b" select="$warning-2 and not($dt-match-1) and not($multimedia) and count($narr-dateTimes[matches(., $regex-date-type-2, 'i')]) =        count($narr-dateTimes[matches(., concat($regex-date-type-2, ' ', $narr-time-regex, '$'), 'i')]) " />
    <xsl:variable name="error-2c" select="$warning-2 and exists($narr-dateTimes[matches(., concat('^', $year, '$'))]) " />
    <xsl:variable name="error-2" select="$error-2a or $error-2b or $error-2c " />
    <xsl:variable name="warning-3" select="$dt-value != '' and not(exists($narr-dateTimes)) and not($narr-match) " />
    <xsl:variable name="error-3" select="$warning-3 and not($multimedia) and not(contains($narrative, substring($year, 3, 2)))" />
    <xsl:variable name="narr-dt-msg" select="if ($multimedia or $no-content) then ''       else if (not(exists($narr-dateTimes))) then concat(' The narrative of the ', iq:location(., ''), ' contains no dateTime elements.')       else if (count($narr-dateTimes) = 1) then concat(' The only dateTime element in the narrative of the ', iq:location(., ''), ' is ''',         dh:XQueryRecursiveReplace($narr-dateTimes[1], '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), '''.')       else concat(' The distinct dateTime elements in the narrative of the ', iq:location(., ''), ' are ''',         string-join(for $dt in $narr-dateTimes return          dh:XQueryRecursiveReplace($dt, '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), ', '), '''.') " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-4" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-4 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and exists($dt-sequence-1) and $dt-value != '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and exists($dt-sequence-1) and $dt-value != ''">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 4: The dateTime element in the structured data is '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'.
		The number of dateTime elements that have been extracted from the narrative is '<xsl:text /><xsl:value-of select="count($narr-dateTimes)" /><xsl:text />'.
		These are '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-dateTimes, ', '), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The initial regular expressions are '<xsl:text /><xsl:value-of select="string-join($dt-sequence-1, ', ')" /><xsl:text />'.
		The items in dt-stem-1 are: '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($dt-stem-1, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The items in dt-sequence-2 are: '<xsl:text /><xsl:value-of select="string-join($dt-sequence-2, '|')" /><xsl:text />'.
		The items in dt-stem-2 are: '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($dt-stem-2, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The three regular expressions used to perform an exact match for narrative dateTime elements are as follows:
		dt-regex-1='<xsl:text /><xsl:value-of select="$dt-regex-1" /><xsl:text />'; dt-regex-2='<xsl:text /><xsl:value-of select="$dt-regex-2" /><xsl:text />'; and dt-regex-3='<xsl:text /><xsl:value-of select="$dt-regex-3" /><xsl:text />'.
		Was a match found after the first regular expression (with just a date) was created? <xsl:text /><xsl:value-of select="$dt-match-1" /><xsl:text />.		
		<xsl:text /><xsl:value-of select="if ($dt-regex-2 = '') then 'The second regular expression was not applied as there is no time information.'    else concat('Was a match found after the second regular expression (with a date and time) was created? ', $dt-match-2, '.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($dt-regex-3 = '') then ' The third regular expression was not applied as there is no timezone information.'    else concat(' Was a match found after the third regular expression (with a date and time) was created? ', $dt-match-3, '.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $warning-1 and not($error-1 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $warning-1 and not($error-1 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Problem/Diagnosis Date of Onset 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Problem/Diagnosis Date of Onset data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $error-1 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $error-1 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Problem/Diagnosis Date of Onset 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. The Problem/Diagnosis Date of Onset data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $error-1 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $error-1 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Problem/Diagnosis Date of Onset 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. The Problem/Diagnosis Date of Onset data element records clinical information and all clinical information in entry elements must be present in the narrative.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $warning-2 and not($error-2 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$warning-2 and not($error-2 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Problem/Diagnosis Date of Onset 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Problem/Diagnosis Date of Onset data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-2 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-2 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Problem/Diagnosis Date of Onset 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="if ($error-2c) then concat('The narrative contains a date with the same year ''', $year, ''' but without a month or day.') else '' " /><xsl:text />
		The Problem/Diagnosis Date of Onset data element records clinical information and all clinical information in entry elements must be present in the narrative.
		<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-2 and not($no-content) and not(true())">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-2 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Problem/Diagnosis Date of Onset 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="if ($error-2c) then concat('The narrative contains a date with the same year ''', $year, ''' but without a month or day.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $warning-3 and not($error-3 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$warning-3 and not($error-3 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Problem/Diagnosis Date of Onset 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Problem/Diagnosis Date of Onset data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $dt-value != '' and not($narr-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $dt-value != '' and not($narr-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Problem/Diagnosis Date of Onset 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $dt-value != '' and not($narr-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $dt-value != '' and not($narr-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Problem/Diagnosis Date of Onset '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Problem/Diagnosis Date of Onset data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-3 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-3 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Problem/Diagnosis Date of Onset '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Problem/Diagnosis Date of Onset data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-3 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-3 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Problem/Diagnosis Date of Onset '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Problem/Diagnosis Date of Onset '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M536" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M536" />
  <xsl:template match="@*|node()" priority="-2" mode="M536">
    <xsl:apply-templates select="@*|*" mode="M536" />
  </xsl:template>
  <!--PATTERN p-TS-MedHist-DateTime-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/   cda:entry/cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]/cda:entryRelationship[@typeCode='SUBJ']/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]/cda:value " priority="1000" mode="M537">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/   cda:entry/cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]/cda:entryRelationship[@typeCode='SUBJ']/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]/cda:value " />
    <xsl:variable name="allow-ivl-ts" select="if (not(@xsi:type)) then false() else /cda:ClinicalDocument       [cda:templateId[(@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')  or         (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or         (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) ]]   and        local-name(.) = 'value'             and        ..[local-name(.) = 'observation' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]   and       ../..[local-name(.) = 'entryRelationship' and @typeCode='SUBJ']        and       ../../..[local-name(.) = 'observation' and cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]  and       ../../../..[local-name(.) = 'entry']            and       ../../../../..[local-name(.) = 'section' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]  " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-18" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-18 else $rating-alt-TC-Types-18 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-18: The Problem/Diagnosis Date of Resolution/Remission '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data
		type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime',            'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime', 'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: The Problem/Diagnosis Date of Resolution/Remission

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type but it does not meet the requirement to have the xsi:type attribute with the value 'TS'.
		(See section 8.6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the Problem/Diagnosis Date of Resolution/Remission '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was
		found. This may be corrected by using an xsi:type attribute with the value 'TS'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the Problem/Diagnosis Date of Resolution/Remission '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		This may be corrected by using an xsi:type attribute with the value 'TS'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the Problem/Diagnosis Date of Resolution/Remission '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7
		'TS' data type to have a value attribute if there is no nullFlavor
		attribute. (See section 7.8.13.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange')

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the Problem/Diagnosis Date of Resolution/Remission '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7 'TS' data type to have a value attribute if there is no nullFlavor
		attribute. The element has a '<xsl:text /><xsl:value-of select="local-name(*[local-name(.) = ('low', 'high')])" /><xsl:text />' child element with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		which is not one of the elements used for the HL7 'TS'
		data type. (See section 7.8.13 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Problem/Diagnosis Date of Resolution/Remission
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		is present. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Problem/Diagnosis Date of Resolution/Remission
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' was found. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Problem/Diagnosis Date of Resolution/Remission
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Problem/Diagnosis Date of Resolution/Remission
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@value) and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@value) and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to the Structured Content Specification the Problem/Diagnosis Date of Resolution/Remission
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (uncoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include
		nullFlavor 'UNC'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M537" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M537" />
  <xsl:template match="@*|node()" priority="-2" mode="M537">
    <xsl:apply-templates select="@*|*" mode="M537" />
  </xsl:template>
  <!--PATTERN p-TS-MedHist-DateTime-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/   cda:entry/cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]/cda:entryRelationship[@typeCode='SUBJ']/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]/cda:value    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))] " priority="1000" mode="M538">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/   cda:entry/cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]/cda:entryRelationship[@typeCode='SUBJ']/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]/cda:value    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="fir-narrative" select="translate(normalize-space(lower-case(string($fir-narr-node))), $chars-to-remove, '')" />
    <xsl:variable name="sec-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)        then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]        else () " />
    <xsl:variable name="sec-narr-node" select="$sec-section/cda:text " />
    <xsl:variable name="narr-text-el" select="(for $text in ($fir-narr-node//text(), $sec-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="sec-narrative" select="translate(normalize-space(lower-case(string($sec-narr-node))), $chars-to-remove, '') " />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="narrative" select="concat($target-title, $fir-narrative, $sec-narrative)" />
    <xsl:variable name="narr-elements" select="$fir-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ]  |             $sec-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ] " />
    <xsl:variable name="narr-lower-case" select="for $i in (1 to count($narr-elements)) return lower-case(normalize-space(string-join($narr-elements[$i]/text(), '')))  " />
    <xsl:variable name="dt-narr-elements" select="$narr-lower-case[matches(., $regex-date-type-1, 'i') or matches(., $regex-date-type-2, 'i') or matches(., $regex-date-type-3, 'i')] " />
    <xsl:variable name="narr-elements-start" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-before($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-before($dt-narr-elements[$i], ' -'))        else $dt-narr-elements[$i])[. != ''] " />
    <xsl:variable name="narr-elements-end" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-after($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-after($dt-narr-elements[$i], ' -'))        else '')[. != ''] " />
    <xsl:variable name="narr-dateTimes" select="distinct-values(($narr-elements-start , $narr-elements-end))[. != '(ongoing)'] " />
    <xsl:variable name="dt-value" select="if (@value) then @value else '' " />
    <xsl:variable name="no-time-zone" select="if (contains($dt-value, '+')) then substring-before($dt-value, '+')       else if (contains($dt-value, '-')) then substring-before($dt-value, '-')       else $dt-value " />
    <xsl:variable name="dateTime-length" select="string-length($no-time-zone) " />
    <xsl:variable name="year" select="if ($dateTime-length &gt; 3) then substring($no-time-zone,1,4) else '' " />
    <xsl:variable name="month-num" select="if ($dateTime-length &gt; 5) then substring($no-time-zone,5,2) else '' " />
    <xsl:variable name="day" select="if ($dateTime-length &gt; 7 and substring($no-time-zone,7,1) = '0') then substring($no-time-zone,8,1)       else if ($dateTime-length &gt; 7 and substring($no-time-zone,7,1) != '0') then substring($no-time-zone,7,2) else '' " />
    <xsl:variable name="hour-long" select="if ($dateTime-length &gt; 9) then substring($no-time-zone,9,2) else '' " />
    <xsl:variable name="hour-short" select="if (substring($hour-long, 1, 1) = '0') then substring($hour-long, 2, 1) else '' " />
    <xsl:variable name="minute" select="if ($dateTime-length &gt; 11) then substring($no-time-zone,11,2) else '' " />
    <xsl:variable name="second" select="if ($dateTime-length &gt; 13) then substring($no-time-zone,13,2) else '' " />
    <xsl:variable name="time-zone" select="if (contains($dt-value, '+')) then concat('\+', substring-after($dt-value, '+'))       else if (contains($dt-value, '-')) then concat('\-', substring-after($dt-value, '-'))       else '' " />
    <xsl:variable name="month-short" select="if ($month-num = '01') then 'jan'  else             if ($month-num = '02') then 'feb'  else             if ($month-num = '03') then 'mar'  else             if ($month-num = '04') then 'apr'  else             if ($month-num = '05') then 'may'  else             if ($month-num = '06') then 'jun'  else             if ($month-num = '07') then 'jul'  else             if ($month-num = '08') then 'aug'  else             if ($month-num = '09') then 'sep'  else             if ($month-num = '10') then 'oct'  else             if ($month-num = '11') then 'nov'  else             if ($month-num = '12') then 'dec'  else '' " />
    <xsl:variable name="month-long" select="if ($month-num = '01') then 'january'  else             if ($month-num = '02') then 'february'  else             if ($month-num = '03') then 'march'  else             if ($month-num = '04') then 'april'  else             if ($month-num = '05') then 'may'  else             if ($month-num = '06') then 'june'  else             if ($month-num = '07') then 'july'  else             if ($month-num = '08') then 'august'  else             if ($month-num = '09') then 'september'  else             if ($month-num = '10') then 'october'  else             if ($month-num = '11') then 'november'  else             if ($month-num = '12') then 'december'  else '' " />
    <xsl:variable name="date-type-3-day" select="if (string-length($day) = 1) then concat('0{0,1}', $day) else $day " />
    <xsl:variable name="date-type-3-month" select="if (string-length($month-num) = 1) then concat('0{0,1}', $month-num)        else if (substring($month-num, 1, 1) = '0') then concat('0{0,1}', substring($month-num, 2, 1))         else $month-num " />
    <xsl:variable name="dt-sequence-1" select="if ($dateTime-length = 4) then (         concat('^', $dt-value)         ,          concat('^', $year)         )        else if ($dateTime-length = 6) then (         concat('^', $dt-value)         ,         concat('^', $month-short, $date-sep, $year)      ,          concat('^', $month-long, $date-sep, $year)      )        else if ($dateTime-length &gt; 7) then (         concat('^', $dt-value)         ,         concat('^', $date-type-3-day, $date-sep, $month-short, $date-sep, $year)  ,         concat('^', $date-type-3-day, $date-sep, $month-long, $date-sep, $year)   ,         concat('^', $date-type-3-day, '/', $date-type-3-month, '/', $year)   )        else () " />
    <xsl:variable name="matching-seq-1" select="if (exists($dt-sequence-1))        then index-of(for $i in (1 to count($dt-sequence-1)) return exists($narr-dateTimes[matches(., $dt-sequence-1[$i], 'i')]), true())        else () " />
    <xsl:variable name="dt-stem-1" select="for $i in (1 to count($matching-seq-1)) return $dt-sequence-1[$matching-seq-1[$i]] " />
    <xsl:variable name="dt-regex-1" select="if (exists($dt-stem-1)) then concat('(', string-join($dt-stem-1, '$)|('), '$)') else ()" />
    <xsl:variable name="dt-match-1" select="exists($dt-stem-1) and exists($narr-dateTimes[matches(., $dt-regex-1, 'i')])" />
    <xsl:variable name="time-1" select="if ($dateTime-length &gt; 11 and $hour-short != '') then concat($hour-short, ':', $minute, '( *| *am)') else '' " />
    <xsl:variable name="time-2" select="if ($dateTime-length &gt; 13 and $hour-short != '') then concat($hour-short, ':', $minute, ':', $second, '( *| *am)') else '' " />
    <xsl:variable name="time-3" select="if ($dateTime-length &gt; 11 and number($hour-long) &lt; 12) then concat($hour-long, ':', $minute, '( *| *am)')       else if ($dateTime-length &gt; 11) then concat($hour-long, ':', $minute) else '' " />
    <xsl:variable name="time-4" select="if ($dateTime-length &gt; 13 and number($hour-long) &lt; 12) then concat($hour-long, ':', $minute, ':', $second, '( *| *am)')        else if ($dateTime-length &gt; 13) then concat($hour-long, ':', $minute, ':', $second) else '' " />
    <xsl:variable name="time-5" select="if ($dateTime-length &gt; 11 and number($hour-long) &gt; 12) then concat(string(number($hour-long) - 12), ':', $minute, '( *| *pm)') else '' " />
    <xsl:variable name="time-6" select="if ($dateTime-length &gt; 13 and number($hour-long) &gt; 12) then concat(string(number($hour-long) - 12), ':', $minute, ':', $second, '( *| *pm)') else '' " />
    <xsl:variable name="dt-temp-0" select="if (exists($dt-stem-1) and $dateTime-length = 8) then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $narr-time-regex) else () " />
    <xsl:variable name="dt-temp-1" select="if (exists($dt-stem-1) and $time-1 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-1) else () " />
    <xsl:variable name="dt-temp-2" select="if (exists($dt-stem-1) and $time-2 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-2) else () " />
    <xsl:variable name="dt-temp-3" select="if (exists($dt-stem-1) and $time-3 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-3) else () " />
    <xsl:variable name="dt-temp-4" select="if (exists($dt-stem-1) and $time-4 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-4) else () " />
    <xsl:variable name="dt-temp-5" select="if (exists($dt-stem-1) and $time-5 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-5) else () " />
    <xsl:variable name="dt-temp-6" select="if (exists($dt-stem-1) and $time-6 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-6) else () " />
    <xsl:variable name="dt-sequence-2" select="($dt-temp-0, $dt-temp-1, $dt-temp-2, $dt-temp-3, $dt-temp-4, $dt-temp-5, $dt-temp-6)" />
    <xsl:variable name="matching-seq-2" select="if (exists($dt-sequence-2))        then index-of(for $i in (1 to count($dt-sequence-2)) return exists($narr-dateTimes[matches(., $dt-sequence-2[$i], 'i')]), true())        else () " />
    <xsl:variable name="dt-stem-2" select="for $i in (1 to count($matching-seq-2)) return $dt-sequence-2[$matching-seq-2[$i]] " />
    <xsl:variable name="dt-regex-2" select="if (exists($dt-stem-2)) then concat('(', string-join($dt-stem-2, '$)|('), '$)') else '' " />
    <xsl:variable name="dt-match-2" select="(exists($dt-stem-2) and exists($narr-dateTimes[matches(., $dt-regex-2, 'i')])) " />
    <xsl:variable name="dt-sequence-3" select="if (not($dt-match-2) and exists($dt-stem-2) and $time-zone != '') then for $i in (1 to count($dt-stem-2)) return        concat($dt-stem-2[$i], substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2)) else () " />
    <xsl:variable name="dt-regex-3" select="if ($dt-match-2) then '' else if (exists($dt-sequence-3)) then concat('(', string-join($dt-sequence-3, '$)|('), '$)') else '' " />
    <xsl:variable name="dt-match-3" select="($dt-match-2 or (exists($dt-sequence-3) and exists($narr-dateTimes[matches(., $dt-regex-3, 'i')]))) " />
    <xsl:variable name="narr-match" select="if ($dt-value != '' and not(exists($narr-dateTimes))) then      (       contains($narrative, $dt-value)               or       (string-length($dt-value) = 4 and contains($narrative, $year))            or        (string-length($dt-value) = 6 and contains($narrative, concat($month-short, $year)))          or       (string-length($dt-value) &gt; 7 and starts-with($day, '0') and        (contains($narrative, concat(substring($day,2,1), $month-short, $year)) or         contains($narrative, concat(substring($day,2,1), $month-num, $year))))          or       (string-length($dt-value) &gt; 7 and (contains($narrative, concat($day, $month-short, $year)) or contains($narrative, concat($day, $month-num, $year))))        )       else false() " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($fir-narr-node//cda:renderMultiMedia) or exists($sec-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($fir-narr-node//cda:linkHtml) or exists($sec-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="warning-1" select="exists($dt-sequence-1) and exists($narr-dateTimes) and $dt-match-1 and not($dt-match-3) and $dt-value != '' " />
    <xsl:variable name="error-1" select="$warning-1 and not($multimedia) " />
    <xsl:variable name="warning-2" select="exists($dt-sequence-1) and exists($narr-dateTimes) and not($dt-match-1 or $dt-match-3) and $dt-value != '' " />
    <xsl:variable name="error-2a" select="$warning-2 and not($multimedia) and $time-zone != '' and count($narr-dateTimes) =        count(for $dt in $narr-dateTimes return replace(replace($dt, $regex-date-type-1, ''), $regex-date-type-2, '')       [matches(., concat('^\s*([0-9]{1,2}:{1}[0-9]{2}\s*', substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2),         '|[0-9]{1,2}:{1}[0-9]{2}:{1}[0-9]{2}\s*', substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2), ')\s*$'), 'i')]) " />
    <xsl:variable name="error-2b" select="$warning-2 and not($dt-match-1) and not($multimedia) and count($narr-dateTimes[matches(., $regex-date-type-2, 'i')]) =        count($narr-dateTimes[matches(., concat($regex-date-type-2, ' ', $narr-time-regex, '$'), 'i')]) " />
    <xsl:variable name="error-2c" select="$warning-2 and exists($narr-dateTimes[matches(., concat('^', $year, '$'))]) " />
    <xsl:variable name="error-2" select="$error-2a or $error-2b or $error-2c " />
    <xsl:variable name="warning-3" select="$dt-value != '' and not(exists($narr-dateTimes)) and not($narr-match) " />
    <xsl:variable name="error-3" select="$warning-3 and not($multimedia) and not(contains($narrative, substring($year, 3, 2)))" />
    <xsl:variable name="narr-dt-msg" select="if ($multimedia or $no-content) then ''       else if (not(exists($narr-dateTimes))) then concat(' The narrative of the ', iq:location(., ''), ' contains no dateTime elements.')       else if (count($narr-dateTimes) = 1) then concat(' The only dateTime element in the narrative of the ', iq:location(., ''), ' is ''',         dh:XQueryRecursiveReplace($narr-dateTimes[1], '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), '''.')       else concat(' The distinct dateTime elements in the narrative of the ', iq:location(., ''), ' are ''',         string-join(for $dt in $narr-dateTimes return          dh:XQueryRecursiveReplace($dt, '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), ', '), '''.') " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-4" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-4 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and exists($dt-sequence-1) and $dt-value != '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and exists($dt-sequence-1) and $dt-value != ''">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 4: The dateTime element in the structured data is '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'.
		The number of dateTime elements that have been extracted from the narrative is '<xsl:text /><xsl:value-of select="count($narr-dateTimes)" /><xsl:text />'.
		These are '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-dateTimes, ', '), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The initial regular expressions are '<xsl:text /><xsl:value-of select="string-join($dt-sequence-1, ', ')" /><xsl:text />'.
		The items in dt-stem-1 are: '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($dt-stem-1, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The items in dt-sequence-2 are: '<xsl:text /><xsl:value-of select="string-join($dt-sequence-2, '|')" /><xsl:text />'.
		The items in dt-stem-2 are: '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($dt-stem-2, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The three regular expressions used to perform an exact match for narrative dateTime elements are as follows:
		dt-regex-1='<xsl:text /><xsl:value-of select="$dt-regex-1" /><xsl:text />'; dt-regex-2='<xsl:text /><xsl:value-of select="$dt-regex-2" /><xsl:text />'; and dt-regex-3='<xsl:text /><xsl:value-of select="$dt-regex-3" /><xsl:text />'.
		Was a match found after the first regular expression (with just a date) was created? <xsl:text /><xsl:value-of select="$dt-match-1" /><xsl:text />.		
		<xsl:text /><xsl:value-of select="if ($dt-regex-2 = '') then 'The second regular expression was not applied as there is no time information.'    else concat('Was a match found after the second regular expression (with a date and time) was created? ', $dt-match-2, '.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($dt-regex-3 = '') then ' The third regular expression was not applied as there is no timezone information.'    else concat(' Was a match found after the third regular expression (with a date and time) was created? ', $dt-match-3, '.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $warning-1 and not($error-1 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $warning-1 and not($error-1 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Problem/Diagnosis Date of Resolution/Remission 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Problem/Diagnosis Date of Resolution/Remission data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $error-1 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $error-1 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Problem/Diagnosis Date of Resolution/Remission 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. The Problem/Diagnosis Date of Resolution/Remission data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $error-1 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $error-1 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Problem/Diagnosis Date of Resolution/Remission 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. The Problem/Diagnosis Date of Resolution/Remission data element records clinical information and all clinical information in entry elements must be present in the narrative.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $warning-2 and not($error-2 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$warning-2 and not($error-2 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Problem/Diagnosis Date of Resolution/Remission 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Problem/Diagnosis Date of Resolution/Remission data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-2 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-2 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Problem/Diagnosis Date of Resolution/Remission 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="if ($error-2c) then concat('The narrative contains a date with the same year ''', $year, ''' but without a month or day.') else '' " /><xsl:text />
		The Problem/Diagnosis Date of Resolution/Remission data element records clinical information and all clinical information in entry elements must be present in the narrative.
		<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-2 and not($no-content) and not(true())">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-2 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Problem/Diagnosis Date of Resolution/Remission 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="if ($error-2c) then concat('The narrative contains a date with the same year ''', $year, ''' but without a month or day.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $warning-3 and not($error-3 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$warning-3 and not($error-3 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Problem/Diagnosis Date of Resolution/Remission 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Problem/Diagnosis Date of Resolution/Remission data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $dt-value != '' and not($narr-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $dt-value != '' and not($narr-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Problem/Diagnosis Date of Resolution/Remission 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $dt-value != '' and not($narr-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $dt-value != '' and not($narr-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Problem/Diagnosis Date of Resolution/Remission '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Problem/Diagnosis Date of Resolution/Remission data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-3 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-3 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Problem/Diagnosis Date of Resolution/Remission '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Problem/Diagnosis Date of Resolution/Remission data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-3 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-3 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Problem/Diagnosis Date of Resolution/Remission '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Problem/Diagnosis Date of Resolution/Remission '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M538" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M538" />
  <xsl:template match="@*|node()" priority="-2" mode="M538">
    <xsl:apply-templates select="@*|*" mode="M538" />
  </xsl:template>
  <!--PATTERN p-TS-MedHist-DateTime-5-->
  <!--RULE -->
  <xsl:template match="    /cda:ClinicalDocument['101.16117' = $doc-sections][cda:templateId[    (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2') or    (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.3') or    (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')]]/cda:component/cda:structuredBody/cda:component/     cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/cda:procedure/cda:effectiveTime[@value or @nullFlavor] |    /cda:ClinicalDocument['101.16117' = $doc-sections][cda:templateId[    (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2') or    (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.3') or    (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')]]/cda:component/cda:structuredBody/cda:component/     cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/cda:procedure/cda:effectiveTime/*[@value or @nullFlavor]  " priority="1000" mode="M539">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="    /cda:ClinicalDocument['101.16117' = $doc-sections][cda:templateId[    (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2') or    (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.3') or    (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')]]/cda:component/cda:structuredBody/cda:component/     cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/cda:procedure/cda:effectiveTime[@value or @nullFlavor] |    /cda:ClinicalDocument['101.16117' = $doc-sections][cda:templateId[    (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2') or    (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.3') or    (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')]]/cda:component/cda:structuredBody/cda:component/     cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/cda:procedure/cda:effectiveTime/*[@value or @nullFlavor]  " />
    <xsl:variable name="allow-ivl-ts" select="if (not(@xsi:type)) then false() else /cda:ClinicalDocument       [cda:templateId[(@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')  or         (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or         (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) ]]   and        local-name(.) = 'value'             and        ..[local-name(.) = 'observation' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]   and       ../..[local-name(.) = 'entryRelationship' and @typeCode='SUBJ']        and       ../../..[local-name(.) = 'observation' and cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]  and       ../../../..[local-name(.) = 'entry']            and       ../../../../..[local-name(.) = 'section' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]  " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-18" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-18 else $rating-alt-TC-Types-18 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-18: The Procedure DateTime Started '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data
		type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime',            'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime', 'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: The Procedure DateTime Started

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type but it does not meet the requirement to have the xsi:type attribute with the value 'TS'.
		(See section 8.6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the Procedure DateTime Started '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was
		found. This may be corrected by using an xsi:type attribute with the value 'TS'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the Procedure DateTime Started '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		This may be corrected by using an xsi:type attribute with the value 'TS'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the Procedure DateTime Started '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7
		'TS' data type to have a value attribute if there is no nullFlavor
		attribute. (See section 7.8.13.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange')

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the Procedure DateTime Started '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7 'TS' data type to have a value attribute if there is no nullFlavor
		attribute. The element has a '<xsl:text /><xsl:value-of select="local-name(*[local-name(.) = ('low', 'high')])" /><xsl:text />' child element with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		which is not one of the elements used for the HL7 'TS'
		data type. (See section 7.8.13 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Procedure DateTime Started
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		is present. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Procedure DateTime Started
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' was found. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Procedure DateTime Started
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Procedure DateTime Started
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@value) and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@value) and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to the Structured Content Specification the Procedure DateTime Started
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (uncoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include
		nullFlavor 'UNC'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M539" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M539" />
  <xsl:template match="@*|node()" priority="-2" mode="M539">
    <xsl:apply-templates select="@*|*" mode="M539" />
  </xsl:template>
  <!--PATTERN p-TS-MedHist-DateTime-6-->
  <!--RULE -->
  <xsl:template match="    /cda:ClinicalDocument['101.16117' = $doc-sections][cda:templateId[    (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2') or    (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.3') or    (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')]]/cda:component/cda:structuredBody/cda:component/     cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/cda:procedure/cda:effectiveTime[@value or @nullFlavor]    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))] |    /cda:ClinicalDocument['101.16117' = $doc-sections][cda:templateId[    (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2') or    (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.3') or    (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')]]/cda:component/cda:structuredBody/cda:component/     cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/cda:procedure/cda:effectiveTime/*[@value or @nullFlavor]    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))]  " priority="1000" mode="M540">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="    /cda:ClinicalDocument['101.16117' = $doc-sections][cda:templateId[    (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2') or    (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.3') or    (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')]]/cda:component/cda:structuredBody/cda:component/     cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/cda:procedure/cda:effectiveTime[@value or @nullFlavor]    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))] |    /cda:ClinicalDocument['101.16117' = $doc-sections][cda:templateId[    (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2') or    (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.3') or    (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')]]/cda:component/cda:structuredBody/cda:component/     cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/cda:procedure/cda:effectiveTime/*[@value or @nullFlavor]    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))]  " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="fir-narrative" select="translate(normalize-space(lower-case(string($fir-narr-node))), $chars-to-remove, '')" />
    <xsl:variable name="sec-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)        then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]        else () " />
    <xsl:variable name="sec-narr-node" select="$sec-section/cda:text " />
    <xsl:variable name="narr-text-el" select="(for $text in ($fir-narr-node//text(), $sec-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="sec-narrative" select="translate(normalize-space(lower-case(string($sec-narr-node))), $chars-to-remove, '') " />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="narrative" select="concat($target-title, $fir-narrative, $sec-narrative)" />
    <xsl:variable name="narr-elements" select="$fir-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ]  |             $sec-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ] " />
    <xsl:variable name="narr-lower-case" select="for $i in (1 to count($narr-elements)) return lower-case(normalize-space(string-join($narr-elements[$i]/text(), '')))  " />
    <xsl:variable name="dt-narr-elements" select="$narr-lower-case[matches(., $regex-date-type-1, 'i') or matches(., $regex-date-type-2, 'i') or matches(., $regex-date-type-3, 'i')] " />
    <xsl:variable name="narr-elements-start" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-before($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-before($dt-narr-elements[$i], ' -'))        else $dt-narr-elements[$i])[. != ''] " />
    <xsl:variable name="narr-elements-end" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-after($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-after($dt-narr-elements[$i], ' -'))        else '')[. != ''] " />
    <xsl:variable name="narr-dateTimes" select="distinct-values(($narr-elements-start , $narr-elements-end))[. != '(ongoing)'] " />
    <xsl:variable name="dt-value" select="if (@value) then @value else '' " />
    <xsl:variable name="no-time-zone" select="if (contains($dt-value, '+')) then substring-before($dt-value, '+')       else if (contains($dt-value, '-')) then substring-before($dt-value, '-')       else $dt-value " />
    <xsl:variable name="dateTime-length" select="string-length($no-time-zone) " />
    <xsl:variable name="year" select="if ($dateTime-length &gt; 3) then substring($no-time-zone,1,4) else '' " />
    <xsl:variable name="month-num" select="if ($dateTime-length &gt; 5) then substring($no-time-zone,5,2) else '' " />
    <xsl:variable name="day" select="if ($dateTime-length &gt; 7 and substring($no-time-zone,7,1) = '0') then substring($no-time-zone,8,1)       else if ($dateTime-length &gt; 7 and substring($no-time-zone,7,1) != '0') then substring($no-time-zone,7,2) else '' " />
    <xsl:variable name="hour-long" select="if ($dateTime-length &gt; 9) then substring($no-time-zone,9,2) else '' " />
    <xsl:variable name="hour-short" select="if (substring($hour-long, 1, 1) = '0') then substring($hour-long, 2, 1) else '' " />
    <xsl:variable name="minute" select="if ($dateTime-length &gt; 11) then substring($no-time-zone,11,2) else '' " />
    <xsl:variable name="second" select="if ($dateTime-length &gt; 13) then substring($no-time-zone,13,2) else '' " />
    <xsl:variable name="time-zone" select="if (contains($dt-value, '+')) then concat('\+', substring-after($dt-value, '+'))       else if (contains($dt-value, '-')) then concat('\-', substring-after($dt-value, '-'))       else '' " />
    <xsl:variable name="month-short" select="if ($month-num = '01') then 'jan'  else             if ($month-num = '02') then 'feb'  else             if ($month-num = '03') then 'mar'  else             if ($month-num = '04') then 'apr'  else             if ($month-num = '05') then 'may'  else             if ($month-num = '06') then 'jun'  else             if ($month-num = '07') then 'jul'  else             if ($month-num = '08') then 'aug'  else             if ($month-num = '09') then 'sep'  else             if ($month-num = '10') then 'oct'  else             if ($month-num = '11') then 'nov'  else             if ($month-num = '12') then 'dec'  else '' " />
    <xsl:variable name="month-long" select="if ($month-num = '01') then 'january'  else             if ($month-num = '02') then 'february'  else             if ($month-num = '03') then 'march'  else             if ($month-num = '04') then 'april'  else             if ($month-num = '05') then 'may'  else             if ($month-num = '06') then 'june'  else             if ($month-num = '07') then 'july'  else             if ($month-num = '08') then 'august'  else             if ($month-num = '09') then 'september'  else             if ($month-num = '10') then 'october'  else             if ($month-num = '11') then 'november'  else             if ($month-num = '12') then 'december'  else '' " />
    <xsl:variable name="date-type-3-day" select="if (string-length($day) = 1) then concat('0{0,1}', $day) else $day " />
    <xsl:variable name="date-type-3-month" select="if (string-length($month-num) = 1) then concat('0{0,1}', $month-num)        else if (substring($month-num, 1, 1) = '0') then concat('0{0,1}', substring($month-num, 2, 1))         else $month-num " />
    <xsl:variable name="dt-sequence-1" select="if ($dateTime-length = 4) then (         concat('^', $dt-value)         ,          concat('^', $year)         )        else if ($dateTime-length = 6) then (         concat('^', $dt-value)         ,         concat('^', $month-short, $date-sep, $year)      ,          concat('^', $month-long, $date-sep, $year)      )        else if ($dateTime-length &gt; 7) then (         concat('^', $dt-value)         ,         concat('^', $date-type-3-day, $date-sep, $month-short, $date-sep, $year)  ,         concat('^', $date-type-3-day, $date-sep, $month-long, $date-sep, $year)   ,         concat('^', $date-type-3-day, '/', $date-type-3-month, '/', $year)   )        else () " />
    <xsl:variable name="matching-seq-1" select="if (exists($dt-sequence-1))        then index-of(for $i in (1 to count($dt-sequence-1)) return exists($narr-dateTimes[matches(., $dt-sequence-1[$i], 'i')]), true())        else () " />
    <xsl:variable name="dt-stem-1" select="for $i in (1 to count($matching-seq-1)) return $dt-sequence-1[$matching-seq-1[$i]] " />
    <xsl:variable name="dt-regex-1" select="if (exists($dt-stem-1)) then concat('(', string-join($dt-stem-1, '$)|('), '$)') else ()" />
    <xsl:variable name="dt-match-1" select="exists($dt-stem-1) and exists($narr-dateTimes[matches(., $dt-regex-1, 'i')])" />
    <xsl:variable name="time-1" select="if ($dateTime-length &gt; 11 and $hour-short != '') then concat($hour-short, ':', $minute, '( *| *am)') else '' " />
    <xsl:variable name="time-2" select="if ($dateTime-length &gt; 13 and $hour-short != '') then concat($hour-short, ':', $minute, ':', $second, '( *| *am)') else '' " />
    <xsl:variable name="time-3" select="if ($dateTime-length &gt; 11 and number($hour-long) &lt; 12) then concat($hour-long, ':', $minute, '( *| *am)')       else if ($dateTime-length &gt; 11) then concat($hour-long, ':', $minute) else '' " />
    <xsl:variable name="time-4" select="if ($dateTime-length &gt; 13 and number($hour-long) &lt; 12) then concat($hour-long, ':', $minute, ':', $second, '( *| *am)')        else if ($dateTime-length &gt; 13) then concat($hour-long, ':', $minute, ':', $second) else '' " />
    <xsl:variable name="time-5" select="if ($dateTime-length &gt; 11 and number($hour-long) &gt; 12) then concat(string(number($hour-long) - 12), ':', $minute, '( *| *pm)') else '' " />
    <xsl:variable name="time-6" select="if ($dateTime-length &gt; 13 and number($hour-long) &gt; 12) then concat(string(number($hour-long) - 12), ':', $minute, ':', $second, '( *| *pm)') else '' " />
    <xsl:variable name="dt-temp-0" select="if (exists($dt-stem-1) and $dateTime-length = 8) then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $narr-time-regex) else () " />
    <xsl:variable name="dt-temp-1" select="if (exists($dt-stem-1) and $time-1 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-1) else () " />
    <xsl:variable name="dt-temp-2" select="if (exists($dt-stem-1) and $time-2 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-2) else () " />
    <xsl:variable name="dt-temp-3" select="if (exists($dt-stem-1) and $time-3 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-3) else () " />
    <xsl:variable name="dt-temp-4" select="if (exists($dt-stem-1) and $time-4 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-4) else () " />
    <xsl:variable name="dt-temp-5" select="if (exists($dt-stem-1) and $time-5 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-5) else () " />
    <xsl:variable name="dt-temp-6" select="if (exists($dt-stem-1) and $time-6 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-6) else () " />
    <xsl:variable name="dt-sequence-2" select="($dt-temp-0, $dt-temp-1, $dt-temp-2, $dt-temp-3, $dt-temp-4, $dt-temp-5, $dt-temp-6)" />
    <xsl:variable name="matching-seq-2" select="if (exists($dt-sequence-2))        then index-of(for $i in (1 to count($dt-sequence-2)) return exists($narr-dateTimes[matches(., $dt-sequence-2[$i], 'i')]), true())        else () " />
    <xsl:variable name="dt-stem-2" select="for $i in (1 to count($matching-seq-2)) return $dt-sequence-2[$matching-seq-2[$i]] " />
    <xsl:variable name="dt-regex-2" select="if (exists($dt-stem-2)) then concat('(', string-join($dt-stem-2, '$)|('), '$)') else '' " />
    <xsl:variable name="dt-match-2" select="(exists($dt-stem-2) and exists($narr-dateTimes[matches(., $dt-regex-2, 'i')])) " />
    <xsl:variable name="dt-sequence-3" select="if (not($dt-match-2) and exists($dt-stem-2) and $time-zone != '') then for $i in (1 to count($dt-stem-2)) return        concat($dt-stem-2[$i], substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2)) else () " />
    <xsl:variable name="dt-regex-3" select="if ($dt-match-2) then '' else if (exists($dt-sequence-3)) then concat('(', string-join($dt-sequence-3, '$)|('), '$)') else '' " />
    <xsl:variable name="dt-match-3" select="($dt-match-2 or (exists($dt-sequence-3) and exists($narr-dateTimes[matches(., $dt-regex-3, 'i')]))) " />
    <xsl:variable name="narr-match" select="if ($dt-value != '' and not(exists($narr-dateTimes))) then      (       contains($narrative, $dt-value)               or       (string-length($dt-value) = 4 and contains($narrative, $year))            or        (string-length($dt-value) = 6 and contains($narrative, concat($month-short, $year)))          or       (string-length($dt-value) &gt; 7 and starts-with($day, '0') and        (contains($narrative, concat(substring($day,2,1), $month-short, $year)) or         contains($narrative, concat(substring($day,2,1), $month-num, $year))))          or       (string-length($dt-value) &gt; 7 and (contains($narrative, concat($day, $month-short, $year)) or contains($narrative, concat($day, $month-num, $year))))        )       else false() " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($fir-narr-node//cda:renderMultiMedia) or exists($sec-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($fir-narr-node//cda:linkHtml) or exists($sec-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="warning-1" select="exists($dt-sequence-1) and exists($narr-dateTimes) and $dt-match-1 and not($dt-match-3) and $dt-value != '' " />
    <xsl:variable name="error-1" select="$warning-1 and not($multimedia) " />
    <xsl:variable name="warning-2" select="exists($dt-sequence-1) and exists($narr-dateTimes) and not($dt-match-1 or $dt-match-3) and $dt-value != '' " />
    <xsl:variable name="error-2a" select="$warning-2 and not($multimedia) and $time-zone != '' and count($narr-dateTimes) =        count(for $dt in $narr-dateTimes return replace(replace($dt, $regex-date-type-1, ''), $regex-date-type-2, '')       [matches(., concat('^\s*([0-9]{1,2}:{1}[0-9]{2}\s*', substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2),         '|[0-9]{1,2}:{1}[0-9]{2}:{1}[0-9]{2}\s*', substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2), ')\s*$'), 'i')]) " />
    <xsl:variable name="error-2b" select="$warning-2 and not($dt-match-1) and not($multimedia) and count($narr-dateTimes[matches(., $regex-date-type-2, 'i')]) =        count($narr-dateTimes[matches(., concat($regex-date-type-2, ' ', $narr-time-regex, '$'), 'i')]) " />
    <xsl:variable name="error-2c" select="$warning-2 and exists($narr-dateTimes[matches(., concat('^', $year, '$'))]) " />
    <xsl:variable name="error-2" select="$error-2a or $error-2b or $error-2c " />
    <xsl:variable name="warning-3" select="$dt-value != '' and not(exists($narr-dateTimes)) and not($narr-match) " />
    <xsl:variable name="error-3" select="$warning-3 and not($multimedia) and not(contains($narrative, substring($year, 3, 2)))" />
    <xsl:variable name="narr-dt-msg" select="if ($multimedia or $no-content) then ''       else if (not(exists($narr-dateTimes))) then concat(' The narrative of the ', iq:location(., ''), ' contains no dateTime elements.')       else if (count($narr-dateTimes) = 1) then concat(' The only dateTime element in the narrative of the ', iq:location(., ''), ' is ''',         dh:XQueryRecursiveReplace($narr-dateTimes[1], '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), '''.')       else concat(' The distinct dateTime elements in the narrative of the ', iq:location(., ''), ' are ''',         string-join(for $dt in $narr-dateTimes return          dh:XQueryRecursiveReplace($dt, '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), ', '), '''.') " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-4" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-4 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and exists($dt-sequence-1) and $dt-value != '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and exists($dt-sequence-1) and $dt-value != ''">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 4: The dateTime element in the structured data is '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'.
		The number of dateTime elements that have been extracted from the narrative is '<xsl:text /><xsl:value-of select="count($narr-dateTimes)" /><xsl:text />'.
		These are '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-dateTimes, ', '), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The initial regular expressions are '<xsl:text /><xsl:value-of select="string-join($dt-sequence-1, ', ')" /><xsl:text />'.
		The items in dt-stem-1 are: '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($dt-stem-1, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The items in dt-sequence-2 are: '<xsl:text /><xsl:value-of select="string-join($dt-sequence-2, '|')" /><xsl:text />'.
		The items in dt-stem-2 are: '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($dt-stem-2, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The three regular expressions used to perform an exact match for narrative dateTime elements are as follows:
		dt-regex-1='<xsl:text /><xsl:value-of select="$dt-regex-1" /><xsl:text />'; dt-regex-2='<xsl:text /><xsl:value-of select="$dt-regex-2" /><xsl:text />'; and dt-regex-3='<xsl:text /><xsl:value-of select="$dt-regex-3" /><xsl:text />'.
		Was a match found after the first regular expression (with just a date) was created? <xsl:text /><xsl:value-of select="$dt-match-1" /><xsl:text />.		
		<xsl:text /><xsl:value-of select="if ($dt-regex-2 = '') then 'The second regular expression was not applied as there is no time information.'    else concat('Was a match found after the second regular expression (with a date and time) was created? ', $dt-match-2, '.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($dt-regex-3 = '') then ' The third regular expression was not applied as there is no timezone information.'    else concat(' Was a match found after the third regular expression (with a date and time) was created? ', $dt-match-3, '.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $warning-1 and not($error-1 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $warning-1 and not($error-1 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Procedure DateTime Started 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Procedure DateTime Started data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $error-1 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $error-1 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Procedure DateTime Started 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. The Procedure DateTime Started data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $error-1 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $error-1 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Procedure DateTime Started 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. The Procedure DateTime Started data element records clinical information and all clinical information in entry elements must be present in the narrative.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $warning-2 and not($error-2 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$warning-2 and not($error-2 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Procedure DateTime Started 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Procedure DateTime Started data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-2 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-2 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Procedure DateTime Started 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="if ($error-2c) then concat('The narrative contains a date with the same year ''', $year, ''' but without a month or day.') else '' " /><xsl:text />
		The Procedure DateTime Started data element records clinical information and all clinical information in entry elements must be present in the narrative.
		<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-2 and not($no-content) and not(true())">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-2 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Procedure DateTime Started 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="if ($error-2c) then concat('The narrative contains a date with the same year ''', $year, ''' but without a month or day.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $warning-3 and not($error-3 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$warning-3 and not($error-3 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Procedure DateTime Started 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Procedure DateTime Started data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $dt-value != '' and not($narr-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $dt-value != '' and not($narr-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Procedure DateTime Started 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $dt-value != '' and not($narr-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $dt-value != '' and not($narr-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Procedure DateTime Started '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Procedure DateTime Started data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-3 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-3 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Procedure DateTime Started '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Procedure DateTime Started data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-3 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-3 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Procedure DateTime Started '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Procedure DateTime Started '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M540" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M540" />
  <xsl:template match="@*|node()" priority="-2" mode="M540">
    <xsl:apply-templates select="@*|*" mode="M540" />
  </xsl:template>
  <!--PATTERN p-TS-MedHist-Text-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/   cda:entry/cda:observation/cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16545']]/cda:text " priority="1000" mode="M541">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/   cda:entry/cda:observation/cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16545']]/cda:text " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Problem/Diagnosis Comment
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Problem/Diagnosis Comment 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Problem/Diagnosis Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Problem/Diagnosis Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Problem/Diagnosis Comment however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Problem/Diagnosis Comment in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Problem/Diagnosis Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Problem/Diagnosis Comment however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Problem/Diagnosis Comment in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Problem/Diagnosis Comment data element with a proper value then an exclusion
		statement must be included to state why there is no Problem/Diagnosis Comment. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Problem/Diagnosis Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Problem/Diagnosis Comment however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Problem/Diagnosis Comment in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Problem/Diagnosis Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Problem/Diagnosis Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Problem/Diagnosis Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Problem/Diagnosis Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Problem/Diagnosis Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Problem/Diagnosis Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Problem/Diagnosis Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Problem/Diagnosis Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Problem/Diagnosis Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Problem/Diagnosis Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M541" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M541" />
  <xsl:template match="@*|node()" priority="-2" mode="M541">
    <xsl:apply-templates select="@*|*" mode="M541" />
  </xsl:template>
  <!--PATTERN p-TS-MedHist-Text-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/   cda:entry/cda:observation/cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16545']]/cda:text " priority="1000" mode="M542">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/   cda:entry/cda:observation/cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16545']]/cda:text " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Problem/Diagnosis Comment '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Problem/Diagnosis Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Problem/Diagnosis Comment data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Problem/Diagnosis Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Problem/Diagnosis Comment data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Problem/Diagnosis Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Problem/Diagnosis Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Problem/Diagnosis Comment data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Problem/Diagnosis Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M542" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M542" />
  <xsl:template match="@*|node()" priority="-2" mode="M542">
    <xsl:apply-templates select="@*|*" mode="M542" />
  </xsl:template>
  <!--PATTERN p-TS-MedHist-Text-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/   cda:entry/cda:procedure/cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15595']]/cda:text " priority="1000" mode="M543">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/   cda:entry/cda:procedure/cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15595']]/cda:text " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Procedure Comment
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Procedure Comment 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Procedure Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Procedure Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Procedure Comment however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Procedure Comment in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Procedure Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Procedure Comment however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Procedure Comment in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Procedure Comment data element with a proper value then an exclusion
		statement must be included to state why there is no Procedure Comment. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Procedure Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Procedure Comment however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Procedure Comment in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Procedure Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Procedure Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Procedure Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Procedure Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Procedure Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Procedure Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Procedure Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Procedure Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Procedure Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Procedure Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M543" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M543" />
  <xsl:template match="@*|node()" priority="-2" mode="M543">
    <xsl:apply-templates select="@*|*" mode="M543" />
  </xsl:template>
  <!--PATTERN p-TS-MedHist-Text-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/   cda:entry/cda:procedure/cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15595']]/cda:text " priority="1000" mode="M544">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/   cda:entry/cda:procedure/cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15595']]/cda:text " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Procedure Comment '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Procedure Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Procedure Comment data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Procedure Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Procedure Comment data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Procedure Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Procedure Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Procedure Comment data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Procedure Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M544" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M544" />
  <xsl:template match="@*|node()" priority="-2" mode="M544">
    <xsl:apply-templates select="@*|*" mode="M544" />
  </xsl:template>
  <!--PATTERN p-TS-MedHist-Text-5-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/   cda:entry/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16627']]/cda:text " priority="1000" mode="M545">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/   cda:entry/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16627']]/cda:text " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Medical History Item Description
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Medical History Item Description 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Medical History Item Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Medical History Item Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Medical History Item Description however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Medical History Item Description in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Medical History Item Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Medical History Item Description however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Medical History Item Description in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Medical History Item Description data element with a proper value then an exclusion
		statement must be included to state why there is no Medical History Item Description. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Medical History Item Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Medical History Item Description however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Medical History Item Description in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Medical History Item Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Medical History Item Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Medical History Item Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Medical History Item Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Medical History Item Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Medical History Item Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Medical History Item Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Medical History Item Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Medical History Item Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Medical History Item Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M545" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M545" />
  <xsl:template match="@*|node()" priority="-2" mode="M545">
    <xsl:apply-templates select="@*|*" mode="M545" />
  </xsl:template>
  <!--PATTERN p-TS-MedHist-Text-6-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/   cda:entry/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16627']]/cda:text   [not(@nullFlavor = $no-value-NF)] " priority="1000" mode="M546">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/   cda:entry/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16627']]/cda:text   [not(@nullFlavor = $no-value-NF)] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="snomed-trans" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="tcode" select="if (exists($snomed-trans[1]) and matches($snomed-trans[1]/@code, $snomed-code-regex)) then $snomed-trans[1]/@code else '' " />
    <xsl:variable name="code-present" select="$pcode != '' or $tcode != '' " />
    <xsl:variable name="invalid-code-system" select="@code and @displayName and @codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="codesystemvalues" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']" />
    <xsl:variable name="text-1" select="if (. != '') then replace(., '^[0-9]*xsitype(ED|ST)', '') else '' " />
    <xsl:variable name="text-2" select="if ($text-1 = '') then ''        else if (matches($text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $text-1 " />
    <xsl:variable name="text-without-markup" select="if (cda:originalText and cda:originalText != '') then replace(cda:originalText, $markup-regex, ' ')         else if ($text-2 != '') then normalize-space(replace($text-2, $markup-regex, ' '))         else '' " />
    <xsl:variable name="pdname" select="if (@displayName and not($invalid-code-system)) then @displayName else '' " />
    <xsl:variable name="max-code-number" select="if ($knowledge/search-for-term/max-sct-code-number/@value &gt; '5') then $knowledge/search-for-term/max-sct-code-number/@value else '5' " />
    <xsl:variable name="der-text-1" select="if ($code-present) then ''         else if ($text-without-markup != '') then $text-without-markup        else if ($pdname != '') then $pdname        else '' " />
    <xsl:variable name="is-problem-diagnosis" select="$der-text-1 != '' and local-name(.) = 'value' and local-name(..) = 'observation' " />
    <xsl:variable name="is-procedure" select="$der-text-1 != '' and local-name(.) = 'code' and local-name(..) = 'procedure' " />
    <xsl:variable name="is-uncategorised" select="$der-text-1 != '' and local-name(.) = 'text' " />
    <xsl:variable name="uncat-embedded-comment" select="if ($is-uncategorised and matches($text-1, '^(.*?,?\s*Comments:)(.*?)(,?\s*(StartTime:|Effective Date:).*)$', 's'))         then normalize-space(replace($text-1, '^(.*?,?\s*Comments:)(.*?)(,?\s*(StartTime:|Effective Date:).*)$', '$2', 's'))        else '' " />
    <xsl:variable name="uncat-embedded-dt" select="if ($is-uncategorised and matches($text-1, '^(.*?,?\s*Effective Date:)(.*?)$', 's'))         then normalize-space(replace($text-1, '^(.*?,?\s*Effective Date:)(.*?)$', '$2', 's'))        else '' " />
    <xsl:variable name="uncat-embedded-start" select="if ($is-uncategorised and matches($text-1, '^(.*?,?\s*(StartTime|From):)(.*?)(,?\s*(EndTime|To):.*?)$', 's'))         then normalize-space(replace($text-1, '^(.*?,?\s*(StartTime|From):)(.*?)(,?\s*(EndTime|To):.*?)$', '$3', 's'))        else '' " />
    <xsl:variable name="uncat-embedded-end" select="if ($is-uncategorised and matches($text-1, '^(.*?,?\s*(EndTime|To):)(.*?)$', 's'))         then normalize-space(replace($text-1, '^(.*?,?\s*(EndTime|To):)(.*?)$', '$3', 's'))        else '' " />
    <xsl:variable name="uncat-embedded-error" select="$uncat-embedded-comment != '' or $uncat-embedded-dt != '' or $uncat-embedded-start != '' or $uncat-embedded-end != '' " />
    <xsl:variable name="negated-err" select="if ($uncat-embedded-error) then false() else matches($der-text-1, '\?\s*no(^[a-z]|$)', 'is') " />
    <xsl:variable name="family-err" select="$family-regex != '' and not(matches($der-text-1, '(^|\s)(small|white\s*cell\s*count)(\s|$)', 'is')) and matches($der-text-1, $family-regex, 'is')" />
    <xsl:variable name="der-truncated-text-1" select="normalize-space(replace(replace($der-text-1, $unicode-br-truncation-regex, '$1', 'is'), $diag-proc-truncation-regex, '$1', 'is')) " />
    <xsl:variable name="length-err" select="string-length($der-truncated-text-1) &gt; $length-err-max" />
    <xsl:variable name="prose-err-1" select="$length-err and cda:originalText and (        matches(cda:originalText, $ulist-regex)           or         matches(cda:originalText, $alt-ulist-1a-regex, 'is')         or         matches(cda:originalText, $alt-ulist-1b-regex, 'is')         )" />
    <xsl:variable name="prose-err" select="$prose-err-1 or (cda:originalText and (               matches(cda:originalText, '^\W*(Dear\W+Doctor|Dear\W+Dr|Thank\W+you)', 'is')      or        ($length-err and matches(cda:originalText, '\.\s*$', 's') and matches(cda:originalText, $multi-sentence-regex, 's')) or        matches(cda:originalText, $alt-ulist-2-regex, 'is')          or        matches(cda:originalText, $olist-arabic-regex, 'is')          or         matches(cda:originalText, $olist-alpha-regex, 'is')          or         matches(cda:originalText, $olist-roman-regex, 'is')          or        matches(replace(cda:originalText, $new-line-regex, codepoints-to-string((10)), 'is'), $para-regex, 'is')  or        matches(cda:originalText, codepoints-to-string((8233)), 'is')         or               (cda:originalText and matches(cda:originalText, $invalid-concept-regex, 'is'))      ))  or              ($text-2 != '' and matches($text-2, $invalid-concept-regex, 'is'))        " />
    <xsl:variable name="avoid-ts" select="$family-err or $length-err or $prose-err or $negated-err or not($use-ts-for-sctau) " />
    <xsl:variable name="typo-replacements" select="if ($der-truncated-text-1 = '' or $uncat-embedded-error) then ''         else if ($is-problem-diagnosis and not($diag-typo = '')) then $diag-typo        else if ($is-procedure and not($proc-typo = '')) then $proc-typo        else if ($is-uncategorised and not($diag-typo = '') and not($proc-typo = '')) then concat($diag-typo, '~', $proc-typo)        else if ($is-uncategorised and $diag-typo = '' and not($proc-typo = '')) then $proc-typo        else if ($is-uncategorised and not($diag-typo = '') and $proc-typo = '') then $diag-typo        else '' " />
    <xsl:variable name="diag-proc-fir-pattern-replacement" select="if ($uncat-embedded-error) then ''           else if ($typo-replacements = '') then concat($diag-proc-fir-1, '~', $month-replacements)           else concat($diag-proc-fir-1, '~', $typo-replacements, '~', $month-replacements) " />
    <xsl:variable name="der-text-2a" select="if ($der-truncated-text-1 = '' or $uncat-embedded-error or $negated-err) then ''         else normalize-space(dh:XQueryRecursiveReplace(         replace(if ($is-procedure or $is-uncategorised) then replace($der-truncated-text-1, '^(.*?[a-z]+.*?)(\?.*?)$', '$1', 'is')            else $der-truncated-text-1,           concat('^(.*?[a-z]+.*?\s+)', $unicode-dash-regex, '(\s+.*?)$'), '$1', 'is'),           $diag-proc-fir-pattern-replacement, 'ic')) " />
    <xsl:variable name="der-text-2" select="if ($der-text-2a = '') then $der-truncated-text-1 else $der-text-2a " />
    <xsl:variable name="diag-proc-sec-pattern-replacement" select="if ($uncat-embedded-error or $negated-err or $der-text-2 = '') then ''           else if ($is-problem-diagnosis and not($diag-replacements = '')) then $diag-replacements          else if ($is-procedure and not($proc-replacements = '')) then $proc-replacements          else if ($is-uncategorised and not($diag-replacements = '') and not($proc-replacements = ''))            then concat($diag-replacements, '~', $proc-replacements)          else if ($is-uncategorised and $diag-replacements = '' and not($proc-replacements = ''))            then $proc-replacements          else if ($is-uncategorised and not($diag-replacements = '') and $proc-replacements = '')            then $diag-replacements          else '' " />
    <xsl:variable name="der-text-3a" select="if ($uncat-embedded-error or $negated-err or $der-text-2 = '' or $diag-proc-sec-pattern-replacement = '') then ''         else dh:XQueryRecursiveReplace($der-text-2, $diag-proc-sec-pattern-replacement, 'ic') " />
    <xsl:variable name="der-text-3" select="if ($der-text-3a = '') then $der-text-2 else $der-text-3a " />
    <xsl:variable name="der-text-a" select="normalize-space(replace(dh:XQueryRecursiveReplace($der-text-3, '(^|[^a-z])r([^a-z]|$)~$1 right $2~(^|[^a-z])l([^a-z]|$)~$1 left $2', 'ic'),          '([a-z])''s', '$1', 'i')) " />
    <xsl:variable name="der-text" select="if ($der-text-a = '') then $der-text-3 else $der-text-a " />
    <xsl:variable name="defn-valid-regex" select="concat('(^|\|)', translate($der-text-2, $chars-to-remove, ''), '(\||$)') " />
    <xsl:variable name="der-text-to-match-1" select="lower-case($der-text-2) " />
    <xsl:variable name="der-text-to-match" select="translate($der-text-to-match-1, $chars-to-remove, '') " />
    <xsl:variable name="der-text-non-value" select="if ($code-present or $uncat-embedded-error or $negated-err or @nullFlavor = $no-value-NF) then false()        else if ($der-text-to-match = '' or not(matches($der-text-to-match-1, '[a-z]', 'i')) or         ($cd-definitions/non-value/@regex != '' and matches($der-text-to-match-1, $cd-definitions/non-value/@regex, 'i'))) then true()         else if ($is-problem-diagnosis) then          exists($cd-definitions/diag/@non-value-regex) and matches($der-text-to-match-1, $cd-definitions/diag/@non-value-regex, 'i')        else if ($is-procedure) then          exists($cd-definitions/proc/@non-value-regex) and matches($der-text-to-match-1, $cd-definitions/proc/@non-value-regex, 'i')        else if ($is-uncategorised) then          (exists($cd-definitions/diag/@non-value-regex) and matches($der-text-to-match-1, $cd-definitions/diag/@non-value-regex, 'i')) or         (exists($cd-definitions/proc/@non-value-regex) and matches($der-text-to-match-1, $cd-definitions/proc/@non-value-regex, 'i'))        else false() " />
    <xsl:variable name="defn-common-inv-regex" select="if ($code-present or $uncat-embedded-error or $negated-err or $der-text-non-value or not($cd-definitions/diag-proc/@invalid-regex)) then ()        else tokenize($cd-definitions/diag-proc/@invalid-regex, '~') " />
    <xsl:variable name="defn-diag-inv-regex" select="if ($code-present or $uncat-embedded-error or $negated-err or $der-text-non-value or not($is-problem-diagnosis) or          not($cd-definitions/diag/@invalid-regex)) then ()        else tokenize($cd-definitions/diag/@invalid-regex, '~') " />
    <xsl:variable name="defn-proc-inv-regex" select="if ($code-present or $uncat-embedded-error or $negated-err or $der-text-non-value or not($is-procedure) or          not($cd-definitions/proc/@invalid-regex)) then ()        else tokenize($cd-definitions/proc/@invalid-regex, '~') " />
    <xsl:variable name="defn-invalid-regex" select="($defn-common-inv-regex, $defn-diag-inv-regex, $defn-proc-inv-regex)[. != ''] " />
    <xsl:variable name="defn-invalid-txt-regex" select="(for $i in (1 to count($defn-invalid-regex)) return normalize-space(substring-before($defn-invalid-regex[$i], '[[')))[. != '']" />
    <xsl:variable name="der-invalid-text-regex-1" select="if (exists($defn-invalid-txt-regex))        then index-of(for $i in (1 to count($defn-invalid-txt-regex)) return matches($der-text-2, $defn-invalid-txt-regex[$i], 'i'), true())        else () " />
    <xsl:variable name="der-invalid-text" select="exists($der-invalid-text-regex-1) or $uncat-embedded-error " />
    <xsl:variable name="defn-invalid-rsn" select="if ($der-invalid-text)         then normalize-space(substring-before(substring-after($defn-invalid-regex[$der-invalid-text-regex-1[1]], '[['), ']]'))         else '' " />
    <xsl:variable name="try-immun" select="not($der-text = '' or $negated-err or $der-text-non-value or $der-invalid-text) and         /cda:ClinicalDocument/cda:code[@codeSystem = '2.16.840.1.113883.6.1' and @code = ('60591-5', '34133-9')] " />
    <xsl:variable name="an-immun-1" select="$try-immun and matches($der-text, '(^|[^a-z])(immunizations?|immunisations?)([^a-z]|$)', 'i') " />
    <xsl:variable name="an-immun-2" select="$try-immun and ($an-immun-1 or (exists($vaccine-text-normalised) and $der-text-to-match = $vaccine-text-normalised)) " />
    <xsl:variable name="try-adverse" select="not($der-text = '' or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2) and         /cda:ClinicalDocument/cda:code[@codeSystem = '2.16.840.1.113883.6.1' and @code = ('60591-5', '34133-9', '57133-1', '18842-5', '51852-2')] " />
    <xsl:variable name="an-adverse-1" select="$try-adverse and matches($der-text, '(^|[^a-z])(ADR?|adverse drug reactions?|adverse reactions?)([^a-z]|$)', 'i') " />
    <xsl:variable name="trusted-code-systems" select="if ($der-text = '' or $der-invalid-text or $an-immun-2 or not(@codeSystem or cda:translation/@codeSystem)) then ()        else if ($is-problem-diagnosis)         then (tokenize(replace($cd-definitions/diag/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/diag/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-procedure)         then (tokenize(replace($cd-definitions/proc/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/proc/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-uncategorised)         then (tokenize(replace($cd-definitions/diag/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/diag/@extra, '\s+', ''), '\|'),         tokenize(replace($cd-definitions/proc/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/proc/@extra, '\s+', ''), '\|'))[. != '']         else () " />
    <xsl:variable name="der-trusted-text" select="if ($der-text = '' or $der-invalid-text or (@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex)))) then false()        else ((@codeSystem and exists($trusted-code-systems[. = current()/@codeSystem])) or               (cda:translation/@codeSystem and exists($trusted-code-systems[. = current()/cda:translation/@codeSystem]))) " />
    <xsl:variable name="a-disease" select="if ($is-procedure or $code-present or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2 or $der-text-to-match = '')          then false()        else $der-text-to-match = (for $disease in tokenize(string-join($vaccine-codes/@disease, '|'), '\|')          return translate(normalize-space(lower-case($disease)), $chars-to-remove, '')) " />
    <xsl:variable name="valid-diag-1" select="if ($a-disease) then true()        else if ($is-procedure or $code-present or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2 or          not($cd-definitions/diag/@valid-regex)) then false()        else exists(index-of(for $regex in (tokenize($cd-definitions/diag/@valid-regex, '~')[. != '']) return          matches($der-text-2, dh:XQueryRecursiveReplace(normalize-space($regex), ' \|~|~\| ~|', ''), 'is'), true())) " />
    <xsl:variable name="valid-proc-1" select="if ($is-problem-diagnosis or $code-present or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2 or         not($cd-definitions/proc/@valid-regex)) then false()        else exists(index-of(for $regex in (tokenize($cd-definitions/proc/@valid-regex, '~')[. != '']) return          matches($der-text-2, dh:XQueryRecursiveReplace(normalize-space($regex), ' \|~|~\| ~|', ''), 'is'), true())) " />
    <xsl:variable name="valid-diag-proc-1" select="if ($is-problem-diagnosis) then $valid-diag-1        else if ($is-procedure) then $valid-proc-1        else if ($is-uncategorised) then $valid-diag-1 or $valid-proc-1        else false() " />
    <xsl:variable name="the-invalid-h" select="if ($der-text = '' or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2) then ()        else if ($is-problem-diagnosis) then $cd-definitions/diag/diag-invalid/hierarchy        else if ($is-procedure) then $cd-definitions/proc/proc-invalid/hierarchy        else if ($is-uncategorised) then $cd-definitions/diag-proc/diag-proc-invalid/hierarchy        else () " />
    <xsl:variable name="invalid-hierarchy-1" select=" if (exists($the-invalid-h)) then string-join(for $hierarchy in $the-invalid-h return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-refset" select="if ($der-text = '' or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2) then ''        else if ($is-problem-diagnosis) then $diag-invalid-refset         else if ($is-procedure) then $proc-invalid-refset         else if ($is-uncategorised) then $diag-proc-invalid-refset         else '' " />
    <xsl:variable name="valid-refset" select="if ($der-text = '' or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2) then ''        else if ($is-problem-diagnosis) then '^32570581000036105'         else if ($is-procedure) then '^32570141000036105'         else if ($is-uncategorised) then '(^32570581000036105 OR ^32570141000036105)'        else '' " />
    <xsl:variable name="valid-domain" select="if ($der-text = '' or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2) then ''        else if ($invalid-refset != '' and $invalid-hierarchy-1 != '')         then concat('((', $valid-refset, ') MINUS (', $invalid-refset, ' OR (', $invalid-hierarchy-1, ')))')        else if ($invalid-refset = '' and $invalid-hierarchy-1 != '') then concat('((', $valid-refset, ') MINUS (', $invalid-hierarchy-1, '))')         else if ($invalid-refset != '' and $invalid-hierarchy-1 = '') then concat('((', $valid-refset, ') MINUS (', $invalid-refset, '))')        else concat('(', $valid-refset, ')') " />
    <xsl:variable name="der-text-2-laterality" select="if ($der-text-2 = '' or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2 or $valid-diag-proc-1 or        $laterality-regex = '' or not(matches($der-text-2, $laterality-regex, 'is'))) then ''        else replace($der-text-2, $laterality-regex, '$1 $3', 'is') " />
    <xsl:variable name="defn-laterality-regex" select="if ($der-text-2-laterality = '') then '' else concat('(^|\|)', translate($der-text-2-laterality, $chars-to-remove, ''), '(\||$)') " />
    <xsl:variable name="related-terms-1" select="if ($der-text = '' or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2 or $valid-diag-proc-1) then ()        else ($codesystemvalues/code[@related-terms], $codesystemvalues/related-terms[@related-terms]) " />
    <xsl:variable name="related-terms-2" select="for $i in index-of(for $concept in $related-terms-1 return         matches(translate($concept/@related-terms, $chars-no-pipe, ''), $defn-valid-regex, 'is') or        ($defn-laterality-regex != '' and matches(translate($concept/@related-terms, $chars-no-pipe, ''), $defn-laterality-regex, 'is')), true())         return $related-terms-1[$i]/@code " />
    <xsl:variable name="der-diag-proc-codes-1" select="if (exists($related-terms-2)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($related-terms-2, ' OR '), ') AND ', $valid-domain), '', string(count($related-terms-2)), false())        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $der-diag-proc-codes-1 " />
    <xsl:variable name="der-valid-codes-1" select="if (contains($der-diag-proc-codes-1, '[')) then $der-diag-proc-codes-1 else '' " />
    <xsl:variable name="valid-diag-proc-2" select="$valid-diag-proc-1 or $der-valid-codes-1 != '' " />
    <xsl:variable name="invalid-inactive-refset" select="if ($der-text = '' or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2) then ''        else if ($is-problem-diagnosis) then $diag-invalid-inactive-refset         else if ($is-procedure) then $proc-invalid-inactive-refset         else if ($is-uncategorised) then $diag-proc-invalid-inactive-refset         else '' " />
    <xsl:variable name="diag-proc-inactive-refSets" select="if ($invalid-inactive-refset = '') then $inactive-refSets         else concat('((', $inactive-refSets, ') MINUS (', $invalid-inactive-refset, '))') " />
    <xsl:variable name="formula" select="concat($valid-domain, ' OR ', $diag-proc-inactive-refSets) " />
    <xsl:variable name="ts-not-needed" select="$der-text = '' or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2 or $valid-diag-proc-2 or $avoid-ts " />
    <xsl:variable name="der-diag-proc-codes-2-a" select="if ($ts-not-needed or exists($related-terms-2)) then ()         else tokenize(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-text,          'default'), '\|') " />
    <xsl:variable name="error-usingTS-2-a" select="$error-usingTS-1 or 'Error' = $der-diag-proc-codes-2-a " />
    <xsl:variable name="revision-pattern-1" select="if ($ts-not-needed or $valid-diag-proc-2 or exists($der-diag-proc-codes-2-a) or exists($related-terms-2) or $error-usingTS-2-a) then ''        else if ($no-qual-pattern = '') then concat($laterality-regex, '~$1 $3')        else concat($laterality-regex, '~$1 $3~',  $no-qual-pattern) " />
    <xsl:variable name="der-revised-text-1" select="if ($revision-pattern-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-text, $revision-pattern-1, 'ic')) " />
    <xsl:variable name="use-revised-text-1" select="$der-revised-text-1 != '' and $der-revised-text-1 != $der-text " />
    <xsl:variable name="der-diag-proc-codes-2-b" select="if ($ts-not-needed or exists($der-diag-proc-codes-2-a) or not($use-revised-text-1)) then $der-diag-proc-codes-2-a         else tokenize(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-1,          'default'), '\|') " />
    <xsl:variable name="error-usingTS-2-b" select="$error-usingTS-2-a or 'Error' = $der-diag-proc-codes-2-b " />
    <xsl:variable name="revision-pattern-2" select="if ($ts-not-needed or $valid-diag-proc-2 or exists($der-diag-proc-codes-2-b) or exists($related-terms-2) or $error-usingTS-2-b) then ''        else if ($is-problem-diagnosis and not($diag-sec-replacements = '')) then $diag-sec-replacements        else if ($is-procedure and not($proc-sec-replacements = '')) then $proc-sec-replacements        else if ($is-uncategorised and not($diag-sec-replacements = '') and not($proc-sec-replacements = ''))          then concat($diag-sec-replacements, '~', $proc-sec-replacements)        else if ($is-uncategorised and $diag-sec-replacements = '' and not($proc-sec-replacements = '')) then $proc-sec-replacements        else if ($is-uncategorised and not($diag-sec-replacements = '') and $proc-sec-replacements = '') then $diag-sec-replacements        else '' " />
    <xsl:variable name="der-revised-text-2" select="if ($revision-pattern-2 = '') then ''         else normalize-space(dh:XQueryRecursiveReplace(if ($use-revised-text-1) then $der-revised-text-1 else $der-text, $revision-pattern-2, 'ic')) " />
    <xsl:variable name="use-revised-text-2" select="if ($use-revised-text-1) then $der-revised-text-2 != '' and $der-revised-text-2 != $der-revised-text-1         else $der-revised-text-2 != '' and $der-revised-text-2 != $der-text " />
    <xsl:variable name="der-diag-proc-codes-2-c" select="if ($ts-not-needed or exists($der-diag-proc-codes-2-b) or not($use-revised-text-2)) then $der-diag-proc-codes-2-b        else tokenize(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-2,          'default'), '\|') " />
    <xsl:variable name="error-usingTS-2-c" select="$error-usingTS-2-b or 'Error' = $der-diag-proc-codes-2-c " />
    <xsl:variable name="text-for-revision-3" select="if ($use-revised-text-2) then $der-revised-text-2 else if ($use-revised-text-1) then $der-revised-text-1 else $der-text " />
    <xsl:variable name="base-pattern-3" select="if ($ts-not-needed or $valid-diag-proc-2 or exists($der-diag-proc-codes-2-c) or exists($related-terms-2) or $error-usingTS-2-c or        matches($text-for-revision-3, '^[A-Z]+$')) then ''        else '(^|[^a-z])[a-z]{1}([^a-z]|$)~$1$2~(^|[^/0-9])[0-9]{1}([^0-9]|$)~$1$2' " />
    <xsl:variable name="revision-pattern-3" select="if ($base-pattern-3 = '') then ''        else if (matches($der-truncated-text-1, $conjunction-regex, 'is'))         then concat($base-pattern-3, '~^(.+?)(', normalize-space(dh:XQueryRecursiveReplace(         replace($der-truncated-text-1, $conjunction-regex, '$3', 'is'), $diag-proc-fir-pattern-replacement, 'ic')), '.*?)$~$1')         else $base-pattern-3 " />
    <xsl:variable name="der-revised-text-3" select="if ($revision-pattern-3 = '') then ''        else dh:XQueryRecursiveReplace($text-for-revision-3, $revision-pattern-3, 'ic') " />
    <xsl:variable name="use-revised-text-3" select="if ($use-revised-text-2) then $der-revised-text-3 != '' and $der-revised-text-3 != $der-revised-text-2         else if ($use-revised-text-1) then $der-revised-text-3 != '' and $der-revised-text-3 != $der-revised-text-1         else $der-revised-text-3 != '' and $der-revised-text-3 != $der-text " />
    <xsl:variable name="der-diag-proc-codes-2-d" select="if ($ts-not-needed or exists($der-diag-proc-codes-2-c) or not($use-revised-text-3)) then $der-diag-proc-codes-2-c        else tokenize(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-3,          'default'), '\|') " />
    <xsl:variable name="error-usingTS-2-d" select="$error-usingTS-2-c or 'Error' = $der-diag-proc-codes-2-d " />
    <xsl:variable name="der-diag-proc-codes-2-e" select="$der-diag-proc-codes-2-d " />
    <xsl:variable name="error-usingTS-2-e" select="$error-usingTS-2-d " />
    <xsl:variable name="der-diag-proc-codes-2" select="if ($ts-not-needed or $error-usingTS-2-e or not(exists($der-diag-proc-codes-2-e)) or $der-valid-codes-1 != '') then ()        else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join(for $code in $der-diag-proc-codes-2-e return replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is'), ' OR '), ') AND (',          $formula, ')'), '', string(count($der-diag-proc-codes-2-e)), false()), '\|') " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-2-e or 'Error' = $der-diag-proc-codes-2 " />
    <xsl:variable name="der-valid-codes-2" select="if ($der-valid-codes-1 != '') then $der-valid-codes-1        else if ($error-usingTS-2) then ''         else string-join((for $code in $der-diag-proc-codes-2 return if (contains($code, '~inactive')) then '' else $code)[. != ''], '|')  " />
    <xsl:variable name="valid-diag-proc-3" select="$valid-diag-proc-2 or $der-valid-codes-2 != '' " />
    <xsl:variable name="der-inactive-codes-1" select="if ($valid-diag-proc-3) then () else        for $code in $der-diag-proc-codes-2 return if (contains($code, '~inactive')) then replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is') else '' " />
    <xsl:variable name="der-inactive-codes-2" select="for $i in (1 to count($der-inactive-codes-1)) return         dh:IsCodeAssociatedWithAnotherCode($der-inactive-codes-1[$i], '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-1" select="'Error' = $der-inactive-codes-2 " />
    <xsl:variable name="der-NAF-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-NAF-active-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound~active')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-inactive-codes-3" select="tokenize(string-join(for $i in (1 to count($der-inactive-codes-1)) return replace(string-join(tokenize($der-inactive-codes-2[$i], '\|')        [matches(., '(REPLACED BY|SAME AS|ALTERNATIVE|POSSIBLY EQUIVALENT TO|MAY BE A|WAS A)')], '|'), '[0-9]+~[A-Z ]+~([0-9]+)', '$1'), '|'), '\|')        [. != ''] " />
    <xsl:variable name="der-diag-proc-codes-3" select="if (exists($der-inactive-codes-3)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($der-inactive-codes-3, ' OR '), ') AND ', $valid-domain), '', string(count($der-inactive-codes-3)), false())          else '' " />
    <xsl:variable name="error-usingTS-3" select="$error-usingTS-2 or 'Error' = $der-diag-proc-codes-3 " />
    <xsl:variable name="der-valid-codes-3" select="if ($der-valid-codes-2 != '') then $der-valid-codes-2        else if (contains($der-diag-proc-codes-3, '[')) then $der-diag-proc-codes-3        else '' " />
    <xsl:variable name="valid-diag-proc-4" select="$valid-diag-proc-3 or $der-valid-codes-3 != '' " />
    <xsl:variable name="the-tbd" select="if ($is-problem-diagnosis) then $cd-definitions/diag/diag-tbd/hierarchy        else if ($is-procedure) then $cd-definitions/proc/proc-tbd/hierarchy        else if ($is-uncategorised) then $cd-definitions/diag-proc/diag-proc-tbd/hierarchy        else () " />
    <xsl:variable name="the-invalid-r" select="if ($is-problem-diagnosis) then $cd-definitions/diag/diag-invalid/refset        else if ($is-procedure) then $cd-definitions/proc/proc-invalid/refset        else if ($is-uncategorised) then $cd-definitions/diag-proc/diag-proc-invalid/refset        else () " />
    <xsl:variable name="tbd-hierarchy" select="if (exists($the-tbd)) then string-join(for $hierarchy in $the-tbd return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-hierarchy" select="if ($invalid-hierarchy-1 != '' and $tbd-hierarchy != '') then concat($invalid-hierarchy-1, ' OR ', $tbd-hierarchy)        else if ($invalid-hierarchy-1 != '') then $invalid-hierarchy-1        else if ($tbd-hierarchy != '') then $tbd-hierarchy        else '' " />
    <xsl:variable name="invalid-domain" select="if ($invalid-hierarchy != '' and $invalid-refset != '') then concat($invalid-hierarchy, ' OR ', $invalid-refset)        else if ($invalid-hierarchy != '') then $invalid-hierarchy        else if ($invalid-refset != '') then $invalid-refset        else '' " />
    <xsl:variable name="filter-text" select="if ($use-revised-text-3) then $der-revised-text-3         else if ($use-revised-text-2) then $der-revised-text-2         else if ($use-revised-text-1) then $der-revised-text-1         else $der-text " />
    <xsl:variable name="der-diag-proc-codes-4" select="if ($ts-not-needed or $valid-diag-proc-4 or $invalid-domain = '') then ()        else if (exists($related-terms-2)) then $related-terms-2        else distinct-values((tokenize(replace(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          $invalid-domain, $filter-text, 'default'), '(\[.*?\])(\||$)', '$2'), '\|'), $der-inactive-codes-3)) " />
    <xsl:variable name="error-usingTS-4" select="$error-usingTS-3 or 'Error' = $der-diag-proc-codes-4 " />
    <xsl:variable name="invalid-diag-proc-codes-r" select="if ($ts-not-needed or $valid-diag-proc-4 or $error-usingTS-4 or not(exists($der-diag-proc-codes-4))) then ()        else if ($invalid-refset = '') then tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-diag-proc-codes-4, ' OR '), ') AND (', $inactive-refSets, ')'), '',           string(count($der-diag-proc-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')        else tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-diag-proc-codes-4, ' OR '), ') AND (', $invalid-refset, ' OR ', $inactive-refSets, ')'), '',           string(count($der-diag-proc-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')  " />
    <xsl:variable name="error-usingTS-5" select="$error-usingTS-4 or 'Error' = $invalid-diag-proc-codes-r " />
    <xsl:variable name="invalid-formula" select="if ($is-problem-diagnosis) then $diag-invalid-hierarchy         else if ($is-procedure) then $proc-invalid-hierarchy         else if ($is-uncategorised) then $diag-proc-invalid-hierarchy        else '' " />
    <xsl:variable name="der-diag-proc-codes-4-h" select="if ($error-usingTS-5) then () else $der-diag-proc-codes-4[not(. = $invalid-diag-proc-codes-r)]" />
    <xsl:variable name="invalid-diag-proc-codes-h" select="if ($ts-not-needed or $valid-diag-proc-4 or 'Error' = $der-diag-proc-codes-4 or $invalid-formula = '' or          not(exists($der-diag-proc-codes-4-h))) then ()        else (for $code in $der-diag-proc-codes-4-h return          if (dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;&gt;', $code, ' MINUS ', $invalid-formula), '', '1', false()) = '') then $code else '')[. != ''] " />
    <xsl:variable name="invalid-diag-proc-codes" select="($invalid-diag-proc-codes-h, $invalid-diag-proc-codes-r) " />
    <xsl:variable name="der-diag-proc-codes-5" select="$der-diag-proc-codes-4[not(. = $invalid-diag-proc-codes or . = 'Error')]" />
    <xsl:variable name="der-valid-codes-4" select="if ($der-valid-codes-3 != '') then $der-valid-codes-3        else if ($ts-not-needed or $valid-diag-proc-4 or $valid-domain = '' or not(exists($der-diag-proc-codes-5))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-diag-proc-codes-5, ' OR '), ') AND ', $valid-domain), '', string(count($der-diag-proc-codes-5)), false()) " />
    <xsl:variable name="error-usingTS-6" select="$error-usingTS-5 or 'Error' = $der-valid-codes-4 " />
    <xsl:variable name="valid-diag-proc-5" select="$valid-diag-proc-4 or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="der-valid-codes-seq" select="if ($error-usingTS-6) then () else tokenize(replace($der-valid-codes-4,  '(\[.*?\])(\||$)', '$2'), '\|') " />
    <xsl:variable name="proc-ivl-location" select="if ($is-uncategorised or $is-procedure) then ../cda:effectiveTime else () " />
    <xsl:variable name="proc-has-low-date" select="exists($proc-ivl-location[cda:low and not(cda:high)]) and ($is-uncategorised or               ($is-procedure and exists(/cda:ClinicalDocument/cda:templateId[         (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3') or          (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.4')])))  " />
    <xsl:variable name="proc-intervals" select="if (not($proc-has-low-date and $valid-diag-proc-5)) then ()        else if ($is-uncategorised) then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/         cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16627']]/cda:effectiveTime        else if ($is-procedure) then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/         cda:entry/cda:procedure/cda:effectiveTime        else () " />
    <xsl:variable name="proc-ivl-low" select="$proc-intervals/cda:low/@value " />
    <xsl:variable name="proc-ivl-value" select="$proc-intervals/@value " />
    <xsl:variable name="proc-ivl-high" select="$proc-intervals/cda:high/@value " />
    <xsl:variable name="assess-proc-short" select="$proc-has-low-date and count($proc-ivl-low) = count($proc-intervals) and count($proc-ivl-value) = 0 and count($proc-ivl-high) = 0 " />
    <xsl:variable name="diag-has-date" select="($is-uncategorised and exists(../cda:effectiveTime)) or              ($is-problem-diagnosis and exists(/cda:ClinicalDocument[cda:templateId[           (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3'))  or                         (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4'))  or           (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')   ]]) and exists(../cda:effectiveTime)) " />
    <xsl:variable name="diag-intervals" select="if (not($diag-has-date and $valid-diag-proc-5 and $is-uncategorised)) then ()        else ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/         cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16627']]/cda:effectiveTime " />
    <xsl:variable name="diag-onset" select="if (not($diag-has-date and $valid-diag-proc-5 and $is-problem-diagnosis)) then ()        else if (/cda:ClinicalDocument[cda:templateId[(@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3') or                   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.4') ]])          then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/          cda:entry/cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]/cda:effectiveTime/cda:low        else if (/cda:ClinicalDocument[cda:templateId[(@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2') or                   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.3') or                   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')   ]])         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/          cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]/cda:effectiveTime        else () " />
    <xsl:variable name="diag-remission" select="if (not($diag-has-date and $valid-diag-proc-5 and $is-problem-diagnosis)) then ()        else ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/         cda:entry/cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]/cda:entryRelationship[@typeCode='SUBJ']/         cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]/cda:value " />
    <xsl:variable name="diag-ivl-low" select="$diag-intervals/cda:low/@value " />
    <xsl:variable name="diag-ivl-value" select="$diag-intervals/@value " />
    <xsl:variable name="diag-ivl-high" select="$diag-intervals/cda:high/@value " />
    <xsl:variable name="assess-diag-ongoing" select="(exists($diag-ivl-low) and not(exists($diag-ivl-value)) and not(exists($diag-ivl-high))) or              (not(exists($diag-ivl-low)) and exists($diag-ivl-value) and not(exists($diag-ivl-high))) or              (not(exists($diag-ivl-low)) and not(exists($diag-ivl-value)) and exists($diag-ivl-high)) or              (exists($diag-onset) and not(exists($diag-remission)))     or              (not(exists($diag-onset)) and exists($diag-remission))     " />
    <xsl:variable name="code-num" select="if ($assess-proc-short or $assess-diag-ongoing) then count($der-valid-codes-seq) else 0 " />
    <xsl:variable name="best-match-ratio" select=" 1.0 " />
    <xsl:variable name="comparison" select="if ($code-num &gt; 0)         then distinct-values(tokenize(normalize-space(translate(lower-case($der-text), $chars-no-space, '')), ' ')) else () " />
    <xsl:variable name="comparison-count" select="count($comparison) " />
    <xsl:variable name="der-valid-code-pterm" select="if ($code-num &gt; 0) then tokenize($der-valid-codes-4, '\|') else () " />
    <xsl:variable name="code-terms" select="if ($code-num &gt; 0) then for $x in $der-valid-code-pterm return          normalize-space(dh:XQueryRecursiveReplace(dh:XQueryRecursiveReplace(translate(lower-case(replace($x, '^([0-9]+\[)(.*?)(\]$)', '$2')),          $chars-no-space, ''), $diag-proc-fir-pattern-replacement, 'ic'), $diag-proc-sec-pattern-replacement, 'ic')) else () " />
    <xsl:variable name="code-term-num" select="count($code-terms) " />
    <xsl:variable name="code-term-count" select="if ($code-term-num &gt; 0) then for $i in (1 to $code-term-num) return count(distinct-values(tokenize($code-terms[$i], ' '))) else () " />
    <xsl:variable name="best-matches" select="(for $j in (1 to $code-term-num) return               if (           (            (             $comparison-count + $code-term-count[$j] - count(distinct-values(($comparison, tokenize($code-terms[$j], ' '))))            ) div $comparison-count            +            (             $comparison-count + $code-term-count[$j] - count(distinct-values(($comparison, tokenize($code-terms[$j], ' '))))            ) div $code-term-count[$j]           ) div 2 &gt;= $best-match-ratio          ) then $der-valid-code-pterm[$j] else '')[. != ''] " />
    <xsl:variable name="best-codes" select="if (exists($best-matches)) then for $concept in $best-matches return replace($concept, '^([0-9]+)(\[.*?\]$)', '$1')         else $der-valid-codes-seq " />
    <xsl:variable name="best-num" select="count($best-codes)" />
    <xsl:variable name="short-procedure-codes" select="if ($assess-proc-short and $best-num &gt; 0) then for $item in $cd-definitions/proc/proc-short/hierarchy return $item/@code else () " />
    <xsl:variable name="procedure-type" select="if ($assess-proc-short and $best-num &gt; 0) then tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($best-codes, ' OR '), ') AND &lt;&lt;(', string-join($short-procedure-codes, ' OR '), ')'), '',         string($best-num), false()), '\|') else () " />
    <xsl:variable name="error-usingTS-7a" select="$error-usingTS-6 or 'Error' = $procedure-type " />
    <xsl:variable name="short-procedure" select="$valid-diag-proc-5 and $assess-proc-short and $best-num &gt; 0 and not($error-usingTS-7a) and $best-num = count($procedure-type) " />
    <xsl:variable name="procedure-codes" select="if ($is-uncategorised and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $best-num &gt; 0)         then tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($best-codes, ' OR '), ') AND ^32570141000036105'), '', string($best-num), false()), '\|')        else if ($is-procedure and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true')) then $der-valid-codes-4        else () " />
    <xsl:variable name="error-usingTS-7b" select="$error-usingTS-7a or 'Error' = $procedure-codes " />
    <xsl:variable name="ongoing-diag-codes" select="if ($assess-diag-ongoing and $best-num &gt; 0) then for $item in $cd-definitions/diag/diag-ongoing/hierarchy return $item/@code else () " />
    <xsl:variable name="diagnosis-type" select="if ($assess-diag-ongoing and $best-num &gt; 0) then tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($best-codes, ' OR '), ') AND &lt;&lt;(', string-join($ongoing-diag-codes, ' OR '), ')'), '',         string($best-num), false()), '\|') else () " />
    <xsl:variable name="error-usingTS-7c" select="$error-usingTS-7b or 'Error' = $diagnosis-type " />
    <xsl:variable name="ongoing-diagnosis" select="$valid-diag-proc-5 and $assess-diag-ongoing and $best-num &gt; 0 and not($error-usingTS-7b) and $best-num = count($diagnosis-type) " />
    <xsl:variable name="repeated-start" select="if (not($ongoing-diagnosis and $is-uncategorised and (exists(../cda:effectiveTime/cda:low/@value) or exists(../cda:effectiveTime/@value)))) then ()        else ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/         cda:entry/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16627']]/cda:text         [matches(., concat('^', translate($der-text-2, $chars-to-remove, ''), '$'), 'is')] " />
    <xsl:variable name="diagnosis-codes" select="if ($is-uncategorised and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))         then tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($best-codes, ' OR '), ') AND ^32570581000036105'), '', string($best-num), false()), '\|')        else () " />
    <xsl:variable name="diagnosis-codes" select="if ($is-uncategorised and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $best-num &gt; 0)         then tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($best-codes, ' OR '), ') AND ^32570581000036105'), '', string($best-num), false()), '\|')        else if ($is-problem-diagnosis and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))         then tokenize($der-valid-codes-4, '\|')        else () " />
    <xsl:variable name="error-usingTS-7d" select="$error-usingTS-7c or 'Error' = $diagnosis-codes " />
    <xsl:variable name="error-usingTS-7" select="$error-usingTS-7d " />
    <xsl:variable name="undetermined-diag-proc-1" select="if (exists($der-valid-codes-seq)) then $der-diag-proc-codes-5[not(. = $der-valid-codes-seq)] else $der-diag-proc-codes-5 " />
    <xsl:variable name="undetermined-inactive-1" select="for $i in (1 to count($undetermined-diag-proc-1)) return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $undetermined-diag-proc-1[$i], '', '1', false()) " />
    <xsl:variable name="error-usingTS-8" select="$error-usingTS-7 or 'Error' = $undetermined-inactive-1 " />
    <xsl:variable name="undetermined-inactive" select="(for $i in (1 to count($undetermined-diag-proc-1)) return         if (contains($undetermined-inactive-1[$i], '~inactive')) then $undetermined-inactive-1[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-1" select="for $i in (1 to count($undetermined-inactive))        return dh:IsCodeAssociatedWithAnotherCode(replace($undetermined-inactive[$i], '(\[.*?\])(\||$)', '$2'), '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-2" select="$error-usingV-1 or 'Error' = $undetermined-NAF-1 " />
    <xsl:variable name="undetermined-NAF" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-codes" select="for $term in $undetermined-NAF return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-NAF-active" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound~active')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-active-codes" select="for $term in $undetermined-NAF-active return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-diag-proc" select="$undetermined-diag-proc-1[not(. = ($undetermined-NAF-codes, $undetermined-NAF-active-codes))]" />
    <xsl:variable name="invalid-diag-proc" select="not($valid-diag-proc-5) and exists($invalid-diag-proc-codes) and not(exists($undetermined-diag-proc))" />
    <xsl:variable name="an-immun-3" select="if ($an-immun-2) then true()        else if (not($try-immun) or $valid-diag-proc-5 or $invalid-diag-proc or not(exists($vaccine-text-normalised))) then false()        else if ($der-text != '' and translate(lower-case($der-text), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else if ($use-revised-text-1 and translate(lower-case($der-revised-text-1), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else if ($use-revised-text-2 and translate(lower-case($der-revised-text-2), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else if ($use-revised-text-3 and translate(lower-case($der-revised-text-3), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else false() " />
    <xsl:variable name="vaccine-code-test" select="if ($try-immun and not($an-immun-3 or $valid-diag-proc-5 or $invalid-diag-proc or $avoid-ts or $error-usingTS-8) and exists($undetermined-diag-proc))          then tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('(', string-join($undetermined-diag-proc, ' OR '), ') AND (&lt;71181003 OR &lt;127785005)'), '',           string(count($undetermined-diag-proc)), false()), '\|')        else () " />
    <xsl:variable name="error-usingTS-9" select="$error-usingTS-8 or 'Error' = $vaccine-code-test " />
    <xsl:variable name="an-immun" select="$an-immun-3 or (not('Error' = $vaccine-code-test) and exists($undetermined-diag-proc) and         count($vaccine-code-test) = count($undetermined-diag-proc)) " />
    <xsl:variable name="try-tgi" select="not($valid-diag-proc-5 or $invalid-diag-proc or ($try-immun and $an-immun) or $der-text = '' or $negated-err or $der-text-non-value or         $der-invalid-text) and /cda:ClinicalDocument/cda:code[         (@codeSystem = '2.16.840.1.113883.6.1' and @code = ('60591-5', '34133-9', '18842-5', '57133-1', '51852-2')) or         (@codeSystem = '1.2.36.1.2001.1001.101' and @code = '100.16685')      ]" />
    <xsl:variable name="der-tgi-text" select="if ($try-tgi) then normalize-space(dh:XQueryRecursiveReplace($der-text,         concat($tgi-fir-pattern-replacement, '~', $tgi-regex, '~', $tgi-sec-pattern-replacement, '~', $tgi-thi-pattern-replacement), 'ic')) else '' " />
    <xsl:variable name="use-tgi-text" select="$der-tgi-text != '' and $der-tgi-text != $der-text " />
    <xsl:variable name="a-sas-tgi" select="$try-tgi and $use-tgi-text and $tgi-sas-regex != '' and matches($der-tgi-text, $tgi-sas-regex, 'is')" />
    <xsl:variable name="an-uncoded-tgi" select="$try-tgi and $use-tgi-text and $tgi-otheru-regex != '' and matches($der-tgi-text, $tgi-otheru-regex, 'is')" />
    <xsl:variable name="der-tgi-codes" select="if ($avoid-ts or $error-usingTS-9) then ''         else if ($try-tgi and $use-tgi-text and not($a-sas-tgi or $an-uncoded-tgi))         then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $tgi-formula, $der-tgi-text,           $max-code-number, false())         else '' " />
    <xsl:variable name="error-usingTS-10" select="$error-usingTS-9 or 'Error' = $der-tgi-codes " />
    <xsl:variable name="a-tgi" select="$try-tgi and ($a-sas-tgi or $an-uncoded-tgi or contains($der-tgi-codes, '[')) and not(exists($undetermined-diag-proc)) " />
    <xsl:variable name="codes-were-found" select="exists($der-diag-proc-codes-4) or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="codes-not-found" select="not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or        $valid-diag-proc-5 or $invalid-diag-proc or $an-immun or $a-tgi or $error-usingTS-10 or $family-err or $length-err or $prose-err or $negated-err) " />
    <xsl:variable name="codes-in-the-domain" select="not($valid-diag-proc-1) and $valid-diag-proc-5" />
    <xsl:variable name="codes-in-other-domain" select="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-diag-proc-5 or         $invalid-diag-proc or $an-immun or $a-tgi) " />
    <xsl:variable name="codes-in-no-domain" select="exists($der-diag-proc-codes-5) " />
    <xsl:variable name="display-in-the-domain" select="if ($codes-in-the-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', '), '''')        else '' " />
    <xsl:variable name="display-in-other-r" select="if (exists($invalid-diag-proc-codes-r) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-diag-proc-codes-r return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-h" select="if (exists($invalid-diag-proc-codes-h) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-diag-proc-codes-h return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-domain" select="if (not($codes-in-other-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))) then ''        else if ($display-in-other-r and display-in-other-h) then concat('''', $display-in-other-r, ', ', $display-in-other-h, '''')        else if ($display-in-other-r) then concat('''', $display-in-other-r, '''')        else if ($display-in-other-h) then concat('''', $display-in-other-h, '''')        else '' " />
    <xsl:variable name="display-in-no-domain" select="if ($codes-in-no-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', dh:XQueryRecursiveReplace(string-join(for $code in $der-diag-proc-codes-5 return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), '; '),          $term-pattern-replacement, 'ic'), '''')        else '' " />
    <xsl:variable name="display-text-1" select="if (cda:originalText != '') then normalize-space(cda:originalText)        else if (. != '') then normalize-space(.)        else '' " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-attr" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))        else if (. != '') then normalize-space(concat('the text ', $display-text))        else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="log-element" select="if ($error-usingTS-10 or not($flags/@report-terminology-concepts = 'true') or $log-concepts-name = '') then ''        else if ($is-problem-diagnosis) then 'Problem/Diagnosis' else if ($is-procedure) then 'Procedure' else 'Problem/Diagnosis or Procedure' " />
    <xsl:variable name="log-concepts-appended" select="if ($error-usingTS-10 or not($flags/@report-terminology-concepts = 'true') or $log-concepts-name = '') then ''        else if ($codes-not-found and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                   $log-element,    $log-tab,                   'yes',     $log-tab,                   concat($display-attr, $display-system), $log-tab,                   '',     $log-tab,                  '',     $log-tab,                  '',     $log-tab,                  $ts-current-sctau   ))        else if (($use-revised-text-3 or $codes-in-no-domain) and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                  $log-element,    $log-tab,                   'yes',     $log-tab,                     concat($display-attr, $display-system), $log-tab,                    $display-in-the-domain,   $log-tab,                  $display-in-other-domain,  $log-tab,                  $display-in-no-domain,   $log-tab,                  $ts-current-sctau   ))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-01" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating" select="if ($text-without-markup = '' or (cda:originalText and cda:originalText != '')) then $rating-57 else $rating-01 " />
    <xsl:variable name="test-case-id" select="if ($text-without-markup = '' or (cda:originalText and cda:originalText != '')) then 'TC-Types-57' else 'TC-Doc-01' " />
    <!--REPORT -->
    <xsl:if test=" $log-concepts-appended = ('NOTFOUND', 'ERROR') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$log-concepts-appended = ('NOTFOUND', 'ERROR')">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Diag-Proc-Defn): The AppendLog function returned '<xsl:text /><xsl:value-of select="$log-concepts-appended" /><xsl:text />' when requested to append the concepts log
		'<xsl:text /><xsl:value-of select="$log-concepts-name" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-3a = '' or $der-text-a = '') and    not($uncat-embedded-error or $negated-err or $valid-diag-proc-5) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-3a = '' or $der-text-a = '') and not($uncat-embedded-error or $negated-err or $valid-diag-proc-5)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Diag-Proc-Defn): An unexpected problem occurred when assessing the value of the Medical History Item Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. The application of regular expressions resulted in the complete loss of text.
		Report the information below to the Australian Digital Health Agency for investigation.

		der-text-1 '<xsl:text /><xsl:value-of select="normalize-space(dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'))" /><xsl:text />'.
		der-truncated-text-1 '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-truncated-text-1, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-2a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-2a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-3a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-3a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-a, $term-pattern-replacement, 'ic')" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingV-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingV-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Diag-Proc-Defn): An error was reported when accessing the terminology server when assessing the Medical History Item Description data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		Report the issue to the Australian Digital Health Agency for investigation stating the error was recorded for error-usingV-2.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-10 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-10">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Diag-Proc-Defn): An error was reported when accessing the terminology server when assessing the Medical History Item Description data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term:
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The analysis should be retried as the terminology server may have been temporarily unavailable.
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation, stating that the error was found by
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'error-usingTS-1' else if ($error-usingTS-2-a) then 'error-usingTS-2-a'   else if ($error-usingTS-2-b) then 'error-usingTS-2-b' else if ($error-usingTS-2-c) then 'error-usingTS-2-c'   else if ($error-usingTS-2-d) then 'error-usingTS-2-d' else if ($error-usingTS-2-e) then 'error-usingTS-2-e'   else if ($error-usingTS-2) then 'error-usingTS-2'   else if ($error-usingTS-3) then 'error-usingTS-3' else if ($error-usingTS-4) then 'error-usingTS-4'   else if ($error-usingTS-5) then 'error-usingTS-5' else if ($error-usingTS-6) then 'error-usingTS-6'   else if ($error-usingTS-7) then 'error-usingTS-7' else if ($error-usingTS-8) then 'error-usingTS-8'   else if ($error-usingTS-9) then 'error-usingTS-9' else 'error-usingTS-10' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($family-err or $length-err) and not($prose-err or $negated-err or $der-invalid-text) and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($family-err or $length-err) and not($prose-err or $negated-err or $der-invalid-text) and not(cda:originalText)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: <xsl:text /><xsl:value-of select="$test-case-id" /><xsl:text />: The Medical History Item Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which may be invalid as it
		<xsl:text /><xsl:value-of select="if ($family-err) then 'contains the family name of a healthcare participant' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($family-err and $length-err) then ' and ' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($length-err) then 'seems to be too long to describe a concept and may be a copy of or extract from the narrative.' else '.' " /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to describe a medical problem, diagnosis or medical or surgical         procedure and which has not been categorised as either procedure or problem/diagnosis.         (See the definition of the data element and the Medical History section in the Structured Content Specification and sections 6.2 and 6.3 of         the Medical History Detailed Clinical Model Specification.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-uncategorised and $prose-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-uncategorised and $prose-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: <xsl:text /><xsl:value-of select="$test-case-id" /><xsl:text />: The Medical History Item Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is invalid as it is prose text.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to describe a medical problem, diagnosis or medical or surgical         procedure and which has not been categorised as either procedure or problem/diagnosis.         (See the definition of the data element and the Medical History section in the Structured Content Specification and sections 6.2 and 6.3 of         the Medical History Detailed Clinical Model Specification.)'))" /><xsl:text /> A place to record prose text is in a comment or clinical synopsis data element.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and not($is-uncategorised) and $prose-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and not($is-uncategorised) and $prose-err">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: <xsl:text /><xsl:value-of select="$test-case-id" /><xsl:text />: The Medical History Item Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is invalid as it is prose text.
		<xsl:text /><xsl:value-of select="if ($is-problem-diagnosis or $is-procedure) then concat('The Medical History Item Description data element is CodeableText derived from the HL7 CD data type which by definition is to record ',   'a concept defined in an external code system, terminology or ontology. (See section 7.5.2.1 of ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')    else '' " /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to describe a medical problem, diagnosis or medical or surgical         procedure and which has not been categorised as either procedure or problem/diagnosis.         (See the definition of the data element and the Medical History section in the Structured Content Specification and sections 6.2 and 6.3 of         the Medical History Detailed Clinical Model Specification.)'))" /><xsl:text />
		A place to record prose text is in a comment or clinical synopsis data element.
		This finding will also be reported as an error.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $codes-not-found">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: <xsl:text /><xsl:value-of select="$test-case-id" /><xsl:text />: The Medical History Item Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to describe a medical problem, diagnosis or medical or surgical         procedure and which has not been categorised as either procedure or problem/diagnosis.         (See the definition of the data element and the Medical History section in the Structured Content Specification and sections 6.2 and 6.3 of         the Medical History Detailed Clinical Model Specification.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$codes-in-other-domain and not($error-usingTS-10)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$codes-in-other-domain and not($error-usingTS-10)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: <xsl:text /><xsl:value-of select="$test-case-id" /><xsl:text />: The Medical History Item Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value does not seem to be applicable for the data element.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to describe a medical problem, diagnosis or medical or surgical         procedure and which has not been categorised as either procedure or problem/diagnosis.         (See the definition of the data element and the Medical History section in the Structured Content Specification and sections 6.2 and 6.3 of         the Medical History Detailed Clinical Model Specification.)')" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $negated-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$negated-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: <xsl:text /><xsl:value-of select="$test-case-id" /><xsl:text />: The Medical History Item Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element has an invalid value which states the healthcare consumer
		<xsl:text /><xsl:value-of select="if ('Medical History Item Description' = 'Problem/Diagnosis Identification') then 'does not have a problem' else if ('Medical History Item Description' = 'Procedure Name') then 'has not had a procedure'   else if ('Medical History Item Description' = 'Medical History Item Description') then 'does not have the item' else 'Medical History Item Description'" /><xsl:text />.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to describe a medical problem, diagnosis or medical or surgical         procedure and which has not been categorised as either procedure or problem/diagnosis.         (See the definition of the data element and the Medical History section in the Structured Content Specification and sections 6.2 and 6.3 of         the Medical History Detailed Clinical Model Specification.)'))" /><xsl:text />
		If the consumer once had the <xsl:text /><xsl:value-of select="if ('Medical History Item Description' = 'Problem/Diagnosis Identification') then 'problem'    else if ('Medical History Item Description' = 'Procedure Name') then 'procedure' else if ('Medical History Item Description' = 'Medical History Item Description') then 'item' else 'Medical History Item Description'" /><xsl:text /> then the error may be
		corrected by stating the
		<xsl:text /><xsl:value-of select="if ('Medical History Item Description' = 'Problem/Diagnosis Identification') then 'problem the consumer once had' else if ('Medical History Item Description' = 'Procedure Name') then 'procedure the consumer once had'    else if ('Medical History Item Description' = 'Medical History Item Description') then 'medical history item the consumer once had' else 'Medical History Item Description'" /><xsl:text /> and including an end date. If the consumer was previously thought
		to have had the <xsl:text /><xsl:value-of select="if ('Medical History Item Description' = 'Problem/Diagnosis Identification') then 'problem' else if ('Medical History Item Description' = 'Procedure Name') then 'procedure'   else if ('Medical History Item Description' = 'Medical History Item Description') then 'medical history item' else 'Medical History Item Description'" /><xsl:text /> and if this was subsequently ruled out then
		<xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> must not be included in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Medical History Item Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to describe a medical problem, diagnosis or medical or surgical         procedure and which has not been categorised as either procedure or problem/diagnosis.         (See the definition of the data element and the Medical History section in the Structured Content Specification and sections 6.2 and 6.3 of         the Medical History Detailed Clinical Model Specification.)'))" /><xsl:text />
		The Medical History Item Description data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: <xsl:text /><xsl:value-of select="$test-case-id" /><xsl:text />: The Medical History Item Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to describe a medical problem, diagnosis or medical or surgical         procedure and which has not been categorised as either procedure or problem/diagnosis.         (See the definition of the data element and the Medical History section in the Structured Content Specification and sections 6.2 and 6.3 of         the Medical History Detailed Clinical Model Specification.)'))" /><xsl:text />
		The Medical History Item Description data element must have a value that is consistent with this definition. Alternatively if there is no Medical History Item Description data element with a proper value then an exclusion
		statement must be included to state why there is no Medical History Item Description. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4')    then concat('Text such as ''', dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'), ''' may be permitted in the narrative even though the Medical History Item Description data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Medical History Item Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to describe a medical problem, diagnosis or medical or surgical         procedure and which has not been categorised as either procedure or problem/diagnosis.         (See the definition of the data element and the Medical History section in the Structured Content Specification and sections 6.2 and 6.3 of         the Medical History Detailed Clinical Model Specification.)'))" /><xsl:text />
		The Medical History Item Description data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($der-text-non-value) and $der-invalid-text ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($der-text-non-value) and $der-invalid-text">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Medical History Item Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid. <xsl:text /><xsl:value-of select="$defn-invalid-rsn" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to describe a medical problem, diagnosis or medical or surgical         procedure and which has not been categorised as either procedure or problem/diagnosis.         (See the definition of the data element and the Medical History section in the Structured Content Specification and sections 6.2 and 6.3 of         the Medical History Detailed Clinical Model Specification.)'))" /><xsl:text /><xsl:text /><xsl:value-of select="if ($uncat-embedded-comment != '') then concat(' The Medical History Item Description text contains the comment ''', $uncat-embedded-comment,     ''' which should have been recorded in the Medical History Item Comment data element.',    ' (See the mapping table for Medical History Item Comment in the ', $document-name, ' CDA Implementation Guide.)') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($uncat-embedded-start != '' and $uncat-embedded-end != '') then concat(' The Medical History Item Description text contains a time interval commencing at ''', $uncat-embedded-start,     ''' and ending at ', $uncat-embedded-end, ''' however they should have been recorded in the low and high elements of the Medical History Item TimeInterval data element.')     else if ($uncat-embedded-start != '' and $uncat-embedded-end = '') then concat(' The Medical History Item Description text contains a time interval commencing at ''', $uncat-embedded-start,     ''' which should have been recorded in the low element of the Medical History Item TimeInterval data element.')    else if ($uncat-embedded-start = '' and $uncat-embedded-end != '') then concat(' The Medical History Item Description text contains a time interval ending at ', $uncat-embedded-end,     ''' which should have been recorded in the high element of the Medical History Item TimeInterval data element.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($uncat-embedded-dt != '') then concat(' The Medical History Item Description text contains the date ''', $uncat-embedded-dt,     ''' which should have been recorded in the value attribute of the Medical History Item TimeInterval data element.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($uncat-embedded-start != '' or $uncat-embedded-end != '' or $uncat-embedded-dt != '') then concat(    ' (See the mapping table for Medical History Item TimeInterval in the ', $document-name, ' CDA Implementation Guide.)') else '' " /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $an-immun and not($error-usingTS-10)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$an-immun and not($error-usingTS-10)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: <xsl:text /><xsl:value-of select="$test-case-id" /><xsl:text />: The Medical History Item Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the value is invalid.
		<xsl:text /><xsl:value-of select="if ($is-problem-diagnosis) then concat('Administering an immunisation is not a medical problem or diagnosis and the ', $document-name,    ' has a separate Immunisation section for recording the immunisation.')   else 'Administering an immunisation is not a medical procedure that may be recorded in this section of the document as there is a separate Immunisation section for that purpose.' " /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to describe a medical problem, diagnosis or medical or surgical         procedure and which has not been categorised as either procedure or problem/diagnosis.         (See the definition of the data element and the Medical History section in the Structured Content Specification and sections 6.2 and 6.3 of         the Medical History Detailed Clinical Model Specification.)'))" /><xsl:text />
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $a-tgi and not($error-usingTS-10) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$a-tgi and not($error-usingTS-10)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: <xsl:text /><xsl:value-of select="$test-case-id" /><xsl:text />: The Medical History Item Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the value is invalid as it identifies a medication.
		Administering a medication is not a medical procedure that may be recorded in this section of the document as there is a separate Medication section for that purpose.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to describe a medical problem, diagnosis or medical or surgical         procedure and which has not been categorised as either procedure or problem/diagnosis.         (See the definition of the data element and the Medical History section in the Structured Content Specification and sections 6.2 and 6.3 of         the Medical History Detailed Clinical Model Specification.)'))" /><xsl:text />
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $invalid-diag-proc and not($error-usingTS-10) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$invalid-diag-proc and not($error-usingTS-10)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Medical History Item Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid
		<xsl:text /><xsl:value-of select="if (exists($invalid-diag-proc-codes-h)) then concat(' as it describes ', string-join(distinct-values(for $code in tokenize(replace(   dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat('(', string-join(for $code in $invalid-diag-proc-codes-h return concat('&gt;&gt;', $code), ' OR '), ') AND (',    string-join(for $hierarchy in $the-invalid-h return $hierarchy/@code, ' OR '), ')'), '',    string(count($invalid-diag-proc-codes-h)), true()), '(\[.*?\])(\||$)', '$2'), '\|') return $the-invalid-h[@code = $code]/@description)[position() = (1 to 2)], ' and '), '.')    else if (exists($invalid-diag-proc-codes-r)) then concat(' as it describes ', string-join(distinct-values(for $code in $invalid-diag-proc-codes-r return   $the-invalid-r[index-of(for $x in (for $refset in $the-invalid-r return    dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat($code, ' AND ^', $refset/@code), '', '1', true()), '|') return matches($x, '^[0-9]'), true())[1]]/@description), ' and '), '.')   else '.'" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to describe a medical problem, diagnosis or medical or surgical         procedure and which has not been categorised as either procedure or problem/diagnosis.         (See the definition of the data element and the Medical History section in the Structured Content Specification and sections 6.2 and 6.3 of         the Medical History Detailed Clinical Model Specification.)'))" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable outside the applicable value domain): The Medical History Item Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following codes were obtained and are not in the value domain: <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-Diag-Proc-Defn): The Medical History Item Description '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU and no associated code was found in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists(($der-NAF-active-codes, $undetermined-NAF-active-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists(($der-NAF-active-codes, $undetermined-NAF-active-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-Diag-Proc-Defn): The Medical History Item Description '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-active-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the
		'<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' version of SNOMED CT-AU but it was not found with this status in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU.
		<xsl:text /><xsl:value-of select="if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $valid-diag-proc-1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $valid-diag-proc-1">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable within the value domain): The Medical History Item Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which matches one of the terms listed in
		<xsl:text /><xsl:value-of select="if ($a-disease) then 'the vaccine information in CodeSystems.xml' else 'Knowledge.xml' " /><xsl:text /> for the Medical History Item Description.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (concept is codeable within the value domain): The Medical History Item Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a valid value for the Medical History Item Description.
		SNOMED CT-AU codes that matched the concept are: <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (count($best-matches) = count($der-valid-codes-seq)) then ''   else if (count($best-matches) = 1) then concat('The analysis continued only with the best matching code which is ''',   dh:XQueryRecursiveReplace($best-matches[1], $markup-pattern-replacement, 'ic'), '''.')   else if (exists($best-matches)) then concat('The analysis continued only with the best matching codes which are ''',   dh:XQueryRecursiveReplace(string-join($best-matches, '; '), $markup-pattern-replacement, 'ic'), '''.')   else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ('Error' = $procedure-codes or not(exists($procedure-codes))) then ''   else if ($best-num = count($procedure-codes)) then ' All matching codes are members of the Procedure Foundation reference set.'    else if (count($procedure-codes) = 1) then concat(' Out of the ', $best-num, ' codes one is a member of the Procedure Foundation reference set (', string-join($procedure-codes, '; '), ').')    else if (count($procedure-codes) = 0) then concat(' Out of the ', $best-num, ' codes none is a member of the Procedure Foundation reference set.')   else concat(' Out of the ', $best-num, ' codes ', count($procedure-codes), ' are members of the Procedure Foundation reference set (', string-join($procedure-codes, '; '), ').') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($error-usingTS-7 or not(exists($procedure-codes))) then ''   else if (not($assess-proc-short)) then ' The procedure duration was not assessed.'   else if (count($procedure-type) = 0 and $best-num = count($procedure-codes)) then ' This may be a long duration procedure.'   else if (count($procedure-type) = 0) then ''   else if ($short-procedure) then ' This is a short duration procedure.'    else if ($best-num &gt; count($procedure-type) and count($procedure-type) = 1)     then concat(' Out of the ', $best-num, ' codes one describes a short duration procedure (', string-join($procedure-type, '; '), ').')   else if ($best-num &gt; count($procedure-type))     then concat(' Out of the ', $best-num, ' codes ', count($procedure-type), ' describe a short duration procedure (', string-join($procedure-type, '; '), ').')   else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ('Error' = $diagnosis-codes or not(exists($diagnosis-codes))) then ''   else if ($best-num = count($diagnosis-codes)) then ' All matching codes are members of the Problem/Diagnosis reference set.'    else if (count($diagnosis-codes) = 1) then concat(' Out of the ', $best-num, ' codes one is a member of the Problem/Diagnosis reference set (', string-join($diagnosis-codes, '; '), ').')    else if (count($diagnosis-codes) = 0) then concat(' Out of the ', $best-num, ' codes none is a member of the Problem/Diagnosis reference set.')   else concat(' Out of the ', $best-num, ' codes ', count($diagnosis-codes), ' are members of the Problem/Diagnosis reference set (', string-join($diagnosis-codes, '; '), ').') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($error-usingTS-7 or not(exists($diagnosis-codes))) then ''   else if (not($assess-diag-ongoing)) then ' The medical problem duration was not assessed.'   else if (count($diagnosis-type) = 0 and $best-num = count($diagnosis-codes)) then ' This medical problem may not be ongoing.'   else if (count($diagnosis-type) = 0) then ''   else if ($ongoing-diagnosis) then concat(' This medical problem is generally ongoing and is a member of the following conditions in the Knowledge.xml file: ''',    string-join(for $concept in $diagnosis-type return     dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',     concat('&gt;&gt;', replace($concept, '^([0-9]+)(\[.*?\]$)', '$1'), ' AND (', string-join($ongoing-diag-codes, ' OR '), ')'), '', '1', false()), '|'), '''.')   else if ($best-num &gt; count($diagnosis-type) and count($diagnosis-type) = 1)     then concat(' Out of the ', $best-num, ' codes one describes an ongoing medical problem (', string-join($diagnosis-type, '; '), ').')   else if ($best-num &gt; count($diagnosis-type))     then concat(' Out of the ', $best-num, ' codes ', count($diagnosis-type), ' describe an ongoing medical problem (', string-join($diagnosis-type, '; '), ').')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-diag-proc-1 or $prose-err or $negated-err) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-diag-proc-1 or $prose-err or $negated-err)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: <xsl:text /><xsl:value-of select="$test-case-id" /><xsl:text />: The Medical History Item Description '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The text used to match regular expression (der-text-2) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to match non-values and vaccines (der-text-to-match) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-to-match, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to derive a code (der-text) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.

		<xsl:text /><xsl:value-of select="if ($use-revised-text-1) then concat(' A first revision of the text (der-revised-text-1) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-1, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A first revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-1 != '' and $der-revised-text-1 = '') then ' revision-pattern-1 was applied but the output (der-revised-text-1) was an empty string.' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($use-revised-text-2) then concat(' A second revision of the text (der-revised-text-2) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A second revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-2 != '' and $der-revised-text-2 = '') then ' revision-pattern-2 was applied but the output (der-revised-text-2) was an empty string.' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($use-revised-text-3) then concat(' A third revision of the text (der-revised-text-3) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-3, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A third revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-3 != '' and $der-revised-text-3 = '') then ' revision-pattern-3 was applied but the output (der-revised-text-3) was an empty string.' else '' " /><xsl:text />

		Codes for related terms (related-terms-2): '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($related-terms-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes for related terms (der-valid-codes-1): 
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-1, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-diag-proc-codes-2) returned by the terminology server that match the text:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-diag-proc-codes-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes from related terms or the terminology server (der-valid-codes-2):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-2, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-inactive-codes-3) returned from the Validator's database associated with inactive codes:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-inactive-codes-3, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes found after examining inactive codes (der-valid-codes-3):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-3, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-diag-proc-codes-3) returned by the terminology server that are in der-inactive-codes-3 and the value domain:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-diag-proc-codes-3, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Members of invalid reference sets (invalid-diag-proc-codes-r): '<xsl:text /><xsl:value-of select="$display-in-other-r" /><xsl:text />'.
		Members of invalid code hierarchies (invalid-diag-proc-codes-h): '<xsl:text /><xsl:value-of select="$display-in-other-h" /><xsl:text />'.

		Final set of valid medical diagnosis and procedure codes (der-valid-codes-4): <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.

		 diag-proc-codes-5): '<xsl:text /><xsl:value-of select="string-join($der-diag-proc-codes-5, ''', ''')" /><xsl:text />'.
		Codes whose validity has not been determined and are inactive with no associated code (undetermined-NAF): '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(    string-join($undetermined-NAF, ''', '''), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		
		Were immunisations examined (try-immun)?: '<xsl:text /><xsl:value-of select="$try-immun" /><xsl:text />'
		Were immunisations found in the first assessment (an-immun-1):  '<xsl:text /><xsl:value-of select="$an-immun-1" /><xsl:text />'
		Were immunisations found in the second assessment (an-immun-2):  '<xsl:text /><xsl:value-of select="$an-immun-2" /><xsl:text />'
		Were immunisations found in the third assessment (an-immun-3):  '<xsl:text /><xsl:value-of select="$an-immun-3" /><xsl:text />'
		Vaccine codes (vaccine-code-test):  '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($vaccine-code-test, '; '), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Were immunisations found in the third assessment (an-immun):  '<xsl:text /><xsl:value-of select="$an-immun" /><xsl:text />'

		Were therapeutic good identifiers examined (try-tgi)?: '<xsl:text /><xsl:value-of select="$try-tgi" /><xsl:text />'
		Was text used to examine therapeutic good identifiers (use-tgi-text)?: '<xsl:text /><xsl:value-of select="$use-tgi-text" /><xsl:text />'
		The text used (der-tgi-text) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-tgi-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		Did the data element describe a therapeutic good on the Special Access Scheme (a-sas-tgi)?: '<xsl:text /><xsl:value-of select="$a-sas-tgi" /><xsl:text />'
		Did the data element describe an uncoded TGI (an-uncoded-tgi)?: '<xsl:text /><xsl:value-of select="$an-uncoded-tgi" /><xsl:text />'
		Set of TGI codes (der-tgi-codes):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-tgi-codes, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Was it confirmed that the data element describes a TGI (a-tgi)?: '<xsl:text /><xsl:value-of select="$a-tgi" /><xsl:text />'

		Will the value of the data element be trusted (der-trusted-text)? '<xsl:text /><xsl:value-of select="$der-trusted-text" /><xsl:text />'.
		
	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and $der-text != '' and not($valid-diag-proc-5 or $codes-were-found or $der-text-non-value or $der-invalid-text or    $an-immun or $a-tgi or $error-usingTS-10 or $family-err or $length-err or $prose-err or $negated-err) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and $der-text != '' and not($valid-diag-proc-5 or $codes-were-found or $der-text-non-value or $der-invalid-text or $an-immun or $a-tgi or $error-usingTS-10 or $family-err or $length-err or $prose-err or $negated-err)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept not codeable): The Medical History Item Description '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($avoid-ts) then 'The terminology server was not used to assist with finding codes corresponding to text in the data element. ' else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $short-procedure and not('Medical History Item TimeInterval' = '') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$short-procedure and not('Medical History Item TimeInterval' = '')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Medical History Item Description '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which describes a short duration procedure. The <xsl:text /><xsl:value-of select="'Medical History Item TimeInterval'" /><xsl:text />
		data element describes the time interval when the procedure was performed and states that it commenced on '<xsl:text /><xsl:value-of select="$proc-ivl-location/cda:low/@value" /><xsl:text />' and the completion date was not
		stated which means the procedure is either ongoing or if it was was completed then the completion date was not recorded.
		(See section 8 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		As all <xsl:text /><xsl:value-of select="'Medical History Item TimeInterval'" /><xsl:text /> data elements have a commencement date and no completion date then it is assumed that there is a software error rather than a human error causing the
		dates to be incorrectly recorded in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A way to record a time interval that completed the same day that it commenced is for the <xsl:text /><xsl:value-of select="'Medical History Item TimeInterval'" /><xsl:text /> '<xsl:text /><xsl:value-of select="local-name($proc-ivl-location)" /><xsl:text />'
		data element to have a value attribute with the value '<xsl:text /><xsl:value-of select="$proc-ivl-location/cda:low/@value" /><xsl:text />' and no low or high elements.
		Alternatively if the commencement date is unknown and '<xsl:text /><xsl:value-of select="$proc-ivl-location/cda:low/@value" /><xsl:text />' is the date when the procedure was completed then the <xsl:text /><xsl:value-of select="'Medical History Item TimeInterval'" /><xsl:text />
		'<xsl:text /><xsl:value-of select="local-name($proc-ivl-location)" /><xsl:text />' data element should have no low element and a high element with a value attribute with the value
		'<xsl:text /><xsl:value-of select="$proc-ivl-location/cda:low/@value" /><xsl:text />'. (See sections 3.6 and 3.8.1 of the HL7 Data Types - Abstract Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $ongoing-diagnosis and $is-uncategorised and exists(../cda:effectiveTime/cda:high/@value) and not('Medical History Item TimeInterval' = '') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$ongoing-diagnosis and $is-uncategorised and exists(../cda:effectiveTime/cda:high/@value) and not('Medical History Item TimeInterval' = '')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Medical History Item Description '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which describes a medical problem that is often ongoing however
		the <xsl:text /><xsl:value-of select="'Medical History Item TimeInterval'" /><xsl:text /> data element, which describes the time interval applying to the medical problem, does not state a commencement date and has a 'high' element
		with a value that states the medical problem
		was resolved on '<xsl:text /><xsl:value-of select="../cda:effectiveTime/cda:high/@value" /><xsl:text />'. (See section 8 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		As the <xsl:text /><xsl:value-of select="'Medical History Item TimeInterval'" /><xsl:text /> data elements have a resolution or remission date and no date of onset then, if the medical problem is ongoing, there may be a software error
		rather than a human error causing the dates to be incorrectly recorded in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. Confirm if the software system is able to correctly record an ongoing
		medical problem. A way to record a time interval for an ongoing medical problem is for the <xsl:text /><xsl:value-of select="'Medical History Item TimeInterval'" /><xsl:text /> 'effectiveTime'
		data element to have a low element with a value attribute to record the commencement date and for the high element to be omitted.
		(See section 3.6 of the HL7 Data Types - Abstract Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $ongoing-diagnosis and $is-uncategorised and exists(../cda:effectiveTime/@value) and not('Medical History Item TimeInterval' = '') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$ongoing-diagnosis and $is-uncategorised and exists(../cda:effectiveTime/@value) and not('Medical History Item TimeInterval' = '')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Medical History Item Description '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which describes a medical problem that is often ongoing however
		the <xsl:text /><xsl:value-of select="'Medical History Item TimeInterval'" /><xsl:text /> data element, which describes the time interval applying to the medical problem, has a 'value' attribute with the value
		'<xsl:text /><xsl:value-of select="../cda:effectiveTime/@value" /><xsl:text />' which indicates the medical problem both commenced and
		was resolved on '<xsl:text /><xsl:value-of select="../cda:effectiveTime/@value" /><xsl:text />'. (See section 8 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and
		section 3.8.1 of the HL7 Data Types - Abstract Specification.)
		As the <xsl:text /><xsl:value-of select="'Medical History Item TimeInterval'" /><xsl:text /> data elements have value attribute then, if the medical problem is ongoing, there may be a software error rather than a human error causing
		the dates to be incorrectly recorded in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. Confirm if the software system is able to correctly record an ongoing medical problem.
		A way to record a time interval for an ongoing medical problem is for the <xsl:text /><xsl:value-of select="'Medical History Item TimeInterval'" /><xsl:text /> 'effectiveTime'
		data element to have a low element with a value attribute to record the commencement date and for the high element to be omitted.
		(See section 3.6 of the HL7 Data Types - Abstract Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $ongoing-diagnosis and $is-problem-diagnosis and    exists(../cda:entryRelationship[@typeCode='SUBJ']/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]/cda:value/@value) and not('' = '') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$ongoing-diagnosis and $is-problem-diagnosis and exists(../cda:entryRelationship[@typeCode='SUBJ']/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]/cda:value/@value) and not('' = '')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Medical History Item Description '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which describes a medical problem that is often ongoing however
		the <xsl:text /><xsl:value-of select="''" /><xsl:text /> data element has a value that states the medical problem
		was resolved on '<xsl:text /><xsl:value-of select="../cda:entryRelationship[@typeCode='SUBJ']/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]/cda:value/@value" /><xsl:text />'.	
		As the Medical History Item Description data elements have a resolution or remission date and no date of onset then there may be a software error
		rather than a human error causing the dates to be incorrectly recorded in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. Confirm if the software system is able to correctly record an ongoing
		medical problem. (See information about the <xsl:text /><xsl:value-of select="''" /><xsl:text /> in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $ongoing-diagnosis and $is-uncategorised and count($repeated-start) &gt; 1 and not('Medical History Item TimeInterval' = '') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$ongoing-diagnosis and $is-uncategorised and count($repeated-start) &gt; 1 and not('Medical History Item TimeInterval' = '')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Medical History Item Description '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which describes a medical problem that is often ongoing.

		The <xsl:text /><xsl:value-of select="'Medical History Item TimeInterval'" /><xsl:text /> data element has a value that indicates the medical problem commenced or was first recorded on
		'<xsl:text /><xsl:value-of select="if (../cda:effectiveTime/cda:low/@value) then ../cda:effectiveTime/cda:low/@value else ../cda:effectiveTime/@value " /><xsl:text />'.
		According to information recorded in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> the medical problem has commenced on
		<xsl:text /><xsl:value-of select="if ($numbers/number[number(@value) = count($repeated-start)]) then $numbers/number[number(@value) = count($repeated-start)]/@name else count($repeated-start)" /><xsl:text />
		different occasions. As all Medical History Item Description data elements with a date have a commencement date then there may be a software error rather than a human error that has resulted in the ongoing
		medical problem to be recorded multiple times. Confirm if the software system is able to correctly record the dates for an ongoing
		medical problem. (See information about the <xsl:text /><xsl:value-of select="'Medical History Item TimeInterval'" /><xsl:text /> in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M546" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M546" />
  <xsl:template match="@*|node()" priority="-2" mode="M546">
    <xsl:apply-templates select="@*|*" mode="M546" />
  </xsl:template>
  <!--PATTERN p-TS-MedHist-Text-7-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/   cda:entry/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16627']]/cda:text " priority="1000" mode="M547">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/   cda:entry/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16627']]/cda:text " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Medical History Item Description '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Medical History Item Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Medical History Item Description data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Medical History Item Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Medical History Item Description data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Medical History Item Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Medical History Item Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Medical History Item Description data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Medical History Item Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M547" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M547" />
  <xsl:template match="@*|node()" priority="-2" mode="M547">
    <xsl:apply-templates select="@*|*" mode="M547" />
  </xsl:template>
  <!--PATTERN p-TS-MedHist-Text-8-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/   cda:entry/cda:act/cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16630']]/cda:text " priority="1000" mode="M548">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/   cda:entry/cda:act/cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16630']]/cda:text " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Medical History Item Comment
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Medical History Item Comment 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Medical History Item Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Medical History Item Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Medical History Item Comment however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Medical History Item Comment in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Medical History Item Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Medical History Item Comment however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Medical History Item Comment in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Medical History Item Comment data element with a proper value then an exclusion
		statement must be included to state why there is no Medical History Item Comment. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Medical History Item Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Medical History Item Comment however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Medical History Item Comment in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Medical History Item Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Medical History Item Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Medical History Item Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Medical History Item Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Medical History Item Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Medical History Item Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Medical History Item Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Medical History Item Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Medical History Item Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Medical History Item Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M548" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M548" />
  <xsl:template match="@*|node()" priority="-2" mode="M548">
    <xsl:apply-templates select="@*|*" mode="M548" />
  </xsl:template>
  <!--PATTERN p-TS-MedHist-Text-9-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/   cda:entry/cda:act/cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16630']]/cda:text " priority="1000" mode="M549">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/   cda:entry/cda:act/cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16630']]/cda:text " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Medical History Item Comment '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Medical History Item Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Medical History Item Comment data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Medical History Item Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Medical History Item Comment data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Medical History Item Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Medical History Item Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Medical History Item Comment data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Medical History Item Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M549" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M549" />
  <xsl:template match="@*|node()" priority="-2" mode="M549">
    <xsl:apply-templates select="@*|*" mode="M549" />
  </xsl:template>
  <!--PATTERN p-TS-Medicare-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16643' = $doc-sections]/cda:component/cda:structuredBody/cda:component//     cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16643'] " priority="1000" mode="M550">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16643' = $doc-sections]/cda:component/cda:structuredBody/cda:component//     cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16643'] " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating" select="if ($initial-priority) then $initial-rating else if ($FS-Types-seq/@rating) then concat(' (', $FS-Types-seq/@rating, ')') else '' " />
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and not(/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.140' and @extension = '1.1']) and $extensions-allowed">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.140' and @extension = '1.1']) and $extensions-allowed">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: FS-Types: The Medicare/DVA Benefits Report section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16643') has been found in a <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. The Medicare/DVA Benefits Report section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16643') is defined in the digital health specifications but
		although tests have been applied to the data elements the specification of the data elements may have been varied for inclusion in this document
		so further examination may be needed. The rules have been validated for <xsl:text /><xsl:value-of select="normalize-space('Medicare/DVA Benefits Report CDA Implementation Guide version 1.1')" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M550" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M550" />
  <xsl:template match="@*|node()" priority="-2" mode="M550">
    <xsl:apply-templates select="@*|*" mode="M550" />
  </xsl:template>
  <!--PATTERN p-TS-Medicare-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16643' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16643']]/cda:component/cda:section " priority="1000" mode="M551">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16643' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16643']]/cda:component/cda:section " />
    <xsl:variable name="agency-section" select=" cda:code/@codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="test-step" select=" if (not($extensions-allowed)) then 'step 4'        else if ($agency-section) then 'step 3' else 'step 1' " />
    <xsl:variable name="title-and-code" select=" if (cda:title and cda:code/@code) then concat('title ''', cda:title, ''', code/code ''', cda:code/@code, '''')        else if (cda:title and not(cda:code/@code)) then concat('title ''', cda:title, '''')        else if (not(cda:title) and cda:code/@code) then concat('code/code ''', cda:code/@code, '''')        else '' " />
    <xsl:variable name="other-section-names" select=" if (cda:code/@displayName and not(cda:code/cda:originalText)) then concat(' and code/displayName ''', cda:code/@displayName, '''')         else if (cda:code/@displayName and cda:code/cda:originalText)          then concat(', code/displayName ''', cda:code/@displayName,''' and code/originalText ''', cda:code/cda:originalText, '''')        else if (not(cda:code/@displayName) and cda:code/cda:originalText) then concat(' and code/originalText ''', cda:code/cda:originalText, '''')        else '' " />
    <xsl:variable name="section-names" select="concat($title-and-code, $other-section-names)" />
    <xsl:variable name="doc-code" select="/cda:ClinicalDocument/cda:code" />
    <xsl:variable name="parent-section" select="ancestor::cda:section[position()=1]" />
    <xsl:variable name="custom-section-info" select="($iq-config/custom-sections/section, $knowledge/custom-sections/section)[        @doc-code  = $doc-code/@code          and        @doc-codeSystem  = $doc-code/@codeSystem          and        @parent-code   = $parent-section/cda:code/@code         and         @parent-codeSystem  = $parent-section/cda:code/@codeSystem        and         (@title = current()/cda:title or (@code = current()/cda:code/@code and @codeSystem = current()/cda:code/@codeSystem)) ] " />
    <xsl:variable name="section-disallowed" select="$custom-section-info/@disallowed = 'yes' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and ($section-disallowed or not(exists($custom-section-info)))) then $rating-alt-TC-Doc-28-step-1        else if ($test-step = 'step 1' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections]) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 3') then $rating-TC-Doc-28-step-3 else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and $section-disallowed ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and $section-disallowed">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Medicare/DVA Benefits Report section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16643') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> which
		is an extension to the information model however the inclusion of this section conflicts with sections defined in the digital health specifications.
		<xsl:text /><xsl:value-of select="$custom-section-info[@disallowed = 'yes']/@reason" /><xsl:text /> (Also see <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not(false()) and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(false()) and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Medicare/DVA Benefits Report section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16643') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. No subsection is expected so this
		is an extension to the information model. Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the 
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(false()) and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(false()) and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Medicare/DVA Benefits Report section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16643') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> but no subsections were
		expected so the document fails to meet the requirement that it must not contain additional data elements. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and false() and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and false() and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Medicare/DVA Benefits Report section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16643') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		none are expected but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the information model.
		Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Medicare/DVA Benefits Report section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16643') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		none are expected but the inclusion of the section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> fails to meet the requirement that it must not contain additional data elements.
		(See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M551" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M551" />
  <xsl:template match="@*|node()" priority="-2" mode="M551">
    <xsl:apply-templates select="@*|*" mode="M551" />
  </xsl:template>
  <!--PATTERN p-TS-Medicare-CodedText-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16643' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16643']]/cda:entry/cda:encounter/cda:code " priority="1000" mode="M552">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16643' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16643']]/cda:entry/cda:encounter/cda:code " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Medicare MBS/DVA Item '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Medicare MBS/DVA Item '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Medicare MBS/DVA Item',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to section 3.5 of the Medicare/DVA Benefits Report Structured Content Specification v1.1.1 the Medicare MBS/DVA Item '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to section 3.5 of the Medicare/DVA Benefits Report Structured Content Specification v1.1.1 the Medicare MBS/DVA Item '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and not(false()) and 'allowed' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and not(false()) and 'allowed' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 3.5 of the Medicare/DVA Benefits Report Structured Content Specification v1.1.1 the Medicare MBS/DVA Item
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Medicare MBS/DVA Item however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Medicare MBS/DVA Item in section 3.5 of the Medicare/DVA Benefits Report Structured Content Specification v1.1.1 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and not(false()) and 'allowed' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and not(false()) and 'allowed' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 3.5 of the Medicare/DVA Benefits Report Structured Content Specification v1.1.1 the Medicare MBS/DVA Item
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Medicare MBS/DVA Item however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Medicare MBS/DVA Item in section 3.5 of the Medicare/DVA Benefits Report Structured Content Specification v1.1.1 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Medicare MBS/DVA Item data element must have a value that is consistent with this definition. Alternatively if there is no Medicare MBS/DVA Item data element with a proper value then an exclusion
		statement must be included to state why there is no Medicare MBS/DVA Item.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and not(false()) and 'allowed' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and not(false()) and 'allowed' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 3.5 of the Medicare/DVA Benefits Report Structured Content Specification v1.1.1 the Medicare MBS/DVA Item
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Medicare MBS/DVA Item however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Medicare MBS/DVA Item in section 3.5 of the Medicare/DVA Benefits Report Structured Content Specification v1.1.1 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and not(false()) and 'allowed' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and not(false()) and 'allowed' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 3.5 of the Medicare/DVA Benefits Report Structured Content Specification v1.1.1 the Medicare MBS/DVA Item
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Medicare MBS/DVA Item however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Medicare MBS/DVA Item in section 3.5 of the Medicare/DVA Benefits Report Structured Content Specification v1.1.1 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Medicare MBS/DVA Item data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and not(false()) and 'allowed' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and not(false()) and 'allowed' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 3.5 of the Medicare/DVA Benefits Report Structured Content Specification v1.1.1 the Medicare MBS/DVA Item
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Medicare MBS/DVA Item however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Medicare MBS/DVA Item in section 3.5 of the Medicare/DVA Benefits Report Structured Content Specification v1.1.1 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Medicare MBS/DVA Item data element must have a value that is consistent with this definition. Alternatively if there is no Medicare MBS/DVA Item data element with a proper value then an exclusion
		statement must be included to state why there is no Medicare MBS/DVA Item.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and not(false()) and 'allowed' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and not(false()) and 'allowed' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 3.5 of the Medicare/DVA Benefits Report Structured Content Specification v1.1.1 the Medicare MBS/DVA Item
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Medicare MBS/DVA Item however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Medicare MBS/DVA Item in section 3.5 of the Medicare/DVA Benefits Report Structured Content Specification v1.1.1 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Medicare MBS/DVA Item data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Medicare MBS/DVA Item '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.5 of the Medicare/DVA Benefits Report Structured Content Specification v1.1.1 the Medicare MBS/DVA Item
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.5 of the Medicare/DVA Benefits Report Structured Content Specification v1.1.1 the Medicare MBS/DVA Item
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.5 of the Medicare/DVA Benefits Report Structured Content Specification v1.1.1 the Medicare MBS/DVA Item '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.5 of the Medicare/DVA Benefits Report Structured Content Specification v1.1.1 the Medicare MBS/DVA Item '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 3.5 of the Medicare/DVA Benefits Report Structured Content Specification v1.1.1 the Medicare MBS/DVA Item '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 3.5 of the Medicare/DVA Benefits Report Structured Content Specification v1.1.1 the Medicare MBS/DVA Item '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 3.5 of the Medicare/DVA Benefits Report Structured Content Specification v1.1.1 the Medicare MBS/DVA Item '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 3.5 of the Medicare/DVA Benefits Report Structured Content Specification v1.1.1 the Medicare MBS/DVA Item '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Medicare MBS/DVA Item
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 3.5 of the Medicare/DVA Benefits Report Structured Content Specification v1.1.1 the Medicare MBS/DVA Item '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Medicare MBS/DVA Item '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Medicare MBS/DVA Item.
		(See the definition of Medicare MBS/DVA Item in section 3.5 of the Medicare/DVA Benefits Report Structured Content Specification v1.1.1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Medicare MBS/DVA Item '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M552" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M552" />
  <xsl:template match="@*|node()" priority="-2" mode="M552">
    <xsl:apply-templates select="@*|*" mode="M552" />
  </xsl:template>
  <!--PATTERN p-TS-Medicare-CodedText-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16643' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16643']]/cda:entry/cda:encounter/cda:code   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M553">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16643' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16643']]/cda:entry/cda:encounter/cda:code   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Medicare MBS/DVA Item '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Medicare MBS/DVA Item
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Medicare MBS/DVA Item
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Medicare MBS/DVA Item
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Medicare MBS/DVA Item
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Medicare MBS/DVA Item has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Medicare MBS/DVA Item data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Medicare MBS/DVA Item
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Medicare MBS/DVA Item data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Medicare MBS/DVA Item
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Medicare MBS/DVA Item data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Medicare MBS/DVA Item
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Medicare MBS/DVA Item data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Medicare MBS/DVA Item
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Medicare MBS/DVA Item
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Medicare MBS/DVA Item data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Medicare MBS/DVA Item
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Medicare MBS/DVA Item data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Medicare MBS/DVA Item
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Medicare MBS/DVA Item
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Medicare MBS/DVA Item data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Medicare MBS/DVA Item
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Medicare MBS/DVA Item data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Medicare MBS/DVA Item
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Medicare MBS/DVA Item
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M553" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M553" />
  <xsl:template match="@*|node()" priority="-2" mode="M553">
    <xsl:apply-templates select="@*|*" mode="M553" />
  </xsl:template>
  <!--PATTERN p-TS-Medicare-DateTime-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16643' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16643']]/cda:entry/cda:encounter/cda:effectiveTime " priority="1000" mode="M554">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16643' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16643']]/cda:entry/cda:encounter/cda:effectiveTime " />
    <xsl:variable name="allow-ivl-ts" select="if (not(@xsi:type)) then false() else /cda:ClinicalDocument       [cda:templateId[(@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')  or         (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or         (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) ]]   and        local-name(.) = 'value'             and        ..[local-name(.) = 'observation' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]   and       ../..[local-name(.) = 'entryRelationship' and @typeCode='SUBJ']        and       ../../..[local-name(.) = 'observation' and cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]  and       ../../../..[local-name(.) = 'entry']            and       ../../../../..[local-name(.) = 'section' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]  " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-18" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-18 else $rating-alt-TC-Types-18 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-18: The Date of Service '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data
		type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime',            'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime', 'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: The Date of Service

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type but it does not meet the requirement to have the xsi:type attribute with the value 'TS'.
		(See section 8.6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to section 3.4 of the Medicare/DVA Benefits Report Structured Content Specification v1.1.1 the Date of Service '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was
		found. This may be corrected by using an xsi:type attribute with the value 'TS'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to section 3.4 of the Medicare/DVA Benefits Report Structured Content Specification v1.1.1 the Date of Service '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		This may be corrected by using an xsi:type attribute with the value 'TS'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to section 3.4 of the Medicare/DVA Benefits Report Structured Content Specification v1.1.1 the Date of Service '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7
		'TS' data type to have a value attribute if there is no nullFlavor
		attribute. (See section 7.8.13.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange')

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to section 3.4 of the Medicare/DVA Benefits Report Structured Content Specification v1.1.1 the Date of Service '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7 'TS' data type to have a value attribute if there is no nullFlavor
		attribute. The element has a '<xsl:text /><xsl:value-of select="local-name(*[local-name(.) = ('low', 'high')])" /><xsl:text />' child element with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		which is not one of the elements used for the HL7 'TS'
		data type. (See section 7.8.13 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.4 of the Medicare/DVA Benefits Report Structured Content Specification v1.1.1 the Date of Service
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		is present. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.4 of the Medicare/DVA Benefits Report Structured Content Specification v1.1.1 the Date of Service
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' was found. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.4 of the Medicare/DVA Benefits Report Structured Content Specification v1.1.1 the Date of Service
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.4 of the Medicare/DVA Benefits Report Structured Content Specification v1.1.1 the Date of Service
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@value) and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@value) and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 3.4 of the Medicare/DVA Benefits Report Structured Content Specification v1.1.1 the Date of Service
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (uncoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include
		nullFlavor 'UNC'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M554" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M554" />
  <xsl:template match="@*|node()" priority="-2" mode="M554">
    <xsl:apply-templates select="@*|*" mode="M554" />
  </xsl:template>
  <!--PATTERN p-TS-Medicare-DateTime-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16643' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16643']]/cda:entry/cda:encounter/cda:effectiveTime    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))] " priority="1000" mode="M555">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16643' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16643']]/cda:entry/cda:encounter/cda:effectiveTime    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="fir-narrative" select="translate(normalize-space(lower-case(string($fir-narr-node))), $chars-to-remove, '')" />
    <xsl:variable name="sec-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)        then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]        else () " />
    <xsl:variable name="sec-narr-node" select="$sec-section/cda:text " />
    <xsl:variable name="narr-text-el" select="(for $text in ($fir-narr-node//text(), $sec-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="sec-narrative" select="translate(normalize-space(lower-case(string($sec-narr-node))), $chars-to-remove, '') " />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="narrative" select="concat($target-title, $fir-narrative, $sec-narrative)" />
    <xsl:variable name="narr-elements" select="$fir-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ]  |             $sec-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ] " />
    <xsl:variable name="narr-lower-case" select="for $i in (1 to count($narr-elements)) return lower-case(normalize-space(string-join($narr-elements[$i]/text(), '')))  " />
    <xsl:variable name="dt-narr-elements" select="$narr-lower-case[matches(., $regex-date-type-1, 'i') or matches(., $regex-date-type-2, 'i') or matches(., $regex-date-type-3, 'i')] " />
    <xsl:variable name="narr-elements-start" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-before($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-before($dt-narr-elements[$i], ' -'))        else $dt-narr-elements[$i])[. != ''] " />
    <xsl:variable name="narr-elements-end" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-after($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-after($dt-narr-elements[$i], ' -'))        else '')[. != ''] " />
    <xsl:variable name="narr-dateTimes" select="distinct-values(($narr-elements-start , $narr-elements-end))[. != '(ongoing)'] " />
    <xsl:variable name="dt-value" select="if (@value) then @value else '' " />
    <xsl:variable name="no-time-zone" select="if (contains($dt-value, '+')) then substring-before($dt-value, '+')       else if (contains($dt-value, '-')) then substring-before($dt-value, '-')       else $dt-value " />
    <xsl:variable name="dateTime-length" select="string-length($no-time-zone) " />
    <xsl:variable name="year" select="if ($dateTime-length &gt; 3) then substring($no-time-zone,1,4) else '' " />
    <xsl:variable name="month-num" select="if ($dateTime-length &gt; 5) then substring($no-time-zone,5,2) else '' " />
    <xsl:variable name="day" select="if ($dateTime-length &gt; 7 and substring($no-time-zone,7,1) = '0') then substring($no-time-zone,8,1)       else if ($dateTime-length &gt; 7 and substring($no-time-zone,7,1) != '0') then substring($no-time-zone,7,2) else '' " />
    <xsl:variable name="hour-long" select="if ($dateTime-length &gt; 9) then substring($no-time-zone,9,2) else '' " />
    <xsl:variable name="hour-short" select="if (substring($hour-long, 1, 1) = '0') then substring($hour-long, 2, 1) else '' " />
    <xsl:variable name="minute" select="if ($dateTime-length &gt; 11) then substring($no-time-zone,11,2) else '' " />
    <xsl:variable name="second" select="if ($dateTime-length &gt; 13) then substring($no-time-zone,13,2) else '' " />
    <xsl:variable name="time-zone" select="if (contains($dt-value, '+')) then concat('\+', substring-after($dt-value, '+'))       else if (contains($dt-value, '-')) then concat('\-', substring-after($dt-value, '-'))       else '' " />
    <xsl:variable name="month-short" select="if ($month-num = '01') then 'jan'  else             if ($month-num = '02') then 'feb'  else             if ($month-num = '03') then 'mar'  else             if ($month-num = '04') then 'apr'  else             if ($month-num = '05') then 'may'  else             if ($month-num = '06') then 'jun'  else             if ($month-num = '07') then 'jul'  else             if ($month-num = '08') then 'aug'  else             if ($month-num = '09') then 'sep'  else             if ($month-num = '10') then 'oct'  else             if ($month-num = '11') then 'nov'  else             if ($month-num = '12') then 'dec'  else '' " />
    <xsl:variable name="month-long" select="if ($month-num = '01') then 'january'  else             if ($month-num = '02') then 'february'  else             if ($month-num = '03') then 'march'  else             if ($month-num = '04') then 'april'  else             if ($month-num = '05') then 'may'  else             if ($month-num = '06') then 'june'  else             if ($month-num = '07') then 'july'  else             if ($month-num = '08') then 'august'  else             if ($month-num = '09') then 'september'  else             if ($month-num = '10') then 'october'  else             if ($month-num = '11') then 'november'  else             if ($month-num = '12') then 'december'  else '' " />
    <xsl:variable name="date-type-3-day" select="if (string-length($day) = 1) then concat('0{0,1}', $day) else $day " />
    <xsl:variable name="date-type-3-month" select="if (string-length($month-num) = 1) then concat('0{0,1}', $month-num)        else if (substring($month-num, 1, 1) = '0') then concat('0{0,1}', substring($month-num, 2, 1))         else $month-num " />
    <xsl:variable name="dt-sequence-1" select="if ($dateTime-length = 4) then (         concat('^', $dt-value)         ,          concat('^', $year)         )        else if ($dateTime-length = 6) then (         concat('^', $dt-value)         ,         concat('^', $month-short, $date-sep, $year)      ,          concat('^', $month-long, $date-sep, $year)      )        else if ($dateTime-length &gt; 7) then (         concat('^', $dt-value)         ,         concat('^', $date-type-3-day, $date-sep, $month-short, $date-sep, $year)  ,         concat('^', $date-type-3-day, $date-sep, $month-long, $date-sep, $year)   ,         concat('^', $date-type-3-day, '/', $date-type-3-month, '/', $year)   )        else () " />
    <xsl:variable name="matching-seq-1" select="if (exists($dt-sequence-1))        then index-of(for $i in (1 to count($dt-sequence-1)) return exists($narr-dateTimes[matches(., $dt-sequence-1[$i], 'i')]), true())        else () " />
    <xsl:variable name="dt-stem-1" select="for $i in (1 to count($matching-seq-1)) return $dt-sequence-1[$matching-seq-1[$i]] " />
    <xsl:variable name="dt-regex-1" select="if (exists($dt-stem-1)) then concat('(', string-join($dt-stem-1, '$)|('), '$)') else ()" />
    <xsl:variable name="dt-match-1" select="exists($dt-stem-1) and exists($narr-dateTimes[matches(., $dt-regex-1, 'i')])" />
    <xsl:variable name="time-1" select="if ($dateTime-length &gt; 11 and $hour-short != '') then concat($hour-short, ':', $minute, '( *| *am)') else '' " />
    <xsl:variable name="time-2" select="if ($dateTime-length &gt; 13 and $hour-short != '') then concat($hour-short, ':', $minute, ':', $second, '( *| *am)') else '' " />
    <xsl:variable name="time-3" select="if ($dateTime-length &gt; 11 and number($hour-long) &lt; 12) then concat($hour-long, ':', $minute, '( *| *am)')       else if ($dateTime-length &gt; 11) then concat($hour-long, ':', $minute) else '' " />
    <xsl:variable name="time-4" select="if ($dateTime-length &gt; 13 and number($hour-long) &lt; 12) then concat($hour-long, ':', $minute, ':', $second, '( *| *am)')        else if ($dateTime-length &gt; 13) then concat($hour-long, ':', $minute, ':', $second) else '' " />
    <xsl:variable name="time-5" select="if ($dateTime-length &gt; 11 and number($hour-long) &gt; 12) then concat(string(number($hour-long) - 12), ':', $minute, '( *| *pm)') else '' " />
    <xsl:variable name="time-6" select="if ($dateTime-length &gt; 13 and number($hour-long) &gt; 12) then concat(string(number($hour-long) - 12), ':', $minute, ':', $second, '( *| *pm)') else '' " />
    <xsl:variable name="dt-temp-0" select="if (exists($dt-stem-1) and $dateTime-length = 8) then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $narr-time-regex) else () " />
    <xsl:variable name="dt-temp-1" select="if (exists($dt-stem-1) and $time-1 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-1) else () " />
    <xsl:variable name="dt-temp-2" select="if (exists($dt-stem-1) and $time-2 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-2) else () " />
    <xsl:variable name="dt-temp-3" select="if (exists($dt-stem-1) and $time-3 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-3) else () " />
    <xsl:variable name="dt-temp-4" select="if (exists($dt-stem-1) and $time-4 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-4) else () " />
    <xsl:variable name="dt-temp-5" select="if (exists($dt-stem-1) and $time-5 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-5) else () " />
    <xsl:variable name="dt-temp-6" select="if (exists($dt-stem-1) and $time-6 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-6) else () " />
    <xsl:variable name="dt-sequence-2" select="($dt-temp-0, $dt-temp-1, $dt-temp-2, $dt-temp-3, $dt-temp-4, $dt-temp-5, $dt-temp-6)" />
    <xsl:variable name="matching-seq-2" select="if (exists($dt-sequence-2))        then index-of(for $i in (1 to count($dt-sequence-2)) return exists($narr-dateTimes[matches(., $dt-sequence-2[$i], 'i')]), true())        else () " />
    <xsl:variable name="dt-stem-2" select="for $i in (1 to count($matching-seq-2)) return $dt-sequence-2[$matching-seq-2[$i]] " />
    <xsl:variable name="dt-regex-2" select="if (exists($dt-stem-2)) then concat('(', string-join($dt-stem-2, '$)|('), '$)') else '' " />
    <xsl:variable name="dt-match-2" select="(exists($dt-stem-2) and exists($narr-dateTimes[matches(., $dt-regex-2, 'i')])) " />
    <xsl:variable name="dt-sequence-3" select="if (not($dt-match-2) and exists($dt-stem-2) and $time-zone != '') then for $i in (1 to count($dt-stem-2)) return        concat($dt-stem-2[$i], substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2)) else () " />
    <xsl:variable name="dt-regex-3" select="if ($dt-match-2) then '' else if (exists($dt-sequence-3)) then concat('(', string-join($dt-sequence-3, '$)|('), '$)') else '' " />
    <xsl:variable name="dt-match-3" select="($dt-match-2 or (exists($dt-sequence-3) and exists($narr-dateTimes[matches(., $dt-regex-3, 'i')]))) " />
    <xsl:variable name="narr-match" select="if ($dt-value != '' and not(exists($narr-dateTimes))) then      (       contains($narrative, $dt-value)               or       (string-length($dt-value) = 4 and contains($narrative, $year))            or        (string-length($dt-value) = 6 and contains($narrative, concat($month-short, $year)))          or       (string-length($dt-value) &gt; 7 and starts-with($day, '0') and        (contains($narrative, concat(substring($day,2,1), $month-short, $year)) or         contains($narrative, concat(substring($day,2,1), $month-num, $year))))          or       (string-length($dt-value) &gt; 7 and (contains($narrative, concat($day, $month-short, $year)) or contains($narrative, concat($day, $month-num, $year))))        )       else false() " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($fir-narr-node//cda:renderMultiMedia) or exists($sec-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($fir-narr-node//cda:linkHtml) or exists($sec-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="warning-1" select="exists($dt-sequence-1) and exists($narr-dateTimes) and $dt-match-1 and not($dt-match-3) and $dt-value != '' " />
    <xsl:variable name="error-1" select="$warning-1 and not($multimedia) " />
    <xsl:variable name="warning-2" select="exists($dt-sequence-1) and exists($narr-dateTimes) and not($dt-match-1 or $dt-match-3) and $dt-value != '' " />
    <xsl:variable name="error-2a" select="$warning-2 and not($multimedia) and $time-zone != '' and count($narr-dateTimes) =        count(for $dt in $narr-dateTimes return replace(replace($dt, $regex-date-type-1, ''), $regex-date-type-2, '')       [matches(., concat('^\s*([0-9]{1,2}:{1}[0-9]{2}\s*', substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2),         '|[0-9]{1,2}:{1}[0-9]{2}:{1}[0-9]{2}\s*', substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2), ')\s*$'), 'i')]) " />
    <xsl:variable name="error-2b" select="$warning-2 and not($dt-match-1) and not($multimedia) and count($narr-dateTimes[matches(., $regex-date-type-2, 'i')]) =        count($narr-dateTimes[matches(., concat($regex-date-type-2, ' ', $narr-time-regex, '$'), 'i')]) " />
    <xsl:variable name="error-2c" select="$warning-2 and exists($narr-dateTimes[matches(., concat('^', $year, '$'))]) " />
    <xsl:variable name="error-2" select="$error-2a or $error-2b or $error-2c " />
    <xsl:variable name="warning-3" select="$dt-value != '' and not(exists($narr-dateTimes)) and not($narr-match) " />
    <xsl:variable name="error-3" select="$warning-3 and not($multimedia) and not(contains($narrative, substring($year, 3, 2)))" />
    <xsl:variable name="narr-dt-msg" select="if ($multimedia or $no-content) then ''       else if (not(exists($narr-dateTimes))) then concat(' The narrative of the ', iq:location(., ''), ' contains no dateTime elements.')       else if (count($narr-dateTimes) = 1) then concat(' The only dateTime element in the narrative of the ', iq:location(., ''), ' is ''',         dh:XQueryRecursiveReplace($narr-dateTimes[1], '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), '''.')       else concat(' The distinct dateTime elements in the narrative of the ', iq:location(., ''), ' are ''',         string-join(for $dt in $narr-dateTimes return          dh:XQueryRecursiveReplace($dt, '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), ', '), '''.') " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-4" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-4 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and exists($dt-sequence-1) and $dt-value != '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and exists($dt-sequence-1) and $dt-value != ''">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 4: The dateTime element in the structured data is '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'.
		The number of dateTime elements that have been extracted from the narrative is '<xsl:text /><xsl:value-of select="count($narr-dateTimes)" /><xsl:text />'.
		These are '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-dateTimes, ', '), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The initial regular expressions are '<xsl:text /><xsl:value-of select="string-join($dt-sequence-1, ', ')" /><xsl:text />'.
		The items in dt-stem-1 are: '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($dt-stem-1, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The items in dt-sequence-2 are: '<xsl:text /><xsl:value-of select="string-join($dt-sequence-2, '|')" /><xsl:text />'.
		The items in dt-stem-2 are: '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($dt-stem-2, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The three regular expressions used to perform an exact match for narrative dateTime elements are as follows:
		dt-regex-1='<xsl:text /><xsl:value-of select="$dt-regex-1" /><xsl:text />'; dt-regex-2='<xsl:text /><xsl:value-of select="$dt-regex-2" /><xsl:text />'; and dt-regex-3='<xsl:text /><xsl:value-of select="$dt-regex-3" /><xsl:text />'.
		Was a match found after the first regular expression (with just a date) was created? <xsl:text /><xsl:value-of select="$dt-match-1" /><xsl:text />.		
		<xsl:text /><xsl:value-of select="if ($dt-regex-2 = '') then 'The second regular expression was not applied as there is no time information.'    else concat('Was a match found after the second regular expression (with a date and time) was created? ', $dt-match-2, '.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($dt-regex-3 = '') then ' The third regular expression was not applied as there is no timezone information.'    else concat(' Was a match found after the third regular expression (with a date and time) was created? ', $dt-match-3, '.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $warning-1 and not($error-1 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $warning-1 and not($error-1 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date of Service 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Date of Service data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $error-1 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $error-1 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date of Service 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. The Date of Service data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $error-1 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $error-1 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date of Service 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. The Date of Service data element records clinical information and all clinical information in entry elements must be present in the narrative.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $warning-2 and not($error-2 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$warning-2 and not($error-2 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date of Service 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Date of Service data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-2 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-2 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date of Service 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="if ($error-2c) then concat('The narrative contains a date with the same year ''', $year, ''' but without a month or day.') else '' " /><xsl:text />
		The Date of Service data element records clinical information and all clinical information in entry elements must be present in the narrative.
		<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-2 and not($no-content) and not(true())">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-2 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date of Service 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="if ($error-2c) then concat('The narrative contains a date with the same year ''', $year, ''' but without a month or day.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $warning-3 and not($error-3 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$warning-3 and not($error-3 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date of Service 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Date of Service data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $dt-value != '' and not($narr-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $dt-value != '' and not($narr-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date of Service 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $dt-value != '' and not($narr-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $dt-value != '' and not($narr-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date of Service '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Date of Service data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-3 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-3 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date of Service '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Date of Service data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-3 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-3 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date of Service '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Date of Service '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M555" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M555" />
  <xsl:template match="@*|node()" priority="-2" mode="M555">
    <xsl:apply-templates select="@*|*" mode="M555" />
  </xsl:template>
  <!--PATTERN p-TS-Medicare-Boolean-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16643' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16643']]/cda:entry/cda:encounter/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16642']]/cda:value " priority="1000" mode="M556">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16643' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16643']]/cda:entry/cda:encounter/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16642']]/cda:value " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 4.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-01" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-01 else $rating-alt-TC-Types-01 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-01: The Service in Hospital Indicator
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type and
		<xsl:text /><xsl:value-of select="if (@value and @nullFlavor) then concat('has a value attribute with the value ''', @value, ''' and a nullFlavor attribute with the value ''', @nullFlavor, '''')   else if (@value and not(@nullFlavor)) then concat('has a value attribute with the value ''', @value, '''')   else if (not(@value) and @nullFlavor) then concat('has a nullFlavor attribute with the value ''', @nullFlavor, '''')   else 'has no value or nullFlavor attributes' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type or local-name(..) = ('contextConductionInd', 'deceasedInd') or   local-name(.) = ('independentInd', 'interruptibleInd', 'inversionInd', 'mobileInd', 'multipleBirthInd', 'negationInd', 'organDonorInd', 'performInd', 'preAdmitTestInd', 'preferenceInd', 'seperatableInd')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type or local-name(..) = ('contextConductionInd', 'deceasedInd') or local-name(.) = ('independentInd', 'interruptibleInd', 'inversionInd', 'mobileInd', 'multipleBirthInd', 'negationInd', 'organDonorInd', 'performInd', 'preAdmitTestInd', 'preferenceInd', 'seperatableInd'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Types-01: The Service in Hospital Indicator
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type but it does not meet the requirement to have the xsi:type attribute with the value 'BL'.
		(See section 4.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Types-01: According to section 3.7 of the Medicare/DVA Benefits Report Structured Content Specification v1.1.1 the Service in Hospital Indicator

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type which is
		derived from the HL7 'BL' data type however the xsi:type attribute has the value <xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 4.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Types-01: According to section 3.7 of the Medicare/DVA Benefits Report Structured Content Specification v1.1.1 the Service in Hospital Indicator
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type which is derived from the HL7 'BL' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'BL'.
		(See section 4.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.7 of the Medicare/DVA Benefits Report Structured Content Specification v1.1.1 the Service in Hospital Indicator

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Boolean data type.
		The Boolean data type does not have any child elements so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.7 of the Medicare/DVA Benefits Report Structured Content Specification v1.1.1 the Service in Hospital Indicator

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Boolean data type.
		The Boolean data type does not have any child elements so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')] and     not(@xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')] and not(@xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.7 of the Medicare/DVA Benefits Report Structured Content Specification v1.1.1 the Service in Hospital Indicator

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')])" /><xsl:text />' was found that is not expected for the Boolean data type.
		The definition of the Boolean data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')] and     not(@xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')] and not(@xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.7 of the Medicare/DVA Benefits Report Structured Content Specification v1.1.1 the Service in Hospital Indicator

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')])" /><xsl:text />' was found that is not expected for the Boolean data type.
		The definition of the Boolean data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M556" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M556" />
  <xsl:template match="@*|node()" priority="-2" mode="M556">
    <xsl:apply-templates select="@*|*" mode="M556" />
  </xsl:template>
  <!--PATTERN p-TS-Medicare-Boolean-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16643' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16643']]/cda:entry/cda:encounter/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16642']]/cda:value " priority="1000" mode="M557">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16643' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16643']]/cda:entry/cda:encounter/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16642']]/cda:value " />
    <xsl:variable name="single-word" select="exists(@value)" />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="narr-text-el" select="(for $text in ($target-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="boolean-values" select="if (@value) then $booleans/boolean[@value = current()/@value] else () " />
    <xsl:variable name="text-to-find" select="exists($boolean-values) " />
    <xsl:variable name="text-in-narr" select="($boolean-values/@value-regex and exists($narr-text-el[matches(., $boolean-values/@value-regex, 'is')])) or              ($boolean-values/@syn-regex and exists($narr-text-el[matches(., $boolean-values/@syn-regex, 'is')])) " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')]))  " />
    <xsl:variable name="multimedia" select="exists($target-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-1" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-1 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 1: 
		The word that needs to be found is '<xsl:text /><xsl:value-of select="$text-to-find" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-text-el, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		Was matching text found? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-in-narr or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-in-narr or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-1" /><xsl:text />: TC-Narr-09 step 1: The Service in Hospital Indicator
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' which does not seem to be present in the narrative.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Service in Hospital Indicator data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Service in Hospital Indicator
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M557" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M557" />
  <xsl:template match="@*|node()" priority="-2" mode="M557">
    <xsl:apply-templates select="@*|*" mode="M557" />
  </xsl:template>
  <!--PATTERN p-TS-Medicare-TimeInterval-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16643' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16643']]/cda:entry/cda:encounter/cda:participant/cda:time " priority="1000" mode="M558">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16643' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16643']]/cda:entry/cda:encounter/cda:participant/cda:time " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text1" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="message-text2" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See sections 8.6 and 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="nullFlavor-values" select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]" />
    <xsl:variable name="low-inclusive" select="if (not(cda:low)) then '' else if (cda:low/@inclusive='false') then ' (excluded)' else ' (included)' " />
    <xsl:variable name="high-inclusive" select="if (not(cda:high)) then '' else if (cda:high/@inclusive='false') then ' (excluded)' else ' (included)' " />
    <xsl:variable name="display-interval" select="if (@value and cda:low/@value and cda:high/@value)         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34), ', low value ', codepoints-to-string(34), cda:low/@value,        codepoints-to-string(34), $low-inclusive, ' and high value ', codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)        else if (@value and cda:low/@value and not(cda:high/@value))         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34), ' and low value ', codepoints-to-string(34), cda:low/@value,        codepoints-to-string(34), $low-inclusive)       else if (@value and not(cda:low/@value) and cda:high/@value)         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34), ' and high value ', codepoints-to-string(34),        cda:high/@value, codepoints-to-string(34), $high-inclusive)       else if (not(@value) and cda:low/@value and cda:high/@value)         then concat('low value ', codepoints-to-string(34), cda:low/@value, codepoints-to-string(34), $low-inclusive, ' and high value ',         codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)       else if (@value and not(cda:low/@value) and not(cda:high/@value))         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34))       else if (not(@value) and cda:low/@value and not(cda:high/@value))         then concat('low value ', codepoints-to-string(34), cda:low/@value, codepoints-to-string(34), $low-inclusive)       else if (not(@value) and not(cda:low/@value) and cda:high/@value)         then concat('high value ', codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)       else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-22" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-22 else $rating-alt-TC-Types-22 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-22: The Service Requester Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type
		and <xsl:text /><xsl:value-of select="if (@value or cda:low/@value or cda:high/@value) then concat('has ', $display-interval)   else 'has no value attribute and no low or high data elements' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@nullFlavor) then concat('The nullFlavor attribute has the value ''', @nullFlavor, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.1.1 of the Medicare/DVA Benefits Report CDA Implementation Guide v1.1 the Service Requester Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type.
		It contains a value of nullFlavor 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a value
		may exist, but it must be derived from the information provided. Confirm if the use of this nullFlavor is valid.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'NINF' or @nullFlavor = 'PINF' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'NINF' or @nullFlavor = 'PINF'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 1: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.1.1 of the Medicare/DVA Benefits Report CDA Implementation Guide v1.1 the Service Requester Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data
		type which is derived from the HL7 'IVL_TS' data type. It has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) which is a
		value of nullFlavor that may not be used for data elements of the IVL data type.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.1.1 of the Medicare/DVA Benefits Report CDA Implementation Guide v1.1 the Service Requester Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data
		type however it has nullFlavor = 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include
		nullFlavor = 'UNC'. (See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'QS' or @nullFlavor = 'TRC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'QS' or @nullFlavor = 'TRC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 3: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.1.1 of the Medicare/DVA Benefits Report CDA Implementation Guide v1.1 the Service Requester Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data
		type which is derived from the HL7 'IVL_TS' data type. It has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) however
		that value of nullFlavor may not be used for data elements of the TS or IVL data types.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.1.1 of the Medicare/DVA Benefits Report CDA Implementation Guide v1.1 the Service Requester Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type which is
		derived from the HL7 'IVL_TS' data type. The HL7 'TS' data type may also be used for a TimeInterval however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		(See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 3.8.1 of HL7 Version 3 Standard: Data Types - Abstract Specification,
		Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.1.1 of the Medicare/DVA Benefits Report CDA Implementation Guide v1.1 the Service Requester Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type which is
		derived from the HL7 'IVL_TS' data type. The HL7 'TS' data type may also be used for a TimeInterval however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'IVL_TS' or 'TS'.
		(See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 3.8.1 of HL7 Version 3 Standard: Data Types - Abstract Specification,
		Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not(@nullFlavor or @value or cda:low or cda:high) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor or @value or cda:low or cda:high)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.1.1 of the Medicare/DVA Benefits Report CDA Implementation Guide v1.1 the Service Requester Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however
		it does not have a nullFlavor or value attribute or low or high elements. A TimeInterval may only contain a nullFlavor or value attribute or low or high elements with the optional
		'inclusive' attribute included in the low or high elements if there is a need to indicate that the low or high boundaries are excluded.
		(See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @value and (cda:low or cda:high) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value and (cda:low or cda:high)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.1.1 of the Medicare/DVA Benefits Report CDA Implementation Guide v1.1 the Service Requester Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type.
		It has the element '<xsl:text /><xsl:value-of select="local-name(cda:*[local-name() = ('low', 'high')])" /><xsl:text />' which is used for the HL7 'IVL' data type
		but also has a 'value' attribute which is used by the HL7 'TS' data type and is not used by the HL7 'IVL' data type. The data element must either have a 'value' attribute
		or '<xsl:text /><xsl:value-of select="local-name(cda:*[local-name() = ('low', 'high')])" /><xsl:text />' but not both.
		(See section 7.10.9.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and section 3.8.1 of
		HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('low', 'high'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.1.1 of the Medicare/DVA Benefits Report CDA Implementation Guide v1.1 the Service Requester Participation Period
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('low', 'high'))])" /><xsl:text />' was found
		that is not expected for the TimeInterval data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('low', 'high', 'width'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('low', 'high', 'width'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.1.1 of the Medicare/DVA Benefits Report CDA Implementation Guide v1.1 the Service Requester Participation Period
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('low', 'high', 'width'))])" /><xsl:text />' was found
		that is not expected for the TimeInterval data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and cda:width/@value and ((cda:low/@value and not(cda:high/@value)) or (not(cda:low/@value) and cda:high/@value)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and cda:width/@value and ((cda:low/@value and not(cda:high/@value)) or (not(cda:low/@value) and cda:high/@value))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.1.1 of the Medicare/DVA Benefits Report CDA Implementation Guide v1.1 the Service Requester Participation Period
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a width element is also
		present with the value '<xsl:text /><xsl:value-of select="cda:width/@value" /><xsl:text />' and unit '<xsl:text /><xsl:value-of select="cda:width/@unit" /><xsl:text />'.		
		This is an error as the presence of a <xsl:text /><xsl:value-of select="if (cda:low) then 'low' else 'high' " /><xsl:text /> element without a <xsl:text /><xsl:value-of select="if (cda:low) then 'high' else 'low' " /><xsl:text /> element
		means the TimeInterval is unbounded in one direction however the width element implies the interval is bounded. That is the width element is an extension that qualifies the
		time interval whereas an extension is allowed only if it does not qualify or negate the time interval.
		(See the definition of Service Requester Participation Period in the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text />, section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0
		and <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)
		As the <xsl:text /><xsl:value-of select="if (cda:low) then 'start' else 'end' " /><xsl:text /> of the time interval is known then the Service Requester Participation Period must also have a
		<xsl:text /><xsl:value-of select="if (cda:low) then ' high' else ' low' " /><xsl:text /> element as the TimeInterval data type uses low and high elements rather than width to define an interval.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and cda:width/@value and not(cda:high/@value or cda:low/@value) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and cda:width/@value and not(cda:high/@value or cda:low/@value)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.1.1 of the Medicare/DVA Benefits Report CDA Implementation Guide v1.1 the Service Requester Participation Period
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a width element is also
		present with the value '<xsl:text /><xsl:value-of select="cda:width/@value" /><xsl:text />' and unit '<xsl:text /><xsl:value-of select="cda:width/@unit" /><xsl:text />'.		
		This is an error as the Service Requester Participation Period has no low or high elements so the TimeInterval is unbounded however the width element implies the interval is bounded. That is the width element is an
		extension that qualifies the time interval whereas an extension is allowed only if it does not qualify or negate the time interval.
		(See the definition of Service Requester Participation Period in the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text />, section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0
		and <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)
		The TimeInterval data type uses low and high elements rather than width to define an interval.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(    @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or    @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'  )) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not( @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS' ))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.1.1 of the Medicare/DVA Benefits Report CDA Implementation Guide v1.1 the Service Requester Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the TimeInterval data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(    @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or    @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'  )) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not( @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS' ))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.1.1 of the Medicare/DVA Benefits Report CDA Implementation Guide v1.1 the Service Requester Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the TimeInterval data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @operator and @operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @operator and @operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.1.1 of the Medicare/DVA Benefits Report CDA Implementation Guide v1.1 the Service Requester Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the TimeInterval data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @operator and @operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @operator and @operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.1.1 of the Medicare/DVA Benefits Report CDA Implementation Guide v1.1 the Service Requester Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the TimeInterval data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:low/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:low/*">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.1.1 of the Medicare/DVA Benefits Report CDA Implementation Guide v1.1 the Service Requester Participation Period 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(cda:low/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/*">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.1.1 of the Medicare/DVA Benefits Report CDA Implementation Guide v1.1 the Service Requester Participation Period 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(cda:low/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.1.1 of the Medicare/DVA Benefits Report CDA Implementation Guide v1.1 the Service Requester Participation Period 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.1.1 of the Medicare/DVA Benefits Report CDA Implementation Guide v1.1 the Service Requester Participation Period 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:low/@operator and cda:low/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:low/@operator and cda:low/@operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.1.1 of the Medicare/DVA Benefits Report CDA Implementation Guide v1.1 the Service Requester Participation Period 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/@operator and cda:low/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/@operator and cda:low/@operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.1.1 of the Medicare/DVA Benefits Report CDA Implementation Guide v1.1 the Service Requester Participation Period 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:low/cda:originalText) and cda:low/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:low/cda:originalText) and cda:low/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.1.1 of the Medicare/DVA Benefits Report CDA Implementation Guide v1.1 the Service Requester Participation Period 'low' child element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present so
		it is an error to include nullFlavor 'UNC'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:high/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:high/*">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.1.1 of the Medicare/DVA Benefits Report CDA Implementation Guide v1.1 the Service Requester Participation Period 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element '<xsl:text /><xsl:value-of select="local-name(cda:high/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/*">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.1.1 of the Medicare/DVA Benefits Report CDA Implementation Guide v1.1 the Service Requester Participation Period 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element '<xsl:text /><xsl:value-of select="local-name(cda:high/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.1.1 of the Medicare/DVA Benefits Report CDA Implementation Guide v1.1 the Service Requester Participation Period 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.1.1 of the Medicare/DVA Benefits Report CDA Implementation Guide v1.1 the Service Requester Participation Period 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:high/@operator and cda:high/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:high/@operator and cda:high/@operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.1.1 of the Medicare/DVA Benefits Report CDA Implementation Guide v1.1 the Service Requester Participation Period 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/@operator and cda:high/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/@operator and cda:high/@operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.1.1 of the Medicare/DVA Benefits Report CDA Implementation Guide v1.1 the Service Requester Participation Period 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.1.1 of the Medicare/DVA Benefits Report CDA Implementation Guide v1.1 the Service Requester Participation Period 'high' child element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present
		so it is an error to include nullFlavor 'UNC'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.1.1 of the Medicare/DVA Benefits Report CDA Implementation Guide v1.1 the Service Requester Participation Period 'high' child element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present
		so it is an error to include nullFlavor 'UNC'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M558" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M558" />
  <xsl:template match="@*|node()" priority="-2" mode="M558">
    <xsl:apply-templates select="@*|*" mode="M558" />
  </xsl:template>
  <!--PATTERN p-TS-Medicare-TimeInterval-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16643' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16643']]/cda:entry/cda:encounter/cda:participant/cda:time   [not((cda:low/@value and (number(substring(cda:low/@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(cda:low/@value,1,4)) &gt; number($creation-date-yr) + 130)) or     (cda:high/@value and (number(substring(cda:high/@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(cda:high/@value,1,4)) &gt; number($creation-date-yr) + 130)))] " priority="1000" mode="M559">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16643' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16643']]/cda:entry/cda:encounter/cda:participant/cda:time   [not((cda:low/@value and (number(substring(cda:low/@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(cda:low/@value,1,4)) &gt; number($creation-date-yr) + 130)) or     (cda:high/@value and (number(substring(cda:high/@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(cda:high/@value,1,4)) &gt; number($creation-date-yr) + 130)))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="fir-narrative" select="translate(normalize-space(lower-case(string($fir-narr-node))), $chars-to-remove, '')" />
    <xsl:variable name="sec-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)        then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]        else () " />
    <xsl:variable name="sec-narr-node" select="$sec-section/cda:text " />
    <xsl:variable name="narr-text-el" select="(for $text in ($fir-narr-node//text(), $sec-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="sec-narrative" select="translate(normalize-space(lower-case(string($sec-narr-node))), $chars-to-remove, '') " />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="narrative" select="concat($target-title, $fir-narrative, $sec-narrative)" />
    <xsl:variable name="narr-elements" select="$fir-narr-node//cda:*[exists(text()[normalize-space() != '']) and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ]  |             $sec-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ] " />
    <xsl:variable name="narr-lower-case" select="for $i in (1 to count($narr-elements)) return lower-case(normalize-space(string-join($narr-elements[$i]/text(), '')))  " />
    <xsl:variable name="dt-narr-elements" select="$narr-lower-case[matches(., $regex-date-type-1, 'i') or matches(., $regex-date-type-2, 'i') or matches(., $regex-date-type-3, 'i')] " />
    <xsl:variable name="narr-elements-start" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-before($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-before($dt-narr-elements[$i], ' -'))        else $dt-narr-elements[$i])[. != ''] " />
    <xsl:variable name="narr-elements-end" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-after($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-after($dt-narr-elements[$i], ' -'))        else '')[. != ''] " />
    <xsl:variable name="narr-dateTimes" select="distinct-values(($narr-elements-start , $narr-elements-end))[. != '(ongoing)'] " />
    <xsl:variable name="l-dt-value" select="if (@value) then @value        else if (cda:low/@value) then cda:low/@value        else '' " />
    <xsl:variable name="l-no-time-zone" select="if (contains($l-dt-value, '+')) then substring-before($l-dt-value, '+')       else if (contains($l-dt-value, '-')) then substring-before($l-dt-value, '-')       else $l-dt-value " />
    <xsl:variable name="l-length" select="string-length($l-no-time-zone) " />
    <xsl:variable name="l-year" select="if ($l-length &gt; 3) then substring($l-no-time-zone,1,4) else '' " />
    <xsl:variable name="l-month-num" select="if ($l-length &gt; 5) then substring($l-no-time-zone,5,2) else '' " />
    <xsl:variable name="l-day" select="if ($l-length &gt; 7 and substring($l-no-time-zone,7,1) = '0') then substring($l-no-time-zone,8,1)       else if ($l-length &gt; 7 and substring($l-no-time-zone,7,1) != '0') then substring($l-no-time-zone,7,2) else '' " />
    <xsl:variable name="l-hour-long" select="if ($l-length &gt; 9) then substring($l-no-time-zone,9,2) else '' " />
    <xsl:variable name="l-hour-short" select="if (substring($l-hour-long, 1, 1) = '0') then substring($l-hour-long, 2, 1) else '' " />
    <xsl:variable name="l-minute" select="if ($l-length &gt; 11) then substring($l-no-time-zone,11,2) else '' " />
    <xsl:variable name="l-second" select="if ($l-length &gt; 13) then substring($l-no-time-zone,13,2) else '' " />
    <xsl:variable name="l-time-zone" select="if (contains($l-dt-value, '+')) then concat('\+', substring-after($l-dt-value, '+'))       else if (contains($l-dt-value, '-')) then concat('\-', substring-after($l-dt-value, '-'))       else '' " />
    <xsl:variable name="l-month-short" select="if ($l-month-num = '01') then 'jan'   else             if ($l-month-num = '02') then 'feb'   else             if ($l-month-num = '03') then 'mar'   else             if ($l-month-num = '04') then 'apr'   else             if ($l-month-num = '05') then 'may'   else             if ($l-month-num = '06') then 'jun'   else             if ($l-month-num = '07') then 'jul'   else             if ($l-month-num = '08') then 'aug'   else             if ($l-month-num = '09') then 'sep'   else             if ($l-month-num = '10') then 'oct'   else             if ($l-month-num = '11') then 'nov'   else             if ($l-month-num = '12') then 'dec'   else '' " />
    <xsl:variable name="l-month-long" select="if ($l-month-num = '01') then 'january'   else             if ($l-month-num = '02') then 'february'  else             if ($l-month-num = '03') then 'march'   else             if ($l-month-num = '04') then 'april'   else             if ($l-month-num = '05') then 'may'   else             if ($l-month-num = '06') then 'june'   else             if ($l-month-num = '07') then 'july'   else             if ($l-month-num = '08') then 'august'   else             if ($l-month-num = '09') then 'september'  else             if ($l-month-num = '10') then 'october'   else             if ($l-month-num = '11') then 'november'  else             if ($l-month-num = '12') then 'december'  else '' " />
    <xsl:variable name="l-date-type-3-day" select="if (string-length($l-day) = 1) then concat('0{0,1}', $l-day) else $l-day " />
    <xsl:variable name="l-date-type-3-month" select="if (string-length($l-month-num) = 1) then concat('0{0,1}', $l-month-num)        else if (substring($l-month-num, 1, 1) = '0') then concat('0{0,1}', substring($l-month-num, 2, 1))         else $l-month-num " />
    <xsl:variable name="l-dt-sequence-1" select="if ($l-length = 4) then (         concat('^', $l-dt-value)        ,          concat('^', $l-year)         )        else if ($l-length = 6) then (         concat('^', $l-dt-value)        ,         concat('^', $l-month-short, $date-sep, $l-year)      ,          concat('^', $l-month-long, $date-sep, $l-year)      )        else if ($l-length &gt; 7) then (         concat('^', $l-dt-value)        ,         concat('^', $l-date-type-3-day, $date-sep, $l-month-short, $date-sep, $l-year)  ,         concat('^', $l-date-type-3-day, $date-sep, $l-month-long, $date-sep, $l-year)  ,         concat('^', $l-date-type-3-day, '/', $l-date-type-3-month, '/', $l-year)  )        else () " />
    <xsl:variable name="l-matching-seq-1" select="if (exists($l-dt-sequence-1))        then index-of(for $i in (1 to count($l-dt-sequence-1)) return exists($narr-dateTimes[matches(., $l-dt-sequence-1[$i], 'i')]), true())        else () " />
    <xsl:variable name="l-dt-stem-1" select="for $i in (1 to count($l-matching-seq-1)) return $l-dt-sequence-1[$l-matching-seq-1[$i]] " />
    <xsl:variable name="l-dt-regex-1" select="if (exists($l-dt-stem-1)) then concat('(', string-join($l-dt-stem-1, '$)|('), '$)') else ()" />
    <xsl:variable name="l-dt-match-1" select="exists($l-dt-stem-1) and exists($narr-dateTimes[matches(., $l-dt-regex-1, 'i')])" />
    <xsl:variable name="l-time-1" select="if ($l-length &gt; 11 and $l-hour-short != '') then concat($l-hour-short, ':', $l-minute, '( *| *am)') else '' " />
    <xsl:variable name="l-time-2" select="if ($l-length &gt; 13 and $l-hour-short != '') then concat($l-hour-short, ':', $l-minute, ':', $l-second, '( *| *am)') else '' " />
    <xsl:variable name="l-time-3" select="if ($l-length &gt; 11 and number($l-hour-long) &lt; 12) then concat($l-hour-long, ':', $l-minute, '( *| *am)')        else if ($l-length &gt; 11) then concat($l-hour-long, ':', $l-minute) else '' " />
    <xsl:variable name="l-time-4" select="if ($l-length &gt; 13 and number($l-hour-long) &lt; 12) then concat($l-hour-long, ':', $l-minute, ':', $l-second, '( *| *am)')        else if ($l-length &gt; 13) then concat($l-hour-long, ':', $l-minute, ':', $l-second) else '' " />
    <xsl:variable name="l-time-5" select="if ($l-length &gt; 11 and number($l-hour-long) &gt; 12) then concat(string(number($l-hour-long) - 12), ':', $l-minute, '( *| *pm)') else '' " />
    <xsl:variable name="l-time-6" select="if ($l-length &gt; 13 and number($l-hour-long) &gt; 12) then concat(string(number($l-hour-long) - 12), ':', $l-minute, ':', $l-second, '( *| *pm)') else '' " />
    <xsl:variable name="l-dt-temp-0" select="if (exists($l-dt-stem-1) and $l-length = 8) then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $narr-time-regex) else () " />
    <xsl:variable name="l-dt-temp-1" select="if (exists($l-dt-stem-1) and $l-time-1 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-1) else () " />
    <xsl:variable name="l-dt-temp-2" select="if (exists($l-dt-stem-1) and $l-time-2 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-2) else () " />
    <xsl:variable name="l-dt-temp-3" select="if (exists($l-dt-stem-1) and $l-time-3 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-3) else () " />
    <xsl:variable name="l-dt-temp-4" select="if (exists($l-dt-stem-1) and $l-time-4 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-4) else () " />
    <xsl:variable name="l-dt-temp-5" select="if (exists($l-dt-stem-1) and $l-time-5 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-5) else () " />
    <xsl:variable name="l-dt-temp-6" select="if (exists($l-dt-stem-1) and $l-time-6 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-6) else () " />
    <xsl:variable name="l-dt-sequence-2" select="($l-dt-temp-0, $l-dt-temp-1, $l-dt-temp-2, $l-dt-temp-3, $l-dt-temp-4, $l-dt-temp-5, $l-dt-temp-6)" />
    <xsl:variable name="l-matching-seq-2" select="if (exists($l-dt-sequence-2))        then index-of(for $i in (1 to count($l-dt-sequence-2)) return exists($narr-dateTimes[matches(., $l-dt-sequence-2[$i], 'i')]), true())        else () " />
    <xsl:variable name="l-dt-stem-2" select="for $i in (1 to count($l-matching-seq-2)) return $l-dt-sequence-2[$l-matching-seq-2[$i]] " />
    <xsl:variable name="l-dt-regex-2" select="if (exists($l-dt-stem-2)) then concat('(', string-join($l-dt-stem-2, '$)|('), '$)') else '' " />
    <xsl:variable name="l-dt-match-2" select="(exists($l-dt-stem-2) and exists($narr-dateTimes[matches(., $l-dt-regex-2, 'i')])) " />
    <xsl:variable name="l-dt-sequence-3" select="if (not($l-dt-match-2) and exists($l-dt-stem-2) and $l-time-zone != '') then for $i in (1 to count($l-dt-stem-2)) return        concat($l-dt-stem-2[$i], substring($l-time-zone, 1, 4), ':?', substring($l-time-zone, 5, 2)) else () " />
    <xsl:variable name="l-dt-regex-3" select="if ($l-dt-match-2) then '' else if (exists($l-dt-sequence-3)) then concat('(', string-join($l-dt-sequence-3, '$)|('), '$)') else '' " />
    <xsl:variable name="l-dt-match-3" select="($l-dt-match-2 or (exists($l-dt-sequence-3) and exists($narr-dateTimes[matches(., $l-dt-regex-3, 'i')]))) " />
    <xsl:variable name="l-narr-match" select="if ($l-dt-value != '' and count($narr-dateTimes) = 0) then      (       contains($narrative, $l-dt-value)                or       (string-length($l-dt-value) = 4 and contains($narrative, $l-year))             or        (string-length($l-dt-value) = 6 and contains($narrative, concat($l-month-short, $l-year)))          or       (string-length($l-dt-value) &gt; 7 and starts-with($l-day, '0') and        (contains($narrative, concat(substring($l-day,2,1), $l-month-short, $l-year)) or         contains($narrative, concat(substring($l-day,2,1), $l-month-num, $l-year))))          or       (string-length($l-dt-value) &gt; 7 and (contains($narrative, concat($l-day, $l-month-short, $l-year)) or contains($narrative, concat($l-day, $l-month-num, $l-year))))        )       else false() " />
    <xsl:variable name="h-dt-value" select="if (cda:high/@value and $l-dt-value != cda:high/@value) then cda:high/@value        else '' " />
    <xsl:variable name="h-no-time-zone" select="if (contains($h-dt-value, '+')) then substring-before($h-dt-value, '+')       else if (contains($h-dt-value, '-')) then substring-before($h-dt-value, '-')       else $h-dt-value " />
    <xsl:variable name="h-length" select="string-length($h-no-time-zone) " />
    <xsl:variable name="h-year" select="if ($h-length &gt; 3) then substring($h-no-time-zone,1,4) else '' " />
    <xsl:variable name="h-month-num" select="if ($h-length &gt; 5) then substring($h-no-time-zone,5,2) else '' " />
    <xsl:variable name="h-day" select="if ($h-length &gt; 7 and substring($h-no-time-zone,7,1) = '0') then substring($h-no-time-zone,8,1)       else if ($h-length &gt; 7 and substring($h-no-time-zone,7,1) != '0') then substring($h-no-time-zone,7,2) else '' " />
    <xsl:variable name="h-hour-long" select="if ($h-length &gt; 9) then substring($h-no-time-zone,9,2) else '' " />
    <xsl:variable name="h-hour-short" select="if (substring($h-hour-long, 1, 1) = '0') then substring($h-hour-long, 2, 1) else '' " />
    <xsl:variable name="h-minute" select="if ($h-length &gt; 11) then substring($h-no-time-zone,11,2) else '' " />
    <xsl:variable name="h-second" select="if ($h-length &gt; 13) then substring($h-no-time-zone,13,2) else '' " />
    <xsl:variable name="h-time-zone" select="if (contains($h-dt-value, '+')) then concat('\+', substring-after($h-dt-value, '+'))       else if (contains($h-dt-value, '-')) then concat('\-', substring-after($h-dt-value, '-'))       else '' " />
    <xsl:variable name="h-month-short" select="if ($h-month-num = '01') then 'jan'   else             if ($h-month-num = '02') then 'feb'   else             if ($h-month-num = '03') then 'mar'   else             if ($h-month-num = '04') then 'apr'   else             if ($h-month-num = '05') then 'may'   else             if ($h-month-num = '06') then 'jun'   else             if ($h-month-num = '07') then 'jul'   else             if ($h-month-num = '08') then 'aug'   else             if ($h-month-num = '09') then 'sep'   else             if ($h-month-num = '10') then 'oct'   else             if ($h-month-num = '11') then 'nov'   else             if ($h-month-num = '12') then 'dec'   else '' " />
    <xsl:variable name="h-month-long" select="if ($h-month-num = '01') then 'january'   else             if ($h-month-num = '02') then 'february'  else             if ($h-month-num = '03') then 'march'   else             if ($h-month-num = '04') then 'april'   else             if ($h-month-num = '05') then 'may'   else             if ($h-month-num = '06') then 'june'   else             if ($h-month-num = '07') then 'july'   else             if ($h-month-num = '08') then 'august'   else             if ($h-month-num = '09') then 'september'  else             if ($h-month-num = '10') then 'october'   else             if ($h-month-num = '11') then 'november'  else             if ($h-month-num = '12') then 'december'  else '' " />
    <xsl:variable name="h-date-type-3-day" select="if (string-length($h-day) = 1) then concat('0{0,1}', $h-day) else $h-day " />
    <xsl:variable name="h-date-type-3-month" select="if (string-length($h-month-num) = 1) then concat('0{0,1}', $h-month-num)        else if (substring($h-month-num, 1, 1) = '0') then concat('0{0,1}', substring($h-month-num, 2, 1))         else $h-month-num " />
    <xsl:variable name="h-dt-sequence-1" select="if ($h-length = 4) then (         concat('^', $h-dt-value)        ,          concat('^', $h-year)         )        else if ($h-length = 6) then (         concat('^', $h-dt-value)        ,         concat('^', $h-month-short, $date-sep, $h-year)      ,          concat('^', $h-month-long, $date-sep, $h-year)      )        else if ($h-length &gt; 7) then (         concat('^', $h-dt-value)        ,         concat('^', $h-date-type-3-day, $date-sep, $h-month-short, $date-sep, $h-year)  ,         concat('^', $h-date-type-3-day, $date-sep, $h-month-long, $date-sep, $h-year)  ,         concat('^', $h-date-type-3-day, '/', $h-date-type-3-month, '/', $h-year)  )        else () " />
    <xsl:variable name="h-matching-seq-1" select="if (exists($h-dt-sequence-1))        then index-of(for $i in (1 to count($h-dt-sequence-1)) return exists($narr-dateTimes[matches(., $h-dt-sequence-1[$i], 'i')]), true())        else () " />
    <xsl:variable name="h-dt-stem-1" select="for $i in (1 to count($h-matching-seq-1)) return $h-dt-sequence-1[$h-matching-seq-1[$i]] " />
    <xsl:variable name="h-dt-regex-1" select="if (exists($h-dt-stem-1)) then concat('(', string-join($h-dt-stem-1, '$)|('), '$)') else ()" />
    <xsl:variable name="h-dt-match-1" select="exists($h-dt-stem-1) and exists($narr-dateTimes[matches(., $h-dt-regex-1, 'i')])" />
    <xsl:variable name="h-time-1" select="if ($h-length &gt; 11 and $h-hour-short != '') then concat($h-hour-short, ':', $h-minute, '( *| *am)') else '' " />
    <xsl:variable name="h-time-2" select="if ($h-length &gt; 13 and $h-hour-short != '') then concat($h-hour-short, ':', $h-minute, ':', $h-second, '( *| *am)') else '' " />
    <xsl:variable name="h-time-3" select="if ($h-length &gt; 11 and number($h-hour-long) &lt; 12) then concat($h-hour-long, ':', $h-minute, '( *| *am)')        else if ($h-length &gt; 11) then concat($h-hour-long, ':', $h-minute) else '' " />
    <xsl:variable name="h-time-4" select="if ($h-length &gt; 13 and number($h-hour-long) &lt; 12) then concat($h-hour-long, ':', $h-minute, ':', $h-second, '( *| *am)')        else if ($h-length &gt; 13) then concat($h-hour-long, ':', $h-minute, ':', $h-second) else '' " />
    <xsl:variable name="h-time-5" select="if ($h-length &gt; 11 and number($h-hour-long) &gt; 12) then concat(string(number($h-hour-long) - 12), ':', $h-minute, '( *| *pm)') else '' " />
    <xsl:variable name="h-time-6" select="if ($h-length &gt; 13 and number($h-hour-long) &gt; 12) then concat(string(number($h-hour-long) - 12), ':', $h-minute, ':', $h-second, '( *| *pm)') else '' " />
    <xsl:variable name="h-dt-temp-0" select="if (exists($h-dt-stem-1) and $h-length = 8) then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $narr-time-regex) else () " />
    <xsl:variable name="h-dt-temp-1" select="if (exists($h-dt-stem-1) and $h-time-1 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-1) else () " />
    <xsl:variable name="h-dt-temp-2" select="if (exists($h-dt-stem-1) and $h-time-2 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-2) else () " />
    <xsl:variable name="h-dt-temp-3" select="if (exists($h-dt-stem-1) and $h-time-3 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-3) else () " />
    <xsl:variable name="h-dt-temp-4" select="if (exists($h-dt-stem-1) and $h-time-4 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-4) else () " />
    <xsl:variable name="h-dt-temp-5" select="if (exists($h-dt-stem-1) and $h-time-5 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-5) else () " />
    <xsl:variable name="h-dt-temp-6" select="if (exists($h-dt-stem-1) and $h-time-6 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-6) else () " />
    <xsl:variable name="h-dt-sequence-2" select="($h-dt-temp-0, $h-dt-temp-1, $h-dt-temp-2, $h-dt-temp-3, $h-dt-temp-4, $h-dt-temp-5, $h-dt-temp-6)" />
    <xsl:variable name="h-matching-seq-2" select="if (exists($h-dt-sequence-2))        then index-of(for $i in (1 to count($h-dt-sequence-2)) return exists($narr-dateTimes[matches(., $h-dt-sequence-2[$i], 'i')]), true())        else () " />
    <xsl:variable name="h-dt-stem-2" select="for $i in (1 to count($h-matching-seq-2)) return $h-dt-sequence-2[$h-matching-seq-2[$i]] " />
    <xsl:variable name="h-dt-regex-2" select="if (exists($h-dt-stem-2)) then concat('(', string-join($h-dt-stem-2, '$)|('), '$)') else '' " />
    <xsl:variable name="h-dt-match-2" select="(exists($h-dt-stem-2) and exists($narr-dateTimes[matches(., $h-dt-regex-2, 'i')])) " />
    <xsl:variable name="h-dt-sequence-3" select="if (not($h-dt-match-2) and exists($h-dt-stem-2) and $h-time-zone != '') then for $i in (1 to count($h-dt-stem-2)) return        concat($h-dt-stem-2[$i], substring($h-time-zone, 1, 4), ':?', substring($h-time-zone, 5, 2)) else () " />
    <xsl:variable name="h-dt-regex-3" select="if ($h-dt-match-2) then '' else if (exists($h-dt-sequence-3)) then concat('(', string-join($h-dt-sequence-3, '$)|('), '$)') else '' " />
    <xsl:variable name="h-dt-match-3" select="($h-dt-match-2 or (exists($h-dt-sequence-3) and exists($narr-dateTimes[matches(., $h-dt-regex-3, 'i')]))) " />
    <xsl:variable name="h-narr-match" select="if ($h-dt-value != '' and count($narr-dateTimes) = 0) then      (       contains($narrative, $h-dt-value)                or       (string-length($h-dt-value) = 4 and contains($narrative, $h-year))             or        (string-length($h-dt-value) = 6 and contains($narrative, concat($h-month-short, $h-year)))          or       (string-length($h-dt-value) &gt; 7 and starts-with($h-day, '0') and        (contains($narrative, concat(substring($h-day,2,1), $h-month-short, $h-year)) or         contains($narrative, concat(substring($h-day,2,1), $h-month-num, $h-year))))          or       (string-length($h-dt-value) &gt; 7 and (contains($narrative, concat($h-day, $h-month-short, $h-year)) or contains($narrative, concat($h-day, $h-month-num, $h-year))))        )       else false() " />
    <xsl:variable name="h-nullFlavor-values" select="if (cda:high/@nullFlavor and cda:high/@nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))        then $nullFlavors/nullFlavor[@value = current()/cda:high/@nullFlavor] else () " />
    <xsl:variable name="h-null-to-find" select="exists($h-nullFlavor-values) " />
    <xsl:variable name="h-null-in-narr" select="($h-nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $h-nullFlavor-values/@name-regex, 'is')])) or              ($h-nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $h-nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="l-nullFlavor-values" select="if (cda:low/@nullFlavor and cda:low/@nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))        then $nullFlavors/nullFlavor[@value = current()/cda:low/@nullFlavor] else () " />
    <xsl:variable name="l-null-to-find" select="exists($l-nullFlavor-values) " />
    <xsl:variable name="l-null-in-narr" select="($l-nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $l-nullFlavor-values/@name-regex, 'is')])) or              ($l-nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $l-nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="l-dt-name" select="if ($l-dt-value = cda:low/@value) then ' low' else '' " />
    <xsl:variable name="l-dt-msg" select="if ($l-dt-value = cda:low/@value) then ' This date/time is the low boundary of a time interval.' else '' " />
    <xsl:variable name="h-dt-msg" select="if ($h-dt-value = cda:high/@value) then ' This date/time is the high boundary of a time interval.' else '' " />
    <xsl:variable name="l-null-msg" select="if ($l-dt-value = cda:low/@value) then ' This nullFlavor value is for the low boundary of a time interval.' else '' " />
    <xsl:variable name="h-null-msg" select="if ($h-dt-value = cda:high/@value) then ' This nullFlavor value is for the high boundary of a time interval.' else '' " />
    <xsl:variable name="multimedia" select="exists($fir-narr-node//cda:renderMultiMedia) or exists($sec-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($fir-narr-node//cda:linkHtml) or exists($sec-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="l-warning-1" select="exists($l-dt-sequence-1) and exists($narr-dateTimes) and $l-dt-match-1 and not($l-dt-match-3) and $l-dt-value != '' " />
    <xsl:variable name="l-error-1" select="$l-warning-1 and not($multimedia) " />
    <xsl:variable name="l-warning-2" select="exists($l-dt-sequence-1) and exists($narr-dateTimes) and not($l-dt-match-1 or $l-dt-match-3) and $l-dt-value != '' " />
    <xsl:variable name="l-error-2a" select="$l-warning-2 and not($multimedia) and $l-time-zone != '' and count($narr-dateTimes) =        count(for $dt in $narr-dateTimes return replace(replace($dt, $regex-date-type-1, ''), $regex-date-type-2, '')       [matches(., concat('^\s*([0-9]{1,2}:{1}[0-9]{2}\s*', substring($l-time-zone, 1, 4), ':?', substring($l-time-zone, 5, 2),         '|[0-9]{1,2}:{1}[0-9]{2}:{1}[0-9]{2}\s*', substring($l-time-zone, 1, 4), ':?', substring($l-time-zone, 5, 2), ')\s*$'), 'i')]) " />
    <xsl:variable name="l-error-2b" select="$l-warning-2 and not($l-dt-match-1) and not($multimedia) and count($narr-dateTimes[matches(., $regex-date-type-2, 'i')]) =        count($narr-dateTimes[matches(., concat($regex-date-type-2, ' ', $narr-time-regex, '$'), 'i')]) " />
    <xsl:variable name="l-error-2c" select="$l-warning-2 and exists($narr-dateTimes[matches(., concat('^', $l-year, '$'))]) " />
    <xsl:variable name="l-error-2" select="$l-error-2a or $l-error-2b or $l-error-2c " />
    <xsl:variable name="l-warning-3" select="$l-dt-value != '' and not(exists($narr-dateTimes)) and not($l-narr-match) " />
    <xsl:variable name="l-error-3" select="$l-warning-3 and not($multimedia) and not(contains($narrative, substring($l-year, 3,2)))" />
    <xsl:variable name="h-warning-1" select="exists($h-dt-sequence-1) and exists($narr-dateTimes) and $h-dt-match-1 and not($h-dt-match-3) and $h-dt-value != '' " />
    <xsl:variable name="h-error-1" select="$h-warning-1 and not($multimedia) " />
    <xsl:variable name="h-warning-2" select="exists($h-dt-sequence-1) and exists($narr-dateTimes) and not($h-dt-match-1 or $h-dt-match-3) and $h-dt-value != '' " />
    <xsl:variable name="h-error-2a" select="$h-warning-2 and not($multimedia) and $h-time-zone != '' and count($narr-dateTimes) =        count(for $dt in $narr-dateTimes return replace(replace($dt, $regex-date-type-1, ''), $regex-date-type-2, '')       [matches(., concat('^\s*([0-9]{1,2}:{1}[0-9]{2}\s*', substring($h-time-zone, 1, 4), ':?', substring($h-time-zone, 5, 2),         '|[0-9]{1,2}:{1}[0-9]{2}:{1}[0-9]{2}\s*', substring($h-time-zone, 1, 4), ':?', substring($h-time-zone, 5, 2), ')\s*$'), 'i')]) " />
    <xsl:variable name="h-error-2b" select="$h-warning-2 and not($h-dt-match-1) and not($multimedia) and count($narr-dateTimes[matches(., $regex-date-type-2, 'i')]) =        count($narr-dateTimes[matches(., concat($regex-date-type-2, ' ', $narr-time-regex, '$'), 'i')]) " />
    <xsl:variable name="h-error-2c" select="$l-warning-2 and exists($narr-dateTimes[matches(., concat('^', $h-year, '$'))]) " />
    <xsl:variable name="h-error-2" select="$h-error-2a or $h-error-2b or $h-error-2c " />
    <xsl:variable name="h-warning-3" select="$h-dt-value != '' and not(exists($narr-dateTimes)) and not($h-narr-match) " />
    <xsl:variable name="h-error-3" select="$h-warning-3 and not($multimedia) and not(contains($narrative, substring($h-year, 3,2))) " />
    <xsl:variable name="narr-dt-msg" select="if ($multimedia or $no-content) then ''       else if (not(exists($narr-dateTimes))) then concat(' The narrative of the ', iq:location(., ''), ' contains no dateTime elements.')       else if (count($narr-dateTimes) = 1) then concat(' The only dateTime element in the narrative of the ', iq:location(., ''), ' is ''',         dh:XQueryRecursiveReplace($narr-dateTimes[1], '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), '''.')       else concat(' The distinct dateTime elements in the narrative of the ', iq:location(., ''), ' are ''',         string-join(for $dt in $narr-dateTimes return          dh:XQueryRecursiveReplace($dt, '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), ', '), '''.') " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-4" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-4 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and exists($l-dt-sequence-1) and $l-dt-value != '' and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and exists($l-dt-sequence-1) and $l-dt-value != '' and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 4: The dateTime element in the structured data is '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'.<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text />
		The number of dateTime elements that have been extracted from the narrative is '<xsl:text /><xsl:value-of select="count($narr-dateTimes)" /><xsl:text />'.
		These are '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-dateTimes, ', '), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The initial regular expressions are '<xsl:text /><xsl:value-of select="string-join($l-dt-sequence-1, ', ')" /><xsl:text />'.
		The three regular expressions used to perform an exact match for narrative dateTime elements are as follows:
		l-dt-regex-1='<xsl:text /><xsl:value-of select="$l-dt-regex-1" /><xsl:text />'; l-dt-regex-2='<xsl:text /><xsl:value-of select="$l-dt-regex-2" /><xsl:text />'; and l-dt-regex-3='<xsl:text /><xsl:value-of select="$l-dt-regex-3" /><xsl:text />'.
		Was a match found after the first regular expression was created? <xsl:text /><xsl:value-of select="$l-dt-match-1" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($l-dt-regex-2 = '') then 'The second regular expression was not applied as there is no time information.'    else concat('Was a match found after the second regular expression (with a date and time) was created? ', $l-dt-match-2, '.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($l-dt-regex-3 = '') then 'The third regular expression was not applied as there is no timezone information.'    else concat('Was a match found after the third regular expression (with a date and time) was created? ', $l-dt-match-3, '.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and exists($h-dt-sequence-1) and $h-dt-value != '' and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and exists($h-dt-sequence-1) and $h-dt-value != '' and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 4: The dateTime element in the structured data is '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'.<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text />
		The number of dateTime elements that have been extracted from the narrative is '<xsl:text /><xsl:value-of select="count($narr-dateTimes)" /><xsl:text />'.
		These are '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-dateTimes, ', '), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The initial regular expressions are '<xsl:text /><xsl:value-of select="string-join($h-dt-sequence-1, ', ')" /><xsl:text />'.
		The three regular expressions used to perform an exact match for narrative dateTime elements are as follows:
		h-dt-regex-1='<xsl:text /><xsl:value-of select="$h-dt-regex-1" /><xsl:text />'; h-dt-regex-2='<xsl:text /><xsl:value-of select="$h-dt-regex-2" /><xsl:text />'; and h-dt-regex-3='<xsl:text /><xsl:value-of select="$h-dt-regex-3" /><xsl:text />'.
		Was a match found after the first regular expression was created? <xsl:text /><xsl:value-of select="$h-dt-match-1" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($h-dt-regex-2 = '') then 'The second regular expression was not applied as there is no time information.'    else concat('Was a match found after the second regular expression (with a date and time) was created? ', $h-dt-match-2, '.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($h-dt-regex-3 = '') then 'The third regular expression was not applied as there is no timezone information.'    else concat('Was a match found after the third regular expression (with a date and time) was created? ', $h-dt-match-3, '.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $l-warning-1 and not($l-error-1 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $l-warning-1 and not($l-error-1 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Requester Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /> Although the date was found in the narrative the Service Requester Participation Period data element must contain the time.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Service Requester Participation Period data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $l-error-1 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $l-error-1 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Requester Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /> Although the date was found in the narrative the Service Requester Participation Period data element must contain the time.
		The Service Requester Participation Period data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $l-error-1 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $l-error-1 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Requester Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /> Although the date was found in the narrative the Service Requester Participation Period data element must contain the time.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-warning-2 and not($l-error-2 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-warning-2 and not($l-error-2 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Requester Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Service Requester Participation Period data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-error-2 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-error-2 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Requester Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($l-error-2c) then concat('The narrative contains a date with the same year ''', $l-year, ''' but without a month or day.') else '' " /><xsl:text />
		The Service Requester Participation Period data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-error-2 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-error-2 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Requester Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($l-error-2c) then concat('The narrative contains a date with the same year ''', $l-year, ''' but without a month or day.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $l-dt-value != '' and not($l-narr-match or $l-null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $l-dt-value != '' and not($l-narr-match or $l-null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Requester Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $l-dt-value != '' and not($l-narr-match or $l-null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $l-dt-value != '' and not($l-narr-match or $l-null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Requester Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Service Requester Participation Period data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $h-warning-1 and not($h-error-1 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $h-warning-1 and not($h-error-1 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Requester Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /> Although the date was found in the narrative the Service Requester Participation Period data element must contain the time.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Service Requester Participation Period data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $h-error-1 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $h-error-1 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Requester Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /> Although the date was found in the narrative the Service Requester Participation Period data element must contain the time.
		The Service Requester Participation Period data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $h-error-1 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $h-error-1 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Requester Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /> Although the date was found in the narrative the Service Requester Participation Period data element must contain the time.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-warning-2 and not($h-error-2 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-warning-2 and not($h-error-2 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Requester Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Service Requester Participation Period data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-error-2 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-error-2 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Requester Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($h-error-2c) then concat('The narrative contains a date with the same year ''', $h-year, ''' but without a month or day.') else '' " /><xsl:text />
		The Service Requester Participation Period data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-error-2 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-error-2 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Requester Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($h-error-2c) then concat('The narrative contains a date with the same year ''', $h-year, ''' but without a month or day.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-warning-3 and not($l-error-3 or $no-content)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-warning-3 and not($l-error-3 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Requester Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not seem to be present in the narrative of the section.<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Service Requester Participation Period data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-error-3 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-error-3 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Requester Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Service Requester Participation Period data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else ' All clinical information in entry elements must be present in the narrative.'" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-error-3 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-error-3 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Requester Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-warning-3 and not($h-error-3 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-warning-3 and not($h-error-3 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Requester Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not seem to be present in the narrative of the section.<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Service Requester Participation Period data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-error-3 and not($no-content) and true()  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-error-3 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Requester Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text />
		The Service Requester Participation Period data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-error-3 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-error-3 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Requester Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $h-dt-value != '' and not($h-narr-match or $h-null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $h-dt-value != '' and not($h-narr-match or $h-null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Requester Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $h-dt-value != '' and not($h-narr-match or $h-null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $h-dt-value != '' and not($h-narr-match or $h-null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Requester Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Service Requester Participation Period data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-null-to-find and not($l-null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-null-to-find and not($l-null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Service Requester Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="cda:low/@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$l-nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($l-nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.<xsl:text /><xsl:value-of select="$l-null-msg" /><xsl:text /> If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-null-to-find and not($h-null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-null-to-find and not($h-null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Service Requester Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="cda:high/@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$h-nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($h-nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.<xsl:text /><xsl:value-of select="$h-null-msg" /><xsl:text />
		If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M559" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M559" />
  <xsl:template match="@*|node()" priority="-2" mode="M559">
    <xsl:apply-templates select="@*|*" mode="M559" />
  </xsl:template>
  <!--PATTERN p-TS-Participant-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument " priority="1000" mode="M560">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating" select="if ($initial-priority) then $initial-rating else if ($FS-Types-seq/@rating) then concat(' (', $FS-Types-seq/@rating, ')') else '' " />
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and not( cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.170' and @extension = '1.0']    or        cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.171' and @extension = '1.0']    or        cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.140' and @extension = '1.1']    or        cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.144' and @extension = '1.1']    or        cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.147' and @extension = '1.1']    or        cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.220' and @extension = '1.0']    or        cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.222' and @extension = '1.0']    or        cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.226' and @extension = '1.0']    or        cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2']     or        cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.234' and @extension = '1.0']    or        cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']     or        cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.120' and (@extension = '1.3' or @extension = '1.4')]  or        cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3']    or        cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and (@extension = '1.2' or @extension = '1.3')]  or        cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.142' and @extension = '1.1']    or        cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.179' and @extension = '1.0']    or        cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.153' and @extension = '1.0']    or        cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.156' and @extension = '1.0']) and $extensions-allowed">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not( cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.170' and @extension = '1.0'] or cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.171' and @extension = '1.0'] or cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.140' and @extension = '1.1'] or cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.144' and @extension = '1.1'] or cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.147' and @extension = '1.1'] or cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.220' and @extension = '1.0'] or cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.222' and @extension = '1.0'] or cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.226' and @extension = '1.0'] or cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2'] or cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.234' and @extension = '1.0'] or cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4'] or cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.120' and (@extension = '1.3' or @extension = '1.4')] or cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3'] or cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and (@extension = '1.2' or @extension = '1.3')] or cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.142' and @extension = '1.1'] or cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.179' and @extension = '1.0'] or cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.153' and @extension = '1.0'] or cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.156' and @extension = '1.0']) and $extensions-allowed">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: FS-Types: The participant has been found in a <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. The participant is defined in the digital health specifications but
		although tests have been applied to the data elements the specification of the data elements may have been varied for inclusion in this document
		so further examination may be needed. The rules have been validated for <xsl:text /><xsl:value-of select="normalize-space(' Advance Care Directive Custodian Report CDA Implementation Guide version 1.0;        Advance Care Information CDA Implementation Guide version 1.0;        Australian Childhood Immunisation Register CDA Implementation Guide version 1.1.1;        Australian Immunisation Register CDA Implementation Guide version 1.0;        Australian Organ Donor Register CDA Implementation Guide version 1.1;        Diagnostic Imaging Report CDA Implementation Guide version 1.0;        Discharge Summary CDA Implementation Guide version 3.4;        Event Summary CDA Implementation Guide version 1.2 and 1.3;        eHealth Dispense Record CDA Implementation Guide version 1.0;        eHealth Prescription Record CDA Implementation Guide version 1.0;        eReferral CDA Implementation Guide version 2.2;        Medicare/DVA Benefits Report CDA Implementation Guide version 1.1;        Pathology Report CDA Implementation Guide version 1.0;        Personal Health Summary CDA Implementation Guide version 1.0;        Pharmaceutical Benefits Report CDA Implementation Guide version 1.1;        Prescription and Diispense View CDA Implementation Guide version 1.0;        Shared Health Summary CDA Implementation Guide version 1.3 and 1.4; and        Specialist Letter CDA Implementation Guide version 1.3')" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M560" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M560" />
  <xsl:template match="@*|node()" priority="-2" mode="M560">
    <xsl:apply-templates select="@*|*" mode="M560" />
  </xsl:template>
  <!--PATTERN p-TS-Participant-CodeableText-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16694' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@code='101.16694' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entry/cda:act[cda:code[@code='102.16690' and @codeSystem='1.2.36.1.2001.1001.101']]/    cda:performer/cda:assignedEntity/cda:code              |   /cda:ClinicalDocument/cda:legalAuthenticator/cda:assignedEntity/cda:code           |    /cda:ClinicalDocument/cda:componentOf/cda:encompassingEncounter/cda:location/cda:healthCareFacility/cda:code      |   /cda:ClinicalDocument/cda:participant/cda:associatedEntity[cda:scopingOrganization]/cda:code        |   /cda:ClinicalDocument['101.20016' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16020']]/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20016']]/    cda:entry/cda:act/cda:performer/cda:assignedEntity[cda:representedOrganization]/cda:code       |   /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//cda:section/cda:entry/cda:act/    cda:performer[@typeCode='PRF']/cda:assignedEntity[cda:representedOrganization]/cda:code        |   /cda:ClinicalDocument/cda:participant[@typeCode='IRCP']/cda:associatedEntity[cda:scopingOrganization]/cda:code      |   /cda:ClinicalDocument/cda:participant[@typeCode='PART' and cda:functionCode/@code='PCP']/cda:associatedEntity[cda:scopingOrganization]/cda:code  |   /cda:ClinicalDocument/cda:participant[@typeCode='REFT']/cda:associatedEntity[cda:scopingOrganization]/cda:code      |   /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.170' and @extension = '1.0']]/cda:location/cda:healthCareFacility/cda:code  " priority="1000" mode="M561">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16694' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@code='101.16694' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:entry/cda:act[cda:code[@code='102.16690' and @codeSystem='1.2.36.1.2001.1001.101']]/    cda:performer/cda:assignedEntity/cda:code              |   /cda:ClinicalDocument/cda:legalAuthenticator/cda:assignedEntity/cda:code           |    /cda:ClinicalDocument/cda:componentOf/cda:encompassingEncounter/cda:location/cda:healthCareFacility/cda:code      |   /cda:ClinicalDocument/cda:participant/cda:associatedEntity[cda:scopingOrganization]/cda:code        |   /cda:ClinicalDocument['101.20016' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16020']]/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20016']]/    cda:entry/cda:act/cda:performer/cda:assignedEntity[cda:representedOrganization]/cda:code       |   /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//cda:section/cda:entry/cda:act/    cda:performer[@typeCode='PRF']/cda:assignedEntity[cda:representedOrganization]/cda:code        |   /cda:ClinicalDocument/cda:participant[@typeCode='IRCP']/cda:associatedEntity[cda:scopingOrganization]/cda:code      |   /cda:ClinicalDocument/cda:participant[@typeCode='PART' and cda:functionCode/@code='PCP']/cda:associatedEntity[cda:scopingOrganization]/cda:code  |   /cda:ClinicalDocument/cda:participant[@typeCode='REFT']/cda:associatedEntity[cda:scopingOrganization]/cda:code      |   /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.170' and @extension = '1.0']]/cda:location/cda:healthCareFacility/cda:code  " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Role',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to section 2.3 of the Participation Data Specification v3.2 the Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to section 2.3 of the Participation Data Specification v3.2 the Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'allowed' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'allowed' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'allowed' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'allowed' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 2.3 of the Participation Data Specification v3.2 the Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Role data element must have a value that is consistent with this definition. Alternatively if there is no Role data element with a proper value then an exclusion
		statement must be included to state why there is no Role.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'allowed' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'allowed' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'allowed' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'allowed' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Role data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'allowed' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'allowed' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 2.3 of the Participation Data Specification v3.2 the Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Role data element must have a value that is consistent with this definition. Alternatively if there is no Role data element with a proper value then an exclusion
		statement must be included to state why there is no Role.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'allowed' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'allowed' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Role data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 2.3 of the Participation Data Specification v3.2 the Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 2.3 of the Participation Data Specification v3.2 the Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Role.
		(See the definition of Role in section 2.3 of the Participation Data Specification v3.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M561" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M561" />
  <xsl:template match="@*|node()" priority="-2" mode="M561">
    <xsl:apply-templates select="@*|*" mode="M561" />
  </xsl:template>
  <!--PATTERN p-TS-Participant-CodeableText-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument//ext:asEmployment/ext:code " priority="1000" mode="M562">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument//ext:asEmployment/ext:code " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Position In Organisation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Position In Organisation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Position In Organisation',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to section 2.42 of the Participation Data Specification v3.2 the Position In Organisation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to section 2.42 of the Participation Data Specification v3.2 the Position In Organisation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.42 of the Participation Data Specification v3.2 the Position In Organisation
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Position In Organisation however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Position In Organisation in section 2.42 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 2.42 of the Participation Data Specification v3.2 the Position In Organisation
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Position In Organisation however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Position In Organisation in section 2.42 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Position In Organisation data element must have a value that is consistent with this definition. Alternatively if there is no Position In Organisation data element with a proper value then an exclusion
		statement must be included to state why there is no Position In Organisation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.42 of the Participation Data Specification v3.2 the Position In Organisation
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Position In Organisation however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Position In Organisation in section 2.42 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.42 of the Participation Data Specification v3.2 the Position In Organisation
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Position In Organisation however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Position In Organisation in section 2.42 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Position In Organisation data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 2.42 of the Participation Data Specification v3.2 the Position In Organisation
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Position In Organisation however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Position In Organisation in section 2.42 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Position In Organisation data element must have a value that is consistent with this definition. Alternatively if there is no Position In Organisation data element with a proper value then an exclusion
		statement must be included to state why there is no Position In Organisation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.42 of the Participation Data Specification v3.2 the Position In Organisation
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Position In Organisation however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Position In Organisation in section 2.42 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Position In Organisation data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Position In Organisation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.42 of the Participation Data Specification v3.2 the Position In Organisation
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.42 of the Participation Data Specification v3.2 the Position In Organisation
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.42 of the Participation Data Specification v3.2 the Position In Organisation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.42 of the Participation Data Specification v3.2 the Position In Organisation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 2.42 of the Participation Data Specification v3.2 the Position In Organisation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 2.42 of the Participation Data Specification v3.2 the Position In Organisation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.42 of the Participation Data Specification v3.2 the Position In Organisation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.42 of the Participation Data Specification v3.2 the Position In Organisation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Position In Organisation
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.42 of the Participation Data Specification v3.2 the Position In Organisation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Position In Organisation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Position In Organisation.
		(See the definition of Position In Organisation in section 2.42 of the Participation Data Specification v3.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Position In Organisation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M562" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M562" />
  <xsl:template match="@*|node()" priority="-2" mode="M562">
    <xsl:apply-templates select="@*|*" mode="M562" />
  </xsl:template>
  <!--PATTERN p-TS-Participant-CodeableText-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument//ext:asEmployment/ext:jobCode " priority="1000" mode="M563">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument//ext:asEmployment/ext:jobCode " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Occupation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Occupation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Occupation',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to section 2.40 of the Participation Data Specification v3.2 the Occupation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to section 2.40 of the Participation Data Specification v3.2 the Occupation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.40 of the Participation Data Specification v3.2 the Occupation
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Occupation however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Occupation in section 2.40 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 2.40 of the Participation Data Specification v3.2 the Occupation
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Occupation however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Occupation in section 2.40 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Occupation data element must have a value that is consistent with this definition. Alternatively if there is no Occupation data element with a proper value then an exclusion
		statement must be included to state why there is no Occupation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.40 of the Participation Data Specification v3.2 the Occupation
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Occupation however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Occupation in section 2.40 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.40 of the Participation Data Specification v3.2 the Occupation
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Occupation however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Occupation in section 2.40 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Occupation data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 2.40 of the Participation Data Specification v3.2 the Occupation
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Occupation however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Occupation in section 2.40 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Occupation data element must have a value that is consistent with this definition. Alternatively if there is no Occupation data element with a proper value then an exclusion
		statement must be included to state why there is no Occupation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.40 of the Participation Data Specification v3.2 the Occupation
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Occupation however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Occupation in section 2.40 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Occupation data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Occupation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.40 of the Participation Data Specification v3.2 the Occupation
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.40 of the Participation Data Specification v3.2 the Occupation
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.40 of the Participation Data Specification v3.2 the Occupation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.40 of the Participation Data Specification v3.2 the Occupation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 2.40 of the Participation Data Specification v3.2 the Occupation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 2.40 of the Participation Data Specification v3.2 the Occupation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.40 of the Participation Data Specification v3.2 the Occupation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.40 of the Participation Data Specification v3.2 the Occupation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Occupation
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.40 of the Participation Data Specification v3.2 the Occupation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Occupation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Occupation.
		(See the definition of Occupation in section 2.40 of the Participation Data Specification v3.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Occupation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M563" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M563" />
  <xsl:template match="@*|node()" priority="-2" mode="M563">
    <xsl:apply-templates select="@*|*" mode="M563" />
  </xsl:template>
  <!--PATTERN p-TS-Participant-CodeableText-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.156' and @extension = '1.0')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.153' and @extension = '1.0')    or   (@root = '1.2.36.1.2001.1001.100.1002.222' and @extension = '1.0')    or   (@root = '1.2.36.1.2001.1001.100.1002.220' and @extension = '1.0')    ]]/   cda:author/cda:assignedAuthor[cda:assignedPerson]/cda:code " priority="1000" mode="M564">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.156' and @extension = '1.0')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.153' and @extension = '1.0')    or   (@root = '1.2.36.1.2001.1001.100.1002.222' and @extension = '1.0')    or   (@root = '1.2.36.1.2001.1001.100.1002.220' and @extension = '1.0')    ]]/   cda:author/cda:assignedAuthor[cda:assignedPerson]/cda:code " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Document Author Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Document Author Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Document Author Role',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to section 2.3 of the Participation Data Specification v3.2 the Document Author Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to section 2.3 of the Participation Data Specification v3.2 the Document Author Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown'  = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Document Author Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Document Author Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Document Author Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown'  = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 2.3 of the Participation Data Specification v3.2 the Document Author Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Document Author Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Document Author Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Document Author Role data element must have a value that is consistent with this definition. Alternatively if there is no Document Author Role data element with a proper value then an exclusion
		statement must be included to state why there is no Document Author Role.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown'  = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Document Author Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Document Author Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Document Author Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown'  = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Document Author Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Document Author Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Document Author Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Document Author Role data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown'  = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 2.3 of the Participation Data Specification v3.2 the Document Author Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Document Author Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Document Author Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Document Author Role data element must have a value that is consistent with this definition. Alternatively if there is no Document Author Role data element with a proper value then an exclusion
		statement must be included to state why there is no Document Author Role.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown'  = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Document Author Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Document Author Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Document Author Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Document Author Role data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Document Author Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Document Author Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Document Author Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Document Author Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Document Author Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 2.3 of the Participation Data Specification v3.2 the Document Author Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 2.3 of the Participation Data Specification v3.2 the Document Author Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Document Author Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Document Author Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Document Author Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Document Author Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Document Author Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Document Author Role.
		(See the definition of Document Author Role in section 2.3 of the Participation Data Specification v3.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Document Author Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M564" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M564" />
  <xsl:template match="@*|node()" priority="-2" mode="M564">
    <xsl:apply-templates select="@*|*" mode="M564" />
  </xsl:template>
  <!--PATTERN p-TS-Participant-CodeableText-5-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3'))   or   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4'))   or   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')    ]]/   cda:author/cda:assignedAuthor[cda:assignedPerson]/cda:code " priority="1000" mode="M565">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3'))   or   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4'))   or   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')    ]]/   cda:author/cda:assignedAuthor[cda:assignedPerson]/cda:code " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Document Author Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Document Author Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Document Author Role',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to section 2.3 of the Participation Data Specification v3.2 the Document Author Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to section 2.3 of the Participation Data Specification v3.2 the Document Author Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'disallowed'  = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'disallowed' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Document Author Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Document Author Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Document Author Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'disallowed'  = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'disallowed' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 2.3 of the Participation Data Specification v3.2 the Document Author Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Document Author Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Document Author Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Document Author Role data element must have a value that is consistent with this definition. Alternatively if there is no Document Author Role data element with a proper value then an exclusion
		statement must be included to state why there is no Document Author Role.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'disallowed'  = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'disallowed' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Document Author Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Document Author Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Document Author Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'disallowed'  = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'disallowed' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Document Author Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Document Author Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Document Author Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Document Author Role data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'disallowed'  = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'disallowed' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 2.3 of the Participation Data Specification v3.2 the Document Author Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Document Author Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Document Author Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Document Author Role data element must have a value that is consistent with this definition. Alternatively if there is no Document Author Role data element with a proper value then an exclusion
		statement must be included to state why there is no Document Author Role.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'disallowed'  = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'disallowed' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Document Author Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Document Author Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Document Author Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Document Author Role data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Document Author Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Document Author Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Document Author Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Document Author Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Document Author Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 2.3 of the Participation Data Specification v3.2 the Document Author Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 2.3 of the Participation Data Specification v3.2 the Document Author Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Document Author Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Document Author Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Document Author Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Document Author Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Document Author Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Document Author Role.
		(See the definition of Document Author Role in section 2.3 of the Participation Data Specification v3.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Document Author Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M565" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M565" />
  <xsl:template match="@*|node()" priority="-2" mode="M565">
    <xsl:apply-templates select="@*|*" mode="M565" />
  </xsl:template>
  <!--PATTERN p-TS-Participant-CodeableText-6-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[cda:templateId[   (@root = '1.2.36.1.2001.1001.100.1002.171' and @extension = '1.0')    ]]/   cda:author/cda:assignedAuthor[cda:assignedPerson]/cda:code " priority="1000" mode="M566">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[cda:templateId[   (@root = '1.2.36.1.2001.1001.100.1002.171' and @extension = '1.0')    ]]/   cda:author/cda:assignedAuthor[cda:assignedPerson]/cda:code " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Dispenser Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Dispenser Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Dispenser Role',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to section 2.3 of the Participation Data Specification v3.2 the Dispenser Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to section 2.3 of the Participation Data Specification v3.2 the Dispenser Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'disallowed' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'disallowed' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Dispenser Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Dispenser Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Dispenser Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'disallowed' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'disallowed' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 2.3 of the Participation Data Specification v3.2 the Dispenser Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Dispenser Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Dispenser Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Dispenser Role data element must have a value that is consistent with this definition. Alternatively if there is no Dispenser Role data element with a proper value then an exclusion
		statement must be included to state why there is no Dispenser Role.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'disallowed' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'disallowed' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Dispenser Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Dispenser Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Dispenser Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'disallowed' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'disallowed' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Dispenser Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Dispenser Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Dispenser Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Dispenser Role data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'disallowed' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'disallowed' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 2.3 of the Participation Data Specification v3.2 the Dispenser Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Dispenser Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Dispenser Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Dispenser Role data element must have a value that is consistent with this definition. Alternatively if there is no Dispenser Role data element with a proper value then an exclusion
		statement must be included to state why there is no Dispenser Role.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'disallowed' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'disallowed' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Dispenser Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Dispenser Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Dispenser Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Dispenser Role data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Dispenser Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Dispenser Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Dispenser Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Dispenser Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Dispenser Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 2.3 of the Participation Data Specification v3.2 the Dispenser Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 2.3 of the Participation Data Specification v3.2 the Dispenser Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Dispenser Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Dispenser Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Dispenser Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Dispenser Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Dispenser Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Dispenser Role.
		(See the definition of Dispenser Role in section 2.3 of the Participation Data Specification v3.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Dispenser Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M566" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M566" />
  <xsl:template match="@*|node()" priority="-2" mode="M566">
    <xsl:apply-templates select="@*|*" mode="M566" />
  </xsl:template>
  <!--PATTERN p-TS-Participant-CodeableText-7-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[cda:templateId[   (@root = '1.2.36.1.2001.1001.100.1002.170' and @extension = '1.0')    ]]/   cda:author/cda:assignedAuthor[cda:assignedPerson]/cda:code " priority="1000" mode="M567">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[cda:templateId[   (@root = '1.2.36.1.2001.1001.100.1002.170' and @extension = '1.0')    ]]/   cda:author/cda:assignedAuthor[cda:assignedPerson]/cda:code " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Prescriber Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Prescriber Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Prescriber Role',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to section 2.3 of the Participation Data Specification v3.2 the Prescriber Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to section 2.3 of the Participation Data Specification v3.2 the Prescriber Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'disallowed' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'disallowed' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Prescriber Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Prescriber Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Prescriber Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'disallowed' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'disallowed' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 2.3 of the Participation Data Specification v3.2 the Prescriber Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Prescriber Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Prescriber Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Prescriber Role data element must have a value that is consistent with this definition. Alternatively if there is no Prescriber Role data element with a proper value then an exclusion
		statement must be included to state why there is no Prescriber Role.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'disallowed' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'disallowed' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Prescriber Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Prescriber Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Prescriber Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'disallowed' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'disallowed' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Prescriber Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Prescriber Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Prescriber Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Prescriber Role data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'disallowed' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'disallowed' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 2.3 of the Participation Data Specification v3.2 the Prescriber Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Prescriber Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Prescriber Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Prescriber Role data element must have a value that is consistent with this definition. Alternatively if there is no Prescriber Role data element with a proper value then an exclusion
		statement must be included to state why there is no Prescriber Role.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'disallowed' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'disallowed' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Prescriber Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Prescriber Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Prescriber Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Prescriber Role data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Prescriber Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Prescriber Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Prescriber Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Prescriber Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Prescriber Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 2.3 of the Participation Data Specification v3.2 the Prescriber Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 2.3 of the Participation Data Specification v3.2 the Prescriber Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Prescriber Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Prescriber Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Prescriber Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Prescriber Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Prescriber Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Prescriber Role.
		(See the definition of Prescriber Role in section 2.3 of the Participation Data Specification v3.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Prescriber Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M567" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M567" />
  <xsl:template match="@*|node()" priority="-2" mode="M567">
    <xsl:apply-templates select="@*|*" mode="M567" />
  </xsl:template>
  <!--PATTERN p-TS-Participant-CodeableText-8-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.226' and @extension = '1.0']]/   cda:author/cda:assignedAuthor[cda:assignedPerson]/cda:code " priority="1000" mode="M568">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.226' and @extension = '1.0']]/   cda:author/cda:assignedAuthor[cda:assignedPerson]/cda:code " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="family-err" select="cda:originalText and matches(cda:originalText, $family-regex, 'i')" />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; 200" />
    <xsl:variable name="nullFlavor-values" select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Document Author - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Document Author - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Document Author - Role',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to section 2.3 of the Participation Data Specification v3.2 the Document Author - Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		which is derived from the HL7 'CD' data type however  the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to section 2.3 of the Participation Data Specification v3.2 the Document Author - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Document Author - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Document Author - Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText should not be included.
		(See the definition of Document Author - Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 2.3 of the Participation Data Specification v3.2 the Document Author - Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Document Author - Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Document Author - Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Document Author - Role data element must have a value that is consistent with this definition. Alternatively if there is no Document Author - Role data element with a proper value then an exclusion
		statement must be included to state why there is no Document Author - Role.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Document Author - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Document Author - Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText should not be included.
		(See the definition of Document Author - Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Document Author - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Document Author - Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Document Author - Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 2.3 of the Participation Data Specification v3.2 the Document Author - Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Document Author - Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Document Author - Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Document Author - Role data element must have a value that is consistent with this definition. Alternatively if there is no Document Author - Role data element with a proper value then an exclusion
		statement must be included to state why there is no Document Author - Role.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Document Author - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Document Author - Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Document Author - Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Document Author - Role data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value
		(if a nullFlavor attribute is permitted for this data element). (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Document Author - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Document Author - Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Document Author - Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Document Author - Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present and is not expected
		for the CodeableText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Document Author - Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present and is not expected
		for the CodeableText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(.) != 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 2.3 of the Participation Data Specification v3.2 the Document Author - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 2.3 of the Participation Data Specification v3.2 the Document Author - Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. As a translation element cannot have an originalText
		then a displayName must be present. (See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Document Author - Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value which is not correct to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Document Author - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value
		which is not a correct value to use in this case. The nullFlavor attribute indicates the Document Author - Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Document Author - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a value of nullFlavor 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information provided.
		Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Document Author - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Document Author - Role.
		(See the definition of Document Author - Role in section 2.3 of the Participation Data Specification v3.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Document Author - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M568" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M568" />
  <xsl:template match="@*|node()" priority="-2" mode="M568">
    <xsl:apply-templates select="@*|*" mode="M568" />
  </xsl:template>
  <!--PATTERN p-TS-Participant-CodeableText-9-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument/cda:componentOf/cda:encompassingEncounter/cda:encounterParticipant[@typeCode='DIS']/   cda:assignedEntity[cda:assignedPerson]/cda:code " priority="1000" mode="M569">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument/cda:componentOf/cda:encompassingEncounter/cda:encounterParticipant[@typeCode='DIS']/   cda:assignedEntity[cda:assignedPerson]/cda:code " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Responsible Health Professional at Time of Discharge - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Responsible Health Professional at Time of Discharge - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Responsible Health Professional at Time of Discharge - Role',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to section 2.3 of the Participation Data Specification v3.2 the Responsible Health Professional at Time of Discharge - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to section 2.3 of the Participation Data Specification v3.2 the Responsible Health Professional at Time of Discharge - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Responsible Health Professional at Time of Discharge - Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Responsible Health Professional at Time of Discharge - Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Responsible Health Professional at Time of Discharge - Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 2.3 of the Participation Data Specification v3.2 the Responsible Health Professional at Time of Discharge - Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Responsible Health Professional at Time of Discharge - Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Responsible Health Professional at Time of Discharge - Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Responsible Health Professional at Time of Discharge - Role data element must have a value that is consistent with this definition. Alternatively if there is no Responsible Health Professional at Time of Discharge - Role data element with a proper value then an exclusion
		statement must be included to state why there is no Responsible Health Professional at Time of Discharge - Role.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Responsible Health Professional at Time of Discharge - Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Responsible Health Professional at Time of Discharge - Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Responsible Health Professional at Time of Discharge - Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Responsible Health Professional at Time of Discharge - Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Responsible Health Professional at Time of Discharge - Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Responsible Health Professional at Time of Discharge - Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Responsible Health Professional at Time of Discharge - Role data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 2.3 of the Participation Data Specification v3.2 the Responsible Health Professional at Time of Discharge - Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Responsible Health Professional at Time of Discharge - Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Responsible Health Professional at Time of Discharge - Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Responsible Health Professional at Time of Discharge - Role data element must have a value that is consistent with this definition. Alternatively if there is no Responsible Health Professional at Time of Discharge - Role data element with a proper value then an exclusion
		statement must be included to state why there is no Responsible Health Professional at Time of Discharge - Role.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Responsible Health Professional at Time of Discharge - Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Responsible Health Professional at Time of Discharge - Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Responsible Health Professional at Time of Discharge - Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Responsible Health Professional at Time of Discharge - Role data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Responsible Health Professional at Time of Discharge - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Responsible Health Professional at Time of Discharge - Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Responsible Health Professional at Time of Discharge - Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Responsible Health Professional at Time of Discharge - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Responsible Health Professional at Time of Discharge - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 2.3 of the Participation Data Specification v3.2 the Responsible Health Professional at Time of Discharge - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 2.3 of the Participation Data Specification v3.2 the Responsible Health Professional at Time of Discharge - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Responsible Health Professional at Time of Discharge - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Responsible Health Professional at Time of Discharge - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Responsible Health Professional at Time of Discharge - Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Responsible Health Professional at Time of Discharge - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Responsible Health Professional at Time of Discharge - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Responsible Health Professional at Time of Discharge - Role.
		(See the definition of Responsible Health Professional at Time of Discharge - Role in section 2.3 of the Participation Data Specification v3.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Responsible Health Professional at Time of Discharge - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M569" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M569" />
  <xsl:template match="@*|node()" priority="-2" mode="M569">
    <xsl:apply-templates select="@*|*" mode="M569" />
  </xsl:template>
  <!--PATTERN p-TS-Participant-CodeableText-10-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument/cda:participant[@typeCode='PART']/cda:associatedEntity[cda:assignedPerson]/cda:code " priority="1000" mode="M570">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument/cda:participant[@typeCode='PART']/cda:associatedEntity[cda:assignedPerson]/cda:code " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Other Participant - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Other Participant - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Other Participant - Role',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to section 2.3 of the Participation Data Specification v3.2 the Other Participant - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to section 2.3 of the Participation Data Specification v3.2 the Other Participant - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Other Participant - Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Other Participant - Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Other Participant - Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 2.3 of the Participation Data Specification v3.2 the Other Participant - Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Other Participant - Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Other Participant - Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Other Participant - Role data element must have a value that is consistent with this definition. Alternatively if there is no Other Participant - Role data element with a proper value then an exclusion
		statement must be included to state why there is no Other Participant - Role.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Other Participant - Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Other Participant - Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Other Participant - Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Other Participant - Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Other Participant - Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Other Participant - Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Other Participant - Role data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 2.3 of the Participation Data Specification v3.2 the Other Participant - Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Other Participant - Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Other Participant - Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Other Participant - Role data element must have a value that is consistent with this definition. Alternatively if there is no Other Participant - Role data element with a proper value then an exclusion
		statement must be included to state why there is no Other Participant - Role.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Other Participant - Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Other Participant - Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Other Participant - Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Other Participant - Role data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Other Participant - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Other Participant - Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Other Participant - Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Other Participant - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Other Participant - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 2.3 of the Participation Data Specification v3.2 the Other Participant - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 2.3 of the Participation Data Specification v3.2 the Other Participant - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Other Participant - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Other Participant - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Other Participant - Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Other Participant - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Other Participant - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Other Participant - Role.
		(See the definition of Other Participant - Role in section 2.3 of the Participation Data Specification v3.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Other Participant - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M570" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M570" />
  <xsl:template match="@*|node()" priority="-2" mode="M570">
    <xsl:apply-templates select="@*|*" mode="M570" />
  </xsl:template>
  <!--PATTERN p-TS-Participant-CodeableText-11-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument/cda:participant[@typeCode='PART' and cda:functionCode/@code='PCP']/   cda:associatedEntity[cda:associatedPerson]/cda:code " priority="1000" mode="M571">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument/cda:participant[@typeCode='PART' and cda:functionCode/@code='PCP']/   cda:associatedEntity[cda:associatedPerson]/cda:code " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Nominated Primary Healthcare Provider (Person) - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Nominated Primary Healthcare Provider (Person) - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Nominated Primary Healthcare Provider (Person) - Role',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to section 2.3 of the Participation Data Specification v3.2 the Nominated Primary Healthcare Provider (Person) - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to section 2.3 of the Participation Data Specification v3.2 the Nominated Primary Healthcare Provider (Person) - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Nominated Primary Healthcare Provider (Person) - Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Nominated Primary Healthcare Provider (Person) - Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Nominated Primary Healthcare Provider (Person) - Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 2.3 of the Participation Data Specification v3.2 the Nominated Primary Healthcare Provider (Person) - Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Nominated Primary Healthcare Provider (Person) - Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Nominated Primary Healthcare Provider (Person) - Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Nominated Primary Healthcare Provider (Person) - Role data element must have a value that is consistent with this definition. Alternatively if there is no Nominated Primary Healthcare Provider (Person) - Role data element with a proper value then an exclusion
		statement must be included to state why there is no Nominated Primary Healthcare Provider (Person) - Role.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Nominated Primary Healthcare Provider (Person) - Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Nominated Primary Healthcare Provider (Person) - Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Nominated Primary Healthcare Provider (Person) - Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Nominated Primary Healthcare Provider (Person) - Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Nominated Primary Healthcare Provider (Person) - Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Nominated Primary Healthcare Provider (Person) - Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Nominated Primary Healthcare Provider (Person) - Role data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 2.3 of the Participation Data Specification v3.2 the Nominated Primary Healthcare Provider (Person) - Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Nominated Primary Healthcare Provider (Person) - Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Nominated Primary Healthcare Provider (Person) - Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Nominated Primary Healthcare Provider (Person) - Role data element must have a value that is consistent with this definition. Alternatively if there is no Nominated Primary Healthcare Provider (Person) - Role data element with a proper value then an exclusion
		statement must be included to state why there is no Nominated Primary Healthcare Provider (Person) - Role.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Nominated Primary Healthcare Provider (Person) - Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Nominated Primary Healthcare Provider (Person) - Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Nominated Primary Healthcare Provider (Person) - Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Nominated Primary Healthcare Provider (Person) - Role data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Nominated Primary Healthcare Provider (Person) - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Nominated Primary Healthcare Provider (Person) - Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Nominated Primary Healthcare Provider (Person) - Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Nominated Primary Healthcare Provider (Person) - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Nominated Primary Healthcare Provider (Person) - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 2.3 of the Participation Data Specification v3.2 the Nominated Primary Healthcare Provider (Person) - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 2.3 of the Participation Data Specification v3.2 the Nominated Primary Healthcare Provider (Person) - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Nominated Primary Healthcare Provider (Person) - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Nominated Primary Healthcare Provider (Person) - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Nominated Primary Healthcare Provider (Person) - Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Nominated Primary Healthcare Provider (Person) - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Nominated Primary Healthcare Provider (Person) - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Nominated Primary Healthcare Provider (Person) - Role.
		(See the definition of Nominated Primary Healthcare Provider (Person) - Role in section 2.3 of the Participation Data Specification v3.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Nominated Primary Healthcare Provider (Person) - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M571" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M571" />
  <xsl:template match="@*|node()" priority="-2" mode="M571">
    <xsl:apply-templates select="@*|*" mode="M571" />
  </xsl:template>
  <!--PATTERN p-TS-Participant-CodeableText-12-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.20016' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16020']]/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20016']]/   cda:entry/cda:act/cda:performer/cda:assignedEntity[cda:assignedPerson]/cda:code " priority="1000" mode="M572">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.20016' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16020']]/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20016']]/   cda:entry/cda:act/cda:performer/cda:assignedEntity[cda:assignedPerson]/cda:code " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Recommendation Recipient (Person) - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Recommendation Recipient (Person) - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Recommendation Recipient (Person) - Role',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to section 2.3 of the Participation Data Specification v3.2 the Recommendation Recipient (Person) - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to section 2.3 of the Participation Data Specification v3.2 the Recommendation Recipient (Person) - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Recommendation Recipient (Person) - Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Recommendation Recipient (Person) - Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Recommendation Recipient (Person) - Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 2.3 of the Participation Data Specification v3.2 the Recommendation Recipient (Person) - Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Recommendation Recipient (Person) - Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Recommendation Recipient (Person) - Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Recommendation Recipient (Person) - Role data element must have a value that is consistent with this definition. Alternatively if there is no Recommendation Recipient (Person) - Role data element with a proper value then an exclusion
		statement must be included to state why there is no Recommendation Recipient (Person) - Role.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Recommendation Recipient (Person) - Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Recommendation Recipient (Person) - Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Recommendation Recipient (Person) - Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Recommendation Recipient (Person) - Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Recommendation Recipient (Person) - Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Recommendation Recipient (Person) - Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Recommendation Recipient (Person) - Role data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 2.3 of the Participation Data Specification v3.2 the Recommendation Recipient (Person) - Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Recommendation Recipient (Person) - Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Recommendation Recipient (Person) - Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Recommendation Recipient (Person) - Role data element must have a value that is consistent with this definition. Alternatively if there is no Recommendation Recipient (Person) - Role data element with a proper value then an exclusion
		statement must be included to state why there is no Recommendation Recipient (Person) - Role.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Recommendation Recipient (Person) - Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Recommendation Recipient (Person) - Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Recommendation Recipient (Person) - Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Recommendation Recipient (Person) - Role data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Recommendation Recipient (Person) - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Recommendation Recipient (Person) - Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Recommendation Recipient (Person) - Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Recommendation Recipient (Person) - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Recommendation Recipient (Person) - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 2.3 of the Participation Data Specification v3.2 the Recommendation Recipient (Person) - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 2.3 of the Participation Data Specification v3.2 the Recommendation Recipient (Person) - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Recommendation Recipient (Person) - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Recommendation Recipient (Person) - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Recommendation Recipient (Person) - Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Recommendation Recipient (Person) - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Recommendation Recipient (Person) - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Recommendation Recipient (Person) - Role.
		(See the definition of Recommendation Recipient (Person) - Role in section 2.3 of the Participation Data Specification v3.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Recommendation Recipient (Person) - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M572" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M572" />
  <xsl:template match="@*|node()" priority="-2" mode="M572">
    <xsl:apply-templates select="@*|*" mode="M572" />
  </xsl:template>
  <!--PATTERN p-TS-Participant-CodeableText-13-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16021' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16020']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16021']]/cda:entry/cda:act/   cda:performer[@typeCode='PRF']/cda:assignedEntity[cda:assignedPerson]/cda:code " priority="1000" mode="M573">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16021' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16020']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16021']]/cda:entry/cda:act/   cda:performer[@typeCode='PRF']/cda:assignedEntity[cda:assignedPerson]/cda:code " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Service Provider (Person) Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Service Provider (Person) Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Service Provider (Person) Role',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to section 2.3 of the Participation Data Specification v3.2 the Service Provider (Person) Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to section 2.3 of the Participation Data Specification v3.2 the Service Provider (Person) Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Service Provider (Person) Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Service Provider (Person) Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Service Provider (Person) Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 2.3 of the Participation Data Specification v3.2 the Service Provider (Person) Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Service Provider (Person) Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Service Provider (Person) Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Service Provider (Person) Role data element must have a value that is consistent with this definition. Alternatively if there is no Service Provider (Person) Role data element with a proper value then an exclusion
		statement must be included to state why there is no Service Provider (Person) Role.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Service Provider (Person) Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Service Provider (Person) Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Service Provider (Person) Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Service Provider (Person) Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Service Provider (Person) Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Service Provider (Person) Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Service Provider (Person) Role data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 2.3 of the Participation Data Specification v3.2 the Service Provider (Person) Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Service Provider (Person) Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Service Provider (Person) Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Service Provider (Person) Role data element must have a value that is consistent with this definition. Alternatively if there is no Service Provider (Person) Role data element with a proper value then an exclusion
		statement must be included to state why there is no Service Provider (Person) Role.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Service Provider (Person) Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Service Provider (Person) Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Service Provider (Person) Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Service Provider (Person) Role data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Service Provider (Person) Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Service Provider (Person) Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Service Provider (Person) Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Service Provider (Person) Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Service Provider (Person) Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 2.3 of the Participation Data Specification v3.2 the Service Provider (Person) Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 2.3 of the Participation Data Specification v3.2 the Service Provider (Person) Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Service Provider (Person) Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Service Provider (Person) Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Service Provider (Person) Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Service Provider (Person) Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Service Provider (Person) Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Service Provider (Person) Role.
		(See the definition of Service Provider (Person) Role in section 2.3 of the Participation Data Specification v3.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Service Provider (Person) Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M573" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M573" />
  <xsl:template match="@*|node()" priority="-2" mode="M573">
    <xsl:apply-templates select="@*|*" mode="M573" />
  </xsl:template>
  <!--PATTERN p-TS-Participant-CodeableText-14-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument/cda:participant[@typeCode='IRCP']/cda:associatedEntity[cda:assignedPerson]/cda:code " priority="1000" mode="M574">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument/cda:participant[@typeCode='IRCP']/cda:associatedEntity[cda:assignedPerson]/cda:code " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Patient Nominated Contacts (Person) - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Patient Nominated Contacts (Person) - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Patient Nominated Contacts (Person) - Role',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to section 2.3 of the Participation Data Specification v3.2 the Patient Nominated Contacts (Person) - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to section 2.3 of the Participation Data Specification v3.2 the Patient Nominated Contacts (Person) - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Patient Nominated Contacts (Person) - Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Patient Nominated Contacts (Person) - Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Patient Nominated Contacts (Person) - Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 2.3 of the Participation Data Specification v3.2 the Patient Nominated Contacts (Person) - Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Patient Nominated Contacts (Person) - Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Patient Nominated Contacts (Person) - Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Patient Nominated Contacts (Person) - Role data element must have a value that is consistent with this definition. Alternatively if there is no Patient Nominated Contacts (Person) - Role data element with a proper value then an exclusion
		statement must be included to state why there is no Patient Nominated Contacts (Person) - Role.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Patient Nominated Contacts (Person) - Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Patient Nominated Contacts (Person) - Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Patient Nominated Contacts (Person) - Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Patient Nominated Contacts (Person) - Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Patient Nominated Contacts (Person) - Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Patient Nominated Contacts (Person) - Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Patient Nominated Contacts (Person) - Role data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 2.3 of the Participation Data Specification v3.2 the Patient Nominated Contacts (Person) - Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Patient Nominated Contacts (Person) - Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Patient Nominated Contacts (Person) - Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Patient Nominated Contacts (Person) - Role data element must have a value that is consistent with this definition. Alternatively if there is no Patient Nominated Contacts (Person) - Role data element with a proper value then an exclusion
		statement must be included to state why there is no Patient Nominated Contacts (Person) - Role.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Patient Nominated Contacts (Person) - Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Patient Nominated Contacts (Person) - Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Patient Nominated Contacts (Person) - Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Patient Nominated Contacts (Person) - Role data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Patient Nominated Contacts (Person) - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Patient Nominated Contacts (Person) - Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Patient Nominated Contacts (Person) - Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Patient Nominated Contacts (Person) - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Patient Nominated Contacts (Person) - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 2.3 of the Participation Data Specification v3.2 the Patient Nominated Contacts (Person) - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 2.3 of the Participation Data Specification v3.2 the Patient Nominated Contacts (Person) - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Patient Nominated Contacts (Person) - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Patient Nominated Contacts (Person) - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Patient Nominated Contacts (Person) - Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Patient Nominated Contacts (Person) - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Patient Nominated Contacts (Person) - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Patient Nominated Contacts (Person) - Role.
		(See the definition of Patient Nominated Contacts (Person) - Role in section 2.3 of the Participation Data Specification v3.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Patient Nominated Contacts (Person) - Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M574" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M574" />
  <xsl:template match="@*|node()" priority="-2" mode="M574">
    <xsl:apply-templates select="@*|*" mode="M574" />
  </xsl:template>
  <!--PATTERN p-TS-Participant-CodeableText-15-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument/cda:participant[@typeCode='PART' and cda:functionCode/@code='PCP']/cda:associatedEntity[cda:assignedPerson]/cda:code " priority="1000" mode="M575">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument/cda:participant[@typeCode='PART' and cda:functionCode/@code='PCP']/cda:associatedEntity[cda:assignedPerson]/cda:code " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Usual GP (Person) Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Usual GP (Person) Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Usual GP (Person) Role',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to section 2.3 of the Participation Data Specification v3.2 the Usual GP (Person) Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to section 2.3 of the Participation Data Specification v3.2 the Usual GP (Person) Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Usual GP (Person) Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Usual GP (Person) Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Usual GP (Person) Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 2.3 of the Participation Data Specification v3.2 the Usual GP (Person) Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Usual GP (Person) Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Usual GP (Person) Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Usual GP (Person) Role data element must have a value that is consistent with this definition. Alternatively if there is no Usual GP (Person) Role data element with a proper value then an exclusion
		statement must be included to state why there is no Usual GP (Person) Role.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Usual GP (Person) Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Usual GP (Person) Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Usual GP (Person) Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Usual GP (Person) Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Usual GP (Person) Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Usual GP (Person) Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Usual GP (Person) Role data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 2.3 of the Participation Data Specification v3.2 the Usual GP (Person) Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Usual GP (Person) Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Usual GP (Person) Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Usual GP (Person) Role data element must have a value that is consistent with this definition. Alternatively if there is no Usual GP (Person) Role data element with a proper value then an exclusion
		statement must be included to state why there is no Usual GP (Person) Role.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Usual GP (Person) Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Usual GP (Person) Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Usual GP (Person) Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Usual GP (Person) Role data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Usual GP (Person) Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Usual GP (Person) Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Usual GP (Person) Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Usual GP (Person) Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Usual GP (Person) Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 2.3 of the Participation Data Specification v3.2 the Usual GP (Person) Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 2.3 of the Participation Data Specification v3.2 the Usual GP (Person) Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Usual GP (Person) Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Usual GP (Person) Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Usual GP (Person) Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Usual GP (Person) Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Usual GP (Person) Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Usual GP (Person) Role.
		(See the definition of Usual GP (Person) Role in section 2.3 of the Participation Data Specification v3.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Usual GP (Person) Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M575" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M575" />
  <xsl:template match="@*|node()" priority="-2" mode="M575">
    <xsl:apply-templates select="@*|*" mode="M575" />
  </xsl:template>
  <!--PATTERN p-TS-Participant-CodeableText-16-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument/cda:participant[@typeCode='REFT']/cda:associatedEntity[cda:assignedPerson]/cda:code " priority="1000" mode="M576">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument/cda:participant[@typeCode='REFT']/cda:associatedEntity[cda:assignedPerson]/cda:code " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Referee (Person) Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Referee (Person) Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Referee (Person) Role',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to section 2.3 of the Participation Data Specification v3.2 the Referee (Person) Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to section 2.3 of the Participation Data Specification v3.2 the Referee (Person) Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Referee (Person) Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Referee (Person) Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Referee (Person) Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 2.3 of the Participation Data Specification v3.2 the Referee (Person) Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Referee (Person) Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Referee (Person) Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Referee (Person) Role data element must have a value that is consistent with this definition. Alternatively if there is no Referee (Person) Role data element with a proper value then an exclusion
		statement must be included to state why there is no Referee (Person) Role.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Referee (Person) Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Referee (Person) Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Referee (Person) Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Referee (Person) Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Referee (Person) Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Referee (Person) Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Referee (Person) Role data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 2.3 of the Participation Data Specification v3.2 the Referee (Person) Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Referee (Person) Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Referee (Person) Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Referee (Person) Role data element must have a value that is consistent with this definition. Alternatively if there is no Referee (Person) Role data element with a proper value then an exclusion
		statement must be included to state why there is no Referee (Person) Role.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Referee (Person) Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Referee (Person) Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Referee (Person) Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Referee (Person) Role data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Referee (Person) Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Referee (Person) Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Referee (Person) Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Referee (Person) Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Referee (Person) Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 2.3 of the Participation Data Specification v3.2 the Referee (Person) Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 2.3 of the Participation Data Specification v3.2 the Referee (Person) Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Referee (Person) Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Referee (Person) Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Referee (Person) Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Referee (Person) Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Referee (Person) Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Referee (Person) Role.
		(See the definition of Referee (Person) Role in section 2.3 of the Participation Data Specification v3.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Referee (Person) Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M576" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M576" />
  <xsl:template match="@*|node()" priority="-2" mode="M576">
    <xsl:apply-templates select="@*|*" mode="M576" />
  </xsl:template>
  <!--PATTERN p-TS-Participant-CodeableText-17-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.20158' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20158']]/cda:entry/cda:act/   cda:performer[@typeCode='PRF']/cda:assignedEntity[cda:assignedPerson]/cda:code " priority="1000" mode="M577">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.20158' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20158']]/cda:entry/cda:act/   cda:performer[@typeCode='PRF']/cda:assignedEntity[cda:assignedPerson]/cda:code " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Service Provider (Person) Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Service Provider (Person) Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Service Provider (Person) Role',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to section 2.3 of the Participation Data Specification v3.2 the Service Provider (Person) Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to section 2.3 of the Participation Data Specification v3.2 the Service Provider (Person) Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Service Provider (Person) Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Service Provider (Person) Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Service Provider (Person) Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 2.3 of the Participation Data Specification v3.2 the Service Provider (Person) Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Service Provider (Person) Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Service Provider (Person) Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Service Provider (Person) Role data element must have a value that is consistent with this definition. Alternatively if there is no Service Provider (Person) Role data element with a proper value then an exclusion
		statement must be included to state why there is no Service Provider (Person) Role.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Service Provider (Person) Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Service Provider (Person) Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Service Provider (Person) Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Service Provider (Person) Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Service Provider (Person) Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Service Provider (Person) Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Service Provider (Person) Role data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 2.3 of the Participation Data Specification v3.2 the Service Provider (Person) Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Service Provider (Person) Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Service Provider (Person) Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Service Provider (Person) Role data element must have a value that is consistent with this definition. Alternatively if there is no Service Provider (Person) Role data element with a proper value then an exclusion
		statement must be included to state why there is no Service Provider (Person) Role.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Service Provider (Person) Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Service Provider (Person) Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Service Provider (Person) Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Service Provider (Person) Role data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Service Provider (Person) Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Service Provider (Person) Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Service Provider (Person) Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Service Provider (Person) Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Service Provider (Person) Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 2.3 of the Participation Data Specification v3.2 the Service Provider (Person) Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 2.3 of the Participation Data Specification v3.2 the Service Provider (Person) Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Service Provider (Person) Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Service Provider (Person) Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Service Provider (Person) Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Service Provider (Person) Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Service Provider (Person) Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Service Provider (Person) Role.
		(See the definition of Service Provider (Person) Role in section 2.3 of the Participation Data Specification v3.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Service Provider (Person) Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M577" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M577" />
  <xsl:template match="@*|node()" priority="-2" mode="M577">
    <xsl:apply-templates select="@*|*" mode="M577" />
  </xsl:template>
  <!--PATTERN p-TS-Participant-CodeableText-18-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument/cda:participant[@typeCode='REFB']/cda:associatedEntity[cda:associatedPerson]/cda:code " priority="1000" mode="M578">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument/cda:participant[@typeCode='REFB']/cda:associatedEntity[cda:associatedPerson]/cda:code " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Referrer Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Referrer Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Referrer Role',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to section 2.3 of the Participation Data Specification v3.2 the Referrer Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to section 2.3 of the Participation Data Specification v3.2 the Referrer Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Referrer Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Referrer Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Referrer Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 2.3 of the Participation Data Specification v3.2 the Referrer Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Referrer Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Referrer Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Referrer Role data element must have a value that is consistent with this definition. Alternatively if there is no Referrer Role data element with a proper value then an exclusion
		statement must be included to state why there is no Referrer Role.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Referrer Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Referrer Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Referrer Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Referrer Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Referrer Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Referrer Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Referrer Role data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 2.3 of the Participation Data Specification v3.2 the Referrer Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Referrer Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Referrer Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Referrer Role data element must have a value that is consistent with this definition. Alternatively if there is no Referrer Role data element with a proper value then an exclusion
		statement must be included to state why there is no Referrer Role.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Referrer Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Referrer Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Referrer Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Referrer Role data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Referrer Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Referrer Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Referrer Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Referrer Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Referrer Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 2.3 of the Participation Data Specification v3.2 the Referrer Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 2.3 of the Participation Data Specification v3.2 the Referrer Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Referrer Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Referrer Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Referrer Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Referrer Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Referrer Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Referrer Role.
		(See the definition of Referrer Role in section 2.3 of the Participation Data Specification v3.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Referrer Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M578" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M578" />
  <xsl:template match="@*|node()" priority="-2" mode="M578">
    <xsl:apply-templates select="@*|*" mode="M578" />
  </xsl:template>
  <!--PATTERN p-TS-Participant-CodeableText-19-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16945' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16945']]/cda:author/   cda:assignedAuthor[cda:assignedPerson]/cda:code " priority="1000" mode="M579">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16945' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16945']]/cda:author/   cda:assignedAuthor[cda:assignedPerson]/cda:code " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Reporting Radiologist Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Reporting Radiologist Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Reporting Radiologist Role',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to section 2.3 of the Participation Data Specification v3.2 the Reporting Radiologist Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to section 2.3 of the Participation Data Specification v3.2 the Reporting Radiologist Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Reporting Radiologist Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Reporting Radiologist Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Reporting Radiologist Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 2.3 of the Participation Data Specification v3.2 the Reporting Radiologist Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Reporting Radiologist Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Reporting Radiologist Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Reporting Radiologist Role data element must have a value that is consistent with this definition. Alternatively if there is no Reporting Radiologist Role data element with a proper value then an exclusion
		statement must be included to state why there is no Reporting Radiologist Role.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Reporting Radiologist Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Reporting Radiologist Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Reporting Radiologist Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Reporting Radiologist Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Reporting Radiologist Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Reporting Radiologist Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Reporting Radiologist Role data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 2.3 of the Participation Data Specification v3.2 the Reporting Radiologist Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Reporting Radiologist Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Reporting Radiologist Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Reporting Radiologist Role data element must have a value that is consistent with this definition. Alternatively if there is no Reporting Radiologist Role data element with a proper value then an exclusion
		statement must be included to state why there is no Reporting Radiologist Role.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Reporting Radiologist Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Reporting Radiologist Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Reporting Radiologist Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Reporting Radiologist Role data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Reporting Radiologist Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Reporting Radiologist Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Reporting Radiologist Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Reporting Radiologist Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Reporting Radiologist Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 2.3 of the Participation Data Specification v3.2 the Reporting Radiologist Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 2.3 of the Participation Data Specification v3.2 the Reporting Radiologist Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Reporting Radiologist Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Reporting Radiologist Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Reporting Radiologist Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Reporting Radiologist Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Reporting Radiologist Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Reporting Radiologist Role.
		(See the definition of Reporting Radiologist Role in section 2.3 of the Participation Data Specification v3.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Reporting Radiologist Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M579" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M579" />
  <xsl:template match="@*|node()" priority="-2" mode="M579">
    <xsl:apply-templates select="@*|*" mode="M579" />
  </xsl:template>
  <!--PATTERN p-TS-Participant-CodeableText-20-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument/cda:participant/cda:associatedEntity[cda:associatedPerson]/cda:code " priority="1000" mode="M580">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument/cda:participant/cda:associatedEntity[cda:associatedPerson]/cda:code " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Requester Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Requester Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Requester Role',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to section 2.3 of the Participation Data Specification v3.2 the Requester Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to section 2.3 of the Participation Data Specification v3.2 the Requester Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Requester Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Requester Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Requester Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 2.3 of the Participation Data Specification v3.2 the Requester Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Requester Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Requester Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Requester Role data element must have a value that is consistent with this definition. Alternatively if there is no Requester Role data element with a proper value then an exclusion
		statement must be included to state why there is no Requester Role.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Requester Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Requester Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Requester Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Requester Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Requester Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Requester Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Requester Role data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 2.3 of the Participation Data Specification v3.2 the Requester Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Requester Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Requester Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Requester Role data element must have a value that is consistent with this definition. Alternatively if there is no Requester Role data element with a proper value then an exclusion
		statement must be included to state why there is no Requester Role.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Requester Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Requester Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Requester Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Requester Role data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Requester Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Requester Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Requester Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Requester Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Requester Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 2.3 of the Participation Data Specification v3.2 the Requester Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 2.3 of the Participation Data Specification v3.2 the Requester Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Requester Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Requester Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Requester Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Requester Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Requester Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Requester Role.
		(See the definition of Requester Role in section 2.3 of the Participation Data Specification v3.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Requester Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M580" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M580" />
  <xsl:template match="@*|node()" priority="-2" mode="M580">
    <xsl:apply-templates select="@*|*" mode="M580" />
  </xsl:template>
  <!--PATTERN p-TS-Participant-CodeableText-21-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.20018' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20018']]/cda:author/   cda:assignedAuthor[cda:assignedPerson]/cda:code " priority="1000" mode="M581">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.20018' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20018']]/cda:author/   cda:assignedAuthor[cda:assignedPerson]/cda:code " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Reporting Pathologist Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Reporting Pathologist Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Reporting Pathologist Role',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to section 2.3 of the Participation Data Specification v3.2 the Reporting Pathologist Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to section 2.3 of the Participation Data Specification v3.2 the Reporting Pathologist Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Reporting Pathologist Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Reporting Pathologist Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Reporting Pathologist Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 2.3 of the Participation Data Specification v3.2 the Reporting Pathologist Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Reporting Pathologist Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Reporting Pathologist Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Reporting Pathologist Role data element must have a value that is consistent with this definition. Alternatively if there is no Reporting Pathologist Role data element with a proper value then an exclusion
		statement must be included to state why there is no Reporting Pathologist Role.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Reporting Pathologist Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Reporting Pathologist Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Reporting Pathologist Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Reporting Pathologist Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Reporting Pathologist Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Reporting Pathologist Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Reporting Pathologist Role data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 2.3 of the Participation Data Specification v3.2 the Reporting Pathologist Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Reporting Pathologist Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Reporting Pathologist Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Reporting Pathologist Role data element must have a value that is consistent with this definition. Alternatively if there is no Reporting Pathologist Role data element with a proper value then an exclusion
		statement must be included to state why there is no Reporting Pathologist Role.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Reporting Pathologist Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Reporting Pathologist Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Reporting Pathologist Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Reporting Pathologist Role data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Reporting Pathologist Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Reporting Pathologist Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Reporting Pathologist Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Reporting Pathologist Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Reporting Pathologist Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 2.3 of the Participation Data Specification v3.2 the Reporting Pathologist Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 2.3 of the Participation Data Specification v3.2 the Reporting Pathologist Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Reporting Pathologist Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Reporting Pathologist Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Reporting Pathologist Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Reporting Pathologist Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Reporting Pathologist Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Reporting Pathologist Role.
		(See the definition of Reporting Pathologist Role in section 2.3 of the Participation Data Specification v3.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Reporting Pathologist Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M581" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M581" />
  <xsl:template match="@*|node()" priority="-2" mode="M581">
    <xsl:apply-templates select="@*|*" mode="M581" />
  </xsl:template>
  <!--PATTERN p-TS-Participant-CodeableText-22-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16606' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16606']]/cda:entry/cda:act/   cda:performer[@typeCode='PRF']/cda:assignedEntity[cda:assignedPerson]/cda:code " priority="1000" mode="M582">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16606' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16606']]/cda:entry/cda:act/   cda:performer[@typeCode='PRF']/cda:assignedEntity[cda:assignedPerson]/cda:code " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Addressee (Person) Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Addressee (Person) Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Addressee (Person) Role',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to section 2.3 of the Participation Data Specification v3.2 the Addressee (Person) Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to section 2.3 of the Participation Data Specification v3.2 the Addressee (Person) Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Addressee (Person) Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Addressee (Person) Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Addressee (Person) Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 2.3 of the Participation Data Specification v3.2 the Addressee (Person) Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Addressee (Person) Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Addressee (Person) Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Addressee (Person) Role data element must have a value that is consistent with this definition. Alternatively if there is no Addressee (Person) Role data element with a proper value then an exclusion
		statement must be included to state why there is no Addressee (Person) Role.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Addressee (Person) Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Addressee (Person) Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Addressee (Person) Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Addressee (Person) Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Addressee (Person) Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Addressee (Person) Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Addressee (Person) Role data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 2.3 of the Participation Data Specification v3.2 the Addressee (Person) Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Addressee (Person) Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Addressee (Person) Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Addressee (Person) Role data element must have a value that is consistent with this definition. Alternatively if there is no Addressee (Person) Role data element with a proper value then an exclusion
		statement must be included to state why there is no Addressee (Person) Role.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Addressee (Person) Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Addressee (Person) Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Addressee (Person) Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Addressee (Person) Role data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Addressee (Person) Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Addressee (Person) Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Addressee (Person) Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Addressee (Person) Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Addressee (Person) Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 2.3 of the Participation Data Specification v3.2 the Addressee (Person) Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 2.3 of the Participation Data Specification v3.2 the Addressee (Person) Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Addressee (Person) Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Addressee (Person) Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Addressee (Person) Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Addressee (Person) Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Addressee (Person) Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Addressee (Person) Role.
		(See the definition of Addressee (Person) Role in section 2.3 of the Participation Data Specification v3.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Addressee (Person) Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M582" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M582" />
  <xsl:template match="@*|node()" priority="-2" mode="M582">
    <xsl:apply-templates select="@*|*" mode="M582" />
  </xsl:template>
  <!--PATTERN p-TS-Participant-CodeableText-23-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16643' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16643']]/cda:entry/cda:encounter/   cda:participant[@typeCode='REFB']/cda:participantRole/cda:code " priority="1000" mode="M583">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16643' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16643']]/cda:entry/cda:encounter/   cda:participant[@typeCode='REFB']/cda:participantRole/cda:code " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Service Requester Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Service Requester Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Service Requester Role',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to section 2.3 of the Participation Data Specification v3.2 the Service Requester Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to section 2.3 of the Participation Data Specification v3.2 the Service Requester Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Service Requester Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Service Requester Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Service Requester Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 2.3 of the Participation Data Specification v3.2 the Service Requester Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Service Requester Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Service Requester Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Service Requester Role data element must have a value that is consistent with this definition. Alternatively if there is no Service Requester Role data element with a proper value then an exclusion
		statement must be included to state why there is no Service Requester Role.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Service Requester Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Service Requester Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Service Requester Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Service Requester Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Service Requester Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Service Requester Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Service Requester Role data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 2.3 of the Participation Data Specification v3.2 the Service Requester Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Service Requester Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Service Requester Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Service Requester Role data element must have a value that is consistent with this definition. Alternatively if there is no Service Requester Role data element with a proper value then an exclusion
		statement must be included to state why there is no Service Requester Role.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Service Requester Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Service Requester Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Service Requester Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Service Requester Role data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Service Requester Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Service Requester Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Service Requester Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Service Requester Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Service Requester Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 2.3 of the Participation Data Specification v3.2 the Service Requester Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 2.3 of the Participation Data Specification v3.2 the Service Requester Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Service Requester Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Service Requester Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Service Requester Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Service Requester Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Service Requester Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Service Requester Role.
		(See the definition of Service Requester Role in section 2.3 of the Participation Data Specification v3.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Service Requester Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M583" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M583" />
  <xsl:template match="@*|node()" priority="-2" mode="M583">
    <xsl:apply-templates select="@*|*" mode="M583" />
  </xsl:template>
  <!--PATTERN p-TS-Participant-CodeableText-24-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16643' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16643']]/cda:entry/cda:encounter/   cda:performer[@typeCode='PRF']/cda:assignedEntity[cda:assignedPerson]/cda:code " priority="1000" mode="M584">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16643' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16643']]/cda:entry/cda:encounter/   cda:performer[@typeCode='PRF']/cda:assignedEntity[cda:assignedPerson]/cda:code " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Service Provider Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Service Provider Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Service Provider Role',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to section 2.3 of the Participation Data Specification v3.2 the Service Provider Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to section 2.3 of the Participation Data Specification v3.2 the Service Provider Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Service Provider Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Service Provider Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Service Provider Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 2.3 of the Participation Data Specification v3.2 the Service Provider Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Service Provider Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Service Provider Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Service Provider Role data element must have a value that is consistent with this definition. Alternatively if there is no Service Provider Role data element with a proper value then an exclusion
		statement must be included to state why there is no Service Provider Role.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Service Provider Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Service Provider Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Service Provider Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Service Provider Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Service Provider Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Service Provider Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Service Provider Role data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 2.3 of the Participation Data Specification v3.2 the Service Provider Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Service Provider Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Service Provider Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Service Provider Role data element must have a value that is consistent with this definition. Alternatively if there is no Service Provider Role data element with a proper value then an exclusion
		statement must be included to state why there is no Service Provider Role.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Service Provider Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Service Provider Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Service Provider Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Service Provider Role data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Service Provider Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Service Provider Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Service Provider Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Service Provider Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Service Provider Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 2.3 of the Participation Data Specification v3.2 the Service Provider Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 2.3 of the Participation Data Specification v3.2 the Service Provider Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Service Provider Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Service Provider Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Service Provider Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Service Provider Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Service Provider Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Service Provider Role.
		(See the definition of Service Provider Role in section 2.3 of the Participation Data Specification v3.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Service Provider Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M584" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M584" />
  <xsl:template match="@*|node()" priority="-2" mode="M584">
    <xsl:apply-templates select="@*|*" mode="M584" />
  </xsl:template>
  <!--PATTERN p-TS-Participant-CodeableText-25-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16694' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[@code='101.16694' and @codeSystem='1.2.36.1.2001.1001.101']/cda:entry/   cda:act[cda:code[@code='102.16690' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:performer/cda:assignedEntity[cda:assignedPerson]/cda:code " priority="1000" mode="M585">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16694' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[@code='101.16694' and @codeSystem='1.2.36.1.2001.1001.101']/cda:entry/   cda:act[cda:code[@code='102.16690' and @codeSystem='1.2.36.1.2001.1001.101']]/cda:performer/cda:assignedEntity[cda:assignedPerson]/cda:code " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The ACD Custodian Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The ACD Custodian Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'ACD Custodian Role',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to section 2.3 of the Participation Data Specification v3.2 the ACD Custodian Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to section 2.3 of the Participation Data Specification v3.2 the ACD Custodian Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the ACD Custodian Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid ACD Custodian Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of ACD Custodian Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 2.3 of the Participation Data Specification v3.2 the ACD Custodian Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid ACD Custodian Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of ACD Custodian Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The ACD Custodian Role data element must have a value that is consistent with this definition. Alternatively if there is no ACD Custodian Role data element with a proper value then an exclusion
		statement must be included to state why there is no ACD Custodian Role.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the ACD Custodian Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid ACD Custodian Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of ACD Custodian Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the ACD Custodian Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid ACD Custodian Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of ACD Custodian Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The ACD Custodian Role data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 2.3 of the Participation Data Specification v3.2 the ACD Custodian Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid ACD Custodian Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of ACD Custodian Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The ACD Custodian Role data element must have a value that is consistent with this definition. Alternatively if there is no ACD Custodian Role data element with a proper value then an exclusion
		statement must be included to state why there is no ACD Custodian Role.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the ACD Custodian Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid ACD Custodian Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of ACD Custodian Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The ACD Custodian Role data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The ACD Custodian Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the ACD Custodian Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the ACD Custodian Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the ACD Custodian Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the ACD Custodian Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 2.3 of the Participation Data Specification v3.2 the ACD Custodian Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 2.3 of the Participation Data Specification v3.2 the ACD Custodian Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the ACD Custodian Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the ACD Custodian Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the ACD Custodian Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the ACD Custodian Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The ACD Custodian Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the ACD Custodian Role.
		(See the definition of ACD Custodian Role in section 2.3 of the Participation Data Specification v3.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The ACD Custodian Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M585" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M585" />
  <xsl:template match="@*|node()" priority="-2" mode="M585">
    <xsl:apply-templates select="@*|*" mode="M585" />
  </xsl:template>
  <!--PATTERN p-TS-Participant-CodeableText-26-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flags/@report-data = 'true']//cda:addr/cda:city " priority="1000" mode="M586">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flags/@report-data = 'true']//cda:addr/cda:city " />
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Australian Suburb/Town/Locality '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M586" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M586" />
  <xsl:template match="@*|node()" priority="-2" mode="M586">
    <xsl:apply-templates select="@*|*" mode="M586" />
  </xsl:template>
  <!--PATTERN p-TS-Participant-CodeableText-27-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flags/@report-data = 'true']//cda:addr/cda:country[not(ancestor::cda:birthplace)] " priority="1000" mode="M587">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flags/@report-data = 'true']//cda:addr/cda:country[not(ancestor::cda:birthplace)] " />
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Country '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M587" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M587" />
  <xsl:template match="@*|node()" priority="-2" mode="M587">
    <xsl:apply-templates select="@*|*" mode="M587" />
  </xsl:template>
  <!--PATTERN p-TS-Participant-CodeableText-28-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.144' and @extension = '1.1')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.234' and @extension = '1.0')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.147' and @extension = '1.1')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.140' and @extension = '1.1')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.142' and @extension = '1.1')    ]]/   cda:author/cda:assignedAuthor[cda:assignedAuthoringDevice]/cda:code " priority="1000" mode="M588">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.144' and @extension = '1.1')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.234' and @extension = '1.0')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.147' and @extension = '1.1')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.140' and @extension = '1.1')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.142' and @extension = '1.1')    ]]/   cda:author/cda:assignedAuthor[cda:assignedAuthoringDevice]/cda:code " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Document Author Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and true() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and true() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Document Author Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Document Author Role',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to section 2.3 of the Participation Data Specification v3.2 the Document Author Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to section 2.3 of the Participation Data Specification v3.2 the Document Author Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'allowed' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'allowed' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Document Author Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Document Author Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Document Author Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'allowed' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'allowed' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 2.3 of the Participation Data Specification v3.2 the Document Author Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Document Author Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Document Author Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Document Author Role data element must have a value that is consistent with this definition. Alternatively if there is no Document Author Role data element with a proper value then an exclusion
		statement must be included to state why there is no Document Author Role.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'allowed' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'allowed' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Document Author Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Document Author Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Document Author Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'allowed' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'allowed' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Document Author Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Document Author Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Document Author Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Document Author Role data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'allowed' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'allowed' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 2.3 of the Participation Data Specification v3.2 the Document Author Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Document Author Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Document Author Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Document Author Role data element must have a value that is consistent with this definition. Alternatively if there is no Document Author Role data element with a proper value then an exclusion
		statement must be included to state why there is no Document Author Role.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'allowed' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'allowed' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Document Author Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Document Author Role however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Document Author Role in section 2.3 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Document Author Role data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Document Author Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Document Author Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Document Author Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Document Author Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.3 of the Participation Data Specification v3.2 the Document Author Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 2.3 of the Participation Data Specification v3.2 the Document Author Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 2.3 of the Participation Data Specification v3.2 the Document Author Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Document Author Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Document Author Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Document Author Role
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.3 of the Participation Data Specification v3.2 the Document Author Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Document Author Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Document Author Role.
		(See the definition of Document Author Role in section 2.3 of the Participation Data Specification v3.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Document Author Role '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M588" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M588" />
  <xsl:template match="@*|node()" priority="-2" mode="M588">
    <xsl:apply-templates select="@*|*" mode="M588" />
  </xsl:template>
  <!--PATTERN p-TS-Participant-CodedText-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument//ext:asEmployment/ext:jobClassCode " priority="1000" mode="M589">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument//ext:asEmployment/ext:jobClassCode " />
    <xsl:variable name="tc-types-49-err" select="@nullFlavor = ('PINF', 'NINF', 'QS', 'TRC') or (@nullFlavor='UNC' and (not(cda:originalText) or normalize-space(cda:originalText) = '')) " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="family-err" select="cda:originalText and matches(cda:originalText, $family-regex, 'i')" />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; 200" />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and @code != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used with the Clinical Package Validator to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used with the Clinical Package Validator to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the primary code.') " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-06-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-06-step-2 else $rating-alt-TC-Types-06-step-2 " />
    <xsl:variable name="rating-07-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-1 else $rating-alt-TC-Types-07-step-1 " />
    <xsl:variable name="rating-07-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-2 else $rating-alt-TC-Types-07-step-2 " />
    <xsl:variable name="rating-08" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-08 else $rating-alt-TC-Types-08 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-07: The Employment Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data
		type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to section 2.39 of the Participation Data Specification v3.2 the Employment Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which is derived from the HL7 'CD' data type however xsi:type '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to section 2.39 of the Participation Data Specification v3.2 the Employment Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:translation">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:translation">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to section 2.39 of the Participation Data Specification v3.2 the Employment Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'translation' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value
		domain, with no exceptions. A translation translates the value into a code from another code systems, so translations are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:qualifier">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:qualifier">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to section 2.39 of the Participation Data Specification v3.2 the Employment Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'qualifier' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value domain,
		with no exceptions. A qualifier constrains the value, so qualifiers are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Employment Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.39 of the Participation Data Specification v3.2 the Employment Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.39 of the Participation Data Specification v3.2 the Employment Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.39 of the Participation Data Specification v3.2 the Employment Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present and is not expected
		for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.39 of the Participation Data Specification v3.2 the Employment Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />'
		is present and is not expected for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-terminology-concepts = 'true' and not(false() or false() or $family-err or $length-err) and    not(@nullFlavor) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and not(false() or false() or $family-err or $length-err) and not(@nullFlavor)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (value domain not specified): The Employment Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The CodedText data type has the requirement that values must come from the specified bound value domain with no exceptions but a value domain has not been specified for the
		Employment Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Employment Type',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="false() and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != none))  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != none))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-06-step-2" /><xsl:text />: TC-Types-06 step 2: According to section 2.39 of the Participation Data Specification v3.2 the Employment Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. The
		CodedText data type has the requirement that values must come from the bound value domain with no exceptions. Therefore the value of the codeSystem attribute must be a publicly available
		code system. The Employment Type data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide states the code system is 'NS' (not stated) with the requirement 'When national standard code sets become
		available, they SHALL be used'. The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> which is after the national standard code set became available
		for use on the <xsl:text /><xsl:value-of select="''" /><xsl:text />. The code system that must be used is
		<xsl:text /><xsl:value-of select="if (none = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName, ' (ConceptId ''', 'none', ''')')   else concat(none, ' (', $code-systems/system[@codeSystem = none]/@codeSystemName, ')')" /><xsl:text /><xsl:text /><xsl:value-of select="if (not(@codeSystem)) then '.'    else if (@codeSystemName) then concat(' however codeSystem ''', @codeSystem, ''' (', @codeSystemName, ') is present.')   else concat(' however a codeSystem attribute with the value ''', @codeSystem, ''' is present.') " /><xsl:text />
		(See section 1.8 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide, <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and none for the
		information about the value domain.)
		<xsl:text /><xsl:value-of select="if ('none' = '11000036103') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName,     ' are Allergic reaction (''419076005''), Medication side-effect (''401207004'') and Drug interaction (''79899007'').')    else if ('none' = '15071000036100') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName,     ' are Prescribed (''105681000036100''), Suspended (''385655000'') and Unchanged (''105701000036103'').')    else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'OTH' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'OTH'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to section 2.39 of the Participation Data Specification v3.2 the Employment Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore it is not valid for the data element to have nullFlavor 'OTH' to indicate that the
		actual value is not a member of the set of permitted data values in the constrained value domain. 
		(See the requirements for Employment Type and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.39 of the Participation Data Specification v3.2 the Employment Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type<xsl:text /><xsl:value-of select="if (not(false())) then '.' else   concat(' and none states the vocabulary is ''', none, ''' (', $code-systems/system[@codeSystem = none]/@codeSystemName, ').') " /><xsl:text />
		The CodedText data type has
		the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor attribute
		to indicate there is no value, however a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) is present and is not one of the nullFlavor values that indicate there is no value.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@nullFlavor or @code) and not(false() and not(@nullFlavor) and not(@codeSystem)) and cda:originalText ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor or @code) and not(false() and not(@nullFlavor) and not(@codeSystem)) and cda:originalText">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to section 2.39 of the Participation Data Specification v3.2 the Employment Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor
		attribute to indicate there is no value. The only information found in the data element is originalText '<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />'.
		(See the requirements for Employment Type and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)
		<xsl:text /><xsl:value-of select="if (local-name(.) = 'jobClassCode') then concat('Consider using the METeOR 314867 ''Employment type'' code system (codeSystem ''2.16.840.1.113883.3.879.314867'') which has ',   'codes for ''Permanent'', ''Fixed term contract'', ''Casual'' and ''Not stated/inadequately described''; or the  METeOR 691891 ''Full-time/part-time status'' code system ',   '(codeSystem ''2.16.840.1.113883.3.879.691891'') which has codes for ''Full-time'', ''Part-time'' and ''Not stated/inadequately described''. ',   '(See the the METeOR 314867 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/314867 and the METeOR 691891 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/691891.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="false() and @codeSystem and @codeSystem != none and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and @codeSystem and @codeSystem != none and not(false())">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to section 2.39 of the Participation Data Specification v3.2 the Employment Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and none states the vocabulary is
		<xsl:text /><xsl:value-of select="if (none = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName, ' (ConceptId ''', 'none', ''').')   else concat(none, ' (', $code-systems/system[@codeSystem = none]/@codeSystemName, ').')" /><xsl:text />
		The CodedText data type has the requirement that values must come from the bound value domain with no exceptions.
		Therefore the value of codeSystem must be none but codeSystem '<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />' (<xsl:text /><xsl:value-of select="@codeSystemName" /><xsl:text />) is present.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="false() and none = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and    not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version,    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@refSet) = 'CodeFound') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and none = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version, $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@refSet) = 'CodeFound')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to section 2.39 of the Participation Data Specification v3.2 the Employment Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. The applicable value domain is the SNOMED CT-AU
		<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName" /><xsl:text />
		(Concept ID: 'none'). The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the code is not a member of the value domain.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and none for the information about the value domain.)<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-08" /><xsl:text />: TC-Types-08: According to section 2.39 of the Participation Data Specification v3.2 the Employment Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. It has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> but has neither an originalText nor a displayName
		so it fails to conform to the requirement 'In accordance with the requirement to completely represent section contents, values of CodedText or CodeableText data elements defined in
		the SCS SHALL include an originalText or a displayName component (or both)'.
		(See Appendix A of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 6.1 and 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090
		Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and not(cda:originalText) and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and not(cda:originalText) and not(false())">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Employment Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is
		not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. (See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M589" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M589" />
  <xsl:template match="@*|node()" priority="-2" mode="M589">
    <xsl:apply-templates select="@*|*" mode="M589" />
  </xsl:template>
  <!--PATTERN p-TS-Participant-Text-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[          ($templateId-root = '1.2.36.1.2001.1001.100.1002.220' and $templateId-ext = '1.0') or          ($templateId-root = '1.2.36.1.2001.1001.100.1002.222' and $templateId-ext = '1.0') ]/        cda:participant/cda:associatedEntity/cda:associatedPerson/cda:name/cda:family " priority="1000" mode="M590">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[          ($templateId-root = '1.2.36.1.2001.1001.100.1002.220' and $templateId-ext = '1.0') or          ($templateId-root = '1.2.36.1.2001.1001.100.1002.222' and $templateId-ext = '1.0') ]/        cda:participant/cda:associatedEntity/cda:associatedPerson/cda:name/cda:family " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Family Name
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 2.29 of the Participation Data Specification v3.2 the Family Name 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Family Name however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Family Name in section 2.29 of the Participation Data Specification v3.2 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Family Name however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Family Name in section 2.29 of the Participation Data Specification v3.2 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Family Name data element with a proper value then an exclusion
		statement must be included to state why there is no Family Name. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Family Name however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Family Name in section 2.29 of the Participation Data Specification v3.2 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M590" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M590" />
  <xsl:template match="@*|node()" priority="-2" mode="M590">
    <xsl:apply-templates select="@*|*" mode="M590" />
  </xsl:template>
  <!--PATTERN p-TS-Participant-Text-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16945' = $doc-sections or '101.20018' = $doc-sections][          ($templateId-root = '1.2.36.1.2001.1001.100.1002.220' and $templateId-ext = '1.0') or          ($templateId-root = '1.2.36.1.2001.1001.100.1002.222' and $templateId-ext = '1.0') ]/        cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.16945', '101.20018')]]/        cda:author/cda:assignedAuthor/cda:assignedPerson/cda:name/cda:family " priority="1000" mode="M591">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16945' = $doc-sections or '101.20018' = $doc-sections][          ($templateId-root = '1.2.36.1.2001.1001.100.1002.220' and $templateId-ext = '1.0') or          ($templateId-root = '1.2.36.1.2001.1001.100.1002.222' and $templateId-ext = '1.0') ]/        cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.16945', '101.20018')]]/        cda:author/cda:assignedAuthor/cda:assignedPerson/cda:name/cda:family " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Family Name
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 2.29 of the Participation Data Specification v3.2 the Family Name 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Family Name however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Family Name in section 2.29 of the Participation Data Specification v3.2 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Family Name however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Family Name in section 2.29 of the Participation Data Specification v3.2 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Family Name data element with a proper value then an exclusion
		statement must be included to state why there is no Family Name. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Family Name however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Family Name in section 2.29 of the Participation Data Specification v3.2 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M591" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M591" />
  <xsl:template match="@*|node()" priority="-2" mode="M591">
    <xsl:apply-templates select="@*|*" mode="M591" />
  </xsl:template>
  <!--PATTERN p-TS-Participant-Text-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[          ($templateId-root = '1.2.36.1.2001.1001.100.1002.220' and $templateId-ext = '1.0') or          ($templateId-root = '1.2.36.1.2001.1001.100.1002.222' and $templateId-ext = '1.0') ]/        cda:author/cda:assignedAuthor/cda:assignedPerson/cda:name/cda:family " priority="1000" mode="M592">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[          ($templateId-root = '1.2.36.1.2001.1001.100.1002.220' and $templateId-ext = '1.0') or          ($templateId-root = '1.2.36.1.2001.1001.100.1002.222' and $templateId-ext = '1.0') ]/        cda:author/cda:assignedAuthor/cda:assignedPerson/cda:name/cda:family " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Family Name
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 2.29 of the Participation Data Specification v3.2 the Family Name 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Family Name however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Family Name in section 2.29 of the Participation Data Specification v3.2 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Family Name however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Family Name in section 2.29 of the Participation Data Specification v3.2 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Family Name data element with a proper value then an exclusion
		statement must be included to state why there is no Family Name. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Family Name however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Family Name in section 2.29 of the Participation Data Specification v3.2 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M592" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M592" />
  <xsl:template match="@*|node()" priority="-2" mode="M592">
    <xsl:apply-templates select="@*|*" mode="M592" />
  </xsl:template>
  <!--PATTERN p-TS-Participant-Text-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[          ($templateId-root = '1.2.36.1.2001.1001.100.1002.220' and $templateId-ext = '1.0') or          ($templateId-root = '1.2.36.1.2001.1001.100.1002.222' and $templateId-ext = '1.0') ]/        cda:recordTarget/cda:patientRole/cda:patient/cda:name/cda:family " priority="1000" mode="M593">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[          ($templateId-root = '1.2.36.1.2001.1001.100.1002.220' and $templateId-ext = '1.0') or          ($templateId-root = '1.2.36.1.2001.1001.100.1002.222' and $templateId-ext = '1.0') ]/        cda:recordTarget/cda:patientRole/cda:patient/cda:name/cda:family " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Family Name
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 2.29 of the Participation Data Specification v3.2 the Family Name 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Family Name however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Family Name in section 2.29 of the Participation Data Specification v3.2 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Family Name however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Family Name in section 2.29 of the Participation Data Specification v3.2 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Family Name data element with a proper value then an exclusion
		statement must be included to state why there is no Family Name. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Family Name however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Family Name in section 2.29 of the Participation Data Specification v3.2 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M593" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M593" />
  <xsl:template match="@*|node()" priority="-2" mode="M593">
    <xsl:apply-templates select="@*|*" mode="M593" />
  </xsl:template>
  <!--PATTERN p-TS-Participant-Text-5-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[          ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.120' and ($templateId-ext = '1.3' or $templateId-ext = '1.4')) or          ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4')     or          ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.2' and $templateId-ext = '2.2')     or          ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.136' and ($templateId-ext = '1.2' or $templateId-ext = '1.3')) or          ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.132' and $templateId-ext = '1.3')     ]//        cda:name/cda:family " priority="1000" mode="M594">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[          ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.120' and ($templateId-ext = '1.3' or $templateId-ext = '1.4')) or          ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4')     or          ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.2' and $templateId-ext = '2.2')     or          ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.136' and ($templateId-ext = '1.2' or $templateId-ext = '1.3')) or          ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.132' and $templateId-ext = '1.3')     ]//        cda:name/cda:family " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Family Name
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 2.29 of the Participation Data Specification v3.2 the Family Name 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Family Name however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Family Name in section 2.29 of the Participation Data Specification v3.2 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Family Name however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Family Name in section 2.29 of the Participation Data Specification v3.2 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Family Name data element with a proper value then an exclusion
		statement must be included to state why there is no Family Name. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Family Name however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Family Name in section 2.29 of the Participation Data Specification v3.2 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M594" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M594" />
  <xsl:template match="@*|node()" priority="-2" mode="M594">
    <xsl:apply-templates select="@*|*" mode="M594" />
  </xsl:template>
  <!--PATTERN p-TS-Participant-Text-6-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[not(          ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.120' and ($templateId-ext = '1.3' or $templateId-ext = '1.4')) or          ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4')     or          ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.2' and $templateId-ext = '2.2')     or          ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.136' and ($templateId-ext = '1.2' or $templateId-ext = '1.3')) or          ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.132' and $templateId-ext = '1.3')     or             ($templateId-root = '1.2.36.1.2001.1001.100.1002.220' and $templateId-ext = '1.0')     or          ($templateId-root = '1.2.36.1.2001.1001.100.1002.222' and $templateId-ext = '1.0')     )]//        cda:name/cda:family " priority="1000" mode="M595">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[not(          ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.120' and ($templateId-ext = '1.3' or $templateId-ext = '1.4')) or          ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4')     or          ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.2' and $templateId-ext = '2.2')     or          ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.136' and ($templateId-ext = '1.2' or $templateId-ext = '1.3')) or          ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.132' and $templateId-ext = '1.3')     or             ($templateId-root = '1.2.36.1.2001.1001.100.1002.220' and $templateId-ext = '1.0')     or          ($templateId-root = '1.2.36.1.2001.1001.100.1002.222' and $templateId-ext = '1.0')     )]//        cda:name/cda:family " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Family Name
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 2.29 of the Participation Data Specification v3.2 the Family Name 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Family Name however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Family Name in section 2.29 of the Participation Data Specification v3.2 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Family Name however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Family Name in section 2.29 of the Participation Data Specification v3.2 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Family Name data element with a proper value then an exclusion
		statement must be included to state why there is no Family Name. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Family Name however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Family Name in section 2.29 of the Participation Data Specification v3.2 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 2.29 of the Participation Data Specification v3.2 the Family Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M595" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M595" />
  <xsl:template match="@*|node()" priority="-2" mode="M595">
    <xsl:apply-templates select="@*|*" mode="M595" />
  </xsl:template>
  <!--PATTERN p-TS-Participant-Text-7-->
  <!--RULE -->
  <xsl:template match=" cda:name/cda:given " priority="1000" mode="M596">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" cda:name/cda:given " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Given Name
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 2.30 of the Participation Data Specification v3.2 the Given Name 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 2.30 of the Participation Data Specification v3.2 the Given Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.30 of the Participation Data Specification v3.2 the Given Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Given Name however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Given Name in section 2.30 of the Participation Data Specification v3.2 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.30 of the Participation Data Specification v3.2 the Given Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Given Name however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Given Name in section 2.30 of the Participation Data Specification v3.2 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Given Name data element with a proper value then an exclusion
		statement must be included to state why there is no Given Name. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.30 of the Participation Data Specification v3.2 the Given Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Given Name however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Given Name in section 2.30 of the Participation Data Specification v3.2 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.30 of the Participation Data Specification v3.2 the Given Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.30 of the Participation Data Specification v3.2 the Given Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.30 of the Participation Data Specification v3.2 the Given Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.30 of the Participation Data Specification v3.2 the Given Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.30 of the Participation Data Specification v3.2 the Given Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.30 of the Participation Data Specification v3.2 the Given Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.30 of the Participation Data Specification v3.2 the Given Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.30 of the Participation Data Specification v3.2 the Given Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.30 of the Participation Data Specification v3.2 the Given Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 2.30 of the Participation Data Specification v3.2 the Given Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M596" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M596" />
  <xsl:template match="@*|node()" priority="-2" mode="M596">
    <xsl:apply-templates select="@*|*" mode="M596" />
  </xsl:template>
  <!--PATTERN p-TS-Participant-Text-8-->
  <!--RULE -->
  <xsl:template match=" ext:asQualifications[@classCode='QUAL']/ext:code/cda:originalText " priority="1000" mode="M597">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" ext:asQualifications[@classCode='QUAL']/ext:code/cda:originalText " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Qualifications
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 2.78 of the Participation Data Specification v3.2 the Qualifications 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 2.78 of the Participation Data Specification v3.2 the Qualifications
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.78 of the Participation Data Specification v3.2 the Qualifications
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Qualifications however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Qualifications in section 2.78 of the Participation Data Specification v3.2 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.78 of the Participation Data Specification v3.2 the Qualifications
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Qualifications however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Qualifications in section 2.78 of the Participation Data Specification v3.2 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Qualifications data element with a proper value then an exclusion
		statement must be included to state why there is no Qualifications. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.78 of the Participation Data Specification v3.2 the Qualifications
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Qualifications however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Qualifications in section 2.78 of the Participation Data Specification v3.2 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.78 of the Participation Data Specification v3.2 the Qualifications
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.78 of the Participation Data Specification v3.2 the Qualifications
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.78 of the Participation Data Specification v3.2 the Qualifications
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.78 of the Participation Data Specification v3.2 the Qualifications
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.78 of the Participation Data Specification v3.2 the Qualifications
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.78 of the Participation Data Specification v3.2 the Qualifications
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.78 of the Participation Data Specification v3.2 the Qualifications
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.78 of the Participation Data Specification v3.2 the Qualifications
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.78 of the Participation Data Specification v3.2 the Qualifications
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 2.78 of the Participation Data Specification v3.2 the Qualifications
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M597" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M597" />
  <xsl:template match="@*|node()" priority="-2" mode="M597">
    <xsl:apply-templates select="@*|*" mode="M597" />
  </xsl:template>
  <!--PATTERN p-TS-Participant-Text-9-->
  <!--RULE -->
  <xsl:template match=" cda:addr[(cda:country and matches(cda:country, 'australia', 'i'))  or          (cda:state and matches(cda:state, $state-regex, 'i'))  ]/cda:streetAddressLine " priority="1000" mode="M598">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" cda:addr[(cda:country and matches(cda:country, 'australia', 'i'))  or          (cda:state and matches(cda:state, $state-regex, 'i'))  ]/cda:streetAddressLine " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Unstructured Australian Address Line
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 3.11 of the Participation Data Specification v3.2 the Unstructured Australian Address Line 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 3.11 of the Participation Data Specification v3.2 the Unstructured Australian Address Line
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 3.11 of the Participation Data Specification v3.2 the Unstructured Australian Address Line
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Unstructured Australian Address Line however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Unstructured Australian Address Line in section 3.11 of the Participation Data Specification v3.2 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 3.11 of the Participation Data Specification v3.2 the Unstructured Australian Address Line
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Unstructured Australian Address Line however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Unstructured Australian Address Line in section 3.11 of the Participation Data Specification v3.2 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Unstructured Australian Address Line data element with a proper value then an exclusion
		statement must be included to state why there is no Unstructured Australian Address Line. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 3.11 of the Participation Data Specification v3.2 the Unstructured Australian Address Line
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Unstructured Australian Address Line however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Unstructured Australian Address Line in section 3.11 of the Participation Data Specification v3.2 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 3.11 of the Participation Data Specification v3.2 the Unstructured Australian Address Line
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.11 of the Participation Data Specification v3.2 the Unstructured Australian Address Line
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.11 of the Participation Data Specification v3.2 the Unstructured Australian Address Line
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.11 of the Participation Data Specification v3.2 the Unstructured Australian Address Line
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.11 of the Participation Data Specification v3.2 the Unstructured Australian Address Line
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.11 of the Participation Data Specification v3.2 the Unstructured Australian Address Line
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.11 of the Participation Data Specification v3.2 the Unstructured Australian Address Line
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.11 of the Participation Data Specification v3.2 the Unstructured Australian Address Line
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.11 of the Participation Data Specification v3.2 the Unstructured Australian Address Line
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 3.11 of the Participation Data Specification v3.2 the Unstructured Australian Address Line
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M598" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M598" />
  <xsl:template match="@*|node()" priority="-2" mode="M598">
    <xsl:apply-templates select="@*|*" mode="M598" />
  </xsl:template>
  <!--PATTERN p-TS-Participant-Text-10-->
  <!--RULE -->
  <xsl:template match=" cda:addr[not((cda:country and matches(cda:country, 'australia', 'i'))   or              (cda:state and matches(cda:state, $state-regex, 'i'))  )]/cda:streetAddressLine " priority="1000" mode="M599">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" cda:addr[not((cda:country and matches(cda:country, 'australia', 'i'))   or              (cda:state and matches(cda:state, $state-regex, 'i'))  )]/cda:streetAddressLine " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Unstructured Australian Address Line or International Address Line
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to sections 3.5 and 3.11 of the Participation Data Specification v3.2 the Unstructured Australian Address Line or International Address Line 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to sections 3.5 and 3.11 of the Participation Data Specification v3.2 the Unstructured Australian Address Line or International Address Line
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to sections 3.5 and 3.11 of the Participation Data Specification v3.2 the Unstructured Australian Address Line or International Address Line
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Unstructured Australian Address Line or International Address Line however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Unstructured Australian Address Line or International Address Line in sections 3.5 and 3.11 of the Participation Data Specification v3.2 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to sections 3.5 and 3.11 of the Participation Data Specification v3.2 the Unstructured Australian Address Line or International Address Line
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Unstructured Australian Address Line or International Address Line however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Unstructured Australian Address Line or International Address Line in sections 3.5 and 3.11 of the Participation Data Specification v3.2 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Unstructured Australian Address Line or International Address Line data element with a proper value then an exclusion
		statement must be included to state why there is no Unstructured Australian Address Line or International Address Line. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to sections 3.5 and 3.11 of the Participation Data Specification v3.2 the Unstructured Australian Address Line or International Address Line
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Unstructured Australian Address Line or International Address Line however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Unstructured Australian Address Line or International Address Line in sections 3.5 and 3.11 of the Participation Data Specification v3.2 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to sections 3.5 and 3.11 of the Participation Data Specification v3.2 the Unstructured Australian Address Line or International Address Line
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to sections 3.5 and 3.11 of the Participation Data Specification v3.2 the Unstructured Australian Address Line or International Address Line
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to sections 3.5 and 3.11 of the Participation Data Specification v3.2 the Unstructured Australian Address Line or International Address Line
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to sections 3.5 and 3.11 of the Participation Data Specification v3.2 the Unstructured Australian Address Line or International Address Line
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to sections 3.5 and 3.11 of the Participation Data Specification v3.2 the Unstructured Australian Address Line or International Address Line
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to sections 3.5 and 3.11 of the Participation Data Specification v3.2 the Unstructured Australian Address Line or International Address Line
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to sections 3.5 and 3.11 of the Participation Data Specification v3.2 the Unstructured Australian Address Line or International Address Line
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to sections 3.5 and 3.11 of the Participation Data Specification v3.2 the Unstructured Australian Address Line or International Address Line
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to sections 3.5 and 3.11 of the Participation Data Specification v3.2 the Unstructured Australian Address Line or International Address Line
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to sections 3.5 and 3.11 of the Participation Data Specification v3.2 the Unstructured Australian Address Line or International Address Line
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M599" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M599" />
  <xsl:template match="@*|node()" priority="-2" mode="M599">
    <xsl:apply-templates select="@*|*" mode="M599" />
  </xsl:template>
  <!--PATTERN p-TS-Participant-Text-11-->
  <!--RULE -->
  <xsl:template match=" cda:addr[(cda:country and matches(cda:country, 'australia', 'i'))  or          (cda:state and matches(cda:state, $state-regex, 'i'))  ]/cda:unitID " priority="1000" mode="M600">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" cda:addr[(cda:country and matches(cda:country, 'australia', 'i'))  or          (cda:state and matches(cda:state, $state-regex, 'i'))  ]/cda:unitID " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Australian Unit Number
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 3.15 of the Participation Data Specification v3.2 the Australian Unit Number 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 3.15 of the Participation Data Specification v3.2 the Australian Unit Number
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 3.15 of the Participation Data Specification v3.2 the Australian Unit Number
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Australian Unit Number however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Australian Unit Number in section 3.15 of the Participation Data Specification v3.2 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 3.15 of the Participation Data Specification v3.2 the Australian Unit Number
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Australian Unit Number however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Australian Unit Number in section 3.15 of the Participation Data Specification v3.2 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Australian Unit Number data element with a proper value then an exclusion
		statement must be included to state why there is no Australian Unit Number. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 3.15 of the Participation Data Specification v3.2 the Australian Unit Number
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Australian Unit Number however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Australian Unit Number in section 3.15 of the Participation Data Specification v3.2 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 3.15 of the Participation Data Specification v3.2 the Australian Unit Number
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.15 of the Participation Data Specification v3.2 the Australian Unit Number
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.15 of the Participation Data Specification v3.2 the Australian Unit Number
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.15 of the Participation Data Specification v3.2 the Australian Unit Number
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.15 of the Participation Data Specification v3.2 the Australian Unit Number
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.15 of the Participation Data Specification v3.2 the Australian Unit Number
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.15 of the Participation Data Specification v3.2 the Australian Unit Number
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.15 of the Participation Data Specification v3.2 the Australian Unit Number
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.15 of the Participation Data Specification v3.2 the Australian Unit Number
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 3.15 of the Participation Data Specification v3.2 the Australian Unit Number
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M600" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M600" />
  <xsl:template match="@*|node()" priority="-2" mode="M600">
    <xsl:apply-templates select="@*|*" mode="M600" />
  </xsl:template>
  <!--PATTERN p-TS-Participant-Text-12-->
  <!--RULE -->
  <xsl:template match=" cda:addr[(cda:country and matches(cda:country, 'australia', 'i'))  or          (cda:state and matches(cda:state, $state-regex, 'i'))  ]/cda:houseNumber " priority="1000" mode="M601">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" cda:addr[(cda:country and matches(cda:country, 'australia', 'i'))  or          (cda:state and matches(cda:state, $state-regex, 'i'))  ]/cda:houseNumber " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Australian Street Number
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 3.20 of the Participation Data Specification v3.2 the Australian Street Number 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 3.20 of the Participation Data Specification v3.2 the Australian Street Number
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 3.20 of the Participation Data Specification v3.2 the Australian Street Number
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Australian Street Number however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Australian Street Number in section 3.20 of the Participation Data Specification v3.2 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 3.20 of the Participation Data Specification v3.2 the Australian Street Number
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Australian Street Number however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Australian Street Number in section 3.20 of the Participation Data Specification v3.2 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Australian Street Number data element with a proper value then an exclusion
		statement must be included to state why there is no Australian Street Number. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 3.20 of the Participation Data Specification v3.2 the Australian Street Number
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Australian Street Number however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Australian Street Number in section 3.20 of the Participation Data Specification v3.2 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 3.20 of the Participation Data Specification v3.2 the Australian Street Number
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.20 of the Participation Data Specification v3.2 the Australian Street Number
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.20 of the Participation Data Specification v3.2 the Australian Street Number
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.20 of the Participation Data Specification v3.2 the Australian Street Number
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.20 of the Participation Data Specification v3.2 the Australian Street Number
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.20 of the Participation Data Specification v3.2 the Australian Street Number
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.20 of the Participation Data Specification v3.2 the Australian Street Number
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.20 of the Participation Data Specification v3.2 the Australian Street Number
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.20 of the Participation Data Specification v3.2 the Australian Street Number
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 3.20 of the Participation Data Specification v3.2 the Australian Street Number
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M601" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M601" />
  <xsl:template match="@*|node()" priority="-2" mode="M601">
    <xsl:apply-templates select="@*|*" mode="M601" />
  </xsl:template>
  <!--PATTERN p-TS-Participant-Text-13-->
  <!--RULE -->
  <xsl:template match=" cda:addr[(cda:country and matches(cda:country, 'australia', 'i'))  or          (cda:state and matches(cda:state, $state-regex, 'i'))  ]/cda:streetName " priority="1000" mode="M602">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" cda:addr[(cda:country and matches(cda:country, 'australia', 'i'))  or          (cda:state and matches(cda:state, $state-regex, 'i'))  ]/cda:streetName " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Australian Street Name
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 3.22 of the Participation Data Specification v3.2 the Australian Street Name 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 3.22 of the Participation Data Specification v3.2 the Australian Street Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 3.22 of the Participation Data Specification v3.2 the Australian Street Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Australian Street Name however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Australian Street Name in section 3.22 of the Participation Data Specification v3.2 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 3.22 of the Participation Data Specification v3.2 the Australian Street Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Australian Street Name however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Australian Street Name in section 3.22 of the Participation Data Specification v3.2 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Australian Street Name data element with a proper value then an exclusion
		statement must be included to state why there is no Australian Street Name. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 3.22 of the Participation Data Specification v3.2 the Australian Street Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Australian Street Name however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Australian Street Name in section 3.22 of the Participation Data Specification v3.2 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 3.22 of the Participation Data Specification v3.2 the Australian Street Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.22 of the Participation Data Specification v3.2 the Australian Street Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.22 of the Participation Data Specification v3.2 the Australian Street Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.22 of the Participation Data Specification v3.2 the Australian Street Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.22 of the Participation Data Specification v3.2 the Australian Street Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.22 of the Participation Data Specification v3.2 the Australian Street Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.22 of the Participation Data Specification v3.2 the Australian Street Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.22 of the Participation Data Specification v3.2 the Australian Street Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.22 of the Participation Data Specification v3.2 the Australian Street Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 3.22 of the Participation Data Specification v3.2 the Australian Street Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M602" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M602" />
  <xsl:template match="@*|node()" priority="-2" mode="M602">
    <xsl:apply-templates select="@*|*" mode="M602" />
  </xsl:template>
  <!--PATTERN p-TS-Participant-Text-14-->
  <!--RULE -->
  <xsl:template match=" cda:author/cda:assignedAuthor/cda:assignedAuthoringDevice/cda:softwareName " priority="1000" mode="M603">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" cda:author/cda:assignedAuthor/cda:assignedAuthoringDevice/cda:softwareName " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Device Name
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 2.19 of the Participation Data Specification v3.2 the Device Name 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 2.19 of the Participation Data Specification v3.2 the Device Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.19 of the Participation Data Specification v3.2 the Device Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Device Name however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Device Name in section 2.19 of the Participation Data Specification v3.2 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.19 of the Participation Data Specification v3.2 the Device Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Device Name however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Device Name in section 2.19 of the Participation Data Specification v3.2 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Device Name data element with a proper value then an exclusion
		statement must be included to state why there is no Device Name. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.19 of the Participation Data Specification v3.2 the Device Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Device Name however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Device Name in section 2.19 of the Participation Data Specification v3.2 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.19 of the Participation Data Specification v3.2 the Device Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.19 of the Participation Data Specification v3.2 the Device Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.19 of the Participation Data Specification v3.2 the Device Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.19 of the Participation Data Specification v3.2 the Device Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.19 of the Participation Data Specification v3.2 the Device Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.19 of the Participation Data Specification v3.2 the Device Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.19 of the Participation Data Specification v3.2 the Device Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.19 of the Participation Data Specification v3.2 the Device Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.19 of the Participation Data Specification v3.2 the Device Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 2.19 of the Participation Data Specification v3.2 the Device Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M603" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M603" />
  <xsl:template match="@*|node()" priority="-2" mode="M603">
    <xsl:apply-templates select="@*|*" mode="M603" />
  </xsl:template>
  <!--PATTERN p-TS-Participant-Text-15-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[          ($templateId-root = '1.2.36.1.2001.1001.100.1002.220' and $templateId-ext = '1.0') or          ($templateId-root = '1.2.36.1.2001.1001.100.1002.222' and $templateId-ext = '1.0') ]/        cda:author/cda:assignedAuthor/cda:assignedPerson/ext:asEmployment/ext:employerOrganization/cda:asOrganizationPartOf/        cda:wholeOrganization/cda:name " priority="1000" mode="M604">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[          ($templateId-root = '1.2.36.1.2001.1001.100.1002.220' and $templateId-ext = '1.0') or          ($templateId-root = '1.2.36.1.2001.1001.100.1002.222' and $templateId-ext = '1.0') ]/        cda:author/cda:assignedAuthor/cda:assignedPerson/ext:asEmployment/ext:employerOrganization/cda:asOrganizationPartOf/        cda:wholeOrganization/cda:name " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Organisation Name
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 2.21 of the Participation Data Specification v3.2 the Organisation Name 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 2.21 of the Participation Data Specification v3.2 the Organisation Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.21 of the Participation Data Specification v3.2 the Organisation Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Organisation Name however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Organisation Name in section 2.21 of the Participation Data Specification v3.2 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.21 of the Participation Data Specification v3.2 the Organisation Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Organisation Name however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Organisation Name in section 2.21 of the Participation Data Specification v3.2 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Organisation Name data element with a proper value then an exclusion
		statement must be included to state why there is no Organisation Name. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.21 of the Participation Data Specification v3.2 the Organisation Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Organisation Name however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Organisation Name in section 2.21 of the Participation Data Specification v3.2 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.21 of the Participation Data Specification v3.2 the Organisation Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.21 of the Participation Data Specification v3.2 the Organisation Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.21 of the Participation Data Specification v3.2 the Organisation Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.21 of the Participation Data Specification v3.2 the Organisation Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.21 of the Participation Data Specification v3.2 the Organisation Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.21 of the Participation Data Specification v3.2 the Organisation Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.21 of the Participation Data Specification v3.2 the Organisation Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.21 of the Participation Data Specification v3.2 the Organisation Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.21 of the Participation Data Specification v3.2 the Organisation Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 2.21 of the Participation Data Specification v3.2 the Organisation Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M604" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M604" />
  <xsl:template match="@*|node()" priority="-2" mode="M604">
    <xsl:apply-templates select="@*|*" mode="M604" />
  </xsl:template>
  <!--PATTERN p-TS-Participant-Text-16-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[          ($templateId-root = '1.2.36.1.2001.1001.100.1002.220' and $templateId-ext = '1.0') or          ($templateId-root = '1.2.36.1.2001.1001.100.1002.222' and $templateId-ext = '1.0') ]/        cda:participant/cda:associatedEntity/cda:associatedPerson/ext:asEmployment/ext:employerOrganization/cda:asOrganizationPartOf/        cda:wholeOrganization/cda:name " priority="1000" mode="M605">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[          ($templateId-root = '1.2.36.1.2001.1001.100.1002.220' and $templateId-ext = '1.0') or          ($templateId-root = '1.2.36.1.2001.1001.100.1002.222' and $templateId-ext = '1.0') ]/        cda:participant/cda:associatedEntity/cda:associatedPerson/ext:asEmployment/ext:employerOrganization/cda:asOrganizationPartOf/        cda:wholeOrganization/cda:name " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Organisation Name
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 2.21 of the Participation Data Specification v3.2 the Organisation Name 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 2.21 of the Participation Data Specification v3.2 the Organisation Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.21 of the Participation Data Specification v3.2 the Organisation Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Organisation Name however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Organisation Name in section 2.21 of the Participation Data Specification v3.2 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.21 of the Participation Data Specification v3.2 the Organisation Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Organisation Name however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Organisation Name in section 2.21 of the Participation Data Specification v3.2 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Organisation Name data element with a proper value then an exclusion
		statement must be included to state why there is no Organisation Name. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.21 of the Participation Data Specification v3.2 the Organisation Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Organisation Name however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Organisation Name in section 2.21 of the Participation Data Specification v3.2 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.21 of the Participation Data Specification v3.2 the Organisation Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.21 of the Participation Data Specification v3.2 the Organisation Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.21 of the Participation Data Specification v3.2 the Organisation Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.21 of the Participation Data Specification v3.2 the Organisation Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.21 of the Participation Data Specification v3.2 the Organisation Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.21 of the Participation Data Specification v3.2 the Organisation Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.21 of the Participation Data Specification v3.2 the Organisation Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.21 of the Participation Data Specification v3.2 the Organisation Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.21 of the Participation Data Specification v3.2 the Organisation Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 2.21 of the Participation Data Specification v3.2 the Organisation Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M605" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M605" />
  <xsl:template match="@*|node()" priority="-2" mode="M605">
    <xsl:apply-templates select="@*|*" mode="M605" />
  </xsl:template>
  <!--PATTERN p-TS-Participant-Text-17-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16945' = $doc-sections or '101.20018' = $doc-sections][          ($templateId-root = '1.2.36.1.2001.1001.100.1002.220' and $templateId-ext = '1.0') or          ($templateId-root = '1.2.36.1.2001.1001.100.1002.222' and $templateId-ext = '1.0') ]/        cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.16945', '101.20018')]]/        cda:author/cda:assignedAuthor/cda:assignedPerson/        ext:asEmployment/ext:employerOrganization/cda:asOrganizationPartOf/cda:wholeOrganization/cda:name " priority="1000" mode="M606">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16945' = $doc-sections or '101.20018' = $doc-sections][          ($templateId-root = '1.2.36.1.2001.1001.100.1002.220' and $templateId-ext = '1.0') or          ($templateId-root = '1.2.36.1.2001.1001.100.1002.222' and $templateId-ext = '1.0') ]/        cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.16945', '101.20018')]]/        cda:author/cda:assignedAuthor/cda:assignedPerson/        ext:asEmployment/ext:employerOrganization/cda:asOrganizationPartOf/cda:wholeOrganization/cda:name " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Organisation Name
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 2.21 of the Participation Data Specification v3.2 the Organisation Name 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 2.21 of the Participation Data Specification v3.2 the Organisation Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.21 of the Participation Data Specification v3.2 the Organisation Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Organisation Name however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Organisation Name in section 2.21 of the Participation Data Specification v3.2 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.21 of the Participation Data Specification v3.2 the Organisation Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Organisation Name however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Organisation Name in section 2.21 of the Participation Data Specification v3.2 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Organisation Name data element with a proper value then an exclusion
		statement must be included to state why there is no Organisation Name. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.21 of the Participation Data Specification v3.2 the Organisation Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Organisation Name however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Organisation Name in section 2.21 of the Participation Data Specification v3.2 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.21 of the Participation Data Specification v3.2 the Organisation Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.21 of the Participation Data Specification v3.2 the Organisation Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.21 of the Participation Data Specification v3.2 the Organisation Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.21 of the Participation Data Specification v3.2 the Organisation Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.21 of the Participation Data Specification v3.2 the Organisation Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.21 of the Participation Data Specification v3.2 the Organisation Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.21 of the Participation Data Specification v3.2 the Organisation Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.21 of the Participation Data Specification v3.2 the Organisation Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.21 of the Participation Data Specification v3.2 the Organisation Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 2.21 of the Participation Data Specification v3.2 the Organisation Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M606" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M606" />
  <xsl:template match="@*|node()" priority="-2" mode="M606">
    <xsl:apply-templates select="@*|*" mode="M606" />
  </xsl:template>
  <!--PATTERN p-TS-Participant-Text-18-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[not(          ($templateId-root = '1.2.36.1.2001.1001.100.1002.220' and $templateId-ext = '1.0') or          ($templateId-root = '1.2.36.1.2001.1001.100.1002.222' and $templateId-ext = '1.0') )]//        *[local-name(.) = 'wholeEntity'   or          local-name(.) = 'wholeOrganization'  ]/*[local-name(.) = 'name'] " priority="1000" mode="M607">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[not(          ($templateId-root = '1.2.36.1.2001.1001.100.1002.220' and $templateId-ext = '1.0') or          ($templateId-root = '1.2.36.1.2001.1001.100.1002.222' and $templateId-ext = '1.0') )]//        *[local-name(.) = 'wholeEntity'   or          local-name(.) = 'wholeOrganization'  ]/*[local-name(.) = 'name'] " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Organisation Name
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 2.21 of the Participation Data Specification v3.2 the Organisation Name 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 2.21 of the Participation Data Specification v3.2 the Organisation Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.21 of the Participation Data Specification v3.2 the Organisation Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Organisation Name however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Organisation Name in section 2.21 of the Participation Data Specification v3.2 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.21 of the Participation Data Specification v3.2 the Organisation Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Organisation Name however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Organisation Name in section 2.21 of the Participation Data Specification v3.2 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Organisation Name data element with a proper value then an exclusion
		statement must be included to state why there is no Organisation Name. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.21 of the Participation Data Specification v3.2 the Organisation Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Organisation Name however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Organisation Name in section 2.21 of the Participation Data Specification v3.2 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.21 of the Participation Data Specification v3.2 the Organisation Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.21 of the Participation Data Specification v3.2 the Organisation Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.21 of the Participation Data Specification v3.2 the Organisation Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.21 of the Participation Data Specification v3.2 the Organisation Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.21 of the Participation Data Specification v3.2 the Organisation Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.21 of the Participation Data Specification v3.2 the Organisation Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.21 of the Participation Data Specification v3.2 the Organisation Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.21 of the Participation Data Specification v3.2 the Organisation Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.21 of the Participation Data Specification v3.2 the Organisation Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 2.21 of the Participation Data Specification v3.2 the Organisation Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M607" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M607" />
  <xsl:template match="@*|node()" priority="-2" mode="M607">
    <xsl:apply-templates select="@*|*" mode="M607" />
  </xsl:template>
  <!--PATTERN p-TS-Participant-Text-19-->
  <!--RULE -->
  <xsl:template match=" *[local-name(.) = 'employerOrganization'   or          local-name(.) = 'representedOrganization'  or         local-name(.) = 'serviceProviderOrganization'  or        (local-name(.) = 'scopingEntity' and @classCode='ORG') or         local-name(.) = 'scopingOrganization'   ]/*[local-name(.) = 'name'] " priority="1000" mode="M608">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" *[local-name(.) = 'employerOrganization'   or          local-name(.) = 'representedOrganization'  or         local-name(.) = 'serviceProviderOrganization'  or        (local-name(.) = 'scopingEntity' and @classCode='ORG') or         local-name(.) = 'scopingOrganization'   ]/*[local-name(.) = 'name'] " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Department/Unit
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 2.22 of the Participation Data Specification v3.2 the Department/Unit 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 2.22 of the Participation Data Specification v3.2 the Department/Unit
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.22 of the Participation Data Specification v3.2 the Department/Unit
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Department/Unit however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Department/Unit in section 2.22 of the Participation Data Specification v3.2 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.22 of the Participation Data Specification v3.2 the Department/Unit
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Department/Unit however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Department/Unit in section 2.22 of the Participation Data Specification v3.2 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Department/Unit data element with a proper value then an exclusion
		statement must be included to state why there is no Department/Unit. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.22 of the Participation Data Specification v3.2 the Department/Unit
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Department/Unit however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Department/Unit in section 2.22 of the Participation Data Specification v3.2 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.22 of the Participation Data Specification v3.2 the Department/Unit
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.22 of the Participation Data Specification v3.2 the Department/Unit
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.22 of the Participation Data Specification v3.2 the Department/Unit
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.22 of the Participation Data Specification v3.2 the Department/Unit
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.22 of the Participation Data Specification v3.2 the Department/Unit
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.22 of the Participation Data Specification v3.2 the Department/Unit
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.22 of the Participation Data Specification v3.2 the Department/Unit
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.22 of the Participation Data Specification v3.2 the Department/Unit
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.22 of the Participation Data Specification v3.2 the Department/Unit
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 2.22 of the Participation Data Specification v3.2 the Department/Unit
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M608" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M608" />
  <xsl:template match="@*|node()" priority="-2" mode="M608">
    <xsl:apply-templates select="@*|*" mode="M608" />
  </xsl:template>
  <!--PATTERN p-TS-Participant-ECD-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.20018' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20018']]/cda:author/   cda:assignedAuthor[cda:assignedPerson]/cda:telecom " priority="1000" mode="M609">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.20018' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20018']]/cda:author/   cda:assignedAuthor[cda:assignedPerson]/cda:telecom " />
    <xsl:variable name="sec-pos-1" select="if (($num-pathTestRes &gt; 1 and exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144'])) or          ($num-imExamRes &gt; 1 and exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']))   or          ($num-undiffDiag &gt; 1 and exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16029']))  or          ($num-reqService &gt; 1 and exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20158']))  )       then 1 + count(preceding::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         @code=current()/ancestor::cda:section[position()=1]/cda:code/@code]])        else '0' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-05-step-1" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-05-step-1 " />
    <!--REPORT -->
    <xsl:if test=" (($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true') and @nullFlavor ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="(($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true') and @nullFlavor">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: FS-Doc: The Reporting Pathologist Electronic Communication Detail data group in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has nullFlavor='<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" (($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true') and @value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="(($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true') and @value">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: FS-Doc: The Reporting Pathologist Electronic Communication Detail data group in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @value and string-length(substring-before(@value, ':')) = 0 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value and string-length(substring-before(@value, ':')) = 0">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-05-step-1" /><xsl:text />: TC-Doc-05 step 1: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> is the Electronic Communication Detail data group for the Reporting Pathologist and contains value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'.
		The Electronic Communication Medium is omitted but the 'value' attribute must commence with the Electronic Communication Medium followed by a colon ':' followed by the Electronic
		Communication Address. (See the Electronic Communication Detail mapping table in section 8 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @value and string-length(substring-after(@value, ':')) = 0 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value and string-length(substring-after(@value, ':')) = 0">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-05-step-1" /><xsl:text />: TC-Doc-05 step 1: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> is the Electronic Communication Detail data group for the Reporting Pathologist and contains value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'.
		The Electronic Communication Medium is omitted but the 'value' attribute must commence with the Electronic Communication Medium followed by a colon ':' followed by the Electronic
		Communication Address. If the Electronic Communication Address is unknown then the data element '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' should be omitted or the 'value' attribute replaced
		with a nullFlavor attribute. (See the Electronic Communication Detail mapping table in section 8 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @value and true() and not(@use) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value and true() and not(@use)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-05-step-1" /><xsl:text />: TC-Doc-05 step 1: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> is the Electronic Communication Detail data group for the Reporting Pathologist. The 'use' attribute was omitted
		but it is mandatory to include this attribute which states the Electronic Communication Usage Code. (See section 7.1.1.2 of the Pathology Report CDA Implementation Guide v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @value and @use and 'WP' != 'none' and not(@use = 'WP') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value and @use and 'WP' != 'none' and not(@use = 'WP')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-05-step-1" /><xsl:text />: TC-Doc-05 step 1: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> is the Electronic Communication Detail data group for the Reporting Pathologist. The 'use' attribute has the value '<xsl:text /><xsl:value-of select="@use" /><xsl:text />'
		however it must have the value '<xsl:text /><xsl:value-of select="'WP'" /><xsl:text />'. (See section 7.1.1.2 of the Pathology Report CDA Implementation Guide v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M609" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M609" />
  <xsl:template match="@*|node()" priority="-2" mode="M609">
    <xsl:apply-templates select="@*|*" mode="M609" />
  </xsl:template>
  <!--PATTERN p-TS-Pathology-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.20018' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20018'] " priority="1000" mode="M610">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.20018' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20018'] " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating" select="if ($initial-priority) then $initial-rating else if ($FS-Types-seq/@rating) then concat(' (', $FS-Types-seq/@rating, ')') else '' " />
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and not(/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.220' and @extension = '1.0']) and $extensions-allowed">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.220' and @extension = '1.0']) and $extensions-allowed">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: FS-Types: The Pathology section (codeSystem '1.2.36.1.2001.1001.101' and code '101.20018') has been found in a <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. The Pathology section (codeSystem '1.2.36.1.2001.1001.101' and code '101.20018') is defined in the digital health specifications but
		although tests have been applied to the data elements the specification of the data elements may have been varied for inclusion in this document
		so further examination may be needed. The rules have been validated for <xsl:text /><xsl:value-of select="normalize-space('Pathology Report CDA Implementation Guide version 1.0')" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M610" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M610" />
  <xsl:template match="@*|node()" priority="-2" mode="M610">
    <xsl:apply-templates select="@*|*" mode="M610" />
  </xsl:template>
  <!--PATTERN p-TS-Pathology-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.20018' = $doc-sections]/cda:component/cda:structuredBody/cda:component/cda:section   [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20018']]/cda:component/cda:section[cda:code[not(@code='102.16144')]] " priority="1000" mode="M611">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.20018' = $doc-sections]/cda:component/cda:structuredBody/cda:component/cda:section   [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20018']]/cda:component/cda:section[cda:code[not(@code='102.16144')]] " />
    <xsl:variable name="agency-section" select=" cda:code/@codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="test-step" select=" if (not($extensions-allowed)) then 'step 4'        else if ($agency-section) then 'step 3' else 'step 1' " />
    <xsl:variable name="title-and-code" select=" if (cda:title and cda:code/@code) then concat('title ''', cda:title, ''', code/code ''', cda:code/@code, '''')        else if (cda:title and not(cda:code/@code)) then concat('title ''', cda:title, '''')        else if (not(cda:title) and cda:code/@code) then concat('code/code ''', cda:code/@code, '''')        else '' " />
    <xsl:variable name="other-section-names" select=" if (cda:code/@displayName and not(cda:code/cda:originalText)) then concat(' and code/displayName ''', cda:code/@displayName, '''')         else if (cda:code/@displayName and cda:code/cda:originalText)          then concat(', code/displayName ''', cda:code/@displayName,''' and code/originalText ''', cda:code/cda:originalText, '''')        else if (not(cda:code/@displayName) and cda:code/cda:originalText) then concat(' and code/originalText ''', cda:code/cda:originalText, '''')        else '' " />
    <xsl:variable name="section-names" select="concat($title-and-code, $other-section-names)" />
    <xsl:variable name="doc-code" select="/cda:ClinicalDocument/cda:code" />
    <xsl:variable name="parent-section" select="ancestor::cda:section[position()=1]" />
    <xsl:variable name="custom-section-info" select="($iq-config/custom-sections/section, $knowledge/custom-sections/section)[        @doc-code  = $doc-code/@code          and        @doc-codeSystem  = $doc-code/@codeSystem          and        @parent-code   = $parent-section/cda:code/@code         and         @parent-codeSystem  = $parent-section/cda:code/@codeSystem        and         (@title = current()/cda:title or (@code = current()/cda:code/@code and @codeSystem = current()/cda:code/@codeSystem)) ] " />
    <xsl:variable name="section-disallowed" select="$custom-section-info/@disallowed = 'yes' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and ($section-disallowed or not(exists($custom-section-info)))) then $rating-alt-TC-Doc-28-step-1        else if ($test-step = 'step 1' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections]) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 3') then $rating-TC-Doc-28-step-3 else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and $section-disallowed ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and $section-disallowed">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Pathology section (codeSystem '1.2.36.1.2001.1001.101' and code '101.20018') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> which
		is an extension to the information model however the inclusion of this section conflicts with sections defined in the digital health specifications.
		<xsl:text /><xsl:value-of select="$custom-section-info[@disallowed = 'yes']/@reason" /><xsl:text /> (Also see <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not(true()) and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(true()) and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Pathology section (codeSystem '1.2.36.1.2001.1001.101' and code '101.20018') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. No subsection is expected so this
		is an extension to the information model. Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the 
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(true()) and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(true()) and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Pathology section (codeSystem '1.2.36.1.2001.1001.101' and code '101.20018') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> but no subsections were
		expected so the document fails to meet the requirement that it must not contain additional data elements. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and true() and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and true() and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Pathology section (codeSystem '1.2.36.1.2001.1001.101' and code '101.20018') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		code '102.16144' are expected but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the information model.
		Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Pathology section (codeSystem '1.2.36.1.2001.1001.101' and code '101.20018') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		code '102.16144' are expected but the inclusion of the section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> fails to meet the requirement that it must not contain additional data elements.
		(See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M611" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M611" />
  <xsl:template match="@*|node()" priority="-2" mode="M611">
    <xsl:apply-templates select="@*|*" mode="M611" />
  </xsl:template>
  <!--PATTERN p-TS-Pathology-CodeableText-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.20018' = $doc-sections]/cda:component/cda:structuredBody/cda:component/cda:section   [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20018']]/cda:entry/cda:act/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.20104']]/cda:value " priority="1000" mode="M612">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.20018' = $doc-sections]/cda:component/cda:structuredBody/cda:component/cda:section   [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20018']]/cda:entry/cda:act/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.20104']]/cda:value " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Related Document - Report Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and true() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and true() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Related Document - Report Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Related Document - Report Status',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to section 2.27 of the Pathology Report Structured Content Specification v1.0 the Related Document - Report Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to section 2.27 of the Pathology Report Structured Content Specification v1.0 the Related Document - Report Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'allowed' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'allowed' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.27 of the Pathology Report Structured Content Specification v1.0 the Related Document - Report Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Related Document - Report Status however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Related Document - Report Status in section 2.27 of the Pathology Report Structured Content Specification v1.0 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'allowed' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'allowed' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 2.27 of the Pathology Report Structured Content Specification v1.0 the Related Document - Report Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Related Document - Report Status however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Related Document - Report Status in section 2.27 of the Pathology Report Structured Content Specification v1.0 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Related Document - Report Status data element must have a value that is consistent with this definition. Alternatively if there is no Related Document - Report Status data element with a proper value then an exclusion
		statement must be included to state why there is no Related Document - Report Status.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'allowed' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'allowed' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.27 of the Pathology Report Structured Content Specification v1.0 the Related Document - Report Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Related Document - Report Status however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Related Document - Report Status in section 2.27 of the Pathology Report Structured Content Specification v1.0 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'allowed' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'allowed' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.27 of the Pathology Report Structured Content Specification v1.0 the Related Document - Report Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Related Document - Report Status however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Related Document - Report Status in section 2.27 of the Pathology Report Structured Content Specification v1.0 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Related Document - Report Status data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'allowed' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'allowed' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 2.27 of the Pathology Report Structured Content Specification v1.0 the Related Document - Report Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Related Document - Report Status however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Related Document - Report Status in section 2.27 of the Pathology Report Structured Content Specification v1.0 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Related Document - Report Status data element must have a value that is consistent with this definition. Alternatively if there is no Related Document - Report Status data element with a proper value then an exclusion
		statement must be included to state why there is no Related Document - Report Status.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'allowed' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'allowed' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.27 of the Pathology Report Structured Content Specification v1.0 the Related Document - Report Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Related Document - Report Status however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Related Document - Report Status in section 2.27 of the Pathology Report Structured Content Specification v1.0 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Related Document - Report Status data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Related Document - Report Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.27 of the Pathology Report Structured Content Specification v1.0 the Related Document - Report Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.27 of the Pathology Report Structured Content Specification v1.0 the Related Document - Report Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.27 of the Pathology Report Structured Content Specification v1.0 the Related Document - Report Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.27 of the Pathology Report Structured Content Specification v1.0 the Related Document - Report Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 2.27 of the Pathology Report Structured Content Specification v1.0 the Related Document - Report Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 2.27 of the Pathology Report Structured Content Specification v1.0 the Related Document - Report Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.27 of the Pathology Report Structured Content Specification v1.0 the Related Document - Report Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.27 of the Pathology Report Structured Content Specification v1.0 the Related Document - Report Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Related Document - Report Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.27 of the Pathology Report Structured Content Specification v1.0 the Related Document - Report Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Related Document - Report Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Related Document - Report Status.
		(See the definition of Related Document - Report Status in section 2.27 of the Pathology Report Structured Content Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Related Document - Report Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M612" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M612" />
  <xsl:template match="@*|node()" priority="-2" mode="M612">
    <xsl:apply-templates select="@*|*" mode="M612" />
  </xsl:template>
  <!--PATTERN p-TS-Pathology-CodeableText-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.20018' = $doc-sections]/cda:component/cda:structuredBody/cda:component/cda:section   [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20018']]/cda:entry/cda:act/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.20104']]/cda:value[(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M613">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.20018' = $doc-sections]/cda:component/cda:structuredBody/cda:component/cda:section   [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20018']]/cda:entry/cda:act/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.20104']]/cda:value[(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Related Document - Report Status '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Related Document - Report Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Related Document - Report Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Related Document - Report Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Related Document - Report Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Related Document - Report Status has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Related Document - Report Status data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Related Document - Report Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Related Document - Report Status data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Related Document - Report Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Related Document - Report Status data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Related Document - Report Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Related Document - Report Status data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Related Document - Report Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Related Document - Report Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Related Document - Report Status data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Related Document - Report Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Related Document - Report Status data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Related Document - Report Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Related Document - Report Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Related Document - Report Status data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Related Document - Report Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Related Document - Report Status data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Related Document - Report Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Related Document - Report Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M613" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M613" />
  <xsl:template match="@*|node()" priority="-2" mode="M613">
    <xsl:apply-templates select="@*|*" mode="M613" />
  </xsl:template>
  <!--PATTERN p-TS-Pathology-CodeableText-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flags/@report-data = 'true' and '101.20018' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20018']]/cda:entry/cda:act/cda:reference[@typeCode] " priority="1000" mode="M614">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flags/@report-data = 'true' and '101.20018' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20018']]/cda:entry/cda:act/cda:reference[@typeCode] " />
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data = 'true' and @typeCode ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data = 'true' and @typeCode">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Related Document Link Role '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and is mapped to the typeCode attribute which has the value '<xsl:text /><xsl:value-of select="@typeCode" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M614" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M614" />
  <xsl:template match="@*|node()" priority="-2" mode="M614">
    <xsl:apply-templates select="@*|*" mode="M614" />
  </xsl:template>
  <!--PATTERN p-TS-Pathology-CodedText-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.20018' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20018']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16971']]/cda:reference/cda:externalDocument/cda:code  " priority="1000" mode="M615">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.20018' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20018']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16971']]/cda:reference/cda:externalDocument/cda:code  " />
    <xsl:variable name="tc-types-49-err" select="@nullFlavor = ('PINF', 'NINF', 'QS', 'TRC') or (@nullFlavor='UNC' and (not(cda:originalText) or normalize-space(cda:originalText) = '')) " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="family-err" select="cda:originalText and matches(cda:originalText, $family-regex, 'i')" />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; 200" />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and @code != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used with the Clinical Package Validator to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used with the Clinical Package Validator to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the primary code.') " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-06-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-06-step-2 else $rating-alt-TC-Types-06-step-2 " />
    <xsl:variable name="rating-07-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-1 else $rating-alt-TC-Types-07-step-1 " />
    <xsl:variable name="rating-07-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-2 else $rating-alt-TC-Types-07-step-2 " />
    <xsl:variable name="rating-08" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-08 else $rating-alt-TC-Types-08 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-07: The Document Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data
		type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to section 2.15 of the Pathology Report Structured Content Specification v1.0 the Document Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which is derived from the HL7 'CD' data type however xsi:type '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to section 2.15 of the Pathology Report Structured Content Specification v1.0 the Document Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:translation">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:translation">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to section 2.15 of the Pathology Report Structured Content Specification v1.0 the Document Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'translation' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value
		domain, with no exceptions. A translation translates the value into a code from another code systems, so translations are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:qualifier">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:qualifier">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to section 2.15 of the Pathology Report Structured Content Specification v1.0 the Document Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'qualifier' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value domain,
		with no exceptions. A qualifier constrains the value, so qualifiers are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Document Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.15 of the Pathology Report Structured Content Specification v1.0 the Document Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.15 of the Pathology Report Structured Content Specification v1.0 the Document Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.15 of the Pathology Report Structured Content Specification v1.0 the Document Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present and is not expected
		for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.15 of the Pathology Report Structured Content Specification v1.0 the Document Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />'
		is present and is not expected for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-terminology-concepts = 'true' and not(true() or false() or $family-err or $length-err) and    not(@nullFlavor) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and not(true() or false() or $family-err or $length-err) and not(@nullFlavor)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (value domain not specified): The Document Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The CodedText data type has the requirement that values must come from the specified bound value domain with no exceptions but a value domain has not been specified for the
		Document Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Document Type',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="false() and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != '2.16.840.1.113883.6.1'))  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != '2.16.840.1.113883.6.1'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-06-step-2" /><xsl:text />: TC-Types-06 step 2: According to section 2.15 of the Pathology Report Structured Content Specification v1.0 the Document Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. The
		CodedText data type has the requirement that values must come from the bound value domain with no exceptions. Therefore the value of the codeSystem attribute must be a publicly available
		code system. The Document Type data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide states the code system is 'NS' (not stated) with the requirement 'When national standard code sets become
		available, they SHALL be used'. The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> which is after the national standard code set became available
		for use on the <xsl:text /><xsl:value-of select="''" /><xsl:text />. The code system that must be used is
		<xsl:text /><xsl:value-of select="if ('2.16.840.1.113883.6.1' = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName, ' (ConceptId ''', 'none', ''')')   else concat('2.16.840.1.113883.6.1', ' (', $code-systems/system[@codeSystem = '2.16.840.1.113883.6.1']/@codeSystemName, ')')" /><xsl:text /><xsl:text /><xsl:value-of select="if (not(@codeSystem)) then '.'    else if (@codeSystemName) then concat(' however codeSystem ''', @codeSystem, ''' (', @codeSystemName, ') is present.')   else concat(' however a codeSystem attribute with the value ''', @codeSystem, ''' is present.') " /><xsl:text />
		(See section 1.8 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide, <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 7.1.1.3 of the Pathology Report CDA Implementation Guide v1.0 for the
		information about the value domain.)
		<xsl:text /><xsl:value-of select="if ('none' = '11000036103') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName,     ' are Allergic reaction (''419076005''), Medication side-effect (''401207004'') and Drug interaction (''79899007'').')    else if ('none' = '15071000036100') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName,     ' are Prescribed (''105681000036100''), Suspended (''385655000'') and Unchanged (''105701000036103'').')    else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'OTH' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'OTH'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to section 2.15 of the Pathology Report Structured Content Specification v1.0 the Document Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore it is not valid for the data element to have nullFlavor 'OTH' to indicate that the
		actual value is not a member of the set of permitted data values in the constrained value domain. 
		(See the requirements for Document Type and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.15 of the Pathology Report Structured Content Specification v1.0 the Document Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type<xsl:text /><xsl:value-of select="if (not(false())) then '.' else   concat(' and section 7.1.1.3 of the Pathology Report CDA Implementation Guide v1.0 states the vocabulary is ''', '2.16.840.1.113883.6.1', ''' (', $code-systems/system[@codeSystem = '2.16.840.1.113883.6.1']/@codeSystemName, ').') " /><xsl:text />
		The CodedText data type has
		the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor attribute
		to indicate there is no value, however a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) is present and is not one of the nullFlavor values that indicate there is no value.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@nullFlavor or @code) and not(false() and not(@nullFlavor) and not(@codeSystem)) and cda:originalText ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor or @code) and not(false() and not(@nullFlavor) and not(@codeSystem)) and cda:originalText">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to section 2.15 of the Pathology Report Structured Content Specification v1.0 the Document Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor
		attribute to indicate there is no value. The only information found in the data element is originalText '<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />'.
		(See the requirements for Document Type and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)
		<xsl:text /><xsl:value-of select="if (local-name(.) = 'jobClassCode') then concat('Consider using the METeOR 314867 ''Employment type'' code system (codeSystem ''2.16.840.1.113883.3.879.314867'') which has ',   'codes for ''Permanent'', ''Fixed term contract'', ''Casual'' and ''Not stated/inadequately described''; or the  METeOR 691891 ''Full-time/part-time status'' code system ',   '(codeSystem ''2.16.840.1.113883.3.879.691891'') which has codes for ''Full-time'', ''Part-time'' and ''Not stated/inadequately described''. ',   '(See the the METeOR 314867 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/314867 and the METeOR 691891 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/691891.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="true() and @codeSystem and @codeSystem != '2.16.840.1.113883.6.1' and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and @codeSystem and @codeSystem != '2.16.840.1.113883.6.1' and not(false())">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to section 2.15 of the Pathology Report Structured Content Specification v1.0 the Document Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and section 7.1.1.3 of the Pathology Report CDA Implementation Guide v1.0 states the vocabulary is
		<xsl:text /><xsl:value-of select="if ('2.16.840.1.113883.6.1' = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName, ' (ConceptId ''', 'none', ''').')   else concat('2.16.840.1.113883.6.1', ' (', $code-systems/system[@codeSystem = '2.16.840.1.113883.6.1']/@codeSystemName, ').')" /><xsl:text />
		The CodedText data type has the requirement that values must come from the bound value domain with no exceptions.
		Therefore the value of codeSystem must be '2.16.840.1.113883.6.1' but codeSystem '<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />' (<xsl:text /><xsl:value-of select="@codeSystemName" /><xsl:text />) is present.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="true() and '2.16.840.1.113883.6.1' = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and    not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version,    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@refSet) = 'CodeFound') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and '2.16.840.1.113883.6.1' = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version, $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@refSet) = 'CodeFound')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to section 2.15 of the Pathology Report Structured Content Specification v1.0 the Document Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. The applicable value domain is the SNOMED CT-AU
		<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName" /><xsl:text />
		(Concept ID: 'none'). The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the code is not a member of the value domain.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 7.1.1.3 of the Pathology Report CDA Implementation Guide v1.0 for the information about the value domain.)<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-08" /><xsl:text />: TC-Types-08: According to section 2.15 of the Pathology Report Structured Content Specification v1.0 the Document Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. It has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> but has neither an originalText nor a displayName
		so it fails to conform to the requirement 'In accordance with the requirement to completely represent section contents, values of CodedText or CodeableText data elements defined in
		the SCS SHALL include an originalText or a displayName component (or both)'.
		(See Appendix A of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 6.1 and 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090
		Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and not(cda:originalText) and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and not(cda:originalText) and not(false())">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Document Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is
		not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. (See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M615" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M615" />
  <xsl:template match="@*|node()" priority="-2" mode="M615">
    <xsl:apply-templates select="@*|*" mode="M615" />
  </xsl:template>
  <!--PATTERN p-TS-Pathology-TimeInterval-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.20018' = $doc-sections]/cda:component/cda:structuredBody/cda:component/cda:section   [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20018']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16971']]/cda:effectiveTime " priority="1000" mode="M616">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.20018' = $doc-sections]/cda:component/cda:structuredBody/cda:component/cda:section   [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20018']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16971']]/cda:effectiveTime " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text1" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="message-text2" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See sections 8.6 and 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="nullFlavor-values" select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]" />
    <xsl:variable name="low-inclusive" select="if (not(cda:low)) then '' else if (cda:low/@inclusive='false') then ' (excluded)' else ' (included)' " />
    <xsl:variable name="high-inclusive" select="if (not(cda:high)) then '' else if (cda:high/@inclusive='false') then ' (excluded)' else ' (included)' " />
    <xsl:variable name="display-interval" select="if (@value and cda:low/@value and cda:high/@value)         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34), ', low value ', codepoints-to-string(34), cda:low/@value,        codepoints-to-string(34), $low-inclusive, ' and high value ', codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)        else if (@value and cda:low/@value and not(cda:high/@value))         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34), ' and low value ', codepoints-to-string(34), cda:low/@value,        codepoints-to-string(34), $low-inclusive)       else if (@value and not(cda:low/@value) and cda:high/@value)         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34), ' and high value ', codepoints-to-string(34),        cda:high/@value, codepoints-to-string(34), $high-inclusive)       else if (not(@value) and cda:low/@value and cda:high/@value)         then concat('low value ', codepoints-to-string(34), cda:low/@value, codepoints-to-string(34), $low-inclusive, ' and high value ',         codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)       else if (@value and not(cda:low/@value) and not(cda:high/@value))         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34))       else if (not(@value) and cda:low/@value and not(cda:high/@value))         then concat('low value ', codepoints-to-string(34), cda:low/@value, codepoints-to-string(34), $low-inclusive)       else if (not(@value) and not(cda:low/@value) and cda:high/@value)         then concat('high value ', codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)       else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-22" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-22 else $rating-alt-TC-Types-22 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-22: The Related Document Report DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type
		and <xsl:text /><xsl:value-of select="if (@value or cda:low/@value or cda:high/@value) then concat('has ', $display-interval)   else 'has no value attribute and no low or high data elements' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@nullFlavor) then concat('The nullFlavor attribute has the value ''', @nullFlavor, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.25 of the Pathology Report Structured Content Specification v1.0 the Related Document Report DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type.
		It contains a value of nullFlavor 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a value
		may exist, but it must be derived from the information provided. Confirm if the use of this nullFlavor is valid.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'NINF' or @nullFlavor = 'PINF' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'NINF' or @nullFlavor = 'PINF'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 1: According to section 2.25 of the Pathology Report Structured Content Specification v1.0 the Related Document Report DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data
		type which is derived from the HL7 'IVL_TS' data type. It has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) which is a
		value of nullFlavor that may not be used for data elements of the IVL data type.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 2.25 of the Pathology Report Structured Content Specification v1.0 the Related Document Report DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data
		type however it has nullFlavor = 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include
		nullFlavor = 'UNC'. (See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'QS' or @nullFlavor = 'TRC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'QS' or @nullFlavor = 'TRC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 3: According to section 2.25 of the Pathology Report Structured Content Specification v1.0 the Related Document Report DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data
		type which is derived from the HL7 'IVL_TS' data type. It has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) however
		that value of nullFlavor may not be used for data elements of the TS or IVL data types.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to section 2.25 of the Pathology Report Structured Content Specification v1.0 the Related Document Report DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type which is
		derived from the HL7 'IVL_TS' data type. The HL7 'TS' data type may also be used for a TimeInterval however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		(See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 3.8.1 of HL7 Version 3 Standard: Data Types - Abstract Specification,
		Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to section 2.25 of the Pathology Report Structured Content Specification v1.0 the Related Document Report DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type which is
		derived from the HL7 'IVL_TS' data type. The HL7 'TS' data type may also be used for a TimeInterval however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'IVL_TS' or 'TS'.
		(See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 3.8.1 of HL7 Version 3 Standard: Data Types - Abstract Specification,
		Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not(@nullFlavor or @value or cda:low or cda:high) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor or @value or cda:low or cda:high)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to section 2.25 of the Pathology Report Structured Content Specification v1.0 the Related Document Report DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however
		it does not have a nullFlavor or value attribute or low or high elements. A TimeInterval may only contain a nullFlavor or value attribute or low or high elements with the optional
		'inclusive' attribute included in the low or high elements if there is a need to indicate that the low or high boundaries are excluded.
		(See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @value and (cda:low or cda:high) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value and (cda:low or cda:high)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to section 2.25 of the Pathology Report Structured Content Specification v1.0 the Related Document Report DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type.
		It has the element '<xsl:text /><xsl:value-of select="local-name(cda:*[local-name() = ('low', 'high')])" /><xsl:text />' which is used for the HL7 'IVL' data type
		but also has a 'value' attribute which is used by the HL7 'TS' data type and is not used by the HL7 'IVL' data type. The data element must either have a 'value' attribute
		or '<xsl:text /><xsl:value-of select="local-name(cda:*[local-name() = ('low', 'high')])" /><xsl:text />' but not both.
		(See section 7.10.9.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and section 3.8.1 of
		HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('low', 'high'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.25 of the Pathology Report Structured Content Specification v1.0 the Related Document Report DateTime
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('low', 'high'))])" /><xsl:text />' was found
		that is not expected for the TimeInterval data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('low', 'high', 'width'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('low', 'high', 'width'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.25 of the Pathology Report Structured Content Specification v1.0 the Related Document Report DateTime
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('low', 'high', 'width'))])" /><xsl:text />' was found
		that is not expected for the TimeInterval data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and cda:width/@value and ((cda:low/@value and not(cda:high/@value)) or (not(cda:low/@value) and cda:high/@value)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and cda:width/@value and ((cda:low/@value and not(cda:high/@value)) or (not(cda:low/@value) and cda:high/@value))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.25 of the Pathology Report Structured Content Specification v1.0 the Related Document Report DateTime
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a width element is also
		present with the value '<xsl:text /><xsl:value-of select="cda:width/@value" /><xsl:text />' and unit '<xsl:text /><xsl:value-of select="cda:width/@unit" /><xsl:text />'.		
		This is an error as the presence of a <xsl:text /><xsl:value-of select="if (cda:low) then 'low' else 'high' " /><xsl:text /> element without a <xsl:text /><xsl:value-of select="if (cda:low) then 'high' else 'low' " /><xsl:text /> element
		means the TimeInterval is unbounded in one direction however the width element implies the interval is bounded. That is the width element is an extension that qualifies the
		time interval whereas an extension is allowed only if it does not qualify or negate the time interval.
		(See the definition of Related Document Report DateTime in the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text />, section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0
		and <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)
		As the <xsl:text /><xsl:value-of select="if (cda:low) then 'start' else 'end' " /><xsl:text /> of the time interval is known then the Related Document Report DateTime must also have a
		<xsl:text /><xsl:value-of select="if (cda:low) then ' high' else ' low' " /><xsl:text /> element as the TimeInterval data type uses low and high elements rather than width to define an interval.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and cda:width/@value and not(cda:high/@value or cda:low/@value) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and cda:width/@value and not(cda:high/@value or cda:low/@value)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.25 of the Pathology Report Structured Content Specification v1.0 the Related Document Report DateTime
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a width element is also
		present with the value '<xsl:text /><xsl:value-of select="cda:width/@value" /><xsl:text />' and unit '<xsl:text /><xsl:value-of select="cda:width/@unit" /><xsl:text />'.		
		This is an error as the Related Document Report DateTime has no low or high elements so the TimeInterval is unbounded however the width element implies the interval is bounded. That is the width element is an
		extension that qualifies the time interval whereas an extension is allowed only if it does not qualify or negate the time interval.
		(See the definition of Related Document Report DateTime in the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text />, section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0
		and <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)
		The TimeInterval data type uses low and high elements rather than width to define an interval.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(    @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or    @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'  )) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not( @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS' ))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.25 of the Pathology Report Structured Content Specification v1.0 the Related Document Report DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the TimeInterval data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(    @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or    @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'  )) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not( @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS' ))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.25 of the Pathology Report Structured Content Specification v1.0 the Related Document Report DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the TimeInterval data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @operator and @operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @operator and @operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.25 of the Pathology Report Structured Content Specification v1.0 the Related Document Report DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the TimeInterval data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @operator and @operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @operator and @operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.25 of the Pathology Report Structured Content Specification v1.0 the Related Document Report DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the TimeInterval data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:low/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:low/*">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.25 of the Pathology Report Structured Content Specification v1.0 the Related Document Report DateTime 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(cda:low/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/*">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.25 of the Pathology Report Structured Content Specification v1.0 the Related Document Report DateTime 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(cda:low/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.25 of the Pathology Report Structured Content Specification v1.0 the Related Document Report DateTime 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.25 of the Pathology Report Structured Content Specification v1.0 the Related Document Report DateTime 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:low/@operator and cda:low/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:low/@operator and cda:low/@operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.25 of the Pathology Report Structured Content Specification v1.0 the Related Document Report DateTime 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/@operator and cda:low/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/@operator and cda:low/@operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.25 of the Pathology Report Structured Content Specification v1.0 the Related Document Report DateTime 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:low/cda:originalText) and cda:low/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:low/cda:originalText) and cda:low/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 2.25 of the Pathology Report Structured Content Specification v1.0 the Related Document Report DateTime 'low' child element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present so
		it is an error to include nullFlavor 'UNC'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:high/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:high/*">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.25 of the Pathology Report Structured Content Specification v1.0 the Related Document Report DateTime 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element '<xsl:text /><xsl:value-of select="local-name(cda:high/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/*">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.25 of the Pathology Report Structured Content Specification v1.0 the Related Document Report DateTime 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element '<xsl:text /><xsl:value-of select="local-name(cda:high/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.25 of the Pathology Report Structured Content Specification v1.0 the Related Document Report DateTime 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.25 of the Pathology Report Structured Content Specification v1.0 the Related Document Report DateTime 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:high/@operator and cda:high/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:high/@operator and cda:high/@operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.25 of the Pathology Report Structured Content Specification v1.0 the Related Document Report DateTime 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/@operator and cda:high/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/@operator and cda:high/@operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.25 of the Pathology Report Structured Content Specification v1.0 the Related Document Report DateTime 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 2.25 of the Pathology Report Structured Content Specification v1.0 the Related Document Report DateTime 'high' child element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present
		so it is an error to include nullFlavor 'UNC'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 2.25 of the Pathology Report Structured Content Specification v1.0 the Related Document Report DateTime 'high' child element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present
		so it is an error to include nullFlavor 'UNC'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M616" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M616" />
  <xsl:template match="@*|node()" priority="-2" mode="M616">
    <xsl:apply-templates select="@*|*" mode="M616" />
  </xsl:template>
  <!--PATTERN p-TS-Pathology-TimeInterval-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.20018' = $doc-sections]/cda:component/cda:structuredBody/cda:component/cda:section   [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20018']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16971']]/cda:effectiveTime   [not((cda:low/@value and (number(substring(cda:low/@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(cda:low/@value,1,4)) &gt; number($creation-date-yr) + 130)) or     (cda:high/@value and (number(substring(cda:high/@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(cda:high/@value,1,4)) &gt; number($creation-date-yr) + 130)))] " priority="1000" mode="M617">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.20018' = $doc-sections]/cda:component/cda:structuredBody/cda:component/cda:section   [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20018']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16971']]/cda:effectiveTime   [not((cda:low/@value and (number(substring(cda:low/@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(cda:low/@value,1,4)) &gt; number($creation-date-yr) + 130)) or     (cda:high/@value and (number(substring(cda:high/@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(cda:high/@value,1,4)) &gt; number($creation-date-yr) + 130)))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="fir-narrative" select="translate(normalize-space(lower-case(string($fir-narr-node))), $chars-to-remove, '')" />
    <xsl:variable name="sec-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)        then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]        else () " />
    <xsl:variable name="sec-narr-node" select="$sec-section/cda:text " />
    <xsl:variable name="narr-text-el" select="(for $text in ($fir-narr-node//text(), $sec-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="sec-narrative" select="translate(normalize-space(lower-case(string($sec-narr-node))), $chars-to-remove, '') " />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="narrative" select="concat($target-title, $fir-narrative, $sec-narrative)" />
    <xsl:variable name="narr-elements" select="$fir-narr-node//cda:*[exists(text()[normalize-space() != '']) and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ]  |             $sec-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ] " />
    <xsl:variable name="narr-lower-case" select="for $i in (1 to count($narr-elements)) return lower-case(normalize-space(string-join($narr-elements[$i]/text(), '')))  " />
    <xsl:variable name="dt-narr-elements" select="$narr-lower-case[matches(., $regex-date-type-1, 'i') or matches(., $regex-date-type-2, 'i') or matches(., $regex-date-type-3, 'i')] " />
    <xsl:variable name="narr-elements-start" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-before($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-before($dt-narr-elements[$i], ' -'))        else $dt-narr-elements[$i])[. != ''] " />
    <xsl:variable name="narr-elements-end" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-after($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-after($dt-narr-elements[$i], ' -'))        else '')[. != ''] " />
    <xsl:variable name="narr-dateTimes" select="distinct-values(($narr-elements-start , $narr-elements-end))[. != '(ongoing)'] " />
    <xsl:variable name="l-dt-value" select="if (@value) then @value        else if (cda:low/@value) then cda:low/@value        else '' " />
    <xsl:variable name="l-no-time-zone" select="if (contains($l-dt-value, '+')) then substring-before($l-dt-value, '+')       else if (contains($l-dt-value, '-')) then substring-before($l-dt-value, '-')       else $l-dt-value " />
    <xsl:variable name="l-length" select="string-length($l-no-time-zone) " />
    <xsl:variable name="l-year" select="if ($l-length &gt; 3) then substring($l-no-time-zone,1,4) else '' " />
    <xsl:variable name="l-month-num" select="if ($l-length &gt; 5) then substring($l-no-time-zone,5,2) else '' " />
    <xsl:variable name="l-day" select="if ($l-length &gt; 7 and substring($l-no-time-zone,7,1) = '0') then substring($l-no-time-zone,8,1)       else if ($l-length &gt; 7 and substring($l-no-time-zone,7,1) != '0') then substring($l-no-time-zone,7,2) else '' " />
    <xsl:variable name="l-hour-long" select="if ($l-length &gt; 9) then substring($l-no-time-zone,9,2) else '' " />
    <xsl:variable name="l-hour-short" select="if (substring($l-hour-long, 1, 1) = '0') then substring($l-hour-long, 2, 1) else '' " />
    <xsl:variable name="l-minute" select="if ($l-length &gt; 11) then substring($l-no-time-zone,11,2) else '' " />
    <xsl:variable name="l-second" select="if ($l-length &gt; 13) then substring($l-no-time-zone,13,2) else '' " />
    <xsl:variable name="l-time-zone" select="if (contains($l-dt-value, '+')) then concat('\+', substring-after($l-dt-value, '+'))       else if (contains($l-dt-value, '-')) then concat('\-', substring-after($l-dt-value, '-'))       else '' " />
    <xsl:variable name="l-month-short" select="if ($l-month-num = '01') then 'jan'   else             if ($l-month-num = '02') then 'feb'   else             if ($l-month-num = '03') then 'mar'   else             if ($l-month-num = '04') then 'apr'   else             if ($l-month-num = '05') then 'may'   else             if ($l-month-num = '06') then 'jun'   else             if ($l-month-num = '07') then 'jul'   else             if ($l-month-num = '08') then 'aug'   else             if ($l-month-num = '09') then 'sep'   else             if ($l-month-num = '10') then 'oct'   else             if ($l-month-num = '11') then 'nov'   else             if ($l-month-num = '12') then 'dec'   else '' " />
    <xsl:variable name="l-month-long" select="if ($l-month-num = '01') then 'january'   else             if ($l-month-num = '02') then 'february'  else             if ($l-month-num = '03') then 'march'   else             if ($l-month-num = '04') then 'april'   else             if ($l-month-num = '05') then 'may'   else             if ($l-month-num = '06') then 'june'   else             if ($l-month-num = '07') then 'july'   else             if ($l-month-num = '08') then 'august'   else             if ($l-month-num = '09') then 'september'  else             if ($l-month-num = '10') then 'october'   else             if ($l-month-num = '11') then 'november'  else             if ($l-month-num = '12') then 'december'  else '' " />
    <xsl:variable name="l-date-type-3-day" select="if (string-length($l-day) = 1) then concat('0{0,1}', $l-day) else $l-day " />
    <xsl:variable name="l-date-type-3-month" select="if (string-length($l-month-num) = 1) then concat('0{0,1}', $l-month-num)        else if (substring($l-month-num, 1, 1) = '0') then concat('0{0,1}', substring($l-month-num, 2, 1))         else $l-month-num " />
    <xsl:variable name="l-dt-sequence-1" select="if ($l-length = 4) then (         concat('^', $l-dt-value)        ,          concat('^', $l-year)         )        else if ($l-length = 6) then (         concat('^', $l-dt-value)        ,         concat('^', $l-month-short, $date-sep, $l-year)      ,          concat('^', $l-month-long, $date-sep, $l-year)      )        else if ($l-length &gt; 7) then (         concat('^', $l-dt-value)        ,         concat('^', $l-date-type-3-day, $date-sep, $l-month-short, $date-sep, $l-year)  ,         concat('^', $l-date-type-3-day, $date-sep, $l-month-long, $date-sep, $l-year)  ,         concat('^', $l-date-type-3-day, '/', $l-date-type-3-month, '/', $l-year)  )        else () " />
    <xsl:variable name="l-matching-seq-1" select="if (exists($l-dt-sequence-1))        then index-of(for $i in (1 to count($l-dt-sequence-1)) return exists($narr-dateTimes[matches(., $l-dt-sequence-1[$i], 'i')]), true())        else () " />
    <xsl:variable name="l-dt-stem-1" select="for $i in (1 to count($l-matching-seq-1)) return $l-dt-sequence-1[$l-matching-seq-1[$i]] " />
    <xsl:variable name="l-dt-regex-1" select="if (exists($l-dt-stem-1)) then concat('(', string-join($l-dt-stem-1, '$)|('), '$)') else ()" />
    <xsl:variable name="l-dt-match-1" select="exists($l-dt-stem-1) and exists($narr-dateTimes[matches(., $l-dt-regex-1, 'i')])" />
    <xsl:variable name="l-time-1" select="if ($l-length &gt; 11 and $l-hour-short != '') then concat($l-hour-short, ':', $l-minute, '( *| *am)') else '' " />
    <xsl:variable name="l-time-2" select="if ($l-length &gt; 13 and $l-hour-short != '') then concat($l-hour-short, ':', $l-minute, ':', $l-second, '( *| *am)') else '' " />
    <xsl:variable name="l-time-3" select="if ($l-length &gt; 11 and number($l-hour-long) &lt; 12) then concat($l-hour-long, ':', $l-minute, '( *| *am)')        else if ($l-length &gt; 11) then concat($l-hour-long, ':', $l-minute) else '' " />
    <xsl:variable name="l-time-4" select="if ($l-length &gt; 13 and number($l-hour-long) &lt; 12) then concat($l-hour-long, ':', $l-minute, ':', $l-second, '( *| *am)')        else if ($l-length &gt; 13) then concat($l-hour-long, ':', $l-minute, ':', $l-second) else '' " />
    <xsl:variable name="l-time-5" select="if ($l-length &gt; 11 and number($l-hour-long) &gt; 12) then concat(string(number($l-hour-long) - 12), ':', $l-minute, '( *| *pm)') else '' " />
    <xsl:variable name="l-time-6" select="if ($l-length &gt; 13 and number($l-hour-long) &gt; 12) then concat(string(number($l-hour-long) - 12), ':', $l-minute, ':', $l-second, '( *| *pm)') else '' " />
    <xsl:variable name="l-dt-temp-0" select="if (exists($l-dt-stem-1) and $l-length = 8) then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $narr-time-regex) else () " />
    <xsl:variable name="l-dt-temp-1" select="if (exists($l-dt-stem-1) and $l-time-1 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-1) else () " />
    <xsl:variable name="l-dt-temp-2" select="if (exists($l-dt-stem-1) and $l-time-2 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-2) else () " />
    <xsl:variable name="l-dt-temp-3" select="if (exists($l-dt-stem-1) and $l-time-3 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-3) else () " />
    <xsl:variable name="l-dt-temp-4" select="if (exists($l-dt-stem-1) and $l-time-4 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-4) else () " />
    <xsl:variable name="l-dt-temp-5" select="if (exists($l-dt-stem-1) and $l-time-5 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-5) else () " />
    <xsl:variable name="l-dt-temp-6" select="if (exists($l-dt-stem-1) and $l-time-6 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-6) else () " />
    <xsl:variable name="l-dt-sequence-2" select="($l-dt-temp-0, $l-dt-temp-1, $l-dt-temp-2, $l-dt-temp-3, $l-dt-temp-4, $l-dt-temp-5, $l-dt-temp-6)" />
    <xsl:variable name="l-matching-seq-2" select="if (exists($l-dt-sequence-2))        then index-of(for $i in (1 to count($l-dt-sequence-2)) return exists($narr-dateTimes[matches(., $l-dt-sequence-2[$i], 'i')]), true())        else () " />
    <xsl:variable name="l-dt-stem-2" select="for $i in (1 to count($l-matching-seq-2)) return $l-dt-sequence-2[$l-matching-seq-2[$i]] " />
    <xsl:variable name="l-dt-regex-2" select="if (exists($l-dt-stem-2)) then concat('(', string-join($l-dt-stem-2, '$)|('), '$)') else '' " />
    <xsl:variable name="l-dt-match-2" select="(exists($l-dt-stem-2) and exists($narr-dateTimes[matches(., $l-dt-regex-2, 'i')])) " />
    <xsl:variable name="l-dt-sequence-3" select="if (not($l-dt-match-2) and exists($l-dt-stem-2) and $l-time-zone != '') then for $i in (1 to count($l-dt-stem-2)) return        concat($l-dt-stem-2[$i], substring($l-time-zone, 1, 4), ':?', substring($l-time-zone, 5, 2)) else () " />
    <xsl:variable name="l-dt-regex-3" select="if ($l-dt-match-2) then '' else if (exists($l-dt-sequence-3)) then concat('(', string-join($l-dt-sequence-3, '$)|('), '$)') else '' " />
    <xsl:variable name="l-dt-match-3" select="($l-dt-match-2 or (exists($l-dt-sequence-3) and exists($narr-dateTimes[matches(., $l-dt-regex-3, 'i')]))) " />
    <xsl:variable name="l-narr-match" select="if ($l-dt-value != '' and count($narr-dateTimes) = 0) then      (       contains($narrative, $l-dt-value)                or       (string-length($l-dt-value) = 4 and contains($narrative, $l-year))             or        (string-length($l-dt-value) = 6 and contains($narrative, concat($l-month-short, $l-year)))          or       (string-length($l-dt-value) &gt; 7 and starts-with($l-day, '0') and        (contains($narrative, concat(substring($l-day,2,1), $l-month-short, $l-year)) or         contains($narrative, concat(substring($l-day,2,1), $l-month-num, $l-year))))          or       (string-length($l-dt-value) &gt; 7 and (contains($narrative, concat($l-day, $l-month-short, $l-year)) or contains($narrative, concat($l-day, $l-month-num, $l-year))))        )       else false() " />
    <xsl:variable name="h-dt-value" select="if (cda:high/@value and $l-dt-value != cda:high/@value) then cda:high/@value        else '' " />
    <xsl:variable name="h-no-time-zone" select="if (contains($h-dt-value, '+')) then substring-before($h-dt-value, '+')       else if (contains($h-dt-value, '-')) then substring-before($h-dt-value, '-')       else $h-dt-value " />
    <xsl:variable name="h-length" select="string-length($h-no-time-zone) " />
    <xsl:variable name="h-year" select="if ($h-length &gt; 3) then substring($h-no-time-zone,1,4) else '' " />
    <xsl:variable name="h-month-num" select="if ($h-length &gt; 5) then substring($h-no-time-zone,5,2) else '' " />
    <xsl:variable name="h-day" select="if ($h-length &gt; 7 and substring($h-no-time-zone,7,1) = '0') then substring($h-no-time-zone,8,1)       else if ($h-length &gt; 7 and substring($h-no-time-zone,7,1) != '0') then substring($h-no-time-zone,7,2) else '' " />
    <xsl:variable name="h-hour-long" select="if ($h-length &gt; 9) then substring($h-no-time-zone,9,2) else '' " />
    <xsl:variable name="h-hour-short" select="if (substring($h-hour-long, 1, 1) = '0') then substring($h-hour-long, 2, 1) else '' " />
    <xsl:variable name="h-minute" select="if ($h-length &gt; 11) then substring($h-no-time-zone,11,2) else '' " />
    <xsl:variable name="h-second" select="if ($h-length &gt; 13) then substring($h-no-time-zone,13,2) else '' " />
    <xsl:variable name="h-time-zone" select="if (contains($h-dt-value, '+')) then concat('\+', substring-after($h-dt-value, '+'))       else if (contains($h-dt-value, '-')) then concat('\-', substring-after($h-dt-value, '-'))       else '' " />
    <xsl:variable name="h-month-short" select="if ($h-month-num = '01') then 'jan'   else             if ($h-month-num = '02') then 'feb'   else             if ($h-month-num = '03') then 'mar'   else             if ($h-month-num = '04') then 'apr'   else             if ($h-month-num = '05') then 'may'   else             if ($h-month-num = '06') then 'jun'   else             if ($h-month-num = '07') then 'jul'   else             if ($h-month-num = '08') then 'aug'   else             if ($h-month-num = '09') then 'sep'   else             if ($h-month-num = '10') then 'oct'   else             if ($h-month-num = '11') then 'nov'   else             if ($h-month-num = '12') then 'dec'   else '' " />
    <xsl:variable name="h-month-long" select="if ($h-month-num = '01') then 'january'   else             if ($h-month-num = '02') then 'february'  else             if ($h-month-num = '03') then 'march'   else             if ($h-month-num = '04') then 'april'   else             if ($h-month-num = '05') then 'may'   else             if ($h-month-num = '06') then 'june'   else             if ($h-month-num = '07') then 'july'   else             if ($h-month-num = '08') then 'august'   else             if ($h-month-num = '09') then 'september'  else             if ($h-month-num = '10') then 'october'   else             if ($h-month-num = '11') then 'november'  else             if ($h-month-num = '12') then 'december'  else '' " />
    <xsl:variable name="h-date-type-3-day" select="if (string-length($h-day) = 1) then concat('0{0,1}', $h-day) else $h-day " />
    <xsl:variable name="h-date-type-3-month" select="if (string-length($h-month-num) = 1) then concat('0{0,1}', $h-month-num)        else if (substring($h-month-num, 1, 1) = '0') then concat('0{0,1}', substring($h-month-num, 2, 1))         else $h-month-num " />
    <xsl:variable name="h-dt-sequence-1" select="if ($h-length = 4) then (         concat('^', $h-dt-value)        ,          concat('^', $h-year)         )        else if ($h-length = 6) then (         concat('^', $h-dt-value)        ,         concat('^', $h-month-short, $date-sep, $h-year)      ,          concat('^', $h-month-long, $date-sep, $h-year)      )        else if ($h-length &gt; 7) then (         concat('^', $h-dt-value)        ,         concat('^', $h-date-type-3-day, $date-sep, $h-month-short, $date-sep, $h-year)  ,         concat('^', $h-date-type-3-day, $date-sep, $h-month-long, $date-sep, $h-year)  ,         concat('^', $h-date-type-3-day, '/', $h-date-type-3-month, '/', $h-year)  )        else () " />
    <xsl:variable name="h-matching-seq-1" select="if (exists($h-dt-sequence-1))        then index-of(for $i in (1 to count($h-dt-sequence-1)) return exists($narr-dateTimes[matches(., $h-dt-sequence-1[$i], 'i')]), true())        else () " />
    <xsl:variable name="h-dt-stem-1" select="for $i in (1 to count($h-matching-seq-1)) return $h-dt-sequence-1[$h-matching-seq-1[$i]] " />
    <xsl:variable name="h-dt-regex-1" select="if (exists($h-dt-stem-1)) then concat('(', string-join($h-dt-stem-1, '$)|('), '$)') else ()" />
    <xsl:variable name="h-dt-match-1" select="exists($h-dt-stem-1) and exists($narr-dateTimes[matches(., $h-dt-regex-1, 'i')])" />
    <xsl:variable name="h-time-1" select="if ($h-length &gt; 11 and $h-hour-short != '') then concat($h-hour-short, ':', $h-minute, '( *| *am)') else '' " />
    <xsl:variable name="h-time-2" select="if ($h-length &gt; 13 and $h-hour-short != '') then concat($h-hour-short, ':', $h-minute, ':', $h-second, '( *| *am)') else '' " />
    <xsl:variable name="h-time-3" select="if ($h-length &gt; 11 and number($h-hour-long) &lt; 12) then concat($h-hour-long, ':', $h-minute, '( *| *am)')        else if ($h-length &gt; 11) then concat($h-hour-long, ':', $h-minute) else '' " />
    <xsl:variable name="h-time-4" select="if ($h-length &gt; 13 and number($h-hour-long) &lt; 12) then concat($h-hour-long, ':', $h-minute, ':', $h-second, '( *| *am)')        else if ($h-length &gt; 13) then concat($h-hour-long, ':', $h-minute, ':', $h-second) else '' " />
    <xsl:variable name="h-time-5" select="if ($h-length &gt; 11 and number($h-hour-long) &gt; 12) then concat(string(number($h-hour-long) - 12), ':', $h-minute, '( *| *pm)') else '' " />
    <xsl:variable name="h-time-6" select="if ($h-length &gt; 13 and number($h-hour-long) &gt; 12) then concat(string(number($h-hour-long) - 12), ':', $h-minute, ':', $h-second, '( *| *pm)') else '' " />
    <xsl:variable name="h-dt-temp-0" select="if (exists($h-dt-stem-1) and $h-length = 8) then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $narr-time-regex) else () " />
    <xsl:variable name="h-dt-temp-1" select="if (exists($h-dt-stem-1) and $h-time-1 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-1) else () " />
    <xsl:variable name="h-dt-temp-2" select="if (exists($h-dt-stem-1) and $h-time-2 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-2) else () " />
    <xsl:variable name="h-dt-temp-3" select="if (exists($h-dt-stem-1) and $h-time-3 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-3) else () " />
    <xsl:variable name="h-dt-temp-4" select="if (exists($h-dt-stem-1) and $h-time-4 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-4) else () " />
    <xsl:variable name="h-dt-temp-5" select="if (exists($h-dt-stem-1) and $h-time-5 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-5) else () " />
    <xsl:variable name="h-dt-temp-6" select="if (exists($h-dt-stem-1) and $h-time-6 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-6) else () " />
    <xsl:variable name="h-dt-sequence-2" select="($h-dt-temp-0, $h-dt-temp-1, $h-dt-temp-2, $h-dt-temp-3, $h-dt-temp-4, $h-dt-temp-5, $h-dt-temp-6)" />
    <xsl:variable name="h-matching-seq-2" select="if (exists($h-dt-sequence-2))        then index-of(for $i in (1 to count($h-dt-sequence-2)) return exists($narr-dateTimes[matches(., $h-dt-sequence-2[$i], 'i')]), true())        else () " />
    <xsl:variable name="h-dt-stem-2" select="for $i in (1 to count($h-matching-seq-2)) return $h-dt-sequence-2[$h-matching-seq-2[$i]] " />
    <xsl:variable name="h-dt-regex-2" select="if (exists($h-dt-stem-2)) then concat('(', string-join($h-dt-stem-2, '$)|('), '$)') else '' " />
    <xsl:variable name="h-dt-match-2" select="(exists($h-dt-stem-2) and exists($narr-dateTimes[matches(., $h-dt-regex-2, 'i')])) " />
    <xsl:variable name="h-dt-sequence-3" select="if (not($h-dt-match-2) and exists($h-dt-stem-2) and $h-time-zone != '') then for $i in (1 to count($h-dt-stem-2)) return        concat($h-dt-stem-2[$i], substring($h-time-zone, 1, 4), ':?', substring($h-time-zone, 5, 2)) else () " />
    <xsl:variable name="h-dt-regex-3" select="if ($h-dt-match-2) then '' else if (exists($h-dt-sequence-3)) then concat('(', string-join($h-dt-sequence-3, '$)|('), '$)') else '' " />
    <xsl:variable name="h-dt-match-3" select="($h-dt-match-2 or (exists($h-dt-sequence-3) and exists($narr-dateTimes[matches(., $h-dt-regex-3, 'i')]))) " />
    <xsl:variable name="h-narr-match" select="if ($h-dt-value != '' and count($narr-dateTimes) = 0) then      (       contains($narrative, $h-dt-value)                or       (string-length($h-dt-value) = 4 and contains($narrative, $h-year))             or        (string-length($h-dt-value) = 6 and contains($narrative, concat($h-month-short, $h-year)))          or       (string-length($h-dt-value) &gt; 7 and starts-with($h-day, '0') and        (contains($narrative, concat(substring($h-day,2,1), $h-month-short, $h-year)) or         contains($narrative, concat(substring($h-day,2,1), $h-month-num, $h-year))))          or       (string-length($h-dt-value) &gt; 7 and (contains($narrative, concat($h-day, $h-month-short, $h-year)) or contains($narrative, concat($h-day, $h-month-num, $h-year))))        )       else false() " />
    <xsl:variable name="h-nullFlavor-values" select="if (cda:high/@nullFlavor and cda:high/@nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))        then $nullFlavors/nullFlavor[@value = current()/cda:high/@nullFlavor] else () " />
    <xsl:variable name="h-null-to-find" select="exists($h-nullFlavor-values) " />
    <xsl:variable name="h-null-in-narr" select="($h-nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $h-nullFlavor-values/@name-regex, 'is')])) or              ($h-nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $h-nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="l-nullFlavor-values" select="if (cda:low/@nullFlavor and cda:low/@nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))        then $nullFlavors/nullFlavor[@value = current()/cda:low/@nullFlavor] else () " />
    <xsl:variable name="l-null-to-find" select="exists($l-nullFlavor-values) " />
    <xsl:variable name="l-null-in-narr" select="($l-nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $l-nullFlavor-values/@name-regex, 'is')])) or              ($l-nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $l-nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="l-dt-name" select="if ($l-dt-value = cda:low/@value) then ' low' else '' " />
    <xsl:variable name="l-dt-msg" select="if ($l-dt-value = cda:low/@value) then ' This date/time is the low boundary of a time interval.' else '' " />
    <xsl:variable name="h-dt-msg" select="if ($h-dt-value = cda:high/@value) then ' This date/time is the high boundary of a time interval.' else '' " />
    <xsl:variable name="l-null-msg" select="if ($l-dt-value = cda:low/@value) then ' This nullFlavor value is for the low boundary of a time interval.' else '' " />
    <xsl:variable name="h-null-msg" select="if ($h-dt-value = cda:high/@value) then ' This nullFlavor value is for the high boundary of a time interval.' else '' " />
    <xsl:variable name="multimedia" select="exists($fir-narr-node//cda:renderMultiMedia) or exists($sec-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($fir-narr-node//cda:linkHtml) or exists($sec-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="l-warning-1" select="exists($l-dt-sequence-1) and exists($narr-dateTimes) and $l-dt-match-1 and not($l-dt-match-3) and $l-dt-value != '' " />
    <xsl:variable name="l-error-1" select="$l-warning-1 and not($multimedia) " />
    <xsl:variable name="l-warning-2" select="exists($l-dt-sequence-1) and exists($narr-dateTimes) and not($l-dt-match-1 or $l-dt-match-3) and $l-dt-value != '' " />
    <xsl:variable name="l-error-2a" select="$l-warning-2 and not($multimedia) and $l-time-zone != '' and count($narr-dateTimes) =        count(for $dt in $narr-dateTimes return replace(replace($dt, $regex-date-type-1, ''), $regex-date-type-2, '')       [matches(., concat('^\s*([0-9]{1,2}:{1}[0-9]{2}\s*', substring($l-time-zone, 1, 4), ':?', substring($l-time-zone, 5, 2),         '|[0-9]{1,2}:{1}[0-9]{2}:{1}[0-9]{2}\s*', substring($l-time-zone, 1, 4), ':?', substring($l-time-zone, 5, 2), ')\s*$'), 'i')]) " />
    <xsl:variable name="l-error-2b" select="$l-warning-2 and not($l-dt-match-1) and not($multimedia) and count($narr-dateTimes[matches(., $regex-date-type-2, 'i')]) =        count($narr-dateTimes[matches(., concat($regex-date-type-2, ' ', $narr-time-regex, '$'), 'i')]) " />
    <xsl:variable name="l-error-2c" select="$l-warning-2 and exists($narr-dateTimes[matches(., concat('^', $l-year, '$'))]) " />
    <xsl:variable name="l-error-2" select="$l-error-2a or $l-error-2b or $l-error-2c " />
    <xsl:variable name="l-warning-3" select="$l-dt-value != '' and not(exists($narr-dateTimes)) and not($l-narr-match) " />
    <xsl:variable name="l-error-3" select="$l-warning-3 and not($multimedia) and not(contains($narrative, substring($l-year, 3,2)))" />
    <xsl:variable name="h-warning-1" select="exists($h-dt-sequence-1) and exists($narr-dateTimes) and $h-dt-match-1 and not($h-dt-match-3) and $h-dt-value != '' " />
    <xsl:variable name="h-error-1" select="$h-warning-1 and not($multimedia) " />
    <xsl:variable name="h-warning-2" select="exists($h-dt-sequence-1) and exists($narr-dateTimes) and not($h-dt-match-1 or $h-dt-match-3) and $h-dt-value != '' " />
    <xsl:variable name="h-error-2a" select="$h-warning-2 and not($multimedia) and $h-time-zone != '' and count($narr-dateTimes) =        count(for $dt in $narr-dateTimes return replace(replace($dt, $regex-date-type-1, ''), $regex-date-type-2, '')       [matches(., concat('^\s*([0-9]{1,2}:{1}[0-9]{2}\s*', substring($h-time-zone, 1, 4), ':?', substring($h-time-zone, 5, 2),         '|[0-9]{1,2}:{1}[0-9]{2}:{1}[0-9]{2}\s*', substring($h-time-zone, 1, 4), ':?', substring($h-time-zone, 5, 2), ')\s*$'), 'i')]) " />
    <xsl:variable name="h-error-2b" select="$h-warning-2 and not($h-dt-match-1) and not($multimedia) and count($narr-dateTimes[matches(., $regex-date-type-2, 'i')]) =        count($narr-dateTimes[matches(., concat($regex-date-type-2, ' ', $narr-time-regex, '$'), 'i')]) " />
    <xsl:variable name="h-error-2c" select="$l-warning-2 and exists($narr-dateTimes[matches(., concat('^', $h-year, '$'))]) " />
    <xsl:variable name="h-error-2" select="$h-error-2a or $h-error-2b or $h-error-2c " />
    <xsl:variable name="h-warning-3" select="$h-dt-value != '' and not(exists($narr-dateTimes)) and not($h-narr-match) " />
    <xsl:variable name="h-error-3" select="$h-warning-3 and not($multimedia) and not(contains($narrative, substring($h-year, 3,2))) " />
    <xsl:variable name="narr-dt-msg" select="if ($multimedia or $no-content) then ''       else if (not(exists($narr-dateTimes))) then concat(' The narrative of the ', iq:location(., ''), ' contains no dateTime elements.')       else if (count($narr-dateTimes) = 1) then concat(' The only dateTime element in the narrative of the ', iq:location(., ''), ' is ''',         dh:XQueryRecursiveReplace($narr-dateTimes[1], '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), '''.')       else concat(' The distinct dateTime elements in the narrative of the ', iq:location(., ''), ' are ''',         string-join(for $dt in $narr-dateTimes return          dh:XQueryRecursiveReplace($dt, '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), ', '), '''.') " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-4" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-4 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and exists($l-dt-sequence-1) and $l-dt-value != '' and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and exists($l-dt-sequence-1) and $l-dt-value != '' and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 4: The dateTime element in the structured data is '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'.<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text />
		The number of dateTime elements that have been extracted from the narrative is '<xsl:text /><xsl:value-of select="count($narr-dateTimes)" /><xsl:text />'.
		These are '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-dateTimes, ', '), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The initial regular expressions are '<xsl:text /><xsl:value-of select="string-join($l-dt-sequence-1, ', ')" /><xsl:text />'.
		The three regular expressions used to perform an exact match for narrative dateTime elements are as follows:
		l-dt-regex-1='<xsl:text /><xsl:value-of select="$l-dt-regex-1" /><xsl:text />'; l-dt-regex-2='<xsl:text /><xsl:value-of select="$l-dt-regex-2" /><xsl:text />'; and l-dt-regex-3='<xsl:text /><xsl:value-of select="$l-dt-regex-3" /><xsl:text />'.
		Was a match found after the first regular expression was created? <xsl:text /><xsl:value-of select="$l-dt-match-1" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($l-dt-regex-2 = '') then 'The second regular expression was not applied as there is no time information.'    else concat('Was a match found after the second regular expression (with a date and time) was created? ', $l-dt-match-2, '.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($l-dt-regex-3 = '') then 'The third regular expression was not applied as there is no timezone information.'    else concat('Was a match found after the third regular expression (with a date and time) was created? ', $l-dt-match-3, '.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and exists($h-dt-sequence-1) and $h-dt-value != '' and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and exists($h-dt-sequence-1) and $h-dt-value != '' and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 4: The dateTime element in the structured data is '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'.<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text />
		The number of dateTime elements that have been extracted from the narrative is '<xsl:text /><xsl:value-of select="count($narr-dateTimes)" /><xsl:text />'.
		These are '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-dateTimes, ', '), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The initial regular expressions are '<xsl:text /><xsl:value-of select="string-join($h-dt-sequence-1, ', ')" /><xsl:text />'.
		The three regular expressions used to perform an exact match for narrative dateTime elements are as follows:
		h-dt-regex-1='<xsl:text /><xsl:value-of select="$h-dt-regex-1" /><xsl:text />'; h-dt-regex-2='<xsl:text /><xsl:value-of select="$h-dt-regex-2" /><xsl:text />'; and h-dt-regex-3='<xsl:text /><xsl:value-of select="$h-dt-regex-3" /><xsl:text />'.
		Was a match found after the first regular expression was created? <xsl:text /><xsl:value-of select="$h-dt-match-1" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($h-dt-regex-2 = '') then 'The second regular expression was not applied as there is no time information.'    else concat('Was a match found after the second regular expression (with a date and time) was created? ', $h-dt-match-2, '.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($h-dt-regex-3 = '') then 'The third regular expression was not applied as there is no timezone information.'    else concat('Was a match found after the third regular expression (with a date and time) was created? ', $h-dt-match-3, '.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and $l-warning-1 and not($l-error-1 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and $l-warning-1 and not($l-error-1 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Related Document Report DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /> Although the date was found in the narrative the Related Document Report DateTime data element must contain the time.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Related Document Report DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See section 2.25 of the Pathology Report Structured Content Specification v1.0 and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and $l-error-1 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and $l-error-1 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Related Document Report DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /> Although the date was found in the narrative the Related Document Report DateTime data element must contain the time.
		The Related Document Report DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See section 2.25 of the Pathology Report Structured Content Specification v1.0 and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and $l-error-1 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and $l-error-1 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Related Document Report DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /> Although the date was found in the narrative the Related Document Report DateTime data element must contain the time.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See section 2.25 of the Pathology Report Structured Content Specification v1.0 and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-warning-2 and not($l-error-2 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-warning-2 and not($l-error-2 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Related Document Report DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Related Document Report DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-error-2 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-error-2 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Related Document Report DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($l-error-2c) then concat('The narrative contains a date with the same year ''', $l-year, ''' but without a month or day.') else '' " /><xsl:text />
		The Related Document Report DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-error-2 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-error-2 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Related Document Report DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($l-error-2c) then concat('The narrative contains a date with the same year ''', $l-year, ''' but without a month or day.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $l-dt-value != '' and not($l-narr-match or $l-null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $l-dt-value != '' and not($l-narr-match or $l-null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Related Document Report DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $l-dt-value != '' and not($l-narr-match or $l-null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $l-dt-value != '' and not($l-narr-match or $l-null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Related Document Report DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Related Document Report DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $h-warning-1 and not($h-error-1 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $h-warning-1 and not($h-error-1 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Related Document Report DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /> Although the date was found in the narrative the Related Document Report DateTime data element must contain the time.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Related Document Report DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See section 2.25 of the Pathology Report Structured Content Specification v1.0 and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $h-error-1 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $h-error-1 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Related Document Report DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /> Although the date was found in the narrative the Related Document Report DateTime data element must contain the time.
		The Related Document Report DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See section 2.25 of the Pathology Report Structured Content Specification v1.0 and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $h-error-1 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $h-error-1 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Related Document Report DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /> Although the date was found in the narrative the Related Document Report DateTime data element must contain the time.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See section 2.25 of the Pathology Report Structured Content Specification v1.0 and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-warning-2 and not($h-error-2 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-warning-2 and not($h-error-2 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Related Document Report DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Related Document Report DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-error-2 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-error-2 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Related Document Report DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($h-error-2c) then concat('The narrative contains a date with the same year ''', $h-year, ''' but without a month or day.') else '' " /><xsl:text />
		The Related Document Report DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-error-2 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-error-2 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Related Document Report DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($h-error-2c) then concat('The narrative contains a date with the same year ''', $h-year, ''' but without a month or day.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-warning-3 and not($l-error-3 or $no-content)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-warning-3 and not($l-error-3 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Related Document Report DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not seem to be present in the narrative of the section.<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Related Document Report DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-error-3 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-error-3 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Related Document Report DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Related Document Report DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else ' All clinical information in entry elements must be present in the narrative.'" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-error-3 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-error-3 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Related Document Report DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-warning-3 and not($h-error-3 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-warning-3 and not($h-error-3 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Related Document Report DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not seem to be present in the narrative of the section.<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Related Document Report DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-error-3 and not($no-content) and true()  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-error-3 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Related Document Report DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text />
		The Related Document Report DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-error-3 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-error-3 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Related Document Report DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $h-dt-value != '' and not($h-narr-match or $h-null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $h-dt-value != '' and not($h-narr-match or $h-null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Related Document Report DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $h-dt-value != '' and not($h-narr-match or $h-null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $h-dt-value != '' and not($h-narr-match or $h-null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Related Document Report DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Related Document Report DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-null-to-find and not($l-null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-null-to-find and not($l-null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Related Document Report DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="cda:low/@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$l-nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($l-nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.<xsl:text /><xsl:value-of select="$l-null-msg" /><xsl:text /> If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-null-to-find and not($h-null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-null-to-find and not($h-null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Related Document Report DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="cda:high/@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$h-nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($h-nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.<xsl:text /><xsl:value-of select="$h-null-msg" /><xsl:text />
		If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M617" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M617" />
  <xsl:template match="@*|node()" priority="-2" mode="M617">
    <xsl:apply-templates select="@*|*" mode="M617" />
  </xsl:template>
  <!--PATTERN p-TS-Pathology-TimeInterval-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.20018' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20018']]/cda:author/cda:time " priority="1000" mode="M618">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.20018' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20018']]/cda:author/cda:time " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text1" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="message-text2" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See sections 8.6 and 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="nullFlavor-values" select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]" />
    <xsl:variable name="low-inclusive" select="if (not(cda:low)) then '' else if (cda:low/@inclusive='false') then ' (excluded)' else ' (included)' " />
    <xsl:variable name="high-inclusive" select="if (not(cda:high)) then '' else if (cda:high/@inclusive='false') then ' (excluded)' else ' (included)' " />
    <xsl:variable name="display-interval" select="if (@value and cda:low/@value and cda:high/@value)         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34), ', low value ', codepoints-to-string(34), cda:low/@value,        codepoints-to-string(34), $low-inclusive, ' and high value ', codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)        else if (@value and cda:low/@value and not(cda:high/@value))         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34), ' and low value ', codepoints-to-string(34), cda:low/@value,        codepoints-to-string(34), $low-inclusive)       else if (@value and not(cda:low/@value) and cda:high/@value)         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34), ' and high value ', codepoints-to-string(34),        cda:high/@value, codepoints-to-string(34), $high-inclusive)       else if (not(@value) and cda:low/@value and cda:high/@value)         then concat('low value ', codepoints-to-string(34), cda:low/@value, codepoints-to-string(34), $low-inclusive, ' and high value ',         codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)       else if (@value and not(cda:low/@value) and not(cda:high/@value))         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34))       else if (not(@value) and cda:low/@value and not(cda:high/@value))         then concat('low value ', codepoints-to-string(34), cda:low/@value, codepoints-to-string(34), $low-inclusive)       else if (not(@value) and not(cda:low/@value) and cda:high/@value)         then concat('high value ', codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)       else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-22" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-22 else $rating-alt-TC-Types-22 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-22: The Reporting Pathologist Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type
		and <xsl:text /><xsl:value-of select="if (@value or cda:low/@value or cda:high/@value) then concat('has ', $display-interval)   else 'has no value attribute and no low or high data elements' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@nullFlavor) then concat('The nullFlavor attribute has the value ''', @nullFlavor, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.2 of the Pathology Report CDA Implementation Guide v1.0 the Reporting Pathologist Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type.
		It contains a value of nullFlavor 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a value
		may exist, but it must be derived from the information provided. Confirm if the use of this nullFlavor is valid.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'NINF' or @nullFlavor = 'PINF' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'NINF' or @nullFlavor = 'PINF'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 1: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.2 of the Pathology Report CDA Implementation Guide v1.0 the Reporting Pathologist Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data
		type which is derived from the HL7 'IVL_TS' data type. It has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) which is a
		value of nullFlavor that may not be used for data elements of the IVL data type.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.2 of the Pathology Report CDA Implementation Guide v1.0 the Reporting Pathologist Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data
		type however it has nullFlavor = 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include
		nullFlavor = 'UNC'. (See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'QS' or @nullFlavor = 'TRC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'QS' or @nullFlavor = 'TRC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 3: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.2 of the Pathology Report CDA Implementation Guide v1.0 the Reporting Pathologist Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data
		type which is derived from the HL7 'IVL_TS' data type. It has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) however
		that value of nullFlavor may not be used for data elements of the TS or IVL data types.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.2 of the Pathology Report CDA Implementation Guide v1.0 the Reporting Pathologist Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type which is
		derived from the HL7 'IVL_TS' data type. The HL7 'TS' data type may also be used for a TimeInterval however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		(See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 3.8.1 of HL7 Version 3 Standard: Data Types - Abstract Specification,
		Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.2 of the Pathology Report CDA Implementation Guide v1.0 the Reporting Pathologist Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type which is
		derived from the HL7 'IVL_TS' data type. The HL7 'TS' data type may also be used for a TimeInterval however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'IVL_TS' or 'TS'.
		(See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 3.8.1 of HL7 Version 3 Standard: Data Types - Abstract Specification,
		Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not(@nullFlavor or @value or cda:low or cda:high) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor or @value or cda:low or cda:high)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.2 of the Pathology Report CDA Implementation Guide v1.0 the Reporting Pathologist Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however
		it does not have a nullFlavor or value attribute or low or high elements. A TimeInterval may only contain a nullFlavor or value attribute or low or high elements with the optional
		'inclusive' attribute included in the low or high elements if there is a need to indicate that the low or high boundaries are excluded.
		(See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @value and (cda:low or cda:high) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value and (cda:low or cda:high)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.2 of the Pathology Report CDA Implementation Guide v1.0 the Reporting Pathologist Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type.
		It has the element '<xsl:text /><xsl:value-of select="local-name(cda:*[local-name() = ('low', 'high')])" /><xsl:text />' which is used for the HL7 'IVL' data type
		but also has a 'value' attribute which is used by the HL7 'TS' data type and is not used by the HL7 'IVL' data type. The data element must either have a 'value' attribute
		or '<xsl:text /><xsl:value-of select="local-name(cda:*[local-name() = ('low', 'high')])" /><xsl:text />' but not both.
		(See section 7.10.9.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and section 3.8.1 of
		HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('low', 'high'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.2 of the Pathology Report CDA Implementation Guide v1.0 the Reporting Pathologist Participation Period
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('low', 'high'))])" /><xsl:text />' was found
		that is not expected for the TimeInterval data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('low', 'high', 'width'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('low', 'high', 'width'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.2 of the Pathology Report CDA Implementation Guide v1.0 the Reporting Pathologist Participation Period
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('low', 'high', 'width'))])" /><xsl:text />' was found
		that is not expected for the TimeInterval data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and cda:width/@value and ((cda:low/@value and not(cda:high/@value)) or (not(cda:low/@value) and cda:high/@value)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and cda:width/@value and ((cda:low/@value and not(cda:high/@value)) or (not(cda:low/@value) and cda:high/@value))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.2 of the Pathology Report CDA Implementation Guide v1.0 the Reporting Pathologist Participation Period
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a width element is also
		present with the value '<xsl:text /><xsl:value-of select="cda:width/@value" /><xsl:text />' and unit '<xsl:text /><xsl:value-of select="cda:width/@unit" /><xsl:text />'.		
		This is an error as the presence of a <xsl:text /><xsl:value-of select="if (cda:low) then 'low' else 'high' " /><xsl:text /> element without a <xsl:text /><xsl:value-of select="if (cda:low) then 'high' else 'low' " /><xsl:text /> element
		means the TimeInterval is unbounded in one direction however the width element implies the interval is bounded. That is the width element is an extension that qualifies the
		time interval whereas an extension is allowed only if it does not qualify or negate the time interval.
		(See the definition of Reporting Pathologist Participation Period in the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text />, section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0
		and <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)
		As the <xsl:text /><xsl:value-of select="if (cda:low) then 'start' else 'end' " /><xsl:text /> of the time interval is known then the Reporting Pathologist Participation Period must also have a
		<xsl:text /><xsl:value-of select="if (cda:low) then ' high' else ' low' " /><xsl:text /> element as the TimeInterval data type uses low and high elements rather than width to define an interval.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and cda:width/@value and not(cda:high/@value or cda:low/@value) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and cda:width/@value and not(cda:high/@value or cda:low/@value)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.2 of the Pathology Report CDA Implementation Guide v1.0 the Reporting Pathologist Participation Period
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a width element is also
		present with the value '<xsl:text /><xsl:value-of select="cda:width/@value" /><xsl:text />' and unit '<xsl:text /><xsl:value-of select="cda:width/@unit" /><xsl:text />'.		
		This is an error as the Reporting Pathologist Participation Period has no low or high elements so the TimeInterval is unbounded however the width element implies the interval is bounded. That is the width element is an
		extension that qualifies the time interval whereas an extension is allowed only if it does not qualify or negate the time interval.
		(See the definition of Reporting Pathologist Participation Period in the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text />, section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0
		and <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)
		The TimeInterval data type uses low and high elements rather than width to define an interval.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(    @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or    @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'  )) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not( @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS' ))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.2 of the Pathology Report CDA Implementation Guide v1.0 the Reporting Pathologist Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the TimeInterval data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(    @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or    @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'  )) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not( @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS' ))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.2 of the Pathology Report CDA Implementation Guide v1.0 the Reporting Pathologist Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the TimeInterval data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @operator and @operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @operator and @operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.2 of the Pathology Report CDA Implementation Guide v1.0 the Reporting Pathologist Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the TimeInterval data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @operator and @operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @operator and @operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.2 of the Pathology Report CDA Implementation Guide v1.0 the Reporting Pathologist Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the TimeInterval data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:low/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:low/*">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.2 of the Pathology Report CDA Implementation Guide v1.0 the Reporting Pathologist Participation Period 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(cda:low/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/*">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.2 of the Pathology Report CDA Implementation Guide v1.0 the Reporting Pathologist Participation Period 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(cda:low/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.2 of the Pathology Report CDA Implementation Guide v1.0 the Reporting Pathologist Participation Period 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.2 of the Pathology Report CDA Implementation Guide v1.0 the Reporting Pathologist Participation Period 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:low/@operator and cda:low/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:low/@operator and cda:low/@operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.2 of the Pathology Report CDA Implementation Guide v1.0 the Reporting Pathologist Participation Period 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/@operator and cda:low/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/@operator and cda:low/@operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.2 of the Pathology Report CDA Implementation Guide v1.0 the Reporting Pathologist Participation Period 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:low/cda:originalText) and cda:low/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:low/cda:originalText) and cda:low/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.2 of the Pathology Report CDA Implementation Guide v1.0 the Reporting Pathologist Participation Period 'low' child element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present so
		it is an error to include nullFlavor 'UNC'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:high/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:high/*">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.2 of the Pathology Report CDA Implementation Guide v1.0 the Reporting Pathologist Participation Period 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element '<xsl:text /><xsl:value-of select="local-name(cda:high/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/*">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.2 of the Pathology Report CDA Implementation Guide v1.0 the Reporting Pathologist Participation Period 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element '<xsl:text /><xsl:value-of select="local-name(cda:high/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.2 of the Pathology Report CDA Implementation Guide v1.0 the Reporting Pathologist Participation Period 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.2 of the Pathology Report CDA Implementation Guide v1.0 the Reporting Pathologist Participation Period 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:high/@operator and cda:high/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:high/@operator and cda:high/@operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.2 of the Pathology Report CDA Implementation Guide v1.0 the Reporting Pathologist Participation Period 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/@operator and cda:high/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/@operator and cda:high/@operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.2 of the Pathology Report CDA Implementation Guide v1.0 the Reporting Pathologist Participation Period 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.2 of the Pathology Report CDA Implementation Guide v1.0 the Reporting Pathologist Participation Period 'high' child element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present
		so it is an error to include nullFlavor 'UNC'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 2.4 of the Participation Data Specification v3.2 and section 7.1.1.2 of the Pathology Report CDA Implementation Guide v1.0 the Reporting Pathologist Participation Period 'high' child element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present
		so it is an error to include nullFlavor 'UNC'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M618" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M618" />
  <xsl:template match="@*|node()" priority="-2" mode="M618">
    <xsl:apply-templates select="@*|*" mode="M618" />
  </xsl:template>
  <!--PATTERN p-TS-Pathology-TimeInterval-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.20018' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20018']]/cda:author/cda:time   [not((cda:low/@value and (number(substring(cda:low/@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(cda:low/@value,1,4)) &gt; number($creation-date-yr) + 130)) or     (cda:high/@value and (number(substring(cda:high/@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(cda:high/@value,1,4)) &gt; number($creation-date-yr) + 130)))] " priority="1000" mode="M619">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.20018' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20018']]/cda:author/cda:time   [not((cda:low/@value and (number(substring(cda:low/@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(cda:low/@value,1,4)) &gt; number($creation-date-yr) + 130)) or     (cda:high/@value and (number(substring(cda:high/@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(cda:high/@value,1,4)) &gt; number($creation-date-yr) + 130)))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="fir-narrative" select="translate(normalize-space(lower-case(string($fir-narr-node))), $chars-to-remove, '')" />
    <xsl:variable name="sec-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)        then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]        else () " />
    <xsl:variable name="sec-narr-node" select="$sec-section/cda:text " />
    <xsl:variable name="narr-text-el" select="(for $text in ($fir-narr-node//text(), $sec-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="sec-narrative" select="translate(normalize-space(lower-case(string($sec-narr-node))), $chars-to-remove, '') " />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="narrative" select="concat($target-title, $fir-narrative, $sec-narrative)" />
    <xsl:variable name="narr-elements" select="$fir-narr-node//cda:*[exists(text()[normalize-space() != '']) and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ]  |             $sec-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ] " />
    <xsl:variable name="narr-lower-case" select="for $i in (1 to count($narr-elements)) return lower-case(normalize-space(string-join($narr-elements[$i]/text(), '')))  " />
    <xsl:variable name="dt-narr-elements" select="$narr-lower-case[matches(., $regex-date-type-1, 'i') or matches(., $regex-date-type-2, 'i') or matches(., $regex-date-type-3, 'i')] " />
    <xsl:variable name="narr-elements-start" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-before($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-before($dt-narr-elements[$i], ' -'))        else $dt-narr-elements[$i])[. != ''] " />
    <xsl:variable name="narr-elements-end" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-after($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-after($dt-narr-elements[$i], ' -'))        else '')[. != ''] " />
    <xsl:variable name="narr-dateTimes" select="distinct-values(($narr-elements-start , $narr-elements-end))[. != '(ongoing)'] " />
    <xsl:variable name="l-dt-value" select="if (@value) then @value        else if (cda:low/@value) then cda:low/@value        else '' " />
    <xsl:variable name="l-no-time-zone" select="if (contains($l-dt-value, '+')) then substring-before($l-dt-value, '+')       else if (contains($l-dt-value, '-')) then substring-before($l-dt-value, '-')       else $l-dt-value " />
    <xsl:variable name="l-length" select="string-length($l-no-time-zone) " />
    <xsl:variable name="l-year" select="if ($l-length &gt; 3) then substring($l-no-time-zone,1,4) else '' " />
    <xsl:variable name="l-month-num" select="if ($l-length &gt; 5) then substring($l-no-time-zone,5,2) else '' " />
    <xsl:variable name="l-day" select="if ($l-length &gt; 7 and substring($l-no-time-zone,7,1) = '0') then substring($l-no-time-zone,8,1)       else if ($l-length &gt; 7 and substring($l-no-time-zone,7,1) != '0') then substring($l-no-time-zone,7,2) else '' " />
    <xsl:variable name="l-hour-long" select="if ($l-length &gt; 9) then substring($l-no-time-zone,9,2) else '' " />
    <xsl:variable name="l-hour-short" select="if (substring($l-hour-long, 1, 1) = '0') then substring($l-hour-long, 2, 1) else '' " />
    <xsl:variable name="l-minute" select="if ($l-length &gt; 11) then substring($l-no-time-zone,11,2) else '' " />
    <xsl:variable name="l-second" select="if ($l-length &gt; 13) then substring($l-no-time-zone,13,2) else '' " />
    <xsl:variable name="l-time-zone" select="if (contains($l-dt-value, '+')) then concat('\+', substring-after($l-dt-value, '+'))       else if (contains($l-dt-value, '-')) then concat('\-', substring-after($l-dt-value, '-'))       else '' " />
    <xsl:variable name="l-month-short" select="if ($l-month-num = '01') then 'jan'   else             if ($l-month-num = '02') then 'feb'   else             if ($l-month-num = '03') then 'mar'   else             if ($l-month-num = '04') then 'apr'   else             if ($l-month-num = '05') then 'may'   else             if ($l-month-num = '06') then 'jun'   else             if ($l-month-num = '07') then 'jul'   else             if ($l-month-num = '08') then 'aug'   else             if ($l-month-num = '09') then 'sep'   else             if ($l-month-num = '10') then 'oct'   else             if ($l-month-num = '11') then 'nov'   else             if ($l-month-num = '12') then 'dec'   else '' " />
    <xsl:variable name="l-month-long" select="if ($l-month-num = '01') then 'january'   else             if ($l-month-num = '02') then 'february'  else             if ($l-month-num = '03') then 'march'   else             if ($l-month-num = '04') then 'april'   else             if ($l-month-num = '05') then 'may'   else             if ($l-month-num = '06') then 'june'   else             if ($l-month-num = '07') then 'july'   else             if ($l-month-num = '08') then 'august'   else             if ($l-month-num = '09') then 'september'  else             if ($l-month-num = '10') then 'october'   else             if ($l-month-num = '11') then 'november'  else             if ($l-month-num = '12') then 'december'  else '' " />
    <xsl:variable name="l-date-type-3-day" select="if (string-length($l-day) = 1) then concat('0{0,1}', $l-day) else $l-day " />
    <xsl:variable name="l-date-type-3-month" select="if (string-length($l-month-num) = 1) then concat('0{0,1}', $l-month-num)        else if (substring($l-month-num, 1, 1) = '0') then concat('0{0,1}', substring($l-month-num, 2, 1))         else $l-month-num " />
    <xsl:variable name="l-dt-sequence-1" select="if ($l-length = 4) then (         concat('^', $l-dt-value)        ,          concat('^', $l-year)         )        else if ($l-length = 6) then (         concat('^', $l-dt-value)        ,         concat('^', $l-month-short, $date-sep, $l-year)      ,          concat('^', $l-month-long, $date-sep, $l-year)      )        else if ($l-length &gt; 7) then (         concat('^', $l-dt-value)        ,         concat('^', $l-date-type-3-day, $date-sep, $l-month-short, $date-sep, $l-year)  ,         concat('^', $l-date-type-3-day, $date-sep, $l-month-long, $date-sep, $l-year)  ,         concat('^', $l-date-type-3-day, '/', $l-date-type-3-month, '/', $l-year)  )        else () " />
    <xsl:variable name="l-matching-seq-1" select="if (exists($l-dt-sequence-1))        then index-of(for $i in (1 to count($l-dt-sequence-1)) return exists($narr-dateTimes[matches(., $l-dt-sequence-1[$i], 'i')]), true())        else () " />
    <xsl:variable name="l-dt-stem-1" select="for $i in (1 to count($l-matching-seq-1)) return $l-dt-sequence-1[$l-matching-seq-1[$i]] " />
    <xsl:variable name="l-dt-regex-1" select="if (exists($l-dt-stem-1)) then concat('(', string-join($l-dt-stem-1, '$)|('), '$)') else ()" />
    <xsl:variable name="l-dt-match-1" select="exists($l-dt-stem-1) and exists($narr-dateTimes[matches(., $l-dt-regex-1, 'i')])" />
    <xsl:variable name="l-time-1" select="if ($l-length &gt; 11 and $l-hour-short != '') then concat($l-hour-short, ':', $l-minute, '( *| *am)') else '' " />
    <xsl:variable name="l-time-2" select="if ($l-length &gt; 13 and $l-hour-short != '') then concat($l-hour-short, ':', $l-minute, ':', $l-second, '( *| *am)') else '' " />
    <xsl:variable name="l-time-3" select="if ($l-length &gt; 11 and number($l-hour-long) &lt; 12) then concat($l-hour-long, ':', $l-minute, '( *| *am)')        else if ($l-length &gt; 11) then concat($l-hour-long, ':', $l-minute) else '' " />
    <xsl:variable name="l-time-4" select="if ($l-length &gt; 13 and number($l-hour-long) &lt; 12) then concat($l-hour-long, ':', $l-minute, ':', $l-second, '( *| *am)')        else if ($l-length &gt; 13) then concat($l-hour-long, ':', $l-minute, ':', $l-second) else '' " />
    <xsl:variable name="l-time-5" select="if ($l-length &gt; 11 and number($l-hour-long) &gt; 12) then concat(string(number($l-hour-long) - 12), ':', $l-minute, '( *| *pm)') else '' " />
    <xsl:variable name="l-time-6" select="if ($l-length &gt; 13 and number($l-hour-long) &gt; 12) then concat(string(number($l-hour-long) - 12), ':', $l-minute, ':', $l-second, '( *| *pm)') else '' " />
    <xsl:variable name="l-dt-temp-0" select="if (exists($l-dt-stem-1) and $l-length = 8) then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $narr-time-regex) else () " />
    <xsl:variable name="l-dt-temp-1" select="if (exists($l-dt-stem-1) and $l-time-1 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-1) else () " />
    <xsl:variable name="l-dt-temp-2" select="if (exists($l-dt-stem-1) and $l-time-2 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-2) else () " />
    <xsl:variable name="l-dt-temp-3" select="if (exists($l-dt-stem-1) and $l-time-3 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-3) else () " />
    <xsl:variable name="l-dt-temp-4" select="if (exists($l-dt-stem-1) and $l-time-4 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-4) else () " />
    <xsl:variable name="l-dt-temp-5" select="if (exists($l-dt-stem-1) and $l-time-5 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-5) else () " />
    <xsl:variable name="l-dt-temp-6" select="if (exists($l-dt-stem-1) and $l-time-6 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-6) else () " />
    <xsl:variable name="l-dt-sequence-2" select="($l-dt-temp-0, $l-dt-temp-1, $l-dt-temp-2, $l-dt-temp-3, $l-dt-temp-4, $l-dt-temp-5, $l-dt-temp-6)" />
    <xsl:variable name="l-matching-seq-2" select="if (exists($l-dt-sequence-2))        then index-of(for $i in (1 to count($l-dt-sequence-2)) return exists($narr-dateTimes[matches(., $l-dt-sequence-2[$i], 'i')]), true())        else () " />
    <xsl:variable name="l-dt-stem-2" select="for $i in (1 to count($l-matching-seq-2)) return $l-dt-sequence-2[$l-matching-seq-2[$i]] " />
    <xsl:variable name="l-dt-regex-2" select="if (exists($l-dt-stem-2)) then concat('(', string-join($l-dt-stem-2, '$)|('), '$)') else '' " />
    <xsl:variable name="l-dt-match-2" select="(exists($l-dt-stem-2) and exists($narr-dateTimes[matches(., $l-dt-regex-2, 'i')])) " />
    <xsl:variable name="l-dt-sequence-3" select="if (not($l-dt-match-2) and exists($l-dt-stem-2) and $l-time-zone != '') then for $i in (1 to count($l-dt-stem-2)) return        concat($l-dt-stem-2[$i], substring($l-time-zone, 1, 4), ':?', substring($l-time-zone, 5, 2)) else () " />
    <xsl:variable name="l-dt-regex-3" select="if ($l-dt-match-2) then '' else if (exists($l-dt-sequence-3)) then concat('(', string-join($l-dt-sequence-3, '$)|('), '$)') else '' " />
    <xsl:variable name="l-dt-match-3" select="($l-dt-match-2 or (exists($l-dt-sequence-3) and exists($narr-dateTimes[matches(., $l-dt-regex-3, 'i')]))) " />
    <xsl:variable name="l-narr-match" select="if ($l-dt-value != '' and count($narr-dateTimes) = 0) then      (       contains($narrative, $l-dt-value)                or       (string-length($l-dt-value) = 4 and contains($narrative, $l-year))             or        (string-length($l-dt-value) = 6 and contains($narrative, concat($l-month-short, $l-year)))          or       (string-length($l-dt-value) &gt; 7 and starts-with($l-day, '0') and        (contains($narrative, concat(substring($l-day,2,1), $l-month-short, $l-year)) or         contains($narrative, concat(substring($l-day,2,1), $l-month-num, $l-year))))          or       (string-length($l-dt-value) &gt; 7 and (contains($narrative, concat($l-day, $l-month-short, $l-year)) or contains($narrative, concat($l-day, $l-month-num, $l-year))))        )       else false() " />
    <xsl:variable name="h-dt-value" select="if (cda:high/@value and $l-dt-value != cda:high/@value) then cda:high/@value        else '' " />
    <xsl:variable name="h-no-time-zone" select="if (contains($h-dt-value, '+')) then substring-before($h-dt-value, '+')       else if (contains($h-dt-value, '-')) then substring-before($h-dt-value, '-')       else $h-dt-value " />
    <xsl:variable name="h-length" select="string-length($h-no-time-zone) " />
    <xsl:variable name="h-year" select="if ($h-length &gt; 3) then substring($h-no-time-zone,1,4) else '' " />
    <xsl:variable name="h-month-num" select="if ($h-length &gt; 5) then substring($h-no-time-zone,5,2) else '' " />
    <xsl:variable name="h-day" select="if ($h-length &gt; 7 and substring($h-no-time-zone,7,1) = '0') then substring($h-no-time-zone,8,1)       else if ($h-length &gt; 7 and substring($h-no-time-zone,7,1) != '0') then substring($h-no-time-zone,7,2) else '' " />
    <xsl:variable name="h-hour-long" select="if ($h-length &gt; 9) then substring($h-no-time-zone,9,2) else '' " />
    <xsl:variable name="h-hour-short" select="if (substring($h-hour-long, 1, 1) = '0') then substring($h-hour-long, 2, 1) else '' " />
    <xsl:variable name="h-minute" select="if ($h-length &gt; 11) then substring($h-no-time-zone,11,2) else '' " />
    <xsl:variable name="h-second" select="if ($h-length &gt; 13) then substring($h-no-time-zone,13,2) else '' " />
    <xsl:variable name="h-time-zone" select="if (contains($h-dt-value, '+')) then concat('\+', substring-after($h-dt-value, '+'))       else if (contains($h-dt-value, '-')) then concat('\-', substring-after($h-dt-value, '-'))       else '' " />
    <xsl:variable name="h-month-short" select="if ($h-month-num = '01') then 'jan'   else             if ($h-month-num = '02') then 'feb'   else             if ($h-month-num = '03') then 'mar'   else             if ($h-month-num = '04') then 'apr'   else             if ($h-month-num = '05') then 'may'   else             if ($h-month-num = '06') then 'jun'   else             if ($h-month-num = '07') then 'jul'   else             if ($h-month-num = '08') then 'aug'   else             if ($h-month-num = '09') then 'sep'   else             if ($h-month-num = '10') then 'oct'   else             if ($h-month-num = '11') then 'nov'   else             if ($h-month-num = '12') then 'dec'   else '' " />
    <xsl:variable name="h-month-long" select="if ($h-month-num = '01') then 'january'   else             if ($h-month-num = '02') then 'february'  else             if ($h-month-num = '03') then 'march'   else             if ($h-month-num = '04') then 'april'   else             if ($h-month-num = '05') then 'may'   else             if ($h-month-num = '06') then 'june'   else             if ($h-month-num = '07') then 'july'   else             if ($h-month-num = '08') then 'august'   else             if ($h-month-num = '09') then 'september'  else             if ($h-month-num = '10') then 'october'   else             if ($h-month-num = '11') then 'november'  else             if ($h-month-num = '12') then 'december'  else '' " />
    <xsl:variable name="h-date-type-3-day" select="if (string-length($h-day) = 1) then concat('0{0,1}', $h-day) else $h-day " />
    <xsl:variable name="h-date-type-3-month" select="if (string-length($h-month-num) = 1) then concat('0{0,1}', $h-month-num)        else if (substring($h-month-num, 1, 1) = '0') then concat('0{0,1}', substring($h-month-num, 2, 1))         else $h-month-num " />
    <xsl:variable name="h-dt-sequence-1" select="if ($h-length = 4) then (         concat('^', $h-dt-value)        ,          concat('^', $h-year)         )        else if ($h-length = 6) then (         concat('^', $h-dt-value)        ,         concat('^', $h-month-short, $date-sep, $h-year)      ,          concat('^', $h-month-long, $date-sep, $h-year)      )        else if ($h-length &gt; 7) then (         concat('^', $h-dt-value)        ,         concat('^', $h-date-type-3-day, $date-sep, $h-month-short, $date-sep, $h-year)  ,         concat('^', $h-date-type-3-day, $date-sep, $h-month-long, $date-sep, $h-year)  ,         concat('^', $h-date-type-3-day, '/', $h-date-type-3-month, '/', $h-year)  )        else () " />
    <xsl:variable name="h-matching-seq-1" select="if (exists($h-dt-sequence-1))        then index-of(for $i in (1 to count($h-dt-sequence-1)) return exists($narr-dateTimes[matches(., $h-dt-sequence-1[$i], 'i')]), true())        else () " />
    <xsl:variable name="h-dt-stem-1" select="for $i in (1 to count($h-matching-seq-1)) return $h-dt-sequence-1[$h-matching-seq-1[$i]] " />
    <xsl:variable name="h-dt-regex-1" select="if (exists($h-dt-stem-1)) then concat('(', string-join($h-dt-stem-1, '$)|('), '$)') else ()" />
    <xsl:variable name="h-dt-match-1" select="exists($h-dt-stem-1) and exists($narr-dateTimes[matches(., $h-dt-regex-1, 'i')])" />
    <xsl:variable name="h-time-1" select="if ($h-length &gt; 11 and $h-hour-short != '') then concat($h-hour-short, ':', $h-minute, '( *| *am)') else '' " />
    <xsl:variable name="h-time-2" select="if ($h-length &gt; 13 and $h-hour-short != '') then concat($h-hour-short, ':', $h-minute, ':', $h-second, '( *| *am)') else '' " />
    <xsl:variable name="h-time-3" select="if ($h-length &gt; 11 and number($h-hour-long) &lt; 12) then concat($h-hour-long, ':', $h-minute, '( *| *am)')        else if ($h-length &gt; 11) then concat($h-hour-long, ':', $h-minute) else '' " />
    <xsl:variable name="h-time-4" select="if ($h-length &gt; 13 and number($h-hour-long) &lt; 12) then concat($h-hour-long, ':', $h-minute, ':', $h-second, '( *| *am)')        else if ($h-length &gt; 13) then concat($h-hour-long, ':', $h-minute, ':', $h-second) else '' " />
    <xsl:variable name="h-time-5" select="if ($h-length &gt; 11 and number($h-hour-long) &gt; 12) then concat(string(number($h-hour-long) - 12), ':', $h-minute, '( *| *pm)') else '' " />
    <xsl:variable name="h-time-6" select="if ($h-length &gt; 13 and number($h-hour-long) &gt; 12) then concat(string(number($h-hour-long) - 12), ':', $h-minute, ':', $h-second, '( *| *pm)') else '' " />
    <xsl:variable name="h-dt-temp-0" select="if (exists($h-dt-stem-1) and $h-length = 8) then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $narr-time-regex) else () " />
    <xsl:variable name="h-dt-temp-1" select="if (exists($h-dt-stem-1) and $h-time-1 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-1) else () " />
    <xsl:variable name="h-dt-temp-2" select="if (exists($h-dt-stem-1) and $h-time-2 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-2) else () " />
    <xsl:variable name="h-dt-temp-3" select="if (exists($h-dt-stem-1) and $h-time-3 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-3) else () " />
    <xsl:variable name="h-dt-temp-4" select="if (exists($h-dt-stem-1) and $h-time-4 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-4) else () " />
    <xsl:variable name="h-dt-temp-5" select="if (exists($h-dt-stem-1) and $h-time-5 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-5) else () " />
    <xsl:variable name="h-dt-temp-6" select="if (exists($h-dt-stem-1) and $h-time-6 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-6) else () " />
    <xsl:variable name="h-dt-sequence-2" select="($h-dt-temp-0, $h-dt-temp-1, $h-dt-temp-2, $h-dt-temp-3, $h-dt-temp-4, $h-dt-temp-5, $h-dt-temp-6)" />
    <xsl:variable name="h-matching-seq-2" select="if (exists($h-dt-sequence-2))        then index-of(for $i in (1 to count($h-dt-sequence-2)) return exists($narr-dateTimes[matches(., $h-dt-sequence-2[$i], 'i')]), true())        else () " />
    <xsl:variable name="h-dt-stem-2" select="for $i in (1 to count($h-matching-seq-2)) return $h-dt-sequence-2[$h-matching-seq-2[$i]] " />
    <xsl:variable name="h-dt-regex-2" select="if (exists($h-dt-stem-2)) then concat('(', string-join($h-dt-stem-2, '$)|('), '$)') else '' " />
    <xsl:variable name="h-dt-match-2" select="(exists($h-dt-stem-2) and exists($narr-dateTimes[matches(., $h-dt-regex-2, 'i')])) " />
    <xsl:variable name="h-dt-sequence-3" select="if (not($h-dt-match-2) and exists($h-dt-stem-2) and $h-time-zone != '') then for $i in (1 to count($h-dt-stem-2)) return        concat($h-dt-stem-2[$i], substring($h-time-zone, 1, 4), ':?', substring($h-time-zone, 5, 2)) else () " />
    <xsl:variable name="h-dt-regex-3" select="if ($h-dt-match-2) then '' else if (exists($h-dt-sequence-3)) then concat('(', string-join($h-dt-sequence-3, '$)|('), '$)') else '' " />
    <xsl:variable name="h-dt-match-3" select="($h-dt-match-2 or (exists($h-dt-sequence-3) and exists($narr-dateTimes[matches(., $h-dt-regex-3, 'i')]))) " />
    <xsl:variable name="h-narr-match" select="if ($h-dt-value != '' and count($narr-dateTimes) = 0) then      (       contains($narrative, $h-dt-value)                or       (string-length($h-dt-value) = 4 and contains($narrative, $h-year))             or        (string-length($h-dt-value) = 6 and contains($narrative, concat($h-month-short, $h-year)))          or       (string-length($h-dt-value) &gt; 7 and starts-with($h-day, '0') and        (contains($narrative, concat(substring($h-day,2,1), $h-month-short, $h-year)) or         contains($narrative, concat(substring($h-day,2,1), $h-month-num, $h-year))))          or       (string-length($h-dt-value) &gt; 7 and (contains($narrative, concat($h-day, $h-month-short, $h-year)) or contains($narrative, concat($h-day, $h-month-num, $h-year))))        )       else false() " />
    <xsl:variable name="h-nullFlavor-values" select="if (cda:high/@nullFlavor and cda:high/@nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))        then $nullFlavors/nullFlavor[@value = current()/cda:high/@nullFlavor] else () " />
    <xsl:variable name="h-null-to-find" select="exists($h-nullFlavor-values) " />
    <xsl:variable name="h-null-in-narr" select="($h-nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $h-nullFlavor-values/@name-regex, 'is')])) or              ($h-nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $h-nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="l-nullFlavor-values" select="if (cda:low/@nullFlavor and cda:low/@nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))        then $nullFlavors/nullFlavor[@value = current()/cda:low/@nullFlavor] else () " />
    <xsl:variable name="l-null-to-find" select="exists($l-nullFlavor-values) " />
    <xsl:variable name="l-null-in-narr" select="($l-nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $l-nullFlavor-values/@name-regex, 'is')])) or              ($l-nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $l-nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="l-dt-name" select="if ($l-dt-value = cda:low/@value) then ' low' else '' " />
    <xsl:variable name="l-dt-msg" select="if ($l-dt-value = cda:low/@value) then ' This date/time is the low boundary of a time interval.' else '' " />
    <xsl:variable name="h-dt-msg" select="if ($h-dt-value = cda:high/@value) then ' This date/time is the high boundary of a time interval.' else '' " />
    <xsl:variable name="l-null-msg" select="if ($l-dt-value = cda:low/@value) then ' This nullFlavor value is for the low boundary of a time interval.' else '' " />
    <xsl:variable name="h-null-msg" select="if ($h-dt-value = cda:high/@value) then ' This nullFlavor value is for the high boundary of a time interval.' else '' " />
    <xsl:variable name="multimedia" select="exists($fir-narr-node//cda:renderMultiMedia) or exists($sec-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($fir-narr-node//cda:linkHtml) or exists($sec-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="l-warning-1" select="exists($l-dt-sequence-1) and exists($narr-dateTimes) and $l-dt-match-1 and not($l-dt-match-3) and $l-dt-value != '' " />
    <xsl:variable name="l-error-1" select="$l-warning-1 and not($multimedia) " />
    <xsl:variable name="l-warning-2" select="exists($l-dt-sequence-1) and exists($narr-dateTimes) and not($l-dt-match-1 or $l-dt-match-3) and $l-dt-value != '' " />
    <xsl:variable name="l-error-2a" select="$l-warning-2 and not($multimedia) and $l-time-zone != '' and count($narr-dateTimes) =        count(for $dt in $narr-dateTimes return replace(replace($dt, $regex-date-type-1, ''), $regex-date-type-2, '')       [matches(., concat('^\s*([0-9]{1,2}:{1}[0-9]{2}\s*', substring($l-time-zone, 1, 4), ':?', substring($l-time-zone, 5, 2),         '|[0-9]{1,2}:{1}[0-9]{2}:{1}[0-9]{2}\s*', substring($l-time-zone, 1, 4), ':?', substring($l-time-zone, 5, 2), ')\s*$'), 'i')]) " />
    <xsl:variable name="l-error-2b" select="$l-warning-2 and not($l-dt-match-1) and not($multimedia) and count($narr-dateTimes[matches(., $regex-date-type-2, 'i')]) =        count($narr-dateTimes[matches(., concat($regex-date-type-2, ' ', $narr-time-regex, '$'), 'i')]) " />
    <xsl:variable name="l-error-2c" select="$l-warning-2 and exists($narr-dateTimes[matches(., concat('^', $l-year, '$'))]) " />
    <xsl:variable name="l-error-2" select="$l-error-2a or $l-error-2b or $l-error-2c " />
    <xsl:variable name="l-warning-3" select="$l-dt-value != '' and not(exists($narr-dateTimes)) and not($l-narr-match) " />
    <xsl:variable name="l-error-3" select="$l-warning-3 and not($multimedia) and not(contains($narrative, substring($l-year, 3,2)))" />
    <xsl:variable name="h-warning-1" select="exists($h-dt-sequence-1) and exists($narr-dateTimes) and $h-dt-match-1 and not($h-dt-match-3) and $h-dt-value != '' " />
    <xsl:variable name="h-error-1" select="$h-warning-1 and not($multimedia) " />
    <xsl:variable name="h-warning-2" select="exists($h-dt-sequence-1) and exists($narr-dateTimes) and not($h-dt-match-1 or $h-dt-match-3) and $h-dt-value != '' " />
    <xsl:variable name="h-error-2a" select="$h-warning-2 and not($multimedia) and $h-time-zone != '' and count($narr-dateTimes) =        count(for $dt in $narr-dateTimes return replace(replace($dt, $regex-date-type-1, ''), $regex-date-type-2, '')       [matches(., concat('^\s*([0-9]{1,2}:{1}[0-9]{2}\s*', substring($h-time-zone, 1, 4), ':?', substring($h-time-zone, 5, 2),         '|[0-9]{1,2}:{1}[0-9]{2}:{1}[0-9]{2}\s*', substring($h-time-zone, 1, 4), ':?', substring($h-time-zone, 5, 2), ')\s*$'), 'i')]) " />
    <xsl:variable name="h-error-2b" select="$h-warning-2 and not($h-dt-match-1) and not($multimedia) and count($narr-dateTimes[matches(., $regex-date-type-2, 'i')]) =        count($narr-dateTimes[matches(., concat($regex-date-type-2, ' ', $narr-time-regex, '$'), 'i')]) " />
    <xsl:variable name="h-error-2c" select="$l-warning-2 and exists($narr-dateTimes[matches(., concat('^', $h-year, '$'))]) " />
    <xsl:variable name="h-error-2" select="$h-error-2a or $h-error-2b or $h-error-2c " />
    <xsl:variable name="h-warning-3" select="$h-dt-value != '' and not(exists($narr-dateTimes)) and not($h-narr-match) " />
    <xsl:variable name="h-error-3" select="$h-warning-3 and not($multimedia) and not(contains($narrative, substring($h-year, 3,2))) " />
    <xsl:variable name="narr-dt-msg" select="if ($multimedia or $no-content) then ''       else if (not(exists($narr-dateTimes))) then concat(' The narrative of the ', iq:location(., ''), ' contains no dateTime elements.')       else if (count($narr-dateTimes) = 1) then concat(' The only dateTime element in the narrative of the ', iq:location(., ''), ' is ''',         dh:XQueryRecursiveReplace($narr-dateTimes[1], '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), '''.')       else concat(' The distinct dateTime elements in the narrative of the ', iq:location(., ''), ' are ''',         string-join(for $dt in $narr-dateTimes return          dh:XQueryRecursiveReplace($dt, '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), ', '), '''.') " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-4" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-4 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and exists($l-dt-sequence-1) and $l-dt-value != '' and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and exists($l-dt-sequence-1) and $l-dt-value != '' and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 4: The dateTime element in the structured data is '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'.<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text />
		The number of dateTime elements that have been extracted from the narrative is '<xsl:text /><xsl:value-of select="count($narr-dateTimes)" /><xsl:text />'.
		These are '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-dateTimes, ', '), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The initial regular expressions are '<xsl:text /><xsl:value-of select="string-join($l-dt-sequence-1, ', ')" /><xsl:text />'.
		The three regular expressions used to perform an exact match for narrative dateTime elements are as follows:
		l-dt-regex-1='<xsl:text /><xsl:value-of select="$l-dt-regex-1" /><xsl:text />'; l-dt-regex-2='<xsl:text /><xsl:value-of select="$l-dt-regex-2" /><xsl:text />'; and l-dt-regex-3='<xsl:text /><xsl:value-of select="$l-dt-regex-3" /><xsl:text />'.
		Was a match found after the first regular expression was created? <xsl:text /><xsl:value-of select="$l-dt-match-1" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($l-dt-regex-2 = '') then 'The second regular expression was not applied as there is no time information.'    else concat('Was a match found after the second regular expression (with a date and time) was created? ', $l-dt-match-2, '.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($l-dt-regex-3 = '') then 'The third regular expression was not applied as there is no timezone information.'    else concat('Was a match found after the third regular expression (with a date and time) was created? ', $l-dt-match-3, '.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and exists($h-dt-sequence-1) and $h-dt-value != '' and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and exists($h-dt-sequence-1) and $h-dt-value != '' and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 4: The dateTime element in the structured data is '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'.<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text />
		The number of dateTime elements that have been extracted from the narrative is '<xsl:text /><xsl:value-of select="count($narr-dateTimes)" /><xsl:text />'.
		These are '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-dateTimes, ', '), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The initial regular expressions are '<xsl:text /><xsl:value-of select="string-join($h-dt-sequence-1, ', ')" /><xsl:text />'.
		The three regular expressions used to perform an exact match for narrative dateTime elements are as follows:
		h-dt-regex-1='<xsl:text /><xsl:value-of select="$h-dt-regex-1" /><xsl:text />'; h-dt-regex-2='<xsl:text /><xsl:value-of select="$h-dt-regex-2" /><xsl:text />'; and h-dt-regex-3='<xsl:text /><xsl:value-of select="$h-dt-regex-3" /><xsl:text />'.
		Was a match found after the first regular expression was created? <xsl:text /><xsl:value-of select="$h-dt-match-1" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($h-dt-regex-2 = '') then 'The second regular expression was not applied as there is no time information.'    else concat('Was a match found after the second regular expression (with a date and time) was created? ', $h-dt-match-2, '.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($h-dt-regex-3 = '') then 'The third regular expression was not applied as there is no timezone information.'    else concat('Was a match found after the third regular expression (with a date and time) was created? ', $h-dt-match-3, '.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $l-warning-1 and not($l-error-1 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $l-warning-1 and not($l-error-1 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Reporting Pathologist Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /> Although the date was found in the narrative the Reporting Pathologist Participation Period data element must contain the time.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Reporting Pathologist Participation Period data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $l-error-1 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $l-error-1 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Reporting Pathologist Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /> Although the date was found in the narrative the Reporting Pathologist Participation Period data element must contain the time.
		The Reporting Pathologist Participation Period data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $l-error-1 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $l-error-1 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Reporting Pathologist Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /> Although the date was found in the narrative the Reporting Pathologist Participation Period data element must contain the time.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-warning-2 and not($l-error-2 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-warning-2 and not($l-error-2 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Reporting Pathologist Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Reporting Pathologist Participation Period data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-error-2 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-error-2 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Reporting Pathologist Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($l-error-2c) then concat('The narrative contains a date with the same year ''', $l-year, ''' but without a month or day.') else '' " /><xsl:text />
		The Reporting Pathologist Participation Period data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-error-2 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-error-2 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Reporting Pathologist Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($l-error-2c) then concat('The narrative contains a date with the same year ''', $l-year, ''' but without a month or day.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $l-dt-value != '' and not($l-narr-match or $l-null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $l-dt-value != '' and not($l-narr-match or $l-null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Reporting Pathologist Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $l-dt-value != '' and not($l-narr-match or $l-null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $l-dt-value != '' and not($l-narr-match or $l-null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Reporting Pathologist Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Reporting Pathologist Participation Period data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $h-warning-1 and not($h-error-1 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $h-warning-1 and not($h-error-1 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Reporting Pathologist Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /> Although the date was found in the narrative the Reporting Pathologist Participation Period data element must contain the time.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Reporting Pathologist Participation Period data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $h-error-1 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $h-error-1 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Reporting Pathologist Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /> Although the date was found in the narrative the Reporting Pathologist Participation Period data element must contain the time.
		The Reporting Pathologist Participation Period data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $h-error-1 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $h-error-1 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Reporting Pathologist Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /> Although the date was found in the narrative the Reporting Pathologist Participation Period data element must contain the time.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-warning-2 and not($h-error-2 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-warning-2 and not($h-error-2 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Reporting Pathologist Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Reporting Pathologist Participation Period data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-error-2 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-error-2 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Reporting Pathologist Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($h-error-2c) then concat('The narrative contains a date with the same year ''', $h-year, ''' but without a month or day.') else '' " /><xsl:text />
		The Reporting Pathologist Participation Period data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-error-2 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-error-2 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Reporting Pathologist Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($h-error-2c) then concat('The narrative contains a date with the same year ''', $h-year, ''' but without a month or day.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-warning-3 and not($l-error-3 or $no-content)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-warning-3 and not($l-error-3 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Reporting Pathologist Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not seem to be present in the narrative of the section.<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Reporting Pathologist Participation Period data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-error-3 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-error-3 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Reporting Pathologist Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Reporting Pathologist Participation Period data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else ' All clinical information in entry elements must be present in the narrative.'" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-error-3 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-error-3 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Reporting Pathologist Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-warning-3 and not($h-error-3 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-warning-3 and not($h-error-3 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Reporting Pathologist Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not seem to be present in the narrative of the section.<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Reporting Pathologist Participation Period data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-error-3 and not($no-content) and true()  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-error-3 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Reporting Pathologist Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text />
		The Reporting Pathologist Participation Period data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-error-3 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-error-3 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Reporting Pathologist Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $h-dt-value != '' and not($h-narr-match or $h-null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $h-dt-value != '' and not($h-narr-match or $h-null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Reporting Pathologist Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $h-dt-value != '' and not($h-narr-match or $h-null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $h-dt-value != '' and not($h-narr-match or $h-null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Reporting Pathologist Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Reporting Pathologist Participation Period data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-null-to-find and not($l-null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-null-to-find and not($l-null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Reporting Pathologist Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="cda:low/@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$l-nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($l-nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.<xsl:text /><xsl:value-of select="$l-null-msg" /><xsl:text /> If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-null-to-find and not($h-null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-null-to-find and not($h-null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Reporting Pathologist Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="cda:high/@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$h-nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($h-nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.<xsl:text /><xsl:value-of select="$h-null-msg" /><xsl:text />
		If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M619" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M619" />
  <xsl:template match="@*|node()" priority="-2" mode="M619">
    <xsl:apply-templates select="@*|*" mode="M619" />
  </xsl:template>
  <!--PATTERN p-TS-Pathology-EncapsulatedData-1-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument['101.20018' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20018']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16971']]/cda:reference/cda:externalDocument/cda:text " priority="1000" mode="M620">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument['101.20018' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20018']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16971']]/cda:reference/cda:externalDocument/cda:text " />
    <xsl:variable name="the-text" select="normalize-space(string-join(text(), '')) " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="display-text-1" select="$the-text " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)        then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')), codepoints-to-string(34))       else concat('commencing with ', codepoints-to-string(34),         normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),         $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-02" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-02 else $rating-alt-TC-Types-02 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-02: The Related Document - Test Result Representation
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type and
		<xsl:text /><xsl:value-of select="if (cda:reference/@value and $text-is-present) then concat('has a reference to ''', cda:reference/@value, ''' and contains the character string ',    $display-text)   else if (cda:reference/@value and not($text-is-present)) then concat('has a reference to ''', cda:reference/@value, '''')   else if (not(cda:reference/@value) and $text-is-present) then concat('contains the character string ', $display-text)   else 'has no reference and does not contain a character string' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@nullFlavor) then concat(' The nullFlavor attribute has the value ''', @nullFlavor, '''.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (@integrityCheckAlgorithm) then concat(' The integrityCheckAlgorithm attribute has the value ''', @integrityCheckAlgorithm, '''.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (@integrityCheck) then concat(' The integrityCheck attribute has the value ''', @integrityCheck, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-02" /><xsl:text />: TC-Types-02: According to section 2.20 of the Pathology Report Structured Content Specification v1.0 the Related Document - Test Result Representation

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type
		which is derived from the HL7 'ED' data type however the xsi:type attribute has the value <xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(local-name(..) = 'observationMedia') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(local-name(..) = 'observationMedia') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-02" /><xsl:text />: TC-Types-02: According to section 2.20 of the Pathology Report Structured Content Specification v1.0 the Related Document - Test Result Representation
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type which is derived from the HL7 'ED' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'ED'.
		(See section 5.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeED') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeED')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.20 of the Pathology Report Structured Content Specification v1.0 the Related Document - Test Result Representation
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type.
		The data element's value '<xsl:text /><xsl:value-of select="$display-text-1" /><xsl:text />' contains "xsitypeED" which is an invalid attempt to assign the data element's type to be the HL7 'ED' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ED'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@integrityCheckAlgorithm) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@integrityCheckAlgorithm)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-02" /><xsl:text />: TC-Types-02: The Related Document - Test Result Representation
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type but does not have the
		integrityCheckAlgorithm attribute which indicates the data element does not have the HL7 'ED' data type. The Encapsulated Data data type is derived from the HL7 'ED' data type so the
		attribute xsi:type with the value 'ED' needs to be added to the data element.
		(See section 5.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('reference', 'thumbnail'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('reference', 'thumbnail'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.20 of the Pathology Report Structured Content Specification v1.0 the Related Document - Test Result Representation

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('reference', 'thumbnail'))])" /><xsl:text />' was found that is not expected for the EncapsulatedData data type
		so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('reference', 'thumbnail'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('reference', 'thumbnail'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.20 of the Pathology Report Structured Content Specification v1.0 the Related Document - Test Result Representation

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('reference', 'thumbnail'))])" /><xsl:text />' was found that is not expected for the EncapsulatedData data type
		so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'charset', 'integrityCheck', 'integrityCheckAlgorithm', 'compression', 'representation'))] and    not(@xsi:type and not(@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'charset', 'integrityCheck', 'integrityCheckAlgorithm', 'compression', 'representation'))] and not(@xsi:type and not(@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.20 of the Pathology Report Structured Content Specification v1.0 the Related Document - Test Result Representation

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'charset', 'integrityCheck', 'integrityCheckAlgorithm', 'compression', 'representation'))])" /><xsl:text />' was
		found that is not expected for the EncapsulatedData data type.
		The definition of the EncapsulatedData data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'charset', 'integrityCheck', 'integrityCheckAlgorithm', 'compression', 'representation'))] and    not(@xsi:type and not(@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'charset', 'integrityCheck', 'integrityCheckAlgorithm', 'compression', 'representation'))] and not(@xsi:type and not(@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.20 of the Pathology Report Structured Content Specification v1.0 the Related Document - Test Result Representation

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'charset', 'integrityCheck', 'integrityCheckAlgorithm', 'compression', 'representation'))])" /><xsl:text />' was
		found that is not expected for the EncapsulatedData data type.
		The definition of the EncapsulatedData data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-02" /><xsl:text />: TC-Types-02: The Related Document - Test Result Representation
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type and has the attribute
		language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this attribute.
		(See section 5.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @charset ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @charset">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-02" /><xsl:text />: TC-Types-02: The Related Document - Test Result Representation
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type and has the attribute
		charset='<xsl:text /><xsl:value-of select="@charset" /><xsl:text />'. Confirm that this is a valid value for this attribute.
		(See section 5.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M620" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M620" />
  <xsl:template match="@*|node()" priority="-2" mode="M620">
    <xsl:apply-templates select="@*|*" mode="M620" />
  </xsl:template>
  <!--PATTERN p-TS-Pathology-EncapsulatedData-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.20018' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20018']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16971']]/cda:reference/cda:externalDocument/cda:text  " priority="1000" mode="M621">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.20018' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20018']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16971']]/cda:reference/cda:externalDocument/cda:text  " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Related Document - Test Result Representation '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Related Document - Test Result Representation
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Related Document - Test Result Representation data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Related Document - Test Result Representation
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Related Document - Test Result Representation data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Related Document - Test Result Representation
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Related Document - Test Result Representation
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Related Document - Test Result Representation data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Related Document - Test Result Representation
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M621" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M621" />
  <xsl:template match="@*|node()" priority="-2" mode="M621">
    <xsl:apply-templates select="@*|*" mode="M621" />
  </xsl:template>
  <!--PATTERN p-TS-Pathology-Text-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.20018' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20018']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16971']]/cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16966']]/cda:text " priority="1000" mode="M622">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.20018' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20018']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16971']]/cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16966']]/cda:text " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Related Document - Report Name
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 2.24 of the Pathology Report Structured Content Specification v1.0 the Related Document - Report Name 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 2.24 of the Pathology Report Structured Content Specification v1.0 the Related Document - Report Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.24 of the Pathology Report Structured Content Specification v1.0 the Related Document - Report Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Related Document - Report Name however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Related Document - Report Name in section 2.24 of the Pathology Report Structured Content Specification v1.0 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.24 of the Pathology Report Structured Content Specification v1.0 the Related Document - Report Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Related Document - Report Name however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Related Document - Report Name in section 2.24 of the Pathology Report Structured Content Specification v1.0 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Related Document - Report Name data element with a proper value then an exclusion
		statement must be included to state why there is no Related Document - Report Name. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.24 of the Pathology Report Structured Content Specification v1.0 the Related Document - Report Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Related Document - Report Name however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Related Document - Report Name in section 2.24 of the Pathology Report Structured Content Specification v1.0 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.24 of the Pathology Report Structured Content Specification v1.0 the Related Document - Report Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.24 of the Pathology Report Structured Content Specification v1.0 the Related Document - Report Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.24 of the Pathology Report Structured Content Specification v1.0 the Related Document - Report Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.24 of the Pathology Report Structured Content Specification v1.0 the Related Document - Report Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.24 of the Pathology Report Structured Content Specification v1.0 the Related Document - Report Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.24 of the Pathology Report Structured Content Specification v1.0 the Related Document - Report Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.24 of the Pathology Report Structured Content Specification v1.0 the Related Document - Report Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.24 of the Pathology Report Structured Content Specification v1.0 the Related Document - Report Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.24 of the Pathology Report Structured Content Specification v1.0 the Related Document - Report Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 2.24 of the Pathology Report Structured Content Specification v1.0 the Related Document - Report Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M622" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M622" />
  <xsl:template match="@*|node()" priority="-2" mode="M622">
    <xsl:apply-templates select="@*|*" mode="M622" />
  </xsl:template>
  <!--PATTERN p-TS-Pathology-Text-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.20018' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20018']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16971']]/cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16966']]/cda:text " priority="1000" mode="M623">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.20018' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20018']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16971']]/cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16966']]/cda:text " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Related Document - Report Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Related Document - Report Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Related Document - Report Name data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Related Document - Report Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Related Document - Report Name data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Related Document - Report Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Related Document - Report Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Related Document - Report Name data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Related Document - Report Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M623" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M623" />
  <xsl:template match="@*|node()" priority="-2" mode="M623">
    <xsl:apply-templates select="@*|*" mode="M623" />
  </xsl:template>
  <!--PATTERN p-TS-Pathology-UniqueIdentifier-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.20018' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20018']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16971']]/cda:reference/cda:externalDocument/cda:id " priority="1000" mode="M624">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.20018' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20018']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16971']]/cda:reference/cda:externalDocument/cda:id " />
    <xsl:variable name="agency-namespace" select="@root and (matches(@root, '^1\.2\.36\.1\.2001\.1001\.10[0-4]{1}\.') or matches(@root, '^1\.2\.36\.1\.2001\.1006\.')) " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-11" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-11 else $rating-alt-TC-Types-11 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="ii-context" select="if (ancestor::cda:recordTarget and ancestor::ext:asEntityIdentifier) then 'default' else 'alternative' " />
    <xsl:variable name="rating-73" select="if ($initial-priority) then $initial-rating       else if ($ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/test-case[@id='TC-Types-73']/@rating)        then concat(' (', $ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/test-case[@id='TC-Types-73']/@rating, ')')       else if ($ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/@rating)       then concat(' (', $ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/@rating, ')')       else '' " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-11: The Related Document - Report Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type and has <xsl:text /><xsl:value-of select="iq:display-II(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-11" /><xsl:text />: TC-Types-11: According to section 2.26 of the Pathology Report Structured Content Specification v1.0 the Related Document - Report Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type which
		is derived from the HL7 'II' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present.
		(See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-11" /><xsl:text />: TC-Types-11: According to section 2.26 of the Pathology Report Structured Content Specification v1.0 the Related Document - Report Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type which is derived from the HL7 'II' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'II'. (See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.26 of the Pathology Report Structured Content Specification v1.0 the Related Document - Report Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the UniqueIdentifier data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.26 of the Pathology Report Structured Content Specification v1.0 the Related Document - Report Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the UniqueIdentifier data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and   not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.26 of the Pathology Report Structured Content Specification v1.0 the Related Document - Report Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however the attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))])" /><xsl:text />' was found that is not in the list of attributes
		expected for the UniqueIdentifier data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and   not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.26 of the Pathology Report Structured Content Specification v1.0 the Related Document - Report Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however the attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))])" /><xsl:text />' was found that is not in the list of attributes
		expected for the UniqueIdentifier data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $agency-namespace ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$agency-namespace">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-73" /><xsl:text />: TC-Types-73:  The Related Document - Report Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-II(.)" /><xsl:text />. The value of the root attribute identifies the
		'<xsl:text /><xsl:value-of select="$namespaces/namespace[starts-with(current()/@root, concat(@OID-prefix, '.'))]/@name" /><xsl:text />' namespace which is reserved for use by the Australian Digital Health Agency.
		The value of the root attribute must define the namespace for the extension attribute whose value is required to identify the document of interest.
		(See section 7.6.7.3.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and the Related Document - Report Identifier definition in section 2.26 of the Pathology Report Structured Content Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M624" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M624" />
  <xsl:template match="@*|node()" priority="-2" mode="M624">
    <xsl:apply-templates select="@*|*" mode="M624" />
  </xsl:template>
  <!--PATTERN p-TS-Pathology-UniqueIdentifier-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.20018' = $doc-sections]   [cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.220' and @extension = '1.0']]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20018']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16971']]/cda:reference/cda:externalDocument/cda:id " priority="1000" mode="M625">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.20018' = $doc-sections]   [cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.220' and @extension = '1.0']]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20018']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16971']]/cda:reference/cda:externalDocument/cda:id " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and exists(('ALL')[. = 'ALL']) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and exists(('ALL')[. = 'ALL'])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Related Document - Report Identifier data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. The Related Document - Report Identifier data element is not allowed to contain a nullFlavor attribute.
		(See requirement 024692 of the eHealth Pathology Report My Health Record Conformance Profile v1.1.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and exists(('ALL')[. = current()/@nullFlavor]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and exists(('ALL')[. = current()/@nullFlavor])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Related Document - Report Identifier data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. The Related Document - Report Identifier data element is not allowed to contain a nullFlavor attribute
		with this value. (See requirement 024692 of the eHealth Pathology Report My Health Record Conformance Profile v1.1.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M625" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M625" />
  <xsl:template match="@*|node()" priority="-2" mode="M625">
    <xsl:apply-templates select="@*|*" mode="M625" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144'] " priority="1000" mode="M626">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144'] " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating" select="if ($initial-priority) then $initial-rating else if ($FS-Types-seq/@rating) then concat(' (', $FS-Types-seq/@rating, ')') else '' " />
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and not( /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4'] or        /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2'] or        /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3'] or        /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')] or        /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.220' and @extension = '1.0']) and $extensions-allowed">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not( /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4'] or /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2'] or /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3'] or /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')] or /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.220' and @extension = '1.0']) and $extensions-allowed">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: FS-Types: The Pathology Test Result section (codeSystem '1.2.36.1.2001.1001.101' and code '102.16144') has been found in a <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. The Pathology Test Result section (codeSystem '1.2.36.1.2001.1001.101' and code '102.16144') is defined in the digital health specifications but
		although tests have been applied to the data elements the specification of the data elements may have been varied for inclusion in this document
		so further examination may be needed. The rules have been validated for <xsl:text /><xsl:value-of select="normalize-space(' Discharge Summary CDA Implementation Guide version 3.4;        eReferral CDA Implementation Guide version 2.2;         Specialist Letter CDA Implementation Guide version 1.3; and         Event Summary CDA Implementation Guide version 1.2 and 1.3; and        Pathology Report Summary CDA Implementation Guide version 1.0')" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M626" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M626" />
  <xsl:template match="@*|node()" priority="-2" mode="M626">
    <xsl:apply-templates select="@*|*" mode="M626" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:component/cda:section " priority="1000" mode="M627">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:component/cda:section " />
    <xsl:variable name="agency-section" select=" cda:code/@codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="test-step" select=" if (not($extensions-allowed)) then 'step 4'        else if ($agency-section) then 'step 3' else 'step 1' " />
    <xsl:variable name="title-and-code" select=" if (cda:title and cda:code/@code) then concat('title ''', cda:title, ''', code/code ''', cda:code/@code, '''')        else if (cda:title and not(cda:code/@code)) then concat('title ''', cda:title, '''')        else if (not(cda:title) and cda:code/@code) then concat('code/code ''', cda:code/@code, '''')        else '' " />
    <xsl:variable name="other-section-names" select=" if (cda:code/@displayName and not(cda:code/cda:originalText)) then concat(' and code/displayName ''', cda:code/@displayName, '''')         else if (cda:code/@displayName and cda:code/cda:originalText)          then concat(', code/displayName ''', cda:code/@displayName,''' and code/originalText ''', cda:code/cda:originalText, '''')        else if (not(cda:code/@displayName) and cda:code/cda:originalText) then concat(' and code/originalText ''', cda:code/cda:originalText, '''')        else '' " />
    <xsl:variable name="section-names" select="concat($title-and-code, $other-section-names)" />
    <xsl:variable name="doc-code" select="/cda:ClinicalDocument/cda:code" />
    <xsl:variable name="parent-section" select="ancestor::cda:section[position()=1]" />
    <xsl:variable name="custom-section-info" select="($iq-config/custom-sections/section, $knowledge/custom-sections/section)[        @doc-code  = $doc-code/@code          and        @doc-codeSystem  = $doc-code/@codeSystem          and        @parent-code   = $parent-section/cda:code/@code         and         @parent-codeSystem  = $parent-section/cda:code/@codeSystem        and         (@title = current()/cda:title or (@code = current()/cda:code/@code and @codeSystem = current()/cda:code/@codeSystem)) ] " />
    <xsl:variable name="section-disallowed" select="$custom-section-info/@disallowed = 'yes' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and ($section-disallowed or not(exists($custom-section-info)))) then $rating-alt-TC-Doc-28-step-1        else if ($test-step = 'step 1' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections]) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 3') then $rating-TC-Doc-28-step-3 else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and $section-disallowed ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and $section-disallowed">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Pathology Test Result section (codeSystem '1.2.36.1.2001.1001.101' and code '102.16144') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> which
		is an extension to the information model however the inclusion of this section conflicts with sections defined in the digital health specifications.
		<xsl:text /><xsl:value-of select="$custom-section-info[@disallowed = 'yes']/@reason" /><xsl:text /> (Also see <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not(false()) and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(false()) and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Pathology Test Result section (codeSystem '1.2.36.1.2001.1001.101' and code '102.16144') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. No subsection is expected so this
		is an extension to the information model. Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the 
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(false()) and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(false()) and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Pathology Test Result section (codeSystem '1.2.36.1.2001.1001.101' and code '102.16144') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> but no subsections were
		expected so the document fails to meet the requirement that it must not contain additional data elements. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and false() and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and false() and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Pathology Test Result section (codeSystem '1.2.36.1.2001.1001.101' and code '102.16144') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		none are expected but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the information model.
		Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Pathology Test Result section (codeSystem '1.2.36.1.2001.1001.101' and code '102.16144') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		none are expected but the inclusion of the section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> fails to meet the requirement that it must not contain additional data elements.
		(See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M627" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M627" />
  <xsl:template match="@*|node()" priority="-2" mode="M627">
    <xsl:apply-templates select="@*|*" mode="M627" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-CodeableText-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:code " priority="1000" mode="M628">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:code " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="family-err" select="cda:originalText and matches(cda:originalText, $family-regex, 'i')" />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; 200" />
    <xsl:variable name="nullFlavor-values" select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Pathology Test Result Name',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		which is derived from the HL7 'CD' data type however  the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Pathology Test Result Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText should not be included.
		(See the definition of Pathology Test Result Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Pathology Test Result Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Pathology Test Result Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Pathology Test Result Name data element must have a value that is consistent with this definition. Alternatively if there is no Pathology Test Result Name data element with a proper value then an exclusion
		statement must be included to state why there is no Pathology Test Result Name.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Pathology Test Result Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText should not be included.
		(See the definition of Pathology Test Result Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Pathology Test Result Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Pathology Test Result Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Pathology Test Result Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Pathology Test Result Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Pathology Test Result Name data element must have a value that is consistent with this definition. Alternatively if there is no Pathology Test Result Name data element with a proper value then an exclusion
		statement must be included to state why there is no Pathology Test Result Name.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Pathology Test Result Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Pathology Test Result Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Pathology Test Result Name data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value
		(if a nullFlavor attribute is permitted for this data element). (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present and is not expected
		for the CodeableText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present and is not expected
		for the CodeableText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(.) != 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. As a translation element cannot have an originalText
		then a displayName must be present. (See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value which is not correct to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value
		which is not a correct value to use in this case. The nullFlavor attribute indicates the Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a value of nullFlavor 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information provided.
		Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Pathology Test Result Name.
		(See the definition of Pathology Test Result Name in the Structured Content Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M628" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M628" />
  <xsl:template match="@*|node()" priority="-2" mode="M628">
    <xsl:apply-templates select="@*|*" mode="M628" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-CodeableText-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '102.16144' = $doc-sections][cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.220' and @extension = '1.0']]/         cda:component/cda:structuredBody/cda:component//         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:code         [@codeSystem =  '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " priority="1000" mode="M629">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '102.16144' = $doc-sections][cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.220' and @extension = '1.0']]/         cda:component/cda:structuredBody/cda:component//         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:code         [@codeSystem =  '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="pnullFlavor" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @nullFlavor) then @nullFlavor else '' " />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-p-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then false()        else if ($psnomed-id = 'amtv3' and @codeSystemVersion) then exists($v-amtv3[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($psnomed-id = 'snomedctau' and @codeSystemVersion) then exists($v-snomedctau[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false() " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and $pcode != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used to assess the primary code.') " />
    <xsl:variable name="pcode-refsets-1" select="if (@codeSystem = '2.16.840.1.113883.6.96' and not($pcode = ''))         then dh:FindValueDomainsForCode($pcode, '2.16.840.1.113883.6.96', $v-psnomed-version) else 'no-code' " />
    <xsl:variable name="pcode-found" select="not($pcode-refsets-1 = 'no-code' or $pcode-refsets-1 = 'CodeNotFound' or $pcode-refsets-1 = 'Error'        or contains($pcode-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="pcode-refsets" select="if ($pcode-found) then distinct-values(tokenize($pcode-refsets-1, '\|')) else () " />
    <xsl:variable name="pcode-special-proc" select="count($pcode-refsets) = 1 and 'Procedure Foundation (PF)' = $pcode-refsets and not($pnullFlavor = 'OTH') " />
    <xsl:variable name="pcode-refsets-msg" select="if (count($pcode-refsets) = 0) then ''         else if (count($pcode-refsets) = 1) then concat('The code is a member of the ', $pcode-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($pcode-refsets, ', '), '.') " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))         else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-1" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="snomed-trans-2" select="distinct-values(for $i in (1 to count($snomed-trans-1)) return $snomed-trans-1[$i]/@code) " />
    <xsl:variable name="snomed-trans-a" select="$snomed-trans-1[1] " />
    <xsl:variable name="tcode-a" select="if (exists($snomed-trans-a) and matches($snomed-trans-a/@code, $snomed-code-regex)) then $snomed-trans-a/@code else '' " />
    <xsl:variable name="tnullFlavor-a" select="if (exists($snomed-trans-a) and $snomed-trans-a/@nullFlavor) then $snomed-trans-a/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-a" select="if (not(exists($snomed-trans-a))) then 'not-snomed'        else if (not($snomed-trans-a/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-a/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-a" select="if (not(exists($snomed-trans-a))) then ''        else if ($tsnomed-id-a = 'amtv3' and exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-a = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-a/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-a" select="if (not(exists($snomed-trans-a))) then false()        else if ($tsnomed-id-a = 'amtv3' and $snomed-trans-a/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-a = 'snomedctau' and $snomed-trans-a/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-a-msg" select="if (not(exists($snomed-trans-a))) then ''        else if (not($snomed-trans-a/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-a, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-a = 'amtv3') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-a = 'snomedctau') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-a/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-a, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-a/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-a-refsets-1" select="if (exists($snomed-trans-a) and not($tcode-a = ''))         then dh:FindValueDomainsForCode($tcode-a, '2.16.840.1.113883.6.96', $v-tsnomed-version-a) else 'no-code' " />
    <xsl:variable name="tcode-a-found" select="not($tcode-a-refsets-1 = 'no-code' or $tcode-a-refsets-1 = 'CodeNotFound' or $tcode-a-refsets-1 = 'Error'         or contains($tcode-a-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-a-refsets" select="if ($tcode-a-found) then distinct-values(tokenize($tcode-a-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-a-special-proc" select="count($tcode-a-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-a-refsets and not($tnullFlavor-a = 'OTH') " />
    <xsl:variable name="tcode-a-refsets-msg" select="if (count($tcode-a-refsets) = 0) then ''         else if (count($tcode-a-refsets) = 1) then concat('The code is a member of the ', $tcode-a-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-a-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@code and $snomed-trans-a/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-a/@displayName, codepoints-to-string(34))         else if ($snomed-trans-a/@code and not($snomed-trans-a/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@codeSystem and $snomed-trans-a/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-a/@codeSystemName, ')')         else if ($snomed-trans-a/@codeSystem and not($snomed-trans-a/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-b" select="(for $i in (2 to count($snomed-trans-1)) return if ($snomed-trans-1[$i]/@code != $snomed-trans-a/@code) then $snomed-trans-1[$i] else ())[1] " />
    <xsl:variable name="tcode-b" select="if (exists($snomed-trans-b) and matches($snomed-trans-b/@code, $snomed-code-regex)) then $snomed-trans-b/@code else '' " />
    <xsl:variable name="tnullFlavor-b" select="if (exists($snomed-trans-b) and $snomed-trans-b/@nullFlavor) then $snomed-trans-b/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-b" select="if (not(exists($snomed-trans-b))) then 'not-snomed'        else if (not($snomed-trans-b/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-b/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-b" select="if (not(exists($snomed-trans-b))) then ''        else if ($tsnomed-id-b = 'amtv3' and exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-b = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-b/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-b" select="if (not(exists($snomed-trans-b))) then false()        else if ($tsnomed-id-b = 'amtv3' and $snomed-trans-b/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-b = 'snomedctau' and $snomed-trans-b/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-b-msg" select="if (not(exists($snomed-trans-b))) then ''        else if (not($snomed-trans-b/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-b, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-b = 'amtv3') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-b = 'snomedctau') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-b/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-b, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-b/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-b-refsets-1" select="if (exists($snomed-trans-b) and not($tcode-b = ''))         then dh:FindValueDomainsForCode($tcode-b, '2.16.840.1.113883.6.96', $v-tsnomed-version-b) else 'no-code' " />
    <xsl:variable name="tcode-b-found" select="not($tcode-b-refsets-1 = 'no-code' or $tcode-b-refsets-1 = 'CodeNotFound' or $tcode-b-refsets-1 = 'Error'         or contains($tcode-b-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-b-refsets" select="if ($tcode-b-found) then distinct-values(tokenize($tcode-b-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-b-special-proc" select="count($tcode-b-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-b-refsets and not($tnullFlavor-b = 'OTH') " />
    <xsl:variable name="tcode-b-refsets-msg" select="if (count($tcode-b-refsets) = 0) then ''         else if (count($tcode-b-refsets) = 1) then concat('The code is a member of the ', $tcode-b-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-b-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@code and $snomed-trans-b/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-b/@displayName, codepoints-to-string(34))         else if ($snomed-trans-b/@code and not($snomed-trans-b/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@codeSystem and $snomed-trans-b/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-b/@codeSystemName, ')')         else if ($snomed-trans-b/@codeSystem and not($snomed-trans-b/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-60" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-60 else $rating-alt-TC-Types-60 " />
    <!--REPORT -->
    <xsl:if test=" $pcode-found and $pcode-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pcode-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD (p-TS-CD-SCT-RefSet): An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$pcode" /><xsl:text />',
		codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-psnomed-version" /><xsl:text />'. This error occurred when assessing the Pathology Test Result Name data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. The value is not valid for the data element as it describes a medical
		procedure and not a medical problem or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the pathology test performed.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and   not(exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and not(exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the code is not a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the RCPA SPIA Requesting Pathology Terminology reference set (Concept Id: 1072351000168102).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 3.5 of the Pathology Report Structured Content Specification v1.0.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and   not(exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and not(exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the RCPA SPIA Requesting Pathology Terminology reference set (Concept Id: 1072351000168102).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 3.5 of the Pathology Report Structured Content Specification v1.0.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and   exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the RCPA SPIA Requesting Pathology Terminology reference set (Concept Id: 1072351000168102).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 3.5 of the Pathology Report Structured Content Specification v1.0.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and   exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. Confirm if the code is a member of the value domain.
		If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the RCPA SPIA Requesting Pathology Terminology reference set (Concept Id: 1072351000168102).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 3.5 of the Pathology Report Structured Content Specification v1.0.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="count($snomed-trans-1)" /><xsl:text /> translation elements with
		codes and the SNOMED CT-AU codeSystem '2.16.840.1.113883.6.96'. The first two translation elements have been assessed to determine if the codes are members of the value domain
		and the others have not been assessed. Confirm if the value of the code attribute in all SNOMED CT translation elements meets the requirement that it be a member of the value domain
		if there is no nullFlavor 'OTH' or that there is a nullFlavor 'OTH' if the value of the code attribute is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the RCPA SPIA Requesting Pathology Terminology reference set (Concept Id: 1072351000168102).')" /><xsl:text /> 
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 3.5 of the Pathology Report Structured Content Specification v1.0.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-a" /><xsl:text />'. This error occurred when assessing the Pathology Test Result Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the pathology test performed.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and   not(exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and not(exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the RCPA SPIA Requesting Pathology Terminology reference set (Concept Id: 1072351000168102).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 3.5 of the Pathology Report Structured Content Specification v1.0.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and   not(exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and not(exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the RCPA SPIA Requesting Pathology Terminology reference set (Concept Id: 1072351000168102).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 3.5 of the Pathology Report Structured Content Specification v1.0.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and   exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the RCPA SPIA Requesting Pathology Terminology reference set (Concept Id: 1072351000168102).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 3.5 of the Pathology Report Structured Content Specification v1.0.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and   exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the RCPA SPIA Requesting Pathology Terminology reference set (Concept Id: 1072351000168102).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 3.5 of the Pathology Report Structured Content Specification v1.0.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-b" /><xsl:text />'. This error occurred when assessing the Pathology Test Result Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> 
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the pathology test performed.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and   not(exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and not(exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the RCPA SPIA Requesting Pathology Terminology reference set (Concept Id: 1072351000168102).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 3.5 of the Pathology Report Structured Content Specification v1.0.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and   not(exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and not(exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the RCPA SPIA Requesting Pathology Terminology reference set (Concept Id: 1072351000168102).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 3.5 of the Pathology Report Structured Content Specification v1.0.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and   exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the RCPA SPIA Requesting Pathology Terminology reference set (Concept Id: 1072351000168102).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 3.5 of the Pathology Report Structured Content Specification v1.0.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and   exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the RCPA SPIA Requesting Pathology Terminology reference set (Concept Id: 1072351000168102).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 3.5 of the Pathology Report Structured Content Specification v1.0.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M629" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M629" />
  <xsl:template match="@*|node()" priority="-2" mode="M629">
    <xsl:apply-templates select="@*|*" mode="M629" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-CodeableText-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '102.16144' = $doc-sections]         [cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.220' and @extension = '1.0']]/         cda:component/cda:structuredBody/cda:component//         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:code         [not(@code and @codeSystem and exists(index-of($defn-pathTest-trusted, @codeSystem)))]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])][not(@nullFlavor = $no-value-NF)] " priority="1000" mode="M630">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '102.16144' = $doc-sections]         [cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.220' and @extension = '1.0']]/         cda:component/cda:structuredBody/cda:component//         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:code         [not(@code and @codeSystem and exists(index-of($defn-pathTest-trusted, @codeSystem)))]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])][not(@nullFlavor = $no-value-NF)] " />
    <xsl:variable name="pcode" select="if ('2.16.840.1.113883.6.96' = $defn-pathTest-trusted and         @codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="snomed-trans" select="if ('2.16.840.1.113883.6.96' = $defn-pathTest-trusted and cda:translation)         then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="tcode" select="if (exists($snomed-trans[1]) and matches($snomed-trans[1]/@code, $snomed-code-regex)) then $snomed-trans[1]/@code else '' " />
    <xsl:variable name="code-present" select="$pcode != '' or $tcode != '' " />
    <xsl:variable name="invalid-code-system" select="@code and @displayName and @codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="codesystemvalues" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']" />
    <xsl:variable name="otext-without-markup" select="if (cda:originalText and cda:originalText != '') then replace(cda:originalText, $markup-regex, ' ') else '' " />
    <xsl:variable name="pdname" select="if (@displayName and not($invalid-code-system)) then @displayName else '' " />
    <xsl:variable name="max-code-number" select="if ($knowledge/search-for-term/max-sct-code-number/@value &gt; '5') then $knowledge/search-for-term/max-sct-code-number/@value else '5' " />
    <xsl:variable name="der-text-1" select="if ($code-present) then ''         else if ($otext-without-markup != '') then $otext-without-markup        else if ($pdname != '') then $pdname        else '' " />
    <xsl:variable name="family-err" select="$family-regex != '' and not(matches($der-text-1, '(^|\s)(small|white\s*cell\s*count)(\s|$)', 'is')) and matches($der-text-1, $family-regex, 'is')" />
    <xsl:variable name="der-truncated-text-1" select="normalize-space(replace($der-text-1, $unicode-br-truncation-regex, '$1', 'is')) " />
    <xsl:variable name="length-err" select="string-length($der-truncated-text-1) &gt; $length-err-max" />
    <xsl:variable name="prose-err-1" select="$length-err and cda:originalText and (        matches(cda:originalText, $ulist-regex)           or         matches(cda:originalText, $alt-ulist-1a-regex, 'is')         or         matches(cda:originalText, $alt-ulist-1b-regex, 'is')         )" />
    <xsl:variable name="prose-err" select="$prose-err-1 or (cda:originalText and (         matches(cda:originalText, $alt-ulist-2-regex, 'is')          or        matches(cda:originalText, $olist-arabic-regex, 'is')          or         matches(cda:originalText, $olist-alpha-regex, 'is')          or         matches(cda:originalText, $olist-roman-regex, 'is')          or        matches(replace(cda:originalText, $new-line-regex, codepoints-to-string((10)), 'is'), $para-regex, 'is')  or        matches(cda:originalText, codepoints-to-string((8233)), 'is')         or               (cda:originalText and matches(cda:originalText, $invalid-concept-regex, 'is'))      or        ($length-err and matches(cda:originalText, '\.\s*$', 's') and matches(cda:originalText, $multi-sentence-regex, 's')) ))" />
    <xsl:variable name="avoid-ts" select="$family-err or $length-err or $prose-err or not($use-ts-for-sctau) " />
    <xsl:variable name="der-text-2a" select="if ($der-truncated-text-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-truncated-text-1, $pathTest-fir-pattern-replacement, 'ic')) " />
    <xsl:variable name="der-text-2" select="if ($der-text-2a = '') then $der-text-1 else $der-text-2a " />
    <xsl:variable name="der-text-a" select="if ($pathTest-replacements = '' or $der-text-2 = '') then normalize-space($der-text-2)        else normalize-space(dh:XQueryRecursiveReplace($der-text-2, $pathTest-replacements, 'ic')) " />
    <xsl:variable name="der-text" select="if ($der-text-a = '') then $der-text-2 else $der-text-a " />
    <xsl:variable name="defn-valid-regex" select="concat('(^|\|)', translate($der-text-2, $chars-to-remove, ''), '(\||$)') " />
    <xsl:variable name="der-text-to-match-1" select="lower-case($der-text-2) " />
    <xsl:variable name="der-text-to-match" select="translate($der-text-to-match-1, $chars-to-remove, '') " />
    <xsl:variable name="der-text-non-value" select="if ($code-present or @nullFlavor = $no-value-NF) then false() else         $der-text-to-match = ''              or        not(matches($der-text-to-match-1, '[a-z]', 'i'))          or         ($cd-definitions/non-value/@regex != '' and matches($der-text-to-match-1, $cd-definitions/non-value/@regex, 'i'))  or        (exists($cd-definitions/pathTest/@non-value-regex) and matches($der-text-to-match-1, $cd-definitions/pathTest/@non-value-regex, 'i')) " />
    <xsl:variable name="defn-invalid-regex" select="if ($code-present or $der-text-non-value) then ()        else if ($cd-definitions/pathTest/@invalid-regex) then tokenize($cd-definitions/pathTest/@invalid-regex, '~')[. != '']         else () " />
    <xsl:variable name="defn-invalid-txt-regex" select="(for $i in (1 to count($defn-invalid-regex)) return normalize-space(substring-before($defn-invalid-regex[$i], '[[')))[. != '']" />
    <xsl:variable name="der-invalid-text-regex-1" select="if (exists($defn-invalid-txt-regex))        then index-of(for $i in (1 to count($defn-invalid-txt-regex)) return matches($der-text-2, $defn-invalid-txt-regex[$i], 'i'), true())        else () " />
    <xsl:variable name="der-invalid-text" select="exists($der-invalid-text-regex-1) " />
    <xsl:variable name="defn-invalid-rsn" select="if ($der-invalid-text)         then normalize-space(substring-before(substring-after($defn-invalid-regex[$der-invalid-text-regex-1[1]], '[['), ']]'))         else '' " />
    <xsl:variable name="trusted-code-systems" select="if ($der-text = '' or $der-invalid-text or not(@codeSystem or cda:translation/@codeSystem)) then ()        else (tokenize(replace($cd-definitions/pathTest/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/pathTest/@extra, '\s+', ''), '\|'))[. != ''] " />
    <xsl:variable name="der-trusted-text" select="if ($der-text = '' or $der-invalid-text or (@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex)))) then false()        else ((@codeSystem and exists($trusted-code-systems[. = current()/@codeSystem])) or               (cda:translation/@codeSystem and exists($trusted-code-systems[. = current()/cda:translation/@codeSystem]))) " />
    <xsl:variable name="valid-pathTest-1a" select="if ($code-present or $der-text-non-value or $der-invalid-text or not($cd-definitions/pathTest/@valid-regex)) then false()        else exists(index-of(for $regex in (tokenize($cd-definitions/pathTest/@valid-regex, '~')[. != '']) return          matches($der-text-2, dh:XQueryRecursiveReplace(normalize-space($regex), ' \|~|~\| ~|', ''), 'is'), true())) " />
    <xsl:variable name="rcpa-syn-1" select="if ($der-text-to-match = '' or $der-text-non-value or $der-invalid-text or $valid-pathTest-1a) then ()         else ($spia-sctau/system/rcpa[@rcpa-terms or @related-terms]) " />
    <xsl:variable name="rcpa-syn-num" select="count($rcpa-syn-1) " />
    <xsl:variable name="rcpa-syn-2a" select="for $i in (1 to $rcpa-syn-num) return         if ($rcpa-syn-1[$i]/@rcpa-terms and $rcpa-syn-1[$i]/@related-terms) then concat($rcpa-syn-1[$i]/@rcpa-terms, '|', $rcpa-syn-1[$i]/@related-terms)        else if ($rcpa-syn-1[$i]/@rcpa-terms and not($rcpa-syn-1[$i]/@related-terms)) then $rcpa-syn-1[$i]/@rcpa-terms        else if (not($rcpa-syn-1[$i]/@rcpa-terms) and $rcpa-syn-1[$i]/@related-terms) then $rcpa-syn-1[$i]/@related-terms        else '' " />
    <xsl:variable name="rcpa-syn-2" select="for $i in (1 to $rcpa-syn-num) return         replace(replace(translate(normalize-space(lower-case($rcpa-syn-2a[$i])),          concat($chars-no-pipe, codepoints-to-string((38))), ''), ' \|', '|'), '^\| ', '|') " />
    <xsl:variable name="rcpa-syn-3" select="index-of(for $i in (1 to $rcpa-syn-num) return exists(tokenize($rcpa-syn-2[$i], '\|')[. = $der-text-to-match]), true())" />
    <xsl:variable name="rcpa-syn-4" select="distinct-values(for $i in $rcpa-syn-3 return $rcpa-syn-1[$i]/@code) " />
    <xsl:variable name="valid-pathTest-1" select="$valid-pathTest-1a or exists($rcpa-syn-4) " />
    <xsl:variable name="invalid-hierarchy" select="if (exists($cd-definitions/pathTest/pathTest-invalid/hierarchy))         then string-join(for $hierarchy in $cd-definitions/pathTest/pathTest-invalid/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-refset" select="if (exists($cd-definitions/pathTest/pathTest-invalid/refset))          then string-join(for $refset in $cd-definitions/pathTest/pathTest-invalid/refset return concat('^', $refset/@code), ' OR ')         else '' " />
    <xsl:variable name="valid-hierarchy" select="if ($cd-definitions/pathTest/pathTest-valid/@refset != '' and $cd-definitions/pathTest/pathTest-valid/@hierarchy != '')        then concat($cd-definitions/pathTest/pathTest-valid/@refset, ' OR ', $cd-definitions/pathTest/pathTest-valid/@hierarchy)        else if ($cd-definitions/pathTest/pathTest-valid/@refset != '') then $cd-definitions/pathTest/pathTest-valid/@refset        else if ($cd-definitions/pathTest/pathTest-valid/@hierarchy != '') then $cd-definitions/pathTest/pathTest-valid/@hierarchy        else '&lt;&lt;(^1072351000168102 OR ^1021000036104 OR ^2021000036107 OR ^3021000036100)' " />
    <xsl:variable name="valid-domain" select="if ($invalid-refset != '' and $invalid-hierarchy != '')         then concat('((', $valid-hierarchy, ') MINUS (', $invalid-refset, ' OR (', $invalid-hierarchy, ')))')        else if ($invalid-refset = '' and $invalid-hierarchy != '') then concat('((', $valid-hierarchy, ') MINUS (', $invalid-hierarchy, '))')         else if ($invalid-refset != '' and $invalid-hierarchy = '') then concat('((', $valid-hierarchy, ') MINUS (', $invalid-refset, '))')        else concat('(', $valid-hierarchy, ')') " />
    <xsl:variable name="related-terms-1" select="if ($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-pathTest-1) then ()        else ($codesystemvalues/code[@related-terms], $codesystemvalues/related-terms[@related-terms]) " />
    <xsl:variable name="related-terms-2" select="for $i in index-of(        for $concept in $related-terms-1 return matches(translate($concept/@related-terms, $chars-no-pipe, ''), $defn-valid-regex, 'i'), true())         return $related-terms-1[$i]/@code " />
    <xsl:variable name="der-pathTest-codes-1" select="if (exists($related-terms-2)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($related-terms-2, ' OR '), ') AND ', $valid-domain), '', string(count($related-terms-2)), false())        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $der-pathTest-codes-1 " />
    <xsl:variable name="der-valid-codes-1" select="if (contains($der-pathTest-codes-1, '[')) then $der-pathTest-codes-1 else '' " />
    <xsl:variable name="valid-pathTest-2" select="$valid-pathTest-1 or $der-valid-codes-1 != '' " />
    <xsl:variable name="pathTest-inactive-refSets" select="if (exists($cd-definitions/pathTest/pathTest-invalid/inactive-refset))         then concat('((', $inactive-refSets, ') MINUS (',           string-join(for $refset in $cd-definitions/pathTest/pathTest-invalid/inactive-refset return concat('^', $refset/@code), ' OR '),          '))')         else $inactive-refSets " />
    <xsl:variable name="formula" select="concat($valid-domain, ' OR ', $pathTest-inactive-refSets) " />
    <xsl:variable name="ts-not-needed" select="$der-text = '' or $der-text-non-value or $der-invalid-text or $valid-pathTest-2 or $avoid-ts " />
    <xsl:variable name="der-pathTest-codes-2-a" select="if ($ts-not-needed or exists($related-terms-2)) then ()         else tokenize(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-text, 'default'), '\|') " />
    <xsl:variable name="error-usingTS-2-a" select="$error-usingTS-1 or 'Error' = $der-pathTest-codes-2-a " />
    <xsl:variable name="revision-pattern-1" select="if ($ts-not-needed or exists($der-pathTest-codes-2-a) or exists($related-terms-2) or $error-usingTS-2-a) then ''        else $pathTest-sec-replacements " />
    <xsl:variable name="der-revised-text-1" select="if ($revision-pattern-1 = '') then ''         else normalize-space(dh:XQueryRecursiveReplace($der-text, $revision-pattern-1, 'ic')) " />
    <xsl:variable name="use-revised-text-1" select="$der-revised-text-1 != '' and $der-revised-text-1 != $der-text " />
    <xsl:variable name="der-pathTest-codes-2-b" select="if ($ts-not-needed or exists($der-pathTest-codes-2-a) or not($use-revised-text-1)) then $der-pathTest-codes-2-a        else tokenize(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-1,          'default'), '\|') " />
    <xsl:variable name="error-usingTS-2-b" select="$error-usingTS-2-a or 'Error' = $der-pathTest-codes-2-b " />
    <xsl:variable name="der-pathTest-codes-2" select="if ($ts-not-needed or $error-usingTS-2-b or not(exists($der-pathTest-codes-2-b)) or $der-valid-codes-1 != '' or exists($related-terms-2)) then ()        else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join(for $code in $der-pathTest-codes-2-b return replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is'), ' OR '), ') AND (',          $formula, ')'), '', string(count($der-pathTest-codes-2-b)), false()), '\|') " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-2-b or 'Error' = $der-pathTest-codes-2 " />
    <xsl:variable name="der-valid-codes-2" select="if ($der-valid-codes-1 != '') then $der-valid-codes-1        else if ($error-usingTS-2) then ''         else string-join((for $code in $der-pathTest-codes-2 return if (contains($code, '~inactive')) then '' else $code)[. != ''], '|')  " />
    <xsl:variable name="valid-pathTest-3" select="$valid-pathTest-2 or $der-valid-codes-2 != '' " />
    <xsl:variable name="der-inactive-codes-1" select="if ($valid-pathTest-3) then () else        for $code in $der-pathTest-codes-2 return if (contains($code, '~inactive')) then replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is') else '' " />
    <xsl:variable name="der-inactive-codes-2" select="for $i in (1 to count($der-inactive-codes-1)) return         dh:IsCodeAssociatedWithAnotherCode($der-inactive-codes-1[$i], '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-1" select="'Error' = $der-inactive-codes-2 " />
    <xsl:variable name="der-NAF-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-NAF-active-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound~active')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-inactive-codes-3" select="tokenize(string-join(for $i in (1 to count($der-inactive-codes-1)) return replace(string-join(tokenize($der-inactive-codes-2[$i], '\|')        [matches(., '(REPLACED BY|SAME AS|ALTERNATIVE|POSSIBLY EQUIVALENT TO|MAY BE A|WAS A)')], '|'), '[0-9]+~[A-Z ]+~([0-9]+)', '$1'), '|'), '\|')        [. != ''] " />
    <xsl:variable name="der-pathTest-codes-3" select="if (exists($der-inactive-codes-3)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($der-inactive-codes-3, ' OR '), ') AND ', $valid-domain), '', string(count($der-inactive-codes-3)), false())          else '' " />
    <xsl:variable name="error-usingTS-3" select="$error-usingTS-2 or 'Error' = $der-pathTest-codes-3 " />
    <xsl:variable name="der-valid-codes-3" select="if ($der-valid-codes-2 != '') then $der-valid-codes-2        else if (contains($der-pathTest-codes-3, '[')) then $der-pathTest-codes-3        else '' " />
    <xsl:variable name="valid-pathTest-4" select="$valid-pathTest-3 or $der-valid-codes-3 != '' " />
    <xsl:variable name="invalid-domain" select="if ($invalid-hierarchy != '' and $invalid-refset != '') then concat($invalid-hierarchy, ' OR ', $invalid-refset)        else if ($invalid-hierarchy != '') then $invalid-hierarchy        else if ($invalid-refset != '') then $invalid-refset        else '' " />
    <xsl:variable name="der-pathTest-codes-4" select="if ($ts-not-needed or $valid-pathTest-4 or $invalid-domain = '') then ()        else if (exists($related-terms-2)) then $related-terms-2        else distinct-values((tokenize(replace(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          $invalid-domain, $der-text, 'default'), '(\[.*?\])(\||$)', '$2'), '\|'), $der-inactive-codes-3)) " />
    <xsl:variable name="error-usingTS-4" select="$error-usingTS-3 or 'Error' = $der-pathTest-codes-4 " />
    <xsl:variable name="invalid-pathTest-codes-r" select="if ($ts-not-needed or $valid-pathTest-4 or $error-usingTS-4 or not(exists($der-pathTest-codes-4))) then ()        else if ($invalid-refset = '') then tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-pathTest-codes-4, ' OR '), ') AND (', $inactive-refSets, ')'), '',           string(count($der-pathTest-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')        else tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-pathTest-codes-4, ' OR '), ') AND (', $invalid-refset, ' OR ', $inactive-refSets, ')'), '',           string(count($der-pathTest-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')  " />
    <xsl:variable name="error-usingTS-5" select="$error-usingTS-4 or 'Error' = $invalid-pathTest-codes-r " />
    <xsl:variable name="der-pathTest-codes-4-h" select="if ($error-usingTS-5) then () else $der-pathTest-codes-4[not(. = $invalid-pathTest-codes-r)]" />
    <xsl:variable name="invalid-pathTest-codes-h" select="if ($ts-not-needed or $valid-pathTest-4 or 'Error' = $der-pathTest-codes-4 or $pathTest-invalid-hierarchy = '' or           not(exists($der-pathTest-codes-4-h))) then ()         else (for $code in $der-pathTest-codes-4-h return           if (dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',            concat('&gt;&gt;', $code, ' MINUS ', $pathTest-invalid-hierarchy), '', '1', false()) = '') then $code else '')[. != ''] " />
    <xsl:variable name="invalid-pathTest-codes" select="($invalid-pathTest-codes-h, $invalid-pathTest-codes-r) " />
    <xsl:variable name="der-pathTest-codes-5" select="$der-pathTest-codes-4[not(. = $invalid-pathTest-codes or . = 'Error')]" />
    <xsl:variable name="der-valid-codes-4" select="if ($der-valid-codes-3 != '') then $der-valid-codes-3        else if ($ts-not-needed or $valid-pathTest-4 or $valid-domain = '' or not(exists($der-pathTest-codes-5))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-pathTest-codes-5, ' OR '), ') AND ', $valid-domain), '', string(count($der-pathTest-codes-5)), false()) " />
    <xsl:variable name="error-usingTS-6" select="$error-usingTS-5 or 'Error' = $der-valid-codes-4 " />
    <xsl:variable name="valid-pathTest-5" select="$valid-pathTest-4 or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="undetermined-pathTest-1" select="$der-pathTest-codes-5[not(. = tokenize(replace($der-valid-codes-4,  '(\[.*?\])(\||$)', '$2'), '\|'))]" />
    <xsl:variable name="undetermined-inactive-1" select="for $i in (1 to count($undetermined-pathTest-1)) return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $undetermined-pathTest-1[$i], '', '1', false()) " />
    <xsl:variable name="error-usingTS-7" select="$error-usingTS-6 or 'Error' = $undetermined-inactive-1 " />
    <xsl:variable name="undetermined-inactive" select="(for $i in (1 to count($undetermined-pathTest-1)) return         if (contains($undetermined-inactive-1[$i], '~inactive')) then $undetermined-inactive-1[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-1" select="for $i in (1 to count($undetermined-inactive))        return dh:IsCodeAssociatedWithAnotherCode(replace($undetermined-inactive[$i], '(\[.*?\])(\||$)', '$2'), '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-2" select="$error-usingV-1 or 'Error' = $undetermined-NAF-1 " />
    <xsl:variable name="undetermined-NAF" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-codes" select="for $term in $undetermined-NAF return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-NAF-active" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound~active')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-active-codes" select="for $term in $undetermined-NAF-active return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-pathTest" select="$undetermined-pathTest-1[not(. = ($undetermined-NAF-codes, $undetermined-NAF-active-codes))]" />
    <xsl:variable name="invalid-pathTest" select="not($valid-pathTest-5) and exists($invalid-pathTest-codes) and not(exists($undetermined-pathTest))" />
    <xsl:variable name="codes-were-found" select="exists($der-pathTest-codes-4) or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="codes-not-found" select="not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or        $valid-pathTest-5 or $invalid-pathTest or $error-usingTS-7 or $family-err or $length-err or $prose-err) " />
    <xsl:variable name="codes-in-the-domain" select="not($valid-pathTest-1) and $valid-pathTest-5" />
    <xsl:variable name="codes-in-other-domain" select="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-pathTest-5 or $invalid-pathTest or         $error-usingTS-7) " />
    <xsl:variable name="codes-in-no-domain" select="exists($der-pathTest-codes-5) " />
    <xsl:variable name="display-in-the-domain" select="if ($codes-in-the-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', '), '''')        else '' " />
    <xsl:variable name="display-in-other-r" select="if (exists($invalid-pathTest-codes-r) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-pathTest-codes-r return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-h" select="if (exists($invalid-pathTest-codes-h) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-pathTest-codes-h return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-domain" select="if (not($codes-in-other-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))) then ''        else if ($display-in-other-r and display-in-other-h) then concat('''', $display-in-other-r, ', ', $display-in-other-h, '''')        else if ($display-in-other-r) then concat('''', $display-in-other-r, '''')        else if ($display-in-other-h) then concat('''', $display-in-other-h, '''')        else '' " />
    <xsl:variable name="display-in-no-domain" select="if ($codes-in-no-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', dh:XQueryRecursiveReplace(string-join(for $code in $der-pathTest-codes-5 return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), '; '),          $term-pattern-replacement, 'ic'), '''')        else '' " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))        else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <!--REPORT -->
    <xsl:if test=" matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-pathTest-5) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-pathTest-5)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-PathTest-Defn): An unexpected problem occurred when assessing the value of the Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. The application of regular expressions resulted in the complete loss of text.
		Report the information below to the Australian Digital Health Agency for investigation.

		der-text-1 '<xsl:text /><xsl:value-of select="normalize-space(dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'))" /><xsl:text />'.
		der-text-2a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-2a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-a, $term-pattern-replacement, 'ic')" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingV-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingV-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-PathTest-Defn): An error was reported when accessing the terminology server when assessing the Pathology Test Result Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		Report the issue to the Australian Digital Health Agency for investigation stating the error was recorded for error-usingV-2.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-7 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-7">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-PathTest-Defn): An error was reported when accessing the terminology server when assessing the Pathology Test Result Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term:
		'<xsl:text /><xsl:value-of select="$der-text" /><xsl:text />'. The analysis should be retried as the terminology server may have been temporarily unavailable.
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation, stating that the error was found by
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'error-usingTS-1' else if ($error-usingTS-2-a) then 'error-usingTS-2-a'   else if ($error-usingTS-2-b) then 'error-usingTS-2-b' else if ($error-usingTS-2) then 'error-usingTS-2'   else if ($error-usingTS-3) then 'error-usingTS-3' else if ($error-usingTS-4) then 'error-usingTS-4'   else if ($error-usingTS-5) then 'error-usingTS-5' else if ($error-usingTS-6) then 'error-usingTS-6'   else 'error-usingTS-7' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $codes-not-found">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the pathology test performed.         (See the definition of the Pathology Test Result Name data element in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 3.5 of the Pathology Report Structured Content Specification v1.0.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$codes-in-other-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$codes-in-other-domain">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value does not seem to be applicable for the data element.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the pathology test performed.         (See the definition of the Pathology Test Result Name data element in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the pathology test performed.         (See the definition of the Pathology Test Result Name data element in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Pathology Test Result Name data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the pathology test performed.         (See the definition of the Pathology Test Result Name data element in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Pathology Test Result Name data element must have a value that is consistent with this definition. Alternatively if there is no Pathology Test Result Name data element with a proper value then an exclusion
		statement must be included to state why there is no Pathology Test Result Name. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4')    then concat('Text such as ''', dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'), ''' may be permitted in the narrative even though the Pathology Test Result Name data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the pathology test performed.         (See the definition of the Pathology Test Result Name data element in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Pathology Test Result Name data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($der-text-non-value) and $der-invalid-text ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($der-text-non-value) and $der-invalid-text">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid. <xsl:text /><xsl:value-of select="$defn-invalid-rsn" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the pathology test performed.         (See the definition of the Pathology Test Result Name data element in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $invalid-pathTest and not($error-usingTS-7)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$invalid-pathTest and not($error-usingTS-7)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid
		<xsl:text /><xsl:value-of select="if (exists($invalid-pathTest-codes-h)) then concat(' as it describes ', string-join(distinct-values(for $code in tokenize(replace(   dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat('(', string-join(for $code in $invalid-pathTest-codes-h return concat('&gt;&gt;', $code), ' OR '), ') AND (',    string-join(for $hierarchy in $cd-definitions/pathTest/pathTest-invalid/hierarchy return $hierarchy/@code, ' OR '), ')'), '',    string(count($invalid-pathTest-codes-h)), true()), '(\[.*?\])(\||$)', '$2'), '\|') return     $cd-definitions/pathTest/pathTest-invalid/hierarchy[@code = $code]/@description)[position() = (1 to 2)], ' and '), '.')    else if (exists($invalid-pathTest-codes-r)) then concat(' as it describes ', string-join(distinct-values(for $code in $invalid-pathTest-codes-r return   $cd-definitions/pathTest/pathTest-invalid/refset[index-of(for $x in (for $refset in $cd-definitions/pathTest/pathTest-invalid/refset return    dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat($code, ' AND ^', $refset/@code), '', '1', true()), '|') return matches($x, '^[0-9]'), true())[1]]/@description), ' and '), '.')   else '.'" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the pathology test performed.         (See the definition of the Pathology Test Result Name data element in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable outside the applicable value domain): The Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following codes were obtained and are not in the value domain: <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-PathTest-Defn): The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU and no associated code was found in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists(($der-NAF-active-codes, $undetermined-NAF-active-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists(($der-NAF-active-codes, $undetermined-NAF-active-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-PathTest-Defn): The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-active-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the
		'<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' version of SNOMED CT-AU but it was not found with this status in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU. 
		<xsl:text /><xsl:value-of select="if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $valid-pathTest-1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $valid-pathTest-1">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable within the value domain): The Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which matches one of the		
		<xsl:text /><xsl:value-of select="if ($valid-pathTest-1a) then 'terms listed in Knowledge.xml' else 'concepts in the RCPA requesting pathology reference set' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($valid-pathTest-1a) then ''    else if (count($rcpa-syn-4) = 1) then concat(' The code found using the RCPA preferred terms and synonyms is ''', $rcpa-syn-4[1], '''.')   else concat(' The codes found using the RCPA preferred terms and synonyms are ''', string-join($rcpa-syn-4, ', '), '''.')" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (concept is codeable within the value domain): The Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a valid value for the Pathology Test Result Name.
		SNOMED CT-AU codes that matched the concept are: <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-pathTest-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-pathTest-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The text used to match regular expression (der-text-2) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to match RCPA terms and non-values (der-text-to-match) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-to-match, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to derive a code (der-text) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.

		<xsl:text /><xsl:value-of select="if ($use-revised-text-1) then concat(' A first revision of the text (der-revised-text-1) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-1, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A first revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-1 != '' and $der-revised-text-1 = '') then ' revision-pattern-1 was applied but the output (der-revised-text-1) was an empty string.' else '' " /><xsl:text />

		The SNOMED CT-AU version used to find codes is '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' and the maximum code number is '<xsl:text /><xsl:value-of select="$max-code-number" /><xsl:text />'.

		Codes for related terms (related-terms-2): '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($related-terms-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes for related terms (der-valid-codes-1): 
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-1, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-pathTest-codes-2) returned by the terminology server that match the text:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-pathTest-codes-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes from related terms or the terminology server (der-valid-codes-2):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-2, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-inactive-codes-3) returned from the Validator's database associated with inactive codes:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-inactive-codes-3, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes found after examining inactive codes (der-valid-codes-3):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-3, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Members of invalid reference sets (invalid-pathTest-codes-r): '<xsl:text /><xsl:value-of select="$display-in-other-r" /><xsl:text />'.
		Members of invalid code hierarchies (invalid-pathTest-codes-h): '<xsl:text /><xsl:value-of select="$display-in-other-h" /><xsl:text />'.

		Final set of valid codes (der-valid-codes-4):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		
		Codes whose validity has not been determined (der-pathTest-codes-5):  <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.
		Codes whose validity has not been determined and are inactive with no associated code (undetermined-NAF): '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(    string-join($undetermined-NAF, ''', '''), $markup-pattern-replacement, 'ic')" /><xsl:text />'.

		Will the value of the data element be trusted (der-trusted-text)? '<xsl:text /><xsl:value-of select="$der-trusted-text" /><xsl:text />'.
		
	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and $codes-not-found">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept not codeable): The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($avoid-ts) then 'The terminology server was not used to assist with finding codes corresponding to text in the data element. ' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($error-usingTS-7 or $log-concepts-name = '' or $log-concepts-created = 'ERROR') then ''   else if (dh:AppendLog($log-concepts-name, concat(              $display-creation-date,   $log-tab,         $document-id,    $log-tab,         $document-name,    $log-tab,         iq:location(., ''),   $log-tab,          'Pathology Test Result Name',    $log-tab,          'yes',     $log-tab,          concat($display-code, $display-system), $log-tab,          '',     $log-tab,         '',     $log-tab,         '',     $log-tab,         $ts-current-sctau   )) = ('NOTFOUND', 'ERROR'))   then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $prose-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $prose-err">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is invalid as it is prose text.
		The Pathology Test Result Name data element is CodeableText derived from the HL7 CD data type which by definition is to record a concept defined in an external code system, terminology or ontology.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the pathology test performed.         (See the definition of the Pathology Test Result Name data element in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		This finding will also be reported as an error.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M630" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M630" />
  <xsl:template match="@*|node()" priority="-2" mode="M630">
    <xsl:apply-templates select="@*|*" mode="M630" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-CodeableText-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '102.16144' = $doc-sections][cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3']]/         cda:component/cda:structuredBody/cda:component//         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:code         [@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " priority="1000" mode="M631">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '102.16144' = $doc-sections][cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3']]/         cda:component/cda:structuredBody/cda:component//         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:code         [@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="pnullFlavor" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @nullFlavor) then @nullFlavor else '' " />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-p-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then false()        else if ($psnomed-id = 'amtv3' and @codeSystemVersion) then exists($v-amtv3[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($psnomed-id = 'snomedctau' and @codeSystemVersion) then exists($v-snomedctau[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false() " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and $pcode != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used to assess the primary code.') " />
    <xsl:variable name="pcode-refsets-1" select="if (@codeSystem = '2.16.840.1.113883.6.96' and not($pcode = ''))         then dh:FindValueDomainsForCode($pcode, '2.16.840.1.113883.6.96', $v-psnomed-version) else 'no-code' " />
    <xsl:variable name="pcode-found" select="not($pcode-refsets-1 = 'no-code' or $pcode-refsets-1 = 'CodeNotFound' or $pcode-refsets-1 = 'Error'        or contains($pcode-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="pcode-refsets" select="if ($pcode-found) then distinct-values(tokenize($pcode-refsets-1, '\|')) else () " />
    <xsl:variable name="pcode-special-proc" select="count($pcode-refsets) = 1 and 'Procedure Foundation (PF)' = $pcode-refsets and not($pnullFlavor = 'OTH') " />
    <xsl:variable name="pcode-refsets-msg" select="if (count($pcode-refsets) = 0) then ''         else if (count($pcode-refsets) = 1) then concat('The code is a member of the ', $pcode-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($pcode-refsets, ', '), '.') " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))         else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-1" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="snomed-trans-2" select="distinct-values(for $i in (1 to count($snomed-trans-1)) return $snomed-trans-1[$i]/@code) " />
    <xsl:variable name="snomed-trans-a" select="$snomed-trans-1[1] " />
    <xsl:variable name="tcode-a" select="if (exists($snomed-trans-a) and matches($snomed-trans-a/@code, $snomed-code-regex)) then $snomed-trans-a/@code else '' " />
    <xsl:variable name="tnullFlavor-a" select="if (exists($snomed-trans-a) and $snomed-trans-a/@nullFlavor) then $snomed-trans-a/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-a" select="if (not(exists($snomed-trans-a))) then 'not-snomed'        else if (not($snomed-trans-a/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-a/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-a" select="if (not(exists($snomed-trans-a))) then ''        else if ($tsnomed-id-a = 'amtv3' and exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-a = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-a/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-a" select="if (not(exists($snomed-trans-a))) then false()        else if ($tsnomed-id-a = 'amtv3' and $snomed-trans-a/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-a = 'snomedctau' and $snomed-trans-a/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-a-msg" select="if (not(exists($snomed-trans-a))) then ''        else if (not($snomed-trans-a/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-a, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-a = 'amtv3') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-a = 'snomedctau') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-a/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-a, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-a/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-a-refsets-1" select="if (exists($snomed-trans-a) and not($tcode-a = ''))         then dh:FindValueDomainsForCode($tcode-a, '2.16.840.1.113883.6.96', $v-tsnomed-version-a) else 'no-code' " />
    <xsl:variable name="tcode-a-found" select="not($tcode-a-refsets-1 = 'no-code' or $tcode-a-refsets-1 = 'CodeNotFound' or $tcode-a-refsets-1 = 'Error'         or contains($tcode-a-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-a-refsets" select="if ($tcode-a-found) then distinct-values(tokenize($tcode-a-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-a-special-proc" select="count($tcode-a-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-a-refsets and not($tnullFlavor-a = 'OTH') " />
    <xsl:variable name="tcode-a-refsets-msg" select="if (count($tcode-a-refsets) = 0) then ''         else if (count($tcode-a-refsets) = 1) then concat('The code is a member of the ', $tcode-a-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-a-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@code and $snomed-trans-a/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-a/@displayName, codepoints-to-string(34))         else if ($snomed-trans-a/@code and not($snomed-trans-a/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@codeSystem and $snomed-trans-a/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-a/@codeSystemName, ')')         else if ($snomed-trans-a/@codeSystem and not($snomed-trans-a/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-b" select="(for $i in (2 to count($snomed-trans-1)) return if ($snomed-trans-1[$i]/@code != $snomed-trans-a/@code) then $snomed-trans-1[$i] else ())[1] " />
    <xsl:variable name="tcode-b" select="if (exists($snomed-trans-b) and matches($snomed-trans-b/@code, $snomed-code-regex)) then $snomed-trans-b/@code else '' " />
    <xsl:variable name="tnullFlavor-b" select="if (exists($snomed-trans-b) and $snomed-trans-b/@nullFlavor) then $snomed-trans-b/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-b" select="if (not(exists($snomed-trans-b))) then 'not-snomed'        else if (not($snomed-trans-b/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-b/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-b" select="if (not(exists($snomed-trans-b))) then ''        else if ($tsnomed-id-b = 'amtv3' and exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-b = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-b/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-b" select="if (not(exists($snomed-trans-b))) then false()        else if ($tsnomed-id-b = 'amtv3' and $snomed-trans-b/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-b = 'snomedctau' and $snomed-trans-b/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-b-msg" select="if (not(exists($snomed-trans-b))) then ''        else if (not($snomed-trans-b/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-b, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-b = 'amtv3') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-b = 'snomedctau') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-b/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-b, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-b/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-b-refsets-1" select="if (exists($snomed-trans-b) and not($tcode-b = ''))         then dh:FindValueDomainsForCode($tcode-b, '2.16.840.1.113883.6.96', $v-tsnomed-version-b) else 'no-code' " />
    <xsl:variable name="tcode-b-found" select="not($tcode-b-refsets-1 = 'no-code' or $tcode-b-refsets-1 = 'CodeNotFound' or $tcode-b-refsets-1 = 'Error'         or contains($tcode-b-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-b-refsets" select="if ($tcode-b-found) then distinct-values(tokenize($tcode-b-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-b-special-proc" select="count($tcode-b-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-b-refsets and not($tnullFlavor-b = 'OTH') " />
    <xsl:variable name="tcode-b-refsets-msg" select="if (count($tcode-b-refsets) = 0) then ''         else if (count($tcode-b-refsets) = 1) then concat('The code is a member of the ', $tcode-b-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-b-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@code and $snomed-trans-b/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-b/@displayName, codepoints-to-string(34))         else if ($snomed-trans-b/@code and not($snomed-trans-b/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@codeSystem and $snomed-trans-b/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-b/@codeSystemName, ')')         else if ($snomed-trans-b/@codeSystem and not($snomed-trans-b/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-60" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-60 else $rating-alt-TC-Types-60 " />
    <!--REPORT -->
    <xsl:if test=" $pcode-found and $pcode-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pcode-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD (p-TS-CD-SCT-RefSet): An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$pcode" /><xsl:text />',
		codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-psnomed-version" /><xsl:text />'. This error occurred when assessing the Pathology Test Result Name data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. The value is not valid for the data element as it describes a medical
		procedure and not a medical problem or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the pathology test performed.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and   not(exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and not(exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the code is not a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the RCPA SPIA Requesting Pathology Terminology reference set (Concept Id: 1072351000168102).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 10.5 of the Event Summary Structured Content Specification v1.2.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and   not(exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and not(exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the RCPA SPIA Requesting Pathology Terminology reference set (Concept Id: 1072351000168102).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 10.5 of the Event Summary Structured Content Specification v1.2.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and   exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the RCPA SPIA Requesting Pathology Terminology reference set (Concept Id: 1072351000168102).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 10.5 of the Event Summary Structured Content Specification v1.2.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and   exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. Confirm if the code is a member of the value domain.
		If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the RCPA SPIA Requesting Pathology Terminology reference set (Concept Id: 1072351000168102).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 10.5 of the Event Summary Structured Content Specification v1.2.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="count($snomed-trans-1)" /><xsl:text /> translation elements with
		codes and the SNOMED CT-AU codeSystem '2.16.840.1.113883.6.96'. The first two translation elements have been assessed to determine if the codes are members of the value domain
		and the others have not been assessed. Confirm if the value of the code attribute in all SNOMED CT translation elements meets the requirement that it be a member of the value domain
		if there is no nullFlavor 'OTH' or that there is a nullFlavor 'OTH' if the value of the code attribute is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the RCPA SPIA Requesting Pathology Terminology reference set (Concept Id: 1072351000168102).')" /><xsl:text /> 
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 10.5 of the Event Summary Structured Content Specification v1.2.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-a" /><xsl:text />'. This error occurred when assessing the Pathology Test Result Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the pathology test performed.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and   not(exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and not(exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the RCPA SPIA Requesting Pathology Terminology reference set (Concept Id: 1072351000168102).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 10.5 of the Event Summary Structured Content Specification v1.2.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and   not(exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and not(exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the RCPA SPIA Requesting Pathology Terminology reference set (Concept Id: 1072351000168102).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 10.5 of the Event Summary Structured Content Specification v1.2.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and   exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the RCPA SPIA Requesting Pathology Terminology reference set (Concept Id: 1072351000168102).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 10.5 of the Event Summary Structured Content Specification v1.2.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and   exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the RCPA SPIA Requesting Pathology Terminology reference set (Concept Id: 1072351000168102).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 10.5 of the Event Summary Structured Content Specification v1.2.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-b" /><xsl:text />'. This error occurred when assessing the Pathology Test Result Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> 
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the pathology test performed.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and   not(exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and not(exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the RCPA SPIA Requesting Pathology Terminology reference set (Concept Id: 1072351000168102).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 10.5 of the Event Summary Structured Content Specification v1.2.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and   not(exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and not(exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the RCPA SPIA Requesting Pathology Terminology reference set (Concept Id: 1072351000168102).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 10.5 of the Event Summary Structured Content Specification v1.2.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and   exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the RCPA SPIA Requesting Pathology Terminology reference set (Concept Id: 1072351000168102).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 10.5 of the Event Summary Structured Content Specification v1.2.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and   exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the RCPA SPIA Requesting Pathology Terminology reference set (Concept Id: 1072351000168102).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 10.5 of the Event Summary Structured Content Specification v1.2.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M631" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M631" />
  <xsl:template match="@*|node()" priority="-2" mode="M631">
    <xsl:apply-templates select="@*|*" mode="M631" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-CodeableText-5-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '102.16144' = $doc-sections]         [cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3']]/         cda:component/cda:structuredBody/cda:component//         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:code         [not(@code and @codeSystem and exists(index-of($defn-pathTest-trusted, @codeSystem)))]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])][not(@nullFlavor = $no-value-NF)] " priority="1000" mode="M632">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '102.16144' = $doc-sections]         [cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3']]/         cda:component/cda:structuredBody/cda:component//         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:code         [not(@code and @codeSystem and exists(index-of($defn-pathTest-trusted, @codeSystem)))]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])][not(@nullFlavor = $no-value-NF)] " />
    <xsl:variable name="pcode" select="if ('2.16.840.1.113883.6.96' = $defn-pathTest-trusted and         @codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="snomed-trans" select="if ('2.16.840.1.113883.6.96' = $defn-pathTest-trusted and cda:translation)         then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="tcode" select="if (exists($snomed-trans[1]) and matches($snomed-trans[1]/@code, $snomed-code-regex)) then $snomed-trans[1]/@code else '' " />
    <xsl:variable name="code-present" select="$pcode != '' or $tcode != '' " />
    <xsl:variable name="invalid-code-system" select="@code and @displayName and @codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="codesystemvalues" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']" />
    <xsl:variable name="otext-without-markup" select="if (cda:originalText and cda:originalText != '') then replace(cda:originalText, $markup-regex, ' ') else '' " />
    <xsl:variable name="pdname" select="if (@displayName and not($invalid-code-system)) then @displayName else '' " />
    <xsl:variable name="max-code-number" select="if ($knowledge/search-for-term/max-sct-code-number/@value &gt; '5') then $knowledge/search-for-term/max-sct-code-number/@value else '5' " />
    <xsl:variable name="der-text-1" select="if ($code-present) then ''         else if ($otext-without-markup != '') then $otext-without-markup        else if ($pdname != '') then $pdname        else '' " />
    <xsl:variable name="family-err" select="$family-regex != '' and not(matches($der-text-1, '(^|\s)(small|white\s*cell\s*count)(\s|$)', 'is')) and matches($der-text-1, $family-regex, 'is')" />
    <xsl:variable name="der-truncated-text-1" select="normalize-space(replace($der-text-1, $unicode-br-truncation-regex, '$1', 'is')) " />
    <xsl:variable name="length-err" select="string-length($der-truncated-text-1) &gt; $length-err-max" />
    <xsl:variable name="prose-err-1" select="$length-err and cda:originalText and (        matches(cda:originalText, $ulist-regex)           or         matches(cda:originalText, $alt-ulist-1a-regex, 'is')         or         matches(cda:originalText, $alt-ulist-1b-regex, 'is')         )" />
    <xsl:variable name="prose-err" select="$prose-err-1 or (cda:originalText and (         matches(cda:originalText, $alt-ulist-2-regex, 'is')          or        matches(cda:originalText, $olist-arabic-regex, 'is')          or         matches(cda:originalText, $olist-alpha-regex, 'is')          or         matches(cda:originalText, $olist-roman-regex, 'is')          or        matches(replace(cda:originalText, $new-line-regex, codepoints-to-string((10)), 'is'), $para-regex, 'is')  or        matches(cda:originalText, codepoints-to-string((8233)), 'is')         or               (cda:originalText and matches(cda:originalText, $invalid-concept-regex, 'is'))      or        ($length-err and matches(cda:originalText, '\.\s*$', 's') and matches(cda:originalText, $multi-sentence-regex, 's')) ))" />
    <xsl:variable name="avoid-ts" select="$family-err or $length-err or $prose-err or not($use-ts-for-sctau) " />
    <xsl:variable name="der-text-2a" select="if ($der-truncated-text-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-truncated-text-1, $pathTest-fir-pattern-replacement, 'ic')) " />
    <xsl:variable name="der-text-2" select="if ($der-text-2a = '') then $der-text-1 else $der-text-2a " />
    <xsl:variable name="der-text-a" select="if ($pathTest-replacements = '' or $der-text-2 = '') then normalize-space($der-text-2)        else normalize-space(dh:XQueryRecursiveReplace($der-text-2, $pathTest-replacements, 'ic')) " />
    <xsl:variable name="der-text" select="if ($der-text-a = '') then $der-text-2 else $der-text-a " />
    <xsl:variable name="defn-valid-regex" select="concat('(^|\|)', translate($der-text-2, $chars-to-remove, ''), '(\||$)') " />
    <xsl:variable name="der-text-to-match-1" select="lower-case($der-text-2) " />
    <xsl:variable name="der-text-to-match" select="translate($der-text-to-match-1, $chars-to-remove, '') " />
    <xsl:variable name="der-text-non-value" select="if ($code-present or @nullFlavor = $no-value-NF) then false() else         $der-text-to-match = ''              or        not(matches($der-text-to-match-1, '[a-z]', 'i'))          or         ($cd-definitions/non-value/@regex != '' and matches($der-text-to-match-1, $cd-definitions/non-value/@regex, 'i'))  or        (exists($cd-definitions/pathTest/@non-value-regex) and matches($der-text-to-match-1, $cd-definitions/pathTest/@non-value-regex, 'i')) " />
    <xsl:variable name="defn-invalid-regex" select="if ($code-present or $der-text-non-value) then ()        else if ($cd-definitions/pathTest/@invalid-regex) then tokenize($cd-definitions/pathTest/@invalid-regex, '~')[. != '']         else () " />
    <xsl:variable name="defn-invalid-txt-regex" select="(for $i in (1 to count($defn-invalid-regex)) return normalize-space(substring-before($defn-invalid-regex[$i], '[[')))[. != '']" />
    <xsl:variable name="der-invalid-text-regex-1" select="if (exists($defn-invalid-txt-regex))        then index-of(for $i in (1 to count($defn-invalid-txt-regex)) return matches($der-text-2, $defn-invalid-txt-regex[$i], 'i'), true())        else () " />
    <xsl:variable name="der-invalid-text" select="exists($der-invalid-text-regex-1) " />
    <xsl:variable name="defn-invalid-rsn" select="if ($der-invalid-text)         then normalize-space(substring-before(substring-after($defn-invalid-regex[$der-invalid-text-regex-1[1]], '[['), ']]'))         else '' " />
    <xsl:variable name="trusted-code-systems" select="if ($der-text = '' or $der-invalid-text or not(@codeSystem or cda:translation/@codeSystem)) then ()        else (tokenize(replace($cd-definitions/pathTest/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/pathTest/@extra, '\s+', ''), '\|'))[. != ''] " />
    <xsl:variable name="der-trusted-text" select="if ($der-text = '' or $der-invalid-text or (@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex)))) then false()        else ((@codeSystem and exists($trusted-code-systems[. = current()/@codeSystem])) or               (cda:translation/@codeSystem and exists($trusted-code-systems[. = current()/cda:translation/@codeSystem]))) " />
    <xsl:variable name="valid-pathTest-1a" select="if ($code-present or $der-text-non-value or $der-invalid-text or not($cd-definitions/pathTest/@valid-regex)) then false()        else exists(index-of(for $regex in (tokenize($cd-definitions/pathTest/@valid-regex, '~')[. != '']) return          matches($der-text-2, dh:XQueryRecursiveReplace(normalize-space($regex), ' \|~|~\| ~|', ''), 'is'), true())) " />
    <xsl:variable name="rcpa-syn-1" select="if ($der-text-to-match = '' or $der-text-non-value or $der-invalid-text or $valid-pathTest-1a) then ()         else ($spia-sctau/system/rcpa[@rcpa-terms or @related-terms]) " />
    <xsl:variable name="rcpa-syn-num" select="count($rcpa-syn-1) " />
    <xsl:variable name="rcpa-syn-2a" select="for $i in (1 to $rcpa-syn-num) return         if ($rcpa-syn-1[$i]/@rcpa-terms and $rcpa-syn-1[$i]/@related-terms) then concat($rcpa-syn-1[$i]/@rcpa-terms, '|', $rcpa-syn-1[$i]/@related-terms)        else if ($rcpa-syn-1[$i]/@rcpa-terms and not($rcpa-syn-1[$i]/@related-terms)) then $rcpa-syn-1[$i]/@rcpa-terms        else if (not($rcpa-syn-1[$i]/@rcpa-terms) and $rcpa-syn-1[$i]/@related-terms) then $rcpa-syn-1[$i]/@related-terms        else '' " />
    <xsl:variable name="rcpa-syn-2" select="for $i in (1 to $rcpa-syn-num) return         replace(replace(translate(normalize-space(lower-case($rcpa-syn-2a[$i])),          concat($chars-no-pipe, codepoints-to-string((38))), ''), ' \|', '|'), '^\| ', '|') " />
    <xsl:variable name="rcpa-syn-3" select="index-of(for $i in (1 to $rcpa-syn-num) return exists(tokenize($rcpa-syn-2[$i], '\|')[. = $der-text-to-match]), true())" />
    <xsl:variable name="rcpa-syn-4" select="distinct-values(for $i in $rcpa-syn-3 return $rcpa-syn-1[$i]/@code) " />
    <xsl:variable name="valid-pathTest-1" select="$valid-pathTest-1a or exists($rcpa-syn-4) " />
    <xsl:variable name="invalid-hierarchy" select="if (exists($cd-definitions/pathTest/pathTest-invalid/hierarchy))         then string-join(for $hierarchy in $cd-definitions/pathTest/pathTest-invalid/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-refset" select="if (exists($cd-definitions/pathTest/pathTest-invalid/refset))          then string-join(for $refset in $cd-definitions/pathTest/pathTest-invalid/refset return concat('^', $refset/@code), ' OR ')         else '' " />
    <xsl:variable name="valid-hierarchy" select="if ($cd-definitions/pathTest/pathTest-valid/@refset != '' and $cd-definitions/pathTest/pathTest-valid/@hierarchy != '')        then concat($cd-definitions/pathTest/pathTest-valid/@refset, ' OR ', $cd-definitions/pathTest/pathTest-valid/@hierarchy)        else if ($cd-definitions/pathTest/pathTest-valid/@refset != '') then $cd-definitions/pathTest/pathTest-valid/@refset        else if ($cd-definitions/pathTest/pathTest-valid/@hierarchy != '') then $cd-definitions/pathTest/pathTest-valid/@hierarchy        else '&lt;&lt;(^1072351000168102 OR ^1021000036104 OR ^2021000036107 OR ^3021000036100)' " />
    <xsl:variable name="valid-domain" select="if ($invalid-refset != '' and $invalid-hierarchy != '')         then concat('((', $valid-hierarchy, ') MINUS (', $invalid-refset, ' OR (', $invalid-hierarchy, ')))')        else if ($invalid-refset = '' and $invalid-hierarchy != '') then concat('((', $valid-hierarchy, ') MINUS (', $invalid-hierarchy, '))')         else if ($invalid-refset != '' and $invalid-hierarchy = '') then concat('((', $valid-hierarchy, ') MINUS (', $invalid-refset, '))')        else concat('(', $valid-hierarchy, ')') " />
    <xsl:variable name="related-terms-1" select="if ($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-pathTest-1) then ()        else ($codesystemvalues/code[@related-terms], $codesystemvalues/related-terms[@related-terms]) " />
    <xsl:variable name="related-terms-2" select="for $i in index-of(        for $concept in $related-terms-1 return matches(translate($concept/@related-terms, $chars-no-pipe, ''), $defn-valid-regex, 'i'), true())         return $related-terms-1[$i]/@code " />
    <xsl:variable name="der-pathTest-codes-1" select="if (exists($related-terms-2)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($related-terms-2, ' OR '), ') AND ', $valid-domain), '', string(count($related-terms-2)), false())        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $der-pathTest-codes-1 " />
    <xsl:variable name="der-valid-codes-1" select="if (contains($der-pathTest-codes-1, '[')) then $der-pathTest-codes-1 else '' " />
    <xsl:variable name="valid-pathTest-2" select="$valid-pathTest-1 or $der-valid-codes-1 != '' " />
    <xsl:variable name="pathTest-inactive-refSets" select="if (exists($cd-definitions/pathTest/pathTest-invalid/inactive-refset))         then concat('((', $inactive-refSets, ') MINUS (',           string-join(for $refset in $cd-definitions/pathTest/pathTest-invalid/inactive-refset return concat('^', $refset/@code), ' OR '),          '))')         else $inactive-refSets " />
    <xsl:variable name="formula" select="concat($valid-domain, ' OR ', $pathTest-inactive-refSets) " />
    <xsl:variable name="ts-not-needed" select="$der-text = '' or $der-text-non-value or $der-invalid-text or $valid-pathTest-2 or $avoid-ts " />
    <xsl:variable name="der-pathTest-codes-2-a" select="if ($ts-not-needed or exists($related-terms-2)) then ()         else tokenize(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-text, 'default'), '\|') " />
    <xsl:variable name="error-usingTS-2-a" select="$error-usingTS-1 or 'Error' = $der-pathTest-codes-2-a " />
    <xsl:variable name="revision-pattern-1" select="if ($ts-not-needed or exists($der-pathTest-codes-2-a) or exists($related-terms-2) or $error-usingTS-2-a) then ''        else $pathTest-sec-replacements " />
    <xsl:variable name="der-revised-text-1" select="if ($revision-pattern-1 = '') then ''         else normalize-space(dh:XQueryRecursiveReplace($der-text, $revision-pattern-1, 'ic')) " />
    <xsl:variable name="use-revised-text-1" select="$der-revised-text-1 != '' and $der-revised-text-1 != $der-text " />
    <xsl:variable name="der-pathTest-codes-2-b" select="if ($ts-not-needed or exists($der-pathTest-codes-2-a) or not($use-revised-text-1)) then $der-pathTest-codes-2-a        else tokenize(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-1,          'default'), '\|') " />
    <xsl:variable name="error-usingTS-2-b" select="$error-usingTS-2-a or 'Error' = $der-pathTest-codes-2-b " />
    <xsl:variable name="der-pathTest-codes-2" select="if ($ts-not-needed or $error-usingTS-2-b or not(exists($der-pathTest-codes-2-b)) or $der-valid-codes-1 != '' or exists($related-terms-2)) then ()        else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join(for $code in $der-pathTest-codes-2-b return replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is'), ' OR '), ') AND (',          $formula, ')'), '', string(count($der-pathTest-codes-2-b)), false()), '\|') " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-2-b or 'Error' = $der-pathTest-codes-2 " />
    <xsl:variable name="der-valid-codes-2" select="if ($der-valid-codes-1 != '') then $der-valid-codes-1        else if ($error-usingTS-2) then ''         else string-join((for $code in $der-pathTest-codes-2 return if (contains($code, '~inactive')) then '' else $code)[. != ''], '|')  " />
    <xsl:variable name="valid-pathTest-3" select="$valid-pathTest-2 or $der-valid-codes-2 != '' " />
    <xsl:variable name="der-inactive-codes-1" select="if ($valid-pathTest-3) then () else        for $code in $der-pathTest-codes-2 return if (contains($code, '~inactive')) then replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is') else '' " />
    <xsl:variable name="der-inactive-codes-2" select="for $i in (1 to count($der-inactive-codes-1)) return         dh:IsCodeAssociatedWithAnotherCode($der-inactive-codes-1[$i], '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-1" select="'Error' = $der-inactive-codes-2 " />
    <xsl:variable name="der-NAF-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-NAF-active-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound~active')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-inactive-codes-3" select="tokenize(string-join(for $i in (1 to count($der-inactive-codes-1)) return replace(string-join(tokenize($der-inactive-codes-2[$i], '\|')        [matches(., '(REPLACED BY|SAME AS|ALTERNATIVE|POSSIBLY EQUIVALENT TO|MAY BE A|WAS A)')], '|'), '[0-9]+~[A-Z ]+~([0-9]+)', '$1'), '|'), '\|')        [. != ''] " />
    <xsl:variable name="der-pathTest-codes-3" select="if (exists($der-inactive-codes-3)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($der-inactive-codes-3, ' OR '), ') AND ', $valid-domain), '', string(count($der-inactive-codes-3)), false())          else '' " />
    <xsl:variable name="error-usingTS-3" select="$error-usingTS-2 or 'Error' = $der-pathTest-codes-3 " />
    <xsl:variable name="der-valid-codes-3" select="if ($der-valid-codes-2 != '') then $der-valid-codes-2        else if (contains($der-pathTest-codes-3, '[')) then $der-pathTest-codes-3        else '' " />
    <xsl:variable name="valid-pathTest-4" select="$valid-pathTest-3 or $der-valid-codes-3 != '' " />
    <xsl:variable name="invalid-domain" select="if ($invalid-hierarchy != '' and $invalid-refset != '') then concat($invalid-hierarchy, ' OR ', $invalid-refset)        else if ($invalid-hierarchy != '') then $invalid-hierarchy        else if ($invalid-refset != '') then $invalid-refset        else '' " />
    <xsl:variable name="der-pathTest-codes-4" select="if ($ts-not-needed or $valid-pathTest-4 or $invalid-domain = '') then ()        else if (exists($related-terms-2)) then $related-terms-2        else distinct-values((tokenize(replace(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          $invalid-domain, $der-text, 'default'), '(\[.*?\])(\||$)', '$2'), '\|'), $der-inactive-codes-3)) " />
    <xsl:variable name="error-usingTS-4" select="$error-usingTS-3 or 'Error' = $der-pathTest-codes-4 " />
    <xsl:variable name="invalid-pathTest-codes-r" select="if ($ts-not-needed or $valid-pathTest-4 or $error-usingTS-4 or not(exists($der-pathTest-codes-4))) then ()        else if ($invalid-refset = '') then tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-pathTest-codes-4, ' OR '), ') AND (', $inactive-refSets, ')'), '',           string(count($der-pathTest-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')        else tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-pathTest-codes-4, ' OR '), ') AND (', $invalid-refset, ' OR ', $inactive-refSets, ')'), '',           string(count($der-pathTest-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')  " />
    <xsl:variable name="error-usingTS-5" select="$error-usingTS-4 or 'Error' = $invalid-pathTest-codes-r " />
    <xsl:variable name="der-pathTest-codes-4-h" select="if ($error-usingTS-5) then () else $der-pathTest-codes-4[not(. = $invalid-pathTest-codes-r)]" />
    <xsl:variable name="invalid-pathTest-codes-h" select="if ($ts-not-needed or $valid-pathTest-4 or 'Error' = $der-pathTest-codes-4 or $pathTest-invalid-hierarchy = '' or           not(exists($der-pathTest-codes-4-h))) then ()         else (for $code in $der-pathTest-codes-4-h return           if (dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',            concat('&gt;&gt;', $code, ' MINUS ', $pathTest-invalid-hierarchy), '', '1', false()) = '') then $code else '')[. != ''] " />
    <xsl:variable name="invalid-pathTest-codes" select="($invalid-pathTest-codes-h, $invalid-pathTest-codes-r) " />
    <xsl:variable name="der-pathTest-codes-5" select="$der-pathTest-codes-4[not(. = $invalid-pathTest-codes or . = 'Error')]" />
    <xsl:variable name="der-valid-codes-4" select="if ($der-valid-codes-3 != '') then $der-valid-codes-3        else if ($ts-not-needed or $valid-pathTest-4 or $valid-domain = '' or not(exists($der-pathTest-codes-5))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-pathTest-codes-5, ' OR '), ') AND ', $valid-domain), '', string(count($der-pathTest-codes-5)), false()) " />
    <xsl:variable name="error-usingTS-6" select="$error-usingTS-5 or 'Error' = $der-valid-codes-4 " />
    <xsl:variable name="valid-pathTest-5" select="$valid-pathTest-4 or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="undetermined-pathTest-1" select="$der-pathTest-codes-5[not(. = tokenize(replace($der-valid-codes-4,  '(\[.*?\])(\||$)', '$2'), '\|'))]" />
    <xsl:variable name="undetermined-inactive-1" select="for $i in (1 to count($undetermined-pathTest-1)) return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $undetermined-pathTest-1[$i], '', '1', false()) " />
    <xsl:variable name="error-usingTS-7" select="$error-usingTS-6 or 'Error' = $undetermined-inactive-1 " />
    <xsl:variable name="undetermined-inactive" select="(for $i in (1 to count($undetermined-pathTest-1)) return         if (contains($undetermined-inactive-1[$i], '~inactive')) then $undetermined-inactive-1[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-1" select="for $i in (1 to count($undetermined-inactive))        return dh:IsCodeAssociatedWithAnotherCode(replace($undetermined-inactive[$i], '(\[.*?\])(\||$)', '$2'), '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-2" select="$error-usingV-1 or 'Error' = $undetermined-NAF-1 " />
    <xsl:variable name="undetermined-NAF" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-codes" select="for $term in $undetermined-NAF return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-NAF-active" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound~active')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-active-codes" select="for $term in $undetermined-NAF-active return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-pathTest" select="$undetermined-pathTest-1[not(. = ($undetermined-NAF-codes, $undetermined-NAF-active-codes))]" />
    <xsl:variable name="invalid-pathTest" select="not($valid-pathTest-5) and exists($invalid-pathTest-codes) and not(exists($undetermined-pathTest))" />
    <xsl:variable name="codes-were-found" select="exists($der-pathTest-codes-4) or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="codes-not-found" select="not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or        $valid-pathTest-5 or $invalid-pathTest or $error-usingTS-7 or $family-err or $length-err or $prose-err) " />
    <xsl:variable name="codes-in-the-domain" select="not($valid-pathTest-1) and $valid-pathTest-5" />
    <xsl:variable name="codes-in-other-domain" select="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-pathTest-5 or $invalid-pathTest or         $error-usingTS-7) " />
    <xsl:variable name="codes-in-no-domain" select="exists($der-pathTest-codes-5) " />
    <xsl:variable name="display-in-the-domain" select="if ($codes-in-the-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', '), '''')        else '' " />
    <xsl:variable name="display-in-other-r" select="if (exists($invalid-pathTest-codes-r) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-pathTest-codes-r return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-h" select="if (exists($invalid-pathTest-codes-h) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-pathTest-codes-h return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-domain" select="if (not($codes-in-other-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))) then ''        else if ($display-in-other-r and display-in-other-h) then concat('''', $display-in-other-r, ', ', $display-in-other-h, '''')        else if ($display-in-other-r) then concat('''', $display-in-other-r, '''')        else if ($display-in-other-h) then concat('''', $display-in-other-h, '''')        else '' " />
    <xsl:variable name="display-in-no-domain" select="if ($codes-in-no-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', dh:XQueryRecursiveReplace(string-join(for $code in $der-pathTest-codes-5 return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), '; '),          $term-pattern-replacement, 'ic'), '''')        else '' " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))        else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <!--REPORT -->
    <xsl:if test=" matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-pathTest-5) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-pathTest-5)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-PathTest-Defn): An unexpected problem occurred when assessing the value of the Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. The application of regular expressions resulted in the complete loss of text.
		Report the information below to the Australian Digital Health Agency for investigation.

		der-text-1 '<xsl:text /><xsl:value-of select="normalize-space(dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'))" /><xsl:text />'.
		der-text-2a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-2a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-a, $term-pattern-replacement, 'ic')" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingV-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingV-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-PathTest-Defn): An error was reported when accessing the terminology server when assessing the Pathology Test Result Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		Report the issue to the Australian Digital Health Agency for investigation stating the error was recorded for error-usingV-2.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-7 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-7">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-PathTest-Defn): An error was reported when accessing the terminology server when assessing the Pathology Test Result Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term:
		'<xsl:text /><xsl:value-of select="$der-text" /><xsl:text />'. The analysis should be retried as the terminology server may have been temporarily unavailable.
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation, stating that the error was found by
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'error-usingTS-1' else if ($error-usingTS-2-a) then 'error-usingTS-2-a'   else if ($error-usingTS-2-b) then 'error-usingTS-2-b' else if ($error-usingTS-2) then 'error-usingTS-2'   else if ($error-usingTS-3) then 'error-usingTS-3' else if ($error-usingTS-4) then 'error-usingTS-4'   else if ($error-usingTS-5) then 'error-usingTS-5' else if ($error-usingTS-6) then 'error-usingTS-6'   else 'error-usingTS-7' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $codes-not-found">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the pathology test performed.         (See the definition of the Pathology Test Result Name data element in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 10.5 of the Event Summary Structured Content Specification v1.2.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$codes-in-other-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$codes-in-other-domain">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value does not seem to be applicable for the data element.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the pathology test performed.         (See the definition of the Pathology Test Result Name data element in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the pathology test performed.         (See the definition of the Pathology Test Result Name data element in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Pathology Test Result Name data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the pathology test performed.         (See the definition of the Pathology Test Result Name data element in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Pathology Test Result Name data element must have a value that is consistent with this definition. Alternatively if there is no Pathology Test Result Name data element with a proper value then an exclusion
		statement must be included to state why there is no Pathology Test Result Name. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4')    then concat('Text such as ''', dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'), ''' may be permitted in the narrative even though the Pathology Test Result Name data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the pathology test performed.         (See the definition of the Pathology Test Result Name data element in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Pathology Test Result Name data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($der-text-non-value) and $der-invalid-text ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($der-text-non-value) and $der-invalid-text">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid. <xsl:text /><xsl:value-of select="$defn-invalid-rsn" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the pathology test performed.         (See the definition of the Pathology Test Result Name data element in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $invalid-pathTest and not($error-usingTS-7)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$invalid-pathTest and not($error-usingTS-7)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid
		<xsl:text /><xsl:value-of select="if (exists($invalid-pathTest-codes-h)) then concat(' as it describes ', string-join(distinct-values(for $code in tokenize(replace(   dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat('(', string-join(for $code in $invalid-pathTest-codes-h return concat('&gt;&gt;', $code), ' OR '), ') AND (',    string-join(for $hierarchy in $cd-definitions/pathTest/pathTest-invalid/hierarchy return $hierarchy/@code, ' OR '), ')'), '',    string(count($invalid-pathTest-codes-h)), true()), '(\[.*?\])(\||$)', '$2'), '\|') return     $cd-definitions/pathTest/pathTest-invalid/hierarchy[@code = $code]/@description)[position() = (1 to 2)], ' and '), '.')    else if (exists($invalid-pathTest-codes-r)) then concat(' as it describes ', string-join(distinct-values(for $code in $invalid-pathTest-codes-r return   $cd-definitions/pathTest/pathTest-invalid/refset[index-of(for $x in (for $refset in $cd-definitions/pathTest/pathTest-invalid/refset return    dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat($code, ' AND ^', $refset/@code), '', '1', true()), '|') return matches($x, '^[0-9]'), true())[1]]/@description), ' and '), '.')   else '.'" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the pathology test performed.         (See the definition of the Pathology Test Result Name data element in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable outside the applicable value domain): The Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following codes were obtained and are not in the value domain: <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-PathTest-Defn): The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU and no associated code was found in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists(($der-NAF-active-codes, $undetermined-NAF-active-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists(($der-NAF-active-codes, $undetermined-NAF-active-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-PathTest-Defn): The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-active-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the
		'<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' version of SNOMED CT-AU but it was not found with this status in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU. 
		<xsl:text /><xsl:value-of select="if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $valid-pathTest-1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $valid-pathTest-1">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable within the value domain): The Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which matches one of the		
		<xsl:text /><xsl:value-of select="if ($valid-pathTest-1a) then 'terms listed in Knowledge.xml' else 'concepts in the RCPA requesting pathology reference set' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($valid-pathTest-1a) then ''    else if (count($rcpa-syn-4) = 1) then concat(' The code found using the RCPA preferred terms and synonyms is ''', $rcpa-syn-4[1], '''.')   else concat(' The codes found using the RCPA preferred terms and synonyms are ''', string-join($rcpa-syn-4, ', '), '''.')" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (concept is codeable within the value domain): The Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a valid value for the Pathology Test Result Name.
		SNOMED CT-AU codes that matched the concept are: <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-pathTest-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-pathTest-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The text used to match regular expression (der-text-2) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to match RCPA terms and non-values (der-text-to-match) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-to-match, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to derive a code (der-text) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.

		<xsl:text /><xsl:value-of select="if ($use-revised-text-1) then concat(' A first revision of the text (der-revised-text-1) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-1, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A first revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-1 != '' and $der-revised-text-1 = '') then ' revision-pattern-1 was applied but the output (der-revised-text-1) was an empty string.' else '' " /><xsl:text />

		The SNOMED CT-AU version used to find codes is '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' and the maximum code number is '<xsl:text /><xsl:value-of select="$max-code-number" /><xsl:text />'.

		Codes for related terms (related-terms-2): '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($related-terms-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes for related terms (der-valid-codes-1): 
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-1, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-pathTest-codes-2) returned by the terminology server that match the text:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-pathTest-codes-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes from related terms or the terminology server (der-valid-codes-2):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-2, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-inactive-codes-3) returned from the Validator's database associated with inactive codes:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-inactive-codes-3, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes found after examining inactive codes (der-valid-codes-3):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-3, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Members of invalid reference sets (invalid-pathTest-codes-r): '<xsl:text /><xsl:value-of select="$display-in-other-r" /><xsl:text />'.
		Members of invalid code hierarchies (invalid-pathTest-codes-h): '<xsl:text /><xsl:value-of select="$display-in-other-h" /><xsl:text />'.

		Final set of valid codes (der-valid-codes-4):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		
		Codes whose validity has not been determined (der-pathTest-codes-5):  <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.
		Codes whose validity has not been determined and are inactive with no associated code (undetermined-NAF): '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(    string-join($undetermined-NAF, ''', '''), $markup-pattern-replacement, 'ic')" /><xsl:text />'.

		Will the value of the data element be trusted (der-trusted-text)? '<xsl:text /><xsl:value-of select="$der-trusted-text" /><xsl:text />'.
		
	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and $codes-not-found">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept not codeable): The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($avoid-ts) then 'The terminology server was not used to assist with finding codes corresponding to text in the data element. ' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($error-usingTS-7 or $log-concepts-name = '' or $log-concepts-created = 'ERROR') then ''   else if (dh:AppendLog($log-concepts-name, concat(              $display-creation-date,   $log-tab,         $document-id,    $log-tab,         $document-name,    $log-tab,         iq:location(., ''),   $log-tab,          'Pathology Test Result Name',    $log-tab,          'yes',     $log-tab,          concat($display-code, $display-system), $log-tab,          '',     $log-tab,         '',     $log-tab,         '',     $log-tab,         $ts-current-sctau   )) = ('NOTFOUND', 'ERROR'))   then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $prose-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $prose-err">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is invalid as it is prose text.
		The Pathology Test Result Name data element is CodeableText derived from the HL7 CD data type which by definition is to record a concept defined in an external code system, terminology or ontology.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the pathology test performed.         (See the definition of the Pathology Test Result Name data element in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		This finding will also be reported as an error.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M632" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M632" />
  <xsl:template match="@*|node()" priority="-2" mode="M632">
    <xsl:apply-templates select="@*|*" mode="M632" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-CodeableText-6-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '102.16144' = $doc-sections][not(cda:templateId[         (@root = '1.2.36.1.2001.1001.100.1002.220' and @extension = '1.0') or         (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3') ])]/cda:component/cda:structuredBody/cda:component//         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:code         [@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " priority="1000" mode="M633">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '102.16144' = $doc-sections][not(cda:templateId[         (@root = '1.2.36.1.2001.1001.100.1002.220' and @extension = '1.0') or         (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3') ])]/cda:component/cda:structuredBody/cda:component//         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:code         [@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="pnullFlavor" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @nullFlavor) then @nullFlavor else '' " />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-p-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then false()        else if ($psnomed-id = 'amtv3' and @codeSystemVersion) then exists($v-amtv3[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($psnomed-id = 'snomedctau' and @codeSystemVersion) then exists($v-snomedctau[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false() " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and $pcode != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used to assess the primary code.') " />
    <xsl:variable name="pcode-refsets-1" select="if (@codeSystem = '2.16.840.1.113883.6.96' and not($pcode = ''))         then dh:FindValueDomainsForCode($pcode, '2.16.840.1.113883.6.96', $v-psnomed-version) else 'no-code' " />
    <xsl:variable name="pcode-found" select="not($pcode-refsets-1 = 'no-code' or $pcode-refsets-1 = 'CodeNotFound' or $pcode-refsets-1 = 'Error'        or contains($pcode-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="pcode-refsets" select="if ($pcode-found) then distinct-values(tokenize($pcode-refsets-1, '\|')) else () " />
    <xsl:variable name="pcode-special-proc" select="count($pcode-refsets) = 1 and 'Procedure Foundation (PF)' = $pcode-refsets and not($pnullFlavor = 'OTH') " />
    <xsl:variable name="pcode-refsets-msg" select="if (count($pcode-refsets) = 0) then ''         else if (count($pcode-refsets) = 1) then concat('The code is a member of the ', $pcode-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($pcode-refsets, ', '), '.') " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))         else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-1" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="snomed-trans-2" select="distinct-values(for $i in (1 to count($snomed-trans-1)) return $snomed-trans-1[$i]/@code) " />
    <xsl:variable name="snomed-trans-a" select="$snomed-trans-1[1] " />
    <xsl:variable name="tcode-a" select="if (exists($snomed-trans-a) and matches($snomed-trans-a/@code, $snomed-code-regex)) then $snomed-trans-a/@code else '' " />
    <xsl:variable name="tnullFlavor-a" select="if (exists($snomed-trans-a) and $snomed-trans-a/@nullFlavor) then $snomed-trans-a/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-a" select="if (not(exists($snomed-trans-a))) then 'not-snomed'        else if (not($snomed-trans-a/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-a/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-a" select="if (not(exists($snomed-trans-a))) then ''        else if ($tsnomed-id-a = 'amtv3' and exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-a = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-a/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-a" select="if (not(exists($snomed-trans-a))) then false()        else if ($tsnomed-id-a = 'amtv3' and $snomed-trans-a/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-a = 'snomedctau' and $snomed-trans-a/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-a-msg" select="if (not(exists($snomed-trans-a))) then ''        else if (not($snomed-trans-a/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-a, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-a = 'amtv3') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-a = 'snomedctau') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-a/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-a, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-a/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-a-refsets-1" select="if (exists($snomed-trans-a) and not($tcode-a = ''))         then dh:FindValueDomainsForCode($tcode-a, '2.16.840.1.113883.6.96', $v-tsnomed-version-a) else 'no-code' " />
    <xsl:variable name="tcode-a-found" select="not($tcode-a-refsets-1 = 'no-code' or $tcode-a-refsets-1 = 'CodeNotFound' or $tcode-a-refsets-1 = 'Error'         or contains($tcode-a-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-a-refsets" select="if ($tcode-a-found) then distinct-values(tokenize($tcode-a-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-a-special-proc" select="count($tcode-a-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-a-refsets and not($tnullFlavor-a = 'OTH') " />
    <xsl:variable name="tcode-a-refsets-msg" select="if (count($tcode-a-refsets) = 0) then ''         else if (count($tcode-a-refsets) = 1) then concat('The code is a member of the ', $tcode-a-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-a-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@code and $snomed-trans-a/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-a/@displayName, codepoints-to-string(34))         else if ($snomed-trans-a/@code and not($snomed-trans-a/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@codeSystem and $snomed-trans-a/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-a/@codeSystemName, ')')         else if ($snomed-trans-a/@codeSystem and not($snomed-trans-a/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-b" select="(for $i in (2 to count($snomed-trans-1)) return if ($snomed-trans-1[$i]/@code != $snomed-trans-a/@code) then $snomed-trans-1[$i] else ())[1] " />
    <xsl:variable name="tcode-b" select="if (exists($snomed-trans-b) and matches($snomed-trans-b/@code, $snomed-code-regex)) then $snomed-trans-b/@code else '' " />
    <xsl:variable name="tnullFlavor-b" select="if (exists($snomed-trans-b) and $snomed-trans-b/@nullFlavor) then $snomed-trans-b/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-b" select="if (not(exists($snomed-trans-b))) then 'not-snomed'        else if (not($snomed-trans-b/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-b/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-b" select="if (not(exists($snomed-trans-b))) then ''        else if ($tsnomed-id-b = 'amtv3' and exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-b = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-b/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-b" select="if (not(exists($snomed-trans-b))) then false()        else if ($tsnomed-id-b = 'amtv3' and $snomed-trans-b/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-b = 'snomedctau' and $snomed-trans-b/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-b-msg" select="if (not(exists($snomed-trans-b))) then ''        else if (not($snomed-trans-b/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-b, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-b = 'amtv3') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-b = 'snomedctau') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-b/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-b, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-b/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-b-refsets-1" select="if (exists($snomed-trans-b) and not($tcode-b = ''))         then dh:FindValueDomainsForCode($tcode-b, '2.16.840.1.113883.6.96', $v-tsnomed-version-b) else 'no-code' " />
    <xsl:variable name="tcode-b-found" select="not($tcode-b-refsets-1 = 'no-code' or $tcode-b-refsets-1 = 'CodeNotFound' or $tcode-b-refsets-1 = 'Error'         or contains($tcode-b-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-b-refsets" select="if ($tcode-b-found) then distinct-values(tokenize($tcode-b-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-b-special-proc" select="count($tcode-b-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-b-refsets and not($tnullFlavor-b = 'OTH') " />
    <xsl:variable name="tcode-b-refsets-msg" select="if (count($tcode-b-refsets) = 0) then ''         else if (count($tcode-b-refsets) = 1) then concat('The code is a member of the ', $tcode-b-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-b-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@code and $snomed-trans-b/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-b/@displayName, codepoints-to-string(34))         else if ($snomed-trans-b/@code and not($snomed-trans-b/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@codeSystem and $snomed-trans-b/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-b/@codeSystemName, ')')         else if ($snomed-trans-b/@codeSystem and not($snomed-trans-b/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-60" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-60 else $rating-alt-TC-Types-60 " />
    <!--REPORT -->
    <xsl:if test=" $pcode-found and $pcode-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pcode-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD (p-TS-CD-SCT-RefSet): An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$pcode" /><xsl:text />',
		codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-psnomed-version" /><xsl:text />'. This error occurred when assessing the Pathology Test Result Name data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. The value is not valid for the data element as it describes a medical
		procedure and not a medical problem or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the pathology test performed.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and   not(exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and not(exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the code is not a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the RCPA SPIA Requesting Pathology Terminology reference set (Concept Id: 1072351000168102).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.6 of the Pathology Test Result Detailed Clinical Model Specification v3.2.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and   not(exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and not(exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the RCPA SPIA Requesting Pathology Terminology reference set (Concept Id: 1072351000168102).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.6 of the Pathology Test Result Detailed Clinical Model Specification v3.2.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and   exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the RCPA SPIA Requesting Pathology Terminology reference set (Concept Id: 1072351000168102).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.6 of the Pathology Test Result Detailed Clinical Model Specification v3.2.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and   exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. Confirm if the code is a member of the value domain.
		If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the RCPA SPIA Requesting Pathology Terminology reference set (Concept Id: 1072351000168102).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.6 of the Pathology Test Result Detailed Clinical Model Specification v3.2.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="count($snomed-trans-1)" /><xsl:text /> translation elements with
		codes and the SNOMED CT-AU codeSystem '2.16.840.1.113883.6.96'. The first two translation elements have been assessed to determine if the codes are members of the value domain
		and the others have not been assessed. Confirm if the value of the code attribute in all SNOMED CT translation elements meets the requirement that it be a member of the value domain
		if there is no nullFlavor 'OTH' or that there is a nullFlavor 'OTH' if the value of the code attribute is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the RCPA SPIA Requesting Pathology Terminology reference set (Concept Id: 1072351000168102).')" /><xsl:text /> 
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.6 of the Pathology Test Result Detailed Clinical Model Specification v3.2.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-a" /><xsl:text />'. This error occurred when assessing the Pathology Test Result Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the pathology test performed.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and   not(exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and not(exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the RCPA SPIA Requesting Pathology Terminology reference set (Concept Id: 1072351000168102).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.6 of the Pathology Test Result Detailed Clinical Model Specification v3.2.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and   not(exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and not(exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the RCPA SPIA Requesting Pathology Terminology reference set (Concept Id: 1072351000168102).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.6 of the Pathology Test Result Detailed Clinical Model Specification v3.2.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and   exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the RCPA SPIA Requesting Pathology Terminology reference set (Concept Id: 1072351000168102).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.6 of the Pathology Test Result Detailed Clinical Model Specification v3.2.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and   exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the RCPA SPIA Requesting Pathology Terminology reference set (Concept Id: 1072351000168102).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.6 of the Pathology Test Result Detailed Clinical Model Specification v3.2.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-b" /><xsl:text />'. This error occurred when assessing the Pathology Test Result Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> 
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the pathology test performed.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and   not(exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and not(exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the RCPA SPIA Requesting Pathology Terminology reference set (Concept Id: 1072351000168102).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.6 of the Pathology Test Result Detailed Clinical Model Specification v3.2.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and   not(exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and not(exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the RCPA SPIA Requesting Pathology Terminology reference set (Concept Id: 1072351000168102).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.6 of the Pathology Test Result Detailed Clinical Model Specification v3.2.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and   exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the RCPA SPIA Requesting Pathology Terminology reference set (Concept Id: 1072351000168102).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.6 of the Pathology Test Result Detailed Clinical Model Specification v3.2.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and   exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the RCPA SPIA Requesting Pathology Terminology reference set (Concept Id: 1072351000168102).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.6 of the Pathology Test Result Detailed Clinical Model Specification v3.2.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M633" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M633" />
  <xsl:template match="@*|node()" priority="-2" mode="M633">
    <xsl:apply-templates select="@*|*" mode="M633" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-CodeableText-7-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '102.16144' = $doc-sections][not(cda:templateId[         (@root = '1.2.36.1.2001.1001.100.1002.220' and @extension = '1.0') or         (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3') ])]/cda:component/cda:structuredBody/cda:component//         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:code         [not(@code and @codeSystem and exists(index-of($defn-pathTest-trusted, @codeSystem)))]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])][not(@nullFlavor = $no-value-NF)] " priority="1000" mode="M634">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '102.16144' = $doc-sections][not(cda:templateId[         (@root = '1.2.36.1.2001.1001.100.1002.220' and @extension = '1.0') or         (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3') ])]/cda:component/cda:structuredBody/cda:component//         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:code         [not(@code and @codeSystem and exists(index-of($defn-pathTest-trusted, @codeSystem)))]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])][not(@nullFlavor = $no-value-NF)] " />
    <xsl:variable name="pcode" select="if ('2.16.840.1.113883.6.96' = $defn-pathTest-trusted and         @codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="snomed-trans" select="if ('2.16.840.1.113883.6.96' = $defn-pathTest-trusted and cda:translation)         then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="tcode" select="if (exists($snomed-trans[1]) and matches($snomed-trans[1]/@code, $snomed-code-regex)) then $snomed-trans[1]/@code else '' " />
    <xsl:variable name="code-present" select="$pcode != '' or $tcode != '' " />
    <xsl:variable name="invalid-code-system" select="@code and @displayName and @codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="codesystemvalues" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']" />
    <xsl:variable name="otext-without-markup" select="if (cda:originalText and cda:originalText != '') then replace(cda:originalText, $markup-regex, ' ') else '' " />
    <xsl:variable name="pdname" select="if (@displayName and not($invalid-code-system)) then @displayName else '' " />
    <xsl:variable name="max-code-number" select="if ($knowledge/search-for-term/max-sct-code-number/@value &gt; '5') then $knowledge/search-for-term/max-sct-code-number/@value else '5' " />
    <xsl:variable name="der-text-1" select="if ($code-present) then ''         else if ($otext-without-markup != '') then $otext-without-markup        else if ($pdname != '') then $pdname        else '' " />
    <xsl:variable name="family-err" select="$family-regex != '' and not(matches($der-text-1, '(^|\s)(small|white\s*cell\s*count)(\s|$)', 'is')) and matches($der-text-1, $family-regex, 'is')" />
    <xsl:variable name="der-truncated-text-1" select="normalize-space(replace($der-text-1, $unicode-br-truncation-regex, '$1', 'is')) " />
    <xsl:variable name="length-err" select="string-length($der-truncated-text-1) &gt; $length-err-max" />
    <xsl:variable name="prose-err-1" select="$length-err and cda:originalText and (        matches(cda:originalText, $ulist-regex)           or         matches(cda:originalText, $alt-ulist-1a-regex, 'is')         or         matches(cda:originalText, $alt-ulist-1b-regex, 'is')         )" />
    <xsl:variable name="prose-err" select="$prose-err-1 or (cda:originalText and (         matches(cda:originalText, $alt-ulist-2-regex, 'is')          or        matches(cda:originalText, $olist-arabic-regex, 'is')          or         matches(cda:originalText, $olist-alpha-regex, 'is')          or         matches(cda:originalText, $olist-roman-regex, 'is')          or        matches(replace(cda:originalText, $new-line-regex, codepoints-to-string((10)), 'is'), $para-regex, 'is')  or        matches(cda:originalText, codepoints-to-string((8233)), 'is')         or               (cda:originalText and matches(cda:originalText, $invalid-concept-regex, 'is'))      or        ($length-err and matches(cda:originalText, '\.\s*$', 's') and matches(cda:originalText, $multi-sentence-regex, 's')) ))" />
    <xsl:variable name="avoid-ts" select="$family-err or $length-err or $prose-err or not($use-ts-for-sctau) " />
    <xsl:variable name="der-text-2a" select="if ($der-truncated-text-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-truncated-text-1, $pathTest-fir-pattern-replacement, 'ic')) " />
    <xsl:variable name="der-text-2" select="if ($der-text-2a = '') then $der-text-1 else $der-text-2a " />
    <xsl:variable name="der-text-a" select="if ($pathTest-replacements = '' or $der-text-2 = '') then normalize-space($der-text-2)        else normalize-space(dh:XQueryRecursiveReplace($der-text-2, $pathTest-replacements, 'ic')) " />
    <xsl:variable name="der-text" select="if ($der-text-a = '') then $der-text-2 else $der-text-a " />
    <xsl:variable name="defn-valid-regex" select="concat('(^|\|)', translate($der-text-2, $chars-to-remove, ''), '(\||$)') " />
    <xsl:variable name="der-text-to-match-1" select="lower-case($der-text-2) " />
    <xsl:variable name="der-text-to-match" select="translate($der-text-to-match-1, $chars-to-remove, '') " />
    <xsl:variable name="der-text-non-value" select="if ($code-present or @nullFlavor = $no-value-NF) then false() else         $der-text-to-match = ''              or        not(matches($der-text-to-match-1, '[a-z]', 'i'))          or         ($cd-definitions/non-value/@regex != '' and matches($der-text-to-match-1, $cd-definitions/non-value/@regex, 'i'))  or        (exists($cd-definitions/pathTest/@non-value-regex) and matches($der-text-to-match-1, $cd-definitions/pathTest/@non-value-regex, 'i')) " />
    <xsl:variable name="defn-invalid-regex" select="if ($code-present or $der-text-non-value) then ()        else if ($cd-definitions/pathTest/@invalid-regex) then tokenize($cd-definitions/pathTest/@invalid-regex, '~')[. != '']         else () " />
    <xsl:variable name="defn-invalid-txt-regex" select="(for $i in (1 to count($defn-invalid-regex)) return normalize-space(substring-before($defn-invalid-regex[$i], '[[')))[. != '']" />
    <xsl:variable name="der-invalid-text-regex-1" select="if (exists($defn-invalid-txt-regex))        then index-of(for $i in (1 to count($defn-invalid-txt-regex)) return matches($der-text-2, $defn-invalid-txt-regex[$i], 'i'), true())        else () " />
    <xsl:variable name="der-invalid-text" select="exists($der-invalid-text-regex-1) " />
    <xsl:variable name="defn-invalid-rsn" select="if ($der-invalid-text)         then normalize-space(substring-before(substring-after($defn-invalid-regex[$der-invalid-text-regex-1[1]], '[['), ']]'))         else '' " />
    <xsl:variable name="trusted-code-systems" select="if ($der-text = '' or $der-invalid-text or not(@codeSystem or cda:translation/@codeSystem)) then ()        else (tokenize(replace($cd-definitions/pathTest/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/pathTest/@extra, '\s+', ''), '\|'))[. != ''] " />
    <xsl:variable name="der-trusted-text" select="if ($der-text = '' or $der-invalid-text or (@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex)))) then false()        else ((@codeSystem and exists($trusted-code-systems[. = current()/@codeSystem])) or               (cda:translation/@codeSystem and exists($trusted-code-systems[. = current()/cda:translation/@codeSystem]))) " />
    <xsl:variable name="valid-pathTest-1a" select="if ($code-present or $der-text-non-value or $der-invalid-text or not($cd-definitions/pathTest/@valid-regex)) then false()        else exists(index-of(for $regex in (tokenize($cd-definitions/pathTest/@valid-regex, '~')[. != '']) return          matches($der-text-2, dh:XQueryRecursiveReplace(normalize-space($regex), ' \|~|~\| ~|', ''), 'is'), true())) " />
    <xsl:variable name="rcpa-syn-1" select="if ($der-text-to-match = '' or $der-text-non-value or $der-invalid-text or $valid-pathTest-1a) then ()         else ($spia-sctau/system/rcpa[@rcpa-terms or @related-terms]) " />
    <xsl:variable name="rcpa-syn-num" select="count($rcpa-syn-1) " />
    <xsl:variable name="rcpa-syn-2a" select="for $i in (1 to $rcpa-syn-num) return         if ($rcpa-syn-1[$i]/@rcpa-terms and $rcpa-syn-1[$i]/@related-terms) then concat($rcpa-syn-1[$i]/@rcpa-terms, '|', $rcpa-syn-1[$i]/@related-terms)        else if ($rcpa-syn-1[$i]/@rcpa-terms and not($rcpa-syn-1[$i]/@related-terms)) then $rcpa-syn-1[$i]/@rcpa-terms        else if (not($rcpa-syn-1[$i]/@rcpa-terms) and $rcpa-syn-1[$i]/@related-terms) then $rcpa-syn-1[$i]/@related-terms        else '' " />
    <xsl:variable name="rcpa-syn-2" select="for $i in (1 to $rcpa-syn-num) return         replace(replace(translate(normalize-space(lower-case($rcpa-syn-2a[$i])),          concat($chars-no-pipe, codepoints-to-string((38))), ''), ' \|', '|'), '^\| ', '|') " />
    <xsl:variable name="rcpa-syn-3" select="index-of(for $i in (1 to $rcpa-syn-num) return exists(tokenize($rcpa-syn-2[$i], '\|')[. = $der-text-to-match]), true())" />
    <xsl:variable name="rcpa-syn-4" select="distinct-values(for $i in $rcpa-syn-3 return $rcpa-syn-1[$i]/@code) " />
    <xsl:variable name="valid-pathTest-1" select="$valid-pathTest-1a or exists($rcpa-syn-4) " />
    <xsl:variable name="invalid-hierarchy" select="if (exists($cd-definitions/pathTest/pathTest-invalid/hierarchy))         then string-join(for $hierarchy in $cd-definitions/pathTest/pathTest-invalid/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-refset" select="if (exists($cd-definitions/pathTest/pathTest-invalid/refset))          then string-join(for $refset in $cd-definitions/pathTest/pathTest-invalid/refset return concat('^', $refset/@code), ' OR ')         else '' " />
    <xsl:variable name="valid-hierarchy" select="if ($cd-definitions/pathTest/pathTest-valid/@refset != '' and $cd-definitions/pathTest/pathTest-valid/@hierarchy != '')        then concat($cd-definitions/pathTest/pathTest-valid/@refset, ' OR ', $cd-definitions/pathTest/pathTest-valid/@hierarchy)        else if ($cd-definitions/pathTest/pathTest-valid/@refset != '') then $cd-definitions/pathTest/pathTest-valid/@refset        else if ($cd-definitions/pathTest/pathTest-valid/@hierarchy != '') then $cd-definitions/pathTest/pathTest-valid/@hierarchy        else '&lt;&lt;(^1072351000168102 OR ^1021000036104 OR ^2021000036107 OR ^3021000036100)' " />
    <xsl:variable name="valid-domain" select="if ($invalid-refset != '' and $invalid-hierarchy != '')         then concat('((', $valid-hierarchy, ') MINUS (', $invalid-refset, ' OR (', $invalid-hierarchy, ')))')        else if ($invalid-refset = '' and $invalid-hierarchy != '') then concat('((', $valid-hierarchy, ') MINUS (', $invalid-hierarchy, '))')         else if ($invalid-refset != '' and $invalid-hierarchy = '') then concat('((', $valid-hierarchy, ') MINUS (', $invalid-refset, '))')        else concat('(', $valid-hierarchy, ')') " />
    <xsl:variable name="related-terms-1" select="if ($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-pathTest-1) then ()        else ($codesystemvalues/code[@related-terms], $codesystemvalues/related-terms[@related-terms]) " />
    <xsl:variable name="related-terms-2" select="for $i in index-of(        for $concept in $related-terms-1 return matches(translate($concept/@related-terms, $chars-no-pipe, ''), $defn-valid-regex, 'i'), true())         return $related-terms-1[$i]/@code " />
    <xsl:variable name="der-pathTest-codes-1" select="if (exists($related-terms-2)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($related-terms-2, ' OR '), ') AND ', $valid-domain), '', string(count($related-terms-2)), false())        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $der-pathTest-codes-1 " />
    <xsl:variable name="der-valid-codes-1" select="if (contains($der-pathTest-codes-1, '[')) then $der-pathTest-codes-1 else '' " />
    <xsl:variable name="valid-pathTest-2" select="$valid-pathTest-1 or $der-valid-codes-1 != '' " />
    <xsl:variable name="pathTest-inactive-refSets" select="if (exists($cd-definitions/pathTest/pathTest-invalid/inactive-refset))         then concat('((', $inactive-refSets, ') MINUS (',           string-join(for $refset in $cd-definitions/pathTest/pathTest-invalid/inactive-refset return concat('^', $refset/@code), ' OR '),          '))')         else $inactive-refSets " />
    <xsl:variable name="formula" select="concat($valid-domain, ' OR ', $pathTest-inactive-refSets) " />
    <xsl:variable name="ts-not-needed" select="$der-text = '' or $der-text-non-value or $der-invalid-text or $valid-pathTest-2 or $avoid-ts " />
    <xsl:variable name="der-pathTest-codes-2-a" select="if ($ts-not-needed or exists($related-terms-2)) then ()         else tokenize(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-text, 'default'), '\|') " />
    <xsl:variable name="error-usingTS-2-a" select="$error-usingTS-1 or 'Error' = $der-pathTest-codes-2-a " />
    <xsl:variable name="revision-pattern-1" select="if ($ts-not-needed or exists($der-pathTest-codes-2-a) or exists($related-terms-2) or $error-usingTS-2-a) then ''        else $pathTest-sec-replacements " />
    <xsl:variable name="der-revised-text-1" select="if ($revision-pattern-1 = '') then ''         else normalize-space(dh:XQueryRecursiveReplace($der-text, $revision-pattern-1, 'ic')) " />
    <xsl:variable name="use-revised-text-1" select="$der-revised-text-1 != '' and $der-revised-text-1 != $der-text " />
    <xsl:variable name="der-pathTest-codes-2-b" select="if ($ts-not-needed or exists($der-pathTest-codes-2-a) or not($use-revised-text-1)) then $der-pathTest-codes-2-a        else tokenize(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-1,          'default'), '\|') " />
    <xsl:variable name="error-usingTS-2-b" select="$error-usingTS-2-a or 'Error' = $der-pathTest-codes-2-b " />
    <xsl:variable name="der-pathTest-codes-2" select="if ($ts-not-needed or $error-usingTS-2-b or not(exists($der-pathTest-codes-2-b)) or $der-valid-codes-1 != '' or exists($related-terms-2)) then ()        else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join(for $code in $der-pathTest-codes-2-b return replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is'), ' OR '), ') AND (',          $formula, ')'), '', string(count($der-pathTest-codes-2-b)), false()), '\|') " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-2-b or 'Error' = $der-pathTest-codes-2 " />
    <xsl:variable name="der-valid-codes-2" select="if ($der-valid-codes-1 != '') then $der-valid-codes-1        else if ($error-usingTS-2) then ''         else string-join((for $code in $der-pathTest-codes-2 return if (contains($code, '~inactive')) then '' else $code)[. != ''], '|')  " />
    <xsl:variable name="valid-pathTest-3" select="$valid-pathTest-2 or $der-valid-codes-2 != '' " />
    <xsl:variable name="der-inactive-codes-1" select="if ($valid-pathTest-3) then () else        for $code in $der-pathTest-codes-2 return if (contains($code, '~inactive')) then replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is') else '' " />
    <xsl:variable name="der-inactive-codes-2" select="for $i in (1 to count($der-inactive-codes-1)) return         dh:IsCodeAssociatedWithAnotherCode($der-inactive-codes-1[$i], '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-1" select="'Error' = $der-inactive-codes-2 " />
    <xsl:variable name="der-NAF-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-NAF-active-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound~active')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-inactive-codes-3" select="tokenize(string-join(for $i in (1 to count($der-inactive-codes-1)) return replace(string-join(tokenize($der-inactive-codes-2[$i], '\|')        [matches(., '(REPLACED BY|SAME AS|ALTERNATIVE|POSSIBLY EQUIVALENT TO|MAY BE A|WAS A)')], '|'), '[0-9]+~[A-Z ]+~([0-9]+)', '$1'), '|'), '\|')        [. != ''] " />
    <xsl:variable name="der-pathTest-codes-3" select="if (exists($der-inactive-codes-3)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($der-inactive-codes-3, ' OR '), ') AND ', $valid-domain), '', string(count($der-inactive-codes-3)), false())          else '' " />
    <xsl:variable name="error-usingTS-3" select="$error-usingTS-2 or 'Error' = $der-pathTest-codes-3 " />
    <xsl:variable name="der-valid-codes-3" select="if ($der-valid-codes-2 != '') then $der-valid-codes-2        else if (contains($der-pathTest-codes-3, '[')) then $der-pathTest-codes-3        else '' " />
    <xsl:variable name="valid-pathTest-4" select="$valid-pathTest-3 or $der-valid-codes-3 != '' " />
    <xsl:variable name="invalid-domain" select="if ($invalid-hierarchy != '' and $invalid-refset != '') then concat($invalid-hierarchy, ' OR ', $invalid-refset)        else if ($invalid-hierarchy != '') then $invalid-hierarchy        else if ($invalid-refset != '') then $invalid-refset        else '' " />
    <xsl:variable name="der-pathTest-codes-4" select="if ($ts-not-needed or $valid-pathTest-4 or $invalid-domain = '') then ()        else if (exists($related-terms-2)) then $related-terms-2        else distinct-values((tokenize(replace(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          $invalid-domain, $der-text, 'default'), '(\[.*?\])(\||$)', '$2'), '\|'), $der-inactive-codes-3)) " />
    <xsl:variable name="error-usingTS-4" select="$error-usingTS-3 or 'Error' = $der-pathTest-codes-4 " />
    <xsl:variable name="invalid-pathTest-codes-r" select="if ($ts-not-needed or $valid-pathTest-4 or $error-usingTS-4 or not(exists($der-pathTest-codes-4))) then ()        else if ($invalid-refset = '') then tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-pathTest-codes-4, ' OR '), ') AND (', $inactive-refSets, ')'), '',           string(count($der-pathTest-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')        else tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-pathTest-codes-4, ' OR '), ') AND (', $invalid-refset, ' OR ', $inactive-refSets, ')'), '',           string(count($der-pathTest-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')  " />
    <xsl:variable name="error-usingTS-5" select="$error-usingTS-4 or 'Error' = $invalid-pathTest-codes-r " />
    <xsl:variable name="der-pathTest-codes-4-h" select="if ($error-usingTS-5) then () else $der-pathTest-codes-4[not(. = $invalid-pathTest-codes-r)]" />
    <xsl:variable name="invalid-pathTest-codes-h" select="if ($ts-not-needed or $valid-pathTest-4 or 'Error' = $der-pathTest-codes-4 or $pathTest-invalid-hierarchy = '' or           not(exists($der-pathTest-codes-4-h))) then ()         else (for $code in $der-pathTest-codes-4-h return           if (dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',            concat('&gt;&gt;', $code, ' MINUS ', $pathTest-invalid-hierarchy), '', '1', false()) = '') then $code else '')[. != ''] " />
    <xsl:variable name="invalid-pathTest-codes" select="($invalid-pathTest-codes-h, $invalid-pathTest-codes-r) " />
    <xsl:variable name="der-pathTest-codes-5" select="$der-pathTest-codes-4[not(. = $invalid-pathTest-codes or . = 'Error')]" />
    <xsl:variable name="der-valid-codes-4" select="if ($der-valid-codes-3 != '') then $der-valid-codes-3        else if ($ts-not-needed or $valid-pathTest-4 or $valid-domain = '' or not(exists($der-pathTest-codes-5))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-pathTest-codes-5, ' OR '), ') AND ', $valid-domain), '', string(count($der-pathTest-codes-5)), false()) " />
    <xsl:variable name="error-usingTS-6" select="$error-usingTS-5 or 'Error' = $der-valid-codes-4 " />
    <xsl:variable name="valid-pathTest-5" select="$valid-pathTest-4 or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="undetermined-pathTest-1" select="$der-pathTest-codes-5[not(. = tokenize(replace($der-valid-codes-4,  '(\[.*?\])(\||$)', '$2'), '\|'))]" />
    <xsl:variable name="undetermined-inactive-1" select="for $i in (1 to count($undetermined-pathTest-1)) return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $undetermined-pathTest-1[$i], '', '1', false()) " />
    <xsl:variable name="error-usingTS-7" select="$error-usingTS-6 or 'Error' = $undetermined-inactive-1 " />
    <xsl:variable name="undetermined-inactive" select="(for $i in (1 to count($undetermined-pathTest-1)) return         if (contains($undetermined-inactive-1[$i], '~inactive')) then $undetermined-inactive-1[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-1" select="for $i in (1 to count($undetermined-inactive))        return dh:IsCodeAssociatedWithAnotherCode(replace($undetermined-inactive[$i], '(\[.*?\])(\||$)', '$2'), '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-2" select="$error-usingV-1 or 'Error' = $undetermined-NAF-1 " />
    <xsl:variable name="undetermined-NAF" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-codes" select="for $term in $undetermined-NAF return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-NAF-active" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound~active')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-active-codes" select="for $term in $undetermined-NAF-active return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-pathTest" select="$undetermined-pathTest-1[not(. = ($undetermined-NAF-codes, $undetermined-NAF-active-codes))]" />
    <xsl:variable name="invalid-pathTest" select="not($valid-pathTest-5) and exists($invalid-pathTest-codes) and not(exists($undetermined-pathTest))" />
    <xsl:variable name="codes-were-found" select="exists($der-pathTest-codes-4) or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="codes-not-found" select="not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or        $valid-pathTest-5 or $invalid-pathTest or $error-usingTS-7 or $family-err or $length-err or $prose-err) " />
    <xsl:variable name="codes-in-the-domain" select="not($valid-pathTest-1) and $valid-pathTest-5" />
    <xsl:variable name="codes-in-other-domain" select="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-pathTest-5 or $invalid-pathTest or         $error-usingTS-7) " />
    <xsl:variable name="codes-in-no-domain" select="exists($der-pathTest-codes-5) " />
    <xsl:variable name="display-in-the-domain" select="if ($codes-in-the-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', '), '''')        else '' " />
    <xsl:variable name="display-in-other-r" select="if (exists($invalid-pathTest-codes-r) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-pathTest-codes-r return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-h" select="if (exists($invalid-pathTest-codes-h) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-pathTest-codes-h return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-domain" select="if (not($codes-in-other-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))) then ''        else if ($display-in-other-r and display-in-other-h) then concat('''', $display-in-other-r, ', ', $display-in-other-h, '''')        else if ($display-in-other-r) then concat('''', $display-in-other-r, '''')        else if ($display-in-other-h) then concat('''', $display-in-other-h, '''')        else '' " />
    <xsl:variable name="display-in-no-domain" select="if ($codes-in-no-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', dh:XQueryRecursiveReplace(string-join(for $code in $der-pathTest-codes-5 return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), '; '),          $term-pattern-replacement, 'ic'), '''')        else '' " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))        else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <!--REPORT -->
    <xsl:if test=" matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-pathTest-5) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-pathTest-5)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-PathTest-Defn): An unexpected problem occurred when assessing the value of the Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. The application of regular expressions resulted in the complete loss of text.
		Report the information below to the Australian Digital Health Agency for investigation.

		der-text-1 '<xsl:text /><xsl:value-of select="normalize-space(dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'))" /><xsl:text />'.
		der-text-2a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-2a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-a, $term-pattern-replacement, 'ic')" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingV-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingV-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-PathTest-Defn): An error was reported when accessing the terminology server when assessing the Pathology Test Result Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		Report the issue to the Australian Digital Health Agency for investigation stating the error was recorded for error-usingV-2.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-7 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-7">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-PathTest-Defn): An error was reported when accessing the terminology server when assessing the Pathology Test Result Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term:
		'<xsl:text /><xsl:value-of select="$der-text" /><xsl:text />'. The analysis should be retried as the terminology server may have been temporarily unavailable.
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation, stating that the error was found by
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'error-usingTS-1' else if ($error-usingTS-2-a) then 'error-usingTS-2-a'   else if ($error-usingTS-2-b) then 'error-usingTS-2-b' else if ($error-usingTS-2) then 'error-usingTS-2'   else if ($error-usingTS-3) then 'error-usingTS-3' else if ($error-usingTS-4) then 'error-usingTS-4'   else if ($error-usingTS-5) then 'error-usingTS-5' else if ($error-usingTS-6) then 'error-usingTS-6'   else 'error-usingTS-7' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $codes-not-found">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the pathology test performed.         (See the definition of the Pathology Test Result Name data element in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.6 of the Pathology Test Result Detailed Clinical Model Specification v3.2.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$codes-in-other-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$codes-in-other-domain">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value does not seem to be applicable for the data element.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the pathology test performed.         (See the definition of the Pathology Test Result Name data element in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the pathology test performed.         (See the definition of the Pathology Test Result Name data element in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Pathology Test Result Name data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the pathology test performed.         (See the definition of the Pathology Test Result Name data element in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Pathology Test Result Name data element must have a value that is consistent with this definition. Alternatively if there is no Pathology Test Result Name data element with a proper value then an exclusion
		statement must be included to state why there is no Pathology Test Result Name. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4')    then concat('Text such as ''', dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'), ''' may be permitted in the narrative even though the Pathology Test Result Name data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the pathology test performed.         (See the definition of the Pathology Test Result Name data element in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Pathology Test Result Name data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($der-text-non-value) and $der-invalid-text ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($der-text-non-value) and $der-invalid-text">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid. <xsl:text /><xsl:value-of select="$defn-invalid-rsn" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the pathology test performed.         (See the definition of the Pathology Test Result Name data element in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $invalid-pathTest and not($error-usingTS-7)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$invalid-pathTest and not($error-usingTS-7)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid
		<xsl:text /><xsl:value-of select="if (exists($invalid-pathTest-codes-h)) then concat(' as it describes ', string-join(distinct-values(for $code in tokenize(replace(   dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat('(', string-join(for $code in $invalid-pathTest-codes-h return concat('&gt;&gt;', $code), ' OR '), ') AND (',    string-join(for $hierarchy in $cd-definitions/pathTest/pathTest-invalid/hierarchy return $hierarchy/@code, ' OR '), ')'), '',    string(count($invalid-pathTest-codes-h)), true()), '(\[.*?\])(\||$)', '$2'), '\|') return     $cd-definitions/pathTest/pathTest-invalid/hierarchy[@code = $code]/@description)[position() = (1 to 2)], ' and '), '.')    else if (exists($invalid-pathTest-codes-r)) then concat(' as it describes ', string-join(distinct-values(for $code in $invalid-pathTest-codes-r return   $cd-definitions/pathTest/pathTest-invalid/refset[index-of(for $x in (for $refset in $cd-definitions/pathTest/pathTest-invalid/refset return    dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat($code, ' AND ^', $refset/@code), '', '1', true()), '|') return matches($x, '^[0-9]'), true())[1]]/@description), ' and '), '.')   else '.'" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the pathology test performed.         (See the definition of the Pathology Test Result Name data element in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable outside the applicable value domain): The Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following codes were obtained and are not in the value domain: <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-PathTest-Defn): The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU and no associated code was found in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists(($der-NAF-active-codes, $undetermined-NAF-active-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists(($der-NAF-active-codes, $undetermined-NAF-active-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-PathTest-Defn): The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-active-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the
		'<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' version of SNOMED CT-AU but it was not found with this status in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU. 
		<xsl:text /><xsl:value-of select="if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $valid-pathTest-1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $valid-pathTest-1">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable within the value domain): The Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which matches one of the		
		<xsl:text /><xsl:value-of select="if ($valid-pathTest-1a) then 'terms listed in Knowledge.xml' else 'concepts in the RCPA requesting pathology reference set' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($valid-pathTest-1a) then ''    else if (count($rcpa-syn-4) = 1) then concat(' The code found using the RCPA preferred terms and synonyms is ''', $rcpa-syn-4[1], '''.')   else concat(' The codes found using the RCPA preferred terms and synonyms are ''', string-join($rcpa-syn-4, ', '), '''.')" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (concept is codeable within the value domain): The Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a valid value for the Pathology Test Result Name.
		SNOMED CT-AU codes that matched the concept are: <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-pathTest-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-pathTest-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The text used to match regular expression (der-text-2) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to match RCPA terms and non-values (der-text-to-match) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-to-match, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to derive a code (der-text) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.

		<xsl:text /><xsl:value-of select="if ($use-revised-text-1) then concat(' A first revision of the text (der-revised-text-1) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-1, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A first revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-1 != '' and $der-revised-text-1 = '') then ' revision-pattern-1 was applied but the output (der-revised-text-1) was an empty string.' else '' " /><xsl:text />

		The SNOMED CT-AU version used to find codes is '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' and the maximum code number is '<xsl:text /><xsl:value-of select="$max-code-number" /><xsl:text />'.

		Codes for related terms (related-terms-2): '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($related-terms-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes for related terms (der-valid-codes-1): 
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-1, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-pathTest-codes-2) returned by the terminology server that match the text:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-pathTest-codes-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes from related terms or the terminology server (der-valid-codes-2):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-2, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-inactive-codes-3) returned from the Validator's database associated with inactive codes:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-inactive-codes-3, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes found after examining inactive codes (der-valid-codes-3):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-3, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Members of invalid reference sets (invalid-pathTest-codes-r): '<xsl:text /><xsl:value-of select="$display-in-other-r" /><xsl:text />'.
		Members of invalid code hierarchies (invalid-pathTest-codes-h): '<xsl:text /><xsl:value-of select="$display-in-other-h" /><xsl:text />'.

		Final set of valid codes (der-valid-codes-4):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		
		Codes whose validity has not been determined (der-pathTest-codes-5):  <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.
		Codes whose validity has not been determined and are inactive with no associated code (undetermined-NAF): '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(    string-join($undetermined-NAF, ''', '''), $markup-pattern-replacement, 'ic')" /><xsl:text />'.

		Will the value of the data element be trusted (der-trusted-text)? '<xsl:text /><xsl:value-of select="$der-trusted-text" /><xsl:text />'.
		
	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and $codes-not-found">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept not codeable): The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($avoid-ts) then 'The terminology server was not used to assist with finding codes corresponding to text in the data element. ' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($error-usingTS-7 or $log-concepts-name = '' or $log-concepts-created = 'ERROR') then ''   else if (dh:AppendLog($log-concepts-name, concat(              $display-creation-date,   $log-tab,         $document-id,    $log-tab,         $document-name,    $log-tab,         iq:location(., ''),   $log-tab,          'Pathology Test Result Name',    $log-tab,          'yes',     $log-tab,          concat($display-code, $display-system), $log-tab,          '',     $log-tab,         '',     $log-tab,         '',     $log-tab,         $ts-current-sctau   )) = ('NOTFOUND', 'ERROR'))   then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $prose-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $prose-err">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is invalid as it is prose text.
		The Pathology Test Result Name data element is CodeableText derived from the HL7 CD data type which by definition is to record a concept defined in an external code system, terminology or ontology.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the pathology test performed.         (See the definition of the Pathology Test Result Name data element in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		This finding will also be reported as an error.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M634" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M634" />
  <xsl:template match="@*|node()" priority="-2" mode="M634">
    <xsl:apply-templates select="@*|*" mode="M634" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-CodeableText-8-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:code   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M635">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:code   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Pathology Test Result Name has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Pathology Test Result Name data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Pathology Test Result Name data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Pathology Test Result Name data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Pathology Test Result Name data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Pathology Test Result Name data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Pathology Test Result Name data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Pathology Test Result Name data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Pathology Test Result Name data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M635" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M635" />
  <xsl:template match="@*|node()" priority="-2" mode="M635">
    <xsl:apply-templates select="@*|*" mode="M635" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-CodeableText-9-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='310074003']]/cda:value " priority="1000" mode="M636">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='310074003']]/cda:value " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Diagnostic Service '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and true() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and true() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Diagnostic Service '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Diagnostic Service',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Diagnostic Service '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Diagnostic Service '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Diagnostic Service
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Diagnostic Service however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Diagnostic Service in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Diagnostic Service
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Diagnostic Service however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Diagnostic Service in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Diagnostic Service data element must have a value that is consistent with this definition. Alternatively if there is no Diagnostic Service data element with a proper value then an exclusion
		statement must be included to state why there is no Diagnostic Service.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Diagnostic Service
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Diagnostic Service however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Diagnostic Service in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Diagnostic Service
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Diagnostic Service however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Diagnostic Service in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Diagnostic Service data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Diagnostic Service
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Diagnostic Service however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Diagnostic Service in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Diagnostic Service data element must have a value that is consistent with this definition. Alternatively if there is no Diagnostic Service data element with a proper value then an exclusion
		statement must be included to state why there is no Diagnostic Service.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Diagnostic Service
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Diagnostic Service however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Diagnostic Service in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Diagnostic Service data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Diagnostic Service '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Diagnostic Service
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Diagnostic Service
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Diagnostic Service '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Diagnostic Service '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Diagnostic Service '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Diagnostic Service '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Diagnostic Service '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Diagnostic Service '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Diagnostic Service
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Diagnostic Service '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Diagnostic Service '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Diagnostic Service.
		(See the definition of Diagnostic Service in the Structured Content Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Diagnostic Service '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M636" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M636" />
  <xsl:template match="@*|node()" priority="-2" mode="M636">
    <xsl:apply-templates select="@*|*" mode="M636" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-CodeableText-10-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='310074003']]/cda:value[(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M637">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='310074003']]/cda:value[(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Diagnostic Service '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Diagnostic Service
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Diagnostic Service
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Diagnostic Service
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Diagnostic Service
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Diagnostic Service has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Diagnostic Service data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Diagnostic Service
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Diagnostic Service data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Diagnostic Service
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Diagnostic Service data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Diagnostic Service
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Diagnostic Service data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Diagnostic Service
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Diagnostic Service
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Diagnostic Service data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Diagnostic Service
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Diagnostic Service data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Diagnostic Service
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Diagnostic Service
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Diagnostic Service data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Diagnostic Service
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Diagnostic Service data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Diagnostic Service
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Diagnostic Service
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M637" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M637" />
  <xsl:template match="@*|node()" priority="-2" mode="M637">
    <xsl:apply-templates select="@*|*" mode="M637" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-CodeableText-11-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.1', '102.16156.132.1.1', '102.16156.136.2.1', '102.16156.132.1.1')]]/   cda:specimen/cda:specimenRole/cda:specimenPlayingEntity/cda:code " priority="1000" mode="M638">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.1', '102.16156.132.1.1', '102.16156.136.2.1', '102.16156.132.1.1')]]/   cda:specimen/cda:specimenRole/cda:specimenPlayingEntity/cda:code " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Test Specimen - Specimen Tissue Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and true() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and true() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Test Specimen - Specimen Tissue Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Test Specimen - Specimen Tissue Type',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Test Specimen - Specimen Tissue Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Test Specimen - Specimen Tissue Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Specimen - Specimen Tissue Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Test Specimen - Specimen Tissue Type however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Test Specimen - Specimen Tissue Type in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Test Specimen - Specimen Tissue Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Test Specimen - Specimen Tissue Type however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Test Specimen - Specimen Tissue Type in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Test Specimen - Specimen Tissue Type data element must have a value that is consistent with this definition. Alternatively if there is no Test Specimen - Specimen Tissue Type data element with a proper value then an exclusion
		statement must be included to state why there is no Test Specimen - Specimen Tissue Type.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Specimen - Specimen Tissue Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Test Specimen - Specimen Tissue Type however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Test Specimen - Specimen Tissue Type in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Specimen - Specimen Tissue Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Test Specimen - Specimen Tissue Type however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Test Specimen - Specimen Tissue Type in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Test Specimen - Specimen Tissue Type data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Test Specimen - Specimen Tissue Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Test Specimen - Specimen Tissue Type however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Test Specimen - Specimen Tissue Type in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Test Specimen - Specimen Tissue Type data element must have a value that is consistent with this definition. Alternatively if there is no Test Specimen - Specimen Tissue Type data element with a proper value then an exclusion
		statement must be included to state why there is no Test Specimen - Specimen Tissue Type.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Specimen - Specimen Tissue Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Test Specimen - Specimen Tissue Type however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Test Specimen - Specimen Tissue Type in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Test Specimen - Specimen Tissue Type data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Specimen - Specimen Tissue Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen - Specimen Tissue Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen - Specimen Tissue Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen - Specimen Tissue Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen - Specimen Tissue Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Test Specimen - Specimen Tissue Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Test Specimen - Specimen Tissue Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Specimen - Specimen Tissue Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Specimen - Specimen Tissue Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Test Specimen - Specimen Tissue Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Specimen - Specimen Tissue Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Specimen - Specimen Tissue Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Test Specimen - Specimen Tissue Type.
		(See the definition of Test Specimen - Specimen Tissue Type in the Structured Content Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Test Specimen - Specimen Tissue Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M638" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M638" />
  <xsl:template match="@*|node()" priority="-2" mode="M638">
    <xsl:apply-templates select="@*|*" mode="M638" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-CodeableText-12-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.1', '102.16156.132.1.1', '102.16156.136.2.1', '102.16156.132.1.1')]]/   cda:specimen/cda:specimenRole/cda:specimenPlayingEntity/cda:code[(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-specimen-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])]   [not(@nullFlavor = $no-value-NF)] " priority="1000" mode="M639">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.1', '102.16156.132.1.1', '102.16156.136.2.1', '102.16156.132.1.1')]]/   cda:specimen/cda:specimenRole/cda:specimenPlayingEntity/cda:code[(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-specimen-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])]   [not(@nullFlavor = $no-value-NF)] " />
    <xsl:variable name="pcode" select="if ('2.16.840.1.113883.6.96' = $defn-specimen-trusted and         @codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="snomed-trans" select="if ('2.16.840.1.113883.6.96' = $defn-specimen-trusted and cda:translation)         then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="tcode" select="if (exists($snomed-trans[1]) and matches($snomed-trans[1]/@code, $snomed-code-regex)) then $snomed-trans[1]/@code else '' " />
    <xsl:variable name="code-present" select="$pcode != '' or $tcode != '' " />
    <xsl:variable name="invalid-code-system" select="@code and @displayName and @codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="codesystemvalues" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']" />
    <xsl:variable name="hl7-specimen-type" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.5.129']" />
    <xsl:variable name="otext-without-markup" select="if (cda:originalText and cda:originalText != '') then normalize-space(replace(cda:originalText, $markup-regex, ' ')) else '' " />
    <xsl:variable name="pdname" select="if (@displayName and not($invalid-code-system)) then normalize-space(@displayName) else '' " />
    <xsl:variable name="max-code-number" select="if ($knowledge/search-for-term/max-sct-code-number/@value &gt; '5') then $knowledge/search-for-term/max-sct-code-number/@value else '5' " />
    <xsl:variable name="der-text-1" select="if ($code-present) then ''         else if ($otext-without-markup != '') then $otext-without-markup        else if ($pdname != '') then $pdname        else '' " />
    <xsl:variable name="family-err" select="matches($der-text-1, $family-regex, 'i')" />
    <xsl:variable name="length-err" select="string-length($der-text-1) &gt; $length-err-max" />
    <xsl:variable name="avoid-ts" select="$family-err or $length-err or not($use-ts-for-sctau) " />
    <xsl:variable name="der-text-2a" select="if ($der-text-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-text-1, $specimen-fir-pattern-replacement, 'ic')) " />
    <xsl:variable name="der-text-2" select="if ($der-text-2a = '') then $der-text-1 else $der-text-2a " />
    <xsl:variable name="der-text-a" select="if ($der-text-2 = '' or $specimen-replacements = '') then $der-text-2        else normalize-space(dh:XQueryRecursiveReplace($der-text-2, $specimen-replacements, 'ic')) " />
    <xsl:variable name="der-text" select="if ($der-text-a = '') then $der-text-2 else $der-text-a " />
    <xsl:variable name="defn-valid-regex" select="concat('(^|\|)', translate($der-text-2, $chars-to-remove, ''), '(\||$)') " />
    <xsl:variable name="der-text-to-match-1" select="lower-case($der-text-2) " />
    <xsl:variable name="der-text-to-match" select="translate($der-text-to-match-1, $chars-to-remove, '') " />
    <xsl:variable name="der-text-non-value" select="if ($code-present or @nullFlavor = $no-value-NF) then false() else         $der-text-to-match = ''              or         not(matches($der-text-to-match, '[a-z]', 'is'))           or        ($cd-definitions/non-value/@regex != '' and matches($der-text-to-match, $cd-definitions/non-value/@regex, 'is'))  or        (exists($cd-definitions/specimen/@non-value-regex) and matches($der-text-to-match, $cd-definitions/specimen/@non-value-regex, 'is')) " />
    <xsl:variable name="defn-invalid-regex" select="if ($code-present or $der-text-non-value) then ()        else if ($cd-definitions/specimen/@invalid-regex) then tokenize($cd-definitions/specimen/@invalid-regex, '~')[. != '']         else () " />
    <xsl:variable name="defn-invalid-txt-regex" select="(for $i in (1 to count($defn-invalid-regex)) return normalize-space(substring-before($defn-invalid-regex[$i], '[[')))[. != '']" />
    <xsl:variable name="der-invalid-text-regex-1" select="if (exists($defn-invalid-txt-regex))        then index-of(for $i in (1 to count($defn-invalid-txt-regex)) return matches($der-text-2, $defn-invalid-txt-regex[$i], 'i'), true())        else () " />
    <xsl:variable name="der-invalid-text" select="exists($der-invalid-text-regex-1) " />
    <xsl:variable name="defn-invalid-rsn" select="if ($der-invalid-text)         then normalize-space(substring-before(substring-after($defn-invalid-regex[$der-invalid-text-regex-1[1]], '[['), ']]'))         else '' " />
    <xsl:variable name="trusted-code-systems" select="if ($der-text = '' or $der-invalid-text or not(@codeSystem or cda:translation/@codeSystem)) then ()        else (tokenize(replace($cd-definitions/specimen/@core, '\s+', ''), '\|'),          tokenize(replace($cd-definitions/specimen/@extra, '\s+', ''), '\|'))[. != ''] " />
    <xsl:variable name="der-trusted-text" select="if ($der-text = '' or $der-invalid-text or (@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex)))) then false()        else ((@codeSystem and exists($trusted-code-systems[. = current()/@codeSystem])) or               (cda:translation/@codeSystem and exists($trusted-code-systems[. = current()/cda:translation/@codeSystem]))) " />
    <xsl:variable name="valid-specimen-1a" select="if ($code-present or $der-text-non-value or $der-invalid-text or not($cd-definitions/specimen/@valid-regex)) then false()        else exists(index-of(for $regex in (tokenize($cd-definitions/specimen/@valid-regex, '~')[. != '']) return          matches($der-text-2, dh:XQueryRecursiveReplace(normalize-space($regex), ' \|~|~\| ~|', ''), 'is'), true())) " />
    <xsl:variable name="valid-specimen-1b" select="if ($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-specimen-1a) then false()        else exists(index-of(for $concept in $hl7-specimen-type/code return           matches($concept/@code, $defn-valid-regex, 'i')      or           matches(translate($concept/@displayName, $chars-no-pipe, ''), $defn-valid-regex, 'i')  or           matches(translate($concept/@synonyms, $chars-no-pipe, ''), $defn-valid-regex, 'i') , true())) " />
    <xsl:variable name="valid-specimen-1" select="$valid-specimen-1a or $valid-specimen-1b " />
    <xsl:variable name="invalid-hierarchy" select="if (exists($cd-definitions/specimen/specimen-invalid/hierarchy))         then string-join(for $hierarchy in $cd-definitions/specimen/specimen-invalid/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-refset" select="if (exists($cd-definitions/specimen/specimen-invalid/refset))          then string-join(for $refset in $cd-definitions/specimen/specimen-invalid/refset return concat('^', $refset/@code), ' OR ')         else '' " />
    <xsl:variable name="valid-refset" select="'^4021000036102 OR ^32570191000036104' " />
    <xsl:variable name="valid-domain" select="if ($invalid-refset != '' and $invalid-hierarchy != '')         then concat('((', $valid-refset, ') MINUS (', $invalid-refset, ' OR (', $invalid-hierarchy, ')))')        else if ($invalid-refset = '' and $invalid-hierarchy != '') then concat('((', $valid-refset, ') MINUS (', $invalid-hierarchy, '))')         else if ($invalid-refset != '' and $invalid-hierarchy = '') then concat('((', $valid-refset, ') MINUS (', $invalid-refset, '))')        else concat('(', $valid-refset, ')') " />
    <xsl:variable name="related-terms-1" select="if ($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-specimen-1) then ()        else ($codesystemvalues/code[@related-terms], $codesystemvalues/related-terms[@related-terms]) " />
    <xsl:variable name="related-terms-2" select="for $i in index-of(        for $concept in $related-terms-1 return matches(translate($concept/@related-terms, $chars-no-pipe, ''), $defn-valid-regex, 'i'), true())         return $related-terms-1[$i]/@code " />
    <xsl:variable name="der-specimen-codes-1" select="if (exists($related-terms-2)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($related-terms-2, ' OR '), ') AND ', $valid-domain), '', string(count($related-terms-2)), false())        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $der-specimen-codes-1 " />
    <xsl:variable name="der-valid-codes-1" select="if (contains($der-specimen-codes-1, '[')) then $der-specimen-codes-1 else '' " />
    <xsl:variable name="valid-specimen-2" select="$valid-specimen-1 or $der-valid-codes-1 != '' " />
    <xsl:variable name="specimen-inactive-refSets" select="if (exists($cd-definitions/specimen/specimen-invalid/inactive-refset))         then concat('((', $inactive-refSets, ') MINUS (',           string-join(for $refset in $cd-definitions/specimen/specimen-invalid/inactive-refset return concat('^', $refset/@code), ' OR '),          '))')         else $inactive-refSets " />
    <xsl:variable name="formula" select="concat($valid-domain, ' OR ', $specimen-inactive-refSets) " />
    <xsl:variable name="ts-not-needed" select="$der-text = '' or $der-text-non-value or $der-invalid-text or $valid-specimen-2 or $avoid-ts " />
    <xsl:variable name="der-specimen-codes-2" select="if ($ts-not-needed or exists($related-terms-2)) then ()         else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-text,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or 'Error' = $der-specimen-codes-2 " />
    <xsl:variable name="der-valid-codes-2" select="if ($der-valid-codes-1 != '') then $der-valid-codes-1        else if ($error-usingTS-2) then ''         else string-join((for $code in $der-specimen-codes-2 return if (contains($code, '~inactive')) then '' else $code)[. != ''], '|')  " />
    <xsl:variable name="valid-specimen-3" select="$valid-specimen-2 or $der-valid-codes-2 != '' " />
    <xsl:variable name="der-inactive-codes-1" select="if ($valid-specimen-3) then () else        for $code in $der-specimen-codes-2 return if (contains($code, '~inactive')) then replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is') else '' " />
    <xsl:variable name="der-inactive-codes-2" select="for $i in (1 to count($der-inactive-codes-1)) return         dh:IsCodeAssociatedWithAnotherCode($der-inactive-codes-1[$i], '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-1" select="'Error' = $der-inactive-codes-2 " />
    <xsl:variable name="der-NAF-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-NAF-active-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound~active')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-inactive-codes-3" select="tokenize(string-join(for $i in (1 to count($der-inactive-codes-1)) return replace(string-join(tokenize($der-inactive-codes-2[$i], '\|')        [matches(., '(REPLACED BY|SAME AS|ALTERNATIVE|POSSIBLY EQUIVALENT TO|MAY BE A|WAS A)')], '|'), '[0-9]+~[A-Z ]+~([0-9]+)', '$1'), '|'), '\|')        [. != ''] " />
    <xsl:variable name="der-specimen-codes-3" select="if (exists($der-inactive-codes-3)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($der-inactive-codes-3, ' OR '), ') AND ', $valid-domain), '', string(count($der-inactive-codes-3)), false())          else '' " />
    <xsl:variable name="error-usingTS-3" select="$error-usingTS-2 or 'Error' = $der-specimen-codes-3 " />
    <xsl:variable name="der-valid-codes-3" select="if ($der-valid-codes-2 != '') then $der-valid-codes-2        else if (contains($der-specimen-codes-3, '[')) then $der-specimen-codes-3        else '' " />
    <xsl:variable name="valid-specimen-4" select="$valid-specimen-3 or $der-valid-codes-3 != '' " />
    <xsl:variable name="invalid-domain" select="if ($invalid-hierarchy != '' and $invalid-refset != '') then concat($invalid-hierarchy, ' OR ', $invalid-refset)        else if ($invalid-hierarchy != '') then $invalid-hierarchy        else if ($invalid-refset != '') then $invalid-refset        else '' " />
    <xsl:variable name="der-specimen-codes-4" select="if ($ts-not-needed or $valid-specimen-4 or $invalid-domain = '') then ()        else if (exists($related-terms-2)) then $related-terms-2        else distinct-values((tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          $invalid-domain, $der-text, $max-code-number, false()), '(\[.*?\])(\||$)', '$2'), '\|'), $der-inactive-codes-3)) " />
    <xsl:variable name="error-usingTS-4" select="$error-usingTS-3 or 'Error' = $der-specimen-codes-4 " />
    <xsl:variable name="invalid-specimen-codes-r" select="if ($ts-not-needed or $valid-specimen-4 or $error-usingTS-4 or not(exists($der-specimen-codes-4))) then ()        else if ($invalid-refset = '') then tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-specimen-codes-4, ' OR '), ') AND (', $inactive-refSets, ')'), '',           string(count($der-specimen-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')        else tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-specimen-codes-4, ' OR '), ') AND (', $invalid-refset, ' OR ', $inactive-refSets, ')'), '',           string(count($der-specimen-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')  " />
    <xsl:variable name="error-usingTS-5" select="$error-usingTS-4 or 'Error' = $invalid-specimen-codes-r " />
    <xsl:variable name="der-specimen-codes-4-h" select="if ($error-usingTS-5) then () else $der-specimen-codes-4[not(. = $invalid-specimen-codes-r)]" />
    <xsl:variable name="invalid-specimen-codes-h" select="if ($ts-not-needed or $valid-specimen-4 or 'Error' = $der-specimen-codes-4 or $specimen-invalid-hierarchy = '' or          not(exists($der-specimen-codes-4-h))) then ()        else (for $code in $der-specimen-codes-4-h return          if (dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;&gt;', $code, ' MINUS ', $specimen-invalid-hierarchy), '', '1', false()) = '') then $code else '')[. != ''] " />
    <xsl:variable name="invalid-specimen-codes" select="($invalid-specimen-codes-h, $invalid-specimen-codes-r) " />
    <xsl:variable name="der-specimen-codes-5" select="$der-specimen-codes-4[not(. = $invalid-specimen-codes or . = 'Error')]" />
    <xsl:variable name="der-valid-codes-4" select="if ($der-valid-codes-3 != '') then $der-valid-codes-3        else if ($ts-not-needed or $valid-specimen-4 or $valid-domain = '' or not(exists($der-specimen-codes-5))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-specimen-codes-5, ' OR '), ') AND ', $valid-domain), '', string(count($der-specimen-codes-5)), false()) " />
    <xsl:variable name="error-usingTS-6" select="$error-usingTS-5 or 'Error' = $der-valid-codes-4 " />
    <xsl:variable name="valid-specimen-5" select="$valid-specimen-4 or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="undetermined-specimen-1" select="$der-specimen-codes-5[not(. = tokenize(replace($der-valid-codes-4,  '(\[.*?\])(\||$)', '$2'), '\|'))]" />
    <xsl:variable name="undetermined-inactive-1" select="for $i in (1 to count($undetermined-specimen-1)) return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $undetermined-specimen-1[$i], '', '1', false()) " />
    <xsl:variable name="error-usingTS-7" select="$error-usingTS-6 or 'Error' = $undetermined-inactive-1 " />
    <xsl:variable name="undetermined-inactive" select="(for $i in (1 to count($undetermined-specimen-1)) return         if (contains($undetermined-inactive-1[$i], '~inactive')) then $undetermined-inactive-1[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-1" select="for $i in (1 to count($undetermined-inactive))        return dh:IsCodeAssociatedWithAnotherCode(replace($undetermined-inactive[$i], '(\[.*?\])(\||$)', '$2'), '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-2" select="$error-usingV-1 or 'Error' = $undetermined-NAF-1 " />
    <xsl:variable name="undetermined-NAF" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-codes" select="for $term in $undetermined-NAF return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-NAF-active" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound~active')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-active-codes" select="for $term in $undetermined-NAF-active return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-specimen" select="$undetermined-specimen-1[not(. = ($undetermined-NAF-codes, $undetermined-NAF-active-codes))]" />
    <xsl:variable name="invalid-specimen" select="not($valid-specimen-5) and exists($invalid-specimen-codes) and not(exists($undetermined-specimen))" />
    <xsl:variable name="codes-were-found" select="exists($der-specimen-codes-4) or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="codes-not-found" select="not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or        $valid-specimen-5 or $invalid-specimen) " />
    <xsl:variable name="codes-in-the-domain" select="not($valid-specimen-1) and $valid-specimen-5" />
    <xsl:variable name="codes-in-other-domain" select="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-specimen-5 or $invalid-specimen or         $error-usingTS-7) " />
    <xsl:variable name="codes-in-no-domain" select="exists($der-specimen-codes-5) " />
    <xsl:variable name="display-in-the-domain" select="if ($codes-in-the-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', '), '''')        else '' " />
    <xsl:variable name="display-in-other-r" select="if (exists($invalid-specimen-codes-r) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-specimen-codes-r return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-h" select="if (exists($invalid-specimen-codes-h) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-specimen-codes-h return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-domain" select="if (not($codes-in-other-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))) then ''        else if ($display-in-other-r and display-in-other-h) then concat('''', $display-in-other-r, ', ', $display-in-other-h, '''')        else if ($display-in-other-r) then concat('''', $display-in-other-r, '''')        else if ($display-in-other-h) then concat('''', $display-in-other-h, '''')        else '' " />
    <xsl:variable name="display-in-no-domain" select="if ($codes-in-no-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', dh:XQueryRecursiveReplace(string-join(for $code in $der-specimen-codes-5 return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), '; '),          $term-pattern-replacement, 'ic'), '''')        else '' " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))        else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="log-concepts-appended" select="if ($error-usingTS-7 or not($flags/@report-terminology-concepts = 'true') or $log-concepts-name = '') then ''        else if ($codes-not-found and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                   'Specimen',    $log-tab,                   'yes',     $log-tab,                   concat($display-code, $display-system), $log-tab,                   '',     $log-tab,                  '',     $log-tab,                  '',     $log-tab,                  $ts-current-sctau   ))        else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <!--REPORT -->
    <xsl:if test=" $log-concepts-appended = ('NOTFOUND', 'ERROR') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$log-concepts-appended = ('NOTFOUND', 'ERROR')">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Specimen-Defn): The AppendLog function returned '<xsl:text /><xsl:value-of select="$log-concepts-appended" /><xsl:text />' when requested to append the concepts log
		'<xsl:text /><xsl:value-of select="$log-concepts-name" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-specimen-5) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-specimen-5)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Specimen-Defn): An unexpected problem occurred when assessing the value of the Test Specimen - Specimen Tissue Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. The application of regular expressions resulted in the complete loss of text.
		Report the information below to the Australian Digital Health Agency for investigation.

		der-text-1 '<xsl:text /><xsl:value-of select="normalize-space(dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'))" /><xsl:text />'.
		der-text-2a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-2a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-a, $term-pattern-replacement, 'ic')" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingV-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingV-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Specimen-Defn): An error was reported when accessing the terminology server when assessing the Test Specimen - Specimen Tissue Type data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		Report the issue to the Australian Digital Health Agency for investigation stating the error was recorded for error-usingV-2.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-7 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-7">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Specimen-Defn): An error was reported when accessing the terminology server when assessing the Test Specimen - Specimen Tissue Type data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term:
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The analysis should be retried as the terminology server may have been temporarily unavailable.
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation, stating that the error was found by
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'error-usingTS-1' else if ($error-usingTS-2) then 'error-usingTS-2'   else if ($error-usingTS-3) then 'error-usingTS-3' else if ($error-usingTS-4) then 'error-usingTS-4'   else if ($error-usingTS-5) then 'error-usingTS-5' else if ($error-usingTS-6) then 'error-usingTS-6'   else 'error-usingTS-7' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $codes-not-found">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Specimen - Specimen Tissue Type '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the type of specimen collected and         submitted to the laboratory for analysis.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$codes-in-other-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$codes-in-other-domain">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Specimen - Specimen Tissue Type '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value does not seem to be applicable for the data element.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the type of specimen collected and         submitted to the laboratory for analysis.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Test Specimen - Specimen Tissue Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the type of specimen collected and         submitted to the laboratory for analysis.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Test Specimen - Specimen Tissue Type data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Specimen - Specimen Tissue Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the type of specimen collected and         submitted to the laboratory for analysis.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Test Specimen - Specimen Tissue Type data element must have a value that is consistent with this definition. Alternatively if there is no Test Specimen - Specimen Tissue Type data element with a proper value then an exclusion
		statement must be included to state why there is no Test Specimen - Specimen Tissue Type. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4')    then concat('Text such as ''', dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'), ''' may be permitted in the narrative even though the Test Specimen - Specimen Tissue Type data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Test Specimen - Specimen Tissue Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the type of specimen collected and         submitted to the laboratory for analysis.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Test Specimen - Specimen Tissue Type data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($der-text-non-value) and $der-invalid-text ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($der-text-non-value) and $der-invalid-text">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Specimen - Specimen Tissue Type '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid. <xsl:text /><xsl:value-of select="$defn-invalid-rsn" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the type of specimen collected and         submitted to the laboratory for analysis.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $invalid-specimen and not($error-usingTS-7) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$invalid-specimen and not($error-usingTS-7)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Specimen - Specimen Tissue Type '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid
		<xsl:text /><xsl:value-of select="if (exists($invalid-specimen-codes-h)) then concat(' as it describes ', string-join(distinct-values(for $code in tokenize(replace(   dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat('(', string-join(for $code in $invalid-specimen-codes-h return concat('&gt;&gt;', $code), ' OR '), ') AND (',    string-join(for $hierarchy in $cd-definitions/specimen/specimen-invalid/hierarchy return $hierarchy/@code, ' OR '), ')'), '',    string(count($invalid-specimen-codes-h)), true()), '(\[.*?\])(\||$)', '$2'), '\|') return    $cd-definitions/specimen/specimen-invalid/hierarchy[@code = $code]/@description)[position() = (1 to 2)], ' and '), '.')    else if (exists($invalid-specimen-codes-r)) then concat(' as it describes ', string-join(distinct-values(for $code in $invalid-specimen-codes-r return   $cd-definitions/specimen/specimen-invalid/refset[index-of(for $x in (for $refset in $cd-definitions/specimen/specimen-invalid/refset return    dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat($code, ' AND ^', $refset/@code), '', '1', true()), '|') return matches($x, '^[0-9]'), true())[1]]/@description), ' and '), '.')   else '.'" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the type of specimen collected and         submitted to the laboratory for analysis.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable outside the applicable value domain): The Test Specimen - Specimen Tissue Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following codes were obtained and are not in the value domain: <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-Specimen-Defn): The Test Specimen - Specimen Tissue Type '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU and no associated code was found in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists(($der-NAF-active-codes, $undetermined-NAF-active-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists(($der-NAF-active-codes, $undetermined-NAF-active-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-Specimen-Defn): The Test Specimen - Specimen Tissue Type '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-active-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the
		'<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' version of SNOMED CT-AU but it was not found with this status in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU. <xsl:text /><xsl:value-of select="if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $valid-specimen-1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $valid-specimen-1">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable within the value domain): The Test Specimen - Specimen Tissue Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which matches one of the terms listed in Knowledge.xml for the Test Specimen - Specimen Tissue Type.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (concept is codeable within the value domain): The Test Specimen - Specimen Tissue Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a valid value for the Test Specimen - Specimen Tissue Type.
		SNOMED CT-AU codes that matched the concept are: <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-specimen-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-specimen-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Test Specimen - Specimen Tissue Type '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The text used to match regular expression (der-text-2) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to match non-values (der-text-to-match) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-to-match, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to derive a code (der-text) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The SNOMED CT-AU version used to find codes is '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' and the maximum code number is '<xsl:text /><xsl:value-of select="$max-code-number" /><xsl:text />'.

		Codes for related terms (related-terms-2): '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($related-terms-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes for related terms (der-valid-codes-1): 
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-1, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-specimen-codes-2) returned by the terminology server that match the text:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-specimen-codes-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes from related terms or the terminology server (der-valid-codes-2):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-2, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-inactive-codes-3) returned from the Validator's database associated with inactive codes:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-inactive-codes-3, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes found after examining inactive codes (der-valid-codes-3):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-3, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Members of invalid reference sets (invalid-specimen-codes-r): '<xsl:text /><xsl:value-of select="$display-in-other-r" /><xsl:text />'.
		Members of invalid code hierarchies (invalid-specimen-codes-h): '<xsl:text /><xsl:value-of select="$display-in-other-h" /><xsl:text />'.

		Final set of valid codes (der-valid-codes-4):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		
		Codes whose validity has not been determined (der-specimen-codes-5):  <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.
		Codes whose validity has not been determined and are inactive with no associated code (undetermined-NAF): '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(    string-join($undetermined-NAF, ''', '''), $markup-pattern-replacement, 'ic')" /><xsl:text />'.

		Will the value of the data element be trusted (der-trusted-text)? '<xsl:text /><xsl:value-of select="$der-trusted-text" /><xsl:text />'.
		
	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and $codes-not-found">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept not codeable): The Test Specimen - Specimen Tissue Type '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($avoid-ts) then 'The terminology server was not used to assist with finding codes corresponding to text in the data element. ' else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M639" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M639" />
  <xsl:template match="@*|node()" priority="-2" mode="M639">
    <xsl:apply-templates select="@*|*" mode="M639" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-CodeableText-13-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.1', '102.16156.132.1.1', '102.16156.136.2.1', '102.16156.132.1.1')]]/   cda:specimen/cda:specimenRole/cda:specimenPlayingEntity/cda:code[(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M640">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.1', '102.16156.132.1.1', '102.16156.136.2.1', '102.16156.132.1.1')]]/   cda:specimen/cda:specimenRole/cda:specimenPlayingEntity/cda:code[(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Test Specimen - Specimen Tissue Type '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Test Specimen - Specimen Tissue Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Test Specimen - Specimen Tissue Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Test Specimen - Specimen Tissue Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Specimen - Specimen Tissue Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Test Specimen - Specimen Tissue Type has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Test Specimen - Specimen Tissue Type data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Specimen - Specimen Tissue Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Test Specimen - Specimen Tissue Type data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Specimen - Specimen Tissue Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Test Specimen - Specimen Tissue Type data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Specimen - Specimen Tissue Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Test Specimen - Specimen Tissue Type data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Test Specimen - Specimen Tissue Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Specimen - Specimen Tissue Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Test Specimen - Specimen Tissue Type data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Test Specimen - Specimen Tissue Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Test Specimen - Specimen Tissue Type data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Specimen - Specimen Tissue Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Specimen - Specimen Tissue Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Test Specimen - Specimen Tissue Type data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Specimen - Specimen Tissue Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Test Specimen - Specimen Tissue Type data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Specimen - Specimen Tissue Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Specimen - Specimen Tissue Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M640" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M640" />
  <xsl:template match="@*|node()" priority="-2" mode="M640">
    <xsl:apply-templates select="@*|*" mode="M640" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-CodeableText-14-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.1', '102.16156.132.1.1', '102.16156.136.2.1', '102.16156.132.1.1')]]/   cda:methodCode " priority="1000" mode="M641">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.1', '102.16156.132.1.1', '102.16156.136.2.1', '102.16156.132.1.1')]]/   cda:methodCode " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Test Specimen Collection Procedure '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and true() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and true() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Test Specimen Collection Procedure '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Test Specimen Collection Procedure',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Test Specimen Collection Procedure '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Test Specimen Collection Procedure '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Specimen Collection Procedure
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Test Specimen Collection Procedure however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Test Specimen Collection Procedure in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Test Specimen Collection Procedure
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Test Specimen Collection Procedure however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Test Specimen Collection Procedure in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Test Specimen Collection Procedure data element must have a value that is consistent with this definition. Alternatively if there is no Test Specimen Collection Procedure data element with a proper value then an exclusion
		statement must be included to state why there is no Test Specimen Collection Procedure.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Specimen Collection Procedure
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Test Specimen Collection Procedure however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Test Specimen Collection Procedure in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Specimen Collection Procedure
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Test Specimen Collection Procedure however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Test Specimen Collection Procedure in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Test Specimen Collection Procedure data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Test Specimen Collection Procedure
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Test Specimen Collection Procedure however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Test Specimen Collection Procedure in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Test Specimen Collection Procedure data element must have a value that is consistent with this definition. Alternatively if there is no Test Specimen Collection Procedure data element with a proper value then an exclusion
		statement must be included to state why there is no Test Specimen Collection Procedure.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Specimen Collection Procedure
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Test Specimen Collection Procedure however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Test Specimen Collection Procedure in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Test Specimen Collection Procedure data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Specimen Collection Procedure '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen Collection Procedure
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen Collection Procedure
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen Collection Procedure '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen Collection Procedure '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Test Specimen Collection Procedure '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Test Specimen Collection Procedure '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Specimen Collection Procedure '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Specimen Collection Procedure '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Test Specimen Collection Procedure
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Specimen Collection Procedure '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Specimen Collection Procedure '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Test Specimen Collection Procedure.
		(See the definition of Test Specimen Collection Procedure in the Structured Content Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Test Specimen Collection Procedure '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M641" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M641" />
  <xsl:template match="@*|node()" priority="-2" mode="M641">
    <xsl:apply-templates select="@*|*" mode="M641" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-CodeableText-15-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.1', '102.16156.132.1.1', '102.16156.136.2.1', '102.16156.132.1.1')]]/   cda:methodCode[(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-coll-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])]   [not(@nullFlavor = $no-value-NF)] " priority="1000" mode="M642">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.1', '102.16156.132.1.1', '102.16156.136.2.1', '102.16156.132.1.1')]]/   cda:methodCode[(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-coll-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])]   [not(@nullFlavor = $no-value-NF)] " />
    <xsl:variable name="pcode" select="if ('2.16.840.1.113883.6.96' = $defn-coll-trusted and         @codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="snomed-trans" select="if ('2.16.840.1.113883.6.96' = $defn-coll-trusted and cda:translation)         then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="tcode" select="if (exists($snomed-trans[1]) and matches($snomed-trans[1]/@code, $snomed-code-regex)) then $snomed-trans[1]/@code else '' " />
    <xsl:variable name="code-present" select="$pcode != '' or $tcode != '' " />
    <xsl:variable name="invalid-code-system" select="@code and @displayName and @codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="codesystemvalues" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']" />
    <xsl:variable name="otext-without-markup" select="if (cda:originalText and cda:originalText != '') then normalize-space(replace(cda:originalText, $markup-regex, ' ')) else '' " />
    <xsl:variable name="pdname" select="if (@displayName and not($invalid-code-system)) then normalize-space(@displayName) else '' " />
    <xsl:variable name="max-code-number" select="if ($knowledge/search-for-term/max-sct-code-number/@value &gt; '5') then $knowledge/search-for-term/max-sct-code-number/@value else '5' " />
    <xsl:variable name="der-text-1" select="if ($code-present) then ''         else if ($otext-without-markup != '') then $otext-without-markup        else if ($pdname != '') then $pdname        else '' " />
    <xsl:variable name="family-err" select="matches($der-text-1, $family-regex, 'i')" />
    <xsl:variable name="length-err" select="string-length($der-text-1) &gt; $length-err-max" />
    <xsl:variable name="avoid-ts" select="$family-err or $length-err or not($use-ts-for-sctau) " />
    <xsl:variable name="der-text-2a" select="if ($der-text-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-text-1, $coll-fir-pattern-replacement, 'ic')) " />
    <xsl:variable name="der-text-2" select="if ($der-text-2a = '') then $der-text-1 else $der-text-2a " />
    <xsl:variable name="der-text-a" select="if ($coll-replacements = '' or $der-text-2 = '') then $der-text-2        else normalize-space(dh:XQueryRecursiveReplace($der-text-2, $coll-replacements, 'ic')) " />
    <xsl:variable name="der-text" select="if ($der-text-a = '') then $der-text-2 else $der-text-a " />
    <xsl:variable name="defn-valid-regex" select="concat('(^|\|)', translate($der-text-2, $chars-to-remove, ''), '(\||$)') " />
    <xsl:variable name="der-text-to-match-1" select="lower-case($der-text-2) " />
    <xsl:variable name="der-text-to-match" select="translate($der-text-to-match-1, $chars-to-remove, '') " />
    <xsl:variable name="der-text-non-value" select="if ($code-present or @nullFlavor = $no-value-NF) then false() else         $der-text-to-match = ''              or         not(matches($der-text-to-match, '[a-z]', 'is'))           or        ($cd-definitions/non-value/@regex != '' and matches($der-text-to-match, $cd-definitions/non-value/@regex, 'is'))  or        (exists($cd-definitions/coll/@non-value-regex) and matches($der-text-to-match, $cd-definitions/coll/@non-value-regex, 'is')) " />
    <xsl:variable name="defn-invalid-regex" select="if ($code-present or $der-text-non-value) then ()        else if ($cd-definitions/coll/@invalid-regex) then tokenize($cd-definitions/coll/@invalid-regex, '~')[. != '']         else () " />
    <xsl:variable name="defn-invalid-txt-regex" select="(for $i in (1 to count($defn-invalid-regex)) return normalize-space(substring-before($defn-invalid-regex[$i], '[[')))[. != '']" />
    <xsl:variable name="der-invalid-text-regex-1" select="if (exists($defn-invalid-txt-regex))        then index-of(for $i in (1 to count($defn-invalid-txt-regex)) return matches($der-text-2, $defn-invalid-txt-regex[$i], 'i'), true())        else () " />
    <xsl:variable name="der-invalid-text" select="exists($der-invalid-text-regex-1) " />
    <xsl:variable name="defn-invalid-rsn" select="if ($der-invalid-text)         then normalize-space(substring-before(substring-after($defn-invalid-regex[$der-invalid-text-regex-1[1]], '[['), ']]'))         else '' " />
    <xsl:variable name="trusted-code-systems" select="if ($der-text = '' or $der-invalid-text or not(@codeSystem or cda:translation/@codeSystem)) then ()        else (tokenize(replace($cd-definitions/coll/@core, '\s+', ''), '\|'),          tokenize(replace($cd-definitions/coll/@extra, '\s+', ''), '\|'))[. != ''] " />
    <xsl:variable name="der-trusted-text" select="if ($der-text = '' or $der-invalid-text or (@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex)))) then false()        else ((@codeSystem and exists($trusted-code-systems[. = current()/@codeSystem])) or               (cda:translation/@codeSystem and exists($trusted-code-systems[. = current()/cda:translation/@codeSystem]))) " />
    <xsl:variable name="valid-coll-1" select="if ($code-present or $der-text-non-value or $der-invalid-text or not($cd-definitions/coll/@valid-regex)) then false()        else exists(index-of(for $regex in (tokenize($cd-definitions/coll/@valid-regex, '~')[. != '']) return          matches($der-text-2, dh:XQueryRecursiveReplace(normalize-space($regex), ' \|~|~\| ~|', ''), 'is'), true())) " />
    <xsl:variable name="invalid-hierarchy" select="if (exists($cd-definitions/coll/coll-invalid/hierarchy))         then string-join(for $hierarchy in $cd-definitions/coll/coll-invalid/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-refset" select="if (exists($cd-definitions/coll/coll-invalid/refset))          then string-join(for $refset in $cd-definitions/coll/coll-invalid/refset return concat('^', $refset/@code), ' OR ')         else '' " />
    <xsl:variable name="valid-refset" select="'^231000036106 OR &lt;17636008' " />
    <xsl:variable name="valid-domain" select="if ($invalid-refset != '' and $invalid-hierarchy != '')         then concat('((', $valid-refset, ') MINUS (', $invalid-refset, ' OR (', $invalid-hierarchy, ')))')        else if ($invalid-refset = '' and $invalid-hierarchy != '') then concat('((', $valid-refset, ') MINUS (', $invalid-hierarchy, '))')         else if ($invalid-refset != '' and $invalid-hierarchy = '') then concat('((', $valid-refset, ') MINUS (', $invalid-refset, '))')        else concat('(', $valid-refset, ')') " />
    <xsl:variable name="related-terms-1" select="if ($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-coll-1) then ()        else ($codesystemvalues/code[@related-terms], $codesystemvalues/related-terms[@related-terms]) " />
    <xsl:variable name="related-terms-2" select="for $i in index-of(        for $concept in $related-terms-1 return matches(translate($concept/@related-terms, $chars-no-pipe, ''), $defn-valid-regex, 'i'), true())         return $related-terms-1[$i]/@code " />
    <xsl:variable name="der-coll-codes-1" select="if (exists($related-terms-2)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($related-terms-2, ' OR '), ') AND ', $valid-domain), '', string(count($related-terms-2)), false())        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $der-coll-codes-1 " />
    <xsl:variable name="der-valid-codes-1" select="if (contains($der-coll-codes-1, '[')) then $der-coll-codes-1 else '' " />
    <xsl:variable name="valid-coll-2" select="$valid-coll-1 or $der-valid-codes-1 != '' " />
    <xsl:variable name="coll-inactive-refSets" select="if (exists($cd-definitions/coll/coll-invalid/inactive-refset))         then concat('((', $inactive-refSets, ') MINUS (',           string-join(for $refset in $cd-definitions/coll/coll-invalid/inactive-refset return concat('^', $refset/@code), ' OR '),          '))')         else $inactive-refSets " />
    <xsl:variable name="formula" select="concat($valid-domain, ' OR ', $coll-inactive-refSets) " />
    <xsl:variable name="ts-not-needed" select="$der-text = '' or $der-text-non-value or $der-invalid-text or $valid-coll-2 or $avoid-ts " />
    <xsl:variable name="der-coll-codes-2" select="if ($ts-not-needed or exists($related-terms-2)) then ()         else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-text,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or 'Error' = $der-coll-codes-2 " />
    <xsl:variable name="der-valid-codes-2" select="if ($der-valid-codes-1 != '') then $der-valid-codes-1        else if ($error-usingTS-2) then ''         else string-join((for $code in $der-coll-codes-2 return if (contains($code, '~inactive')) then '' else $code)[. != ''], '|')  " />
    <xsl:variable name="valid-coll-3" select="$valid-coll-2 or $der-valid-codes-2 != '' " />
    <xsl:variable name="der-inactive-codes-1" select="if ($valid-coll-3) then () else        for $code in $der-coll-codes-2 return if (contains($code, '~inactive')) then replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is') else '' " />
    <xsl:variable name="der-inactive-codes-2" select="for $i in (1 to count($der-inactive-codes-1)) return         dh:IsCodeAssociatedWithAnotherCode($der-inactive-codes-1[$i], '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-1" select="'Error' = $der-inactive-codes-2 " />
    <xsl:variable name="der-NAF-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-NAF-active-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound~active')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-inactive-codes-3" select="tokenize(string-join(for $i in (1 to count($der-inactive-codes-1)) return replace(string-join(tokenize($der-inactive-codes-2[$i], '\|')        [matches(., '(REPLACED BY|SAME AS|ALTERNATIVE|POSSIBLY EQUIVALENT TO|MAY BE A|WAS A)')], '|'), '[0-9]+~[A-Z ]+~([0-9]+)', '$1'), '|'), '\|')        [. != ''] " />
    <xsl:variable name="der-coll-codes-3" select="if (exists($der-inactive-codes-3)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($der-inactive-codes-3, ' OR '), ') AND ', $valid-domain), '', string(count($der-inactive-codes-3)), false())          else '' " />
    <xsl:variable name="error-usingTS-3" select="$error-usingTS-2 or 'Error' = $der-coll-codes-3 " />
    <xsl:variable name="der-valid-codes-3" select="if ($der-valid-codes-2 != '') then $der-valid-codes-2        else if (contains($der-coll-codes-3, '[')) then $der-coll-codes-3        else '' " />
    <xsl:variable name="valid-coll-4" select="$valid-coll-3 or $der-valid-codes-3 != '' " />
    <xsl:variable name="invalid-domain" select="if ($invalid-hierarchy != '' and $invalid-refset != '') then concat($invalid-hierarchy, ' OR ', $invalid-refset)        else if ($invalid-hierarchy != '') then $invalid-hierarchy        else if ($invalid-refset != '') then $invalid-refset        else '' " />
    <xsl:variable name="der-coll-codes-4" select="if ($ts-not-needed or $valid-coll-4 or $invalid-domain = '') then ()        else if (exists($related-terms-2)) then $related-terms-2        else distinct-values((tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          $invalid-domain, $der-text, $max-code-number, false()), '(\[.*?\])(\||$)', '$2'), '\|'), $der-inactive-codes-3)) " />
    <xsl:variable name="error-usingTS-4" select="$error-usingTS-3 or 'Error' = $der-coll-codes-4 " />
    <xsl:variable name="invalid-coll-codes-r" select="if ($ts-not-needed or $valid-coll-4 or $error-usingTS-4 or not(exists($der-coll-codes-4))) then ()        else if ($invalid-refset = '') then tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-coll-codes-4, ' OR '), ') AND (', $inactive-refSets, ')'), '',           string(count($der-coll-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')        else tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-coll-codes-4, ' OR '), ') AND (', $invalid-refset, ' OR ', $inactive-refSets, ')'), '',           string(count($der-coll-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')  " />
    <xsl:variable name="error-usingTS-5" select="$error-usingTS-4 or 'Error' = $invalid-coll-codes-r " />
    <xsl:variable name="der-coll-codes-4-h" select="if ($error-usingTS-5) then () else $der-coll-codes-4[not(. = $invalid-coll-codes-r)]" />
    <xsl:variable name="invalid-coll-codes-h" select="if ($ts-not-needed or $valid-coll-4 or 'Error' = $der-coll-codes-4 or $coll-invalid-hierarchy = '' or not(exists($der-coll-codes-4-h))) then ()        else (for $code in $der-coll-codes-4-h return          if (dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;&gt;', $code, ' MINUS ', $coll-invalid-hierarchy), '', '1', false()) = '') then $code else '')[. != ''] " />
    <xsl:variable name="invalid-coll-codes" select="($invalid-coll-codes-h, $invalid-coll-codes-r) " />
    <xsl:variable name="der-coll-codes-5" select="$der-coll-codes-4[not(. = $invalid-coll-codes or . = 'Error')]" />
    <xsl:variable name="der-valid-codes-4" select="if ($der-valid-codes-3 != '') then $der-valid-codes-3        else if ($ts-not-needed or $valid-coll-4 or $valid-domain = '' or not(exists($der-coll-codes-5))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-coll-codes-5, ' OR '), ') AND ', $valid-domain), '', string(count($der-coll-codes-5)), false()) " />
    <xsl:variable name="error-usingTS-6" select="$error-usingTS-5 or 'Error' = $der-valid-codes-4 " />
    <xsl:variable name="valid-coll-5" select="$valid-coll-4 or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="undetermined-coll-1" select="$der-coll-codes-5[not(. = tokenize(replace($der-valid-codes-4,  '(\[.*?\])(\||$)', '$2'), '\|'))]" />
    <xsl:variable name="undetermined-inactive-1" select="for $i in (1 to count($undetermined-coll-1)) return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $undetermined-coll-1[$i], '', '1', false()) " />
    <xsl:variable name="error-usingTS-7" select="$error-usingTS-6 or 'Error' = $undetermined-inactive-1 " />
    <xsl:variable name="undetermined-inactive" select="(for $i in (1 to count($undetermined-coll-1)) return         if (contains($undetermined-inactive-1[$i], '~inactive')) then $undetermined-inactive-1[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-1" select="for $i in (1 to count($undetermined-inactive))        return dh:IsCodeAssociatedWithAnotherCode(replace($undetermined-inactive[$i], '(\[.*?\])(\||$)', '$2'), '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-2" select="$error-usingV-1 or 'Error' = $undetermined-NAF-1 " />
    <xsl:variable name="undetermined-NAF" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-codes" select="for $term in $undetermined-NAF return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-NAF-active" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound~active')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-active-codes" select="for $term in $undetermined-NAF-active return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-coll" select="$undetermined-coll-1[not(. = ($undetermined-NAF-codes, $undetermined-NAF-active-codes))]" />
    <xsl:variable name="invalid-coll" select="not($valid-coll-5) and exists($invalid-coll-codes) and not(exists($undetermined-coll))" />
    <xsl:variable name="codes-were-found" select="exists($der-coll-codes-4) or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="codes-not-found" select="not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-coll-5 or $invalid-coll) " />
    <xsl:variable name="codes-in-the-domain" select="not($valid-coll-1) and $valid-coll-5" />
    <xsl:variable name="codes-in-other-domain" select="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-coll-5 or $invalid-coll or         $error-usingTS-7) " />
    <xsl:variable name="codes-in-no-domain" select="exists($der-coll-codes-5) " />
    <xsl:variable name="display-in-the-domain" select="if ($codes-in-the-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', '), '''')        else '' " />
    <xsl:variable name="display-in-other-r" select="if (exists($invalid-coll-codes-r) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-coll-codes-r return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-h" select="if (exists($invalid-coll-codes-h) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-coll-codes-h return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-domain" select="if (not($codes-in-other-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))) then ''        else if ($display-in-other-r and display-in-other-h) then concat('''', $display-in-other-r, ', ', $display-in-other-h, '''')        else if ($display-in-other-r) then concat('''', $display-in-other-r, '''')        else if ($display-in-other-h) then concat('''', $display-in-other-h, '''')        else '' " />
    <xsl:variable name="display-in-no-domain" select="if ($codes-in-no-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', dh:XQueryRecursiveReplace(string-join(for $code in $der-coll-codes-5 return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), '; '),          $term-pattern-replacement, 'ic'), '''')        else '' " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))        else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="log-concepts-appended" select="if ($error-usingTS-7 or not($flags/@report-terminology-concepts = 'true') or $log-concepts-name = '') then ''        else if ($codes-not-found and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                   'Collection procedure',   $log-tab,                   'yes',     $log-tab,                   concat($display-code, $display-system), $log-tab,                   '',     $log-tab,                  '',     $log-tab,                  '',     $log-tab,                  $ts-current-sctau   ))        else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <!--REPORT -->
    <xsl:if test=" $log-concepts-appended = ('NOTFOUND', 'ERROR') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$log-concepts-appended = ('NOTFOUND', 'ERROR')">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Coll-Defn): The AppendLog function returned '<xsl:text /><xsl:value-of select="$log-concepts-appended" /><xsl:text />' when requested to append the concepts log
		'<xsl:text /><xsl:value-of select="$log-concepts-name" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-coll-5) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-coll-5)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Coll-Defn): An unexpected problem occurred when assessing the value of the Test Specimen Collection Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. The application of regular expressions resulted in the complete loss of text.
		Report the information below to the Australian Digital Health Agency for investigation.

		der-text-1 '<xsl:text /><xsl:value-of select="normalize-space(dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'))" /><xsl:text />'.
		der-text-2a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-2a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-a, $term-pattern-replacement, 'ic')" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingV-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingV-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Coll-Defn): An error was reported when accessing the terminology server when assessing the Test Specimen Collection Procedure data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		Report the issue to the Australian Digital Health Agency for investigation stating the error was recorded for error-usingV-2.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-7 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-7">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Coll-Defn): An error was reported when accessing the terminology server when assessing the Test Specimen Collection Procedure data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term:
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The analysis should be retried as the terminology server may have been temporarily unavailable.
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation, stating that the error was found by
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'error-usingTS-1' else if ($error-usingTS-2) then 'error-usingTS-2'   else if ($error-usingTS-3) then 'error-usingTS-3' else if ($error-usingTS-4) then 'error-usingTS-4'   else if ($error-usingTS-5) then 'error-usingTS-5' else if ($error-usingTS-6) then 'error-usingTS-6'   else 'error-usingTS-7' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $codes-not-found">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Specimen Collection Procedure '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the method of specimen collection.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$codes-in-other-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$codes-in-other-domain">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Specimen Collection Procedure '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value does not seem to be applicable for the data element.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the method of specimen collection.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Test Specimen Collection Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the method of specimen collection.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Test Specimen Collection Procedure data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Specimen Collection Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the method of specimen collection.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Test Specimen Collection Procedure data element must have a value that is consistent with this definition. Alternatively if there is no Test Specimen Collection Procedure data element with a proper value then an exclusion
		statement must be included to state why there is no Test Specimen Collection Procedure. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4')    then concat('Text such as ''', dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'), ''' may be permitted in the narrative even though the Test Specimen Collection Procedure data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Test Specimen Collection Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the method of specimen collection.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Test Specimen Collection Procedure data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($der-text-non-value) and $der-invalid-text ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($der-text-non-value) and $der-invalid-text">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Specimen Collection Procedure '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid. <xsl:text /><xsl:value-of select="$defn-invalid-rsn" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the method of specimen collection.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $invalid-coll and not($error-usingTS-7) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$invalid-coll and not($error-usingTS-7)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Specimen Collection Procedure '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid
		<xsl:text /><xsl:value-of select="if (exists($invalid-coll-codes-h)) then concat(' as it describes ', string-join(distinct-values(for $code in tokenize(replace(   dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat('(', string-join(for $code in $invalid-coll-codes-h return concat('&gt;&gt;', $code), ' OR '), ') AND (',    string-join(for $hierarchy in $cd-definitions/coll/coll-invalid/hierarchy return $hierarchy/@code, ' OR '), ')'), '',    string(count($invalid-coll-codes-h)), true()), '(\[.*?\])(\||$)', '$2'), '\|') return $cd-definitions/coll/coll-invalid/hierarchy[@code = $code]/@description)[position() = (1 to 2)], ' and '), '.')    else if (exists($invalid-coll-codes-r)) then concat(' as it describes ', string-join(distinct-values(for $code in $invalid-coll-codes-r return   $cd-definitions/coll/coll-invalid/refset[index-of(for $x in (for $refset in $cd-definitions/coll/coll-invalid/refset return    dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat($code, ' AND ^', $refset/@code), '', '1', true()), '|') return matches($x, '^[0-9]'), true())[1]]/@description), ' and '), '.')   else '.'" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the method of specimen collection.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable outside the applicable value domain): The Test Specimen Collection Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following codes were obtained and are not in the value domain: <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />'

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-Coll-Defn): The Test Specimen Collection Procedure '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU and no associated code was found in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists(($der-NAF-active-codes, $undetermined-NAF-active-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists(($der-NAF-active-codes, $undetermined-NAF-active-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-Coll-Defn): The Test Specimen Collection Procedure '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-active-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU but it was not found with this status in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.
		<xsl:text /><xsl:value-of select="if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $valid-coll-1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $valid-coll-1">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable within the value domain): The Test Specimen Collection Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which matches one of the terms listed in Knowledge.xml for the Test Specimen Collection Procedure.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (concept is codeable within the value domain): The Test Specimen Collection Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a valid value for the Test Specimen Collection Procedure.
		SNOMED CT-AU codes that matched the concept are: <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-coll-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-coll-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Test Specimen Collection Procedure '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The text used to match regular expression (der-text-2) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to match non-values (der-text-to-match) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-to-match, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to derive a code (der-text) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The SNOMED CT-AU version used to find codes is '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' and the maximum code number is '<xsl:text /><xsl:value-of select="$max-code-number" /><xsl:text />'.

		Codes for related terms (related-terms-2): '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($related-terms-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes for related terms (der-valid-codes-1): 
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-1, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-coll-codes-2) returned by the terminology server that match the text:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-coll-codes-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes from related terms or the terminology server (der-valid-codes-2):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-2, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-inactive-codes-3) returned from the Validator's database associated with inactive codes:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-inactive-codes-3, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes found after examining inactive codes (der-valid-codes-3):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-3, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Members of invalid reference sets (invalid-coll-codes-r): '<xsl:text /><xsl:value-of select="$display-in-other-r" /><xsl:text />'.
		Members of invalid code hierarchies (invalid-coll-codes-h): '<xsl:text /><xsl:value-of select="$display-in-other-h" /><xsl:text />'.

		Final set of valid codes (der-valid-codes-4):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		
		Codes whose validity has not been determined (der-coll-codes-5):  <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.
		Codes whose validity has not been determined and are inactive with no associated code (undetermined-NAF): '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(    string-join($undetermined-NAF, ''', '''), $markup-pattern-replacement, 'ic')" /><xsl:text />'.

		Will the value of the data element be trusted (der-trusted-text)? '<xsl:text /><xsl:value-of select="$der-trusted-text" /><xsl:text />'.
		
	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and $codes-not-found">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept not codeable): The Test Specimen Collection Procedure '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($avoid-ts) then 'The terminology server was not used to assist with finding codes corresponding to text in the data element. ' else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M642" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M642" />
  <xsl:template match="@*|node()" priority="-2" mode="M642">
    <xsl:apply-templates select="@*|*" mode="M642" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-CodeableText-16-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.1', '102.16156.132.1.1', '102.16156.136.2.1', '102.16156.132.1.1')]]/   cda:methodCode[(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M643">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.1', '102.16156.132.1.1', '102.16156.136.2.1', '102.16156.132.1.1')]]/   cda:methodCode[(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Test Specimen Collection Procedure '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Test Specimen Collection Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Test Specimen Collection Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Test Specimen Collection Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Specimen Collection Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Test Specimen Collection Procedure has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Test Specimen Collection Procedure data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Specimen Collection Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Test Specimen Collection Procedure data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Specimen Collection Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Test Specimen Collection Procedure data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Specimen Collection Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Test Specimen Collection Procedure data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Test Specimen Collection Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Specimen Collection Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Test Specimen Collection Procedure data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Test Specimen Collection Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Test Specimen Collection Procedure data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Specimen Collection Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Specimen Collection Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Test Specimen Collection Procedure data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Specimen Collection Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Test Specimen Collection Procedure data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Specimen Collection Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Specimen Collection Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M643" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M643" />
  <xsl:template match="@*|node()" priority="-2" mode="M643">
    <xsl:apply-templates select="@*|*" mode="M643" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-CodeableText-17-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.1', '102.16156.132.1.1', '102.16156.136.2.1', '102.16156.132.1.1')]]/   cda:targetSiteCode " priority="1000" mode="M644">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.1', '102.16156.132.1.1', '102.16156.136.2.1', '102.16156.132.1.1')]]/   cda:targetSiteCode " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Test Specimen - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Test Specimen - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Test Specimen - Anatomical Location Name',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Test Specimen - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Test Specimen - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Specimen - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Test Specimen - Anatomical Location Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Test Specimen - Anatomical Location Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Test Specimen - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Test Specimen - Anatomical Location Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Test Specimen - Anatomical Location Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Test Specimen - Anatomical Location Name data element must have a value that is consistent with this definition. Alternatively if there is no Test Specimen - Anatomical Location Name data element with a proper value then an exclusion
		statement must be included to state why there is no Test Specimen - Anatomical Location Name.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Specimen - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Test Specimen - Anatomical Location Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Test Specimen - Anatomical Location Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Specimen - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Test Specimen - Anatomical Location Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Test Specimen - Anatomical Location Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Test Specimen - Anatomical Location Name data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Test Specimen - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Test Specimen - Anatomical Location Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Test Specimen - Anatomical Location Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Test Specimen - Anatomical Location Name data element must have a value that is consistent with this definition. Alternatively if there is no Test Specimen - Anatomical Location Name data element with a proper value then an exclusion
		statement must be included to state why there is no Test Specimen - Anatomical Location Name.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Specimen - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Test Specimen - Anatomical Location Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Test Specimen - Anatomical Location Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Test Specimen - Anatomical Location Name data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Specimen - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Test Specimen - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Test Specimen - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Specimen - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Specimen - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Test Specimen - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Specimen - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Specimen - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Test Specimen - Anatomical Location Name.
		(See the definition of Test Specimen - Anatomical Location Name in the Structured Content Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Test Specimen - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M644" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M644" />
  <xsl:template match="@*|node()" priority="-2" mode="M644">
    <xsl:apply-templates select="@*|*" mode="M644" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-CodeableText-18-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '102.16144' = $doc-sections][cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3']]/   cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.1', '102.16156.132.1.1', '102.16156.136.2.1', '102.16156.132.1.1')]]/   cda:targetSiteCode[@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " priority="1000" mode="M645">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '102.16144' = $doc-sections][cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3']]/   cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.1', '102.16156.132.1.1', '102.16156.136.2.1', '102.16156.132.1.1')]]/   cda:targetSiteCode[@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="pnullFlavor" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @nullFlavor) then @nullFlavor else '' " />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-p-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then false()        else if ($psnomed-id = 'amtv3' and @codeSystemVersion) then exists($v-amtv3[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($psnomed-id = 'snomedctau' and @codeSystemVersion) then exists($v-snomedctau[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false() " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and $pcode != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used to assess the primary code.') " />
    <xsl:variable name="pcode-refsets-1" select="if (@codeSystem = '2.16.840.1.113883.6.96' and not($pcode = ''))         then dh:FindValueDomainsForCode($pcode, '2.16.840.1.113883.6.96', $v-psnomed-version) else 'no-code' " />
    <xsl:variable name="pcode-found" select="not($pcode-refsets-1 = 'no-code' or $pcode-refsets-1 = 'CodeNotFound' or $pcode-refsets-1 = 'Error'        or contains($pcode-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="pcode-refsets" select="if ($pcode-found) then distinct-values(tokenize($pcode-refsets-1, '\|')) else () " />
    <xsl:variable name="pcode-special-proc" select="count($pcode-refsets) = 1 and 'Procedure Foundation (PF)' = $pcode-refsets and not($pnullFlavor = 'OTH') " />
    <xsl:variable name="pcode-refsets-msg" select="if (count($pcode-refsets) = 0) then ''         else if (count($pcode-refsets) = 1) then concat('The code is a member of the ', $pcode-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($pcode-refsets, ', '), '.') " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))         else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-1" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="snomed-trans-2" select="distinct-values(for $i in (1 to count($snomed-trans-1)) return $snomed-trans-1[$i]/@code) " />
    <xsl:variable name="snomed-trans-a" select="$snomed-trans-1[1] " />
    <xsl:variable name="tcode-a" select="if (exists($snomed-trans-a) and matches($snomed-trans-a/@code, $snomed-code-regex)) then $snomed-trans-a/@code else '' " />
    <xsl:variable name="tnullFlavor-a" select="if (exists($snomed-trans-a) and $snomed-trans-a/@nullFlavor) then $snomed-trans-a/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-a" select="if (not(exists($snomed-trans-a))) then 'not-snomed'        else if (not($snomed-trans-a/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-a/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-a" select="if (not(exists($snomed-trans-a))) then ''        else if ($tsnomed-id-a = 'amtv3' and exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-a = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-a/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-a" select="if (not(exists($snomed-trans-a))) then false()        else if ($tsnomed-id-a = 'amtv3' and $snomed-trans-a/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-a = 'snomedctau' and $snomed-trans-a/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-a-msg" select="if (not(exists($snomed-trans-a))) then ''        else if (not($snomed-trans-a/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-a, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-a = 'amtv3') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-a = 'snomedctau') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-a/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-a, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-a/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-a-refsets-1" select="if (exists($snomed-trans-a) and not($tcode-a = ''))         then dh:FindValueDomainsForCode($tcode-a, '2.16.840.1.113883.6.96', $v-tsnomed-version-a) else 'no-code' " />
    <xsl:variable name="tcode-a-found" select="not($tcode-a-refsets-1 = 'no-code' or $tcode-a-refsets-1 = 'CodeNotFound' or $tcode-a-refsets-1 = 'Error'         or contains($tcode-a-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-a-refsets" select="if ($tcode-a-found) then distinct-values(tokenize($tcode-a-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-a-special-proc" select="count($tcode-a-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-a-refsets and not($tnullFlavor-a = 'OTH') " />
    <xsl:variable name="tcode-a-refsets-msg" select="if (count($tcode-a-refsets) = 0) then ''         else if (count($tcode-a-refsets) = 1) then concat('The code is a member of the ', $tcode-a-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-a-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@code and $snomed-trans-a/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-a/@displayName, codepoints-to-string(34))         else if ($snomed-trans-a/@code and not($snomed-trans-a/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@codeSystem and $snomed-trans-a/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-a/@codeSystemName, ')')         else if ($snomed-trans-a/@codeSystem and not($snomed-trans-a/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-b" select="(for $i in (2 to count($snomed-trans-1)) return if ($snomed-trans-1[$i]/@code != $snomed-trans-a/@code) then $snomed-trans-1[$i] else ())[1] " />
    <xsl:variable name="tcode-b" select="if (exists($snomed-trans-b) and matches($snomed-trans-b/@code, $snomed-code-regex)) then $snomed-trans-b/@code else '' " />
    <xsl:variable name="tnullFlavor-b" select="if (exists($snomed-trans-b) and $snomed-trans-b/@nullFlavor) then $snomed-trans-b/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-b" select="if (not(exists($snomed-trans-b))) then 'not-snomed'        else if (not($snomed-trans-b/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-b/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-b" select="if (not(exists($snomed-trans-b))) then ''        else if ($tsnomed-id-b = 'amtv3' and exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-b = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-b/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-b" select="if (not(exists($snomed-trans-b))) then false()        else if ($tsnomed-id-b = 'amtv3' and $snomed-trans-b/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-b = 'snomedctau' and $snomed-trans-b/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-b-msg" select="if (not(exists($snomed-trans-b))) then ''        else if (not($snomed-trans-b/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-b, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-b = 'amtv3') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-b = 'snomedctau') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-b/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-b, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-b/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-b-refsets-1" select="if (exists($snomed-trans-b) and not($tcode-b = ''))         then dh:FindValueDomainsForCode($tcode-b, '2.16.840.1.113883.6.96', $v-tsnomed-version-b) else 'no-code' " />
    <xsl:variable name="tcode-b-found" select="not($tcode-b-refsets-1 = 'no-code' or $tcode-b-refsets-1 = 'CodeNotFound' or $tcode-b-refsets-1 = 'Error'         or contains($tcode-b-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-b-refsets" select="if ($tcode-b-found) then distinct-values(tokenize($tcode-b-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-b-special-proc" select="count($tcode-b-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-b-refsets and not($tnullFlavor-b = 'OTH') " />
    <xsl:variable name="tcode-b-refsets-msg" select="if (count($tcode-b-refsets) = 0) then ''         else if (count($tcode-b-refsets) = 1) then concat('The code is a member of the ', $tcode-b-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-b-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@code and $snomed-trans-b/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-b/@displayName, codepoints-to-string(34))         else if ($snomed-trans-b/@code and not($snomed-trans-b/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@codeSystem and $snomed-trans-b/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-b/@codeSystemName, ')')         else if ($snomed-trans-b/@codeSystem and not($snomed-trans-b/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-60" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-60 else $rating-alt-TC-Types-60 " />
    <!--REPORT -->
    <xsl:if test=" $pcode-found and $pcode-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pcode-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD (p-TS-CD-SCT-RefSet): An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$pcode" /><xsl:text />',
		codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-psnomed-version" /><xsl:text />'. This error occurred when assessing the Test Specimen - Anatomical Location Name data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Test Specimen - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. The value is not valid for the data element as it describes a medical
		procedure and not a medical problem or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and   not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Specimen - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the code is not a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the Test Specimen Detail (SPECIMEN) section of the         CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and   not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Specimen - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the Test Specimen Detail (SPECIMEN) section of the         CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and   exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Specimen - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the Test Specimen Detail (SPECIMEN) section of the         CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and   exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Specimen - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. Confirm if the code is a member of the value domain.
		If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the Test Specimen Detail (SPECIMEN) section of the         CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Specimen - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="count($snomed-trans-1)" /><xsl:text /> translation elements with
		codes and the SNOMED CT-AU codeSystem '2.16.840.1.113883.6.96'. The first two translation elements have been assessed to determine if the codes are members of the value domain
		and the others have not been assessed. Confirm if the value of the code attribute in all SNOMED CT translation elements meets the requirement that it be a member of the value domain
		if there is no nullFlavor 'OTH' or that there is a nullFlavor 'OTH' if the value of the code attribute is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text /> 
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the Test Specimen Detail (SPECIMEN) section of the         CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-a" /><xsl:text />'. This error occurred when assessing the Test Specimen - Anatomical Location Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Test Specimen - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and   not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Specimen - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the Test Specimen Detail (SPECIMEN) section of the         CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and   not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Specimen - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the Test Specimen Detail (SPECIMEN) section of the         CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and   exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Specimen - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the Test Specimen Detail (SPECIMEN) section of the         CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and   exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Specimen - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the Test Specimen Detail (SPECIMEN) section of the         CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-b" /><xsl:text />'. This error occurred when assessing the Test Specimen - Anatomical Location Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Test Specimen - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> 
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and   not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Specimen - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the Test Specimen Detail (SPECIMEN) section of the         CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and   not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Specimen - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the Test Specimen Detail (SPECIMEN) section of the         CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and   exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Specimen - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the Test Specimen Detail (SPECIMEN) section of the         CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and   exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Specimen - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the Test Specimen Detail (SPECIMEN) section of the         CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M645" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M645" />
  <xsl:template match="@*|node()" priority="-2" mode="M645">
    <xsl:apply-templates select="@*|*" mode="M645" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-CodeableText-19-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '102.16144' = $doc-sections][cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3']]/   cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.1', '102.16156.132.1.1', '102.16156.136.2.1', '102.16156.132.1.1')]]/   cda:targetSiteCode[@displayName]   [(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-body-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])]   [not(@nullFlavor = $no-value-NF)] " priority="1000" mode="M646">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '102.16144' = $doc-sections][cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3']]/   cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.1', '102.16156.132.1.1', '102.16156.136.2.1', '102.16156.132.1.1')]]/   cda:targetSiteCode[@displayName]   [(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-body-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])]   [not(@nullFlavor = $no-value-NF)] " />
    <xsl:variable name="pcode" select="if ('2.16.840.1.113883.6.96' = $defn-body-trusted and          @codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="snomed-trans" select="if ('2.16.840.1.113883.6.96' = $defn-body-trusted and cda:translation)         then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="tcode" select="if (exists($snomed-trans[1]) and matches($snomed-trans[1]/@code, $snomed-code-regex)) then $snomed-trans[1]/@code else '' " />
    <xsl:variable name="code-present" select="$pcode != '' or $tcode != '' " />
    <xsl:variable name="invalid-code-system" select="@code and @displayName and @codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="codesystemvalues" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']" />
    <xsl:variable name="otext-without-markup" select="if (cda:originalText and cda:originalText != '') then normalize-space(replace(cda:originalText, $markup-regex, ' ')) else '' " />
    <xsl:variable name="pdname" select="if (@displayName and not($invalid-code-system)) then normalize-space(@displayName) else '' " />
    <xsl:variable name="max-code-number" select="if ($knowledge/search-for-term/max-sct-code-number/@value &gt; '5') then $knowledge/search-for-term/max-sct-code-number/@value else '5' " />
    <xsl:variable name="der-text-1" select="if ($code-present) then ''         else if ($otext-without-markup != '') then $otext-without-markup        else if ($pdname != '') then $pdname        else '' " />
    <xsl:variable name="der-text-2a" select="if ($der-text-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-text-1, $body-fir-pattern-replacement, 'ic')) " />
    <xsl:variable name="der-text-2" select="if ($der-text-2a = '') then $der-text-1 else $der-text-2a " />
    <xsl:variable name="family-err" select="matches($der-text-1, $family-regex, 'i')" />
    <xsl:variable name="length-err" select="string-length($der-text-1) &gt; $length-err-max" />
    <xsl:variable name="avoid-ts" select="$family-err or $length-err or not($use-ts-for-sctau) " />
    <xsl:variable name="der-text-a" select="if ($body-replacements = '' or $der-text-2 = '') then $der-text-2        else normalize-space(dh:XQueryRecursiveReplace($der-text-2, $body-replacements, 'ic')) " />
    <xsl:variable name="der-text" select="if ($der-text-a = '') then $der-text-2 else $der-text-a " />
    <xsl:variable name="defn-valid-regex" select="concat('(^|\|)', translate($der-text-2, $chars-to-remove, ''), '(\||$)') " />
    <xsl:variable name="der-text-to-match-1" select="lower-case($der-text-2) " />
    <xsl:variable name="der-text-to-match" select="translate($der-text-to-match-1, $chars-to-remove, '') " />
    <xsl:variable name="der-text-non-value" select="if ($code-present or @nullFlavor = $no-value-NF) then false() else         $der-text-to-match = ''              or         not(matches($der-text-to-match-1, '[a-z]', 'i'))          or        ($cd-definitions/non-value/@regex != '' and matches($der-text-to-match-1, $cd-definitions/non-value/@regex, 'i'))  or        (exists($cd-definitions/body/@non-value-regex) and matches($der-text-to-match-1, $cd-definitions/body/@non-value-regex, 'i')) " />
    <xsl:variable name="defn-invalid-regex" select="if ($code-present or $der-text-non-value) then ()        else if ($cd-definitions/body/@invalid-regex) then tokenize($cd-definitions/body/@invalid-regex, '~')[. != '']         else () " />
    <xsl:variable name="defn-invalid-txt-regex" select="(for $i in (1 to count($defn-invalid-regex)) return normalize-space(substring-before($defn-invalid-regex[$i], '[[')))[. != '']" />
    <xsl:variable name="der-invalid-text-regex-1" select="if (exists($defn-invalid-txt-regex))        then index-of(for $i in (1 to count($defn-invalid-txt-regex)) return matches($der-text-2, $defn-invalid-txt-regex[$i], 'i'), true())        else () " />
    <xsl:variable name="der-invalid-text" select="exists($der-invalid-text-regex-1) " />
    <xsl:variable name="defn-invalid-rsn" select="if ($der-invalid-text)         then normalize-space(substring-before(substring-after($defn-invalid-regex[$der-invalid-text-regex-1[1]], '[['), ']]'))         else '' " />
    <xsl:variable name="trusted-code-systems" select="if ($der-text = '' or $der-invalid-text or not(@codeSystem or cda:translation/@codeSystem)) then ()        else (tokenize(replace($cd-definitions/body/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/body/@extra, '\s+', ''), '\|'))[. != ''] " />
    <xsl:variable name="der-trusted-text" select="if ($der-text = '' or $der-invalid-text or (@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex)))) then false()        else ((@codeSystem and exists($trusted-code-systems[. = current()/@codeSystem])) or               (cda:translation/@codeSystem and exists($trusted-code-systems[. = current()/cda:translation/@codeSystem]))) " />
    <xsl:variable name="valid-body-1" select="if ($code-present or $der-text-non-value or $der-invalid-text or not($cd-definitions/body/@valid-regex)) then false()        else exists(index-of(for $regex in (tokenize($cd-definitions/body/@valid-regex, '~')[. != '']) return          matches($der-text-2, dh:XQueryRecursiveReplace(normalize-space($regex), ' \|~|~\| ~|', ''), 'is'), true())) " />
    <xsl:variable name="invalid-hierarchy" select="if (exists($cd-definitions/body/body-invalid/hierarchy))         then string-join(for $hierarchy in $cd-definitions/body/body-invalid/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-refset" select="if (exists($cd-definitions/body/body-invalid/refset))          then string-join(for $refset in $cd-definitions/body/body-invalid/refset return concat('^', $refset/@code), ' OR ')         else '' " />
    <xsl:variable name="valid-refset" select="'^32570061000036105' " />
    <xsl:variable name="valid-domain" select="if ($invalid-refset != '' and $invalid-hierarchy != '')         then concat('((', $valid-refset, ') MINUS (', $invalid-refset, ' OR (', $invalid-hierarchy, ')))')        else if ($invalid-refset = '' and $invalid-hierarchy != '') then concat('((', $valid-refset, ') MINUS (', $invalid-hierarchy, '))')         else if ($invalid-refset != '' and $invalid-hierarchy = '') then concat('((', $valid-refset, ') MINUS (', $invalid-refset, '))')        else concat('(', $valid-refset, ')') " />
    <xsl:variable name="related-terms-1" select="if ($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-body-1) then ()        else ($codesystemvalues/code[@related-terms], $codesystemvalues/related-terms[@related-terms]) " />
    <xsl:variable name="related-terms-2" select="for $i in index-of(        for $concept in $related-terms-1 return matches(translate($concept/@related-terms, $chars-no-pipe, ''), $defn-valid-regex, 'i'), true())         return $related-terms-1[$i]/@code " />
    <xsl:variable name="der-body-codes-1" select="if (exists($related-terms-2)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($related-terms-2, ' OR '), ') AND (', $valid-domain, ')'), '', string(count($related-terms-2)), false())        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $der-body-codes-1 " />
    <xsl:variable name="der-valid-codes-1" select="if (contains($der-body-codes-1, '[')) then $der-body-codes-1 else '' " />
    <xsl:variable name="valid-body-2" select="$valid-body-1 or $der-valid-codes-1 != '' " />
    <xsl:variable name="body-inactive-refSets" select="if (exists($cd-definitions/body/body-invalid/inactive-refset))         then concat('((', $inactive-refSets, ') MINUS (',           string-join(for $refset in $cd-definitions/body/body-invalid/inactive-refset return concat('^', $refset/@code), ' OR '),          '))')         else $inactive-refSets " />
    <xsl:variable name="formula" select="concat($valid-domain, ' OR ', $body-inactive-refSets) " />
    <xsl:variable name="ts-not-needed" select="$der-text = '' or $der-text-non-value or $der-invalid-text or $valid-body-2 or $avoid-ts " />
    <xsl:variable name="der-body-codes-2" select="if ($ts-not-needed or exists($related-terms-2)) then ()         else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-text,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or 'Error' = $der-body-codes-2 " />
    <xsl:variable name="der-valid-codes-2" select="if ($der-valid-codes-1 != '') then $der-valid-codes-1        else if ($error-usingTS-2) then ''         else string-join((for $code in $der-body-codes-2 return if (contains($code, '~inactive')) then '' else $code)[. != ''], '|')  " />
    <xsl:variable name="valid-body-3" select="$valid-body-2 or $der-valid-codes-2 != '' " />
    <xsl:variable name="der-inactive-codes-1" select="if ($valid-body-3) then () else        for $code in $der-body-codes-2 return if (contains($code, '~inactive')) then replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is') else '' " />
    <xsl:variable name="der-inactive-codes-2" select="for $i in (1 to count($der-inactive-codes-1)) return         dh:IsCodeAssociatedWithAnotherCode($der-inactive-codes-1[$i], '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-1" select="'Error' = $der-inactive-codes-2 " />
    <xsl:variable name="der-NAF-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-NAF-active-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound~active')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-inactive-codes-3" select="tokenize(string-join(for $i in (1 to count($der-inactive-codes-1)) return replace(string-join(tokenize($der-inactive-codes-2[$i], '\|')        [matches(., '(REPLACED BY|SAME AS|ALTERNATIVE|POSSIBLY EQUIVALENT TO|MAY BE A|WAS A)')], '|'), '[0-9]+~[A-Z ]+~([0-9]+)', '$1'), '|'), '\|')        [. != ''] " />
    <xsl:variable name="der-body-codes-3" select="if (exists($der-inactive-codes-3)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($der-inactive-codes-3, ' OR '), ') AND (', $valid-domain, ')'), '', string(count($der-inactive-codes-3)), false())          else '' " />
    <xsl:variable name="error-usingTS-3" select="$error-usingTS-2 or 'Error' = $der-body-codes-3 " />
    <xsl:variable name="der-valid-codes-3" select="if ($der-valid-codes-2 != '') then $der-valid-codes-2        else if (contains($der-body-codes-3, '[')) then $der-body-codes-3        else '' " />
    <xsl:variable name="valid-body-4" select="$valid-body-3 or $der-valid-codes-3 != '' " />
    <xsl:variable name="invalid-domain" select="if ($invalid-hierarchy != '' and $invalid-refset != '') then concat($invalid-hierarchy, ' OR ', $invalid-refset)        else if ($invalid-hierarchy != '') then $invalid-hierarchy        else if ($invalid-refset != '') then $invalid-refset        else '' " />
    <xsl:variable name="der-body-codes-4" select="if ($ts-not-needed or $valid-body-4 or $invalid-domain = '') then ()        else if (exists($related-terms-2)) then $related-terms-2        else distinct-values((tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          $invalid-domain, $der-text, $max-code-number, false()), '(\[.*?\])(\||$)', '$2'), '\|'), $der-inactive-codes-3)) " />
    <xsl:variable name="error-usingTS-4" select="$error-usingTS-3 or 'Error' = $der-body-codes-4 " />
    <xsl:variable name="invalid-body-codes-r" select="if ($ts-not-needed or $valid-body-4 or $error-usingTS-4 or not(exists($der-body-codes-4))) then ()        else if ($invalid-refset = '') then tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-body-codes-4, ' OR '), ') AND (', $inactive-refSets, ')'), '',           string(count($der-body-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')        else tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-body-codes-4, ' OR '), ') AND (', $invalid-refset, ' OR ', $inactive-refSets, ')'), '',           string(count($der-body-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')  " />
    <xsl:variable name="error-usingTS-5" select="$error-usingTS-4 or 'Error' = $invalid-body-codes-r " />
    <xsl:variable name="der-body-codes-4-h" select="if ($error-usingTS-5) then () else $der-body-codes-4[not(. = $invalid-body-codes-r)]" />
    <xsl:variable name="invalid-body-codes-h" select="if ($ts-not-needed or $valid-body-4 or 'Error' = $der-body-codes-4 or $body-invalid-hierarchy = '' or not(exists($der-body-codes-4-h))) then ()        else (for $code in $der-body-codes-4-h return          if (dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;&gt;', $code, ' MINUS ', $body-invalid-hierarchy), '', '1', false()) = '') then $code else '')[. != ''] " />
    <xsl:variable name="invalid-body-codes" select="($invalid-body-codes-h, $invalid-body-codes-r) " />
    <xsl:variable name="der-body-codes-5" select="$der-body-codes-4[not(. = $invalid-body-codes or . = 'Error')]" />
    <xsl:variable name="der-valid-codes-4" select="if ($der-valid-codes-3 != '') then $der-valid-codes-3        else if ($ts-not-needed or $valid-body-4 or $valid-domain = '' or not(exists($der-body-codes-5))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-body-codes-5, ' OR '), ') AND ', $valid-domain), '', string(count($der-body-codes-5)), false()) " />
    <xsl:variable name="error-usingTS-6" select="$error-usingTS-5 or 'Error' = $der-valid-codes-4 " />
    <xsl:variable name="valid-body-5" select="$valid-body-4 or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="undetermined-body-1" select="$der-body-codes-5[not(. = tokenize(replace($der-valid-codes-4,  '(\[.*?\])(\||$)', '$2'), '\|'))]" />
    <xsl:variable name="undetermined-inactive-1" select="for $i in (1 to count($undetermined-body-1)) return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $undetermined-body-1[$i], '', '1', false()) " />
    <xsl:variable name="error-usingTS-7" select="$error-usingTS-6 or 'Error' = $undetermined-inactive-1 " />
    <xsl:variable name="undetermined-inactive" select="(for $i in (1 to count($undetermined-body-1)) return         if (contains($undetermined-inactive-1[$i], '~inactive')) then $undetermined-inactive-1[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-1" select="for $i in (1 to count($undetermined-inactive))        return dh:IsCodeAssociatedWithAnotherCode(replace($undetermined-inactive[$i], '(\[.*?\])(\||$)', '$2'), '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-2" select="$error-usingV-1 or 'Error' = $undetermined-NAF-1 " />
    <xsl:variable name="undetermined-NAF" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-codes" select="for $term in $undetermined-NAF return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-NAF-active" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound~active')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-active-codes" select="for $term in $undetermined-NAF-active return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-body" select="$undetermined-body-1[not(. = ($undetermined-NAF-codes, $undetermined-NAF-active-codes))]" />
    <xsl:variable name="invalid-body" select="not($valid-body-5) and exists($invalid-body-codes) and not(exists($undetermined-body))" />
    <xsl:variable name="codes-were-found" select="exists($der-body-codes-4) or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="codes-not-found" select="not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-body-5 or $invalid-body) " />
    <xsl:variable name="codes-in-the-domain" select="not($valid-body-1) and $valid-body-5" />
    <xsl:variable name="codes-in-other-domain" select="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-body-5 or $invalid-body or         $error-usingTS-7) " />
    <xsl:variable name="codes-in-no-domain" select="exists($der-body-codes-5) " />
    <xsl:variable name="display-in-the-domain" select="if ($codes-in-the-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', '), '''')        else '' " />
    <xsl:variable name="display-in-other-r" select="if (exists($invalid-body-codes-r) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-body-codes-r return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-h" select="if (exists($invalid-body-codes-h) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-body-codes-h return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-domain" select="if (not($codes-in-other-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))) then ''        else if ($display-in-other-r and display-in-other-h) then concat('''', $display-in-other-r, ', ', $display-in-other-h, '''')        else if ($display-in-other-r) then concat('''', $display-in-other-r, '''')        else if ($display-in-other-h) then concat('''', $display-in-other-h, '''')        else '' " />
    <xsl:variable name="display-in-no-domain" select="if ($codes-in-no-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', dh:XQueryRecursiveReplace(string-join(for $code in $der-body-codes-5 return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), '; '),          $term-pattern-replacement, 'ic'), '''')        else '' " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))        else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="log-concepts-appended" select="if ($error-usingTS-7 or not($flags/@report-terminology-concepts = 'true') or $log-concepts-name = '') then ''        else if ($codes-not-found and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                   'Body',     $log-tab,                   'yes',     $log-tab,                   concat($display-code, $display-system), $log-tab,                   '',     $log-tab,                  '',     $log-tab,                  '',     $log-tab,                  $ts-current-sctau   ))        else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <!--REPORT -->
    <xsl:if test=" $log-concepts-appended = ('NOTFOUND', 'ERROR') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$log-concepts-appended = ('NOTFOUND', 'ERROR')">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Body-Defn): The AppendLog function returned '<xsl:text /><xsl:value-of select="$log-concepts-appended" /><xsl:text />' when requested to append the concepts log
		'<xsl:text /><xsl:value-of select="$log-concepts-name" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-body-5) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-body-5)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Body-Defn): An unexpected problem occurred when assessing the value of the Test Specimen - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. The application of regular expressions resulted in the complete loss of text.
		Report the information below to the Australian Digital Health Agency for investigation.

		der-text-1 '<xsl:text /><xsl:value-of select="normalize-space(dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'))" /><xsl:text />'.
		der-text-2a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-2a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-a, $term-pattern-replacement, 'ic')" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingV-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingV-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Body-Defn): An error was reported when accessing the terminology server when assessing the Test Specimen - Anatomical Location Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		Report the issue to the Australian Digital Health Agency for investigation stating the error was recorded for error-usingV-2.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-7 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-7">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Body-Defn): An error was reported when accessing the terminology server when assessing the Test Specimen - Anatomical Location Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term:
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The analysis should be retried as the terminology server may have been temporarily unavailable.
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation, stating that the error was found by
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'error-usingTS-1' else if ($error-usingTS-2) then 'error-usingTS-2'   else if ($error-usingTS-3) then 'error-usingTS-3' else if ($error-usingTS-4) then 'error-usingTS-4'   else if ($error-usingTS-5) then 'error-usingTS-5' else if ($error-usingTS-6) then 'error-usingTS-6'   else 'error-usingTS-7' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $codes-not-found">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Specimen - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the Test Specimen Detail (SPECIMEN) section of the         CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$codes-in-other-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$codes-in-other-domain">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Specimen - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value does not seem to be applicable for the data element.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Test Specimen - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Test Specimen - Anatomical Location Name data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Specimen - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Test Specimen - Anatomical Location Name data element must have a value that is consistent with this definition. Alternatively if there is no Test Specimen - Anatomical Location Name data element with a proper value then an exclusion
		statement must be included to state why there is no Test Specimen - Anatomical Location Name. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4')    then concat('Text such as ''', dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'), ''' may be permitted in the narrative even though the Test Specimen - Anatomical Location Name data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Test Specimen - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Test Specimen - Anatomical Location Name data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($der-text-non-value) and $der-invalid-text ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($der-text-non-value) and $der-invalid-text">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Specimen - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid. <xsl:text /><xsl:value-of select="$defn-invalid-rsn" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $invalid-body and not($error-usingTS-7) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$invalid-body and not($error-usingTS-7)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Specimen - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid
		<xsl:text /><xsl:value-of select="if (exists($invalid-body-codes-h)) then concat(' as it describes ', string-join(distinct-values(for $code in tokenize(replace(   dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat('(', string-join(for $code in $invalid-body-codes-h return concat('&gt;&gt;', $code), ' OR '), ') AND (',    string-join(for $hierarchy in $cd-definitions/body/body-invalid/hierarchy return $hierarchy/@code, ' OR '), ')'), '',    string(count($invalid-body-codes-h)), true()), '(\[.*?\])(\||$)', '$2'), '\|') return $cd-definitions/body/body-invalid/hierarchy[@code = $code]/@description)[position() = (1 to 2)], ' and '), '.')    else if (exists($invalid-body-codes-r)) then concat(' as it describes ', string-join(distinct-values(for $code in $invalid-body-codes-r return   $cd-definitions/body/body-invalid/refset[index-of(for $x in (for $refset in $cd-definitions/body/body-invalid/refset return    dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat($code, ' AND ^', $refset/@code), '', '1', true()), '|') return matches($x, '^[0-9]'), true())[1]]/@description), ' and '), '.')   else '.'" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable outside the applicable value domain): The Test Specimen - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following codes were obtained and are not in the value domain: <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-Body-Defn): The Test Specimen - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU and no associated code was found in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists(($der-NAF-active-codes, $undetermined-NAF-active-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists(($der-NAF-active-codes, $undetermined-NAF-active-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-Body-Defn): The Test Specimen - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-active-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU but it was not found with this status in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.
		<xsl:text /><xsl:value-of select="if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $valid-body-1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $valid-body-1">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable within the value domain): The Test Specimen - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which matches one of the terms listed in Knowledge.xml for the Test Specimen - Anatomical Location Name.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (concept is codeable within the value domain): The Test Specimen - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a valid value for the Test Specimen - Anatomical Location Name.
		SNOMED CT-AU codes that matched the concept are: <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-body-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-body-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Test Specimen - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The text used to match regular expression (der-text-2) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to match non-values (der-text-to-match) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-to-match, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to derive a code (der-text) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The SNOMED CT-AU version used to find codes is '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' and the maximum code number is '<xsl:text /><xsl:value-of select="$max-code-number" /><xsl:text />'.

		Codes for related terms (related-terms-2): '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($related-terms-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes for related terms (der-valid-codes-1): 
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-1, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-body-codes-2) returned by the terminology server that match the text:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-body-codes-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes from related terms or the terminology server (der-valid-codes-2):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-2, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-inactive-codes-3) returned from the Validator's database associated with inactive codes:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-inactive-codes-3, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes found after examining inactive codes (der-valid-codes-3):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-3, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Members of invalid reference sets (invalid-body-codes-r): '<xsl:text /><xsl:value-of select="$display-in-other-r" /><xsl:text />'.
		Members of invalid code hierarchies (invalid-body-codes-h): '<xsl:text /><xsl:value-of select="$display-in-other-h" /><xsl:text />'.

		Final set of valid codes (der-valid-codes-4):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes whose validity has not been determined (der-body-codes-5):  <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.
		Codes whose validity has not been determined and are inactive with no associated code (undetermined-NAF): '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(    string-join($undetermined-NAF, ''', '''), $markup-pattern-replacement, 'ic')" /><xsl:text />'.

		Will the value of the data element be trusted (der-trusted-text)? '<xsl:text /><xsl:value-of select="$der-trusted-text" /><xsl:text />'.
		
	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and $codes-not-found">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept not codeable): The Test Specimen - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($avoid-ts) then 'The terminology server was not used to assist with finding codes corresponding to text in the data element. ' else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M646" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M646" />
  <xsl:template match="@*|node()" priority="-2" mode="M646">
    <xsl:apply-templates select="@*|*" mode="M646" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-CodeableText-20-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '102.16144' = $doc-sections][not(cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3'])]/   cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.1', '102.16156.132.1.1', '102.16156.136.2.1', '102.16156.132.1.1')]]/   cda:targetSiteCode[@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " priority="1000" mode="M647">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '102.16144' = $doc-sections][not(cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3'])]/   cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.1', '102.16156.132.1.1', '102.16156.136.2.1', '102.16156.132.1.1')]]/   cda:targetSiteCode[@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="pnullFlavor" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @nullFlavor) then @nullFlavor else '' " />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-p-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then false()        else if ($psnomed-id = 'amtv3' and @codeSystemVersion) then exists($v-amtv3[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($psnomed-id = 'snomedctau' and @codeSystemVersion) then exists($v-snomedctau[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false() " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and $pcode != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used to assess the primary code.') " />
    <xsl:variable name="pcode-refsets-1" select="if (@codeSystem = '2.16.840.1.113883.6.96' and not($pcode = ''))         then dh:FindValueDomainsForCode($pcode, '2.16.840.1.113883.6.96', $v-psnomed-version) else 'no-code' " />
    <xsl:variable name="pcode-found" select="not($pcode-refsets-1 = 'no-code' or $pcode-refsets-1 = 'CodeNotFound' or $pcode-refsets-1 = 'Error'        or contains($pcode-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="pcode-refsets" select="if ($pcode-found) then distinct-values(tokenize($pcode-refsets-1, '\|')) else () " />
    <xsl:variable name="pcode-special-proc" select="count($pcode-refsets) = 1 and 'Procedure Foundation (PF)' = $pcode-refsets and not($pnullFlavor = 'OTH') " />
    <xsl:variable name="pcode-refsets-msg" select="if (count($pcode-refsets) = 0) then ''         else if (count($pcode-refsets) = 1) then concat('The code is a member of the ', $pcode-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($pcode-refsets, ', '), '.') " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))         else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-1" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="snomed-trans-2" select="distinct-values(for $i in (1 to count($snomed-trans-1)) return $snomed-trans-1[$i]/@code) " />
    <xsl:variable name="snomed-trans-a" select="$snomed-trans-1[1] " />
    <xsl:variable name="tcode-a" select="if (exists($snomed-trans-a) and matches($snomed-trans-a/@code, $snomed-code-regex)) then $snomed-trans-a/@code else '' " />
    <xsl:variable name="tnullFlavor-a" select="if (exists($snomed-trans-a) and $snomed-trans-a/@nullFlavor) then $snomed-trans-a/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-a" select="if (not(exists($snomed-trans-a))) then 'not-snomed'        else if (not($snomed-trans-a/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-a/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-a" select="if (not(exists($snomed-trans-a))) then ''        else if ($tsnomed-id-a = 'amtv3' and exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-a = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-a/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-a" select="if (not(exists($snomed-trans-a))) then false()        else if ($tsnomed-id-a = 'amtv3' and $snomed-trans-a/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-a = 'snomedctau' and $snomed-trans-a/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-a-msg" select="if (not(exists($snomed-trans-a))) then ''        else if (not($snomed-trans-a/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-a, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-a = 'amtv3') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-a = 'snomedctau') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-a/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-a, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-a/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-a-refsets-1" select="if (exists($snomed-trans-a) and not($tcode-a = ''))         then dh:FindValueDomainsForCode($tcode-a, '2.16.840.1.113883.6.96', $v-tsnomed-version-a) else 'no-code' " />
    <xsl:variable name="tcode-a-found" select="not($tcode-a-refsets-1 = 'no-code' or $tcode-a-refsets-1 = 'CodeNotFound' or $tcode-a-refsets-1 = 'Error'         or contains($tcode-a-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-a-refsets" select="if ($tcode-a-found) then distinct-values(tokenize($tcode-a-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-a-special-proc" select="count($tcode-a-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-a-refsets and not($tnullFlavor-a = 'OTH') " />
    <xsl:variable name="tcode-a-refsets-msg" select="if (count($tcode-a-refsets) = 0) then ''         else if (count($tcode-a-refsets) = 1) then concat('The code is a member of the ', $tcode-a-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-a-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@code and $snomed-trans-a/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-a/@displayName, codepoints-to-string(34))         else if ($snomed-trans-a/@code and not($snomed-trans-a/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@codeSystem and $snomed-trans-a/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-a/@codeSystemName, ')')         else if ($snomed-trans-a/@codeSystem and not($snomed-trans-a/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-b" select="(for $i in (2 to count($snomed-trans-1)) return if ($snomed-trans-1[$i]/@code != $snomed-trans-a/@code) then $snomed-trans-1[$i] else ())[1] " />
    <xsl:variable name="tcode-b" select="if (exists($snomed-trans-b) and matches($snomed-trans-b/@code, $snomed-code-regex)) then $snomed-trans-b/@code else '' " />
    <xsl:variable name="tnullFlavor-b" select="if (exists($snomed-trans-b) and $snomed-trans-b/@nullFlavor) then $snomed-trans-b/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-b" select="if (not(exists($snomed-trans-b))) then 'not-snomed'        else if (not($snomed-trans-b/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-b/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-b" select="if (not(exists($snomed-trans-b))) then ''        else if ($tsnomed-id-b = 'amtv3' and exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-b = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-b/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-b" select="if (not(exists($snomed-trans-b))) then false()        else if ($tsnomed-id-b = 'amtv3' and $snomed-trans-b/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-b = 'snomedctau' and $snomed-trans-b/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-b-msg" select="if (not(exists($snomed-trans-b))) then ''        else if (not($snomed-trans-b/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-b, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-b = 'amtv3') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-b = 'snomedctau') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-b/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-b, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-b/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-b-refsets-1" select="if (exists($snomed-trans-b) and not($tcode-b = ''))         then dh:FindValueDomainsForCode($tcode-b, '2.16.840.1.113883.6.96', $v-tsnomed-version-b) else 'no-code' " />
    <xsl:variable name="tcode-b-found" select="not($tcode-b-refsets-1 = 'no-code' or $tcode-b-refsets-1 = 'CodeNotFound' or $tcode-b-refsets-1 = 'Error'         or contains($tcode-b-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-b-refsets" select="if ($tcode-b-found) then distinct-values(tokenize($tcode-b-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-b-special-proc" select="count($tcode-b-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-b-refsets and not($tnullFlavor-b = 'OTH') " />
    <xsl:variable name="tcode-b-refsets-msg" select="if (count($tcode-b-refsets) = 0) then ''         else if (count($tcode-b-refsets) = 1) then concat('The code is a member of the ', $tcode-b-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-b-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@code and $snomed-trans-b/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-b/@displayName, codepoints-to-string(34))         else if ($snomed-trans-b/@code and not($snomed-trans-b/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@codeSystem and $snomed-trans-b/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-b/@codeSystemName, ')')         else if ($snomed-trans-b/@codeSystem and not($snomed-trans-b/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-60" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-60 else $rating-alt-TC-Types-60 " />
    <!--REPORT -->
    <xsl:if test=" $pcode-found and $pcode-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pcode-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD (p-TS-CD-SCT-RefSet): An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$pcode" /><xsl:text />',
		codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-psnomed-version" /><xsl:text />'. This error occurred when assessing the Test Specimen - Anatomical Location Name data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Test Specimen - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. The value is not valid for the data element as it describes a medical
		procedure and not a medical problem or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and   not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Specimen - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the code is not a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the TEST SPECIMEN DETAIL section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and   not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Specimen - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the TEST SPECIMEN DETAIL section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and   exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Specimen - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the TEST SPECIMEN DETAIL section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and   exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Specimen - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. Confirm if the code is a member of the value domain.
		If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the TEST SPECIMEN DETAIL section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Specimen - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="count($snomed-trans-1)" /><xsl:text /> translation elements with
		codes and the SNOMED CT-AU codeSystem '2.16.840.1.113883.6.96'. The first two translation elements have been assessed to determine if the codes are members of the value domain
		and the others have not been assessed. Confirm if the value of the code attribute in all SNOMED CT translation elements meets the requirement that it be a member of the value domain
		if there is no nullFlavor 'OTH' or that there is a nullFlavor 'OTH' if the value of the code attribute is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text /> 
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the TEST SPECIMEN DETAIL section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-a" /><xsl:text />'. This error occurred when assessing the Test Specimen - Anatomical Location Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Test Specimen - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and   not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Specimen - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the TEST SPECIMEN DETAIL section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and   not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Specimen - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the TEST SPECIMEN DETAIL section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and   exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Specimen - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the TEST SPECIMEN DETAIL section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and   exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Specimen - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the TEST SPECIMEN DETAIL section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-b" /><xsl:text />'. This error occurred when assessing the Test Specimen - Anatomical Location Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Test Specimen - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> 
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and   not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Specimen - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the TEST SPECIMEN DETAIL section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and   not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Specimen - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the TEST SPECIMEN DETAIL section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and   exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Specimen - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the TEST SPECIMEN DETAIL section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and   exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Specimen - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the TEST SPECIMEN DETAIL section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M647" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M647" />
  <xsl:template match="@*|node()" priority="-2" mode="M647">
    <xsl:apply-templates select="@*|*" mode="M647" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-CodeableText-21-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '102.16144' = $doc-sections][not(cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3'])]/   cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.1', '102.16156.132.1.1', '102.16156.136.2.1', '102.16156.132.1.1')]]/   cda:targetSiteCode[@displayName]   [(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-body-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])]   [not(@nullFlavor = $no-value-NF)] " priority="1000" mode="M648">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '102.16144' = $doc-sections][not(cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3'])]/   cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.1', '102.16156.132.1.1', '102.16156.136.2.1', '102.16156.132.1.1')]]/   cda:targetSiteCode[@displayName]   [(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-body-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])]   [not(@nullFlavor = $no-value-NF)] " />
    <xsl:variable name="pcode" select="if ('2.16.840.1.113883.6.96' = $defn-body-trusted and          @codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="snomed-trans" select="if ('2.16.840.1.113883.6.96' = $defn-body-trusted and cda:translation)         then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="tcode" select="if (exists($snomed-trans[1]) and matches($snomed-trans[1]/@code, $snomed-code-regex)) then $snomed-trans[1]/@code else '' " />
    <xsl:variable name="code-present" select="$pcode != '' or $tcode != '' " />
    <xsl:variable name="invalid-code-system" select="@code and @displayName and @codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="codesystemvalues" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']" />
    <xsl:variable name="otext-without-markup" select="if (cda:originalText and cda:originalText != '') then normalize-space(replace(cda:originalText, $markup-regex, ' ')) else '' " />
    <xsl:variable name="pdname" select="if (@displayName and not($invalid-code-system)) then normalize-space(@displayName) else '' " />
    <xsl:variable name="max-code-number" select="if ($knowledge/search-for-term/max-sct-code-number/@value &gt; '5') then $knowledge/search-for-term/max-sct-code-number/@value else '5' " />
    <xsl:variable name="der-text-1" select="if ($code-present) then ''         else if ($otext-without-markup != '') then $otext-without-markup        else if ($pdname != '') then $pdname        else '' " />
    <xsl:variable name="der-text-2a" select="if ($der-text-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-text-1, $body-fir-pattern-replacement, 'ic')) " />
    <xsl:variable name="der-text-2" select="if ($der-text-2a = '') then $der-text-1 else $der-text-2a " />
    <xsl:variable name="family-err" select="matches($der-text-1, $family-regex, 'i')" />
    <xsl:variable name="length-err" select="string-length($der-text-1) &gt; $length-err-max" />
    <xsl:variable name="avoid-ts" select="$family-err or $length-err or not($use-ts-for-sctau) " />
    <xsl:variable name="der-text-a" select="if ($body-replacements = '' or $der-text-2 = '') then $der-text-2        else normalize-space(dh:XQueryRecursiveReplace($der-text-2, $body-replacements, 'ic')) " />
    <xsl:variable name="der-text" select="if ($der-text-a = '') then $der-text-2 else $der-text-a " />
    <xsl:variable name="defn-valid-regex" select="concat('(^|\|)', translate($der-text-2, $chars-to-remove, ''), '(\||$)') " />
    <xsl:variable name="der-text-to-match-1" select="lower-case($der-text-2) " />
    <xsl:variable name="der-text-to-match" select="translate($der-text-to-match-1, $chars-to-remove, '') " />
    <xsl:variable name="der-text-non-value" select="if ($code-present or @nullFlavor = $no-value-NF) then false() else         $der-text-to-match = ''              or         not(matches($der-text-to-match-1, '[a-z]', 'i'))          or        ($cd-definitions/non-value/@regex != '' and matches($der-text-to-match-1, $cd-definitions/non-value/@regex, 'i'))  or        (exists($cd-definitions/body/@non-value-regex) and matches($der-text-to-match-1, $cd-definitions/body/@non-value-regex, 'i')) " />
    <xsl:variable name="defn-invalid-regex" select="if ($code-present or $der-text-non-value) then ()        else if ($cd-definitions/body/@invalid-regex) then tokenize($cd-definitions/body/@invalid-regex, '~')[. != '']         else () " />
    <xsl:variable name="defn-invalid-txt-regex" select="(for $i in (1 to count($defn-invalid-regex)) return normalize-space(substring-before($defn-invalid-regex[$i], '[[')))[. != '']" />
    <xsl:variable name="der-invalid-text-regex-1" select="if (exists($defn-invalid-txt-regex))        then index-of(for $i in (1 to count($defn-invalid-txt-regex)) return matches($der-text-2, $defn-invalid-txt-regex[$i], 'i'), true())        else () " />
    <xsl:variable name="der-invalid-text" select="exists($der-invalid-text-regex-1) " />
    <xsl:variable name="defn-invalid-rsn" select="if ($der-invalid-text)         then normalize-space(substring-before(substring-after($defn-invalid-regex[$der-invalid-text-regex-1[1]], '[['), ']]'))         else '' " />
    <xsl:variable name="trusted-code-systems" select="if ($der-text = '' or $der-invalid-text or not(@codeSystem or cda:translation/@codeSystem)) then ()        else (tokenize(replace($cd-definitions/body/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/body/@extra, '\s+', ''), '\|'))[. != ''] " />
    <xsl:variable name="der-trusted-text" select="if ($der-text = '' or $der-invalid-text or (@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex)))) then false()        else ((@codeSystem and exists($trusted-code-systems[. = current()/@codeSystem])) or               (cda:translation/@codeSystem and exists($trusted-code-systems[. = current()/cda:translation/@codeSystem]))) " />
    <xsl:variable name="valid-body-1" select="if ($code-present or $der-text-non-value or $der-invalid-text or not($cd-definitions/body/@valid-regex)) then false()        else exists(index-of(for $regex in (tokenize($cd-definitions/body/@valid-regex, '~')[. != '']) return          matches($der-text-2, dh:XQueryRecursiveReplace(normalize-space($regex), ' \|~|~\| ~|', ''), 'is'), true())) " />
    <xsl:variable name="invalid-hierarchy" select="if (exists($cd-definitions/body/body-invalid/hierarchy))         then string-join(for $hierarchy in $cd-definitions/body/body-invalid/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-refset" select="if (exists($cd-definitions/body/body-invalid/refset))          then string-join(for $refset in $cd-definitions/body/body-invalid/refset return concat('^', $refset/@code), ' OR ')         else '' " />
    <xsl:variable name="valid-refset" select="'^32570061000036105' " />
    <xsl:variable name="valid-domain" select="if ($invalid-refset != '' and $invalid-hierarchy != '')         then concat('((', $valid-refset, ') MINUS (', $invalid-refset, ' OR (', $invalid-hierarchy, ')))')        else if ($invalid-refset = '' and $invalid-hierarchy != '') then concat('((', $valid-refset, ') MINUS (', $invalid-hierarchy, '))')         else if ($invalid-refset != '' and $invalid-hierarchy = '') then concat('((', $valid-refset, ') MINUS (', $invalid-refset, '))')        else concat('(', $valid-refset, ')') " />
    <xsl:variable name="related-terms-1" select="if ($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-body-1) then ()        else ($codesystemvalues/code[@related-terms], $codesystemvalues/related-terms[@related-terms]) " />
    <xsl:variable name="related-terms-2" select="for $i in index-of(        for $concept in $related-terms-1 return matches(translate($concept/@related-terms, $chars-no-pipe, ''), $defn-valid-regex, 'i'), true())         return $related-terms-1[$i]/@code " />
    <xsl:variable name="der-body-codes-1" select="if (exists($related-terms-2)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($related-terms-2, ' OR '), ') AND (', $valid-domain, ')'), '', string(count($related-terms-2)), false())        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $der-body-codes-1 " />
    <xsl:variable name="der-valid-codes-1" select="if (contains($der-body-codes-1, '[')) then $der-body-codes-1 else '' " />
    <xsl:variable name="valid-body-2" select="$valid-body-1 or $der-valid-codes-1 != '' " />
    <xsl:variable name="body-inactive-refSets" select="if (exists($cd-definitions/body/body-invalid/inactive-refset))         then concat('((', $inactive-refSets, ') MINUS (',           string-join(for $refset in $cd-definitions/body/body-invalid/inactive-refset return concat('^', $refset/@code), ' OR '),          '))')         else $inactive-refSets " />
    <xsl:variable name="formula" select="concat($valid-domain, ' OR ', $body-inactive-refSets) " />
    <xsl:variable name="ts-not-needed" select="$der-text = '' or $der-text-non-value or $der-invalid-text or $valid-body-2 or $avoid-ts " />
    <xsl:variable name="der-body-codes-2" select="if ($ts-not-needed or exists($related-terms-2)) then ()         else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-text,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or 'Error' = $der-body-codes-2 " />
    <xsl:variable name="der-valid-codes-2" select="if ($der-valid-codes-1 != '') then $der-valid-codes-1        else if ($error-usingTS-2) then ''         else string-join((for $code in $der-body-codes-2 return if (contains($code, '~inactive')) then '' else $code)[. != ''], '|')  " />
    <xsl:variable name="valid-body-3" select="$valid-body-2 or $der-valid-codes-2 != '' " />
    <xsl:variable name="der-inactive-codes-1" select="if ($valid-body-3) then () else        for $code in $der-body-codes-2 return if (contains($code, '~inactive')) then replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is') else '' " />
    <xsl:variable name="der-inactive-codes-2" select="for $i in (1 to count($der-inactive-codes-1)) return         dh:IsCodeAssociatedWithAnotherCode($der-inactive-codes-1[$i], '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-1" select="'Error' = $der-inactive-codes-2 " />
    <xsl:variable name="der-NAF-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-NAF-active-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound~active')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-inactive-codes-3" select="tokenize(string-join(for $i in (1 to count($der-inactive-codes-1)) return replace(string-join(tokenize($der-inactive-codes-2[$i], '\|')        [matches(., '(REPLACED BY|SAME AS|ALTERNATIVE|POSSIBLY EQUIVALENT TO|MAY BE A|WAS A)')], '|'), '[0-9]+~[A-Z ]+~([0-9]+)', '$1'), '|'), '\|')        [. != ''] " />
    <xsl:variable name="der-body-codes-3" select="if (exists($der-inactive-codes-3)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($der-inactive-codes-3, ' OR '), ') AND (', $valid-domain, ')'), '', string(count($der-inactive-codes-3)), false())          else '' " />
    <xsl:variable name="error-usingTS-3" select="$error-usingTS-2 or 'Error' = $der-body-codes-3 " />
    <xsl:variable name="der-valid-codes-3" select="if ($der-valid-codes-2 != '') then $der-valid-codes-2        else if (contains($der-body-codes-3, '[')) then $der-body-codes-3        else '' " />
    <xsl:variable name="valid-body-4" select="$valid-body-3 or $der-valid-codes-3 != '' " />
    <xsl:variable name="invalid-domain" select="if ($invalid-hierarchy != '' and $invalid-refset != '') then concat($invalid-hierarchy, ' OR ', $invalid-refset)        else if ($invalid-hierarchy != '') then $invalid-hierarchy        else if ($invalid-refset != '') then $invalid-refset        else '' " />
    <xsl:variable name="der-body-codes-4" select="if ($ts-not-needed or $valid-body-4 or $invalid-domain = '') then ()        else if (exists($related-terms-2)) then $related-terms-2        else distinct-values((tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          $invalid-domain, $der-text, $max-code-number, false()), '(\[.*?\])(\||$)', '$2'), '\|'), $der-inactive-codes-3)) " />
    <xsl:variable name="error-usingTS-4" select="$error-usingTS-3 or 'Error' = $der-body-codes-4 " />
    <xsl:variable name="invalid-body-codes-r" select="if ($ts-not-needed or $valid-body-4 or $error-usingTS-4 or not(exists($der-body-codes-4))) then ()        else if ($invalid-refset = '') then tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-body-codes-4, ' OR '), ') AND (', $inactive-refSets, ')'), '',           string(count($der-body-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')        else tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-body-codes-4, ' OR '), ') AND (', $invalid-refset, ' OR ', $inactive-refSets, ')'), '',           string(count($der-body-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')  " />
    <xsl:variable name="error-usingTS-5" select="$error-usingTS-4 or 'Error' = $invalid-body-codes-r " />
    <xsl:variable name="der-body-codes-4-h" select="if ($error-usingTS-5) then () else $der-body-codes-4[not(. = $invalid-body-codes-r)]" />
    <xsl:variable name="invalid-body-codes-h" select="if ($ts-not-needed or $valid-body-4 or 'Error' = $der-body-codes-4 or $body-invalid-hierarchy = '' or not(exists($der-body-codes-4-h))) then ()        else (for $code in $der-body-codes-4-h return          if (dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;&gt;', $code, ' MINUS ', $body-invalid-hierarchy), '', '1', false()) = '') then $code else '')[. != ''] " />
    <xsl:variable name="invalid-body-codes" select="($invalid-body-codes-h, $invalid-body-codes-r) " />
    <xsl:variable name="der-body-codes-5" select="$der-body-codes-4[not(. = $invalid-body-codes or . = 'Error')]" />
    <xsl:variable name="der-valid-codes-4" select="if ($der-valid-codes-3 != '') then $der-valid-codes-3        else if ($ts-not-needed or $valid-body-4 or $valid-domain = '' or not(exists($der-body-codes-5))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-body-codes-5, ' OR '), ') AND ', $valid-domain), '', string(count($der-body-codes-5)), false()) " />
    <xsl:variable name="error-usingTS-6" select="$error-usingTS-5 or 'Error' = $der-valid-codes-4 " />
    <xsl:variable name="valid-body-5" select="$valid-body-4 or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="undetermined-body-1" select="$der-body-codes-5[not(. = tokenize(replace($der-valid-codes-4,  '(\[.*?\])(\||$)', '$2'), '\|'))]" />
    <xsl:variable name="undetermined-inactive-1" select="for $i in (1 to count($undetermined-body-1)) return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $undetermined-body-1[$i], '', '1', false()) " />
    <xsl:variable name="error-usingTS-7" select="$error-usingTS-6 or 'Error' = $undetermined-inactive-1 " />
    <xsl:variable name="undetermined-inactive" select="(for $i in (1 to count($undetermined-body-1)) return         if (contains($undetermined-inactive-1[$i], '~inactive')) then $undetermined-inactive-1[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-1" select="for $i in (1 to count($undetermined-inactive))        return dh:IsCodeAssociatedWithAnotherCode(replace($undetermined-inactive[$i], '(\[.*?\])(\||$)', '$2'), '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-2" select="$error-usingV-1 or 'Error' = $undetermined-NAF-1 " />
    <xsl:variable name="undetermined-NAF" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-codes" select="for $term in $undetermined-NAF return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-NAF-active" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound~active')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-active-codes" select="for $term in $undetermined-NAF-active return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-body" select="$undetermined-body-1[not(. = ($undetermined-NAF-codes, $undetermined-NAF-active-codes))]" />
    <xsl:variable name="invalid-body" select="not($valid-body-5) and exists($invalid-body-codes) and not(exists($undetermined-body))" />
    <xsl:variable name="codes-were-found" select="exists($der-body-codes-4) or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="codes-not-found" select="not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-body-5 or $invalid-body) " />
    <xsl:variable name="codes-in-the-domain" select="not($valid-body-1) and $valid-body-5" />
    <xsl:variable name="codes-in-other-domain" select="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-body-5 or $invalid-body or         $error-usingTS-7) " />
    <xsl:variable name="codes-in-no-domain" select="exists($der-body-codes-5) " />
    <xsl:variable name="display-in-the-domain" select="if ($codes-in-the-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', '), '''')        else '' " />
    <xsl:variable name="display-in-other-r" select="if (exists($invalid-body-codes-r) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-body-codes-r return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-h" select="if (exists($invalid-body-codes-h) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-body-codes-h return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-domain" select="if (not($codes-in-other-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))) then ''        else if ($display-in-other-r and display-in-other-h) then concat('''', $display-in-other-r, ', ', $display-in-other-h, '''')        else if ($display-in-other-r) then concat('''', $display-in-other-r, '''')        else if ($display-in-other-h) then concat('''', $display-in-other-h, '''')        else '' " />
    <xsl:variable name="display-in-no-domain" select="if ($codes-in-no-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', dh:XQueryRecursiveReplace(string-join(for $code in $der-body-codes-5 return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), '; '),          $term-pattern-replacement, 'ic'), '''')        else '' " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))        else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="log-concepts-appended" select="if ($error-usingTS-7 or not($flags/@report-terminology-concepts = 'true') or $log-concepts-name = '') then ''        else if ($codes-not-found and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                   'Body',     $log-tab,                   'yes',     $log-tab,                   concat($display-code, $display-system), $log-tab,                   '',     $log-tab,                  '',     $log-tab,                  '',     $log-tab,                  $ts-current-sctau   ))        else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <!--REPORT -->
    <xsl:if test=" $log-concepts-appended = ('NOTFOUND', 'ERROR') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$log-concepts-appended = ('NOTFOUND', 'ERROR')">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Body-Defn): The AppendLog function returned '<xsl:text /><xsl:value-of select="$log-concepts-appended" /><xsl:text />' when requested to append the concepts log
		'<xsl:text /><xsl:value-of select="$log-concepts-name" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-body-5) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-body-5)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Body-Defn): An unexpected problem occurred when assessing the value of the Test Specimen - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. The application of regular expressions resulted in the complete loss of text.
		Report the information below to the Australian Digital Health Agency for investigation.

		der-text-1 '<xsl:text /><xsl:value-of select="normalize-space(dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'))" /><xsl:text />'.
		der-text-2a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-2a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-a, $term-pattern-replacement, 'ic')" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingV-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingV-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Body-Defn): An error was reported when accessing the terminology server when assessing the Test Specimen - Anatomical Location Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		Report the issue to the Australian Digital Health Agency for investigation stating the error was recorded for error-usingV-2.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-7 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-7">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Body-Defn): An error was reported when accessing the terminology server when assessing the Test Specimen - Anatomical Location Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term:
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The analysis should be retried as the terminology server may have been temporarily unavailable.
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation, stating that the error was found by
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'error-usingTS-1' else if ($error-usingTS-2) then 'error-usingTS-2'   else if ($error-usingTS-3) then 'error-usingTS-3' else if ($error-usingTS-4) then 'error-usingTS-4'   else if ($error-usingTS-5) then 'error-usingTS-5' else if ($error-usingTS-6) then 'error-usingTS-6'   else 'error-usingTS-7' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $codes-not-found">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Specimen - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the TEST SPECIMEN DETAIL section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$codes-in-other-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$codes-in-other-domain">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Specimen - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value does not seem to be applicable for the data element.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Test Specimen - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Test Specimen - Anatomical Location Name data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Specimen - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Test Specimen - Anatomical Location Name data element must have a value that is consistent with this definition. Alternatively if there is no Test Specimen - Anatomical Location Name data element with a proper value then an exclusion
		statement must be included to state why there is no Test Specimen - Anatomical Location Name. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4')    then concat('Text such as ''', dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'), ''' may be permitted in the narrative even though the Test Specimen - Anatomical Location Name data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Test Specimen - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Test Specimen - Anatomical Location Name data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($der-text-non-value) and $der-invalid-text ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($der-text-non-value) and $der-invalid-text">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Specimen - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid. <xsl:text /><xsl:value-of select="$defn-invalid-rsn" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $invalid-body and not($error-usingTS-7) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$invalid-body and not($error-usingTS-7)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Specimen - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid
		<xsl:text /><xsl:value-of select="if (exists($invalid-body-codes-h)) then concat(' as it describes ', string-join(distinct-values(for $code in tokenize(replace(   dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat('(', string-join(for $code in $invalid-body-codes-h return concat('&gt;&gt;', $code), ' OR '), ') AND (',    string-join(for $hierarchy in $cd-definitions/body/body-invalid/hierarchy return $hierarchy/@code, ' OR '), ')'), '',    string(count($invalid-body-codes-h)), true()), '(\[.*?\])(\||$)', '$2'), '\|') return $cd-definitions/body/body-invalid/hierarchy[@code = $code]/@description)[position() = (1 to 2)], ' and '), '.')    else if (exists($invalid-body-codes-r)) then concat(' as it describes ', string-join(distinct-values(for $code in $invalid-body-codes-r return   $cd-definitions/body/body-invalid/refset[index-of(for $x in (for $refset in $cd-definitions/body/body-invalid/refset return    dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat($code, ' AND ^', $refset/@code), '', '1', true()), '|') return matches($x, '^[0-9]'), true())[1]]/@description), ' and '), '.')   else '.'" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable outside the applicable value domain): The Test Specimen - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following codes were obtained and are not in the value domain: <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-Body-Defn): The Test Specimen - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU and no associated code was found in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists(($der-NAF-active-codes, $undetermined-NAF-active-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists(($der-NAF-active-codes, $undetermined-NAF-active-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-Body-Defn): The Test Specimen - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-active-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU but it was not found with this status in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.
		<xsl:text /><xsl:value-of select="if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $valid-body-1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $valid-body-1">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable within the value domain): The Test Specimen - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which matches one of the terms listed in Knowledge.xml for the Test Specimen - Anatomical Location Name.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (concept is codeable within the value domain): The Test Specimen - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a valid value for the Test Specimen - Anatomical Location Name.
		SNOMED CT-AU codes that matched the concept are: <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-body-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-body-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Test Specimen - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The text used to match regular expression (der-text-2) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to match non-values (der-text-to-match) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-to-match, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to derive a code (der-text) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The SNOMED CT-AU version used to find codes is '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' and the maximum code number is '<xsl:text /><xsl:value-of select="$max-code-number" /><xsl:text />'.

		Codes for related terms (related-terms-2): '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($related-terms-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes for related terms (der-valid-codes-1): 
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-1, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-body-codes-2) returned by the terminology server that match the text:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-body-codes-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes from related terms or the terminology server (der-valid-codes-2):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-2, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-inactive-codes-3) returned from the Validator's database associated with inactive codes:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-inactive-codes-3, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes found after examining inactive codes (der-valid-codes-3):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-3, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Members of invalid reference sets (invalid-body-codes-r): '<xsl:text /><xsl:value-of select="$display-in-other-r" /><xsl:text />'.
		Members of invalid code hierarchies (invalid-body-codes-h): '<xsl:text /><xsl:value-of select="$display-in-other-h" /><xsl:text />'.

		Final set of valid codes (der-valid-codes-4):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes whose validity has not been determined (der-body-codes-5):  <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.
		Codes whose validity has not been determined and are inactive with no associated code (undetermined-NAF): '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(    string-join($undetermined-NAF, ''', '''), $markup-pattern-replacement, 'ic')" /><xsl:text />'.

		Will the value of the data element be trusted (der-trusted-text)? '<xsl:text /><xsl:value-of select="$der-trusted-text" /><xsl:text />'.
		
	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and $codes-not-found">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept not codeable): The Test Specimen - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($avoid-ts) then 'The terminology server was not used to assist with finding codes corresponding to text in the data element. ' else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M648" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M648" />
  <xsl:template match="@*|node()" priority="-2" mode="M648">
    <xsl:apply-templates select="@*|*" mode="M648" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-CodeableText-22-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.1', '102.16156.132.1.1', '102.16156.136.2.1', '102.16156.132.1.1')]]/   cda:targetSiteCode[@code][(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M649">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.1', '102.16156.132.1.1', '102.16156.136.2.1', '102.16156.132.1.1')]]/   cda:targetSiteCode[@code][(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Test Specimen - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Test Specimen - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Test Specimen - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Test Specimen - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Specimen - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Test Specimen - Anatomical Location Name has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Test Specimen - Anatomical Location Name data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Specimen - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Test Specimen - Anatomical Location Name data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Specimen - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Test Specimen - Anatomical Location Name data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Specimen - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Test Specimen - Anatomical Location Name data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Test Specimen - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Specimen - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Test Specimen - Anatomical Location Name data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Test Specimen - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Test Specimen - Anatomical Location Name data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Specimen - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Specimen - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Test Specimen - Anatomical Location Name data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Specimen - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Test Specimen - Anatomical Location Name data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Specimen - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Specimen - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M649" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M649" />
  <xsl:template match="@*|node()" priority="-2" mode="M649">
    <xsl:apply-templates select="@*|*" mode="M649" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-CodeableText-23-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.1', '102.16156.132.1.1', '102.16156.136.2.1', '102.16156.132.1.1')]]/   cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16171']]/cda:value " priority="1000" mode="M650">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.1', '102.16156.132.1.1', '102.16156.136.2.1', '102.16156.132.1.1')]]/   cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16171']]/cda:value " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Test Specimen - Sampling Preconditions '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and true() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and true() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Test Specimen - Sampling Preconditions '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Test Specimen - Sampling Preconditions',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Test Specimen - Sampling Preconditions '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Test Specimen - Sampling Preconditions '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Specimen - Sampling Preconditions
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Test Specimen - Sampling Preconditions however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Test Specimen - Sampling Preconditions in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Test Specimen - Sampling Preconditions
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Test Specimen - Sampling Preconditions however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Test Specimen - Sampling Preconditions in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Test Specimen - Sampling Preconditions data element must have a value that is consistent with this definition. Alternatively if there is no Test Specimen - Sampling Preconditions data element with a proper value then an exclusion
		statement must be included to state why there is no Test Specimen - Sampling Preconditions.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Specimen - Sampling Preconditions
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Test Specimen - Sampling Preconditions however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Test Specimen - Sampling Preconditions in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Specimen - Sampling Preconditions
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Test Specimen - Sampling Preconditions however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Test Specimen - Sampling Preconditions in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Test Specimen - Sampling Preconditions data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Test Specimen - Sampling Preconditions
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Test Specimen - Sampling Preconditions however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Test Specimen - Sampling Preconditions in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Test Specimen - Sampling Preconditions data element must have a value that is consistent with this definition. Alternatively if there is no Test Specimen - Sampling Preconditions data element with a proper value then an exclusion
		statement must be included to state why there is no Test Specimen - Sampling Preconditions.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Specimen - Sampling Preconditions
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Test Specimen - Sampling Preconditions however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Test Specimen - Sampling Preconditions in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Test Specimen - Sampling Preconditions data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Specimen - Sampling Preconditions '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen - Sampling Preconditions
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen - Sampling Preconditions
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen - Sampling Preconditions '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen - Sampling Preconditions '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Test Specimen - Sampling Preconditions '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Test Specimen - Sampling Preconditions '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Specimen - Sampling Preconditions '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Specimen - Sampling Preconditions '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Test Specimen - Sampling Preconditions
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Specimen - Sampling Preconditions '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Specimen - Sampling Preconditions '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Test Specimen - Sampling Preconditions.
		(See the definition of Test Specimen - Sampling Preconditions in the Structured Content Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Test Specimen - Sampling Preconditions '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M650" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M650" />
  <xsl:template match="@*|node()" priority="-2" mode="M650">
    <xsl:apply-templates select="@*|*" mode="M650" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-CodeableText-24-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.1', '102.16156.132.1.1', '102.16156.136.2.1', '102.16156.132.1.1')]]/   cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16171']]/cda:value   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M651">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.1', '102.16156.132.1.1', '102.16156.136.2.1', '102.16156.132.1.1')]]/   cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16171']]/cda:value   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Test Specimen - Sampling Preconditions '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Test Specimen - Sampling Preconditions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Test Specimen - Sampling Preconditions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Test Specimen - Sampling Preconditions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Specimen - Sampling Preconditions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Test Specimen - Sampling Preconditions has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Test Specimen - Sampling Preconditions data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Specimen - Sampling Preconditions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Test Specimen - Sampling Preconditions data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Specimen - Sampling Preconditions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Test Specimen - Sampling Preconditions data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Specimen - Sampling Preconditions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Test Specimen - Sampling Preconditions data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Test Specimen - Sampling Preconditions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Specimen - Sampling Preconditions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Test Specimen - Sampling Preconditions data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Test Specimen - Sampling Preconditions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Test Specimen - Sampling Preconditions data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Specimen - Sampling Preconditions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Specimen - Sampling Preconditions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Test Specimen - Sampling Preconditions data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Specimen - Sampling Preconditions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Test Specimen - Sampling Preconditions data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Specimen - Sampling Preconditions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Specimen - Sampling Preconditions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M651" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M651" />
  <xsl:template match="@*|node()" priority="-2" mode="M651">
    <xsl:apply-templates select="@*|*" mode="M651" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-CodeableText-25-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/   cda:entryRelationship/cda:organizer/cda:code " priority="1000" mode="M652">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/   cda:entryRelationship/cda:organizer/cda:code " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Pathology Test Result Group Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and true() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and true() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Pathology Test Result Group Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Pathology Test Result Group Name',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Pathology Test Result Group Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Pathology Test Result Group Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Pathology Test Result Group Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Pathology Test Result Group Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Pathology Test Result Group Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Pathology Test Result Group Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Pathology Test Result Group Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Pathology Test Result Group Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Pathology Test Result Group Name data element must have a value that is consistent with this definition. Alternatively if there is no Pathology Test Result Group Name data element with a proper value then an exclusion
		statement must be included to state why there is no Pathology Test Result Group Name.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Pathology Test Result Group Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Pathology Test Result Group Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Pathology Test Result Group Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Pathology Test Result Group Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Pathology Test Result Group Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Pathology Test Result Group Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Pathology Test Result Group Name data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Pathology Test Result Group Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Pathology Test Result Group Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Pathology Test Result Group Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Pathology Test Result Group Name data element must have a value that is consistent with this definition. Alternatively if there is no Pathology Test Result Group Name data element with a proper value then an exclusion
		statement must be included to state why there is no Pathology Test Result Group Name.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Pathology Test Result Group Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Pathology Test Result Group Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Pathology Test Result Group Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Pathology Test Result Group Name data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Pathology Test Result Group Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Pathology Test Result Group Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Pathology Test Result Group Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Pathology Test Result Group Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Pathology Test Result Group Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Pathology Test Result Group Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Pathology Test Result Group Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Pathology Test Result Group Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Pathology Test Result Group Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Pathology Test Result Group Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Pathology Test Result Group Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Pathology Test Result Group Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Pathology Test Result Group Name.
		(See the definition of Pathology Test Result Group Name in the Structured Content Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Pathology Test Result Group Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M652" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M652" />
  <xsl:template match="@*|node()" priority="-2" mode="M652">
    <xsl:apply-templates select="@*|*" mode="M652" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-CodeableText-26-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/   cda:entryRelationship/cda:organizer/cda:code[not(@code and @codeSystem and exists(index-of($defn-pathTest-trusted, @codeSystem)))]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])]   [not(@nullFlavor = $no-value-NF)] " priority="1000" mode="M653">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/   cda:entryRelationship/cda:organizer/cda:code[not(@code and @codeSystem and exists(index-of($defn-pathTest-trusted, @codeSystem)))]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])]   [not(@nullFlavor = $no-value-NF)] " />
    <xsl:variable name="pcode" select="if ('2.16.840.1.113883.6.96' = $defn-pathTest-trusted and         @codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="snomed-trans" select="if ('2.16.840.1.113883.6.96' = $defn-pathTest-trusted and cda:translation)         then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="tcode" select="if (exists($snomed-trans[1]) and matches($snomed-trans[1]/@code, $snomed-code-regex)) then $snomed-trans[1]/@code else '' " />
    <xsl:variable name="code-present" select="$pcode != '' or $tcode != '' " />
    <xsl:variable name="invalid-code-system" select="@code and @displayName and @codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="codesystemvalues" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']" />
    <xsl:variable name="otext-without-markup" select="if (cda:originalText and cda:originalText != '') then replace(cda:originalText, $markup-regex, ' ') else '' " />
    <xsl:variable name="pdname" select="if (@displayName and not($invalid-code-system)) then @displayName else '' " />
    <xsl:variable name="max-code-number" select="if ($knowledge/search-for-term/max-sct-code-number/@value &gt; '5') then $knowledge/search-for-term/max-sct-code-number/@value else '5' " />
    <xsl:variable name="der-text-1" select="if ($code-present) then ''         else if ($otext-without-markup != '') then $otext-without-markup        else if ($pdname != '') then $pdname        else '' " />
    <xsl:variable name="family-err" select="$family-regex != '' and not(matches($der-text-1, '(^|\s)(small|white\s*cell\s*count)(\s|$)', 'is')) and matches($der-text-1, $family-regex, 'is')" />
    <xsl:variable name="der-truncated-text-1" select="normalize-space(replace($der-text-1, $unicode-br-truncation-regex, '$1', 'is')) " />
    <xsl:variable name="length-err" select="string-length($der-truncated-text-1) &gt; $length-err-max" />
    <xsl:variable name="prose-err-1" select="$length-err and cda:originalText and (        matches(cda:originalText, $ulist-regex)           or         matches(cda:originalText, $alt-ulist-1a-regex, 'is')         or         matches(cda:originalText, $alt-ulist-1b-regex, 'is')         )" />
    <xsl:variable name="prose-err" select="$prose-err-1 or (cda:originalText and (         matches(cda:originalText, $alt-ulist-2-regex, 'is')          or        matches(cda:originalText, $olist-arabic-regex, 'is')          or         matches(cda:originalText, $olist-alpha-regex, 'is')          or         matches(cda:originalText, $olist-roman-regex, 'is')          or        matches(replace(cda:originalText, $new-line-regex, codepoints-to-string((10)), 'is'), $para-regex, 'is')  or        matches(cda:originalText, codepoints-to-string((8233)), 'is')         or               (cda:originalText and matches(cda:originalText, $invalid-concept-regex, 'is'))      or        ($length-err and matches(cda:originalText, '\.\s*$', 's') and matches(cda:originalText, $multi-sentence-regex, 's')) ))" />
    <xsl:variable name="avoid-ts" select="$family-err or $length-err or $prose-err or not($use-ts-for-sctau) " />
    <xsl:variable name="der-text-2a" select="if ($der-truncated-text-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-truncated-text-1, $pathTest-fir-pattern-replacement, 'ic')) " />
    <xsl:variable name="der-text-2" select="if ($der-text-2a = '') then $der-text-1 else $der-text-2a " />
    <xsl:variable name="der-text-a" select="if ($pathTest-replacements = '' or $der-text-2 = '') then normalize-space($der-text-2)        else normalize-space(dh:XQueryRecursiveReplace($der-text-2, $pathTest-replacements, 'ic')) " />
    <xsl:variable name="der-text" select="if ($der-text-a = '') then $der-text-2 else $der-text-a " />
    <xsl:variable name="defn-valid-regex" select="concat('(^|\|)', translate($der-text-2, $chars-to-remove, ''), '(\||$)') " />
    <xsl:variable name="der-text-to-match-1" select="lower-case($der-text-2) " />
    <xsl:variable name="der-text-to-match" select="translate($der-text-to-match-1, $chars-to-remove, '') " />
    <xsl:variable name="der-text-non-value" select="if ($code-present or @nullFlavor = $no-value-NF) then false() else         $der-text-to-match = ''              or        not(matches($der-text-to-match-1, '[a-z]', 'i'))          or         ($cd-definitions/non-value/@regex != '' and matches($der-text-to-match-1, $cd-definitions/non-value/@regex, 'i'))  or        (exists($cd-definitions/pathTest/@non-value-regex) and matches($der-text-to-match-1, $cd-definitions/pathTest/@non-value-regex, 'i')) " />
    <xsl:variable name="defn-invalid-regex" select="if ($code-present or $der-text-non-value) then ()        else if ($cd-definitions/pathTest/@invalid-regex) then tokenize($cd-definitions/pathTest/@invalid-regex, '~')[. != '']         else () " />
    <xsl:variable name="defn-invalid-txt-regex" select="(for $i in (1 to count($defn-invalid-regex)) return normalize-space(substring-before($defn-invalid-regex[$i], '[[')))[. != '']" />
    <xsl:variable name="der-invalid-text-regex-1" select="if (exists($defn-invalid-txt-regex))        then index-of(for $i in (1 to count($defn-invalid-txt-regex)) return matches($der-text-2, $defn-invalid-txt-regex[$i], 'i'), true())        else () " />
    <xsl:variable name="der-invalid-text" select="exists($der-invalid-text-regex-1) " />
    <xsl:variable name="defn-invalid-rsn" select="if ($der-invalid-text)         then normalize-space(substring-before(substring-after($defn-invalid-regex[$der-invalid-text-regex-1[1]], '[['), ']]'))         else '' " />
    <xsl:variable name="trusted-code-systems" select="if ($der-text = '' or $der-invalid-text or not(@codeSystem or cda:translation/@codeSystem)) then ()        else (tokenize(replace($cd-definitions/pathTest/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/pathTest/@extra, '\s+', ''), '\|'))[. != ''] " />
    <xsl:variable name="der-trusted-text" select="if ($der-text = '' or $der-invalid-text or (@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex)))) then false()        else ((@codeSystem and exists($trusted-code-systems[. = current()/@codeSystem])) or               (cda:translation/@codeSystem and exists($trusted-code-systems[. = current()/cda:translation/@codeSystem]))) " />
    <xsl:variable name="valid-pathTest-1a" select="if ($code-present or $der-text-non-value or $der-invalid-text or not($cd-definitions/pathTest/@valid-regex)) then false()        else exists(index-of(for $regex in (tokenize($cd-definitions/pathTest/@valid-regex, '~')[. != '']) return          matches($der-text-2, dh:XQueryRecursiveReplace(normalize-space($regex), ' \|~|~\| ~|', ''), 'is'), true())) " />
    <xsl:variable name="rcpa-syn-1" select="if ($der-text-to-match = '' or $der-text-non-value or $der-invalid-text or $valid-pathTest-1a) then ()         else ($spia-sctau/system/rcpa[@rcpa-terms or @related-terms]) " />
    <xsl:variable name="rcpa-syn-num" select="count($rcpa-syn-1) " />
    <xsl:variable name="rcpa-syn-2a" select="for $i in (1 to $rcpa-syn-num) return         if ($rcpa-syn-1[$i]/@rcpa-terms and $rcpa-syn-1[$i]/@related-terms) then concat($rcpa-syn-1[$i]/@rcpa-terms, '|', $rcpa-syn-1[$i]/@related-terms)        else if ($rcpa-syn-1[$i]/@rcpa-terms and not($rcpa-syn-1[$i]/@related-terms)) then $rcpa-syn-1[$i]/@rcpa-terms        else if (not($rcpa-syn-1[$i]/@rcpa-terms) and $rcpa-syn-1[$i]/@related-terms) then $rcpa-syn-1[$i]/@related-terms        else '' " />
    <xsl:variable name="rcpa-syn-2" select="for $i in (1 to $rcpa-syn-num) return         replace(replace(translate(normalize-space(lower-case($rcpa-syn-2a[$i])),          concat($chars-no-pipe, codepoints-to-string((38))), ''), ' \|', '|'), '^\| ', '|') " />
    <xsl:variable name="rcpa-syn-3" select="index-of(for $i in (1 to $rcpa-syn-num) return exists(tokenize($rcpa-syn-2[$i], '\|')[. = $der-text-to-match]), true())" />
    <xsl:variable name="rcpa-syn-4" select="distinct-values(for $i in $rcpa-syn-3 return $rcpa-syn-1[$i]/@code) " />
    <xsl:variable name="valid-pathTest-1" select="$valid-pathTest-1a or exists($rcpa-syn-4) " />
    <xsl:variable name="invalid-hierarchy" select="if (exists($cd-definitions/pathTest/pathTest-invalid/hierarchy))         then string-join(for $hierarchy in $cd-definitions/pathTest/pathTest-invalid/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-refset" select="if (exists($cd-definitions/pathTest/pathTest-invalid/refset))          then string-join(for $refset in $cd-definitions/pathTest/pathTest-invalid/refset return concat('^', $refset/@code), ' OR ')         else '' " />
    <xsl:variable name="valid-hierarchy" select="if ($cd-definitions/pathTest/pathTest-valid/@refset != '' and $cd-definitions/pathTest/pathTest-valid/@hierarchy != '')        then concat($cd-definitions/pathTest/pathTest-valid/@refset, ' OR ', $cd-definitions/pathTest/pathTest-valid/@hierarchy)        else if ($cd-definitions/pathTest/pathTest-valid/@refset != '') then $cd-definitions/pathTest/pathTest-valid/@refset        else if ($cd-definitions/pathTest/pathTest-valid/@hierarchy != '') then $cd-definitions/pathTest/pathTest-valid/@hierarchy        else '&lt;&lt;(^1072351000168102 OR ^1021000036104 OR ^2021000036107 OR ^3021000036100)' " />
    <xsl:variable name="valid-domain" select="if ($invalid-refset != '' and $invalid-hierarchy != '')         then concat('((', $valid-hierarchy, ') MINUS (', $invalid-refset, ' OR (', $invalid-hierarchy, ')))')        else if ($invalid-refset = '' and $invalid-hierarchy != '') then concat('((', $valid-hierarchy, ') MINUS (', $invalid-hierarchy, '))')         else if ($invalid-refset != '' and $invalid-hierarchy = '') then concat('((', $valid-hierarchy, ') MINUS (', $invalid-refset, '))')        else concat('(', $valid-hierarchy, ')') " />
    <xsl:variable name="related-terms-1" select="if ($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-pathTest-1) then ()        else ($codesystemvalues/code[@related-terms], $codesystemvalues/related-terms[@related-terms]) " />
    <xsl:variable name="related-terms-2" select="for $i in index-of(        for $concept in $related-terms-1 return matches(translate($concept/@related-terms, $chars-no-pipe, ''), $defn-valid-regex, 'i'), true())         return $related-terms-1[$i]/@code " />
    <xsl:variable name="der-pathTest-codes-1" select="if (exists($related-terms-2)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($related-terms-2, ' OR '), ') AND ', $valid-domain), '', string(count($related-terms-2)), false())        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $der-pathTest-codes-1 " />
    <xsl:variable name="der-valid-codes-1" select="if (contains($der-pathTest-codes-1, '[')) then $der-pathTest-codes-1 else '' " />
    <xsl:variable name="valid-pathTest-2" select="$valid-pathTest-1 or $der-valid-codes-1 != '' " />
    <xsl:variable name="pathTest-inactive-refSets" select="if (exists($cd-definitions/pathTest/pathTest-invalid/inactive-refset))         then concat('((', $inactive-refSets, ') MINUS (',           string-join(for $refset in $cd-definitions/pathTest/pathTest-invalid/inactive-refset return concat('^', $refset/@code), ' OR '),          '))')         else $inactive-refSets " />
    <xsl:variable name="formula" select="concat($valid-domain, ' OR ', $pathTest-inactive-refSets) " />
    <xsl:variable name="ts-not-needed" select="$der-text = '' or $der-text-non-value or $der-invalid-text or $valid-pathTest-2 or $avoid-ts " />
    <xsl:variable name="der-pathTest-codes-2-a" select="if ($ts-not-needed or exists($related-terms-2)) then ()         else tokenize(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-text, 'default'), '\|') " />
    <xsl:variable name="error-usingTS-2-a" select="$error-usingTS-1 or 'Error' = $der-pathTest-codes-2-a " />
    <xsl:variable name="revision-pattern-1" select="if ($ts-not-needed or exists($der-pathTest-codes-2-a) or exists($related-terms-2) or $error-usingTS-2-a) then ''        else $pathTest-sec-replacements " />
    <xsl:variable name="der-revised-text-1" select="if ($revision-pattern-1 = '') then ''         else normalize-space(dh:XQueryRecursiveReplace($der-text, $revision-pattern-1, 'ic')) " />
    <xsl:variable name="use-revised-text-1" select="$der-revised-text-1 != '' and $der-revised-text-1 != $der-text " />
    <xsl:variable name="der-pathTest-codes-2-b" select="if ($ts-not-needed or exists($der-pathTest-codes-2-a) or not($use-revised-text-1)) then $der-pathTest-codes-2-a        else tokenize(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-1,          'default'), '\|') " />
    <xsl:variable name="error-usingTS-2-b" select="$error-usingTS-2-a or 'Error' = $der-pathTest-codes-2-b " />
    <xsl:variable name="der-pathTest-codes-2" select="if ($ts-not-needed or $error-usingTS-2-b or not(exists($der-pathTest-codes-2-b)) or $der-valid-codes-1 != '' or exists($related-terms-2)) then ()        else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join(for $code in $der-pathTest-codes-2-b return replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is'), ' OR '), ') AND (',          $formula, ')'), '', string(count($der-pathTest-codes-2-b)), false()), '\|') " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-2-b or 'Error' = $der-pathTest-codes-2 " />
    <xsl:variable name="der-valid-codes-2" select="if ($der-valid-codes-1 != '') then $der-valid-codes-1        else if ($error-usingTS-2) then ''         else string-join((for $code in $der-pathTest-codes-2 return if (contains($code, '~inactive')) then '' else $code)[. != ''], '|')  " />
    <xsl:variable name="valid-pathTest-3" select="$valid-pathTest-2 or $der-valid-codes-2 != '' " />
    <xsl:variable name="der-inactive-codes-1" select="if ($valid-pathTest-3) then () else        for $code in $der-pathTest-codes-2 return if (contains($code, '~inactive')) then replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is') else '' " />
    <xsl:variable name="der-inactive-codes-2" select="for $i in (1 to count($der-inactive-codes-1)) return         dh:IsCodeAssociatedWithAnotherCode($der-inactive-codes-1[$i], '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-1" select="'Error' = $der-inactive-codes-2 " />
    <xsl:variable name="der-NAF-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-NAF-active-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound~active')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-inactive-codes-3" select="tokenize(string-join(for $i in (1 to count($der-inactive-codes-1)) return replace(string-join(tokenize($der-inactive-codes-2[$i], '\|')        [matches(., '(REPLACED BY|SAME AS|ALTERNATIVE|POSSIBLY EQUIVALENT TO|MAY BE A|WAS A)')], '|'), '[0-9]+~[A-Z ]+~([0-9]+)', '$1'), '|'), '\|')        [. != ''] " />
    <xsl:variable name="der-pathTest-codes-3" select="if (exists($der-inactive-codes-3)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($der-inactive-codes-3, ' OR '), ') AND ', $valid-domain), '', string(count($der-inactive-codes-3)), false())          else '' " />
    <xsl:variable name="error-usingTS-3" select="$error-usingTS-2 or 'Error' = $der-pathTest-codes-3 " />
    <xsl:variable name="der-valid-codes-3" select="if ($der-valid-codes-2 != '') then $der-valid-codes-2        else if (contains($der-pathTest-codes-3, '[')) then $der-pathTest-codes-3        else '' " />
    <xsl:variable name="valid-pathTest-4" select="$valid-pathTest-3 or $der-valid-codes-3 != '' " />
    <xsl:variable name="invalid-domain" select="if ($invalid-hierarchy != '' and $invalid-refset != '') then concat($invalid-hierarchy, ' OR ', $invalid-refset)        else if ($invalid-hierarchy != '') then $invalid-hierarchy        else if ($invalid-refset != '') then $invalid-refset        else '' " />
    <xsl:variable name="der-pathTest-codes-4" select="if ($ts-not-needed or $valid-pathTest-4 or $invalid-domain = '') then ()        else if (exists($related-terms-2)) then $related-terms-2        else distinct-values((tokenize(replace(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          $invalid-domain, $der-text, 'default'), '(\[.*?\])(\||$)', '$2'), '\|'), $der-inactive-codes-3)) " />
    <xsl:variable name="error-usingTS-4" select="$error-usingTS-3 or 'Error' = $der-pathTest-codes-4 " />
    <xsl:variable name="invalid-pathTest-codes-r" select="if ($ts-not-needed or $valid-pathTest-4 or $error-usingTS-4 or not(exists($der-pathTest-codes-4))) then ()        else if ($invalid-refset = '') then tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-pathTest-codes-4, ' OR '), ') AND (', $inactive-refSets, ')'), '',           string(count($der-pathTest-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')        else tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-pathTest-codes-4, ' OR '), ') AND (', $invalid-refset, ' OR ', $inactive-refSets, ')'), '',           string(count($der-pathTest-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')  " />
    <xsl:variable name="error-usingTS-5" select="$error-usingTS-4 or 'Error' = $invalid-pathTest-codes-r " />
    <xsl:variable name="der-pathTest-codes-4-h" select="if ($error-usingTS-5) then () else $der-pathTest-codes-4[not(. = $invalid-pathTest-codes-r)]" />
    <xsl:variable name="invalid-pathTest-codes-h" select="if ($ts-not-needed or $valid-pathTest-4 or 'Error' = $der-pathTest-codes-4 or $pathTest-invalid-hierarchy = '' or           not(exists($der-pathTest-codes-4-h))) then ()         else (for $code in $der-pathTest-codes-4-h return           if (dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',            concat('&gt;&gt;', $code, ' MINUS ', $pathTest-invalid-hierarchy), '', '1', false()) = '') then $code else '')[. != ''] " />
    <xsl:variable name="invalid-pathTest-codes" select="($invalid-pathTest-codes-h, $invalid-pathTest-codes-r) " />
    <xsl:variable name="der-pathTest-codes-5" select="$der-pathTest-codes-4[not(. = $invalid-pathTest-codes or . = 'Error')]" />
    <xsl:variable name="der-valid-codes-4" select="if ($der-valid-codes-3 != '') then $der-valid-codes-3        else if ($ts-not-needed or $valid-pathTest-4 or $valid-domain = '' or not(exists($der-pathTest-codes-5))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-pathTest-codes-5, ' OR '), ') AND ', $valid-domain), '', string(count($der-pathTest-codes-5)), false()) " />
    <xsl:variable name="error-usingTS-6" select="$error-usingTS-5 or 'Error' = $der-valid-codes-4 " />
    <xsl:variable name="valid-pathTest-5" select="$valid-pathTest-4 or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="undetermined-pathTest-1" select="$der-pathTest-codes-5[not(. = tokenize(replace($der-valid-codes-4,  '(\[.*?\])(\||$)', '$2'), '\|'))]" />
    <xsl:variable name="undetermined-inactive-1" select="for $i in (1 to count($undetermined-pathTest-1)) return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $undetermined-pathTest-1[$i], '', '1', false()) " />
    <xsl:variable name="error-usingTS-7" select="$error-usingTS-6 or 'Error' = $undetermined-inactive-1 " />
    <xsl:variable name="undetermined-inactive" select="(for $i in (1 to count($undetermined-pathTest-1)) return         if (contains($undetermined-inactive-1[$i], '~inactive')) then $undetermined-inactive-1[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-1" select="for $i in (1 to count($undetermined-inactive))        return dh:IsCodeAssociatedWithAnotherCode(replace($undetermined-inactive[$i], '(\[.*?\])(\||$)', '$2'), '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-2" select="$error-usingV-1 or 'Error' = $undetermined-NAF-1 " />
    <xsl:variable name="undetermined-NAF" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-codes" select="for $term in $undetermined-NAF return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-NAF-active" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound~active')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-active-codes" select="for $term in $undetermined-NAF-active return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-pathTest" select="$undetermined-pathTest-1[not(. = ($undetermined-NAF-codes, $undetermined-NAF-active-codes))]" />
    <xsl:variable name="invalid-pathTest" select="not($valid-pathTest-5) and exists($invalid-pathTest-codes) and not(exists($undetermined-pathTest))" />
    <xsl:variable name="codes-were-found" select="exists($der-pathTest-codes-4) or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="codes-not-found" select="not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or        $valid-pathTest-5 or $invalid-pathTest or $error-usingTS-7 or $family-err or $length-err or $prose-err) " />
    <xsl:variable name="codes-in-the-domain" select="not($valid-pathTest-1) and $valid-pathTest-5" />
    <xsl:variable name="codes-in-other-domain" select="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-pathTest-5 or $invalid-pathTest or         $error-usingTS-7) " />
    <xsl:variable name="codes-in-no-domain" select="exists($der-pathTest-codes-5) " />
    <xsl:variable name="display-in-the-domain" select="if ($codes-in-the-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', '), '''')        else '' " />
    <xsl:variable name="display-in-other-r" select="if (exists($invalid-pathTest-codes-r) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-pathTest-codes-r return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-h" select="if (exists($invalid-pathTest-codes-h) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-pathTest-codes-h return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-domain" select="if (not($codes-in-other-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))) then ''        else if ($display-in-other-r and display-in-other-h) then concat('''', $display-in-other-r, ', ', $display-in-other-h, '''')        else if ($display-in-other-r) then concat('''', $display-in-other-r, '''')        else if ($display-in-other-h) then concat('''', $display-in-other-h, '''')        else '' " />
    <xsl:variable name="display-in-no-domain" select="if ($codes-in-no-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', dh:XQueryRecursiveReplace(string-join(for $code in $der-pathTest-codes-5 return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), '; '),          $term-pattern-replacement, 'ic'), '''')        else '' " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))        else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <!--REPORT -->
    <xsl:if test=" matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-pathTest-5) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-pathTest-5)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-PathTest-Defn): An unexpected problem occurred when assessing the value of the Pathology Test Result Group Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. The application of regular expressions resulted in the complete loss of text.
		Report the information below to the Australian Digital Health Agency for investigation.

		der-text-1 '<xsl:text /><xsl:value-of select="normalize-space(dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'))" /><xsl:text />'.
		der-text-2a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-2a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-a, $term-pattern-replacement, 'ic')" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingV-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingV-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-PathTest-Defn): An error was reported when accessing the terminology server when assessing the Pathology Test Result Group Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		Report the issue to the Australian Digital Health Agency for investigation stating the error was recorded for error-usingV-2.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-7 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-7">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-PathTest-Defn): An error was reported when accessing the terminology server when assessing the Pathology Test Result Group Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term:
		'<xsl:text /><xsl:value-of select="$der-text" /><xsl:text />'. The analysis should be retried as the terminology server may have been temporarily unavailable.
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation, stating that the error was found by
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'error-usingTS-1' else if ($error-usingTS-2-a) then 'error-usingTS-2-a'   else if ($error-usingTS-2-b) then 'error-usingTS-2-b' else if ($error-usingTS-2) then 'error-usingTS-2'   else if ($error-usingTS-3) then 'error-usingTS-3' else if ($error-usingTS-4) then 'error-usingTS-4'   else if ($error-usingTS-5) then 'error-usingTS-5' else if ($error-usingTS-6) then 'error-usingTS-6'   else 'error-usingTS-7' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $codes-not-found">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Pathology Test Result Group Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify a group of pathology test results.         (See the definition of the Pathology Test Result Group Name data element in the Structured Content Specification or         CDA Implementation Guide.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$codes-in-other-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$codes-in-other-domain">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Pathology Test Result Group Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value does not seem to be applicable for the data element.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify a group of pathology test results.         (See the definition of the Pathology Test Result Group Name data element in the Structured Content Specification or         CDA Implementation Guide.)')" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Pathology Test Result Group Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify a group of pathology test results.         (See the definition of the Pathology Test Result Group Name data element in the Structured Content Specification or         CDA Implementation Guide.)'))" /><xsl:text />
		The Pathology Test Result Group Name data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Pathology Test Result Group Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify a group of pathology test results.         (See the definition of the Pathology Test Result Group Name data element in the Structured Content Specification or         CDA Implementation Guide.)'))" /><xsl:text />
		The Pathology Test Result Group Name data element must have a value that is consistent with this definition. Alternatively if there is no Pathology Test Result Group Name data element with a proper value then an exclusion
		statement must be included to state why there is no Pathology Test Result Group Name. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4')    then concat('Text such as ''', dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'), ''' may be permitted in the narrative even though the Pathology Test Result Group Name data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Pathology Test Result Group Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify a group of pathology test results.         (See the definition of the Pathology Test Result Group Name data element in the Structured Content Specification or         CDA Implementation Guide.)'))" /><xsl:text />
		The Pathology Test Result Group Name data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($der-text-non-value) and $der-invalid-text ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($der-text-non-value) and $der-invalid-text">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Pathology Test Result Group Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid. <xsl:text /><xsl:value-of select="$defn-invalid-rsn" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify a group of pathology test results.         (See the definition of the Pathology Test Result Group Name data element in the Structured Content Specification or         CDA Implementation Guide.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $invalid-pathTest and not($error-usingTS-7)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$invalid-pathTest and not($error-usingTS-7)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Pathology Test Result Group Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid
		<xsl:text /><xsl:value-of select="if (exists($invalid-pathTest-codes-h)) then concat(' as it describes ', string-join(distinct-values(for $code in tokenize(replace(   dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat('(', string-join(for $code in $invalid-pathTest-codes-h return concat('&gt;&gt;', $code), ' OR '), ') AND (',    string-join(for $hierarchy in $cd-definitions/pathTest/pathTest-invalid/hierarchy return $hierarchy/@code, ' OR '), ')'), '',    string(count($invalid-pathTest-codes-h)), true()), '(\[.*?\])(\||$)', '$2'), '\|') return     $cd-definitions/pathTest/pathTest-invalid/hierarchy[@code = $code]/@description)[position() = (1 to 2)], ' and '), '.')    else if (exists($invalid-pathTest-codes-r)) then concat(' as it describes ', string-join(distinct-values(for $code in $invalid-pathTest-codes-r return   $cd-definitions/pathTest/pathTest-invalid/refset[index-of(for $x in (for $refset in $cd-definitions/pathTest/pathTest-invalid/refset return    dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat($code, ' AND ^', $refset/@code), '', '1', true()), '|') return matches($x, '^[0-9]'), true())[1]]/@description), ' and '), '.')   else '.'" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify a group of pathology test results.         (See the definition of the Pathology Test Result Group Name data element in the Structured Content Specification or         CDA Implementation Guide.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable outside the applicable value domain): The Pathology Test Result Group Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following codes were obtained and are not in the value domain: <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-PathTest-Defn): The Pathology Test Result Group Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU and no associated code was found in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists(($der-NAF-active-codes, $undetermined-NAF-active-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists(($der-NAF-active-codes, $undetermined-NAF-active-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-PathTest-Defn): The Pathology Test Result Group Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-active-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the
		'<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' version of SNOMED CT-AU but it was not found with this status in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU. 
		<xsl:text /><xsl:value-of select="if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $valid-pathTest-1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $valid-pathTest-1">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable within the value domain): The Pathology Test Result Group Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which matches one of the		
		<xsl:text /><xsl:value-of select="if ($valid-pathTest-1a) then 'terms listed in Knowledge.xml' else 'concepts in the RCPA requesting pathology reference set' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($valid-pathTest-1a) then ''    else if (count($rcpa-syn-4) = 1) then concat(' The code found using the RCPA preferred terms and synonyms is ''', $rcpa-syn-4[1], '''.')   else concat(' The codes found using the RCPA preferred terms and synonyms are ''', string-join($rcpa-syn-4, ', '), '''.')" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (concept is codeable within the value domain): The Pathology Test Result Group Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a valid value for the Pathology Test Result Group Name.
		SNOMED CT-AU codes that matched the concept are: <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-pathTest-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-pathTest-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Pathology Test Result Group Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The text used to match regular expression (der-text-2) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to match RCPA terms and non-values (der-text-to-match) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-to-match, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to derive a code (der-text) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.

		<xsl:text /><xsl:value-of select="if ($use-revised-text-1) then concat(' A first revision of the text (der-revised-text-1) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-1, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A first revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-1 != '' and $der-revised-text-1 = '') then ' revision-pattern-1 was applied but the output (der-revised-text-1) was an empty string.' else '' " /><xsl:text />

		The SNOMED CT-AU version used to find codes is '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' and the maximum code number is '<xsl:text /><xsl:value-of select="$max-code-number" /><xsl:text />'.

		Codes for related terms (related-terms-2): '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($related-terms-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes for related terms (der-valid-codes-1): 
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-1, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-pathTest-codes-2) returned by the terminology server that match the text:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-pathTest-codes-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes from related terms or the terminology server (der-valid-codes-2):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-2, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-inactive-codes-3) returned from the Validator's database associated with inactive codes:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-inactive-codes-3, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes found after examining inactive codes (der-valid-codes-3):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-3, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Members of invalid reference sets (invalid-pathTest-codes-r): '<xsl:text /><xsl:value-of select="$display-in-other-r" /><xsl:text />'.
		Members of invalid code hierarchies (invalid-pathTest-codes-h): '<xsl:text /><xsl:value-of select="$display-in-other-h" /><xsl:text />'.

		Final set of valid codes (der-valid-codes-4):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		
		Codes whose validity has not been determined (der-pathTest-codes-5):  <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.
		Codes whose validity has not been determined and are inactive with no associated code (undetermined-NAF): '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(    string-join($undetermined-NAF, ''', '''), $markup-pattern-replacement, 'ic')" /><xsl:text />'.

		Will the value of the data element be trusted (der-trusted-text)? '<xsl:text /><xsl:value-of select="$der-trusted-text" /><xsl:text />'.
		
	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and $codes-not-found">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept not codeable): The Pathology Test Result Group Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($avoid-ts) then 'The terminology server was not used to assist with finding codes corresponding to text in the data element. ' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($error-usingTS-7 or $log-concepts-name = '' or $log-concepts-created = 'ERROR') then ''   else if (dh:AppendLog($log-concepts-name, concat(              $display-creation-date,   $log-tab,         $document-id,    $log-tab,         $document-name,    $log-tab,         iq:location(., ''),   $log-tab,          'Pathology Test Result Group Name',    $log-tab,          'yes',     $log-tab,          concat($display-code, $display-system), $log-tab,          '',     $log-tab,         '',     $log-tab,         '',     $log-tab,         $ts-current-sctau   )) = ('NOTFOUND', 'ERROR'))   then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $prose-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $prose-err">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Pathology Test Result Group Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is invalid as it is prose text.
		The Pathology Test Result Group Name data element is CodeableText derived from the HL7 CD data type which by definition is to record a concept defined in an external code system, terminology or ontology.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify a group of pathology test results.         (See the definition of the Pathology Test Result Group Name data element in the Structured Content Specification or         CDA Implementation Guide.)'))" /><xsl:text />
		This finding will also be reported as an error.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M653" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M653" />
  <xsl:template match="@*|node()" priority="-2" mode="M653">
    <xsl:apply-templates select="@*|*" mode="M653" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-CodeableText-27-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/cda:organizer/   cda:code[@nullFlavor = 'NA'] " priority="1000" mode="M654">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/cda:organizer/   cda:code[@nullFlavor = 'NA'] " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" @nullFlavor ='NA' and count(../cda:component/cda:observation/cda:code) &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor ='NA' and count(../cda:component/cda:observation/cda:code) &gt; 1">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Pathology Test Result Group Name data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. This is an invalid use of that value of nullFlavor attribute.
		<xsl:text /><xsl:value-of select="concat('When a Pathology Test Result Group contains two or more Individual Pathology Test Results it is incorrect to state that a name is',        ' not applicable to the group.')" /><xsl:text /> (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M654" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M654" />
  <xsl:template match="@*|node()" priority="-2" mode="M654">
    <xsl:apply-templates select="@*|*" mode="M654" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-CodeableText-28-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/cda:organizer/   cda:code[(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M655">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/cda:organizer/   cda:code[(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Pathology Test Result Group Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Pathology Test Result Group Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Pathology Test Result Group Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Pathology Test Result Group Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Pathology Test Result Group Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Pathology Test Result Group Name has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Pathology Test Result Group Name data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Pathology Test Result Group Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Pathology Test Result Group Name data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Pathology Test Result Group Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Pathology Test Result Group Name data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Pathology Test Result Group Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Pathology Test Result Group Name data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Pathology Test Result Group Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Pathology Test Result Group Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Pathology Test Result Group Name data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Pathology Test Result Group Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Pathology Test Result Group Name data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Pathology Test Result Group Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Pathology Test Result Group Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Pathology Test Result Group Name data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Pathology Test Result Group Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Pathology Test Result Group Name data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Pathology Test Result Group Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Pathology Test Result Group Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M655" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M655" />
  <xsl:template match="@*|node()" priority="-2" mode="M655">
    <xsl:apply-templates select="@*|*" mode="M655" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-CodeableText-29-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation[not(cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')])]/   cda:code " priority="1000" mode="M656">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation[not(cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')])]/   cda:code " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="family-err" select="cda:originalText and matches(cda:originalText, $family-regex, 'i')" />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; 200" />
    <xsl:variable name="nullFlavor-values" select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Individual Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Individual Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Individual Pathology Test Result Name',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Individual Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		which is derived from the HL7 'CD' data type however  the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Individual Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Individual Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Individual Pathology Test Result Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText should not be included.
		(See the definition of Individual Pathology Test Result Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Individual Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Individual Pathology Test Result Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Individual Pathology Test Result Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Individual Pathology Test Result Name data element must have a value that is consistent with this definition. Alternatively if there is no Individual Pathology Test Result Name data element with a proper value then an exclusion
		statement must be included to state why there is no Individual Pathology Test Result Name.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Individual Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Individual Pathology Test Result Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText should not be included.
		(See the definition of Individual Pathology Test Result Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Individual Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Individual Pathology Test Result Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Individual Pathology Test Result Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Individual Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Individual Pathology Test Result Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Individual Pathology Test Result Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Individual Pathology Test Result Name data element must have a value that is consistent with this definition. Alternatively if there is no Individual Pathology Test Result Name data element with a proper value then an exclusion
		statement must be included to state why there is no Individual Pathology Test Result Name.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Individual Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Individual Pathology Test Result Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Individual Pathology Test Result Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Individual Pathology Test Result Name data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value
		(if a nullFlavor attribute is permitted for this data element). (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Individual Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Individual Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Individual Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Individual Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present and is not expected
		for the CodeableText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Individual Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present and is not expected
		for the CodeableText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(.) != 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Individual Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Individual Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. As a translation element cannot have an originalText
		then a displayName must be present. (See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Individual Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value which is not correct to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Individual Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value
		which is not a correct value to use in this case. The nullFlavor attribute indicates the Individual Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Individual Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a value of nullFlavor 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information provided.
		Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Individual Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Individual Pathology Test Result Name.
		(See the definition of Individual Pathology Test Result Name in the Structured Content Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Individual Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M656" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M656" />
  <xsl:template match="@*|node()" priority="-2" mode="M656">
    <xsl:apply-templates select="@*|*" mode="M656" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-CodeableText-30-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '102.16144' = $doc-sections][$flags/@report-data-quality = 'true']   [cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3']]/   cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation[not(cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')])]/   cda:code[@codeSystem = ('2.16.840.1.113883.6.1', '2.16.840.1.113883.6.96') or cda:translation/@codeSystem = ('2.16.840.1.113883.6.1', '2.16.840.1.113883.6.96')] " priority="1000" mode="M657">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '102.16144' = $doc-sections][$flags/@report-data-quality = 'true']   [cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3']]/   cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation[not(cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')])]/   cda:code[@codeSystem = ('2.16.840.1.113883.6.1', '2.16.840.1.113883.6.96') or cda:translation/@codeSystem = ('2.16.840.1.113883.6.1', '2.16.840.1.113883.6.96')] " />
    <xsl:variable name="codesystemvalues" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.1' and (        @referenceSetID = 'Chemical-Pathology'    or        @referenceSetID = 'Haematology'     or        @referenceSetID = 'Immunopathology'    or        @referenceSetID = 'Microbiology-Serology-Molecular-Pathology' )]" />
    <xsl:variable name="pcodeSystem" select="if (@codeSystem = '2.16.840.1.113883.6.1' or @codeSystem = '2.16.840.1.113883.6.96') then @codeSystem else '' " />
    <xsl:variable name="pcode" select="if (($pcodeSystem = '2.16.840.1.113883.6.1' and matches(@code, $loinc-code-regex, 'i')) or           ($pcodeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)) ) then @code else '' " />
    <xsl:variable name="pnullFlavor" select="if ($pcodeSystem != '' and @nullFlavor) then @nullFlavor else '' " />
    <xsl:variable name="pcode-valid" select="$pcode != '' and (        ($pcodeSystem = '2.16.840.1.113883.6.96' and exists($spia-sctau/system/rcpa[@code = $pcode]))  or        ($pcodeSystem = '2.16.840.1.113883.6.1' and exists($spia-loinc/system/rcpa[@code = $pcode]))   )" />
    <xsl:variable name="ts-ploinc-version" select="if (not($pcodeSystem = '2.16.840.1.113883.6.1')) then ''        else if (not(@codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = current()/@codeSystemVersion])) then @codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="pcode-format-valid" select="$pcodeSystem = '2.16.840.1.113883.6.1' and $pcode != '' and matches($pcode, $loinc-code-regex, 'i') " />
    <xsl:variable name="pcode-validity-test" select="if (not($pcode-format-valid) or $pcode-valid or $pnullFlavor = 'OTH' or not($use-ts-for-loinc) or $pcode = '') then ''        else dh:IsCodeInTerminologyValidUsingTS($pcode, '2.16.840.1.113883.6.1', $ts-ploinc-version) " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $pcode-validity-test " />
    <xsl:variable name="pcode-found-in-loinc" select="$pcode-validity-test = 'CodeFoundActive' or $pcode-validity-test = 'CodeFoundInactive' " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))         else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-60" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-60 else $rating-alt-TC-Types-60 " />
    <xsl:apply-templates select="@*|*" mode="M657" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M657" />
  <xsl:template match="@*|node()" priority="-2" mode="M657">
    <xsl:apply-templates select="@*|*" mode="M657" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-CodeableText-31-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '102.16144' = $doc-sections][cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3']]/   cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation[not(cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')])]/   cda:code[not(@code and @codeSystem and exists(index-of($defn-resPath-trusted, @codeSystem))) or    (@codeSystem = '2.16.840.1.113883.6.1' and @code and not(matches(@code, $loinc-code-regex, 'i')))]   [not(@nullFlavor = $no-value-NF)] " priority="1000" mode="M658">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '102.16144' = $doc-sections][cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3']]/   cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation[not(cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')])]/   cda:code[not(@code and @codeSystem and exists(index-of($defn-resPath-trusted, @codeSystem))) or    (@codeSystem = '2.16.840.1.113883.6.1' and @code and not(matches(@code, $loinc-code-regex, 'i')))]   [not(@nullFlavor = $no-value-NF)] " />
    <xsl:variable name="pcode" select="if ('2.16.840.1.113883.6.1' = $defn-resPath-trusted and         @codeSystem = '2.16.840.1.113883.6.1' and @code and matches(@code, $loinc-code-regex, 'i')) then @code else '' " />
    <xsl:variable name="loinc-trans" select="if ('2.16.840.1.113883.6.1' = $defn-resPath-trusted and cda:translation)         then cda:translation[@codeSystem = '2.16.840.1.113883.6.1' and matches(@code, $loinc-code-regex, 'i')] else ()" />
    <xsl:variable name="tcode" select="if (exists($loinc-trans[1]) and matches($loinc-trans[1]/@code, $loinc-code-regex, 'i')) then $loinc-trans[1]/@code else '' " />
    <xsl:variable name="code-present" select="$pcode != '' or $tcode != '' " />
    <xsl:variable name="invalid-code-system" select="@code and @displayName and @codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="codesystemvalues" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.1']" />
    <xsl:variable name="otext-without-markup" select="if (cda:originalText and cda:originalText != '') then normalize-space(replace(cda:originalText, $markup-regex, ' ')) else '' " />
    <xsl:variable name="pdname" select="if (@displayName and not($invalid-code-system)) then normalize-space(@displayName) else '' " />
    <xsl:variable name="max-code-number" select="if ($knowledge/search-for-term/max-loinc-code-number/@value &gt; '60') then $knowledge/search-for-term/max-loinc-code-number/@value else '60' " />
    <xsl:variable name="der-text-1" select="if ($code-present) then ''         else if ($otext-without-markup != '') then $otext-without-markup        else if ($pdname != '') then $pdname        else '' " />
    <xsl:variable name="der-text-2a" select="if ($der-text-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-text-1, $resPath-fir-pattern-replacement, 'ic')) " />
    <xsl:variable name="der-text-2" select="if ($der-text-2a = '') then $der-text-1 else $der-text-2a " />
    <xsl:variable name="family-err" select="matches($der-text-1, $family-regex, 'i')" />
    <xsl:variable name="length-err" select="string-length($der-text-1) &gt; $length-err-max" />
    <xsl:variable name="avoid-ts" select="$family-err or $length-err or not($use-ts-for-loinc) " />
    <xsl:variable name="der-text-a" select="if ($resPath-replacements = '' or $der-text-2 = '') then normalize-space($der-text-2)        else normalize-space(dh:XQueryRecursiveReplace($der-text-2, $resPath-replacements, 'ic')) " />
    <xsl:variable name="der-text" select="if ($der-text-a = '') then $der-text-2 else $der-text-a " />
    <xsl:variable name="defn-valid-regex" select="concat('(^|\|)', translate($der-text-2, $chars-to-remove, ''), '(\||$)') " />
    <xsl:variable name="der-text-non-value" select="if ($code-present or @nullFlavor = $no-value-NF) then false() else         $der-text-2 = ''             or         not(matches($der-text-2, '[a-z]', 'i'))         or        ($cd-definitions/non-value/@regex != '' and matches($der-text-2, $cd-definitions/non-value/@regex, 'i')) or        (exists($cd-definitions/resPath/@non-value-regex)         and matches($der-text-2, $cd-definitions/resPath/@non-value-regex, 'i'))    " />
    <xsl:variable name="defn-invalid-regex" select="if ($code-present or $der-text-non-value) then ()        else if ($cd-definitions/resPath/@invalid-regex) then tokenize($cd-definitions/resPath/@invalid-regex, '~')[. != '']         else () " />
    <xsl:variable name="defn-invalid-txt-regex" select="(for $i in (1 to count($defn-invalid-regex)) return normalize-space(substring-before($defn-invalid-regex[$i], '[[')))[. != '']" />
    <xsl:variable name="der-invalid-text-regex-1" select="if (exists($defn-invalid-txt-regex))        then index-of(for $i in (1 to count($defn-invalid-txt-regex)) return matches($der-text-2, $defn-invalid-txt-regex[$i], 'i'), true())        else () " />
    <xsl:variable name="der-invalid-text" select="exists($der-invalid-text-regex-1) " />
    <xsl:variable name="defn-invalid-rsn" select="if ($der-invalid-text)         then normalize-space(substring-before(substring-after($defn-invalid-regex[$der-invalid-text-regex-1[1]], '[['), ']]'))         else '' " />
    <xsl:variable name="trusted-code-systems" select="if ($der-text = '' or $der-invalid-text or not(@codeSystem or cda:translation/@codeSystem)) then ()        else (tokenize(replace($cd-definitions/resPath/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/resPath/@extra, '\s+', ''), '\|'))[. != ''] " />
    <xsl:variable name="der-trusted-text" select="if ($der-text = '' or $der-invalid-text or (@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex)))) then false()        else ((@codeSystem and exists($trusted-code-systems[. = current()/@codeSystem])) or               (cda:translation/@codeSystem and exists($trusted-code-systems[. = current()/cda:translation/@codeSystem]))) " />
    <xsl:variable name="valid-resPath-1" select="if ($code-present or $der-text-non-value or $der-invalid-text or not($cd-definitions/resPath/@valid-regex)) then false()        else exists(index-of(for $regex in (tokenize($cd-definitions/resPath/@valid-regex, '~')[. != '']) return          matches($der-text-2, dh:XQueryRecursiveReplace(normalize-space($regex), ' \|~|~\| ~|', ''), 'is'), true())) " />
    <xsl:variable name="valid-resPath-2" select="if ($code-present or $der-text-non-value or $der-invalid-text) then false()        else $valid-resPath-1 or exists($loinc-rcpa-terms[matches(., $defn-valid-regex, 'i')]) " />
    <xsl:variable name="ts-not-needed" select="$der-text = '' or $der-text-non-value or $der-invalid-text or $valid-resPath-2 or $avoid-ts" />
    <xsl:variable name="der-code-1a" select="if ($ts-not-needed) then '' else dh:SearchForTermUsingTS('2.16.840.1.113883.6.1', '', '', $der-text, $max-code-number, false()) " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $der-code-1a " />
    <xsl:variable name="der-code-1b" select="if ($ts-not-needed or $error-usingTS-1) then ()        else tokenize(translate($der-code-1a, codepoints-to-string((38)), ''), '\|')[matches(., '^[0-9]')] " />
    <xsl:variable name="der-revised-text" select="if (exists($der-code-1b) or $error-usingTS-1) then ''        else dh:XQueryRecursiveReplace($der-text, '([0-9])([a-z])~$1 $2~([a-z])([0-9])~$1 $2~ the ~ ', 'ic') " />
    <xsl:variable name="der-code-1-c" select="if ($ts-not-needed or exists($der-code-1b) or $avoid-ts or $der-text = $der-revised-text) then ''        else dh:SearchForTermUsingTS('2.16.840.1.113883.6.1', '', '', $der-revised-text, $max-code-number, false()) " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or 'Error' = $der-code-1-c " />
    <xsl:variable name="der-code-1" select="if ($error-usingTS-2) then ()        else if (exists($der-code-1b)) then $der-code-1b        else if ($der-code-1-c = '') then ()        else tokenize(translate($der-code-1-c, codepoints-to-string((38)), ''), '\|')[matches(., '^[0-9]')] " />
    <xsl:variable name="der-code-num" select="count($der-code-1)" />
    <xsl:variable name="der-code-2" select="for $i in (1 to $der-code-num) return substring-before($der-code-1[$i], '[') " />
    <xsl:variable name="related-terms-1" select="if ($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-resPath-2) then ()        else ($codesystemvalues/code[@related-terms], $codesystemvalues/related-terms[@related-terms]) " />
    <xsl:variable name="related-terms-2" select="index-of(for $concept in $related-terms-1 return         matches(translate($concept/@related-terms, $chars-no-pipe, ''), $defn-valid-regex, 'i'), true()) " />
    <xsl:variable name="related-terms-3" select="for $i in $related-terms-2 return $related-terms-1[$i]/@code " />
    <xsl:variable name="der-code-3" select="distinct-values(($der-code-2, $related-terms-3)) " />
    <xsl:variable name="der-code-refsets" select="if (exists($der-code-3)) then distinct-values(for $der-code in $der-code-3 return $spia-loinc/system[rcpa/@code = $der-code]/@referenceSetID)[. != '']        else () " />
    <xsl:variable name="der-codes-found" select="exists($der-code-3) " />
    <xsl:variable name="der-refsets-found" select="exists($der-code-refsets) " />
    <xsl:variable name="der-invalid-refsets" select="$der-refsets-found and not($der-text-non-value or $der-invalid-text or $valid-resPath-2) and         not(exists(index-of(for $refset in ('Chemical-Pathology', 'Haematology', 'Immunopathology', 'Microbiology-Serology-Molecular-Pathology') return        exists(index-of($der-code-refsets, $refset)), true()))) " />
    <xsl:variable name="valid-resPath-3" select="$valid-resPath-2 or ($der-refsets-found and not($der-invalid-refsets)) " />
    <xsl:variable name="der-code-refsets-msg-1" select="if (not(exists($der-code-refsets))) then ''        else if (count($der-code-refsets) = 1)          then concat(' as ', codepoints-to-string(34), $der-text, codepoints-to-string(34), ' is a ', $der-code-refsets[1])        else concat(' as ', codepoints-to-string(34), $der-text, codepoints-to-string(34),          ' is one of the following: ', string-join($der-code-refsets, ', ')) " />
    <xsl:variable name="der-code-refsets-msg" select="if ($der-code-refsets-msg-1 = '') then ''        else dh:XQueryRecursiveReplace($der-code-refsets-msg-1,    'Chemical-Pathology~chemical pathology~Haematology~haematology~Immunopathology~immunopathology~Microbiology-Serology-Molecular-Pathology~microbiology serology molecular pathology', 'ic') " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))        else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-ResPath-Defn): An error was reported when accessing the terminology server when assessing the Individual Pathology Test Result Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term:
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The analysis should be retried as the terminology server may have been temporarily unavailable.
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation, stating that the error was found by
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'error-usingTS-1' else 'error-usingTS-2' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-resPath-3) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-resPath-3)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-ResPath-Defn): An unexpected problem occurred when assessing the value of the Individual Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. The application of regular expressions resulted in the complete loss of text.
		Report the information below to the Australian Digital Health Agency for investigation.

		der-text-1 '<xsl:text /><xsl:value-of select="normalize-space(dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'))" /><xsl:text />'.
		der-text-2a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-2a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-a, $term-pattern-replacement, 'ic')" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Individual Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the name of an individual pathology test result.         (See section 10.42 of the Event Summary Structured Content Specification v1.2.)'))" /><xsl:text />
		The Individual Pathology Test Result Name data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Individual Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the name of an individual pathology test result.         (See section 10.42 of the Event Summary Structured Content Specification v1.2.)'))" /><xsl:text />
		The Individual Pathology Test Result Name data element must have a value that is consistent with this definition. Alternatively if there is no Individual Pathology Test Result Name data element with a proper value then an exclusion
		statement must be included to state why there is no Individual Pathology Test Result Name. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4')    then concat('Text such as ''', dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'), ''' may be permitted in the narrative even though the Individual Pathology Test Result Name data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Individual Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the name of an individual pathology test result.         (See section 10.42 of the Event Summary Structured Content Specification v1.2.)'))" /><xsl:text />
		The Individual Pathology Test Result Name data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($der-text-non-value) and $der-invalid-text ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($der-text-non-value) and $der-invalid-text">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Individual Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid. <xsl:text /><xsl:value-of select="$defn-invalid-rsn" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the name of an individual pathology test result.         (See section 10.42 of the Event Summary Structured Content Specification v1.2.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and ($valid-resPath-1 or $valid-resPath-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and ($valid-resPath-1 or $valid-resPath-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable within the value domain): The Individual Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($valid-resPath-1) then ' This is one of the values listed in Knowledge.xml for pathology test results.'    else ' Matching LOINC codes were found using the RCPA preferred terms and synonyms.'" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $der-text != '' and not($valid-resPath-3) and not($der-text-non-value or $der-invalid-text) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $der-text != '' and not($valid-resPath-3) and not($der-text-non-value or $der-invalid-text)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Individual Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. The text used to derive a code is 
		<xsl:text /><xsl:value-of select="if ($der-revised-text = '') then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'),    codepoints-to-string(34)) else concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-revised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))" /><xsl:text />.
		The maximum code number is '<xsl:text /><xsl:value-of select="$max-code-number" /><xsl:text />'.
		<xsl:text /><xsl:value-of select="if (not(exists($der-code-1))) then 'No corresponding codes were found.'   else concat('The codes that were obtained are: ''', string-join($der-code-1, '|'), '''.') " /><xsl:text /><xsl:text /><xsl:value-of select="if (not($use-ts-for-loinc)) then ' The Terminology Server could not be used as it does not contain LOINC codes which describe the concepts recommended for this data element.'   else if (not(exists($der-code-2))) then ' No codes returned from the Terminology Server have a synonymous or related term with an exact match to the text.'   else concat(' The following codes returned from the Terminology Server describe a concept with an exact match to the text: ''', string-join($der-code-2, '|'), '''.') " /><xsl:text /><xsl:text /><xsl:value-of select="if (not(exists($related-terms-3))) then concat(' No codes in the CodeSystems.xml file have a related term with an exact match to the text ''',    dh:XQueryRecursiveReplace($der-text-2, $markup-pattern-replacement, 'ic'), '''.')   else concat(' The following codes in the CodeSystems.xml file have a related term with an exact match to the text: ''', string-join($related-terms-3, '|'), '''.') " /><xsl:text /><xsl:text /><xsl:value-of select="if (not(exists($der-code-3))) then ' No codes from any source have a synonymous or related term matching the text.'   else concat(' The following codes describe a concept matching the text: ''', string-join($der-code-3, ', '), '''.') " /><xsl:text /><xsl:text /><xsl:value-of select="if (not(exists($der-code-refsets))) then ' No information was available to verify that the text describes a concept in the value domain.'   else concat(' Do these reference sets include at least one of the reference sets specified for this data element? ', $valid-resPath-3, '.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $der-text != '' and not($der-text-non-value or $der-invalid-text or $der-trusted-text) and not($valid-resPath-3) and    not($der-codes-found) and $use-ts-for-loinc">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $der-text != '' and not($der-text-non-value or $der-invalid-text or $der-trusted-text) and not($valid-resPath-3) and not($der-codes-found) and $use-ts-for-loinc">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Individual Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the name of an individual pathology test result.         (See section 10.42 of the Event Summary Structured Content Specification v1.2.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 10.43 of the Event Summary Structured Content Specification v1.2 and requirement S3.02 in         Standards for Pathology Informatics in Australia (SPIA) v3.0.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $der-text != '' and    not($der-text-non-value or $der-invalid-text or $der-trusted-text) and    not($valid-resPath-3) and $der-codes-found and not($der-refsets-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $der-text != '' and not($der-text-non-value or $der-invalid-text or $der-trusted-text) and not($valid-resPath-3) and $der-codes-found and not($der-refsets-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Individual Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value may not be applicable for the data element. The text
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-1, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))" /><xsl:text /><xsl:text /><xsl:value-of select="if (not(exists($der-code-1))) then ' does not match any of the known values for this data element.'    else ' matches known values but none are members of value domains used in the clinical document specifications.' " /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the name of an individual pathology test result.         (See section 10.42 of the Event Summary Structured Content Specification v1.2.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 10.43 of the Event Summary Structured Content Specification v1.2 and requirement S3.02 in         Standards for Pathology Informatics in Australia (SPIA) v3.0.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and not($der-trusted-text) and $der-invalid-refsets ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and not($der-trusted-text) and $der-invalid-refsets">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Individual Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value does not seem to be applicable for the data element<xsl:text /><xsl:value-of select="$der-code-refsets-msg" /><xsl:text />.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the name of an individual pathology test result.         (See section 10.42 of the Event Summary Structured Content Specification v1.2.)')" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and $der-text != '' and not($valid-resPath-3 or $der-text-non-value or $der-invalid-text) and    not(exists($der-code-1))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and $der-text != '' and not($valid-resPath-3 or $der-text-non-value or $der-invalid-text) and not(exists($der-code-1))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept not codeable): The Individual Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not($use-ts-for-loinc)) then ' The Terminology Server could not be used as it does not contain LOINC codes which describe the concepts recommended for this data element.'   else if ($avoid-ts) then 'The terminology server was not used to find codes corresponding to text in the data element.'   else 'No LOINC codes corresponding to the data element were found using the terminology server.' " /><xsl:text />
		No codes were found using the RCPA preferred terms and synonyms.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and not($valid-resPath-2) and $valid-resPath-3 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and not($valid-resPath-2) and $valid-resPath-3">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (concept is codeable within the value domain): The Individual Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is one of the known values for individual pathology test
		results. <xsl:text /><xsl:value-of select="if (count($der-code-3) = 1) then concat(' The code ''', $der-code-3[1], ''' is a member of the specified reference sets.')   else concat(' The following codes were used to find reference sets: ''', string-join($der-code-3, '; '),     '''. At least one of these codes is a member of the specified reference sets.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and $der-text != '' and not($der-text-non-value or $der-invalid-text) and exists($der-code-1) and   not($valid-resPath-3) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and $der-text != '' and not($der-text-non-value or $der-invalid-text) and exists($der-code-1) and not($valid-resPath-3)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (<xsl:text /><xsl:value-of select="if ($der-invalid-refsets) then 'concept is codeable outside the applicable value domain'   else if ($der-refsets-found and not($der-invalid-refsets))   then 'concept is codeable with the applicable value domain' else 'concept is codeable outside the applicable value domain'" /><xsl:text />):
		The Individual Pathology Test Result Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		LOINC codes corresponding to the data element were found using the terminology server and are
		'<xsl:text /><xsl:value-of select="string-join($der-code-1, '|')" /><xsl:text />'.
		<xsl:text /><xsl:value-of select="if (exists($related-terms-3)) then concat(' Codes from the terminology server were supplemented with codes from the local data file: ''',    string-join($related-terms-3, ', '), '''.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (not(exists($der-code-refsets))) then 'No reference sets were obtained.'   else if ($der-refsets-found and $der-invalid-refsets)    then normalize-space(concat('Reference sets for the best matching codes are: ''', string-join($der-code-refsets, '; '), ''' however the codes are not members of the   reference sets specified for the data element.')) else ' At least one matching code is a member of the reference sets specified for the data element.' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M658" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M658" />
  <xsl:template match="@*|node()" priority="-2" mode="M658">
    <xsl:apply-templates select="@*|*" mode="M658" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-CodeableText-32-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '102.16144' = $doc-sections][$flags/@report-data-quality = 'true']   [not(cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3'])]/   cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation[not(cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')])]/   cda:code[@codeSystem = ('2.16.840.1.113883.6.1', '2.16.840.1.113883.6.96') or  cda:translation/@codeSystem = ('2.16.840.1.113883.6.1', '2.16.840.1.113883.6.96')] " priority="1000" mode="M659">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '102.16144' = $doc-sections][$flags/@report-data-quality = 'true']   [not(cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3'])]/   cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation[not(cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')])]/   cda:code[@codeSystem = ('2.16.840.1.113883.6.1', '2.16.840.1.113883.6.96') or  cda:translation/@codeSystem = ('2.16.840.1.113883.6.1', '2.16.840.1.113883.6.96')] " />
    <xsl:variable name="codesystemvalues" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.1' and (        @referenceSetID = 'Chemical-Pathology'    or        @referenceSetID = 'Haematology'     or        @referenceSetID = 'Immunopathology'    or        @referenceSetID = 'Microbiology-Serology-Molecular-Pathology' )]" />
    <xsl:variable name="pcodeSystem" select="if (@codeSystem = '2.16.840.1.113883.6.1' or @codeSystem = '2.16.840.1.113883.6.96') then @codeSystem else '' " />
    <xsl:variable name="pcode" select="if (($pcodeSystem = '2.16.840.1.113883.6.1' and matches(@code, $loinc-code-regex, 'i')) or           ($pcodeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)) ) then @code else '' " />
    <xsl:variable name="pnullFlavor" select="if ($pcodeSystem != '' and @nullFlavor) then @nullFlavor else '' " />
    <xsl:variable name="pcode-valid" select="$pcode != '' and (        ($pcodeSystem = '2.16.840.1.113883.6.96' and exists($spia-sctau/system/rcpa[@code = $pcode]))  or        ($pcodeSystem = '2.16.840.1.113883.6.1' and exists($spia-loinc/system/rcpa[@code = $pcode]))   )" />
    <xsl:variable name="ts-ploinc-version" select="if (not($pcodeSystem = '2.16.840.1.113883.6.1')) then ''        else if (not(@codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = current()/@codeSystemVersion])) then @codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="pcode-format-valid" select="$pcodeSystem = '2.16.840.1.113883.6.1' and $pcode != '' and matches($pcode, $loinc-code-regex, 'i') " />
    <xsl:variable name="pcode-validity-test" select="if (not($pcode-format-valid) or $pcode-valid or $pnullFlavor = 'OTH' or not($use-ts-for-loinc) or $pcode = '') then ''        else dh:IsCodeInTerminologyValidUsingTS($pcode, '2.16.840.1.113883.6.1', $ts-ploinc-version) " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $pcode-validity-test " />
    <xsl:variable name="pcode-found-in-loinc" select="$pcode-validity-test = 'CodeFoundActive' or $pcode-validity-test = 'CodeFoundInactive' " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))         else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-60" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-60 else $rating-alt-TC-Types-60 " />
    <xsl:apply-templates select="@*|*" mode="M659" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M659" />
  <xsl:template match="@*|node()" priority="-2" mode="M659">
    <xsl:apply-templates select="@*|*" mode="M659" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-CodeableText-33-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '102.16144' = $doc-sections][not(cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3'])]/   cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation[not(cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')])]/   cda:code[not(@code and @codeSystem and exists(index-of($defn-resPath-trusted, @codeSystem))) or   (@codeSystem = '2.16.840.1.113883.6.1' and @code and not(matches(@code, $loinc-code-regex, 'i')))]   [not(@nullFlavor = $no-value-NF)] " priority="1000" mode="M660">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '102.16144' = $doc-sections][not(cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3'])]/   cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation[not(cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')])]/   cda:code[not(@code and @codeSystem and exists(index-of($defn-resPath-trusted, @codeSystem))) or   (@codeSystem = '2.16.840.1.113883.6.1' and @code and not(matches(@code, $loinc-code-regex, 'i')))]   [not(@nullFlavor = $no-value-NF)] " />
    <xsl:variable name="pcode" select="if ('2.16.840.1.113883.6.1' = $defn-resPath-trusted and         @codeSystem = '2.16.840.1.113883.6.1' and @code and matches(@code, $loinc-code-regex, 'i')) then @code else '' " />
    <xsl:variable name="loinc-trans" select="if ('2.16.840.1.113883.6.1' = $defn-resPath-trusted and cda:translation)         then cda:translation[@codeSystem = '2.16.840.1.113883.6.1' and matches(@code, $loinc-code-regex, 'i')] else ()" />
    <xsl:variable name="tcode" select="if (exists($loinc-trans[1]) and matches($loinc-trans[1]/@code, $loinc-code-regex, 'i')) then $loinc-trans[1]/@code else '' " />
    <xsl:variable name="code-present" select="$pcode != '' or $tcode != '' " />
    <xsl:variable name="invalid-code-system" select="@code and @displayName and @codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="codesystemvalues" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.1']" />
    <xsl:variable name="otext-without-markup" select="if (cda:originalText and cda:originalText != '') then normalize-space(replace(cda:originalText, $markup-regex, ' ')) else '' " />
    <xsl:variable name="pdname" select="if (@displayName and not($invalid-code-system)) then normalize-space(@displayName) else '' " />
    <xsl:variable name="max-code-number" select="if ($knowledge/search-for-term/max-loinc-code-number/@value &gt; '60') then $knowledge/search-for-term/max-loinc-code-number/@value else '60' " />
    <xsl:variable name="der-text-1" select="if ($code-present) then ''         else if ($otext-without-markup != '') then $otext-without-markup        else if ($pdname != '') then $pdname        else '' " />
    <xsl:variable name="der-text-2a" select="if ($der-text-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-text-1, $resPath-fir-pattern-replacement, 'ic')) " />
    <xsl:variable name="der-text-2" select="if ($der-text-2a = '') then $der-text-1 else $der-text-2a " />
    <xsl:variable name="family-err" select="matches($der-text-1, $family-regex, 'i')" />
    <xsl:variable name="length-err" select="string-length($der-text-1) &gt; $length-err-max" />
    <xsl:variable name="avoid-ts" select="$family-err or $length-err or not($use-ts-for-loinc) " />
    <xsl:variable name="der-text-a" select="if ($resPath-replacements = '' or $der-text-2 = '') then normalize-space($der-text-2)        else normalize-space(dh:XQueryRecursiveReplace($der-text-2, $resPath-replacements, 'ic')) " />
    <xsl:variable name="der-text" select="if ($der-text-a = '') then $der-text-2 else $der-text-a " />
    <xsl:variable name="defn-valid-regex" select="concat('(^|\|)', translate($der-text-2, $chars-to-remove, ''), '(\||$)') " />
    <xsl:variable name="der-text-non-value" select="if ($code-present or @nullFlavor = $no-value-NF) then false() else         $der-text-2 = ''             or         not(matches($der-text-2, '[a-z]', 'i'))         or        ($cd-definitions/non-value/@regex != '' and matches($der-text-2, $cd-definitions/non-value/@regex, 'i')) or        (exists($cd-definitions/resPath/@non-value-regex)         and matches($der-text-2, $cd-definitions/resPath/@non-value-regex, 'i'))    " />
    <xsl:variable name="defn-invalid-regex" select="if ($code-present or $der-text-non-value) then ()        else if ($cd-definitions/resPath/@invalid-regex) then tokenize($cd-definitions/resPath/@invalid-regex, '~')[. != '']         else () " />
    <xsl:variable name="defn-invalid-txt-regex" select="(for $i in (1 to count($defn-invalid-regex)) return normalize-space(substring-before($defn-invalid-regex[$i], '[[')))[. != '']" />
    <xsl:variable name="der-invalid-text-regex-1" select="if (exists($defn-invalid-txt-regex))        then index-of(for $i in (1 to count($defn-invalid-txt-regex)) return matches($der-text-2, $defn-invalid-txt-regex[$i], 'i'), true())        else () " />
    <xsl:variable name="der-invalid-text" select="exists($der-invalid-text-regex-1) " />
    <xsl:variable name="defn-invalid-rsn" select="if ($der-invalid-text)         then normalize-space(substring-before(substring-after($defn-invalid-regex[$der-invalid-text-regex-1[1]], '[['), ']]'))         else '' " />
    <xsl:variable name="trusted-code-systems" select="if ($der-text = '' or $der-invalid-text or not(@codeSystem or cda:translation/@codeSystem)) then ()        else (tokenize(replace($cd-definitions/resPath/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/resPath/@extra, '\s+', ''), '\|'))[. != ''] " />
    <xsl:variable name="der-trusted-text" select="if ($der-text = '' or $der-invalid-text or (@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex)))) then false()        else ((@codeSystem and exists($trusted-code-systems[. = current()/@codeSystem])) or               (cda:translation/@codeSystem and exists($trusted-code-systems[. = current()/cda:translation/@codeSystem]))) " />
    <xsl:variable name="valid-resPath-1" select="if ($code-present or $der-text-non-value or $der-invalid-text or not($cd-definitions/resPath/@valid-regex)) then false()        else exists(index-of(for $regex in (tokenize($cd-definitions/resPath/@valid-regex, '~')[. != '']) return          matches($der-text-2, dh:XQueryRecursiveReplace(normalize-space($regex), ' \|~|~\| ~|', ''), 'is'), true())) " />
    <xsl:variable name="valid-resPath-2" select="if ($code-present or $der-text-non-value or $der-invalid-text) then false()        else $valid-resPath-1 or exists($loinc-rcpa-terms[matches(., $defn-valid-regex, 'i')]) " />
    <xsl:variable name="ts-not-needed" select="$der-text = '' or $der-text-non-value or $der-invalid-text or $valid-resPath-2 or $avoid-ts" />
    <xsl:variable name="der-code-1a" select="if ($ts-not-needed) then '' else dh:SearchForTermUsingTS('2.16.840.1.113883.6.1', '', '', $der-text, $max-code-number, false()) " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $der-code-1a " />
    <xsl:variable name="der-code-1b" select="if ($ts-not-needed or $error-usingTS-1) then ()        else tokenize(translate($der-code-1a, codepoints-to-string((38)), ''), '\|')[matches(., '^[0-9]')] " />
    <xsl:variable name="der-revised-text" select="if (exists($der-code-1b) or $error-usingTS-1) then ''        else dh:XQueryRecursiveReplace($der-text, '([0-9])([a-z])~$1 $2~([a-z])([0-9])~$1 $2~ the ~ ', 'ic') " />
    <xsl:variable name="der-code-1-c" select="if ($ts-not-needed or exists($der-code-1b) or $avoid-ts or $der-text = $der-revised-text) then ''        else dh:SearchForTermUsingTS('2.16.840.1.113883.6.1', '', '', $der-revised-text, $max-code-number, false()) " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or 'Error' = $der-code-1-c " />
    <xsl:variable name="der-code-1" select="if ($error-usingTS-2) then ()        else if (exists($der-code-1b)) then $der-code-1b        else if ($der-code-1-c = '') then ()        else tokenize(translate($der-code-1-c, codepoints-to-string((38)), ''), '\|')[matches(., '^[0-9]')] " />
    <xsl:variable name="der-code-num" select="count($der-code-1)" />
    <xsl:variable name="der-code-2" select="for $i in (1 to $der-code-num) return substring-before($der-code-1[$i], '[') " />
    <xsl:variable name="related-terms-1" select="if ($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-resPath-2) then ()        else ($codesystemvalues/code[@related-terms], $codesystemvalues/related-terms[@related-terms]) " />
    <xsl:variable name="related-terms-2" select="index-of(for $concept in $related-terms-1 return         matches(translate($concept/@related-terms, $chars-no-pipe, ''), $defn-valid-regex, 'i'), true()) " />
    <xsl:variable name="related-terms-3" select="for $i in $related-terms-2 return $related-terms-1[$i]/@code " />
    <xsl:variable name="der-code-3" select="distinct-values(($der-code-2, $related-terms-3)) " />
    <xsl:variable name="der-code-refsets" select="if (exists($der-code-3)) then distinct-values(for $der-code in $der-code-3 return $spia-loinc/system[rcpa/@code = $der-code]/@referenceSetID)[. != '']        else () " />
    <xsl:variable name="der-codes-found" select="exists($der-code-3) " />
    <xsl:variable name="der-refsets-found" select="exists($der-code-refsets) " />
    <xsl:variable name="der-invalid-refsets" select="$der-refsets-found and not($der-text-non-value or $der-invalid-text or $valid-resPath-2) and         not(exists(index-of(for $refset in ('Chemical-Pathology', 'Haematology', 'Immunopathology', 'Microbiology-Serology-Molecular-Pathology') return        exists(index-of($der-code-refsets, $refset)), true()))) " />
    <xsl:variable name="valid-resPath-3" select="$valid-resPath-2 or ($der-refsets-found and not($der-invalid-refsets)) " />
    <xsl:variable name="der-code-refsets-msg-1" select="if (not(exists($der-code-refsets))) then ''        else if (count($der-code-refsets) = 1)          then concat(' as ', codepoints-to-string(34), $der-text, codepoints-to-string(34), ' is a ', $der-code-refsets[1])        else concat(' as ', codepoints-to-string(34), $der-text, codepoints-to-string(34),          ' is one of the following: ', string-join($der-code-refsets, ', ')) " />
    <xsl:variable name="der-code-refsets-msg" select="if ($der-code-refsets-msg-1 = '') then ''        else dh:XQueryRecursiveReplace($der-code-refsets-msg-1,    'Chemical-Pathology~chemical pathology~Haematology~haematology~Immunopathology~immunopathology~Microbiology-Serology-Molecular-Pathology~microbiology serology molecular pathology', 'ic') " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))        else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-ResPath-Defn): An error was reported when accessing the terminology server when assessing the Individual Pathology Test Result Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term:
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The analysis should be retried as the terminology server may have been temporarily unavailable.
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation, stating that the error was found by
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'error-usingTS-1' else 'error-usingTS-2' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-resPath-3) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-resPath-3)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-ResPath-Defn): An unexpected problem occurred when assessing the value of the Individual Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. The application of regular expressions resulted in the complete loss of text.
		Report the information below to the Australian Digital Health Agency for investigation.

		der-text-1 '<xsl:text /><xsl:value-of select="normalize-space(dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'))" /><xsl:text />'.
		der-text-2a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-2a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-a, $term-pattern-replacement, 'ic')" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Individual Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the name of an individual pathology test result.         (See the definition in the Structured Content Specification.)'))" /><xsl:text />
		The Individual Pathology Test Result Name data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Individual Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the name of an individual pathology test result.         (See the definition in the Structured Content Specification.)'))" /><xsl:text />
		The Individual Pathology Test Result Name data element must have a value that is consistent with this definition. Alternatively if there is no Individual Pathology Test Result Name data element with a proper value then an exclusion
		statement must be included to state why there is no Individual Pathology Test Result Name. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4')    then concat('Text such as ''', dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'), ''' may be permitted in the narrative even though the Individual Pathology Test Result Name data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Individual Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the name of an individual pathology test result.         (See the definition in the Structured Content Specification.)'))" /><xsl:text />
		The Individual Pathology Test Result Name data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($der-text-non-value) and $der-invalid-text ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($der-text-non-value) and $der-invalid-text">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Individual Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid. <xsl:text /><xsl:value-of select="$defn-invalid-rsn" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the name of an individual pathology test result.         (See the definition in the Structured Content Specification.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and ($valid-resPath-1 or $valid-resPath-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and ($valid-resPath-1 or $valid-resPath-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable within the value domain): The Individual Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($valid-resPath-1) then ' This is one of the values listed in Knowledge.xml for pathology test results.'    else ' Matching LOINC codes were found using the RCPA preferred terms and synonyms.'" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $der-text != '' and not($valid-resPath-3) and not($der-text-non-value or $der-invalid-text) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $der-text != '' and not($valid-resPath-3) and not($der-text-non-value or $der-invalid-text)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Individual Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. The text used to derive a code is 
		<xsl:text /><xsl:value-of select="if ($der-revised-text = '') then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'),    codepoints-to-string(34)) else concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-revised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))" /><xsl:text />.
		The maximum code number is '<xsl:text /><xsl:value-of select="$max-code-number" /><xsl:text />'.
		<xsl:text /><xsl:value-of select="if (not(exists($der-code-1))) then 'No corresponding codes were found.'   else concat('The codes that were obtained are: ''', string-join($der-code-1, '|'), '''.') " /><xsl:text /><xsl:text /><xsl:value-of select="if (not($use-ts-for-loinc)) then ' The Terminology Server could not be used as it does not contain LOINC codes which describe the concepts recommended for this data element.'   else if (not(exists($der-code-2))) then ' No codes returned from the Terminology Server have a synonymous or related term with an exact match to the text.'   else concat(' The following codes returned from the Terminology Server describe a concept with an exact match to the text: ''', string-join($der-code-2, '|'), '''.') " /><xsl:text /><xsl:text /><xsl:value-of select="if (not(exists($related-terms-3))) then concat(' No codes in the CodeSystems.xml file have a related term with an exact match to the text ''',    dh:XQueryRecursiveReplace($der-text-2, $markup-pattern-replacement, 'ic'), '''.')   else concat(' The following codes in the CodeSystems.xml file have a related term with an exact match to the text: ''', string-join($related-terms-3, '|'), '''.') " /><xsl:text /><xsl:text /><xsl:value-of select="if (not(exists($der-code-3))) then ' No codes from any source have a synonymous or related term matching the text.'   else concat(' The following codes describe a concept matching the text: ''', string-join($der-code-3, ', '), '''.') " /><xsl:text /><xsl:text /><xsl:value-of select="if (not(exists($der-code-refsets))) then ' No information was available to verify that the text describes a concept in the value domain.'   else concat(' Do these reference sets include at least one of the reference sets specified for this data element? ', $valid-resPath-3, '.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $der-text != '' and not($der-text-non-value or $der-invalid-text or $der-trusted-text) and not($valid-resPath-3) and    not($der-codes-found) and $use-ts-for-loinc">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $der-text != '' and not($der-text-non-value or $der-invalid-text or $der-trusted-text) and not($valid-resPath-3) and not($der-codes-found) and $use-ts-for-loinc">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Individual Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the name of an individual pathology test result.         (See the definition in the Structured Content Specification.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.18 of the Pathology Test Result Detailed Clinical Model Specification Version 3.2 and         requirement S3.02 in Standards for Pathology Informatics in Australia (SPIA) v3.0.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $der-text != '' and    not($der-text-non-value or $der-invalid-text or $der-trusted-text) and    not($valid-resPath-3) and $der-codes-found and not($der-refsets-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $der-text != '' and not($der-text-non-value or $der-invalid-text or $der-trusted-text) and not($valid-resPath-3) and $der-codes-found and not($der-refsets-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Individual Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value may not be applicable for the data element. The text
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-1, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))" /><xsl:text /><xsl:text /><xsl:value-of select="if (not(exists($der-code-1))) then ' does not match any of the known values for this data element.'    else ' matches known values but none are members of value domains used in the clinical document specifications.' " /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the name of an individual pathology test result.         (See the definition in the Structured Content Specification.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.18 of the Pathology Test Result Detailed Clinical Model Specification Version 3.2 and         requirement S3.02 in Standards for Pathology Informatics in Australia (SPIA) v3.0.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and not($der-trusted-text) and $der-invalid-refsets ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and not($der-trusted-text) and $der-invalid-refsets">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Individual Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value does not seem to be applicable for the data element<xsl:text /><xsl:value-of select="$der-code-refsets-msg" /><xsl:text />.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the name of an individual pathology test result.         (See the definition in the Structured Content Specification.)')" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and $der-text != '' and not($valid-resPath-3 or $der-text-non-value or $der-invalid-text) and    not(exists($der-code-1))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and $der-text != '' and not($valid-resPath-3 or $der-text-non-value or $der-invalid-text) and not(exists($der-code-1))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept not codeable): The Individual Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not($use-ts-for-loinc)) then ' The Terminology Server could not be used as it does not contain LOINC codes which describe the concepts recommended for this data element.'   else if ($avoid-ts) then 'The terminology server was not used to find codes corresponding to text in the data element.'   else 'No LOINC codes corresponding to the data element were found using the terminology server.' " /><xsl:text />
		No codes were found using the RCPA preferred terms and synonyms.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and not($valid-resPath-2) and $valid-resPath-3 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and not($valid-resPath-2) and $valid-resPath-3">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (concept is codeable within the value domain): The Individual Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is one of the known values for individual pathology test
		results. <xsl:text /><xsl:value-of select="if (count($der-code-3) = 1) then concat(' The code ''', $der-code-3[1], ''' is a member of the specified reference sets.')   else concat(' The following codes were used to find reference sets: ''', string-join($der-code-3, '; '),     '''. At least one of these codes is a member of the specified reference sets.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and $der-text != '' and not($der-text-non-value or $der-invalid-text) and exists($der-code-1) and   not($valid-resPath-3) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and $der-text != '' and not($der-text-non-value or $der-invalid-text) and exists($der-code-1) and not($valid-resPath-3)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (<xsl:text /><xsl:value-of select="if ($der-invalid-refsets) then 'concept is codeable outside the applicable value domain'   else if ($der-refsets-found and not($der-invalid-refsets))   then 'concept is codeable with the applicable value domain' else 'concept is codeable outside the applicable value domain'" /><xsl:text />):
		The Individual Pathology Test Result Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		LOINC codes corresponding to the data element were found using the terminology server and are
		'<xsl:text /><xsl:value-of select="string-join($der-code-1, '|')" /><xsl:text />'.
		<xsl:text /><xsl:value-of select="if (exists($related-terms-3)) then concat(' Codes from the terminology server were supplemented with codes from the local data file: ''',    string-join($related-terms-3, ', '), '''.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (not(exists($der-code-refsets))) then 'No reference sets were obtained.'   else if ($der-refsets-found and $der-invalid-refsets)    then normalize-space(concat('Reference sets for the best matching codes are: ''', string-join($der-code-refsets, '; '), ''' however the codes are not members of the   reference sets specified for the data element.')) else ' At least one matching code is a member of the reference sets specified for the data element.' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M660" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M660" />
  <xsl:template match="@*|node()" priority="-2" mode="M660">
    <xsl:apply-templates select="@*|*" mode="M660" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-CodeableText-34-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/cda:organizer/   cda:component/cda:observation[not(cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')])]/   cda:code[(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M661">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/cda:organizer/   cda:component/cda:observation[not(cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')])]/   cda:code[(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Individual Pathology Test Result Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Individual Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Individual Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Individual Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Individual Pathology Test Result Name has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Individual Pathology Test Result Name data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Individual Pathology Test Result Name data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Individual Pathology Test Result Name data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Individual Pathology Test Result Name data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Individual Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Individual Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Individual Pathology Test Result Name data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NASK', 'NAV', 'UNK', 'NA') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NASK', 'NAV', 'UNK', 'NA') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Individual Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Individual Pathology Test Result Name data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Individual Pathology Test Result Name data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Individual Pathology Test Result Name data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M661" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M661" />
  <xsl:template match="@*|node()" priority="-2" mode="M661">
    <xsl:apply-templates select="@*|*" mode="M661" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-CodeableText-35-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101'and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/cda:organizer/   cda:component/cda:observation/cda:interpretationCode " priority="1000" mode="M662">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101'and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/cda:organizer/   cda:component/cda:observation/cda:interpretationCode " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Test Result Normal Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and true() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and true() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Test Result Normal Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Test Result Normal Status',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Test Result Normal Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Test Result Normal Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Result Normal Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Test Result Normal Status however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Test Result Normal Status in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Test Result Normal Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Test Result Normal Status however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Test Result Normal Status in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Test Result Normal Status data element must have a value that is consistent with this definition. Alternatively if there is no Test Result Normal Status data element with a proper value then an exclusion
		statement must be included to state why there is no Test Result Normal Status.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Result Normal Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Test Result Normal Status however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Test Result Normal Status in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Result Normal Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Test Result Normal Status however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Test Result Normal Status in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Test Result Normal Status data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Test Result Normal Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Test Result Normal Status however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Test Result Normal Status in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Test Result Normal Status data element must have a value that is consistent with this definition. Alternatively if there is no Test Result Normal Status data element with a proper value then an exclusion
		statement must be included to state why there is no Test Result Normal Status.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Result Normal Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Test Result Normal Status however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Test Result Normal Status in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Test Result Normal Status data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Result Normal Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result Normal Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result Normal Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result Normal Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result Normal Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Test Result Normal Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Test Result Normal Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Result Normal Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Result Normal Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Test Result Normal Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Result Normal Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Result Normal Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Test Result Normal Status.
		(See the definition of Test Result Normal Status in the Structured Content Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Test Result Normal Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M662" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M662" />
  <xsl:template match="@*|node()" priority="-2" mode="M662">
    <xsl:apply-templates select="@*|*" mode="M662" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-CodeableText-36-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101'and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/cda:organizer/   cda:component/cda:observation/cda:interpretationCode[(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))]   [not((cda:originalText and matches(cda:originalText, '^\s*normal\s*$', 'is')) or (@codeSystem = '2.16.840.1.113883.5.83' and @code = 'N'))] " priority="1000" mode="M663">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101'and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/cda:organizer/   cda:component/cda:observation/cda:interpretationCode[(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))]   [not((cda:originalText and matches(cda:originalText, '^\s*normal\s*$', 'is')) or (@codeSystem = '2.16.840.1.113883.5.83' and @code = 'N'))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Test Result Normal Status '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Test Result Normal Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Test Result Normal Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Test Result Normal Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Result Normal Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Test Result Normal Status has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Test Result Normal Status data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Result Normal Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Test Result Normal Status data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Result Normal Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Test Result Normal Status data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Result Normal Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Test Result Normal Status data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Test Result Normal Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Result Normal Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Test Result Normal Status data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Test Result Normal Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Test Result Normal Status data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Result Normal Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Result Normal Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Test Result Normal Status data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Result Normal Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Test Result Normal Status data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Result Normal Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Result Normal Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M663" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M663" />
  <xsl:template match="@*|node()" priority="-2" mode="M663">
    <xsl:apply-templates select="@*|*" mode="M663" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-CodeableText-37-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/   cda:entryRelationship/cda:organizer/cda:component/cda:observation/cda:referenceRange/cda:observationRange/cda:code  " priority="1000" mode="M664">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/   cda:entryRelationship/cda:organizer/cda:component/cda:observation/cda:referenceRange/cda:observationRange/cda:code  " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Test Result Reference Range Meaning '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and true() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and true() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Test Result Reference Range Meaning '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Test Result Reference Range Meaning',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Test Result Reference Range Meaning '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Test Result Reference Range Meaning '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Result Reference Range Meaning
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Test Result Reference Range Meaning however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Test Result Reference Range Meaning in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Test Result Reference Range Meaning
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Test Result Reference Range Meaning however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Test Result Reference Range Meaning in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Test Result Reference Range Meaning data element must have a value that is consistent with this definition. Alternatively if there is no Test Result Reference Range Meaning data element with a proper value then an exclusion
		statement must be included to state why there is no Test Result Reference Range Meaning.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Result Reference Range Meaning
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Test Result Reference Range Meaning however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Test Result Reference Range Meaning in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Result Reference Range Meaning
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Test Result Reference Range Meaning however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Test Result Reference Range Meaning in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Test Result Reference Range Meaning data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Test Result Reference Range Meaning
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Test Result Reference Range Meaning however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Test Result Reference Range Meaning in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Test Result Reference Range Meaning data element must have a value that is consistent with this definition. Alternatively if there is no Test Result Reference Range Meaning data element with a proper value then an exclusion
		statement must be included to state why there is no Test Result Reference Range Meaning.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Result Reference Range Meaning
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Test Result Reference Range Meaning however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Test Result Reference Range Meaning in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Test Result Reference Range Meaning data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Result Reference Range Meaning '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result Reference Range Meaning
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result Reference Range Meaning
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result Reference Range Meaning '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result Reference Range Meaning '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Test Result Reference Range Meaning '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Test Result Reference Range Meaning '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Result Reference Range Meaning '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Result Reference Range Meaning '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Test Result Reference Range Meaning
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Result Reference Range Meaning '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Result Reference Range Meaning '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Test Result Reference Range Meaning.
		(See the definition of Test Result Reference Range Meaning in the Structured Content Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Test Result Reference Range Meaning '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M664" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M664" />
  <xsl:template match="@*|node()" priority="-2" mode="M664">
    <xsl:apply-templates select="@*|*" mode="M664" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-CodeableText-38-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/   cda:entryRelationship/cda:organizer/cda:component/cda:observation/cda:referenceRange/cda:observationRange/cda:code   [not(normalize-space(cda:originalText) != '' and not(@codeSystem) and (cda:originalText castable as xs:double or (      (matches(cda:originalText, $number-regex, 'is') or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~'))))]   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))]   [not(matches(cda:originalText, '(normal|normal range|reference range)', 'is') or matches(@displayName, '(normal|normal range|reference range)', 'is') or   (@codeSystem = '2.16.840.1.113883.6.96' and @code = '260395002'))] " priority="1000" mode="M665">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/   cda:entryRelationship/cda:organizer/cda:component/cda:observation/cda:referenceRange/cda:observationRange/cda:code   [not(normalize-space(cda:originalText) != '' and not(@codeSystem) and (cda:originalText castable as xs:double or (      (matches(cda:originalText, $number-regex, 'is') or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~'))))]   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))]   [not(matches(cda:originalText, '(normal|normal range|reference range)', 'is') or matches(@displayName, '(normal|normal range|reference range)', 'is') or   (@codeSystem = '2.16.840.1.113883.6.96' and @code = '260395002'))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Test Result Reference Range Meaning '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Test Result Reference Range Meaning
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Test Result Reference Range Meaning
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Test Result Reference Range Meaning
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Result Reference Range Meaning
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Test Result Reference Range Meaning has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Test Result Reference Range Meaning data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Result Reference Range Meaning
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Test Result Reference Range Meaning data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Result Reference Range Meaning
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Test Result Reference Range Meaning data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Result Reference Range Meaning
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Test Result Reference Range Meaning data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Test Result Reference Range Meaning
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Result Reference Range Meaning
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Test Result Reference Range Meaning data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Test Result Reference Range Meaning
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Test Result Reference Range Meaning data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Result Reference Range Meaning
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Result Reference Range Meaning
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Test Result Reference Range Meaning data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Result Reference Range Meaning
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Test Result Reference Range Meaning data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Result Reference Range Meaning
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Result Reference Range Meaning
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M665" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M665" />
  <xsl:template match="@*|node()" priority="-2" mode="M665">
    <xsl:apply-templates select="@*|*" mode="M665" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-CodeableText-39-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')]]/cda:specimen/cda:specimenRole/cda:specimenPlayingEntity/cda:code " priority="1000" mode="M666">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')]]/cda:specimen/cda:specimenRole/cda:specimenPlayingEntity/cda:code " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Test Result - Specimen Tissue Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and true() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and true() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Test Result - Specimen Tissue Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Test Result - Specimen Tissue Type',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Test Result - Specimen Tissue Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Test Result - Specimen Tissue Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Result - Specimen Tissue Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Test Result - Specimen Tissue Type however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Test Result - Specimen Tissue Type in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Test Result - Specimen Tissue Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Test Result - Specimen Tissue Type however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Test Result - Specimen Tissue Type in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Test Result - Specimen Tissue Type data element must have a value that is consistent with this definition. Alternatively if there is no Test Result - Specimen Tissue Type data element with a proper value then an exclusion
		statement must be included to state why there is no Test Result - Specimen Tissue Type.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Result - Specimen Tissue Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Test Result - Specimen Tissue Type however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Test Result - Specimen Tissue Type in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Result - Specimen Tissue Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Test Result - Specimen Tissue Type however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Test Result - Specimen Tissue Type in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Test Result - Specimen Tissue Type data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Test Result - Specimen Tissue Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Test Result - Specimen Tissue Type however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Test Result - Specimen Tissue Type in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Test Result - Specimen Tissue Type data element must have a value that is consistent with this definition. Alternatively if there is no Test Result - Specimen Tissue Type data element with a proper value then an exclusion
		statement must be included to state why there is no Test Result - Specimen Tissue Type.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Result - Specimen Tissue Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Test Result - Specimen Tissue Type however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Test Result - Specimen Tissue Type in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Test Result - Specimen Tissue Type data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Result - Specimen Tissue Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result - Specimen Tissue Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result - Specimen Tissue Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result - Specimen Tissue Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result - Specimen Tissue Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Test Result - Specimen Tissue Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Test Result - Specimen Tissue Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Result - Specimen Tissue Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Result - Specimen Tissue Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Test Result - Specimen Tissue Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Result - Specimen Tissue Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Result - Specimen Tissue Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Test Result - Specimen Tissue Type.
		(See the definition of Test Result - Specimen Tissue Type in the Structured Content Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Test Result - Specimen Tissue Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M666" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M666" />
  <xsl:template match="@*|node()" priority="-2" mode="M666">
    <xsl:apply-templates select="@*|*" mode="M666" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-CodeableText-40-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')]]/cda:specimen/cda:specimenRole/cda:specimenPlayingEntity/cda:code[(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-specimen-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])]   [not(@nullFlavor = $no-value-NF)] " priority="1000" mode="M667">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')]]/cda:specimen/cda:specimenRole/cda:specimenPlayingEntity/cda:code[(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-specimen-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])]   [not(@nullFlavor = $no-value-NF)] " />
    <xsl:variable name="pcode" select="if ('2.16.840.1.113883.6.96' = $defn-specimen-trusted and         @codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="snomed-trans" select="if ('2.16.840.1.113883.6.96' = $defn-specimen-trusted and cda:translation)         then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="tcode" select="if (exists($snomed-trans[1]) and matches($snomed-trans[1]/@code, $snomed-code-regex)) then $snomed-trans[1]/@code else '' " />
    <xsl:variable name="code-present" select="$pcode != '' or $tcode != '' " />
    <xsl:variable name="invalid-code-system" select="@code and @displayName and @codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="codesystemvalues" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']" />
    <xsl:variable name="hl7-specimen-type" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.5.129']" />
    <xsl:variable name="otext-without-markup" select="if (cda:originalText and cda:originalText != '') then normalize-space(replace(cda:originalText, $markup-regex, ' ')) else '' " />
    <xsl:variable name="pdname" select="if (@displayName and not($invalid-code-system)) then normalize-space(@displayName) else '' " />
    <xsl:variable name="max-code-number" select="if ($knowledge/search-for-term/max-sct-code-number/@value &gt; '5') then $knowledge/search-for-term/max-sct-code-number/@value else '5' " />
    <xsl:variable name="der-text-1" select="if ($code-present) then ''         else if ($otext-without-markup != '') then $otext-without-markup        else if ($pdname != '') then $pdname        else '' " />
    <xsl:variable name="family-err" select="matches($der-text-1, $family-regex, 'i')" />
    <xsl:variable name="length-err" select="string-length($der-text-1) &gt; $length-err-max" />
    <xsl:variable name="avoid-ts" select="$family-err or $length-err or not($use-ts-for-sctau) " />
    <xsl:variable name="der-text-2a" select="if ($der-text-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-text-1, $specimen-fir-pattern-replacement, 'ic')) " />
    <xsl:variable name="der-text-2" select="if ($der-text-2a = '') then $der-text-1 else $der-text-2a " />
    <xsl:variable name="der-text-a" select="if ($der-text-2 = '' or $specimen-replacements = '') then $der-text-2        else normalize-space(dh:XQueryRecursiveReplace($der-text-2, $specimen-replacements, 'ic')) " />
    <xsl:variable name="der-text" select="if ($der-text-a = '') then $der-text-2 else $der-text-a " />
    <xsl:variable name="defn-valid-regex" select="concat('(^|\|)', translate($der-text-2, $chars-to-remove, ''), '(\||$)') " />
    <xsl:variable name="der-text-to-match-1" select="lower-case($der-text-2) " />
    <xsl:variable name="der-text-to-match" select="translate($der-text-to-match-1, $chars-to-remove, '') " />
    <xsl:variable name="der-text-non-value" select="if ($code-present or @nullFlavor = $no-value-NF) then false() else         $der-text-to-match = ''              or         not(matches($der-text-to-match, '[a-z]', 'is'))           or        ($cd-definitions/non-value/@regex != '' and matches($der-text-to-match, $cd-definitions/non-value/@regex, 'is'))  or        (exists($cd-definitions/specimen/@non-value-regex) and matches($der-text-to-match, $cd-definitions/specimen/@non-value-regex, 'is')) " />
    <xsl:variable name="defn-invalid-regex" select="if ($code-present or $der-text-non-value) then ()        else if ($cd-definitions/specimen/@invalid-regex) then tokenize($cd-definitions/specimen/@invalid-regex, '~')[. != '']         else () " />
    <xsl:variable name="defn-invalid-txt-regex" select="(for $i in (1 to count($defn-invalid-regex)) return normalize-space(substring-before($defn-invalid-regex[$i], '[[')))[. != '']" />
    <xsl:variable name="der-invalid-text-regex-1" select="if (exists($defn-invalid-txt-regex))        then index-of(for $i in (1 to count($defn-invalid-txt-regex)) return matches($der-text-2, $defn-invalid-txt-regex[$i], 'i'), true())        else () " />
    <xsl:variable name="der-invalid-text" select="exists($der-invalid-text-regex-1) " />
    <xsl:variable name="defn-invalid-rsn" select="if ($der-invalid-text)         then normalize-space(substring-before(substring-after($defn-invalid-regex[$der-invalid-text-regex-1[1]], '[['), ']]'))         else '' " />
    <xsl:variable name="trusted-code-systems" select="if ($der-text = '' or $der-invalid-text or not(@codeSystem or cda:translation/@codeSystem)) then ()        else (tokenize(replace($cd-definitions/specimen/@core, '\s+', ''), '\|'),          tokenize(replace($cd-definitions/specimen/@extra, '\s+', ''), '\|'))[. != ''] " />
    <xsl:variable name="der-trusted-text" select="if ($der-text = '' or $der-invalid-text or (@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex)))) then false()        else ((@codeSystem and exists($trusted-code-systems[. = current()/@codeSystem])) or               (cda:translation/@codeSystem and exists($trusted-code-systems[. = current()/cda:translation/@codeSystem]))) " />
    <xsl:variable name="valid-specimen-1a" select="if ($code-present or $der-text-non-value or $der-invalid-text or not($cd-definitions/specimen/@valid-regex)) then false()        else exists(index-of(for $regex in (tokenize($cd-definitions/specimen/@valid-regex, '~')[. != '']) return          matches($der-text-2, dh:XQueryRecursiveReplace(normalize-space($regex), ' \|~|~\| ~|', ''), 'is'), true())) " />
    <xsl:variable name="valid-specimen-1b" select="if ($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-specimen-1a) then false()        else exists(index-of(for $concept in $hl7-specimen-type/code return           matches($concept/@code, $defn-valid-regex, 'i')      or           matches(translate($concept/@displayName, $chars-no-pipe, ''), $defn-valid-regex, 'i')  or           matches(translate($concept/@synonyms, $chars-no-pipe, ''), $defn-valid-regex, 'i') , true())) " />
    <xsl:variable name="valid-specimen-1" select="$valid-specimen-1a or $valid-specimen-1b " />
    <xsl:variable name="invalid-hierarchy" select="if (exists($cd-definitions/specimen/specimen-invalid/hierarchy))         then string-join(for $hierarchy in $cd-definitions/specimen/specimen-invalid/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-refset" select="if (exists($cd-definitions/specimen/specimen-invalid/refset))          then string-join(for $refset in $cd-definitions/specimen/specimen-invalid/refset return concat('^', $refset/@code), ' OR ')         else '' " />
    <xsl:variable name="valid-refset" select="'^4021000036102 OR ^32570191000036104' " />
    <xsl:variable name="valid-domain" select="if ($invalid-refset != '' and $invalid-hierarchy != '')         then concat('((', $valid-refset, ') MINUS (', $invalid-refset, ' OR (', $invalid-hierarchy, ')))')        else if ($invalid-refset = '' and $invalid-hierarchy != '') then concat('((', $valid-refset, ') MINUS (', $invalid-hierarchy, '))')         else if ($invalid-refset != '' and $invalid-hierarchy = '') then concat('((', $valid-refset, ') MINUS (', $invalid-refset, '))')        else concat('(', $valid-refset, ')') " />
    <xsl:variable name="related-terms-1" select="if ($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-specimen-1) then ()        else ($codesystemvalues/code[@related-terms], $codesystemvalues/related-terms[@related-terms]) " />
    <xsl:variable name="related-terms-2" select="for $i in index-of(        for $concept in $related-terms-1 return matches(translate($concept/@related-terms, $chars-no-pipe, ''), $defn-valid-regex, 'i'), true())         return $related-terms-1[$i]/@code " />
    <xsl:variable name="der-specimen-codes-1" select="if (exists($related-terms-2)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($related-terms-2, ' OR '), ') AND ', $valid-domain), '', string(count($related-terms-2)), false())        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $der-specimen-codes-1 " />
    <xsl:variable name="der-valid-codes-1" select="if (contains($der-specimen-codes-1, '[')) then $der-specimen-codes-1 else '' " />
    <xsl:variable name="valid-specimen-2" select="$valid-specimen-1 or $der-valid-codes-1 != '' " />
    <xsl:variable name="specimen-inactive-refSets" select="if (exists($cd-definitions/specimen/specimen-invalid/inactive-refset))         then concat('((', $inactive-refSets, ') MINUS (',           string-join(for $refset in $cd-definitions/specimen/specimen-invalid/inactive-refset return concat('^', $refset/@code), ' OR '),          '))')         else $inactive-refSets " />
    <xsl:variable name="formula" select="concat($valid-domain, ' OR ', $specimen-inactive-refSets) " />
    <xsl:variable name="ts-not-needed" select="$der-text = '' or $der-text-non-value or $der-invalid-text or $valid-specimen-2 or $avoid-ts " />
    <xsl:variable name="der-specimen-codes-2" select="if ($ts-not-needed or exists($related-terms-2)) then ()         else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-text,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or 'Error' = $der-specimen-codes-2 " />
    <xsl:variable name="der-valid-codes-2" select="if ($der-valid-codes-1 != '') then $der-valid-codes-1        else if ($error-usingTS-2) then ''         else string-join((for $code in $der-specimen-codes-2 return if (contains($code, '~inactive')) then '' else $code)[. != ''], '|')  " />
    <xsl:variable name="valid-specimen-3" select="$valid-specimen-2 or $der-valid-codes-2 != '' " />
    <xsl:variable name="der-inactive-codes-1" select="if ($valid-specimen-3) then () else        for $code in $der-specimen-codes-2 return if (contains($code, '~inactive')) then replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is') else '' " />
    <xsl:variable name="der-inactive-codes-2" select="for $i in (1 to count($der-inactive-codes-1)) return         dh:IsCodeAssociatedWithAnotherCode($der-inactive-codes-1[$i], '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-1" select="'Error' = $der-inactive-codes-2 " />
    <xsl:variable name="der-NAF-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-NAF-active-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound~active')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-inactive-codes-3" select="tokenize(string-join(for $i in (1 to count($der-inactive-codes-1)) return replace(string-join(tokenize($der-inactive-codes-2[$i], '\|')        [matches(., '(REPLACED BY|SAME AS|ALTERNATIVE|POSSIBLY EQUIVALENT TO|MAY BE A|WAS A)')], '|'), '[0-9]+~[A-Z ]+~([0-9]+)', '$1'), '|'), '\|')        [. != ''] " />
    <xsl:variable name="der-specimen-codes-3" select="if (exists($der-inactive-codes-3)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($der-inactive-codes-3, ' OR '), ') AND ', $valid-domain), '', string(count($der-inactive-codes-3)), false())          else '' " />
    <xsl:variable name="error-usingTS-3" select="$error-usingTS-2 or 'Error' = $der-specimen-codes-3 " />
    <xsl:variable name="der-valid-codes-3" select="if ($der-valid-codes-2 != '') then $der-valid-codes-2        else if (contains($der-specimen-codes-3, '[')) then $der-specimen-codes-3        else '' " />
    <xsl:variable name="valid-specimen-4" select="$valid-specimen-3 or $der-valid-codes-3 != '' " />
    <xsl:variable name="invalid-domain" select="if ($invalid-hierarchy != '' and $invalid-refset != '') then concat($invalid-hierarchy, ' OR ', $invalid-refset)        else if ($invalid-hierarchy != '') then $invalid-hierarchy        else if ($invalid-refset != '') then $invalid-refset        else '' " />
    <xsl:variable name="der-specimen-codes-4" select="if ($ts-not-needed or $valid-specimen-4 or $invalid-domain = '') then ()        else if (exists($related-terms-2)) then $related-terms-2        else distinct-values((tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          $invalid-domain, $der-text, $max-code-number, false()), '(\[.*?\])(\||$)', '$2'), '\|'), $der-inactive-codes-3)) " />
    <xsl:variable name="error-usingTS-4" select="$error-usingTS-3 or 'Error' = $der-specimen-codes-4 " />
    <xsl:variable name="invalid-specimen-codes-r" select="if ($ts-not-needed or $valid-specimen-4 or $error-usingTS-4 or not(exists($der-specimen-codes-4))) then ()        else if ($invalid-refset = '') then tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-specimen-codes-4, ' OR '), ') AND (', $inactive-refSets, ')'), '',           string(count($der-specimen-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')        else tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-specimen-codes-4, ' OR '), ') AND (', $invalid-refset, ' OR ', $inactive-refSets, ')'), '',           string(count($der-specimen-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')  " />
    <xsl:variable name="error-usingTS-5" select="$error-usingTS-4 or 'Error' = $invalid-specimen-codes-r " />
    <xsl:variable name="der-specimen-codes-4-h" select="if ($error-usingTS-5) then () else $der-specimen-codes-4[not(. = $invalid-specimen-codes-r)]" />
    <xsl:variable name="invalid-specimen-codes-h" select="if ($ts-not-needed or $valid-specimen-4 or 'Error' = $der-specimen-codes-4 or $specimen-invalid-hierarchy = '' or          not(exists($der-specimen-codes-4-h))) then ()        else (for $code in $der-specimen-codes-4-h return          if (dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;&gt;', $code, ' MINUS ', $specimen-invalid-hierarchy), '', '1', false()) = '') then $code else '')[. != ''] " />
    <xsl:variable name="invalid-specimen-codes" select="($invalid-specimen-codes-h, $invalid-specimen-codes-r) " />
    <xsl:variable name="der-specimen-codes-5" select="$der-specimen-codes-4[not(. = $invalid-specimen-codes or . = 'Error')]" />
    <xsl:variable name="der-valid-codes-4" select="if ($der-valid-codes-3 != '') then $der-valid-codes-3        else if ($ts-not-needed or $valid-specimen-4 or $valid-domain = '' or not(exists($der-specimen-codes-5))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-specimen-codes-5, ' OR '), ') AND ', $valid-domain), '', string(count($der-specimen-codes-5)), false()) " />
    <xsl:variable name="error-usingTS-6" select="$error-usingTS-5 or 'Error' = $der-valid-codes-4 " />
    <xsl:variable name="valid-specimen-5" select="$valid-specimen-4 or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="undetermined-specimen-1" select="$der-specimen-codes-5[not(. = tokenize(replace($der-valid-codes-4,  '(\[.*?\])(\||$)', '$2'), '\|'))]" />
    <xsl:variable name="undetermined-inactive-1" select="for $i in (1 to count($undetermined-specimen-1)) return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $undetermined-specimen-1[$i], '', '1', false()) " />
    <xsl:variable name="error-usingTS-7" select="$error-usingTS-6 or 'Error' = $undetermined-inactive-1 " />
    <xsl:variable name="undetermined-inactive" select="(for $i in (1 to count($undetermined-specimen-1)) return         if (contains($undetermined-inactive-1[$i], '~inactive')) then $undetermined-inactive-1[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-1" select="for $i in (1 to count($undetermined-inactive))        return dh:IsCodeAssociatedWithAnotherCode(replace($undetermined-inactive[$i], '(\[.*?\])(\||$)', '$2'), '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-2" select="$error-usingV-1 or 'Error' = $undetermined-NAF-1 " />
    <xsl:variable name="undetermined-NAF" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-codes" select="for $term in $undetermined-NAF return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-NAF-active" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound~active')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-active-codes" select="for $term in $undetermined-NAF-active return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-specimen" select="$undetermined-specimen-1[not(. = ($undetermined-NAF-codes, $undetermined-NAF-active-codes))]" />
    <xsl:variable name="invalid-specimen" select="not($valid-specimen-5) and exists($invalid-specimen-codes) and not(exists($undetermined-specimen))" />
    <xsl:variable name="codes-were-found" select="exists($der-specimen-codes-4) or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="codes-not-found" select="not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or        $valid-specimen-5 or $invalid-specimen) " />
    <xsl:variable name="codes-in-the-domain" select="not($valid-specimen-1) and $valid-specimen-5" />
    <xsl:variable name="codes-in-other-domain" select="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-specimen-5 or $invalid-specimen or         $error-usingTS-7) " />
    <xsl:variable name="codes-in-no-domain" select="exists($der-specimen-codes-5) " />
    <xsl:variable name="display-in-the-domain" select="if ($codes-in-the-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', '), '''')        else '' " />
    <xsl:variable name="display-in-other-r" select="if (exists($invalid-specimen-codes-r) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-specimen-codes-r return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-h" select="if (exists($invalid-specimen-codes-h) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-specimen-codes-h return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-domain" select="if (not($codes-in-other-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))) then ''        else if ($display-in-other-r and display-in-other-h) then concat('''', $display-in-other-r, ', ', $display-in-other-h, '''')        else if ($display-in-other-r) then concat('''', $display-in-other-r, '''')        else if ($display-in-other-h) then concat('''', $display-in-other-h, '''')        else '' " />
    <xsl:variable name="display-in-no-domain" select="if ($codes-in-no-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', dh:XQueryRecursiveReplace(string-join(for $code in $der-specimen-codes-5 return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), '; '),          $term-pattern-replacement, 'ic'), '''')        else '' " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))        else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="log-concepts-appended" select="if ($error-usingTS-7 or not($flags/@report-terminology-concepts = 'true') or $log-concepts-name = '') then ''        else if ($codes-not-found and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                   'Specimen',    $log-tab,                   'yes',     $log-tab,                   concat($display-code, $display-system), $log-tab,                   '',     $log-tab,                  '',     $log-tab,                  '',     $log-tab,                  $ts-current-sctau   ))        else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <!--REPORT -->
    <xsl:if test=" $log-concepts-appended = ('NOTFOUND', 'ERROR') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$log-concepts-appended = ('NOTFOUND', 'ERROR')">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Specimen-Defn): The AppendLog function returned '<xsl:text /><xsl:value-of select="$log-concepts-appended" /><xsl:text />' when requested to append the concepts log
		'<xsl:text /><xsl:value-of select="$log-concepts-name" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-specimen-5) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-specimen-5)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Specimen-Defn): An unexpected problem occurred when assessing the value of the Test Result - Specimen Tissue Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. The application of regular expressions resulted in the complete loss of text.
		Report the information below to the Australian Digital Health Agency for investigation.

		der-text-1 '<xsl:text /><xsl:value-of select="normalize-space(dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'))" /><xsl:text />'.
		der-text-2a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-2a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-a, $term-pattern-replacement, 'ic')" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingV-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingV-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Specimen-Defn): An error was reported when accessing the terminology server when assessing the Test Result - Specimen Tissue Type data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		Report the issue to the Australian Digital Health Agency for investigation stating the error was recorded for error-usingV-2.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-7 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-7">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Specimen-Defn): An error was reported when accessing the terminology server when assessing the Test Result - Specimen Tissue Type data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term:
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The analysis should be retried as the terminology server may have been temporarily unavailable.
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation, stating that the error was found by
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'error-usingTS-1' else if ($error-usingTS-2) then 'error-usingTS-2'   else if ($error-usingTS-3) then 'error-usingTS-3' else if ($error-usingTS-4) then 'error-usingTS-4'   else if ($error-usingTS-5) then 'error-usingTS-5' else if ($error-usingTS-6) then 'error-usingTS-6'   else 'error-usingTS-7' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $codes-not-found">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Result - Specimen Tissue Type '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the type of specimen collected and         submitted to the laboratory for analysis.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$codes-in-other-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$codes-in-other-domain">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Result - Specimen Tissue Type '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value does not seem to be applicable for the data element.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the type of specimen collected and         submitted to the laboratory for analysis.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Test Result - Specimen Tissue Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the type of specimen collected and         submitted to the laboratory for analysis.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Test Result - Specimen Tissue Type data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Result - Specimen Tissue Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the type of specimen collected and         submitted to the laboratory for analysis.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Test Result - Specimen Tissue Type data element must have a value that is consistent with this definition. Alternatively if there is no Test Result - Specimen Tissue Type data element with a proper value then an exclusion
		statement must be included to state why there is no Test Result - Specimen Tissue Type. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4')    then concat('Text such as ''', dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'), ''' may be permitted in the narrative even though the Test Result - Specimen Tissue Type data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Test Result - Specimen Tissue Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the type of specimen collected and         submitted to the laboratory for analysis.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Test Result - Specimen Tissue Type data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($der-text-non-value) and $der-invalid-text ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($der-text-non-value) and $der-invalid-text">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Result - Specimen Tissue Type '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid. <xsl:text /><xsl:value-of select="$defn-invalid-rsn" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the type of specimen collected and         submitted to the laboratory for analysis.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $invalid-specimen and not($error-usingTS-7) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$invalid-specimen and not($error-usingTS-7)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Result - Specimen Tissue Type '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid
		<xsl:text /><xsl:value-of select="if (exists($invalid-specimen-codes-h)) then concat(' as it describes ', string-join(distinct-values(for $code in tokenize(replace(   dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat('(', string-join(for $code in $invalid-specimen-codes-h return concat('&gt;&gt;', $code), ' OR '), ') AND (',    string-join(for $hierarchy in $cd-definitions/specimen/specimen-invalid/hierarchy return $hierarchy/@code, ' OR '), ')'), '',    string(count($invalid-specimen-codes-h)), true()), '(\[.*?\])(\||$)', '$2'), '\|') return    $cd-definitions/specimen/specimen-invalid/hierarchy[@code = $code]/@description)[position() = (1 to 2)], ' and '), '.')    else if (exists($invalid-specimen-codes-r)) then concat(' as it describes ', string-join(distinct-values(for $code in $invalid-specimen-codes-r return   $cd-definitions/specimen/specimen-invalid/refset[index-of(for $x in (for $refset in $cd-definitions/specimen/specimen-invalid/refset return    dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat($code, ' AND ^', $refset/@code), '', '1', true()), '|') return matches($x, '^[0-9]'), true())[1]]/@description), ' and '), '.')   else '.'" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the type of specimen collected and         submitted to the laboratory for analysis.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable outside the applicable value domain): The Test Result - Specimen Tissue Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following codes were obtained and are not in the value domain: <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-Specimen-Defn): The Test Result - Specimen Tissue Type '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU and no associated code was found in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists(($der-NAF-active-codes, $undetermined-NAF-active-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists(($der-NAF-active-codes, $undetermined-NAF-active-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-Specimen-Defn): The Test Result - Specimen Tissue Type '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-active-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the
		'<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' version of SNOMED CT-AU but it was not found with this status in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU. <xsl:text /><xsl:value-of select="if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $valid-specimen-1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $valid-specimen-1">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable within the value domain): The Test Result - Specimen Tissue Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which matches one of the terms listed in Knowledge.xml for the Test Result - Specimen Tissue Type.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (concept is codeable within the value domain): The Test Result - Specimen Tissue Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a valid value for the Test Result - Specimen Tissue Type.
		SNOMED CT-AU codes that matched the concept are: <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-specimen-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-specimen-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Test Result - Specimen Tissue Type '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The text used to match regular expression (der-text-2) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to match non-values (der-text-to-match) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-to-match, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to derive a code (der-text) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The SNOMED CT-AU version used to find codes is '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' and the maximum code number is '<xsl:text /><xsl:value-of select="$max-code-number" /><xsl:text />'.

		Codes for related terms (related-terms-2): '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($related-terms-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes for related terms (der-valid-codes-1): 
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-1, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-specimen-codes-2) returned by the terminology server that match the text:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-specimen-codes-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes from related terms or the terminology server (der-valid-codes-2):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-2, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-inactive-codes-3) returned from the Validator's database associated with inactive codes:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-inactive-codes-3, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes found after examining inactive codes (der-valid-codes-3):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-3, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Members of invalid reference sets (invalid-specimen-codes-r): '<xsl:text /><xsl:value-of select="$display-in-other-r" /><xsl:text />'.
		Members of invalid code hierarchies (invalid-specimen-codes-h): '<xsl:text /><xsl:value-of select="$display-in-other-h" /><xsl:text />'.

		Final set of valid codes (der-valid-codes-4):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		
		Codes whose validity has not been determined (der-specimen-codes-5):  <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.
		Codes whose validity has not been determined and are inactive with no associated code (undetermined-NAF): '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(    string-join($undetermined-NAF, ''', '''), $markup-pattern-replacement, 'ic')" /><xsl:text />'.

		Will the value of the data element be trusted (der-trusted-text)? '<xsl:text /><xsl:value-of select="$der-trusted-text" /><xsl:text />'.
		
	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and $codes-not-found">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept not codeable): The Test Result - Specimen Tissue Type '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($avoid-ts) then 'The terminology server was not used to assist with finding codes corresponding to text in the data element. ' else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M667" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M667" />
  <xsl:template match="@*|node()" priority="-2" mode="M667">
    <xsl:apply-templates select="@*|*" mode="M667" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-CodeableText-41-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')]]/cda:specimen/cda:specimenRole/cda:specimenPlayingEntity/cda:code   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M668">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')]]/cda:specimen/cda:specimenRole/cda:specimenPlayingEntity/cda:code   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Test Result Specimen Tissue Type '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Test Result Specimen Tissue Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Test Result Specimen Tissue Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Test Result Specimen Tissue Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Result Specimen Tissue Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Test Result Specimen Tissue Type has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Test Result Specimen Tissue Type data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Result Specimen Tissue Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Test Result Specimen Tissue Type data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Result Specimen Tissue Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Test Result Specimen Tissue Type data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Result Specimen Tissue Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Test Result Specimen Tissue Type data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Test Result Specimen Tissue Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Result Specimen Tissue Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Test Result Specimen Tissue Type data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Test Result Specimen Tissue Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Test Result Specimen Tissue Type data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Result Specimen Tissue Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Result Specimen Tissue Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Test Result Specimen Tissue Type data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Result Specimen Tissue Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Test Result Specimen Tissue Type data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Result Specimen Tissue Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Result Specimen Tissue Type
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M668" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M668" />
  <xsl:template match="@*|node()" priority="-2" mode="M668">
    <xsl:apply-templates select="@*|*" mode="M668" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-CodeableText-42-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')]]/   cda:methodCode " priority="1000" mode="M669">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')]]/   cda:methodCode " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Test Result Collection Procedure '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and true() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and true() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Test Result Collection Procedure '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Test Result Collection Procedure',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Test Result Collection Procedure '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Test Result Collection Procedure '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Result Collection Procedure
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Test Result Collection Procedure however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Test Result Collection Procedure in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Test Result Collection Procedure
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Test Result Collection Procedure however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Test Result Collection Procedure in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Test Result Collection Procedure data element must have a value that is consistent with this definition. Alternatively if there is no Test Result Collection Procedure data element with a proper value then an exclusion
		statement must be included to state why there is no Test Result Collection Procedure.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Result Collection Procedure
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Test Result Collection Procedure however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Test Result Collection Procedure in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Result Collection Procedure
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Test Result Collection Procedure however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Test Result Collection Procedure in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Test Result Collection Procedure data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Test Result Collection Procedure
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Test Result Collection Procedure however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Test Result Collection Procedure in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Test Result Collection Procedure data element must have a value that is consistent with this definition. Alternatively if there is no Test Result Collection Procedure data element with a proper value then an exclusion
		statement must be included to state why there is no Test Result Collection Procedure.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Result Collection Procedure
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Test Result Collection Procedure however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Test Result Collection Procedure in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Test Result Collection Procedure data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Result Collection Procedure '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result Collection Procedure
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result Collection Procedure
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result Collection Procedure '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result Collection Procedure '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Test Result Collection Procedure '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Test Result Collection Procedure '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Result Collection Procedure '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Result Collection Procedure '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Test Result Collection Procedure
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Result Collection Procedure '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Result Collection Procedure '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Test Result Collection Procedure.
		(See the definition of Test Result Collection Procedure in the Structured Content Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Test Result Collection Procedure '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M669" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M669" />
  <xsl:template match="@*|node()" priority="-2" mode="M669">
    <xsl:apply-templates select="@*|*" mode="M669" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-CodeableText-43-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')]]/   cda:methodCode[(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-coll-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])]   [not(@nullFlavor = $no-value-NF)] " priority="1000" mode="M670">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')]]/   cda:methodCode[(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-coll-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])]   [not(@nullFlavor = $no-value-NF)] " />
    <xsl:variable name="pcode" select="if ('2.16.840.1.113883.6.96' = $defn-coll-trusted and         @codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="snomed-trans" select="if ('2.16.840.1.113883.6.96' = $defn-coll-trusted and cda:translation)         then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="tcode" select="if (exists($snomed-trans[1]) and matches($snomed-trans[1]/@code, $snomed-code-regex)) then $snomed-trans[1]/@code else '' " />
    <xsl:variable name="code-present" select="$pcode != '' or $tcode != '' " />
    <xsl:variable name="invalid-code-system" select="@code and @displayName and @codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="codesystemvalues" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']" />
    <xsl:variable name="otext-without-markup" select="if (cda:originalText and cda:originalText != '') then normalize-space(replace(cda:originalText, $markup-regex, ' ')) else '' " />
    <xsl:variable name="pdname" select="if (@displayName and not($invalid-code-system)) then normalize-space(@displayName) else '' " />
    <xsl:variable name="max-code-number" select="if ($knowledge/search-for-term/max-sct-code-number/@value &gt; '5') then $knowledge/search-for-term/max-sct-code-number/@value else '5' " />
    <xsl:variable name="der-text-1" select="if ($code-present) then ''         else if ($otext-without-markup != '') then $otext-without-markup        else if ($pdname != '') then $pdname        else '' " />
    <xsl:variable name="family-err" select="matches($der-text-1, $family-regex, 'i')" />
    <xsl:variable name="length-err" select="string-length($der-text-1) &gt; $length-err-max" />
    <xsl:variable name="avoid-ts" select="$family-err or $length-err or not($use-ts-for-sctau) " />
    <xsl:variable name="der-text-2a" select="if ($der-text-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-text-1, $coll-fir-pattern-replacement, 'ic')) " />
    <xsl:variable name="der-text-2" select="if ($der-text-2a = '') then $der-text-1 else $der-text-2a " />
    <xsl:variable name="der-text-a" select="if ($coll-replacements = '' or $der-text-2 = '') then $der-text-2        else normalize-space(dh:XQueryRecursiveReplace($der-text-2, $coll-replacements, 'ic')) " />
    <xsl:variable name="der-text" select="if ($der-text-a = '') then $der-text-2 else $der-text-a " />
    <xsl:variable name="defn-valid-regex" select="concat('(^|\|)', translate($der-text-2, $chars-to-remove, ''), '(\||$)') " />
    <xsl:variable name="der-text-to-match-1" select="lower-case($der-text-2) " />
    <xsl:variable name="der-text-to-match" select="translate($der-text-to-match-1, $chars-to-remove, '') " />
    <xsl:variable name="der-text-non-value" select="if ($code-present or @nullFlavor = $no-value-NF) then false() else         $der-text-to-match = ''              or         not(matches($der-text-to-match, '[a-z]', 'is'))           or        ($cd-definitions/non-value/@regex != '' and matches($der-text-to-match, $cd-definitions/non-value/@regex, 'is'))  or        (exists($cd-definitions/coll/@non-value-regex) and matches($der-text-to-match, $cd-definitions/coll/@non-value-regex, 'is')) " />
    <xsl:variable name="defn-invalid-regex" select="if ($code-present or $der-text-non-value) then ()        else if ($cd-definitions/coll/@invalid-regex) then tokenize($cd-definitions/coll/@invalid-regex, '~')[. != '']         else () " />
    <xsl:variable name="defn-invalid-txt-regex" select="(for $i in (1 to count($defn-invalid-regex)) return normalize-space(substring-before($defn-invalid-regex[$i], '[[')))[. != '']" />
    <xsl:variable name="der-invalid-text-regex-1" select="if (exists($defn-invalid-txt-regex))        then index-of(for $i in (1 to count($defn-invalid-txt-regex)) return matches($der-text-2, $defn-invalid-txt-regex[$i], 'i'), true())        else () " />
    <xsl:variable name="der-invalid-text" select="exists($der-invalid-text-regex-1) " />
    <xsl:variable name="defn-invalid-rsn" select="if ($der-invalid-text)         then normalize-space(substring-before(substring-after($defn-invalid-regex[$der-invalid-text-regex-1[1]], '[['), ']]'))         else '' " />
    <xsl:variable name="trusted-code-systems" select="if ($der-text = '' or $der-invalid-text or not(@codeSystem or cda:translation/@codeSystem)) then ()        else (tokenize(replace($cd-definitions/coll/@core, '\s+', ''), '\|'),          tokenize(replace($cd-definitions/coll/@extra, '\s+', ''), '\|'))[. != ''] " />
    <xsl:variable name="der-trusted-text" select="if ($der-text = '' or $der-invalid-text or (@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex)))) then false()        else ((@codeSystem and exists($trusted-code-systems[. = current()/@codeSystem])) or               (cda:translation/@codeSystem and exists($trusted-code-systems[. = current()/cda:translation/@codeSystem]))) " />
    <xsl:variable name="valid-coll-1" select="if ($code-present or $der-text-non-value or $der-invalid-text or not($cd-definitions/coll/@valid-regex)) then false()        else exists(index-of(for $regex in (tokenize($cd-definitions/coll/@valid-regex, '~')[. != '']) return          matches($der-text-2, dh:XQueryRecursiveReplace(normalize-space($regex), ' \|~|~\| ~|', ''), 'is'), true())) " />
    <xsl:variable name="invalid-hierarchy" select="if (exists($cd-definitions/coll/coll-invalid/hierarchy))         then string-join(for $hierarchy in $cd-definitions/coll/coll-invalid/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-refset" select="if (exists($cd-definitions/coll/coll-invalid/refset))          then string-join(for $refset in $cd-definitions/coll/coll-invalid/refset return concat('^', $refset/@code), ' OR ')         else '' " />
    <xsl:variable name="valid-refset" select="'^231000036106 OR &lt;17636008' " />
    <xsl:variable name="valid-domain" select="if ($invalid-refset != '' and $invalid-hierarchy != '')         then concat('((', $valid-refset, ') MINUS (', $invalid-refset, ' OR (', $invalid-hierarchy, ')))')        else if ($invalid-refset = '' and $invalid-hierarchy != '') then concat('((', $valid-refset, ') MINUS (', $invalid-hierarchy, '))')         else if ($invalid-refset != '' and $invalid-hierarchy = '') then concat('((', $valid-refset, ') MINUS (', $invalid-refset, '))')        else concat('(', $valid-refset, ')') " />
    <xsl:variable name="related-terms-1" select="if ($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-coll-1) then ()        else ($codesystemvalues/code[@related-terms], $codesystemvalues/related-terms[@related-terms]) " />
    <xsl:variable name="related-terms-2" select="for $i in index-of(        for $concept in $related-terms-1 return matches(translate($concept/@related-terms, $chars-no-pipe, ''), $defn-valid-regex, 'i'), true())         return $related-terms-1[$i]/@code " />
    <xsl:variable name="der-coll-codes-1" select="if (exists($related-terms-2)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($related-terms-2, ' OR '), ') AND ', $valid-domain), '', string(count($related-terms-2)), false())        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $der-coll-codes-1 " />
    <xsl:variable name="der-valid-codes-1" select="if (contains($der-coll-codes-1, '[')) then $der-coll-codes-1 else '' " />
    <xsl:variable name="valid-coll-2" select="$valid-coll-1 or $der-valid-codes-1 != '' " />
    <xsl:variable name="coll-inactive-refSets" select="if (exists($cd-definitions/coll/coll-invalid/inactive-refset))         then concat('((', $inactive-refSets, ') MINUS (',           string-join(for $refset in $cd-definitions/coll/coll-invalid/inactive-refset return concat('^', $refset/@code), ' OR '),          '))')         else $inactive-refSets " />
    <xsl:variable name="formula" select="concat($valid-domain, ' OR ', $coll-inactive-refSets) " />
    <xsl:variable name="ts-not-needed" select="$der-text = '' or $der-text-non-value or $der-invalid-text or $valid-coll-2 or $avoid-ts " />
    <xsl:variable name="der-coll-codes-2" select="if ($ts-not-needed or exists($related-terms-2)) then ()         else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-text,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or 'Error' = $der-coll-codes-2 " />
    <xsl:variable name="der-valid-codes-2" select="if ($der-valid-codes-1 != '') then $der-valid-codes-1        else if ($error-usingTS-2) then ''         else string-join((for $code in $der-coll-codes-2 return if (contains($code, '~inactive')) then '' else $code)[. != ''], '|')  " />
    <xsl:variable name="valid-coll-3" select="$valid-coll-2 or $der-valid-codes-2 != '' " />
    <xsl:variable name="der-inactive-codes-1" select="if ($valid-coll-3) then () else        for $code in $der-coll-codes-2 return if (contains($code, '~inactive')) then replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is') else '' " />
    <xsl:variable name="der-inactive-codes-2" select="for $i in (1 to count($der-inactive-codes-1)) return         dh:IsCodeAssociatedWithAnotherCode($der-inactive-codes-1[$i], '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-1" select="'Error' = $der-inactive-codes-2 " />
    <xsl:variable name="der-NAF-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-NAF-active-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound~active')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-inactive-codes-3" select="tokenize(string-join(for $i in (1 to count($der-inactive-codes-1)) return replace(string-join(tokenize($der-inactive-codes-2[$i], '\|')        [matches(., '(REPLACED BY|SAME AS|ALTERNATIVE|POSSIBLY EQUIVALENT TO|MAY BE A|WAS A)')], '|'), '[0-9]+~[A-Z ]+~([0-9]+)', '$1'), '|'), '\|')        [. != ''] " />
    <xsl:variable name="der-coll-codes-3" select="if (exists($der-inactive-codes-3)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($der-inactive-codes-3, ' OR '), ') AND ', $valid-domain), '', string(count($der-inactive-codes-3)), false())          else '' " />
    <xsl:variable name="error-usingTS-3" select="$error-usingTS-2 or 'Error' = $der-coll-codes-3 " />
    <xsl:variable name="der-valid-codes-3" select="if ($der-valid-codes-2 != '') then $der-valid-codes-2        else if (contains($der-coll-codes-3, '[')) then $der-coll-codes-3        else '' " />
    <xsl:variable name="valid-coll-4" select="$valid-coll-3 or $der-valid-codes-3 != '' " />
    <xsl:variable name="invalid-domain" select="if ($invalid-hierarchy != '' and $invalid-refset != '') then concat($invalid-hierarchy, ' OR ', $invalid-refset)        else if ($invalid-hierarchy != '') then $invalid-hierarchy        else if ($invalid-refset != '') then $invalid-refset        else '' " />
    <xsl:variable name="der-coll-codes-4" select="if ($ts-not-needed or $valid-coll-4 or $invalid-domain = '') then ()        else if (exists($related-terms-2)) then $related-terms-2        else distinct-values((tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          $invalid-domain, $der-text, $max-code-number, false()), '(\[.*?\])(\||$)', '$2'), '\|'), $der-inactive-codes-3)) " />
    <xsl:variable name="error-usingTS-4" select="$error-usingTS-3 or 'Error' = $der-coll-codes-4 " />
    <xsl:variable name="invalid-coll-codes-r" select="if ($ts-not-needed or $valid-coll-4 or $error-usingTS-4 or not(exists($der-coll-codes-4))) then ()        else if ($invalid-refset = '') then tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-coll-codes-4, ' OR '), ') AND (', $inactive-refSets, ')'), '',           string(count($der-coll-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')        else tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-coll-codes-4, ' OR '), ') AND (', $invalid-refset, ' OR ', $inactive-refSets, ')'), '',           string(count($der-coll-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')  " />
    <xsl:variable name="error-usingTS-5" select="$error-usingTS-4 or 'Error' = $invalid-coll-codes-r " />
    <xsl:variable name="der-coll-codes-4-h" select="if ($error-usingTS-5) then () else $der-coll-codes-4[not(. = $invalid-coll-codes-r)]" />
    <xsl:variable name="invalid-coll-codes-h" select="if ($ts-not-needed or $valid-coll-4 or 'Error' = $der-coll-codes-4 or $coll-invalid-hierarchy = '' or not(exists($der-coll-codes-4-h))) then ()        else (for $code in $der-coll-codes-4-h return          if (dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;&gt;', $code, ' MINUS ', $coll-invalid-hierarchy), '', '1', false()) = '') then $code else '')[. != ''] " />
    <xsl:variable name="invalid-coll-codes" select="($invalid-coll-codes-h, $invalid-coll-codes-r) " />
    <xsl:variable name="der-coll-codes-5" select="$der-coll-codes-4[not(. = $invalid-coll-codes or . = 'Error')]" />
    <xsl:variable name="der-valid-codes-4" select="if ($der-valid-codes-3 != '') then $der-valid-codes-3        else if ($ts-not-needed or $valid-coll-4 or $valid-domain = '' or not(exists($der-coll-codes-5))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-coll-codes-5, ' OR '), ') AND ', $valid-domain), '', string(count($der-coll-codes-5)), false()) " />
    <xsl:variable name="error-usingTS-6" select="$error-usingTS-5 or 'Error' = $der-valid-codes-4 " />
    <xsl:variable name="valid-coll-5" select="$valid-coll-4 or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="undetermined-coll-1" select="$der-coll-codes-5[not(. = tokenize(replace($der-valid-codes-4,  '(\[.*?\])(\||$)', '$2'), '\|'))]" />
    <xsl:variable name="undetermined-inactive-1" select="for $i in (1 to count($undetermined-coll-1)) return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $undetermined-coll-1[$i], '', '1', false()) " />
    <xsl:variable name="error-usingTS-7" select="$error-usingTS-6 or 'Error' = $undetermined-inactive-1 " />
    <xsl:variable name="undetermined-inactive" select="(for $i in (1 to count($undetermined-coll-1)) return         if (contains($undetermined-inactive-1[$i], '~inactive')) then $undetermined-inactive-1[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-1" select="for $i in (1 to count($undetermined-inactive))        return dh:IsCodeAssociatedWithAnotherCode(replace($undetermined-inactive[$i], '(\[.*?\])(\||$)', '$2'), '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-2" select="$error-usingV-1 or 'Error' = $undetermined-NAF-1 " />
    <xsl:variable name="undetermined-NAF" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-codes" select="for $term in $undetermined-NAF return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-NAF-active" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound~active')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-active-codes" select="for $term in $undetermined-NAF-active return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-coll" select="$undetermined-coll-1[not(. = ($undetermined-NAF-codes, $undetermined-NAF-active-codes))]" />
    <xsl:variable name="invalid-coll" select="not($valid-coll-5) and exists($invalid-coll-codes) and not(exists($undetermined-coll))" />
    <xsl:variable name="codes-were-found" select="exists($der-coll-codes-4) or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="codes-not-found" select="not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-coll-5 or $invalid-coll) " />
    <xsl:variable name="codes-in-the-domain" select="not($valid-coll-1) and $valid-coll-5" />
    <xsl:variable name="codes-in-other-domain" select="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-coll-5 or $invalid-coll or         $error-usingTS-7) " />
    <xsl:variable name="codes-in-no-domain" select="exists($der-coll-codes-5) " />
    <xsl:variable name="display-in-the-domain" select="if ($codes-in-the-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', '), '''')        else '' " />
    <xsl:variable name="display-in-other-r" select="if (exists($invalid-coll-codes-r) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-coll-codes-r return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-h" select="if (exists($invalid-coll-codes-h) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-coll-codes-h return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-domain" select="if (not($codes-in-other-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))) then ''        else if ($display-in-other-r and display-in-other-h) then concat('''', $display-in-other-r, ', ', $display-in-other-h, '''')        else if ($display-in-other-r) then concat('''', $display-in-other-r, '''')        else if ($display-in-other-h) then concat('''', $display-in-other-h, '''')        else '' " />
    <xsl:variable name="display-in-no-domain" select="if ($codes-in-no-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', dh:XQueryRecursiveReplace(string-join(for $code in $der-coll-codes-5 return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), '; '),          $term-pattern-replacement, 'ic'), '''')        else '' " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))        else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="log-concepts-appended" select="if ($error-usingTS-7 or not($flags/@report-terminology-concepts = 'true') or $log-concepts-name = '') then ''        else if ($codes-not-found and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                   'Collection procedure',   $log-tab,                   'yes',     $log-tab,                   concat($display-code, $display-system), $log-tab,                   '',     $log-tab,                  '',     $log-tab,                  '',     $log-tab,                  $ts-current-sctau   ))        else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <!--REPORT -->
    <xsl:if test=" $log-concepts-appended = ('NOTFOUND', 'ERROR') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$log-concepts-appended = ('NOTFOUND', 'ERROR')">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Coll-Defn): The AppendLog function returned '<xsl:text /><xsl:value-of select="$log-concepts-appended" /><xsl:text />' when requested to append the concepts log
		'<xsl:text /><xsl:value-of select="$log-concepts-name" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-coll-5) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-coll-5)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Coll-Defn): An unexpected problem occurred when assessing the value of the Test Result Specimen Collection Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. The application of regular expressions resulted in the complete loss of text.
		Report the information below to the Australian Digital Health Agency for investigation.

		der-text-1 '<xsl:text /><xsl:value-of select="normalize-space(dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'))" /><xsl:text />'.
		der-text-2a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-2a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-a, $term-pattern-replacement, 'ic')" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingV-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingV-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Coll-Defn): An error was reported when accessing the terminology server when assessing the Test Result Specimen Collection Procedure data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		Report the issue to the Australian Digital Health Agency for investigation stating the error was recorded for error-usingV-2.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-7 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-7">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Coll-Defn): An error was reported when accessing the terminology server when assessing the Test Result Specimen Collection Procedure data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term:
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The analysis should be retried as the terminology server may have been temporarily unavailable.
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation, stating that the error was found by
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'error-usingTS-1' else if ($error-usingTS-2) then 'error-usingTS-2'   else if ($error-usingTS-3) then 'error-usingTS-3' else if ($error-usingTS-4) then 'error-usingTS-4'   else if ($error-usingTS-5) then 'error-usingTS-5' else if ($error-usingTS-6) then 'error-usingTS-6'   else 'error-usingTS-7' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $codes-not-found">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Result Specimen Collection Procedure '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the method of specimen collection.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$codes-in-other-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$codes-in-other-domain">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Result Specimen Collection Procedure '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value does not seem to be applicable for the data element.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the method of specimen collection.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Test Result Specimen Collection Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the method of specimen collection.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Test Result Specimen Collection Procedure data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Result Specimen Collection Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the method of specimen collection.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Test Result Specimen Collection Procedure data element must have a value that is consistent with this definition. Alternatively if there is no Test Result Specimen Collection Procedure data element with a proper value then an exclusion
		statement must be included to state why there is no Test Result Specimen Collection Procedure. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4')    then concat('Text such as ''', dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'), ''' may be permitted in the narrative even though the Test Result Specimen Collection Procedure data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Test Result Specimen Collection Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the method of specimen collection.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Test Result Specimen Collection Procedure data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($der-text-non-value) and $der-invalid-text ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($der-text-non-value) and $der-invalid-text">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Result Specimen Collection Procedure '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid. <xsl:text /><xsl:value-of select="$defn-invalid-rsn" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the method of specimen collection.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $invalid-coll and not($error-usingTS-7) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$invalid-coll and not($error-usingTS-7)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Result Specimen Collection Procedure '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid
		<xsl:text /><xsl:value-of select="if (exists($invalid-coll-codes-h)) then concat(' as it describes ', string-join(distinct-values(for $code in tokenize(replace(   dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat('(', string-join(for $code in $invalid-coll-codes-h return concat('&gt;&gt;', $code), ' OR '), ') AND (',    string-join(for $hierarchy in $cd-definitions/coll/coll-invalid/hierarchy return $hierarchy/@code, ' OR '), ')'), '',    string(count($invalid-coll-codes-h)), true()), '(\[.*?\])(\||$)', '$2'), '\|') return $cd-definitions/coll/coll-invalid/hierarchy[@code = $code]/@description)[position() = (1 to 2)], ' and '), '.')    else if (exists($invalid-coll-codes-r)) then concat(' as it describes ', string-join(distinct-values(for $code in $invalid-coll-codes-r return   $cd-definitions/coll/coll-invalid/refset[index-of(for $x in (for $refset in $cd-definitions/coll/coll-invalid/refset return    dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat($code, ' AND ^', $refset/@code), '', '1', true()), '|') return matches($x, '^[0-9]'), true())[1]]/@description), ' and '), '.')   else '.'" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the method of specimen collection.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable outside the applicable value domain): The Test Result Specimen Collection Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following codes were obtained and are not in the value domain: <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />'

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-Coll-Defn): The Test Result Specimen Collection Procedure '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU and no associated code was found in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists(($der-NAF-active-codes, $undetermined-NAF-active-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists(($der-NAF-active-codes, $undetermined-NAF-active-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-Coll-Defn): The Test Result Specimen Collection Procedure '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-active-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU but it was not found with this status in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.
		<xsl:text /><xsl:value-of select="if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $valid-coll-1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $valid-coll-1">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable within the value domain): The Test Result Specimen Collection Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which matches one of the terms listed in Knowledge.xml for the Test Result Specimen Collection Procedure.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (concept is codeable within the value domain): The Test Result Specimen Collection Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a valid value for the Test Result Specimen Collection Procedure.
		SNOMED CT-AU codes that matched the concept are: <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-coll-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-coll-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Test Result Specimen Collection Procedure '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The text used to match regular expression (der-text-2) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to match non-values (der-text-to-match) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-to-match, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to derive a code (der-text) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The SNOMED CT-AU version used to find codes is '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' and the maximum code number is '<xsl:text /><xsl:value-of select="$max-code-number" /><xsl:text />'.

		Codes for related terms (related-terms-2): '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($related-terms-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes for related terms (der-valid-codes-1): 
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-1, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-coll-codes-2) returned by the terminology server that match the text:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-coll-codes-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes from related terms or the terminology server (der-valid-codes-2):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-2, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-inactive-codes-3) returned from the Validator's database associated with inactive codes:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-inactive-codes-3, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes found after examining inactive codes (der-valid-codes-3):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-3, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Members of invalid reference sets (invalid-coll-codes-r): '<xsl:text /><xsl:value-of select="$display-in-other-r" /><xsl:text />'.
		Members of invalid code hierarchies (invalid-coll-codes-h): '<xsl:text /><xsl:value-of select="$display-in-other-h" /><xsl:text />'.

		Final set of valid codes (der-valid-codes-4):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		
		Codes whose validity has not been determined (der-coll-codes-5):  <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.
		Codes whose validity has not been determined and are inactive with no associated code (undetermined-NAF): '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(    string-join($undetermined-NAF, ''', '''), $markup-pattern-replacement, 'ic')" /><xsl:text />'.

		Will the value of the data element be trusted (der-trusted-text)? '<xsl:text /><xsl:value-of select="$der-trusted-text" /><xsl:text />'.
		
	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and $codes-not-found">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept not codeable): The Test Result Specimen Collection Procedure '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($avoid-ts) then 'The terminology server was not used to assist with finding codes corresponding to text in the data element. ' else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M670" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M670" />
  <xsl:template match="@*|node()" priority="-2" mode="M670">
    <xsl:apply-templates select="@*|*" mode="M670" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-CodeableText-44-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/cda:organizer/   cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')]]/   cda:methodCode[(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M671">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/cda:organizer/   cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')]]/   cda:methodCode[(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Test Result Collection Procedure '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Test Result Collection Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Test Result Collection Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Test Result Collection Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Result Collection Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Test Result Collection Procedure has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Test Result Collection Procedure data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Result Collection Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Test Result Collection Procedure data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Result Collection Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Test Result Collection Procedure data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Result Collection Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Test Result Collection Procedure data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Test Result Collection Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Result Collection Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Test Result Collection Procedure data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Test Result Collection Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Test Result Collection Procedure data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Result Collection Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Result Collection Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Test Result Collection Procedure data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Result Collection Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Test Result Collection Procedure data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Result Collection Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Result Collection Procedure
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M671" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M671" />
  <xsl:template match="@*|node()" priority="-2" mode="M671">
    <xsl:apply-templates select="@*|*" mode="M671" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-CodeableText-45-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')]]/cda:targetSiteCode " priority="1000" mode="M672">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')]]/cda:targetSiteCode " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Test Result - Anatomical Location Name',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Result - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Test Result - Anatomical Location Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Test Result - Anatomical Location Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Test Result - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Test Result - Anatomical Location Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Test Result - Anatomical Location Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Test Result - Anatomical Location Name data element must have a value that is consistent with this definition. Alternatively if there is no Test Result - Anatomical Location Name data element with a proper value then an exclusion
		statement must be included to state why there is no Test Result - Anatomical Location Name.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Result - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Test Result - Anatomical Location Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Test Result - Anatomical Location Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Result - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Test Result - Anatomical Location Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Test Result - Anatomical Location Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Test Result - Anatomical Location Name data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Test Result - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Test Result - Anatomical Location Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Test Result - Anatomical Location Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Test Result - Anatomical Location Name data element must have a value that is consistent with this definition. Alternatively if there is no Test Result - Anatomical Location Name data element with a proper value then an exclusion
		statement must be included to state why there is no Test Result - Anatomical Location Name.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Result - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Test Result - Anatomical Location Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Test Result - Anatomical Location Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Test Result - Anatomical Location Name data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Test Result - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Test Result - Anatomical Location Name.
		(See the definition of Test Result - Anatomical Location Name in the Structured Content Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M672" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M672" />
  <xsl:template match="@*|node()" priority="-2" mode="M672">
    <xsl:apply-templates select="@*|*" mode="M672" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-CodeableText-46-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '102.16144' = $doc-sections][cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3']]/   cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')]]/   cda:targetSiteCode[@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " priority="1000" mode="M673">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '102.16144' = $doc-sections][cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3']]/   cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')]]/   cda:targetSiteCode[@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="pnullFlavor" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @nullFlavor) then @nullFlavor else '' " />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-p-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then false()        else if ($psnomed-id = 'amtv3' and @codeSystemVersion) then exists($v-amtv3[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($psnomed-id = 'snomedctau' and @codeSystemVersion) then exists($v-snomedctau[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false() " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and $pcode != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used to assess the primary code.') " />
    <xsl:variable name="pcode-refsets-1" select="if (@codeSystem = '2.16.840.1.113883.6.96' and not($pcode = ''))         then dh:FindValueDomainsForCode($pcode, '2.16.840.1.113883.6.96', $v-psnomed-version) else 'no-code' " />
    <xsl:variable name="pcode-found" select="not($pcode-refsets-1 = 'no-code' or $pcode-refsets-1 = 'CodeNotFound' or $pcode-refsets-1 = 'Error'        or contains($pcode-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="pcode-refsets" select="if ($pcode-found) then distinct-values(tokenize($pcode-refsets-1, '\|')) else () " />
    <xsl:variable name="pcode-special-proc" select="count($pcode-refsets) = 1 and 'Procedure Foundation (PF)' = $pcode-refsets and not($pnullFlavor = 'OTH') " />
    <xsl:variable name="pcode-refsets-msg" select="if (count($pcode-refsets) = 0) then ''         else if (count($pcode-refsets) = 1) then concat('The code is a member of the ', $pcode-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($pcode-refsets, ', '), '.') " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))         else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-1" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="snomed-trans-2" select="distinct-values(for $i in (1 to count($snomed-trans-1)) return $snomed-trans-1[$i]/@code) " />
    <xsl:variable name="snomed-trans-a" select="$snomed-trans-1[1] " />
    <xsl:variable name="tcode-a" select="if (exists($snomed-trans-a) and matches($snomed-trans-a/@code, $snomed-code-regex)) then $snomed-trans-a/@code else '' " />
    <xsl:variable name="tnullFlavor-a" select="if (exists($snomed-trans-a) and $snomed-trans-a/@nullFlavor) then $snomed-trans-a/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-a" select="if (not(exists($snomed-trans-a))) then 'not-snomed'        else if (not($snomed-trans-a/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-a/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-a" select="if (not(exists($snomed-trans-a))) then ''        else if ($tsnomed-id-a = 'amtv3' and exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-a = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-a/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-a" select="if (not(exists($snomed-trans-a))) then false()        else if ($tsnomed-id-a = 'amtv3' and $snomed-trans-a/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-a = 'snomedctau' and $snomed-trans-a/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-a-msg" select="if (not(exists($snomed-trans-a))) then ''        else if (not($snomed-trans-a/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-a, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-a = 'amtv3') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-a = 'snomedctau') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-a/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-a, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-a/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-a-refsets-1" select="if (exists($snomed-trans-a) and not($tcode-a = ''))         then dh:FindValueDomainsForCode($tcode-a, '2.16.840.1.113883.6.96', $v-tsnomed-version-a) else 'no-code' " />
    <xsl:variable name="tcode-a-found" select="not($tcode-a-refsets-1 = 'no-code' or $tcode-a-refsets-1 = 'CodeNotFound' or $tcode-a-refsets-1 = 'Error'         or contains($tcode-a-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-a-refsets" select="if ($tcode-a-found) then distinct-values(tokenize($tcode-a-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-a-special-proc" select="count($tcode-a-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-a-refsets and not($tnullFlavor-a = 'OTH') " />
    <xsl:variable name="tcode-a-refsets-msg" select="if (count($tcode-a-refsets) = 0) then ''         else if (count($tcode-a-refsets) = 1) then concat('The code is a member of the ', $tcode-a-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-a-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@code and $snomed-trans-a/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-a/@displayName, codepoints-to-string(34))         else if ($snomed-trans-a/@code and not($snomed-trans-a/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@codeSystem and $snomed-trans-a/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-a/@codeSystemName, ')')         else if ($snomed-trans-a/@codeSystem and not($snomed-trans-a/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-b" select="(for $i in (2 to count($snomed-trans-1)) return if ($snomed-trans-1[$i]/@code != $snomed-trans-a/@code) then $snomed-trans-1[$i] else ())[1] " />
    <xsl:variable name="tcode-b" select="if (exists($snomed-trans-b) and matches($snomed-trans-b/@code, $snomed-code-regex)) then $snomed-trans-b/@code else '' " />
    <xsl:variable name="tnullFlavor-b" select="if (exists($snomed-trans-b) and $snomed-trans-b/@nullFlavor) then $snomed-trans-b/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-b" select="if (not(exists($snomed-trans-b))) then 'not-snomed'        else if (not($snomed-trans-b/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-b/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-b" select="if (not(exists($snomed-trans-b))) then ''        else if ($tsnomed-id-b = 'amtv3' and exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-b = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-b/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-b" select="if (not(exists($snomed-trans-b))) then false()        else if ($tsnomed-id-b = 'amtv3' and $snomed-trans-b/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-b = 'snomedctau' and $snomed-trans-b/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-b-msg" select="if (not(exists($snomed-trans-b))) then ''        else if (not($snomed-trans-b/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-b, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-b = 'amtv3') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-b = 'snomedctau') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-b/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-b, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-b/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-b-refsets-1" select="if (exists($snomed-trans-b) and not($tcode-b = ''))         then dh:FindValueDomainsForCode($tcode-b, '2.16.840.1.113883.6.96', $v-tsnomed-version-b) else 'no-code' " />
    <xsl:variable name="tcode-b-found" select="not($tcode-b-refsets-1 = 'no-code' or $tcode-b-refsets-1 = 'CodeNotFound' or $tcode-b-refsets-1 = 'Error'         or contains($tcode-b-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-b-refsets" select="if ($tcode-b-found) then distinct-values(tokenize($tcode-b-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-b-special-proc" select="count($tcode-b-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-b-refsets and not($tnullFlavor-b = 'OTH') " />
    <xsl:variable name="tcode-b-refsets-msg" select="if (count($tcode-b-refsets) = 0) then ''         else if (count($tcode-b-refsets) = 1) then concat('The code is a member of the ', $tcode-b-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-b-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@code and $snomed-trans-b/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-b/@displayName, codepoints-to-string(34))         else if ($snomed-trans-b/@code and not($snomed-trans-b/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@codeSystem and $snomed-trans-b/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-b/@codeSystemName, ')')         else if ($snomed-trans-b/@codeSystem and not($snomed-trans-b/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-60" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-60 else $rating-alt-TC-Types-60 " />
    <!--REPORT -->
    <xsl:if test=" $pcode-found and $pcode-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pcode-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD (p-TS-CD-SCT-RefSet): An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$pcode" /><xsl:text />',
		codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-psnomed-version" /><xsl:text />'. This error occurred when assessing the Test Result - Anatomical Location Name data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. The value is not valid for the data element as it describes a medical
		procedure and not a medical problem or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and   not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the code is not a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the Result Group Specimen Detail (SPECIMEN) section of the         CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and   not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the Result Group Specimen Detail (SPECIMEN) section of the         CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and   exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the Result Group Specimen Detail (SPECIMEN) section of the         CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and   exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. Confirm if the code is a member of the value domain.
		If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the Result Group Specimen Detail (SPECIMEN) section of the         CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="count($snomed-trans-1)" /><xsl:text /> translation elements with
		codes and the SNOMED CT-AU codeSystem '2.16.840.1.113883.6.96'. The first two translation elements have been assessed to determine if the codes are members of the value domain
		and the others have not been assessed. Confirm if the value of the code attribute in all SNOMED CT translation elements meets the requirement that it be a member of the value domain
		if there is no nullFlavor 'OTH' or that there is a nullFlavor 'OTH' if the value of the code attribute is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text /> 
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the Result Group Specimen Detail (SPECIMEN) section of the         CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-a" /><xsl:text />'. This error occurred when assessing the Test Result - Anatomical Location Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and   not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the Result Group Specimen Detail (SPECIMEN) section of the         CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and   not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the Result Group Specimen Detail (SPECIMEN) section of the         CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and   exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the Result Group Specimen Detail (SPECIMEN) section of the         CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and   exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the Result Group Specimen Detail (SPECIMEN) section of the         CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-b" /><xsl:text />'. This error occurred when assessing the Test Result - Anatomical Location Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> 
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and   not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the Result Group Specimen Detail (SPECIMEN) section of the         CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and   not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the Result Group Specimen Detail (SPECIMEN) section of the         CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and   exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the Result Group Specimen Detail (SPECIMEN) section of the         CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and   exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the Result Group Specimen Detail (SPECIMEN) section of the         CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M673" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M673" />
  <xsl:template match="@*|node()" priority="-2" mode="M673">
    <xsl:apply-templates select="@*|*" mode="M673" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-CodeableText-47-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '102.16144' = $doc-sections][cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3']]/   cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')]]/   cda:targetSiteCode[@displayName]   [(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-body-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])]   [not(@nullFlavor = $no-value-NF)] " priority="1000" mode="M674">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '102.16144' = $doc-sections][cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3']]/   cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')]]/   cda:targetSiteCode[@displayName]   [(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-body-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])]   [not(@nullFlavor = $no-value-NF)] " />
    <xsl:variable name="pcode" select="if ('2.16.840.1.113883.6.96' = $defn-body-trusted and          @codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="snomed-trans" select="if ('2.16.840.1.113883.6.96' = $defn-body-trusted and cda:translation)         then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="tcode" select="if (exists($snomed-trans[1]) and matches($snomed-trans[1]/@code, $snomed-code-regex)) then $snomed-trans[1]/@code else '' " />
    <xsl:variable name="code-present" select="$pcode != '' or $tcode != '' " />
    <xsl:variable name="invalid-code-system" select="@code and @displayName and @codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="codesystemvalues" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']" />
    <xsl:variable name="otext-without-markup" select="if (cda:originalText and cda:originalText != '') then normalize-space(replace(cda:originalText, $markup-regex, ' ')) else '' " />
    <xsl:variable name="pdname" select="if (@displayName and not($invalid-code-system)) then normalize-space(@displayName) else '' " />
    <xsl:variable name="max-code-number" select="if ($knowledge/search-for-term/max-sct-code-number/@value &gt; '5') then $knowledge/search-for-term/max-sct-code-number/@value else '5' " />
    <xsl:variable name="der-text-1" select="if ($code-present) then ''         else if ($otext-without-markup != '') then $otext-without-markup        else if ($pdname != '') then $pdname        else '' " />
    <xsl:variable name="der-text-2a" select="if ($der-text-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-text-1, $body-fir-pattern-replacement, 'ic')) " />
    <xsl:variable name="der-text-2" select="if ($der-text-2a = '') then $der-text-1 else $der-text-2a " />
    <xsl:variable name="family-err" select="matches($der-text-1, $family-regex, 'i')" />
    <xsl:variable name="length-err" select="string-length($der-text-1) &gt; $length-err-max" />
    <xsl:variable name="avoid-ts" select="$family-err or $length-err or not($use-ts-for-sctau) " />
    <xsl:variable name="der-text-a" select="if ($body-replacements = '' or $der-text-2 = '') then $der-text-2        else normalize-space(dh:XQueryRecursiveReplace($der-text-2, $body-replacements, 'ic')) " />
    <xsl:variable name="der-text" select="if ($der-text-a = '') then $der-text-2 else $der-text-a " />
    <xsl:variable name="defn-valid-regex" select="concat('(^|\|)', translate($der-text-2, $chars-to-remove, ''), '(\||$)') " />
    <xsl:variable name="der-text-to-match-1" select="lower-case($der-text-2) " />
    <xsl:variable name="der-text-to-match" select="translate($der-text-to-match-1, $chars-to-remove, '') " />
    <xsl:variable name="der-text-non-value" select="if ($code-present or @nullFlavor = $no-value-NF) then false() else         $der-text-to-match = ''              or         not(matches($der-text-to-match-1, '[a-z]', 'i'))          or        ($cd-definitions/non-value/@regex != '' and matches($der-text-to-match-1, $cd-definitions/non-value/@regex, 'i'))  or        (exists($cd-definitions/body/@non-value-regex) and matches($der-text-to-match-1, $cd-definitions/body/@non-value-regex, 'i')) " />
    <xsl:variable name="defn-invalid-regex" select="if ($code-present or $der-text-non-value) then ()        else if ($cd-definitions/body/@invalid-regex) then tokenize($cd-definitions/body/@invalid-regex, '~')[. != '']         else () " />
    <xsl:variable name="defn-invalid-txt-regex" select="(for $i in (1 to count($defn-invalid-regex)) return normalize-space(substring-before($defn-invalid-regex[$i], '[[')))[. != '']" />
    <xsl:variable name="der-invalid-text-regex-1" select="if (exists($defn-invalid-txt-regex))        then index-of(for $i in (1 to count($defn-invalid-txt-regex)) return matches($der-text-2, $defn-invalid-txt-regex[$i], 'i'), true())        else () " />
    <xsl:variable name="der-invalid-text" select="exists($der-invalid-text-regex-1) " />
    <xsl:variable name="defn-invalid-rsn" select="if ($der-invalid-text)         then normalize-space(substring-before(substring-after($defn-invalid-regex[$der-invalid-text-regex-1[1]], '[['), ']]'))         else '' " />
    <xsl:variable name="trusted-code-systems" select="if ($der-text = '' or $der-invalid-text or not(@codeSystem or cda:translation/@codeSystem)) then ()        else (tokenize(replace($cd-definitions/body/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/body/@extra, '\s+', ''), '\|'))[. != ''] " />
    <xsl:variable name="der-trusted-text" select="if ($der-text = '' or $der-invalid-text or (@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex)))) then false()        else ((@codeSystem and exists($trusted-code-systems[. = current()/@codeSystem])) or               (cda:translation/@codeSystem and exists($trusted-code-systems[. = current()/cda:translation/@codeSystem]))) " />
    <xsl:variable name="valid-body-1" select="if ($code-present or $der-text-non-value or $der-invalid-text or not($cd-definitions/body/@valid-regex)) then false()        else exists(index-of(for $regex in (tokenize($cd-definitions/body/@valid-regex, '~')[. != '']) return          matches($der-text-2, dh:XQueryRecursiveReplace(normalize-space($regex), ' \|~|~\| ~|', ''), 'is'), true())) " />
    <xsl:variable name="invalid-hierarchy" select="if (exists($cd-definitions/body/body-invalid/hierarchy))         then string-join(for $hierarchy in $cd-definitions/body/body-invalid/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-refset" select="if (exists($cd-definitions/body/body-invalid/refset))          then string-join(for $refset in $cd-definitions/body/body-invalid/refset return concat('^', $refset/@code), ' OR ')         else '' " />
    <xsl:variable name="valid-refset" select="'^32570061000036105' " />
    <xsl:variable name="valid-domain" select="if ($invalid-refset != '' and $invalid-hierarchy != '')         then concat('((', $valid-refset, ') MINUS (', $invalid-refset, ' OR (', $invalid-hierarchy, ')))')        else if ($invalid-refset = '' and $invalid-hierarchy != '') then concat('((', $valid-refset, ') MINUS (', $invalid-hierarchy, '))')         else if ($invalid-refset != '' and $invalid-hierarchy = '') then concat('((', $valid-refset, ') MINUS (', $invalid-refset, '))')        else concat('(', $valid-refset, ')') " />
    <xsl:variable name="related-terms-1" select="if ($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-body-1) then ()        else ($codesystemvalues/code[@related-terms], $codesystemvalues/related-terms[@related-terms]) " />
    <xsl:variable name="related-terms-2" select="for $i in index-of(        for $concept in $related-terms-1 return matches(translate($concept/@related-terms, $chars-no-pipe, ''), $defn-valid-regex, 'i'), true())         return $related-terms-1[$i]/@code " />
    <xsl:variable name="der-body-codes-1" select="if (exists($related-terms-2)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($related-terms-2, ' OR '), ') AND (', $valid-domain, ')'), '', string(count($related-terms-2)), false())        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $der-body-codes-1 " />
    <xsl:variable name="der-valid-codes-1" select="if (contains($der-body-codes-1, '[')) then $der-body-codes-1 else '' " />
    <xsl:variable name="valid-body-2" select="$valid-body-1 or $der-valid-codes-1 != '' " />
    <xsl:variable name="body-inactive-refSets" select="if (exists($cd-definitions/body/body-invalid/inactive-refset))         then concat('((', $inactive-refSets, ') MINUS (',           string-join(for $refset in $cd-definitions/body/body-invalid/inactive-refset return concat('^', $refset/@code), ' OR '),          '))')         else $inactive-refSets " />
    <xsl:variable name="formula" select="concat($valid-domain, ' OR ', $body-inactive-refSets) " />
    <xsl:variable name="ts-not-needed" select="$der-text = '' or $der-text-non-value or $der-invalid-text or $valid-body-2 or $avoid-ts " />
    <xsl:variable name="der-body-codes-2" select="if ($ts-not-needed or exists($related-terms-2)) then ()         else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-text,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or 'Error' = $der-body-codes-2 " />
    <xsl:variable name="der-valid-codes-2" select="if ($der-valid-codes-1 != '') then $der-valid-codes-1        else if ($error-usingTS-2) then ''         else string-join((for $code in $der-body-codes-2 return if (contains($code, '~inactive')) then '' else $code)[. != ''], '|')  " />
    <xsl:variable name="valid-body-3" select="$valid-body-2 or $der-valid-codes-2 != '' " />
    <xsl:variable name="der-inactive-codes-1" select="if ($valid-body-3) then () else        for $code in $der-body-codes-2 return if (contains($code, '~inactive')) then replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is') else '' " />
    <xsl:variable name="der-inactive-codes-2" select="for $i in (1 to count($der-inactive-codes-1)) return         dh:IsCodeAssociatedWithAnotherCode($der-inactive-codes-1[$i], '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-1" select="'Error' = $der-inactive-codes-2 " />
    <xsl:variable name="der-NAF-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-NAF-active-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound~active')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-inactive-codes-3" select="tokenize(string-join(for $i in (1 to count($der-inactive-codes-1)) return replace(string-join(tokenize($der-inactive-codes-2[$i], '\|')        [matches(., '(REPLACED BY|SAME AS|ALTERNATIVE|POSSIBLY EQUIVALENT TO|MAY BE A|WAS A)')], '|'), '[0-9]+~[A-Z ]+~([0-9]+)', '$1'), '|'), '\|')        [. != ''] " />
    <xsl:variable name="der-body-codes-3" select="if (exists($der-inactive-codes-3)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($der-inactive-codes-3, ' OR '), ') AND (', $valid-domain, ')'), '', string(count($der-inactive-codes-3)), false())          else '' " />
    <xsl:variable name="error-usingTS-3" select="$error-usingTS-2 or 'Error' = $der-body-codes-3 " />
    <xsl:variable name="der-valid-codes-3" select="if ($der-valid-codes-2 != '') then $der-valid-codes-2        else if (contains($der-body-codes-3, '[')) then $der-body-codes-3        else '' " />
    <xsl:variable name="valid-body-4" select="$valid-body-3 or $der-valid-codes-3 != '' " />
    <xsl:variable name="invalid-domain" select="if ($invalid-hierarchy != '' and $invalid-refset != '') then concat($invalid-hierarchy, ' OR ', $invalid-refset)        else if ($invalid-hierarchy != '') then $invalid-hierarchy        else if ($invalid-refset != '') then $invalid-refset        else '' " />
    <xsl:variable name="der-body-codes-4" select="if ($ts-not-needed or $valid-body-4 or $invalid-domain = '') then ()        else if (exists($related-terms-2)) then $related-terms-2        else distinct-values((tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          $invalid-domain, $der-text, $max-code-number, false()), '(\[.*?\])(\||$)', '$2'), '\|'), $der-inactive-codes-3)) " />
    <xsl:variable name="error-usingTS-4" select="$error-usingTS-3 or 'Error' = $der-body-codes-4 " />
    <xsl:variable name="invalid-body-codes-r" select="if ($ts-not-needed or $valid-body-4 or $error-usingTS-4 or not(exists($der-body-codes-4))) then ()        else if ($invalid-refset = '') then tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-body-codes-4, ' OR '), ') AND (', $inactive-refSets, ')'), '',           string(count($der-body-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')        else tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-body-codes-4, ' OR '), ') AND (', $invalid-refset, ' OR ', $inactive-refSets, ')'), '',           string(count($der-body-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')  " />
    <xsl:variable name="error-usingTS-5" select="$error-usingTS-4 or 'Error' = $invalid-body-codes-r " />
    <xsl:variable name="der-body-codes-4-h" select="if ($error-usingTS-5) then () else $der-body-codes-4[not(. = $invalid-body-codes-r)]" />
    <xsl:variable name="invalid-body-codes-h" select="if ($ts-not-needed or $valid-body-4 or 'Error' = $der-body-codes-4 or $body-invalid-hierarchy = '' or not(exists($der-body-codes-4-h))) then ()        else (for $code in $der-body-codes-4-h return          if (dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;&gt;', $code, ' MINUS ', $body-invalid-hierarchy), '', '1', false()) = '') then $code else '')[. != ''] " />
    <xsl:variable name="invalid-body-codes" select="($invalid-body-codes-h, $invalid-body-codes-r) " />
    <xsl:variable name="der-body-codes-5" select="$der-body-codes-4[not(. = $invalid-body-codes or . = 'Error')]" />
    <xsl:variable name="der-valid-codes-4" select="if ($der-valid-codes-3 != '') then $der-valid-codes-3        else if ($ts-not-needed or $valid-body-4 or $valid-domain = '' or not(exists($der-body-codes-5))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-body-codes-5, ' OR '), ') AND ', $valid-domain), '', string(count($der-body-codes-5)), false()) " />
    <xsl:variable name="error-usingTS-6" select="$error-usingTS-5 or 'Error' = $der-valid-codes-4 " />
    <xsl:variable name="valid-body-5" select="$valid-body-4 or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="undetermined-body-1" select="$der-body-codes-5[not(. = tokenize(replace($der-valid-codes-4,  '(\[.*?\])(\||$)', '$2'), '\|'))]" />
    <xsl:variable name="undetermined-inactive-1" select="for $i in (1 to count($undetermined-body-1)) return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $undetermined-body-1[$i], '', '1', false()) " />
    <xsl:variable name="error-usingTS-7" select="$error-usingTS-6 or 'Error' = $undetermined-inactive-1 " />
    <xsl:variable name="undetermined-inactive" select="(for $i in (1 to count($undetermined-body-1)) return         if (contains($undetermined-inactive-1[$i], '~inactive')) then $undetermined-inactive-1[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-1" select="for $i in (1 to count($undetermined-inactive))        return dh:IsCodeAssociatedWithAnotherCode(replace($undetermined-inactive[$i], '(\[.*?\])(\||$)', '$2'), '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-2" select="$error-usingV-1 or 'Error' = $undetermined-NAF-1 " />
    <xsl:variable name="undetermined-NAF" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-codes" select="for $term in $undetermined-NAF return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-NAF-active" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound~active')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-active-codes" select="for $term in $undetermined-NAF-active return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-body" select="$undetermined-body-1[not(. = ($undetermined-NAF-codes, $undetermined-NAF-active-codes))]" />
    <xsl:variable name="invalid-body" select="not($valid-body-5) and exists($invalid-body-codes) and not(exists($undetermined-body))" />
    <xsl:variable name="codes-were-found" select="exists($der-body-codes-4) or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="codes-not-found" select="not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-body-5 or $invalid-body) " />
    <xsl:variable name="codes-in-the-domain" select="not($valid-body-1) and $valid-body-5" />
    <xsl:variable name="codes-in-other-domain" select="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-body-5 or $invalid-body or         $error-usingTS-7) " />
    <xsl:variable name="codes-in-no-domain" select="exists($der-body-codes-5) " />
    <xsl:variable name="display-in-the-domain" select="if ($codes-in-the-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', '), '''')        else '' " />
    <xsl:variable name="display-in-other-r" select="if (exists($invalid-body-codes-r) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-body-codes-r return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-h" select="if (exists($invalid-body-codes-h) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-body-codes-h return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-domain" select="if (not($codes-in-other-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))) then ''        else if ($display-in-other-r and display-in-other-h) then concat('''', $display-in-other-r, ', ', $display-in-other-h, '''')        else if ($display-in-other-r) then concat('''', $display-in-other-r, '''')        else if ($display-in-other-h) then concat('''', $display-in-other-h, '''')        else '' " />
    <xsl:variable name="display-in-no-domain" select="if ($codes-in-no-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', dh:XQueryRecursiveReplace(string-join(for $code in $der-body-codes-5 return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), '; '),          $term-pattern-replacement, 'ic'), '''')        else '' " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))        else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="log-concepts-appended" select="if ($error-usingTS-7 or not($flags/@report-terminology-concepts = 'true') or $log-concepts-name = '') then ''        else if ($codes-not-found and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                   'Body',     $log-tab,                   'yes',     $log-tab,                   concat($display-code, $display-system), $log-tab,                   '',     $log-tab,                  '',     $log-tab,                  '',     $log-tab,                  $ts-current-sctau   ))        else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <!--REPORT -->
    <xsl:if test=" $log-concepts-appended = ('NOTFOUND', 'ERROR') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$log-concepts-appended = ('NOTFOUND', 'ERROR')">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Body-Defn): The AppendLog function returned '<xsl:text /><xsl:value-of select="$log-concepts-appended" /><xsl:text />' when requested to append the concepts log
		'<xsl:text /><xsl:value-of select="$log-concepts-name" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-body-5) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-body-5)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Body-Defn): An unexpected problem occurred when assessing the value of the Test Result - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. The application of regular expressions resulted in the complete loss of text.
		Report the information below to the Australian Digital Health Agency for investigation.

		der-text-1 '<xsl:text /><xsl:value-of select="normalize-space(dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'))" /><xsl:text />'.
		der-text-2a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-2a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-a, $term-pattern-replacement, 'ic')" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingV-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingV-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Body-Defn): An error was reported when accessing the terminology server when assessing the Test Result - Anatomical Location Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		Report the issue to the Australian Digital Health Agency for investigation stating the error was recorded for error-usingV-2.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-7 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-7">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Body-Defn): An error was reported when accessing the terminology server when assessing the Test Result - Anatomical Location Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term:
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The analysis should be retried as the terminology server may have been temporarily unavailable.
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation, stating that the error was found by
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'error-usingTS-1' else if ($error-usingTS-2) then 'error-usingTS-2'   else if ($error-usingTS-3) then 'error-usingTS-3' else if ($error-usingTS-4) then 'error-usingTS-4'   else if ($error-usingTS-5) then 'error-usingTS-5' else if ($error-usingTS-6) then 'error-usingTS-6'   else 'error-usingTS-7' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $codes-not-found">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the Result Group Specimen Detail (SPECIMEN) section of the         CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$codes-in-other-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$codes-in-other-domain">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value does not seem to be applicable for the data element.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Test Result - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Test Result - Anatomical Location Name data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Result - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Test Result - Anatomical Location Name data element must have a value that is consistent with this definition. Alternatively if there is no Test Result - Anatomical Location Name data element with a proper value then an exclusion
		statement must be included to state why there is no Test Result - Anatomical Location Name. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4')    then concat('Text such as ''', dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'), ''' may be permitted in the narrative even though the Test Result - Anatomical Location Name data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Test Result - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Test Result - Anatomical Location Name data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($der-text-non-value) and $der-invalid-text ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($der-text-non-value) and $der-invalid-text">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid. <xsl:text /><xsl:value-of select="$defn-invalid-rsn" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $invalid-body and not($error-usingTS-7) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$invalid-body and not($error-usingTS-7)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid
		<xsl:text /><xsl:value-of select="if (exists($invalid-body-codes-h)) then concat(' as it describes ', string-join(distinct-values(for $code in tokenize(replace(   dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat('(', string-join(for $code in $invalid-body-codes-h return concat('&gt;&gt;', $code), ' OR '), ') AND (',    string-join(for $hierarchy in $cd-definitions/body/body-invalid/hierarchy return $hierarchy/@code, ' OR '), ')'), '',    string(count($invalid-body-codes-h)), true()), '(\[.*?\])(\||$)', '$2'), '\|') return $cd-definitions/body/body-invalid/hierarchy[@code = $code]/@description)[position() = (1 to 2)], ' and '), '.')    else if (exists($invalid-body-codes-r)) then concat(' as it describes ', string-join(distinct-values(for $code in $invalid-body-codes-r return   $cd-definitions/body/body-invalid/refset[index-of(for $x in (for $refset in $cd-definitions/body/body-invalid/refset return    dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat($code, ' AND ^', $refset/@code), '', '1', true()), '|') return matches($x, '^[0-9]'), true())[1]]/@description), ' and '), '.')   else '.'" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable outside the applicable value domain): The Test Result - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following codes were obtained and are not in the value domain: <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-Body-Defn): The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU and no associated code was found in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists(($der-NAF-active-codes, $undetermined-NAF-active-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists(($der-NAF-active-codes, $undetermined-NAF-active-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-Body-Defn): The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-active-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU but it was not found with this status in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.
		<xsl:text /><xsl:value-of select="if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $valid-body-1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $valid-body-1">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable within the value domain): The Test Result - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which matches one of the terms listed in Knowledge.xml for the Test Result - Anatomical Location Name.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (concept is codeable within the value domain): The Test Result - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a valid value for the Test Result - Anatomical Location Name.
		SNOMED CT-AU codes that matched the concept are: <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-body-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-body-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The text used to match regular expression (der-text-2) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to match non-values (der-text-to-match) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-to-match, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to derive a code (der-text) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The SNOMED CT-AU version used to find codes is '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' and the maximum code number is '<xsl:text /><xsl:value-of select="$max-code-number" /><xsl:text />'.

		Codes for related terms (related-terms-2): '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($related-terms-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes for related terms (der-valid-codes-1): 
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-1, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-body-codes-2) returned by the terminology server that match the text:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-body-codes-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes from related terms or the terminology server (der-valid-codes-2):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-2, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-inactive-codes-3) returned from the Validator's database associated with inactive codes:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-inactive-codes-3, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes found after examining inactive codes (der-valid-codes-3):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-3, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Members of invalid reference sets (invalid-body-codes-r): '<xsl:text /><xsl:value-of select="$display-in-other-r" /><xsl:text />'.
		Members of invalid code hierarchies (invalid-body-codes-h): '<xsl:text /><xsl:value-of select="$display-in-other-h" /><xsl:text />'.

		Final set of valid codes (der-valid-codes-4):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes whose validity has not been determined (der-body-codes-5):  <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.
		Codes whose validity has not been determined and are inactive with no associated code (undetermined-NAF): '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(    string-join($undetermined-NAF, ''', '''), $markup-pattern-replacement, 'ic')" /><xsl:text />'.

		Will the value of the data element be trusted (der-trusted-text)? '<xsl:text /><xsl:value-of select="$der-trusted-text" /><xsl:text />'.
		
	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and $codes-not-found">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept not codeable): The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($avoid-ts) then 'The terminology server was not used to assist with finding codes corresponding to text in the data element. ' else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M674" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M674" />
  <xsl:template match="@*|node()" priority="-2" mode="M674">
    <xsl:apply-templates select="@*|*" mode="M674" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-CodeableText-48-->
  <!--RULE -->
  <xsl:template match=" cda:ClinicalDocument[$flag-assess-values and '102.16144' = $doc-sections][cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2']]/   cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')]]/cda:targetSiteCode[@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " priority="1000" mode="M675">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" cda:ClinicalDocument[$flag-assess-values and '102.16144' = $doc-sections][cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2']]/   cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')]]/cda:targetSiteCode[@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="pnullFlavor" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @nullFlavor) then @nullFlavor else '' " />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-p-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then false()        else if ($psnomed-id = 'amtv3' and @codeSystemVersion) then exists($v-amtv3[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($psnomed-id = 'snomedctau' and @codeSystemVersion) then exists($v-snomedctau[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false() " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and $pcode != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used to assess the primary code.') " />
    <xsl:variable name="pcode-refsets-1" select="if (@codeSystem = '2.16.840.1.113883.6.96' and not($pcode = ''))         then dh:FindValueDomainsForCode($pcode, '2.16.840.1.113883.6.96', $v-psnomed-version) else 'no-code' " />
    <xsl:variable name="pcode-found" select="not($pcode-refsets-1 = 'no-code' or $pcode-refsets-1 = 'CodeNotFound' or $pcode-refsets-1 = 'Error'        or contains($pcode-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="pcode-refsets" select="if ($pcode-found) then distinct-values(tokenize($pcode-refsets-1, '\|')) else () " />
    <xsl:variable name="pcode-special-proc" select="count($pcode-refsets) = 1 and 'Procedure Foundation (PF)' = $pcode-refsets and not($pnullFlavor = 'OTH') " />
    <xsl:variable name="pcode-refsets-msg" select="if (count($pcode-refsets) = 0) then ''         else if (count($pcode-refsets) = 1) then concat('The code is a member of the ', $pcode-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($pcode-refsets, ', '), '.') " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))         else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-1" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="snomed-trans-2" select="distinct-values(for $i in (1 to count($snomed-trans-1)) return $snomed-trans-1[$i]/@code) " />
    <xsl:variable name="snomed-trans-a" select="$snomed-trans-1[1] " />
    <xsl:variable name="tcode-a" select="if (exists($snomed-trans-a) and matches($snomed-trans-a/@code, $snomed-code-regex)) then $snomed-trans-a/@code else '' " />
    <xsl:variable name="tnullFlavor-a" select="if (exists($snomed-trans-a) and $snomed-trans-a/@nullFlavor) then $snomed-trans-a/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-a" select="if (not(exists($snomed-trans-a))) then 'not-snomed'        else if (not($snomed-trans-a/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-a/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-a" select="if (not(exists($snomed-trans-a))) then ''        else if ($tsnomed-id-a = 'amtv3' and exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-a = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-a/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-a" select="if (not(exists($snomed-trans-a))) then false()        else if ($tsnomed-id-a = 'amtv3' and $snomed-trans-a/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-a = 'snomedctau' and $snomed-trans-a/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-a-msg" select="if (not(exists($snomed-trans-a))) then ''        else if (not($snomed-trans-a/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-a, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-a = 'amtv3') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-a = 'snomedctau') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-a/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-a, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-a/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-a-refsets-1" select="if (exists($snomed-trans-a) and not($tcode-a = ''))         then dh:FindValueDomainsForCode($tcode-a, '2.16.840.1.113883.6.96', $v-tsnomed-version-a) else 'no-code' " />
    <xsl:variable name="tcode-a-found" select="not($tcode-a-refsets-1 = 'no-code' or $tcode-a-refsets-1 = 'CodeNotFound' or $tcode-a-refsets-1 = 'Error'         or contains($tcode-a-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-a-refsets" select="if ($tcode-a-found) then distinct-values(tokenize($tcode-a-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-a-special-proc" select="count($tcode-a-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-a-refsets and not($tnullFlavor-a = 'OTH') " />
    <xsl:variable name="tcode-a-refsets-msg" select="if (count($tcode-a-refsets) = 0) then ''         else if (count($tcode-a-refsets) = 1) then concat('The code is a member of the ', $tcode-a-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-a-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@code and $snomed-trans-a/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-a/@displayName, codepoints-to-string(34))         else if ($snomed-trans-a/@code and not($snomed-trans-a/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@codeSystem and $snomed-trans-a/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-a/@codeSystemName, ')')         else if ($snomed-trans-a/@codeSystem and not($snomed-trans-a/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-b" select="(for $i in (2 to count($snomed-trans-1)) return if ($snomed-trans-1[$i]/@code != $snomed-trans-a/@code) then $snomed-trans-1[$i] else ())[1] " />
    <xsl:variable name="tcode-b" select="if (exists($snomed-trans-b) and matches($snomed-trans-b/@code, $snomed-code-regex)) then $snomed-trans-b/@code else '' " />
    <xsl:variable name="tnullFlavor-b" select="if (exists($snomed-trans-b) and $snomed-trans-b/@nullFlavor) then $snomed-trans-b/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-b" select="if (not(exists($snomed-trans-b))) then 'not-snomed'        else if (not($snomed-trans-b/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-b/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-b" select="if (not(exists($snomed-trans-b))) then ''        else if ($tsnomed-id-b = 'amtv3' and exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-b = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-b/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-b" select="if (not(exists($snomed-trans-b))) then false()        else if ($tsnomed-id-b = 'amtv3' and $snomed-trans-b/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-b = 'snomedctau' and $snomed-trans-b/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-b-msg" select="if (not(exists($snomed-trans-b))) then ''        else if (not($snomed-trans-b/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-b, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-b = 'amtv3') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-b = 'snomedctau') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-b/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-b, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-b/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-b-refsets-1" select="if (exists($snomed-trans-b) and not($tcode-b = ''))         then dh:FindValueDomainsForCode($tcode-b, '2.16.840.1.113883.6.96', $v-tsnomed-version-b) else 'no-code' " />
    <xsl:variable name="tcode-b-found" select="not($tcode-b-refsets-1 = 'no-code' or $tcode-b-refsets-1 = 'CodeNotFound' or $tcode-b-refsets-1 = 'Error'         or contains($tcode-b-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-b-refsets" select="if ($tcode-b-found) then distinct-values(tokenize($tcode-b-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-b-special-proc" select="count($tcode-b-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-b-refsets and not($tnullFlavor-b = 'OTH') " />
    <xsl:variable name="tcode-b-refsets-msg" select="if (count($tcode-b-refsets) = 0) then ''         else if (count($tcode-b-refsets) = 1) then concat('The code is a member of the ', $tcode-b-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-b-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@code and $snomed-trans-b/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-b/@displayName, codepoints-to-string(34))         else if ($snomed-trans-b/@code and not($snomed-trans-b/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@codeSystem and $snomed-trans-b/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-b/@codeSystemName, ')')         else if ($snomed-trans-b/@codeSystem and not($snomed-trans-b/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-60" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-60 else $rating-alt-TC-Types-60 " />
    <!--REPORT -->
    <xsl:if test=" $pcode-found and $pcode-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pcode-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD (p-TS-CD-SCT-RefSet): An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$pcode" /><xsl:text />',
		codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-psnomed-version" /><xsl:text />'. This error occurred when assessing the Test Result - Anatomical Location Name data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. The value is not valid for the data element as it describes a medical
		procedure and not a medical problem or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and   not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the code is not a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the Result Group Specimen Detail section of the         CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and   not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the Result Group Specimen Detail section of the         CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and   exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the Result Group Specimen Detail section of the         CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and   exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. Confirm if the code is a member of the value domain.
		If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the Result Group Specimen Detail section of the         CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="count($snomed-trans-1)" /><xsl:text /> translation elements with
		codes and the SNOMED CT-AU codeSystem '2.16.840.1.113883.6.96'. The first two translation elements have been assessed to determine if the codes are members of the value domain
		and the others have not been assessed. Confirm if the value of the code attribute in all SNOMED CT translation elements meets the requirement that it be a member of the value domain
		if there is no nullFlavor 'OTH' or that there is a nullFlavor 'OTH' if the value of the code attribute is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text /> 
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the Result Group Specimen Detail section of the         CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-a" /><xsl:text />'. This error occurred when assessing the Test Result - Anatomical Location Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and   not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the Result Group Specimen Detail section of the         CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and   not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the Result Group Specimen Detail section of the         CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and   exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the Result Group Specimen Detail section of the         CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and   exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the Result Group Specimen Detail section of the         CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-b" /><xsl:text />'. This error occurred when assessing the Test Result - Anatomical Location Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> 
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and   not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the Result Group Specimen Detail section of the         CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and   not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the Result Group Specimen Detail section of the         CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and   exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the Result Group Specimen Detail section of the         CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and   exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the Result Group Specimen Detail section of the         CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M675" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M675" />
  <xsl:template match="@*|node()" priority="-2" mode="M675">
    <xsl:apply-templates select="@*|*" mode="M675" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-CodeableText-49-->
  <!--RULE -->
  <xsl:template match=" cda:ClinicalDocument[$flag-assess-values and '102.16144' = $doc-sections][cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2']]/   cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')]]/   cda:targetSiteCode[@displayName][(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-body-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])]   [not(@nullFlavor = $no-value-NF)] " priority="1000" mode="M676">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" cda:ClinicalDocument[$flag-assess-values and '102.16144' = $doc-sections][cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2']]/   cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')]]/   cda:targetSiteCode[@displayName][(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-body-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])]   [not(@nullFlavor = $no-value-NF)] " />
    <xsl:variable name="pcode" select="if ('2.16.840.1.113883.6.96' = $defn-body-trusted and          @codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="snomed-trans" select="if ('2.16.840.1.113883.6.96' = $defn-body-trusted and cda:translation)         then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="tcode" select="if (exists($snomed-trans[1]) and matches($snomed-trans[1]/@code, $snomed-code-regex)) then $snomed-trans[1]/@code else '' " />
    <xsl:variable name="code-present" select="$pcode != '' or $tcode != '' " />
    <xsl:variable name="invalid-code-system" select="@code and @displayName and @codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="codesystemvalues" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']" />
    <xsl:variable name="otext-without-markup" select="if (cda:originalText and cda:originalText != '') then normalize-space(replace(cda:originalText, $markup-regex, ' ')) else '' " />
    <xsl:variable name="pdname" select="if (@displayName and not($invalid-code-system)) then normalize-space(@displayName) else '' " />
    <xsl:variable name="max-code-number" select="if ($knowledge/search-for-term/max-sct-code-number/@value &gt; '5') then $knowledge/search-for-term/max-sct-code-number/@value else '5' " />
    <xsl:variable name="der-text-1" select="if ($code-present) then ''         else if ($otext-without-markup != '') then $otext-without-markup        else if ($pdname != '') then $pdname        else '' " />
    <xsl:variable name="der-text-2a" select="if ($der-text-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-text-1, $body-fir-pattern-replacement, 'ic')) " />
    <xsl:variable name="der-text-2" select="if ($der-text-2a = '') then $der-text-1 else $der-text-2a " />
    <xsl:variable name="family-err" select="matches($der-text-1, $family-regex, 'i')" />
    <xsl:variable name="length-err" select="string-length($der-text-1) &gt; $length-err-max" />
    <xsl:variable name="avoid-ts" select="$family-err or $length-err or not($use-ts-for-sctau) " />
    <xsl:variable name="der-text-a" select="if ($body-replacements = '' or $der-text-2 = '') then $der-text-2        else normalize-space(dh:XQueryRecursiveReplace($der-text-2, $body-replacements, 'ic')) " />
    <xsl:variable name="der-text" select="if ($der-text-a = '') then $der-text-2 else $der-text-a " />
    <xsl:variable name="defn-valid-regex" select="concat('(^|\|)', translate($der-text-2, $chars-to-remove, ''), '(\||$)') " />
    <xsl:variable name="der-text-to-match-1" select="lower-case($der-text-2) " />
    <xsl:variable name="der-text-to-match" select="translate($der-text-to-match-1, $chars-to-remove, '') " />
    <xsl:variable name="der-text-non-value" select="if ($code-present or @nullFlavor = $no-value-NF) then false() else         $der-text-to-match = ''              or         not(matches($der-text-to-match-1, '[a-z]', 'i'))          or        ($cd-definitions/non-value/@regex != '' and matches($der-text-to-match-1, $cd-definitions/non-value/@regex, 'i'))  or        (exists($cd-definitions/body/@non-value-regex) and matches($der-text-to-match-1, $cd-definitions/body/@non-value-regex, 'i')) " />
    <xsl:variable name="defn-invalid-regex" select="if ($code-present or $der-text-non-value) then ()        else if ($cd-definitions/body/@invalid-regex) then tokenize($cd-definitions/body/@invalid-regex, '~')[. != '']         else () " />
    <xsl:variable name="defn-invalid-txt-regex" select="(for $i in (1 to count($defn-invalid-regex)) return normalize-space(substring-before($defn-invalid-regex[$i], '[[')))[. != '']" />
    <xsl:variable name="der-invalid-text-regex-1" select="if (exists($defn-invalid-txt-regex))        then index-of(for $i in (1 to count($defn-invalid-txt-regex)) return matches($der-text-2, $defn-invalid-txt-regex[$i], 'i'), true())        else () " />
    <xsl:variable name="der-invalid-text" select="exists($der-invalid-text-regex-1) " />
    <xsl:variable name="defn-invalid-rsn" select="if ($der-invalid-text)         then normalize-space(substring-before(substring-after($defn-invalid-regex[$der-invalid-text-regex-1[1]], '[['), ']]'))         else '' " />
    <xsl:variable name="trusted-code-systems" select="if ($der-text = '' or $der-invalid-text or not(@codeSystem or cda:translation/@codeSystem)) then ()        else (tokenize(replace($cd-definitions/body/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/body/@extra, '\s+', ''), '\|'))[. != ''] " />
    <xsl:variable name="der-trusted-text" select="if ($der-text = '' or $der-invalid-text or (@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex)))) then false()        else ((@codeSystem and exists($trusted-code-systems[. = current()/@codeSystem])) or               (cda:translation/@codeSystem and exists($trusted-code-systems[. = current()/cda:translation/@codeSystem]))) " />
    <xsl:variable name="valid-body-1" select="if ($code-present or $der-text-non-value or $der-invalid-text or not($cd-definitions/body/@valid-regex)) then false()        else exists(index-of(for $regex in (tokenize($cd-definitions/body/@valid-regex, '~')[. != '']) return          matches($der-text-2, dh:XQueryRecursiveReplace(normalize-space($regex), ' \|~|~\| ~|', ''), 'is'), true())) " />
    <xsl:variable name="invalid-hierarchy" select="if (exists($cd-definitions/body/body-invalid/hierarchy))         then string-join(for $hierarchy in $cd-definitions/body/body-invalid/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-refset" select="if (exists($cd-definitions/body/body-invalid/refset))          then string-join(for $refset in $cd-definitions/body/body-invalid/refset return concat('^', $refset/@code), ' OR ')         else '' " />
    <xsl:variable name="valid-refset" select="'^32570061000036105' " />
    <xsl:variable name="valid-domain" select="if ($invalid-refset != '' and $invalid-hierarchy != '')         then concat('((', $valid-refset, ') MINUS (', $invalid-refset, ' OR (', $invalid-hierarchy, ')))')        else if ($invalid-refset = '' and $invalid-hierarchy != '') then concat('((', $valid-refset, ') MINUS (', $invalid-hierarchy, '))')         else if ($invalid-refset != '' and $invalid-hierarchy = '') then concat('((', $valid-refset, ') MINUS (', $invalid-refset, '))')        else concat('(', $valid-refset, ')') " />
    <xsl:variable name="related-terms-1" select="if ($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-body-1) then ()        else ($codesystemvalues/code[@related-terms], $codesystemvalues/related-terms[@related-terms]) " />
    <xsl:variable name="related-terms-2" select="for $i in index-of(        for $concept in $related-terms-1 return matches(translate($concept/@related-terms, $chars-no-pipe, ''), $defn-valid-regex, 'i'), true())         return $related-terms-1[$i]/@code " />
    <xsl:variable name="der-body-codes-1" select="if (exists($related-terms-2)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($related-terms-2, ' OR '), ') AND (', $valid-domain, ')'), '', string(count($related-terms-2)), false())        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $der-body-codes-1 " />
    <xsl:variable name="der-valid-codes-1" select="if (contains($der-body-codes-1, '[')) then $der-body-codes-1 else '' " />
    <xsl:variable name="valid-body-2" select="$valid-body-1 or $der-valid-codes-1 != '' " />
    <xsl:variable name="body-inactive-refSets" select="if (exists($cd-definitions/body/body-invalid/inactive-refset))         then concat('((', $inactive-refSets, ') MINUS (',           string-join(for $refset in $cd-definitions/body/body-invalid/inactive-refset return concat('^', $refset/@code), ' OR '),          '))')         else $inactive-refSets " />
    <xsl:variable name="formula" select="concat($valid-domain, ' OR ', $body-inactive-refSets) " />
    <xsl:variable name="ts-not-needed" select="$der-text = '' or $der-text-non-value or $der-invalid-text or $valid-body-2 or $avoid-ts " />
    <xsl:variable name="der-body-codes-2" select="if ($ts-not-needed or exists($related-terms-2)) then ()         else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-text,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or 'Error' = $der-body-codes-2 " />
    <xsl:variable name="der-valid-codes-2" select="if ($der-valid-codes-1 != '') then $der-valid-codes-1        else if ($error-usingTS-2) then ''         else string-join((for $code in $der-body-codes-2 return if (contains($code, '~inactive')) then '' else $code)[. != ''], '|')  " />
    <xsl:variable name="valid-body-3" select="$valid-body-2 or $der-valid-codes-2 != '' " />
    <xsl:variable name="der-inactive-codes-1" select="if ($valid-body-3) then () else        for $code in $der-body-codes-2 return if (contains($code, '~inactive')) then replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is') else '' " />
    <xsl:variable name="der-inactive-codes-2" select="for $i in (1 to count($der-inactive-codes-1)) return         dh:IsCodeAssociatedWithAnotherCode($der-inactive-codes-1[$i], '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-1" select="'Error' = $der-inactive-codes-2 " />
    <xsl:variable name="der-NAF-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-NAF-active-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound~active')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-inactive-codes-3" select="tokenize(string-join(for $i in (1 to count($der-inactive-codes-1)) return replace(string-join(tokenize($der-inactive-codes-2[$i], '\|')        [matches(., '(REPLACED BY|SAME AS|ALTERNATIVE|POSSIBLY EQUIVALENT TO|MAY BE A|WAS A)')], '|'), '[0-9]+~[A-Z ]+~([0-9]+)', '$1'), '|'), '\|')        [. != ''] " />
    <xsl:variable name="der-body-codes-3" select="if (exists($der-inactive-codes-3)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($der-inactive-codes-3, ' OR '), ') AND (', $valid-domain, ')'), '', string(count($der-inactive-codes-3)), false())          else '' " />
    <xsl:variable name="error-usingTS-3" select="$error-usingTS-2 or 'Error' = $der-body-codes-3 " />
    <xsl:variable name="der-valid-codes-3" select="if ($der-valid-codes-2 != '') then $der-valid-codes-2        else if (contains($der-body-codes-3, '[')) then $der-body-codes-3        else '' " />
    <xsl:variable name="valid-body-4" select="$valid-body-3 or $der-valid-codes-3 != '' " />
    <xsl:variable name="invalid-domain" select="if ($invalid-hierarchy != '' and $invalid-refset != '') then concat($invalid-hierarchy, ' OR ', $invalid-refset)        else if ($invalid-hierarchy != '') then $invalid-hierarchy        else if ($invalid-refset != '') then $invalid-refset        else '' " />
    <xsl:variable name="der-body-codes-4" select="if ($ts-not-needed or $valid-body-4 or $invalid-domain = '') then ()        else if (exists($related-terms-2)) then $related-terms-2        else distinct-values((tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          $invalid-domain, $der-text, $max-code-number, false()), '(\[.*?\])(\||$)', '$2'), '\|'), $der-inactive-codes-3)) " />
    <xsl:variable name="error-usingTS-4" select="$error-usingTS-3 or 'Error' = $der-body-codes-4 " />
    <xsl:variable name="invalid-body-codes-r" select="if ($ts-not-needed or $valid-body-4 or $error-usingTS-4 or not(exists($der-body-codes-4))) then ()        else if ($invalid-refset = '') then tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-body-codes-4, ' OR '), ') AND (', $inactive-refSets, ')'), '',           string(count($der-body-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')        else tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-body-codes-4, ' OR '), ') AND (', $invalid-refset, ' OR ', $inactive-refSets, ')'), '',           string(count($der-body-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')  " />
    <xsl:variable name="error-usingTS-5" select="$error-usingTS-4 or 'Error' = $invalid-body-codes-r " />
    <xsl:variable name="der-body-codes-4-h" select="if ($error-usingTS-5) then () else $der-body-codes-4[not(. = $invalid-body-codes-r)]" />
    <xsl:variable name="invalid-body-codes-h" select="if ($ts-not-needed or $valid-body-4 or 'Error' = $der-body-codes-4 or $body-invalid-hierarchy = '' or not(exists($der-body-codes-4-h))) then ()        else (for $code in $der-body-codes-4-h return          if (dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;&gt;', $code, ' MINUS ', $body-invalid-hierarchy), '', '1', false()) = '') then $code else '')[. != ''] " />
    <xsl:variable name="invalid-body-codes" select="($invalid-body-codes-h, $invalid-body-codes-r) " />
    <xsl:variable name="der-body-codes-5" select="$der-body-codes-4[not(. = $invalid-body-codes or . = 'Error')]" />
    <xsl:variable name="der-valid-codes-4" select="if ($der-valid-codes-3 != '') then $der-valid-codes-3        else if ($ts-not-needed or $valid-body-4 or $valid-domain = '' or not(exists($der-body-codes-5))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-body-codes-5, ' OR '), ') AND ', $valid-domain), '', string(count($der-body-codes-5)), false()) " />
    <xsl:variable name="error-usingTS-6" select="$error-usingTS-5 or 'Error' = $der-valid-codes-4 " />
    <xsl:variable name="valid-body-5" select="$valid-body-4 or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="undetermined-body-1" select="$der-body-codes-5[not(. = tokenize(replace($der-valid-codes-4,  '(\[.*?\])(\||$)', '$2'), '\|'))]" />
    <xsl:variable name="undetermined-inactive-1" select="for $i in (1 to count($undetermined-body-1)) return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $undetermined-body-1[$i], '', '1', false()) " />
    <xsl:variable name="error-usingTS-7" select="$error-usingTS-6 or 'Error' = $undetermined-inactive-1 " />
    <xsl:variable name="undetermined-inactive" select="(for $i in (1 to count($undetermined-body-1)) return         if (contains($undetermined-inactive-1[$i], '~inactive')) then $undetermined-inactive-1[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-1" select="for $i in (1 to count($undetermined-inactive))        return dh:IsCodeAssociatedWithAnotherCode(replace($undetermined-inactive[$i], '(\[.*?\])(\||$)', '$2'), '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-2" select="$error-usingV-1 or 'Error' = $undetermined-NAF-1 " />
    <xsl:variable name="undetermined-NAF" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-codes" select="for $term in $undetermined-NAF return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-NAF-active" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound~active')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-active-codes" select="for $term in $undetermined-NAF-active return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-body" select="$undetermined-body-1[not(. = ($undetermined-NAF-codes, $undetermined-NAF-active-codes))]" />
    <xsl:variable name="invalid-body" select="not($valid-body-5) and exists($invalid-body-codes) and not(exists($undetermined-body))" />
    <xsl:variable name="codes-were-found" select="exists($der-body-codes-4) or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="codes-not-found" select="not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-body-5 or $invalid-body) " />
    <xsl:variable name="codes-in-the-domain" select="not($valid-body-1) and $valid-body-5" />
    <xsl:variable name="codes-in-other-domain" select="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-body-5 or $invalid-body or         $error-usingTS-7) " />
    <xsl:variable name="codes-in-no-domain" select="exists($der-body-codes-5) " />
    <xsl:variable name="display-in-the-domain" select="if ($codes-in-the-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', '), '''')        else '' " />
    <xsl:variable name="display-in-other-r" select="if (exists($invalid-body-codes-r) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-body-codes-r return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-h" select="if (exists($invalid-body-codes-h) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-body-codes-h return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-domain" select="if (not($codes-in-other-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))) then ''        else if ($display-in-other-r and display-in-other-h) then concat('''', $display-in-other-r, ', ', $display-in-other-h, '''')        else if ($display-in-other-r) then concat('''', $display-in-other-r, '''')        else if ($display-in-other-h) then concat('''', $display-in-other-h, '''')        else '' " />
    <xsl:variable name="display-in-no-domain" select="if ($codes-in-no-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', dh:XQueryRecursiveReplace(string-join(for $code in $der-body-codes-5 return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), '; '),          $term-pattern-replacement, 'ic'), '''')        else '' " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))        else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="log-concepts-appended" select="if ($error-usingTS-7 or not($flags/@report-terminology-concepts = 'true') or $log-concepts-name = '') then ''        else if ($codes-not-found and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                   'Body',     $log-tab,                   'yes',     $log-tab,                   concat($display-code, $display-system), $log-tab,                   '',     $log-tab,                  '',     $log-tab,                  '',     $log-tab,                  $ts-current-sctau   ))        else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <!--REPORT -->
    <xsl:if test=" $log-concepts-appended = ('NOTFOUND', 'ERROR') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$log-concepts-appended = ('NOTFOUND', 'ERROR')">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Body-Defn): The AppendLog function returned '<xsl:text /><xsl:value-of select="$log-concepts-appended" /><xsl:text />' when requested to append the concepts log
		'<xsl:text /><xsl:value-of select="$log-concepts-name" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-body-5) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-body-5)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Body-Defn): An unexpected problem occurred when assessing the value of the Test Result - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. The application of regular expressions resulted in the complete loss of text.
		Report the information below to the Australian Digital Health Agency for investigation.

		der-text-1 '<xsl:text /><xsl:value-of select="normalize-space(dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'))" /><xsl:text />'.
		der-text-2a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-2a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-a, $term-pattern-replacement, 'ic')" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingV-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingV-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Body-Defn): An error was reported when accessing the terminology server when assessing the Test Result - Anatomical Location Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		Report the issue to the Australian Digital Health Agency for investigation stating the error was recorded for error-usingV-2.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-7 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-7">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Body-Defn): An error was reported when accessing the terminology server when assessing the Test Result - Anatomical Location Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term:
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The analysis should be retried as the terminology server may have been temporarily unavailable.
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation, stating that the error was found by
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'error-usingTS-1' else if ($error-usingTS-2) then 'error-usingTS-2'   else if ($error-usingTS-3) then 'error-usingTS-3' else if ($error-usingTS-4) then 'error-usingTS-4'   else if ($error-usingTS-5) then 'error-usingTS-5' else if ($error-usingTS-6) then 'error-usingTS-6'   else 'error-usingTS-7' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $codes-not-found">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the Result Group Specimen Detail section of the         CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$codes-in-other-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$codes-in-other-domain">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value does not seem to be applicable for the data element.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Test Result - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Test Result - Anatomical Location Name data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Result - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Test Result - Anatomical Location Name data element must have a value that is consistent with this definition. Alternatively if there is no Test Result - Anatomical Location Name data element with a proper value then an exclusion
		statement must be included to state why there is no Test Result - Anatomical Location Name. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4')    then concat('Text such as ''', dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'), ''' may be permitted in the narrative even though the Test Result - Anatomical Location Name data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Test Result - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Test Result - Anatomical Location Name data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($der-text-non-value) and $der-invalid-text ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($der-text-non-value) and $der-invalid-text">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid. <xsl:text /><xsl:value-of select="$defn-invalid-rsn" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $invalid-body and not($error-usingTS-7) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$invalid-body and not($error-usingTS-7)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid
		<xsl:text /><xsl:value-of select="if (exists($invalid-body-codes-h)) then concat(' as it describes ', string-join(distinct-values(for $code in tokenize(replace(   dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat('(', string-join(for $code in $invalid-body-codes-h return concat('&gt;&gt;', $code), ' OR '), ') AND (',    string-join(for $hierarchy in $cd-definitions/body/body-invalid/hierarchy return $hierarchy/@code, ' OR '), ')'), '',    string(count($invalid-body-codes-h)), true()), '(\[.*?\])(\||$)', '$2'), '\|') return $cd-definitions/body/body-invalid/hierarchy[@code = $code]/@description)[position() = (1 to 2)], ' and '), '.')    else if (exists($invalid-body-codes-r)) then concat(' as it describes ', string-join(distinct-values(for $code in $invalid-body-codes-r return   $cd-definitions/body/body-invalid/refset[index-of(for $x in (for $refset in $cd-definitions/body/body-invalid/refset return    dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat($code, ' AND ^', $refset/@code), '', '1', true()), '|') return matches($x, '^[0-9]'), true())[1]]/@description), ' and '), '.')   else '.'" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable outside the applicable value domain): The Test Result - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following codes were obtained and are not in the value domain: <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-Body-Defn): The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU and no associated code was found in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists(($der-NAF-active-codes, $undetermined-NAF-active-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists(($der-NAF-active-codes, $undetermined-NAF-active-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-Body-Defn): The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-active-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU but it was not found with this status in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.
		<xsl:text /><xsl:value-of select="if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $valid-body-1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $valid-body-1">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable within the value domain): The Test Result - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which matches one of the terms listed in Knowledge.xml for the Test Result - Anatomical Location Name.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (concept is codeable within the value domain): The Test Result - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a valid value for the Test Result - Anatomical Location Name.
		SNOMED CT-AU codes that matched the concept are: <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-body-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-body-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The text used to match regular expression (der-text-2) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to match non-values (der-text-to-match) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-to-match, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to derive a code (der-text) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The SNOMED CT-AU version used to find codes is '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' and the maximum code number is '<xsl:text /><xsl:value-of select="$max-code-number" /><xsl:text />'.

		Codes for related terms (related-terms-2): '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($related-terms-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes for related terms (der-valid-codes-1): 
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-1, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-body-codes-2) returned by the terminology server that match the text:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-body-codes-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes from related terms or the terminology server (der-valid-codes-2):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-2, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-inactive-codes-3) returned from the Validator's database associated with inactive codes:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-inactive-codes-3, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes found after examining inactive codes (der-valid-codes-3):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-3, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Members of invalid reference sets (invalid-body-codes-r): '<xsl:text /><xsl:value-of select="$display-in-other-r" /><xsl:text />'.
		Members of invalid code hierarchies (invalid-body-codes-h): '<xsl:text /><xsl:value-of select="$display-in-other-h" /><xsl:text />'.

		Final set of valid codes (der-valid-codes-4):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes whose validity has not been determined (der-body-codes-5):  <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.
		Codes whose validity has not been determined and are inactive with no associated code (undetermined-NAF): '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(    string-join($undetermined-NAF, ''', '''), $markup-pattern-replacement, 'ic')" /><xsl:text />'.

		Will the value of the data element be trusted (der-trusted-text)? '<xsl:text /><xsl:value-of select="$der-trusted-text" /><xsl:text />'.
		
	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and $codes-not-found">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept not codeable): The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($avoid-ts) then 'The terminology server was not used to assist with finding codes corresponding to text in the data element. ' else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M676" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M676" />
  <xsl:template match="@*|node()" priority="-2" mode="M676">
    <xsl:apply-templates select="@*|*" mode="M676" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-CodeableText-50-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '102.16144' = $doc-sections][cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3']]/   cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')]]/cda:targetSiteCode[@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " priority="1000" mode="M677">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '102.16144' = $doc-sections][cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3']]/   cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')]]/cda:targetSiteCode[@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="pnullFlavor" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @nullFlavor) then @nullFlavor else '' " />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-p-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then false()        else if ($psnomed-id = 'amtv3' and @codeSystemVersion) then exists($v-amtv3[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($psnomed-id = 'snomedctau' and @codeSystemVersion) then exists($v-snomedctau[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false() " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and $pcode != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used to assess the primary code.') " />
    <xsl:variable name="pcode-refsets-1" select="if (@codeSystem = '2.16.840.1.113883.6.96' and not($pcode = ''))         then dh:FindValueDomainsForCode($pcode, '2.16.840.1.113883.6.96', $v-psnomed-version) else 'no-code' " />
    <xsl:variable name="pcode-found" select="not($pcode-refsets-1 = 'no-code' or $pcode-refsets-1 = 'CodeNotFound' or $pcode-refsets-1 = 'Error'        or contains($pcode-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="pcode-refsets" select="if ($pcode-found) then distinct-values(tokenize($pcode-refsets-1, '\|')) else () " />
    <xsl:variable name="pcode-special-proc" select="count($pcode-refsets) = 1 and 'Procedure Foundation (PF)' = $pcode-refsets and not($pnullFlavor = 'OTH') " />
    <xsl:variable name="pcode-refsets-msg" select="if (count($pcode-refsets) = 0) then ''         else if (count($pcode-refsets) = 1) then concat('The code is a member of the ', $pcode-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($pcode-refsets, ', '), '.') " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))         else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-1" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="snomed-trans-2" select="distinct-values(for $i in (1 to count($snomed-trans-1)) return $snomed-trans-1[$i]/@code) " />
    <xsl:variable name="snomed-trans-a" select="$snomed-trans-1[1] " />
    <xsl:variable name="tcode-a" select="if (exists($snomed-trans-a) and matches($snomed-trans-a/@code, $snomed-code-regex)) then $snomed-trans-a/@code else '' " />
    <xsl:variable name="tnullFlavor-a" select="if (exists($snomed-trans-a) and $snomed-trans-a/@nullFlavor) then $snomed-trans-a/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-a" select="if (not(exists($snomed-trans-a))) then 'not-snomed'        else if (not($snomed-trans-a/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-a/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-a" select="if (not(exists($snomed-trans-a))) then ''        else if ($tsnomed-id-a = 'amtv3' and exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-a = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-a/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-a" select="if (not(exists($snomed-trans-a))) then false()        else if ($tsnomed-id-a = 'amtv3' and $snomed-trans-a/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-a = 'snomedctau' and $snomed-trans-a/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-a-msg" select="if (not(exists($snomed-trans-a))) then ''        else if (not($snomed-trans-a/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-a, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-a = 'amtv3') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-a = 'snomedctau') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-a/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-a, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-a/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-a-refsets-1" select="if (exists($snomed-trans-a) and not($tcode-a = ''))         then dh:FindValueDomainsForCode($tcode-a, '2.16.840.1.113883.6.96', $v-tsnomed-version-a) else 'no-code' " />
    <xsl:variable name="tcode-a-found" select="not($tcode-a-refsets-1 = 'no-code' or $tcode-a-refsets-1 = 'CodeNotFound' or $tcode-a-refsets-1 = 'Error'         or contains($tcode-a-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-a-refsets" select="if ($tcode-a-found) then distinct-values(tokenize($tcode-a-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-a-special-proc" select="count($tcode-a-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-a-refsets and not($tnullFlavor-a = 'OTH') " />
    <xsl:variable name="tcode-a-refsets-msg" select="if (count($tcode-a-refsets) = 0) then ''         else if (count($tcode-a-refsets) = 1) then concat('The code is a member of the ', $tcode-a-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-a-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@code and $snomed-trans-a/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-a/@displayName, codepoints-to-string(34))         else if ($snomed-trans-a/@code and not($snomed-trans-a/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@codeSystem and $snomed-trans-a/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-a/@codeSystemName, ')')         else if ($snomed-trans-a/@codeSystem and not($snomed-trans-a/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-b" select="(for $i in (2 to count($snomed-trans-1)) return if ($snomed-trans-1[$i]/@code != $snomed-trans-a/@code) then $snomed-trans-1[$i] else ())[1] " />
    <xsl:variable name="tcode-b" select="if (exists($snomed-trans-b) and matches($snomed-trans-b/@code, $snomed-code-regex)) then $snomed-trans-b/@code else '' " />
    <xsl:variable name="tnullFlavor-b" select="if (exists($snomed-trans-b) and $snomed-trans-b/@nullFlavor) then $snomed-trans-b/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-b" select="if (not(exists($snomed-trans-b))) then 'not-snomed'        else if (not($snomed-trans-b/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-b/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-b" select="if (not(exists($snomed-trans-b))) then ''        else if ($tsnomed-id-b = 'amtv3' and exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-b = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-b/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-b" select="if (not(exists($snomed-trans-b))) then false()        else if ($tsnomed-id-b = 'amtv3' and $snomed-trans-b/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-b = 'snomedctau' and $snomed-trans-b/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-b-msg" select="if (not(exists($snomed-trans-b))) then ''        else if (not($snomed-trans-b/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-b, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-b = 'amtv3') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-b = 'snomedctau') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-b/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-b, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-b/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-b-refsets-1" select="if (exists($snomed-trans-b) and not($tcode-b = ''))         then dh:FindValueDomainsForCode($tcode-b, '2.16.840.1.113883.6.96', $v-tsnomed-version-b) else 'no-code' " />
    <xsl:variable name="tcode-b-found" select="not($tcode-b-refsets-1 = 'no-code' or $tcode-b-refsets-1 = 'CodeNotFound' or $tcode-b-refsets-1 = 'Error'         or contains($tcode-b-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-b-refsets" select="if ($tcode-b-found) then distinct-values(tokenize($tcode-b-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-b-special-proc" select="count($tcode-b-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-b-refsets and not($tnullFlavor-b = 'OTH') " />
    <xsl:variable name="tcode-b-refsets-msg" select="if (count($tcode-b-refsets) = 0) then ''         else if (count($tcode-b-refsets) = 1) then concat('The code is a member of the ', $tcode-b-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-b-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@code and $snomed-trans-b/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-b/@displayName, codepoints-to-string(34))         else if ($snomed-trans-b/@code and not($snomed-trans-b/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@codeSystem and $snomed-trans-b/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-b/@codeSystemName, ')')         else if ($snomed-trans-b/@codeSystem and not($snomed-trans-b/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-60" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-60 else $rating-alt-TC-Types-60 " />
    <!--REPORT -->
    <xsl:if test=" $pcode-found and $pcode-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pcode-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD (p-TS-CD-SCT-RefSet): An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$pcode" /><xsl:text />',
		codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-psnomed-version" /><xsl:text />'. This error occurred when assessing the Test Result - Anatomical Location Name data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. The value is not valid for the data element as it describes a medical
		procedure and not a medical problem or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and   not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the code is not a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the TEST SPECIMEN DETAIL section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and   not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the TEST SPECIMEN DETAIL section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and   exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the TEST SPECIMEN DETAIL section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and   exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. Confirm if the code is a member of the value domain.
		If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the TEST SPECIMEN DETAIL section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="count($snomed-trans-1)" /><xsl:text /> translation elements with
		codes and the SNOMED CT-AU codeSystem '2.16.840.1.113883.6.96'. The first two translation elements have been assessed to determine if the codes are members of the value domain
		and the others have not been assessed. Confirm if the value of the code attribute in all SNOMED CT translation elements meets the requirement that it be a member of the value domain
		if there is no nullFlavor 'OTH' or that there is a nullFlavor 'OTH' if the value of the code attribute is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text /> 
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the TEST SPECIMEN DETAIL section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-a" /><xsl:text />'. This error occurred when assessing the Test Result - Anatomical Location Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and   not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the TEST SPECIMEN DETAIL section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and   not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the TEST SPECIMEN DETAIL section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and   exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the TEST SPECIMEN DETAIL section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and   exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the TEST SPECIMEN DETAIL section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-b" /><xsl:text />'. This error occurred when assessing the Test Result - Anatomical Location Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> 
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and   not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the TEST SPECIMEN DETAIL section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and   not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the TEST SPECIMEN DETAIL section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and   exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the TEST SPECIMEN DETAIL section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and   exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the TEST SPECIMEN DETAIL section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M677" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M677" />
  <xsl:template match="@*|node()" priority="-2" mode="M677">
    <xsl:apply-templates select="@*|*" mode="M677" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-CodeableText-51-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '102.16144' = $doc-sections][cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3']]/   cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')]]/   cda:targetSiteCode[@displayName][(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-body-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])]   [not(@nullFlavor = $no-value-NF)] " priority="1000" mode="M678">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '102.16144' = $doc-sections][cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3']]/   cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')]]/   cda:targetSiteCode[@displayName][(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-body-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])]   [not(@nullFlavor = $no-value-NF)] " />
    <xsl:variable name="pcode" select="if ('2.16.840.1.113883.6.96' = $defn-body-trusted and          @codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="snomed-trans" select="if ('2.16.840.1.113883.6.96' = $defn-body-trusted and cda:translation)         then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="tcode" select="if (exists($snomed-trans[1]) and matches($snomed-trans[1]/@code, $snomed-code-regex)) then $snomed-trans[1]/@code else '' " />
    <xsl:variable name="code-present" select="$pcode != '' or $tcode != '' " />
    <xsl:variable name="invalid-code-system" select="@code and @displayName and @codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="codesystemvalues" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']" />
    <xsl:variable name="otext-without-markup" select="if (cda:originalText and cda:originalText != '') then normalize-space(replace(cda:originalText, $markup-regex, ' ')) else '' " />
    <xsl:variable name="pdname" select="if (@displayName and not($invalid-code-system)) then normalize-space(@displayName) else '' " />
    <xsl:variable name="max-code-number" select="if ($knowledge/search-for-term/max-sct-code-number/@value &gt; '5') then $knowledge/search-for-term/max-sct-code-number/@value else '5' " />
    <xsl:variable name="der-text-1" select="if ($code-present) then ''         else if ($otext-without-markup != '') then $otext-without-markup        else if ($pdname != '') then $pdname        else '' " />
    <xsl:variable name="der-text-2a" select="if ($der-text-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-text-1, $body-fir-pattern-replacement, 'ic')) " />
    <xsl:variable name="der-text-2" select="if ($der-text-2a = '') then $der-text-1 else $der-text-2a " />
    <xsl:variable name="family-err" select="matches($der-text-1, $family-regex, 'i')" />
    <xsl:variable name="length-err" select="string-length($der-text-1) &gt; $length-err-max" />
    <xsl:variable name="avoid-ts" select="$family-err or $length-err or not($use-ts-for-sctau) " />
    <xsl:variable name="der-text-a" select="if ($body-replacements = '' or $der-text-2 = '') then $der-text-2        else normalize-space(dh:XQueryRecursiveReplace($der-text-2, $body-replacements, 'ic')) " />
    <xsl:variable name="der-text" select="if ($der-text-a = '') then $der-text-2 else $der-text-a " />
    <xsl:variable name="defn-valid-regex" select="concat('(^|\|)', translate($der-text-2, $chars-to-remove, ''), '(\||$)') " />
    <xsl:variable name="der-text-to-match-1" select="lower-case($der-text-2) " />
    <xsl:variable name="der-text-to-match" select="translate($der-text-to-match-1, $chars-to-remove, '') " />
    <xsl:variable name="der-text-non-value" select="if ($code-present or @nullFlavor = $no-value-NF) then false() else         $der-text-to-match = ''              or         not(matches($der-text-to-match-1, '[a-z]', 'i'))          or        ($cd-definitions/non-value/@regex != '' and matches($der-text-to-match-1, $cd-definitions/non-value/@regex, 'i'))  or        (exists($cd-definitions/body/@non-value-regex) and matches($der-text-to-match-1, $cd-definitions/body/@non-value-regex, 'i')) " />
    <xsl:variable name="defn-invalid-regex" select="if ($code-present or $der-text-non-value) then ()        else if ($cd-definitions/body/@invalid-regex) then tokenize($cd-definitions/body/@invalid-regex, '~')[. != '']         else () " />
    <xsl:variable name="defn-invalid-txt-regex" select="(for $i in (1 to count($defn-invalid-regex)) return normalize-space(substring-before($defn-invalid-regex[$i], '[[')))[. != '']" />
    <xsl:variable name="der-invalid-text-regex-1" select="if (exists($defn-invalid-txt-regex))        then index-of(for $i in (1 to count($defn-invalid-txt-regex)) return matches($der-text-2, $defn-invalid-txt-regex[$i], 'i'), true())        else () " />
    <xsl:variable name="der-invalid-text" select="exists($der-invalid-text-regex-1) " />
    <xsl:variable name="defn-invalid-rsn" select="if ($der-invalid-text)         then normalize-space(substring-before(substring-after($defn-invalid-regex[$der-invalid-text-regex-1[1]], '[['), ']]'))         else '' " />
    <xsl:variable name="trusted-code-systems" select="if ($der-text = '' or $der-invalid-text or not(@codeSystem or cda:translation/@codeSystem)) then ()        else (tokenize(replace($cd-definitions/body/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/body/@extra, '\s+', ''), '\|'))[. != ''] " />
    <xsl:variable name="der-trusted-text" select="if ($der-text = '' or $der-invalid-text or (@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex)))) then false()        else ((@codeSystem and exists($trusted-code-systems[. = current()/@codeSystem])) or               (cda:translation/@codeSystem and exists($trusted-code-systems[. = current()/cda:translation/@codeSystem]))) " />
    <xsl:variable name="valid-body-1" select="if ($code-present or $der-text-non-value or $der-invalid-text or not($cd-definitions/body/@valid-regex)) then false()        else exists(index-of(for $regex in (tokenize($cd-definitions/body/@valid-regex, '~')[. != '']) return          matches($der-text-2, dh:XQueryRecursiveReplace(normalize-space($regex), ' \|~|~\| ~|', ''), 'is'), true())) " />
    <xsl:variable name="invalid-hierarchy" select="if (exists($cd-definitions/body/body-invalid/hierarchy))         then string-join(for $hierarchy in $cd-definitions/body/body-invalid/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-refset" select="if (exists($cd-definitions/body/body-invalid/refset))          then string-join(for $refset in $cd-definitions/body/body-invalid/refset return concat('^', $refset/@code), ' OR ')         else '' " />
    <xsl:variable name="valid-refset" select="'^32570061000036105' " />
    <xsl:variable name="valid-domain" select="if ($invalid-refset != '' and $invalid-hierarchy != '')         then concat('((', $valid-refset, ') MINUS (', $invalid-refset, ' OR (', $invalid-hierarchy, ')))')        else if ($invalid-refset = '' and $invalid-hierarchy != '') then concat('((', $valid-refset, ') MINUS (', $invalid-hierarchy, '))')         else if ($invalid-refset != '' and $invalid-hierarchy = '') then concat('((', $valid-refset, ') MINUS (', $invalid-refset, '))')        else concat('(', $valid-refset, ')') " />
    <xsl:variable name="related-terms-1" select="if ($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-body-1) then ()        else ($codesystemvalues/code[@related-terms], $codesystemvalues/related-terms[@related-terms]) " />
    <xsl:variable name="related-terms-2" select="for $i in index-of(        for $concept in $related-terms-1 return matches(translate($concept/@related-terms, $chars-no-pipe, ''), $defn-valid-regex, 'i'), true())         return $related-terms-1[$i]/@code " />
    <xsl:variable name="der-body-codes-1" select="if (exists($related-terms-2)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($related-terms-2, ' OR '), ') AND (', $valid-domain, ')'), '', string(count($related-terms-2)), false())        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $der-body-codes-1 " />
    <xsl:variable name="der-valid-codes-1" select="if (contains($der-body-codes-1, '[')) then $der-body-codes-1 else '' " />
    <xsl:variable name="valid-body-2" select="$valid-body-1 or $der-valid-codes-1 != '' " />
    <xsl:variable name="body-inactive-refSets" select="if (exists($cd-definitions/body/body-invalid/inactive-refset))         then concat('((', $inactive-refSets, ') MINUS (',           string-join(for $refset in $cd-definitions/body/body-invalid/inactive-refset return concat('^', $refset/@code), ' OR '),          '))')         else $inactive-refSets " />
    <xsl:variable name="formula" select="concat($valid-domain, ' OR ', $body-inactive-refSets) " />
    <xsl:variable name="ts-not-needed" select="$der-text = '' or $der-text-non-value or $der-invalid-text or $valid-body-2 or $avoid-ts " />
    <xsl:variable name="der-body-codes-2" select="if ($ts-not-needed or exists($related-terms-2)) then ()         else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-text,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or 'Error' = $der-body-codes-2 " />
    <xsl:variable name="der-valid-codes-2" select="if ($der-valid-codes-1 != '') then $der-valid-codes-1        else if ($error-usingTS-2) then ''         else string-join((for $code in $der-body-codes-2 return if (contains($code, '~inactive')) then '' else $code)[. != ''], '|')  " />
    <xsl:variable name="valid-body-3" select="$valid-body-2 or $der-valid-codes-2 != '' " />
    <xsl:variable name="der-inactive-codes-1" select="if ($valid-body-3) then () else        for $code in $der-body-codes-2 return if (contains($code, '~inactive')) then replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is') else '' " />
    <xsl:variable name="der-inactive-codes-2" select="for $i in (1 to count($der-inactive-codes-1)) return         dh:IsCodeAssociatedWithAnotherCode($der-inactive-codes-1[$i], '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-1" select="'Error' = $der-inactive-codes-2 " />
    <xsl:variable name="der-NAF-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-NAF-active-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound~active')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-inactive-codes-3" select="tokenize(string-join(for $i in (1 to count($der-inactive-codes-1)) return replace(string-join(tokenize($der-inactive-codes-2[$i], '\|')        [matches(., '(REPLACED BY|SAME AS|ALTERNATIVE|POSSIBLY EQUIVALENT TO|MAY BE A|WAS A)')], '|'), '[0-9]+~[A-Z ]+~([0-9]+)', '$1'), '|'), '\|')        [. != ''] " />
    <xsl:variable name="der-body-codes-3" select="if (exists($der-inactive-codes-3)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($der-inactive-codes-3, ' OR '), ') AND (', $valid-domain, ')'), '', string(count($der-inactive-codes-3)), false())          else '' " />
    <xsl:variable name="error-usingTS-3" select="$error-usingTS-2 or 'Error' = $der-body-codes-3 " />
    <xsl:variable name="der-valid-codes-3" select="if ($der-valid-codes-2 != '') then $der-valid-codes-2        else if (contains($der-body-codes-3, '[')) then $der-body-codes-3        else '' " />
    <xsl:variable name="valid-body-4" select="$valid-body-3 or $der-valid-codes-3 != '' " />
    <xsl:variable name="invalid-domain" select="if ($invalid-hierarchy != '' and $invalid-refset != '') then concat($invalid-hierarchy, ' OR ', $invalid-refset)        else if ($invalid-hierarchy != '') then $invalid-hierarchy        else if ($invalid-refset != '') then $invalid-refset        else '' " />
    <xsl:variable name="der-body-codes-4" select="if ($ts-not-needed or $valid-body-4 or $invalid-domain = '') then ()        else if (exists($related-terms-2)) then $related-terms-2        else distinct-values((tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          $invalid-domain, $der-text, $max-code-number, false()), '(\[.*?\])(\||$)', '$2'), '\|'), $der-inactive-codes-3)) " />
    <xsl:variable name="error-usingTS-4" select="$error-usingTS-3 or 'Error' = $der-body-codes-4 " />
    <xsl:variable name="invalid-body-codes-r" select="if ($ts-not-needed or $valid-body-4 or $error-usingTS-4 or not(exists($der-body-codes-4))) then ()        else if ($invalid-refset = '') then tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-body-codes-4, ' OR '), ') AND (', $inactive-refSets, ')'), '',           string(count($der-body-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')        else tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-body-codes-4, ' OR '), ') AND (', $invalid-refset, ' OR ', $inactive-refSets, ')'), '',           string(count($der-body-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')  " />
    <xsl:variable name="error-usingTS-5" select="$error-usingTS-4 or 'Error' = $invalid-body-codes-r " />
    <xsl:variable name="der-body-codes-4-h" select="if ($error-usingTS-5) then () else $der-body-codes-4[not(. = $invalid-body-codes-r)]" />
    <xsl:variable name="invalid-body-codes-h" select="if ($ts-not-needed or $valid-body-4 or 'Error' = $der-body-codes-4 or $body-invalid-hierarchy = '' or not(exists($der-body-codes-4-h))) then ()        else (for $code in $der-body-codes-4-h return          if (dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;&gt;', $code, ' MINUS ', $body-invalid-hierarchy), '', '1', false()) = '') then $code else '')[. != ''] " />
    <xsl:variable name="invalid-body-codes" select="($invalid-body-codes-h, $invalid-body-codes-r) " />
    <xsl:variable name="der-body-codes-5" select="$der-body-codes-4[not(. = $invalid-body-codes or . = 'Error')]" />
    <xsl:variable name="der-valid-codes-4" select="if ($der-valid-codes-3 != '') then $der-valid-codes-3        else if ($ts-not-needed or $valid-body-4 or $valid-domain = '' or not(exists($der-body-codes-5))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-body-codes-5, ' OR '), ') AND ', $valid-domain), '', string(count($der-body-codes-5)), false()) " />
    <xsl:variable name="error-usingTS-6" select="$error-usingTS-5 or 'Error' = $der-valid-codes-4 " />
    <xsl:variable name="valid-body-5" select="$valid-body-4 or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="undetermined-body-1" select="$der-body-codes-5[not(. = tokenize(replace($der-valid-codes-4,  '(\[.*?\])(\||$)', '$2'), '\|'))]" />
    <xsl:variable name="undetermined-inactive-1" select="for $i in (1 to count($undetermined-body-1)) return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $undetermined-body-1[$i], '', '1', false()) " />
    <xsl:variable name="error-usingTS-7" select="$error-usingTS-6 or 'Error' = $undetermined-inactive-1 " />
    <xsl:variable name="undetermined-inactive" select="(for $i in (1 to count($undetermined-body-1)) return         if (contains($undetermined-inactive-1[$i], '~inactive')) then $undetermined-inactive-1[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-1" select="for $i in (1 to count($undetermined-inactive))        return dh:IsCodeAssociatedWithAnotherCode(replace($undetermined-inactive[$i], '(\[.*?\])(\||$)', '$2'), '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-2" select="$error-usingV-1 or 'Error' = $undetermined-NAF-1 " />
    <xsl:variable name="undetermined-NAF" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-codes" select="for $term in $undetermined-NAF return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-NAF-active" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound~active')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-active-codes" select="for $term in $undetermined-NAF-active return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-body" select="$undetermined-body-1[not(. = ($undetermined-NAF-codes, $undetermined-NAF-active-codes))]" />
    <xsl:variable name="invalid-body" select="not($valid-body-5) and exists($invalid-body-codes) and not(exists($undetermined-body))" />
    <xsl:variable name="codes-were-found" select="exists($der-body-codes-4) or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="codes-not-found" select="not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-body-5 or $invalid-body) " />
    <xsl:variable name="codes-in-the-domain" select="not($valid-body-1) and $valid-body-5" />
    <xsl:variable name="codes-in-other-domain" select="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-body-5 or $invalid-body or         $error-usingTS-7) " />
    <xsl:variable name="codes-in-no-domain" select="exists($der-body-codes-5) " />
    <xsl:variable name="display-in-the-domain" select="if ($codes-in-the-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', '), '''')        else '' " />
    <xsl:variable name="display-in-other-r" select="if (exists($invalid-body-codes-r) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-body-codes-r return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-h" select="if (exists($invalid-body-codes-h) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-body-codes-h return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-domain" select="if (not($codes-in-other-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))) then ''        else if ($display-in-other-r and display-in-other-h) then concat('''', $display-in-other-r, ', ', $display-in-other-h, '''')        else if ($display-in-other-r) then concat('''', $display-in-other-r, '''')        else if ($display-in-other-h) then concat('''', $display-in-other-h, '''')        else '' " />
    <xsl:variable name="display-in-no-domain" select="if ($codes-in-no-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', dh:XQueryRecursiveReplace(string-join(for $code in $der-body-codes-5 return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), '; '),          $term-pattern-replacement, 'ic'), '''')        else '' " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))        else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="log-concepts-appended" select="if ($error-usingTS-7 or not($flags/@report-terminology-concepts = 'true') or $log-concepts-name = '') then ''        else if ($codes-not-found and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                   'Body',     $log-tab,                   'yes',     $log-tab,                   concat($display-code, $display-system), $log-tab,                   '',     $log-tab,                  '',     $log-tab,                  '',     $log-tab,                  $ts-current-sctau   ))        else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <!--REPORT -->
    <xsl:if test=" $log-concepts-appended = ('NOTFOUND', 'ERROR') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$log-concepts-appended = ('NOTFOUND', 'ERROR')">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Body-Defn): The AppendLog function returned '<xsl:text /><xsl:value-of select="$log-concepts-appended" /><xsl:text />' when requested to append the concepts log
		'<xsl:text /><xsl:value-of select="$log-concepts-name" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-body-5) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-body-5)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Body-Defn): An unexpected problem occurred when assessing the value of the Test Result - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. The application of regular expressions resulted in the complete loss of text.
		Report the information below to the Australian Digital Health Agency for investigation.

		der-text-1 '<xsl:text /><xsl:value-of select="normalize-space(dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'))" /><xsl:text />'.
		der-text-2a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-2a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-a, $term-pattern-replacement, 'ic')" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingV-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingV-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Body-Defn): An error was reported when accessing the terminology server when assessing the Test Result - Anatomical Location Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		Report the issue to the Australian Digital Health Agency for investigation stating the error was recorded for error-usingV-2.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-7 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-7">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Body-Defn): An error was reported when accessing the terminology server when assessing the Test Result - Anatomical Location Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term:
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The analysis should be retried as the terminology server may have been temporarily unavailable.
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation, stating that the error was found by
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'error-usingTS-1' else if ($error-usingTS-2) then 'error-usingTS-2'   else if ($error-usingTS-3) then 'error-usingTS-3' else if ($error-usingTS-4) then 'error-usingTS-4'   else if ($error-usingTS-5) then 'error-usingTS-5' else if ($error-usingTS-6) then 'error-usingTS-6'   else 'error-usingTS-7' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $codes-not-found">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the TEST SPECIMEN DETAIL section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$codes-in-other-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$codes-in-other-domain">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value does not seem to be applicable for the data element.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Test Result - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Test Result - Anatomical Location Name data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Result - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Test Result - Anatomical Location Name data element must have a value that is consistent with this definition. Alternatively if there is no Test Result - Anatomical Location Name data element with a proper value then an exclusion
		statement must be included to state why there is no Test Result - Anatomical Location Name. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4')    then concat('Text such as ''', dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'), ''' may be permitted in the narrative even though the Test Result - Anatomical Location Name data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Test Result - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Test Result - Anatomical Location Name data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($der-text-non-value) and $der-invalid-text ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($der-text-non-value) and $der-invalid-text">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid. <xsl:text /><xsl:value-of select="$defn-invalid-rsn" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $invalid-body and not($error-usingTS-7) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$invalid-body and not($error-usingTS-7)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid
		<xsl:text /><xsl:value-of select="if (exists($invalid-body-codes-h)) then concat(' as it describes ', string-join(distinct-values(for $code in tokenize(replace(   dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat('(', string-join(for $code in $invalid-body-codes-h return concat('&gt;&gt;', $code), ' OR '), ') AND (',    string-join(for $hierarchy in $cd-definitions/body/body-invalid/hierarchy return $hierarchy/@code, ' OR '), ')'), '',    string(count($invalid-body-codes-h)), true()), '(\[.*?\])(\||$)', '$2'), '\|') return $cd-definitions/body/body-invalid/hierarchy[@code = $code]/@description)[position() = (1 to 2)], ' and '), '.')    else if (exists($invalid-body-codes-r)) then concat(' as it describes ', string-join(distinct-values(for $code in $invalid-body-codes-r return   $cd-definitions/body/body-invalid/refset[index-of(for $x in (for $refset in $cd-definitions/body/body-invalid/refset return    dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat($code, ' AND ^', $refset/@code), '', '1', true()), '|') return matches($x, '^[0-9]'), true())[1]]/@description), ' and '), '.')   else '.'" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable outside the applicable value domain): The Test Result - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following codes were obtained and are not in the value domain: <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-Body-Defn): The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU and no associated code was found in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists(($der-NAF-active-codes, $undetermined-NAF-active-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists(($der-NAF-active-codes, $undetermined-NAF-active-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-Body-Defn): The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-active-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU but it was not found with this status in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.
		<xsl:text /><xsl:value-of select="if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $valid-body-1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $valid-body-1">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable within the value domain): The Test Result - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which matches one of the terms listed in Knowledge.xml for the Test Result - Anatomical Location Name.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (concept is codeable within the value domain): The Test Result - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a valid value for the Test Result - Anatomical Location Name.
		SNOMED CT-AU codes that matched the concept are: <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-body-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-body-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The text used to match regular expression (der-text-2) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to match non-values (der-text-to-match) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-to-match, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to derive a code (der-text) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The SNOMED CT-AU version used to find codes is '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' and the maximum code number is '<xsl:text /><xsl:value-of select="$max-code-number" /><xsl:text />'.

		Codes for related terms (related-terms-2): '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($related-terms-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes for related terms (der-valid-codes-1): 
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-1, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-body-codes-2) returned by the terminology server that match the text:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-body-codes-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes from related terms or the terminology server (der-valid-codes-2):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-2, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-inactive-codes-3) returned from the Validator's database associated with inactive codes:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-inactive-codes-3, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes found after examining inactive codes (der-valid-codes-3):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-3, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Members of invalid reference sets (invalid-body-codes-r): '<xsl:text /><xsl:value-of select="$display-in-other-r" /><xsl:text />'.
		Members of invalid code hierarchies (invalid-body-codes-h): '<xsl:text /><xsl:value-of select="$display-in-other-h" /><xsl:text />'.

		Final set of valid codes (der-valid-codes-4):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes whose validity has not been determined (der-body-codes-5):  <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.
		Codes whose validity has not been determined and are inactive with no associated code (undetermined-NAF): '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(    string-join($undetermined-NAF, ''', '''), $markup-pattern-replacement, 'ic')" /><xsl:text />'.

		Will the value of the data element be trusted (der-trusted-text)? '<xsl:text /><xsl:value-of select="$der-trusted-text" /><xsl:text />'.
		
	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and $codes-not-found">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept not codeable): The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($avoid-ts) then 'The terminology server was not used to assist with finding codes corresponding to text in the data element. ' else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M678" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M678" />
  <xsl:template match="@*|node()" priority="-2" mode="M678">
    <xsl:apply-templates select="@*|*" mode="M678" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-CodeableText-52-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '102.16144' = $doc-sections][not(cda:templateId[         (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) or         (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')    ])]/   cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')]]/cda:targetSiteCode[@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " priority="1000" mode="M679">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '102.16144' = $doc-sections][not(cda:templateId[         (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) or         (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')    ])]/   cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')]]/cda:targetSiteCode[@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="pnullFlavor" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @nullFlavor) then @nullFlavor else '' " />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-p-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then false()        else if ($psnomed-id = 'amtv3' and @codeSystemVersion) then exists($v-amtv3[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($psnomed-id = 'snomedctau' and @codeSystemVersion) then exists($v-snomedctau[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false() " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and $pcode != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used to assess the primary code.') " />
    <xsl:variable name="pcode-refsets-1" select="if (@codeSystem = '2.16.840.1.113883.6.96' and not($pcode = ''))         then dh:FindValueDomainsForCode($pcode, '2.16.840.1.113883.6.96', $v-psnomed-version) else 'no-code' " />
    <xsl:variable name="pcode-found" select="not($pcode-refsets-1 = 'no-code' or $pcode-refsets-1 = 'CodeNotFound' or $pcode-refsets-1 = 'Error'        or contains($pcode-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="pcode-refsets" select="if ($pcode-found) then distinct-values(tokenize($pcode-refsets-1, '\|')) else () " />
    <xsl:variable name="pcode-special-proc" select="count($pcode-refsets) = 1 and 'Procedure Foundation (PF)' = $pcode-refsets and not($pnullFlavor = 'OTH') " />
    <xsl:variable name="pcode-refsets-msg" select="if (count($pcode-refsets) = 0) then ''         else if (count($pcode-refsets) = 1) then concat('The code is a member of the ', $pcode-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($pcode-refsets, ', '), '.') " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))         else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-1" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="snomed-trans-2" select="distinct-values(for $i in (1 to count($snomed-trans-1)) return $snomed-trans-1[$i]/@code) " />
    <xsl:variable name="snomed-trans-a" select="$snomed-trans-1[1] " />
    <xsl:variable name="tcode-a" select="if (exists($snomed-trans-a) and matches($snomed-trans-a/@code, $snomed-code-regex)) then $snomed-trans-a/@code else '' " />
    <xsl:variable name="tnullFlavor-a" select="if (exists($snomed-trans-a) and $snomed-trans-a/@nullFlavor) then $snomed-trans-a/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-a" select="if (not(exists($snomed-trans-a))) then 'not-snomed'        else if (not($snomed-trans-a/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-a/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-a" select="if (not(exists($snomed-trans-a))) then ''        else if ($tsnomed-id-a = 'amtv3' and exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-a = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-a/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-a" select="if (not(exists($snomed-trans-a))) then false()        else if ($tsnomed-id-a = 'amtv3' and $snomed-trans-a/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-a = 'snomedctau' and $snomed-trans-a/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-a-msg" select="if (not(exists($snomed-trans-a))) then ''        else if (not($snomed-trans-a/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-a, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-a = 'amtv3') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-a = 'snomedctau') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-a/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-a, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-a/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-a-refsets-1" select="if (exists($snomed-trans-a) and not($tcode-a = ''))         then dh:FindValueDomainsForCode($tcode-a, '2.16.840.1.113883.6.96', $v-tsnomed-version-a) else 'no-code' " />
    <xsl:variable name="tcode-a-found" select="not($tcode-a-refsets-1 = 'no-code' or $tcode-a-refsets-1 = 'CodeNotFound' or $tcode-a-refsets-1 = 'Error'         or contains($tcode-a-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-a-refsets" select="if ($tcode-a-found) then distinct-values(tokenize($tcode-a-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-a-special-proc" select="count($tcode-a-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-a-refsets and not($tnullFlavor-a = 'OTH') " />
    <xsl:variable name="tcode-a-refsets-msg" select="if (count($tcode-a-refsets) = 0) then ''         else if (count($tcode-a-refsets) = 1) then concat('The code is a member of the ', $tcode-a-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-a-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@code and $snomed-trans-a/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-a/@displayName, codepoints-to-string(34))         else if ($snomed-trans-a/@code and not($snomed-trans-a/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@codeSystem and $snomed-trans-a/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-a/@codeSystemName, ')')         else if ($snomed-trans-a/@codeSystem and not($snomed-trans-a/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-b" select="(for $i in (2 to count($snomed-trans-1)) return if ($snomed-trans-1[$i]/@code != $snomed-trans-a/@code) then $snomed-trans-1[$i] else ())[1] " />
    <xsl:variable name="tcode-b" select="if (exists($snomed-trans-b) and matches($snomed-trans-b/@code, $snomed-code-regex)) then $snomed-trans-b/@code else '' " />
    <xsl:variable name="tnullFlavor-b" select="if (exists($snomed-trans-b) and $snomed-trans-b/@nullFlavor) then $snomed-trans-b/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-b" select="if (not(exists($snomed-trans-b))) then 'not-snomed'        else if (not($snomed-trans-b/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-b/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-b" select="if (not(exists($snomed-trans-b))) then ''        else if ($tsnomed-id-b = 'amtv3' and exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-b = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-b/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-b" select="if (not(exists($snomed-trans-b))) then false()        else if ($tsnomed-id-b = 'amtv3' and $snomed-trans-b/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-b = 'snomedctau' and $snomed-trans-b/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-b-msg" select="if (not(exists($snomed-trans-b))) then ''        else if (not($snomed-trans-b/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-b, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-b = 'amtv3') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-b = 'snomedctau') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-b/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-b, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-b/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-b-refsets-1" select="if (exists($snomed-trans-b) and not($tcode-b = ''))         then dh:FindValueDomainsForCode($tcode-b, '2.16.840.1.113883.6.96', $v-tsnomed-version-b) else 'no-code' " />
    <xsl:variable name="tcode-b-found" select="not($tcode-b-refsets-1 = 'no-code' or $tcode-b-refsets-1 = 'CodeNotFound' or $tcode-b-refsets-1 = 'Error'         or contains($tcode-b-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-b-refsets" select="if ($tcode-b-found) then distinct-values(tokenize($tcode-b-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-b-special-proc" select="count($tcode-b-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-b-refsets and not($tnullFlavor-b = 'OTH') " />
    <xsl:variable name="tcode-b-refsets-msg" select="if (count($tcode-b-refsets) = 0) then ''         else if (count($tcode-b-refsets) = 1) then concat('The code is a member of the ', $tcode-b-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-b-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@code and $snomed-trans-b/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-b/@displayName, codepoints-to-string(34))         else if ($snomed-trans-b/@code and not($snomed-trans-b/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@codeSystem and $snomed-trans-b/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-b/@codeSystemName, ')')         else if ($snomed-trans-b/@codeSystem and not($snomed-trans-b/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-60" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-60 else $rating-alt-TC-Types-60 " />
    <!--REPORT -->
    <xsl:if test=" $pcode-found and $pcode-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pcode-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD (p-TS-CD-SCT-RefSet): An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$pcode" /><xsl:text />',
		codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-psnomed-version" /><xsl:text />'. This error occurred when assessing the Test Result - Anatomical Location Name data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. The value is not valid for the data element as it describes a medical
		procedure and not a medical problem or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and   not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the code is not a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the RESULT GROUP SPECIMEN DETAIL section of the         CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and   not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the RESULT GROUP SPECIMEN DETAIL section of the         CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and   exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the RESULT GROUP SPECIMEN DETAIL section of the         CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and   exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. Confirm if the code is a member of the value domain.
		If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the RESULT GROUP SPECIMEN DETAIL section of the         CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="count($snomed-trans-1)" /><xsl:text /> translation elements with
		codes and the SNOMED CT-AU codeSystem '2.16.840.1.113883.6.96'. The first two translation elements have been assessed to determine if the codes are members of the value domain
		and the others have not been assessed. Confirm if the value of the code attribute in all SNOMED CT translation elements meets the requirement that it be a member of the value domain
		if there is no nullFlavor 'OTH' or that there is a nullFlavor 'OTH' if the value of the code attribute is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text /> 
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the RESULT GROUP SPECIMEN DETAIL section of the         CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-a" /><xsl:text />'. This error occurred when assessing the Test Result - Anatomical Location Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and   not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the RESULT GROUP SPECIMEN DETAIL section of the         CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and   not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the RESULT GROUP SPECIMEN DETAIL section of the         CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and   exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the RESULT GROUP SPECIMEN DETAIL section of the         CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and   exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the RESULT GROUP SPECIMEN DETAIL section of the         CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-b" /><xsl:text />'. This error occurred when assessing the Test Result - Anatomical Location Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> 
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and   not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the RESULT GROUP SPECIMEN DETAIL section of the         CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and   not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and not(exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the RESULT GROUP SPECIMEN DETAIL section of the         CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and   exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the RESULT GROUP SPECIMEN DETAIL section of the         CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and   exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and exists(index-of(for $refset in ('Body Structure Foundation (BSF)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Body Structure Foundation (BSF)')) = 1 and 'Problem Diagnosis (PD)' = ('Body Structure Foundation (BSF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Body Structure Foundation reference set (Concept Id: 32570061000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the RESULT GROUP SPECIMEN DETAIL section of the         CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M679" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M679" />
  <xsl:template match="@*|node()" priority="-2" mode="M679">
    <xsl:apply-templates select="@*|*" mode="M679" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-CodeableText-53-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '102.16144' = $doc-sections][not(cda:templateId[         (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) or         (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')    ])]/   cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')]]/   cda:targetSiteCode[@displayName][(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-body-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])]   [not(@nullFlavor = $no-value-NF)] " priority="1000" mode="M680">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '102.16144' = $doc-sections][not(cda:templateId[         (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) or         (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')    ])]/   cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')]]/   cda:targetSiteCode[@displayName][(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-body-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])]   [not(@nullFlavor = $no-value-NF)] " />
    <xsl:variable name="pcode" select="if ('2.16.840.1.113883.6.96' = $defn-body-trusted and          @codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="snomed-trans" select="if ('2.16.840.1.113883.6.96' = $defn-body-trusted and cda:translation)         then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="tcode" select="if (exists($snomed-trans[1]) and matches($snomed-trans[1]/@code, $snomed-code-regex)) then $snomed-trans[1]/@code else '' " />
    <xsl:variable name="code-present" select="$pcode != '' or $tcode != '' " />
    <xsl:variable name="invalid-code-system" select="@code and @displayName and @codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="codesystemvalues" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']" />
    <xsl:variable name="otext-without-markup" select="if (cda:originalText and cda:originalText != '') then normalize-space(replace(cda:originalText, $markup-regex, ' ')) else '' " />
    <xsl:variable name="pdname" select="if (@displayName and not($invalid-code-system)) then normalize-space(@displayName) else '' " />
    <xsl:variable name="max-code-number" select="if ($knowledge/search-for-term/max-sct-code-number/@value &gt; '5') then $knowledge/search-for-term/max-sct-code-number/@value else '5' " />
    <xsl:variable name="der-text-1" select="if ($code-present) then ''         else if ($otext-without-markup != '') then $otext-without-markup        else if ($pdname != '') then $pdname        else '' " />
    <xsl:variable name="der-text-2a" select="if ($der-text-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-text-1, $body-fir-pattern-replacement, 'ic')) " />
    <xsl:variable name="der-text-2" select="if ($der-text-2a = '') then $der-text-1 else $der-text-2a " />
    <xsl:variable name="family-err" select="matches($der-text-1, $family-regex, 'i')" />
    <xsl:variable name="length-err" select="string-length($der-text-1) &gt; $length-err-max" />
    <xsl:variable name="avoid-ts" select="$family-err or $length-err or not($use-ts-for-sctau) " />
    <xsl:variable name="der-text-a" select="if ($body-replacements = '' or $der-text-2 = '') then $der-text-2        else normalize-space(dh:XQueryRecursiveReplace($der-text-2, $body-replacements, 'ic')) " />
    <xsl:variable name="der-text" select="if ($der-text-a = '') then $der-text-2 else $der-text-a " />
    <xsl:variable name="defn-valid-regex" select="concat('(^|\|)', translate($der-text-2, $chars-to-remove, ''), '(\||$)') " />
    <xsl:variable name="der-text-to-match-1" select="lower-case($der-text-2) " />
    <xsl:variable name="der-text-to-match" select="translate($der-text-to-match-1, $chars-to-remove, '') " />
    <xsl:variable name="der-text-non-value" select="if ($code-present or @nullFlavor = $no-value-NF) then false() else         $der-text-to-match = ''              or         not(matches($der-text-to-match-1, '[a-z]', 'i'))          or        ($cd-definitions/non-value/@regex != '' and matches($der-text-to-match-1, $cd-definitions/non-value/@regex, 'i'))  or        (exists($cd-definitions/body/@non-value-regex) and matches($der-text-to-match-1, $cd-definitions/body/@non-value-regex, 'i')) " />
    <xsl:variable name="defn-invalid-regex" select="if ($code-present or $der-text-non-value) then ()        else if ($cd-definitions/body/@invalid-regex) then tokenize($cd-definitions/body/@invalid-regex, '~')[. != '']         else () " />
    <xsl:variable name="defn-invalid-txt-regex" select="(for $i in (1 to count($defn-invalid-regex)) return normalize-space(substring-before($defn-invalid-regex[$i], '[[')))[. != '']" />
    <xsl:variable name="der-invalid-text-regex-1" select="if (exists($defn-invalid-txt-regex))        then index-of(for $i in (1 to count($defn-invalid-txt-regex)) return matches($der-text-2, $defn-invalid-txt-regex[$i], 'i'), true())        else () " />
    <xsl:variable name="der-invalid-text" select="exists($der-invalid-text-regex-1) " />
    <xsl:variable name="defn-invalid-rsn" select="if ($der-invalid-text)         then normalize-space(substring-before(substring-after($defn-invalid-regex[$der-invalid-text-regex-1[1]], '[['), ']]'))         else '' " />
    <xsl:variable name="trusted-code-systems" select="if ($der-text = '' or $der-invalid-text or not(@codeSystem or cda:translation/@codeSystem)) then ()        else (tokenize(replace($cd-definitions/body/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/body/@extra, '\s+', ''), '\|'))[. != ''] " />
    <xsl:variable name="der-trusted-text" select="if ($der-text = '' or $der-invalid-text or (@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex)))) then false()        else ((@codeSystem and exists($trusted-code-systems[. = current()/@codeSystem])) or               (cda:translation/@codeSystem and exists($trusted-code-systems[. = current()/cda:translation/@codeSystem]))) " />
    <xsl:variable name="valid-body-1" select="if ($code-present or $der-text-non-value or $der-invalid-text or not($cd-definitions/body/@valid-regex)) then false()        else exists(index-of(for $regex in (tokenize($cd-definitions/body/@valid-regex, '~')[. != '']) return          matches($der-text-2, dh:XQueryRecursiveReplace(normalize-space($regex), ' \|~|~\| ~|', ''), 'is'), true())) " />
    <xsl:variable name="invalid-hierarchy" select="if (exists($cd-definitions/body/body-invalid/hierarchy))         then string-join(for $hierarchy in $cd-definitions/body/body-invalid/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-refset" select="if (exists($cd-definitions/body/body-invalid/refset))          then string-join(for $refset in $cd-definitions/body/body-invalid/refset return concat('^', $refset/@code), ' OR ')         else '' " />
    <xsl:variable name="valid-refset" select="'^32570061000036105' " />
    <xsl:variable name="valid-domain" select="if ($invalid-refset != '' and $invalid-hierarchy != '')         then concat('((', $valid-refset, ') MINUS (', $invalid-refset, ' OR (', $invalid-hierarchy, ')))')        else if ($invalid-refset = '' and $invalid-hierarchy != '') then concat('((', $valid-refset, ') MINUS (', $invalid-hierarchy, '))')         else if ($invalid-refset != '' and $invalid-hierarchy = '') then concat('((', $valid-refset, ') MINUS (', $invalid-refset, '))')        else concat('(', $valid-refset, ')') " />
    <xsl:variable name="related-terms-1" select="if ($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-body-1) then ()        else ($codesystemvalues/code[@related-terms], $codesystemvalues/related-terms[@related-terms]) " />
    <xsl:variable name="related-terms-2" select="for $i in index-of(        for $concept in $related-terms-1 return matches(translate($concept/@related-terms, $chars-no-pipe, ''), $defn-valid-regex, 'i'), true())         return $related-terms-1[$i]/@code " />
    <xsl:variable name="der-body-codes-1" select="if (exists($related-terms-2)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($related-terms-2, ' OR '), ') AND (', $valid-domain, ')'), '', string(count($related-terms-2)), false())        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $der-body-codes-1 " />
    <xsl:variable name="der-valid-codes-1" select="if (contains($der-body-codes-1, '[')) then $der-body-codes-1 else '' " />
    <xsl:variable name="valid-body-2" select="$valid-body-1 or $der-valid-codes-1 != '' " />
    <xsl:variable name="body-inactive-refSets" select="if (exists($cd-definitions/body/body-invalid/inactive-refset))         then concat('((', $inactive-refSets, ') MINUS (',           string-join(for $refset in $cd-definitions/body/body-invalid/inactive-refset return concat('^', $refset/@code), ' OR '),          '))')         else $inactive-refSets " />
    <xsl:variable name="formula" select="concat($valid-domain, ' OR ', $body-inactive-refSets) " />
    <xsl:variable name="ts-not-needed" select="$der-text = '' or $der-text-non-value or $der-invalid-text or $valid-body-2 or $avoid-ts " />
    <xsl:variable name="der-body-codes-2" select="if ($ts-not-needed or exists($related-terms-2)) then ()         else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-text,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or 'Error' = $der-body-codes-2 " />
    <xsl:variable name="der-valid-codes-2" select="if ($der-valid-codes-1 != '') then $der-valid-codes-1        else if ($error-usingTS-2) then ''         else string-join((for $code in $der-body-codes-2 return if (contains($code, '~inactive')) then '' else $code)[. != ''], '|')  " />
    <xsl:variable name="valid-body-3" select="$valid-body-2 or $der-valid-codes-2 != '' " />
    <xsl:variable name="der-inactive-codes-1" select="if ($valid-body-3) then () else        for $code in $der-body-codes-2 return if (contains($code, '~inactive')) then replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is') else '' " />
    <xsl:variable name="der-inactive-codes-2" select="for $i in (1 to count($der-inactive-codes-1)) return         dh:IsCodeAssociatedWithAnotherCode($der-inactive-codes-1[$i], '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-1" select="'Error' = $der-inactive-codes-2 " />
    <xsl:variable name="der-NAF-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-NAF-active-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound~active')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-inactive-codes-3" select="tokenize(string-join(for $i in (1 to count($der-inactive-codes-1)) return replace(string-join(tokenize($der-inactive-codes-2[$i], '\|')        [matches(., '(REPLACED BY|SAME AS|ALTERNATIVE|POSSIBLY EQUIVALENT TO|MAY BE A|WAS A)')], '|'), '[0-9]+~[A-Z ]+~([0-9]+)', '$1'), '|'), '\|')        [. != ''] " />
    <xsl:variable name="der-body-codes-3" select="if (exists($der-inactive-codes-3)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($der-inactive-codes-3, ' OR '), ') AND (', $valid-domain, ')'), '', string(count($der-inactive-codes-3)), false())          else '' " />
    <xsl:variable name="error-usingTS-3" select="$error-usingTS-2 or 'Error' = $der-body-codes-3 " />
    <xsl:variable name="der-valid-codes-3" select="if ($der-valid-codes-2 != '') then $der-valid-codes-2        else if (contains($der-body-codes-3, '[')) then $der-body-codes-3        else '' " />
    <xsl:variable name="valid-body-4" select="$valid-body-3 or $der-valid-codes-3 != '' " />
    <xsl:variable name="invalid-domain" select="if ($invalid-hierarchy != '' and $invalid-refset != '') then concat($invalid-hierarchy, ' OR ', $invalid-refset)        else if ($invalid-hierarchy != '') then $invalid-hierarchy        else if ($invalid-refset != '') then $invalid-refset        else '' " />
    <xsl:variable name="der-body-codes-4" select="if ($ts-not-needed or $valid-body-4 or $invalid-domain = '') then ()        else if (exists($related-terms-2)) then $related-terms-2        else distinct-values((tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          $invalid-domain, $der-text, $max-code-number, false()), '(\[.*?\])(\||$)', '$2'), '\|'), $der-inactive-codes-3)) " />
    <xsl:variable name="error-usingTS-4" select="$error-usingTS-3 or 'Error' = $der-body-codes-4 " />
    <xsl:variable name="invalid-body-codes-r" select="if ($ts-not-needed or $valid-body-4 or $error-usingTS-4 or not(exists($der-body-codes-4))) then ()        else if ($invalid-refset = '') then tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-body-codes-4, ' OR '), ') AND (', $inactive-refSets, ')'), '',           string(count($der-body-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')        else tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-body-codes-4, ' OR '), ') AND (', $invalid-refset, ' OR ', $inactive-refSets, ')'), '',           string(count($der-body-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')  " />
    <xsl:variable name="error-usingTS-5" select="$error-usingTS-4 or 'Error' = $invalid-body-codes-r " />
    <xsl:variable name="der-body-codes-4-h" select="if ($error-usingTS-5) then () else $der-body-codes-4[not(. = $invalid-body-codes-r)]" />
    <xsl:variable name="invalid-body-codes-h" select="if ($ts-not-needed or $valid-body-4 or 'Error' = $der-body-codes-4 or $body-invalid-hierarchy = '' or not(exists($der-body-codes-4-h))) then ()        else (for $code in $der-body-codes-4-h return          if (dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;&gt;', $code, ' MINUS ', $body-invalid-hierarchy), '', '1', false()) = '') then $code else '')[. != ''] " />
    <xsl:variable name="invalid-body-codes" select="($invalid-body-codes-h, $invalid-body-codes-r) " />
    <xsl:variable name="der-body-codes-5" select="$der-body-codes-4[not(. = $invalid-body-codes or . = 'Error')]" />
    <xsl:variable name="der-valid-codes-4" select="if ($der-valid-codes-3 != '') then $der-valid-codes-3        else if ($ts-not-needed or $valid-body-4 or $valid-domain = '' or not(exists($der-body-codes-5))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-body-codes-5, ' OR '), ') AND ', $valid-domain), '', string(count($der-body-codes-5)), false()) " />
    <xsl:variable name="error-usingTS-6" select="$error-usingTS-5 or 'Error' = $der-valid-codes-4 " />
    <xsl:variable name="valid-body-5" select="$valid-body-4 or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="undetermined-body-1" select="$der-body-codes-5[not(. = tokenize(replace($der-valid-codes-4,  '(\[.*?\])(\||$)', '$2'), '\|'))]" />
    <xsl:variable name="undetermined-inactive-1" select="for $i in (1 to count($undetermined-body-1)) return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $undetermined-body-1[$i], '', '1', false()) " />
    <xsl:variable name="error-usingTS-7" select="$error-usingTS-6 or 'Error' = $undetermined-inactive-1 " />
    <xsl:variable name="undetermined-inactive" select="(for $i in (1 to count($undetermined-body-1)) return         if (contains($undetermined-inactive-1[$i], '~inactive')) then $undetermined-inactive-1[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-1" select="for $i in (1 to count($undetermined-inactive))        return dh:IsCodeAssociatedWithAnotherCode(replace($undetermined-inactive[$i], '(\[.*?\])(\||$)', '$2'), '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-2" select="$error-usingV-1 or 'Error' = $undetermined-NAF-1 " />
    <xsl:variable name="undetermined-NAF" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-codes" select="for $term in $undetermined-NAF return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-NAF-active" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound~active')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-active-codes" select="for $term in $undetermined-NAF-active return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-body" select="$undetermined-body-1[not(. = ($undetermined-NAF-codes, $undetermined-NAF-active-codes))]" />
    <xsl:variable name="invalid-body" select="not($valid-body-5) and exists($invalid-body-codes) and not(exists($undetermined-body))" />
    <xsl:variable name="codes-were-found" select="exists($der-body-codes-4) or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="codes-not-found" select="not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-body-5 or $invalid-body) " />
    <xsl:variable name="codes-in-the-domain" select="not($valid-body-1) and $valid-body-5" />
    <xsl:variable name="codes-in-other-domain" select="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-body-5 or $invalid-body or         $error-usingTS-7) " />
    <xsl:variable name="codes-in-no-domain" select="exists($der-body-codes-5) " />
    <xsl:variable name="display-in-the-domain" select="if ($codes-in-the-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', '), '''')        else '' " />
    <xsl:variable name="display-in-other-r" select="if (exists($invalid-body-codes-r) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-body-codes-r return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-h" select="if (exists($invalid-body-codes-h) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-body-codes-h return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-domain" select="if (not($codes-in-other-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))) then ''        else if ($display-in-other-r and display-in-other-h) then concat('''', $display-in-other-r, ', ', $display-in-other-h, '''')        else if ($display-in-other-r) then concat('''', $display-in-other-r, '''')        else if ($display-in-other-h) then concat('''', $display-in-other-h, '''')        else '' " />
    <xsl:variable name="display-in-no-domain" select="if ($codes-in-no-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', dh:XQueryRecursiveReplace(string-join(for $code in $der-body-codes-5 return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), '; '),          $term-pattern-replacement, 'ic'), '''')        else '' " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))        else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="log-concepts-appended" select="if ($error-usingTS-7 or not($flags/@report-terminology-concepts = 'true') or $log-concepts-name = '') then ''        else if ($codes-not-found and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                   'Body',     $log-tab,                   'yes',     $log-tab,                   concat($display-code, $display-system), $log-tab,                   '',     $log-tab,                  '',     $log-tab,                  '',     $log-tab,                  $ts-current-sctau   ))        else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <!--REPORT -->
    <xsl:if test=" $log-concepts-appended = ('NOTFOUND', 'ERROR') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$log-concepts-appended = ('NOTFOUND', 'ERROR')">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Body-Defn): The AppendLog function returned '<xsl:text /><xsl:value-of select="$log-concepts-appended" /><xsl:text />' when requested to append the concepts log
		'<xsl:text /><xsl:value-of select="$log-concepts-name" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-body-5) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-body-5)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Body-Defn): An unexpected problem occurred when assessing the value of the Test Result - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. The application of regular expressions resulted in the complete loss of text.
		Report the information below to the Australian Digital Health Agency for investigation.

		der-text-1 '<xsl:text /><xsl:value-of select="normalize-space(dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'))" /><xsl:text />'.
		der-text-2a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-2a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-a, $term-pattern-replacement, 'ic')" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingV-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingV-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Body-Defn): An error was reported when accessing the terminology server when assessing the Test Result - Anatomical Location Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		Report the issue to the Australian Digital Health Agency for investigation stating the error was recorded for error-usingV-2.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-7 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-7">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Body-Defn): An error was reported when accessing the terminology server when assessing the Test Result - Anatomical Location Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term:
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The analysis should be retried as the terminology server may have been temporarily unavailable.
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation, stating that the error was found by
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'error-usingTS-1' else if ($error-usingTS-2) then 'error-usingTS-2'   else if ($error-usingTS-3) then 'error-usingTS-3' else if ($error-usingTS-4) then 'error-usingTS-4'   else if ($error-usingTS-5) then 'error-usingTS-5' else if ($error-usingTS-6) then 'error-usingTS-6'   else 'error-usingTS-7' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $codes-not-found">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the RESULT GROUP SPECIMEN DETAIL section of the         CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$codes-in-other-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$codes-in-other-domain">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value does not seem to be applicable for the data element.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Test Result - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Test Result - Anatomical Location Name data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Result - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Test Result - Anatomical Location Name data element must have a value that is consistent with this definition. Alternatively if there is no Test Result - Anatomical Location Name data element with a proper value then an exclusion
		statement must be included to state why there is no Test Result - Anatomical Location Name. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4')    then concat('Text such as ''', dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'), ''' may be permitted in the narrative even though the Test Result - Anatomical Location Name data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Test Result - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Test Result - Anatomical Location Name data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($der-text-non-value) and $der-invalid-text ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($der-text-non-value) and $der-invalid-text">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid. <xsl:text /><xsl:value-of select="$defn-invalid-rsn" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $invalid-body and not($error-usingTS-7) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$invalid-body and not($error-usingTS-7)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid
		<xsl:text /><xsl:value-of select="if (exists($invalid-body-codes-h)) then concat(' as it describes ', string-join(distinct-values(for $code in tokenize(replace(   dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat('(', string-join(for $code in $invalid-body-codes-h return concat('&gt;&gt;', $code), ' OR '), ') AND (',    string-join(for $hierarchy in $cd-definitions/body/body-invalid/hierarchy return $hierarchy/@code, ' OR '), ')'), '',    string(count($invalid-body-codes-h)), true()), '(\[.*?\])(\||$)', '$2'), '\|') return $cd-definitions/body/body-invalid/hierarchy[@code = $code]/@description)[position() = (1 to 2)], ' and '), '.')    else if (exists($invalid-body-codes-r)) then concat(' as it describes ', string-join(distinct-values(for $code in $invalid-body-codes-r return   $cd-definitions/body/body-invalid/refset[index-of(for $x in (for $refset in $cd-definitions/body/body-invalid/refset return    dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat($code, ' AND ^', $refset/@code), '', '1', true()), '|') return matches($x, '^[0-9]'), true())[1]]/@description), ' and '), '.')   else '.'" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the anatomical location.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable outside the applicable value domain): The Test Result - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following codes were obtained and are not in the value domain: <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-Body-Defn): The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU and no associated code was found in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists(($der-NAF-active-codes, $undetermined-NAF-active-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists(($der-NAF-active-codes, $undetermined-NAF-active-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-Body-Defn): The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-active-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU but it was not found with this status in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.
		<xsl:text /><xsl:value-of select="if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $valid-body-1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $valid-body-1">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable within the value domain): The Test Result - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which matches one of the terms listed in Knowledge.xml for the Test Result - Anatomical Location Name.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (concept is codeable within the value domain): The Test Result - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a valid value for the Test Result - Anatomical Location Name.
		SNOMED CT-AU codes that matched the concept are: <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-body-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-body-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The text used to match regular expression (der-text-2) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to match non-values (der-text-to-match) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-to-match, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to derive a code (der-text) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The SNOMED CT-AU version used to find codes is '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' and the maximum code number is '<xsl:text /><xsl:value-of select="$max-code-number" /><xsl:text />'.

		Codes for related terms (related-terms-2): '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($related-terms-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes for related terms (der-valid-codes-1): 
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-1, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-body-codes-2) returned by the terminology server that match the text:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-body-codes-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes from related terms or the terminology server (der-valid-codes-2):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-2, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-inactive-codes-3) returned from the Validator's database associated with inactive codes:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-inactive-codes-3, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes found after examining inactive codes (der-valid-codes-3):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-3, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Members of invalid reference sets (invalid-body-codes-r): '<xsl:text /><xsl:value-of select="$display-in-other-r" /><xsl:text />'.
		Members of invalid code hierarchies (invalid-body-codes-h): '<xsl:text /><xsl:value-of select="$display-in-other-h" /><xsl:text />'.

		Final set of valid codes (der-valid-codes-4):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes whose validity has not been determined (der-body-codes-5):  <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.
		Codes whose validity has not been determined and are inactive with no associated code (undetermined-NAF): '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(    string-join($undetermined-NAF, ''', '''), $markup-pattern-replacement, 'ic')" /><xsl:text />'.

		Will the value of the data element be trusted (der-trusted-text)? '<xsl:text /><xsl:value-of select="$der-trusted-text" /><xsl:text />'.
		
	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and $codes-not-found">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept not codeable): The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($avoid-ts) then 'The terminology server was not used to assist with finding codes corresponding to text in the data element. ' else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M680" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M680" />
  <xsl:template match="@*|node()" priority="-2" mode="M680">
    <xsl:apply-templates select="@*|*" mode="M680" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-CodeableText-54-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')]]/   cda:targetSiteCode[@code][(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M681">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')]]/   cda:targetSiteCode[@code][(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Test Result - Anatomical Location Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Test Result - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Test Result - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Test Result - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Result - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Test Result - Anatomical Location Name has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Test Result - Anatomical Location Name data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Result - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Test Result - Anatomical Location Name data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Result - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Test Result - Anatomical Location Name data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Result - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Test Result - Anatomical Location Name data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Test Result - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Result - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Test Result - Anatomical Location Name data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Test Result - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Test Result - Anatomical Location Name data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Result - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Result - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Test Result - Anatomical Location Name data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Result - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Test Result - Anatomical Location Name data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Result - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Result - Anatomical Location Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M681" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M681" />
  <xsl:template match="@*|node()" priority="-2" mode="M681">
    <xsl:apply-templates select="@*|*" mode="M681" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-CodeableText-55-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')]]/cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16171']]/cda:value " priority="1000" mode="M682">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')]]/cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16171']]/cda:value " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Test Result - Sampling Preconditions '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and true() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and true() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Test Result - Sampling Preconditions '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Test Result - Sampling Preconditions',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Test Result - Sampling Preconditions '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Test Result - Sampling Preconditions '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Result - Sampling Preconditions
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Test Result - Sampling Preconditions however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Test Result - Sampling Preconditions in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Test Result - Sampling Preconditions
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Test Result - Sampling Preconditions however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Test Result - Sampling Preconditions in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Test Result - Sampling Preconditions data element must have a value that is consistent with this definition. Alternatively if there is no Test Result - Sampling Preconditions data element with a proper value then an exclusion
		statement must be included to state why there is no Test Result - Sampling Preconditions.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Result - Sampling Preconditions
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Test Result - Sampling Preconditions however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Test Result - Sampling Preconditions in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Result - Sampling Preconditions
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Test Result - Sampling Preconditions however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Test Result - Sampling Preconditions in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Test Result - Sampling Preconditions data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Test Result - Sampling Preconditions
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Test Result - Sampling Preconditions however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Test Result - Sampling Preconditions in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Test Result - Sampling Preconditions data element must have a value that is consistent with this definition. Alternatively if there is no Test Result - Sampling Preconditions data element with a proper value then an exclusion
		statement must be included to state why there is no Test Result - Sampling Preconditions.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Result - Sampling Preconditions
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Test Result - Sampling Preconditions however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Test Result - Sampling Preconditions in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Test Result - Sampling Preconditions data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Result - Sampling Preconditions '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result - Sampling Preconditions
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result - Sampling Preconditions
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result - Sampling Preconditions '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result - Sampling Preconditions '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Test Result - Sampling Preconditions '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Test Result - Sampling Preconditions '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Result - Sampling Preconditions '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Result - Sampling Preconditions '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Test Result - Sampling Preconditions
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Result - Sampling Preconditions '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Result - Sampling Preconditions '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Test Result - Sampling Preconditions.
		(See the definition of Test Result - Sampling Preconditions in the Structured Content Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Test Result - Sampling Preconditions '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M682" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M682" />
  <xsl:template match="@*|node()" priority="-2" mode="M682">
    <xsl:apply-templates select="@*|*" mode="M682" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-CodeableText-56-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')]]/cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16171']]/cda:value   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M683">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')]]/cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16171']]/cda:value   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Test Result - Sampling Preconditions '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Test Result - Sampling Preconditions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Test Result - Sampling Preconditions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Test Result - Sampling Preconditions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Result - Sampling Preconditions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Test Result - Sampling Preconditions has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Test Result - Sampling Preconditions data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Result - Sampling Preconditions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Test Result - Sampling Preconditions data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Result - Sampling Preconditions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Test Result - Sampling Preconditions data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Result - Sampling Preconditions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Test Result - Sampling Preconditions data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Test Result - Sampling Preconditions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Result - Sampling Preconditions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Test Result - Sampling Preconditions data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Test Result - Sampling Preconditions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Test Result - Sampling Preconditions data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Result - Sampling Preconditions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Result - Sampling Preconditions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Test Result - Sampling Preconditions data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Result - Sampling Preconditions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Test Result - Sampling Preconditions data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Result - Sampling Preconditions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Result - Sampling Preconditions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M683" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M683" />
  <xsl:template match="@*|node()" priority="-2" mode="M683">
    <xsl:apply-templates select="@*|*" mode="M683" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-CodeableText-57-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='88101002']]/cda:value " priority="1000" mode="M684">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='88101002']]/cda:value " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Pathological Diagnosis '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and true() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and true() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Pathological Diagnosis '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Pathological Diagnosis',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Pathological Diagnosis '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Pathological Diagnosis '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Pathological Diagnosis
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Pathological Diagnosis however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Pathological Diagnosis in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Pathological Diagnosis
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Pathological Diagnosis however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Pathological Diagnosis in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Pathological Diagnosis data element must have a value that is consistent with this definition. Alternatively if there is no Pathological Diagnosis data element with a proper value then an exclusion
		statement must be included to state why there is no Pathological Diagnosis.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Pathological Diagnosis
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Pathological Diagnosis however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Pathological Diagnosis in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Pathological Diagnosis
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Pathological Diagnosis however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Pathological Diagnosis in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Pathological Diagnosis data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Pathological Diagnosis
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Pathological Diagnosis however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Pathological Diagnosis in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Pathological Diagnosis data element must have a value that is consistent with this definition. Alternatively if there is no Pathological Diagnosis data element with a proper value then an exclusion
		statement must be included to state why there is no Pathological Diagnosis.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Pathological Diagnosis
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Pathological Diagnosis however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Pathological Diagnosis in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Pathological Diagnosis data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Pathological Diagnosis '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Pathological Diagnosis
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Pathological Diagnosis
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Pathological Diagnosis '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Pathological Diagnosis '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Pathological Diagnosis '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Pathological Diagnosis '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Pathological Diagnosis '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Pathological Diagnosis '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Pathological Diagnosis
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Pathological Diagnosis '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Pathological Diagnosis '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Pathological Diagnosis.
		(See the definition of Pathological Diagnosis in the Structured Content Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Pathological Diagnosis '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M684" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M684" />
  <xsl:template match="@*|node()" priority="-2" mode="M684">
    <xsl:apply-templates select="@*|*" mode="M684" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-CodeableText-58-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='88101002']]/cda:value[(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M685">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='88101002']]/cda:value[(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Pathological Diagnosis '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Pathological Diagnosis
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Pathological Diagnosis
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Pathological Diagnosis
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Pathological Diagnosis
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Pathological Diagnosis has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Pathological Diagnosis data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Pathological Diagnosis
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Pathological Diagnosis data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Pathological Diagnosis
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Pathological Diagnosis data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Pathological Diagnosis
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Pathological Diagnosis data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Pathological Diagnosis
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Pathological Diagnosis
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Pathological Diagnosis data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Pathological Diagnosis
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Pathological Diagnosis data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Pathological Diagnosis
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Pathological Diagnosis
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Pathological Diagnosis data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Pathological Diagnosis
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Pathological Diagnosis data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Pathological Diagnosis
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Pathological Diagnosis
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M685" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M685" />
  <xsl:template match="@*|node()" priority="-2" mode="M685">
    <xsl:apply-templates select="@*|*" mode="M685" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-CodeableText-59-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:act/cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('103.16404', '103.11017')]]/cda:value " priority="1000" mode="M686">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:act/cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('103.16404', '103.11017')]]/cda:value " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Test Requested Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Test Requested Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Test Requested Name',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Test Requested Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Test Requested Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Requested Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Test Requested Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Test Requested Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Test Requested Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Test Requested Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Test Requested Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Test Requested Name data element must have a value that is consistent with this definition. Alternatively if there is no Test Requested Name data element with a proper value then an exclusion
		statement must be included to state why there is no Test Requested Name.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Requested Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Test Requested Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Test Requested Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Requested Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Test Requested Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Test Requested Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Test Requested Name data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Test Requested Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Test Requested Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Test Requested Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Test Requested Name data element must have a value that is consistent with this definition. Alternatively if there is no Test Requested Name data element with a proper value then an exclusion
		statement must be included to state why there is no Test Requested Name.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Requested Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Test Requested Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Test Requested Name in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Test Requested Name data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Requested Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Requested Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Requested Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Requested Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Requested Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Test Requested Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Test Requested Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Requested Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Requested Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Test Requested Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Requested Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Requested Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Test Requested Name.
		(See the definition of Test Requested Name in the Structured Content Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Test Requested Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M686" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M686" />
  <xsl:template match="@*|node()" priority="-2" mode="M686">
    <xsl:apply-templates select="@*|*" mode="M686" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-CodeableText-60-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '102.16144' = $doc-sections][cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3']]/   cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:act/cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('103.16404', '103.11017')]]/cda:value   [@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " priority="1000" mode="M687">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '102.16144' = $doc-sections][cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3']]/   cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:act/cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('103.16404', '103.11017')]]/cda:value   [@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="pnullFlavor" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @nullFlavor) then @nullFlavor else '' " />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-p-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then false()        else if ($psnomed-id = 'amtv3' and @codeSystemVersion) then exists($v-amtv3[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($psnomed-id = 'snomedctau' and @codeSystemVersion) then exists($v-snomedctau[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false() " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and $pcode != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used to assess the primary code.') " />
    <xsl:variable name="pcode-refsets-1" select="if (@codeSystem = '2.16.840.1.113883.6.96' and not($pcode = ''))         then dh:FindValueDomainsForCode($pcode, '2.16.840.1.113883.6.96', $v-psnomed-version) else 'no-code' " />
    <xsl:variable name="pcode-found" select="not($pcode-refsets-1 = 'no-code' or $pcode-refsets-1 = 'CodeNotFound' or $pcode-refsets-1 = 'Error'        or contains($pcode-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="pcode-refsets" select="if ($pcode-found) then distinct-values(tokenize($pcode-refsets-1, '\|')) else () " />
    <xsl:variable name="pcode-special-proc" select="count($pcode-refsets) = 1 and 'Procedure Foundation (PF)' = $pcode-refsets and not($pnullFlavor = 'OTH') " />
    <xsl:variable name="pcode-refsets-msg" select="if (count($pcode-refsets) = 0) then ''         else if (count($pcode-refsets) = 1) then concat('The code is a member of the ', $pcode-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($pcode-refsets, ', '), '.') " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))         else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-1" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="snomed-trans-2" select="distinct-values(for $i in (1 to count($snomed-trans-1)) return $snomed-trans-1[$i]/@code) " />
    <xsl:variable name="snomed-trans-a" select="$snomed-trans-1[1] " />
    <xsl:variable name="tcode-a" select="if (exists($snomed-trans-a) and matches($snomed-trans-a/@code, $snomed-code-regex)) then $snomed-trans-a/@code else '' " />
    <xsl:variable name="tnullFlavor-a" select="if (exists($snomed-trans-a) and $snomed-trans-a/@nullFlavor) then $snomed-trans-a/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-a" select="if (not(exists($snomed-trans-a))) then 'not-snomed'        else if (not($snomed-trans-a/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-a/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-a" select="if (not(exists($snomed-trans-a))) then ''        else if ($tsnomed-id-a = 'amtv3' and exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-a = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-a/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-a" select="if (not(exists($snomed-trans-a))) then false()        else if ($tsnomed-id-a = 'amtv3' and $snomed-trans-a/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-a = 'snomedctau' and $snomed-trans-a/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-a-msg" select="if (not(exists($snomed-trans-a))) then ''        else if (not($snomed-trans-a/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-a, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-a = 'amtv3') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-a = 'snomedctau') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-a/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-a, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-a/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-a-refsets-1" select="if (exists($snomed-trans-a) and not($tcode-a = ''))         then dh:FindValueDomainsForCode($tcode-a, '2.16.840.1.113883.6.96', $v-tsnomed-version-a) else 'no-code' " />
    <xsl:variable name="tcode-a-found" select="not($tcode-a-refsets-1 = 'no-code' or $tcode-a-refsets-1 = 'CodeNotFound' or $tcode-a-refsets-1 = 'Error'         or contains($tcode-a-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-a-refsets" select="if ($tcode-a-found) then distinct-values(tokenize($tcode-a-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-a-special-proc" select="count($tcode-a-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-a-refsets and not($tnullFlavor-a = 'OTH') " />
    <xsl:variable name="tcode-a-refsets-msg" select="if (count($tcode-a-refsets) = 0) then ''         else if (count($tcode-a-refsets) = 1) then concat('The code is a member of the ', $tcode-a-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-a-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@code and $snomed-trans-a/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-a/@displayName, codepoints-to-string(34))         else if ($snomed-trans-a/@code and not($snomed-trans-a/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@codeSystem and $snomed-trans-a/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-a/@codeSystemName, ')')         else if ($snomed-trans-a/@codeSystem and not($snomed-trans-a/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-b" select="(for $i in (2 to count($snomed-trans-1)) return if ($snomed-trans-1[$i]/@code != $snomed-trans-a/@code) then $snomed-trans-1[$i] else ())[1] " />
    <xsl:variable name="tcode-b" select="if (exists($snomed-trans-b) and matches($snomed-trans-b/@code, $snomed-code-regex)) then $snomed-trans-b/@code else '' " />
    <xsl:variable name="tnullFlavor-b" select="if (exists($snomed-trans-b) and $snomed-trans-b/@nullFlavor) then $snomed-trans-b/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-b" select="if (not(exists($snomed-trans-b))) then 'not-snomed'        else if (not($snomed-trans-b/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-b/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-b" select="if (not(exists($snomed-trans-b))) then ''        else if ($tsnomed-id-b = 'amtv3' and exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-b = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-b/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-b" select="if (not(exists($snomed-trans-b))) then false()        else if ($tsnomed-id-b = 'amtv3' and $snomed-trans-b/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-b = 'snomedctau' and $snomed-trans-b/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-b-msg" select="if (not(exists($snomed-trans-b))) then ''        else if (not($snomed-trans-b/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-b, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-b = 'amtv3') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-b = 'snomedctau') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-b/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-b, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-b/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-b-refsets-1" select="if (exists($snomed-trans-b) and not($tcode-b = ''))         then dh:FindValueDomainsForCode($tcode-b, '2.16.840.1.113883.6.96', $v-tsnomed-version-b) else 'no-code' " />
    <xsl:variable name="tcode-b-found" select="not($tcode-b-refsets-1 = 'no-code' or $tcode-b-refsets-1 = 'CodeNotFound' or $tcode-b-refsets-1 = 'Error'         or contains($tcode-b-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-b-refsets" select="if ($tcode-b-found) then distinct-values(tokenize($tcode-b-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-b-special-proc" select="count($tcode-b-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-b-refsets and not($tnullFlavor-b = 'OTH') " />
    <xsl:variable name="tcode-b-refsets-msg" select="if (count($tcode-b-refsets) = 0) then ''         else if (count($tcode-b-refsets) = 1) then concat('The code is a member of the ', $tcode-b-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-b-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@code and $snomed-trans-b/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-b/@displayName, codepoints-to-string(34))         else if ($snomed-trans-b/@code and not($snomed-trans-b/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@codeSystem and $snomed-trans-b/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-b/@codeSystemName, ')')         else if ($snomed-trans-b/@codeSystem and not($snomed-trans-b/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-60" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-60 else $rating-alt-TC-Types-60 " />
    <!--REPORT -->
    <xsl:if test=" $pcode-found and $pcode-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pcode-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD (p-TS-CD-SCT-RefSet): An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$pcode" /><xsl:text />',
		codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-psnomed-version" /><xsl:text />'. This error occurred when assessing the Test Requested Name data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Test Requested Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. The value is not valid for the data element as it describes a medical
		procedure and not a medical problem or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the pathology test which was requested.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and   not(exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and not(exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Requested Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the code is not a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the RCPA SPIA Requesting Pathology Terminology reference set (Concept Id: 1072351000168102).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in section 10.87 of the Event Summary Structured Content Specification         v1.2.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and   not(exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and not(exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Requested Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the RCPA SPIA Requesting Pathology Terminology reference set (Concept Id: 1072351000168102).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in section 10.87 of the Event Summary Structured Content Specification         v1.2.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and   exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Requested Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the RCPA SPIA Requesting Pathology Terminology reference set (Concept Id: 1072351000168102).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in section 10.87 of the Event Summary Structured Content Specification         v1.2.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and   exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Requested Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. Confirm if the code is a member of the value domain.
		If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the RCPA SPIA Requesting Pathology Terminology reference set (Concept Id: 1072351000168102).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in section 10.87 of the Event Summary Structured Content Specification         v1.2.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Requested Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="count($snomed-trans-1)" /><xsl:text /> translation elements with
		codes and the SNOMED CT-AU codeSystem '2.16.840.1.113883.6.96'. The first two translation elements have been assessed to determine if the codes are members of the value domain
		and the others have not been assessed. Confirm if the value of the code attribute in all SNOMED CT translation elements meets the requirement that it be a member of the value domain
		if there is no nullFlavor 'OTH' or that there is a nullFlavor 'OTH' if the value of the code attribute is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the RCPA SPIA Requesting Pathology Terminology reference set (Concept Id: 1072351000168102).')" /><xsl:text /> 
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in section 10.87 of the Event Summary Structured Content Specification         v1.2.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-a" /><xsl:text />'. This error occurred when assessing the Test Requested Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Test Requested Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the pathology test which was requested.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and   not(exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and not(exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Requested Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the RCPA SPIA Requesting Pathology Terminology reference set (Concept Id: 1072351000168102).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in section 10.87 of the Event Summary Structured Content Specification         v1.2.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and   not(exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and not(exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Requested Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the RCPA SPIA Requesting Pathology Terminology reference set (Concept Id: 1072351000168102).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in section 10.87 of the Event Summary Structured Content Specification         v1.2.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and   exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Requested Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the RCPA SPIA Requesting Pathology Terminology reference set (Concept Id: 1072351000168102).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in section 10.87 of the Event Summary Structured Content Specification         v1.2.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and   exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Requested Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the RCPA SPIA Requesting Pathology Terminology reference set (Concept Id: 1072351000168102).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in section 10.87 of the Event Summary Structured Content Specification         v1.2.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-b" /><xsl:text />'. This error occurred when assessing the Test Requested Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Test Requested Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> 
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the pathology test which was requested.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and   not(exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and not(exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Requested Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the RCPA SPIA Requesting Pathology Terminology reference set (Concept Id: 1072351000168102).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in section 10.87 of the Event Summary Structured Content Specification         v1.2.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and   not(exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and not(exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Requested Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the RCPA SPIA Requesting Pathology Terminology reference set (Concept Id: 1072351000168102).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in section 10.87 of the Event Summary Structured Content Specification         v1.2.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and   exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Requested Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the RCPA SPIA Requesting Pathology Terminology reference set (Concept Id: 1072351000168102).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in section 10.87 of the Event Summary Structured Content Specification         v1.2.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and   exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Requested Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the RCPA SPIA Requesting Pathology Terminology reference set (Concept Id: 1072351000168102).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in section 10.87 of the Event Summary Structured Content Specification         v1.2.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M687" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M687" />
  <xsl:template match="@*|node()" priority="-2" mode="M687">
    <xsl:apply-templates select="@*|*" mode="M687" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-CodeableText-61-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '102.16144' = $doc-sections]   [cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3']]/   cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:act/cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('103.16404', '103.11017')]]/cda:value         [not(@code and @codeSystem and exists(index-of($defn-pathTest-trusted, @codeSystem)))]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])]   [not(@nullFlavor = $no-value-NF)] " priority="1000" mode="M688">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '102.16144' = $doc-sections]   [cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3']]/   cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:act/cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('103.16404', '103.11017')]]/cda:value         [not(@code and @codeSystem and exists(index-of($defn-pathTest-trusted, @codeSystem)))]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])]   [not(@nullFlavor = $no-value-NF)] " />
    <xsl:variable name="pcode" select="if ('2.16.840.1.113883.6.96' = $defn-pathTest-trusted and         @codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="snomed-trans" select="if ('2.16.840.1.113883.6.96' = $defn-pathTest-trusted and cda:translation)         then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="tcode" select="if (exists($snomed-trans[1]) and matches($snomed-trans[1]/@code, $snomed-code-regex)) then $snomed-trans[1]/@code else '' " />
    <xsl:variable name="code-present" select="$pcode != '' or $tcode != '' " />
    <xsl:variable name="invalid-code-system" select="@code and @displayName and @codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="codesystemvalues" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']" />
    <xsl:variable name="otext-without-markup" select="if (cda:originalText and cda:originalText != '') then replace(cda:originalText, $markup-regex, ' ') else '' " />
    <xsl:variable name="pdname" select="if (@displayName and not($invalid-code-system)) then @displayName else '' " />
    <xsl:variable name="max-code-number" select="if ($knowledge/search-for-term/max-sct-code-number/@value &gt; '5') then $knowledge/search-for-term/max-sct-code-number/@value else '5' " />
    <xsl:variable name="der-text-1" select="if ($code-present) then ''         else if ($otext-without-markup != '') then $otext-without-markup        else if ($pdname != '') then $pdname        else '' " />
    <xsl:variable name="family-err" select="$family-regex != '' and not(matches($der-text-1, '(^|\s)(small|white\s*cell\s*count)(\s|$)', 'is')) and matches($der-text-1, $family-regex, 'is')" />
    <xsl:variable name="der-truncated-text-1" select="normalize-space(replace($der-text-1, $unicode-br-truncation-regex, '$1', 'is')) " />
    <xsl:variable name="length-err" select="string-length($der-truncated-text-1) &gt; $length-err-max" />
    <xsl:variable name="prose-err-1" select="$length-err and cda:originalText and (        matches(cda:originalText, $ulist-regex)           or         matches(cda:originalText, $alt-ulist-1a-regex, 'is')         or         matches(cda:originalText, $alt-ulist-1b-regex, 'is')         )" />
    <xsl:variable name="prose-err" select="$prose-err-1 or (cda:originalText and (         matches(cda:originalText, $alt-ulist-2-regex, 'is')          or        matches(cda:originalText, $olist-arabic-regex, 'is')          or         matches(cda:originalText, $olist-alpha-regex, 'is')          or         matches(cda:originalText, $olist-roman-regex, 'is')          or        matches(replace(cda:originalText, $new-line-regex, codepoints-to-string((10)), 'is'), $para-regex, 'is')  or        matches(cda:originalText, codepoints-to-string((8233)), 'is')         or               (cda:originalText and matches(cda:originalText, $invalid-concept-regex, 'is'))      or        ($length-err and matches(cda:originalText, '\.\s*$', 's') and matches(cda:originalText, $multi-sentence-regex, 's')) ))" />
    <xsl:variable name="avoid-ts" select="$family-err or $length-err or $prose-err or not($use-ts-for-sctau) " />
    <xsl:variable name="der-text-2a" select="if ($der-truncated-text-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-truncated-text-1, $pathTest-fir-pattern-replacement, 'ic')) " />
    <xsl:variable name="der-text-2" select="if ($der-text-2a = '') then $der-text-1 else $der-text-2a " />
    <xsl:variable name="der-text-a" select="if ($pathTest-replacements = '' or $der-text-2 = '') then normalize-space($der-text-2)        else normalize-space(dh:XQueryRecursiveReplace($der-text-2, $pathTest-replacements, 'ic')) " />
    <xsl:variable name="der-text" select="if ($der-text-a = '') then $der-text-2 else $der-text-a " />
    <xsl:variable name="defn-valid-regex" select="concat('(^|\|)', translate($der-text-2, $chars-to-remove, ''), '(\||$)') " />
    <xsl:variable name="der-text-to-match-1" select="lower-case($der-text-2) " />
    <xsl:variable name="der-text-to-match" select="translate($der-text-to-match-1, $chars-to-remove, '') " />
    <xsl:variable name="der-text-non-value" select="if ($code-present or @nullFlavor = $no-value-NF) then false() else         $der-text-to-match = ''              or        not(matches($der-text-to-match-1, '[a-z]', 'i'))          or         ($cd-definitions/non-value/@regex != '' and matches($der-text-to-match-1, $cd-definitions/non-value/@regex, 'i'))  or        (exists($cd-definitions/pathTest/@non-value-regex) and matches($der-text-to-match-1, $cd-definitions/pathTest/@non-value-regex, 'i')) " />
    <xsl:variable name="defn-invalid-regex" select="if ($code-present or $der-text-non-value) then ()        else if ($cd-definitions/pathTest/@invalid-regex) then tokenize($cd-definitions/pathTest/@invalid-regex, '~')[. != '']         else () " />
    <xsl:variable name="defn-invalid-txt-regex" select="(for $i in (1 to count($defn-invalid-regex)) return normalize-space(substring-before($defn-invalid-regex[$i], '[[')))[. != '']" />
    <xsl:variable name="der-invalid-text-regex-1" select="if (exists($defn-invalid-txt-regex))        then index-of(for $i in (1 to count($defn-invalid-txt-regex)) return matches($der-text-2, $defn-invalid-txt-regex[$i], 'i'), true())        else () " />
    <xsl:variable name="der-invalid-text" select="exists($der-invalid-text-regex-1) " />
    <xsl:variable name="defn-invalid-rsn" select="if ($der-invalid-text)         then normalize-space(substring-before(substring-after($defn-invalid-regex[$der-invalid-text-regex-1[1]], '[['), ']]'))         else '' " />
    <xsl:variable name="trusted-code-systems" select="if ($der-text = '' or $der-invalid-text or not(@codeSystem or cda:translation/@codeSystem)) then ()        else (tokenize(replace($cd-definitions/pathTest/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/pathTest/@extra, '\s+', ''), '\|'))[. != ''] " />
    <xsl:variable name="der-trusted-text" select="if ($der-text = '' or $der-invalid-text or (@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex)))) then false()        else ((@codeSystem and exists($trusted-code-systems[. = current()/@codeSystem])) or               (cda:translation/@codeSystem and exists($trusted-code-systems[. = current()/cda:translation/@codeSystem]))) " />
    <xsl:variable name="valid-pathTest-1a" select="if ($code-present or $der-text-non-value or $der-invalid-text or not($cd-definitions/pathTest/@valid-regex)) then false()        else exists(index-of(for $regex in (tokenize($cd-definitions/pathTest/@valid-regex, '~')[. != '']) return          matches($der-text-2, dh:XQueryRecursiveReplace(normalize-space($regex), ' \|~|~\| ~|', ''), 'is'), true())) " />
    <xsl:variable name="rcpa-syn-1" select="if ($der-text-to-match = '' or $der-text-non-value or $der-invalid-text or $valid-pathTest-1a) then ()         else ($spia-sctau/system/rcpa[@rcpa-terms or @related-terms]) " />
    <xsl:variable name="rcpa-syn-num" select="count($rcpa-syn-1) " />
    <xsl:variable name="rcpa-syn-2a" select="for $i in (1 to $rcpa-syn-num) return         if ($rcpa-syn-1[$i]/@rcpa-terms and $rcpa-syn-1[$i]/@related-terms) then concat($rcpa-syn-1[$i]/@rcpa-terms, '|', $rcpa-syn-1[$i]/@related-terms)        else if ($rcpa-syn-1[$i]/@rcpa-terms and not($rcpa-syn-1[$i]/@related-terms)) then $rcpa-syn-1[$i]/@rcpa-terms        else if (not($rcpa-syn-1[$i]/@rcpa-terms) and $rcpa-syn-1[$i]/@related-terms) then $rcpa-syn-1[$i]/@related-terms        else '' " />
    <xsl:variable name="rcpa-syn-2" select="for $i in (1 to $rcpa-syn-num) return         replace(replace(translate(normalize-space(lower-case($rcpa-syn-2a[$i])),          concat($chars-no-pipe, codepoints-to-string((38))), ''), ' \|', '|'), '^\| ', '|') " />
    <xsl:variable name="rcpa-syn-3" select="index-of(for $i in (1 to $rcpa-syn-num) return exists(tokenize($rcpa-syn-2[$i], '\|')[. = $der-text-to-match]), true())" />
    <xsl:variable name="rcpa-syn-4" select="distinct-values(for $i in $rcpa-syn-3 return $rcpa-syn-1[$i]/@code) " />
    <xsl:variable name="valid-pathTest-1" select="$valid-pathTest-1a or exists($rcpa-syn-4) " />
    <xsl:variable name="invalid-hierarchy" select="if (exists($cd-definitions/pathTest/pathTest-invalid/hierarchy))         then string-join(for $hierarchy in $cd-definitions/pathTest/pathTest-invalid/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-refset" select="if (exists($cd-definitions/pathTest/pathTest-invalid/refset))          then string-join(for $refset in $cd-definitions/pathTest/pathTest-invalid/refset return concat('^', $refset/@code), ' OR ')         else '' " />
    <xsl:variable name="valid-hierarchy" select="if ($cd-definitions/pathTest/pathTest-valid/@refset != '' and $cd-definitions/pathTest/pathTest-valid/@hierarchy != '')        then concat($cd-definitions/pathTest/pathTest-valid/@refset, ' OR ', $cd-definitions/pathTest/pathTest-valid/@hierarchy)        else if ($cd-definitions/pathTest/pathTest-valid/@refset != '') then $cd-definitions/pathTest/pathTest-valid/@refset        else if ($cd-definitions/pathTest/pathTest-valid/@hierarchy != '') then $cd-definitions/pathTest/pathTest-valid/@hierarchy        else '&lt;&lt;(^1072351000168102 OR ^1021000036104 OR ^2021000036107 OR ^3021000036100)' " />
    <xsl:variable name="valid-domain" select="if ($invalid-refset != '' and $invalid-hierarchy != '')         then concat('((', $valid-hierarchy, ') MINUS (', $invalid-refset, ' OR (', $invalid-hierarchy, ')))')        else if ($invalid-refset = '' and $invalid-hierarchy != '') then concat('((', $valid-hierarchy, ') MINUS (', $invalid-hierarchy, '))')         else if ($invalid-refset != '' and $invalid-hierarchy = '') then concat('((', $valid-hierarchy, ') MINUS (', $invalid-refset, '))')        else concat('(', $valid-hierarchy, ')') " />
    <xsl:variable name="related-terms-1" select="if ($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-pathTest-1) then ()        else ($codesystemvalues/code[@related-terms], $codesystemvalues/related-terms[@related-terms]) " />
    <xsl:variable name="related-terms-2" select="for $i in index-of(        for $concept in $related-terms-1 return matches(translate($concept/@related-terms, $chars-no-pipe, ''), $defn-valid-regex, 'i'), true())         return $related-terms-1[$i]/@code " />
    <xsl:variable name="der-pathTest-codes-1" select="if (exists($related-terms-2)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($related-terms-2, ' OR '), ') AND ', $valid-domain), '', string(count($related-terms-2)), false())        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $der-pathTest-codes-1 " />
    <xsl:variable name="der-valid-codes-1" select="if (contains($der-pathTest-codes-1, '[')) then $der-pathTest-codes-1 else '' " />
    <xsl:variable name="valid-pathTest-2" select="$valid-pathTest-1 or $der-valid-codes-1 != '' " />
    <xsl:variable name="pathTest-inactive-refSets" select="if (exists($cd-definitions/pathTest/pathTest-invalid/inactive-refset))         then concat('((', $inactive-refSets, ') MINUS (',           string-join(for $refset in $cd-definitions/pathTest/pathTest-invalid/inactive-refset return concat('^', $refset/@code), ' OR '),          '))')         else $inactive-refSets " />
    <xsl:variable name="formula" select="concat($valid-domain, ' OR ', $pathTest-inactive-refSets) " />
    <xsl:variable name="ts-not-needed" select="$der-text = '' or $der-text-non-value or $der-invalid-text or $valid-pathTest-2 or $avoid-ts " />
    <xsl:variable name="der-pathTest-codes-2-a" select="if ($ts-not-needed or exists($related-terms-2)) then ()         else tokenize(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-text, 'default'), '\|') " />
    <xsl:variable name="error-usingTS-2-a" select="$error-usingTS-1 or 'Error' = $der-pathTest-codes-2-a " />
    <xsl:variable name="revision-pattern-1" select="if ($ts-not-needed or exists($der-pathTest-codes-2-a) or exists($related-terms-2) or $error-usingTS-2-a) then ''        else $pathTest-sec-replacements " />
    <xsl:variable name="der-revised-text-1" select="if ($revision-pattern-1 = '') then ''         else normalize-space(dh:XQueryRecursiveReplace($der-text, $revision-pattern-1, 'ic')) " />
    <xsl:variable name="use-revised-text-1" select="$der-revised-text-1 != '' and $der-revised-text-1 != $der-text " />
    <xsl:variable name="der-pathTest-codes-2-b" select="if ($ts-not-needed or exists($der-pathTest-codes-2-a) or not($use-revised-text-1)) then $der-pathTest-codes-2-a        else tokenize(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-1,          'default'), '\|') " />
    <xsl:variable name="error-usingTS-2-b" select="$error-usingTS-2-a or 'Error' = $der-pathTest-codes-2-b " />
    <xsl:variable name="der-pathTest-codes-2" select="if ($ts-not-needed or $error-usingTS-2-b or not(exists($der-pathTest-codes-2-b)) or $der-valid-codes-1 != '' or exists($related-terms-2)) then ()        else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join(for $code in $der-pathTest-codes-2-b return replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is'), ' OR '), ') AND (',          $formula, ')'), '', string(count($der-pathTest-codes-2-b)), false()), '\|') " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-2-b or 'Error' = $der-pathTest-codes-2 " />
    <xsl:variable name="der-valid-codes-2" select="if ($der-valid-codes-1 != '') then $der-valid-codes-1        else if ($error-usingTS-2) then ''         else string-join((for $code in $der-pathTest-codes-2 return if (contains($code, '~inactive')) then '' else $code)[. != ''], '|')  " />
    <xsl:variable name="valid-pathTest-3" select="$valid-pathTest-2 or $der-valid-codes-2 != '' " />
    <xsl:variable name="der-inactive-codes-1" select="if ($valid-pathTest-3) then () else        for $code in $der-pathTest-codes-2 return if (contains($code, '~inactive')) then replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is') else '' " />
    <xsl:variable name="der-inactive-codes-2" select="for $i in (1 to count($der-inactive-codes-1)) return         dh:IsCodeAssociatedWithAnotherCode($der-inactive-codes-1[$i], '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-1" select="'Error' = $der-inactive-codes-2 " />
    <xsl:variable name="der-NAF-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-NAF-active-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound~active')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-inactive-codes-3" select="tokenize(string-join(for $i in (1 to count($der-inactive-codes-1)) return replace(string-join(tokenize($der-inactive-codes-2[$i], '\|')        [matches(., '(REPLACED BY|SAME AS|ALTERNATIVE|POSSIBLY EQUIVALENT TO|MAY BE A|WAS A)')], '|'), '[0-9]+~[A-Z ]+~([0-9]+)', '$1'), '|'), '\|')        [. != ''] " />
    <xsl:variable name="der-pathTest-codes-3" select="if (exists($der-inactive-codes-3)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($der-inactive-codes-3, ' OR '), ') AND ', $valid-domain), '', string(count($der-inactive-codes-3)), false())          else '' " />
    <xsl:variable name="error-usingTS-3" select="$error-usingTS-2 or 'Error' = $der-pathTest-codes-3 " />
    <xsl:variable name="der-valid-codes-3" select="if ($der-valid-codes-2 != '') then $der-valid-codes-2        else if (contains($der-pathTest-codes-3, '[')) then $der-pathTest-codes-3        else '' " />
    <xsl:variable name="valid-pathTest-4" select="$valid-pathTest-3 or $der-valid-codes-3 != '' " />
    <xsl:variable name="invalid-domain" select="if ($invalid-hierarchy != '' and $invalid-refset != '') then concat($invalid-hierarchy, ' OR ', $invalid-refset)        else if ($invalid-hierarchy != '') then $invalid-hierarchy        else if ($invalid-refset != '') then $invalid-refset        else '' " />
    <xsl:variable name="der-pathTest-codes-4" select="if ($ts-not-needed or $valid-pathTest-4 or $invalid-domain = '') then ()        else if (exists($related-terms-2)) then $related-terms-2        else distinct-values((tokenize(replace(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          $invalid-domain, $der-text, 'default'), '(\[.*?\])(\||$)', '$2'), '\|'), $der-inactive-codes-3)) " />
    <xsl:variable name="error-usingTS-4" select="$error-usingTS-3 or 'Error' = $der-pathTest-codes-4 " />
    <xsl:variable name="invalid-pathTest-codes-r" select="if ($ts-not-needed or $valid-pathTest-4 or $error-usingTS-4 or not(exists($der-pathTest-codes-4))) then ()        else if ($invalid-refset = '') then tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-pathTest-codes-4, ' OR '), ') AND (', $inactive-refSets, ')'), '',           string(count($der-pathTest-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')        else tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-pathTest-codes-4, ' OR '), ') AND (', $invalid-refset, ' OR ', $inactive-refSets, ')'), '',           string(count($der-pathTest-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')  " />
    <xsl:variable name="error-usingTS-5" select="$error-usingTS-4 or 'Error' = $invalid-pathTest-codes-r " />
    <xsl:variable name="der-pathTest-codes-4-h" select="if ($error-usingTS-5) then () else $der-pathTest-codes-4[not(. = $invalid-pathTest-codes-r)]" />
    <xsl:variable name="invalid-pathTest-codes-h" select="if ($ts-not-needed or $valid-pathTest-4 or 'Error' = $der-pathTest-codes-4 or $pathTest-invalid-hierarchy = '' or           not(exists($der-pathTest-codes-4-h))) then ()         else (for $code in $der-pathTest-codes-4-h return           if (dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',            concat('&gt;&gt;', $code, ' MINUS ', $pathTest-invalid-hierarchy), '', '1', false()) = '') then $code else '')[. != ''] " />
    <xsl:variable name="invalid-pathTest-codes" select="($invalid-pathTest-codes-h, $invalid-pathTest-codes-r) " />
    <xsl:variable name="der-pathTest-codes-5" select="$der-pathTest-codes-4[not(. = $invalid-pathTest-codes or . = 'Error')]" />
    <xsl:variable name="der-valid-codes-4" select="if ($der-valid-codes-3 != '') then $der-valid-codes-3        else if ($ts-not-needed or $valid-pathTest-4 or $valid-domain = '' or not(exists($der-pathTest-codes-5))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-pathTest-codes-5, ' OR '), ') AND ', $valid-domain), '', string(count($der-pathTest-codes-5)), false()) " />
    <xsl:variable name="error-usingTS-6" select="$error-usingTS-5 or 'Error' = $der-valid-codes-4 " />
    <xsl:variable name="valid-pathTest-5" select="$valid-pathTest-4 or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="undetermined-pathTest-1" select="$der-pathTest-codes-5[not(. = tokenize(replace($der-valid-codes-4,  '(\[.*?\])(\||$)', '$2'), '\|'))]" />
    <xsl:variable name="undetermined-inactive-1" select="for $i in (1 to count($undetermined-pathTest-1)) return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $undetermined-pathTest-1[$i], '', '1', false()) " />
    <xsl:variable name="error-usingTS-7" select="$error-usingTS-6 or 'Error' = $undetermined-inactive-1 " />
    <xsl:variable name="undetermined-inactive" select="(for $i in (1 to count($undetermined-pathTest-1)) return         if (contains($undetermined-inactive-1[$i], '~inactive')) then $undetermined-inactive-1[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-1" select="for $i in (1 to count($undetermined-inactive))        return dh:IsCodeAssociatedWithAnotherCode(replace($undetermined-inactive[$i], '(\[.*?\])(\||$)', '$2'), '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-2" select="$error-usingV-1 or 'Error' = $undetermined-NAF-1 " />
    <xsl:variable name="undetermined-NAF" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-codes" select="for $term in $undetermined-NAF return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-NAF-active" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound~active')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-active-codes" select="for $term in $undetermined-NAF-active return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-pathTest" select="$undetermined-pathTest-1[not(. = ($undetermined-NAF-codes, $undetermined-NAF-active-codes))]" />
    <xsl:variable name="invalid-pathTest" select="not($valid-pathTest-5) and exists($invalid-pathTest-codes) and not(exists($undetermined-pathTest))" />
    <xsl:variable name="codes-were-found" select="exists($der-pathTest-codes-4) or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="codes-not-found" select="not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or        $valid-pathTest-5 or $invalid-pathTest or $error-usingTS-7 or $family-err or $length-err or $prose-err) " />
    <xsl:variable name="codes-in-the-domain" select="not($valid-pathTest-1) and $valid-pathTest-5" />
    <xsl:variable name="codes-in-other-domain" select="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-pathTest-5 or $invalid-pathTest or         $error-usingTS-7) " />
    <xsl:variable name="codes-in-no-domain" select="exists($der-pathTest-codes-5) " />
    <xsl:variable name="display-in-the-domain" select="if ($codes-in-the-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', '), '''')        else '' " />
    <xsl:variable name="display-in-other-r" select="if (exists($invalid-pathTest-codes-r) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-pathTest-codes-r return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-h" select="if (exists($invalid-pathTest-codes-h) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-pathTest-codes-h return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-domain" select="if (not($codes-in-other-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))) then ''        else if ($display-in-other-r and display-in-other-h) then concat('''', $display-in-other-r, ', ', $display-in-other-h, '''')        else if ($display-in-other-r) then concat('''', $display-in-other-r, '''')        else if ($display-in-other-h) then concat('''', $display-in-other-h, '''')        else '' " />
    <xsl:variable name="display-in-no-domain" select="if ($codes-in-no-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', dh:XQueryRecursiveReplace(string-join(for $code in $der-pathTest-codes-5 return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), '; '),          $term-pattern-replacement, 'ic'), '''')        else '' " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))        else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <!--REPORT -->
    <xsl:if test=" matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-pathTest-5) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-pathTest-5)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-PathTest-Defn): An unexpected problem occurred when assessing the value of the Test Requested Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. The application of regular expressions resulted in the complete loss of text.
		Report the information below to the Australian Digital Health Agency for investigation.

		der-text-1 '<xsl:text /><xsl:value-of select="normalize-space(dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'))" /><xsl:text />'.
		der-text-2a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-2a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-a, $term-pattern-replacement, 'ic')" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingV-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingV-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-PathTest-Defn): An error was reported when accessing the terminology server when assessing the Test Requested Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		Report the issue to the Australian Digital Health Agency for investigation stating the error was recorded for error-usingV-2.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-7 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-7">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-PathTest-Defn): An error was reported when accessing the terminology server when assessing the Test Requested Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term:
		'<xsl:text /><xsl:value-of select="$der-text" /><xsl:text />'. The analysis should be retried as the terminology server may have been temporarily unavailable.
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation, stating that the error was found by
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'error-usingTS-1' else if ($error-usingTS-2-a) then 'error-usingTS-2-a'   else if ($error-usingTS-2-b) then 'error-usingTS-2-b' else if ($error-usingTS-2) then 'error-usingTS-2'   else if ($error-usingTS-3) then 'error-usingTS-3' else if ($error-usingTS-4) then 'error-usingTS-4'   else if ($error-usingTS-5) then 'error-usingTS-5' else if ($error-usingTS-6) then 'error-usingTS-6'   else 'error-usingTS-7' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $codes-not-found">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Requested Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the pathology test which was requested.         (See the definition of the Test Requested Name data element in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in section 10.87 of the Event Summary Structured Content Specification         v1.2.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$codes-in-other-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$codes-in-other-domain">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Requested Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value does not seem to be applicable for the data element.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the pathology test which was requested.         (See the definition of the Test Requested Name data element in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Test Requested Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the pathology test which was requested.         (See the definition of the Test Requested Name data element in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Test Requested Name data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Requested Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the pathology test which was requested.         (See the definition of the Test Requested Name data element in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Test Requested Name data element must have a value that is consistent with this definition. Alternatively if there is no Test Requested Name data element with a proper value then an exclusion
		statement must be included to state why there is no Test Requested Name. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4')    then concat('Text such as ''', dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'), ''' may be permitted in the narrative even though the Test Requested Name data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Test Requested Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the pathology test which was requested.         (See the definition of the Test Requested Name data element in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Test Requested Name data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($der-text-non-value) and $der-invalid-text ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($der-text-non-value) and $der-invalid-text">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Requested Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid. <xsl:text /><xsl:value-of select="$defn-invalid-rsn" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the pathology test which was requested.         (See the definition of the Test Requested Name data element in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $invalid-pathTest and not($error-usingTS-7)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$invalid-pathTest and not($error-usingTS-7)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Requested Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid
		<xsl:text /><xsl:value-of select="if (exists($invalid-pathTest-codes-h)) then concat(' as it describes ', string-join(distinct-values(for $code in tokenize(replace(   dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat('(', string-join(for $code in $invalid-pathTest-codes-h return concat('&gt;&gt;', $code), ' OR '), ') AND (',    string-join(for $hierarchy in $cd-definitions/pathTest/pathTest-invalid/hierarchy return $hierarchy/@code, ' OR '), ')'), '',    string(count($invalid-pathTest-codes-h)), true()), '(\[.*?\])(\||$)', '$2'), '\|') return     $cd-definitions/pathTest/pathTest-invalid/hierarchy[@code = $code]/@description)[position() = (1 to 2)], ' and '), '.')    else if (exists($invalid-pathTest-codes-r)) then concat(' as it describes ', string-join(distinct-values(for $code in $invalid-pathTest-codes-r return   $cd-definitions/pathTest/pathTest-invalid/refset[index-of(for $x in (for $refset in $cd-definitions/pathTest/pathTest-invalid/refset return    dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat($code, ' AND ^', $refset/@code), '', '1', true()), '|') return matches($x, '^[0-9]'), true())[1]]/@description), ' and '), '.')   else '.'" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the pathology test which was requested.         (See the definition of the Test Requested Name data element in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable outside the applicable value domain): The Test Requested Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following codes were obtained and are not in the value domain: <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-PathTest-Defn): The Test Requested Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU and no associated code was found in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists(($der-NAF-active-codes, $undetermined-NAF-active-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists(($der-NAF-active-codes, $undetermined-NAF-active-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-PathTest-Defn): The Test Requested Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-active-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the
		'<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' version of SNOMED CT-AU but it was not found with this status in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU. 
		<xsl:text /><xsl:value-of select="if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $valid-pathTest-1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $valid-pathTest-1">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable within the value domain): The Test Requested Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which matches one of the		
		<xsl:text /><xsl:value-of select="if ($valid-pathTest-1a) then 'terms listed in Knowledge.xml' else 'concepts in the RCPA requesting pathology reference set' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($valid-pathTest-1a) then ''    else if (count($rcpa-syn-4) = 1) then concat(' The code found using the RCPA preferred terms and synonyms is ''', $rcpa-syn-4[1], '''.')   else concat(' The codes found using the RCPA preferred terms and synonyms are ''', string-join($rcpa-syn-4, ', '), '''.')" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (concept is codeable within the value domain): The Test Requested Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a valid value for the Test Requested Name.
		SNOMED CT-AU codes that matched the concept are: <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-pathTest-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-pathTest-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Test Requested Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The text used to match regular expression (der-text-2) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to match RCPA terms and non-values (der-text-to-match) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-to-match, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to derive a code (der-text) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.

		<xsl:text /><xsl:value-of select="if ($use-revised-text-1) then concat(' A first revision of the text (der-revised-text-1) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-1, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A first revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-1 != '' and $der-revised-text-1 = '') then ' revision-pattern-1 was applied but the output (der-revised-text-1) was an empty string.' else '' " /><xsl:text />

		The SNOMED CT-AU version used to find codes is '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' and the maximum code number is '<xsl:text /><xsl:value-of select="$max-code-number" /><xsl:text />'.

		Codes for related terms (related-terms-2): '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($related-terms-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes for related terms (der-valid-codes-1): 
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-1, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-pathTest-codes-2) returned by the terminology server that match the text:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-pathTest-codes-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes from related terms or the terminology server (der-valid-codes-2):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-2, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-inactive-codes-3) returned from the Validator's database associated with inactive codes:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-inactive-codes-3, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes found after examining inactive codes (der-valid-codes-3):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-3, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Members of invalid reference sets (invalid-pathTest-codes-r): '<xsl:text /><xsl:value-of select="$display-in-other-r" /><xsl:text />'.
		Members of invalid code hierarchies (invalid-pathTest-codes-h): '<xsl:text /><xsl:value-of select="$display-in-other-h" /><xsl:text />'.

		Final set of valid codes (der-valid-codes-4):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		
		Codes whose validity has not been determined (der-pathTest-codes-5):  <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.
		Codes whose validity has not been determined and are inactive with no associated code (undetermined-NAF): '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(    string-join($undetermined-NAF, ''', '''), $markup-pattern-replacement, 'ic')" /><xsl:text />'.

		Will the value of the data element be trusted (der-trusted-text)? '<xsl:text /><xsl:value-of select="$der-trusted-text" /><xsl:text />'.
		
	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and $codes-not-found">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept not codeable): The Test Requested Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($avoid-ts) then 'The terminology server was not used to assist with finding codes corresponding to text in the data element. ' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($error-usingTS-7 or $log-concepts-name = '' or $log-concepts-created = 'ERROR') then ''   else if (dh:AppendLog($log-concepts-name, concat(              $display-creation-date,   $log-tab,         $document-id,    $log-tab,         $document-name,    $log-tab,         iq:location(., ''),   $log-tab,          'Test Requested Name',    $log-tab,          'yes',     $log-tab,          concat($display-code, $display-system), $log-tab,          '',     $log-tab,         '',     $log-tab,         '',     $log-tab,         $ts-current-sctau   )) = ('NOTFOUND', 'ERROR'))   then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $prose-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $prose-err">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Test Requested Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is invalid as it is prose text.
		The Test Requested Name data element is CodeableText derived from the HL7 CD data type which by definition is to record a concept defined in an external code system, terminology or ontology.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the pathology test which was requested.         (See the definition of the Test Requested Name data element in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		This finding will also be reported as an error.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M688" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M688" />
  <xsl:template match="@*|node()" priority="-2" mode="M688">
    <xsl:apply-templates select="@*|*" mode="M688" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-CodeableText-62-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '102.16144' = $doc-sections][not(cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3'])]/   cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:act/cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('103.16404', '103.11017')]]/cda:value   [@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " priority="1000" mode="M689">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '102.16144' = $doc-sections][not(cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3'])]/   cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:act/cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('103.16404', '103.11017')]]/cda:value   [@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="pnullFlavor" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @nullFlavor) then @nullFlavor else '' " />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-p-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then false()        else if ($psnomed-id = 'amtv3' and @codeSystemVersion) then exists($v-amtv3[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($psnomed-id = 'snomedctau' and @codeSystemVersion) then exists($v-snomedctau[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false() " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and $pcode != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used to assess the primary code.') " />
    <xsl:variable name="pcode-refsets-1" select="if (@codeSystem = '2.16.840.1.113883.6.96' and not($pcode = ''))         then dh:FindValueDomainsForCode($pcode, '2.16.840.1.113883.6.96', $v-psnomed-version) else 'no-code' " />
    <xsl:variable name="pcode-found" select="not($pcode-refsets-1 = 'no-code' or $pcode-refsets-1 = 'CodeNotFound' or $pcode-refsets-1 = 'Error'        or contains($pcode-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="pcode-refsets" select="if ($pcode-found) then distinct-values(tokenize($pcode-refsets-1, '\|')) else () " />
    <xsl:variable name="pcode-special-proc" select="count($pcode-refsets) = 1 and 'Procedure Foundation (PF)' = $pcode-refsets and not($pnullFlavor = 'OTH') " />
    <xsl:variable name="pcode-refsets-msg" select="if (count($pcode-refsets) = 0) then ''         else if (count($pcode-refsets) = 1) then concat('The code is a member of the ', $pcode-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($pcode-refsets, ', '), '.') " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))         else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-1" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="snomed-trans-2" select="distinct-values(for $i in (1 to count($snomed-trans-1)) return $snomed-trans-1[$i]/@code) " />
    <xsl:variable name="snomed-trans-a" select="$snomed-trans-1[1] " />
    <xsl:variable name="tcode-a" select="if (exists($snomed-trans-a) and matches($snomed-trans-a/@code, $snomed-code-regex)) then $snomed-trans-a/@code else '' " />
    <xsl:variable name="tnullFlavor-a" select="if (exists($snomed-trans-a) and $snomed-trans-a/@nullFlavor) then $snomed-trans-a/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-a" select="if (not(exists($snomed-trans-a))) then 'not-snomed'        else if (not($snomed-trans-a/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-a/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-a" select="if (not(exists($snomed-trans-a))) then ''        else if ($tsnomed-id-a = 'amtv3' and exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-a = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-a/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-a" select="if (not(exists($snomed-trans-a))) then false()        else if ($tsnomed-id-a = 'amtv3' and $snomed-trans-a/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-a = 'snomedctau' and $snomed-trans-a/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-a-msg" select="if (not(exists($snomed-trans-a))) then ''        else if (not($snomed-trans-a/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-a, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-a = 'amtv3') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-a = 'snomedctau') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-a/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-a, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-a/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-a-refsets-1" select="if (exists($snomed-trans-a) and not($tcode-a = ''))         then dh:FindValueDomainsForCode($tcode-a, '2.16.840.1.113883.6.96', $v-tsnomed-version-a) else 'no-code' " />
    <xsl:variable name="tcode-a-found" select="not($tcode-a-refsets-1 = 'no-code' or $tcode-a-refsets-1 = 'CodeNotFound' or $tcode-a-refsets-1 = 'Error'         or contains($tcode-a-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-a-refsets" select="if ($tcode-a-found) then distinct-values(tokenize($tcode-a-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-a-special-proc" select="count($tcode-a-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-a-refsets and not($tnullFlavor-a = 'OTH') " />
    <xsl:variable name="tcode-a-refsets-msg" select="if (count($tcode-a-refsets) = 0) then ''         else if (count($tcode-a-refsets) = 1) then concat('The code is a member of the ', $tcode-a-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-a-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@code and $snomed-trans-a/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-a/@displayName, codepoints-to-string(34))         else if ($snomed-trans-a/@code and not($snomed-trans-a/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@codeSystem and $snomed-trans-a/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-a/@codeSystemName, ')')         else if ($snomed-trans-a/@codeSystem and not($snomed-trans-a/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-b" select="(for $i in (2 to count($snomed-trans-1)) return if ($snomed-trans-1[$i]/@code != $snomed-trans-a/@code) then $snomed-trans-1[$i] else ())[1] " />
    <xsl:variable name="tcode-b" select="if (exists($snomed-trans-b) and matches($snomed-trans-b/@code, $snomed-code-regex)) then $snomed-trans-b/@code else '' " />
    <xsl:variable name="tnullFlavor-b" select="if (exists($snomed-trans-b) and $snomed-trans-b/@nullFlavor) then $snomed-trans-b/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-b" select="if (not(exists($snomed-trans-b))) then 'not-snomed'        else if (not($snomed-trans-b/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-b/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-b" select="if (not(exists($snomed-trans-b))) then ''        else if ($tsnomed-id-b = 'amtv3' and exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-b = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-b/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-b" select="if (not(exists($snomed-trans-b))) then false()        else if ($tsnomed-id-b = 'amtv3' and $snomed-trans-b/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-b = 'snomedctau' and $snomed-trans-b/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-b-msg" select="if (not(exists($snomed-trans-b))) then ''        else if (not($snomed-trans-b/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-b, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-b = 'amtv3') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-b = 'snomedctau') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-b/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-b, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-b/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-b-refsets-1" select="if (exists($snomed-trans-b) and not($tcode-b = ''))         then dh:FindValueDomainsForCode($tcode-b, '2.16.840.1.113883.6.96', $v-tsnomed-version-b) else 'no-code' " />
    <xsl:variable name="tcode-b-found" select="not($tcode-b-refsets-1 = 'no-code' or $tcode-b-refsets-1 = 'CodeNotFound' or $tcode-b-refsets-1 = 'Error'         or contains($tcode-b-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-b-refsets" select="if ($tcode-b-found) then distinct-values(tokenize($tcode-b-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-b-special-proc" select="count($tcode-b-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-b-refsets and not($tnullFlavor-b = 'OTH') " />
    <xsl:variable name="tcode-b-refsets-msg" select="if (count($tcode-b-refsets) = 0) then ''         else if (count($tcode-b-refsets) = 1) then concat('The code is a member of the ', $tcode-b-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-b-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@code and $snomed-trans-b/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-b/@displayName, codepoints-to-string(34))         else if ($snomed-trans-b/@code and not($snomed-trans-b/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@codeSystem and $snomed-trans-b/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-b/@codeSystemName, ')')         else if ($snomed-trans-b/@codeSystem and not($snomed-trans-b/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-60" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-60 else $rating-alt-TC-Types-60 " />
    <!--REPORT -->
    <xsl:if test=" $pcode-found and $pcode-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pcode-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD (p-TS-CD-SCT-RefSet): An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$pcode" /><xsl:text />',
		codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-psnomed-version" /><xsl:text />'. This error occurred when assessing the Test Requested Name data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Test Requested Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. The value is not valid for the data element as it describes a medical
		procedure and not a medical problem or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the pathology test which was requested.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and   not(exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and not(exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Requested Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the code is not a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the RCPA SPIA Requesting Pathology Terminology reference set (Concept Id: 1072351000168102).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.37 of the Pathology Test Result Detailed Clinical Model Specification v3.2.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and   not(exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and not(exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Requested Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the RCPA SPIA Requesting Pathology Terminology reference set (Concept Id: 1072351000168102).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.37 of the Pathology Test Result Detailed Clinical Model Specification v3.2.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and   exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Requested Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the RCPA SPIA Requesting Pathology Terminology reference set (Concept Id: 1072351000168102).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.37 of the Pathology Test Result Detailed Clinical Model Specification v3.2.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and   exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Requested Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. Confirm if the code is a member of the value domain.
		If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the RCPA SPIA Requesting Pathology Terminology reference set (Concept Id: 1072351000168102).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.37 of the Pathology Test Result Detailed Clinical Model Specification v3.2.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Requested Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="count($snomed-trans-1)" /><xsl:text /> translation elements with
		codes and the SNOMED CT-AU codeSystem '2.16.840.1.113883.6.96'. The first two translation elements have been assessed to determine if the codes are members of the value domain
		and the others have not been assessed. Confirm if the value of the code attribute in all SNOMED CT translation elements meets the requirement that it be a member of the value domain
		if there is no nullFlavor 'OTH' or that there is a nullFlavor 'OTH' if the value of the code attribute is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the RCPA SPIA Requesting Pathology Terminology reference set (Concept Id: 1072351000168102).')" /><xsl:text /> 
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.37 of the Pathology Test Result Detailed Clinical Model Specification v3.2.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-a" /><xsl:text />'. This error occurred when assessing the Test Requested Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Test Requested Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the pathology test which was requested.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and   not(exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and not(exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Requested Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the RCPA SPIA Requesting Pathology Terminology reference set (Concept Id: 1072351000168102).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.37 of the Pathology Test Result Detailed Clinical Model Specification v3.2.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and   not(exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and not(exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Requested Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the RCPA SPIA Requesting Pathology Terminology reference set (Concept Id: 1072351000168102).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.37 of the Pathology Test Result Detailed Clinical Model Specification v3.2.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and   exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Requested Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the RCPA SPIA Requesting Pathology Terminology reference set (Concept Id: 1072351000168102).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.37 of the Pathology Test Result Detailed Clinical Model Specification v3.2.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and   exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Requested Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the RCPA SPIA Requesting Pathology Terminology reference set (Concept Id: 1072351000168102).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.37 of the Pathology Test Result Detailed Clinical Model Specification v3.2.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-b" /><xsl:text />'. This error occurred when assessing the Test Requested Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Test Requested Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> 
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the pathology test which was requested.         (See the definition in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and   not(exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and not(exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Requested Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the RCPA SPIA Requesting Pathology Terminology reference set (Concept Id: 1072351000168102).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.37 of the Pathology Test Result Detailed Clinical Model Specification v3.2.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and   not(exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and not(exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Requested Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the RCPA SPIA Requesting Pathology Terminology reference set (Concept Id: 1072351000168102).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.37 of the Pathology Test Result Detailed Clinical Model Specification v3.2.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and   exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Requested Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the RCPA SPIA Requesting Pathology Terminology reference set (Concept Id: 1072351000168102).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.37 of the Pathology Test Result Detailed Clinical Model Specification v3.2.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and   exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and exists(index-of(for $refset in ('Requesting Pathology Terminology (RPT)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Requesting Pathology Terminology (RPT)')) = 1 and 'Problem Diagnosis (PD)' = ('Requesting Pathology Terminology (RPT)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Test Requested Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the RCPA SPIA Requesting Pathology Terminology reference set (Concept Id: 1072351000168102).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.37 of the Pathology Test Result Detailed Clinical Model Specification v3.2.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M689" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M689" />
  <xsl:template match="@*|node()" priority="-2" mode="M689">
    <xsl:apply-templates select="@*|*" mode="M689" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-CodeableText-63-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '102.16144' = $doc-sections]   [not(cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3'])]/   cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:act/cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('103.16404', '103.11017')]]/cda:value         [not(@code and @codeSystem and exists(index-of($defn-pathTest-trusted, @codeSystem)))]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])]   [not(@nullFlavor = $no-value-NF)] " priority="1000" mode="M690">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '102.16144' = $doc-sections]   [not(cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3'])]/   cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:act/cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('103.16404', '103.11017')]]/cda:value         [not(@code and @codeSystem and exists(index-of($defn-pathTest-trusted, @codeSystem)))]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])]   [not(@nullFlavor = $no-value-NF)] " />
    <xsl:variable name="pcode" select="if ('2.16.840.1.113883.6.96' = $defn-pathTest-trusted and         @codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="snomed-trans" select="if ('2.16.840.1.113883.6.96' = $defn-pathTest-trusted and cda:translation)         then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="tcode" select="if (exists($snomed-trans[1]) and matches($snomed-trans[1]/@code, $snomed-code-regex)) then $snomed-trans[1]/@code else '' " />
    <xsl:variable name="code-present" select="$pcode != '' or $tcode != '' " />
    <xsl:variable name="invalid-code-system" select="@code and @displayName and @codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="codesystemvalues" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']" />
    <xsl:variable name="otext-without-markup" select="if (cda:originalText and cda:originalText != '') then replace(cda:originalText, $markup-regex, ' ') else '' " />
    <xsl:variable name="pdname" select="if (@displayName and not($invalid-code-system)) then @displayName else '' " />
    <xsl:variable name="max-code-number" select="if ($knowledge/search-for-term/max-sct-code-number/@value &gt; '5') then $knowledge/search-for-term/max-sct-code-number/@value else '5' " />
    <xsl:variable name="der-text-1" select="if ($code-present) then ''         else if ($otext-without-markup != '') then $otext-without-markup        else if ($pdname != '') then $pdname        else '' " />
    <xsl:variable name="family-err" select="$family-regex != '' and not(matches($der-text-1, '(^|\s)(small|white\s*cell\s*count)(\s|$)', 'is')) and matches($der-text-1, $family-regex, 'is')" />
    <xsl:variable name="der-truncated-text-1" select="normalize-space(replace($der-text-1, $unicode-br-truncation-regex, '$1', 'is')) " />
    <xsl:variable name="length-err" select="string-length($der-truncated-text-1) &gt; $length-err-max" />
    <xsl:variable name="prose-err-1" select="$length-err and cda:originalText and (        matches(cda:originalText, $ulist-regex)           or         matches(cda:originalText, $alt-ulist-1a-regex, 'is')         or         matches(cda:originalText, $alt-ulist-1b-regex, 'is')         )" />
    <xsl:variable name="prose-err" select="$prose-err-1 or (cda:originalText and (         matches(cda:originalText, $alt-ulist-2-regex, 'is')          or        matches(cda:originalText, $olist-arabic-regex, 'is')          or         matches(cda:originalText, $olist-alpha-regex, 'is')          or         matches(cda:originalText, $olist-roman-regex, 'is')          or        matches(replace(cda:originalText, $new-line-regex, codepoints-to-string((10)), 'is'), $para-regex, 'is')  or        matches(cda:originalText, codepoints-to-string((8233)), 'is')         or               (cda:originalText and matches(cda:originalText, $invalid-concept-regex, 'is'))      or        ($length-err and matches(cda:originalText, '\.\s*$', 's') and matches(cda:originalText, $multi-sentence-regex, 's')) ))" />
    <xsl:variable name="avoid-ts" select="$family-err or $length-err or $prose-err or not($use-ts-for-sctau) " />
    <xsl:variable name="der-text-2a" select="if ($der-truncated-text-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-truncated-text-1, $pathTest-fir-pattern-replacement, 'ic')) " />
    <xsl:variable name="der-text-2" select="if ($der-text-2a = '') then $der-text-1 else $der-text-2a " />
    <xsl:variable name="der-text-a" select="if ($pathTest-replacements = '' or $der-text-2 = '') then normalize-space($der-text-2)        else normalize-space(dh:XQueryRecursiveReplace($der-text-2, $pathTest-replacements, 'ic')) " />
    <xsl:variable name="der-text" select="if ($der-text-a = '') then $der-text-2 else $der-text-a " />
    <xsl:variable name="defn-valid-regex" select="concat('(^|\|)', translate($der-text-2, $chars-to-remove, ''), '(\||$)') " />
    <xsl:variable name="der-text-to-match-1" select="lower-case($der-text-2) " />
    <xsl:variable name="der-text-to-match" select="translate($der-text-to-match-1, $chars-to-remove, '') " />
    <xsl:variable name="der-text-non-value" select="if ($code-present or @nullFlavor = $no-value-NF) then false() else         $der-text-to-match = ''              or        not(matches($der-text-to-match-1, '[a-z]', 'i'))          or         ($cd-definitions/non-value/@regex != '' and matches($der-text-to-match-1, $cd-definitions/non-value/@regex, 'i'))  or        (exists($cd-definitions/pathTest/@non-value-regex) and matches($der-text-to-match-1, $cd-definitions/pathTest/@non-value-regex, 'i')) " />
    <xsl:variable name="defn-invalid-regex" select="if ($code-present or $der-text-non-value) then ()        else if ($cd-definitions/pathTest/@invalid-regex) then tokenize($cd-definitions/pathTest/@invalid-regex, '~')[. != '']         else () " />
    <xsl:variable name="defn-invalid-txt-regex" select="(for $i in (1 to count($defn-invalid-regex)) return normalize-space(substring-before($defn-invalid-regex[$i], '[[')))[. != '']" />
    <xsl:variable name="der-invalid-text-regex-1" select="if (exists($defn-invalid-txt-regex))        then index-of(for $i in (1 to count($defn-invalid-txt-regex)) return matches($der-text-2, $defn-invalid-txt-regex[$i], 'i'), true())        else () " />
    <xsl:variable name="der-invalid-text" select="exists($der-invalid-text-regex-1) " />
    <xsl:variable name="defn-invalid-rsn" select="if ($der-invalid-text)         then normalize-space(substring-before(substring-after($defn-invalid-regex[$der-invalid-text-regex-1[1]], '[['), ']]'))         else '' " />
    <xsl:variable name="trusted-code-systems" select="if ($der-text = '' or $der-invalid-text or not(@codeSystem or cda:translation/@codeSystem)) then ()        else (tokenize(replace($cd-definitions/pathTest/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/pathTest/@extra, '\s+', ''), '\|'))[. != ''] " />
    <xsl:variable name="der-trusted-text" select="if ($der-text = '' or $der-invalid-text or (@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex)))) then false()        else ((@codeSystem and exists($trusted-code-systems[. = current()/@codeSystem])) or               (cda:translation/@codeSystem and exists($trusted-code-systems[. = current()/cda:translation/@codeSystem]))) " />
    <xsl:variable name="valid-pathTest-1a" select="if ($code-present or $der-text-non-value or $der-invalid-text or not($cd-definitions/pathTest/@valid-regex)) then false()        else exists(index-of(for $regex in (tokenize($cd-definitions/pathTest/@valid-regex, '~')[. != '']) return          matches($der-text-2, dh:XQueryRecursiveReplace(normalize-space($regex), ' \|~|~\| ~|', ''), 'is'), true())) " />
    <xsl:variable name="rcpa-syn-1" select="if ($der-text-to-match = '' or $der-text-non-value or $der-invalid-text or $valid-pathTest-1a) then ()         else ($spia-sctau/system/rcpa[@rcpa-terms or @related-terms]) " />
    <xsl:variable name="rcpa-syn-num" select="count($rcpa-syn-1) " />
    <xsl:variable name="rcpa-syn-2a" select="for $i in (1 to $rcpa-syn-num) return         if ($rcpa-syn-1[$i]/@rcpa-terms and $rcpa-syn-1[$i]/@related-terms) then concat($rcpa-syn-1[$i]/@rcpa-terms, '|', $rcpa-syn-1[$i]/@related-terms)        else if ($rcpa-syn-1[$i]/@rcpa-terms and not($rcpa-syn-1[$i]/@related-terms)) then $rcpa-syn-1[$i]/@rcpa-terms        else if (not($rcpa-syn-1[$i]/@rcpa-terms) and $rcpa-syn-1[$i]/@related-terms) then $rcpa-syn-1[$i]/@related-terms        else '' " />
    <xsl:variable name="rcpa-syn-2" select="for $i in (1 to $rcpa-syn-num) return         replace(replace(translate(normalize-space(lower-case($rcpa-syn-2a[$i])),          concat($chars-no-pipe, codepoints-to-string((38))), ''), ' \|', '|'), '^\| ', '|') " />
    <xsl:variable name="rcpa-syn-3" select="index-of(for $i in (1 to $rcpa-syn-num) return exists(tokenize($rcpa-syn-2[$i], '\|')[. = $der-text-to-match]), true())" />
    <xsl:variable name="rcpa-syn-4" select="distinct-values(for $i in $rcpa-syn-3 return $rcpa-syn-1[$i]/@code) " />
    <xsl:variable name="valid-pathTest-1" select="$valid-pathTest-1a or exists($rcpa-syn-4) " />
    <xsl:variable name="invalid-hierarchy" select="if (exists($cd-definitions/pathTest/pathTest-invalid/hierarchy))         then string-join(for $hierarchy in $cd-definitions/pathTest/pathTest-invalid/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-refset" select="if (exists($cd-definitions/pathTest/pathTest-invalid/refset))          then string-join(for $refset in $cd-definitions/pathTest/pathTest-invalid/refset return concat('^', $refset/@code), ' OR ')         else '' " />
    <xsl:variable name="valid-hierarchy" select="if ($cd-definitions/pathTest/pathTest-valid/@refset != '' and $cd-definitions/pathTest/pathTest-valid/@hierarchy != '')        then concat($cd-definitions/pathTest/pathTest-valid/@refset, ' OR ', $cd-definitions/pathTest/pathTest-valid/@hierarchy)        else if ($cd-definitions/pathTest/pathTest-valid/@refset != '') then $cd-definitions/pathTest/pathTest-valid/@refset        else if ($cd-definitions/pathTest/pathTest-valid/@hierarchy != '') then $cd-definitions/pathTest/pathTest-valid/@hierarchy        else '&lt;&lt;(^1072351000168102 OR ^1021000036104 OR ^2021000036107 OR ^3021000036100)' " />
    <xsl:variable name="valid-domain" select="if ($invalid-refset != '' and $invalid-hierarchy != '')         then concat('((', $valid-hierarchy, ') MINUS (', $invalid-refset, ' OR (', $invalid-hierarchy, ')))')        else if ($invalid-refset = '' and $invalid-hierarchy != '') then concat('((', $valid-hierarchy, ') MINUS (', $invalid-hierarchy, '))')         else if ($invalid-refset != '' and $invalid-hierarchy = '') then concat('((', $valid-hierarchy, ') MINUS (', $invalid-refset, '))')        else concat('(', $valid-hierarchy, ')') " />
    <xsl:variable name="related-terms-1" select="if ($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-pathTest-1) then ()        else ($codesystemvalues/code[@related-terms], $codesystemvalues/related-terms[@related-terms]) " />
    <xsl:variable name="related-terms-2" select="for $i in index-of(        for $concept in $related-terms-1 return matches(translate($concept/@related-terms, $chars-no-pipe, ''), $defn-valid-regex, 'i'), true())         return $related-terms-1[$i]/@code " />
    <xsl:variable name="der-pathTest-codes-1" select="if (exists($related-terms-2)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($related-terms-2, ' OR '), ') AND ', $valid-domain), '', string(count($related-terms-2)), false())        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $der-pathTest-codes-1 " />
    <xsl:variable name="der-valid-codes-1" select="if (contains($der-pathTest-codes-1, '[')) then $der-pathTest-codes-1 else '' " />
    <xsl:variable name="valid-pathTest-2" select="$valid-pathTest-1 or $der-valid-codes-1 != '' " />
    <xsl:variable name="pathTest-inactive-refSets" select="if (exists($cd-definitions/pathTest/pathTest-invalid/inactive-refset))         then concat('((', $inactive-refSets, ') MINUS (',           string-join(for $refset in $cd-definitions/pathTest/pathTest-invalid/inactive-refset return concat('^', $refset/@code), ' OR '),          '))')         else $inactive-refSets " />
    <xsl:variable name="formula" select="concat($valid-domain, ' OR ', $pathTest-inactive-refSets) " />
    <xsl:variable name="ts-not-needed" select="$der-text = '' or $der-text-non-value or $der-invalid-text or $valid-pathTest-2 or $avoid-ts " />
    <xsl:variable name="der-pathTest-codes-2-a" select="if ($ts-not-needed or exists($related-terms-2)) then ()         else tokenize(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-text, 'default'), '\|') " />
    <xsl:variable name="error-usingTS-2-a" select="$error-usingTS-1 or 'Error' = $der-pathTest-codes-2-a " />
    <xsl:variable name="revision-pattern-1" select="if ($ts-not-needed or exists($der-pathTest-codes-2-a) or exists($related-terms-2) or $error-usingTS-2-a) then ''        else $pathTest-sec-replacements " />
    <xsl:variable name="der-revised-text-1" select="if ($revision-pattern-1 = '') then ''         else normalize-space(dh:XQueryRecursiveReplace($der-text, $revision-pattern-1, 'ic')) " />
    <xsl:variable name="use-revised-text-1" select="$der-revised-text-1 != '' and $der-revised-text-1 != $der-text " />
    <xsl:variable name="der-pathTest-codes-2-b" select="if ($ts-not-needed or exists($der-pathTest-codes-2-a) or not($use-revised-text-1)) then $der-pathTest-codes-2-a        else tokenize(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-1,          'default'), '\|') " />
    <xsl:variable name="error-usingTS-2-b" select="$error-usingTS-2-a or 'Error' = $der-pathTest-codes-2-b " />
    <xsl:variable name="der-pathTest-codes-2" select="if ($ts-not-needed or $error-usingTS-2-b or not(exists($der-pathTest-codes-2-b)) or $der-valid-codes-1 != '' or exists($related-terms-2)) then ()        else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join(for $code in $der-pathTest-codes-2-b return replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is'), ' OR '), ') AND (',          $formula, ')'), '', string(count($der-pathTest-codes-2-b)), false()), '\|') " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-2-b or 'Error' = $der-pathTest-codes-2 " />
    <xsl:variable name="der-valid-codes-2" select="if ($der-valid-codes-1 != '') then $der-valid-codes-1        else if ($error-usingTS-2) then ''         else string-join((for $code in $der-pathTest-codes-2 return if (contains($code, '~inactive')) then '' else $code)[. != ''], '|')  " />
    <xsl:variable name="valid-pathTest-3" select="$valid-pathTest-2 or $der-valid-codes-2 != '' " />
    <xsl:variable name="der-inactive-codes-1" select="if ($valid-pathTest-3) then () else        for $code in $der-pathTest-codes-2 return if (contains($code, '~inactive')) then replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is') else '' " />
    <xsl:variable name="der-inactive-codes-2" select="for $i in (1 to count($der-inactive-codes-1)) return         dh:IsCodeAssociatedWithAnotherCode($der-inactive-codes-1[$i], '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-1" select="'Error' = $der-inactive-codes-2 " />
    <xsl:variable name="der-NAF-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-NAF-active-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound~active')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-inactive-codes-3" select="tokenize(string-join(for $i in (1 to count($der-inactive-codes-1)) return replace(string-join(tokenize($der-inactive-codes-2[$i], '\|')        [matches(., '(REPLACED BY|SAME AS|ALTERNATIVE|POSSIBLY EQUIVALENT TO|MAY BE A|WAS A)')], '|'), '[0-9]+~[A-Z ]+~([0-9]+)', '$1'), '|'), '\|')        [. != ''] " />
    <xsl:variable name="der-pathTest-codes-3" select="if (exists($der-inactive-codes-3)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($der-inactive-codes-3, ' OR '), ') AND ', $valid-domain), '', string(count($der-inactive-codes-3)), false())          else '' " />
    <xsl:variable name="error-usingTS-3" select="$error-usingTS-2 or 'Error' = $der-pathTest-codes-3 " />
    <xsl:variable name="der-valid-codes-3" select="if ($der-valid-codes-2 != '') then $der-valid-codes-2        else if (contains($der-pathTest-codes-3, '[')) then $der-pathTest-codes-3        else '' " />
    <xsl:variable name="valid-pathTest-4" select="$valid-pathTest-3 or $der-valid-codes-3 != '' " />
    <xsl:variable name="invalid-domain" select="if ($invalid-hierarchy != '' and $invalid-refset != '') then concat($invalid-hierarchy, ' OR ', $invalid-refset)        else if ($invalid-hierarchy != '') then $invalid-hierarchy        else if ($invalid-refset != '') then $invalid-refset        else '' " />
    <xsl:variable name="der-pathTest-codes-4" select="if ($ts-not-needed or $valid-pathTest-4 or $invalid-domain = '') then ()        else if (exists($related-terms-2)) then $related-terms-2        else distinct-values((tokenize(replace(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          $invalid-domain, $der-text, 'default'), '(\[.*?\])(\||$)', '$2'), '\|'), $der-inactive-codes-3)) " />
    <xsl:variable name="error-usingTS-4" select="$error-usingTS-3 or 'Error' = $der-pathTest-codes-4 " />
    <xsl:variable name="invalid-pathTest-codes-r" select="if ($ts-not-needed or $valid-pathTest-4 or $error-usingTS-4 or not(exists($der-pathTest-codes-4))) then ()        else if ($invalid-refset = '') then tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-pathTest-codes-4, ' OR '), ') AND (', $inactive-refSets, ')'), '',           string(count($der-pathTest-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')        else tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-pathTest-codes-4, ' OR '), ') AND (', $invalid-refset, ' OR ', $inactive-refSets, ')'), '',           string(count($der-pathTest-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')  " />
    <xsl:variable name="error-usingTS-5" select="$error-usingTS-4 or 'Error' = $invalid-pathTest-codes-r " />
    <xsl:variable name="der-pathTest-codes-4-h" select="if ($error-usingTS-5) then () else $der-pathTest-codes-4[not(. = $invalid-pathTest-codes-r)]" />
    <xsl:variable name="invalid-pathTest-codes-h" select="if ($ts-not-needed or $valid-pathTest-4 or 'Error' = $der-pathTest-codes-4 or $pathTest-invalid-hierarchy = '' or           not(exists($der-pathTest-codes-4-h))) then ()         else (for $code in $der-pathTest-codes-4-h return           if (dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',            concat('&gt;&gt;', $code, ' MINUS ', $pathTest-invalid-hierarchy), '', '1', false()) = '') then $code else '')[. != ''] " />
    <xsl:variable name="invalid-pathTest-codes" select="($invalid-pathTest-codes-h, $invalid-pathTest-codes-r) " />
    <xsl:variable name="der-pathTest-codes-5" select="$der-pathTest-codes-4[not(. = $invalid-pathTest-codes or . = 'Error')]" />
    <xsl:variable name="der-valid-codes-4" select="if ($der-valid-codes-3 != '') then $der-valid-codes-3        else if ($ts-not-needed or $valid-pathTest-4 or $valid-domain = '' or not(exists($der-pathTest-codes-5))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-pathTest-codes-5, ' OR '), ') AND ', $valid-domain), '', string(count($der-pathTest-codes-5)), false()) " />
    <xsl:variable name="error-usingTS-6" select="$error-usingTS-5 or 'Error' = $der-valid-codes-4 " />
    <xsl:variable name="valid-pathTest-5" select="$valid-pathTest-4 or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="undetermined-pathTest-1" select="$der-pathTest-codes-5[not(. = tokenize(replace($der-valid-codes-4,  '(\[.*?\])(\||$)', '$2'), '\|'))]" />
    <xsl:variable name="undetermined-inactive-1" select="for $i in (1 to count($undetermined-pathTest-1)) return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $undetermined-pathTest-1[$i], '', '1', false()) " />
    <xsl:variable name="error-usingTS-7" select="$error-usingTS-6 or 'Error' = $undetermined-inactive-1 " />
    <xsl:variable name="undetermined-inactive" select="(for $i in (1 to count($undetermined-pathTest-1)) return         if (contains($undetermined-inactive-1[$i], '~inactive')) then $undetermined-inactive-1[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-1" select="for $i in (1 to count($undetermined-inactive))        return dh:IsCodeAssociatedWithAnotherCode(replace($undetermined-inactive[$i], '(\[.*?\])(\||$)', '$2'), '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-2" select="$error-usingV-1 or 'Error' = $undetermined-NAF-1 " />
    <xsl:variable name="undetermined-NAF" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-codes" select="for $term in $undetermined-NAF return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-NAF-active" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound~active')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-active-codes" select="for $term in $undetermined-NAF-active return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-pathTest" select="$undetermined-pathTest-1[not(. = ($undetermined-NAF-codes, $undetermined-NAF-active-codes))]" />
    <xsl:variable name="invalid-pathTest" select="not($valid-pathTest-5) and exists($invalid-pathTest-codes) and not(exists($undetermined-pathTest))" />
    <xsl:variable name="codes-were-found" select="exists($der-pathTest-codes-4) or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="codes-not-found" select="not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or        $valid-pathTest-5 or $invalid-pathTest or $error-usingTS-7 or $family-err or $length-err or $prose-err) " />
    <xsl:variable name="codes-in-the-domain" select="not($valid-pathTest-1) and $valid-pathTest-5" />
    <xsl:variable name="codes-in-other-domain" select="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-pathTest-5 or $invalid-pathTest or         $error-usingTS-7) " />
    <xsl:variable name="codes-in-no-domain" select="exists($der-pathTest-codes-5) " />
    <xsl:variable name="display-in-the-domain" select="if ($codes-in-the-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', '), '''')        else '' " />
    <xsl:variable name="display-in-other-r" select="if (exists($invalid-pathTest-codes-r) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-pathTest-codes-r return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-h" select="if (exists($invalid-pathTest-codes-h) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-pathTest-codes-h return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-domain" select="if (not($codes-in-other-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))) then ''        else if ($display-in-other-r and display-in-other-h) then concat('''', $display-in-other-r, ', ', $display-in-other-h, '''')        else if ($display-in-other-r) then concat('''', $display-in-other-r, '''')        else if ($display-in-other-h) then concat('''', $display-in-other-h, '''')        else '' " />
    <xsl:variable name="display-in-no-domain" select="if ($codes-in-no-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', dh:XQueryRecursiveReplace(string-join(for $code in $der-pathTest-codes-5 return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), '; '),          $term-pattern-replacement, 'ic'), '''')        else '' " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))        else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <!--REPORT -->
    <xsl:if test=" matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-pathTest-5) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-pathTest-5)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-PathTest-Defn): An unexpected problem occurred when assessing the value of the Test Requested Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. The application of regular expressions resulted in the complete loss of text.
		Report the information below to the Australian Digital Health Agency for investigation.

		der-text-1 '<xsl:text /><xsl:value-of select="normalize-space(dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'))" /><xsl:text />'.
		der-text-2a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-2a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-a, $term-pattern-replacement, 'ic')" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingV-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingV-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-PathTest-Defn): An error was reported when accessing the terminology server when assessing the Test Requested Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		Report the issue to the Australian Digital Health Agency for investigation stating the error was recorded for error-usingV-2.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-7 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-7">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-PathTest-Defn): An error was reported when accessing the terminology server when assessing the Test Requested Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term:
		'<xsl:text /><xsl:value-of select="$der-text" /><xsl:text />'. The analysis should be retried as the terminology server may have been temporarily unavailable.
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation, stating that the error was found by
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'error-usingTS-1' else if ($error-usingTS-2-a) then 'error-usingTS-2-a'   else if ($error-usingTS-2-b) then 'error-usingTS-2-b' else if ($error-usingTS-2) then 'error-usingTS-2'   else if ($error-usingTS-3) then 'error-usingTS-3' else if ($error-usingTS-4) then 'error-usingTS-4'   else if ($error-usingTS-5) then 'error-usingTS-5' else if ($error-usingTS-6) then 'error-usingTS-6'   else 'error-usingTS-7' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $codes-not-found">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Requested Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the pathology test which was requested.         (See the definition of the Test Requested Name data element in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in section 2.37 of the Pathology Test Result Detailed Clinical Model Specification v3.2.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$codes-in-other-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$codes-in-other-domain">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Requested Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value does not seem to be applicable for the data element.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the pathology test which was requested.         (See the definition of the Test Requested Name data element in the Structured Content Specification or CDA Implementation Guide.)')" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Test Requested Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the pathology test which was requested.         (See the definition of the Test Requested Name data element in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Test Requested Name data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Requested Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the pathology test which was requested.         (See the definition of the Test Requested Name data element in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Test Requested Name data element must have a value that is consistent with this definition. Alternatively if there is no Test Requested Name data element with a proper value then an exclusion
		statement must be included to state why there is no Test Requested Name. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4')    then concat('Text such as ''', dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'), ''' may be permitted in the narrative even though the Test Requested Name data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Test Requested Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the pathology test which was requested.         (See the definition of the Test Requested Name data element in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		The Test Requested Name data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($der-text-non-value) and $der-invalid-text ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($der-text-non-value) and $der-invalid-text">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Requested Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid. <xsl:text /><xsl:value-of select="$defn-invalid-rsn" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the pathology test which was requested.         (See the definition of the Test Requested Name data element in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $invalid-pathTest and not($error-usingTS-7)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$invalid-pathTest and not($error-usingTS-7)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Requested Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid
		<xsl:text /><xsl:value-of select="if (exists($invalid-pathTest-codes-h)) then concat(' as it describes ', string-join(distinct-values(for $code in tokenize(replace(   dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat('(', string-join(for $code in $invalid-pathTest-codes-h return concat('&gt;&gt;', $code), ' OR '), ') AND (',    string-join(for $hierarchy in $cd-definitions/pathTest/pathTest-invalid/hierarchy return $hierarchy/@code, ' OR '), ')'), '',    string(count($invalid-pathTest-codes-h)), true()), '(\[.*?\])(\||$)', '$2'), '\|') return     $cd-definitions/pathTest/pathTest-invalid/hierarchy[@code = $code]/@description)[position() = (1 to 2)], ' and '), '.')    else if (exists($invalid-pathTest-codes-r)) then concat(' as it describes ', string-join(distinct-values(for $code in $invalid-pathTest-codes-r return   $cd-definitions/pathTest/pathTest-invalid/refset[index-of(for $x in (for $refset in $cd-definitions/pathTest/pathTest-invalid/refset return    dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat($code, ' AND ^', $refset/@code), '', '1', true()), '|') return matches($x, '^[0-9]'), true())[1]]/@description), ' and '), '.')   else '.'" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the pathology test which was requested.         (See the definition of the Test Requested Name data element in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable outside the applicable value domain): The Test Requested Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following codes were obtained and are not in the value domain: <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-PathTest-Defn): The Test Requested Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU and no associated code was found in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists(($der-NAF-active-codes, $undetermined-NAF-active-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists(($der-NAF-active-codes, $undetermined-NAF-active-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-PathTest-Defn): The Test Requested Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-active-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the
		'<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' version of SNOMED CT-AU but it was not found with this status in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU. 
		<xsl:text /><xsl:value-of select="if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $valid-pathTest-1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $valid-pathTest-1">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable within the value domain): The Test Requested Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which matches one of the		
		<xsl:text /><xsl:value-of select="if ($valid-pathTest-1a) then 'terms listed in Knowledge.xml' else 'concepts in the RCPA requesting pathology reference set' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($valid-pathTest-1a) then ''    else if (count($rcpa-syn-4) = 1) then concat(' The code found using the RCPA preferred terms and synonyms is ''', $rcpa-syn-4[1], '''.')   else concat(' The codes found using the RCPA preferred terms and synonyms are ''', string-join($rcpa-syn-4, ', '), '''.')" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (concept is codeable within the value domain): The Test Requested Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a valid value for the Test Requested Name.
		SNOMED CT-AU codes that matched the concept are: <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-pathTest-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-pathTest-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Test Requested Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The text used to match regular expression (der-text-2) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to match RCPA terms and non-values (der-text-to-match) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-to-match, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to derive a code (der-text) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.

		<xsl:text /><xsl:value-of select="if ($use-revised-text-1) then concat(' A first revision of the text (der-revised-text-1) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-1, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A first revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-1 != '' and $der-revised-text-1 = '') then ' revision-pattern-1 was applied but the output (der-revised-text-1) was an empty string.' else '' " /><xsl:text />

		The SNOMED CT-AU version used to find codes is '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' and the maximum code number is '<xsl:text /><xsl:value-of select="$max-code-number" /><xsl:text />'.

		Codes for related terms (related-terms-2): '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($related-terms-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes for related terms (der-valid-codes-1): 
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-1, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-pathTest-codes-2) returned by the terminology server that match the text:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-pathTest-codes-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes from related terms or the terminology server (der-valid-codes-2):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-2, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-inactive-codes-3) returned from the Validator's database associated with inactive codes:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-inactive-codes-3, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes found after examining inactive codes (der-valid-codes-3):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-3, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Members of invalid reference sets (invalid-pathTest-codes-r): '<xsl:text /><xsl:value-of select="$display-in-other-r" /><xsl:text />'.
		Members of invalid code hierarchies (invalid-pathTest-codes-h): '<xsl:text /><xsl:value-of select="$display-in-other-h" /><xsl:text />'.

		Final set of valid codes (der-valid-codes-4):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		
		Codes whose validity has not been determined (der-pathTest-codes-5):  <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.
		Codes whose validity has not been determined and are inactive with no associated code (undetermined-NAF): '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(    string-join($undetermined-NAF, ''', '''), $markup-pattern-replacement, 'ic')" /><xsl:text />'.

		Will the value of the data element be trusted (der-trusted-text)? '<xsl:text /><xsl:value-of select="$der-trusted-text" /><xsl:text />'.
		
	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and $codes-not-found">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept not codeable): The Test Requested Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($avoid-ts) then 'The terminology server was not used to assist with finding codes corresponding to text in the data element. ' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($error-usingTS-7 or $log-concepts-name = '' or $log-concepts-created = 'ERROR') then ''   else if (dh:AppendLog($log-concepts-name, concat(              $display-creation-date,   $log-tab,         $document-id,    $log-tab,         $document-name,    $log-tab,         iq:location(., ''),   $log-tab,          'Test Requested Name',    $log-tab,          'yes',     $log-tab,          concat($display-code, $display-system), $log-tab,          '',     $log-tab,         '',     $log-tab,         '',     $log-tab,         $ts-current-sctau   )) = ('NOTFOUND', 'ERROR'))   then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $prose-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $prose-err">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Test Requested Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is invalid as it is prose text.
		The Test Requested Name data element is CodeableText derived from the HL7 CD data type which by definition is to record a concept defined in an external code system, terminology or ontology.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the pathology test which was requested.         (See the definition of the Test Requested Name data element in the Structured Content Specification or CDA Implementation Guide.)'))" /><xsl:text />
		This finding will also be reported as an error.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M690" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M690" />
  <xsl:template match="@*|node()" priority="-2" mode="M690">
    <xsl:apply-templates select="@*|*" mode="M690" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-CodeableText-64-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:act/cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('103.16404', '103.11017')]]/cda:value   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M691">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:act/cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('103.16404', '103.11017')]]/cda:value   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Test Requested Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Test Requested Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Test Requested Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Test Requested Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Requested Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Test Requested Name has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Test Requested Name data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Requested Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Test Requested Name data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Requested Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Test Requested Name data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Requested Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Test Requested Name data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Test Requested Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Requested Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Test Requested Name data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Test Requested Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Test Requested Name data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Requested Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Requested Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Test Requested Name data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Requested Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Test Requested Name data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Requested Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Requested Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M691" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M691" />
  <xsl:template match="@*|node()" priority="-2" mode="M691">
    <xsl:apply-templates select="@*|*" mode="M691" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-CodedText-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/   cda:entry/cda:observation/cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and    @code=('102.16156.2.2.1', '102.16156.132.1.1', '102.16156.136.2.1', '102.16156.132.1.1')]]/cda:targetSiteCode/   cda:qualifier[cda:name[@codeSystem='2.16.840.1.113883.6.96' and (@code='272741003' or @code='78615007')]]/cda:value " priority="1000" mode="M692">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/   cda:entry/cda:observation/cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and    @code=('102.16156.2.2.1', '102.16156.132.1.1', '102.16156.136.2.1', '102.16156.132.1.1')]]/cda:targetSiteCode/   cda:qualifier[cda:name[@codeSystem='2.16.840.1.113883.6.96' and (@code='272741003' or @code='78615007')]]/cda:value " />
    <xsl:variable name="tc-types-49-err" select="@nullFlavor = ('PINF', 'NINF', 'QS', 'TRC') or (@nullFlavor='UNC' and (not(cda:originalText) or normalize-space(cda:originalText) = '')) " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="family-err" select="cda:originalText and matches(cda:originalText, $family-regex, 'i')" />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; 200" />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and @code != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used with the Clinical Package Validator to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used with the Clinical Package Validator to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the primary code.') " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-06-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-06-step-2 else $rating-alt-TC-Types-06-step-2 " />
    <xsl:variable name="rating-07-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-1 else $rating-alt-TC-Types-07-step-1 " />
    <xsl:variable name="rating-07-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-2 else $rating-alt-TC-Types-07-step-2 " />
    <xsl:variable name="rating-08" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-08 else $rating-alt-TC-Types-08 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-07: The Test Specimen - Side '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data
		type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to the Structured Content Specification the Test Specimen - Side '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which is derived from the HL7 'CD' data type however xsi:type '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to the Structured Content Specification the Test Specimen - Side '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:translation">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:translation">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Test Specimen - Side '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'translation' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value
		domain, with no exceptions. A translation translates the value into a code from another code systems, so translations are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:qualifier">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:qualifier">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Test Specimen - Side
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'qualifier' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value domain,
		with no exceptions. A qualifier constrains the value, so qualifiers are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Specimen - Side '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen - Side
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen - Side
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen - Side
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present and is not expected
		for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen - Side
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />'
		is present and is not expected for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-terminology-concepts = 'true' and not(true() or false() or $family-err or $length-err) and    not(@nullFlavor) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and not(true() or false() or $family-err or $length-err) and not(@nullFlavor)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (value domain not specified): The Test Specimen - Side '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The CodedText data type has the requirement that values must come from the specified bound value domain with no exceptions but a value domain has not been specified for the
		Test Specimen - Side '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Test Specimen - Side',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="false() and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != '2.16.840.1.113883.6.96'))  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != '2.16.840.1.113883.6.96'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-06-step-2" /><xsl:text />: TC-Types-06 step 2: According to the Structured Content Specification the Test Specimen - Side '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. The
		CodedText data type has the requirement that values must come from the bound value domain with no exceptions. Therefore the value of the codeSystem attribute must be a publicly available
		code system. The Test Specimen - Side data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide states the code system is 'NS' (not stated) with the requirement 'When national standard code sets become
		available, they SHALL be used'. The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> which is after the national standard code set became available
		for use on the <xsl:text /><xsl:value-of select="''" /><xsl:text />. The code system that must be used is
		<xsl:text /><xsl:value-of select="if ('2.16.840.1.113883.6.96' = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = '32570611000036103']/@referenceSetName, ' (ConceptId ''', '32570611000036103', ''')')   else concat('2.16.840.1.113883.6.96', ' (', $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/@codeSystemName, ')')" /><xsl:text /><xsl:text /><xsl:value-of select="if (not(@codeSystem)) then '.'    else if (@codeSystemName) then concat(' however codeSystem ''', @codeSystem, ''' (', @codeSystemName, ') is present.')   else concat(' however a codeSystem attribute with the value ''', @codeSystem, ''' is present.') " /><xsl:text />
		(See section 1.8 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide, <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 7 of the CDA Implementation Guide for the
		information about the value domain.)
		<xsl:text /><xsl:value-of select="if ('32570611000036103' = '11000036103') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = '32570611000036103']/@referenceSetName,     ' are Allergic reaction (''419076005''), Medication side-effect (''401207004'') and Drug interaction (''79899007'').')    else if ('32570611000036103' = '15071000036100') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = '32570611000036103']/@referenceSetName,     ' are Prescribed (''105681000036100''), Suspended (''385655000'') and Unchanged (''105701000036103'').')    else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'OTH' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'OTH'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Test Specimen - Side '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore it is not valid for the data element to have nullFlavor 'OTH' to indicate that the
		actual value is not a member of the set of permitted data values in the constrained value domain. 
		(See the requirements for Test Specimen - Side and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Specimen - Side '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type<xsl:text /><xsl:value-of select="if (not(false())) then '.' else   concat(' and section 7 of the CDA Implementation Guide states the vocabulary is ''', '2.16.840.1.113883.6.96', ''' (', $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/@codeSystemName, ').') " /><xsl:text />
		The CodedText data type has
		the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor attribute
		to indicate there is no value, however a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) is present and is not one of the nullFlavor values that indicate there is no value.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@nullFlavor or @code) and not(false() and not(@nullFlavor) and not(@codeSystem)) and cda:originalText ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor or @code) and not(false() and not(@nullFlavor) and not(@codeSystem)) and cda:originalText">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Test Specimen - Side '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor
		attribute to indicate there is no value. The only information found in the data element is originalText '<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />'.
		(See the requirements for Test Specimen - Side and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)
		<xsl:text /><xsl:value-of select="if (local-name(.) = 'jobClassCode') then concat('Consider using the METeOR 314867 ''Employment type'' code system (codeSystem ''2.16.840.1.113883.3.879.314867'') which has ',   'codes for ''Permanent'', ''Fixed term contract'', ''Casual'' and ''Not stated/inadequately described''; or the  METeOR 691891 ''Full-time/part-time status'' code system ',   '(codeSystem ''2.16.840.1.113883.3.879.691891'') which has codes for ''Full-time'', ''Part-time'' and ''Not stated/inadequately described''. ',   '(See the the METeOR 314867 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/314867 and the METeOR 691891 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/691891.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="true() and @codeSystem and @codeSystem != '2.16.840.1.113883.6.96' and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and @codeSystem and @codeSystem != '2.16.840.1.113883.6.96' and not(false())">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Test Specimen - Side '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and section 7 of the CDA Implementation Guide states the vocabulary is
		<xsl:text /><xsl:value-of select="if ('2.16.840.1.113883.6.96' = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = '32570611000036103']/@referenceSetName, ' (ConceptId ''', '32570611000036103', ''').')   else concat('2.16.840.1.113883.6.96', ' (', $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/@codeSystemName, ').')" /><xsl:text />
		The CodedText data type has the requirement that values must come from the bound value domain with no exceptions.
		Therefore the value of codeSystem must be '2.16.840.1.113883.6.96' but codeSystem '<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />' (<xsl:text /><xsl:value-of select="@codeSystemName" /><xsl:text />) is present.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="true() and '2.16.840.1.113883.6.96' = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and    not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version,    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = '32570611000036103']/@refSet) = 'CodeFound') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and '2.16.840.1.113883.6.96' = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version, $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = '32570611000036103']/@refSet) = 'CodeFound')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Test Specimen - Side '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. The applicable value domain is the SNOMED CT-AU
		<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = '32570611000036103']/@referenceSetName" /><xsl:text />
		(Concept ID: '32570611000036103'). The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the code is not a member of the value domain.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 7 of the CDA Implementation Guide for the information about the value domain.)<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-08" /><xsl:text />: TC-Types-08: According to the Structured Content Specification the Test Specimen - Side '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. It has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> but has neither an originalText nor a displayName
		so it fails to conform to the requirement 'In accordance with the requirement to completely represent section contents, values of CodedText or CodeableText data elements defined in
		the SCS SHALL include an originalText or a displayName component (or both)'.
		(See Appendix A of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 6.1 and 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090
		Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and not(cda:originalText) and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and not(cda:originalText) and not(false())">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Test Specimen - Side '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is
		not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. (See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M692" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M692" />
  <xsl:template match="@*|node()" priority="-2" mode="M692">
    <xsl:apply-templates select="@*|*" mode="M692" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-CodedText-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/   cda:entry/cda:observation/cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and    @code=('102.16156.2.2.1', '102.16156.132.1.1', '102.16156.136.2.1', '102.16156.132.1.1')]]/cda:targetSiteCode/   cda:qualifier[cda:name[@codeSystem='2.16.840.1.113883.6.96' and (@code='272741003' or @code='78615007')]]/cda:value   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M693">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/   cda:entry/cda:observation/cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and    @code=('102.16156.2.2.1', '102.16156.132.1.1', '102.16156.136.2.1', '102.16156.132.1.1')]]/cda:targetSiteCode/   cda:qualifier[cda:name[@codeSystem='2.16.840.1.113883.6.96' and (@code='272741003' or @code='78615007')]]/cda:value   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Test Specimen - Side '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Test Specimen - Side
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Test Specimen - Side
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Test Specimen - Side
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Specimen - Side
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Test Specimen - Side has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Test Specimen - Side data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Specimen - Side
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Test Specimen - Side data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Specimen - Side
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Test Specimen - Side data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Specimen - Side
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Test Specimen - Side data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Test Specimen - Side
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Specimen - Side
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Test Specimen - Side data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Test Specimen - Side
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Test Specimen - Side data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Specimen - Side
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Specimen - Side
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Test Specimen - Side data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Specimen - Side
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Test Specimen - Side data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Specimen - Side
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Specimen - Side
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M693" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M693" />
  <xsl:template match="@*|node()" priority="-2" mode="M693">
    <xsl:apply-templates select="@*|*" mode="M693" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-CodedText-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections][cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) ]]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='308552006']]/cda:value " priority="1000" mode="M694">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections][cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) ]]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='308552006']]/cda:value " />
    <xsl:variable name="tc-types-49-err" select="@nullFlavor = ('PINF', 'NINF', 'QS', 'TRC') or (@nullFlavor='UNC' and (not(cda:originalText) or normalize-space(cda:originalText) = '')) " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="family-err" select="cda:originalText and matches(cda:originalText, $family-regex, 'i')" />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; 200" />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and @code != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used with the Clinical Package Validator to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used with the Clinical Package Validator to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the primary code.') " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-06-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-06-step-2 else $rating-alt-TC-Types-06-step-2 " />
    <xsl:variable name="rating-07-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-1 else $rating-alt-TC-Types-07-step-1 " />
    <xsl:variable name="rating-07-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-2 else $rating-alt-TC-Types-07-step-2 " />
    <xsl:variable name="rating-08" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-08 else $rating-alt-TC-Types-08 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-07: The Overall Pathology Test Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data
		type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to the Structured Content Specification the Overall Pathology Test Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which is derived from the HL7 'CD' data type however xsi:type '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to the Structured Content Specification the Overall Pathology Test Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:translation">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:translation">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Overall Pathology Test Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'translation' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value
		domain, with no exceptions. A translation translates the value into a code from another code systems, so translations are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:qualifier">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:qualifier">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Overall Pathology Test Result Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'qualifier' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value domain,
		with no exceptions. A qualifier constrains the value, so qualifiers are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Overall Pathology Test Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Overall Pathology Test Result Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Overall Pathology Test Result Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Overall Pathology Test Result Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present and is not expected
		for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Overall Pathology Test Result Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />'
		is present and is not expected for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-terminology-concepts = 'true' and not(true() or false() or $family-err or $length-err) and    not(@nullFlavor) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and not(true() or false() or $family-err or $length-err) and not(@nullFlavor)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (value domain not specified): The Overall Pathology Test Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The CodedText data type has the requirement that values must come from the specified bound value domain with no exceptions but a value domain has not been specified for the
		Overall Pathology Test Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Overall Pathology Test Result Status',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="false() and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != '1.2.36.1.2001.1001.101.104.16501'))  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != '1.2.36.1.2001.1001.101.104.16501'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-06-step-2" /><xsl:text />: TC-Types-06 step 2: According to the Structured Content Specification the Overall Pathology Test Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. The
		CodedText data type has the requirement that values must come from the bound value domain with no exceptions. Therefore the value of the codeSystem attribute must be a publicly available
		code system. The Overall Pathology Test Result Status data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide states the code system is 'NS' (not stated) with the requirement 'When national standard code sets become
		available, they SHALL be used'. The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> which is after the national standard code set became available
		for use on the <xsl:text /><xsl:value-of select="''" /><xsl:text />. The code system that must be used is
		<xsl:text /><xsl:value-of select="if ('1.2.36.1.2001.1001.101.104.16501' = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName, ' (ConceptId ''', 'none', ''')')   else concat('1.2.36.1.2001.1001.101.104.16501', ' (', $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16501']/@codeSystemName, ')')" /><xsl:text /><xsl:text /><xsl:value-of select="if (not(@codeSystem)) then '.'    else if (@codeSystemName) then concat(' however codeSystem ''', @codeSystem, ''' (', @codeSystemName, ') is present.')   else concat(' however a codeSystem attribute with the value ''', @codeSystem, ''' is present.') " /><xsl:text />
		(See section 1.8 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide, <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 7 of the CDA Implementation Guide for the
		information about the value domain.)
		<xsl:text /><xsl:value-of select="if ('none' = '11000036103') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName,     ' are Allergic reaction (''419076005''), Medication side-effect (''401207004'') and Drug interaction (''79899007'').')    else if ('none' = '15071000036100') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName,     ' are Prescribed (''105681000036100''), Suspended (''385655000'') and Unchanged (''105701000036103'').')    else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'OTH' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'OTH'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Overall Pathology Test Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore it is not valid for the data element to have nullFlavor 'OTH' to indicate that the
		actual value is not a member of the set of permitted data values in the constrained value domain. 
		(See the requirements for Overall Pathology Test Result Status and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Overall Pathology Test Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type<xsl:text /><xsl:value-of select="if (not(false())) then '.' else   concat(' and section 7 of the CDA Implementation Guide states the vocabulary is ''', '1.2.36.1.2001.1001.101.104.16501', ''' (', $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16501']/@codeSystemName, ').') " /><xsl:text />
		The CodedText data type has
		the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor attribute
		to indicate there is no value, however a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) is present and is not one of the nullFlavor values that indicate there is no value.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@nullFlavor or @code) and not(false() and not(@nullFlavor) and not(@codeSystem)) and cda:originalText ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor or @code) and not(false() and not(@nullFlavor) and not(@codeSystem)) and cda:originalText">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Overall Pathology Test Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor
		attribute to indicate there is no value. The only information found in the data element is originalText '<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />'.
		(See the requirements for Overall Pathology Test Result Status and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)
		<xsl:text /><xsl:value-of select="if (local-name(.) = 'jobClassCode') then concat('Consider using the METeOR 314867 ''Employment type'' code system (codeSystem ''2.16.840.1.113883.3.879.314867'') which has ',   'codes for ''Permanent'', ''Fixed term contract'', ''Casual'' and ''Not stated/inadequately described''; or the  METeOR 691891 ''Full-time/part-time status'' code system ',   '(codeSystem ''2.16.840.1.113883.3.879.691891'') which has codes for ''Full-time'', ''Part-time'' and ''Not stated/inadequately described''. ',   '(See the the METeOR 314867 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/314867 and the METeOR 691891 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/691891.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="true() and @codeSystem and @codeSystem != '1.2.36.1.2001.1001.101.104.16501' and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and @codeSystem and @codeSystem != '1.2.36.1.2001.1001.101.104.16501' and not(false())">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Overall Pathology Test Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and section 7 of the CDA Implementation Guide states the vocabulary is
		<xsl:text /><xsl:value-of select="if ('1.2.36.1.2001.1001.101.104.16501' = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName, ' (ConceptId ''', 'none', ''').')   else concat('1.2.36.1.2001.1001.101.104.16501', ' (', $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16501']/@codeSystemName, ').')" /><xsl:text />
		The CodedText data type has the requirement that values must come from the bound value domain with no exceptions.
		Therefore the value of codeSystem must be '1.2.36.1.2001.1001.101.104.16501' but codeSystem '<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />' (<xsl:text /><xsl:value-of select="@codeSystemName" /><xsl:text />) is present.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="true() and '1.2.36.1.2001.1001.101.104.16501' = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and    not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version,    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@refSet) = 'CodeFound') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and '1.2.36.1.2001.1001.101.104.16501' = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version, $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@refSet) = 'CodeFound')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Overall Pathology Test Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. The applicable value domain is the SNOMED CT-AU
		<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName" /><xsl:text />
		(Concept ID: 'none'). The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the code is not a member of the value domain.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 7 of the CDA Implementation Guide for the information about the value domain.)<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-08" /><xsl:text />: TC-Types-08: According to the Structured Content Specification the Overall Pathology Test Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. It has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> but has neither an originalText nor a displayName
		so it fails to conform to the requirement 'In accordance with the requirement to completely represent section contents, values of CodedText or CodeableText data elements defined in
		the SCS SHALL include an originalText or a displayName component (or both)'.
		(See Appendix A of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 6.1 and 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090
		Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and not(cda:originalText) and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and not(cda:originalText) and not(false())">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Overall Pathology Test Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is
		not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. (See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M694" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M694" />
  <xsl:template match="@*|node()" priority="-2" mode="M694">
    <xsl:apply-templates select="@*|*" mode="M694" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-CodedText-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections][cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.220' and @extension = '1.0']]/   cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='308552006']]/cda:value " priority="1000" mode="M695">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections][cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.220' and @extension = '1.0']]/   cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='308552006']]/cda:value " />
    <xsl:variable name="tc-types-49-err" select="@nullFlavor = ('PINF', 'NINF', 'QS', 'TRC') or (@nullFlavor='UNC' and (not(cda:originalText) or normalize-space(cda:originalText) = '')) " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="family-err" select="cda:originalText and matches(cda:originalText, $family-regex, 'i')" />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; 200" />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and @code != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used with the Clinical Package Validator to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used with the Clinical Package Validator to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the primary code.') " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-06-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-06-step-2 else $rating-alt-TC-Types-06-step-2 " />
    <xsl:variable name="rating-07-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-1 else $rating-alt-TC-Types-07-step-1 " />
    <xsl:variable name="rating-07-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-2 else $rating-alt-TC-Types-07-step-2 " />
    <xsl:variable name="rating-08" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-08 else $rating-alt-TC-Types-08 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-07: The Overall Pathology Test Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data
		type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to the Structured Content Specification the Overall Pathology Test Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which is derived from the HL7 'CD' data type however xsi:type '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to the Structured Content Specification the Overall Pathology Test Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:translation">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:translation">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Overall Pathology Test Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'translation' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value
		domain, with no exceptions. A translation translates the value into a code from another code systems, so translations are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:qualifier">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:qualifier">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Overall Pathology Test Result Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'qualifier' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value domain,
		with no exceptions. A qualifier constrains the value, so qualifiers are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Overall Pathology Test Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Overall Pathology Test Result Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Overall Pathology Test Result Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Overall Pathology Test Result Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present and is not expected
		for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Overall Pathology Test Result Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />'
		is present and is not expected for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-terminology-concepts = 'true' and not(true() or false() or $family-err or $length-err) and    not(@nullFlavor) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and not(true() or false() or $family-err or $length-err) and not(@nullFlavor)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (value domain not specified): The Overall Pathology Test Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The CodedText data type has the requirement that values must come from the specified bound value domain with no exceptions but a value domain has not been specified for the
		Overall Pathology Test Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Overall Pathology Test Result Status',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="false() and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != '2.16.840.1.113883.12.123'))  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != '2.16.840.1.113883.12.123'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-06-step-2" /><xsl:text />: TC-Types-06 step 2: According to the Structured Content Specification the Overall Pathology Test Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. The
		CodedText data type has the requirement that values must come from the bound value domain with no exceptions. Therefore the value of the codeSystem attribute must be a publicly available
		code system. The Overall Pathology Test Result Status data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide states the code system is 'NS' (not stated) with the requirement 'When national standard code sets become
		available, they SHALL be used'. The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> which is after the national standard code set became available
		for use on the <xsl:text /><xsl:value-of select="''" /><xsl:text />. The code system that must be used is
		<xsl:text /><xsl:value-of select="if ('2.16.840.1.113883.12.123' = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName, ' (ConceptId ''', 'none', ''')')   else concat('2.16.840.1.113883.12.123', ' (', $code-systems/system[@codeSystem = '2.16.840.1.113883.12.123']/@codeSystemName, ')')" /><xsl:text /><xsl:text /><xsl:value-of select="if (not(@codeSystem)) then '.'    else if (@codeSystemName) then concat(' however codeSystem ''', @codeSystem, ''' (', @codeSystemName, ') is present.')   else concat(' however a codeSystem attribute with the value ''', @codeSystem, ''' is present.') " /><xsl:text />
		(See section 1.8 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide, <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 7 of the CDA Implementation Guide for the
		information about the value domain.)
		<xsl:text /><xsl:value-of select="if ('none' = '11000036103') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName,     ' are Allergic reaction (''419076005''), Medication side-effect (''401207004'') and Drug interaction (''79899007'').')    else if ('none' = '15071000036100') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName,     ' are Prescribed (''105681000036100''), Suspended (''385655000'') and Unchanged (''105701000036103'').')    else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'OTH' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'OTH'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Overall Pathology Test Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore it is not valid for the data element to have nullFlavor 'OTH' to indicate that the
		actual value is not a member of the set of permitted data values in the constrained value domain. 
		(See the requirements for Overall Pathology Test Result Status and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Overall Pathology Test Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type<xsl:text /><xsl:value-of select="if (not(false())) then '.' else   concat(' and section 7 of the CDA Implementation Guide states the vocabulary is ''', '2.16.840.1.113883.12.123', ''' (', $code-systems/system[@codeSystem = '2.16.840.1.113883.12.123']/@codeSystemName, ').') " /><xsl:text />
		The CodedText data type has
		the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor attribute
		to indicate there is no value, however a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) is present and is not one of the nullFlavor values that indicate there is no value.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@nullFlavor or @code) and not(false() and not(@nullFlavor) and not(@codeSystem)) and cda:originalText ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor or @code) and not(false() and not(@nullFlavor) and not(@codeSystem)) and cda:originalText">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Overall Pathology Test Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor
		attribute to indicate there is no value. The only information found in the data element is originalText '<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />'.
		(See the requirements for Overall Pathology Test Result Status and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)
		<xsl:text /><xsl:value-of select="if (local-name(.) = 'jobClassCode') then concat('Consider using the METeOR 314867 ''Employment type'' code system (codeSystem ''2.16.840.1.113883.3.879.314867'') which has ',   'codes for ''Permanent'', ''Fixed term contract'', ''Casual'' and ''Not stated/inadequately described''; or the  METeOR 691891 ''Full-time/part-time status'' code system ',   '(codeSystem ''2.16.840.1.113883.3.879.691891'') which has codes for ''Full-time'', ''Part-time'' and ''Not stated/inadequately described''. ',   '(See the the METeOR 314867 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/314867 and the METeOR 691891 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/691891.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="true() and @codeSystem and @codeSystem != '2.16.840.1.113883.12.123' and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and @codeSystem and @codeSystem != '2.16.840.1.113883.12.123' and not(false())">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Overall Pathology Test Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and section 7 of the CDA Implementation Guide states the vocabulary is
		<xsl:text /><xsl:value-of select="if ('2.16.840.1.113883.12.123' = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName, ' (ConceptId ''', 'none', ''').')   else concat('2.16.840.1.113883.12.123', ' (', $code-systems/system[@codeSystem = '2.16.840.1.113883.12.123']/@codeSystemName, ').')" /><xsl:text />
		The CodedText data type has the requirement that values must come from the bound value domain with no exceptions.
		Therefore the value of codeSystem must be '2.16.840.1.113883.12.123' but codeSystem '<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />' (<xsl:text /><xsl:value-of select="@codeSystemName" /><xsl:text />) is present.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="true() and '2.16.840.1.113883.12.123' = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and    not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version,    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@refSet) = 'CodeFound') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and '2.16.840.1.113883.12.123' = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version, $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@refSet) = 'CodeFound')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Overall Pathology Test Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. The applicable value domain is the SNOMED CT-AU
		<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName" /><xsl:text />
		(Concept ID: 'none'). The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the code is not a member of the value domain.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 7 of the CDA Implementation Guide for the information about the value domain.)<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-08" /><xsl:text />: TC-Types-08: According to the Structured Content Specification the Overall Pathology Test Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. It has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> but has neither an originalText nor a displayName
		so it fails to conform to the requirement 'In accordance with the requirement to completely represent section contents, values of CodedText or CodeableText data elements defined in
		the SCS SHALL include an originalText or a displayName component (or both)'.
		(See Appendix A of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 6.1 and 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090
		Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and not(cda:originalText) and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and not(cda:originalText) and not(false())">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Overall Pathology Test Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is
		not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. (See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M695" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M695" />
  <xsl:template match="@*|node()" priority="-2" mode="M695">
    <xsl:apply-templates select="@*|*" mode="M695" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-CodedText-5-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections][not(cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) or   (@root = '1.2.36.1.2001.1001.100.1002.220' and @extension = '1.0')    ])]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='308552006']]/cda:value " priority="1000" mode="M696">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections][not(cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) or   (@root = '1.2.36.1.2001.1001.100.1002.220' and @extension = '1.0')    ])]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='308552006']]/cda:value " />
    <xsl:variable name="tc-types-49-err" select="@nullFlavor = ('PINF', 'NINF', 'QS', 'TRC') or (@nullFlavor='UNC' and (not(cda:originalText) or normalize-space(cda:originalText) = '')) " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and @code != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used with the Clinical Package Validator to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used with the Clinical Package Validator to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the primary code.') " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-06-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-06-step-2 else $rating-alt-TC-Types-06-step-2 " />
    <xsl:variable name="rating-07-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-1 else $rating-alt-TC-Types-07-step-1 " />
    <xsl:variable name="rating-07-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-2 else $rating-alt-TC-Types-07-step-2 " />
    <xsl:variable name="rating-08" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-08 else $rating-alt-TC-Types-08 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-07: The Overall Pathology Test Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data
		type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to the Structured Content Specification the Overall Pathology Test Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type which is derived from the HL7 'CD' data type however an xsi:type attribute with the value
		'<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present. (See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to the Structured Content Specification the Overall Pathology Test Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:translation">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:translation">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Overall Pathology Test Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'translation' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value domain,
		with no exceptions. A translation translates the value into a code from another code systems, so translations are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:qualifier">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:qualifier">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Overall Pathology Test Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'qualifier' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value domain,
		with no exceptions. A qualifier constrains the value, so qualifiers are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Overall Pathology Test Result Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Overall Pathology Test Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Overall Pathology Test Result Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'code' or name() = 'codeSystem' or name() = 'codeSystemName' or name() = 'codeSystemVersion' or     name() = 'displayName' or name() = 'nullFlavor')] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'code' or name() = 'codeSystem' or name() = 'codeSystemName' or name() = 'codeSystemVersion' or name() = 'displayName' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Overall Pathology Test Result Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'code' or name() = 'codeSystem' or name() = 'codeSystemName' or name() = 'codeSystemVersion' or   name() = 'displayName' or name() = 'nullFlavor')])" /><xsl:text />' is present and is not expected for the CodedText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'code' or name() = 'codeSystem' or name() = 'codeSystemName' or name() = 'codeSystemVersion' or     name() = 'displayName' or name() = 'nullFlavor')] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'code' or name() = 'codeSystem' or name() = 'codeSystemName' or name() = 'codeSystemVersion' or name() = 'displayName' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Overall Pathology Test Result Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'code' or name() = 'codeSystem' or name() = 'codeSystemName' or name() = 'codeSystemVersion' or   name() = 'displayName' or name() = 'nullFlavor')])" /><xsl:text />' is present and is not expected for the CodedText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-08" /><xsl:text />: TC-Types-08: According to the Structured Content Specification the Overall Pathology Test Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. It has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> but has neither an originalText nor a displayName
		so it fails to conform to the requirement 'In accordance with the requirement to completely represent section contents, values of CodedText or CodeableText data elements defined in
		the SCS SHALL include an originalText or a displayName component (or both)'.
		(See Appendix A of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 6.1 and 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification
		v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not(@nullFlavor) and not(@codeSystem) and cda:originalText ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor) and not(@codeSystem) and cda:originalText">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-06-step-2" /><xsl:text />: TC-Types-06 step 2: According to the Structured Content Specification the Overall Pathology Test Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type.
		The CodedText data type has the requirement that values must come from the bound value domain with no exceptions. Therefore the value of the codeSystem attribute must be a publicly
		available code system. The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide states the code system is 'NS' (not stated) with the requirement 'When national standard code sets
		become available, they SHALL be used'. The national standard code is available for use and the code system that must be used is either '1.2.36.1.2001.1001.101.104.16501'
		(<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16501']/@codeSystemName" /><xsl:text />)
		or '2.16.840.1.113883.12.123' (<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = '2.16.840.1.113883.12.123']/@codeSystemName" /><xsl:text />).
		The only information found in the data element is originalText '<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />'.
		(See section 1.8 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide, <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 7 of the CDA Implementation Guide for the information
		about the value domain.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not(@nullFlavor) and not(@codeSystem) and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor) and not(@codeSystem) and not(cda:originalText)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-06-step-2" /><xsl:text />: TC-Types-06 step 2: According to the Structured Content Specification the Overall Pathology Test Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The CodedText data type has the requirement that values must come from the bound value domain with no exceptions. Therefore the value of the codeSystem attribute must be a publicly
		available code system. The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide states the code system is 'NS' (not stated) with the requirement 'When national standard code sets
		become available, they SHALL be used'. The national standard code is available for use and the code system that must be used is either '1.2.36.1.2001.1001.101.104.16501'
		(<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16501']/@codeSystemName" /><xsl:text />)
		or '2.16.840.1.113883.12.123' (<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = '2.16.840.1.113883.12.123']/@codeSystemName" /><xsl:text />).
		(See section 1.8 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide, <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 7 of the CDA Implementation Guide for the information
		about the value domain.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'OTH' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'OTH'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Overall Pathology Test Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore it is not valid for the data element to have nullFlavor 'OTH' to indicate that the
		actual value is not a member of the set of permitted data values in the constrained value domain.
		(See the requirements for Overall Pathology Test Result Status and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA'))  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Overall Pathology Test Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and
		section 7 of the CDA Implementation Guide states the vocabulary is either '1.2.36.1.2001.1001.101.104.16501' (<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16501']/@codeSystemName" /><xsl:text />) or '2.16.840.1.113883.12.123'
		(<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = '2.16.840.1.113883.12.123']/@codeSystemName" /><xsl:text />). The CodedText data type has the requirement that values must come
		from the bound value domain with no exceptions.
		Therefore the data element must have a code attribute to provide a value or a nullFlavor attribute to indicate there is no value,
		however a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) is present and is not
		one of the nullFlavor values that indicate there is no value.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@nullFlavor or @code) and not(not(@nullFlavor) and not(@codeSystem)) and cda:originalText ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor or @code) and not(not(@nullFlavor) and not(@codeSystem)) and cda:originalText">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Overall Pathology Test Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor
		attribute to indicate there is no value. The only information found in the data element is originalText '<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />'.
		(See the requirements for Overall Pathology Test Result Status and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @codeSystem and not(@codeSystem = '1.2.36.1.2001.1001.101.104.16501' or @codeSystem = '2.16.840.1.113883.12.123') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem and not(@codeSystem = '1.2.36.1.2001.1001.101.104.16501' or @codeSystem = '2.16.840.1.113883.12.123')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Overall Pathology Test Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and
		section 7 of the CDA Implementation Guide states the vocabulary is either '1.2.36.1.2001.1001.101.104.16501' (<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16501']/@codeSystemName" /><xsl:text />) or '2.16.840.1.113883.12.123'
		(<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = '2.16.840.1.113883.12.123']/@codeSystemName" /><xsl:text />). The CodedText data type has the requirement that values must come from
		the bound value domain with no exceptions. Therefore the value of codeSystem must either be '1.2.36.1.2001.1001.101.104.16501' or '2.16.840.1.113883.12.123' but codeSystem '<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="@codeSystemName" /><xsl:text />) is present. (See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ('1.2.36.1.2001.1001.101.104.16501' = '2.16.840.1.113883.6.96' or '2.16.840.1.113883.12.123' = '2.16.840.1.113883.6.96') and @codeSystem = '2.16.840.1.113883.6.96' and @code and    not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version,    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@refSet) = 'CodeFound') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="('1.2.36.1.2001.1001.101.104.16501' = '2.16.840.1.113883.6.96' or '2.16.840.1.113883.12.123' = '2.16.840.1.113883.6.96') and @codeSystem = '2.16.840.1.113883.6.96' and @code and not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version, $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@refSet) = 'CodeFound')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Overall Pathology Test Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. The applicable value domain is the SNOMED CT-AU
		<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName" /><xsl:text />
		(Concept ID: 'none'). The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the code is not a member of the value domain.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 7 of the CDA Implementation Guide for the information about the value domain.)<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and not(cda:originalText) and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and not(cda:originalText) and not(false())">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Overall Pathology Test Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText 
		data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M696" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M696" />
  <xsl:template match="@*|node()" priority="-2" mode="M696">
    <xsl:apply-templates select="@*|*" mode="M696" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-CodedText-6-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='308552006']]/cda:value[(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M697">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='308552006']]/cda:value[(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Overall Pathology Test Result Status '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Overall Pathology Test Result Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Overall Pathology Test Result Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Overall Pathology Test Result Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Overall Pathology Test Result Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Overall Pathology Test Result Status has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Overall Pathology Test Result Status data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Overall Pathology Test Result Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Overall Pathology Test Result Status data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Overall Pathology Test Result Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Overall Pathology Test Result Status data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Overall Pathology Test Result Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Overall Pathology Test Result Status data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Overall Pathology Test Result Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Overall Pathology Test Result Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Overall Pathology Test Result Status data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Overall Pathology Test Result Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Overall Pathology Test Result Status data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Overall Pathology Test Result Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Overall Pathology Test Result Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Overall Pathology Test Result Status data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Overall Pathology Test Result Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Overall Pathology Test Result Status data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Overall Pathology Test Result Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Overall Pathology Test Result Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M697" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M697" />
  <xsl:template match="@*|node()" priority="-2" mode="M697">
    <xsl:apply-templates select="@*|*" mode="M697" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-CodedText-7-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/   cda:observation/cda:entryRelationship/cda:organizer/cda:component/cda:observation/   cda:entryRelationship/cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='308552006']]/cda:value " priority="1000" mode="M698">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/   cda:observation/cda:entryRelationship/cda:organizer/cda:component/cda:observation/   cda:entryRelationship/cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='308552006']]/cda:value " />
    <xsl:variable name="tc-types-49-err" select="@nullFlavor = ('PINF', 'NINF', 'QS', 'TRC') or (@nullFlavor='UNC' and (not(cda:originalText) or normalize-space(cda:originalText) = '')) " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="family-err" select="cda:originalText and matches(cda:originalText, $family-regex, 'i')" />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; 200" />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and @code != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used with the Clinical Package Validator to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used with the Clinical Package Validator to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the primary code.') " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-06-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-06-step-2 else $rating-alt-TC-Types-06-step-2 " />
    <xsl:variable name="rating-07-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-1 else $rating-alt-TC-Types-07-step-1 " />
    <xsl:variable name="rating-07-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-2 else $rating-alt-TC-Types-07-step-2 " />
    <xsl:variable name="rating-08" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-08 else $rating-alt-TC-Types-08 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-07: The Individual Pathology Test Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data
		type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to the Structured Content Specification the Individual Pathology Test Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which is derived from the HL7 'CD' data type however xsi:type '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to the Structured Content Specification the Individual Pathology Test Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:translation">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:translation">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Individual Pathology Test Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'translation' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value
		domain, with no exceptions. A translation translates the value into a code from another code systems, so translations are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:qualifier">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:qualifier">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Individual Pathology Test Result Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'qualifier' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value domain,
		with no exceptions. A qualifier constrains the value, so qualifiers are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Individual Pathology Test Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Individual Pathology Test Result Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Individual Pathology Test Result Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Individual Pathology Test Result Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present and is not expected
		for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Individual Pathology Test Result Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />'
		is present and is not expected for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-terminology-concepts = 'true' and not(true() or false() or $family-err or $length-err) and    not(@nullFlavor) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and not(true() or false() or $family-err or $length-err) and not(@nullFlavor)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (value domain not specified): The Individual Pathology Test Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The CodedText data type has the requirement that values must come from the specified bound value domain with no exceptions but a value domain has not been specified for the
		Individual Pathology Test Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Individual Pathology Test Result Status',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="false() and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != '1.2.36.1.2001.1001.101.104.16501'))  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != '1.2.36.1.2001.1001.101.104.16501'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-06-step-2" /><xsl:text />: TC-Types-06 step 2: According to the Structured Content Specification the Individual Pathology Test Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. The
		CodedText data type has the requirement that values must come from the bound value domain with no exceptions. Therefore the value of the codeSystem attribute must be a publicly available
		code system. The Individual Pathology Test Result Status data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide states the code system is 'NS' (not stated) with the requirement 'When national standard code sets become
		available, they SHALL be used'. The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> which is after the national standard code set became available
		for use on the <xsl:text /><xsl:value-of select="''" /><xsl:text />. The code system that must be used is
		<xsl:text /><xsl:value-of select="if ('1.2.36.1.2001.1001.101.104.16501' = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName, ' (ConceptId ''', 'none', ''')')   else concat('1.2.36.1.2001.1001.101.104.16501', ' (', $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16501']/@codeSystemName, ')')" /><xsl:text /><xsl:text /><xsl:value-of select="if (not(@codeSystem)) then '.'    else if (@codeSystemName) then concat(' however codeSystem ''', @codeSystem, ''' (', @codeSystemName, ') is present.')   else concat(' however a codeSystem attribute with the value ''', @codeSystem, ''' is present.') " /><xsl:text />
		(See section 1.8 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide, <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 7 of the CDA Implementation Guide for the
		information about the value domain.)
		<xsl:text /><xsl:value-of select="if ('none' = '11000036103') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName,     ' are Allergic reaction (''419076005''), Medication side-effect (''401207004'') and Drug interaction (''79899007'').')    else if ('none' = '15071000036100') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName,     ' are Prescribed (''105681000036100''), Suspended (''385655000'') and Unchanged (''105701000036103'').')    else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'OTH' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'OTH'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Individual Pathology Test Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore it is not valid for the data element to have nullFlavor 'OTH' to indicate that the
		actual value is not a member of the set of permitted data values in the constrained value domain. 
		(See the requirements for Individual Pathology Test Result Status and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Individual Pathology Test Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type<xsl:text /><xsl:value-of select="if (not(false())) then '.' else   concat(' and section 7 of the CDA Implementation Guide states the vocabulary is ''', '1.2.36.1.2001.1001.101.104.16501', ''' (', $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16501']/@codeSystemName, ').') " /><xsl:text />
		The CodedText data type has
		the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor attribute
		to indicate there is no value, however a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) is present and is not one of the nullFlavor values that indicate there is no value.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@nullFlavor or @code) and not(false() and not(@nullFlavor) and not(@codeSystem)) and cda:originalText ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor or @code) and not(false() and not(@nullFlavor) and not(@codeSystem)) and cda:originalText">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Individual Pathology Test Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor
		attribute to indicate there is no value. The only information found in the data element is originalText '<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />'.
		(See the requirements for Individual Pathology Test Result Status and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)
		<xsl:text /><xsl:value-of select="if (local-name(.) = 'jobClassCode') then concat('Consider using the METeOR 314867 ''Employment type'' code system (codeSystem ''2.16.840.1.113883.3.879.314867'') which has ',   'codes for ''Permanent'', ''Fixed term contract'', ''Casual'' and ''Not stated/inadequately described''; or the  METeOR 691891 ''Full-time/part-time status'' code system ',   '(codeSystem ''2.16.840.1.113883.3.879.691891'') which has codes for ''Full-time'', ''Part-time'' and ''Not stated/inadequately described''. ',   '(See the the METeOR 314867 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/314867 and the METeOR 691891 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/691891.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="true() and @codeSystem and @codeSystem != '1.2.36.1.2001.1001.101.104.16501' and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and @codeSystem and @codeSystem != '1.2.36.1.2001.1001.101.104.16501' and not(false())">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Individual Pathology Test Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and section 7 of the CDA Implementation Guide states the vocabulary is
		<xsl:text /><xsl:value-of select="if ('1.2.36.1.2001.1001.101.104.16501' = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName, ' (ConceptId ''', 'none', ''').')   else concat('1.2.36.1.2001.1001.101.104.16501', ' (', $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16501']/@codeSystemName, ').')" /><xsl:text />
		The CodedText data type has the requirement that values must come from the bound value domain with no exceptions.
		Therefore the value of codeSystem must be '1.2.36.1.2001.1001.101.104.16501' but codeSystem '<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />' (<xsl:text /><xsl:value-of select="@codeSystemName" /><xsl:text />) is present.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="true() and '1.2.36.1.2001.1001.101.104.16501' = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and    not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version,    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@refSet) = 'CodeFound') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and '1.2.36.1.2001.1001.101.104.16501' = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version, $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@refSet) = 'CodeFound')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Individual Pathology Test Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. The applicable value domain is the SNOMED CT-AU
		<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName" /><xsl:text />
		(Concept ID: 'none'). The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the code is not a member of the value domain.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 7 of the CDA Implementation Guide for the information about the value domain.)<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-08" /><xsl:text />: TC-Types-08: According to the Structured Content Specification the Individual Pathology Test Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. It has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> but has neither an originalText nor a displayName
		so it fails to conform to the requirement 'In accordance with the requirement to completely represent section contents, values of CodedText or CodeableText data elements defined in
		the SCS SHALL include an originalText or a displayName component (or both)'.
		(See Appendix A of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 6.1 and 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090
		Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and not(cda:originalText) and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and not(cda:originalText) and not(false())">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Individual Pathology Test Result Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is
		not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. (See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M698" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M698" />
  <xsl:template match="@*|node()" priority="-2" mode="M698">
    <xsl:apply-templates select="@*|*" mode="M698" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-CodedText-8-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/   cda:observation/cda:entryRelationship/cda:organizer/cda:component/cda:observation/   cda:entryRelationship/cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='308552006']]/cda:value   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M699">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/   cda:observation/cda:entryRelationship/cda:organizer/cda:component/cda:observation/   cda:entryRelationship/cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='308552006']]/cda:value   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Individual Pathology Test Result Status '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Individual Pathology Test Result Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Individual Pathology Test Result Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Individual Pathology Test Result Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Individual Pathology Test Result Status has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Individual Pathology Test Result Status data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Individual Pathology Test Result Status data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Individual Pathology Test Result Status data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Individual Pathology Test Result Status data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Individual Pathology Test Result Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Individual Pathology Test Result Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Individual Pathology Test Result Status data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Individual Pathology Test Result Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Individual Pathology Test Result Status data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Individual Pathology Test Result Status data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Individual Pathology Test Result Status data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M699" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M699" />
  <xsl:template match="@*|node()" priority="-2" mode="M699">
    <xsl:apply-templates select="@*|*" mode="M699" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-CodedText-9-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')]]/   cda:targetSiteCode/cda:qualifier[cda:name[@codeSystem='2.16.840.1.113883.6.96' and (@code='272741003' or @code='78615007')]]/cda:value " priority="1000" mode="M700">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')]]/   cda:targetSiteCode/cda:qualifier[cda:name[@codeSystem='2.16.840.1.113883.6.96' and (@code='272741003' or @code='78615007')]]/cda:value " />
    <xsl:variable name="tc-types-49-err" select="@nullFlavor = ('PINF', 'NINF', 'QS', 'TRC') or (@nullFlavor='UNC' and (not(cda:originalText) or normalize-space(cda:originalText) = '')) " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="family-err" select="cda:originalText and matches(cda:originalText, $family-regex, 'i')" />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; 200" />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and @code != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used with the Clinical Package Validator to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used with the Clinical Package Validator to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the primary code.') " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-06-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-06-step-2 else $rating-alt-TC-Types-06-step-2 " />
    <xsl:variable name="rating-07-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-1 else $rating-alt-TC-Types-07-step-1 " />
    <xsl:variable name="rating-07-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-2 else $rating-alt-TC-Types-07-step-2 " />
    <xsl:variable name="rating-08" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-08 else $rating-alt-TC-Types-08 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-07: The Test Result - Side '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data
		type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to the Structured Content Specification the Test Result - Side '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which is derived from the HL7 'CD' data type however xsi:type '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to the Structured Content Specification the Test Result - Side '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:translation">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:translation">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Test Result - Side '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'translation' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value
		domain, with no exceptions. A translation translates the value into a code from another code systems, so translations are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:qualifier">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:qualifier">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Test Result - Side
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'qualifier' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value domain,
		with no exceptions. A qualifier constrains the value, so qualifiers are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Result - Side '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result - Side
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result - Side
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result - Side
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present and is not expected
		for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result - Side
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />'
		is present and is not expected for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-terminology-concepts = 'true' and not(true() or false() or $family-err or $length-err) and    not(@nullFlavor) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and not(true() or false() or $family-err or $length-err) and not(@nullFlavor)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (value domain not specified): The Test Result - Side '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The CodedText data type has the requirement that values must come from the specified bound value domain with no exceptions but a value domain has not been specified for the
		Test Result - Side '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Test Result - Side',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="false() and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != '2.16.840.1.113883.6.96'))  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != '2.16.840.1.113883.6.96'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-06-step-2" /><xsl:text />: TC-Types-06 step 2: According to the Structured Content Specification the Test Result - Side '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. The
		CodedText data type has the requirement that values must come from the bound value domain with no exceptions. Therefore the value of the codeSystem attribute must be a publicly available
		code system. The Test Result - Side data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide states the code system is 'NS' (not stated) with the requirement 'When national standard code sets become
		available, they SHALL be used'. The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> which is after the national standard code set became available
		for use on the <xsl:text /><xsl:value-of select="''" /><xsl:text />. The code system that must be used is
		<xsl:text /><xsl:value-of select="if ('2.16.840.1.113883.6.96' = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = '32570611000036103']/@referenceSetName, ' (ConceptId ''', '32570611000036103', ''')')   else concat('2.16.840.1.113883.6.96', ' (', $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/@codeSystemName, ')')" /><xsl:text /><xsl:text /><xsl:value-of select="if (not(@codeSystem)) then '.'    else if (@codeSystemName) then concat(' however codeSystem ''', @codeSystem, ''' (', @codeSystemName, ') is present.')   else concat(' however a codeSystem attribute with the value ''', @codeSystem, ''' is present.') " /><xsl:text />
		(See section 1.8 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide, <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 7 of the CDA Implementation Guide for the
		information about the value domain.)
		<xsl:text /><xsl:value-of select="if ('32570611000036103' = '11000036103') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = '32570611000036103']/@referenceSetName,     ' are Allergic reaction (''419076005''), Medication side-effect (''401207004'') and Drug interaction (''79899007'').')    else if ('32570611000036103' = '15071000036100') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = '32570611000036103']/@referenceSetName,     ' are Prescribed (''105681000036100''), Suspended (''385655000'') and Unchanged (''105701000036103'').')    else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'OTH' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'OTH'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Test Result - Side '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore it is not valid for the data element to have nullFlavor 'OTH' to indicate that the
		actual value is not a member of the set of permitted data values in the constrained value domain. 
		(See the requirements for Test Result - Side and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Result - Side '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type<xsl:text /><xsl:value-of select="if (not(false())) then '.' else   concat(' and section 7 of the CDA Implementation Guide states the vocabulary is ''', '2.16.840.1.113883.6.96', ''' (', $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/@codeSystemName, ').') " /><xsl:text />
		The CodedText data type has
		the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor attribute
		to indicate there is no value, however a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) is present and is not one of the nullFlavor values that indicate there is no value.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@nullFlavor or @code) and not(false() and not(@nullFlavor) and not(@codeSystem)) and cda:originalText ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor or @code) and not(false() and not(@nullFlavor) and not(@codeSystem)) and cda:originalText">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Test Result - Side '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor
		attribute to indicate there is no value. The only information found in the data element is originalText '<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />'.
		(See the requirements for Test Result - Side and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)
		<xsl:text /><xsl:value-of select="if (local-name(.) = 'jobClassCode') then concat('Consider using the METeOR 314867 ''Employment type'' code system (codeSystem ''2.16.840.1.113883.3.879.314867'') which has ',   'codes for ''Permanent'', ''Fixed term contract'', ''Casual'' and ''Not stated/inadequately described''; or the  METeOR 691891 ''Full-time/part-time status'' code system ',   '(codeSystem ''2.16.840.1.113883.3.879.691891'') which has codes for ''Full-time'', ''Part-time'' and ''Not stated/inadequately described''. ',   '(See the the METeOR 314867 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/314867 and the METeOR 691891 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/691891.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="true() and @codeSystem and @codeSystem != '2.16.840.1.113883.6.96' and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and @codeSystem and @codeSystem != '2.16.840.1.113883.6.96' and not(false())">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Test Result - Side '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and section 7 of the CDA Implementation Guide states the vocabulary is
		<xsl:text /><xsl:value-of select="if ('2.16.840.1.113883.6.96' = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = '32570611000036103']/@referenceSetName, ' (ConceptId ''', '32570611000036103', ''').')   else concat('2.16.840.1.113883.6.96', ' (', $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/@codeSystemName, ').')" /><xsl:text />
		The CodedText data type has the requirement that values must come from the bound value domain with no exceptions.
		Therefore the value of codeSystem must be '2.16.840.1.113883.6.96' but codeSystem '<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />' (<xsl:text /><xsl:value-of select="@codeSystemName" /><xsl:text />) is present.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="true() and '2.16.840.1.113883.6.96' = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and    not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version,    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = '32570611000036103']/@refSet) = 'CodeFound') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and '2.16.840.1.113883.6.96' = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version, $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = '32570611000036103']/@refSet) = 'CodeFound')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Test Result - Side '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. The applicable value domain is the SNOMED CT-AU
		<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = '32570611000036103']/@referenceSetName" /><xsl:text />
		(Concept ID: '32570611000036103'). The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the code is not a member of the value domain.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 7 of the CDA Implementation Guide for the information about the value domain.)<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-08" /><xsl:text />: TC-Types-08: According to the Structured Content Specification the Test Result - Side '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. It has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> but has neither an originalText nor a displayName
		so it fails to conform to the requirement 'In accordance with the requirement to completely represent section contents, values of CodedText or CodeableText data elements defined in
		the SCS SHALL include an originalText or a displayName component (or both)'.
		(See Appendix A of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 6.1 and 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090
		Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and not(cda:originalText) and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and not(cda:originalText) and not(false())">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Test Result - Side '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is
		not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. (See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M700" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M700" />
  <xsl:template match="@*|node()" priority="-2" mode="M700">
    <xsl:apply-templates select="@*|*" mode="M700" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-CodedText-10-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/cda:organizer/   cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')]]/   cda:targetSiteCode/cda:qualifier[cda:name[@codeSystem='2.16.840.1.113883.6.96' and (@code='272741003' or @code='78615007')]]/cda:value   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M701">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/cda:organizer/   cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')]]/   cda:targetSiteCode/cda:qualifier[cda:name[@codeSystem='2.16.840.1.113883.6.96' and (@code='272741003' or @code='78615007')]]/cda:value   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Test Result - Side '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Test Result - Side
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Test Result - Side
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Test Result - Side
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Result - Side
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Test Result - Side has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Test Result - Side data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Result - Side
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Test Result - Side data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Result - Side
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Test Result - Side data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Result - Side
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Test Result - Side data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Test Result - Side
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Test Result - Side
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Test Result - Side data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Test Result - Side
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Test Result - Side data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Result - Side
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Result - Side
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Test Result - Side data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Result - Side
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Test Result - Side data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Result - Side
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Test Result - Side
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M701" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M701" />
  <xsl:template match="@*|node()" priority="-2" mode="M701">
    <xsl:apply-templates select="@*|*" mode="M701" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-DateTime-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.1', '102.16156.132.1.1', '102.16156.136.2.1', '102.16156.132.1.1')]]/cda:effectiveTime " priority="1000" mode="M702">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.1', '102.16156.132.1.1', '102.16156.136.2.1', '102.16156.132.1.1')]]/cda:effectiveTime " />
    <xsl:variable name="allow-ivl-ts" select="if (not(@xsi:type)) then false() else /cda:ClinicalDocument       [cda:templateId[(@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')  or         (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or         (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) ]]   and        local-name(.) = 'value'             and        ..[local-name(.) = 'observation' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]   and       ../..[local-name(.) = 'entryRelationship' and @typeCode='SUBJ']        and       ../../..[local-name(.) = 'observation' and cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]  and       ../../../..[local-name(.) = 'entry']            and       ../../../../..[local-name(.) = 'section' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]  " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-18" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-18 else $rating-alt-TC-Types-18 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-18: The Test Specimen Date and Time of Collection '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data
		type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime',            'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime', 'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: The Test Specimen Date and Time of Collection

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type but it does not meet the requirement to have the xsi:type attribute with the value 'TS'.
		(See section 8.6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the Test Specimen Date and Time of Collection '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was
		found. This may be corrected by using an xsi:type attribute with the value 'TS'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the Test Specimen Date and Time of Collection '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		This may be corrected by using an xsi:type attribute with the value 'TS'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the Test Specimen Date and Time of Collection '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7
		'TS' data type to have a value attribute if there is no nullFlavor
		attribute. (See section 7.8.13.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange')

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the Test Specimen Date and Time of Collection '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7 'TS' data type to have a value attribute if there is no nullFlavor
		attribute. The element has a '<xsl:text /><xsl:value-of select="local-name(*[local-name(.) = ('low', 'high')])" /><xsl:text />' child element with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		which is not one of the elements used for the HL7 'TS'
		data type. (See section 7.8.13 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen Date and Time of Collection
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		is present. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen Date and Time of Collection
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' was found. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen Date and Time of Collection
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen Date and Time of Collection
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@value) and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@value) and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to the Structured Content Specification the Test Specimen Date and Time of Collection
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (uncoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include
		nullFlavor 'UNC'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M702" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M702" />
  <xsl:template match="@*|node()" priority="-2" mode="M702">
    <xsl:apply-templates select="@*|*" mode="M702" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-DateTime-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.1', '102.16156.132.1.1', '102.16156.136.2.1', '102.16156.132.1.1')]]/cda:effectiveTime    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))] " priority="1000" mode="M703">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.1', '102.16156.132.1.1', '102.16156.136.2.1', '102.16156.132.1.1')]]/cda:effectiveTime    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="fir-narrative" select="translate(normalize-space(lower-case(string($fir-narr-node))), $chars-to-remove, '')" />
    <xsl:variable name="sec-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)        then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]        else () " />
    <xsl:variable name="sec-narr-node" select="$sec-section/cda:text " />
    <xsl:variable name="narr-text-el" select="(for $text in ($fir-narr-node//text(), $sec-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="sec-narrative" select="translate(normalize-space(lower-case(string($sec-narr-node))), $chars-to-remove, '') " />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="narrative" select="concat($target-title, $fir-narrative, $sec-narrative)" />
    <xsl:variable name="narr-elements" select="$fir-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ]  |             $sec-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ] " />
    <xsl:variable name="narr-lower-case" select="for $i in (1 to count($narr-elements)) return lower-case(normalize-space(string-join($narr-elements[$i]/text(), '')))  " />
    <xsl:variable name="dt-narr-elements" select="$narr-lower-case[matches(., $regex-date-type-1, 'i') or matches(., $regex-date-type-2, 'i') or matches(., $regex-date-type-3, 'i')] " />
    <xsl:variable name="narr-elements-start" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-before($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-before($dt-narr-elements[$i], ' -'))        else $dt-narr-elements[$i])[. != ''] " />
    <xsl:variable name="narr-elements-end" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-after($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-after($dt-narr-elements[$i], ' -'))        else '')[. != ''] " />
    <xsl:variable name="narr-dateTimes" select="distinct-values(($narr-elements-start , $narr-elements-end))[. != '(ongoing)'] " />
    <xsl:variable name="dt-value" select="if (@value) then @value else '' " />
    <xsl:variable name="no-time-zone" select="if (contains($dt-value, '+')) then substring-before($dt-value, '+')       else if (contains($dt-value, '-')) then substring-before($dt-value, '-')       else $dt-value " />
    <xsl:variable name="dateTime-length" select="string-length($no-time-zone) " />
    <xsl:variable name="year" select="if ($dateTime-length &gt; 3) then substring($no-time-zone,1,4) else '' " />
    <xsl:variable name="month-num" select="if ($dateTime-length &gt; 5) then substring($no-time-zone,5,2) else '' " />
    <xsl:variable name="day" select="if ($dateTime-length &gt; 7 and substring($no-time-zone,7,1) = '0') then substring($no-time-zone,8,1)       else if ($dateTime-length &gt; 7 and substring($no-time-zone,7,1) != '0') then substring($no-time-zone,7,2) else '' " />
    <xsl:variable name="hour-long" select="if ($dateTime-length &gt; 9) then substring($no-time-zone,9,2) else '' " />
    <xsl:variable name="hour-short" select="if (substring($hour-long, 1, 1) = '0') then substring($hour-long, 2, 1) else '' " />
    <xsl:variable name="minute" select="if ($dateTime-length &gt; 11) then substring($no-time-zone,11,2) else '' " />
    <xsl:variable name="second" select="if ($dateTime-length &gt; 13) then substring($no-time-zone,13,2) else '' " />
    <xsl:variable name="time-zone" select="if (contains($dt-value, '+')) then concat('\+', substring-after($dt-value, '+'))       else if (contains($dt-value, '-')) then concat('\-', substring-after($dt-value, '-'))       else '' " />
    <xsl:variable name="month-short" select="if ($month-num = '01') then 'jan'  else             if ($month-num = '02') then 'feb'  else             if ($month-num = '03') then 'mar'  else             if ($month-num = '04') then 'apr'  else             if ($month-num = '05') then 'may'  else             if ($month-num = '06') then 'jun'  else             if ($month-num = '07') then 'jul'  else             if ($month-num = '08') then 'aug'  else             if ($month-num = '09') then 'sep'  else             if ($month-num = '10') then 'oct'  else             if ($month-num = '11') then 'nov'  else             if ($month-num = '12') then 'dec'  else '' " />
    <xsl:variable name="month-long" select="if ($month-num = '01') then 'january'  else             if ($month-num = '02') then 'february'  else             if ($month-num = '03') then 'march'  else             if ($month-num = '04') then 'april'  else             if ($month-num = '05') then 'may'  else             if ($month-num = '06') then 'june'  else             if ($month-num = '07') then 'july'  else             if ($month-num = '08') then 'august'  else             if ($month-num = '09') then 'september'  else             if ($month-num = '10') then 'october'  else             if ($month-num = '11') then 'november'  else             if ($month-num = '12') then 'december'  else '' " />
    <xsl:variable name="date-type-3-day" select="if (string-length($day) = 1) then concat('0{0,1}', $day) else $day " />
    <xsl:variable name="date-type-3-month" select="if (string-length($month-num) = 1) then concat('0{0,1}', $month-num)        else if (substring($month-num, 1, 1) = '0') then concat('0{0,1}', substring($month-num, 2, 1))         else $month-num " />
    <xsl:variable name="dt-sequence-1" select="if ($dateTime-length = 4) then (         concat('^', $dt-value)         ,          concat('^', $year)         )        else if ($dateTime-length = 6) then (         concat('^', $dt-value)         ,         concat('^', $month-short, $date-sep, $year)      ,          concat('^', $month-long, $date-sep, $year)      )        else if ($dateTime-length &gt; 7) then (         concat('^', $dt-value)         ,         concat('^', $date-type-3-day, $date-sep, $month-short, $date-sep, $year)  ,         concat('^', $date-type-3-day, $date-sep, $month-long, $date-sep, $year)   ,         concat('^', $date-type-3-day, '/', $date-type-3-month, '/', $year)   )        else () " />
    <xsl:variable name="matching-seq-1" select="if (exists($dt-sequence-1))        then index-of(for $i in (1 to count($dt-sequence-1)) return exists($narr-dateTimes[matches(., $dt-sequence-1[$i], 'i')]), true())        else () " />
    <xsl:variable name="dt-stem-1" select="for $i in (1 to count($matching-seq-1)) return $dt-sequence-1[$matching-seq-1[$i]] " />
    <xsl:variable name="dt-regex-1" select="if (exists($dt-stem-1)) then concat('(', string-join($dt-stem-1, '$)|('), '$)') else ()" />
    <xsl:variable name="dt-match-1" select="exists($dt-stem-1) and exists($narr-dateTimes[matches(., $dt-regex-1, 'i')])" />
    <xsl:variable name="time-1" select="if ($dateTime-length &gt; 11 and $hour-short != '') then concat($hour-short, ':', $minute, '( *| *am)') else '' " />
    <xsl:variable name="time-2" select="if ($dateTime-length &gt; 13 and $hour-short != '') then concat($hour-short, ':', $minute, ':', $second, '( *| *am)') else '' " />
    <xsl:variable name="time-3" select="if ($dateTime-length &gt; 11 and number($hour-long) &lt; 12) then concat($hour-long, ':', $minute, '( *| *am)')       else if ($dateTime-length &gt; 11) then concat($hour-long, ':', $minute) else '' " />
    <xsl:variable name="time-4" select="if ($dateTime-length &gt; 13 and number($hour-long) &lt; 12) then concat($hour-long, ':', $minute, ':', $second, '( *| *am)')        else if ($dateTime-length &gt; 13) then concat($hour-long, ':', $minute, ':', $second) else '' " />
    <xsl:variable name="time-5" select="if ($dateTime-length &gt; 11 and number($hour-long) &gt; 12) then concat(string(number($hour-long) - 12), ':', $minute, '( *| *pm)') else '' " />
    <xsl:variable name="time-6" select="if ($dateTime-length &gt; 13 and number($hour-long) &gt; 12) then concat(string(number($hour-long) - 12), ':', $minute, ':', $second, '( *| *pm)') else '' " />
    <xsl:variable name="dt-temp-0" select="if (exists($dt-stem-1) and $dateTime-length = 8) then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $narr-time-regex) else () " />
    <xsl:variable name="dt-temp-1" select="if (exists($dt-stem-1) and $time-1 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-1) else () " />
    <xsl:variable name="dt-temp-2" select="if (exists($dt-stem-1) and $time-2 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-2) else () " />
    <xsl:variable name="dt-temp-3" select="if (exists($dt-stem-1) and $time-3 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-3) else () " />
    <xsl:variable name="dt-temp-4" select="if (exists($dt-stem-1) and $time-4 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-4) else () " />
    <xsl:variable name="dt-temp-5" select="if (exists($dt-stem-1) and $time-5 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-5) else () " />
    <xsl:variable name="dt-temp-6" select="if (exists($dt-stem-1) and $time-6 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-6) else () " />
    <xsl:variable name="dt-sequence-2" select="($dt-temp-0, $dt-temp-1, $dt-temp-2, $dt-temp-3, $dt-temp-4, $dt-temp-5, $dt-temp-6)" />
    <xsl:variable name="matching-seq-2" select="if (exists($dt-sequence-2))        then index-of(for $i in (1 to count($dt-sequence-2)) return exists($narr-dateTimes[matches(., $dt-sequence-2[$i], 'i')]), true())        else () " />
    <xsl:variable name="dt-stem-2" select="for $i in (1 to count($matching-seq-2)) return $dt-sequence-2[$matching-seq-2[$i]] " />
    <xsl:variable name="dt-regex-2" select="if (exists($dt-stem-2)) then concat('(', string-join($dt-stem-2, '$)|('), '$)') else '' " />
    <xsl:variable name="dt-match-2" select="(exists($dt-stem-2) and exists($narr-dateTimes[matches(., $dt-regex-2, 'i')])) " />
    <xsl:variable name="dt-sequence-3" select="if (not($dt-match-2) and exists($dt-stem-2) and $time-zone != '') then for $i in (1 to count($dt-stem-2)) return        concat($dt-stem-2[$i], substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2)) else () " />
    <xsl:variable name="dt-regex-3" select="if ($dt-match-2) then '' else if (exists($dt-sequence-3)) then concat('(', string-join($dt-sequence-3, '$)|('), '$)') else '' " />
    <xsl:variable name="dt-match-3" select="($dt-match-2 or (exists($dt-sequence-3) and exists($narr-dateTimes[matches(., $dt-regex-3, 'i')]))) " />
    <xsl:variable name="narr-match" select="if ($dt-value != '' and not(exists($narr-dateTimes))) then      (       contains($narrative, $dt-value)               or       (string-length($dt-value) = 4 and contains($narrative, $year))            or        (string-length($dt-value) = 6 and contains($narrative, concat($month-short, $year)))          or       (string-length($dt-value) &gt; 7 and starts-with($day, '0') and        (contains($narrative, concat(substring($day,2,1), $month-short, $year)) or         contains($narrative, concat(substring($day,2,1), $month-num, $year))))          or       (string-length($dt-value) &gt; 7 and (contains($narrative, concat($day, $month-short, $year)) or contains($narrative, concat($day, $month-num, $year))))        )       else false() " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($fir-narr-node//cda:renderMultiMedia) or exists($sec-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($fir-narr-node//cda:linkHtml) or exists($sec-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="warning-1" select="exists($dt-sequence-1) and exists($narr-dateTimes) and $dt-match-1 and not($dt-match-3) and $dt-value != '' " />
    <xsl:variable name="error-1" select="$warning-1 and not($multimedia) " />
    <xsl:variable name="warning-2" select="exists($dt-sequence-1) and exists($narr-dateTimes) and not($dt-match-1 or $dt-match-3) and $dt-value != '' " />
    <xsl:variable name="error-2a" select="$warning-2 and not($multimedia) and $time-zone != '' and count($narr-dateTimes) =        count(for $dt in $narr-dateTimes return replace(replace($dt, $regex-date-type-1, ''), $regex-date-type-2, '')       [matches(., concat('^\s*([0-9]{1,2}:{1}[0-9]{2}\s*', substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2),         '|[0-9]{1,2}:{1}[0-9]{2}:{1}[0-9]{2}\s*', substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2), ')\s*$'), 'i')]) " />
    <xsl:variable name="error-2b" select="$warning-2 and not($dt-match-1) and not($multimedia) and count($narr-dateTimes[matches(., $regex-date-type-2, 'i')]) =        count($narr-dateTimes[matches(., concat($regex-date-type-2, ' ', $narr-time-regex, '$'), 'i')]) " />
    <xsl:variable name="error-2c" select="$warning-2 and exists($narr-dateTimes[matches(., concat('^', $year, '$'))]) " />
    <xsl:variable name="error-2" select="$error-2a or $error-2b or $error-2c " />
    <xsl:variable name="warning-3" select="$dt-value != '' and not(exists($narr-dateTimes)) and not($narr-match) " />
    <xsl:variable name="error-3" select="$warning-3 and not($multimedia) and not(contains($narrative, substring($year, 3, 2)))" />
    <xsl:variable name="narr-dt-msg" select="if ($multimedia or $no-content) then ''       else if (not(exists($narr-dateTimes))) then concat(' The narrative of the ', iq:location(., ''), ' contains no dateTime elements.')       else if (count($narr-dateTimes) = 1) then concat(' The only dateTime element in the narrative of the ', iq:location(., ''), ' is ''',         dh:XQueryRecursiveReplace($narr-dateTimes[1], '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), '''.')       else concat(' The distinct dateTime elements in the narrative of the ', iq:location(., ''), ' are ''',         string-join(for $dt in $narr-dateTimes return          dh:XQueryRecursiveReplace($dt, '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), ', '), '''.') " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-4" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-4 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and exists($dt-sequence-1) and $dt-value != '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and exists($dt-sequence-1) and $dt-value != ''">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 4: The dateTime element in the structured data is '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'.
		The number of dateTime elements that have been extracted from the narrative is '<xsl:text /><xsl:value-of select="count($narr-dateTimes)" /><xsl:text />'.
		These are '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-dateTimes, ', '), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The initial regular expressions are '<xsl:text /><xsl:value-of select="string-join($dt-sequence-1, ', ')" /><xsl:text />'.
		The items in dt-stem-1 are: '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($dt-stem-1, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The items in dt-sequence-2 are: '<xsl:text /><xsl:value-of select="string-join($dt-sequence-2, '|')" /><xsl:text />'.
		The items in dt-stem-2 are: '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($dt-stem-2, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The three regular expressions used to perform an exact match for narrative dateTime elements are as follows:
		dt-regex-1='<xsl:text /><xsl:value-of select="$dt-regex-1" /><xsl:text />'; dt-regex-2='<xsl:text /><xsl:value-of select="$dt-regex-2" /><xsl:text />'; and dt-regex-3='<xsl:text /><xsl:value-of select="$dt-regex-3" /><xsl:text />'.
		Was a match found after the first regular expression (with just a date) was created? <xsl:text /><xsl:value-of select="$dt-match-1" /><xsl:text />.		
		<xsl:text /><xsl:value-of select="if ($dt-regex-2 = '') then 'The second regular expression was not applied as there is no time information.'    else concat('Was a match found after the second regular expression (with a date and time) was created? ', $dt-match-2, '.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($dt-regex-3 = '') then ' The third regular expression was not applied as there is no timezone information.'    else concat(' Was a match found after the third regular expression (with a date and time) was created? ', $dt-match-3, '.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $warning-1 and not($error-1 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $warning-1 and not($error-1 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Test Specimen Date and Time of Collection 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Test Specimen Date and Time of Collection data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $error-1 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $error-1 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Test Specimen Date and Time of Collection 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. The Test Specimen Date and Time of Collection data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $error-1 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $error-1 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Test Specimen Date and Time of Collection 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. The Test Specimen Date and Time of Collection data element records clinical information and all clinical information in entry elements must be present in the narrative.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $warning-2 and not($error-2 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$warning-2 and not($error-2 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Test Specimen Date and Time of Collection 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Test Specimen Date and Time of Collection data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-2 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-2 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Test Specimen Date and Time of Collection 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="if ($error-2c) then concat('The narrative contains a date with the same year ''', $year, ''' but without a month or day.') else '' " /><xsl:text />
		The Test Specimen Date and Time of Collection data element records clinical information and all clinical information in entry elements must be present in the narrative.
		<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-2 and not($no-content) and not(true())">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-2 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Test Specimen Date and Time of Collection 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="if ($error-2c) then concat('The narrative contains a date with the same year ''', $year, ''' but without a month or day.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $warning-3 and not($error-3 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$warning-3 and not($error-3 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Test Specimen Date and Time of Collection 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Test Specimen Date and Time of Collection data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $dt-value != '' and not($narr-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $dt-value != '' and not($narr-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Test Specimen Date and Time of Collection 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $dt-value != '' and not($narr-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $dt-value != '' and not($narr-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Test Specimen Date and Time of Collection '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Test Specimen Date and Time of Collection data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-3 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-3 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Test Specimen Date and Time of Collection '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Test Specimen Date and Time of Collection data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-3 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-3 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Test Specimen Date and Time of Collection '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Test Specimen Date and Time of Collection '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M703" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M703" />
  <xsl:template match="@*|node()" priority="-2" mode="M703">
    <xsl:apply-templates select="@*|*" mode="M703" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-DateTime-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16156']]/cda:effectiveTime " priority="1000" mode="M704">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16156']]/cda:effectiveTime " />
    <xsl:variable name="allow-ivl-ts" select="if (not(@xsi:type)) then false() else /cda:ClinicalDocument       [cda:templateId[(@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')  or         (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or         (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) ]]   and        local-name(.) = 'value'             and        ..[local-name(.) = 'observation' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]   and       ../..[local-name(.) = 'entryRelationship' and @typeCode='SUBJ']        and       ../../..[local-name(.) = 'observation' and cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]  and       ../../../..[local-name(.) = 'entry']            and       ../../../../..[local-name(.) = 'section' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]  " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-18" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-18 else $rating-alt-TC-Types-18 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-18: The Collection DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data
		type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime',            'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime', 'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: The Collection DateTime

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type but it does not meet the requirement to have the xsi:type attribute with the value 'TS'.
		(See section 8.6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to section 3.11 of the Pathology Report Structured Content Specification v1.0 the Collection DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was
		found. This may be corrected by using an xsi:type attribute with the value 'TS'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to section 3.11 of the Pathology Report Structured Content Specification v1.0 the Collection DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		This may be corrected by using an xsi:type attribute with the value 'TS'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to section 3.11 of the Pathology Report Structured Content Specification v1.0 the Collection DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7
		'TS' data type to have a value attribute if there is no nullFlavor
		attribute. (See section 7.8.13.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange')

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to section 3.11 of the Pathology Report Structured Content Specification v1.0 the Collection DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7 'TS' data type to have a value attribute if there is no nullFlavor
		attribute. The element has a '<xsl:text /><xsl:value-of select="local-name(*[local-name(.) = ('low', 'high')])" /><xsl:text />' child element with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		which is not one of the elements used for the HL7 'TS'
		data type. (See section 7.8.13 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.11 of the Pathology Report Structured Content Specification v1.0 the Collection DateTime
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		is present. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.11 of the Pathology Report Structured Content Specification v1.0 the Collection DateTime
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' was found. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.11 of the Pathology Report Structured Content Specification v1.0 the Collection DateTime
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.11 of the Pathology Report Structured Content Specification v1.0 the Collection DateTime
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@value) and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@value) and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 3.11 of the Pathology Report Structured Content Specification v1.0 the Collection DateTime
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (uncoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include
		nullFlavor 'UNC'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M704" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M704" />
  <xsl:template match="@*|node()" priority="-2" mode="M704">
    <xsl:apply-templates select="@*|*" mode="M704" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-DateTime-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16156']]/cda:effectiveTime    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))] " priority="1000" mode="M705">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16156']]/cda:effectiveTime    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="fir-narrative" select="translate(normalize-space(lower-case(string($fir-narr-node))), $chars-to-remove, '')" />
    <xsl:variable name="sec-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)        then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]        else () " />
    <xsl:variable name="sec-narr-node" select="$sec-section/cda:text " />
    <xsl:variable name="narr-text-el" select="(for $text in ($fir-narr-node//text(), $sec-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="sec-narrative" select="translate(normalize-space(lower-case(string($sec-narr-node))), $chars-to-remove, '') " />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="narrative" select="concat($target-title, $fir-narrative, $sec-narrative)" />
    <xsl:variable name="narr-elements" select="$fir-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ]  |             $sec-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ] " />
    <xsl:variable name="narr-lower-case" select="for $i in (1 to count($narr-elements)) return lower-case(normalize-space(string-join($narr-elements[$i]/text(), '')))  " />
    <xsl:variable name="dt-narr-elements" select="$narr-lower-case[matches(., $regex-date-type-1, 'i') or matches(., $regex-date-type-2, 'i') or matches(., $regex-date-type-3, 'i')] " />
    <xsl:variable name="narr-elements-start" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-before($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-before($dt-narr-elements[$i], ' -'))        else $dt-narr-elements[$i])[. != ''] " />
    <xsl:variable name="narr-elements-end" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-after($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-after($dt-narr-elements[$i], ' -'))        else '')[. != ''] " />
    <xsl:variable name="narr-dateTimes" select="distinct-values(($narr-elements-start , $narr-elements-end))[. != '(ongoing)'] " />
    <xsl:variable name="dt-value" select="if (@value) then @value else '' " />
    <xsl:variable name="no-time-zone" select="if (contains($dt-value, '+')) then substring-before($dt-value, '+')       else if (contains($dt-value, '-')) then substring-before($dt-value, '-')       else $dt-value " />
    <xsl:variable name="dateTime-length" select="string-length($no-time-zone) " />
    <xsl:variable name="year" select="if ($dateTime-length &gt; 3) then substring($no-time-zone,1,4) else '' " />
    <xsl:variable name="month-num" select="if ($dateTime-length &gt; 5) then substring($no-time-zone,5,2) else '' " />
    <xsl:variable name="day" select="if ($dateTime-length &gt; 7 and substring($no-time-zone,7,1) = '0') then substring($no-time-zone,8,1)       else if ($dateTime-length &gt; 7 and substring($no-time-zone,7,1) != '0') then substring($no-time-zone,7,2) else '' " />
    <xsl:variable name="hour-long" select="if ($dateTime-length &gt; 9) then substring($no-time-zone,9,2) else '' " />
    <xsl:variable name="hour-short" select="if (substring($hour-long, 1, 1) = '0') then substring($hour-long, 2, 1) else '' " />
    <xsl:variable name="minute" select="if ($dateTime-length &gt; 11) then substring($no-time-zone,11,2) else '' " />
    <xsl:variable name="second" select="if ($dateTime-length &gt; 13) then substring($no-time-zone,13,2) else '' " />
    <xsl:variable name="time-zone" select="if (contains($dt-value, '+')) then concat('\+', substring-after($dt-value, '+'))       else if (contains($dt-value, '-')) then concat('\-', substring-after($dt-value, '-'))       else '' " />
    <xsl:variable name="month-short" select="if ($month-num = '01') then 'jan'  else             if ($month-num = '02') then 'feb'  else             if ($month-num = '03') then 'mar'  else             if ($month-num = '04') then 'apr'  else             if ($month-num = '05') then 'may'  else             if ($month-num = '06') then 'jun'  else             if ($month-num = '07') then 'jul'  else             if ($month-num = '08') then 'aug'  else             if ($month-num = '09') then 'sep'  else             if ($month-num = '10') then 'oct'  else             if ($month-num = '11') then 'nov'  else             if ($month-num = '12') then 'dec'  else '' " />
    <xsl:variable name="month-long" select="if ($month-num = '01') then 'january'  else             if ($month-num = '02') then 'february'  else             if ($month-num = '03') then 'march'  else             if ($month-num = '04') then 'april'  else             if ($month-num = '05') then 'may'  else             if ($month-num = '06') then 'june'  else             if ($month-num = '07') then 'july'  else             if ($month-num = '08') then 'august'  else             if ($month-num = '09') then 'september'  else             if ($month-num = '10') then 'october'  else             if ($month-num = '11') then 'november'  else             if ($month-num = '12') then 'december'  else '' " />
    <xsl:variable name="date-type-3-day" select="if (string-length($day) = 1) then concat('0{0,1}', $day) else $day " />
    <xsl:variable name="date-type-3-month" select="if (string-length($month-num) = 1) then concat('0{0,1}', $month-num)        else if (substring($month-num, 1, 1) = '0') then concat('0{0,1}', substring($month-num, 2, 1))         else $month-num " />
    <xsl:variable name="dt-sequence-1" select="if ($dateTime-length = 4) then (         concat('^', $dt-value)         ,          concat('^', $year)         )        else if ($dateTime-length = 6) then (         concat('^', $dt-value)         ,         concat('^', $month-short, $date-sep, $year)      ,          concat('^', $month-long, $date-sep, $year)      )        else if ($dateTime-length &gt; 7) then (         concat('^', $dt-value)         ,         concat('^', $date-type-3-day, $date-sep, $month-short, $date-sep, $year)  ,         concat('^', $date-type-3-day, $date-sep, $month-long, $date-sep, $year)   ,         concat('^', $date-type-3-day, '/', $date-type-3-month, '/', $year)   )        else () " />
    <xsl:variable name="matching-seq-1" select="if (exists($dt-sequence-1))        then index-of(for $i in (1 to count($dt-sequence-1)) return exists($narr-dateTimes[matches(., $dt-sequence-1[$i], 'i')]), true())        else () " />
    <xsl:variable name="dt-stem-1" select="for $i in (1 to count($matching-seq-1)) return $dt-sequence-1[$matching-seq-1[$i]] " />
    <xsl:variable name="dt-regex-1" select="if (exists($dt-stem-1)) then concat('(', string-join($dt-stem-1, '$)|('), '$)') else ()" />
    <xsl:variable name="dt-match-1" select="exists($dt-stem-1) and exists($narr-dateTimes[matches(., $dt-regex-1, 'i')])" />
    <xsl:variable name="time-1" select="if ($dateTime-length &gt; 11 and $hour-short != '') then concat($hour-short, ':', $minute, '( *| *am)') else '' " />
    <xsl:variable name="time-2" select="if ($dateTime-length &gt; 13 and $hour-short != '') then concat($hour-short, ':', $minute, ':', $second, '( *| *am)') else '' " />
    <xsl:variable name="time-3" select="if ($dateTime-length &gt; 11 and number($hour-long) &lt; 12) then concat($hour-long, ':', $minute, '( *| *am)')       else if ($dateTime-length &gt; 11) then concat($hour-long, ':', $minute) else '' " />
    <xsl:variable name="time-4" select="if ($dateTime-length &gt; 13 and number($hour-long) &lt; 12) then concat($hour-long, ':', $minute, ':', $second, '( *| *am)')        else if ($dateTime-length &gt; 13) then concat($hour-long, ':', $minute, ':', $second) else '' " />
    <xsl:variable name="time-5" select="if ($dateTime-length &gt; 11 and number($hour-long) &gt; 12) then concat(string(number($hour-long) - 12), ':', $minute, '( *| *pm)') else '' " />
    <xsl:variable name="time-6" select="if ($dateTime-length &gt; 13 and number($hour-long) &gt; 12) then concat(string(number($hour-long) - 12), ':', $minute, ':', $second, '( *| *pm)') else '' " />
    <xsl:variable name="dt-temp-0" select="if (exists($dt-stem-1) and $dateTime-length = 8) then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $narr-time-regex) else () " />
    <xsl:variable name="dt-temp-1" select="if (exists($dt-stem-1) and $time-1 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-1) else () " />
    <xsl:variable name="dt-temp-2" select="if (exists($dt-stem-1) and $time-2 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-2) else () " />
    <xsl:variable name="dt-temp-3" select="if (exists($dt-stem-1) and $time-3 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-3) else () " />
    <xsl:variable name="dt-temp-4" select="if (exists($dt-stem-1) and $time-4 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-4) else () " />
    <xsl:variable name="dt-temp-5" select="if (exists($dt-stem-1) and $time-5 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-5) else () " />
    <xsl:variable name="dt-temp-6" select="if (exists($dt-stem-1) and $time-6 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-6) else () " />
    <xsl:variable name="dt-sequence-2" select="($dt-temp-0, $dt-temp-1, $dt-temp-2, $dt-temp-3, $dt-temp-4, $dt-temp-5, $dt-temp-6)" />
    <xsl:variable name="matching-seq-2" select="if (exists($dt-sequence-2))        then index-of(for $i in (1 to count($dt-sequence-2)) return exists($narr-dateTimes[matches(., $dt-sequence-2[$i], 'i')]), true())        else () " />
    <xsl:variable name="dt-stem-2" select="for $i in (1 to count($matching-seq-2)) return $dt-sequence-2[$matching-seq-2[$i]] " />
    <xsl:variable name="dt-regex-2" select="if (exists($dt-stem-2)) then concat('(', string-join($dt-stem-2, '$)|('), '$)') else '' " />
    <xsl:variable name="dt-match-2" select="(exists($dt-stem-2) and exists($narr-dateTimes[matches(., $dt-regex-2, 'i')])) " />
    <xsl:variable name="dt-sequence-3" select="if (not($dt-match-2) and exists($dt-stem-2) and $time-zone != '') then for $i in (1 to count($dt-stem-2)) return        concat($dt-stem-2[$i], substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2)) else () " />
    <xsl:variable name="dt-regex-3" select="if ($dt-match-2) then '' else if (exists($dt-sequence-3)) then concat('(', string-join($dt-sequence-3, '$)|('), '$)') else '' " />
    <xsl:variable name="dt-match-3" select="($dt-match-2 or (exists($dt-sequence-3) and exists($narr-dateTimes[matches(., $dt-regex-3, 'i')]))) " />
    <xsl:variable name="narr-match" select="if ($dt-value != '' and not(exists($narr-dateTimes))) then      (       contains($narrative, $dt-value)               or       (string-length($dt-value) = 4 and contains($narrative, $year))            or        (string-length($dt-value) = 6 and contains($narrative, concat($month-short, $year)))          or       (string-length($dt-value) &gt; 7 and starts-with($day, '0') and        (contains($narrative, concat(substring($day,2,1), $month-short, $year)) or         contains($narrative, concat(substring($day,2,1), $month-num, $year))))          or       (string-length($dt-value) &gt; 7 and (contains($narrative, concat($day, $month-short, $year)) or contains($narrative, concat($day, $month-num, $year))))        )       else false() " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($fir-narr-node//cda:renderMultiMedia) or exists($sec-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($fir-narr-node//cda:linkHtml) or exists($sec-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="warning-1" select="exists($dt-sequence-1) and exists($narr-dateTimes) and $dt-match-1 and not($dt-match-3) and $dt-value != '' " />
    <xsl:variable name="error-1" select="$warning-1 and not($multimedia) " />
    <xsl:variable name="warning-2" select="exists($dt-sequence-1) and exists($narr-dateTimes) and not($dt-match-1 or $dt-match-3) and $dt-value != '' " />
    <xsl:variable name="error-2a" select="$warning-2 and not($multimedia) and $time-zone != '' and count($narr-dateTimes) =        count(for $dt in $narr-dateTimes return replace(replace($dt, $regex-date-type-1, ''), $regex-date-type-2, '')       [matches(., concat('^\s*([0-9]{1,2}:{1}[0-9]{2}\s*', substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2),         '|[0-9]{1,2}:{1}[0-9]{2}:{1}[0-9]{2}\s*', substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2), ')\s*$'), 'i')]) " />
    <xsl:variable name="error-2b" select="$warning-2 and not($dt-match-1) and not($multimedia) and count($narr-dateTimes[matches(., $regex-date-type-2, 'i')]) =        count($narr-dateTimes[matches(., concat($regex-date-type-2, ' ', $narr-time-regex, '$'), 'i')]) " />
    <xsl:variable name="error-2c" select="$warning-2 and exists($narr-dateTimes[matches(., concat('^', $year, '$'))]) " />
    <xsl:variable name="error-2" select="$error-2a or $error-2b or $error-2c " />
    <xsl:variable name="warning-3" select="$dt-value != '' and not(exists($narr-dateTimes)) and not($narr-match) " />
    <xsl:variable name="error-3" select="$warning-3 and not($multimedia) and not(contains($narrative, substring($year, 3, 2)))" />
    <xsl:variable name="narr-dt-msg" select="if ($multimedia or $no-content) then ''       else if (not(exists($narr-dateTimes))) then concat(' The narrative of the ', iq:location(., ''), ' contains no dateTime elements.')       else if (count($narr-dateTimes) = 1) then concat(' The only dateTime element in the narrative of the ', iq:location(., ''), ' is ''',         dh:XQueryRecursiveReplace($narr-dateTimes[1], '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), '''.')       else concat(' The distinct dateTime elements in the narrative of the ', iq:location(., ''), ' are ''',         string-join(for $dt in $narr-dateTimes return          dh:XQueryRecursiveReplace($dt, '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), ', '), '''.') " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-4" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-4 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and exists($dt-sequence-1) and $dt-value != '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and exists($dt-sequence-1) and $dt-value != ''">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 4: The dateTime element in the structured data is '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'.
		The number of dateTime elements that have been extracted from the narrative is '<xsl:text /><xsl:value-of select="count($narr-dateTimes)" /><xsl:text />'.
		These are '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-dateTimes, ', '), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The initial regular expressions are '<xsl:text /><xsl:value-of select="string-join($dt-sequence-1, ', ')" /><xsl:text />'.
		The items in dt-stem-1 are: '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($dt-stem-1, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The items in dt-sequence-2 are: '<xsl:text /><xsl:value-of select="string-join($dt-sequence-2, '|')" /><xsl:text />'.
		The items in dt-stem-2 are: '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($dt-stem-2, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The three regular expressions used to perform an exact match for narrative dateTime elements are as follows:
		dt-regex-1='<xsl:text /><xsl:value-of select="$dt-regex-1" /><xsl:text />'; dt-regex-2='<xsl:text /><xsl:value-of select="$dt-regex-2" /><xsl:text />'; and dt-regex-3='<xsl:text /><xsl:value-of select="$dt-regex-3" /><xsl:text />'.
		Was a match found after the first regular expression (with just a date) was created? <xsl:text /><xsl:value-of select="$dt-match-1" /><xsl:text />.		
		<xsl:text /><xsl:value-of select="if ($dt-regex-2 = '') then 'The second regular expression was not applied as there is no time information.'    else concat('Was a match found after the second regular expression (with a date and time) was created? ', $dt-match-2, '.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($dt-regex-3 = '') then ' The third regular expression was not applied as there is no timezone information.'    else concat(' Was a match found after the third regular expression (with a date and time) was created? ', $dt-match-3, '.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $warning-1 and not($error-1 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $warning-1 and not($error-1 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Collection DateTime 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Collection DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $error-1 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $error-1 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Collection DateTime 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. The Collection DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $error-1 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $error-1 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Collection DateTime 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. The Collection DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $warning-2 and not($error-2 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$warning-2 and not($error-2 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Collection DateTime 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Collection DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-2 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-2 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Collection DateTime 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="if ($error-2c) then concat('The narrative contains a date with the same year ''', $year, ''' but without a month or day.') else '' " /><xsl:text />
		The Collection DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.
		<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-2 and not($no-content) and not(true())">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-2 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Collection DateTime 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="if ($error-2c) then concat('The narrative contains a date with the same year ''', $year, ''' but without a month or day.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $warning-3 and not($error-3 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$warning-3 and not($error-3 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Collection DateTime 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Collection DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $dt-value != '' and not($narr-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $dt-value != '' and not($narr-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Collection DateTime 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $dt-value != '' and not($narr-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $dt-value != '' and not($narr-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Collection DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Collection DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-3 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-3 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Collection DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Collection DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-3 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-3 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Collection DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Collection DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M705" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M705" />
  <xsl:template match="@*|node()" priority="-2" mode="M705">
    <xsl:apply-templates select="@*|*" mode="M705" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-DateTime-5-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.1', '102.16156.132.1.1', '102.16156.136.2.1', '102.16156.132.1.1')]]/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.11014']]/cda:value " priority="1000" mode="M706">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.1', '102.16156.132.1.1', '102.16156.136.2.1', '102.16156.132.1.1')]]/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.11014']]/cda:value " />
    <xsl:variable name="allow-ivl-ts" select="if (not(@xsi:type)) then false() else /cda:ClinicalDocument       [cda:templateId[(@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')  or         (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or         (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) ]]   and        local-name(.) = 'value'             and        ..[local-name(.) = 'observation' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]   and       ../..[local-name(.) = 'entryRelationship' and @typeCode='SUBJ']        and       ../../..[local-name(.) = 'observation' and cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]  and       ../../../..[local-name(.) = 'entry']            and       ../../../../..[local-name(.) = 'section' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]  " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-18" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-18 else $rating-alt-TC-Types-18 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-18: The Test Specimen - Date and Time of Receipt '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data
		type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime',            'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime', 'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: The Test Specimen - Date and Time of Receipt

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type but it does not meet the requirement to have the xsi:type attribute with the value 'TS'.
		(See section 8.6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the Test Specimen - Date and Time of Receipt '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was
		found. This may be corrected by using an xsi:type attribute with the value 'TS'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the Test Specimen - Date and Time of Receipt '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		This may be corrected by using an xsi:type attribute with the value 'TS'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the Test Specimen - Date and Time of Receipt '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7
		'TS' data type to have a value attribute if there is no nullFlavor
		attribute. (See section 7.8.13.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange')

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the Test Specimen - Date and Time of Receipt '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7 'TS' data type to have a value attribute if there is no nullFlavor
		attribute. The element has a '<xsl:text /><xsl:value-of select="local-name(*[local-name(.) = ('low', 'high')])" /><xsl:text />' child element with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		which is not one of the elements used for the HL7 'TS'
		data type. (See section 7.8.13 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen - Date and Time of Receipt
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		is present. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen - Date and Time of Receipt
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' was found. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen - Date and Time of Receipt
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen - Date and Time of Receipt
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@value) and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@value) and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to the Structured Content Specification the Test Specimen - Date and Time of Receipt
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (uncoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include
		nullFlavor 'UNC'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M706" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M706" />
  <xsl:template match="@*|node()" priority="-2" mode="M706">
    <xsl:apply-templates select="@*|*" mode="M706" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-DateTime-6-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.1', '102.16156.132.1.1', '102.16156.136.2.1', '102.16156.132.1.1')]]/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.11014']]/cda:value    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))] " priority="1000" mode="M707">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.1', '102.16156.132.1.1', '102.16156.136.2.1', '102.16156.132.1.1')]]/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.11014']]/cda:value    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="fir-narrative" select="translate(normalize-space(lower-case(string($fir-narr-node))), $chars-to-remove, '')" />
    <xsl:variable name="sec-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)        then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]        else () " />
    <xsl:variable name="sec-narr-node" select="$sec-section/cda:text " />
    <xsl:variable name="narr-text-el" select="(for $text in ($fir-narr-node//text(), $sec-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="sec-narrative" select="translate(normalize-space(lower-case(string($sec-narr-node))), $chars-to-remove, '') " />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="narrative" select="concat($target-title, $fir-narrative, $sec-narrative)" />
    <xsl:variable name="narr-elements" select="$fir-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ]  |             $sec-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ] " />
    <xsl:variable name="narr-lower-case" select="for $i in (1 to count($narr-elements)) return lower-case(normalize-space(string-join($narr-elements[$i]/text(), '')))  " />
    <xsl:variable name="dt-narr-elements" select="$narr-lower-case[matches(., $regex-date-type-1, 'i') or matches(., $regex-date-type-2, 'i') or matches(., $regex-date-type-3, 'i')] " />
    <xsl:variable name="narr-elements-start" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-before($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-before($dt-narr-elements[$i], ' -'))        else $dt-narr-elements[$i])[. != ''] " />
    <xsl:variable name="narr-elements-end" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-after($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-after($dt-narr-elements[$i], ' -'))        else '')[. != ''] " />
    <xsl:variable name="narr-dateTimes" select="distinct-values(($narr-elements-start , $narr-elements-end))[. != '(ongoing)'] " />
    <xsl:variable name="dt-value" select="if (@value) then @value else '' " />
    <xsl:variable name="no-time-zone" select="if (contains($dt-value, '+')) then substring-before($dt-value, '+')       else if (contains($dt-value, '-')) then substring-before($dt-value, '-')       else $dt-value " />
    <xsl:variable name="dateTime-length" select="string-length($no-time-zone) " />
    <xsl:variable name="year" select="if ($dateTime-length &gt; 3) then substring($no-time-zone,1,4) else '' " />
    <xsl:variable name="month-num" select="if ($dateTime-length &gt; 5) then substring($no-time-zone,5,2) else '' " />
    <xsl:variable name="day" select="if ($dateTime-length &gt; 7 and substring($no-time-zone,7,1) = '0') then substring($no-time-zone,8,1)       else if ($dateTime-length &gt; 7 and substring($no-time-zone,7,1) != '0') then substring($no-time-zone,7,2) else '' " />
    <xsl:variable name="hour-long" select="if ($dateTime-length &gt; 9) then substring($no-time-zone,9,2) else '' " />
    <xsl:variable name="hour-short" select="if (substring($hour-long, 1, 1) = '0') then substring($hour-long, 2, 1) else '' " />
    <xsl:variable name="minute" select="if ($dateTime-length &gt; 11) then substring($no-time-zone,11,2) else '' " />
    <xsl:variable name="second" select="if ($dateTime-length &gt; 13) then substring($no-time-zone,13,2) else '' " />
    <xsl:variable name="time-zone" select="if (contains($dt-value, '+')) then concat('\+', substring-after($dt-value, '+'))       else if (contains($dt-value, '-')) then concat('\-', substring-after($dt-value, '-'))       else '' " />
    <xsl:variable name="month-short" select="if ($month-num = '01') then 'jan'  else             if ($month-num = '02') then 'feb'  else             if ($month-num = '03') then 'mar'  else             if ($month-num = '04') then 'apr'  else             if ($month-num = '05') then 'may'  else             if ($month-num = '06') then 'jun'  else             if ($month-num = '07') then 'jul'  else             if ($month-num = '08') then 'aug'  else             if ($month-num = '09') then 'sep'  else             if ($month-num = '10') then 'oct'  else             if ($month-num = '11') then 'nov'  else             if ($month-num = '12') then 'dec'  else '' " />
    <xsl:variable name="month-long" select="if ($month-num = '01') then 'january'  else             if ($month-num = '02') then 'february'  else             if ($month-num = '03') then 'march'  else             if ($month-num = '04') then 'april'  else             if ($month-num = '05') then 'may'  else             if ($month-num = '06') then 'june'  else             if ($month-num = '07') then 'july'  else             if ($month-num = '08') then 'august'  else             if ($month-num = '09') then 'september'  else             if ($month-num = '10') then 'october'  else             if ($month-num = '11') then 'november'  else             if ($month-num = '12') then 'december'  else '' " />
    <xsl:variable name="date-type-3-day" select="if (string-length($day) = 1) then concat('0{0,1}', $day) else $day " />
    <xsl:variable name="date-type-3-month" select="if (string-length($month-num) = 1) then concat('0{0,1}', $month-num)        else if (substring($month-num, 1, 1) = '0') then concat('0{0,1}', substring($month-num, 2, 1))         else $month-num " />
    <xsl:variable name="dt-sequence-1" select="if ($dateTime-length = 4) then (         concat('^', $dt-value)         ,          concat('^', $year)         )        else if ($dateTime-length = 6) then (         concat('^', $dt-value)         ,         concat('^', $month-short, $date-sep, $year)      ,          concat('^', $month-long, $date-sep, $year)      )        else if ($dateTime-length &gt; 7) then (         concat('^', $dt-value)         ,         concat('^', $date-type-3-day, $date-sep, $month-short, $date-sep, $year)  ,         concat('^', $date-type-3-day, $date-sep, $month-long, $date-sep, $year)   ,         concat('^', $date-type-3-day, '/', $date-type-3-month, '/', $year)   )        else () " />
    <xsl:variable name="matching-seq-1" select="if (exists($dt-sequence-1))        then index-of(for $i in (1 to count($dt-sequence-1)) return exists($narr-dateTimes[matches(., $dt-sequence-1[$i], 'i')]), true())        else () " />
    <xsl:variable name="dt-stem-1" select="for $i in (1 to count($matching-seq-1)) return $dt-sequence-1[$matching-seq-1[$i]] " />
    <xsl:variable name="dt-regex-1" select="if (exists($dt-stem-1)) then concat('(', string-join($dt-stem-1, '$)|('), '$)') else ()" />
    <xsl:variable name="dt-match-1" select="exists($dt-stem-1) and exists($narr-dateTimes[matches(., $dt-regex-1, 'i')])" />
    <xsl:variable name="time-1" select="if ($dateTime-length &gt; 11 and $hour-short != '') then concat($hour-short, ':', $minute, '( *| *am)') else '' " />
    <xsl:variable name="time-2" select="if ($dateTime-length &gt; 13 and $hour-short != '') then concat($hour-short, ':', $minute, ':', $second, '( *| *am)') else '' " />
    <xsl:variable name="time-3" select="if ($dateTime-length &gt; 11 and number($hour-long) &lt; 12) then concat($hour-long, ':', $minute, '( *| *am)')       else if ($dateTime-length &gt; 11) then concat($hour-long, ':', $minute) else '' " />
    <xsl:variable name="time-4" select="if ($dateTime-length &gt; 13 and number($hour-long) &lt; 12) then concat($hour-long, ':', $minute, ':', $second, '( *| *am)')        else if ($dateTime-length &gt; 13) then concat($hour-long, ':', $minute, ':', $second) else '' " />
    <xsl:variable name="time-5" select="if ($dateTime-length &gt; 11 and number($hour-long) &gt; 12) then concat(string(number($hour-long) - 12), ':', $minute, '( *| *pm)') else '' " />
    <xsl:variable name="time-6" select="if ($dateTime-length &gt; 13 and number($hour-long) &gt; 12) then concat(string(number($hour-long) - 12), ':', $minute, ':', $second, '( *| *pm)') else '' " />
    <xsl:variable name="dt-temp-0" select="if (exists($dt-stem-1) and $dateTime-length = 8) then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $narr-time-regex) else () " />
    <xsl:variable name="dt-temp-1" select="if (exists($dt-stem-1) and $time-1 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-1) else () " />
    <xsl:variable name="dt-temp-2" select="if (exists($dt-stem-1) and $time-2 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-2) else () " />
    <xsl:variable name="dt-temp-3" select="if (exists($dt-stem-1) and $time-3 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-3) else () " />
    <xsl:variable name="dt-temp-4" select="if (exists($dt-stem-1) and $time-4 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-4) else () " />
    <xsl:variable name="dt-temp-5" select="if (exists($dt-stem-1) and $time-5 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-5) else () " />
    <xsl:variable name="dt-temp-6" select="if (exists($dt-stem-1) and $time-6 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-6) else () " />
    <xsl:variable name="dt-sequence-2" select="($dt-temp-0, $dt-temp-1, $dt-temp-2, $dt-temp-3, $dt-temp-4, $dt-temp-5, $dt-temp-6)" />
    <xsl:variable name="matching-seq-2" select="if (exists($dt-sequence-2))        then index-of(for $i in (1 to count($dt-sequence-2)) return exists($narr-dateTimes[matches(., $dt-sequence-2[$i], 'i')]), true())        else () " />
    <xsl:variable name="dt-stem-2" select="for $i in (1 to count($matching-seq-2)) return $dt-sequence-2[$matching-seq-2[$i]] " />
    <xsl:variable name="dt-regex-2" select="if (exists($dt-stem-2)) then concat('(', string-join($dt-stem-2, '$)|('), '$)') else '' " />
    <xsl:variable name="dt-match-2" select="(exists($dt-stem-2) and exists($narr-dateTimes[matches(., $dt-regex-2, 'i')])) " />
    <xsl:variable name="dt-sequence-3" select="if (not($dt-match-2) and exists($dt-stem-2) and $time-zone != '') then for $i in (1 to count($dt-stem-2)) return        concat($dt-stem-2[$i], substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2)) else () " />
    <xsl:variable name="dt-regex-3" select="if ($dt-match-2) then '' else if (exists($dt-sequence-3)) then concat('(', string-join($dt-sequence-3, '$)|('), '$)') else '' " />
    <xsl:variable name="dt-match-3" select="($dt-match-2 or (exists($dt-sequence-3) and exists($narr-dateTimes[matches(., $dt-regex-3, 'i')]))) " />
    <xsl:variable name="narr-match" select="if ($dt-value != '' and not(exists($narr-dateTimes))) then      (       contains($narrative, $dt-value)               or       (string-length($dt-value) = 4 and contains($narrative, $year))            or        (string-length($dt-value) = 6 and contains($narrative, concat($month-short, $year)))          or       (string-length($dt-value) &gt; 7 and starts-with($day, '0') and        (contains($narrative, concat(substring($day,2,1), $month-short, $year)) or         contains($narrative, concat(substring($day,2,1), $month-num, $year))))          or       (string-length($dt-value) &gt; 7 and (contains($narrative, concat($day, $month-short, $year)) or contains($narrative, concat($day, $month-num, $year))))        )       else false() " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($fir-narr-node//cda:renderMultiMedia) or exists($sec-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($fir-narr-node//cda:linkHtml) or exists($sec-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="warning-1" select="exists($dt-sequence-1) and exists($narr-dateTimes) and $dt-match-1 and not($dt-match-3) and $dt-value != '' " />
    <xsl:variable name="error-1" select="$warning-1 and not($multimedia) " />
    <xsl:variable name="warning-2" select="exists($dt-sequence-1) and exists($narr-dateTimes) and not($dt-match-1 or $dt-match-3) and $dt-value != '' " />
    <xsl:variable name="error-2a" select="$warning-2 and not($multimedia) and $time-zone != '' and count($narr-dateTimes) =        count(for $dt in $narr-dateTimes return replace(replace($dt, $regex-date-type-1, ''), $regex-date-type-2, '')       [matches(., concat('^\s*([0-9]{1,2}:{1}[0-9]{2}\s*', substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2),         '|[0-9]{1,2}:{1}[0-9]{2}:{1}[0-9]{2}\s*', substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2), ')\s*$'), 'i')]) " />
    <xsl:variable name="error-2b" select="$warning-2 and not($dt-match-1) and not($multimedia) and count($narr-dateTimes[matches(., $regex-date-type-2, 'i')]) =        count($narr-dateTimes[matches(., concat($regex-date-type-2, ' ', $narr-time-regex, '$'), 'i')]) " />
    <xsl:variable name="error-2c" select="$warning-2 and exists($narr-dateTimes[matches(., concat('^', $year, '$'))]) " />
    <xsl:variable name="error-2" select="$error-2a or $error-2b or $error-2c " />
    <xsl:variable name="warning-3" select="$dt-value != '' and not(exists($narr-dateTimes)) and not($narr-match) " />
    <xsl:variable name="error-3" select="$warning-3 and not($multimedia) and not(contains($narrative, substring($year, 3, 2)))" />
    <xsl:variable name="narr-dt-msg" select="if ($multimedia or $no-content) then ''       else if (not(exists($narr-dateTimes))) then concat(' The narrative of the ', iq:location(., ''), ' contains no dateTime elements.')       else if (count($narr-dateTimes) = 1) then concat(' The only dateTime element in the narrative of the ', iq:location(., ''), ' is ''',         dh:XQueryRecursiveReplace($narr-dateTimes[1], '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), '''.')       else concat(' The distinct dateTime elements in the narrative of the ', iq:location(., ''), ' are ''',         string-join(for $dt in $narr-dateTimes return          dh:XQueryRecursiveReplace($dt, '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), ', '), '''.') " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-4" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-4 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and exists($dt-sequence-1) and $dt-value != '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and exists($dt-sequence-1) and $dt-value != ''">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 4: The dateTime element in the structured data is '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'.
		The number of dateTime elements that have been extracted from the narrative is '<xsl:text /><xsl:value-of select="count($narr-dateTimes)" /><xsl:text />'.
		These are '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-dateTimes, ', '), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The initial regular expressions are '<xsl:text /><xsl:value-of select="string-join($dt-sequence-1, ', ')" /><xsl:text />'.
		The items in dt-stem-1 are: '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($dt-stem-1, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The items in dt-sequence-2 are: '<xsl:text /><xsl:value-of select="string-join($dt-sequence-2, '|')" /><xsl:text />'.
		The items in dt-stem-2 are: '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($dt-stem-2, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The three regular expressions used to perform an exact match for narrative dateTime elements are as follows:
		dt-regex-1='<xsl:text /><xsl:value-of select="$dt-regex-1" /><xsl:text />'; dt-regex-2='<xsl:text /><xsl:value-of select="$dt-regex-2" /><xsl:text />'; and dt-regex-3='<xsl:text /><xsl:value-of select="$dt-regex-3" /><xsl:text />'.
		Was a match found after the first regular expression (with just a date) was created? <xsl:text /><xsl:value-of select="$dt-match-1" /><xsl:text />.		
		<xsl:text /><xsl:value-of select="if ($dt-regex-2 = '') then 'The second regular expression was not applied as there is no time information.'    else concat('Was a match found after the second regular expression (with a date and time) was created? ', $dt-match-2, '.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($dt-regex-3 = '') then ' The third regular expression was not applied as there is no timezone information.'    else concat(' Was a match found after the third regular expression (with a date and time) was created? ', $dt-match-3, '.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $warning-1 and not($error-1 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $warning-1 and not($error-1 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Test Specimen - Date and Time of Receipt 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Test Specimen - Date and Time of Receipt data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $error-1 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $error-1 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Test Specimen - Date and Time of Receipt 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. The Test Specimen - Date and Time of Receipt data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $error-1 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $error-1 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Test Specimen - Date and Time of Receipt 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. The Test Specimen - Date and Time of Receipt data element records clinical information and all clinical information in entry elements must be present in the narrative.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $warning-2 and not($error-2 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$warning-2 and not($error-2 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Test Specimen - Date and Time of Receipt 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Test Specimen - Date and Time of Receipt data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-2 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-2 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Test Specimen - Date and Time of Receipt 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="if ($error-2c) then concat('The narrative contains a date with the same year ''', $year, ''' but without a month or day.') else '' " /><xsl:text />
		The Test Specimen - Date and Time of Receipt data element records clinical information and all clinical information in entry elements must be present in the narrative.
		<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-2 and not($no-content) and not(true())">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-2 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Test Specimen - Date and Time of Receipt 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="if ($error-2c) then concat('The narrative contains a date with the same year ''', $year, ''' but without a month or day.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $warning-3 and not($error-3 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$warning-3 and not($error-3 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Test Specimen - Date and Time of Receipt 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Test Specimen - Date and Time of Receipt data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $dt-value != '' and not($narr-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $dt-value != '' and not($narr-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Test Specimen - Date and Time of Receipt 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $dt-value != '' and not($narr-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $dt-value != '' and not($narr-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Test Specimen - Date and Time of Receipt '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Test Specimen - Date and Time of Receipt data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-3 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-3 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Test Specimen - Date and Time of Receipt '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Test Specimen - Date and Time of Receipt data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-3 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-3 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Test Specimen - Date and Time of Receipt '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Test Specimen - Date and Time of Receipt '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M707" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M707" />
  <xsl:template match="@*|node()" priority="-2" mode="M707">
    <xsl:apply-templates select="@*|*" mode="M707" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-DateTime-7-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')]]/   cda:effectiveTime " priority="1000" mode="M708">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')]]/   cda:effectiveTime " />
    <xsl:variable name="allow-ivl-ts" select="if (not(@xsi:type)) then false() else /cda:ClinicalDocument       [cda:templateId[(@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')  or         (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or         (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) ]]   and        local-name(.) = 'value'             and        ..[local-name(.) = 'observation' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]   and       ../..[local-name(.) = 'entryRelationship' and @typeCode='SUBJ']        and       ../../..[local-name(.) = 'observation' and cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]  and       ../../../..[local-name(.) = 'entry']            and       ../../../../..[local-name(.) = 'section' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]  " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-18" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-18 else $rating-alt-TC-Types-18 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-18: The Test Result - Specimen Detail Date and Time of Collection '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data
		type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime',            'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime', 'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: The Test Result - Specimen Detail Date and Time of Collection

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type but it does not meet the requirement to have the xsi:type attribute with the value 'TS'.
		(See section 8.6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the Test Result - Specimen Detail Date and Time of Collection '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was
		found. This may be corrected by using an xsi:type attribute with the value 'TS'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the Test Result - Specimen Detail Date and Time of Collection '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		This may be corrected by using an xsi:type attribute with the value 'TS'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the Test Result - Specimen Detail Date and Time of Collection '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7
		'TS' data type to have a value attribute if there is no nullFlavor
		attribute. (See section 7.8.13.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange')

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the Test Result - Specimen Detail Date and Time of Collection '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7 'TS' data type to have a value attribute if there is no nullFlavor
		attribute. The element has a '<xsl:text /><xsl:value-of select="local-name(*[local-name(.) = ('low', 'high')])" /><xsl:text />' child element with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		which is not one of the elements used for the HL7 'TS'
		data type. (See section 7.8.13 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result - Specimen Detail Date and Time of Collection
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		is present. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result - Specimen Detail Date and Time of Collection
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' was found. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result - Specimen Detail Date and Time of Collection
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result - Specimen Detail Date and Time of Collection
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@value) and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@value) and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to the Structured Content Specification the Test Result - Specimen Detail Date and Time of Collection
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (uncoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include
		nullFlavor 'UNC'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M708" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M708" />
  <xsl:template match="@*|node()" priority="-2" mode="M708">
    <xsl:apply-templates select="@*|*" mode="M708" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-DateTime-8-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')]]/   cda:effectiveTime[not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))] " priority="1000" mode="M709">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')]]/   cda:effectiveTime[not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="fir-narrative" select="translate(normalize-space(lower-case(string($fir-narr-node))), $chars-to-remove, '')" />
    <xsl:variable name="sec-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)        then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]        else () " />
    <xsl:variable name="sec-narr-node" select="$sec-section/cda:text " />
    <xsl:variable name="narr-text-el" select="(for $text in ($fir-narr-node//text(), $sec-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="sec-narrative" select="translate(normalize-space(lower-case(string($sec-narr-node))), $chars-to-remove, '') " />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="narrative" select="concat($target-title, $fir-narrative, $sec-narrative)" />
    <xsl:variable name="narr-elements" select="$fir-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ]  |             $sec-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ] " />
    <xsl:variable name="narr-lower-case" select="for $i in (1 to count($narr-elements)) return lower-case(normalize-space(string-join($narr-elements[$i]/text(), '')))  " />
    <xsl:variable name="dt-narr-elements" select="$narr-lower-case[matches(., $regex-date-type-1, 'i') or matches(., $regex-date-type-2, 'i') or matches(., $regex-date-type-3, 'i')] " />
    <xsl:variable name="narr-elements-start" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-before($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-before($dt-narr-elements[$i], ' -'))        else $dt-narr-elements[$i])[. != ''] " />
    <xsl:variable name="narr-elements-end" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-after($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-after($dt-narr-elements[$i], ' -'))        else '')[. != ''] " />
    <xsl:variable name="narr-dateTimes" select="distinct-values(($narr-elements-start , $narr-elements-end))[. != '(ongoing)'] " />
    <xsl:variable name="dt-value" select="if (@value) then @value else '' " />
    <xsl:variable name="no-time-zone" select="if (contains($dt-value, '+')) then substring-before($dt-value, '+')       else if (contains($dt-value, '-')) then substring-before($dt-value, '-')       else $dt-value " />
    <xsl:variable name="dateTime-length" select="string-length($no-time-zone) " />
    <xsl:variable name="year" select="if ($dateTime-length &gt; 3) then substring($no-time-zone,1,4) else '' " />
    <xsl:variable name="month-num" select="if ($dateTime-length &gt; 5) then substring($no-time-zone,5,2) else '' " />
    <xsl:variable name="day" select="if ($dateTime-length &gt; 7 and substring($no-time-zone,7,1) = '0') then substring($no-time-zone,8,1)       else if ($dateTime-length &gt; 7 and substring($no-time-zone,7,1) != '0') then substring($no-time-zone,7,2) else '' " />
    <xsl:variable name="hour-long" select="if ($dateTime-length &gt; 9) then substring($no-time-zone,9,2) else '' " />
    <xsl:variable name="hour-short" select="if (substring($hour-long, 1, 1) = '0') then substring($hour-long, 2, 1) else '' " />
    <xsl:variable name="minute" select="if ($dateTime-length &gt; 11) then substring($no-time-zone,11,2) else '' " />
    <xsl:variable name="second" select="if ($dateTime-length &gt; 13) then substring($no-time-zone,13,2) else '' " />
    <xsl:variable name="time-zone" select="if (contains($dt-value, '+')) then concat('\+', substring-after($dt-value, '+'))       else if (contains($dt-value, '-')) then concat('\-', substring-after($dt-value, '-'))       else '' " />
    <xsl:variable name="month-short" select="if ($month-num = '01') then 'jan'  else             if ($month-num = '02') then 'feb'  else             if ($month-num = '03') then 'mar'  else             if ($month-num = '04') then 'apr'  else             if ($month-num = '05') then 'may'  else             if ($month-num = '06') then 'jun'  else             if ($month-num = '07') then 'jul'  else             if ($month-num = '08') then 'aug'  else             if ($month-num = '09') then 'sep'  else             if ($month-num = '10') then 'oct'  else             if ($month-num = '11') then 'nov'  else             if ($month-num = '12') then 'dec'  else '' " />
    <xsl:variable name="month-long" select="if ($month-num = '01') then 'january'  else             if ($month-num = '02') then 'february'  else             if ($month-num = '03') then 'march'  else             if ($month-num = '04') then 'april'  else             if ($month-num = '05') then 'may'  else             if ($month-num = '06') then 'june'  else             if ($month-num = '07') then 'july'  else             if ($month-num = '08') then 'august'  else             if ($month-num = '09') then 'september'  else             if ($month-num = '10') then 'october'  else             if ($month-num = '11') then 'november'  else             if ($month-num = '12') then 'december'  else '' " />
    <xsl:variable name="date-type-3-day" select="if (string-length($day) = 1) then concat('0{0,1}', $day) else $day " />
    <xsl:variable name="date-type-3-month" select="if (string-length($month-num) = 1) then concat('0{0,1}', $month-num)        else if (substring($month-num, 1, 1) = '0') then concat('0{0,1}', substring($month-num, 2, 1))         else $month-num " />
    <xsl:variable name="dt-sequence-1" select="if ($dateTime-length = 4) then (         concat('^', $dt-value)         ,          concat('^', $year)         )        else if ($dateTime-length = 6) then (         concat('^', $dt-value)         ,         concat('^', $month-short, $date-sep, $year)      ,          concat('^', $month-long, $date-sep, $year)      )        else if ($dateTime-length &gt; 7) then (         concat('^', $dt-value)         ,         concat('^', $date-type-3-day, $date-sep, $month-short, $date-sep, $year)  ,         concat('^', $date-type-3-day, $date-sep, $month-long, $date-sep, $year)   ,         concat('^', $date-type-3-day, '/', $date-type-3-month, '/', $year)   )        else () " />
    <xsl:variable name="matching-seq-1" select="if (exists($dt-sequence-1))        then index-of(for $i in (1 to count($dt-sequence-1)) return exists($narr-dateTimes[matches(., $dt-sequence-1[$i], 'i')]), true())        else () " />
    <xsl:variable name="dt-stem-1" select="for $i in (1 to count($matching-seq-1)) return $dt-sequence-1[$matching-seq-1[$i]] " />
    <xsl:variable name="dt-regex-1" select="if (exists($dt-stem-1)) then concat('(', string-join($dt-stem-1, '$)|('), '$)') else ()" />
    <xsl:variable name="dt-match-1" select="exists($dt-stem-1) and exists($narr-dateTimes[matches(., $dt-regex-1, 'i')])" />
    <xsl:variable name="time-1" select="if ($dateTime-length &gt; 11 and $hour-short != '') then concat($hour-short, ':', $minute, '( *| *am)') else '' " />
    <xsl:variable name="time-2" select="if ($dateTime-length &gt; 13 and $hour-short != '') then concat($hour-short, ':', $minute, ':', $second, '( *| *am)') else '' " />
    <xsl:variable name="time-3" select="if ($dateTime-length &gt; 11 and number($hour-long) &lt; 12) then concat($hour-long, ':', $minute, '( *| *am)')       else if ($dateTime-length &gt; 11) then concat($hour-long, ':', $minute) else '' " />
    <xsl:variable name="time-4" select="if ($dateTime-length &gt; 13 and number($hour-long) &lt; 12) then concat($hour-long, ':', $minute, ':', $second, '( *| *am)')        else if ($dateTime-length &gt; 13) then concat($hour-long, ':', $minute, ':', $second) else '' " />
    <xsl:variable name="time-5" select="if ($dateTime-length &gt; 11 and number($hour-long) &gt; 12) then concat(string(number($hour-long) - 12), ':', $minute, '( *| *pm)') else '' " />
    <xsl:variable name="time-6" select="if ($dateTime-length &gt; 13 and number($hour-long) &gt; 12) then concat(string(number($hour-long) - 12), ':', $minute, ':', $second, '( *| *pm)') else '' " />
    <xsl:variable name="dt-temp-0" select="if (exists($dt-stem-1) and $dateTime-length = 8) then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $narr-time-regex) else () " />
    <xsl:variable name="dt-temp-1" select="if (exists($dt-stem-1) and $time-1 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-1) else () " />
    <xsl:variable name="dt-temp-2" select="if (exists($dt-stem-1) and $time-2 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-2) else () " />
    <xsl:variable name="dt-temp-3" select="if (exists($dt-stem-1) and $time-3 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-3) else () " />
    <xsl:variable name="dt-temp-4" select="if (exists($dt-stem-1) and $time-4 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-4) else () " />
    <xsl:variable name="dt-temp-5" select="if (exists($dt-stem-1) and $time-5 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-5) else () " />
    <xsl:variable name="dt-temp-6" select="if (exists($dt-stem-1) and $time-6 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-6) else () " />
    <xsl:variable name="dt-sequence-2" select="($dt-temp-0, $dt-temp-1, $dt-temp-2, $dt-temp-3, $dt-temp-4, $dt-temp-5, $dt-temp-6)" />
    <xsl:variable name="matching-seq-2" select="if (exists($dt-sequence-2))        then index-of(for $i in (1 to count($dt-sequence-2)) return exists($narr-dateTimes[matches(., $dt-sequence-2[$i], 'i')]), true())        else () " />
    <xsl:variable name="dt-stem-2" select="for $i in (1 to count($matching-seq-2)) return $dt-sequence-2[$matching-seq-2[$i]] " />
    <xsl:variable name="dt-regex-2" select="if (exists($dt-stem-2)) then concat('(', string-join($dt-stem-2, '$)|('), '$)') else '' " />
    <xsl:variable name="dt-match-2" select="(exists($dt-stem-2) and exists($narr-dateTimes[matches(., $dt-regex-2, 'i')])) " />
    <xsl:variable name="dt-sequence-3" select="if (not($dt-match-2) and exists($dt-stem-2) and $time-zone != '') then for $i in (1 to count($dt-stem-2)) return        concat($dt-stem-2[$i], substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2)) else () " />
    <xsl:variable name="dt-regex-3" select="if ($dt-match-2) then '' else if (exists($dt-sequence-3)) then concat('(', string-join($dt-sequence-3, '$)|('), '$)') else '' " />
    <xsl:variable name="dt-match-3" select="($dt-match-2 or (exists($dt-sequence-3) and exists($narr-dateTimes[matches(., $dt-regex-3, 'i')]))) " />
    <xsl:variable name="narr-match" select="if ($dt-value != '' and not(exists($narr-dateTimes))) then      (       contains($narrative, $dt-value)               or       (string-length($dt-value) = 4 and contains($narrative, $year))            or        (string-length($dt-value) = 6 and contains($narrative, concat($month-short, $year)))          or       (string-length($dt-value) &gt; 7 and starts-with($day, '0') and        (contains($narrative, concat(substring($day,2,1), $month-short, $year)) or         contains($narrative, concat(substring($day,2,1), $month-num, $year))))          or       (string-length($dt-value) &gt; 7 and (contains($narrative, concat($day, $month-short, $year)) or contains($narrative, concat($day, $month-num, $year))))        )       else false() " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($fir-narr-node//cda:renderMultiMedia) or exists($sec-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($fir-narr-node//cda:linkHtml) or exists($sec-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="warning-1" select="exists($dt-sequence-1) and exists($narr-dateTimes) and $dt-match-1 and not($dt-match-3) and $dt-value != '' " />
    <xsl:variable name="error-1" select="$warning-1 and not($multimedia) " />
    <xsl:variable name="warning-2" select="exists($dt-sequence-1) and exists($narr-dateTimes) and not($dt-match-1 or $dt-match-3) and $dt-value != '' " />
    <xsl:variable name="error-2a" select="$warning-2 and not($multimedia) and $time-zone != '' and count($narr-dateTimes) =        count(for $dt in $narr-dateTimes return replace(replace($dt, $regex-date-type-1, ''), $regex-date-type-2, '')       [matches(., concat('^\s*([0-9]{1,2}:{1}[0-9]{2}\s*', substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2),         '|[0-9]{1,2}:{1}[0-9]{2}:{1}[0-9]{2}\s*', substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2), ')\s*$'), 'i')]) " />
    <xsl:variable name="error-2b" select="$warning-2 and not($dt-match-1) and not($multimedia) and count($narr-dateTimes[matches(., $regex-date-type-2, 'i')]) =        count($narr-dateTimes[matches(., concat($regex-date-type-2, ' ', $narr-time-regex, '$'), 'i')]) " />
    <xsl:variable name="error-2c" select="$warning-2 and exists($narr-dateTimes[matches(., concat('^', $year, '$'))]) " />
    <xsl:variable name="error-2" select="$error-2a or $error-2b or $error-2c " />
    <xsl:variable name="warning-3" select="$dt-value != '' and not(exists($narr-dateTimes)) and not($narr-match) " />
    <xsl:variable name="error-3" select="$warning-3 and not($multimedia) and not(contains($narrative, substring($year, 3, 2)))" />
    <xsl:variable name="narr-dt-msg" select="if ($multimedia or $no-content) then ''       else if (not(exists($narr-dateTimes))) then concat(' The narrative of the ', iq:location(., ''), ' contains no dateTime elements.')       else if (count($narr-dateTimes) = 1) then concat(' The only dateTime element in the narrative of the ', iq:location(., ''), ' is ''',         dh:XQueryRecursiveReplace($narr-dateTimes[1], '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), '''.')       else concat(' The distinct dateTime elements in the narrative of the ', iq:location(., ''), ' are ''',         string-join(for $dt in $narr-dateTimes return          dh:XQueryRecursiveReplace($dt, '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), ', '), '''.') " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-4" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-4 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and exists($dt-sequence-1) and $dt-value != '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and exists($dt-sequence-1) and $dt-value != ''">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 4: The dateTime element in the structured data is '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'.
		The number of dateTime elements that have been extracted from the narrative is '<xsl:text /><xsl:value-of select="count($narr-dateTimes)" /><xsl:text />'.
		These are '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-dateTimes, ', '), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The initial regular expressions are '<xsl:text /><xsl:value-of select="string-join($dt-sequence-1, ', ')" /><xsl:text />'.
		The items in dt-stem-1 are: '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($dt-stem-1, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The items in dt-sequence-2 are: '<xsl:text /><xsl:value-of select="string-join($dt-sequence-2, '|')" /><xsl:text />'.
		The items in dt-stem-2 are: '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($dt-stem-2, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The three regular expressions used to perform an exact match for narrative dateTime elements are as follows:
		dt-regex-1='<xsl:text /><xsl:value-of select="$dt-regex-1" /><xsl:text />'; dt-regex-2='<xsl:text /><xsl:value-of select="$dt-regex-2" /><xsl:text />'; and dt-regex-3='<xsl:text /><xsl:value-of select="$dt-regex-3" /><xsl:text />'.
		Was a match found after the first regular expression (with just a date) was created? <xsl:text /><xsl:value-of select="$dt-match-1" /><xsl:text />.		
		<xsl:text /><xsl:value-of select="if ($dt-regex-2 = '') then 'The second regular expression was not applied as there is no time information.'    else concat('Was a match found after the second regular expression (with a date and time) was created? ', $dt-match-2, '.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($dt-regex-3 = '') then ' The third regular expression was not applied as there is no timezone information.'    else concat(' Was a match found after the third regular expression (with a date and time) was created? ', $dt-match-3, '.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $warning-1 and not($error-1 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $warning-1 and not($error-1 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Test Result - Specimen Detail Date and Time of Collection 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Test Result - Specimen Detail Date and Time of Collection data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $error-1 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $error-1 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Test Result - Specimen Detail Date and Time of Collection 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. The Test Result - Specimen Detail Date and Time of Collection data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $error-1 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $error-1 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Test Result - Specimen Detail Date and Time of Collection 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. The Test Result - Specimen Detail Date and Time of Collection data element records clinical information and all clinical information in entry elements must be present in the narrative.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $warning-2 and not($error-2 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$warning-2 and not($error-2 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Test Result - Specimen Detail Date and Time of Collection 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Test Result - Specimen Detail Date and Time of Collection data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-2 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-2 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Test Result - Specimen Detail Date and Time of Collection 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="if ($error-2c) then concat('The narrative contains a date with the same year ''', $year, ''' but without a month or day.') else '' " /><xsl:text />
		The Test Result - Specimen Detail Date and Time of Collection data element records clinical information and all clinical information in entry elements must be present in the narrative.
		<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-2 and not($no-content) and not(true())">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-2 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Test Result - Specimen Detail Date and Time of Collection 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="if ($error-2c) then concat('The narrative contains a date with the same year ''', $year, ''' but without a month or day.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $warning-3 and not($error-3 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$warning-3 and not($error-3 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Test Result - Specimen Detail Date and Time of Collection 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Test Result - Specimen Detail Date and Time of Collection data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $dt-value != '' and not($narr-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $dt-value != '' and not($narr-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Test Result - Specimen Detail Date and Time of Collection 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $dt-value != '' and not($narr-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $dt-value != '' and not($narr-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Test Result - Specimen Detail Date and Time of Collection '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Test Result - Specimen Detail Date and Time of Collection data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-3 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-3 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Test Result - Specimen Detail Date and Time of Collection '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Test Result - Specimen Detail Date and Time of Collection data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-3 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-3 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Test Result - Specimen Detail Date and Time of Collection '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Test Result - Specimen Detail Date and Time of Collection '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M709" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M709" />
  <xsl:template match="@*|node()" priority="-2" mode="M709">
    <xsl:apply-templates select="@*|*" mode="M709" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-DateTime-9-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')]]/   cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.11014']]/cda:value " priority="1000" mode="M710">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')]]/   cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.11014']]/cda:value " />
    <xsl:variable name="allow-ivl-ts" select="if (not(@xsi:type)) then false() else /cda:ClinicalDocument       [cda:templateId[(@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')  or         (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or         (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) ]]   and        local-name(.) = 'value'             and        ..[local-name(.) = 'observation' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]   and       ../..[local-name(.) = 'entryRelationship' and @typeCode='SUBJ']        and       ../../..[local-name(.) = 'observation' and cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]  and       ../../../..[local-name(.) = 'entry']            and       ../../../../..[local-name(.) = 'section' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]  " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-18" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-18 else $rating-alt-TC-Types-18 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-18: The Test Result - Specimen Detail Date and Time of Receipt '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data
		type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime',            'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime', 'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: The Test Result - Specimen Detail Date and Time of Receipt

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type but it does not meet the requirement to have the xsi:type attribute with the value 'TS'.
		(See section 8.6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the Test Result - Specimen Detail Date and Time of Receipt '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was
		found. This may be corrected by using an xsi:type attribute with the value 'TS'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the Test Result - Specimen Detail Date and Time of Receipt '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		This may be corrected by using an xsi:type attribute with the value 'TS'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the Test Result - Specimen Detail Date and Time of Receipt '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7
		'TS' data type to have a value attribute if there is no nullFlavor
		attribute. (See section 7.8.13.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange')

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the Test Result - Specimen Detail Date and Time of Receipt '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7 'TS' data type to have a value attribute if there is no nullFlavor
		attribute. The element has a '<xsl:text /><xsl:value-of select="local-name(*[local-name(.) = ('low', 'high')])" /><xsl:text />' child element with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		which is not one of the elements used for the HL7 'TS'
		data type. (See section 7.8.13 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result - Specimen Detail Date and Time of Receipt
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		is present. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result - Specimen Detail Date and Time of Receipt
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' was found. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result - Specimen Detail Date and Time of Receipt
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result - Specimen Detail Date and Time of Receipt
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@value) and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@value) and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to the Structured Content Specification the Test Result - Specimen Detail Date and Time of Receipt
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (uncoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include
		nullFlavor 'UNC'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M710" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M710" />
  <xsl:template match="@*|node()" priority="-2" mode="M710">
    <xsl:apply-templates select="@*|*" mode="M710" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-DateTime-10-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')]]/   cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.11014']]/cda:value    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))] " priority="1000" mode="M711">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')]]/   cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.11014']]/cda:value    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="fir-narrative" select="translate(normalize-space(lower-case(string($fir-narr-node))), $chars-to-remove, '')" />
    <xsl:variable name="sec-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)        then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]        else () " />
    <xsl:variable name="sec-narr-node" select="$sec-section/cda:text " />
    <xsl:variable name="narr-text-el" select="(for $text in ($fir-narr-node//text(), $sec-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="sec-narrative" select="translate(normalize-space(lower-case(string($sec-narr-node))), $chars-to-remove, '') " />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="narrative" select="concat($target-title, $fir-narrative, $sec-narrative)" />
    <xsl:variable name="narr-elements" select="$fir-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ]  |             $sec-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ] " />
    <xsl:variable name="narr-lower-case" select="for $i in (1 to count($narr-elements)) return lower-case(normalize-space(string-join($narr-elements[$i]/text(), '')))  " />
    <xsl:variable name="dt-narr-elements" select="$narr-lower-case[matches(., $regex-date-type-1, 'i') or matches(., $regex-date-type-2, 'i') or matches(., $regex-date-type-3, 'i')] " />
    <xsl:variable name="narr-elements-start" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-before($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-before($dt-narr-elements[$i], ' -'))        else $dt-narr-elements[$i])[. != ''] " />
    <xsl:variable name="narr-elements-end" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-after($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-after($dt-narr-elements[$i], ' -'))        else '')[. != ''] " />
    <xsl:variable name="narr-dateTimes" select="distinct-values(($narr-elements-start , $narr-elements-end))[. != '(ongoing)'] " />
    <xsl:variable name="dt-value" select="if (@value) then @value else '' " />
    <xsl:variable name="no-time-zone" select="if (contains($dt-value, '+')) then substring-before($dt-value, '+')       else if (contains($dt-value, '-')) then substring-before($dt-value, '-')       else $dt-value " />
    <xsl:variable name="dateTime-length" select="string-length($no-time-zone) " />
    <xsl:variable name="year" select="if ($dateTime-length &gt; 3) then substring($no-time-zone,1,4) else '' " />
    <xsl:variable name="month-num" select="if ($dateTime-length &gt; 5) then substring($no-time-zone,5,2) else '' " />
    <xsl:variable name="day" select="if ($dateTime-length &gt; 7 and substring($no-time-zone,7,1) = '0') then substring($no-time-zone,8,1)       else if ($dateTime-length &gt; 7 and substring($no-time-zone,7,1) != '0') then substring($no-time-zone,7,2) else '' " />
    <xsl:variable name="hour-long" select="if ($dateTime-length &gt; 9) then substring($no-time-zone,9,2) else '' " />
    <xsl:variable name="hour-short" select="if (substring($hour-long, 1, 1) = '0') then substring($hour-long, 2, 1) else '' " />
    <xsl:variable name="minute" select="if ($dateTime-length &gt; 11) then substring($no-time-zone,11,2) else '' " />
    <xsl:variable name="second" select="if ($dateTime-length &gt; 13) then substring($no-time-zone,13,2) else '' " />
    <xsl:variable name="time-zone" select="if (contains($dt-value, '+')) then concat('\+', substring-after($dt-value, '+'))       else if (contains($dt-value, '-')) then concat('\-', substring-after($dt-value, '-'))       else '' " />
    <xsl:variable name="month-short" select="if ($month-num = '01') then 'jan'  else             if ($month-num = '02') then 'feb'  else             if ($month-num = '03') then 'mar'  else             if ($month-num = '04') then 'apr'  else             if ($month-num = '05') then 'may'  else             if ($month-num = '06') then 'jun'  else             if ($month-num = '07') then 'jul'  else             if ($month-num = '08') then 'aug'  else             if ($month-num = '09') then 'sep'  else             if ($month-num = '10') then 'oct'  else             if ($month-num = '11') then 'nov'  else             if ($month-num = '12') then 'dec'  else '' " />
    <xsl:variable name="month-long" select="if ($month-num = '01') then 'january'  else             if ($month-num = '02') then 'february'  else             if ($month-num = '03') then 'march'  else             if ($month-num = '04') then 'april'  else             if ($month-num = '05') then 'may'  else             if ($month-num = '06') then 'june'  else             if ($month-num = '07') then 'july'  else             if ($month-num = '08') then 'august'  else             if ($month-num = '09') then 'september'  else             if ($month-num = '10') then 'october'  else             if ($month-num = '11') then 'november'  else             if ($month-num = '12') then 'december'  else '' " />
    <xsl:variable name="date-type-3-day" select="if (string-length($day) = 1) then concat('0{0,1}', $day) else $day " />
    <xsl:variable name="date-type-3-month" select="if (string-length($month-num) = 1) then concat('0{0,1}', $month-num)        else if (substring($month-num, 1, 1) = '0') then concat('0{0,1}', substring($month-num, 2, 1))         else $month-num " />
    <xsl:variable name="dt-sequence-1" select="if ($dateTime-length = 4) then (         concat('^', $dt-value)         ,          concat('^', $year)         )        else if ($dateTime-length = 6) then (         concat('^', $dt-value)         ,         concat('^', $month-short, $date-sep, $year)      ,          concat('^', $month-long, $date-sep, $year)      )        else if ($dateTime-length &gt; 7) then (         concat('^', $dt-value)         ,         concat('^', $date-type-3-day, $date-sep, $month-short, $date-sep, $year)  ,         concat('^', $date-type-3-day, $date-sep, $month-long, $date-sep, $year)   ,         concat('^', $date-type-3-day, '/', $date-type-3-month, '/', $year)   )        else () " />
    <xsl:variable name="matching-seq-1" select="if (exists($dt-sequence-1))        then index-of(for $i in (1 to count($dt-sequence-1)) return exists($narr-dateTimes[matches(., $dt-sequence-1[$i], 'i')]), true())        else () " />
    <xsl:variable name="dt-stem-1" select="for $i in (1 to count($matching-seq-1)) return $dt-sequence-1[$matching-seq-1[$i]] " />
    <xsl:variable name="dt-regex-1" select="if (exists($dt-stem-1)) then concat('(', string-join($dt-stem-1, '$)|('), '$)') else ()" />
    <xsl:variable name="dt-match-1" select="exists($dt-stem-1) and exists($narr-dateTimes[matches(., $dt-regex-1, 'i')])" />
    <xsl:variable name="time-1" select="if ($dateTime-length &gt; 11 and $hour-short != '') then concat($hour-short, ':', $minute, '( *| *am)') else '' " />
    <xsl:variable name="time-2" select="if ($dateTime-length &gt; 13 and $hour-short != '') then concat($hour-short, ':', $minute, ':', $second, '( *| *am)') else '' " />
    <xsl:variable name="time-3" select="if ($dateTime-length &gt; 11 and number($hour-long) &lt; 12) then concat($hour-long, ':', $minute, '( *| *am)')       else if ($dateTime-length &gt; 11) then concat($hour-long, ':', $minute) else '' " />
    <xsl:variable name="time-4" select="if ($dateTime-length &gt; 13 and number($hour-long) &lt; 12) then concat($hour-long, ':', $minute, ':', $second, '( *| *am)')        else if ($dateTime-length &gt; 13) then concat($hour-long, ':', $minute, ':', $second) else '' " />
    <xsl:variable name="time-5" select="if ($dateTime-length &gt; 11 and number($hour-long) &gt; 12) then concat(string(number($hour-long) - 12), ':', $minute, '( *| *pm)') else '' " />
    <xsl:variable name="time-6" select="if ($dateTime-length &gt; 13 and number($hour-long) &gt; 12) then concat(string(number($hour-long) - 12), ':', $minute, ':', $second, '( *| *pm)') else '' " />
    <xsl:variable name="dt-temp-0" select="if (exists($dt-stem-1) and $dateTime-length = 8) then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $narr-time-regex) else () " />
    <xsl:variable name="dt-temp-1" select="if (exists($dt-stem-1) and $time-1 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-1) else () " />
    <xsl:variable name="dt-temp-2" select="if (exists($dt-stem-1) and $time-2 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-2) else () " />
    <xsl:variable name="dt-temp-3" select="if (exists($dt-stem-1) and $time-3 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-3) else () " />
    <xsl:variable name="dt-temp-4" select="if (exists($dt-stem-1) and $time-4 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-4) else () " />
    <xsl:variable name="dt-temp-5" select="if (exists($dt-stem-1) and $time-5 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-5) else () " />
    <xsl:variable name="dt-temp-6" select="if (exists($dt-stem-1) and $time-6 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-6) else () " />
    <xsl:variable name="dt-sequence-2" select="($dt-temp-0, $dt-temp-1, $dt-temp-2, $dt-temp-3, $dt-temp-4, $dt-temp-5, $dt-temp-6)" />
    <xsl:variable name="matching-seq-2" select="if (exists($dt-sequence-2))        then index-of(for $i in (1 to count($dt-sequence-2)) return exists($narr-dateTimes[matches(., $dt-sequence-2[$i], 'i')]), true())        else () " />
    <xsl:variable name="dt-stem-2" select="for $i in (1 to count($matching-seq-2)) return $dt-sequence-2[$matching-seq-2[$i]] " />
    <xsl:variable name="dt-regex-2" select="if (exists($dt-stem-2)) then concat('(', string-join($dt-stem-2, '$)|('), '$)') else '' " />
    <xsl:variable name="dt-match-2" select="(exists($dt-stem-2) and exists($narr-dateTimes[matches(., $dt-regex-2, 'i')])) " />
    <xsl:variable name="dt-sequence-3" select="if (not($dt-match-2) and exists($dt-stem-2) and $time-zone != '') then for $i in (1 to count($dt-stem-2)) return        concat($dt-stem-2[$i], substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2)) else () " />
    <xsl:variable name="dt-regex-3" select="if ($dt-match-2) then '' else if (exists($dt-sequence-3)) then concat('(', string-join($dt-sequence-3, '$)|('), '$)') else '' " />
    <xsl:variable name="dt-match-3" select="($dt-match-2 or (exists($dt-sequence-3) and exists($narr-dateTimes[matches(., $dt-regex-3, 'i')]))) " />
    <xsl:variable name="narr-match" select="if ($dt-value != '' and not(exists($narr-dateTimes))) then      (       contains($narrative, $dt-value)               or       (string-length($dt-value) = 4 and contains($narrative, $year))            or        (string-length($dt-value) = 6 and contains($narrative, concat($month-short, $year)))          or       (string-length($dt-value) &gt; 7 and starts-with($day, '0') and        (contains($narrative, concat(substring($day,2,1), $month-short, $year)) or         contains($narrative, concat(substring($day,2,1), $month-num, $year))))          or       (string-length($dt-value) &gt; 7 and (contains($narrative, concat($day, $month-short, $year)) or contains($narrative, concat($day, $month-num, $year))))        )       else false() " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($fir-narr-node//cda:renderMultiMedia) or exists($sec-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($fir-narr-node//cda:linkHtml) or exists($sec-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="warning-1" select="exists($dt-sequence-1) and exists($narr-dateTimes) and $dt-match-1 and not($dt-match-3) and $dt-value != '' " />
    <xsl:variable name="error-1" select="$warning-1 and not($multimedia) " />
    <xsl:variable name="warning-2" select="exists($dt-sequence-1) and exists($narr-dateTimes) and not($dt-match-1 or $dt-match-3) and $dt-value != '' " />
    <xsl:variable name="error-2a" select="$warning-2 and not($multimedia) and $time-zone != '' and count($narr-dateTimes) =        count(for $dt in $narr-dateTimes return replace(replace($dt, $regex-date-type-1, ''), $regex-date-type-2, '')       [matches(., concat('^\s*([0-9]{1,2}:{1}[0-9]{2}\s*', substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2),         '|[0-9]{1,2}:{1}[0-9]{2}:{1}[0-9]{2}\s*', substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2), ')\s*$'), 'i')]) " />
    <xsl:variable name="error-2b" select="$warning-2 and not($dt-match-1) and not($multimedia) and count($narr-dateTimes[matches(., $regex-date-type-2, 'i')]) =        count($narr-dateTimes[matches(., concat($regex-date-type-2, ' ', $narr-time-regex, '$'), 'i')]) " />
    <xsl:variable name="error-2c" select="$warning-2 and exists($narr-dateTimes[matches(., concat('^', $year, '$'))]) " />
    <xsl:variable name="error-2" select="$error-2a or $error-2b or $error-2c " />
    <xsl:variable name="warning-3" select="$dt-value != '' and not(exists($narr-dateTimes)) and not($narr-match) " />
    <xsl:variable name="error-3" select="$warning-3 and not($multimedia) and not(contains($narrative, substring($year, 3, 2)))" />
    <xsl:variable name="narr-dt-msg" select="if ($multimedia or $no-content) then ''       else if (not(exists($narr-dateTimes))) then concat(' The narrative of the ', iq:location(., ''), ' contains no dateTime elements.')       else if (count($narr-dateTimes) = 1) then concat(' The only dateTime element in the narrative of the ', iq:location(., ''), ' is ''',         dh:XQueryRecursiveReplace($narr-dateTimes[1], '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), '''.')       else concat(' The distinct dateTime elements in the narrative of the ', iq:location(., ''), ' are ''',         string-join(for $dt in $narr-dateTimes return          dh:XQueryRecursiveReplace($dt, '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), ', '), '''.') " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-4" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-4 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and exists($dt-sequence-1) and $dt-value != '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and exists($dt-sequence-1) and $dt-value != ''">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 4: The dateTime element in the structured data is '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'.
		The number of dateTime elements that have been extracted from the narrative is '<xsl:text /><xsl:value-of select="count($narr-dateTimes)" /><xsl:text />'.
		These are '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-dateTimes, ', '), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The initial regular expressions are '<xsl:text /><xsl:value-of select="string-join($dt-sequence-1, ', ')" /><xsl:text />'.
		The items in dt-stem-1 are: '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($dt-stem-1, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The items in dt-sequence-2 are: '<xsl:text /><xsl:value-of select="string-join($dt-sequence-2, '|')" /><xsl:text />'.
		The items in dt-stem-2 are: '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($dt-stem-2, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The three regular expressions used to perform an exact match for narrative dateTime elements are as follows:
		dt-regex-1='<xsl:text /><xsl:value-of select="$dt-regex-1" /><xsl:text />'; dt-regex-2='<xsl:text /><xsl:value-of select="$dt-regex-2" /><xsl:text />'; and dt-regex-3='<xsl:text /><xsl:value-of select="$dt-regex-3" /><xsl:text />'.
		Was a match found after the first regular expression (with just a date) was created? <xsl:text /><xsl:value-of select="$dt-match-1" /><xsl:text />.		
		<xsl:text /><xsl:value-of select="if ($dt-regex-2 = '') then 'The second regular expression was not applied as there is no time information.'    else concat('Was a match found after the second regular expression (with a date and time) was created? ', $dt-match-2, '.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($dt-regex-3 = '') then ' The third regular expression was not applied as there is no timezone information.'    else concat(' Was a match found after the third regular expression (with a date and time) was created? ', $dt-match-3, '.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $warning-1 and not($error-1 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $warning-1 and not($error-1 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Test Result - Specimen Detail Date and Time of Receipt 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Test Result - Specimen Detail Date and Time of Receipt data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $error-1 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $error-1 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Test Result - Specimen Detail Date and Time of Receipt 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. The Test Result - Specimen Detail Date and Time of Receipt data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $error-1 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $error-1 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Test Result - Specimen Detail Date and Time of Receipt 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. The Test Result - Specimen Detail Date and Time of Receipt data element records clinical information and all clinical information in entry elements must be present in the narrative.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $warning-2 and not($error-2 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$warning-2 and not($error-2 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Test Result - Specimen Detail Date and Time of Receipt 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Test Result - Specimen Detail Date and Time of Receipt data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-2 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-2 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Test Result - Specimen Detail Date and Time of Receipt 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="if ($error-2c) then concat('The narrative contains a date with the same year ''', $year, ''' but without a month or day.') else '' " /><xsl:text />
		The Test Result - Specimen Detail Date and Time of Receipt data element records clinical information and all clinical information in entry elements must be present in the narrative.
		<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-2 and not($no-content) and not(true())">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-2 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Test Result - Specimen Detail Date and Time of Receipt 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="if ($error-2c) then concat('The narrative contains a date with the same year ''', $year, ''' but without a month or day.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $warning-3 and not($error-3 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$warning-3 and not($error-3 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Test Result - Specimen Detail Date and Time of Receipt 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Test Result - Specimen Detail Date and Time of Receipt data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $dt-value != '' and not($narr-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $dt-value != '' and not($narr-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Test Result - Specimen Detail Date and Time of Receipt 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $dt-value != '' and not($narr-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $dt-value != '' and not($narr-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Test Result - Specimen Detail Date and Time of Receipt '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Test Result - Specimen Detail Date and Time of Receipt data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-3 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-3 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Test Result - Specimen Detail Date and Time of Receipt '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Test Result - Specimen Detail Date and Time of Receipt data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-3 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-3 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Test Result - Specimen Detail Date and Time of Receipt '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Test Result - Specimen Detail Date and Time of Receipt '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M711" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M711" />
  <xsl:template match="@*|node()" priority="-2" mode="M711">
    <xsl:apply-templates select="@*|*" mode="M711" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-DateTime-11-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections and not(cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4') or   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2') or   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3') or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2') ])]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16605']]/cda:effectiveTime " priority="1000" mode="M712">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections and not(cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4') or   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2') or   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3') or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2') ])]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16605']]/cda:effectiveTime " />
    <xsl:variable name="allow-ivl-ts" select="if (not(@xsi:type)) then false() else /cda:ClinicalDocument       [cda:templateId[(@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')  or         (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or         (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) ]]   and        local-name(.) = 'value'             and        ..[local-name(.) = 'observation' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]   and       ../..[local-name(.) = 'entryRelationship' and @typeCode='SUBJ']        and       ../../..[local-name(.) = 'observation' and cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]  and       ../../../..[local-name(.) = 'entry']            and       ../../../../..[local-name(.) = 'section' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]  " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-18" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-18 else $rating-alt-TC-Types-18 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-18: The Observation DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data
		type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime',            'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime', 'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: The Observation DateTime

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type but it does not meet the requirement to have the xsi:type attribute with the value 'TS'.
		(See section 8.6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the Observation DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was
		found. This may be corrected by using an xsi:type attribute with the value 'TS'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the Observation DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		This may be corrected by using an xsi:type attribute with the value 'TS'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the Observation DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7
		'TS' data type to have a value attribute if there is no nullFlavor
		attribute. (See section 7.8.13.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange')

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the Observation DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7 'TS' data type to have a value attribute if there is no nullFlavor
		attribute. The element has a '<xsl:text /><xsl:value-of select="local-name(*[local-name(.) = ('low', 'high')])" /><xsl:text />' child element with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		which is not one of the elements used for the HL7 'TS'
		data type. (See section 7.8.13 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Observation DateTime
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		is present. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Observation DateTime
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' was found. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Observation DateTime
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Observation DateTime
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@value) and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@value) and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to the Structured Content Specification the Observation DateTime
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (uncoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include
		nullFlavor 'UNC'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M712" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M712" />
  <xsl:template match="@*|node()" priority="-2" mode="M712">
    <xsl:apply-templates select="@*|*" mode="M712" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-DateTime-12-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections and cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4') or   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2') or   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3') or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2') ]]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16605']]/cda:effectiveTime " priority="1000" mode="M713">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections and cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4') or   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2') or   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3') or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2') ]]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16605']]/cda:effectiveTime " />
    <xsl:variable name="allow-ivl-ts" select="if (not(@xsi:type)) then false() else /cda:ClinicalDocument       [cda:templateId[(@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')  or         (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or         (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) ]]   and        local-name(.) = 'value'             and        ..[local-name(.) = 'observation' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]   and       ../..[local-name(.) = 'entryRelationship' and @typeCode='SUBJ']        and       ../../..[local-name(.) = 'observation' and cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]  and       ../../../..[local-name(.) = 'entry']            and       ../../../../..[local-name(.) = 'section' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]  " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-18" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-18 else $rating-alt-TC-Types-18 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-18: The Pathology Test Result DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data
		type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime',            'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime', 'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: The Pathology Test Result DateTime

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type but it does not meet the requirement to have the xsi:type attribute with the value 'TS'.
		(See section 8.6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the Pathology Test Result DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was
		found. This may be corrected by using an xsi:type attribute with the value 'TS'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the Pathology Test Result DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		This may be corrected by using an xsi:type attribute with the value 'TS'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the Pathology Test Result DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7
		'TS' data type to have a value attribute if there is no nullFlavor
		attribute. (See section 7.8.13.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange')

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the Pathology Test Result DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7 'TS' data type to have a value attribute if there is no nullFlavor
		attribute. The element has a '<xsl:text /><xsl:value-of select="local-name(*[local-name(.) = ('low', 'high')])" /><xsl:text />' child element with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		which is not one of the elements used for the HL7 'TS'
		data type. (See section 7.8.13 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Pathology Test Result DateTime
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		is present. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Pathology Test Result DateTime
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' was found. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Pathology Test Result DateTime
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Pathology Test Result DateTime
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@value) and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@value) and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to the Structured Content Specification the Pathology Test Result DateTime
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (uncoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include
		nullFlavor 'UNC'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M713" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M713" />
  <xsl:template match="@*|node()" priority="-2" mode="M713">
    <xsl:apply-templates select="@*|*" mode="M713" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-DateTime-13-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections and not(cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4') or   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2') or   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3') or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2') ])]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16605']]/cda:effectiveTime    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))] " priority="1000" mode="M714">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections and not(cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4') or   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2') or   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3') or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2') ])]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16605']]/cda:effectiveTime    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="fir-narrative" select="translate(normalize-space(lower-case(string($fir-narr-node))), $chars-to-remove, '')" />
    <xsl:variable name="sec-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)        then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]        else () " />
    <xsl:variable name="sec-narr-node" select="$sec-section/cda:text " />
    <xsl:variable name="narr-text-el" select="(for $text in ($fir-narr-node//text(), $sec-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="sec-narrative" select="translate(normalize-space(lower-case(string($sec-narr-node))), $chars-to-remove, '') " />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="narrative" select="concat($target-title, $fir-narrative, $sec-narrative)" />
    <xsl:variable name="narr-elements" select="$fir-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ]  |             $sec-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ] " />
    <xsl:variable name="narr-lower-case" select="for $i in (1 to count($narr-elements)) return lower-case(normalize-space(string-join($narr-elements[$i]/text(), '')))  " />
    <xsl:variable name="dt-narr-elements" select="$narr-lower-case[matches(., $regex-date-type-1, 'i') or matches(., $regex-date-type-2, 'i') or matches(., $regex-date-type-3, 'i')] " />
    <xsl:variable name="narr-elements-start" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-before($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-before($dt-narr-elements[$i], ' -'))        else $dt-narr-elements[$i])[. != ''] " />
    <xsl:variable name="narr-elements-end" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-after($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-after($dt-narr-elements[$i], ' -'))        else '')[. != ''] " />
    <xsl:variable name="narr-dateTimes" select="distinct-values(($narr-elements-start , $narr-elements-end))[. != '(ongoing)'] " />
    <xsl:variable name="dt-value" select="if (@value) then @value else '' " />
    <xsl:variable name="no-time-zone" select="if (contains($dt-value, '+')) then substring-before($dt-value, '+')       else if (contains($dt-value, '-')) then substring-before($dt-value, '-')       else $dt-value " />
    <xsl:variable name="dateTime-length" select="string-length($no-time-zone) " />
    <xsl:variable name="year" select="if ($dateTime-length &gt; 3) then substring($no-time-zone,1,4) else '' " />
    <xsl:variable name="month-num" select="if ($dateTime-length &gt; 5) then substring($no-time-zone,5,2) else '' " />
    <xsl:variable name="day" select="if ($dateTime-length &gt; 7 and substring($no-time-zone,7,1) = '0') then substring($no-time-zone,8,1)       else if ($dateTime-length &gt; 7 and substring($no-time-zone,7,1) != '0') then substring($no-time-zone,7,2) else '' " />
    <xsl:variable name="hour-long" select="if ($dateTime-length &gt; 9) then substring($no-time-zone,9,2) else '' " />
    <xsl:variable name="hour-short" select="if (substring($hour-long, 1, 1) = '0') then substring($hour-long, 2, 1) else '' " />
    <xsl:variable name="minute" select="if ($dateTime-length &gt; 11) then substring($no-time-zone,11,2) else '' " />
    <xsl:variable name="second" select="if ($dateTime-length &gt; 13) then substring($no-time-zone,13,2) else '' " />
    <xsl:variable name="time-zone" select="if (contains($dt-value, '+')) then concat('\+', substring-after($dt-value, '+'))       else if (contains($dt-value, '-')) then concat('\-', substring-after($dt-value, '-'))       else '' " />
    <xsl:variable name="month-short" select="if ($month-num = '01') then 'jan'  else             if ($month-num = '02') then 'feb'  else             if ($month-num = '03') then 'mar'  else             if ($month-num = '04') then 'apr'  else             if ($month-num = '05') then 'may'  else             if ($month-num = '06') then 'jun'  else             if ($month-num = '07') then 'jul'  else             if ($month-num = '08') then 'aug'  else             if ($month-num = '09') then 'sep'  else             if ($month-num = '10') then 'oct'  else             if ($month-num = '11') then 'nov'  else             if ($month-num = '12') then 'dec'  else '' " />
    <xsl:variable name="month-long" select="if ($month-num = '01') then 'january'  else             if ($month-num = '02') then 'february'  else             if ($month-num = '03') then 'march'  else             if ($month-num = '04') then 'april'  else             if ($month-num = '05') then 'may'  else             if ($month-num = '06') then 'june'  else             if ($month-num = '07') then 'july'  else             if ($month-num = '08') then 'august'  else             if ($month-num = '09') then 'september'  else             if ($month-num = '10') then 'october'  else             if ($month-num = '11') then 'november'  else             if ($month-num = '12') then 'december'  else '' " />
    <xsl:variable name="date-type-3-day" select="if (string-length($day) = 1) then concat('0{0,1}', $day) else $day " />
    <xsl:variable name="date-type-3-month" select="if (string-length($month-num) = 1) then concat('0{0,1}', $month-num)        else if (substring($month-num, 1, 1) = '0') then concat('0{0,1}', substring($month-num, 2, 1))         else $month-num " />
    <xsl:variable name="dt-sequence-1" select="if ($dateTime-length = 4) then (         concat('^', $dt-value)         ,          concat('^', $year)         )        else if ($dateTime-length = 6) then (         concat('^', $dt-value)         ,         concat('^', $month-short, $date-sep, $year)      ,          concat('^', $month-long, $date-sep, $year)      )        else if ($dateTime-length &gt; 7) then (         concat('^', $dt-value)         ,         concat('^', $date-type-3-day, $date-sep, $month-short, $date-sep, $year)  ,         concat('^', $date-type-3-day, $date-sep, $month-long, $date-sep, $year)   ,         concat('^', $date-type-3-day, '/', $date-type-3-month, '/', $year)   )        else () " />
    <xsl:variable name="matching-seq-1" select="if (exists($dt-sequence-1))        then index-of(for $i in (1 to count($dt-sequence-1)) return exists($narr-dateTimes[matches(., $dt-sequence-1[$i], 'i')]), true())        else () " />
    <xsl:variable name="dt-stem-1" select="for $i in (1 to count($matching-seq-1)) return $dt-sequence-1[$matching-seq-1[$i]] " />
    <xsl:variable name="dt-regex-1" select="if (exists($dt-stem-1)) then concat('(', string-join($dt-stem-1, '$)|('), '$)') else ()" />
    <xsl:variable name="dt-match-1" select="exists($dt-stem-1) and exists($narr-dateTimes[matches(., $dt-regex-1, 'i')])" />
    <xsl:variable name="time-1" select="if ($dateTime-length &gt; 11 and $hour-short != '') then concat($hour-short, ':', $minute, '( *| *am)') else '' " />
    <xsl:variable name="time-2" select="if ($dateTime-length &gt; 13 and $hour-short != '') then concat($hour-short, ':', $minute, ':', $second, '( *| *am)') else '' " />
    <xsl:variable name="time-3" select="if ($dateTime-length &gt; 11 and number($hour-long) &lt; 12) then concat($hour-long, ':', $minute, '( *| *am)')       else if ($dateTime-length &gt; 11) then concat($hour-long, ':', $minute) else '' " />
    <xsl:variable name="time-4" select="if ($dateTime-length &gt; 13 and number($hour-long) &lt; 12) then concat($hour-long, ':', $minute, ':', $second, '( *| *am)')        else if ($dateTime-length &gt; 13) then concat($hour-long, ':', $minute, ':', $second) else '' " />
    <xsl:variable name="time-5" select="if ($dateTime-length &gt; 11 and number($hour-long) &gt; 12) then concat(string(number($hour-long) - 12), ':', $minute, '( *| *pm)') else '' " />
    <xsl:variable name="time-6" select="if ($dateTime-length &gt; 13 and number($hour-long) &gt; 12) then concat(string(number($hour-long) - 12), ':', $minute, ':', $second, '( *| *pm)') else '' " />
    <xsl:variable name="dt-temp-0" select="if (exists($dt-stem-1) and $dateTime-length = 8) then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $narr-time-regex) else () " />
    <xsl:variable name="dt-temp-1" select="if (exists($dt-stem-1) and $time-1 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-1) else () " />
    <xsl:variable name="dt-temp-2" select="if (exists($dt-stem-1) and $time-2 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-2) else () " />
    <xsl:variable name="dt-temp-3" select="if (exists($dt-stem-1) and $time-3 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-3) else () " />
    <xsl:variable name="dt-temp-4" select="if (exists($dt-stem-1) and $time-4 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-4) else () " />
    <xsl:variable name="dt-temp-5" select="if (exists($dt-stem-1) and $time-5 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-5) else () " />
    <xsl:variable name="dt-temp-6" select="if (exists($dt-stem-1) and $time-6 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-6) else () " />
    <xsl:variable name="dt-sequence-2" select="($dt-temp-0, $dt-temp-1, $dt-temp-2, $dt-temp-3, $dt-temp-4, $dt-temp-5, $dt-temp-6)" />
    <xsl:variable name="matching-seq-2" select="if (exists($dt-sequence-2))        then index-of(for $i in (1 to count($dt-sequence-2)) return exists($narr-dateTimes[matches(., $dt-sequence-2[$i], 'i')]), true())        else () " />
    <xsl:variable name="dt-stem-2" select="for $i in (1 to count($matching-seq-2)) return $dt-sequence-2[$matching-seq-2[$i]] " />
    <xsl:variable name="dt-regex-2" select="if (exists($dt-stem-2)) then concat('(', string-join($dt-stem-2, '$)|('), '$)') else '' " />
    <xsl:variable name="dt-match-2" select="(exists($dt-stem-2) and exists($narr-dateTimes[matches(., $dt-regex-2, 'i')])) " />
    <xsl:variable name="dt-sequence-3" select="if (not($dt-match-2) and exists($dt-stem-2) and $time-zone != '') then for $i in (1 to count($dt-stem-2)) return        concat($dt-stem-2[$i], substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2)) else () " />
    <xsl:variable name="dt-regex-3" select="if ($dt-match-2) then '' else if (exists($dt-sequence-3)) then concat('(', string-join($dt-sequence-3, '$)|('), '$)') else '' " />
    <xsl:variable name="dt-match-3" select="($dt-match-2 or (exists($dt-sequence-3) and exists($narr-dateTimes[matches(., $dt-regex-3, 'i')]))) " />
    <xsl:variable name="narr-match" select="if ($dt-value != '' and not(exists($narr-dateTimes))) then      (       contains($narrative, $dt-value)               or       (string-length($dt-value) = 4 and contains($narrative, $year))            or        (string-length($dt-value) = 6 and contains($narrative, concat($month-short, $year)))          or       (string-length($dt-value) &gt; 7 and starts-with($day, '0') and        (contains($narrative, concat(substring($day,2,1), $month-short, $year)) or         contains($narrative, concat(substring($day,2,1), $month-num, $year))))          or       (string-length($dt-value) &gt; 7 and (contains($narrative, concat($day, $month-short, $year)) or contains($narrative, concat($day, $month-num, $year))))        )       else false() " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($fir-narr-node//cda:renderMultiMedia) or exists($sec-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($fir-narr-node//cda:linkHtml) or exists($sec-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="warning-1" select="exists($dt-sequence-1) and exists($narr-dateTimes) and $dt-match-1 and not($dt-match-3) and $dt-value != '' " />
    <xsl:variable name="error-1" select="$warning-1 and not($multimedia) " />
    <xsl:variable name="warning-2" select="exists($dt-sequence-1) and exists($narr-dateTimes) and not($dt-match-1 or $dt-match-3) and $dt-value != '' " />
    <xsl:variable name="error-2a" select="$warning-2 and not($multimedia) and $time-zone != '' and count($narr-dateTimes) =        count(for $dt in $narr-dateTimes return replace(replace($dt, $regex-date-type-1, ''), $regex-date-type-2, '')       [matches(., concat('^\s*([0-9]{1,2}:{1}[0-9]{2}\s*', substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2),         '|[0-9]{1,2}:{1}[0-9]{2}:{1}[0-9]{2}\s*', substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2), ')\s*$'), 'i')]) " />
    <xsl:variable name="error-2b" select="$warning-2 and not($dt-match-1) and not($multimedia) and count($narr-dateTimes[matches(., $regex-date-type-2, 'i')]) =        count($narr-dateTimes[matches(., concat($regex-date-type-2, ' ', $narr-time-regex, '$'), 'i')]) " />
    <xsl:variable name="error-2c" select="$warning-2 and exists($narr-dateTimes[matches(., concat('^', $year, '$'))]) " />
    <xsl:variable name="error-2" select="$error-2a or $error-2b or $error-2c " />
    <xsl:variable name="warning-3" select="$dt-value != '' and not(exists($narr-dateTimes)) and not($narr-match) " />
    <xsl:variable name="error-3" select="$warning-3 and not($multimedia) and not(contains($narrative, substring($year, 3, 2)))" />
    <xsl:variable name="narr-dt-msg" select="if ($multimedia or $no-content) then ''       else if (not(exists($narr-dateTimes))) then concat(' The narrative of the ', iq:location(., ''), ' contains no dateTime elements.')       else if (count($narr-dateTimes) = 1) then concat(' The only dateTime element in the narrative of the ', iq:location(., ''), ' is ''',         dh:XQueryRecursiveReplace($narr-dateTimes[1], '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), '''.')       else concat(' The distinct dateTime elements in the narrative of the ', iq:location(., ''), ' are ''',         string-join(for $dt in $narr-dateTimes return          dh:XQueryRecursiveReplace($dt, '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), ', '), '''.') " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-4" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-4 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and exists($dt-sequence-1) and $dt-value != '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and exists($dt-sequence-1) and $dt-value != ''">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 4: The dateTime element in the structured data is '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'.
		The number of dateTime elements that have been extracted from the narrative is '<xsl:text /><xsl:value-of select="count($narr-dateTimes)" /><xsl:text />'.
		These are '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-dateTimes, ', '), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The initial regular expressions are '<xsl:text /><xsl:value-of select="string-join($dt-sequence-1, ', ')" /><xsl:text />'.
		The items in dt-stem-1 are: '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($dt-stem-1, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The items in dt-sequence-2 are: '<xsl:text /><xsl:value-of select="string-join($dt-sequence-2, '|')" /><xsl:text />'.
		The items in dt-stem-2 are: '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($dt-stem-2, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The three regular expressions used to perform an exact match for narrative dateTime elements are as follows:
		dt-regex-1='<xsl:text /><xsl:value-of select="$dt-regex-1" /><xsl:text />'; dt-regex-2='<xsl:text /><xsl:value-of select="$dt-regex-2" /><xsl:text />'; and dt-regex-3='<xsl:text /><xsl:value-of select="$dt-regex-3" /><xsl:text />'.
		Was a match found after the first regular expression (with just a date) was created? <xsl:text /><xsl:value-of select="$dt-match-1" /><xsl:text />.		
		<xsl:text /><xsl:value-of select="if ($dt-regex-2 = '') then 'The second regular expression was not applied as there is no time information.'    else concat('Was a match found after the second regular expression (with a date and time) was created? ', $dt-match-2, '.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($dt-regex-3 = '') then ' The third regular expression was not applied as there is no timezone information.'    else concat(' Was a match found after the third regular expression (with a date and time) was created? ', $dt-match-3, '.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $warning-1 and not($error-1 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $warning-1 and not($error-1 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Observation DateTime 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Observation DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $error-1 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $error-1 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Observation DateTime 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. The Observation DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $error-1 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $error-1 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Observation DateTime 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. The Observation DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $warning-2 and not($error-2 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$warning-2 and not($error-2 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Observation DateTime 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Observation DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-2 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-2 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Observation DateTime 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="if ($error-2c) then concat('The narrative contains a date with the same year ''', $year, ''' but without a month or day.') else '' " /><xsl:text />
		The Observation DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.
		<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-2 and not($no-content) and not(true())">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-2 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Observation DateTime 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="if ($error-2c) then concat('The narrative contains a date with the same year ''', $year, ''' but without a month or day.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $warning-3 and not($error-3 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$warning-3 and not($error-3 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Observation DateTime 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Observation DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $dt-value != '' and not($narr-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $dt-value != '' and not($narr-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Observation DateTime 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $dt-value != '' and not($narr-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $dt-value != '' and not($narr-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Observation DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Observation DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-3 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-3 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Observation DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Observation DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-3 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-3 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Observation DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Observation DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M714" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M714" />
  <xsl:template match="@*|node()" priority="-2" mode="M714">
    <xsl:apply-templates select="@*|*" mode="M714" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-DateTime-14-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections and cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4') or   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2') or   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3') or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2') ]]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16605']]/cda:effectiveTime    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))] " priority="1000" mode="M715">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections and cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4') or   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2') or   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3') or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2') ]]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16605']]/cda:effectiveTime    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="fir-narrative" select="translate(normalize-space(lower-case(string($fir-narr-node))), $chars-to-remove, '')" />
    <xsl:variable name="sec-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)        then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]        else () " />
    <xsl:variable name="sec-narr-node" select="$sec-section/cda:text " />
    <xsl:variable name="narr-text-el" select="(for $text in ($fir-narr-node//text(), $sec-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="sec-narrative" select="translate(normalize-space(lower-case(string($sec-narr-node))), $chars-to-remove, '') " />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="narrative" select="concat($target-title, $fir-narrative, $sec-narrative)" />
    <xsl:variable name="narr-elements" select="$fir-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ]  |             $sec-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ] " />
    <xsl:variable name="narr-lower-case" select="for $i in (1 to count($narr-elements)) return lower-case(normalize-space(string-join($narr-elements[$i]/text(), '')))  " />
    <xsl:variable name="dt-narr-elements" select="$narr-lower-case[matches(., $regex-date-type-1, 'i') or matches(., $regex-date-type-2, 'i') or matches(., $regex-date-type-3, 'i')] " />
    <xsl:variable name="narr-elements-start" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-before($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-before($dt-narr-elements[$i], ' -'))        else $dt-narr-elements[$i])[. != ''] " />
    <xsl:variable name="narr-elements-end" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-after($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-after($dt-narr-elements[$i], ' -'))        else '')[. != ''] " />
    <xsl:variable name="narr-dateTimes" select="distinct-values(($narr-elements-start , $narr-elements-end))[. != '(ongoing)'] " />
    <xsl:variable name="dt-value" select="if (@value) then @value else '' " />
    <xsl:variable name="no-time-zone" select="if (contains($dt-value, '+')) then substring-before($dt-value, '+')       else if (contains($dt-value, '-')) then substring-before($dt-value, '-')       else $dt-value " />
    <xsl:variable name="dateTime-length" select="string-length($no-time-zone) " />
    <xsl:variable name="year" select="if ($dateTime-length &gt; 3) then substring($no-time-zone,1,4) else '' " />
    <xsl:variable name="month-num" select="if ($dateTime-length &gt; 5) then substring($no-time-zone,5,2) else '' " />
    <xsl:variable name="day" select="if ($dateTime-length &gt; 7 and substring($no-time-zone,7,1) = '0') then substring($no-time-zone,8,1)       else if ($dateTime-length &gt; 7 and substring($no-time-zone,7,1) != '0') then substring($no-time-zone,7,2) else '' " />
    <xsl:variable name="hour-long" select="if ($dateTime-length &gt; 9) then substring($no-time-zone,9,2) else '' " />
    <xsl:variable name="hour-short" select="if (substring($hour-long, 1, 1) = '0') then substring($hour-long, 2, 1) else '' " />
    <xsl:variable name="minute" select="if ($dateTime-length &gt; 11) then substring($no-time-zone,11,2) else '' " />
    <xsl:variable name="second" select="if ($dateTime-length &gt; 13) then substring($no-time-zone,13,2) else '' " />
    <xsl:variable name="time-zone" select="if (contains($dt-value, '+')) then concat('\+', substring-after($dt-value, '+'))       else if (contains($dt-value, '-')) then concat('\-', substring-after($dt-value, '-'))       else '' " />
    <xsl:variable name="month-short" select="if ($month-num = '01') then 'jan'  else             if ($month-num = '02') then 'feb'  else             if ($month-num = '03') then 'mar'  else             if ($month-num = '04') then 'apr'  else             if ($month-num = '05') then 'may'  else             if ($month-num = '06') then 'jun'  else             if ($month-num = '07') then 'jul'  else             if ($month-num = '08') then 'aug'  else             if ($month-num = '09') then 'sep'  else             if ($month-num = '10') then 'oct'  else             if ($month-num = '11') then 'nov'  else             if ($month-num = '12') then 'dec'  else '' " />
    <xsl:variable name="month-long" select="if ($month-num = '01') then 'january'  else             if ($month-num = '02') then 'february'  else             if ($month-num = '03') then 'march'  else             if ($month-num = '04') then 'april'  else             if ($month-num = '05') then 'may'  else             if ($month-num = '06') then 'june'  else             if ($month-num = '07') then 'july'  else             if ($month-num = '08') then 'august'  else             if ($month-num = '09') then 'september'  else             if ($month-num = '10') then 'october'  else             if ($month-num = '11') then 'november'  else             if ($month-num = '12') then 'december'  else '' " />
    <xsl:variable name="date-type-3-day" select="if (string-length($day) = 1) then concat('0{0,1}', $day) else $day " />
    <xsl:variable name="date-type-3-month" select="if (string-length($month-num) = 1) then concat('0{0,1}', $month-num)        else if (substring($month-num, 1, 1) = '0') then concat('0{0,1}', substring($month-num, 2, 1))         else $month-num " />
    <xsl:variable name="dt-sequence-1" select="if ($dateTime-length = 4) then (         concat('^', $dt-value)         ,          concat('^', $year)         )        else if ($dateTime-length = 6) then (         concat('^', $dt-value)         ,         concat('^', $month-short, $date-sep, $year)      ,          concat('^', $month-long, $date-sep, $year)      )        else if ($dateTime-length &gt; 7) then (         concat('^', $dt-value)         ,         concat('^', $date-type-3-day, $date-sep, $month-short, $date-sep, $year)  ,         concat('^', $date-type-3-day, $date-sep, $month-long, $date-sep, $year)   ,         concat('^', $date-type-3-day, '/', $date-type-3-month, '/', $year)   )        else () " />
    <xsl:variable name="matching-seq-1" select="if (exists($dt-sequence-1))        then index-of(for $i in (1 to count($dt-sequence-1)) return exists($narr-dateTimes[matches(., $dt-sequence-1[$i], 'i')]), true())        else () " />
    <xsl:variable name="dt-stem-1" select="for $i in (1 to count($matching-seq-1)) return $dt-sequence-1[$matching-seq-1[$i]] " />
    <xsl:variable name="dt-regex-1" select="if (exists($dt-stem-1)) then concat('(', string-join($dt-stem-1, '$)|('), '$)') else ()" />
    <xsl:variable name="dt-match-1" select="exists($dt-stem-1) and exists($narr-dateTimes[matches(., $dt-regex-1, 'i')])" />
    <xsl:variable name="time-1" select="if ($dateTime-length &gt; 11 and $hour-short != '') then concat($hour-short, ':', $minute, '( *| *am)') else '' " />
    <xsl:variable name="time-2" select="if ($dateTime-length &gt; 13 and $hour-short != '') then concat($hour-short, ':', $minute, ':', $second, '( *| *am)') else '' " />
    <xsl:variable name="time-3" select="if ($dateTime-length &gt; 11 and number($hour-long) &lt; 12) then concat($hour-long, ':', $minute, '( *| *am)')       else if ($dateTime-length &gt; 11) then concat($hour-long, ':', $minute) else '' " />
    <xsl:variable name="time-4" select="if ($dateTime-length &gt; 13 and number($hour-long) &lt; 12) then concat($hour-long, ':', $minute, ':', $second, '( *| *am)')        else if ($dateTime-length &gt; 13) then concat($hour-long, ':', $minute, ':', $second) else '' " />
    <xsl:variable name="time-5" select="if ($dateTime-length &gt; 11 and number($hour-long) &gt; 12) then concat(string(number($hour-long) - 12), ':', $minute, '( *| *pm)') else '' " />
    <xsl:variable name="time-6" select="if ($dateTime-length &gt; 13 and number($hour-long) &gt; 12) then concat(string(number($hour-long) - 12), ':', $minute, ':', $second, '( *| *pm)') else '' " />
    <xsl:variable name="dt-temp-0" select="if (exists($dt-stem-1) and $dateTime-length = 8) then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $narr-time-regex) else () " />
    <xsl:variable name="dt-temp-1" select="if (exists($dt-stem-1) and $time-1 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-1) else () " />
    <xsl:variable name="dt-temp-2" select="if (exists($dt-stem-1) and $time-2 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-2) else () " />
    <xsl:variable name="dt-temp-3" select="if (exists($dt-stem-1) and $time-3 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-3) else () " />
    <xsl:variable name="dt-temp-4" select="if (exists($dt-stem-1) and $time-4 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-4) else () " />
    <xsl:variable name="dt-temp-5" select="if (exists($dt-stem-1) and $time-5 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-5) else () " />
    <xsl:variable name="dt-temp-6" select="if (exists($dt-stem-1) and $time-6 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-6) else () " />
    <xsl:variable name="dt-sequence-2" select="($dt-temp-0, $dt-temp-1, $dt-temp-2, $dt-temp-3, $dt-temp-4, $dt-temp-5, $dt-temp-6)" />
    <xsl:variable name="matching-seq-2" select="if (exists($dt-sequence-2))        then index-of(for $i in (1 to count($dt-sequence-2)) return exists($narr-dateTimes[matches(., $dt-sequence-2[$i], 'i')]), true())        else () " />
    <xsl:variable name="dt-stem-2" select="for $i in (1 to count($matching-seq-2)) return $dt-sequence-2[$matching-seq-2[$i]] " />
    <xsl:variable name="dt-regex-2" select="if (exists($dt-stem-2)) then concat('(', string-join($dt-stem-2, '$)|('), '$)') else '' " />
    <xsl:variable name="dt-match-2" select="(exists($dt-stem-2) and exists($narr-dateTimes[matches(., $dt-regex-2, 'i')])) " />
    <xsl:variable name="dt-sequence-3" select="if (not($dt-match-2) and exists($dt-stem-2) and $time-zone != '') then for $i in (1 to count($dt-stem-2)) return        concat($dt-stem-2[$i], substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2)) else () " />
    <xsl:variable name="dt-regex-3" select="if ($dt-match-2) then '' else if (exists($dt-sequence-3)) then concat('(', string-join($dt-sequence-3, '$)|('), '$)') else '' " />
    <xsl:variable name="dt-match-3" select="($dt-match-2 or (exists($dt-sequence-3) and exists($narr-dateTimes[matches(., $dt-regex-3, 'i')]))) " />
    <xsl:variable name="narr-match" select="if ($dt-value != '' and not(exists($narr-dateTimes))) then      (       contains($narrative, $dt-value)               or       (string-length($dt-value) = 4 and contains($narrative, $year))            or        (string-length($dt-value) = 6 and contains($narrative, concat($month-short, $year)))          or       (string-length($dt-value) &gt; 7 and starts-with($day, '0') and        (contains($narrative, concat(substring($day,2,1), $month-short, $year)) or         contains($narrative, concat(substring($day,2,1), $month-num, $year))))          or       (string-length($dt-value) &gt; 7 and (contains($narrative, concat($day, $month-short, $year)) or contains($narrative, concat($day, $month-num, $year))))        )       else false() " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($fir-narr-node//cda:renderMultiMedia) or exists($sec-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($fir-narr-node//cda:linkHtml) or exists($sec-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="warning-1" select="exists($dt-sequence-1) and exists($narr-dateTimes) and $dt-match-1 and not($dt-match-3) and $dt-value != '' " />
    <xsl:variable name="error-1" select="$warning-1 and not($multimedia) " />
    <xsl:variable name="warning-2" select="exists($dt-sequence-1) and exists($narr-dateTimes) and not($dt-match-1 or $dt-match-3) and $dt-value != '' " />
    <xsl:variable name="error-2a" select="$warning-2 and not($multimedia) and $time-zone != '' and count($narr-dateTimes) =        count(for $dt in $narr-dateTimes return replace(replace($dt, $regex-date-type-1, ''), $regex-date-type-2, '')       [matches(., concat('^\s*([0-9]{1,2}:{1}[0-9]{2}\s*', substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2),         '|[0-9]{1,2}:{1}[0-9]{2}:{1}[0-9]{2}\s*', substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2), ')\s*$'), 'i')]) " />
    <xsl:variable name="error-2b" select="$warning-2 and not($dt-match-1) and not($multimedia) and count($narr-dateTimes[matches(., $regex-date-type-2, 'i')]) =        count($narr-dateTimes[matches(., concat($regex-date-type-2, ' ', $narr-time-regex, '$'), 'i')]) " />
    <xsl:variable name="error-2c" select="$warning-2 and exists($narr-dateTimes[matches(., concat('^', $year, '$'))]) " />
    <xsl:variable name="error-2" select="$error-2a or $error-2b or $error-2c " />
    <xsl:variable name="warning-3" select="$dt-value != '' and not(exists($narr-dateTimes)) and not($narr-match) " />
    <xsl:variable name="error-3" select="$warning-3 and not($multimedia) and not(contains($narrative, substring($year, 3, 2)))" />
    <xsl:variable name="narr-dt-msg" select="if ($multimedia or $no-content) then ''       else if (not(exists($narr-dateTimes))) then concat(' The narrative of the ', iq:location(., ''), ' contains no dateTime elements.')       else if (count($narr-dateTimes) = 1) then concat(' The only dateTime element in the narrative of the ', iq:location(., ''), ' is ''',         dh:XQueryRecursiveReplace($narr-dateTimes[1], '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), '''.')       else concat(' The distinct dateTime elements in the narrative of the ', iq:location(., ''), ' are ''',         string-join(for $dt in $narr-dateTimes return          dh:XQueryRecursiveReplace($dt, '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), ', '), '''.') " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-4" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-4 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and exists($dt-sequence-1) and $dt-value != '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and exists($dt-sequence-1) and $dt-value != ''">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 4: The dateTime element in the structured data is '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'.
		The number of dateTime elements that have been extracted from the narrative is '<xsl:text /><xsl:value-of select="count($narr-dateTimes)" /><xsl:text />'.
		These are '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-dateTimes, ', '), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The initial regular expressions are '<xsl:text /><xsl:value-of select="string-join($dt-sequence-1, ', ')" /><xsl:text />'.
		The items in dt-stem-1 are: '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($dt-stem-1, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The items in dt-sequence-2 are: '<xsl:text /><xsl:value-of select="string-join($dt-sequence-2, '|')" /><xsl:text />'.
		The items in dt-stem-2 are: '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($dt-stem-2, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The three regular expressions used to perform an exact match for narrative dateTime elements are as follows:
		dt-regex-1='<xsl:text /><xsl:value-of select="$dt-regex-1" /><xsl:text />'; dt-regex-2='<xsl:text /><xsl:value-of select="$dt-regex-2" /><xsl:text />'; and dt-regex-3='<xsl:text /><xsl:value-of select="$dt-regex-3" /><xsl:text />'.
		Was a match found after the first regular expression (with just a date) was created? <xsl:text /><xsl:value-of select="$dt-match-1" /><xsl:text />.		
		<xsl:text /><xsl:value-of select="if ($dt-regex-2 = '') then 'The second regular expression was not applied as there is no time information.'    else concat('Was a match found after the second regular expression (with a date and time) was created? ', $dt-match-2, '.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($dt-regex-3 = '') then ' The third regular expression was not applied as there is no timezone information.'    else concat(' Was a match found after the third regular expression (with a date and time) was created? ', $dt-match-3, '.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $warning-1 and not($error-1 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $warning-1 and not($error-1 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Pathology Test Result DateTime 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Pathology Test Result DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $error-1 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $error-1 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Pathology Test Result DateTime 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. The Pathology Test Result DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $error-1 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $error-1 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Pathology Test Result DateTime 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. The Pathology Test Result DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $warning-2 and not($error-2 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$warning-2 and not($error-2 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Pathology Test Result DateTime 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Pathology Test Result DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-2 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-2 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Pathology Test Result DateTime 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="if ($error-2c) then concat('The narrative contains a date with the same year ''', $year, ''' but without a month or day.') else '' " /><xsl:text />
		The Pathology Test Result DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.
		<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-2 and not($no-content) and not(true())">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-2 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Pathology Test Result DateTime 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="if ($error-2c) then concat('The narrative contains a date with the same year ''', $year, ''' but without a month or day.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $warning-3 and not($error-3 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$warning-3 and not($error-3 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Pathology Test Result DateTime 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Pathology Test Result DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $dt-value != '' and not($narr-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $dt-value != '' and not($narr-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Pathology Test Result DateTime 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $dt-value != '' and not($narr-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $dt-value != '' and not($narr-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Pathology Test Result DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Pathology Test Result DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-3 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-3 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Pathology Test Result DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Pathology Test Result DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-3 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-3 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Pathology Test Result DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Pathology Test Result DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M715" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M715" />
  <xsl:template match="@*|node()" priority="-2" mode="M715">
    <xsl:apply-templates select="@*|*" mode="M715" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-QuantityRange-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/   cda:entryRelationship/cda:organizer/cda:component/cda:observation/cda:referenceRange/cda:observationRange/cda:value " priority="1000" mode="M716">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/   cda:entryRelationship/cda:organizer/cda:component/cda:observation/cda:referenceRange/cda:observationRange/cda:value " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text1" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 9.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="message-text2" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See sections 8.1 and 9.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="low-unit" select="if (not(cda:low)) then ''       else if (not(@unit) or (cda:low and not(cda:low/@unit))) then 'error'       else if (@unit = cda:low/@unit) then @unit       else if (@unit = '1' and cda:low/@unit != '1') then cda:low/@unit       else @unit " />
    <xsl:variable name="high-unit" select="if (not(cda:high)) then ''       else if (not(@unit) or (cda:high and not(cda:high/@unit))) then 'error'       else if (@unit = cda:high/@unit) then @unit       else if (@unit = '1' and cda:high/@unit != '1') then cda:high/@unit       else @unit " />
    <xsl:variable name="low-inclusive" select="if (not(cda:low)) then '' else if (cda:low/@inclusive='false') then ' (excluded)' else ' (included)' " />
    <xsl:variable name="high-inclusive" select="if (not(cda:high)) then '' else if (cda:high/@inclusive='false') then ' (excluded)' else ' (included)' " />
    <xsl:variable name="display-range" select="if ($low-unit = 'error' or $high-unit = 'error') then 'error'       else if (cda:low/@value and cda:high/@value)         then concat('low value ', codepoints-to-string(34), cda:low/@value, if ($low-unit = '1') then '' else concat(' ', $low-unit), codepoints-to-string(34), $low-inclusive,         ' and high value ', codepoints-to-string(34), cda:high/@value, if ($high-unit = '1') then '' else concat(' ', $high-unit), codepoints-to-string(34), $high-inclusive)        else if (not(cda:low/@value) and cda:high/@value)         then concat('high value ', codepoints-to-string(34), cda:high/@value, if ($high-unit = '1') then '' else concat(' ', $high-unit), codepoints-to-string(34), $high-inclusive)        else if (cda:low/@value and not(cda:high/@value))         then concat('low value ', codepoints-to-string(34), cda:low/@value, if ($low-unit = '1') then '' else concat(' ', $low-unit), codepoints-to-string(34), $low-inclusive)       else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-21" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-21 else $rating-alt-TC-Types-21 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-21: The Test Result Reference Range '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the QuantityRange data type
		and <xsl:text /><xsl:value-of select="if ((cda:low/@value or cda:high/@value) and not(@display-range = 'error')) then concat('has ', $display-range)   else 'has no low or high data elements' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@nullFlavor) then concat('The nullFlavor attribute has the value ''', @nullFlavor, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to the Structured Content Specification the Test Result Reference Range
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the QuantityRange data type
		however it has nullFlavor = 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present so it is an
		error to include nullFlavor = 'UNC'. (See section 9.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'IVL_PQ' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_PQ') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'IVL_PQ' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_PQ')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-21" /><xsl:text />: TC-Types-21: According to the Structured Content Specification the Test Result Reference Range '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the QuantityRange data type which is derived from the HL7 'IVL_PQ' data type however an xsi:type attribute with the value
		'<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		(See section 9.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-21" /><xsl:text />: TC-Types-21: According to the Structured Content Specification the Test Result Reference Range '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the QuantityRange data type which is derived from the HL7 'IVL_PQ' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'IVL_PQ'.
		(See section 9.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not(@nullFlavor or cda:low or cda:high) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor or cda:low or cda:high)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-21" /><xsl:text />: TC-Types-21: According to the Structured Content Specification the Test Result Reference Range
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the QuantityRange data type however 
		it does not have a nullFlavor attribute or low or high elements. A QuantityRange may only contain a nullFlavor attribute or low or high elements with the inclusive attribute
		included in the low or high elements if there is a need to indicate that the low or high boundaries are included.
		(See section 9.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = 'low' or local-name() = 'high')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = 'low' or local-name() = 'high')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result Reference Range
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the QuantityRange data type however a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = 'low' or local-name() = 'high')])" /><xsl:text />'
		was found that is not expected for the QuantityRange data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = 'low' or local-name() = 'high')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = 'low' or local-name() = 'high')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result Reference Range
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the QuantityRange data type however a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = 'low' or local-name() = 'high')])" /><xsl:text />'
		was found that is not expected for the QuantityRange data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @width ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@width">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-21" /><xsl:text />: TC-Types-21: According to the Structured Content Specification the Test Result Reference Range '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the QuantityRange data type which is
		derived from the HL7 'IVL' data type. The 'width' attribute is present with the value '<xsl:text /><xsl:value-of select="@width" /><xsl:text />' however that attribute must not be present in
		a data element of the QuantityRange data type. (See section 9.1.5 of Data Types in 'NEHTA Specifications - A Profile of ISO 21090 Specification v1.0'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'unit' or name() = 'nullFlavor' or name() = 'unit' or name() = 'width')] and    not(@xsi:type and not(@xsi:type = 'IVL_PQ' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_PQ')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'unit' or name() = 'nullFlavor' or name() = 'unit' or name() = 'width')] and not(@xsi:type and not(@xsi:type = 'IVL_PQ' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_PQ'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result Reference Range '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the QuantityRange data type however an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'nullFlavor'   or name() = 'unit' or name() = 'width')])" /><xsl:text />' was found that is not expected for the QuantityRange data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'unit' or name() = 'nullFlavor' or name() = 'unit' or name() = 'width')] and    not(@xsi:type and not(@xsi:type = 'IVL_PQ' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_PQ')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'unit' or name() = 'nullFlavor' or name() = 'unit' or name() = 'width')] and not(@xsi:type and not(@xsi:type = 'IVL_PQ' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_PQ'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result Reference Range '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the QuantityRange data type however an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'nullFlavor'   or name() = 'unit' or name() = 'width')])" /><xsl:text />' was found that is not expected for the QuantityRange data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @operator and @operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @operator and @operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result Reference Range '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the QuantityRange data type however an attribute 'operator' with the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the
		QuantityRange data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @operator and @operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @operator and @operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result Reference Range '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the QuantityRange data type however an attribute 'operator' with the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the
		QuantityRange data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:low/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:low/*">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result Reference Range 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Quantity data type however a child element '<xsl:text /><xsl:value-of select="local-name(cda:low/*)" /><xsl:text />' was found
		that is not expected for the Quantity data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/*">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result Reference Range 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Quantity data type however a child element '<xsl:text /><xsl:value-of select="local-name(cda:low/*)" /><xsl:text />' was found
		that is not expected for the Quantity data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'unit' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'unit' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result Reference Range 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Quantity data type however an attribute '<xsl:text /><xsl:value-of select="name(cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or   name() = 'unit' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the
		Quantity data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'unit' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'unit' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result Reference Range 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Quantity data type however an attribute '<xsl:text /><xsl:value-of select="name(cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or   name() = 'unit' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the
		Quantity data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:low/@operator and cda:low/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:low/@operator and cda:low/@operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result Reference Range 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Quantity data type however an attribute 'operator'
		with the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the Quantity data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/@operator and cda:low/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/@operator and cda:low/@operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result Reference Range 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Quantity data type however an attribute 'operator'
		with the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the Quantity data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:low/cda:originalText) and cda:low/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:low/cda:originalText) and cda:low/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to the Structured Content Specification the Test Result Reference Range 'low' child element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Quantity data type
		however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present
		so it is an error to include nullFlavor 'UNC'.
		(See section 8.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:high/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:high/*">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result Reference Range 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Quantity data type however a child element '<xsl:text /><xsl:value-of select="local-name(cda:high/*)" /><xsl:text />' was found
		that is not expected for the Quantity data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/*">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result Reference Range 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Quantity data type however a child element '<xsl:text /><xsl:value-of select="local-name(cda:high/*)" /><xsl:text />' was found
		that is not expected for the Quantity data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'unit' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'unit' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result Reference Range 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Quantity data type however an attribute '<xsl:text /><xsl:value-of select="name(cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value'   or name() = 'unit' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the
		Quantity data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'unit' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'unit' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result Reference Range 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Quantity data type however an attribute '<xsl:text /><xsl:value-of select="name(cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value'   or name() = 'unit' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the
		Quantity data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:high/@operator and cda:high/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:high/@operator and cda:high/@operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result Reference Range 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Quantity data type however an attribute 'operator'
		with the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the Quantity data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/@operator and cda:high/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/@operator and cda:high/@operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result Reference Range 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Quantity data type however an attribute 'operator'
		with the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the Quantity data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to the Structured Content Specification the Test Result Reference Range 'high' child element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Quantity data type
		however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present so
		it is an error to include nullFlavor 'UNC'.
		(See section 8.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M716" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M716" />
  <xsl:template match="@*|node()" priority="-2" mode="M716">
    <xsl:apply-templates select="@*|*" mode="M716" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-QuantityRange-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/   cda:entryRelationship/cda:organizer/cda:component/cda:observation/cda:referenceRange/cda:observationRange/cda:value " priority="1000" mode="M717">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/   cda:entryRelationship/cda:organizer/cda:component/cda:observation/cda:referenceRange/cda:observationRange/cda:value " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="narr-text-el" select="(for $text in ($target-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="tables" select="$target-narr-node//cda:table " />
    <xsl:variable name="table-num" select="count($tables) " />
    <xsl:variable name="ivl-unit" select="dh:XQueryRecursiveReplace(@unit, $ucum-annotation-replacement, '') " />
    <xsl:variable name="xpre-1" select="$target-narr-node//*[contains(@styleCode, 'xPre')] " />
    <xsl:variable name="xpre-num" select="count($xpre-1) " />
    <xsl:variable name="xpre-2" select="for $i in (1 to $xpre-num) return lower-case($xpre-1[$i]) " />
    <xsl:variable name="narrative" select="normalize-space(lower-case(string-join($target-narr-node//text()        [not(ancestor::cda:table or ancestor::cda:caption or contains(@styleCode, 'xPre'))], ''))) " />
    <xsl:variable name="l-normalised-value" select="if (cda:low/@value) then replace(lower-case(cda:low/@value), '\s+', '') else '' " />
    <xsl:variable name="l-normalised-value-regex" select="if (not(contains($l-normalised-value, '.'))) then concat('(', $l-normalised-value, '|', $l-normalised-value, '\.0*)')        else if (ends-with($l-normalised-value, '0')) then replace(replace($l-normalised-value, '\.', '\\.'), '0+$', '0*')        else concat(replace($l-normalised-value, '\.', '\\.'), '0*') " />
    <xsl:variable name="l-value-regex" select="if ($l-normalised-value = '') then '' else concat('(^|[^\.0-9])', $l-normalised-value-regex, '([^\.0-9]|$)') " />
    <xsl:variable name="l-value-regex-3" select="if ($l-normalised-value = '' or not(exists($tables))) then ''         else concat('(^|[^0-9])', $l-normalised-value-regex, '([^0-9]+$|\s+.+$)') " />
    <xsl:variable name="l-table-value-match" select="if ($l-normalised-value = '' or not(exists($tables))) then () else for $i in (1 to $table-num) return         if (not($tables[$i]//cda:td[matches(., $l-value-regex, 'is')])) then '0'        else if ($tables[$i]//cda:td[matches(., $l-value-regex-3, 'is')]) then '3'        else if ($tables[$i]//cda:td[replace(lower-case(.), '\s+', '') = $l-normalised-value]) then '2'        else '1' " />
    <xsl:variable name="l-unit-1" select="if (not(cda:low)) then '' else dh:XQueryRecursiveReplace(cda:low/@unit, $ucum-annotation-replacement, '') " />
    <xsl:variable name="l-unit" select="if ($l-unit-1 = '1' and $ivl-unit != '1') then $ivl-unit else $l-unit-1 " />
    <xsl:variable name="l-normalised-unit" select="if (not(cda:low)) then '' else replace(lower-case($l-unit), '\s+', '') " />
    <xsl:variable name="l-unit-validation" select="if ($l-unit = '1' or exists($UCUM/unit[@value = $l-normalised-unit])) then '' else dh:ValidateUCUM($l-unit) " />
    <xsl:variable name="l-unit-name" select="if (exists($UCUM/unit[@value = $l-normalised-unit])) then $UCUM/unit[@value = $l-normalised-unit]/@name else ''  " />
    <xsl:variable name="l-power-synonym" select="if (contains($l-normalised-unit, '10^')) then replace($l-normalised-unit, '10\^', '10*')        else if (contains($l-normalised-unit, '10*')) then replace($l-normalised-unit, '10\*', '10^')        else '' " />
    <xsl:variable name="l-special-unit-synonym" select="if (contains($l-normalised-unit, '['))         then (normalize-space(replace($l-normalised-unit, '[\[\]]', ' ')), normalize-space(replace($l-normalised-unit, '[\[\]]', ''))) else '' " />
    <xsl:variable name="l-apostrophe-synonym" select="for $syn in $l-special-unit-synonym return if (contains($syn, '''')) then normalize-space(replace($syn, '''', ' ')) else '' " />
    <xsl:variable name="l-unit-synonyms" select="if (not(cda:low)) then () else if (exists($UCUM/unit[@value = $l-normalised-unit]))         then ($l-normalised-unit, $l-unit-name, $l-power-synonym, $l-special-unit-synonym, $l-apostrophe-synonym,         tokenize($UCUM/unit[@value = $l-normalised-unit]/@synonyms, '\|'))[. != '']        else ($l-normalised-unit, $l-unit-name, $l-power-synonym, $l-special-unit-synonym, $l-apostrophe-synonym)[. != ''] " />
    <xsl:variable name="l-search-terms-1" select="if ($l-normalised-value = '') then () else (for $synonym in $l-unit-synonyms return normalize-space(lower-case($synonym)))[. != ''] " />
    <xsl:variable name="l-search-terms-2" select="if ($l-normalised-value = '') then () else for $term in $l-search-terms-1 return         if ($term = '1') then $l-normalised-value else concat($l-normalised-value, $term) " />
    <xsl:variable name="l-search-regex-1" select="if ($l-normalised-value = '') then () else for $term in $l-search-terms-1 return          replace(replace(replace(replace(replace(replace(replace(replace(replace(replace($term, '\^', '\\^'), '\*', '\\*'), '\.', '\\.'), '\+', '\\+'),          '\)', '\\)'), '\(', '\\('), '\[', '\\['), '\]', '\\]'), '\{', '\\{'), '\}', '\\}') " />
    <xsl:variable name="l-search-regex-2" select="if ($l-normalised-value = '') then () else for $term in $l-search-regex-1 return         if (matches($term, '^10')) then concat('(', '(^|[^0-9])(', $l-normalised-value-regex, 'x{0,1}', $term, '|', 'x{0,1}', $term, ')([^0-9a-z]|$)',          ')|(', '(^|[^0-9])(', $l-normalised-value-regex, $term, '|', $term, ')([^0-9a-z]|$)', ')')         else if ($term = '1') then concat('(^|[^0-9])', $l-normalised-value-regex, '([^0-9]{1}.*$|$)')        else concat('(^|[^0-9])(', $l-normalised-value-regex, $term, '|', $term, ')([^0-9a-z]|$)') " />
    <xsl:variable name="l-quantity-match" select="if (not(exists($l-table-value-match)) or not(exists($l-table-value-match[. != '0']))) then (false())        else if ($l-unit = '1') then for $i in (1 to $table-num) return not($l-table-value-match[$i] = '0')        else for $i in (1 to $table-num) return          if ($l-table-value-match[$i] = '0') then false()         else if ($l-table-value-match[$i] = '2') then           exists(index-of(for $term in $l-search-terms-1 return boolean($tables[$i]//cda:td[replace(lower-case(.), '\s+', '') = $term]),            true()))         else exists(index-of(          for $j in (1 to count($l-search-terms-1)) return boolean($tables[$i]//cda:td[           replace(lower-case(.), '\s+', '') = $l-search-terms-1[$j]   or           replace(lower-case(.), '\s+', '') = $l-search-terms-2[$j]  or           matches(., $l-search-regex-2[$j], 'is')     ]), true())) " />
    <xsl:variable name="l-in-a-table" select="if ($l-normalised-value = '') then false() else exists(index-of($l-quantity-match, true())) " />
    <xsl:variable name="l-xpre-value-match" select="if ($l-normalised-value = '' or $l-in-a-table) then () else for $i in (1 to $xpre-num) return matches($xpre-2[$i], $l-value-regex, 'is') " />
    <xsl:variable name="l-xpre-quantity-match" select="if (not(cda:low)) then () else if ($l-unit = '1') then ($l-xpre-value-match) else for $i in (1 to $xpre-num) return         $l-xpre-value-match[$i] and exists(index-of(for $term in $l-search-regex-2 return matches($xpre-2[$i], $term, 'is'), true())) " />
    <xsl:variable name="l-in-xpre" select="if (not(cda:low)) then false() else exists(index-of($l-xpre-quantity-match, true())) " />
    <xsl:variable name="l-narr-value-match" select="if ($l-normalised-value = '' or $l-in-a-table or $l-in-xpre) then true() else matches($narrative, $l-value-regex, 'is') " />
    <xsl:variable name="l-narr-quantity-match" select="if ($l-normalised-value = '' or $l-in-a-table or $l-in-xpre) then true()        else $l-narr-value-match and exists(index-of(for $term in $l-search-regex-2 return matches($narrative, $term, 'is'), true())) " />
    <xsl:variable name="l-nullFlavor-values" select="if (cda:low/@nullFlavor and cda:low/@nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))        then $nullFlavors/nullFlavor[@value = current()/cda:low/@nullFlavor] else () " />
    <xsl:variable name="l-null-to-find" select="exists($l-nullFlavor-values) " />
    <xsl:variable name="l-null-in-narr" select="($l-nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $l-nullFlavor-values/@name-regex, 'is')])) or              ($l-nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $l-nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="h-normalised-value" select="if (cda:low/@value and not($l-narr-quantity-match)) then ''        else if (cda:low/@nullFlavor and not($l-null-in-narr)) then ''        else if (cda:high/@value) then replace(lower-case(cda:high/@value), '\s+', '')         else '' " />
    <xsl:variable name="h-normalised-value-regex" select="if (not(contains($h-normalised-value, '.'))) then concat('(', $h-normalised-value, '|', $h-normalised-value, '\.0*)')        else if (ends-with($h-normalised-value, '0')) then replace(replace($h-normalised-value, '\.', '\\.'), '0+$', '0*')        else concat(replace($h-normalised-value, '\.', '\\.'), '0*') " />
    <xsl:variable name="h-value-regex" select="if ($h-normalised-value = '') then '' else concat('(^|[^\.0-9])', $h-normalised-value-regex, '([^\.0-9]|$)') " />
    <xsl:variable name="h-unit-1" select="if (not(cda:high)) then '' else dh:XQueryRecursiveReplace(cda:high/@unit, $ucum-annotation-replacement, '') " />
    <xsl:variable name="h-unit" select="if ($h-unit-1 = '1' and $ivl-unit != '1') then $ivl-unit else $h-unit-1 " />
    <xsl:variable name="h-normalised-unit" select="if (not(cda:high)) then '' else replace(lower-case($h-unit), '\s+', '') " />
    <xsl:variable name="h-unit-validation" select="if ($h-unit = '1' or exists($UCUM/unit[@value = $h-normalised-unit])) then '' else dh:ValidateUCUM($h-unit) " />
    <xsl:variable name="h-unit-name" select="if (exists($UCUM/unit[@value = $h-normalised-unit])) then $UCUM/unit[@value = $h-normalised-unit]/@name else ''  " />
    <xsl:variable name="h-search-tables" select="exists($tables) and not($h-normalised-value = '') and ((cda:low/@value and $l-in-a-table) or not(cda:low/@value)) " />
    <xsl:variable name="h-tables" select="if (not($h-search-tables)) then ()        else if (cda:low/@value and $l-in-a-table) then for $i in (1 to count($l-quantity-match)) return if ($l-quantity-match[$i]) then '1' else '0'        else for $i in (1 to $table-num) return '1' " />
    <xsl:variable name="h-value-regex-3" select="if ($h-normalised-value = '' or not(exists($tables))) then ''         else concat('(^|[^0-9])', $h-normalised-value-regex, '([^0-9]+$|\s+.+$)') " />
    <xsl:variable name="h-table-value-match" select="if (not($h-search-tables)) then () else for $i in (1 to $table-num) return         if ($h-tables[$i] = '0') then '4'        else if (not($tables[$i]//cda:td[matches(., $h-value-regex, 'is')])) then '0'        else if ($tables[$i]//cda:td[matches(., $h-value-regex-3, 'is')]) then '3'        else if ($tables[$i]//cda:td[replace(lower-case(.), '\s+', '') = $h-normalised-value]) then '2'        else '1' " />
    <xsl:variable name="h-power-synonym" select="if (contains($h-normalised-unit, '10^')) then replace($h-normalised-unit, '10\^', '10*')        else if (contains($h-normalised-unit, '10*')) then replace($h-normalised-unit, '10\*', '10^')        else '' " />
    <xsl:variable name="h-special-unit-synonym" select="if (contains($h-normalised-unit, '['))         then (normalize-space(replace($h-normalised-unit, '[\[\]]', ' ')), normalize-space(replace($h-normalised-unit, '[\[\]]', ''))) else '' " />
    <xsl:variable name="h-apostrophe-synonym" select="for $syn in $h-special-unit-synonym return if (contains($syn, '''')) then normalize-space(replace($syn, '''', ' ')) else '' " />
    <xsl:variable name="h-unit-synonyms" select="if (not(cda:high)) then () else if (exists($UCUM/unit[@value = $h-normalised-unit]))         then ($h-normalised-unit, $h-unit-name, $h-power-synonym, $h-special-unit-synonym, $h-apostrophe-synonym,           tokenize($UCUM/unit[@value = $h-normalised-unit]/@synonyms, '\|'))[. != '']        else ($h-normalised-unit, $h-unit-name, $h-power-synonym, $h-special-unit-synonym, $h-apostrophe-synonym)[. != ''] " />
    <xsl:variable name="h-search-terms-1" select="if (not($h-search-tables)) then () else (for $synonym in $h-unit-synonyms return normalize-space(lower-case($synonym)))[. != ''] " />
    <xsl:variable name="h-search-terms-2" select="if (not($h-search-tables)) then () else for $term in $h-search-terms-1 return         if ($term = '1') then $h-normalised-value else concat($h-normalised-value, $term) " />
    <xsl:variable name="h-search-regex-1" select="if (not($h-search-tables)) then () else for $term in $h-search-terms-1 return          replace(replace(replace(replace(replace(replace(replace(replace(replace(replace($term, '\^', '\\^'), '\*', '\\*'), '\.', '\\.'), '\+', '\\+'),          '\)', '\\)'), '\(', '\\('), '\[', '\\['), '\]', '\\]'), '\{', '\\{'), '\}', '\\}') " />
    <xsl:variable name="h-search-regex-2" select="if ($h-normalised-value = '') then () else for $term in $h-search-regex-1 return         if (matches($term, '^10')) then concat('(', '(^|[^0-9])(', $h-normalised-value-regex, 'x{0,1}', $term, '|', 'x{0,1}', $term, ')([^0-9a-z]|$)',          ')|(', '(^|[^0-9])(', $h-normalised-value-regex, $term, '|', $term, ')([^0-9a-z]|$)', ')')         else if ($term = '1') then concat('(^|[^0-9])', $h-normalised-value-regex, '([^0-9]{1}.*$|$)')        else concat('(^|[^0-9])(', $h-normalised-value-regex, $term, '|', $term, ')([^0-9a-z]|$)') " />
    <xsl:variable name="h-quantity-match" select="if (not(exists($h-table-value-match)) or not(exists($h-table-value-match[. != '0']))) then (false())        else if ($h-unit = '1') then for $i in (1 to $table-num) return not($h-table-value-match[$i] = '0')        else for $i in (1 to $table-num) return          if ($h-table-value-match[$i] = '0' or $h-table-value-match[$i] = '4') then false()         else if ($h-table-value-match[$i] = '2') then           exists(index-of(for $term in $h-search-terms-1 return boolean($tables[$i]//cda:td[replace(lower-case(.), '\s+', '') = $term]),            true()))         else exists(index-of(          for $j in (1 to count($h-search-terms-1)) return boolean($tables[$i]//cda:td[           replace(lower-case(.), '\s+', '') = $h-search-terms-1[$j]   or           replace(lower-case(.), '\s+', '') = $h-search-terms-2[$j]  or           matches(., $h-search-regex-2[$j], 'is')     ]), true())) " />
    <xsl:variable name="h-in-a-table" select="if ($h-normalised-value = '') then false() else exists(index-of($h-quantity-match, true())) " />
    <xsl:variable name="h-search-xPre" select="$xpre-num &gt; 0 and not($h-normalised-value = '') and ((cda:low/@value and $l-in-xpre) or not(cda:low/@value)) " />
    <xsl:variable name="h-xPre-elements" select="if (not($h-search-xPre)) then ()        else if (cda:low/@value and $l-in-xpre) then for $i in (1 to $xpre-num) return if ($l-xpre-quantity-match[$i]) then '1' else '0'        else for $i in (1 to $xpre-num) return '1' " />
    <xsl:variable name="h-xpre-value-match" select="if (not($h-search-xPre)) then () else for $i in (1 to $xpre-num) return $h-xPre-elements[$i] = '1' and matches($xpre-2[$i], $h-value-regex, 'is') " />
    <xsl:variable name="h-xpre-quantity-match" select="if (not(cda:high)) then () else if ($h-unit = '1') then ($h-xpre-value-match) else for $i in (1 to $xpre-num) return         $h-xpre-value-match[$i] and exists(index-of(for $term in $h-search-regex-2 return matches($xpre-2[$i], $term, 'is'), true())) " />
    <xsl:variable name="h-in-xpre" select="if (not(cda:high)) then false() else exists(index-of($h-xpre-quantity-match, true())) " />
    <xsl:variable name="h-narr-value-match" select="if ($h-normalised-value = '' or $h-in-a-table or $h-in-xpre) then true() else matches($narrative, $h-value-regex, 'is') " />
    <xsl:variable name="h-narr-quantity-match" select="if ($h-normalised-value = '' or $h-in-a-table or $h-in-xpre) then true()        else $h-narr-value-match and exists(index-of(for $term in $h-search-regex-2 return matches($narrative, $term, 'is'), true())) " />
    <xsl:variable name="ivl-narr-quantity-match" select="if (cda:low/@value and cda:high/@value) then $l-narr-quantity-match and $h-narr-quantity-match        else if (cda:low/@value and not(cda:high/@value)) then $l-narr-quantity-match        else if (not(cda:low/@value) and cda:high/@value) then $l-narr-quantity-match        else false() " />
    <xsl:variable name="h-nullFlavor-values" select="if (cda:high/@nullFlavor and cda:high/@nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))        then $nullFlavors/nullFlavor[@value = current()/cda:high/@nullFlavor] else () " />
    <xsl:variable name="h-null-to-find" select="exists($h-nullFlavor-values) " />
    <xsl:variable name="h-null-in-narr" select="($h-nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $h-nullFlavor-values/@name-regex, 'is')])) or              ($h-nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $h-nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="ivl-nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="ivl-null-to-find" select="exists($ivl-nullFlavor-values) " />
    <xsl:variable name="ivl-null-in-narr" select="($ivl-nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $ivl-nullFlavor-values/@name-regex, 'is')])) or              ($ivl-nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $ivl-nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="l-quantity-text-1" select="if (not(cda:low)) then '' else if ($l-unit = '1') then concat('value ''', cda:low/@value, '''') else concat('value ''', cda:low/@value,         ''' and unit ''', $l-unit, '''') " />
    <xsl:variable name="l-quantity-text" select="if ($l-unit-name = '') then $l-quantity-text-1 else concat($l-quantity-text-1, ' (the unit for ', $l-unit-name, ')') " />
    <xsl:variable name="l-inclusive-text" select="if (not(cda:low)) then ''         else if (cda:low/@inclusive = 'true') then ' (the boundary is included)'        else if (cda:low/@inclusive = 'false') then ' (the boundary is not included)'        else '' " />
    <xsl:variable name="h-quantity-text-1" select="if (not(cda:high)) then '' else if ($h-unit = '1') then concat('value ''', cda:high/@value, '''') else concat('value ''', cda:high/@value,         ''' and unit ''', $h-unit, '''') " />
    <xsl:variable name="h-quantity-text" select="if ($h-unit-name = '') then $h-quantity-text-1 else concat($h-quantity-text-1, ' (the unit for ', $h-unit-name, ')') " />
    <xsl:variable name="h-inclusive-text" select="if (not(cda:high)) then ''         else if (cda:high/@inclusive = 'true') then ' (the boundary is included)'        else if (cda:high/@inclusive = 'false') then ' (the boundary is not included)'        else '' " />
    <xsl:variable name="multimedia" select="exists($target-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$table-num = 0 and $xpre-num = 0 and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-narr-node//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-6" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-6 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and cda:low/@value and $table-num &gt; 0 and not($l-in-a-table or $l-in-xpre or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and cda:low/@value and $table-num &gt; 0 and not($l-in-a-table or $l-in-xpre or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-IVL-PQ): The Test Result Reference Range '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a low boundary with the <xsl:text /><xsl:value-of select="$l-quantity-text" /><xsl:text />.
		<xsl:text /><xsl:value-of select="$l-inclusive-text" /><xsl:text />.
		When transformed the quantity value is '<xsl:text /><xsl:value-of select="$l-normalised-value" /><xsl:text />'.
		The narrative contains <xsl:text /><xsl:value-of select="$table-num" /><xsl:text /><xsl:text /><xsl:value-of select="if ($table-num = 1) then ' table' else ' tables' " /><xsl:text />.
		The value regular expression l-value-regex is '<xsl:text /><xsl:value-of select="$l-value-regex" /><xsl:text />'.
		The value regular expression l-value-regex-3 is '<xsl:text /><xsl:value-of select="$l-value-regex-3" /><xsl:text />'.
		Elements of l-table-value-match are '<xsl:text /><xsl:value-of select="string-join($l-table-value-match, '|')" /><xsl:text />'.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($l-unit-synonyms, '|')" /><xsl:text />'.
		Elements of l-search-terms-1 are '<xsl:text /><xsl:value-of select="string-join($l-search-terms-1, '|')" /><xsl:text />'.
		Elements of l-search-terms-2 are '<xsl:text /><xsl:value-of select="string-join($l-search-terms-2, '|')" /><xsl:text />'.
		Elements of l-search-regex-1 are '<xsl:text /><xsl:value-of select="string-join($l-search-regex-1, '|')" /><xsl:text />'.
		Elements of l-search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($l-search-regex-2, '|')" /><xsl:text />'.
		Elements of l-quantity-match are '<xsl:text /><xsl:value-of select="string-join(for $i in (1 to count($l-quantity-match)) return if ($l-quantity-match[$i]) then '1' else '0', '|')" /><xsl:text />'.
		Was the quantity found by looking in table rows? <xsl:text /><xsl:value-of select="$l-in-a-table" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and cda:low/@value and $xpre-num &gt; 0 and not($l-in-a-table or $l-in-xpre or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and cda:low/@value and $xpre-num &gt; 0 and not($l-in-a-table or $l-in-xpre or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-IVL-PQ): The Test Result Reference Range '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a low boundary with the <xsl:text /><xsl:value-of select="$l-quantity-text" /><xsl:text />.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($l-unit-synonyms, '|')" /><xsl:text />'.
		The narrative contains <xsl:text /><xsl:value-of select="$xpre-num" /><xsl:text /> elements with the xPre styleCode.
		The value regular expression l-value-regex is '<xsl:text /><xsl:value-of select="$l-value-regex" /><xsl:text />'.
		Elements of l-xpre-value-match are '<xsl:text /><xsl:value-of select="string-join(for $x in $l-xpre-value-match return if ($x) then '1' else '0', '|')" /><xsl:text />'.
		Elements of l-search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($l-search-regex-2, '|')" /><xsl:text />'.
		Elements of l-xpre-quantity-match are '<xsl:text /><xsl:value-of select="string-join(for $x in $l-xpre-quantity-match return if ($x) then '1' else '0', '|')" /><xsl:text />'.
		Was the quantity found by looking in elements with the xPre styleCode? <xsl:text /><xsl:value-of select="$l-in-xpre" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and cda:low/@value and not($l-in-a-table or $l-narr-quantity-match or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and cda:low/@value and not($l-in-a-table or $l-narr-quantity-match or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-IVL-PQ): The Test Result Reference Range '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a low boundary with the <xsl:text /><xsl:value-of select="$l-quantity-text" /><xsl:text />.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($l-unit-synonyms, '|')" /><xsl:text />'.
		The value regular expression l-value-regex is '<xsl:text /><xsl:value-of select="$l-value-regex" /><xsl:text />'.
		Was the value found in the narrative? <xsl:text /><xsl:value-of select="$l-narr-value-match" /><xsl:text />.
		Elements of l-search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($l-search-regex-2, '|')" /><xsl:text />'.
		Was the quantity found in the narrative? <xsl:text /><xsl:value-of select="$l-narr-quantity-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and ((cda:low/@value and $l-narr-quantity-match) or not(cda:low/@value))   and cda:high/@value and $table-num &gt; 0 and not($h-in-a-table or $h-in-xpre or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and ((cda:low/@value and $l-narr-quantity-match) or not(cda:low/@value)) and cda:high/@value and $table-num &gt; 0 and not($h-in-a-table or $h-in-xpre or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-IVL-PQ): The Test Result Reference Range '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a high boundary with the <xsl:text /><xsl:value-of select="$h-quantity-text" /><xsl:text />.
		<xsl:text /><xsl:value-of select="$h-inclusive-text" /><xsl:text />.
		When transformed the quantity value is '<xsl:text /><xsl:value-of select="$h-normalised-value" /><xsl:text />'.
		The narrative contains <xsl:text /><xsl:value-of select="$table-num" /><xsl:text /><xsl:text /><xsl:value-of select="if ($table-num = 1) then ' table' else ' tables' " /><xsl:text />.
		Elements of h-tables are'<xsl:text /><xsl:value-of select="string-join($h-tables, '|')" /><xsl:text />'.
		The value regular expression h-value-regex is '<xsl:text /><xsl:value-of select="$h-value-regex" /><xsl:text />'.
		The value regular expression h-value-regex-3 is '<xsl:text /><xsl:value-of select="$h-value-regex-3" /><xsl:text />'.
		Elements of h-table-value-match are '<xsl:text /><xsl:value-of select="string-join($h-table-value-match, '|')" /><xsl:text />'.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($h-unit-synonyms, '|')" /><xsl:text />'.
		Elements of h-search-terms-1 are '<xsl:text /><xsl:value-of select="string-join($h-search-terms-1, '|')" /><xsl:text />'.
		Elements of h-search-terms-2 are '<xsl:text /><xsl:value-of select="string-join($h-search-terms-2, '|')" /><xsl:text />'.
		Elements of h-search-regex-1 are '<xsl:text /><xsl:value-of select="string-join($h-search-regex-1, '|')" /><xsl:text />'.
		Elements of h-search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($h-search-regex-2, '|')" /><xsl:text />'.
		Elements of h-quantity-match are '<xsl:text /><xsl:value-of select="string-join(for $i in (1 to count($h-quantity-match)) return if ($h-quantity-match[$i]) then '1' else '0', '|')" /><xsl:text />'.
		Was the quantity found by looking in table rows? <xsl:text /><xsl:value-of select="$h-in-a-table" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and ((cda:low/@value and $l-narr-quantity-match) or not(cda:low/@value))   and cda:high/@value and $xpre-num &gt; 0 and not($h-in-a-table or $h-in-xpre or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and ((cda:low/@value and $l-narr-quantity-match) or not(cda:low/@value)) and cda:high/@value and $xpre-num &gt; 0 and not($h-in-a-table or $h-in-xpre or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-IVL-PQ): The Test Result Reference Range '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a high boundary with the <xsl:text /><xsl:value-of select="$h-quantity-text" /><xsl:text />.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($h-unit-synonyms, '|')" /><xsl:text />'.
		The narrative contains <xsl:text /><xsl:value-of select="$xpre-num" /><xsl:text /> elements with the xPre styleCode.
		The value regular expression h-value-regex is '<xsl:text /><xsl:value-of select="$h-value-regex" /><xsl:text />'.
		Elements of h-xpre-value-match are '<xsl:text /><xsl:value-of select="string-join(for $x in $h-xpre-value-match return if ($x) then '1' else '0', '|')" /><xsl:text />'.
		Elements of h-search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($h-search-regex-2, '|')" /><xsl:text />'.
		Elements of h-xpre-quantity-match are '<xsl:text /><xsl:value-of select="string-join(for $x in $h-xpre-quantity-match return if ($x) then '1' else '0', '|')" /><xsl:text />'.
		Was the quantity found by looking in elements with the xPre styleCode? <xsl:text /><xsl:value-of select="$h-in-xpre" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and ((cda:low/@value and $l-narr-quantity-match) or not(cda:low/@value))   and cda:high/@value and not($h-in-a-table or $h-narr-quantity-match or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and ((cda:low/@value and $l-narr-quantity-match) or not(cda:low/@value)) and cda:high/@value and not($h-in-a-table or $h-narr-quantity-match or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-IVL-PQ): The Test Result Reference Range '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a high boundary with the value <xsl:text /><xsl:value-of select="$h-quantity-text" /><xsl:text />.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($h-unit-synonyms, '|')" /><xsl:text />'.
		The value regular expression h-value-regex is '<xsl:text /><xsl:value-of select="$h-value-regex" /><xsl:text />'.
		Was the value found in the narrative? <xsl:text /><xsl:value-of select="$h-narr-value-match" /><xsl:text />.
		Elements of h-search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($h-search-regex-2, '|')" /><xsl:text />'.
		Was the quantity found in the narrative? <xsl:text /><xsl:value-of select="$h-narr-quantity-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" (cda:low/@value or cda:high/@value) and not($ivl-narr-quantity-match or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="(cda:low/@value or cda:high/@value) and not($ivl-narr-quantity-match or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-6" /><xsl:text />: TC-Narr-09 step 6: The Test Result Reference Range '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="if (cda:low/@value) then concat('a low boundary with the ', $l-quantity-text) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (cda:low/@value and cda:high/@value) then ' and ' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (cda:high/@value) then concat('a high boundary with the ', $h-quantity-text) else '' " /><xsl:text />
		however the boundary <xsl:text /><xsl:value-of select="if (cda:low/@value and cda:high/@value) then ' values do ' else ' value does ' " /><xsl:text /> not seem to be
		present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Test Result Reference Range data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and (cda:low/@value or cda:high/@value) and not($ivl-narr-quantity-match or $ivl-null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and (cda:low/@value or cda:high/@value) and not($ivl-narr-quantity-match or $ivl-null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-6" /><xsl:text />: TC-Narr-09 step 6: The Test Result Reference Range '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="if (cda:low/@value) then concat('a low boundary with the ', $l-quantity-text) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (cda:low/@value and cda:high/@value) then ' and ' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (cda:high/@value) then concat('a high boundary with the ', $h-quantity-text) else '' " /><xsl:text />
		however the boundary <xsl:text /><xsl:value-of select="if (cda:low/@value and cda:high/@value) then ' values do ' else ' value does ' " /><xsl:text /> are not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and (cda:low/@value or cda:high/@value) and not($ivl-narr-quantity-match or $ivl-null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and (cda:low/@value or cda:high/@value) and not($ivl-narr-quantity-match or $ivl-null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-6" /><xsl:text />: TC-Narr-09 step 6: The Test Result Reference Range '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="if (cda:low/@value) then concat('a low boundary with the ', $l-quantity-text) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (cda:low/@value and cda:high/@value) then ' and ' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (cda:high/@value) then concat('a high boundary with the ', $h-quantity-text) else '' " /><xsl:text />
		however the boundary <xsl:text /><xsl:value-of select="if (cda:low/@value and cda:high/@value) then ' values do ' else ' value does ' " /><xsl:text /> are not present in the narrative of the section.
		The Test Result Reference Range data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-null-to-find and not($l-null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-null-to-find and not($l-null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Test Result Reference Range '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a low boundary with a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="cda:low/@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$l-nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($l-nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-null-to-find and not($h-null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-null-to-find and not($h-null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Test Result Reference Range '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a high boundary with a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="cda:high/@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$h-nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($h-nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $ivl-null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'QS', 'TRC', 'UNK') and not($ivl-null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$ivl-null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'QS', 'TRC', 'UNK') and not($ivl-null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Test Result Reference Range '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$ivl-nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($ivl-nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M717" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M717" />
  <xsl:template match="@*|node()" priority="-2" mode="M717">
    <xsl:apply-templates select="@*|*" mode="M717" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-Quantity-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/cda:observation/   cda:specimen/cda:specimenRole/cda:specimenPlayingEntity/cda:quantity " priority="1000" mode="M718">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/cda:observation/   cda:specimen/cda:specimenRole/cda:specimenPlayingEntity/cda:quantity " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 8.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-13" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-13 else $rating-alt-TC-Types-13 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-13: The Test Specimen - Weight and Volume '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Quantity data type and
		<xsl:text /><xsl:value-of select="if (@value and @unit) then concat('has a value attribute with the value ''', @value, ''' and a unit attribute with the value ''', @unit, '''')   else if (@value and not(@unit)) then concat('has a value attribute with the value ''', @value, '''')   else if (not(@value) and @unit) then concat('has a unit attribute with the value ''', @unit, '''')   else 'has no value or unit attributes' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@nullFlavor) then concat('The nullFlavor attribute has the value ''', @nullFlavor, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'PQ' or normalize-space(substring-after(@xsi:type, ':')) = 'PQ') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'PQ' or normalize-space(substring-after(@xsi:type, ':')) = 'PQ')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-13" /><xsl:text />: TC-Types-13: According to the Structured Content Specification the Test Specimen - Weight and Volume
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Quantity data type which is
		derived from the HL7 'PQ' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present.
		(See section 8.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-13" /><xsl:text />: TC-Types-13: According to the Structured Content Specification the Test Specimen - Weight and Volume
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Quantity data type which is
		derived from the HL7 'PQ' data type however no xsi:type attribute is present. An xsi:type attribute must be present with the value 'PQ'.
		(See section 8.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@unit) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@unit)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-13" /><xsl:text />: TC-Types-13: According to the Structured Content Specification the Test Specimen - Weight and Volume
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Quantity data type but does not
		have the unit attribute which indicates that the data element does not have the HL7 'PQ' data type. The Quantity data type is derived from the HL7 'PQ' data type so the attribute
		xsi:type = 'PQ' needs to be added to the data element. (See section 8.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" *[local-name(.) = 'translation'] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="*[local-name(.) = 'translation']">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-13" /><xsl:text />: TC-Types-13: According to the Structured Content Specification the Test Specimen - Weight and Volume '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Quantity data type which is
		derived from the HL7 'PQ' data type. The 'translation' element is present however that element must not be present in
		a data element of the Quantity data type. (See section 8.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name(.) = 'translation')]">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name(.) = 'translation')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen - Weight and Volume '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Quantity data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = 'translation')])" /><xsl:text />' was found that is not expected for the Quantity data type so this element is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = 'translation')]">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = 'translation')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen - Weight and Volume '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Quantity data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = 'translation')])" /><xsl:text />' was found that is not expected for the Quantity data type so this element is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'PQ' or normalize-space(substring-after(@xsi:type, ':')) = 'PQ')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'PQ' or normalize-space(substring-after(@xsi:type, ':')) = 'PQ'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen - Weight and Volume '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Quantity data type however an
		attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the Quantity data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'PQ' or normalize-space(substring-after(@xsi:type, ':')) = 'PQ')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'PQ' or normalize-space(substring-after(@xsi:type, ':')) = 'PQ'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen - Weight and Volume '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Quantity data type however an
		attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the Quantity data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@value) and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@value) and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to the Structured Content Specification the Test Specimen - Weight and Volume '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Quantity data type
		however it has a nullFlavor attribute with the value 'UNC' (uncoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include nullFlavor 'UNC'.
		(See section 8.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M718" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M718" />
  <xsl:template match="@*|node()" priority="-2" mode="M718">
    <xsl:apply-templates select="@*|*" mode="M718" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-Quantity-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/cda:observation/   cda:specimen/cda:specimenRole/cda:specimenPlayingEntity/cda:quantity[@unit] " priority="1000" mode="M719">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/cda:observation/   cda:specimen/cda:specimenRole/cda:specimenPlayingEntity/cda:quantity[@unit] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="narr-text-el" select="(for $text in ($target-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="a-quantity-range" select="local-name(.) = 'low' or local-name(.) = 'high' " />
    <xsl:variable name="normalised-value" select="if (@value) then replace(lower-case(@value), '\s+', '') else '' " />
    <xsl:variable name="normalised-value-regex" select="if (not(contains($normalised-value, '.'))) then concat('(', $normalised-value, '|', $normalised-value, '\.0*)')        else if (ends-with($normalised-value, '0')) then replace(replace($normalised-value, '\.', '\\.'), '0+$', '0*')        else concat(replace($normalised-value, '\.', '\\.'), '0*') " />
    <xsl:variable name="value-regex" select="if ($normalised-value = '') then ''         else concat('(^|[^0-9])', $normalised-value-regex, '([^0-9]*$|\s+.*$)') " />
    <xsl:variable name="tables" select="$target-narr-node//cda:table " />
    <xsl:variable name="table-num" select="count($tables) " />
    <xsl:variable name="value-regex-3" select="if ($normalised-value = '' or not(exists($tables))) then ''         else concat('(^|[^0-9])', $normalised-value-regex, '([^0-9]+$|\s+.+$)') " />
    <xsl:variable name="table-value-match" select="if ($normalised-value = '' or not(exists($tables))) then () else for $i in (1 to $table-num) return         if (not($tables[$i]//cda:td[matches(., $value-regex, 'is')])) then '0'        else if ($tables[$i]//cda:td[matches(., $value-regex-3, 'is')]) then '3'        else if ($tables[$i]//cda:td[replace(lower-case(.), '\s+', '') = $normalised-value]) then '2'        else '1' " />
    <xsl:variable name="unit-1" select="dh:XQueryRecursiveReplace(@unit, $ucum-annotation-replacement, '')" />
    <xsl:variable name="unit-2" select="if ($a-quantity-range) then dh:XQueryRecursiveReplace(../@unit, $ucum-annotation-replacement, '') else '' " />
    <xsl:variable name="unit" select="if (not($a-quantity-range) or $unit-2 = '') then $unit-1        else if ($unit-1 = '1' and $unit-2 != '1') then $unit-2         else $unit-1 " />
    <xsl:variable name="normalised-unit" select="replace(lower-case($unit), '\s+', '') " />
    <xsl:variable name="unit-validation" select="if ($unit = '1' or exists($UCUM/unit[@value = $normalised-unit])) then '' else dh:ValidateUCUM($unit) " />
    <xsl:variable name="unit-name" select="if (exists($UCUM/unit[@value = $normalised-unit])) then $UCUM/unit[@value = $normalised-unit]/@name else ''  " />
    <xsl:variable name="power-synonym" select="if (contains($normalised-unit, '10^')) then replace($normalised-unit, '10\^', '10*')        else if (contains($normalised-unit, '10*')) then replace($normalised-unit, '10\*', '10^')        else '' " />
    <xsl:variable name="special-unit-synonym" select="if (contains($normalised-unit, '['))         then (normalize-space(replace($normalised-unit, '[\[\]]', ' ')), normalize-space(replace($normalised-unit, '[\[\]]', ''))) else '' " />
    <xsl:variable name="apostrophe-synonym" select="for $syn in $special-unit-synonym return if (contains($syn, '''')) then normalize-space(replace($syn, '''', ' ')) else '' " />
    <xsl:variable name="unit-synonyms" select="if (exists($UCUM/unit[@value = $normalised-unit]))         then ($normalised-unit, $power-synonym, $special-unit-synonym, $apostrophe-synonym, $UCUM/unit[@value = $normalised-unit]/@name,          tokenize($UCUM/unit[@value = $normalised-unit]/@synonyms, '\|'))[. != '']        else ($normalised-unit, $power-synonym, $special-unit-synonym, $apostrophe-synonym)[. != ''] " />
    <xsl:variable name="search-terms-1" select="if ($normalised-value = '') then () else (for $synonym in $unit-synonyms return normalize-space(lower-case($synonym)))[. != ''] " />
    <xsl:variable name="search-terms-2" select="if ($normalised-value = '') then () else for $term in $search-terms-1 return         if ($term = '1') then $normalised-value else concat($normalised-value, $term) " />
    <xsl:variable name="search-regex-1" select="if ($normalised-value = '') then () else for $term in $search-terms-1 return          replace(replace(replace(replace(replace(replace(replace(replace(replace(replace($term, '\^', '\\^'), '\*', '\\*'), '\.', '\\.'), '\+', '\\+'),          '\)', '\\)'), '\(', '\\('), '\[', '\\['), '\]', '\\]'), '\{', '\\{'), '\}', '\\}') " />
    <xsl:variable name="search-regex-2" select="if ($normalised-value = '') then () else for $term in $search-regex-1 return         if (matches($term, '^10')) then concat('(', '(^|[^0-9])(', $normalised-value-regex, 'x{0,1}', $term, '|', 'x{0,1}', $term, ')([^0-9a-z]|$)',          ')|(', '(^|[^0-9])(', $normalised-value-regex, $term, '|', $term, ')([^0-9a-z]|$)', ')')         else if ($term = '1') then concat('(^|[^0-9])', $normalised-value-regex, '([^0-9]{1}.*$|$)')        else concat('(^|[^0-9])(', $normalised-value-regex, $term, '|', $term, ')([^0-9a-z]|$)') " />
    <xsl:variable name="quantity-match" select="if (not(exists($table-value-match)) or not(exists($table-value-match[. != '0']))) then (false())        else if ($unit = '1' and not($a-quantity-range)) then for $i in (1 to $table-num) return          ($table-value-match[$i] = '2' or boolean($tables[$i]//cda:td[matches(., $search-regex-2[1], 'is')]))        else if ($unit = '1' and $a-quantity-range) then for $i in (1 to $table-num) return not($table-value-match[$i] = '0')        else for $i in (1 to $table-num) return          if ($table-value-match[$i] = '0') then false()         else if ($table-value-match[$i] = '2') then           exists(index-of(for $term in $search-terms-1 return boolean($tables[$i]//cda:td[replace(lower-case(.), '\s+', '') = $term]), true()))         else exists(index-of(          for $j in (1 to count($search-terms-1)) return boolean($tables[$i]//cda:td[           replace(lower-case(.), '\s+', '') = $search-terms-1[$j]  or           replace(lower-case(.), '\s+', '') = $search-terms-2[$j]  or           matches(., $search-regex-2[$j], 'is')    ]), true())) " />
    <xsl:variable name="in-a-table" select="if ($normalised-value = '') then false() else exists(index-of($quantity-match, true())) " />
    <xsl:variable name="xpre-1" select="if ($normalised-value = '' or $in-a-table) then () else $target-narr-node//*[contains(@styleCode, 'xPre')] " />
    <xsl:variable name="xpre-num" select="count($xpre-1) " />
    <xsl:variable name="xpre-2" select="for $i in (1 to $xpre-num) return lower-case($xpre-1[$i]) " />
    <xsl:variable name="xpre-value-match" select="for $i in (1 to $xpre-num) return matches($xpre-2[$i], $value-regex, 'is') " />
    <xsl:variable name="xpre-quantity-match" select="if ($unit = '1') then ($xpre-value-match) else for $i in (1 to $xpre-num) return         $xpre-value-match[$i] and exists(index-of(for $term in $search-regex-2 return matches($xpre-2[$i], $term, 'is'), true())) " />
    <xsl:variable name="in-xpre" select="exists(index-of($xpre-quantity-match, true())) " />
    <xsl:variable name="narrative" select="if ($normalised-value = '' or $in-a-table or $in-xpre) then ''         else normalize-space(lower-case(string-join($target-narr-node//text()         [not(ancestor::cda:table or ancestor::cda:caption or contains(@styleCode, 'xPre'))], ''))) " />
    <xsl:variable name="narr-value-match" select="if ($normalised-value = '' or $in-a-table or $in-xpre) then true() else matches($narrative, $value-regex, 'is') " />
    <xsl:variable name="narr-quantity-match" select="if ($normalised-value = '' or $in-a-table or $in-xpre) then true()        else $narr-value-match and exists(index-of(for $term in $search-regex-2 return matches($narrative, $term, 'is'), true())) " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="quantity-text-1" select="if ($unit = '1') then concat('value ''', @value, '''') else concat('value ''', @value, ''' and unit ''', $unit, '''') " />
    <xsl:variable name="quantity-text" select="if ($unit-name = '') then $quantity-text-1 else concat($quantity-text-1, ' (the unit for ', $unit-name, ')') " />
    <xsl:variable name="inclusive-text" select="if ($a-quantity-range and @inclusive = 'true') then ' (the boundary is included)'        else if ($a-quantity-range and @inclusive = 'false') then ' (the boundary is not included)'        else '' " />
    <xsl:variable name="multimedia" select="exists($target-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$table-num = 0 and $xpre-num = 0 and not(exists($narr-text-el)) and not($multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-narr-node//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-6" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-6 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and @value and $table-num &gt; 0 and not($in-a-table or $in-xpre or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and @value and $table-num &gt; 0 and not($in-a-table or $in-xpre or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-PQ): The Test Specimen - Weight and Volume '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text />.
		Is the quantity on the boundary of a quantity range? <xsl:text /><xsl:value-of select="$a-quantity-range" /><xsl:text /><xsl:text /><xsl:value-of select="$inclusive-text" /><xsl:text />.
		When transformed the quantity value is '<xsl:text /><xsl:value-of select="$normalised-value" /><xsl:text />'.
		The narrative contains <xsl:text /><xsl:value-of select="$table-num" /><xsl:text /><xsl:text /><xsl:value-of select="if ($table-num = 1) then ' table' else ' tables' " /><xsl:text />.
		The value regular expression value-regex is '<xsl:text /><xsl:value-of select="$value-regex" /><xsl:text />'.
		The value regular expression value-regex-3 is '<xsl:text /><xsl:value-of select="$value-regex-3" /><xsl:text />'.
		Elements of table-value-match are '<xsl:text /><xsl:value-of select="string-join($table-value-match, '|')" /><xsl:text />'.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($unit-synonyms, '|')" /><xsl:text />'.
		Elements of search-terms-1 are '<xsl:text /><xsl:value-of select="string-join($search-terms-1, '|')" /><xsl:text />'.
		Elements of search-terms-2 are '<xsl:text /><xsl:value-of select="string-join($search-terms-2, '|')" /><xsl:text />'.
		Elements of search-regex-1 are '<xsl:text /><xsl:value-of select="string-join($search-regex-1, '|')" /><xsl:text />'.
		Elements of search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($search-regex-2, '|')" /><xsl:text />'.
		Elements of quantity-match are '<xsl:text /><xsl:value-of select="string-join(for $i in (1 to count($quantity-match)) return if ($quantity-match[$i]) then '1' else '0', '|')" /><xsl:text />'.
		Was the quantity found by looking in table rows? <xsl:text /><xsl:value-of select="$in-a-table" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and @value and $xpre-num &gt; 0 and not($in-a-table or $in-xpre or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and @value and $xpre-num &gt; 0 and not($in-a-table or $in-xpre or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-PQ): The Test Specimen - Weight and Volume '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text />.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($unit-synonyms, '|')" /><xsl:text />'.
		The narrative contains <xsl:text /><xsl:value-of select="$xpre-num" /><xsl:text /> elements with the xPre styleCode.
		The value regular expression value-regex is '<xsl:text /><xsl:value-of select="$value-regex" /><xsl:text />'.
		Elements of xpre-value-match are '<xsl:text /><xsl:value-of select="string-join(for $x in $xpre-value-match return if ($x) then '1' else '0', '|')" /><xsl:text />'.
		Elements of search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($search-regex-2, '|')" /><xsl:text />'.
		Elements of xpre-quantity-match are '<xsl:text /><xsl:value-of select="string-join(for $x in $xpre-quantity-match return if ($x) then '1' else '0', '|')" /><xsl:text />'.
		Was the quantity found by looking in elements with the xPre styleCode? <xsl:text /><xsl:value-of select="$in-xpre" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and @value and not($in-a-table or $narr-quantity-match or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and @value and not($in-a-table or $narr-quantity-match or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-PQ): The Test Specimen - Weight and Volume '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text />.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($unit-synonyms, '|')" /><xsl:text />'.
		The value regular expression value-regex is '<xsl:text /><xsl:value-of select="$value-regex" /><xsl:text />'.
		Was the value found in the narrative? <xsl:text /><xsl:value-of select="$narr-value-match" /><xsl:text />.
		Elements of search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($search-regex-2, '|')" /><xsl:text />'.
		Was the quantity found in the narrative? <xsl:text /><xsl:value-of select="$narr-quantity-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @value and not($narr-quantity-match or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value and not($narr-quantity-match or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-6" /><xsl:text />: TC-Narr-09 step 6: The Test Specimen - Weight and Volume '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text /> however the quantity does not seem to be
		present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Test Specimen - Weight and Volume data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and @value and not($narr-value-match or $narr-quantity-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and @value and not($narr-value-match or $narr-quantity-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-6" /><xsl:text />: TC-Narr-09 step 6: The Test Specimen - Weight and Volume '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text /> however the quantity is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and @value and not($narr-value-match or $narr-quantity-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and @value and not($narr-value-match or $narr-quantity-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-6" /><xsl:text />: TC-Narr-09 step 6: The Test Specimen - Weight and Volume '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text /> however the quantity is not present in the narrative of the section.
		The Test Specimen - Weight and Volume data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'QS', 'TRC', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'QS', 'TRC', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Test Specimen - Weight and Volume '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M719" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M719" />
  <xsl:template match="@*|node()" priority="-2" mode="M719">
    <xsl:apply-templates select="@*|*" mode="M719" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-Quantity-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')]]/   cda:specimen/cda:specimenRole/cda:specimenPlayingEntity/cda:quantity " priority="1000" mode="M720">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')]]/   cda:specimen/cda:specimenRole/cda:specimenPlayingEntity/cda:quantity " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 8.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-13" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-13 else $rating-alt-TC-Types-13 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-13: The Test Result - Weight and Volume '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Quantity data type and
		<xsl:text /><xsl:value-of select="if (@value and @unit) then concat('has a value attribute with the value ''', @value, ''' and a unit attribute with the value ''', @unit, '''')   else if (@value and not(@unit)) then concat('has a value attribute with the value ''', @value, '''')   else if (not(@value) and @unit) then concat('has a unit attribute with the value ''', @unit, '''')   else 'has no value or unit attributes' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@nullFlavor) then concat('The nullFlavor attribute has the value ''', @nullFlavor, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'PQ' or normalize-space(substring-after(@xsi:type, ':')) = 'PQ') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'PQ' or normalize-space(substring-after(@xsi:type, ':')) = 'PQ')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-13" /><xsl:text />: TC-Types-13: According to the Structured Content Specification the Test Result - Weight and Volume
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Quantity data type which is
		derived from the HL7 'PQ' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present.
		(See section 8.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-13" /><xsl:text />: TC-Types-13: According to the Structured Content Specification the Test Result - Weight and Volume
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Quantity data type which is
		derived from the HL7 'PQ' data type however no xsi:type attribute is present. An xsi:type attribute must be present with the value 'PQ'.
		(See section 8.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@unit) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@unit)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-13" /><xsl:text />: TC-Types-13: According to the Structured Content Specification the Test Result - Weight and Volume
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Quantity data type but does not
		have the unit attribute which indicates that the data element does not have the HL7 'PQ' data type. The Quantity data type is derived from the HL7 'PQ' data type so the attribute
		xsi:type = 'PQ' needs to be added to the data element. (See section 8.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" *[local-name(.) = 'translation'] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="*[local-name(.) = 'translation']">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-13" /><xsl:text />: TC-Types-13: According to the Structured Content Specification the Test Result - Weight and Volume '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Quantity data type which is
		derived from the HL7 'PQ' data type. The 'translation' element is present however that element must not be present in
		a data element of the Quantity data type. (See section 8.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name(.) = 'translation')]">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name(.) = 'translation')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result - Weight and Volume '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Quantity data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = 'translation')])" /><xsl:text />' was found that is not expected for the Quantity data type so this element is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = 'translation')]">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = 'translation')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result - Weight and Volume '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Quantity data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = 'translation')])" /><xsl:text />' was found that is not expected for the Quantity data type so this element is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'PQ' or normalize-space(substring-after(@xsi:type, ':')) = 'PQ')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'PQ' or normalize-space(substring-after(@xsi:type, ':')) = 'PQ'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result - Weight and Volume '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Quantity data type however an
		attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the Quantity data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'PQ' or normalize-space(substring-after(@xsi:type, ':')) = 'PQ')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'PQ' or normalize-space(substring-after(@xsi:type, ':')) = 'PQ'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result - Weight and Volume '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Quantity data type however an
		attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the Quantity data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@value) and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@value) and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to the Structured Content Specification the Test Result - Weight and Volume '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Quantity data type
		however it has a nullFlavor attribute with the value 'UNC' (uncoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include nullFlavor 'UNC'.
		(See section 8.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M720" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M720" />
  <xsl:template match="@*|node()" priority="-2" mode="M720">
    <xsl:apply-templates select="@*|*" mode="M720" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-Quantity-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')]]/   cda:specimen/cda:specimenRole/cda:specimenPlayingEntity/cda:quantity[@unit] " priority="1000" mode="M721">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')]]/   cda:specimen/cda:specimenRole/cda:specimenPlayingEntity/cda:quantity[@unit] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="narr-text-el" select="(for $text in ($target-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="a-quantity-range" select="local-name(.) = 'low' or local-name(.) = 'high' " />
    <xsl:variable name="normalised-value" select="if (@value) then replace(lower-case(@value), '\s+', '') else '' " />
    <xsl:variable name="normalised-value-regex" select="if (not(contains($normalised-value, '.'))) then concat('(', $normalised-value, '|', $normalised-value, '\.0*)')        else if (ends-with($normalised-value, '0')) then replace(replace($normalised-value, '\.', '\\.'), '0+$', '0*')        else concat(replace($normalised-value, '\.', '\\.'), '0*') " />
    <xsl:variable name="value-regex" select="if ($normalised-value = '') then ''         else concat('(^|[^0-9])', $normalised-value-regex, '([^0-9]*$|\s+.*$)') " />
    <xsl:variable name="tables" select="$target-narr-node//cda:table " />
    <xsl:variable name="table-num" select="count($tables) " />
    <xsl:variable name="value-regex-3" select="if ($normalised-value = '' or not(exists($tables))) then ''         else concat('(^|[^0-9])', $normalised-value-regex, '([^0-9]+$|\s+.+$)') " />
    <xsl:variable name="table-value-match" select="if ($normalised-value = '' or not(exists($tables))) then () else for $i in (1 to $table-num) return         if (not($tables[$i]//cda:td[matches(., $value-regex, 'is')])) then '0'        else if ($tables[$i]//cda:td[matches(., $value-regex-3, 'is')]) then '3'        else if ($tables[$i]//cda:td[replace(lower-case(.), '\s+', '') = $normalised-value]) then '2'        else '1' " />
    <xsl:variable name="unit-1" select="dh:XQueryRecursiveReplace(@unit, $ucum-annotation-replacement, '')" />
    <xsl:variable name="unit-2" select="if ($a-quantity-range) then dh:XQueryRecursiveReplace(../@unit, $ucum-annotation-replacement, '') else '' " />
    <xsl:variable name="unit" select="if (not($a-quantity-range) or $unit-2 = '') then $unit-1        else if ($unit-1 = '1' and $unit-2 != '1') then $unit-2         else $unit-1 " />
    <xsl:variable name="normalised-unit" select="replace(lower-case($unit), '\s+', '') " />
    <xsl:variable name="unit-validation" select="if ($unit = '1' or exists($UCUM/unit[@value = $normalised-unit])) then '' else dh:ValidateUCUM($unit) " />
    <xsl:variable name="unit-name" select="if (exists($UCUM/unit[@value = $normalised-unit])) then $UCUM/unit[@value = $normalised-unit]/@name else ''  " />
    <xsl:variable name="power-synonym" select="if (contains($normalised-unit, '10^')) then replace($normalised-unit, '10\^', '10*')        else if (contains($normalised-unit, '10*')) then replace($normalised-unit, '10\*', '10^')        else '' " />
    <xsl:variable name="special-unit-synonym" select="if (contains($normalised-unit, '['))         then (normalize-space(replace($normalised-unit, '[\[\]]', ' ')), normalize-space(replace($normalised-unit, '[\[\]]', ''))) else '' " />
    <xsl:variable name="apostrophe-synonym" select="for $syn in $special-unit-synonym return if (contains($syn, '''')) then normalize-space(replace($syn, '''', ' ')) else '' " />
    <xsl:variable name="unit-synonyms" select="if (exists($UCUM/unit[@value = $normalised-unit]))         then ($normalised-unit, $power-synonym, $special-unit-synonym, $apostrophe-synonym, $UCUM/unit[@value = $normalised-unit]/@name,          tokenize($UCUM/unit[@value = $normalised-unit]/@synonyms, '\|'))[. != '']        else ($normalised-unit, $power-synonym, $special-unit-synonym, $apostrophe-synonym)[. != ''] " />
    <xsl:variable name="search-terms-1" select="if ($normalised-value = '') then () else (for $synonym in $unit-synonyms return normalize-space(lower-case($synonym)))[. != ''] " />
    <xsl:variable name="search-terms-2" select="if ($normalised-value = '') then () else for $term in $search-terms-1 return         if ($term = '1') then $normalised-value else concat($normalised-value, $term) " />
    <xsl:variable name="search-regex-1" select="if ($normalised-value = '') then () else for $term in $search-terms-1 return          replace(replace(replace(replace(replace(replace(replace(replace(replace(replace($term, '\^', '\\^'), '\*', '\\*'), '\.', '\\.'), '\+', '\\+'),          '\)', '\\)'), '\(', '\\('), '\[', '\\['), '\]', '\\]'), '\{', '\\{'), '\}', '\\}') " />
    <xsl:variable name="search-regex-2" select="if ($normalised-value = '') then () else for $term in $search-regex-1 return         if (matches($term, '^10')) then concat('(', '(^|[^0-9])(', $normalised-value-regex, 'x{0,1}', $term, '|', 'x{0,1}', $term, ')([^0-9a-z]|$)',          ')|(', '(^|[^0-9])(', $normalised-value-regex, $term, '|', $term, ')([^0-9a-z]|$)', ')')         else if ($term = '1') then concat('(^|[^0-9])', $normalised-value-regex, '([^0-9]{1}.*$|$)')        else concat('(^|[^0-9])(', $normalised-value-regex, $term, '|', $term, ')([^0-9a-z]|$)') " />
    <xsl:variable name="quantity-match" select="if (not(exists($table-value-match)) or not(exists($table-value-match[. != '0']))) then (false())        else if ($unit = '1' and not($a-quantity-range)) then for $i in (1 to $table-num) return          ($table-value-match[$i] = '2' or boolean($tables[$i]//cda:td[matches(., $search-regex-2[1], 'is')]))        else if ($unit = '1' and $a-quantity-range) then for $i in (1 to $table-num) return not($table-value-match[$i] = '0')        else for $i in (1 to $table-num) return          if ($table-value-match[$i] = '0') then false()         else if ($table-value-match[$i] = '2') then           exists(index-of(for $term in $search-terms-1 return boolean($tables[$i]//cda:td[replace(lower-case(.), '\s+', '') = $term]), true()))         else exists(index-of(          for $j in (1 to count($search-terms-1)) return boolean($tables[$i]//cda:td[           replace(lower-case(.), '\s+', '') = $search-terms-1[$j]  or           replace(lower-case(.), '\s+', '') = $search-terms-2[$j]  or           matches(., $search-regex-2[$j], 'is')    ]), true())) " />
    <xsl:variable name="in-a-table" select="if ($normalised-value = '') then false() else exists(index-of($quantity-match, true())) " />
    <xsl:variable name="xpre-1" select="if ($normalised-value = '' or $in-a-table) then () else $target-narr-node//*[contains(@styleCode, 'xPre')] " />
    <xsl:variable name="xpre-num" select="count($xpre-1) " />
    <xsl:variable name="xpre-2" select="for $i in (1 to $xpre-num) return lower-case($xpre-1[$i]) " />
    <xsl:variable name="xpre-value-match" select="for $i in (1 to $xpre-num) return matches($xpre-2[$i], $value-regex, 'is') " />
    <xsl:variable name="xpre-quantity-match" select="if ($unit = '1') then ($xpre-value-match) else for $i in (1 to $xpre-num) return         $xpre-value-match[$i] and exists(index-of(for $term in $search-regex-2 return matches($xpre-2[$i], $term, 'is'), true())) " />
    <xsl:variable name="in-xpre" select="exists(index-of($xpre-quantity-match, true())) " />
    <xsl:variable name="narrative" select="if ($normalised-value = '' or $in-a-table or $in-xpre) then ''         else normalize-space(lower-case(string-join($target-narr-node//text()         [not(ancestor::cda:table or ancestor::cda:caption or contains(@styleCode, 'xPre'))], ''))) " />
    <xsl:variable name="narr-value-match" select="if ($normalised-value = '' or $in-a-table or $in-xpre) then true() else matches($narrative, $value-regex, 'is') " />
    <xsl:variable name="narr-quantity-match" select="if ($normalised-value = '' or $in-a-table or $in-xpre) then true()        else $narr-value-match and exists(index-of(for $term in $search-regex-2 return matches($narrative, $term, 'is'), true())) " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="quantity-text-1" select="if ($unit = '1') then concat('value ''', @value, '''') else concat('value ''', @value, ''' and unit ''', $unit, '''') " />
    <xsl:variable name="quantity-text" select="if ($unit-name = '') then $quantity-text-1 else concat($quantity-text-1, ' (the unit for ', $unit-name, ')') " />
    <xsl:variable name="inclusive-text" select="if ($a-quantity-range and @inclusive = 'true') then ' (the boundary is included)'        else if ($a-quantity-range and @inclusive = 'false') then ' (the boundary is not included)'        else '' " />
    <xsl:variable name="multimedia" select="exists($target-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$table-num = 0 and $xpre-num = 0 and not(exists($narr-text-el)) and not($multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-narr-node//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-6" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-6 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and @value and $table-num &gt; 0 and not($in-a-table or $in-xpre or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and @value and $table-num &gt; 0 and not($in-a-table or $in-xpre or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-PQ): The Test Result - Weight and Volume '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text />.
		Is the quantity on the boundary of a quantity range? <xsl:text /><xsl:value-of select="$a-quantity-range" /><xsl:text /><xsl:text /><xsl:value-of select="$inclusive-text" /><xsl:text />.
		When transformed the quantity value is '<xsl:text /><xsl:value-of select="$normalised-value" /><xsl:text />'.
		The narrative contains <xsl:text /><xsl:value-of select="$table-num" /><xsl:text /><xsl:text /><xsl:value-of select="if ($table-num = 1) then ' table' else ' tables' " /><xsl:text />.
		The value regular expression value-regex is '<xsl:text /><xsl:value-of select="$value-regex" /><xsl:text />'.
		The value regular expression value-regex-3 is '<xsl:text /><xsl:value-of select="$value-regex-3" /><xsl:text />'.
		Elements of table-value-match are '<xsl:text /><xsl:value-of select="string-join($table-value-match, '|')" /><xsl:text />'.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($unit-synonyms, '|')" /><xsl:text />'.
		Elements of search-terms-1 are '<xsl:text /><xsl:value-of select="string-join($search-terms-1, '|')" /><xsl:text />'.
		Elements of search-terms-2 are '<xsl:text /><xsl:value-of select="string-join($search-terms-2, '|')" /><xsl:text />'.
		Elements of search-regex-1 are '<xsl:text /><xsl:value-of select="string-join($search-regex-1, '|')" /><xsl:text />'.
		Elements of search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($search-regex-2, '|')" /><xsl:text />'.
		Elements of quantity-match are '<xsl:text /><xsl:value-of select="string-join(for $i in (1 to count($quantity-match)) return if ($quantity-match[$i]) then '1' else '0', '|')" /><xsl:text />'.
		Was the quantity found by looking in table rows? <xsl:text /><xsl:value-of select="$in-a-table" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and @value and $xpre-num &gt; 0 and not($in-a-table or $in-xpre or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and @value and $xpre-num &gt; 0 and not($in-a-table or $in-xpre or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-PQ): The Test Result - Weight and Volume '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text />.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($unit-synonyms, '|')" /><xsl:text />'.
		The narrative contains <xsl:text /><xsl:value-of select="$xpre-num" /><xsl:text /> elements with the xPre styleCode.
		The value regular expression value-regex is '<xsl:text /><xsl:value-of select="$value-regex" /><xsl:text />'.
		Elements of xpre-value-match are '<xsl:text /><xsl:value-of select="string-join(for $x in $xpre-value-match return if ($x) then '1' else '0', '|')" /><xsl:text />'.
		Elements of search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($search-regex-2, '|')" /><xsl:text />'.
		Elements of xpre-quantity-match are '<xsl:text /><xsl:value-of select="string-join(for $x in $xpre-quantity-match return if ($x) then '1' else '0', '|')" /><xsl:text />'.
		Was the quantity found by looking in elements with the xPre styleCode? <xsl:text /><xsl:value-of select="$in-xpre" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and @value and not($in-a-table or $narr-quantity-match or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and @value and not($in-a-table or $narr-quantity-match or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-PQ): The Test Result - Weight and Volume '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text />.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($unit-synonyms, '|')" /><xsl:text />'.
		The value regular expression value-regex is '<xsl:text /><xsl:value-of select="$value-regex" /><xsl:text />'.
		Was the value found in the narrative? <xsl:text /><xsl:value-of select="$narr-value-match" /><xsl:text />.
		Elements of search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($search-regex-2, '|')" /><xsl:text />'.
		Was the quantity found in the narrative? <xsl:text /><xsl:value-of select="$narr-quantity-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @value and not($narr-quantity-match or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value and not($narr-quantity-match or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-6" /><xsl:text />: TC-Narr-09 step 6: The Test Result - Weight and Volume '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text /> however the quantity does not seem to be
		present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Test Result - Weight and Volume data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and @value and not($narr-value-match or $narr-quantity-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and @value and not($narr-value-match or $narr-quantity-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-6" /><xsl:text />: TC-Narr-09 step 6: The Test Result - Weight and Volume '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text /> however the quantity is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and @value and not($narr-value-match or $narr-quantity-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and @value and not($narr-value-match or $narr-quantity-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-6" /><xsl:text />: TC-Narr-09 step 6: The Test Result - Weight and Volume '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text /> however the quantity is not present in the narrative of the section.
		The Test Result - Weight and Volume data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'QS', 'TRC', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'QS', 'TRC', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Test Result - Weight and Volume '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M721" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M721" />
  <xsl:template match="@*|node()" priority="-2" mode="M721">
    <xsl:apply-templates select="@*|*" mode="M721" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-Observation-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation/cda:value " priority="1000" mode="M722">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation/cda:value " />
    <xsl:variable name="xsi-type" select="if (not(@xsi:type)) then '' else if (contains(@xsi:type, ':')) then normalize-space(substring-after(@xsi:type, ':')) else normalize-space(@xsi:type) " />
    <xsl:variable name="is-Boolean" select=" $xsi-type = 'BL' " />
    <xsl:variable name="is-CodeableText" select=" @codeSystem or $xsi-type = ('CD', 'CE', 'CO', 'CV') " />
    <xsl:variable name="normalized-otext" select="if ($is-CodeableText and cda:originalText) then normalize-space(cda:originalText) else '' " />
    <xsl:variable name="is-DateTime" select=" $xsi-type = 'TS' " />
    <xsl:variable name="is-time-unit" select=" @unit and matches(dh:XQueryRecursiveReplace(@unit, $ucum-annotation-replacement, ''), $ucum-time-unit-regex) " />
    <xsl:variable name="is-Duration" select=" ($xsi-type = '' and not(cda:low or cda:high) and $is-time-unit)  or        ($xsi-type = 'PQ' and $is-time-unit)      " />
    <xsl:variable name="is-EncapsulatedData" select=" @integrityCheckAlgorithm or $xsi-type = 'ED' " />
    <xsl:variable name="is-Integer" select=" $xsi-type = 'INT' " />
    <xsl:variable name="is-Quantity" select=" ($xsi-type = '' and not(cda:low or cda:high) and @unit and not($is-time-unit)) or        ($xsi-type = 'PQ' and not($is-time-unit))      " />
    <xsl:variable name="is-QuantRange" select=" (cda:low[@unit] or cda:high[@unit] or $xsi-type = 'IVL_PQ') and not($is-time-unit) " />
    <xsl:variable name="is-QuantRatio" select=" cda:numerator or cda:denominator or $xsi-type = 'RTO' " />
    <xsl:variable name="is-Real" select=" $xsi-type = 'REAL' " />
    <xsl:variable name="is-Text" select=" $xsi-type = ('ST', 'SC') or         (@representation='TXT' and @mediaType='text/plain' and not(@compression or @integrityCheck or @integrityCheckAlgorithm)) " />
    <xsl:variable name="normalized-text" select="if ($is-Text or ($is-EncapsulatedData and @mediaType = 'text/plain' and not(@compression))) then normalize-space(.) else '' " />
    <xsl:variable name="is-TimeInterval" select=" $xsi-type = 'IVL_TS' or (cda:low and not(cda:low/@unit)) or (cda:high and not(cda:high/@unit))  " />
    <xsl:variable name="num-tc-types-97-err" select=" $is-QuantRatio and exists(cda:numerator[@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS' or         @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS']) " />
    <xsl:variable name="den-tc-types-97-err" select=" $is-QuantRatio and exists(cda:denominator[@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS' or         @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS']) " />
    <xsl:variable name="test-step" select=" if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="spec-section" select=" if ($is-Boolean) then 'section 4.2'        else if ($is-CodeableText) then 'section 6.1'        else if ($is-DateTime) then 'section 8.6'        else if ($is-Duration) then 'section 8.5'        else if ($is-EncapsulatedData) then 'section 5.1'        else if ($is-Integer) then 'section 8.2'        else if ($is-Quantity) then 'section 8.1'        else if ($is-QuantRange) then 'section 9.1'        else if ($is-QuantRatio) then 'section 8.4'        else if ($is-Real) then 'section 8.3'        else if ($is-Text) then 'section 5.2'        else if ($is-TimeInterval) then 'section 9.2'        else '' " />
    <xsl:variable name="IVL_PQ-in-CD-is-low" select="$is-CodeableText and not(@codeSystem) and (matches($normalized-otext, $PQ-low-regex) or matches($normalized-otext, $IVL_PQ-regex)) " />
    <xsl:variable name="IVL_PQ-in-CD-low-excl" select="$IVL_PQ-in-CD-is-low and matches($normalized-otext, $PQ-low-regex) " />
    <xsl:variable name="IVL_PQ-in-CD-low-value" select="if (not($IVL_PQ-in-CD-is-low)) then ''         else if ($IVL_PQ-in-CD-low-excl) then normalize-space(replace($normalized-otext, '^(\s*\(?)(&gt;|&gt;)([0-9 \.\-]+)(.*)$', '$3'))         else normalize-space(replace($normalized-otext, '^(\s*\(?)([0-9 \.\-]+)(\s*-\s*)([0-9 \.\-]+)(\)?.*)', '$2')) " />
    <xsl:variable name="IVL_PQ-in-CD-is-high" select="$is-CodeableText and not(@codeSystem) and (matches($normalized-otext, $PQ-high-regex) or matches($normalized-otext, $IVL_PQ-regex)) " />
    <xsl:variable name="IVL_PQ-in-CD-high-excl" select="$IVL_PQ-in-CD-is-high and matches($normalized-otext, $PQ-high-regex) " />
    <xsl:variable name="IVL_PQ-in-CD-high-value" select="if (not($IVL_PQ-in-CD-is-high)) then ''         else if ($IVL_PQ-in-CD-high-excl) then normalize-space(replace($normalized-otext, '^(\s*\(?&lt;)([0-9 \.\-]+)(.*)$', '$2'))         else normalize-space(replace($normalized-otext, '^(\s*\(?)([0-9 \.\-]+)(\s*-\s*)([0-9 \.\-]+)(\)?.*)', '$4')) " />
    <xsl:variable name="valid-IVL_PQ-in-CD-values" select="if ($IVL_PQ-in-CD-is-low and $IVL_PQ-in-CD-is-high) then $IVL_PQ-in-CD-low-value castable as xs:double and $IVL_PQ-in-CD-high-value castable as xs:double         else if ($IVL_PQ-in-CD-is-low) then $IVL_PQ-in-CD-low-value castable as xs:double         else if ($IVL_PQ-in-CD-is-high) then $IVL_PQ-in-CD-high-value castable as xs:double         else false() " />
    <xsl:variable name="IVL_PQ-in-CD-value-msg" select="if (not($valid-IVL_PQ-in-CD-values)) then ''        else if ($IVL_PQ-in-CD-is-low and not($IVL_PQ-in-CD-is-high)) then concat(' and a low ''value'' attribute with the value ''', $IVL_PQ-in-CD-low-value, '''')        else if (not($IVL_PQ-in-CD-is-low) and $IVL_PQ-in-CD-is-high) then          concat(' and a high ''value'' attribute with the value ''', $IVL_PQ-in-CD-high-value, '''')        else if ($IVL_PQ-in-CD-is-low and $IVL_PQ-in-CD-is-high) then concat(', a low ''value'' attribute with the value ''', $IVL_PQ-in-CD-low-value,          ''' and a high ''value'' attribute with the value ''', $IVL_PQ-in-CD-high-value, '''')         else '' " />
    <xsl:variable name="IVL_PQ-in-CD-unit" select="if (not($is-CodeableText) or @codeSystem or not($valid-IVL_PQ-in-CD-values)) then ''        else if (matches($normalized-otext, '^\s*\(?(&gt;|&gt;|&lt;)[0-9 \.\-]+\s*$') or           matches($normalized-otext, '^\s*\(?[0-9 \.\-]+\s*-\s*[0-9 \.\-]+\)?\s*$')) then '1'        else if (matches($normalized-otext, '^\s*\(?(&gt;|&gt;|&lt;)[0-9 \.\-]+') or matches($normalized-otext, '^\s*\(?[0-9 \.\-]+\s*-\s*[0-9 \.\-]+\)?'))         then dh:XQueryRecursiveReplace($normalized-otext, $IVL_PQ-replacement, '')         else '' " />
    <xsl:variable name="IVL_PQ-in-CD-unit-type" select="if ($IVL_PQ-in-CD-unit = '') then ''        else if ($IVL_PQ-in-CD-unit = '1') then 'unity'        else dh:ValidateUCUM(dh:XQueryRecursiveReplace($IVL_PQ-in-CD-unit, $ucum-annotation-replacement, ''))" />
    <xsl:variable name="IVL_PQ-in-CD-unit-msg" select="if ($IVL_PQ-in-CD-unit = '') then '' else if ($IVL_PQ-in-CD-unit = '1') then ' a unit attribute with the value ''1'' or an annotation'        else concat(' a unit attribute with the value ''', $IVL_PQ-in-CD-unit, '''') " />
    <xsl:variable name="IVL_PQ-in-CD" select="$valid-IVL_PQ-in-CD-values and ($IVL_PQ-in-CD-unit = '1' or contains($IVL_PQ-in-CD-unit-type, '~')) " />
    <xsl:variable name="PQ-in-CD-value" select="if (not($is-CodeableText) or @codeSystem or $IVL_PQ-in-CD-is-low or $IVL_PQ-in-CD-is-high) then ''         else normalize-space(replace($normalized-otext, $number-in-ST-regex, '$1'))" />
    <xsl:variable name="valid-PQ-in-CD-value" select="$PQ-in-CD-value castable as xs:double " />
    <xsl:variable name="PQ-in-CD-unit" select="if (not($is-CodeableText) or @codeSystem or not($valid-PQ-in-CD-value)) then ''        else if ($normalized-otext castable as xs:double) then '1'        else dh:XQueryRecursiveReplace($normalized-otext, $PQ-replacement, '')" />
    <xsl:variable name="PQ-in-CD-unit-msg" select="if ($PQ-in-CD-unit = '') then '' else if ($PQ-in-CD-unit = '1') then ' a unit attribute with the value ''1'' or an annotation'        else concat(' a unit attribute with the value ''', $PQ-in-CD-unit, '''') " />
    <xsl:variable name="PQ-in-CD-unit-type" select="if ($PQ-in-CD-unit = '') then ''        else if ($PQ-in-CD-unit = '1') then 'unity'        else dh:ValidateUCUM(dh:XQueryRecursiveReplace($PQ-in-CD-unit, $ucum-annotation-replacement, ''))" />
    <xsl:variable name="INT-in-CD" select="$PQ-in-CD-value != '' and $PQ-in-CD-unit = '1' and $normalized-otext castable as xs:integer " />
    <xsl:variable name="PQ-in-CD" select="not($INT-in-CD) and $valid-PQ-in-CD-value and ($PQ-in-CD-unit = '1' or contains($PQ-in-CD-unit-type, '~')) " />
    <xsl:variable name="RR-in-CD-text" select="if (($PQ-in-CD or $IVL_PQ-in-CD) and matches($normalized-otext, $RR-regex))         then normalize-space(replace($normalized-otext, $RR-regex, '$2'))        else '' " />
    <xsl:variable name="RR-in-CD-is-low" select="$RR-in-CD-text != '' and (matches($RR-in-CD-text, '^\s*\(?(&gt;|&gt;)[0-9 \.\-]+') or         matches($RR-in-CD-text, '^\s*\(?[0-9 \.\-]+\s*-\s*[0-9 \.\-]+\)?')) " />
    <xsl:variable name="RR-in-CD-low-excl" select="$RR-in-CD-is-low and matches($RR-in-CD-text, '^\s*\(?(&gt;|&gt;)[0-9 \.\-]+') " />
    <xsl:variable name="RR-in-CD-low-value" select="if (not($RR-in-CD-is-low)) then ''        else if ($RR-in-CD-low-excl) then normalize-space(replace($RR-in-CD-text, '^(\s*\(?)(&gt;|&gt;)([0-9 \.\-]+)(.*)$', '$3'))        else normalize-space(replace($RR-in-CD-text, '^(\s*\(?)([0-9 \.\-]+)(\s*-\s*)([0-9 \.\-]+)(\)?.*)', '$2')) " />
    <xsl:variable name="RR-in-CD-is-high" select="$RR-in-CD-text != '' and (matches($RR-in-CD-text, '^\s*\(?&lt;[0-9 \.\-]+') or matches($RR-in-CD-text, '^\s*\(?[0-9 \.\-]+\s*-\s*[0-9 \.\-]+\)?')) " />
    <xsl:variable name="RR-in-CD-high-excl" select="$RR-in-CD-is-high and matches($RR-in-CD-text, '^\s*\(?&lt;[0-9 \.\-]+') " />
    <xsl:variable name="RR-in-CD-high-value" select="if (not($RR-in-CD-is-high)) then ''        else if ($RR-in-CD-high-excl) then normalize-space(replace($RR-in-CD-text, '^(\s*\(?&lt;)([0-9 \.\-]+)(.*)$', '$2'))        else normalize-space(replace($RR-in-CD-text, '^(\s*\(?)([0-9 \.\-]+)(\s*-\s*)([0-9 \.\-]+)(\)?.*)', '$4')) " />
    <xsl:variable name="valid-RR-in-CD-values" select="if ($RR-in-CD-is-low and $RR-in-CD-is-high) then $RR-in-CD-low-value castable as xs:double and $RR-in-CD-high-value castable as xs:double         else if ($RR-in-CD-is-low) then $RR-in-CD-low-value castable as xs:double         else if ($RR-in-CD-is-high) then $RR-in-CD-high-value castable as xs:double         else false() " />
    <xsl:variable name="RR-in-CD-value-msg" select="if (not($valid-RR-in-CD-values)) then ''        else if ($RR-in-CD-is-low and not($RR-in-CD-is-high)) then concat(' and a low ''value'' attribute with the value ''', $RR-in-CD-low-value, '''')        else if (not($RR-in-CD-is-low) and $RR-in-CD-is-high) then          concat(' and a high ''value'' attribute with the value ''', $RR-in-CD-high-value, '''')        else if ($RR-in-CD-is-low and $RR-in-CD-is-high) then concat(', a low ''value'' attribute with the value ''', $RR-in-CD-low-value,          ''' and a high ''value'' attribute with the value ''', $RR-in-CD-high-value, '''')         else '' " />
    <xsl:variable name="RR-in-CD-unit" select="if ($RR-in-CD-text = '' or not($valid-RR-in-CD-values)) then ''        else if (matches($RR-in-CD-text, '^\s*\(?(&gt;|&gt;|&lt;)[0-9 \.\-]+\s*$') or matches($RR-in-CD-text, '^\s*\(?[0-9 \.\-]+\s*-\s*[0-9 \.\-]+\)?\s*$'))          then '1'        else if (matches($RR-in-CD-text, '^\s*\(?(&gt;|&gt;|&lt;)[0-9 \.\-]+') or matches($RR-in-CD-text, '^\s*\(?[0-9 \.\-]+\s*-\s*[0-9 \.\-]+\)?'))         then dh:XQueryRecursiveReplace($RR-in-CD-text, $IVL_PQ-replacement, '')         else '' " />
    <xsl:variable name="RR-in-CD-unit-type" select="if ($RR-in-CD-unit = '') then ''        else if ($RR-in-CD-unit = '1') then 'unity'        else dh:ValidateUCUM(dh:XQueryRecursiveReplace($RR-in-CD-unit, $ucum-annotation-replacement, ''))" />
    <xsl:variable name="RR-in-CD-unit-msg" select="if ($RR-in-CD-unit = '') then '' else if ($RR-in-CD-unit = '1') then ' a unit attribute with the value ''1'' or an annotation'        else concat(' a unit attribute with the value ''', $RR-in-CD-unit, '''') " />
    <xsl:variable name="RR-in-CD" select="$valid-RR-in-CD-values and ($RR-in-CD-unit = '1' or contains($RR-in-CD-unit-type, '~')) " />
    <xsl:variable name="try-ST-for-quant" select="($is-Text or ($is-EncapsulatedData and @mediaType = 'text/plain' and not(@compression))) and $normalized-text != ''" />
    <xsl:variable name="IVL_PQ-in-ST-is-low" select="$try-ST-for-quant and (matches($normalized-text, $PQ-low-regex) or matches($normalized-text, $IVL_PQ-regex)) " />
    <xsl:variable name="IVL_PQ-in-ST-low-excl" select="$IVL_PQ-in-ST-is-low and matches($normalized-text, $PQ-low-regex) " />
    <xsl:variable name="IVL_PQ-in-ST-low-value" select="if (not($IVL_PQ-in-ST-is-low)) then ''        else if ($IVL_PQ-in-ST-low-excl) then normalize-space(replace($normalized-text, '^(\s*\(?)(&gt;|&gt;)([0-9 \.\-]+)(.*)$', '$3'))        else normalize-space(replace($normalized-text, '^(\s*\(?)([0-9 \.\-]+)(\s*-\s*)([0-9 \.\-]+)(\)?.*)', '$2')) " />
    <xsl:variable name="IVL_PQ-in-ST-is-high" select="$try-ST-for-quant and (matches($normalized-text, $PQ-high-regex) or matches($normalized-text, $IVL_PQ-regex)) " />
    <xsl:variable name="IVL_PQ-in-ST-high-excl" select="$IVL_PQ-in-ST-is-high and matches($normalized-text, $PQ-high-regex) " />
    <xsl:variable name="IVL_PQ-in-ST-high-value" select="if (not($IVL_PQ-in-ST-is-high)) then ''        else if ($IVL_PQ-in-ST-high-excl) then normalize-space(replace($normalized-text, '^(\s*\(?&lt;)([0-9 \.\-]+)(.*)$', '$2'))        else normalize-space(replace($normalized-text, '^(\s*\(?)([0-9 \.\-]+)(\s*-\s*)([0-9 \.\-]+)(\)?.*)', '$4')) " />
    <xsl:variable name="valid-IVL_PQ-in-ST-values" select="if ($IVL_PQ-in-ST-is-low and $IVL_PQ-in-ST-is-high) then $IVL_PQ-in-ST-low-value castable as xs:double and $IVL_PQ-in-ST-high-value castable as xs:double         else if ($IVL_PQ-in-ST-is-low) then $IVL_PQ-in-ST-low-value castable as xs:double         else if ($IVL_PQ-in-ST-is-high) then $IVL_PQ-in-ST-high-value castable as xs:double         else false() " />
    <xsl:variable name="IVL_PQ-in-ST-value-msg" select="if (not($valid-IVL_PQ-in-ST-values)) then ''        else if ($IVL_PQ-in-ST-is-low and not($IVL_PQ-in-ST-is-high)) then concat(' and a low ''value'' attribute with the value ''', $IVL_PQ-in-ST-low-value, '''')        else if (not($IVL_PQ-in-ST-is-low) and $IVL_PQ-in-ST-is-high) then          concat(' and a high ''value'' attribute with the value ''', $IVL_PQ-in-ST-high-value, '''')        else if ($IVL_PQ-in-ST-is-low and $IVL_PQ-in-ST-is-high) then concat(', a low ''value'' attribute with the value ''', $IVL_PQ-in-ST-low-value,          ''' and a high ''value'' attribute with the value ''', $IVL_PQ-in-ST-high-value, '''')         else '' " />
    <xsl:variable name="IVL_PQ-in-ST-unit" select="if (not($try-ST-for-quant) or not($valid-IVL_PQ-in-ST-values)) then ''        else if (matches($normalized-text, '^\s*\(?(&gt;|&gt;|&lt;)[0-9 \.\-]+\s*$') or           matches($normalized-text, '^\s*\(?[0-9 \.\-]+\s*-\s*[0-9 \.\-]+\)?\s*$')) then '1'        else if (matches($normalized-text, '^\s*\(?(&gt;|&gt;|&lt;)[0-9 \.\-]+') or matches($normalized-text, '^\s*\(?[0-9 \.\-]+\s*-\s*[0-9 \.\-]+\)?'))         then dh:XQueryRecursiveReplace($normalized-text, $IVL_PQ-replacement, '')         else '' " />
    <xsl:variable name="IVL_PQ-in-ST-unit-type" select="if ($IVL_PQ-in-ST-unit = '') then ''        else if ($IVL_PQ-in-ST-unit = '1') then 'unity'        else dh:ValidateUCUM(dh:XQueryRecursiveReplace($IVL_PQ-in-ST-unit, $ucum-annotation-replacement, ''))" />
    <xsl:variable name="IVL_PQ-in-ST-unit-msg" select="if ($IVL_PQ-in-ST-unit = '') then '' else if ($IVL_PQ-in-ST-unit = '1') then ' a unit attribute with the value ''1'' or an annotation'        else concat(' a unit attribute with the value ''', $IVL_PQ-in-ST-unit, '''') " />
    <xsl:variable name="IVL_PQ-in-ST" select="$valid-IVL_PQ-in-ST-values and ($IVL_PQ-in-ST-unit = '1' or contains($IVL_PQ-in-ST-unit-type, '~')) " />
    <xsl:variable name="PQ-in-ST-value" select="if (not($try-ST-for-quant) or $IVL_PQ-in-ST-is-low or $IVL_PQ-in-ST-is-high) then ''         else normalize-space(replace($normalized-text, $number-in-ST-regex, '$1'))" />
    <xsl:variable name="valid-PQ-in-ST-value" select="$PQ-in-ST-value castable as xs:double " />
    <xsl:variable name="PQ-in-ST-unit" select="if (not($try-ST-for-quant) or not($valid-PQ-in-ST-value)) then ''        else if ($normalized-text castable as xs:double) then '1'        else dh:XQueryRecursiveReplace($normalized-text, $PQ-replacement, '')" />
    <xsl:variable name="PQ-in-ST-unit-msg" select="if ($PQ-in-ST-unit = '') then '' else if ($PQ-in-ST-unit = '1') then ' a unit attribute with the value ''1'' or an annotation'        else concat(' a unit attribute with the value ''', $PQ-in-ST-unit, '''') " />
    <xsl:variable name="PQ-in-ST-unit-type" select="if ($PQ-in-ST-unit = '') then ''        else if ($PQ-in-ST-unit = '1') then 'unity'        else dh:ValidateUCUM(dh:XQueryRecursiveReplace($PQ-in-ST-unit, $ucum-annotation-replacement, ''))" />
    <xsl:variable name="INT-in-ST" select="$PQ-in-ST-value != '' and $PQ-in-ST-unit = '1' and $normalized-text castable as xs:integer " />
    <xsl:variable name="PQ-in-ST" select="not($INT-in-ST) and $valid-PQ-in-ST-value and ($PQ-in-ST-unit = '1' or contains($PQ-in-ST-unit-type, '~')) " />
    <xsl:variable name="RR-in-ST-text" select="if (($PQ-in-CD or $IVL_PQ-in-CD) and matches($normalized-text, $RR-regex))         then normalize-space(replace($normalized-text, $RR-regex, '$2'))        else '' " />
    <xsl:variable name="RR-in-ST-is-low" select="$RR-in-ST-text != '' and (matches($RR-in-ST-text, '^\s*\(?(&gt;|&gt;)[0-9 \.\-]+') or         matches($RR-in-ST-text, '^\s*\(?[0-9 \.\-]+\s*-\s*[0-9 \.\-]+\)?')) " />
    <xsl:variable name="RR-in-ST-low-excl" select="$RR-in-ST-is-low and matches($RR-in-ST-text, '^\s*\(?(&gt;|&gt;)[0-9 \.\-]+') " />
    <xsl:variable name="RR-in-ST-low-value" select="if (not($RR-in-ST-is-low)) then ''        else if ($RR-in-ST-low-excl) then normalize-space(replace($RR-in-ST-text, '^(\s*\(?)(&gt;|&gt;)([0-9 \.\-]+)(.*)$', '$3'))        else normalize-space(replace($RR-in-ST-text, '^(\s*\(?)([0-9 \.\-]+)(\s*-\s*)([0-9 \.\-]+)(\)?.*)', '$2')) " />
    <xsl:variable name="RR-in-ST-is-high" select="$RR-in-ST-text != '' and (matches($RR-in-ST-text, '^\s*\(?&lt;[0-9 \.\-]+') or matches($RR-in-ST-text, '^\s*\(?[0-9 \.\-]+\s*-\s*[0-9 \.\-]+\)?')) " />
    <xsl:variable name="RR-in-ST-high-excl" select="$RR-in-ST-is-high and matches($RR-in-ST-text, '^\s*\(?&lt;[0-9 \.\-]+') " />
    <xsl:variable name="RR-in-ST-high-value" select="if (not($RR-in-ST-is-high)) then ''        else if ($RR-in-ST-high-excl) then normalize-space(replace($RR-in-ST-text, '^(\s*\(?&lt;)([0-9 \.\-]+)(.*)$', '$2'))        else normalize-space(replace($RR-in-ST-text, '^(\s*\(?)([0-9 \.\-]+)(\s*-\s*)([0-9 \.\-]+)(\)?.*)', '$4')) " />
    <xsl:variable name="valid-RR-in-ST-values" select="if ($RR-in-ST-is-low and $RR-in-ST-is-high) then $RR-in-ST-low-value castable as xs:double and $RR-in-ST-high-value castable as xs:double         else if ($RR-in-ST-is-low) then $RR-in-ST-low-value castable as xs:double         else if ($RR-in-ST-is-high) then $RR-in-ST-high-value castable as xs:double         else false() " />
    <xsl:variable name="RR-in-ST-value-msg" select="if (not($valid-RR-in-ST-values)) then ''        else if ($RR-in-ST-is-low and not($RR-in-ST-is-high)) then concat(' and a low ''value'' attribute with the value ''', $RR-in-ST-low-value, '''')        else if (not($RR-in-ST-is-low) and $RR-in-ST-is-high) then          concat(' and a high ''value'' attribute with the value ''', $RR-in-ST-high-value, '''')        else if ($RR-in-ST-is-low and $RR-in-ST-is-high) then concat(', a low ''value'' attribute with the value ''', $RR-in-ST-low-value,          ''' and a high ''value'' attribute with the value ''', $RR-in-ST-high-value, '''')         else '' " />
    <xsl:variable name="RR-in-ST-unit" select="if ($RR-in-ST-text = '' or not($valid-RR-in-ST-values)) then ''        else if (matches($RR-in-ST-text, '^\s*\(?(&gt;|&gt;|&lt;)[0-9 \.\-]+\s*$') or matches($RR-in-ST-text, '^\s*\(?[0-9 \.\-]+\s*-\s*[0-9 \.\-]+\)?\s*$'))          then '1'        else if (matches($RR-in-ST-text, '^\s*\(?(&gt;|&gt;|&lt;)[0-9 \.\-]+') or matches($RR-in-ST-text, '^\s*\(?[0-9 \.\-]+\s*-\s*[0-9 \.\-]+\)?'))         then dh:XQueryRecursiveReplace($RR-in-ST-text, $IVL_PQ-replacement, '')         else '' " />
    <xsl:variable name="RR-in-ST-unit-type" select="if ($RR-in-ST-unit = '') then ''        else if ($RR-in-ST-unit = '1') then 'unity'        else dh:ValidateUCUM(dh:XQueryRecursiveReplace($RR-in-ST-unit, $ucum-annotation-replacement, ''))" />
    <xsl:variable name="RR-in-ST-unit-msg" select="if ($RR-in-ST-unit = '') then '' else if ($RR-in-ST-unit = '1') then ' a unit attribute with the value ''1'' or an annotation'        else concat(' a unit attribute with the value ''', $RR-in-ST-unit, '''') " />
    <xsl:variable name="RR-in-ST" select="$valid-RR-in-ST-values and ($RR-in-ST-unit = '1' or contains($RR-in-ST-unit-type, '~')) " />
    <xsl:variable name="long-text" select="($is-CodeableText and string-length($normalized-otext) &gt; $length-err-max)       or              ($is-Text and string-length($normalized-text) &gt; $length-err-max)         or              ($is-EncapsulatedData and @mediaType = 'text/plain' and not(@compression) and string-length($normalized-text) &gt; $length-err-max) " />
    <xsl:variable name="prose-text" select="$long-text and not($is-CodeableText) and matches(., $unicode-br-regex) " />
    <xsl:variable name="length-err" select="$long-text and $is-CodeableText " />
    <xsl:variable name="family-err" select="$family-regex != '' and $is-CodeableText and matches($normalized-otext, $family-regex, 'is')" />
    <xsl:variable name="message-text1" select=" if ($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See ', $spec-section, ' of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="message-text2" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See sections 8.1 and 8.4 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="message-text3" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See sections 8.1 and 9.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="message-text4" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See sections 8.6 and 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-text-1" select="if (not($is-Text or $is-EncapsulatedData) or . = '') then '' else $normalized-text " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-text-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if (not(cda:originalText)) then ''         else if ($normalized-otext != '' and string-length(cda:originalText) &lt; 200)         then concat('originalText ', codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($normalized-otext, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else if ($normalized-otext != '') then concat('originalText commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($normalized-otext, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-otext" select="if ($normalized-otext != '' and cda:originalText/@nullFlavor) then concat($display-otext-1, ' and ', $display-text-NF)        else if ($normalized-otext != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($normalized-otext = '' and cda:originalText/@nullFlavor) then $display-text-NF        else '' " />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic')),          codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat($display-otext, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat($display-otext, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then $display-otext         else if (cda:originalText and not(@code) and @displayName)          then concat($display-otext, ' and displayName ', $display-dname)         else if (not(cda:originalText) and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)         then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')        else if (@codeSystem and not(@codeSystemName))         then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))        else if (not(@nullFlavor or @code or cda:originalText))         then 'no value (i.e. no nullFlavor attribute or information in a code attribute or originalText element)'       else '' " />
    <xsl:variable name="low-unit" select="if (not(cda:low)) then ''       else if (not(@unit) or (cda:low and not(cda:low/@unit))) then 'error'       else if (@unit = cda:low/@unit) then @unit       else if (@unit = '1' and cda:low/@unit != '1') then cda:low/@unit       else @unit " />
    <xsl:variable name="high-unit" select="if (not(cda:high)) then ''       else if (not(@unit) or (cda:high and not(cda:high/@unit))) then 'error'       else if (@unit = cda:high/@unit) then @unit       else if (@unit = '1' and cda:high/@unit != '1') then cda:high/@unit       else @unit " />
    <xsl:variable name="low-inclusive" select="if (not(cda:low)) then '' else if (cda:low/@inclusive='false') then ' (excluded)' else ' (included)' " />
    <xsl:variable name="high-inclusive" select="if (not(cda:high)) then '' else if (cda:high/@inclusive='false') then ' (excluded)' else ' (included)' " />
    <xsl:variable name="display-range" select="if (not($is-QuantRange)) then ''       else if ($low-unit = 'error' or $high-unit = 'error') then 'error'       else if (cda:low/@value and cda:high/@value)         then concat('low value ', codepoints-to-string(34), cda:low/@value, ' ', $low-unit, codepoints-to-string(34), $low-inclusive,         ' and high value ', codepoints-to-string(34), cda:high/@value, ' ', $high-unit, codepoints-to-string(34), $high-inclusive)        else if (not(cda:low/@value) and cda:high/@value)         then concat('high value ', codepoints-to-string(34), cda:high/@value, ' ', $high-unit, codepoints-to-string(34), $high-inclusive)        else if (cda:low/@value and not(cda:high/@value))         then concat('low value ', codepoints-to-string(34), cda:low/@value, ' ', $low-unit, codepoints-to-string(34), $low-inclusive)       else '' " />
    <xsl:variable name="display-interval" select="if (not($is-TimeInterval)) then ''       else if (@value and cda:low/@value and cda:high/@value)         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34), ', low value ', codepoints-to-string(34), cda:low/@value,        codepoints-to-string(34), $low-inclusive, ' and high value ', codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)        else if (@value and cda:low/@value and not(cda:high/@value))         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34), ' and low value ', codepoints-to-string(34), cda:low/@value,        codepoints-to-string(34), $low-inclusive)       else if (@value and not(cda:low/@value) and cda:high/@value)         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34), ' and high value ', codepoints-to-string(34),        cda:high/@value, codepoints-to-string(34), $high-inclusive)       else if (not(@value) and cda:low/@value and cda:high/@value)         then concat('low value ', codepoints-to-string(34), cda:low/@value, codepoints-to-string(34), $low-inclusive, ' and high value ',         codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)       else if (@value and not(cda:low/@value) and not(cda:high/@value))         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34))       else if (not(@value) and cda:low/@value and not(cda:high/@value))         then concat('low value ', codepoints-to-string(34), cda:low/@value, codepoints-to-string(34), $low-inclusive)       else if (not(@value) and not(cda:low/@value) and cda:high/@value)         then concat('high value ', codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)       else '' " />
    <xsl:variable name="obs-name-1" select="if (not(../cda:code/cda:originalText = '')) then ../cda:code/cda:originalText       else if (not(../cda:code/@displayName = '')) then ../cda:code/@displayName       else '' " />
    <xsl:variable name="obs-name-2" select="if (../cda:code[cda:originalText != ''])       then normalize-space(dh:XQueryRecursiveReplace(normalize-space(../cda:code/cda:originalText), $markup-pattern-replacement, 'ic'))       else if (../cda:code[@displayName != ''])        then  normalize-space(dh:XQueryRecursiveReplace(normalize-space(../cda:code/@displayName), $markup-pattern-replacement, 'ic'))       else '' " />
    <xsl:variable name="prose-comment" select="($is-Text or $is-EncapsulatedData) and $prose-text and matches($obs-name-2, '(^|[^a-z])(comment|autocomment)([^a-z]|$)', 'is')" />
    <xsl:variable name="obs-name" select="if ($obs-name-2 = '') then '' else concat(' is the result of the ', $obs-name-2,        if (ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]) then ' pathology test'       else if (ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]) then ' imaging examination' else ' observation', '.')" />
    <xsl:variable name="obs-msg" select="concat('must be consistent with the kind of observation indicated by the observation code which has ',        if (../cda:code[cda:originalText != '']) then concat('originalText ', codepoints-to-string(34),        normalize-space(dh:XQueryRecursiveReplace(normalize-space(../cda:code/cda:originalText), $markup-pattern-replacement, 'ic')), codepoints-to-string(34))       else '', if (../cda:code[cda:originalText != '' and @displayName != '']) then ' and'       else '', if (../cda:code[@displayName != '']) then concat('displayName ', codepoints-to-string(34),        normalize-space(dh:XQueryRecursiveReplace(normalize-space(../cda:code/@displayName), $markup-pattern-replacement, 'ic')), codepoints-to-string(34))       else '', '.') " />
    <xsl:variable name="rating-28" select="if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1 else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" (($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true') and $is-Boolean ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="(($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true') and $is-Boolean">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-01: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type and
		<xsl:text /><xsl:value-of select="if (@value and @nullFlavor) then concat('has a value attribute with the value ''', @value, ''' and a nullFlavor attribute with the value ''', @nullFlavor, '''')   else if (@value and not(@nullFlavor)) then concat('has a value attribute with the value ''', @value, '''')   else if (not(@value) and @nullFlavor) then concat('has a nullFlavor attribute with the value ''', @nullFlavor, '''')   else 'has no value or nullFlavor attributes' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and $is-CodeableText and not($IVL_PQ-in-CD or $PQ-in-CD or $INT-in-CD or $family-err or $length-err) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and $is-CodeableText and not($IVL_PQ-in-CD or $PQ-in-CD or $INT-in-CD or $family-err or $length-err)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="$display-nullFlavor " /><xsl:text /><xsl:text /><xsl:value-of select="if (@nullFlavor and @code and cda:originalText)    then ', ' else if (@nullFlavor and (@code or cda:originalText)) then ' and ' else ''" /><xsl:text /><xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which <xsl:text /><xsl:value-of select="$obs-name" /><xsl:text /><xsl:text /><xsl:value-of select="if ($log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(           $display-creation-date,      $log-tab,           $document-id,       $log-tab,           $document-name,       $log-tab,           iq:location(., ''),      $log-tab,            'Individual Pathology Test Result Value',       $log-tab,            'no',        $log-tab,            concat($display-code, $display-system, ' which ', $obs-name), $log-tab,            '',        $log-tab,           '',        $log-tab,           '',        $log-tab,           ''        )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" (($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true') and $is-CodeableText ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="(($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true') and $is-CodeableText">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		and has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which <xsl:text /><xsl:value-of select="$obs-name" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" (($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true') and $is-DateTime ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="(($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true') and $is-DateTime">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-18: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and
		<xsl:text /><xsl:value-of select="if (@value and @nullFlavor) then concat('has a value attribute with the value ''', @value, ''' and a nullFlavor attribute with the value ''', @nullFlavor, '''')   else if (@value and not(@nullFlavor)) then concat('has a value attribute with the value ''', @value, '''')   else if (not(@value) and @nullFlavor) then concat('has a nullFlavor attribute with the value ''', @nullFlavor, '''')   else 'has no value or nullFlavor attributes' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" (($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true') and $is-Duration ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="(($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true') and $is-Duration">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-17: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Duration data type and
		<xsl:text /><xsl:value-of select="if (@value and @nullFlavor) then concat('has a value attribute with the value ''', @value, ''' and a nullFlavor attribute with the value ''', @nullFlavor, '''')   else if (@value and not(@nullFlavor)) then concat('has a value attribute with the value ''', @value, '''')   else if (not(@value) and @nullFlavor) then concat('has a nullFlavor attribute with the value ''', @nullFlavor, '''')   else 'has no value or nullFlavor attributes' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /><xsl:text /><xsl:value-of select="if (@unit = '1') then ' The unit attribute has the value ''1'' which is the default value assigned by the CDA schema'   else if (@unit) then concat(' The unit attribute has the value ''', @unit, '''') else ' There is no unit attribute' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" (($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true') and $is-EncapsulatedData ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="(($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true') and $is-EncapsulatedData">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-02: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data
		type and <xsl:text /><xsl:value-of select="if (cda:reference/@value and string-length($normalized-text) &gt; 0) then concat('has a reference to ''', cda:reference/@value, ''' and contains the character   string ', $display-text)   else if (cda:reference/@value and not(string-length($normalized-text) &gt; 0)) then concat('has a reference to ''', cda:reference/@value, '''')   else if (not(cda:reference/@value) and string-length($normalized-text) &gt; 0) then concat('contains the character string ', $display-text)   else 'has no reference and does not contain a character string' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@nullFlavor) then concat(' The nullFlavor attribute has the value ''', @nullFlavor, '''.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the value ''', @mediaType, '''.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (@integrityCheckAlgorithm) then concat(' The integrityCheckAlgorithm attribute has the value ''', @integrityCheckAlgorithm, '''.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (@integrityCheck) then concat(' The integrityCheck attribute has the value ''', @integrityCheck, '''.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" (($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true') and $is-Integer ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="(($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true') and $is-Integer">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-14: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type and
		<xsl:text /><xsl:value-of select="if (@value and @nullFlavor) then concat('has a value attribute with the value ''', @value, ''' and a nullFlavor attribute with the value ''', @nullFlavor, '''')   else if (@value and not(@nullFlavor)) then concat('has a value attribute with the value ''', @value, '''')   else if (not(@value) and @nullFlavor) then concat('has a nullFlavor attribute with the value ''', @nullFlavor, '''')   else 'has no value or nullFlavor attributes' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" (($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true') and $is-Quantity ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="(($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true') and $is-Quantity">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-13: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Quantity data type and
		<xsl:text /><xsl:value-of select="if (@value and @unit) then concat('has a value attribute with the value ''', @value, ''' and a unit attribute with the value ''', @unit, '''')   else if (@value and not(@unit)) then concat('has a value attribute with the value ''', @value, '''')   else if (not(@value) and @unit) then concat('has a unit attribute with the value ''', @unit, '''')   else 'has no value or unit attributes' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@nullFlavor) then concat('The nullFlavor attribute has the value ''', @nullFlavor, '''.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" (($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true') and $is-QuantRange ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="(($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true') and $is-QuantRange">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-21: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the QuantityRange data type
		and <xsl:text /><xsl:value-of select="if ((cda:low/@value or cda:high/@value) and not(@display-range = 'error')) then concat('has ', $display-range)   else 'has no low or high data elements' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@nullFlavor) then concat('The nullFlavor attribute has the value ''', @nullFlavor, '''.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" (($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true') and $is-QuantRatio ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="(($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true') and $is-QuantRatio">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-16: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the QuantityRatio data type
		and <xsl:text /><xsl:value-of select="if (@nullFlavor) then concat('has a nullFlavor attribute with the value ''', @nullFlavor, '''')   else 'has no nullFlavor attribute' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (cda:numerator/@value and cda:numerator/@nullFlavor)    then concat('The numerator has a value attribute with the value ''', @value, ''' and a nullFlavor attribute with the value ''', @nullFlavor, '''')   else if (cda:numerator/@value and not(cda:numerator/@nullFlavor)) then concat('The numerator has a value attribute with the value ''', @value, '''')   else if (not(cda:numerator/@value) and cda:numerator/@nullFlavor) then concat('The numerator has a nullFlavor attribute with the value ''', @nullFlavor, '''')   else if (cda:numerator and not(cda:numerator/@value) and not(cda:numerator/@nullFlavor)) then 'The numerator has no value and nullFlavor attributes'   else 'There is no numerator' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (cda:denominator/@value and cda:denominator/@nullFlavor)    then concat('The denominator has a value attribute with the value ''', @value, ''' and a nullFlavor attribute with the value ''', @nullFlavor, '''')   else if (cda:denominator/@value and not(cda:denominator/@nullFlavor)) then concat('The denominator has a value attribute with the value ''', @value, '''')   else if (not(cda:denominator/@value) and cda:denominator/@nullFlavor) then concat('The denominator has a nullFlavor attribute with the value ''', @nullFlavor, '''')   else if (cda:denominator and not(cda:denominator/@value) and not(cda:denominator/@nullFlavor)) then 'The denominator has no value and nullFlavor attributes'   else 'There is no denominator' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" (($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true') and $is-Real ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="(($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true') and $is-Real">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-15: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Real data type and
		<xsl:text /><xsl:value-of select="if (@value and @nullFlavor) then concat('has a value attribute with the value ''', @value, ''' and a nullFlavor attribute with the value ''', @nullFlavor, '''')   else if (@value and not(@nullFlavor)) then concat('has a value attribute with the value ''', @value, '''')   else if (not(@value) and @nullFlavor) then concat('has a nullFlavor attribute with the value ''', @nullFlavor, '''')   else 'has no value or nullFlavor attributes' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" (($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true') and $is-Text and not($IVL_PQ-in-ST or $INT-in-ST or $PQ-in-ST) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="(($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true') and $is-Text and not($IVL_PQ-in-ST or $INT-in-ST or $PQ-in-ST)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and
		<xsl:text /><xsl:value-of select="if (string-length($normalized-text) &gt; 0 and @nullFlavor) then concat('contains the character string ', $display-text, ' and has a nullFlavor attribute with the value ',    @nullFlavor)   else if (string-length($normalized-text) &gt; 0 and not(@nullFlavor)) then concat('contains the character string ', $display-text)   else if (not(string-length($normalized-text) &gt; 0) and @nullFlavor) then concat('has a nullFlavor attribute with the value ''', @nullFlavor, '''')   else 'has no nullFlavor attribute and does not contain a character string' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@nullFlavor) then concat('The nullFlavor attribute has the value ''', @nullFlavor, '''.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (@mediaType) then concat('The mediaType attribute has the value ''', @mediaType, '''.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" (($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true') and $is-TimeInterval ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="(($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true') and $is-TimeInterval">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-22: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type and <xsl:text /><xsl:value-of select="if (@value or cda:low/@value or cda:high/@value) then concat('has ', $display-interval)   else 'has no value attribute and no low or high data elements' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@nullFlavor) then concat('The nullFlavor attribute has the value ''', @nullFlavor, '''.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and $is-Text and not(matches(., '[a-z]', 'is')) and    matches(translate(normalize-space(lower-case(.)), $chars-to-remove, ''), '^[0-9]+$', '') and not(@nullFlavor or $IVL_PQ-in-ST or $INT-in-ST or $PQ-in-ST or $prose-text) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $is-Text and not(matches(., '[a-z]', 'is')) and matches(translate(normalize-space(lower-case(.)), $chars-to-remove, ''), '^[0-9]+$', '') and not(@nullFlavor or $IVL_PQ-in-ST or $INT-in-ST or $PQ-in-ST or $prose-text)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-Types-110" /><xsl:text />: TC-Types-110: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and contains the character string <xsl:text /><xsl:value-of select="$display-text" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text />
		Using a different data type for the outcome of the observation may provide a better representation of the data.
		(See section 3.1.13.1 of the HL7 Reference Information Model, Release 6.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and $is-EncapsulatedData and not(@nullFlavor or $family-err or $length-err or $prose-text) and   not(cda:reference/@value) and string-length($normalized-text) &gt; 0 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $is-EncapsulatedData and not(@nullFlavor or $family-err or $length-err or $prose-text) and not(cda:reference/@value) and string-length($normalized-text) &gt; 0">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-Types-110" /><xsl:text />: TC-Types-110: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data that contains the character string type and <xsl:text /><xsl:value-of select="$display-text " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text />
		Using a different data type for the outcome of the observation may provide a better representation of the data.
		(See section 3.1.13.1 of the HL7 Reference Information Model, Release 6.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" (($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true') and    not($is-Boolean or $is-CodeableText or $is-DateTime or $is-Duration or $is-EncapsulatedData or $is-Integer or     $is-Quantity or $is-QuantRange or $is-QuantRatio or $is-Real or $is-Text or $is-TimeInterval) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="(($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true') and not($is-Boolean or $is-CodeableText or $is-DateTime or $is-Duration or $is-EncapsulatedData or $is-Integer or $is-Quantity or $is-QuantRange or $is-QuantRatio or $is-Real or $is-Text or $is-TimeInterval)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-110: The data type of The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> cannot be determined. <xsl:text /><xsl:value-of select="if (@nullFlavor) then concat('The nullFlavor attribute has the value ''', @nullFlavor, '''.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-Boolean and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-Boolean and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-49" /><xsl:text />: TC-Types-49 step 2: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type however it has
		a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include nullFlavor 'UNC'.
		(See <xsl:text /><xsl:value-of select="$spec-section" /><xsl:text /> of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-Boolean and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-Boolean and not(true())">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-110" /><xsl:text />: TC-Types-110: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Boolean data type however that data type is not allowed for this data element.
		The Individual Pathology Test Result Value <xsl:text /><xsl:value-of select="$obs-msg" /><xsl:text /> (See the Structured Content Specification and section 2.20 of the Pathology Test Result Detailed Clinical Model Specification v3.2 and section 3.1.13.1 of the HL7 Reference Information Model, Release 6.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-57" /><xsl:text />: TC-Types-57: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-Boolean and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-Boolean and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		Boolean data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the Boolean data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-Boolean and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-Boolean and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		Boolean data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the Boolean data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-Boolean and    @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-Boolean and @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		Boolean data type however an attribute  '<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')])" /><xsl:text />' was found that is not expected for the
		Boolean data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-Boolean and    @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-Boolean and @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		Boolean data type however an attribute  '<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value')])" /><xsl:text />' was found that is not expected for the
		Boolean data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-EncapsulatedData and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-EncapsulatedData and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-49" /><xsl:text />: TC-Types-49 step 2: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		EncapsulatedData data type however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present so it
		is an error to include nullFlavor 'UNC'. (See <xsl:text /><xsl:value-of select="$spec-section" /><xsl:text /> of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of
		ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-EncapsulatedData and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-EncapsulatedData and not(true())">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-110" /><xsl:text />: TC-Types-110: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type however that data type is not allowed for this data element.
		The Individual Pathology Test Result Value <xsl:text /><xsl:value-of select="$obs-msg" /><xsl:text /> (See the Structured Content Specification and section 2.20 of the Pathology Test Result Detailed Clinical Model Specification v3.2 and section 3.1.13.1 of the HL7 Reference Information Model, Release 6.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-EncapsulatedData and *[not(local-name() = 'reference' or local-name() = 'thumbnail')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-EncapsulatedData and *[not(local-name() = 'reference' or local-name() = 'thumbnail')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		EncapsulatedData data type however a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = 'reference' or local-name() = 'thumbnail')])" /><xsl:text />' was found
		that is not expected for the EncapsulatedData data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-EncapsulatedData and    *[not(local-name() = 'reference' or local-name() = 'thumbnail')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-EncapsulatedData and *[not(local-name() = 'reference' or local-name() = 'thumbnail')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		EncapsulatedData data type however a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = 'reference' or local-name() = 'thumbnail')])" /><xsl:text />' was found
		that is not expected for the EncapsulatedData data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    $is-EncapsulatedData and @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'language' or name() = 'mediaType' or name() = 'charset' or name() = 'integrityCheck'    or name() = 'integrityCheckAlgorithm' or name() = 'compression' or name() = 'representation')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-EncapsulatedData and @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'language' or name() = 'mediaType' or name() = 'charset' or name() = 'integrityCheck' or name() = 'integrityCheckAlgorithm' or name() = 'compression' or name() = 'representation')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		EncapsulatedData data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'language' or name() = 'mediaType' or name() = 'charset' or name() = 'integrityCheck'    or name() = 'integrityCheckAlgorithm' or name() = 'compression' or name() = 'representation')])" /><xsl:text />' was found that is not expected for the EncapsulatedData data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    $is-EncapsulatedData and @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'language' or name() = 'mediaType' or name() = 'charset' or name() = 'integrityCheck'    or name() = 'integrityCheckAlgorithm' or name() = 'compression' or name() = 'representation')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-EncapsulatedData and @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'language' or name() = 'mediaType' or name() = 'charset' or name() = 'integrityCheck' or name() = 'integrityCheckAlgorithm' or name() = 'compression' or name() = 'representation')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		EncapsulatedData data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'language' or name() = 'mediaType' or name() = 'charset' or name() = 'integrityCheck'    or name() = 'integrityCheckAlgorithm' or name() = 'compression' or name() = 'representation')])" /><xsl:text />' was found that is not expected for the EncapsulatedData data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $is-EncapsulatedData and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $is-EncapsulatedData and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-03" /><xsl:text />: TC-Types-03: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type and has the attribute
		language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this attribute.
		(See <xsl:text /><xsl:value-of select="$spec-section" /><xsl:text /> of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		<xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $is-EncapsulatedData and @charset ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $is-EncapsulatedData and @charset">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-03" /><xsl:text />: TC-Types-03: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type and has the attribute
		charset='<xsl:text /><xsl:value-of select="@charset" /><xsl:text />'. Confirm that this is a valid value for this attribute.
		(See <xsl:text /><xsl:value-of select="$spec-section" /><xsl:text /> of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		<xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-Text and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-Text and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-49" /><xsl:text />: TC-Types-49 step 2: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		Text data type however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present
		so it is an error to include nullFlavor 'UNC'.
		(See <xsl:text /><xsl:value-of select="$spec-section" /><xsl:text /> of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-Text and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-Text and not(true())">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-110" /><xsl:text />: TC-Types-110: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however that
		data type is not allowed for this data element.
		The Individual Pathology Test Result Value <xsl:text /><xsl:value-of select="$obs-msg" /><xsl:text /> (See the Structured Content Specification and section 2.20 of the Pathology Test Result Detailed Clinical Model Specification v3.2 and section 3.1.13.1 of the HL7 Reference Information Model, Release 6.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($is-Text or $is-EncapsulatedData) and $prose-text and not($prose-comment) and not($cd-definitions/resPath/@no-prose-regex != '' and matches($obs-name-1, $cd-definitions/resPath/@no-prose-regex, 'is')) and    not($cd-definitions/resPath/@allow-prose-regex != '' and matches($obs-name-1, $cd-definitions/resPath/@allow-prose-regex, 'is')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($is-Text or $is-EncapsulatedData) and $prose-text and not($prose-comment) and not($cd-definitions/resPath/@no-prose-regex != '' and matches($obs-name-1, $cd-definitions/resPath/@no-prose-regex, 'is')) and not($cd-definitions/resPath/@allow-prose-regex != '' and matches($obs-name-1, $cd-definitions/resPath/@allow-prose-regex, 'is'))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-TC-Types-110" /><xsl:text />: TC-Types-110: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name-2 = '') then '' else concat(' is the result of a ', $obs-name-2,        if (ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]) then ' pathology test'       else if (ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]) then ' imaging examination' else ' observation', ' and ')" /><xsl:text />
		has the value <xsl:text /><xsl:value-of select="$display-text" /><xsl:text />. This is prose text which may not be valid for the Individual Pathology Test Result Value
		<xsl:text /><xsl:value-of select="if ($obs-name-2 = '') then '.' else concat(' of a ', $obs-name-2,        if (ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]) then ' pathology test.'       else if (ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]) then ' imaging examination.' else ' observation.')" /><xsl:text />
		Confirm if this is a valid value for the Individual Pathology Test Result Value. (See the definition of Individual Pathology Test Result Value in the Structured Content Specification and section 2.20 of the Pathology Test Result Detailed Clinical Model Specification v3.2.)
		If an individual result is required and it is not possible to record individual results then rather than the
		<xsl:text /><xsl:value-of select="if (ancestor::cda:section[position()=1]/cda:title) then ancestor::cda:section[position()=1]/cda:title     else if (ancestor::cda:section[position()=1]/cda:code/@displayName) then ancestor::cda:section[position()=1]/cda:code/@displayName else '' " /><xsl:text /> section
		the information should be recorded in a Diagnostic Investigation section defined in the FAQ on Undifferentiated pathology and radiology reports.
		The Diagnostic Investigation section may be used for any type of diagnostic investigation such as pathology, diagnostic imaging and other types of diagnostic investigation
		and may be used as a subsection of the
		<xsl:text /><xsl:value-of select="if (ancestor::cda:section[position()=2]/cda:title) then ancestor::cda:section[position()=2]/cda:title     else if (ancestor::cda:section[position()=2]/cda:code/@displayName) then ancestor::cda:section[position()=2]/cda:code/@displayName else 'Diagnostic Investigations' " /><xsl:text /> section.
		The Diagnostic Investigation section is intended for use for diagnostic investigations where information is recorded as prose text and individual results cannot be recorded in separate
		entry elements.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($is-Text or $is-EncapsulatedData) and $prose-comment and not($cd-definitions/resPath/@no-prose-regex != '' and matches($obs-name-1, $cd-definitions/resPath/@no-prose-regex, 'is')) and    not($cd-definitions/resPath/@allow-prose-regex != '' and matches($obs-name-1, $cd-definitions/resPath/@allow-prose-regex, 'is')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($is-Text or $is-EncapsulatedData) and $prose-comment and not($cd-definitions/resPath/@no-prose-regex != '' and matches($obs-name-1, $cd-definitions/resPath/@no-prose-regex, 'is')) and not($cd-definitions/resPath/@allow-prose-regex != '' and matches($obs-name-1, $cd-definitions/resPath/@allow-prose-regex, 'is'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-110" /><xsl:text />: TC-Types-110: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value <xsl:text /><xsl:value-of select="$display-text" /><xsl:text />. This is not valid for the Individual Pathology Test Result Value as it is a comment rather than the
		result of <xsl:text /><xsl:value-of select="if (ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]) then 'a pathology test.'   else 'an imaging examination.'" /><xsl:text /> (See the definition of Individual Pathology Test Result Value in the Structured Content Specification and section 2.20 of the Pathology Test Result Detailed Clinical Model Specification v3.2.)
		<xsl:text /><xsl:value-of select="if (ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']])    then 'The correct place to record a comment is in the Individual Pathology Test Result Comment or Test Comment data element.'   else 'The correct place to record a comment is in the Result Comment data element.'" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($is-Text or $is-EncapsulatedData) and $prose-text and $cd-definitions/resPath/@no-prose-regex != '' and matches($obs-name-1, $cd-definitions/resPath/@no-prose-regex, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($is-Text or $is-EncapsulatedData) and $prose-text and $cd-definitions/resPath/@no-prose-regex != '' and matches($obs-name-1, $cd-definitions/resPath/@no-prose-regex, 'is')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-110" /><xsl:text />: TC-Types-110: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name-2 = '') then '' else concat(' is the result of a ', $obs-name-2,        if (ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]) then ' pathology test'       else if (ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]) then ' imaging examination' else ' observation', ' and ')" /><xsl:text />
		has the value <xsl:text /><xsl:value-of select="$display-text" /><xsl:text />. This is prose text which is not valid for the Individual Pathology Test Result Value
		<xsl:text /><xsl:value-of select="if ($obs-name-2 = '') then '' else concat(' of a ', $obs-name-2,        if (ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]) then ' pathology test'       else if (ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]) then ' imaging examination' else ' observation')" /><xsl:text />
		as an individual result required for an Individual Pathology Test Result Value data element.
		(See the definition of Individual Pathology Test Result Value in the Structured Content Specification and section 2.20 of the Pathology Test Result Detailed Clinical Model Specification v3.2.) If it is not possible to record individual results then rather than the
		<xsl:text /><xsl:value-of select="if (ancestor::cda:section[position()=1]/cda:title) then ancestor::cda:section[position()=1]/cda:title     else if (ancestor::cda:section[position()=1]/cda:code/@displayName) then ancestor::cda:section[position()=1]/cda:code/@displayName else '' " /><xsl:text /> section
		the information should be recorded in a Diagnostic Investigation section defined in the FAQ on Undifferentiated pathology and radiology reports.
		The Diagnostic Investigation section may be used for any type of diagnostic investigation such as pathology, diagnostic imaging and other types of diagnostic investigation
		and may be used as a subsection of the
		<xsl:text /><xsl:value-of select="if (ancestor::cda:section[position()=2]/cda:title) then ancestor::cda:section[position()=2]/cda:title     else if (ancestor::cda:section[position()=2]/cda:code/@displayName) then ancestor::cda:section[position()=2]/cda:code/@displayName else 'Diagnostic Investigations' " /><xsl:text /> section.
		The Diagnostic Investigation section is intended for use for diagnostic investigations where information is recorded as prose text and individual results cannot be recorded in separate
		entry elements.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-Text and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-Text and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		Text data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-Text and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-Text and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		Text data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-Text and    @*[not(name() = 'xsi:type' or name() = 'integrityCheckAlgorithm' or name() = 'representation' or name() = 'nullFlavor' or name() = 'language' or name() = 'mediaType')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-Text and @*[not(name() = 'xsi:type' or name() = 'integrityCheckAlgorithm' or name() = 'representation' or name() = 'nullFlavor' or name() = 'language' or name() = 'mediaType')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		Text data type however an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'integrityCheckAlgorithm' or   name() = 'representation' or name() = 'nullFlavor' or name() = 'language' or name() = 'mediaType')])" /><xsl:text />' was found that is not expected for the Text data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-Text and    @*[not(name() = 'xsi:type' or name() = 'integrityCheckAlgorithm' or name() = 'representation' or name() = 'nullFlavor' or name() = 'language' or name() = 'mediaType')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-Text and @*[not(name() = 'xsi:type' or name() = 'integrityCheckAlgorithm' or name() = 'representation' or name() = 'nullFlavor' or name() = 'language' or name() = 'mediaType')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		Text data type however an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'integrityCheckAlgorithm' or   name() = 'representation' or name() = 'nullFlavor' or name() = 'language' or name() = 'mediaType')])" /><xsl:text />' was found that is not expected for the Text data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-Text and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-Text and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		Text data type however an attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-Text and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-Text and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		Text data type however an attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-Text and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-Text and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		Text data type however an attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so
		this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-Text and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-Text and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		Text data type however an attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so
		this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $is-Text and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $is-Text and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-03" /><xsl:text />: TC-Types-03: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and a language attribute with the value '<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this attribute.
		(See <xsl:text /><xsl:value-of select="$spec-section" /><xsl:text /> of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		<xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-Text and $normalized-text != '' and not(matches(., '[a-z0-9]', 'i')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-Text and $normalized-text != '' and not(matches(., '[a-z0-9]', 'i'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-110" /><xsl:text />: TC-Types-110: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and the value <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> which contains no clinical information and is an invalid Individual Pathology Test Result Value.
		The Individual Pathology Test Result Value <xsl:text /><xsl:value-of select="$obs-msg" /><xsl:text /> (See section 3.1.13.1 of the HL7 Reference Information Model, Release 6.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-ST ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-ST">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-110" /><xsl:text />: TC-Types-110: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value <xsl:text /><xsl:value-of select="$display-text" /><xsl:text />.
		This uses the HL7 '<xsl:text /><xsl:value-of select="if ($xsi-type = '') then 'ST' else $xsi-type" /><xsl:text />' data type to record a physical quantity interval whereas a physical quantity interval must be recorded
		using the HL7 'IVL_PQ'
		(Interval of Physical Quantities) data type. The Individual Pathology Test Result Value <xsl:text /><xsl:value-of select="$obs-msg" /><xsl:text /> (See the Structured Content Specification and section 2.20 of the Pathology Test Result Detailed Clinical Model Specification v3.2 and section 3.1.13.1 of the HL7 Reference Information Model, Release 6.)
		The Individual Pathology Test Result Value data element of the HL7 'IVL_PQ' data type may be created with an xsi:type attribute with the value 'IVL_PQ',
		<xsl:text /><xsl:value-of select="$IVL_PQ-in-ST-unit-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$IVL_PQ-in-ST-value-msg " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($IVL_PQ-in-ST-low-excl) then ' The low inclusive attribute must have the value ''false'' to indicate the low boundary is excluded from the interval.' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($IVL_PQ-in-ST-high-excl) then ' The high inclusive attribute must have the value ''false'' to indicate the high boundary is excluded from the interval.' else '' " /><xsl:text />
		(See <xsl:text /><xsl:value-of select="if ($IVL_PQ-in-ST-low-excl or $IVL_PQ-in-ST-high-excl) then 'sections 3.8 and 3.9' else 'section 3.8' " /><xsl:text />
		of XML Implementation Technology Specification - Data Types.)
		<xsl:text /><xsl:value-of select="if (contains($normalized-otext, $IVL_PQ-in-ST-unit)) then ''    else ' This message includes the corrected quantity unit. (See information about quantity units in The Unified Code for Units of Measure.)' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $INT-in-ST ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$INT-in-ST">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-110" /><xsl:text />: TC-Types-110: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value <xsl:text /><xsl:value-of select="$display-text" /><xsl:text />.
		This uses the HL7 '<xsl:text /><xsl:value-of select="if ($xsi-type = '') then 'ST' else $xsi-type" /><xsl:text />' data type to record a quantity whereas a quantity must be recorded using the HL7 'INT'
		(Integer) or 'PQ' (Physical Quantity) data types.
		The Individual Pathology Test Result Value <xsl:text /><xsl:value-of select="$obs-msg" /><xsl:text /> (See the Structured Content Specification and section 2.20 of the Pathology Test Result Detailed Clinical Model Specification v3.2 and section 3.1.13.1 of the HL7 Reference Information Model, Release 6.)
		The Individual Pathology Test Result Value data element of the HL7 'INT' data type may be created with an xsi:type attribute with the value 'INT'
		and a 'value' attribute with the value '<xsl:text /><xsl:value-of select="$PQ-in-ST-value" /><xsl:text />'.
		(See section 2.26 of XML Implementation Technology Specification - Data Types.)
		The Individual Pathology Test Result Value data element of the HL7 'PQ' data type may be created with an xsi:type attribute with the value 'PQ',
		<xsl:text /><xsl:value-of select="$PQ-in-ST-unit-msg" /><xsl:text /> and a 'value' attribute with the value '<xsl:text /><xsl:value-of select="$PQ-in-ST-value" /><xsl:text />'.
		(See section 2.28 of XML Implementation Technology Specification - Data Types.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $PQ-in-ST ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$PQ-in-ST">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-110" /><xsl:text />: TC-Types-110: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value <xsl:text /><xsl:value-of select="$display-text" /><xsl:text />.
		This uses the HL7 '<xsl:text /><xsl:value-of select="if ($xsi-type = '') then 'ST' else $xsi-type" /><xsl:text />' data type to record a physical quantity whereas a physical quantity must be recorded using the HL7 'PQ' (Physical Quantity) data type.
		The Individual Pathology Test Result Value <xsl:text /><xsl:value-of select="$obs-msg" /><xsl:text /> (See the Structured Content Specification and section 2.20 of the Pathology Test Result Detailed Clinical Model Specification v3.2 and section 3.1.13.1 of the HL7 Reference Information Model, Release 6.)
		The Individual Pathology Test Result Value data element of the HL7 'PQ' data type may be created with an xsi:type attribute with the value 'PQ',
		<xsl:text /><xsl:value-of select="$PQ-in-ST-unit-msg" /><xsl:text /> and a 'value' attribute with the value '<xsl:text /><xsl:value-of select="$PQ-in-ST-value" /><xsl:text />'.
		(See section 2.28 of XML Implementation Technology Specification - Data Types.)
		<xsl:text /><xsl:value-of select="if (contains($normalized-otext, $IVL_PQ-in-ST-unit)) then ''    else ' This message includes the corrected quantity unit. (See information about quantity units in The Unified Code for Units of Measure.)' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $RR-in-ST ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$RR-in-ST">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-110" /><xsl:text />: TC-Types-110: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which includes a reference range. A reference range is not an Individual Pathology Test Result Value and
		must be included in a Reference Range data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />.
		(See the definition and mapping table for Reference Range in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		The Individual Pathology Test Result Value <xsl:text /><xsl:value-of select="$obs-msg" /><xsl:text /> (See the Structured Content Specification and section 2.20 of the Pathology Test Result Detailed Clinical Model Specification v3.2.)
		The Reference Range data element should have an xsi:type attribute with the value 'IVL_PQ',
		<xsl:text /><xsl:value-of select="$RR-in-ST-unit-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$RR-in-ST-value-msg " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($RR-in-ST-low-excl) then ' The low inclusive attribute must have the value ''false'' to indicate the low boundary is excluded from the interval.' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($RR-in-ST-high-excl) then ' The high inclusive attribute must have the value ''false'' to indicate the high boundary is excluded from the interval.' else '' " /><xsl:text />
		(See <xsl:text /><xsl:value-of select="if ($RR-in-ST-low-excl or $RR-in-ST-high-excl) then 'sections 3.8 and 3.9' else 'section 3.8' " /><xsl:text />
		of XML Implementation Technology Specification - Data Types.)
		<xsl:text /><xsl:value-of select="if (contains($RR-in-ST-text, $RR-in-ST-unit)) then ''    else ' This message includes the corrected quantity unit. (See information about quantity units in The Unified Code for Units of Measure.)' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-CodeableText and not(@nullFlavor) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-CodeableText and not(@nullFlavor) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-04-step-2" /><xsl:text />: TC-Types-04 step 2: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however the data element does not
		meet the CodeableText requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		(See <xsl:text /><xsl:value-of select="$spec-section" /><xsl:text /> of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		<xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-CodeableText and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-CodeableText and not(true())">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-110" /><xsl:text />: TC-Types-110: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This uses the CodeableText data type however that data type is not
		allowed for this data element. The Individual Pathology Test Result Value <xsl:text /><xsl:value-of select="$obs-msg" /><xsl:text /> (See the Structured Content Specification and section 2.20 of the Pathology Test Result Detailed Clinical Model Specification v3.2 and section 3.1.13.1 of the HL7 Reference Information Model, Release 6.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-110" /><xsl:text />: TC-Types-110: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		This uses the HL7 '<xsl:text /><xsl:value-of select="if ($xsi-type = '') then 'CD' else $xsi-type" /><xsl:text />' data type to record a physical quantity interval whereas a physical quantity interval must be recorded using the HL7 'IVL_PQ'
		(Interval of Physical Quantities) data type. The Individual Pathology Test Result Value <xsl:text /><xsl:value-of select="$obs-msg" /><xsl:text /> (See the Structured Content Specification and section 2.20 of the Pathology Test Result Detailed Clinical Model Specification v3.2 and section 3.1.13.1 of the HL7 Reference Information Model, Release 6.)
		The Individual Pathology Test Result Value data element of the HL7 'IVL_PQ' data type may be created with an xsi:type attribute with the value 'IVL_PQ',
		<xsl:text /><xsl:value-of select="$IVL_PQ-in-CD-unit-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$IVL_PQ-in-CD-value-msg " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($IVL_PQ-in-CD-low-excl) then ' The low inclusive attribute must have the value ''false'' to indicate the low boundary is excluded from the interval.' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($IVL_PQ-in-CD-high-excl) then ' The high inclusive attribute must have the value ''false'' to indicate the high boundary is excluded from the interval.' else '' " /><xsl:text />
		(See <xsl:text /><xsl:value-of select="if ($IVL_PQ-in-CD-low-excl or $IVL_PQ-in-CD-high-excl) then 'sections 3.8 and 3.9' else 'section 3.8' " /><xsl:text />
		of XML Implementation Technology Specification - Data Types.)
		<xsl:text /><xsl:value-of select="if (contains($normalized-otext, $IVL_PQ-in-CD-unit)) then ''    else ' This message includes the corrected quantity unit. (See information about quantity units in The Unified Code for Units of Measure.)' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $INT-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$INT-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-110" /><xsl:text />: TC-Types-110: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		This uses the HL7 '<xsl:text /><xsl:value-of select="if ($xsi-type = '') then 'CD' else $xsi-type" /><xsl:text />' data type to record a quantity whereas a quantity must be recorded using the HL7 'INT'
		(Integer) or 'PQ' (Physical Quantity) data types.
		The Individual Pathology Test Result Value <xsl:text /><xsl:value-of select="$obs-msg" /><xsl:text /> (See the Structured Content Specification and section 2.20 of the Pathology Test Result Detailed Clinical Model Specification v3.2 and section 3.1.13.1 of the HL7 Reference Information Model, Release 6.)
		The Individual Pathology Test Result Value data element of the HL7 'INT' data type may be created with an xsi:type attribute with the value 'INT'
		and a 'value' attribute with the value '<xsl:text /><xsl:value-of select="$PQ-in-CD-value" /><xsl:text />'.
		(See section 2.26 of XML Implementation Technology Specification - Data Types.)
		The Individual Pathology Test Result Value data element of the HL7 'PQ' data type may be created with an xsi:type attribute with the value 'PQ',
		<xsl:text /><xsl:value-of select="$PQ-in-CD-unit-msg" /><xsl:text /> and a 'value' attribute with the value '<xsl:text /><xsl:value-of select="$PQ-in-CD-value" /><xsl:text />'.
		(See section 2.28 of XML Implementation Technology Specification - Data Types.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-110" /><xsl:text />: TC-Types-110: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		This uses the HL7 '<xsl:text /><xsl:value-of select="if ($xsi-type = '') then 'CD' else $xsi-type" /><xsl:text />' data type to record a physical quantity whereas a physical quantity must be recorded using the HL7 'PQ' (Physical Quantity) data type.
		The Individual Pathology Test Result Value <xsl:text /><xsl:value-of select="$obs-msg" /><xsl:text /> (See the Structured Content Specification and section 2.20 of the Pathology Test Result Detailed Clinical Model Specification v3.2 and section 3.1.13.1 of the HL7 Reference Information Model, Release 6.)
		The Individual Pathology Test Result Value data element of the HL7 'PQ' data type may be created with an xsi:type attribute with the value 'PQ',
		<xsl:text /><xsl:value-of select="$PQ-in-CD-unit-msg" /><xsl:text /> and a 'value' attribute with the value '<xsl:text /><xsl:value-of select="$PQ-in-CD-value" /><xsl:text />'.
		(See section 2.28 of XML Implementation Technology Specification - Data Types.)
		<xsl:text /><xsl:value-of select="if (contains($normalized-otext, $IVL_PQ-in-CD-unit)) then ''    else ' This message includes the corrected quantity unit. (See information about quantity units in The Unified Code for Units of Measure.)' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $RR-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$RR-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-110" /><xsl:text />: TC-Types-110: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which includes a reference range. A reference range is not an Individual Pathology Test Result Value and
		must be included in a Reference Range data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />.
		(See the definition and mapping table for Reference Range in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		The Individual Pathology Test Result Value <xsl:text /><xsl:value-of select="$obs-msg" /><xsl:text /> (See the Structured Content Specification and section 2.20 of the Pathology Test Result Detailed Clinical Model Specification v3.2.)
		The Reference Range data element should have an xsi:type attribute with the value 'IVL_PQ',
		<xsl:text /><xsl:value-of select="$RR-in-CD-unit-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$RR-in-CD-value-msg " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($RR-in-CD-low-excl) then ' The low inclusive attribute must have the value ''false'' to indicate the low boundary is excluded from the interval.' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($RR-in-CD-high-excl) then ' The high inclusive attribute must have the value ''false'' to indicate the high boundary is excluded from the interval.' else '' " /><xsl:text />
		(See <xsl:text /><xsl:value-of select="if ($RR-in-CD-low-excl or $RR-in-CD-high-excl) then 'sections 3.8 and 3.9' else 'section 3.8' " /><xsl:text />
		of XML Implementation Technology Specification - Data Types.)
		<xsl:text /><xsl:value-of select="if (contains($RR-in-CD-text, $RR-in-CD-unit)) then ''    else ' This message includes the corrected quantity unit. (See information about quantity units in The Unified Code for Units of Measure.)' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-CodeableText and    *[not(local-name() = 'originalText' or local-name() = 'translation' or local-name() = 'qualifier')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-CodeableText and *[not(local-name() = 'originalText' or local-name() = 'translation' or local-name() = 'qualifier')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		CodeableText data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = 'originalText' or local-name() = 'translation' or local-name() = 'qualifier')])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-CodeableText and    *[not(local-name() = 'originalText' or local-name() = 'translation' or local-name() = 'qualifier')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-CodeableText and *[not(local-name() = 'originalText' or local-name() = 'translation' or local-name() = 'qualifier')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		CodeableText data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = 'originalText' or local-name() = 'translation' or local-name() = 'qualifier')])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-CodeableText and    @*[not(name() = 'xsi:type' or name() = 'code' or name() = 'codeSystem' or    name() = 'codeSystemName' or name() = 'codeSystemVersion' or name() = 'displayName' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-CodeableText and @*[not(name() = 'xsi:type' or name() = 'code' or name() = 'codeSystem' or name() = 'codeSystemName' or name() = 'codeSystemVersion' or name() = 'displayName' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'code' or name() = 'codeSystem' or name() = 'codeSystemName' or name() = 'codeSystemVersion' or    name() = 'displayName' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the CodeableText data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-CodeableText and    @*[not(name() = 'xsi:type' or name() = 'code' or name() = 'codeSystem' or    name() = 'codeSystemName' or name() = 'codeSystemVersion' or name() = 'displayName' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-CodeableText and @*[not(name() = 'xsi:type' or name() = 'code' or name() = 'codeSystem' or name() = 'codeSystemName' or name() = 'codeSystemVersion' or name() = 'displayName' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'code' or name() = 'codeSystem' or name() = 'codeSystemName' or name() = 'codeSystemVersion' or    name() = 'displayName' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the CodeableText data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$is-CodeableText and cda:originalText != '' and not(matches(cda:originalText, '[a-z0-9]', 'i')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-CodeableText and cda:originalText != '' and not(matches(cda:originalText, '[a-z0-9]', 'i'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-110" /><xsl:text />: TC-Types-110: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which contains no clinical information and
		is an invalid Individual Pathology Test Result Value. 
		The Individual Pathology Test Result Value <xsl:text /><xsl:value-of select="$obs-msg " /><xsl:text /> (See section 3.1.13.1 of the HL7 Reference Information Model, Release 6.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-Quantity and cda:translation ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-Quantity and cda:translation">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-alt-TC-Types-13" /><xsl:text />: TC-Types-13: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Quantity data type which is
		derived from the HL7 'PQ' data type. The 'translation' element is present however that element must not be present in
		a data element of the Quantity data type. (See <xsl:text /><xsl:value-of select="$spec-section" /><xsl:text /> of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-Quantity and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-Quantity and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-49" /><xsl:text />: TC-Types-49 step 2: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Quantity data type however it has
		a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include nullFlavor 'UNC'.
		(See <xsl:text /><xsl:value-of select="$spec-section" /><xsl:text /> of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-Quantity and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-Quantity and not(true())">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-110" /><xsl:text />: TC-Types-110: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Quantity data type however that data type is not allowed for
		this data element.
		The Individual Pathology Test Result Value <xsl:text /><xsl:value-of select="$obs-msg" /><xsl:text /> (See the Structured Content Specification and section 2.20 of the Pathology Test Result Detailed Clinical Model Specification v3.2 and section 3.1.13.1 of the HL7 Reference Information Model, Release 6.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-Quantity and *[not(local-name(.) = 'translation')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-Quantity and *[not(local-name(.) = 'translation')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		Quantity data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Quantity data type so this element is an extension.
		<xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-Quantity and *[not(local-name(.) = 'translation')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-Quantity and *[not(local-name(.) = 'translation')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		Quantity data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Quantity data type so this element is an extension.
		<xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-Quantity and    @*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-Quantity and @*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		Quantity data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the Quantity data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-Quantity and    @*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-Quantity and @*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		Quantity data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the Quantity data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-Integer and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-Integer and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-49" /><xsl:text />: TC-Types-49 step 2: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however it has
		a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present
		so it is an error to include nullFlavor 'UNC'.
		(See <xsl:text /><xsl:value-of select="$spec-section" /><xsl:text /> of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-Integer and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-Integer and not(true())">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-110" /><xsl:text />: TC-Types-110: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however that data type is not allowed for
		this data element.
		The Individual Pathology Test Result Value <xsl:text /><xsl:value-of select="$obs-msg" /><xsl:text /> (See the Structured Content Specification and section 2.20 of the Pathology Test Result Detailed Clinical Model Specification v3.2 and section 3.1.13.1 of the HL7 Reference Information Model, Release 6.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-Integer and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-Integer and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		Integer data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the Integer data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-Integer and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-Integer and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		Integer data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the Integer data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-Integer and    @*[not(name() = 'xsi:type' or name() = 'value' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-Integer and @*[not(name() = 'xsi:type' or name() = 'value' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		Integer data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the Integer data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-Integer and    @*[not(name() = 'xsi:type' or name() = 'value' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-Integer and @*[not(name() = 'xsi:type' or name() = 'value' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		Integer data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the Integer data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-Real and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-Real and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-49" /><xsl:text />: TC-Types-49 step 2: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Real data type however it has
		a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present so
		it is an error to include nullFlavor 'UNC'.
		(See <xsl:text /><xsl:value-of select="$spec-section" /><xsl:text /> of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-Real and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-Real and not(false())">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-110" /><xsl:text />: TC-Types-110: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Real data type however that data type is not allowed for
		this data element.
		The Individual Pathology Test Result Value <xsl:text /><xsl:value-of select="$obs-msg" /><xsl:text /> (See the Structured Content Specification and section 2.20 of the Pathology Test Result Detailed Clinical Model Specification v3.2 and section 3.1.13.1 of the HL7 Reference Information Model, Release 6.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-Real and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-Real and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		Real data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the Real data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-Real and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-Real and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		Real data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the Real data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-Real and    @*[not(name() = 'xsi:type' or name() = 'value' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-Real and @*[not(name() = 'xsi:type' or name() = 'value' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		Real data type however an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the Real
		data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-Real and    @*[not(name() = 'xsi:type' or name() = 'value' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-Real and @*[not(name() = 'xsi:type' or name() = 'value' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		Real data type however an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the Real
		data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-QuantRatio and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-QuantRatio and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-49" /><xsl:text />: TC-Types-49 step 2: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the QuantityRatio data type however it has
		a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include nullFlavor 'UNC'.
		(See <xsl:text /><xsl:value-of select="$spec-section" /><xsl:text /> of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-QuantRatio and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-QuantRatio and not(true())">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-110" /><xsl:text />: TC-Types-110: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the QuantityRatio data type however that data type is not allowed for
		this data element.
		The Individual Pathology Test Result Value <xsl:text /><xsl:value-of select="$obs-msg" /><xsl:text /> (See the Structured Content Specification and section 2.20 of the Pathology Test Result Detailed Clinical Model Specification v3.2 and section 3.1.13.1 of the HL7 Reference Information Model, Release 6.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-QuantRatio and *[not(local-name() = 'denominator' or local-name() = 'numerator')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-QuantRatio and *[not(local-name() = 'denominator' or local-name() = 'numerator')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		the QuantityRatio data type however a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = 'denominator' or local-name() = 'numerator')])" /><xsl:text />' was found
		that is not expected for the QuantityRatio data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-QuantRatio and    *[not(local-name() = 'denominator' or local-name() = 'numerator')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-QuantRatio and *[not(local-name() = 'denominator' or local-name() = 'numerator')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		the QuantityRatio data type however a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = 'denominator' or local-name() = 'numerator')])" /><xsl:text />' was found
		that is not expected for the QuantityRatio data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-QuantRatio and @*[not(name() = 'xsi:type' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-QuantRatio and @*[not(name() = 'xsi:type' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		QuantityRatio data type however an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the QuantityRatio data
		type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-QuantRatio and @*[not(name() = 'xsi:type' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-QuantRatio and @*[not(name() = 'xsi:type' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		QuantityRatio data type however an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the QuantityRatio data
		type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:numerator/*[local-name(.) = 'translation'] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:numerator/*[local-name(.) = 'translation']">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-alt-TC-Types-13" /><xsl:text />: TC-Types-13: The Individual Pathology Test Result Value 'numerator' child element has the Quantity data type and a 'translation' element is present however that element
		must not be present in a data element of the Quantity data type. (See section 8.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		<xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-QuantRatio and cda:numerator/*[not(local-name(.) = 'translation')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-QuantRatio and cda:numerator/*[not(local-name(.) = 'translation')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value 'numerator' child element has the Quantity data type however a
		child element '<xsl:text /><xsl:value-of select="local-name(cda:numerator/*[not(local-name(.) = 'translation')])" /><xsl:text />' was found
		that is not expected for the Quantity data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-QuantRatio and cda:numerator/*[not(local-name(.) = 'translation')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-QuantRatio and cda:numerator/*[not(local-name(.) = 'translation')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value 'numerator' child element has the Quantity data type however a
		child element '<xsl:text /><xsl:value-of select="local-name(cda:numerator/*[not(local-name(.) = 'translation')])" /><xsl:text />' was found
		that is not expected for the Quantity data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-QuantRatio and    cda:numerator/@*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-QuantRatio and cda:numerator/@*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value 'numerator' child element has the Quantity data type however an
		attribute '<xsl:text /><xsl:value-of select="name(cda:numerator/@*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the Quantity data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-QuantRatio and not($num-tc-types-97-err) and    cda:numerator/@*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-QuantRatio and not($num-tc-types-97-err) and cda:numerator/@*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value 'numerator' child element has the Quantity data type however an
		attribute '<xsl:text /><xsl:value-of select="name(cda:numerator/@*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the Quantity data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-QuantRatio and not(cda:numerator/cda:originalText) and cda:numerator/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-QuantRatio and not(cda:numerator/cda:originalText) and cda:numerator/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-49" /><xsl:text />: TC-Types-49 step 2: The Individual Pathology Test Result Value 'numerator' child element has the Quantity data type however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be
		used when there is an originalText. An originalText is not present so it is an error to include nullFlavor 'UNC'.
		(See sections 8.1 and 8.4 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:denominator/*[local-name(.) = 'translation'] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:denominator/*[local-name(.) = 'translation']">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-alt-TC-Types-13" /><xsl:text />: TC-Types-13: The Individual Pathology Test Result Value 'denominator' child element has the Quantity data type and a 'translation' element is present however that element
		must not be present in a data element of the Quantity data type. (See section 8.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		<xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-QuantRatio and cda:denominator/*[not(local-name(.) = 'translation')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-QuantRatio and cda:denominator/*[not(local-name(.) = 'translation')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value 'denominator' child element has the Quantity data type however a
		child element '<xsl:text /><xsl:value-of select="local-name(cda:denominator/*[not(local-name(.) = 'translation')])" /><xsl:text />' was found
		that is not expected for the Quantity data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-QuantRatio and cda:denominator/*[not(local-name(.) = 'translation')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-QuantRatio and cda:denominator/*[not(local-name(.) = 'translation')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value 'denominator' child element has the Quantity data type however a
		child element '<xsl:text /><xsl:value-of select="local-name(cda:denominator/*[not(local-name(.) = 'translation')])" /><xsl:text />' was found
		that is not expected for the Quantity data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-QuantRatio and    cda:denominator/@*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-QuantRatio and cda:denominator/@*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value 'denominator' child element has the Quantity data type however an
		attribute '<xsl:text /><xsl:value-of select="name(cda:denominator/@*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the Quantity data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-QuantRatio and not($den-tc-types-97-err) and    cda:denominator/@*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-QuantRatio and not($den-tc-types-97-err) and cda:denominator/@*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value 'denominator' child element has the Quantity data type however an
		attribute '<xsl:text /><xsl:value-of select="name(cda:denominator/@*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the Quantity data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-QuantRatio and not(cda:denominator/cda:originalText) and cda:denominator/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-QuantRatio and not(cda:denominator/cda:originalText) and cda:denominator/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-49" /><xsl:text />: TC-Types-49 step 2: The Individual Pathology Test Result Value 'denominator' child element has the Quantity data type however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be
		used when there is an originalText. An originalText is not present so it is an error to include nullFlavor 'UNC'.
		(See sections 8.1 and 8.4 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-Duration and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-Duration and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-49" /><xsl:text />: TC-Types-49 step 2: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Duration data type however it has
		a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present
		so it is an error to include nullFlavor 'UNC'.
		(See <xsl:text /><xsl:value-of select="$spec-section" /><xsl:text /> of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-Duration and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-Duration and not(true())">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-110" /><xsl:text />: TC-Types-110: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Duration data type however that data type is not allowed for
		this data element.
		The Individual Pathology Test Result Value <xsl:text /><xsl:value-of select="$obs-msg" /><xsl:text /> (See the Structured Content Specification and section 2.20 of the Pathology Test Result Detailed Clinical Model Specification v3.2 and section 3.1.13.1 of the HL7 Reference Information Model, Release 6.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-Duration and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-Duration and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the 
		Duration data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the Duration data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-Duration and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-Duration and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the 
		Duration data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the Duration data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-Duration and    @*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-Duration and @*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		Duration data type however an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the Duration data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-Duration and    @*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-Duration and @*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		Duration data type however an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the Duration data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-DateTime and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-DateTime and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-49" /><xsl:text />: TC-Types-49 step 2: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however it has
		a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include nullFlavor 'UNC'.
		(See <xsl:text /><xsl:value-of select="$spec-section" /><xsl:text /> of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-DateTime and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-DateTime and not(true())">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-110" /><xsl:text />: TC-Types-110: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however that data type is not allowed for 
		this data element.
		The Individual Pathology Test Result Value <xsl:text /><xsl:value-of select="$obs-msg" /><xsl:text /> (See the Structured Content Specification and section 2.20 of the Pathology Test Result Detailed Clinical Model Specification v3.2 and section 3.1.13.1 of the HL7 Reference Information Model, Release 6.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-DateTime and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-DateTime and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		DateTime data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-DateTime and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-DateTime and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		DateTime data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-DateTime and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-DateTime and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected
		for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-DateTime and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-DateTime and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected
		for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-QuantRange and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-QuantRange and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-49" /><xsl:text />: TC-Types-49 step 2: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the QuantityRange data type however it has
		a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present so it is an error to
		include nullFlavor 'UNC'.
		(See <xsl:text /><xsl:value-of select="$spec-section" /><xsl:text /> of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-QuantRange and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-QuantRange and not(true())">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-110" /><xsl:text />: TC-Types-110: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the QuantityRange data type however that data type is not allowed for 
		this data element.
		The Individual Pathology Test Result Value <xsl:text /><xsl:value-of select="$obs-msg" /><xsl:text /> (See the Structured Content Specification and section 2.20 of the Pathology Test Result Detailed Clinical Model Specification v3.2 and section 3.1.13.1 of the HL7 Reference Information Model, Release 6.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-QuantRange and *[not(local-name() = 'low' or local-name() = 'high')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-QuantRange and *[not(local-name() = 'low' or local-name() = 'high')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		QuantityRange data type however a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = 'low' or local-name() = 'high')])" /><xsl:text />' was found
		that is not expected for the QuantityRange data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-QuantRange and *[not(local-name() = 'low' or local-name() = 'high')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-QuantRange and *[not(local-name() = 'low' or local-name() = 'high')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		QuantityRange data type however a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = 'low' or local-name() = 'high')])" /><xsl:text />' was found
		that is not expected for the QuantityRange data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-QuantRange and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'unit' or name() = 'nullFlavor' or name() = 'unit')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-QuantRange and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'unit' or name() = 'nullFlavor' or name() = 'unit')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		QuantityRange data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'nullFlavor' or name() = 'unit')])" /><xsl:text />' was found that is not expected for the QuantityRange data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-QuantRange and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'unit' or name() = 'nullFlavor' or name() = 'unit')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-QuantRange and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'unit' or name() = 'nullFlavor' or name() = 'unit')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		QuantityRange data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'nullFlavor' or name() = 'unit')])" /><xsl:text />' was found that is not expected for the QuantityRange data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-QuantRange and @operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-QuantRange and @operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		QuantityRange data type however an attribute 'operator' with the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the QuantityRange data type so this is an
		extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-QuantRange and @operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-QuantRange and @operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		QuantityRange data type however an attribute 'operator' with the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the QuantityRange data type so this is an
		extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-QuantRange and not(@nullFlavor or cda:low or cda:high) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-QuantRange and not(@nullFlavor or cda:low or cda:high)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-alt-TC-Types-21" /><xsl:text />: TC-Types-21: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the QuantityRange data type however
		it does not have a nullFlavor attribute or low or high elements. A QuantityRange may only contain a nullFlavor attribute or low or high elements with the inclusive attribute
		included in the low or high elements if there is a need to indicate that the low or high boundaries are included.
		(See <xsl:text /><xsl:value-of select="$spec-section" /><xsl:text /> of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		<xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-QuantRange and cda:low/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-QuantRange and cda:low/*">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value 'low' child element has the Quantity data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(cda:low/*)" /><xsl:text />' was found
		that is not expected for the Quantity data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text3" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-QuantRange and cda:low/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-QuantRange and cda:low/*">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value 'low' child element has the Quantity data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(cda:low/*)" /><xsl:text />' was found
		that is not expected for the Quantity data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text3" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-QuantRange and    cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'unit' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-QuantRange and cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'unit' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value 'low' child element has the Quantity data type however an
		attribute  '<xsl:text /><xsl:value-of select="name(cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'unit' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the Quantity data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text3" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-QuantRange and    cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'unit' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-QuantRange and cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'unit' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value 'low' child element has the Quantity data type however an
		attribute  '<xsl:text /><xsl:value-of select="name(cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'unit' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the Quantity data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text3" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-QuantRange and not(cda:low/cda:originalText) and cda:low/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-QuantRange and not(cda:low/cda:originalText) and cda:low/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-49" /><xsl:text />: TC-Types-49 step 2: The Individual Pathology Test Result Value 'low' child element has the Quantity data type however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when
		there is an originalText. An originalText is not present so it is an error to include nullFlavor 'UNC'.
		(See section 8.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-QuantRange and cda:high/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-QuantRange and cda:high/*">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value 'high' child element has the Quantity data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(cda:high/*)" /><xsl:text />' was found
		that is not expected for the Quantity data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text3" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-QuantRange and cda:high/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-QuantRange and cda:high/*">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value 'high' child element has the Quantity data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(cda:high/*)" /><xsl:text />' was found
		that is not expected for the Quantity data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text3" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-QuantRange and    cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'unit' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-QuantRange and cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'unit' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value 'high' child element has the Quantity data type however an
		attribute '<xsl:text /><xsl:value-of select="name(cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'unit' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />' 
		was found that is not expected for the Quantity data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text3" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-QuantRange and    cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'unit' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-QuantRange and cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'unit' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value 'high' child element has the Quantity data type however an
		attribute '<xsl:text /><xsl:value-of select="name(cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'unit' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />' 
		was found that is not expected for the Quantity data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text3" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-QuantRange and not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-QuantRange and not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-49" /><xsl:text />: TC-Types-49 step 2: The Individual Pathology Test Result Value 'high' child element has the Quantity data type however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used
		when there is an originalText. An originalText is not present so it is an error to include nullFlavor 'UNC'.
		(See <xsl:text /><xsl:value-of select="$spec-section" /><xsl:text /> of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-TimeInterval and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-TimeInterval and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-49" /><xsl:text />: TC-Types-49 step 2: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however it has
		a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present so it is an error to
		include nullFlavor 'UNC'.
		(See section <xsl:text /><xsl:value-of select="$spec-section" /><xsl:text /> of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-TimeInterval and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-TimeInterval and not(true())">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-110" /><xsl:text />: TC-Types-110: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however that data type is not allowed for
		this data element.
		The Individual Pathology Test Result Value <xsl:text /><xsl:value-of select="$obs-msg" /><xsl:text /> (See the Structured Content Specification and section 2.20 of the Pathology Test Result Detailed Clinical Model Specification v3.2 and section 3.1.13.1 of the HL7 Reference Information Model, Release 6.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-TimeInterval and not(@nullFlavor or cda:low or cda:high) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-TimeInterval and not(@nullFlavor or cda:low or cda:high)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-alt-TC-Types-22" /><xsl:text />: TC-Types-22: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however
		it does not have a nullFlavor attribute or low or high elements. A TimeInterval may only contain a nullFlavor attribute or low or high elements with the inclusive attribute
		included in the low or high elements if there is a need to indicate that the low or high boundaries are included.
		(See section <xsl:text /><xsl:value-of select="$spec-section" /><xsl:text />of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		<xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-TimeInterval and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-TimeInterval and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		TimeInterval data type however an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the
		TimeInterval data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$spec-section" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-TimeInterval and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-TimeInterval and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		TimeInterval data type however an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the
		TimeInterval data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$spec-section" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-TimeInterval and @operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-TimeInterval and @operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error&gt;<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		TimeInterval data type however an attribute 'operator' with the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the TimeInterval data type so this is an extension.
		<xsl:text /><xsl:value-of select="$spec-section" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-TimeInterval and @operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-TimeInterval and @operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		TimeInterval data type however an attribute 'operator' with the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the TimeInterval data type so this is an extension.
		<xsl:text /><xsl:value-of select="$spec-section" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-TimeInterval and *[not(local-name() = 'low' or local-name() = 'high')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-TimeInterval and *[not(local-name() = 'low' or local-name() = 'high')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		TimeInterval data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = 'low' or local-name() = 'high')])" /><xsl:text />' was found
		that is not expected for the TimeInterval data type so this element is an extension. <xsl:text /><xsl:value-of select="$spec-section" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-TimeInterval and    *[not(local-name() = 'low' or local-name() = 'high')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-TimeInterval and *[not(local-name() = 'low' or local-name() = 'high')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		TimeInterval data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = 'low' or local-name() = 'high')])" /><xsl:text />' was found
		that is not expected for the TimeInterval data type so this element is an extension. <xsl:text /><xsl:value-of select="$spec-section" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-TimeInterval and cda:low/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-TimeInterval and cda:low/*">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value 'low' child element has the DateTime data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(cda:low/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text4" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-TimeInterval and cda:low/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-TimeInterval and cda:low/*">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value 'low' child element has the DateTime data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(cda:low/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text4" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-TimeInterval and    cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-TimeInterval and cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value 'low' child element has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text4" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-TimeInterval and    cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-TimeInterval and cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value 'low' child element has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text4" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-TimeInterval and not(cda:low/cda:originalText) and cda:low/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-TimeInterval and not(cda:low/cda:originalText) and cda:low/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-49" /><xsl:text />: TC-Types-49 step 2: The Individual Pathology Test Result Value 'low' child element has the DateTime data type however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when
		there is an originalText. An originalText is not present so it is an error to include nullFlavor 'UNC'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-TimeInterval and cda:high/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-TimeInterval and cda:high/*">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value 'high' child element has the DateTime data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(cda:high/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text4" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-TimeInterval and cda:high/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-TimeInterval and cda:high/*">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value 'high' child element has the DateTime data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(cda:high/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text4" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and $is-TimeInterval and    cda:high/@*[not(name() = ('xsi:type', 'operator', 'value', 'inclusive', 'nullFlavor'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and $is-TimeInterval and cda:high/@*[not(name() = ('xsi:type', 'operator', 'value', 'inclusive', 'nullFlavor'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value 'high' child element has the DateTime data type however an
		attribute '<xsl:text /><xsl:value-of select="name(cda:high/@*[not(name() = ('xsi:type', 'operator', 'value', 'inclusive', 'nullFlavor'))])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text4" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $is-TimeInterval and    cda:high/@*[not(name() = ('xsi:type', 'operator', 'value', 'inclusive', 'nullFlavor'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $is-TimeInterval and cda:high/@*[not(name() = ('xsi:type', 'operator', 'value', 'inclusive', 'nullFlavor'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value 'high' child element has the DateTime data type however an
		attribute '<xsl:text /><xsl:value-of select="name(cda:high/@*[not(name() = ('xsi:type', 'operator', 'value', 'inclusive', 'nullFlavor'))])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text4" /><xsl:text /><xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-TimeInterval and not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-TimeInterval and not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-49" /><xsl:text />: TC-Types-49 step 2: The Individual Pathology Test Result Value 'high' child element has the DateTime data type however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be
		used when there is an originalText. An originalText is not present so it is an error to include nullFlavor 'UNC'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="if ($obs-name = '') then '' else concat(' The ', 'Individual Pathology Test Result Value', $obs-name)" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not(   $is-Boolean  or    $is-CodeableText  or    $is-DateTime  or   $is-Duration  or   $is-EncapsulatedData or   $is-Integer  or   $is-Quantity  or   $is-QuantRange  or   $is-QuantRatio  or   $is-Real  or   $is-Text  or   $is-TimeInterval ) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not( $is-Boolean or $is-CodeableText or $is-DateTime or $is-Duration or $is-EncapsulatedData or $is-Integer or $is-Quantity or $is-QuantRange or $is-QuantRatio or $is-Real or $is-Text or $is-TimeInterval )">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-110" /><xsl:text />: TC-Types-110: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> does not seem to have the Boolean, EncapsulatedData, Text, CodeableText, Integer, Real, QuantityRatio, Duration, DateTime, QuantityRange or
		TimeInterval data type. Confirm the data type and the test results are correctly represented.
		The Individual Pathology Test Result Value <xsl:text /><xsl:value-of select="$obs-msg" /><xsl:text /> (See section 3.1.13.1 of the HL7 Reference Information Model, Release 6.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="    $is-Boolean and (     $is-CodeableText  or     $is-DateTime  or    $is-Duration  or    $is-EncapsulatedData or    $is-Integer  or    $is-Quantity  or    $is-QuantRange  or    $is-QuantRatio  or    $is-Real  or    $is-Text  or    $is-TimeInterval ) or   $is-CodeableText and (     $is-DateTime  or    $is-Duration  or    $is-EncapsulatedData or    $is-Integer  or    $is-Quantity  or    $is-QuantRange  or    $is-QuantRatio  or    $is-Real  or    $is-Text  or    $is-TimeInterval ) or   $is-DateTime and (     $is-Duration  or    $is-EncapsulatedData or    $is-Integer  or    $is-Quantity  or    $is-QuantRange  or    $is-QuantRatio  or    $is-Real  or    $is-Text  or    $is-TimeInterval ) or   $is-Duration and (    $is-EncapsulatedData or    $is-Integer  or    $is-Quantity  or    $is-QuantRange  or    $is-QuantRatio  or    $is-Real  or    $is-Text  or    $is-TimeInterval ) or   $is-EncapsulatedData and (    $is-Integer  or    $is-Quantity  or    $is-QuantRange  or    $is-QuantRatio  or    $is-Real  or    $is-Text  or    $is-TimeInterval ) or   $is-Integer and (    $is-Quantity  or    $is-QuantRange  or    $is-QuantRatio  or    $is-Real  or    $is-Text  or    $is-TimeInterval ) or   $is-Quantity and (    $is-QuantRange  or    $is-QuantRatio  or    $is-Real  or    $is-Text  or    $is-TimeInterval ) or   $is-QuantRange and (    $is-QuantRatio  or    $is-Real  or    $is-Text  or    $is-TimeInterval ) or   $is-QuantRatio and (    $is-Real  or    $is-Text  or    $is-TimeInterval ) or   $is-Real and (    $is-Text  or    $is-TimeInterval ) or   $is-Text and $is-TimeInterval  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-Boolean and ( $is-CodeableText or $is-DateTime or $is-Duration or $is-EncapsulatedData or $is-Integer or $is-Quantity or $is-QuantRange or $is-QuantRatio or $is-Real or $is-Text or $is-TimeInterval ) or $is-CodeableText and ( $is-DateTime or $is-Duration or $is-EncapsulatedData or $is-Integer or $is-Quantity or $is-QuantRange or $is-QuantRatio or $is-Real or $is-Text or $is-TimeInterval ) or $is-DateTime and ( $is-Duration or $is-EncapsulatedData or $is-Integer or $is-Quantity or $is-QuantRange or $is-QuantRatio or $is-Real or $is-Text or $is-TimeInterval ) or $is-Duration and ( $is-EncapsulatedData or $is-Integer or $is-Quantity or $is-QuantRange or $is-QuantRatio or $is-Real or $is-Text or $is-TimeInterval ) or $is-EncapsulatedData and ( $is-Integer or $is-Quantity or $is-QuantRange or $is-QuantRatio or $is-Real or $is-Text or $is-TimeInterval ) or $is-Integer and ( $is-Quantity or $is-QuantRange or $is-QuantRatio or $is-Real or $is-Text or $is-TimeInterval ) or $is-Quantity and ( $is-QuantRange or $is-QuantRatio or $is-Real or $is-Text or $is-TimeInterval ) or $is-QuantRange and ( $is-QuantRatio or $is-Real or $is-Text or $is-TimeInterval ) or $is-QuantRatio and ( $is-Real or $is-Text or $is-TimeInterval ) or $is-Real and ( $is-Text or $is-TimeInterval ) or $is-Text and $is-TimeInterval">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-TC-Types-110" /><xsl:text />: TC-Types-110: The data type of The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> could not be determined. Confirm the data type and the test results are correctly represented.
		The Individual Pathology Test Result Value <xsl:text /><xsl:value-of select="$obs-msg" /><xsl:text /> (See section 3.1.13.1 of the HL7 Reference Information Model, Release 6.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M722" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M722" />
  <xsl:template match="@*|node()" priority="-2" mode="M722">
    <xsl:apply-templates select="@*|*" mode="M722" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-Observation-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation/cda:value   [@codeSystem or @xsi:type = ('CD', 'CE', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CV')]   [not(normalize-space(cda:originalText) != '' and not(@codeSystem) and (cda:originalText castable as xs:double or (      (matches(cda:originalText, $number-regex, 'is') or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~'))))]   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))]  " priority="1000" mode="M723">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation/cda:value   [@codeSystem or @xsi:type = ('CD', 'CE', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CV')]   [not(normalize-space(cda:originalText) != '' and not(@codeSystem) and (cda:originalText castable as xs:double or (      (matches(cda:originalText, $number-regex, 'is') or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~'))))]   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))]  " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Individual Pathology Test Result Value
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Individual Pathology Test Result Value
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Individual Pathology Test Result Value
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Individual Pathology Test Result Value has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Individual Pathology Test Result Value data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Individual Pathology Test Result Value data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Individual Pathology Test Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Individual Pathology Test Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Individual Pathology Test Result Value
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Individual Pathology Test Result Value
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Individual Pathology Test Result Value data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Individual Pathology Test Result Value
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Individual Pathology Test Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Individual Pathology Test Result Value data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Individual Pathology Test Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Individual Pathology Test Result Value
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M723" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M723" />
  <xsl:template match="@*|node()" priority="-2" mode="M723">
    <xsl:apply-templates select="@*|*" mode="M723" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-Observation-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation/cda:value     [(@xsi:type = ('ST', 'SC')                or      normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')          or    (@representation='TXT' and @mediaType='text/plain'))             or    ((@integrityCheckAlgorithm or @xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and @mediaType = 'text/plain') ]     [normalize-space(.) != ''][not(. castable as xs:double or (      (matches(., $number-regex, 'is') or matches(., $PQ-low-regex, 'is') or matches(., $PQ-high-regex, 'is') or matches(., $IVL_PQ-regex, 'is'))   and        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(.), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~') ))] " priority="1000" mode="M724">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation/cda:value     [(@xsi:type = ('ST', 'SC')                or      normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')          or    (@representation='TXT' and @mediaType='text/plain'))             or    ((@integrityCheckAlgorithm or @xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and @mediaType = 'text/plain') ]     [normalize-space(.) != ''][not(. castable as xs:double or (      (matches(., $number-regex, 'is') or matches(., $PQ-low-regex, 'is') or matches(., $PQ-high-regex, 'is') or matches(., $IVL_PQ-regex, 'is'))   and        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(.), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~') ))] " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Individual Pathology Test Result Value
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Individual Pathology Test Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Individual Pathology Test Result Value
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Individual Pathology Test Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Individual Pathology Test Result Value
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Individual Pathology Test Result Value
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Individual Pathology Test Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Individual Pathology Test Result Value
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M724" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M724" />
  <xsl:template match="@*|node()" priority="-2" mode="M724">
    <xsl:apply-templates select="@*|*" mode="M724" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-Observation-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation/cda:value[@unit and not(cda:low or cda:high)] " priority="1000" mode="M725">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation/cda:value[@unit and not(cda:low or cda:high)] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="narr-text-el" select="(for $text in ($target-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="a-quantity-range" select="local-name(.) = 'low' or local-name(.) = 'high' " />
    <xsl:variable name="normalised-value" select="if (@value) then replace(lower-case(@value), '\s+', '') else '' " />
    <xsl:variable name="normalised-value-regex" select="if (not(contains($normalised-value, '.'))) then concat('(', $normalised-value, '|', $normalised-value, '\.0*)')        else if (ends-with($normalised-value, '0')) then replace(replace($normalised-value, '\.', '\\.'), '0+$', '0*')        else concat(replace($normalised-value, '\.', '\\.'), '0*') " />
    <xsl:variable name="value-regex" select="if ($normalised-value = '') then ''         else concat('(^|[^0-9])', $normalised-value-regex, '([^0-9]*$|\s+.*$)') " />
    <xsl:variable name="tables" select="$target-narr-node//cda:table " />
    <xsl:variable name="table-num" select="count($tables) " />
    <xsl:variable name="value-regex-3" select="if ($normalised-value = '' or not(exists($tables))) then ''         else concat('(^|[^0-9])', $normalised-value-regex, '([^0-9]+$|\s+.+$)') " />
    <xsl:variable name="table-value-match" select="if ($normalised-value = '' or not(exists($tables))) then () else for $i in (1 to $table-num) return         if (not($tables[$i]//cda:td[matches(., $value-regex, 'is')])) then '0'        else if ($tables[$i]//cda:td[matches(., $value-regex-3, 'is')]) then '3'        else if ($tables[$i]//cda:td[replace(lower-case(.), '\s+', '') = $normalised-value]) then '2'        else '1' " />
    <xsl:variable name="unit-1" select="dh:XQueryRecursiveReplace(@unit, $ucum-annotation-replacement, '')" />
    <xsl:variable name="unit-2" select="if ($a-quantity-range) then dh:XQueryRecursiveReplace(../@unit, $ucum-annotation-replacement, '') else '' " />
    <xsl:variable name="unit" select="if (not($a-quantity-range) or $unit-2 = '') then $unit-1        else if ($unit-1 = '1' and $unit-2 != '1') then $unit-2         else $unit-1 " />
    <xsl:variable name="normalised-unit" select="replace(lower-case($unit), '\s+', '') " />
    <xsl:variable name="unit-validation" select="if ($unit = '1' or exists($UCUM/unit[@value = $normalised-unit])) then '' else dh:ValidateUCUM($unit) " />
    <xsl:variable name="unit-name" select="if (exists($UCUM/unit[@value = $normalised-unit])) then $UCUM/unit[@value = $normalised-unit]/@name else ''  " />
    <xsl:variable name="power-synonym" select="if (contains($normalised-unit, '10^')) then replace($normalised-unit, '10\^', '10*')        else if (contains($normalised-unit, '10*')) then replace($normalised-unit, '10\*', '10^')        else '' " />
    <xsl:variable name="special-unit-synonym" select="if (contains($normalised-unit, '['))         then (normalize-space(replace($normalised-unit, '[\[\]]', ' ')), normalize-space(replace($normalised-unit, '[\[\]]', ''))) else '' " />
    <xsl:variable name="apostrophe-synonym" select="for $syn in $special-unit-synonym return if (contains($syn, '''')) then normalize-space(replace($syn, '''', ' ')) else '' " />
    <xsl:variable name="unit-synonyms" select="if (exists($UCUM/unit[@value = $normalised-unit]))         then ($normalised-unit, $power-synonym, $special-unit-synonym, $apostrophe-synonym, $UCUM/unit[@value = $normalised-unit]/@name,          tokenize($UCUM/unit[@value = $normalised-unit]/@synonyms, '\|'))[. != '']        else ($normalised-unit, $power-synonym, $special-unit-synonym, $apostrophe-synonym)[. != ''] " />
    <xsl:variable name="search-terms-1" select="if ($normalised-value = '') then () else (for $synonym in $unit-synonyms return normalize-space(lower-case($synonym)))[. != ''] " />
    <xsl:variable name="search-terms-2" select="if ($normalised-value = '') then () else for $term in $search-terms-1 return         if ($term = '1') then $normalised-value else concat($normalised-value, $term) " />
    <xsl:variable name="search-regex-1" select="if ($normalised-value = '') then () else for $term in $search-terms-1 return          replace(replace(replace(replace(replace(replace(replace(replace(replace(replace($term, '\^', '\\^'), '\*', '\\*'), '\.', '\\.'), '\+', '\\+'),          '\)', '\\)'), '\(', '\\('), '\[', '\\['), '\]', '\\]'), '\{', '\\{'), '\}', '\\}') " />
    <xsl:variable name="search-regex-2" select="if ($normalised-value = '') then () else for $term in $search-regex-1 return         if (matches($term, '^10')) then concat('(', '(^|[^0-9])(', $normalised-value-regex, 'x{0,1}', $term, '|', 'x{0,1}', $term, ')([^0-9a-z]|$)',          ')|(', '(^|[^0-9])(', $normalised-value-regex, $term, '|', $term, ')([^0-9a-z]|$)', ')')         else if ($term = '1') then concat('(^|[^0-9])', $normalised-value-regex, '([^0-9]{1}.*$|$)')        else concat('(^|[^0-9])(', $normalised-value-regex, $term, '|', $term, ')([^0-9a-z]|$)') " />
    <xsl:variable name="quantity-match" select="if (not(exists($table-value-match)) or not(exists($table-value-match[. != '0']))) then (false())        else if ($unit = '1' and not($a-quantity-range)) then for $i in (1 to $table-num) return          ($table-value-match[$i] = '2' or boolean($tables[$i]//cda:td[matches(., $search-regex-2[1], 'is')]))        else if ($unit = '1' and $a-quantity-range) then for $i in (1 to $table-num) return not($table-value-match[$i] = '0')        else for $i in (1 to $table-num) return          if ($table-value-match[$i] = '0') then false()         else if ($table-value-match[$i] = '2') then           exists(index-of(for $term in $search-terms-1 return boolean($tables[$i]//cda:td[replace(lower-case(.), '\s+', '') = $term]), true()))         else exists(index-of(          for $j in (1 to count($search-terms-1)) return boolean($tables[$i]//cda:td[           replace(lower-case(.), '\s+', '') = $search-terms-1[$j]  or           replace(lower-case(.), '\s+', '') = $search-terms-2[$j]  or           matches(., $search-regex-2[$j], 'is')    ]), true())) " />
    <xsl:variable name="in-a-table" select="if ($normalised-value = '') then false() else exists(index-of($quantity-match, true())) " />
    <xsl:variable name="xpre-1" select="if ($normalised-value = '' or $in-a-table) then () else $target-narr-node//*[contains(@styleCode, 'xPre')] " />
    <xsl:variable name="xpre-num" select="count($xpre-1) " />
    <xsl:variable name="xpre-2" select="for $i in (1 to $xpre-num) return lower-case($xpre-1[$i]) " />
    <xsl:variable name="xpre-value-match" select="for $i in (1 to $xpre-num) return matches($xpre-2[$i], $value-regex, 'is') " />
    <xsl:variable name="xpre-quantity-match" select="if ($unit = '1') then ($xpre-value-match) else for $i in (1 to $xpre-num) return         $xpre-value-match[$i] and exists(index-of(for $term in $search-regex-2 return matches($xpre-2[$i], $term, 'is'), true())) " />
    <xsl:variable name="in-xpre" select="exists(index-of($xpre-quantity-match, true())) " />
    <xsl:variable name="narrative" select="if ($normalised-value = '' or $in-a-table or $in-xpre) then ''         else normalize-space(lower-case(string-join($target-narr-node//text()         [not(ancestor::cda:table or ancestor::cda:caption or contains(@styleCode, 'xPre'))], ''))) " />
    <xsl:variable name="narr-value-match" select="if ($normalised-value = '' or $in-a-table or $in-xpre) then true() else matches($narrative, $value-regex, 'is') " />
    <xsl:variable name="narr-quantity-match" select="if ($normalised-value = '' or $in-a-table or $in-xpre) then true()        else $narr-value-match and exists(index-of(for $term in $search-regex-2 return matches($narrative, $term, 'is'), true())) " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="quantity-text-1" select="if ($unit = '1') then concat('value ''', @value, '''') else concat('value ''', @value, ''' and unit ''', $unit, '''') " />
    <xsl:variable name="quantity-text" select="if ($unit-name = '') then $quantity-text-1 else concat($quantity-text-1, ' (the unit for ', $unit-name, ')') " />
    <xsl:variable name="inclusive-text" select="if ($a-quantity-range and @inclusive = 'true') then ' (the boundary is included)'        else if ($a-quantity-range and @inclusive = 'false') then ' (the boundary is not included)'        else '' " />
    <xsl:variable name="multimedia" select="exists($target-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$table-num = 0 and $xpre-num = 0 and not(exists($narr-text-el)) and not($multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-narr-node//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-6" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-6 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and @value and $table-num &gt; 0 and not($in-a-table or $in-xpre or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and @value and $table-num &gt; 0 and not($in-a-table or $in-xpre or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-PQ): The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text />.
		Is the quantity on the boundary of a quantity range? <xsl:text /><xsl:value-of select="$a-quantity-range" /><xsl:text /><xsl:text /><xsl:value-of select="$inclusive-text" /><xsl:text />.
		When transformed the quantity value is '<xsl:text /><xsl:value-of select="$normalised-value" /><xsl:text />'.
		The narrative contains <xsl:text /><xsl:value-of select="$table-num" /><xsl:text /><xsl:text /><xsl:value-of select="if ($table-num = 1) then ' table' else ' tables' " /><xsl:text />.
		The value regular expression value-regex is '<xsl:text /><xsl:value-of select="$value-regex" /><xsl:text />'.
		The value regular expression value-regex-3 is '<xsl:text /><xsl:value-of select="$value-regex-3" /><xsl:text />'.
		Elements of table-value-match are '<xsl:text /><xsl:value-of select="string-join($table-value-match, '|')" /><xsl:text />'.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($unit-synonyms, '|')" /><xsl:text />'.
		Elements of search-terms-1 are '<xsl:text /><xsl:value-of select="string-join($search-terms-1, '|')" /><xsl:text />'.
		Elements of search-terms-2 are '<xsl:text /><xsl:value-of select="string-join($search-terms-2, '|')" /><xsl:text />'.
		Elements of search-regex-1 are '<xsl:text /><xsl:value-of select="string-join($search-regex-1, '|')" /><xsl:text />'.
		Elements of search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($search-regex-2, '|')" /><xsl:text />'.
		Elements of quantity-match are '<xsl:text /><xsl:value-of select="string-join(for $i in (1 to count($quantity-match)) return if ($quantity-match[$i]) then '1' else '0', '|')" /><xsl:text />'.
		Was the quantity found by looking in table rows? <xsl:text /><xsl:value-of select="$in-a-table" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and @value and $xpre-num &gt; 0 and not($in-a-table or $in-xpre or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and @value and $xpre-num &gt; 0 and not($in-a-table or $in-xpre or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-PQ): The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text />.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($unit-synonyms, '|')" /><xsl:text />'.
		The narrative contains <xsl:text /><xsl:value-of select="$xpre-num" /><xsl:text /> elements with the xPre styleCode.
		The value regular expression value-regex is '<xsl:text /><xsl:value-of select="$value-regex" /><xsl:text />'.
		Elements of xpre-value-match are '<xsl:text /><xsl:value-of select="string-join(for $x in $xpre-value-match return if ($x) then '1' else '0', '|')" /><xsl:text />'.
		Elements of search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($search-regex-2, '|')" /><xsl:text />'.
		Elements of xpre-quantity-match are '<xsl:text /><xsl:value-of select="string-join(for $x in $xpre-quantity-match return if ($x) then '1' else '0', '|')" /><xsl:text />'.
		Was the quantity found by looking in elements with the xPre styleCode? <xsl:text /><xsl:value-of select="$in-xpre" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and @value and not($in-a-table or $narr-quantity-match or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and @value and not($in-a-table or $narr-quantity-match or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-PQ): The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text />.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($unit-synonyms, '|')" /><xsl:text />'.
		The value regular expression value-regex is '<xsl:text /><xsl:value-of select="$value-regex" /><xsl:text />'.
		Was the value found in the narrative? <xsl:text /><xsl:value-of select="$narr-value-match" /><xsl:text />.
		Elements of search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($search-regex-2, '|')" /><xsl:text />'.
		Was the quantity found in the narrative? <xsl:text /><xsl:value-of select="$narr-quantity-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @value and not($narr-quantity-match or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value and not($narr-quantity-match or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-6" /><xsl:text />: TC-Narr-09 step 6: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text /> however the quantity does not seem to be
		present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Individual Pathology Test Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and @value and not($narr-value-match or $narr-quantity-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and @value and not($narr-value-match or $narr-quantity-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-6" /><xsl:text />: TC-Narr-09 step 6: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text /> however the quantity is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and @value and not($narr-value-match or $narr-quantity-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and @value and not($narr-value-match or $narr-quantity-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-6" /><xsl:text />: TC-Narr-09 step 6: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text /> however the quantity is not present in the narrative of the section.
		The Individual Pathology Test Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'QS', 'TRC', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'QS', 'TRC', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M725" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M725" />
  <xsl:template match="@*|node()" priority="-2" mode="M725">
    <xsl:apply-templates select="@*|*" mode="M725" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-Observation-5-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation/cda:value/cda:numerator[@unit] " priority="1000" mode="M726">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation/cda:value/cda:numerator[@unit] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="narr-text-el" select="(for $text in ($target-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="a-quantity-range" select="local-name(.) = 'low' or local-name(.) = 'high' " />
    <xsl:variable name="normalised-value" select="if (@value) then replace(lower-case(@value), '\s+', '') else '' " />
    <xsl:variable name="normalised-value-regex" select="if (not(contains($normalised-value, '.'))) then concat('(', $normalised-value, '|', $normalised-value, '\.0*)')        else if (ends-with($normalised-value, '0')) then replace(replace($normalised-value, '\.', '\\.'), '0+$', '0*')        else concat(replace($normalised-value, '\.', '\\.'), '0*') " />
    <xsl:variable name="value-regex" select="if ($normalised-value = '') then ''         else concat('(^|[^0-9])', $normalised-value-regex, '([^0-9]*$|\s+.*$)') " />
    <xsl:variable name="tables" select="$target-narr-node//cda:table " />
    <xsl:variable name="table-num" select="count($tables) " />
    <xsl:variable name="value-regex-3" select="if ($normalised-value = '' or not(exists($tables))) then ''         else concat('(^|[^0-9])', $normalised-value-regex, '([^0-9]+$|\s+.+$)') " />
    <xsl:variable name="table-value-match" select="if ($normalised-value = '' or not(exists($tables))) then () else for $i in (1 to $table-num) return         if (not($tables[$i]//cda:td[matches(., $value-regex, 'is')])) then '0'        else if ($tables[$i]//cda:td[matches(., $value-regex-3, 'is')]) then '3'        else if ($tables[$i]//cda:td[replace(lower-case(.), '\s+', '') = $normalised-value]) then '2'        else '1' " />
    <xsl:variable name="unit-1" select="dh:XQueryRecursiveReplace(@unit, $ucum-annotation-replacement, '')" />
    <xsl:variable name="unit-2" select="if ($a-quantity-range) then dh:XQueryRecursiveReplace(../@unit, $ucum-annotation-replacement, '') else '' " />
    <xsl:variable name="unit" select="if (not($a-quantity-range) or $unit-2 = '') then $unit-1        else if ($unit-1 = '1' and $unit-2 != '1') then $unit-2         else $unit-1 " />
    <xsl:variable name="normalised-unit" select="replace(lower-case($unit), '\s+', '') " />
    <xsl:variable name="unit-validation" select="if ($unit = '1' or exists($UCUM/unit[@value = $normalised-unit])) then '' else dh:ValidateUCUM($unit) " />
    <xsl:variable name="unit-name" select="if (exists($UCUM/unit[@value = $normalised-unit])) then $UCUM/unit[@value = $normalised-unit]/@name else ''  " />
    <xsl:variable name="power-synonym" select="if (contains($normalised-unit, '10^')) then replace($normalised-unit, '10\^', '10*')        else if (contains($normalised-unit, '10*')) then replace($normalised-unit, '10\*', '10^')        else '' " />
    <xsl:variable name="special-unit-synonym" select="if (contains($normalised-unit, '['))         then (normalize-space(replace($normalised-unit, '[\[\]]', ' ')), normalize-space(replace($normalised-unit, '[\[\]]', ''))) else '' " />
    <xsl:variable name="apostrophe-synonym" select="for $syn in $special-unit-synonym return if (contains($syn, '''')) then normalize-space(replace($syn, '''', ' ')) else '' " />
    <xsl:variable name="unit-synonyms" select="if (exists($UCUM/unit[@value = $normalised-unit]))         then ($normalised-unit, $power-synonym, $special-unit-synonym, $apostrophe-synonym, $UCUM/unit[@value = $normalised-unit]/@name,          tokenize($UCUM/unit[@value = $normalised-unit]/@synonyms, '\|'))[. != '']        else ($normalised-unit, $power-synonym, $special-unit-synonym, $apostrophe-synonym)[. != ''] " />
    <xsl:variable name="search-terms-1" select="if ($normalised-value = '') then () else (for $synonym in $unit-synonyms return normalize-space(lower-case($synonym)))[. != ''] " />
    <xsl:variable name="search-terms-2" select="if ($normalised-value = '') then () else for $term in $search-terms-1 return         if ($term = '1') then $normalised-value else concat($normalised-value, $term) " />
    <xsl:variable name="search-regex-1" select="if ($normalised-value = '') then () else for $term in $search-terms-1 return          replace(replace(replace(replace(replace(replace(replace(replace(replace(replace($term, '\^', '\\^'), '\*', '\\*'), '\.', '\\.'), '\+', '\\+'),          '\)', '\\)'), '\(', '\\('), '\[', '\\['), '\]', '\\]'), '\{', '\\{'), '\}', '\\}') " />
    <xsl:variable name="search-regex-2" select="if ($normalised-value = '') then () else for $term in $search-regex-1 return         if (matches($term, '^10')) then concat('(', '(^|[^0-9])(', $normalised-value-regex, 'x{0,1}', $term, '|', 'x{0,1}', $term, ')([^0-9a-z]|$)',          ')|(', '(^|[^0-9])(', $normalised-value-regex, $term, '|', $term, ')([^0-9a-z]|$)', ')')         else if ($term = '1') then concat('(^|[^0-9])', $normalised-value-regex, '([^0-9]{1}.*$|$)')        else concat('(^|[^0-9])(', $normalised-value-regex, $term, '|', $term, ')([^0-9a-z]|$)') " />
    <xsl:variable name="quantity-match" select="if (not(exists($table-value-match)) or not(exists($table-value-match[. != '0']))) then (false())        else if ($unit = '1' and not($a-quantity-range)) then for $i in (1 to $table-num) return          ($table-value-match[$i] = '2' or boolean($tables[$i]//cda:td[matches(., $search-regex-2[1], 'is')]))        else if ($unit = '1' and $a-quantity-range) then for $i in (1 to $table-num) return not($table-value-match[$i] = '0')        else for $i in (1 to $table-num) return          if ($table-value-match[$i] = '0') then false()         else if ($table-value-match[$i] = '2') then           exists(index-of(for $term in $search-terms-1 return boolean($tables[$i]//cda:td[replace(lower-case(.), '\s+', '') = $term]), true()))         else exists(index-of(          for $j in (1 to count($search-terms-1)) return boolean($tables[$i]//cda:td[           replace(lower-case(.), '\s+', '') = $search-terms-1[$j]  or           replace(lower-case(.), '\s+', '') = $search-terms-2[$j]  or           matches(., $search-regex-2[$j], 'is')    ]), true())) " />
    <xsl:variable name="in-a-table" select="if ($normalised-value = '') then false() else exists(index-of($quantity-match, true())) " />
    <xsl:variable name="xpre-1" select="if ($normalised-value = '' or $in-a-table) then () else $target-narr-node//*[contains(@styleCode, 'xPre')] " />
    <xsl:variable name="xpre-num" select="count($xpre-1) " />
    <xsl:variable name="xpre-2" select="for $i in (1 to $xpre-num) return lower-case($xpre-1[$i]) " />
    <xsl:variable name="xpre-value-match" select="for $i in (1 to $xpre-num) return matches($xpre-2[$i], $value-regex, 'is') " />
    <xsl:variable name="xpre-quantity-match" select="if ($unit = '1') then ($xpre-value-match) else for $i in (1 to $xpre-num) return         $xpre-value-match[$i] and exists(index-of(for $term in $search-regex-2 return matches($xpre-2[$i], $term, 'is'), true())) " />
    <xsl:variable name="in-xpre" select="exists(index-of($xpre-quantity-match, true())) " />
    <xsl:variable name="narrative" select="if ($normalised-value = '' or $in-a-table or $in-xpre) then ''         else normalize-space(lower-case(string-join($target-narr-node//text()         [not(ancestor::cda:table or ancestor::cda:caption or contains(@styleCode, 'xPre'))], ''))) " />
    <xsl:variable name="narr-value-match" select="if ($normalised-value = '' or $in-a-table or $in-xpre) then true() else matches($narrative, $value-regex, 'is') " />
    <xsl:variable name="narr-quantity-match" select="if ($normalised-value = '' or $in-a-table or $in-xpre) then true()        else $narr-value-match and exists(index-of(for $term in $search-regex-2 return matches($narrative, $term, 'is'), true())) " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="quantity-text-1" select="if ($unit = '1') then concat('value ''', @value, '''') else concat('value ''', @value, ''' and unit ''', $unit, '''') " />
    <xsl:variable name="quantity-text" select="if ($unit-name = '') then $quantity-text-1 else concat($quantity-text-1, ' (the unit for ', $unit-name, ')') " />
    <xsl:variable name="inclusive-text" select="if ($a-quantity-range and @inclusive = 'true') then ' (the boundary is included)'        else if ($a-quantity-range and @inclusive = 'false') then ' (the boundary is not included)'        else '' " />
    <xsl:variable name="multimedia" select="exists($target-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$table-num = 0 and $xpre-num = 0 and not(exists($narr-text-el)) and not($multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-narr-node//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-6" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-6 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and @value and $table-num &gt; 0 and not($in-a-table or $in-xpre or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and @value and $table-num &gt; 0 and not($in-a-table or $in-xpre or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-PQ): The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text />.
		Is the quantity on the boundary of a quantity range? <xsl:text /><xsl:value-of select="$a-quantity-range" /><xsl:text /><xsl:text /><xsl:value-of select="$inclusive-text" /><xsl:text />.
		When transformed the quantity value is '<xsl:text /><xsl:value-of select="$normalised-value" /><xsl:text />'.
		The narrative contains <xsl:text /><xsl:value-of select="$table-num" /><xsl:text /><xsl:text /><xsl:value-of select="if ($table-num = 1) then ' table' else ' tables' " /><xsl:text />.
		The value regular expression value-regex is '<xsl:text /><xsl:value-of select="$value-regex" /><xsl:text />'.
		The value regular expression value-regex-3 is '<xsl:text /><xsl:value-of select="$value-regex-3" /><xsl:text />'.
		Elements of table-value-match are '<xsl:text /><xsl:value-of select="string-join($table-value-match, '|')" /><xsl:text />'.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($unit-synonyms, '|')" /><xsl:text />'.
		Elements of search-terms-1 are '<xsl:text /><xsl:value-of select="string-join($search-terms-1, '|')" /><xsl:text />'.
		Elements of search-terms-2 are '<xsl:text /><xsl:value-of select="string-join($search-terms-2, '|')" /><xsl:text />'.
		Elements of search-regex-1 are '<xsl:text /><xsl:value-of select="string-join($search-regex-1, '|')" /><xsl:text />'.
		Elements of search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($search-regex-2, '|')" /><xsl:text />'.
		Elements of quantity-match are '<xsl:text /><xsl:value-of select="string-join(for $i in (1 to count($quantity-match)) return if ($quantity-match[$i]) then '1' else '0', '|')" /><xsl:text />'.
		Was the quantity found by looking in table rows? <xsl:text /><xsl:value-of select="$in-a-table" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and @value and $xpre-num &gt; 0 and not($in-a-table or $in-xpre or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and @value and $xpre-num &gt; 0 and not($in-a-table or $in-xpre or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-PQ): The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text />.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($unit-synonyms, '|')" /><xsl:text />'.
		The narrative contains <xsl:text /><xsl:value-of select="$xpre-num" /><xsl:text /> elements with the xPre styleCode.
		The value regular expression value-regex is '<xsl:text /><xsl:value-of select="$value-regex" /><xsl:text />'.
		Elements of xpre-value-match are '<xsl:text /><xsl:value-of select="string-join(for $x in $xpre-value-match return if ($x) then '1' else '0', '|')" /><xsl:text />'.
		Elements of search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($search-regex-2, '|')" /><xsl:text />'.
		Elements of xpre-quantity-match are '<xsl:text /><xsl:value-of select="string-join(for $x in $xpre-quantity-match return if ($x) then '1' else '0', '|')" /><xsl:text />'.
		Was the quantity found by looking in elements with the xPre styleCode? <xsl:text /><xsl:value-of select="$in-xpre" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and @value and not($in-a-table or $narr-quantity-match or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and @value and not($in-a-table or $narr-quantity-match or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-PQ): The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text />.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($unit-synonyms, '|')" /><xsl:text />'.
		The value regular expression value-regex is '<xsl:text /><xsl:value-of select="$value-regex" /><xsl:text />'.
		Was the value found in the narrative? <xsl:text /><xsl:value-of select="$narr-value-match" /><xsl:text />.
		Elements of search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($search-regex-2, '|')" /><xsl:text />'.
		Was the quantity found in the narrative? <xsl:text /><xsl:value-of select="$narr-quantity-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @value and not($narr-quantity-match or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value and not($narr-quantity-match or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-6" /><xsl:text />: TC-Narr-09 step 6: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text /> however the quantity does not seem to be
		present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Individual Pathology Test Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and @value and not($narr-value-match or $narr-quantity-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and @value and not($narr-value-match or $narr-quantity-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-6" /><xsl:text />: TC-Narr-09 step 6: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text /> however the quantity is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and @value and not($narr-value-match or $narr-quantity-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and @value and not($narr-value-match or $narr-quantity-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-6" /><xsl:text />: TC-Narr-09 step 6: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text /> however the quantity is not present in the narrative of the section.
		The Individual Pathology Test Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'QS', 'TRC', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'QS', 'TRC', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M726" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M726" />
  <xsl:template match="@*|node()" priority="-2" mode="M726">
    <xsl:apply-templates select="@*|*" mode="M726" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-Observation-6-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation/cda:value/cda:denominator[@unit] " priority="1000" mode="M727">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation/cda:value/cda:denominator[@unit] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="narr-text-el" select="(for $text in ($target-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="a-quantity-range" select="local-name(.) = 'low' or local-name(.) = 'high' " />
    <xsl:variable name="normalised-value" select="if (@value) then replace(lower-case(@value), '\s+', '') else '' " />
    <xsl:variable name="normalised-value-regex" select="if (not(contains($normalised-value, '.'))) then concat('(', $normalised-value, '|', $normalised-value, '\.0*)')        else if (ends-with($normalised-value, '0')) then replace(replace($normalised-value, '\.', '\\.'), '0+$', '0*')        else concat(replace($normalised-value, '\.', '\\.'), '0*') " />
    <xsl:variable name="value-regex" select="if ($normalised-value = '') then ''         else concat('(^|[^0-9])', $normalised-value-regex, '([^0-9]*$|\s+.*$)') " />
    <xsl:variable name="tables" select="$target-narr-node//cda:table " />
    <xsl:variable name="table-num" select="count($tables) " />
    <xsl:variable name="value-regex-3" select="if ($normalised-value = '' or not(exists($tables))) then ''         else concat('(^|[^0-9])', $normalised-value-regex, '([^0-9]+$|\s+.+$)') " />
    <xsl:variable name="table-value-match" select="if ($normalised-value = '' or not(exists($tables))) then () else for $i in (1 to $table-num) return         if (not($tables[$i]//cda:td[matches(., $value-regex, 'is')])) then '0'        else if ($tables[$i]//cda:td[matches(., $value-regex-3, 'is')]) then '3'        else if ($tables[$i]//cda:td[replace(lower-case(.), '\s+', '') = $normalised-value]) then '2'        else '1' " />
    <xsl:variable name="unit-1" select="dh:XQueryRecursiveReplace(@unit, $ucum-annotation-replacement, '')" />
    <xsl:variable name="unit-2" select="if ($a-quantity-range) then dh:XQueryRecursiveReplace(../@unit, $ucum-annotation-replacement, '') else '' " />
    <xsl:variable name="unit" select="if (not($a-quantity-range) or $unit-2 = '') then $unit-1        else if ($unit-1 = '1' and $unit-2 != '1') then $unit-2         else $unit-1 " />
    <xsl:variable name="normalised-unit" select="replace(lower-case($unit), '\s+', '') " />
    <xsl:variable name="unit-validation" select="if ($unit = '1' or exists($UCUM/unit[@value = $normalised-unit])) then '' else dh:ValidateUCUM($unit) " />
    <xsl:variable name="unit-name" select="if (exists($UCUM/unit[@value = $normalised-unit])) then $UCUM/unit[@value = $normalised-unit]/@name else ''  " />
    <xsl:variable name="power-synonym" select="if (contains($normalised-unit, '10^')) then replace($normalised-unit, '10\^', '10*')        else if (contains($normalised-unit, '10*')) then replace($normalised-unit, '10\*', '10^')        else '' " />
    <xsl:variable name="special-unit-synonym" select="if (contains($normalised-unit, '['))         then (normalize-space(replace($normalised-unit, '[\[\]]', ' ')), normalize-space(replace($normalised-unit, '[\[\]]', ''))) else '' " />
    <xsl:variable name="apostrophe-synonym" select="for $syn in $special-unit-synonym return if (contains($syn, '''')) then normalize-space(replace($syn, '''', ' ')) else '' " />
    <xsl:variable name="unit-synonyms" select="if (exists($UCUM/unit[@value = $normalised-unit]))         then ($normalised-unit, $power-synonym, $special-unit-synonym, $apostrophe-synonym, $UCUM/unit[@value = $normalised-unit]/@name,          tokenize($UCUM/unit[@value = $normalised-unit]/@synonyms, '\|'))[. != '']        else ($normalised-unit, $power-synonym, $special-unit-synonym, $apostrophe-synonym)[. != ''] " />
    <xsl:variable name="search-terms-1" select="if ($normalised-value = '') then () else (for $synonym in $unit-synonyms return normalize-space(lower-case($synonym)))[. != ''] " />
    <xsl:variable name="search-terms-2" select="if ($normalised-value = '') then () else for $term in $search-terms-1 return         if ($term = '1') then $normalised-value else concat($normalised-value, $term) " />
    <xsl:variable name="search-regex-1" select="if ($normalised-value = '') then () else for $term in $search-terms-1 return          replace(replace(replace(replace(replace(replace(replace(replace(replace(replace($term, '\^', '\\^'), '\*', '\\*'), '\.', '\\.'), '\+', '\\+'),          '\)', '\\)'), '\(', '\\('), '\[', '\\['), '\]', '\\]'), '\{', '\\{'), '\}', '\\}') " />
    <xsl:variable name="search-regex-2" select="if ($normalised-value = '') then () else for $term in $search-regex-1 return         if (matches($term, '^10')) then concat('(', '(^|[^0-9])(', $normalised-value-regex, 'x{0,1}', $term, '|', 'x{0,1}', $term, ')([^0-9a-z]|$)',          ')|(', '(^|[^0-9])(', $normalised-value-regex, $term, '|', $term, ')([^0-9a-z]|$)', ')')         else if ($term = '1') then concat('(^|[^0-9])', $normalised-value-regex, '([^0-9]{1}.*$|$)')        else concat('(^|[^0-9])(', $normalised-value-regex, $term, '|', $term, ')([^0-9a-z]|$)') " />
    <xsl:variable name="quantity-match" select="if (not(exists($table-value-match)) or not(exists($table-value-match[. != '0']))) then (false())        else if ($unit = '1' and not($a-quantity-range)) then for $i in (1 to $table-num) return          ($table-value-match[$i] = '2' or boolean($tables[$i]//cda:td[matches(., $search-regex-2[1], 'is')]))        else if ($unit = '1' and $a-quantity-range) then for $i in (1 to $table-num) return not($table-value-match[$i] = '0')        else for $i in (1 to $table-num) return          if ($table-value-match[$i] = '0') then false()         else if ($table-value-match[$i] = '2') then           exists(index-of(for $term in $search-terms-1 return boolean($tables[$i]//cda:td[replace(lower-case(.), '\s+', '') = $term]), true()))         else exists(index-of(          for $j in (1 to count($search-terms-1)) return boolean($tables[$i]//cda:td[           replace(lower-case(.), '\s+', '') = $search-terms-1[$j]  or           replace(lower-case(.), '\s+', '') = $search-terms-2[$j]  or           matches(., $search-regex-2[$j], 'is')    ]), true())) " />
    <xsl:variable name="in-a-table" select="if ($normalised-value = '') then false() else exists(index-of($quantity-match, true())) " />
    <xsl:variable name="xpre-1" select="if ($normalised-value = '' or $in-a-table) then () else $target-narr-node//*[contains(@styleCode, 'xPre')] " />
    <xsl:variable name="xpre-num" select="count($xpre-1) " />
    <xsl:variable name="xpre-2" select="for $i in (1 to $xpre-num) return lower-case($xpre-1[$i]) " />
    <xsl:variable name="xpre-value-match" select="for $i in (1 to $xpre-num) return matches($xpre-2[$i], $value-regex, 'is') " />
    <xsl:variable name="xpre-quantity-match" select="if ($unit = '1') then ($xpre-value-match) else for $i in (1 to $xpre-num) return         $xpre-value-match[$i] and exists(index-of(for $term in $search-regex-2 return matches($xpre-2[$i], $term, 'is'), true())) " />
    <xsl:variable name="in-xpre" select="exists(index-of($xpre-quantity-match, true())) " />
    <xsl:variable name="narrative" select="if ($normalised-value = '' or $in-a-table or $in-xpre) then ''         else normalize-space(lower-case(string-join($target-narr-node//text()         [not(ancestor::cda:table or ancestor::cda:caption or contains(@styleCode, 'xPre'))], ''))) " />
    <xsl:variable name="narr-value-match" select="if ($normalised-value = '' or $in-a-table or $in-xpre) then true() else matches($narrative, $value-regex, 'is') " />
    <xsl:variable name="narr-quantity-match" select="if ($normalised-value = '' or $in-a-table or $in-xpre) then true()        else $narr-value-match and exists(index-of(for $term in $search-regex-2 return matches($narrative, $term, 'is'), true())) " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="quantity-text-1" select="if ($unit = '1') then concat('value ''', @value, '''') else concat('value ''', @value, ''' and unit ''', $unit, '''') " />
    <xsl:variable name="quantity-text" select="if ($unit-name = '') then $quantity-text-1 else concat($quantity-text-1, ' (the unit for ', $unit-name, ')') " />
    <xsl:variable name="inclusive-text" select="if ($a-quantity-range and @inclusive = 'true') then ' (the boundary is included)'        else if ($a-quantity-range and @inclusive = 'false') then ' (the boundary is not included)'        else '' " />
    <xsl:variable name="multimedia" select="exists($target-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$table-num = 0 and $xpre-num = 0 and not(exists($narr-text-el)) and not($multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-narr-node//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-6" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-6 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and @value and $table-num &gt; 0 and not($in-a-table or $in-xpre or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and @value and $table-num &gt; 0 and not($in-a-table or $in-xpre or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-PQ): The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text />.
		Is the quantity on the boundary of a quantity range? <xsl:text /><xsl:value-of select="$a-quantity-range" /><xsl:text /><xsl:text /><xsl:value-of select="$inclusive-text" /><xsl:text />.
		When transformed the quantity value is '<xsl:text /><xsl:value-of select="$normalised-value" /><xsl:text />'.
		The narrative contains <xsl:text /><xsl:value-of select="$table-num" /><xsl:text /><xsl:text /><xsl:value-of select="if ($table-num = 1) then ' table' else ' tables' " /><xsl:text />.
		The value regular expression value-regex is '<xsl:text /><xsl:value-of select="$value-regex" /><xsl:text />'.
		The value regular expression value-regex-3 is '<xsl:text /><xsl:value-of select="$value-regex-3" /><xsl:text />'.
		Elements of table-value-match are '<xsl:text /><xsl:value-of select="string-join($table-value-match, '|')" /><xsl:text />'.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($unit-synonyms, '|')" /><xsl:text />'.
		Elements of search-terms-1 are '<xsl:text /><xsl:value-of select="string-join($search-terms-1, '|')" /><xsl:text />'.
		Elements of search-terms-2 are '<xsl:text /><xsl:value-of select="string-join($search-terms-2, '|')" /><xsl:text />'.
		Elements of search-regex-1 are '<xsl:text /><xsl:value-of select="string-join($search-regex-1, '|')" /><xsl:text />'.
		Elements of search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($search-regex-2, '|')" /><xsl:text />'.
		Elements of quantity-match are '<xsl:text /><xsl:value-of select="string-join(for $i in (1 to count($quantity-match)) return if ($quantity-match[$i]) then '1' else '0', '|')" /><xsl:text />'.
		Was the quantity found by looking in table rows? <xsl:text /><xsl:value-of select="$in-a-table" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and @value and $xpre-num &gt; 0 and not($in-a-table or $in-xpre or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and @value and $xpre-num &gt; 0 and not($in-a-table or $in-xpre or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-PQ): The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text />.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($unit-synonyms, '|')" /><xsl:text />'.
		The narrative contains <xsl:text /><xsl:value-of select="$xpre-num" /><xsl:text /> elements with the xPre styleCode.
		The value regular expression value-regex is '<xsl:text /><xsl:value-of select="$value-regex" /><xsl:text />'.
		Elements of xpre-value-match are '<xsl:text /><xsl:value-of select="string-join(for $x in $xpre-value-match return if ($x) then '1' else '0', '|')" /><xsl:text />'.
		Elements of search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($search-regex-2, '|')" /><xsl:text />'.
		Elements of xpre-quantity-match are '<xsl:text /><xsl:value-of select="string-join(for $x in $xpre-quantity-match return if ($x) then '1' else '0', '|')" /><xsl:text />'.
		Was the quantity found by looking in elements with the xPre styleCode? <xsl:text /><xsl:value-of select="$in-xpre" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and @value and not($in-a-table or $narr-quantity-match or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and @value and not($in-a-table or $narr-quantity-match or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-PQ): The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text />.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($unit-synonyms, '|')" /><xsl:text />'.
		The value regular expression value-regex is '<xsl:text /><xsl:value-of select="$value-regex" /><xsl:text />'.
		Was the value found in the narrative? <xsl:text /><xsl:value-of select="$narr-value-match" /><xsl:text />.
		Elements of search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($search-regex-2, '|')" /><xsl:text />'.
		Was the quantity found in the narrative? <xsl:text /><xsl:value-of select="$narr-quantity-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @value and not($narr-quantity-match or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value and not($narr-quantity-match or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-6" /><xsl:text />: TC-Narr-09 step 6: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text /> however the quantity does not seem to be
		present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Individual Pathology Test Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and @value and not($narr-value-match or $narr-quantity-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and @value and not($narr-value-match or $narr-quantity-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-6" /><xsl:text />: TC-Narr-09 step 6: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text /> however the quantity is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and @value and not($narr-value-match or $narr-quantity-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and @value and not($narr-value-match or $narr-quantity-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-6" /><xsl:text />: TC-Narr-09 step 6: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text /> however the quantity is not present in the narrative of the section.
		The Individual Pathology Test Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'QS', 'TRC', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'QS', 'TRC', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M727" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M727" />
  <xsl:template match="@*|node()" priority="-2" mode="M727">
    <xsl:apply-templates select="@*|*" mode="M727" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-Observation-7-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation/cda:value[cda:low[@unit] or cda:high[@unit] or @xsi:type = 'IVL_PQ' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_PQ'] " priority="1000" mode="M728">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation/cda:value[cda:low[@unit] or cda:high[@unit] or @xsi:type = 'IVL_PQ' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_PQ'] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="narr-text-el" select="(for $text in ($target-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="tables" select="$target-narr-node//cda:table " />
    <xsl:variable name="table-num" select="count($tables) " />
    <xsl:variable name="ivl-unit" select="dh:XQueryRecursiveReplace(@unit, $ucum-annotation-replacement, '') " />
    <xsl:variable name="xpre-1" select="$target-narr-node//*[contains(@styleCode, 'xPre')] " />
    <xsl:variable name="xpre-num" select="count($xpre-1) " />
    <xsl:variable name="xpre-2" select="for $i in (1 to $xpre-num) return lower-case($xpre-1[$i]) " />
    <xsl:variable name="narrative" select="normalize-space(lower-case(string-join($target-narr-node//text()        [not(ancestor::cda:table or ancestor::cda:caption or contains(@styleCode, 'xPre'))], ''))) " />
    <xsl:variable name="l-normalised-value" select="if (cda:low/@value) then replace(lower-case(cda:low/@value), '\s+', '') else '' " />
    <xsl:variable name="l-normalised-value-regex" select="if (not(contains($l-normalised-value, '.'))) then concat('(', $l-normalised-value, '|', $l-normalised-value, '\.0*)')        else if (ends-with($l-normalised-value, '0')) then replace(replace($l-normalised-value, '\.', '\\.'), '0+$', '0*')        else concat(replace($l-normalised-value, '\.', '\\.'), '0*') " />
    <xsl:variable name="l-value-regex" select="if ($l-normalised-value = '') then '' else concat('(^|[^\.0-9])', $l-normalised-value-regex, '([^\.0-9]|$)') " />
    <xsl:variable name="l-value-regex-3" select="if ($l-normalised-value = '' or not(exists($tables))) then ''         else concat('(^|[^0-9])', $l-normalised-value-regex, '([^0-9]+$|\s+.+$)') " />
    <xsl:variable name="l-table-value-match" select="if ($l-normalised-value = '' or not(exists($tables))) then () else for $i in (1 to $table-num) return         if (not($tables[$i]//cda:td[matches(., $l-value-regex, 'is')])) then '0'        else if ($tables[$i]//cda:td[matches(., $l-value-regex-3, 'is')]) then '3'        else if ($tables[$i]//cda:td[replace(lower-case(.), '\s+', '') = $l-normalised-value]) then '2'        else '1' " />
    <xsl:variable name="l-unit-1" select="if (not(cda:low)) then '' else dh:XQueryRecursiveReplace(cda:low/@unit, $ucum-annotation-replacement, '') " />
    <xsl:variable name="l-unit" select="if ($l-unit-1 = '1' and $ivl-unit != '1') then $ivl-unit else $l-unit-1 " />
    <xsl:variable name="l-normalised-unit" select="if (not(cda:low)) then '' else replace(lower-case($l-unit), '\s+', '') " />
    <xsl:variable name="l-unit-validation" select="if ($l-unit = '1' or exists($UCUM/unit[@value = $l-normalised-unit])) then '' else dh:ValidateUCUM($l-unit) " />
    <xsl:variable name="l-unit-name" select="if (exists($UCUM/unit[@value = $l-normalised-unit])) then $UCUM/unit[@value = $l-normalised-unit]/@name else ''  " />
    <xsl:variable name="l-power-synonym" select="if (contains($l-normalised-unit, '10^')) then replace($l-normalised-unit, '10\^', '10*')        else if (contains($l-normalised-unit, '10*')) then replace($l-normalised-unit, '10\*', '10^')        else '' " />
    <xsl:variable name="l-special-unit-synonym" select="if (contains($l-normalised-unit, '['))         then (normalize-space(replace($l-normalised-unit, '[\[\]]', ' ')), normalize-space(replace($l-normalised-unit, '[\[\]]', ''))) else '' " />
    <xsl:variable name="l-apostrophe-synonym" select="for $syn in $l-special-unit-synonym return if (contains($syn, '''')) then normalize-space(replace($syn, '''', ' ')) else '' " />
    <xsl:variable name="l-unit-synonyms" select="if (not(cda:low)) then () else if (exists($UCUM/unit[@value = $l-normalised-unit]))         then ($l-normalised-unit, $l-unit-name, $l-power-synonym, $l-special-unit-synonym, $l-apostrophe-synonym,         tokenize($UCUM/unit[@value = $l-normalised-unit]/@synonyms, '\|'))[. != '']        else ($l-normalised-unit, $l-unit-name, $l-power-synonym, $l-special-unit-synonym, $l-apostrophe-synonym)[. != ''] " />
    <xsl:variable name="l-search-terms-1" select="if ($l-normalised-value = '') then () else (for $synonym in $l-unit-synonyms return normalize-space(lower-case($synonym)))[. != ''] " />
    <xsl:variable name="l-search-terms-2" select="if ($l-normalised-value = '') then () else for $term in $l-search-terms-1 return         if ($term = '1') then $l-normalised-value else concat($l-normalised-value, $term) " />
    <xsl:variable name="l-search-regex-1" select="if ($l-normalised-value = '') then () else for $term in $l-search-terms-1 return          replace(replace(replace(replace(replace(replace(replace(replace(replace(replace($term, '\^', '\\^'), '\*', '\\*'), '\.', '\\.'), '\+', '\\+'),          '\)', '\\)'), '\(', '\\('), '\[', '\\['), '\]', '\\]'), '\{', '\\{'), '\}', '\\}') " />
    <xsl:variable name="l-search-regex-2" select="if ($l-normalised-value = '') then () else for $term in $l-search-regex-1 return         if (matches($term, '^10')) then concat('(', '(^|[^0-9])(', $l-normalised-value-regex, 'x{0,1}', $term, '|', 'x{0,1}', $term, ')([^0-9a-z]|$)',          ')|(', '(^|[^0-9])(', $l-normalised-value-regex, $term, '|', $term, ')([^0-9a-z]|$)', ')')         else if ($term = '1') then concat('(^|[^0-9])', $l-normalised-value-regex, '([^0-9]{1}.*$|$)')        else concat('(^|[^0-9])(', $l-normalised-value-regex, $term, '|', $term, ')([^0-9a-z]|$)') " />
    <xsl:variable name="l-quantity-match" select="if (not(exists($l-table-value-match)) or not(exists($l-table-value-match[. != '0']))) then (false())        else if ($l-unit = '1') then for $i in (1 to $table-num) return not($l-table-value-match[$i] = '0')        else for $i in (1 to $table-num) return          if ($l-table-value-match[$i] = '0') then false()         else if ($l-table-value-match[$i] = '2') then           exists(index-of(for $term in $l-search-terms-1 return boolean($tables[$i]//cda:td[replace(lower-case(.), '\s+', '') = $term]),            true()))         else exists(index-of(          for $j in (1 to count($l-search-terms-1)) return boolean($tables[$i]//cda:td[           replace(lower-case(.), '\s+', '') = $l-search-terms-1[$j]   or           replace(lower-case(.), '\s+', '') = $l-search-terms-2[$j]  or           matches(., $l-search-regex-2[$j], 'is')     ]), true())) " />
    <xsl:variable name="l-in-a-table" select="if ($l-normalised-value = '') then false() else exists(index-of($l-quantity-match, true())) " />
    <xsl:variable name="l-xpre-value-match" select="if ($l-normalised-value = '' or $l-in-a-table) then () else for $i in (1 to $xpre-num) return matches($xpre-2[$i], $l-value-regex, 'is') " />
    <xsl:variable name="l-xpre-quantity-match" select="if (not(cda:low)) then () else if ($l-unit = '1') then ($l-xpre-value-match) else for $i in (1 to $xpre-num) return         $l-xpre-value-match[$i] and exists(index-of(for $term in $l-search-regex-2 return matches($xpre-2[$i], $term, 'is'), true())) " />
    <xsl:variable name="l-in-xpre" select="if (not(cda:low)) then false() else exists(index-of($l-xpre-quantity-match, true())) " />
    <xsl:variable name="l-narr-value-match" select="if ($l-normalised-value = '' or $l-in-a-table or $l-in-xpre) then true() else matches($narrative, $l-value-regex, 'is') " />
    <xsl:variable name="l-narr-quantity-match" select="if ($l-normalised-value = '' or $l-in-a-table or $l-in-xpre) then true()        else $l-narr-value-match and exists(index-of(for $term in $l-search-regex-2 return matches($narrative, $term, 'is'), true())) " />
    <xsl:variable name="l-nullFlavor-values" select="if (cda:low/@nullFlavor and cda:low/@nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))        then $nullFlavors/nullFlavor[@value = current()/cda:low/@nullFlavor] else () " />
    <xsl:variable name="l-null-to-find" select="exists($l-nullFlavor-values) " />
    <xsl:variable name="l-null-in-narr" select="($l-nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $l-nullFlavor-values/@name-regex, 'is')])) or              ($l-nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $l-nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="h-normalised-value" select="if (cda:low/@value and not($l-narr-quantity-match)) then ''        else if (cda:low/@nullFlavor and not($l-null-in-narr)) then ''        else if (cda:high/@value) then replace(lower-case(cda:high/@value), '\s+', '')         else '' " />
    <xsl:variable name="h-normalised-value-regex" select="if (not(contains($h-normalised-value, '.'))) then concat('(', $h-normalised-value, '|', $h-normalised-value, '\.0*)')        else if (ends-with($h-normalised-value, '0')) then replace(replace($h-normalised-value, '\.', '\\.'), '0+$', '0*')        else concat(replace($h-normalised-value, '\.', '\\.'), '0*') " />
    <xsl:variable name="h-value-regex" select="if ($h-normalised-value = '') then '' else concat('(^|[^\.0-9])', $h-normalised-value-regex, '([^\.0-9]|$)') " />
    <xsl:variable name="h-unit-1" select="if (not(cda:high)) then '' else dh:XQueryRecursiveReplace(cda:high/@unit, $ucum-annotation-replacement, '') " />
    <xsl:variable name="h-unit" select="if ($h-unit-1 = '1' and $ivl-unit != '1') then $ivl-unit else $h-unit-1 " />
    <xsl:variable name="h-normalised-unit" select="if (not(cda:high)) then '' else replace(lower-case($h-unit), '\s+', '') " />
    <xsl:variable name="h-unit-validation" select="if ($h-unit = '1' or exists($UCUM/unit[@value = $h-normalised-unit])) then '' else dh:ValidateUCUM($h-unit) " />
    <xsl:variable name="h-unit-name" select="if (exists($UCUM/unit[@value = $h-normalised-unit])) then $UCUM/unit[@value = $h-normalised-unit]/@name else ''  " />
    <xsl:variable name="h-search-tables" select="exists($tables) and not($h-normalised-value = '') and ((cda:low/@value and $l-in-a-table) or not(cda:low/@value)) " />
    <xsl:variable name="h-tables" select="if (not($h-search-tables)) then ()        else if (cda:low/@value and $l-in-a-table) then for $i in (1 to count($l-quantity-match)) return if ($l-quantity-match[$i]) then '1' else '0'        else for $i in (1 to $table-num) return '1' " />
    <xsl:variable name="h-value-regex-3" select="if ($h-normalised-value = '' or not(exists($tables))) then ''         else concat('(^|[^0-9])', $h-normalised-value-regex, '([^0-9]+$|\s+.+$)') " />
    <xsl:variable name="h-table-value-match" select="if (not($h-search-tables)) then () else for $i in (1 to $table-num) return         if ($h-tables[$i] = '0') then '4'        else if (not($tables[$i]//cda:td[matches(., $h-value-regex, 'is')])) then '0'        else if ($tables[$i]//cda:td[matches(., $h-value-regex-3, 'is')]) then '3'        else if ($tables[$i]//cda:td[replace(lower-case(.), '\s+', '') = $h-normalised-value]) then '2'        else '1' " />
    <xsl:variable name="h-power-synonym" select="if (contains($h-normalised-unit, '10^')) then replace($h-normalised-unit, '10\^', '10*')        else if (contains($h-normalised-unit, '10*')) then replace($h-normalised-unit, '10\*', '10^')        else '' " />
    <xsl:variable name="h-special-unit-synonym" select="if (contains($h-normalised-unit, '['))         then (normalize-space(replace($h-normalised-unit, '[\[\]]', ' ')), normalize-space(replace($h-normalised-unit, '[\[\]]', ''))) else '' " />
    <xsl:variable name="h-apostrophe-synonym" select="for $syn in $h-special-unit-synonym return if (contains($syn, '''')) then normalize-space(replace($syn, '''', ' ')) else '' " />
    <xsl:variable name="h-unit-synonyms" select="if (not(cda:high)) then () else if (exists($UCUM/unit[@value = $h-normalised-unit]))         then ($h-normalised-unit, $h-unit-name, $h-power-synonym, $h-special-unit-synonym, $h-apostrophe-synonym,           tokenize($UCUM/unit[@value = $h-normalised-unit]/@synonyms, '\|'))[. != '']        else ($h-normalised-unit, $h-unit-name, $h-power-synonym, $h-special-unit-synonym, $h-apostrophe-synonym)[. != ''] " />
    <xsl:variable name="h-search-terms-1" select="if (not($h-search-tables)) then () else (for $synonym in $h-unit-synonyms return normalize-space(lower-case($synonym)))[. != ''] " />
    <xsl:variable name="h-search-terms-2" select="if (not($h-search-tables)) then () else for $term in $h-search-terms-1 return         if ($term = '1') then $h-normalised-value else concat($h-normalised-value, $term) " />
    <xsl:variable name="h-search-regex-1" select="if (not($h-search-tables)) then () else for $term in $h-search-terms-1 return          replace(replace(replace(replace(replace(replace(replace(replace(replace(replace($term, '\^', '\\^'), '\*', '\\*'), '\.', '\\.'), '\+', '\\+'),          '\)', '\\)'), '\(', '\\('), '\[', '\\['), '\]', '\\]'), '\{', '\\{'), '\}', '\\}') " />
    <xsl:variable name="h-search-regex-2" select="if ($h-normalised-value = '') then () else for $term in $h-search-regex-1 return         if (matches($term, '^10')) then concat('(', '(^|[^0-9])(', $h-normalised-value-regex, 'x{0,1}', $term, '|', 'x{0,1}', $term, ')([^0-9a-z]|$)',          ')|(', '(^|[^0-9])(', $h-normalised-value-regex, $term, '|', $term, ')([^0-9a-z]|$)', ')')         else if ($term = '1') then concat('(^|[^0-9])', $h-normalised-value-regex, '([^0-9]{1}.*$|$)')        else concat('(^|[^0-9])(', $h-normalised-value-regex, $term, '|', $term, ')([^0-9a-z]|$)') " />
    <xsl:variable name="h-quantity-match" select="if (not(exists($h-table-value-match)) or not(exists($h-table-value-match[. != '0']))) then (false())        else if ($h-unit = '1') then for $i in (1 to $table-num) return not($h-table-value-match[$i] = '0')        else for $i in (1 to $table-num) return          if ($h-table-value-match[$i] = '0' or $h-table-value-match[$i] = '4') then false()         else if ($h-table-value-match[$i] = '2') then           exists(index-of(for $term in $h-search-terms-1 return boolean($tables[$i]//cda:td[replace(lower-case(.), '\s+', '') = $term]),            true()))         else exists(index-of(          for $j in (1 to count($h-search-terms-1)) return boolean($tables[$i]//cda:td[           replace(lower-case(.), '\s+', '') = $h-search-terms-1[$j]   or           replace(lower-case(.), '\s+', '') = $h-search-terms-2[$j]  or           matches(., $h-search-regex-2[$j], 'is')     ]), true())) " />
    <xsl:variable name="h-in-a-table" select="if ($h-normalised-value = '') then false() else exists(index-of($h-quantity-match, true())) " />
    <xsl:variable name="h-search-xPre" select="$xpre-num &gt; 0 and not($h-normalised-value = '') and ((cda:low/@value and $l-in-xpre) or not(cda:low/@value)) " />
    <xsl:variable name="h-xPre-elements" select="if (not($h-search-xPre)) then ()        else if (cda:low/@value and $l-in-xpre) then for $i in (1 to $xpre-num) return if ($l-xpre-quantity-match[$i]) then '1' else '0'        else for $i in (1 to $xpre-num) return '1' " />
    <xsl:variable name="h-xpre-value-match" select="if (not($h-search-xPre)) then () else for $i in (1 to $xpre-num) return $h-xPre-elements[$i] = '1' and matches($xpre-2[$i], $h-value-regex, 'is') " />
    <xsl:variable name="h-xpre-quantity-match" select="if (not(cda:high)) then () else if ($h-unit = '1') then ($h-xpre-value-match) else for $i in (1 to $xpre-num) return         $h-xpre-value-match[$i] and exists(index-of(for $term in $h-search-regex-2 return matches($xpre-2[$i], $term, 'is'), true())) " />
    <xsl:variable name="h-in-xpre" select="if (not(cda:high)) then false() else exists(index-of($h-xpre-quantity-match, true())) " />
    <xsl:variable name="h-narr-value-match" select="if ($h-normalised-value = '' or $h-in-a-table or $h-in-xpre) then true() else matches($narrative, $h-value-regex, 'is') " />
    <xsl:variable name="h-narr-quantity-match" select="if ($h-normalised-value = '' or $h-in-a-table or $h-in-xpre) then true()        else $h-narr-value-match and exists(index-of(for $term in $h-search-regex-2 return matches($narrative, $term, 'is'), true())) " />
    <xsl:variable name="ivl-narr-quantity-match" select="if (cda:low/@value and cda:high/@value) then $l-narr-quantity-match and $h-narr-quantity-match        else if (cda:low/@value and not(cda:high/@value)) then $l-narr-quantity-match        else if (not(cda:low/@value) and cda:high/@value) then $l-narr-quantity-match        else false() " />
    <xsl:variable name="h-nullFlavor-values" select="if (cda:high/@nullFlavor and cda:high/@nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))        then $nullFlavors/nullFlavor[@value = current()/cda:high/@nullFlavor] else () " />
    <xsl:variable name="h-null-to-find" select="exists($h-nullFlavor-values) " />
    <xsl:variable name="h-null-in-narr" select="($h-nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $h-nullFlavor-values/@name-regex, 'is')])) or              ($h-nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $h-nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="ivl-nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="ivl-null-to-find" select="exists($ivl-nullFlavor-values) " />
    <xsl:variable name="ivl-null-in-narr" select="($ivl-nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $ivl-nullFlavor-values/@name-regex, 'is')])) or              ($ivl-nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $ivl-nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="l-quantity-text-1" select="if (not(cda:low)) then '' else if ($l-unit = '1') then concat('value ''', cda:low/@value, '''') else concat('value ''', cda:low/@value,         ''' and unit ''', $l-unit, '''') " />
    <xsl:variable name="l-quantity-text" select="if ($l-unit-name = '') then $l-quantity-text-1 else concat($l-quantity-text-1, ' (the unit for ', $l-unit-name, ')') " />
    <xsl:variable name="l-inclusive-text" select="if (not(cda:low)) then ''         else if (cda:low/@inclusive = 'true') then ' (the boundary is included)'        else if (cda:low/@inclusive = 'false') then ' (the boundary is not included)'        else '' " />
    <xsl:variable name="h-quantity-text-1" select="if (not(cda:high)) then '' else if ($h-unit = '1') then concat('value ''', cda:high/@value, '''') else concat('value ''', cda:high/@value,         ''' and unit ''', $h-unit, '''') " />
    <xsl:variable name="h-quantity-text" select="if ($h-unit-name = '') then $h-quantity-text-1 else concat($h-quantity-text-1, ' (the unit for ', $h-unit-name, ')') " />
    <xsl:variable name="h-inclusive-text" select="if (not(cda:high)) then ''         else if (cda:high/@inclusive = 'true') then ' (the boundary is included)'        else if (cda:high/@inclusive = 'false') then ' (the boundary is not included)'        else '' " />
    <xsl:variable name="multimedia" select="exists($target-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$table-num = 0 and $xpre-num = 0 and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-narr-node//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-6" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-6 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and cda:low/@value and $table-num &gt; 0 and not($l-in-a-table or $l-in-xpre or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and cda:low/@value and $table-num &gt; 0 and not($l-in-a-table or $l-in-xpre or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-IVL-PQ): The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a low boundary with the <xsl:text /><xsl:value-of select="$l-quantity-text" /><xsl:text />.
		<xsl:text /><xsl:value-of select="$l-inclusive-text" /><xsl:text />.
		When transformed the quantity value is '<xsl:text /><xsl:value-of select="$l-normalised-value" /><xsl:text />'.
		The narrative contains <xsl:text /><xsl:value-of select="$table-num" /><xsl:text /><xsl:text /><xsl:value-of select="if ($table-num = 1) then ' table' else ' tables' " /><xsl:text />.
		The value regular expression l-value-regex is '<xsl:text /><xsl:value-of select="$l-value-regex" /><xsl:text />'.
		The value regular expression l-value-regex-3 is '<xsl:text /><xsl:value-of select="$l-value-regex-3" /><xsl:text />'.
		Elements of l-table-value-match are '<xsl:text /><xsl:value-of select="string-join($l-table-value-match, '|')" /><xsl:text />'.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($l-unit-synonyms, '|')" /><xsl:text />'.
		Elements of l-search-terms-1 are '<xsl:text /><xsl:value-of select="string-join($l-search-terms-1, '|')" /><xsl:text />'.
		Elements of l-search-terms-2 are '<xsl:text /><xsl:value-of select="string-join($l-search-terms-2, '|')" /><xsl:text />'.
		Elements of l-search-regex-1 are '<xsl:text /><xsl:value-of select="string-join($l-search-regex-1, '|')" /><xsl:text />'.
		Elements of l-search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($l-search-regex-2, '|')" /><xsl:text />'.
		Elements of l-quantity-match are '<xsl:text /><xsl:value-of select="string-join(for $i in (1 to count($l-quantity-match)) return if ($l-quantity-match[$i]) then '1' else '0', '|')" /><xsl:text />'.
		Was the quantity found by looking in table rows? <xsl:text /><xsl:value-of select="$l-in-a-table" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and cda:low/@value and $xpre-num &gt; 0 and not($l-in-a-table or $l-in-xpre or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and cda:low/@value and $xpre-num &gt; 0 and not($l-in-a-table or $l-in-xpre or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-IVL-PQ): The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a low boundary with the <xsl:text /><xsl:value-of select="$l-quantity-text" /><xsl:text />.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($l-unit-synonyms, '|')" /><xsl:text />'.
		The narrative contains <xsl:text /><xsl:value-of select="$xpre-num" /><xsl:text /> elements with the xPre styleCode.
		The value regular expression l-value-regex is '<xsl:text /><xsl:value-of select="$l-value-regex" /><xsl:text />'.
		Elements of l-xpre-value-match are '<xsl:text /><xsl:value-of select="string-join(for $x in $l-xpre-value-match return if ($x) then '1' else '0', '|')" /><xsl:text />'.
		Elements of l-search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($l-search-regex-2, '|')" /><xsl:text />'.
		Elements of l-xpre-quantity-match are '<xsl:text /><xsl:value-of select="string-join(for $x in $l-xpre-quantity-match return if ($x) then '1' else '0', '|')" /><xsl:text />'.
		Was the quantity found by looking in elements with the xPre styleCode? <xsl:text /><xsl:value-of select="$l-in-xpre" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and cda:low/@value and not($l-in-a-table or $l-narr-quantity-match or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and cda:low/@value and not($l-in-a-table or $l-narr-quantity-match or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-IVL-PQ): The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a low boundary with the <xsl:text /><xsl:value-of select="$l-quantity-text" /><xsl:text />.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($l-unit-synonyms, '|')" /><xsl:text />'.
		The value regular expression l-value-regex is '<xsl:text /><xsl:value-of select="$l-value-regex" /><xsl:text />'.
		Was the value found in the narrative? <xsl:text /><xsl:value-of select="$l-narr-value-match" /><xsl:text />.
		Elements of l-search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($l-search-regex-2, '|')" /><xsl:text />'.
		Was the quantity found in the narrative? <xsl:text /><xsl:value-of select="$l-narr-quantity-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and ((cda:low/@value and $l-narr-quantity-match) or not(cda:low/@value))   and cda:high/@value and $table-num &gt; 0 and not($h-in-a-table or $h-in-xpre or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and ((cda:low/@value and $l-narr-quantity-match) or not(cda:low/@value)) and cda:high/@value and $table-num &gt; 0 and not($h-in-a-table or $h-in-xpre or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-IVL-PQ): The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a high boundary with the <xsl:text /><xsl:value-of select="$h-quantity-text" /><xsl:text />.
		<xsl:text /><xsl:value-of select="$h-inclusive-text" /><xsl:text />.
		When transformed the quantity value is '<xsl:text /><xsl:value-of select="$h-normalised-value" /><xsl:text />'.
		The narrative contains <xsl:text /><xsl:value-of select="$table-num" /><xsl:text /><xsl:text /><xsl:value-of select="if ($table-num = 1) then ' table' else ' tables' " /><xsl:text />.
		Elements of h-tables are'<xsl:text /><xsl:value-of select="string-join($h-tables, '|')" /><xsl:text />'.
		The value regular expression h-value-regex is '<xsl:text /><xsl:value-of select="$h-value-regex" /><xsl:text />'.
		The value regular expression h-value-regex-3 is '<xsl:text /><xsl:value-of select="$h-value-regex-3" /><xsl:text />'.
		Elements of h-table-value-match are '<xsl:text /><xsl:value-of select="string-join($h-table-value-match, '|')" /><xsl:text />'.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($h-unit-synonyms, '|')" /><xsl:text />'.
		Elements of h-search-terms-1 are '<xsl:text /><xsl:value-of select="string-join($h-search-terms-1, '|')" /><xsl:text />'.
		Elements of h-search-terms-2 are '<xsl:text /><xsl:value-of select="string-join($h-search-terms-2, '|')" /><xsl:text />'.
		Elements of h-search-regex-1 are '<xsl:text /><xsl:value-of select="string-join($h-search-regex-1, '|')" /><xsl:text />'.
		Elements of h-search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($h-search-regex-2, '|')" /><xsl:text />'.
		Elements of h-quantity-match are '<xsl:text /><xsl:value-of select="string-join(for $i in (1 to count($h-quantity-match)) return if ($h-quantity-match[$i]) then '1' else '0', '|')" /><xsl:text />'.
		Was the quantity found by looking in table rows? <xsl:text /><xsl:value-of select="$h-in-a-table" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and ((cda:low/@value and $l-narr-quantity-match) or not(cda:low/@value))   and cda:high/@value and $xpre-num &gt; 0 and not($h-in-a-table or $h-in-xpre or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and ((cda:low/@value and $l-narr-quantity-match) or not(cda:low/@value)) and cda:high/@value and $xpre-num &gt; 0 and not($h-in-a-table or $h-in-xpre or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-IVL-PQ): The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a high boundary with the <xsl:text /><xsl:value-of select="$h-quantity-text" /><xsl:text />.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($h-unit-synonyms, '|')" /><xsl:text />'.
		The narrative contains <xsl:text /><xsl:value-of select="$xpre-num" /><xsl:text /> elements with the xPre styleCode.
		The value regular expression h-value-regex is '<xsl:text /><xsl:value-of select="$h-value-regex" /><xsl:text />'.
		Elements of h-xpre-value-match are '<xsl:text /><xsl:value-of select="string-join(for $x in $h-xpre-value-match return if ($x) then '1' else '0', '|')" /><xsl:text />'.
		Elements of h-search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($h-search-regex-2, '|')" /><xsl:text />'.
		Elements of h-xpre-quantity-match are '<xsl:text /><xsl:value-of select="string-join(for $x in $h-xpre-quantity-match return if ($x) then '1' else '0', '|')" /><xsl:text />'.
		Was the quantity found by looking in elements with the xPre styleCode? <xsl:text /><xsl:value-of select="$h-in-xpre" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and ((cda:low/@value and $l-narr-quantity-match) or not(cda:low/@value))   and cda:high/@value and not($h-in-a-table or $h-narr-quantity-match or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and ((cda:low/@value and $l-narr-quantity-match) or not(cda:low/@value)) and cda:high/@value and not($h-in-a-table or $h-narr-quantity-match or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-IVL-PQ): The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a high boundary with the value <xsl:text /><xsl:value-of select="$h-quantity-text" /><xsl:text />.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($h-unit-synonyms, '|')" /><xsl:text />'.
		The value regular expression h-value-regex is '<xsl:text /><xsl:value-of select="$h-value-regex" /><xsl:text />'.
		Was the value found in the narrative? <xsl:text /><xsl:value-of select="$h-narr-value-match" /><xsl:text />.
		Elements of h-search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($h-search-regex-2, '|')" /><xsl:text />'.
		Was the quantity found in the narrative? <xsl:text /><xsl:value-of select="$h-narr-quantity-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" (cda:low/@value or cda:high/@value) and not($ivl-narr-quantity-match or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="(cda:low/@value or cda:high/@value) and not($ivl-narr-quantity-match or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-6" /><xsl:text />: TC-Narr-09 step 6: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="if (cda:low/@value) then concat('a low boundary with the ', $l-quantity-text) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (cda:low/@value and cda:high/@value) then ' and ' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (cda:high/@value) then concat('a high boundary with the ', $h-quantity-text) else '' " /><xsl:text />
		however the boundary <xsl:text /><xsl:value-of select="if (cda:low/@value and cda:high/@value) then ' values do ' else ' value does ' " /><xsl:text /> not seem to be
		present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Individual Pathology Test Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and (cda:low/@value or cda:high/@value) and not($ivl-narr-quantity-match or $ivl-null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and (cda:low/@value or cda:high/@value) and not($ivl-narr-quantity-match or $ivl-null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-6" /><xsl:text />: TC-Narr-09 step 6: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="if (cda:low/@value) then concat('a low boundary with the ', $l-quantity-text) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (cda:low/@value and cda:high/@value) then ' and ' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (cda:high/@value) then concat('a high boundary with the ', $h-quantity-text) else '' " /><xsl:text />
		however the boundary <xsl:text /><xsl:value-of select="if (cda:low/@value and cda:high/@value) then ' values do ' else ' value does ' " /><xsl:text /> are not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and (cda:low/@value or cda:high/@value) and not($ivl-narr-quantity-match or $ivl-null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and (cda:low/@value or cda:high/@value) and not($ivl-narr-quantity-match or $ivl-null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-6" /><xsl:text />: TC-Narr-09 step 6: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="if (cda:low/@value) then concat('a low boundary with the ', $l-quantity-text) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (cda:low/@value and cda:high/@value) then ' and ' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (cda:high/@value) then concat('a high boundary with the ', $h-quantity-text) else '' " /><xsl:text />
		however the boundary <xsl:text /><xsl:value-of select="if (cda:low/@value and cda:high/@value) then ' values do ' else ' value does ' " /><xsl:text /> are not present in the narrative of the section.
		The Individual Pathology Test Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-null-to-find and not($l-null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-null-to-find and not($l-null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a low boundary with a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="cda:low/@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$l-nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($l-nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-null-to-find and not($h-null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-null-to-find and not($h-null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a high boundary with a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="cda:high/@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$h-nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($h-nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $ivl-null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'QS', 'TRC', 'UNK') and not($ivl-null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$ivl-null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'QS', 'TRC', 'UNK') and not($ivl-null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$ivl-nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($ivl-nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M728" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M728" />
  <xsl:template match="@*|node()" priority="-2" mode="M728">
    <xsl:apply-templates select="@*|*" mode="M728" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-Observation-8-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation/cda:value[@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS']    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))] " priority="1000" mode="M729">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation/cda:value[@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS']    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="fir-narrative" select="translate(normalize-space(lower-case(string($fir-narr-node))), $chars-to-remove, '')" />
    <xsl:variable name="sec-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)        then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]        else () " />
    <xsl:variable name="sec-narr-node" select="$sec-section/cda:text " />
    <xsl:variable name="narr-text-el" select="(for $text in ($fir-narr-node//text(), $sec-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="sec-narrative" select="translate(normalize-space(lower-case(string($sec-narr-node))), $chars-to-remove, '') " />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="narrative" select="concat($target-title, $fir-narrative, $sec-narrative)" />
    <xsl:variable name="narr-elements" select="$fir-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ]  |             $sec-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ] " />
    <xsl:variable name="narr-lower-case" select="for $i in (1 to count($narr-elements)) return lower-case(normalize-space(string-join($narr-elements[$i]/text(), '')))  " />
    <xsl:variable name="dt-narr-elements" select="$narr-lower-case[matches(., $regex-date-type-1, 'i') or matches(., $regex-date-type-2, 'i') or matches(., $regex-date-type-3, 'i')] " />
    <xsl:variable name="narr-elements-start" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-before($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-before($dt-narr-elements[$i], ' -'))        else $dt-narr-elements[$i])[. != ''] " />
    <xsl:variable name="narr-elements-end" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-after($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-after($dt-narr-elements[$i], ' -'))        else '')[. != ''] " />
    <xsl:variable name="narr-dateTimes" select="distinct-values(($narr-elements-start , $narr-elements-end))[. != '(ongoing)'] " />
    <xsl:variable name="dt-value" select="if (@value) then @value else '' " />
    <xsl:variable name="no-time-zone" select="if (contains($dt-value, '+')) then substring-before($dt-value, '+')       else if (contains($dt-value, '-')) then substring-before($dt-value, '-')       else $dt-value " />
    <xsl:variable name="dateTime-length" select="string-length($no-time-zone) " />
    <xsl:variable name="year" select="if ($dateTime-length &gt; 3) then substring($no-time-zone,1,4) else '' " />
    <xsl:variable name="month-num" select="if ($dateTime-length &gt; 5) then substring($no-time-zone,5,2) else '' " />
    <xsl:variable name="day" select="if ($dateTime-length &gt; 7 and substring($no-time-zone,7,1) = '0') then substring($no-time-zone,8,1)       else if ($dateTime-length &gt; 7 and substring($no-time-zone,7,1) != '0') then substring($no-time-zone,7,2) else '' " />
    <xsl:variable name="hour-long" select="if ($dateTime-length &gt; 9) then substring($no-time-zone,9,2) else '' " />
    <xsl:variable name="hour-short" select="if (substring($hour-long, 1, 1) = '0') then substring($hour-long, 2, 1) else '' " />
    <xsl:variable name="minute" select="if ($dateTime-length &gt; 11) then substring($no-time-zone,11,2) else '' " />
    <xsl:variable name="second" select="if ($dateTime-length &gt; 13) then substring($no-time-zone,13,2) else '' " />
    <xsl:variable name="time-zone" select="if (contains($dt-value, '+')) then concat('\+', substring-after($dt-value, '+'))       else if (contains($dt-value, '-')) then concat('\-', substring-after($dt-value, '-'))       else '' " />
    <xsl:variable name="month-short" select="if ($month-num = '01') then 'jan'  else             if ($month-num = '02') then 'feb'  else             if ($month-num = '03') then 'mar'  else             if ($month-num = '04') then 'apr'  else             if ($month-num = '05') then 'may'  else             if ($month-num = '06') then 'jun'  else             if ($month-num = '07') then 'jul'  else             if ($month-num = '08') then 'aug'  else             if ($month-num = '09') then 'sep'  else             if ($month-num = '10') then 'oct'  else             if ($month-num = '11') then 'nov'  else             if ($month-num = '12') then 'dec'  else '' " />
    <xsl:variable name="month-long" select="if ($month-num = '01') then 'january'  else             if ($month-num = '02') then 'february'  else             if ($month-num = '03') then 'march'  else             if ($month-num = '04') then 'april'  else             if ($month-num = '05') then 'may'  else             if ($month-num = '06') then 'june'  else             if ($month-num = '07') then 'july'  else             if ($month-num = '08') then 'august'  else             if ($month-num = '09') then 'september'  else             if ($month-num = '10') then 'october'  else             if ($month-num = '11') then 'november'  else             if ($month-num = '12') then 'december'  else '' " />
    <xsl:variable name="date-type-3-day" select="if (string-length($day) = 1) then concat('0{0,1}', $day) else $day " />
    <xsl:variable name="date-type-3-month" select="if (string-length($month-num) = 1) then concat('0{0,1}', $month-num)        else if (substring($month-num, 1, 1) = '0') then concat('0{0,1}', substring($month-num, 2, 1))         else $month-num " />
    <xsl:variable name="dt-sequence-1" select="if ($dateTime-length = 4) then (         concat('^', $dt-value)         ,          concat('^', $year)         )        else if ($dateTime-length = 6) then (         concat('^', $dt-value)         ,         concat('^', $month-short, $date-sep, $year)      ,          concat('^', $month-long, $date-sep, $year)      )        else if ($dateTime-length &gt; 7) then (         concat('^', $dt-value)         ,         concat('^', $date-type-3-day, $date-sep, $month-short, $date-sep, $year)  ,         concat('^', $date-type-3-day, $date-sep, $month-long, $date-sep, $year)   ,         concat('^', $date-type-3-day, '/', $date-type-3-month, '/', $year)   )        else () " />
    <xsl:variable name="matching-seq-1" select="if (exists($dt-sequence-1))        then index-of(for $i in (1 to count($dt-sequence-1)) return exists($narr-dateTimes[matches(., $dt-sequence-1[$i], 'i')]), true())        else () " />
    <xsl:variable name="dt-stem-1" select="for $i in (1 to count($matching-seq-1)) return $dt-sequence-1[$matching-seq-1[$i]] " />
    <xsl:variable name="dt-regex-1" select="if (exists($dt-stem-1)) then concat('(', string-join($dt-stem-1, '$)|('), '$)') else ()" />
    <xsl:variable name="dt-match-1" select="exists($dt-stem-1) and exists($narr-dateTimes[matches(., $dt-regex-1, 'i')])" />
    <xsl:variable name="time-1" select="if ($dateTime-length &gt; 11 and $hour-short != '') then concat($hour-short, ':', $minute, '( *| *am)') else '' " />
    <xsl:variable name="time-2" select="if ($dateTime-length &gt; 13 and $hour-short != '') then concat($hour-short, ':', $minute, ':', $second, '( *| *am)') else '' " />
    <xsl:variable name="time-3" select="if ($dateTime-length &gt; 11 and number($hour-long) &lt; 12) then concat($hour-long, ':', $minute, '( *| *am)')       else if ($dateTime-length &gt; 11) then concat($hour-long, ':', $minute) else '' " />
    <xsl:variable name="time-4" select="if ($dateTime-length &gt; 13 and number($hour-long) &lt; 12) then concat($hour-long, ':', $minute, ':', $second, '( *| *am)')        else if ($dateTime-length &gt; 13) then concat($hour-long, ':', $minute, ':', $second) else '' " />
    <xsl:variable name="time-5" select="if ($dateTime-length &gt; 11 and number($hour-long) &gt; 12) then concat(string(number($hour-long) - 12), ':', $minute, '( *| *pm)') else '' " />
    <xsl:variable name="time-6" select="if ($dateTime-length &gt; 13 and number($hour-long) &gt; 12) then concat(string(number($hour-long) - 12), ':', $minute, ':', $second, '( *| *pm)') else '' " />
    <xsl:variable name="dt-temp-0" select="if (exists($dt-stem-1) and $dateTime-length = 8) then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $narr-time-regex) else () " />
    <xsl:variable name="dt-temp-1" select="if (exists($dt-stem-1) and $time-1 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-1) else () " />
    <xsl:variable name="dt-temp-2" select="if (exists($dt-stem-1) and $time-2 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-2) else () " />
    <xsl:variable name="dt-temp-3" select="if (exists($dt-stem-1) and $time-3 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-3) else () " />
    <xsl:variable name="dt-temp-4" select="if (exists($dt-stem-1) and $time-4 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-4) else () " />
    <xsl:variable name="dt-temp-5" select="if (exists($dt-stem-1) and $time-5 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-5) else () " />
    <xsl:variable name="dt-temp-6" select="if (exists($dt-stem-1) and $time-6 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-6) else () " />
    <xsl:variable name="dt-sequence-2" select="($dt-temp-0, $dt-temp-1, $dt-temp-2, $dt-temp-3, $dt-temp-4, $dt-temp-5, $dt-temp-6)" />
    <xsl:variable name="matching-seq-2" select="if (exists($dt-sequence-2))        then index-of(for $i in (1 to count($dt-sequence-2)) return exists($narr-dateTimes[matches(., $dt-sequence-2[$i], 'i')]), true())        else () " />
    <xsl:variable name="dt-stem-2" select="for $i in (1 to count($matching-seq-2)) return $dt-sequence-2[$matching-seq-2[$i]] " />
    <xsl:variable name="dt-regex-2" select="if (exists($dt-stem-2)) then concat('(', string-join($dt-stem-2, '$)|('), '$)') else '' " />
    <xsl:variable name="dt-match-2" select="(exists($dt-stem-2) and exists($narr-dateTimes[matches(., $dt-regex-2, 'i')])) " />
    <xsl:variable name="dt-sequence-3" select="if (not($dt-match-2) and exists($dt-stem-2) and $time-zone != '') then for $i in (1 to count($dt-stem-2)) return        concat($dt-stem-2[$i], substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2)) else () " />
    <xsl:variable name="dt-regex-3" select="if ($dt-match-2) then '' else if (exists($dt-sequence-3)) then concat('(', string-join($dt-sequence-3, '$)|('), '$)') else '' " />
    <xsl:variable name="dt-match-3" select="($dt-match-2 or (exists($dt-sequence-3) and exists($narr-dateTimes[matches(., $dt-regex-3, 'i')]))) " />
    <xsl:variable name="narr-match" select="if ($dt-value != '' and not(exists($narr-dateTimes))) then      (       contains($narrative, $dt-value)               or       (string-length($dt-value) = 4 and contains($narrative, $year))            or        (string-length($dt-value) = 6 and contains($narrative, concat($month-short, $year)))          or       (string-length($dt-value) &gt; 7 and starts-with($day, '0') and        (contains($narrative, concat(substring($day,2,1), $month-short, $year)) or         contains($narrative, concat(substring($day,2,1), $month-num, $year))))          or       (string-length($dt-value) &gt; 7 and (contains($narrative, concat($day, $month-short, $year)) or contains($narrative, concat($day, $month-num, $year))))        )       else false() " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($fir-narr-node//cda:renderMultiMedia) or exists($sec-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($fir-narr-node//cda:linkHtml) or exists($sec-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="warning-1" select="exists($dt-sequence-1) and exists($narr-dateTimes) and $dt-match-1 and not($dt-match-3) and $dt-value != '' " />
    <xsl:variable name="error-1" select="$warning-1 and not($multimedia) " />
    <xsl:variable name="warning-2" select="exists($dt-sequence-1) and exists($narr-dateTimes) and not($dt-match-1 or $dt-match-3) and $dt-value != '' " />
    <xsl:variable name="error-2a" select="$warning-2 and not($multimedia) and $time-zone != '' and count($narr-dateTimes) =        count(for $dt in $narr-dateTimes return replace(replace($dt, $regex-date-type-1, ''), $regex-date-type-2, '')       [matches(., concat('^\s*([0-9]{1,2}:{1}[0-9]{2}\s*', substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2),         '|[0-9]{1,2}:{1}[0-9]{2}:{1}[0-9]{2}\s*', substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2), ')\s*$'), 'i')]) " />
    <xsl:variable name="error-2b" select="$warning-2 and not($dt-match-1) and not($multimedia) and count($narr-dateTimes[matches(., $regex-date-type-2, 'i')]) =        count($narr-dateTimes[matches(., concat($regex-date-type-2, ' ', $narr-time-regex, '$'), 'i')]) " />
    <xsl:variable name="error-2c" select="$warning-2 and exists($narr-dateTimes[matches(., concat('^', $year, '$'))]) " />
    <xsl:variable name="error-2" select="$error-2a or $error-2b or $error-2c " />
    <xsl:variable name="warning-3" select="$dt-value != '' and not(exists($narr-dateTimes)) and not($narr-match) " />
    <xsl:variable name="error-3" select="$warning-3 and not($multimedia) and not(contains($narrative, substring($year, 3, 2)))" />
    <xsl:variable name="narr-dt-msg" select="if ($multimedia or $no-content) then ''       else if (not(exists($narr-dateTimes))) then concat(' The narrative of the ', iq:location(., ''), ' contains no dateTime elements.')       else if (count($narr-dateTimes) = 1) then concat(' The only dateTime element in the narrative of the ', iq:location(., ''), ' is ''',         dh:XQueryRecursiveReplace($narr-dateTimes[1], '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), '''.')       else concat(' The distinct dateTime elements in the narrative of the ', iq:location(., ''), ' are ''',         string-join(for $dt in $narr-dateTimes return          dh:XQueryRecursiveReplace($dt, '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), ', '), '''.') " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-4" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-4 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and exists($dt-sequence-1) and $dt-value != '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and exists($dt-sequence-1) and $dt-value != ''">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 4: The dateTime element in the structured data is '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'.
		The number of dateTime elements that have been extracted from the narrative is '<xsl:text /><xsl:value-of select="count($narr-dateTimes)" /><xsl:text />'.
		These are '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-dateTimes, ', '), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The initial regular expressions are '<xsl:text /><xsl:value-of select="string-join($dt-sequence-1, ', ')" /><xsl:text />'.
		The items in dt-stem-1 are: '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($dt-stem-1, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The items in dt-sequence-2 are: '<xsl:text /><xsl:value-of select="string-join($dt-sequence-2, '|')" /><xsl:text />'.
		The items in dt-stem-2 are: '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($dt-stem-2, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The three regular expressions used to perform an exact match for narrative dateTime elements are as follows:
		dt-regex-1='<xsl:text /><xsl:value-of select="$dt-regex-1" /><xsl:text />'; dt-regex-2='<xsl:text /><xsl:value-of select="$dt-regex-2" /><xsl:text />'; and dt-regex-3='<xsl:text /><xsl:value-of select="$dt-regex-3" /><xsl:text />'.
		Was a match found after the first regular expression (with just a date) was created? <xsl:text /><xsl:value-of select="$dt-match-1" /><xsl:text />.		
		<xsl:text /><xsl:value-of select="if ($dt-regex-2 = '') then 'The second regular expression was not applied as there is no time information.'    else concat('Was a match found after the second regular expression (with a date and time) was created? ', $dt-match-2, '.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($dt-regex-3 = '') then ' The third regular expression was not applied as there is no timezone information.'    else concat(' Was a match found after the third regular expression (with a date and time) was created? ', $dt-match-3, '.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $warning-1 and not($error-1 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $warning-1 and not($error-1 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Individual Pathology Test Result Value 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Individual Pathology Test Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $error-1 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $error-1 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Individual Pathology Test Result Value 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. The Individual Pathology Test Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $error-1 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $error-1 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Individual Pathology Test Result Value 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. The Individual Pathology Test Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $warning-2 and not($error-2 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$warning-2 and not($error-2 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Individual Pathology Test Result Value 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Individual Pathology Test Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-2 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-2 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Individual Pathology Test Result Value 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="if ($error-2c) then concat('The narrative contains a date with the same year ''', $year, ''' but without a month or day.') else '' " /><xsl:text />
		The Individual Pathology Test Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.
		<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-2 and not($no-content) and not(true())">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-2 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Individual Pathology Test Result Value 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="if ($error-2c) then concat('The narrative contains a date with the same year ''', $year, ''' but without a month or day.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $warning-3 and not($error-3 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$warning-3 and not($error-3 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Individual Pathology Test Result Value 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Individual Pathology Test Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $dt-value != '' and not($narr-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $dt-value != '' and not($narr-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Individual Pathology Test Result Value 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $dt-value != '' and not($narr-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $dt-value != '' and not($narr-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Individual Pathology Test Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-3 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-3 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Individual Pathology Test Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-3 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-3 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M729" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M729" />
  <xsl:template match="@*|node()" priority="-2" mode="M729">
    <xsl:apply-templates select="@*|*" mode="M729" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-Observation-9-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation/cda:value[@xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS'  or        (cda:low and not(cda:low/@unit)) or (cda:high and not(cda:high/@unit))]   [not((cda:low/@value and (number(substring(cda:low/@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(cda:low/@value,1,4)) &gt; number($creation-date-yr) + 130)) or     (cda:high/@value and (number(substring(cda:high/@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(cda:high/@value,1,4)) &gt; number($creation-date-yr) + 130)))] " priority="1000" mode="M730">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation/cda:value[@xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS'  or        (cda:low and not(cda:low/@unit)) or (cda:high and not(cda:high/@unit))]   [not((cda:low/@value and (number(substring(cda:low/@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(cda:low/@value,1,4)) &gt; number($creation-date-yr) + 130)) or     (cda:high/@value and (number(substring(cda:high/@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(cda:high/@value,1,4)) &gt; number($creation-date-yr) + 130)))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="fir-narrative" select="translate(normalize-space(lower-case(string($fir-narr-node))), $chars-to-remove, '')" />
    <xsl:variable name="sec-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)        then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]        else () " />
    <xsl:variable name="sec-narr-node" select="$sec-section/cda:text " />
    <xsl:variable name="narr-text-el" select="(for $text in ($fir-narr-node//text(), $sec-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="sec-narrative" select="translate(normalize-space(lower-case(string($sec-narr-node))), $chars-to-remove, '') " />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="narrative" select="concat($target-title, $fir-narrative, $sec-narrative)" />
    <xsl:variable name="narr-elements" select="$fir-narr-node//cda:*[exists(text()[normalize-space() != '']) and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ]  |             $sec-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ] " />
    <xsl:variable name="narr-lower-case" select="for $i in (1 to count($narr-elements)) return lower-case(normalize-space(string-join($narr-elements[$i]/text(), '')))  " />
    <xsl:variable name="dt-narr-elements" select="$narr-lower-case[matches(., $regex-date-type-1, 'i') or matches(., $regex-date-type-2, 'i') or matches(., $regex-date-type-3, 'i')] " />
    <xsl:variable name="narr-elements-start" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-before($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-before($dt-narr-elements[$i], ' -'))        else $dt-narr-elements[$i])[. != ''] " />
    <xsl:variable name="narr-elements-end" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-after($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-after($dt-narr-elements[$i], ' -'))        else '')[. != ''] " />
    <xsl:variable name="narr-dateTimes" select="distinct-values(($narr-elements-start , $narr-elements-end))[. != '(ongoing)'] " />
    <xsl:variable name="l-dt-value" select="if (@value) then @value        else if (cda:low/@value) then cda:low/@value        else '' " />
    <xsl:variable name="l-no-time-zone" select="if (contains($l-dt-value, '+')) then substring-before($l-dt-value, '+')       else if (contains($l-dt-value, '-')) then substring-before($l-dt-value, '-')       else $l-dt-value " />
    <xsl:variable name="l-length" select="string-length($l-no-time-zone) " />
    <xsl:variable name="l-year" select="if ($l-length &gt; 3) then substring($l-no-time-zone,1,4) else '' " />
    <xsl:variable name="l-month-num" select="if ($l-length &gt; 5) then substring($l-no-time-zone,5,2) else '' " />
    <xsl:variable name="l-day" select="if ($l-length &gt; 7 and substring($l-no-time-zone,7,1) = '0') then substring($l-no-time-zone,8,1)       else if ($l-length &gt; 7 and substring($l-no-time-zone,7,1) != '0') then substring($l-no-time-zone,7,2) else '' " />
    <xsl:variable name="l-hour-long" select="if ($l-length &gt; 9) then substring($l-no-time-zone,9,2) else '' " />
    <xsl:variable name="l-hour-short" select="if (substring($l-hour-long, 1, 1) = '0') then substring($l-hour-long, 2, 1) else '' " />
    <xsl:variable name="l-minute" select="if ($l-length &gt; 11) then substring($l-no-time-zone,11,2) else '' " />
    <xsl:variable name="l-second" select="if ($l-length &gt; 13) then substring($l-no-time-zone,13,2) else '' " />
    <xsl:variable name="l-time-zone" select="if (contains($l-dt-value, '+')) then concat('\+', substring-after($l-dt-value, '+'))       else if (contains($l-dt-value, '-')) then concat('\-', substring-after($l-dt-value, '-'))       else '' " />
    <xsl:variable name="l-month-short" select="if ($l-month-num = '01') then 'jan'   else             if ($l-month-num = '02') then 'feb'   else             if ($l-month-num = '03') then 'mar'   else             if ($l-month-num = '04') then 'apr'   else             if ($l-month-num = '05') then 'may'   else             if ($l-month-num = '06') then 'jun'   else             if ($l-month-num = '07') then 'jul'   else             if ($l-month-num = '08') then 'aug'   else             if ($l-month-num = '09') then 'sep'   else             if ($l-month-num = '10') then 'oct'   else             if ($l-month-num = '11') then 'nov'   else             if ($l-month-num = '12') then 'dec'   else '' " />
    <xsl:variable name="l-month-long" select="if ($l-month-num = '01') then 'january'   else             if ($l-month-num = '02') then 'february'  else             if ($l-month-num = '03') then 'march'   else             if ($l-month-num = '04') then 'april'   else             if ($l-month-num = '05') then 'may'   else             if ($l-month-num = '06') then 'june'   else             if ($l-month-num = '07') then 'july'   else             if ($l-month-num = '08') then 'august'   else             if ($l-month-num = '09') then 'september'  else             if ($l-month-num = '10') then 'october'   else             if ($l-month-num = '11') then 'november'  else             if ($l-month-num = '12') then 'december'  else '' " />
    <xsl:variable name="l-date-type-3-day" select="if (string-length($l-day) = 1) then concat('0{0,1}', $l-day) else $l-day " />
    <xsl:variable name="l-date-type-3-month" select="if (string-length($l-month-num) = 1) then concat('0{0,1}', $l-month-num)        else if (substring($l-month-num, 1, 1) = '0') then concat('0{0,1}', substring($l-month-num, 2, 1))         else $l-month-num " />
    <xsl:variable name="l-dt-sequence-1" select="if ($l-length = 4) then (         concat('^', $l-dt-value)        ,          concat('^', $l-year)         )        else if ($l-length = 6) then (         concat('^', $l-dt-value)        ,         concat('^', $l-month-short, $date-sep, $l-year)      ,          concat('^', $l-month-long, $date-sep, $l-year)      )        else if ($l-length &gt; 7) then (         concat('^', $l-dt-value)        ,         concat('^', $l-date-type-3-day, $date-sep, $l-month-short, $date-sep, $l-year)  ,         concat('^', $l-date-type-3-day, $date-sep, $l-month-long, $date-sep, $l-year)  ,         concat('^', $l-date-type-3-day, '/', $l-date-type-3-month, '/', $l-year)  )        else () " />
    <xsl:variable name="l-matching-seq-1" select="if (exists($l-dt-sequence-1))        then index-of(for $i in (1 to count($l-dt-sequence-1)) return exists($narr-dateTimes[matches(., $l-dt-sequence-1[$i], 'i')]), true())        else () " />
    <xsl:variable name="l-dt-stem-1" select="for $i in (1 to count($l-matching-seq-1)) return $l-dt-sequence-1[$l-matching-seq-1[$i]] " />
    <xsl:variable name="l-dt-regex-1" select="if (exists($l-dt-stem-1)) then concat('(', string-join($l-dt-stem-1, '$)|('), '$)') else ()" />
    <xsl:variable name="l-dt-match-1" select="exists($l-dt-stem-1) and exists($narr-dateTimes[matches(., $l-dt-regex-1, 'i')])" />
    <xsl:variable name="l-time-1" select="if ($l-length &gt; 11 and $l-hour-short != '') then concat($l-hour-short, ':', $l-minute, '( *| *am)') else '' " />
    <xsl:variable name="l-time-2" select="if ($l-length &gt; 13 and $l-hour-short != '') then concat($l-hour-short, ':', $l-minute, ':', $l-second, '( *| *am)') else '' " />
    <xsl:variable name="l-time-3" select="if ($l-length &gt; 11 and number($l-hour-long) &lt; 12) then concat($l-hour-long, ':', $l-minute, '( *| *am)')        else if ($l-length &gt; 11) then concat($l-hour-long, ':', $l-minute) else '' " />
    <xsl:variable name="l-time-4" select="if ($l-length &gt; 13 and number($l-hour-long) &lt; 12) then concat($l-hour-long, ':', $l-minute, ':', $l-second, '( *| *am)')        else if ($l-length &gt; 13) then concat($l-hour-long, ':', $l-minute, ':', $l-second) else '' " />
    <xsl:variable name="l-time-5" select="if ($l-length &gt; 11 and number($l-hour-long) &gt; 12) then concat(string(number($l-hour-long) - 12), ':', $l-minute, '( *| *pm)') else '' " />
    <xsl:variable name="l-time-6" select="if ($l-length &gt; 13 and number($l-hour-long) &gt; 12) then concat(string(number($l-hour-long) - 12), ':', $l-minute, ':', $l-second, '( *| *pm)') else '' " />
    <xsl:variable name="l-dt-temp-0" select="if (exists($l-dt-stem-1) and $l-length = 8) then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $narr-time-regex) else () " />
    <xsl:variable name="l-dt-temp-1" select="if (exists($l-dt-stem-1) and $l-time-1 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-1) else () " />
    <xsl:variable name="l-dt-temp-2" select="if (exists($l-dt-stem-1) and $l-time-2 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-2) else () " />
    <xsl:variable name="l-dt-temp-3" select="if (exists($l-dt-stem-1) and $l-time-3 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-3) else () " />
    <xsl:variable name="l-dt-temp-4" select="if (exists($l-dt-stem-1) and $l-time-4 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-4) else () " />
    <xsl:variable name="l-dt-temp-5" select="if (exists($l-dt-stem-1) and $l-time-5 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-5) else () " />
    <xsl:variable name="l-dt-temp-6" select="if (exists($l-dt-stem-1) and $l-time-6 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-6) else () " />
    <xsl:variable name="l-dt-sequence-2" select="($l-dt-temp-0, $l-dt-temp-1, $l-dt-temp-2, $l-dt-temp-3, $l-dt-temp-4, $l-dt-temp-5, $l-dt-temp-6)" />
    <xsl:variable name="l-matching-seq-2" select="if (exists($l-dt-sequence-2))        then index-of(for $i in (1 to count($l-dt-sequence-2)) return exists($narr-dateTimes[matches(., $l-dt-sequence-2[$i], 'i')]), true())        else () " />
    <xsl:variable name="l-dt-stem-2" select="for $i in (1 to count($l-matching-seq-2)) return $l-dt-sequence-2[$l-matching-seq-2[$i]] " />
    <xsl:variable name="l-dt-regex-2" select="if (exists($l-dt-stem-2)) then concat('(', string-join($l-dt-stem-2, '$)|('), '$)') else '' " />
    <xsl:variable name="l-dt-match-2" select="(exists($l-dt-stem-2) and exists($narr-dateTimes[matches(., $l-dt-regex-2, 'i')])) " />
    <xsl:variable name="l-dt-sequence-3" select="if (not($l-dt-match-2) and exists($l-dt-stem-2) and $l-time-zone != '') then for $i in (1 to count($l-dt-stem-2)) return        concat($l-dt-stem-2[$i], substring($l-time-zone, 1, 4), ':?', substring($l-time-zone, 5, 2)) else () " />
    <xsl:variable name="l-dt-regex-3" select="if ($l-dt-match-2) then '' else if (exists($l-dt-sequence-3)) then concat('(', string-join($l-dt-sequence-3, '$)|('), '$)') else '' " />
    <xsl:variable name="l-dt-match-3" select="($l-dt-match-2 or (exists($l-dt-sequence-3) and exists($narr-dateTimes[matches(., $l-dt-regex-3, 'i')]))) " />
    <xsl:variable name="l-narr-match" select="if ($l-dt-value != '' and count($narr-dateTimes) = 0) then      (       contains($narrative, $l-dt-value)                or       (string-length($l-dt-value) = 4 and contains($narrative, $l-year))             or        (string-length($l-dt-value) = 6 and contains($narrative, concat($l-month-short, $l-year)))          or       (string-length($l-dt-value) &gt; 7 and starts-with($l-day, '0') and        (contains($narrative, concat(substring($l-day,2,1), $l-month-short, $l-year)) or         contains($narrative, concat(substring($l-day,2,1), $l-month-num, $l-year))))          or       (string-length($l-dt-value) &gt; 7 and (contains($narrative, concat($l-day, $l-month-short, $l-year)) or contains($narrative, concat($l-day, $l-month-num, $l-year))))        )       else false() " />
    <xsl:variable name="h-dt-value" select="if (cda:high/@value and $l-dt-value != cda:high/@value) then cda:high/@value        else '' " />
    <xsl:variable name="h-no-time-zone" select="if (contains($h-dt-value, '+')) then substring-before($h-dt-value, '+')       else if (contains($h-dt-value, '-')) then substring-before($h-dt-value, '-')       else $h-dt-value " />
    <xsl:variable name="h-length" select="string-length($h-no-time-zone) " />
    <xsl:variable name="h-year" select="if ($h-length &gt; 3) then substring($h-no-time-zone,1,4) else '' " />
    <xsl:variable name="h-month-num" select="if ($h-length &gt; 5) then substring($h-no-time-zone,5,2) else '' " />
    <xsl:variable name="h-day" select="if ($h-length &gt; 7 and substring($h-no-time-zone,7,1) = '0') then substring($h-no-time-zone,8,1)       else if ($h-length &gt; 7 and substring($h-no-time-zone,7,1) != '0') then substring($h-no-time-zone,7,2) else '' " />
    <xsl:variable name="h-hour-long" select="if ($h-length &gt; 9) then substring($h-no-time-zone,9,2) else '' " />
    <xsl:variable name="h-hour-short" select="if (substring($h-hour-long, 1, 1) = '0') then substring($h-hour-long, 2, 1) else '' " />
    <xsl:variable name="h-minute" select="if ($h-length &gt; 11) then substring($h-no-time-zone,11,2) else '' " />
    <xsl:variable name="h-second" select="if ($h-length &gt; 13) then substring($h-no-time-zone,13,2) else '' " />
    <xsl:variable name="h-time-zone" select="if (contains($h-dt-value, '+')) then concat('\+', substring-after($h-dt-value, '+'))       else if (contains($h-dt-value, '-')) then concat('\-', substring-after($h-dt-value, '-'))       else '' " />
    <xsl:variable name="h-month-short" select="if ($h-month-num = '01') then 'jan'   else             if ($h-month-num = '02') then 'feb'   else             if ($h-month-num = '03') then 'mar'   else             if ($h-month-num = '04') then 'apr'   else             if ($h-month-num = '05') then 'may'   else             if ($h-month-num = '06') then 'jun'   else             if ($h-month-num = '07') then 'jul'   else             if ($h-month-num = '08') then 'aug'   else             if ($h-month-num = '09') then 'sep'   else             if ($h-month-num = '10') then 'oct'   else             if ($h-month-num = '11') then 'nov'   else             if ($h-month-num = '12') then 'dec'   else '' " />
    <xsl:variable name="h-month-long" select="if ($h-month-num = '01') then 'january'   else             if ($h-month-num = '02') then 'february'  else             if ($h-month-num = '03') then 'march'   else             if ($h-month-num = '04') then 'april'   else             if ($h-month-num = '05') then 'may'   else             if ($h-month-num = '06') then 'june'   else             if ($h-month-num = '07') then 'july'   else             if ($h-month-num = '08') then 'august'   else             if ($h-month-num = '09') then 'september'  else             if ($h-month-num = '10') then 'october'   else             if ($h-month-num = '11') then 'november'  else             if ($h-month-num = '12') then 'december'  else '' " />
    <xsl:variable name="h-date-type-3-day" select="if (string-length($h-day) = 1) then concat('0{0,1}', $h-day) else $h-day " />
    <xsl:variable name="h-date-type-3-month" select="if (string-length($h-month-num) = 1) then concat('0{0,1}', $h-month-num)        else if (substring($h-month-num, 1, 1) = '0') then concat('0{0,1}', substring($h-month-num, 2, 1))         else $h-month-num " />
    <xsl:variable name="h-dt-sequence-1" select="if ($h-length = 4) then (         concat('^', $h-dt-value)        ,          concat('^', $h-year)         )        else if ($h-length = 6) then (         concat('^', $h-dt-value)        ,         concat('^', $h-month-short, $date-sep, $h-year)      ,          concat('^', $h-month-long, $date-sep, $h-year)      )        else if ($h-length &gt; 7) then (         concat('^', $h-dt-value)        ,         concat('^', $h-date-type-3-day, $date-sep, $h-month-short, $date-sep, $h-year)  ,         concat('^', $h-date-type-3-day, $date-sep, $h-month-long, $date-sep, $h-year)  ,         concat('^', $h-date-type-3-day, '/', $h-date-type-3-month, '/', $h-year)  )        else () " />
    <xsl:variable name="h-matching-seq-1" select="if (exists($h-dt-sequence-1))        then index-of(for $i in (1 to count($h-dt-sequence-1)) return exists($narr-dateTimes[matches(., $h-dt-sequence-1[$i], 'i')]), true())        else () " />
    <xsl:variable name="h-dt-stem-1" select="for $i in (1 to count($h-matching-seq-1)) return $h-dt-sequence-1[$h-matching-seq-1[$i]] " />
    <xsl:variable name="h-dt-regex-1" select="if (exists($h-dt-stem-1)) then concat('(', string-join($h-dt-stem-1, '$)|('), '$)') else ()" />
    <xsl:variable name="h-dt-match-1" select="exists($h-dt-stem-1) and exists($narr-dateTimes[matches(., $h-dt-regex-1, 'i')])" />
    <xsl:variable name="h-time-1" select="if ($h-length &gt; 11 and $h-hour-short != '') then concat($h-hour-short, ':', $h-minute, '( *| *am)') else '' " />
    <xsl:variable name="h-time-2" select="if ($h-length &gt; 13 and $h-hour-short != '') then concat($h-hour-short, ':', $h-minute, ':', $h-second, '( *| *am)') else '' " />
    <xsl:variable name="h-time-3" select="if ($h-length &gt; 11 and number($h-hour-long) &lt; 12) then concat($h-hour-long, ':', $h-minute, '( *| *am)')        else if ($h-length &gt; 11) then concat($h-hour-long, ':', $h-minute) else '' " />
    <xsl:variable name="h-time-4" select="if ($h-length &gt; 13 and number($h-hour-long) &lt; 12) then concat($h-hour-long, ':', $h-minute, ':', $h-second, '( *| *am)')        else if ($h-length &gt; 13) then concat($h-hour-long, ':', $h-minute, ':', $h-second) else '' " />
    <xsl:variable name="h-time-5" select="if ($h-length &gt; 11 and number($h-hour-long) &gt; 12) then concat(string(number($h-hour-long) - 12), ':', $h-minute, '( *| *pm)') else '' " />
    <xsl:variable name="h-time-6" select="if ($h-length &gt; 13 and number($h-hour-long) &gt; 12) then concat(string(number($h-hour-long) - 12), ':', $h-minute, ':', $h-second, '( *| *pm)') else '' " />
    <xsl:variable name="h-dt-temp-0" select="if (exists($h-dt-stem-1) and $h-length = 8) then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $narr-time-regex) else () " />
    <xsl:variable name="h-dt-temp-1" select="if (exists($h-dt-stem-1) and $h-time-1 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-1) else () " />
    <xsl:variable name="h-dt-temp-2" select="if (exists($h-dt-stem-1) and $h-time-2 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-2) else () " />
    <xsl:variable name="h-dt-temp-3" select="if (exists($h-dt-stem-1) and $h-time-3 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-3) else () " />
    <xsl:variable name="h-dt-temp-4" select="if (exists($h-dt-stem-1) and $h-time-4 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-4) else () " />
    <xsl:variable name="h-dt-temp-5" select="if (exists($h-dt-stem-1) and $h-time-5 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-5) else () " />
    <xsl:variable name="h-dt-temp-6" select="if (exists($h-dt-stem-1) and $h-time-6 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-6) else () " />
    <xsl:variable name="h-dt-sequence-2" select="($h-dt-temp-0, $h-dt-temp-1, $h-dt-temp-2, $h-dt-temp-3, $h-dt-temp-4, $h-dt-temp-5, $h-dt-temp-6)" />
    <xsl:variable name="h-matching-seq-2" select="if (exists($h-dt-sequence-2))        then index-of(for $i in (1 to count($h-dt-sequence-2)) return exists($narr-dateTimes[matches(., $h-dt-sequence-2[$i], 'i')]), true())        else () " />
    <xsl:variable name="h-dt-stem-2" select="for $i in (1 to count($h-matching-seq-2)) return $h-dt-sequence-2[$h-matching-seq-2[$i]] " />
    <xsl:variable name="h-dt-regex-2" select="if (exists($h-dt-stem-2)) then concat('(', string-join($h-dt-stem-2, '$)|('), '$)') else '' " />
    <xsl:variable name="h-dt-match-2" select="(exists($h-dt-stem-2) and exists($narr-dateTimes[matches(., $h-dt-regex-2, 'i')])) " />
    <xsl:variable name="h-dt-sequence-3" select="if (not($h-dt-match-2) and exists($h-dt-stem-2) and $h-time-zone != '') then for $i in (1 to count($h-dt-stem-2)) return        concat($h-dt-stem-2[$i], substring($h-time-zone, 1, 4), ':?', substring($h-time-zone, 5, 2)) else () " />
    <xsl:variable name="h-dt-regex-3" select="if ($h-dt-match-2) then '' else if (exists($h-dt-sequence-3)) then concat('(', string-join($h-dt-sequence-3, '$)|('), '$)') else '' " />
    <xsl:variable name="h-dt-match-3" select="($h-dt-match-2 or (exists($h-dt-sequence-3) and exists($narr-dateTimes[matches(., $h-dt-regex-3, 'i')]))) " />
    <xsl:variable name="h-narr-match" select="if ($h-dt-value != '' and count($narr-dateTimes) = 0) then      (       contains($narrative, $h-dt-value)                or       (string-length($h-dt-value) = 4 and contains($narrative, $h-year))             or        (string-length($h-dt-value) = 6 and contains($narrative, concat($h-month-short, $h-year)))          or       (string-length($h-dt-value) &gt; 7 and starts-with($h-day, '0') and        (contains($narrative, concat(substring($h-day,2,1), $h-month-short, $h-year)) or         contains($narrative, concat(substring($h-day,2,1), $h-month-num, $h-year))))          or       (string-length($h-dt-value) &gt; 7 and (contains($narrative, concat($h-day, $h-month-short, $h-year)) or contains($narrative, concat($h-day, $h-month-num, $h-year))))        )       else false() " />
    <xsl:variable name="h-nullFlavor-values" select="if (cda:high/@nullFlavor and cda:high/@nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))        then $nullFlavors/nullFlavor[@value = current()/cda:high/@nullFlavor] else () " />
    <xsl:variable name="h-null-to-find" select="exists($h-nullFlavor-values) " />
    <xsl:variable name="h-null-in-narr" select="($h-nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $h-nullFlavor-values/@name-regex, 'is')])) or              ($h-nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $h-nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="l-nullFlavor-values" select="if (cda:low/@nullFlavor and cda:low/@nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))        then $nullFlavors/nullFlavor[@value = current()/cda:low/@nullFlavor] else () " />
    <xsl:variable name="l-null-to-find" select="exists($l-nullFlavor-values) " />
    <xsl:variable name="l-null-in-narr" select="($l-nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $l-nullFlavor-values/@name-regex, 'is')])) or              ($l-nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $l-nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="l-dt-name" select="if ($l-dt-value = cda:low/@value) then ' low' else '' " />
    <xsl:variable name="l-dt-msg" select="if ($l-dt-value = cda:low/@value) then ' This date/time is the low boundary of a time interval.' else '' " />
    <xsl:variable name="h-dt-msg" select="if ($h-dt-value = cda:high/@value) then ' This date/time is the high boundary of a time interval.' else '' " />
    <xsl:variable name="l-null-msg" select="if ($l-dt-value = cda:low/@value) then ' This nullFlavor value is for the low boundary of a time interval.' else '' " />
    <xsl:variable name="h-null-msg" select="if ($h-dt-value = cda:high/@value) then ' This nullFlavor value is for the high boundary of a time interval.' else '' " />
    <xsl:variable name="multimedia" select="exists($fir-narr-node//cda:renderMultiMedia) or exists($sec-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($fir-narr-node//cda:linkHtml) or exists($sec-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="l-warning-1" select="exists($l-dt-sequence-1) and exists($narr-dateTimes) and $l-dt-match-1 and not($l-dt-match-3) and $l-dt-value != '' " />
    <xsl:variable name="l-error-1" select="$l-warning-1 and not($multimedia) " />
    <xsl:variable name="l-warning-2" select="exists($l-dt-sequence-1) and exists($narr-dateTimes) and not($l-dt-match-1 or $l-dt-match-3) and $l-dt-value != '' " />
    <xsl:variable name="l-error-2a" select="$l-warning-2 and not($multimedia) and $l-time-zone != '' and count($narr-dateTimes) =        count(for $dt in $narr-dateTimes return replace(replace($dt, $regex-date-type-1, ''), $regex-date-type-2, '')       [matches(., concat('^\s*([0-9]{1,2}:{1}[0-9]{2}\s*', substring($l-time-zone, 1, 4), ':?', substring($l-time-zone, 5, 2),         '|[0-9]{1,2}:{1}[0-9]{2}:{1}[0-9]{2}\s*', substring($l-time-zone, 1, 4), ':?', substring($l-time-zone, 5, 2), ')\s*$'), 'i')]) " />
    <xsl:variable name="l-error-2b" select="$l-warning-2 and not($l-dt-match-1) and not($multimedia) and count($narr-dateTimes[matches(., $regex-date-type-2, 'i')]) =        count($narr-dateTimes[matches(., concat($regex-date-type-2, ' ', $narr-time-regex, '$'), 'i')]) " />
    <xsl:variable name="l-error-2c" select="$l-warning-2 and exists($narr-dateTimes[matches(., concat('^', $l-year, '$'))]) " />
    <xsl:variable name="l-error-2" select="$l-error-2a or $l-error-2b or $l-error-2c " />
    <xsl:variable name="l-warning-3" select="$l-dt-value != '' and not(exists($narr-dateTimes)) and not($l-narr-match) " />
    <xsl:variable name="l-error-3" select="$l-warning-3 and not($multimedia) and not(contains($narrative, substring($l-year, 3,2)))" />
    <xsl:variable name="h-warning-1" select="exists($h-dt-sequence-1) and exists($narr-dateTimes) and $h-dt-match-1 and not($h-dt-match-3) and $h-dt-value != '' " />
    <xsl:variable name="h-error-1" select="$h-warning-1 and not($multimedia) " />
    <xsl:variable name="h-warning-2" select="exists($h-dt-sequence-1) and exists($narr-dateTimes) and not($h-dt-match-1 or $h-dt-match-3) and $h-dt-value != '' " />
    <xsl:variable name="h-error-2a" select="$h-warning-2 and not($multimedia) and $h-time-zone != '' and count($narr-dateTimes) =        count(for $dt in $narr-dateTimes return replace(replace($dt, $regex-date-type-1, ''), $regex-date-type-2, '')       [matches(., concat('^\s*([0-9]{1,2}:{1}[0-9]{2}\s*', substring($h-time-zone, 1, 4), ':?', substring($h-time-zone, 5, 2),         '|[0-9]{1,2}:{1}[0-9]{2}:{1}[0-9]{2}\s*', substring($h-time-zone, 1, 4), ':?', substring($h-time-zone, 5, 2), ')\s*$'), 'i')]) " />
    <xsl:variable name="h-error-2b" select="$h-warning-2 and not($h-dt-match-1) and not($multimedia) and count($narr-dateTimes[matches(., $regex-date-type-2, 'i')]) =        count($narr-dateTimes[matches(., concat($regex-date-type-2, ' ', $narr-time-regex, '$'), 'i')]) " />
    <xsl:variable name="h-error-2c" select="$l-warning-2 and exists($narr-dateTimes[matches(., concat('^', $h-year, '$'))]) " />
    <xsl:variable name="h-error-2" select="$h-error-2a or $h-error-2b or $h-error-2c " />
    <xsl:variable name="h-warning-3" select="$h-dt-value != '' and not(exists($narr-dateTimes)) and not($h-narr-match) " />
    <xsl:variable name="h-error-3" select="$h-warning-3 and not($multimedia) and not(contains($narrative, substring($h-year, 3,2))) " />
    <xsl:variable name="narr-dt-msg" select="if ($multimedia or $no-content) then ''       else if (not(exists($narr-dateTimes))) then concat(' The narrative of the ', iq:location(., ''), ' contains no dateTime elements.')       else if (count($narr-dateTimes) = 1) then concat(' The only dateTime element in the narrative of the ', iq:location(., ''), ' is ''',         dh:XQueryRecursiveReplace($narr-dateTimes[1], '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), '''.')       else concat(' The distinct dateTime elements in the narrative of the ', iq:location(., ''), ' are ''',         string-join(for $dt in $narr-dateTimes return          dh:XQueryRecursiveReplace($dt, '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), ', '), '''.') " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-4" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-4 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and exists($l-dt-sequence-1) and $l-dt-value != '' and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and exists($l-dt-sequence-1) and $l-dt-value != '' and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 4: The dateTime element in the structured data is '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'.<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text />
		The number of dateTime elements that have been extracted from the narrative is '<xsl:text /><xsl:value-of select="count($narr-dateTimes)" /><xsl:text />'.
		These are '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-dateTimes, ', '), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The initial regular expressions are '<xsl:text /><xsl:value-of select="string-join($l-dt-sequence-1, ', ')" /><xsl:text />'.
		The three regular expressions used to perform an exact match for narrative dateTime elements are as follows:
		l-dt-regex-1='<xsl:text /><xsl:value-of select="$l-dt-regex-1" /><xsl:text />'; l-dt-regex-2='<xsl:text /><xsl:value-of select="$l-dt-regex-2" /><xsl:text />'; and l-dt-regex-3='<xsl:text /><xsl:value-of select="$l-dt-regex-3" /><xsl:text />'.
		Was a match found after the first regular expression was created? <xsl:text /><xsl:value-of select="$l-dt-match-1" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($l-dt-regex-2 = '') then 'The second regular expression was not applied as there is no time information.'    else concat('Was a match found after the second regular expression (with a date and time) was created? ', $l-dt-match-2, '.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($l-dt-regex-3 = '') then 'The third regular expression was not applied as there is no timezone information.'    else concat('Was a match found after the third regular expression (with a date and time) was created? ', $l-dt-match-3, '.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and exists($h-dt-sequence-1) and $h-dt-value != '' and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and exists($h-dt-sequence-1) and $h-dt-value != '' and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 4: The dateTime element in the structured data is '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'.<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text />
		The number of dateTime elements that have been extracted from the narrative is '<xsl:text /><xsl:value-of select="count($narr-dateTimes)" /><xsl:text />'.
		These are '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-dateTimes, ', '), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The initial regular expressions are '<xsl:text /><xsl:value-of select="string-join($h-dt-sequence-1, ', ')" /><xsl:text />'.
		The three regular expressions used to perform an exact match for narrative dateTime elements are as follows:
		h-dt-regex-1='<xsl:text /><xsl:value-of select="$h-dt-regex-1" /><xsl:text />'; h-dt-regex-2='<xsl:text /><xsl:value-of select="$h-dt-regex-2" /><xsl:text />'; and h-dt-regex-3='<xsl:text /><xsl:value-of select="$h-dt-regex-3" /><xsl:text />'.
		Was a match found after the first regular expression was created? <xsl:text /><xsl:value-of select="$h-dt-match-1" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($h-dt-regex-2 = '') then 'The second regular expression was not applied as there is no time information.'    else concat('Was a match found after the second regular expression (with a date and time) was created? ', $h-dt-match-2, '.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($h-dt-regex-3 = '') then 'The third regular expression was not applied as there is no timezone information.'    else concat('Was a match found after the third regular expression (with a date and time) was created? ', $h-dt-match-3, '.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $l-warning-1 and not($l-error-1 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $l-warning-1 and not($l-error-1 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /> Although the date was found in the narrative the Individual Pathology Test Result Value data element must contain the time.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Individual Pathology Test Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $l-error-1 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $l-error-1 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /> Although the date was found in the narrative the Individual Pathology Test Result Value data element must contain the time.
		The Individual Pathology Test Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $l-error-1 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $l-error-1 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /> Although the date was found in the narrative the Individual Pathology Test Result Value data element must contain the time.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-warning-2 and not($l-error-2 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-warning-2 and not($l-error-2 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Individual Pathology Test Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-error-2 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-error-2 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($l-error-2c) then concat('The narrative contains a date with the same year ''', $l-year, ''' but without a month or day.') else '' " /><xsl:text />
		The Individual Pathology Test Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-error-2 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-error-2 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($l-error-2c) then concat('The narrative contains a date with the same year ''', $l-year, ''' but without a month or day.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $l-dt-value != '' and not($l-narr-match or $l-null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $l-dt-value != '' and not($l-narr-match or $l-null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $l-dt-value != '' and not($l-narr-match or $l-null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $l-dt-value != '' and not($l-narr-match or $l-null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Individual Pathology Test Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $h-warning-1 and not($h-error-1 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $h-warning-1 and not($h-error-1 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /> Although the date was found in the narrative the Individual Pathology Test Result Value data element must contain the time.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Individual Pathology Test Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $h-error-1 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $h-error-1 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /> Although the date was found in the narrative the Individual Pathology Test Result Value data element must contain the time.
		The Individual Pathology Test Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $h-error-1 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $h-error-1 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /> Although the date was found in the narrative the Individual Pathology Test Result Value data element must contain the time.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-warning-2 and not($h-error-2 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-warning-2 and not($h-error-2 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Individual Pathology Test Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-error-2 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-error-2 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($h-error-2c) then concat('The narrative contains a date with the same year ''', $h-year, ''' but without a month or day.') else '' " /><xsl:text />
		The Individual Pathology Test Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-error-2 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-error-2 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($h-error-2c) then concat('The narrative contains a date with the same year ''', $h-year, ''' but without a month or day.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-warning-3 and not($l-error-3 or $no-content)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-warning-3 and not($l-error-3 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not seem to be present in the narrative of the section.<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Individual Pathology Test Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-error-3 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-error-3 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Individual Pathology Test Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else ' All clinical information in entry elements must be present in the narrative.'" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-error-3 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-error-3 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-warning-3 and not($h-error-3 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-warning-3 and not($h-error-3 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not seem to be present in the narrative of the section.<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Individual Pathology Test Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-error-3 and not($no-content) and true()  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-error-3 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text />
		The Individual Pathology Test Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-error-3 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-error-3 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $h-dt-value != '' and not($h-narr-match or $h-null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $h-dt-value != '' and not($h-narr-match or $h-null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $h-dt-value != '' and not($h-narr-match or $h-null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $h-dt-value != '' and not($h-narr-match or $h-null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Individual Pathology Test Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-null-to-find and not($l-null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-null-to-find and not($l-null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="cda:low/@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$l-nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($l-nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.<xsl:text /><xsl:value-of select="$l-null-msg" /><xsl:text /> If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-null-to-find and not($h-null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-null-to-find and not($h-null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Individual Pathology Test Result Value '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="cda:high/@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$h-nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($h-nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.<xsl:text /><xsl:value-of select="$h-null-msg" /><xsl:text />
		If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M730" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M730" />
  <xsl:template match="@*|node()" priority="-2" mode="M730">
    <xsl:apply-templates select="@*|*" mode="M730" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-Observation-10-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation/cda:value[  @xsi:type = 'INT'       or           normalize-space(substring-after(@xsi:type, ':')) = 'INT'  or          @xsi:type = 'REAL'       or           normalize-space(substring-after(@xsi:type, ':')) = 'REAL' ] " priority="1000" mode="M731">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation/cda:value[  @xsi:type = 'INT'       or           normalize-space(substring-after(@xsi:type, ':')) = 'INT'  or          @xsi:type = 'REAL'       or           normalize-space(substring-after(@xsi:type, ':')) = 'REAL' ] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="narr-text-el" select="(for $text in ($target-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="narr-numbers" select="$narr-text-el[. castable as xs:double] " />
    <xsl:variable name="narr-el-present" select="exists($narr-numbers)" />
    <xsl:variable name="num-in-narr" select="@value and exists($narr-numbers[number() = current()/@value])" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-8" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-8 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @value and ancestor::cda:section and not($narr-el-present) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @value and ancestor::cda:section and not($narr-el-present)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step-8" /><xsl:text />: TC-Narr-09 step 8: The Individual Pathology Test Result Value
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Individual Pathology Test Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @value and $narr-el-present and not($num-in-narr or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value and $narr-el-present and not($num-in-narr or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-8" /><xsl:text />: TC-Narr-09 step 8: The Individual Pathology Test Result Value
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' which was not found in table data elements of
		the narrative of the section. The data element is in the section with the title '<xsl:text /><xsl:value-of select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]/cda:title" /><xsl:text />'.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Individual Pathology Test Result Value data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Individual Pathology Test Result Value
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M731" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M731" />
  <xsl:template match="@*|node()" priority="-2" mode="M731">
    <xsl:apply-templates select="@*|*" mode="M731" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-EncapsulatedData-1-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/cda:observation[cda:code   [@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.1', '102.16156.132.1.1', '102.16156.136.2.1', '102.16156.132.1.1')]]/   cda:entryRelationship[@typeCode='SPRT']/cda:observationMedia/cda:value" priority="1000" mode="M732">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/cda:observation[cda:code   [@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.1', '102.16156.132.1.1', '102.16156.136.2.1', '102.16156.132.1.1')]]/   cda:entryRelationship[@typeCode='SPRT']/cda:observationMedia/cda:value" />
    <xsl:variable name="the-text" select="normalize-space(string-join(text(), '')) " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="display-text-1" select="$the-text " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)        then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')), codepoints-to-string(34))       else concat('commencing with ', codepoints-to-string(34),         normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),         $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-02" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-02 else $rating-alt-TC-Types-02 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-02: The Test Specimen Detail - Anatomical Location Image or Physical Details Image
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type and
		<xsl:text /><xsl:value-of select="if (cda:reference/@value and $text-is-present) then concat('has a reference to ''', cda:reference/@value, ''' and contains the character string ',    $display-text)   else if (cda:reference/@value and not($text-is-present)) then concat('has a reference to ''', cda:reference/@value, '''')   else if (not(cda:reference/@value) and $text-is-present) then concat('contains the character string ', $display-text)   else 'has no reference and does not contain a character string' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@nullFlavor) then concat(' The nullFlavor attribute has the value ''', @nullFlavor, '''.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (@integrityCheckAlgorithm) then concat(' The integrityCheckAlgorithm attribute has the value ''', @integrityCheckAlgorithm, '''.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (@integrityCheck) then concat(' The integrityCheck attribute has the value ''', @integrityCheck, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-02" /><xsl:text />: TC-Types-02: According to the Structured Content Specification the Test Specimen Detail - Anatomical Location Image or Physical Details Image

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type
		which is derived from the HL7 'ED' data type however the xsi:type attribute has the value <xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(local-name(..) = 'observationMedia') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(local-name(..) = 'observationMedia') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-02" /><xsl:text />: TC-Types-02: According to the Structured Content Specification the Test Specimen Detail - Anatomical Location Image or Physical Details Image
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type which is derived from the HL7 'ED' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'ED'.
		(See section 5.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeED') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeED')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Specimen Detail - Anatomical Location Image or Physical Details Image
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type.
		The data element's value '<xsl:text /><xsl:value-of select="$display-text-1" /><xsl:text />' contains "xsitypeED" which is an invalid attempt to assign the data element's type to be the HL7 'ED' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ED'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@integrityCheckAlgorithm) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@integrityCheckAlgorithm)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-02" /><xsl:text />: TC-Types-02: The Test Specimen Detail - Anatomical Location Image or Physical Details Image
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type but does not have the
		integrityCheckAlgorithm attribute which indicates the data element does not have the HL7 'ED' data type. The Encapsulated Data data type is derived from the HL7 'ED' data type so the
		attribute xsi:type with the value 'ED' needs to be added to the data element.
		(See section 5.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('reference', 'thumbnail'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('reference', 'thumbnail'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen Detail - Anatomical Location Image or Physical Details Image

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('reference', 'thumbnail'))])" /><xsl:text />' was found that is not expected for the EncapsulatedData data type
		so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('reference', 'thumbnail'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('reference', 'thumbnail'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen Detail - Anatomical Location Image or Physical Details Image

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('reference', 'thumbnail'))])" /><xsl:text />' was found that is not expected for the EncapsulatedData data type
		so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'charset', 'integrityCheck', 'integrityCheckAlgorithm', 'compression', 'representation'))] and    not(@xsi:type and not(@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'charset', 'integrityCheck', 'integrityCheckAlgorithm', 'compression', 'representation'))] and not(@xsi:type and not(@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen Detail - Anatomical Location Image or Physical Details Image

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'charset', 'integrityCheck', 'integrityCheckAlgorithm', 'compression', 'representation'))])" /><xsl:text />' was
		found that is not expected for the EncapsulatedData data type.
		The definition of the EncapsulatedData data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'charset', 'integrityCheck', 'integrityCheckAlgorithm', 'compression', 'representation'))] and    not(@xsi:type and not(@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'charset', 'integrityCheck', 'integrityCheckAlgorithm', 'compression', 'representation'))] and not(@xsi:type and not(@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen Detail - Anatomical Location Image or Physical Details Image

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'charset', 'integrityCheck', 'integrityCheckAlgorithm', 'compression', 'representation'))])" /><xsl:text />' was
		found that is not expected for the EncapsulatedData data type.
		The definition of the EncapsulatedData data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-02" /><xsl:text />: TC-Types-02: The Test Specimen Detail - Anatomical Location Image or Physical Details Image
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type and has the attribute
		language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this attribute.
		(See section 5.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @charset ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @charset">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-02" /><xsl:text />: TC-Types-02: The Test Specimen Detail - Anatomical Location Image or Physical Details Image
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type and has the attribute
		charset='<xsl:text /><xsl:value-of select="@charset" /><xsl:text />'. Confirm that this is a valid value for this attribute.
		(See section 5.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M732" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M732" />
  <xsl:template match="@*|node()" priority="-2" mode="M732">
    <xsl:apply-templates select="@*|*" mode="M732" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-EncapsulatedData-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/cda:observation[cda:code   [@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.1', '102.16156.132.1.1', '102.16156.136.2.1', '102.16156.132.1.1')]]/   cda:entryRelationship[@typeCode='SPRT']/cda:observationMedia/cda:value " priority="1000" mode="M733">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/cda:observation[cda:code   [@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.1', '102.16156.132.1.1', '102.16156.136.2.1', '102.16156.132.1.1')]]/   cda:entryRelationship[@typeCode='SPRT']/cda:observationMedia/cda:value " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Test Specimen Detail - Anatomical Location Image or Physical Details Image '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Test Specimen Detail - Anatomical Location Image or Physical Details Image
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Test Specimen Detail - Anatomical Location Image or Physical Details Image data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Test Specimen Detail - Anatomical Location Image or Physical Details Image
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Test Specimen Detail - Anatomical Location Image or Physical Details Image data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Test Specimen Detail - Anatomical Location Image or Physical Details Image
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Test Specimen Detail - Anatomical Location Image or Physical Details Image
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Test Specimen Detail - Anatomical Location Image or Physical Details Image data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Test Specimen Detail - Anatomical Location Image or Physical Details Image
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M733" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M733" />
  <xsl:template match="@*|node()" priority="-2" mode="M733">
    <xsl:apply-templates select="@*|*" mode="M733" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-EncapsulatedData-3-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship[@typeCode='SUBJ']/   cda:organizer/cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')]]/   cda:entryRelationship[@typeCode='SPRT']/cda:observationMedia/cda:value" priority="1000" mode="M734">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship[@typeCode='SUBJ']/   cda:organizer/cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')]]/   cda:entryRelationship[@typeCode='SPRT']/cda:observationMedia/cda:value" />
    <xsl:variable name="the-text" select="normalize-space(string-join(text(), '')) " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="display-text-1" select="$the-text " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)        then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')), codepoints-to-string(34))       else concat('commencing with ', codepoints-to-string(34),         normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),         $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-02" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-02 else $rating-alt-TC-Types-02 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-02: The Pathology Test Result - Anatomical Location Image or Physical Details Image
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type and
		<xsl:text /><xsl:value-of select="if (cda:reference/@value and $text-is-present) then concat('has a reference to ''', cda:reference/@value, ''' and contains the character string ',    $display-text)   else if (cda:reference/@value and not($text-is-present)) then concat('has a reference to ''', cda:reference/@value, '''')   else if (not(cda:reference/@value) and $text-is-present) then concat('contains the character string ', $display-text)   else 'has no reference and does not contain a character string' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@nullFlavor) then concat(' The nullFlavor attribute has the value ''', @nullFlavor, '''.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (@integrityCheckAlgorithm) then concat(' The integrityCheckAlgorithm attribute has the value ''', @integrityCheckAlgorithm, '''.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (@integrityCheck) then concat(' The integrityCheck attribute has the value ''', @integrityCheck, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-02" /><xsl:text />: TC-Types-02: According to the Structured Content Specification the Pathology Test Result - Anatomical Location Image or Physical Details Image

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type
		which is derived from the HL7 'ED' data type however the xsi:type attribute has the value <xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(local-name(..) = 'observationMedia') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(local-name(..) = 'observationMedia') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-02" /><xsl:text />: TC-Types-02: According to the Structured Content Specification the Pathology Test Result - Anatomical Location Image or Physical Details Image
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type which is derived from the HL7 'ED' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'ED'.
		(See section 5.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeED') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeED')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Pathology Test Result - Anatomical Location Image or Physical Details Image
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type.
		The data element's value '<xsl:text /><xsl:value-of select="$display-text-1" /><xsl:text />' contains "xsitypeED" which is an invalid attempt to assign the data element's type to be the HL7 'ED' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ED'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@integrityCheckAlgorithm) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@integrityCheckAlgorithm)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-02" /><xsl:text />: TC-Types-02: The Pathology Test Result - Anatomical Location Image or Physical Details Image
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type but does not have the
		integrityCheckAlgorithm attribute which indicates the data element does not have the HL7 'ED' data type. The Encapsulated Data data type is derived from the HL7 'ED' data type so the
		attribute xsi:type with the value 'ED' needs to be added to the data element.
		(See section 5.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('reference', 'thumbnail'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('reference', 'thumbnail'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Pathology Test Result - Anatomical Location Image or Physical Details Image

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('reference', 'thumbnail'))])" /><xsl:text />' was found that is not expected for the EncapsulatedData data type
		so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('reference', 'thumbnail'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('reference', 'thumbnail'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Pathology Test Result - Anatomical Location Image or Physical Details Image

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('reference', 'thumbnail'))])" /><xsl:text />' was found that is not expected for the EncapsulatedData data type
		so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'charset', 'integrityCheck', 'integrityCheckAlgorithm', 'compression', 'representation'))] and    not(@xsi:type and not(@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'charset', 'integrityCheck', 'integrityCheckAlgorithm', 'compression', 'representation'))] and not(@xsi:type and not(@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Pathology Test Result - Anatomical Location Image or Physical Details Image

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'charset', 'integrityCheck', 'integrityCheckAlgorithm', 'compression', 'representation'))])" /><xsl:text />' was
		found that is not expected for the EncapsulatedData data type.
		The definition of the EncapsulatedData data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'charset', 'integrityCheck', 'integrityCheckAlgorithm', 'compression', 'representation'))] and    not(@xsi:type and not(@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'charset', 'integrityCheck', 'integrityCheckAlgorithm', 'compression', 'representation'))] and not(@xsi:type and not(@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Pathology Test Result - Anatomical Location Image or Physical Details Image

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'charset', 'integrityCheck', 'integrityCheckAlgorithm', 'compression', 'representation'))])" /><xsl:text />' was
		found that is not expected for the EncapsulatedData data type.
		The definition of the EncapsulatedData data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-02" /><xsl:text />: TC-Types-02: The Pathology Test Result - Anatomical Location Image or Physical Details Image
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type and has the attribute
		language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this attribute.
		(See section 5.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @charset ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @charset">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-02" /><xsl:text />: TC-Types-02: The Pathology Test Result - Anatomical Location Image or Physical Details Image
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type and has the attribute
		charset='<xsl:text /><xsl:value-of select="@charset" /><xsl:text />'. Confirm that this is a valid value for this attribute.
		(See section 5.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M734" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M734" />
  <xsl:template match="@*|node()" priority="-2" mode="M734">
    <xsl:apply-templates select="@*|*" mode="M734" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-EncapsulatedData-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship[@typeCode='SUBJ']/   cda:organizer/cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')]]/   cda:entryRelationship[@typeCode='SPRT']/cda:observationMedia/cda:value " priority="1000" mode="M735">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship[@typeCode='SUBJ']/   cda:organizer/cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')]]/   cda:entryRelationship[@typeCode='SPRT']/cda:observationMedia/cda:value " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Pathology Test Result - Anatomical Location Image or Physical Details Image '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Pathology Test Result - Anatomical Location Image or Physical Details Image
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Pathology Test Result - Anatomical Location Image or Physical Details Image data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Pathology Test Result - Anatomical Location Image or Physical Details Image
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Pathology Test Result - Anatomical Location Image or Physical Details Image data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Pathology Test Result - Anatomical Location Image or Physical Details Image
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Pathology Test Result - Anatomical Location Image or Physical Details Image
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Pathology Test Result - Anatomical Location Image or Physical Details Image data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Pathology Test Result - Anatomical Location Image or Physical Details Image
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M735" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M735" />
  <xsl:template match="@*|node()" priority="-2" mode="M735">
    <xsl:apply-templates select="@*|*" mode="M735" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-EncapsulatedData-5-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:value" priority="1000" mode="M736">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:value" />
    <xsl:variable name="the-text" select="normalize-space(string-join(text(), '')) " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="display-text-1" select="$the-text " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)        then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')), codepoints-to-string(34))       else concat('commencing with ', codepoints-to-string(34),         normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),         $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-02" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-02 else $rating-alt-TC-Types-02 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-02: The Test Result Representation
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type and
		<xsl:text /><xsl:value-of select="if (cda:reference/@value and $text-is-present) then concat('has a reference to ''', cda:reference/@value, ''' and contains the character string ',    $display-text)   else if (cda:reference/@value and not($text-is-present)) then concat('has a reference to ''', cda:reference/@value, '''')   else if (not(cda:reference/@value) and $text-is-present) then concat('contains the character string ', $display-text)   else 'has no reference and does not contain a character string' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@nullFlavor) then concat(' The nullFlavor attribute has the value ''', @nullFlavor, '''.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (@integrityCheckAlgorithm) then concat(' The integrityCheckAlgorithm attribute has the value ''', @integrityCheckAlgorithm, '''.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (@integrityCheck) then concat(' The integrityCheck attribute has the value ''', @integrityCheck, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-02" /><xsl:text />: TC-Types-02: According to the Structured Content Specification the Test Result Representation

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type
		which is derived from the HL7 'ED' data type however the xsi:type attribute has the value <xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(local-name(..) = 'observationMedia') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(local-name(..) = 'observationMedia') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-02" /><xsl:text />: TC-Types-02: According to the Structured Content Specification the Test Result Representation
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type which is derived from the HL7 'ED' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'ED'.
		(See section 5.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeED') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeED')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Result Representation
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type.
		The data element's value '<xsl:text /><xsl:value-of select="$display-text-1" /><xsl:text />' contains "xsitypeED" which is an invalid attempt to assign the data element's type to be the HL7 'ED' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ED'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@integrityCheckAlgorithm) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@integrityCheckAlgorithm)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-02" /><xsl:text />: TC-Types-02: The Test Result Representation
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type but does not have the
		integrityCheckAlgorithm attribute which indicates the data element does not have the HL7 'ED' data type. The Encapsulated Data data type is derived from the HL7 'ED' data type so the
		attribute xsi:type with the value 'ED' needs to be added to the data element.
		(See section 5.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('reference', 'thumbnail'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('reference', 'thumbnail'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result Representation

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('reference', 'thumbnail'))])" /><xsl:text />' was found that is not expected for the EncapsulatedData data type
		so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('reference', 'thumbnail'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('reference', 'thumbnail'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result Representation

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('reference', 'thumbnail'))])" /><xsl:text />' was found that is not expected for the EncapsulatedData data type
		so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'charset', 'integrityCheck', 'integrityCheckAlgorithm', 'compression', 'representation'))] and    not(@xsi:type and not(@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'charset', 'integrityCheck', 'integrityCheckAlgorithm', 'compression', 'representation'))] and not(@xsi:type and not(@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result Representation

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'charset', 'integrityCheck', 'integrityCheckAlgorithm', 'compression', 'representation'))])" /><xsl:text />' was
		found that is not expected for the EncapsulatedData data type.
		The definition of the EncapsulatedData data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'charset', 'integrityCheck', 'integrityCheckAlgorithm', 'compression', 'representation'))] and    not(@xsi:type and not(@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'charset', 'integrityCheck', 'integrityCheckAlgorithm', 'compression', 'representation'))] and not(@xsi:type and not(@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result Representation

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'charset', 'integrityCheck', 'integrityCheckAlgorithm', 'compression', 'representation'))])" /><xsl:text />' was
		found that is not expected for the EncapsulatedData data type.
		The definition of the EncapsulatedData data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-02" /><xsl:text />: TC-Types-02: The Test Result Representation
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type and has the attribute
		language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this attribute.
		(See section 5.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @charset ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @charset">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-02" /><xsl:text />: TC-Types-02: The Test Result Representation
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type and has the attribute
		charset='<xsl:text /><xsl:value-of select="@charset" /><xsl:text />'. Confirm that this is a valid value for this attribute.
		(See section 5.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M736" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M736" />
  <xsl:template match="@*|node()" priority="-2" mode="M736">
    <xsl:apply-templates select="@*|*" mode="M736" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-EncapsulatedData-6-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:value   [not(cda:reference/@value) or starts-with(cda:reference/@value, '#')] " priority="1000" mode="M737">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:value   [not(cda:reference/@value) or starts-with(cda:reference/@value, '#')] " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Test Result Representation '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Test Result Representation
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Test Result Representation data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Test Result Representation
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Test Result Representation data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Test Result Representation
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Test Result Representation
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Test Result Representation data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Test Result Representation
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M737" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M737" />
  <xsl:template match="@*|node()" priority="-2" mode="M737">
    <xsl:apply-templates select="@*|*" mode="M737" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-EncapsulatedData-7-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:value   [cda:reference/@value and not(starts-with(cda:reference/@value, '#'))] " priority="1000" mode="M738">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:value   [cda:reference/@value and not(starts-with(cda:reference/@value, '#'))] " />
    <xsl:variable name="section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then exists(ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]) else false() " />
    <!--REPORT -->
    <xsl:if test=" local-name(..) = ('act', 'observation') and cda:reference/@value and not(starts-with(cda:reference/@value, '#')) and   not(cda:reference/@value = $section/cda:text//cda:linkHtml/@href) and    not($section/*[not(cda:text)]//cda:observationMedia/cda:value/cda:reference[@value = current()/cda:reference/@value]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(..) = ('act', 'observation') and cda:reference/@value and not(starts-with(cda:reference/@value, '#')) and not(cda:reference/@value = $section/cda:text//cda:linkHtml/@href) and not($section/*[not(cda:text)]//cda:observationMedia/cda:value/cda:reference[@value = current()/cda:reference/@value])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-14" /><xsl:text />: TC-Narr-09 step 14: The Test Result Representation
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> references the multimedia document '<xsl:text /><xsl:value-of select="cda:reference/@value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (../cda:code/@displayName) then concat(' containing clinical information of the kind ', dh:XQueryRecursiveReplace(../cda:code/@displayName, $markup-pattern-replacement, 'ic'), '.')        else if (../cda:code/cda:originalText) then concat(' containing clinical information of the kind ', dh:XQueryRecursiveReplace(../cda:code/cda:originalText, $markup-pattern-replacement, 'ic'), '.')        else '.'" /><xsl:text />
		The multimedia document contains attested clinical information so it must be referenced from the narrative using a renderMultiMedia narrative element. To achieve that the document must be also referenced from
		an observationMedia element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> but one is not present.
		(See <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide Appendix A 'The narrative contents SHALL completely and accurately represent the clinical information encoded in the section' and
		section 4.3.5.6 of the HL7 CDA R2 specification.) Multimedia that is part of the attestable content of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> must be referenced from the narrative by a renderMultiMedia element
		and not a linkHtml element. A renderMultiMedia narrative element cannot directly reference the multimedia but references an observationMedia element which must be included and references the same multimedia
		that is referenced from the <xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text /> element. (See sections 4.3.5.2 and 4.3.5.6 of HL7 Clinical Document Architecture, Release 2.0.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M738" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M738" />
  <xsl:template match="@*|node()" priority="-2" mode="M738">
    <xsl:apply-templates select="@*|*" mode="M738" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-Text-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/   cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.1', '102.16156.132.1.1', '102.16156.136.2.1', '102.16156.132.1.1')]]/   cda:targetSiteCode/cda:originalText " priority="1000" mode="M739">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/   cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.1', '102.16156.132.1.1', '102.16156.136.2.1', '102.16156.132.1.1')]]/   cda:targetSiteCode/cda:originalText " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Test Specimen - Anatomical Location Description
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Test Specimen - Anatomical Location Description 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Test Specimen - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Specimen - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Test Specimen - Anatomical Location Description however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Test Specimen - Anatomical Location Description in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Specimen - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Test Specimen - Anatomical Location Description however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Test Specimen - Anatomical Location Description in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Test Specimen - Anatomical Location Description data element with a proper value then an exclusion
		statement must be included to state why there is no Test Specimen - Anatomical Location Description. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Specimen - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Test Specimen - Anatomical Location Description however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Test Specimen - Anatomical Location Description in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Specimen - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Test Specimen - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M739" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M739" />
  <xsl:template match="@*|node()" priority="-2" mode="M739">
    <xsl:apply-templates select="@*|*" mode="M739" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-Text-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/   cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.1', '102.16156.132.1.1', '102.16156.136.2.1', '102.16156.132.1.1')]]/   cda:targetSiteCode/cda:originalText " priority="1000" mode="M740">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/   cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.1', '102.16156.132.1.1', '102.16156.136.2.1', '102.16156.132.1.1')]]/   cda:targetSiteCode/cda:originalText " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Test Specimen - Anatomical Location Description '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Test Specimen - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Test Specimen - Anatomical Location Description data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Test Specimen - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Test Specimen - Anatomical Location Description data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Test Specimen - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Test Specimen - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Test Specimen - Anatomical Location Description data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Test Specimen - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M740" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M740" />
  <xsl:template match="@*|node()" priority="-2" mode="M740">
    <xsl:apply-templates select="@*|*" mode="M740" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-Text-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/   cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.1', '102.16156.132.1.1', '102.16156.136.2.1', '102.16156.132.1.1')]]/   cda:specimen/cda:specimenRole/cda:specimenPlayingEntity/cda:desc " priority="1000" mode="M741">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/   cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.1', '102.16156.132.1.1', '102.16156.136.2.1', '102.16156.132.1.1')]]/   cda:specimen/cda:specimenRole/cda:specimenPlayingEntity/cda:desc " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Test Specimen - Object Description
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Test Specimen - Object Description 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Test Specimen - Object Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Specimen - Object Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Test Specimen - Object Description however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Test Specimen - Object Description in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Specimen - Object Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Test Specimen - Object Description however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Test Specimen - Object Description in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Test Specimen - Object Description data element with a proper value then an exclusion
		statement must be included to state why there is no Test Specimen - Object Description. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Specimen - Object Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Test Specimen - Object Description however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Test Specimen - Object Description in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Specimen - Object Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen - Object Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen - Object Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen - Object Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen - Object Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen - Object Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen - Object Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen - Object Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen - Object Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Test Specimen - Object Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M741" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M741" />
  <xsl:template match="@*|node()" priority="-2" mode="M741">
    <xsl:apply-templates select="@*|*" mode="M741" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-Text-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/   cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.1', '102.16156.132.1.1', '102.16156.136.2.1', '102.16156.132.1.1')]]/   cda:specimen/cda:specimenRole/cda:specimenPlayingEntity/cda:desc " priority="1000" mode="M742">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/   cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.1', '102.16156.132.1.1', '102.16156.136.2.1', '102.16156.132.1.1')]]/   cda:specimen/cda:specimenRole/cda:specimenPlayingEntity/cda:desc " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Test Specimen - Object Description '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Test Specimen - Object Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Test Specimen - Object Description data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Test Specimen - Object Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Test Specimen - Object Description data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Test Specimen - Object Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Test Specimen - Object Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Test Specimen - Object Description data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Test Specimen - Object Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M742" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M742" />
  <xsl:template match="@*|node()" priority="-2" mode="M742">
    <xsl:apply-templates select="@*|*" mode="M742" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-Text-5-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/   cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.1', '102.16156.132.1.1', '102.16156.136.2.1', '102.16156.132.1.1')]]/   cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16529']]/cda:value " priority="1000" mode="M743">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/   cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.1', '102.16156.132.1.1', '102.16156.136.2.1', '102.16156.132.1.1')]]/   cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16529']]/cda:value " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Test Specimen - Collection Setting
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Test Specimen - Collection Setting 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Test Specimen - Collection Setting
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Specimen - Collection Setting
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Test Specimen - Collection Setting however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Test Specimen - Collection Setting in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Specimen - Collection Setting
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Test Specimen - Collection Setting however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Test Specimen - Collection Setting in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Test Specimen - Collection Setting data element with a proper value then an exclusion
		statement must be included to state why there is no Test Specimen - Collection Setting. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Specimen - Collection Setting
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Test Specimen - Collection Setting however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Test Specimen - Collection Setting in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Specimen - Collection Setting
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen - Collection Setting
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen - Collection Setting
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen - Collection Setting
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen - Collection Setting
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen - Collection Setting
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen - Collection Setting
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen - Collection Setting
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen - Collection Setting
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Test Specimen - Collection Setting
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M743" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M743" />
  <xsl:template match="@*|node()" priority="-2" mode="M743">
    <xsl:apply-templates select="@*|*" mode="M743" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-Text-6-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/   cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.1', '102.16156.132.1.1', '102.16156.136.2.1', '102.16156.132.1.1')]]/   cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16529']]/cda:value " priority="1000" mode="M744">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/   cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.1', '102.16156.132.1.1', '102.16156.136.2.1', '102.16156.132.1.1')]]/   cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16529']]/cda:value " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Test Specimen - Collection Setting '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Test Specimen - Collection Setting
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Test Specimen - Collection Setting data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Test Specimen - Collection Setting
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Test Specimen - Collection Setting data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Test Specimen - Collection Setting
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Test Specimen - Collection Setting
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Test Specimen - Collection Setting data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Test Specimen - Collection Setting
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M744" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M744" />
  <xsl:template match="@*|node()" priority="-2" mode="M744">
    <xsl:apply-templates select="@*|*" mode="M744" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-Text-7-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/   cda:entryRelationship/cda:act[cda:code[@codeSystem='2.16.840.1.113883.6.1' and @code='55752-0']]/cda:text " priority="1000" mode="M745">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/   cda:entryRelationship/cda:act[cda:code[@codeSystem='2.16.840.1.113883.6.1' and @code='55752-0']]/cda:text " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Clinical Information Provided
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Clinical Information Provided 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Clinical Information Provided
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Clinical Information Provided
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Clinical Information Provided however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Clinical Information Provided in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Clinical Information Provided
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Clinical Information Provided however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Clinical Information Provided in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Clinical Information Provided data element with a proper value then an exclusion
		statement must be included to state why there is no Clinical Information Provided. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Clinical Information Provided
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Clinical Information Provided however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Clinical Information Provided in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Clinical Information Provided
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Clinical Information Provided
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Clinical Information Provided
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Clinical Information Provided
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Clinical Information Provided
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Clinical Information Provided
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Clinical Information Provided
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Clinical Information Provided
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Clinical Information Provided
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Clinical Information Provided
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M745" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M745" />
  <xsl:template match="@*|node()" priority="-2" mode="M745">
    <xsl:apply-templates select="@*|*" mode="M745" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-Text-8-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/   cda:entryRelationship/cda:act[cda:code[@codeSystem='2.16.840.1.113883.6.1' and @code='55752-0']]/cda:text " priority="1000" mode="M746">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/   cda:entryRelationship/cda:act[cda:code[@codeSystem='2.16.840.1.113883.6.1' and @code='55752-0']]/cda:text " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Clinical Information Provided '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Clinical Information Provided
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Clinical Information Provided data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Clinical Information Provided
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Clinical Information Provided data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Clinical Information Provided
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Clinical Information Provided
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Clinical Information Provided data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Clinical Information Provided
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M746" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M746" />
  <xsl:template match="@*|node()" priority="-2" mode="M746">
    <xsl:apply-templates select="@*|*" mode="M746" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-Text-9-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/   cda:entryRelationship/cda:organizer/cda:component/cda:observation/cda:entryRelationship/cda:act[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='281296001']]/cda:text " priority="1000" mode="M747">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/   cda:entryRelationship/cda:organizer/cda:component/cda:observation/cda:entryRelationship/cda:act[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='281296001']]/cda:text " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Individual Pathology Test Result Comment
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Individual Pathology Test Result Comment 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Individual Pathology Test Result Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Individual Pathology Test Result Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Individual Pathology Test Result Comment however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Individual Pathology Test Result Comment in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Individual Pathology Test Result Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Individual Pathology Test Result Comment however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Individual Pathology Test Result Comment in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Individual Pathology Test Result Comment data element with a proper value then an exclusion
		statement must be included to state why there is no Individual Pathology Test Result Comment. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Individual Pathology Test Result Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Individual Pathology Test Result Comment however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Individual Pathology Test Result Comment in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Individual Pathology Test Result Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Individual Pathology Test Result Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Individual Pathology Test Result Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Individual Pathology Test Result Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Individual Pathology Test Result Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Individual Pathology Test Result Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Individual Pathology Test Result Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Individual Pathology Test Result Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Individual Pathology Test Result Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Individual Pathology Test Result Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M747" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M747" />
  <xsl:template match="@*|node()" priority="-2" mode="M747">
    <xsl:apply-templates select="@*|*" mode="M747" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-Text-10-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/   cda:entryRelationship/cda:organizer/cda:component/cda:observation/cda:entryRelationship/cda:act[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='281296001']]/cda:text " priority="1000" mode="M748">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/   cda:entryRelationship/cda:organizer/cda:component/cda:observation/cda:entryRelationship/cda:act[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='281296001']]/cda:text " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Individual Pathology Test Result Comment '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Individual Pathology Test Result Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Individual Pathology Test Result Comment data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Individual Pathology Test Result Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Individual Pathology Test Result Comment data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Individual Pathology Test Result Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Individual Pathology Test Result Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Individual Pathology Test Result Comment data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Individual Pathology Test Result Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M748" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M748" />
  <xsl:template match="@*|node()" priority="-2" mode="M748">
    <xsl:apply-templates select="@*|*" mode="M748" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-Text-11-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/   cda:entryRelationship/cda:organizer/cda:component/cda:observation/cda:entryRelationship/cda:act[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='281298000']]/cda:text " priority="1000" mode="M749">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/   cda:entryRelationship/cda:organizer/cda:component/cda:observation/cda:entryRelationship/cda:act[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='281298000']]/cda:text " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Individual Pathology Test Result Reference Range Guidance
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Individual Pathology Test Result Reference Range Guidance 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Individual Pathology Test Result Reference Range Guidance
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Individual Pathology Test Result Reference Range Guidance
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Individual Pathology Test Result Reference Range Guidance however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Individual Pathology Test Result Reference Range Guidance in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Individual Pathology Test Result Reference Range Guidance
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Individual Pathology Test Result Reference Range Guidance however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Individual Pathology Test Result Reference Range Guidance in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Individual Pathology Test Result Reference Range Guidance data element with a proper value then an exclusion
		statement must be included to state why there is no Individual Pathology Test Result Reference Range Guidance. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Individual Pathology Test Result Reference Range Guidance
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Individual Pathology Test Result Reference Range Guidance however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Individual Pathology Test Result Reference Range Guidance in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Individual Pathology Test Result Reference Range Guidance
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Individual Pathology Test Result Reference Range Guidance
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Individual Pathology Test Result Reference Range Guidance
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Individual Pathology Test Result Reference Range Guidance
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Individual Pathology Test Result Reference Range Guidance
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Individual Pathology Test Result Reference Range Guidance
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Individual Pathology Test Result Reference Range Guidance
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Individual Pathology Test Result Reference Range Guidance
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Individual Pathology Test Result Reference Range Guidance
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Individual Pathology Test Result Reference Range Guidance
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M749" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M749" />
  <xsl:template match="@*|node()" priority="-2" mode="M749">
    <xsl:apply-templates select="@*|*" mode="M749" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-Text-12-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/   cda:entryRelationship/cda:organizer/cda:component/cda:observation/cda:entryRelationship/cda:act[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='281298000']]/cda:text " priority="1000" mode="M750">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/   cda:entryRelationship/cda:organizer/cda:component/cda:observation/cda:entryRelationship/cda:act[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='281298000']]/cda:text " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Individual Pathology Test Result Reference Range Guidance '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Individual Pathology Test Result Reference Range Guidance
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Individual Pathology Test Result Reference Range Guidance data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Individual Pathology Test Result Reference Range Guidance
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Individual Pathology Test Result Reference Range Guidance data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Individual Pathology Test Result Reference Range Guidance
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Individual Pathology Test Result Reference Range Guidance
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Individual Pathology Test Result Reference Range Guidance data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Individual Pathology Test Result Reference Range Guidance
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M750" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M750" />
  <xsl:template match="@*|node()" priority="-2" mode="M750">
    <xsl:apply-templates select="@*|*" mode="M750" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-Text-13-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/cda:organizer/   cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')]]/   cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')]]/   cda:targetSiteCode/cda:originalText " priority="1000" mode="M751">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/cda:organizer/   cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')]]/   cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')]]/   cda:targetSiteCode/cda:originalText " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Test Result - Anatomical Location Description
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Test Result - Anatomical Location Description 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Test Result - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Result - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Test Result - Anatomical Location Description however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Test Result - Anatomical Location Description in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Result - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Test Result - Anatomical Location Description however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Test Result - Anatomical Location Description in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Test Result - Anatomical Location Description data element with a proper value then an exclusion
		statement must be included to state why there is no Test Result - Anatomical Location Description. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Result - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Test Result - Anatomical Location Description however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Test Result - Anatomical Location Description in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Result - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Test Result - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M751" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M751" />
  <xsl:template match="@*|node()" priority="-2" mode="M751">
    <xsl:apply-templates select="@*|*" mode="M751" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-Text-14-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/cda:organizer/   cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')]]/   cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')]]/   cda:targetSiteCode/cda:originalText " priority="1000" mode="M752">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/cda:organizer/   cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')]]/   cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')]]/   cda:targetSiteCode/cda:originalText " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Test Result - Anatomical Location Description '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Test Result - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Test Result - Anatomical Location Description data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Test Result - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Test Result - Anatomical Location Description data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Test Result - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Test Result - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Test Result - Anatomical Location Description data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Test Result - Anatomical Location Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M752" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M752" />
  <xsl:template match="@*|node()" priority="-2" mode="M752">
    <xsl:apply-templates select="@*|*" mode="M752" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-Text-15-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/cda:organizer/   cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')]]/   cda:specimen/cda:specimenRole/cda:specimenPlayingEntity/cda:desc " priority="1000" mode="M753">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/cda:organizer/   cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')]]/   cda:specimen/cda:specimenRole/cda:specimenPlayingEntity/cda:desc " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Test Result - Object Description
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Test Result - Object Description 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Test Result - Object Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Result - Object Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Test Result - Object Description however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Test Result - Object Description in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Result - Object Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Test Result - Object Description however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Test Result - Object Description in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Test Result - Object Description data element with a proper value then an exclusion
		statement must be included to state why there is no Test Result - Object Description. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Result - Object Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Test Result - Object Description however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Test Result - Object Description in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Result - Object Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result - Object Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result - Object Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result - Object Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result - Object Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result - Object Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result - Object Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result - Object Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result - Object Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Test Result - Object Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M753" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M753" />
  <xsl:template match="@*|node()" priority="-2" mode="M753">
    <xsl:apply-templates select="@*|*" mode="M753" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-Text-16-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/cda:organizer/   cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')]]/   cda:specimen/cda:specimenRole/cda:specimenPlayingEntity/cda:desc " priority="1000" mode="M754">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/cda:organizer/   cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')]]/   cda:specimen/cda:specimenRole/cda:specimenPlayingEntity/cda:desc " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Test Result - Object Description '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Test Result - Object Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Test Result - Object Description data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Test Result - Object Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Test Result - Object Description data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Test Result - Object Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Test Result - Object Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Test Result - Object Description data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Test Result - Object Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M754" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M754" />
  <xsl:template match="@*|node()" priority="-2" mode="M754">
    <xsl:apply-templates select="@*|*" mode="M754" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-Text-17-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/cda:organizer/   cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')]]/   cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16529']]/cda:value " priority="1000" mode="M755">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/cda:organizer/   cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')]]/   cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16529']]/cda:value " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Test Result - Collection Setting
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Test Result - Collection Setting 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Test Result - Collection Setting
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Result - Collection Setting
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Test Result - Collection Setting however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Test Result - Collection Setting in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Result - Collection Setting
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Test Result - Collection Setting however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Test Result - Collection Setting in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Test Result - Collection Setting data element with a proper value then an exclusion
		statement must be included to state why there is no Test Result - Collection Setting. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Result - Collection Setting
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Test Result - Collection Setting however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Test Result - Collection Setting in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Result - Collection Setting
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result - Collection Setting
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result - Collection Setting
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result - Collection Setting
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result - Collection Setting
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result - Collection Setting
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result - Collection Setting
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result - Collection Setting
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Result - Collection Setting
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Test Result - Collection Setting
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M755" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M755" />
  <xsl:template match="@*|node()" priority="-2" mode="M755">
    <xsl:apply-templates select="@*|*" mode="M755" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-Text-18-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/cda:organizer/   cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')]]/   cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16529']]/cda:value " priority="1000" mode="M756">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/cda:organizer/   cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')]]/   cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16529']]/cda:value " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Test Result - Collection Setting '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Test Result - Collection Setting
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Test Result - Collection Setting data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Test Result - Collection Setting
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Test Result - Collection Setting data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Test Result - Collection Setting
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Test Result - Collection Setting
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Test Result - Collection Setting data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Test Result - Collection Setting
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M756" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M756" />
  <xsl:template match="@*|node()" priority="-2" mode="M756">
    <xsl:apply-templates select="@*|*" mode="M756" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-Text-19-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/   cda:entryRelationship/cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='386344002']]/cda:value " priority="1000" mode="M757">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/   cda:entryRelationship/cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='386344002']]/cda:value " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Pathology Test Conclusion
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Pathology Test Conclusion 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Pathology Test Conclusion
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Pathology Test Conclusion
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Pathology Test Conclusion however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Pathology Test Conclusion in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Pathology Test Conclusion
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Pathology Test Conclusion however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Pathology Test Conclusion in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Pathology Test Conclusion data element with a proper value then an exclusion
		statement must be included to state why there is no Pathology Test Conclusion. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Pathology Test Conclusion
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Pathology Test Conclusion however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Pathology Test Conclusion in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Pathology Test Conclusion
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Pathology Test Conclusion
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Pathology Test Conclusion
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Pathology Test Conclusion
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Pathology Test Conclusion
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Pathology Test Conclusion
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Pathology Test Conclusion
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Pathology Test Conclusion
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Pathology Test Conclusion
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Pathology Test Conclusion
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M757" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M757" />
  <xsl:template match="@*|node()" priority="-2" mode="M757">
    <xsl:apply-templates select="@*|*" mode="M757" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-Text-20-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/   cda:entryRelationship/cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='386344002']]/cda:value " priority="1000" mode="M758">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/   cda:entryRelationship/cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='386344002']]/cda:value " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Pathology Test Conclusion '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Pathology Test Conclusion
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Pathology Test Conclusion data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Pathology Test Conclusion
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Pathology Test Conclusion data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Pathology Test Conclusion
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Pathology Test Conclusion
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Pathology Test Conclusion data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Pathology Test Conclusion
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M758" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M758" />
  <xsl:template match="@*|node()" priority="-2" mode="M758">
    <xsl:apply-templates select="@*|*" mode="M758" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-Text-21-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/   cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16468']]/cda:text " priority="1000" mode="M759">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/   cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16468']]/cda:text " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Test Comment
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Test Comment 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Test Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Test Comment however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Test Comment in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Test Comment however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Test Comment in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Test Comment data element with a proper value then an exclusion
		statement must be included to state why there is no Test Comment. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Test Comment however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Test Comment in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Test Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Test Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M759" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M759" />
  <xsl:template match="@*|node()" priority="-2" mode="M759">
    <xsl:apply-templates select="@*|*" mode="M759" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-Text-22-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/   cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16468']]/cda:text " priority="1000" mode="M760">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/   cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16468']]/cda:text " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Test Comment '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Test Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Test Comment data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Test Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Test Comment data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Test Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Test Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Test Comment data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Test Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M760" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M760" />
  <xsl:template match="@*|node()" priority="-2" mode="M760">
    <xsl:apply-templates select="@*|*" mode="M760" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-UniqueIdentifier-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/   cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and    @code=('102.16156.2.2.1', '102.16156.132.1.1', '102.16156.136.2.1', '102.16156.132.1.1')]]/cda:specimen/cda:specimenRole/cda:id " priority="1000" mode="M761">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/   cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and    @code=('102.16156.2.2.1', '102.16156.132.1.1', '102.16156.136.2.1', '102.16156.132.1.1')]]/cda:specimen/cda:specimenRole/cda:id " />
    <xsl:variable name="agency-namespace" select="@root and (matches(@root, '^1\.2\.36\.1\.2001\.1001\.10[0-4]{1}\.') or matches(@root, '^1\.2\.36\.1\.2001\.1006\.')) " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-11" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-11 else $rating-alt-TC-Types-11 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="ii-context" select="if (ancestor::cda:recordTarget and ancestor::ext:asEntityIdentifier) then 'default' else 'alternative' " />
    <xsl:variable name="rating-73" select="if ($initial-priority) then $initial-rating       else if ($ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/test-case[@id='TC-Types-73']/@rating)        then concat(' (', $ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/test-case[@id='TC-Types-73']/@rating, ')')       else if ($ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/@rating)       then concat(' (', $ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/@rating, ')')       else '' " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-11: The Test Specimen Detail - Specimen Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type and has <xsl:text /><xsl:value-of select="iq:display-II(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-11" /><xsl:text />: TC-Types-11: According to the Structured Content Specification the Test Specimen Detail - Specimen Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type which
		is derived from the HL7 'II' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present.
		(See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-11" /><xsl:text />: TC-Types-11: According to the Structured Content Specification the Test Specimen Detail - Specimen Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type which is derived from the HL7 'II' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'II'. (See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen Detail - Specimen Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the UniqueIdentifier data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen Detail - Specimen Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the UniqueIdentifier data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and   not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen Detail - Specimen Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however the attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))])" /><xsl:text />' was found that is not in the list of attributes
		expected for the UniqueIdentifier data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and   not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen Detail - Specimen Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however the attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))])" /><xsl:text />' was found that is not in the list of attributes
		expected for the UniqueIdentifier data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $agency-namespace ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$agency-namespace">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-73" /><xsl:text />: TC-Types-73:  The Test Specimen Detail - Specimen Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-II(.)" /><xsl:text />. The value of the root attribute identifies the
		'<xsl:text /><xsl:value-of select="$namespaces/namespace[starts-with(current()/@root, concat(@OID-prefix, '.'))]/@name" /><xsl:text />' namespace which is reserved for use by the Australian Digital Health Agency.
		The value of the root attribute must define the namespace for the extension attribute whose value is required to be the identifier of the specimen, normally assigned by the laboratory.
		(See section 7.6.7.3.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and the Test Specimen Detail - Specimen Identifier definition in the Structured Content Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M761" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M761" />
  <xsl:template match="@*|node()" priority="-2" mode="M761">
    <xsl:apply-templates select="@*|*" mode="M761" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-UniqueIdentifier-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/   cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and    @code=('102.16156.2.2.1', '102.16156.132.1.1', '102.16156.136.2.1', '102.16156.132.1.1')]]/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16187']]/cda:specimen/cda:specimenRole/cda:id " priority="1000" mode="M762">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/   cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and    @code=('102.16156.2.2.1', '102.16156.132.1.1', '102.16156.136.2.1', '102.16156.132.1.1')]]/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16187']]/cda:specimen/cda:specimenRole/cda:id " />
    <xsl:variable name="agency-namespace" select="@root and (matches(@root, '^1\.2\.36\.1\.2001\.1001\.10[0-4]{1}\.') or matches(@root, '^1\.2\.36\.1\.2001\.1006\.')) " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-11" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-11 else $rating-alt-TC-Types-11 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="ii-context" select="if (ancestor::cda:recordTarget and ancestor::ext:asEntityIdentifier) then 'default' else 'alternative' " />
    <xsl:variable name="rating-73" select="if ($initial-priority) then $initial-rating       else if ($ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/test-case[@id='TC-Types-73']/@rating)        then concat(' (', $ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/test-case[@id='TC-Types-73']/@rating, ')')       else if ($ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/@rating)       then concat(' (', $ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/@rating, ')')       else '' " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-11: The Test Specimen Detail - Parent Specimen Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type and has <xsl:text /><xsl:value-of select="iq:display-II(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-11" /><xsl:text />: TC-Types-11: According to the Structured Content Specification the Test Specimen Detail - Parent Specimen Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type which
		is derived from the HL7 'II' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present.
		(See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-11" /><xsl:text />: TC-Types-11: According to the Structured Content Specification the Test Specimen Detail - Parent Specimen Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type which is derived from the HL7 'II' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'II'. (See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen Detail - Parent Specimen Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the UniqueIdentifier data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen Detail - Parent Specimen Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the UniqueIdentifier data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and   not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen Detail - Parent Specimen Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however the attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))])" /><xsl:text />' was found that is not in the list of attributes
		expected for the UniqueIdentifier data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and   not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen Detail - Parent Specimen Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however the attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))])" /><xsl:text />' was found that is not in the list of attributes
		expected for the UniqueIdentifier data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $agency-namespace ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$agency-namespace">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-73" /><xsl:text />: TC-Types-73:  The Test Specimen Detail - Parent Specimen Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-II(.)" /><xsl:text />. The value of the root attribute identifies the
		'<xsl:text /><xsl:value-of select="$namespaces/namespace[starts-with(current()/@root, concat(@OID-prefix, '.'))]/@name" /><xsl:text />' namespace which is reserved for use by the Australian Digital Health Agency.
		The value of the root attribute must define the namespace for the extension attribute whose value is required to identify the parent specimen where the specimen is split into sub-samples.
		(See section 7.6.7.3.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and the Test Specimen Detail - Parent Specimen Identifier definition in the Structured Content Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M762" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M762" />
  <xsl:template match="@*|node()" priority="-2" mode="M762">
    <xsl:apply-templates select="@*|*" mode="M762" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-UniqueIdentifier-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/   cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and    @code=('102.16156.2.2.1', '102.16156.132.1.1', '102.16156.136.2.1', '102.16156.132.1.1')]]/cda:specimen/cda:specimenRole/cda:specimenPlayingEntity/   ext:asSpecimenInContainer/ext:container/ext:id " priority="1000" mode="M763">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/   cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and    @code=('102.16156.2.2.1', '102.16156.132.1.1', '102.16156.136.2.1', '102.16156.132.1.1')]]/cda:specimen/cda:specimenRole/cda:specimenPlayingEntity/   ext:asSpecimenInContainer/ext:container/ext:id " />
    <xsl:variable name="agency-namespace" select="@root and (matches(@root, '^1\.2\.36\.1\.2001\.1001\.10[0-4]{1}\.') or matches(@root, '^1\.2\.36\.1\.2001\.1006\.')) " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-11" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-11 else $rating-alt-TC-Types-11 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="ii-context" select="if (ancestor::cda:recordTarget and ancestor::ext:asEntityIdentifier) then 'default' else 'alternative' " />
    <xsl:variable name="rating-73" select="if ($initial-priority) then $initial-rating       else if ($ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/test-case[@id='TC-Types-73']/@rating)        then concat(' (', $ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/test-case[@id='TC-Types-73']/@rating, ')')       else if ($ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/@rating)       then concat(' (', $ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/@rating, ')')       else '' " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-11: The Test Specimen - Container Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type and has <xsl:text /><xsl:value-of select="iq:display-II(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-11" /><xsl:text />: TC-Types-11: According to the Structured Content Specification the Test Specimen - Container Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type which
		is derived from the HL7 'II' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present.
		(See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-11" /><xsl:text />: TC-Types-11: According to the Structured Content Specification the Test Specimen - Container Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type which is derived from the HL7 'II' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'II'. (See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen - Container Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the UniqueIdentifier data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen - Container Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the UniqueIdentifier data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and   not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen - Container Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however the attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))])" /><xsl:text />' was found that is not in the list of attributes
		expected for the UniqueIdentifier data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and   not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Test Specimen - Container Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however the attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))])" /><xsl:text />' was found that is not in the list of attributes
		expected for the UniqueIdentifier data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $agency-namespace ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$agency-namespace">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-73" /><xsl:text />: TC-Types-73:  The Test Specimen - Container Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-II(.)" /><xsl:text />. The value of the root attribute identifies the
		'<xsl:text /><xsl:value-of select="$namespaces/namespace[starts-with(current()/@root, concat(@OID-prefix, '.'))]/@name" /><xsl:text />' namespace which is reserved for use by the Australian Digital Health Agency.
		The value of the root attribute must define the namespace for the extension attribute whose value is required to identify the container in which the specimen was transported or processed.
		(See section 7.6.7.3.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and the Test Specimen - Container Identifier definition in the Structured Content Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M763" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M763" />
  <xsl:template match="@*|node()" priority="-2" mode="M763">
    <xsl:apply-templates select="@*|*" mode="M763" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-UniqueIdentifier-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/   cda:entryRelationship/cda:organizer/cda:component/cda:observation/cda:specimen/cda:specimenRole/cda:id " priority="1000" mode="M764">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/   cda:entryRelationship/cda:organizer/cda:component/cda:observation/cda:specimen/cda:specimenRole/cda:id " />
    <xsl:variable name="agency-namespace" select="@root and (matches(@root, '^1\.2\.36\.1\.2001\.1001\.10[0-4]{1}\.') or matches(@root, '^1\.2\.36\.1\.2001\.1006\.')) " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-11" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-11 else $rating-alt-TC-Types-11 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="ii-context" select="if (ancestor::cda:recordTarget and ancestor::ext:asEntityIdentifier) then 'default' else 'alternative' " />
    <xsl:variable name="rating-73" select="if ($initial-priority) then $initial-rating       else if ($ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/test-case[@id='TC-Types-73']/@rating)        then concat(' (', $ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/test-case[@id='TC-Types-73']/@rating, ')')       else if ($ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/@rating)       then concat(' (', $ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/@rating, ')')       else '' " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-11: The Pathology Test Result - Specimen Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type and has <xsl:text /><xsl:value-of select="iq:display-II(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-11" /><xsl:text />: TC-Types-11: According to the Structured Content Specification the Pathology Test Result - Specimen Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type which
		is derived from the HL7 'II' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present.
		(See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-11" /><xsl:text />: TC-Types-11: According to the Structured Content Specification the Pathology Test Result - Specimen Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type which is derived from the HL7 'II' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'II'. (See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Pathology Test Result - Specimen Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the UniqueIdentifier data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Pathology Test Result - Specimen Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the UniqueIdentifier data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and   not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Pathology Test Result - Specimen Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however the attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))])" /><xsl:text />' was found that is not in the list of attributes
		expected for the UniqueIdentifier data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and   not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Pathology Test Result - Specimen Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however the attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))])" /><xsl:text />' was found that is not in the list of attributes
		expected for the UniqueIdentifier data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $agency-namespace ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$agency-namespace">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-73" /><xsl:text />: TC-Types-73:  The Pathology Test Result - Specimen Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-II(.)" /><xsl:text />. The value of the root attribute identifies the
		'<xsl:text /><xsl:value-of select="$namespaces/namespace[starts-with(current()/@root, concat(@OID-prefix, '.'))]/@name" /><xsl:text />' namespace which is reserved for use by the Australian Digital Health Agency.
		The value of the root attribute must define the namespace for the extension attribute whose value is required to be the identifier of the specimen, normally assigned by the laboratory.
		(See section 7.6.7.3.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and the Pathology Test Result - Specimen Identifier definition in the Structured Content Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M764" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M764" />
  <xsl:template match="@*|node()" priority="-2" mode="M764">
    <xsl:apply-templates select="@*|*" mode="M764" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-UniqueIdentifier-5-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/   cda:entryRelationship/cda:organizer/cda:component/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16187']]/cda:specimen/cda:specimenRole/cda:id " priority="1000" mode="M765">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/   cda:entryRelationship/cda:organizer/cda:component/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16187']]/cda:specimen/cda:specimenRole/cda:id " />
    <xsl:variable name="agency-namespace" select="@root and (matches(@root, '^1\.2\.36\.1\.2001\.1001\.10[0-4]{1}\.') or matches(@root, '^1\.2\.36\.1\.2001\.1006\.')) " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-11" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-11 else $rating-alt-TC-Types-11 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="ii-context" select="if (ancestor::cda:recordTarget and ancestor::ext:asEntityIdentifier) then 'default' else 'alternative' " />
    <xsl:variable name="rating-73" select="if ($initial-priority) then $initial-rating       else if ($ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/test-case[@id='TC-Types-73']/@rating)        then concat(' (', $ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/test-case[@id='TC-Types-73']/@rating, ')')       else if ($ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/@rating)       then concat(' (', $ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/@rating, ')')       else '' " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-11: The Pathology Test Result - Parent Specimen Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type and has <xsl:text /><xsl:value-of select="iq:display-II(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-11" /><xsl:text />: TC-Types-11: According to the Structured Content Specification the Pathology Test Result - Parent Specimen Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type which
		is derived from the HL7 'II' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present.
		(See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-11" /><xsl:text />: TC-Types-11: According to the Structured Content Specification the Pathology Test Result - Parent Specimen Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type which is derived from the HL7 'II' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'II'. (See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Pathology Test Result - Parent Specimen Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the UniqueIdentifier data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Pathology Test Result - Parent Specimen Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the UniqueIdentifier data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and   not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Pathology Test Result - Parent Specimen Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however the attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))])" /><xsl:text />' was found that is not in the list of attributes
		expected for the UniqueIdentifier data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and   not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Pathology Test Result - Parent Specimen Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however the attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))])" /><xsl:text />' was found that is not in the list of attributes
		expected for the UniqueIdentifier data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $agency-namespace ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$agency-namespace">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-73" /><xsl:text />: TC-Types-73:  The Pathology Test Result - Parent Specimen Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-II(.)" /><xsl:text />. The value of the root attribute identifies the
		'<xsl:text /><xsl:value-of select="$namespaces/namespace[starts-with(current()/@root, concat(@OID-prefix, '.'))]/@name" /><xsl:text />' namespace which is reserved for use by the Australian Digital Health Agency.
		The value of the root attribute must define the namespace for the extension attribute whose value is required to identify the parent specimen where the specimen is split into sub-samples.
		(See section 7.6.7.3.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and the Pathology Test Result - Parent Specimen Identifier definition in the Structured Content Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M765" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M765" />
  <xsl:template match="@*|node()" priority="-2" mode="M765">
    <xsl:apply-templates select="@*|*" mode="M765" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-UniqueIdentifier-6-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/   cda:entryRelationship/cda:organizer/cda:component/cda:observation/cda:specimen/cda:specimenRole/cda:specimenPlayingEntity/ext:asSpecimenInContainer/ext:container/ext:id " priority="1000" mode="M766">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/   cda:entryRelationship/cda:organizer/cda:component/cda:observation/cda:specimen/cda:specimenRole/cda:specimenPlayingEntity/ext:asSpecimenInContainer/ext:container/ext:id " />
    <xsl:variable name="agency-namespace" select="@root and (matches(@root, '^1\.2\.36\.1\.2001\.1001\.10[0-4]{1}\.') or matches(@root, '^1\.2\.36\.1\.2001\.1006\.')) " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-11" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-11 else $rating-alt-TC-Types-11 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="ii-context" select="if (ancestor::cda:recordTarget and ancestor::ext:asEntityIdentifier) then 'default' else 'alternative' " />
    <xsl:variable name="rating-73" select="if ($initial-priority) then $initial-rating       else if ($ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/test-case[@id='TC-Types-73']/@rating)        then concat(' (', $ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/test-case[@id='TC-Types-73']/@rating, ')')       else if ($ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/@rating)       then concat(' (', $ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/@rating, ')')       else '' " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-11: The Pathology Test Result - Container Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type and has <xsl:text /><xsl:value-of select="iq:display-II(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-11" /><xsl:text />: TC-Types-11: According to the Structured Content Specification the Pathology Test Result - Container Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type which
		is derived from the HL7 'II' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present.
		(See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-11" /><xsl:text />: TC-Types-11: According to the Structured Content Specification the Pathology Test Result - Container Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type which is derived from the HL7 'II' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'II'. (See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Pathology Test Result - Container Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the UniqueIdentifier data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Pathology Test Result - Container Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the UniqueIdentifier data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and   not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Pathology Test Result - Container Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however the attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))])" /><xsl:text />' was found that is not in the list of attributes
		expected for the UniqueIdentifier data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and   not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Pathology Test Result - Container Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however the attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))])" /><xsl:text />' was found that is not in the list of attributes
		expected for the UniqueIdentifier data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $agency-namespace ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$agency-namespace">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-73" /><xsl:text />: TC-Types-73:  The Pathology Test Result - Container Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-II(.)" /><xsl:text />. The value of the root attribute identifies the
		'<xsl:text /><xsl:value-of select="$namespaces/namespace[starts-with(current()/@root, concat(@OID-prefix, '.'))]/@name" /><xsl:text />' namespace which is reserved for use by the Australian Digital Health Agency.
		The value of the root attribute must define the namespace for the extension attribute whose value is required to identify the container in which the specimen was transported or processed.
		(See section 7.6.7.3.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and the Pathology Test Result - Container Identifier definition in the Structured Content Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M766" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M766" />
  <xsl:template match="@*|node()" priority="-2" mode="M766">
    <xsl:apply-templates select="@*|*" mode="M766" />
  </xsl:template>
  <!--PATTERN p-TS-PathTestRes-UniqueIdentifier-7-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:id " priority="1000" mode="M767">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:id " />
    <xsl:variable name="agency-namespace" select="@root and (matches(@root, '^1\.2\.36\.1\.2001\.1001\.10[0-4]{1}\.') or matches(@root, '^1\.2\.36\.1\.2001\.1006\.')) " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-11" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-11 else $rating-alt-TC-Types-11 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="ii-context" select="if (ancestor::cda:recordTarget and ancestor::ext:asEntityIdentifier) then 'default' else 'alternative' " />
    <xsl:variable name="rating-73" select="if ($initial-priority) then $initial-rating       else if ($ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/test-case[@id='TC-Types-73']/@rating)        then concat(' (', $ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/test-case[@id='TC-Types-73']/@rating, ')')       else if ($ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/@rating)       then concat(' (', $ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/@rating, ')')       else '' " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-11: The Laboratory Test Result Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type and has <xsl:text /><xsl:value-of select="iq:display-II(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-11" /><xsl:text />: TC-Types-11: According to the Structured Content Specification the Laboratory Test Result Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type which
		is derived from the HL7 'II' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present.
		(See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-11" /><xsl:text />: TC-Types-11: According to the Structured Content Specification the Laboratory Test Result Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type which is derived from the HL7 'II' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'II'. (See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Laboratory Test Result Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the UniqueIdentifier data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Laboratory Test Result Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the UniqueIdentifier data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and   not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Laboratory Test Result Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however the attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))])" /><xsl:text />' was found that is not in the list of attributes
		expected for the UniqueIdentifier data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and   not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Laboratory Test Result Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however the attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))])" /><xsl:text />' was found that is not in the list of attributes
		expected for the UniqueIdentifier data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $agency-namespace ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$agency-namespace">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-73" /><xsl:text />: TC-Types-73:  The Laboratory Test Result Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-II(.)" /><xsl:text />. The value of the root attribute identifies the
		'<xsl:text /><xsl:value-of select="$namespaces/namespace[starts-with(current()/@root, concat(@OID-prefix, '.'))]/@name" /><xsl:text />' namespace which is reserved for use by the Australian Digital Health Agency.
		The value of the root attribute must define the namespace for the extension attribute whose value is required to be the identifier given to the laboratory test result of a pathology investigation.
		(See section 7.6.7.3.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and the Laboratory Test Result Identifier definition in the Structured Content Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M767" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M767" />
  <xsl:template match="@*|node()" priority="-2" mode="M767">
    <xsl:apply-templates select="@*|*" mode="M767" />
  </xsl:template>
  <!--PATTERN p-TS-PBItems-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16649' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16649'] " priority="1000" mode="M768">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16649' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16649'] " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating" select="if ($initial-priority) then $initial-rating else if ($FS-Types-seq/@rating) then concat(' (', $FS-Types-seq/@rating, ')') else '' " />
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and not(/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.142' and @extension = '1.1']) and $extensions-allowed">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.142' and @extension = '1.1']) and $extensions-allowed">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: FS-Types: The Pharmaceutical Benefit Items section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16649') has been found in a <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. The Pharmaceutical Benefit Items section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16649') is defined in the digital health specifications but
		although tests have been applied to the data elements the specification of the data elements may have been varied for inclusion in this document
		so further examination may be needed. The rules have been validated for <xsl:text /><xsl:value-of select="normalize-space('Pharmaceutical Benefits Report CDA Implementation Guide version 1.1')" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M768" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M768" />
  <xsl:template match="@*|node()" priority="-2" mode="M768">
    <xsl:apply-templates select="@*|*" mode="M768" />
  </xsl:template>
  <!--PATTERN p-TS-PBItems-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16649' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16649']]/cda:component/cda:section " priority="1000" mode="M769">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16649' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16649']]/cda:component/cda:section " />
    <xsl:variable name="agency-section" select=" cda:code/@codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="test-step" select=" if (not($extensions-allowed)) then 'step 4'        else if ($agency-section) then 'step 3' else 'step 1' " />
    <xsl:variable name="title-and-code" select=" if (cda:title and cda:code/@code) then concat('title ''', cda:title, ''', code/code ''', cda:code/@code, '''')        else if (cda:title and not(cda:code/@code)) then concat('title ''', cda:title, '''')        else if (not(cda:title) and cda:code/@code) then concat('code/code ''', cda:code/@code, '''')        else '' " />
    <xsl:variable name="other-section-names" select=" if (cda:code/@displayName and not(cda:code/cda:originalText)) then concat(' and code/displayName ''', cda:code/@displayName, '''')         else if (cda:code/@displayName and cda:code/cda:originalText)          then concat(', code/displayName ''', cda:code/@displayName,''' and code/originalText ''', cda:code/cda:originalText, '''')        else if (not(cda:code/@displayName) and cda:code/cda:originalText) then concat(' and code/originalText ''', cda:code/cda:originalText, '''')        else '' " />
    <xsl:variable name="section-names" select="concat($title-and-code, $other-section-names)" />
    <xsl:variable name="doc-code" select="/cda:ClinicalDocument/cda:code" />
    <xsl:variable name="parent-section" select="ancestor::cda:section[position()=1]" />
    <xsl:variable name="custom-section-info" select="($iq-config/custom-sections/section, $knowledge/custom-sections/section)[        @doc-code  = $doc-code/@code          and        @doc-codeSystem  = $doc-code/@codeSystem          and        @parent-code   = $parent-section/cda:code/@code         and         @parent-codeSystem  = $parent-section/cda:code/@codeSystem        and         (@title = current()/cda:title or (@code = current()/cda:code/@code and @codeSystem = current()/cda:code/@codeSystem)) ] " />
    <xsl:variable name="section-disallowed" select="$custom-section-info/@disallowed = 'yes' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and ($section-disallowed or not(exists($custom-section-info)))) then $rating-alt-TC-Doc-28-step-1        else if ($test-step = 'step 1' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections]) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 3') then $rating-TC-Doc-28-step-3 else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and $section-disallowed ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and $section-disallowed">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Pharmaceutical Benefit Items section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16649') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> which
		is an extension to the information model however the inclusion of this section conflicts with sections defined in the digital health specifications.
		<xsl:text /><xsl:value-of select="$custom-section-info[@disallowed = 'yes']/@reason" /><xsl:text /> (Also see <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not(false()) and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(false()) and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Pharmaceutical Benefit Items section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16649') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. No subsection is expected so this
		is an extension to the information model. Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the 
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(false()) and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(false()) and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Pharmaceutical Benefit Items section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16649') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> but no subsections were
		expected so the document fails to meet the requirement that it must not contain additional data elements. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and false() and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and false() and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Pharmaceutical Benefit Items section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16649') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		none are expected but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the information model.
		Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Pharmaceutical Benefit Items section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16649') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		none are expected but the inclusion of the section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> fails to meet the requirement that it must not contain additional data elements.
		(See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M769" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M769" />
  <xsl:template match="@*|node()" priority="-2" mode="M769">
    <xsl:apply-templates select="@*|*" mode="M769" />
  </xsl:template>
  <!--PATTERN p-TS-PBItems-CodedText-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16649' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16649']]/cda:entry/cda:supply/cda:product/   cda:manufacturedProduct/cda:manufacturedMaterial/cda:code " priority="1000" mode="M770">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16649' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16649']]/cda:entry/cda:supply/cda:product/   cda:manufacturedProduct/cda:manufacturedMaterial/cda:code " />
    <xsl:variable name="tc-types-49-err" select="@nullFlavor = ('PINF', 'NINF', 'QS', 'TRC') or (@nullFlavor='UNC' and (not(cda:originalText) or normalize-space(cda:originalText) = '')) " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="family-err" select="cda:originalText and matches(cda:originalText, $family-regex, 'i')" />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; 200" />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and @code != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used with the Clinical Package Validator to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used with the Clinical Package Validator to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the primary code.') " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-06-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-06-step-2 else $rating-alt-TC-Types-06-step-2 " />
    <xsl:variable name="rating-07-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-1 else $rating-alt-TC-Types-07-step-1 " />
    <xsl:variable name="rating-07-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-2 else $rating-alt-TC-Types-07-step-2 " />
    <xsl:variable name="rating-08" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-08 else $rating-alt-TC-Types-08 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-07: The PBS/RPBS Item Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data
		type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to section 3.4 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the PBS/RPBS Item Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which is derived from the HL7 'CD' data type however xsi:type '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to section 3.4 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the PBS/RPBS Item Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:translation">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:translation">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to section 3.4 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the PBS/RPBS Item Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'translation' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value
		domain, with no exceptions. A translation translates the value into a code from another code systems, so translations are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:qualifier">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:qualifier">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to section 3.4 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the PBS/RPBS Item Code
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'qualifier' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value domain,
		with no exceptions. A qualifier constrains the value, so qualifiers are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The PBS/RPBS Item Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.4 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the PBS/RPBS Item Code
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.4 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the PBS/RPBS Item Code
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.4 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the PBS/RPBS Item Code
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present and is not expected
		for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.4 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the PBS/RPBS Item Code
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however
		an attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />'
		is present and is not expected for the CodedText data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-terminology-concepts = 'true' and not(true() or false() or $family-err or $length-err) and    not(@nullFlavor) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and not(true() or false() or $family-err or $length-err) and not(@nullFlavor)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (value domain not specified): The PBS/RPBS Item Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The CodedText data type has the requirement that values must come from the specified bound value domain with no exceptions but a value domain has not been specified for the
		PBS/RPBS Item Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'PBS/RPBS Item Code',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="false() and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != '1.2.36.1.2001.1005.22'))  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(@nullFlavor) and (not(@codeSystem) or (@codeSystem and @codeSystem != '1.2.36.1.2001.1005.22'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-06-step-2" /><xsl:text />: TC-Types-06 step 2: According to section 3.4 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the PBS/RPBS Item Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. The
		CodedText data type has the requirement that values must come from the bound value domain with no exceptions. Therefore the value of the codeSystem attribute must be a publicly available
		code system. The PBS/RPBS Item Code data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide states the code system is 'NS' (not stated) with the requirement 'When national standard code sets become
		available, they SHALL be used'. The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> which is after the national standard code set became available
		for use on the <xsl:text /><xsl:value-of select="''" /><xsl:text />. The code system that must be used is
		<xsl:text /><xsl:value-of select="if ('1.2.36.1.2001.1005.22' = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName, ' (ConceptId ''', 'none', ''')')   else concat('1.2.36.1.2001.1005.22', ' (', $code-systems/system[@codeSystem = '1.2.36.1.2001.1005.22']/@codeSystemName, ')')" /><xsl:text /><xsl:text /><xsl:value-of select="if (not(@codeSystem)) then '.'    else if (@codeSystemName) then concat(' however codeSystem ''', @codeSystem, ''' (', @codeSystemName, ') is present.')   else concat(' however a codeSystem attribute with the value ''', @codeSystem, ''' is present.') " /><xsl:text />
		(See section 1.8 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide, <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 7.1.1.1 of the Pharmaceutical Benefits Report CDA Implementation Guide v1.1.1 for the
		information about the value domain.)
		<xsl:text /><xsl:value-of select="if ('none' = '11000036103') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName,     ' are Allergic reaction (''419076005''), Medication side-effect (''401207004'') and Drug interaction (''79899007'').')    else if ('none' = '15071000036100') then concat('Some members of the ',     $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName,     ' are Prescribed (''105681000036100''), Suspended (''385655000'') and Unchanged (''105701000036103'').')    else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'OTH' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'OTH'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to section 3.4 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the PBS/RPBS Item Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore it is not valid for the data element to have nullFlavor 'OTH' to indicate that the
		actual value is not a member of the set of permitted data values in the constrained value domain. 
		(See the requirements for PBS/RPBS Item Code and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 3.4 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the PBS/RPBS Item Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type<xsl:text /><xsl:value-of select="if (not(false())) then '.' else   concat(' and section 7.1.1.1 of the Pharmaceutical Benefits Report CDA Implementation Guide v1.1.1 states the vocabulary is ''', '1.2.36.1.2001.1005.22', ''' (', $code-systems/system[@codeSystem = '1.2.36.1.2001.1005.22']/@codeSystemName, ').') " /><xsl:text />
		The CodedText data type has
		the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor attribute
		to indicate there is no value, however a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) is present and is not one of the nullFlavor values that indicate there is no value.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@nullFlavor or @code) and not(false() and not(@nullFlavor) and not(@codeSystem)) and cda:originalText ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor or @code) and not(false() and not(@nullFlavor) and not(@codeSystem)) and cda:originalText">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to section 3.4 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the PBS/RPBS Item Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor
		attribute to indicate there is no value. The only information found in the data element is originalText '<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />'.
		(See the requirements for PBS/RPBS Item Code and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)
		<xsl:text /><xsl:value-of select="if (local-name(.) = 'jobClassCode') then concat('Consider using the METeOR 314867 ''Employment type'' code system (codeSystem ''2.16.840.1.113883.3.879.314867'') which has ',   'codes for ''Permanent'', ''Fixed term contract'', ''Casual'' and ''Not stated/inadequately described''; or the  METeOR 691891 ''Full-time/part-time status'' code system ',   '(codeSystem ''2.16.840.1.113883.3.879.691891'') which has codes for ''Full-time'', ''Part-time'' and ''Not stated/inadequately described''. ',   '(See the the METeOR 314867 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/314867 and the METeOR 691891 webpage http://meteor.aihw.gov.au/content/index.phtml/itemId/691891.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="true() and @codeSystem and @codeSystem != '1.2.36.1.2001.1005.22' and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and @codeSystem and @codeSystem != '1.2.36.1.2001.1005.22' and not(false())">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to section 3.4 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the PBS/RPBS Item Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and section 7.1.1.1 of the Pharmaceutical Benefits Report CDA Implementation Guide v1.1.1 states the vocabulary is
		<xsl:text /><xsl:value-of select="if ('1.2.36.1.2001.1005.22' = '2.16.840.1.113883.6.96') then concat(' the SNOMED CT-AU ',    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName, ' (ConceptId ''', 'none', ''').')   else concat('1.2.36.1.2001.1005.22', ' (', $code-systems/system[@codeSystem = '1.2.36.1.2001.1005.22']/@codeSystemName, ').')" /><xsl:text />
		The CodedText data type has the requirement that values must come from the bound value domain with no exceptions.
		Therefore the value of codeSystem must be '1.2.36.1.2001.1005.22' but codeSystem '<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />' (<xsl:text /><xsl:value-of select="@codeSystemName" /><xsl:text />) is present.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="true() and '1.2.36.1.2001.1005.22' = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and    not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version,    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@refSet) = 'CodeFound') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and '1.2.36.1.2001.1005.22' = '2.16.840.1.113883.6.96' and @codeSystem = '2.16.840.1.113883.6.96' and @code and not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version, $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@refSet) = 'CodeFound')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to section 3.4 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the PBS/RPBS Item Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. The applicable value domain is the SNOMED CT-AU
		<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName" /><xsl:text />
		(Concept ID: 'none'). The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the code is not a member of the value domain.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 7.1.1.1 of the Pharmaceutical Benefits Report CDA Implementation Guide v1.1.1 for the information about the value domain.)<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-08" /><xsl:text />: TC-Types-08: According to section 3.4 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the PBS/RPBS Item Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. It has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> but has neither an originalText nor a displayName
		so it fails to conform to the requirement 'In accordance with the requirement to completely represent section contents, values of CodedText or CodeableText data elements defined in
		the SCS SHALL include an originalText or a displayName component (or both)'.
		(See Appendix A of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 6.1 and 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090
		Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and not(cda:originalText) and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and not(cda:originalText) and not(false())">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The PBS/RPBS Item Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is
		not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. (See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M770" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M770" />
  <xsl:template match="@*|node()" priority="-2" mode="M770">
    <xsl:apply-templates select="@*|*" mode="M770" />
  </xsl:template>
  <!--PATTERN p-TS-PBItems-CodedText-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16649' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16649']]/cda:entry/cda:supply/cda:product/cda:manufacturedProduct/   cda:manufacturedMaterial/cda:code[(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M771">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16649' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16649']]/cda:entry/cda:supply/cda:product/cda:manufacturedProduct/   cda:manufacturedMaterial/cda:code[(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The PBS/RPBS Item Code '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The PBS/RPBS Item Code
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The PBS/RPBS Item Code
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The PBS/RPBS Item Code
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The PBS/RPBS Item Code
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the PBS/RPBS Item Code has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the PBS/RPBS Item Code data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The PBS/RPBS Item Code
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the PBS/RPBS Item Code data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The PBS/RPBS Item Code
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The PBS/RPBS Item Code data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The PBS/RPBS Item Code
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The PBS/RPBS Item Code data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The PBS/RPBS Item Code
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The PBS/RPBS Item Code
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The PBS/RPBS Item Code data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The PBS/RPBS Item Code
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The PBS/RPBS Item Code data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The PBS/RPBS Item Code
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The PBS/RPBS Item Code
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the PBS/RPBS Item Code data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The PBS/RPBS Item Code
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The PBS/RPBS Item Code data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The PBS/RPBS Item Code
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The PBS/RPBS Item Code
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M771" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M771" />
  <xsl:template match="@*|node()" priority="-2" mode="M771">
    <xsl:apply-templates select="@*|*" mode="M771" />
  </xsl:template>
  <!--PATTERN p-TS-PBItems-Text-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16649' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16649']]/cda:entry/cda:supply/cda:product/   cda:manufacturedProduct/cda:manufacturedMaterial/cda:name " priority="1000" mode="M772">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16649' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16649']]/cda:entry/cda:supply/cda:product/   cda:manufacturedProduct/cda:manufacturedMaterial/cda:name " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Brand
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 3.8 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the Brand 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 3.8 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the Brand
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 3.8 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the Brand
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Brand however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Brand in section 3.8 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 3.8 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the Brand
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Brand however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Brand in section 3.8 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Brand data element with a proper value then an exclusion
		statement must be included to state why there is no Brand. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 3.8 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the Brand
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Brand however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Brand in section 3.8 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 3.8 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the Brand
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.8 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the Brand
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.8 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the Brand
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.8 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the Brand
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.8 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the Brand
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.8 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the Brand
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.8 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the Brand
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.8 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the Brand
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.8 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the Brand
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 3.8 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the Brand
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M772" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M772" />
  <xsl:template match="@*|node()" priority="-2" mode="M772">
    <xsl:apply-templates select="@*|*" mode="M772" />
  </xsl:template>
  <!--PATTERN p-TS-PBItems-Text-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16649' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16649']]/cda:entry/cda:supply/cda:product/   cda:manufacturedProduct/cda:manufacturedMaterial/cda:name " priority="1000" mode="M773">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16649' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16649']]/cda:entry/cda:supply/cda:product/   cda:manufacturedProduct/cda:manufacturedMaterial/cda:name " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Brand '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Brand
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Brand data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Brand
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Brand data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Brand
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Brand
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Brand data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Brand
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M773" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M773" />
  <xsl:template match="@*|node()" priority="-2" mode="M773">
    <xsl:apply-templates select="@*|*" mode="M773" />
  </xsl:template>
  <!--PATTERN p-TS-PBItems-Text-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16649' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16649']]/cda:entry/   cda:supply/cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16677']]/cda:value " priority="1000" mode="M774">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16649' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16649']]/cda:entry/   cda:supply/cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16677']]/cda:value " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Item Form and Strength
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 3.10 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the Item Form and Strength 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 3.10 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the Item Form and Strength
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 3.10 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the Item Form and Strength
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Item Form and Strength however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Item Form and Strength in section 3.10 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 3.10 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the Item Form and Strength
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Item Form and Strength however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Item Form and Strength in section 3.10 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Item Form and Strength data element with a proper value then an exclusion
		statement must be included to state why there is no Item Form and Strength. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 3.10 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the Item Form and Strength
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Item Form and Strength however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Item Form and Strength in section 3.10 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 3.10 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the Item Form and Strength
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.10 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the Item Form and Strength
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.10 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the Item Form and Strength
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.10 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the Item Form and Strength
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.10 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the Item Form and Strength
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.10 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the Item Form and Strength
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.10 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the Item Form and Strength
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.10 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the Item Form and Strength
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.10 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the Item Form and Strength
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 3.10 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the Item Form and Strength
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M774" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M774" />
  <xsl:template match="@*|node()" priority="-2" mode="M774">
    <xsl:apply-templates select="@*|*" mode="M774" />
  </xsl:template>
  <!--PATTERN p-TS-PBItems-Text-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16649' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16649']]/cda:entry/   cda:supply/cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16677']]/cda:value " priority="1000" mode="M775">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16649' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16649']]/cda:entry/   cda:supply/cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16677']]/cda:value " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Item Form and Strength '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Item Form and Strength
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Item Form and Strength data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Item Form and Strength
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Item Form and Strength data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Item Form and Strength
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Item Form and Strength
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Item Form and Strength data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Item Form and Strength
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M775" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M775" />
  <xsl:template match="@*|node()" priority="-2" mode="M775">
    <xsl:apply-templates select="@*|*" mode="M775" />
  </xsl:template>
  <!--PATTERN p-TS-PBItems-DateTime-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16649' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16649']]/cda:entry/cda:supply/cda:effectiveTime " priority="1000" mode="M776">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16649' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16649']]/cda:entry/cda:supply/cda:effectiveTime " />
    <xsl:variable name="allow-ivl-ts" select="if (not(@xsi:type)) then false() else /cda:ClinicalDocument       [cda:templateId[(@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')  or         (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or         (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) ]]   and        local-name(.) = 'value'             and        ..[local-name(.) = 'observation' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]   and       ../..[local-name(.) = 'entryRelationship' and @typeCode='SUBJ']        and       ../../..[local-name(.) = 'observation' and cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]  and       ../../../..[local-name(.) = 'entry']            and       ../../../../..[local-name(.) = 'section' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]  " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-18" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-18 else $rating-alt-TC-Types-18 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-18: The Date of Supply '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data
		type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime',            'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime', 'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: The Date of Supply

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type but it does not meet the requirement to have the xsi:type attribute with the value 'TS'.
		(See section 8.6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to section 3.11 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the Date of Supply '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was
		found. This may be corrected by using an xsi:type attribute with the value 'TS'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to section 3.11 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the Date of Supply '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		This may be corrected by using an xsi:type attribute with the value 'TS'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to section 3.11 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the Date of Supply '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7
		'TS' data type to have a value attribute if there is no nullFlavor
		attribute. (See section 7.8.13.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange')

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to section 3.11 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the Date of Supply '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7 'TS' data type to have a value attribute if there is no nullFlavor
		attribute. The element has a '<xsl:text /><xsl:value-of select="local-name(*[local-name(.) = ('low', 'high')])" /><xsl:text />' child element with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		which is not one of the elements used for the HL7 'TS'
		data type. (See section 7.8.13 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.11 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the Date of Supply
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		is present. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.11 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the Date of Supply
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' was found. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.11 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the Date of Supply
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.11 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the Date of Supply
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@value) and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@value) and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 3.11 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the Date of Supply
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (uncoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include
		nullFlavor 'UNC'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M776" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M776" />
  <xsl:template match="@*|node()" priority="-2" mode="M776">
    <xsl:apply-templates select="@*|*" mode="M776" />
  </xsl:template>
  <!--PATTERN p-TS-PBItems-DateTime-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16649' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16649']]/cda:entry/cda:supply/cda:effectiveTime    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))] " priority="1000" mode="M777">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16649' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16649']]/cda:entry/cda:supply/cda:effectiveTime    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="fir-narrative" select="translate(normalize-space(lower-case(string($fir-narr-node))), $chars-to-remove, '')" />
    <xsl:variable name="sec-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)        then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]        else () " />
    <xsl:variable name="sec-narr-node" select="$sec-section/cda:text " />
    <xsl:variable name="narr-text-el" select="(for $text in ($fir-narr-node//text(), $sec-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="sec-narrative" select="translate(normalize-space(lower-case(string($sec-narr-node))), $chars-to-remove, '') " />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="narrative" select="concat($target-title, $fir-narrative, $sec-narrative)" />
    <xsl:variable name="narr-elements" select="$fir-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ]  |             $sec-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ] " />
    <xsl:variable name="narr-lower-case" select="for $i in (1 to count($narr-elements)) return lower-case(normalize-space(string-join($narr-elements[$i]/text(), '')))  " />
    <xsl:variable name="dt-narr-elements" select="$narr-lower-case[matches(., $regex-date-type-1, 'i') or matches(., $regex-date-type-2, 'i') or matches(., $regex-date-type-3, 'i')] " />
    <xsl:variable name="narr-elements-start" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-before($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-before($dt-narr-elements[$i], ' -'))        else $dt-narr-elements[$i])[. != ''] " />
    <xsl:variable name="narr-elements-end" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-after($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-after($dt-narr-elements[$i], ' -'))        else '')[. != ''] " />
    <xsl:variable name="narr-dateTimes" select="distinct-values(($narr-elements-start , $narr-elements-end))[. != '(ongoing)'] " />
    <xsl:variable name="dt-value" select="if (@value) then @value else '' " />
    <xsl:variable name="no-time-zone" select="if (contains($dt-value, '+')) then substring-before($dt-value, '+')       else if (contains($dt-value, '-')) then substring-before($dt-value, '-')       else $dt-value " />
    <xsl:variable name="dateTime-length" select="string-length($no-time-zone) " />
    <xsl:variable name="year" select="if ($dateTime-length &gt; 3) then substring($no-time-zone,1,4) else '' " />
    <xsl:variable name="month-num" select="if ($dateTime-length &gt; 5) then substring($no-time-zone,5,2) else '' " />
    <xsl:variable name="day" select="if ($dateTime-length &gt; 7 and substring($no-time-zone,7,1) = '0') then substring($no-time-zone,8,1)       else if ($dateTime-length &gt; 7 and substring($no-time-zone,7,1) != '0') then substring($no-time-zone,7,2) else '' " />
    <xsl:variable name="hour-long" select="if ($dateTime-length &gt; 9) then substring($no-time-zone,9,2) else '' " />
    <xsl:variable name="hour-short" select="if (substring($hour-long, 1, 1) = '0') then substring($hour-long, 2, 1) else '' " />
    <xsl:variable name="minute" select="if ($dateTime-length &gt; 11) then substring($no-time-zone,11,2) else '' " />
    <xsl:variable name="second" select="if ($dateTime-length &gt; 13) then substring($no-time-zone,13,2) else '' " />
    <xsl:variable name="time-zone" select="if (contains($dt-value, '+')) then concat('\+', substring-after($dt-value, '+'))       else if (contains($dt-value, '-')) then concat('\-', substring-after($dt-value, '-'))       else '' " />
    <xsl:variable name="month-short" select="if ($month-num = '01') then 'jan'  else             if ($month-num = '02') then 'feb'  else             if ($month-num = '03') then 'mar'  else             if ($month-num = '04') then 'apr'  else             if ($month-num = '05') then 'may'  else             if ($month-num = '06') then 'jun'  else             if ($month-num = '07') then 'jul'  else             if ($month-num = '08') then 'aug'  else             if ($month-num = '09') then 'sep'  else             if ($month-num = '10') then 'oct'  else             if ($month-num = '11') then 'nov'  else             if ($month-num = '12') then 'dec'  else '' " />
    <xsl:variable name="month-long" select="if ($month-num = '01') then 'january'  else             if ($month-num = '02') then 'february'  else             if ($month-num = '03') then 'march'  else             if ($month-num = '04') then 'april'  else             if ($month-num = '05') then 'may'  else             if ($month-num = '06') then 'june'  else             if ($month-num = '07') then 'july'  else             if ($month-num = '08') then 'august'  else             if ($month-num = '09') then 'september'  else             if ($month-num = '10') then 'october'  else             if ($month-num = '11') then 'november'  else             if ($month-num = '12') then 'december'  else '' " />
    <xsl:variable name="date-type-3-day" select="if (string-length($day) = 1) then concat('0{0,1}', $day) else $day " />
    <xsl:variable name="date-type-3-month" select="if (string-length($month-num) = 1) then concat('0{0,1}', $month-num)        else if (substring($month-num, 1, 1) = '0') then concat('0{0,1}', substring($month-num, 2, 1))         else $month-num " />
    <xsl:variable name="dt-sequence-1" select="if ($dateTime-length = 4) then (         concat('^', $dt-value)         ,          concat('^', $year)         )        else if ($dateTime-length = 6) then (         concat('^', $dt-value)         ,         concat('^', $month-short, $date-sep, $year)      ,          concat('^', $month-long, $date-sep, $year)      )        else if ($dateTime-length &gt; 7) then (         concat('^', $dt-value)         ,         concat('^', $date-type-3-day, $date-sep, $month-short, $date-sep, $year)  ,         concat('^', $date-type-3-day, $date-sep, $month-long, $date-sep, $year)   ,         concat('^', $date-type-3-day, '/', $date-type-3-month, '/', $year)   )        else () " />
    <xsl:variable name="matching-seq-1" select="if (exists($dt-sequence-1))        then index-of(for $i in (1 to count($dt-sequence-1)) return exists($narr-dateTimes[matches(., $dt-sequence-1[$i], 'i')]), true())        else () " />
    <xsl:variable name="dt-stem-1" select="for $i in (1 to count($matching-seq-1)) return $dt-sequence-1[$matching-seq-1[$i]] " />
    <xsl:variable name="dt-regex-1" select="if (exists($dt-stem-1)) then concat('(', string-join($dt-stem-1, '$)|('), '$)') else ()" />
    <xsl:variable name="dt-match-1" select="exists($dt-stem-1) and exists($narr-dateTimes[matches(., $dt-regex-1, 'i')])" />
    <xsl:variable name="time-1" select="if ($dateTime-length &gt; 11 and $hour-short != '') then concat($hour-short, ':', $minute, '( *| *am)') else '' " />
    <xsl:variable name="time-2" select="if ($dateTime-length &gt; 13 and $hour-short != '') then concat($hour-short, ':', $minute, ':', $second, '( *| *am)') else '' " />
    <xsl:variable name="time-3" select="if ($dateTime-length &gt; 11 and number($hour-long) &lt; 12) then concat($hour-long, ':', $minute, '( *| *am)')       else if ($dateTime-length &gt; 11) then concat($hour-long, ':', $minute) else '' " />
    <xsl:variable name="time-4" select="if ($dateTime-length &gt; 13 and number($hour-long) &lt; 12) then concat($hour-long, ':', $minute, ':', $second, '( *| *am)')        else if ($dateTime-length &gt; 13) then concat($hour-long, ':', $minute, ':', $second) else '' " />
    <xsl:variable name="time-5" select="if ($dateTime-length &gt; 11 and number($hour-long) &gt; 12) then concat(string(number($hour-long) - 12), ':', $minute, '( *| *pm)') else '' " />
    <xsl:variable name="time-6" select="if ($dateTime-length &gt; 13 and number($hour-long) &gt; 12) then concat(string(number($hour-long) - 12), ':', $minute, ':', $second, '( *| *pm)') else '' " />
    <xsl:variable name="dt-temp-0" select="if (exists($dt-stem-1) and $dateTime-length = 8) then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $narr-time-regex) else () " />
    <xsl:variable name="dt-temp-1" select="if (exists($dt-stem-1) and $time-1 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-1) else () " />
    <xsl:variable name="dt-temp-2" select="if (exists($dt-stem-1) and $time-2 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-2) else () " />
    <xsl:variable name="dt-temp-3" select="if (exists($dt-stem-1) and $time-3 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-3) else () " />
    <xsl:variable name="dt-temp-4" select="if (exists($dt-stem-1) and $time-4 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-4) else () " />
    <xsl:variable name="dt-temp-5" select="if (exists($dt-stem-1) and $time-5 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-5) else () " />
    <xsl:variable name="dt-temp-6" select="if (exists($dt-stem-1) and $time-6 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-6) else () " />
    <xsl:variable name="dt-sequence-2" select="($dt-temp-0, $dt-temp-1, $dt-temp-2, $dt-temp-3, $dt-temp-4, $dt-temp-5, $dt-temp-6)" />
    <xsl:variable name="matching-seq-2" select="if (exists($dt-sequence-2))        then index-of(for $i in (1 to count($dt-sequence-2)) return exists($narr-dateTimes[matches(., $dt-sequence-2[$i], 'i')]), true())        else () " />
    <xsl:variable name="dt-stem-2" select="for $i in (1 to count($matching-seq-2)) return $dt-sequence-2[$matching-seq-2[$i]] " />
    <xsl:variable name="dt-regex-2" select="if (exists($dt-stem-2)) then concat('(', string-join($dt-stem-2, '$)|('), '$)') else '' " />
    <xsl:variable name="dt-match-2" select="(exists($dt-stem-2) and exists($narr-dateTimes[matches(., $dt-regex-2, 'i')])) " />
    <xsl:variable name="dt-sequence-3" select="if (not($dt-match-2) and exists($dt-stem-2) and $time-zone != '') then for $i in (1 to count($dt-stem-2)) return        concat($dt-stem-2[$i], substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2)) else () " />
    <xsl:variable name="dt-regex-3" select="if ($dt-match-2) then '' else if (exists($dt-sequence-3)) then concat('(', string-join($dt-sequence-3, '$)|('), '$)') else '' " />
    <xsl:variable name="dt-match-3" select="($dt-match-2 or (exists($dt-sequence-3) and exists($narr-dateTimes[matches(., $dt-regex-3, 'i')]))) " />
    <xsl:variable name="narr-match" select="if ($dt-value != '' and not(exists($narr-dateTimes))) then      (       contains($narrative, $dt-value)               or       (string-length($dt-value) = 4 and contains($narrative, $year))            or        (string-length($dt-value) = 6 and contains($narrative, concat($month-short, $year)))          or       (string-length($dt-value) &gt; 7 and starts-with($day, '0') and        (contains($narrative, concat(substring($day,2,1), $month-short, $year)) or         contains($narrative, concat(substring($day,2,1), $month-num, $year))))          or       (string-length($dt-value) &gt; 7 and (contains($narrative, concat($day, $month-short, $year)) or contains($narrative, concat($day, $month-num, $year))))        )       else false() " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($fir-narr-node//cda:renderMultiMedia) or exists($sec-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($fir-narr-node//cda:linkHtml) or exists($sec-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="warning-1" select="exists($dt-sequence-1) and exists($narr-dateTimes) and $dt-match-1 and not($dt-match-3) and $dt-value != '' " />
    <xsl:variable name="error-1" select="$warning-1 and not($multimedia) " />
    <xsl:variable name="warning-2" select="exists($dt-sequence-1) and exists($narr-dateTimes) and not($dt-match-1 or $dt-match-3) and $dt-value != '' " />
    <xsl:variable name="error-2a" select="$warning-2 and not($multimedia) and $time-zone != '' and count($narr-dateTimes) =        count(for $dt in $narr-dateTimes return replace(replace($dt, $regex-date-type-1, ''), $regex-date-type-2, '')       [matches(., concat('^\s*([0-9]{1,2}:{1}[0-9]{2}\s*', substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2),         '|[0-9]{1,2}:{1}[0-9]{2}:{1}[0-9]{2}\s*', substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2), ')\s*$'), 'i')]) " />
    <xsl:variable name="error-2b" select="$warning-2 and not($dt-match-1) and not($multimedia) and count($narr-dateTimes[matches(., $regex-date-type-2, 'i')]) =        count($narr-dateTimes[matches(., concat($regex-date-type-2, ' ', $narr-time-regex, '$'), 'i')]) " />
    <xsl:variable name="error-2c" select="$warning-2 and exists($narr-dateTimes[matches(., concat('^', $year, '$'))]) " />
    <xsl:variable name="error-2" select="$error-2a or $error-2b or $error-2c " />
    <xsl:variable name="warning-3" select="$dt-value != '' and not(exists($narr-dateTimes)) and not($narr-match) " />
    <xsl:variable name="error-3" select="$warning-3 and not($multimedia) and not(contains($narrative, substring($year, 3, 2)))" />
    <xsl:variable name="narr-dt-msg" select="if ($multimedia or $no-content) then ''       else if (not(exists($narr-dateTimes))) then concat(' The narrative of the ', iq:location(., ''), ' contains no dateTime elements.')       else if (count($narr-dateTimes) = 1) then concat(' The only dateTime element in the narrative of the ', iq:location(., ''), ' is ''',         dh:XQueryRecursiveReplace($narr-dateTimes[1], '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), '''.')       else concat(' The distinct dateTime elements in the narrative of the ', iq:location(., ''), ' are ''',         string-join(for $dt in $narr-dateTimes return          dh:XQueryRecursiveReplace($dt, '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), ', '), '''.') " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-4" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-4 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and exists($dt-sequence-1) and $dt-value != '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and exists($dt-sequence-1) and $dt-value != ''">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 4: The dateTime element in the structured data is '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'.
		The number of dateTime elements that have been extracted from the narrative is '<xsl:text /><xsl:value-of select="count($narr-dateTimes)" /><xsl:text />'.
		These are '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-dateTimes, ', '), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The initial regular expressions are '<xsl:text /><xsl:value-of select="string-join($dt-sequence-1, ', ')" /><xsl:text />'.
		The items in dt-stem-1 are: '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($dt-stem-1, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The items in dt-sequence-2 are: '<xsl:text /><xsl:value-of select="string-join($dt-sequence-2, '|')" /><xsl:text />'.
		The items in dt-stem-2 are: '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($dt-stem-2, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The three regular expressions used to perform an exact match for narrative dateTime elements are as follows:
		dt-regex-1='<xsl:text /><xsl:value-of select="$dt-regex-1" /><xsl:text />'; dt-regex-2='<xsl:text /><xsl:value-of select="$dt-regex-2" /><xsl:text />'; and dt-regex-3='<xsl:text /><xsl:value-of select="$dt-regex-3" /><xsl:text />'.
		Was a match found after the first regular expression (with just a date) was created? <xsl:text /><xsl:value-of select="$dt-match-1" /><xsl:text />.		
		<xsl:text /><xsl:value-of select="if ($dt-regex-2 = '') then 'The second regular expression was not applied as there is no time information.'    else concat('Was a match found after the second regular expression (with a date and time) was created? ', $dt-match-2, '.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($dt-regex-3 = '') then ' The third regular expression was not applied as there is no timezone information.'    else concat(' Was a match found after the third regular expression (with a date and time) was created? ', $dt-match-3, '.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $warning-1 and not($error-1 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $warning-1 and not($error-1 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date of Supply 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Date of Supply data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $error-1 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $error-1 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date of Supply 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. The Date of Supply data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $error-1 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $error-1 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date of Supply 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. The Date of Supply data element records clinical information and all clinical information in entry elements must be present in the narrative.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $warning-2 and not($error-2 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$warning-2 and not($error-2 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date of Supply 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Date of Supply data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-2 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-2 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date of Supply 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="if ($error-2c) then concat('The narrative contains a date with the same year ''', $year, ''' but without a month or day.') else '' " /><xsl:text />
		The Date of Supply data element records clinical information and all clinical information in entry elements must be present in the narrative.
		<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-2 and not($no-content) and not(true())">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-2 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date of Supply 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="if ($error-2c) then concat('The narrative contains a date with the same year ''', $year, ''' but without a month or day.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $warning-3 and not($error-3 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$warning-3 and not($error-3 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date of Supply 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Date of Supply data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $dt-value != '' and not($narr-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $dt-value != '' and not($narr-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date of Supply 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $dt-value != '' and not($narr-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $dt-value != '' and not($narr-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date of Supply '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Date of Supply data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-3 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-3 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date of Supply '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Date of Supply data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-3 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-3 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date of Supply '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Date of Supply '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M777" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M777" />
  <xsl:template match="@*|node()" priority="-2" mode="M777">
    <xsl:apply-templates select="@*|*" mode="M777" />
  </xsl:template>
  <!--PATTERN p-TS-PBItems-DateTime-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16649' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16649']]/cda:entry/cda:supply/   cda:entryRelationship[@typeCode='REFR']/cda:substanceAdministration/cda:effectiveTime " priority="1000" mode="M778">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16649' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16649']]/cda:entry/cda:supply/   cda:entryRelationship[@typeCode='REFR']/cda:substanceAdministration/cda:effectiveTime " />
    <xsl:variable name="allow-ivl-ts" select="if (not(@xsi:type)) then false() else /cda:ClinicalDocument       [cda:templateId[(@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')  or         (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or         (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) ]]   and        local-name(.) = 'value'             and        ..[local-name(.) = 'observation' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]   and       ../..[local-name(.) = 'entryRelationship' and @typeCode='SUBJ']        and       ../../..[local-name(.) = 'observation' and cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]  and       ../../../..[local-name(.) = 'entry']            and       ../../../../..[local-name(.) = 'section' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]  " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-18" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-18 else $rating-alt-TC-Types-18 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-18: The Date of Prescribing '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data
		type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime',            'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime', 'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: The Date of Prescribing

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type but it does not meet the requirement to have the xsi:type attribute with the value 'TS'.
		(See section 8.6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to section 3.12 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the Date of Prescribing '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was
		found. This may be corrected by using an xsi:type attribute with the value 'TS'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to section 3.12 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the Date of Prescribing '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		This may be corrected by using an xsi:type attribute with the value 'TS'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to section 3.12 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the Date of Prescribing '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7
		'TS' data type to have a value attribute if there is no nullFlavor
		attribute. (See section 7.8.13.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange')

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to section 3.12 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the Date of Prescribing '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7 'TS' data type to have a value attribute if there is no nullFlavor
		attribute. The element has a '<xsl:text /><xsl:value-of select="local-name(*[local-name(.) = ('low', 'high')])" /><xsl:text />' child element with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		which is not one of the elements used for the HL7 'TS'
		data type. (See section 7.8.13 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.12 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the Date of Prescribing
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		is present. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.12 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the Date of Prescribing
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' was found. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.12 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the Date of Prescribing
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.12 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the Date of Prescribing
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@value) and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@value) and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 3.12 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the Date of Prescribing
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (uncoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include
		nullFlavor 'UNC'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M778" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M778" />
  <xsl:template match="@*|node()" priority="-2" mode="M778">
    <xsl:apply-templates select="@*|*" mode="M778" />
  </xsl:template>
  <!--PATTERN p-TS-PBItems-DateTime-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16649' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16649']]/cda:entry/cda:supply/   cda:entryRelationship[@typeCode='REFR']/cda:substanceAdministration/cda:effectiveTime    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))] " priority="1000" mode="M779">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16649' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16649']]/cda:entry/cda:supply/   cda:entryRelationship[@typeCode='REFR']/cda:substanceAdministration/cda:effectiveTime    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="fir-narrative" select="translate(normalize-space(lower-case(string($fir-narr-node))), $chars-to-remove, '')" />
    <xsl:variable name="sec-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)        then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]        else () " />
    <xsl:variable name="sec-narr-node" select="$sec-section/cda:text " />
    <xsl:variable name="narr-text-el" select="(for $text in ($fir-narr-node//text(), $sec-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="sec-narrative" select="translate(normalize-space(lower-case(string($sec-narr-node))), $chars-to-remove, '') " />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="narrative" select="concat($target-title, $fir-narrative, $sec-narrative)" />
    <xsl:variable name="narr-elements" select="$fir-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ]  |             $sec-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ] " />
    <xsl:variable name="narr-lower-case" select="for $i in (1 to count($narr-elements)) return lower-case(normalize-space(string-join($narr-elements[$i]/text(), '')))  " />
    <xsl:variable name="dt-narr-elements" select="$narr-lower-case[matches(., $regex-date-type-1, 'i') or matches(., $regex-date-type-2, 'i') or matches(., $regex-date-type-3, 'i')] " />
    <xsl:variable name="narr-elements-start" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-before($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-before($dt-narr-elements[$i], ' -'))        else $dt-narr-elements[$i])[. != ''] " />
    <xsl:variable name="narr-elements-end" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-after($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-after($dt-narr-elements[$i], ' -'))        else '')[. != ''] " />
    <xsl:variable name="narr-dateTimes" select="distinct-values(($narr-elements-start , $narr-elements-end))[. != '(ongoing)'] " />
    <xsl:variable name="dt-value" select="if (@value) then @value else '' " />
    <xsl:variable name="no-time-zone" select="if (contains($dt-value, '+')) then substring-before($dt-value, '+')       else if (contains($dt-value, '-')) then substring-before($dt-value, '-')       else $dt-value " />
    <xsl:variable name="dateTime-length" select="string-length($no-time-zone) " />
    <xsl:variable name="year" select="if ($dateTime-length &gt; 3) then substring($no-time-zone,1,4) else '' " />
    <xsl:variable name="month-num" select="if ($dateTime-length &gt; 5) then substring($no-time-zone,5,2) else '' " />
    <xsl:variable name="day" select="if ($dateTime-length &gt; 7 and substring($no-time-zone,7,1) = '0') then substring($no-time-zone,8,1)       else if ($dateTime-length &gt; 7 and substring($no-time-zone,7,1) != '0') then substring($no-time-zone,7,2) else '' " />
    <xsl:variable name="hour-long" select="if ($dateTime-length &gt; 9) then substring($no-time-zone,9,2) else '' " />
    <xsl:variable name="hour-short" select="if (substring($hour-long, 1, 1) = '0') then substring($hour-long, 2, 1) else '' " />
    <xsl:variable name="minute" select="if ($dateTime-length &gt; 11) then substring($no-time-zone,11,2) else '' " />
    <xsl:variable name="second" select="if ($dateTime-length &gt; 13) then substring($no-time-zone,13,2) else '' " />
    <xsl:variable name="time-zone" select="if (contains($dt-value, '+')) then concat('\+', substring-after($dt-value, '+'))       else if (contains($dt-value, '-')) then concat('\-', substring-after($dt-value, '-'))       else '' " />
    <xsl:variable name="month-short" select="if ($month-num = '01') then 'jan'  else             if ($month-num = '02') then 'feb'  else             if ($month-num = '03') then 'mar'  else             if ($month-num = '04') then 'apr'  else             if ($month-num = '05') then 'may'  else             if ($month-num = '06') then 'jun'  else             if ($month-num = '07') then 'jul'  else             if ($month-num = '08') then 'aug'  else             if ($month-num = '09') then 'sep'  else             if ($month-num = '10') then 'oct'  else             if ($month-num = '11') then 'nov'  else             if ($month-num = '12') then 'dec'  else '' " />
    <xsl:variable name="month-long" select="if ($month-num = '01') then 'january'  else             if ($month-num = '02') then 'february'  else             if ($month-num = '03') then 'march'  else             if ($month-num = '04') then 'april'  else             if ($month-num = '05') then 'may'  else             if ($month-num = '06') then 'june'  else             if ($month-num = '07') then 'july'  else             if ($month-num = '08') then 'august'  else             if ($month-num = '09') then 'september'  else             if ($month-num = '10') then 'october'  else             if ($month-num = '11') then 'november'  else             if ($month-num = '12') then 'december'  else '' " />
    <xsl:variable name="date-type-3-day" select="if (string-length($day) = 1) then concat('0{0,1}', $day) else $day " />
    <xsl:variable name="date-type-3-month" select="if (string-length($month-num) = 1) then concat('0{0,1}', $month-num)        else if (substring($month-num, 1, 1) = '0') then concat('0{0,1}', substring($month-num, 2, 1))         else $month-num " />
    <xsl:variable name="dt-sequence-1" select="if ($dateTime-length = 4) then (         concat('^', $dt-value)         ,          concat('^', $year)         )        else if ($dateTime-length = 6) then (         concat('^', $dt-value)         ,         concat('^', $month-short, $date-sep, $year)      ,          concat('^', $month-long, $date-sep, $year)      )        else if ($dateTime-length &gt; 7) then (         concat('^', $dt-value)         ,         concat('^', $date-type-3-day, $date-sep, $month-short, $date-sep, $year)  ,         concat('^', $date-type-3-day, $date-sep, $month-long, $date-sep, $year)   ,         concat('^', $date-type-3-day, '/', $date-type-3-month, '/', $year)   )        else () " />
    <xsl:variable name="matching-seq-1" select="if (exists($dt-sequence-1))        then index-of(for $i in (1 to count($dt-sequence-1)) return exists($narr-dateTimes[matches(., $dt-sequence-1[$i], 'i')]), true())        else () " />
    <xsl:variable name="dt-stem-1" select="for $i in (1 to count($matching-seq-1)) return $dt-sequence-1[$matching-seq-1[$i]] " />
    <xsl:variable name="dt-regex-1" select="if (exists($dt-stem-1)) then concat('(', string-join($dt-stem-1, '$)|('), '$)') else ()" />
    <xsl:variable name="dt-match-1" select="exists($dt-stem-1) and exists($narr-dateTimes[matches(., $dt-regex-1, 'i')])" />
    <xsl:variable name="time-1" select="if ($dateTime-length &gt; 11 and $hour-short != '') then concat($hour-short, ':', $minute, '( *| *am)') else '' " />
    <xsl:variable name="time-2" select="if ($dateTime-length &gt; 13 and $hour-short != '') then concat($hour-short, ':', $minute, ':', $second, '( *| *am)') else '' " />
    <xsl:variable name="time-3" select="if ($dateTime-length &gt; 11 and number($hour-long) &lt; 12) then concat($hour-long, ':', $minute, '( *| *am)')       else if ($dateTime-length &gt; 11) then concat($hour-long, ':', $minute) else '' " />
    <xsl:variable name="time-4" select="if ($dateTime-length &gt; 13 and number($hour-long) &lt; 12) then concat($hour-long, ':', $minute, ':', $second, '( *| *am)')        else if ($dateTime-length &gt; 13) then concat($hour-long, ':', $minute, ':', $second) else '' " />
    <xsl:variable name="time-5" select="if ($dateTime-length &gt; 11 and number($hour-long) &gt; 12) then concat(string(number($hour-long) - 12), ':', $minute, '( *| *pm)') else '' " />
    <xsl:variable name="time-6" select="if ($dateTime-length &gt; 13 and number($hour-long) &gt; 12) then concat(string(number($hour-long) - 12), ':', $minute, ':', $second, '( *| *pm)') else '' " />
    <xsl:variable name="dt-temp-0" select="if (exists($dt-stem-1) and $dateTime-length = 8) then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $narr-time-regex) else () " />
    <xsl:variable name="dt-temp-1" select="if (exists($dt-stem-1) and $time-1 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-1) else () " />
    <xsl:variable name="dt-temp-2" select="if (exists($dt-stem-1) and $time-2 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-2) else () " />
    <xsl:variable name="dt-temp-3" select="if (exists($dt-stem-1) and $time-3 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-3) else () " />
    <xsl:variable name="dt-temp-4" select="if (exists($dt-stem-1) and $time-4 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-4) else () " />
    <xsl:variable name="dt-temp-5" select="if (exists($dt-stem-1) and $time-5 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-5) else () " />
    <xsl:variable name="dt-temp-6" select="if (exists($dt-stem-1) and $time-6 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-6) else () " />
    <xsl:variable name="dt-sequence-2" select="($dt-temp-0, $dt-temp-1, $dt-temp-2, $dt-temp-3, $dt-temp-4, $dt-temp-5, $dt-temp-6)" />
    <xsl:variable name="matching-seq-2" select="if (exists($dt-sequence-2))        then index-of(for $i in (1 to count($dt-sequence-2)) return exists($narr-dateTimes[matches(., $dt-sequence-2[$i], 'i')]), true())        else () " />
    <xsl:variable name="dt-stem-2" select="for $i in (1 to count($matching-seq-2)) return $dt-sequence-2[$matching-seq-2[$i]] " />
    <xsl:variable name="dt-regex-2" select="if (exists($dt-stem-2)) then concat('(', string-join($dt-stem-2, '$)|('), '$)') else '' " />
    <xsl:variable name="dt-match-2" select="(exists($dt-stem-2) and exists($narr-dateTimes[matches(., $dt-regex-2, 'i')])) " />
    <xsl:variable name="dt-sequence-3" select="if (not($dt-match-2) and exists($dt-stem-2) and $time-zone != '') then for $i in (1 to count($dt-stem-2)) return        concat($dt-stem-2[$i], substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2)) else () " />
    <xsl:variable name="dt-regex-3" select="if ($dt-match-2) then '' else if (exists($dt-sequence-3)) then concat('(', string-join($dt-sequence-3, '$)|('), '$)') else '' " />
    <xsl:variable name="dt-match-3" select="($dt-match-2 or (exists($dt-sequence-3) and exists($narr-dateTimes[matches(., $dt-regex-3, 'i')]))) " />
    <xsl:variable name="narr-match" select="if ($dt-value != '' and not(exists($narr-dateTimes))) then      (       contains($narrative, $dt-value)               or       (string-length($dt-value) = 4 and contains($narrative, $year))            or        (string-length($dt-value) = 6 and contains($narrative, concat($month-short, $year)))          or       (string-length($dt-value) &gt; 7 and starts-with($day, '0') and        (contains($narrative, concat(substring($day,2,1), $month-short, $year)) or         contains($narrative, concat(substring($day,2,1), $month-num, $year))))          or       (string-length($dt-value) &gt; 7 and (contains($narrative, concat($day, $month-short, $year)) or contains($narrative, concat($day, $month-num, $year))))        )       else false() " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($fir-narr-node//cda:renderMultiMedia) or exists($sec-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($fir-narr-node//cda:linkHtml) or exists($sec-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="warning-1" select="exists($dt-sequence-1) and exists($narr-dateTimes) and $dt-match-1 and not($dt-match-3) and $dt-value != '' " />
    <xsl:variable name="error-1" select="$warning-1 and not($multimedia) " />
    <xsl:variable name="warning-2" select="exists($dt-sequence-1) and exists($narr-dateTimes) and not($dt-match-1 or $dt-match-3) and $dt-value != '' " />
    <xsl:variable name="error-2a" select="$warning-2 and not($multimedia) and $time-zone != '' and count($narr-dateTimes) =        count(for $dt in $narr-dateTimes return replace(replace($dt, $regex-date-type-1, ''), $regex-date-type-2, '')       [matches(., concat('^\s*([0-9]{1,2}:{1}[0-9]{2}\s*', substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2),         '|[0-9]{1,2}:{1}[0-9]{2}:{1}[0-9]{2}\s*', substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2), ')\s*$'), 'i')]) " />
    <xsl:variable name="error-2b" select="$warning-2 and not($dt-match-1) and not($multimedia) and count($narr-dateTimes[matches(., $regex-date-type-2, 'i')]) =        count($narr-dateTimes[matches(., concat($regex-date-type-2, ' ', $narr-time-regex, '$'), 'i')]) " />
    <xsl:variable name="error-2c" select="$warning-2 and exists($narr-dateTimes[matches(., concat('^', $year, '$'))]) " />
    <xsl:variable name="error-2" select="$error-2a or $error-2b or $error-2c " />
    <xsl:variable name="warning-3" select="$dt-value != '' and not(exists($narr-dateTimes)) and not($narr-match) " />
    <xsl:variable name="error-3" select="$warning-3 and not($multimedia) and not(contains($narrative, substring($year, 3, 2)))" />
    <xsl:variable name="narr-dt-msg" select="if ($multimedia or $no-content) then ''       else if (not(exists($narr-dateTimes))) then concat(' The narrative of the ', iq:location(., ''), ' contains no dateTime elements.')       else if (count($narr-dateTimes) = 1) then concat(' The only dateTime element in the narrative of the ', iq:location(., ''), ' is ''',         dh:XQueryRecursiveReplace($narr-dateTimes[1], '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), '''.')       else concat(' The distinct dateTime elements in the narrative of the ', iq:location(., ''), ' are ''',         string-join(for $dt in $narr-dateTimes return          dh:XQueryRecursiveReplace($dt, '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), ', '), '''.') " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-4" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-4 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and exists($dt-sequence-1) and $dt-value != '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and exists($dt-sequence-1) and $dt-value != ''">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 4: The dateTime element in the structured data is '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'.
		The number of dateTime elements that have been extracted from the narrative is '<xsl:text /><xsl:value-of select="count($narr-dateTimes)" /><xsl:text />'.
		These are '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-dateTimes, ', '), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The initial regular expressions are '<xsl:text /><xsl:value-of select="string-join($dt-sequence-1, ', ')" /><xsl:text />'.
		The items in dt-stem-1 are: '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($dt-stem-1, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The items in dt-sequence-2 are: '<xsl:text /><xsl:value-of select="string-join($dt-sequence-2, '|')" /><xsl:text />'.
		The items in dt-stem-2 are: '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($dt-stem-2, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The three regular expressions used to perform an exact match for narrative dateTime elements are as follows:
		dt-regex-1='<xsl:text /><xsl:value-of select="$dt-regex-1" /><xsl:text />'; dt-regex-2='<xsl:text /><xsl:value-of select="$dt-regex-2" /><xsl:text />'; and dt-regex-3='<xsl:text /><xsl:value-of select="$dt-regex-3" /><xsl:text />'.
		Was a match found after the first regular expression (with just a date) was created? <xsl:text /><xsl:value-of select="$dt-match-1" /><xsl:text />.		
		<xsl:text /><xsl:value-of select="if ($dt-regex-2 = '') then 'The second regular expression was not applied as there is no time information.'    else concat('Was a match found after the second regular expression (with a date and time) was created? ', $dt-match-2, '.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($dt-regex-3 = '') then ' The third regular expression was not applied as there is no timezone information.'    else concat(' Was a match found after the third regular expression (with a date and time) was created? ', $dt-match-3, '.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $warning-1 and not($error-1 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $warning-1 and not($error-1 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date of Prescribing 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Date of Prescribing data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $error-1 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $error-1 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date of Prescribing 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. The Date of Prescribing data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $error-1 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $error-1 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date of Prescribing 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. The Date of Prescribing data element records clinical information and all clinical information in entry elements must be present in the narrative.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $warning-2 and not($error-2 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$warning-2 and not($error-2 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date of Prescribing 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Date of Prescribing data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-2 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-2 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date of Prescribing 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="if ($error-2c) then concat('The narrative contains a date with the same year ''', $year, ''' but without a month or day.') else '' " /><xsl:text />
		The Date of Prescribing data element records clinical information and all clinical information in entry elements must be present in the narrative.
		<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-2 and not($no-content) and not(true())">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-2 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date of Prescribing 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="if ($error-2c) then concat('The narrative contains a date with the same year ''', $year, ''' but without a month or day.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $warning-3 and not($error-3 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$warning-3 and not($error-3 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date of Prescribing 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Date of Prescribing data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $dt-value != '' and not($narr-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $dt-value != '' and not($narr-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date of Prescribing 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $dt-value != '' and not($narr-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $dt-value != '' and not($narr-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date of Prescribing '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Date of Prescribing data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-3 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-3 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date of Prescribing '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Date of Prescribing data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-3 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-3 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Date of Prescribing '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Date of Prescribing '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M779" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M779" />
  <xsl:template match="@*|node()" priority="-2" mode="M779">
    <xsl:apply-templates select="@*|*" mode="M779" />
  </xsl:template>
  <!--PATTERN p-TS-PBItems-Quantity-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16649' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16649']]/cda:entry/cda:supply/cda:quantity " priority="1000" mode="M780">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16649' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16649']]/cda:entry/cda:supply/cda:quantity " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 8.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-13" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-13 else $rating-alt-TC-Types-13 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-13: The Quantity '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Quantity data type and
		<xsl:text /><xsl:value-of select="if (@value and @unit) then concat('has a value attribute with the value ''', @value, ''' and a unit attribute with the value ''', @unit, '''')   else if (@value and not(@unit)) then concat('has a value attribute with the value ''', @value, '''')   else if (not(@value) and @unit) then concat('has a unit attribute with the value ''', @unit, '''')   else 'has no value or unit attributes' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@nullFlavor) then concat('The nullFlavor attribute has the value ''', @nullFlavor, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'PQ' or normalize-space(substring-after(@xsi:type, ':')) = 'PQ') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'PQ' or normalize-space(substring-after(@xsi:type, ':')) = 'PQ')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-13" /><xsl:text />: TC-Types-13: According to section 3.13 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the Quantity
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Quantity data type which is
		derived from the HL7 'PQ' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present.
		(See section 8.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-13" /><xsl:text />: TC-Types-13: According to section 3.13 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the Quantity
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Quantity data type which is
		derived from the HL7 'PQ' data type however no xsi:type attribute is present. An xsi:type attribute must be present with the value 'PQ'.
		(See section 8.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@unit) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@unit)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-13" /><xsl:text />: TC-Types-13: According to section 3.13 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the Quantity
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Quantity data type but does not
		have the unit attribute which indicates that the data element does not have the HL7 'PQ' data type. The Quantity data type is derived from the HL7 'PQ' data type so the attribute
		xsi:type = 'PQ' needs to be added to the data element. (See section 8.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" *[local-name(.) = 'translation'] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="*[local-name(.) = 'translation']">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-13" /><xsl:text />: TC-Types-13: According to section 3.13 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the Quantity '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Quantity data type which is
		derived from the HL7 'PQ' data type. The 'translation' element is present however that element must not be present in
		a data element of the Quantity data type. (See section 8.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name(.) = 'translation')]">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name(.) = 'translation')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.13 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the Quantity '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Quantity data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = 'translation')])" /><xsl:text />' was found that is not expected for the Quantity data type so this element is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = 'translation')]">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = 'translation')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.13 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the Quantity '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Quantity data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = 'translation')])" /><xsl:text />' was found that is not expected for the Quantity data type so this element is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'PQ' or normalize-space(substring-after(@xsi:type, ':')) = 'PQ')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'PQ' or normalize-space(substring-after(@xsi:type, ':')) = 'PQ'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.13 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the Quantity '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Quantity data type however an
		attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the Quantity data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'PQ' or normalize-space(substring-after(@xsi:type, ':')) = 'PQ')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'PQ' or normalize-space(substring-after(@xsi:type, ':')) = 'PQ'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.13 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the Quantity '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Quantity data type however an
		attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the Quantity data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@value) and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@value) and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 3.13 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the Quantity '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Quantity data type
		however it has a nullFlavor attribute with the value 'UNC' (uncoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include nullFlavor 'UNC'.
		(See section 8.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M780" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M780" />
  <xsl:template match="@*|node()" priority="-2" mode="M780">
    <xsl:apply-templates select="@*|*" mode="M780" />
  </xsl:template>
  <!--PATTERN p-TS-PBItems-Quantity-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16649' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16649']]/cda:entry/cda:supply/cda:quantity[@unit] " priority="1000" mode="M781">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16649' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16649']]/cda:entry/cda:supply/cda:quantity[@unit] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="narr-text-el" select="(for $text in ($target-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="a-quantity-range" select="local-name(.) = 'low' or local-name(.) = 'high' " />
    <xsl:variable name="normalised-value" select="if (@value) then replace(lower-case(@value), '\s+', '') else '' " />
    <xsl:variable name="normalised-value-regex" select="if (not(contains($normalised-value, '.'))) then concat('(', $normalised-value, '|', $normalised-value, '\.0*)')        else if (ends-with($normalised-value, '0')) then replace(replace($normalised-value, '\.', '\\.'), '0+$', '0*')        else concat(replace($normalised-value, '\.', '\\.'), '0*') " />
    <xsl:variable name="value-regex" select="if ($normalised-value = '') then ''         else concat('(^|[^0-9])', $normalised-value-regex, '([^0-9]*$|\s+.*$)') " />
    <xsl:variable name="tables" select="$target-narr-node//cda:table " />
    <xsl:variable name="table-num" select="count($tables) " />
    <xsl:variable name="value-regex-3" select="if ($normalised-value = '' or not(exists($tables))) then ''         else concat('(^|[^0-9])', $normalised-value-regex, '([^0-9]+$|\s+.+$)') " />
    <xsl:variable name="table-value-match" select="if ($normalised-value = '' or not(exists($tables))) then () else for $i in (1 to $table-num) return         if (not($tables[$i]//cda:td[matches(., $value-regex, 'is')])) then '0'        else if ($tables[$i]//cda:td[matches(., $value-regex-3, 'is')]) then '3'        else if ($tables[$i]//cda:td[replace(lower-case(.), '\s+', '') = $normalised-value]) then '2'        else '1' " />
    <xsl:variable name="unit-1" select="dh:XQueryRecursiveReplace(@unit, $ucum-annotation-replacement, '')" />
    <xsl:variable name="unit-2" select="if ($a-quantity-range) then dh:XQueryRecursiveReplace(../@unit, $ucum-annotation-replacement, '') else '' " />
    <xsl:variable name="unit" select="if (not($a-quantity-range) or $unit-2 = '') then $unit-1        else if ($unit-1 = '1' and $unit-2 != '1') then $unit-2         else $unit-1 " />
    <xsl:variable name="normalised-unit" select="replace(lower-case($unit), '\s+', '') " />
    <xsl:variable name="unit-validation" select="if ($unit = '1' or exists($UCUM/unit[@value = $normalised-unit])) then '' else dh:ValidateUCUM($unit) " />
    <xsl:variable name="unit-name" select="if (exists($UCUM/unit[@value = $normalised-unit])) then $UCUM/unit[@value = $normalised-unit]/@name else ''  " />
    <xsl:variable name="power-synonym" select="if (contains($normalised-unit, '10^')) then replace($normalised-unit, '10\^', '10*')        else if (contains($normalised-unit, '10*')) then replace($normalised-unit, '10\*', '10^')        else '' " />
    <xsl:variable name="special-unit-synonym" select="if (contains($normalised-unit, '['))         then (normalize-space(replace($normalised-unit, '[\[\]]', ' ')), normalize-space(replace($normalised-unit, '[\[\]]', ''))) else '' " />
    <xsl:variable name="apostrophe-synonym" select="for $syn in $special-unit-synonym return if (contains($syn, '''')) then normalize-space(replace($syn, '''', ' ')) else '' " />
    <xsl:variable name="unit-synonyms" select="if (exists($UCUM/unit[@value = $normalised-unit]))         then ($normalised-unit, $power-synonym, $special-unit-synonym, $apostrophe-synonym, $UCUM/unit[@value = $normalised-unit]/@name,          tokenize($UCUM/unit[@value = $normalised-unit]/@synonyms, '\|'))[. != '']        else ($normalised-unit, $power-synonym, $special-unit-synonym, $apostrophe-synonym)[. != ''] " />
    <xsl:variable name="search-terms-1" select="if ($normalised-value = '') then () else (for $synonym in $unit-synonyms return normalize-space(lower-case($synonym)))[. != ''] " />
    <xsl:variable name="search-terms-2" select="if ($normalised-value = '') then () else for $term in $search-terms-1 return         if ($term = '1') then $normalised-value else concat($normalised-value, $term) " />
    <xsl:variable name="search-regex-1" select="if ($normalised-value = '') then () else for $term in $search-terms-1 return          replace(replace(replace(replace(replace(replace(replace(replace(replace(replace($term, '\^', '\\^'), '\*', '\\*'), '\.', '\\.'), '\+', '\\+'),          '\)', '\\)'), '\(', '\\('), '\[', '\\['), '\]', '\\]'), '\{', '\\{'), '\}', '\\}') " />
    <xsl:variable name="search-regex-2" select="if ($normalised-value = '') then () else for $term in $search-regex-1 return         if (matches($term, '^10')) then concat('(', '(^|[^0-9])(', $normalised-value-regex, 'x{0,1}', $term, '|', 'x{0,1}', $term, ')([^0-9a-z]|$)',          ')|(', '(^|[^0-9])(', $normalised-value-regex, $term, '|', $term, ')([^0-9a-z]|$)', ')')         else if ($term = '1') then concat('(^|[^0-9])', $normalised-value-regex, '([^0-9]{1}.*$|$)')        else concat('(^|[^0-9])(', $normalised-value-regex, $term, '|', $term, ')([^0-9a-z]|$)') " />
    <xsl:variable name="quantity-match" select="if (not(exists($table-value-match)) or not(exists($table-value-match[. != '0']))) then (false())        else if ($unit = '1' and not($a-quantity-range)) then for $i in (1 to $table-num) return          ($table-value-match[$i] = '2' or boolean($tables[$i]//cda:td[matches(., $search-regex-2[1], 'is')]))        else if ($unit = '1' and $a-quantity-range) then for $i in (1 to $table-num) return not($table-value-match[$i] = '0')        else for $i in (1 to $table-num) return          if ($table-value-match[$i] = '0') then false()         else if ($table-value-match[$i] = '2') then           exists(index-of(for $term in $search-terms-1 return boolean($tables[$i]//cda:td[replace(lower-case(.), '\s+', '') = $term]), true()))         else exists(index-of(          for $j in (1 to count($search-terms-1)) return boolean($tables[$i]//cda:td[           replace(lower-case(.), '\s+', '') = $search-terms-1[$j]  or           replace(lower-case(.), '\s+', '') = $search-terms-2[$j]  or           matches(., $search-regex-2[$j], 'is')    ]), true())) " />
    <xsl:variable name="in-a-table" select="if ($normalised-value = '') then false() else exists(index-of($quantity-match, true())) " />
    <xsl:variable name="xpre-1" select="if ($normalised-value = '' or $in-a-table) then () else $target-narr-node//*[contains(@styleCode, 'xPre')] " />
    <xsl:variable name="xpre-num" select="count($xpre-1) " />
    <xsl:variable name="xpre-2" select="for $i in (1 to $xpre-num) return lower-case($xpre-1[$i]) " />
    <xsl:variable name="xpre-value-match" select="for $i in (1 to $xpre-num) return matches($xpre-2[$i], $value-regex, 'is') " />
    <xsl:variable name="xpre-quantity-match" select="if ($unit = '1') then ($xpre-value-match) else for $i in (1 to $xpre-num) return         $xpre-value-match[$i] and exists(index-of(for $term in $search-regex-2 return matches($xpre-2[$i], $term, 'is'), true())) " />
    <xsl:variable name="in-xpre" select="exists(index-of($xpre-quantity-match, true())) " />
    <xsl:variable name="narrative" select="if ($normalised-value = '' or $in-a-table or $in-xpre) then ''         else normalize-space(lower-case(string-join($target-narr-node//text()         [not(ancestor::cda:table or ancestor::cda:caption or contains(@styleCode, 'xPre'))], ''))) " />
    <xsl:variable name="narr-value-match" select="if ($normalised-value = '' or $in-a-table or $in-xpre) then true() else matches($narrative, $value-regex, 'is') " />
    <xsl:variable name="narr-quantity-match" select="if ($normalised-value = '' or $in-a-table or $in-xpre) then true()        else $narr-value-match and exists(index-of(for $term in $search-regex-2 return matches($narrative, $term, 'is'), true())) " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="quantity-text-1" select="if ($unit = '1') then concat('value ''', @value, '''') else concat('value ''', @value, ''' and unit ''', $unit, '''') " />
    <xsl:variable name="quantity-text" select="if ($unit-name = '') then $quantity-text-1 else concat($quantity-text-1, ' (the unit for ', $unit-name, ')') " />
    <xsl:variable name="inclusive-text" select="if ($a-quantity-range and @inclusive = 'true') then ' (the boundary is included)'        else if ($a-quantity-range and @inclusive = 'false') then ' (the boundary is not included)'        else '' " />
    <xsl:variable name="multimedia" select="exists($target-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$table-num = 0 and $xpre-num = 0 and not(exists($narr-text-el)) and not($multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-narr-node//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-6" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-6 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and @value and $table-num &gt; 0 and not($in-a-table or $in-xpre or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and @value and $table-num &gt; 0 and not($in-a-table or $in-xpre or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-PQ): The Quantity '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text />.
		Is the quantity on the boundary of a quantity range? <xsl:text /><xsl:value-of select="$a-quantity-range" /><xsl:text /><xsl:text /><xsl:value-of select="$inclusive-text" /><xsl:text />.
		When transformed the quantity value is '<xsl:text /><xsl:value-of select="$normalised-value" /><xsl:text />'.
		The narrative contains <xsl:text /><xsl:value-of select="$table-num" /><xsl:text /><xsl:text /><xsl:value-of select="if ($table-num = 1) then ' table' else ' tables' " /><xsl:text />.
		The value regular expression value-regex is '<xsl:text /><xsl:value-of select="$value-regex" /><xsl:text />'.
		The value regular expression value-regex-3 is '<xsl:text /><xsl:value-of select="$value-regex-3" /><xsl:text />'.
		Elements of table-value-match are '<xsl:text /><xsl:value-of select="string-join($table-value-match, '|')" /><xsl:text />'.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($unit-synonyms, '|')" /><xsl:text />'.
		Elements of search-terms-1 are '<xsl:text /><xsl:value-of select="string-join($search-terms-1, '|')" /><xsl:text />'.
		Elements of search-terms-2 are '<xsl:text /><xsl:value-of select="string-join($search-terms-2, '|')" /><xsl:text />'.
		Elements of search-regex-1 are '<xsl:text /><xsl:value-of select="string-join($search-regex-1, '|')" /><xsl:text />'.
		Elements of search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($search-regex-2, '|')" /><xsl:text />'.
		Elements of quantity-match are '<xsl:text /><xsl:value-of select="string-join(for $i in (1 to count($quantity-match)) return if ($quantity-match[$i]) then '1' else '0', '|')" /><xsl:text />'.
		Was the quantity found by looking in table rows? <xsl:text /><xsl:value-of select="$in-a-table" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and @value and $xpre-num &gt; 0 and not($in-a-table or $in-xpre or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and @value and $xpre-num &gt; 0 and not($in-a-table or $in-xpre or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-PQ): The Quantity '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text />.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($unit-synonyms, '|')" /><xsl:text />'.
		The narrative contains <xsl:text /><xsl:value-of select="$xpre-num" /><xsl:text /> elements with the xPre styleCode.
		The value regular expression value-regex is '<xsl:text /><xsl:value-of select="$value-regex" /><xsl:text />'.
		Elements of xpre-value-match are '<xsl:text /><xsl:value-of select="string-join(for $x in $xpre-value-match return if ($x) then '1' else '0', '|')" /><xsl:text />'.
		Elements of search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($search-regex-2, '|')" /><xsl:text />'.
		Elements of xpre-quantity-match are '<xsl:text /><xsl:value-of select="string-join(for $x in $xpre-quantity-match return if ($x) then '1' else '0', '|')" /><xsl:text />'.
		Was the quantity found by looking in elements with the xPre styleCode? <xsl:text /><xsl:value-of select="$in-xpre" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and @value and not($in-a-table or $narr-quantity-match or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and @value and not($in-a-table or $narr-quantity-match or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-PQ): The Quantity '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text />.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($unit-synonyms, '|')" /><xsl:text />'.
		The value regular expression value-regex is '<xsl:text /><xsl:value-of select="$value-regex" /><xsl:text />'.
		Was the value found in the narrative? <xsl:text /><xsl:value-of select="$narr-value-match" /><xsl:text />.
		Elements of search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($search-regex-2, '|')" /><xsl:text />'.
		Was the quantity found in the narrative? <xsl:text /><xsl:value-of select="$narr-quantity-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @value and not($narr-quantity-match or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value and not($narr-quantity-match or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-6" /><xsl:text />: TC-Narr-09 step 6: The Quantity '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text /> however the quantity does not seem to be
		present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Quantity data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and @value and not($narr-value-match or $narr-quantity-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and @value and not($narr-value-match or $narr-quantity-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-6" /><xsl:text />: TC-Narr-09 step 6: The Quantity '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text /> however the quantity is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and @value and not($narr-value-match or $narr-quantity-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and @value and not($narr-value-match or $narr-quantity-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-6" /><xsl:text />: TC-Narr-09 step 6: The Quantity '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text /> however the quantity is not present in the narrative of the section.
		The Quantity data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'QS', 'TRC', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'QS', 'TRC', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Quantity '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M781" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M781" />
  <xsl:template match="@*|node()" priority="-2" mode="M781">
    <xsl:apply-templates select="@*|*" mode="M781" />
  </xsl:template>
  <!--PATTERN p-TS-PBItems-UniqueIdentifier-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16649' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16649']]/cda:entry/cda:observation/cda:id " priority="1000" mode="M782">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16649' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16649']]/cda:entry/cda:observation/cda:id " />
    <xsl:variable name="agency-namespace" select="@root and (matches(@root, '^1\.2\.36\.1\.2001\.1001\.10[0-4]{1}\.') or matches(@root, '^1\.2\.36\.1\.2001\.1006\.')) " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-11" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-11 else $rating-alt-TC-Types-11 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="ii-context" select="if (ancestor::cda:recordTarget and ancestor::ext:asEntityIdentifier) then 'default' else 'alternative' " />
    <xsl:variable name="rating-73" select="if ($initial-priority) then $initial-rating       else if ($ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/test-case[@id='TC-Types-73']/@rating)        then concat(' (', $ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/test-case[@id='TC-Types-73']/@rating, ')')       else if ($ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/@rating)       then concat(' (', $ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/@rating, ')')       else '' " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-11: The Pharmaceutical Benefit Item Instance Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type and has <xsl:text /><xsl:value-of select="iq:display-II(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-11" /><xsl:text />: TC-Types-11: According to section 3.15 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the Pharmaceutical Benefit Item Instance Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type which
		is derived from the HL7 'II' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present.
		(See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-11" /><xsl:text />: TC-Types-11: According to section 3.15 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the Pharmaceutical Benefit Item Instance Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type which is derived from the HL7 'II' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'II'. (See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.15 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the Pharmaceutical Benefit Item Instance Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the UniqueIdentifier data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.15 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the Pharmaceutical Benefit Item Instance Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the UniqueIdentifier data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and   not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.15 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the Pharmaceutical Benefit Item Instance Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however the attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))])" /><xsl:text />' was found that is not in the list of attributes
		expected for the UniqueIdentifier data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and   not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.15 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1 the Pharmaceutical Benefit Item Instance Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however the attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))])" /><xsl:text />' was found that is not in the list of attributes
		expected for the UniqueIdentifier data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $agency-namespace ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$agency-namespace">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-73" /><xsl:text />: TC-Types-73:  The Pharmaceutical Benefit Item Instance Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-II(.)" /><xsl:text />. The value of the root attribute identifies the
		'<xsl:text /><xsl:value-of select="$namespaces/namespace[starts-with(current()/@root, concat(@OID-prefix, '.'))]/@name" /><xsl:text />' namespace which is reserved for use by the Australian Digital Health Agency.
		The value of the root attribute must define the namespace for the extension attribute whose value is required to identify the Pharmaceutical Benefit Item administration entry.
		(See section 7.6.7.3.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and the Pharmaceutical Benefit Item Instance Identifier definition in section 3.15 of the Pharmaceutical Benefits Report Structured Content Specification v1.1.1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M782" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M782" />
  <xsl:template match="@*|node()" priority="-2" mode="M782">
    <xsl:apply-templates select="@*|*" mode="M782" />
  </xsl:template>
  <!--PATTERN p-TS-PBItems-Integer-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16649' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16649']]/cda:entry/cda:supply/cda:entryRelationship/   cda:substanceAdministration/cda:repeatNumber/cda:high " priority="1000" mode="M783">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16649' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16649']]/cda:entry/cda:supply/cda:entryRelationship/   cda:substanceAdministration/cda:repeatNumber/cda:high " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 8.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-14" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-14 else $rating-alt-TC-Types-14 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-14: The Number of Repeats '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type and
		<xsl:text /><xsl:value-of select="if (@value and @nullFlavor) then concat('has a value attribute with the value ''', @value, ''' and a nullFlavor attribute with the value ''', @nullFlavor, '''')   else if (@value and not(@nullFlavor)) then concat('has a value attribute with the value ''', @value, '''')   else if (not(@value) and @nullFlavor) then concat('has a nullFlavor attribute with the value ''', @nullFlavor, '''')   else 'has no value or nullFlavor attributes' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(   local-name(.)  = 'batchTotalNumber'  or   local-name(.)  = 'continuationQuantity'  or   local-name(.)  = 'expectedSequenceNumber' or   local-name(.)  = 'initialQuantity'  or   local-name(.)  = 'messageWaitingNumber'  or   local-name(.)  = 'multipleBirthOrderNumber' or   local-name(.)  = 'positionNumber'  or   local-name(.)  = 'priorityNumber'  or   local-name(..) = 'repeatNumber'   or   local-name(.)  = 'resultCurrentQuantity' or   local-name(.)  = 'resultRemainingQuantity' or   local-name(.)  = 'resultTotalQuantity'  or   local-name(.)  = 'sequenceNumber'  or   local-name(.)  = 'startResultNumber'  or   local-name(.)  = 'transmissionQuantity'  or   local-name(.)  = 'versionNumber'  ) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not( local-name(.) = 'batchTotalNumber' or local-name(.) = 'continuationQuantity' or local-name(.) = 'expectedSequenceNumber' or local-name(.) = 'initialQuantity' or local-name(.) = 'messageWaitingNumber' or local-name(.) = 'multipleBirthOrderNumber' or local-name(.) = 'positionNumber' or local-name(.) = 'priorityNumber' or local-name(..) = 'repeatNumber' or local-name(.) = 'resultCurrentQuantity' or local-name(.) = 'resultRemainingQuantity' or local-name(.) = 'resultTotalQuantity' or local-name(.) = 'sequenceNumber' or local-name(.) = 'startResultNumber' or local-name(.) = 'transmissionQuantity' or local-name(.) = 'versionNumber' )">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-14" /><xsl:text />: TC-Types-14: The Number of Repeats
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type but it does not meet the requirement to have the xsi:type attribute with the value 'INT'.
		(See section 8.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-14" /><xsl:text />: TC-Types-14: According to the Structured Content Specification the Number of Repeats
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type which is
		derived from the HL7 'INT' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		(See section 8.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Number of Repeats
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Integer data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Number of Repeats
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Integer data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Number of Repeats
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the Integer data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Number of Repeats
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the Integer data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @inclusive != 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @inclusive != 'true'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Number of Repeats
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however an attribute 'inclusive' with the value
		'<xsl:text /><xsl:value-of select="@inclusive" /><xsl:text />' was found that is not expected for the Integer data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @inclusive != 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @inclusive != 'true'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Number of Repeats
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however an attribute 'inclusive' with the value
		'<xsl:text /><xsl:value-of select="@inclusive" /><xsl:text />' was found that is not expected for the Integer data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@value) and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@value) and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to the Structured Content Specification the Number of Repeats
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type
		however it has nullFlavor = 'UNC' (uncoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include nullFlavor = 'UNC'.
		(See section 8.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M783" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M783" />
  <xsl:template match="@*|node()" priority="-2" mode="M783">
    <xsl:apply-templates select="@*|*" mode="M783" />
  </xsl:template>
  <!--PATTERN p-TS-PBItems-Integer-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16649' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16649']]/cda:entry/cda:supply/cda:entryRelationship/   cda:substanceAdministration/cda:repeatNumber " priority="1000" mode="M784">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16649' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16649']]/cda:entry/cda:supply/cda:entryRelationship/   cda:substanceAdministration/cda:repeatNumber " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="narr-text-el" select="(for $text in ($target-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="max-repeats" select="cda:high/@value - 1" />
    <xsl:variable name="inv-max-repeats" select="cda:high/@value " />
    <xsl:variable name="min-repeats" select="cda:low/@value - 1" />
    <xsl:variable name="narr-numbers" select="$narr-text-el[. castable as xs:double] " />
    <xsl:variable name="narr-el-present" select="exists($narr-numbers)" />
    <xsl:variable name="max-nullFlavor-values" select="if (cda:high/@nullFlavor and cda:high/@nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))       then $nullFlavors/nullFlavor[@value = current()/cda:high/@nullFlavor] else () " />
    <xsl:variable name="max-null-to-find" select="exists($max-nullFlavor-values) " />
    <xsl:variable name="max-null-in-narr" select="($max-nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $max-nullFlavor-values/@name-regex, 'is')])) or              ($max-nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $max-nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="min-nullFlavor-values" select="if (cda:low/@nullFlavor and cda:low/@nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))        then $nullFlavors/nullFlavor[@value = current()/cda:low/@nullFlavor] else () " />
    <xsl:variable name="min-null-to-find" select="exists($min-nullFlavor-values) " />
    <xsl:variable name="min-null-in-narr" select="($min-nullFlavor-values/@name-regex and exists($target-narr-node//text()[matches(., $min-nullFlavor-values/@name-regex, 'is')])) or              ($min-nullFlavor-values/@syn-regex and exists($target-narr-node//text()[matches(., $min-nullFlavor-values/@syn-regex, 'is')]))  " />
    <xsl:variable name="multimedia" select="exists($target-narr-node//cda:renderMultiMedia)" />
    <xsl:variable name="max-repeat-absent" select="cda:high/@value &gt; 0 and $narr-el-present and not(exists($narr-numbers[number() = $max-repeats]))" />
    <xsl:variable name="max-repeat-err" select="$max-repeat-absent and exists($narr-numbers[number() = $inv-max-repeats]) and not($multimedia)" />
    <xsl:variable name="max-repeat-warn" select="$max-repeat-absent and not($max-repeat-err)" />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-narr-node//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-1" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-1 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $max-repeat-warn ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$max-repeat-warn">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-1" /><xsl:text />: TC-Narr-09 step 1: The Maximum Number of Repeats
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$max-repeats" /><xsl:text />'. This
		was not found in the table data elements of the narrative of the section. Confirm that the Maximum Number of Repeats is recorded in the narrative
		noting that the number of repeats equals the value of 'entry/substanceAdministration/repeatNumber/high' minus one as the repeatNumber data element is the maximum number of times
		the health act (in this case the dispensing of a medication) may be performed. All clinical information in entry elements must also be present in the narrative.
		<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See section 3.1.1.15 of the HL7 Reference Information Model and Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $max-repeat-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$max-repeat-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-1" /><xsl:text />: TC-Narr-09 step 1: The Maximum Number of Repeats
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$max-repeats" /><xsl:text />'.
		The maximum number of repeats equals the value of 'entry/substanceAdministration/repeatNumber/high' minus one as the repeatNumber data element is the maximum number of times
		the health act (in this case the dispensing of a medication) may be performed. Therefore the maximum number of repeats is '<xsl:text /><xsl:value-of select="$max-repeats" /><xsl:text />' as
		the value of 'entry/substanceAdministration/repeatNumber/high' is '<xsl:text /><xsl:value-of select="$inv-max-repeats" /><xsl:text />'. The number '<xsl:text /><xsl:value-of select="$inv-max-repeats" /><xsl:text />' is present in the
		narrative but it should be '<xsl:text /><xsl:value-of select="$max-repeats" /><xsl:text />'. All clinical information in entry elements must be present in the narrative.
		(See section 3.1.1.15 of the HL7 Reference Information Model and Appendix A 'CDA Narratives' in the
		<xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:high/@value &gt; 0 and not($narr-el-present) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:high/@value &gt; 0 and not($narr-el-present)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-1" /><xsl:text />: TC-Narr-09 step 1: The Maximum Number of Repeats
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$max-repeats" /><xsl:text />'. 
		The maximum number of repeats equals the value of 'entry/substanceAdministration/repeatNumber/high' minus one as the repeatNumber data element is the maximum number of times
		the health act (in this case the dispensing of a medication) may be performed. Therefore the maximum number of repeats is '<xsl:text /><xsl:value-of select="$max-repeats" /><xsl:text />' as
		the value of 'entry/substanceAdministration/repeatNumber/high' is '<xsl:text /><xsl:value-of select="$inv-max-repeats" /><xsl:text />'. Confirm by manual inspection that this value is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative.
		<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text /> (See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:low/@value &gt; 0 and $narr-el-present and not(exists($narr-numbers[number() = $min-repeats])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:low/@value &gt; 0 and $narr-el-present and not(exists($narr-numbers[number() = $min-repeats]))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-1" /><xsl:text />: TC-Narr-09 step 1: The Minimum Number of Repeats
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$min-repeats" /><xsl:text />'. This
		was not found in the table data elements in the narrative of the section. Confirm that the Minimum Number of Repeats is recorded in the narrative
		noting that the number of repeats equals the value of 'entry/substanceAdministration/repeatNumber/low' minus one as the repeatNumber data element is the maximum number of times the
		health act (in this case the dispensing of a medication) may be performed. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See section 3.1.1.15 of the HL7 Reference Information Model and Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and cda:low/@value &gt; 0 and not($target-narr-node//cda:td) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and cda:low/@value &gt; 0 and not($target-narr-node//cda:td)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step-1" /><xsl:text />: TC-Narr-09 step 1: The Minimum Number of Repeats
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$min-repeats" /><xsl:text />'. Confirm by manual inspection that this value is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $max-null-to-find and not($max-null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$max-null-to-find and not($max-null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Maximum Number of Repeats
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="cda:high/@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$max-nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($max-nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $min-null-to-find and not($min-null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$min-null-to-find and not($min-null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Minimum Number of Repeats
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="cda:low/@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$min-nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($min-nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M784" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M784" />
  <xsl:template match="@*|node()" priority="-2" mode="M784">
    <xsl:apply-templates select="@*|*" mode="M784" />
  </xsl:template>
  <!--PATTERN p-TS-PD-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16134.179.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16134.179.1.1'] " priority="1000" mode="M785">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16134.179.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16134.179.1.1'] " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating" select="if ($initial-priority) then $initial-rating else if ($FS-Types-seq/@rating) then concat(' (', $FS-Types-seq/@rating, ')') else '' " />
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and not(/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.179' and @extension = '1.0']) and $extensions-allowed">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.179' and @extension = '1.0']) and $extensions-allowed">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: FS-Types: The Exclusion Statement section (codeSystem '1.2.36.1.2001.1001.101' and code '102.16134.179.1.1') has been found in a <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. The Exclusion Statement section (codeSystem '1.2.36.1.2001.1001.101' and code '102.16134.179.1.1') is defined in the digital health specifications but
		although tests have been applied to the data elements the specification of the data elements may have been varied for inclusion in this document
		so further examination may be needed. The rules have been validated for <xsl:text /><xsl:value-of select="normalize-space('Prescription and Dispense View CDA Implementation Guide version 1.0')" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M785" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M785" />
  <xsl:template match="@*|node()" priority="-2" mode="M785">
    <xsl:apply-templates select="@*|*" mode="M785" />
  </xsl:template>
  <!--PATTERN p-TS-PD-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16134.179.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16134.179.1.1']]//cda:section " priority="1000" mode="M786">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16134.179.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16134.179.1.1']]//cda:section " />
    <xsl:variable name="agency-section" select=" cda:code/@codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="test-step" select=" if (not($extensions-allowed)) then 'step 4'        else if ($agency-section) then 'step 3' else 'step 1' " />
    <xsl:variable name="title-and-code" select=" if (cda:title and cda:code/@code) then concat('title ''', cda:title, ''', code/code ''', cda:code/@code, '''')        else if (cda:title and not(cda:code/@code)) then concat('title ''', cda:title, '''')        else if (not(cda:title) and cda:code/@code) then concat('code/code ''', cda:code/@code, '''')        else '' " />
    <xsl:variable name="other-section-names" select=" if (cda:code/@displayName and not(cda:code/cda:originalText)) then concat(' and code/displayName ''', cda:code/@displayName, '''')         else if (cda:code/@displayName and cda:code/cda:originalText)          then concat(', code/displayName ''', cda:code/@displayName,''' and code/originalText ''', cda:code/cda:originalText, '''')        else if (not(cda:code/@displayName) and cda:code/cda:originalText) then concat(' and code/originalText ''', cda:code/cda:originalText, '''')        else '' " />
    <xsl:variable name="section-names" select="concat($title-and-code, $other-section-names)" />
    <xsl:variable name="doc-code" select="/cda:ClinicalDocument/cda:code" />
    <xsl:variable name="parent-section" select="ancestor::cda:section[position()=1]" />
    <xsl:variable name="custom-section-info" select="($iq-config/custom-sections/section, $knowledge/custom-sections/section)[        @doc-code  = $doc-code/@code          and        @doc-codeSystem  = $doc-code/@codeSystem          and        @parent-code   = $parent-section/cda:code/@code         and         @parent-codeSystem  = $parent-section/cda:code/@codeSystem        and         (@title = current()/cda:title or (@code = current()/cda:code/@code and @codeSystem = current()/cda:code/@codeSystem)) ] " />
    <xsl:variable name="section-disallowed" select="$custom-section-info/@disallowed = 'yes' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and ($section-disallowed or not(exists($custom-section-info)))) then $rating-alt-TC-Doc-28-step-1        else if ($test-step = 'step 1' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections]) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 3') then $rating-TC-Doc-28-step-3 else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and $section-disallowed ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and $section-disallowed">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Exclusion Statement section (codeSystem '1.2.36.1.2001.1001.101' and code '102.16134.179.1.1') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> which
		is an extension to the information model however the inclusion of this section conflicts with sections defined in the digital health specifications.
		<xsl:text /><xsl:value-of select="$custom-section-info[@disallowed = 'yes']/@reason" /><xsl:text /> (Also see <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not(false()) and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(false()) and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Exclusion Statement section (codeSystem '1.2.36.1.2001.1001.101' and code '102.16134.179.1.1') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. No subsection is expected so this
		is an extension to the information model. Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the 
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(false()) and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(false()) and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Exclusion Statement section (codeSystem '1.2.36.1.2001.1001.101' and code '102.16134.179.1.1') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> but no subsections were
		expected so the document fails to meet the requirement that it must not contain additional data elements. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and false() and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and false() and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Exclusion Statement section (codeSystem '1.2.36.1.2001.1001.101' and code '102.16134.179.1.1') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		none are expected but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the information model.
		Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Exclusion Statement section (codeSystem '1.2.36.1.2001.1001.101' and code '102.16134.179.1.1') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		none are expected but the inclusion of the section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> fails to meet the requirement that it must not contain additional data elements.
		(See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M786" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M786" />
  <xsl:template match="@*|node()" priority="-2" mode="M786">
    <xsl:apply-templates select="@*|*" mode="M786" />
  </xsl:template>
  <!--PATTERN p-TS-PD-Text-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16134.179.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16134.179.1.1']]/cda:entry/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16134.179.1.1']]/cda:value " priority="1000" mode="M787">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16134.179.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16134.179.1.1']]/cda:entry/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16134.179.1.1']]/cda:value " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The General Statement
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 3.5 of the Prescription and Dispense View Structured Content Specification v1.0 the General Statement 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 3.5 of the Prescription and Dispense View Structured Content Specification v1.0 the General Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 3.5 of the Prescription and Dispense View Structured Content Specification v1.0 the General Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid General Statement however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of General Statement in section 3.5 of the Prescription and Dispense View Structured Content Specification v1.0 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 3.5 of the Prescription and Dispense View Structured Content Specification v1.0 the General Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid General Statement however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of General Statement in section 3.5 of the Prescription and Dispense View Structured Content Specification v1.0 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no General Statement data element with a proper value then an exclusion
		statement must be included to state why there is no General Statement. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 3.5 of the Prescription and Dispense View Structured Content Specification v1.0 the General Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid General Statement however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of General Statement in section 3.5 of the Prescription and Dispense View Structured Content Specification v1.0 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 3.5 of the Prescription and Dispense View Structured Content Specification v1.0 the General Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.5 of the Prescription and Dispense View Structured Content Specification v1.0 the General Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.5 of the Prescription and Dispense View Structured Content Specification v1.0 the General Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.5 of the Prescription and Dispense View Structured Content Specification v1.0 the General Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.5 of the Prescription and Dispense View Structured Content Specification v1.0 the General Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.5 of the Prescription and Dispense View Structured Content Specification v1.0 the General Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.5 of the Prescription and Dispense View Structured Content Specification v1.0 the General Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.5 of the Prescription and Dispense View Structured Content Specification v1.0 the General Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.5 of the Prescription and Dispense View Structured Content Specification v1.0 the General Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 3.5 of the Prescription and Dispense View Structured Content Specification v1.0 the General Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M787" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M787" />
  <xsl:template match="@*|node()" priority="-2" mode="M787">
    <xsl:apply-templates select="@*|*" mode="M787" />
  </xsl:template>
  <!--PATTERN p-TS-PD-Text-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16134.179.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16134.179.1.1']]/cda:entry/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16134.179.1.1']]/cda:value " priority="1000" mode="M788">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16134.179.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16134.179.1.1']]/cda:entry/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16134.179.1.1']]/cda:value " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The General Statement '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The General Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The General Statement data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The General Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The General Statement data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The General Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The General Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The General Statement data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The General Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M788" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M788" />
  <xsl:template match="@*|node()" priority="-2" mode="M788">
    <xsl:apply-templates select="@*|*" mode="M788" />
  </xsl:template>
  <!--PATTERN p-TS-PD-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16794' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16794'] " priority="1000" mode="M789">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16794' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16794'] " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating" select="if ($initial-priority) then $initial-rating else if ($FS-Types-seq/@rating) then concat(' (', $FS-Types-seq/@rating, ')') else '' " />
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and not(/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.179' and @extension = '1.0']) and $extensions-allowed">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.179' and @extension = '1.0']) and $extensions-allowed">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: FS-Types: The Prescribing and Dispensing Reports section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16794') has been found in a <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. The Prescribing and Dispensing Reports section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16794') is defined in the digital health specifications but
		although tests have been applied to the data elements the specification of the data elements may have been varied for inclusion in this document
		so further examination may be needed. The rules have been validated for <xsl:text /><xsl:value-of select="normalize-space('Prescription and Dispense View CDA Implementation Guide version 1.0')" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M789" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M789" />
  <xsl:template match="@*|node()" priority="-2" mode="M789">
    <xsl:apply-templates select="@*|*" mode="M789" />
  </xsl:template>
  <!--PATTERN p-TS-PD-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16794' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16794']]/cda:component/cda:section[cda:code[not(@code='101.16795')]] " priority="1000" mode="M790">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16794' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16794']]/cda:component/cda:section[cda:code[not(@code='101.16795')]] " />
    <xsl:variable name="agency-section" select=" cda:code/@codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="test-step" select=" if (not($extensions-allowed)) then 'step 4'        else if ($agency-section) then 'step 3' else 'step 1' " />
    <xsl:variable name="title-and-code" select=" if (cda:title and cda:code/@code) then concat('title ''', cda:title, ''', code/code ''', cda:code/@code, '''')        else if (cda:title and not(cda:code/@code)) then concat('title ''', cda:title, '''')        else if (not(cda:title) and cda:code/@code) then concat('code/code ''', cda:code/@code, '''')        else '' " />
    <xsl:variable name="other-section-names" select=" if (cda:code/@displayName and not(cda:code/cda:originalText)) then concat(' and code/displayName ''', cda:code/@displayName, '''')         else if (cda:code/@displayName and cda:code/cda:originalText)          then concat(', code/displayName ''', cda:code/@displayName,''' and code/originalText ''', cda:code/cda:originalText, '''')        else if (not(cda:code/@displayName) and cda:code/cda:originalText) then concat(' and code/originalText ''', cda:code/cda:originalText, '''')        else '' " />
    <xsl:variable name="section-names" select="concat($title-and-code, $other-section-names)" />
    <xsl:variable name="doc-code" select="/cda:ClinicalDocument/cda:code" />
    <xsl:variable name="parent-section" select="ancestor::cda:section[position()=1]" />
    <xsl:variable name="custom-section-info" select="($iq-config/custom-sections/section, $knowledge/custom-sections/section)[        @doc-code  = $doc-code/@code          and        @doc-codeSystem  = $doc-code/@codeSystem          and        @parent-code   = $parent-section/cda:code/@code         and         @parent-codeSystem  = $parent-section/cda:code/@codeSystem        and         (@title = current()/cda:title or (@code = current()/cda:code/@code and @codeSystem = current()/cda:code/@codeSystem)) ] " />
    <xsl:variable name="section-disallowed" select="$custom-section-info/@disallowed = 'yes' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and ($section-disallowed or not(exists($custom-section-info)))) then $rating-alt-TC-Doc-28-step-1        else if ($test-step = 'step 1' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections]) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 3') then $rating-TC-Doc-28-step-3 else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and $section-disallowed ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and $section-disallowed">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Prescribing and Dispensing Reports section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16794') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> which
		is an extension to the information model however the inclusion of this section conflicts with sections defined in the digital health specifications.
		<xsl:text /><xsl:value-of select="$custom-section-info[@disallowed = 'yes']/@reason" /><xsl:text /> (Also see <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not(true()) and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(true()) and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Prescribing and Dispensing Reports section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16794') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. No subsection is expected so this
		is an extension to the information model. Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the 
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(true()) and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(true()) and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Prescribing and Dispensing Reports section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16794') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> but no subsections were
		expected so the document fails to meet the requirement that it must not contain additional data elements. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and true() and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and true() and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Prescribing and Dispensing Reports section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16794') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		code '101.16795' are expected but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the information model.
		Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Prescribing and Dispensing Reports section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16794') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		code '101.16795' are expected but the inclusion of the section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> fails to meet the requirement that it must not contain additional data elements.
		(See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M790" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M790" />
  <xsl:template match="@*|node()" priority="-2" mode="M790">
    <xsl:apply-templates select="@*|*" mode="M790" />
  </xsl:template>
  <!--PATTERN p-TS-PD-5-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16794' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16794']][cda:entry] " priority="1000" mode="M791">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16794' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16794']][cda:entry] " />
    <xsl:variable name="test-step" select=" if (not($extensions-allowed)) then 'step 4' else 'step 1' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Prescribing and Dispensing Reports section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16794') has an entry element but no entry elements were expected so this is an extension
		to the information model. Confirm if the entry element meets the requirement that extensions must not qualify or negate any of the 
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Prescribing and Dispensing Reports section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16794') has an entry element but no entry elements were expected so the document fails to meet the
		requirement that it must not contain additional data elements. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M791" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M791" />
  <xsl:template match="@*|node()" priority="-2" mode="M791">
    <xsl:apply-templates select="@*|*" mode="M791" />
  </xsl:template>
  <!--PATTERN p-TS-PD-6-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16795' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16795'] " priority="1000" mode="M792">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16795' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16795'] " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating" select="if ($initial-priority) then $initial-rating else if ($FS-Types-seq/@rating) then concat(' (', $FS-Types-seq/@rating, ')') else '' " />
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and not(/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.179' and @extension = '1.0']) and $extensions-allowed">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.179' and @extension = '1.0']) and $extensions-allowed">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: FS-Types: The Medication Entries with Summary section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16795') has been found in a <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. The Medication Entries with Summary section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16795') is defined in the digital health specifications but
		although tests have been applied to the data elements the specification of the data elements may have been varied for inclusion in this document
		so further examination may be needed. The rules have been validated for <xsl:text /><xsl:value-of select="normalize-space('Prescription and Dispense View CDA Implementation Guide version 1.0')" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M792" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M792" />
  <xsl:template match="@*|node()" priority="-2" mode="M792">
    <xsl:apply-templates select="@*|*" mode="M792" />
  </xsl:template>
  <!--PATTERN p-TS-PD-7-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16795' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16795']]/cda:component/cda:section[cda:code   [not(@code='102.16210' or @code='102.16211')]] " priority="1000" mode="M793">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16795' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16795']]/cda:component/cda:section[cda:code   [not(@code='102.16210' or @code='102.16211')]] " />
    <xsl:variable name="agency-section" select=" cda:code/@codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="test-step" select=" if (not($extensions-allowed)) then 'step 4'        else if ($agency-section) then 'step 3' else 'step 1' " />
    <xsl:variable name="title-and-code" select=" if (cda:title and cda:code/@code) then concat('title ''', cda:title, ''', code/code ''', cda:code/@code, '''')        else if (cda:title and not(cda:code/@code)) then concat('title ''', cda:title, '''')        else if (not(cda:title) and cda:code/@code) then concat('code/code ''', cda:code/@code, '''')        else '' " />
    <xsl:variable name="other-section-names" select=" if (cda:code/@displayName and not(cda:code/cda:originalText)) then concat(' and code/displayName ''', cda:code/@displayName, '''')         else if (cda:code/@displayName and cda:code/cda:originalText)          then concat(', code/displayName ''', cda:code/@displayName,''' and code/originalText ''', cda:code/cda:originalText, '''')        else if (not(cda:code/@displayName) and cda:code/cda:originalText) then concat(' and code/originalText ''', cda:code/cda:originalText, '''')        else '' " />
    <xsl:variable name="section-names" select="concat($title-and-code, $other-section-names)" />
    <xsl:variable name="doc-code" select="/cda:ClinicalDocument/cda:code" />
    <xsl:variable name="parent-section" select="ancestor::cda:section[position()=1]" />
    <xsl:variable name="custom-section-info" select="($iq-config/custom-sections/section, $knowledge/custom-sections/section)[        @doc-code  = $doc-code/@code          and        @doc-codeSystem  = $doc-code/@codeSystem          and        @parent-code   = $parent-section/cda:code/@code         and         @parent-codeSystem  = $parent-section/cda:code/@codeSystem        and         (@title = current()/cda:title or (@code = current()/cda:code/@code and @codeSystem = current()/cda:code/@codeSystem)) ] " />
    <xsl:variable name="section-disallowed" select="$custom-section-info/@disallowed = 'yes' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and ($section-disallowed or not(exists($custom-section-info)))) then $rating-alt-TC-Doc-28-step-1        else if ($test-step = 'step 1' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections]) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 3') then $rating-TC-Doc-28-step-3 else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and $section-disallowed ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and $section-disallowed">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Medication Entries with Summary section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16795') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> which
		is an extension to the information model however the inclusion of this section conflicts with sections defined in the digital health specifications.
		<xsl:text /><xsl:value-of select="$custom-section-info[@disallowed = 'yes']/@reason" /><xsl:text /> (Also see <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not(true()) and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(true()) and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Medication Entries with Summary section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16795') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. No subsection is expected so this
		is an extension to the information model. Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the 
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(true()) and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(true()) and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Medication Entries with Summary section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16795') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> but no subsections were
		expected so the document fails to meet the requirement that it must not contain additional data elements. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and true() and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and true() and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Medication Entries with Summary section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16795') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		code '102.16210' and code '102.16211' are expected but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the information model.
		Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Medication Entries with Summary section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16795') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		code '102.16210' and code '102.16211' are expected but the inclusion of the section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> fails to meet the requirement that it must not contain additional data elements.
		(See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M793" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M793" />
  <xsl:template match="@*|node()" priority="-2" mode="M793">
    <xsl:apply-templates select="@*|*" mode="M793" />
  </xsl:template>
  <!--PATTERN p-TS-PD-CodeableText-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16795' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16795']]/cda:entry/   cda:organizer[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16798']]/cda:component/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.10194']]/cda:value " priority="1000" mode="M794">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16795' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16795']]/cda:entry/   cda:organizer[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16798']]/cda:component/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.10194']]/cda:value " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Therapeutic Good Identification',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to section 4.4 of the Prescription and Dispense View Structured Content Specification v1.0 the Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to section 4.4 of the Prescription and Dispense View Structured Content Specification v1.0 the Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'allowed' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'allowed' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 4.4 of the Prescription and Dispense View Structured Content Specification v1.0 the Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Therapeutic Good Identification however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Therapeutic Good Identification in section 4.4 of the Prescription and Dispense View Structured Content Specification v1.0 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'allowed' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'allowed' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 4.4 of the Prescription and Dispense View Structured Content Specification v1.0 the Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Therapeutic Good Identification however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Therapeutic Good Identification in section 4.4 of the Prescription and Dispense View Structured Content Specification v1.0 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Therapeutic Good Identification data element must have a value that is consistent with this definition. Alternatively if there is no Therapeutic Good Identification data element with a proper value then an exclusion
		statement must be included to state why there is no Therapeutic Good Identification.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'allowed' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'allowed' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 4.4 of the Prescription and Dispense View Structured Content Specification v1.0 the Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Therapeutic Good Identification however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Therapeutic Good Identification in section 4.4 of the Prescription and Dispense View Structured Content Specification v1.0 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'allowed' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'allowed' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 4.4 of the Prescription and Dispense View Structured Content Specification v1.0 the Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Therapeutic Good Identification however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Therapeutic Good Identification in section 4.4 of the Prescription and Dispense View Structured Content Specification v1.0 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Therapeutic Good Identification data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'allowed' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'allowed' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 4.4 of the Prescription and Dispense View Structured Content Specification v1.0 the Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Therapeutic Good Identification however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Therapeutic Good Identification in section 4.4 of the Prescription and Dispense View Structured Content Specification v1.0 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Therapeutic Good Identification data element must have a value that is consistent with this definition. Alternatively if there is no Therapeutic Good Identification data element with a proper value then an exclusion
		statement must be included to state why there is no Therapeutic Good Identification.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'allowed' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'allowed' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 4.4 of the Prescription and Dispense View Structured Content Specification v1.0 the Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Therapeutic Good Identification however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Therapeutic Good Identification in section 4.4 of the Prescription and Dispense View Structured Content Specification v1.0 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Therapeutic Good Identification data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 4.4 of the Prescription and Dispense View Structured Content Specification v1.0 the Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 4.4 of the Prescription and Dispense View Structured Content Specification v1.0 the Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 4.4 of the Prescription and Dispense View Structured Content Specification v1.0 the Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 4.4 of the Prescription and Dispense View Structured Content Specification v1.0 the Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 4.4 of the Prescription and Dispense View Structured Content Specification v1.0 the Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 4.4 of the Prescription and Dispense View Structured Content Specification v1.0 the Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 4.4 of the Prescription and Dispense View Structured Content Specification v1.0 the Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 4.4 of the Prescription and Dispense View Structured Content Specification v1.0 the Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 4.4 of the Prescription and Dispense View Structured Content Specification v1.0 the Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Therapeutic Good Identification.
		(See the definition of Therapeutic Good Identification in section 4.4 of the Prescription and Dispense View Structured Content Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M794" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M794" />
  <xsl:template match="@*|node()" priority="-2" mode="M794">
    <xsl:apply-templates select="@*|*" mode="M794" />
  </xsl:template>
  <!--PATTERN p-TS-PD-CodeableText-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '101.16795' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16795']]/cda:entry/   cda:organizer[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16798']]/cda:component/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.10194']]/cda:value   [@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " priority="1000" mode="M795">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '101.16795' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16795']]/cda:entry/   cda:organizer[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16798']]/cda:component/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.10194']]/cda:value   [@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="pnullFlavor" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @nullFlavor) then @nullFlavor else '' " />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-p-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then false()        else if ($psnomed-id = 'amtv3' and @codeSystemVersion) then exists($v-amtv3[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($psnomed-id = 'snomedctau' and @codeSystemVersion) then exists($v-snomedctau[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false() " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and $pcode != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used to assess the primary code.') " />
    <xsl:variable name="pcode-refsets-1" select="if (@codeSystem = '2.16.840.1.113883.6.96' and not($pcode = ''))         then dh:FindValueDomainsForCode($pcode, '2.16.840.1.113883.6.96', $v-psnomed-version) else 'no-code' " />
    <xsl:variable name="pcode-found" select="not($pcode-refsets-1 = 'no-code' or $pcode-refsets-1 = 'CodeNotFound' or $pcode-refsets-1 = 'Error'        or contains($pcode-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="pcode-refsets" select="if ($pcode-found) then distinct-values(tokenize($pcode-refsets-1, '\|')) else () " />
    <xsl:variable name="pcode-special-proc" select="count($pcode-refsets) = 1 and 'Procedure Foundation (PF)' = $pcode-refsets and not($pnullFlavor = 'OTH') " />
    <xsl:variable name="pcode-refsets-msg" select="if (count($pcode-refsets) = 0) then ''         else if (count($pcode-refsets) = 1) then concat('The code is a member of the ', $pcode-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($pcode-refsets, ', '), '.') " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))         else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-1" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="snomed-trans-2" select="distinct-values(for $i in (1 to count($snomed-trans-1)) return $snomed-trans-1[$i]/@code) " />
    <xsl:variable name="snomed-trans-a" select="$snomed-trans-1[1] " />
    <xsl:variable name="tcode-a" select="if (exists($snomed-trans-a) and matches($snomed-trans-a/@code, $snomed-code-regex)) then $snomed-trans-a/@code else '' " />
    <xsl:variable name="tnullFlavor-a" select="if (exists($snomed-trans-a) and $snomed-trans-a/@nullFlavor) then $snomed-trans-a/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-a" select="if (not(exists($snomed-trans-a))) then 'not-snomed'        else if (not($snomed-trans-a/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-a/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-a" select="if (not(exists($snomed-trans-a))) then ''        else if ($tsnomed-id-a = 'amtv3' and exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-a = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-a/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-a" select="if (not(exists($snomed-trans-a))) then false()        else if ($tsnomed-id-a = 'amtv3' and $snomed-trans-a/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-a = 'snomedctau' and $snomed-trans-a/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-a-msg" select="if (not(exists($snomed-trans-a))) then ''        else if (not($snomed-trans-a/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-a, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-a = 'amtv3') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-a = 'snomedctau') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-a/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-a, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-a/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-a-refsets-1" select="if (exists($snomed-trans-a) and not($tcode-a = ''))         then dh:FindValueDomainsForCode($tcode-a, '2.16.840.1.113883.6.96', $v-tsnomed-version-a) else 'no-code' " />
    <xsl:variable name="tcode-a-found" select="not($tcode-a-refsets-1 = 'no-code' or $tcode-a-refsets-1 = 'CodeNotFound' or $tcode-a-refsets-1 = 'Error'         or contains($tcode-a-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-a-refsets" select="if ($tcode-a-found) then distinct-values(tokenize($tcode-a-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-a-special-proc" select="count($tcode-a-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-a-refsets and not($tnullFlavor-a = 'OTH') " />
    <xsl:variable name="tcode-a-refsets-msg" select="if (count($tcode-a-refsets) = 0) then ''         else if (count($tcode-a-refsets) = 1) then concat('The code is a member of the ', $tcode-a-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-a-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@code and $snomed-trans-a/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-a/@displayName, codepoints-to-string(34))         else if ($snomed-trans-a/@code and not($snomed-trans-a/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@codeSystem and $snomed-trans-a/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-a/@codeSystemName, ')')         else if ($snomed-trans-a/@codeSystem and not($snomed-trans-a/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-b" select="(for $i in (2 to count($snomed-trans-1)) return if ($snomed-trans-1[$i]/@code != $snomed-trans-a/@code) then $snomed-trans-1[$i] else ())[1] " />
    <xsl:variable name="tcode-b" select="if (exists($snomed-trans-b) and matches($snomed-trans-b/@code, $snomed-code-regex)) then $snomed-trans-b/@code else '' " />
    <xsl:variable name="tnullFlavor-b" select="if (exists($snomed-trans-b) and $snomed-trans-b/@nullFlavor) then $snomed-trans-b/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-b" select="if (not(exists($snomed-trans-b))) then 'not-snomed'        else if (not($snomed-trans-b/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-b/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-b" select="if (not(exists($snomed-trans-b))) then ''        else if ($tsnomed-id-b = 'amtv3' and exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-b = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-b/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-b" select="if (not(exists($snomed-trans-b))) then false()        else if ($tsnomed-id-b = 'amtv3' and $snomed-trans-b/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-b = 'snomedctau' and $snomed-trans-b/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-b-msg" select="if (not(exists($snomed-trans-b))) then ''        else if (not($snomed-trans-b/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-b, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-b = 'amtv3') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-b = 'snomedctau') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-b/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-b, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-b/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-b-refsets-1" select="if (exists($snomed-trans-b) and not($tcode-b = ''))         then dh:FindValueDomainsForCode($tcode-b, '2.16.840.1.113883.6.96', $v-tsnomed-version-b) else 'no-code' " />
    <xsl:variable name="tcode-b-found" select="not($tcode-b-refsets-1 = 'no-code' or $tcode-b-refsets-1 = 'CodeNotFound' or $tcode-b-refsets-1 = 'Error'         or contains($tcode-b-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-b-refsets" select="if ($tcode-b-found) then distinct-values(tokenize($tcode-b-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-b-special-proc" select="count($tcode-b-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-b-refsets and not($tnullFlavor-b = 'OTH') " />
    <xsl:variable name="tcode-b-refsets-msg" select="if (count($tcode-b-refsets) = 0) then ''         else if (count($tcode-b-refsets) = 1) then concat('The code is a member of the ', $tcode-b-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-b-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@code and $snomed-trans-b/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-b/@displayName, codepoints-to-string(34))         else if ($snomed-trans-b/@code and not($snomed-trans-b/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@codeSystem and $snomed-trans-b/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-b/@codeSystemName, ')')         else if ($snomed-trans-b/@codeSystem and not($snomed-trans-b/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-60" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-60 else $rating-alt-TC-Types-60 " />
    <!--REPORT -->
    <xsl:if test=" $pcode-found and $pcode-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pcode-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD (p-TS-CD-SCT-RefSet): An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$pcode" /><xsl:text />',
		codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-psnomed-version" /><xsl:text />'. This error occurred when assessing the Therapeutic Good Identification data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. The value is not valid for the data element as it describes a medical
		procedure and not a medical problem or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is identify the medicine, vaccine or other therapeutic good being         ordered, administered to or used by the subject of care. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.         (See section 4.4 of the eHealth Prescription and Dispense View Structured Content Specification v1.0.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and   not(exists(index-of(for $refset in ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and not(exists(index-of(for $refset in ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the code is not a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product Pack (Concept Id: 929360081000036101), Medicinal Product Unit of Use         (Concept Id: 929360071000036103), Trade Product Pack (Concept Id: 929360041000036105),         Trade Product Unit of Use(Concept Id: 929360031000036100) and the Containered Trade Product Pack (Concept Id: 929360051000036108)         reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         SUMMARY OF MEDICATION ENTRIES section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and   not(exists(index-of(for $refset in ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and not(exists(index-of(for $refset in ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product Pack (Concept Id: 929360081000036101), Medicinal Product Unit of Use         (Concept Id: 929360071000036103), Trade Product Pack (Concept Id: 929360041000036105),         Trade Product Unit of Use(Concept Id: 929360031000036100) and the Containered Trade Product Pack (Concept Id: 929360051000036108)         reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         SUMMARY OF MEDICATION ENTRIES section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and   exists(index-of(for $refset in ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and exists(index-of(for $refset in ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product Pack (Concept Id: 929360081000036101), Medicinal Product Unit of Use         (Concept Id: 929360071000036103), Trade Product Pack (Concept Id: 929360041000036105),         Trade Product Unit of Use(Concept Id: 929360031000036100) and the Containered Trade Product Pack (Concept Id: 929360051000036108)         reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         SUMMARY OF MEDICATION ENTRIES section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and   exists(index-of(for $refset in ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and exists(index-of(for $refset in ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. Confirm if the code is a member of the value domain.
		If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product Pack (Concept Id: 929360081000036101), Medicinal Product Unit of Use         (Concept Id: 929360071000036103), Trade Product Pack (Concept Id: 929360041000036105),         Trade Product Unit of Use(Concept Id: 929360031000036100) and the Containered Trade Product Pack (Concept Id: 929360051000036108)         reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         SUMMARY OF MEDICATION ENTRIES section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="count($snomed-trans-1)" /><xsl:text /> translation elements with
		codes and the SNOMED CT-AU codeSystem '2.16.840.1.113883.6.96'. The first two translation elements have been assessed to determine if the codes are members of the value domain
		and the others have not been assessed. Confirm if the value of the code attribute in all SNOMED CT translation elements meets the requirement that it be a member of the value domain
		if there is no nullFlavor 'OTH' or that there is a nullFlavor 'OTH' if the value of the code attribute is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product Pack (Concept Id: 929360081000036101), Medicinal Product Unit of Use         (Concept Id: 929360071000036103), Trade Product Pack (Concept Id: 929360041000036105),         Trade Product Unit of Use(Concept Id: 929360031000036100) and the Containered Trade Product Pack (Concept Id: 929360051000036108)         reference sets.')" /><xsl:text /> 
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         SUMMARY OF MEDICATION ENTRIES section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-a" /><xsl:text />'. This error occurred when assessing the Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is identify the medicine, vaccine or other therapeutic good being         ordered, administered to or used by the subject of care. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.         (See section 4.4 of the eHealth Prescription and Dispense View Structured Content Specification v1.0.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and   not(exists(index-of(for $refset in ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and not(exists(index-of(for $refset in ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product Pack (Concept Id: 929360081000036101), Medicinal Product Unit of Use         (Concept Id: 929360071000036103), Trade Product Pack (Concept Id: 929360041000036105),         Trade Product Unit of Use(Concept Id: 929360031000036100) and the Containered Trade Product Pack (Concept Id: 929360051000036108)         reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         SUMMARY OF MEDICATION ENTRIES section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and   not(exists(index-of(for $refset in ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and not(exists(index-of(for $refset in ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product Pack (Concept Id: 929360081000036101), Medicinal Product Unit of Use         (Concept Id: 929360071000036103), Trade Product Pack (Concept Id: 929360041000036105),         Trade Product Unit of Use(Concept Id: 929360031000036100) and the Containered Trade Product Pack (Concept Id: 929360051000036108)         reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         SUMMARY OF MEDICATION ENTRIES section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and   exists(index-of(for $refset in ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and exists(index-of(for $refset in ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product Pack (Concept Id: 929360081000036101), Medicinal Product Unit of Use         (Concept Id: 929360071000036103), Trade Product Pack (Concept Id: 929360041000036105),         Trade Product Unit of Use(Concept Id: 929360031000036100) and the Containered Trade Product Pack (Concept Id: 929360051000036108)         reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         SUMMARY OF MEDICATION ENTRIES section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and   exists(index-of(for $refset in ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and exists(index-of(for $refset in ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product Pack (Concept Id: 929360081000036101), Medicinal Product Unit of Use         (Concept Id: 929360071000036103), Trade Product Pack (Concept Id: 929360041000036105),         Trade Product Unit of Use(Concept Id: 929360031000036100) and the Containered Trade Product Pack (Concept Id: 929360051000036108)         reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         SUMMARY OF MEDICATION ENTRIES section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-b" /><xsl:text />'. This error occurred when assessing the Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> 
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is identify the medicine, vaccine or other therapeutic good being         ordered, administered to or used by the subject of care. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.         (See section 4.4 of the eHealth Prescription and Dispense View Structured Content Specification v1.0.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and   not(exists(index-of(for $refset in ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and not(exists(index-of(for $refset in ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product Pack (Concept Id: 929360081000036101), Medicinal Product Unit of Use         (Concept Id: 929360071000036103), Trade Product Pack (Concept Id: 929360041000036105),         Trade Product Unit of Use(Concept Id: 929360031000036100) and the Containered Trade Product Pack (Concept Id: 929360051000036108)         reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         SUMMARY OF MEDICATION ENTRIES section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and   not(exists(index-of(for $refset in ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and not(exists(index-of(for $refset in ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product Pack (Concept Id: 929360081000036101), Medicinal Product Unit of Use         (Concept Id: 929360071000036103), Trade Product Pack (Concept Id: 929360041000036105),         Trade Product Unit of Use(Concept Id: 929360031000036100) and the Containered Trade Product Pack (Concept Id: 929360051000036108)         reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         SUMMARY OF MEDICATION ENTRIES section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and   exists(index-of(for $refset in ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and exists(index-of(for $refset in ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product Pack (Concept Id: 929360081000036101), Medicinal Product Unit of Use         (Concept Id: 929360071000036103), Trade Product Pack (Concept Id: 929360041000036105),         Trade Product Unit of Use(Concept Id: 929360031000036100) and the Containered Trade Product Pack (Concept Id: 929360051000036108)         reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         SUMMARY OF MEDICATION ENTRIES section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and   exists(index-of(for $refset in ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)',         'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and exists(index-of(for $refset in ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product Pack (Concept Id: 929360081000036101), Medicinal Product Unit of Use         (Concept Id: 929360071000036103), Trade Product Pack (Concept Id: 929360041000036105),         Trade Product Unit of Use(Concept Id: 929360031000036100) and the Containered Trade Product Pack (Concept Id: 929360051000036108)         reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         SUMMARY OF MEDICATION ENTRIES section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M795" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M795" />
  <xsl:template match="@*|node()" priority="-2" mode="M795">
    <xsl:apply-templates select="@*|*" mode="M795" />
  </xsl:template>
  <!--PATTERN p-TS-PD-CodeableText-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '101.16795' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16795']]/cda:entry/   cda:organizer[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16798']]/cda:component/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.10194']]/cda:value[(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-pd-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])]   [not(@nullFlavor = $no-value-NF)] " priority="1000" mode="M796">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '101.16795' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16795']]/cda:entry/   cda:organizer[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16798']]/cda:component/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.10194']]/cda:value[(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-pd-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])]   [not(@nullFlavor = $no-value-NF)] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="snomed-trans" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="tcode" select="if (exists($snomed-trans[1]) and matches($snomed-trans[1]/@code, $snomed-code-regex)) then $snomed-trans[1]/@code else '' " />
    <xsl:variable name="code-present" select="$pcode != '' or $tcode != '' " />
    <xsl:variable name="invalid-code-system" select="@code and @displayName and @codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="codesystemvalues" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']" />
    <xsl:variable name="otext-without-markup" select="if (cda:originalText and cda:originalText != '') then normalize-space(replace(cda:originalText, $markup-regex, ' ')) else '' " />
    <xsl:variable name="pdname" select="if (@displayName and not($invalid-code-system)) then normalize-space(@displayName) else '' " />
    <xsl:variable name="is-immun" select="exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='101.16638' or @code = '101.16658' or @code = '101.17039')]]) " />
    <xsl:variable name="is-pd" select="exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code = '102.16210' or @code='102.16211' or @code='101.16795')]]) " />
    <xsl:variable name="is-shs-meds" select="$templateId-root = '1.2.36.1.2001.1001.101.100.1002.120' and          exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]) " />
    <xsl:variable name="is-meds" select="exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code = '101.16146.4.1.1' or @code = '101.16146.4.1.2' or @code='101.16146')]]) " />
    <xsl:variable name="max-code-number" select="if ($knowledge/search-for-term/max-sct-code-number/@value &gt; '5') then $knowledge/search-for-term/max-sct-code-number/@value else '5' " />
    <xsl:variable name="der-text-1" select="if ($code-present) then ''         else if ($otext-without-markup != '') then $otext-without-markup        else if ($pdname != '') then $pdname        else '' " />
    <xsl:variable name="family-err" select="matches($der-text-1, $family-regex, 'is')" />
    <xsl:variable name="der-truncated-text-1" select="normalize-space(replace(replace($der-text-1, $unicode-br-truncation-regex, '$1', 'is'), $tgi-truncation-regex, '$1', 'is')) " />
    <xsl:variable name="length-err" select="string-length($der-truncated-text-1) &gt; $length-err-max" />
    <xsl:variable name="prose-err-1" select="$length-err and cda:originalText and (        matches(cda:originalText, $ulist-regex)           or         matches(cda:originalText, $alt-ulist-1a-regex, 'is')         or         matches(cda:originalText, $alt-ulist-1b-regex, 'is')         )" />
    <xsl:variable name="prose-err" select="$prose-err-1 or (cda:originalText and (         matches(cda:originalText, $alt-ulist-2-regex, 'is')         or        matches(cda:originalText, $olist-arabic-regex, 'is')         or         matches(cda:originalText, $olist-alpha-regex, 'is')         or         matches(cda:originalText, $olist-roman-regex, 'is')         or        matches(replace(cda:originalText, $new-line-regex, codepoints-to-string((10)), 'is'), $para-regex, 'is') or        matches(cda:originalText, codepoints-to-string((8233)), 'is')        or               (cda:originalText and matches(cda:originalText, $invalid-concept-regex, 'is'))     or        ($length-err and matches(cda:originalText, '\.\s*$', 's') and matches(cda:originalText, $multi-sentence-regex, 's')) ))" />
    <xsl:variable name="avoid-ts" select="$family-err or $length-err or $prose-err or not($use-ts-for-sctau) " />
    <xsl:variable name="der-text-2a" select="if ($der-truncated-text-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-truncated-text-1, $tgi-fir-pattern-replacement, 'ic')) " />
    <xsl:variable name="der-text-2" select="if ($der-text-2a = '') then $der-text-1 else $der-text-2a " />
    <xsl:variable name="der-text-a" select="if ($der-text-2 = '' or $tgi-regex = '') then $der-text-2 else normalize-space(dh:XQueryRecursiveReplace($der-text-2, $tgi-regex, 'ic')) " />
    <xsl:variable name="der-text" select="if ($der-text-a = '') then $der-text-2 else $der-text-a " />
    <xsl:variable name="defn-valid-regex" select="concat('(^|\|)', translate($der-text-2, $chars-to-remove, ''), '(\||$)') " />
    <xsl:variable name="der-text-to-match-1" select="lower-case($der-text-2) " />
    <xsl:variable name="der-text-to-match" select="translate($der-text-to-match-1, $chars-to-remove, '') " />
    <xsl:variable name="tgi-non-value-regex" select="if ($is-immun)          then $cd-definitions/immun/@non-value-regex         else if ($is-pd)       then $cd-definitions/pd/@non-value-regex        else if ($is-shs-meds) then $cd-definitions/shs-meds/@non-value-regex        else if ($is-meds)     then $cd-definitions/meds/@non-value-regex        else '' " />
    <xsl:variable name="der-text-non-value" select="if ($code-present or @nullFlavor = $no-value-NF) then false() else         $der-text-to-match = ''             or         not(matches($der-text-to-match-1, '[a-z]', 'is'))         or        ($cd-definitions/non-value/@regex != '' and matches($der-text-to-match-1, $cd-definitions/non-value/@regex, 'is')) or        ($tgi-non-value-regex != '' and matches($der-text-to-match-1, $tgi-non-value-regex, 'is'))    " />
    <xsl:variable name="tgi-invalid-regex" select="if ($is-immun)          then $cd-definitions/immun/@invalid-regex         else if ($is-pd)       then $cd-definitions/pd/@invalid-regex        else if ($is-shs-meds) then $cd-definitions/shs-meds/@invalid-regex        else if ($is-meds)     then $cd-definitions/meds/@invalid-regex        else '' " />
    <xsl:variable name="defn-invalid-regex" select="if ($code-present or $der-text-non-value) then ()        else if ($tgi-invalid-regex != '') then tokenize($tgi-invalid-regex, '~')[. != '']         else () " />
    <xsl:variable name="defn-invalid-txt-regex" select="(for $i in (1 to count($defn-invalid-regex)) return normalize-space(substring-before($defn-invalid-regex[$i], '[[')))[. != '']" />
    <xsl:variable name="der-invalid-text-regex-1" select="if (exists($defn-invalid-txt-regex))        then index-of(for $i in (1 to count($defn-invalid-txt-regex)) return matches($der-text-2, $defn-invalid-txt-regex[$i], 'is'), true())        else () " />
    <xsl:variable name="der-invalid-text" select="exists($der-invalid-text-regex-1) " />
    <xsl:variable name="defn-invalid-rsn" select="if ($der-invalid-text)         then normalize-space(substring-before(substring-after($defn-invalid-regex[$der-invalid-text-regex-1[1]], '[['), ']]'))         else '' " />
    <xsl:variable name="trusted-code-systems" select="if ($der-text = '' or $der-invalid-text or not(@codeSystem or cda:translation/@codeSystem)) then ()        else if ($is-immun)          then (tokenize(replace($cd-definitions/immun/@core, '\s+', ''), '\|'),           tokenize(replace($cd-definitions/immun/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-pd)          then (tokenize(replace($cd-definitions/pd/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/pd/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-shs-meds)          then (tokenize(replace($cd-definitions/shs-meds/@core, '\s+', ''), '\|'),          tokenize(replace($cd-definitions/shs-meds/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-meds)          then (tokenize(replace($cd-definitions/meds/@core, '\s+', ''), '\|'),           tokenize(replace($cd-definitions/meds/@extra, '\s+', ''), '\|'))[. != '']         else () " />
    <xsl:variable name="der-trusted-text" select="if ($der-text = '' or $der-invalid-text or (@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex)))) then false()        else ((@codeSystem and exists($trusted-code-systems[. = current()/@codeSystem])) or               (cda:translation/@codeSystem and exists($trusted-code-systems[. = current()/cda:translation/@codeSystem]))) " />
    <xsl:variable name="a-vaccine-1" select="not($code-present or $der-text-non-value or $der-invalid-text) and exists($vaccine-text-normalised) and $der-text-to-match = $vaccine-text-normalised" />
    <xsl:variable name="a-sas-tgi-1" select="not($code-present or $der-text-non-value or $der-invalid-text or $a-vaccine-1) and $tgi-sas-regex != '' and matches($der-text, $tgi-sas-regex, 'is')" />
    <xsl:variable name="an-uncoded-tgi-1" select="not($code-present or $der-text-non-value or $der-invalid-text or $a-vaccine-1 or $a-sas-tgi-1) and $tgi-otheru-regex != '' and         matches($der-text, $tgi-otheru-regex, 'is')" />
    <xsl:variable name="obsolete-tgi-info-1" select="if ($is-immun or $code-present or $der-text-non-value or $der-invalid-text or $a-vaccine-1 or $a-sas-tgi-1 or $an-uncoded-tgi-1 or         not(exists($knowledge/special-tgi/obsolete))) then ()        else $knowledge/special-tgi/obsolete[matches($der-text, concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')] " />
    <xsl:variable name="an-obsolete-tgi-1" select="exists($obsolete-tgi-info-1)" />
    <xsl:variable name="tgi-valid-regex-1" select="if ($code-present or $der-text-non-value or $der-invalid-text or $der-text = '' or $a-vaccine-1 or $a-sas-tgi-1 or $an-uncoded-tgi-1 or          $an-obsolete-tgi-1) then ''        else if ($is-immun)    then $cd-definitions/immun/@valid-regex        else if ($is-pd)       then $cd-definitions/pd/@valid-regex        else if ($is-shs-meds) then $cd-definitions/shs-meds/@valid-regex        else if ($is-meds)     then $cd-definitions/meds/@valid-regex        else '' " />
    <xsl:variable name="valid-tgi-1" select="if ($a-vaccine-1 or $a-sas-tgi-1 or $an-uncoded-tgi-1 or $an-obsolete-tgi-1) then true()         else if ($tgi-valid-regex-1 = '') then false()        else exists(index-of(for $regex in (tokenize($tgi-valid-regex-1, '~')[. != '']) return          matches($der-text-2, dh:XQueryRecursiveReplace(normalize-space($regex), ' \|~|~\| ~|', ''), 'is'), true())) " />
    <xsl:variable name="invalid-hierarchy-1" select="if (exists($cd-definitions/meds/meds-invalid/hierarchy))         then string-join(for $hierarchy in $cd-definitions/meds/meds-invalid/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-refset" select="if (exists($cd-definitions/meds/meds-invalid/refset))          then string-join(for $refset in $cd-definitions/meds/meds-invalid/refset return concat('^', $refset/@code), ' OR ')         else '' " />
    <xsl:variable name="valid-refset" select="concat($tgi-formula, ' OR &lt;763158003') " />
    <xsl:variable name="valid-domain" select="if ($invalid-refset != '' and $invalid-hierarchy-1 != '')         then concat('((', $valid-refset, ') MINUS (', $invalid-refset, ' OR (', $invalid-hierarchy-1, ')))')        else if ($invalid-refset = '' and $invalid-hierarchy-1 != '') then concat('((', $valid-refset, ') MINUS (', $invalid-hierarchy-1, '))')         else if ($invalid-refset != '' and $invalid-hierarchy-1 = '') then concat('((', $valid-refset, ') MINUS (', $invalid-refset, '))')        else concat('(', $valid-refset, ')') " />
    <xsl:variable name="related-terms-1" select="if ($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-1) then ()        else ($codesystemvalues/code[@related-terms], $codesystemvalues/related-terms[@related-terms]) " />
    <xsl:variable name="related-terms-2" select="for $i in index-of(        for $concept in $related-terms-1 return matches(translate($concept/@related-terms, $chars-no-pipe, ''), $defn-valid-regex, 'is'), true())         return $related-terms-1[$i]/@code " />
    <xsl:variable name="der-tgi-codes-1" select="if (exists($related-terms-2)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($related-terms-2, ' OR '), ') AND ', $valid-domain), '', string(count($related-terms-2)), false())        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $der-tgi-codes-1 " />
    <xsl:variable name="der-valid-codes-1" select="if (contains($der-tgi-codes-1, '[')) then $der-tgi-codes-1 else '' " />
    <xsl:variable name="valid-tgi-2" select="$valid-tgi-1 or $der-valid-codes-1 != '' " />
    <xsl:variable name="tgi-inactive-refSets" select="if (exists($cd-definitions/tgi/tgi-invalid/inactive-refset))         then concat('((', $inactive-refSets, ') MINUS (',           string-join(for $refset in $cd-definitions/tgi/tgi-invalid/inactive-refset return concat('^', $refset/@code), ' OR '),          '))')         else $inactive-refSets " />
    <xsl:variable name="formula" select="concat($valid-domain, ' OR ', $tgi-inactive-refSets) " />
    <xsl:variable name="ts-not-needed" select="$der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-2 or $avoid-ts " />
    <xsl:variable name="der-tgi-codes-2-a" select="if ($ts-not-needed or exists($related-terms-2)) then ()         else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-text,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2-a" select="$error-usingTS-1 or 'Error' = $der-tgi-codes-2-a " />
    <xsl:variable name="revision-pattern-1" select="if ($ts-not-needed or $valid-tgi-2 or exists($der-tgi-codes-2-a) or $error-usingTS-2-a or exists($related-terms-2)) then ''        else $tgi-sec-pattern-replacement " />
    <xsl:variable name="der-revised-text-1" select="if ($revision-pattern-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-text, $revision-pattern-1, 'ic')) " />
    <xsl:variable name="use-revised-text-1" select="$der-revised-text-1 != '' and $der-revised-text-1 != $der-text " />
    <xsl:variable name="obsolete-tgi-info-2" select="if (exists($der-tgi-codes-2-a)) then ()        else if ($an-obsolete-tgi-1) then $obsolete-tgi-info-1        else if ($use-revised-text-1) then $knowledge/special-tgi/obsolete[matches($der-revised-text-1, concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')]        else () " />
    <xsl:variable name="an-obsolete-tgi-2" select="exists($obsolete-tgi-info-2)" />
    <xsl:variable name="der-tgi-codes-2-b" select="if ($an-obsolete-tgi-2) then ()        else if ($ts-not-needed or exists($der-tgi-codes-2-a) or not($use-revised-text-1)) then $der-tgi-codes-2-a         else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-1,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2-b" select="$error-usingTS-2-a or 'Error' = $der-tgi-codes-2-b " />
    <xsl:variable name="revision-pattern-2" select="if ($ts-not-needed or $valid-tgi-2 or exists($der-tgi-codes-2-b) or $error-usingTS-2-b or exists($related-terms-2)) then ''        else $tgi-thi-pattern-replacement " />
    <xsl:variable name="der-revised-text-2" select="if ($revision-pattern-2 = '') then '' else normalize-space(dh:XQueryRecursiveReplace(         if ($use-revised-text-1) then $der-revised-text-1 else $der-text, $revision-pattern-2, 'ic')) " />
    <xsl:variable name="use-revised-text-2" select="if ($use-revised-text-1) then $der-revised-text-2 != '' and $der-revised-text-2 != $der-revised-text-1         else $der-revised-text-2 != '' and $der-revised-text-2 != $der-text " />
    <xsl:variable name="obsolete-tgi-info-3" select="if (exists($der-tgi-codes-2-b)) then ()        else if ($an-obsolete-tgi-2) then $obsolete-tgi-info-2        else if ($use-revised-text-2) then $knowledge/special-tgi/obsolete[matches($der-revised-text-2, concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')]        else () " />
    <xsl:variable name="an-obsolete-tgi-3" select="exists($obsolete-tgi-info-3)" />
    <xsl:variable name="der-tgi-codes-2-c" select="if ($an-obsolete-tgi-3) then ()        else if ($ts-not-needed or exists($der-tgi-codes-2-b) or not($use-revised-text-2)) then $der-tgi-codes-2-b        else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-2,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2-c" select="$error-usingTS-2-b or 'Error' = $der-tgi-codes-2-c " />
    <xsl:variable name="der-tgi-codes-2-d" select="if ($an-obsolete-tgi-3 or $ts-not-needed or exists($der-tgi-codes-2-c)) then $der-tgi-codes-2-c        else iq:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula,          if ($der-revised-text-2 != '') then $der-revised-text-2          else if ($der-revised-text-1 != '') then $der-revised-text-1          else $der-text, 'default') " />
    <xsl:variable name="error-usingTS-2-d" select="$error-usingTS-2-c or 'Error' = $der-tgi-codes-2-d " />
    <xsl:variable name="der-tgi-codes-2" select="$der-tgi-codes-2-d " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-2-d " />
    <xsl:variable name="der-valid-codes-2" select="if ($der-valid-codes-1 != '') then $der-valid-codes-1        else if ($error-usingTS-2) then ''         else string-join((for $code in $der-tgi-codes-2 return if (contains($code, '~inactive')) then '' else $code)[. != ''], '|')  " />
    <xsl:variable name="valid-tgi-3" select="$valid-tgi-2 or $der-valid-codes-2 != '' " />
    <xsl:variable name="der-inactive-codes-1" select="if ($valid-tgi-3) then () else        for $code in $der-tgi-codes-2 return if (contains($code, '~inactive')) then replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is') else '' " />
    <xsl:variable name="der-inactive-codes-2" select="for $i in (1 to count($der-inactive-codes-1)) return         dh:IsCodeAssociatedWithAnotherCode($der-inactive-codes-1[$i], '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-1" select="'Error' = $der-inactive-codes-2 " />
    <xsl:variable name="der-NAF-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-NAF-active-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound~active')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-inactive-codes-3" select="tokenize(string-join(for $i in (1 to count($der-inactive-codes-1)) return replace(string-join(tokenize($der-inactive-codes-2[$i], '\|')        [matches(., '(REPLACED BY|SAME AS|ALTERNATIVE|POSSIBLY EQUIVALENT TO|MAY BE A|WAS A)')], '|'), '[0-9]+~[A-Z ]+~([0-9]+)', '$1'), '|'), '\|')        [. != ''] " />
    <xsl:variable name="der-tgi-codes-3" select="if (exists($der-inactive-codes-3)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($der-inactive-codes-3, ' OR '), ') AND ', $valid-domain), '', string(count($der-inactive-codes-3)), false())          else '' " />
    <xsl:variable name="error-usingTS-3" select="$error-usingTS-2 or 'Error' = $der-tgi-codes-3 " />
    <xsl:variable name="der-valid-codes-3" select="if ($der-valid-codes-2 != '') then $der-valid-codes-2        else if (contains($der-tgi-codes-3, '[')) then $der-tgi-codes-3        else '' " />
    <xsl:variable name="valid-tgi-4" select="$valid-tgi-3 or $der-valid-codes-3 != '' " />
    <xsl:variable name="tbd-hierarchy" select="if (exists($cd-definitions/meds/meds-tbd/hierarchy))         then string-join(for $hierarchy in $cd-definitions/meds/meds-tbd/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-hierarchy" select="if ($invalid-hierarchy-1 != '' and $tbd-hierarchy != '') then concat($invalid-hierarchy-1, ' OR ', $tbd-hierarchy)        else if ($invalid-hierarchy-1 != '') then $invalid-hierarchy-1        else if ($tbd-hierarchy != '') then $tbd-hierarchy        else '' " />
    <xsl:variable name="invalid-domain" select="if ($invalid-hierarchy != '' and $invalid-refset != '') then concat($invalid-hierarchy, ' OR ', $invalid-refset)        else if ($invalid-hierarchy != '') then $invalid-hierarchy        else if ($invalid-refset != '') then $invalid-refset        else '' " />
    <xsl:variable name="filter-text" select="if ($use-revised-text-2) then $der-revised-text-2 else if ($use-revised-text-1) then $der-revised-text-1 else $der-text " />
    <xsl:variable name="der-tgi-codes-4" select="if ($ts-not-needed or $valid-tgi-4 or $invalid-domain = '') then ()        else if (exists($related-terms-2)) then $related-terms-2        else distinct-values((tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          $invalid-domain, $filter-text, $max-code-number, false()), '(\[.*?\])(\||$)', '$2'), '\|'), $der-inactive-codes-3)) " />
    <xsl:variable name="error-usingTS-4" select="$error-usingTS-3 or 'Error' = $der-tgi-codes-4 " />
    <xsl:variable name="invalid-tgi-codes-r" select="if ($ts-not-needed or $valid-tgi-4 or $error-usingTS-4 or not(exists($der-tgi-codes-4))) then ()        else if ($invalid-refset = '') then tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-tgi-codes-4, ' OR '), ') AND (', $inactive-refSets, ')'), '',           string(count($der-tgi-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')        else tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-tgi-codes-4, ' OR '), ') AND (', $invalid-refset, ' OR ', $inactive-refSets, ')'), '',           string(count($der-tgi-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')  " />
    <xsl:variable name="error-usingTS-5" select="$error-usingTS-4 or 'Error' = $invalid-tgi-codes-r " />
    <xsl:variable name="der-tgi-codes-4-h" select="if ($error-usingTS-5) then () else $der-tgi-codes-4[not(. = $invalid-tgi-codes-r)]" />
    <xsl:variable name="invalid-tgi-codes-h" select="if ($ts-not-needed or $valid-tgi-4 or 'Error' = $der-tgi-codes-4 or $meds-invalid-hierarchy = '' or not(exists($der-tgi-codes-4-h))) then ()        else (for $code in $der-tgi-codes-4-h return          if (dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;&gt;', $code, ' MINUS ', $meds-invalid-hierarchy), '', '1', false()) = '') then $code else '')[. != ''] " />
    <xsl:variable name="invalid-tgi-codes" select="($invalid-tgi-codes-h, $invalid-tgi-codes-r) " />
    <xsl:variable name="der-tgi-codes-5" select="$der-tgi-codes-4[not(. = $invalid-tgi-codes or . = 'Error')]" />
    <xsl:variable name="der-valid-codes-4" select="if ($der-valid-codes-3 != '') then $der-valid-codes-3        else if ($ts-not-needed or $valid-tgi-4 or $valid-domain = '' or not(exists($der-tgi-codes-5))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-tgi-codes-5, ' OR '), ') AND ', $valid-domain), '', string(count($der-tgi-codes-5)), false()) " />
    <xsl:variable name="error-usingTS-6" select="$error-usingTS-5 or 'Error' = $der-valid-codes-4 " />
    <xsl:variable name="valid-tgi-5" select="$valid-tgi-4 or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="der-valid-codes-seq" select="if ($error-usingTS-6) then () else tokenize(replace($der-valid-codes-4,  '(\[.*?\])(\||$)', '$2'), '\|') " />
    <xsl:variable name="undetermined-tgi-1" select="if (exists($der-valid-codes-seq)) then $der-tgi-codes-5[not(. = $der-valid-codes-seq)] else $der-tgi-codes-5 " />
    <xsl:variable name="undetermined-inactive-1" select="for $i in (1 to count($undetermined-tgi-1)) return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $undetermined-tgi-1[$i], '', '1', false()) " />
    <xsl:variable name="error-usingTS-7" select="$error-usingTS-6 or 'Error' = $undetermined-inactive-1 " />
    <xsl:variable name="undetermined-inactive" select="(for $i in (1 to count($undetermined-tgi-1)) return         if (contains($undetermined-inactive-1[$i], '~inactive')) then $undetermined-inactive-1[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-1" select="for $i in (1 to count($undetermined-inactive))        return dh:IsCodeAssociatedWithAnotherCode(replace($undetermined-inactive[$i], '(\[.*?\])(\||$)', '$2'), '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-2" select="$error-usingV-1 or 'Error' = $undetermined-NAF-1 " />
    <xsl:variable name="undetermined-NAF" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-codes" select="for $term in $undetermined-NAF return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-NAF-active" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound~active')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-active-codes" select="for $term in $undetermined-NAF-active return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-tgi" select="$undetermined-tgi-1[not(. = ($undetermined-NAF-codes, $undetermined-NAF-active-codes))]" />
    <xsl:variable name="invalid-tgi" select="not($valid-tgi-5) and exists($invalid-tgi-codes) and not(exists($undetermined-tgi))" />
    <xsl:variable name="a-sas-tgi" select="if ($a-sas-tgi-1) then true()        else if ($a-vaccine-1 or $valid-tgi-5 or $invalid-tgi or not($use-revised-text-2) or $tgi-sas-regex = '') then false()        else matches($der-revised-text-2, $tgi-sas-regex, 'is')" />
    <xsl:variable name="an-uncoded-tgi" select="if ($an-uncoded-tgi-1) then true()        else if ($a-vaccine-1 or $valid-tgi-5 or $invalid-tgi or not($use-revised-text-2) or $tgi-otheru-regex = '' or $a-sas-tgi) then false()        else matches($der-revised-text-2, $tgi-otheru-regex, 'is')" />
    <xsl:variable name="obsolete-tgi-info" select="if ($an-obsolete-tgi-3) then $obsolete-tgi-info-3        else if ($a-vaccine-1 or $valid-tgi-5 or $invalid-tgi or not($use-revised-text-2) or not(exists($knowledge/special-tgi/obsolete)) or $a-sas-tgi or          $an-uncoded-tgi) then ()        else $knowledge/special-tgi/obsolete[matches($der-revised-text-2,          concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')] " />
    <xsl:variable name="an-obsolete-tgi" select="exists($obsolete-tgi-info)" />
    <xsl:variable name="valid-tgi-6" select="$valid-tgi-5 or $a-sas-tgi or $an-uncoded-tgi or $an-obsolete-tgi " />
    <xsl:variable name="a-vaccine-2" select="if ($a-vaccine-1) then true()        else if ($valid-tgi-6 or $invalid-tgi or not(exists($vaccine-text-normalised))) then false()        else if ($der-text != '' and translate(lower-case($der-text), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else if ($use-revised-text-1 and translate(lower-case($der-revised-text-1), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else if ($use-revised-text-2 and translate(lower-case($der-revised-text-2), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else false() " />
    <xsl:variable name="vaccine-code-test" select="if (not($a-vaccine-2 or $valid-tgi-6 or $invalid-tgi or $avoid-ts) and exists($undetermined-tgi))         then tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($undetermined-tgi, ' OR '), ') AND (&lt;71181003 OR &lt;127785005)'), '',          string(count($undetermined-tgi)), false()), '\|')        else () " />
    <xsl:variable name="error-usingTS-8" select="$error-usingTS-7 or 'Error' = $vaccine-code-test " />
    <xsl:variable name="a-vaccine" select="$a-vaccine-2 or (not('Error' = $vaccine-code-test) and exists($undetermined-tgi) and count($vaccine-code-test) = count($undetermined-tgi)) " />
    <xsl:variable name="codes-with-history" select="$der-inactive-codes-2[matches(., '[0-9]')]" />
    <xsl:variable name="hist-vers" select="if (exists($codes-with-history))        then dh:FindLastUpdatedDateForCodeUsingTS(substring-before($codes-with-history[1], '~'), '2.16.840.1.113883.6.96', $ts-latest-snomedctau)       else '' " />
    <xsl:variable name="error-usingTS-9" select="$error-usingTS-8 or 'Error' = $hist-vers " />
    <xsl:variable name="hist-vers-date" select="if (matches($hist-vers, '^(CodeFoundActive|CodeFoundInactive)\|[0-9]{8}$')) then substring-after($hist-vers, '|') else '' " />
    <xsl:variable name="inactive-concept" select="count($der-tgi-codes-2) = count($der-inactive-codes-1) and not($valid-tgi-6)" />
    <xsl:variable name="der-inactive-codes-4" select="$der-inactive-codes-3[not(contains(., 'MOVED FROM') or contains(., 'WAS A'))]" />
    <xsl:variable name="obsolete-without-date" select=" ($an-obsolete-tgi and not($obsolete-tgi-info/@last-available))   or         (exists($der-inactive-codes-3) and not(exists($der-inactive-codes-4)))  or         (exists($der-inactive-codes-4) and $hist-vers-date = '')   " />
    <xsl:variable name="obsolete-date" select="if ($is-immun) then ''        else if ($hist-vers-date != '') then $hist-vers-date        else if ($an-obsolete-tgi and $obsolete-tgi-info/@last-available) then $obsolete-tgi-info/@last-available         else '' " />
    <xsl:variable name="obsolete-yr" select="substring($obsolete-date, 1, 4) " />
    <xsl:variable name="obsolete-mn-temp" select="substring($obsolete-date, 5, 2) " />
    <xsl:variable name="obsolete-mn" select="if ($obsolete-mn-temp = '') then '06' else $obsolete-mn-temp " />
    <xsl:variable name="obsolete-dy-temp" select="substring($obsolete-date, 7, 2) " />
    <xsl:variable name="obsolete-dy" select="if ($obsolete-dy-temp = '') then '15' else $obsolete-dy-temp " />
    <xsl:variable name="obsolete-xs" select="if ($obsolete-date = '') then () else xs:date(concat($obsolete-yr, '-', $obsolete-mn, '-', $obsolete-dy)) " />
    <xsl:variable name="display-obsolete-date" select="if ($obsolete-date = '') then ''        else if ($obsolete-mn-temp = '') then $obsolete-dy        else if ($obsolete-dy-temp = '') then concat($knowledge/months/month[@number = $obsolete-mn]/@abbreviation, ' ', $obsolete-yr)        else concat($obsolete-dy, ' ', $knowledge/months/month[@number = $obsolete-mn]/@abbreviation, ' ', $obsolete-yr) " />
    <xsl:variable name="obsolete-date-diff" select="if ($obsolete-date = '' or not(matches($creation-date-xs - $obsolete-xs, '^P[0-9]+D'))) then '0'        else number(substring-before(substring-after($creation-date-xs - $obsolete-xs, 'P'), 'D')) " />
    <xsl:variable name="obsolete-yrs-ago" select="$obsolete-date-diff div 365 " />
    <xsl:variable name="coding" select="if (not($flags/@assess-class = 'true') or not($use-ts-for-sctau) or not(exists($iq-config/tgi-coding))) then () else $iq-config/tgi-coding" />
    <xsl:variable name="s-classification" select="if (exists($coding/special-classification/classification)) then $coding/special-classification/classification else () " />
    <xsl:variable name="s-number" select="count($s-classification) " />
    <xsl:variable name="s-formula" select="string-join(for $class in $s-classification return $class/@code, ' OR ')" />
    <xsl:variable name="code-to-assess" select="if (not($flags/@assess-class = 'true') or not($use-ts-for-sctau)) then '' else if (exists($der-valid-codes-seq)) then $der-valid-codes-seq[1] else '' " />
    <xsl:variable name="value-domain-1" select="if ($code-to-assess = '') then '' else dh:FindValueDomainsForCode($code-to-assess, '2.16.840.1.113883.6.96', $v-current-sctau)" />
    <xsl:variable name="class-error-1" select="$value-domain-1 = 'Error' " />
    <xsl:variable name="value-domain" select="if ($class-error-1 or $value-domain-1 = ('', 'CodeNotFound')) then ''       else if (contains($value-domain-1, '|')) then substring-before($value-domain-1, '|')       else $value-domain-1 " />
    <xsl:variable name="first-pass-1" select="if ($value-domain = '') then ''        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)'))         then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat($code-to-assess, ' . 30409011000036107'), '', '1', true())        else if ($value-domain = 'Medicinal Product Pack (MPP)')         then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat($code-to-assess, ' . 30348011000036104'), '', '1', true())        else if ($value-domain = 'Trade Product (TP)') then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&lt;', $code-to-assess), '', '1', true())        else $code-to-assess " />
    <xsl:variable name="class-error-2" select="$class-error-1 or ($value-domain != '' and $first-pass-1 = ('Error', '')) " />
    <xsl:variable name="first-pass" select="if (not($class-error-2) and $first-pass-1 != '') then replace($first-pass-1, '(\[.*?\])(\||$)', '$2') else '' " />
    <xsl:variable name="second-pass-1" select="if ($first-pass = '') then ''        else if ($value-domain = 'Trade Product Unit of Use (TPUU)')          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $code-to-assess, ' AND ^929360071000036103'), '', '1', true())        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product (TP)'))          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $first-pass, ' AND ^929360071000036103'), '', '1', true())        else if ($value-domain = 'Medicinal Product Pack (MPP)') then $first-pass        else $code-to-assess " />
    <xsl:variable name="class-error-3" select="$class-error-2 or ($first-pass != '' and $second-pass-1 = ('Error', '')) " />
    <xsl:variable name="second-pass" select="if (not($class-error-3) and $second-pass-1 != '') then replace($second-pass-1, '(\[.*?\])(\||$)', '$2') else '' " />
    <xsl:variable name="class-tp-1" select="if ($class-error-3) then ''        else if ($value-domain = 'Trade Product Unit of Use (TPUU)')          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $code-to-assess, ' AND ^929360021000036102'), '', '1', true())        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)'))          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $first-pass, ' AND ^929360021000036102'), '', '1', true())        else '' " />
    <xsl:variable name="class-tp-error" select="$class-tp-1 = 'Error' " />
    <xsl:variable name="class-tp" select="if (not($class-tp-error) and $class-tp-1 != '') then replace($class-tp-1, '^([0-9]+\[)(.*?)(\])$', '$2') else '' " />
    <xsl:variable name="third-pass-1" select="if ($second-pass = '') then ''        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product (TP)',          'Trade Product Unit of Use (TPUU)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)'))         then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;!', $second-pass, ' AND ^929360061000036106'), '', '1', false())        else $second-pass " />
    <xsl:variable name="class-error-4" select="$class-error-3 or ($second-pass != '' and $third-pass-1 = ('Error', '')) " />
    <xsl:variable name="third-pass" select="if ($class-error-4 or $third-pass-1 = '') then ''         else if (matches($third-pass-1, '^[0-9]+$')) then replace($der-valid-codes-4, '^([0-9]+\[)(.*?)(\]\|.*|\])$', '$2')        else if (matches($third-pass-1, '^[0-9]')) then replace($third-pass-1, '^([0-9]+\[)(.*?)(\])$', '$2') else '' " />
    <xsl:variable name="fourth-pass-1" select="if ($third-pass = '') then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', '&lt;373873005', $third-pass, '1', true()) " />
    <xsl:variable name="class-error-5" select="$class-error-4 or $fourth-pass-1 = 'Error' " />
    <xsl:variable name="fourth-pass" select="if (not($class-error-4) and $fourth-pass-1 != '' and matches($fourth-pass-1, '^[0-9]')) then replace($fourth-pass-1, '(\[.*?\])(\||$)', '$2') else '' " />
    <xsl:variable name="class-not-completed" select="($flags/@assess-class = 'true' and $code-to-assess = '')  or        ($code-to-assess != '' and $value-domain-1 = 'CodeNotFound') or        ($third-pass != '' and $fourth-pass = '')   " />
    <xsl:variable name="valid-class-1" select="if ($fourth-pass = '' or $s-number = 0) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND (', $s-formula, ')'), '', string($s-number), true()) " />
    <xsl:variable name="class-error-6" select="$class-error-5 or $valid-class-1 = 'Error' " />
    <xsl:variable name="valid-class-2" select="if ($valid-class-1 = '' or $class-error-6) then () else tokenize(replace($valid-class-1, '(\[.*?\])(\||$)', '$2'), '\|') " />
    <xsl:variable name="valid-class-3" select="if ($a-vaccine and exists($s-classification[@code = '71181003']/@description)) then ($s-classification[@code = '71181003']/@description)       else if ($a-vaccine and exists($s-classification[@code = '71181003']/@pterm)) then ($s-classification[@code = '71181003']/@pterm)       else for $code in $valid-class-2 return if ($coding/special-classification/classification[@code = $code]/@description)         then $coding/special-classification/classification[@code = $code]/@description         else $coding/special-classification/classification[@code = $code]/@pterm " />
    <xsl:variable name="fifth-pass" select="if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/first-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/first-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-7" select="$class-error-6 or $fifth-pass = 'Error' " />
    <xsl:variable name="sixth-pass" select="if (not($fifth-pass = '')) then $fifth-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/second-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/second-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-8" select="$class-error-7 or $sixth-pass = 'Error' " />
    <xsl:variable name="seventh-pass" select="if (not($sixth-pass = '')) then $sixth-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/third-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/third-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-9" select="$class-error-8 or $seventh-pass = 'Error' " />
    <xsl:variable name="eighth-pass" select="if (not($seventh-pass = '')) then $seventh-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/fourth-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/fourth-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-10" select="$class-error-9 or $eighth-pass = 'Error' " />
    <xsl:variable name="ninth-pass" select="if (not($eighth-pass = '')) then $eighth-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/fifth-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/fifth-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-11" select="$class-error-10 or $ninth-pass = 'Error' " />
    <xsl:variable name="valid-class" select="if (exists($valid-class-3)) then $valid-class-3        else if (not($ninth-pass = '')) then for $term in tokenize($ninth-pass, '\|') return replace($term, '^([0-9]+\[)(.*?)(\])$', '$2')       else () " />
    <xsl:variable name="codes-were-found" select="exists($der-tgi-codes-4) or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="obsolete-error" select="not($is-immun) and ($an-obsolete-tgi or $inactive-concept) and $obsolete-yrs-ago &gt; 2 " />
    <xsl:variable name="obsolete-warning" select="not($is-immun or $obsolete-error) and ($an-obsolete-tgi or $inactive-concept) and ($obsolete-yrs-ago &gt; 1 or $obsolete-without-date) " />
    <xsl:variable name="codes-not-found" select="not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-6 or $invalid-tgi or $a-vaccine) " />
    <xsl:variable name="codes-in-the-domain" select="not($valid-tgi-1) and $valid-tgi-5" />
    <xsl:variable name="codes-in-other-domain" select="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi or         $a-vaccine or $obsolete-warning) " />
    <xsl:variable name="codes-in-no-domain" select="exists($der-tgi-codes-5) " />
    <xsl:variable name="display-in-the-domain" select="if ($codes-in-the-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', '), '''')        else '' " />
    <xsl:variable name="display-in-other-r" select="if (exists($invalid-tgi-codes-r) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-tgi-codes-r return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-h" select="if (exists($invalid-tgi-codes-h) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-tgi-codes-h return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-domain" select="if (not($codes-in-other-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))) then ''        else if ($display-in-other-r and display-in-other-h) then concat('''', $display-in-other-r, ', ', $display-in-other-h, '''')        else if ($display-in-other-r) then concat('''', $display-in-other-r, '''')        else if ($display-in-other-h) then concat('''', $display-in-other-h, '''')        else '' " />
    <xsl:variable name="display-in-no-domain" select="if ($codes-in-no-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', dh:XQueryRecursiveReplace(string-join(for $code in $der-tgi-codes-5 return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), '; '),          $term-pattern-replacement, 'ic'), '''')        else '' " />
    <xsl:variable name="log-concepts-appended" select="if ($error-usingTS-9 or not($flags/@report-terminology-concepts = 'true') or $log-concepts-name = '') then ''        else if ($codes-not-found and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                   'Therapeutic Good Identification', $log-tab,                   'yes',     $log-tab,                   iq:display-CD(.),   $log-tab,                   '',     $log-tab,                  '',     $log-tab,                  '',     $log-tab,                  $ts-current-sctau   ))        else if (($use-revised-text-2 or $codes-in-no-domain) and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                  'Therapeutic Good Identification', $log-tab,                   'yes',     $log-tab,                     iq:display-CD(.),   $log-tab,                    $display-in-the-domain,   $log-tab,                  $display-in-other-domain,  $log-tab,                  $display-in-no-domain,   $log-tab,                  $ts-current-sctau   ))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if (matches($defn-invalid-rsn, 'is a container', 'is')) then $rating-container-TC-Types-57 else $rating-TC-Types-57 " />
    <!--REPORT -->
    <xsl:if test=" $log-concepts-appended = ('NOTFOUND', 'ERROR') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$log-concepts-appended = ('NOTFOUND', 'ERROR')">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): The AppendLog function returned '<xsl:text /><xsl:value-of select="$log-concepts-appended" /><xsl:text />' when requested to append the concepts log
		'<xsl:text /><xsl:value-of select="$log-concepts-name" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $flags/@assess-class = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $flags/@assess-class = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): 
		code-to-assess '<xsl:text /><xsl:value-of select="$code-to-assess" /><xsl:text />'
		value-domain '<xsl:text /><xsl:value-of select="$value-domain" /><xsl:text />'
		first-pass '<xsl:text /><xsl:value-of select="$first-pass" /><xsl:text />'
		second-pass '<xsl:text /><xsl:value-of select="$second-pass" /><xsl:text />'
		third-pass '<xsl:text /><xsl:value-of select="$third-pass" /><xsl:text />'
		fourth-pass '<xsl:text /><xsl:value-of select="$fourth-pass" /><xsl:text />'
		valid-class-1 '<xsl:text /><xsl:value-of select="$valid-class-1" /><xsl:text />'
		fifth-pass '<xsl:text /><xsl:value-of select="$fifth-pass" /><xsl:text />'
		sixth-pass '<xsl:text /><xsl:value-of select="$sixth-pass" /><xsl:text />'
		seventh-pass '<xsl:text /><xsl:value-of select="$seventh-pass" /><xsl:text />'
		eighth-pass '<xsl:text /><xsl:value-of select="$eighth-pass" /><xsl:text />'
		ninth-pass '<xsl:text /><xsl:value-of select="$ninth-pass" /><xsl:text />'

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $class-error-11 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$class-error-11">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An unexpected error occurred during the process to classify a terminology code.
		Report the information below to the Australian Digital Health Agency for investigation.
		The value domain was '<xsl:text /><xsl:value-of select="$value-domain" /><xsl:text />' and the error variable was
		<xsl:text /><xsl:value-of select="if ($class-error-1) then concat('class-error-1. The FindValueDomainsForCode function was called with code ''', $code-to-assess,     ''', codeSystem ''2.16.840.1.113883.6.96'' and codeSystemVersion ''', $v-current-sctau, ''' and returned ''', $value-domain-1, '''.')   else if ($class-error-2) then concat('class-error-2. The SearchForCodesInHierarchyUsingTS function was called with code ''', $code-to-assess,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $first-pass-1, '''.')   else if ($class-error-3) then concat('class-error-3. The SearchForCodesInHierarchyUsingTS function was called with code ''',     if ($value-domain = 'Trade Product Unit of Use (TPUU)') then $code-to-assess else $first-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $second-pass-1, '''.')   else if ($class-error-4) then concat('class-error-4. The SearchForCodesInHierarchyUsingTS function was called with code ''', $second-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $third-pass-1, '''.')   else if ($class-error-5) then concat('class-error-5. The SearchForCodesInHierarchyUsingTS function was called with code ''', $third-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $fourth-pass-1, '''.')   else if ($class-error-6) then concat('class-error-6. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $valid-class-1, '''.')   else if ($class-error-7) then concat('class-error-7. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $fifth-pass, '''.')   else if ($class-error-8) then concat('class-error-8. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $sixth-pass, '''.')   else if ($class-error-9) then concat('class-error-9. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $seventh-pass, '''.')   else if ($class-error-10) then concat('class-error-10. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $eighth-pass, '''.')   else if ($class-error-11) then concat('class-error-11. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $ninth-pass, '''.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $class-tp-error ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$class-tp-error">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An unexpected error occurred during the process to find the trade product name for a medicine.
		Report the information below to the Australian Digital Health Agency for investigation.
		The value domain was '<xsl:text /><xsl:value-of select="$value-domain" /><xsl:text />' and the error variable was class-tp-error.
		The FindValueDomainsForCode function was called with code ''', 
		if ($value-domain = 'Trade Product Unit of Use (TPUU)') then $code-to-assess else $first-pass, 
		''', codeSystem ''2.16.840.1.113883.6.96'' and codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $class-tp-1, '''.')

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-tgi-6) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-tgi-6)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An unexpected problem occurred when assessing the value of the Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. The application of regular expressions resulted in the complete loss of text.
		Report the information below to the Australian Digital Health Agency for investigation.

		der-text-1 '<xsl:text /><xsl:value-of select="normalize-space(dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'))" /><xsl:text />'.
		der-text-2a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-2a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-a, $term-pattern-replacement, 'ic')" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingV-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingV-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An error was reported when accessing the terminology server when assessing the Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		Report the issue to the Australian Digital Health Agency for investigation stating the error was recorded for error-usingV-2.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-9 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-9">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An error was reported when accessing the terminology server when assessing the Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term:
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The analysis should be retried as the terminology server may have been temporarily unavailable.
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'error-usingTS-1' else if ($error-usingTS-2-a) then 'error-usingTS-2-a'   else if ($error-usingTS-2-b) then 'error-usingTS-2-b' else if ($error-usingTS-2-c) then 'error-usingTS-2-c'   else if ($error-usingTS-2) then 'error-usingTS-2'   else if ($error-usingTS-3) then 'error-usingTS-3' else if ($error-usingTS-4) then 'error-usingTS-4'   else if ($error-usingTS-5) then 'error-usingTS-5' else if ($error-usingTS-6) then 'error-usingTS-6'   else if ($error-usingTS-7) then 'error-usingTS-7' else if ($error-usingTS-8) then 'error-usingTS-8'   else 'error-usingTS-9' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or      $valid-tgi-6 or $invalid-tgi) and not($a-vaccine and not(false())) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi) and not($a-vaccine and not(false()))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is identify the medicine, vaccine or other therapeutic good being         ordered, administered to or used by the subject of care. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.         (See section 4.4 of the eHealth Prescription and Dispense View Structured Content Specification v1.0.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         SUMMARY OF MEDICATION ENTRIES section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi) and    not($a-vaccine and false()) and not($obsolete-warning) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi) and not($a-vaccine and false()) and not($obsolete-warning)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the value does not seem to be applicable for the data element.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is identify the medicine, vaccine or other therapeutic good being         ordered, administered to or used by the subject of care. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.         (See section 4.4 of the eHealth Prescription and Dispense View Structured Content Specification v1.0.)')" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $obsolete-warning ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$obsolete-warning">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the name may not be applicable for the data element.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> and the
		<xsl:text /><xsl:value-of select="if ($display-obsolete-date != '') then concat('name of the therapeutic good was last used ', $display-obsolete-date)   else if ($obsolete-tgi-info/@name) then concat('therapeutic good ''', $obsolete-tgi-info/@name, ''' was last available ', $display-obsolete-date)    else if ($obsolete-without-date) then 'name of the therapeutic good is no longer used ' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($obsolete-tgi-info/@reason) then concat(' because ', $obsolete-tgi-info/@reason, '.') else '.' " /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is identify the medicine, vaccine or other therapeutic good being         ordered, administered to or used by the subject of care. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.         (See section 4.4 of the eHealth Prescription and Dispense View Structured Content Specification v1.0.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		<xsl:text /><xsl:value-of select="$creation-date-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $obsolete-error ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$obsolete-error">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the name is not applicable for the data element.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> and the
		<xsl:text /><xsl:value-of select="if ($display-obsolete-date != '') then concat('name of the therapeutic good was last used ', $display-obsolete-date)   else if ($obsolete-tgi-info/@name) then concat('therapeutic good ''', $obsolete-tgi-info/@name, ''' was last available ', $display-obsolete-date)    else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($obsolete-tgi-info/@reason) then concat(' because ', $obsolete-tgi-info/@reason, '.') else '.' " /><xsl:text />
		That was <xsl:text /><xsl:value-of select="if (contains(string($obsolete-yrs-ago), '.')) then substring-before(string($obsolete-yrs-ago), '.') else $obsolete-yrs-ago " /><xsl:text /> years before the
		<xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is identify the medicine, vaccine or other therapeutic good being         ordered, administered to or used by the subject of care. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.         (See section 4.4 of the eHealth Prescription and Dispense View Structured Content Specification v1.0.)'))" /><xsl:text /><xsl:text /><xsl:value-of select="$creation-date-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the data element does not have a proper value. <xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is identify the medicine, vaccine or other therapeutic good being         ordered, administered to or used by the subject of care. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.         (See section 4.4 of the eHealth Prescription and Dispense View Structured Content Specification v1.0.)'))" /><xsl:text />
		The Therapeutic Good Identification data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is identify the medicine, vaccine or other therapeutic good being         ordered, administered to or used by the subject of care. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.         (See section 4.4 of the eHealth Prescription and Dispense View Structured Content Specification v1.0.)'))" /><xsl:text />
		The Therapeutic Good Identification data element must have a value that is consistent with this definition. Alternatively if there is no Therapeutic Good Identification data element with a proper value then an exclusion
		statement must be included to state why there is no Therapeutic Good Identification. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4')    then concat('Text such as ''', dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'), ''' may be permitted in the narrative even though the Therapeutic Good Identification data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the data element does not have a proper value. <xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is identify the medicine, vaccine or other therapeutic good being         ordered, administered to or used by the subject of care. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.         (See section 4.4 of the eHealth Prescription and Dispense View Structured Content Specification v1.0.)'))" /><xsl:text />
		The Therapeutic Good Identification data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($der-text-non-value) and $der-invalid-text ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($der-text-non-value) and $der-invalid-text">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />
		however the value is invalid. <xsl:text /><xsl:value-of select="$defn-invalid-rsn" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is identify the medicine, vaccine or other therapeutic good being         ordered, administered to or used by the subject of care. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.         (See section 4.4 of the eHealth Prescription and Dispense View Structured Content Specification v1.0.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $a-vaccine and false() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$a-vaccine and false()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />
		which identifies a vaccine. <xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is identify the medicine, vaccine or other therapeutic good being         ordered, administered to or used by the subject of care. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.         (See section 4.4 of the eHealth Prescription and Dispense View Structured Content Specification v1.0.)'))" /><xsl:text />
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         SUMMARY OF MEDICATION ENTRIES section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $invalid-tgi and not($error-usingTS-9) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$invalid-tgi and not($error-usingTS-9)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
ZZZ
der-text '<xsl:text /><xsl:value-of select="$der-text" /><xsl:text />'
der-revised-text-1 '<xsl:text /><xsl:value-of select="$der-revised-text-1" /><xsl:text />'
der-revised-text-2 '<xsl:text /><xsl:value-of select="$der-revised-text-2" /><xsl:text />'
ZZZ
		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the value is invalid
		<xsl:text /><xsl:value-of select="if (exists($invalid-tgi-codes-h) or exists($invalid-tgi-codes-r)) then concat(' as it describes ',    iq:invalidityExplanationUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, $invalid-tgi-codes-h, $cd-definitions/meds/meds-invalid/hierarchy, $invalid-tgi-codes-r, $cd-definitions/meds/meds-invalid/refset), '.')   else '.' " /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is identify the medicine, vaccine or other therapeutic good being         ordered, administered to or used by the subject of care. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.         (See section 4.4 of the eHealth Prescription and Dispense View Structured Content Specification v1.0.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable outside the applicable value domain): The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. The following codes were obtained and are not in the value domain:
		<xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-TGI-Defn): The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU and no associated code was found in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists(($der-NAF-active-codes, $undetermined-NAF-active-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists(($der-NAF-active-codes, $undetermined-NAF-active-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-TGI-Defn): The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-active-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the
		'<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU but it was not found with this status in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.
		<xsl:text /><xsl:value-of select="if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and ($valid-tgi-1 or $a-vaccine-2 or (not($valid-tgi-5) and $valid-tgi-6))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and ($valid-tgi-1 or $a-vaccine-2 or (not($valid-tgi-5) and $valid-tgi-6))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable within the value domain): The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> which matches
		<xsl:text /><xsl:value-of select="if ($a-vaccine-1) then 'one of the terms listed in Knowledge.xml' else 'the vaccine information in CodeSystems.xml' " /><xsl:text /> for the Therapeutic Good Identification.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(exists($valid-class)) and $class-not-completed and not($class-tp-error or $class-error-10) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(exists($valid-class)) and $class-not-completed and not($class-tp-error or $class-error-10)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. <xsl:text /><xsl:value-of select="if ($code-to-assess = '') then 'No code could be found for the medicine.'    else if ($value-domain = '') then concat('The code ''', $code-to-assess, ''' was found to apply to the medicine by applying the terminology server using the ''', $ts-current-sctau,   ''' version of SNOMED CT-AU but the code was not found in the Validator''s database using the ''', $v-current-sctau, ''' version of SNOMED CT-AU.',   if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '')   else concat('This is a ', $value-domain,    if ($value-domain = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)')) then    concat(' (with medicinal product ''', $third-pass, ''').')    else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)'))    then concat(' (with trade product ''', $class-tp, ''').')    else '.') " /><xsl:text /> The classification of this medicine could not be completed.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists($valid-class) and not($class-tp-error or $class-error-11) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists($valid-class) and not($class-tp-error or $class-error-11)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This <xsl:text /><xsl:value-of select="if (not($value-domain = ('Containered Trade Product Pack (CTPP)',    'Trade Product Pack (TPP)', 'Trade Product (TP)', 'Trade Product Unit of Use (TPUU)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Medicinal Product (MP)')))    then '' else concat('is a ', $value-domain, ' which')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($value-domain = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)')) then concat(' (with medicinal product ''', $third-pass, ''') which')   else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)'))    then concat(' (with trade product ''', $class-tp, ''') which') else '' " /><xsl:text />
		identifies a type of <xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($valid-class, ' and '), $markup-pattern-replacement, 'ic')" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (concept is codeable within the value domain): The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> which is a valid value for the Therapeutic Good Identification.
		SNOMED CT-AU codes that matched the concept are: <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The text used to match regular expression (der-text-2) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to match non-values and vaccines (der-text-to-match) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-to-match, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to derive a code (der-text) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.

		<xsl:text /><xsl:value-of select="if ($use-revised-text-1) then concat(' A first revision of the text (der-revised-text-1) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-1, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A first revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-1 != '' and $der-revised-text-1 = '') then ' revision-pattern-1 was applied but the output (der-revised-text-1) was an empty string.' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($use-revised-text-2) then concat(' A second revision of the text (der-revised-text-2) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A second revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-2 != '' and $der-revised-text-2 = '') then ' revision-pattern-2 was applied but the output (der-revised-text-2) was an empty string.' else '' " /><xsl:text />

		The SNOMED CT-AU version used to find codes is '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' and the maximum code number is '<xsl:text /><xsl:value-of select="$max-code-number" /><xsl:text />'.

		Codes for related terms (related-terms-2): '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($related-terms-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes for related terms (der-valid-codes-1): 
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-1, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-tgi-codes-2) returned by the terminology server that match the text:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-tgi-codes-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes from related terms or the terminology server (der-valid-codes-2):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-2, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-inactive-codes-3) returned from the Validator's database associated with inactive codes:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-inactive-codes-3, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes found after examining inactive codes (der-valid-codes-3):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-3, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Members of invalid reference sets (invalid-tgi-codes-r): '<xsl:text /><xsl:value-of select="$display-in-other-r" /><xsl:text />'.
		Members of invalid code hierarchies (invalid-tgi-codes-h): '<xsl:text /><xsl:value-of select="$display-in-other-h" /><xsl:text />'.

		Final set of valid codes (der-valid-codes-4): <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.
		
		Codes whose validity has not been determined (der-tgi-codes-5): <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.
		Codes whose validity has not been determined and are inactive with no associated code (undetermined-NAF): '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(    string-join($undetermined-NAF, ''', '''), $markup-pattern-replacement, 'ic')" /><xsl:text />'.

		Result of the second vaccination code test (a-vaccine-2): '<xsl:text /><xsl:value-of select="$a-vaccine-2" /><xsl:text />'.
		Vaccine codes (vaccine-code-test):  '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($vaccine-code-test, '; '), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Overall result of the vaccination test (a-vaccine): '<xsl:text /><xsl:value-of select="$a-vaccine" /><xsl:text />'.

		Will the value of the data element be trusted (der-trusted-text)? '<xsl:text /><xsl:value-of select="$der-trusted-text" /><xsl:text />'.
		
	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and $codes-not-found">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept not codeable): The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($avoid-ts) then 'The terminology server was not used to assist with finding codes corresponding to text in the data element. ' else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $prose-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $prose-err">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> which is invalid as it is prose text.
		The Therapeutic Good Identification data element is CodeableText derived from the HL7 CD data type which by definition is to record a concept defined in an external code system, terminology or ontology.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is identify the medicine, vaccine or other therapeutic good being         ordered, administered to or used by the subject of care. The text must include the name of the medication (brand name or generic name         equivalent), strength and dose form, where appropriate.         (See section 4.4 of the eHealth Prescription and Dispense View Structured Content Specification v1.0.)'))" /><xsl:text />
		This finding will also be reported as an error.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M796" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M796" />
  <xsl:template match="@*|node()" priority="-2" mode="M796">
    <xsl:apply-templates select="@*|*" mode="M796" />
  </xsl:template>
  <!--PATTERN p-TS-PD-CodeableText-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16795' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16795']]/cda:entry/   cda:organizer[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16798']]/cda:component/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.10194']]/cda:value   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M797">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16795' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16795']]/cda:entry/   cda:organizer[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16798']]/cda:component/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.10194']]/cda:value   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Therapeutic Good Identification has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Therapeutic Good Identification data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Therapeutic Good Identification data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Therapeutic Good Identification data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Therapeutic Good Identification data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Therapeutic Good Identification data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Therapeutic Good Identification data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Therapeutic Good Identification data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Therapeutic Good Identification data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M797" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M797" />
  <xsl:template match="@*|node()" priority="-2" mode="M797">
    <xsl:apply-templates select="@*|*" mode="M797" />
  </xsl:template>
  <!--PATTERN p-TS-PD-DateTime-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16795' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16795']]/cda:entry/   cda:organizer[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16798']]/cda:component/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16799']]/cda:value " priority="1000" mode="M798">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16795' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16795']]/cda:entry/   cda:organizer[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16798']]/cda:component/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16799']]/cda:value " />
    <xsl:variable name="allow-ivl-ts" select="if (not(@xsi:type)) then false() else /cda:ClinicalDocument       [cda:templateId[(@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')  or         (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or         (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) ]]   and        local-name(.) = 'value'             and        ..[local-name(.) = 'observation' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]   and       ../..[local-name(.) = 'entryRelationship' and @typeCode='SUBJ']        and       ../../..[local-name(.) = 'observation' and cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]  and       ../../../..[local-name(.) = 'entry']            and       ../../../../..[local-name(.) = 'section' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]  " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-18" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-18 else $rating-alt-TC-Types-18 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-18: The DateTime Prescription Written '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data
		type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime',            'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime', 'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: The DateTime Prescription Written

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type but it does not meet the requirement to have the xsi:type attribute with the value 'TS'.
		(See section 8.6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to section 4.6 of the Prescription and Dispense View Structured Content Specification v1.0 the DateTime Prescription Written '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was
		found. This may be corrected by using an xsi:type attribute with the value 'TS'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to section 4.6 of the Prescription and Dispense View Structured Content Specification v1.0 the DateTime Prescription Written '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		This may be corrected by using an xsi:type attribute with the value 'TS'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to section 4.6 of the Prescription and Dispense View Structured Content Specification v1.0 the DateTime Prescription Written '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7
		'TS' data type to have a value attribute if there is no nullFlavor
		attribute. (See section 7.8.13.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange')

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to section 4.6 of the Prescription and Dispense View Structured Content Specification v1.0 the DateTime Prescription Written '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7 'TS' data type to have a value attribute if there is no nullFlavor
		attribute. The element has a '<xsl:text /><xsl:value-of select="local-name(*[local-name(.) = ('low', 'high')])" /><xsl:text />' child element with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		which is not one of the elements used for the HL7 'TS'
		data type. (See section 7.8.13 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 4.6 of the Prescription and Dispense View Structured Content Specification v1.0 the DateTime Prescription Written
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		is present. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 4.6 of the Prescription and Dispense View Structured Content Specification v1.0 the DateTime Prescription Written
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' was found. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 4.6 of the Prescription and Dispense View Structured Content Specification v1.0 the DateTime Prescription Written
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 4.6 of the Prescription and Dispense View Structured Content Specification v1.0 the DateTime Prescription Written
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@value) and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@value) and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 4.6 of the Prescription and Dispense View Structured Content Specification v1.0 the DateTime Prescription Written
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (uncoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include
		nullFlavor 'UNC'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M798" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M798" />
  <xsl:template match="@*|node()" priority="-2" mode="M798">
    <xsl:apply-templates select="@*|*" mode="M798" />
  </xsl:template>
  <!--PATTERN p-TS-PD-DateTime-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16795' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16795']]/cda:entry/   cda:organizer[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16798']]/cda:component/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16799']]/cda:value    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))] " priority="1000" mode="M799">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16795' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16795']]/cda:entry/   cda:organizer[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16798']]/cda:component/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16799']]/cda:value    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="fir-narrative" select="translate(normalize-space(lower-case(string($fir-narr-node))), $chars-to-remove, '')" />
    <xsl:variable name="sec-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)        then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]        else () " />
    <xsl:variable name="sec-narr-node" select="$sec-section/cda:text " />
    <xsl:variable name="narr-text-el" select="(for $text in ($fir-narr-node//text(), $sec-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="sec-narrative" select="translate(normalize-space(lower-case(string($sec-narr-node))), $chars-to-remove, '') " />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="narrative" select="concat($target-title, $fir-narrative, $sec-narrative)" />
    <xsl:variable name="narr-elements" select="$fir-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ]  |             $sec-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ] " />
    <xsl:variable name="narr-lower-case" select="for $i in (1 to count($narr-elements)) return lower-case(normalize-space(string-join($narr-elements[$i]/text(), '')))  " />
    <xsl:variable name="dt-narr-elements" select="$narr-lower-case[matches(., $regex-date-type-1, 'i') or matches(., $regex-date-type-2, 'i') or matches(., $regex-date-type-3, 'i')] " />
    <xsl:variable name="narr-elements-start" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-before($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-before($dt-narr-elements[$i], ' -'))        else $dt-narr-elements[$i])[. != ''] " />
    <xsl:variable name="narr-elements-end" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-after($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-after($dt-narr-elements[$i], ' -'))        else '')[. != ''] " />
    <xsl:variable name="narr-dateTimes" select="distinct-values(($narr-elements-start , $narr-elements-end))[. != '(ongoing)'] " />
    <xsl:variable name="dt-value" select="if (@value) then @value else '' " />
    <xsl:variable name="no-time-zone" select="if (contains($dt-value, '+')) then substring-before($dt-value, '+')       else if (contains($dt-value, '-')) then substring-before($dt-value, '-')       else $dt-value " />
    <xsl:variable name="dateTime-length" select="string-length($no-time-zone) " />
    <xsl:variable name="year" select="if ($dateTime-length &gt; 3) then substring($no-time-zone,1,4) else '' " />
    <xsl:variable name="month-num" select="if ($dateTime-length &gt; 5) then substring($no-time-zone,5,2) else '' " />
    <xsl:variable name="day" select="if ($dateTime-length &gt; 7 and substring($no-time-zone,7,1) = '0') then substring($no-time-zone,8,1)       else if ($dateTime-length &gt; 7 and substring($no-time-zone,7,1) != '0') then substring($no-time-zone,7,2) else '' " />
    <xsl:variable name="hour-long" select="if ($dateTime-length &gt; 9) then substring($no-time-zone,9,2) else '' " />
    <xsl:variable name="hour-short" select="if (substring($hour-long, 1, 1) = '0') then substring($hour-long, 2, 1) else '' " />
    <xsl:variable name="minute" select="if ($dateTime-length &gt; 11) then substring($no-time-zone,11,2) else '' " />
    <xsl:variable name="second" select="if ($dateTime-length &gt; 13) then substring($no-time-zone,13,2) else '' " />
    <xsl:variable name="time-zone" select="if (contains($dt-value, '+')) then concat('\+', substring-after($dt-value, '+'))       else if (contains($dt-value, '-')) then concat('\-', substring-after($dt-value, '-'))       else '' " />
    <xsl:variable name="month-short" select="if ($month-num = '01') then 'jan'  else             if ($month-num = '02') then 'feb'  else             if ($month-num = '03') then 'mar'  else             if ($month-num = '04') then 'apr'  else             if ($month-num = '05') then 'may'  else             if ($month-num = '06') then 'jun'  else             if ($month-num = '07') then 'jul'  else             if ($month-num = '08') then 'aug'  else             if ($month-num = '09') then 'sep'  else             if ($month-num = '10') then 'oct'  else             if ($month-num = '11') then 'nov'  else             if ($month-num = '12') then 'dec'  else '' " />
    <xsl:variable name="month-long" select="if ($month-num = '01') then 'january'  else             if ($month-num = '02') then 'february'  else             if ($month-num = '03') then 'march'  else             if ($month-num = '04') then 'april'  else             if ($month-num = '05') then 'may'  else             if ($month-num = '06') then 'june'  else             if ($month-num = '07') then 'july'  else             if ($month-num = '08') then 'august'  else             if ($month-num = '09') then 'september'  else             if ($month-num = '10') then 'october'  else             if ($month-num = '11') then 'november'  else             if ($month-num = '12') then 'december'  else '' " />
    <xsl:variable name="date-type-3-day" select="if (string-length($day) = 1) then concat('0{0,1}', $day) else $day " />
    <xsl:variable name="date-type-3-month" select="if (string-length($month-num) = 1) then concat('0{0,1}', $month-num)        else if (substring($month-num, 1, 1) = '0') then concat('0{0,1}', substring($month-num, 2, 1))         else $month-num " />
    <xsl:variable name="dt-sequence-1" select="if ($dateTime-length = 4) then (         concat('^', $dt-value)         ,          concat('^', $year)         )        else if ($dateTime-length = 6) then (         concat('^', $dt-value)         ,         concat('^', $month-short, $date-sep, $year)      ,          concat('^', $month-long, $date-sep, $year)      )        else if ($dateTime-length &gt; 7) then (         concat('^', $dt-value)         ,         concat('^', $date-type-3-day, $date-sep, $month-short, $date-sep, $year)  ,         concat('^', $date-type-3-day, $date-sep, $month-long, $date-sep, $year)   ,         concat('^', $date-type-3-day, '/', $date-type-3-month, '/', $year)   )        else () " />
    <xsl:variable name="matching-seq-1" select="if (exists($dt-sequence-1))        then index-of(for $i in (1 to count($dt-sequence-1)) return exists($narr-dateTimes[matches(., $dt-sequence-1[$i], 'i')]), true())        else () " />
    <xsl:variable name="dt-stem-1" select="for $i in (1 to count($matching-seq-1)) return $dt-sequence-1[$matching-seq-1[$i]] " />
    <xsl:variable name="dt-regex-1" select="if (exists($dt-stem-1)) then concat('(', string-join($dt-stem-1, '$)|('), '$)') else ()" />
    <xsl:variable name="dt-match-1" select="exists($dt-stem-1) and exists($narr-dateTimes[matches(., $dt-regex-1, 'i')])" />
    <xsl:variable name="time-1" select="if ($dateTime-length &gt; 11 and $hour-short != '') then concat($hour-short, ':', $minute, '( *| *am)') else '' " />
    <xsl:variable name="time-2" select="if ($dateTime-length &gt; 13 and $hour-short != '') then concat($hour-short, ':', $minute, ':', $second, '( *| *am)') else '' " />
    <xsl:variable name="time-3" select="if ($dateTime-length &gt; 11 and number($hour-long) &lt; 12) then concat($hour-long, ':', $minute, '( *| *am)')       else if ($dateTime-length &gt; 11) then concat($hour-long, ':', $minute) else '' " />
    <xsl:variable name="time-4" select="if ($dateTime-length &gt; 13 and number($hour-long) &lt; 12) then concat($hour-long, ':', $minute, ':', $second, '( *| *am)')        else if ($dateTime-length &gt; 13) then concat($hour-long, ':', $minute, ':', $second) else '' " />
    <xsl:variable name="time-5" select="if ($dateTime-length &gt; 11 and number($hour-long) &gt; 12) then concat(string(number($hour-long) - 12), ':', $minute, '( *| *pm)') else '' " />
    <xsl:variable name="time-6" select="if ($dateTime-length &gt; 13 and number($hour-long) &gt; 12) then concat(string(number($hour-long) - 12), ':', $minute, ':', $second, '( *| *pm)') else '' " />
    <xsl:variable name="dt-temp-0" select="if (exists($dt-stem-1) and $dateTime-length = 8) then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $narr-time-regex) else () " />
    <xsl:variable name="dt-temp-1" select="if (exists($dt-stem-1) and $time-1 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-1) else () " />
    <xsl:variable name="dt-temp-2" select="if (exists($dt-stem-1) and $time-2 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-2) else () " />
    <xsl:variable name="dt-temp-3" select="if (exists($dt-stem-1) and $time-3 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-3) else () " />
    <xsl:variable name="dt-temp-4" select="if (exists($dt-stem-1) and $time-4 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-4) else () " />
    <xsl:variable name="dt-temp-5" select="if (exists($dt-stem-1) and $time-5 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-5) else () " />
    <xsl:variable name="dt-temp-6" select="if (exists($dt-stem-1) and $time-6 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-6) else () " />
    <xsl:variable name="dt-sequence-2" select="($dt-temp-0, $dt-temp-1, $dt-temp-2, $dt-temp-3, $dt-temp-4, $dt-temp-5, $dt-temp-6)" />
    <xsl:variable name="matching-seq-2" select="if (exists($dt-sequence-2))        then index-of(for $i in (1 to count($dt-sequence-2)) return exists($narr-dateTimes[matches(., $dt-sequence-2[$i], 'i')]), true())        else () " />
    <xsl:variable name="dt-stem-2" select="for $i in (1 to count($matching-seq-2)) return $dt-sequence-2[$matching-seq-2[$i]] " />
    <xsl:variable name="dt-regex-2" select="if (exists($dt-stem-2)) then concat('(', string-join($dt-stem-2, '$)|('), '$)') else '' " />
    <xsl:variable name="dt-match-2" select="(exists($dt-stem-2) and exists($narr-dateTimes[matches(., $dt-regex-2, 'i')])) " />
    <xsl:variable name="dt-sequence-3" select="if (not($dt-match-2) and exists($dt-stem-2) and $time-zone != '') then for $i in (1 to count($dt-stem-2)) return        concat($dt-stem-2[$i], substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2)) else () " />
    <xsl:variable name="dt-regex-3" select="if ($dt-match-2) then '' else if (exists($dt-sequence-3)) then concat('(', string-join($dt-sequence-3, '$)|('), '$)') else '' " />
    <xsl:variable name="dt-match-3" select="($dt-match-2 or (exists($dt-sequence-3) and exists($narr-dateTimes[matches(., $dt-regex-3, 'i')]))) " />
    <xsl:variable name="narr-match" select="if ($dt-value != '' and not(exists($narr-dateTimes))) then      (       contains($narrative, $dt-value)               or       (string-length($dt-value) = 4 and contains($narrative, $year))            or        (string-length($dt-value) = 6 and contains($narrative, concat($month-short, $year)))          or       (string-length($dt-value) &gt; 7 and starts-with($day, '0') and        (contains($narrative, concat(substring($day,2,1), $month-short, $year)) or         contains($narrative, concat(substring($day,2,1), $month-num, $year))))          or       (string-length($dt-value) &gt; 7 and (contains($narrative, concat($day, $month-short, $year)) or contains($narrative, concat($day, $month-num, $year))))        )       else false() " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($fir-narr-node//cda:renderMultiMedia) or exists($sec-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($fir-narr-node//cda:linkHtml) or exists($sec-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="warning-1" select="exists($dt-sequence-1) and exists($narr-dateTimes) and $dt-match-1 and not($dt-match-3) and $dt-value != '' " />
    <xsl:variable name="error-1" select="$warning-1 and not($multimedia) " />
    <xsl:variable name="warning-2" select="exists($dt-sequence-1) and exists($narr-dateTimes) and not($dt-match-1 or $dt-match-3) and $dt-value != '' " />
    <xsl:variable name="error-2a" select="$warning-2 and not($multimedia) and $time-zone != '' and count($narr-dateTimes) =        count(for $dt in $narr-dateTimes return replace(replace($dt, $regex-date-type-1, ''), $regex-date-type-2, '')       [matches(., concat('^\s*([0-9]{1,2}:{1}[0-9]{2}\s*', substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2),         '|[0-9]{1,2}:{1}[0-9]{2}:{1}[0-9]{2}\s*', substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2), ')\s*$'), 'i')]) " />
    <xsl:variable name="error-2b" select="$warning-2 and not($dt-match-1) and not($multimedia) and count($narr-dateTimes[matches(., $regex-date-type-2, 'i')]) =        count($narr-dateTimes[matches(., concat($regex-date-type-2, ' ', $narr-time-regex, '$'), 'i')]) " />
    <xsl:variable name="error-2c" select="$warning-2 and exists($narr-dateTimes[matches(., concat('^', $year, '$'))]) " />
    <xsl:variable name="error-2" select="$error-2a or $error-2b or $error-2c " />
    <xsl:variable name="warning-3" select="$dt-value != '' and not(exists($narr-dateTimes)) and not($narr-match) " />
    <xsl:variable name="error-3" select="$warning-3 and not($multimedia) and not(contains($narrative, substring($year, 3, 2)))" />
    <xsl:variable name="narr-dt-msg" select="if ($multimedia or $no-content) then ''       else if (not(exists($narr-dateTimes))) then concat(' The narrative of the ', iq:location(., ''), ' contains no dateTime elements.')       else if (count($narr-dateTimes) = 1) then concat(' The only dateTime element in the narrative of the ', iq:location(., ''), ' is ''',         dh:XQueryRecursiveReplace($narr-dateTimes[1], '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), '''.')       else concat(' The distinct dateTime elements in the narrative of the ', iq:location(., ''), ' are ''',         string-join(for $dt in $narr-dateTimes return          dh:XQueryRecursiveReplace($dt, '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), ', '), '''.') " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-4" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-4 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and exists($dt-sequence-1) and $dt-value != '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and exists($dt-sequence-1) and $dt-value != ''">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 4: The dateTime element in the structured data is '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'.
		The number of dateTime elements that have been extracted from the narrative is '<xsl:text /><xsl:value-of select="count($narr-dateTimes)" /><xsl:text />'.
		These are '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-dateTimes, ', '), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The initial regular expressions are '<xsl:text /><xsl:value-of select="string-join($dt-sequence-1, ', ')" /><xsl:text />'.
		The items in dt-stem-1 are: '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($dt-stem-1, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The items in dt-sequence-2 are: '<xsl:text /><xsl:value-of select="string-join($dt-sequence-2, '|')" /><xsl:text />'.
		The items in dt-stem-2 are: '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($dt-stem-2, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The three regular expressions used to perform an exact match for narrative dateTime elements are as follows:
		dt-regex-1='<xsl:text /><xsl:value-of select="$dt-regex-1" /><xsl:text />'; dt-regex-2='<xsl:text /><xsl:value-of select="$dt-regex-2" /><xsl:text />'; and dt-regex-3='<xsl:text /><xsl:value-of select="$dt-regex-3" /><xsl:text />'.
		Was a match found after the first regular expression (with just a date) was created? <xsl:text /><xsl:value-of select="$dt-match-1" /><xsl:text />.		
		<xsl:text /><xsl:value-of select="if ($dt-regex-2 = '') then 'The second regular expression was not applied as there is no time information.'    else concat('Was a match found after the second regular expression (with a date and time) was created? ', $dt-match-2, '.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($dt-regex-3 = '') then ' The third regular expression was not applied as there is no timezone information.'    else concat(' Was a match found after the third regular expression (with a date and time) was created? ', $dt-match-3, '.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $warning-1 and not($error-1 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $warning-1 and not($error-1 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime Prescription Written 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The DateTime Prescription Written data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $error-1 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $error-1 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime Prescription Written 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. The DateTime Prescription Written data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $error-1 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $error-1 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime Prescription Written 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. The DateTime Prescription Written data element records clinical information and all clinical information in entry elements must be present in the narrative.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $warning-2 and not($error-2 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$warning-2 and not($error-2 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime Prescription Written 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The DateTime Prescription Written data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-2 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-2 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime Prescription Written 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="if ($error-2c) then concat('The narrative contains a date with the same year ''', $year, ''' but without a month or day.') else '' " /><xsl:text />
		The DateTime Prescription Written data element records clinical information and all clinical information in entry elements must be present in the narrative.
		<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-2 and not($no-content) and not(true())">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-2 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime Prescription Written 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="if ($error-2c) then concat('The narrative contains a date with the same year ''', $year, ''' but without a month or day.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $warning-3 and not($error-3 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$warning-3 and not($error-3 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime Prescription Written 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The DateTime Prescription Written data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $dt-value != '' and not($narr-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $dt-value != '' and not($narr-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime Prescription Written 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $dt-value != '' and not($narr-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $dt-value != '' and not($narr-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime Prescription Written '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The DateTime Prescription Written data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-3 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-3 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime Prescription Written '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The DateTime Prescription Written data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-3 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-3 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime Prescription Written '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The DateTime Prescription Written '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M799" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M799" />
  <xsl:template match="@*|node()" priority="-2" mode="M799">
    <xsl:apply-templates select="@*|*" mode="M799" />
  </xsl:template>
  <!--PATTERN p-TS-PD-DateTime-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16795' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16795']]/cda:entry/   cda:organizer[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16798']]/cda:component/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16801']]/cda:value " priority="1000" mode="M800">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16795' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16795']]/cda:entry/   cda:organizer[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16798']]/cda:component/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16801']]/cda:value " />
    <xsl:variable name="allow-ivl-ts" select="if (not(@xsi:type)) then false() else /cda:ClinicalDocument       [cda:templateId[(@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')  or         (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or         (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) ]]   and        local-name(.) = 'value'             and        ..[local-name(.) = 'observation' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]   and       ../..[local-name(.) = 'entryRelationship' and @typeCode='SUBJ']        and       ../../..[local-name(.) = 'observation' and cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]  and       ../../../..[local-name(.) = 'entry']            and       ../../../../..[local-name(.) = 'section' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]  " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-18" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-18 else $rating-alt-TC-Types-18 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-18: The DateTime of Earliest Dispense Event '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data
		type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime',            'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime', 'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: The DateTime of Earliest Dispense Event

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type but it does not meet the requirement to have the xsi:type attribute with the value 'TS'.
		(See section 8.6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to section 4.7 of the Prescription and Dispense View Structured Content Specification v1.0 the DateTime of Earliest Dispense Event '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was
		found. This may be corrected by using an xsi:type attribute with the value 'TS'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to section 4.7 of the Prescription and Dispense View Structured Content Specification v1.0 the DateTime of Earliest Dispense Event '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		This may be corrected by using an xsi:type attribute with the value 'TS'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to section 4.7 of the Prescription and Dispense View Structured Content Specification v1.0 the DateTime of Earliest Dispense Event '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7
		'TS' data type to have a value attribute if there is no nullFlavor
		attribute. (See section 7.8.13.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange')

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to section 4.7 of the Prescription and Dispense View Structured Content Specification v1.0 the DateTime of Earliest Dispense Event '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7 'TS' data type to have a value attribute if there is no nullFlavor
		attribute. The element has a '<xsl:text /><xsl:value-of select="local-name(*[local-name(.) = ('low', 'high')])" /><xsl:text />' child element with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		which is not one of the elements used for the HL7 'TS'
		data type. (See section 7.8.13 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 4.7 of the Prescription and Dispense View Structured Content Specification v1.0 the DateTime of Earliest Dispense Event
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		is present. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 4.7 of the Prescription and Dispense View Structured Content Specification v1.0 the DateTime of Earliest Dispense Event
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' was found. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 4.7 of the Prescription and Dispense View Structured Content Specification v1.0 the DateTime of Earliest Dispense Event
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 4.7 of the Prescription and Dispense View Structured Content Specification v1.0 the DateTime of Earliest Dispense Event
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@value) and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@value) and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 4.7 of the Prescription and Dispense View Structured Content Specification v1.0 the DateTime of Earliest Dispense Event
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (uncoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include
		nullFlavor 'UNC'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M800" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M800" />
  <xsl:template match="@*|node()" priority="-2" mode="M800">
    <xsl:apply-templates select="@*|*" mode="M800" />
  </xsl:template>
  <!--PATTERN p-TS-PD-DateTime-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16795' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16795']]/cda:entry/   cda:organizer[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16798']]/cda:component/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16801']]/cda:value    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))] " priority="1000" mode="M801">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16795' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16795']]/cda:entry/   cda:organizer[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16798']]/cda:component/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16801']]/cda:value    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="fir-narrative" select="translate(normalize-space(lower-case(string($fir-narr-node))), $chars-to-remove, '')" />
    <xsl:variable name="sec-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)        then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]        else () " />
    <xsl:variable name="sec-narr-node" select="$sec-section/cda:text " />
    <xsl:variable name="narr-text-el" select="(for $text in ($fir-narr-node//text(), $sec-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="sec-narrative" select="translate(normalize-space(lower-case(string($sec-narr-node))), $chars-to-remove, '') " />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="narrative" select="concat($target-title, $fir-narrative, $sec-narrative)" />
    <xsl:variable name="narr-elements" select="$fir-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ]  |             $sec-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ] " />
    <xsl:variable name="narr-lower-case" select="for $i in (1 to count($narr-elements)) return lower-case(normalize-space(string-join($narr-elements[$i]/text(), '')))  " />
    <xsl:variable name="dt-narr-elements" select="$narr-lower-case[matches(., $regex-date-type-1, 'i') or matches(., $regex-date-type-2, 'i') or matches(., $regex-date-type-3, 'i')] " />
    <xsl:variable name="narr-elements-start" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-before($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-before($dt-narr-elements[$i], ' -'))        else $dt-narr-elements[$i])[. != ''] " />
    <xsl:variable name="narr-elements-end" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-after($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-after($dt-narr-elements[$i], ' -'))        else '')[. != ''] " />
    <xsl:variable name="narr-dateTimes" select="distinct-values(($narr-elements-start , $narr-elements-end))[. != '(ongoing)'] " />
    <xsl:variable name="dt-value" select="if (@value) then @value else '' " />
    <xsl:variable name="no-time-zone" select="if (contains($dt-value, '+')) then substring-before($dt-value, '+')       else if (contains($dt-value, '-')) then substring-before($dt-value, '-')       else $dt-value " />
    <xsl:variable name="dateTime-length" select="string-length($no-time-zone) " />
    <xsl:variable name="year" select="if ($dateTime-length &gt; 3) then substring($no-time-zone,1,4) else '' " />
    <xsl:variable name="month-num" select="if ($dateTime-length &gt; 5) then substring($no-time-zone,5,2) else '' " />
    <xsl:variable name="day" select="if ($dateTime-length &gt; 7 and substring($no-time-zone,7,1) = '0') then substring($no-time-zone,8,1)       else if ($dateTime-length &gt; 7 and substring($no-time-zone,7,1) != '0') then substring($no-time-zone,7,2) else '' " />
    <xsl:variable name="hour-long" select="if ($dateTime-length &gt; 9) then substring($no-time-zone,9,2) else '' " />
    <xsl:variable name="hour-short" select="if (substring($hour-long, 1, 1) = '0') then substring($hour-long, 2, 1) else '' " />
    <xsl:variable name="minute" select="if ($dateTime-length &gt; 11) then substring($no-time-zone,11,2) else '' " />
    <xsl:variable name="second" select="if ($dateTime-length &gt; 13) then substring($no-time-zone,13,2) else '' " />
    <xsl:variable name="time-zone" select="if (contains($dt-value, '+')) then concat('\+', substring-after($dt-value, '+'))       else if (contains($dt-value, '-')) then concat('\-', substring-after($dt-value, '-'))       else '' " />
    <xsl:variable name="month-short" select="if ($month-num = '01') then 'jan'  else             if ($month-num = '02') then 'feb'  else             if ($month-num = '03') then 'mar'  else             if ($month-num = '04') then 'apr'  else             if ($month-num = '05') then 'may'  else             if ($month-num = '06') then 'jun'  else             if ($month-num = '07') then 'jul'  else             if ($month-num = '08') then 'aug'  else             if ($month-num = '09') then 'sep'  else             if ($month-num = '10') then 'oct'  else             if ($month-num = '11') then 'nov'  else             if ($month-num = '12') then 'dec'  else '' " />
    <xsl:variable name="month-long" select="if ($month-num = '01') then 'january'  else             if ($month-num = '02') then 'february'  else             if ($month-num = '03') then 'march'  else             if ($month-num = '04') then 'april'  else             if ($month-num = '05') then 'may'  else             if ($month-num = '06') then 'june'  else             if ($month-num = '07') then 'july'  else             if ($month-num = '08') then 'august'  else             if ($month-num = '09') then 'september'  else             if ($month-num = '10') then 'october'  else             if ($month-num = '11') then 'november'  else             if ($month-num = '12') then 'december'  else '' " />
    <xsl:variable name="date-type-3-day" select="if (string-length($day) = 1) then concat('0{0,1}', $day) else $day " />
    <xsl:variable name="date-type-3-month" select="if (string-length($month-num) = 1) then concat('0{0,1}', $month-num)        else if (substring($month-num, 1, 1) = '0') then concat('0{0,1}', substring($month-num, 2, 1))         else $month-num " />
    <xsl:variable name="dt-sequence-1" select="if ($dateTime-length = 4) then (         concat('^', $dt-value)         ,          concat('^', $year)         )        else if ($dateTime-length = 6) then (         concat('^', $dt-value)         ,         concat('^', $month-short, $date-sep, $year)      ,          concat('^', $month-long, $date-sep, $year)      )        else if ($dateTime-length &gt; 7) then (         concat('^', $dt-value)         ,         concat('^', $date-type-3-day, $date-sep, $month-short, $date-sep, $year)  ,         concat('^', $date-type-3-day, $date-sep, $month-long, $date-sep, $year)   ,         concat('^', $date-type-3-day, '/', $date-type-3-month, '/', $year)   )        else () " />
    <xsl:variable name="matching-seq-1" select="if (exists($dt-sequence-1))        then index-of(for $i in (1 to count($dt-sequence-1)) return exists($narr-dateTimes[matches(., $dt-sequence-1[$i], 'i')]), true())        else () " />
    <xsl:variable name="dt-stem-1" select="for $i in (1 to count($matching-seq-1)) return $dt-sequence-1[$matching-seq-1[$i]] " />
    <xsl:variable name="dt-regex-1" select="if (exists($dt-stem-1)) then concat('(', string-join($dt-stem-1, '$)|('), '$)') else ()" />
    <xsl:variable name="dt-match-1" select="exists($dt-stem-1) and exists($narr-dateTimes[matches(., $dt-regex-1, 'i')])" />
    <xsl:variable name="time-1" select="if ($dateTime-length &gt; 11 and $hour-short != '') then concat($hour-short, ':', $minute, '( *| *am)') else '' " />
    <xsl:variable name="time-2" select="if ($dateTime-length &gt; 13 and $hour-short != '') then concat($hour-short, ':', $minute, ':', $second, '( *| *am)') else '' " />
    <xsl:variable name="time-3" select="if ($dateTime-length &gt; 11 and number($hour-long) &lt; 12) then concat($hour-long, ':', $minute, '( *| *am)')       else if ($dateTime-length &gt; 11) then concat($hour-long, ':', $minute) else '' " />
    <xsl:variable name="time-4" select="if ($dateTime-length &gt; 13 and number($hour-long) &lt; 12) then concat($hour-long, ':', $minute, ':', $second, '( *| *am)')        else if ($dateTime-length &gt; 13) then concat($hour-long, ':', $minute, ':', $second) else '' " />
    <xsl:variable name="time-5" select="if ($dateTime-length &gt; 11 and number($hour-long) &gt; 12) then concat(string(number($hour-long) - 12), ':', $minute, '( *| *pm)') else '' " />
    <xsl:variable name="time-6" select="if ($dateTime-length &gt; 13 and number($hour-long) &gt; 12) then concat(string(number($hour-long) - 12), ':', $minute, ':', $second, '( *| *pm)') else '' " />
    <xsl:variable name="dt-temp-0" select="if (exists($dt-stem-1) and $dateTime-length = 8) then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $narr-time-regex) else () " />
    <xsl:variable name="dt-temp-1" select="if (exists($dt-stem-1) and $time-1 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-1) else () " />
    <xsl:variable name="dt-temp-2" select="if (exists($dt-stem-1) and $time-2 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-2) else () " />
    <xsl:variable name="dt-temp-3" select="if (exists($dt-stem-1) and $time-3 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-3) else () " />
    <xsl:variable name="dt-temp-4" select="if (exists($dt-stem-1) and $time-4 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-4) else () " />
    <xsl:variable name="dt-temp-5" select="if (exists($dt-stem-1) and $time-5 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-5) else () " />
    <xsl:variable name="dt-temp-6" select="if (exists($dt-stem-1) and $time-6 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-6) else () " />
    <xsl:variable name="dt-sequence-2" select="($dt-temp-0, $dt-temp-1, $dt-temp-2, $dt-temp-3, $dt-temp-4, $dt-temp-5, $dt-temp-6)" />
    <xsl:variable name="matching-seq-2" select="if (exists($dt-sequence-2))        then index-of(for $i in (1 to count($dt-sequence-2)) return exists($narr-dateTimes[matches(., $dt-sequence-2[$i], 'i')]), true())        else () " />
    <xsl:variable name="dt-stem-2" select="for $i in (1 to count($matching-seq-2)) return $dt-sequence-2[$matching-seq-2[$i]] " />
    <xsl:variable name="dt-regex-2" select="if (exists($dt-stem-2)) then concat('(', string-join($dt-stem-2, '$)|('), '$)') else '' " />
    <xsl:variable name="dt-match-2" select="(exists($dt-stem-2) and exists($narr-dateTimes[matches(., $dt-regex-2, 'i')])) " />
    <xsl:variable name="dt-sequence-3" select="if (not($dt-match-2) and exists($dt-stem-2) and $time-zone != '') then for $i in (1 to count($dt-stem-2)) return        concat($dt-stem-2[$i], substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2)) else () " />
    <xsl:variable name="dt-regex-3" select="if ($dt-match-2) then '' else if (exists($dt-sequence-3)) then concat('(', string-join($dt-sequence-3, '$)|('), '$)') else '' " />
    <xsl:variable name="dt-match-3" select="($dt-match-2 or (exists($dt-sequence-3) and exists($narr-dateTimes[matches(., $dt-regex-3, 'i')]))) " />
    <xsl:variable name="narr-match" select="if ($dt-value != '' and not(exists($narr-dateTimes))) then      (       contains($narrative, $dt-value)               or       (string-length($dt-value) = 4 and contains($narrative, $year))            or        (string-length($dt-value) = 6 and contains($narrative, concat($month-short, $year)))          or       (string-length($dt-value) &gt; 7 and starts-with($day, '0') and        (contains($narrative, concat(substring($day,2,1), $month-short, $year)) or         contains($narrative, concat(substring($day,2,1), $month-num, $year))))          or       (string-length($dt-value) &gt; 7 and (contains($narrative, concat($day, $month-short, $year)) or contains($narrative, concat($day, $month-num, $year))))        )       else false() " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($fir-narr-node//cda:renderMultiMedia) or exists($sec-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($fir-narr-node//cda:linkHtml) or exists($sec-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="warning-1" select="exists($dt-sequence-1) and exists($narr-dateTimes) and $dt-match-1 and not($dt-match-3) and $dt-value != '' " />
    <xsl:variable name="error-1" select="$warning-1 and not($multimedia) " />
    <xsl:variable name="warning-2" select="exists($dt-sequence-1) and exists($narr-dateTimes) and not($dt-match-1 or $dt-match-3) and $dt-value != '' " />
    <xsl:variable name="error-2a" select="$warning-2 and not($multimedia) and $time-zone != '' and count($narr-dateTimes) =        count(for $dt in $narr-dateTimes return replace(replace($dt, $regex-date-type-1, ''), $regex-date-type-2, '')       [matches(., concat('^\s*([0-9]{1,2}:{1}[0-9]{2}\s*', substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2),         '|[0-9]{1,2}:{1}[0-9]{2}:{1}[0-9]{2}\s*', substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2), ')\s*$'), 'i')]) " />
    <xsl:variable name="error-2b" select="$warning-2 and not($dt-match-1) and not($multimedia) and count($narr-dateTimes[matches(., $regex-date-type-2, 'i')]) =        count($narr-dateTimes[matches(., concat($regex-date-type-2, ' ', $narr-time-regex, '$'), 'i')]) " />
    <xsl:variable name="error-2c" select="$warning-2 and exists($narr-dateTimes[matches(., concat('^', $year, '$'))]) " />
    <xsl:variable name="error-2" select="$error-2a or $error-2b or $error-2c " />
    <xsl:variable name="warning-3" select="$dt-value != '' and not(exists($narr-dateTimes)) and not($narr-match) " />
    <xsl:variable name="error-3" select="$warning-3 and not($multimedia) and not(contains($narrative, substring($year, 3, 2)))" />
    <xsl:variable name="narr-dt-msg" select="if ($multimedia or $no-content) then ''       else if (not(exists($narr-dateTimes))) then concat(' The narrative of the ', iq:location(., ''), ' contains no dateTime elements.')       else if (count($narr-dateTimes) = 1) then concat(' The only dateTime element in the narrative of the ', iq:location(., ''), ' is ''',         dh:XQueryRecursiveReplace($narr-dateTimes[1], '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), '''.')       else concat(' The distinct dateTime elements in the narrative of the ', iq:location(., ''), ' are ''',         string-join(for $dt in $narr-dateTimes return          dh:XQueryRecursiveReplace($dt, '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), ', '), '''.') " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-4" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-4 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and exists($dt-sequence-1) and $dt-value != '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and exists($dt-sequence-1) and $dt-value != ''">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 4: The dateTime element in the structured data is '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'.
		The number of dateTime elements that have been extracted from the narrative is '<xsl:text /><xsl:value-of select="count($narr-dateTimes)" /><xsl:text />'.
		These are '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-dateTimes, ', '), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The initial regular expressions are '<xsl:text /><xsl:value-of select="string-join($dt-sequence-1, ', ')" /><xsl:text />'.
		The items in dt-stem-1 are: '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($dt-stem-1, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The items in dt-sequence-2 are: '<xsl:text /><xsl:value-of select="string-join($dt-sequence-2, '|')" /><xsl:text />'.
		The items in dt-stem-2 are: '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($dt-stem-2, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The three regular expressions used to perform an exact match for narrative dateTime elements are as follows:
		dt-regex-1='<xsl:text /><xsl:value-of select="$dt-regex-1" /><xsl:text />'; dt-regex-2='<xsl:text /><xsl:value-of select="$dt-regex-2" /><xsl:text />'; and dt-regex-3='<xsl:text /><xsl:value-of select="$dt-regex-3" /><xsl:text />'.
		Was a match found after the first regular expression (with just a date) was created? <xsl:text /><xsl:value-of select="$dt-match-1" /><xsl:text />.		
		<xsl:text /><xsl:value-of select="if ($dt-regex-2 = '') then 'The second regular expression was not applied as there is no time information.'    else concat('Was a match found after the second regular expression (with a date and time) was created? ', $dt-match-2, '.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($dt-regex-3 = '') then ' The third regular expression was not applied as there is no timezone information.'    else concat(' Was a match found after the third regular expression (with a date and time) was created? ', $dt-match-3, '.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $warning-1 and not($error-1 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $warning-1 and not($error-1 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime of Earliest Dispense Event 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The DateTime of Earliest Dispense Event data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $error-1 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $error-1 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime of Earliest Dispense Event 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. The DateTime of Earliest Dispense Event data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $error-1 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $error-1 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime of Earliest Dispense Event 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. The DateTime of Earliest Dispense Event data element records clinical information and all clinical information in entry elements must be present in the narrative.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $warning-2 and not($error-2 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$warning-2 and not($error-2 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime of Earliest Dispense Event 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The DateTime of Earliest Dispense Event data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-2 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-2 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime of Earliest Dispense Event 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="if ($error-2c) then concat('The narrative contains a date with the same year ''', $year, ''' but without a month or day.') else '' " /><xsl:text />
		The DateTime of Earliest Dispense Event data element records clinical information and all clinical information in entry elements must be present in the narrative.
		<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-2 and not($no-content) and not(true())">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-2 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime of Earliest Dispense Event 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="if ($error-2c) then concat('The narrative contains a date with the same year ''', $year, ''' but without a month or day.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $warning-3 and not($error-3 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$warning-3 and not($error-3 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime of Earliest Dispense Event 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The DateTime of Earliest Dispense Event data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $dt-value != '' and not($narr-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $dt-value != '' and not($narr-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime of Earliest Dispense Event 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $dt-value != '' and not($narr-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $dt-value != '' and not($narr-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime of Earliest Dispense Event '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The DateTime of Earliest Dispense Event data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-3 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-3 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime of Earliest Dispense Event '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The DateTime of Earliest Dispense Event data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-3 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-3 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime of Earliest Dispense Event '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The DateTime of Earliest Dispense Event '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M801" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M801" />
  <xsl:template match="@*|node()" priority="-2" mode="M801">
    <xsl:apply-templates select="@*|*" mode="M801" />
  </xsl:template>
  <!--PATTERN p-TS-PD-DateTime-5-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16795' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16795']]/cda:entry/   cda:organizer[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16798']]/cda:component/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16802']]/cda:value " priority="1000" mode="M802">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16795' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16795']]/cda:entry/   cda:organizer[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16798']]/cda:component/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16802']]/cda:value " />
    <xsl:variable name="allow-ivl-ts" select="if (not(@xsi:type)) then false() else /cda:ClinicalDocument       [cda:templateId[(@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')  or         (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or         (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) ]]   and        local-name(.) = 'value'             and        ..[local-name(.) = 'observation' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]   and       ../..[local-name(.) = 'entryRelationship' and @typeCode='SUBJ']        and       ../../..[local-name(.) = 'observation' and cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]  and       ../../../..[local-name(.) = 'entry']            and       ../../../../..[local-name(.) = 'section' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]  " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-18" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-18 else $rating-alt-TC-Types-18 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-18: The DateTime of Latest Dispense Event '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data
		type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime',            'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime', 'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: The DateTime of Latest Dispense Event

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type but it does not meet the requirement to have the xsi:type attribute with the value 'TS'.
		(See section 8.6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to section 4.8 of the Prescription and Dispense View Structured Content Specification v1.0 the DateTime of Latest Dispense Event '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was
		found. This may be corrected by using an xsi:type attribute with the value 'TS'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to section 4.8 of the Prescription and Dispense View Structured Content Specification v1.0 the DateTime of Latest Dispense Event '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		This may be corrected by using an xsi:type attribute with the value 'TS'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to section 4.8 of the Prescription and Dispense View Structured Content Specification v1.0 the DateTime of Latest Dispense Event '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7
		'TS' data type to have a value attribute if there is no nullFlavor
		attribute. (See section 7.8.13.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange')

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to section 4.8 of the Prescription and Dispense View Structured Content Specification v1.0 the DateTime of Latest Dispense Event '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7 'TS' data type to have a value attribute if there is no nullFlavor
		attribute. The element has a '<xsl:text /><xsl:value-of select="local-name(*[local-name(.) = ('low', 'high')])" /><xsl:text />' child element with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		which is not one of the elements used for the HL7 'TS'
		data type. (See section 7.8.13 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 4.8 of the Prescription and Dispense View Structured Content Specification v1.0 the DateTime of Latest Dispense Event
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		is present. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 4.8 of the Prescription and Dispense View Structured Content Specification v1.0 the DateTime of Latest Dispense Event
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' was found. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 4.8 of the Prescription and Dispense View Structured Content Specification v1.0 the DateTime of Latest Dispense Event
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 4.8 of the Prescription and Dispense View Structured Content Specification v1.0 the DateTime of Latest Dispense Event
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@value) and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@value) and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 4.8 of the Prescription and Dispense View Structured Content Specification v1.0 the DateTime of Latest Dispense Event
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (uncoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include
		nullFlavor 'UNC'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M802" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M802" />
  <xsl:template match="@*|node()" priority="-2" mode="M802">
    <xsl:apply-templates select="@*|*" mode="M802" />
  </xsl:template>
  <!--PATTERN p-TS-PD-DateTime-6-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16795' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16795']]/cda:entry/   cda:organizer[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16798']]/cda:component/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16802']]/cda:value    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))] " priority="1000" mode="M803">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16795' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16795']]/cda:entry/   cda:organizer[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16798']]/cda:component/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16802']]/cda:value    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="fir-narrative" select="translate(normalize-space(lower-case(string($fir-narr-node))), $chars-to-remove, '')" />
    <xsl:variable name="sec-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)        then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]        else () " />
    <xsl:variable name="sec-narr-node" select="$sec-section/cda:text " />
    <xsl:variable name="narr-text-el" select="(for $text in ($fir-narr-node//text(), $sec-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="sec-narrative" select="translate(normalize-space(lower-case(string($sec-narr-node))), $chars-to-remove, '') " />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="narrative" select="concat($target-title, $fir-narrative, $sec-narrative)" />
    <xsl:variable name="narr-elements" select="$fir-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ]  |             $sec-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ] " />
    <xsl:variable name="narr-lower-case" select="for $i in (1 to count($narr-elements)) return lower-case(normalize-space(string-join($narr-elements[$i]/text(), '')))  " />
    <xsl:variable name="dt-narr-elements" select="$narr-lower-case[matches(., $regex-date-type-1, 'i') or matches(., $regex-date-type-2, 'i') or matches(., $regex-date-type-3, 'i')] " />
    <xsl:variable name="narr-elements-start" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-before($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-before($dt-narr-elements[$i], ' -'))        else $dt-narr-elements[$i])[. != ''] " />
    <xsl:variable name="narr-elements-end" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-after($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-after($dt-narr-elements[$i], ' -'))        else '')[. != ''] " />
    <xsl:variable name="narr-dateTimes" select="distinct-values(($narr-elements-start , $narr-elements-end))[. != '(ongoing)'] " />
    <xsl:variable name="dt-value" select="if (@value) then @value else '' " />
    <xsl:variable name="no-time-zone" select="if (contains($dt-value, '+')) then substring-before($dt-value, '+')       else if (contains($dt-value, '-')) then substring-before($dt-value, '-')       else $dt-value " />
    <xsl:variable name="dateTime-length" select="string-length($no-time-zone) " />
    <xsl:variable name="year" select="if ($dateTime-length &gt; 3) then substring($no-time-zone,1,4) else '' " />
    <xsl:variable name="month-num" select="if ($dateTime-length &gt; 5) then substring($no-time-zone,5,2) else '' " />
    <xsl:variable name="day" select="if ($dateTime-length &gt; 7 and substring($no-time-zone,7,1) = '0') then substring($no-time-zone,8,1)       else if ($dateTime-length &gt; 7 and substring($no-time-zone,7,1) != '0') then substring($no-time-zone,7,2) else '' " />
    <xsl:variable name="hour-long" select="if ($dateTime-length &gt; 9) then substring($no-time-zone,9,2) else '' " />
    <xsl:variable name="hour-short" select="if (substring($hour-long, 1, 1) = '0') then substring($hour-long, 2, 1) else '' " />
    <xsl:variable name="minute" select="if ($dateTime-length &gt; 11) then substring($no-time-zone,11,2) else '' " />
    <xsl:variable name="second" select="if ($dateTime-length &gt; 13) then substring($no-time-zone,13,2) else '' " />
    <xsl:variable name="time-zone" select="if (contains($dt-value, '+')) then concat('\+', substring-after($dt-value, '+'))       else if (contains($dt-value, '-')) then concat('\-', substring-after($dt-value, '-'))       else '' " />
    <xsl:variable name="month-short" select="if ($month-num = '01') then 'jan'  else             if ($month-num = '02') then 'feb'  else             if ($month-num = '03') then 'mar'  else             if ($month-num = '04') then 'apr'  else             if ($month-num = '05') then 'may'  else             if ($month-num = '06') then 'jun'  else             if ($month-num = '07') then 'jul'  else             if ($month-num = '08') then 'aug'  else             if ($month-num = '09') then 'sep'  else             if ($month-num = '10') then 'oct'  else             if ($month-num = '11') then 'nov'  else             if ($month-num = '12') then 'dec'  else '' " />
    <xsl:variable name="month-long" select="if ($month-num = '01') then 'january'  else             if ($month-num = '02') then 'february'  else             if ($month-num = '03') then 'march'  else             if ($month-num = '04') then 'april'  else             if ($month-num = '05') then 'may'  else             if ($month-num = '06') then 'june'  else             if ($month-num = '07') then 'july'  else             if ($month-num = '08') then 'august'  else             if ($month-num = '09') then 'september'  else             if ($month-num = '10') then 'october'  else             if ($month-num = '11') then 'november'  else             if ($month-num = '12') then 'december'  else '' " />
    <xsl:variable name="date-type-3-day" select="if (string-length($day) = 1) then concat('0{0,1}', $day) else $day " />
    <xsl:variable name="date-type-3-month" select="if (string-length($month-num) = 1) then concat('0{0,1}', $month-num)        else if (substring($month-num, 1, 1) = '0') then concat('0{0,1}', substring($month-num, 2, 1))         else $month-num " />
    <xsl:variable name="dt-sequence-1" select="if ($dateTime-length = 4) then (         concat('^', $dt-value)         ,          concat('^', $year)         )        else if ($dateTime-length = 6) then (         concat('^', $dt-value)         ,         concat('^', $month-short, $date-sep, $year)      ,          concat('^', $month-long, $date-sep, $year)      )        else if ($dateTime-length &gt; 7) then (         concat('^', $dt-value)         ,         concat('^', $date-type-3-day, $date-sep, $month-short, $date-sep, $year)  ,         concat('^', $date-type-3-day, $date-sep, $month-long, $date-sep, $year)   ,         concat('^', $date-type-3-day, '/', $date-type-3-month, '/', $year)   )        else () " />
    <xsl:variable name="matching-seq-1" select="if (exists($dt-sequence-1))        then index-of(for $i in (1 to count($dt-sequence-1)) return exists($narr-dateTimes[matches(., $dt-sequence-1[$i], 'i')]), true())        else () " />
    <xsl:variable name="dt-stem-1" select="for $i in (1 to count($matching-seq-1)) return $dt-sequence-1[$matching-seq-1[$i]] " />
    <xsl:variable name="dt-regex-1" select="if (exists($dt-stem-1)) then concat('(', string-join($dt-stem-1, '$)|('), '$)') else ()" />
    <xsl:variable name="dt-match-1" select="exists($dt-stem-1) and exists($narr-dateTimes[matches(., $dt-regex-1, 'i')])" />
    <xsl:variable name="time-1" select="if ($dateTime-length &gt; 11 and $hour-short != '') then concat($hour-short, ':', $minute, '( *| *am)') else '' " />
    <xsl:variable name="time-2" select="if ($dateTime-length &gt; 13 and $hour-short != '') then concat($hour-short, ':', $minute, ':', $second, '( *| *am)') else '' " />
    <xsl:variable name="time-3" select="if ($dateTime-length &gt; 11 and number($hour-long) &lt; 12) then concat($hour-long, ':', $minute, '( *| *am)')       else if ($dateTime-length &gt; 11) then concat($hour-long, ':', $minute) else '' " />
    <xsl:variable name="time-4" select="if ($dateTime-length &gt; 13 and number($hour-long) &lt; 12) then concat($hour-long, ':', $minute, ':', $second, '( *| *am)')        else if ($dateTime-length &gt; 13) then concat($hour-long, ':', $minute, ':', $second) else '' " />
    <xsl:variable name="time-5" select="if ($dateTime-length &gt; 11 and number($hour-long) &gt; 12) then concat(string(number($hour-long) - 12), ':', $minute, '( *| *pm)') else '' " />
    <xsl:variable name="time-6" select="if ($dateTime-length &gt; 13 and number($hour-long) &gt; 12) then concat(string(number($hour-long) - 12), ':', $minute, ':', $second, '( *| *pm)') else '' " />
    <xsl:variable name="dt-temp-0" select="if (exists($dt-stem-1) and $dateTime-length = 8) then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $narr-time-regex) else () " />
    <xsl:variable name="dt-temp-1" select="if (exists($dt-stem-1) and $time-1 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-1) else () " />
    <xsl:variable name="dt-temp-2" select="if (exists($dt-stem-1) and $time-2 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-2) else () " />
    <xsl:variable name="dt-temp-3" select="if (exists($dt-stem-1) and $time-3 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-3) else () " />
    <xsl:variable name="dt-temp-4" select="if (exists($dt-stem-1) and $time-4 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-4) else () " />
    <xsl:variable name="dt-temp-5" select="if (exists($dt-stem-1) and $time-5 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-5) else () " />
    <xsl:variable name="dt-temp-6" select="if (exists($dt-stem-1) and $time-6 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-6) else () " />
    <xsl:variable name="dt-sequence-2" select="($dt-temp-0, $dt-temp-1, $dt-temp-2, $dt-temp-3, $dt-temp-4, $dt-temp-5, $dt-temp-6)" />
    <xsl:variable name="matching-seq-2" select="if (exists($dt-sequence-2))        then index-of(for $i in (1 to count($dt-sequence-2)) return exists($narr-dateTimes[matches(., $dt-sequence-2[$i], 'i')]), true())        else () " />
    <xsl:variable name="dt-stem-2" select="for $i in (1 to count($matching-seq-2)) return $dt-sequence-2[$matching-seq-2[$i]] " />
    <xsl:variable name="dt-regex-2" select="if (exists($dt-stem-2)) then concat('(', string-join($dt-stem-2, '$)|('), '$)') else '' " />
    <xsl:variable name="dt-match-2" select="(exists($dt-stem-2) and exists($narr-dateTimes[matches(., $dt-regex-2, 'i')])) " />
    <xsl:variable name="dt-sequence-3" select="if (not($dt-match-2) and exists($dt-stem-2) and $time-zone != '') then for $i in (1 to count($dt-stem-2)) return        concat($dt-stem-2[$i], substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2)) else () " />
    <xsl:variable name="dt-regex-3" select="if ($dt-match-2) then '' else if (exists($dt-sequence-3)) then concat('(', string-join($dt-sequence-3, '$)|('), '$)') else '' " />
    <xsl:variable name="dt-match-3" select="($dt-match-2 or (exists($dt-sequence-3) and exists($narr-dateTimes[matches(., $dt-regex-3, 'i')]))) " />
    <xsl:variable name="narr-match" select="if ($dt-value != '' and not(exists($narr-dateTimes))) then      (       contains($narrative, $dt-value)               or       (string-length($dt-value) = 4 and contains($narrative, $year))            or        (string-length($dt-value) = 6 and contains($narrative, concat($month-short, $year)))          or       (string-length($dt-value) &gt; 7 and starts-with($day, '0') and        (contains($narrative, concat(substring($day,2,1), $month-short, $year)) or         contains($narrative, concat(substring($day,2,1), $month-num, $year))))          or       (string-length($dt-value) &gt; 7 and (contains($narrative, concat($day, $month-short, $year)) or contains($narrative, concat($day, $month-num, $year))))        )       else false() " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($fir-narr-node//cda:renderMultiMedia) or exists($sec-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($fir-narr-node//cda:linkHtml) or exists($sec-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="warning-1" select="exists($dt-sequence-1) and exists($narr-dateTimes) and $dt-match-1 and not($dt-match-3) and $dt-value != '' " />
    <xsl:variable name="error-1" select="$warning-1 and not($multimedia) " />
    <xsl:variable name="warning-2" select="exists($dt-sequence-1) and exists($narr-dateTimes) and not($dt-match-1 or $dt-match-3) and $dt-value != '' " />
    <xsl:variable name="error-2a" select="$warning-2 and not($multimedia) and $time-zone != '' and count($narr-dateTimes) =        count(for $dt in $narr-dateTimes return replace(replace($dt, $regex-date-type-1, ''), $regex-date-type-2, '')       [matches(., concat('^\s*([0-9]{1,2}:{1}[0-9]{2}\s*', substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2),         '|[0-9]{1,2}:{1}[0-9]{2}:{1}[0-9]{2}\s*', substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2), ')\s*$'), 'i')]) " />
    <xsl:variable name="error-2b" select="$warning-2 and not($dt-match-1) and not($multimedia) and count($narr-dateTimes[matches(., $regex-date-type-2, 'i')]) =        count($narr-dateTimes[matches(., concat($regex-date-type-2, ' ', $narr-time-regex, '$'), 'i')]) " />
    <xsl:variable name="error-2c" select="$warning-2 and exists($narr-dateTimes[matches(., concat('^', $year, '$'))]) " />
    <xsl:variable name="error-2" select="$error-2a or $error-2b or $error-2c " />
    <xsl:variable name="warning-3" select="$dt-value != '' and not(exists($narr-dateTimes)) and not($narr-match) " />
    <xsl:variable name="error-3" select="$warning-3 and not($multimedia) and not(contains($narrative, substring($year, 3, 2)))" />
    <xsl:variable name="narr-dt-msg" select="if ($multimedia or $no-content) then ''       else if (not(exists($narr-dateTimes))) then concat(' The narrative of the ', iq:location(., ''), ' contains no dateTime elements.')       else if (count($narr-dateTimes) = 1) then concat(' The only dateTime element in the narrative of the ', iq:location(., ''), ' is ''',         dh:XQueryRecursiveReplace($narr-dateTimes[1], '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), '''.')       else concat(' The distinct dateTime elements in the narrative of the ', iq:location(., ''), ' are ''',         string-join(for $dt in $narr-dateTimes return          dh:XQueryRecursiveReplace($dt, '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), ', '), '''.') " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-4" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-4 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and exists($dt-sequence-1) and $dt-value != '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and exists($dt-sequence-1) and $dt-value != ''">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 4: The dateTime element in the structured data is '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'.
		The number of dateTime elements that have been extracted from the narrative is '<xsl:text /><xsl:value-of select="count($narr-dateTimes)" /><xsl:text />'.
		These are '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-dateTimes, ', '), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The initial regular expressions are '<xsl:text /><xsl:value-of select="string-join($dt-sequence-1, ', ')" /><xsl:text />'.
		The items in dt-stem-1 are: '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($dt-stem-1, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The items in dt-sequence-2 are: '<xsl:text /><xsl:value-of select="string-join($dt-sequence-2, '|')" /><xsl:text />'.
		The items in dt-stem-2 are: '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($dt-stem-2, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The three regular expressions used to perform an exact match for narrative dateTime elements are as follows:
		dt-regex-1='<xsl:text /><xsl:value-of select="$dt-regex-1" /><xsl:text />'; dt-regex-2='<xsl:text /><xsl:value-of select="$dt-regex-2" /><xsl:text />'; and dt-regex-3='<xsl:text /><xsl:value-of select="$dt-regex-3" /><xsl:text />'.
		Was a match found after the first regular expression (with just a date) was created? <xsl:text /><xsl:value-of select="$dt-match-1" /><xsl:text />.		
		<xsl:text /><xsl:value-of select="if ($dt-regex-2 = '') then 'The second regular expression was not applied as there is no time information.'    else concat('Was a match found after the second regular expression (with a date and time) was created? ', $dt-match-2, '.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($dt-regex-3 = '') then ' The third regular expression was not applied as there is no timezone information.'    else concat(' Was a match found after the third regular expression (with a date and time) was created? ', $dt-match-3, '.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $warning-1 and not($error-1 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $warning-1 and not($error-1 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime of Latest Dispense Event 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The DateTime of Latest Dispense Event data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $error-1 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $error-1 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime of Latest Dispense Event 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. The DateTime of Latest Dispense Event data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $error-1 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $error-1 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime of Latest Dispense Event 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. The DateTime of Latest Dispense Event data element records clinical information and all clinical information in entry elements must be present in the narrative.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $warning-2 and not($error-2 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$warning-2 and not($error-2 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime of Latest Dispense Event 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The DateTime of Latest Dispense Event data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-2 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-2 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime of Latest Dispense Event 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="if ($error-2c) then concat('The narrative contains a date with the same year ''', $year, ''' but without a month or day.') else '' " /><xsl:text />
		The DateTime of Latest Dispense Event data element records clinical information and all clinical information in entry elements must be present in the narrative.
		<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-2 and not($no-content) and not(true())">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-2 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime of Latest Dispense Event 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="if ($error-2c) then concat('The narrative contains a date with the same year ''', $year, ''' but without a month or day.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $warning-3 and not($error-3 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$warning-3 and not($error-3 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime of Latest Dispense Event 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The DateTime of Latest Dispense Event data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $dt-value != '' and not($narr-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $dt-value != '' and not($narr-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime of Latest Dispense Event 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $dt-value != '' and not($narr-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $dt-value != '' and not($narr-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime of Latest Dispense Event '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The DateTime of Latest Dispense Event data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-3 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-3 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime of Latest Dispense Event '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The DateTime of Latest Dispense Event data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-3 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-3 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime of Latest Dispense Event '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The DateTime of Latest Dispense Event '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M803" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M803" />
  <xsl:template match="@*|node()" priority="-2" mode="M803">
    <xsl:apply-templates select="@*|*" mode="M803" />
  </xsl:template>
  <!--PATTERN p-TS-PD-Integer-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16795' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16795']]/cda:entry/   cda:organizer[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16798']]/cda:component/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16804']]/cda:value " priority="1000" mode="M804">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16795' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16795']]/cda:entry/   cda:organizer[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16798']]/cda:component/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16804']]/cda:value " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 8.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-14" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-14 else $rating-alt-TC-Types-14 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-14: The Total Number of Known Supplies '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type and
		<xsl:text /><xsl:value-of select="if (@value and @nullFlavor) then concat('has a value attribute with the value ''', @value, ''' and a nullFlavor attribute with the value ''', @nullFlavor, '''')   else if (@value and not(@nullFlavor)) then concat('has a value attribute with the value ''', @value, '''')   else if (not(@value) and @nullFlavor) then concat('has a nullFlavor attribute with the value ''', @nullFlavor, '''')   else 'has no value or nullFlavor attributes' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(   local-name(.)  = 'batchTotalNumber'  or   local-name(.)  = 'continuationQuantity'  or   local-name(.)  = 'expectedSequenceNumber' or   local-name(.)  = 'initialQuantity'  or   local-name(.)  = 'messageWaitingNumber'  or   local-name(.)  = 'multipleBirthOrderNumber' or   local-name(.)  = 'positionNumber'  or   local-name(.)  = 'priorityNumber'  or   local-name(..) = 'repeatNumber'   or   local-name(.)  = 'resultCurrentQuantity' or   local-name(.)  = 'resultRemainingQuantity' or   local-name(.)  = 'resultTotalQuantity'  or   local-name(.)  = 'sequenceNumber'  or   local-name(.)  = 'startResultNumber'  or   local-name(.)  = 'transmissionQuantity'  or   local-name(.)  = 'versionNumber'  ) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not( local-name(.) = 'batchTotalNumber' or local-name(.) = 'continuationQuantity' or local-name(.) = 'expectedSequenceNumber' or local-name(.) = 'initialQuantity' or local-name(.) = 'messageWaitingNumber' or local-name(.) = 'multipleBirthOrderNumber' or local-name(.) = 'positionNumber' or local-name(.) = 'priorityNumber' or local-name(..) = 'repeatNumber' or local-name(.) = 'resultCurrentQuantity' or local-name(.) = 'resultRemainingQuantity' or local-name(.) = 'resultTotalQuantity' or local-name(.) = 'sequenceNumber' or local-name(.) = 'startResultNumber' or local-name(.) = 'transmissionQuantity' or local-name(.) = 'versionNumber' )">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-14" /><xsl:text />: TC-Types-14: The Total Number of Known Supplies
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type but it does not meet the requirement to have the xsi:type attribute with the value 'INT'.
		(See section 8.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-14" /><xsl:text />: TC-Types-14: According to section 4.9 of the Prescription and Dispense View Structured Content Specification v1.0 the Total Number of Known Supplies
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type which is
		derived from the HL7 'INT' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		(See section 8.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 4.9 of the Prescription and Dispense View Structured Content Specification v1.0 the Total Number of Known Supplies
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Integer data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 4.9 of the Prescription and Dispense View Structured Content Specification v1.0 the Total Number of Known Supplies
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Integer data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 4.9 of the Prescription and Dispense View Structured Content Specification v1.0 the Total Number of Known Supplies
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the Integer data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 4.9 of the Prescription and Dispense View Structured Content Specification v1.0 the Total Number of Known Supplies
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the Integer data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @inclusive != 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @inclusive != 'true'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 4.9 of the Prescription and Dispense View Structured Content Specification v1.0 the Total Number of Known Supplies
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however an attribute 'inclusive' with the value
		'<xsl:text /><xsl:value-of select="@inclusive" /><xsl:text />' was found that is not expected for the Integer data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @inclusive != 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @inclusive != 'true'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 4.9 of the Prescription and Dispense View Structured Content Specification v1.0 the Total Number of Known Supplies
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however an attribute 'inclusive' with the value
		'<xsl:text /><xsl:value-of select="@inclusive" /><xsl:text />' was found that is not expected for the Integer data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@value) and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@value) and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 4.9 of the Prescription and Dispense View Structured Content Specification v1.0 the Total Number of Known Supplies
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type
		however it has nullFlavor = 'UNC' (uncoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include nullFlavor = 'UNC'.
		(See section 8.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M804" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M804" />
  <xsl:template match="@*|node()" priority="-2" mode="M804">
    <xsl:apply-templates select="@*|*" mode="M804" />
  </xsl:template>
  <!--PATTERN p-TS-PD-Integer-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16795' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16795']]/cda:entry/   cda:organizer[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16798']]/cda:component/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16804']]/cda:value " priority="1000" mode="M805">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16795' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16795']]/cda:entry/   cda:organizer[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16798']]/cda:component/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16804']]/cda:value " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="narr-text-el" select="(for $text in ($target-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="narr-numbers" select="$narr-text-el[. castable as xs:double] " />
    <xsl:variable name="narr-el-present" select="exists($narr-numbers)" />
    <xsl:variable name="num-in-narr" select="@value and exists($narr-numbers[number() = current()/@value])" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-8" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-8 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @value and ancestor::cda:section and not($narr-el-present) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @value and ancestor::cda:section and not($narr-el-present)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step-8" /><xsl:text />: TC-Narr-09 step 8: The Total Number of Known Supplies
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Total Number of Known Supplies data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @value and $narr-el-present and not($num-in-narr or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value and $narr-el-present and not($num-in-narr or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-8" /><xsl:text />: TC-Narr-09 step 8: The Total Number of Known Supplies
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' which was not found in table data elements of
		the narrative of the section. The data element is in the section with the title '<xsl:text /><xsl:value-of select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]/cda:title" /><xsl:text />'.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Total Number of Known Supplies data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Total Number of Known Supplies
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M805" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M805" />
  <xsl:template match="@*|node()" priority="-2" mode="M805">
    <xsl:apply-templates select="@*|*" mode="M805" />
  </xsl:template>
  <!--PATTERN p-TS-PD-Integer-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16795' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16795']]/cda:entry/   cda:organizer[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16798']]/cda:component/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16805']]/cda:value " priority="1000" mode="M806">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16795' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16795']]/cda:entry/   cda:organizer[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16798']]/cda:component/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16805']]/cda:value " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 8.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-14" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-14 else $rating-alt-TC-Types-14 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-14: The Maximum Number of Permitted Supplies '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type and
		<xsl:text /><xsl:value-of select="if (@value and @nullFlavor) then concat('has a value attribute with the value ''', @value, ''' and a nullFlavor attribute with the value ''', @nullFlavor, '''')   else if (@value and not(@nullFlavor)) then concat('has a value attribute with the value ''', @value, '''')   else if (not(@value) and @nullFlavor) then concat('has a nullFlavor attribute with the value ''', @nullFlavor, '''')   else 'has no value or nullFlavor attributes' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(   local-name(.)  = 'batchTotalNumber'  or   local-name(.)  = 'continuationQuantity'  or   local-name(.)  = 'expectedSequenceNumber' or   local-name(.)  = 'initialQuantity'  or   local-name(.)  = 'messageWaitingNumber'  or   local-name(.)  = 'multipleBirthOrderNumber' or   local-name(.)  = 'positionNumber'  or   local-name(.)  = 'priorityNumber'  or   local-name(..) = 'repeatNumber'   or   local-name(.)  = 'resultCurrentQuantity' or   local-name(.)  = 'resultRemainingQuantity' or   local-name(.)  = 'resultTotalQuantity'  or   local-name(.)  = 'sequenceNumber'  or   local-name(.)  = 'startResultNumber'  or   local-name(.)  = 'transmissionQuantity'  or   local-name(.)  = 'versionNumber'  ) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not( local-name(.) = 'batchTotalNumber' or local-name(.) = 'continuationQuantity' or local-name(.) = 'expectedSequenceNumber' or local-name(.) = 'initialQuantity' or local-name(.) = 'messageWaitingNumber' or local-name(.) = 'multipleBirthOrderNumber' or local-name(.) = 'positionNumber' or local-name(.) = 'priorityNumber' or local-name(..) = 'repeatNumber' or local-name(.) = 'resultCurrentQuantity' or local-name(.) = 'resultRemainingQuantity' or local-name(.) = 'resultTotalQuantity' or local-name(.) = 'sequenceNumber' or local-name(.) = 'startResultNumber' or local-name(.) = 'transmissionQuantity' or local-name(.) = 'versionNumber' )">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-14" /><xsl:text />: TC-Types-14: The Maximum Number of Permitted Supplies
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type but it does not meet the requirement to have the xsi:type attribute with the value 'INT'.
		(See section 8.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-14" /><xsl:text />: TC-Types-14: According to section 4.10 of the Prescription and Dispense View Structured Content Specification v1.0 the Maximum Number of Permitted Supplies
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type which is
		derived from the HL7 'INT' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		(See section 8.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 4.10 of the Prescription and Dispense View Structured Content Specification v1.0 the Maximum Number of Permitted Supplies
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Integer data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 4.10 of the Prescription and Dispense View Structured Content Specification v1.0 the Maximum Number of Permitted Supplies
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Integer data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 4.10 of the Prescription and Dispense View Structured Content Specification v1.0 the Maximum Number of Permitted Supplies
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the Integer data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 4.10 of the Prescription and Dispense View Structured Content Specification v1.0 the Maximum Number of Permitted Supplies
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the Integer data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @inclusive != 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @inclusive != 'true'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 4.10 of the Prescription and Dispense View Structured Content Specification v1.0 the Maximum Number of Permitted Supplies
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however an attribute 'inclusive' with the value
		'<xsl:text /><xsl:value-of select="@inclusive" /><xsl:text />' was found that is not expected for the Integer data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @inclusive != 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @inclusive != 'true'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 4.10 of the Prescription and Dispense View Structured Content Specification v1.0 the Maximum Number of Permitted Supplies
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however an attribute 'inclusive' with the value
		'<xsl:text /><xsl:value-of select="@inclusive" /><xsl:text />' was found that is not expected for the Integer data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@value) and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@value) and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 4.10 of the Prescription and Dispense View Structured Content Specification v1.0 the Maximum Number of Permitted Supplies
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type
		however it has nullFlavor = 'UNC' (uncoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include nullFlavor = 'UNC'.
		(See section 8.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M806" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M806" />
  <xsl:template match="@*|node()" priority="-2" mode="M806">
    <xsl:apply-templates select="@*|*" mode="M806" />
  </xsl:template>
  <!--PATTERN p-TS-PD-Integer-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16795' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16795']]/cda:entry/   cda:organizer[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16798']]/cda:component/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16805']]/cda:value " priority="1000" mode="M807">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16795' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16795']]/cda:entry/   cda:organizer[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16798']]/cda:component/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16805']]/cda:value " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="narr-text-el" select="(for $text in ($target-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="narr-numbers" select="$narr-text-el[. castable as xs:double] " />
    <xsl:variable name="narr-el-present" select="exists($narr-numbers)" />
    <xsl:variable name="num-in-narr" select="@value and exists($narr-numbers[number() = current()/@value])" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-8" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-8 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @value and ancestor::cda:section and not($narr-el-present) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @value and ancestor::cda:section and not($narr-el-present)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step-8" /><xsl:text />: TC-Narr-09 step 8: The Maximum Number of Permitted Supplies
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Maximum Number of Permitted Supplies data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @value and $narr-el-present and not($num-in-narr or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value and $narr-el-present and not($num-in-narr or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-8" /><xsl:text />: TC-Narr-09 step 8: The Maximum Number of Permitted Supplies
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' which was not found in table data elements of
		the narrative of the section. The data element is in the section with the title '<xsl:text /><xsl:value-of select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]/cda:title" /><xsl:text />'.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Maximum Number of Permitted Supplies data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Maximum Number of Permitted Supplies
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M807" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M807" />
  <xsl:template match="@*|node()" priority="-2" mode="M807">
    <xsl:apply-templates select="@*|*" mode="M807" />
  </xsl:template>
  <!--PATTERN p-TS-Plan-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16020' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16020'] " priority="1000" mode="M808">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16020' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16020'] " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating" select="if ($initial-priority) then $initial-rating else if ($FS-Types-seq/@rating) then concat(' (', $FS-Types-seq/@rating, ')') else '' " />
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and not(/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']) and $extensions-allowed">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']) and $extensions-allowed">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: FS-Types: The Plan section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16020') has been found in a <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. The Plan section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16020') is defined in the digital health specifications but
		although tests have been applied to the data elements the specification of the data elements may have been varied for inclusion in this document
		so further examination may be needed. The rules have been validated for <xsl:text /><xsl:value-of select="normalize-space('Discharge Summary CDA Implementation Guide version 3.4')" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M808" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M808" />
  <xsl:template match="@*|node()" priority="-2" mode="M808">
    <xsl:apply-templates select="@*|*" mode="M808" />
  </xsl:template>
  <!--PATTERN p-TS-Plan-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16020' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16020']]/cda:component/cda:section[cda:code   [not(@code='101.16021' or @code='101.20016')]] " priority="1000" mode="M809">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16020' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16020']]/cda:component/cda:section[cda:code   [not(@code='101.16021' or @code='101.20016')]] " />
    <xsl:variable name="agency-section" select=" cda:code/@codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="test-step" select=" if (not($extensions-allowed)) then 'step 4'        else if ($agency-section) then 'step 3' else 'step 1' " />
    <xsl:variable name="title-and-code" select=" if (cda:title and cda:code/@code) then concat('title ''', cda:title, ''', code/code ''', cda:code/@code, '''')        else if (cda:title and not(cda:code/@code)) then concat('title ''', cda:title, '''')        else if (not(cda:title) and cda:code/@code) then concat('code/code ''', cda:code/@code, '''')        else '' " />
    <xsl:variable name="other-section-names" select=" if (cda:code/@displayName and not(cda:code/cda:originalText)) then concat(' and code/displayName ''', cda:code/@displayName, '''')         else if (cda:code/@displayName and cda:code/cda:originalText)          then concat(', code/displayName ''', cda:code/@displayName,''' and code/originalText ''', cda:code/cda:originalText, '''')        else if (not(cda:code/@displayName) and cda:code/cda:originalText) then concat(' and code/originalText ''', cda:code/cda:originalText, '''')        else '' " />
    <xsl:variable name="section-names" select="concat($title-and-code, $other-section-names)" />
    <xsl:variable name="doc-code" select="/cda:ClinicalDocument/cda:code" />
    <xsl:variable name="parent-section" select="ancestor::cda:section[position()=1]" />
    <xsl:variable name="custom-section-info" select="($iq-config/custom-sections/section, $knowledge/custom-sections/section)[        @doc-code  = $doc-code/@code          and        @doc-codeSystem  = $doc-code/@codeSystem          and        @parent-code   = $parent-section/cda:code/@code         and         @parent-codeSystem  = $parent-section/cda:code/@codeSystem        and         (@title = current()/cda:title or (@code = current()/cda:code/@code and @codeSystem = current()/cda:code/@codeSystem)) ] " />
    <xsl:variable name="section-disallowed" select="$custom-section-info/@disallowed = 'yes' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and ($section-disallowed or not(exists($custom-section-info)))) then $rating-alt-TC-Doc-28-step-1        else if ($test-step = 'step 1' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections]) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 3') then $rating-TC-Doc-28-step-3 else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and $section-disallowed ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and $section-disallowed">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Plan section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16020') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> which
		is an extension to the information model however the inclusion of this section conflicts with sections defined in the digital health specifications.
		<xsl:text /><xsl:value-of select="$custom-section-info[@disallowed = 'yes']/@reason" /><xsl:text /> (Also see <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not(true()) and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(true()) and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Plan section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16020') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. No subsection is expected so this
		is an extension to the information model. Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the 
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(true()) and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(true()) and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Plan section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16020') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> but no subsections were
		expected so the document fails to meet the requirement that it must not contain additional data elements. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and true() and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and true() and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Plan section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16020') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		code '101.16021' and code '101.20016' are expected but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the information model.
		Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Plan section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16020') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		code '101.16021' and code '101.20016' are expected but the inclusion of the section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> fails to meet the requirement that it must not contain additional data elements.
		(See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M809" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M809" />
  <xsl:template match="@*|node()" priority="-2" mode="M809">
    <xsl:apply-templates select="@*|*" mode="M809" />
  </xsl:template>
  <!--PATTERN p-TS-Plan-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16020' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16020']][cda:entry] " priority="1000" mode="M810">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16020' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16020']][cda:entry] " />
    <xsl:variable name="test-step" select=" if (not($extensions-allowed)) then 'step 4' else 'step 1' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Plan section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16020') has an entry element but no entry elements were expected so this is an extension
		to the information model. Confirm if the entry element meets the requirement that extensions must not qualify or negate any of the 
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Plan section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16020') has an entry element but no entry elements were expected so the document fails to meet the
		requirement that it must not contain additional data elements. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M810" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M810" />
  <xsl:template match="@*|node()" priority="-2" mode="M810">
    <xsl:apply-templates select="@*|*" mode="M810" />
  </xsl:template>
  <!--PATTERN p-TS-PresItem-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211'] " priority="1000" mode="M811">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211'] " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating" select="if ($initial-priority) then $initial-rating else if ($FS-Types-seq/@rating) then concat(' (', $FS-Types-seq/@rating, ')') else '' " />
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and not(/cda:ClinicalDocument/cda:templateId[        (@root = '1.2.36.1.2001.1001.100.1002.170' and @extension = '1.0')  or        (@root = '1.2.36.1.2001.1001.100.1002.179' and @extension = '1.0') ]) and $extensions-allowed">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(/cda:ClinicalDocument/cda:templateId[ (@root = '1.2.36.1.2001.1001.100.1002.170' and @extension = '1.0') or (@root = '1.2.36.1.2001.1001.100.1002.179' and @extension = '1.0') ]) and $extensions-allowed">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: FS-Types: The The Prescription Item section (codeSystem '1.2.36.1.2001.1001.101' and code '102.16211') has been found in a <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. The The Prescription Item section (codeSystem '1.2.36.1.2001.1001.101' and code '102.16211') is defined in the digital health specifications but
		although tests have been applied to the data elements the specification of the data elements may have been varied for inclusion in this document
		so further examination may be needed. The rules have been validated for <xsl:text /><xsl:value-of select="normalize-space('Prescription Record CDA Implementation Guide version 1.0; and Prescription and Dispense View CDA Implementation Guide version 1.0')" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M811" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M811" />
  <xsl:template match="@*|node()" priority="-2" mode="M811">
    <xsl:apply-templates select="@*|*" mode="M811" />
  </xsl:template>
  <!--PATTERN p-TS-PresItem-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//cda:section   [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:component/cda:section " priority="1000" mode="M812">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//cda:section   [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:component/cda:section " />
    <xsl:variable name="agency-section" select=" cda:code/@codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="test-step" select=" if (not($extensions-allowed)) then 'step 4'        else if ($agency-section) then 'step 3' else 'step 1' " />
    <xsl:variable name="title-and-code" select=" if (cda:title and cda:code/@code) then concat('title ''', cda:title, ''', code/code ''', cda:code/@code, '''')        else if (cda:title and not(cda:code/@code)) then concat('title ''', cda:title, '''')        else if (not(cda:title) and cda:code/@code) then concat('code/code ''', cda:code/@code, '''')        else '' " />
    <xsl:variable name="other-section-names" select=" if (cda:code/@displayName and not(cda:code/cda:originalText)) then concat(' and code/displayName ''', cda:code/@displayName, '''')         else if (cda:code/@displayName and cda:code/cda:originalText)          then concat(', code/displayName ''', cda:code/@displayName,''' and code/originalText ''', cda:code/cda:originalText, '''')        else if (not(cda:code/@displayName) and cda:code/cda:originalText) then concat(' and code/originalText ''', cda:code/cda:originalText, '''')        else '' " />
    <xsl:variable name="section-names" select="concat($title-and-code, $other-section-names)" />
    <xsl:variable name="doc-code" select="/cda:ClinicalDocument/cda:code" />
    <xsl:variable name="parent-section" select="ancestor::cda:section[position()=1]" />
    <xsl:variable name="custom-section-info" select="($iq-config/custom-sections/section, $knowledge/custom-sections/section)[        @doc-code  = $doc-code/@code          and        @doc-codeSystem  = $doc-code/@codeSystem          and        @parent-code   = $parent-section/cda:code/@code         and         @parent-codeSystem  = $parent-section/cda:code/@codeSystem        and         (@title = current()/cda:title or (@code = current()/cda:code/@code and @codeSystem = current()/cda:code/@codeSystem)) ] " />
    <xsl:variable name="section-disallowed" select="$custom-section-info/@disallowed = 'yes' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and ($section-disallowed or not(exists($custom-section-info)))) then $rating-alt-TC-Doc-28-step-1        else if ($test-step = 'step 1' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections]) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 3') then $rating-TC-Doc-28-step-3 else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and $section-disallowed ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and $section-disallowed">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Prescription Item section (codeSystem '1.2.36.1.2001.1001.101' and code '102.16211') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> which
		is an extension to the information model however the inclusion of this section conflicts with sections defined in the digital health specifications.
		<xsl:text /><xsl:value-of select="$custom-section-info[@disallowed = 'yes']/@reason" /><xsl:text /> (Also see <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not(false()) and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(false()) and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Prescription Item section (codeSystem '1.2.36.1.2001.1001.101' and code '102.16211') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. No subsection is expected so this
		is an extension to the information model. Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the 
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(false()) and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(false()) and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Prescription Item section (codeSystem '1.2.36.1.2001.1001.101' and code '102.16211') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> but no subsections were
		expected so the document fails to meet the requirement that it must not contain additional data elements. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and false() and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and false() and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Prescription Item section (codeSystem '1.2.36.1.2001.1001.101' and code '102.16211') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		none are expected but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the information model.
		Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Prescription Item section (codeSystem '1.2.36.1.2001.1001.101' and code '102.16211') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		none are expected but the inclusion of the section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> fails to meet the requirement that it must not contain additional data elements.
		(See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M812" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M812" />
  <xsl:template match="@*|node()" priority="-2" mode="M812">
    <xsl:apply-templates select="@*|*" mode="M812" />
  </xsl:template>
  <!--PATTERN p-TS-PresItem-CodeableText-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/cda:consumable/   cda:manufacturedProduct/cda:manufacturedMaterial/cda:code " priority="1000" mode="M813">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/cda:consumable/   cda:manufacturedProduct/cda:manufacturedMaterial/cda:code " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Therapeutic Good Identification',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'disallowed' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'disallowed' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Therapeutic Good Identification however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Therapeutic Good Identification in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'disallowed' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'disallowed' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Therapeutic Good Identification however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Therapeutic Good Identification in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Therapeutic Good Identification data element must have a value that is consistent with this definition. Alternatively if there is no Therapeutic Good Identification data element with a proper value then an exclusion
		statement must be included to state why there is no Therapeutic Good Identification.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'disallowed' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'disallowed' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Therapeutic Good Identification however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Therapeutic Good Identification in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'disallowed' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'disallowed' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Therapeutic Good Identification however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Therapeutic Good Identification in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Therapeutic Good Identification data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'disallowed' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'disallowed' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Therapeutic Good Identification however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Therapeutic Good Identification in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Therapeutic Good Identification data element must have a value that is consistent with this definition. Alternatively if there is no Therapeutic Good Identification data element with a proper value then an exclusion
		statement must be included to state why there is no Therapeutic Good Identification.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'disallowed' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'disallowed' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Therapeutic Good Identification however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Therapeutic Good Identification in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Therapeutic Good Identification data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Therapeutic Good Identification.
		(See the definition of Therapeutic Good Identification in the Structured Content Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M813" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M813" />
  <xsl:template match="@*|node()" priority="-2" mode="M813">
    <xsl:apply-templates select="@*|*" mode="M813" />
  </xsl:template>
  <!--PATTERN p-TS-PresItem-CodeableText-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/cda:consumable/   cda:manufacturedProduct/cda:manufacturedMaterial/cda:code[@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " priority="1000" mode="M814">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/cda:consumable/   cda:manufacturedProduct/cda:manufacturedMaterial/cda:code[@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="pnullFlavor" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @nullFlavor) then @nullFlavor else '' " />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-p-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then false()        else if ($psnomed-id = 'amtv3' and @codeSystemVersion) then exists($v-amtv3[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($psnomed-id = 'snomedctau' and @codeSystemVersion) then exists($v-snomedctau[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false() " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and $pcode != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used to assess the primary code.') " />
    <xsl:variable name="pcode-refsets-1" select="if (@codeSystem = '2.16.840.1.113883.6.96' and not($pcode = ''))         then dh:FindValueDomainsForCode($pcode, '2.16.840.1.113883.6.96', $v-psnomed-version) else 'no-code' " />
    <xsl:variable name="pcode-found" select="not($pcode-refsets-1 = 'no-code' or $pcode-refsets-1 = 'CodeNotFound' or $pcode-refsets-1 = 'Error'        or contains($pcode-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="pcode-refsets" select="if ($pcode-found) then distinct-values(tokenize($pcode-refsets-1, '\|')) else () " />
    <xsl:variable name="pcode-special-proc" select="count($pcode-refsets) = 1 and 'Procedure Foundation (PF)' = $pcode-refsets and not($pnullFlavor = 'OTH') " />
    <xsl:variable name="pcode-refsets-msg" select="if (count($pcode-refsets) = 0) then ''         else if (count($pcode-refsets) = 1) then concat('The code is a member of the ', $pcode-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($pcode-refsets, ', '), '.') " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))         else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-1" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="snomed-trans-2" select="distinct-values(for $i in (1 to count($snomed-trans-1)) return $snomed-trans-1[$i]/@code) " />
    <xsl:variable name="snomed-trans-a" select="$snomed-trans-1[1] " />
    <xsl:variable name="tcode-a" select="if (exists($snomed-trans-a) and matches($snomed-trans-a/@code, $snomed-code-regex)) then $snomed-trans-a/@code else '' " />
    <xsl:variable name="tnullFlavor-a" select="if (exists($snomed-trans-a) and $snomed-trans-a/@nullFlavor) then $snomed-trans-a/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-a" select="if (not(exists($snomed-trans-a))) then 'not-snomed'        else if (not($snomed-trans-a/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-a/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-a" select="if (not(exists($snomed-trans-a))) then ''        else if ($tsnomed-id-a = 'amtv3' and exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-a = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-a/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-a" select="if (not(exists($snomed-trans-a))) then false()        else if ($tsnomed-id-a = 'amtv3' and $snomed-trans-a/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-a = 'snomedctau' and $snomed-trans-a/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-a-msg" select="if (not(exists($snomed-trans-a))) then ''        else if (not($snomed-trans-a/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-a, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-a = 'amtv3') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-a = 'snomedctau') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-a/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-a, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-a/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-a-refsets-1" select="if (exists($snomed-trans-a) and not($tcode-a = ''))         then dh:FindValueDomainsForCode($tcode-a, '2.16.840.1.113883.6.96', $v-tsnomed-version-a) else 'no-code' " />
    <xsl:variable name="tcode-a-found" select="not($tcode-a-refsets-1 = 'no-code' or $tcode-a-refsets-1 = 'CodeNotFound' or $tcode-a-refsets-1 = 'Error'         or contains($tcode-a-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-a-refsets" select="if ($tcode-a-found) then distinct-values(tokenize($tcode-a-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-a-special-proc" select="count($tcode-a-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-a-refsets and not($tnullFlavor-a = 'OTH') " />
    <xsl:variable name="tcode-a-refsets-msg" select="if (count($tcode-a-refsets) = 0) then ''         else if (count($tcode-a-refsets) = 1) then concat('The code is a member of the ', $tcode-a-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-a-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@code and $snomed-trans-a/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-a/@displayName, codepoints-to-string(34))         else if ($snomed-trans-a/@code and not($snomed-trans-a/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@codeSystem and $snomed-trans-a/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-a/@codeSystemName, ')')         else if ($snomed-trans-a/@codeSystem and not($snomed-trans-a/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-b" select="(for $i in (2 to count($snomed-trans-1)) return if ($snomed-trans-1[$i]/@code != $snomed-trans-a/@code) then $snomed-trans-1[$i] else ())[1] " />
    <xsl:variable name="tcode-b" select="if (exists($snomed-trans-b) and matches($snomed-trans-b/@code, $snomed-code-regex)) then $snomed-trans-b/@code else '' " />
    <xsl:variable name="tnullFlavor-b" select="if (exists($snomed-trans-b) and $snomed-trans-b/@nullFlavor) then $snomed-trans-b/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-b" select="if (not(exists($snomed-trans-b))) then 'not-snomed'        else if (not($snomed-trans-b/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-b/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-b" select="if (not(exists($snomed-trans-b))) then ''        else if ($tsnomed-id-b = 'amtv3' and exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-b = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-b/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-b" select="if (not(exists($snomed-trans-b))) then false()        else if ($tsnomed-id-b = 'amtv3' and $snomed-trans-b/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-b = 'snomedctau' and $snomed-trans-b/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-b-msg" select="if (not(exists($snomed-trans-b))) then ''        else if (not($snomed-trans-b/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-b, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-b = 'amtv3') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-b = 'snomedctau') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-b/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-b, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-b/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-b-refsets-1" select="if (exists($snomed-trans-b) and not($tcode-b = ''))         then dh:FindValueDomainsForCode($tcode-b, '2.16.840.1.113883.6.96', $v-tsnomed-version-b) else 'no-code' " />
    <xsl:variable name="tcode-b-found" select="not($tcode-b-refsets-1 = 'no-code' or $tcode-b-refsets-1 = 'CodeNotFound' or $tcode-b-refsets-1 = 'Error'         or contains($tcode-b-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-b-refsets" select="if ($tcode-b-found) then distinct-values(tokenize($tcode-b-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-b-special-proc" select="count($tcode-b-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-b-refsets and not($tnullFlavor-b = 'OTH') " />
    <xsl:variable name="tcode-b-refsets-msg" select="if (count($tcode-b-refsets) = 0) then ''         else if (count($tcode-b-refsets) = 1) then concat('The code is a member of the ', $tcode-b-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-b-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@code and $snomed-trans-b/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-b/@displayName, codepoints-to-string(34))         else if ($snomed-trans-b/@code and not($snomed-trans-b/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@codeSystem and $snomed-trans-b/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-b/@codeSystemName, ')')         else if ($snomed-trans-b/@codeSystem and not($snomed-trans-b/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-60" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-60 else $rating-alt-TC-Types-60 " />
    <!--REPORT -->
    <xsl:if test=" $pcode-found and $pcode-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pcode-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD (p-TS-CD-SCT-RefSet): An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$pcode" /><xsl:text />',
		codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-psnomed-version" /><xsl:text />'. This error occurred when assessing the Therapeutic Good Identification data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. The value is not valid for the data element as it describes a medical
		procedure and not a medical problem or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered, administered to or used by the subject of care.         (See section 3.5 of the eHealth Prescription Record Structured Content Specification v1.0.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and   not(exists(index-of(for $refset in ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and not(exists(index-of(for $refset in ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the code is not a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product Pack (Concept Id: 929360081000036101), Medicinal Product Unit of Use         (Concept Id: 929360071000036103), Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use         (Concept Id: 929360031000036100) and the Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Prescription Item (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and   not(exists(index-of(for $refset in ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and not(exists(index-of(for $refset in ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product Pack (Concept Id: 929360081000036101), Medicinal Product Unit of Use         (Concept Id: 929360071000036103), Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use         (Concept Id: 929360031000036100) and the Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Prescription Item (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and   exists(index-of(for $refset in ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and exists(index-of(for $refset in ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product Pack (Concept Id: 929360081000036101), Medicinal Product Unit of Use         (Concept Id: 929360071000036103), Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use         (Concept Id: 929360031000036100) and the Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Prescription Item (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and   exists(index-of(for $refset in ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and exists(index-of(for $refset in ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. Confirm if the code is a member of the value domain.
		If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product Pack (Concept Id: 929360081000036101), Medicinal Product Unit of Use         (Concept Id: 929360071000036103), Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use         (Concept Id: 929360031000036100) and the Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Prescription Item (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="count($snomed-trans-1)" /><xsl:text /> translation elements with
		codes and the SNOMED CT-AU codeSystem '2.16.840.1.113883.6.96'. The first two translation elements have been assessed to determine if the codes are members of the value domain
		and the others have not been assessed. Confirm if the value of the code attribute in all SNOMED CT translation elements meets the requirement that it be a member of the value domain
		if there is no nullFlavor 'OTH' or that there is a nullFlavor 'OTH' if the value of the code attribute is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product Pack (Concept Id: 929360081000036101), Medicinal Product Unit of Use         (Concept Id: 929360071000036103), Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use         (Concept Id: 929360031000036100) and the Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text /> 
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Prescription Item (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-a" /><xsl:text />'. This error occurred when assessing the Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered, administered to or used by the subject of care.         (See section 3.5 of the eHealth Prescription Record Structured Content Specification v1.0.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and   not(exists(index-of(for $refset in ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and not(exists(index-of(for $refset in ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product Pack (Concept Id: 929360081000036101), Medicinal Product Unit of Use         (Concept Id: 929360071000036103), Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use         (Concept Id: 929360031000036100) and the Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Prescription Item (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and   not(exists(index-of(for $refset in ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and not(exists(index-of(for $refset in ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product Pack (Concept Id: 929360081000036101), Medicinal Product Unit of Use         (Concept Id: 929360071000036103), Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use         (Concept Id: 929360031000036100) and the Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Prescription Item (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and   exists(index-of(for $refset in ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and exists(index-of(for $refset in ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product Pack (Concept Id: 929360081000036101), Medicinal Product Unit of Use         (Concept Id: 929360071000036103), Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use         (Concept Id: 929360031000036100) and the Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Prescription Item (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and   exists(index-of(for $refset in ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and exists(index-of(for $refset in ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product Pack (Concept Id: 929360081000036101), Medicinal Product Unit of Use         (Concept Id: 929360071000036103), Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use         (Concept Id: 929360031000036100) and the Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Prescription Item (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-b" /><xsl:text />'. This error occurred when assessing the Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> 
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered, administered to or used by the subject of care.         (See section 3.5 of the eHealth Prescription Record Structured Content Specification v1.0.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and   not(exists(index-of(for $refset in ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and not(exists(index-of(for $refset in ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product Pack (Concept Id: 929360081000036101), Medicinal Product Unit of Use         (Concept Id: 929360071000036103), Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use         (Concept Id: 929360031000036100) and the Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Prescription Item (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and   not(exists(index-of(for $refset in ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and not(exists(index-of(for $refset in ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product Pack (Concept Id: 929360081000036101), Medicinal Product Unit of Use         (Concept Id: 929360071000036103), Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use         (Concept Id: 929360031000036100) and the Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Prescription Item (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and   exists(index-of(for $refset in ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and exists(index-of(for $refset in ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product Pack (Concept Id: 929360081000036101), Medicinal Product Unit of Use         (Concept Id: 929360071000036103), Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use         (Concept Id: 929360031000036100) and the Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Prescription Item (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and   exists(index-of(for $refset in ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)',          'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and exists(index-of(for $refset in ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)')) = 1 and 'Problem Diagnosis (PD)' = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)', 'Containered Trade Product Pack (CTPP)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medicinal Product Pack (Concept Id: 929360081000036101), Medicinal Product Unit of Use         (Concept Id: 929360071000036103), Trade Product Pack (Concept Id: 929360041000036105), Trade Product Unit of Use         (Concept Id: 929360031000036100) and the Containered Trade Product Pack (Concept Id: 929360051000036108) reference sets.')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Prescription Item (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M814" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M814" />
  <xsl:template match="@*|node()" priority="-2" mode="M814">
    <xsl:apply-templates select="@*|*" mode="M814" />
  </xsl:template>
  <!--PATTERN p-TS-PresItem-CodeableText-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/cda:consumable/   cda:manufacturedProduct/cda:manufacturedMaterial/cda:code[(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or (@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-pd-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])]   [not(@nullFlavor = $no-value-NF)] " priority="1000" mode="M815">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/cda:consumable/   cda:manufacturedProduct/cda:manufacturedMaterial/cda:code[(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or (@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-pd-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])]   [not(@nullFlavor = $no-value-NF)] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="snomed-trans" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="tcode" select="if (exists($snomed-trans[1]) and matches($snomed-trans[1]/@code, $snomed-code-regex)) then $snomed-trans[1]/@code else '' " />
    <xsl:variable name="code-present" select="$pcode != '' or $tcode != '' " />
    <xsl:variable name="invalid-code-system" select="@code and @displayName and @codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="codesystemvalues" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']" />
    <xsl:variable name="otext-without-markup" select="if (cda:originalText and cda:originalText != '') then normalize-space(replace(cda:originalText, $markup-regex, ' ')) else '' " />
    <xsl:variable name="pdname" select="if (@displayName and not($invalid-code-system)) then normalize-space(@displayName) else '' " />
    <xsl:variable name="is-immun" select="exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='101.16638' or @code = '101.16658' or @code = '101.17039')]]) " />
    <xsl:variable name="is-pd" select="exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code = '102.16210' or @code='102.16211' or @code='101.16795')]]) " />
    <xsl:variable name="is-shs-meds" select="$templateId-root = '1.2.36.1.2001.1001.101.100.1002.120' and          exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]) " />
    <xsl:variable name="is-meds" select="exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code = '101.16146.4.1.1' or @code = '101.16146.4.1.2' or @code='101.16146')]]) " />
    <xsl:variable name="max-code-number" select="if ($knowledge/search-for-term/max-sct-code-number/@value &gt; '5') then $knowledge/search-for-term/max-sct-code-number/@value else '5' " />
    <xsl:variable name="der-text-1" select="if ($code-present) then ''         else if ($otext-without-markup != '') then $otext-without-markup        else if ($pdname != '') then $pdname        else '' " />
    <xsl:variable name="family-err" select="matches($der-text-1, $family-regex, 'is')" />
    <xsl:variable name="der-truncated-text-1" select="normalize-space(replace(replace($der-text-1, $unicode-br-truncation-regex, '$1', 'is'), $tgi-truncation-regex, '$1', 'is')) " />
    <xsl:variable name="length-err" select="string-length($der-truncated-text-1) &gt; $length-err-max" />
    <xsl:variable name="prose-err-1" select="$length-err and cda:originalText and (        matches(cda:originalText, $ulist-regex)           or         matches(cda:originalText, $alt-ulist-1a-regex, 'is')         or         matches(cda:originalText, $alt-ulist-1b-regex, 'is')         )" />
    <xsl:variable name="prose-err" select="$prose-err-1 or (cda:originalText and (         matches(cda:originalText, $alt-ulist-2-regex, 'is')         or        matches(cda:originalText, $olist-arabic-regex, 'is')         or         matches(cda:originalText, $olist-alpha-regex, 'is')         or         matches(cda:originalText, $olist-roman-regex, 'is')         or        matches(replace(cda:originalText, $new-line-regex, codepoints-to-string((10)), 'is'), $para-regex, 'is') or        matches(cda:originalText, codepoints-to-string((8233)), 'is')        or               (cda:originalText and matches(cda:originalText, $invalid-concept-regex, 'is'))     or        ($length-err and matches(cda:originalText, '\.\s*$', 's') and matches(cda:originalText, $multi-sentence-regex, 's')) ))" />
    <xsl:variable name="avoid-ts" select="$family-err or $length-err or $prose-err or not($use-ts-for-sctau) " />
    <xsl:variable name="der-text-2a" select="if ($der-truncated-text-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-truncated-text-1, $tgi-fir-pattern-replacement, 'ic')) " />
    <xsl:variable name="der-text-2" select="if ($der-text-2a = '') then $der-text-1 else $der-text-2a " />
    <xsl:variable name="der-text-a" select="if ($der-text-2 = '' or $tgi-regex = '') then $der-text-2 else normalize-space(dh:XQueryRecursiveReplace($der-text-2, $tgi-regex, 'ic')) " />
    <xsl:variable name="der-text" select="if ($der-text-a = '') then $der-text-2 else $der-text-a " />
    <xsl:variable name="defn-valid-regex" select="concat('(^|\|)', translate($der-text-2, $chars-to-remove, ''), '(\||$)') " />
    <xsl:variable name="der-text-to-match-1" select="lower-case($der-text-2) " />
    <xsl:variable name="der-text-to-match" select="translate($der-text-to-match-1, $chars-to-remove, '') " />
    <xsl:variable name="tgi-non-value-regex" select="if ($is-immun)          then $cd-definitions/immun/@non-value-regex         else if ($is-pd)       then $cd-definitions/pd/@non-value-regex        else if ($is-shs-meds) then $cd-definitions/shs-meds/@non-value-regex        else if ($is-meds)     then $cd-definitions/meds/@non-value-regex        else '' " />
    <xsl:variable name="der-text-non-value" select="if ($code-present or @nullFlavor = $no-value-NF) then false() else         $der-text-to-match = ''             or         not(matches($der-text-to-match-1, '[a-z]', 'is'))         or        ($cd-definitions/non-value/@regex != '' and matches($der-text-to-match-1, $cd-definitions/non-value/@regex, 'is')) or        ($tgi-non-value-regex != '' and matches($der-text-to-match-1, $tgi-non-value-regex, 'is'))    " />
    <xsl:variable name="tgi-invalid-regex" select="if ($is-immun)          then $cd-definitions/immun/@invalid-regex         else if ($is-pd)       then $cd-definitions/pd/@invalid-regex        else if ($is-shs-meds) then $cd-definitions/shs-meds/@invalid-regex        else if ($is-meds)     then $cd-definitions/meds/@invalid-regex        else '' " />
    <xsl:variable name="defn-invalid-regex" select="if ($code-present or $der-text-non-value) then ()        else if ($tgi-invalid-regex != '') then tokenize($tgi-invalid-regex, '~')[. != '']         else () " />
    <xsl:variable name="defn-invalid-txt-regex" select="(for $i in (1 to count($defn-invalid-regex)) return normalize-space(substring-before($defn-invalid-regex[$i], '[[')))[. != '']" />
    <xsl:variable name="der-invalid-text-regex-1" select="if (exists($defn-invalid-txt-regex))        then index-of(for $i in (1 to count($defn-invalid-txt-regex)) return matches($der-text-2, $defn-invalid-txt-regex[$i], 'is'), true())        else () " />
    <xsl:variable name="der-invalid-text" select="exists($der-invalid-text-regex-1) " />
    <xsl:variable name="defn-invalid-rsn" select="if ($der-invalid-text)         then normalize-space(substring-before(substring-after($defn-invalid-regex[$der-invalid-text-regex-1[1]], '[['), ']]'))         else '' " />
    <xsl:variable name="trusted-code-systems" select="if ($der-text = '' or $der-invalid-text or not(@codeSystem or cda:translation/@codeSystem)) then ()        else if ($is-immun)          then (tokenize(replace($cd-definitions/immun/@core, '\s+', ''), '\|'),           tokenize(replace($cd-definitions/immun/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-pd)          then (tokenize(replace($cd-definitions/pd/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/pd/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-shs-meds)          then (tokenize(replace($cd-definitions/shs-meds/@core, '\s+', ''), '\|'),          tokenize(replace($cd-definitions/shs-meds/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-meds)          then (tokenize(replace($cd-definitions/meds/@core, '\s+', ''), '\|'),           tokenize(replace($cd-definitions/meds/@extra, '\s+', ''), '\|'))[. != '']         else () " />
    <xsl:variable name="der-trusted-text" select="if ($der-text = '' or $der-invalid-text or (@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex)))) then false()        else ((@codeSystem and exists($trusted-code-systems[. = current()/@codeSystem])) or               (cda:translation/@codeSystem and exists($trusted-code-systems[. = current()/cda:translation/@codeSystem]))) " />
    <xsl:variable name="a-vaccine-1" select="not($code-present or $der-text-non-value or $der-invalid-text) and exists($vaccine-text-normalised) and $der-text-to-match = $vaccine-text-normalised" />
    <xsl:variable name="a-sas-tgi-1" select="not($code-present or $der-text-non-value or $der-invalid-text or $a-vaccine-1) and $tgi-sas-regex != '' and matches($der-text, $tgi-sas-regex, 'is')" />
    <xsl:variable name="an-uncoded-tgi-1" select="not($code-present or $der-text-non-value or $der-invalid-text or $a-vaccine-1 or $a-sas-tgi-1) and $tgi-otheru-regex != '' and         matches($der-text, $tgi-otheru-regex, 'is')" />
    <xsl:variable name="obsolete-tgi-info-1" select="if ($is-immun or $code-present or $der-text-non-value or $der-invalid-text or $a-vaccine-1 or $a-sas-tgi-1 or $an-uncoded-tgi-1 or         not(exists($knowledge/special-tgi/obsolete))) then ()        else $knowledge/special-tgi/obsolete[matches($der-text, concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')] " />
    <xsl:variable name="an-obsolete-tgi-1" select="exists($obsolete-tgi-info-1)" />
    <xsl:variable name="tgi-valid-regex-1" select="if ($code-present or $der-text-non-value or $der-invalid-text or $der-text = '' or $a-vaccine-1 or $a-sas-tgi-1 or $an-uncoded-tgi-1 or          $an-obsolete-tgi-1) then ''        else if ($is-immun)    then $cd-definitions/immun/@valid-regex        else if ($is-pd)       then $cd-definitions/pd/@valid-regex        else if ($is-shs-meds) then $cd-definitions/shs-meds/@valid-regex        else if ($is-meds)     then $cd-definitions/meds/@valid-regex        else '' " />
    <xsl:variable name="valid-tgi-1" select="if ($a-vaccine-1 or $a-sas-tgi-1 or $an-uncoded-tgi-1 or $an-obsolete-tgi-1) then true()         else if ($tgi-valid-regex-1 = '') then false()        else exists(index-of(for $regex in (tokenize($tgi-valid-regex-1, '~')[. != '']) return          matches($der-text-2, dh:XQueryRecursiveReplace(normalize-space($regex), ' \|~|~\| ~|', ''), 'is'), true())) " />
    <xsl:variable name="invalid-hierarchy-1" select="if (exists($cd-definitions/meds/meds-invalid/hierarchy))         then string-join(for $hierarchy in $cd-definitions/meds/meds-invalid/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-refset" select="if (exists($cd-definitions/meds/meds-invalid/refset))          then string-join(for $refset in $cd-definitions/meds/meds-invalid/refset return concat('^', $refset/@code), ' OR ')         else '' " />
    <xsl:variable name="valid-refset" select="concat($tgi-formula, ' OR &lt;763158003') " />
    <xsl:variable name="valid-domain" select="if ($invalid-refset != '' and $invalid-hierarchy-1 != '')         then concat('((', $valid-refset, ') MINUS (', $invalid-refset, ' OR (', $invalid-hierarchy-1, ')))')        else if ($invalid-refset = '' and $invalid-hierarchy-1 != '') then concat('((', $valid-refset, ') MINUS (', $invalid-hierarchy-1, '))')         else if ($invalid-refset != '' and $invalid-hierarchy-1 = '') then concat('((', $valid-refset, ') MINUS (', $invalid-refset, '))')        else concat('(', $valid-refset, ')') " />
    <xsl:variable name="related-terms-1" select="if ($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-1) then ()        else ($codesystemvalues/code[@related-terms], $codesystemvalues/related-terms[@related-terms]) " />
    <xsl:variable name="related-terms-2" select="for $i in index-of(        for $concept in $related-terms-1 return matches(translate($concept/@related-terms, $chars-no-pipe, ''), $defn-valid-regex, 'is'), true())         return $related-terms-1[$i]/@code " />
    <xsl:variable name="der-tgi-codes-1" select="if (exists($related-terms-2)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($related-terms-2, ' OR '), ') AND ', $valid-domain), '', string(count($related-terms-2)), false())        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $der-tgi-codes-1 " />
    <xsl:variable name="der-valid-codes-1" select="if (contains($der-tgi-codes-1, '[')) then $der-tgi-codes-1 else '' " />
    <xsl:variable name="valid-tgi-2" select="$valid-tgi-1 or $der-valid-codes-1 != '' " />
    <xsl:variable name="tgi-inactive-refSets" select="if (exists($cd-definitions/tgi/tgi-invalid/inactive-refset))         then concat('((', $inactive-refSets, ') MINUS (',           string-join(for $refset in $cd-definitions/tgi/tgi-invalid/inactive-refset return concat('^', $refset/@code), ' OR '),          '))')         else $inactive-refSets " />
    <xsl:variable name="formula" select="concat($valid-domain, ' OR ', $tgi-inactive-refSets) " />
    <xsl:variable name="ts-not-needed" select="$der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-2 or $avoid-ts " />
    <xsl:variable name="der-tgi-codes-2-a" select="if ($ts-not-needed or exists($related-terms-2)) then ()         else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-text,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2-a" select="$error-usingTS-1 or 'Error' = $der-tgi-codes-2-a " />
    <xsl:variable name="revision-pattern-1" select="if ($ts-not-needed or $valid-tgi-2 or exists($der-tgi-codes-2-a) or $error-usingTS-2-a or exists($related-terms-2)) then ''        else $tgi-sec-pattern-replacement " />
    <xsl:variable name="der-revised-text-1" select="if ($revision-pattern-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-text, $revision-pattern-1, 'ic')) " />
    <xsl:variable name="use-revised-text-1" select="$der-revised-text-1 != '' and $der-revised-text-1 != $der-text " />
    <xsl:variable name="obsolete-tgi-info-2" select="if (exists($der-tgi-codes-2-a)) then ()        else if ($an-obsolete-tgi-1) then $obsolete-tgi-info-1        else if ($use-revised-text-1) then $knowledge/special-tgi/obsolete[matches($der-revised-text-1, concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')]        else () " />
    <xsl:variable name="an-obsolete-tgi-2" select="exists($obsolete-tgi-info-2)" />
    <xsl:variable name="der-tgi-codes-2-b" select="if ($an-obsolete-tgi-2) then ()        else if ($ts-not-needed or exists($der-tgi-codes-2-a) or not($use-revised-text-1)) then $der-tgi-codes-2-a         else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-1,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2-b" select="$error-usingTS-2-a or 'Error' = $der-tgi-codes-2-b " />
    <xsl:variable name="revision-pattern-2" select="if ($ts-not-needed or $valid-tgi-2 or exists($der-tgi-codes-2-b) or $error-usingTS-2-b or exists($related-terms-2)) then ''        else $tgi-thi-pattern-replacement " />
    <xsl:variable name="der-revised-text-2" select="if ($revision-pattern-2 = '') then '' else normalize-space(dh:XQueryRecursiveReplace(         if ($use-revised-text-1) then $der-revised-text-1 else $der-text, $revision-pattern-2, 'ic')) " />
    <xsl:variable name="use-revised-text-2" select="if ($use-revised-text-1) then $der-revised-text-2 != '' and $der-revised-text-2 != $der-revised-text-1         else $der-revised-text-2 != '' and $der-revised-text-2 != $der-text " />
    <xsl:variable name="obsolete-tgi-info-3" select="if (exists($der-tgi-codes-2-b)) then ()        else if ($an-obsolete-tgi-2) then $obsolete-tgi-info-2        else if ($use-revised-text-2) then $knowledge/special-tgi/obsolete[matches($der-revised-text-2, concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')]        else () " />
    <xsl:variable name="an-obsolete-tgi-3" select="exists($obsolete-tgi-info-3)" />
    <xsl:variable name="der-tgi-codes-2-c" select="if ($an-obsolete-tgi-3) then ()        else if ($ts-not-needed or exists($der-tgi-codes-2-b) or not($use-revised-text-2)) then $der-tgi-codes-2-b        else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-2,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2-c" select="$error-usingTS-2-b or 'Error' = $der-tgi-codes-2-c " />
    <xsl:variable name="der-tgi-codes-2-d" select="if ($an-obsolete-tgi-3 or $ts-not-needed or exists($der-tgi-codes-2-c)) then $der-tgi-codes-2-c        else iq:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula,          if ($der-revised-text-2 != '') then $der-revised-text-2          else if ($der-revised-text-1 != '') then $der-revised-text-1          else $der-text, 'default') " />
    <xsl:variable name="error-usingTS-2-d" select="$error-usingTS-2-c or 'Error' = $der-tgi-codes-2-d " />
    <xsl:variable name="der-tgi-codes-2" select="$der-tgi-codes-2-d " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-2-d " />
    <xsl:variable name="der-valid-codes-2" select="if ($der-valid-codes-1 != '') then $der-valid-codes-1        else if ($error-usingTS-2) then ''         else string-join((for $code in $der-tgi-codes-2 return if (contains($code, '~inactive')) then '' else $code)[. != ''], '|')  " />
    <xsl:variable name="valid-tgi-3" select="$valid-tgi-2 or $der-valid-codes-2 != '' " />
    <xsl:variable name="der-inactive-codes-1" select="if ($valid-tgi-3) then () else        for $code in $der-tgi-codes-2 return if (contains($code, '~inactive')) then replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is') else '' " />
    <xsl:variable name="der-inactive-codes-2" select="for $i in (1 to count($der-inactive-codes-1)) return         dh:IsCodeAssociatedWithAnotherCode($der-inactive-codes-1[$i], '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-1" select="'Error' = $der-inactive-codes-2 " />
    <xsl:variable name="der-NAF-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-NAF-active-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound~active')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-inactive-codes-3" select="tokenize(string-join(for $i in (1 to count($der-inactive-codes-1)) return replace(string-join(tokenize($der-inactive-codes-2[$i], '\|')        [matches(., '(REPLACED BY|SAME AS|ALTERNATIVE|POSSIBLY EQUIVALENT TO|MAY BE A|WAS A)')], '|'), '[0-9]+~[A-Z ]+~([0-9]+)', '$1'), '|'), '\|')        [. != ''] " />
    <xsl:variable name="der-tgi-codes-3" select="if (exists($der-inactive-codes-3)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($der-inactive-codes-3, ' OR '), ') AND ', $valid-domain), '', string(count($der-inactive-codes-3)), false())          else '' " />
    <xsl:variable name="error-usingTS-3" select="$error-usingTS-2 or 'Error' = $der-tgi-codes-3 " />
    <xsl:variable name="der-valid-codes-3" select="if ($der-valid-codes-2 != '') then $der-valid-codes-2        else if (contains($der-tgi-codes-3, '[')) then $der-tgi-codes-3        else '' " />
    <xsl:variable name="valid-tgi-4" select="$valid-tgi-3 or $der-valid-codes-3 != '' " />
    <xsl:variable name="tbd-hierarchy" select="if (exists($cd-definitions/meds/meds-tbd/hierarchy))         then string-join(for $hierarchy in $cd-definitions/meds/meds-tbd/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-hierarchy" select="if ($invalid-hierarchy-1 != '' and $tbd-hierarchy != '') then concat($invalid-hierarchy-1, ' OR ', $tbd-hierarchy)        else if ($invalid-hierarchy-1 != '') then $invalid-hierarchy-1        else if ($tbd-hierarchy != '') then $tbd-hierarchy        else '' " />
    <xsl:variable name="invalid-domain" select="if ($invalid-hierarchy != '' and $invalid-refset != '') then concat($invalid-hierarchy, ' OR ', $invalid-refset)        else if ($invalid-hierarchy != '') then $invalid-hierarchy        else if ($invalid-refset != '') then $invalid-refset        else '' " />
    <xsl:variable name="filter-text" select="if ($use-revised-text-2) then $der-revised-text-2 else if ($use-revised-text-1) then $der-revised-text-1 else $der-text " />
    <xsl:variable name="der-tgi-codes-4" select="if ($ts-not-needed or $valid-tgi-4 or $invalid-domain = '') then ()        else if (exists($related-terms-2)) then $related-terms-2        else distinct-values((tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          $invalid-domain, $filter-text, $max-code-number, false()), '(\[.*?\])(\||$)', '$2'), '\|'), $der-inactive-codes-3)) " />
    <xsl:variable name="error-usingTS-4" select="$error-usingTS-3 or 'Error' = $der-tgi-codes-4 " />
    <xsl:variable name="invalid-tgi-codes-r" select="if ($ts-not-needed or $valid-tgi-4 or $error-usingTS-4 or not(exists($der-tgi-codes-4))) then ()        else if ($invalid-refset = '') then tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-tgi-codes-4, ' OR '), ') AND (', $inactive-refSets, ')'), '',           string(count($der-tgi-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')        else tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-tgi-codes-4, ' OR '), ') AND (', $invalid-refset, ' OR ', $inactive-refSets, ')'), '',           string(count($der-tgi-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')  " />
    <xsl:variable name="error-usingTS-5" select="$error-usingTS-4 or 'Error' = $invalid-tgi-codes-r " />
    <xsl:variable name="der-tgi-codes-4-h" select="if ($error-usingTS-5) then () else $der-tgi-codes-4[not(. = $invalid-tgi-codes-r)]" />
    <xsl:variable name="invalid-tgi-codes-h" select="if ($ts-not-needed or $valid-tgi-4 or 'Error' = $der-tgi-codes-4 or $meds-invalid-hierarchy = '' or not(exists($der-tgi-codes-4-h))) then ()        else (for $code in $der-tgi-codes-4-h return          if (dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;&gt;', $code, ' MINUS ', $meds-invalid-hierarchy), '', '1', false()) = '') then $code else '')[. != ''] " />
    <xsl:variable name="invalid-tgi-codes" select="($invalid-tgi-codes-h, $invalid-tgi-codes-r) " />
    <xsl:variable name="der-tgi-codes-5" select="$der-tgi-codes-4[not(. = $invalid-tgi-codes or . = 'Error')]" />
    <xsl:variable name="der-valid-codes-4" select="if ($der-valid-codes-3 != '') then $der-valid-codes-3        else if ($ts-not-needed or $valid-tgi-4 or $valid-domain = '' or not(exists($der-tgi-codes-5))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-tgi-codes-5, ' OR '), ') AND ', $valid-domain), '', string(count($der-tgi-codes-5)), false()) " />
    <xsl:variable name="error-usingTS-6" select="$error-usingTS-5 or 'Error' = $der-valid-codes-4 " />
    <xsl:variable name="valid-tgi-5" select="$valid-tgi-4 or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="der-valid-codes-seq" select="if ($error-usingTS-6) then () else tokenize(replace($der-valid-codes-4,  '(\[.*?\])(\||$)', '$2'), '\|') " />
    <xsl:variable name="undetermined-tgi-1" select="if (exists($der-valid-codes-seq)) then $der-tgi-codes-5[not(. = $der-valid-codes-seq)] else $der-tgi-codes-5 " />
    <xsl:variable name="undetermined-inactive-1" select="for $i in (1 to count($undetermined-tgi-1)) return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $undetermined-tgi-1[$i], '', '1', false()) " />
    <xsl:variable name="error-usingTS-7" select="$error-usingTS-6 or 'Error' = $undetermined-inactive-1 " />
    <xsl:variable name="undetermined-inactive" select="(for $i in (1 to count($undetermined-tgi-1)) return         if (contains($undetermined-inactive-1[$i], '~inactive')) then $undetermined-inactive-1[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-1" select="for $i in (1 to count($undetermined-inactive))        return dh:IsCodeAssociatedWithAnotherCode(replace($undetermined-inactive[$i], '(\[.*?\])(\||$)', '$2'), '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-2" select="$error-usingV-1 or 'Error' = $undetermined-NAF-1 " />
    <xsl:variable name="undetermined-NAF" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-codes" select="for $term in $undetermined-NAF return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-NAF-active" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound~active')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-active-codes" select="for $term in $undetermined-NAF-active return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-tgi" select="$undetermined-tgi-1[not(. = ($undetermined-NAF-codes, $undetermined-NAF-active-codes))]" />
    <xsl:variable name="invalid-tgi" select="not($valid-tgi-5) and exists($invalid-tgi-codes) and not(exists($undetermined-tgi))" />
    <xsl:variable name="a-sas-tgi" select="if ($a-sas-tgi-1) then true()        else if ($a-vaccine-1 or $valid-tgi-5 or $invalid-tgi or not($use-revised-text-2) or $tgi-sas-regex = '') then false()        else matches($der-revised-text-2, $tgi-sas-regex, 'is')" />
    <xsl:variable name="an-uncoded-tgi" select="if ($an-uncoded-tgi-1) then true()        else if ($a-vaccine-1 or $valid-tgi-5 or $invalid-tgi or not($use-revised-text-2) or $tgi-otheru-regex = '' or $a-sas-tgi) then false()        else matches($der-revised-text-2, $tgi-otheru-regex, 'is')" />
    <xsl:variable name="obsolete-tgi-info" select="if ($an-obsolete-tgi-3) then $obsolete-tgi-info-3        else if ($a-vaccine-1 or $valid-tgi-5 or $invalid-tgi or not($use-revised-text-2) or not(exists($knowledge/special-tgi/obsolete)) or $a-sas-tgi or          $an-uncoded-tgi) then ()        else $knowledge/special-tgi/obsolete[matches($der-revised-text-2,          concat('^\W*(', dh:XQueryRecursiveReplace(@name, $meta-pattern, ''), ')\W*$'), 'is')] " />
    <xsl:variable name="an-obsolete-tgi" select="exists($obsolete-tgi-info)" />
    <xsl:variable name="valid-tgi-6" select="$valid-tgi-5 or $a-sas-tgi or $an-uncoded-tgi or $an-obsolete-tgi " />
    <xsl:variable name="a-vaccine-2" select="if ($a-vaccine-1) then true()        else if ($valid-tgi-6 or $invalid-tgi or not(exists($vaccine-text-normalised))) then false()        else if ($der-text != '' and translate(lower-case($der-text), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else if ($use-revised-text-1 and translate(lower-case($der-revised-text-1), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else if ($use-revised-text-2 and translate(lower-case($der-revised-text-2), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else false() " />
    <xsl:variable name="vaccine-code-test" select="if (not($a-vaccine-2 or $valid-tgi-6 or $invalid-tgi or $avoid-ts) and exists($undetermined-tgi))         then tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($undetermined-tgi, ' OR '), ') AND (&lt;71181003 OR &lt;127785005)'), '',          string(count($undetermined-tgi)), false()), '\|')        else () " />
    <xsl:variable name="error-usingTS-8" select="$error-usingTS-7 or 'Error' = $vaccine-code-test " />
    <xsl:variable name="a-vaccine" select="$a-vaccine-2 or (not('Error' = $vaccine-code-test) and exists($undetermined-tgi) and count($vaccine-code-test) = count($undetermined-tgi)) " />
    <xsl:variable name="codes-with-history" select="$der-inactive-codes-2[matches(., '[0-9]')]" />
    <xsl:variable name="hist-vers" select="if (exists($codes-with-history))        then dh:FindLastUpdatedDateForCodeUsingTS(substring-before($codes-with-history[1], '~'), '2.16.840.1.113883.6.96', $ts-latest-snomedctau)       else '' " />
    <xsl:variable name="error-usingTS-9" select="$error-usingTS-8 or 'Error' = $hist-vers " />
    <xsl:variable name="hist-vers-date" select="if (matches($hist-vers, '^(CodeFoundActive|CodeFoundInactive)\|[0-9]{8}$')) then substring-after($hist-vers, '|') else '' " />
    <xsl:variable name="inactive-concept" select="count($der-tgi-codes-2) = count($der-inactive-codes-1) and not($valid-tgi-6)" />
    <xsl:variable name="der-inactive-codes-4" select="$der-inactive-codes-3[not(contains(., 'MOVED FROM') or contains(., 'WAS A'))]" />
    <xsl:variable name="obsolete-without-date" select=" ($an-obsolete-tgi and not($obsolete-tgi-info/@last-available))   or         (exists($der-inactive-codes-3) and not(exists($der-inactive-codes-4)))  or         (exists($der-inactive-codes-4) and $hist-vers-date = '')   " />
    <xsl:variable name="obsolete-date" select="if ($is-immun) then ''        else if ($hist-vers-date != '') then $hist-vers-date        else if ($an-obsolete-tgi and $obsolete-tgi-info/@last-available) then $obsolete-tgi-info/@last-available         else '' " />
    <xsl:variable name="obsolete-yr" select="substring($obsolete-date, 1, 4) " />
    <xsl:variable name="obsolete-mn-temp" select="substring($obsolete-date, 5, 2) " />
    <xsl:variable name="obsolete-mn" select="if ($obsolete-mn-temp = '') then '06' else $obsolete-mn-temp " />
    <xsl:variable name="obsolete-dy-temp" select="substring($obsolete-date, 7, 2) " />
    <xsl:variable name="obsolete-dy" select="if ($obsolete-dy-temp = '') then '15' else $obsolete-dy-temp " />
    <xsl:variable name="obsolete-xs" select="if ($obsolete-date = '') then () else xs:date(concat($obsolete-yr, '-', $obsolete-mn, '-', $obsolete-dy)) " />
    <xsl:variable name="display-obsolete-date" select="if ($obsolete-date = '') then ''        else if ($obsolete-mn-temp = '') then $obsolete-dy        else if ($obsolete-dy-temp = '') then concat($knowledge/months/month[@number = $obsolete-mn]/@abbreviation, ' ', $obsolete-yr)        else concat($obsolete-dy, ' ', $knowledge/months/month[@number = $obsolete-mn]/@abbreviation, ' ', $obsolete-yr) " />
    <xsl:variable name="obsolete-date-diff" select="if ($obsolete-date = '' or not(matches($creation-date-xs - $obsolete-xs, '^P[0-9]+D'))) then '0'        else number(substring-before(substring-after($creation-date-xs - $obsolete-xs, 'P'), 'D')) " />
    <xsl:variable name="obsolete-yrs-ago" select="$obsolete-date-diff div 365 " />
    <xsl:variable name="coding" select="if (not($flags/@assess-class = 'true') or not($use-ts-for-sctau) or not(exists($iq-config/tgi-coding))) then () else $iq-config/tgi-coding" />
    <xsl:variable name="s-classification" select="if (exists($coding/special-classification/classification)) then $coding/special-classification/classification else () " />
    <xsl:variable name="s-number" select="count($s-classification) " />
    <xsl:variable name="s-formula" select="string-join(for $class in $s-classification return $class/@code, ' OR ')" />
    <xsl:variable name="code-to-assess" select="if (not($flags/@assess-class = 'true') or not($use-ts-for-sctau)) then '' else if (exists($der-valid-codes-seq)) then $der-valid-codes-seq[1] else '' " />
    <xsl:variable name="value-domain-1" select="if ($code-to-assess = '') then '' else dh:FindValueDomainsForCode($code-to-assess, '2.16.840.1.113883.6.96', $v-current-sctau)" />
    <xsl:variable name="class-error-1" select="$value-domain-1 = 'Error' " />
    <xsl:variable name="value-domain" select="if ($class-error-1 or $value-domain-1 = ('', 'CodeNotFound')) then ''       else if (contains($value-domain-1, '|')) then substring-before($value-domain-1, '|')       else $value-domain-1 " />
    <xsl:variable name="first-pass-1" select="if ($value-domain = '') then ''        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)'))         then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat($code-to-assess, ' . 30409011000036107'), '', '1', true())        else if ($value-domain = 'Medicinal Product Pack (MPP)')         then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat($code-to-assess, ' . 30348011000036104'), '', '1', true())        else if ($value-domain = 'Trade Product (TP)') then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&lt;', $code-to-assess), '', '1', true())        else $code-to-assess " />
    <xsl:variable name="class-error-2" select="$class-error-1 or ($value-domain != '' and $first-pass-1 = ('Error', '')) " />
    <xsl:variable name="first-pass" select="if (not($class-error-2) and $first-pass-1 != '') then replace($first-pass-1, '(\[.*?\])(\||$)', '$2') else '' " />
    <xsl:variable name="second-pass-1" select="if ($first-pass = '') then ''        else if ($value-domain = 'Trade Product Unit of Use (TPUU)')          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $code-to-assess, ' AND ^929360071000036103'), '', '1', true())        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product (TP)'))          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $first-pass, ' AND ^929360071000036103'), '', '1', true())        else if ($value-domain = 'Medicinal Product Pack (MPP)') then $first-pass        else $code-to-assess " />
    <xsl:variable name="class-error-3" select="$class-error-2 or ($first-pass != '' and $second-pass-1 = ('Error', '')) " />
    <xsl:variable name="second-pass" select="if (not($class-error-3) and $second-pass-1 != '') then replace($second-pass-1, '(\[.*?\])(\||$)', '$2') else '' " />
    <xsl:variable name="class-tp-1" select="if ($class-error-3) then ''        else if ($value-domain = 'Trade Product Unit of Use (TPUU)')          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $code-to-assess, ' AND ^929360021000036102'), '', '1', true())        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)'))          then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;!', $first-pass, ' AND ^929360021000036102'), '', '1', true())        else '' " />
    <xsl:variable name="class-tp-error" select="$class-tp-1 = 'Error' " />
    <xsl:variable name="class-tp" select="if (not($class-tp-error) and $class-tp-1 != '') then replace($class-tp-1, '^([0-9]+\[)(.*?)(\])$', '$2') else '' " />
    <xsl:variable name="third-pass-1" select="if ($second-pass = '') then ''        else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product (TP)',          'Trade Product Unit of Use (TPUU)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)'))         then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;!', $second-pass, ' AND ^929360061000036106'), '', '1', false())        else $second-pass " />
    <xsl:variable name="class-error-4" select="$class-error-3 or ($second-pass != '' and $third-pass-1 = ('Error', '')) " />
    <xsl:variable name="third-pass" select="if ($class-error-4 or $third-pass-1 = '') then ''         else if (matches($third-pass-1, '^[0-9]+$')) then replace($der-valid-codes-4, '^([0-9]+\[)(.*?)(\]\|.*|\])$', '$2')        else if (matches($third-pass-1, '^[0-9]')) then replace($third-pass-1, '^([0-9]+\[)(.*?)(\])$', '$2') else '' " />
    <xsl:variable name="fourth-pass-1" select="if ($third-pass = '') then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', '&lt;373873005', $third-pass, '1', true()) " />
    <xsl:variable name="class-error-5" select="$class-error-4 or $fourth-pass-1 = 'Error' " />
    <xsl:variable name="fourth-pass" select="if (not($class-error-4) and $fourth-pass-1 != '' and matches($fourth-pass-1, '^[0-9]')) then replace($fourth-pass-1, '(\[.*?\])(\||$)', '$2') else '' " />
    <xsl:variable name="class-not-completed" select="($flags/@assess-class = 'true' and $code-to-assess = '')  or        ($code-to-assess != '' and $value-domain-1 = 'CodeNotFound') or        ($third-pass != '' and $fourth-pass = '')   " />
    <xsl:variable name="valid-class-1" select="if ($fourth-pass = '' or $s-number = 0) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND (', $s-formula, ')'), '', string($s-number), true()) " />
    <xsl:variable name="class-error-6" select="$class-error-5 or $valid-class-1 = 'Error' " />
    <xsl:variable name="valid-class-2" select="if ($valid-class-1 = '' or $class-error-6) then () else tokenize(replace($valid-class-1, '(\[.*?\])(\||$)', '$2'), '\|') " />
    <xsl:variable name="valid-class-3" select="if ($a-vaccine and exists($s-classification[@code = '71181003']/@description)) then ($s-classification[@code = '71181003']/@description)       else if ($a-vaccine and exists($s-classification[@code = '71181003']/@pterm)) then ($s-classification[@code = '71181003']/@pterm)       else for $code in $valid-class-2 return if ($coding/special-classification/classification[@code = $code]/@description)         then $coding/special-classification/classification[@code = $code]/@description         else $coding/special-classification/classification[@code = $code]/@pterm " />
    <xsl:variable name="fifth-pass" select="if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/first-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/first-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-7" select="$class-error-6 or $fifth-pass = 'Error' " />
    <xsl:variable name="sixth-pass" select="if (not($fifth-pass = '')) then $fifth-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/second-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/second-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-8" select="$class-error-7 or $sixth-pass = 'Error' " />
    <xsl:variable name="seventh-pass" select="if (not($sixth-pass = '')) then $sixth-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/third-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/third-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-9" select="$class-error-8 or $seventh-pass = 'Error' " />
    <xsl:variable name="eighth-pass" select="if (not($seventh-pass = '')) then $seventh-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/fourth-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/fourth-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-10" select="$class-error-9 or $eighth-pass = 'Error' " />
    <xsl:variable name="ninth-pass" select="if (not($eighth-pass = '')) then $eighth-pass       else if ($fourth-pass = '' or exists($valid-class-3) or not($use-ts-for-sctau and exists($iq-config/tgi-coding/fifth-classification/@code))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('&gt;&gt;', $fourth-pass, ' AND &lt;!', $iq-config/tgi-coding/fifth-classification/@code), '', '100', true()) " />
    <xsl:variable name="class-error-11" select="$class-error-10 or $ninth-pass = 'Error' " />
    <xsl:variable name="valid-class" select="if (exists($valid-class-3)) then $valid-class-3        else if (not($ninth-pass = '')) then for $term in tokenize($ninth-pass, '\|') return replace($term, '^([0-9]+\[)(.*?)(\])$', '$2')       else () " />
    <xsl:variable name="codes-were-found" select="exists($der-tgi-codes-4) or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="obsolete-error" select="not($is-immun) and ($an-obsolete-tgi or $inactive-concept) and $obsolete-yrs-ago &gt; 2 " />
    <xsl:variable name="obsolete-warning" select="not($is-immun or $obsolete-error) and ($an-obsolete-tgi or $inactive-concept) and ($obsolete-yrs-ago &gt; 1 or $obsolete-without-date) " />
    <xsl:variable name="codes-not-found" select="not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-6 or $invalid-tgi or $a-vaccine) " />
    <xsl:variable name="codes-in-the-domain" select="not($valid-tgi-1) and $valid-tgi-5" />
    <xsl:variable name="codes-in-other-domain" select="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi or         $a-vaccine or $obsolete-warning) " />
    <xsl:variable name="codes-in-no-domain" select="exists($der-tgi-codes-5) " />
    <xsl:variable name="display-in-the-domain" select="if ($codes-in-the-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', '), '''')        else '' " />
    <xsl:variable name="display-in-other-r" select="if (exists($invalid-tgi-codes-r) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-tgi-codes-r return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-h" select="if (exists($invalid-tgi-codes-h) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-tgi-codes-h return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-domain" select="if (not($codes-in-other-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))) then ''        else if ($display-in-other-r and display-in-other-h) then concat('''', $display-in-other-r, ', ', $display-in-other-h, '''')        else if ($display-in-other-r) then concat('''', $display-in-other-r, '''')        else if ($display-in-other-h) then concat('''', $display-in-other-h, '''')        else '' " />
    <xsl:variable name="display-in-no-domain" select="if ($codes-in-no-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', dh:XQueryRecursiveReplace(string-join(for $code in $der-tgi-codes-5 return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), '; '),          $term-pattern-replacement, 'ic'), '''')        else '' " />
    <xsl:variable name="log-concepts-appended" select="if ($error-usingTS-9 or not($flags/@report-terminology-concepts = 'true') or $log-concepts-name = '') then ''        else if ($codes-not-found and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                   'Therapeutic Good Identification', $log-tab,                   'yes',     $log-tab,                   iq:display-CD(.),   $log-tab,                   '',     $log-tab,                  '',     $log-tab,                  '',     $log-tab,                  $ts-current-sctau   ))        else if (($use-revised-text-2 or $codes-in-no-domain) and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                  'Therapeutic Good Identification', $log-tab,                   'yes',     $log-tab,                     iq:display-CD(.),   $log-tab,                    $display-in-the-domain,   $log-tab,                  $display-in-other-domain,  $log-tab,                  $display-in-no-domain,   $log-tab,                  $ts-current-sctau   ))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if (matches($defn-invalid-rsn, 'is a container', 'is')) then $rating-container-TC-Types-57 else $rating-TC-Types-57 " />
    <!--REPORT -->
    <xsl:if test=" $log-concepts-appended = ('NOTFOUND', 'ERROR') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$log-concepts-appended = ('NOTFOUND', 'ERROR')">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): The AppendLog function returned '<xsl:text /><xsl:value-of select="$log-concepts-appended" /><xsl:text />' when requested to append the concepts log
		'<xsl:text /><xsl:value-of select="$log-concepts-name" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $flags/@assess-class = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $flags/@assess-class = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): 
		code-to-assess '<xsl:text /><xsl:value-of select="$code-to-assess" /><xsl:text />'
		value-domain '<xsl:text /><xsl:value-of select="$value-domain" /><xsl:text />'
		first-pass '<xsl:text /><xsl:value-of select="$first-pass" /><xsl:text />'
		second-pass '<xsl:text /><xsl:value-of select="$second-pass" /><xsl:text />'
		third-pass '<xsl:text /><xsl:value-of select="$third-pass" /><xsl:text />'
		fourth-pass '<xsl:text /><xsl:value-of select="$fourth-pass" /><xsl:text />'
		valid-class-1 '<xsl:text /><xsl:value-of select="$valid-class-1" /><xsl:text />'
		fifth-pass '<xsl:text /><xsl:value-of select="$fifth-pass" /><xsl:text />'
		sixth-pass '<xsl:text /><xsl:value-of select="$sixth-pass" /><xsl:text />'
		seventh-pass '<xsl:text /><xsl:value-of select="$seventh-pass" /><xsl:text />'
		eighth-pass '<xsl:text /><xsl:value-of select="$eighth-pass" /><xsl:text />'
		ninth-pass '<xsl:text /><xsl:value-of select="$ninth-pass" /><xsl:text />'

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $class-error-11 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$class-error-11">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An unexpected error occurred during the process to classify a terminology code.
		Report the information below to the Australian Digital Health Agency for investigation.
		The value domain was '<xsl:text /><xsl:value-of select="$value-domain" /><xsl:text />' and the error variable was
		<xsl:text /><xsl:value-of select="if ($class-error-1) then concat('class-error-1. The FindValueDomainsForCode function was called with code ''', $code-to-assess,     ''', codeSystem ''2.16.840.1.113883.6.96'' and codeSystemVersion ''', $v-current-sctau, ''' and returned ''', $value-domain-1, '''.')   else if ($class-error-2) then concat('class-error-2. The SearchForCodesInHierarchyUsingTS function was called with code ''', $code-to-assess,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $first-pass-1, '''.')   else if ($class-error-3) then concat('class-error-3. The SearchForCodesInHierarchyUsingTS function was called with code ''',     if ($value-domain = 'Trade Product Unit of Use (TPUU)') then $code-to-assess else $first-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $second-pass-1, '''.')   else if ($class-error-4) then concat('class-error-4. The SearchForCodesInHierarchyUsingTS function was called with code ''', $second-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $third-pass-1, '''.')   else if ($class-error-5) then concat('class-error-5. The SearchForCodesInHierarchyUsingTS function was called with code ''', $third-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $fourth-pass-1, '''.')   else if ($class-error-6) then concat('class-error-6. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $valid-class-1, '''.')   else if ($class-error-7) then concat('class-error-7. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $fifth-pass, '''.')   else if ($class-error-8) then concat('class-error-8. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $sixth-pass, '''.')   else if ($class-error-9) then concat('class-error-9. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $seventh-pass, '''.')   else if ($class-error-10) then concat('class-error-10. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $eighth-pass, '''.')   else if ($class-error-11) then concat('class-error-11. The SearchForCodesInHierarchyUsingTS function was called with code ''', $fourth-pass,     ''', codeSystem ''2.16.840.1.113883.6.96'', codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $ninth-pass, '''.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $class-tp-error ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$class-tp-error">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An unexpected error occurred during the process to find the trade product name for a medicine.
		Report the information below to the Australian Digital Health Agency for investigation.
		The value domain was '<xsl:text /><xsl:value-of select="$value-domain" /><xsl:text />' and the error variable was class-tp-error.
		The FindValueDomainsForCode function was called with code ''', 
		if ($value-domain = 'Trade Product Unit of Use (TPUU)') then $code-to-assess else $first-pass, 
		''', codeSystem ''2.16.840.1.113883.6.96'' and codeSystemVersion ''', $ts-current-sctau, ''' and returned ''', $class-tp-1, '''.')

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-tgi-6) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-tgi-6)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An unexpected problem occurred when assessing the value of the Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. The application of regular expressions resulted in the complete loss of text.
		Report the information below to the Australian Digital Health Agency for investigation.

		der-text-1 '<xsl:text /><xsl:value-of select="normalize-space(dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'))" /><xsl:text />'.
		der-text-2a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-2a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-a, $term-pattern-replacement, 'ic')" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingV-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingV-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An error was reported when accessing the terminology server when assessing the Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		Report the issue to the Australian Digital Health Agency for investigation stating the error was recorded for error-usingV-2.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-9 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-9">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-TGI-Defn): An error was reported when accessing the terminology server when assessing the Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term:
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The analysis should be retried as the terminology server may have been temporarily unavailable.
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'error-usingTS-1' else if ($error-usingTS-2-a) then 'error-usingTS-2-a'   else if ($error-usingTS-2-b) then 'error-usingTS-2-b' else if ($error-usingTS-2-c) then 'error-usingTS-2-c'   else if ($error-usingTS-2) then 'error-usingTS-2'   else if ($error-usingTS-3) then 'error-usingTS-3' else if ($error-usingTS-4) then 'error-usingTS-4'   else if ($error-usingTS-5) then 'error-usingTS-5' else if ($error-usingTS-6) then 'error-usingTS-6'   else if ($error-usingTS-7) then 'error-usingTS-7' else if ($error-usingTS-8) then 'error-usingTS-8'   else 'error-usingTS-9' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or      $valid-tgi-6 or $invalid-tgi) and not($a-vaccine and not(false())) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi) and not($a-vaccine and not(false()))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered, administered to or used by the subject of care.         (See section 3.5 of the eHealth Prescription Record Structured Content Specification v1.0.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Prescription Item (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi) and    not($a-vaccine and false()) and not($obsolete-warning) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-tgi-6 or $invalid-tgi) and not($a-vaccine and false()) and not($obsolete-warning)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the value does not seem to be applicable for the data element.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered, administered to or used by the subject of care.         (See section 3.5 of the eHealth Prescription Record Structured Content Specification v1.0.)')" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $obsolete-warning ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$obsolete-warning">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the name may not be applicable for the data element.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> and the
		<xsl:text /><xsl:value-of select="if ($display-obsolete-date != '') then concat('name of the therapeutic good was last used ', $display-obsolete-date)   else if ($obsolete-tgi-info/@name) then concat('therapeutic good ''', $obsolete-tgi-info/@name, ''' was last available ', $display-obsolete-date)    else if ($obsolete-without-date) then 'name of the therapeutic good is no longer used ' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($obsolete-tgi-info/@reason) then concat(' because ', $obsolete-tgi-info/@reason, '.') else '.' " /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered, administered to or used by the subject of care.         (See section 3.5 of the eHealth Prescription Record Structured Content Specification v1.0.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		<xsl:text /><xsl:value-of select="$creation-date-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $obsolete-error ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$obsolete-error">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the name is not applicable for the data element.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created <xsl:text /><xsl:value-of select="$display-creation-date" /><xsl:text /> and the
		<xsl:text /><xsl:value-of select="if ($display-obsolete-date != '') then concat('name of the therapeutic good was last used ', $display-obsolete-date)   else if ($obsolete-tgi-info/@name) then concat('therapeutic good ''', $obsolete-tgi-info/@name, ''' was last available ', $display-obsolete-date)    else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($obsolete-tgi-info/@reason) then concat(' because ', $obsolete-tgi-info/@reason, '.') else '.' " /><xsl:text />
		That was <xsl:text /><xsl:value-of select="if (contains(string($obsolete-yrs-ago), '.')) then substring-before(string($obsolete-yrs-ago), '.') else $obsolete-yrs-ago " /><xsl:text /> years before the
		<xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered, administered to or used by the subject of care.         (See section 3.5 of the eHealth Prescription Record Structured Content Specification v1.0.)'))" /><xsl:text /><xsl:text /><xsl:value-of select="$creation-date-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the data element does not have a proper value. <xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered, administered to or used by the subject of care.         (See section 3.5 of the eHealth Prescription Record Structured Content Specification v1.0.)'))" /><xsl:text />
		The Therapeutic Good Identification data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered, administered to or used by the subject of care.         (See section 3.5 of the eHealth Prescription Record Structured Content Specification v1.0.)'))" /><xsl:text />
		The Therapeutic Good Identification data element must have a value that is consistent with this definition. Alternatively if there is no Therapeutic Good Identification data element with a proper value then an exclusion
		statement must be included to state why there is no Therapeutic Good Identification. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4')    then concat('Text such as ''', dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'), ''' may be permitted in the narrative even though the Therapeutic Good Identification data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the data element does not have a proper value. <xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered, administered to or used by the subject of care.         (See section 3.5 of the eHealth Prescription Record Structured Content Specification v1.0.)'))" /><xsl:text />
		The Therapeutic Good Identification data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($der-text-non-value) and $der-invalid-text ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($der-text-non-value) and $der-invalid-text">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />
		however the value is invalid. <xsl:text /><xsl:value-of select="$defn-invalid-rsn" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered, administered to or used by the subject of care.         (See section 3.5 of the eHealth Prescription Record Structured Content Specification v1.0.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $a-vaccine and false() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$a-vaccine and false()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />
		which identifies a vaccine. <xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered, administered to or used by the subject of care.         (See section 3.5 of the eHealth Prescription Record Structured Content Specification v1.0.)'))" /><xsl:text />
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Prescription Item (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $invalid-tgi and not($error-usingTS-9) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$invalid-tgi and not($error-usingTS-9)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
ZZZ
der-text '<xsl:text /><xsl:value-of select="$der-text" /><xsl:text />'
der-revised-text-1 '<xsl:text /><xsl:value-of select="$der-revised-text-1" /><xsl:text />'
der-revised-text-2 '<xsl:text /><xsl:value-of select="$der-revised-text-2" /><xsl:text />'
ZZZ
		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the value is invalid
		<xsl:text /><xsl:value-of select="if (exists($invalid-tgi-codes-h) or exists($invalid-tgi-codes-r)) then concat(' as it describes ',    iq:invalidityExplanationUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, $invalid-tgi-codes-h, $cd-definitions/meds/meds-invalid/hierarchy, $invalid-tgi-codes-r, $cd-definitions/meds/meds-invalid/refset), '.')   else '.' " /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered, administered to or used by the subject of care.         (See section 3.5 of the eHealth Prescription Record Structured Content Specification v1.0.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable outside the applicable value domain): The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. The following codes were obtained and are not in the value domain:
		<xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-TGI-Defn): The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU and no associated code was found in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists(($der-NAF-active-codes, $undetermined-NAF-active-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists(($der-NAF-active-codes, $undetermined-NAF-active-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-TGI-Defn): The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-active-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the
		'<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU but it was not found with this status in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.
		<xsl:text /><xsl:value-of select="if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and ($valid-tgi-1 or $a-vaccine-2 or (not($valid-tgi-5) and $valid-tgi-6))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and ($valid-tgi-1 or $a-vaccine-2 or (not($valid-tgi-5) and $valid-tgi-6))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable within the value domain): The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> which matches
		<xsl:text /><xsl:value-of select="if ($a-vaccine-1) then 'one of the terms listed in Knowledge.xml' else 'the vaccine information in CodeSystems.xml' " /><xsl:text /> for the Therapeutic Good Identification.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(exists($valid-class)) and $class-not-completed and not($class-tp-error or $class-error-10) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(exists($valid-class)) and $class-not-completed and not($class-tp-error or $class-error-10)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. <xsl:text /><xsl:value-of select="if ($code-to-assess = '') then 'No code could be found for the medicine.'    else if ($value-domain = '') then concat('The code ''', $code-to-assess, ''' was found to apply to the medicine by applying the terminology server using the ''', $ts-current-sctau,   ''' version of SNOMED CT-AU but the code was not found in the Validator''s database using the ''', $v-current-sctau, ''' version of SNOMED CT-AU.',   if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '')   else concat('This is a ', $value-domain,    if ($value-domain = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)')) then    concat(' (with medicinal product ''', $third-pass, ''').')    else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)'))    then concat(' (with trade product ''', $class-tp, ''').')    else '.') " /><xsl:text /> The classification of this medicine could not be completed.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists($valid-class) and not($class-tp-error or $class-error-11) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists($valid-class) and not($class-tp-error or $class-error-11)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This <xsl:text /><xsl:value-of select="if (not($value-domain = ('Containered Trade Product Pack (CTPP)',    'Trade Product Pack (TPP)', 'Trade Product (TP)', 'Trade Product Unit of Use (TPUU)', 'Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)', 'Medicinal Product (MP)')))    then '' else concat('is a ', $value-domain, ' which')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($value-domain = ('Medicinal Product Pack (MPP)', 'Medicinal Product Unit of Use (MPUU)')) then concat(' (with medicinal product ''', $third-pass, ''') which')   else if ($value-domain = ('Containered Trade Product Pack (CTPP)', 'Trade Product Pack (TPP)', 'Trade Product Unit of Use (TPUU)'))    then concat(' (with trade product ''', $class-tp, ''') which') else '' " /><xsl:text />
		identifies a type of <xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($valid-class, ' and '), $markup-pattern-replacement, 'ic')" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (concept is codeable within the value domain): The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> which is a valid value for the Therapeutic Good Identification.
		SNOMED CT-AU codes that matched the concept are: <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-tgi-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The text used to match regular expression (der-text-2) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to match non-values and vaccines (der-text-to-match) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-to-match, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to derive a code (der-text) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.

		<xsl:text /><xsl:value-of select="if ($use-revised-text-1) then concat(' A first revision of the text (der-revised-text-1) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-1, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A first revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-1 != '' and $der-revised-text-1 = '') then ' revision-pattern-1 was applied but the output (der-revised-text-1) was an empty string.' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($use-revised-text-2) then concat(' A second revision of the text (der-revised-text-2) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A second revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-2 != '' and $der-revised-text-2 = '') then ' revision-pattern-2 was applied but the output (der-revised-text-2) was an empty string.' else '' " /><xsl:text />

		The SNOMED CT-AU version used to find codes is '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' and the maximum code number is '<xsl:text /><xsl:value-of select="$max-code-number" /><xsl:text />'.

		Codes for related terms (related-terms-2): '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($related-terms-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes for related terms (der-valid-codes-1): 
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-1, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-tgi-codes-2) returned by the terminology server that match the text:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-tgi-codes-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes from related terms or the terminology server (der-valid-codes-2):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-2, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-inactive-codes-3) returned from the Validator's database associated with inactive codes:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-inactive-codes-3, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes found after examining inactive codes (der-valid-codes-3):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-3, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Members of invalid reference sets (invalid-tgi-codes-r): '<xsl:text /><xsl:value-of select="$display-in-other-r" /><xsl:text />'.
		Members of invalid code hierarchies (invalid-tgi-codes-h): '<xsl:text /><xsl:value-of select="$display-in-other-h" /><xsl:text />'.

		Final set of valid codes (der-valid-codes-4): <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.
		
		Codes whose validity has not been determined (der-tgi-codes-5): <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.
		Codes whose validity has not been determined and are inactive with no associated code (undetermined-NAF): '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(    string-join($undetermined-NAF, ''', '''), $markup-pattern-replacement, 'ic')" /><xsl:text />'.

		Result of the second vaccination code test (a-vaccine-2): '<xsl:text /><xsl:value-of select="$a-vaccine-2" /><xsl:text />'.
		Vaccine codes (vaccine-code-test):  '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($vaccine-code-test, '; '), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Overall result of the vaccination test (a-vaccine): '<xsl:text /><xsl:value-of select="$a-vaccine" /><xsl:text />'.

		Will the value of the data element be trusted (der-trusted-text)? '<xsl:text /><xsl:value-of select="$der-trusted-text" /><xsl:text />'.
		
	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and $codes-not-found">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept not codeable): The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($avoid-ts) then 'The terminology server was not used to assist with finding codes corresponding to text in the data element. ' else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $prose-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $prose-err">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> which is invalid as it is prose text.
		The Therapeutic Good Identification data element is CodeableText derived from the HL7 CD data type which by definition is to record a concept defined in an external code system, terminology or ontology.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the medicine, vaccine or other therapeutic good         being ordered, administered to or used by the subject of care.         (See section 3.5 of the eHealth Prescription Record Structured Content Specification v1.0.)'))" /><xsl:text />
		This finding will also be reported as an error.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M815" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M815" />
  <xsl:template match="@*|node()" priority="-2" mode="M815">
    <xsl:apply-templates select="@*|*" mode="M815" />
  </xsl:template>
  <!--PATTERN p-TS-PresItem-CodeableText-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//cda:section   [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/cda:consumable/   cda:manufacturedProduct/cda:manufacturedMaterial/cda:code[(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M816">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//cda:section   [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/cda:consumable/   cda:manufacturedProduct/cda:manufacturedMaterial/cda:code[(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Therapeutic Good Identification '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Therapeutic Good Identification has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Therapeutic Good Identification data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Therapeutic Good Identification data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Therapeutic Good Identification data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Therapeutic Good Identification data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Therapeutic Good Identification data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = () and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = () and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Therapeutic Good Identification data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Therapeutic Good Identification data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Therapeutic Good Identification data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M816" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M816" />
  <xsl:template match="@*|node()" priority="-2" mode="M816">
    <xsl:apply-templates select="@*|*" mode="M816" />
  </xsl:template>
  <!--PATTERN p-TS-PresItem-CodeableText-5-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$templateId-root = '1.2.36.1.2001.1001.100.1002.170' and $templateId-ext = '1.0' and    '102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/cda:consumable/   cda:manufacturedProduct/cda:manufacturedMaterial/cda:code " priority="1000" mode="M817">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$templateId-root = '1.2.36.1.2001.1001.100.1002.170' and $templateId-ext = '1.0' and    '102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/cda:consumable/   cda:manufacturedProduct/cda:manufacturedMaterial/cda:code " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and exists(('ALL')[. = 'ALL']) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and exists(('ALL')[. = 'ALL'])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. The Therapeutic Good Identification data element is not allowed to contain a nullFlavor attribute.
		(See section 3.2.13 of the eHealth Prescription Record PCEHR Conformance Profile v1.3.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and exists(('ALL')[. = current()/@nullFlavor]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and exists(('ALL')[. = current()/@nullFlavor])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Therapeutic Good Identification data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. The Therapeutic Good Identification data element is not allowed to contain a nullFlavor attribute
		with this value. (See section 3.2.13 of the eHealth Prescription Record PCEHR Conformance Profile v1.3.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M817" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M817" />
  <xsl:template match="@*|node()" priority="-2" mode="M817">
    <xsl:apply-templates select="@*|*" mode="M817" />
  </xsl:template>
  <!--PATTERN p-TS-PresItem-CodeableText-6-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/cda:consumable/   cda:manufacturedProduct/cda:manufacturedMaterial/cda:code " priority="1000" mode="M818">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/cda:consumable/   cda:manufacturedProduct/cda:manufacturedMaterial/cda:code " />
    <xsl:variable name="hist-vers-1" select="tokenize($ts-snomedctau-pre-ordered, '\|')" />
    <xsl:variable name="pcode" select="if (not(@code)) then ''        else if (@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)) then @code        else '' " />
    <xsl:variable name="pname-to-test" select="@codeSystem = '2.16.840.1.113883.6.96' and @displayName and $pcode != '' " />
    <xsl:variable name="psctau-version" select="if (exists(@codeSystemVersion) and matches(@codeSystemVersion, $snomedctau-version-regex)) then @codeSystemVersion else '' " />
    <xsl:variable name="psnomed-id" select="if (not($pname-to-test) or not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion) and          dh:IsFirstDateEarlierThanSecondDate($creation-date, substring-after($first-amt-in-sctau, '/version/')) = '1') then 'amtv3'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (not($psctau-version = '')) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="psnomed-type" select="if ($psnomed-id = 'amtv3') then 'AMT v3'        else if ($psnomed-id = 'snomedctau') then 'SNOMED CT-AU'        else if ($psnomed-id = 'snomedct') then 'SNOMED CT'        else '' " />
    <xsl:variable name="pvers-old" select="if ($psnomed-id = 'snomedctau' and @codeSystemVersion) then not(exists($ts-snomedctau[. = current()/@codeSystemVersion]))        else if ($psnomed-id = 'snomedctau' and $creation-date != '' and $ts-earliest-sctau-date != '') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $ts-earliest-sctau-date) = '1'         else if ($psnomed-id = 'amtv3' and @codeSystemVersion) then not(exists($v-amtv3[. = current()/@codeSystemVersion]))        else if ($psnomed-id = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '1'         else false() " />
    <xsl:variable name="psctau-ts" select="if ($psctau-version = '' or not($pvers-old)) then '' else substring-after($psctau-version, '/version/') " />
    <xsl:variable name="psctau-ts-xs" select="if ($psctau-ts = '') then '' else concat(substring($psctau-ts, 1, 4), '-', substring($psctau-ts, 5, 2), '-', substring($psctau-ts, 7, 2))" />
    <xsl:variable name="psctau-ts-1" select="if ($psctau-ts = '' or not($psctau-ts-xs castable as xs:date)) then '' else string($sctau-last-xs - xs:date($psctau-ts-xs)) " />
    <xsl:variable name="psctau-ts-2" select="if ($psctau-ts-1 = '' or not(matches($psctau-ts-1, '^P[0-9]+D'))) then '' else substring-before(substring-after($psctau-ts-1, 'P'), 'D') " />
    <xsl:variable name="psctau-ts-63-err" select="$psctau-ts-2 != '' and $psctau-ts-2 &gt; $sctau-acceptable-age  " />
    <xsl:variable name="ts-psnomed-version" select="if (not($pname-to-test) or not($psnomed-id = 'snomedctau')) then ''        else if (not(@codeSystemVersion)) then $ts-latest-snomedctau        else if ($psnomed-id = 'snomedctau' and @codeSystemVersion and not($pvers-old)) then @codeSystemVersion        else if ($pvers-old and $ts-earliest-sctau-date != '') then concat('http://snomed.info/sct/32506021000036107/version/', $ts-earliest-sctau-date)        else $ts-latest-snomedctau " />
    <xsl:variable name="v-psnomed-version" select="if (not($psnomed-id = 'amtv3')) then ''        else if (@codeSystemVersion and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($pvers-old) then concat('http://snomed.info/sct/900062011000036108/version/', $v-earliest-amtv3-date)        else $v-latest-amtv3 " />
    <xsl:variable name="test-pname" select="$pname-to-test and not($ts-psnomed-version = '' and $v-psnomed-version = '') and not($psctau-ts-63-err)" />
    <xsl:variable name="p-term-actual-1" select="if ($test-pname and $use-ts-for-sctau and $psnomed-id = 'snomedctau')        then dh:FindPreferredTermUsingTS($pcode, '2.16.840.1.113883.6.96', $ts-psnomed-version)        else if ($test-pname and exists($v-amtv3) and $psnomed-id = 'amtv3')        then replace(dh:FindPreferredTermAndCaseSignificance($pcode, '2.16.840.1.113883.6.96', $v-psnomed-version), '\|.*$', '', 'is')       else '' " />
    <xsl:variable name="error-usingTS-1" select="$p-term-actual-1 = 'Error' " />
    <xsl:variable name="p-term-actual" select="if ($p-term-actual-1 = ('CodeNotFound', 'Error')) then '' else $p-term-actual-1 " />
    <xsl:variable name="pname-invalid" select="$test-pname and $p-term-actual != '' and lower-case($p-term-actual) != lower-case(@displayName) " />
    <xsl:variable name="phist-search" select="$test-pname and $pname-invalid and $ts-snomedctau-pre-ordered != '' " />
    <xsl:variable name="phist-vers-2" select="if ($phist-search) then index-of($hist-vers-1, substring-after($ts-psnomed-version, 'version/')) else () " />
    <xsl:variable name="phist-vers-3" select="if (exists($phist-vers-2) and count($hist-vers-1) &gt; $phist-vers-2[1]) then $hist-vers-1[$phist-vers-2[1] + 1] else '' " />
    <xsl:variable name="phist-vers-4" select="if ($phist-vers-3 = '') then '' else concat('http://snomed.info/sct/32506021000036107/version/', $phist-vers-3) " />
    <xsl:variable name="phist-vers-5" select="if ($phist-vers-4 != '' and $use-ts-for-sctau)         then dh:FindLatestVersionWhereDisplaynameMatchUsingTS($pcode, '2.16.840.1.113883.6.96', $phist-vers-4, @displayName, false()) else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or $phist-vers-5 = 'Error' " />
    <xsl:variable name="phist-vers-found-1" select="matches($phist-vers-5, 'http') " />
    <xsl:variable name="pcode-pterm-date-1" select="if (not($pname-invalid) or $phist-vers-found-1) then '' else dh:LatestDateForPreferredTerm($pcode, '2.16.840.1.113883.6.96', $v-latest-snomedctau) " />
    <xsl:variable name="error-pcode-pterm-date" select="'Error' = $pcode-pterm-date-1" />
    <xsl:variable name="pcode-pterm-date-2" select="if (matches($pcode-pterm-date-1, '^[0-9]{8}\|')) then substring-before($pcode-pterm-date-1, '|') else '' " />
    <xsl:variable name="pcode-pterm-date-est" select="$pcode-pterm-date-2 != '' and dh:IsFirstDateEarlierThanSecondDate($creation-date, $pcode-pterm-date-2) = '0' " />
    <xsl:variable name="pcode-pterm-date" select="if ($pcode-pterm-date-est) then $pcode-pterm-date-2 else '' " />
    <xsl:variable name="phist-vers-6" select="if ($phist-vers-5 = 'PreferredTermNeverMatches' and not($pcode-pterm-date-est) and matches($pcode, $sctau-namespace-id-regex))         then dh:IsCodePreferredTermInTerminologyValid($pcode, '2.16.840.1.113883.6.96', $v-latest-amtv3, @displayName)        else '' " />
    <xsl:variable name="phist-vers-found-2" select="$phist-vers-6 = 'PreferredTermMatch' " />
    <xsl:variable name="phist-vers-7" select="if ($phist-vers-6 = 'PreferredTermMismatch' and not($pcode-pterm-date-est) and $v-latest-amtv2 = $last-amtv2)         then dh:IsCodePreferredTermInTerminologyValid($pcode, '1.2.36.1.2001.1004.100', $last-amtv2, @displayName)        else '' " />
    <xsl:variable name="phist-vers-found-3" select="$phist-vers-7 = 'PreferredTermMatch' " />
    <xsl:variable name="phist-vers-found" select="$phist-vers-found-1 or $phist-vers-found-2 or $phist-vers-found-3 or $pcode-pterm-date-est " />
    <xsl:variable name="phist-vers-date" select="if ($phist-vers-found-1) then substring-after($phist-vers-5, 'http://snomed.info/sct/32506021000036107/version/')         else if ($phist-vers-found-2) then substring-after($v-latest-amtv3, 'http://snomed.info/sct/900062011000036108/version/')        else if ($phist-vers-found-3) then $last-amtv2-date        else if ($pcode-pterm-date-est) then $pcode-pterm-date        else '' " />
    <xsl:variable name="phist-last-diff" select="if ($sctau-last = '' or $phist-vers-date = '') then ''        else iq:display-date-diff($phist-vers-date, $sctau-last)[2] " />
    <xsl:variable name="phist-last-old" select="$phist-last-diff != '' and not(number($phist-last-diff) &lt; $sctau-acceptable-age) " />
    <xsl:variable name="p-term-found-in" select="if ($phist-vers-found-1) then 'last used in the version of SNOMED CT-AU'        else if ($phist-vers-found-2) then 'used in the version of AMT v3'        else if ($phist-vers-found-3) then 'used in the version of AMT v2'        else '' " />
    <xsl:variable name="phist-last-msg" select="if ($pcode-pterm-date-est) then concat(' The preferred term was last changed in the version of SNOMED CT-AU published ',          iq:display-date($phist-vers-date),          ' so if the value of the displayName was ever valid then it must be before then. ',          'That version was published ', $phist-last-diff, ' days before the version of SNOMED CT-AU published immediately prior to the date ''',         /cda:ClinicalDocument/cda:effectiveTime/@value, ''' that this ', $document-name,          ' was created. SNOMED CT-AU is published monthly and the Australian National Terminology Licence Agreement requires the copy used ',         'in healthcare software systems (live or production environments) to be updated within 30 days of the National Terminology release.')         else if (not($phist-last-old) or $p-term-found-in = '') then ''        else concat(' The value of the displayName was ', $p-term-found-in,          ' published on the ', iq:display-date($phist-vers-date), '. That version was published ', $phist-last-diff,          ' days before the version of SNOMED CT-AU published immediately prior to the date the ', $document-name,          ' was created. SNOMED CT-AU is published monthly and the Australian National Terminology Licence Agreement requires the copy used in',         ' healthcare software systems (live or production environments) to be updated within 30 days of the National Terminology release.') " />
    <xsl:variable name="p-date-required" select="if (not($pname-invalid)) then ''        else if (@codeSystemVersion and matches(@codeSystemVersion, $snomed-version-regex-1)) then substring-after(@codeSystemVersion, '/version/')        else if ($creation-date-est) then ''        else $creation-date " />
    <xsl:variable name="p-date-diff" select="if ($p-date-required = '' or         not(dh:IsFirstDateEarlierThanSecondDate(substring-after($ts-psnomed-version, '/version/'), $p-date-required) = '1')) then ()        else iq:display-date-diff(substring-after($ts-psnomed-version, '/version/'), $p-date-required)" />
    <xsl:variable name="p-old-ts-version" select="exists($p-date-diff) and number($p-date-diff[2]) &gt; 31 " />
    <xsl:variable name="snomed-trans-1" select="if (cda:translation) then cda:translation[@displayName and @codeSystem = '2.16.840.1.113883.6.96' and @code and         matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="snomed-trans-2" select="distinct-values(for $trans in $snomed-trans-1 return $trans/@code) " />
    <xsl:variable name="snomed-trans-a" select="if (exists($snomed-trans-1)) then $snomed-trans-1[1] else () " />
    <xsl:variable name="tcode-a" select="if (exists($snomed-trans-a)) then $snomed-trans-a/@code else '' " />
    <xsl:variable name="tname-a-to-test" select="$tcode-a != '' and $snomed-trans-a/@displayName " />
    <xsl:variable name="tsctau-version-a" select="if (exists($snomed-trans-a/@codeSystemVersion) and matches($snomed-trans-a/@codeSystemVersion, $snomedctau-version-regex)) then $snomed-trans-a/@codeSystemVersion else '' " />
    <xsl:variable name="tsnomed-id-a" select="if (not($tname-a-to-test)) then 'none'        else if (not($snomed-trans-a/@codeSystemVersion) and          dh:IsFirstDateEarlierThanSecondDate($creation-date, substring-after($first-amt-in-sctau, '/version/')) = '1') then 'amtv3'        else if (not($snomed-trans-a/@codeSystemVersion)) then 'snomedctau'        else if (not($tsctau-version-a = '')) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-a/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="tsnomed-a-type" select="if ($tsnomed-id-a = 'amtv3') then 'AMT v3'        else if ($tsnomed-id-a = 'snomedctau') then 'SNOMED CT-AU'        else if ($tsnomed-id-a = 'snomedct') then 'SNOMED CT'        else '' " />
    <xsl:variable name="t-vers-a-old" select="if ($tsnomed-id-a = 'snomedctau' and $snomed-trans-a/@codeSystemVersion) then not(exists($ts-snomedctau[. = $snomed-trans-a/@codeSystemVersion]))         else if ($tsnomed-id-a = 'snomedctau' and $creation-date != '' and $ts-earliest-sctau-date != '') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $ts-earliest-sctau-date) = '1'         else if ($tsnomed-id-a = 'amtv3' and $snomed-trans-a/@codeSystemVersion) then not(exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion]))        else if ($tsnomed-id-a = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '1'         else false() " />
    <xsl:variable name="tsctau-ts-a" select="if ($tsctau-version-a = '' or not($t-vers-a-old)) then '' else substring-after($tsctau-version-a, '/version/') " />
    <xsl:variable name="tsctau-ts-a-xs" select="if ($tsctau-ts-a = '') then '' else concat(substring($tsctau-ts-a, 1, 4), '-', substring($tsctau-ts-a, 5, 2), '-', substring($tsctau-ts-a, 7, 2))" />
    <xsl:variable name="tsctau-ts-a-1" select="if ($tsctau-ts-a = '' or not($tsctau-ts-a-xs castable as xs:date)) then '' else string($sctau-last-xs - xs:date($tsctau-ts-a-xs)) " />
    <xsl:variable name="tsctau-ts-a-2" select="if ($tsctau-ts-a-1 = '' or not(matches($tsctau-ts-a-1, '^P[0-9]+D'))) then '' else substring-before(substring-after($tsctau-ts-a-1, 'P'), 'D') " />
    <xsl:variable name="tsctau-ts-a-63-err" select="$tsctau-ts-a-2 != '' and $tsctau-ts-a-2 &gt; $sctau-acceptable-age  " />
    <xsl:variable name="ts-tsnomed-version-a" select="if (not($tname-a-to-test) or not($tsnomed-id-a = 'snomedctau')) then ''        else if (not($snomed-trans-a/@codeSystemVersion)) then $ts-latest-snomedctau        else if ($tsnomed-id-a = 'snomedctau' and $snomed-trans-a/@codeSystemVersion and not($t-vers-a-old)) then $snomed-trans-a/@codeSystemVersion        else if ($t-vers-a-old and $ts-earliest-sctau-date != '') then concat('http://snomed.info/sct/32506021000036107/version/', $ts-earliest-sctau-date)        else $ts-latest-snomedctau " />
    <xsl:variable name="v-tsnomed-version-a" select="if (not($tsnomed-id-a = 'amtv3')) then ''        else if ($snomed-trans-a/@codeSystemVersion and exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($t-vers-a-old) then concat('http://snomed.info/sct/900062011000036108/version/', $v-earliest-amtv3-date)        else $v-latest-amtv3 " />
    <xsl:variable name="test-tname-a" select="$tname-a-to-test and not($ts-tsnomed-version-a = '' and $v-tsnomed-version-a = '') and not($tsctau-ts-a-63-err) " />
    <xsl:variable name="t-a-term-actual-1" select="if ($test-tname-a and $use-ts-for-sctau and $tsnomed-id-a = 'snomedctau')         then dh:FindPreferredTermUsingTS($tcode-a, '2.16.840.1.113883.6.96', $ts-tsnomed-version-a)         else if ($test-tname-a and exists($v-amtv3) and $tsnomed-id-a = 'amtv3')         then replace(dh:FindPreferredTermAndCaseSignificance($tcode-a, '2.16.840.1.113883.6.96', $v-tsnomed-version-a), '\|.*$', '', 'is')        else '' " />
    <xsl:variable name="error-usingTS-3" select="$error-usingTS-2 or $t-a-term-actual-1 = 'Error' " />
    <xsl:variable name="t-a-term-actual" select="if ($t-a-term-actual-1 = 'CodeNotFound' or $t-a-term-actual-1 = 'Error') then '' else $t-a-term-actual-1 " />
    <xsl:variable name="tname-a-invalid" select="$test-tname-a and $t-a-term-actual != '' and lower-case($t-a-term-actual) != lower-case($snomed-trans-a/@displayName) " />
    <xsl:variable name="thist-a-search" select="$test-tname-a and $tname-a-invalid and $ts-snomedctau-pre-ordered != '' " />
    <xsl:variable name="thist-a-vers-2" select="if ($thist-a-search) then index-of($hist-vers-1, substring-after($ts-tsnomed-version-a, 'version/')) else () " />
    <xsl:variable name="thist-a-vers-3" select="if (exists($thist-a-vers-2) and count($hist-vers-1) &gt; $thist-a-vers-2[1]) then $hist-vers-1[$thist-a-vers-2[1] + 1] else '' " />
    <xsl:variable name="thist-a-vers-4" select="if ($thist-a-vers-3 = '') then '' else concat('http://snomed.info/sct/32506021000036107/version/', $thist-a-vers-3) " />
    <xsl:variable name="thist-a-vers-5" select="if ($thist-a-vers-4 != '' and $use-ts-for-sctau)         then dh:FindLatestVersionWhereDisplaynameMatchUsingTS($tcode-a, '2.16.840.1.113883.6.96', $thist-a-vers-4, $snomed-trans-a/@displayName, false())         else '' " />
    <xsl:variable name="error-usingTS-4" select="$error-usingTS-3 or $thist-a-vers-5 = 'Error' " />
    <xsl:variable name="thist-a-vers-found-1" select="matches($thist-a-vers-5, 'http') " />
    <xsl:variable name="tcode-a-pterm-date-1" select="if (not($tname-a-invalid) or $thist-a-vers-found-1) then ''          else dh:LatestDateForPreferredTerm($tcode-a, '2.16.840.1.113883.6.96', $v-latest-snomedctau) " />
    <xsl:variable name="error-tcode-a-pterm-date" select="'Error' = $tcode-a-pterm-date-1" />
    <xsl:variable name="tcode-a-pterm-date-2" select="if (matches($tcode-a-pterm-date-1, '^[0-9]{8}\|')) then substring-before($tcode-a-pterm-date-1, '|') else '' " />
    <xsl:variable name="tcode-a-pterm-date-est" select="$tcode-a-pterm-date-2 != '' and dh:IsFirstDateEarlierThanSecondDate($creation-date, $tcode-a-pterm-date-2) = '0' " />
    <xsl:variable name="tcode-a-pterm-date" select="if ($tcode-a-pterm-date-est) then $tcode-a-pterm-date-2 else '' " />
    <xsl:variable name="thist-a-vers-6" select="if ($thist-a-vers-5 = 'PreferredTermNeverMatches' and not($tcode-a-pterm-date-est) and matches($tcode-a, $sctau-namespace-id-regex))         then dh:IsCodePreferredTermInTerminologyValid($tcode-a, '2.16.840.1.113883.6.96', $v-latest-amtv3, $snomed-trans-a/@displayName)        else '' " />
    <xsl:variable name="thist-a-vers-found-2" select="$thist-a-vers-6 = 'PreferredTermMatch' " />
    <xsl:variable name="thist-a-vers-7" select="if ($thist-a-vers-6 = 'PreferredTermMismatch' and not($tcode-a-pterm-date-est) and $v-latest-amtv2 = $last-amtv2)         then dh:IsCodePreferredTermInTerminologyValid($tcode-a, '1.2.36.1.2001.1004.100', $last-amtv2, $snomed-trans-a/@displayName)        else '' " />
    <xsl:variable name="thist-a-vers-found-3" select="$thist-a-vers-7 = 'PreferredTermMatch' " />
    <xsl:variable name="thist-a-vers-found" select="$thist-a-vers-found-1 or $thist-a-vers-found-2 or $thist-a-vers-found-3 or $tcode-a-pterm-date-est " />
    <xsl:variable name="thist-a-vers-date" select="if ($thist-a-vers-found-1) then substring-after($thist-a-vers-5, 'http://snomed.info/sct/32506021000036107/version/')         else if ($thist-a-vers-found-2) then substring-after($v-latest-amtv3, 'http://snomed.info/sct/900062011000036108/version/')        else if ($thist-a-vers-found-3) then $last-amtv2-date        else if ($tcode-a-pterm-date-est) then $tcode-a-pterm-date        else '' " />
    <xsl:variable name="thist-a-last-diff" select="if ($sctau-last = '' or $thist-a-vers-date = '') then ''        else iq:display-date-diff($thist-a-vers-date, $sctau-last)[2] " />
    <xsl:variable name="thist-a-last-old" select="$thist-a-last-diff != '' and not(number($thist-a-last-diff) &lt; $sctau-acceptable-age) " />
    <xsl:variable name="t-a-term-found-in" select="if ($thist-a-vers-found-1) then 'last used in the version of SNOMED CT-AU'        else if ($thist-a-vers-found-2) then 'used in the version of AMT v3'        else if ($thist-a-vers-found-3) then 'used in the version of AMT v2'        else '' " />
    <xsl:variable name="thist-a-last-msg" select="if ($tcode-a-pterm-date-est) then concat(' The preferred term was last changed in the version of SNOMED CT-AU published ',          iq:display-date($thist-a-vers-date),          ' so if the value of the translation code displayName was ever valid then it must be before then. ',          'That version was published ', $thist-a-last-diff, ' days before the version of SNOMED CT-AU published immediately prior to the date ''',         /cda:ClinicalDocument/cda:effectiveTime/@value, ''' that this ', $document-name,          ' was created. SNOMED CT-AU is published monthly and the Australian National Terminology Licence Agreement requires the copy used ',         'in healthcare software systems (live or production environments) to be updated within 30 days of the National Terminology release.')         else if (not($thist-a-last-old) or $t-a-term-found-in = '') then ''           else concat(' The value of the translation code displayName was ', $t-a-term-found-in, ' published on the ', iq:display-date($thist-a-vers-date),         '. That version was published ', $thist-a-last-diff, ' days before the version of SNOMED CT-AU published immediately prior to the date the ',        $document-name, ' was created. SNOMED CT-AU is published monthly and the Australian National Terminology Licence Agreement requires ',        'the copy used in healthcare software systems (live or production environments) to be updated within 30 days of the National Terminology release.')" />
    <xsl:variable name="tr-a-date-required" select="if (not($tname-a-invalid)) then ''        else if ($snomed-trans-a/@codeSystemVersion and matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1))          then substring-after($snomed-trans-a/@codeSystemVersion, '/version/')        else if ($creation-date-est) then ''        else $creation-date " />
    <xsl:variable name="tr-a-date-diff" select="if ($tr-a-date-required = '' or         not(dh:IsFirstDateEarlierThanSecondDate(substring-after($ts-tsnomed-version-a, '/version/'), $tr-a-date-required) = '1')) then ()        else iq:display-date-diff(substring-after($ts-tsnomed-version-a, '/version/'), $tr-a-date-required)" />
    <xsl:variable name="tr-a-old-ts-version" select="exists($tr-a-date-diff) and number($tr-a-date-diff[2]) &gt; 31 " />
    <xsl:variable name="snomed-trans-b" select="if (exists($snomed-trans-1)) then $snomed-trans-1[@code and not(@code = $tcode-a)] else () " />
    <xsl:variable name="tcode-b" select="if (exists($snomed-trans-b)) then $snomed-trans-b/@code else '' " />
    <xsl:variable name="tname-b-to-test" select="$tcode-b != '' and $snomed-trans-b/@displayName " />
    <xsl:variable name="tsctau-version-b" select="if (exists($snomed-trans-b/@codeSystemVersion) and matches($snomed-trans-b/@codeSystemVersion, $snomedctau-version-regex)) then $snomed-trans-b/@codeSystemVersion else '' " />
    <xsl:variable name="tsnomed-id-b" select="if (not($tname-b-to-test)) then 'none'        else if (not($snomed-trans-b/@codeSystemVersion) and          dh:IsFirstDateEarlierThanSecondDate($creation-date, substring-after($first-amt-in-sctau, '/version/')) = '1') then 'amtv3'        else if (not($snomed-trans-b/@codeSystemVersion)) then 'snomedctau'        else if (not($tsctau-version-b = '')) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-b/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="tsnomed-b-type" select="if ($tsnomed-id-b = 'amtv3') then 'AMT v3'        else if ($tsnomed-id-b = 'snomedctau') then 'SNOMED CT-AU'        else if ($tsnomed-id-b = 'snomedct') then 'SNOMED CT'        else '' " />
    <xsl:variable name="t-vers-b-old" select="if ($tsnomed-id-b = 'snomedctau' and $snomed-trans-b/@codeSystemVersion) then not(exists($ts-snomedctau[. = $snomed-trans-b/@codeSystemVersion]))         else if ($tsnomed-id-b = 'snomedctau' and $creation-date != '' and $ts-earliest-sctau-date != '') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $ts-earliest-sctau-date) = '1'         else if ($tsnomed-id-b = 'amtv3' and $snomed-trans-b/@codeSystemVersion) then not(exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion]))        else if ($tsnomed-id-b = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '1'         else false() " />
    <xsl:variable name="tsctau-ts-b" select="if ($tsctau-version-b = '' or not($t-vers-b-old)) then '' else substring-after($tsctau-version-b, '/version/') " />
    <xsl:variable name="tsctau-ts-b-xs" select="if ($tsctau-ts-b = '') then '' else concat(substring($tsctau-ts-b, 1, 4), '-', substring($tsctau-ts-b, 5, 2), '-', substring($tsctau-ts-b, 7, 2))" />
    <xsl:variable name="tsctau-ts-b-1" select="if ($tsctau-ts-b = '' or not($tsctau-ts-b-xs castable as xs:date)) then '' else string($sctau-last-xs - xs:date($tsctau-ts-b-xs)) " />
    <xsl:variable name="tsctau-ts-b-2" select="if ($tsctau-ts-b-1 = '' or not(matches($tsctau-ts-b-1, '^P[0-9]+D'))) then '' else substring-before(substring-after($tsctau-ts-b-1, 'P'), 'D') " />
    <xsl:variable name="tsctau-ts-b-63-err" select="$tsctau-ts-b-2 != '' and $tsctau-ts-b-2 &gt; $sctau-acceptable-age  " />
    <xsl:variable name="ts-tsnomed-version-b" select="if (not($tname-b-to-test) or not($tsnomed-id-b = 'snomedctau')) then ''        else if (not($snomed-trans-b/@codeSystemVersion)) then $ts-latest-snomedctau        else if ($tsnomed-id-b = 'snomedctau' and $snomed-trans-b/@codeSystemVersion and not($t-vers-b-old)) then $snomed-trans-b/@codeSystemVersion        else if ($t-vers-b-old and $ts-earliest-sctau-date != '') then concat('http://snomed.info/sct/32506021000036107/version/', $ts-earliest-sctau-date)        else $ts-latest-snomedctau " />
    <xsl:variable name="v-tsnomed-version-b" select="if (not($tsnomed-id-b = 'amtv3')) then ''        else if ($snomed-trans-b/@codeSystemVersion and exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($t-vers-b-old) then concat('http://snomed.info/sct/900062011000036108/version/', $v-earliest-amtv3-date)        else $v-latest-amtv3 " />
    <xsl:variable name="test-tname-b" select="$tname-b-to-test and not($ts-tsnomed-version-b = '' and $v-tsnomed-version-b = '') and not($tsctau-ts-b-63-err) " />
    <xsl:variable name="t-b-term-actual-1" select="if ($test-tname-b and $use-ts-for-sctau and $tsnomed-id-b = 'snomedctau')        then dh:FindPreferredTermUsingTS($tcode-b, '2.16.840.1.113883.6.96', $ts-tsnomed-version-b)        else if ($test-tname-b and exists($v-amtv3) and $tsnomed-id-b = 'amtv3')        then replace(dh:FindPreferredTermAndCaseSignificance($tcode-b, '2.16.840.1.113883.6.96', $v-tsnomed-version-b), '\|.*$', '', 'is')       else '' " />
    <xsl:variable name="error-usingTS-5" select="$error-usingTS-4 or $t-b-term-actual-1 = 'Error' " />
    <xsl:variable name="t-b-term-actual" select="if ($t-b-term-actual-1 = 'CodeNotFound' or $t-b-term-actual-1 = 'Error') then '' else $t-b-term-actual-1 " />
    <xsl:variable name="tname-b-invalid" select="$test-tname-b and $t-b-term-actual != '' and lower-case($t-b-term-actual) != lower-case($snomed-trans-b/@displayName) " />
    <xsl:variable name="thist-b-search" select="$test-tname-b and $tname-b-invalid and $ts-snomedctau-pre-ordered != '' " />
    <xsl:variable name="thist-b-vers-2" select="if ($thist-b-search) then index-of($hist-vers-1, substring-after($ts-tsnomed-version-b, 'version/')) else () " />
    <xsl:variable name="thist-b-vers-3" select="if (exists($thist-b-vers-2) and count($hist-vers-1) &gt; $thist-b-vers-2[1]) then $hist-vers-1[$thist-b-vers-2[1] + 1] else '' " />
    <xsl:variable name="thist-b-vers-4" select="if ($thist-b-vers-3 = '') then '' else concat('http://snomed.info/sct/32506021000036107/version/', $thist-b-vers-3) " />
    <xsl:variable name="thist-b-vers-5" select="if ($thist-b-vers-4 != '' and $use-ts-for-sctau)         then dh:FindLatestVersionWhereDisplaynameMatchUsingTS($tcode-b, '2.16.840.1.113883.6.96', $thist-b-vers-4, $snomed-trans-b/@displayName, false())         else '' " />
    <xsl:variable name="error-usingTS-6" select="$error-usingTS-5 or $thist-b-vers-5 = 'Error' " />
    <xsl:variable name="thist-b-vers-found-1" select="matches($thist-b-vers-5, 'http') " />
    <xsl:variable name="tcode-b-pterm-date-1" select="if (not($tname-b-invalid) or $thist-b-vers-found-1) then ''          else dh:LatestDateForPreferredTerm($tcode-b, '2.16.840.1.113883.6.96', $v-latest-snomedctau) " />
    <xsl:variable name="error-tcode-b-pterm-date" select="'Error' = $tcode-b-pterm-date-1" />
    <xsl:variable name="tcode-b-pterm-date-2" select="if (matches($tcode-b-pterm-date-1, '^[0-9]{8}\|')) then substring-before($tcode-b-pterm-date-1, '|') else '' " />
    <xsl:variable name="tcode-b-pterm-date-est" select="$tcode-b-pterm-date-2 != '' and dh:IsFirstDateEarlierThanSecondDate($creation-date, $tcode-b-pterm-date-2) = '0' " />
    <xsl:variable name="tcode-b-pterm-date" select="if ($tcode-b-pterm-date-est) then $tcode-b-pterm-date-2 else '' " />
    <xsl:variable name="thist-b-vers-6" select="if ($thist-b-vers-5 = 'PreferredTermNeverMatches' and not($tcode-b-pterm-date-est) and matches($tcode-b, $sctau-namespace-id-regex))         then dh:IsCodePreferredTermInTerminologyValid($tcode-b, '2.16.840.1.113883.6.96', $v-latest-amtv3, $snomed-trans-b/@displayName)        else '' " />
    <xsl:variable name="thist-b-vers-found-2" select="$thist-b-vers-6 = 'PreferredTermMatch' " />
    <xsl:variable name="thist-b-vers-7" select="if ($thist-b-vers-6 = 'PreferredTermMismatch' and not($tcode-b-pterm-date-est) and $v-latest-amtv2 = $last-amtv2)         then dh:IsCodePreferredTermInTerminologyValid($tcode-b, '1.2.36.1.2001.1004.100', $last-amtv2, $snomed-trans-b/@displayName)        else '' " />
    <xsl:variable name="thist-b-vers-found-3" select="$thist-b-vers-7 = 'PreferredTermMatch' " />
    <xsl:variable name="thist-b-vers-found" select="$thist-b-vers-found-1 or $thist-b-vers-found-2 or $thist-b-vers-found-3 or $tcode-b-pterm-date-est " />
    <xsl:variable name="thist-b-vers-date" select="if ($thist-b-vers-found-1) then substring-after($thist-b-vers-5, 'http://snomed.info/sct/32506021000036107/version/')         else if ($thist-b-vers-found-2) then substring-after($v-latest-amtv3, 'http://snomed.info/sct/900062011000036108/version/')        else if ($thist-b-vers-found-3) then $last-amtv2-date        else if ($tcode-b-pterm-date-est) then $tcode-b-pterm-date        else '' " />
    <xsl:variable name="thist-b-last-diff" select="if ($sctau-last = '' or $thist-b-vers-date = '') then ''        else iq:display-date-diff($thist-b-vers-date, $sctau-last)[2] " />
    <xsl:variable name="thist-b-last-old" select="$thist-b-last-diff != '' and not(number($thist-b-last-diff) &lt; $sctau-acceptable-age) " />
    <xsl:variable name="t-b-term-found-in" select="if ($thist-b-vers-found-1) then 'last used in the version of SNOMED CT-AU'        else if ($thist-b-vers-found-2) then 'used in the version of AMT v3'        else if ($thist-b-vers-found-3) then 'used in the version of AMT v2'        else '' " />
    <xsl:variable name="thist-b-last-msg" select="if ($tcode-b-pterm-date-est) then concat(' The preferred term was last changed in the version of SNOMED CT-AU published ',          iq:display-date($thist-b-vers-date),          ' so if the value of the translation code displayName was ever valid then it must be before then. ',          'That version was published ', $thist-b-last-diff, ' days before the version of SNOMED CT-AU published immediately prior to the date ''',         /cda:ClinicalDocument/cda:effectiveTime/@value, ''' that this ', $document-name,          ' was created. SNOMED CT-AU is published monthly and the Australian National Terminology Licence Agreement requires the copy used ',         'in healthcare software systems (live or production environments) to be updated within 30 days of the National Terminology release.')        else if (not($thist-b-last-old) or $t-b-term-found-in = '') then ''           else concat(' The value of the translation code displayName was ', $t-b-term-found-in,         ' published on the ', iq:display-date($thist-b-vers-date),         '. That version was published ', $thist-b-last-diff, ' days before the version of SNOMED CT-AU published immediately prior to the date the ',        $document-name, ' was created. SNOMED CT-AU is published monthly and the Australian National Terminology Licence Agreement requires ',        'the copy used in healthcare software systems (live or production environments) to be updated within 30 days of the National Terminology release.')" />
    <xsl:variable name="tr-b-date-required" select="if (not($tname-b-invalid)) then ''        else if ($snomed-trans-b/@codeSystemVersion and matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1))          then substring-after($snomed-trans-b/@codeSystemVersion, '/version/')        else if ($creation-date-est) then ''        else $creation-date " />
    <xsl:variable name="tr-b-date-diff" select="if ($tr-b-date-required = '' or         not(dh:IsFirstDateEarlierThanSecondDate(substring-after($ts-tsnomed-version-b, '/version/'), $tr-b-date-required) = '1')) then ()        else iq:display-date-diff(substring-after($ts-tsnomed-version-b, '/version/'), $tr-b-date-required)" />
    <xsl:variable name="tr-b-old-ts-version" select="exists($tr-b-date-diff) and number($tr-b-date-diff[2]) &gt; 31 " />
    <xsl:variable name="psnomed-version-msg" select="if (not($pname-to-test) or $psctau-ts-63-err) then ''        else if (not(@codeSystemVersion) and $psnomed-id = 'snomedctau' and $pvers-old)          then concat(' The terminology server did not have a version of SNOMED CT-AU published before the date the clinical document was created (',         /cda:ClinicalDocument/cda:effectiveTime/@value, ') so the ''',          $ts-psnomed-version, ''' version of the SNOMED CT-AU code system was used in the assessment.')        else if (not(@codeSystemVersion) and $psnomed-id = 'amtv3' and $pvers-old)          then concat(' The terminology server did not have a version of AMT v3 published before the date the clinical document was created (',         /cda:ClinicalDocument/cda:effectiveTime/@value, ') so the ''',          $v-psnomed-version, ''' version of the AMT v3 code system was used in the assessment.')        else if (not(@codeSystemVersion) and $psnomed-id = 'amtv3') then concat(' The data element did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the AMT v3 code system was used in the assessment.')        else if (not(@codeSystemVersion)) then concat(' The data element did not contain the codeSystemVersion attribute so the ''',          $ts-psnomed-version, ''' version of the SNOMED CT-AU code system was used in the assessment.')        else if ($psnomed-id = 'snomedctau' and not($pvers-old)) then          concat(' The ''', $ts-psnomed-version, ''' version of the code system was used to validate the SNOMED CT-AU code.')        else if ($psnomed-id = 'snomedctau' and $pvers-old) then          concat(' The codeSystemVersion attribute has the correct format for SNOMED CT-AU ''', @codeSystemVersion,          ''' but that version is not present in the Terminology Server.')        else if ($psnomed-id = 'amtv3') then         concat(' The codeSystemVersion attribute has the correct format for AMT v3 ''', @codeSystemVersion,          ''' but that version was not available to use in the assessment.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1) or matches(@codeSystemVersion, $snomed-version-regex-2)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system was not available to use in the assessment.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' .') " />
    <xsl:variable name="tsnomed-version-a-msg" select="if (not($tname-a-to-test) or $tsctau-ts-a-63-err) then ''        else if (not($snomed-trans-a/@codeSystemVersion) and $tsnomed-id-a = 'snomedctau' and $t-vers-a-old)          then concat(' The terminology server did not have a version of SNOMED CT-AU published before the date the clinical document was created (',         /cda:ClinicalDocument/cda:effectiveTime/@value, ') so the ''',          $ts-tsnomed-version-a, ''' version of the SNOMED CT-AU code system was used in the assessment.')        else if (not($snomed-trans-a/@codeSystemVersion) and $tsnomed-id-a = 'amtv3' and $t-vers-a-old)          then concat(' The Clinical Package Validator did not have a version of AMT v3 published before the date the clinical document was created (',         /cda:ClinicalDocument/cda:effectiveTime/@value, ') so the ''',          $v-tsnomed-version-a, ''' version of the AMT v3 code system was used in the assessment.')        else if (not($snomed-trans-a/@codeSystemVersion) and $tsnomed-id-a = 'amtv3')          then concat(' The data element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-a, ''' version of the AMT v3 code system was used in the assessment.')        else if (not($snomed-trans-a/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $ts-tsnomed-version-a, ''' version of the SNOMED CT-AU code system was used in the assessment.')         else if ($tsnomed-id-a = 'snomedctau' and not($t-vers-a-old)) then          concat(' The ''', $ts-tsnomed-version-a, ''' version of the code system was used to validate the SNOMED CT-AU code.')        else if ($tsnomed-id-a = 'snomedctau' and $t-vers-a-old) then          concat(' The codeSystemVersion attribute has the correct format for SNOMED CT-AU ''', $snomed-trans-a/@codeSystemVersion,          ''' but that version is not present in the Terminology Server.')        else if ($tsnomed-id-a = 'amtv3') then         concat(' The codeSystemVersion attribute has the correct format for AMT v3 ''', $snomed-trans-a/@codeSystemVersion,          ''' but that version was not available to use in the assessment.')        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1) or matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-2))         then concat(' The ''', $snomed-trans-a/@codeSystemVersion, ''' version of the code system was not available to use in the assessment.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-a/@codeSystemVersion, '''.') " />
    <xsl:variable name="tsnomed-version-b-msg" select="if (not($tname-b-to-test) or $ts-tsnomed-version-b = '' or $tsctau-ts-b-63-err) then ''        else if (not($snomed-trans-b/@codeSystemVersion) and $tsnomed-id-b = 'snomedctau' and $t-vers-b-old)          then concat(' The terminology server did not have a version of SNOMED CT-AU published before the date the clinical document was created (',         /cda:ClinicalDocument/cda:effectiveTime/@value, ') so the ''',          $ts-tsnomed-version-b, ''' version of the SNOMED CT-AU code system was used in the assessment.')        else if (not($snomed-trans-b/@codeSystemVersion) and $tsnomed-id-b = 'amtv3' and $t-vers-b-old)          then concat(' The Clinical Package Validator did not have a version of AMT v3 published before the date the clinical document was created (',         /cda:ClinicalDocument/cda:effectiveTime/@value, ') so the ''',          $v-tsnomed-version-b, ''' version of the AMT v3 code system was used in the assessment.')        else if (not($snomed-trans-b/@codeSystemVersion) and $tsnomed-id-b = 'amtv3')          then concat(' The data element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-b, ''' version of the AMT v3 code system was used in the assessment.')        else if (not($snomed-trans-b/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $ts-tsnomed-version-b, ''' version of the SNOMED CT-AU code system was used in the assessment.')         else if ($tsnomed-id-b = 'snomedctau' and not($t-vers-b-old)) then          concat(' The ''', $ts-tsnomed-version-b, ''' version of the code system was used to validate the SNOMED CT-AU code.')        else if ($tsnomed-id-b = 'snomedctau' and $t-vers-b-old) then          concat(' The codeSystemVersion attribute has the correct format for SNOMED CT-AU ''', $snomed-trans-b/@codeSystemVersion,          ''' but that version is not present in the Terminology Server.')        else if ($tsnomed-id-b = 'amtv3') then         concat(' The codeSystemVersion attribute has the correct format for AMT v3 ''', $snomed-trans-b/@codeSystemVersion,          ''' but that version was not available to use in the assessment.')        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1) or matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-2))         then concat(' The ''', $snomed-trans-b/@codeSystemVersion, ''' version of the code system was not available to use in the assessment.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-b/@codeSystemVersion, '''.') " />
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and ($pname-to-test or $tname-a-to-test or $tname-b-to-test) and not($use-ts-for-sctau) and    not($psctau-ts-63-err or $tsctau-ts-a-63-err or $tsctau-ts-b-63-err) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and ($pname-to-test or $tname-a-to-test or $tname-b-to-test) and not($use-ts-for-sctau) and not($psctau-ts-63-err or $tsctau-ts-a-63-err or $tsctau-ts-b-63-err)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /><xsl:text /><xsl:value-of select="if ($tname-a-to-test) then concat(' and translation ', iq:display-CD($snomed-trans-a)) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($tname-b-to-test) then concat(' and translation ', iq:display-CD($snomed-trans-b)) else '' " /><xsl:text />
		A terminology server with SNOMED CT-AU codes was not available so it was not possible to verify that the AMT code contains the preferred term for the displayName.
		Confirm that the value of the displayName attribute meets the requirement that it be the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 3.5 of the eHealth Prescription Record Structured Content Specification v1.0.) 

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-6 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-6">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-GCD: An error was reported when accessing the terminology server. The analysis should be retried as the terminology server may have been temporarily unavailable.
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.
		<xsl:text /><xsl:value-of select="if ($p-term-actual-1 = 'Error') then concat(' The error occurred when calling the function FindPreferredTermUsingTS with code ''', $pcode,    ''', codeSystem ''2.16.840.1.113883.6.96'' and codeSystemVersion ''', $ts-psnomed-version, '''.')   else if ($t-a-term-actual-1 = 'Error') then concat(' The error occurred when calling the function FindPreferredTermUsingTS with code ''', $tcode-a,    ''', codeSystem ''2.16.840.1.113883.6.96'' and codeSystemVersion ''', $ts-tsnomed-version-a, '''.')   else if ($t-b-term-actual-1 = 'Error') then concat(' The error occurred when calling the function FindPreferredTermUsingTS with code ''', $tcode-b,    ''', codeSystem ''2.16.840.1.113883.6.96'' and codeSystemVersion ''', $ts-tsnomed-version-b, '''.')   else if ($phist-vers-5 = 'Error') then concat(' The error occurred when calling the function FindLatestVersionWhereDisplaynameMatchUsingTS with code ''', @code,    ''', codeSystem ''2.16.840.1.113883.6.96'', initialVersion ''', $phist-vers-4, ''', displayName ''', @displayName, ''' and enforceCase ''false()''.')   else if ($thist-a-vers-5 = 'Error') then concat(' The error occurred when calling the function FindLatestVersionWhereDisplaynameMatchUsingTS with code ''', $tcode-a,    ''', codeSystem ''2.16.840.1.113883.6.96'', initialVersion ''', $thist-a-vers-4, ''', displayName ''', $snomed-trans-a/@displayName, ''' and enforceCase ''false()''.')   else if ($thist-b-vers-5 = 'Error') then concat(' The error occurred when calling the function FindLatestVersionWhereDisplaynameMatchUsingTS with code ''', $tcode-b,    ''', codeSystem ''2.16.840.1.113883.6.96'', initialVersion ''', $thist-b-vers-4, ''', displayName ''', $snomed-trans-b/@displayName, ''' and enforceCase ''false()''.')    else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-pcode-pterm-date ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-pcode-pterm-date">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$pcode-pterm-date-1" /><xsl:text /> was returned when calling the function LatestDateForPreferredTerm with
		code '<xsl:text /><xsl:value-of select="$pcode" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-latest-snomedctau" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$phist-vers-6 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$phist-vers-6 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$phist-vers-6" /><xsl:text /> was returned when calling the function IsCodePreferredTermInTerminologyValid with
		code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96', codeSystemVersion '<xsl:text /><xsl:value-of select="$v-latest-amtv3" /><xsl:text />' and
		displayName '<xsl:text /><xsl:value-of select="@displayName" /><xsl:text />'. The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$phist-vers-7 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$phist-vers-7 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$phist-vers-7" /><xsl:text /> was returned when calling the function IsCodePreferredTermInTerminologyValid with
		code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />', codeSystem '1.2.36.1.2001.1004.100', codeSystemVersion '<xsl:text /><xsl:value-of select="$last-amtv2" /><xsl:text />' and
		displayName '<xsl:text /><xsl:value-of select="@displayName" /><xsl:text />'. The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $pname-to-test and (not($test-pname) or ($pname-invalid and $pvers-old)) and not($pcode-pterm-date-est or $psctau-ts-63-err)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pname-to-test and (not($test-pname) or ($pname-invalid and $pvers-old)) and not($pcode-pterm-date-est or $psctau-ts-63-err)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		Confirm that the value of the displayName attribute is the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 3.5 of the eHealth Prescription Record Structured Content Specification v1.0.)<xsl:text /><xsl:value-of select="$psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $pname-to-test and $pname-invalid and (not($pvers-old) or $pcode-pterm-date-est) and    (not($phist-vers-found) or ($phist-vers-found and $phist-last-old)) and not($p-old-ts-version)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pname-to-test and $pname-invalid and (not($pvers-old) or $pcode-pterm-date-est) and (not($phist-vers-found) or ($phist-vers-found and $phist-last-old)) and not($p-old-ts-version)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. The value of the displayName attribute does not meet the requirement that it be the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 3.5 of the eHealth Prescription Record Structured Content Specification v1.0.) <xsl:text /><xsl:value-of select="$phist-last-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($p-term-actual = '') then ''   else if ($ts-psnomed-version != '') then concat(' According to the ''', $ts-psnomed-version, ''' version of SNOMED CT-AU the correct value for the preferred term is ''',   dh:XQueryRecursiveReplace($p-term-actual, $markup-pattern-replacement, 'ic'), '''.')   else concat(' According to the ''', $v-psnomed-version, ''' version of AMT v3 the correct value for the preferred term is ''',   dh:XQueryRecursiveReplace($p-term-actual, $markup-pattern-replacement, 'ic'), '''.') " /><xsl:text />'

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $pname-to-test and $pname-invalid and (not($pvers-old) or $pcode-pterm-date-est) and    (not($phist-vers-found) or ($phist-vers-found and $phist-last-old)) and $p-old-ts-version">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pname-to-test and $pname-invalid and (not($pvers-old) or $pcode-pterm-date-est) and (not($phist-vers-found) or ($phist-vers-found and $phist-last-old)) and $p-old-ts-version">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. The value of the displayName attribute may not meet the requirement that it be the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 3.5 of the eHealth Prescription Record Structured Content Specification v1.0.) According to the '<xsl:text /><xsl:value-of select="$ts-psnomed-version" /><xsl:text />' version of SNOMED CT-AU the correct value for the preferred term is
		'<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($p-term-actual, $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		However that version of SNOMED CT-AU in the Terminology Server was published on the <xsl:text /><xsl:value-of select="iq:display-date(substring-after($ts-psnomed-version, '/version/'))" /><xsl:text />
		which is <xsl:text /><xsl:value-of select="$p-date-diff" /><xsl:text /> before the <xsl:text /><xsl:value-of select="if (@codeSystemVersion and matches(@codeSystemVersion, $snomed-version-regex-1)) then   'value of the codeSystemVersion attribute' else concat('date the ', $document-name, ' was created')" /><xsl:text /> which is <xsl:text /><xsl:value-of select="iq:display-date($creation-date)" /><xsl:text />.
		Use a more recently published version of SNOMED CT-AU to confirm if the value of the displayName attribute is the preferred term for the code.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> has 
		<xsl:text /><xsl:value-of select="if ($numbers/number[number(@value) = count($snomed-trans-2)])        then $numbers/number[number(@value) = count($snomed-trans-2)]/@name        else count($snomed-trans-2)" /><xsl:text /> translation elements with
		distinct codes and the SNOMED CT codeSystem '2.16.840.1.113883.6.96'. The first translation element has been assessed to determine if the value of the displayName is the preferred term and
		the others have not been assessed. Confirm if the value of the displayName attribute in all SNOMED CT translation elements meets the requirement that it be the preferred term, also known as
		the preferred synonym, for the code. (See the Conditions of Use in the definition of Therapeutic Good Identification in the Conditions of Use in section 3.5 of the eHealth Prescription Record Structured Content Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-tcode-a-pterm-date ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-tcode-a-pterm-date">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$tcode-a-pterm-date-1" /><xsl:text /> was returned when calling the function LatestDateForPreferredTerm with
		code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-latest-snomedctau" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$thist-a-vers-6 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$thist-a-vers-6 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$thist-a-vers-6" /><xsl:text /> was returned when calling the function IsCodePreferredTermInTerminologyValid with
		code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', '2.16.840.1.113883.6.96', codeSystemVersion '<xsl:text /><xsl:value-of select="$v-latest-amtv3" /><xsl:text />' and
		displayName '<xsl:text /><xsl:value-of select="$snomed-trans-a/@displayName" /><xsl:text />'. The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$thist-a-vers-7 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$thist-a-vers-7 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$thist-a-vers-7" /><xsl:text /> was returned when calling the function IsCodePreferredTermInTerminologyValid with
		code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', codeSystem '1.2.36.1.2001.1004.100', codeSystemVersion '<xsl:text /><xsl:value-of select="$last-amtv2" /><xsl:text />' and
		displayName '<xsl:text /><xsl:value-of select="$snomed-trans-a/@displayName" /><xsl:text />'. The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-tcode-b-pterm-date ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-tcode-b-pterm-date">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$tcode-b-pterm-date-1" /><xsl:text /> was returned when calling the function LatestDateForPreferredTerm with
		code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-latest-snomedctau" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$thist-b-vers-6 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$thist-b-vers-6 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$thist-b-vers-6" /><xsl:text /> was returned when calling the function IsCodePreferredTermInTerminologyValid with
		code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', '2.16.840.1.113883.6.96', codeSystemVersion '<xsl:text /><xsl:value-of select="$v-latest-amtv3" /><xsl:text />' and
		displayName '<xsl:text /><xsl:value-of select="$snomed-trans-b/@displayName" /><xsl:text />'. The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$thist-b-vers-7 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$thist-b-vers-7 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TS-GCD: An unexpected value <xsl:text /><xsl:value-of select="$thist-b-vers-7" /><xsl:text /> was returned when calling the function IsCodePreferredTermInTerminologyValid with
		code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', codeSystem '1.2.36.1.2001.1004.100', codeSystemVersion '<xsl:text /><xsl:value-of select="$last-amtv2" /><xsl:text />' and
		displayName '<xsl:text /><xsl:value-of select="$snomed-trans-b/@displayName" /><xsl:text />'. The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $tname-a-to-test and (not($test-tname-a) or ($tname-a-invalid and $t-vers-a-old)) and not($tcode-a-pterm-date-est or $tsctau-ts-a-63-err) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tname-a-to-test and (not($test-tname-a) or ($tname-a-invalid and $t-vers-a-old)) and not($tcode-a-pterm-date-est or $tsctau-ts-a-63-err)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> has translation <xsl:text /><xsl:value-of select="iq:display-CD($snomed-trans-a)" /><xsl:text />.
		Confirm that the value of the translation code displayName attribute is the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 3.5 of the eHealth Prescription Record Structured Content Specification v1.0.)<xsl:text /><xsl:value-of select="$tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $tname-b-to-test and (not($test-tname-b) or ($tname-b-invalid and $t-vers-b-old)) and not($tcode-b-pterm-date-est or $tsctau-ts-b-63-err) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tname-b-to-test and (not($test-tname-b) or ($tname-b-invalid and $t-vers-b-old)) and not($tcode-b-pterm-date-est or $tsctau-ts-b-63-err)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> has translation <xsl:text /><xsl:value-of select="iq:display-CD($snomed-trans-b)" /><xsl:text />.
		Confirm that the value of the translation code displayName attribute is the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 3.5 of the eHealth Prescription Record Structured Content Specification v1.0.)<xsl:text /><xsl:value-of select="$tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tcode-a = '') and $tname-a-invalid and (not($t-vers-a-old) or $tcode-a-pterm-date-est) and    (not($thist-a-vers-found) or ($thist-a-vers-found and $thist-a-last-old)) and not($tr-a-old-ts-version)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tcode-a = '') and $tname-a-invalid and (not($t-vers-a-old) or $tcode-a-pterm-date-est) and (not($thist-a-vers-found) or ($thist-a-vers-found and $thist-a-last-old)) and not($tr-a-old-ts-version)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> has translation <xsl:text /><xsl:value-of select="iq:display-CD($snomed-trans-a)" /><xsl:text />.
		The value of the translation code displayName attribute does not meet the requirement that it be the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 3.5 of the eHealth Prescription Record Structured Content Specification v1.0.) <xsl:text /><xsl:value-of select="$thist-a-last-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($t-a-term-actual = '') then ''   else if ($ts-tsnomed-version-a != '') then concat(' According to the ''', $ts-tsnomed-version-a, ''' version of SNOMED CT-AU the correct value for the preferred term is ''',   dh:XQueryRecursiveReplace($t-a-term-actual, $markup-pattern-replacement, 'ic'), '''.')   else concat(' According to the ''', $v-tsnomed-version-a, ''' version of AMT v3 the correct value for the preferred term is ''',   dh:XQueryRecursiveReplace($t-a-term-actual, $markup-pattern-replacement, 'ic'), '''.') " /><xsl:text />'

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not($tcode-a = '') and $tname-a-invalid and (not($t-vers-a-old) or $tcode-a-pterm-date-est) and    (not($thist-a-vers-found) or ($thist-a-vers-found and $thist-a-last-old)) and $tr-a-old-ts-version">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not($tcode-a = '') and $tname-a-invalid and (not($t-vers-a-old) or $tcode-a-pterm-date-est) and (not($thist-a-vers-found) or ($thist-a-vers-found and $thist-a-last-old)) and $tr-a-old-ts-version">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> has translation <xsl:text /><xsl:value-of select="iq:display-CD($snomed-trans-a)" /><xsl:text />.
		The value of the translation code displayName attribute may not meet the requirement that it be the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 3.5 of the eHealth Prescription Record Structured Content Specification v1.0.) According to the '<xsl:text /><xsl:value-of select="$ts-tsnomed-version-a" /><xsl:text />' version of SNOMED CT-AU the correct value for the preferred term is
		'<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($t-a-term-actual, $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		However that version of SNOMED CT-AU in the Terminology Server was published on the <xsl:text /><xsl:value-of select="iq:display-date(substring-after($ts-tsnomed-version-a, '/version/'))" /><xsl:text />
		which is <xsl:text /><xsl:value-of select="$tr-a-date-diff" /><xsl:text /> before the <xsl:text /><xsl:value-of select="if ($snomed-trans-a/@codeSystemVersion and matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1))    then 'value of the translation codeSystemVersion attribute' else concat('date the ', $document-name, ' was created')" /><xsl:text /> which is <xsl:text /><xsl:value-of select="iq:display-date($creation-date)" /><xsl:text />.
		Use a more recently published version of SNOMED CT-AU to confirm if the value of the displayName attribute is the preferred term for the translation code.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tcode-b = '') and $tname-b-invalid and (not($t-vers-b-old) or $tcode-b-pterm-date-est) and    (not($thist-b-vers-found) or ($thist-b-vers-found and $thist-b-last-old)) and not($tr-b-old-ts-version)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tcode-b = '') and $tname-b-invalid and (not($t-vers-b-old) or $tcode-b-pterm-date-est) and (not($thist-b-vers-found) or ($thist-b-vers-found and $thist-b-last-old)) and not($tr-b-old-ts-version)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Error<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> has translation <xsl:text /><xsl:value-of select="iq:display-CD($snomed-trans-b)" /><xsl:text />.
		The value of the translation code displayName attribute does not meet the requirement that it be the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 3.5 of the eHealth Prescription Record Structured Content Specification v1.0.) <xsl:text /><xsl:value-of select="$thist-b-last-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($t-b-term-actual = '') then ''   else if ($ts-tsnomed-version-b != '') then concat(' According to the ''', $ts-tsnomed-version-b, ''' version of SNOMED CT-AU the correct value for the preferred term is ''',   dh:XQueryRecursiveReplace($t-b-term-actual, $markup-pattern-replacement, 'ic'), '''.')   else concat(' According to the ''', $v-tsnomed-version-b, ''' version of AMT v3 the correct value for the preferred term is ''',   dh:XQueryRecursiveReplace($t-b-term-actual, $markup-pattern-replacement, 'ic'), '''.') " /><xsl:text />'

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not($tcode-b = '') and $tname-b-invalid and (not($t-vers-b-old) or $tcode-b-pterm-date-est) and    (not($thist-b-vers-found) or ($thist-b-vers-found and $thist-b-last-old)) and $tr-b-old-ts-version">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not($tcode-b = '') and $tname-b-invalid and (not($t-vers-b-old) or $tcode-b-pterm-date-est) and (not($thist-b-vers-found) or ($thist-b-vers-found and $thist-b-last-old)) and $tr-b-old-ts-version">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Types-65" /><xsl:text />: TC-Types-65: The Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> has translation <xsl:text /><xsl:value-of select="iq:display-CD($snomed-trans-b)" /><xsl:text />.
		The value of the translation code displayName attribute may not meet the requirement that it be the preferred term (also known as the preferred synonym) for the code. 
		(See the Conditions of Use in section 3.5 of the eHealth Prescription Record Structured Content Specification v1.0.) According to the '<xsl:text /><xsl:value-of select="$ts-tsnomed-version-b" /><xsl:text />' version of SNOMED CT-AU the correct value for the preferred term is
		'<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($t-b-term-actual, $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		However that version of SNOMED CT-AU in the Terminology Server was published on the <xsl:text /><xsl:value-of select="iq:display-date(substring-after($ts-tsnomed-version-b, '/version/'))" /><xsl:text />
		which is <xsl:text /><xsl:value-of select="$tr-b-date-diff" /><xsl:text /> before the <xsl:text /><xsl:value-of select="if ($snomed-trans-b/@codeSystemVersion and matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1))    then 'value of the translation codeSystemVersion attribute' else concat('date the ', $document-name, ' was created')" /><xsl:text /> which is <xsl:text /><xsl:value-of select="iq:display-date($creation-date)" /><xsl:text />.
		Use a more recently published version of SNOMED CT-AU to confirm if the value of the displayName attribute is the preferred term for the translation code.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M818" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M818" />
  <xsl:template match="@*|node()" priority="-2" mode="M818">
    <xsl:apply-templates select="@*|*" mode="M818" />
  </xsl:template>
  <!--PATTERN p-TS-PresItem-CodeableText-7-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/   cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/ext:formCode " priority="1000" mode="M819">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/   cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/ext:formCode " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Form '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Form '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Form',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Form '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Form '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'allowed' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'allowed' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Form
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Form however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Form in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'allowed' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'allowed' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Form
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Form however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Form in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Form data element must have a value that is consistent with this definition. Alternatively if there is no Form data element with a proper value then an exclusion
		statement must be included to state why there is no Form.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'allowed' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'allowed' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Form
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Form however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Form in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'allowed' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'allowed' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Form
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Form however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Form in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Form data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'allowed' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'allowed' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Form
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Form however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Form in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Form data element must have a value that is consistent with this definition. Alternatively if there is no Form data element with a proper value then an exclusion
		statement must be included to state why there is no Form.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'allowed' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'allowed' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Form
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Form however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Form in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Form data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Form '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Form
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Form
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Form '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Form '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Form '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Form '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Form '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Form '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Form
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Form '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Form '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Form.
		(See the definition of Form in the Structured Content Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Form '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M819" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M819" />
  <xsl:template match="@*|node()" priority="-2" mode="M819">
    <xsl:apply-templates select="@*|*" mode="M819" />
  </xsl:template>
  <!--PATTERN p-TS-PresItem-CodeableText-8-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/   cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/ext:formCode[@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " priority="1000" mode="M820">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/   cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/ext:formCode[@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="pnullFlavor" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @nullFlavor) then @nullFlavor else '' " />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-p-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then false()        else if ($psnomed-id = 'amtv3' and @codeSystemVersion) then exists($v-amtv3[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($psnomed-id = 'snomedctau' and @codeSystemVersion) then exists($v-snomedctau[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false() " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and $pcode != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used to assess the primary code.') " />
    <xsl:variable name="pcode-refsets-1" select="if (@codeSystem = '2.16.840.1.113883.6.96' and not($pcode = ''))         then dh:FindValueDomainsForCode($pcode, '2.16.840.1.113883.6.96', $v-psnomed-version) else 'no-code' " />
    <xsl:variable name="pcode-found" select="not($pcode-refsets-1 = 'no-code' or $pcode-refsets-1 = 'CodeNotFound' or $pcode-refsets-1 = 'Error'        or contains($pcode-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="pcode-refsets" select="if ($pcode-found) then distinct-values(tokenize($pcode-refsets-1, '\|')) else () " />
    <xsl:variable name="pcode-special-proc" select="count($pcode-refsets) = 1 and 'Procedure Foundation (PF)' = $pcode-refsets and not($pnullFlavor = 'OTH') " />
    <xsl:variable name="pcode-refsets-msg" select="if (count($pcode-refsets) = 0) then ''         else if (count($pcode-refsets) = 1) then concat('The code is a member of the ', $pcode-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($pcode-refsets, ', '), '.') " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))         else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-1" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="snomed-trans-2" select="distinct-values(for $i in (1 to count($snomed-trans-1)) return $snomed-trans-1[$i]/@code) " />
    <xsl:variable name="snomed-trans-a" select="$snomed-trans-1[1] " />
    <xsl:variable name="tcode-a" select="if (exists($snomed-trans-a) and matches($snomed-trans-a/@code, $snomed-code-regex)) then $snomed-trans-a/@code else '' " />
    <xsl:variable name="tnullFlavor-a" select="if (exists($snomed-trans-a) and $snomed-trans-a/@nullFlavor) then $snomed-trans-a/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-a" select="if (not(exists($snomed-trans-a))) then 'not-snomed'        else if (not($snomed-trans-a/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-a/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-a" select="if (not(exists($snomed-trans-a))) then ''        else if ($tsnomed-id-a = 'amtv3' and exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-a = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-a/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-a" select="if (not(exists($snomed-trans-a))) then false()        else if ($tsnomed-id-a = 'amtv3' and $snomed-trans-a/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-a = 'snomedctau' and $snomed-trans-a/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-a-msg" select="if (not(exists($snomed-trans-a))) then ''        else if (not($snomed-trans-a/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-a, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-a = 'amtv3') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-a = 'snomedctau') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-a/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-a, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-a/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-a-refsets-1" select="if (exists($snomed-trans-a) and not($tcode-a = ''))         then dh:FindValueDomainsForCode($tcode-a, '2.16.840.1.113883.6.96', $v-tsnomed-version-a) else 'no-code' " />
    <xsl:variable name="tcode-a-found" select="not($tcode-a-refsets-1 = 'no-code' or $tcode-a-refsets-1 = 'CodeNotFound' or $tcode-a-refsets-1 = 'Error'         or contains($tcode-a-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-a-refsets" select="if ($tcode-a-found) then distinct-values(tokenize($tcode-a-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-a-special-proc" select="count($tcode-a-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-a-refsets and not($tnullFlavor-a = 'OTH') " />
    <xsl:variable name="tcode-a-refsets-msg" select="if (count($tcode-a-refsets) = 0) then ''         else if (count($tcode-a-refsets) = 1) then concat('The code is a member of the ', $tcode-a-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-a-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@code and $snomed-trans-a/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-a/@displayName, codepoints-to-string(34))         else if ($snomed-trans-a/@code and not($snomed-trans-a/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@codeSystem and $snomed-trans-a/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-a/@codeSystemName, ')')         else if ($snomed-trans-a/@codeSystem and not($snomed-trans-a/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-b" select="(for $i in (2 to count($snomed-trans-1)) return if ($snomed-trans-1[$i]/@code != $snomed-trans-a/@code) then $snomed-trans-1[$i] else ())[1] " />
    <xsl:variable name="tcode-b" select="if (exists($snomed-trans-b) and matches($snomed-trans-b/@code, $snomed-code-regex)) then $snomed-trans-b/@code else '' " />
    <xsl:variable name="tnullFlavor-b" select="if (exists($snomed-trans-b) and $snomed-trans-b/@nullFlavor) then $snomed-trans-b/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-b" select="if (not(exists($snomed-trans-b))) then 'not-snomed'        else if (not($snomed-trans-b/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-b/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-b" select="if (not(exists($snomed-trans-b))) then ''        else if ($tsnomed-id-b = 'amtv3' and exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-b = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-b/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-b" select="if (not(exists($snomed-trans-b))) then false()        else if ($tsnomed-id-b = 'amtv3' and $snomed-trans-b/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-b = 'snomedctau' and $snomed-trans-b/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-b-msg" select="if (not(exists($snomed-trans-b))) then ''        else if (not($snomed-trans-b/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-b, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-b = 'amtv3') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-b = 'snomedctau') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-b/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-b, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-b/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-b-refsets-1" select="if (exists($snomed-trans-b) and not($tcode-b = ''))         then dh:FindValueDomainsForCode($tcode-b, '2.16.840.1.113883.6.96', $v-tsnomed-version-b) else 'no-code' " />
    <xsl:variable name="tcode-b-found" select="not($tcode-b-refsets-1 = 'no-code' or $tcode-b-refsets-1 = 'CodeNotFound' or $tcode-b-refsets-1 = 'Error'         or contains($tcode-b-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-b-refsets" select="if ($tcode-b-found) then distinct-values(tokenize($tcode-b-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-b-special-proc" select="count($tcode-b-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-b-refsets and not($tnullFlavor-b = 'OTH') " />
    <xsl:variable name="tcode-b-refsets-msg" select="if (count($tcode-b-refsets) = 0) then ''         else if (count($tcode-b-refsets) = 1) then concat('The code is a member of the ', $tcode-b-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-b-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@code and $snomed-trans-b/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-b/@displayName, codepoints-to-string(34))         else if ($snomed-trans-b/@code and not($snomed-trans-b/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@codeSystem and $snomed-trans-b/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-b/@codeSystemName, ')')         else if ($snomed-trans-b/@codeSystem and not($snomed-trans-b/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-60" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-60 else $rating-alt-TC-Types-60 " />
    <!--REPORT -->
    <xsl:if test=" $pcode-found and $pcode-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pcode-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD (p-TS-CD-SCT-RefSet): An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$pcode" /><xsl:text />',
		codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-psnomed-version" /><xsl:text />'. This error occurred when assessing the Form data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-special-proc and count(('Medication Form (MF)')) = 1 and 'Problem Diagnosis (PD)' = ('Medication Form (MF)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-special-proc and count(('Medication Form (MF)')) = 1 and 'Problem Diagnosis (PD)' = ('Medication Form (MF)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Form '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. The value is not valid for the data element as it describes a medical
		procedure and not a medical problem or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to describe the formulation or presentation of the medication.         (See section 3.12 of the eHealth Prescription Record Structured Content Specification v1.0.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and   not(exists(index-of(for $refset in ('Medication Form (MF)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Medication Form (MF)')) = 1 and 'Problem Diagnosis (PD)' = ('Medication Form (MF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and not(exists(index-of(for $refset in ('Medication Form (MF)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Medication Form (MF)')) = 1 and 'Problem Diagnosis (PD)' = ('Medication Form (MF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Form '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the code is not a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medication Form reference set (Concept Id: 32570621000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Prescription Item (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and   not(exists(index-of(for $refset in ('Medication Form (MF)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Medication Form (MF)')) = 1 and 'Problem Diagnosis (PD)' = ('Medication Form (MF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and not(exists(index-of(for $refset in ('Medication Form (MF)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Medication Form (MF)')) = 1 and 'Problem Diagnosis (PD)' = ('Medication Form (MF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Form '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medication Form reference set (Concept Id: 32570621000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Prescription Item (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and   exists(index-of(for $refset in ('Medication Form (MF)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Medication Form (MF)')) = 1 and 'Problem Diagnosis (PD)' = ('Medication Form (MF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and exists(index-of(for $refset in ('Medication Form (MF)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Medication Form (MF)')) = 1 and 'Problem Diagnosis (PD)' = ('Medication Form (MF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Form '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medication Form reference set (Concept Id: 32570621000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Prescription Item (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and   exists(index-of(for $refset in ('Medication Form (MF)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Medication Form (MF)')) = 1 and 'Problem Diagnosis (PD)' = ('Medication Form (MF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and exists(index-of(for $refset in ('Medication Form (MF)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Medication Form (MF)')) = 1 and 'Problem Diagnosis (PD)' = ('Medication Form (MF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Form '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. Confirm if the code is a member of the value domain.
		If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medication Form reference set (Concept Id: 32570621000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Prescription Item (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Form '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="count($snomed-trans-1)" /><xsl:text /> translation elements with
		codes and the SNOMED CT-AU codeSystem '2.16.840.1.113883.6.96'. The first two translation elements have been assessed to determine if the codes are members of the value domain
		and the others have not been assessed. Confirm if the value of the code attribute in all SNOMED CT translation elements meets the requirement that it be a member of the value domain
		if there is no nullFlavor 'OTH' or that there is a nullFlavor 'OTH' if the value of the code attribute is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medication Form reference set (Concept Id: 32570621000036105).')" /><xsl:text /> 
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Prescription Item (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-a" /><xsl:text />'. This error occurred when assessing the Form data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-special-proc and count(('Medication Form (MF)')) = 1 and 'Problem Diagnosis (PD)' = ('Medication Form (MF)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-special-proc and count(('Medication Form (MF)')) = 1 and 'Problem Diagnosis (PD)' = ('Medication Form (MF)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Form '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to describe the formulation or presentation of the medication.         (See section 3.12 of the eHealth Prescription Record Structured Content Specification v1.0.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and   not(exists(index-of(for $refset in ('Medication Form (MF)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Medication Form (MF)')) = 1 and 'Problem Diagnosis (PD)' = ('Medication Form (MF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and not(exists(index-of(for $refset in ('Medication Form (MF)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Medication Form (MF)')) = 1 and 'Problem Diagnosis (PD)' = ('Medication Form (MF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Form '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medication Form reference set (Concept Id: 32570621000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Prescription Item (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and   not(exists(index-of(for $refset in ('Medication Form (MF)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Medication Form (MF)')) = 1 and 'Problem Diagnosis (PD)' = ('Medication Form (MF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and not(exists(index-of(for $refset in ('Medication Form (MF)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Medication Form (MF)')) = 1 and 'Problem Diagnosis (PD)' = ('Medication Form (MF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Form '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medication Form reference set (Concept Id: 32570621000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Prescription Item (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and   exists(index-of(for $refset in ('Medication Form (MF)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Medication Form (MF)')) = 1 and 'Problem Diagnosis (PD)' = ('Medication Form (MF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and exists(index-of(for $refset in ('Medication Form (MF)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Medication Form (MF)')) = 1 and 'Problem Diagnosis (PD)' = ('Medication Form (MF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Form '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medication Form reference set (Concept Id: 32570621000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Prescription Item (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and   exists(index-of(for $refset in ('Medication Form (MF)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Medication Form (MF)')) = 1 and 'Problem Diagnosis (PD)' = ('Medication Form (MF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and exists(index-of(for $refset in ('Medication Form (MF)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Medication Form (MF)')) = 1 and 'Problem Diagnosis (PD)' = ('Medication Form (MF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Form '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medication Form reference set (Concept Id: 32570621000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Prescription Item (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-b" /><xsl:text />'. This error occurred when assessing the Form data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-special-proc and count(('Medication Form (MF)')) = 1 and 'Problem Diagnosis (PD)' = ('Medication Form (MF)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-special-proc and count(('Medication Form (MF)')) = 1 and 'Problem Diagnosis (PD)' = ('Medication Form (MF)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Form '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> 
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to describe the formulation or presentation of the medication.         (See section 3.12 of the eHealth Prescription Record Structured Content Specification v1.0.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and   not(exists(index-of(for $refset in ('Medication Form (MF)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Medication Form (MF)')) = 1 and 'Problem Diagnosis (PD)' = ('Medication Form (MF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and not(exists(index-of(for $refset in ('Medication Form (MF)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Medication Form (MF)')) = 1 and 'Problem Diagnosis (PD)' = ('Medication Form (MF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Form '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medication Form reference set (Concept Id: 32570621000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Prescription Item (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and   not(exists(index-of(for $refset in ('Medication Form (MF)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Medication Form (MF)')) = 1 and 'Problem Diagnosis (PD)' = ('Medication Form (MF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and not(exists(index-of(for $refset in ('Medication Form (MF)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Medication Form (MF)')) = 1 and 'Problem Diagnosis (PD)' = ('Medication Form (MF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Form '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medication Form reference set (Concept Id: 32570621000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Prescription Item (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and   exists(index-of(for $refset in ('Medication Form (MF)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Medication Form (MF)')) = 1 and 'Problem Diagnosis (PD)' = ('Medication Form (MF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and exists(index-of(for $refset in ('Medication Form (MF)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Medication Form (MF)')) = 1 and 'Problem Diagnosis (PD)' = ('Medication Form (MF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Form '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medication Form reference set (Concept Id: 32570621000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Prescription Item (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and   exists(index-of(for $refset in ('Medication Form (MF)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Medication Form (MF)')) = 1 and 'Problem Diagnosis (PD)' = ('Medication Form (MF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and exists(index-of(for $refset in ('Medication Form (MF)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Medication Form (MF)')) = 1 and 'Problem Diagnosis (PD)' = ('Medication Form (MF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Form '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Medication Form reference set (Concept Id: 32570621000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Prescription Item (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M820" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M820" />
  <xsl:template match="@*|node()" priority="-2" mode="M820">
    <xsl:apply-templates select="@*|*" mode="M820" />
  </xsl:template>
  <!--PATTERN p-TS-PresItem-CodeableText-9-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/   cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/ext:formCode   [(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-form-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])][not(@nullFlavor = $no-value-NF)]  " priority="1000" mode="M821">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/   cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/ext:formCode   [(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-form-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])][not(@nullFlavor = $no-value-NF)]  " />
    <xsl:variable name="pcode" select="if ('2.16.840.1.113883.6.96' = $defn-form-trusted and         @codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="snomed-trans" select="if ('2.16.840.1.113883.6.96' = $defn-form-trusted and cda:translation)         then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="tcode" select="if (exists($snomed-trans[1]) and matches($snomed-trans[1]/@code, $snomed-code-regex)) then $snomed-trans[1]/@code else '' " />
    <xsl:variable name="code-present" select="$pcode != '' or $tcode != '' " />
    <xsl:variable name="invalid-code-system" select="@code and @displayName and @codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="codesystemvalues" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']" />
    <xsl:variable name="otext-without-markup" select="if (cda:originalText and cda:originalText != '') then normalize-space(replace(cda:originalText, $markup-regex, ' ')) else '' " />
    <xsl:variable name="pdname" select="if (@displayName and not($invalid-code-system)) then normalize-space(@displayName) else '' " />
    <xsl:variable name="max-code-number" select="if ($knowledge/search-for-term/max-sct-code-number/@value &gt; '5') then $knowledge/search-for-term/max-sct-code-number/@value else '5' " />
    <xsl:variable name="der-text-1" select="if ($code-present) then ''         else if ($otext-without-markup != '') then $otext-without-markup        else if ($pdname != '') then $pdname        else '' " />
    <xsl:variable name="family-err" select="matches($der-text-1, $family-regex, 'i')" />
    <xsl:variable name="length-err" select="string-length($der-text-1) &gt; $length-err-max" />
    <xsl:variable name="avoid-ts" select="$family-err or $length-err or not($use-ts-for-sctau) " />
    <xsl:variable name="der-text-2a" select="if ($der-text-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-text-1, $form-fir-pattern-replacement, 'ic')) " />
    <xsl:variable name="der-text-2" select="if ($der-text-2a = '') then $der-text-1 else $der-text-2a " />
    <xsl:variable name="der-text-3a" select="if ($der-text-2 = '' or $form-replacements = '') then $der-text-2        else normalize-space(dh:XQueryRecursiveReplace($der-text-2, $form-replacements, 'ic')) " />
    <xsl:variable name="der-text-3" select="if ($der-text-3a = '') then $der-text-2 else $der-text-3a " />
    <xsl:variable name="der-text-4a" select="if ($der-text-3 = '' or $dose-form-p-regex = '') then $der-text-3        else normalize-space(dh:XQueryRecursiveReplace($der-text-3, $dose-form-p-regex, 'ic')) " />
    <xsl:variable name="der-text-4" select="if ($der-text-4a = '') then $der-text-3 else $der-text-4a " />
    <xsl:variable name="der-text-5a" select="if ($der-text-4 = '' or $dose-form-s-regex = '') then $der-text-4        else normalize-space(dh:XQueryRecursiveReplace($der-text-4, $dose-form-s-regex, 'ic')) " />
    <xsl:variable name="der-text-5" select="if ($der-text-5a = '') then $der-text-4 else $der-text-5a " />
    <xsl:variable name="der-text-6a" select="if ($der-text-5 = '' or $prop-dose-form-p-regex = '') then $der-text-5        else normalize-space(dh:XQueryRecursiveReplace($der-text-5, $prop-dose-form-p-regex, 'ic')) " />
    <xsl:variable name="der-text-6" select="if ($der-text-6a = '') then $der-text-5 else $der-text-6a " />
    <xsl:variable name="der-text-a" select="if ($der-text-6 = '' or $prop-dose-form-s-regex = '') then $der-text-6        else normalize-space(dh:XQueryRecursiveReplace($der-text-6, $prop-dose-form-s-regex, 'ic')) " />
    <xsl:variable name="der-text" select="if ($der-text-a = '') then $der-text-6 else $der-text-a " />
    <xsl:variable name="defn-valid-regex" select="concat('(^|\|)', translate($der-text-2, $chars-to-remove, ''), '(\||$)') " />
    <xsl:variable name="der-text-to-match-1" select="lower-case($der-text-2) " />
    <xsl:variable name="der-text-to-match" select="translate($der-text-to-match-1, $chars-to-remove, '') " />
    <xsl:variable name="der-text-non-value" select="if ($code-present or @nullFlavor = $no-value-NF) then false() else         $der-text-to-match = ''              or         not(matches($der-text-to-match, '[a-z]', 'is'))           or        ($cd-definitions/non-value/@regex != '' and matches($der-text-to-match, $cd-definitions/non-value/@regex, 'is'))  or        (exists($cd-definitions/form/@non-value-regex) and matches($der-text-to-match, $cd-definitions/form/@non-value-regex, 'is')) " />
    <xsl:variable name="valid-form-1" select="not($code-present or $der-text-non-value) and $der-text-to-match != '' and         ($der-text-to-match = $dose-form-names or matches($der-text, $dose-form-name-regex, 'is'))" />
    <xsl:variable name="is-container" select="not($valid-form-1 or $code-present or $der-text-non-value) and exists($tgi-container-names) and $der-text-to-match = $tgi-container-names " />
    <xsl:variable name="defn-invalid-regex" select="if ($code-present or $der-text-non-value or $is-container) then ()        else if ($cd-definitions/form/@invalid-regex) then tokenize($cd-definitions/form/@invalid-regex, '~')[. != '']         else () " />
    <xsl:variable name="defn-invalid-txt-regex" select="(for $i in (1 to count($defn-invalid-regex)) return normalize-space(substring-before($defn-invalid-regex[$i], '[[')))[. != '']" />
    <xsl:variable name="der-invalid-text-regex-1" select="if (exists($defn-invalid-txt-regex))        then index-of(for $i in (1 to count($defn-invalid-txt-regex)) return matches($der-text-2, $defn-invalid-txt-regex[$i], 'i'), true())        else () " />
    <xsl:variable name="der-invalid-text" select="$is-container or exists($der-invalid-text-regex-1) " />
    <xsl:variable name="defn-invalid-rsn" select="if ($der-invalid-text)         then normalize-space(substring-before(substring-after($defn-invalid-regex[$der-invalid-text-regex-1[1]], '[['), ']]'))         else '' " />
    <xsl:variable name="trusted-code-systems" select="if ($der-text = '' or $der-invalid-text or not(@codeSystem or cda:translation/@codeSystem)) then ()        else (tokenize(replace($cd-definitions/form/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/form/@extra, '\s+', ''), '\|'))[. != ''] " />
    <xsl:variable name="der-trusted-text" select="if ($der-text = '' or $der-invalid-text or (@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex)))) then false()        else ((@codeSystem and exists($trusted-code-systems[. = current()/@codeSystem])) or               (cda:translation/@codeSystem and exists($trusted-code-systems[. = current()/cda:translation/@codeSystem]))) " />
    <xsl:variable name="invalid-hierarchy" select="if (exists($cd-definitions/form/form-invalid/hierarchy))         then string-join(for $hierarchy in $cd-definitions/form/form-invalid/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-refset" select="if (exists($cd-definitions/form/form-invalid/refset))          then string-join(for $refset in $cd-definitions/form/form-invalid/refset return concat('^', $refset/@code), ' OR ')         else '' " />
    <xsl:variable name="valid-refset" select="'^32570621000036105' " />
    <xsl:variable name="valid-domain" select="if ($invalid-refset != '' and $invalid-hierarchy != '')         then concat('((', $valid-refset, ') MINUS (', $invalid-refset, ' OR (', $invalid-hierarchy, ')))')        else if ($invalid-refset = '' and $invalid-hierarchy != '') then concat('((', $valid-refset, ') MINUS (', $invalid-hierarchy, '))')         else if ($invalid-refset != '' and $invalid-hierarchy = '') then concat('((', $valid-refset, ') MINUS (', $invalid-refset, '))')        else concat('(', $valid-refset, ')') " />
    <xsl:variable name="related-terms-1" select="if ($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-form-1) then ()        else ($codesystemvalues/code[@related-terms], $codesystemvalues/related-terms[@related-terms]) " />
    <xsl:variable name="related-terms-2" select="for $i in index-of(        for $concept in $related-terms-1 return matches(translate($concept/@related-terms, $chars-no-pipe, ''), $defn-valid-regex, 'i'), true())         return $related-terms-1[$i]/@code " />
    <xsl:variable name="der-form-codes-1" select="if (exists($related-terms-2)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($related-terms-2, ' OR '), ') AND (', $valid-domain, ')'), '', string(count($related-terms-2)), false())        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $der-form-codes-1 " />
    <xsl:variable name="der-valid-codes-1" select="if (contains($der-form-codes-1, '[')) then $der-form-codes-1 else '' " />
    <xsl:variable name="valid-form-2" select="$valid-form-1 or $der-valid-codes-1 != '' " />
    <xsl:variable name="form-inactive-refSets" select="if (exists($cd-definitions/form/form-invalid/inactive-refset))         then concat('((', $inactive-refSets, ') MINUS (',           string-join(for $refset in $cd-definitions/form/form-invalid/inactive-refset return concat('^', $refset/@code), ' OR '),          '))')         else $inactive-refSets " />
    <xsl:variable name="formula" select="concat($valid-domain, ' OR ', $form-inactive-refSets) " />
    <xsl:variable name="ts-not-needed" select="$der-text = '' or $der-text-non-value or $der-invalid-text or $valid-form-2 or $avoid-ts " />
    <xsl:variable name="der-form-codes-2" select="if ($ts-not-needed or exists($related-terms-2)) then ()         else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-text,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or 'Error' = $der-form-codes-2 " />
    <xsl:variable name="der-valid-codes-2" select="if ($der-valid-codes-1 != '') then $der-valid-codes-1        else if ($error-usingTS-2) then ''         else string-join((for $code in $der-form-codes-2 return if (contains($code, '~inactive')) then '' else $code)[. != ''], '|')  " />
    <xsl:variable name="valid-form-3" select="$valid-form-2 or $der-valid-codes-2 != '' " />
    <xsl:variable name="der-inactive-codes-1" select="if ($valid-form-3) then () else        for $code in $der-form-codes-2 return if (contains($code, '~inactive')) then replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is') else '' " />
    <xsl:variable name="der-inactive-codes-2" select="for $i in (1 to count($der-inactive-codes-1)) return         dh:IsCodeAssociatedWithAnotherCode($der-inactive-codes-1[$i], '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-1" select="'Error' = $der-inactive-codes-2 " />
    <xsl:variable name="der-NAF-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-NAF-active-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound~active')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-inactive-codes-3" select="tokenize(string-join(for $i in (1 to count($der-inactive-codes-1)) return replace(string-join(tokenize($der-inactive-codes-2[$i], '\|')        [matches(., '(REPLACED BY|SAME AS|ALTERNATIVE|POSSIBLY EQUIVALENT TO|MAY BE A|WAS A)')], '|'), '[0-9]+~[A-Z ]+~([0-9]+)', '$1'), '|'), '\|')        [. != ''] " />
    <xsl:variable name="der-form-codes-3" select="if (exists($der-inactive-codes-3)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($der-inactive-codes-3, ' OR '), ') AND (', $valid-domain, ')'), '', string(count($der-inactive-codes-3)), false())          else '' " />
    <xsl:variable name="error-usingTS-3" select="$error-usingTS-2 or 'Error' = $der-form-codes-3 " />
    <xsl:variable name="der-valid-codes-3" select="if ($der-valid-codes-2 != '') then $der-valid-codes-2        else if (contains($der-form-codes-3, '[')) then $der-form-codes-3        else '' " />
    <xsl:variable name="valid-form-4" select="$valid-form-3 or $der-valid-codes-3 != '' " />
    <xsl:variable name="invalid-domain" select="if ($invalid-hierarchy != '' and $invalid-refset != '') then concat($invalid-hierarchy, ' OR ', $invalid-refset)        else if ($invalid-hierarchy != '') then $invalid-hierarchy        else if ($invalid-refset != '') then $invalid-refset        else '' " />
    <xsl:variable name="der-form-codes-4" select="if ($ts-not-needed or $valid-form-4 or $invalid-domain = '') then ()        else if (exists($related-terms-2)) then $related-terms-2        else distinct-values((tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          $invalid-domain, $der-text, $max-code-number, false()), '(\[.*?\])(\||$)', '$2'), '\|'), $der-inactive-codes-3)) " />
    <xsl:variable name="error-usingTS-4" select="$error-usingTS-3 or 'Error' = $der-form-codes-4 " />
    <xsl:variable name="invalid-form-codes-r" select="if ($ts-not-needed or $valid-form-4 or $error-usingTS-4 or not(exists($der-form-codes-4))) then ()        else if ($invalid-refset = '') then tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-form-codes-4, ' OR '), ') AND (', $inactive-refSets, ')'), '',           string(count($der-form-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')        else tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-form-codes-4, ' OR '), ') AND (', $invalid-refset, ' OR ', $inactive-refSets, ')'), '',           string(count($der-form-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')  " />
    <xsl:variable name="error-usingTS-5" select="$error-usingTS-4 or 'Error' = $invalid-form-codes-r " />
    <xsl:variable name="der-form-codes-4-h" select="if ($error-usingTS-5) then () else $der-form-codes-4[not(. = $invalid-form-codes-r)]" />
    <xsl:variable name="invalid-form-codes-h" select="if ($ts-not-needed or $valid-form-4 or 'Error' = $der-form-codes-4 or $form-invalid-hierarchy = '' or not(exists($der-form-codes-4-h))) then ()        else (for $code in $der-form-codes-4-h return          if (dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;&gt;', $code, ' MINUS ', $form-invalid-hierarchy), '', '1', false()) = '') then $code else '')[. != ''] " />
    <xsl:variable name="invalid-form-codes" select="($invalid-form-codes-h, $invalid-form-codes-r) " />
    <xsl:variable name="der-form-codes-5" select="$der-form-codes-4[not(. = $invalid-form-codes or . = 'Error')]" />
    <xsl:variable name="der-valid-codes-4" select="if ($der-valid-codes-3 != '') then $der-valid-codes-3        else if ($ts-not-needed or $valid-form-4 or $valid-domain = '' or not(exists($der-form-codes-5))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-form-codes-5, ' OR '), ') AND ', $valid-domain), '', string(count($der-form-codes-5)), false()) " />
    <xsl:variable name="error-usingTS-6" select="$error-usingTS-5 or 'Error' = $der-valid-codes-4 " />
    <xsl:variable name="valid-form-5" select="$valid-form-4 or not($der-valid-codes-4 = ('', 'Error'))" />
    <xsl:variable name="undetermined-form-1" select="$der-form-codes-5[not(. = tokenize(replace($der-valid-codes-4,  '(\[.*?\])(\||$)', '$2'), '\|'))]" />
    <xsl:variable name="undetermined-inactive-1" select="for $i in (1 to count($undetermined-form-1)) return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $undetermined-form-1[$i], '', '1', false()) " />
    <xsl:variable name="error-usingTS-7" select="$error-usingTS-6 or 'Error' = $undetermined-inactive-1 " />
    <xsl:variable name="undetermined-inactive" select="(for $i in (1 to count($undetermined-form-1)) return         if (contains($undetermined-inactive-1[$i], '~inactive')) then $undetermined-inactive-1[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-1" select="for $i in (1 to count($undetermined-inactive))        return dh:IsCodeAssociatedWithAnotherCode(replace($undetermined-inactive[$i], '(\[.*?\])(\||$)', '$2'), '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-2" select="$error-usingV-1 or 'Error' = $undetermined-NAF-1 " />
    <xsl:variable name="undetermined-NAF" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-codes" select="for $term in $undetermined-NAF return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-NAF-active" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound~active')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-active-codes" select="for $term in $undetermined-NAF-active return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-form" select="$undetermined-form-1[not(. = ($undetermined-NAF-codes, $undetermined-NAF-active-codes))]" />
    <xsl:variable name="invalid-form" select="not($valid-form-5) and exists($invalid-form-codes) and not(exists($undetermined-form))" />
    <xsl:variable name="codes-were-found" select="exists($der-form-codes-4) or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="codes-not-found" select="not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-form-5 or $invalid-form) " />
    <xsl:variable name="codes-in-the-domain" select="not($valid-form-1) and $valid-form-5" />
    <xsl:variable name="codes-in-other-domain" select="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-form-5 or $invalid-form or         $error-usingTS-7) " />
    <xsl:variable name="codes-in-no-domain" select="exists($der-form-codes-5) " />
    <xsl:variable name="display-in-the-domain" select="if ($codes-in-the-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', '), '''')        else '' " />
    <xsl:variable name="display-in-other-r" select="if (exists($invalid-form-codes-r) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-form-codes-r return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-h" select="if (exists($invalid-form-codes-h) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-form-codes-h return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-domain" select="if (not($codes-in-other-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))) then ''        else if ($display-in-other-r and display-in-other-h) then concat('''', $display-in-other-r, ', ', $display-in-other-h, '''')        else if ($display-in-other-r) then concat('''', $display-in-other-r, '''')        else if ($display-in-other-h) then concat('''', $display-in-other-h, '''')        else '' " />
    <xsl:variable name="display-in-no-domain" select="if ($codes-in-no-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', dh:XQueryRecursiveReplace(string-join(for $code in $der-form-codes-5 return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), '; '),          $term-pattern-replacement, 'ic'), '''')        else '' " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))        else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="log-concepts-appended" select="if ($error-usingTS-7 or not($flags/@report-terminology-concepts = 'true') or $log-concepts-name = '') then ''        else if ($codes-not-found and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                   'Form',     $log-tab,                   'yes',     $log-tab,                   concat($display-code, $display-system), $log-tab,                   '',     $log-tab,                  '',     $log-tab,                  '',     $log-tab,                  $ts-current-sctau   ))        else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <!--REPORT -->
    <xsl:if test=" $log-concepts-appended = ('NOTFOUND', 'ERROR') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$log-concepts-appended = ('NOTFOUND', 'ERROR')">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Form-Defn): The AppendLog function returned '<xsl:text /><xsl:value-of select="$log-concepts-appended" /><xsl:text />' when requested to append the concepts log
		'<xsl:text /><xsl:value-of select="$log-concepts-name" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-3a = '' or $der-text-4a = '' or $der-text-5a = '' or $der-text-6a = '' or $der-text-a = '') and    not($valid-form-5) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-3a = '' or $der-text-4a = '' or $der-text-5a = '' or $der-text-6a = '' or $der-text-a = '') and not($valid-form-5)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Form-Defn): An unexpected problem occurred when assessing the value of the Form
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. The application of regular expressions resulted in the complete loss of text.
		Report the information below to the Australian Digital Health Agency for investigation.
		der-text-1 '<xsl:text /><xsl:value-of select="normalize-space(dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'))" /><xsl:text />'.
		der-text-2a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-2a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-3a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-3a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-4a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-4a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-5a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-5a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-6a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-6a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-a, $term-pattern-replacement, 'ic')" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingV-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingV-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Form-Defn): An error was reported when accessing the terminology server when assessing the Form data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		Report the issue to the Australian Digital Health Agency for investigation stating the error was recorded for error-usingV-2.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-7 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-7">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Form-Defn): An error was reported when accessing the terminology server when assessing the Form data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term:
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The analysis should be retried as the terminology server may have been temporarily unavailable.
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation, stating that the error was found by
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'error-usingTS-1' else if ($error-usingTS-2) then 'error-usingTS-2'   else if ($error-usingTS-3) then 'error-usingTS-3' else if ($error-usingTS-4) then 'error-usingTS-4'   else if ($error-usingTS-5) then 'error-usingTS-5' else if ($error-usingTS-6) then 'error-usingTS-6'   else 'error-usingTS-7' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $codes-not-found">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $codes-not-found">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Form '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to describe the formulation or presentation of the medication.         (See section 3.12 of the eHealth Prescription Record Structured Content Specification v1.0.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Prescription Item (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$codes-in-other-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$codes-in-other-domain">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Form '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value does not seem to be applicable for the data element.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to describe the formulation or presentation of the medication.         (See section 3.12 of the eHealth Prescription Record Structured Content Specification v1.0.)')" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Form
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to describe the formulation or presentation of the medication.         (See section 3.12 of the eHealth Prescription Record Structured Content Specification v1.0.)'))" /><xsl:text />
		The Form data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Form
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to describe the formulation or presentation of the medication.         (See section 3.12 of the eHealth Prescription Record Structured Content Specification v1.0.)'))" /><xsl:text />
		The Form data element must have a value that is consistent with this definition. Alternatively if there is no Form data element with a proper value then an exclusion
		statement must be included to state why there is no Form. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4')    then concat('Text such as ''', dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'), ''' may be permitted in the narrative even though the Form data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Form
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to describe the formulation or presentation of the medication.         (See section 3.12 of the eHealth Prescription Record Structured Content Specification v1.0.)'))" /><xsl:text />
		The Form data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($der-text-non-value) and $is-container ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($der-text-non-value) and $is-container">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Form '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid as it identifies a type of container. <xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to describe the formulation or presentation of the medication.         (See section 3.12 of the eHealth Prescription Record Structured Content Specification v1.0.)')" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($der-text-non-value) and $der-invalid-text and not($is-container) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($der-text-non-value) and $der-invalid-text and not($is-container)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Form '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid. <xsl:text /><xsl:value-of select="$defn-invalid-rsn" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to describe the formulation or presentation of the medication.         (See section 3.12 of the eHealth Prescription Record Structured Content Specification v1.0.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $invalid-form and not($error-usingTS-7) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$invalid-form and not($error-usingTS-7)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Form '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid
		<xsl:text /><xsl:value-of select="if (exists($invalid-form-codes-h)) then concat(' as it describes ', string-join(distinct-values(for $code in tokenize(replace(   dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat('(', string-join(for $code in $invalid-form-codes-h return concat('&gt;&gt;', $code), ' OR '), ') AND (',    string-join(for $hierarchy in $cd-definitions/form/form-invalid/hierarchy return $hierarchy/@code, ' OR '), ')'), '',    string(count($invalid-form-codes-h)), true()), '(\[.*?\])(\||$)', '$2'), '\|')    return $cd-definitions/form/form-invalid/hierarchy[@code = $code]/@description)[position() = (1 to 2)], ' and '), '.')    else if (exists($invalid-form-codes-r)) then concat(' as it describes ', string-join(distinct-values(for $code in $invalid-form-codes-r return   $cd-definitions/form/form-invalid/refset[index-of(for $x in (for $refset in $cd-definitions/form/form-invalid/refset return    dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat($code, ' AND ^', $refset/@code), '', '1', true()), '|') return matches($x, '^[0-9]'), true())[1]]/@description), ' and '), '.')   else '.'" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to describe the formulation or presentation of the medication.         (See section 3.12 of the eHealth Prescription Record Structured Content Specification v1.0.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable outside the applicable value domain): The Form
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following codes were obtained and are not in the value domain: <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-Form-Defn): The Form '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU and no associated code was found in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists(($der-NAF-active-codes, $undetermined-NAF-active-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists(($der-NAF-active-codes, $undetermined-NAF-active-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-Form-Defn): The Form '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-active-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the
		'<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU but it was not found with this status in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.
		<xsl:text /><xsl:value-of select="if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $valid-form-1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $valid-form-1">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable within the value domain): The Form
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which matches one of the terms listed in Knowledge.xml for the Form.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (concept is codeable within the value domain): The Form
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a valid value for the Form.
		SNOMED CT-AU codes that matched the concept are: '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-form-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-form-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Form '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The text used to match regular expression (der-text-2) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to match non-values and containers (der-text-to-match) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-to-match, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to derive a code (der-text) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The SNOMED CT-AU version used to find codes is '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' and the maximum code number is '<xsl:text /><xsl:value-of select="$max-code-number" /><xsl:text />'.

		Codes for related terms (related-terms-2): '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($related-terms-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes for related terms (der-valid-codes-1): 
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-1, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-form-codes-2) returned by the terminology server that match the text:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-form-codes-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes from related terms or the terminology server (der-valid-codes-2):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-2, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-inactive-codes-3) returned from the Validator's database associated with inactive codes:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-inactive-codes-3, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes found after examining inactive codes (der-valid-codes-3):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-3, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Members of invalid reference sets (invalid-form-codes-r): '<xsl:text /><xsl:value-of select="$display-in-other-r" /><xsl:text />'.
		Members of invalid code hierarchies (invalid-form-codes-h): '<xsl:text /><xsl:value-of select="$display-in-other-h" /><xsl:text />'.

		Final set of valid codes (der-valid-codes-4):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		
		Codes whose validity has not been determined (der-body-codes-5):  <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.
		Codes whose validity has not been determined and are inactive with no associated code (undetermined-NAF): '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(    string-join($undetermined-NAF, ''', '''), $markup-pattern-replacement, 'ic')" /><xsl:text />'.

		Will the value of the data element be trusted (der-trusted-text)? '<xsl:text /><xsl:value-of select="$der-trusted-text" /><xsl:text />'.
		
	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and $codes-not-found">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept not codeable): The Form '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($avoid-ts) then 'The terminology server was not used to assist with finding codes corresponding to text in the data element. ' else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M821" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M821" />
  <xsl:template match="@*|node()" priority="-2" mode="M821">
    <xsl:apply-templates select="@*|*" mode="M821" />
  </xsl:template>
  <!--PATTERN p-TS-PresItem-CodeableText-10-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//cda:section   [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/cda:consumable/   cda:manufacturedProduct/cda:manufacturedMaterial/ext:formCode[(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M822">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//cda:section   [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/cda:consumable/   cda:manufacturedProduct/cda:manufacturedMaterial/ext:formCode[(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Form '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Form
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Form
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Form
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Form
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Form has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Form data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Form
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Form data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Form
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Form data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Form
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Form data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Form
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Form
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Form data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Form
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Form data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Form
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Form
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Form data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Form
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Form data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Form
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Form
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M822" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M822" />
  <xsl:template match="@*|node()" priority="-2" mode="M822">
    <xsl:apply-templates select="@*|*" mode="M822" />
  </xsl:template>
  <!--PATTERN p-TS-PresItem-CodeableText-11-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/cda:routeCode " priority="1000" mode="M823">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/cda:routeCode " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Route '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Route '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Route',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Route '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Route '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'allowed' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'allowed' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Route
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Route however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Route in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'allowed' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'allowed' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Route
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Route however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Route in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Route data element must have a value that is consistent with this definition. Alternatively if there is no Route data element with a proper value then an exclusion
		statement must be included to state why there is no Route.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'allowed' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'allowed' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Route
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Route however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Route in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'allowed' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'allowed' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Route
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Route however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Route in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Route data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'allowed' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'allowed' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Route
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Route however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Route in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Route data element must have a value that is consistent with this definition. Alternatively if there is no Route data element with a proper value then an exclusion
		statement must be included to state why there is no Route.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'allowed' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'allowed' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Route
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Route however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Route in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Route data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Route '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Route
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Route
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Route '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Route '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Route '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Route '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Route '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Route '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Route
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Route '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Route '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Route.
		(See the definition of Route in the Structured Content Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Route '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M823" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M823" />
  <xsl:template match="@*|node()" priority="-2" mode="M823">
    <xsl:apply-templates select="@*|*" mode="M823" />
  </xsl:template>
  <!--PATTERN p-TS-PresItem-CodeableText-12-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//cda:section   [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/cda:routeCode   [@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " priority="1000" mode="M824">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//cda:section   [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/cda:routeCode   [@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="pnullFlavor" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @nullFlavor) then @nullFlavor else '' " />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-p-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then false()        else if ($psnomed-id = 'amtv3' and @codeSystemVersion) then exists($v-amtv3[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($psnomed-id = 'snomedctau' and @codeSystemVersion) then exists($v-snomedctau[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false() " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and $pcode != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used to assess the primary code.') " />
    <xsl:variable name="pcode-refsets-1" select="if (@codeSystem = '2.16.840.1.113883.6.96' and not($pcode = ''))         then dh:FindValueDomainsForCode($pcode, '2.16.840.1.113883.6.96', $v-psnomed-version) else 'no-code' " />
    <xsl:variable name="pcode-found" select="not($pcode-refsets-1 = 'no-code' or $pcode-refsets-1 = 'CodeNotFound' or $pcode-refsets-1 = 'Error'        or contains($pcode-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="pcode-refsets" select="if ($pcode-found) then distinct-values(tokenize($pcode-refsets-1, '\|')) else () " />
    <xsl:variable name="pcode-special-proc" select="count($pcode-refsets) = 1 and 'Procedure Foundation (PF)' = $pcode-refsets and not($pnullFlavor = 'OTH') " />
    <xsl:variable name="pcode-refsets-msg" select="if (count($pcode-refsets) = 0) then ''         else if (count($pcode-refsets) = 1) then concat('The code is a member of the ', $pcode-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($pcode-refsets, ', '), '.') " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))         else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-1" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="snomed-trans-2" select="distinct-values(for $i in (1 to count($snomed-trans-1)) return $snomed-trans-1[$i]/@code) " />
    <xsl:variable name="snomed-trans-a" select="$snomed-trans-1[1] " />
    <xsl:variable name="tcode-a" select="if (exists($snomed-trans-a) and matches($snomed-trans-a/@code, $snomed-code-regex)) then $snomed-trans-a/@code else '' " />
    <xsl:variable name="tnullFlavor-a" select="if (exists($snomed-trans-a) and $snomed-trans-a/@nullFlavor) then $snomed-trans-a/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-a" select="if (not(exists($snomed-trans-a))) then 'not-snomed'        else if (not($snomed-trans-a/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-a/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-a" select="if (not(exists($snomed-trans-a))) then ''        else if ($tsnomed-id-a = 'amtv3' and exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-a = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-a/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-a" select="if (not(exists($snomed-trans-a))) then false()        else if ($tsnomed-id-a = 'amtv3' and $snomed-trans-a/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-a = 'snomedctau' and $snomed-trans-a/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-a-msg" select="if (not(exists($snomed-trans-a))) then ''        else if (not($snomed-trans-a/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-a, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-a = 'amtv3') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-a = 'snomedctau') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-a/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-a, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-a/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-a-refsets-1" select="if (exists($snomed-trans-a) and not($tcode-a = ''))         then dh:FindValueDomainsForCode($tcode-a, '2.16.840.1.113883.6.96', $v-tsnomed-version-a) else 'no-code' " />
    <xsl:variable name="tcode-a-found" select="not($tcode-a-refsets-1 = 'no-code' or $tcode-a-refsets-1 = 'CodeNotFound' or $tcode-a-refsets-1 = 'Error'         or contains($tcode-a-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-a-refsets" select="if ($tcode-a-found) then distinct-values(tokenize($tcode-a-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-a-special-proc" select="count($tcode-a-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-a-refsets and not($tnullFlavor-a = 'OTH') " />
    <xsl:variable name="tcode-a-refsets-msg" select="if (count($tcode-a-refsets) = 0) then ''         else if (count($tcode-a-refsets) = 1) then concat('The code is a member of the ', $tcode-a-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-a-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@code and $snomed-trans-a/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-a/@displayName, codepoints-to-string(34))         else if ($snomed-trans-a/@code and not($snomed-trans-a/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@codeSystem and $snomed-trans-a/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-a/@codeSystemName, ')')         else if ($snomed-trans-a/@codeSystem and not($snomed-trans-a/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-b" select="(for $i in (2 to count($snomed-trans-1)) return if ($snomed-trans-1[$i]/@code != $snomed-trans-a/@code) then $snomed-trans-1[$i] else ())[1] " />
    <xsl:variable name="tcode-b" select="if (exists($snomed-trans-b) and matches($snomed-trans-b/@code, $snomed-code-regex)) then $snomed-trans-b/@code else '' " />
    <xsl:variable name="tnullFlavor-b" select="if (exists($snomed-trans-b) and $snomed-trans-b/@nullFlavor) then $snomed-trans-b/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-b" select="if (not(exists($snomed-trans-b))) then 'not-snomed'        else if (not($snomed-trans-b/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-b/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-b" select="if (not(exists($snomed-trans-b))) then ''        else if ($tsnomed-id-b = 'amtv3' and exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-b = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-b/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-b" select="if (not(exists($snomed-trans-b))) then false()        else if ($tsnomed-id-b = 'amtv3' and $snomed-trans-b/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-b = 'snomedctau' and $snomed-trans-b/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-b-msg" select="if (not(exists($snomed-trans-b))) then ''        else if (not($snomed-trans-b/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-b, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-b = 'amtv3') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-b = 'snomedctau') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-b/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-b, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-b/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-b-refsets-1" select="if (exists($snomed-trans-b) and not($tcode-b = ''))         then dh:FindValueDomainsForCode($tcode-b, '2.16.840.1.113883.6.96', $v-tsnomed-version-b) else 'no-code' " />
    <xsl:variable name="tcode-b-found" select="not($tcode-b-refsets-1 = 'no-code' or $tcode-b-refsets-1 = 'CodeNotFound' or $tcode-b-refsets-1 = 'Error'         or contains($tcode-b-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-b-refsets" select="if ($tcode-b-found) then distinct-values(tokenize($tcode-b-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-b-special-proc" select="count($tcode-b-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-b-refsets and not($tnullFlavor-b = 'OTH') " />
    <xsl:variable name="tcode-b-refsets-msg" select="if (count($tcode-b-refsets) = 0) then ''         else if (count($tcode-b-refsets) = 1) then concat('The code is a member of the ', $tcode-b-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-b-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@code and $snomed-trans-b/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-b/@displayName, codepoints-to-string(34))         else if ($snomed-trans-b/@code and not($snomed-trans-b/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@codeSystem and $snomed-trans-b/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-b/@codeSystemName, ')')         else if ($snomed-trans-b/@codeSystem and not($snomed-trans-b/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-60" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-60 else $rating-alt-TC-Types-60 " />
    <!--REPORT -->
    <xsl:if test=" $pcode-found and $pcode-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pcode-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD (p-TS-CD-SCT-RefSet): An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$pcode" /><xsl:text />',
		codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-psnomed-version" /><xsl:text />'. This error occurred when assessing the Route data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-special-proc and count(('Route Of Administration (ROA)')) = 1 and 'Problem Diagnosis (PD)' = ('Route Of Administration (ROA)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-special-proc and count(('Route Of Administration (ROA)')) = 1 and 'Problem Diagnosis (PD)' = ('Route Of Administration (ROA)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Route '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. The value is not valid for the data element as it describes a medical
		procedure and not a medical problem or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to describe the path or channel by which the substance or agent         is introduced or gains access into a person''s body.         (See section 3.16 of the eHealth Prescription Record Structured Content Specification v1.0.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and   not(exists(index-of(for $refset in ('Route Of Administration (ROA)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Route Of Administration (ROA)')) = 1 and 'Problem Diagnosis (PD)' = ('Route Of Administration (ROA)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and not(exists(index-of(for $refset in ('Route Of Administration (ROA)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Route Of Administration (ROA)')) = 1 and 'Problem Diagnosis (PD)' = ('Route Of Administration (ROA)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Route '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the code is not a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Route Of Administration reference set (Concept Id: 32570601000036100).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Prescription Item (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and   not(exists(index-of(for $refset in ('Route Of Administration (ROA)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Route Of Administration (ROA)')) = 1 and 'Problem Diagnosis (PD)' = ('Route Of Administration (ROA)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and not(exists(index-of(for $refset in ('Route Of Administration (ROA)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Route Of Administration (ROA)')) = 1 and 'Problem Diagnosis (PD)' = ('Route Of Administration (ROA)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Route '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Route Of Administration reference set (Concept Id: 32570601000036100).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Prescription Item (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and   exists(index-of(for $refset in ('Route Of Administration (ROA)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Route Of Administration (ROA)')) = 1 and 'Problem Diagnosis (PD)' = ('Route Of Administration (ROA)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and exists(index-of(for $refset in ('Route Of Administration (ROA)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Route Of Administration (ROA)')) = 1 and 'Problem Diagnosis (PD)' = ('Route Of Administration (ROA)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Route '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Route Of Administration reference set (Concept Id: 32570601000036100).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Prescription Item (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and   exists(index-of(for $refset in ('Route Of Administration (ROA)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Route Of Administration (ROA)')) = 1 and 'Problem Diagnosis (PD)' = ('Route Of Administration (ROA)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and exists(index-of(for $refset in ('Route Of Administration (ROA)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Route Of Administration (ROA)')) = 1 and 'Problem Diagnosis (PD)' = ('Route Of Administration (ROA)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Route '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. Confirm if the code is a member of the value domain.
		If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Route Of Administration reference set (Concept Id: 32570601000036100).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Prescription Item (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Route '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="count($snomed-trans-1)" /><xsl:text /> translation elements with
		codes and the SNOMED CT-AU codeSystem '2.16.840.1.113883.6.96'. The first two translation elements have been assessed to determine if the codes are members of the value domain
		and the others have not been assessed. Confirm if the value of the code attribute in all SNOMED CT translation elements meets the requirement that it be a member of the value domain
		if there is no nullFlavor 'OTH' or that there is a nullFlavor 'OTH' if the value of the code attribute is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Route Of Administration reference set (Concept Id: 32570601000036100).')" /><xsl:text /> 
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Prescription Item (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-a" /><xsl:text />'. This error occurred when assessing the Route data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-special-proc and count(('Route Of Administration (ROA)')) = 1 and 'Problem Diagnosis (PD)' = ('Route Of Administration (ROA)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-special-proc and count(('Route Of Administration (ROA)')) = 1 and 'Problem Diagnosis (PD)' = ('Route Of Administration (ROA)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Route '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to describe the path or channel by which the substance or agent         is introduced or gains access into a person''s body.         (See section 3.16 of the eHealth Prescription Record Structured Content Specification v1.0.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and   not(exists(index-of(for $refset in ('Route Of Administration (ROA)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Route Of Administration (ROA)')) = 1 and 'Problem Diagnosis (PD)' = ('Route Of Administration (ROA)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and not(exists(index-of(for $refset in ('Route Of Administration (ROA)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Route Of Administration (ROA)')) = 1 and 'Problem Diagnosis (PD)' = ('Route Of Administration (ROA)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Route '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Route Of Administration reference set (Concept Id: 32570601000036100).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Prescription Item (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and   not(exists(index-of(for $refset in ('Route Of Administration (ROA)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Route Of Administration (ROA)')) = 1 and 'Problem Diagnosis (PD)' = ('Route Of Administration (ROA)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and not(exists(index-of(for $refset in ('Route Of Administration (ROA)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Route Of Administration (ROA)')) = 1 and 'Problem Diagnosis (PD)' = ('Route Of Administration (ROA)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Route '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Route Of Administration reference set (Concept Id: 32570601000036100).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Prescription Item (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and   exists(index-of(for $refset in ('Route Of Administration (ROA)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Route Of Administration (ROA)')) = 1 and 'Problem Diagnosis (PD)' = ('Route Of Administration (ROA)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and exists(index-of(for $refset in ('Route Of Administration (ROA)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Route Of Administration (ROA)')) = 1 and 'Problem Diagnosis (PD)' = ('Route Of Administration (ROA)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Route '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Route Of Administration reference set (Concept Id: 32570601000036100).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Prescription Item (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and   exists(index-of(for $refset in ('Route Of Administration (ROA)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Route Of Administration (ROA)')) = 1 and 'Problem Diagnosis (PD)' = ('Route Of Administration (ROA)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and exists(index-of(for $refset in ('Route Of Administration (ROA)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Route Of Administration (ROA)')) = 1 and 'Problem Diagnosis (PD)' = ('Route Of Administration (ROA)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Route '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Route Of Administration reference set (Concept Id: 32570601000036100).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Prescription Item (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-b" /><xsl:text />'. This error occurred when assessing the Route data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-special-proc and count(('Route Of Administration (ROA)')) = 1 and 'Problem Diagnosis (PD)' = ('Route Of Administration (ROA)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-special-proc and count(('Route Of Administration (ROA)')) = 1 and 'Problem Diagnosis (PD)' = ('Route Of Administration (ROA)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Route '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> 
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to describe the path or channel by which the substance or agent         is introduced or gains access into a person''s body.         (See section 3.16 of the eHealth Prescription Record Structured Content Specification v1.0.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and   not(exists(index-of(for $refset in ('Route Of Administration (ROA)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Route Of Administration (ROA)')) = 1 and 'Problem Diagnosis (PD)' = ('Route Of Administration (ROA)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and not(exists(index-of(for $refset in ('Route Of Administration (ROA)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Route Of Administration (ROA)')) = 1 and 'Problem Diagnosis (PD)' = ('Route Of Administration (ROA)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Route '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Route Of Administration reference set (Concept Id: 32570601000036100).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Prescription Item (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and   not(exists(index-of(for $refset in ('Route Of Administration (ROA)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Route Of Administration (ROA)')) = 1 and 'Problem Diagnosis (PD)' = ('Route Of Administration (ROA)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and not(exists(index-of(for $refset in ('Route Of Administration (ROA)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Route Of Administration (ROA)')) = 1 and 'Problem Diagnosis (PD)' = ('Route Of Administration (ROA)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Route '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Route Of Administration reference set (Concept Id: 32570601000036100).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Prescription Item (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and   exists(index-of(for $refset in ('Route Of Administration (ROA)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Route Of Administration (ROA)')) = 1 and 'Problem Diagnosis (PD)' = ('Route Of Administration (ROA)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and exists(index-of(for $refset in ('Route Of Administration (ROA)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Route Of Administration (ROA)')) = 1 and 'Problem Diagnosis (PD)' = ('Route Of Administration (ROA)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Route '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Route Of Administration reference set (Concept Id: 32570601000036100).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Prescription Item (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and   exists(index-of(for $refset in ('Route Of Administration (ROA)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Route Of Administration (ROA)')) = 1 and 'Problem Diagnosis (PD)' = ('Route Of Administration (ROA)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and exists(index-of(for $refset in ('Route Of Administration (ROA)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Route Of Administration (ROA)')) = 1 and 'Problem Diagnosis (PD)' = ('Route Of Administration (ROA)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Route '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Route Of Administration reference set (Concept Id: 32570601000036100).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Prescription Item (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M824" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M824" />
  <xsl:template match="@*|node()" priority="-2" mode="M824">
    <xsl:apply-templates select="@*|*" mode="M824" />
  </xsl:template>
  <!--PATTERN p-TS-PresItem-CodeableText-13-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/cda:routeCode   [(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-route-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])]   [not(@nullFlavor = $no-value-NF)]  " priority="1000" mode="M825">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/cda:routeCode   [(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-route-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])]   [not(@nullFlavor = $no-value-NF)]  " />
    <xsl:variable name="pcode" select="if ('2.16.840.1.113883.6.96' = $defn-route-trusted and         @codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="snomed-trans" select="if ('2.16.840.1.113883.6.96' = $defn-route-trusted and cda:translation)         then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="tcode" select="if (exists($snomed-trans[1]) and matches($snomed-trans[1]/@code, $snomed-code-regex)) then $snomed-trans[1]/@code else '' " />
    <xsl:variable name="code-present" select="$pcode != '' or $tcode != '' " />
    <xsl:variable name="invalid-code-system" select="@code and @displayName and @codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="codesystemvalues" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']" />
    <xsl:variable name="otext-without-markup" select="if (cda:originalText and cda:originalText != '') then normalize-space(replace(cda:originalText, $markup-regex, ' ')) else '' " />
    <xsl:variable name="pdname" select="if (@displayName and not($invalid-code-system)) then normalize-space(@displayName) else '' " />
    <xsl:variable name="max-code-number" select="if ($knowledge/search-for-term/max-sct-code-number/@value &gt; '5') then $knowledge/search-for-term/max-sct-code-number/@value else '5' " />
    <xsl:variable name="der-text-1" select="if ($code-present) then ''         else if ($otext-without-markup != '') then $otext-without-markup        else if ($pdname != '') then $pdname        else '' " />
    <xsl:variable name="der-text-2a" select="if ($der-text-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-text-1, $route-fir-pattern-replacement, 'ic')) " />
    <xsl:variable name="der-text-2" select="if ($der-text-2a = '') then $der-text-1 else $der-text-2a " />
    <xsl:variable name="family-err" select="matches($der-text-1, $family-regex, 'i')" />
    <xsl:variable name="length-err" select="string-length($der-text-1) &gt; $length-err-max" />
    <xsl:variable name="avoid-ts" select="$family-err or $length-err or not($use-ts-for-sctau) " />
    <xsl:variable name="der-text-a" select="if ($route-replacements = '' or $der-text-2 = '') then normalize-space($der-text-2)        else normalize-space(dh:XQueryRecursiveReplace($der-text-2, $route-replacements, 'ic')) " />
    <xsl:variable name="der-text" select="if ($der-text-a = '') then $der-text-2 else $der-text-a " />
    <xsl:variable name="defn-valid-regex" select="concat('(^|\|)', translate($der-text-2, $chars-to-remove, ''), '(\||$)') " />
    <xsl:variable name="der-text-to-match-1" select="lower-case($der-text-2) " />
    <xsl:variable name="der-text-to-match" select="translate($der-text-to-match-1, $chars-to-remove, '') " />
    <xsl:variable name="der-text-non-value" select="if ($code-present or @nullFlavor = $no-value-NF) then false() else         $der-text-to-match = ''              or         not(matches($der-text-to-match-1, '[a-z]', 'i'))          or        ($cd-definitions/non-value/@regex != '' and matches($der-text-to-match-1, $cd-definitions/non-value/@regex, 'i'))  or        (exists($cd-definitions/route/@non-value-regex) and matches($der-text-to-match-1, $cd-definitions/route/@non-value-regex, 'i')) " />
    <xsl:variable name="defn-invalid-regex" select="if ($code-present or $der-text-non-value) then ()        else if ($cd-definitions/route/@invalid-regex) then tokenize($cd-definitions/route/@invalid-regex, '~')[. != '']         else () " />
    <xsl:variable name="defn-invalid-txt-regex" select="(for $i in (1 to count($defn-invalid-regex)) return normalize-space(substring-before($defn-invalid-regex[$i], '[[')))[. != '']" />
    <xsl:variable name="der-invalid-text-regex-1" select="if (exists($defn-invalid-txt-regex))        then index-of(for $i in (1 to count($defn-invalid-txt-regex)) return matches($der-text-2, $defn-invalid-txt-regex[$i], 'i'), true())        else () " />
    <xsl:variable name="der-invalid-text" select="exists($der-invalid-text-regex-1) " />
    <xsl:variable name="defn-invalid-rsn" select="if ($der-invalid-text)         then normalize-space(substring-before(substring-after($defn-invalid-regex[$der-invalid-text-regex-1[1]], '[['), ']]'))         else '' " />
    <xsl:variable name="trusted-code-systems" select="if ($der-text = '' or $der-invalid-text or not(@codeSystem or cda:translation/@codeSystem)) then ()        else (tokenize(replace($cd-definitions/route/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/route/@extra, '\s+', ''), '\|'))[. != ''] " />
    <xsl:variable name="der-trusted-text" select="if ($der-text = '' or $der-invalid-text or (@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex)))) then false()        else ((@codeSystem and exists($trusted-code-systems[. = current()/@codeSystem])) or               (cda:translation/@codeSystem and exists($trusted-code-systems[. = current()/cda:translation/@codeSystem]))) " />
    <xsl:variable name="valid-route-1" select="if ($code-present or $der-text-non-value or $der-invalid-text or not($cd-definitions/route/@valid-regex)) then false()        else exists(index-of(for $regex in (tokenize($cd-definitions/route/@valid-regex, '~')[. != '']) return          matches($der-text-2, dh:XQueryRecursiveReplace(normalize-space($regex), ' \|~|~\| ~|', ''), 'is'), true())) " />
    <xsl:variable name="invalid-hierarchy" select="if (exists($cd-definitions/route/route-invalid/hierarchy))         then string-join(for $hierarchy in $cd-definitions/route/route-invalid/hierarchy return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-refset" select="if (exists($cd-definitions/route/route-invalid/refset))          then string-join(for $refset in $cd-definitions/route/route-invalid/refset return concat('^', $refset/@code), ' OR ')         else '' " />
    <xsl:variable name="valid-refset" select="'^32570601000036100' " />
    <xsl:variable name="valid-domain" select="if ($invalid-refset != '' and $invalid-hierarchy != '')         then concat('((', $valid-refset, ') MINUS (', $invalid-refset, ' OR (', $invalid-hierarchy, ')))')        else if ($invalid-refset = '' and $invalid-hierarchy != '') then concat('((', $valid-refset, ') MINUS (', $invalid-hierarchy, '))')         else if ($invalid-refset != '' and $invalid-hierarchy = '') then concat('((', $valid-refset, ') MINUS (', $invalid-refset, '))')        else concat('(', $valid-refset, ')') " />
    <xsl:variable name="related-terms-1" select="if ($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-route-1) then ()        else ($codesystemvalues/code[@related-terms], $codesystemvalues/related-terms[@related-terms]) " />
    <xsl:variable name="related-terms-2" select="for $i in index-of(        for $concept in $related-terms-1 return matches(translate($concept/@related-terms, $chars-no-pipe, ''), $defn-valid-regex, 'i'), true())         return $related-terms-1[$i]/@code " />
    <xsl:variable name="der-route-codes-1" select="if (exists($related-terms-2)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($related-terms-2, ' OR '), ') AND (', $valid-domain, ')'), '', string(count($related-terms-2)), false())        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $der-route-codes-1 " />
    <xsl:variable name="der-valid-codes-1" select="if (contains($der-route-codes-1, '[')) then $der-route-codes-1 else '' " />
    <xsl:variable name="valid-route-2" select="$valid-route-1 or $der-valid-codes-1 != '' " />
    <xsl:variable name="route-inactive-refSets" select="if (exists($cd-definitions/route/route-invalid/inactive-refset))         then concat('((', $inactive-refSets, ') MINUS (',           string-join(for $refset in $cd-definitions/route/route-invalid/inactive-refset return concat('^', $refset/@code), ' OR '),          '))')         else $inactive-refSets " />
    <xsl:variable name="formula" select="concat($valid-domain, ' OR ', $route-inactive-refSets) " />
    <xsl:variable name="ts-not-needed" select="$der-text = '' or $der-text-non-value or $der-invalid-text or $valid-route-2 or $avoid-ts " />
    <xsl:variable name="der-route-codes-2" select="if ($ts-not-needed or exists($related-terms-2)) then ()         else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-text,          $max-code-number, false()), '\|') " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or 'Error' = $der-route-codes-2 " />
    <xsl:variable name="der-valid-codes-2" select="if ($der-valid-codes-1 != '') then $der-valid-codes-1        else if ($error-usingTS-2) then ''         else string-join((for $code in $der-route-codes-2 return if (contains($code, '~inactive')) then '' else $code)[. != ''], '|')  " />
    <xsl:variable name="valid-route-3" select="$valid-route-2 or $der-valid-codes-2 != '' " />
    <xsl:variable name="der-inactive-codes-1" select="if ($valid-route-3) then () else        for $code in $der-route-codes-2 return if (contains($code, '~inactive')) then replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is') else '' " />
    <xsl:variable name="der-inactive-codes-2" select="for $i in (1 to count($der-inactive-codes-1)) return         dh:IsCodeAssociatedWithAnotherCode($der-inactive-codes-1[$i], '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-1" select="'Error' = $der-inactive-codes-2 " />
    <xsl:variable name="der-NAF-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-NAF-active-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound~active')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-inactive-codes-3" select="tokenize(string-join(for $i in (1 to count($der-inactive-codes-1)) return replace(string-join(tokenize($der-inactive-codes-2[$i], '\|')        [matches(., '(REPLACED BY|SAME AS|ALTERNATIVE|POSSIBLY EQUIVALENT TO|MAY BE A|WAS A)')], '|'), '[0-9]+~[A-Z ]+~([0-9]+)', '$1'), '|'), '\|')        [. != ''] " />
    <xsl:variable name="der-route-codes-3" select="if (exists($der-inactive-codes-3)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($der-inactive-codes-3, ' OR '), ') AND (', $valid-domain, ')'), '', string(count($der-inactive-codes-3)), false())          else '' " />
    <xsl:variable name="error-usingTS-3" select="$error-usingTS-2 or 'Error' = $der-route-codes-3 " />
    <xsl:variable name="der-valid-codes-3" select="if ($der-valid-codes-2 != '') then $der-valid-codes-2        else if (contains($der-route-codes-3, '[')) then $der-route-codes-3        else '' " />
    <xsl:variable name="valid-route-4" select="$valid-route-3 or $der-valid-codes-3 != '' " />
    <xsl:variable name="invalid-domain" select="if ($invalid-hierarchy != '' and $invalid-refset != '') then concat($invalid-hierarchy, ' OR ', $invalid-refset)        else if ($invalid-hierarchy != '') then $invalid-hierarchy        else if ($invalid-refset != '') then $invalid-refset        else '' " />
    <xsl:variable name="der-route-codes-4" select="if ($ts-not-needed or $valid-route-4 or $invalid-domain = '') then ()        else if (exists($related-terms-2)) then $related-terms-2        else distinct-values((tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          $invalid-domain, $der-text, $max-code-number, false()), '(\[.*?\])(\||$)', '$2'), '\|'), $der-inactive-codes-3)) " />
    <xsl:variable name="error-usingTS-4" select="$error-usingTS-3 or 'Error' = $der-route-codes-4 " />
    <xsl:variable name="invalid-route-codes-r" select="if ($ts-not-needed or $valid-route-4 or $error-usingTS-4 or not(exists($der-route-codes-4))) then ()        else if ($invalid-refset = '') then tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-route-codes-4, ' OR '), ') AND (', $inactive-refSets, ')'), '',           string(count($der-route-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')        else tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-route-codes-4, ' OR '), ') AND (', $invalid-refset, ' OR ', $inactive-refSets, ')'), '',           string(count($der-route-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')  " />
    <xsl:variable name="error-usingTS-5" select="$error-usingTS-4 or 'Error' = $invalid-route-codes-r " />
    <xsl:variable name="der-route-codes-4-h" select="if ($error-usingTS-5) then () else $der-route-codes-4[not(. = $invalid-route-codes-r)]" />
    <xsl:variable name="invalid-route-codes-h" select="if ($ts-not-needed or $valid-route-4 or 'Error' = $der-route-codes-4 or $route-invalid-hierarchy = '' or not(exists($der-route-codes-4-h))) then ()        else (for $code in $der-route-codes-4-h return          if (dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;&gt;', $code, ' MINUS ', $route-invalid-hierarchy), '', '1', false()) = '') then $code else '')[. != ''] " />
    <xsl:variable name="invalid-route-codes" select="($invalid-route-codes-h, $invalid-route-codes-r) " />
    <xsl:variable name="der-route-codes-5" select="$der-route-codes-4[not(. = $invalid-route-codes or . = 'Error')]" />
    <xsl:variable name="der-valid-codes-4" select="if ($der-valid-codes-3 != '') then $der-valid-codes-3        else if ($ts-not-needed or $valid-route-4 or $valid-domain = '' or not(exists($der-route-codes-5))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-route-codes-5, ' OR '), ') AND ', $valid-domain), '', string(count($der-route-codes-5)), false()) " />
    <xsl:variable name="error-usingTS-6" select="$error-usingTS-5 or 'Error' = $der-valid-codes-4 " />
    <xsl:variable name="valid-route-5" select="$valid-route-4 or not($der-valid-codes-4 = ('', 'Error'))" />
    <xsl:variable name="undetermined-route-1" select="$der-route-codes-5[not(. = tokenize(replace($der-valid-codes-4,  '(\[.*?\])(\||$)', '$2'), '\|'))]" />
    <xsl:variable name="undetermined-inactive-1" select="for $i in (1 to count($undetermined-route-1)) return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $undetermined-route-1[$i], '', '1', false()) " />
    <xsl:variable name="error-usingTS-7" select="$error-usingTS-6 or 'Error' = $undetermined-inactive-1 " />
    <xsl:variable name="undetermined-inactive" select="(for $i in (1 to count($undetermined-route-1)) return         if (contains($undetermined-inactive-1[$i], '~inactive')) then $undetermined-inactive-1[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-1" select="for $i in (1 to count($undetermined-inactive))        return dh:IsCodeAssociatedWithAnotherCode(replace($undetermined-inactive[$i], '(\[.*?\])(\||$)', '$2'), '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-2" select="$error-usingV-1 or 'Error' = $undetermined-NAF-1 " />
    <xsl:variable name="undetermined-NAF" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-codes" select="for $term in $undetermined-NAF return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-NAF-active" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound~active')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-active-codes" select="for $term in $undetermined-NAF-active return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-route" select="$undetermined-route-1[not(. = ($undetermined-NAF-codes, $undetermined-NAF-active-codes))]" />
    <xsl:variable name="invalid-route" select="not($valid-route-5) and exists($invalid-route-codes) and not(exists($undetermined-route))" />
    <xsl:variable name="codes-were-found" select="exists($der-route-codes-4) or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="codes-not-found" select="not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or        $valid-route-5 or $invalid-route) " />
    <xsl:variable name="codes-in-the-domain" select="not($valid-route-1) and $valid-route-5" />
    <xsl:variable name="codes-in-other-domain" select="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-route-5 or $invalid-route or         $error-usingTS-7) " />
    <xsl:variable name="codes-in-no-domain" select="exists($der-route-codes-5) " />
    <xsl:variable name="display-in-the-domain" select="if ($codes-in-the-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', '), '''')        else '' " />
    <xsl:variable name="display-in-other-r" select="if (exists($invalid-route-codes-r) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-route-codes-r return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-h" select="if (exists($invalid-route-codes-h) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-route-codes-h return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-domain" select="if (not($codes-in-other-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))) then ''        else if ($display-in-other-r and display-in-other-h) then concat('''', $display-in-other-r, ', ', $display-in-other-h, '''')        else if ($display-in-other-r) then concat('''', $display-in-other-r, '''')        else if ($display-in-other-h) then concat('''', $display-in-other-h, '''')        else '' " />
    <xsl:variable name="display-in-no-domain" select="if ($codes-in-no-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', dh:XQueryRecursiveReplace(string-join(for $code in $der-route-codes-5 return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), '; '),          $term-pattern-replacement, 'ic'), '''')        else '' " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))        else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="log-concepts-appended" select="if ($error-usingTS-7 or not($flags/@report-terminology-concepts = 'true') or $log-concepts-name = '') then ''        else if ($codes-not-found and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                   'Route',    $log-tab,                   'yes',     $log-tab,                   concat($display-code, $display-system), $log-tab,                   '',     $log-tab,                  '',     $log-tab,                  '',     $log-tab,                  $ts-current-sctau   ))        else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <!--REPORT -->
    <xsl:if test=" $log-concepts-appended = ('NOTFOUND', 'ERROR') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$log-concepts-appended = ('NOTFOUND', 'ERROR')">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Route-Defn): The AppendLog function returned '<xsl:text /><xsl:value-of select="$log-concepts-appended" /><xsl:text />' when requested to append the concepts log
		'<xsl:text /><xsl:value-of select="$log-concepts-name" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-route-5) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-a = '') and not($valid-route-5)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Route-Defn): An unexpected problem occurred when assessing the value of the Route
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. The application of regular expressions resulted in the complete loss of text.
		Report the information below to the Australian Digital Health Agency for investigation.

		der-text-1 '<xsl:text /><xsl:value-of select="normalize-space(dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'))" /><xsl:text />'.
		der-text-2a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-2a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-a, $term-pattern-replacement, 'ic')" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingV-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingV-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Route-Defn): An error was reported when accessing the terminology server when assessing the Route data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		Report the issue to the Australian Digital Health Agency for investigation stating the error was recorded for error-usingV-2.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-7 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-7">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Route-Defn): An error was reported when accessing the terminology server when assessing the Route data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term:
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The analysis should be retried as the terminology server may have been temporarily unavailable.
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation, stating that the error was found by
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'error-usingTS-1' else if ($error-usingTS-2) then 'error-usingTS-2'   else if ($error-usingTS-3) then 'error-usingTS-3' else if ($error-usingTS-4) then 'error-usingTS-4'   else if ($error-usingTS-5) then 'error-usingTS-5' else if ($error-usingTS-6) then 'error-usingTS-6'   else 'error-usingTS-7' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $codes-not-found">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Route '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to describe the path or channel by which the substance or agent         is introduced or gains access into a person''s body.         (See section 3.16 of the eHealth Prescription Record Structured Content Specification v1.0.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         Prescription Item (MEDICATION INSTRUCTION) section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$codes-in-other-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$codes-in-other-domain">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Route '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value does not seem to be applicable for the data element.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to describe the path or channel by which the substance or agent         is introduced or gains access into a person''s body.         (See section 3.16 of the eHealth Prescription Record Structured Content Specification v1.0.)')" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Route
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to describe the path or channel by which the substance or agent         is introduced or gains access into a person''s body.         (See section 3.16 of the eHealth Prescription Record Structured Content Specification v1.0.)'))" /><xsl:text />
		The Route data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Route
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to describe the path or channel by which the substance or agent         is introduced or gains access into a person''s body.         (See section 3.16 of the eHealth Prescription Record Structured Content Specification v1.0.)'))" /><xsl:text />
		The Route data element must have a value that is consistent with this definition. Alternatively if there is no Route data element with a proper value then an exclusion
		statement must be included to state why there is no Route. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4')    then concat('Text such as ''', dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'), ''' may be permitted in the narrative even though the Route data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Route
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to describe the path or channel by which the substance or agent         is introduced or gains access into a person''s body.         (See section 3.16 of the eHealth Prescription Record Structured Content Specification v1.0.)'))" /><xsl:text />
		The Route data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($der-text-non-value) and $der-invalid-text ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($der-text-non-value) and $der-invalid-text">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Route '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid. <xsl:text /><xsl:value-of select="$defn-invalid-rsn" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to describe the path or channel by which the substance or agent         is introduced or gains access into a person''s body.         (See section 3.16 of the eHealth Prescription Record Structured Content Specification v1.0.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $invalid-route and not($error-usingTS-7) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$invalid-route and not($error-usingTS-7)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Route '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid
		<xsl:text /><xsl:value-of select="if (exists($invalid-route-codes-h)) then concat(' as it describes ', string-join(distinct-values(for $code in tokenize(replace(   dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat('(', string-join(for $code in $invalid-route-codes-h return concat('&gt;&gt;', $code), ' OR '), ') AND (',    string-join(for $hierarchy in $cd-definitions/route/route-invalid/hierarchy return $hierarchy/@code, ' OR '), ')'), '',    string(count($invalid-route-codes-h)), true()), '(\[.*?\])(\||$)', '$2'), '\|')    return $cd-definitions/route/route-invalid/hierarchy[@code = $code]/@description)[position() = (1 to 2)], ' and '), '.')    else if (exists($invalid-route-codes-r)) then concat(' as it describes ', string-join(distinct-values(for $code in $invalid-route-codes-r return   $cd-definitions/route/route-invalid/refset[index-of(for $x in (for $refset in $cd-definitions/route/route-invalid/refset return    dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat($code, ' AND ^', $refset/@code), '', '1', true()), '|') return matches($x, '^[0-9]'), true())[1]]/@description), ' and '), '.')   else '.'" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to describe the path or channel by which the substance or agent         is introduced or gains access into a person''s body.         (See section 3.16 of the eHealth Prescription Record Structured Content Specification v1.0.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable outside the applicable value domain): The Route
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following codes were obtained and are not in the value domain: <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-Route-Defn): The Route '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU and no associated code was found in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists(($der-NAF-active-codes, $undetermined-NAF-active-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists(($der-NAF-active-codes, $undetermined-NAF-active-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-Route-Defn): The Route '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-active-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU but it was not found with this status in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.
		<xsl:text /><xsl:value-of select="if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $valid-route-1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $valid-route-1">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable within the value domain): The Route
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which matches one of the terms listed in Knowledge.xml for the Route.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (concept is codeable within the value domain): The Route
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a valid value for the Route.
		SNOMED CT-AU codes that matched the concept are: '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-route-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-route-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-57: The Route '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The text used to match regular expression (der-text-2) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to match non-values (der-text-to-match) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-to-match, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to derive a code (der-text) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The SNOMED CT-AU version used to find codes is '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' and the maximum code number is '<xsl:text /><xsl:value-of select="$max-code-number" /><xsl:text />'.

		Codes for related terms (related-terms-2): '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($related-terms-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes for related terms (der-valid-codes-1): 
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-1, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-route-codes-2) returned by the terminology server that match the text:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-route-codes-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes from related terms or the terminology server (der-valid-codes-2):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-2, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-inactive-codes-3) returned from the Validator's database associated with inactive codes:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-inactive-codes-3, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes found after examining inactive codes (der-valid-codes-3):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-3, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Members of invalid reference sets (invalid-route-codes-r): '<xsl:text /><xsl:value-of select="$display-in-other-r" /><xsl:text />'.
		Members of invalid code hierarchies (invalid-route-codes-h): '<xsl:text /><xsl:value-of select="$display-in-other-h" /><xsl:text />'.

		Final set of valid codes (der-valid-codes-4):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		
		Codes whose validity has not been determined (der-body-codes-5):  <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.
		Codes whose validity has not been determined and are inactive with no associated code (undetermined-NAF): '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(    string-join($undetermined-NAF, ''', '''), $markup-pattern-replacement, 'ic')" /><xsl:text />'.

		Will the value of the data element be trusted (der-trusted-text)? '<xsl:text /><xsl:value-of select="$der-trusted-text" /><xsl:text />'.
		
	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and $codes-not-found">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept not codeable): The Route '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($avoid-ts) then 'The terminology server was not used to assist with finding codes corresponding to text in the data element. ' else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M825" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M825" />
  <xsl:template match="@*|node()" priority="-2" mode="M825">
    <xsl:apply-templates select="@*|*" mode="M825" />
  </xsl:template>
  <!--PATTERN p-TS-PresItem-CodeableText-14-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//cda:section   [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/   cda:entry/cda:substanceAdministration/cda:routeCode[(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M826">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//cda:section   [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/   cda:entry/cda:substanceAdministration/cda:routeCode[(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Route '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Route
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Route
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Route
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Route
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Route has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Route data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Route
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Route data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Route
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Route data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Route
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Route data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Route
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Route
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Route data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Route
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Route data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Route
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Route
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Route data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Route
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Route data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Route
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Route
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M826" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M826" />
  <xsl:template match="@*|node()" priority="-2" mode="M826">
    <xsl:apply-templates select="@*|*" mode="M826" />
  </xsl:template>
  <!--PATTERN p-TS-PresItem-CodeableText-15-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flags/@report-data = 'true' and '102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16692.179.1.2']]/cda:reference[@typeCode] " priority="1000" mode="M827">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flags/@report-data = 'true' and '102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16692.179.1.2']]/cda:reference[@typeCode] " />
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data = 'true' and @typeCode ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data = 'true' and @typeCode">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Prescription Record Link Role '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and is mapped to the typeCode attribute which has the value '<xsl:text /><xsl:value-of select="@typeCode" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M827" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M827" />
  <xsl:template match="@*|node()" priority="-2" mode="M827">
    <xsl:apply-templates select="@*|*" mode="M827" />
  </xsl:template>
  <!--PATTERN p-TS-PresItem-DateTime-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/   cda:observation[cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '103.10104']]/cda:effectiveTime " priority="1000" mode="M828">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/   cda:observation[cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '103.10104']]/cda:effectiveTime " />
    <xsl:variable name="allow-ivl-ts" select="if (not(@xsi:type)) then false() else /cda:ClinicalDocument       [cda:templateId[(@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')  or         (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or         (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) ]]   and        local-name(.) = 'value'             and        ..[local-name(.) = 'observation' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]   and       ../..[local-name(.) = 'entryRelationship' and @typeCode='SUBJ']        and       ../../..[local-name(.) = 'observation' and cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]  and       ../../../..[local-name(.) = 'entry']            and       ../../../../..[local-name(.) = 'section' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]  " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-18" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-18 else $rating-alt-TC-Types-18 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-18: The DateTime Prescription Expires '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data
		type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime',            'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime', 'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: The DateTime Prescription Expires

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type but it does not meet the requirement to have the xsi:type attribute with the value 'TS'.
		(See section 8.6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the DateTime Prescription Expires '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was
		found. This may be corrected by using an xsi:type attribute with the value 'TS'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the DateTime Prescription Expires '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		This may be corrected by using an xsi:type attribute with the value 'TS'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the DateTime Prescription Expires '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7
		'TS' data type to have a value attribute if there is no nullFlavor
		attribute. (See section 7.8.13.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange')

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the DateTime Prescription Expires '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7 'TS' data type to have a value attribute if there is no nullFlavor
		attribute. The element has a '<xsl:text /><xsl:value-of select="local-name(*[local-name(.) = ('low', 'high')])" /><xsl:text />' child element with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		which is not one of the elements used for the HL7 'TS'
		data type. (See section 7.8.13 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the DateTime Prescription Expires
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		is present. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the DateTime Prescription Expires
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' was found. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the DateTime Prescription Expires
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the DateTime Prescription Expires
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@value) and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@value) and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to the Structured Content Specification the DateTime Prescription Expires
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (uncoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include
		nullFlavor 'UNC'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M828" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M828" />
  <xsl:template match="@*|node()" priority="-2" mode="M828">
    <xsl:apply-templates select="@*|*" mode="M828" />
  </xsl:template>
  <!--PATTERN p-TS-PresItem-DateTime-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/   cda:observation[cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '103.10104']]/cda:effectiveTime    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))] " priority="1000" mode="M829">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/   cda:observation[cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '103.10104']]/cda:effectiveTime    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="fir-narrative" select="translate(normalize-space(lower-case(string($fir-narr-node))), $chars-to-remove, '')" />
    <xsl:variable name="sec-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)        then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]        else () " />
    <xsl:variable name="sec-narr-node" select="$sec-section/cda:text " />
    <xsl:variable name="narr-text-el" select="(for $text in ($fir-narr-node//text(), $sec-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="sec-narrative" select="translate(normalize-space(lower-case(string($sec-narr-node))), $chars-to-remove, '') " />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="narrative" select="concat($target-title, $fir-narrative, $sec-narrative)" />
    <xsl:variable name="narr-elements" select="$fir-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ]  |             $sec-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ] " />
    <xsl:variable name="narr-lower-case" select="for $i in (1 to count($narr-elements)) return lower-case(normalize-space(string-join($narr-elements[$i]/text(), '')))  " />
    <xsl:variable name="dt-narr-elements" select="$narr-lower-case[matches(., $regex-date-type-1, 'i') or matches(., $regex-date-type-2, 'i') or matches(., $regex-date-type-3, 'i')] " />
    <xsl:variable name="narr-elements-start" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-before($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-before($dt-narr-elements[$i], ' -'))        else $dt-narr-elements[$i])[. != ''] " />
    <xsl:variable name="narr-elements-end" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-after($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-after($dt-narr-elements[$i], ' -'))        else '')[. != ''] " />
    <xsl:variable name="narr-dateTimes" select="distinct-values(($narr-elements-start , $narr-elements-end))[. != '(ongoing)'] " />
    <xsl:variable name="dt-value" select="if (@value) then @value else '' " />
    <xsl:variable name="no-time-zone" select="if (contains($dt-value, '+')) then substring-before($dt-value, '+')       else if (contains($dt-value, '-')) then substring-before($dt-value, '-')       else $dt-value " />
    <xsl:variable name="dateTime-length" select="string-length($no-time-zone) " />
    <xsl:variable name="year" select="if ($dateTime-length &gt; 3) then substring($no-time-zone,1,4) else '' " />
    <xsl:variable name="month-num" select="if ($dateTime-length &gt; 5) then substring($no-time-zone,5,2) else '' " />
    <xsl:variable name="day" select="if ($dateTime-length &gt; 7 and substring($no-time-zone,7,1) = '0') then substring($no-time-zone,8,1)       else if ($dateTime-length &gt; 7 and substring($no-time-zone,7,1) != '0') then substring($no-time-zone,7,2) else '' " />
    <xsl:variable name="hour-long" select="if ($dateTime-length &gt; 9) then substring($no-time-zone,9,2) else '' " />
    <xsl:variable name="hour-short" select="if (substring($hour-long, 1, 1) = '0') then substring($hour-long, 2, 1) else '' " />
    <xsl:variable name="minute" select="if ($dateTime-length &gt; 11) then substring($no-time-zone,11,2) else '' " />
    <xsl:variable name="second" select="if ($dateTime-length &gt; 13) then substring($no-time-zone,13,2) else '' " />
    <xsl:variable name="time-zone" select="if (contains($dt-value, '+')) then concat('\+', substring-after($dt-value, '+'))       else if (contains($dt-value, '-')) then concat('\-', substring-after($dt-value, '-'))       else '' " />
    <xsl:variable name="month-short" select="if ($month-num = '01') then 'jan'  else             if ($month-num = '02') then 'feb'  else             if ($month-num = '03') then 'mar'  else             if ($month-num = '04') then 'apr'  else             if ($month-num = '05') then 'may'  else             if ($month-num = '06') then 'jun'  else             if ($month-num = '07') then 'jul'  else             if ($month-num = '08') then 'aug'  else             if ($month-num = '09') then 'sep'  else             if ($month-num = '10') then 'oct'  else             if ($month-num = '11') then 'nov'  else             if ($month-num = '12') then 'dec'  else '' " />
    <xsl:variable name="month-long" select="if ($month-num = '01') then 'january'  else             if ($month-num = '02') then 'february'  else             if ($month-num = '03') then 'march'  else             if ($month-num = '04') then 'april'  else             if ($month-num = '05') then 'may'  else             if ($month-num = '06') then 'june'  else             if ($month-num = '07') then 'july'  else             if ($month-num = '08') then 'august'  else             if ($month-num = '09') then 'september'  else             if ($month-num = '10') then 'october'  else             if ($month-num = '11') then 'november'  else             if ($month-num = '12') then 'december'  else '' " />
    <xsl:variable name="date-type-3-day" select="if (string-length($day) = 1) then concat('0{0,1}', $day) else $day " />
    <xsl:variable name="date-type-3-month" select="if (string-length($month-num) = 1) then concat('0{0,1}', $month-num)        else if (substring($month-num, 1, 1) = '0') then concat('0{0,1}', substring($month-num, 2, 1))         else $month-num " />
    <xsl:variable name="dt-sequence-1" select="if ($dateTime-length = 4) then (         concat('^', $dt-value)         ,          concat('^', $year)         )        else if ($dateTime-length = 6) then (         concat('^', $dt-value)         ,         concat('^', $month-short, $date-sep, $year)      ,          concat('^', $month-long, $date-sep, $year)      )        else if ($dateTime-length &gt; 7) then (         concat('^', $dt-value)         ,         concat('^', $date-type-3-day, $date-sep, $month-short, $date-sep, $year)  ,         concat('^', $date-type-3-day, $date-sep, $month-long, $date-sep, $year)   ,         concat('^', $date-type-3-day, '/', $date-type-3-month, '/', $year)   )        else () " />
    <xsl:variable name="matching-seq-1" select="if (exists($dt-sequence-1))        then index-of(for $i in (1 to count($dt-sequence-1)) return exists($narr-dateTimes[matches(., $dt-sequence-1[$i], 'i')]), true())        else () " />
    <xsl:variable name="dt-stem-1" select="for $i in (1 to count($matching-seq-1)) return $dt-sequence-1[$matching-seq-1[$i]] " />
    <xsl:variable name="dt-regex-1" select="if (exists($dt-stem-1)) then concat('(', string-join($dt-stem-1, '$)|('), '$)') else ()" />
    <xsl:variable name="dt-match-1" select="exists($dt-stem-1) and exists($narr-dateTimes[matches(., $dt-regex-1, 'i')])" />
    <xsl:variable name="time-1" select="if ($dateTime-length &gt; 11 and $hour-short != '') then concat($hour-short, ':', $minute, '( *| *am)') else '' " />
    <xsl:variable name="time-2" select="if ($dateTime-length &gt; 13 and $hour-short != '') then concat($hour-short, ':', $minute, ':', $second, '( *| *am)') else '' " />
    <xsl:variable name="time-3" select="if ($dateTime-length &gt; 11 and number($hour-long) &lt; 12) then concat($hour-long, ':', $minute, '( *| *am)')       else if ($dateTime-length &gt; 11) then concat($hour-long, ':', $minute) else '' " />
    <xsl:variable name="time-4" select="if ($dateTime-length &gt; 13 and number($hour-long) &lt; 12) then concat($hour-long, ':', $minute, ':', $second, '( *| *am)')        else if ($dateTime-length &gt; 13) then concat($hour-long, ':', $minute, ':', $second) else '' " />
    <xsl:variable name="time-5" select="if ($dateTime-length &gt; 11 and number($hour-long) &gt; 12) then concat(string(number($hour-long) - 12), ':', $minute, '( *| *pm)') else '' " />
    <xsl:variable name="time-6" select="if ($dateTime-length &gt; 13 and number($hour-long) &gt; 12) then concat(string(number($hour-long) - 12), ':', $minute, ':', $second, '( *| *pm)') else '' " />
    <xsl:variable name="dt-temp-0" select="if (exists($dt-stem-1) and $dateTime-length = 8) then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $narr-time-regex) else () " />
    <xsl:variable name="dt-temp-1" select="if (exists($dt-stem-1) and $time-1 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-1) else () " />
    <xsl:variable name="dt-temp-2" select="if (exists($dt-stem-1) and $time-2 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-2) else () " />
    <xsl:variable name="dt-temp-3" select="if (exists($dt-stem-1) and $time-3 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-3) else () " />
    <xsl:variable name="dt-temp-4" select="if (exists($dt-stem-1) and $time-4 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-4) else () " />
    <xsl:variable name="dt-temp-5" select="if (exists($dt-stem-1) and $time-5 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-5) else () " />
    <xsl:variable name="dt-temp-6" select="if (exists($dt-stem-1) and $time-6 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-6) else () " />
    <xsl:variable name="dt-sequence-2" select="($dt-temp-0, $dt-temp-1, $dt-temp-2, $dt-temp-3, $dt-temp-4, $dt-temp-5, $dt-temp-6)" />
    <xsl:variable name="matching-seq-2" select="if (exists($dt-sequence-2))        then index-of(for $i in (1 to count($dt-sequence-2)) return exists($narr-dateTimes[matches(., $dt-sequence-2[$i], 'i')]), true())        else () " />
    <xsl:variable name="dt-stem-2" select="for $i in (1 to count($matching-seq-2)) return $dt-sequence-2[$matching-seq-2[$i]] " />
    <xsl:variable name="dt-regex-2" select="if (exists($dt-stem-2)) then concat('(', string-join($dt-stem-2, '$)|('), '$)') else '' " />
    <xsl:variable name="dt-match-2" select="(exists($dt-stem-2) and exists($narr-dateTimes[matches(., $dt-regex-2, 'i')])) " />
    <xsl:variable name="dt-sequence-3" select="if (not($dt-match-2) and exists($dt-stem-2) and $time-zone != '') then for $i in (1 to count($dt-stem-2)) return        concat($dt-stem-2[$i], substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2)) else () " />
    <xsl:variable name="dt-regex-3" select="if ($dt-match-2) then '' else if (exists($dt-sequence-3)) then concat('(', string-join($dt-sequence-3, '$)|('), '$)') else '' " />
    <xsl:variable name="dt-match-3" select="($dt-match-2 or (exists($dt-sequence-3) and exists($narr-dateTimes[matches(., $dt-regex-3, 'i')]))) " />
    <xsl:variable name="narr-match" select="if ($dt-value != '' and not(exists($narr-dateTimes))) then      (       contains($narrative, $dt-value)               or       (string-length($dt-value) = 4 and contains($narrative, $year))            or        (string-length($dt-value) = 6 and contains($narrative, concat($month-short, $year)))          or       (string-length($dt-value) &gt; 7 and starts-with($day, '0') and        (contains($narrative, concat(substring($day,2,1), $month-short, $year)) or         contains($narrative, concat(substring($day,2,1), $month-num, $year))))          or       (string-length($dt-value) &gt; 7 and (contains($narrative, concat($day, $month-short, $year)) or contains($narrative, concat($day, $month-num, $year))))        )       else false() " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($fir-narr-node//cda:renderMultiMedia) or exists($sec-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($fir-narr-node//cda:linkHtml) or exists($sec-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="warning-1" select="exists($dt-sequence-1) and exists($narr-dateTimes) and $dt-match-1 and not($dt-match-3) and $dt-value != '' " />
    <xsl:variable name="error-1" select="$warning-1 and not($multimedia) " />
    <xsl:variable name="warning-2" select="exists($dt-sequence-1) and exists($narr-dateTimes) and not($dt-match-1 or $dt-match-3) and $dt-value != '' " />
    <xsl:variable name="error-2a" select="$warning-2 and not($multimedia) and $time-zone != '' and count($narr-dateTimes) =        count(for $dt in $narr-dateTimes return replace(replace($dt, $regex-date-type-1, ''), $regex-date-type-2, '')       [matches(., concat('^\s*([0-9]{1,2}:{1}[0-9]{2}\s*', substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2),         '|[0-9]{1,2}:{1}[0-9]{2}:{1}[0-9]{2}\s*', substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2), ')\s*$'), 'i')]) " />
    <xsl:variable name="error-2b" select="$warning-2 and not($dt-match-1) and not($multimedia) and count($narr-dateTimes[matches(., $regex-date-type-2, 'i')]) =        count($narr-dateTimes[matches(., concat($regex-date-type-2, ' ', $narr-time-regex, '$'), 'i')]) " />
    <xsl:variable name="error-2c" select="$warning-2 and exists($narr-dateTimes[matches(., concat('^', $year, '$'))]) " />
    <xsl:variable name="error-2" select="$error-2a or $error-2b or $error-2c " />
    <xsl:variable name="warning-3" select="$dt-value != '' and not(exists($narr-dateTimes)) and not($narr-match) " />
    <xsl:variable name="error-3" select="$warning-3 and not($multimedia) and not(contains($narrative, substring($year, 3, 2)))" />
    <xsl:variable name="narr-dt-msg" select="if ($multimedia or $no-content) then ''       else if (not(exists($narr-dateTimes))) then concat(' The narrative of the ', iq:location(., ''), ' contains no dateTime elements.')       else if (count($narr-dateTimes) = 1) then concat(' The only dateTime element in the narrative of the ', iq:location(., ''), ' is ''',         dh:XQueryRecursiveReplace($narr-dateTimes[1], '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), '''.')       else concat(' The distinct dateTime elements in the narrative of the ', iq:location(., ''), ' are ''',         string-join(for $dt in $narr-dateTimes return          dh:XQueryRecursiveReplace($dt, '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), ', '), '''.') " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-4" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-4 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and exists($dt-sequence-1) and $dt-value != '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and exists($dt-sequence-1) and $dt-value != ''">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 4: The dateTime element in the structured data is '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'.
		The number of dateTime elements that have been extracted from the narrative is '<xsl:text /><xsl:value-of select="count($narr-dateTimes)" /><xsl:text />'.
		These are '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-dateTimes, ', '), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The initial regular expressions are '<xsl:text /><xsl:value-of select="string-join($dt-sequence-1, ', ')" /><xsl:text />'.
		The items in dt-stem-1 are: '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($dt-stem-1, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The items in dt-sequence-2 are: '<xsl:text /><xsl:value-of select="string-join($dt-sequence-2, '|')" /><xsl:text />'.
		The items in dt-stem-2 are: '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($dt-stem-2, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The three regular expressions used to perform an exact match for narrative dateTime elements are as follows:
		dt-regex-1='<xsl:text /><xsl:value-of select="$dt-regex-1" /><xsl:text />'; dt-regex-2='<xsl:text /><xsl:value-of select="$dt-regex-2" /><xsl:text />'; and dt-regex-3='<xsl:text /><xsl:value-of select="$dt-regex-3" /><xsl:text />'.
		Was a match found after the first regular expression (with just a date) was created? <xsl:text /><xsl:value-of select="$dt-match-1" /><xsl:text />.		
		<xsl:text /><xsl:value-of select="if ($dt-regex-2 = '') then 'The second regular expression was not applied as there is no time information.'    else concat('Was a match found after the second regular expression (with a date and time) was created? ', $dt-match-2, '.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($dt-regex-3 = '') then ' The third regular expression was not applied as there is no timezone information.'    else concat(' Was a match found after the third regular expression (with a date and time) was created? ', $dt-match-3, '.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $warning-1 and not($error-1 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $warning-1 and not($error-1 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime Prescription Expires 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The DateTime Prescription Expires data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $error-1 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $error-1 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime Prescription Expires 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. The DateTime Prescription Expires data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $error-1 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $error-1 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime Prescription Expires 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. The DateTime Prescription Expires data element records clinical information and all clinical information in entry elements must be present in the narrative.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $warning-2 and not($error-2 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$warning-2 and not($error-2 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime Prescription Expires 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The DateTime Prescription Expires data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-2 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-2 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime Prescription Expires 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="if ($error-2c) then concat('The narrative contains a date with the same year ''', $year, ''' but without a month or day.') else '' " /><xsl:text />
		The DateTime Prescription Expires data element records clinical information and all clinical information in entry elements must be present in the narrative.
		<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-2 and not($no-content) and not(true())">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-2 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime Prescription Expires 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="if ($error-2c) then concat('The narrative contains a date with the same year ''', $year, ''' but without a month or day.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $warning-3 and not($error-3 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$warning-3 and not($error-3 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime Prescription Expires 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The DateTime Prescription Expires data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $dt-value != '' and not($narr-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $dt-value != '' and not($narr-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime Prescription Expires 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $dt-value != '' and not($narr-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $dt-value != '' and not($narr-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime Prescription Expires '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The DateTime Prescription Expires data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-3 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-3 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime Prescription Expires '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The DateTime Prescription Expires data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-3 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-3 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime Prescription Expires '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The DateTime Prescription Expires '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M829" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M829" />
  <xsl:template match="@*|node()" priority="-2" mode="M829">
    <xsl:apply-templates select="@*|*" mode="M829" />
  </xsl:template>
  <!--PATTERN p-TS-PresItem-DateTime-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:author/cda:time " priority="1000" mode="M830">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:author/cda:time " />
    <xsl:variable name="allow-ivl-ts" select="if (not(@xsi:type)) then false() else /cda:ClinicalDocument       [cda:templateId[(@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')  or         (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or         (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) ]]   and        local-name(.) = 'value'             and        ..[local-name(.) = 'observation' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]   and       ../..[local-name(.) = 'entryRelationship' and @typeCode='SUBJ']        and       ../../..[local-name(.) = 'observation' and cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]  and       ../../../..[local-name(.) = 'entry']            and       ../../../../..[local-name(.) = 'section' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]  " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-18" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-18 else $rating-alt-TC-Types-18 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-18: The DateTime Prescription Written '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data
		type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime',            'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime', 'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: The DateTime Prescription Written

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type but it does not meet the requirement to have the xsi:type attribute with the value 'TS'.
		(See section 8.6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the DateTime Prescription Written '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was
		found. This may be corrected by using an xsi:type attribute with the value 'TS'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the DateTime Prescription Written '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		This may be corrected by using an xsi:type attribute with the value 'TS'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the DateTime Prescription Written '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7
		'TS' data type to have a value attribute if there is no nullFlavor
		attribute. (See section 7.8.13.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange')

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the DateTime Prescription Written '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7 'TS' data type to have a value attribute if there is no nullFlavor
		attribute. The element has a '<xsl:text /><xsl:value-of select="local-name(*[local-name(.) = ('low', 'high')])" /><xsl:text />' child element with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		which is not one of the elements used for the HL7 'TS'
		data type. (See section 7.8.13 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the DateTime Prescription Written
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		is present. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the DateTime Prescription Written
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' was found. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the DateTime Prescription Written
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the DateTime Prescription Written
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@value) and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@value) and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to the Structured Content Specification the DateTime Prescription Written
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (uncoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include
		nullFlavor 'UNC'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M830" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M830" />
  <xsl:template match="@*|node()" priority="-2" mode="M830">
    <xsl:apply-templates select="@*|*" mode="M830" />
  </xsl:template>
  <!--PATTERN p-TS-PresItem-DateTime-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:author/cda:time    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))] " priority="1000" mode="M831">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:author/cda:time    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="fir-narrative" select="translate(normalize-space(lower-case(string($fir-narr-node))), $chars-to-remove, '')" />
    <xsl:variable name="sec-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)        then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]        else () " />
    <xsl:variable name="sec-narr-node" select="$sec-section/cda:text " />
    <xsl:variable name="narr-text-el" select="(for $text in ($fir-narr-node//text(), $sec-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="sec-narrative" select="translate(normalize-space(lower-case(string($sec-narr-node))), $chars-to-remove, '') " />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="narrative" select="concat($target-title, $fir-narrative, $sec-narrative)" />
    <xsl:variable name="narr-elements" select="$fir-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ]  |             $sec-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ] " />
    <xsl:variable name="narr-lower-case" select="for $i in (1 to count($narr-elements)) return lower-case(normalize-space(string-join($narr-elements[$i]/text(), '')))  " />
    <xsl:variable name="dt-narr-elements" select="$narr-lower-case[matches(., $regex-date-type-1, 'i') or matches(., $regex-date-type-2, 'i') or matches(., $regex-date-type-3, 'i')] " />
    <xsl:variable name="narr-elements-start" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-before($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-before($dt-narr-elements[$i], ' -'))        else $dt-narr-elements[$i])[. != ''] " />
    <xsl:variable name="narr-elements-end" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-after($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-after($dt-narr-elements[$i], ' -'))        else '')[. != ''] " />
    <xsl:variable name="narr-dateTimes" select="distinct-values(($narr-elements-start , $narr-elements-end))[. != '(ongoing)'] " />
    <xsl:variable name="dt-value" select="if (@value) then @value else '' " />
    <xsl:variable name="no-time-zone" select="if (contains($dt-value, '+')) then substring-before($dt-value, '+')       else if (contains($dt-value, '-')) then substring-before($dt-value, '-')       else $dt-value " />
    <xsl:variable name="dateTime-length" select="string-length($no-time-zone) " />
    <xsl:variable name="year" select="if ($dateTime-length &gt; 3) then substring($no-time-zone,1,4) else '' " />
    <xsl:variable name="month-num" select="if ($dateTime-length &gt; 5) then substring($no-time-zone,5,2) else '' " />
    <xsl:variable name="day" select="if ($dateTime-length &gt; 7 and substring($no-time-zone,7,1) = '0') then substring($no-time-zone,8,1)       else if ($dateTime-length &gt; 7 and substring($no-time-zone,7,1) != '0') then substring($no-time-zone,7,2) else '' " />
    <xsl:variable name="hour-long" select="if ($dateTime-length &gt; 9) then substring($no-time-zone,9,2) else '' " />
    <xsl:variable name="hour-short" select="if (substring($hour-long, 1, 1) = '0') then substring($hour-long, 2, 1) else '' " />
    <xsl:variable name="minute" select="if ($dateTime-length &gt; 11) then substring($no-time-zone,11,2) else '' " />
    <xsl:variable name="second" select="if ($dateTime-length &gt; 13) then substring($no-time-zone,13,2) else '' " />
    <xsl:variable name="time-zone" select="if (contains($dt-value, '+')) then concat('\+', substring-after($dt-value, '+'))       else if (contains($dt-value, '-')) then concat('\-', substring-after($dt-value, '-'))       else '' " />
    <xsl:variable name="month-short" select="if ($month-num = '01') then 'jan'  else             if ($month-num = '02') then 'feb'  else             if ($month-num = '03') then 'mar'  else             if ($month-num = '04') then 'apr'  else             if ($month-num = '05') then 'may'  else             if ($month-num = '06') then 'jun'  else             if ($month-num = '07') then 'jul'  else             if ($month-num = '08') then 'aug'  else             if ($month-num = '09') then 'sep'  else             if ($month-num = '10') then 'oct'  else             if ($month-num = '11') then 'nov'  else             if ($month-num = '12') then 'dec'  else '' " />
    <xsl:variable name="month-long" select="if ($month-num = '01') then 'january'  else             if ($month-num = '02') then 'february'  else             if ($month-num = '03') then 'march'  else             if ($month-num = '04') then 'april'  else             if ($month-num = '05') then 'may'  else             if ($month-num = '06') then 'june'  else             if ($month-num = '07') then 'july'  else             if ($month-num = '08') then 'august'  else             if ($month-num = '09') then 'september'  else             if ($month-num = '10') then 'october'  else             if ($month-num = '11') then 'november'  else             if ($month-num = '12') then 'december'  else '' " />
    <xsl:variable name="date-type-3-day" select="if (string-length($day) = 1) then concat('0{0,1}', $day) else $day " />
    <xsl:variable name="date-type-3-month" select="if (string-length($month-num) = 1) then concat('0{0,1}', $month-num)        else if (substring($month-num, 1, 1) = '0') then concat('0{0,1}', substring($month-num, 2, 1))         else $month-num " />
    <xsl:variable name="dt-sequence-1" select="if ($dateTime-length = 4) then (         concat('^', $dt-value)         ,          concat('^', $year)         )        else if ($dateTime-length = 6) then (         concat('^', $dt-value)         ,         concat('^', $month-short, $date-sep, $year)      ,          concat('^', $month-long, $date-sep, $year)      )        else if ($dateTime-length &gt; 7) then (         concat('^', $dt-value)         ,         concat('^', $date-type-3-day, $date-sep, $month-short, $date-sep, $year)  ,         concat('^', $date-type-3-day, $date-sep, $month-long, $date-sep, $year)   ,         concat('^', $date-type-3-day, '/', $date-type-3-month, '/', $year)   )        else () " />
    <xsl:variable name="matching-seq-1" select="if (exists($dt-sequence-1))        then index-of(for $i in (1 to count($dt-sequence-1)) return exists($narr-dateTimes[matches(., $dt-sequence-1[$i], 'i')]), true())        else () " />
    <xsl:variable name="dt-stem-1" select="for $i in (1 to count($matching-seq-1)) return $dt-sequence-1[$matching-seq-1[$i]] " />
    <xsl:variable name="dt-regex-1" select="if (exists($dt-stem-1)) then concat('(', string-join($dt-stem-1, '$)|('), '$)') else ()" />
    <xsl:variable name="dt-match-1" select="exists($dt-stem-1) and exists($narr-dateTimes[matches(., $dt-regex-1, 'i')])" />
    <xsl:variable name="time-1" select="if ($dateTime-length &gt; 11 and $hour-short != '') then concat($hour-short, ':', $minute, '( *| *am)') else '' " />
    <xsl:variable name="time-2" select="if ($dateTime-length &gt; 13 and $hour-short != '') then concat($hour-short, ':', $minute, ':', $second, '( *| *am)') else '' " />
    <xsl:variable name="time-3" select="if ($dateTime-length &gt; 11 and number($hour-long) &lt; 12) then concat($hour-long, ':', $minute, '( *| *am)')       else if ($dateTime-length &gt; 11) then concat($hour-long, ':', $minute) else '' " />
    <xsl:variable name="time-4" select="if ($dateTime-length &gt; 13 and number($hour-long) &lt; 12) then concat($hour-long, ':', $minute, ':', $second, '( *| *am)')        else if ($dateTime-length &gt; 13) then concat($hour-long, ':', $minute, ':', $second) else '' " />
    <xsl:variable name="time-5" select="if ($dateTime-length &gt; 11 and number($hour-long) &gt; 12) then concat(string(number($hour-long) - 12), ':', $minute, '( *| *pm)') else '' " />
    <xsl:variable name="time-6" select="if ($dateTime-length &gt; 13 and number($hour-long) &gt; 12) then concat(string(number($hour-long) - 12), ':', $minute, ':', $second, '( *| *pm)') else '' " />
    <xsl:variable name="dt-temp-0" select="if (exists($dt-stem-1) and $dateTime-length = 8) then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $narr-time-regex) else () " />
    <xsl:variable name="dt-temp-1" select="if (exists($dt-stem-1) and $time-1 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-1) else () " />
    <xsl:variable name="dt-temp-2" select="if (exists($dt-stem-1) and $time-2 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-2) else () " />
    <xsl:variable name="dt-temp-3" select="if (exists($dt-stem-1) and $time-3 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-3) else () " />
    <xsl:variable name="dt-temp-4" select="if (exists($dt-stem-1) and $time-4 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-4) else () " />
    <xsl:variable name="dt-temp-5" select="if (exists($dt-stem-1) and $time-5 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-5) else () " />
    <xsl:variable name="dt-temp-6" select="if (exists($dt-stem-1) and $time-6 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-6) else () " />
    <xsl:variable name="dt-sequence-2" select="($dt-temp-0, $dt-temp-1, $dt-temp-2, $dt-temp-3, $dt-temp-4, $dt-temp-5, $dt-temp-6)" />
    <xsl:variable name="matching-seq-2" select="if (exists($dt-sequence-2))        then index-of(for $i in (1 to count($dt-sequence-2)) return exists($narr-dateTimes[matches(., $dt-sequence-2[$i], 'i')]), true())        else () " />
    <xsl:variable name="dt-stem-2" select="for $i in (1 to count($matching-seq-2)) return $dt-sequence-2[$matching-seq-2[$i]] " />
    <xsl:variable name="dt-regex-2" select="if (exists($dt-stem-2)) then concat('(', string-join($dt-stem-2, '$)|('), '$)') else '' " />
    <xsl:variable name="dt-match-2" select="(exists($dt-stem-2) and exists($narr-dateTimes[matches(., $dt-regex-2, 'i')])) " />
    <xsl:variable name="dt-sequence-3" select="if (not($dt-match-2) and exists($dt-stem-2) and $time-zone != '') then for $i in (1 to count($dt-stem-2)) return        concat($dt-stem-2[$i], substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2)) else () " />
    <xsl:variable name="dt-regex-3" select="if ($dt-match-2) then '' else if (exists($dt-sequence-3)) then concat('(', string-join($dt-sequence-3, '$)|('), '$)') else '' " />
    <xsl:variable name="dt-match-3" select="($dt-match-2 or (exists($dt-sequence-3) and exists($narr-dateTimes[matches(., $dt-regex-3, 'i')]))) " />
    <xsl:variable name="narr-match" select="if ($dt-value != '' and not(exists($narr-dateTimes))) then      (       contains($narrative, $dt-value)               or       (string-length($dt-value) = 4 and contains($narrative, $year))            or        (string-length($dt-value) = 6 and contains($narrative, concat($month-short, $year)))          or       (string-length($dt-value) &gt; 7 and starts-with($day, '0') and        (contains($narrative, concat(substring($day,2,1), $month-short, $year)) or         contains($narrative, concat(substring($day,2,1), $month-num, $year))))          or       (string-length($dt-value) &gt; 7 and (contains($narrative, concat($day, $month-short, $year)) or contains($narrative, concat($day, $month-num, $year))))        )       else false() " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($fir-narr-node//cda:renderMultiMedia) or exists($sec-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($fir-narr-node//cda:linkHtml) or exists($sec-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="warning-1" select="exists($dt-sequence-1) and exists($narr-dateTimes) and $dt-match-1 and not($dt-match-3) and $dt-value != '' " />
    <xsl:variable name="error-1" select="$warning-1 and not($multimedia) " />
    <xsl:variable name="warning-2" select="exists($dt-sequence-1) and exists($narr-dateTimes) and not($dt-match-1 or $dt-match-3) and $dt-value != '' " />
    <xsl:variable name="error-2a" select="$warning-2 and not($multimedia) and $time-zone != '' and count($narr-dateTimes) =        count(for $dt in $narr-dateTimes return replace(replace($dt, $regex-date-type-1, ''), $regex-date-type-2, '')       [matches(., concat('^\s*([0-9]{1,2}:{1}[0-9]{2}\s*', substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2),         '|[0-9]{1,2}:{1}[0-9]{2}:{1}[0-9]{2}\s*', substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2), ')\s*$'), 'i')]) " />
    <xsl:variable name="error-2b" select="$warning-2 and not($dt-match-1) and not($multimedia) and count($narr-dateTimes[matches(., $regex-date-type-2, 'i')]) =        count($narr-dateTimes[matches(., concat($regex-date-type-2, ' ', $narr-time-regex, '$'), 'i')]) " />
    <xsl:variable name="error-2c" select="$warning-2 and exists($narr-dateTimes[matches(., concat('^', $year, '$'))]) " />
    <xsl:variable name="error-2" select="$error-2a or $error-2b or $error-2c " />
    <xsl:variable name="warning-3" select="$dt-value != '' and not(exists($narr-dateTimes)) and not($narr-match) " />
    <xsl:variable name="error-3" select="$warning-3 and not($multimedia) and not(contains($narrative, substring($year, 3, 2)))" />
    <xsl:variable name="narr-dt-msg" select="if ($multimedia or $no-content) then ''       else if (not(exists($narr-dateTimes))) then concat(' The narrative of the ', iq:location(., ''), ' contains no dateTime elements.')       else if (count($narr-dateTimes) = 1) then concat(' The only dateTime element in the narrative of the ', iq:location(., ''), ' is ''',         dh:XQueryRecursiveReplace($narr-dateTimes[1], '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), '''.')       else concat(' The distinct dateTime elements in the narrative of the ', iq:location(., ''), ' are ''',         string-join(for $dt in $narr-dateTimes return          dh:XQueryRecursiveReplace($dt, '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), ', '), '''.') " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-4" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-4 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and exists($dt-sequence-1) and $dt-value != '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and exists($dt-sequence-1) and $dt-value != ''">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 4: The dateTime element in the structured data is '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'.
		The number of dateTime elements that have been extracted from the narrative is '<xsl:text /><xsl:value-of select="count($narr-dateTimes)" /><xsl:text />'.
		These are '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-dateTimes, ', '), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The initial regular expressions are '<xsl:text /><xsl:value-of select="string-join($dt-sequence-1, ', ')" /><xsl:text />'.
		The items in dt-stem-1 are: '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($dt-stem-1, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The items in dt-sequence-2 are: '<xsl:text /><xsl:value-of select="string-join($dt-sequence-2, '|')" /><xsl:text />'.
		The items in dt-stem-2 are: '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($dt-stem-2, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The three regular expressions used to perform an exact match for narrative dateTime elements are as follows:
		dt-regex-1='<xsl:text /><xsl:value-of select="$dt-regex-1" /><xsl:text />'; dt-regex-2='<xsl:text /><xsl:value-of select="$dt-regex-2" /><xsl:text />'; and dt-regex-3='<xsl:text /><xsl:value-of select="$dt-regex-3" /><xsl:text />'.
		Was a match found after the first regular expression (with just a date) was created? <xsl:text /><xsl:value-of select="$dt-match-1" /><xsl:text />.		
		<xsl:text /><xsl:value-of select="if ($dt-regex-2 = '') then 'The second regular expression was not applied as there is no time information.'    else concat('Was a match found after the second regular expression (with a date and time) was created? ', $dt-match-2, '.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($dt-regex-3 = '') then ' The third regular expression was not applied as there is no timezone information.'    else concat(' Was a match found after the third regular expression (with a date and time) was created? ', $dt-match-3, '.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $warning-1 and not($error-1 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $warning-1 and not($error-1 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime Prescription Written 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The DateTime Prescription Written data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $error-1 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $error-1 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime Prescription Written 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. The DateTime Prescription Written data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $error-1 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $error-1 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime Prescription Written 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. The DateTime Prescription Written data element records clinical information and all clinical information in entry elements must be present in the narrative.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $warning-2 and not($error-2 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$warning-2 and not($error-2 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime Prescription Written 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The DateTime Prescription Written data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-2 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-2 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime Prescription Written 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="if ($error-2c) then concat('The narrative contains a date with the same year ''', $year, ''' but without a month or day.') else '' " /><xsl:text />
		The DateTime Prescription Written data element records clinical information and all clinical information in entry elements must be present in the narrative.
		<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-2 and not($no-content) and not(true())">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-2 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime Prescription Written 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="if ($error-2c) then concat('The narrative contains a date with the same year ''', $year, ''' but without a month or day.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $warning-3 and not($error-3 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$warning-3 and not($error-3 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime Prescription Written 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The DateTime Prescription Written data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $dt-value != '' and not($narr-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $dt-value != '' and not($narr-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime Prescription Written 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $dt-value != '' and not($narr-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $dt-value != '' and not($narr-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime Prescription Written '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The DateTime Prescription Written data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-3 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-3 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime Prescription Written '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The DateTime Prescription Written data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-3 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-3 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime Prescription Written '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The DateTime Prescription Written '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M831" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M831" />
  <xsl:template match="@*|node()" priority="-2" mode="M831">
    <xsl:apply-templates select="@*|*" mode="M831" />
  </xsl:template>
  <!--PATTERN p-TS-PresItem-Duration-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/cda:entryRelationship/   cda:supply/cda:effectiveTime/cda:period " priority="1000" mode="M832">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/cda:entryRelationship/   cda:supply/cda:effectiveTime/cda:period " />
    <xsl:variable name="unit" select="if (not(@unit)) then '1' else dh:XQueryRecursiveReplace(@unit, $ucum-annotation-replacement, '') " />
    <xsl:variable name="a-time-unit" select="@unit and matches($unit, $ucum-time-unit-regex) " />
    <xsl:variable name="unit-validation" select="if (@unit and not($a-time-unit)) then dh:ValidateUCUM($unit) else '' " />
    <xsl:variable name="tc-types-93-err" select="@unit and not($a-time-unit) and $unit-validation = 'INVALID' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 8.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-17" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-17 else $rating-alt-TC-Types-17 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <xsl:variable name="rating-98" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-98 else $rating-alt-TC-Types-98 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-17: The Minimum Interval Between Repeats '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Duration data type and
		<xsl:text /><xsl:value-of select="if (@value and @nullFlavor) then concat('has a value attribute with the value ''', @value, ''' and a nullFlavor attribute with the value ''', @nullFlavor, '''')   else if (@value and not(@nullFlavor)) then concat('has a value attribute with the value ''', @value, '''')   else if (not(@value) and @nullFlavor) then concat('has a nullFlavor attribute with the value ''', @nullFlavor, '''')   else 'has no value or nullFlavor attributes' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@unit = '1') then ' The unit attribute has the value ''1'' which is the default value assigned by the CDA schema'   else if (@unit) then concat(' The unit attribute has the value ''', @unit, '''') else ' There is no unit attribute' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'PQ' or normalize-space(substring-after(@xsi:type, ':')) = 'PQ') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'PQ' or normalize-space(substring-after(@xsi:type, ':')) = 'PQ')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-17" /><xsl:text />: TC-Types-17: According to the Structured Content Specification the Minimum Interval Between Repeats
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Duration data type which is
		derived from the HL7 'PQ' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present.
		(See section 8.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-17" /><xsl:text />: TC-Types-17: According to the Structured Content Specification the Minimum Interval Between Repeats
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Duration data type which is
		derived from the HL7 'PQ' data type however no xsi:type attribute is present. An xsi:type attribute must be present with the value 'PQ'.
		(See section 8.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:translation ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:translation">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-17" /><xsl:text />: TC-Types-17: According to the Structured Content Specification the Minimum Interval Between Repeats
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Duration data type which is
		derived from the HL7 'PQ' data type. The 'translation' element is present however that element must not be present in
		a data element of the Duration data type. (See section 8.5.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name(.) = 'translation')]">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name(.) = 'translation')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Minimum Interval Between Repeats
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Duration data type however a
		child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = 'translation')])" /><xsl:text />' was found
		that is not expected for the Duration data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = 'translation')]">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = 'translation')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Minimum Interval Between Repeats
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Duration data type however a
		child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = 'translation')])" /><xsl:text />' was found
		that is not expected for the Duration data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'PQ' or normalize-space(substring-after(@xsi:type, ':')) = 'PQ')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'PQ' or normalize-space(substring-after(@xsi:type, ':')) = 'PQ'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Minimum Interval Between Repeats
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Duration data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the Duration data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'PQ' or normalize-space(substring-after(@xsi:type, ':')) = 'PQ')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'PQ' or normalize-space(substring-after(@xsi:type, ':')) = 'PQ'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Minimum Interval Between Repeats
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Duration data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the Duration data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@unit and not($a-time-unit) and not($tc-types-93-err) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@unit and not($a-time-unit) and not($tc-types-93-err)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-98" /><xsl:text />: TC-Types-98: According to the Structured Content Specification the Minimum Interval Between Repeats '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Duration data type however the unit attribute has the value
		'<xsl:text /><xsl:value-of select="@unit" /><xsl:text />'<xsl:text /><xsl:value-of select="if (@unit = '1') then ' which is the default value assigned by the CDA schema.'    else if (contains($unit-validation, '|')) then '.' else if (contains($unit-validation, '~')) then concat(' which is the unit for ', substring-after($unit-validation, '~'), '.')    else '.' " /><xsl:text />
		The unit must be one of the case sensitive UCUM units for time which are listed in listed in table 5 of the UCUM specification,
		http://unitsofmeasure.org/ucum.html#para-31. (See section 7.8.10.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @value and not(@unit) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value and not(@unit)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-98" /><xsl:text />: TC-Types-98: According to the Structured Content Specification the Minimum Interval Between Repeats '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Duration data type however it
		has a 'value' attribute with the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' but no unit attribute. This fails to meet the requirement that it shall have units that describe a period of time.
		(See section 7.8.10.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to the Structured Content Specification the Minimum Interval Between Repeats '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Duration data type
		however it has nullFlavor = 'UNC' (uncoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include
		nullFlavor = 'UNC'. (See section 8.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M832" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M832" />
  <xsl:template match="@*|node()" priority="-2" mode="M832">
    <xsl:apply-templates select="@*|*" mode="M832" />
  </xsl:template>
  <!--PATTERN p-TS-PresItem-Duration-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/cda:entryRelationship/   cda:supply/cda:effectiveTime/cda:period[@unit] " priority="1000" mode="M833">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/cda:entryRelationship/   cda:supply/cda:effectiveTime/cda:period[@unit] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="narr-text-el" select="(for $text in ($target-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="a-quantity-range" select="local-name(.) = 'low' or local-name(.) = 'high' " />
    <xsl:variable name="normalised-value" select="if (@value) then replace(lower-case(@value), '\s+', '') else '' " />
    <xsl:variable name="normalised-value-regex" select="if (not(contains($normalised-value, '.'))) then concat('(', $normalised-value, '|', $normalised-value, '\.0*)')        else if (ends-with($normalised-value, '0')) then replace(replace($normalised-value, '\.', '\\.'), '0+$', '0*')        else concat(replace($normalised-value, '\.', '\\.'), '0*') " />
    <xsl:variable name="value-regex" select="if ($normalised-value = '') then ''         else concat('(^|[^0-9])', $normalised-value-regex, '([^0-9]*$|\s+.*$)') " />
    <xsl:variable name="tables" select="$target-narr-node//cda:table " />
    <xsl:variable name="table-num" select="count($tables) " />
    <xsl:variable name="value-regex-3" select="if ($normalised-value = '' or not(exists($tables))) then ''         else concat('(^|[^0-9])', $normalised-value-regex, '([^0-9]+$|\s+.+$)') " />
    <xsl:variable name="table-value-match" select="if ($normalised-value = '' or not(exists($tables))) then () else for $i in (1 to $table-num) return         if (not($tables[$i]//cda:td[matches(., $value-regex, 'is')])) then '0'        else if ($tables[$i]//cda:td[matches(., $value-regex-3, 'is')]) then '3'        else if ($tables[$i]//cda:td[replace(lower-case(.), '\s+', '') = $normalised-value]) then '2'        else '1' " />
    <xsl:variable name="unit-1" select="dh:XQueryRecursiveReplace(@unit, $ucum-annotation-replacement, '')" />
    <xsl:variable name="unit-2" select="if ($a-quantity-range) then dh:XQueryRecursiveReplace(../@unit, $ucum-annotation-replacement, '') else '' " />
    <xsl:variable name="unit" select="if (not($a-quantity-range) or $unit-2 = '') then $unit-1        else if ($unit-1 = '1' and $unit-2 != '1') then $unit-2         else $unit-1 " />
    <xsl:variable name="normalised-unit" select="replace(lower-case($unit), '\s+', '') " />
    <xsl:variable name="unit-validation" select="if ($unit = '1' or exists($UCUM/unit[@value = $normalised-unit])) then '' else dh:ValidateUCUM($unit) " />
    <xsl:variable name="unit-name" select="if (exists($UCUM/unit[@value = $normalised-unit])) then $UCUM/unit[@value = $normalised-unit]/@name else ''  " />
    <xsl:variable name="power-synonym" select="if (contains($normalised-unit, '10^')) then replace($normalised-unit, '10\^', '10*')        else if (contains($normalised-unit, '10*')) then replace($normalised-unit, '10\*', '10^')        else '' " />
    <xsl:variable name="special-unit-synonym" select="if (contains($normalised-unit, '['))         then (normalize-space(replace($normalised-unit, '[\[\]]', ' ')), normalize-space(replace($normalised-unit, '[\[\]]', ''))) else '' " />
    <xsl:variable name="apostrophe-synonym" select="for $syn in $special-unit-synonym return if (contains($syn, '''')) then normalize-space(replace($syn, '''', ' ')) else '' " />
    <xsl:variable name="unit-synonyms" select="if (exists($UCUM/unit[@value = $normalised-unit]))         then ($normalised-unit, $power-synonym, $special-unit-synonym, $apostrophe-synonym, $UCUM/unit[@value = $normalised-unit]/@name,          tokenize($UCUM/unit[@value = $normalised-unit]/@synonyms, '\|'))[. != '']        else ($normalised-unit, $power-synonym, $special-unit-synonym, $apostrophe-synonym)[. != ''] " />
    <xsl:variable name="search-terms-1" select="if ($normalised-value = '') then () else (for $synonym in $unit-synonyms return normalize-space(lower-case($synonym)))[. != ''] " />
    <xsl:variable name="search-terms-2" select="if ($normalised-value = '') then () else for $term in $search-terms-1 return         if ($term = '1') then $normalised-value else concat($normalised-value, $term) " />
    <xsl:variable name="search-regex-1" select="if ($normalised-value = '') then () else for $term in $search-terms-1 return          replace(replace(replace(replace(replace(replace(replace(replace(replace(replace($term, '\^', '\\^'), '\*', '\\*'), '\.', '\\.'), '\+', '\\+'),          '\)', '\\)'), '\(', '\\('), '\[', '\\['), '\]', '\\]'), '\{', '\\{'), '\}', '\\}') " />
    <xsl:variable name="search-regex-2" select="if ($normalised-value = '') then () else for $term in $search-regex-1 return         if (matches($term, '^10')) then concat('(', '(^|[^0-9])(', $normalised-value-regex, 'x{0,1}', $term, '|', 'x{0,1}', $term, ')([^0-9a-z]|$)',          ')|(', '(^|[^0-9])(', $normalised-value-regex, $term, '|', $term, ')([^0-9a-z]|$)', ')')         else if ($term = '1') then concat('(^|[^0-9])', $normalised-value-regex, '([^0-9]{1}.*$|$)')        else concat('(^|[^0-9])(', $normalised-value-regex, $term, '|', $term, ')([^0-9a-z]|$)') " />
    <xsl:variable name="quantity-match" select="if (not(exists($table-value-match)) or not(exists($table-value-match[. != '0']))) then (false())        else if ($unit = '1' and not($a-quantity-range)) then for $i in (1 to $table-num) return          ($table-value-match[$i] = '2' or boolean($tables[$i]//cda:td[matches(., $search-regex-2[1], 'is')]))        else if ($unit = '1' and $a-quantity-range) then for $i in (1 to $table-num) return not($table-value-match[$i] = '0')        else for $i in (1 to $table-num) return          if ($table-value-match[$i] = '0') then false()         else if ($table-value-match[$i] = '2') then           exists(index-of(for $term in $search-terms-1 return boolean($tables[$i]//cda:td[replace(lower-case(.), '\s+', '') = $term]), true()))         else exists(index-of(          for $j in (1 to count($search-terms-1)) return boolean($tables[$i]//cda:td[           replace(lower-case(.), '\s+', '') = $search-terms-1[$j]  or           replace(lower-case(.), '\s+', '') = $search-terms-2[$j]  or           matches(., $search-regex-2[$j], 'is')    ]), true())) " />
    <xsl:variable name="in-a-table" select="if ($normalised-value = '') then false() else exists(index-of($quantity-match, true())) " />
    <xsl:variable name="xpre-1" select="if ($normalised-value = '' or $in-a-table) then () else $target-narr-node//*[contains(@styleCode, 'xPre')] " />
    <xsl:variable name="xpre-num" select="count($xpre-1) " />
    <xsl:variable name="xpre-2" select="for $i in (1 to $xpre-num) return lower-case($xpre-1[$i]) " />
    <xsl:variable name="xpre-value-match" select="for $i in (1 to $xpre-num) return matches($xpre-2[$i], $value-regex, 'is') " />
    <xsl:variable name="xpre-quantity-match" select="if ($unit = '1') then ($xpre-value-match) else for $i in (1 to $xpre-num) return         $xpre-value-match[$i] and exists(index-of(for $term in $search-regex-2 return matches($xpre-2[$i], $term, 'is'), true())) " />
    <xsl:variable name="in-xpre" select="exists(index-of($xpre-quantity-match, true())) " />
    <xsl:variable name="narrative" select="if ($normalised-value = '' or $in-a-table or $in-xpre) then ''         else normalize-space(lower-case(string-join($target-narr-node//text()         [not(ancestor::cda:table or ancestor::cda:caption or contains(@styleCode, 'xPre'))], ''))) " />
    <xsl:variable name="narr-value-match" select="if ($normalised-value = '' or $in-a-table or $in-xpre) then true() else matches($narrative, $value-regex, 'is') " />
    <xsl:variable name="narr-quantity-match" select="if ($normalised-value = '' or $in-a-table or $in-xpre) then true()        else $narr-value-match and exists(index-of(for $term in $search-regex-2 return matches($narrative, $term, 'is'), true())) " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="quantity-text-1" select="if ($unit = '1') then concat('value ''', @value, '''') else concat('value ''', @value, ''' and unit ''', $unit, '''') " />
    <xsl:variable name="quantity-text" select="if ($unit-name = '') then $quantity-text-1 else concat($quantity-text-1, ' (the unit for ', $unit-name, ')') " />
    <xsl:variable name="inclusive-text" select="if ($a-quantity-range and @inclusive = 'true') then ' (the boundary is included)'        else if ($a-quantity-range and @inclusive = 'false') then ' (the boundary is not included)'        else '' " />
    <xsl:variable name="multimedia" select="exists($target-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$table-num = 0 and $xpre-num = 0 and not(exists($narr-text-el)) and not($multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-narr-node//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-6" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-6 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and @value and $table-num &gt; 0 and not($in-a-table or $in-xpre or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and @value and $table-num &gt; 0 and not($in-a-table or $in-xpre or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-PQ): The Minimum Interval Between Repeats '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text />.
		Is the quantity on the boundary of a quantity range? <xsl:text /><xsl:value-of select="$a-quantity-range" /><xsl:text /><xsl:text /><xsl:value-of select="$inclusive-text" /><xsl:text />.
		When transformed the quantity value is '<xsl:text /><xsl:value-of select="$normalised-value" /><xsl:text />'.
		The narrative contains <xsl:text /><xsl:value-of select="$table-num" /><xsl:text /><xsl:text /><xsl:value-of select="if ($table-num = 1) then ' table' else ' tables' " /><xsl:text />.
		The value regular expression value-regex is '<xsl:text /><xsl:value-of select="$value-regex" /><xsl:text />'.
		The value regular expression value-regex-3 is '<xsl:text /><xsl:value-of select="$value-regex-3" /><xsl:text />'.
		Elements of table-value-match are '<xsl:text /><xsl:value-of select="string-join($table-value-match, '|')" /><xsl:text />'.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($unit-synonyms, '|')" /><xsl:text />'.
		Elements of search-terms-1 are '<xsl:text /><xsl:value-of select="string-join($search-terms-1, '|')" /><xsl:text />'.
		Elements of search-terms-2 are '<xsl:text /><xsl:value-of select="string-join($search-terms-2, '|')" /><xsl:text />'.
		Elements of search-regex-1 are '<xsl:text /><xsl:value-of select="string-join($search-regex-1, '|')" /><xsl:text />'.
		Elements of search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($search-regex-2, '|')" /><xsl:text />'.
		Elements of quantity-match are '<xsl:text /><xsl:value-of select="string-join(for $i in (1 to count($quantity-match)) return if ($quantity-match[$i]) then '1' else '0', '|')" /><xsl:text />'.
		Was the quantity found by looking in table rows? <xsl:text /><xsl:value-of select="$in-a-table" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and @value and $xpre-num &gt; 0 and not($in-a-table or $in-xpre or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and @value and $xpre-num &gt; 0 and not($in-a-table or $in-xpre or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-PQ): The Minimum Interval Between Repeats '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text />.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($unit-synonyms, '|')" /><xsl:text />'.
		The narrative contains <xsl:text /><xsl:value-of select="$xpre-num" /><xsl:text /> elements with the xPre styleCode.
		The value regular expression value-regex is '<xsl:text /><xsl:value-of select="$value-regex" /><xsl:text />'.
		Elements of xpre-value-match are '<xsl:text /><xsl:value-of select="string-join(for $x in $xpre-value-match return if ($x) then '1' else '0', '|')" /><xsl:text />'.
		Elements of search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($search-regex-2, '|')" /><xsl:text />'.
		Elements of xpre-quantity-match are '<xsl:text /><xsl:value-of select="string-join(for $x in $xpre-quantity-match return if ($x) then '1' else '0', '|')" /><xsl:text />'.
		Was the quantity found by looking in elements with the xPre styleCode? <xsl:text /><xsl:value-of select="$in-xpre" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and @value and not($in-a-table or $narr-quantity-match or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and @value and not($in-a-table or $narr-quantity-match or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-PQ): The Minimum Interval Between Repeats '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text />.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($unit-synonyms, '|')" /><xsl:text />'.
		The value regular expression value-regex is '<xsl:text /><xsl:value-of select="$value-regex" /><xsl:text />'.
		Was the value found in the narrative? <xsl:text /><xsl:value-of select="$narr-value-match" /><xsl:text />.
		Elements of search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($search-regex-2, '|')" /><xsl:text />'.
		Was the quantity found in the narrative? <xsl:text /><xsl:value-of select="$narr-quantity-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @value and not($narr-quantity-match or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value and not($narr-quantity-match or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-6" /><xsl:text />: TC-Narr-09 step 6: The Minimum Interval Between Repeats '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text /> however the quantity does not seem to be
		present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Minimum Interval Between Repeats data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and @value and not($narr-value-match or $narr-quantity-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and @value and not($narr-value-match or $narr-quantity-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-6" /><xsl:text />: TC-Narr-09 step 6: The Minimum Interval Between Repeats '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text /> however the quantity is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and @value and not($narr-value-match or $narr-quantity-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and @value and not($narr-value-match or $narr-quantity-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-6" /><xsl:text />: TC-Narr-09 step 6: The Minimum Interval Between Repeats '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text /> however the quantity is not present in the narrative of the section.
		The Minimum Interval Between Repeats data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'QS', 'TRC', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'QS', 'TRC', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Minimum Interval Between Repeats '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M833" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M833" />
  <xsl:template match="@*|node()" priority="-2" mode="M833">
    <xsl:apply-templates select="@*|*" mode="M833" />
  </xsl:template>
  <!--PATTERN p-TS-PresItem-UniqueIdentifier-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//cda:section   [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/   cda:entry/cda:substanceAdministration/cda:consumable/cda:manufacturedProduct/cda:manufacturerOrganization/cda:id " priority="1000" mode="M834">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//cda:section   [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/   cda:entry/cda:substanceAdministration/cda:consumable/cda:manufacturedProduct/cda:manufacturerOrganization/cda:id " />
    <xsl:variable name="agency-namespace" select="@root and (matches(@root, '^1\.2\.36\.1\.2001\.1001\.10[0-4]{1}\.') or matches(@root, '^1\.2\.36\.1\.2001\.1006\.')) " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-11" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-11 else $rating-alt-TC-Types-11 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="ii-context" select="if (ancestor::cda:recordTarget and ancestor::ext:asEntityIdentifier) then 'default' else 'alternative' " />
    <xsl:variable name="rating-73" select="if ($initial-priority) then $initial-rating       else if ($ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/test-case[@id='TC-Types-73']/@rating)        then concat(' (', $ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/test-case[@id='TC-Types-73']/@rating, ')')       else if ($ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/@rating)       then concat(' (', $ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/@rating, ')')       else '' " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-11: The PBS Manufacturer Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type and has <xsl:text /><xsl:value-of select="iq:display-II(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-11" /><xsl:text />: TC-Types-11: According to the CDA Implementation Guide the PBS Manufacturer Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type which
		is derived from the HL7 'II' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present.
		(See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-11" /><xsl:text />: TC-Types-11: According to the CDA Implementation Guide the PBS Manufacturer Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type which is derived from the HL7 'II' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'II'. (See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the CDA Implementation Guide the PBS Manufacturer Code
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the UniqueIdentifier data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the CDA Implementation Guide the PBS Manufacturer Code
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the UniqueIdentifier data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and   not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the CDA Implementation Guide the PBS Manufacturer Code
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however the attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))])" /><xsl:text />' was found that is not in the list of attributes
		expected for the UniqueIdentifier data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and   not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the CDA Implementation Guide the PBS Manufacturer Code
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however the attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))])" /><xsl:text />' was found that is not in the list of attributes
		expected for the UniqueIdentifier data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $agency-namespace ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$agency-namespace">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-73" /><xsl:text />: TC-Types-73:  The PBS Manufacturer Code '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-II(.)" /><xsl:text />. The value of the root attribute identifies the
		'<xsl:text /><xsl:value-of select="$namespaces/namespace[starts-with(current()/@root, concat(@OID-prefix, '.'))]/@name" /><xsl:text />' namespace which is reserved for use by the Australian Digital Health Agency.
		The value of the root attribute must define the namespace for the extension attribute whose value is required to identify the manufacturer of the PBS item.
		(See section 7.6.7.3.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and the PBS Manufacturer Code definition in the CDA Implementation Guide.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M834" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M834" />
  <xsl:template match="@*|node()" priority="-2" mode="M834">
    <xsl:apply-templates select="@*|*" mode="M834" />
  </xsl:template>
  <!--PATTERN p-TS-PresItem-UniqueIdentifier-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//cda:section   [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/   cda:entry/cda:substanceAdministration/cda:consumable/cda:manufacturedProduct/cda:manufacturerOrganization/cda:id " priority="1000" mode="M835">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//cda:section   [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/   cda:entry/cda:substanceAdministration/cda:consumable/cda:manufacturedProduct/cda:manufacturerOrganization/cda:id " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="narr-text-el" select="(for $text in ($target-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-to-find" select="if (@extension) then matches(@extension, '[0-9a-z]', 'is') else false() " />
    <xsl:variable name="text-regex" select="if ($text-to-find) then concat('(^|\W)', dh:XQueryRecursiveReplace(@extension, $meta-pattern-with-pipe, ''), '(\W|$)') else '' " />
    <xsl:variable name="text-in-narr" select="$text-to-find and exists($narr-text-el[matches(., $text-regex, 'is')]) " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-narr-node//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-1" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-1 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 1: 
		The text that needs to be found is '<xsl:text /><xsl:value-of select="@extension" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-text-el, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		Was matching text found? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$text-to-find and not($text-in-narr or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-in-narr or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-1" /><xsl:text />: TC-Narr-09 step 1: The PBS Manufacturer Code '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has an extension attribute with the value '<xsl:text /><xsl:value-of select="@extension" /><xsl:text />' which was not found in the narrative of the
		section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The PBS Manufacturer Code data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		Confirm by manual inspection that the PBS Manufacturer Code has been listed in the narrative perhaps using other text with the same meaning.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and $no-content and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and $no-content and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-1" /><xsl:text />: TC-Narr-09 step 1: The PBS Manufacturer Code '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has an extension attribute with the value '<xsl:text /><xsl:value-of select="@extension" /><xsl:text />' which is not in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and $no-content and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and $no-content and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-1" /><xsl:text />: TC-Narr-09 step 1: The PBS Manufacturer Code '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has an extension attribute with the value '<xsl:text /><xsl:value-of select="@extension" /><xsl:text />' which is not in the narrative of the section.
		The PBS Manufacturer Code data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The PBS Manufacturer Code '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The PBS Manufacturer Code data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		Confirm by manual inspection that the PBS Manufacturer Code has been listed in the narrative perhaps using other text with the same meaning.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M835" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M835" />
  <xsl:template match="@*|node()" priority="-2" mode="M835">
    <xsl:apply-templates select="@*|*" mode="M835" />
  </xsl:template>
  <!--PATTERN p-TS-PresItem-UniqueIdentifier-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/cda:id " priority="1000" mode="M836">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/cda:id " />
    <xsl:variable name="agency-namespace" select="@root and (matches(@root, '^1\.2\.36\.1\.2001\.1001\.10[0-4]{1}\.') or matches(@root, '^1\.2\.36\.1\.2001\.1006\.')) " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-11" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-11 else $rating-alt-TC-Types-11 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="ii-context" select="if (ancestor::cda:recordTarget and ancestor::ext:asEntityIdentifier) then 'default' else 'alternative' " />
    <xsl:variable name="rating-73" select="if ($initial-priority) then $initial-rating       else if ($ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/test-case[@id='TC-Types-73']/@rating)        then concat(' (', $ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/test-case[@id='TC-Types-73']/@rating, ')')       else if ($ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/@rating)       then concat(' (', $ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/@rating, ')')       else '' " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-11: The Prescription Item Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type and has <xsl:text /><xsl:value-of select="iq:display-II(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-11" /><xsl:text />: TC-Types-11: According to the Structured Content Specification the Prescription Item Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type which
		is derived from the HL7 'II' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present.
		(See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-11" /><xsl:text />: TC-Types-11: According to the Structured Content Specification the Prescription Item Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type which is derived from the HL7 'II' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'II'. (See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Prescription Item Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the UniqueIdentifier data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Prescription Item Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the UniqueIdentifier data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and   not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Prescription Item Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however the attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))])" /><xsl:text />' was found that is not in the list of attributes
		expected for the UniqueIdentifier data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and   not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Prescription Item Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however the attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))])" /><xsl:text />' was found that is not in the list of attributes
		expected for the UniqueIdentifier data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $agency-namespace ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$agency-namespace">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-73" /><xsl:text />: TC-Types-73:  The Prescription Item Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-II(.)" /><xsl:text />. The value of the root attribute identifies the
		'<xsl:text /><xsl:value-of select="$namespaces/namespace[starts-with(current()/@root, concat(@OID-prefix, '.'))]/@name" /><xsl:text />' namespace which is reserved for use by the Australian Digital Health Agency.
		The value of the root attribute must define the namespace for the extension attribute whose value is required to identify the prescription item.
		(See section 7.6.7.3.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and the Prescription Item Identifier definition in the Structured Content Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M836" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M836" />
  <xsl:template match="@*|node()" priority="-2" mode="M836">
    <xsl:apply-templates select="@*|*" mode="M836" />
  </xsl:template>
  <!--PATTERN p-TS-PresItem-UniqueIdentifier-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$templateId-root = '1.2.36.1.2001.1001.100.1002.170' and $templateId-ext = '1.0' and    '102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/cda:id " priority="1000" mode="M837">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$templateId-root = '1.2.36.1.2001.1001.100.1002.170' and $templateId-ext = '1.0' and    '102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/cda:id " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and exists(('ALL')[. = 'ALL']) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and exists(('ALL')[. = 'ALL'])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Prescription Item Identifier data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. The Prescription Item Identifier data element is not allowed to contain a nullFlavor attribute.
		(See section 3.2.13 of the eHealth Prescription Record PCEHR Conformance Profile v1.3.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and exists(('ALL')[. = current()/@nullFlavor]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and exists(('ALL')[. = current()/@nullFlavor])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Prescription Item Identifier data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. The Prescription Item Identifier data element is not allowed to contain a nullFlavor attribute
		with this value. (See section 3.2.13 of the eHealth Prescription Record PCEHR Conformance Profile v1.3.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M837" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M837" />
  <xsl:template match="@*|node()" priority="-2" mode="M837">
    <xsl:apply-templates select="@*|*" mode="M837" />
  </xsl:template>
  <!--PATTERN p-TS-PresItem-Text-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//cda:section   [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/   cda:entry/cda:substanceAdministration/cda:entryRelationship/cda:supply/cda:entryRelationship/cda:act[   cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code= '246205007']]/cda:text " priority="1000" mode="M838">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//cda:section   [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/   cda:entry/cda:substanceAdministration/cda:entryRelationship/cda:supply/cda:entryRelationship/cda:act[   cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code= '246205007']]/cda:text " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Quantity Description
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Quantity Description 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Quantity Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Quantity Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Quantity Description however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Quantity Description in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Quantity Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Quantity Description however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Quantity Description in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Quantity Description data element with a proper value then an exclusion
		statement must be included to state why there is no Quantity Description. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Quantity Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Quantity Description however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Quantity Description in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Quantity Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Quantity Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Quantity Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Quantity Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Quantity Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Quantity Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Quantity Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Quantity Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Quantity Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Quantity Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M838" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M838" />
  <xsl:template match="@*|node()" priority="-2" mode="M838">
    <xsl:apply-templates select="@*|*" mode="M838" />
  </xsl:template>
  <!--PATTERN p-TS-PresItem-Text-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//cda:section   [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/   cda:entry/cda:substanceAdministration/cda:entryRelationship/cda:supply/cda:entryRelationship/cda:act[   cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code= '246205007']]/cda:text " priority="1000" mode="M839">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//cda:section   [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/   cda:entry/cda:substanceAdministration/cda:entryRelationship/cda:supply/cda:entryRelationship/cda:act[   cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code= '246205007']]/cda:text " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Quantity Description '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Quantity Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Quantity Description data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Quantity Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Quantity Description data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Quantity Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Quantity Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Quantity Description data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = () and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = () and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Quantity Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M839" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M839" />
  <xsl:template match="@*|node()" priority="-2" mode="M839">
    <xsl:apply-templates select="@*|*" mode="M839" />
  </xsl:template>
  <!--PATTERN p-TS-PresItem-Text-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$templateId-root = '1.2.36.1.2001.1001.100.1002.170' and $templateId-ext = '1.0' and '102.16211' = $doc-sections]/   cda:component/cda:structuredBody/cda:component//cda:section   [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/   cda:entry/cda:substanceAdministration/cda:entryRelationship/cda:supply/cda:entryRelationship/cda:act[   cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code= '246205007']]/cda:text " priority="1000" mode="M840">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$templateId-root = '1.2.36.1.2001.1001.100.1002.170' and $templateId-ext = '1.0' and '102.16211' = $doc-sections]/   cda:component/cda:structuredBody/cda:component//cda:section   [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/   cda:entry/cda:substanceAdministration/cda:entryRelationship/cda:supply/cda:entryRelationship/cda:act[   cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code= '246205007']]/cda:text " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and exists(('ALL')[. = 'ALL']) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and exists(('ALL')[. = 'ALL'])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Quantity Description data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. The Quantity Description data element is not allowed to contain a nullFlavor attribute.
		(See section 3.2.13 of the eHealth Prescription Record PCEHR Conformance Profile v1.3.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and exists(('ALL')[. = current()/@nullFlavor]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and exists(('ALL')[. = current()/@nullFlavor])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Quantity Description data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. The Quantity Description data element is not allowed to contain a nullFlavor attribute
		with this value. (See section 3.2.13 of the eHealth Prescription Record PCEHR Conformance Profile v1.3.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M840" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M840" />
  <xsl:template match="@*|node()" priority="-2" mode="M840">
    <xsl:apply-templates select="@*|*" mode="M840" />
  </xsl:template>
  <!--PATTERN p-TS-PresItem-Text-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16769.170.1.1']]/cda:text " priority="1000" mode="M841">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16769.170.1.1']]/cda:text " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Therapeutic Good Strength
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Therapeutic Good Strength 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Therapeutic Good Strength
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Therapeutic Good Strength
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Therapeutic Good Strength however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Therapeutic Good Strength in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Therapeutic Good Strength
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Therapeutic Good Strength however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Therapeutic Good Strength in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Therapeutic Good Strength data element with a proper value then an exclusion
		statement must be included to state why there is no Therapeutic Good Strength. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Therapeutic Good Strength
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Therapeutic Good Strength however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Therapeutic Good Strength in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Therapeutic Good Strength
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Therapeutic Good Strength
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Therapeutic Good Strength
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Therapeutic Good Strength
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Therapeutic Good Strength
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Therapeutic Good Strength
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Therapeutic Good Strength
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Therapeutic Good Strength
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Therapeutic Good Strength
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Therapeutic Good Strength
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M841" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M841" />
  <xsl:template match="@*|node()" priority="-2" mode="M841">
    <xsl:apply-templates select="@*|*" mode="M841" />
  </xsl:template>
  <!--PATTERN p-TS-PresItem-Text-5-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16769.170.1.1']]/cda:text " priority="1000" mode="M842">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16769.170.1.1']]/cda:text " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Therapeutic Good Strength '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Therapeutic Good Strength
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Therapeutic Good Strength data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Therapeutic Good Strength
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Therapeutic Good Strength data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Therapeutic Good Strength
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Therapeutic Good Strength
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Therapeutic Good Strength data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Therapeutic Good Strength
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M842" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M842" />
  <xsl:template match="@*|node()" priority="-2" mode="M842">
    <xsl:apply-templates select="@*|*" mode="M842" />
  </xsl:template>
  <!--PATTERN p-TS-PresItem-Text-6-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/   cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:name " priority="1000" mode="M843">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/   cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:name " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Therapeutic Good Generic Name
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Therapeutic Good Generic Name 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Therapeutic Good Generic Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Therapeutic Good Generic Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Therapeutic Good Generic Name however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Therapeutic Good Generic Name in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Therapeutic Good Generic Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Therapeutic Good Generic Name however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Therapeutic Good Generic Name in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Therapeutic Good Generic Name data element with a proper value then an exclusion
		statement must be included to state why there is no Therapeutic Good Generic Name. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Therapeutic Good Generic Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Therapeutic Good Generic Name however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Therapeutic Good Generic Name in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Therapeutic Good Generic Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Therapeutic Good Generic Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Therapeutic Good Generic Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Therapeutic Good Generic Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Therapeutic Good Generic Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Therapeutic Good Generic Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Therapeutic Good Generic Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Therapeutic Good Generic Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Therapeutic Good Generic Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Therapeutic Good Generic Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M843" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M843" />
  <xsl:template match="@*|node()" priority="-2" mode="M843">
    <xsl:apply-templates select="@*|*" mode="M843" />
  </xsl:template>
  <!--PATTERN p-TS-PresItem-Text-7-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/   cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:name " priority="1000" mode="M844">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/   cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:name " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Therapeutic Good Generic Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Therapeutic Good Generic Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Therapeutic Good Generic Name data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Therapeutic Good Generic Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Therapeutic Good Generic Name data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Therapeutic Good Generic Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Therapeutic Good Generic Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Therapeutic Good Generic Name data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Therapeutic Good Generic Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M844" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M844" />
  <xsl:template match="@*|node()" priority="-2" mode="M844">
    <xsl:apply-templates select="@*|*" mode="M844" />
  </xsl:template>
  <!--PATTERN p-TS-PresItem-Text-8-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/cda:text " priority="1000" mode="M845">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/cda:text " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Directions
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Directions 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Directions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Directions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Directions however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Directions in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Directions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Directions however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Directions in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Directions data element with a proper value then an exclusion
		statement must be included to state why there is no Directions. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Directions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Directions however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Directions in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Directions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Directions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Directions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Directions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Directions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Directions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Directions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Directions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Directions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Directions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M845" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M845" />
  <xsl:template match="@*|node()" priority="-2" mode="M845">
    <xsl:apply-templates select="@*|*" mode="M845" />
  </xsl:template>
  <!--PATTERN p-TS-PresItem-Text-9-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/cda:text " priority="1000" mode="M846">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/cda:text " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Directions '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Directions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Directions data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Directions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Directions data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Directions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Directions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Directions data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Directions
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M846" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M846" />
  <xsl:template match="@*|node()" priority="-2" mode="M846">
    <xsl:apply-templates select="@*|*" mode="M846" />
  </xsl:template>
  <!--PATTERN p-TS-PresItem-Text-10-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16272']]/cda:text " priority="1000" mode="M847">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16272']]/cda:text " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Formula
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Formula 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Formula
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Formula
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Formula however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Formula in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Formula
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Formula however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Formula in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Formula data element with a proper value then an exclusion
		statement must be included to state why there is no Formula. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Formula
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Formula however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Formula in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Formula
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Formula
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Formula
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Formula
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Formula
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Formula
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Formula
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Formula
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Formula
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Formula
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M847" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M847" />
  <xsl:template match="@*|node()" priority="-2" mode="M847">
    <xsl:apply-templates select="@*|*" mode="M847" />
  </xsl:template>
  <!--PATTERN p-TS-PresItem-Text-11-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16272']]/cda:text " priority="1000" mode="M848">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16272']]/cda:text " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Formula '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Formula
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Formula data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Formula
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Formula data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Formula
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Formula
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Formula data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Formula
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M848" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M848" />
  <xsl:template match="@*|node()" priority="-2" mode="M848">
    <xsl:apply-templates select="@*|*" mode="M848" />
  </xsl:template>
  <!--PATTERN p-TS-PresItem-Text-12-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.10141']]/cda:text " priority="1000" mode="M849">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.10141']]/cda:text " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Clinical Indication
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Clinical Indication 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Clinical Indication
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Clinical Indication
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Clinical Indication however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Clinical Indication in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Clinical Indication
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Clinical Indication however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Clinical Indication in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Clinical Indication data element with a proper value then an exclusion
		statement must be included to state why there is no Clinical Indication. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Clinical Indication
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Clinical Indication however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Clinical Indication in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Clinical Indication
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Clinical Indication
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Clinical Indication
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Clinical Indication
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Clinical Indication
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Clinical Indication
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Clinical Indication
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Clinical Indication
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Clinical Indication
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Clinical Indication
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M849" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M849" />
  <xsl:template match="@*|node()" priority="-2" mode="M849">
    <xsl:apply-templates select="@*|*" mode="M849" />
  </xsl:template>
  <!--PATTERN p-TS-PresItem-Text-13-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.10141']]/cda:text " priority="1000" mode="M850">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.10141']]/cda:text " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Clinical Indication '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Clinical Indication
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Clinical Indication data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Clinical Indication
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Clinical Indication data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Clinical Indication
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Clinical Indication
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Clinical Indication data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Clinical Indication
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M850" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M850" />
  <xsl:template match="@*|node()" priority="-2" mode="M850">
    <xsl:apply-templates select="@*|*" mode="M850" />
  </xsl:template>
  <!--PATTERN p-TS-PresItem-Text-14-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16044']]/cda:text " priority="1000" mode="M851">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16044']]/cda:text " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Comment
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Comment 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Comment however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Comment in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Comment however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Comment in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Comment data element with a proper value then an exclusion
		statement must be included to state why there is no Comment. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Comment however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Comment in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M851" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M851" />
  <xsl:template match="@*|node()" priority="-2" mode="M851">
    <xsl:apply-templates select="@*|*" mode="M851" />
  </xsl:template>
  <!--PATTERN p-TS-PresItem-Text-15-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16044']]/cda:text " priority="1000" mode="M852">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16044']]/cda:text " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Comment '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Comment data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Comment data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Comment data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Comment
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M852" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M852" />
  <xsl:template match="@*|node()" priority="-2" mode="M852">
    <xsl:apply-templates select="@*|*" mode="M852" />
  </xsl:template>
  <!--PATTERN p-TS-PresItem-Integer-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/cda:repeatNumber/cda:high " priority="1000" mode="M853">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/cda:repeatNumber/cda:high " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 8.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-14" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-14 else $rating-alt-TC-Types-14 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-14: The Maximum Number of Repeats '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type and
		<xsl:text /><xsl:value-of select="if (@value and @nullFlavor) then concat('has a value attribute with the value ''', @value, ''' and a nullFlavor attribute with the value ''', @nullFlavor, '''')   else if (@value and not(@nullFlavor)) then concat('has a value attribute with the value ''', @value, '''')   else if (not(@value) and @nullFlavor) then concat('has a nullFlavor attribute with the value ''', @nullFlavor, '''')   else 'has no value or nullFlavor attributes' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(   local-name(.)  = 'batchTotalNumber'  or   local-name(.)  = 'continuationQuantity'  or   local-name(.)  = 'expectedSequenceNumber' or   local-name(.)  = 'initialQuantity'  or   local-name(.)  = 'messageWaitingNumber'  or   local-name(.)  = 'multipleBirthOrderNumber' or   local-name(.)  = 'positionNumber'  or   local-name(.)  = 'priorityNumber'  or   local-name(..) = 'repeatNumber'   or   local-name(.)  = 'resultCurrentQuantity' or   local-name(.)  = 'resultRemainingQuantity' or   local-name(.)  = 'resultTotalQuantity'  or   local-name(.)  = 'sequenceNumber'  or   local-name(.)  = 'startResultNumber'  or   local-name(.)  = 'transmissionQuantity'  or   local-name(.)  = 'versionNumber'  ) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not( local-name(.) = 'batchTotalNumber' or local-name(.) = 'continuationQuantity' or local-name(.) = 'expectedSequenceNumber' or local-name(.) = 'initialQuantity' or local-name(.) = 'messageWaitingNumber' or local-name(.) = 'multipleBirthOrderNumber' or local-name(.) = 'positionNumber' or local-name(.) = 'priorityNumber' or local-name(..) = 'repeatNumber' or local-name(.) = 'resultCurrentQuantity' or local-name(.) = 'resultRemainingQuantity' or local-name(.) = 'resultTotalQuantity' or local-name(.) = 'sequenceNumber' or local-name(.) = 'startResultNumber' or local-name(.) = 'transmissionQuantity' or local-name(.) = 'versionNumber' )">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-14" /><xsl:text />: TC-Types-14: The Maximum Number of Repeats
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type but it does not meet the requirement to have the xsi:type attribute with the value 'INT'.
		(See section 8.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-14" /><xsl:text />: TC-Types-14: According to the Structured Content Specification the Maximum Number of Repeats
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type which is
		derived from the HL7 'INT' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		(See section 8.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Maximum Number of Repeats
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Integer data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Maximum Number of Repeats
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Integer data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Maximum Number of Repeats
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the Integer data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Maximum Number of Repeats
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the Integer data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @inclusive != 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @inclusive != 'true'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Maximum Number of Repeats
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however an attribute 'inclusive' with the value
		'<xsl:text /><xsl:value-of select="@inclusive" /><xsl:text />' was found that is not expected for the Integer data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @inclusive != 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @inclusive != 'true'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Maximum Number of Repeats
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type however an attribute 'inclusive' with the value
		'<xsl:text /><xsl:value-of select="@inclusive" /><xsl:text />' was found that is not expected for the Integer data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@value) and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@value) and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to the Structured Content Specification the Maximum Number of Repeats
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Integer data type
		however it has nullFlavor = 'UNC' (uncoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include nullFlavor = 'UNC'.
		(See section 8.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M853" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M853" />
  <xsl:template match="@*|node()" priority="-2" mode="M853">
    <xsl:apply-templates select="@*|*" mode="M853" />
  </xsl:template>
  <!--PATTERN p-TS-PresItem-Integer-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/cda:repeatNumber " priority="1000" mode="M854">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/cda:repeatNumber " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="narr-text-el" select="(for $text in ($target-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="max-repeats" select="cda:high/@value - 1" />
    <xsl:variable name="inv-max-repeats" select="cda:high/@value " />
    <xsl:variable name="min-repeats" select="cda:low/@value - 1" />
    <xsl:variable name="narr-numbers" select="$narr-text-el[. castable as xs:double] " />
    <xsl:variable name="narr-el-present" select="exists($narr-numbers)" />
    <xsl:variable name="max-nullFlavor-values" select="if (cda:high/@nullFlavor and cda:high/@nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))       then $nullFlavors/nullFlavor[@value = current()/cda:high/@nullFlavor] else () " />
    <xsl:variable name="max-null-to-find" select="exists($max-nullFlavor-values) " />
    <xsl:variable name="max-null-in-narr" select="($max-nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $max-nullFlavor-values/@name-regex, 'is')])) or              ($max-nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $max-nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="min-nullFlavor-values" select="if (cda:low/@nullFlavor and cda:low/@nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))        then $nullFlavors/nullFlavor[@value = current()/cda:low/@nullFlavor] else () " />
    <xsl:variable name="min-null-to-find" select="exists($min-nullFlavor-values) " />
    <xsl:variable name="min-null-in-narr" select="($min-nullFlavor-values/@name-regex and exists($target-narr-node//text()[matches(., $min-nullFlavor-values/@name-regex, 'is')])) or              ($min-nullFlavor-values/@syn-regex and exists($target-narr-node//text()[matches(., $min-nullFlavor-values/@syn-regex, 'is')]))  " />
    <xsl:variable name="multimedia" select="exists($target-narr-node//cda:renderMultiMedia)" />
    <xsl:variable name="max-repeat-absent" select="cda:high/@value &gt; 0 and $narr-el-present and not(exists($narr-numbers[number() = $max-repeats]))" />
    <xsl:variable name="max-repeat-err" select="$max-repeat-absent and exists($narr-numbers[number() = $inv-max-repeats]) and not($multimedia)" />
    <xsl:variable name="max-repeat-warn" select="$max-repeat-absent and not($max-repeat-err)" />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-narr-node//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-1" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-1 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $max-repeat-warn ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$max-repeat-warn">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-1" /><xsl:text />: TC-Narr-09 step 1: The Maximum Number of Repeats
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$max-repeats" /><xsl:text />'. This
		was not found in the table data elements of the narrative of the section. Confirm that the Maximum Number of Repeats is recorded in the narrative
		noting that the number of repeats equals the value of 'entry/substanceAdministration/repeatNumber/high' minus one as the repeatNumber data element is the maximum number of times
		the health act (in this case the dispensing of a medication) may be performed. All clinical information in entry elements must also be present in the narrative.
		<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See section 3.1.1.15 of the HL7 Reference Information Model and Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $max-repeat-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$max-repeat-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-1" /><xsl:text />: TC-Narr-09 step 1: The Maximum Number of Repeats
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$max-repeats" /><xsl:text />'.
		The maximum number of repeats equals the value of 'entry/substanceAdministration/repeatNumber/high' minus one as the repeatNumber data element is the maximum number of times
		the health act (in this case the dispensing of a medication) may be performed. Therefore the maximum number of repeats is '<xsl:text /><xsl:value-of select="$max-repeats" /><xsl:text />' as
		the value of 'entry/substanceAdministration/repeatNumber/high' is '<xsl:text /><xsl:value-of select="$inv-max-repeats" /><xsl:text />'. The number '<xsl:text /><xsl:value-of select="$inv-max-repeats" /><xsl:text />' is present in the
		narrative but it should be '<xsl:text /><xsl:value-of select="$max-repeats" /><xsl:text />'. All clinical information in entry elements must be present in the narrative.
		(See section 3.1.1.15 of the HL7 Reference Information Model and Appendix A 'CDA Narratives' in the
		<xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:high/@value &gt; 0 and not($narr-el-present) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:high/@value &gt; 0 and not($narr-el-present)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-1" /><xsl:text />: TC-Narr-09 step 1: The Maximum Number of Repeats
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$max-repeats" /><xsl:text />'. 
		The maximum number of repeats equals the value of 'entry/substanceAdministration/repeatNumber/high' minus one as the repeatNumber data element is the maximum number of times
		the health act (in this case the dispensing of a medication) may be performed. Therefore the maximum number of repeats is '<xsl:text /><xsl:value-of select="$max-repeats" /><xsl:text />' as
		the value of 'entry/substanceAdministration/repeatNumber/high' is '<xsl:text /><xsl:value-of select="$inv-max-repeats" /><xsl:text />'. Confirm by manual inspection that this value is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative.
		<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text /> (See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:low/@value &gt; 0 and $narr-el-present and not(exists($narr-numbers[number() = $min-repeats])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:low/@value &gt; 0 and $narr-el-present and not(exists($narr-numbers[number() = $min-repeats]))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-1" /><xsl:text />: TC-Narr-09 step 1: The Minimum Number of Repeats
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$min-repeats" /><xsl:text />'. This
		was not found in the table data elements in the narrative of the section. Confirm that the Minimum Number of Repeats is recorded in the narrative
		noting that the number of repeats equals the value of 'entry/substanceAdministration/repeatNumber/low' minus one as the repeatNumber data element is the maximum number of times the
		health act (in this case the dispensing of a medication) may be performed. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See section 3.1.1.15 of the HL7 Reference Information Model and Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and cda:low/@value &gt; 0 and not($target-narr-node//cda:td) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and cda:low/@value &gt; 0 and not($target-narr-node//cda:td)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step-1" /><xsl:text />: TC-Narr-09 step 1: The Minimum Number of Repeats
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$min-repeats" /><xsl:text />'. Confirm by manual inspection that this value is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $max-null-to-find and not($max-null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$max-null-to-find and not($max-null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Maximum Number of Repeats
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="cda:high/@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$max-nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($max-nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $min-null-to-find and not($min-null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$min-null-to-find and not($min-null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Minimum Number of Repeats
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="cda:low/@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$min-nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($min-nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M854" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M854" />
  <xsl:template match="@*|node()" priority="-2" mode="M854">
    <xsl:apply-templates select="@*|*" mode="M854" />
  </xsl:template>
  <!--PATTERN p-TS-PresItem-Link-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/   cda:entry/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16692.179.1.2']]/cda:text/cda:reference " priority="1000" mode="M855">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/   cda:entry/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16692.179.1.2']]/cda:text/cda:reference " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 7.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-10" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-10 else $rating-alt-TC-Types-10 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-10: The Prescription Record Link Target '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Link data type and
		<xsl:text /><xsl:value-of select="if (@value and @nullFlavor) then concat('has a value attribute with the value ''', @value, ''' and a nullFlavor attribute with the value ''', @nullFlavor, '''')   else if (@value and not(@nullFlavor)) then concat('has a value attribute with the value ''', @value, '''')   else if (not(@value) and @nullFlavor) then concat('has a nullFlavor attribute with the value ''', @nullFlavor, '''')   else 'has no value or nullFlavor attributes' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'TEL' or normalize-space(substring-after(@xsi:type, ':')) = 'TEL') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'TEL' or normalize-space(substring-after(@xsi:type, ':')) = 'TEL')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-10" /><xsl:text />: TC-Types-10: According to section 6.35 of the Prescription and Dispense View Structured Content Specification v1.0 the Prescription Record Link Target '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Link data type which is derived from the HL7 'TEL' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is
		present. (See section 7.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-10" /><xsl:text />: TC-Types-10: According to section 6.35 of the Prescription and Dispense View Structured Content Specification v1.0 the Prescription Record Link Target '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Link data type which is derived from the HL7 'TEL' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'TEL'. (See section 7.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 6.35 of the Prescription and Dispense View Structured Content Specification v1.0 the Prescription Record Link Target
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Link data type however a
		child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Link data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 6.35 of the Prescription and Dispense View Structured Content Specification v1.0 the Prescription Record Link Target
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Link data type however a
		child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Link data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @useablePeriod ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@useablePeriod">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-10" /><xsl:text />: TC-Types-10: According to section 6.35 of the Prescription and Dispense View Structured Content Specification v1.0 the Prescription Record Link Target '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Link data type which is
		derived from the HL7 'TEL' data type. The 'useablePeriod' attribute is present with the value '<xsl:text /><xsl:value-of select="@useablePeriod" /><xsl:text />' however that attribute must not be present in
		a data element of the Link data type. (See section 7.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @use ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@use">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-10" /><xsl:text />: TC-Types-10: According to section 6.35 of the Prescription and Dispense View Structured Content Specification v1.0 the Prescription Record Link Target '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Link data type which is
		derived from the HL7 'TEL' data type. The 'use' attribute is present with the value '<xsl:text /><xsl:value-of select="@use" /><xsl:text />' however that attribute must not be present in
		a data element of the Link data type. (See section 7.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value' or name() = 'useablePeriod' or name() = 'use')] and    not(@xsi:type and not(@xsi:type = 'TEL' or normalize-space(substring-after(@xsi:type, ':')) = 'TEL')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value' or name() = 'useablePeriod' or name() = 'use')] and not(@xsi:type and not(@xsi:type = 'TEL' or normalize-space(substring-after(@xsi:type, ':')) = 'TEL'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 6.35 of the Prescription and Dispense View Structured Content Specification v1.0 the Prescription Record Link Target
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Link data type however an
		attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value' or name() = 'useablePeriod' or name() = 'use')])" /><xsl:text />' was found that is not
		expected for the Link data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value' or name() = 'useablePeriod' or name() = 'use')] and    not(@xsi:type and not(@xsi:type = 'TEL' or normalize-space(substring-after(@xsi:type, ':')) = 'TEL')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value' or name() = 'useablePeriod' or name() = 'use')] and not(@xsi:type and not(@xsi:type = 'TEL' or normalize-space(substring-after(@xsi:type, ':')) = 'TEL'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 6.35 of the Prescription and Dispense View Structured Content Specification v1.0 the Prescription Record Link Target
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Link data type however an
		attribute '<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'nullFlavor' or name() = 'value' or name() = 'useablePeriod' or name() = 'use')])" /><xsl:text />' was found that is not
		expected for the Link data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M855" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M855" />
  <xsl:template match="@*|node()" priority="-2" mode="M855">
    <xsl:apply-templates select="@*|*" mode="M855" />
  </xsl:template>
  <!--PATTERN p-TS-Profile-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16011' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16011'] " priority="1000" mode="M856">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16011' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16011'] " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating" select="if ($initial-priority) then $initial-rating else if ($FS-Types-seq/@rating) then concat(' (', $FS-Types-seq/@rating, ')') else '' " />
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and not(/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']) and $extensions-allowed">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']) and $extensions-allowed">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: FS-Types: The Health Profile section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16011') has been found in a <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. The Health Profile section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16011') is defined in the digital health specifications but
		although tests have been applied to the data elements the specification of the data elements may have been varied for inclusion in this document
		so further examination may be needed. The rules have been validated for <xsl:text /><xsl:value-of select="normalize-space('Discharge Summary CDA Implementation Guide version 3.4')" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M856" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M856" />
  <xsl:template match="@*|node()" priority="-2" mode="M856">
    <xsl:apply-templates select="@*|*" mode="M856" />
  </xsl:template>
  <!--PATTERN p-TS-Profile-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16011' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16011']]/cda:component/cda:section[cda:code   [not(@code='101.20113' or @code='101.20021')]] " priority="1000" mode="M857">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16011' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16011']]/cda:component/cda:section[cda:code   [not(@code='101.20113' or @code='101.20021')]] " />
    <xsl:variable name="agency-section" select=" cda:code/@codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="test-step" select=" if (not($extensions-allowed)) then 'step 4'        else if ($agency-section) then 'step 3' else 'step 1' " />
    <xsl:variable name="title-and-code" select=" if (cda:title and cda:code/@code) then concat('title ''', cda:title, ''', code/code ''', cda:code/@code, '''')        else if (cda:title and not(cda:code/@code)) then concat('title ''', cda:title, '''')        else if (not(cda:title) and cda:code/@code) then concat('code/code ''', cda:code/@code, '''')        else '' " />
    <xsl:variable name="other-section-names" select=" if (cda:code/@displayName and not(cda:code/cda:originalText)) then concat(' and code/displayName ''', cda:code/@displayName, '''')         else if (cda:code/@displayName and cda:code/cda:originalText)          then concat(', code/displayName ''', cda:code/@displayName,''' and code/originalText ''', cda:code/cda:originalText, '''')        else if (not(cda:code/@displayName) and cda:code/cda:originalText) then concat(' and code/originalText ''', cda:code/cda:originalText, '''')        else '' " />
    <xsl:variable name="section-names" select="concat($title-and-code, $other-section-names)" />
    <xsl:variable name="doc-code" select="/cda:ClinicalDocument/cda:code" />
    <xsl:variable name="parent-section" select="ancestor::cda:section[position()=1]" />
    <xsl:variable name="custom-section-info" select="($iq-config/custom-sections/section, $knowledge/custom-sections/section)[        @doc-code  = $doc-code/@code          and        @doc-codeSystem  = $doc-code/@codeSystem          and        @parent-code   = $parent-section/cda:code/@code         and         @parent-codeSystem  = $parent-section/cda:code/@codeSystem        and         (@title = current()/cda:title or (@code = current()/cda:code/@code and @codeSystem = current()/cda:code/@codeSystem)) ] " />
    <xsl:variable name="section-disallowed" select="$custom-section-info/@disallowed = 'yes' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and ($section-disallowed or not(exists($custom-section-info)))) then $rating-alt-TC-Doc-28-step-1        else if ($test-step = 'step 1' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections]) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 3') then $rating-TC-Doc-28-step-3 else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and $section-disallowed ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and $section-disallowed">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Health Profile section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16011') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> which
		is an extension to the information model however the inclusion of this section conflicts with sections defined in the digital health specifications.
		<xsl:text /><xsl:value-of select="$custom-section-info[@disallowed = 'yes']/@reason" /><xsl:text /> (Also see <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not(true()) and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(true()) and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Health Profile section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16011') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. No subsection is expected so this
		is an extension to the information model. Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the 
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(true()) and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(true()) and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Health Profile section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16011') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> but no subsections were
		expected so the document fails to meet the requirement that it must not contain additional data elements. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and true() and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and true() and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Health Profile section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16011') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		code '101.20113' and code '101.20021' are expected but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the information model.
		Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Health Profile section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16011') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		code '101.20113' and code '101.20021' are expected but the inclusion of the section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> fails to meet the requirement that it must not contain additional data elements.
		(See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M857" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M857" />
  <xsl:template match="@*|node()" priority="-2" mode="M857">
    <xsl:apply-templates select="@*|*" mode="M857" />
  </xsl:template>
  <!--PATTERN p-TS-Profile-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16011' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16011']][cda:entry] " priority="1000" mode="M858">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16011' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16011']][cda:entry] " />
    <xsl:variable name="test-step" select=" if (not($extensions-allowed)) then 'step 4' else 'step 1' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Health Profile section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16011') has an entry element but no entry elements were expected so this is an extension
		to the information model. Confirm if the entry element meets the requirement that extensions must not qualify or negate any of the 
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Health Profile section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16011') has an entry element but no entry elements were expected so the document fails to meet the
		requirement that it must not contain additional data elements. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M858" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M858" />
  <xsl:template match="@*|node()" priority="-2" mode="M858">
    <xsl:apply-templates select="@*|*" mode="M858" />
  </xsl:template>
  <!--PATTERN p-TS-Recommend-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16606' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16606'] " priority="1000" mode="M859">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16606' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16606'] " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating" select="if ($initial-priority) then $initial-rating else if ($FS-Types-seq/@rating) then concat(' (', $FS-Types-seq/@rating, ')') else '' " />
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and not(/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3']) and $extensions-allowed">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3']) and $extensions-allowed">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: FS-Types: The Recommendations section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16606') has been found in a <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. The Recommendations section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16606') is defined in the digital health specifications but
		although tests have been applied to the data elements the specification of the data elements may have been varied for inclusion in this document
		so further examination may be needed. The rules have been validated for <xsl:text /><xsl:value-of select="normalize-space('Specialist Letter CDA Implementation Guide version 1.3')" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M859" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M859" />
  <xsl:template match="@*|node()" priority="-2" mode="M859">
    <xsl:apply-templates select="@*|*" mode="M859" />
  </xsl:template>
  <!--PATTERN p-TS-Recommend-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16606' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16606']]/cda:component/cda:section " priority="1000" mode="M860">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16606' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16606']]/cda:component/cda:section " />
    <xsl:variable name="agency-section" select=" cda:code/@codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="test-step" select=" if (not($extensions-allowed)) then 'step 4'        else if ($agency-section) then 'step 3' else 'step 1' " />
    <xsl:variable name="title-and-code" select=" if (cda:title and cda:code/@code) then concat('title ''', cda:title, ''', code/code ''', cda:code/@code, '''')        else if (cda:title and not(cda:code/@code)) then concat('title ''', cda:title, '''')        else if (not(cda:title) and cda:code/@code) then concat('code/code ''', cda:code/@code, '''')        else '' " />
    <xsl:variable name="other-section-names" select=" if (cda:code/@displayName and not(cda:code/cda:originalText)) then concat(' and code/displayName ''', cda:code/@displayName, '''')         else if (cda:code/@displayName and cda:code/cda:originalText)          then concat(', code/displayName ''', cda:code/@displayName,''' and code/originalText ''', cda:code/cda:originalText, '''')        else if (not(cda:code/@displayName) and cda:code/cda:originalText) then concat(' and code/originalText ''', cda:code/cda:originalText, '''')        else '' " />
    <xsl:variable name="section-names" select="concat($title-and-code, $other-section-names)" />
    <xsl:variable name="doc-code" select="/cda:ClinicalDocument/cda:code" />
    <xsl:variable name="parent-section" select="ancestor::cda:section[position()=1]" />
    <xsl:variable name="custom-section-info" select="($iq-config/custom-sections/section, $knowledge/custom-sections/section)[        @doc-code  = $doc-code/@code          and        @doc-codeSystem  = $doc-code/@codeSystem          and        @parent-code   = $parent-section/cda:code/@code         and         @parent-codeSystem  = $parent-section/cda:code/@codeSystem        and         (@title = current()/cda:title or (@code = current()/cda:code/@code and @codeSystem = current()/cda:code/@codeSystem)) ] " />
    <xsl:variable name="section-disallowed" select="$custom-section-info/@disallowed = 'yes' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and ($section-disallowed or not(exists($custom-section-info)))) then $rating-alt-TC-Doc-28-step-1        else if ($test-step = 'step 1' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections]) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 3') then $rating-TC-Doc-28-step-3 else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and $section-disallowed ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and $section-disallowed">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Recommendations section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16606') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> which
		is an extension to the information model however the inclusion of this section conflicts with sections defined in the digital health specifications.
		<xsl:text /><xsl:value-of select="$custom-section-info[@disallowed = 'yes']/@reason" /><xsl:text /> (Also see <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not(false()) and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(false()) and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Recommendations section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16606') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. No subsection is expected so this
		is an extension to the information model. Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the 
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(false()) and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(false()) and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Recommendations section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16606') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> but no subsections were
		expected so the document fails to meet the requirement that it must not contain additional data elements. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and false() and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and false() and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Recommendations section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16606') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		none are expected but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the information model.
		Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Recommendations section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16606') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		none are expected but the inclusion of the section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> fails to meet the requirement that it must not contain additional data elements.
		(See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M860" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M860" />
  <xsl:template match="@*|node()" priority="-2" mode="M860">
    <xsl:apply-templates select="@*|*" mode="M860" />
  </xsl:template>
  <!--PATTERN p-TS-Recommend-DateTime-Duration-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16606' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16606']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20016']]/cda:effectiveTime " priority="1000" mode="M861">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16606' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16606']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20016']]/cda:effectiveTime " />
    <xsl:variable name="is-Duration" select=" @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or cda:width " />
    <xsl:variable name="is-DateTime" select=" not($is-Duration) and (@value or @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')" />
    <xsl:variable name="unit" select="if (not($is-Duration)) then '' else if (not(cda:width/@unit)) then '1' else dh:XQueryRecursiveReplace(cda:width/@unit, $ucum-annotation-replacement, '') " />
    <xsl:variable name="a-time-unit" select="$is-Duration and cda:width/@unit and matches($unit, $ucum-time-unit-regex) " />
    <xsl:variable name="unit-validation" select="if ($is-Duration and cda:width/@unit and not($a-time-unit)) then dh:ValidateUCUM($unit) else '' " />
    <xsl:variable name="tc-types-93-err" select="$is-Duration and cda:width/@unit and not($a-time-unit) and $unit-validation = 'INVALID' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text1" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 8.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="message-text2" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="display-width-1" select="if (not(cda:width)) then ''       else if (cda:width/@value and cda:width/@nullFlavor)        then concat('has a value attribute with the value ', codepoints-to-string(34), cda:width/@value, codepoints-to-string(34),         ' and a nullFlavor attribute with the value ', codepoints-to-string(34), cda:width/@nullFlavor, codepoints-to-string(34),        '(', $nullFlavors/nullFlavor[@value = current()/cda:width/@nullFlavor]/@name, ')')       else if (cda:width/@value and not(cda:width/@nullFlavor)) then concat('has a value attribute with the value ', codepoints-to-string(34),         cda:width/@value, codepoints-to-string(34))       else if (not(cda:width/@value) and cda:width/@nullFlavor)        then concat('has a nullFlavor attribute with the value ', codepoints-to-string(34), cda:width/@nullFlavor, codepoints-to-string(34),        '(', $nullFlavors/nullFlavor[@value = current()/cda:width/@nullFlavor]/@name, ')')       else 'has no value or nullFlavor attributes' " />
    <xsl:variable name="display-width" select="if (not(cda:width)) then ''       else concat('the width element ', $display-width-1, ' and  ',        if (cda:width/@unit = '1') then 'has a unit attribute with the value ''1'' which is the default value assigned by the CDA schema'       else if (cda:width/@unit) then concat('has a unit attribute with the value ', codepoints-to-string(34), cda:width/@unit, codepoints-to-string(34))        else ' has no unit attribute') " />
    <xsl:variable name="display-center" select="if (cda:center) then concat('a center element with a value attribute with the value ', codepoints-to-string(34), cda:width/@value, codepoints-to-string(34))        else '' " />
    <xsl:variable name="nullFlavor-values" select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]" />
    <xsl:variable name="low-inclusive" select="if (not(cda:low)) then '' else if (cda:low/@inclusive='false') then ' (excluded)' else ' (included)' " />
    <xsl:variable name="high-inclusive" select="if (not(cda:high)) then '' else if (cda:high/@inclusive='false') then ' (excluded)' else ' (included)' " />
    <xsl:variable name="display-interval-1" select="if (@value and cda:low/@value and cda:high/@value)         then concat('a value attribute with the value ', codepoints-to-string(34), @value, codepoints-to-string(34), ', low value ', codepoints-to-string(34), cda:low/@value,        codepoints-to-string(34), $low-inclusive, ' and high value ', codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)        else if (@value and cda:low/@value and not(cda:high/@value))         then concat('a value attribute with the value ', codepoints-to-string(34), @value, codepoints-to-string(34), ' and low value ',         codepoints-to-string(34), cda:low/@value, codepoints-to-string(34), $low-inclusive)       else if (@value and not(cda:low/@value) and cda:high/@value)         then concat('a value attribute with the value ', codepoints-to-string(34), @value, codepoints-to-string(34), ' and high value ',         codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)       else if (not(@value) and cda:low/@value and cda:high/@value)         then concat('low value ', codepoints-to-string(34), cda:low/@value, codepoints-to-string(34), $low-inclusive, ' and high value ',         codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)       else if (@value and not(cda:low/@value) and not(cda:high/@value))         then concat('a value attribute with the value ', codepoints-to-string(34), @value, codepoints-to-string(34))       else if (not(@value) and cda:low/@value and not(cda:high/@value))         then concat('low value ', codepoints-to-string(34), cda:low/@value, codepoints-to-string(34), $low-inclusive)       else if (not(@value) and not(cda:low/@value) and cda:high/@value)         then concat('high value ', codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)       else '' " />
    <xsl:variable name="display-interval" select="if ($display-interval-1 = '' and $display-width != '' and $display-center = '') then $display-width        else if ($display-interval-1 != '' and $display-width = '' and $display-center = '') then $display-interval-1        else if ($display-interval-1 = '' and $display-width = '' and $display-center != '') then $display-center        else if ($display-interval-1 = '' and $display-width != '' and $display-center != '')        then concat($display-center, ', ', $display-width)         else if ($display-interval-1 != '' and $display-width = '' and $display-center != '')        then concat($display-interval-1, ', ', $display-center)         else if ($display-interval-1 != '' and $display-width != '' and $display-center = '')         then concat($display-interval-1, ', ', $display-width)        else if ($display-interval-1 != '' and $display-width != '' and $display-center != '')         then concat($display-interval-1, ', ', $display-width, ', ', $display-center)        else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-17" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-17 else $rating-alt-TC-Types-17 " />
    <xsl:variable name="rating-18" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-18 else $rating-alt-TC-Types-18 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <xsl:variable name="rating-98" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-98 else $rating-alt-TC-Types-98 " />
    <!--REPORT -->
    <xsl:if test=" (($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true') and $is-Duration ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="(($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true') and $is-Duration">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-17: The Time Frame '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Duration data type and
		<xsl:text /><xsl:value-of select="$display-interval" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" (($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true') and $is-DateTime ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="(($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true') and $is-DateTime">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-18: The Time Frame '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and
		<xsl:text /><xsl:value-of select="if (@value and @nullFlavor) then concat('has a value attribute with the value ''', @value, ''' and a nullFlavor attribute with the value ''', @nullFlavor, '''')   else if (@value and not(@nullFlavor)) then concat('has a value attribute with the value ''', @value, '''')   else if (not(@value) and @nullFlavor) then concat('has a nullFlavor attribute with the value ''', @nullFlavor, '''')   else 'has no value or nullFlavor attributes' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" (($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true') and not($is-DateTime or $is-Duration) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="(($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true') and not($is-DateTime or $is-Duration)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-17 and TC-Types-18: The Time Frame '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> may have either
		the DateTime or Duration data type.
		<xsl:text /><xsl:value-of select="if (@nullFlavor) then concat('The nullFlavor attribute has the value ''', @nullFlavor, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-Duration and not(@nullFlavor or cda:width/@nullFlavor) and not(cda:width/@value and cda:width/@unit) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-Duration and not(@nullFlavor or cda:width/@nullFlavor) and not(cda:width/@value and cda:width/@unit)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-17" /><xsl:text />: TC-Types-17: The Time Frame '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Duration data type and
		<xsl:text /><xsl:value-of select="$display-interval" /><xsl:text />. There is no nullFlavor attribute and no width element so the data element does not contain the mandatory information for a Duration.
		If a nullFlavor attribute is not present then the data element must contain a width element with value and unit attributes.
		(See section 8.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, and section 7.8.10 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-Duration and @value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-Duration and @value">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-17" /><xsl:text />: TC-Types-17: The Time Frame '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Duration data type and
		<xsl:text /><xsl:value-of select="$display-interval" /><xsl:text />. The Time Frame value attribute defines an interval that starts and ends at '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' where the duration is implied by the precision
		of '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'. <xsl:text /><xsl:value-of select="if (matches(@value, '^[0-9]{4}$')) then 'In this case the duration implied by the value attribute is one year.'   else if (matches(@value, '^[0-9]{6}$')) then 'In this case the duration implied by the value attribute is one month.'   else if (matches(@value, '^[0-9]{8}$')) then 'In this case the duration implied by the value attribute is 24 hours.'    else if (matches(@value, '^[0-9]{12}(+|-)')) then 'In this case the duration implied by the value attribute is one minute.'    else '' " /><xsl:text /> Confirm that this is consistent with the other information recorded in the Time Frame data element.
		(See section 3.8.1 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name(.) = ('width', 'low', 'high', 'center'))] and $is-Duration ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name(.) = ('width', 'low', 'high', 'center'))] and $is-Duration">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 7.5 of the Specialist Letter Structured Content Specification v1.1 the Time Frame '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Duration data type however a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('width', 'low', 'high', 'center'))])" /><xsl:text />' is present
		that is not expected for the Duration data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('width', 'low', 'high', 'center'))] and $is-Duration ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('width', 'low', 'high', 'center'))] and $is-Duration">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 7.5 of the Specialist Letter Structured Content Specification v1.1 the Time Frame '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Duration data type however a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('width', 'low', 'high', 'center'))])" /><xsl:text />' is present
		that is not expected for the Duration data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @*[not(name() = ('xsi:type', 'nullFlavor', 'operator', 'value'))] and $is-Duration ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'nullFlavor', 'operator', 'value'))] and $is-Duration">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 7.5 of the Specialist Letter Structured Content Specification v1.1 the Time Frame '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Duration data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'operator', 'value'))])" /><xsl:text />' is present that is not expected for the Duration data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'nullFlavor', 'operator', 'value'))] and $is-Duration ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'nullFlavor', 'operator', 'value'))] and $is-Duration">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 7.5 of the Specialist Letter Structured Content Specification v1.1 the Time Frame '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Duration data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'operator', 'value'))])" /><xsl:text />' is present that is not expected for the Duration data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($is-Duration or $is-DateTime) and    (local-name(.) = ('effectiveTime', 'time')) and not(@xsi:type) and not(@nullFlavor or @value) and not(cda:low or cda:high)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($is-Duration or $is-DateTime) and (local-name(.) = ('effectiveTime', 'time')) and not(@xsi:type) and not(@nullFlavor or @value) and not(cda:low or cda:high)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to section 7.5 of the Specialist Letter Structured Content Specification v1.1 the Time Frame '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> may have either the DateTime or
		Duration data type. It does not have a width element with a unit attribute so it may be a DateTime which is derived from the HL7 'TS' data type. However the data element does not meet the requirement for
		elements of the HL7 'TS' data type to have a value attribute if there is no nullFlavor attribute.
		(See section 7.8.13.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($is-Duration or $is-DateTime) and    (local-name(.) = ('effectiveTime', 'time')) and not(@xsi:type) and not(@nullFlavor or @value) and (cda:low or cda:high)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($is-Duration or $is-DateTime) and (local-name(.) = ('effectiveTime', 'time')) and not(@xsi:type) and not(@nullFlavor or @value) and (cda:low or cda:high)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to section 7.5 of the Specialist Letter Structured Content Specification v1.1 the Time Frame '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> may have either the DateTime or
		Duration data type which are derived from the HL7 'TS' and 'PQ.TIME' data types, however it does not
		have a value or a width element with a unit attribute so it does not meet the requirements of either the DateTime or a Duration data type. The presence of low and high elements indicates the data element
		may be a time interval whereas neither the DateTime or Duration data types have low and high elements.
		(See section 8.5 and 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, and sections 7.8.10 and 7.8.13 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))] and $is-DateTime ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))] and $is-DateTime">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 7.5 of the Specialist Letter Structured Content Specification v1.1 the Time Frame
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' is present
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))] and $is-DateTime ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))] and $is-DateTime">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 7.5 of the Specialist Letter Structured Content Specification v1.1 the Time Frame
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' is present
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$is-DateTime and @unit ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-DateTime and @unit">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-17" /><xsl:text />: TC-Types-17: According to section 7.5 of the Specialist Letter Structured Content Specification v1.1 the Time Frame
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime or Duration data type however the data element does not conform to the HL7 specifications.
		The presence of the unit attribute with the value '<xsl:text /><xsl:value-of select="@unit" /><xsl:text />' indicates that the intention was to record a duration but it is invalid for the
		'<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to have a unit attribute. To create a Time Frame that is a duration the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' should have a 'width'
		child element and the width should have a value attribute and a unit attribute where the value and unit specify the duration.
		(See section 8.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.10.9 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @*[not(name() = ('xsi:type', 'value', 'nullFlavor', 'operator', 'inclusive', 'unit'))] and $is-DateTime ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'value', 'nullFlavor', 'operator', 'inclusive', 'unit'))] and $is-DateTime">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 7.5 of the Specialist Letter Structured Content Specification v1.1 the Time Frame
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'value', 'nullFlavor', 'operator', 'inclusive', 'unit'))])" /><xsl:text />' is present that is not expected for the DateTime data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'value', 'nullFlavor', 'operator', 'inclusive', 'unit'))] and    $is-DateTime ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'value', 'nullFlavor', 'operator', 'inclusive', 'unit'))] and $is-DateTime">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 7.5 of the Specialist Letter Structured Content Specification v1.1 the Time Frame
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'value', 'nullFlavor', 'operator', 'inclusive', 'unit'))])" /><xsl:text />' is present that is not expected for the DateTime data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$is-Duration and cda:width/@unit and not($a-time-unit) and not($tc-types-93-err) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-Duration and cda:width/@unit and not($a-time-unit) and not($tc-types-93-err)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-98" /><xsl:text />: TC-Types-98: According to section 7.5 of the Specialist Letter Structured Content Specification v1.1 the Time Frame '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Duration data type however the unit attribute has the value
		'<xsl:text /><xsl:value-of select="cda:width/@unit" /><xsl:text />'<xsl:text /><xsl:value-of select="if (cda:width/@unit = '1') then ' which is the default value assigned by the CDA schema.'    else if (contains($unit-validation, '|')) then '.' else if (contains($unit-validation, '~')) then concat(' which is the unit for ', substring-after($unit-validation, '~'), '.')    else '.' " /><xsl:text />
		The units must be one of the case sensitive UCUM units
		for time which are listed in listed in table 5 of the UCUM specification, http://unitsofmeasure.org/ucum.html#para-31.
		(See section 7.8.10.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @value and not(cda:width/@unit) and not(@xsi:type='TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not(   local-name(.) = 'activityTime'   or   local-name(.) = 'availabilityTime'   or   local-name(.) = 'birthTime'    or   local-name(.) = 'center'    or   local-name(.) = 'copyTime'    or   local-name(.) = 'creationTime'    or   local-name(.) = 'deceasedTime'   or   local-name(.) = 'effectiveTime'   or   local-name(.) = 'executionAndDeliveryTime'  or   local-name(.) = 'high'    or   local-name(.) = 'lastCalibrationTime'   or   local-name(.) = 'low'    or   local-name(.) = 'time'    or   local-name(.) = 'recertificationTime'  ) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value and not(cda:width/@unit) and not(@xsi:type='TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not( local-name(.) = 'activityTime' or local-name(.) = 'availabilityTime' or local-name(.) = 'birthTime' or local-name(.) = 'center' or local-name(.) = 'copyTime' or local-name(.) = 'creationTime' or local-name(.) = 'deceasedTime' or local-name(.) = 'effectiveTime' or local-name(.) = 'executionAndDeliveryTime' or local-name(.) = 'high' or local-name(.) = 'lastCalibrationTime' or local-name(.) = 'low' or local-name(.) = 'time' or local-name(.) = 'recertificationTime' )">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to section 7.5 of the Specialist Letter Structured Content Specification v1.1 the Time Frame '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> may have either the DateTime or
		Duration data type. It has no width element with a unit attribute so it must be a DateTime which is derived from the HL7 'TS' data type however it does not have the type declaration xsi:type with the value 'TS'.
		(See sections 8.5 and 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 7.5 of the Specialist Letter Structured Content Specification v1.1 the Time Frame
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> may have either the DateTime
		or Duration data type however it has a nullFlavor attribute with the value 'UNC' (uncoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include
		nullFlavor 'UNC'. (See sections 8.5 and 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M861" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M861" />
  <xsl:template match="@*|node()" priority="-2" mode="M861">
    <xsl:apply-templates select="@*|*" mode="M861" />
  </xsl:template>
  <!--PATTERN p-TS-Recommend-DateTime-Duration-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16606' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16606']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20016']]/cda:effectiveTime/cda:width " priority="1000" mode="M862">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16606' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16606']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20016']]/cda:effectiveTime/cda:width " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="narr-text-el" select="(for $text in ($target-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="a-quantity-range" select="local-name(.) = 'low' or local-name(.) = 'high' " />
    <xsl:variable name="normalised-value" select="if (@value) then replace(lower-case(@value), '\s+', '') else '' " />
    <xsl:variable name="normalised-value-regex" select="if (not(contains($normalised-value, '.'))) then concat('(', $normalised-value, '|', $normalised-value, '\.0*)')        else if (ends-with($normalised-value, '0')) then replace(replace($normalised-value, '\.', '\\.'), '0+$', '0*')        else concat(replace($normalised-value, '\.', '\\.'), '0*') " />
    <xsl:variable name="value-regex" select="if ($normalised-value = '') then ''         else concat('(^|[^0-9])', $normalised-value-regex, '([^0-9]*$|\s+.*$)') " />
    <xsl:variable name="tables" select="$target-narr-node//cda:table " />
    <xsl:variable name="table-num" select="count($tables) " />
    <xsl:variable name="value-regex-3" select="if ($normalised-value = '' or not(exists($tables))) then ''         else concat('(^|[^0-9])', $normalised-value-regex, '([^0-9]+$|\s+.+$)') " />
    <xsl:variable name="table-value-match" select="if ($normalised-value = '' or not(exists($tables))) then () else for $i in (1 to $table-num) return         if (not($tables[$i]//cda:td[matches(., $value-regex, 'is')])) then '0'        else if ($tables[$i]//cda:td[matches(., $value-regex-3, 'is')]) then '3'        else if ($tables[$i]//cda:td[replace(lower-case(.), '\s+', '') = $normalised-value]) then '2'        else '1' " />
    <xsl:variable name="unit-1" select="dh:XQueryRecursiveReplace(@unit, $ucum-annotation-replacement, '')" />
    <xsl:variable name="unit-2" select="if ($a-quantity-range) then dh:XQueryRecursiveReplace(../@unit, $ucum-annotation-replacement, '') else '' " />
    <xsl:variable name="unit" select="if (not($a-quantity-range) or $unit-2 = '') then $unit-1        else if ($unit-1 = '1' and $unit-2 != '1') then $unit-2         else $unit-1 " />
    <xsl:variable name="normalised-unit" select="replace(lower-case($unit), '\s+', '') " />
    <xsl:variable name="unit-validation" select="if ($unit = '1' or exists($UCUM/unit[@value = $normalised-unit])) then '' else dh:ValidateUCUM($unit) " />
    <xsl:variable name="unit-name" select="if (exists($UCUM/unit[@value = $normalised-unit])) then $UCUM/unit[@value = $normalised-unit]/@name else ''  " />
    <xsl:variable name="power-synonym" select="if (contains($normalised-unit, '10^')) then replace($normalised-unit, '10\^', '10*')        else if (contains($normalised-unit, '10*')) then replace($normalised-unit, '10\*', '10^')        else '' " />
    <xsl:variable name="special-unit-synonym" select="if (contains($normalised-unit, '['))         then (normalize-space(replace($normalised-unit, '[\[\]]', ' ')), normalize-space(replace($normalised-unit, '[\[\]]', ''))) else '' " />
    <xsl:variable name="apostrophe-synonym" select="for $syn in $special-unit-synonym return if (contains($syn, '''')) then normalize-space(replace($syn, '''', ' ')) else '' " />
    <xsl:variable name="unit-synonyms" select="if (exists($UCUM/unit[@value = $normalised-unit]))         then ($normalised-unit, $power-synonym, $special-unit-synonym, $apostrophe-synonym, $UCUM/unit[@value = $normalised-unit]/@name,          tokenize($UCUM/unit[@value = $normalised-unit]/@synonyms, '\|'))[. != '']        else ($normalised-unit, $power-synonym, $special-unit-synonym, $apostrophe-synonym)[. != ''] " />
    <xsl:variable name="search-terms-1" select="if ($normalised-value = '') then () else (for $synonym in $unit-synonyms return normalize-space(lower-case($synonym)))[. != ''] " />
    <xsl:variable name="search-terms-2" select="if ($normalised-value = '') then () else for $term in $search-terms-1 return         if ($term = '1') then $normalised-value else concat($normalised-value, $term) " />
    <xsl:variable name="search-regex-1" select="if ($normalised-value = '') then () else for $term in $search-terms-1 return          replace(replace(replace(replace(replace(replace(replace(replace(replace(replace($term, '\^', '\\^'), '\*', '\\*'), '\.', '\\.'), '\+', '\\+'),          '\)', '\\)'), '\(', '\\('), '\[', '\\['), '\]', '\\]'), '\{', '\\{'), '\}', '\\}') " />
    <xsl:variable name="search-regex-2" select="if ($normalised-value = '') then () else for $term in $search-regex-1 return         if (matches($term, '^10')) then concat('(', '(^|[^0-9])(', $normalised-value-regex, 'x{0,1}', $term, '|', 'x{0,1}', $term, ')([^0-9a-z]|$)',          ')|(', '(^|[^0-9])(', $normalised-value-regex, $term, '|', $term, ')([^0-9a-z]|$)', ')')         else if ($term = '1') then concat('(^|[^0-9])', $normalised-value-regex, '([^0-9]{1}.*$|$)')        else concat('(^|[^0-9])(', $normalised-value-regex, $term, '|', $term, ')([^0-9a-z]|$)') " />
    <xsl:variable name="quantity-match" select="if (not(exists($table-value-match)) or not(exists($table-value-match[. != '0']))) then (false())        else if ($unit = '1' and not($a-quantity-range)) then for $i in (1 to $table-num) return          ($table-value-match[$i] = '2' or boolean($tables[$i]//cda:td[matches(., $search-regex-2[1], 'is')]))        else if ($unit = '1' and $a-quantity-range) then for $i in (1 to $table-num) return not($table-value-match[$i] = '0')        else for $i in (1 to $table-num) return          if ($table-value-match[$i] = '0') then false()         else if ($table-value-match[$i] = '2') then           exists(index-of(for $term in $search-terms-1 return boolean($tables[$i]//cda:td[replace(lower-case(.), '\s+', '') = $term]), true()))         else exists(index-of(          for $j in (1 to count($search-terms-1)) return boolean($tables[$i]//cda:td[           replace(lower-case(.), '\s+', '') = $search-terms-1[$j]  or           replace(lower-case(.), '\s+', '') = $search-terms-2[$j]  or           matches(., $search-regex-2[$j], 'is')    ]), true())) " />
    <xsl:variable name="in-a-table" select="if ($normalised-value = '') then false() else exists(index-of($quantity-match, true())) " />
    <xsl:variable name="xpre-1" select="if ($normalised-value = '' or $in-a-table) then () else $target-narr-node//*[contains(@styleCode, 'xPre')] " />
    <xsl:variable name="xpre-num" select="count($xpre-1) " />
    <xsl:variable name="xpre-2" select="for $i in (1 to $xpre-num) return lower-case($xpre-1[$i]) " />
    <xsl:variable name="xpre-value-match" select="for $i in (1 to $xpre-num) return matches($xpre-2[$i], $value-regex, 'is') " />
    <xsl:variable name="xpre-quantity-match" select="if ($unit = '1') then ($xpre-value-match) else for $i in (1 to $xpre-num) return         $xpre-value-match[$i] and exists(index-of(for $term in $search-regex-2 return matches($xpre-2[$i], $term, 'is'), true())) " />
    <xsl:variable name="in-xpre" select="exists(index-of($xpre-quantity-match, true())) " />
    <xsl:variable name="narrative" select="if ($normalised-value = '' or $in-a-table or $in-xpre) then ''         else normalize-space(lower-case(string-join($target-narr-node//text()         [not(ancestor::cda:table or ancestor::cda:caption or contains(@styleCode, 'xPre'))], ''))) " />
    <xsl:variable name="narr-value-match" select="if ($normalised-value = '' or $in-a-table or $in-xpre) then true() else matches($narrative, $value-regex, 'is') " />
    <xsl:variable name="narr-quantity-match" select="if ($normalised-value = '' or $in-a-table or $in-xpre) then true()        else $narr-value-match and exists(index-of(for $term in $search-regex-2 return matches($narrative, $term, 'is'), true())) " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="quantity-text-1" select="if ($unit = '1') then concat('value ''', @value, '''') else concat('value ''', @value, ''' and unit ''', $unit, '''') " />
    <xsl:variable name="quantity-text" select="if ($unit-name = '') then $quantity-text-1 else concat($quantity-text-1, ' (the unit for ', $unit-name, ')') " />
    <xsl:variable name="inclusive-text" select="if ($a-quantity-range and @inclusive = 'true') then ' (the boundary is included)'        else if ($a-quantity-range and @inclusive = 'false') then ' (the boundary is not included)'        else '' " />
    <xsl:variable name="multimedia" select="exists($target-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$table-num = 0 and $xpre-num = 0 and not(exists($narr-text-el)) and not($multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-narr-node//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-6" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-6 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and @value and $table-num &gt; 0 and not($in-a-table or $in-xpre or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and @value and $table-num &gt; 0 and not($in-a-table or $in-xpre or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-PQ): The Time Frame '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text />.
		Is the quantity on the boundary of a quantity range? <xsl:text /><xsl:value-of select="$a-quantity-range" /><xsl:text /><xsl:text /><xsl:value-of select="$inclusive-text" /><xsl:text />.
		When transformed the quantity value is '<xsl:text /><xsl:value-of select="$normalised-value" /><xsl:text />'.
		The narrative contains <xsl:text /><xsl:value-of select="$table-num" /><xsl:text /><xsl:text /><xsl:value-of select="if ($table-num = 1) then ' table' else ' tables' " /><xsl:text />.
		The value regular expression value-regex is '<xsl:text /><xsl:value-of select="$value-regex" /><xsl:text />'.
		The value regular expression value-regex-3 is '<xsl:text /><xsl:value-of select="$value-regex-3" /><xsl:text />'.
		Elements of table-value-match are '<xsl:text /><xsl:value-of select="string-join($table-value-match, '|')" /><xsl:text />'.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($unit-synonyms, '|')" /><xsl:text />'.
		Elements of search-terms-1 are '<xsl:text /><xsl:value-of select="string-join($search-terms-1, '|')" /><xsl:text />'.
		Elements of search-terms-2 are '<xsl:text /><xsl:value-of select="string-join($search-terms-2, '|')" /><xsl:text />'.
		Elements of search-regex-1 are '<xsl:text /><xsl:value-of select="string-join($search-regex-1, '|')" /><xsl:text />'.
		Elements of search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($search-regex-2, '|')" /><xsl:text />'.
		Elements of quantity-match are '<xsl:text /><xsl:value-of select="string-join(for $i in (1 to count($quantity-match)) return if ($quantity-match[$i]) then '1' else '0', '|')" /><xsl:text />'.
		Was the quantity found by looking in table rows? <xsl:text /><xsl:value-of select="$in-a-table" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and @value and $xpre-num &gt; 0 and not($in-a-table or $in-xpre or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and @value and $xpre-num &gt; 0 and not($in-a-table or $in-xpre or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-PQ): The Time Frame '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text />.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($unit-synonyms, '|')" /><xsl:text />'.
		The narrative contains <xsl:text /><xsl:value-of select="$xpre-num" /><xsl:text /> elements with the xPre styleCode.
		The value regular expression value-regex is '<xsl:text /><xsl:value-of select="$value-regex" /><xsl:text />'.
		Elements of xpre-value-match are '<xsl:text /><xsl:value-of select="string-join(for $x in $xpre-value-match return if ($x) then '1' else '0', '|')" /><xsl:text />'.
		Elements of search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($search-regex-2, '|')" /><xsl:text />'.
		Elements of xpre-quantity-match are '<xsl:text /><xsl:value-of select="string-join(for $x in $xpre-quantity-match return if ($x) then '1' else '0', '|')" /><xsl:text />'.
		Was the quantity found by looking in elements with the xPre styleCode? <xsl:text /><xsl:value-of select="$in-xpre" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and @value and not($in-a-table or $narr-quantity-match or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and @value and not($in-a-table or $narr-quantity-match or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-PQ): The Time Frame '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text />.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($unit-synonyms, '|')" /><xsl:text />'.
		The value regular expression value-regex is '<xsl:text /><xsl:value-of select="$value-regex" /><xsl:text />'.
		Was the value found in the narrative? <xsl:text /><xsl:value-of select="$narr-value-match" /><xsl:text />.
		Elements of search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($search-regex-2, '|')" /><xsl:text />'.
		Was the quantity found in the narrative? <xsl:text /><xsl:value-of select="$narr-quantity-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @value and not($narr-quantity-match or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value and not($narr-quantity-match or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-6" /><xsl:text />: TC-Narr-09 step 6: The Time Frame '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text /> however the quantity does not seem to be
		present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Time Frame data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and @value and not($narr-value-match or $narr-quantity-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and @value and not($narr-value-match or $narr-quantity-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-6" /><xsl:text />: TC-Narr-09 step 6: The Time Frame '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text /> however the quantity is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and @value and not($narr-value-match or $narr-quantity-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and @value and not($narr-value-match or $narr-quantity-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-6" /><xsl:text />: TC-Narr-09 step 6: The Time Frame '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text /> however the quantity is not present in the narrative of the section.
		The Time Frame data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'QS', 'TRC', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'QS', 'TRC', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Time Frame '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M862" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M862" />
  <xsl:template match="@*|node()" priority="-2" mode="M862">
    <xsl:apply-templates select="@*|*" mode="M862" />
  </xsl:template>
  <!--PATTERN p-TS-Recommend-DateTime-Duration-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16606' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16606']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20016']]/cda:effectiveTime[not(cda:width)]    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))] " priority="1000" mode="M863">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16606' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16606']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20016']]/cda:effectiveTime[not(cda:width)]    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="fir-narrative" select="translate(normalize-space(lower-case(string($fir-narr-node))), $chars-to-remove, '')" />
    <xsl:variable name="sec-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)        then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]        else () " />
    <xsl:variable name="sec-narr-node" select="$sec-section/cda:text " />
    <xsl:variable name="narr-text-el" select="(for $text in ($fir-narr-node//text(), $sec-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="sec-narrative" select="translate(normalize-space(lower-case(string($sec-narr-node))), $chars-to-remove, '') " />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="narrative" select="concat($target-title, $fir-narrative, $sec-narrative)" />
    <xsl:variable name="narr-elements" select="$fir-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ]  |             $sec-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ] " />
    <xsl:variable name="narr-lower-case" select="for $i in (1 to count($narr-elements)) return lower-case(normalize-space(string-join($narr-elements[$i]/text(), '')))  " />
    <xsl:variable name="dt-narr-elements" select="$narr-lower-case[matches(., $regex-date-type-1, 'i') or matches(., $regex-date-type-2, 'i') or matches(., $regex-date-type-3, 'i')] " />
    <xsl:variable name="narr-elements-start" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-before($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-before($dt-narr-elements[$i], ' -'))        else $dt-narr-elements[$i])[. != ''] " />
    <xsl:variable name="narr-elements-end" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-after($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-after($dt-narr-elements[$i], ' -'))        else '')[. != ''] " />
    <xsl:variable name="narr-dateTimes" select="distinct-values(($narr-elements-start , $narr-elements-end))[. != '(ongoing)'] " />
    <xsl:variable name="dt-value" select="if (@value) then @value else '' " />
    <xsl:variable name="no-time-zone" select="if (contains($dt-value, '+')) then substring-before($dt-value, '+')       else if (contains($dt-value, '-')) then substring-before($dt-value, '-')       else $dt-value " />
    <xsl:variable name="dateTime-length" select="string-length($no-time-zone) " />
    <xsl:variable name="year" select="if ($dateTime-length &gt; 3) then substring($no-time-zone,1,4) else '' " />
    <xsl:variable name="month-num" select="if ($dateTime-length &gt; 5) then substring($no-time-zone,5,2) else '' " />
    <xsl:variable name="day" select="if ($dateTime-length &gt; 7 and substring($no-time-zone,7,1) = '0') then substring($no-time-zone,8,1)       else if ($dateTime-length &gt; 7 and substring($no-time-zone,7,1) != '0') then substring($no-time-zone,7,2) else '' " />
    <xsl:variable name="hour-long" select="if ($dateTime-length &gt; 9) then substring($no-time-zone,9,2) else '' " />
    <xsl:variable name="hour-short" select="if (substring($hour-long, 1, 1) = '0') then substring($hour-long, 2, 1) else '' " />
    <xsl:variable name="minute" select="if ($dateTime-length &gt; 11) then substring($no-time-zone,11,2) else '' " />
    <xsl:variable name="second" select="if ($dateTime-length &gt; 13) then substring($no-time-zone,13,2) else '' " />
    <xsl:variable name="time-zone" select="if (contains($dt-value, '+')) then concat('\+', substring-after($dt-value, '+'))       else if (contains($dt-value, '-')) then concat('\-', substring-after($dt-value, '-'))       else '' " />
    <xsl:variable name="month-short" select="if ($month-num = '01') then 'jan'  else             if ($month-num = '02') then 'feb'  else             if ($month-num = '03') then 'mar'  else             if ($month-num = '04') then 'apr'  else             if ($month-num = '05') then 'may'  else             if ($month-num = '06') then 'jun'  else             if ($month-num = '07') then 'jul'  else             if ($month-num = '08') then 'aug'  else             if ($month-num = '09') then 'sep'  else             if ($month-num = '10') then 'oct'  else             if ($month-num = '11') then 'nov'  else             if ($month-num = '12') then 'dec'  else '' " />
    <xsl:variable name="month-long" select="if ($month-num = '01') then 'january'  else             if ($month-num = '02') then 'february'  else             if ($month-num = '03') then 'march'  else             if ($month-num = '04') then 'april'  else             if ($month-num = '05') then 'may'  else             if ($month-num = '06') then 'june'  else             if ($month-num = '07') then 'july'  else             if ($month-num = '08') then 'august'  else             if ($month-num = '09') then 'september'  else             if ($month-num = '10') then 'october'  else             if ($month-num = '11') then 'november'  else             if ($month-num = '12') then 'december'  else '' " />
    <xsl:variable name="date-type-3-day" select="if (string-length($day) = 1) then concat('0{0,1}', $day) else $day " />
    <xsl:variable name="date-type-3-month" select="if (string-length($month-num) = 1) then concat('0{0,1}', $month-num)        else if (substring($month-num, 1, 1) = '0') then concat('0{0,1}', substring($month-num, 2, 1))         else $month-num " />
    <xsl:variable name="dt-sequence-1" select="if ($dateTime-length = 4) then (         concat('^', $dt-value)         ,          concat('^', $year)         )        else if ($dateTime-length = 6) then (         concat('^', $dt-value)         ,         concat('^', $month-short, $date-sep, $year)      ,          concat('^', $month-long, $date-sep, $year)      )        else if ($dateTime-length &gt; 7) then (         concat('^', $dt-value)         ,         concat('^', $date-type-3-day, $date-sep, $month-short, $date-sep, $year)  ,         concat('^', $date-type-3-day, $date-sep, $month-long, $date-sep, $year)   ,         concat('^', $date-type-3-day, '/', $date-type-3-month, '/', $year)   )        else () " />
    <xsl:variable name="matching-seq-1" select="if (exists($dt-sequence-1))        then index-of(for $i in (1 to count($dt-sequence-1)) return exists($narr-dateTimes[matches(., $dt-sequence-1[$i], 'i')]), true())        else () " />
    <xsl:variable name="dt-stem-1" select="for $i in (1 to count($matching-seq-1)) return $dt-sequence-1[$matching-seq-1[$i]] " />
    <xsl:variable name="dt-regex-1" select="if (exists($dt-stem-1)) then concat('(', string-join($dt-stem-1, '$)|('), '$)') else ()" />
    <xsl:variable name="dt-match-1" select="exists($dt-stem-1) and exists($narr-dateTimes[matches(., $dt-regex-1, 'i')])" />
    <xsl:variable name="time-1" select="if ($dateTime-length &gt; 11 and $hour-short != '') then concat($hour-short, ':', $minute, '( *| *am)') else '' " />
    <xsl:variable name="time-2" select="if ($dateTime-length &gt; 13 and $hour-short != '') then concat($hour-short, ':', $minute, ':', $second, '( *| *am)') else '' " />
    <xsl:variable name="time-3" select="if ($dateTime-length &gt; 11 and number($hour-long) &lt; 12) then concat($hour-long, ':', $minute, '( *| *am)')       else if ($dateTime-length &gt; 11) then concat($hour-long, ':', $minute) else '' " />
    <xsl:variable name="time-4" select="if ($dateTime-length &gt; 13 and number($hour-long) &lt; 12) then concat($hour-long, ':', $minute, ':', $second, '( *| *am)')        else if ($dateTime-length &gt; 13) then concat($hour-long, ':', $minute, ':', $second) else '' " />
    <xsl:variable name="time-5" select="if ($dateTime-length &gt; 11 and number($hour-long) &gt; 12) then concat(string(number($hour-long) - 12), ':', $minute, '( *| *pm)') else '' " />
    <xsl:variable name="time-6" select="if ($dateTime-length &gt; 13 and number($hour-long) &gt; 12) then concat(string(number($hour-long) - 12), ':', $minute, ':', $second, '( *| *pm)') else '' " />
    <xsl:variable name="dt-temp-0" select="if (exists($dt-stem-1) and $dateTime-length = 8) then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $narr-time-regex) else () " />
    <xsl:variable name="dt-temp-1" select="if (exists($dt-stem-1) and $time-1 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-1) else () " />
    <xsl:variable name="dt-temp-2" select="if (exists($dt-stem-1) and $time-2 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-2) else () " />
    <xsl:variable name="dt-temp-3" select="if (exists($dt-stem-1) and $time-3 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-3) else () " />
    <xsl:variable name="dt-temp-4" select="if (exists($dt-stem-1) and $time-4 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-4) else () " />
    <xsl:variable name="dt-temp-5" select="if (exists($dt-stem-1) and $time-5 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-5) else () " />
    <xsl:variable name="dt-temp-6" select="if (exists($dt-stem-1) and $time-6 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-6) else () " />
    <xsl:variable name="dt-sequence-2" select="($dt-temp-0, $dt-temp-1, $dt-temp-2, $dt-temp-3, $dt-temp-4, $dt-temp-5, $dt-temp-6)" />
    <xsl:variable name="matching-seq-2" select="if (exists($dt-sequence-2))        then index-of(for $i in (1 to count($dt-sequence-2)) return exists($narr-dateTimes[matches(., $dt-sequence-2[$i], 'i')]), true())        else () " />
    <xsl:variable name="dt-stem-2" select="for $i in (1 to count($matching-seq-2)) return $dt-sequence-2[$matching-seq-2[$i]] " />
    <xsl:variable name="dt-regex-2" select="if (exists($dt-stem-2)) then concat('(', string-join($dt-stem-2, '$)|('), '$)') else '' " />
    <xsl:variable name="dt-match-2" select="(exists($dt-stem-2) and exists($narr-dateTimes[matches(., $dt-regex-2, 'i')])) " />
    <xsl:variable name="dt-sequence-3" select="if (not($dt-match-2) and exists($dt-stem-2) and $time-zone != '') then for $i in (1 to count($dt-stem-2)) return        concat($dt-stem-2[$i], substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2)) else () " />
    <xsl:variable name="dt-regex-3" select="if ($dt-match-2) then '' else if (exists($dt-sequence-3)) then concat('(', string-join($dt-sequence-3, '$)|('), '$)') else '' " />
    <xsl:variable name="dt-match-3" select="($dt-match-2 or (exists($dt-sequence-3) and exists($narr-dateTimes[matches(., $dt-regex-3, 'i')]))) " />
    <xsl:variable name="narr-match" select="if ($dt-value != '' and not(exists($narr-dateTimes))) then      (       contains($narrative, $dt-value)               or       (string-length($dt-value) = 4 and contains($narrative, $year))            or        (string-length($dt-value) = 6 and contains($narrative, concat($month-short, $year)))          or       (string-length($dt-value) &gt; 7 and starts-with($day, '0') and        (contains($narrative, concat(substring($day,2,1), $month-short, $year)) or         contains($narrative, concat(substring($day,2,1), $month-num, $year))))          or       (string-length($dt-value) &gt; 7 and (contains($narrative, concat($day, $month-short, $year)) or contains($narrative, concat($day, $month-num, $year))))        )       else false() " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($fir-narr-node//cda:renderMultiMedia) or exists($sec-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($fir-narr-node//cda:linkHtml) or exists($sec-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="warning-1" select="exists($dt-sequence-1) and exists($narr-dateTimes) and $dt-match-1 and not($dt-match-3) and $dt-value != '' " />
    <xsl:variable name="error-1" select="$warning-1 and not($multimedia) " />
    <xsl:variable name="warning-2" select="exists($dt-sequence-1) and exists($narr-dateTimes) and not($dt-match-1 or $dt-match-3) and $dt-value != '' " />
    <xsl:variable name="error-2a" select="$warning-2 and not($multimedia) and $time-zone != '' and count($narr-dateTimes) =        count(for $dt in $narr-dateTimes return replace(replace($dt, $regex-date-type-1, ''), $regex-date-type-2, '')       [matches(., concat('^\s*([0-9]{1,2}:{1}[0-9]{2}\s*', substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2),         '|[0-9]{1,2}:{1}[0-9]{2}:{1}[0-9]{2}\s*', substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2), ')\s*$'), 'i')]) " />
    <xsl:variable name="error-2b" select="$warning-2 and not($dt-match-1) and not($multimedia) and count($narr-dateTimes[matches(., $regex-date-type-2, 'i')]) =        count($narr-dateTimes[matches(., concat($regex-date-type-2, ' ', $narr-time-regex, '$'), 'i')]) " />
    <xsl:variable name="error-2c" select="$warning-2 and exists($narr-dateTimes[matches(., concat('^', $year, '$'))]) " />
    <xsl:variable name="error-2" select="$error-2a or $error-2b or $error-2c " />
    <xsl:variable name="warning-3" select="$dt-value != '' and not(exists($narr-dateTimes)) and not($narr-match) " />
    <xsl:variable name="error-3" select="$warning-3 and not($multimedia) and not(contains($narrative, substring($year, 3, 2)))" />
    <xsl:variable name="narr-dt-msg" select="if ($multimedia or $no-content) then ''       else if (not(exists($narr-dateTimes))) then concat(' The narrative of the ', iq:location(., ''), ' contains no dateTime elements.')       else if (count($narr-dateTimes) = 1) then concat(' The only dateTime element in the narrative of the ', iq:location(., ''), ' is ''',         dh:XQueryRecursiveReplace($narr-dateTimes[1], '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), '''.')       else concat(' The distinct dateTime elements in the narrative of the ', iq:location(., ''), ' are ''',         string-join(for $dt in $narr-dateTimes return          dh:XQueryRecursiveReplace($dt, '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), ', '), '''.') " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-4" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-4 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and exists($dt-sequence-1) and $dt-value != '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and exists($dt-sequence-1) and $dt-value != ''">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 4: The dateTime element in the structured data is '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'.
		The number of dateTime elements that have been extracted from the narrative is '<xsl:text /><xsl:value-of select="count($narr-dateTimes)" /><xsl:text />'.
		These are '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-dateTimes, ', '), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The initial regular expressions are '<xsl:text /><xsl:value-of select="string-join($dt-sequence-1, ', ')" /><xsl:text />'.
		The items in dt-stem-1 are: '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($dt-stem-1, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The items in dt-sequence-2 are: '<xsl:text /><xsl:value-of select="string-join($dt-sequence-2, '|')" /><xsl:text />'.
		The items in dt-stem-2 are: '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($dt-stem-2, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The three regular expressions used to perform an exact match for narrative dateTime elements are as follows:
		dt-regex-1='<xsl:text /><xsl:value-of select="$dt-regex-1" /><xsl:text />'; dt-regex-2='<xsl:text /><xsl:value-of select="$dt-regex-2" /><xsl:text />'; and dt-regex-3='<xsl:text /><xsl:value-of select="$dt-regex-3" /><xsl:text />'.
		Was a match found after the first regular expression (with just a date) was created? <xsl:text /><xsl:value-of select="$dt-match-1" /><xsl:text />.		
		<xsl:text /><xsl:value-of select="if ($dt-regex-2 = '') then 'The second regular expression was not applied as there is no time information.'    else concat('Was a match found after the second regular expression (with a date and time) was created? ', $dt-match-2, '.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($dt-regex-3 = '') then ' The third regular expression was not applied as there is no timezone information.'    else concat(' Was a match found after the third regular expression (with a date and time) was created? ', $dt-match-3, '.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $warning-1 and not($error-1 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $warning-1 and not($error-1 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Time Frame 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Time Frame data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $error-1 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $error-1 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Time Frame 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. The Time Frame data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $error-1 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $error-1 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Time Frame 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. The Time Frame data element records clinical information and all clinical information in entry elements must be present in the narrative.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $warning-2 and not($error-2 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$warning-2 and not($error-2 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Time Frame 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Time Frame data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-2 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-2 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Time Frame 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="if ($error-2c) then concat('The narrative contains a date with the same year ''', $year, ''' but without a month or day.') else '' " /><xsl:text />
		The Time Frame data element records clinical information and all clinical information in entry elements must be present in the narrative.
		<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-2 and not($no-content) and not(true())">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-2 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Time Frame 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="if ($error-2c) then concat('The narrative contains a date with the same year ''', $year, ''' but without a month or day.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $warning-3 and not($error-3 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$warning-3 and not($error-3 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Time Frame 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Time Frame data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $dt-value != '' and not($narr-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $dt-value != '' and not($narr-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Time Frame 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $dt-value != '' and not($narr-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $dt-value != '' and not($narr-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Time Frame '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Time Frame data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-3 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-3 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Time Frame '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Time Frame data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-3 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-3 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Time Frame '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Time Frame '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M863" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M863" />
  <xsl:template match="@*|node()" priority="-2" mode="M863">
    <xsl:apply-templates select="@*|*" mode="M863" />
  </xsl:template>
  <!--PATTERN p-TS-Recommend-Text-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16606' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16606']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20016']]/cda:text " priority="1000" mode="M864">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16606' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16606']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20016']]/cda:text " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Recommendation Narrative
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 7.6 of the Specialist Letter Structured Content Specification v1.1 the Recommendation Narrative 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 7.6 of the Specialist Letter Structured Content Specification v1.1 the Recommendation Narrative
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 7.6 of the Specialist Letter Structured Content Specification v1.1 the Recommendation Narrative
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Recommendation Narrative however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Recommendation Narrative in section 7.6 of the Specialist Letter Structured Content Specification v1.1 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 7.6 of the Specialist Letter Structured Content Specification v1.1 the Recommendation Narrative
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Recommendation Narrative however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Recommendation Narrative in section 7.6 of the Specialist Letter Structured Content Specification v1.1 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Recommendation Narrative data element with a proper value then an exclusion
		statement must be included to state why there is no Recommendation Narrative. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 7.6 of the Specialist Letter Structured Content Specification v1.1 the Recommendation Narrative
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Recommendation Narrative however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Recommendation Narrative in section 7.6 of the Specialist Letter Structured Content Specification v1.1 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 7.6 of the Specialist Letter Structured Content Specification v1.1 the Recommendation Narrative
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 7.6 of the Specialist Letter Structured Content Specification v1.1 the Recommendation Narrative
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 7.6 of the Specialist Letter Structured Content Specification v1.1 the Recommendation Narrative
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 7.6 of the Specialist Letter Structured Content Specification v1.1 the Recommendation Narrative
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 7.6 of the Specialist Letter Structured Content Specification v1.1 the Recommendation Narrative
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 7.6 of the Specialist Letter Structured Content Specification v1.1 the Recommendation Narrative
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 7.6 of the Specialist Letter Structured Content Specification v1.1 the Recommendation Narrative
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 7.6 of the Specialist Letter Structured Content Specification v1.1 the Recommendation Narrative
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 7.6 of the Specialist Letter Structured Content Specification v1.1 the Recommendation Narrative
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 7.6 of the Specialist Letter Structured Content Specification v1.1 the Recommendation Narrative
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M864" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M864" />
  <xsl:template match="@*|node()" priority="-2" mode="M864">
    <xsl:apply-templates select="@*|*" mode="M864" />
  </xsl:template>
  <!--PATTERN p-TS-Recommend-Text-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16606' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16606']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20016']]/cda:text " priority="1000" mode="M865">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16606' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16606']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20016']]/cda:text " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Recommendation Narrative '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Recommendation Narrative
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Recommendation Narrative data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Recommendation Narrative
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Recommendation Narrative data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Recommendation Narrative
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Recommendation Narrative
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Recommendation Narrative data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Recommendation Narrative
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M865" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M865" />
  <xsl:template match="@*|node()" priority="-2" mode="M865">
    <xsl:apply-templates select="@*|*" mode="M865" />
  </xsl:template>
  <!--PATTERN p-TS-Recommend-Text-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16606' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16606']]/cda:entry/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16134']]/cda:value " priority="1000" mode="M866">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16606' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16606']]/cda:entry/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16134']]/cda:value " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Recommendations Exclusion - General Statement
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 8.5 of the Specialist Letter Structured Content Specification v1.1 the Recommendations Exclusion - General Statement 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 8.5 of the Specialist Letter Structured Content Specification v1.1 the Recommendations Exclusion - General Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 8.5 of the Specialist Letter Structured Content Specification v1.1 the Recommendations Exclusion - General Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Recommendations Exclusion - General Statement however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Recommendations Exclusion - General Statement in section 8.5 of the Specialist Letter Structured Content Specification v1.1 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 8.5 of the Specialist Letter Structured Content Specification v1.1 the Recommendations Exclusion - General Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Recommendations Exclusion - General Statement however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Recommendations Exclusion - General Statement in section 8.5 of the Specialist Letter Structured Content Specification v1.1 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Recommendations Exclusion - General Statement data element with a proper value then an exclusion
		statement must be included to state why there is no Recommendations Exclusion - General Statement. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 8.5 of the Specialist Letter Structured Content Specification v1.1 the Recommendations Exclusion - General Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Recommendations Exclusion - General Statement however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Recommendations Exclusion - General Statement in section 8.5 of the Specialist Letter Structured Content Specification v1.1 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 8.5 of the Specialist Letter Structured Content Specification v1.1 the Recommendations Exclusion - General Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 8.5 of the Specialist Letter Structured Content Specification v1.1 the Recommendations Exclusion - General Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 8.5 of the Specialist Letter Structured Content Specification v1.1 the Recommendations Exclusion - General Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 8.5 of the Specialist Letter Structured Content Specification v1.1 the Recommendations Exclusion - General Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 8.5 of the Specialist Letter Structured Content Specification v1.1 the Recommendations Exclusion - General Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 8.5 of the Specialist Letter Structured Content Specification v1.1 the Recommendations Exclusion - General Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 8.5 of the Specialist Letter Structured Content Specification v1.1 the Recommendations Exclusion - General Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 8.5 of the Specialist Letter Structured Content Specification v1.1 the Recommendations Exclusion - General Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 8.5 of the Specialist Letter Structured Content Specification v1.1 the Recommendations Exclusion - General Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 8.5 of the Specialist Letter Structured Content Specification v1.1 the Recommendations Exclusion - General Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M866" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M866" />
  <xsl:template match="@*|node()" priority="-2" mode="M866">
    <xsl:apply-templates select="@*|*" mode="M866" />
  </xsl:template>
  <!--PATTERN p-TS-Recommend-Text-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16606' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16606']]/cda:entry/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16134']]/cda:value " priority="1000" mode="M867">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16606' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16606']]/cda:entry/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16134']]/cda:value " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Recommendations Exclusion - General Statement '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Recommendations Exclusion - General Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Recommendations Exclusion - General Statement data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Recommendations Exclusion - General Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Recommendations Exclusion - General Statement data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Recommendations Exclusion - General Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Recommendations Exclusion - General Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Recommendations Exclusion - General Statement data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Recommendations Exclusion - General Statement
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M867" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M867" />
  <xsl:template match="@*|node()" priority="-2" mode="M867">
    <xsl:apply-templates select="@*|*" mode="M867" />
  </xsl:template>
  <!--PATTERN p-TS-RefDetail-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16347' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16347'] " priority="1000" mode="M868">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16347' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16347'] " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating" select="if ($initial-priority) then $initial-rating else if ($FS-Types-seq/@rating) then concat(' (', $FS-Types-seq/@rating, ')') else '' " />
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and not(/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2']) and $extensions-allowed">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2']) and $extensions-allowed">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: FS-Types: The Referral Detail section (codeSystem '1.2.36.1.2001.1001.101' and code '102.16347') has been found in a <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. The Referral Detail section (codeSystem '1.2.36.1.2001.1001.101' and code '102.16347') is defined in the digital health specifications but
		although tests have been applied to the data elements the specification of the data elements may have been varied for inclusion in this document
		so further examination may be needed. The rules have been validated for <xsl:text /><xsl:value-of select="normalize-space('eReferral CDA Implementation Guide version 2.2')" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M868" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M868" />
  <xsl:template match="@*|node()" priority="-2" mode="M868">
    <xsl:apply-templates select="@*|*" mode="M868" />
  </xsl:template>
  <!--PATTERN p-TS-RefDetail-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16347' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16347']]/cda:component/cda:section " priority="1000" mode="M869">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16347' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16347']]/cda:component/cda:section " />
    <xsl:variable name="agency-section" select=" cda:code/@codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="test-step" select=" if (not($extensions-allowed)) then 'step 4'        else if ($agency-section) then 'step 3' else 'step 1' " />
    <xsl:variable name="title-and-code" select=" if (cda:title and cda:code/@code) then concat('title ''', cda:title, ''', code/code ''', cda:code/@code, '''')        else if (cda:title and not(cda:code/@code)) then concat('title ''', cda:title, '''')        else if (not(cda:title) and cda:code/@code) then concat('code/code ''', cda:code/@code, '''')        else '' " />
    <xsl:variable name="other-section-names" select=" if (cda:code/@displayName and not(cda:code/cda:originalText)) then concat(' and code/displayName ''', cda:code/@displayName, '''')         else if (cda:code/@displayName and cda:code/cda:originalText)          then concat(', code/displayName ''', cda:code/@displayName,''' and code/originalText ''', cda:code/cda:originalText, '''')        else if (not(cda:code/@displayName) and cda:code/cda:originalText) then concat(' and code/originalText ''', cda:code/cda:originalText, '''')        else '' " />
    <xsl:variable name="section-names" select="concat($title-and-code, $other-section-names)" />
    <xsl:variable name="doc-code" select="/cda:ClinicalDocument/cda:code" />
    <xsl:variable name="parent-section" select="ancestor::cda:section[position()=1]" />
    <xsl:variable name="custom-section-info" select="($iq-config/custom-sections/section, $knowledge/custom-sections/section)[        @doc-code  = $doc-code/@code          and        @doc-codeSystem  = $doc-code/@codeSystem          and        @parent-code   = $parent-section/cda:code/@code         and         @parent-codeSystem  = $parent-section/cda:code/@codeSystem        and         (@title = current()/cda:title or (@code = current()/cda:code/@code and @codeSystem = current()/cda:code/@codeSystem)) ] " />
    <xsl:variable name="section-disallowed" select="$custom-section-info/@disallowed = 'yes' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and ($section-disallowed or not(exists($custom-section-info)))) then $rating-alt-TC-Doc-28-step-1        else if ($test-step = 'step 1' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections]) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 3') then $rating-TC-Doc-28-step-3 else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and $section-disallowed ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and $section-disallowed">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Referral Detail section (codeSystem '1.2.36.1.2001.1001.101' and code '102.16347') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> which
		is an extension to the information model however the inclusion of this section conflicts with sections defined in the digital health specifications.
		<xsl:text /><xsl:value-of select="$custom-section-info[@disallowed = 'yes']/@reason" /><xsl:text /> (Also see <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not(false()) and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(false()) and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Referral Detail section (codeSystem '1.2.36.1.2001.1001.101' and code '102.16347') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. No subsection is expected so this
		is an extension to the information model. Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the 
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(false()) and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(false()) and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Referral Detail section (codeSystem '1.2.36.1.2001.1001.101' and code '102.16347') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> but no subsections were
		expected so the document fails to meet the requirement that it must not contain additional data elements. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and false() and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and false() and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Referral Detail section (codeSystem '1.2.36.1.2001.1001.101' and code '102.16347') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		none are expected but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the information model.
		Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Referral Detail section (codeSystem '1.2.36.1.2001.1001.101' and code '102.16347') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		none are expected but the inclusion of the section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> fails to meet the requirement that it must not contain additional data elements.
		(See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M869" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M869" />
  <xsl:template match="@*|node()" priority="-2" mode="M869">
    <xsl:apply-templates select="@*|*" mode="M869" />
  </xsl:template>
  <!--PATTERN p-TS-RefDetail-DateTime-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16347' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16347']]/cda:entry/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16620']]/cda:value " priority="1000" mode="M870">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16347' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16347']]/cda:entry/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16620']]/cda:value " />
    <xsl:variable name="allow-ivl-ts" select="if (not(@xsi:type)) then false() else /cda:ClinicalDocument       [cda:templateId[(@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')  or         (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or         (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) ]]   and        local-name(.) = 'value'             and        ..[local-name(.) = 'observation' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]   and       ../..[local-name(.) = 'entryRelationship' and @typeCode='SUBJ']        and       ../../..[local-name(.) = 'observation' and cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]  and       ../../../..[local-name(.) = 'entry']            and       ../../../../..[local-name(.) = 'section' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]  " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-18" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-18 else $rating-alt-TC-Types-18 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-18: The Referral DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data
		type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime',            'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime', 'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: The Referral DateTime

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type but it does not meet the requirement to have the xsi:type attribute with the value 'TS'.
		(See section 8.6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to section 3.3 the eReferral Structured Content Specification v2.1 the Referral DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was
		found. This may be corrected by using an xsi:type attribute with the value 'TS'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to section 3.3 the eReferral Structured Content Specification v2.1 the Referral DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		This may be corrected by using an xsi:type attribute with the value 'TS'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to section 3.3 the eReferral Structured Content Specification v2.1 the Referral DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7
		'TS' data type to have a value attribute if there is no nullFlavor
		attribute. (See section 7.8.13.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange')

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to section 3.3 the eReferral Structured Content Specification v2.1 the Referral DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7 'TS' data type to have a value attribute if there is no nullFlavor
		attribute. The element has a '<xsl:text /><xsl:value-of select="local-name(*[local-name(.) = ('low', 'high')])" /><xsl:text />' child element with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		which is not one of the elements used for the HL7 'TS'
		data type. (See section 7.8.13 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.3 the eReferral Structured Content Specification v2.1 the Referral DateTime
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		is present. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.3 the eReferral Structured Content Specification v2.1 the Referral DateTime
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' was found. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.3 the eReferral Structured Content Specification v2.1 the Referral DateTime
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.3 the eReferral Structured Content Specification v2.1 the Referral DateTime
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@value) and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@value) and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 3.3 the eReferral Structured Content Specification v2.1 the Referral DateTime
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (uncoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include
		nullFlavor 'UNC'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M870" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M870" />
  <xsl:template match="@*|node()" priority="-2" mode="M870">
    <xsl:apply-templates select="@*|*" mode="M870" />
  </xsl:template>
  <!--PATTERN p-TS-RefDetail-DateTime-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16347' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16347']]/cda:entry/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16620']]/cda:value    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))] " priority="1000" mode="M871">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16347' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16347']]/cda:entry/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16620']]/cda:value    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="fir-narrative" select="translate(normalize-space(lower-case(string($fir-narr-node))), $chars-to-remove, '')" />
    <xsl:variable name="sec-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)        then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]        else () " />
    <xsl:variable name="sec-narr-node" select="$sec-section/cda:text " />
    <xsl:variable name="narr-text-el" select="(for $text in ($fir-narr-node//text(), $sec-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="sec-narrative" select="translate(normalize-space(lower-case(string($sec-narr-node))), $chars-to-remove, '') " />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="narrative" select="concat($target-title, $fir-narrative, $sec-narrative)" />
    <xsl:variable name="narr-elements" select="$fir-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ]  |             $sec-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ] " />
    <xsl:variable name="narr-lower-case" select="for $i in (1 to count($narr-elements)) return lower-case(normalize-space(string-join($narr-elements[$i]/text(), '')))  " />
    <xsl:variable name="dt-narr-elements" select="$narr-lower-case[matches(., $regex-date-type-1, 'i') or matches(., $regex-date-type-2, 'i') or matches(., $regex-date-type-3, 'i')] " />
    <xsl:variable name="narr-elements-start" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-before($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-before($dt-narr-elements[$i], ' -'))        else $dt-narr-elements[$i])[. != ''] " />
    <xsl:variable name="narr-elements-end" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-after($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-after($dt-narr-elements[$i], ' -'))        else '')[. != ''] " />
    <xsl:variable name="narr-dateTimes" select="distinct-values(($narr-elements-start , $narr-elements-end))[. != '(ongoing)'] " />
    <xsl:variable name="dt-value" select="if (@value) then @value else '' " />
    <xsl:variable name="no-time-zone" select="if (contains($dt-value, '+')) then substring-before($dt-value, '+')       else if (contains($dt-value, '-')) then substring-before($dt-value, '-')       else $dt-value " />
    <xsl:variable name="dateTime-length" select="string-length($no-time-zone) " />
    <xsl:variable name="year" select="if ($dateTime-length &gt; 3) then substring($no-time-zone,1,4) else '' " />
    <xsl:variable name="month-num" select="if ($dateTime-length &gt; 5) then substring($no-time-zone,5,2) else '' " />
    <xsl:variable name="day" select="if ($dateTime-length &gt; 7 and substring($no-time-zone,7,1) = '0') then substring($no-time-zone,8,1)       else if ($dateTime-length &gt; 7 and substring($no-time-zone,7,1) != '0') then substring($no-time-zone,7,2) else '' " />
    <xsl:variable name="hour-long" select="if ($dateTime-length &gt; 9) then substring($no-time-zone,9,2) else '' " />
    <xsl:variable name="hour-short" select="if (substring($hour-long, 1, 1) = '0') then substring($hour-long, 2, 1) else '' " />
    <xsl:variable name="minute" select="if ($dateTime-length &gt; 11) then substring($no-time-zone,11,2) else '' " />
    <xsl:variable name="second" select="if ($dateTime-length &gt; 13) then substring($no-time-zone,13,2) else '' " />
    <xsl:variable name="time-zone" select="if (contains($dt-value, '+')) then concat('\+', substring-after($dt-value, '+'))       else if (contains($dt-value, '-')) then concat('\-', substring-after($dt-value, '-'))       else '' " />
    <xsl:variable name="month-short" select="if ($month-num = '01') then 'jan'  else             if ($month-num = '02') then 'feb'  else             if ($month-num = '03') then 'mar'  else             if ($month-num = '04') then 'apr'  else             if ($month-num = '05') then 'may'  else             if ($month-num = '06') then 'jun'  else             if ($month-num = '07') then 'jul'  else             if ($month-num = '08') then 'aug'  else             if ($month-num = '09') then 'sep'  else             if ($month-num = '10') then 'oct'  else             if ($month-num = '11') then 'nov'  else             if ($month-num = '12') then 'dec'  else '' " />
    <xsl:variable name="month-long" select="if ($month-num = '01') then 'january'  else             if ($month-num = '02') then 'february'  else             if ($month-num = '03') then 'march'  else             if ($month-num = '04') then 'april'  else             if ($month-num = '05') then 'may'  else             if ($month-num = '06') then 'june'  else             if ($month-num = '07') then 'july'  else             if ($month-num = '08') then 'august'  else             if ($month-num = '09') then 'september'  else             if ($month-num = '10') then 'october'  else             if ($month-num = '11') then 'november'  else             if ($month-num = '12') then 'december'  else '' " />
    <xsl:variable name="date-type-3-day" select="if (string-length($day) = 1) then concat('0{0,1}', $day) else $day " />
    <xsl:variable name="date-type-3-month" select="if (string-length($month-num) = 1) then concat('0{0,1}', $month-num)        else if (substring($month-num, 1, 1) = '0') then concat('0{0,1}', substring($month-num, 2, 1))         else $month-num " />
    <xsl:variable name="dt-sequence-1" select="if ($dateTime-length = 4) then (         concat('^', $dt-value)         ,          concat('^', $year)         )        else if ($dateTime-length = 6) then (         concat('^', $dt-value)         ,         concat('^', $month-short, $date-sep, $year)      ,          concat('^', $month-long, $date-sep, $year)      )        else if ($dateTime-length &gt; 7) then (         concat('^', $dt-value)         ,         concat('^', $date-type-3-day, $date-sep, $month-short, $date-sep, $year)  ,         concat('^', $date-type-3-day, $date-sep, $month-long, $date-sep, $year)   ,         concat('^', $date-type-3-day, '/', $date-type-3-month, '/', $year)   )        else () " />
    <xsl:variable name="matching-seq-1" select="if (exists($dt-sequence-1))        then index-of(for $i in (1 to count($dt-sequence-1)) return exists($narr-dateTimes[matches(., $dt-sequence-1[$i], 'i')]), true())        else () " />
    <xsl:variable name="dt-stem-1" select="for $i in (1 to count($matching-seq-1)) return $dt-sequence-1[$matching-seq-1[$i]] " />
    <xsl:variable name="dt-regex-1" select="if (exists($dt-stem-1)) then concat('(', string-join($dt-stem-1, '$)|('), '$)') else ()" />
    <xsl:variable name="dt-match-1" select="exists($dt-stem-1) and exists($narr-dateTimes[matches(., $dt-regex-1, 'i')])" />
    <xsl:variable name="time-1" select="if ($dateTime-length &gt; 11 and $hour-short != '') then concat($hour-short, ':', $minute, '( *| *am)') else '' " />
    <xsl:variable name="time-2" select="if ($dateTime-length &gt; 13 and $hour-short != '') then concat($hour-short, ':', $minute, ':', $second, '( *| *am)') else '' " />
    <xsl:variable name="time-3" select="if ($dateTime-length &gt; 11 and number($hour-long) &lt; 12) then concat($hour-long, ':', $minute, '( *| *am)')       else if ($dateTime-length &gt; 11) then concat($hour-long, ':', $minute) else '' " />
    <xsl:variable name="time-4" select="if ($dateTime-length &gt; 13 and number($hour-long) &lt; 12) then concat($hour-long, ':', $minute, ':', $second, '( *| *am)')        else if ($dateTime-length &gt; 13) then concat($hour-long, ':', $minute, ':', $second) else '' " />
    <xsl:variable name="time-5" select="if ($dateTime-length &gt; 11 and number($hour-long) &gt; 12) then concat(string(number($hour-long) - 12), ':', $minute, '( *| *pm)') else '' " />
    <xsl:variable name="time-6" select="if ($dateTime-length &gt; 13 and number($hour-long) &gt; 12) then concat(string(number($hour-long) - 12), ':', $minute, ':', $second, '( *| *pm)') else '' " />
    <xsl:variable name="dt-temp-0" select="if (exists($dt-stem-1) and $dateTime-length = 8) then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $narr-time-regex) else () " />
    <xsl:variable name="dt-temp-1" select="if (exists($dt-stem-1) and $time-1 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-1) else () " />
    <xsl:variable name="dt-temp-2" select="if (exists($dt-stem-1) and $time-2 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-2) else () " />
    <xsl:variable name="dt-temp-3" select="if (exists($dt-stem-1) and $time-3 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-3) else () " />
    <xsl:variable name="dt-temp-4" select="if (exists($dt-stem-1) and $time-4 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-4) else () " />
    <xsl:variable name="dt-temp-5" select="if (exists($dt-stem-1) and $time-5 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-5) else () " />
    <xsl:variable name="dt-temp-6" select="if (exists($dt-stem-1) and $time-6 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-6) else () " />
    <xsl:variable name="dt-sequence-2" select="($dt-temp-0, $dt-temp-1, $dt-temp-2, $dt-temp-3, $dt-temp-4, $dt-temp-5, $dt-temp-6)" />
    <xsl:variable name="matching-seq-2" select="if (exists($dt-sequence-2))        then index-of(for $i in (1 to count($dt-sequence-2)) return exists($narr-dateTimes[matches(., $dt-sequence-2[$i], 'i')]), true())        else () " />
    <xsl:variable name="dt-stem-2" select="for $i in (1 to count($matching-seq-2)) return $dt-sequence-2[$matching-seq-2[$i]] " />
    <xsl:variable name="dt-regex-2" select="if (exists($dt-stem-2)) then concat('(', string-join($dt-stem-2, '$)|('), '$)') else '' " />
    <xsl:variable name="dt-match-2" select="(exists($dt-stem-2) and exists($narr-dateTimes[matches(., $dt-regex-2, 'i')])) " />
    <xsl:variable name="dt-sequence-3" select="if (not($dt-match-2) and exists($dt-stem-2) and $time-zone != '') then for $i in (1 to count($dt-stem-2)) return        concat($dt-stem-2[$i], substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2)) else () " />
    <xsl:variable name="dt-regex-3" select="if ($dt-match-2) then '' else if (exists($dt-sequence-3)) then concat('(', string-join($dt-sequence-3, '$)|('), '$)') else '' " />
    <xsl:variable name="dt-match-3" select="($dt-match-2 or (exists($dt-sequence-3) and exists($narr-dateTimes[matches(., $dt-regex-3, 'i')]))) " />
    <xsl:variable name="narr-match" select="if ($dt-value != '' and not(exists($narr-dateTimes))) then      (       contains($narrative, $dt-value)               or       (string-length($dt-value) = 4 and contains($narrative, $year))            or        (string-length($dt-value) = 6 and contains($narrative, concat($month-short, $year)))          or       (string-length($dt-value) &gt; 7 and starts-with($day, '0') and        (contains($narrative, concat(substring($day,2,1), $month-short, $year)) or         contains($narrative, concat(substring($day,2,1), $month-num, $year))))          or       (string-length($dt-value) &gt; 7 and (contains($narrative, concat($day, $month-short, $year)) or contains($narrative, concat($day, $month-num, $year))))        )       else false() " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($fir-narr-node//cda:renderMultiMedia) or exists($sec-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($fir-narr-node//cda:linkHtml) or exists($sec-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="warning-1" select="exists($dt-sequence-1) and exists($narr-dateTimes) and $dt-match-1 and not($dt-match-3) and $dt-value != '' " />
    <xsl:variable name="error-1" select="$warning-1 and not($multimedia) " />
    <xsl:variable name="warning-2" select="exists($dt-sequence-1) and exists($narr-dateTimes) and not($dt-match-1 or $dt-match-3) and $dt-value != '' " />
    <xsl:variable name="error-2a" select="$warning-2 and not($multimedia) and $time-zone != '' and count($narr-dateTimes) =        count(for $dt in $narr-dateTimes return replace(replace($dt, $regex-date-type-1, ''), $regex-date-type-2, '')       [matches(., concat('^\s*([0-9]{1,2}:{1}[0-9]{2}\s*', substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2),         '|[0-9]{1,2}:{1}[0-9]{2}:{1}[0-9]{2}\s*', substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2), ')\s*$'), 'i')]) " />
    <xsl:variable name="error-2b" select="$warning-2 and not($dt-match-1) and not($multimedia) and count($narr-dateTimes[matches(., $regex-date-type-2, 'i')]) =        count($narr-dateTimes[matches(., concat($regex-date-type-2, ' ', $narr-time-regex, '$'), 'i')]) " />
    <xsl:variable name="error-2c" select="$warning-2 and exists($narr-dateTimes[matches(., concat('^', $year, '$'))]) " />
    <xsl:variable name="error-2" select="$error-2a or $error-2b or $error-2c " />
    <xsl:variable name="warning-3" select="$dt-value != '' and not(exists($narr-dateTimes)) and not($narr-match) " />
    <xsl:variable name="error-3" select="$warning-3 and not($multimedia) and not(contains($narrative, substring($year, 3, 2)))" />
    <xsl:variable name="narr-dt-msg" select="if ($multimedia or $no-content) then ''       else if (not(exists($narr-dateTimes))) then concat(' The narrative of the ', iq:location(., ''), ' contains no dateTime elements.')       else if (count($narr-dateTimes) = 1) then concat(' The only dateTime element in the narrative of the ', iq:location(., ''), ' is ''',         dh:XQueryRecursiveReplace($narr-dateTimes[1], '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), '''.')       else concat(' The distinct dateTime elements in the narrative of the ', iq:location(., ''), ' are ''',         string-join(for $dt in $narr-dateTimes return          dh:XQueryRecursiveReplace($dt, '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), ', '), '''.') " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-4" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-4 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and exists($dt-sequence-1) and $dt-value != '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and exists($dt-sequence-1) and $dt-value != ''">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 4: The dateTime element in the structured data is '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'.
		The number of dateTime elements that have been extracted from the narrative is '<xsl:text /><xsl:value-of select="count($narr-dateTimes)" /><xsl:text />'.
		These are '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-dateTimes, ', '), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The initial regular expressions are '<xsl:text /><xsl:value-of select="string-join($dt-sequence-1, ', ')" /><xsl:text />'.
		The items in dt-stem-1 are: '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($dt-stem-1, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The items in dt-sequence-2 are: '<xsl:text /><xsl:value-of select="string-join($dt-sequence-2, '|')" /><xsl:text />'.
		The items in dt-stem-2 are: '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($dt-stem-2, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The three regular expressions used to perform an exact match for narrative dateTime elements are as follows:
		dt-regex-1='<xsl:text /><xsl:value-of select="$dt-regex-1" /><xsl:text />'; dt-regex-2='<xsl:text /><xsl:value-of select="$dt-regex-2" /><xsl:text />'; and dt-regex-3='<xsl:text /><xsl:value-of select="$dt-regex-3" /><xsl:text />'.
		Was a match found after the first regular expression (with just a date) was created? <xsl:text /><xsl:value-of select="$dt-match-1" /><xsl:text />.		
		<xsl:text /><xsl:value-of select="if ($dt-regex-2 = '') then 'The second regular expression was not applied as there is no time information.'    else concat('Was a match found after the second regular expression (with a date and time) was created? ', $dt-match-2, '.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($dt-regex-3 = '') then ' The third regular expression was not applied as there is no timezone information.'    else concat(' Was a match found after the third regular expression (with a date and time) was created? ', $dt-match-3, '.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $warning-1 and not($error-1 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $warning-1 and not($error-1 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Referral DateTime 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Referral DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $error-1 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $error-1 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Referral DateTime 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. The Referral DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $error-1 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $error-1 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Referral DateTime 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. The Referral DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $warning-2 and not($error-2 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$warning-2 and not($error-2 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Referral DateTime 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Referral DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-2 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-2 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Referral DateTime 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="if ($error-2c) then concat('The narrative contains a date with the same year ''', $year, ''' but without a month or day.') else '' " /><xsl:text />
		The Referral DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.
		<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-2 and not($no-content) and not(true())">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-2 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Referral DateTime 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="if ($error-2c) then concat('The narrative contains a date with the same year ''', $year, ''' but without a month or day.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $warning-3 and not($error-3 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$warning-3 and not($error-3 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Referral DateTime 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Referral DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $dt-value != '' and not($narr-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $dt-value != '' and not($narr-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Referral DateTime 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $dt-value != '' and not($narr-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $dt-value != '' and not($narr-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Referral DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Referral DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-3 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-3 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Referral DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Referral DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-3 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-3 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Referral DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Referral DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M871" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M871" />
  <xsl:template match="@*|node()" priority="-2" mode="M871">
    <xsl:apply-templates select="@*|*" mode="M871" />
  </xsl:template>
  <!--PATTERN p-TS-RefDetail-Duration-TimeInterval-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16347' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16347']]/cda:entry/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16622']]/cda:value " priority="1000" mode="M872">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16347' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16347']]/cda:entry/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16622']]/cda:value " />
    <xsl:variable name="is-Duration" select="exists(cda:width) " />
    <xsl:variable name="is-TimeInterval" select="not(exists(cda:width))  " />
    <xsl:variable name="unit" select="if (not($is-Duration)) then '' else if (not(cda:width/@unit)) then '1' else dh:XQueryRecursiveReplace(cda:width/@unit, $ucum-annotation-replacement, '') " />
    <xsl:variable name="a-time-unit" select="cda:width/@unit and matches($unit, $ucum-time-unit-regex) " />
    <xsl:variable name="unit-validation" select="if (cda:width/@unit and not($a-time-unit)) then dh:ValidateUCUM($unit) else '' " />
    <xsl:variable name="tc-types-93-err" select="cda:width/@unit and not($a-time-unit) and $unit-validation = 'INVALID' " />
    <xsl:variable name="low-inclusive" select="if (not(cda:low)) then '' else if (cda:low/@inclusive='false') then ' (excluded)' else ' (included)' " />
    <xsl:variable name="high-inclusive" select="if (not(cda:high)) then '' else if (cda:high/@inclusive='false') then ' (excluded)' else ' (included)' " />
    <xsl:variable name="display-interval" select="if (not($is-TimeInterval)) then ''       else if (@value and cda:low/@value and cda:high/@value)         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34), ', low value ', codepoints-to-string(34), cda:low/@value,        codepoints-to-string(34), $low-inclusive, ' and high value ', codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)        else if (@value and cda:low/@value and not(cda:high/@value))         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34), ' and low value ', codepoints-to-string(34), cda:low/@value,        codepoints-to-string(34), $low-inclusive)       else if (@value and not(cda:low/@value) and cda:high/@value)         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34), ' and high value ', codepoints-to-string(34),        cda:high/@value, codepoints-to-string(34), $high-inclusive)       else if (not(@value) and cda:low/@value and cda:high/@value)         then concat('low value ', codepoints-to-string(34), cda:low/@value, codepoints-to-string(34), $low-inclusive, ' and high value ',         codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)       else if (@value and not(cda:low/@value) and not(cda:high/@value))         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34))       else if (not(@value) and cda:low/@value and not(cda:high/@value))         then concat('low value ', codepoints-to-string(34), cda:low/@value, codepoints-to-string(34), $low-inclusive)       else if (not(@value) and not(cda:low/@value) and cda:high/@value)         then concat('high value ', codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)       else '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text1" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 8.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="message-text2" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="message-text3" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See sections 8.6 and 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="message-text4" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See sections 8.5 and 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-22" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-22 else $rating-alt-TC-Types-22 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <xsl:variable name="rating-98" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-98 else $rating-alt-TC-Types-98 " />
    <!--REPORT -->
    <xsl:if test=" (($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true') and $is-Duration ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="(($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true') and $is-Duration">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-17: The Referral Validity Duration '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Duration data type and
		<xsl:text /><xsl:value-of select="if (cda:width/@value and cda:width/@nullFlavor) then concat('has a value attribute with the value ''', cda:width/@value,     ''' and a nullFlavor attribute with the value ''', cda:width/@nullFlavor, '''')   else if (cda:width/@value and not(cda:width/@nullFlavor)) then concat('has a value attribute with the value ''', cda:width/@value, '''')   else if (not(cda:width/@value) and cda:width/@nullFlavor) then concat('has a nullFlavor attribute with the value ''', cda:width/@nullFlavor, '''')   else 'has a width with no value or nullFlavor attributes' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (cda:width/@unit = '1') then ' The unit attribute has the value ''1'' which is the default value assigned by the CDA schema'   else if (cda:width/@unit) then concat(' The unit attribute has the value ''', cda:width/@unit, '''') else ' There is no unit attribute' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" (($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true') and $is-TimeInterval ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="(($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true') and $is-TimeInterval">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-22: The Referral Validity Duration '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type
		and <xsl:text /><xsl:value-of select="if (@value or cda:low/@value or cda:high/@value) then concat('has ''', $display-interval)   else 'has no value attribute and no low or high data elements' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@nullFlavor) then concat('The nullFlavor attribute has the value ''', @nullFlavor, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" (($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true') and not($is-TimeInterval or $is-Duration) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="(($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true') and not($is-TimeInterval or $is-Duration)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-17 and TC-Types-22: The Referral Validity Duration '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> may have either
		the TimeInterval or Duration data type. <xsl:text /><xsl:value-of select="if (@nullFlavor) then concat('The nullFlavor attribute has the value ''', @nullFlavor, '''.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (@unit = '1') then ' The unit attribute has the value ''1'' which is the default value assigned by the CDA schema'   else if (@unit) then concat(' The unit attribute has the value ''', @unit, '''') else ' There is no unit attribute' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 3.5 the eReferral Structured Content Specification v2.1 and section 7.1.1 of the eReferral CDA Implementation Guide v2.2 the Referral Validity Duration
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> may have either the Duration or
		TimeInterval data type however it has nullFlavor = 'UNC' (uncoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include
		nullFlavor = 'UNC'. (See sections 8.5 and 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-17 and TC-Types-22: According to section 3.5 the eReferral Structured Content Specification v2.1 and section 7.1.1 of the eReferral CDA Implementation Guide v2.2 the Referral Validity Duration
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> may have either the
		Duration or TimeInterval data type so the HL7 'IVL_TS' data type was expected however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present.
		(See sections 8.5 and 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-17 and TC-Types-22: According to section 3.5 the eReferral Structured Content Specification v2.1 and section 7.1.1 of the eReferral CDA Implementation Guide v2.2 the Referral Validity Duration
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> may have either the
		Duration or TimeInterval data type so the HL7 'IVL_TS' data type was expected however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'IVL_TS'.
		(See sections 8.5 and 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not(@nullFlavor or cda:width or cda:low or cda:high) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor or cda:width or cda:low or cda:high)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-17 and TC-Types-22: According to section 3.5 the eReferral Structured Content Specification v2.1 and section 7.1.1 of the eReferral CDA Implementation Guide v2.2 the Referral Validity Duration '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> may have either the Duration or TimeInterval data type. The Referral Validity Duration '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element does not have nullFlavor, width, low or high elements. At least one of these must be present for the Referral Validity Duration
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		to meet the requirements of Duration or a TimeInterval. (See sections 8.5 and 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('low', 'high', 'width'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('low', 'high', 'width'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.5 the eReferral Structured Content Specification v2.1 and section 7.1.1 of the eReferral CDA Implementation Guide v2.2 the Referral Validity Duration
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> may have either the Duration or TimeInterval data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('low', 'high', 'width'))])" /><xsl:text />' was found
		that is not expected for either the Duration or TimeInterval data types so this element is an extension.
		<xsl:text /><xsl:value-of select="$message-text4" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('low', 'high', 'width'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('low', 'high', 'width'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.5 the eReferral Structured Content Specification v2.1 and section 7.1.1 of the eReferral CDA Implementation Guide v2.2 the Referral Validity Duration '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> may have either the Duration or TimeInterval data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('low', 'high', 'width'))])" /><xsl:text />' was found
		that is not expected for either the Duration or TimeInterval data types so this element is an extension.
		<xsl:text /><xsl:value-of select="$message-text4" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:width and *[not(local-name() = 'width')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:width and *[not(local-name() = 'width')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.5 the eReferral Structured Content Specification v2.1 and section 7.1.1 of the eReferral CDA Implementation Guide v2.2 the Referral Validity Duration '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> may have either the Duration or TimeInterval data type. It has the width attribute so the
		option of a Duration has been chosen however a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = 'width')])" /><xsl:text />' was found
		that is not expected for the Duration data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:width and *[not(local-name() = ('low', 'high', 'width'))]  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:width and *[not(local-name() = ('low', 'high', 'width'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.5 the eReferral Structured Content Specification v2.1 and section 7.1.1 of the eReferral CDA Implementation Guide v2.2 the Referral Validity Duration '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> may have either the Duration or TimeInterval data type. It has the width attribute so the
		option of a Duration has been chosen however a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('low', 'high', 'width'))])" /><xsl:text />' was found
		that is not expected for the Duration data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:width and    cda:width/@*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:width and cda:width/@*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.5 the eReferral Structured Content Specification v2.1 and section 7.1.1 of the eReferral CDA Implementation Guide v2.2 the Referral Validity Duration
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> may have either the Duration or TimeInterval data type. It has the width attribute so the option of a
		Duration has been chosen however an attribute
		'<xsl:text /><xsl:value-of select="local-name(cda:width/@*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the
		Duration data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:width and    cda:width/@*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:width and cda:width/@*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.5 the eReferral Structured Content Specification v2.1 and section 7.1.1 of the eReferral CDA Implementation Guide v2.2 the Referral Validity Duration '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> may have either the Duration or TimeInterval data type. It has the width attribute so the option of a
		Duration has been chosen however an attribute
		'<xsl:text /><xsl:value-of select="local-name(cda:width/@*[not(name() = 'xsi:type' or name() = 'value' or name() = 'unit' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the
		Duration data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:width/cda:originalText) and cda:width/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:width/cda:originalText) and cda:width/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 3.5 the eReferral Structured Content Specification v2.1 and section 7.1.1 of the eReferral CDA Implementation Guide v2.2 the Referral Validity Duration '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> may have either the Duration or
		TimeInterval data type. It has the width element so the option of a
		Duration has been chosen however it has width/nullFlavor 'UNC' (uncoded) which may only be used when there is an originalText.
		An originalText is not present so it is an error to include a nullFlavor attribute with the value 'UNC'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and (cda:low or cda:high) and *[not(local-name() = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and (cda:low or cda:high) and *[not(local-name() = ('low', 'high'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.5 the eReferral Structured Content Specification v2.1 and section 7.1.1 of the eReferral CDA Implementation Guide v2.2 the Referral Validity Duration '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> may have either the Duration or TimeInterval data type. It has a
		<xsl:text /><xsl:value-of select="if (cda:low and cda:high) then ' low and high' else if (cda:low) then ' low' else ' high' " /><xsl:text /> element so the
		option of a TimeInterval has been chosen however a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('low', 'high'))])" /><xsl:text />' was found
		that is not expected for the TimeInterval data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and (cda:low or cda:high) and *[not(local-name() = ('low', 'high', 'width'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and (cda:low or cda:high) and *[not(local-name() = ('low', 'high', 'width'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.5 the eReferral Structured Content Specification v2.1 and section 7.1.1 of the eReferral CDA Implementation Guide v2.2 the Referral Validity Duration
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> may have either the Duration or TimeInterval data type. It has a
		<xsl:text /><xsl:value-of select="if (cda:low and cda:high) then ' low and high' else if (cda:low) then ' low' else ' high' " /><xsl:text /> element so the
		option of a TimeInterval has been chosen however a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('low', 'high', 'width'))])" /><xsl:text />' was found
		that is not expected for the TimeInterval data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and cda:width and (cda:low and not(cda:high)) or (not(cda:low) and cda:high) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and cda:width and (cda:low and not(cda:high)) or (not(cda:low) and cda:high)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.5 the eReferral Structured Content Specification v2.1 and section 7.1.1 of the eReferral CDA Implementation Guide v2.2 the Referral Validity Duration
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> may have either the Duration or TimeInterval data type. It has a
		<xsl:text /><xsl:value-of select="if (cda:low) then ' low' else ' high' " /><xsl:text /> element so the data element is a TimeInterval however a width element is also present.		
		This is an error as the presence of a <xsl:text /><xsl:value-of select="if (cda:low) then 'low' else 'high' " /><xsl:text /> element without a <xsl:text /><xsl:value-of select="if (cda:low) then 'high' else 'low' " /><xsl:text /> element
		means the TimeInterval is unbounded in one direction however the width element implies the interval is bounded. That is the width element is an extension that qualifies the
		time interval whereas an extension is allowed only if it does not qualify or negate the time interval.
		(See the definition of Referral Validity Duration in the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text />, section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0
		and <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)
		As the <xsl:text /><xsl:value-of select="if (cda:low) then 'start' else 'end' " /><xsl:text /> of the time interval is known then the Referral Validity Duration must also have a
		<xsl:text /><xsl:value-of select="if (cda:low) then ' high' else ' low' " /><xsl:text /> element as the TimeInterval data type uses low and high elements rather than width to define an interval.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and (cda:low or cda:high) and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and (cda:low or cda:high) and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.5 the eReferral Structured Content Specification v2.1 and section 7.1.1 of the eReferral CDA Implementation Guide v2.2 the Referral Validity Duration '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> may have either the Duration or TimeInterval data type. It has a cda:low of cda:high element so the
		option of a TimeInterval has been chosen however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the TimeInterval data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and (cda:low or cda:high) and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and (cda:low or cda:high) and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.5 the eReferral Structured Content Specification v2.1 and section 7.1.1 of the eReferral CDA Implementation Guide v2.2 the Referral Validity Duration '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> may have either the Duration or TimeInterval data type. It has a cda:low of cda:high element so the
		option of a TimeInterval has been chosen however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the TimeInterval data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and (cda:low or cda:high) and @operator and @operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and (cda:low or cda:high) and @operator and @operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.5 the eReferral Structured Content Specification v2.1 and section 7.1.1 of the eReferral CDA Implementation Guide v2.2 the Referral Validity Duration '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> may have either the Duration or TimeInterval data type. It has a cda:low of cda:high element so the
		option of a TimeInterval has been chosen however an attribute 'operator' with the value
		'<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the TimeInterval data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and (cda:low or cda:high) and @operator and @operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and (cda:low or cda:high) and @operator and @operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.5 the eReferral Structured Content Specification v2.1 and section 7.1.1 of the eReferral CDA Implementation Guide v2.2 the Referral Validity Duration '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> may have either the Duration or TimeInterval data type. It has a cda:low of cda:high element so the
		option of a TimeInterval has been chosen however an attribute 'operator' with the value
		'<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the TimeInterval data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:low/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:low/*">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.5 the eReferral Structured Content Specification v2.1 and section 7.1.1 of the eReferral CDA Implementation Guide v2.2 the Referral Validity Duration 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element '<xsl:text /><xsl:value-of select="local-name(cda:low/*)" /><xsl:text />'
		was found that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text3" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/*">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.5 the eReferral Structured Content Specification v2.1 and section 7.1.1 of the eReferral CDA Implementation Guide v2.2 the Referral Validity Duration 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element '<xsl:text /><xsl:value-of select="local-name(cda:low/*)" /><xsl:text />'
		was found that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text3" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.5 the eReferral Structured Content Specification v2.1 and section 7.1.1 of the eReferral CDA Implementation Guide v2.2 the Referral Validity Duration 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text3" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.5 the eReferral Structured Content Specification v2.1 and section 7.1.1 of the eReferral CDA Implementation Guide v2.2 the Referral Validity Duration 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text3" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:low/@operator and cda:low/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:low/@operator and cda:low/@operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.5 the eReferral Structured Content Specification v2.1 and section 7.1.1 of the eReferral CDA Implementation Guide v2.2 the Referral Validity Duration 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with the value
		'<xsl:text /><xsl:value-of select="cda:low/@operator" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text3" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/@operator and cda:low/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/@operator and cda:low/@operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.5 the eReferral Structured Content Specification v2.1 and section 7.1.1 of the eReferral CDA Implementation Guide v2.2 the Referral Validity Duration 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with the value
		'<xsl:text /><xsl:value-of select="cda:low/@operator" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text3" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:low/cda:originalText) and cda:low/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:low/cda:originalText) and cda:low/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 3.5 the eReferral Structured Content Specification v2.1 and section 7.1.1 of the eReferral CDA Implementation Guide v2.2 the Referral Validity Duration 'low' child element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data
		type however it has a nullFlavor attribute with the value 'UNC' (uncoded) which may only be used when there is an originalText. An originalText is not present so it is an
		error to include nullFlavor 'UNC'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:high/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:high/*">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.5 the eReferral Structured Content Specification v2.1 and section 7.1.1 of the eReferral CDA Implementation Guide v2.2 the Referral Validity Duration 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element '<xsl:text /><xsl:value-of select="local-name(cda:high/*)" /><xsl:text />'
		was found that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text3" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/*">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.5 the eReferral Structured Content Specification v2.1 and section 7.1.1 of the eReferral CDA Implementation Guide v2.2 the Referral Validity Duration 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element '<xsl:text /><xsl:value-of select="local-name(cda:high/*)" /><xsl:text />'
		was found that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text3" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.5 the eReferral Structured Content Specification v2.1 and section 7.1.1 of the eReferral CDA Implementation Guide v2.2 the Referral Validity Duration 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text3" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.5 the eReferral Structured Content Specification v2.1 and section 7.1.1 of the eReferral CDA Implementation Guide v2.2 the Referral Validity Duration 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text3" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:high/@operator and cda:high/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:high/@operator and cda:high/@operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.5 the eReferral Structured Content Specification v2.1 and section 7.1.1 of the eReferral CDA Implementation Guide v2.2 the Referral Validity Duration 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with the value
		'<xsl:text /><xsl:value-of select="cda:high/@operator" /><xsl:text />' is present and is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text3" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/@operator and cda:high/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/@operator and cda:high/@operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.5 the eReferral Structured Content Specification v2.1 and section 7.1.1 of the eReferral CDA Implementation Guide v2.2 the Referral Validity Duration 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with the value '<xsl:text /><xsl:value-of select="cda:high/@operator" /><xsl:text />' is present and is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text3" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 3.5 the eReferral Structured Content Specification v2.1 and section 7.1.1 of the eReferral CDA Implementation Guide v2.2 the Referral Validity Duration 'high' child element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data
		type however it has a nullFlavor attribute with the value 'UNC' (uncoded) which may only be used when there is an originalText. An originalText is not present so it is an error
		to include nullFlavor 'UNC'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:width/@unit and not($a-time-unit) and not($tc-types-93-err) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:width/@unit and not($a-time-unit) and not($tc-types-93-err)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-98" /><xsl:text />: TC-Types-98: According to section 3.5 the eReferral Structured Content Specification v2.1 and section 7.1.1 of the eReferral CDA Implementation Guide v2.2 the Referral Validity Duration '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> may have either the DateTime or Duration
		data type. It has a width element so it must be a Duration however it has a width/unit attribute with the value
		'<xsl:text /><xsl:value-of select="$unit" /><xsl:text />'<xsl:text /><xsl:value-of select="if (cda:width/@unit = '1') then ' which is the default value assigned by the CDA schema.'    else if (contains($unit-validation, '|')) then '.' else if (contains($unit-validation, '~')) then concat(' which is the unit for ', substring-after($unit-validation, '~'), '.')    else '.' " /><xsl:text />
		The unit must be one of the case sensitive UCUM units for time which are listed in listed in table 5 of the UCUM specification, http://unitsofmeasure.org/ucum.html#para-31.
		(See section 7.8.10.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M872" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M872" />
  <xsl:template match="@*|node()" priority="-2" mode="M872">
    <xsl:apply-templates select="@*|*" mode="M872" />
  </xsl:template>
  <!--PATTERN p-TS-RefDetail-Duration-TimeInterval-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16347' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16347']]/cda:entry/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16622']]/cda:value/cda:width[@unit] " priority="1000" mode="M873">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16347' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16347']]/cda:entry/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16622']]/cda:value/cda:width[@unit] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="narr-text-el" select="(for $text in ($target-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="a-quantity-range" select="local-name(.) = 'low' or local-name(.) = 'high' " />
    <xsl:variable name="normalised-value" select="if (@value) then replace(lower-case(@value), '\s+', '') else '' " />
    <xsl:variable name="normalised-value-regex" select="if (not(contains($normalised-value, '.'))) then concat('(', $normalised-value, '|', $normalised-value, '\.0*)')        else if (ends-with($normalised-value, '0')) then replace(replace($normalised-value, '\.', '\\.'), '0+$', '0*')        else concat(replace($normalised-value, '\.', '\\.'), '0*') " />
    <xsl:variable name="value-regex" select="if ($normalised-value = '') then ''         else concat('(^|[^0-9])', $normalised-value-regex, '([^0-9]*$|\s+.*$)') " />
    <xsl:variable name="tables" select="$target-narr-node//cda:table " />
    <xsl:variable name="table-num" select="count($tables) " />
    <xsl:variable name="value-regex-3" select="if ($normalised-value = '' or not(exists($tables))) then ''         else concat('(^|[^0-9])', $normalised-value-regex, '([^0-9]+$|\s+.+$)') " />
    <xsl:variable name="table-value-match" select="if ($normalised-value = '' or not(exists($tables))) then () else for $i in (1 to $table-num) return         if (not($tables[$i]//cda:td[matches(., $value-regex, 'is')])) then '0'        else if ($tables[$i]//cda:td[matches(., $value-regex-3, 'is')]) then '3'        else if ($tables[$i]//cda:td[replace(lower-case(.), '\s+', '') = $normalised-value]) then '2'        else '1' " />
    <xsl:variable name="unit-1" select="dh:XQueryRecursiveReplace(@unit, $ucum-annotation-replacement, '')" />
    <xsl:variable name="unit-2" select="if ($a-quantity-range) then dh:XQueryRecursiveReplace(../@unit, $ucum-annotation-replacement, '') else '' " />
    <xsl:variable name="unit" select="if (not($a-quantity-range) or $unit-2 = '') then $unit-1        else if ($unit-1 = '1' and $unit-2 != '1') then $unit-2         else $unit-1 " />
    <xsl:variable name="normalised-unit" select="replace(lower-case($unit), '\s+', '') " />
    <xsl:variable name="unit-validation" select="if ($unit = '1' or exists($UCUM/unit[@value = $normalised-unit])) then '' else dh:ValidateUCUM($unit) " />
    <xsl:variable name="unit-name" select="if (exists($UCUM/unit[@value = $normalised-unit])) then $UCUM/unit[@value = $normalised-unit]/@name else ''  " />
    <xsl:variable name="power-synonym" select="if (contains($normalised-unit, '10^')) then replace($normalised-unit, '10\^', '10*')        else if (contains($normalised-unit, '10*')) then replace($normalised-unit, '10\*', '10^')        else '' " />
    <xsl:variable name="special-unit-synonym" select="if (contains($normalised-unit, '['))         then (normalize-space(replace($normalised-unit, '[\[\]]', ' ')), normalize-space(replace($normalised-unit, '[\[\]]', ''))) else '' " />
    <xsl:variable name="apostrophe-synonym" select="for $syn in $special-unit-synonym return if (contains($syn, '''')) then normalize-space(replace($syn, '''', ' ')) else '' " />
    <xsl:variable name="unit-synonyms" select="if (exists($UCUM/unit[@value = $normalised-unit]))         then ($normalised-unit, $power-synonym, $special-unit-synonym, $apostrophe-synonym, $UCUM/unit[@value = $normalised-unit]/@name,          tokenize($UCUM/unit[@value = $normalised-unit]/@synonyms, '\|'))[. != '']        else ($normalised-unit, $power-synonym, $special-unit-synonym, $apostrophe-synonym)[. != ''] " />
    <xsl:variable name="search-terms-1" select="if ($normalised-value = '') then () else (for $synonym in $unit-synonyms return normalize-space(lower-case($synonym)))[. != ''] " />
    <xsl:variable name="search-terms-2" select="if ($normalised-value = '') then () else for $term in $search-terms-1 return         if ($term = '1') then $normalised-value else concat($normalised-value, $term) " />
    <xsl:variable name="search-regex-1" select="if ($normalised-value = '') then () else for $term in $search-terms-1 return          replace(replace(replace(replace(replace(replace(replace(replace(replace(replace($term, '\^', '\\^'), '\*', '\\*'), '\.', '\\.'), '\+', '\\+'),          '\)', '\\)'), '\(', '\\('), '\[', '\\['), '\]', '\\]'), '\{', '\\{'), '\}', '\\}') " />
    <xsl:variable name="search-regex-2" select="if ($normalised-value = '') then () else for $term in $search-regex-1 return         if (matches($term, '^10')) then concat('(', '(^|[^0-9])(', $normalised-value-regex, 'x{0,1}', $term, '|', 'x{0,1}', $term, ')([^0-9a-z]|$)',          ')|(', '(^|[^0-9])(', $normalised-value-regex, $term, '|', $term, ')([^0-9a-z]|$)', ')')         else if ($term = '1') then concat('(^|[^0-9])', $normalised-value-regex, '([^0-9]{1}.*$|$)')        else concat('(^|[^0-9])(', $normalised-value-regex, $term, '|', $term, ')([^0-9a-z]|$)') " />
    <xsl:variable name="quantity-match" select="if (not(exists($table-value-match)) or not(exists($table-value-match[. != '0']))) then (false())        else if ($unit = '1' and not($a-quantity-range)) then for $i in (1 to $table-num) return          ($table-value-match[$i] = '2' or boolean($tables[$i]//cda:td[matches(., $search-regex-2[1], 'is')]))        else if ($unit = '1' and $a-quantity-range) then for $i in (1 to $table-num) return not($table-value-match[$i] = '0')        else for $i in (1 to $table-num) return          if ($table-value-match[$i] = '0') then false()         else if ($table-value-match[$i] = '2') then           exists(index-of(for $term in $search-terms-1 return boolean($tables[$i]//cda:td[replace(lower-case(.), '\s+', '') = $term]), true()))         else exists(index-of(          for $j in (1 to count($search-terms-1)) return boolean($tables[$i]//cda:td[           replace(lower-case(.), '\s+', '') = $search-terms-1[$j]  or           replace(lower-case(.), '\s+', '') = $search-terms-2[$j]  or           matches(., $search-regex-2[$j], 'is')    ]), true())) " />
    <xsl:variable name="in-a-table" select="if ($normalised-value = '') then false() else exists(index-of($quantity-match, true())) " />
    <xsl:variable name="xpre-1" select="if ($normalised-value = '' or $in-a-table) then () else $target-narr-node//*[contains(@styleCode, 'xPre')] " />
    <xsl:variable name="xpre-num" select="count($xpre-1) " />
    <xsl:variable name="xpre-2" select="for $i in (1 to $xpre-num) return lower-case($xpre-1[$i]) " />
    <xsl:variable name="xpre-value-match" select="for $i in (1 to $xpre-num) return matches($xpre-2[$i], $value-regex, 'is') " />
    <xsl:variable name="xpre-quantity-match" select="if ($unit = '1') then ($xpre-value-match) else for $i in (1 to $xpre-num) return         $xpre-value-match[$i] and exists(index-of(for $term in $search-regex-2 return matches($xpre-2[$i], $term, 'is'), true())) " />
    <xsl:variable name="in-xpre" select="exists(index-of($xpre-quantity-match, true())) " />
    <xsl:variable name="narrative" select="if ($normalised-value = '' or $in-a-table or $in-xpre) then ''         else normalize-space(lower-case(string-join($target-narr-node//text()         [not(ancestor::cda:table or ancestor::cda:caption or contains(@styleCode, 'xPre'))], ''))) " />
    <xsl:variable name="narr-value-match" select="if ($normalised-value = '' or $in-a-table or $in-xpre) then true() else matches($narrative, $value-regex, 'is') " />
    <xsl:variable name="narr-quantity-match" select="if ($normalised-value = '' or $in-a-table or $in-xpre) then true()        else $narr-value-match and exists(index-of(for $term in $search-regex-2 return matches($narrative, $term, 'is'), true())) " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="quantity-text-1" select="if ($unit = '1') then concat('value ''', @value, '''') else concat('value ''', @value, ''' and unit ''', $unit, '''') " />
    <xsl:variable name="quantity-text" select="if ($unit-name = '') then $quantity-text-1 else concat($quantity-text-1, ' (the unit for ', $unit-name, ')') " />
    <xsl:variable name="inclusive-text" select="if ($a-quantity-range and @inclusive = 'true') then ' (the boundary is included)'        else if ($a-quantity-range and @inclusive = 'false') then ' (the boundary is not included)'        else '' " />
    <xsl:variable name="multimedia" select="exists($target-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$table-num = 0 and $xpre-num = 0 and not(exists($narr-text-el)) and not($multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-narr-node//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-6" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-6 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and @value and $table-num &gt; 0 and not($in-a-table or $in-xpre or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and @value and $table-num &gt; 0 and not($in-a-table or $in-xpre or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-PQ): The Referral Validity Duration '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text />.
		Is the quantity on the boundary of a quantity range? <xsl:text /><xsl:value-of select="$a-quantity-range" /><xsl:text /><xsl:text /><xsl:value-of select="$inclusive-text" /><xsl:text />.
		When transformed the quantity value is '<xsl:text /><xsl:value-of select="$normalised-value" /><xsl:text />'.
		The narrative contains <xsl:text /><xsl:value-of select="$table-num" /><xsl:text /><xsl:text /><xsl:value-of select="if ($table-num = 1) then ' table' else ' tables' " /><xsl:text />.
		The value regular expression value-regex is '<xsl:text /><xsl:value-of select="$value-regex" /><xsl:text />'.
		The value regular expression value-regex-3 is '<xsl:text /><xsl:value-of select="$value-regex-3" /><xsl:text />'.
		Elements of table-value-match are '<xsl:text /><xsl:value-of select="string-join($table-value-match, '|')" /><xsl:text />'.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($unit-synonyms, '|')" /><xsl:text />'.
		Elements of search-terms-1 are '<xsl:text /><xsl:value-of select="string-join($search-terms-1, '|')" /><xsl:text />'.
		Elements of search-terms-2 are '<xsl:text /><xsl:value-of select="string-join($search-terms-2, '|')" /><xsl:text />'.
		Elements of search-regex-1 are '<xsl:text /><xsl:value-of select="string-join($search-regex-1, '|')" /><xsl:text />'.
		Elements of search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($search-regex-2, '|')" /><xsl:text />'.
		Elements of quantity-match are '<xsl:text /><xsl:value-of select="string-join(for $i in (1 to count($quantity-match)) return if ($quantity-match[$i]) then '1' else '0', '|')" /><xsl:text />'.
		Was the quantity found by looking in table rows? <xsl:text /><xsl:value-of select="$in-a-table" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and @value and $xpre-num &gt; 0 and not($in-a-table or $in-xpre or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and @value and $xpre-num &gt; 0 and not($in-a-table or $in-xpre or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-PQ): The Referral Validity Duration '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text />.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($unit-synonyms, '|')" /><xsl:text />'.
		The narrative contains <xsl:text /><xsl:value-of select="$xpre-num" /><xsl:text /> elements with the xPre styleCode.
		The value regular expression value-regex is '<xsl:text /><xsl:value-of select="$value-regex" /><xsl:text />'.
		Elements of xpre-value-match are '<xsl:text /><xsl:value-of select="string-join(for $x in $xpre-value-match return if ($x) then '1' else '0', '|')" /><xsl:text />'.
		Elements of search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($search-regex-2, '|')" /><xsl:text />'.
		Elements of xpre-quantity-match are '<xsl:text /><xsl:value-of select="string-join(for $x in $xpre-quantity-match return if ($x) then '1' else '0', '|')" /><xsl:text />'.
		Was the quantity found by looking in elements with the xPre styleCode? <xsl:text /><xsl:value-of select="$in-xpre" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and @value and not($in-a-table or $narr-quantity-match or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and @value and not($in-a-table or $narr-quantity-match or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-PQ): The Referral Validity Duration '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text />.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($unit-synonyms, '|')" /><xsl:text />'.
		The value regular expression value-regex is '<xsl:text /><xsl:value-of select="$value-regex" /><xsl:text />'.
		Was the value found in the narrative? <xsl:text /><xsl:value-of select="$narr-value-match" /><xsl:text />.
		Elements of search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($search-regex-2, '|')" /><xsl:text />'.
		Was the quantity found in the narrative? <xsl:text /><xsl:value-of select="$narr-quantity-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @value and not($narr-quantity-match or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value and not($narr-quantity-match or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-6" /><xsl:text />: TC-Narr-09 step 6: The Referral Validity Duration '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text /> however the quantity does not seem to be
		present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Referral Validity Duration data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and @value and not($narr-value-match or $narr-quantity-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and @value and not($narr-value-match or $narr-quantity-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-6" /><xsl:text />: TC-Narr-09 step 6: The Referral Validity Duration '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text /> however the quantity is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and @value and not($narr-value-match or $narr-quantity-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and @value and not($narr-value-match or $narr-quantity-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-6" /><xsl:text />: TC-Narr-09 step 6: The Referral Validity Duration '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text /> however the quantity is not present in the narrative of the section.
		The Referral Validity Duration data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'QS', 'TRC', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'QS', 'TRC', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Referral Validity Duration '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M873" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M873" />
  <xsl:template match="@*|node()" priority="-2" mode="M873">
    <xsl:apply-templates select="@*|*" mode="M873" />
  </xsl:template>
  <!--PATTERN p-TS-RefDetail-Duration-TimeInterval-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16347' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16347']]/cda:entry/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16622']]/cda:value   [not((cda:low/@value and (number(substring(cda:low/@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(cda:low/@value,1,4)) &gt; number($creation-date-yr) + 130)) or     (cda:high/@value and (number(substring(cda:high/@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(cda:high/@value,1,4)) &gt; number($creation-date-yr) + 130)))] " priority="1000" mode="M874">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16347' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16347']]/cda:entry/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16622']]/cda:value   [not((cda:low/@value and (number(substring(cda:low/@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(cda:low/@value,1,4)) &gt; number($creation-date-yr) + 130)) or     (cda:high/@value and (number(substring(cda:high/@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(cda:high/@value,1,4)) &gt; number($creation-date-yr) + 130)))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="fir-narrative" select="translate(normalize-space(lower-case(string($fir-narr-node))), $chars-to-remove, '')" />
    <xsl:variable name="sec-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)        then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]        else () " />
    <xsl:variable name="sec-narr-node" select="$sec-section/cda:text " />
    <xsl:variable name="narr-text-el" select="(for $text in ($fir-narr-node//text(), $sec-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="sec-narrative" select="translate(normalize-space(lower-case(string($sec-narr-node))), $chars-to-remove, '') " />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="narrative" select="concat($target-title, $fir-narrative, $sec-narrative)" />
    <xsl:variable name="narr-elements" select="$fir-narr-node//cda:*[exists(text()[normalize-space() != '']) and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ]  |             $sec-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ] " />
    <xsl:variable name="narr-lower-case" select="for $i in (1 to count($narr-elements)) return lower-case(normalize-space(string-join($narr-elements[$i]/text(), '')))  " />
    <xsl:variable name="dt-narr-elements" select="$narr-lower-case[matches(., $regex-date-type-1, 'i') or matches(., $regex-date-type-2, 'i') or matches(., $regex-date-type-3, 'i')] " />
    <xsl:variable name="narr-elements-start" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-before($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-before($dt-narr-elements[$i], ' -'))        else $dt-narr-elements[$i])[. != ''] " />
    <xsl:variable name="narr-elements-end" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-after($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-after($dt-narr-elements[$i], ' -'))        else '')[. != ''] " />
    <xsl:variable name="narr-dateTimes" select="distinct-values(($narr-elements-start , $narr-elements-end))[. != '(ongoing)'] " />
    <xsl:variable name="l-dt-value" select="if (@value) then @value        else if (cda:low/@value) then cda:low/@value        else '' " />
    <xsl:variable name="l-no-time-zone" select="if (contains($l-dt-value, '+')) then substring-before($l-dt-value, '+')       else if (contains($l-dt-value, '-')) then substring-before($l-dt-value, '-')       else $l-dt-value " />
    <xsl:variable name="l-length" select="string-length($l-no-time-zone) " />
    <xsl:variable name="l-year" select="if ($l-length &gt; 3) then substring($l-no-time-zone,1,4) else '' " />
    <xsl:variable name="l-month-num" select="if ($l-length &gt; 5) then substring($l-no-time-zone,5,2) else '' " />
    <xsl:variable name="l-day" select="if ($l-length &gt; 7 and substring($l-no-time-zone,7,1) = '0') then substring($l-no-time-zone,8,1)       else if ($l-length &gt; 7 and substring($l-no-time-zone,7,1) != '0') then substring($l-no-time-zone,7,2) else '' " />
    <xsl:variable name="l-hour-long" select="if ($l-length &gt; 9) then substring($l-no-time-zone,9,2) else '' " />
    <xsl:variable name="l-hour-short" select="if (substring($l-hour-long, 1, 1) = '0') then substring($l-hour-long, 2, 1) else '' " />
    <xsl:variable name="l-minute" select="if ($l-length &gt; 11) then substring($l-no-time-zone,11,2) else '' " />
    <xsl:variable name="l-second" select="if ($l-length &gt; 13) then substring($l-no-time-zone,13,2) else '' " />
    <xsl:variable name="l-time-zone" select="if (contains($l-dt-value, '+')) then concat('\+', substring-after($l-dt-value, '+'))       else if (contains($l-dt-value, '-')) then concat('\-', substring-after($l-dt-value, '-'))       else '' " />
    <xsl:variable name="l-month-short" select="if ($l-month-num = '01') then 'jan'   else             if ($l-month-num = '02') then 'feb'   else             if ($l-month-num = '03') then 'mar'   else             if ($l-month-num = '04') then 'apr'   else             if ($l-month-num = '05') then 'may'   else             if ($l-month-num = '06') then 'jun'   else             if ($l-month-num = '07') then 'jul'   else             if ($l-month-num = '08') then 'aug'   else             if ($l-month-num = '09') then 'sep'   else             if ($l-month-num = '10') then 'oct'   else             if ($l-month-num = '11') then 'nov'   else             if ($l-month-num = '12') then 'dec'   else '' " />
    <xsl:variable name="l-month-long" select="if ($l-month-num = '01') then 'january'   else             if ($l-month-num = '02') then 'february'  else             if ($l-month-num = '03') then 'march'   else             if ($l-month-num = '04') then 'april'   else             if ($l-month-num = '05') then 'may'   else             if ($l-month-num = '06') then 'june'   else             if ($l-month-num = '07') then 'july'   else             if ($l-month-num = '08') then 'august'   else             if ($l-month-num = '09') then 'september'  else             if ($l-month-num = '10') then 'october'   else             if ($l-month-num = '11') then 'november'  else             if ($l-month-num = '12') then 'december'  else '' " />
    <xsl:variable name="l-date-type-3-day" select="if (string-length($l-day) = 1) then concat('0{0,1}', $l-day) else $l-day " />
    <xsl:variable name="l-date-type-3-month" select="if (string-length($l-month-num) = 1) then concat('0{0,1}', $l-month-num)        else if (substring($l-month-num, 1, 1) = '0') then concat('0{0,1}', substring($l-month-num, 2, 1))         else $l-month-num " />
    <xsl:variable name="l-dt-sequence-1" select="if ($l-length = 4) then (         concat('^', $l-dt-value)        ,          concat('^', $l-year)         )        else if ($l-length = 6) then (         concat('^', $l-dt-value)        ,         concat('^', $l-month-short, $date-sep, $l-year)      ,          concat('^', $l-month-long, $date-sep, $l-year)      )        else if ($l-length &gt; 7) then (         concat('^', $l-dt-value)        ,         concat('^', $l-date-type-3-day, $date-sep, $l-month-short, $date-sep, $l-year)  ,         concat('^', $l-date-type-3-day, $date-sep, $l-month-long, $date-sep, $l-year)  ,         concat('^', $l-date-type-3-day, '/', $l-date-type-3-month, '/', $l-year)  )        else () " />
    <xsl:variable name="l-matching-seq-1" select="if (exists($l-dt-sequence-1))        then index-of(for $i in (1 to count($l-dt-sequence-1)) return exists($narr-dateTimes[matches(., $l-dt-sequence-1[$i], 'i')]), true())        else () " />
    <xsl:variable name="l-dt-stem-1" select="for $i in (1 to count($l-matching-seq-1)) return $l-dt-sequence-1[$l-matching-seq-1[$i]] " />
    <xsl:variable name="l-dt-regex-1" select="if (exists($l-dt-stem-1)) then concat('(', string-join($l-dt-stem-1, '$)|('), '$)') else ()" />
    <xsl:variable name="l-dt-match-1" select="exists($l-dt-stem-1) and exists($narr-dateTimes[matches(., $l-dt-regex-1, 'i')])" />
    <xsl:variable name="l-time-1" select="if ($l-length &gt; 11 and $l-hour-short != '') then concat($l-hour-short, ':', $l-minute, '( *| *am)') else '' " />
    <xsl:variable name="l-time-2" select="if ($l-length &gt; 13 and $l-hour-short != '') then concat($l-hour-short, ':', $l-minute, ':', $l-second, '( *| *am)') else '' " />
    <xsl:variable name="l-time-3" select="if ($l-length &gt; 11 and number($l-hour-long) &lt; 12) then concat($l-hour-long, ':', $l-minute, '( *| *am)')        else if ($l-length &gt; 11) then concat($l-hour-long, ':', $l-minute) else '' " />
    <xsl:variable name="l-time-4" select="if ($l-length &gt; 13 and number($l-hour-long) &lt; 12) then concat($l-hour-long, ':', $l-minute, ':', $l-second, '( *| *am)')        else if ($l-length &gt; 13) then concat($l-hour-long, ':', $l-minute, ':', $l-second) else '' " />
    <xsl:variable name="l-time-5" select="if ($l-length &gt; 11 and number($l-hour-long) &gt; 12) then concat(string(number($l-hour-long) - 12), ':', $l-minute, '( *| *pm)') else '' " />
    <xsl:variable name="l-time-6" select="if ($l-length &gt; 13 and number($l-hour-long) &gt; 12) then concat(string(number($l-hour-long) - 12), ':', $l-minute, ':', $l-second, '( *| *pm)') else '' " />
    <xsl:variable name="l-dt-temp-0" select="if (exists($l-dt-stem-1) and $l-length = 8) then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $narr-time-regex) else () " />
    <xsl:variable name="l-dt-temp-1" select="if (exists($l-dt-stem-1) and $l-time-1 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-1) else () " />
    <xsl:variable name="l-dt-temp-2" select="if (exists($l-dt-stem-1) and $l-time-2 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-2) else () " />
    <xsl:variable name="l-dt-temp-3" select="if (exists($l-dt-stem-1) and $l-time-3 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-3) else () " />
    <xsl:variable name="l-dt-temp-4" select="if (exists($l-dt-stem-1) and $l-time-4 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-4) else () " />
    <xsl:variable name="l-dt-temp-5" select="if (exists($l-dt-stem-1) and $l-time-5 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-5) else () " />
    <xsl:variable name="l-dt-temp-6" select="if (exists($l-dt-stem-1) and $l-time-6 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-6) else () " />
    <xsl:variable name="l-dt-sequence-2" select="($l-dt-temp-0, $l-dt-temp-1, $l-dt-temp-2, $l-dt-temp-3, $l-dt-temp-4, $l-dt-temp-5, $l-dt-temp-6)" />
    <xsl:variable name="l-matching-seq-2" select="if (exists($l-dt-sequence-2))        then index-of(for $i in (1 to count($l-dt-sequence-2)) return exists($narr-dateTimes[matches(., $l-dt-sequence-2[$i], 'i')]), true())        else () " />
    <xsl:variable name="l-dt-stem-2" select="for $i in (1 to count($l-matching-seq-2)) return $l-dt-sequence-2[$l-matching-seq-2[$i]] " />
    <xsl:variable name="l-dt-regex-2" select="if (exists($l-dt-stem-2)) then concat('(', string-join($l-dt-stem-2, '$)|('), '$)') else '' " />
    <xsl:variable name="l-dt-match-2" select="(exists($l-dt-stem-2) and exists($narr-dateTimes[matches(., $l-dt-regex-2, 'i')])) " />
    <xsl:variable name="l-dt-sequence-3" select="if (not($l-dt-match-2) and exists($l-dt-stem-2) and $l-time-zone != '') then for $i in (1 to count($l-dt-stem-2)) return        concat($l-dt-stem-2[$i], substring($l-time-zone, 1, 4), ':?', substring($l-time-zone, 5, 2)) else () " />
    <xsl:variable name="l-dt-regex-3" select="if ($l-dt-match-2) then '' else if (exists($l-dt-sequence-3)) then concat('(', string-join($l-dt-sequence-3, '$)|('), '$)') else '' " />
    <xsl:variable name="l-dt-match-3" select="($l-dt-match-2 or (exists($l-dt-sequence-3) and exists($narr-dateTimes[matches(., $l-dt-regex-3, 'i')]))) " />
    <xsl:variable name="l-narr-match" select="if ($l-dt-value != '' and count($narr-dateTimes) = 0) then      (       contains($narrative, $l-dt-value)                or       (string-length($l-dt-value) = 4 and contains($narrative, $l-year))             or        (string-length($l-dt-value) = 6 and contains($narrative, concat($l-month-short, $l-year)))          or       (string-length($l-dt-value) &gt; 7 and starts-with($l-day, '0') and        (contains($narrative, concat(substring($l-day,2,1), $l-month-short, $l-year)) or         contains($narrative, concat(substring($l-day,2,1), $l-month-num, $l-year))))          or       (string-length($l-dt-value) &gt; 7 and (contains($narrative, concat($l-day, $l-month-short, $l-year)) or contains($narrative, concat($l-day, $l-month-num, $l-year))))        )       else false() " />
    <xsl:variable name="h-dt-value" select="if (cda:high/@value and $l-dt-value != cda:high/@value) then cda:high/@value        else '' " />
    <xsl:variable name="h-no-time-zone" select="if (contains($h-dt-value, '+')) then substring-before($h-dt-value, '+')       else if (contains($h-dt-value, '-')) then substring-before($h-dt-value, '-')       else $h-dt-value " />
    <xsl:variable name="h-length" select="string-length($h-no-time-zone) " />
    <xsl:variable name="h-year" select="if ($h-length &gt; 3) then substring($h-no-time-zone,1,4) else '' " />
    <xsl:variable name="h-month-num" select="if ($h-length &gt; 5) then substring($h-no-time-zone,5,2) else '' " />
    <xsl:variable name="h-day" select="if ($h-length &gt; 7 and substring($h-no-time-zone,7,1) = '0') then substring($h-no-time-zone,8,1)       else if ($h-length &gt; 7 and substring($h-no-time-zone,7,1) != '0') then substring($h-no-time-zone,7,2) else '' " />
    <xsl:variable name="h-hour-long" select="if ($h-length &gt; 9) then substring($h-no-time-zone,9,2) else '' " />
    <xsl:variable name="h-hour-short" select="if (substring($h-hour-long, 1, 1) = '0') then substring($h-hour-long, 2, 1) else '' " />
    <xsl:variable name="h-minute" select="if ($h-length &gt; 11) then substring($h-no-time-zone,11,2) else '' " />
    <xsl:variable name="h-second" select="if ($h-length &gt; 13) then substring($h-no-time-zone,13,2) else '' " />
    <xsl:variable name="h-time-zone" select="if (contains($h-dt-value, '+')) then concat('\+', substring-after($h-dt-value, '+'))       else if (contains($h-dt-value, '-')) then concat('\-', substring-after($h-dt-value, '-'))       else '' " />
    <xsl:variable name="h-month-short" select="if ($h-month-num = '01') then 'jan'   else             if ($h-month-num = '02') then 'feb'   else             if ($h-month-num = '03') then 'mar'   else             if ($h-month-num = '04') then 'apr'   else             if ($h-month-num = '05') then 'may'   else             if ($h-month-num = '06') then 'jun'   else             if ($h-month-num = '07') then 'jul'   else             if ($h-month-num = '08') then 'aug'   else             if ($h-month-num = '09') then 'sep'   else             if ($h-month-num = '10') then 'oct'   else             if ($h-month-num = '11') then 'nov'   else             if ($h-month-num = '12') then 'dec'   else '' " />
    <xsl:variable name="h-month-long" select="if ($h-month-num = '01') then 'january'   else             if ($h-month-num = '02') then 'february'  else             if ($h-month-num = '03') then 'march'   else             if ($h-month-num = '04') then 'april'   else             if ($h-month-num = '05') then 'may'   else             if ($h-month-num = '06') then 'june'   else             if ($h-month-num = '07') then 'july'   else             if ($h-month-num = '08') then 'august'   else             if ($h-month-num = '09') then 'september'  else             if ($h-month-num = '10') then 'october'   else             if ($h-month-num = '11') then 'november'  else             if ($h-month-num = '12') then 'december'  else '' " />
    <xsl:variable name="h-date-type-3-day" select="if (string-length($h-day) = 1) then concat('0{0,1}', $h-day) else $h-day " />
    <xsl:variable name="h-date-type-3-month" select="if (string-length($h-month-num) = 1) then concat('0{0,1}', $h-month-num)        else if (substring($h-month-num, 1, 1) = '0') then concat('0{0,1}', substring($h-month-num, 2, 1))         else $h-month-num " />
    <xsl:variable name="h-dt-sequence-1" select="if ($h-length = 4) then (         concat('^', $h-dt-value)        ,          concat('^', $h-year)         )        else if ($h-length = 6) then (         concat('^', $h-dt-value)        ,         concat('^', $h-month-short, $date-sep, $h-year)      ,          concat('^', $h-month-long, $date-sep, $h-year)      )        else if ($h-length &gt; 7) then (         concat('^', $h-dt-value)        ,         concat('^', $h-date-type-3-day, $date-sep, $h-month-short, $date-sep, $h-year)  ,         concat('^', $h-date-type-3-day, $date-sep, $h-month-long, $date-sep, $h-year)  ,         concat('^', $h-date-type-3-day, '/', $h-date-type-3-month, '/', $h-year)  )        else () " />
    <xsl:variable name="h-matching-seq-1" select="if (exists($h-dt-sequence-1))        then index-of(for $i in (1 to count($h-dt-sequence-1)) return exists($narr-dateTimes[matches(., $h-dt-sequence-1[$i], 'i')]), true())        else () " />
    <xsl:variable name="h-dt-stem-1" select="for $i in (1 to count($h-matching-seq-1)) return $h-dt-sequence-1[$h-matching-seq-1[$i]] " />
    <xsl:variable name="h-dt-regex-1" select="if (exists($h-dt-stem-1)) then concat('(', string-join($h-dt-stem-1, '$)|('), '$)') else ()" />
    <xsl:variable name="h-dt-match-1" select="exists($h-dt-stem-1) and exists($narr-dateTimes[matches(., $h-dt-regex-1, 'i')])" />
    <xsl:variable name="h-time-1" select="if ($h-length &gt; 11 and $h-hour-short != '') then concat($h-hour-short, ':', $h-minute, '( *| *am)') else '' " />
    <xsl:variable name="h-time-2" select="if ($h-length &gt; 13 and $h-hour-short != '') then concat($h-hour-short, ':', $h-minute, ':', $h-second, '( *| *am)') else '' " />
    <xsl:variable name="h-time-3" select="if ($h-length &gt; 11 and number($h-hour-long) &lt; 12) then concat($h-hour-long, ':', $h-minute, '( *| *am)')        else if ($h-length &gt; 11) then concat($h-hour-long, ':', $h-minute) else '' " />
    <xsl:variable name="h-time-4" select="if ($h-length &gt; 13 and number($h-hour-long) &lt; 12) then concat($h-hour-long, ':', $h-minute, ':', $h-second, '( *| *am)')        else if ($h-length &gt; 13) then concat($h-hour-long, ':', $h-minute, ':', $h-second) else '' " />
    <xsl:variable name="h-time-5" select="if ($h-length &gt; 11 and number($h-hour-long) &gt; 12) then concat(string(number($h-hour-long) - 12), ':', $h-minute, '( *| *pm)') else '' " />
    <xsl:variable name="h-time-6" select="if ($h-length &gt; 13 and number($h-hour-long) &gt; 12) then concat(string(number($h-hour-long) - 12), ':', $h-minute, ':', $h-second, '( *| *pm)') else '' " />
    <xsl:variable name="h-dt-temp-0" select="if (exists($h-dt-stem-1) and $h-length = 8) then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $narr-time-regex) else () " />
    <xsl:variable name="h-dt-temp-1" select="if (exists($h-dt-stem-1) and $h-time-1 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-1) else () " />
    <xsl:variable name="h-dt-temp-2" select="if (exists($h-dt-stem-1) and $h-time-2 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-2) else () " />
    <xsl:variable name="h-dt-temp-3" select="if (exists($h-dt-stem-1) and $h-time-3 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-3) else () " />
    <xsl:variable name="h-dt-temp-4" select="if (exists($h-dt-stem-1) and $h-time-4 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-4) else () " />
    <xsl:variable name="h-dt-temp-5" select="if (exists($h-dt-stem-1) and $h-time-5 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-5) else () " />
    <xsl:variable name="h-dt-temp-6" select="if (exists($h-dt-stem-1) and $h-time-6 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-6) else () " />
    <xsl:variable name="h-dt-sequence-2" select="($h-dt-temp-0, $h-dt-temp-1, $h-dt-temp-2, $h-dt-temp-3, $h-dt-temp-4, $h-dt-temp-5, $h-dt-temp-6)" />
    <xsl:variable name="h-matching-seq-2" select="if (exists($h-dt-sequence-2))        then index-of(for $i in (1 to count($h-dt-sequence-2)) return exists($narr-dateTimes[matches(., $h-dt-sequence-2[$i], 'i')]), true())        else () " />
    <xsl:variable name="h-dt-stem-2" select="for $i in (1 to count($h-matching-seq-2)) return $h-dt-sequence-2[$h-matching-seq-2[$i]] " />
    <xsl:variable name="h-dt-regex-2" select="if (exists($h-dt-stem-2)) then concat('(', string-join($h-dt-stem-2, '$)|('), '$)') else '' " />
    <xsl:variable name="h-dt-match-2" select="(exists($h-dt-stem-2) and exists($narr-dateTimes[matches(., $h-dt-regex-2, 'i')])) " />
    <xsl:variable name="h-dt-sequence-3" select="if (not($h-dt-match-2) and exists($h-dt-stem-2) and $h-time-zone != '') then for $i in (1 to count($h-dt-stem-2)) return        concat($h-dt-stem-2[$i], substring($h-time-zone, 1, 4), ':?', substring($h-time-zone, 5, 2)) else () " />
    <xsl:variable name="h-dt-regex-3" select="if ($h-dt-match-2) then '' else if (exists($h-dt-sequence-3)) then concat('(', string-join($h-dt-sequence-3, '$)|('), '$)') else '' " />
    <xsl:variable name="h-dt-match-3" select="($h-dt-match-2 or (exists($h-dt-sequence-3) and exists($narr-dateTimes[matches(., $h-dt-regex-3, 'i')]))) " />
    <xsl:variable name="h-narr-match" select="if ($h-dt-value != '' and count($narr-dateTimes) = 0) then      (       contains($narrative, $h-dt-value)                or       (string-length($h-dt-value) = 4 and contains($narrative, $h-year))             or        (string-length($h-dt-value) = 6 and contains($narrative, concat($h-month-short, $h-year)))          or       (string-length($h-dt-value) &gt; 7 and starts-with($h-day, '0') and        (contains($narrative, concat(substring($h-day,2,1), $h-month-short, $h-year)) or         contains($narrative, concat(substring($h-day,2,1), $h-month-num, $h-year))))          or       (string-length($h-dt-value) &gt; 7 and (contains($narrative, concat($h-day, $h-month-short, $h-year)) or contains($narrative, concat($h-day, $h-month-num, $h-year))))        )       else false() " />
    <xsl:variable name="h-nullFlavor-values" select="if (cda:high/@nullFlavor and cda:high/@nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))        then $nullFlavors/nullFlavor[@value = current()/cda:high/@nullFlavor] else () " />
    <xsl:variable name="h-null-to-find" select="exists($h-nullFlavor-values) " />
    <xsl:variable name="h-null-in-narr" select="($h-nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $h-nullFlavor-values/@name-regex, 'is')])) or              ($h-nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $h-nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="l-nullFlavor-values" select="if (cda:low/@nullFlavor and cda:low/@nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))        then $nullFlavors/nullFlavor[@value = current()/cda:low/@nullFlavor] else () " />
    <xsl:variable name="l-null-to-find" select="exists($l-nullFlavor-values) " />
    <xsl:variable name="l-null-in-narr" select="($l-nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $l-nullFlavor-values/@name-regex, 'is')])) or              ($l-nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $l-nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="l-dt-name" select="if ($l-dt-value = cda:low/@value) then ' low' else '' " />
    <xsl:variable name="l-dt-msg" select="if ($l-dt-value = cda:low/@value) then ' This date/time is the low boundary of a time interval.' else '' " />
    <xsl:variable name="h-dt-msg" select="if ($h-dt-value = cda:high/@value) then ' This date/time is the high boundary of a time interval.' else '' " />
    <xsl:variable name="l-null-msg" select="if ($l-dt-value = cda:low/@value) then ' This nullFlavor value is for the low boundary of a time interval.' else '' " />
    <xsl:variable name="h-null-msg" select="if ($h-dt-value = cda:high/@value) then ' This nullFlavor value is for the high boundary of a time interval.' else '' " />
    <xsl:variable name="multimedia" select="exists($fir-narr-node//cda:renderMultiMedia) or exists($sec-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($fir-narr-node//cda:linkHtml) or exists($sec-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="l-warning-1" select="exists($l-dt-sequence-1) and exists($narr-dateTimes) and $l-dt-match-1 and not($l-dt-match-3) and $l-dt-value != '' " />
    <xsl:variable name="l-error-1" select="$l-warning-1 and not($multimedia) " />
    <xsl:variable name="l-warning-2" select="exists($l-dt-sequence-1) and exists($narr-dateTimes) and not($l-dt-match-1 or $l-dt-match-3) and $l-dt-value != '' " />
    <xsl:variable name="l-error-2a" select="$l-warning-2 and not($multimedia) and $l-time-zone != '' and count($narr-dateTimes) =        count(for $dt in $narr-dateTimes return replace(replace($dt, $regex-date-type-1, ''), $regex-date-type-2, '')       [matches(., concat('^\s*([0-9]{1,2}:{1}[0-9]{2}\s*', substring($l-time-zone, 1, 4), ':?', substring($l-time-zone, 5, 2),         '|[0-9]{1,2}:{1}[0-9]{2}:{1}[0-9]{2}\s*', substring($l-time-zone, 1, 4), ':?', substring($l-time-zone, 5, 2), ')\s*$'), 'i')]) " />
    <xsl:variable name="l-error-2b" select="$l-warning-2 and not($l-dt-match-1) and not($multimedia) and count($narr-dateTimes[matches(., $regex-date-type-2, 'i')]) =        count($narr-dateTimes[matches(., concat($regex-date-type-2, ' ', $narr-time-regex, '$'), 'i')]) " />
    <xsl:variable name="l-error-2c" select="$l-warning-2 and exists($narr-dateTimes[matches(., concat('^', $l-year, '$'))]) " />
    <xsl:variable name="l-error-2" select="$l-error-2a or $l-error-2b or $l-error-2c " />
    <xsl:variable name="l-warning-3" select="$l-dt-value != '' and not(exists($narr-dateTimes)) and not($l-narr-match) " />
    <xsl:variable name="l-error-3" select="$l-warning-3 and not($multimedia) and not(contains($narrative, substring($l-year, 3,2)))" />
    <xsl:variable name="h-warning-1" select="exists($h-dt-sequence-1) and exists($narr-dateTimes) and $h-dt-match-1 and not($h-dt-match-3) and $h-dt-value != '' " />
    <xsl:variable name="h-error-1" select="$h-warning-1 and not($multimedia) " />
    <xsl:variable name="h-warning-2" select="exists($h-dt-sequence-1) and exists($narr-dateTimes) and not($h-dt-match-1 or $h-dt-match-3) and $h-dt-value != '' " />
    <xsl:variable name="h-error-2a" select="$h-warning-2 and not($multimedia) and $h-time-zone != '' and count($narr-dateTimes) =        count(for $dt in $narr-dateTimes return replace(replace($dt, $regex-date-type-1, ''), $regex-date-type-2, '')       [matches(., concat('^\s*([0-9]{1,2}:{1}[0-9]{2}\s*', substring($h-time-zone, 1, 4), ':?', substring($h-time-zone, 5, 2),         '|[0-9]{1,2}:{1}[0-9]{2}:{1}[0-9]{2}\s*', substring($h-time-zone, 1, 4), ':?', substring($h-time-zone, 5, 2), ')\s*$'), 'i')]) " />
    <xsl:variable name="h-error-2b" select="$h-warning-2 and not($h-dt-match-1) and not($multimedia) and count($narr-dateTimes[matches(., $regex-date-type-2, 'i')]) =        count($narr-dateTimes[matches(., concat($regex-date-type-2, ' ', $narr-time-regex, '$'), 'i')]) " />
    <xsl:variable name="h-error-2c" select="$l-warning-2 and exists($narr-dateTimes[matches(., concat('^', $h-year, '$'))]) " />
    <xsl:variable name="h-error-2" select="$h-error-2a or $h-error-2b or $h-error-2c " />
    <xsl:variable name="h-warning-3" select="$h-dt-value != '' and not(exists($narr-dateTimes)) and not($h-narr-match) " />
    <xsl:variable name="h-error-3" select="$h-warning-3 and not($multimedia) and not(contains($narrative, substring($h-year, 3,2))) " />
    <xsl:variable name="narr-dt-msg" select="if ($multimedia or $no-content) then ''       else if (not(exists($narr-dateTimes))) then concat(' The narrative of the ', iq:location(., ''), ' contains no dateTime elements.')       else if (count($narr-dateTimes) = 1) then concat(' The only dateTime element in the narrative of the ', iq:location(., ''), ' is ''',         dh:XQueryRecursiveReplace($narr-dateTimes[1], '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), '''.')       else concat(' The distinct dateTime elements in the narrative of the ', iq:location(., ''), ' are ''',         string-join(for $dt in $narr-dateTimes return          dh:XQueryRecursiveReplace($dt, '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), ', '), '''.') " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-4" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-4 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and exists($l-dt-sequence-1) and $l-dt-value != '' and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and exists($l-dt-sequence-1) and $l-dt-value != '' and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 4: The dateTime element in the structured data is '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'.<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text />
		The number of dateTime elements that have been extracted from the narrative is '<xsl:text /><xsl:value-of select="count($narr-dateTimes)" /><xsl:text />'.
		These are '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-dateTimes, ', '), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The initial regular expressions are '<xsl:text /><xsl:value-of select="string-join($l-dt-sequence-1, ', ')" /><xsl:text />'.
		The three regular expressions used to perform an exact match for narrative dateTime elements are as follows:
		l-dt-regex-1='<xsl:text /><xsl:value-of select="$l-dt-regex-1" /><xsl:text />'; l-dt-regex-2='<xsl:text /><xsl:value-of select="$l-dt-regex-2" /><xsl:text />'; and l-dt-regex-3='<xsl:text /><xsl:value-of select="$l-dt-regex-3" /><xsl:text />'.
		Was a match found after the first regular expression was created? <xsl:text /><xsl:value-of select="$l-dt-match-1" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($l-dt-regex-2 = '') then 'The second regular expression was not applied as there is no time information.'    else concat('Was a match found after the second regular expression (with a date and time) was created? ', $l-dt-match-2, '.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($l-dt-regex-3 = '') then 'The third regular expression was not applied as there is no timezone information.'    else concat('Was a match found after the third regular expression (with a date and time) was created? ', $l-dt-match-3, '.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and exists($h-dt-sequence-1) and $h-dt-value != '' and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and exists($h-dt-sequence-1) and $h-dt-value != '' and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 4: The dateTime element in the structured data is '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'.<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text />
		The number of dateTime elements that have been extracted from the narrative is '<xsl:text /><xsl:value-of select="count($narr-dateTimes)" /><xsl:text />'.
		These are '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-dateTimes, ', '), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The initial regular expressions are '<xsl:text /><xsl:value-of select="string-join($h-dt-sequence-1, ', ')" /><xsl:text />'.
		The three regular expressions used to perform an exact match for narrative dateTime elements are as follows:
		h-dt-regex-1='<xsl:text /><xsl:value-of select="$h-dt-regex-1" /><xsl:text />'; h-dt-regex-2='<xsl:text /><xsl:value-of select="$h-dt-regex-2" /><xsl:text />'; and h-dt-regex-3='<xsl:text /><xsl:value-of select="$h-dt-regex-3" /><xsl:text />'.
		Was a match found after the first regular expression was created? <xsl:text /><xsl:value-of select="$h-dt-match-1" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($h-dt-regex-2 = '') then 'The second regular expression was not applied as there is no time information.'    else concat('Was a match found after the second regular expression (with a date and time) was created? ', $h-dt-match-2, '.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($h-dt-regex-3 = '') then 'The third regular expression was not applied as there is no timezone information.'    else concat('Was a match found after the third regular expression (with a date and time) was created? ', $h-dt-match-3, '.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $l-warning-1 and not($l-error-1 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $l-warning-1 and not($l-error-1 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Referral Validity Duration '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /> Although the date was found in the narrative the Referral Validity Duration data element must contain the time.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Referral Validity Duration data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $l-error-1 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $l-error-1 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Referral Validity Duration '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /> Although the date was found in the narrative the Referral Validity Duration data element must contain the time.
		The Referral Validity Duration data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $l-error-1 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $l-error-1 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Referral Validity Duration '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /> Although the date was found in the narrative the Referral Validity Duration data element must contain the time.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-warning-2 and not($l-error-2 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-warning-2 and not($l-error-2 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Referral Validity Duration '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Referral Validity Duration data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-error-2 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-error-2 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Referral Validity Duration '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($l-error-2c) then concat('The narrative contains a date with the same year ''', $l-year, ''' but without a month or day.') else '' " /><xsl:text />
		The Referral Validity Duration data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-error-2 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-error-2 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Referral Validity Duration '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($l-error-2c) then concat('The narrative contains a date with the same year ''', $l-year, ''' but without a month or day.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $l-dt-value != '' and not($l-narr-match or $l-null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $l-dt-value != '' and not($l-narr-match or $l-null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Referral Validity Duration '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $l-dt-value != '' and not($l-narr-match or $l-null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $l-dt-value != '' and not($l-narr-match or $l-null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Referral Validity Duration '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Referral Validity Duration data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $h-warning-1 and not($h-error-1 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $h-warning-1 and not($h-error-1 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Referral Validity Duration '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /> Although the date was found in the narrative the Referral Validity Duration data element must contain the time.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Referral Validity Duration data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $h-error-1 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $h-error-1 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Referral Validity Duration '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /> Although the date was found in the narrative the Referral Validity Duration data element must contain the time.
		The Referral Validity Duration data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $h-error-1 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $h-error-1 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Referral Validity Duration '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /> Although the date was found in the narrative the Referral Validity Duration data element must contain the time.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-warning-2 and not($h-error-2 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-warning-2 and not($h-error-2 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Referral Validity Duration '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Referral Validity Duration data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-error-2 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-error-2 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Referral Validity Duration '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($h-error-2c) then concat('The narrative contains a date with the same year ''', $h-year, ''' but without a month or day.') else '' " /><xsl:text />
		The Referral Validity Duration data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-error-2 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-error-2 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Referral Validity Duration '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($h-error-2c) then concat('The narrative contains a date with the same year ''', $h-year, ''' but without a month or day.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-warning-3 and not($l-error-3 or $no-content)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-warning-3 and not($l-error-3 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Referral Validity Duration '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not seem to be present in the narrative of the section.<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Referral Validity Duration data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-error-3 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-error-3 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Referral Validity Duration '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Referral Validity Duration data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else ' All clinical information in entry elements must be present in the narrative.'" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-error-3 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-error-3 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Referral Validity Duration '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-warning-3 and not($h-error-3 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-warning-3 and not($h-error-3 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Referral Validity Duration '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not seem to be present in the narrative of the section.<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Referral Validity Duration data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-error-3 and not($no-content) and true()  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-error-3 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Referral Validity Duration '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text />
		The Referral Validity Duration data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-error-3 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-error-3 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Referral Validity Duration '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $h-dt-value != '' and not($h-narr-match or $h-null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $h-dt-value != '' and not($h-narr-match or $h-null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Referral Validity Duration '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $h-dt-value != '' and not($h-narr-match or $h-null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $h-dt-value != '' and not($h-narr-match or $h-null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Referral Validity Duration '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Referral Validity Duration data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-null-to-find and not($l-null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-null-to-find and not($l-null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Referral Validity Duration '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="cda:low/@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$l-nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($l-nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.<xsl:text /><xsl:value-of select="$l-null-msg" /><xsl:text /> If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-null-to-find and not($h-null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-null-to-find and not($h-null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Referral Validity Duration '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="cda:high/@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$h-nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($h-nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.<xsl:text /><xsl:value-of select="$h-null-msg" /><xsl:text />
		If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M874" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M874" />
  <xsl:template match="@*|node()" priority="-2" mode="M874">
    <xsl:apply-templates select="@*|*" mode="M874" />
  </xsl:template>
  <!--PATTERN p-TS-RefDetail-Text-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16347' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16347']]/cda:entry/   cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.1' and @code='42349-1']]/cda:value " priority="1000" mode="M875">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16347' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16347']]/cda:entry/   cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.1' and @code='42349-1']]/cda:value " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Referral Reason
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 3.4 the eReferral Structured Content Specification v2.1 the Referral Reason 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 3.4 the eReferral Structured Content Specification v2.1 the Referral Reason
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 3.4 the eReferral Structured Content Specification v2.1 the Referral Reason
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Referral Reason however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Referral Reason in section 3.4 the eReferral Structured Content Specification v2.1 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 3.4 the eReferral Structured Content Specification v2.1 the Referral Reason
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Referral Reason however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Referral Reason in section 3.4 the eReferral Structured Content Specification v2.1 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Referral Reason data element with a proper value then an exclusion
		statement must be included to state why there is no Referral Reason. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 3.4 the eReferral Structured Content Specification v2.1 the Referral Reason
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Referral Reason however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Referral Reason in section 3.4 the eReferral Structured Content Specification v2.1 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 3.4 the eReferral Structured Content Specification v2.1 the Referral Reason
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.4 the eReferral Structured Content Specification v2.1 the Referral Reason
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.4 the eReferral Structured Content Specification v2.1 the Referral Reason
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.4 the eReferral Structured Content Specification v2.1 the Referral Reason
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.4 the eReferral Structured Content Specification v2.1 the Referral Reason
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.4 the eReferral Structured Content Specification v2.1 the Referral Reason
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.4 the eReferral Structured Content Specification v2.1 the Referral Reason
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.4 the eReferral Structured Content Specification v2.1 the Referral Reason
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.4 the eReferral Structured Content Specification v2.1 the Referral Reason
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 3.4 the eReferral Structured Content Specification v2.1 the Referral Reason
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M875" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M875" />
  <xsl:template match="@*|node()" priority="-2" mode="M875">
    <xsl:apply-templates select="@*|*" mode="M875" />
  </xsl:template>
  <!--PATTERN p-TS-RefDetail-Text-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16347' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16347']]/cda:entry/   cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.1' and @code='42349-1']]/cda:value " priority="1000" mode="M876">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16347' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16347']]/cda:entry/   cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.1' and @code='42349-1']]/cda:value " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Referral Reason '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Referral Reason
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Referral Reason data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Referral Reason
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Referral Reason data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Referral Reason
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Referral Reason
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Referral Reason data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Referral Reason
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M876" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M876" />
  <xsl:template match="@*|node()" priority="-2" mode="M876">
    <xsl:apply-templates select="@*|*" mode="M876" />
  </xsl:template>
  <!--PATTERN p-TS-Request-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.20158' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20158'] " priority="1000" mode="M877">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.20158' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20158'] " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating" select="if ($initial-priority) then $initial-rating else if ($FS-Types-seq/@rating) then concat(' (', $FS-Types-seq/@rating, ')') else '' " />
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and not( /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2']   or        /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3']   or        /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')] ) and $extensions-allowed">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not( /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2'] or /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3'] or /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')] ) and $extensions-allowed">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: FS-Types: The Requested Service section (codeSystem '1.2.36.1.2001.1001.101' and code '102.20158') has been found in a <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. The Requested Service section (codeSystem '1.2.36.1.2001.1001.101' and code '102.20158') is defined in the digital health specifications but
		although tests have been applied to the data elements the specification of the data elements may have been varied for inclusion in this document
		so further examination may be needed. The rules have been validated for <xsl:text /><xsl:value-of select="normalize-space(' eReferral CDA Implementation Guide version 2.2;         Specialist Letter CDA Implementation Guide version 1.3; and         Event Summary CDA Implementation Guide version 1.2 and 1.3')" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M877" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M877" />
  <xsl:template match="@*|node()" priority="-2" mode="M877">
    <xsl:apply-templates select="@*|*" mode="M877" />
  </xsl:template>
  <!--PATTERN p-TS-Request-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.20158' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20158']]/cda:component/cda:section " priority="1000" mode="M878">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.20158' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20158']]/cda:component/cda:section " />
    <xsl:variable name="agency-section" select=" cda:code/@codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="test-step" select=" if (not($extensions-allowed)) then 'step 4'        else if ($agency-section) then 'step 3' else 'step 1' " />
    <xsl:variable name="title-and-code" select=" if (cda:title and cda:code/@code) then concat('title ''', cda:title, ''', code/code ''', cda:code/@code, '''')        else if (cda:title and not(cda:code/@code)) then concat('title ''', cda:title, '''')        else if (not(cda:title) and cda:code/@code) then concat('code/code ''', cda:code/@code, '''')        else '' " />
    <xsl:variable name="other-section-names" select=" if (cda:code/@displayName and not(cda:code/cda:originalText)) then concat(' and code/displayName ''', cda:code/@displayName, '''')         else if (cda:code/@displayName and cda:code/cda:originalText)          then concat(', code/displayName ''', cda:code/@displayName,''' and code/originalText ''', cda:code/cda:originalText, '''')        else if (not(cda:code/@displayName) and cda:code/cda:originalText) then concat(' and code/originalText ''', cda:code/cda:originalText, '''')        else '' " />
    <xsl:variable name="section-names" select="concat($title-and-code, $other-section-names)" />
    <xsl:variable name="doc-code" select="/cda:ClinicalDocument/cda:code" />
    <xsl:variable name="parent-section" select="ancestor::cda:section[position()=1]" />
    <xsl:variable name="custom-section-info" select="($iq-config/custom-sections/section, $knowledge/custom-sections/section)[        @doc-code  = $doc-code/@code          and        @doc-codeSystem  = $doc-code/@codeSystem          and        @parent-code   = $parent-section/cda:code/@code         and         @parent-codeSystem  = $parent-section/cda:code/@codeSystem        and         (@title = current()/cda:title or (@code = current()/cda:code/@code and @codeSystem = current()/cda:code/@codeSystem)) ] " />
    <xsl:variable name="section-disallowed" select="$custom-section-info/@disallowed = 'yes' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and ($section-disallowed or not(exists($custom-section-info)))) then $rating-alt-TC-Doc-28-step-1        else if ($test-step = 'step 1' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections]) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 3') then $rating-TC-Doc-28-step-3 else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and $section-disallowed ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and $section-disallowed">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Requested Service section (codeSystem '1.2.36.1.2001.1001.101' and code '102.20158') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> which
		is an extension to the information model however the inclusion of this section conflicts with sections defined in the digital health specifications.
		<xsl:text /><xsl:value-of select="$custom-section-info[@disallowed = 'yes']/@reason" /><xsl:text /> (Also see <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not(false()) and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(false()) and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Requested Service section (codeSystem '1.2.36.1.2001.1001.101' and code '102.20158') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. No subsection is expected so this
		is an extension to the information model. Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the 
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(false()) and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(false()) and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Requested Service section (codeSystem '1.2.36.1.2001.1001.101' and code '102.20158') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> but no subsections were
		expected so the document fails to meet the requirement that it must not contain additional data elements. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and false() and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and false() and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Requested Service section (codeSystem '1.2.36.1.2001.1001.101' and code '102.20158') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		none are expected but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the information model.
		Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Requested Service section (codeSystem '1.2.36.1.2001.1001.101' and code '102.20158') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		none are expected but the inclusion of the section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> fails to meet the requirement that it must not contain additional data elements.
		(See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M878" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M878" />
  <xsl:template match="@*|node()" priority="-2" mode="M878">
    <xsl:apply-templates select="@*|*" mode="M878" />
  </xsl:template>
  <!--PATTERN p-TS-Request-CodeableText-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.20158' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20158']]/cda:entry/cda:act/cda:code " priority="1000" mode="M879">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.20158' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20158']]/cda:entry/cda:act/cda:code " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Requested Service Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and true() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and true() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Requested Service Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Requested Service Description',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Requested Service Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to the Structured Content Specification the Requested Service Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'allowed' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'allowed' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Requested Service Description
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Requested Service Description however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Requested Service Description in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'allowed' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'allowed' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Requested Service Description
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Requested Service Description however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Requested Service Description in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Requested Service Description data element must have a value that is consistent with this definition. Alternatively if there is no Requested Service Description data element with a proper value then an exclusion
		statement must be included to state why there is no Requested Service Description.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'allowed' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'allowed' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Requested Service Description
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Requested Service Description however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Requested Service Description in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'allowed' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'allowed' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Requested Service Description
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Requested Service Description however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Requested Service Description in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Requested Service Description data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'allowed' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'allowed' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to the Structured Content Specification the Requested Service Description
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Requested Service Description however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Requested Service Description in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Requested Service Description data element must have a value that is consistent with this definition. Alternatively if there is no Requested Service Description data element with a proper value then an exclusion
		statement must be included to state why there is no Requested Service Description.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'allowed' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'allowed' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Requested Service Description
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Requested Service Description however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Requested Service Description in the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Requested Service Description data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Requested Service Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Requested Service Description
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Requested Service Description
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Requested Service Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Requested Service Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Requested Service Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to the Structured Content Specification the Requested Service Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Requested Service Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Requested Service Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Requested Service Description
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Requested Service Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Requested Service Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Requested Service Description.
		(See the definition of Requested Service Description in the Structured Content Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Requested Service Description '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M879" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M879" />
  <xsl:template match="@*|node()" priority="-2" mode="M879">
    <xsl:apply-templates select="@*|*" mode="M879" />
  </xsl:template>
  <!--PATTERN p-TS-Request-CodeableText-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.20158' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20158']]/cda:entry/cda:act/cda:code   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M880">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.20158' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20158']]/cda:entry/cda:act/cda:code   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Requested Service Description '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Requested Service Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Requested Service Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Requested Service Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Requested Service Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Requested Service Description has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Requested Service Description data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Requested Service Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Requested Service Description data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Requested Service Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Requested Service Description data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Requested Service Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Requested Service Description data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Requested Service Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Requested Service Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Requested Service Description data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Requested Service Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Requested Service Description data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Requested Service Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Requested Service Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Requested Service Description data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Requested Service Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Requested Service Description data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Requested Service Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Requested Service Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M880" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M880" />
  <xsl:template match="@*|node()" priority="-2" mode="M880">
    <xsl:apply-templates select="@*|*" mode="M880" />
  </xsl:template>
  <!--PATTERN p-TS-Request-DateTime-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.20158' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20158']]/cda:entry/cda:act/cda:entryRelationship/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16635']]/cda:effectiveTime " priority="1000" mode="M881">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.20158' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20158']]/cda:entry/cda:act/cda:entryRelationship/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16635']]/cda:effectiveTime " />
    <xsl:variable name="allow-ivl-ts" select="if (not(@xsi:type)) then false() else /cda:ClinicalDocument       [cda:templateId[(@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')  or         (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or         (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) ]]   and        local-name(.) = 'value'             and        ..[local-name(.) = 'observation' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]   and       ../..[local-name(.) = 'entryRelationship' and @typeCode='SUBJ']        and       ../../..[local-name(.) = 'observation' and cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]  and       ../../../..[local-name(.) = 'entry']            and       ../../../../..[local-name(.) = 'section' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]  " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-18" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-18 else $rating-alt-TC-Types-18 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-18: The Requested Service DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data
		type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime',            'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime', 'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: The Requested Service DateTime

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type but it does not meet the requirement to have the xsi:type attribute with the value 'TS'.
		(See section 8.6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the Requested Service DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was
		found. This may be corrected by using an xsi:type attribute with the value 'TS'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the Requested Service DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		This may be corrected by using an xsi:type attribute with the value 'TS'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the Requested Service DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7
		'TS' data type to have a value attribute if there is no nullFlavor
		attribute. (See section 7.8.13.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange')

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the Requested Service DateTime '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7 'TS' data type to have a value attribute if there is no nullFlavor
		attribute. The element has a '<xsl:text /><xsl:value-of select="local-name(*[local-name(.) = ('low', 'high')])" /><xsl:text />' child element with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		which is not one of the elements used for the HL7 'TS'
		data type. (See section 7.8.13 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Requested Service DateTime
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		is present. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Requested Service DateTime
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' was found. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Requested Service DateTime
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Requested Service DateTime
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@value) and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@value) and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to the Structured Content Specification the Requested Service DateTime
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (uncoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include
		nullFlavor 'UNC'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M881" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M881" />
  <xsl:template match="@*|node()" priority="-2" mode="M881">
    <xsl:apply-templates select="@*|*" mode="M881" />
  </xsl:template>
  <!--PATTERN p-TS-Request-DateTime-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.20158' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20158']]/cda:entry/cda:act/cda:entryRelationship/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16635']]/cda:effectiveTime    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))] " priority="1000" mode="M882">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.20158' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20158']]/cda:entry/cda:act/cda:entryRelationship/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16635']]/cda:effectiveTime    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="fir-narrative" select="translate(normalize-space(lower-case(string($fir-narr-node))), $chars-to-remove, '')" />
    <xsl:variable name="sec-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)        then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]        else () " />
    <xsl:variable name="sec-narr-node" select="$sec-section/cda:text " />
    <xsl:variable name="narr-text-el" select="(for $text in ($fir-narr-node//text(), $sec-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="sec-narrative" select="translate(normalize-space(lower-case(string($sec-narr-node))), $chars-to-remove, '') " />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="narrative" select="concat($target-title, $fir-narrative, $sec-narrative)" />
    <xsl:variable name="narr-elements" select="$fir-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ]  |             $sec-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ] " />
    <xsl:variable name="narr-lower-case" select="for $i in (1 to count($narr-elements)) return lower-case(normalize-space(string-join($narr-elements[$i]/text(), '')))  " />
    <xsl:variable name="dt-narr-elements" select="$narr-lower-case[matches(., $regex-date-type-1, 'i') or matches(., $regex-date-type-2, 'i') or matches(., $regex-date-type-3, 'i')] " />
    <xsl:variable name="narr-elements-start" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-before($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-before($dt-narr-elements[$i], ' -'))        else $dt-narr-elements[$i])[. != ''] " />
    <xsl:variable name="narr-elements-end" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-after($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-after($dt-narr-elements[$i], ' -'))        else '')[. != ''] " />
    <xsl:variable name="narr-dateTimes" select="distinct-values(($narr-elements-start , $narr-elements-end))[. != '(ongoing)'] " />
    <xsl:variable name="dt-value" select="if (@value) then @value else '' " />
    <xsl:variable name="no-time-zone" select="if (contains($dt-value, '+')) then substring-before($dt-value, '+')       else if (contains($dt-value, '-')) then substring-before($dt-value, '-')       else $dt-value " />
    <xsl:variable name="dateTime-length" select="string-length($no-time-zone) " />
    <xsl:variable name="year" select="if ($dateTime-length &gt; 3) then substring($no-time-zone,1,4) else '' " />
    <xsl:variable name="month-num" select="if ($dateTime-length &gt; 5) then substring($no-time-zone,5,2) else '' " />
    <xsl:variable name="day" select="if ($dateTime-length &gt; 7 and substring($no-time-zone,7,1) = '0') then substring($no-time-zone,8,1)       else if ($dateTime-length &gt; 7 and substring($no-time-zone,7,1) != '0') then substring($no-time-zone,7,2) else '' " />
    <xsl:variable name="hour-long" select="if ($dateTime-length &gt; 9) then substring($no-time-zone,9,2) else '' " />
    <xsl:variable name="hour-short" select="if (substring($hour-long, 1, 1) = '0') then substring($hour-long, 2, 1) else '' " />
    <xsl:variable name="minute" select="if ($dateTime-length &gt; 11) then substring($no-time-zone,11,2) else '' " />
    <xsl:variable name="second" select="if ($dateTime-length &gt; 13) then substring($no-time-zone,13,2) else '' " />
    <xsl:variable name="time-zone" select="if (contains($dt-value, '+')) then concat('\+', substring-after($dt-value, '+'))       else if (contains($dt-value, '-')) then concat('\-', substring-after($dt-value, '-'))       else '' " />
    <xsl:variable name="month-short" select="if ($month-num = '01') then 'jan'  else             if ($month-num = '02') then 'feb'  else             if ($month-num = '03') then 'mar'  else             if ($month-num = '04') then 'apr'  else             if ($month-num = '05') then 'may'  else             if ($month-num = '06') then 'jun'  else             if ($month-num = '07') then 'jul'  else             if ($month-num = '08') then 'aug'  else             if ($month-num = '09') then 'sep'  else             if ($month-num = '10') then 'oct'  else             if ($month-num = '11') then 'nov'  else             if ($month-num = '12') then 'dec'  else '' " />
    <xsl:variable name="month-long" select="if ($month-num = '01') then 'january'  else             if ($month-num = '02') then 'february'  else             if ($month-num = '03') then 'march'  else             if ($month-num = '04') then 'april'  else             if ($month-num = '05') then 'may'  else             if ($month-num = '06') then 'june'  else             if ($month-num = '07') then 'july'  else             if ($month-num = '08') then 'august'  else             if ($month-num = '09') then 'september'  else             if ($month-num = '10') then 'october'  else             if ($month-num = '11') then 'november'  else             if ($month-num = '12') then 'december'  else '' " />
    <xsl:variable name="date-type-3-day" select="if (string-length($day) = 1) then concat('0{0,1}', $day) else $day " />
    <xsl:variable name="date-type-3-month" select="if (string-length($month-num) = 1) then concat('0{0,1}', $month-num)        else if (substring($month-num, 1, 1) = '0') then concat('0{0,1}', substring($month-num, 2, 1))         else $month-num " />
    <xsl:variable name="dt-sequence-1" select="if ($dateTime-length = 4) then (         concat('^', $dt-value)         ,          concat('^', $year)         )        else if ($dateTime-length = 6) then (         concat('^', $dt-value)         ,         concat('^', $month-short, $date-sep, $year)      ,          concat('^', $month-long, $date-sep, $year)      )        else if ($dateTime-length &gt; 7) then (         concat('^', $dt-value)         ,         concat('^', $date-type-3-day, $date-sep, $month-short, $date-sep, $year)  ,         concat('^', $date-type-3-day, $date-sep, $month-long, $date-sep, $year)   ,         concat('^', $date-type-3-day, '/', $date-type-3-month, '/', $year)   )        else () " />
    <xsl:variable name="matching-seq-1" select="if (exists($dt-sequence-1))        then index-of(for $i in (1 to count($dt-sequence-1)) return exists($narr-dateTimes[matches(., $dt-sequence-1[$i], 'i')]), true())        else () " />
    <xsl:variable name="dt-stem-1" select="for $i in (1 to count($matching-seq-1)) return $dt-sequence-1[$matching-seq-1[$i]] " />
    <xsl:variable name="dt-regex-1" select="if (exists($dt-stem-1)) then concat('(', string-join($dt-stem-1, '$)|('), '$)') else ()" />
    <xsl:variable name="dt-match-1" select="exists($dt-stem-1) and exists($narr-dateTimes[matches(., $dt-regex-1, 'i')])" />
    <xsl:variable name="time-1" select="if ($dateTime-length &gt; 11 and $hour-short != '') then concat($hour-short, ':', $minute, '( *| *am)') else '' " />
    <xsl:variable name="time-2" select="if ($dateTime-length &gt; 13 and $hour-short != '') then concat($hour-short, ':', $minute, ':', $second, '( *| *am)') else '' " />
    <xsl:variable name="time-3" select="if ($dateTime-length &gt; 11 and number($hour-long) &lt; 12) then concat($hour-long, ':', $minute, '( *| *am)')       else if ($dateTime-length &gt; 11) then concat($hour-long, ':', $minute) else '' " />
    <xsl:variable name="time-4" select="if ($dateTime-length &gt; 13 and number($hour-long) &lt; 12) then concat($hour-long, ':', $minute, ':', $second, '( *| *am)')        else if ($dateTime-length &gt; 13) then concat($hour-long, ':', $minute, ':', $second) else '' " />
    <xsl:variable name="time-5" select="if ($dateTime-length &gt; 11 and number($hour-long) &gt; 12) then concat(string(number($hour-long) - 12), ':', $minute, '( *| *pm)') else '' " />
    <xsl:variable name="time-6" select="if ($dateTime-length &gt; 13 and number($hour-long) &gt; 12) then concat(string(number($hour-long) - 12), ':', $minute, ':', $second, '( *| *pm)') else '' " />
    <xsl:variable name="dt-temp-0" select="if (exists($dt-stem-1) and $dateTime-length = 8) then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $narr-time-regex) else () " />
    <xsl:variable name="dt-temp-1" select="if (exists($dt-stem-1) and $time-1 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-1) else () " />
    <xsl:variable name="dt-temp-2" select="if (exists($dt-stem-1) and $time-2 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-2) else () " />
    <xsl:variable name="dt-temp-3" select="if (exists($dt-stem-1) and $time-3 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-3) else () " />
    <xsl:variable name="dt-temp-4" select="if (exists($dt-stem-1) and $time-4 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-4) else () " />
    <xsl:variable name="dt-temp-5" select="if (exists($dt-stem-1) and $time-5 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-5) else () " />
    <xsl:variable name="dt-temp-6" select="if (exists($dt-stem-1) and $time-6 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-6) else () " />
    <xsl:variable name="dt-sequence-2" select="($dt-temp-0, $dt-temp-1, $dt-temp-2, $dt-temp-3, $dt-temp-4, $dt-temp-5, $dt-temp-6)" />
    <xsl:variable name="matching-seq-2" select="if (exists($dt-sequence-2))        then index-of(for $i in (1 to count($dt-sequence-2)) return exists($narr-dateTimes[matches(., $dt-sequence-2[$i], 'i')]), true())        else () " />
    <xsl:variable name="dt-stem-2" select="for $i in (1 to count($matching-seq-2)) return $dt-sequence-2[$matching-seq-2[$i]] " />
    <xsl:variable name="dt-regex-2" select="if (exists($dt-stem-2)) then concat('(', string-join($dt-stem-2, '$)|('), '$)') else '' " />
    <xsl:variable name="dt-match-2" select="(exists($dt-stem-2) and exists($narr-dateTimes[matches(., $dt-regex-2, 'i')])) " />
    <xsl:variable name="dt-sequence-3" select="if (not($dt-match-2) and exists($dt-stem-2) and $time-zone != '') then for $i in (1 to count($dt-stem-2)) return        concat($dt-stem-2[$i], substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2)) else () " />
    <xsl:variable name="dt-regex-3" select="if ($dt-match-2) then '' else if (exists($dt-sequence-3)) then concat('(', string-join($dt-sequence-3, '$)|('), '$)') else '' " />
    <xsl:variable name="dt-match-3" select="($dt-match-2 or (exists($dt-sequence-3) and exists($narr-dateTimes[matches(., $dt-regex-3, 'i')]))) " />
    <xsl:variable name="narr-match" select="if ($dt-value != '' and not(exists($narr-dateTimes))) then      (       contains($narrative, $dt-value)               or       (string-length($dt-value) = 4 and contains($narrative, $year))            or        (string-length($dt-value) = 6 and contains($narrative, concat($month-short, $year)))          or       (string-length($dt-value) &gt; 7 and starts-with($day, '0') and        (contains($narrative, concat(substring($day,2,1), $month-short, $year)) or         contains($narrative, concat(substring($day,2,1), $month-num, $year))))          or       (string-length($dt-value) &gt; 7 and (contains($narrative, concat($day, $month-short, $year)) or contains($narrative, concat($day, $month-num, $year))))        )       else false() " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($fir-narr-node//cda:renderMultiMedia) or exists($sec-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($fir-narr-node//cda:linkHtml) or exists($sec-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="warning-1" select="exists($dt-sequence-1) and exists($narr-dateTimes) and $dt-match-1 and not($dt-match-3) and $dt-value != '' " />
    <xsl:variable name="error-1" select="$warning-1 and not($multimedia) " />
    <xsl:variable name="warning-2" select="exists($dt-sequence-1) and exists($narr-dateTimes) and not($dt-match-1 or $dt-match-3) and $dt-value != '' " />
    <xsl:variable name="error-2a" select="$warning-2 and not($multimedia) and $time-zone != '' and count($narr-dateTimes) =        count(for $dt in $narr-dateTimes return replace(replace($dt, $regex-date-type-1, ''), $regex-date-type-2, '')       [matches(., concat('^\s*([0-9]{1,2}:{1}[0-9]{2}\s*', substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2),         '|[0-9]{1,2}:{1}[0-9]{2}:{1}[0-9]{2}\s*', substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2), ')\s*$'), 'i')]) " />
    <xsl:variable name="error-2b" select="$warning-2 and not($dt-match-1) and not($multimedia) and count($narr-dateTimes[matches(., $regex-date-type-2, 'i')]) =        count($narr-dateTimes[matches(., concat($regex-date-type-2, ' ', $narr-time-regex, '$'), 'i')]) " />
    <xsl:variable name="error-2c" select="$warning-2 and exists($narr-dateTimes[matches(., concat('^', $year, '$'))]) " />
    <xsl:variable name="error-2" select="$error-2a or $error-2b or $error-2c " />
    <xsl:variable name="warning-3" select="$dt-value != '' and not(exists($narr-dateTimes)) and not($narr-match) " />
    <xsl:variable name="error-3" select="$warning-3 and not($multimedia) and not(contains($narrative, substring($year, 3, 2)))" />
    <xsl:variable name="narr-dt-msg" select="if ($multimedia or $no-content) then ''       else if (not(exists($narr-dateTimes))) then concat(' The narrative of the ', iq:location(., ''), ' contains no dateTime elements.')       else if (count($narr-dateTimes) = 1) then concat(' The only dateTime element in the narrative of the ', iq:location(., ''), ' is ''',         dh:XQueryRecursiveReplace($narr-dateTimes[1], '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), '''.')       else concat(' The distinct dateTime elements in the narrative of the ', iq:location(., ''), ' are ''',         string-join(for $dt in $narr-dateTimes return          dh:XQueryRecursiveReplace($dt, '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), ', '), '''.') " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-4" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-4 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and exists($dt-sequence-1) and $dt-value != '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and exists($dt-sequence-1) and $dt-value != ''">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 4: The dateTime element in the structured data is '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'.
		The number of dateTime elements that have been extracted from the narrative is '<xsl:text /><xsl:value-of select="count($narr-dateTimes)" /><xsl:text />'.
		These are '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-dateTimes, ', '), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The initial regular expressions are '<xsl:text /><xsl:value-of select="string-join($dt-sequence-1, ', ')" /><xsl:text />'.
		The items in dt-stem-1 are: '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($dt-stem-1, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The items in dt-sequence-2 are: '<xsl:text /><xsl:value-of select="string-join($dt-sequence-2, '|')" /><xsl:text />'.
		The items in dt-stem-2 are: '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($dt-stem-2, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The three regular expressions used to perform an exact match for narrative dateTime elements are as follows:
		dt-regex-1='<xsl:text /><xsl:value-of select="$dt-regex-1" /><xsl:text />'; dt-regex-2='<xsl:text /><xsl:value-of select="$dt-regex-2" /><xsl:text />'; and dt-regex-3='<xsl:text /><xsl:value-of select="$dt-regex-3" /><xsl:text />'.
		Was a match found after the first regular expression (with just a date) was created? <xsl:text /><xsl:value-of select="$dt-match-1" /><xsl:text />.		
		<xsl:text /><xsl:value-of select="if ($dt-regex-2 = '') then 'The second regular expression was not applied as there is no time information.'    else concat('Was a match found after the second regular expression (with a date and time) was created? ', $dt-match-2, '.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($dt-regex-3 = '') then ' The third regular expression was not applied as there is no timezone information.'    else concat(' Was a match found after the third regular expression (with a date and time) was created? ', $dt-match-3, '.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $warning-1 and not($error-1 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $warning-1 and not($error-1 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Requested Service DateTime 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Requested Service DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $error-1 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $error-1 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Requested Service DateTime 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. The Requested Service DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $error-1 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $error-1 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Requested Service DateTime 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. The Requested Service DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $warning-2 and not($error-2 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$warning-2 and not($error-2 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Requested Service DateTime 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Requested Service DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-2 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-2 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Requested Service DateTime 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="if ($error-2c) then concat('The narrative contains a date with the same year ''', $year, ''' but without a month or day.') else '' " /><xsl:text />
		The Requested Service DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.
		<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-2 and not($no-content) and not(true())">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-2 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Requested Service DateTime 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="if ($error-2c) then concat('The narrative contains a date with the same year ''', $year, ''' but without a month or day.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $warning-3 and not($error-3 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$warning-3 and not($error-3 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Requested Service DateTime 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Requested Service DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $dt-value != '' and not($narr-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $dt-value != '' and not($narr-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Requested Service DateTime 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $dt-value != '' and not($narr-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $dt-value != '' and not($narr-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Requested Service DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Requested Service DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-3 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-3 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Requested Service DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Requested Service DateTime data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-3 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-3 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Requested Service DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Requested Service DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M882" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M882" />
  <xsl:template match="@*|node()" priority="-2" mode="M882">
    <xsl:apply-templates select="@*|*" mode="M882" />
  </xsl:template>
  <!--PATTERN p-TS-Request-DateTime-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.20158' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20158']]/cda:entry/cda:act[not(@moodCode = 'INT')]/cda:effectiveTime[not(cda:*)] " priority="1000" mode="M883">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.20158' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20158']]/cda:entry/cda:act[not(@moodCode = 'INT')]/cda:effectiveTime[not(cda:*)] " />
    <xsl:variable name="allow-ivl-ts" select="if (not(@xsi:type)) then false() else /cda:ClinicalDocument       [cda:templateId[(@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')  or         (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or         (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) ]]   and        local-name(.) = 'value'             and        ..[local-name(.) = 'observation' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]   and       ../..[local-name(.) = 'entryRelationship' and @typeCode='SUBJ']        and       ../../..[local-name(.) = 'observation' and cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]  and       ../../../..[local-name(.) = 'entry']            and       ../../../../..[local-name(.) = 'section' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]  " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-18" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-18 else $rating-alt-TC-Types-18 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-18: The DateTime Service Scheduled '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data
		type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime',            'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime', 'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: The DateTime Service Scheduled

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type but it does not meet the requirement to have the xsi:type attribute with the value 'TS'.
		(See section 8.6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the DateTime Service Scheduled '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was
		found. This may be corrected by using an xsi:type attribute with the value 'TS'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the DateTime Service Scheduled '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		This may be corrected by using an xsi:type attribute with the value 'TS'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the DateTime Service Scheduled '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7
		'TS' data type to have a value attribute if there is no nullFlavor
		attribute. (See section 7.8.13.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange')

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to the Structured Content Specification the DateTime Service Scheduled '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7 'TS' data type to have a value attribute if there is no nullFlavor
		attribute. The element has a '<xsl:text /><xsl:value-of select="local-name(*[local-name(.) = ('low', 'high')])" /><xsl:text />' child element with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		which is not one of the elements used for the HL7 'TS'
		data type. (See section 7.8.13 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the DateTime Service Scheduled
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		is present. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the DateTime Service Scheduled
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' was found. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the DateTime Service Scheduled
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the DateTime Service Scheduled
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@value) and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@value) and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to the Structured Content Specification the DateTime Service Scheduled
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (uncoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include
		nullFlavor 'UNC'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M883" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M883" />
  <xsl:template match="@*|node()" priority="-2" mode="M883">
    <xsl:apply-templates select="@*|*" mode="M883" />
  </xsl:template>
  <!--PATTERN p-TS-Request-DateTime-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.20158' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20158']]/cda:entry/cda:act[not(@moodCode = 'INT')]/cda:effectiveTime[not(cda:*)]    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))] " priority="1000" mode="M884">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.20158' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20158']]/cda:entry/cda:act[not(@moodCode = 'INT')]/cda:effectiveTime[not(cda:*)]    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="fir-narrative" select="translate(normalize-space(lower-case(string($fir-narr-node))), $chars-to-remove, '')" />
    <xsl:variable name="sec-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)        then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]        else () " />
    <xsl:variable name="sec-narr-node" select="$sec-section/cda:text " />
    <xsl:variable name="narr-text-el" select="(for $text in ($fir-narr-node//text(), $sec-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="sec-narrative" select="translate(normalize-space(lower-case(string($sec-narr-node))), $chars-to-remove, '') " />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="narrative" select="concat($target-title, $fir-narrative, $sec-narrative)" />
    <xsl:variable name="narr-elements" select="$fir-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ]  |             $sec-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ] " />
    <xsl:variable name="narr-lower-case" select="for $i in (1 to count($narr-elements)) return lower-case(normalize-space(string-join($narr-elements[$i]/text(), '')))  " />
    <xsl:variable name="dt-narr-elements" select="$narr-lower-case[matches(., $regex-date-type-1, 'i') or matches(., $regex-date-type-2, 'i') or matches(., $regex-date-type-3, 'i')] " />
    <xsl:variable name="narr-elements-start" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-before($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-before($dt-narr-elements[$i], ' -'))        else $dt-narr-elements[$i])[. != ''] " />
    <xsl:variable name="narr-elements-end" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-after($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-after($dt-narr-elements[$i], ' -'))        else '')[. != ''] " />
    <xsl:variable name="narr-dateTimes" select="distinct-values(($narr-elements-start , $narr-elements-end))[. != '(ongoing)'] " />
    <xsl:variable name="dt-value" select="if (@value) then @value else '' " />
    <xsl:variable name="no-time-zone" select="if (contains($dt-value, '+')) then substring-before($dt-value, '+')       else if (contains($dt-value, '-')) then substring-before($dt-value, '-')       else $dt-value " />
    <xsl:variable name="dateTime-length" select="string-length($no-time-zone) " />
    <xsl:variable name="year" select="if ($dateTime-length &gt; 3) then substring($no-time-zone,1,4) else '' " />
    <xsl:variable name="month-num" select="if ($dateTime-length &gt; 5) then substring($no-time-zone,5,2) else '' " />
    <xsl:variable name="day" select="if ($dateTime-length &gt; 7 and substring($no-time-zone,7,1) = '0') then substring($no-time-zone,8,1)       else if ($dateTime-length &gt; 7 and substring($no-time-zone,7,1) != '0') then substring($no-time-zone,7,2) else '' " />
    <xsl:variable name="hour-long" select="if ($dateTime-length &gt; 9) then substring($no-time-zone,9,2) else '' " />
    <xsl:variable name="hour-short" select="if (substring($hour-long, 1, 1) = '0') then substring($hour-long, 2, 1) else '' " />
    <xsl:variable name="minute" select="if ($dateTime-length &gt; 11) then substring($no-time-zone,11,2) else '' " />
    <xsl:variable name="second" select="if ($dateTime-length &gt; 13) then substring($no-time-zone,13,2) else '' " />
    <xsl:variable name="time-zone" select="if (contains($dt-value, '+')) then concat('\+', substring-after($dt-value, '+'))       else if (contains($dt-value, '-')) then concat('\-', substring-after($dt-value, '-'))       else '' " />
    <xsl:variable name="month-short" select="if ($month-num = '01') then 'jan'  else             if ($month-num = '02') then 'feb'  else             if ($month-num = '03') then 'mar'  else             if ($month-num = '04') then 'apr'  else             if ($month-num = '05') then 'may'  else             if ($month-num = '06') then 'jun'  else             if ($month-num = '07') then 'jul'  else             if ($month-num = '08') then 'aug'  else             if ($month-num = '09') then 'sep'  else             if ($month-num = '10') then 'oct'  else             if ($month-num = '11') then 'nov'  else             if ($month-num = '12') then 'dec'  else '' " />
    <xsl:variable name="month-long" select="if ($month-num = '01') then 'january'  else             if ($month-num = '02') then 'february'  else             if ($month-num = '03') then 'march'  else             if ($month-num = '04') then 'april'  else             if ($month-num = '05') then 'may'  else             if ($month-num = '06') then 'june'  else             if ($month-num = '07') then 'july'  else             if ($month-num = '08') then 'august'  else             if ($month-num = '09') then 'september'  else             if ($month-num = '10') then 'october'  else             if ($month-num = '11') then 'november'  else             if ($month-num = '12') then 'december'  else '' " />
    <xsl:variable name="date-type-3-day" select="if (string-length($day) = 1) then concat('0{0,1}', $day) else $day " />
    <xsl:variable name="date-type-3-month" select="if (string-length($month-num) = 1) then concat('0{0,1}', $month-num)        else if (substring($month-num, 1, 1) = '0') then concat('0{0,1}', substring($month-num, 2, 1))         else $month-num " />
    <xsl:variable name="dt-sequence-1" select="if ($dateTime-length = 4) then (         concat('^', $dt-value)         ,          concat('^', $year)         )        else if ($dateTime-length = 6) then (         concat('^', $dt-value)         ,         concat('^', $month-short, $date-sep, $year)      ,          concat('^', $month-long, $date-sep, $year)      )        else if ($dateTime-length &gt; 7) then (         concat('^', $dt-value)         ,         concat('^', $date-type-3-day, $date-sep, $month-short, $date-sep, $year)  ,         concat('^', $date-type-3-day, $date-sep, $month-long, $date-sep, $year)   ,         concat('^', $date-type-3-day, '/', $date-type-3-month, '/', $year)   )        else () " />
    <xsl:variable name="matching-seq-1" select="if (exists($dt-sequence-1))        then index-of(for $i in (1 to count($dt-sequence-1)) return exists($narr-dateTimes[matches(., $dt-sequence-1[$i], 'i')]), true())        else () " />
    <xsl:variable name="dt-stem-1" select="for $i in (1 to count($matching-seq-1)) return $dt-sequence-1[$matching-seq-1[$i]] " />
    <xsl:variable name="dt-regex-1" select="if (exists($dt-stem-1)) then concat('(', string-join($dt-stem-1, '$)|('), '$)') else ()" />
    <xsl:variable name="dt-match-1" select="exists($dt-stem-1) and exists($narr-dateTimes[matches(., $dt-regex-1, 'i')])" />
    <xsl:variable name="time-1" select="if ($dateTime-length &gt; 11 and $hour-short != '') then concat($hour-short, ':', $minute, '( *| *am)') else '' " />
    <xsl:variable name="time-2" select="if ($dateTime-length &gt; 13 and $hour-short != '') then concat($hour-short, ':', $minute, ':', $second, '( *| *am)') else '' " />
    <xsl:variable name="time-3" select="if ($dateTime-length &gt; 11 and number($hour-long) &lt; 12) then concat($hour-long, ':', $minute, '( *| *am)')       else if ($dateTime-length &gt; 11) then concat($hour-long, ':', $minute) else '' " />
    <xsl:variable name="time-4" select="if ($dateTime-length &gt; 13 and number($hour-long) &lt; 12) then concat($hour-long, ':', $minute, ':', $second, '( *| *am)')        else if ($dateTime-length &gt; 13) then concat($hour-long, ':', $minute, ':', $second) else '' " />
    <xsl:variable name="time-5" select="if ($dateTime-length &gt; 11 and number($hour-long) &gt; 12) then concat(string(number($hour-long) - 12), ':', $minute, '( *| *pm)') else '' " />
    <xsl:variable name="time-6" select="if ($dateTime-length &gt; 13 and number($hour-long) &gt; 12) then concat(string(number($hour-long) - 12), ':', $minute, ':', $second, '( *| *pm)') else '' " />
    <xsl:variable name="dt-temp-0" select="if (exists($dt-stem-1) and $dateTime-length = 8) then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $narr-time-regex) else () " />
    <xsl:variable name="dt-temp-1" select="if (exists($dt-stem-1) and $time-1 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-1) else () " />
    <xsl:variable name="dt-temp-2" select="if (exists($dt-stem-1) and $time-2 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-2) else () " />
    <xsl:variable name="dt-temp-3" select="if (exists($dt-stem-1) and $time-3 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-3) else () " />
    <xsl:variable name="dt-temp-4" select="if (exists($dt-stem-1) and $time-4 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-4) else () " />
    <xsl:variable name="dt-temp-5" select="if (exists($dt-stem-1) and $time-5 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-5) else () " />
    <xsl:variable name="dt-temp-6" select="if (exists($dt-stem-1) and $time-6 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-6) else () " />
    <xsl:variable name="dt-sequence-2" select="($dt-temp-0, $dt-temp-1, $dt-temp-2, $dt-temp-3, $dt-temp-4, $dt-temp-5, $dt-temp-6)" />
    <xsl:variable name="matching-seq-2" select="if (exists($dt-sequence-2))        then index-of(for $i in (1 to count($dt-sequence-2)) return exists($narr-dateTimes[matches(., $dt-sequence-2[$i], 'i')]), true())        else () " />
    <xsl:variable name="dt-stem-2" select="for $i in (1 to count($matching-seq-2)) return $dt-sequence-2[$matching-seq-2[$i]] " />
    <xsl:variable name="dt-regex-2" select="if (exists($dt-stem-2)) then concat('(', string-join($dt-stem-2, '$)|('), '$)') else '' " />
    <xsl:variable name="dt-match-2" select="(exists($dt-stem-2) and exists($narr-dateTimes[matches(., $dt-regex-2, 'i')])) " />
    <xsl:variable name="dt-sequence-3" select="if (not($dt-match-2) and exists($dt-stem-2) and $time-zone != '') then for $i in (1 to count($dt-stem-2)) return        concat($dt-stem-2[$i], substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2)) else () " />
    <xsl:variable name="dt-regex-3" select="if ($dt-match-2) then '' else if (exists($dt-sequence-3)) then concat('(', string-join($dt-sequence-3, '$)|('), '$)') else '' " />
    <xsl:variable name="dt-match-3" select="($dt-match-2 or (exists($dt-sequence-3) and exists($narr-dateTimes[matches(., $dt-regex-3, 'i')]))) " />
    <xsl:variable name="narr-match" select="if ($dt-value != '' and not(exists($narr-dateTimes))) then      (       contains($narrative, $dt-value)               or       (string-length($dt-value) = 4 and contains($narrative, $year))            or        (string-length($dt-value) = 6 and contains($narrative, concat($month-short, $year)))          or       (string-length($dt-value) &gt; 7 and starts-with($day, '0') and        (contains($narrative, concat(substring($day,2,1), $month-short, $year)) or         contains($narrative, concat(substring($day,2,1), $month-num, $year))))          or       (string-length($dt-value) &gt; 7 and (contains($narrative, concat($day, $month-short, $year)) or contains($narrative, concat($day, $month-num, $year))))        )       else false() " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($fir-narr-node//cda:renderMultiMedia) or exists($sec-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($fir-narr-node//cda:linkHtml) or exists($sec-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="warning-1" select="exists($dt-sequence-1) and exists($narr-dateTimes) and $dt-match-1 and not($dt-match-3) and $dt-value != '' " />
    <xsl:variable name="error-1" select="$warning-1 and not($multimedia) " />
    <xsl:variable name="warning-2" select="exists($dt-sequence-1) and exists($narr-dateTimes) and not($dt-match-1 or $dt-match-3) and $dt-value != '' " />
    <xsl:variable name="error-2a" select="$warning-2 and not($multimedia) and $time-zone != '' and count($narr-dateTimes) =        count(for $dt in $narr-dateTimes return replace(replace($dt, $regex-date-type-1, ''), $regex-date-type-2, '')       [matches(., concat('^\s*([0-9]{1,2}:{1}[0-9]{2}\s*', substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2),         '|[0-9]{1,2}:{1}[0-9]{2}:{1}[0-9]{2}\s*', substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2), ')\s*$'), 'i')]) " />
    <xsl:variable name="error-2b" select="$warning-2 and not($dt-match-1) and not($multimedia) and count($narr-dateTimes[matches(., $regex-date-type-2, 'i')]) =        count($narr-dateTimes[matches(., concat($regex-date-type-2, ' ', $narr-time-regex, '$'), 'i')]) " />
    <xsl:variable name="error-2c" select="$warning-2 and exists($narr-dateTimes[matches(., concat('^', $year, '$'))]) " />
    <xsl:variable name="error-2" select="$error-2a or $error-2b or $error-2c " />
    <xsl:variable name="warning-3" select="$dt-value != '' and not(exists($narr-dateTimes)) and not($narr-match) " />
    <xsl:variable name="error-3" select="$warning-3 and not($multimedia) and not(contains($narrative, substring($year, 3, 2)))" />
    <xsl:variable name="narr-dt-msg" select="if ($multimedia or $no-content) then ''       else if (not(exists($narr-dateTimes))) then concat(' The narrative of the ', iq:location(., ''), ' contains no dateTime elements.')       else if (count($narr-dateTimes) = 1) then concat(' The only dateTime element in the narrative of the ', iq:location(., ''), ' is ''',         dh:XQueryRecursiveReplace($narr-dateTimes[1], '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), '''.')       else concat(' The distinct dateTime elements in the narrative of the ', iq:location(., ''), ' are ''',         string-join(for $dt in $narr-dateTimes return          dh:XQueryRecursiveReplace($dt, '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), ', '), '''.') " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-4" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-4 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and exists($dt-sequence-1) and $dt-value != '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and exists($dt-sequence-1) and $dt-value != ''">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 4: The dateTime element in the structured data is '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'.
		The number of dateTime elements that have been extracted from the narrative is '<xsl:text /><xsl:value-of select="count($narr-dateTimes)" /><xsl:text />'.
		These are '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-dateTimes, ', '), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The initial regular expressions are '<xsl:text /><xsl:value-of select="string-join($dt-sequence-1, ', ')" /><xsl:text />'.
		The items in dt-stem-1 are: '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($dt-stem-1, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The items in dt-sequence-2 are: '<xsl:text /><xsl:value-of select="string-join($dt-sequence-2, '|')" /><xsl:text />'.
		The items in dt-stem-2 are: '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($dt-stem-2, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The three regular expressions used to perform an exact match for narrative dateTime elements are as follows:
		dt-regex-1='<xsl:text /><xsl:value-of select="$dt-regex-1" /><xsl:text />'; dt-regex-2='<xsl:text /><xsl:value-of select="$dt-regex-2" /><xsl:text />'; and dt-regex-3='<xsl:text /><xsl:value-of select="$dt-regex-3" /><xsl:text />'.
		Was a match found after the first regular expression (with just a date) was created? <xsl:text /><xsl:value-of select="$dt-match-1" /><xsl:text />.		
		<xsl:text /><xsl:value-of select="if ($dt-regex-2 = '') then 'The second regular expression was not applied as there is no time information.'    else concat('Was a match found after the second regular expression (with a date and time) was created? ', $dt-match-2, '.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($dt-regex-3 = '') then ' The third regular expression was not applied as there is no timezone information.'    else concat(' Was a match found after the third regular expression (with a date and time) was created? ', $dt-match-3, '.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $warning-1 and not($error-1 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $warning-1 and not($error-1 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime Service Scheduled 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The DateTime Service Scheduled data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $error-1 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $error-1 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime Service Scheduled 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. The DateTime Service Scheduled data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $error-1 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $error-1 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime Service Scheduled 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. The DateTime Service Scheduled data element records clinical information and all clinical information in entry elements must be present in the narrative.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $warning-2 and not($error-2 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$warning-2 and not($error-2 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime Service Scheduled 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The DateTime Service Scheduled data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-2 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-2 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime Service Scheduled 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="if ($error-2c) then concat('The narrative contains a date with the same year ''', $year, ''' but without a month or day.') else '' " /><xsl:text />
		The DateTime Service Scheduled data element records clinical information and all clinical information in entry elements must be present in the narrative.
		<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-2 and not($no-content) and not(true())">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-2 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime Service Scheduled 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="if ($error-2c) then concat('The narrative contains a date with the same year ''', $year, ''' but without a month or day.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $warning-3 and not($error-3 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$warning-3 and not($error-3 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime Service Scheduled 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The DateTime Service Scheduled data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $dt-value != '' and not($narr-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $dt-value != '' and not($narr-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime Service Scheduled 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $dt-value != '' and not($narr-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $dt-value != '' and not($narr-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime Service Scheduled '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The DateTime Service Scheduled data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-3 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-3 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime Service Scheduled '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The DateTime Service Scheduled data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-3 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-3 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The DateTime Service Scheduled '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The DateTime Service Scheduled '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M884" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M884" />
  <xsl:template match="@*|node()" priority="-2" mode="M884">
    <xsl:apply-templates select="@*|*" mode="M884" />
  </xsl:template>
  <!--PATTERN p-TS-Request-TimeInterval-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.20158' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20158']]/cda:entry/cda:act/cda:effectiveTime[cda:* or ../@moodCode = 'INT'] " priority="1000" mode="M885">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.20158' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20158']]/cda:entry/cda:act/cda:effectiveTime[cda:* or ../@moodCode = 'INT'] " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text1" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="message-text2" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See sections 8.6 and 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="nullFlavor-values" select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]" />
    <xsl:variable name="low-inclusive" select="if (not(cda:low)) then '' else if (cda:low/@inclusive='false') then ' (excluded)' else ' (included)' " />
    <xsl:variable name="high-inclusive" select="if (not(cda:high)) then '' else if (cda:high/@inclusive='false') then ' (excluded)' else ' (included)' " />
    <xsl:variable name="display-interval" select="if (@value and cda:low/@value and cda:high/@value)         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34), ', low value ', codepoints-to-string(34), cda:low/@value,        codepoints-to-string(34), $low-inclusive, ' and high value ', codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)        else if (@value and cda:low/@value and not(cda:high/@value))         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34), ' and low value ', codepoints-to-string(34), cda:low/@value,        codepoints-to-string(34), $low-inclusive)       else if (@value and not(cda:low/@value) and cda:high/@value)         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34), ' and high value ', codepoints-to-string(34),        cda:high/@value, codepoints-to-string(34), $high-inclusive)       else if (not(@value) and cda:low/@value and cda:high/@value)         then concat('low value ', codepoints-to-string(34), cda:low/@value, codepoints-to-string(34), $low-inclusive, ' and high value ',         codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)       else if (@value and not(cda:low/@value) and not(cda:high/@value))         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34))       else if (not(@value) and cda:low/@value and not(cda:high/@value))         then concat('low value ', codepoints-to-string(34), cda:low/@value, codepoints-to-string(34), $low-inclusive)       else if (not(@value) and not(cda:low/@value) and cda:high/@value)         then concat('high value ', codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)       else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-22" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-22 else $rating-alt-TC-Types-22 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-22: The Service Commencement Window '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type
		and <xsl:text /><xsl:value-of select="if (@value or cda:low/@value or cda:high/@value) then concat('has ', $display-interval)   else 'has no value attribute and no low or high data elements' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@nullFlavor) then concat('The nullFlavor attribute has the value ''', @nullFlavor, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Service Commencement Window '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type.
		It contains a value of nullFlavor 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a value
		may exist, but it must be derived from the information provided. Confirm if the use of this nullFlavor is valid.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'NINF' or @nullFlavor = 'PINF' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'NINF' or @nullFlavor = 'PINF'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 1: According to the Structured Content Specification the Service Commencement Window '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data
		type which is derived from the HL7 'IVL_TS' data type. It has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) which is a
		value of nullFlavor that may not be used for data elements of the IVL data type.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to the Structured Content Specification the Service Commencement Window '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data
		type however it has nullFlavor = 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include
		nullFlavor = 'UNC'. (See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'QS' or @nullFlavor = 'TRC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'QS' or @nullFlavor = 'TRC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 3: According to the Structured Content Specification the Service Commencement Window '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data
		type which is derived from the HL7 'IVL_TS' data type. It has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) however
		that value of nullFlavor may not be used for data elements of the TS or IVL data types.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to the Structured Content Specification the Service Commencement Window '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type which is
		derived from the HL7 'IVL_TS' data type. The HL7 'TS' data type may also be used for a TimeInterval however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		(See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 3.8.1 of HL7 Version 3 Standard: Data Types - Abstract Specification,
		Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to the Structured Content Specification the Service Commencement Window '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type which is
		derived from the HL7 'IVL_TS' data type. The HL7 'TS' data type may also be used for a TimeInterval however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'IVL_TS' or 'TS'.
		(See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 3.8.1 of HL7 Version 3 Standard: Data Types - Abstract Specification,
		Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not(@nullFlavor or @value or cda:low or cda:high) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor or @value or cda:low or cda:high)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to the Structured Content Specification the Service Commencement Window '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however
		it does not have a nullFlavor or value attribute or low or high elements. A TimeInterval may only contain a nullFlavor or value attribute or low or high elements with the optional
		'inclusive' attribute included in the low or high elements if there is a need to indicate that the low or high boundaries are excluded.
		(See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @value and (cda:low or cda:high) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value and (cda:low or cda:high)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to the Structured Content Specification the Service Commencement Window '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type.
		It has the element '<xsl:text /><xsl:value-of select="local-name(cda:*[local-name() = ('low', 'high')])" /><xsl:text />' which is used for the HL7 'IVL' data type
		but also has a 'value' attribute which is used by the HL7 'TS' data type and is not used by the HL7 'IVL' data type. The data element must either have a 'value' attribute
		or '<xsl:text /><xsl:value-of select="local-name(cda:*[local-name() = ('low', 'high')])" /><xsl:text />' but not both.
		(See section 7.10.9.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and section 3.8.1 of
		HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('low', 'high'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Service Commencement Window
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('low', 'high'))])" /><xsl:text />' was found
		that is not expected for the TimeInterval data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('low', 'high', 'width'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('low', 'high', 'width'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Service Commencement Window
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('low', 'high', 'width'))])" /><xsl:text />' was found
		that is not expected for the TimeInterval data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and cda:width/@value and ((cda:low/@value and not(cda:high/@value)) or (not(cda:low/@value) and cda:high/@value)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and cda:width/@value and ((cda:low/@value and not(cda:high/@value)) or (not(cda:low/@value) and cda:high/@value))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Service Commencement Window
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a width element is also
		present with the value '<xsl:text /><xsl:value-of select="cda:width/@value" /><xsl:text />' and unit '<xsl:text /><xsl:value-of select="cda:width/@unit" /><xsl:text />'.		
		This is an error as the presence of a <xsl:text /><xsl:value-of select="if (cda:low) then 'low' else 'high' " /><xsl:text /> element without a <xsl:text /><xsl:value-of select="if (cda:low) then 'high' else 'low' " /><xsl:text /> element
		means the TimeInterval is unbounded in one direction however the width element implies the interval is bounded. That is the width element is an extension that qualifies the
		time interval whereas an extension is allowed only if it does not qualify or negate the time interval.
		(See the definition of Service Commencement Window in the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text />, section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0
		and <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)
		As the <xsl:text /><xsl:value-of select="if (cda:low) then 'start' else 'end' " /><xsl:text /> of the time interval is known then the Service Commencement Window must also have a
		<xsl:text /><xsl:value-of select="if (cda:low) then ' high' else ' low' " /><xsl:text /> element as the TimeInterval data type uses low and high elements rather than width to define an interval.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and cda:width/@value and not(cda:high/@value or cda:low/@value) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and cda:width/@value and not(cda:high/@value or cda:low/@value)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Service Commencement Window
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a width element is also
		present with the value '<xsl:text /><xsl:value-of select="cda:width/@value" /><xsl:text />' and unit '<xsl:text /><xsl:value-of select="cda:width/@unit" /><xsl:text />'.		
		This is an error as the Service Commencement Window has no low or high elements so the TimeInterval is unbounded however the width element implies the interval is bounded. That is the width element is an
		extension that qualifies the time interval whereas an extension is allowed only if it does not qualify or negate the time interval.
		(See the definition of Service Commencement Window in the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text />, section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0
		and <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)
		The TimeInterval data type uses low and high elements rather than width to define an interval.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(    @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or    @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'  )) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not( @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS' ))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Service Commencement Window '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the TimeInterval data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(    @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or    @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'  )) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not( @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS' ))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Service Commencement Window '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the TimeInterval data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @operator and @operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @operator and @operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Service Commencement Window '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the TimeInterval data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @operator and @operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @operator and @operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Service Commencement Window '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the TimeInterval data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:low/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:low/*">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Service Commencement Window 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(cda:low/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/*">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Service Commencement Window 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(cda:low/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Service Commencement Window 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Service Commencement Window 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:low/@operator and cda:low/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:low/@operator and cda:low/@operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Service Commencement Window 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/@operator and cda:low/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/@operator and cda:low/@operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Service Commencement Window 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:low/cda:originalText) and cda:low/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:low/cda:originalText) and cda:low/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to the Structured Content Specification the Service Commencement Window 'low' child element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present so
		it is an error to include nullFlavor 'UNC'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:high/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:high/*">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Service Commencement Window 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element '<xsl:text /><xsl:value-of select="local-name(cda:high/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/*">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Service Commencement Window 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element '<xsl:text /><xsl:value-of select="local-name(cda:high/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Service Commencement Window 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Service Commencement Window 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:high/@operator and cda:high/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:high/@operator and cda:high/@operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Service Commencement Window 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/@operator and cda:high/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/@operator and cda:high/@operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Service Commencement Window 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to the Structured Content Specification the Service Commencement Window 'high' child element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present
		so it is an error to include nullFlavor 'UNC'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to the Structured Content Specification the Service Commencement Window 'high' child element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present
		so it is an error to include nullFlavor 'UNC'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M885" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M885" />
  <xsl:template match="@*|node()" priority="-2" mode="M885">
    <xsl:apply-templates select="@*|*" mode="M885" />
  </xsl:template>
  <!--PATTERN p-TS-Request-TimeInterval-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.20158' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20158']]/cda:entry/cda:act/cda:effectiveTime[cda:* or ../@moodCode = 'INT']   [not((cda:low/@value and (number(substring(cda:low/@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(cda:low/@value,1,4)) &gt; number($creation-date-yr) + 130)) or     (cda:high/@value and (number(substring(cda:high/@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(cda:high/@value,1,4)) &gt; number($creation-date-yr) + 130)))] " priority="1000" mode="M886">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.20158' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20158']]/cda:entry/cda:act/cda:effectiveTime[cda:* or ../@moodCode = 'INT']   [not((cda:low/@value and (number(substring(cda:low/@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(cda:low/@value,1,4)) &gt; number($creation-date-yr) + 130)) or     (cda:high/@value and (number(substring(cda:high/@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(cda:high/@value,1,4)) &gt; number($creation-date-yr) + 130)))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="fir-narrative" select="translate(normalize-space(lower-case(string($fir-narr-node))), $chars-to-remove, '')" />
    <xsl:variable name="sec-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)        then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]        else () " />
    <xsl:variable name="sec-narr-node" select="$sec-section/cda:text " />
    <xsl:variable name="narr-text-el" select="(for $text in ($fir-narr-node//text(), $sec-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="sec-narrative" select="translate(normalize-space(lower-case(string($sec-narr-node))), $chars-to-remove, '') " />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="narrative" select="concat($target-title, $fir-narrative, $sec-narrative)" />
    <xsl:variable name="narr-elements" select="$fir-narr-node//cda:*[exists(text()[normalize-space() != '']) and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ]  |             $sec-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ] " />
    <xsl:variable name="narr-lower-case" select="for $i in (1 to count($narr-elements)) return lower-case(normalize-space(string-join($narr-elements[$i]/text(), '')))  " />
    <xsl:variable name="dt-narr-elements" select="$narr-lower-case[matches(., $regex-date-type-1, 'i') or matches(., $regex-date-type-2, 'i') or matches(., $regex-date-type-3, 'i')] " />
    <xsl:variable name="narr-elements-start" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-before($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-before($dt-narr-elements[$i], ' -'))        else $dt-narr-elements[$i])[. != ''] " />
    <xsl:variable name="narr-elements-end" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-after($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-after($dt-narr-elements[$i], ' -'))        else '')[. != ''] " />
    <xsl:variable name="narr-dateTimes" select="distinct-values(($narr-elements-start , $narr-elements-end))[. != '(ongoing)'] " />
    <xsl:variable name="l-dt-value" select="if (@value) then @value        else if (cda:low/@value) then cda:low/@value        else '' " />
    <xsl:variable name="l-no-time-zone" select="if (contains($l-dt-value, '+')) then substring-before($l-dt-value, '+')       else if (contains($l-dt-value, '-')) then substring-before($l-dt-value, '-')       else $l-dt-value " />
    <xsl:variable name="l-length" select="string-length($l-no-time-zone) " />
    <xsl:variable name="l-year" select="if ($l-length &gt; 3) then substring($l-no-time-zone,1,4) else '' " />
    <xsl:variable name="l-month-num" select="if ($l-length &gt; 5) then substring($l-no-time-zone,5,2) else '' " />
    <xsl:variable name="l-day" select="if ($l-length &gt; 7 and substring($l-no-time-zone,7,1) = '0') then substring($l-no-time-zone,8,1)       else if ($l-length &gt; 7 and substring($l-no-time-zone,7,1) != '0') then substring($l-no-time-zone,7,2) else '' " />
    <xsl:variable name="l-hour-long" select="if ($l-length &gt; 9) then substring($l-no-time-zone,9,2) else '' " />
    <xsl:variable name="l-hour-short" select="if (substring($l-hour-long, 1, 1) = '0') then substring($l-hour-long, 2, 1) else '' " />
    <xsl:variable name="l-minute" select="if ($l-length &gt; 11) then substring($l-no-time-zone,11,2) else '' " />
    <xsl:variable name="l-second" select="if ($l-length &gt; 13) then substring($l-no-time-zone,13,2) else '' " />
    <xsl:variable name="l-time-zone" select="if (contains($l-dt-value, '+')) then concat('\+', substring-after($l-dt-value, '+'))       else if (contains($l-dt-value, '-')) then concat('\-', substring-after($l-dt-value, '-'))       else '' " />
    <xsl:variable name="l-month-short" select="if ($l-month-num = '01') then 'jan'   else             if ($l-month-num = '02') then 'feb'   else             if ($l-month-num = '03') then 'mar'   else             if ($l-month-num = '04') then 'apr'   else             if ($l-month-num = '05') then 'may'   else             if ($l-month-num = '06') then 'jun'   else             if ($l-month-num = '07') then 'jul'   else             if ($l-month-num = '08') then 'aug'   else             if ($l-month-num = '09') then 'sep'   else             if ($l-month-num = '10') then 'oct'   else             if ($l-month-num = '11') then 'nov'   else             if ($l-month-num = '12') then 'dec'   else '' " />
    <xsl:variable name="l-month-long" select="if ($l-month-num = '01') then 'january'   else             if ($l-month-num = '02') then 'february'  else             if ($l-month-num = '03') then 'march'   else             if ($l-month-num = '04') then 'april'   else             if ($l-month-num = '05') then 'may'   else             if ($l-month-num = '06') then 'june'   else             if ($l-month-num = '07') then 'july'   else             if ($l-month-num = '08') then 'august'   else             if ($l-month-num = '09') then 'september'  else             if ($l-month-num = '10') then 'october'   else             if ($l-month-num = '11') then 'november'  else             if ($l-month-num = '12') then 'december'  else '' " />
    <xsl:variable name="l-date-type-3-day" select="if (string-length($l-day) = 1) then concat('0{0,1}', $l-day) else $l-day " />
    <xsl:variable name="l-date-type-3-month" select="if (string-length($l-month-num) = 1) then concat('0{0,1}', $l-month-num)        else if (substring($l-month-num, 1, 1) = '0') then concat('0{0,1}', substring($l-month-num, 2, 1))         else $l-month-num " />
    <xsl:variable name="l-dt-sequence-1" select="if ($l-length = 4) then (         concat('^', $l-dt-value)        ,          concat('^', $l-year)         )        else if ($l-length = 6) then (         concat('^', $l-dt-value)        ,         concat('^', $l-month-short, $date-sep, $l-year)      ,          concat('^', $l-month-long, $date-sep, $l-year)      )        else if ($l-length &gt; 7) then (         concat('^', $l-dt-value)        ,         concat('^', $l-date-type-3-day, $date-sep, $l-month-short, $date-sep, $l-year)  ,         concat('^', $l-date-type-3-day, $date-sep, $l-month-long, $date-sep, $l-year)  ,         concat('^', $l-date-type-3-day, '/', $l-date-type-3-month, '/', $l-year)  )        else () " />
    <xsl:variable name="l-matching-seq-1" select="if (exists($l-dt-sequence-1))        then index-of(for $i in (1 to count($l-dt-sequence-1)) return exists($narr-dateTimes[matches(., $l-dt-sequence-1[$i], 'i')]), true())        else () " />
    <xsl:variable name="l-dt-stem-1" select="for $i in (1 to count($l-matching-seq-1)) return $l-dt-sequence-1[$l-matching-seq-1[$i]] " />
    <xsl:variable name="l-dt-regex-1" select="if (exists($l-dt-stem-1)) then concat('(', string-join($l-dt-stem-1, '$)|('), '$)') else ()" />
    <xsl:variable name="l-dt-match-1" select="exists($l-dt-stem-1) and exists($narr-dateTimes[matches(., $l-dt-regex-1, 'i')])" />
    <xsl:variable name="l-time-1" select="if ($l-length &gt; 11 and $l-hour-short != '') then concat($l-hour-short, ':', $l-minute, '( *| *am)') else '' " />
    <xsl:variable name="l-time-2" select="if ($l-length &gt; 13 and $l-hour-short != '') then concat($l-hour-short, ':', $l-minute, ':', $l-second, '( *| *am)') else '' " />
    <xsl:variable name="l-time-3" select="if ($l-length &gt; 11 and number($l-hour-long) &lt; 12) then concat($l-hour-long, ':', $l-minute, '( *| *am)')        else if ($l-length &gt; 11) then concat($l-hour-long, ':', $l-minute) else '' " />
    <xsl:variable name="l-time-4" select="if ($l-length &gt; 13 and number($l-hour-long) &lt; 12) then concat($l-hour-long, ':', $l-minute, ':', $l-second, '( *| *am)')        else if ($l-length &gt; 13) then concat($l-hour-long, ':', $l-minute, ':', $l-second) else '' " />
    <xsl:variable name="l-time-5" select="if ($l-length &gt; 11 and number($l-hour-long) &gt; 12) then concat(string(number($l-hour-long) - 12), ':', $l-minute, '( *| *pm)') else '' " />
    <xsl:variable name="l-time-6" select="if ($l-length &gt; 13 and number($l-hour-long) &gt; 12) then concat(string(number($l-hour-long) - 12), ':', $l-minute, ':', $l-second, '( *| *pm)') else '' " />
    <xsl:variable name="l-dt-temp-0" select="if (exists($l-dt-stem-1) and $l-length = 8) then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $narr-time-regex) else () " />
    <xsl:variable name="l-dt-temp-1" select="if (exists($l-dt-stem-1) and $l-time-1 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-1) else () " />
    <xsl:variable name="l-dt-temp-2" select="if (exists($l-dt-stem-1) and $l-time-2 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-2) else () " />
    <xsl:variable name="l-dt-temp-3" select="if (exists($l-dt-stem-1) and $l-time-3 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-3) else () " />
    <xsl:variable name="l-dt-temp-4" select="if (exists($l-dt-stem-1) and $l-time-4 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-4) else () " />
    <xsl:variable name="l-dt-temp-5" select="if (exists($l-dt-stem-1) and $l-time-5 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-5) else () " />
    <xsl:variable name="l-dt-temp-6" select="if (exists($l-dt-stem-1) and $l-time-6 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-6) else () " />
    <xsl:variable name="l-dt-sequence-2" select="($l-dt-temp-0, $l-dt-temp-1, $l-dt-temp-2, $l-dt-temp-3, $l-dt-temp-4, $l-dt-temp-5, $l-dt-temp-6)" />
    <xsl:variable name="l-matching-seq-2" select="if (exists($l-dt-sequence-2))        then index-of(for $i in (1 to count($l-dt-sequence-2)) return exists($narr-dateTimes[matches(., $l-dt-sequence-2[$i], 'i')]), true())        else () " />
    <xsl:variable name="l-dt-stem-2" select="for $i in (1 to count($l-matching-seq-2)) return $l-dt-sequence-2[$l-matching-seq-2[$i]] " />
    <xsl:variable name="l-dt-regex-2" select="if (exists($l-dt-stem-2)) then concat('(', string-join($l-dt-stem-2, '$)|('), '$)') else '' " />
    <xsl:variable name="l-dt-match-2" select="(exists($l-dt-stem-2) and exists($narr-dateTimes[matches(., $l-dt-regex-2, 'i')])) " />
    <xsl:variable name="l-dt-sequence-3" select="if (not($l-dt-match-2) and exists($l-dt-stem-2) and $l-time-zone != '') then for $i in (1 to count($l-dt-stem-2)) return        concat($l-dt-stem-2[$i], substring($l-time-zone, 1, 4), ':?', substring($l-time-zone, 5, 2)) else () " />
    <xsl:variable name="l-dt-regex-3" select="if ($l-dt-match-2) then '' else if (exists($l-dt-sequence-3)) then concat('(', string-join($l-dt-sequence-3, '$)|('), '$)') else '' " />
    <xsl:variable name="l-dt-match-3" select="($l-dt-match-2 or (exists($l-dt-sequence-3) and exists($narr-dateTimes[matches(., $l-dt-regex-3, 'i')]))) " />
    <xsl:variable name="l-narr-match" select="if ($l-dt-value != '' and count($narr-dateTimes) = 0) then      (       contains($narrative, $l-dt-value)                or       (string-length($l-dt-value) = 4 and contains($narrative, $l-year))             or        (string-length($l-dt-value) = 6 and contains($narrative, concat($l-month-short, $l-year)))          or       (string-length($l-dt-value) &gt; 7 and starts-with($l-day, '0') and        (contains($narrative, concat(substring($l-day,2,1), $l-month-short, $l-year)) or         contains($narrative, concat(substring($l-day,2,1), $l-month-num, $l-year))))          or       (string-length($l-dt-value) &gt; 7 and (contains($narrative, concat($l-day, $l-month-short, $l-year)) or contains($narrative, concat($l-day, $l-month-num, $l-year))))        )       else false() " />
    <xsl:variable name="h-dt-value" select="if (cda:high/@value and $l-dt-value != cda:high/@value) then cda:high/@value        else '' " />
    <xsl:variable name="h-no-time-zone" select="if (contains($h-dt-value, '+')) then substring-before($h-dt-value, '+')       else if (contains($h-dt-value, '-')) then substring-before($h-dt-value, '-')       else $h-dt-value " />
    <xsl:variable name="h-length" select="string-length($h-no-time-zone) " />
    <xsl:variable name="h-year" select="if ($h-length &gt; 3) then substring($h-no-time-zone,1,4) else '' " />
    <xsl:variable name="h-month-num" select="if ($h-length &gt; 5) then substring($h-no-time-zone,5,2) else '' " />
    <xsl:variable name="h-day" select="if ($h-length &gt; 7 and substring($h-no-time-zone,7,1) = '0') then substring($h-no-time-zone,8,1)       else if ($h-length &gt; 7 and substring($h-no-time-zone,7,1) != '0') then substring($h-no-time-zone,7,2) else '' " />
    <xsl:variable name="h-hour-long" select="if ($h-length &gt; 9) then substring($h-no-time-zone,9,2) else '' " />
    <xsl:variable name="h-hour-short" select="if (substring($h-hour-long, 1, 1) = '0') then substring($h-hour-long, 2, 1) else '' " />
    <xsl:variable name="h-minute" select="if ($h-length &gt; 11) then substring($h-no-time-zone,11,2) else '' " />
    <xsl:variable name="h-second" select="if ($h-length &gt; 13) then substring($h-no-time-zone,13,2) else '' " />
    <xsl:variable name="h-time-zone" select="if (contains($h-dt-value, '+')) then concat('\+', substring-after($h-dt-value, '+'))       else if (contains($h-dt-value, '-')) then concat('\-', substring-after($h-dt-value, '-'))       else '' " />
    <xsl:variable name="h-month-short" select="if ($h-month-num = '01') then 'jan'   else             if ($h-month-num = '02') then 'feb'   else             if ($h-month-num = '03') then 'mar'   else             if ($h-month-num = '04') then 'apr'   else             if ($h-month-num = '05') then 'may'   else             if ($h-month-num = '06') then 'jun'   else             if ($h-month-num = '07') then 'jul'   else             if ($h-month-num = '08') then 'aug'   else             if ($h-month-num = '09') then 'sep'   else             if ($h-month-num = '10') then 'oct'   else             if ($h-month-num = '11') then 'nov'   else             if ($h-month-num = '12') then 'dec'   else '' " />
    <xsl:variable name="h-month-long" select="if ($h-month-num = '01') then 'january'   else             if ($h-month-num = '02') then 'february'  else             if ($h-month-num = '03') then 'march'   else             if ($h-month-num = '04') then 'april'   else             if ($h-month-num = '05') then 'may'   else             if ($h-month-num = '06') then 'june'   else             if ($h-month-num = '07') then 'july'   else             if ($h-month-num = '08') then 'august'   else             if ($h-month-num = '09') then 'september'  else             if ($h-month-num = '10') then 'october'   else             if ($h-month-num = '11') then 'november'  else             if ($h-month-num = '12') then 'december'  else '' " />
    <xsl:variable name="h-date-type-3-day" select="if (string-length($h-day) = 1) then concat('0{0,1}', $h-day) else $h-day " />
    <xsl:variable name="h-date-type-3-month" select="if (string-length($h-month-num) = 1) then concat('0{0,1}', $h-month-num)        else if (substring($h-month-num, 1, 1) = '0') then concat('0{0,1}', substring($h-month-num, 2, 1))         else $h-month-num " />
    <xsl:variable name="h-dt-sequence-1" select="if ($h-length = 4) then (         concat('^', $h-dt-value)        ,          concat('^', $h-year)         )        else if ($h-length = 6) then (         concat('^', $h-dt-value)        ,         concat('^', $h-month-short, $date-sep, $h-year)      ,          concat('^', $h-month-long, $date-sep, $h-year)      )        else if ($h-length &gt; 7) then (         concat('^', $h-dt-value)        ,         concat('^', $h-date-type-3-day, $date-sep, $h-month-short, $date-sep, $h-year)  ,         concat('^', $h-date-type-3-day, $date-sep, $h-month-long, $date-sep, $h-year)  ,         concat('^', $h-date-type-3-day, '/', $h-date-type-3-month, '/', $h-year)  )        else () " />
    <xsl:variable name="h-matching-seq-1" select="if (exists($h-dt-sequence-1))        then index-of(for $i in (1 to count($h-dt-sequence-1)) return exists($narr-dateTimes[matches(., $h-dt-sequence-1[$i], 'i')]), true())        else () " />
    <xsl:variable name="h-dt-stem-1" select="for $i in (1 to count($h-matching-seq-1)) return $h-dt-sequence-1[$h-matching-seq-1[$i]] " />
    <xsl:variable name="h-dt-regex-1" select="if (exists($h-dt-stem-1)) then concat('(', string-join($h-dt-stem-1, '$)|('), '$)') else ()" />
    <xsl:variable name="h-dt-match-1" select="exists($h-dt-stem-1) and exists($narr-dateTimes[matches(., $h-dt-regex-1, 'i')])" />
    <xsl:variable name="h-time-1" select="if ($h-length &gt; 11 and $h-hour-short != '') then concat($h-hour-short, ':', $h-minute, '( *| *am)') else '' " />
    <xsl:variable name="h-time-2" select="if ($h-length &gt; 13 and $h-hour-short != '') then concat($h-hour-short, ':', $h-minute, ':', $h-second, '( *| *am)') else '' " />
    <xsl:variable name="h-time-3" select="if ($h-length &gt; 11 and number($h-hour-long) &lt; 12) then concat($h-hour-long, ':', $h-minute, '( *| *am)')        else if ($h-length &gt; 11) then concat($h-hour-long, ':', $h-minute) else '' " />
    <xsl:variable name="h-time-4" select="if ($h-length &gt; 13 and number($h-hour-long) &lt; 12) then concat($h-hour-long, ':', $h-minute, ':', $h-second, '( *| *am)')        else if ($h-length &gt; 13) then concat($h-hour-long, ':', $h-minute, ':', $h-second) else '' " />
    <xsl:variable name="h-time-5" select="if ($h-length &gt; 11 and number($h-hour-long) &gt; 12) then concat(string(number($h-hour-long) - 12), ':', $h-minute, '( *| *pm)') else '' " />
    <xsl:variable name="h-time-6" select="if ($h-length &gt; 13 and number($h-hour-long) &gt; 12) then concat(string(number($h-hour-long) - 12), ':', $h-minute, ':', $h-second, '( *| *pm)') else '' " />
    <xsl:variable name="h-dt-temp-0" select="if (exists($h-dt-stem-1) and $h-length = 8) then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $narr-time-regex) else () " />
    <xsl:variable name="h-dt-temp-1" select="if (exists($h-dt-stem-1) and $h-time-1 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-1) else () " />
    <xsl:variable name="h-dt-temp-2" select="if (exists($h-dt-stem-1) and $h-time-2 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-2) else () " />
    <xsl:variable name="h-dt-temp-3" select="if (exists($h-dt-stem-1) and $h-time-3 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-3) else () " />
    <xsl:variable name="h-dt-temp-4" select="if (exists($h-dt-stem-1) and $h-time-4 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-4) else () " />
    <xsl:variable name="h-dt-temp-5" select="if (exists($h-dt-stem-1) and $h-time-5 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-5) else () " />
    <xsl:variable name="h-dt-temp-6" select="if (exists($h-dt-stem-1) and $h-time-6 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-6) else () " />
    <xsl:variable name="h-dt-sequence-2" select="($h-dt-temp-0, $h-dt-temp-1, $h-dt-temp-2, $h-dt-temp-3, $h-dt-temp-4, $h-dt-temp-5, $h-dt-temp-6)" />
    <xsl:variable name="h-matching-seq-2" select="if (exists($h-dt-sequence-2))        then index-of(for $i in (1 to count($h-dt-sequence-2)) return exists($narr-dateTimes[matches(., $h-dt-sequence-2[$i], 'i')]), true())        else () " />
    <xsl:variable name="h-dt-stem-2" select="for $i in (1 to count($h-matching-seq-2)) return $h-dt-sequence-2[$h-matching-seq-2[$i]] " />
    <xsl:variable name="h-dt-regex-2" select="if (exists($h-dt-stem-2)) then concat('(', string-join($h-dt-stem-2, '$)|('), '$)') else '' " />
    <xsl:variable name="h-dt-match-2" select="(exists($h-dt-stem-2) and exists($narr-dateTimes[matches(., $h-dt-regex-2, 'i')])) " />
    <xsl:variable name="h-dt-sequence-3" select="if (not($h-dt-match-2) and exists($h-dt-stem-2) and $h-time-zone != '') then for $i in (1 to count($h-dt-stem-2)) return        concat($h-dt-stem-2[$i], substring($h-time-zone, 1, 4), ':?', substring($h-time-zone, 5, 2)) else () " />
    <xsl:variable name="h-dt-regex-3" select="if ($h-dt-match-2) then '' else if (exists($h-dt-sequence-3)) then concat('(', string-join($h-dt-sequence-3, '$)|('), '$)') else '' " />
    <xsl:variable name="h-dt-match-3" select="($h-dt-match-2 or (exists($h-dt-sequence-3) and exists($narr-dateTimes[matches(., $h-dt-regex-3, 'i')]))) " />
    <xsl:variable name="h-narr-match" select="if ($h-dt-value != '' and count($narr-dateTimes) = 0) then      (       contains($narrative, $h-dt-value)                or       (string-length($h-dt-value) = 4 and contains($narrative, $h-year))             or        (string-length($h-dt-value) = 6 and contains($narrative, concat($h-month-short, $h-year)))          or       (string-length($h-dt-value) &gt; 7 and starts-with($h-day, '0') and        (contains($narrative, concat(substring($h-day,2,1), $h-month-short, $h-year)) or         contains($narrative, concat(substring($h-day,2,1), $h-month-num, $h-year))))          or       (string-length($h-dt-value) &gt; 7 and (contains($narrative, concat($h-day, $h-month-short, $h-year)) or contains($narrative, concat($h-day, $h-month-num, $h-year))))        )       else false() " />
    <xsl:variable name="h-nullFlavor-values" select="if (cda:high/@nullFlavor and cda:high/@nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))        then $nullFlavors/nullFlavor[@value = current()/cda:high/@nullFlavor] else () " />
    <xsl:variable name="h-null-to-find" select="exists($h-nullFlavor-values) " />
    <xsl:variable name="h-null-in-narr" select="($h-nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $h-nullFlavor-values/@name-regex, 'is')])) or              ($h-nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $h-nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="l-nullFlavor-values" select="if (cda:low/@nullFlavor and cda:low/@nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))        then $nullFlavors/nullFlavor[@value = current()/cda:low/@nullFlavor] else () " />
    <xsl:variable name="l-null-to-find" select="exists($l-nullFlavor-values) " />
    <xsl:variable name="l-null-in-narr" select="($l-nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $l-nullFlavor-values/@name-regex, 'is')])) or              ($l-nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $l-nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="l-dt-name" select="if ($l-dt-value = cda:low/@value) then ' low' else '' " />
    <xsl:variable name="l-dt-msg" select="if ($l-dt-value = cda:low/@value) then ' This date/time is the low boundary of a time interval.' else '' " />
    <xsl:variable name="h-dt-msg" select="if ($h-dt-value = cda:high/@value) then ' This date/time is the high boundary of a time interval.' else '' " />
    <xsl:variable name="l-null-msg" select="if ($l-dt-value = cda:low/@value) then ' This nullFlavor value is for the low boundary of a time interval.' else '' " />
    <xsl:variable name="h-null-msg" select="if ($h-dt-value = cda:high/@value) then ' This nullFlavor value is for the high boundary of a time interval.' else '' " />
    <xsl:variable name="multimedia" select="exists($fir-narr-node//cda:renderMultiMedia) or exists($sec-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($fir-narr-node//cda:linkHtml) or exists($sec-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="l-warning-1" select="exists($l-dt-sequence-1) and exists($narr-dateTimes) and $l-dt-match-1 and not($l-dt-match-3) and $l-dt-value != '' " />
    <xsl:variable name="l-error-1" select="$l-warning-1 and not($multimedia) " />
    <xsl:variable name="l-warning-2" select="exists($l-dt-sequence-1) and exists($narr-dateTimes) and not($l-dt-match-1 or $l-dt-match-3) and $l-dt-value != '' " />
    <xsl:variable name="l-error-2a" select="$l-warning-2 and not($multimedia) and $l-time-zone != '' and count($narr-dateTimes) =        count(for $dt in $narr-dateTimes return replace(replace($dt, $regex-date-type-1, ''), $regex-date-type-2, '')       [matches(., concat('^\s*([0-9]{1,2}:{1}[0-9]{2}\s*', substring($l-time-zone, 1, 4), ':?', substring($l-time-zone, 5, 2),         '|[0-9]{1,2}:{1}[0-9]{2}:{1}[0-9]{2}\s*', substring($l-time-zone, 1, 4), ':?', substring($l-time-zone, 5, 2), ')\s*$'), 'i')]) " />
    <xsl:variable name="l-error-2b" select="$l-warning-2 and not($l-dt-match-1) and not($multimedia) and count($narr-dateTimes[matches(., $regex-date-type-2, 'i')]) =        count($narr-dateTimes[matches(., concat($regex-date-type-2, ' ', $narr-time-regex, '$'), 'i')]) " />
    <xsl:variable name="l-error-2c" select="$l-warning-2 and exists($narr-dateTimes[matches(., concat('^', $l-year, '$'))]) " />
    <xsl:variable name="l-error-2" select="$l-error-2a or $l-error-2b or $l-error-2c " />
    <xsl:variable name="l-warning-3" select="$l-dt-value != '' and not(exists($narr-dateTimes)) and not($l-narr-match) " />
    <xsl:variable name="l-error-3" select="$l-warning-3 and not($multimedia) and not(contains($narrative, substring($l-year, 3,2)))" />
    <xsl:variable name="h-warning-1" select="exists($h-dt-sequence-1) and exists($narr-dateTimes) and $h-dt-match-1 and not($h-dt-match-3) and $h-dt-value != '' " />
    <xsl:variable name="h-error-1" select="$h-warning-1 and not($multimedia) " />
    <xsl:variable name="h-warning-2" select="exists($h-dt-sequence-1) and exists($narr-dateTimes) and not($h-dt-match-1 or $h-dt-match-3) and $h-dt-value != '' " />
    <xsl:variable name="h-error-2a" select="$h-warning-2 and not($multimedia) and $h-time-zone != '' and count($narr-dateTimes) =        count(for $dt in $narr-dateTimes return replace(replace($dt, $regex-date-type-1, ''), $regex-date-type-2, '')       [matches(., concat('^\s*([0-9]{1,2}:{1}[0-9]{2}\s*', substring($h-time-zone, 1, 4), ':?', substring($h-time-zone, 5, 2),         '|[0-9]{1,2}:{1}[0-9]{2}:{1}[0-9]{2}\s*', substring($h-time-zone, 1, 4), ':?', substring($h-time-zone, 5, 2), ')\s*$'), 'i')]) " />
    <xsl:variable name="h-error-2b" select="$h-warning-2 and not($h-dt-match-1) and not($multimedia) and count($narr-dateTimes[matches(., $regex-date-type-2, 'i')]) =        count($narr-dateTimes[matches(., concat($regex-date-type-2, ' ', $narr-time-regex, '$'), 'i')]) " />
    <xsl:variable name="h-error-2c" select="$l-warning-2 and exists($narr-dateTimes[matches(., concat('^', $h-year, '$'))]) " />
    <xsl:variable name="h-error-2" select="$h-error-2a or $h-error-2b or $h-error-2c " />
    <xsl:variable name="h-warning-3" select="$h-dt-value != '' and not(exists($narr-dateTimes)) and not($h-narr-match) " />
    <xsl:variable name="h-error-3" select="$h-warning-3 and not($multimedia) and not(contains($narrative, substring($h-year, 3,2))) " />
    <xsl:variable name="narr-dt-msg" select="if ($multimedia or $no-content) then ''       else if (not(exists($narr-dateTimes))) then concat(' The narrative of the ', iq:location(., ''), ' contains no dateTime elements.')       else if (count($narr-dateTimes) = 1) then concat(' The only dateTime element in the narrative of the ', iq:location(., ''), ' is ''',         dh:XQueryRecursiveReplace($narr-dateTimes[1], '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), '''.')       else concat(' The distinct dateTime elements in the narrative of the ', iq:location(., ''), ' are ''',         string-join(for $dt in $narr-dateTimes return          dh:XQueryRecursiveReplace($dt, '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), ', '), '''.') " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-4" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-4 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and exists($l-dt-sequence-1) and $l-dt-value != '' and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and exists($l-dt-sequence-1) and $l-dt-value != '' and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 4: The dateTime element in the structured data is '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'.<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text />
		The number of dateTime elements that have been extracted from the narrative is '<xsl:text /><xsl:value-of select="count($narr-dateTimes)" /><xsl:text />'.
		These are '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-dateTimes, ', '), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The initial regular expressions are '<xsl:text /><xsl:value-of select="string-join($l-dt-sequence-1, ', ')" /><xsl:text />'.
		The three regular expressions used to perform an exact match for narrative dateTime elements are as follows:
		l-dt-regex-1='<xsl:text /><xsl:value-of select="$l-dt-regex-1" /><xsl:text />'; l-dt-regex-2='<xsl:text /><xsl:value-of select="$l-dt-regex-2" /><xsl:text />'; and l-dt-regex-3='<xsl:text /><xsl:value-of select="$l-dt-regex-3" /><xsl:text />'.
		Was a match found after the first regular expression was created? <xsl:text /><xsl:value-of select="$l-dt-match-1" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($l-dt-regex-2 = '') then 'The second regular expression was not applied as there is no time information.'    else concat('Was a match found after the second regular expression (with a date and time) was created? ', $l-dt-match-2, '.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($l-dt-regex-3 = '') then 'The third regular expression was not applied as there is no timezone information.'    else concat('Was a match found after the third regular expression (with a date and time) was created? ', $l-dt-match-3, '.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and exists($h-dt-sequence-1) and $h-dt-value != '' and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and exists($h-dt-sequence-1) and $h-dt-value != '' and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 4: The dateTime element in the structured data is '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'.<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text />
		The number of dateTime elements that have been extracted from the narrative is '<xsl:text /><xsl:value-of select="count($narr-dateTimes)" /><xsl:text />'.
		These are '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-dateTimes, ', '), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The initial regular expressions are '<xsl:text /><xsl:value-of select="string-join($h-dt-sequence-1, ', ')" /><xsl:text />'.
		The three regular expressions used to perform an exact match for narrative dateTime elements are as follows:
		h-dt-regex-1='<xsl:text /><xsl:value-of select="$h-dt-regex-1" /><xsl:text />'; h-dt-regex-2='<xsl:text /><xsl:value-of select="$h-dt-regex-2" /><xsl:text />'; and h-dt-regex-3='<xsl:text /><xsl:value-of select="$h-dt-regex-3" /><xsl:text />'.
		Was a match found after the first regular expression was created? <xsl:text /><xsl:value-of select="$h-dt-match-1" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($h-dt-regex-2 = '') then 'The second regular expression was not applied as there is no time information.'    else concat('Was a match found after the second regular expression (with a date and time) was created? ', $h-dt-match-2, '.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($h-dt-regex-3 = '') then 'The third regular expression was not applied as there is no timezone information.'    else concat('Was a match found after the third regular expression (with a date and time) was created? ', $h-dt-match-3, '.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $l-warning-1 and not($l-error-1 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $l-warning-1 and not($l-error-1 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Commencement Window '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /> Although the date was found in the narrative the Service Commencement Window data element must contain the time.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Service Commencement Window data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $l-error-1 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $l-error-1 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Commencement Window '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /> Although the date was found in the narrative the Service Commencement Window data element must contain the time.
		The Service Commencement Window data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $l-error-1 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $l-error-1 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Commencement Window '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /> Although the date was found in the narrative the Service Commencement Window data element must contain the time.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-warning-2 and not($l-error-2 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-warning-2 and not($l-error-2 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Commencement Window '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Service Commencement Window data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-error-2 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-error-2 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Commencement Window '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($l-error-2c) then concat('The narrative contains a date with the same year ''', $l-year, ''' but without a month or day.') else '' " /><xsl:text />
		The Service Commencement Window data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-error-2 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-error-2 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Commencement Window '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($l-error-2c) then concat('The narrative contains a date with the same year ''', $l-year, ''' but without a month or day.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $l-dt-value != '' and not($l-narr-match or $l-null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $l-dt-value != '' and not($l-narr-match or $l-null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Commencement Window '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $l-dt-value != '' and not($l-narr-match or $l-null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $l-dt-value != '' and not($l-narr-match or $l-null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Commencement Window '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Service Commencement Window data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $h-warning-1 and not($h-error-1 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $h-warning-1 and not($h-error-1 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Commencement Window '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /> Although the date was found in the narrative the Service Commencement Window data element must contain the time.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Service Commencement Window data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $h-error-1 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $h-error-1 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Commencement Window '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /> Although the date was found in the narrative the Service Commencement Window data element must contain the time.
		The Service Commencement Window data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $h-error-1 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $h-error-1 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Commencement Window '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /> Although the date was found in the narrative the Service Commencement Window data element must contain the time.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-warning-2 and not($h-error-2 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-warning-2 and not($h-error-2 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Commencement Window '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Service Commencement Window data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-error-2 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-error-2 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Commencement Window '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($h-error-2c) then concat('The narrative contains a date with the same year ''', $h-year, ''' but without a month or day.') else '' " /><xsl:text />
		The Service Commencement Window data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-error-2 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-error-2 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Commencement Window '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($h-error-2c) then concat('The narrative contains a date with the same year ''', $h-year, ''' but without a month or day.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-warning-3 and not($l-error-3 or $no-content)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-warning-3 and not($l-error-3 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Commencement Window '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not seem to be present in the narrative of the section.<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Service Commencement Window data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-error-3 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-error-3 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Commencement Window '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Service Commencement Window data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else ' All clinical information in entry elements must be present in the narrative.'" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-error-3 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-error-3 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Commencement Window '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-warning-3 and not($h-error-3 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-warning-3 and not($h-error-3 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Commencement Window '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not seem to be present in the narrative of the section.<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Service Commencement Window data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-error-3 and not($no-content) and true()  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-error-3 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Commencement Window '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text />
		The Service Commencement Window data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-error-3 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-error-3 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Commencement Window '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $h-dt-value != '' and not($h-narr-match or $h-null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $h-dt-value != '' and not($h-narr-match or $h-null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Commencement Window '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $h-dt-value != '' and not($h-narr-match or $h-null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $h-dt-value != '' and not($h-narr-match or $h-null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Commencement Window '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Service Commencement Window data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-null-to-find and not($l-null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-null-to-find and not($l-null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Service Commencement Window '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="cda:low/@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$l-nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($l-nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.<xsl:text /><xsl:value-of select="$l-null-msg" /><xsl:text /> If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-null-to-find and not($h-null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-null-to-find and not($h-null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Service Commencement Window '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="cda:high/@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$h-nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($h-nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.<xsl:text /><xsl:value-of select="$h-null-msg" /><xsl:text />
		If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M886" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M886" />
  <xsl:template match="@*|node()" priority="-2" mode="M886">
    <xsl:apply-templates select="@*|*" mode="M886" />
  </xsl:template>
  <!--PATTERN p-TS-Request-TimeInterval-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.20158' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20158']]/cda:entry/cda:act/   cda:performer[@typeCode='PRF' and cda:assignedEntity[cda:representedOrganization or not(cda:assignedPerson)]]/cda:time " priority="1000" mode="M887">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.20158' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20158']]/cda:entry/cda:act/   cda:performer[@typeCode='PRF' and cda:assignedEntity[cda:representedOrganization or not(cda:assignedPerson)]]/cda:time " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text1" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="message-text2" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See sections 8.6 and 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="nullFlavor-values" select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]" />
    <xsl:variable name="low-inclusive" select="if (not(cda:low)) then '' else if (cda:low/@inclusive='false') then ' (excluded)' else ' (included)' " />
    <xsl:variable name="high-inclusive" select="if (not(cda:high)) then '' else if (cda:high/@inclusive='false') then ' (excluded)' else ' (included)' " />
    <xsl:variable name="display-interval" select="if (@value and cda:low/@value and cda:high/@value)         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34), ', low value ', codepoints-to-string(34), cda:low/@value,        codepoints-to-string(34), $low-inclusive, ' and high value ', codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)        else if (@value and cda:low/@value and not(cda:high/@value))         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34), ' and low value ', codepoints-to-string(34), cda:low/@value,        codepoints-to-string(34), $low-inclusive)       else if (@value and not(cda:low/@value) and cda:high/@value)         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34), ' and high value ', codepoints-to-string(34),        cda:high/@value, codepoints-to-string(34), $high-inclusive)       else if (not(@value) and cda:low/@value and cda:high/@value)         then concat('low value ', codepoints-to-string(34), cda:low/@value, codepoints-to-string(34), $low-inclusive, ' and high value ',         codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)       else if (@value and not(cda:low/@value) and not(cda:high/@value))         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34))       else if (not(@value) and cda:low/@value and not(cda:high/@value))         then concat('low value ', codepoints-to-string(34), cda:low/@value, codepoints-to-string(34), $low-inclusive)       else if (not(@value) and not(cda:low/@value) and cda:high/@value)         then concat('high value ', codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)       else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-22" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-22 else $rating-alt-TC-Types-22 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-22: The Service Provider (Organisation) Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type
		and <xsl:text /><xsl:value-of select="if (@value or cda:low/@value or cda:high/@value) then concat('has ', $display-interval)   else 'has no value attribute and no low or high data elements' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@nullFlavor) then concat('The nullFlavor attribute has the value ''', @nullFlavor, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.4 of the Participation Data Specification v3.2 the Service Provider (Organisation) Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type.
		It contains a value of nullFlavor 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a value
		may exist, but it must be derived from the information provided. Confirm if the use of this nullFlavor is valid.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'NINF' or @nullFlavor = 'PINF' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'NINF' or @nullFlavor = 'PINF'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 1: According to section 2.4 of the Participation Data Specification v3.2 the Service Provider (Organisation) Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data
		type which is derived from the HL7 'IVL_TS' data type. It has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) which is a
		value of nullFlavor that may not be used for data elements of the IVL data type.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 2.4 of the Participation Data Specification v3.2 the Service Provider (Organisation) Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data
		type however it has nullFlavor = 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include
		nullFlavor = 'UNC'. (See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'QS' or @nullFlavor = 'TRC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'QS' or @nullFlavor = 'TRC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 3: According to section 2.4 of the Participation Data Specification v3.2 the Service Provider (Organisation) Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data
		type which is derived from the HL7 'IVL_TS' data type. It has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) however
		that value of nullFlavor may not be used for data elements of the TS or IVL data types.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to section 2.4 of the Participation Data Specification v3.2 the Service Provider (Organisation) Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type which is
		derived from the HL7 'IVL_TS' data type. The HL7 'TS' data type may also be used for a TimeInterval however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		(See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 3.8.1 of HL7 Version 3 Standard: Data Types - Abstract Specification,
		Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to section 2.4 of the Participation Data Specification v3.2 the Service Provider (Organisation) Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type which is
		derived from the HL7 'IVL_TS' data type. The HL7 'TS' data type may also be used for a TimeInterval however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'IVL_TS' or 'TS'.
		(See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 3.8.1 of HL7 Version 3 Standard: Data Types - Abstract Specification,
		Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not(@nullFlavor or @value or cda:low or cda:high) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor or @value or cda:low or cda:high)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to section 2.4 of the Participation Data Specification v3.2 the Service Provider (Organisation) Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however
		it does not have a nullFlavor or value attribute or low or high elements. A TimeInterval may only contain a nullFlavor or value attribute or low or high elements with the optional
		'inclusive' attribute included in the low or high elements if there is a need to indicate that the low or high boundaries are excluded.
		(See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @value and (cda:low or cda:high) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value and (cda:low or cda:high)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to section 2.4 of the Participation Data Specification v3.2 the Service Provider (Organisation) Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type.
		It has the element '<xsl:text /><xsl:value-of select="local-name(cda:*[local-name() = ('low', 'high')])" /><xsl:text />' which is used for the HL7 'IVL' data type
		but also has a 'value' attribute which is used by the HL7 'TS' data type and is not used by the HL7 'IVL' data type. The data element must either have a 'value' attribute
		or '<xsl:text /><xsl:value-of select="local-name(cda:*[local-name() = ('low', 'high')])" /><xsl:text />' but not both.
		(See section 7.10.9.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and section 3.8.1 of
		HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('low', 'high'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 the Service Provider (Organisation) Participation Period
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('low', 'high'))])" /><xsl:text />' was found
		that is not expected for the TimeInterval data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('low', 'high', 'width'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('low', 'high', 'width'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 the Service Provider (Organisation) Participation Period
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('low', 'high', 'width'))])" /><xsl:text />' was found
		that is not expected for the TimeInterval data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and cda:width/@value and ((cda:low/@value and not(cda:high/@value)) or (not(cda:low/@value) and cda:high/@value)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and cda:width/@value and ((cda:low/@value and not(cda:high/@value)) or (not(cda:low/@value) and cda:high/@value))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 the Service Provider (Organisation) Participation Period
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a width element is also
		present with the value '<xsl:text /><xsl:value-of select="cda:width/@value" /><xsl:text />' and unit '<xsl:text /><xsl:value-of select="cda:width/@unit" /><xsl:text />'.		
		This is an error as the presence of a <xsl:text /><xsl:value-of select="if (cda:low) then 'low' else 'high' " /><xsl:text /> element without a <xsl:text /><xsl:value-of select="if (cda:low) then 'high' else 'low' " /><xsl:text /> element
		means the TimeInterval is unbounded in one direction however the width element implies the interval is bounded. That is the width element is an extension that qualifies the
		time interval whereas an extension is allowed only if it does not qualify or negate the time interval.
		(See the definition of Service Provider (Organisation) Participation Period in the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text />, section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0
		and <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)
		As the <xsl:text /><xsl:value-of select="if (cda:low) then 'start' else 'end' " /><xsl:text /> of the time interval is known then the Service Provider (Organisation) Participation Period must also have a
		<xsl:text /><xsl:value-of select="if (cda:low) then ' high' else ' low' " /><xsl:text /> element as the TimeInterval data type uses low and high elements rather than width to define an interval.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and cda:width/@value and not(cda:high/@value or cda:low/@value) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and cda:width/@value and not(cda:high/@value or cda:low/@value)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 the Service Provider (Organisation) Participation Period
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a width element is also
		present with the value '<xsl:text /><xsl:value-of select="cda:width/@value" /><xsl:text />' and unit '<xsl:text /><xsl:value-of select="cda:width/@unit" /><xsl:text />'.		
		This is an error as the Service Provider (Organisation) Participation Period has no low or high elements so the TimeInterval is unbounded however the width element implies the interval is bounded. That is the width element is an
		extension that qualifies the time interval whereas an extension is allowed only if it does not qualify or negate the time interval.
		(See the definition of Service Provider (Organisation) Participation Period in the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text />, section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0
		and <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)
		The TimeInterval data type uses low and high elements rather than width to define an interval.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(    @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or    @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'  )) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not( @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS' ))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 the Service Provider (Organisation) Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the TimeInterval data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(    @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or    @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'  )) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not( @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS' ))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 the Service Provider (Organisation) Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the TimeInterval data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @operator and @operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @operator and @operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 the Service Provider (Organisation) Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the TimeInterval data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @operator and @operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @operator and @operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 the Service Provider (Organisation) Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the TimeInterval data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:low/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:low/*">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 the Service Provider (Organisation) Participation Period 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(cda:low/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/*">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 the Service Provider (Organisation) Participation Period 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(cda:low/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 the Service Provider (Organisation) Participation Period 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 the Service Provider (Organisation) Participation Period 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:low/@operator and cda:low/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:low/@operator and cda:low/@operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 the Service Provider (Organisation) Participation Period 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/@operator and cda:low/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/@operator and cda:low/@operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 the Service Provider (Organisation) Participation Period 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:low/cda:originalText) and cda:low/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:low/cda:originalText) and cda:low/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 2.4 of the Participation Data Specification v3.2 the Service Provider (Organisation) Participation Period 'low' child element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present so
		it is an error to include nullFlavor 'UNC'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:high/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:high/*">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 the Service Provider (Organisation) Participation Period 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element '<xsl:text /><xsl:value-of select="local-name(cda:high/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/*">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 the Service Provider (Organisation) Participation Period 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element '<xsl:text /><xsl:value-of select="local-name(cda:high/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 the Service Provider (Organisation) Participation Period 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 the Service Provider (Organisation) Participation Period 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:high/@operator and cda:high/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:high/@operator and cda:high/@operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 the Service Provider (Organisation) Participation Period 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/@operator and cda:high/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/@operator and cda:high/@operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.4 of the Participation Data Specification v3.2 the Service Provider (Organisation) Participation Period 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 2.4 of the Participation Data Specification v3.2 the Service Provider (Organisation) Participation Period 'high' child element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present
		so it is an error to include nullFlavor 'UNC'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 2.4 of the Participation Data Specification v3.2 the Service Provider (Organisation) Participation Period 'high' child element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present
		so it is an error to include nullFlavor 'UNC'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M887" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M887" />
  <xsl:template match="@*|node()" priority="-2" mode="M887">
    <xsl:apply-templates select="@*|*" mode="M887" />
  </xsl:template>
  <!--PATTERN p-TS-Request-TimeInterval-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.20158' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20158']]/cda:entry/cda:act/   cda:performer[@typeCode='PRF' and cda:assignedEntity[cda:representedOrganization or not(cda:assignedPerson)]]/cda:time " priority="1000" mode="M888">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.20158' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20158']]/cda:entry/cda:act/   cda:performer[@typeCode='PRF' and cda:assignedEntity[cda:representedOrganization or not(cda:assignedPerson)]]/cda:time " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="fir-narrative" select="translate(normalize-space(lower-case(string($fir-narr-node))), $chars-to-remove, '')" />
    <xsl:variable name="sec-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)        then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]        else () " />
    <xsl:variable name="sec-narr-node" select="$sec-section/cda:text " />
    <xsl:variable name="narr-text-el" select="(for $text in ($fir-narr-node//text(), $sec-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="sec-narrative" select="translate(normalize-space(lower-case(string($sec-narr-node))), $chars-to-remove, '') " />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="narrative" select="concat($target-title, $fir-narrative, $sec-narrative)" />
    <xsl:variable name="narr-elements" select="$fir-narr-node//cda:*[exists(text()[normalize-space() != '']) and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ]  |             $sec-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ] " />
    <xsl:variable name="narr-lower-case" select="for $i in (1 to count($narr-elements)) return lower-case(normalize-space(string-join($narr-elements[$i]/text(), '')))  " />
    <xsl:variable name="dt-narr-elements" select="$narr-lower-case[matches(., $regex-date-type-1, 'i') or matches(., $regex-date-type-2, 'i') or matches(., $regex-date-type-3, 'i')] " />
    <xsl:variable name="narr-elements-start" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-before($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-before($dt-narr-elements[$i], ' -'))        else $dt-narr-elements[$i])[. != ''] " />
    <xsl:variable name="narr-elements-end" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-after($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-after($dt-narr-elements[$i], ' -'))        else '')[. != ''] " />
    <xsl:variable name="narr-dateTimes" select="distinct-values(($narr-elements-start , $narr-elements-end))[. != '(ongoing)'] " />
    <xsl:variable name="l-dt-value" select="if (@value) then @value        else if (cda:low/@value) then cda:low/@value        else '' " />
    <xsl:variable name="l-no-time-zone" select="if (contains($l-dt-value, '+')) then substring-before($l-dt-value, '+')       else if (contains($l-dt-value, '-')) then substring-before($l-dt-value, '-')       else $l-dt-value " />
    <xsl:variable name="l-length" select="string-length($l-no-time-zone) " />
    <xsl:variable name="l-year" select="if ($l-length &gt; 3) then substring($l-no-time-zone,1,4) else '' " />
    <xsl:variable name="l-month-num" select="if ($l-length &gt; 5) then substring($l-no-time-zone,5,2) else '' " />
    <xsl:variable name="l-day" select="if ($l-length &gt; 7 and substring($l-no-time-zone,7,1) = '0') then substring($l-no-time-zone,8,1)       else if ($l-length &gt; 7 and substring($l-no-time-zone,7,1) != '0') then substring($l-no-time-zone,7,2) else '' " />
    <xsl:variable name="l-hour-long" select="if ($l-length &gt; 9) then substring($l-no-time-zone,9,2) else '' " />
    <xsl:variable name="l-hour-short" select="if (substring($l-hour-long, 1, 1) = '0') then substring($l-hour-long, 2, 1) else '' " />
    <xsl:variable name="l-minute" select="if ($l-length &gt; 11) then substring($l-no-time-zone,11,2) else '' " />
    <xsl:variable name="l-second" select="if ($l-length &gt; 13) then substring($l-no-time-zone,13,2) else '' " />
    <xsl:variable name="l-time-zone" select="if (contains($l-dt-value, '+')) then concat('\+', substring-after($l-dt-value, '+'))       else if (contains($l-dt-value, '-')) then concat('\-', substring-after($l-dt-value, '-'))       else '' " />
    <xsl:variable name="l-month-short" select="if ($l-month-num = '01') then 'jan'   else             if ($l-month-num = '02') then 'feb'   else             if ($l-month-num = '03') then 'mar'   else             if ($l-month-num = '04') then 'apr'   else             if ($l-month-num = '05') then 'may'   else             if ($l-month-num = '06') then 'jun'   else             if ($l-month-num = '07') then 'jul'   else             if ($l-month-num = '08') then 'aug'   else             if ($l-month-num = '09') then 'sep'   else             if ($l-month-num = '10') then 'oct'   else             if ($l-month-num = '11') then 'nov'   else             if ($l-month-num = '12') then 'dec'   else '' " />
    <xsl:variable name="l-month-long" select="if ($l-month-num = '01') then 'january'   else             if ($l-month-num = '02') then 'february'  else             if ($l-month-num = '03') then 'march'   else             if ($l-month-num = '04') then 'april'   else             if ($l-month-num = '05') then 'may'   else             if ($l-month-num = '06') then 'june'   else             if ($l-month-num = '07') then 'july'   else             if ($l-month-num = '08') then 'august'   else             if ($l-month-num = '09') then 'september'  else             if ($l-month-num = '10') then 'october'   else             if ($l-month-num = '11') then 'november'  else             if ($l-month-num = '12') then 'december'  else '' " />
    <xsl:variable name="l-date-type-3-day" select="if (string-length($l-day) = 1) then concat('0{0,1}', $l-day) else $l-day " />
    <xsl:variable name="l-date-type-3-month" select="if (string-length($l-month-num) = 1) then concat('0{0,1}', $l-month-num)        else if (substring($l-month-num, 1, 1) = '0') then concat('0{0,1}', substring($l-month-num, 2, 1))         else $l-month-num " />
    <xsl:variable name="l-dt-sequence-1" select="if ($l-length = 4) then (         concat('^', $l-dt-value)        ,          concat('^', $l-year)         )        else if ($l-length = 6) then (         concat('^', $l-dt-value)        ,         concat('^', $l-month-short, $date-sep, $l-year)      ,          concat('^', $l-month-long, $date-sep, $l-year)      )        else if ($l-length &gt; 7) then (         concat('^', $l-dt-value)        ,         concat('^', $l-date-type-3-day, $date-sep, $l-month-short, $date-sep, $l-year)  ,         concat('^', $l-date-type-3-day, $date-sep, $l-month-long, $date-sep, $l-year)  ,         concat('^', $l-date-type-3-day, '/', $l-date-type-3-month, '/', $l-year)  )        else () " />
    <xsl:variable name="l-matching-seq-1" select="if (exists($l-dt-sequence-1))        then index-of(for $i in (1 to count($l-dt-sequence-1)) return exists($narr-dateTimes[matches(., $l-dt-sequence-1[$i], 'i')]), true())        else () " />
    <xsl:variable name="l-dt-stem-1" select="for $i in (1 to count($l-matching-seq-1)) return $l-dt-sequence-1[$l-matching-seq-1[$i]] " />
    <xsl:variable name="l-dt-regex-1" select="if (exists($l-dt-stem-1)) then concat('(', string-join($l-dt-stem-1, '$)|('), '$)') else ()" />
    <xsl:variable name="l-dt-match-1" select="exists($l-dt-stem-1) and exists($narr-dateTimes[matches(., $l-dt-regex-1, 'i')])" />
    <xsl:variable name="l-time-1" select="if ($l-length &gt; 11 and $l-hour-short != '') then concat($l-hour-short, ':', $l-minute, '( *| *am)') else '' " />
    <xsl:variable name="l-time-2" select="if ($l-length &gt; 13 and $l-hour-short != '') then concat($l-hour-short, ':', $l-minute, ':', $l-second, '( *| *am)') else '' " />
    <xsl:variable name="l-time-3" select="if ($l-length &gt; 11 and number($l-hour-long) &lt; 12) then concat($l-hour-long, ':', $l-minute, '( *| *am)')        else if ($l-length &gt; 11) then concat($l-hour-long, ':', $l-minute) else '' " />
    <xsl:variable name="l-time-4" select="if ($l-length &gt; 13 and number($l-hour-long) &lt; 12) then concat($l-hour-long, ':', $l-minute, ':', $l-second, '( *| *am)')        else if ($l-length &gt; 13) then concat($l-hour-long, ':', $l-minute, ':', $l-second) else '' " />
    <xsl:variable name="l-time-5" select="if ($l-length &gt; 11 and number($l-hour-long) &gt; 12) then concat(string(number($l-hour-long) - 12), ':', $l-minute, '( *| *pm)') else '' " />
    <xsl:variable name="l-time-6" select="if ($l-length &gt; 13 and number($l-hour-long) &gt; 12) then concat(string(number($l-hour-long) - 12), ':', $l-minute, ':', $l-second, '( *| *pm)') else '' " />
    <xsl:variable name="l-dt-temp-0" select="if (exists($l-dt-stem-1) and $l-length = 8) then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $narr-time-regex) else () " />
    <xsl:variable name="l-dt-temp-1" select="if (exists($l-dt-stem-1) and $l-time-1 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-1) else () " />
    <xsl:variable name="l-dt-temp-2" select="if (exists($l-dt-stem-1) and $l-time-2 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-2) else () " />
    <xsl:variable name="l-dt-temp-3" select="if (exists($l-dt-stem-1) and $l-time-3 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-3) else () " />
    <xsl:variable name="l-dt-temp-4" select="if (exists($l-dt-stem-1) and $l-time-4 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-4) else () " />
    <xsl:variable name="l-dt-temp-5" select="if (exists($l-dt-stem-1) and $l-time-5 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-5) else () " />
    <xsl:variable name="l-dt-temp-6" select="if (exists($l-dt-stem-1) and $l-time-6 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-6) else () " />
    <xsl:variable name="l-dt-sequence-2" select="($l-dt-temp-0, $l-dt-temp-1, $l-dt-temp-2, $l-dt-temp-3, $l-dt-temp-4, $l-dt-temp-5, $l-dt-temp-6)" />
    <xsl:variable name="l-matching-seq-2" select="if (exists($l-dt-sequence-2))        then index-of(for $i in (1 to count($l-dt-sequence-2)) return exists($narr-dateTimes[matches(., $l-dt-sequence-2[$i], 'i')]), true())        else () " />
    <xsl:variable name="l-dt-stem-2" select="for $i in (1 to count($l-matching-seq-2)) return $l-dt-sequence-2[$l-matching-seq-2[$i]] " />
    <xsl:variable name="l-dt-regex-2" select="if (exists($l-dt-stem-2)) then concat('(', string-join($l-dt-stem-2, '$)|('), '$)') else '' " />
    <xsl:variable name="l-dt-match-2" select="(exists($l-dt-stem-2) and exists($narr-dateTimes[matches(., $l-dt-regex-2, 'i')])) " />
    <xsl:variable name="l-dt-sequence-3" select="if (not($l-dt-match-2) and exists($l-dt-stem-2) and $l-time-zone != '') then for $i in (1 to count($l-dt-stem-2)) return        concat($l-dt-stem-2[$i], substring($l-time-zone, 1, 4), ':?', substring($l-time-zone, 5, 2)) else () " />
    <xsl:variable name="l-dt-regex-3" select="if ($l-dt-match-2) then '' else if (exists($l-dt-sequence-3)) then concat('(', string-join($l-dt-sequence-3, '$)|('), '$)') else '' " />
    <xsl:variable name="l-dt-match-3" select="($l-dt-match-2 or (exists($l-dt-sequence-3) and exists($narr-dateTimes[matches(., $l-dt-regex-3, 'i')]))) " />
    <xsl:variable name="l-narr-match" select="if ($l-dt-value != '' and count($narr-dateTimes) = 0) then      (       contains($narrative, $l-dt-value)                or       (string-length($l-dt-value) = 4 and contains($narrative, $l-year))             or        (string-length($l-dt-value) = 6 and contains($narrative, concat($l-month-short, $l-year)))          or       (string-length($l-dt-value) &gt; 7 and starts-with($l-day, '0') and        (contains($narrative, concat(substring($l-day,2,1), $l-month-short, $l-year)) or         contains($narrative, concat(substring($l-day,2,1), $l-month-num, $l-year))))          or       (string-length($l-dt-value) &gt; 7 and (contains($narrative, concat($l-day, $l-month-short, $l-year)) or contains($narrative, concat($l-day, $l-month-num, $l-year))))        )       else false() " />
    <xsl:variable name="h-dt-value" select="if (cda:high/@value and $l-dt-value != cda:high/@value) then cda:high/@value        else '' " />
    <xsl:variable name="h-no-time-zone" select="if (contains($h-dt-value, '+')) then substring-before($h-dt-value, '+')       else if (contains($h-dt-value, '-')) then substring-before($h-dt-value, '-')       else $h-dt-value " />
    <xsl:variable name="h-length" select="string-length($h-no-time-zone) " />
    <xsl:variable name="h-year" select="if ($h-length &gt; 3) then substring($h-no-time-zone,1,4) else '' " />
    <xsl:variable name="h-month-num" select="if ($h-length &gt; 5) then substring($h-no-time-zone,5,2) else '' " />
    <xsl:variable name="h-day" select="if ($h-length &gt; 7 and substring($h-no-time-zone,7,1) = '0') then substring($h-no-time-zone,8,1)       else if ($h-length &gt; 7 and substring($h-no-time-zone,7,1) != '0') then substring($h-no-time-zone,7,2) else '' " />
    <xsl:variable name="h-hour-long" select="if ($h-length &gt; 9) then substring($h-no-time-zone,9,2) else '' " />
    <xsl:variable name="h-hour-short" select="if (substring($h-hour-long, 1, 1) = '0') then substring($h-hour-long, 2, 1) else '' " />
    <xsl:variable name="h-minute" select="if ($h-length &gt; 11) then substring($h-no-time-zone,11,2) else '' " />
    <xsl:variable name="h-second" select="if ($h-length &gt; 13) then substring($h-no-time-zone,13,2) else '' " />
    <xsl:variable name="h-time-zone" select="if (contains($h-dt-value, '+')) then concat('\+', substring-after($h-dt-value, '+'))       else if (contains($h-dt-value, '-')) then concat('\-', substring-after($h-dt-value, '-'))       else '' " />
    <xsl:variable name="h-month-short" select="if ($h-month-num = '01') then 'jan'   else             if ($h-month-num = '02') then 'feb'   else             if ($h-month-num = '03') then 'mar'   else             if ($h-month-num = '04') then 'apr'   else             if ($h-month-num = '05') then 'may'   else             if ($h-month-num = '06') then 'jun'   else             if ($h-month-num = '07') then 'jul'   else             if ($h-month-num = '08') then 'aug'   else             if ($h-month-num = '09') then 'sep'   else             if ($h-month-num = '10') then 'oct'   else             if ($h-month-num = '11') then 'nov'   else             if ($h-month-num = '12') then 'dec'   else '' " />
    <xsl:variable name="h-month-long" select="if ($h-month-num = '01') then 'january'   else             if ($h-month-num = '02') then 'february'  else             if ($h-month-num = '03') then 'march'   else             if ($h-month-num = '04') then 'april'   else             if ($h-month-num = '05') then 'may'   else             if ($h-month-num = '06') then 'june'   else             if ($h-month-num = '07') then 'july'   else             if ($h-month-num = '08') then 'august'   else             if ($h-month-num = '09') then 'september'  else             if ($h-month-num = '10') then 'october'   else             if ($h-month-num = '11') then 'november'  else             if ($h-month-num = '12') then 'december'  else '' " />
    <xsl:variable name="h-date-type-3-day" select="if (string-length($h-day) = 1) then concat('0{0,1}', $h-day) else $h-day " />
    <xsl:variable name="h-date-type-3-month" select="if (string-length($h-month-num) = 1) then concat('0{0,1}', $h-month-num)        else if (substring($h-month-num, 1, 1) = '0') then concat('0{0,1}', substring($h-month-num, 2, 1))         else $h-month-num " />
    <xsl:variable name="h-dt-sequence-1" select="if ($h-length = 4) then (         concat('^', $h-dt-value)        ,          concat('^', $h-year)         )        else if ($h-length = 6) then (         concat('^', $h-dt-value)        ,         concat('^', $h-month-short, $date-sep, $h-year)      ,          concat('^', $h-month-long, $date-sep, $h-year)      )        else if ($h-length &gt; 7) then (         concat('^', $h-dt-value)        ,         concat('^', $h-date-type-3-day, $date-sep, $h-month-short, $date-sep, $h-year)  ,         concat('^', $h-date-type-3-day, $date-sep, $h-month-long, $date-sep, $h-year)  ,         concat('^', $h-date-type-3-day, '/', $h-date-type-3-month, '/', $h-year)  )        else () " />
    <xsl:variable name="h-matching-seq-1" select="if (exists($h-dt-sequence-1))        then index-of(for $i in (1 to count($h-dt-sequence-1)) return exists($narr-dateTimes[matches(., $h-dt-sequence-1[$i], 'i')]), true())        else () " />
    <xsl:variable name="h-dt-stem-1" select="for $i in (1 to count($h-matching-seq-1)) return $h-dt-sequence-1[$h-matching-seq-1[$i]] " />
    <xsl:variable name="h-dt-regex-1" select="if (exists($h-dt-stem-1)) then concat('(', string-join($h-dt-stem-1, '$)|('), '$)') else ()" />
    <xsl:variable name="h-dt-match-1" select="exists($h-dt-stem-1) and exists($narr-dateTimes[matches(., $h-dt-regex-1, 'i')])" />
    <xsl:variable name="h-time-1" select="if ($h-length &gt; 11 and $h-hour-short != '') then concat($h-hour-short, ':', $h-minute, '( *| *am)') else '' " />
    <xsl:variable name="h-time-2" select="if ($h-length &gt; 13 and $h-hour-short != '') then concat($h-hour-short, ':', $h-minute, ':', $h-second, '( *| *am)') else '' " />
    <xsl:variable name="h-time-3" select="if ($h-length &gt; 11 and number($h-hour-long) &lt; 12) then concat($h-hour-long, ':', $h-minute, '( *| *am)')        else if ($h-length &gt; 11) then concat($h-hour-long, ':', $h-minute) else '' " />
    <xsl:variable name="h-time-4" select="if ($h-length &gt; 13 and number($h-hour-long) &lt; 12) then concat($h-hour-long, ':', $h-minute, ':', $h-second, '( *| *am)')        else if ($h-length &gt; 13) then concat($h-hour-long, ':', $h-minute, ':', $h-second) else '' " />
    <xsl:variable name="h-time-5" select="if ($h-length &gt; 11 and number($h-hour-long) &gt; 12) then concat(string(number($h-hour-long) - 12), ':', $h-minute, '( *| *pm)') else '' " />
    <xsl:variable name="h-time-6" select="if ($h-length &gt; 13 and number($h-hour-long) &gt; 12) then concat(string(number($h-hour-long) - 12), ':', $h-minute, ':', $h-second, '( *| *pm)') else '' " />
    <xsl:variable name="h-dt-temp-0" select="if (exists($h-dt-stem-1) and $h-length = 8) then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $narr-time-regex) else () " />
    <xsl:variable name="h-dt-temp-1" select="if (exists($h-dt-stem-1) and $h-time-1 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-1) else () " />
    <xsl:variable name="h-dt-temp-2" select="if (exists($h-dt-stem-1) and $h-time-2 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-2) else () " />
    <xsl:variable name="h-dt-temp-3" select="if (exists($h-dt-stem-1) and $h-time-3 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-3) else () " />
    <xsl:variable name="h-dt-temp-4" select="if (exists($h-dt-stem-1) and $h-time-4 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-4) else () " />
    <xsl:variable name="h-dt-temp-5" select="if (exists($h-dt-stem-1) and $h-time-5 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-5) else () " />
    <xsl:variable name="h-dt-temp-6" select="if (exists($h-dt-stem-1) and $h-time-6 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-6) else () " />
    <xsl:variable name="h-dt-sequence-2" select="($h-dt-temp-0, $h-dt-temp-1, $h-dt-temp-2, $h-dt-temp-3, $h-dt-temp-4, $h-dt-temp-5, $h-dt-temp-6)" />
    <xsl:variable name="h-matching-seq-2" select="if (exists($h-dt-sequence-2))        then index-of(for $i in (1 to count($h-dt-sequence-2)) return exists($narr-dateTimes[matches(., $h-dt-sequence-2[$i], 'i')]), true())        else () " />
    <xsl:variable name="h-dt-stem-2" select="for $i in (1 to count($h-matching-seq-2)) return $h-dt-sequence-2[$h-matching-seq-2[$i]] " />
    <xsl:variable name="h-dt-regex-2" select="if (exists($h-dt-stem-2)) then concat('(', string-join($h-dt-stem-2, '$)|('), '$)') else '' " />
    <xsl:variable name="h-dt-match-2" select="(exists($h-dt-stem-2) and exists($narr-dateTimes[matches(., $h-dt-regex-2, 'i')])) " />
    <xsl:variable name="h-dt-sequence-3" select="if (not($h-dt-match-2) and exists($h-dt-stem-2) and $h-time-zone != '') then for $i in (1 to count($h-dt-stem-2)) return        concat($h-dt-stem-2[$i], substring($h-time-zone, 1, 4), ':?', substring($h-time-zone, 5, 2)) else () " />
    <xsl:variable name="h-dt-regex-3" select="if ($h-dt-match-2) then '' else if (exists($h-dt-sequence-3)) then concat('(', string-join($h-dt-sequence-3, '$)|('), '$)') else '' " />
    <xsl:variable name="h-dt-match-3" select="($h-dt-match-2 or (exists($h-dt-sequence-3) and exists($narr-dateTimes[matches(., $h-dt-regex-3, 'i')]))) " />
    <xsl:variable name="h-narr-match" select="if ($h-dt-value != '' and count($narr-dateTimes) = 0) then      (       contains($narrative, $h-dt-value)                or       (string-length($h-dt-value) = 4 and contains($narrative, $h-year))             or        (string-length($h-dt-value) = 6 and contains($narrative, concat($h-month-short, $h-year)))          or       (string-length($h-dt-value) &gt; 7 and starts-with($h-day, '0') and        (contains($narrative, concat(substring($h-day,2,1), $h-month-short, $h-year)) or         contains($narrative, concat(substring($h-day,2,1), $h-month-num, $h-year))))          or       (string-length($h-dt-value) &gt; 7 and (contains($narrative, concat($h-day, $h-month-short, $h-year)) or contains($narrative, concat($h-day, $h-month-num, $h-year))))        )       else false() " />
    <xsl:variable name="h-nullFlavor-values" select="if (cda:high/@nullFlavor and cda:high/@nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))        then $nullFlavors/nullFlavor[@value = current()/cda:high/@nullFlavor] else () " />
    <xsl:variable name="h-null-to-find" select="exists($h-nullFlavor-values) " />
    <xsl:variable name="h-null-in-narr" select="($h-nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $h-nullFlavor-values/@name-regex, 'is')])) or              ($h-nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $h-nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="l-nullFlavor-values" select="if (cda:low/@nullFlavor and cda:low/@nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))        then $nullFlavors/nullFlavor[@value = current()/cda:low/@nullFlavor] else () " />
    <xsl:variable name="l-null-to-find" select="exists($l-nullFlavor-values) " />
    <xsl:variable name="l-null-in-narr" select="($l-nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $l-nullFlavor-values/@name-regex, 'is')])) or              ($l-nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $l-nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="l-dt-name" select="if ($l-dt-value = cda:low/@value) then ' low' else '' " />
    <xsl:variable name="l-dt-msg" select="if ($l-dt-value = cda:low/@value) then ' This date/time is the low boundary of a time interval.' else '' " />
    <xsl:variable name="h-dt-msg" select="if ($h-dt-value = cda:high/@value) then ' This date/time is the high boundary of a time interval.' else '' " />
    <xsl:variable name="l-null-msg" select="if ($l-dt-value = cda:low/@value) then ' This nullFlavor value is for the low boundary of a time interval.' else '' " />
    <xsl:variable name="h-null-msg" select="if ($h-dt-value = cda:high/@value) then ' This nullFlavor value is for the high boundary of a time interval.' else '' " />
    <xsl:variable name="multimedia" select="exists($fir-narr-node//cda:renderMultiMedia) or exists($sec-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($fir-narr-node//cda:linkHtml) or exists($sec-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="l-warning-1" select="exists($l-dt-sequence-1) and exists($narr-dateTimes) and $l-dt-match-1 and not($l-dt-match-3) and $l-dt-value != '' " />
    <xsl:variable name="l-error-1" select="$l-warning-1 and not($multimedia) " />
    <xsl:variable name="l-warning-2" select="exists($l-dt-sequence-1) and exists($narr-dateTimes) and not($l-dt-match-1 or $l-dt-match-3) and $l-dt-value != '' " />
    <xsl:variable name="l-error-2a" select="$l-warning-2 and not($multimedia) and $l-time-zone != '' and count($narr-dateTimes) =        count(for $dt in $narr-dateTimes return replace(replace($dt, $regex-date-type-1, ''), $regex-date-type-2, '')       [matches(., concat('^\s*([0-9]{1,2}:{1}[0-9]{2}\s*', substring($l-time-zone, 1, 4), ':?', substring($l-time-zone, 5, 2),         '|[0-9]{1,2}:{1}[0-9]{2}:{1}[0-9]{2}\s*', substring($l-time-zone, 1, 4), ':?', substring($l-time-zone, 5, 2), ')\s*$'), 'i')]) " />
    <xsl:variable name="l-error-2b" select="$l-warning-2 and not($l-dt-match-1) and not($multimedia) and count($narr-dateTimes[matches(., $regex-date-type-2, 'i')]) =        count($narr-dateTimes[matches(., concat($regex-date-type-2, ' ', $narr-time-regex, '$'), 'i')]) " />
    <xsl:variable name="l-error-2c" select="$l-warning-2 and exists($narr-dateTimes[matches(., concat('^', $l-year, '$'))]) " />
    <xsl:variable name="l-error-2" select="$l-error-2a or $l-error-2b or $l-error-2c " />
    <xsl:variable name="l-warning-3" select="$l-dt-value != '' and not(exists($narr-dateTimes)) and not($l-narr-match) " />
    <xsl:variable name="l-error-3" select="$l-warning-3 and not($multimedia) and not(contains($narrative, substring($l-year, 3,2)))" />
    <xsl:variable name="h-warning-1" select="exists($h-dt-sequence-1) and exists($narr-dateTimes) and $h-dt-match-1 and not($h-dt-match-3) and $h-dt-value != '' " />
    <xsl:variable name="h-error-1" select="$h-warning-1 and not($multimedia) " />
    <xsl:variable name="h-warning-2" select="exists($h-dt-sequence-1) and exists($narr-dateTimes) and not($h-dt-match-1 or $h-dt-match-3) and $h-dt-value != '' " />
    <xsl:variable name="h-error-2a" select="$h-warning-2 and not($multimedia) and $h-time-zone != '' and count($narr-dateTimes) =        count(for $dt in $narr-dateTimes return replace(replace($dt, $regex-date-type-1, ''), $regex-date-type-2, '')       [matches(., concat('^\s*([0-9]{1,2}:{1}[0-9]{2}\s*', substring($h-time-zone, 1, 4), ':?', substring($h-time-zone, 5, 2),         '|[0-9]{1,2}:{1}[0-9]{2}:{1}[0-9]{2}\s*', substring($h-time-zone, 1, 4), ':?', substring($h-time-zone, 5, 2), ')\s*$'), 'i')]) " />
    <xsl:variable name="h-error-2b" select="$h-warning-2 and not($h-dt-match-1) and not($multimedia) and count($narr-dateTimes[matches(., $regex-date-type-2, 'i')]) =        count($narr-dateTimes[matches(., concat($regex-date-type-2, ' ', $narr-time-regex, '$'), 'i')]) " />
    <xsl:variable name="h-error-2c" select="$l-warning-2 and exists($narr-dateTimes[matches(., concat('^', $h-year, '$'))]) " />
    <xsl:variable name="h-error-2" select="$h-error-2a or $h-error-2b or $h-error-2c " />
    <xsl:variable name="h-warning-3" select="$h-dt-value != '' and not(exists($narr-dateTimes)) and not($h-narr-match) " />
    <xsl:variable name="h-error-3" select="$h-warning-3 and not($multimedia) and not(contains($narrative, substring($h-year, 3,2))) " />
    <xsl:variable name="narr-dt-msg" select="if ($multimedia or $no-content) then ''       else if (not(exists($narr-dateTimes))) then concat(' The narrative of the ', iq:location(., ''), ' contains no dateTime elements.')       else if (count($narr-dateTimes) = 1) then concat(' The only dateTime element in the narrative of the ', iq:location(., ''), ' is ''',         dh:XQueryRecursiveReplace($narr-dateTimes[1], '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), '''.')       else concat(' The distinct dateTime elements in the narrative of the ', iq:location(., ''), ' are ''',         string-join(for $dt in $narr-dateTimes return          dh:XQueryRecursiveReplace($dt, '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), ', '), '''.') " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-4" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-4 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and exists($l-dt-sequence-1) and $l-dt-value != '' and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and exists($l-dt-sequence-1) and $l-dt-value != '' and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 4: The dateTime element in the structured data is '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'.<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text />
		The number of dateTime elements that have been extracted from the narrative is '<xsl:text /><xsl:value-of select="count($narr-dateTimes)" /><xsl:text />'.
		These are '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-dateTimes, ', '), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The initial regular expressions are '<xsl:text /><xsl:value-of select="string-join($l-dt-sequence-1, ', ')" /><xsl:text />'.
		The three regular expressions used to perform an exact match for narrative dateTime elements are as follows:
		l-dt-regex-1='<xsl:text /><xsl:value-of select="$l-dt-regex-1" /><xsl:text />'; l-dt-regex-2='<xsl:text /><xsl:value-of select="$l-dt-regex-2" /><xsl:text />'; and l-dt-regex-3='<xsl:text /><xsl:value-of select="$l-dt-regex-3" /><xsl:text />'.
		Was a match found after the first regular expression was created? <xsl:text /><xsl:value-of select="$l-dt-match-1" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($l-dt-regex-2 = '') then 'The second regular expression was not applied as there is no time information.'    else concat('Was a match found after the second regular expression (with a date and time) was created? ', $l-dt-match-2, '.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($l-dt-regex-3 = '') then 'The third regular expression was not applied as there is no timezone information.'    else concat('Was a match found after the third regular expression (with a date and time) was created? ', $l-dt-match-3, '.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and exists($h-dt-sequence-1) and $h-dt-value != '' and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and exists($h-dt-sequence-1) and $h-dt-value != '' and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 4: The dateTime element in the structured data is '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'.<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text />
		The number of dateTime elements that have been extracted from the narrative is '<xsl:text /><xsl:value-of select="count($narr-dateTimes)" /><xsl:text />'.
		These are '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-dateTimes, ', '), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The initial regular expressions are '<xsl:text /><xsl:value-of select="string-join($h-dt-sequence-1, ', ')" /><xsl:text />'.
		The three regular expressions used to perform an exact match for narrative dateTime elements are as follows:
		h-dt-regex-1='<xsl:text /><xsl:value-of select="$h-dt-regex-1" /><xsl:text />'; h-dt-regex-2='<xsl:text /><xsl:value-of select="$h-dt-regex-2" /><xsl:text />'; and h-dt-regex-3='<xsl:text /><xsl:value-of select="$h-dt-regex-3" /><xsl:text />'.
		Was a match found after the first regular expression was created? <xsl:text /><xsl:value-of select="$h-dt-match-1" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($h-dt-regex-2 = '') then 'The second regular expression was not applied as there is no time information.'    else concat('Was a match found after the second regular expression (with a date and time) was created? ', $h-dt-match-2, '.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($h-dt-regex-3 = '') then 'The third regular expression was not applied as there is no timezone information.'    else concat('Was a match found after the third regular expression (with a date and time) was created? ', $h-dt-match-3, '.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $l-warning-1 and not($l-error-1 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $l-warning-1 and not($l-error-1 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Provider (Organisation) Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /> Although the date was found in the narrative the Service Provider (Organisation) Participation Period data element must contain the time.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Service Provider (Organisation) Participation Period data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $l-error-1 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $l-error-1 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Provider (Organisation) Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /> Although the date was found in the narrative the Service Provider (Organisation) Participation Period data element must contain the time.
		The Service Provider (Organisation) Participation Period data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $l-error-1 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $l-error-1 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Provider (Organisation) Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /> Although the date was found in the narrative the Service Provider (Organisation) Participation Period data element must contain the time.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-warning-2 and not($l-error-2 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-warning-2 and not($l-error-2 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Provider (Organisation) Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Service Provider (Organisation) Participation Period data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-error-2 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-error-2 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Provider (Organisation) Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($l-error-2c) then concat('The narrative contains a date with the same year ''', $l-year, ''' but without a month or day.') else '' " /><xsl:text />
		The Service Provider (Organisation) Participation Period data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-error-2 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-error-2 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Provider (Organisation) Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($l-error-2c) then concat('The narrative contains a date with the same year ''', $l-year, ''' but without a month or day.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $l-dt-value != '' and not($l-narr-match or $l-null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $l-dt-value != '' and not($l-narr-match or $l-null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Provider (Organisation) Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $l-dt-value != '' and not($l-narr-match or $l-null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $l-dt-value != '' and not($l-narr-match or $l-null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Provider (Organisation) Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Service Provider (Organisation) Participation Period data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $h-warning-1 and not($h-error-1 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $h-warning-1 and not($h-error-1 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Provider (Organisation) Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /> Although the date was found in the narrative the Service Provider (Organisation) Participation Period data element must contain the time.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Service Provider (Organisation) Participation Period data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $h-error-1 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $h-error-1 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Provider (Organisation) Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /> Although the date was found in the narrative the Service Provider (Organisation) Participation Period data element must contain the time.
		The Service Provider (Organisation) Participation Period data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $h-error-1 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $h-error-1 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Provider (Organisation) Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /> Although the date was found in the narrative the Service Provider (Organisation) Participation Period data element must contain the time.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-warning-2 and not($h-error-2 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-warning-2 and not($h-error-2 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Provider (Organisation) Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Service Provider (Organisation) Participation Period data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-error-2 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-error-2 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Provider (Organisation) Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($h-error-2c) then concat('The narrative contains a date with the same year ''', $h-year, ''' but without a month or day.') else '' " /><xsl:text />
		The Service Provider (Organisation) Participation Period data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-error-2 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-error-2 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Provider (Organisation) Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($h-error-2c) then concat('The narrative contains a date with the same year ''', $h-year, ''' but without a month or day.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-warning-3 and not($l-error-3 or $no-content)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-warning-3 and not($l-error-3 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Provider (Organisation) Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not seem to be present in the narrative of the section.<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Service Provider (Organisation) Participation Period data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-error-3 and not($no-content) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-error-3 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Provider (Organisation) Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Service Provider (Organisation) Participation Period data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else ' All clinical information in entry elements must be present in the narrative.'" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-error-3 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-error-3 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Provider (Organisation) Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-warning-3 and not($h-error-3 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-warning-3 and not($h-error-3 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Provider (Organisation) Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not seem to be present in the narrative of the section.<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (true())    then ' The Service Provider (Organisation) Participation Period data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-error-3 and not($no-content) and true()  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-error-3 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Provider (Organisation) Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text />
		The Service Provider (Organisation) Participation Period data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-error-3 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-error-3 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Provider (Organisation) Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $h-dt-value != '' and not($h-narr-match or $h-null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $h-dt-value != '' and not($h-narr-match or $h-null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Provider (Organisation) Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $h-dt-value != '' and not($h-narr-match or $h-null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $h-dt-value != '' and not($h-narr-match or $h-null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Service Provider (Organisation) Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Service Provider (Organisation) Participation Period data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-null-to-find and not($l-null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-null-to-find and not($l-null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Service Provider (Organisation) Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="cda:low/@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$l-nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($l-nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.<xsl:text /><xsl:value-of select="$l-null-msg" /><xsl:text /> If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-null-to-find and not($h-null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-null-to-find and not($h-null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Service Provider (Organisation) Participation Period '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="cda:high/@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$h-nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($h-nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.<xsl:text /><xsl:value-of select="$h-null-msg" /><xsl:text />
		If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M888" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M888" />
  <xsl:template match="@*|node()" priority="-2" mode="M888">
    <xsl:apply-templates select="@*|*" mode="M888" />
  </xsl:template>
  <!--PATTERN p-TS-Request-Text-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.20158' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20158']]/cda:entry/   cda:act/cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.10146']]/cda:text " priority="1000" mode="M889">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.20158' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20158']]/cda:entry/   cda:act/cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.10146']]/cda:text " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and true()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Subject of Care Instruction Description
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Subject of Care Instruction Description 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Subject of Care Instruction Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Subject of Care Instruction Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Subject of Care Instruction Description however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Subject of Care Instruction Description in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Subject of Care Instruction Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Subject of Care Instruction Description however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Subject of Care Instruction Description in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Subject of Care Instruction Description data element with a proper value then an exclusion
		statement must be included to state why there is no Subject of Care Instruction Description. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Subject of Care Instruction Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Subject of Care Instruction Description however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Subject of Care Instruction Description in the Structured Content Specification and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Subject of Care Instruction Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Subject of Care Instruction Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Subject of Care Instruction Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Subject of Care Instruction Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Subject of Care Instruction Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Subject of Care Instruction Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Subject of Care Instruction Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Subject of Care Instruction Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Subject of Care Instruction Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to the Structured Content Specification the Subject of Care Instruction Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M889" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M889" />
  <xsl:template match="@*|node()" priority="-2" mode="M889">
    <xsl:apply-templates select="@*|*" mode="M889" />
  </xsl:template>
  <!--PATTERN p-TS-Request-Text-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.20158' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20158']]/cda:entry/   cda:act/cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.10146']]/cda:text " priority="1000" mode="M890">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.20158' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20158']]/cda:entry/   cda:act/cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.10146']]/cda:text " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Subject of Care Instruction Description '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Subject of Care Instruction Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Subject of Care Instruction Description data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Subject of Care Instruction Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Subject of Care Instruction Description data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Subject of Care Instruction Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Subject of Care Instruction Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Subject of Care Instruction Description data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Subject of Care Instruction Description
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M890" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M890" />
  <xsl:template match="@*|node()" priority="-2" mode="M890">
    <xsl:apply-templates select="@*|*" mode="M890" />
  </xsl:template>
  <!--PATTERN p-TS-Response-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16611' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16611'] " priority="1000" mode="M891">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16611' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16611'] " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating" select="if ($initial-priority) then $initial-rating else if ($FS-Types-seq/@rating) then concat(' (', $FS-Types-seq/@rating, ')') else '' " />
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and not(/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3']) and $extensions-allowed">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3']) and $extensions-allowed">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: FS-Types: The Response Details section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16611') has been found in a <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. The Response Details section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16611') is defined in the digital health specifications but
		although tests have been applied to the data elements the specification of the data elements may have been varied for inclusion in this document
		so further examination may be needed. The rules have been validated for <xsl:text /><xsl:value-of select="normalize-space('Specialist Letter CDA Implementation Guide version 1.3')" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M891" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M891" />
  <xsl:template match="@*|node()" priority="-2" mode="M891">
    <xsl:apply-templates select="@*|*" mode="M891" />
  </xsl:template>
  <!--PATTERN p-TS-Response-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16611' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16611']]/cda:component/cda:section " priority="1000" mode="M892">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16611' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16611']]/cda:component/cda:section " />
    <xsl:variable name="agency-section" select=" cda:code/@codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="test-step" select=" if (not($extensions-allowed)) then 'step 4'        else if ($agency-section) then 'step 3' else 'step 1' " />
    <xsl:variable name="title-and-code" select=" if (cda:title and cda:code/@code) then concat('title ''', cda:title, ''', code/code ''', cda:code/@code, '''')        else if (cda:title and not(cda:code/@code)) then concat('title ''', cda:title, '''')        else if (not(cda:title) and cda:code/@code) then concat('code/code ''', cda:code/@code, '''')        else '' " />
    <xsl:variable name="other-section-names" select=" if (cda:code/@displayName and not(cda:code/cda:originalText)) then concat(' and code/displayName ''', cda:code/@displayName, '''')         else if (cda:code/@displayName and cda:code/cda:originalText)          then concat(', code/displayName ''', cda:code/@displayName,''' and code/originalText ''', cda:code/cda:originalText, '''')        else if (not(cda:code/@displayName) and cda:code/cda:originalText) then concat(' and code/originalText ''', cda:code/cda:originalText, '''')        else '' " />
    <xsl:variable name="section-names" select="concat($title-and-code, $other-section-names)" />
    <xsl:variable name="doc-code" select="/cda:ClinicalDocument/cda:code" />
    <xsl:variable name="parent-section" select="ancestor::cda:section[position()=1]" />
    <xsl:variable name="custom-section-info" select="($iq-config/custom-sections/section, $knowledge/custom-sections/section)[        @doc-code  = $doc-code/@code          and        @doc-codeSystem  = $doc-code/@codeSystem          and        @parent-code   = $parent-section/cda:code/@code         and         @parent-codeSystem  = $parent-section/cda:code/@codeSystem        and         (@title = current()/cda:title or (@code = current()/cda:code/@code and @codeSystem = current()/cda:code/@codeSystem)) ] " />
    <xsl:variable name="section-disallowed" select="$custom-section-info/@disallowed = 'yes' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and ($section-disallowed or not(exists($custom-section-info)))) then $rating-alt-TC-Doc-28-step-1        else if ($test-step = 'step 1' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections]) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 3') then $rating-TC-Doc-28-step-3 else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and $section-disallowed ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and $section-disallowed">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Response Details section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16611') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> which
		is an extension to the information model however the inclusion of this section conflicts with sections defined in the digital health specifications.
		<xsl:text /><xsl:value-of select="$custom-section-info[@disallowed = 'yes']/@reason" /><xsl:text /> (Also see <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not(false()) and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(false()) and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Response Details section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16611') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. No subsection is expected so this
		is an extension to the information model. Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the 
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(false()) and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(false()) and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Response Details section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16611') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> but no subsections were
		expected so the document fails to meet the requirement that it must not contain additional data elements. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and false() and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and false() and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Response Details section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16611') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		none are expected but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the information model.
		Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Response Details section (codeSystem '1.2.36.1.2001.1001.101' and code '101.16611') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		none are expected but the inclusion of the section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> fails to meet the requirement that it must not contain additional data elements.
		(See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M892" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M892" />
  <xsl:template match="@*|node()" priority="-2" mode="M892">
    <xsl:apply-templates select="@*|*" mode="M892" />
  </xsl:template>
  <!--PATTERN p-TS-Response-CodeableText-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16611' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16611']]/cda:entry/   cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]/cda:value " priority="1000" mode="M893">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16611' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16611']]/cda:entry/   cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]/cda:value " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Diagnosis Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Diagnosis Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Diagnosis Name',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to section 3.5 of the Specialist Letter Structured Content Specification v1.1 the Diagnosis Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to section 3.5 of the Specialist Letter Structured Content Specification v1.1 the Diagnosis Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'allowed' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'allowed' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 3.5 of the Specialist Letter Structured Content Specification v1.1 the Diagnosis Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Diagnosis Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Diagnosis Name in section 3.5 of the Specialist Letter Structured Content Specification v1.1 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'allowed' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'allowed' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 3.5 of the Specialist Letter Structured Content Specification v1.1 the Diagnosis Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Diagnosis Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Diagnosis Name in section 3.5 of the Specialist Letter Structured Content Specification v1.1 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Diagnosis Name data element must have a value that is consistent with this definition. Alternatively if there is no Diagnosis Name data element with a proper value then an exclusion
		statement must be included to state why there is no Diagnosis Name.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'allowed' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'allowed' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 3.5 of the Specialist Letter Structured Content Specification v1.1 the Diagnosis Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Diagnosis Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Diagnosis Name in section 3.5 of the Specialist Letter Structured Content Specification v1.1 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'allowed' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'allowed' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 3.5 of the Specialist Letter Structured Content Specification v1.1 the Diagnosis Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Diagnosis Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Diagnosis Name in section 3.5 of the Specialist Letter Structured Content Specification v1.1 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Diagnosis Name data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'allowed' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'allowed' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 3.5 of the Specialist Letter Structured Content Specification v1.1 the Diagnosis Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Diagnosis Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Diagnosis Name in section 3.5 of the Specialist Letter Structured Content Specification v1.1 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Diagnosis Name data element must have a value that is consistent with this definition. Alternatively if there is no Diagnosis Name data element with a proper value then an exclusion
		statement must be included to state why there is no Diagnosis Name.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'allowed' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'allowed' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 3.5 of the Specialist Letter Structured Content Specification v1.1 the Diagnosis Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Diagnosis Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Diagnosis Name in section 3.5 of the Specialist Letter Structured Content Specification v1.1 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Diagnosis Name data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Diagnosis Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.5 of the Specialist Letter Structured Content Specification v1.1 the Diagnosis Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.5 of the Specialist Letter Structured Content Specification v1.1 the Diagnosis Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.5 of the Specialist Letter Structured Content Specification v1.1 the Diagnosis Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 3.5 of the Specialist Letter Structured Content Specification v1.1 the Diagnosis Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 3.5 of the Specialist Letter Structured Content Specification v1.1 the Diagnosis Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 3.5 of the Specialist Letter Structured Content Specification v1.1 the Diagnosis Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 3.5 of the Specialist Letter Structured Content Specification v1.1 the Diagnosis Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 3.5 of the Specialist Letter Structured Content Specification v1.1 the Diagnosis Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Diagnosis Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 3.5 of the Specialist Letter Structured Content Specification v1.1 the Diagnosis Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Diagnosis Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Diagnosis Name.
		(See the definition of Diagnosis Name in section 3.5 of the Specialist Letter Structured Content Specification v1.1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Diagnosis Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M893" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M893" />
  <xsl:template match="@*|node()" priority="-2" mode="M893">
    <xsl:apply-templates select="@*|*" mode="M893" />
  </xsl:template>
  <!--PATTERN p-TS-Response-CodeableText-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '101.16611' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16611']]/cda:entry/   cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]/cda:value   [@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " priority="1000" mode="M894">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '101.16611' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16611']]/cda:entry/   cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]/cda:value   [@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="pnullFlavor" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @nullFlavor) then @nullFlavor else '' " />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-p-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then false()        else if ($psnomed-id = 'amtv3' and @codeSystemVersion) then exists($v-amtv3[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($psnomed-id = 'snomedctau' and @codeSystemVersion) then exists($v-snomedctau[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false() " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and $pcode != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used to assess the primary code.') " />
    <xsl:variable name="pcode-refsets-1" select="if (@codeSystem = '2.16.840.1.113883.6.96' and not($pcode = ''))         then dh:FindValueDomainsForCode($pcode, '2.16.840.1.113883.6.96', $v-psnomed-version) else 'no-code' " />
    <xsl:variable name="pcode-found" select="not($pcode-refsets-1 = 'no-code' or $pcode-refsets-1 = 'CodeNotFound' or $pcode-refsets-1 = 'Error'        or contains($pcode-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="pcode-refsets" select="if ($pcode-found) then distinct-values(tokenize($pcode-refsets-1, '\|')) else () " />
    <xsl:variable name="pcode-special-proc" select="count($pcode-refsets) = 1 and 'Procedure Foundation (PF)' = $pcode-refsets and not($pnullFlavor = 'OTH') " />
    <xsl:variable name="pcode-refsets-msg" select="if (count($pcode-refsets) = 0) then ''         else if (count($pcode-refsets) = 1) then concat('The code is a member of the ', $pcode-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($pcode-refsets, ', '), '.') " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))         else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-1" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="snomed-trans-2" select="distinct-values(for $i in (1 to count($snomed-trans-1)) return $snomed-trans-1[$i]/@code) " />
    <xsl:variable name="snomed-trans-a" select="$snomed-trans-1[1] " />
    <xsl:variable name="tcode-a" select="if (exists($snomed-trans-a) and matches($snomed-trans-a/@code, $snomed-code-regex)) then $snomed-trans-a/@code else '' " />
    <xsl:variable name="tnullFlavor-a" select="if (exists($snomed-trans-a) and $snomed-trans-a/@nullFlavor) then $snomed-trans-a/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-a" select="if (not(exists($snomed-trans-a))) then 'not-snomed'        else if (not($snomed-trans-a/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-a/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-a" select="if (not(exists($snomed-trans-a))) then ''        else if ($tsnomed-id-a = 'amtv3' and exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-a = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-a/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-a" select="if (not(exists($snomed-trans-a))) then false()        else if ($tsnomed-id-a = 'amtv3' and $snomed-trans-a/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-a = 'snomedctau' and $snomed-trans-a/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-a-msg" select="if (not(exists($snomed-trans-a))) then ''        else if (not($snomed-trans-a/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-a, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-a = 'amtv3') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-a = 'snomedctau') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-a/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-a, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-a/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-a-refsets-1" select="if (exists($snomed-trans-a) and not($tcode-a = ''))         then dh:FindValueDomainsForCode($tcode-a, '2.16.840.1.113883.6.96', $v-tsnomed-version-a) else 'no-code' " />
    <xsl:variable name="tcode-a-found" select="not($tcode-a-refsets-1 = 'no-code' or $tcode-a-refsets-1 = 'CodeNotFound' or $tcode-a-refsets-1 = 'Error'         or contains($tcode-a-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-a-refsets" select="if ($tcode-a-found) then distinct-values(tokenize($tcode-a-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-a-special-proc" select="count($tcode-a-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-a-refsets and not($tnullFlavor-a = 'OTH') " />
    <xsl:variable name="tcode-a-refsets-msg" select="if (count($tcode-a-refsets) = 0) then ''         else if (count($tcode-a-refsets) = 1) then concat('The code is a member of the ', $tcode-a-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-a-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@code and $snomed-trans-a/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-a/@displayName, codepoints-to-string(34))         else if ($snomed-trans-a/@code and not($snomed-trans-a/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@codeSystem and $snomed-trans-a/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-a/@codeSystemName, ')')         else if ($snomed-trans-a/@codeSystem and not($snomed-trans-a/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-b" select="(for $i in (2 to count($snomed-trans-1)) return if ($snomed-trans-1[$i]/@code != $snomed-trans-a/@code) then $snomed-trans-1[$i] else ())[1] " />
    <xsl:variable name="tcode-b" select="if (exists($snomed-trans-b) and matches($snomed-trans-b/@code, $snomed-code-regex)) then $snomed-trans-b/@code else '' " />
    <xsl:variable name="tnullFlavor-b" select="if (exists($snomed-trans-b) and $snomed-trans-b/@nullFlavor) then $snomed-trans-b/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-b" select="if (not(exists($snomed-trans-b))) then 'not-snomed'        else if (not($snomed-trans-b/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-b/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-b" select="if (not(exists($snomed-trans-b))) then ''        else if ($tsnomed-id-b = 'amtv3' and exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-b = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-b/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-b" select="if (not(exists($snomed-trans-b))) then false()        else if ($tsnomed-id-b = 'amtv3' and $snomed-trans-b/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-b = 'snomedctau' and $snomed-trans-b/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-b-msg" select="if (not(exists($snomed-trans-b))) then ''        else if (not($snomed-trans-b/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-b, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-b = 'amtv3') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-b = 'snomedctau') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-b/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-b, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-b/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-b-refsets-1" select="if (exists($snomed-trans-b) and not($tcode-b = ''))         then dh:FindValueDomainsForCode($tcode-b, '2.16.840.1.113883.6.96', $v-tsnomed-version-b) else 'no-code' " />
    <xsl:variable name="tcode-b-found" select="not($tcode-b-refsets-1 = 'no-code' or $tcode-b-refsets-1 = 'CodeNotFound' or $tcode-b-refsets-1 = 'Error'         or contains($tcode-b-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-b-refsets" select="if ($tcode-b-found) then distinct-values(tokenize($tcode-b-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-b-special-proc" select="count($tcode-b-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-b-refsets and not($tnullFlavor-b = 'OTH') " />
    <xsl:variable name="tcode-b-refsets-msg" select="if (count($tcode-b-refsets) = 0) then ''         else if (count($tcode-b-refsets) = 1) then concat('The code is a member of the ', $tcode-b-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-b-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@code and $snomed-trans-b/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-b/@displayName, codepoints-to-string(34))         else if ($snomed-trans-b/@code and not($snomed-trans-b/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@codeSystem and $snomed-trans-b/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-b/@codeSystemName, ')')         else if ($snomed-trans-b/@codeSystem and not($snomed-trans-b/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-60" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-60 else $rating-alt-TC-Types-60 " />
    <!--REPORT -->
    <xsl:if test=" $pcode-found and $pcode-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pcode-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD (p-TS-CD-SCT-RefSet): An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$pcode" /><xsl:text />',
		codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-psnomed-version" /><xsl:text />'. This error occurred when assessing the Diagnosis Name data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Diagnosis Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. The value is not valid for the data element as it describes a medical
		procedure and not a medical problem or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the diagnosis or problem experienced by the         consumer. (See section 3.5 of the Specialist Letter Structured Content Specification v1.1.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and   not(exists(index-of(for $refset in ('Problem Diagnosis (PD)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and not(exists(index-of(for $refset in ('Problem Diagnosis (PD)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Diagnosis Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the code is not a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Problem/Diagnosis reference set (Concept Id: 32570581000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         DIAGNOSIS section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and   not(exists(index-of(for $refset in ('Problem Diagnosis (PD)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and not(exists(index-of(for $refset in ('Problem Diagnosis (PD)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Diagnosis Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Problem/Diagnosis reference set (Concept Id: 32570581000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         DIAGNOSIS section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and   exists(index-of(for $refset in ('Problem Diagnosis (PD)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and exists(index-of(for $refset in ('Problem Diagnosis (PD)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Diagnosis Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Problem/Diagnosis reference set (Concept Id: 32570581000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         DIAGNOSIS section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and   exists(index-of(for $refset in ('Problem Diagnosis (PD)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and exists(index-of(for $refset in ('Problem Diagnosis (PD)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Diagnosis Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. Confirm if the code is a member of the value domain.
		If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Problem/Diagnosis reference set (Concept Id: 32570581000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         DIAGNOSIS section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Diagnosis Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="count($snomed-trans-1)" /><xsl:text /> translation elements with
		codes and the SNOMED CT-AU codeSystem '2.16.840.1.113883.6.96'. The first two translation elements have been assessed to determine if the codes are members of the value domain
		and the others have not been assessed. Confirm if the value of the code attribute in all SNOMED CT translation elements meets the requirement that it be a member of the value domain
		if there is no nullFlavor 'OTH' or that there is a nullFlavor 'OTH' if the value of the code attribute is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Problem/Diagnosis reference set (Concept Id: 32570581000036105).')" /><xsl:text /> 
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         DIAGNOSIS section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-a" /><xsl:text />'. This error occurred when assessing the Diagnosis Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Diagnosis Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the diagnosis or problem experienced by the         consumer. (See section 3.5 of the Specialist Letter Structured Content Specification v1.1.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and   not(exists(index-of(for $refset in ('Problem Diagnosis (PD)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and not(exists(index-of(for $refset in ('Problem Diagnosis (PD)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Diagnosis Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Problem/Diagnosis reference set (Concept Id: 32570581000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         DIAGNOSIS section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and   not(exists(index-of(for $refset in ('Problem Diagnosis (PD)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and not(exists(index-of(for $refset in ('Problem Diagnosis (PD)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Diagnosis Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Problem/Diagnosis reference set (Concept Id: 32570581000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         DIAGNOSIS section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and   exists(index-of(for $refset in ('Problem Diagnosis (PD)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and exists(index-of(for $refset in ('Problem Diagnosis (PD)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Diagnosis Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Problem/Diagnosis reference set (Concept Id: 32570581000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         DIAGNOSIS section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and   exists(index-of(for $refset in ('Problem Diagnosis (PD)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and exists(index-of(for $refset in ('Problem Diagnosis (PD)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Diagnosis Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Problem/Diagnosis reference set (Concept Id: 32570581000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         DIAGNOSIS section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-b" /><xsl:text />'. This error occurred when assessing the Diagnosis Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Diagnosis Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> 
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the diagnosis or problem experienced by the         consumer. (See section 3.5 of the Specialist Letter Structured Content Specification v1.1.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and   not(exists(index-of(for $refset in ('Problem Diagnosis (PD)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and not(exists(index-of(for $refset in ('Problem Diagnosis (PD)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Diagnosis Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Problem/Diagnosis reference set (Concept Id: 32570581000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         DIAGNOSIS section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and   not(exists(index-of(for $refset in ('Problem Diagnosis (PD)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and not(exists(index-of(for $refset in ('Problem Diagnosis (PD)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Diagnosis Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Problem/Diagnosis reference set (Concept Id: 32570581000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         DIAGNOSIS section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and   exists(index-of(for $refset in ('Problem Diagnosis (PD)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and exists(index-of(for $refset in ('Problem Diagnosis (PD)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Diagnosis Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Problem/Diagnosis reference set (Concept Id: 32570581000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         DIAGNOSIS section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and   exists(index-of(for $refset in ('Problem Diagnosis (PD)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and exists(index-of(for $refset in ('Problem Diagnosis (PD)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Problem Diagnosis (PD)')) = 1 and 'Problem Diagnosis (PD)' = ('Problem Diagnosis (PD)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Diagnosis Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Problem/Diagnosis reference set (Concept Id: 32570581000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         DIAGNOSIS section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M894" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M894" />
  <xsl:template match="@*|node()" priority="-2" mode="M894">
    <xsl:apply-templates select="@*|*" mode="M894" />
  </xsl:template>
  <!--PATTERN p-TS-Response-CodeableText-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '101.16611' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16611']]/cda:entry/   cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]/cda:value[(@codeSystem = '2.16.840.1.113883.6.96' and    not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-diag-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])][not(@nullFlavor = $no-value-NF)]   [not(cda:originalText and (    ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))      or    (string-length(cda:originalText) &gt; $length-err-max and matches(cda:originalText, $unicode-br-regex)) or    (matches(cda:originalText, '^\W*(Dear\W+Doctor|Dear\W+Dr|Thank\W+you)', 'is'))      ))] " priority="1000" mode="M895">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '101.16611' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16611']]/cda:entry/   cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]/cda:value[(@codeSystem = '2.16.840.1.113883.6.96' and    not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-diag-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])][not(@nullFlavor = $no-value-NF)]   [not(cda:originalText and (    ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))      or    (string-length(cda:originalText) &gt; $length-err-max and matches(cda:originalText, $unicode-br-regex)) or    (matches(cda:originalText, '^\W*(Dear\W+Doctor|Dear\W+Dr|Thank\W+you)', 'is'))      ))] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="snomed-trans" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="tcode" select="if (exists($snomed-trans[1]) and matches($snomed-trans[1]/@code, $snomed-code-regex)) then $snomed-trans[1]/@code else '' " />
    <xsl:variable name="code-present" select="$pcode != '' or $tcode != '' " />
    <xsl:variable name="invalid-code-system" select="@code and @displayName and @codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="codesystemvalues" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']" />
    <xsl:variable name="text-1" select="if (. != '') then replace(., '^[0-9]*xsitype(ED|ST)', '') else '' " />
    <xsl:variable name="text-2" select="if ($text-1 = '') then ''        else if (matches($text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $text-1 " />
    <xsl:variable name="text-without-markup" select="if (cda:originalText and cda:originalText != '') then replace(cda:originalText, $markup-regex, ' ')         else if ($text-2 != '') then normalize-space(replace($text-2, $markup-regex, ' '))         else '' " />
    <xsl:variable name="pdname" select="if (@displayName and not($invalid-code-system)) then @displayName else '' " />
    <xsl:variable name="max-code-number" select="if ($knowledge/search-for-term/max-sct-code-number/@value &gt; '5') then $knowledge/search-for-term/max-sct-code-number/@value else '5' " />
    <xsl:variable name="der-text-1" select="if ($code-present) then ''         else if ($text-without-markup != '') then $text-without-markup        else if ($pdname != '') then $pdname        else '' " />
    <xsl:variable name="is-problem-diagnosis" select="$der-text-1 != '' and local-name(.) = 'value' and local-name(..) = 'observation' " />
    <xsl:variable name="is-procedure" select="$der-text-1 != '' and local-name(.) = 'code' and local-name(..) = 'procedure' " />
    <xsl:variable name="is-uncategorised" select="$der-text-1 != '' and local-name(.) = 'text' " />
    <xsl:variable name="uncat-embedded-comment" select="if ($is-uncategorised and matches($text-1, '^(.*?,?\s*Comments:)(.*?)(,?\s*(StartTime:|Effective Date:).*)$', 's'))         then normalize-space(replace($text-1, '^(.*?,?\s*Comments:)(.*?)(,?\s*(StartTime:|Effective Date:).*)$', '$2', 's'))        else '' " />
    <xsl:variable name="uncat-embedded-dt" select="if ($is-uncategorised and matches($text-1, '^(.*?,?\s*Effective Date:)(.*?)$', 's'))         then normalize-space(replace($text-1, '^(.*?,?\s*Effective Date:)(.*?)$', '$2', 's'))        else '' " />
    <xsl:variable name="uncat-embedded-start" select="if ($is-uncategorised and matches($text-1, '^(.*?,?\s*(StartTime|From):)(.*?)(,?\s*(EndTime|To):.*?)$', 's'))         then normalize-space(replace($text-1, '^(.*?,?\s*(StartTime|From):)(.*?)(,?\s*(EndTime|To):.*?)$', '$3', 's'))        else '' " />
    <xsl:variable name="uncat-embedded-end" select="if ($is-uncategorised and matches($text-1, '^(.*?,?\s*(EndTime|To):)(.*?)$', 's'))         then normalize-space(replace($text-1, '^(.*?,?\s*(EndTime|To):)(.*?)$', '$3', 's'))        else '' " />
    <xsl:variable name="uncat-embedded-error" select="$uncat-embedded-comment != '' or $uncat-embedded-dt != '' or $uncat-embedded-start != '' or $uncat-embedded-end != '' " />
    <xsl:variable name="negated-err" select="if ($uncat-embedded-error) then false() else matches($der-text-1, '\?\s*no(^[a-z]|$)', 'is') " />
    <xsl:variable name="family-err" select="$family-regex != '' and not(matches($der-text-1, '(^|\s)(small|white\s*cell\s*count)(\s|$)', 'is')) and matches($der-text-1, $family-regex, 'is')" />
    <xsl:variable name="der-truncated-text-1" select="normalize-space(replace(replace($der-text-1, $unicode-br-truncation-regex, '$1', 'is'), $diag-proc-truncation-regex, '$1', 'is')) " />
    <xsl:variable name="length-err" select="string-length($der-truncated-text-1) &gt; $length-err-max" />
    <xsl:variable name="prose-err-1" select="$length-err and cda:originalText and (        matches(cda:originalText, $ulist-regex)           or         matches(cda:originalText, $alt-ulist-1a-regex, 'is')         or         matches(cda:originalText, $alt-ulist-1b-regex, 'is')         )" />
    <xsl:variable name="prose-err" select="$prose-err-1 or (cda:originalText and (               matches(cda:originalText, '^\W*(Dear\W+Doctor|Dear\W+Dr|Thank\W+you)', 'is')      or        ($length-err and matches(cda:originalText, '\.\s*$', 's') and matches(cda:originalText, $multi-sentence-regex, 's')) or        matches(cda:originalText, $alt-ulist-2-regex, 'is')          or        matches(cda:originalText, $olist-arabic-regex, 'is')          or         matches(cda:originalText, $olist-alpha-regex, 'is')          or         matches(cda:originalText, $olist-roman-regex, 'is')          or        matches(replace(cda:originalText, $new-line-regex, codepoints-to-string((10)), 'is'), $para-regex, 'is')  or        matches(cda:originalText, codepoints-to-string((8233)), 'is')         or               (cda:originalText and matches(cda:originalText, $invalid-concept-regex, 'is'))      ))  or              ($text-2 != '' and matches($text-2, $invalid-concept-regex, 'is'))        " />
    <xsl:variable name="avoid-ts" select="$family-err or $length-err or $prose-err or $negated-err or not($use-ts-for-sctau) " />
    <xsl:variable name="typo-replacements" select="if ($der-truncated-text-1 = '' or $uncat-embedded-error) then ''         else if ($is-problem-diagnosis and not($diag-typo = '')) then $diag-typo        else if ($is-procedure and not($proc-typo = '')) then $proc-typo        else if ($is-uncategorised and not($diag-typo = '') and not($proc-typo = '')) then concat($diag-typo, '~', $proc-typo)        else if ($is-uncategorised and $diag-typo = '' and not($proc-typo = '')) then $proc-typo        else if ($is-uncategorised and not($diag-typo = '') and $proc-typo = '') then $diag-typo        else '' " />
    <xsl:variable name="diag-proc-fir-pattern-replacement" select="if ($uncat-embedded-error) then ''           else if ($typo-replacements = '') then concat($diag-proc-fir-1, '~', $month-replacements)           else concat($diag-proc-fir-1, '~', $typo-replacements, '~', $month-replacements) " />
    <xsl:variable name="der-text-2a" select="if ($der-truncated-text-1 = '' or $uncat-embedded-error or $negated-err) then ''         else normalize-space(dh:XQueryRecursiveReplace(         replace(if ($is-procedure or $is-uncategorised) then replace($der-truncated-text-1, '^(.*?[a-z]+.*?)(\?.*?)$', '$1', 'is')            else $der-truncated-text-1,           concat('^(.*?[a-z]+.*?\s+)', $unicode-dash-regex, '(\s+.*?)$'), '$1', 'is'),           $diag-proc-fir-pattern-replacement, 'ic')) " />
    <xsl:variable name="der-text-2" select="if ($der-text-2a = '') then $der-truncated-text-1 else $der-text-2a " />
    <xsl:variable name="diag-proc-sec-pattern-replacement" select="if ($uncat-embedded-error or $negated-err or $der-text-2 = '') then ''           else if ($is-problem-diagnosis and not($diag-replacements = '')) then $diag-replacements          else if ($is-procedure and not($proc-replacements = '')) then $proc-replacements          else if ($is-uncategorised and not($diag-replacements = '') and not($proc-replacements = ''))            then concat($diag-replacements, '~', $proc-replacements)          else if ($is-uncategorised and $diag-replacements = '' and not($proc-replacements = ''))            then $proc-replacements          else if ($is-uncategorised and not($diag-replacements = '') and $proc-replacements = '')            then $diag-replacements          else '' " />
    <xsl:variable name="der-text-3a" select="if ($uncat-embedded-error or $negated-err or $der-text-2 = '' or $diag-proc-sec-pattern-replacement = '') then ''         else dh:XQueryRecursiveReplace($der-text-2, $diag-proc-sec-pattern-replacement, 'ic') " />
    <xsl:variable name="der-text-3" select="if ($der-text-3a = '') then $der-text-2 else $der-text-3a " />
    <xsl:variable name="der-text-a" select="normalize-space(replace(dh:XQueryRecursiveReplace($der-text-3, '(^|[^a-z])r([^a-z]|$)~$1 right $2~(^|[^a-z])l([^a-z]|$)~$1 left $2', 'ic'),          '([a-z])''s', '$1', 'i')) " />
    <xsl:variable name="der-text" select="if ($der-text-a = '') then $der-text-3 else $der-text-a " />
    <xsl:variable name="defn-valid-regex" select="concat('(^|\|)', translate($der-text-2, $chars-to-remove, ''), '(\||$)') " />
    <xsl:variable name="der-text-to-match-1" select="lower-case($der-text-2) " />
    <xsl:variable name="der-text-to-match" select="translate($der-text-to-match-1, $chars-to-remove, '') " />
    <xsl:variable name="der-text-non-value" select="if ($code-present or $uncat-embedded-error or $negated-err or @nullFlavor = $no-value-NF) then false()        else if ($der-text-to-match = '' or not(matches($der-text-to-match-1, '[a-z]', 'i')) or         ($cd-definitions/non-value/@regex != '' and matches($der-text-to-match-1, $cd-definitions/non-value/@regex, 'i'))) then true()         else if ($is-problem-diagnosis) then          exists($cd-definitions/diag/@non-value-regex) and matches($der-text-to-match-1, $cd-definitions/diag/@non-value-regex, 'i')        else if ($is-procedure) then          exists($cd-definitions/proc/@non-value-regex) and matches($der-text-to-match-1, $cd-definitions/proc/@non-value-regex, 'i')        else if ($is-uncategorised) then          (exists($cd-definitions/diag/@non-value-regex) and matches($der-text-to-match-1, $cd-definitions/diag/@non-value-regex, 'i')) or         (exists($cd-definitions/proc/@non-value-regex) and matches($der-text-to-match-1, $cd-definitions/proc/@non-value-regex, 'i'))        else false() " />
    <xsl:variable name="defn-common-inv-regex" select="if ($code-present or $uncat-embedded-error or $negated-err or $der-text-non-value or not($cd-definitions/diag-proc/@invalid-regex)) then ()        else tokenize($cd-definitions/diag-proc/@invalid-regex, '~') " />
    <xsl:variable name="defn-diag-inv-regex" select="if ($code-present or $uncat-embedded-error or $negated-err or $der-text-non-value or not($is-problem-diagnosis) or          not($cd-definitions/diag/@invalid-regex)) then ()        else tokenize($cd-definitions/diag/@invalid-regex, '~') " />
    <xsl:variable name="defn-proc-inv-regex" select="if ($code-present or $uncat-embedded-error or $negated-err or $der-text-non-value or not($is-procedure) or          not($cd-definitions/proc/@invalid-regex)) then ()        else tokenize($cd-definitions/proc/@invalid-regex, '~') " />
    <xsl:variable name="defn-invalid-regex" select="($defn-common-inv-regex, $defn-diag-inv-regex, $defn-proc-inv-regex)[. != ''] " />
    <xsl:variable name="defn-invalid-txt-regex" select="(for $i in (1 to count($defn-invalid-regex)) return normalize-space(substring-before($defn-invalid-regex[$i], '[[')))[. != '']" />
    <xsl:variable name="der-invalid-text-regex-1" select="if (exists($defn-invalid-txt-regex))        then index-of(for $i in (1 to count($defn-invalid-txt-regex)) return matches($der-text-2, $defn-invalid-txt-regex[$i], 'i'), true())        else () " />
    <xsl:variable name="der-invalid-text" select="exists($der-invalid-text-regex-1) or $uncat-embedded-error " />
    <xsl:variable name="defn-invalid-rsn" select="if ($der-invalid-text)         then normalize-space(substring-before(substring-after($defn-invalid-regex[$der-invalid-text-regex-1[1]], '[['), ']]'))         else '' " />
    <xsl:variable name="try-immun" select="not($der-text = '' or $negated-err or $der-text-non-value or $der-invalid-text) and         /cda:ClinicalDocument/cda:code[@codeSystem = '2.16.840.1.113883.6.1' and @code = ('60591-5', '34133-9')] " />
    <xsl:variable name="an-immun-1" select="$try-immun and matches($der-text, '(^|[^a-z])(immunizations?|immunisations?)([^a-z]|$)', 'i') " />
    <xsl:variable name="an-immun-2" select="$try-immun and ($an-immun-1 or (exists($vaccine-text-normalised) and $der-text-to-match = $vaccine-text-normalised)) " />
    <xsl:variable name="try-adverse" select="not($der-text = '' or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2) and         /cda:ClinicalDocument/cda:code[@codeSystem = '2.16.840.1.113883.6.1' and @code = ('60591-5', '34133-9', '57133-1', '18842-5', '51852-2')] " />
    <xsl:variable name="an-adverse-1" select="$try-adverse and matches($der-text, '(^|[^a-z])(ADR?|adverse drug reactions?|adverse reactions?)([^a-z]|$)', 'i') " />
    <xsl:variable name="trusted-code-systems" select="if ($der-text = '' or $der-invalid-text or $an-immun-2 or not(@codeSystem or cda:translation/@codeSystem)) then ()        else if ($is-problem-diagnosis)         then (tokenize(replace($cd-definitions/diag/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/diag/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-procedure)         then (tokenize(replace($cd-definitions/proc/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/proc/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-uncategorised)         then (tokenize(replace($cd-definitions/diag/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/diag/@extra, '\s+', ''), '\|'),         tokenize(replace($cd-definitions/proc/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/proc/@extra, '\s+', ''), '\|'))[. != '']         else () " />
    <xsl:variable name="der-trusted-text" select="if ($der-text = '' or $der-invalid-text or (@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex)))) then false()        else ((@codeSystem and exists($trusted-code-systems[. = current()/@codeSystem])) or               (cda:translation/@codeSystem and exists($trusted-code-systems[. = current()/cda:translation/@codeSystem]))) " />
    <xsl:variable name="a-disease" select="if ($is-procedure or $code-present or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2 or $der-text-to-match = '')          then false()        else $der-text-to-match = (for $disease in tokenize(string-join($vaccine-codes/@disease, '|'), '\|')          return translate(normalize-space(lower-case($disease)), $chars-to-remove, '')) " />
    <xsl:variable name="valid-diag-1" select="if ($a-disease) then true()        else if ($is-procedure or $code-present or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2 or          not($cd-definitions/diag/@valid-regex)) then false()        else exists(index-of(for $regex in (tokenize($cd-definitions/diag/@valid-regex, '~')[. != '']) return          matches($der-text-2, dh:XQueryRecursiveReplace(normalize-space($regex), ' \|~|~\| ~|', ''), 'is'), true())) " />
    <xsl:variable name="valid-proc-1" select="if ($is-problem-diagnosis or $code-present or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2 or         not($cd-definitions/proc/@valid-regex)) then false()        else exists(index-of(for $regex in (tokenize($cd-definitions/proc/@valid-regex, '~')[. != '']) return          matches($der-text-2, dh:XQueryRecursiveReplace(normalize-space($regex), ' \|~|~\| ~|', ''), 'is'), true())) " />
    <xsl:variable name="valid-diag-proc-1" select="if ($is-problem-diagnosis) then $valid-diag-1        else if ($is-procedure) then $valid-proc-1        else if ($is-uncategorised) then $valid-diag-1 or $valid-proc-1        else false() " />
    <xsl:variable name="the-invalid-h" select="if ($der-text = '' or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2) then ()        else if ($is-problem-diagnosis) then $cd-definitions/diag/diag-invalid/hierarchy        else if ($is-procedure) then $cd-definitions/proc/proc-invalid/hierarchy        else if ($is-uncategorised) then $cd-definitions/diag-proc/diag-proc-invalid/hierarchy        else () " />
    <xsl:variable name="invalid-hierarchy-1" select=" if (exists($the-invalid-h)) then string-join(for $hierarchy in $the-invalid-h return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-refset" select="if ($der-text = '' or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2) then ''        else if ($is-problem-diagnosis) then $diag-invalid-refset         else if ($is-procedure) then $proc-invalid-refset         else if ($is-uncategorised) then $diag-proc-invalid-refset         else '' " />
    <xsl:variable name="valid-refset" select="if ($der-text = '' or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2) then ''        else if ($is-problem-diagnosis) then '^32570581000036105'         else if ($is-procedure) then '^32570141000036105'         else if ($is-uncategorised) then '(^32570581000036105 OR ^32570141000036105)'        else '' " />
    <xsl:variable name="valid-domain" select="if ($der-text = '' or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2) then ''        else if ($invalid-refset != '' and $invalid-hierarchy-1 != '')         then concat('((', $valid-refset, ') MINUS (', $invalid-refset, ' OR (', $invalid-hierarchy-1, ')))')        else if ($invalid-refset = '' and $invalid-hierarchy-1 != '') then concat('((', $valid-refset, ') MINUS (', $invalid-hierarchy-1, '))')         else if ($invalid-refset != '' and $invalid-hierarchy-1 = '') then concat('((', $valid-refset, ') MINUS (', $invalid-refset, '))')        else concat('(', $valid-refset, ')') " />
    <xsl:variable name="der-text-2-laterality" select="if ($der-text-2 = '' or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2 or $valid-diag-proc-1 or        $laterality-regex = '' or not(matches($der-text-2, $laterality-regex, 'is'))) then ''        else replace($der-text-2, $laterality-regex, '$1 $3', 'is') " />
    <xsl:variable name="defn-laterality-regex" select="if ($der-text-2-laterality = '') then '' else concat('(^|\|)', translate($der-text-2-laterality, $chars-to-remove, ''), '(\||$)') " />
    <xsl:variable name="related-terms-1" select="if ($der-text = '' or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2 or $valid-diag-proc-1) then ()        else ($codesystemvalues/code[@related-terms], $codesystemvalues/related-terms[@related-terms]) " />
    <xsl:variable name="related-terms-2" select="for $i in index-of(for $concept in $related-terms-1 return         matches(translate($concept/@related-terms, $chars-no-pipe, ''), $defn-valid-regex, 'is') or        ($defn-laterality-regex != '' and matches(translate($concept/@related-terms, $chars-no-pipe, ''), $defn-laterality-regex, 'is')), true())         return $related-terms-1[$i]/@code " />
    <xsl:variable name="der-diag-proc-codes-1" select="if (exists($related-terms-2)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($related-terms-2, ' OR '), ') AND ', $valid-domain), '', string(count($related-terms-2)), false())        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $der-diag-proc-codes-1 " />
    <xsl:variable name="der-valid-codes-1" select="if (contains($der-diag-proc-codes-1, '[')) then $der-diag-proc-codes-1 else '' " />
    <xsl:variable name="valid-diag-proc-2" select="$valid-diag-proc-1 or $der-valid-codes-1 != '' " />
    <xsl:variable name="invalid-inactive-refset" select="if ($der-text = '' or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2) then ''        else if ($is-problem-diagnosis) then $diag-invalid-inactive-refset         else if ($is-procedure) then $proc-invalid-inactive-refset         else if ($is-uncategorised) then $diag-proc-invalid-inactive-refset         else '' " />
    <xsl:variable name="diag-proc-inactive-refSets" select="if ($invalid-inactive-refset = '') then $inactive-refSets         else concat('((', $inactive-refSets, ') MINUS (', $invalid-inactive-refset, '))') " />
    <xsl:variable name="formula" select="concat($valid-domain, ' OR ', $diag-proc-inactive-refSets) " />
    <xsl:variable name="ts-not-needed" select="$der-text = '' or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2 or $valid-diag-proc-2 or $avoid-ts " />
    <xsl:variable name="der-diag-proc-codes-2-a" select="if ($ts-not-needed or exists($related-terms-2)) then ()         else tokenize(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-text,          'default'), '\|') " />
    <xsl:variable name="error-usingTS-2-a" select="$error-usingTS-1 or 'Error' = $der-diag-proc-codes-2-a " />
    <xsl:variable name="revision-pattern-1" select="if ($ts-not-needed or $valid-diag-proc-2 or exists($der-diag-proc-codes-2-a) or exists($related-terms-2) or $error-usingTS-2-a) then ''        else if ($no-qual-pattern = '') then concat($laterality-regex, '~$1 $3')        else concat($laterality-regex, '~$1 $3~',  $no-qual-pattern) " />
    <xsl:variable name="der-revised-text-1" select="if ($revision-pattern-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-text, $revision-pattern-1, 'ic')) " />
    <xsl:variable name="use-revised-text-1" select="$der-revised-text-1 != '' and $der-revised-text-1 != $der-text " />
    <xsl:variable name="der-diag-proc-codes-2-b" select="if ($ts-not-needed or exists($der-diag-proc-codes-2-a) or not($use-revised-text-1)) then $der-diag-proc-codes-2-a         else tokenize(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-1,          'default'), '\|') " />
    <xsl:variable name="error-usingTS-2-b" select="$error-usingTS-2-a or 'Error' = $der-diag-proc-codes-2-b " />
    <xsl:variable name="revision-pattern-2" select="if ($ts-not-needed or $valid-diag-proc-2 or exists($der-diag-proc-codes-2-b) or exists($related-terms-2) or $error-usingTS-2-b) then ''        else if ($is-problem-diagnosis and not($diag-sec-replacements = '')) then $diag-sec-replacements        else if ($is-procedure and not($proc-sec-replacements = '')) then $proc-sec-replacements        else if ($is-uncategorised and not($diag-sec-replacements = '') and not($proc-sec-replacements = ''))          then concat($diag-sec-replacements, '~', $proc-sec-replacements)        else if ($is-uncategorised and $diag-sec-replacements = '' and not($proc-sec-replacements = '')) then $proc-sec-replacements        else if ($is-uncategorised and not($diag-sec-replacements = '') and $proc-sec-replacements = '') then $diag-sec-replacements        else '' " />
    <xsl:variable name="der-revised-text-2" select="if ($revision-pattern-2 = '') then ''         else normalize-space(dh:XQueryRecursiveReplace(if ($use-revised-text-1) then $der-revised-text-1 else $der-text, $revision-pattern-2, 'ic')) " />
    <xsl:variable name="use-revised-text-2" select="if ($use-revised-text-1) then $der-revised-text-2 != '' and $der-revised-text-2 != $der-revised-text-1         else $der-revised-text-2 != '' and $der-revised-text-2 != $der-text " />
    <xsl:variable name="der-diag-proc-codes-2-c" select="if ($ts-not-needed or exists($der-diag-proc-codes-2-b) or not($use-revised-text-2)) then $der-diag-proc-codes-2-b        else tokenize(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-2,          'default'), '\|') " />
    <xsl:variable name="error-usingTS-2-c" select="$error-usingTS-2-b or 'Error' = $der-diag-proc-codes-2-c " />
    <xsl:variable name="text-for-revision-3" select="if ($use-revised-text-2) then $der-revised-text-2 else if ($use-revised-text-1) then $der-revised-text-1 else $der-text " />
    <xsl:variable name="base-pattern-3" select="if ($ts-not-needed or $valid-diag-proc-2 or exists($der-diag-proc-codes-2-c) or exists($related-terms-2) or $error-usingTS-2-c or        matches($text-for-revision-3, '^[A-Z]+$')) then ''        else '(^|[^a-z])[a-z]{1}([^a-z]|$)~$1$2~(^|[^/0-9])[0-9]{1}([^0-9]|$)~$1$2' " />
    <xsl:variable name="revision-pattern-3" select="if ($base-pattern-3 = '') then ''        else if (matches($der-truncated-text-1, $conjunction-regex, 'is'))         then concat($base-pattern-3, '~^(.+?)(', normalize-space(dh:XQueryRecursiveReplace(         replace($der-truncated-text-1, $conjunction-regex, '$3', 'is'), $diag-proc-fir-pattern-replacement, 'ic')), '.*?)$~$1')         else $base-pattern-3 " />
    <xsl:variable name="der-revised-text-3" select="if ($revision-pattern-3 = '') then ''        else dh:XQueryRecursiveReplace($text-for-revision-3, $revision-pattern-3, 'ic') " />
    <xsl:variable name="use-revised-text-3" select="if ($use-revised-text-2) then $der-revised-text-3 != '' and $der-revised-text-3 != $der-revised-text-2         else if ($use-revised-text-1) then $der-revised-text-3 != '' and $der-revised-text-3 != $der-revised-text-1         else $der-revised-text-3 != '' and $der-revised-text-3 != $der-text " />
    <xsl:variable name="der-diag-proc-codes-2-d" select="if ($ts-not-needed or exists($der-diag-proc-codes-2-c) or not($use-revised-text-3)) then $der-diag-proc-codes-2-c        else tokenize(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-3,          'default'), '\|') " />
    <xsl:variable name="error-usingTS-2-d" select="$error-usingTS-2-c or 'Error' = $der-diag-proc-codes-2-d " />
    <xsl:variable name="der-diag-proc-codes-2-e" select="$der-diag-proc-codes-2-d " />
    <xsl:variable name="error-usingTS-2-e" select="$error-usingTS-2-d " />
    <xsl:variable name="der-diag-proc-codes-2" select="if ($ts-not-needed or $error-usingTS-2-e or not(exists($der-diag-proc-codes-2-e)) or $der-valid-codes-1 != '') then ()        else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join(for $code in $der-diag-proc-codes-2-e return replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is'), ' OR '), ') AND (',          $formula, ')'), '', string(count($der-diag-proc-codes-2-e)), false()), '\|') " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-2-e or 'Error' = $der-diag-proc-codes-2 " />
    <xsl:variable name="der-valid-codes-2" select="if ($der-valid-codes-1 != '') then $der-valid-codes-1        else if ($error-usingTS-2) then ''         else string-join((for $code in $der-diag-proc-codes-2 return if (contains($code, '~inactive')) then '' else $code)[. != ''], '|')  " />
    <xsl:variable name="valid-diag-proc-3" select="$valid-diag-proc-2 or $der-valid-codes-2 != '' " />
    <xsl:variable name="der-inactive-codes-1" select="if ($valid-diag-proc-3) then () else        for $code in $der-diag-proc-codes-2 return if (contains($code, '~inactive')) then replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is') else '' " />
    <xsl:variable name="der-inactive-codes-2" select="for $i in (1 to count($der-inactive-codes-1)) return         dh:IsCodeAssociatedWithAnotherCode($der-inactive-codes-1[$i], '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-1" select="'Error' = $der-inactive-codes-2 " />
    <xsl:variable name="der-NAF-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-NAF-active-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound~active')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-inactive-codes-3" select="tokenize(string-join(for $i in (1 to count($der-inactive-codes-1)) return replace(string-join(tokenize($der-inactive-codes-2[$i], '\|')        [matches(., '(REPLACED BY|SAME AS|ALTERNATIVE|POSSIBLY EQUIVALENT TO|MAY BE A|WAS A)')], '|'), '[0-9]+~[A-Z ]+~([0-9]+)', '$1'), '|'), '\|')        [. != ''] " />
    <xsl:variable name="der-diag-proc-codes-3" select="if (exists($der-inactive-codes-3)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($der-inactive-codes-3, ' OR '), ') AND ', $valid-domain), '', string(count($der-inactive-codes-3)), false())          else '' " />
    <xsl:variable name="error-usingTS-3" select="$error-usingTS-2 or 'Error' = $der-diag-proc-codes-3 " />
    <xsl:variable name="der-valid-codes-3" select="if ($der-valid-codes-2 != '') then $der-valid-codes-2        else if (contains($der-diag-proc-codes-3, '[')) then $der-diag-proc-codes-3        else '' " />
    <xsl:variable name="valid-diag-proc-4" select="$valid-diag-proc-3 or $der-valid-codes-3 != '' " />
    <xsl:variable name="the-tbd" select="if ($is-problem-diagnosis) then $cd-definitions/diag/diag-tbd/hierarchy        else if ($is-procedure) then $cd-definitions/proc/proc-tbd/hierarchy        else if ($is-uncategorised) then $cd-definitions/diag-proc/diag-proc-tbd/hierarchy        else () " />
    <xsl:variable name="the-invalid-r" select="if ($is-problem-diagnosis) then $cd-definitions/diag/diag-invalid/refset        else if ($is-procedure) then $cd-definitions/proc/proc-invalid/refset        else if ($is-uncategorised) then $cd-definitions/diag-proc/diag-proc-invalid/refset        else () " />
    <xsl:variable name="tbd-hierarchy" select="if (exists($the-tbd)) then string-join(for $hierarchy in $the-tbd return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-hierarchy" select="if ($invalid-hierarchy-1 != '' and $tbd-hierarchy != '') then concat($invalid-hierarchy-1, ' OR ', $tbd-hierarchy)        else if ($invalid-hierarchy-1 != '') then $invalid-hierarchy-1        else if ($tbd-hierarchy != '') then $tbd-hierarchy        else '' " />
    <xsl:variable name="invalid-domain" select="if ($invalid-hierarchy != '' and $invalid-refset != '') then concat($invalid-hierarchy, ' OR ', $invalid-refset)        else if ($invalid-hierarchy != '') then $invalid-hierarchy        else if ($invalid-refset != '') then $invalid-refset        else '' " />
    <xsl:variable name="filter-text" select="if ($use-revised-text-3) then $der-revised-text-3         else if ($use-revised-text-2) then $der-revised-text-2         else if ($use-revised-text-1) then $der-revised-text-1         else $der-text " />
    <xsl:variable name="der-diag-proc-codes-4" select="if ($ts-not-needed or $valid-diag-proc-4 or $invalid-domain = '') then ()        else if (exists($related-terms-2)) then $related-terms-2        else distinct-values((tokenize(replace(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          $invalid-domain, $filter-text, 'default'), '(\[.*?\])(\||$)', '$2'), '\|'), $der-inactive-codes-3)) " />
    <xsl:variable name="error-usingTS-4" select="$error-usingTS-3 or 'Error' = $der-diag-proc-codes-4 " />
    <xsl:variable name="invalid-diag-proc-codes-r" select="if ($ts-not-needed or $valid-diag-proc-4 or $error-usingTS-4 or not(exists($der-diag-proc-codes-4))) then ()        else if ($invalid-refset = '') then tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-diag-proc-codes-4, ' OR '), ') AND (', $inactive-refSets, ')'), '',           string(count($der-diag-proc-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')        else tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-diag-proc-codes-4, ' OR '), ') AND (', $invalid-refset, ' OR ', $inactive-refSets, ')'), '',           string(count($der-diag-proc-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')  " />
    <xsl:variable name="error-usingTS-5" select="$error-usingTS-4 or 'Error' = $invalid-diag-proc-codes-r " />
    <xsl:variable name="invalid-formula" select="if ($is-problem-diagnosis) then $diag-invalid-hierarchy         else if ($is-procedure) then $proc-invalid-hierarchy         else if ($is-uncategorised) then $diag-proc-invalid-hierarchy        else '' " />
    <xsl:variable name="der-diag-proc-codes-4-h" select="if ($error-usingTS-5) then () else $der-diag-proc-codes-4[not(. = $invalid-diag-proc-codes-r)]" />
    <xsl:variable name="invalid-diag-proc-codes-h" select="if ($ts-not-needed or $valid-diag-proc-4 or 'Error' = $der-diag-proc-codes-4 or $invalid-formula = '' or          not(exists($der-diag-proc-codes-4-h))) then ()        else (for $code in $der-diag-proc-codes-4-h return          if (dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;&gt;', $code, ' MINUS ', $invalid-formula), '', '1', false()) = '') then $code else '')[. != ''] " />
    <xsl:variable name="invalid-diag-proc-codes" select="($invalid-diag-proc-codes-h, $invalid-diag-proc-codes-r) " />
    <xsl:variable name="der-diag-proc-codes-5" select="$der-diag-proc-codes-4[not(. = $invalid-diag-proc-codes or . = 'Error')]" />
    <xsl:variable name="der-valid-codes-4" select="if ($der-valid-codes-3 != '') then $der-valid-codes-3        else if ($ts-not-needed or $valid-diag-proc-4 or $valid-domain = '' or not(exists($der-diag-proc-codes-5))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-diag-proc-codes-5, ' OR '), ') AND ', $valid-domain), '', string(count($der-diag-proc-codes-5)), false()) " />
    <xsl:variable name="error-usingTS-6" select="$error-usingTS-5 or 'Error' = $der-valid-codes-4 " />
    <xsl:variable name="valid-diag-proc-5" select="$valid-diag-proc-4 or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="der-valid-codes-seq" select="if ($error-usingTS-6) then () else tokenize(replace($der-valid-codes-4,  '(\[.*?\])(\||$)', '$2'), '\|') " />
    <xsl:variable name="proc-ivl-location" select="if ($is-uncategorised or $is-procedure) then ../cda:effectiveTime else () " />
    <xsl:variable name="proc-has-low-date" select="exists($proc-ivl-location[cda:low and not(cda:high)]) and ($is-uncategorised or               ($is-procedure and exists(/cda:ClinicalDocument/cda:templateId[         (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3') or          (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.4')])))  " />
    <xsl:variable name="proc-intervals" select="if (not($proc-has-low-date and $valid-diag-proc-5)) then ()        else if ($is-uncategorised) then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/         cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16627']]/cda:effectiveTime        else if ($is-procedure) then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/         cda:entry/cda:procedure/cda:effectiveTime        else () " />
    <xsl:variable name="proc-ivl-low" select="$proc-intervals/cda:low/@value " />
    <xsl:variable name="proc-ivl-value" select="$proc-intervals/@value " />
    <xsl:variable name="proc-ivl-high" select="$proc-intervals/cda:high/@value " />
    <xsl:variable name="assess-proc-short" select="$proc-has-low-date and count($proc-ivl-low) = count($proc-intervals) and count($proc-ivl-value) = 0 and count($proc-ivl-high) = 0 " />
    <xsl:variable name="diag-has-date" select="($is-uncategorised and exists(../cda:effectiveTime)) or              ($is-problem-diagnosis and exists(/cda:ClinicalDocument[cda:templateId[           (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3'))  or                         (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4'))  or           (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')   ]]) and exists(../cda:effectiveTime)) " />
    <xsl:variable name="diag-intervals" select="if (not($diag-has-date and $valid-diag-proc-5 and $is-uncategorised)) then ()        else ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/         cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16627']]/cda:effectiveTime " />
    <xsl:variable name="diag-onset" select="if (not($diag-has-date and $valid-diag-proc-5 and $is-problem-diagnosis)) then ()        else if (/cda:ClinicalDocument[cda:templateId[(@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3') or                   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.4') ]])          then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/          cda:entry/cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]/cda:effectiveTime/cda:low        else if (/cda:ClinicalDocument[cda:templateId[(@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2') or                   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.3') or                   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')   ]])         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/          cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]/cda:effectiveTime        else () " />
    <xsl:variable name="diag-remission" select="if (not($diag-has-date and $valid-diag-proc-5 and $is-problem-diagnosis)) then ()        else ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/         cda:entry/cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]/cda:entryRelationship[@typeCode='SUBJ']/         cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]/cda:value " />
    <xsl:variable name="diag-ivl-low" select="$diag-intervals/cda:low/@value " />
    <xsl:variable name="diag-ivl-value" select="$diag-intervals/@value " />
    <xsl:variable name="diag-ivl-high" select="$diag-intervals/cda:high/@value " />
    <xsl:variable name="assess-diag-ongoing" select="(exists($diag-ivl-low) and not(exists($diag-ivl-value)) and not(exists($diag-ivl-high))) or              (not(exists($diag-ivl-low)) and exists($diag-ivl-value) and not(exists($diag-ivl-high))) or              (not(exists($diag-ivl-low)) and not(exists($diag-ivl-value)) and exists($diag-ivl-high)) or              (exists($diag-onset) and not(exists($diag-remission)))     or              (not(exists($diag-onset)) and exists($diag-remission))     " />
    <xsl:variable name="code-num" select="if ($assess-proc-short or $assess-diag-ongoing) then count($der-valid-codes-seq) else 0 " />
    <xsl:variable name="best-match-ratio" select=" 1.0 " />
    <xsl:variable name="comparison" select="if ($code-num &gt; 0)         then distinct-values(tokenize(normalize-space(translate(lower-case($der-text), $chars-no-space, '')), ' ')) else () " />
    <xsl:variable name="comparison-count" select="count($comparison) " />
    <xsl:variable name="der-valid-code-pterm" select="if ($code-num &gt; 0) then tokenize($der-valid-codes-4, '\|') else () " />
    <xsl:variable name="code-terms" select="if ($code-num &gt; 0) then for $x in $der-valid-code-pterm return          normalize-space(dh:XQueryRecursiveReplace(dh:XQueryRecursiveReplace(translate(lower-case(replace($x, '^([0-9]+\[)(.*?)(\]$)', '$2')),          $chars-no-space, ''), $diag-proc-fir-pattern-replacement, 'ic'), $diag-proc-sec-pattern-replacement, 'ic')) else () " />
    <xsl:variable name="code-term-num" select="count($code-terms) " />
    <xsl:variable name="code-term-count" select="if ($code-term-num &gt; 0) then for $i in (1 to $code-term-num) return count(distinct-values(tokenize($code-terms[$i], ' '))) else () " />
    <xsl:variable name="best-matches" select="(for $j in (1 to $code-term-num) return               if (           (            (             $comparison-count + $code-term-count[$j] - count(distinct-values(($comparison, tokenize($code-terms[$j], ' '))))            ) div $comparison-count            +            (             $comparison-count + $code-term-count[$j] - count(distinct-values(($comparison, tokenize($code-terms[$j], ' '))))            ) div $code-term-count[$j]           ) div 2 &gt;= $best-match-ratio          ) then $der-valid-code-pterm[$j] else '')[. != ''] " />
    <xsl:variable name="best-codes" select="if (exists($best-matches)) then for $concept in $best-matches return replace($concept, '^([0-9]+)(\[.*?\]$)', '$1')         else $der-valid-codes-seq " />
    <xsl:variable name="best-num" select="count($best-codes)" />
    <xsl:variable name="short-procedure-codes" select="if ($assess-proc-short and $best-num &gt; 0) then for $item in $cd-definitions/proc/proc-short/hierarchy return $item/@code else () " />
    <xsl:variable name="procedure-type" select="if ($assess-proc-short and $best-num &gt; 0) then tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($best-codes, ' OR '), ') AND &lt;&lt;(', string-join($short-procedure-codes, ' OR '), ')'), '',         string($best-num), false()), '\|') else () " />
    <xsl:variable name="error-usingTS-7a" select="$error-usingTS-6 or 'Error' = $procedure-type " />
    <xsl:variable name="short-procedure" select="$valid-diag-proc-5 and $assess-proc-short and $best-num &gt; 0 and not($error-usingTS-7a) and $best-num = count($procedure-type) " />
    <xsl:variable name="procedure-codes" select="if ($is-uncategorised and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $best-num &gt; 0)         then tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($best-codes, ' OR '), ') AND ^32570141000036105'), '', string($best-num), false()), '\|')        else if ($is-procedure and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true')) then $der-valid-codes-4        else () " />
    <xsl:variable name="error-usingTS-7b" select="$error-usingTS-7a or 'Error' = $procedure-codes " />
    <xsl:variable name="ongoing-diag-codes" select="if ($assess-diag-ongoing and $best-num &gt; 0) then for $item in $cd-definitions/diag/diag-ongoing/hierarchy return $item/@code else () " />
    <xsl:variable name="diagnosis-type" select="if ($assess-diag-ongoing and $best-num &gt; 0) then tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($best-codes, ' OR '), ') AND &lt;&lt;(', string-join($ongoing-diag-codes, ' OR '), ')'), '',         string($best-num), false()), '\|') else () " />
    <xsl:variable name="error-usingTS-7c" select="$error-usingTS-7b or 'Error' = $diagnosis-type " />
    <xsl:variable name="ongoing-diagnosis" select="$valid-diag-proc-5 and $assess-diag-ongoing and $best-num &gt; 0 and not($error-usingTS-7b) and $best-num = count($diagnosis-type) " />
    <xsl:variable name="repeated-start" select="if (not($ongoing-diagnosis and $is-uncategorised and (exists(../cda:effectiveTime/cda:low/@value) or exists(../cda:effectiveTime/@value)))) then ()        else ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/         cda:entry/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16627']]/cda:text         [matches(., concat('^', translate($der-text-2, $chars-to-remove, ''), '$'), 'is')] " />
    <xsl:variable name="diagnosis-codes" select="if ($is-uncategorised and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))         then tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($best-codes, ' OR '), ') AND ^32570581000036105'), '', string($best-num), false()), '\|')        else () " />
    <xsl:variable name="diagnosis-codes" select="if ($is-uncategorised and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $best-num &gt; 0)         then tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($best-codes, ' OR '), ') AND ^32570581000036105'), '', string($best-num), false()), '\|')        else if ($is-problem-diagnosis and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))         then tokenize($der-valid-codes-4, '\|')        else () " />
    <xsl:variable name="error-usingTS-7d" select="$error-usingTS-7c or 'Error' = $diagnosis-codes " />
    <xsl:variable name="error-usingTS-7" select="$error-usingTS-7d " />
    <xsl:variable name="undetermined-diag-proc-1" select="if (exists($der-valid-codes-seq)) then $der-diag-proc-codes-5[not(. = $der-valid-codes-seq)] else $der-diag-proc-codes-5 " />
    <xsl:variable name="undetermined-inactive-1" select="for $i in (1 to count($undetermined-diag-proc-1)) return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $undetermined-diag-proc-1[$i], '', '1', false()) " />
    <xsl:variable name="error-usingTS-8" select="$error-usingTS-7 or 'Error' = $undetermined-inactive-1 " />
    <xsl:variable name="undetermined-inactive" select="(for $i in (1 to count($undetermined-diag-proc-1)) return         if (contains($undetermined-inactive-1[$i], '~inactive')) then $undetermined-inactive-1[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-1" select="for $i in (1 to count($undetermined-inactive))        return dh:IsCodeAssociatedWithAnotherCode(replace($undetermined-inactive[$i], '(\[.*?\])(\||$)', '$2'), '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-2" select="$error-usingV-1 or 'Error' = $undetermined-NAF-1 " />
    <xsl:variable name="undetermined-NAF" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-codes" select="for $term in $undetermined-NAF return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-NAF-active" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound~active')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-active-codes" select="for $term in $undetermined-NAF-active return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-diag-proc" select="$undetermined-diag-proc-1[not(. = ($undetermined-NAF-codes, $undetermined-NAF-active-codes))]" />
    <xsl:variable name="invalid-diag-proc" select="not($valid-diag-proc-5) and exists($invalid-diag-proc-codes) and not(exists($undetermined-diag-proc))" />
    <xsl:variable name="an-immun-3" select="if ($an-immun-2) then true()        else if (not($try-immun) or $valid-diag-proc-5 or $invalid-diag-proc or not(exists($vaccine-text-normalised))) then false()        else if ($der-text != '' and translate(lower-case($der-text), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else if ($use-revised-text-1 and translate(lower-case($der-revised-text-1), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else if ($use-revised-text-2 and translate(lower-case($der-revised-text-2), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else if ($use-revised-text-3 and translate(lower-case($der-revised-text-3), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else false() " />
    <xsl:variable name="vaccine-code-test" select="if ($try-immun and not($an-immun-3 or $valid-diag-proc-5 or $invalid-diag-proc or $avoid-ts or $error-usingTS-8) and exists($undetermined-diag-proc))          then tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('(', string-join($undetermined-diag-proc, ' OR '), ') AND (&lt;71181003 OR &lt;127785005)'), '',           string(count($undetermined-diag-proc)), false()), '\|')        else () " />
    <xsl:variable name="error-usingTS-9" select="$error-usingTS-8 or 'Error' = $vaccine-code-test " />
    <xsl:variable name="an-immun" select="$an-immun-3 or (not('Error' = $vaccine-code-test) and exists($undetermined-diag-proc) and         count($vaccine-code-test) = count($undetermined-diag-proc)) " />
    <xsl:variable name="try-tgi" select="not($valid-diag-proc-5 or $invalid-diag-proc or ($try-immun and $an-immun) or $der-text = '' or $negated-err or $der-text-non-value or         $der-invalid-text) and /cda:ClinicalDocument/cda:code[         (@codeSystem = '2.16.840.1.113883.6.1' and @code = ('60591-5', '34133-9', '18842-5', '57133-1', '51852-2')) or         (@codeSystem = '1.2.36.1.2001.1001.101' and @code = '100.16685')      ]" />
    <xsl:variable name="der-tgi-text" select="if ($try-tgi) then normalize-space(dh:XQueryRecursiveReplace($der-text,         concat($tgi-fir-pattern-replacement, '~', $tgi-regex, '~', $tgi-sec-pattern-replacement, '~', $tgi-thi-pattern-replacement), 'ic')) else '' " />
    <xsl:variable name="use-tgi-text" select="$der-tgi-text != '' and $der-tgi-text != $der-text " />
    <xsl:variable name="a-sas-tgi" select="$try-tgi and $use-tgi-text and $tgi-sas-regex != '' and matches($der-tgi-text, $tgi-sas-regex, 'is')" />
    <xsl:variable name="an-uncoded-tgi" select="$try-tgi and $use-tgi-text and $tgi-otheru-regex != '' and matches($der-tgi-text, $tgi-otheru-regex, 'is')" />
    <xsl:variable name="der-tgi-codes" select="if ($avoid-ts or $error-usingTS-9) then ''         else if ($try-tgi and $use-tgi-text and not($a-sas-tgi or $an-uncoded-tgi))         then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $tgi-formula, $der-tgi-text,           $max-code-number, false())         else '' " />
    <xsl:variable name="error-usingTS-10" select="$error-usingTS-9 or 'Error' = $der-tgi-codes " />
    <xsl:variable name="a-tgi" select="$try-tgi and ($a-sas-tgi or $an-uncoded-tgi or contains($der-tgi-codes, '[')) and not(exists($undetermined-diag-proc)) " />
    <xsl:variable name="codes-were-found" select="exists($der-diag-proc-codes-4) or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="codes-not-found" select="not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or        $valid-diag-proc-5 or $invalid-diag-proc or $an-immun or $a-tgi or $error-usingTS-10 or $family-err or $length-err or $prose-err or $negated-err) " />
    <xsl:variable name="codes-in-the-domain" select="not($valid-diag-proc-1) and $valid-diag-proc-5" />
    <xsl:variable name="codes-in-other-domain" select="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-diag-proc-5 or         $invalid-diag-proc or $an-immun or $a-tgi) " />
    <xsl:variable name="codes-in-no-domain" select="exists($der-diag-proc-codes-5) " />
    <xsl:variable name="display-in-the-domain" select="if ($codes-in-the-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', '), '''')        else '' " />
    <xsl:variable name="display-in-other-r" select="if (exists($invalid-diag-proc-codes-r) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-diag-proc-codes-r return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-h" select="if (exists($invalid-diag-proc-codes-h) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-diag-proc-codes-h return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-domain" select="if (not($codes-in-other-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))) then ''        else if ($display-in-other-r and display-in-other-h) then concat('''', $display-in-other-r, ', ', $display-in-other-h, '''')        else if ($display-in-other-r) then concat('''', $display-in-other-r, '''')        else if ($display-in-other-h) then concat('''', $display-in-other-h, '''')        else '' " />
    <xsl:variable name="display-in-no-domain" select="if ($codes-in-no-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', dh:XQueryRecursiveReplace(string-join(for $code in $der-diag-proc-codes-5 return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), '; '),          $term-pattern-replacement, 'ic'), '''')        else '' " />
    <xsl:variable name="display-text-1" select="if (cda:originalText != '') then normalize-space(cda:originalText)        else if (. != '') then normalize-space(.)        else '' " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-attr" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))        else if (. != '') then normalize-space(concat('the text ', $display-text))        else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="log-element" select="if ($error-usingTS-10 or not($flags/@report-terminology-concepts = 'true') or $log-concepts-name = '') then ''        else if ($is-problem-diagnosis) then 'Problem/Diagnosis' else if ($is-procedure) then 'Procedure' else 'Problem/Diagnosis or Procedure' " />
    <xsl:variable name="log-concepts-appended" select="if ($error-usingTS-10 or not($flags/@report-terminology-concepts = 'true') or $log-concepts-name = '') then ''        else if ($codes-not-found and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                   $log-element,    $log-tab,                   'yes',     $log-tab,                   concat($display-attr, $display-system), $log-tab,                   '',     $log-tab,                  '',     $log-tab,                  '',     $log-tab,                  $ts-current-sctau   ))        else if (($use-revised-text-3 or $codes-in-no-domain) and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                  $log-element,    $log-tab,                   'yes',     $log-tab,                     concat($display-attr, $display-system), $log-tab,                    $display-in-the-domain,   $log-tab,                  $display-in-other-domain,  $log-tab,                  $display-in-no-domain,   $log-tab,                  $ts-current-sctau   ))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-01" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating" select="if ($text-without-markup = '' or (cda:originalText and cda:originalText != '')) then $rating-57 else $rating-01 " />
    <xsl:variable name="test-case-id" select="if ($text-without-markup = '' or (cda:originalText and cda:originalText != '')) then 'TC-Types-57' else 'TC-Doc-01' " />
    <!--REPORT -->
    <xsl:if test=" $log-concepts-appended = ('NOTFOUND', 'ERROR') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$log-concepts-appended = ('NOTFOUND', 'ERROR')">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Diag-Proc-Defn): The AppendLog function returned '<xsl:text /><xsl:value-of select="$log-concepts-appended" /><xsl:text />' when requested to append the concepts log
		'<xsl:text /><xsl:value-of select="$log-concepts-name" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-3a = '' or $der-text-a = '') and    not($uncat-embedded-error or $negated-err or $valid-diag-proc-5) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-3a = '' or $der-text-a = '') and not($uncat-embedded-error or $negated-err or $valid-diag-proc-5)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Diag-Proc-Defn): An unexpected problem occurred when assessing the value of the Diagnosis Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. The application of regular expressions resulted in the complete loss of text.
		Report the information below to the Australian Digital Health Agency for investigation.

		der-text-1 '<xsl:text /><xsl:value-of select="normalize-space(dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'))" /><xsl:text />'.
		der-truncated-text-1 '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-truncated-text-1, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-2a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-2a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-3a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-3a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-a, $term-pattern-replacement, 'ic')" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingV-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingV-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Diag-Proc-Defn): An error was reported when accessing the terminology server when assessing the Diagnosis Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		Report the issue to the Australian Digital Health Agency for investigation stating the error was recorded for error-usingV-2.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-10 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-10">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Diag-Proc-Defn): An error was reported when accessing the terminology server when assessing the Diagnosis Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term:
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The analysis should be retried as the terminology server may have been temporarily unavailable.
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation, stating that the error was found by
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'error-usingTS-1' else if ($error-usingTS-2-a) then 'error-usingTS-2-a'   else if ($error-usingTS-2-b) then 'error-usingTS-2-b' else if ($error-usingTS-2-c) then 'error-usingTS-2-c'   else if ($error-usingTS-2-d) then 'error-usingTS-2-d' else if ($error-usingTS-2-e) then 'error-usingTS-2-e'   else if ($error-usingTS-2) then 'error-usingTS-2'   else if ($error-usingTS-3) then 'error-usingTS-3' else if ($error-usingTS-4) then 'error-usingTS-4'   else if ($error-usingTS-5) then 'error-usingTS-5' else if ($error-usingTS-6) then 'error-usingTS-6'   else if ($error-usingTS-7) then 'error-usingTS-7' else if ($error-usingTS-8) then 'error-usingTS-8'   else if ($error-usingTS-9) then 'error-usingTS-9' else 'error-usingTS-10' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($family-err or $length-err) and not($prose-err or $negated-err or $der-invalid-text) and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($family-err or $length-err) and not($prose-err or $negated-err or $der-invalid-text) and not(cda:originalText)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: <xsl:text /><xsl:value-of select="$test-case-id" /><xsl:text />: The Diagnosis Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which may be invalid as it
		<xsl:text /><xsl:value-of select="if ($family-err) then 'contains the family name of a healthcare participant' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($family-err and $length-err) then ' and ' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($length-err) then 'seems to be too long to describe a concept and may be a copy of or extract from the narrative.' else '.' " /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the diagnosis or problem experienced by the         consumer. (See section 3.5 of the Specialist Letter Structured Content Specification v1.1.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-uncategorised and $prose-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-uncategorised and $prose-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: <xsl:text /><xsl:value-of select="$test-case-id" /><xsl:text />: The Diagnosis Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is invalid as it is prose text.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the diagnosis or problem experienced by the         consumer. (See section 3.5 of the Specialist Letter Structured Content Specification v1.1.)'))" /><xsl:text /> A place to record prose text is in a comment or clinical synopsis data element.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and not($is-uncategorised) and $prose-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and not($is-uncategorised) and $prose-err">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: <xsl:text /><xsl:value-of select="$test-case-id" /><xsl:text />: The Diagnosis Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is invalid as it is prose text.
		<xsl:text /><xsl:value-of select="if ($is-problem-diagnosis or $is-procedure) then concat('The Diagnosis Name data element is CodeableText derived from the HL7 CD data type which by definition is to record ',   'a concept defined in an external code system, terminology or ontology. (See section 7.5.2.1 of ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')    else '' " /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the diagnosis or problem experienced by the         consumer. (See section 3.5 of the Specialist Letter Structured Content Specification v1.1.)'))" /><xsl:text />
		A place to record prose text is in a comment or clinical synopsis data element.
		This finding will also be reported as an error.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $codes-not-found">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: <xsl:text /><xsl:value-of select="$test-case-id" /><xsl:text />: The Diagnosis Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the diagnosis or problem experienced by the         consumer. (See section 3.5 of the Specialist Letter Structured Content Specification v1.1.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         DIAGNOSIS section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$codes-in-other-domain and not($error-usingTS-10)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$codes-in-other-domain and not($error-usingTS-10)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: <xsl:text /><xsl:value-of select="$test-case-id" /><xsl:text />: The Diagnosis Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value does not seem to be applicable for the data element.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the diagnosis or problem experienced by the         consumer. (See section 3.5 of the Specialist Letter Structured Content Specification v1.1.)')" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $negated-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$negated-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: <xsl:text /><xsl:value-of select="$test-case-id" /><xsl:text />: The Diagnosis Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element has an invalid value which states the healthcare consumer
		<xsl:text /><xsl:value-of select="if ('Diagnosis Name' = 'Problem/Diagnosis Identification') then 'does not have a problem' else if ('Diagnosis Name' = 'Procedure Name') then 'has not had a procedure'   else if ('Diagnosis Name' = 'Medical History Item Description') then 'does not have the item' else 'Diagnosis Name'" /><xsl:text />.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the diagnosis or problem experienced by the         consumer. (See section 3.5 of the Specialist Letter Structured Content Specification v1.1.)'))" /><xsl:text />
		If the consumer once had the <xsl:text /><xsl:value-of select="if ('Diagnosis Name' = 'Problem/Diagnosis Identification') then 'problem'    else if ('Diagnosis Name' = 'Procedure Name') then 'procedure' else if ('Diagnosis Name' = 'Medical History Item Description') then 'item' else 'Diagnosis Name'" /><xsl:text /> then the error may be
		corrected by stating the
		<xsl:text /><xsl:value-of select="if ('Diagnosis Name' = 'Problem/Diagnosis Identification') then 'problem the consumer once had' else if ('Diagnosis Name' = 'Procedure Name') then 'procedure the consumer once had'    else if ('Diagnosis Name' = 'Medical History Item Description') then 'medical history item the consumer once had' else 'Diagnosis Name'" /><xsl:text /> and including an end date. If the consumer was previously thought
		to have had the <xsl:text /><xsl:value-of select="if ('Diagnosis Name' = 'Problem/Diagnosis Identification') then 'problem' else if ('Diagnosis Name' = 'Procedure Name') then 'procedure'   else if ('Diagnosis Name' = 'Medical History Item Description') then 'medical history item' else 'Diagnosis Name'" /><xsl:text /> and if this was subsequently ruled out then
		<xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> must not be included in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Diagnosis Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the diagnosis or problem experienced by the         consumer. (See section 3.5 of the Specialist Letter Structured Content Specification v1.1.)'))" /><xsl:text />
		The Diagnosis Name data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: <xsl:text /><xsl:value-of select="$test-case-id" /><xsl:text />: The Diagnosis Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the diagnosis or problem experienced by the         consumer. (See section 3.5 of the Specialist Letter Structured Content Specification v1.1.)'))" /><xsl:text />
		The Diagnosis Name data element must have a value that is consistent with this definition. Alternatively if there is no Diagnosis Name data element with a proper value then an exclusion
		statement must be included to state why there is no Diagnosis Name. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4')    then concat('Text such as ''', dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'), ''' may be permitted in the narrative even though the Diagnosis Name data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Diagnosis Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the diagnosis or problem experienced by the         consumer. (See section 3.5 of the Specialist Letter Structured Content Specification v1.1.)'))" /><xsl:text />
		The Diagnosis Name data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($der-text-non-value) and $der-invalid-text ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($der-text-non-value) and $der-invalid-text">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Diagnosis Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid. <xsl:text /><xsl:value-of select="$defn-invalid-rsn" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the diagnosis or problem experienced by the         consumer. (See section 3.5 of the Specialist Letter Structured Content Specification v1.1.)'))" /><xsl:text /><xsl:text /><xsl:value-of select="if ($uncat-embedded-comment != '') then concat(' The Diagnosis Name text contains the comment ''', $uncat-embedded-comment,     ''' which should have been recorded in the Medical History Item Comment data element.',    ' (See the mapping table for Medical History Item Comment in the ', $document-name, ' CDA Implementation Guide.)') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($uncat-embedded-start != '' and $uncat-embedded-end != '') then concat(' The Diagnosis Name text contains a time interval commencing at ''', $uncat-embedded-start,     ''' and ending at ', $uncat-embedded-end, ''' however they should have been recorded in the low and high elements of the Medical History Item TimeInterval data element.')     else if ($uncat-embedded-start != '' and $uncat-embedded-end = '') then concat(' The Diagnosis Name text contains a time interval commencing at ''', $uncat-embedded-start,     ''' which should have been recorded in the low element of the Medical History Item TimeInterval data element.')    else if ($uncat-embedded-start = '' and $uncat-embedded-end != '') then concat(' The Diagnosis Name text contains a time interval ending at ', $uncat-embedded-end,     ''' which should have been recorded in the high element of the Medical History Item TimeInterval data element.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($uncat-embedded-dt != '') then concat(' The Diagnosis Name text contains the date ''', $uncat-embedded-dt,     ''' which should have been recorded in the value attribute of the Medical History Item TimeInterval data element.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($uncat-embedded-start != '' or $uncat-embedded-end != '' or $uncat-embedded-dt != '') then concat(    ' (See the mapping table for Medical History Item TimeInterval in the ', $document-name, ' CDA Implementation Guide.)') else '' " /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $an-immun and not($error-usingTS-10)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$an-immun and not($error-usingTS-10)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: <xsl:text /><xsl:value-of select="$test-case-id" /><xsl:text />: The Diagnosis Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the value is invalid.
		<xsl:text /><xsl:value-of select="if ($is-problem-diagnosis) then concat('Administering an immunisation is not a medical problem or diagnosis and the ', $document-name,    ' has a separate Immunisation section for recording the immunisation.')   else 'Administering an immunisation is not a medical procedure that may be recorded in this section of the document as there is a separate Immunisation section for that purpose.' " /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the diagnosis or problem experienced by the         consumer. (See section 3.5 of the Specialist Letter Structured Content Specification v1.1.)'))" /><xsl:text />
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         DIAGNOSIS section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $a-tgi and not($error-usingTS-10) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$a-tgi and not($error-usingTS-10)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: <xsl:text /><xsl:value-of select="$test-case-id" /><xsl:text />: The Diagnosis Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the value is invalid as it identifies a medication.
		Administering a medication is not a medical procedure that may be recorded in this section of the document as there is a separate Medication section for that purpose.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the diagnosis or problem experienced by the         consumer. (See section 3.5 of the Specialist Letter Structured Content Specification v1.1.)'))" /><xsl:text />
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the         DIAGNOSIS section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $invalid-diag-proc and not($error-usingTS-10) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$invalid-diag-proc and not($error-usingTS-10)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Diagnosis Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid
		<xsl:text /><xsl:value-of select="if (exists($invalid-diag-proc-codes-h)) then concat(' as it describes ', string-join(distinct-values(for $code in tokenize(replace(   dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat('(', string-join(for $code in $invalid-diag-proc-codes-h return concat('&gt;&gt;', $code), ' OR '), ') AND (',    string-join(for $hierarchy in $the-invalid-h return $hierarchy/@code, ' OR '), ')'), '',    string(count($invalid-diag-proc-codes-h)), true()), '(\[.*?\])(\||$)', '$2'), '\|') return $the-invalid-h[@code = $code]/@description)[position() = (1 to 2)], ' and '), '.')    else if (exists($invalid-diag-proc-codes-r)) then concat(' as it describes ', string-join(distinct-values(for $code in $invalid-diag-proc-codes-r return   $the-invalid-r[index-of(for $x in (for $refset in $the-invalid-r return    dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat($code, ' AND ^', $refset/@code), '', '1', true()), '|') return matches($x, '^[0-9]'), true())[1]]/@description), ' and '), '.')   else '.'" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the diagnosis or problem experienced by the         consumer. (See section 3.5 of the Specialist Letter Structured Content Specification v1.1.)'))" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable outside the applicable value domain): The Diagnosis Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following codes were obtained and are not in the value domain: <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-Diag-Proc-Defn): The Diagnosis Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU and no associated code was found in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists(($der-NAF-active-codes, $undetermined-NAF-active-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists(($der-NAF-active-codes, $undetermined-NAF-active-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-Diag-Proc-Defn): The Diagnosis Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-active-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the
		'<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' version of SNOMED CT-AU but it was not found with this status in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU.
		<xsl:text /><xsl:value-of select="if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $valid-diag-proc-1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $valid-diag-proc-1">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable within the value domain): The Diagnosis Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which matches one of the terms listed in
		<xsl:text /><xsl:value-of select="if ($a-disease) then 'the vaccine information in CodeSystems.xml' else 'Knowledge.xml' " /><xsl:text /> for the Diagnosis Name.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (concept is codeable within the value domain): The Diagnosis Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a valid value for the Diagnosis Name.
		SNOMED CT-AU codes that matched the concept are: <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (count($best-matches) = count($der-valid-codes-seq)) then ''   else if (count($best-matches) = 1) then concat('The analysis continued only with the best matching code which is ''',   dh:XQueryRecursiveReplace($best-matches[1], $markup-pattern-replacement, 'ic'), '''.')   else if (exists($best-matches)) then concat('The analysis continued only with the best matching codes which are ''',   dh:XQueryRecursiveReplace(string-join($best-matches, '; '), $markup-pattern-replacement, 'ic'), '''.')   else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ('Error' = $procedure-codes or not(exists($procedure-codes))) then ''   else if ($best-num = count($procedure-codes)) then ' All matching codes are members of the Procedure Foundation reference set.'    else if (count($procedure-codes) = 1) then concat(' Out of the ', $best-num, ' codes one is a member of the Procedure Foundation reference set (', string-join($procedure-codes, '; '), ').')    else if (count($procedure-codes) = 0) then concat(' Out of the ', $best-num, ' codes none is a member of the Procedure Foundation reference set.')   else concat(' Out of the ', $best-num, ' codes ', count($procedure-codes), ' are members of the Procedure Foundation reference set (', string-join($procedure-codes, '; '), ').') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($error-usingTS-7 or not(exists($procedure-codes))) then ''   else if (not($assess-proc-short)) then ' The procedure duration was not assessed.'   else if (count($procedure-type) = 0 and $best-num = count($procedure-codes)) then ' This may be a long duration procedure.'   else if (count($procedure-type) = 0) then ''   else if ($short-procedure) then ' This is a short duration procedure.'    else if ($best-num &gt; count($procedure-type) and count($procedure-type) = 1)     then concat(' Out of the ', $best-num, ' codes one describes a short duration procedure (', string-join($procedure-type, '; '), ').')   else if ($best-num &gt; count($procedure-type))     then concat(' Out of the ', $best-num, ' codes ', count($procedure-type), ' describe a short duration procedure (', string-join($procedure-type, '; '), ').')   else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ('Error' = $diagnosis-codes or not(exists($diagnosis-codes))) then ''   else if ($best-num = count($diagnosis-codes)) then ' All matching codes are members of the Problem/Diagnosis reference set.'    else if (count($diagnosis-codes) = 1) then concat(' Out of the ', $best-num, ' codes one is a member of the Problem/Diagnosis reference set (', string-join($diagnosis-codes, '; '), ').')    else if (count($diagnosis-codes) = 0) then concat(' Out of the ', $best-num, ' codes none is a member of the Problem/Diagnosis reference set.')   else concat(' Out of the ', $best-num, ' codes ', count($diagnosis-codes), ' are members of the Problem/Diagnosis reference set (', string-join($diagnosis-codes, '; '), ').') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($error-usingTS-7 or not(exists($diagnosis-codes))) then ''   else if (not($assess-diag-ongoing)) then ' The medical problem duration was not assessed.'   else if (count($diagnosis-type) = 0 and $best-num = count($diagnosis-codes)) then ' This medical problem may not be ongoing.'   else if (count($diagnosis-type) = 0) then ''   else if ($ongoing-diagnosis) then concat(' This medical problem is generally ongoing and is a member of the following conditions in the Knowledge.xml file: ''',    string-join(for $concept in $diagnosis-type return     dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',     concat('&gt;&gt;', replace($concept, '^([0-9]+)(\[.*?\]$)', '$1'), ' AND (', string-join($ongoing-diag-codes, ' OR '), ')'), '', '1', false()), '|'), '''.')   else if ($best-num &gt; count($diagnosis-type) and count($diagnosis-type) = 1)     then concat(' Out of the ', $best-num, ' codes one describes an ongoing medical problem (', string-join($diagnosis-type, '; '), ').')   else if ($best-num &gt; count($diagnosis-type))     then concat(' Out of the ', $best-num, ' codes ', count($diagnosis-type), ' describe an ongoing medical problem (', string-join($diagnosis-type, '; '), ').')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-diag-proc-1 or $prose-err or $negated-err) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-diag-proc-1 or $prose-err or $negated-err)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: <xsl:text /><xsl:value-of select="$test-case-id" /><xsl:text />: The Diagnosis Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The text used to match regular expression (der-text-2) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to match non-values and vaccines (der-text-to-match) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-to-match, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to derive a code (der-text) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.

		<xsl:text /><xsl:value-of select="if ($use-revised-text-1) then concat(' A first revision of the text (der-revised-text-1) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-1, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A first revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-1 != '' and $der-revised-text-1 = '') then ' revision-pattern-1 was applied but the output (der-revised-text-1) was an empty string.' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($use-revised-text-2) then concat(' A second revision of the text (der-revised-text-2) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A second revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-2 != '' and $der-revised-text-2 = '') then ' revision-pattern-2 was applied but the output (der-revised-text-2) was an empty string.' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($use-revised-text-3) then concat(' A third revision of the text (der-revised-text-3) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-3, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A third revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-3 != '' and $der-revised-text-3 = '') then ' revision-pattern-3 was applied but the output (der-revised-text-3) was an empty string.' else '' " /><xsl:text />

		Codes for related terms (related-terms-2): '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($related-terms-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes for related terms (der-valid-codes-1): 
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-1, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-diag-proc-codes-2) returned by the terminology server that match the text:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-diag-proc-codes-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes from related terms or the terminology server (der-valid-codes-2):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-2, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-inactive-codes-3) returned from the Validator's database associated with inactive codes:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-inactive-codes-3, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes found after examining inactive codes (der-valid-codes-3):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-3, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-diag-proc-codes-3) returned by the terminology server that are in der-inactive-codes-3 and the value domain:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-diag-proc-codes-3, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Members of invalid reference sets (invalid-diag-proc-codes-r): '<xsl:text /><xsl:value-of select="$display-in-other-r" /><xsl:text />'.
		Members of invalid code hierarchies (invalid-diag-proc-codes-h): '<xsl:text /><xsl:value-of select="$display-in-other-h" /><xsl:text />'.

		Final set of valid medical diagnosis and procedure codes (der-valid-codes-4): <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.

		 diag-proc-codes-5): '<xsl:text /><xsl:value-of select="string-join($der-diag-proc-codes-5, ''', ''')" /><xsl:text />'.
		Codes whose validity has not been determined and are inactive with no associated code (undetermined-NAF): '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(    string-join($undetermined-NAF, ''', '''), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		
		Were immunisations examined (try-immun)?: '<xsl:text /><xsl:value-of select="$try-immun" /><xsl:text />'
		Were immunisations found in the first assessment (an-immun-1):  '<xsl:text /><xsl:value-of select="$an-immun-1" /><xsl:text />'
		Were immunisations found in the second assessment (an-immun-2):  '<xsl:text /><xsl:value-of select="$an-immun-2" /><xsl:text />'
		Were immunisations found in the third assessment (an-immun-3):  '<xsl:text /><xsl:value-of select="$an-immun-3" /><xsl:text />'
		Vaccine codes (vaccine-code-test):  '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($vaccine-code-test, '; '), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Were immunisations found in the third assessment (an-immun):  '<xsl:text /><xsl:value-of select="$an-immun" /><xsl:text />'

		Were therapeutic good identifiers examined (try-tgi)?: '<xsl:text /><xsl:value-of select="$try-tgi" /><xsl:text />'
		Was text used to examine therapeutic good identifiers (use-tgi-text)?: '<xsl:text /><xsl:value-of select="$use-tgi-text" /><xsl:text />'
		The text used (der-tgi-text) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-tgi-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		Did the data element describe a therapeutic good on the Special Access Scheme (a-sas-tgi)?: '<xsl:text /><xsl:value-of select="$a-sas-tgi" /><xsl:text />'
		Did the data element describe an uncoded TGI (an-uncoded-tgi)?: '<xsl:text /><xsl:value-of select="$an-uncoded-tgi" /><xsl:text />'
		Set of TGI codes (der-tgi-codes):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-tgi-codes, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Was it confirmed that the data element describes a TGI (a-tgi)?: '<xsl:text /><xsl:value-of select="$a-tgi" /><xsl:text />'

		Will the value of the data element be trusted (der-trusted-text)? '<xsl:text /><xsl:value-of select="$der-trusted-text" /><xsl:text />'.
		
	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and $der-text != '' and not($valid-diag-proc-5 or $codes-were-found or $der-text-non-value or $der-invalid-text or    $an-immun or $a-tgi or $error-usingTS-10 or $family-err or $length-err or $prose-err or $negated-err) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and $der-text != '' and not($valid-diag-proc-5 or $codes-were-found or $der-text-non-value or $der-invalid-text or $an-immun or $a-tgi or $error-usingTS-10 or $family-err or $length-err or $prose-err or $negated-err)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept not codeable): The Diagnosis Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($avoid-ts) then 'The terminology server was not used to assist with finding codes corresponding to text in the data element. ' else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $short-procedure and not('' = '') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$short-procedure and not('' = '')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Diagnosis Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which describes a short duration procedure. The <xsl:text /><xsl:value-of select="''" /><xsl:text />
		data element describes the time interval when the procedure was performed and states that it commenced on '<xsl:text /><xsl:value-of select="$proc-ivl-location/cda:low/@value" /><xsl:text />' and the completion date was not
		stated which means the procedure is either ongoing or if it was was completed then the completion date was not recorded.
		(See section 8 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		As all <xsl:text /><xsl:value-of select="''" /><xsl:text /> data elements have a commencement date and no completion date then it is assumed that there is a software error rather than a human error causing the
		dates to be incorrectly recorded in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A way to record a time interval that completed the same day that it commenced is for the <xsl:text /><xsl:value-of select="''" /><xsl:text /> '<xsl:text /><xsl:value-of select="local-name($proc-ivl-location)" /><xsl:text />'
		data element to have a value attribute with the value '<xsl:text /><xsl:value-of select="$proc-ivl-location/cda:low/@value" /><xsl:text />' and no low or high elements.
		Alternatively if the commencement date is unknown and '<xsl:text /><xsl:value-of select="$proc-ivl-location/cda:low/@value" /><xsl:text />' is the date when the procedure was completed then the <xsl:text /><xsl:value-of select="''" /><xsl:text />
		'<xsl:text /><xsl:value-of select="local-name($proc-ivl-location)" /><xsl:text />' data element should have no low element and a high element with a value attribute with the value
		'<xsl:text /><xsl:value-of select="$proc-ivl-location/cda:low/@value" /><xsl:text />'. (See sections 3.6 and 3.8.1 of the HL7 Data Types - Abstract Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $ongoing-diagnosis and $is-uncategorised and exists(../cda:effectiveTime/cda:high/@value) and not('' = '') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$ongoing-diagnosis and $is-uncategorised and exists(../cda:effectiveTime/cda:high/@value) and not('' = '')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Diagnosis Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which describes a medical problem that is often ongoing however
		the <xsl:text /><xsl:value-of select="''" /><xsl:text /> data element, which describes the time interval applying to the medical problem, does not state a commencement date and has a 'high' element
		with a value that states the medical problem
		was resolved on '<xsl:text /><xsl:value-of select="../cda:effectiveTime/cda:high/@value" /><xsl:text />'. (See section 8 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		As the <xsl:text /><xsl:value-of select="''" /><xsl:text /> data elements have a resolution or remission date and no date of onset then, if the medical problem is ongoing, there may be a software error
		rather than a human error causing the dates to be incorrectly recorded in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. Confirm if the software system is able to correctly record an ongoing
		medical problem. A way to record a time interval for an ongoing medical problem is for the <xsl:text /><xsl:value-of select="''" /><xsl:text /> 'effectiveTime'
		data element to have a low element with a value attribute to record the commencement date and for the high element to be omitted.
		(See section 3.6 of the HL7 Data Types - Abstract Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $ongoing-diagnosis and $is-uncategorised and exists(../cda:effectiveTime/@value) and not('' = '') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$ongoing-diagnosis and $is-uncategorised and exists(../cda:effectiveTime/@value) and not('' = '')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Diagnosis Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which describes a medical problem that is often ongoing however
		the <xsl:text /><xsl:value-of select="''" /><xsl:text /> data element, which describes the time interval applying to the medical problem, has a 'value' attribute with the value
		'<xsl:text /><xsl:value-of select="../cda:effectiveTime/@value" /><xsl:text />' which indicates the medical problem both commenced and
		was resolved on '<xsl:text /><xsl:value-of select="../cda:effectiveTime/@value" /><xsl:text />'. (See section 8 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and
		section 3.8.1 of the HL7 Data Types - Abstract Specification.)
		As the <xsl:text /><xsl:value-of select="''" /><xsl:text /> data elements have value attribute then, if the medical problem is ongoing, there may be a software error rather than a human error causing
		the dates to be incorrectly recorded in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. Confirm if the software system is able to correctly record an ongoing medical problem.
		A way to record a time interval for an ongoing medical problem is for the <xsl:text /><xsl:value-of select="''" /><xsl:text /> 'effectiveTime'
		data element to have a low element with a value attribute to record the commencement date and for the high element to be omitted.
		(See section 3.6 of the HL7 Data Types - Abstract Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $ongoing-diagnosis and $is-problem-diagnosis and    exists(../cda:entryRelationship[@typeCode='SUBJ']/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]/cda:value/@value) and not('' = '') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$ongoing-diagnosis and $is-problem-diagnosis and exists(../cda:entryRelationship[@typeCode='SUBJ']/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]/cda:value/@value) and not('' = '')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Diagnosis Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which describes a medical problem that is often ongoing however
		the <xsl:text /><xsl:value-of select="''" /><xsl:text /> data element has a value that states the medical problem
		was resolved on '<xsl:text /><xsl:value-of select="../cda:entryRelationship[@typeCode='SUBJ']/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]/cda:value/@value" /><xsl:text />'.	
		As the Diagnosis Name data elements have a resolution or remission date and no date of onset then there may be a software error
		rather than a human error causing the dates to be incorrectly recorded in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. Confirm if the software system is able to correctly record an ongoing
		medical problem. (See information about the <xsl:text /><xsl:value-of select="''" /><xsl:text /> in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $ongoing-diagnosis and $is-uncategorised and count($repeated-start) &gt; 1 and not('' = '') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$ongoing-diagnosis and $is-uncategorised and count($repeated-start) &gt; 1 and not('' = '')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Diagnosis Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which describes a medical problem that is often ongoing.

		The <xsl:text /><xsl:value-of select="''" /><xsl:text /> data element has a value that indicates the medical problem commenced or was first recorded on
		'<xsl:text /><xsl:value-of select="if (../cda:effectiveTime/cda:low/@value) then ../cda:effectiveTime/cda:low/@value else ../cda:effectiveTime/@value " /><xsl:text />'.
		According to information recorded in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> the medical problem has commenced on
		<xsl:text /><xsl:value-of select="if ($numbers/number[number(@value) = count($repeated-start)]) then $numbers/number[number(@value) = count($repeated-start)]/@name else count($repeated-start)" /><xsl:text />
		different occasions. As all Diagnosis Name data elements with a date have a commencement date then there may be a software error rather than a human error that has resulted in the ongoing
		medical problem to be recorded multiple times. Confirm if the software system is able to correctly record the dates for an ongoing
		medical problem. (See information about the <xsl:text /><xsl:value-of select="''" /><xsl:text /> in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M895" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M895" />
  <xsl:template match="@*|node()" priority="-2" mode="M895">
    <xsl:apply-templates select="@*|*" mode="M895" />
  </xsl:template>
  <!--PATTERN p-TS-Response-CodeableText-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16611' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16611']]/cda:entry/   cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]/cda:value[(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M896">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16611' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16611']]/cda:entry/   cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]/cda:value[(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Diagnosis Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Diagnosis Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Diagnosis Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Diagnosis Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Diagnosis Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Diagnosis Name has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Diagnosis Name data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Diagnosis Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Diagnosis Name data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Diagnosis Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Diagnosis Name data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Diagnosis Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Diagnosis Name data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Diagnosis Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Diagnosis Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Diagnosis Name data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Diagnosis Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Diagnosis Name data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Diagnosis Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Diagnosis Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Diagnosis Name data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Diagnosis Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Diagnosis Name data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Diagnosis Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Diagnosis Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M896" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M896" />
  <xsl:template match="@*|node()" priority="-2" mode="M896">
    <xsl:apply-templates select="@*|*" mode="M896" />
  </xsl:template>
  <!--PATTERN p-TS-Response-CodeableText-5-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16611' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16611']]/cda:entry/cda:procedure/cda:code " priority="1000" mode="M897">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16611' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16611']]/cda:entry/cda:procedure/cda:code " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Procedure Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Procedure Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Procedure Name',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to section 4.5 of the Specialist Letter Structured Content Specification v1.1 the Procedure Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to section 4.5 of the Specialist Letter Structured Content Specification v1.1 the Procedure Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'allowed' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'allowed' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 4.5 of the Specialist Letter Structured Content Specification v1.1 the Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Procedure Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Procedure Name in section 4.5 of the Specialist Letter Structured Content Specification v1.1 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'allowed' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'allowed' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 4.5 of the Specialist Letter Structured Content Specification v1.1 the Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Procedure Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Procedure Name in section 4.5 of the Specialist Letter Structured Content Specification v1.1 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Procedure Name data element must have a value that is consistent with this definition. Alternatively if there is no Procedure Name data element with a proper value then an exclusion
		statement must be included to state why there is no Procedure Name.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'allowed' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'allowed' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 4.5 of the Specialist Letter Structured Content Specification v1.1 the Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Procedure Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Procedure Name in section 4.5 of the Specialist Letter Structured Content Specification v1.1 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'allowed' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'allowed' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 4.5 of the Specialist Letter Structured Content Specification v1.1 the Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Procedure Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Procedure Name in section 4.5 of the Specialist Letter Structured Content Specification v1.1 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Procedure Name data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'allowed' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'allowed' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 4.5 of the Specialist Letter Structured Content Specification v1.1 the Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Procedure Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Procedure Name in section 4.5 of the Specialist Letter Structured Content Specification v1.1 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Procedure Name data element must have a value that is consistent with this definition. Alternatively if there is no Procedure Name data element with a proper value then an exclusion
		statement must be included to state why there is no Procedure Name.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(false()) and 'allowed' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(false()) and 'allowed' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 4.5 of the Specialist Letter Structured Content Specification v1.1 the Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Procedure Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Procedure Name in section 4.5 of the Specialist Letter Structured Content Specification v1.1 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Procedure Name data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Procedure Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 4.5 of the Specialist Letter Structured Content Specification v1.1 the Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 4.5 of the Specialist Letter Structured Content Specification v1.1 the Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 4.5 of the Specialist Letter Structured Content Specification v1.1 the Procedure Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 4.5 of the Specialist Letter Structured Content Specification v1.1 the Procedure Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 4.5 of the Specialist Letter Structured Content Specification v1.1 the Procedure Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 4.5 of the Specialist Letter Structured Content Specification v1.1 the Procedure Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 4.5 of the Specialist Letter Structured Content Specification v1.1 the Procedure Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 4.5 of the Specialist Letter Structured Content Specification v1.1 the Procedure Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 4.5 of the Specialist Letter Structured Content Specification v1.1 the Procedure Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Procedure Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Procedure Name.
		(See the definition of Procedure Name in section 4.5 of the Specialist Letter Structured Content Specification v1.1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Procedure Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M897" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M897" />
  <xsl:template match="@*|node()" priority="-2" mode="M897">
    <xsl:apply-templates select="@*|*" mode="M897" />
  </xsl:template>
  <!--PATTERN p-TS-Response-CodeableText-6-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '101.16611' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16611']]/cda:entry/cda:procedure/cda:code   [@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " priority="1000" mode="M898">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '101.16611' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16611']]/cda:entry/cda:procedure/cda:code   [@codeSystem = '2.16.840.1.113883.6.96' or cda:translation/@codeSystem = '2.16.840.1.113883.6.96'] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="pnullFlavor" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @nullFlavor) then @nullFlavor else '' " />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-p-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then false()        else if ($psnomed-id = 'amtv3' and @codeSystemVersion) then exists($v-amtv3[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($psnomed-id = 'snomedctau' and @codeSystemVersion) then exists($v-snomedctau[. = current()/@codeSystemVersion])        else if ($psnomed-id = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false() " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and $pcode != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used to assess the primary code.') " />
    <xsl:variable name="pcode-refsets-1" select="if (@codeSystem = '2.16.840.1.113883.6.96' and not($pcode = ''))         then dh:FindValueDomainsForCode($pcode, '2.16.840.1.113883.6.96', $v-psnomed-version) else 'no-code' " />
    <xsl:variable name="pcode-found" select="not($pcode-refsets-1 = 'no-code' or $pcode-refsets-1 = 'CodeNotFound' or $pcode-refsets-1 = 'Error'        or contains($pcode-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="pcode-refsets" select="if ($pcode-found) then distinct-values(tokenize($pcode-refsets-1, '\|')) else () " />
    <xsl:variable name="pcode-special-proc" select="count($pcode-refsets) = 1 and 'Procedure Foundation (PF)' = $pcode-refsets and not($pnullFlavor = 'OTH') " />
    <xsl:variable name="pcode-refsets-msg" select="if (count($pcode-refsets) = 0) then ''         else if (count($pcode-refsets) = 1) then concat('The code is a member of the ', $pcode-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($pcode-refsets, ', '), '.') " />
    <xsl:variable name="display-text-1" select="if (not(cda:originalText)) then '' else normalize-space(cda:originalText) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-code" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))         else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-1" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="snomed-trans-2" select="distinct-values(for $i in (1 to count($snomed-trans-1)) return $snomed-trans-1[$i]/@code) " />
    <xsl:variable name="snomed-trans-a" select="$snomed-trans-1[1] " />
    <xsl:variable name="tcode-a" select="if (exists($snomed-trans-a) and matches($snomed-trans-a/@code, $snomed-code-regex)) then $snomed-trans-a/@code else '' " />
    <xsl:variable name="tnullFlavor-a" select="if (exists($snomed-trans-a) and $snomed-trans-a/@nullFlavor) then $snomed-trans-a/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-a" select="if (not(exists($snomed-trans-a))) then 'not-snomed'        else if (not($snomed-trans-a/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-a/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-a" select="if (not(exists($snomed-trans-a))) then ''        else if ($tsnomed-id-a = 'amtv3' and exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-a = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])) then $snomed-trans-a/@codeSystemVersion        else if ($tsnomed-id-a = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-a/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-a" select="if (not(exists($snomed-trans-a))) then false()        else if ($tsnomed-id-a = 'amtv3' and $snomed-trans-a/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-a = 'snomedctau' and $snomed-trans-a/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-a/@codeSystemVersion])        else if ($tsnomed-id-a = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-a-msg" select="if (not(exists($snomed-trans-a))) then ''        else if (not($snomed-trans-a/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-a, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-a = 'amtv3') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-a = 'snomedctau') then concat(' The ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-a/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-a/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-a, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-a/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-a,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-a-refsets-1" select="if (exists($snomed-trans-a) and not($tcode-a = ''))         then dh:FindValueDomainsForCode($tcode-a, '2.16.840.1.113883.6.96', $v-tsnomed-version-a) else 'no-code' " />
    <xsl:variable name="tcode-a-found" select="not($tcode-a-refsets-1 = 'no-code' or $tcode-a-refsets-1 = 'CodeNotFound' or $tcode-a-refsets-1 = 'Error'         or contains($tcode-a-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-a-refsets" select="if ($tcode-a-found) then distinct-values(tokenize($tcode-a-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-a-special-proc" select="count($tcode-a-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-a-refsets and not($tnullFlavor-a = 'OTH') " />
    <xsl:variable name="tcode-a-refsets-msg" select="if (count($tcode-a-refsets) = 0) then ''         else if (count($tcode-a-refsets) = 1) then concat('The code is a member of the ', $tcode-a-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-a-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@code and $snomed-trans-a/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-a/@displayName, codepoints-to-string(34))         else if ($snomed-trans-a/@code and not($snomed-trans-a/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-a/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-a" select="if (not($snomed-trans-a)) then ''        else if ($snomed-trans-a/@codeSystem and $snomed-trans-a/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-a/@codeSystemName, ')')         else if ($snomed-trans-a/@codeSystem and not($snomed-trans-a/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-a/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="snomed-trans-b" select="(for $i in (2 to count($snomed-trans-1)) return if ($snomed-trans-1[$i]/@code != $snomed-trans-a/@code) then $snomed-trans-1[$i] else ())[1] " />
    <xsl:variable name="tcode-b" select="if (exists($snomed-trans-b) and matches($snomed-trans-b/@code, $snomed-code-regex)) then $snomed-trans-b/@code else '' " />
    <xsl:variable name="tnullFlavor-b" select="if (exists($snomed-trans-b) and $snomed-trans-b/@nullFlavor) then $snomed-trans-b/@nullFlavor else '' " />
    <xsl:variable name="tsnomed-id-b" select="if (not(exists($snomed-trans-b))) then 'not-snomed'        else if (not($snomed-trans-b/@codeSystemVersion)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($snomed-trans-b/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-tsnomed-version-b" select="if (not(exists($snomed-trans-b))) then ''        else if ($tsnomed-id-b = 'amtv3' and exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'amtv3' and not(exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion]))) then $v-latest-amtv3        else if ($tsnomed-id-b = 'snomedctau' and exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])) then $snomed-trans-b/@codeSystemVersion        else if ($tsnomed-id-b = 'snomedctau' and exists($sctau-versions-old[. = $snomed-trans-b/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-has-version-b" select="if (not(exists($snomed-trans-b))) then false()        else if ($tsnomed-id-b = 'amtv3' and $snomed-trans-b/@codeSystemVersion) then exists($v-amtv3[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'amtv3') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if ($tsnomed-id-b = 'snomedctau' and $snomed-trans-b/@codeSystemVersion) then exists($v-snomedctau[. = $snomed-trans-b/@codeSystemVersion])        else if ($tsnomed-id-b = 'snomedctau') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false()" />
    <xsl:variable name="v-tsnomed-version-b-msg" select="if (not(exists($snomed-trans-b))) then ''        else if (not($snomed-trans-b/@codeSystemVersion)) then concat(' The translation element did not contain the codeSystemVersion attribute so the ''',          $v-tsnomed-version-b, ''' version of the SNOMED CT-AU code system was used to assess the code.')         else if ($tsnomed-id-b = 'amtv3') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the AMT version 3 code.')        else if ($tsnomed-id-b = 'snomedctau') then concat(' The ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the SNOMED CT-AU code.')        else if (matches($snomed-trans-b/@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', $snomed-trans-b/@codeSystemVersion, ''' version of the code system is not available so the ''',          $v-tsnomed-version-b, ''' version of the code system was used to assess the translation code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', $snomed-trans-b/@codeSystemVersion,          ''' so the ''', $v-tsnomed-version-b,          ''' version of the code system was used to assess the translation code.') " />
    <xsl:variable name="tcode-b-refsets-1" select="if (exists($snomed-trans-b) and not($tcode-b = ''))         then dh:FindValueDomainsForCode($tcode-b, '2.16.840.1.113883.6.96', $v-tsnomed-version-b) else 'no-code' " />
    <xsl:variable name="tcode-b-found" select="not($tcode-b-refsets-1 = 'no-code' or $tcode-b-refsets-1 = 'CodeNotFound' or $tcode-b-refsets-1 = 'Error'         or contains($tcode-b-refsets-1, 'Association Reference (AR)')) " />
    <xsl:variable name="tcode-b-refsets" select="if ($tcode-b-found) then distinct-values(tokenize($tcode-b-refsets-1, '\|')) else () " />
    <xsl:variable name="tcode-b-special-proc" select="count($tcode-b-refsets) = 1 and 'Procedure Foundation (PF)' = $tcode-b-refsets and not($tnullFlavor-b = 'OTH') " />
    <xsl:variable name="tcode-b-refsets-msg" select="if (count($tcode-b-refsets) = 0) then ''         else if (count($tcode-b-refsets) = 1) then concat('The code is a member of the ', $tcode-b-refsets[1], ' reference set.')        else concat('The code is a member of reference sets ', string-join($tcode-b-refsets, ', '), '.') " />
    <xsl:variable name="display-tcode-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@code and $snomed-trans-b/@displayName)          then concat('translation code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34),           ' and displayName ', codepoints-to-string(34), $snomed-trans-b/@displayName, codepoints-to-string(34))         else if ($snomed-trans-b/@code and not($snomed-trans-b/@displayName))          then concat('code ', codepoints-to-string(34), $snomed-trans-b/@code, codepoints-to-string(34))         else 'no value and no nullFlavor' " />
    <xsl:variable name="display-tsystem-b" select="if (not($snomed-trans-b)) then ''        else if ($snomed-trans-b/@codeSystem and $snomed-trans-b/@codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34),          ' (', $snomed-trans-b/@codeSystemName, ')')         else if ($snomed-trans-b/@codeSystem and not($snomed-trans-b/@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $snomed-trans-b/@codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-60" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-60 else $rating-alt-TC-Types-60 " />
    <!--REPORT -->
    <xsl:if test=" $pcode-found and $pcode-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pcode-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD (p-TS-CD-SCT-RefSet): An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$pcode" /><xsl:text />',
		codeSystem '2.16.840.1.113883.6.96' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-psnomed-version" /><xsl:text />'. This error occurred when assessing the Procedure Name data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Procedure Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. The value is not valid for the data element as it describes a medical
		procedure and not a medical problem or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the name of the procedure (to be) performed.         (See section 4.5 of the Specialist Letter Structured Content Specification v1.1.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and   not(exists(index-of(for $refset in ('Procedure Foundation (PF)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and not($pnullFlavor = 'OTH') and $v-has-p-version and not(exists(index-of(for $refset in ('Procedure Foundation (PF)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Procedure Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the code is not a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Procedure Foundation reference set (Concept Id: 32570141000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the PROCEDURE section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and   not(exists(index-of(for $refset in ('Procedure Foundation (PF)') return $refset = $pcode-refsets, true()))) and   not($pcode-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and not($pnullFlavor = 'OTH') and not($v-has-p-version) and not(exists(index-of(for $refset in ('Procedure Foundation (PF)') return $refset = $pcode-refsets, true()))) and not($pcode-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Procedure Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element. A code that is a member of the value domain must be used and
		if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Procedure Foundation reference set (Concept Id: 32570141000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the PROCEDURE section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$pcode-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and   exists(index-of(for $refset in ('Procedure Foundation (PF)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$pcode-found and $pnullFlavor = 'OTH' and $v-has-p-version and exists(index-of(for $refset in ('Procedure Foundation (PF)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Procedure Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Procedure Foundation reference set (Concept Id: 32570141000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the PROCEDURE section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and   exists(index-of(for $refset in ('Procedure Foundation (PF)') return $refset = $pcode-refsets, true())) and   not($pcode-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $pcode-found and $pnullFlavor = 'OTH' and not($v-has-p-version) and exists(index-of(for $refset in ('Procedure Foundation (PF)') return $refset = $pcode-refsets, true())) and not($pcode-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Procedure Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. Confirm if the code is a member of the value domain.
		If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Procedure Foundation reference set (Concept Id: 32570141000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the PROCEDURE section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The Validator did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and count($snomed-trans-2) &gt; 2">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Procedure Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="count($snomed-trans-1)" /><xsl:text /> translation elements with
		codes and the SNOMED CT-AU codeSystem '2.16.840.1.113883.6.96'. The first two translation elements have been assessed to determine if the codes are members of the value domain
		and the others have not been assessed. Confirm if the value of the code attribute in all SNOMED CT translation elements meets the requirement that it be a member of the value domain
		if there is no nullFlavor 'OTH' or that there is a nullFlavor 'OTH' if the value of the code attribute is not a member of the value domain.
		<xsl:text /><xsl:value-of select="normalize-space('The value domain is the Procedure Foundation reference set (Concept Id: 32570141000036105).')" /><xsl:text /> 
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the PROCEDURE section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-a-found and $tcode-a-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-a" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-a" /><xsl:text />'. This error occurred when assessing the Procedure Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Procedure Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the name of the procedure (to be) performed.         (See section 4.5 of the Specialist Letter Structured Content Specification v1.1.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and   not(exists(index-of(for $refset in ('Procedure Foundation (PF)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and not($tnullFlavor-a = 'OTH') and $v-has-version-a and not(exists(index-of(for $refset in ('Procedure Foundation (PF)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Procedure Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Procedure Foundation reference set (Concept Id: 32570141000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the PROCEDURE section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and   not(exists(index-of(for $refset in ('Procedure Foundation (PF)') return $refset = $tcode-a-refsets, true()))) and   not($tcode-a-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and not($tnullFlavor-a = 'OTH') and not($v-has-version-a) and not(exists(index-of(for $refset in ('Procedure Foundation (PF)') return $refset = $tcode-a-refsets, true()))) and not($tcode-a-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Procedure Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Procedure Foundation reference set (Concept Id: 32570141000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the PROCEDURE section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-a-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and   exists(index-of(for $refset in ('Procedure Foundation (PF)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-a-found and $tnullFlavor-a = 'OTH' and $v-has-version-a and exists(index-of(for $refset in ('Procedure Foundation (PF)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Procedure Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Procedure Foundation reference set (Concept Id: 32570141000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the PROCEDURE section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and   exists(index-of(for $refset in ('Procedure Foundation (PF)') return $refset = $tcode-a-refsets, true())) and   not($tcode-a-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-a-found and $tnullFlavor-a = 'OTH' and not($v-has-version-a) and exists(index-of(for $refset in ('Procedure Foundation (PF)') return $refset = $tcode-a-refsets, true())) and not($tcode-a-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Procedure Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-a" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-a" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Procedure Foundation reference set (Concept Id: 32570141000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the PROCEDURE section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-a-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $tcode-b-found and $tcode-b-refsets-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindValueDomainsForCode with code '<xsl:text /><xsl:value-of select="$tcode-b" /><xsl:text />', codeSystem '2.16.840.1.113883.6.96'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-tsnomed-version-b" /><xsl:text />'. This error occurred when assessing the Procedure Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and should be reported
		to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Procedure Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> 
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The translation is not valid for the data element as it describes a medical procedure and not a medical problem
		or diagnosis.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the name of the procedure (to be) performed.         (See section 4.5 of the Specialist Letter Structured Content Specification v1.1.)')" /><xsl:text /><xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4' and     exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '101.16142'])) then concat(' ', normalize-space('If the procedure was performed    during the current encounter then it must be recorded in the Clinical Interventions Performed This Visit section of the Discharge Summary and if it was performed prior to the current    encounter then it may be recorded in a Medical History section which is an accepted extension to the Discharge Summary CDA Implementation Guide.')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and   not(exists(index-of(for $refset in ('Procedure Foundation (PF)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and not($tnullFlavor-b = 'OTH') and $v-has-version-b and not(exists(index-of(for $refset in ('Procedure Foundation (PF)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Procedure Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text /> however it is not a member of the value domain (i.e. the specified reference sets) that applies to this data
		element. A code that is a member of the value domain should be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Procedure Foundation reference set (Concept Id: 32570141000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the PROCEDURE section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and   not(exists(index-of(for $refset in ('Procedure Foundation (PF)') return $refset = $tcode-b-refsets, true()))) and   not($tcode-b-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and not($tnullFlavor-b = 'OTH') and not($v-has-version-b) and not(exists(index-of(for $refset in ('Procedure Foundation (PF)') return $refset = $tcode-b-refsets, true()))) and not($tcode-b-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Procedure Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. Confirm that the code is a member of the value domain (i.e. the specified reference sets) that applies to this data element.
		A code that is a member of the value domain must be used instead and if that is not possible then either omit the code or add nullFlavor "OTH" which is a statement that the code
		is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Procedure Foundation reference set (Concept Id: 32570141000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the PROCEDURE section of the CDA Implementation Guide.')" /><xsl:text />) <xsl:text /><xsl:value-of select="$tcode-b-refsets-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and   exists(index-of(for $refset in ('Procedure Foundation (PF)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tcode-b-found and $tnullFlavor-b = 'OTH' and $v-has-version-b and exists(index-of(for $refset in ('Procedure Foundation (PF)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Procedure Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />. The code is a member of the value domain (i.e. the specified reference sets) however the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Procedure Foundation reference set (Concept Id: 32570141000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the PROCEDURE section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and   exists(index-of(for $refset in ('Procedure Foundation (PF)') return $refset = $tcode-b-refsets, true())) and   not($tcode-b-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tcode-b-found and $tnullFlavor-b = 'OTH' and not($v-has-version-b) and exists(index-of(for $refset in ('Procedure Foundation (PF)') return $refset = $tcode-b-refsets, true())) and not($tcode-b-special-proc and count(('Procedure Foundation (PF)')) = 1 and 'Problem Diagnosis (PD)' = ('Procedure Foundation (PF)'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Types-60: The Procedure Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		with <xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-tcode-b" /><xsl:text /><xsl:text /><xsl:value-of select="$display-tsystem-b" /><xsl:text />.
		Confirm if the code is a member of the value domain. If the code is a member of the value domain (i.e. the specified reference sets) then there is an error as the data element includes
		nullFlavor "OTH" which is a statement that the code is not a member of the value domain. <xsl:text /><xsl:value-of select="normalize-space('The value domain is the Procedure Foundation reference set (Concept Id: 32570141000036105).')" /><xsl:text />
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023726 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.5 of the Common Conformance Profile for Clinical Documents v1.4 and '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.3 and '         else ' ' " /><xsl:text />section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the PROCEDURE section of the CDA Implementation Guide.')" /><xsl:text />) The error may be corrected by removing the nullFlavor attribute.<xsl:text /><xsl:value-of select="$v-tsnomed-version-b-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystemVersion) then ' The terminology server did not have the SNOMED CT-AU version indicated by the value of the codeSystemVersion attribute.'   else concat(' The terminology server does not have a SNOMED CT-AU version published before the date the clinical document was created (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ').') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M898" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M898" />
  <xsl:template match="@*|node()" priority="-2" mode="M898">
    <xsl:apply-templates select="@*|*" mode="M898" />
  </xsl:template>
  <!--PATTERN p-TS-Response-CodeableText-7-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flag-assess-values and '101.16611' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16611']]/cda:entry/cda:procedure/cda:code   [(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-proc-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])][not(@nullFlavor = $no-value-NF)]   [not(cda:originalText and (    ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))    or    (string-length(cda:originalText) &gt; $length-err-max and matches(cda:originalText, $unicode-br-regex)) or    (matches(cda:originalText, '^\W*(Dear\W+Doctor|Dear\W+Dr|Thank\W+you)', 'is'))    ))] " priority="1000" mode="M899">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flag-assess-values and '101.16611' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16611']]/cda:entry/cda:procedure/cda:code   [(@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex))) or not(@code and @codeSystem and @codeSystem = $defn-proc-trusted)]   [not(cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)])][not(@nullFlavor = $no-value-NF)]   [not(cda:originalText and (    ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))    or    (string-length(cda:originalText) &gt; $length-err-max and matches(cda:originalText, $unicode-br-regex)) or    (matches(cda:originalText, '^\W*(Dear\W+Doctor|Dear\W+Dr|Thank\W+you)', 'is'))    ))] " />
    <xsl:variable name="pcode" select="if (@codeSystem = '2.16.840.1.113883.6.96' and @code and matches(@code, $snomed-code-regex)) then @code else '' " />
    <xsl:variable name="snomed-trans" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="tcode" select="if (exists($snomed-trans[1]) and matches($snomed-trans[1]/@code, $snomed-code-regex)) then $snomed-trans[1]/@code else '' " />
    <xsl:variable name="code-present" select="$pcode != '' or $tcode != '' " />
    <xsl:variable name="invalid-code-system" select="@code and @displayName and @codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="codesystemvalues" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']" />
    <xsl:variable name="text-1" select="if (. != '') then replace(., '^[0-9]*xsitype(ED|ST)', '') else '' " />
    <xsl:variable name="text-2" select="if ($text-1 = '') then ''        else if (matches($text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $text-1 " />
    <xsl:variable name="text-without-markup" select="if (cda:originalText and cda:originalText != '') then replace(cda:originalText, $markup-regex, ' ')         else if ($text-2 != '') then normalize-space(replace($text-2, $markup-regex, ' '))         else '' " />
    <xsl:variable name="pdname" select="if (@displayName and not($invalid-code-system)) then @displayName else '' " />
    <xsl:variable name="max-code-number" select="if ($knowledge/search-for-term/max-sct-code-number/@value &gt; '5') then $knowledge/search-for-term/max-sct-code-number/@value else '5' " />
    <xsl:variable name="der-text-1" select="if ($code-present) then ''         else if ($text-without-markup != '') then $text-without-markup        else if ($pdname != '') then $pdname        else '' " />
    <xsl:variable name="is-problem-diagnosis" select="$der-text-1 != '' and local-name(.) = 'value' and local-name(..) = 'observation' " />
    <xsl:variable name="is-procedure" select="$der-text-1 != '' and local-name(.) = 'code' and local-name(..) = 'procedure' " />
    <xsl:variable name="is-uncategorised" select="$der-text-1 != '' and local-name(.) = 'text' " />
    <xsl:variable name="uncat-embedded-comment" select="if ($is-uncategorised and matches($text-1, '^(.*?,?\s*Comments:)(.*?)(,?\s*(StartTime:|Effective Date:).*)$', 's'))         then normalize-space(replace($text-1, '^(.*?,?\s*Comments:)(.*?)(,?\s*(StartTime:|Effective Date:).*)$', '$2', 's'))        else '' " />
    <xsl:variable name="uncat-embedded-dt" select="if ($is-uncategorised and matches($text-1, '^(.*?,?\s*Effective Date:)(.*?)$', 's'))         then normalize-space(replace($text-1, '^(.*?,?\s*Effective Date:)(.*?)$', '$2', 's'))        else '' " />
    <xsl:variable name="uncat-embedded-start" select="if ($is-uncategorised and matches($text-1, '^(.*?,?\s*(StartTime|From):)(.*?)(,?\s*(EndTime|To):.*?)$', 's'))         then normalize-space(replace($text-1, '^(.*?,?\s*(StartTime|From):)(.*?)(,?\s*(EndTime|To):.*?)$', '$3', 's'))        else '' " />
    <xsl:variable name="uncat-embedded-end" select="if ($is-uncategorised and matches($text-1, '^(.*?,?\s*(EndTime|To):)(.*?)$', 's'))         then normalize-space(replace($text-1, '^(.*?,?\s*(EndTime|To):)(.*?)$', '$3', 's'))        else '' " />
    <xsl:variable name="uncat-embedded-error" select="$uncat-embedded-comment != '' or $uncat-embedded-dt != '' or $uncat-embedded-start != '' or $uncat-embedded-end != '' " />
    <xsl:variable name="negated-err" select="if ($uncat-embedded-error) then false() else matches($der-text-1, '\?\s*no(^[a-z]|$)', 'is') " />
    <xsl:variable name="family-err" select="$family-regex != '' and not(matches($der-text-1, '(^|\s)(small|white\s*cell\s*count)(\s|$)', 'is')) and matches($der-text-1, $family-regex, 'is')" />
    <xsl:variable name="der-truncated-text-1" select="normalize-space(replace(replace($der-text-1, $unicode-br-truncation-regex, '$1', 'is'), $diag-proc-truncation-regex, '$1', 'is')) " />
    <xsl:variable name="length-err" select="string-length($der-truncated-text-1) &gt; $length-err-max" />
    <xsl:variable name="prose-err-1" select="$length-err and cda:originalText and (        matches(cda:originalText, $ulist-regex)           or         matches(cda:originalText, $alt-ulist-1a-regex, 'is')         or         matches(cda:originalText, $alt-ulist-1b-regex, 'is')         )" />
    <xsl:variable name="prose-err" select="$prose-err-1 or (cda:originalText and (               matches(cda:originalText, '^\W*(Dear\W+Doctor|Dear\W+Dr|Thank\W+you)', 'is')      or        ($length-err and matches(cda:originalText, '\.\s*$', 's') and matches(cda:originalText, $multi-sentence-regex, 's')) or        matches(cda:originalText, $alt-ulist-2-regex, 'is')          or        matches(cda:originalText, $olist-arabic-regex, 'is')          or         matches(cda:originalText, $olist-alpha-regex, 'is')          or         matches(cda:originalText, $olist-roman-regex, 'is')          or        matches(replace(cda:originalText, $new-line-regex, codepoints-to-string((10)), 'is'), $para-regex, 'is')  or        matches(cda:originalText, codepoints-to-string((8233)), 'is')         or               (cda:originalText and matches(cda:originalText, $invalid-concept-regex, 'is'))      ))  or              ($text-2 != '' and matches($text-2, $invalid-concept-regex, 'is'))        " />
    <xsl:variable name="avoid-ts" select="$family-err or $length-err or $prose-err or $negated-err or not($use-ts-for-sctau) " />
    <xsl:variable name="typo-replacements" select="if ($der-truncated-text-1 = '' or $uncat-embedded-error) then ''         else if ($is-problem-diagnosis and not($diag-typo = '')) then $diag-typo        else if ($is-procedure and not($proc-typo = '')) then $proc-typo        else if ($is-uncategorised and not($diag-typo = '') and not($proc-typo = '')) then concat($diag-typo, '~', $proc-typo)        else if ($is-uncategorised and $diag-typo = '' and not($proc-typo = '')) then $proc-typo        else if ($is-uncategorised and not($diag-typo = '') and $proc-typo = '') then $diag-typo        else '' " />
    <xsl:variable name="diag-proc-fir-pattern-replacement" select="if ($uncat-embedded-error) then ''           else if ($typo-replacements = '') then concat($diag-proc-fir-1, '~', $month-replacements)           else concat($diag-proc-fir-1, '~', $typo-replacements, '~', $month-replacements) " />
    <xsl:variable name="der-text-2a" select="if ($der-truncated-text-1 = '' or $uncat-embedded-error or $negated-err) then ''         else normalize-space(dh:XQueryRecursiveReplace(         replace(if ($is-procedure or $is-uncategorised) then replace($der-truncated-text-1, '^(.*?[a-z]+.*?)(\?.*?)$', '$1', 'is')            else $der-truncated-text-1,           concat('^(.*?[a-z]+.*?\s+)', $unicode-dash-regex, '(\s+.*?)$'), '$1', 'is'),           $diag-proc-fir-pattern-replacement, 'ic')) " />
    <xsl:variable name="der-text-2" select="if ($der-text-2a = '') then $der-truncated-text-1 else $der-text-2a " />
    <xsl:variable name="diag-proc-sec-pattern-replacement" select="if ($uncat-embedded-error or $negated-err or $der-text-2 = '') then ''           else if ($is-problem-diagnosis and not($diag-replacements = '')) then $diag-replacements          else if ($is-procedure and not($proc-replacements = '')) then $proc-replacements          else if ($is-uncategorised and not($diag-replacements = '') and not($proc-replacements = ''))            then concat($diag-replacements, '~', $proc-replacements)          else if ($is-uncategorised and $diag-replacements = '' and not($proc-replacements = ''))            then $proc-replacements          else if ($is-uncategorised and not($diag-replacements = '') and $proc-replacements = '')            then $diag-replacements          else '' " />
    <xsl:variable name="der-text-3a" select="if ($uncat-embedded-error or $negated-err or $der-text-2 = '' or $diag-proc-sec-pattern-replacement = '') then ''         else dh:XQueryRecursiveReplace($der-text-2, $diag-proc-sec-pattern-replacement, 'ic') " />
    <xsl:variable name="der-text-3" select="if ($der-text-3a = '') then $der-text-2 else $der-text-3a " />
    <xsl:variable name="der-text-a" select="normalize-space(replace(dh:XQueryRecursiveReplace($der-text-3, '(^|[^a-z])r([^a-z]|$)~$1 right $2~(^|[^a-z])l([^a-z]|$)~$1 left $2', 'ic'),          '([a-z])''s', '$1', 'i')) " />
    <xsl:variable name="der-text" select="if ($der-text-a = '') then $der-text-3 else $der-text-a " />
    <xsl:variable name="defn-valid-regex" select="concat('(^|\|)', translate($der-text-2, $chars-to-remove, ''), '(\||$)') " />
    <xsl:variable name="der-text-to-match-1" select="lower-case($der-text-2) " />
    <xsl:variable name="der-text-to-match" select="translate($der-text-to-match-1, $chars-to-remove, '') " />
    <xsl:variable name="der-text-non-value" select="if ($code-present or $uncat-embedded-error or $negated-err or @nullFlavor = $no-value-NF) then false()        else if ($der-text-to-match = '' or not(matches($der-text-to-match-1, '[a-z]', 'i')) or         ($cd-definitions/non-value/@regex != '' and matches($der-text-to-match-1, $cd-definitions/non-value/@regex, 'i'))) then true()         else if ($is-problem-diagnosis) then          exists($cd-definitions/diag/@non-value-regex) and matches($der-text-to-match-1, $cd-definitions/diag/@non-value-regex, 'i')        else if ($is-procedure) then          exists($cd-definitions/proc/@non-value-regex) and matches($der-text-to-match-1, $cd-definitions/proc/@non-value-regex, 'i')        else if ($is-uncategorised) then          (exists($cd-definitions/diag/@non-value-regex) and matches($der-text-to-match-1, $cd-definitions/diag/@non-value-regex, 'i')) or         (exists($cd-definitions/proc/@non-value-regex) and matches($der-text-to-match-1, $cd-definitions/proc/@non-value-regex, 'i'))        else false() " />
    <xsl:variable name="defn-common-inv-regex" select="if ($code-present or $uncat-embedded-error or $negated-err or $der-text-non-value or not($cd-definitions/diag-proc/@invalid-regex)) then ()        else tokenize($cd-definitions/diag-proc/@invalid-regex, '~') " />
    <xsl:variable name="defn-diag-inv-regex" select="if ($code-present or $uncat-embedded-error or $negated-err or $der-text-non-value or not($is-problem-diagnosis) or          not($cd-definitions/diag/@invalid-regex)) then ()        else tokenize($cd-definitions/diag/@invalid-regex, '~') " />
    <xsl:variable name="defn-proc-inv-regex" select="if ($code-present or $uncat-embedded-error or $negated-err or $der-text-non-value or not($is-procedure) or          not($cd-definitions/proc/@invalid-regex)) then ()        else tokenize($cd-definitions/proc/@invalid-regex, '~') " />
    <xsl:variable name="defn-invalid-regex" select="($defn-common-inv-regex, $defn-diag-inv-regex, $defn-proc-inv-regex)[. != ''] " />
    <xsl:variable name="defn-invalid-txt-regex" select="(for $i in (1 to count($defn-invalid-regex)) return normalize-space(substring-before($defn-invalid-regex[$i], '[[')))[. != '']" />
    <xsl:variable name="der-invalid-text-regex-1" select="if (exists($defn-invalid-txt-regex))        then index-of(for $i in (1 to count($defn-invalid-txt-regex)) return matches($der-text-2, $defn-invalid-txt-regex[$i], 'i'), true())        else () " />
    <xsl:variable name="der-invalid-text" select="exists($der-invalid-text-regex-1) or $uncat-embedded-error " />
    <xsl:variable name="defn-invalid-rsn" select="if ($der-invalid-text)         then normalize-space(substring-before(substring-after($defn-invalid-regex[$der-invalid-text-regex-1[1]], '[['), ']]'))         else '' " />
    <xsl:variable name="try-immun" select="not($der-text = '' or $negated-err or $der-text-non-value or $der-invalid-text) and         /cda:ClinicalDocument/cda:code[@codeSystem = '2.16.840.1.113883.6.1' and @code = ('60591-5', '34133-9')] " />
    <xsl:variable name="an-immun-1" select="$try-immun and matches($der-text, '(^|[^a-z])(immunizations?|immunisations?)([^a-z]|$)', 'i') " />
    <xsl:variable name="an-immun-2" select="$try-immun and ($an-immun-1 or (exists($vaccine-text-normalised) and $der-text-to-match = $vaccine-text-normalised)) " />
    <xsl:variable name="try-adverse" select="not($der-text = '' or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2) and         /cda:ClinicalDocument/cda:code[@codeSystem = '2.16.840.1.113883.6.1' and @code = ('60591-5', '34133-9', '57133-1', '18842-5', '51852-2')] " />
    <xsl:variable name="an-adverse-1" select="$try-adverse and matches($der-text, '(^|[^a-z])(ADR?|adverse drug reactions?|adverse reactions?)([^a-z]|$)', 'i') " />
    <xsl:variable name="trusted-code-systems" select="if ($der-text = '' or $der-invalid-text or $an-immun-2 or not(@codeSystem or cda:translation/@codeSystem)) then ()        else if ($is-problem-diagnosis)         then (tokenize(replace($cd-definitions/diag/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/diag/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-procedure)         then (tokenize(replace($cd-definitions/proc/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/proc/@extra, '\s+', ''), '\|'))[. != '']         else if ($is-uncategorised)         then (tokenize(replace($cd-definitions/diag/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/diag/@extra, '\s+', ''), '\|'),         tokenize(replace($cd-definitions/proc/@core, '\s+', ''), '\|'), tokenize(replace($cd-definitions/proc/@extra, '\s+', ''), '\|'))[. != '']         else () " />
    <xsl:variable name="der-trusted-text" select="if ($der-text = '' or $der-invalid-text or (@codeSystem = '2.16.840.1.113883.6.96' and not(matches(@code, $snomed-code-regex)))) then false()        else ((@codeSystem and exists($trusted-code-systems[. = current()/@codeSystem])) or               (cda:translation/@codeSystem and exists($trusted-code-systems[. = current()/cda:translation/@codeSystem]))) " />
    <xsl:variable name="a-disease" select="if ($is-procedure or $code-present or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2 or $der-text-to-match = '')          then false()        else $der-text-to-match = (for $disease in tokenize(string-join($vaccine-codes/@disease, '|'), '\|')          return translate(normalize-space(lower-case($disease)), $chars-to-remove, '')) " />
    <xsl:variable name="valid-diag-1" select="if ($a-disease) then true()        else if ($is-procedure or $code-present or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2 or          not($cd-definitions/diag/@valid-regex)) then false()        else exists(index-of(for $regex in (tokenize($cd-definitions/diag/@valid-regex, '~')[. != '']) return          matches($der-text-2, dh:XQueryRecursiveReplace(normalize-space($regex), ' \|~|~\| ~|', ''), 'is'), true())) " />
    <xsl:variable name="valid-proc-1" select="if ($is-problem-diagnosis or $code-present or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2 or         not($cd-definitions/proc/@valid-regex)) then false()        else exists(index-of(for $regex in (tokenize($cd-definitions/proc/@valid-regex, '~')[. != '']) return          matches($der-text-2, dh:XQueryRecursiveReplace(normalize-space($regex), ' \|~|~\| ~|', ''), 'is'), true())) " />
    <xsl:variable name="valid-diag-proc-1" select="if ($is-problem-diagnosis) then $valid-diag-1        else if ($is-procedure) then $valid-proc-1        else if ($is-uncategorised) then $valid-diag-1 or $valid-proc-1        else false() " />
    <xsl:variable name="the-invalid-h" select="if ($der-text = '' or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2) then ()        else if ($is-problem-diagnosis) then $cd-definitions/diag/diag-invalid/hierarchy        else if ($is-procedure) then $cd-definitions/proc/proc-invalid/hierarchy        else if ($is-uncategorised) then $cd-definitions/diag-proc/diag-proc-invalid/hierarchy        else () " />
    <xsl:variable name="invalid-hierarchy-1" select=" if (exists($the-invalid-h)) then string-join(for $hierarchy in $the-invalid-h return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-refset" select="if ($der-text = '' or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2) then ''        else if ($is-problem-diagnosis) then $diag-invalid-refset         else if ($is-procedure) then $proc-invalid-refset         else if ($is-uncategorised) then $diag-proc-invalid-refset         else '' " />
    <xsl:variable name="valid-refset" select="if ($der-text = '' or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2) then ''        else if ($is-problem-diagnosis) then '^32570581000036105'         else if ($is-procedure) then '^32570141000036105'         else if ($is-uncategorised) then '(^32570581000036105 OR ^32570141000036105)'        else '' " />
    <xsl:variable name="valid-domain" select="if ($der-text = '' or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2) then ''        else if ($invalid-refset != '' and $invalid-hierarchy-1 != '')         then concat('((', $valid-refset, ') MINUS (', $invalid-refset, ' OR (', $invalid-hierarchy-1, ')))')        else if ($invalid-refset = '' and $invalid-hierarchy-1 != '') then concat('((', $valid-refset, ') MINUS (', $invalid-hierarchy-1, '))')         else if ($invalid-refset != '' and $invalid-hierarchy-1 = '') then concat('((', $valid-refset, ') MINUS (', $invalid-refset, '))')        else concat('(', $valid-refset, ')') " />
    <xsl:variable name="der-text-2-laterality" select="if ($der-text-2 = '' or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2 or $valid-diag-proc-1 or        $laterality-regex = '' or not(matches($der-text-2, $laterality-regex, 'is'))) then ''        else replace($der-text-2, $laterality-regex, '$1 $3', 'is') " />
    <xsl:variable name="defn-laterality-regex" select="if ($der-text-2-laterality = '') then '' else concat('(^|\|)', translate($der-text-2-laterality, $chars-to-remove, ''), '(\||$)') " />
    <xsl:variable name="related-terms-1" select="if ($der-text = '' or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2 or $valid-diag-proc-1) then ()        else ($codesystemvalues/code[@related-terms], $codesystemvalues/related-terms[@related-terms]) " />
    <xsl:variable name="related-terms-2" select="for $i in index-of(for $concept in $related-terms-1 return         matches(translate($concept/@related-terms, $chars-no-pipe, ''), $defn-valid-regex, 'is') or        ($defn-laterality-regex != '' and matches(translate($concept/@related-terms, $chars-no-pipe, ''), $defn-laterality-regex, 'is')), true())         return $related-terms-1[$i]/@code " />
    <xsl:variable name="der-diag-proc-codes-1" select="if (exists($related-terms-2)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($related-terms-2, ' OR '), ') AND ', $valid-domain), '', string(count($related-terms-2)), false())        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $der-diag-proc-codes-1 " />
    <xsl:variable name="der-valid-codes-1" select="if (contains($der-diag-proc-codes-1, '[')) then $der-diag-proc-codes-1 else '' " />
    <xsl:variable name="valid-diag-proc-2" select="$valid-diag-proc-1 or $der-valid-codes-1 != '' " />
    <xsl:variable name="invalid-inactive-refset" select="if ($der-text = '' or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2) then ''        else if ($is-problem-diagnosis) then $diag-invalid-inactive-refset         else if ($is-procedure) then $proc-invalid-inactive-refset         else if ($is-uncategorised) then $diag-proc-invalid-inactive-refset         else '' " />
    <xsl:variable name="diag-proc-inactive-refSets" select="if ($invalid-inactive-refset = '') then $inactive-refSets         else concat('((', $inactive-refSets, ') MINUS (', $invalid-inactive-refset, '))') " />
    <xsl:variable name="formula" select="concat($valid-domain, ' OR ', $diag-proc-inactive-refSets) " />
    <xsl:variable name="ts-not-needed" select="$der-text = '' or $negated-err or $der-text-non-value or $der-invalid-text or $an-immun-2 or $valid-diag-proc-2 or $avoid-ts " />
    <xsl:variable name="der-diag-proc-codes-2-a" select="if ($ts-not-needed or exists($related-terms-2)) then ()         else tokenize(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-text,          'default'), '\|') " />
    <xsl:variable name="error-usingTS-2-a" select="$error-usingTS-1 or 'Error' = $der-diag-proc-codes-2-a " />
    <xsl:variable name="revision-pattern-1" select="if ($ts-not-needed or $valid-diag-proc-2 or exists($der-diag-proc-codes-2-a) or exists($related-terms-2) or $error-usingTS-2-a) then ''        else if ($no-qual-pattern = '') then concat($laterality-regex, '~$1 $3')        else concat($laterality-regex, '~$1 $3~',  $no-qual-pattern) " />
    <xsl:variable name="der-revised-text-1" select="if ($revision-pattern-1 = '') then '' else normalize-space(dh:XQueryRecursiveReplace($der-text, $revision-pattern-1, 'ic')) " />
    <xsl:variable name="use-revised-text-1" select="$der-revised-text-1 != '' and $der-revised-text-1 != $der-text " />
    <xsl:variable name="der-diag-proc-codes-2-b" select="if ($ts-not-needed or exists($der-diag-proc-codes-2-a) or not($use-revised-text-1)) then $der-diag-proc-codes-2-a         else tokenize(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-1,          'default'), '\|') " />
    <xsl:variable name="error-usingTS-2-b" select="$error-usingTS-2-a or 'Error' = $der-diag-proc-codes-2-b " />
    <xsl:variable name="revision-pattern-2" select="if ($ts-not-needed or $valid-diag-proc-2 or exists($der-diag-proc-codes-2-b) or exists($related-terms-2) or $error-usingTS-2-b) then ''        else if ($is-problem-diagnosis and not($diag-sec-replacements = '')) then $diag-sec-replacements        else if ($is-procedure and not($proc-sec-replacements = '')) then $proc-sec-replacements        else if ($is-uncategorised and not($diag-sec-replacements = '') and not($proc-sec-replacements = ''))          then concat($diag-sec-replacements, '~', $proc-sec-replacements)        else if ($is-uncategorised and $diag-sec-replacements = '' and not($proc-sec-replacements = '')) then $proc-sec-replacements        else if ($is-uncategorised and not($diag-sec-replacements = '') and $proc-sec-replacements = '') then $diag-sec-replacements        else '' " />
    <xsl:variable name="der-revised-text-2" select="if ($revision-pattern-2 = '') then ''         else normalize-space(dh:XQueryRecursiveReplace(if ($use-revised-text-1) then $der-revised-text-1 else $der-text, $revision-pattern-2, 'ic')) " />
    <xsl:variable name="use-revised-text-2" select="if ($use-revised-text-1) then $der-revised-text-2 != '' and $der-revised-text-2 != $der-revised-text-1         else $der-revised-text-2 != '' and $der-revised-text-2 != $der-text " />
    <xsl:variable name="der-diag-proc-codes-2-c" select="if ($ts-not-needed or exists($der-diag-proc-codes-2-b) or not($use-revised-text-2)) then $der-diag-proc-codes-2-b        else tokenize(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-2,          'default'), '\|') " />
    <xsl:variable name="error-usingTS-2-c" select="$error-usingTS-2-b or 'Error' = $der-diag-proc-codes-2-c " />
    <xsl:variable name="text-for-revision-3" select="if ($use-revised-text-2) then $der-revised-text-2 else if ($use-revised-text-1) then $der-revised-text-1 else $der-text " />
    <xsl:variable name="base-pattern-3" select="if ($ts-not-needed or $valid-diag-proc-2 or exists($der-diag-proc-codes-2-c) or exists($related-terms-2) or $error-usingTS-2-c or        matches($text-for-revision-3, '^[A-Z]+$')) then ''        else '(^|[^a-z])[a-z]{1}([^a-z]|$)~$1$2~(^|[^/0-9])[0-9]{1}([^0-9]|$)~$1$2' " />
    <xsl:variable name="revision-pattern-3" select="if ($base-pattern-3 = '') then ''        else if (matches($der-truncated-text-1, $conjunction-regex, 'is'))         then concat($base-pattern-3, '~^(.+?)(', normalize-space(dh:XQueryRecursiveReplace(         replace($der-truncated-text-1, $conjunction-regex, '$3', 'is'), $diag-proc-fir-pattern-replacement, 'ic')), '.*?)$~$1')         else $base-pattern-3 " />
    <xsl:variable name="der-revised-text-3" select="if ($revision-pattern-3 = '') then ''        else dh:XQueryRecursiveReplace($text-for-revision-3, $revision-pattern-3, 'ic') " />
    <xsl:variable name="use-revised-text-3" select="if ($use-revised-text-2) then $der-revised-text-3 != '' and $der-revised-text-3 != $der-revised-text-2         else if ($use-revised-text-1) then $der-revised-text-3 != '' and $der-revised-text-3 != $der-revised-text-1         else $der-revised-text-3 != '' and $der-revised-text-3 != $der-text " />
    <xsl:variable name="der-diag-proc-codes-2-d" select="if ($ts-not-needed or exists($der-diag-proc-codes-2-c) or not($use-revised-text-3)) then $der-diag-proc-codes-2-c        else tokenize(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $der-revised-text-3,          'default'), '\|') " />
    <xsl:variable name="error-usingTS-2-d" select="$error-usingTS-2-c or 'Error' = $der-diag-proc-codes-2-d " />
    <xsl:variable name="der-diag-proc-codes-2-e" select="$der-diag-proc-codes-2-d " />
    <xsl:variable name="error-usingTS-2-e" select="$error-usingTS-2-d " />
    <xsl:variable name="der-diag-proc-codes-2" select="if ($ts-not-needed or $error-usingTS-2-e or not(exists($der-diag-proc-codes-2-e)) or $der-valid-codes-1 != '') then ()        else tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join(for $code in $der-diag-proc-codes-2-e return replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is'), ' OR '), ') AND (',          $formula, ')'), '', string(count($der-diag-proc-codes-2-e)), false()), '\|') " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-2-e or 'Error' = $der-diag-proc-codes-2 " />
    <xsl:variable name="der-valid-codes-2" select="if ($der-valid-codes-1 != '') then $der-valid-codes-1        else if ($error-usingTS-2) then ''         else string-join((for $code in $der-diag-proc-codes-2 return if (contains($code, '~inactive')) then '' else $code)[. != ''], '|')  " />
    <xsl:variable name="valid-diag-proc-3" select="$valid-diag-proc-2 or $der-valid-codes-2 != '' " />
    <xsl:variable name="der-inactive-codes-1" select="if ($valid-diag-proc-3) then () else        for $code in $der-diag-proc-codes-2 return if (contains($code, '~inactive')) then replace($code, '^([0-9]+)(\[.+?\])$', '$1', 'is') else '' " />
    <xsl:variable name="der-inactive-codes-2" select="for $i in (1 to count($der-inactive-codes-1)) return         dh:IsCodeAssociatedWithAnotherCode($der-inactive-codes-1[$i], '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-1" select="'Error' = $der-inactive-codes-2 " />
    <xsl:variable name="der-NAF-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-NAF-active-codes" select="(for $i in (1 to count($der-inactive-codes-1)) return if ($der-inactive-codes-2[$i] = 'NoAssociationFound~active')          then $der-inactive-codes-1[$i] else '')[. != ''] " />
    <xsl:variable name="der-inactive-codes-3" select="tokenize(string-join(for $i in (1 to count($der-inactive-codes-1)) return replace(string-join(tokenize($der-inactive-codes-2[$i], '\|')        [matches(., '(REPLACED BY|SAME AS|ALTERNATIVE|POSSIBLY EQUIVALENT TO|MAY BE A|WAS A)')], '|'), '[0-9]+~[A-Z ]+~([0-9]+)', '$1'), '|'), '\|')        [. != ''] " />
    <xsl:variable name="der-diag-proc-codes-3" select="if (exists($der-inactive-codes-3)) then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($der-inactive-codes-3, ' OR '), ') AND ', $valid-domain), '', string(count($der-inactive-codes-3)), false())          else '' " />
    <xsl:variable name="error-usingTS-3" select="$error-usingTS-2 or 'Error' = $der-diag-proc-codes-3 " />
    <xsl:variable name="der-valid-codes-3" select="if ($der-valid-codes-2 != '') then $der-valid-codes-2        else if (contains($der-diag-proc-codes-3, '[')) then $der-diag-proc-codes-3        else '' " />
    <xsl:variable name="valid-diag-proc-4" select="$valid-diag-proc-3 or $der-valid-codes-3 != '' " />
    <xsl:variable name="the-tbd" select="if ($is-problem-diagnosis) then $cd-definitions/diag/diag-tbd/hierarchy        else if ($is-procedure) then $cd-definitions/proc/proc-tbd/hierarchy        else if ($is-uncategorised) then $cd-definitions/diag-proc/diag-proc-tbd/hierarchy        else () " />
    <xsl:variable name="the-invalid-r" select="if ($is-problem-diagnosis) then $cd-definitions/diag/diag-invalid/refset        else if ($is-procedure) then $cd-definitions/proc/proc-invalid/refset        else if ($is-uncategorised) then $cd-definitions/diag-proc/diag-proc-invalid/refset        else () " />
    <xsl:variable name="tbd-hierarchy" select="if (exists($the-tbd)) then string-join(for $hierarchy in $the-tbd return concat('&lt;&lt;', $hierarchy/@code), ' OR ')        else '' " />
    <xsl:variable name="invalid-hierarchy" select="if ($invalid-hierarchy-1 != '' and $tbd-hierarchy != '') then concat($invalid-hierarchy-1, ' OR ', $tbd-hierarchy)        else if ($invalid-hierarchy-1 != '') then $invalid-hierarchy-1        else if ($tbd-hierarchy != '') then $tbd-hierarchy        else '' " />
    <xsl:variable name="invalid-domain" select="if ($invalid-hierarchy != '' and $invalid-refset != '') then concat($invalid-hierarchy, ' OR ', $invalid-refset)        else if ($invalid-hierarchy != '') then $invalid-hierarchy        else if ($invalid-refset != '') then $invalid-refset        else '' " />
    <xsl:variable name="filter-text" select="if ($use-revised-text-3) then $der-revised-text-3         else if ($use-revised-text-2) then $der-revised-text-2         else if ($use-revised-text-1) then $der-revised-text-1         else $der-text " />
    <xsl:variable name="der-diag-proc-codes-4" select="if ($ts-not-needed or $valid-diag-proc-4 or $invalid-domain = '') then ()        else if (exists($related-terms-2)) then $related-terms-2        else distinct-values((tokenize(replace(dh:SearchForCodesInHierarchyFuzzyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          $invalid-domain, $filter-text, 'default'), '(\[.*?\])(\||$)', '$2'), '\|'), $der-inactive-codes-3)) " />
    <xsl:variable name="error-usingTS-4" select="$error-usingTS-3 or 'Error' = $der-diag-proc-codes-4 " />
    <xsl:variable name="invalid-diag-proc-codes-r" select="if ($ts-not-needed or $valid-diag-proc-4 or $error-usingTS-4 or not(exists($der-diag-proc-codes-4))) then ()        else if ($invalid-refset = '') then tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-diag-proc-codes-4, ' OR '), ') AND (', $inactive-refSets, ')'), '',           string(count($der-diag-proc-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')        else tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-diag-proc-codes-4, ' OR '), ') AND (', $invalid-refset, ' OR ', $inactive-refSets, ')'), '',           string(count($der-diag-proc-codes-4)), false()), '(\[.*?\])(\||$)', '$2'), '\|')  " />
    <xsl:variable name="error-usingTS-5" select="$error-usingTS-4 or 'Error' = $invalid-diag-proc-codes-r " />
    <xsl:variable name="invalid-formula" select="if ($is-problem-diagnosis) then $diag-invalid-hierarchy         else if ($is-procedure) then $proc-invalid-hierarchy         else if ($is-uncategorised) then $diag-proc-invalid-hierarchy        else '' " />
    <xsl:variable name="der-diag-proc-codes-4-h" select="if ($error-usingTS-5) then () else $der-diag-proc-codes-4[not(. = $invalid-diag-proc-codes-r)]" />
    <xsl:variable name="invalid-diag-proc-codes-h" select="if ($ts-not-needed or $valid-diag-proc-4 or 'Error' = $der-diag-proc-codes-4 or $invalid-formula = '' or          not(exists($der-diag-proc-codes-4-h))) then ()        else (for $code in $der-diag-proc-codes-4-h return          if (dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('&gt;&gt;', $code, ' MINUS ', $invalid-formula), '', '1', false()) = '') then $code else '')[. != ''] " />
    <xsl:variable name="invalid-diag-proc-codes" select="($invalid-diag-proc-codes-h, $invalid-diag-proc-codes-r) " />
    <xsl:variable name="der-diag-proc-codes-5" select="$der-diag-proc-codes-4[not(. = $invalid-diag-proc-codes or . = 'Error')]" />
    <xsl:variable name="der-valid-codes-4" select="if ($der-valid-codes-3 != '') then $der-valid-codes-3        else if ($ts-not-needed or $valid-diag-proc-4 or $valid-domain = '' or not(exists($der-diag-proc-codes-5))) then ''        else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',          concat('(', string-join($der-diag-proc-codes-5, ' OR '), ') AND ', $valid-domain), '', string(count($der-diag-proc-codes-5)), false()) " />
    <xsl:variable name="error-usingTS-6" select="$error-usingTS-5 or 'Error' = $der-valid-codes-4 " />
    <xsl:variable name="valid-diag-proc-5" select="$valid-diag-proc-4 or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="der-valid-codes-seq" select="if ($error-usingTS-6) then () else tokenize(replace($der-valid-codes-4,  '(\[.*?\])(\||$)', '$2'), '\|') " />
    <xsl:variable name="proc-ivl-location" select="if ($is-uncategorised or $is-procedure) then ../cda:effectiveTime else () " />
    <xsl:variable name="proc-has-low-date" select="exists($proc-ivl-location[cda:low and not(cda:high)]) and ($is-uncategorised or               ($is-procedure and exists(/cda:ClinicalDocument/cda:templateId[         (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3') or          (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.4')])))  " />
    <xsl:variable name="proc-intervals" select="if (not($proc-has-low-date and $valid-diag-proc-5)) then ()        else if ($is-uncategorised) then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/         cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16627']]/cda:effectiveTime        else if ($is-procedure) then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/         cda:entry/cda:procedure/cda:effectiveTime        else () " />
    <xsl:variable name="proc-ivl-low" select="$proc-intervals/cda:low/@value " />
    <xsl:variable name="proc-ivl-value" select="$proc-intervals/@value " />
    <xsl:variable name="proc-ivl-high" select="$proc-intervals/cda:high/@value " />
    <xsl:variable name="assess-proc-short" select="$proc-has-low-date and count($proc-ivl-low) = count($proc-intervals) and count($proc-ivl-value) = 0 and count($proc-ivl-high) = 0 " />
    <xsl:variable name="diag-has-date" select="($is-uncategorised and exists(../cda:effectiveTime)) or              ($is-problem-diagnosis and exists(/cda:ClinicalDocument[cda:templateId[           (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3'))  or                         (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4'))  or           (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')   ]]) and exists(../cda:effectiveTime)) " />
    <xsl:variable name="diag-intervals" select="if (not($diag-has-date and $valid-diag-proc-5 and $is-uncategorised)) then ()        else ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/         cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16627']]/cda:effectiveTime " />
    <xsl:variable name="diag-onset" select="if (not($diag-has-date and $valid-diag-proc-5 and $is-problem-diagnosis)) then ()        else if (/cda:ClinicalDocument[cda:templateId[(@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3') or                   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.4') ]])          then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/          cda:entry/cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]/cda:effectiveTime/cda:low        else if (/cda:ClinicalDocument[cda:templateId[(@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2') or                   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.3') or                   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')   ]])         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/          cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]/cda:effectiveTime        else () " />
    <xsl:variable name="diag-remission" select="if (not($diag-has-date and $valid-diag-proc-5 and $is-problem-diagnosis)) then ()        else ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/         cda:entry/cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]/cda:entryRelationship[@typeCode='SUBJ']/         cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]/cda:value " />
    <xsl:variable name="diag-ivl-low" select="$diag-intervals/cda:low/@value " />
    <xsl:variable name="diag-ivl-value" select="$diag-intervals/@value " />
    <xsl:variable name="diag-ivl-high" select="$diag-intervals/cda:high/@value " />
    <xsl:variable name="assess-diag-ongoing" select="(exists($diag-ivl-low) and not(exists($diag-ivl-value)) and not(exists($diag-ivl-high))) or              (not(exists($diag-ivl-low)) and exists($diag-ivl-value) and not(exists($diag-ivl-high))) or              (not(exists($diag-ivl-low)) and not(exists($diag-ivl-value)) and exists($diag-ivl-high)) or              (exists($diag-onset) and not(exists($diag-remission)))     or              (not(exists($diag-onset)) and exists($diag-remission))     " />
    <xsl:variable name="code-num" select="if ($assess-proc-short or $assess-diag-ongoing) then count($der-valid-codes-seq) else 0 " />
    <xsl:variable name="best-match-ratio" select=" 1.0 " />
    <xsl:variable name="comparison" select="if ($code-num &gt; 0)         then distinct-values(tokenize(normalize-space(translate(lower-case($der-text), $chars-no-space, '')), ' ')) else () " />
    <xsl:variable name="comparison-count" select="count($comparison) " />
    <xsl:variable name="der-valid-code-pterm" select="if ($code-num &gt; 0) then tokenize($der-valid-codes-4, '\|') else () " />
    <xsl:variable name="code-terms" select="if ($code-num &gt; 0) then for $x in $der-valid-code-pterm return          normalize-space(dh:XQueryRecursiveReplace(dh:XQueryRecursiveReplace(translate(lower-case(replace($x, '^([0-9]+\[)(.*?)(\]$)', '$2')),          $chars-no-space, ''), $diag-proc-fir-pattern-replacement, 'ic'), $diag-proc-sec-pattern-replacement, 'ic')) else () " />
    <xsl:variable name="code-term-num" select="count($code-terms) " />
    <xsl:variable name="code-term-count" select="if ($code-term-num &gt; 0) then for $i in (1 to $code-term-num) return count(distinct-values(tokenize($code-terms[$i], ' '))) else () " />
    <xsl:variable name="best-matches" select="(for $j in (1 to $code-term-num) return               if (           (            (             $comparison-count + $code-term-count[$j] - count(distinct-values(($comparison, tokenize($code-terms[$j], ' '))))            ) div $comparison-count            +            (             $comparison-count + $code-term-count[$j] - count(distinct-values(($comparison, tokenize($code-terms[$j], ' '))))            ) div $code-term-count[$j]           ) div 2 &gt;= $best-match-ratio          ) then $der-valid-code-pterm[$j] else '')[. != ''] " />
    <xsl:variable name="best-codes" select="if (exists($best-matches)) then for $concept in $best-matches return replace($concept, '^([0-9]+)(\[.*?\]$)', '$1')         else $der-valid-codes-seq " />
    <xsl:variable name="best-num" select="count($best-codes)" />
    <xsl:variable name="short-procedure-codes" select="if ($assess-proc-short and $best-num &gt; 0) then for $item in $cd-definitions/proc/proc-short/hierarchy return $item/@code else () " />
    <xsl:variable name="procedure-type" select="if ($assess-proc-short and $best-num &gt; 0) then tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($best-codes, ' OR '), ') AND &lt;&lt;(', string-join($short-procedure-codes, ' OR '), ')'), '',         string($best-num), false()), '\|') else () " />
    <xsl:variable name="error-usingTS-7a" select="$error-usingTS-6 or 'Error' = $procedure-type " />
    <xsl:variable name="short-procedure" select="$valid-diag-proc-5 and $assess-proc-short and $best-num &gt; 0 and not($error-usingTS-7a) and $best-num = count($procedure-type) " />
    <xsl:variable name="procedure-codes" select="if ($is-uncategorised and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $best-num &gt; 0)         then tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($best-codes, ' OR '), ') AND ^32570141000036105'), '', string($best-num), false()), '\|')        else if ($is-procedure and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true')) then $der-valid-codes-4        else () " />
    <xsl:variable name="error-usingTS-7b" select="$error-usingTS-7a or 'Error' = $procedure-codes " />
    <xsl:variable name="ongoing-diag-codes" select="if ($assess-diag-ongoing and $best-num &gt; 0) then for $item in $cd-definitions/diag/diag-ongoing/hierarchy return $item/@code else () " />
    <xsl:variable name="diagnosis-type" select="if ($assess-diag-ongoing and $best-num &gt; 0) then tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($best-codes, ' OR '), ') AND &lt;&lt;(', string-join($ongoing-diag-codes, ' OR '), ')'), '',         string($best-num), false()), '\|') else () " />
    <xsl:variable name="error-usingTS-7c" select="$error-usingTS-7b or 'Error' = $diagnosis-type " />
    <xsl:variable name="ongoing-diagnosis" select="$valid-diag-proc-5 and $assess-diag-ongoing and $best-num &gt; 0 and not($error-usingTS-7b) and $best-num = count($diagnosis-type) " />
    <xsl:variable name="repeated-start" select="if (not($ongoing-diagnosis and $is-uncategorised and (exists(../cda:effectiveTime/cda:low/@value) or exists(../cda:effectiveTime/@value)))) then ()        else ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/         cda:entry/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16627']]/cda:text         [matches(., concat('^', translate($der-text-2, $chars-to-remove, ''), '$'), 'is')] " />
    <xsl:variable name="diagnosis-codes" select="if ($is-uncategorised and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))         then tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($best-codes, ' OR '), ') AND ^32570581000036105'), '', string($best-num), false()), '\|')        else () " />
    <xsl:variable name="diagnosis-codes" select="if ($is-uncategorised and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $best-num &gt; 0)         then tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',         concat('(', string-join($best-codes, ' OR '), ') AND ^32570581000036105'), '', string($best-num), false()), '\|')        else if ($is-problem-diagnosis and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))         then tokenize($der-valid-codes-4, '\|')        else () " />
    <xsl:variable name="error-usingTS-7d" select="$error-usingTS-7c or 'Error' = $diagnosis-codes " />
    <xsl:variable name="error-usingTS-7" select="$error-usingTS-7d " />
    <xsl:variable name="undetermined-diag-proc-1" select="if (exists($der-valid-codes-seq)) then $der-diag-proc-codes-5[not(. = $der-valid-codes-seq)] else $der-diag-proc-codes-5 " />
    <xsl:variable name="undetermined-inactive-1" select="for $i in (1 to count($undetermined-diag-proc-1)) return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $undetermined-diag-proc-1[$i], '', '1', false()) " />
    <xsl:variable name="error-usingTS-8" select="$error-usingTS-7 or 'Error' = $undetermined-inactive-1 " />
    <xsl:variable name="undetermined-inactive" select="(for $i in (1 to count($undetermined-diag-proc-1)) return         if (contains($undetermined-inactive-1[$i], '~inactive')) then $undetermined-inactive-1[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-1" select="for $i in (1 to count($undetermined-inactive))        return dh:IsCodeAssociatedWithAnotherCode(replace($undetermined-inactive[$i], '(\[.*?\])(\||$)', '$2'), '2.16.840.1.113883.6.96', $v-current-sctau) " />
    <xsl:variable name="error-usingV-2" select="$error-usingV-1 or 'Error' = $undetermined-NAF-1 " />
    <xsl:variable name="undetermined-NAF" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-codes" select="for $term in $undetermined-NAF return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-NAF-active" select="(for $i in (1 to count($undetermined-inactive)) return if ($undetermined-NAF-1[$i] = 'NoAssociationFound~active')          then $undetermined-inactive[$i] else '')[. != ''] " />
    <xsl:variable name="undetermined-NAF-active-codes" select="for $term in $undetermined-NAF-active return replace($term,  '(\[.*?\])(\||$)', '$2') " />
    <xsl:variable name="undetermined-diag-proc" select="$undetermined-diag-proc-1[not(. = ($undetermined-NAF-codes, $undetermined-NAF-active-codes))]" />
    <xsl:variable name="invalid-diag-proc" select="not($valid-diag-proc-5) and exists($invalid-diag-proc-codes) and not(exists($undetermined-diag-proc))" />
    <xsl:variable name="an-immun-3" select="if ($an-immun-2) then true()        else if (not($try-immun) or $valid-diag-proc-5 or $invalid-diag-proc or not(exists($vaccine-text-normalised))) then false()        else if ($der-text != '' and translate(lower-case($der-text), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else if ($use-revised-text-1 and translate(lower-case($der-revised-text-1), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else if ($use-revised-text-2 and translate(lower-case($der-revised-text-2), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else if ($use-revised-text-3 and translate(lower-case($der-revised-text-3), $chars-to-remove, '') = $vaccine-text-normalised) then true()        else false() " />
    <xsl:variable name="vaccine-code-test" select="if ($try-immun and not($an-immun-3 or $valid-diag-proc-5 or $invalid-diag-proc or $avoid-ts or $error-usingTS-8) and exists($undetermined-diag-proc))          then tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           concat('(', string-join($undetermined-diag-proc, ' OR '), ') AND (&lt;71181003 OR &lt;127785005)'), '',           string(count($undetermined-diag-proc)), false()), '\|')        else () " />
    <xsl:variable name="error-usingTS-9" select="$error-usingTS-8 or 'Error' = $vaccine-code-test " />
    <xsl:variable name="an-immun" select="$an-immun-3 or (not('Error' = $vaccine-code-test) and exists($undetermined-diag-proc) and         count($vaccine-code-test) = count($undetermined-diag-proc)) " />
    <xsl:variable name="try-tgi" select="not($valid-diag-proc-5 or $invalid-diag-proc or ($try-immun and $an-immun) or $der-text = '' or $negated-err or $der-text-non-value or         $der-invalid-text) and /cda:ClinicalDocument/cda:code[         (@codeSystem = '2.16.840.1.113883.6.1' and @code = ('60591-5', '34133-9', '18842-5', '57133-1', '51852-2')) or         (@codeSystem = '1.2.36.1.2001.1001.101' and @code = '100.16685')      ]" />
    <xsl:variable name="der-tgi-text" select="if ($try-tgi) then normalize-space(dh:XQueryRecursiveReplace($der-text,         concat($tgi-fir-pattern-replacement, '~', $tgi-regex, '~', $tgi-sec-pattern-replacement, '~', $tgi-thi-pattern-replacement), 'ic')) else '' " />
    <xsl:variable name="use-tgi-text" select="$der-tgi-text != '' and $der-tgi-text != $der-text " />
    <xsl:variable name="a-sas-tgi" select="$try-tgi and $use-tgi-text and $tgi-sas-regex != '' and matches($der-tgi-text, $tgi-sas-regex, 'is')" />
    <xsl:variable name="an-uncoded-tgi" select="$try-tgi and $use-tgi-text and $tgi-otheru-regex != '' and matches($der-tgi-text, $tgi-otheru-regex, 'is')" />
    <xsl:variable name="der-tgi-codes" select="if ($avoid-ts or $error-usingTS-9) then ''         else if ($try-tgi and $use-tgi-text and not($a-sas-tgi or $an-uncoded-tgi))         then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $tgi-formula, $der-tgi-text,           $max-code-number, false())         else '' " />
    <xsl:variable name="error-usingTS-10" select="$error-usingTS-9 or 'Error' = $der-tgi-codes " />
    <xsl:variable name="a-tgi" select="$try-tgi and ($a-sas-tgi or $an-uncoded-tgi or contains($der-tgi-codes, '[')) and not(exists($undetermined-diag-proc)) " />
    <xsl:variable name="codes-were-found" select="exists($der-diag-proc-codes-4) or not($der-valid-codes-4 = ('', 'Error')) " />
    <xsl:variable name="codes-not-found" select="not($codes-were-found) and not($der-text = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or        $valid-diag-proc-5 or $invalid-diag-proc or $an-immun or $a-tgi or $error-usingTS-10 or $family-err or $length-err or $prose-err or $negated-err) " />
    <xsl:variable name="codes-in-the-domain" select="not($valid-diag-proc-1) and $valid-diag-proc-5" />
    <xsl:variable name="codes-in-other-domain" select="$codes-were-found and not($der-text-1 = '' or $der-text-non-value or $der-invalid-text or $der-trusted-text or $valid-diag-proc-5 or         $invalid-diag-proc or $an-immun or $a-tgi) " />
    <xsl:variable name="codes-in-no-domain" select="exists($der-diag-proc-codes-5) " />
    <xsl:variable name="display-in-the-domain" select="if ($codes-in-the-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', replace(dh:XQueryRecursiveReplace($der-valid-codes-4, $term-pattern-replacement, 'ic'), '\|', ', '), '''')        else '' " />
    <xsl:variable name="display-in-other-r" select="if (exists($invalid-diag-proc-codes-r) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-diag-proc-codes-r return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-h" select="if (exists($invalid-diag-proc-codes-h) and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then replace(dh:XQueryRecursiveReplace(string-join(for $code in $invalid-diag-proc-codes-h return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), ', '),          $term-pattern-replacement, 'ic'), '\|', ', ')        else '' " />
    <xsl:variable name="display-in-other-domain" select="if (not($codes-in-other-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))) then ''        else if ($display-in-other-r and display-in-other-h) then concat('''', $display-in-other-r, ', ', $display-in-other-h, '''')        else if ($display-in-other-r) then concat('''', $display-in-other-r, '''')        else if ($display-in-other-h) then concat('''', $display-in-other-h, '''')        else '' " />
    <xsl:variable name="display-in-no-domain" select="if ($codes-in-no-domain and ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true'))        then concat('''', dh:XQueryRecursiveReplace(string-join(for $code in $der-diag-proc-codes-5 return          dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $code, '', '1', false()), '; '),          $term-pattern-replacement, 'ic'), '''')        else '' " />
    <xsl:variable name="display-text-1" select="if (cda:originalText != '') then normalize-space(cda:originalText)        else if (. != '') then normalize-space(.)        else '' " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-dname" select="if (@displayName) then         concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-attr" select="if (cda:originalText and @code and @displayName)          then concat('originalText ', $display-text, ', code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ',          $display-dname)         else if (cda:originalText and @code and not(@displayName))          then concat('originalText ', $display-text, ' and code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (not(cda:originalText) and @code and @displayName)          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and @code and not(@displayName))          then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))         else if (cda:originalText and not(@code) and not(@displayName)) then normalize-space(concat('originalText ', $display-text))        else if (. != '') then normalize-space(concat('the text ', $display-text))        else if (not(normalize-space(cda:originalText) = '') and not(@code) and @displayName)          then concat('originalText ', $display-text, ' and displayName ', $display-dname)         else if (normalize-space(cda:originalText) = '' and not(@code) and @displayName)          then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')         else if (@codeSystem and not(@codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="log-element" select="if ($error-usingTS-10 or not($flags/@report-terminology-concepts = 'true') or $log-concepts-name = '') then ''        else if ($is-problem-diagnosis) then 'Problem/Diagnosis' else if ($is-procedure) then 'Procedure' else 'Problem/Diagnosis or Procedure' " />
    <xsl:variable name="log-concepts-appended" select="if ($error-usingTS-10 or not($flags/@report-terminology-concepts = 'true') or $log-concepts-name = '') then ''        else if ($codes-not-found and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                   $log-element,    $log-tab,                   'yes',     $log-tab,                   concat($display-attr, $display-system), $log-tab,                   '',     $log-tab,                  '',     $log-tab,                  '',     $log-tab,                  $ts-current-sctau   ))        else if (($use-revised-text-3 or $codes-in-no-domain) and $log-concepts-created != 'ERROR') then dh:AppendLog($log-concepts-name, concat(                       $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),   $log-tab,                  $log-element,    $log-tab,                   'yes',     $log-tab,                     concat($display-attr, $display-system), $log-tab,                    $display-in-the-domain,   $log-tab,                  $display-in-other-domain,  $log-tab,                  $display-in-no-domain,   $log-tab,                  $ts-current-sctau   ))         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-01" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating" select="if ($text-without-markup = '' or (cda:originalText and cda:originalText != '')) then $rating-57 else $rating-01 " />
    <xsl:variable name="test-case-id" select="if ($text-without-markup = '' or (cda:originalText and cda:originalText != '')) then 'TC-Types-57' else 'TC-Doc-01' " />
    <!--REPORT -->
    <xsl:if test=" $log-concepts-appended = ('NOTFOUND', 'ERROR') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$log-concepts-appended = ('NOTFOUND', 'ERROR')">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Diag-Proc-Defn): The AppendLog function returned '<xsl:text /><xsl:value-of select="$log-concepts-appended" /><xsl:text />' when requested to append the concepts log
		'<xsl:text /><xsl:value-of select="$log-concepts-name" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-3a = '' or $der-text-a = '') and    not($uncat-embedded-error or $negated-err or $valid-diag-proc-5) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($der-text-1, '[a-z]', 'i') and ($der-text-2a = '' or $der-text-3a = '' or $der-text-a = '') and not($uncat-embedded-error or $negated-err or $valid-diag-proc-5)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Diag-Proc-Defn): An unexpected problem occurred when assessing the value of the Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. The application of regular expressions resulted in the complete loss of text.
		Report the information below to the Australian Digital Health Agency for investigation.

		der-text-1 '<xsl:text /><xsl:value-of select="normalize-space(dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'))" /><xsl:text />'.
		der-truncated-text-1 '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-truncated-text-1, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-2a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-2a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-3a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-3a, $term-pattern-replacement, 'ic')" /><xsl:text />'.
		der-text-a '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($der-text-a, $term-pattern-replacement, 'ic')" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingV-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingV-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Diag-Proc-Defn): An error was reported when accessing the terminology server when assessing the Procedure Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		Report the issue to the Australian Digital Health Agency for investigation stating the error was recorded for error-usingV-2.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-10 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-10">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (p-TS-CD-Diag-Proc-Defn): An error was reported when accessing the terminology server when assessing the Procedure Name data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> containing the term:
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The analysis should be retried as the terminology server may have been temporarily unavailable.
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation, stating that the error was found by
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'error-usingTS-1' else if ($error-usingTS-2-a) then 'error-usingTS-2-a'   else if ($error-usingTS-2-b) then 'error-usingTS-2-b' else if ($error-usingTS-2-c) then 'error-usingTS-2-c'   else if ($error-usingTS-2-d) then 'error-usingTS-2-d' else if ($error-usingTS-2-e) then 'error-usingTS-2-e'   else if ($error-usingTS-2) then 'error-usingTS-2'   else if ($error-usingTS-3) then 'error-usingTS-3' else if ($error-usingTS-4) then 'error-usingTS-4'   else if ($error-usingTS-5) then 'error-usingTS-5' else if ($error-usingTS-6) then 'error-usingTS-6'   else if ($error-usingTS-7) then 'error-usingTS-7' else if ($error-usingTS-8) then 'error-usingTS-8'   else if ($error-usingTS-9) then 'error-usingTS-9' else 'error-usingTS-10' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($family-err or $length-err) and not($prose-err or $negated-err or $der-invalid-text) and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($family-err or $length-err) and not($prose-err or $negated-err or $der-invalid-text) and not(cda:originalText)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: <xsl:text /><xsl:value-of select="$test-case-id" /><xsl:text />: The Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which may be invalid as it
		<xsl:text /><xsl:value-of select="if ($family-err) then 'contains the family name of a healthcare participant' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($family-err and $length-err) then ' and ' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($length-err) then 'seems to be too long to describe a concept and may be a copy of or extract from the narrative.' else '.' " /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the name of the procedure (to be) performed.         (See section 4.5 of the Specialist Letter Structured Content Specification v1.1.)'))" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $is-uncategorised and $prose-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-uncategorised and $prose-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: <xsl:text /><xsl:value-of select="$test-case-id" /><xsl:text />: The Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is invalid as it is prose text.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the name of the procedure (to be) performed.         (See section 4.5 of the Specialist Letter Structured Content Specification v1.1.)'))" /><xsl:text /> A place to record prose text is in a comment or clinical synopsis data element.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and not($is-uncategorised) and $prose-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and not($is-uncategorised) and $prose-err">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: <xsl:text /><xsl:value-of select="$test-case-id" /><xsl:text />: The Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is invalid as it is prose text.
		<xsl:text /><xsl:value-of select="if ($is-problem-diagnosis or $is-procedure) then concat('The Procedure Name data element is CodeableText derived from the HL7 CD data type which by definition is to record ',   'a concept defined in an external code system, terminology or ontology. (See section 7.5.2.1 of ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')    else '' " /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the name of the procedure (to be) performed.         (See section 4.5 of the Specialist Letter Structured Content Specification v1.1.)'))" /><xsl:text />
		A place to record prose text is in a comment or clinical synopsis data element.
		This finding will also be reported as an error.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $codes-not-found ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $codes-not-found">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: <xsl:text /><xsl:value-of select="$test-case-id" /><xsl:text />: The Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the name of the procedure (to be) performed.         (See section 4.5 of the Specialist Letter Structured Content Specification v1.1.)'))" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the PROCEDURE section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$codes-in-other-domain and not($error-usingTS-10)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$codes-in-other-domain and not($error-usingTS-10)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: <xsl:text /><xsl:value-of select="$test-case-id" /><xsl:text />: The Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value does not seem to be applicable for the data element.
		<xsl:text /><xsl:value-of select="normalize-space('The value of the data element must be consistent with the definition which is to identify the name of the procedure (to be) performed.         (See section 4.5 of the Specialist Letter Structured Content Specification v1.1.)')" /><xsl:text /> Confirm if the value of the data element is consistent with this definition.
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $negated-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$negated-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: <xsl:text /><xsl:value-of select="$test-case-id" /><xsl:text />: The Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element has an invalid value which states the healthcare consumer
		<xsl:text /><xsl:value-of select="if ('Procedure Name' = 'Problem/Diagnosis Identification') then 'does not have a problem' else if ('Procedure Name' = 'Procedure Name') then 'has not had a procedure'   else if ('Procedure Name' = 'Medical History Item Description') then 'does not have the item' else 'Procedure Name'" /><xsl:text />.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the name of the procedure (to be) performed.         (See section 4.5 of the Specialist Letter Structured Content Specification v1.1.)'))" /><xsl:text />
		If the consumer once had the <xsl:text /><xsl:value-of select="if ('Procedure Name' = 'Problem/Diagnosis Identification') then 'problem'    else if ('Procedure Name' = 'Procedure Name') then 'procedure' else if ('Procedure Name' = 'Medical History Item Description') then 'item' else 'Procedure Name'" /><xsl:text /> then the error may be
		corrected by stating the
		<xsl:text /><xsl:value-of select="if ('Procedure Name' = 'Problem/Diagnosis Identification') then 'problem the consumer once had' else if ('Procedure Name' = 'Procedure Name') then 'procedure the consumer once had'    else if ('Procedure Name' = 'Medical History Item Description') then 'medical history item the consumer once had' else 'Procedure Name'" /><xsl:text /> and including an end date. If the consumer was previously thought
		to have had the <xsl:text /><xsl:value-of select="if ('Procedure Name' = 'Problem/Diagnosis Identification') then 'problem' else if ('Procedure Name' = 'Procedure Name') then 'procedure'   else if ('Procedure Name' = 'Medical History Item Description') then 'medical history item' else 'Procedure Name'" /><xsl:text /> and if this was subsequently ruled out then
		<xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> must not be included in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the name of the procedure (to be) performed.         (See section 4.5 of the Specialist Letter Structured Content Specification v1.1.)'))" /><xsl:text />
		The Procedure Name data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: <xsl:text /><xsl:value-of select="$test-case-id" /><xsl:text />: The Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the name of the procedure (to be) performed.         (See section 4.5 of the Specialist Letter Structured Content Specification v1.1.)'))" /><xsl:text />
		The Procedure Name data element must have a value that is consistent with this definition. Alternatively if there is no Procedure Name data element with a proper value then an exclusion
		statement must be included to state why there is no Procedure Name. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4')    then concat('Text such as ''', dh:XQueryRecursiveReplace($der-text-1, $term-pattern-replacement, 'ic'), ''' may be permitted in the narrative even though the Procedure Name data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and $der-text-1 != '' and $der-text-non-value">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the data element does not have a proper value.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the name of the procedure (to be) performed.         (See section 4.5 of the Specialist Letter Structured Content Specification v1.1.)'))" /><xsl:text />
		The Procedure Name data element must have a value that is consistent with this definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($der-text-non-value) and $der-invalid-text ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($der-text-non-value) and $der-invalid-text">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid. <xsl:text /><xsl:value-of select="$defn-invalid-rsn" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the name of the procedure (to be) performed.         (See section 4.5 of the Specialist Letter Structured Content Specification v1.1.)'))" /><xsl:text /><xsl:text /><xsl:value-of select="if ($uncat-embedded-comment != '') then concat(' The Procedure Name text contains the comment ''', $uncat-embedded-comment,     ''' which should have been recorded in the Medical History Item Comment data element.',    ' (See the mapping table for Medical History Item Comment in the ', $document-name, ' CDA Implementation Guide.)') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($uncat-embedded-start != '' and $uncat-embedded-end != '') then concat(' The Procedure Name text contains a time interval commencing at ''', $uncat-embedded-start,     ''' and ending at ', $uncat-embedded-end, ''' however they should have been recorded in the low and high elements of the Medical History Item TimeInterval data element.')     else if ($uncat-embedded-start != '' and $uncat-embedded-end = '') then concat(' The Procedure Name text contains a time interval commencing at ''', $uncat-embedded-start,     ''' which should have been recorded in the low element of the Medical History Item TimeInterval data element.')    else if ($uncat-embedded-start = '' and $uncat-embedded-end != '') then concat(' The Procedure Name text contains a time interval ending at ', $uncat-embedded-end,     ''' which should have been recorded in the high element of the Medical History Item TimeInterval data element.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($uncat-embedded-dt != '') then concat(' The Procedure Name text contains the date ''', $uncat-embedded-dt,     ''' which should have been recorded in the value attribute of the Medical History Item TimeInterval data element.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($uncat-embedded-start != '' or $uncat-embedded-end != '' or $uncat-embedded-dt != '') then concat(    ' (See the mapping table for Medical History Item TimeInterval in the ', $document-name, ' CDA Implementation Guide.)') else '' " /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $an-immun and not($error-usingTS-10)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$an-immun and not($error-usingTS-10)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: <xsl:text /><xsl:value-of select="$test-case-id" /><xsl:text />: The Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the value is invalid.
		<xsl:text /><xsl:value-of select="if ($is-problem-diagnosis) then concat('Administering an immunisation is not a medical problem or diagnosis and the ', $document-name,    ' has a separate Immunisation section for recording the immunisation.')   else 'Administering an immunisation is not a medical procedure that may be recorded in this section of the document as there is a separate Immunisation section for that purpose.' " /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the name of the procedure (to be) performed.         (See section 4.5 of the Specialist Letter Structured Content Specification v1.1.)'))" /><xsl:text />
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the PROCEDURE section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $a-tgi and not($error-usingTS-10) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$a-tgi and not($error-usingTS-10)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: <xsl:text /><xsl:value-of select="$test-case-id" /><xsl:text />: The Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> however the value is invalid as it identifies a medication.
		Administering a medication is not a medical procedure that may be recorded in this section of the document as there is a separate Medication section for that purpose.
		<xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the name of the procedure (to be) performed.         (See section 4.5 of the Specialist Letter Structured Content Specification v1.1.)'))" /><xsl:text />
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'. <xsl:text /><xsl:value-of select="normalize-space('The value domain is specified in the mapping table Vocab column in the PROCEDURE section of the CDA Implementation Guide.')" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $invalid-diag-proc and not($error-usingTS-10) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$invalid-diag-proc and not($error-usingTS-10)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		however the value is invalid
		<xsl:text /><xsl:value-of select="if (exists($invalid-diag-proc-codes-h)) then concat(' as it describes ', string-join(distinct-values(for $code in tokenize(replace(   dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat('(', string-join(for $code in $invalid-diag-proc-codes-h return concat('&gt;&gt;', $code), ' OR '), ') AND (',    string-join(for $hierarchy in $the-invalid-h return $hierarchy/@code, ' OR '), ')'), '',    string(count($invalid-diag-proc-codes-h)), true()), '(\[.*?\])(\||$)', '$2'), '\|') return $the-invalid-h[@code = $code]/@description)[position() = (1 to 2)], ' and '), '.')    else if (exists($invalid-diag-proc-codes-r)) then concat(' as it describes ', string-join(distinct-values(for $code in $invalid-diag-proc-codes-r return   $the-invalid-r[index-of(for $x in (for $refset in $the-invalid-r return    dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',   concat($code, ' AND ^', $refset/@code), '', '1', true()), '|') return matches($x, '^[0-9]'), true())[1]]/@description), ' and '), '.')   else '.'" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', normalize-space('The value of the data element must be consistent with the definition which is to identify the name of the procedure (to be) performed.         (See section 4.5 of the Specialist Letter Structured Content Specification v1.1.)'))" /><xsl:text />
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-no-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable outside the applicable value domain): The Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following codes were obtained and are not in the value domain: <xsl:text /><xsl:value-of select="$display-in-no-domain" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and exists(($der-NAF-codes, $undetermined-NAF-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-Diag-Proc-Defn): The Procedure Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU and no associated code was found in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists(($der-NAF-active-codes, $undetermined-NAF-active-codes)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists(($der-NAF-active-codes, $undetermined-NAF-active-codes))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Finding: (p-TS-CD-Diag-Proc-Defn): The Procedure Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="($der-NAF-active-codes, $undetermined-NAF-codes)[1]" /><xsl:text />' was found to be an inactive code in the terminology server using the
		'<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />' version of SNOMED CT-AU but it was not found with this status in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU.
		<xsl:text /><xsl:value-of select="if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ''' version should solve the issue.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $valid-diag-proc-1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $valid-diag-proc-1">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept is codeable within the value domain): The Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which matches one of the terms listed in
		<xsl:text /><xsl:value-of select="if ($a-disease) then 'the vaccine information in CodeSystems.xml' else 'Knowledge.xml' " /><xsl:text /> for the Procedure Name.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@report-terminology-concepts = 'true' or $flags/@allow-debug = 'true') and $codes-in-the-domain">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: (concept is codeable within the value domain): The Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a valid value for the Procedure Name.
		SNOMED CT-AU codes that matched the concept are: <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (count($best-matches) = count($der-valid-codes-seq)) then ''   else if (count($best-matches) = 1) then concat('The analysis continued only with the best matching code which is ''',   dh:XQueryRecursiveReplace($best-matches[1], $markup-pattern-replacement, 'ic'), '''.')   else if (exists($best-matches)) then concat('The analysis continued only with the best matching codes which are ''',   dh:XQueryRecursiveReplace(string-join($best-matches, '; '), $markup-pattern-replacement, 'ic'), '''.')   else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ('Error' = $procedure-codes or not(exists($procedure-codes))) then ''   else if ($best-num = count($procedure-codes)) then ' All matching codes are members of the Procedure Foundation reference set.'    else if (count($procedure-codes) = 1) then concat(' Out of the ', $best-num, ' codes one is a member of the Procedure Foundation reference set (', string-join($procedure-codes, '; '), ').')    else if (count($procedure-codes) = 0) then concat(' Out of the ', $best-num, ' codes none is a member of the Procedure Foundation reference set.')   else concat(' Out of the ', $best-num, ' codes ', count($procedure-codes), ' are members of the Procedure Foundation reference set (', string-join($procedure-codes, '; '), ').') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($error-usingTS-7 or not(exists($procedure-codes))) then ''   else if (not($assess-proc-short)) then ' The procedure duration was not assessed.'   else if (count($procedure-type) = 0 and $best-num = count($procedure-codes)) then ' This may be a long duration procedure.'   else if (count($procedure-type) = 0) then ''   else if ($short-procedure) then ' This is a short duration procedure.'    else if ($best-num &gt; count($procedure-type) and count($procedure-type) = 1)     then concat(' Out of the ', $best-num, ' codes one describes a short duration procedure (', string-join($procedure-type, '; '), ').')   else if ($best-num &gt; count($procedure-type))     then concat(' Out of the ', $best-num, ' codes ', count($procedure-type), ' describe a short duration procedure (', string-join($procedure-type, '; '), ').')   else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ('Error' = $diagnosis-codes or not(exists($diagnosis-codes))) then ''   else if ($best-num = count($diagnosis-codes)) then ' All matching codes are members of the Problem/Diagnosis reference set.'    else if (count($diagnosis-codes) = 1) then concat(' Out of the ', $best-num, ' codes one is a member of the Problem/Diagnosis reference set (', string-join($diagnosis-codes, '; '), ').')    else if (count($diagnosis-codes) = 0) then concat(' Out of the ', $best-num, ' codes none is a member of the Problem/Diagnosis reference set.')   else concat(' Out of the ', $best-num, ' codes ', count($diagnosis-codes), ' are members of the Problem/Diagnosis reference set (', string-join($diagnosis-codes, '; '), ').') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($error-usingTS-7 or not(exists($diagnosis-codes))) then ''   else if (not($assess-diag-ongoing)) then ' The medical problem duration was not assessed.'   else if (count($diagnosis-type) = 0 and $best-num = count($diagnosis-codes)) then ' This medical problem may not be ongoing.'   else if (count($diagnosis-type) = 0) then ''   else if ($ongoing-diagnosis) then concat(' This medical problem is generally ongoing and is a member of the following conditions in the Knowledge.xml file: ''',    string-join(for $concept in $diagnosis-type return     dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',     concat('&gt;&gt;', replace($concept, '^([0-9]+)(\[.*?\]$)', '$1'), ' AND (', string-join($ongoing-diag-codes, ' OR '), ')'), '', '1', false()), '|'), '''.')   else if ($best-num &gt; count($diagnosis-type) and count($diagnosis-type) = 1)     then concat(' Out of the ', $best-num, ' codes one describes an ongoing medical problem (', string-join($diagnosis-type, '; '), ').')   else if ($best-num &gt; count($diagnosis-type))     then concat(' Out of the ', $best-num, ' codes ', count($diagnosis-type), ' describe an ongoing medical problem (', string-join($diagnosis-type, '; '), ').')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-diag-proc-1 or $prose-err or $negated-err) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and not($der-text = '' or $der-text-non-value or $der-invalid-text or $valid-diag-proc-1 or $prose-err or $negated-err)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: <xsl:text /><xsl:value-of select="$test-case-id" /><xsl:text />: The Procedure Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The text used to match regular expression (der-text-2) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to match non-values and vaccines (der-text-to-match) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text-to-match, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		The text used to derive a code (der-text) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.

		<xsl:text /><xsl:value-of select="if ($use-revised-text-1) then concat(' A first revision of the text (der-revised-text-1) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-1, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A first revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-1 != '' and $der-revised-text-1 = '') then ' revision-pattern-1 was applied but the output (der-revised-text-1) was an empty string.' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($use-revised-text-2) then concat(' A second revision of the text (der-revised-text-2) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-2, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A second revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-2 != '' and $der-revised-text-2 = '') then ' revision-pattern-2 was applied but the output (der-revised-text-2) was an empty string.' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($use-revised-text-3) then concat(' A third revision of the text (der-revised-text-3) is ', codepoints-to-string(34),   dh:XQueryRecursiveReplace($der-revised-text-3, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) else ' A third revision of the text was not used.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($revision-pattern-3 != '' and $der-revised-text-3 = '') then ' revision-pattern-3 was applied but the output (der-revised-text-3) was an empty string.' else '' " /><xsl:text />

		Codes for related terms (related-terms-2): '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($related-terms-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes for related terms (der-valid-codes-1): 
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-1, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-diag-proc-codes-2) returned by the terminology server that match the text:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-diag-proc-codes-2, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes from related terms or the terminology server (der-valid-codes-2):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-2, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-inactive-codes-3) returned from the Validator's database associated with inactive codes:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-inactive-codes-3, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Valid codes found after examining inactive codes (der-valid-codes-3):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-valid-codes-3, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Codes (der-diag-proc-codes-3) returned by the terminology server that are in der-inactive-codes-3 and the value domain:
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($der-diag-proc-codes-3, '|'), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.

		Members of invalid reference sets (invalid-diag-proc-codes-r): '<xsl:text /><xsl:value-of select="$display-in-other-r" /><xsl:text />'.
		Members of invalid code hierarchies (invalid-diag-proc-codes-h): '<xsl:text /><xsl:value-of select="$display-in-other-h" /><xsl:text />'.

		Final set of valid medical diagnosis and procedure codes (der-valid-codes-4): <xsl:text /><xsl:value-of select="$display-in-the-domain" /><xsl:text />.

		 diag-proc-codes-5): '<xsl:text /><xsl:value-of select="string-join($der-diag-proc-codes-5, ''', ''')" /><xsl:text />'.
		Codes whose validity has not been determined and are inactive with no associated code (undetermined-NAF): '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(    string-join($undetermined-NAF, ''', '''), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		
		Were immunisations examined (try-immun)?: '<xsl:text /><xsl:value-of select="$try-immun" /><xsl:text />'
		Were immunisations found in the first assessment (an-immun-1):  '<xsl:text /><xsl:value-of select="$an-immun-1" /><xsl:text />'
		Were immunisations found in the second assessment (an-immun-2):  '<xsl:text /><xsl:value-of select="$an-immun-2" /><xsl:text />'
		Were immunisations found in the third assessment (an-immun-3):  '<xsl:text /><xsl:value-of select="$an-immun-3" /><xsl:text />'
		Vaccine codes (vaccine-code-test):  '<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace(string-join($vaccine-code-test, '; '), $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Were immunisations found in the third assessment (an-immun):  '<xsl:text /><xsl:value-of select="$an-immun" /><xsl:text />'

		Were therapeutic good identifiers examined (try-tgi)?: '<xsl:text /><xsl:value-of select="$try-tgi" /><xsl:text />'
		Was text used to examine therapeutic good identifiers (use-tgi-text)?: '<xsl:text /><xsl:value-of select="$use-tgi-text" /><xsl:text />'
		The text used (der-tgi-text) is 
		<xsl:text /><xsl:value-of select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($der-tgi-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34)) " /><xsl:text />.
		Did the data element describe a therapeutic good on the Special Access Scheme (a-sas-tgi)?: '<xsl:text /><xsl:value-of select="$a-sas-tgi" /><xsl:text />'
		Did the data element describe an uncoded TGI (an-uncoded-tgi)?: '<xsl:text /><xsl:value-of select="$an-uncoded-tgi" /><xsl:text />'
		Set of TGI codes (der-tgi-codes):
		'<xsl:text /><xsl:value-of select="replace(dh:XQueryRecursiveReplace($der-tgi-codes, $term-pattern-replacement, 'ic'), '\|', ', ')" /><xsl:text />'.
		Was it confirmed that the data element describes a TGI (a-tgi)?: '<xsl:text /><xsl:value-of select="$a-tgi" /><xsl:text />'

		Will the value of the data element be trusted (der-trusted-text)? '<xsl:text /><xsl:value-of select="$der-trusted-text" /><xsl:text />'.
		
	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and $der-text != '' and not($valid-diag-proc-5 or $codes-were-found or $der-text-non-value or $der-invalid-text or    $an-immun or $a-tgi or $error-usingTS-10 or $family-err or $length-err or $prose-err or $negated-err) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and $der-text != '' and not($valid-diag-proc-5 or $codes-were-found or $der-text-non-value or $der-invalid-text or $an-immun or $a-tgi or $error-usingTS-10 or $family-err or $length-err or $prose-err or $negated-err)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (concept not codeable): The Procedure Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($avoid-ts) then 'The terminology server was not used to assist with finding codes corresponding to text in the data element. ' else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $short-procedure and not('' = '') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$short-procedure and not('' = '')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Procedure Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which describes a short duration procedure. The <xsl:text /><xsl:value-of select="''" /><xsl:text />
		data element describes the time interval when the procedure was performed and states that it commenced on '<xsl:text /><xsl:value-of select="$proc-ivl-location/cda:low/@value" /><xsl:text />' and the completion date was not
		stated which means the procedure is either ongoing or if it was was completed then the completion date was not recorded.
		(See section 8 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		As all <xsl:text /><xsl:value-of select="''" /><xsl:text /> data elements have a commencement date and no completion date then it is assumed that there is a software error rather than a human error causing the
		dates to be incorrectly recorded in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A way to record a time interval that completed the same day that it commenced is for the <xsl:text /><xsl:value-of select="''" /><xsl:text /> '<xsl:text /><xsl:value-of select="local-name($proc-ivl-location)" /><xsl:text />'
		data element to have a value attribute with the value '<xsl:text /><xsl:value-of select="$proc-ivl-location/cda:low/@value" /><xsl:text />' and no low or high elements.
		Alternatively if the commencement date is unknown and '<xsl:text /><xsl:value-of select="$proc-ivl-location/cda:low/@value" /><xsl:text />' is the date when the procedure was completed then the <xsl:text /><xsl:value-of select="''" /><xsl:text />
		'<xsl:text /><xsl:value-of select="local-name($proc-ivl-location)" /><xsl:text />' data element should have no low element and a high element with a value attribute with the value
		'<xsl:text /><xsl:value-of select="$proc-ivl-location/cda:low/@value" /><xsl:text />'. (See sections 3.6 and 3.8.1 of the HL7 Data Types - Abstract Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $ongoing-diagnosis and $is-uncategorised and exists(../cda:effectiveTime/cda:high/@value) and not('' = '') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$ongoing-diagnosis and $is-uncategorised and exists(../cda:effectiveTime/cda:high/@value) and not('' = '')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Procedure Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which describes a medical problem that is often ongoing however
		the <xsl:text /><xsl:value-of select="''" /><xsl:text /> data element, which describes the time interval applying to the medical problem, does not state a commencement date and has a 'high' element
		with a value that states the medical problem
		was resolved on '<xsl:text /><xsl:value-of select="../cda:effectiveTime/cda:high/@value" /><xsl:text />'. (See section 8 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		As the <xsl:text /><xsl:value-of select="''" /><xsl:text /> data elements have a resolution or remission date and no date of onset then, if the medical problem is ongoing, there may be a software error
		rather than a human error causing the dates to be incorrectly recorded in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. Confirm if the software system is able to correctly record an ongoing
		medical problem. A way to record a time interval for an ongoing medical problem is for the <xsl:text /><xsl:value-of select="''" /><xsl:text /> 'effectiveTime'
		data element to have a low element with a value attribute to record the commencement date and for the high element to be omitted.
		(See section 3.6 of the HL7 Data Types - Abstract Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $ongoing-diagnosis and $is-uncategorised and exists(../cda:effectiveTime/@value) and not('' = '') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$ongoing-diagnosis and $is-uncategorised and exists(../cda:effectiveTime/@value) and not('' = '')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Procedure Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which describes a medical problem that is often ongoing however
		the <xsl:text /><xsl:value-of select="''" /><xsl:text /> data element, which describes the time interval applying to the medical problem, has a 'value' attribute with the value
		'<xsl:text /><xsl:value-of select="../cda:effectiveTime/@value" /><xsl:text />' which indicates the medical problem both commenced and
		was resolved on '<xsl:text /><xsl:value-of select="../cda:effectiveTime/@value" /><xsl:text />'. (See section 8 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and
		section 3.8.1 of the HL7 Data Types - Abstract Specification.)
		As the <xsl:text /><xsl:value-of select="''" /><xsl:text /> data elements have value attribute then, if the medical problem is ongoing, there may be a software error rather than a human error causing
		the dates to be incorrectly recorded in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. Confirm if the software system is able to correctly record an ongoing medical problem.
		A way to record a time interval for an ongoing medical problem is for the <xsl:text /><xsl:value-of select="''" /><xsl:text /> 'effectiveTime'
		data element to have a low element with a value attribute to record the commencement date and for the high element to be omitted.
		(See section 3.6 of the HL7 Data Types - Abstract Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $ongoing-diagnosis and $is-problem-diagnosis and    exists(../cda:entryRelationship[@typeCode='SUBJ']/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]/cda:value/@value) and not('' = '') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$ongoing-diagnosis and $is-problem-diagnosis and exists(../cda:entryRelationship[@typeCode='SUBJ']/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]/cda:value/@value) and not('' = '')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Procedure Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which describes a medical problem that is often ongoing however
		the <xsl:text /><xsl:value-of select="''" /><xsl:text /> data element has a value that states the medical problem
		was resolved on '<xsl:text /><xsl:value-of select="../cda:entryRelationship[@typeCode='SUBJ']/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]/cda:value/@value" /><xsl:text />'.	
		As the Procedure Name data elements have a resolution or remission date and no date of onset then there may be a software error
		rather than a human error causing the dates to be incorrectly recorded in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. Confirm if the software system is able to correctly record an ongoing
		medical problem. (See information about the <xsl:text /><xsl:value-of select="''" /><xsl:text /> in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $ongoing-diagnosis and $is-uncategorised and count($repeated-start) &gt; 1 and not('' = '') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$ongoing-diagnosis and $is-uncategorised and count($repeated-start) &gt; 1 and not('' = '')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Procedure Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-attr" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which describes a medical problem that is often ongoing.

		The <xsl:text /><xsl:value-of select="''" /><xsl:text /> data element has a value that indicates the medical problem commenced or was first recorded on
		'<xsl:text /><xsl:value-of select="if (../cda:effectiveTime/cda:low/@value) then ../cda:effectiveTime/cda:low/@value else ../cda:effectiveTime/@value " /><xsl:text />'.
		According to information recorded in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> the medical problem has commenced on
		<xsl:text /><xsl:value-of select="if ($numbers/number[number(@value) = count($repeated-start)]) then $numbers/number[number(@value) = count($repeated-start)]/@name else count($repeated-start)" /><xsl:text />
		different occasions. As all Procedure Name data elements with a date have a commencement date then there may be a software error rather than a human error that has resulted in the ongoing
		medical problem to be recorded multiple times. Confirm if the software system is able to correctly record the dates for an ongoing
		medical problem. (See information about the <xsl:text /><xsl:value-of select="''" /><xsl:text /> in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M899" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M899" />
  <xsl:template match="@*|node()" priority="-2" mode="M899">
    <xsl:apply-templates select="@*|*" mode="M899" />
  </xsl:template>
  <!--PATTERN p-TS-Response-CodeableText-8-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16611' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16611']]/cda:entry/cda:procedure/cda:code   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M900">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16611' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16611']]/cda:entry/cda:procedure/cda:code   [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Procedure Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Procedure Name has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Procedure Name data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Procedure Name data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Procedure Name data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Procedure Name data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Procedure Name data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Procedure Name data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Procedure Name data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Procedure Name data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M900" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M900" />
  <xsl:template match="@*|node()" priority="-2" mode="M900">
    <xsl:apply-templates select="@*|*" mode="M900" />
  </xsl:template>
  <!--PATTERN p-TS-Response-Text-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16611' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16611']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15513.132.1.1']]/cda:text " priority="1000" mode="M901">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16611' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16611']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15513.132.1.1']]/cda:text " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Other Diagnosis or Procedure Name
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 5.5 of the Specialist Letter Structured Content Specification v1.1 the Other Diagnosis or Procedure Name 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 5.5 of the Specialist Letter Structured Content Specification v1.1 the Other Diagnosis or Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 5.5 of the Specialist Letter Structured Content Specification v1.1 the Other Diagnosis or Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Other Diagnosis or Procedure Name however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Other Diagnosis or Procedure Name in section 5.5 of the Specialist Letter Structured Content Specification v1.1 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 5.5 of the Specialist Letter Structured Content Specification v1.1 the Other Diagnosis or Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Other Diagnosis or Procedure Name however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Other Diagnosis or Procedure Name in section 5.5 of the Specialist Letter Structured Content Specification v1.1 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Other Diagnosis or Procedure Name data element with a proper value then an exclusion
		statement must be included to state why there is no Other Diagnosis or Procedure Name. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'allowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 5.5 of the Specialist Letter Structured Content Specification v1.1 the Other Diagnosis or Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Other Diagnosis or Procedure Name however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Other Diagnosis or Procedure Name in section 5.5 of the Specialist Letter Structured Content Specification v1.1 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 5.5 of the Specialist Letter Structured Content Specification v1.1 the Other Diagnosis or Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.5 of the Specialist Letter Structured Content Specification v1.1 the Other Diagnosis or Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.5 of the Specialist Letter Structured Content Specification v1.1 the Other Diagnosis or Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.5 of the Specialist Letter Structured Content Specification v1.1 the Other Diagnosis or Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.5 of the Specialist Letter Structured Content Specification v1.1 the Other Diagnosis or Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.5 of the Specialist Letter Structured Content Specification v1.1 the Other Diagnosis or Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.5 of the Specialist Letter Structured Content Specification v1.1 the Other Diagnosis or Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.5 of the Specialist Letter Structured Content Specification v1.1 the Other Diagnosis or Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 5.5 of the Specialist Letter Structured Content Specification v1.1 the Other Diagnosis or Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 5.5 of the Specialist Letter Structured Content Specification v1.1 the Other Diagnosis or Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M901" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M901" />
  <xsl:template match="@*|node()" priority="-2" mode="M901">
    <xsl:apply-templates select="@*|*" mode="M901" />
  </xsl:template>
  <!--PATTERN p-TS-Response-Text-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16611' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16611']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15513.132.1.1']]/cda:text " priority="1000" mode="M902">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16611' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16611']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15513.132.1.1']]/cda:text " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Other Diagnosis or Procedure Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Other Diagnosis or Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Other Diagnosis or Procedure Name data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Other Diagnosis or Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Other Diagnosis or Procedure Name data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Other Diagnosis or Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Other Diagnosis or Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Other Diagnosis or Procedure Name data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Other Diagnosis or Procedure Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M902" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M902" />
  <xsl:template match="@*|node()" priority="-2" mode="M902">
    <xsl:apply-templates select="@*|*" mode="M902" />
  </xsl:template>
  <!--PATTERN p-TS-Response-Text-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16611' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16611']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15513.132.1.2']]/cda:text " priority="1000" mode="M903">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16611' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16611']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15513.132.1.2']]/cda:text " />
    <xsl:variable name="the-text" select="string-join(text(), '') " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="ws-string" select="$text-is-present and normalize-space($the-text) = '' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-03" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-03 else $rating-alt-TC-Types-03 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-03: The Narrative
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has <xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.)  = 'name' or local-name(..) = ('name', 'addr'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(@representation='TXT' and @mediaType='text/plain') and not(local-name(.) = 'name' or local-name(..) = ('name', 'addr'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 6.5 of the Specialist Letter Structured Content Specification v1.1 the Narrative 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type but it does not meet the requirement to have the xsi:type attribute with the value 'ST' or 'SC'.
		(See section 5.2.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		An alternative to the xsi:type attribute with the value 'ST' is an xsi:type attribute with the value 'ED' with the mediaType 'text/plain' and no compression.
		(Section 2.5 of "Health informatics - Harmonized data types for information interchange".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST'))   and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')) and not((@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') and (@mediaType = 'text/plain' and not(@compression)))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 6.5 of the Specialist Letter Structured Content Specification v1.1 the Narrative
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type which is derived
		from the HL7 'ST' data type however the xsi:type attribute has the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'allowed' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 6.5 of the Specialist Letter Structured Content Specification v1.1 the Narrative
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Narrative however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Narrative in section 6.5 of the Specialist Letter Structured Content Specification v1.1 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and    not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'exclusion' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') and not($ws-string and local-name(..) = 'name' and local-name(.) = ('family', 'given'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 6.5 of the Specialist Letter Structured Content Specification v1.1 the Narrative
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Narrative however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which is not a proper value. When there is no proper value the data element must either be omitted if it is optional or a
		nullFlavor attribute included to indicate why there is no value. (See the definition of Narrative in section 6.5 of the Specialist Letter Structured Content Specification v1.1 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if there is no Narrative data element with a proper value then an exclusion
		statement must be included to state why there is no Narrative. <xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and not($ws-string))    then concat('Text such as ''', iq:display-ST(.), ''' may be permitted in the narrative even though the data element ',   'in the entry elements must have a proper value. ',   '(See the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care ',   'for guidance on text to record in the narrative when there is no proper value. ',   'Also see section 2.1 of the My Health Record Usability Recommendations v1.4 for recommendations on recording an exclusion statement in the narrative.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and 'disallowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and 'disallowed' = 'unknown' and not(@nullFlavor) and $text-is-present and matches($the-text, $regex-non-values, 'is')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 6.5 of the Specialist Letter Structured Content Specification v1.1 the Narrative
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has no nullFlavor attribute so the text must be present and have a value that is a valid Narrative however it has
		<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text /> which does not seem to be a proper value. If there is no proper value then the data element should be omitted if it is optional
		or a nullFlavor attribute included to indicate why there is no value (if a nullFlavor is permitted). (See the definition of Narrative in section 6.5 of the Specialist Letter Structured Content Specification v1.1 and
		sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeST') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeST')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 6.5 of the Specialist Letter Structured Content Specification v1.1 the Narrative
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type.
		The data element has '<xsl:text /><xsl:value-of select="iq:display-ST(.)" /><xsl:text />' which contains "xsitypeST" which is an invalid attempt to assign the data element's type to be the HL7 'ST' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ST'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 6.5 of the Specialist Letter Structured Content Specification v1.1 the Narrative
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 6.5 of the Specialist Letter Structured Content Specification v1.1 the Narrative
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however a child
		element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found that is not expected for the Text data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 6.5 of the Specialist Letter Structured Content Specification v1.1 the Narrative
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not((name() = 'use' and current()/local-name(.) = 'name')         or    name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and    not(@xsi:type and not(@xsi:type = ('ST', 'SC') or     normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not((name() = 'use' and current()/local-name(.) = 'name') or name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType') )] and not(@xsi:type and not(@xsi:type = ('ST', 'SC') or normalize-space(substring-after(@xsi:type, ':')) = ('ST', 'SC')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 6.5 of the Specialist Letter Structured Content Specification v1.1 the Narrative
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an attribute 
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'integrityCheckAlgorithm', 'representation', 'partType'))])" /><xsl:text />'
		was found that is not expected for the Text data type.
		The definition of the Text data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 6.5 of the Specialist Letter Structured Content Specification v1.1 the Narrative
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @mediaType != 'text/plain'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 6.5 of the Specialist Letter Structured Content Specification v1.1 the Narrative
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'mediaType' with the value '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' was found that is not expected for the Text data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 6.5 of the Specialist Letter Structured Content Specification v1.1 the Narrative
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @integrityCheckAlgorithm != 'SHA-1'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 6.5 of the Specialist Letter Structured Content Specification v1.1 the Narrative
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type however an
		attribute 'integrityCheckAlgorithm' with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' was found that is not expected for the Text data type so this is an extension.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-03" /><xsl:text />: TC-Types-03: According to section 6.5 of the Specialist Letter Structured Content Specification v1.1 the Narrative
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the Text data type and has the attribute language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this
		attribute. (See section 5.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M903" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M903" />
  <xsl:template match="@*|node()" priority="-2" mode="M903">
    <xsl:apply-templates select="@*|*" mode="M903" />
  </xsl:template>
  <!--PATTERN p-TS-Response-Text-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16611' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16611']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15513.132.1.2']]/cda:text " priority="1000" mode="M904">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16611' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16611']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15513.132.1.2']]/cda:text " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Narrative '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Narrative
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Narrative data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Narrative
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Narrative data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Narrative
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Narrative
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Narrative data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Narrative
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M904" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M904" />
  <xsl:template match="@*|node()" priority="-2" mode="M904">
    <xsl:apply-templates select="@*|*" mode="M904" />
  </xsl:template>
  <!--PATTERN p-TS-UndiffDiag-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16029' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16029'] " priority="1000" mode="M905">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16029' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16029'] " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating" select="if ($initial-priority) then $initial-rating else if ($FS-Types-seq/@rating) then concat(' (', $FS-Types-seq/@rating, ')') else '' " />
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and not( /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4'] or        /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2'] or        /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3'] or        /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and (@extension = '1.2' or @extension = '1.3')]) and $extensions-allowed">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not( /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4'] or /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2'] or /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3'] or /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and (@extension = '1.2' or @extension = '1.3')]) and $extensions-allowed">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: FS-Types: The Diagnostic Investigation section (codeSystem '1.2.36.1.2001.1001.101' and code '102.16029') has been found in a <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. The Diagnostic Investigation section (codeSystem '1.2.36.1.2001.1001.101' and code '102.16029') is defined in the digital health specifications but
		although tests have been applied to the data elements the specification of the data elements may have been varied for inclusion in this document
		so further examination may be needed. The rules have been validated for <xsl:text /><xsl:value-of select="normalize-space(' Discharge Summary CDA Implementation Guide version 3.4;        eReferral CDA Implementation Guide version 2.2;         Specialist Letter CDA Implementation Guide version 1.3; and         Event Summary CDA Implementation Guide version 1.2 and 1.3')" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M905" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M905" />
  <xsl:template match="@*|node()" priority="-2" mode="M905">
    <xsl:apply-templates select="@*|*" mode="M905" />
  </xsl:template>
  <!--PATTERN p-TS-UndiffDiag-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16029' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16029']]/cda:component/cda:section " priority="1000" mode="M906">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16029' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16029']]/cda:component/cda:section " />
    <xsl:variable name="agency-section" select=" cda:code/@codeSystem = '1.2.36.1.2001.1001.101' " />
    <xsl:variable name="test-step" select=" if (not($extensions-allowed)) then 'step 4'        else if ($agency-section) then 'step 3' else 'step 1' " />
    <xsl:variable name="title-and-code" select=" if (cda:title and cda:code/@code) then concat('title ''', cda:title, ''', code/code ''', cda:code/@code, '''')        else if (cda:title and not(cda:code/@code)) then concat('title ''', cda:title, '''')        else if (not(cda:title) and cda:code/@code) then concat('code/code ''', cda:code/@code, '''')        else '' " />
    <xsl:variable name="other-section-names" select=" if (cda:code/@displayName and not(cda:code/cda:originalText)) then concat(' and code/displayName ''', cda:code/@displayName, '''')         else if (cda:code/@displayName and cda:code/cda:originalText)          then concat(', code/displayName ''', cda:code/@displayName,''' and code/originalText ''', cda:code/cda:originalText, '''')        else if (not(cda:code/@displayName) and cda:code/cda:originalText) then concat(' and code/originalText ''', cda:code/cda:originalText, '''')        else '' " />
    <xsl:variable name="section-names" select="concat($title-and-code, $other-section-names)" />
    <xsl:variable name="doc-code" select="/cda:ClinicalDocument/cda:code" />
    <xsl:variable name="parent-section" select="ancestor::cda:section[position()=1]" />
    <xsl:variable name="custom-section-info" select="($iq-config/custom-sections/section, $knowledge/custom-sections/section)[        @doc-code  = $doc-code/@code          and        @doc-codeSystem  = $doc-code/@codeSystem          and        @parent-code   = $parent-section/cda:code/@code         and         @parent-codeSystem  = $parent-section/cda:code/@codeSystem        and         (@title = current()/cda:title or (@code = current()/cda:code/@code and @codeSystem = current()/cda:code/@codeSystem)) ] " />
    <xsl:variable name="section-disallowed" select="$custom-section-info/@disallowed = 'yes' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and ($section-disallowed or not(exists($custom-section-info)))) then $rating-alt-TC-Doc-28-step-1        else if ($test-step = 'step 1' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections]) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 3') then $rating-TC-Doc-28-step-3 else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and $section-disallowed ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and $section-disallowed">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Diagnostic Investigation section (codeSystem '1.2.36.1.2001.1001.101' and code '102.16029') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> which
		is an extension to the information model however the inclusion of this section conflicts with sections defined in the digital health specifications.
		<xsl:text /><xsl:value-of select="$custom-section-info[@disallowed = 'yes']/@reason" /><xsl:text /> (Also see <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not(false()) and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(false()) and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Diagnostic Investigation section (codeSystem '1.2.36.1.2001.1001.101' and code '102.16029') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. No subsection is expected so this
		is an extension to the information model. Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the 
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(false()) and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(false()) and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Diagnostic Investigation section (codeSystem '1.2.36.1.2001.1001.101' and code '102.16029') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> but no subsections were
		expected so the document fails to meet the requirement that it must not contain additional data elements. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and false() and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and false() and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Diagnostic Investigation section (codeSystem '1.2.36.1.2001.1001.101' and code '102.16029') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		none are expected but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the information model.
		Confirm if the subsection meets the requirement that extensions must not qualify or negate any of the
		data elements defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Diagnostic Investigation section (codeSystem '1.2.36.1.2001.1001.101' and code '102.16029') has a subsection with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Sections with
		none are expected but the inclusion of the section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> fails to meet the requirement that it must not contain additional data elements.
		(See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M906" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M906" />
  <xsl:template match="@*|node()" priority="-2" mode="M906">
    <xsl:apply-templates select="@*|*" mode="M906" />
  </xsl:template>
  <!--PATTERN p-TS-UndiffDiag-CodeableText-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16029' = $doc-sections]/cda:component/cda:structuredBody/cda:component//         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16029']]/cda:entry/cda:observation/cda:code " priority="1000" mode="M907">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16029' = $doc-sections]/cda:component/cda:structuredBody/cda:component//         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16029']]/cda:entry/cda:observation/cda:code " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Report Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and true() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and true() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Report Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Report Name',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to FAQ on Undifferentiated pathology and radiology reports and the Structured Content Specification the Report Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to FAQ on Undifferentiated pathology and radiology reports and the Structured Content Specification the Report Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to FAQ on Undifferentiated pathology and radiology reports and the Structured Content Specification the Report Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Report Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Report Name in FAQ on Undifferentiated pathology and radiology reports and the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to FAQ on Undifferentiated pathology and radiology reports and the Structured Content Specification the Report Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Report Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Report Name in FAQ on Undifferentiated pathology and radiology reports and the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Report Name data element must have a value that is consistent with this definition. Alternatively if there is no Report Name data element with a proper value then an exclusion
		statement must be included to state why there is no Report Name.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to FAQ on Undifferentiated pathology and radiology reports and the Structured Content Specification the Report Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Report Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Report Name in FAQ on Undifferentiated pathology and radiology reports and the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to FAQ on Undifferentiated pathology and radiology reports and the Structured Content Specification the Report Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Report Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Report Name in FAQ on Undifferentiated pathology and radiology reports and the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Report Name data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to FAQ on Undifferentiated pathology and radiology reports and the Structured Content Specification the Report Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Report Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Report Name in FAQ on Undifferentiated pathology and radiology reports and the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Report Name data element must have a value that is consistent with this definition. Alternatively if there is no Report Name data element with a proper value then an exclusion
		statement must be included to state why there is no Report Name.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and not(true()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and not(true()) and 'unknown' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to FAQ on Undifferentiated pathology and radiology reports and the Structured Content Specification the Report Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Report Name however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Report Name in FAQ on Undifferentiated pathology and radiology reports and the Structured Content Specification and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Report Name data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Report Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to FAQ on Undifferentiated pathology and radiology reports and the Structured Content Specification the Report Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to FAQ on Undifferentiated pathology and radiology reports and the Structured Content Specification the Report Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to FAQ on Undifferentiated pathology and radiology reports and the Structured Content Specification the Report Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to FAQ on Undifferentiated pathology and radiology reports and the Structured Content Specification the Report Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to FAQ on Undifferentiated pathology and radiology reports and the Structured Content Specification the Report Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to FAQ on Undifferentiated pathology and radiology reports and the Structured Content Specification the Report Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to FAQ on Undifferentiated pathology and radiology reports and the Structured Content Specification the Report Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to FAQ on Undifferentiated pathology and radiology reports and the Structured Content Specification the Report Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Report Name
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to FAQ on Undifferentiated pathology and radiology reports and the Structured Content Specification the Report Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Report Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Report Name.
		(See the definition of Report Name in FAQ on Undifferentiated pathology and radiology reports and the Structured Content Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Report Name '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M907" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M907" />
  <xsl:template match="@*|node()" priority="-2" mode="M907">
    <xsl:apply-templates select="@*|*" mode="M907" />
  </xsl:template>
  <!--PATTERN p-TS-UndiffDiag-CodeableText-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16029' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16029']]/cda:entry/cda:observation/cda:code        [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]        [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M908">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16029' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16029']]/cda:entry/cda:observation/cda:code        [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]        [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Report Name '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Report Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Report Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Report Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Report Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Report Name has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Report Name data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Report Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Report Name data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Report Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Report Name data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Report Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Report Name data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Report Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Report Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Report Name data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Report Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Report Name data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Report Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Report Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Report Name data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Report Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Report Name data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Report Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Report Name
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M908" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M908" />
  <xsl:template match="@*|node()" priority="-2" mode="M908">
    <xsl:apply-templates select="@*|*" mode="M908" />
  </xsl:template>
  <!--PATTERN p-TS-UndiffDiag-CodedText-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16029' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16029']]/cda:entry/   cda:observation/cda:entryRelationship/cda:observation/cda:value " priority="1000" mode="M909">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16029' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16029']]/cda:entry/   cda:observation/cda:entryRelationship/cda:observation/cda:value " />
    <xsl:variable name="tc-types-49-err" select="@nullFlavor = ('PINF', 'NINF', 'QS', 'TRC') or (@nullFlavor='UNC' and (not(cda:originalText) or normalize-space(cda:originalText) = '')) " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-psnomed-version-msg" select="if ($v-psnomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and @code != '')) then ''        else if (not(@codeSystemVersion)) then concat(' The primary code did not contain the codeSystemVersion attribute so the ''',          $v-psnomed-version, ''' version of the SNOMED CT-AU code system was used with the Clinical Package Validator to assess the code.')         else if ($psnomed-id = 'amtv3') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the AMT version 3 primary code.')        else if ($psnomed-id = 'snomedctau') then concat(' The ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the SNOMED CT-AU primary code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-psnomed-version, ''' version of the code system was used with the Clinical Package Validator to assess the primary code.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion, ''' so the ''', $v-psnomed-version,          ''' version of the code system was used with the Clinical Package Validator to assess the primary code.') " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-06-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-06-step-2 else $rating-alt-TC-Types-06-step-2 " />
    <xsl:variable name="rating-07-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-1 else $rating-alt-TC-Types-07-step-1 " />
    <xsl:variable name="rating-07-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-2 else $rating-alt-TC-Types-07-step-2 " />
    <xsl:variable name="rating-08" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-08 else $rating-alt-TC-Types-08 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-07: The Report Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data
		type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to the Structured Content Specification the Report Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type which is derived from the HL7 'CD' data type however an xsi:type attribute with the value
		'<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present. (See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-1" /><xsl:text />: TC-Types-07 step 1: According to the Structured Content Specification the Report Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:translation">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:translation">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Report Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'translation' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value domain,
		with no exceptions. A translation translates the value into a code from another code systems, so translations are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:qualifier">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:qualifier">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Report Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		however a child element 'qualifier' is present that is not expected for the CodedText data type. Values of a data element of the CodedText data type must come from the bound value domain,
		with no exceptions. A qualifier constrains the value, so qualifiers are not allowed for CodedText.
		(See section B.3 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Report Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Report Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Report Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' is present and
		is not expected for the CodedText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'code' or name() = 'codeSystem' or name() = 'codeSystemName' or name() = 'codeSystemVersion' or     name() = 'displayName' or name() = 'nullFlavor')] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'code' or name() = 'codeSystem' or name() = 'codeSystemName' or name() = 'codeSystemVersion' or name() = 'displayName' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Report Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'code' or name() = 'codeSystem' or name() = 'codeSystemName' or name() = 'codeSystemVersion' or   name() = 'displayName' or name() = 'nullFlavor')])" /><xsl:text />' is present and is not expected for the CodedText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'code' or name() = 'codeSystem' or name() = 'codeSystemName' or name() = 'codeSystemVersion' or     name() = 'displayName' or name() = 'nullFlavor')] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'code' or name() = 'codeSystem' or name() = 'codeSystemName' or name() = 'codeSystemVersion' or name() = 'displayName' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to the Structured Content Specification the Report Status
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'code' or name() = 'codeSystem' or name() = 'codeSystemName' or name() = 'codeSystemVersion' or   name() = 'displayName' or name() = 'nullFlavor')])" /><xsl:text />' is present and is not expected for the CodedText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and ancestor::cda:section and not(@nullFlavor) and not(@displayName or cda:originalText) and local-name(..) != 'asEntityIdentifier'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-08" /><xsl:text />: TC-Types-08: According to the Structured Content Specification the Report Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. It has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> but has neither an originalText nor a displayName
		so it fails to conform to the requirement 'In accordance with the requirement to completely represent section contents, values of CodedText or CodeableText data elements defined in
		the SCS SHALL include an originalText or a displayName component (or both)'.
		(See Appendix A of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 6.1 and 6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification
		v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not(@nullFlavor) and not(@codeSystem) and cda:originalText ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor) and not(@codeSystem) and cda:originalText">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-06-step-2" /><xsl:text />: TC-Types-06 step 2: According to the Structured Content Specification the Report Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type.
		The CodedText data type has the requirement that values must come from the bound value domain with no exceptions. Therefore the value of the codeSystem attribute must be a publicly
		available code system. The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide states the code system is 'NS' (not stated) with the requirement 'When national standard code sets
		become available, they SHALL be used'. The national standard code is available for use and the code system that must be used is either '1.2.36.1.2001.1001.101.104.16501'
		(<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16501']/@codeSystemName" /><xsl:text />)
		or '2.16.840.1.113883.12.123' (<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = '2.16.840.1.113883.12.123']/@codeSystemName" /><xsl:text />).
		The only information found in the data element is originalText '<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />'.
		(See section 1.8 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide, <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and FAQ on Undifferentiated pathology and radiology reports and section 7 of the CDA Implementation Guide for the information
		about the value domain.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not(@nullFlavor) and not(@codeSystem) and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor) and not(@codeSystem) and not(cda:originalText)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-06-step-2" /><xsl:text />: TC-Types-06 step 2: According to the Structured Content Specification the Report Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type. The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The CodedText data type has the requirement that values must come from the bound value domain with no exceptions. Therefore the value of the codeSystem attribute must be a publicly
		available code system. The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide states the code system is 'NS' (not stated) with the requirement 'When national standard code sets
		become available, they SHALL be used'. The national standard code is available for use and the code system that must be used is either '1.2.36.1.2001.1001.101.104.16501'
		(<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16501']/@codeSystemName" /><xsl:text />)
		or '2.16.840.1.113883.12.123' (<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = '2.16.840.1.113883.12.123']/@codeSystemName" /><xsl:text />).
		(See section 1.8 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide, <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and FAQ on Undifferentiated pathology and radiology reports and section 7 of the CDA Implementation Guide for the information
		about the value domain.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'OTH' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'OTH'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Report Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore it is not valid for the data element to have nullFlavor 'OTH' to indicate that the
		actual value is not a member of the set of permitted data values in the constrained value domain.
		(See the requirements for Report Status and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA'))  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and not($tc-types-49-err) and not(@nullFlavor = ('OTH', 'NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the Structured Content Specification the Report Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and
		FAQ on Undifferentiated pathology and radiology reports and section 7 of the CDA Implementation Guide states the vocabulary is either '1.2.36.1.2001.1001.101.104.16501' (<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16501']/@codeSystemName" /><xsl:text />) or '2.16.840.1.113883.12.123'
		(<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = '2.16.840.1.113883.12.123']/@codeSystemName" /><xsl:text />). The CodedText data type has the requirement that values must come
		from the bound value domain with no exceptions.
		Therefore the data element must have a code attribute to provide a value or a nullFlavor attribute to indicate there is no value,
		however a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) is present and is not
		one of the nullFlavor values that indicate there is no value.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@nullFlavor or @code) and not(not(@nullFlavor) and not(@codeSystem)) and cda:originalText ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor or @code) and not(not(@nullFlavor) and not(@codeSystem)) and cda:originalText">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Report Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. Therefore the data element must have a code attribute to provide a value or a nullFlavor
		attribute to indicate there is no value. The only information found in the data element is originalText '<xsl:text /><xsl:value-of select="cda:originalText" /><xsl:text />'.
		(See the requirements for Report Status and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @codeSystem and not(@codeSystem = '1.2.36.1.2001.1001.101.104.16501' or @codeSystem = '2.16.840.1.113883.12.123') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem and not(@codeSystem = '1.2.36.1.2001.1001.101.104.16501' or @codeSystem = '2.16.840.1.113883.12.123')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Report Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type and
		FAQ on Undifferentiated pathology and radiology reports and section 7 of the CDA Implementation Guide states the vocabulary is either '1.2.36.1.2001.1001.101.104.16501' (<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16501']/@codeSystemName" /><xsl:text />) or '2.16.840.1.113883.12.123'
		(<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = '2.16.840.1.113883.12.123']/@codeSystemName" /><xsl:text />). The CodedText data type has the requirement that values must come from
		the bound value domain with no exceptions. Therefore the value of codeSystem must either be '1.2.36.1.2001.1001.101.104.16501' or '2.16.840.1.113883.12.123' but codeSystem '<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="@codeSystemName" /><xsl:text />) is present. (See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ('1.2.36.1.2001.1001.101.104.16501' = '2.16.840.1.113883.6.96' or '2.16.840.1.113883.12.123' = '2.16.840.1.113883.6.96') and @codeSystem = '2.16.840.1.113883.6.96' and @code and    not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version,    $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@refSet) = 'CodeFound') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="('1.2.36.1.2001.1001.101.104.16501' = '2.16.840.1.113883.6.96' or '2.16.840.1.113883.12.123' = '2.16.840.1.113883.6.96') and @codeSystem = '2.16.840.1.113883.6.96' and @code and not(dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version, $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@refSet) = 'CodeFound')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Structured Content Specification the Report Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. The applicable value domain is the SNOMED CT-AU
		<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = 'none']/@referenceSetName" /><xsl:text />
		(Concept ID: 'none'). The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the code is not a member of the value domain.
		(See <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and FAQ on Undifferentiated pathology and radiology reports and section 7 of the CDA Implementation Guide for the information about the value domain.)<xsl:text /><xsl:value-of select="$v-psnomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and not(cda:originalText) and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and not(cda:originalText) and not(false())">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Report Status '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText 
		data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M909" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M909" />
  <xsl:template match="@*|node()" priority="-2" mode="M909">
    <xsl:apply-templates select="@*|*" mode="M909" />
  </xsl:template>
  <!--PATTERN p-TS-UndiffDiag-CodedText-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16029' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16029']]/cda:entry/cda:observation/cda:entryRelationship/cda:observation/   cda:value[(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M910">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16029' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16029']]/cda:entry/cda:observation/cda:entryRelationship/cda:observation/   cda:value[(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]   [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The Report Status '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Report Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The Report Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Report Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Report Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the Report Status has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Report Status data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Report Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Report Status data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Report Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Report Status data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Report Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Report Status data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('none', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The Report Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('none', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Report Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The Report Status data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Report Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Report Status data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Report Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Report Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the Report Status data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Report Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The Report Status data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Report Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Report Status
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M910" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M910" />
  <xsl:template match="@*|node()" priority="-2" mode="M910">
    <xsl:apply-templates select="@*|*" mode="M910" />
  </xsl:template>
  <!--PATTERN p-TS-UndiffDiag-DateTime-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16029' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16029']]/cda:entry/cda:observation/cda:effectiveTime |        /cda:ClinicalDocument['102.16029' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16029']]/        cda:entry/cda:observation/cda:entryRelationship/cda:observation/cda:effectiveTime " priority="1000" mode="M911">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16029' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16029']]/cda:entry/cda:observation/cda:effectiveTime |        /cda:ClinicalDocument['102.16029' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16029']]/        cda:entry/cda:observation/cda:entryRelationship/cda:observation/cda:effectiveTime " />
    <xsl:variable name="allow-ivl-ts" select="if (not(@xsi:type)) then false() else /cda:ClinicalDocument       [cda:templateId[(@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')  or         (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or         (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) ]]   and        local-name(.) = 'value'             and        ..[local-name(.) = 'observation' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]   and       ../..[local-name(.) = 'entryRelationship' and @typeCode='SUBJ']        and       ../../..[local-name(.) = 'observation' and cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]  and       ../../../..[local-name(.) = 'entry']            and       ../../../../..[local-name(.) = 'section' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]  " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-18" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-18 else $rating-alt-TC-Types-18 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-18: The Report Date '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data
		type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime',            'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@xsi:type) and not(local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'center', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime', 'executionAndDeliveryTime', 'high', 'lastCalibrationTime', 'low', 'time', 'recertificationTime'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: The Report Date

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type but it does not meet the requirement to have the xsi:type attribute with the value 'TS'.
		(See section 8.6.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not($allow-ivl-ts)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to FAQ on Undifferentiated pathology and radiology reports and the Structured Content Specification the Report Date '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was
		found. This may be corrected by using an xsi:type attribute with the value 'TS'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) and $allow-ivl-ts">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to FAQ on Undifferentiated pathology and radiology reports and the Structured Content Specification the Report Date '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		This may be corrected by using an xsi:type attribute with the value 'TS'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and not(*[local-name(.) = ('low', 'high')])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to FAQ on Undifferentiated pathology and radiology reports and the Structured Content Specification the Report Date '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7
		'TS' data type to have a value attribute if there is no nullFlavor
		attribute. (See section 7.8.13.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange')

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type) and not(@nullFlavor or @value) and *[local-name(.) = ('low', 'high')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-18" /><xsl:text />: TC-Types-18: According to FAQ on Undifferentiated pathology and radiology reports and the Structured Content Specification the Report Date '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type which is
		derived from the HL7 'TS' data type. However the data element does not meet the requirement for elements of the HL7 'TS' data type to have a value attribute if there is no nullFlavor
		attribute. The element has a '<xsl:text /><xsl:value-of select="local-name(*[local-name(.) = ('low', 'high')])" /><xsl:text />' child element with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		which is not one of the elements used for the HL7 'TS'
		data type. (See section 7.8.13 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to FAQ on Undifferentiated pathology and radiology reports and the Structured Content Specification the Report Date
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' with <xsl:text /><xsl:value-of select="iq:display-TS(*[local-name(.) = ('low', 'high')])" /><xsl:text />
		is present. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('low', 'high'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to FAQ on Undifferentiated pathology and radiology reports and the Structured Content Specification the Report Date
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name(.) = ('low', 'high'))])" /><xsl:text />' was found. The DateTime data type does not have any child elements so this element is an
		extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to FAQ on Undifferentiated pathology and radiology reports and the Structured Content Specification the Report Date
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and    not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to FAQ on Undifferentiated pathology and radiology reports and the Structured Content Specification the Report Date
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type and <xsl:text /><xsl:value-of select="iq:display-TS(.)" /><xsl:text /> however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'inclusive' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not
		expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@value) and not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@value) and not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to FAQ on Undifferentiated pathology and radiology reports and the Structured Content Specification the Report Date
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (uncoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include
		nullFlavor 'UNC'. (See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M911" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M911" />
  <xsl:template match="@*|node()" priority="-2" mode="M911">
    <xsl:apply-templates select="@*|*" mode="M911" />
  </xsl:template>
  <!--PATTERN p-TS-UndiffDiag-DateTime-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16029' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16029']]/cda:entry/cda:observation/cda:effectiveTime    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))] |        /cda:ClinicalDocument['102.16029' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16029']]/        cda:entry/cda:observation/cda:entryRelationship/cda:observation/cda:effectiveTime    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))]  " priority="1000" mode="M912">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16029' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16029']]/cda:entry/cda:observation/cda:effectiveTime    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))] |        /cda:ClinicalDocument['102.16029' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16029']]/        cda:entry/cda:observation/cda:entryRelationship/cda:observation/cda:effectiveTime    [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))]  " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="fir-narrative" select="translate(normalize-space(lower-case(string($fir-narr-node))), $chars-to-remove, '')" />
    <xsl:variable name="sec-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)        then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]        else () " />
    <xsl:variable name="sec-narr-node" select="$sec-section/cda:text " />
    <xsl:variable name="narr-text-el" select="(for $text in ($fir-narr-node//text(), $sec-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="sec-narrative" select="translate(normalize-space(lower-case(string($sec-narr-node))), $chars-to-remove, '') " />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="narrative" select="concat($target-title, $fir-narrative, $sec-narrative)" />
    <xsl:variable name="narr-elements" select="$fir-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ]  |             $sec-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ] " />
    <xsl:variable name="narr-lower-case" select="for $i in (1 to count($narr-elements)) return lower-case(normalize-space(string-join($narr-elements[$i]/text(), '')))  " />
    <xsl:variable name="dt-narr-elements" select="$narr-lower-case[matches(., $regex-date-type-1, 'i') or matches(., $regex-date-type-2, 'i') or matches(., $regex-date-type-3, 'i')] " />
    <xsl:variable name="narr-elements-start" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-before($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-before($dt-narr-elements[$i], ' -'))        else $dt-narr-elements[$i])[. != ''] " />
    <xsl:variable name="narr-elements-end" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-after($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-after($dt-narr-elements[$i], ' -'))        else '')[. != ''] " />
    <xsl:variable name="narr-dateTimes" select="distinct-values(($narr-elements-start , $narr-elements-end))[. != '(ongoing)'] " />
    <xsl:variable name="dt-value" select="if (@value) then @value else '' " />
    <xsl:variable name="no-time-zone" select="if (contains($dt-value, '+')) then substring-before($dt-value, '+')       else if (contains($dt-value, '-')) then substring-before($dt-value, '-')       else $dt-value " />
    <xsl:variable name="dateTime-length" select="string-length($no-time-zone) " />
    <xsl:variable name="year" select="if ($dateTime-length &gt; 3) then substring($no-time-zone,1,4) else '' " />
    <xsl:variable name="month-num" select="if ($dateTime-length &gt; 5) then substring($no-time-zone,5,2) else '' " />
    <xsl:variable name="day" select="if ($dateTime-length &gt; 7 and substring($no-time-zone,7,1) = '0') then substring($no-time-zone,8,1)       else if ($dateTime-length &gt; 7 and substring($no-time-zone,7,1) != '0') then substring($no-time-zone,7,2) else '' " />
    <xsl:variable name="hour-long" select="if ($dateTime-length &gt; 9) then substring($no-time-zone,9,2) else '' " />
    <xsl:variable name="hour-short" select="if (substring($hour-long, 1, 1) = '0') then substring($hour-long, 2, 1) else '' " />
    <xsl:variable name="minute" select="if ($dateTime-length &gt; 11) then substring($no-time-zone,11,2) else '' " />
    <xsl:variable name="second" select="if ($dateTime-length &gt; 13) then substring($no-time-zone,13,2) else '' " />
    <xsl:variable name="time-zone" select="if (contains($dt-value, '+')) then concat('\+', substring-after($dt-value, '+'))       else if (contains($dt-value, '-')) then concat('\-', substring-after($dt-value, '-'))       else '' " />
    <xsl:variable name="month-short" select="if ($month-num = '01') then 'jan'  else             if ($month-num = '02') then 'feb'  else             if ($month-num = '03') then 'mar'  else             if ($month-num = '04') then 'apr'  else             if ($month-num = '05') then 'may'  else             if ($month-num = '06') then 'jun'  else             if ($month-num = '07') then 'jul'  else             if ($month-num = '08') then 'aug'  else             if ($month-num = '09') then 'sep'  else             if ($month-num = '10') then 'oct'  else             if ($month-num = '11') then 'nov'  else             if ($month-num = '12') then 'dec'  else '' " />
    <xsl:variable name="month-long" select="if ($month-num = '01') then 'january'  else             if ($month-num = '02') then 'february'  else             if ($month-num = '03') then 'march'  else             if ($month-num = '04') then 'april'  else             if ($month-num = '05') then 'may'  else             if ($month-num = '06') then 'june'  else             if ($month-num = '07') then 'july'  else             if ($month-num = '08') then 'august'  else             if ($month-num = '09') then 'september'  else             if ($month-num = '10') then 'october'  else             if ($month-num = '11') then 'november'  else             if ($month-num = '12') then 'december'  else '' " />
    <xsl:variable name="date-type-3-day" select="if (string-length($day) = 1) then concat('0{0,1}', $day) else $day " />
    <xsl:variable name="date-type-3-month" select="if (string-length($month-num) = 1) then concat('0{0,1}', $month-num)        else if (substring($month-num, 1, 1) = '0') then concat('0{0,1}', substring($month-num, 2, 1))         else $month-num " />
    <xsl:variable name="dt-sequence-1" select="if ($dateTime-length = 4) then (         concat('^', $dt-value)         ,          concat('^', $year)         )        else if ($dateTime-length = 6) then (         concat('^', $dt-value)         ,         concat('^', $month-short, $date-sep, $year)      ,          concat('^', $month-long, $date-sep, $year)      )        else if ($dateTime-length &gt; 7) then (         concat('^', $dt-value)         ,         concat('^', $date-type-3-day, $date-sep, $month-short, $date-sep, $year)  ,         concat('^', $date-type-3-day, $date-sep, $month-long, $date-sep, $year)   ,         concat('^', $date-type-3-day, '/', $date-type-3-month, '/', $year)   )        else () " />
    <xsl:variable name="matching-seq-1" select="if (exists($dt-sequence-1))        then index-of(for $i in (1 to count($dt-sequence-1)) return exists($narr-dateTimes[matches(., $dt-sequence-1[$i], 'i')]), true())        else () " />
    <xsl:variable name="dt-stem-1" select="for $i in (1 to count($matching-seq-1)) return $dt-sequence-1[$matching-seq-1[$i]] " />
    <xsl:variable name="dt-regex-1" select="if (exists($dt-stem-1)) then concat('(', string-join($dt-stem-1, '$)|('), '$)') else ()" />
    <xsl:variable name="dt-match-1" select="exists($dt-stem-1) and exists($narr-dateTimes[matches(., $dt-regex-1, 'i')])" />
    <xsl:variable name="time-1" select="if ($dateTime-length &gt; 11 and $hour-short != '') then concat($hour-short, ':', $minute, '( *| *am)') else '' " />
    <xsl:variable name="time-2" select="if ($dateTime-length &gt; 13 and $hour-short != '') then concat($hour-short, ':', $minute, ':', $second, '( *| *am)') else '' " />
    <xsl:variable name="time-3" select="if ($dateTime-length &gt; 11 and number($hour-long) &lt; 12) then concat($hour-long, ':', $minute, '( *| *am)')       else if ($dateTime-length &gt; 11) then concat($hour-long, ':', $minute) else '' " />
    <xsl:variable name="time-4" select="if ($dateTime-length &gt; 13 and number($hour-long) &lt; 12) then concat($hour-long, ':', $minute, ':', $second, '( *| *am)')        else if ($dateTime-length &gt; 13) then concat($hour-long, ':', $minute, ':', $second) else '' " />
    <xsl:variable name="time-5" select="if ($dateTime-length &gt; 11 and number($hour-long) &gt; 12) then concat(string(number($hour-long) - 12), ':', $minute, '( *| *pm)') else '' " />
    <xsl:variable name="time-6" select="if ($dateTime-length &gt; 13 and number($hour-long) &gt; 12) then concat(string(number($hour-long) - 12), ':', $minute, ':', $second, '( *| *pm)') else '' " />
    <xsl:variable name="dt-temp-0" select="if (exists($dt-stem-1) and $dateTime-length = 8) then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $narr-time-regex) else () " />
    <xsl:variable name="dt-temp-1" select="if (exists($dt-stem-1) and $time-1 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-1) else () " />
    <xsl:variable name="dt-temp-2" select="if (exists($dt-stem-1) and $time-2 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-2) else () " />
    <xsl:variable name="dt-temp-3" select="if (exists($dt-stem-1) and $time-3 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-3) else () " />
    <xsl:variable name="dt-temp-4" select="if (exists($dt-stem-1) and $time-4 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-4) else () " />
    <xsl:variable name="dt-temp-5" select="if (exists($dt-stem-1) and $time-5 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-5) else () " />
    <xsl:variable name="dt-temp-6" select="if (exists($dt-stem-1) and $time-6 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-6) else () " />
    <xsl:variable name="dt-sequence-2" select="($dt-temp-0, $dt-temp-1, $dt-temp-2, $dt-temp-3, $dt-temp-4, $dt-temp-5, $dt-temp-6)" />
    <xsl:variable name="matching-seq-2" select="if (exists($dt-sequence-2))        then index-of(for $i in (1 to count($dt-sequence-2)) return exists($narr-dateTimes[matches(., $dt-sequence-2[$i], 'i')]), true())        else () " />
    <xsl:variable name="dt-stem-2" select="for $i in (1 to count($matching-seq-2)) return $dt-sequence-2[$matching-seq-2[$i]] " />
    <xsl:variable name="dt-regex-2" select="if (exists($dt-stem-2)) then concat('(', string-join($dt-stem-2, '$)|('), '$)') else '' " />
    <xsl:variable name="dt-match-2" select="(exists($dt-stem-2) and exists($narr-dateTimes[matches(., $dt-regex-2, 'i')])) " />
    <xsl:variable name="dt-sequence-3" select="if (not($dt-match-2) and exists($dt-stem-2) and $time-zone != '') then for $i in (1 to count($dt-stem-2)) return        concat($dt-stem-2[$i], substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2)) else () " />
    <xsl:variable name="dt-regex-3" select="if ($dt-match-2) then '' else if (exists($dt-sequence-3)) then concat('(', string-join($dt-sequence-3, '$)|('), '$)') else '' " />
    <xsl:variable name="dt-match-3" select="($dt-match-2 or (exists($dt-sequence-3) and exists($narr-dateTimes[matches(., $dt-regex-3, 'i')]))) " />
    <xsl:variable name="narr-match" select="if ($dt-value != '' and not(exists($narr-dateTimes))) then      (       contains($narrative, $dt-value)               or       (string-length($dt-value) = 4 and contains($narrative, $year))            or        (string-length($dt-value) = 6 and contains($narrative, concat($month-short, $year)))          or       (string-length($dt-value) &gt; 7 and starts-with($day, '0') and        (contains($narrative, concat(substring($day,2,1), $month-short, $year)) or         contains($narrative, concat(substring($day,2,1), $month-num, $year))))          or       (string-length($dt-value) &gt; 7 and (contains($narrative, concat($day, $month-short, $year)) or contains($narrative, concat($day, $month-num, $year))))        )       else false() " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($fir-narr-node//cda:renderMultiMedia) or exists($sec-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($fir-narr-node//cda:linkHtml) or exists($sec-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="warning-1" select="exists($dt-sequence-1) and exists($narr-dateTimes) and $dt-match-1 and not($dt-match-3) and $dt-value != '' " />
    <xsl:variable name="error-1" select="$warning-1 and not($multimedia) " />
    <xsl:variable name="warning-2" select="exists($dt-sequence-1) and exists($narr-dateTimes) and not($dt-match-1 or $dt-match-3) and $dt-value != '' " />
    <xsl:variable name="error-2a" select="$warning-2 and not($multimedia) and $time-zone != '' and count($narr-dateTimes) =        count(for $dt in $narr-dateTimes return replace(replace($dt, $regex-date-type-1, ''), $regex-date-type-2, '')       [matches(., concat('^\s*([0-9]{1,2}:{1}[0-9]{2}\s*', substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2),         '|[0-9]{1,2}:{1}[0-9]{2}:{1}[0-9]{2}\s*', substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2), ')\s*$'), 'i')]) " />
    <xsl:variable name="error-2b" select="$warning-2 and not($dt-match-1) and not($multimedia) and count($narr-dateTimes[matches(., $regex-date-type-2, 'i')]) =        count($narr-dateTimes[matches(., concat($regex-date-type-2, ' ', $narr-time-regex, '$'), 'i')]) " />
    <xsl:variable name="error-2c" select="$warning-2 and exists($narr-dateTimes[matches(., concat('^', $year, '$'))]) " />
    <xsl:variable name="error-2" select="$error-2a or $error-2b or $error-2c " />
    <xsl:variable name="warning-3" select="$dt-value != '' and not(exists($narr-dateTimes)) and not($narr-match) " />
    <xsl:variable name="error-3" select="$warning-3 and not($multimedia) and not(contains($narrative, substring($year, 3, 2)))" />
    <xsl:variable name="narr-dt-msg" select="if ($multimedia or $no-content) then ''       else if (not(exists($narr-dateTimes))) then concat(' The narrative of the ', iq:location(., ''), ' contains no dateTime elements.')       else if (count($narr-dateTimes) = 1) then concat(' The only dateTime element in the narrative of the ', iq:location(., ''), ' is ''',         dh:XQueryRecursiveReplace($narr-dateTimes[1], '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), '''.')       else concat(' The distinct dateTime elements in the narrative of the ', iq:location(., ''), ' are ''',         string-join(for $dt in $narr-dateTimes return          dh:XQueryRecursiveReplace($dt, '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), ', '), '''.') " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-4" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-4 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and exists($dt-sequence-1) and $dt-value != '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and exists($dt-sequence-1) and $dt-value != ''">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 4: The dateTime element in the structured data is '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'.
		The number of dateTime elements that have been extracted from the narrative is '<xsl:text /><xsl:value-of select="count($narr-dateTimes)" /><xsl:text />'.
		These are '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-dateTimes, ', '), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The initial regular expressions are '<xsl:text /><xsl:value-of select="string-join($dt-sequence-1, ', ')" /><xsl:text />'.
		The items in dt-stem-1 are: '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($dt-stem-1, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The items in dt-sequence-2 are: '<xsl:text /><xsl:value-of select="string-join($dt-sequence-2, '|')" /><xsl:text />'.
		The items in dt-stem-2 are: '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($dt-stem-2, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The three regular expressions used to perform an exact match for narrative dateTime elements are as follows:
		dt-regex-1='<xsl:text /><xsl:value-of select="$dt-regex-1" /><xsl:text />'; dt-regex-2='<xsl:text /><xsl:value-of select="$dt-regex-2" /><xsl:text />'; and dt-regex-3='<xsl:text /><xsl:value-of select="$dt-regex-3" /><xsl:text />'.
		Was a match found after the first regular expression (with just a date) was created? <xsl:text /><xsl:value-of select="$dt-match-1" /><xsl:text />.		
		<xsl:text /><xsl:value-of select="if ($dt-regex-2 = '') then 'The second regular expression was not applied as there is no time information.'    else concat('Was a match found after the second regular expression (with a date and time) was created? ', $dt-match-2, '.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($dt-regex-3 = '') then ' The third regular expression was not applied as there is no timezone information.'    else concat(' Was a match found after the third regular expression (with a date and time) was created? ', $dt-match-3, '.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $warning-1 and not($error-1 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $warning-1 and not($error-1 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Report Date 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Report Date data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $error-1 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $error-1 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Report Date 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. The Report Date data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $error-1 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $error-1 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Report Date 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. The Report Date data element records clinical information and all clinical information in entry elements must be present in the narrative.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $warning-2 and not($error-2 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$warning-2 and not($error-2 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Report Date 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Report Date data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-2 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-2 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Report Date 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="if ($error-2c) then concat('The narrative contains a date with the same year ''', $year, ''' but without a month or day.') else '' " /><xsl:text />
		The Report Date data element records clinical information and all clinical information in entry elements must be present in the narrative.
		<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-2 and not($no-content) and not(true())">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-2 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Report Date 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="if ($error-2c) then concat('The narrative contains a date with the same year ''', $year, ''' but without a month or day.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $warning-3 and not($error-3 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$warning-3 and not($error-3 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Report Date 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Report Date data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $dt-value != '' and not($narr-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $dt-value != '' and not($narr-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Report Date 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $dt-value != '' and not($narr-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $dt-value != '' and not($narr-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Report Date '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Report Date data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-3 and not($no-content) and true()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-3 and not($no-content) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Report Date '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The Report Date data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-3 and not($no-content) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-3 and not($no-content) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The Report Date '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Report Date '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M912" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M912" />
  <xsl:template match="@*|node()" priority="-2" mode="M912">
    <xsl:apply-templates select="@*|*" mode="M912" />
  </xsl:template>
  <!--PATTERN p-TS-UndiffDiag-EncapsulatedData-1-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument['102.16029' = $doc-sections]/cda:component/cda:structuredBody/cda:component//       cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/       cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16029']]/cda:entry/cda:observation/cda:value |       /cda:ClinicalDocument['102.16029' = $doc-sections]/cda:component/cda:structuredBody/cda:component//       cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/       cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16029']]/cda:entry/cda:observation/cda:text" priority="1000" mode="M913">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument['102.16029' = $doc-sections]/cda:component/cda:structuredBody/cda:component//       cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/       cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16029']]/cda:entry/cda:observation/cda:value |       /cda:ClinicalDocument['102.16029' = $doc-sections]/cda:component/cda:structuredBody/cda:component//       cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/       cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16029']]/cda:entry/cda:observation/cda:text" />
    <xsl:variable name="the-text" select="normalize-space(string-join(text(), '')) " />
    <xsl:variable name="text-is-present" select="not($the-text = '') " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 5.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="display-text-1" select="$the-text " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)        then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')), codepoints-to-string(34))       else concat('commencing with ', codepoints-to-string(34),         normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),         $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-02" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-02 else $rating-alt-TC-Types-02 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-02: The Report Content
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type and
		<xsl:text /><xsl:value-of select="if (cda:reference/@value and $text-is-present) then concat('has a reference to ''', cda:reference/@value, ''' and contains the character string ',    $display-text)   else if (cda:reference/@value and not($text-is-present)) then concat('has a reference to ''', cda:reference/@value, '''')   else if (not(cda:reference/@value) and $text-is-present) then concat('contains the character string ', $display-text)   else 'has no reference and does not contain a character string' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@nullFlavor) then concat(' The nullFlavor attribute has the value ''', @nullFlavor, '''.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (@mediaType) then concat(' The mediaType attribute has the ', if (@mediaType = 'text/plain') then 'default' else '', ' value ''', @mediaType, '''.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (@integrityCheckAlgorithm) then concat(' The integrityCheckAlgorithm attribute has the value ''', @integrityCheckAlgorithm, '''.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (@integrityCheck) then concat(' The integrityCheck attribute has the value ''', @integrityCheck, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-02" /><xsl:text />: TC-Types-02: According to FAQ on Undifferentiated pathology and radiology reports and the Structured Content Specification the Report Content

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type
		which is derived from the HL7 'ED' data type however the xsi:type attribute has the value <xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 5.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(local-name(..) = 'observationMedia') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(local-name(..) = 'observationMedia') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-02" /><xsl:text />: TC-Types-02: According to FAQ on Undifferentiated pathology and radiology reports and the Structured Content Specification the Report Content
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type which is derived from the HL7 'ED' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'ED'.
		(See section 5.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($the-text, '^[0-9]*xsitypeED') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($the-text, '^[0-9]*xsitypeED')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to FAQ on Undifferentiated pathology and radiology reports and the Structured Content Specification the Report Content
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type.
		The data element's value '<xsl:text /><xsl:value-of select="$display-text-1" /><xsl:text />' contains "xsitypeED" which is an invalid attempt to assign the data element's type to be the HL7 'ED' data type.
		The correct way to assign the type is for the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element to contain an attribute with the name 'xsi:type' and the value 'ED'.
		(See section 2.6.1 of XML Schema Part 1: Structures Second Edition.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@integrityCheckAlgorithm) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@integrityCheckAlgorithm)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-02" /><xsl:text />: TC-Types-02: The Report Content
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type but does not have the
		integrityCheckAlgorithm attribute which indicates the data element does not have the HL7 'ED' data type. The Encapsulated Data data type is derived from the HL7 'ED' data type so the
		attribute xsi:type with the value 'ED' needs to be added to the data element.
		(See section 5.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('reference', 'thumbnail'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('reference', 'thumbnail'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to FAQ on Undifferentiated pathology and radiology reports and the Structured Content Specification the Report Content

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('reference', 'thumbnail'))])" /><xsl:text />' was found that is not expected for the EncapsulatedData data type
		so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('reference', 'thumbnail'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('reference', 'thumbnail'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to FAQ on Undifferentiated pathology and radiology reports and the Structured Content Specification the Report Content

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('reference', 'thumbnail'))])" /><xsl:text />' was found that is not expected for the EncapsulatedData data type
		so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'charset', 'integrityCheck', 'integrityCheckAlgorithm', 'compression', 'representation'))] and    not(@xsi:type and not(@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'charset', 'integrityCheck', 'integrityCheckAlgorithm', 'compression', 'representation'))] and not(@xsi:type and not(@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to FAQ on Undifferentiated pathology and radiology reports and the Structured Content Specification the Report Content

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'charset', 'integrityCheck', 'integrityCheckAlgorithm', 'compression', 'representation'))])" /><xsl:text />' was
		found that is not expected for the EncapsulatedData data type.
		The definition of the EncapsulatedData data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'charset', 'integrityCheck', 'integrityCheckAlgorithm', 'compression', 'representation'))] and    not(@xsi:type and not(@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'charset', 'integrityCheck', 'integrityCheckAlgorithm', 'compression', 'representation'))] and not(@xsi:type and not(@xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to FAQ on Undifferentiated pathology and radiology reports and the Structured Content Specification the Report Content

		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
 data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'language', 'mediaType', 'charset', 'integrityCheck', 'integrityCheckAlgorithm', 'compression', 'representation'))])" /><xsl:text />' was
		found that is not expected for the EncapsulatedData data type.
		The definition of the EncapsulatedData data type does not include this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @language ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @language">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-02" /><xsl:text />: TC-Types-02: The Report Content
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type and has the attribute
		language='<xsl:text /><xsl:value-of select="@language" /><xsl:text />'. Confirm that this is a valid value for this attribute.
		(See section 5.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @charset ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @charset">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-02" /><xsl:text />: TC-Types-02: The Report Content
 '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'

		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the EncapsulatedData data type and has the attribute
		charset='<xsl:text /><xsl:value-of select="@charset" /><xsl:text />'. Confirm that this is a valid value for this attribute.
		(See section 5.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M913" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M913" />
  <xsl:template match="@*|node()" priority="-2" mode="M913">
    <xsl:apply-templates select="@*|*" mode="M913" />
  </xsl:template>
  <!--PATTERN p-TS-UndiffDiag-EncapsulatedData-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16029' = $doc-sections]/cda:component/cda:structuredBody/cda:component//       cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/       cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16029']]/cda:entry/cda:observation/cda:value       [not(cda:reference/@value) or starts-with(cda:reference/@value, '#')]         |        /cda:ClinicalDocument['102.16029' = $doc-sections]/cda:component/cda:structuredBody/cda:component//       cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/       cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16029']]/cda:entry/cda:observation/cda:text       [not(cda:reference/@value) or starts-with(cda:reference/@value, '#')]         " priority="1000" mode="M914">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16029' = $doc-sections]/cda:component/cda:structuredBody/cda:component//       cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/       cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16029']]/cda:entry/cda:observation/cda:value       [not(cda:reference/@value) or starts-with(cda:reference/@value, '#')]         |        /cda:ClinicalDocument['102.16029' = $doc-sections]/cda:component/cda:structuredBody/cda:component//       cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/       cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16029']]/cda:entry/cda:observation/cda:text       [not(cda:reference/@value) or starts-with(cda:reference/@value, '#')]         " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The Report Content '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(true() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(true() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Report Content
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (true())    then ' The Report Content data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and true() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and true() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Report Content
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Report Content data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(true()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(true())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Report Content
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and true() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and true()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The Report Content
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The Report Content data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The Report Content
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M914" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M914" />
  <xsl:template match="@*|node()" priority="-2" mode="M914">
    <xsl:apply-templates select="@*|*" mode="M914" />
  </xsl:template>
  <!--PATTERN p-TS-UndiffDiag-EncapsulatedData-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16029' = $doc-sections]/cda:component/cda:structuredBody/cda:component//       cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/       cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16029']]/cda:entry/cda:observation/cda:value       [cda:reference/@value and not(starts-with(cda:reference/@value, '#'))]         |        /cda:ClinicalDocument['102.16029' = $doc-sections]/cda:component/cda:structuredBody/cda:component//       cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/       cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16029']]/cda:entry/cda:observation/cda:text       [cda:reference/@value and not(starts-with(cda:reference/@value, '#'))]         " priority="1000" mode="M915">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16029' = $doc-sections]/cda:component/cda:structuredBody/cda:component//       cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/       cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16029']]/cda:entry/cda:observation/cda:value       [cda:reference/@value and not(starts-with(cda:reference/@value, '#'))]         |        /cda:ClinicalDocument['102.16029' = $doc-sections]/cda:component/cda:structuredBody/cda:component//       cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/       cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16029']]/cda:entry/cda:observation/cda:text       [cda:reference/@value and not(starts-with(cda:reference/@value, '#'))]         " />
    <xsl:variable name="section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then exists(ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]) else false() " />
    <!--REPORT -->
    <xsl:if test=" local-name(..) = ('act', 'observation') and cda:reference/@value and not(starts-with(cda:reference/@value, '#')) and   not(cda:reference/@value = $section/cda:text//cda:linkHtml/@href) and    not($section/*[not(cda:text)]//cda:observationMedia/cda:value/cda:reference[@value = current()/cda:reference/@value]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(..) = ('act', 'observation') and cda:reference/@value and not(starts-with(cda:reference/@value, '#')) and not(cda:reference/@value = $section/cda:text//cda:linkHtml/@href) and not($section/*[not(cda:text)]//cda:observationMedia/cda:value/cda:reference[@value = current()/cda:reference/@value])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-14" /><xsl:text />: TC-Narr-09 step 14: The Report Content
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> references the multimedia document '<xsl:text /><xsl:value-of select="cda:reference/@value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (../cda:code/@displayName) then concat(' containing clinical information of the kind ', dh:XQueryRecursiveReplace(../cda:code/@displayName, $markup-pattern-replacement, 'ic'), '.')        else if (../cda:code/cda:originalText) then concat(' containing clinical information of the kind ', dh:XQueryRecursiveReplace(../cda:code/cda:originalText, $markup-pattern-replacement, 'ic'), '.')        else '.'" /><xsl:text />
		The multimedia document contains attested clinical information so it must be referenced from the narrative using a renderMultiMedia narrative element. To achieve that the document must be also referenced from
		an observationMedia element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> but one is not present.
		(See <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide Appendix A 'The narrative contents SHALL completely and accurately represent the clinical information encoded in the section' and
		section 4.3.5.6 of the HL7 CDA R2 specification.) Multimedia that is part of the attestable content of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> must be referenced from the narrative by a renderMultiMedia element
		and not a linkHtml element. A renderMultiMedia narrative element cannot directly reference the multimedia but references an observationMedia element which must be included and references the same multimedia
		that is referenced from the <xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text /> element. (See sections 4.3.5.2 and 4.3.5.6 of HL7 Clinical Document Architecture, Release 2.0.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M915" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M915" />
  <xsl:template match="@*|node()" priority="-2" mode="M915">
    <xsl:apply-templates select="@*|*" mode="M915" />
  </xsl:template>
  <!--PATTERN p-TS-AdminObs-1-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/       cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]     [cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16233']]/cda:value/@value = 'true']       /cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16234']]/cda:value " priority="1000" mode="M916">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/       cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]     [cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16233']]/cda:value/@value = 'true']       /cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16234']]/cda:value " />
    <xsl:variable name="age-accuracy-ind" select="ancestor::cda:section/cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16279']]/cda:value/@value " />
    <xsl:variable name="dob-accuracy-ind" select="ancestor::cda:section/cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16234']]/cda:value/@code " />
    <xsl:variable name="dob-year-ind" select="if ($dob-accuracy-ind) then substring($dob-accuracy-ind, 3, 1) else '' " />
    <xsl:variable name="rating-40" select="$initial-rating " />
    <!--REPORT -->
    <xsl:if test=" $age-accuracy-ind = 'true' and $dob-accuracy-ind and $dob-year-ind != 'A' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$age-accuracy-ind = 'true' and $dob-accuracy-ind and $dob-year-ind != 'A'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-40" /><xsl:text />: TC-Doc-40: The Date of Birth is Calculated From Age data element has the value 'true' and the Age Accuracy Indicator data element has the
		value 'true' to indicate that the age is accurately known; therefore it is expected that the Date of Birth year is accurately known, i.e. the
		Date of Birth Accuracy Indicator would end in 'A'. However the Date of Birth Accuracy Indicator has the value '<xsl:text /><xsl:value-of select="$dob-accuracy-ind" /><xsl:text />'.
		(See sections 2.50 and 2.56 of the Participation Data Specification v3.2.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $age-accuracy-ind = 'false' and $dob-accuracy-ind and not($dob-year-ind = 'A' or $dob-year-ind = 'E') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$age-accuracy-ind = 'false' and $dob-accuracy-ind and not($dob-year-ind = 'A' or $dob-year-ind = 'E')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-40" /><xsl:text />: TC-Doc-40: The Date of Birth is Calculated From Age data element has the value 'true' and the Age Accuracy Indicator data element has the value
		'false' to indicate that the age is provided but not accurately known therefore it is expected that the Date of Birth year is either accurate or estimated, i.e. the
		Date of Birth Accuracy Indicator would end in 'A' or 'E'. However the Date of Birth Accuracy Indicator has the value '<xsl:text /><xsl:value-of select="$dob-accuracy-ind" /><xsl:text />'.
		(See sections 2.50 and 2.56 of the Participation Data Specification v3.2.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M916" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M916" />
  <xsl:template match="@*|node()" priority="-2" mode="M916">
    <xsl:apply-templates select="@*|*" mode="M916" />
  </xsl:template>
  <!--PATTERN p-TS-Body-1-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//cda:section" priority="1000" mode="M917">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//cda:section" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-24" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-24 " />
    <xsl:variable name="rating-25" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-25 " />
    <!--REPORT -->
    <xsl:if test="(cda:text or cda:component/cda:section) and not(cda:title) and $doc-common-conf-profile &gt; '1.5'">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="(cda:text or cda:component/cda:section) and not(cda:title) and $doc-common-conf-profile &gt; '1.5'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-24" /><xsl:text />: TC-Doc-24: The section with <xsl:text /><xsl:value-of select="iq:display-CD(cda:code)" /><xsl:text />
		does not have a title which does not meet the requirement that sections that have either narrative or sub-sections
		must have a title. (<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then '(See requirement 025054 of the Common Conformance Profile for Clinical Documents v1.7.)'         else if ($doc-common-conf-profile = '1.6')           then '(See requirement 025054 of the Common Conformance Profile for Clinical Documents v1.6.)'         else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and not(cda:text or cda:component/cda:section) and cda:title and $doc-common-conf-profile &gt; '1.5' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and not(cda:text or cda:component/cda:section) and cda:title and $doc-common-conf-profile &gt; '1.5'">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Recommendation<xsl:text /><xsl:value-of select="$rating-25" /><xsl:text />: TC-Doc-25 (READABILITY): The <xsl:text /><xsl:value-of select="cda:title" /><xsl:text /> section has no narrative or sub-section, so it does not meet the recommended requirement that
		sections that have neither narrative nor sub-sections should not have a title. <xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then '(See requirement 025054 of the Common Conformance Profile for Clinical Documents v1.7.)'         else if ($doc-common-conf-profile = '1.6')           then '(See requirement 025054 of the Common Conformance Profile for Clinical Documents v1.6.)'         else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and cda:component[position()=1]/cda:section/cda:text and $doc-common-conf-profile &gt; '1.5' and   cda:component[position()!=1]/cda:section[cda:text and cda:code/@code = current()/cda:component[position()=1]/cda:section/cda:code/@code]">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and cda:component[position()=1]/cda:section/cda:text and $doc-common-conf-profile &gt; '1.5' and cda:component[position()!=1]/cda:section[cda:text and cda:code/@code = current()/cda:component[position()=1]/cda:section/cda:code/@code]">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-25" /><xsl:text />: TC-Doc-25 (READABILITY): The <xsl:text /><xsl:value-of select="cda:title" /><xsl:text /> section with <xsl:text /><xsl:value-of select="iq:display-CD(cda:code)" /><xsl:text />
		has more than one sub-section of the same type and each has a narrative. As each sub-section containing a narrative is required to
		have a title the sub-section title will be stated repeatedly. The presentation may be more readable if the narratives were omitted from the sub-sections and the information
		that they would otherwise contain should be included in the parent section's narrative as this reduces repetition.
		<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then '(See requirements 025054 and 025052 of the Common Conformance Profile for Clinical Documents v1.7.)'         else if ($doc-common-conf-profile = '1.6')           then '(See requirement requirements 025054 and 025052 of the Common Conformance Profile for Clinical Documents v1.6.)'         else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M917" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M917" />
  <xsl:template match="@*|node()" priority="-2" mode="M917">
    <xsl:apply-templates select="@*|*" mode="M917" />
  </xsl:template>
  <!--PATTERN p-TS-Body-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/ext:coverage2/ext:entitlement/ext:participant/ext:participantRole[@classCode = 'PAT']/ext:id |    /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/*[not(cda:text)]//cda:section/ext:coverage2/ext:entitlement/     ext:participant/ext:participantRole[@classCode = 'PAT']/ext:id " priority="1000" mode="M918">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/ext:coverage2/ext:entitlement/ext:participant/ext:participantRole[@classCode = 'PAT']/ext:id |    /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/*[not(cda:text)]//cda:section/ext:coverage2/ext:entitlement/     ext:participant/ext:participantRole[@classCode = 'PAT']/ext:id " />
    <xsl:variable name="consumer-techid" select="/cda:ClinicalDocument/cda:recordTarget/cda:patientRole/cda:id " />
    <xsl:variable name="techid-err" select=" (@root and not(@root = $consumer-techid/@root))    or        (@extension and not(@extension = $consumer-techid/@extension))   or        (@nullFlavor and not(@nullFlavor = $consumer-techid/@nullFlavor))  or       (not(@root) and $consumer-techid/@root)     or         (not(@extension) and $consumer-techid/@extension)    or       (not(@nullFlavor) and $consumer-techid/@nullFlavor)    " />
    <xsl:variable name="entitlement-id" select="if (not($techid-err)) then ''       else if (@root and @extension and not(@nullFlavor)) then concat('root ''', @root, ''' and extension ''', @extension, '''')        else if (@root and not(@extension) and @nullFlavor) then concat('root ''', @root, ''' and nullFlavor ''', @nullFlavor, '''')       else if (@root and not(@extension) and not(@nullFlavor)) then concat('root ''', @root, '''')       else if (not(@root) and @extension and @nullFlavor) then concat('nullFlavor ''', @nullFlavor, ''' and extension ''', @extension, '''')       else if (not(@root) and not(@extension) and @nullFlavor) then concat('nullFlavor ''', @nullFlavor, '''')       else '' " />
    <xsl:variable name="consumer-id" select="if (not($techid-err)) then ''       else if ($consumer-techid/@root and $consumer-techid/@extension and not($consumer-techid/@nullFlavor))         then concat('root ''', $consumer-techid/@root, ''' and extension ''', $consumer-techid/@extension, '''')        else if ($consumer-techid/@root and not($consumer-techid/@extension) and $consumer-techid/@nullFlavor)        then concat('root ''', $consumer-techid/@root, ''' and nullFlavor ''', $consumer-techid/@nullFlavor, '''')       else if ($consumer-techid/@root and not($consumer-techid/@extension) and not($consumer-techid/@nullFlavor))        then concat('root ''', $consumer-techid/@root, '''')        else if (not($consumer-techid/@root) and $consumer-techid/@extension and $consumer-techid/@nullFlavor)        then concat('nullFlavor ''', $consumer-techid/@nullFlavor, ''' and extension ''', $consumer-techid/@extension, '''')       else if (not($consumer-techid/@root) and not($consumer-techid/@extension) and $consumer-techid/@nullFlavor)        then concat('nullFlavor ''', $consumer-techid/@nullFlavor, '''')       else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-41" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-41 " />
    <!--REPORT -->
    <xsl:if test=" $techid-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$techid-err">
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Error<xsl:text /><xsl:value-of select="$rating-41" /><xsl:text />: TC-Doc-41: The Subject of Care technical identifier has <xsl:text /><xsl:value-of select="$consumer-id" /><xsl:text /> which differs from the
		Subject of Care Entitlement technical identifier in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> which has <xsl:text /><xsl:value-of select="$entitlement-id" /><xsl:text />.
		These technical identifiers are required have the same value. (See the requirements for the Subject of Care Entitlement in the mapping table in section 6.1 of the
		<xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M918" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M918" />
  <xsl:template match="@*|node()" priority="-2" mode="M918">
    <xsl:apply-templates select="@*|*" mode="M918" />
  </xsl:template>
  <!--PATTERN p-TS-Dext-1-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument/*[not(local-name(.) = 'component')]//*[local-name(.) = ('policyOrAccount', 'raceCode')]         |                /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/*[not(cda:text)]//*[local-name(.) = ('policyOrAccount', 'raceCode')]    |          /cda:ClinicalDocument/*[not(local-name(.) = 'component')]//*[     (@negationInd='true' and not($templateId-root = ('1.2.36.1.2001.1001.101.100.1002.132', '1.2.36.1.2001.1001.101.100.1002.136') and ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']])) or      (not($extensions-allowed) and @deceasedInd='true') or     @interruptibleInd or @independentInd='false' or @contextConductionInd='false' or @seperatableInd or @performInd or @preAdmitTestInd or @preferenceInd or @organDonorInd or     (@inversionInd='true' and not(@typeCode=('MFST', 'SPRT')))]              |                /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/*[not(cda:text)]//*[     (@negationInd='true' and not($templateId-root = ('1.2.36.1.2001.1001.101.100.1002.132', '1.2.36.1.2001.1001.101.100.1002.136') and ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']])) or      (not($extensions-allowed) and @deceasedInd='true') or     @interruptibleInd or @independentInd='false' or @contextConductionInd='false' or @seperatableInd or @performInd or @preAdmitTestInd or @preferenceInd or @organDonorInd or     (@inversionInd='true' and not(@typeCode=('MFST', 'SPRT')))]              " priority="1000" mode="M919">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument/*[not(local-name(.) = 'component')]//*[local-name(.) = ('policyOrAccount', 'raceCode')]         |                /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/*[not(cda:text)]//*[local-name(.) = ('policyOrAccount', 'raceCode')]    |          /cda:ClinicalDocument/*[not(local-name(.) = 'component')]//*[     (@negationInd='true' and not($templateId-root = ('1.2.36.1.2001.1001.101.100.1002.132', '1.2.36.1.2001.1001.101.100.1002.136') and ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']])) or      (not($extensions-allowed) and @deceasedInd='true') or     @interruptibleInd or @independentInd='false' or @contextConductionInd='false' or @seperatableInd or @performInd or @preAdmitTestInd or @preferenceInd or @organDonorInd or     (@inversionInd='true' and not(@typeCode=('MFST', 'SPRT')))]              |                /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/*[not(cda:text)]//*[     (@negationInd='true' and not($templateId-root = ('1.2.36.1.2001.1001.101.100.1002.132', '1.2.36.1.2001.1001.101.100.1002.136') and ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']])) or      (not($extensions-allowed) and @deceasedInd='true') or     @interruptibleInd or @independentInd='false' or @contextConductionInd='false' or @seperatableInd or @performInd or @preAdmitTestInd or @preferenceInd or @organDonorInd or     (@inversionInd='true' and not(@typeCode=('MFST', 'SPRT')))]              " />
    <xsl:variable name="relationship-child" select="if (not(@inversionInd='true')) then ()        else cda:*[local-name(.) = ('act', 'encounter', 'observation', 'observationMedia', 'organizer', 'procedure', 'regionOfInterest',          'substanceAdministration', 'supply')] " />
    <xsl:variable name="child-name" select="if (not(exists($relationship-child))) then ''        else if (cda:act/cda:code/cda:originalText != '' and cda:act/cda:text != '')          then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(cda:act/cda:text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34), ' ',           lower-case(cda:act/cda:code/cda:originalText))                 else if (cda:act/cda:code/cda:originalText != '')          then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(cda:act/cda:code/cda:originalText, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))                else if (cda:act/cda:code/@displayName != '' and cda:act/cda:text != '')          then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(cda:act/cda:text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34), ' ',           lower-case(cda:act/cda:code/@displayName))                 else if (cda:act/cda:code/@displayName != '') then concat(codepoints-to-string(34), cda:act/cda:code/@displayName, codepoints-to-string(34))                else if (cda:observation/cda:code/cda:originalText != '' and cda:observation/cda:value/cda:originalText != '')          then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(cda:observation/cda:value/cda:originalText, $markup-pattern-replacement, 'ic'), codepoints-to-string(34), ' ',          lower-case(cda:observation/cda:code/cda:originalText))                 else if (cda:observation/cda:code/cda:originalText != '' and cda:observation/cda:value/@displayName != '')          then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(cda:observation/cda:value/@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34), ' ',          lower-case(cda:observation/cda:code/cda:originalText))                 else if (cda:observation/cda:code/cda:originalText != '')          then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(cda:observation/cda:code/cda:originalText, $markup-pattern-replacement, 'ic'), codepoints-to-string(34), ' observation')                else if (cda:observation/cda:code/@displayName != '' and cda:observation/cda:value/cda:originalText != '')          then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(cda:observation/cda:value/cda:originalText, $markup-pattern-replacement, 'ic'), codepoints-to-string(34), ' ',          lower-case(cda:observation/cda:code/@displayName))                 else if (cda:observation/cda:code/@displayName != '' and cda:observation/cda:value/@displayName != '')          then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(cda:observation/cda:value/@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34), ' ',          lower-case(cda:observation/cda:code/@displayName))                 else if (cda:observation/cda:code/@displayName != '') then concat(codepoints-to-string(34), cda:observation/cda:code/@displayName, codepoints-to-string(34), ' observation')                else if (cda:procedure/cda:code/cda:originalText != '')          then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(cda:procedure/cda:code/cda:originalText, $markup-pattern-replacement, 'ic'), codepoints-to-string(34), ' procedure')                else if (cda:procedure/cda:code/@displayName != '')          then concat(codepoints-to-string(34), cda:procedure/cda:code/@displayName, codepoints-to-string(34), ' procedure')                else if (cda:substanceAdministration) then 'substance administration'        else if (cda:observationMedia) then 'observation media'         else if (cda:regionOfInterest) then 'region of interest'         else lower-case(local-name($relationship-child[1])) " />
    <xsl:variable name="parent-name" select="if (not(exists($relationship-child))) then ''        else if (local-name(..) = 'act' and ../cda:code/cda:originalText != '' and ../cda:text != '')          then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(../cda:text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34), ' ',          lower-case(../cda:code/cda:originalText))                 else if (local-name(..) = 'act' and ../cda:code/cda:originalText != '')          then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(../cda:code/cda:originalText, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))                else if (local-name(..) = 'act' and ../cda:code/@displayName != '' and ../cda:text != '')          then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(../cda:text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34), ' ',          lower-case(../cda:code/@displayName))                 else if (local-name(..) = 'act' and ../cda:code/@displayName != '') then concat(codepoints-to-string(34), ../cda:code/@displayName, codepoints-to-string(34))        else if (local-name(..) = 'observation' and ../cda:code/cda:originalText != '' and ../cda:value/cda:originalText != '')                 then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(../cda:value/cda:originalText, $markup-pattern-replacement, 'ic'), codepoints-to-string(34), ' ',          lower-case(../cda:code/cda:originalText))                 else if (local-name(..) = 'observation' and ../cda:code/cda:originalText != '' and ../cda:value/@displayName != '')          then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(../cda:value/@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34), ' ',          lower-case(../cda:code/cda:originalText))                 else if (local-name(..) = 'observation' and ../cda:code/cda:originalText != '')          then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(../cda:code/cda:originalText, $markup-pattern-replacement, 'ic'), codepoints-to-string(34), ' observation')                else if (local-name(..) = 'observation' and ../cda:code/@displayName != '' and ../cda:value/cda:originalText != '')          then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(../cda:value/cda:originalText, $markup-pattern-replacement, 'ic'), codepoints-to-string(34), ' ',          lower-case(../cda:code/@displayName))                 else if (local-name(..) = 'observation' and ../cda:code/@displayName != '' and ../cda:value/@displayName != '')          then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(../cda:value/@displayName, $markup-pattern-replacement, 'ic'), codepoints-to-string(34), ' ',          lower-case(../cda:code/@displayName))                 else if (local-name(..) = 'observation' and ../cda:code/@displayName != '') then concat(codepoints-to-string(34), ../cda:code/@displayName, codepoints-to-string(34), ' observation')                else if (local-name(..) = 'procedure' and ../cda:code/cda:originalText != '')          then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace(../cda:code/cda:originalText, $markup-pattern-replacement, 'ic'), codepoints-to-string(34), ' procedure')                else if (local-name(..) = 'procedure' and ../cda:code/@displayName != '')          then concat(codepoints-to-string(34), ../cda:code/@displayName, codepoints-to-string(34), ' procedure')                else if (local-name(..) = 'substanceAdministration') then 'substance administration'        else if (local-name(..) = 'observationMedia') then 'observation media'         else if (local-name(..) = 'regionOfInterest') then 'region of interest'         else lower-case(local-name(..)) " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="inversion-err" select="@inversionInd='true' and (        not(@typeCode=('COMP', 'REFR', 'RSON', 'SPRT', 'SUBJ'))             or        (@typeCode=('COMP', 'REFR', 'RSON', 'SPRT') and exists($relationship-child))          or        (@typeCode = 'SUBJ' and exists($relationship-child) and          (not(exists(cda:act/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16160', '102.16511')])) and         not(local-name(..) = 'substanceAdministration' and           exists(ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.16146.4.1.1', '101.16146.4.1.2')]])))))" />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating          else if ($test-step = 'step 1' and $inversion-err) then $rating-alt-TC-Doc-28-step-1         else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1          else if ($test-step = 'step 4' and $inversion-err) then $rating-alt-TC-Doc-28-step-4         else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4          else '' " />
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'policyOrAccount' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'policyOrAccount'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> was
		defined in the Australian CDA extension but was not used in any published specification and instead the Entitlements data group is used to provide information about medical benefits.
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' is disallowed as extensions must not qualify or negate data elements defined in the
		<xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.
		(See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and local-name(.) = 'raceCode' and    ((@code and @codeSystem and not(@codeSystem = '2.16.840.1.113883.3.879.291036')) or cda:originalText != '') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and local-name(.) = 'raceCode' and ((@code and @codeSystem and not(@codeSystem = '2.16.840.1.113883.3.879.291036')) or cda:originalText != '')">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> is defined in the HL7 Reference Information Model as the representing the race of a person. This data element is not used in the
		<xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> specifications therefore it is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> specifications include an 'ethnicGroupCode' data element used to record the Indigenous Status using the METeOR 291036 Indigenous Status codes.
		The Indigenous Status code system is not to be used to populate the raceCode data element as it does not describe race.
		(See section 10 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide for the Indigenous Status codes.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and local-name(.) = 'raceCode' and ((@code and @codeSystem) or cda:originalText != '') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and local-name(.) = 'raceCode' and ((@code and @codeSystem) or cda:originalText != '')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> is defined in the HL7 Reference Information Model as the representing the race of a person. This data element is not used in the
		<xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> specifications therefore it is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @negationInd='true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@negationInd='true'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a negation indicator 'negationInd' attribute with the value 'true' to indicate
		<xsl:text /><xsl:value-of select="if (local-name(.) = 'substanceAdministration') then 'the substance was not administered.'    else if (local-name(.) = 'participation') then 'the participation did not occur.'    else if (local-name(.) = 'role') then 'the role is not a competency of the participant.'    else 'the act did not occur.' " /><xsl:text />
		This attribute is not used in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> specifications therefore it is an extension. The presence of this attribute is an
		error as any extension must meet the requirements to not qualify or negate content described by the clinical document specifications.
		See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />
		CDA Implementation Guide<xsl:text /><xsl:value-of select="if ($extension-requirement = '') then '.' else concat($extension-requirement, '.)')" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @inversionInd='true' and not(@typeCode=('COMP', 'REFR', 'RSON', 'SPRT', 'SUBJ')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @inversionInd='true' and not(@typeCode=('COMP', 'REFR', 'RSON', 'SPRT', 'SUBJ'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> defines the relationship between the <xsl:text /><xsl:value-of select="$parent-name" /><xsl:text /> and the <xsl:text /><xsl:value-of select="$child-name" /><xsl:text />
		and contains an inversion indicator 'inversionInd' attribute with the value 'true' to indicate an inversion of a relationship between
		data elements. This attribute is not used in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> specifications therefore it is an extension.
		<xsl:text /><xsl:value-of select="if (@typeCode) then concat('The data element also has a ''typeCode'' attribute with the value ''', @typeCode, ''' ',   if ($knowledge/entryRelationship-typeCodes/typeCode[@code = current()/@typeCode])    then concat('(', $knowledge/entryRelationship-typeCodes/typeCode[@code = current()/@typeCode]/@name, ') ',     $knowledge/entryRelationship-typeCodes/typeCode[@code = current()/@typeCode]/@description, '. ') else '')   else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @inversionInd='true' and @typeCode='REFR' and exists($relationship-child) and    not(exists(cda:act/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '103.11007']))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @inversionInd='true' and @typeCode='REFR' and exists($relationship-child) and not(exists(cda:act/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '103.11007']))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                ERROR<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> defines the relationship between the <xsl:text /><xsl:value-of select="$parent-name" /><xsl:text /> and the <xsl:text /><xsl:value-of select="$child-name" /><xsl:text />.
		The 'entryRelationship' data element contains a 'typeCode' attribute with the value 'REFR' which normally indicates the 
		<xsl:text /><xsl:value-of select="$child-name" /><xsl:text /> is referred to by the <xsl:text /><xsl:value-of select="$parent-name" /><xsl:text /> however the 'entryRelationship' data element also contains an inversion indicator 'inversionInd'
		attribute with the value 'true' to invert the relationship between data elements so that the <xsl:text /><xsl:value-of select="$parent-name" /><xsl:text /> is referred to by the <xsl:text /><xsl:value-of select="$child-name" /><xsl:text />.
		The inclusion of the 'inversionInd' attribute is an extension of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> specifications so the presence of this attribute is an
		error as any extension must not qualify or negate content described by the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> specifications.
		See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />
		CDA Implementation Guide<xsl:text /><xsl:value-of select="if ($extension-requirement = '') then '.' else concat($extension-requirement, '.)')" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and @inversionInd='true' and @typeCode = 'COMP' and exists($relationship-child) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and @inversionInd='true' and @typeCode = 'COMP' and exists($relationship-child)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> defines the relationship between the <xsl:text /><xsl:value-of select="$parent-name" /><xsl:text /> and the <xsl:text /><xsl:value-of select="$child-name" /><xsl:text />.
		The 'entryRelationship' data element contains a 'typeCode' attribute with the value 'COMP' which normally indicates the 
		<xsl:text /><xsl:value-of select="$child-name" /><xsl:text /> is a component of the <xsl:text /><xsl:value-of select="$parent-name" /><xsl:text /> however the 'entryRelationship' data element also contains an inversion indicator 'inversionInd'
		attribute with the value 'true' to invert the relationship 
		between data elements so that the <xsl:text /><xsl:value-of select="$parent-name" /><xsl:text /> is a component of the <xsl:text /><xsl:value-of select="$child-name" /><xsl:text />.
		The inclusion of the 'inversionInd' attribute is an extension of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> specifications so the presence of this attribute is an
		error as any extension must not qualify or negate content described by the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> specifications.
		See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />
		CDA Implementation Guide<xsl:text /><xsl:value-of select="if ($extension-requirement = '') then '.' else concat($extension-requirement, '.)')" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and @inversionInd='true' and @typeCode = 'RSON' and exists($relationship-child) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and @inversionInd='true' and @typeCode = 'RSON' and exists($relationship-child)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> defines the relationship between the <xsl:text /><xsl:value-of select="$parent-name" /><xsl:text /> and the <xsl:text /><xsl:value-of select="$child-name" /><xsl:text />.
		The 'entryRelationship' data element contains a 'typeCode' attribute with the value 'RSON' which normally indicates the 
		<xsl:text /><xsl:value-of select="$child-name" /><xsl:text /> is the reason for the <xsl:text /><xsl:value-of select="$parent-name" /><xsl:text /> however the 'entryRelationship' data element also contains an inversion indicator 'inversionInd'
		attribute with the value 'true' to invert the relationship 
		between data elements so that the <xsl:text /><xsl:value-of select="$parent-name" /><xsl:text /> is the reason for the <xsl:text /><xsl:value-of select="$child-name" /><xsl:text />.
		The inclusion of the 'inversionInd' attribute is an extension of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> specifications so the presence of this attribute is an
		error as any extension must not qualify or negate content described by the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> specifications.
		See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />
		CDA Implementation Guide<xsl:text /><xsl:value-of select="if ($extension-requirement = '') then '.' else concat($extension-requirement, '.)')" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and @inversionInd='true' and @typeCode = 'SUBJ' and $inversion-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and @inversionInd='true' and @typeCode = 'SUBJ' and $inversion-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> defines the relationship between the <xsl:text /><xsl:value-of select="$parent-name" /><xsl:text /> and the <xsl:text /><xsl:value-of select="$child-name" /><xsl:text />.
		The 'entryRelationship' data element contains a 'typeCode' attribute with the value 'SUBJ' which normally indicates the 
		<xsl:text /><xsl:value-of select="$child-name" /><xsl:text /> is a subject of the <xsl:text /><xsl:value-of select="$parent-name" /><xsl:text /> however the 'entryRelationship' data element also contains an inversion indicator 'inversionInd'
		attribute with the value 'true' to invert the relationship 
		between data elements so that the <xsl:text /><xsl:value-of select="$parent-name" /><xsl:text /> is a subject of the <xsl:text /><xsl:value-of select="$child-name" /><xsl:text />.
		The inclusion of the 'inversionInd' attribute is an extension of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> specifications so the presence of this attribute is an
		error as any extension must not qualify or negate content described by the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> specifications.
		See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />
		CDA Implementation Guide<xsl:text /><xsl:value-of select="if ($extension-requirement = '') then '.' else concat($extension-requirement, '.)')" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and @inversionInd='true' and @typeCode = 'SPRT' and exists($relationship-child) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and @inversionInd='true' and @typeCode = 'SPRT' and exists($relationship-child)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> defines the relationship between the <xsl:text /><xsl:value-of select="$parent-name" /><xsl:text /> and the <xsl:text /><xsl:value-of select="$child-name" /><xsl:text />.
		The 'entryRelationship' data element contains a 'typeCode' attribute with the value 'SPRT' which normally indicates the 
		<xsl:text /><xsl:value-of select="$child-name" /><xsl:text /> is supporting information for the <xsl:text /><xsl:value-of select="$parent-name" /><xsl:text /> however the 'entryRelationship' data element also contains an inversion indicator
		'inversionInd' attribute with the value 'true' to invert the relationship 
		between data elements so that the <xsl:text /><xsl:value-of select="$parent-name" /><xsl:text /> is supporting information for the <xsl:text /><xsl:value-of select="$child-name" /><xsl:text />.
		The inclusion of the 'inversionInd' attribute is an extension of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> specifications so the presence of this attribute is an
		error as any extension must not qualify or negate content described by the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> specifications.
		See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />
		CDA Implementation Guide<xsl:text /><xsl:value-of select="if ($extension-requirement = '') then '.' else concat($extension-requirement, '.)')" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @inversionInd='true' and    not(@typeCode = 'SUBJ' and cda:act/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16160', '102.16511')])">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @inversionInd='true' and not(@typeCode = 'SUBJ' and cda:act/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16160', '102.16511')])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> defines the relationship between the <xsl:text /><xsl:value-of select="$parent-name" /><xsl:text /> and the <xsl:text /><xsl:value-of select="$child-name" /><xsl:text />
		and contains an inversion indicator 'inversionInd' attribute with the value 'true' to indicate an inversion of a relationship between
		data elements. This attribute is not used in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> specifications therefore it is an extension.
		<xsl:text /><xsl:value-of select="if (@typeCode) then concat('The data element also has a ''typeCode'' attribute with the value ''', @typeCode, ''' ',   if ($knowledge/entryRelationship-typeCodes/typeCode[@code = current()/@typeCode])    then concat('(', $knowledge/entryRelationship-typeCodes/typeCode[@code = current()/@typeCode]/@name, ') ',     $knowledge/entryRelationship-typeCodes/typeCode[@code = current()/@typeCode]/@description, '. ') else '')   else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @interruptibleInd ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @interruptibleInd">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an interruptible indicator 'interruptibleInd' attribute with the value '<xsl:text /><xsl:value-of select="@interruptibleInd" /><xsl:text />'.
		The indicator specifies whether Act is interruptible by asynchronous events.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @interruptibleInd ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @interruptibleInd">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an interruptible indicator 'interruptibleInd' attribute with the value '<xsl:text /><xsl:value-of select="@interruptibleInd" /><xsl:text />'.
		The indicator specifies whether Act is interruptible by asynchronous events.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @independentInd = 'false' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @independentInd = 'false'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an independent indicator 'independentInd' attribute with the value '<xsl:text /><xsl:value-of select="@independentInd" /><xsl:text />'.
		The indicator specifies whether the Act can be manipulated independently of other Acts or whether manipulation of the Act can only be through a super-ordinate composite Act that has
		this Act as a component. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @independentInd = 'false' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @independentInd = 'false'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an independent indicator 'independentInd' attribute with the value '<xsl:text /><xsl:value-of select="@independentInd" /><xsl:text />'.
		The indicator specifies whether the Act can be manipulated independently of other Acts or whether manipulation of the Act can only be through a super-ordinate composite Act that has
		this Act as a component. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @contextConductionInd = 'false' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @contextConductionInd = 'false'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a context conduction indicator 'contextConductionInd' attribute with the value '<xsl:text /><xsl:value-of select="@contextConductionInd" /><xsl:text />'.
		If the value of the indicator is true then associations in the parent act are conducted across the ActRelationship to the child act.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @contextConductionInd = 'false' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @contextConductionInd = 'false'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a context conduction indicator 'contextConductionInd' attribute with the value '<xsl:text /><xsl:value-of select="@contextConductionInd" /><xsl:text />'.
		If the value of the indicator is true then associations in the parent act are conducted across the ActRelationship to the child act.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @seperatableInd ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @seperatableInd">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a seperatable indicator 'seperatableInd' attribute with the value '<xsl:text /><xsl:value-of select="@seperatableInd" /><xsl:text />'.
		The indicator specifies whether or not the source Act is intended to be interpreted independently of the target Act.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @seperatableInd ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @seperatableInd">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a seperatable indicator 'seperatableInd' attribute with the value '<xsl:text /><xsl:value-of select="@seperatableInd" /><xsl:text />'.
		The indicator specifies whether or not the source Act is intended to be interpreted independently of the target Act.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @performInd ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @performInd">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a performance indicator 'performInd' attribute with the value '<xsl:text /><xsl:value-of select="@performInd" /><xsl:text />'.
		The indicator specifies that the resource for this Participation must be reserved before use (i.e. it is controlled by a schedule).
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @performInd ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @performInd">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a performance indicator 'performInd' attribute with the value '<xsl:text /><xsl:value-of select="@performInd" /><xsl:text />'.
		The indicator specifies that the resource for this Participation must be reserved before use (i.e. it is controlled by a schedule).
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @preAdmitTestInd ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @preAdmitTestInd">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a pre-admittance test indicator 'preAdmitTestInd' attribute with the value '<xsl:text /><xsl:value-of select="@preAdmitTestInd" /><xsl:text />'.
		The indicator specifies that pre-admission tests are required for this patient encounter.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @preAdmitTestInd ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @preAdmitTestInd">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a pre-admittance test indicator 'preAdmitTestInd' attribute with the value '<xsl:text /><xsl:value-of select="@preAdmitTestInd" /><xsl:text />'.
		The indicator specifies that pre-admission tests are required for this patient encounter.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @preferenceInd ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @preferenceInd">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a preference indicator 'preferenceInd' attribute with the value '<xsl:text /><xsl:value-of select="@preferenceInd" /><xsl:text />'.
		The indicator specifies specifies whether or not the language is preferred by the entity for the associated mode.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @preferenceInd ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @preferenceInd">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a preference indicator 'preferenceInd' attribute with the value '<xsl:text /><xsl:value-of select="@preferenceInd" /><xsl:text />'.
		The indicator specifies specifies whether or not the language is preferred by the entity for the associated mode.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @organDonorInd ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @organDonorInd">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an organ donor indicator 'organDonorInd' attribute with the value '<xsl:text /><xsl:value-of select="@organDonorInd" /><xsl:text />'.
		The indicator specifies that the living subject is a candidate to serve as an organ donor.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @organDonorInd ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @organDonorInd">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an organ donor indicator 'organDonorInd' attribute with the value '<xsl:text /><xsl:value-of select="@organDonorInd" /><xsl:text />'.
		The indicator specifies that the living subject is a candidate to serve as an organ donor.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @deceasedInd = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @deceasedInd = 'true'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a deceased indicator 'deceasedInd' attribute with the value 'true' to indicate the subject of care is dead.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M919" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M919" />
  <xsl:template match="@*|node()" priority="-2" mode="M919">
    <xsl:apply-templates select="@*|*" mode="M919" />
  </xsl:template>
  <!--PATTERN p-TS-Dext-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4'] and    //cda:section[cda:code/@codeSystem='1.2.36.1.2001.1001.101']]/   cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@codeSystem='1.2.36.1.2001.1001.101']   [not(cda:code/@code='101.16006' or cda:code/@code='101.16022' or cda:code/@code='101.16011' or cda:code/@code='101.16020' or cda:code/@code='102.16080')   and (cda:text or cda:entry or cda:component)] " priority="1000" mode="M920">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4'] and    //cda:section[cda:code/@codeSystem='1.2.36.1.2001.1001.101']]/   cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@codeSystem='1.2.36.1.2001.1001.101']   [not(cda:code/@code='101.16006' or cda:code/@code='101.16022' or cda:code/@code='101.16011' or cda:code/@code='101.16020' or cda:code/@code='102.16080')   and (cda:text or cda:entry or cda:component)] " />
    <xsl:variable name="agency-section" select=" if (cda:code/@codeSystem = '1.2.36.1.2001.1001.101') then true() else false() " />
    <xsl:variable name="test-step" select=" if (not($extensions-allowed)) then 'step 4' else if ($agency-section) then 'step 3' else 'step 1' " />
    <xsl:variable name="title-and-code" select=" if (cda:title and cda:code/@code) then concat('title ''', cda:title, ''', code/code ''', cda:code/@code, '''')        else if (cda:title and not(cda:code/@code)) then concat('title ''', cda:title, '''')        else if (not(cda:title) and cda:code/@code) then concat('code/code ''', cda:code/@code, '''')        else '' " />
    <xsl:variable name="other-section-names" select=" if (cda:code/@displayName and not(cda:code/cda:originalText)) then concat(' and code/displayName ''', cda:code/@displayName, '''')         else if (cda:code/@displayName and cda:code/cda:originalText)          then concat(', code/displayName ''', cda:code/@displayName,''' and code/originalText ''', cda:code/cda:originalText, '''')        else if (not(cda:code/@displayName) and cda:code/cda:originalText) then concat(' and code/originalText ''', cda:code/cda:originalText, '''')        else '' " />
    <xsl:variable name="section-names" select="concat($title-and-code, $other-section-names)" />
    <xsl:variable name="doc-code" select="/cda:ClinicalDocument/cda:code" />
    <xsl:variable name="custom-section-info" select="($iq-config/custom-sections/section, $knowledge/custom-sections/section)[@parent = 'body'     and         @doc-code  = $doc-code/@code          and        @doc-codeSystem  = $doc-code/@codeSystem          and        (@title = current()/cda:title or (@code = current()/cda:code/@code and @codeSystem = current()/cda:code/@codeSystem)) ] " />
    <xsl:variable name="section-disallowed" select="$custom-section-info/@disallowed = 'yes' " />
    <xsl:variable name="rating-28" select="if ($test-step = 'step 1' and ($section-disallowed or not(exists($custom-section-info)))) then $rating-alt-TC-Doc-28-step-1        else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 3') then $rating-TC-Doc-28-step-3 else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and $section-disallowed ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and $section-disallowed">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> document body has an unexpected section. The expected sections
		are Event (with code '101.16006'), Medications (with code '101.16022'), Health Profile (with code '101.16011'), Plan (with code '101.16020') and         Administrative Observations (with code '102.16080') but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> specifications.
		This section is an extension to the information model however the inclusion of this section conflicts with sections defined in the digital health specifications.
		<xsl:text /><xsl:value-of select="normalize-space($custom-section-info[@disallowed = 'yes']/@reason)" /><xsl:text /> (Also see <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> document body has an unexpected section. The expected sections
		are Event (with code '101.16006'), Medications (with code '101.16022'), Health Profile (with code '101.16011'), Plan (with code '101.16020') and         Administrative Observations (with code '102.16080') but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> specifications.
		Confirm if the inclusion of this section meets the requirement that extensions must not qualify or negate any of the data components defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />
		CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> document body has an unexpected section. The expected sections are
		Event (with code '101.16006'), Medications (with code '101.16022'), Health Profile (with code '101.16011'), Plan (with code '101.16020') and         Administrative Observations (with code '102.16080') but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> specifications. This fails to meet the
		requirement that the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> must not contain additional data elements. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M920" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M920" />
  <xsl:template match="@*|node()" priority="-2" mode="M920">
    <xsl:apply-templates select="@*|*" mode="M920" />
  </xsl:template>
  <!--PATTERN p-TS-Dext-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.120' and (@extension = '1.3' or @extension = '1.4')] and    //cda:section[cda:code/@codeSystem='1.2.36.1.2001.1001.101']]/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@codeSystem='1.2.36.1.2001.1001.101']   [not(cda:code/@code='101.20113' or cda:code/@code='101.16146' or cda:code/@code='101.16117' or cda:code/@code='101.16638' or cda:code/@code='102.16080') and    (cda:text or cda:entry or cda:component)] " priority="1000" mode="M921">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.120' and (@extension = '1.3' or @extension = '1.4')] and    //cda:section[cda:code/@codeSystem='1.2.36.1.2001.1001.101']]/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@codeSystem='1.2.36.1.2001.1001.101']   [not(cda:code/@code='101.20113' or cda:code/@code='101.16146' or cda:code/@code='101.16117' or cda:code/@code='101.16638' or cda:code/@code='102.16080') and    (cda:text or cda:entry or cda:component)] " />
    <xsl:variable name="agency-section" select=" if (cda:code/@codeSystem = '1.2.36.1.2001.1001.101') then true() else false() " />
    <xsl:variable name="test-step" select=" if (not($extensions-allowed)) then 'step 4' else if ($agency-section) then 'step 3' else 'step 1' " />
    <xsl:variable name="title-and-code" select=" if (cda:title and cda:code/@code) then concat('title ''', cda:title, ''', code/code ''', cda:code/@code, '''')        else if (cda:title and not(cda:code/@code)) then concat('title ''', cda:title, '''')        else if (not(cda:title) and cda:code/@code) then concat('code/code ''', cda:code/@code, '''')        else '' " />
    <xsl:variable name="other-section-names" select=" if (cda:code/@displayName and not(cda:code/cda:originalText)) then concat(' and code/displayName ''', cda:code/@displayName, '''')         else if (cda:code/@displayName and cda:code/cda:originalText)          then concat(', code/displayName ''', cda:code/@displayName,''' and code/originalText ''', cda:code/cda:originalText, '''')        else if (not(cda:code/@displayName) and cda:code/cda:originalText) then concat(' and code/originalText ''', cda:code/cda:originalText, '''')        else '' " />
    <xsl:variable name="section-names" select="concat($title-and-code, $other-section-names)" />
    <xsl:variable name="doc-code" select="/cda:ClinicalDocument/cda:code" />
    <xsl:variable name="custom-section-info" select="($iq-config/custom-sections/section, $knowledge/custom-sections/section)[@parent = 'body'     and         @doc-code  = $doc-code/@code          and        @doc-codeSystem  = $doc-code/@codeSystem          and        (@title = current()/cda:title or (@code = current()/cda:code/@code and @codeSystem = current()/cda:code/@codeSystem)) ] " />
    <xsl:variable name="section-disallowed" select="$custom-section-info/@disallowed = 'yes' " />
    <xsl:variable name="rating-28" select="if ($test-step = 'step 1' and ($section-disallowed or not(exists($custom-section-info)))) then $rating-alt-TC-Doc-28-step-1        else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 3') then $rating-TC-Doc-28-step-3 else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and $section-disallowed ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and $section-disallowed">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> document body has an unexpected section. The expected sections
		are Adverse Reactions (with code '101.20113'), Medications (with code '101.16146'), Past and Current Medical History (with code '101.16117'),         Immunisations (with code '101.16638') and Administrative Observations (with code '102.16080') but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> specifications.
		This section is an extension to the information model however the inclusion of this section conflicts with sections defined in the digital health specifications.
		<xsl:text /><xsl:value-of select="normalize-space($custom-section-info[@disallowed = 'yes']/@reason)" /><xsl:text /> (Also see <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> document body has an unexpected section. The expected sections
		are Adverse Reactions (with code '101.20113'), Medications (with code '101.16146'), Past and Current Medical History (with code '101.16117'),         Immunisations (with code '101.16638') and Administrative Observations (with code '102.16080') but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> specifications.
		Confirm if the inclusion of this section meets the requirement that extensions must not qualify or negate any of the data components defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />
		CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> document body has an unexpected section. The expected sections are
		Adverse Reactions (with code '101.20113'), Medications (with code '101.16146'), Past and Current Medical History (with code '101.16117'),         Immunisations (with code '101.16638') and Administrative Observations (with code '102.16080') but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> specifications. This fails to meet the
		requirement that the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> must not contain additional data elements. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M921" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M921" />
  <xsl:template match="@*|node()" priority="-2" mode="M921">
    <xsl:apply-templates select="@*|*" mode="M921" />
  </xsl:template>
  <!--PATTERN p-TS-Dext-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and (@extension = '1.2' or @extension = '1.3')] and //cda:section   [cda:code/@codeSystem='1.2.36.1.2001.1001.101']]/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@codeSystem='1.2.36.1.2001.1001.101']   [not(cda:code/@code='101.16672' or cda:code/@code='101.20113' or cda:code/@code='101.16146' or cda:code/@code='101.16117' or cda:code/@code='101.16638' or    cda:code/@code='101.20117' or cda:code/@code='102.16080') and (cda:text or cda:entry or cda:component)] " priority="1000" mode="M922">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and (@extension = '1.2' or @extension = '1.3')] and //cda:section   [cda:code/@codeSystem='1.2.36.1.2001.1001.101']]/cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@codeSystem='1.2.36.1.2001.1001.101']   [not(cda:code/@code='101.16672' or cda:code/@code='101.20113' or cda:code/@code='101.16146' or cda:code/@code='101.16117' or cda:code/@code='101.16638' or    cda:code/@code='101.20117' or cda:code/@code='102.16080') and (cda:text or cda:entry or cda:component)] " />
    <xsl:variable name="agency-section" select=" if (cda:code/@codeSystem = '1.2.36.1.2001.1001.101') then true() else false() " />
    <xsl:variable name="test-step" select=" if (not($extensions-allowed)) then 'step 4' else if ($agency-section) then 'step 3' else 'step 1' " />
    <xsl:variable name="title-and-code" select=" if (cda:title and cda:code/@code) then concat('title ''', cda:title, ''', code/code ''', cda:code/@code, '''')        else if (cda:title and not(cda:code/@code)) then concat('title ''', cda:title, '''')        else if (not(cda:title) and cda:code/@code) then concat('code/code ''', cda:code/@code, '''')        else '' " />
    <xsl:variable name="other-section-names" select=" if (cda:code/@displayName and not(cda:code/cda:originalText)) then concat(' and code/displayName ''', cda:code/@displayName, '''')         else if (cda:code/@displayName and cda:code/cda:originalText)          then concat(', code/displayName ''', cda:code/@displayName,''' and code/originalText ''', cda:code/cda:originalText, '''')        else if (not(cda:code/@displayName) and cda:code/cda:originalText) then concat(' and code/originalText ''', cda:code/cda:originalText, '''')        else '' " />
    <xsl:variable name="section-names" select="concat($title-and-code, $other-section-names)" />
    <xsl:variable name="doc-code" select="/cda:ClinicalDocument/cda:code" />
    <xsl:variable name="custom-section-info" select="($iq-config/custom-sections/section, $knowledge/custom-sections/section)[@parent = 'body'     and         @doc-code  = $doc-code/@code          and        @doc-codeSystem  = $doc-code/@codeSystem          and        (@title = current()/cda:title or (@code = current()/cda:code/@code and @codeSystem = current()/cda:code/@codeSystem)) ] " />
    <xsl:variable name="section-disallowed" select="$custom-section-info/@disallowed = 'yes' " />
    <xsl:variable name="rating-28" select="if ($test-step = 'step 1' and ($section-disallowed or not(exists($custom-section-info)))) then $rating-alt-TC-Doc-28-step-1        else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 3') then $rating-TC-Doc-28-step-3 else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and $section-disallowed ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and $section-disallowed">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> document body has an unexpected section. The expected sections
		are Event Details (with code '101.16672'), Newly Identified Adverse Reactions (with code '101.20113'), Medications (with code '101.16146'),        Diagnoses/Interventions (with code '101.16117'), Immunisations (with code '101.16638'), Diagnostic Investigations (with code '101.20117') and        Administrative Observations (with code '102.16080') but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> specifications.
		This section is an extension to the information model however the inclusion of this section conflicts with sections defined in the digital health specifications.
		<xsl:text /><xsl:value-of select="normalize-space($custom-section-info[@disallowed = 'yes']/@reason)" /><xsl:text /> (Also see <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> document body has an unexpected section. The expected sections
		are Event Details (with code '101.16672'), Newly Identified Adverse Reactions (with code '101.20113'), Medications (with code '101.16146'),        Diagnoses/Interventions (with code '101.16117'), Immunisations (with code '101.16638'), Diagnostic Investigations (with code '101.20117') and        Administrative Observations (with code '102.16080') but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> specifications.
		Confirm if the inclusion of this section meets the requirement that extensions must not qualify or negate any of the data components defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />
		CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> document body has an unexpected section. The expected sections are
		Event Details (with code '101.16672'), Newly Identified Adverse Reactions (with code '101.20113'), Medications (with code '101.16146'),        Diagnoses/Interventions (with code '101.16117'), Immunisations (with code '101.16638'), Diagnostic Investigations (with code '101.20117') and        Administrative Observations (with code '102.16080') but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> specifications. This fails to meet the
		requirement that the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> must not contain additional data elements. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M922" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M922" />
  <xsl:template match="@*|node()" priority="-2" mode="M922">
    <xsl:apply-templates select="@*|*" mode="M922" />
  </xsl:template>
  <!--PATTERN p-TS-Dext-5-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3'] and    //cda:section[cda:code/@codeSystem='1.2.36.1.2001.1001.101']]/   cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@codeSystem='1.2.36.1.2001.1001.101']   [not(cda:code/@code='101.16611' or cda:code/@code='101.16606' or cda:code/@code='101.16146' or cda:code/@code='101.20113' or cda:code/@code='101.20117' or    cda:code/@code='102.16080') and (cda:text or cda:entry or cda:component)] " priority="1000" mode="M923">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3'] and    //cda:section[cda:code/@codeSystem='1.2.36.1.2001.1001.101']]/   cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@codeSystem='1.2.36.1.2001.1001.101']   [not(cda:code/@code='101.16611' or cda:code/@code='101.16606' or cda:code/@code='101.16146' or cda:code/@code='101.20113' or cda:code/@code='101.20117' or    cda:code/@code='102.16080') and (cda:text or cda:entry or cda:component)] " />
    <xsl:variable name="agency-section" select=" if (cda:code/@codeSystem = '1.2.36.1.2001.1001.101') then true() else false() " />
    <xsl:variable name="test-step" select=" if (not($extensions-allowed)) then 'step 4' else if ($agency-section) then 'step 3' else 'step 1' " />
    <xsl:variable name="title-and-code" select=" if (cda:title and cda:code/@code) then concat('title ''', cda:title, ''', code/code ''', cda:code/@code, '''')        else if (cda:title and not(cda:code/@code)) then concat('title ''', cda:title, '''')        else if (not(cda:title) and cda:code/@code) then concat('code/code ''', cda:code/@code, '''')        else '' " />
    <xsl:variable name="other-section-names" select=" if (cda:code/@displayName and not(cda:code/cda:originalText)) then concat(' and code/displayName ''', cda:code/@displayName, '''')         else if (cda:code/@displayName and cda:code/cda:originalText)          then concat(', code/displayName ''', cda:code/@displayName,''' and code/originalText ''', cda:code/cda:originalText, '''')        else if (not(cda:code/@displayName) and cda:code/cda:originalText) then concat(' and code/originalText ''', cda:code/cda:originalText, '''')        else '' " />
    <xsl:variable name="section-names" select="concat($title-and-code, $other-section-names)" />
    <xsl:variable name="doc-code" select="/cda:ClinicalDocument/cda:code" />
    <xsl:variable name="custom-section-info" select="($iq-config/custom-sections/section, $knowledge/custom-sections/section)[@parent = 'body'     and         @doc-code  = $doc-code/@code          and        @doc-codeSystem  = $doc-code/@codeSystem          and        (@title = current()/cda:title or (@code = current()/cda:code/@code and @codeSystem = current()/cda:code/@codeSystem)) ] " />
    <xsl:variable name="section-disallowed" select="$custom-section-info/@disallowed = 'yes' " />
    <xsl:variable name="rating-28" select="if ($test-step = 'step 1' and ($section-disallowed or not(exists($custom-section-info)))) then $rating-alt-TC-Doc-28-step-1        else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 3') then $rating-TC-Doc-28-step-3 else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and $section-disallowed ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and $section-disallowed">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> document body has an unexpected section. The expected sections
		are Response Details (with code '101.16611'), Recommendations (with code '101.16606'), Medications (with code '101.16146'),        Newly Identified Adverse Reactions (with code '101.20113'), Diagnostic Investigations (with code '101.20117') and Administrative Observations        (with code '102.16080') but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> specifications.
		This section is an extension to the information model however the inclusion of this section conflicts with sections defined in the digital health specifications.
		<xsl:text /><xsl:value-of select="normalize-space($custom-section-info[@disallowed = 'yes']/@reason)" /><xsl:text /> (Also see <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> document body has an unexpected section. The expected sections
		are Response Details (with code '101.16611'), Recommendations (with code '101.16606'), Medications (with code '101.16146'),        Newly Identified Adverse Reactions (with code '101.20113'), Diagnostic Investigations (with code '101.20117') and Administrative Observations        (with code '102.16080') but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> specifications.
		Confirm if the inclusion of this section meets the requirement that extensions must not qualify or negate any of the data components defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />
		CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> document body has an unexpected section. The expected sections are
		Response Details (with code '101.16611'), Recommendations (with code '101.16606'), Medications (with code '101.16146'),        Newly Identified Adverse Reactions (with code '101.20113'), Diagnostic Investigations (with code '101.20117') and Administrative Observations        (with code '102.16080') but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> specifications. This fails to meet the
		requirement that the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> must not contain additional data elements. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M923" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M923" />
  <xsl:template match="@*|node()" priority="-2" mode="M923">
    <xsl:apply-templates select="@*|*" mode="M923" />
  </xsl:template>
  <!--PATTERN p-TS-Dext-6-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2'] and    //cda:section[cda:code/@codeSystem='1.2.36.1.2001.1001.101']]/   cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@codeSystem='1.2.36.1.2001.1001.101']   [not(cda:code/@code='102.16347' or cda:code/@code='101.16117' or cda:code/@code='101.16146' or cda:code/@code='101.20113' or cda:code/@code='101.20117' or    cda:code/@code='102.16080') and (cda:text or cda:entry or cda:component)] " priority="1000" mode="M924">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2'] and    //cda:section[cda:code/@codeSystem='1.2.36.1.2001.1001.101']]/   cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@codeSystem='1.2.36.1.2001.1001.101']   [not(cda:code/@code='102.16347' or cda:code/@code='101.16117' or cda:code/@code='101.16146' or cda:code/@code='101.20113' or cda:code/@code='101.20117' or    cda:code/@code='102.16080') and (cda:text or cda:entry or cda:component)] " />
    <xsl:variable name="agency-section" select=" if (cda:code/@codeSystem = '1.2.36.1.2001.1001.101') then true() else false() " />
    <xsl:variable name="test-step" select=" if (not($extensions-allowed)) then 'step 4' else if ($agency-section) then 'step 3' else 'step 1' " />
    <xsl:variable name="title-and-code" select=" if (cda:title and cda:code/@code) then concat('title ''', cda:title, ''', code/code ''', cda:code/@code, '''')        else if (cda:title and not(cda:code/@code)) then concat('title ''', cda:title, '''')        else if (not(cda:title) and cda:code/@code) then concat('code/code ''', cda:code/@code, '''')        else '' " />
    <xsl:variable name="other-section-names" select=" if (cda:code/@displayName and not(cda:code/cda:originalText)) then concat(' and code/displayName ''', cda:code/@displayName, '''')         else if (cda:code/@displayName and cda:code/cda:originalText)          then concat(', code/displayName ''', cda:code/@displayName,''' and code/originalText ''', cda:code/cda:originalText, '''')        else if (not(cda:code/@displayName) and cda:code/cda:originalText) then concat(' and code/originalText ''', cda:code/cda:originalText, '''')        else '' " />
    <xsl:variable name="section-names" select="concat($title-and-code, $other-section-names)" />
    <xsl:variable name="doc-code" select="/cda:ClinicalDocument/cda:code" />
    <xsl:variable name="custom-section-info" select="($iq-config/custom-sections/section, $knowledge/custom-sections/section)[@parent = 'body'     and         @doc-code  = $doc-code/@code          and        @doc-codeSystem  = $doc-code/@codeSystem          and        (@title = current()/cda:title or (@code = current()/cda:code/@code and @codeSystem = current()/cda:code/@codeSystem)) ] " />
    <xsl:variable name="section-disallowed" select="$custom-section-info/@disallowed = 'yes' " />
    <xsl:variable name="rating-28" select="if ($test-step = 'step 1' and ($section-disallowed or not(exists($custom-section-info)))) then $rating-alt-TC-Doc-28-step-1        else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 3') then $rating-TC-Doc-28-step-3 else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and $section-disallowed ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and $section-disallowed">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> document body has an unexpected section. The expected sections
		are Referral Detail (with code '102.16347'), Medical History (with code '101.16117'), Medications (with code '101.16146'), Adverse Reactions        (with code '101.20113'), Diagnostic Investigations (with code '101.20117') and Administrative Observations (with code '102.16080') but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> specifications.
		This section is an extension to the information model however the inclusion of this section conflicts with sections defined in the digital health specifications.
		<xsl:text /><xsl:value-of select="normalize-space($custom-section-info[@disallowed = 'yes']/@reason)" /><xsl:text /> (Also see <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> document body has an unexpected section. The expected sections
		are Referral Detail (with code '102.16347'), Medical History (with code '101.16117'), Medications (with code '101.16146'), Adverse Reactions        (with code '101.20113'), Diagnostic Investigations (with code '101.20117') and Administrative Observations (with code '102.16080') but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> specifications.
		Confirm if the inclusion of this section meets the requirement that extensions must not qualify or negate any of the data components defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />
		CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> document body has an unexpected section. The expected sections are
		Referral Detail (with code '102.16347'), Medical History (with code '101.16117'), Medications (with code '101.16146'), Adverse Reactions        (with code '101.20113'), Diagnostic Investigations (with code '101.20117') and Administrative Observations (with code '102.16080') but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> specifications. This fails to meet the
		requirement that the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> must not contain additional data elements. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M924" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M924" />
  <xsl:template match="@*|node()" priority="-2" mode="M924">
    <xsl:apply-templates select="@*|*" mode="M924" />
  </xsl:template>
  <!--PATTERN p-TS-Dext-7-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.170' and @extension = '1.0'] and    //cda:section[cda:code/@codeSystem='1.2.36.1.2001.1001.101']]/   cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@codeSystem='1.2.36.1.2001.1001.101']   [not(cda:code/@code='102.16211' or cda:code/@code='102.16080') and (cda:text or cda:entry or cda:component)] " priority="1000" mode="M925">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.170' and @extension = '1.0'] and    //cda:section[cda:code/@codeSystem='1.2.36.1.2001.1001.101']]/   cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@codeSystem='1.2.36.1.2001.1001.101']   [not(cda:code/@code='102.16211' or cda:code/@code='102.16080') and (cda:text or cda:entry or cda:component)] " />
    <xsl:variable name="agency-section" select=" if (cda:code/@codeSystem = '1.2.36.1.2001.1001.101') then true() else false() " />
    <xsl:variable name="test-step" select=" if (not($extensions-allowed)) then 'step 4' else if ($agency-section) then 'step 3' else 'step 1' " />
    <xsl:variable name="title-and-code" select=" if (cda:title and cda:code/@code) then concat('title ''', cda:title, ''', code/code ''', cda:code/@code, '''')        else if (cda:title and not(cda:code/@code)) then concat('title ''', cda:title, '''')        else if (not(cda:title) and cda:code/@code) then concat('code/code ''', cda:code/@code, '''')        else '' " />
    <xsl:variable name="other-section-names" select=" if (cda:code/@displayName and not(cda:code/cda:originalText)) then concat(' and code/displayName ''', cda:code/@displayName, '''')         else if (cda:code/@displayName and cda:code/cda:originalText)          then concat(', code/displayName ''', cda:code/@displayName,''' and code/originalText ''', cda:code/cda:originalText, '''')        else if (not(cda:code/@displayName) and cda:code/cda:originalText) then concat(' and code/originalText ''', cda:code/cda:originalText, '''')        else '' " />
    <xsl:variable name="section-names" select="concat($title-and-code, $other-section-names)" />
    <xsl:variable name="doc-code" select="/cda:ClinicalDocument/cda:code" />
    <xsl:variable name="custom-section-info" select="($iq-config/custom-sections/section, $knowledge/custom-sections/section)[@parent = 'body'     and         @doc-code  = $doc-code/@code          and        @doc-codeSystem  = $doc-code/@codeSystem          and        (@title = current()/cda:title or (@code = current()/cda:code/@code and @codeSystem = current()/cda:code/@codeSystem)) ] " />
    <xsl:variable name="section-disallowed" select="$custom-section-info/@disallowed = 'yes' " />
    <xsl:variable name="rating-28" select="if ($test-step = 'step 1' and ($section-disallowed or not(exists($custom-section-info)))) then $rating-alt-TC-Doc-28-step-1        else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 3') then $rating-TC-Doc-28-step-3 else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and $section-disallowed ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and $section-disallowed">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> document body has an unexpected section. The expected sections
		are Prescription Item (with code '102.16211') and Administrative Observations (with code '102.16080') but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> specifications.
		This section is an extension to the information model however the inclusion of this section conflicts with sections defined in the digital health specifications.
		<xsl:text /><xsl:value-of select="normalize-space($custom-section-info[@disallowed = 'yes']/@reason)" /><xsl:text /> (Also see <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> document body has an unexpected section. The expected sections
		are Prescription Item (with code '102.16211') and Administrative Observations (with code '102.16080') but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> specifications.
		Confirm if the inclusion of this section meets the requirement that extensions must not qualify or negate any of the data components defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />
		CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> document body has an unexpected section. The expected sections are
		Prescription Item (with code '102.16211') and Administrative Observations (with code '102.16080') but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> specifications. This fails to meet the
		requirement that the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> must not contain additional data elements. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M925" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M925" />
  <xsl:template match="@*|node()" priority="-2" mode="M925">
    <xsl:apply-templates select="@*|*" mode="M925" />
  </xsl:template>
  <!--PATTERN p-TS-Dext-8-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.171' and @extension = '1.0'] and    //cda:section[cda:code/@codeSystem='1.2.36.1.2001.1001.101']]/   cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@codeSystem='1.2.36.1.2001.1001.101']   [not(cda:code/@code='102.16210' or cda:code/@code='102.16080') and (cda:text or cda:entry or cda:component)] " priority="1000" mode="M926">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.171' and @extension = '1.0'] and    //cda:section[cda:code/@codeSystem='1.2.36.1.2001.1001.101']]/   cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@codeSystem='1.2.36.1.2001.1001.101']   [not(cda:code/@code='102.16210' or cda:code/@code='102.16080') and (cda:text or cda:entry or cda:component)] " />
    <xsl:variable name="agency-section" select=" if (cda:code/@codeSystem = '1.2.36.1.2001.1001.101') then true() else false() " />
    <xsl:variable name="test-step" select=" if (not($extensions-allowed)) then 'step 4' else if ($agency-section) then 'step 3' else 'step 1' " />
    <xsl:variable name="title-and-code" select=" if (cda:title and cda:code/@code) then concat('title ''', cda:title, ''', code/code ''', cda:code/@code, '''')        else if (cda:title and not(cda:code/@code)) then concat('title ''', cda:title, '''')        else if (not(cda:title) and cda:code/@code) then concat('code/code ''', cda:code/@code, '''')        else '' " />
    <xsl:variable name="other-section-names" select=" if (cda:code/@displayName and not(cda:code/cda:originalText)) then concat(' and code/displayName ''', cda:code/@displayName, '''')         else if (cda:code/@displayName and cda:code/cda:originalText)          then concat(', code/displayName ''', cda:code/@displayName,''' and code/originalText ''', cda:code/cda:originalText, '''')        else if (not(cda:code/@displayName) and cda:code/cda:originalText) then concat(' and code/originalText ''', cda:code/cda:originalText, '''')        else '' " />
    <xsl:variable name="section-names" select="concat($title-and-code, $other-section-names)" />
    <xsl:variable name="doc-code" select="/cda:ClinicalDocument/cda:code" />
    <xsl:variable name="custom-section-info" select="($iq-config/custom-sections/section, $knowledge/custom-sections/section)[@parent = 'body'     and         @doc-code  = $doc-code/@code          and        @doc-codeSystem  = $doc-code/@codeSystem          and        (@title = current()/cda:title or (@code = current()/cda:code/@code and @codeSystem = current()/cda:code/@codeSystem)) ] " />
    <xsl:variable name="section-disallowed" select="$custom-section-info/@disallowed = 'yes' " />
    <xsl:variable name="rating-28" select="if ($test-step = 'step 1' and ($section-disallowed or not(exists($custom-section-info)))) then $rating-alt-TC-Doc-28-step-1        else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 3') then $rating-TC-Doc-28-step-3 else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and $section-disallowed ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and $section-disallowed">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> document body has an unexpected section. The expected sections
		are Dispense Item (with code '102.16210')   and Administrative Observations (with code '102.16080') but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> specifications.
		This section is an extension to the information model however the inclusion of this section conflicts with sections defined in the digital health specifications.
		<xsl:text /><xsl:value-of select="normalize-space($custom-section-info[@disallowed = 'yes']/@reason)" /><xsl:text /> (Also see <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> document body has an unexpected section. The expected sections
		are Dispense Item (with code '102.16210')   and Administrative Observations (with code '102.16080') but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> specifications.
		Confirm if the inclusion of this section meets the requirement that extensions must not qualify or negate any of the data components defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />
		CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> document body has an unexpected section. The expected sections are
		Dispense Item (with code '102.16210')   and Administrative Observations (with code '102.16080') but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> specifications. This fails to meet the
		requirement that the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> must not contain additional data elements. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M926" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M926" />
  <xsl:template match="@*|node()" priority="-2" mode="M926">
    <xsl:apply-templates select="@*|*" mode="M926" />
  </xsl:template>
  <!--PATTERN p-TS-Dext-9-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.220' and @extension = '1.0'] and    //cda:section[cda:code/@codeSystem='1.2.36.1.2001.1001.101']]/   cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@codeSystem='1.2.36.1.2001.1001.101']   [not(cda:code/@code='101.20018' or cda:code/@code='102.16080') and (cda:text or cda:entry or cda:component)] " priority="1000" mode="M927">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.220' and @extension = '1.0'] and    //cda:section[cda:code/@codeSystem='1.2.36.1.2001.1001.101']]/   cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@codeSystem='1.2.36.1.2001.1001.101']   [not(cda:code/@code='101.20018' or cda:code/@code='102.16080') and (cda:text or cda:entry or cda:component)] " />
    <xsl:variable name="agency-section" select=" if (cda:code/@codeSystem = '1.2.36.1.2001.1001.101') then true() else false() " />
    <xsl:variable name="test-step" select=" if (not($extensions-allowed)) then 'step 4' else if ($agency-section) then 'step 3' else 'step 1' " />
    <xsl:variable name="title-and-code" select=" if (cda:title and cda:code/@code) then concat('title ''', cda:title, ''', code/code ''', cda:code/@code, '''')        else if (cda:title and not(cda:code/@code)) then concat('title ''', cda:title, '''')        else if (not(cda:title) and cda:code/@code) then concat('code/code ''', cda:code/@code, '''')        else '' " />
    <xsl:variable name="other-section-names" select=" if (cda:code/@displayName and not(cda:code/cda:originalText)) then concat(' and code/displayName ''', cda:code/@displayName, '''')         else if (cda:code/@displayName and cda:code/cda:originalText)          then concat(', code/displayName ''', cda:code/@displayName,''' and code/originalText ''', cda:code/cda:originalText, '''')        else if (not(cda:code/@displayName) and cda:code/cda:originalText) then concat(' and code/originalText ''', cda:code/cda:originalText, '''')        else '' " />
    <xsl:variable name="section-names" select="concat($title-and-code, $other-section-names)" />
    <xsl:variable name="doc-code" select="/cda:ClinicalDocument/cda:code" />
    <xsl:variable name="custom-section-info" select="($iq-config/custom-sections/section, $knowledge/custom-sections/section)[@parent = 'body'     and         @doc-code  = $doc-code/@code          and        @doc-codeSystem  = $doc-code/@codeSystem          and        (@title = current()/cda:title or (@code = current()/cda:code/@code and @codeSystem = current()/cda:code/@codeSystem)) ] " />
    <xsl:variable name="section-disallowed" select="$custom-section-info/@disallowed = 'yes' " />
    <xsl:variable name="rating-28" select="if ($test-step = 'step 1' and ($section-disallowed or not(exists($custom-section-info)))) then $rating-alt-TC-Doc-28-step-1        else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 3') then $rating-TC-Doc-28-step-3 else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and $section-disallowed ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and $section-disallowed">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> document body has an unexpected section. The expected sections
		are Pathology (with code '101.20018') and Administrative Observations (with code '102.16080') but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> specifications.
		This section is an extension to the information model however the inclusion of this section conflicts with sections defined in the digital health specifications.
		<xsl:text /><xsl:value-of select="normalize-space($custom-section-info[@disallowed = 'yes']/@reason)" /><xsl:text /> (Also see <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> document body has an unexpected section. The expected sections
		are Pathology (with code '101.20018') and Administrative Observations (with code '102.16080') but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> specifications.
		Confirm if the inclusion of this section meets the requirement that extensions must not qualify or negate any of the data components defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />
		CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> document body has an unexpected section. The expected sections are
		Pathology (with code '101.20018') and Administrative Observations (with code '102.16080') but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> specifications. This fails to meet the
		requirement that the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> must not contain additional data elements. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M927" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M927" />
  <xsl:template match="@*|node()" priority="-2" mode="M927">
    <xsl:apply-templates select="@*|*" mode="M927" />
  </xsl:template>
  <!--PATTERN p-TS-Dext-10-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.222' and @extension = '1.0'] and    //cda:section[cda:code/@codeSystem='1.2.36.1.2001.1001.101']]/   cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@codeSystem='1.2.36.1.2001.1001.101']   [not(cda:code/@code='101.16945' or cda:code/@code='102.16080') and (cda:text or cda:entry or cda:component)] " priority="1000" mode="M928">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.222' and @extension = '1.0'] and    //cda:section[cda:code/@codeSystem='1.2.36.1.2001.1001.101']]/   cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@codeSystem='1.2.36.1.2001.1001.101']   [not(cda:code/@code='101.16945' or cda:code/@code='102.16080') and (cda:text or cda:entry or cda:component)] " />
    <xsl:variable name="agency-section" select=" if (cda:code/@codeSystem = '1.2.36.1.2001.1001.101') then true() else false() " />
    <xsl:variable name="test-step" select=" if (not($extensions-allowed)) then 'step 4' else if ($agency-section) then 'step 3' else 'step 1' " />
    <xsl:variable name="title-and-code" select=" if (cda:title and cda:code/@code) then concat('title ''', cda:title, ''', code/code ''', cda:code/@code, '''')        else if (cda:title and not(cda:code/@code)) then concat('title ''', cda:title, '''')        else if (not(cda:title) and cda:code/@code) then concat('code/code ''', cda:code/@code, '''')        else '' " />
    <xsl:variable name="other-section-names" select=" if (cda:code/@displayName and not(cda:code/cda:originalText)) then concat(' and code/displayName ''', cda:code/@displayName, '''')         else if (cda:code/@displayName and cda:code/cda:originalText)          then concat(', code/displayName ''', cda:code/@displayName,''' and code/originalText ''', cda:code/cda:originalText, '''')        else if (not(cda:code/@displayName) and cda:code/cda:originalText) then concat(' and code/originalText ''', cda:code/cda:originalText, '''')        else '' " />
    <xsl:variable name="section-names" select="concat($title-and-code, $other-section-names)" />
    <xsl:variable name="doc-code" select="/cda:ClinicalDocument/cda:code" />
    <xsl:variable name="custom-section-info" select="($iq-config/custom-sections/section, $knowledge/custom-sections/section)[@parent = 'body'     and         @doc-code  = $doc-code/@code          and        @doc-codeSystem  = $doc-code/@codeSystem          and        (@title = current()/cda:title or (@code = current()/cda:code/@code and @codeSystem = current()/cda:code/@codeSystem)) ] " />
    <xsl:variable name="section-disallowed" select="$custom-section-info/@disallowed = 'yes' " />
    <xsl:variable name="rating-28" select="if ($test-step = 'step 1' and ($section-disallowed or not(exists($custom-section-info)))) then $rating-alt-TC-Doc-28-step-1        else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 3') then $rating-TC-Doc-28-step-3 else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and $section-disallowed ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and $section-disallowed">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> document body has an unexpected section. The expected sections
		are Diagnostic Imaging (with code '101.16945') and Administrative Observations (with code '102.16080') but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> specifications.
		This section is an extension to the information model however the inclusion of this section conflicts with sections defined in the digital health specifications.
		<xsl:text /><xsl:value-of select="normalize-space($custom-section-info[@disallowed = 'yes']/@reason)" /><xsl:text /> (Also see <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> document body has an unexpected section. The expected sections
		are Diagnostic Imaging (with code '101.16945') and Administrative Observations (with code '102.16080') but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> specifications.
		Confirm if the inclusion of this section meets the requirement that extensions must not qualify or negate any of the data components defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />
		CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> document body has an unexpected section. The expected sections are
		Diagnostic Imaging (with code '101.16945') and Administrative Observations (with code '102.16080') but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> specifications. This fails to meet the
		requirement that the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> must not contain additional data elements. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M928" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M928" />
  <xsl:template match="@*|node()" priority="-2" mode="M928">
    <xsl:apply-templates select="@*|*" mode="M928" />
  </xsl:template>
  <!--PATTERN p-TS-Dext-11-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.101.100.16685' and @extension = '1.0'] and    //cda:section[cda:code/@codeSystem='1.2.36.1.2001.1001.101']]/   cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@codeSystem='1.2.36.1.2001.1001.101']   [not(cda:code/@code='101.20113' or cda:code/@code='101.16146' or cda:code/@code='102.16080') and (cda:text or cda:entry or cda:component)] " priority="1000" mode="M929">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.101.100.16685' and @extension = '1.0'] and    //cda:section[cda:code/@codeSystem='1.2.36.1.2001.1001.101']]/   cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@codeSystem='1.2.36.1.2001.1001.101']   [not(cda:code/@code='101.20113' or cda:code/@code='101.16146' or cda:code/@code='102.16080') and (cda:text or cda:entry or cda:component)] " />
    <xsl:variable name="agency-section" select=" if (cda:code/@codeSystem = '1.2.36.1.2001.1001.101') then true() else false() " />
    <xsl:variable name="test-step" select=" if (not($extensions-allowed)) then 'step 4' else if ($agency-section) then 'step 3' else 'step 1' " />
    <xsl:variable name="title-and-code" select=" if (cda:title and cda:code/@code) then concat('title ''', cda:title, ''', code/code ''', cda:code/@code, '''')        else if (cda:title and not(cda:code/@code)) then concat('title ''', cda:title, '''')        else if (not(cda:title) and cda:code/@code) then concat('code/code ''', cda:code/@code, '''')        else '' " />
    <xsl:variable name="other-section-names" select=" if (cda:code/@displayName and not(cda:code/cda:originalText)) then concat(' and code/displayName ''', cda:code/@displayName, '''')         else if (cda:code/@displayName and cda:code/cda:originalText)          then concat(', code/displayName ''', cda:code/@displayName,''' and code/originalText ''', cda:code/cda:originalText, '''')        else if (not(cda:code/@displayName) and cda:code/cda:originalText) then concat(' and code/originalText ''', cda:code/cda:originalText, '''')        else '' " />
    <xsl:variable name="section-names" select="concat($title-and-code, $other-section-names)" />
    <xsl:variable name="doc-code" select="/cda:ClinicalDocument/cda:code" />
    <xsl:variable name="custom-section-info" select="($iq-config/custom-sections/section, $knowledge/custom-sections/section)[@parent = 'body'     and         @doc-code  = $doc-code/@code          and        @doc-codeSystem  = $doc-code/@codeSystem          and        (@title = current()/cda:title or (@code = current()/cda:code/@code and @codeSystem = current()/cda:code/@codeSystem)) ] " />
    <xsl:variable name="section-disallowed" select="$custom-section-info/@disallowed = 'yes' " />
    <xsl:variable name="rating-28" select="if ($test-step = 'step 1' and ($section-disallowed or not(exists($custom-section-info)))) then $rating-alt-TC-Doc-28-step-1        else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 3') then $rating-TC-Doc-28-step-3 else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and $section-disallowed ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and $section-disallowed">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> document body has an unexpected section. The expected sections
		are Adverse Reactions (with code '101.20113'), Medications (with code '101.16146') and Administrative Observations (with code '102.16080') but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> specifications.
		This section is an extension to the information model however the inclusion of this section conflicts with sections defined in the digital health specifications.
		<xsl:text /><xsl:value-of select="normalize-space($custom-section-info[@disallowed = 'yes']/@reason)" /><xsl:text /> (Also see <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> document body has an unexpected section. The expected sections
		are Adverse Reactions (with code '101.20113'), Medications (with code '101.16146') and Administrative Observations (with code '102.16080') but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> specifications.
		Confirm if the inclusion of this section meets the requirement that extensions must not qualify or negate any of the data components defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />
		CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> document body has an unexpected section. The expected sections are
		Adverse Reactions (with code '101.20113'), Medications (with code '101.16146') and Administrative Observations (with code '102.16080') but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> specifications. This fails to meet the
		requirement that the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> must not contain additional data elements. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M929" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M929" />
  <xsl:template match="@*|node()" priority="-2" mode="M929">
    <xsl:apply-templates select="@*|*" mode="M929" />
  </xsl:template>
  <!--PATTERN p-TS-Dext-12-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.142' and @extension = '1.1'] and    //cda:section[cda:code/@codeSystem='1.2.36.1.2001.1001.101']]/   cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@codeSystem='1.2.36.1.2001.1001.101']   [not(cda:code/@code='101.16649' or cda:code/@code='102.16080') and (cda:text or cda:entry or cda:component)] " priority="1000" mode="M930">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.142' and @extension = '1.1'] and    //cda:section[cda:code/@codeSystem='1.2.36.1.2001.1001.101']]/   cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@codeSystem='1.2.36.1.2001.1001.101']   [not(cda:code/@code='101.16649' or cda:code/@code='102.16080') and (cda:text or cda:entry or cda:component)] " />
    <xsl:variable name="agency-section" select=" if (cda:code/@codeSystem = '1.2.36.1.2001.1001.101') then true() else false() " />
    <xsl:variable name="test-step" select=" if (not($extensions-allowed)) then 'step 4' else if ($agency-section) then 'step 3' else 'step 1' " />
    <xsl:variable name="title-and-code" select=" if (cda:title and cda:code/@code) then concat('title ''', cda:title, ''', code/code ''', cda:code/@code, '''')        else if (cda:title and not(cda:code/@code)) then concat('title ''', cda:title, '''')        else if (not(cda:title) and cda:code/@code) then concat('code/code ''', cda:code/@code, '''')        else '' " />
    <xsl:variable name="other-section-names" select=" if (cda:code/@displayName and not(cda:code/cda:originalText)) then concat(' and code/displayName ''', cda:code/@displayName, '''')         else if (cda:code/@displayName and cda:code/cda:originalText)          then concat(', code/displayName ''', cda:code/@displayName,''' and code/originalText ''', cda:code/cda:originalText, '''')        else if (not(cda:code/@displayName) and cda:code/cda:originalText) then concat(' and code/originalText ''', cda:code/cda:originalText, '''')        else '' " />
    <xsl:variable name="section-names" select="concat($title-and-code, $other-section-names)" />
    <xsl:variable name="doc-code" select="/cda:ClinicalDocument/cda:code" />
    <xsl:variable name="custom-section-info" select="($iq-config/custom-sections/section, $knowledge/custom-sections/section)[@parent = 'body'     and         @doc-code  = $doc-code/@code          and        @doc-codeSystem  = $doc-code/@codeSystem          and        (@title = current()/cda:title or (@code = current()/cda:code/@code and @codeSystem = current()/cda:code/@codeSystem)) ] " />
    <xsl:variable name="section-disallowed" select="$custom-section-info/@disallowed = 'yes' " />
    <xsl:variable name="rating-28" select="if ($test-step = 'step 1' and ($section-disallowed or not(exists($custom-section-info)))) then $rating-alt-TC-Doc-28-step-1        else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 3') then $rating-TC-Doc-28-step-3 else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and $section-disallowed ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and $section-disallowed">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> document body has an unexpected section. The expected sections
		are Pharmaceutical Benefit Items (with code '101.16649') and Administrative Observations (with code '102.16080') but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> specifications.
		This section is an extension to the information model however the inclusion of this section conflicts with sections defined in the digital health specifications.
		<xsl:text /><xsl:value-of select="normalize-space($custom-section-info[@disallowed = 'yes']/@reason)" /><xsl:text /> (Also see <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> document body has an unexpected section. The expected sections
		are Pharmaceutical Benefit Items (with code '101.16649') and Administrative Observations (with code '102.16080') but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> specifications.
		Confirm if the inclusion of this section meets the requirement that extensions must not qualify or negate any of the data components defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />
		CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> document body has an unexpected section. The expected sections are
		Pharmaceutical Benefit Items (with code '101.16649') and Administrative Observations (with code '102.16080') but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> specifications. This fails to meet the
		requirement that the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> must not contain additional data elements. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M930" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M930" />
  <xsl:template match="@*|node()" priority="-2" mode="M930">
    <xsl:apply-templates select="@*|*" mode="M930" />
  </xsl:template>
  <!--PATTERN p-TS-Dext-13-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.179' and @extension = '1.0'] and    //cda:section[cda:code/@codeSystem='1.2.36.1.2001.1001.101']]/   cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@codeSystem='1.2.36.1.2001.1001.101']   [not(cda:code/@code='101.16794' or cda:code/@code='102.16134.179.1.1' or cda:code/@code='102.16080') and (cda:text or cda:entry or cda:component)] " priority="1000" mode="M931">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.179' and @extension = '1.0'] and    //cda:section[cda:code/@codeSystem='1.2.36.1.2001.1001.101']]/   cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@codeSystem='1.2.36.1.2001.1001.101']   [not(cda:code/@code='101.16794' or cda:code/@code='102.16134.179.1.1' or cda:code/@code='102.16080') and (cda:text or cda:entry or cda:component)] " />
    <xsl:variable name="agency-section" select=" if (cda:code/@codeSystem = '1.2.36.1.2001.1001.101') then true() else false() " />
    <xsl:variable name="test-step" select=" if (not($extensions-allowed)) then 'step 4' else if ($agency-section) then 'step 3' else 'step 1' " />
    <xsl:variable name="title-and-code" select=" if (cda:title and cda:code/@code) then concat('title ''', cda:title, ''', code/code ''', cda:code/@code, '''')        else if (cda:title and not(cda:code/@code)) then concat('title ''', cda:title, '''')        else if (not(cda:title) and cda:code/@code) then concat('code/code ''', cda:code/@code, '''')        else '' " />
    <xsl:variable name="other-section-names" select=" if (cda:code/@displayName and not(cda:code/cda:originalText)) then concat(' and code/displayName ''', cda:code/@displayName, '''')         else if (cda:code/@displayName and cda:code/cda:originalText)          then concat(', code/displayName ''', cda:code/@displayName,''' and code/originalText ''', cda:code/cda:originalText, '''')        else if (not(cda:code/@displayName) and cda:code/cda:originalText) then concat(' and code/originalText ''', cda:code/cda:originalText, '''')        else '' " />
    <xsl:variable name="section-names" select="concat($title-and-code, $other-section-names)" />
    <xsl:variable name="doc-code" select="/cda:ClinicalDocument/cda:code" />
    <xsl:variable name="custom-section-info" select="($iq-config/custom-sections/section, $knowledge/custom-sections/section)[@parent = 'body'     and         @doc-code  = $doc-code/@code          and        @doc-codeSystem  = $doc-code/@codeSystem          and        (@title = current()/cda:title or (@code = current()/cda:code/@code and @codeSystem = current()/cda:code/@codeSystem)) ] " />
    <xsl:variable name="section-disallowed" select="$custom-section-info/@disallowed = 'yes' " />
    <xsl:variable name="rating-28" select="if ($test-step = 'step 1' and ($section-disallowed or not(exists($custom-section-info)))) then $rating-alt-TC-Doc-28-step-1        else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 3') then $rating-TC-Doc-28-step-3 else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and $section-disallowed ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and $section-disallowed">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> document body has an unexpected section. The expected sections
		are Prescribing and Dispensing Reports (with code '101.16794'), Exclusion Statement (with code '102.16134.179.1.1') and        Administrative Observations (with code '102.16080') but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> specifications.
		This section is an extension to the information model however the inclusion of this section conflicts with sections defined in the digital health specifications.
		<xsl:text /><xsl:value-of select="normalize-space($custom-section-info[@disallowed = 'yes']/@reason)" /><xsl:text /> (Also see <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> document body has an unexpected section. The expected sections
		are Prescribing and Dispensing Reports (with code '101.16794'), Exclusion Statement (with code '102.16134.179.1.1') and        Administrative Observations (with code '102.16080') but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> specifications.
		Confirm if the inclusion of this section meets the requirement that extensions must not qualify or negate any of the data components defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />
		CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> document body has an unexpected section. The expected sections are
		Prescribing and Dispensing Reports (with code '101.16794'), Exclusion Statement (with code '102.16134.179.1.1') and        Administrative Observations (with code '102.16080') but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> specifications. This fails to meet the
		requirement that the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> must not contain additional data elements. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M931" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M931" />
  <xsl:template match="@*|node()" priority="-2" mode="M931">
    <xsl:apply-templates select="@*|*" mode="M931" />
  </xsl:template>
  <!--PATTERN p-TS-Dext-14-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.226' and @extension = '1.0'] and   //cda:section[cda:code/@codeSystem='1.2.36.1.2001.1001.101']]/   cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@codeSystem='1.2.36.1.2001.1001.101']   [not(cda:code/@code='101.16973' or cda:code/@code='102.16080') and (cda:text or cda:entry or cda:component)] " priority="1000" mode="M932">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.226' and @extension = '1.0'] and   //cda:section[cda:code/@codeSystem='1.2.36.1.2001.1001.101']]/   cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@codeSystem='1.2.36.1.2001.1001.101']   [not(cda:code/@code='101.16973' or cda:code/@code='102.16080') and (cda:text or cda:entry or cda:component)] " />
    <xsl:variable name="agency-section" select=" if (cda:code/@codeSystem = '1.2.36.1.2001.1001.101') then true() else false() " />
    <xsl:variable name="test-step" select=" if (not($extensions-allowed)) then 'step 4' else if ($agency-section) then 'step 3' else 'step 1' " />
    <xsl:variable name="title-and-code" select=" if (cda:title and cda:code/@code) then concat('title ''', cda:title, ''', code/code ''', cda:code/@code, '''')        else if (cda:title and not(cda:code/@code)) then concat('title ''', cda:title, '''')        else if (not(cda:title) and cda:code/@code) then concat('code/code ''', cda:code/@code, '''')        else '' " />
    <xsl:variable name="other-section-names" select=" if (cda:code/@displayName and not(cda:code/cda:originalText)) then concat(' and code/displayName ''', cda:code/@displayName, '''')         else if (cda:code/@displayName and cda:code/cda:originalText)          then concat(', code/displayName ''', cda:code/@displayName,''' and code/originalText ''', cda:code/cda:originalText, '''')        else if (not(cda:code/@displayName) and cda:code/cda:originalText) then concat(' and code/originalText ''', cda:code/cda:originalText, '''')        else '' " />
    <xsl:variable name="section-names" select="concat($title-and-code, $other-section-names)" />
    <xsl:variable name="doc-code" select="/cda:ClinicalDocument/cda:code" />
    <xsl:variable name="custom-section-info" select="($iq-config/custom-sections/section, $knowledge/custom-sections/section)[@parent = 'body'     and         @doc-code  = $doc-code/@code          and        @doc-codeSystem  = $doc-code/@codeSystem          and        (@title = current()/cda:title or (@code = current()/cda:code/@code and @codeSystem = current()/cda:code/@codeSystem)) ] " />
    <xsl:variable name="section-disallowed" select="$custom-section-info/@disallowed = 'yes' " />
    <xsl:variable name="rating-28" select="if ($test-step = 'step 1' and ($section-disallowed or not(exists($custom-section-info)))) then $rating-alt-TC-Doc-28-step-1        else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 3') then $rating-TC-Doc-28-step-3 else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and $section-disallowed ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and $section-disallowed">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> document body has an unexpected section. The expected sections
		are Advance Care Information   (with code '101.16973') and Administrative Observations (with code '102.16080') but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> specifications.
		This section is an extension to the information model however the inclusion of this section conflicts with sections defined in the digital health specifications.
		<xsl:text /><xsl:value-of select="normalize-space($custom-section-info[@disallowed = 'yes']/@reason)" /><xsl:text /> (Also see <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> document body has an unexpected section. The expected sections
		are Advance Care Information   (with code '101.16973') and Administrative Observations (with code '102.16080') but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> specifications.
		Confirm if the inclusion of this section meets the requirement that extensions must not qualify or negate any of the data components defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />
		CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> document body has an unexpected section. The expected sections are
		Advance Care Information   (with code '101.16973') and Administrative Observations (with code '102.16080') but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> specifications. This fails to meet the
		requirement that the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> must not contain additional data elements. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M932" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M932" />
  <xsl:template match="@*|node()" priority="-2" mode="M932">
    <xsl:apply-templates select="@*|*" mode="M932" />
  </xsl:template>
  <!--PATTERN p-TS-Dext-15-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.144' and @extension = '1.1'] and    //cda:section[cda:code/@codeSystem='1.2.36.1.2001.1001.101']]/   cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@codeSystem='1.2.36.1.2001.1001.101']   [not(cda:code/@code='101.16658' or cda:code/@code='102.16080') and (cda:text or cda:entry or cda:component)] " priority="1000" mode="M933">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.144' and @extension = '1.1'] and    //cda:section[cda:code/@codeSystem='1.2.36.1.2001.1001.101']]/   cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@codeSystem='1.2.36.1.2001.1001.101']   [not(cda:code/@code='101.16658' or cda:code/@code='102.16080') and (cda:text or cda:entry or cda:component)] " />
    <xsl:variable name="agency-section" select=" if (cda:code/@codeSystem = '1.2.36.1.2001.1001.101') then true() else false() " />
    <xsl:variable name="test-step" select=" if (not($extensions-allowed)) then 'step 4' else if ($agency-section) then 'step 3' else 'step 1' " />
    <xsl:variable name="title-and-code" select=" if (cda:title and cda:code/@code) then concat('title ''', cda:title, ''', code/code ''', cda:code/@code, '''')        else if (cda:title and not(cda:code/@code)) then concat('title ''', cda:title, '''')        else if (not(cda:title) and cda:code/@code) then concat('code/code ''', cda:code/@code, '''')        else '' " />
    <xsl:variable name="other-section-names" select=" if (cda:code/@displayName and not(cda:code/cda:originalText)) then concat(' and code/displayName ''', cda:code/@displayName, '''')         else if (cda:code/@displayName and cda:code/cda:originalText)          then concat(', code/displayName ''', cda:code/@displayName,''' and code/originalText ''', cda:code/cda:originalText, '''')        else if (not(cda:code/@displayName) and cda:code/cda:originalText) then concat(' and code/originalText ''', cda:code/cda:originalText, '''')        else '' " />
    <xsl:variable name="section-names" select="concat($title-and-code, $other-section-names)" />
    <xsl:variable name="doc-code" select="/cda:ClinicalDocument/cda:code" />
    <xsl:variable name="custom-section-info" select="($iq-config/custom-sections/section, $knowledge/custom-sections/section)[@parent = 'body'     and         @doc-code  = $doc-code/@code          and        @doc-codeSystem  = $doc-code/@codeSystem          and        (@title = current()/cda:title or (@code = current()/cda:code/@code and @codeSystem = current()/cda:code/@codeSystem)) ] " />
    <xsl:variable name="section-disallowed" select="$custom-section-info/@disallowed = 'yes' " />
    <xsl:variable name="rating-28" select="if ($test-step = 'step 1' and ($section-disallowed or not(exists($custom-section-info)))) then $rating-alt-TC-Doc-28-step-1        else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 3') then $rating-TC-Doc-28-step-3 else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and $section-disallowed ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and $section-disallowed">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> document body has an unexpected section. The expected sections
		are Australian Childhood Immunisation Register Entries (with code '101.16658') and Administrative Observations (with code '102.16080') but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> specifications.
		This section is an extension to the information model however the inclusion of this section conflicts with sections defined in the digital health specifications.
		<xsl:text /><xsl:value-of select="normalize-space($custom-section-info[@disallowed = 'yes']/@reason)" /><xsl:text /> (Also see <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> document body has an unexpected section. The expected sections
		are Australian Childhood Immunisation Register Entries (with code '101.16658') and Administrative Observations (with code '102.16080') but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> specifications.
		Confirm if the inclusion of this section meets the requirement that extensions must not qualify or negate any of the data components defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />
		CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> document body has an unexpected section. The expected sections are
		Australian Childhood Immunisation Register Entries (with code '101.16658') and Administrative Observations (with code '102.16080') but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> specifications. This fails to meet the
		requirement that the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> must not contain additional data elements. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M933" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M933" />
  <xsl:template match="@*|node()" priority="-2" mode="M933">
    <xsl:apply-templates select="@*|*" mode="M933" />
  </xsl:template>
  <!--PATTERN p-TS-Dext-16-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.140' and @extension = '1.1'] and    //cda:section[cda:code/@codeSystem='1.2.36.1.2001.1001.101']]/   cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@codeSystem='1.2.36.1.2001.1001.101']   [not(cda:code/@code='101.16643' or cda:code/@code='102.16080') and (cda:text or cda:entry or cda:component)] " priority="1000" mode="M934">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.140' and @extension = '1.1'] and    //cda:section[cda:code/@codeSystem='1.2.36.1.2001.1001.101']]/   cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@codeSystem='1.2.36.1.2001.1001.101']   [not(cda:code/@code='101.16643' or cda:code/@code='102.16080') and (cda:text or cda:entry or cda:component)] " />
    <xsl:variable name="agency-section" select=" if (cda:code/@codeSystem = '1.2.36.1.2001.1001.101') then true() else false() " />
    <xsl:variable name="test-step" select=" if (not($extensions-allowed)) then 'step 4' else if ($agency-section) then 'step 3' else 'step 1' " />
    <xsl:variable name="title-and-code" select=" if (cda:title and cda:code/@code) then concat('title ''', cda:title, ''', code/code ''', cda:code/@code, '''')        else if (cda:title and not(cda:code/@code)) then concat('title ''', cda:title, '''')        else if (not(cda:title) and cda:code/@code) then concat('code/code ''', cda:code/@code, '''')        else '' " />
    <xsl:variable name="other-section-names" select=" if (cda:code/@displayName and not(cda:code/cda:originalText)) then concat(' and code/displayName ''', cda:code/@displayName, '''')         else if (cda:code/@displayName and cda:code/cda:originalText)          then concat(', code/displayName ''', cda:code/@displayName,''' and code/originalText ''', cda:code/cda:originalText, '''')        else if (not(cda:code/@displayName) and cda:code/cda:originalText) then concat(' and code/originalText ''', cda:code/cda:originalText, '''')        else '' " />
    <xsl:variable name="section-names" select="concat($title-and-code, $other-section-names)" />
    <xsl:variable name="doc-code" select="/cda:ClinicalDocument/cda:code" />
    <xsl:variable name="custom-section-info" select="($iq-config/custom-sections/section, $knowledge/custom-sections/section)[@parent = 'body'     and         @doc-code  = $doc-code/@code          and        @doc-codeSystem  = $doc-code/@codeSystem          and        (@title = current()/cda:title or (@code = current()/cda:code/@code and @codeSystem = current()/cda:code/@codeSystem)) ] " />
    <xsl:variable name="section-disallowed" select="$custom-section-info/@disallowed = 'yes' " />
    <xsl:variable name="rating-28" select="if ($test-step = 'step 1' and ($section-disallowed or not(exists($custom-section-info)))) then $rating-alt-TC-Doc-28-step-1        else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 3') then $rating-TC-Doc-28-step-3 else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and $section-disallowed ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and $section-disallowed">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> document body has an unexpected section. The expected sections
		are Medicare/DVA Funded Services (with code '101.16643') and Administrative Observations (with code '102.16080') but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> specifications.
		This section is an extension to the information model however the inclusion of this section conflicts with sections defined in the digital health specifications.
		<xsl:text /><xsl:value-of select="normalize-space($custom-section-info[@disallowed = 'yes']/@reason)" /><xsl:text /> (Also see <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> document body has an unexpected section. The expected sections
		are Medicare/DVA Funded Services (with code '101.16643') and Administrative Observations (with code '102.16080') but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> specifications.
		Confirm if the inclusion of this section meets the requirement that extensions must not qualify or negate any of the data components defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />
		CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> document body has an unexpected section. The expected sections are
		Medicare/DVA Funded Services (with code '101.16643') and Administrative Observations (with code '102.16080') but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> specifications. This fails to meet the
		requirement that the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> must not contain additional data elements. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M934" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M934" />
  <xsl:template match="@*|node()" priority="-2" mode="M934">
    <xsl:apply-templates select="@*|*" mode="M934" />
  </xsl:template>
  <!--PATTERN p-TS-Dext-17-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.156' and @extension = '1.0'] and    //cda:section[cda:code/@codeSystem='1.2.36.1.2001.1001.101']]/   cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@codeSystem='1.2.36.1.2001.1001.101']   [not(cda:code/@code='101.16694' or cda:code/@code='102.16080') and (cda:text or cda:entry or cda:component)] " priority="1000" mode="M935">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.156' and @extension = '1.0'] and    //cda:section[cda:code/@codeSystem='1.2.36.1.2001.1001.101']]/   cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@codeSystem='1.2.36.1.2001.1001.101']   [not(cda:code/@code='101.16694' or cda:code/@code='102.16080') and (cda:text or cda:entry or cda:component)] " />
    <xsl:variable name="agency-section" select=" if (cda:code/@codeSystem = '1.2.36.1.2001.1001.101') then true() else false() " />
    <xsl:variable name="test-step" select=" if (not($extensions-allowed)) then 'step 4' else if ($agency-section) then 'step 3' else 'step 1' " />
    <xsl:variable name="title-and-code" select=" if (cda:title and cda:code/@code) then concat('title ''', cda:title, ''', code/code ''', cda:code/@code, '''')        else if (cda:title and not(cda:code/@code)) then concat('title ''', cda:title, '''')        else if (not(cda:title) and cda:code/@code) then concat('code/code ''', cda:code/@code, '''')        else '' " />
    <xsl:variable name="other-section-names" select=" if (cda:code/@displayName and not(cda:code/cda:originalText)) then concat(' and code/displayName ''', cda:code/@displayName, '''')         else if (cda:code/@displayName and cda:code/cda:originalText)          then concat(', code/displayName ''', cda:code/@displayName,''' and code/originalText ''', cda:code/cda:originalText, '''')        else if (not(cda:code/@displayName) and cda:code/cda:originalText) then concat(' and code/originalText ''', cda:code/cda:originalText, '''')        else '' " />
    <xsl:variable name="section-names" select="concat($title-and-code, $other-section-names)" />
    <xsl:variable name="doc-code" select="/cda:ClinicalDocument/cda:code" />
    <xsl:variable name="custom-section-info" select="($iq-config/custom-sections/section, $knowledge/custom-sections/section)[@parent = 'body'     and         @doc-code  = $doc-code/@code          and        @doc-codeSystem  = $doc-code/@codeSystem          and        (@title = current()/cda:title or (@code = current()/cda:code/@code and @codeSystem = current()/cda:code/@codeSystem)) ] " />
    <xsl:variable name="section-disallowed" select="$custom-section-info/@disallowed = 'yes' " />
    <xsl:variable name="rating-28" select="if ($test-step = 'step 1' and ($section-disallowed or not(exists($custom-section-info)))) then $rating-alt-TC-Doc-28-step-1        else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 3') then $rating-TC-Doc-28-step-3 else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and $section-disallowed ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and $section-disallowed">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> document body has an unexpected section. The expected sections
		are Advance Care Directive Custodian Entries (with code '101.16694') and Administrative Observations (with code '102.16080') but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> specifications.
		This section is an extension to the information model however the inclusion of this section conflicts with sections defined in the digital health specifications.
		<xsl:text /><xsl:value-of select="normalize-space($custom-section-info[@disallowed = 'yes']/@reason)" /><xsl:text /> (Also see <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> document body has an unexpected section. The expected sections
		are Advance Care Directive Custodian Entries (with code '101.16694') and Administrative Observations (with code '102.16080') but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> specifications.
		Confirm if the inclusion of this section meets the requirement that extensions must not qualify or negate any of the data components defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />
		CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> document body has an unexpected section. The expected sections are
		Advance Care Directive Custodian Entries (with code '101.16694') and Administrative Observations (with code '102.16080') but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> specifications. This fails to meet the
		requirement that the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> must not contain additional data elements. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M935" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M935" />
  <xsl:template match="@*|node()" priority="-2" mode="M935">
    <xsl:apply-templates select="@*|*" mode="M935" />
  </xsl:template>
  <!--PATTERN p-TS-Dext-18-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.147' and @extension = '1.1'] and    //cda:section[cda:code/@codeSystem='1.2.36.1.2001.1001.101']]/   cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@codeSystem='1.2.36.1.2001.1001.101']   [not(cda:code/@code='101.16670' or cda:code/@code='102.16080') and (cda:text or cda:entry or cda:component)] " priority="1000" mode="M936">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.147' and @extension = '1.1'] and    //cda:section[cda:code/@codeSystem='1.2.36.1.2001.1001.101']]/   cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@codeSystem='1.2.36.1.2001.1001.101']   [not(cda:code/@code='101.16670' or cda:code/@code='102.16080') and (cda:text or cda:entry or cda:component)] " />
    <xsl:variable name="agency-section" select=" if (cda:code/@codeSystem = '1.2.36.1.2001.1001.101') then true() else false() " />
    <xsl:variable name="test-step" select=" if (not($extensions-allowed)) then 'step 4' else if ($agency-section) then 'step 3' else 'step 1' " />
    <xsl:variable name="title-and-code" select=" if (cda:title and cda:code/@code) then concat('title ''', cda:title, ''', code/code ''', cda:code/@code, '''')        else if (cda:title and not(cda:code/@code)) then concat('title ''', cda:title, '''')        else if (not(cda:title) and cda:code/@code) then concat('code/code ''', cda:code/@code, '''')        else '' " />
    <xsl:variable name="other-section-names" select=" if (cda:code/@displayName and not(cda:code/cda:originalText)) then concat(' and code/displayName ''', cda:code/@displayName, '''')         else if (cda:code/@displayName and cda:code/cda:originalText)          then concat(', code/displayName ''', cda:code/@displayName,''' and code/originalText ''', cda:code/cda:originalText, '''')        else if (not(cda:code/@displayName) and cda:code/cda:originalText) then concat(' and code/originalText ''', cda:code/cda:originalText, '''')        else '' " />
    <xsl:variable name="section-names" select="concat($title-and-code, $other-section-names)" />
    <xsl:variable name="doc-code" select="/cda:ClinicalDocument/cda:code" />
    <xsl:variable name="custom-section-info" select="($iq-config/custom-sections/section, $knowledge/custom-sections/section)[@parent = 'body'     and         @doc-code  = $doc-code/@code          and        @doc-codeSystem  = $doc-code/@codeSystem          and        (@title = current()/cda:title or (@code = current()/cda:code/@code and @codeSystem = current()/cda:code/@codeSystem)) ] " />
    <xsl:variable name="section-disallowed" select="$custom-section-info/@disallowed = 'yes' " />
    <xsl:variable name="rating-28" select="if ($test-step = 'step 1' and ($section-disallowed or not(exists($custom-section-info)))) then $rating-alt-TC-Doc-28-step-1        else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 3') then $rating-TC-Doc-28-step-3 else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and $section-disallowed ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and $section-disallowed">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> document body has an unexpected section. The expected sections
		are Australian Organ Donor Register Details (with code '101.16670') and Administrative Observations (with code '102.16080') but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> specifications.
		This section is an extension to the information model however the inclusion of this section conflicts with sections defined in the digital health specifications.
		<xsl:text /><xsl:value-of select="normalize-space($custom-section-info[@disallowed = 'yes']/@reason)" /><xsl:text /> (Also see <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> document body has an unexpected section. The expected sections
		are Australian Organ Donor Register Details (with code '101.16670') and Administrative Observations (with code '102.16080') but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> specifications.
		Confirm if the inclusion of this section meets the requirement that extensions must not qualify or negate any of the data components defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />
		CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> document body has an unexpected section. The expected sections are
		Australian Organ Donor Register Details (with code '101.16670') and Administrative Observations (with code '102.16080') but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> specifications. This fails to meet the
		requirement that the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> must not contain additional data elements. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M936" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M936" />
  <xsl:template match="@*|node()" priority="-2" mode="M936">
    <xsl:apply-templates select="@*|*" mode="M936" />
  </xsl:template>
  <!--PATTERN p-TS-Dext-19-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.234' and @extension = '1.0'] and    //cda:section[cda:code/@codeSystem='1.2.36.1.2001.1001.101']]/   cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@codeSystem='1.2.36.1.2001.1001.101']   [not(cda:code/@code='101.17039' or cda:code/@code='102.16080') and (cda:text or cda:entry or cda:component)] " priority="1000" mode="M937">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.234' and @extension = '1.0'] and    //cda:section[cda:code/@codeSystem='1.2.36.1.2001.1001.101']]/   cda:component/cda:structuredBody/cda:component/cda:section[cda:code/@codeSystem='1.2.36.1.2001.1001.101']   [not(cda:code/@code='101.17039' or cda:code/@code='102.16080') and (cda:text or cda:entry or cda:component)] " />
    <xsl:variable name="agency-section" select=" if (cda:code/@codeSystem = '1.2.36.1.2001.1001.101') then true() else false() " />
    <xsl:variable name="test-step" select=" if (not($extensions-allowed)) then 'step 4' else if ($agency-section) then 'step 3' else 'step 1' " />
    <xsl:variable name="title-and-code" select=" if (cda:title and cda:code/@code) then concat('title ''', cda:title, ''', code/code ''', cda:code/@code, '''')        else if (cda:title and not(cda:code/@code)) then concat('title ''', cda:title, '''')        else if (not(cda:title) and cda:code/@code) then concat('code/code ''', cda:code/@code, '''')        else '' " />
    <xsl:variable name="other-section-names" select=" if (cda:code/@displayName and not(cda:code/cda:originalText)) then concat(' and code/displayName ''', cda:code/@displayName, '''')         else if (cda:code/@displayName and cda:code/cda:originalText)          then concat(', code/displayName ''', cda:code/@displayName,''' and code/originalText ''', cda:code/cda:originalText, '''')        else if (not(cda:code/@displayName) and cda:code/cda:originalText) then concat(' and code/originalText ''', cda:code/cda:originalText, '''')        else '' " />
    <xsl:variable name="section-names" select="concat($title-and-code, $other-section-names)" />
    <xsl:variable name="doc-code" select="/cda:ClinicalDocument/cda:code" />
    <xsl:variable name="custom-section-info" select="($iq-config/custom-sections/section, $knowledge/custom-sections/section)[@parent = 'body'     and         @doc-code  = $doc-code/@code          and        @doc-codeSystem  = $doc-code/@codeSystem          and        (@title = current()/cda:title or (@code = current()/cda:code/@code and @codeSystem = current()/cda:code/@codeSystem)) ] " />
    <xsl:variable name="section-disallowed" select="$custom-section-info/@disallowed = 'yes' " />
    <xsl:variable name="rating-28" select="if ($test-step = 'step 1' and ($section-disallowed or not(exists($custom-section-info)))) then $rating-alt-TC-Doc-28-step-1        else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 3') then $rating-TC-Doc-28-step-3 else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and $section-disallowed ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and $section-disallowed">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> document body has an unexpected section. The expected sections
		are Australian Immunisation Register Entries (with code '101.17039') and Administrative Observations (with code '102.16080') but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> specifications.
		This section is an extension to the information model however the inclusion of this section conflicts with sections defined in the digital health specifications.
		<xsl:text /><xsl:value-of select="normalize-space($custom-section-info[@disallowed = 'yes']/@reason)" /><xsl:text /> (Also see <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and not(exists($custom-section-info)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and not(exists($custom-section-info))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> document body has an unexpected section. The expected sections
		are Australian Immunisation Register Entries (with code '101.17039') and Administrative Observations (with code '102.16080') but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> specifications.
		Confirm if the inclusion of this section meets the requirement that extensions must not qualify or negate any of the data components defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />
		CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> document body has an unexpected section. The expected sections are
		Australian Immunisation Register Entries (with code '101.17039') and Administrative Observations (with code '102.16080') but a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present which is an extension to the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> specifications. This fails to meet the
		requirement that the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> must not contain additional data elements. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M937" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M937" />
  <xsl:template match="@*|node()" priority="-2" mode="M937">
    <xsl:apply-templates select="@*|*" mode="M937" />
  </xsl:template>
  <!--PATTERN p-TS-Dext-20-->
  <!--RULE -->
  <xsl:template match="cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and not(@code = $section-types/section-type[@codeSystem = '1.2.36.1.2001.1001.101']/@code) and   not($use-ts-for-ncts-data-comp and dh:IsCodeInTerminologyValidUsingTS(@code, $ncts-data-comp, '') = 'CodeNotFound')]]" priority="1000" mode="M938">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and not(@code = $section-types/section-type[@codeSystem = '1.2.36.1.2001.1001.101']/@code) and   not($use-ts-for-ncts-data-comp and dh:IsCodeInTerminologyValidUsingTS(@code, $ncts-data-comp, '') = 'CodeNotFound')]]" />
    <xsl:variable name="agency-section" select=" boolean($code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101']/code[@code=current()/cda:code/@code]) " />
    <xsl:variable name="title-and-code" select=" if (cda:title and cda:code/@code) then concat('title ''', cda:title, ''', code/code ''', cda:code/@code, '''')        else if (cda:title and not(cda:code/@code)) then concat('title ''', cda:title, '''')        else if (not(cda:title) and cda:code/@code) then concat('code/code ''', cda:code/@code, '''')        else '' " />
    <xsl:variable name="other-section-names" select=" if (cda:code/@displayName and not(cda:code/cda:originalText)) then concat(' and code/displayName ''', cda:code/@displayName, '''')         else if (cda:code/@displayName and cda:code/cda:originalText)          then concat(', code/displayName ''', cda:code/@displayName,''' and code/originalText ''', cda:code/cda:originalText, '''')        else if (not(cda:code/@displayName) and cda:code/cda:originalText) then concat(' and code/originalText ''', cda:code/cda:originalText, '''')        else '' " />
    <xsl:variable name="section-names" select="concat($title-and-code, $other-section-names)" />
    <xsl:variable name="test-step" select=" if ($extensions-allowed) then 'step 3' else 'step 4' " />
    <xsl:variable name="rating-28" select="if ($test-step = 'step 3') then $rating-TC-Doc-28-step-3 else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $agency-section and $extensions-allowed ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $agency-section and $extensions-allowed">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: A section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> and codeSystem '1.2.36.1.2001.1001.101'
		(NCTIS Data Components) is present in the clinical document but it is not one of the sections that rules have been developed for. Confirm by inspection that the section meets the
		requirements for this section.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($agency-section) and $extensions-allowed ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($agency-section) and $extensions-allowed">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: A section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> and codeSystem '1.2.36.1.2001.1001.101' (NCTIS Data
		Components) is present in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. The codeSystem '1.2.36.1.2001.1001.101' indicates that requirements for this section have 
		been specified by the Australian Digital Health Agency however the section does not seem to be an Agency-defined section.
		Confirm if the code is a member of the NCTIS Data Components system and is a code that identifies an Agency-defined section.
		To include additional sections the correct code must be used to identify that section.
		(See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text /> and the codes for the NCTIS Data Components code system.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: A section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> and codeSystem '1.2.36.1.2001.1001.101'
		(NCTIS Data Components) is present in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. The presence of the extension fails to meet the requirement that the document must not contain additional
		data elements. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M938" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M938" />
  <xsl:template match="@*|node()" priority="-2" mode="M938">
    <xsl:apply-templates select="@*|*" mode="M938" />
  </xsl:template>
  <!--PATTERN p-TS-Dext-21-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[//cda:section[cda:code/@codeSystem='1.2.36.1.2001.1001.101']]//cda:section[cda:text or cda:entry or cda:component]   [not(not(cda:text or cda:component) and count(cda:entry) = 1 and    cda:entry[not(ext:*) and count(cda:*) = 1 and cda:observationMedia and cda:observationMedia/@ID = 'LOGO'])] " priority="1000" mode="M939">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[//cda:section[cda:code/@codeSystem='1.2.36.1.2001.1001.101']]//cda:section[cda:text or cda:entry or cda:component]   [not(not(cda:text or cda:component) and count(cda:entry) = 1 and    cda:entry[not(ext:*) and count(cda:*) = 1 and cda:observationMedia and cda:observationMedia/@ID = 'LOGO'])] " />
    <xsl:variable name="title-and-code" select=" if (cda:title and cda:code/@code) then concat('title ''', cda:title, ''', code/code ''', cda:code/@code, '''')        else if (cda:title and not(cda:code/@code)) then concat('title ''', cda:title, '''')        else if (not(cda:title) and cda:code/@code) then concat('code/code ''', cda:code/@code, '''')        else '' " />
    <xsl:variable name="other-section-names" select=" if (cda:code/@displayName and not(cda:code/cda:originalText)) then concat(' and code/displayName ''', cda:code/@displayName, '''')         else if (cda:code/@displayName and cda:code/cda:originalText)          then concat(', code/displayName ''', cda:code/@displayName,''' and code/originalText ''', cda:code/cda:originalText, '''')        else if (not(cda:code/@displayName) and cda:code/cda:originalText) then concat(' and code/originalText ''', cda:code/cda:originalText, '''')        else '' " />
    <xsl:variable name="section-names" select="concat($title-and-code, $other-section-names)" />
    <xsl:variable name="test-step" select=" if (not($extensions-allowed)) then 'step 4' else 'step 1' " />
    <xsl:variable name="known-parent-section" select=" ancestor::cda:section[position()=1][cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and         @code = $section-types/section-type[@codeSystem = '1.2.36.1.2001.1001.101']/@code]] " />
    <xsl:variable name="rating-28" select="if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1 else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not($known-parent-section) and cda:code[@codeSystem and not(@codeSystem = '1.2.36.1.2001.1001.101')] and $extensions-allowed ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not($known-parent-section) and cda:code[@codeSystem and not(@codeSystem = '1.2.36.1.2001.1001.101')] and $extensions-allowed">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: A section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> and codeSystem '<xsl:text /><xsl:value-of select="cda:code/@codeSystem" /><xsl:text />'
		is present in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> document and this section appears to be an extension to the information requirements.
		Confirm if the inclusion of this section meets the requirement that extensions must not qualify or negate any of the data components in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.
		(See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($known-parent-section) and cda:code[@codeSystem and not(@codeSystem = '1.2.36.1.2001.1001.101')] and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($known-parent-section) and cda:code[@codeSystem and not(@codeSystem = '1.2.36.1.2001.1001.101')] and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: A section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> and codeSystem '<xsl:text /><xsl:value-of select="cda:code/@codeSystem" /><xsl:text />' 
		is present in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> document. The presence of the extension fails to meet the requirement that the document must not contain additional data elements.
		(See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not($known-parent-section) and not(cda:code/@codeSystem) and $extensions-allowed ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not($known-parent-section) and not(cda:code/@codeSystem) and $extensions-allowed">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> document contains sections specified in CDA Implementation Guides
		and contains a section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />. Confirm if the inclusion of this section meets the requirement that extensions must not qualify or
		negate any of the data components defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guides.
		(See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not($known-parent-section) and not(cda:code/@codeSystem) and not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not($known-parent-section) and not(cda:code/@codeSystem) and not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: A section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text /> is present in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />
		document. The presence of the extension fails to meet the requirement that the document must not contain additional data elements. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.))

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M939" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M939" />
  <xsl:template match="@*|node()" priority="-2" mode="M939">
    <xsl:apply-templates select="@*|*" mode="M939" />
  </xsl:template>
  <!--PATTERN p-TS-Dext-22-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument[not($extensions-allowed)]//*[@codeSystem='1.2.36.1.2001.1001.101'] " priority="1000" mode="M940">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument[not($extensions-allowed)]//*[@codeSystem='1.2.36.1.2001.1001.101'] " />
    <xsl:variable name="template-id" select="concat($templateId-root, '-', $templateId-ext) " />
    <xsl:variable name="NCTIS-code" select="boolean($code-systems/system[@codeSystem = current()/@codeSystem]/code[@code=current()/@code]) " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-28-step-4" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-28-step-4 " />
    <!--REPORT -->
    <xsl:if test=" $NCTIS-code and not($code-systems/system[@codeSystem = current()/@codeSystem]/code[@code=current()/@code and     contains(@CDA-IG, $template-id)]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$NCTIS-code and not($code-systems/system[@codeSystem = current()/@codeSystem]/code[@code=current()/@code and contains(@CDA-IG, $template-id)])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28-step-4" /><xsl:text />: TC-Doc-28 step 4: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> is an
		NCTIS Data Component with code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />' and
		displayName '<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = current()/@codeSystem]/code[@code=current()/@code]/@displayName" /><xsl:text />'
		but that component is not listed in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> fails to meet the requirement that it must not
		contain data elements that are not listed in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. (See <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M940" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M940" />
  <xsl:template match="@*|node()" priority="-2" mode="M940">
    <xsl:apply-templates select="@*|*" mode="M940" />
  </xsl:template>
  <!--PATTERN p-TS-Dext-Disp-1-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument[cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.171']/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/cda:entryRelationship" priority="1000" mode="M941">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument[cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.171']/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/cda:entryRelationship" />
    <xsl:variable name="c-profile" select="if ($flags/@conformance-profile-version = '1.3') then 'Conformance Profile v1.3' else 'Conformance Profile v1.4' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-28-step-4" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-28-step-4 " />
    <!--REPORT -->
    <xsl:if test="cda:*[not(   local-name() = 'act'  or   local-name() = 'sequenceNumber' or    local-name() = 'supply'  )]">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:*[not( local-name() = 'act' or local-name() = 'sequenceNumber' or local-name() = 'supply' )]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28-step-4" /><xsl:text />: TC-Doc-28 step 4: The Dispense Record substanceAdministration/entryRelationship element has the child element '<xsl:text /><xsl:value-of select="local-name(cda:*[not(   local-name() = 'act'  or   local-name() = 'sequenceNumber' or    local-name() = 'supply'  )])" /><xsl:text />' that is not listed in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. Therefore the Dispense Record does not meet the mandatory requirement that it
		must not include data elements that are not listed in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.
		(See section 3.2.12 of the Dispense Record <xsl:text /><xsl:value-of select="$c-profile" /><xsl:text /> and section 7.1.1 of the Dispense Record CDA Implementation Guide v1.0.)

   	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="ext:*">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="ext:*">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28-step-4" /><xsl:text />: TC-Doc-28 step 4: The Dispense Record 'substanceAdministration/entryRelationship' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the child
		element '<xsl:text /><xsl:value-of select="local-name(ext:*)" /><xsl:text />' that is not listed in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. Therefore the Dispense Record does not meet the mandatory requirement that it
		must not include data elements that are not listed in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.
		(See section 3.2.12 of the Dispense Record <xsl:text /><xsl:value-of select="$c-profile" /><xsl:text /> and section 7.1.1 of the Dispense Record CDA Implementation Guide v1.0.)

   	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M941" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M941" />
  <xsl:template match="@*|node()" priority="-2" mode="M941">
    <xsl:apply-templates select="@*|*" mode="M941" />
  </xsl:template>
  <!--PATTERN p-TS-Dext-Disp-2-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument[cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.171']/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/cda:entryRelationship/cda:supply" priority="1000" mode="M942">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument[cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.171']/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/cda:entryRelationship/cda:supply" />
    <xsl:variable name="c-profile" select="if ($flags/@conformance-profile-version = '1.3') then 'Conformance Profile v1.3' else 'Conformance Profile v1.4' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-28-step-4" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-28-step-4 " />
    <!--REPORT -->
    <xsl:if test="cda:*[not(   local-name() = 'effectiveTime'  or   local-name() = 'entryRelationship'  or    local-name() = 'id'    or    local-name() = 'independentInd'  or    local-name() = 'product'   )]">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:*[not( local-name() = 'effectiveTime' or local-name() = 'entryRelationship' or local-name() = 'id' or local-name() = 'independentInd' or local-name() = 'product' )]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28-step-4" /><xsl:text />: TC-Doc-28 step 4: The Dispense Record 'substanceAdministration/entryRelationship/supply' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		child element '<xsl:text /><xsl:value-of select="local-name(cda:*[not(   local-name() = 'effectiveTime'  or   local-name() = 'entryRelationship'  or    local-name() = 'id'    or    local-name() = 'independentInd'  or    local-name() = 'product'   )])" /><xsl:text />' that is not listed in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. Therefore the Dispense Record does not meet the mandatory requirement that it
		must not include data elements that are not listed in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.
		(See section 3.2.12 of the Dispense Record <xsl:text /><xsl:value-of select="$c-profile" /><xsl:text /> and section 7.1.1 of the Dispense Record CDA Implementation Guide v1.0.)

   	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="ext:*">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="ext:*">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28-step-4" /><xsl:text />: TC-Doc-28 step 4: The Dispense Record 'substanceAdministration/entryRelationship/supply' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		child element '<xsl:text /><xsl:value-of select="local-name(ext:*)" /><xsl:text />' that is not listed in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. Therefore the Dispense Record does not meet the mandatory requirement that it
		must not include data elements that are not listed in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.
		(See section 3.2.12 of the Dispense Record <xsl:text /><xsl:value-of select="$c-profile" /><xsl:text /> and section 7.1.1 of the Dispense Record CDA Implementation Guide v1.0.)

   	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M942" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M942" />
  <xsl:template match="@*|node()" priority="-2" mode="M942">
    <xsl:apply-templates select="@*|*" mode="M942" />
  </xsl:template>
  <!--PATTERN p-TS-Dext-Disp-3-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument[cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.171']/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/cda:entryRelationship/cda:supply/cda:product" priority="1000" mode="M943">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument[cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.171']/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/cda:entryRelationship/cda:supply/cda:product" />
    <xsl:variable name="c-profile" select="if ($flags/@conformance-profile-version = '1.3') then 'Conformance Profile v1.3' else 'Conformance Profile v1.4' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-28-step-4" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-28-step-4 " />
    <!--REPORT -->
    <xsl:if test="cda:*[not(local-name() = 'manufacturedProduct')]">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:*[not(local-name() = 'manufacturedProduct')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28-step-4" /><xsl:text />: TC-Doc-28 step 4: The Dispense Record 'substanceAdministration/entryRelationship/supply/product' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		the child element '<xsl:text /><xsl:value-of select="local-name(cda:*[not(local-name() = 'manufacturedProduct')])" /><xsl:text />' that is not listed in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. Therefore the Dispense Record does
		not meet the mandatory requirement that it must not include data elements that are not listed in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.
		(See section 3.2.12 of the Dispense Record <xsl:text /><xsl:value-of select="$c-profile" /><xsl:text /> and section 7.1.1 of the Dispense Record CDA Implementation Guide v1.0)

   	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="ext:*">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="ext:*">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28-step-4" /><xsl:text />: TC-Doc-28 step 4: The Dispense Record 'substanceAdministration/entryRelationship/supply/product' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		the child element '<xsl:text /><xsl:value-of select="local-name(ext:*)" /><xsl:text />' that is not listed in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. Therefore the Dispense Record does not meet the mandatory requirement that it
		must not include data elements that are not listed in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.
		(See section 3.2.12 of the Dispense Record <xsl:text /><xsl:value-of select="$c-profile" /><xsl:text /> and section 7.1.1 of the Dispense Record CDA Implementation Guide v1.0)

   	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M943" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M943" />
  <xsl:template match="@*|node()" priority="-2" mode="M943">
    <xsl:apply-templates select="@*|*" mode="M943" />
  </xsl:template>
  <!--PATTERN p-TS-Dext-Disp-4-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument[cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.171']/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/cda:entryRelationship/cda:supply/cda:product/   cda:manufacturedProduct" priority="1000" mode="M944">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument[cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.171']/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/cda:entryRelationship/cda:supply/cda:product/   cda:manufacturedProduct" />
    <xsl:variable name="c-profile" select="if ($flags/@conformance-profile-version = '1.3') then 'Conformance Profile v1.3' else 'Conformance Profile v1.4' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-28-step-4" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-28-step-4 " />
    <!--REPORT -->
    <xsl:if test="cda:*[not(   local-name() = 'manufacturedMaterial'  or   local-name() = 'manufacturerOrganization' )]">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:*[not( local-name() = 'manufacturedMaterial' or local-name() = 'manufacturerOrganization' )]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28-step-4" /><xsl:text />: TC-Doc-28 step 4: The Dispense Record 'supply/product/manufacturedProduct' data element  in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the child element
		'<xsl:text /><xsl:value-of select="local-name(cda:*[not(   local-name() = 'manufacturedMaterial'  or   local-name() = 'manufacturerOrganization' )])" /><xsl:text />' that is not listed in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. Therefore the Dispense Record does not meet the mandatory
		requirement that it must not include data elements that are not listed in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.
		(See section 3.2.12 of the Dispense Record <xsl:text /><xsl:value-of select="$c-profile" /><xsl:text /> and section 7.1.1 of the Dispense Record CDA Implementation Guide v1.0)

   	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="ext:*">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="ext:*">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28-step-4" /><xsl:text />: TC-Doc-28 step 4: The Dispense Record 'supply/product/manufacturedProduct' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the child element
		'<xsl:text /><xsl:value-of select="local-name(ext:*)" /><xsl:text />' that is not listed in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. Therefore the Dispense Record does not meet the mandatory requirement that it
		must not include data elements that are not listed in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.
		(See section 3.2.12 of the Dispense Record <xsl:text /><xsl:value-of select="$c-profile" /><xsl:text /> and section 7.1.1 of the Dispense Record CDA Implementation Guide v1.0)

   	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M944" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M944" />
  <xsl:template match="@*|node()" priority="-2" mode="M944">
    <xsl:apply-templates select="@*|*" mode="M944" />
  </xsl:template>
  <!--PATTERN p-TS-Dext-Disp-5-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument[cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.171']/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:supply/cda:product/cda:manufacturedProduct/cda:manufacturedMaterial" priority="1000" mode="M945">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument[cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.171']/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:supply/cda:product/cda:manufacturedProduct/cda:manufacturedMaterial" />
    <xsl:variable name="TGI-count" select="if ($numbers/number[number(@value) = count(current()/cda:code)])    then $numbers/number[number(@value) = count(current()/cda:code)]/@name else count(current()/cda:code)" />
    <xsl:variable name="c-profile" select="if ($flags/@conformance-profile-version = '1.3') then 'Conformance Profile v1.3' else 'Conformance Profile v1.4' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-28-step-4" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-28-step-4 " />
    <!--REPORT -->
    <xsl:if test="cda:*[not(   local-name() = 'code'  or   local-name() = 'name'   )]">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:*[not( local-name() = 'code' or local-name() = 'name' )]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28-step-4" /><xsl:text />: TC-Doc-28 step 4: The Dispense Record 'substanceAdministration/entryRelationship/supply/product/manufacturedProduct/manufacturedMaterial' element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the child element '<xsl:text /><xsl:value-of select="local-name(cda:*[not(   local-name() = 'code'  or   local-name() = 'name'   )])" /><xsl:text />' that is not listed in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. Therefore the Dispense Record does not meet the mandatory requirement that it
		must not include data elements that are not listed in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.
		(See section 3.2.12 of the Dispense Record <xsl:text /><xsl:value-of select="$c-profile" /><xsl:text /> and section 7.1.1 of the Dispense Record CDA Implementation Guide v1.0)

   	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="ext:*[not(   local-name() = 'formCode'  or    local-name() = 'desc'   )]">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="ext:*[not( local-name() = 'formCode' or local-name() = 'desc' )]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28-step-4" /><xsl:text />: TC-Doc-28 step 4: The Dispense Record 'supply/product/manufacturedProduct/manufacturedMaterial' element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		child element  '<xsl:text /><xsl:value-of select="local-name(ext:*[not(   local-name() = 'formCode'  or    local-name() = 'desc'   )])" /><xsl:text />' that is not listed in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. Therefore the Dispense Record does not meet the mandatory requirement that it must not
		include data elements that are not listed in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.
		(See section 3.2.12 of the Dispense Record <xsl:text /><xsl:value-of select="$c-profile" /><xsl:text /> and section 7.1.1 of the Dispense Record CDA Implementation Guide v1.0)

   	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="count(cda:code) &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="count(cda:code) &gt; 1">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28-step-4" /><xsl:text />: TC-Doc-28 step 4: The Dispense Record 'supply/product/manufacturedProduct/manufacturedMaterial' element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains
		<xsl:text /><xsl:value-of select="$TGI-count" /><xsl:text /> therapeutic good identifiers whereas the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide states that only one therapeutic good identifier may be present.
		Therefore the Dispense Record does not meet the mandatory requirement that it must not include data elements that are not listed in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.
		(See section 3.2.12 of the Dispense Record <xsl:text /><xsl:value-of select="$c-profile" /><xsl:text /> and section 7.1.1 of the Dispense Record CDA Implementation Guide v1.0)

   	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M945" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M945" />
  <xsl:template match="@*|node()" priority="-2" mode="M945">
    <xsl:apply-templates select="@*|*" mode="M945" />
  </xsl:template>
  <!--PATTERN p-TS-Dext-Disp-6-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.171' and @extension='1.0']]//*[@codeSystem='1.2.36.1.2001.1001.101'] " priority="1000" mode="M946">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.171' and @extension='1.0']]//*[@codeSystem='1.2.36.1.2001.1001.101'] " />
    <xsl:variable name="c-profile" select="if ($flags/@conformance-profile-version = '1.3') then 'Conformance Profile v1.3' else 'Conformance Profile v1.4' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-28-step-4" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-28-step-4 " />
    <!--REPORT -->
    <xsl:if test="not($code-systems/system[@codeSystem = current()/@codeSystem]/code[@code=current()/@code and     contains(@CDA-IG, '1.2.36.1.2001.1001.100.1002.171-1.0')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($code-systems/system[@codeSystem = current()/@codeSystem]/code[@code=current()/@code and contains(@CDA-IG, '1.2.36.1.2001.1001.100.1002.171-1.0')])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28-step-4" /><xsl:text />: TC-Doc-28 step 4: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> is an
		NCTIS Data Component with code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />' and 
		displayName '<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = current()/@codeSystem]/code[@code=current()/@code]/@displayName" /><xsl:text />'
		but that component is not listed in Dispense Record CDA Implementation Guide 1.0 so the dispense record fails to meet the requirement that it must not
		contain data elements that are not listed in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.
		(See section 3.2.12 of the Dispense Record <xsl:text /><xsl:value-of select="$c-profile" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M946" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M946" />
  <xsl:template match="@*|node()" priority="-2" mode="M946">
    <xsl:apply-templates select="@*|*" mode="M946" />
  </xsl:template>
  <!--PATTERN p-TS-Dext-Disp-7-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument[cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.171']/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/cda:entryRelationship/cda:supply/cda:entryRelationship[not(   cda:act[cda:code[    (@codeSystem='1.2.36.1.2001.1001.101' and (@code='103.16786' or @code='103.16109')) or    (@codeSystem='2.16.840.1.113883.6.96' and @code='246205007')    ]] or   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16064']])]" priority="1000" mode="M947">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument[cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.171']/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/cda:entryRelationship/cda:supply/cda:entryRelationship[not(   cda:act[cda:code[    (@codeSystem='1.2.36.1.2001.1001.101' and (@code='103.16786' or @code='103.16109')) or    (@codeSystem='2.16.840.1.113883.6.96' and @code='246205007')    ]] or   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16064']])]" />
    <xsl:variable name="c-profile" select="if ($flags/@conformance-profile-version = '1.3') then 'Conformance Profile v1.3' else 'Conformance Profile v1.4' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-28-step-4" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-28-step-4 " />
    <!--REPORT -->
    <xsl:if test=" . ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test=".">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28-step-4" /><xsl:text />: TC-Doc-28 step 4: The Dispense Record contains a 'substanceAdministration/entryRelationship/supply/entryRelationship' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> which is not listed in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. The only 'entryRelationship' data elements that are expected are those for
		Label instruction, Unique Pharmacy Prescription Number, Quantity Description and Brand Substitution Occurred, therefore the Dispense Record does not meet the mandatory requirement that it
		must not include data elements that are not listed in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.
		(See section 3.2.12 of the Dispense Record <xsl:text /><xsl:value-of select="$c-profile" /><xsl:text /> and section 7.1.1 of the Dispense Record CDA Implementation Guide v1.0.)

   	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M947" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M947" />
  <xsl:template match="@*|node()" priority="-2" mode="M947">
    <xsl:apply-templates select="@*|*" mode="M947" />
  </xsl:template>
  <!--PATTERN p-TS-Dext-ImagExamRes-1-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/cda:effectiveTime[@value]" priority="1000" mode="M948">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/cda:effectiveTime[@value]" />
    <xsl:variable name="has-observation" select="count(..//cda:effectiveTime) &gt; 1 " />
    <xsl:variable name="observation-dt" select="../cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16589']]/cda:effectiveTime/@value" />
    <xsl:variable name="report-error" select="not($has-observation) or ($has-observation and exists($observation-dt) and not(dh:AreDatesEqual(@value, $observation-dt) = '1')) " />
    <xsl:variable name="report-hint" select="$extensions-allowed and $has-observation and not(exists($observation-dt)) and not($report-error) " />
    <xsl:variable name="observation-de-name" select="if (/cda:ClinicalDocument/cda:templateId[(@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4') or             (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2') or             (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3') or             (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2') ])         then 'Imaging Examination Result DateTime'        else 'Observation DateTime' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if ($extensions-allowed and $report-error) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   (See the ', $document-name, ' CDA Implementation Guide and ', $extension-requirement, '.)'))        else if ($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 1.8 of the ', $document-name, ' CDA Implementation Guide and ', $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1 else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'. The data element
		is an extension as it is not listed in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' and the data element
		is an extension as it is not listed in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text />
		The value of an '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element is the focal or operative time of the observation, i.e. the primary time for which
		the observation holds. (See section 3.1.1.10 of the HL7 Reference Information Model.) For an imaging observation this is the date and optionally time of the imaging
		examination and for a series of images this is the date and optionally time when the last image was taken.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide lists other data elements for recording the imaging observation date and time
		so information in the '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element must not conflict with information in those data elements.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $report-hint ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $report-hint">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' and the data element
		is an extension as it is not listed in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text />
		The value of an '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element is the focal or operative time of the observation, i.e. the primary time for which
		the observation holds. (See section 3.1.1.10 of the HL7 Reference Information Model.) For an imaging observation this is the date and optionally time of the imaging
		examination and for a series of images this is the date and optionally time when the last image was taken.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide lists other data elements for recording the imaging observation date and time
		so information in the '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element must not conflict with information in those data elements.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and not($has-observation) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and not($has-observation)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' and the data element
		is an extension as it is not listed in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text />
		The value of an '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element is the focal or operative time of the observation, i.e. the primary time for which
		the observation holds. (See section 3.1.1.10 of the HL7 Reference Information Model.) For an imaging observation this is the date and optionally time of the imaging
		examination and for a series of images this is the date and optionally time when the last image was taken.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide lists other data elements for recording the imaging observation date and time
		so information in the '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element must not conflict with information in those data elements.
		In this case the '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />' data group does not contain any of the specified data elements used to record this information.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and $has-observation and exists($observation-dt) and not(@value = $observation-dt) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and $has-observation and exists($observation-dt) and not(@value = $observation-dt)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' and the data element
		is an extension as it is not listed in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text />
		The value of an '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element is the focal or operative time of the observation, i.e. the primary time for which
		the observation holds. (See section 3.1.1.10 of the HL7 Reference Information Model.) For an imaging observation this is the date and optionally time of the imaging
		examination and for a series of images this is the date and optionally time when the last image was taken.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide lists other data elements for recording the imaging observation date and time
		so information in the '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element must not conflict with information in those data elements.
		In this case the <xsl:text /><xsl:value-of select="$observation-de-name" /><xsl:text /> 'observation/entryRelationship/observation/effectiveTime' data element is present with the value
		'<xsl:text /><xsl:value-of select="$observation-dt" /><xsl:text />' which differs from the value of the
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M948" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M948" />
  <xsl:template match="@*|node()" priority="-2" mode="M948">
    <xsl:apply-templates select="@*|*" mode="M948" />
  </xsl:template>
  <!--PATTERN p-TS-Dext-PathTestRes-1-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:effectiveTime[@value]" priority="1000" mode="M949">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:effectiveTime[@value]" />
    <xsl:variable name="has-observation" select="count(..//cda:effectiveTime) &gt; 1 " />
    <xsl:variable name="observation-dt" select="../cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16605']]/cda:effectiveTime/@value" />
    <xsl:variable name="report-error" select="not($has-observation) or ($has-observation and exists($observation-dt) and not(dh:AreDatesEqual(@value, $observation-dt) = '1')) " />
    <xsl:variable name="report-hint" select="$extensions-allowed and $has-observation and not(exists($observation-dt)) and not($report-error) " />
    <xsl:variable name="observation-de-name" select="if (/cda:ClinicalDocument/cda:templateId[(@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4') or             (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2') or             (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3') or             (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2') ])         then 'Pathology Test Result DateTime'        else 'Observation DateTime' " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if ($extensions-allowed and $report-error) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   (See the ', $document-name, ' CDA Implementation Guide and ', $extension-requirement, '.)'))        else if ($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 1.8 of the ', $document-name, ' CDA Implementation Guide and ', $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1 else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'. The data element
		is an extension as it is not listed in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' and the data element
		is an extension as it is not listed in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text />
		The value of an '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element is the focal or operative time of the observation, i.e. the primary time for which
		the observation holds. (See section 3.1.1.10 of the HL7 Reference Information Model.) For a pathology observation this is the dateTime the specimen was collected and observed.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide lists other data elements for recording the date and time of the collection and observation of the specimen
		so information in the '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element must not conflict with information in those data elements.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and $report-hint ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and $report-hint">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' and the data element
		is an extension as it is not listed in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text />
		The value of an '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element is the focal or operative time of the observation, i.e. the primary time for which
		the observation holds. (See section 3.1.1.10 of the HL7 Reference Information Model.) For a pathology observation this is the dateTime the specimen was collected and observed.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide lists other data elements for recording the date and time of the collection and observation of the specimen
		so information in the '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element must not conflict with information in those data elements.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and not($has-observation) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and not($has-observation)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' and the data element
		is an extension as it is not listed in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text />
		The value of an '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element is the focal or operative time of the observation, i.e. the primary time for which
		the observation holds. (See section 3.1.1.10 of the HL7 Reference Information Model.) For a pathology observation this is the dateTime the specimen was collected and observed.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide lists other data elements for recording the date and time of the collection and observation of the specimen
		so information in the '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element must not conflict with information in those data elements.
		In this case the '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />' data group does not contain any of the specified data elements used to record this information.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and $has-observation and exists($observation-dt) and not(@value = $observation-dt) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and $has-observation and exists($observation-dt) and not(@value = $observation-dt)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' and the data element
		is an extension as it is not listed in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.
		<xsl:text /><xsl:value-of select="$message-text" /><xsl:text />
		The value of an '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element is the focal or operative time of the observation, i.e. the primary time for which
		the observation holds. (See section 3.1.1.10 of the HL7 Reference Information Model.) For a pathology observation this is the dateTime the specimen was collected and observed.
		The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide lists other data elements for recording the date and time of the collection and observation of the specimen
		so information in the '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element must not conflict with information in those data elements.
		In this case the <xsl:text /><xsl:value-of select="$observation-de-name" /><xsl:text /> 'observation/entryRelationship/observation/effectiveTime' data element is present with the value
		'<xsl:text /><xsl:value-of select="$observation-dt" /><xsl:text />' which differs from the value of the
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M949" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M949" />
  <xsl:template match="@*|node()" priority="-2" mode="M949">
    <xsl:apply-templates select="@*|*" mode="M949" />
  </xsl:template>
  <!--PATTERN p-TS-Dext-Pres-1-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument[cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.170']/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration" priority="1000" mode="M950">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument[cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.170']/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration" />
    <xsl:variable name="c-profile" select="if ($flags/@conformance-profile-version = '1.3') then 'Conformance Profile v1.3' else 'Conformance Profile v1.4' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-28-step-4" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-28-step-4 " />
    <!--REPORT -->
    <xsl:if test="cda:*[not(local-name() = ('consumable', 'entryRelationship', 'id', 'repeatNumber', 'routeCode', 'statusCode', 'text'))]">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:*[not(local-name() = ('consumable', 'entryRelationship', 'id', 'repeatNumber', 'routeCode', 'statusCode', 'text'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>			

		Error<xsl:text /><xsl:value-of select="$rating-28-step-4" /><xsl:text />: TC-Doc-28 step 4: The Prescription Record 'substanceAdministration' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the child element
		'<xsl:text /><xsl:value-of select="local-name(cda:*[not(local-name() = ('consumable', 'entryRelationship', 'id', 'repeatNumber', 'routeCode', 'statusCode', 'text'))])" /><xsl:text />'
		that is not listed in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. Therefore the Prescription Record does not meet the mandatory requirement that it
		must not include data elements that are not listed in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.
		(See section 3.2.12 of the Prescription Record <xsl:text /><xsl:value-of select="$c-profile" /><xsl:text /> and section 7.1.1 of the Prescription Record CDA Implementation Guide v1.0.)

   	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="ext:*">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="ext:*">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28-step-4" /><xsl:text />: TC-Doc-28 step 4: The Prescription Record 'substanceAdministration' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the child element
		'<xsl:text /><xsl:value-of select="local-name(ext:*)" /><xsl:text />' that is not listed in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. Therefore the Prescription Record does not meet the mandatory requirement that it
		must not include data elements that are not listed in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.
		(See section 3.2.12 of the Prescription Record <xsl:text /><xsl:value-of select="$c-profile" /><xsl:text /> and section 7.1.1 of the Prescription Record CDA Implementation Guide v1.0.)

   	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M950" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M950" />
  <xsl:template match="@*|node()" priority="-2" mode="M950">
    <xsl:apply-templates select="@*|*" mode="M950" />
  </xsl:template>
  <!--PATTERN p-TS-Dext-Pres-2-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument[cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.170']/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/cda:entryRelationship" priority="1000" mode="M951">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument[cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.170']/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/cda:entryRelationship" />
    <xsl:variable name="c-profile" select="if ($flags/@conformance-profile-version = '1.3') then 'Conformance Profile v1.3' else 'Conformance Profile v1.4' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-28-step-4" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-28-step-4 " />
    <!--REPORT -->
    <xsl:if test="cda:*[not(local-name() = ('act', 'supply'))]">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:*[not(local-name() = ('act', 'supply'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>		

		Error<xsl:text /><xsl:value-of select="$rating-28-step-4" /><xsl:text />: TC-Doc-28 step 4: The Prescription Record 'substanceAdministration/entryRelationship' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the child
		element '<xsl:text /><xsl:value-of select="local-name(cda:*[not(local-name() = ('act', 'supply'))])" /><xsl:text />' that is not listed in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.
		Therefore the Prescription Record does not meet the mandatory requirement that it
		must not include data elements that are not listed in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.
		(See section 3.2.12 of the Prescription Record <xsl:text /><xsl:value-of select="$c-profile" /><xsl:text /> and section 7.1.1 of the Prescription Record CDA Implementation Guide v1.0.)

   	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="ext:*">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="ext:*">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28-step-4" /><xsl:text />: TC-Doc-28 step 4: The Prescription Record 'substanceAdministration/entryRelationship' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the child
		element '<xsl:text /><xsl:value-of select="local-name(ext:*)" /><xsl:text />' that is not listed in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. Therefore the Prescription Record does not meet the mandatory requirement that it must
		not include data elements that are not listed in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.
		(See section 3.2.12 of the Prescription Record <xsl:text /><xsl:value-of select="$c-profile" /><xsl:text /> and section 7.1.1 of the Prescription Record CDA Implementation Guide v1.0.)

   	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M951" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M951" />
  <xsl:template match="@*|node()" priority="-2" mode="M951">
    <xsl:apply-templates select="@*|*" mode="M951" />
  </xsl:template>
  <!--PATTERN p-TS-Dext-Pres-3-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument[cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.170']/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/cda:entryRelationship/cda:supply" priority="1000" mode="M952">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument[cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.170']/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/cda:entryRelationship/cda:supply" />
    <xsl:variable name="c-profile" select="if ($flags/@conformance-profile-version = '1.3') then 'Conformance Profile v1.3' else 'Conformance Profile v1.4' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-28-step-4" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-28-step-4 " />
    <!--REPORT -->
    <xsl:if test="cda:*[not(local-name() = ('effectiveTime', 'entryRelationship', 'id', 'independentInd'))]">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:*[not(local-name() = ('effectiveTime', 'entryRelationship', 'id', 'independentInd'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28-step-4" /><xsl:text />: TC-Doc-28 step 4: The Prescription Record 'substanceAdministration/entryRelationship/supply' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		child element '<xsl:text /><xsl:value-of select="local-name(cda:*[not(local-name() = ('effectiveTime', 'entryRelationship', 'id', 'independentInd'))])" /><xsl:text />'
		that is not listed in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. Therefore the Prescription Record does not meet the mandatory requirement that it
		must not include data elements that are not listed in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.
		(See section 3.2.12 of the Prescription Record <xsl:text /><xsl:value-of select="$c-profile" /><xsl:text /> and section 7.1.1 of the Prescription Record CDA Implementation Guide v1.0.)

   	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="ext:*[not(local-name() = 'subjectOf2')]">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="ext:*[not(local-name() = 'subjectOf2')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28-step-4" /><xsl:text />: TC-Doc-28 step 4: The Prescription Record 'substanceAdministration/entryRelationship/supply' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		child element '<xsl:text /><xsl:value-of select="local-name(ext:*[not(local-name() = 'subjectOf2')])" /><xsl:text />'
		that is not listed in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. Therefore the Prescription Record does not meet the mandatory requirement that it
		must not include data elements that are not listed in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.
		(See section 3.2.12 of the Prescription Record <xsl:text /><xsl:value-of select="$c-profile" /><xsl:text /> and section 7.1.1 of the Prescription Record CDA Implementation Guide v1.0.)

   	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M952" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M952" />
  <xsl:template match="@*|node()" priority="-2" mode="M952">
    <xsl:apply-templates select="@*|*" mode="M952" />
  </xsl:template>
  <!--PATTERN p-TS-Dext-Pres-4-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument[cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.170']/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/cda:consumable/   cda:manufacturedProduct/cda:manufacturedMaterial" priority="1000" mode="M953">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument[cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.170']/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/cda:consumable/   cda:manufacturedProduct/cda:manufacturedMaterial" />
    <xsl:variable name="c-profile" select="if ($flags/@conformance-profile-version = '1.3') then 'Conformance Profile v1.3' else 'Conformance Profile v1.4' " />
    <xsl:variable name="TGI-count" select="if ($numbers/number[number(@value) = count(current()/cda:code)])    then $numbers/number[number(@value) = count(current()/cda:code)]/@name else count(current()/cda:code)" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-28-step-4" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-28-step-4 " />
    <!--REPORT -->
    <xsl:if test="cda:*[not(   local-name() = 'code'  or   local-name() = 'name'   )]">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:*[not( local-name() = 'code' or local-name() = 'name' )]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28-step-4" /><xsl:text />: TC-Doc-28 step 4: The Prescription Record 'substanceAdministration/consumable/manufacturedProduct/manufacturedMaterial' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the child element
		'<xsl:text /><xsl:value-of select="local-name(cda:*[not(   local-name() = 'code'  or   local-name() = 'name'   )])" /><xsl:text />' that is not listed in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. Therefore the Prescription Record does not meet the mandatory requirement that it
		must not include data elements that are not listed in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.
		(See section 3.2.12 of the Prescription Record <xsl:text /><xsl:value-of select="$c-profile" /><xsl:text /> and section 7.1.1 of the Prescription Record CDA Implementation Guide v1.0.)

   	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="ext:*[not(local-name() = 'formCode')]">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="ext:*[not(local-name() = 'formCode')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28-step-4" /><xsl:text />: TC-Doc-28 step 4: The Prescription Record 'substanceAdministration/consumable/manufacturedProduct/manufacturedMaterial' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the child element
		'<xsl:text /><xsl:value-of select="local-name(ext:*[not(local-name() = 'formCode')])" /><xsl:text />' that is not listed in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. Therefore the Prescription Record does not meet the mandatory
		requirement that it must not include data elements that are not listed in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.
		(See section 3.2.12 of the Prescription Record <xsl:text /><xsl:value-of select="$c-profile" /><xsl:text /> and section 7.1.1 of the Prescription Record CDA Implementation Guide v1.0.)

   	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="count(cda:code) &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="count(cda:code) &gt; 1">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28-step-4" /><xsl:text />: TC-Doc-28 step 4: The Prescription Record 'substanceAdministration/consumable/manufacturedProduct/manufacturedMaterial' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains <xsl:text /><xsl:value-of select="$TGI-count" /><xsl:text /> therapeutic good identifiers
		whereas the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide states that only one therapeutic good identifier may be present. Therefore the Prescription Record does not meet the mandatory requirement that it
		must not include data elements that are not listed in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.
		(See section 3.2.12 of the Prescription Record <xsl:text /><xsl:value-of select="$c-profile" /><xsl:text /> and section 7.1.1 of the Prescription Record CDA Implementation Guide v1.0.)

   	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M953" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M953" />
  <xsl:template match="@*|node()" priority="-2" mode="M953">
    <xsl:apply-templates select="@*|*" mode="M953" />
  </xsl:template>
  <!--PATTERN p-TS-Dext-Pres-5-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument[cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.170']/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/cda:entryRelationship/cda:supply/cda:entryRelationship[not(   cda:act[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='246205007']])]" priority="1000" mode="M954">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument[cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.170']/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/cda:entryRelationship/cda:supply/cda:entryRelationship[not(   cda:act[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='246205007']])]" />
    <xsl:variable name="c-profile" select="if ($flags/@conformance-profile-version = '1.3') then 'Conformance Profile v1.3' else 'Conformance Profile v1.4' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-28-step-4" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-28-step-4 " />
    <!--REPORT -->
    <xsl:if test=" . ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test=".">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28-step-4" /><xsl:text />: TC-Doc-28 step 4: The Prescription Record contains a 'substanceAdministration/entryRelationship/supply/entryRelationship' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> which is not listed in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. The only 'entryRelationship' data element that is expected is Quantity Description therefore the
		Prescription Record does not meet the mandatory requirement that it must not include data elements that are not listed in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.
		(See section 3.2.12 of the Prescription Record <xsl:text /><xsl:value-of select="$c-profile" /><xsl:text /> and section 7.1.1 of the Prescription Record CDA Implementation Guide v1.0.)

   	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M954" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M954" />
  <xsl:template match="@*|node()" priority="-2" mode="M954">
    <xsl:apply-templates select="@*|*" mode="M954" />
  </xsl:template>
  <!--PATTERN p-TS-DocIdent-1-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument//cda:versionNumber[@value]" priority="1000" mode="M955">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument//cda:versionNumber[@value]" />
    <!--REPORT -->
    <xsl:if test="not(number(./@value) &gt; 0)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(number(./@value) &gt; 0)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-32" /><xsl:text />: TC-Doc-32 step 2: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		has the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'. This is invalid as version numbers must be at least '1'.
		(See section 4.2.3.1 of HL7 Clinical Document Architecture, Release 2.0.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M955" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M955" />
  <xsl:template match="@*|node()" priority="-2" mode="M955">
    <xsl:apply-templates select="@*|*" mode="M955" />
  </xsl:template>
  <!--PATTERN p-TS-DocIdent-2-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument/cda:setId[count($documents) &gt; 1]" priority="1000" mode="M956">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument/cda:setId[count($documents) &gt; 1]" />
    <xsl:variable name="count-with-extension" select="if ($numbers/number[@value = count($documents/cda:ClinicalDocument[cda:setId[concat(@root, @extension) =     concat(current()/@root, current()/@extension)]])])    then $numbers/number[number(@value) = count($documents/cda:ClinicalDocument[cda:setId[concat(@root, @extension) = concat(current()/@root, current()/@extension)]])]/@name    else count($documents/cda:ClinicalDocument[cda:setId[concat(@root, @extension) = concat(current()/@root, current()/@extension)]])" />
    <xsl:variable name="count-without-extension" select="if ($numbers/number[@value = count($documents/cda:ClinicalDocument[cda:setId[@root = current()/@root and not(@extension)]])])    then $numbers/number[number(@value) = count($documents/cda:ClinicalDocument[cda:setId[@root = current()/@root and not(@extension)]])]/@name    else count($documents/cda:ClinicalDocument[cda:setId[@root = current()/@root and not(@extension)]])" />
    <!--REPORT -->
    <xsl:if test=" @root and @extension and concat(@root, @extension) and    count($documents/cda:ClinicalDocument[cda:setId[concat(@root, @extension) = concat(current()/@root, current()/@extension)]]) &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@root and @extension and concat(@root, @extension) and count($documents/cda:ClinicalDocument[cda:setId[concat(@root, @extension) = concat(current()/@root, current()/@extension)]]) &gt; 1">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>	

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-32" /><xsl:text />: TC-Doc-32 step 1: There are <xsl:text /><xsl:value-of select="$count-with-extension" /><xsl:text /> documents
		in the collection of <xsl:text /><xsl:value-of select="$document-count" /><xsl:text /> documents that have the same value for setId. The value of the setId root attribute is '<xsl:text /><xsl:value-of select="@root" /><xsl:text />' and
		the value of the extension attribute is '<xsl:text /><xsl:value-of select="@extension" /><xsl:text />'. When a document is a replacement or addendum to another document the value of setId must be identical but in a
		collection of unrelated documents when a document has the setId element it must have a unique value. The setId is an identifier that is common across all document revisions.
		(See section 4.2.3.1 of the HL7 Clinical Document Architecture, Release 2.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @root and not(@extension) and count($documents/cda:ClinicalDocument[cda:setId[@root = current()/@root and not(@extension)]]) &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@root and not(@extension) and count($documents/cda:ClinicalDocument[cda:setId[@root = current()/@root and not(@extension)]]) &gt; 1">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>	

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-32" /><xsl:text />: TC-Doc-32 step 1: There are <xsl:text /><xsl:value-of select="$count-without-extension" /><xsl:text /> documents
		in the collection of <xsl:text /><xsl:value-of select="$document-count" /><xsl:text /> documents that have the same value for setId. The setId has <xsl:text /><xsl:value-of select="iq:display-II(.)" /><xsl:text /> and there is no extension
		attribute. When a document is a replacement or addendum to another document the value of setId must be identical but in a collection of
		unrelated documents when a document has the setId element it must have a unique value. The setId is an identifier that is common across all document revisions.
		(See section 4.2.3.1 of the HL7 Clinical Document Architecture, Release 2.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M956" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M956" />
  <xsl:template match="@*|node()" priority="-2" mode="M956">
    <xsl:apply-templates select="@*|*" mode="M956" />
  </xsl:template>
  <!--PATTERN p-TS-DocIdent-3-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument/cda:id" priority="1000" mode="M957">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument/cda:id" />
    <xsl:variable name="with-extension-count" select="if ($numbers/number[@value = count($documents/cda:ClinicalDocument[cda:id[concat(@root, @extension) = concat(current()/@root, current()/@extension)]])])    then $numbers/number[number(@value) = count($documents/cda:ClinicalDocument[cda:id[concat(@root, @extension) = concat(current()/@root, current()/@extension)]])]/@name    else count($documents/cda:ClinicalDocument[cda:id[concat(@root, @extension) = concat(current()/@root, current()/@extension)]])" />
    <xsl:variable name="without-extension-count" select="if ($numbers/number[@value = count($documents/cda:ClinicalDocument[cda:id[@root = current()/@root and not(@extension)]])])    then $numbers/number[number(@value) = count($documents/cda:ClinicalDocument[cda:id[@root = current()/@root and not(@extension)]])]/@name    else count($documents/cda:ClinicalDocument[cda:id[@root = current()/@root and not(@extension)]])" />
    <xsl:variable name="doc-id" select="if (@root and @extension) then concat(@root, '^', @extension)       else if (@root and not(@extension)) then @root       else 'unknown' " />
    <!--REPORT -->
    <xsl:if test="not(@root)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@root)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-38" /><xsl:text />: TC-Doc-38: The clinical document identifier, ClinicalDocument/id, has <xsl:text /><xsl:value-of select="iq:display-II(.)" /><xsl:text />. It does not have a root attribute so it does
		not meet the requirement to be the unique instance identifier of the clinical document. The root attribute must be present for ClinicalDocument/id to be a unique identifier.
		(See sections 4.2.1.1 of HL7 Clinical Document Architecture, Release 2.0 and section 7.6.7.3.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@root and @nullFlavor">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@root and @nullFlavor">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-38" /><xsl:text />: TC-Doc-38: The clinical document identifier, ClinicalDocument/id, has <xsl:text /><xsl:value-of select="iq:display-II(.)" /><xsl:text />
		so it does not meet the requirement to be the unique instance identifier of the clinical document. To be a unique identifier the
		ClinicalDocument/id must either contain a root attribute that is the unique identifier and no nullFlavor or the root and extensions attributes must be present with no nullFlavor attribute.
		(See sections 4.2.1.1 of HL7 Clinical Document Architecture, Release 2.0 and section 7.6.7.3.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @root and @extension and count($documents/cda:ClinicalDocument[cda:id[$doc-id = concat(@root, '^', @extension)]]) &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@root and @extension and count($documents/cda:ClinicalDocument[cda:id[$doc-id = concat(@root, '^', @extension)]]) &gt; 1">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>	

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-38" /><xsl:text />: TC-Doc-38: There are <xsl:text /><xsl:value-of select="$with-extension-count" /><xsl:text /> documents in the collection of <xsl:text /><xsl:value-of select="$document-count" /><xsl:text /> documents that
		have the same value for the document id. The ClinicalDocument/id has <xsl:text /><xsl:value-of select="iq:display-II(.)" /><xsl:text />. The ClinicalDocument/id must be the
		unique instance identifier of a clinical document so every document must have a unique combination of the root and extension attributes of ClinicalDocument/id.
		(See section 4.2.1.1 of the HL7 Clinical Document Architecture, Release 2.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @root and not(@extension) and count($documents/cda:ClinicalDocument[cda:id[$doc-id = @root and not(@extension)]]) &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@root and not(@extension) and count($documents/cda:ClinicalDocument[cda:id[$doc-id = @root and not(@extension)]]) &gt; 1">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>	

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-38" /><xsl:text />: TC-Doc-38: There are <xsl:text /><xsl:value-of select="$without-extension-count" /><xsl:text /> documents in the collection of <xsl:text /><xsl:value-of select="$document-count" /><xsl:text /> documents that
		have the same value for the document id. The ClinicalDocument/id has <xsl:text /><xsl:value-of select="iq:display-II(.)" /><xsl:text /> and there is no extension attribute. The ClinicalDocument/id must be the unique instance
		identifier of a clinical document so every document must have a unique combination of the root and extension attributes of ClinicalDocument/id.
		(See section 4.2.1.1 of the HL7 Clinical Document Architecture, Release 2.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M957" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M957" />
  <xsl:template match="@*|node()" priority="-2" mode="M957">
    <xsl:apply-templates select="@*|*" mode="M957" />
  </xsl:template>
  <!--PATTERN p-TS-DocIdent-4-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument/cda:relatedDocument[@typeCode='RPLC']/cda:parentDocument/cda:setId" priority="1000" mode="M958">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument/cda:relatedDocument[@typeCode='RPLC']/cda:parentDocument/cda:setId" />
    <!--REPORT -->
    <xsl:if test=" @extension and concat(@root, @extension) != concat(/cda:ClinicalDocument/cda:setId/@root, /cda:ClinicalDocument/cda:setId/@extension) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@extension and concat(@root, @extension) != concat(/cda:ClinicalDocument/cda:setId/@root, /cda:ClinicalDocument/cda:setId/@extension)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>	

                Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-33" /><xsl:text />: TC-Doc-33: The clinical document contains a relatedDocument data element with typeCode "RPLC" so the relatedDocument element provides information about
		a document that has been superseded by this document. The setId element is used to identify the document set consisting of the superseded and replacement documents. The relatedDocument
		data element states that the superseded document has setId with <xsl:text /><xsl:value-of select="iq:display-II(.)" /><xsl:text /> whereas /cda:ClinicalDocument/cda:setId
		has <xsl:text /><xsl:value-of select="iq:display-II(/cda:ClinicalDocument/cda:setId)" /><xsl:text />.
		This does not conform to the requirement that the value of ClinicalDocument/setId in the superseded and replacement documents must be the same. As the ClinicalDocument/setId identifies
		the set of superseded and replacement documents a replacement document must use the same value for ClinicalDocument/setId as the document that was
		superseded. (See section 4.2.3.1 of the HL7 Clinical Document Architecture, Release 2.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@extension) and /cda:ClinicalDocument/cda:setId/@extension ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@extension) and /cda:ClinicalDocument/cda:setId/@extension">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>	

                Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-33" /><xsl:text />: TC-Doc-33: The clinical document contains a relatedDocument data element with typeCode "RPLC" so the relatedDocument element provides information about
		a document that has been superseded by this document. The setId element is used to identify the document set consisting of the superseded and replacement documents. The relatedDocument
		data element states that the superseded document has setId with <xsl:text /><xsl:value-of select="iq:display-II(.)" /><xsl:text /> and no extension attribute whereas /cda:ClinicalDocument/cda:setId
		has <xsl:text /><xsl:value-of select="iq:display-II(/cda:ClinicalDocument/cda:setId)" /><xsl:text />.
		This does not conform to the requirement that the value of ClinicalDocument/setId in the superseded and replacement documents must be the same. As the ClinicalDocument/setId identifies
		the set of superseded and replacement documents a replacement document must use the same value for ClinicalDocument/setId as the document that was
		superseded. (See section 4.2.3.1 of the HL7 Clinical Document Architecture, Release 2.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@extension) and not(/cda:ClinicalDocument/cda:setId/@extension) and @root != /cda:ClinicalDocument/cda:setId/@root ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@extension) and not(/cda:ClinicalDocument/cda:setId/@extension) and @root != /cda:ClinicalDocument/cda:setId/@root">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>	

                Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-33" /><xsl:text />: TC-Doc-33: The clinical document contains a relatedDocument data element with typeCode "RPLC" so the relatedDocument element provides information about
		a document that has been superseded by this document. The setId element is used to identify the document set consisting of the superseded and replacement documents. The relatedDocument
		data element states that the superseded document has setId with <xsl:text /><xsl:value-of select="iq:display-II(.)" /><xsl:text /> and no extension attribute whereas /cda:ClinicalDocument/cda:setId
		has <xsl:text /><xsl:value-of select="iq:display-II(/cda:ClinicalDocument/cda:setId)" /><xsl:text />.
		This does not conform to the requirement that the value of ClinicalDocument/setId in the superseded and replacement documents must be the same. As the ClinicalDocument/setId identifies
		the set of superseded and replacement documents a replacement document must use the same value for ClinicalDocument/setId as the document that was
		superseded. (See section 4.2.3.1 of the HL7 Clinical Document Architecture, Release 2.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M958" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M958" />
  <xsl:template match="@*|node()" priority="-2" mode="M958">
    <xsl:apply-templates select="@*|*" mode="M958" />
  </xsl:template>
  <!--PATTERN p-TS-DocIdent-5-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument/cda:relatedDocument[@typeCode='RPLC']/cda:parentDocument/cda:versionNumber" priority="1000" mode="M959">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument/cda:relatedDocument[@typeCode='RPLC']/cda:parentDocument/cda:versionNumber" />
    <!--REPORT -->
    <xsl:if test="not(/cda:ClinicalDocument/cda:versionNumber/@value &gt; @value)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(/cda:ClinicalDocument/cda:versionNumber/@value &gt; @value)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-33" /><xsl:text />: TC-Doc-33: The clinical document contains a relatedDocument data element with typeCode "RPLC" so the relatedDocument element provides information
		about a document that has been superseded by this document. The versionNumber element is used to identify the version of the superseded and replacement documents.
		However the value of ClinicalDocument/versionNumber in the replacement document is
		'<xsl:text /><xsl:value-of select="/cda:ClinicalDocument/cda:versionNumber/@value" /><xsl:text />' which does not conform the requirement for its value to be at least
		one more than the value of the parent document's version number which is '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'.
		(See section 4.2.3.1 of the HL7 Clinical Document Architecture, Release 2.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M959" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M959" />
  <xsl:template match="@*|node()" priority="-2" mode="M959">
    <xsl:apply-templates select="@*|*" mode="M959" />
  </xsl:template>
  <!--PATTERN p-TS-DocIdent-6-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument[cda:relatedDocument/@typeCode='RPLC']/cda:versionNumber[not(@value &gt; 1)]" priority="1000" mode="M960">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument[cda:relatedDocument/@typeCode='RPLC']/cda:versionNumber[not(@value &gt; 1)]" />
    <xsl:variable name="parent-doc-version-message" select="if (/cda:ClinicalDocument/cda:relatedDocument[@typeCode='RPLC']/cda:parentDocument/cda:versionNumber/@value)          then concat(' which is ', /cda:ClinicalDocument/cda:relatedDocument[@typeCode='RPLC']/cda:parentDocument/cda:versionNumber/@value)         else '' " />
    <!--REPORT -->
    <xsl:if test=" . ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test=".">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-33" /><xsl:text />: TC-Doc-33: The clinical document contains a relatedDocument data element with typeCode "RPLC" so the relatedDocument element provides information
		about a document that has been superseded by this document and the current document is a new version. However the value of ClinicalDocument/versionNumber in the replacement document is
		'<xsl:text /><xsl:value-of select="/cda:ClinicalDocument/cda:versionNumber/@value" /><xsl:text />' which does not conform the requirement for its value to be at least
		one more than the value of the parent document's version number<xsl:text /><xsl:value-of select="$parent-doc-version-message" /><xsl:text />. The first version of a clinical document must have a value of
		ClinicalDocument/versionNumber equal to "1" so new versions of the document must have a value of ClinicalDocument/versionNumber greater than "1".
		(See section 4.2.3.1 of the HL7 Clinical Document Architecture, Release 2.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M960" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M960" />
  <xsl:template match="@*|node()" priority="-2" mode="M960">
    <xsl:apply-templates select="@*|*" mode="M960" />
  </xsl:template>
  <!--PATTERN p-TS-DocIdent-7-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument/cda:templateId[@root!='1.2.36.1.2001.1001.100.149'][count($superseded) = 1]" priority="1000" mode="M961">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument/cda:templateId[@root!='1.2.36.1.2001.1001.100.149'][count($superseded) = 1]" />
    <!--REPORT -->
    <xsl:if test=" not($superseded/cda:ClinicalDocument/cda:templateId[@root = current()/@root and @extension = current()/@extension]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($superseded/cda:ClinicalDocument/cda:templateId[@root = current()/@root and @extension = current()/@extension])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>	

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-33" /><xsl:text />: TC-Doc-33: The superseded and replacement documents have different values for ClinicalDocument/templateId which means that they are not the same type
		of document. The replacement document has a templateId element with the value '<xsl:text /><xsl:value-of select="@root" /><xsl:text />' for the root attribute and '<xsl:text /><xsl:value-of select="@extension" /><xsl:text />'
		for the extension attribute whereas the superseded document has a templateId element with the value
		'<xsl:text /><xsl:value-of select="$superseded/cda:ClinicalDocument/cda:templateId[@root!='1.2.36.1.2001.1001.100.149']/@root" /><xsl:text />' for the root attribute and
		'<xsl:text /><xsl:value-of select="$superseded/cda:ClinicalDocument/cda:templateId[@root!='1.2.36.1.2001.1001.100.149']/@extension" /><xsl:text />' for the extension attribute.
		A replacement document must be the same type of document as the one that it superseded.
		(See section 4.2.3.1 of the HL7 Clinical Document Architecture, Release 2.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M961" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M961" />
  <xsl:template match="@*|node()" priority="-2" mode="M961">
    <xsl:apply-templates select="@*|*" mode="M961" />
  </xsl:template>
  <!--PATTERN p-TS-DocIdent-8-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument/cda:relatedDocument[@typeCode='RPLC']/cda:parentDocument/cda:id[count($superseded) = 1]" priority="1000" mode="M962">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument/cda:relatedDocument[@typeCode='RPLC']/cda:parentDocument/cda:id[count($superseded) = 1]" />
    <!--REPORT -->
    <xsl:if test="@extension and not(concat(@root, @extension) = concat($superseded/cda:ClinicalDocument/cda:id/@root, $superseded/cda:ClinicalDocument/cda:id/@extension)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@extension and not(concat(@root, @extension) = concat($superseded/cda:ClinicalDocument/cda:id/@root, $superseded/cda:ClinicalDocument/cda:id/@extension))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-33" /><xsl:text />: TC-Doc-33: The relatedDocument[typeCode='RPLC']/parentDocument/id in the replacement document has <xsl:text /><xsl:value-of select="iq:display-II(.)" /><xsl:text />
		whereas the superseded document has /ClinicalDocument/id with <xsl:text /><xsl:value-of select="iq:display-II($superseded/cda:ClinicalDocument/cda:id)" /><xsl:text />, however they must be the same identifiers.
		(See section 4.2.3.1 of the HL7 Clinical Document Architecture, Release 2.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not(@extension) and not(@root = $superseded/cda:ClinicalDocument/cda:id/@root) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@extension) and not(@root = $superseded/cda:ClinicalDocument/cda:id/@root)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-33" /><xsl:text />: TC-Doc-33: The relatedDocument[typeCode='RPLC']/parentDocument/id in the replacement document has <xsl:text /><xsl:value-of select="iq:display-II(.)" /><xsl:text /> and no extension
		whereas the superseded document has /ClinicalDocument/id with <xsl:text /><xsl:value-of select="iq:display-II($superseded/cda:ClinicalDocument/cda:id)" /><xsl:text />, however they must be the same identifiers.
		(See section 4.2.3.1 of the HL7 Clinical Document Architecture, Release 2.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M962" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M962" />
  <xsl:template match="@*|node()" priority="-2" mode="M962">
    <xsl:apply-templates select="@*|*" mode="M962" />
  </xsl:template>
  <!--PATTERN p-TS-DocIdent-9-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument[exists($superseded)]" priority="1000" mode="M963">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument[exists($superseded)]" />
    <xsl:variable name="sup-dateTime" select="if ($superseded/cda:ClinicalDocument/cda:effectiveTime/@value) then $superseded/cda:ClinicalDocument/cda:effectiveTime/@value else '' " />
    <xsl:variable name="rep-dateTime" select="if (cda:effectiveTime/@value) then cda:effectiveTime/@value else '' " />
    <xsl:variable name="times-included" select="matches($sup-dateTime, '^[0-9]{12,}') and matches($rep-dateTime, '^[0-9]{12,}') " />
    <xsl:variable name="sup-tz" select="if (contains($sup-dateTime, '-')) then concat('-', substring-after($sup-dateTime, '-'))       else if (contains($sup-dateTime, '+')) then concat('+', substring-after($sup-dateTime, '+'))       else '' " />
    <xsl:variable name="rep-tz" select="if (contains($rep-dateTime, '-')) then concat('-', substring-after($rep-dateTime, '-'))       else if (contains($rep-dateTime, '+')) then concat('+', substring-after($rep-dateTime, '+'))       else '' " />
    <xsl:variable name="null-values" select="$sup-dateTime = '' or $rep-dateTime = '' " />
    <xsl:variable name="tz-error" select="not($null-values) and (($sup-tz = '' and $rep-tz != '') or ($sup-tz != '' and $rep-tz = ''))" />
    <!--REPORT -->
    <xsl:if test=" count($superseded) = 1 and not($null-values) and $times-included and not(dh:IsFirstDateEarlierThanSecondDate($sup-dateTime, $rep-dateTime) = '1') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="count($superseded) = 1 and not($null-values) and $times-included and not(dh:IsFirstDateEarlierThanSecondDate($sup-dateTime, $rep-dateTime) = '1')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>	

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-33" /><xsl:text />: TC-Doc-33: The date and time the documents were created are recorded in the ClinicalDocument/effectiveTime data element and the values are
		'<xsl:text /><xsl:value-of select="cda:effectiveTime/@value" /><xsl:text />' for the replacement document and '<xsl:text /><xsl:value-of select="$sup-dateTime" /><xsl:text />' for the superseded document.
		The document creation date and time of the replacement document must be greater than the creation date and time of the superseded document. Note that where the document
		is a transformation from an original document in some other format, the document creation date and time is the time the original document is created not the
		time the transform occurred. (See section 4.2.1.4 of the HL7 Clinical Document Architecture, Release 2.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" count($superseded) = 1 and not($null-values) and $tz-error ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="count($superseded) = 1 and not($null-values) and $tz-error">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
                Warning<xsl:text /><xsl:value-of select="$rating-TC-Doc-33" /><xsl:text />: TC-Doc-33: The date and time the documents were created are recorded in the ClinicalDocument/effectiveTime data element and the values are
		'<xsl:text /><xsl:value-of select="$rep-dateTime" /><xsl:text />' for the replacement document and
		'<xsl:text /><xsl:value-of select="$superseded/cda:ClinicalDocument/cda:effectiveTime/@value" /><xsl:text />' for the superseded document. Confirm if the replacement document was created after the superseded document.
		(See section 4.2.1.4 of the HL7 Clinical Document Architecture, Release 2.) DateTime elements cannot be compared when one has a timezone and the other does not.
 		(See sections 7.8.13.4  and 7.10.9.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) 

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="count($superseded) = 1 and concat(cda:id/@root, cda:id/@extension) =    concat($superseded/cda:ClinicalDocument/cda:id/@root, $superseded/cda:ClinicalDocument/cda:id/@extension) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="count($superseded) = 1 and concat(cda:id/@root, cda:id/@extension) = concat($superseded/cda:ClinicalDocument/cda:id/@root, $superseded/cda:ClinicalDocument/cda:id/@extension)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>	

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-33" /><xsl:text />: TC-Doc-33: The value of ClinicalDocument/id in the superseded and replacement documents are the same. As the ClinicalDocument/id is a unique identifier
		for a document, every document in the set of superseded and replacement documents must have a unique value for value of ClinicalDocument/id.
		(See section 4.2.3.1 of the HL7 Clinical Document Architecture, Release 2.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="count($superseded) = 1 and cda:versionNumber/@value and not(number(cda:versionNumber/@value) &gt; number($superseded/cda:ClinicalDocument/cda:versionNumber/@value)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="count($superseded) = 1 and cda:versionNumber/@value and not(number(cda:versionNumber/@value) &gt; number($superseded/cda:ClinicalDocument/cda:versionNumber/@value))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-33" /><xsl:text />: TC-Doc-33: The value of ClinicalDocument/versionNumber/value in the replacement document is '<xsl:text /><xsl:value-of select="cda:versionNumber/@value" /><xsl:text />' and the
		ClinicalDocument/versionNumber/value in the superseded document is '<xsl:text /><xsl:value-of select="$superseded/cda:ClinicalDocument/cda:versionNumber/@value" /><xsl:text />'. This does
		not conform the requirement for the value in the replacement document to be at least
		one more than the value of ClinicalDocument/versionNumber/value in the superseded document. (See section 4.2.3.1 of the HL7 Clinical Document Architecture,
		Release 2.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="count($superseded) = 1 and cda:setId/@root and cda:setId/@extension and concat(cda:setId/@root, cda:setId/@extension) !=    concat($superseded/cda:ClinicalDocument/cda:setId/@root, $superseded/cda:ClinicalDocument/cda:setId/@extension) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="count($superseded) = 1 and cda:setId/@root and cda:setId/@extension and concat(cda:setId/@root, cda:setId/@extension) != concat($superseded/cda:ClinicalDocument/cda:setId/@root, $superseded/cda:ClinicalDocument/cda:setId/@extension)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>	

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-33" /><xsl:text />: TC-Doc-33: The replacement document 'ClinicalDocument/setId' data element has the value '<xsl:text /><xsl:value-of select="cda:setId/@root" /><xsl:text />' for the
		root attribute and '<xsl:text /><xsl:value-of select="cda:setId/@extension" /><xsl:text />' for the extension attribute whereas the 'ClinicalDocument/setId' data element in the superseded document has 
		has the value '<xsl:text /><xsl:value-of select="$superseded/cda:ClinicalDocument/cda:setId/@root" /><xsl:text />' for the root attribute and '<xsl:text /><xsl:value-of select="$superseded/cda:ClinicalDocument/cda:setId/@extension" /><xsl:text />'
		for the extension attribute. They are not the same and as the ClinicalDocument/setId identifies
		the set of superseded and replacement documents a replacement document must use the same value for ClinicalDocument/setId as the document that was
		superseded. (See section 4.2.3.1 of the HL7 Clinical Document Architecture, Release 2.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="count($superseded) = 1 and cda:setId/@root and not(cda:setId/@extension) and not(cda:setId/@root = $superseded/cda:ClinicalDocument/cda:setId/@root) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="count($superseded) = 1 and cda:setId/@root and not(cda:setId/@extension) and not(cda:setId/@root = $superseded/cda:ClinicalDocument/cda:setId/@root)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>	

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-33" /><xsl:text />: TC-Doc-33: The replacement document 'ClinicalDocument/setId' data element has the value '<xsl:text /><xsl:value-of select="cda:setId/@root" /><xsl:text />' for the root attribute
		and no extension attribute whereas the 'ClinicalDocument/setId' data element in the superseded document has the value '<xsl:text /><xsl:value-of select="$superseded/cda:ClinicalDocument/cda:setId/@root" /><xsl:text />'
		for the root attribute. They are not the same but as the ClinicalDocument/setId
		identifies the set of superseded and replacement documents a replacement document must use the same value for ClinicalDocument/setId as the document that was
		superseded. (See section 4.2.3.1 of the HL7 Clinical Document Architecture, Release 2.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and count($superseded) &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and count($superseded) &gt; 1">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>	

		Finding: TC-Doc-33: There is more than one clinical document in the directory of superseded documents. The rules that compare a superseded with a replacement document are applied only
		if there is exactly one document in the directory with a filename extension of '.XML' or '.xml'. Remove the document(s) that should not be in the directory.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M963" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M963" />
  <xsl:template match="@*|node()" priority="-2" mode="M963">
    <xsl:apply-templates select="@*|*" mode="M963" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-1-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/*[not(cda:text)]//cda:substanceAdministration/cda:repeatNumber" priority="1000" mode="M964">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/*[not(cda:text)]//cda:substanceAdministration/cda:repeatNumber" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-01" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-01 " />
    <!--REPORT -->
    <xsl:if test="cda:high/@value and not(number(cda:high/@value) &gt; 0) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:high/@value and not(number(cda:high/@value) &gt; 0)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The substance administration 'repeatNumber/high' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="cda:high/@value" /><xsl:text />'. In the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text />, Maximum Number of Repeats indicates how many times a prescription may be dispensed again after the
		first. The value of 'repeatNumber/high' is the maximum number of times a substance may be administered, so it equals Maximum Number of Repeats + 1 and must always be at least one.
		For example if a person is prescribed a medicine with two repeats then the narrative would state two repeats and 'repeatNumber/high' would have the value '3'.
		(See section 3.1.1.15 of the HL7 Reference Information Model.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:low/@value and not(number(cda:low/@value) &gt; 0) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:low/@value and not(number(cda:low/@value) &gt; 0)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The substance administration 'repeatNumber/low' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		the value '<xsl:text /><xsl:value-of select="cda:low/@value" /><xsl:text />'. The value of 'repeatNumber/low' is the minimum number of times a substance may be administered, so its value always be at least one.
		(See section 3.1.1.15 of the HL7 Reference Information Model.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M964" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M964" />
  <xsl:template match="@*|node()" priority="-2" mode="M964">
    <xsl:apply-templates select="@*|*" mode="M964" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-2-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/*[not(cda:text)]//cda:sequenceNumber[@value and not(@value &gt; 0)]" priority="1000" mode="M965">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/*[not(cda:text)]//cda:sequenceNumber[@value and not(@value &gt; 0)]" />
    <xsl:variable name="VSN" select=" exists(ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16638']]) and        local-name(../..) = 'substanceAdministration' " />
    <xsl:variable name="num-dispense" select=" exists(ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]) and        local-name(../..) = 'substanceAdministration' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-01" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-01 " />
    <!--REPORT -->
    <xsl:if test="not($VSN or $num-dispense) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($VSN or $num-dispense)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has an invalid value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'. As the sequenceNumber specifies the relative sequential or temporal ordering then its value must be
		a positive integer. (See section 3.1.2.5 of the HL7 Reference Information Model.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$num-dispense ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$num-dispense">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Number of this Dispense '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has an invalid value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'. The value of the Number of this Dispense data element must be at least '1' as the
		specifies the dispense number or sequence number of the dispensed item. (See the definition of the Number of this Dispense in the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text />
		and section 7.1 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$VSN ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$VSN">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Vaccine Sequence Number '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> is used to specify the sequence number of the vaccine that has been administered or reported
		to be administered therefore it is invalid for the sequence number to be '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' but that sequence number was recorded in the clinical document.
		The vaccine sequence number is an optional data element and should be omitted if the vaccination is not part of a sequence otherwise the sequence number must have a valid value
		that is a positive integer.
		(See the information about Sequence Number in the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and in section 3.31 of the Medication Instruction and Action Detailed Clinical
		Model Specification v2.4.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M965" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M965" />
  <xsl:template match="@*|node()" priority="-2" mode="M965">
    <xsl:apply-templates select="@*|*" mode="M965" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-3-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument/*[not(local-name(.) = 'component')]//cda:telecom[@value = ('fax:0', 'tel:0')]      |                /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/*[not(cda:text)]//cda:telecom[@value = ('fax:0', 'tel:0')] " priority="1000" mode="M966">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument/*[not(local-name(.) = 'component')]//cda:telecom[@value = ('fax:0', 'tel:0')]      |                /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/*[not(cda:text)]//cda:telecom[@value = ('fax:0', 'tel:0')] " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-01" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-01 " />
    <!--REPORT -->
    <xsl:if test="@value='tel:0' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value='tel:0'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains telephone details with the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' however the number '0' is not a telephone
		number. The 'telecom' data element is used to record electronic communication details and may include a telephone number if the number is known. (See section 2.11 of the Participation Data
		Specification v3.2.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@value='fax:0' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value='fax:0'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains fax details with the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' however the number '0' is not a valid
		number. The 'telecom' data element is used to record electronic communication details and may include a fax number if the number is known. (See section 2.11 of the Participation Data
		Specification v3.2.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M966" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M966" />
  <xsl:template match="@*|node()" priority="-2" mode="M966">
    <xsl:apply-templates select="@*|*" mode="M966" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-4-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section//ext:coverage2/ext:entitlement[ext:code/@codeSystem = '1.2.36.1.2001.1001.101.104.16047' and   ext:id/@root = ('1.2.36.1.5001.1.0.7', '1.2.36.1.5001.1.0.7.1', '2.16.840.1.113883.3.879.270091', '2.16.840.1.113883.3.879.339127')]/   ext:effectiveTime[@value or cda:low/@value or string-length(cda:high/@value) &gt; 10 ]" priority="1000" mode="M967">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section//ext:coverage2/ext:entitlement[ext:code/@codeSystem = '1.2.36.1.2001.1001.101.104.16047' and   ext:id/@root = ('1.2.36.1.5001.1.0.7', '1.2.36.1.5001.1.0.7.1', '2.16.840.1.113883.3.879.270091', '2.16.840.1.113883.3.879.339127')]/   ext:effectiveTime[@value or cda:low/@value or string-length(cda:high/@value) &gt; 10 ]" />
    <xsl:variable name="entit-root" select="../ext:id/@root" />
    <xsl:variable name="entit-type" select="if ($entit-root = '1.2.36.1.5001.1.0.7') then 'Individual Medicare Card Number'       else if ($entit-root = '1.2.36.1.5001.1.0.7.1') then 'Medicare Card Number'       else if ($entit-root = '2.16.840.1.113883.3.879.270091') then 'Department of Veterans'' Affairs file number'       else if ($entit-root = '2.16.840.1.113883.3.879.339127') then 'Department of Veterans'' Affairs file number'       else '' " />
    <xsl:variable name="entit-abbrev" select="if ($entit-root = '1.2.36.1.5001.1.0.7' or $entit-root = '1.2.36.1.5001.1.0.7.1') then 'Medicare'       else if ($entit-root = '2.16.840.1.113883.3.879.270091' or $entit-root = '2.16.840.1.113883.3.879.339127') then 'DVA'       else '' " />
    <xsl:variable name="l-dt-value" select="if (@value) then @value else if (cda:low/@value) then cda:low/@value else '' " />
    <xsl:variable name="l-dt-year" select="substring($l-dt-value, 1, 4)" />
    <xsl:variable name="l-dt-month-num" select="substring($l-dt-value, 5, 2)" />
    <xsl:variable name="l-dt-day" select="substring($l-dt-value, 7, 2)" />
    <xsl:variable name="l-dt-month" select="if ($l-dt-month-num = '') then ''       else if ($l-dt-month-num = '01') then 'Jan'       else if ($l-dt-month-num = '02') then 'Feb'       else if ($l-dt-month-num = '03') then 'Mar'       else if ($l-dt-month-num = '04') then 'Apr'       else if ($l-dt-month-num = '05') then 'May'       else if ($l-dt-month-num = '06') then 'Jun'       else if ($l-dt-month-num = '07') then 'Jul'       else if ($l-dt-month-num = '08') then 'Aug'       else if ($l-dt-month-num = '09') then 'Sep'       else if ($l-dt-month-num = '10') then 'Oct'       else if ($l-dt-month-num = '11') then 'Nov'       else if ($l-dt-month-num = '12') then 'Dec'        else '' " />
    <xsl:variable name="l-dt-display" select="if ($l-dt-day != '') then concat($l-dt-day, ' ', $l-dt-month, ' ', $l-dt-year)       else if ($l-dt-month != '') then concat($l-dt-month, ' ', $l-dt-year)       else $l-dt-year " />
    <xsl:variable name="h-dt-value" select="if (cda:high/@value) then cda:high/@value else '' " />
    <xsl:variable name="h-dt-year" select="substring($h-dt-value, 1, 4)" />
    <xsl:variable name="h-dt-month-num" select="substring($h-dt-value, 5, 2)" />
    <xsl:variable name="h-dt-day" select="substring($h-dt-value, 7, 2)" />
    <xsl:variable name="h-dt-hrs" select="substring($h-dt-value, 9, 2)" />
    <xsl:variable name="h-dt-min" select="substring($h-dt-value, 11, 2)" />
    <xsl:variable name="h-dt-month" select="if ($h-dt-month-num = '') then ''       else if ($h-dt-month-num = '01') then 'Jan'       else if ($h-dt-month-num = '02') then 'Feb'       else if ($h-dt-month-num = '03') then 'Mar'       else if ($h-dt-month-num = '04') then 'Apr'       else if ($h-dt-month-num = '05') then 'May'       else if ($h-dt-month-num = '06') then 'Jun'       else if ($h-dt-month-num = '07') then 'Jul'       else if ($h-dt-month-num = '08') then 'Aug'       else if ($h-dt-month-num = '09') then 'Sep'       else if ($h-dt-month-num = '10') then 'Oct'       else if ($h-dt-month-num = '11') then 'Nov'       else if ($h-dt-month-num = '12') then 'Dec'        else '' " />
    <xsl:variable name="h-time-display" select="if ($h-dt-min = '') then '' else concat(' ', $h-dt-hrs, ':', $h-dt-min) " />
    <xsl:variable name="h-dt-display" select="if ($h-dt-day != '') then concat($h-dt-day, ' ', $h-dt-month, ' ', $h-dt-year, $h-time-display)       else if ($h-dt-month != '') then concat($h-dt-month, ' ', $h-dt-year)       else $h-dt-year " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-01" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-01 " />
    <!--REPORT -->
    <xsl:if test="cda:low/@value">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:low/@value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Entitlement Validity Duration
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a 'low' element
		with the value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />' which means the medical entitlement provided by the <xsl:text /><xsl:value-of select="$entit-type" /><xsl:text /> commences on <xsl:text /><xsl:value-of select="$l-dt-display" /><xsl:text />.
		Although the Entitlement Validity Duration is a TimeInterval, so it may have 'low' and 'high' elements to indicate the entitlement commencement and expiry dates,
		<xsl:text /><xsl:value-of select="$entit-abbrev" /><xsl:text /> cards do not list a commencement date so the presence of the 'low' element is an error.
		The entitlement expiry date must be recorded in the 'high' element not the 'low' element. (See section 2.77 of the Participation Data Specification v3.2, AS 5017 and section 9.2 of
		Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@value">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Entitlement Validity Duration
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value
		<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text /> which means the medical entitlement provided by the <xsl:text /><xsl:value-of select="$entit-type" /><xsl:text /> commences and ends on <xsl:text /><xsl:value-of select="$l-dt-display" /><xsl:text />.
		<xsl:text /><xsl:value-of select="$entit-abbrev" /><xsl:text /> cards list only an expiry date which must be recorded in the 'high' element.
		(See section 2.77 of the Participation Data Specification v3.2, AS 5017 and section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="string-length(cda:high/@value) &gt; 10 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="string-length(cda:high/@value) &gt; 10">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Entitlement Validity Duration
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a 'high' element
		with the value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />' which means the medical entitlement provided by the <xsl:text /><xsl:value-of select="$entit-type" /><xsl:text /> expires on <xsl:text /><xsl:value-of select="$h-dt-display" /><xsl:text />.
		The expiry dates on <xsl:text /><xsl:value-of select="$entit-abbrev" /><xsl:text /> cards have a date only so the inclusion of the time in the Entitlement Validity Duration is invalid.
		(See section 2.77 of the Participation Data Specification v3.2, AS 5017 and section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M967" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M967" />
  <xsl:template match="@*|node()" priority="-2" mode="M967">
    <xsl:apply-templates select="@*|*" mode="M967" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-5-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument['101.20113' = $doc-sections and cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.153' and @extension = '1.0']]/   cda:component/cda:structuredBody/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/   cda:entry/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:participant[@typeCode='CAGNT']/cda:participantRole/cda:playingEntity/cda:code[@code]" priority="1000" mode="M968">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument['101.20113' = $doc-sections and cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.153' and @extension = '1.0']]/   cda:component/cda:structuredBody/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/   cda:entry/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:participant[@typeCode='CAGNT']/cda:participantRole/cda:playingEntity/cda:code[@code]" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-05-step-2" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-05-step-2 " />
    <!--REPORT -->
    <xsl:if test=" @code ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-2" /><xsl:text />: TC-Doc-05 step 2: The Personal Health Summary Adverse Reaction Substance/Agent data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains
		a code attribute with the value '<xsl:text /><xsl:value-of select="@code" /><xsl:text />' however there is a requirement that in a Personal Health Summary the Adverse Reaction Substance/Agent data element
		must not be recorded as coded text.
		(See the requirement in section 3.5 of the Personal Health Summary Structured Content Specification v1.0 and in the mapping table of section 7.1.1.1 of the Personal Health Summary
		CDA Implementation Guide v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M968" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M968" />
  <xsl:template match="@*|node()" priority="-2" mode="M968">
    <xsl:apply-templates select="@*|*" mode="M968" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-6-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument['101.20113' = $doc-sections and cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.153' and @extension = '1.0']]/cda:component/cda:structuredBody/   cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/   cda:entry/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:entryRelationship/cda:observation   [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16474']]/cda:entryRelationship[@typeCode='MFST']/cda:observation/cda:code[@code]" priority="1000" mode="M969">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument['101.20113' = $doc-sections and cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.153' and @extension = '1.0']]/cda:component/cda:structuredBody/   cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/   cda:entry/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:entryRelationship/cda:observation   [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16474']]/cda:entryRelationship[@typeCode='MFST']/cda:observation/cda:code[@code]" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-05-step-2" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-05-step-2 " />
    <!--REPORT -->
    <xsl:if test=" @code ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-2" /><xsl:text />: TC-Doc-05 step 2: The Personal Health Summary Adverse Reaction Manifestation data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains
		a code attribute with the value '<xsl:text /><xsl:value-of select="@code" /><xsl:text />' however there is a requirement that in a Personal Health Summary the Adverse Reaction Manifestation data element must not be
		recorded as coded text. (See the requirement in section 3.7 of the Personal Health Summary Structured Content Specification v1.0 and in the mapping table of section 7.1.1.1 of the
		Personal Health Summary CDA Implementation Guide v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M969" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M969" />
  <xsl:template match="@*|node()" priority="-2" mode="M969">
    <xsl:apply-templates select="@*|*" mode="M969" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-7-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument['101.16146' = $doc-sections and cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.153' and @extension = '1.0']]   /cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/cda:substanceAdministration/cda:consumable/   cda:manufacturedProduct/cda:manufacturedMaterial/cda:code[@code]" priority="1000" mode="M970">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument['101.16146' = $doc-sections and cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.153' and @extension = '1.0']]   /cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/cda:substanceAdministration/cda:consumable/   cda:manufacturedProduct/cda:manufacturedMaterial/cda:code[@code]" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-05-step-2" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-05-step-2 " />
    <!--REPORT -->
    <xsl:if test=" @code ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-2" /><xsl:text />: TC-Doc-05 step 2: The Personal Health Summary Medicine data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a code attribute with
		the value '<xsl:text /><xsl:value-of select="@code" /><xsl:text />' however there is a requirement that in a Personal Health Summary the Medicine must not be recorded as coded text.
		(See the requirement in section 4.5 of the Personal Health Summary Structured Content Specification v1.0 and in the mapping table of section 7.1.2.1 of the Personal Health Summary
		CDA Implementation Guide v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M970" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M970" />
  <xsl:template match="@*|node()" priority="-2" mode="M970">
    <xsl:apply-templates select="@*|*" mode="M970" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-8-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument/cda:author/cda:time " priority="1000" mode="M971">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument/cda:author/cda:time " />
    <xsl:variable name="authored-name" select="if (/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.170' and @extension = '1.0']) then 'DateTime Prescription Written'         else if (/cda:ClinicalDocument/cda:templateId[        (@root = '1.2.36.1.2001.1001.101.100.1002.156' and @extension = '1.0')    or        (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')    or        (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')    or        (@root = '1.2.36.1.2001.1001.100.1002.171' and @extension = '1.0')    ]) then 'DateTime Authored'        else if (/cda:ClinicalDocument/cda:templateId[        (@root = '1.2.36.1.2001.1001.100.1002.170' and @extension = '1.0')    ]) then 'DateTime Prescription Written'         else 'end of the Document Author Participation Period' " />
    <xsl:variable name="attested-name" select="if (/cda:ClinicalDocument/cda:templateId[        (@root = '1.2.36.1.2001.1001.101.100.1002.156' and @extension = '1.0')    or        (@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4')     or        (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')    or        (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) or        (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or        (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')    ]) then 'DateTime Attested'         else 'time the document was legally authenticated' " />
    <xsl:variable name="equality-specified" select="exists(/cda:ClinicalDocument/cda:templateId[        (@root = '1.2.36.1.2001.1001.101.100.1002.156' and @extension = '1.0')    or        (@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4')     or        (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')    or        (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) or        (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or        (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')    ])" />
    <xsl:variable name="original-document" select="if (/cda:ClinicalDocument/cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.171') then 'dispense record'        else if (/cda:ClinicalDocument/cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.170') then 'prescription record'        else lower-case($document-name) " />
    <xsl:variable name="authored-dt" select="if (@value) then @value else if (cda:high/@value) then cda:high/@value else '' " />
    <xsl:variable name="attested-elem" select="if (/cda:ClinicalDocument/cda:legalAuthenticator/cda:time) then /cda:ClinicalDocument/cda:legalAuthenticator/cda:time        else () " />
    <xsl:variable name="attested-dt" select="if ($attested-elem/@value) then $attested-elem/@value        else if ($attested-elem/cda:high/@value) then $attested-elem/cda:high/@value         else '' " />
    <xsl:variable name="encounter-ivl" select="/cda:ClinicalDocument/cda:componentOf/cda:encompassingEncounter/cda:effectiveTime " />
    <xsl:variable name="encounter-start" select="if ($encounter-ivl/cda:low/@value) then $encounter-ivl/cda:low/@value else if ($encounter-ivl/@value) then $encounter-ivl/@value else '' " />
    <xsl:variable name="equality-error" select="if (not($equality-specified)) then false()        else if (matches($authored-dt, '^[0-9]{12,}') and matches($attested-dt, '^[0-9]{12,}') and string-length($authored-dt) = string-length($attested-dt))          then not(dh:AreDatesEqual($authored-dt, $attested-dt) = '1')        else if (matches($authored-dt, '^[0-9]{12,}') and matches($attested-dt, '^[0-9]{12,}'))         then not(dh:AreDatesEqual(replace($authored-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3'),           replace($attested-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3')) = '1')        else if (matches($authored-dt, '^[0-9]{4}') and matches($attested-dt, '^[0-9]{4}'))         then not(dh:AreDatesEqual($authored-dt, $attested-dt) = '1')        else false() " />
    <xsl:variable name="unexpected-order-1" select="if ($equality-specified) then false()        else if (matches($attested-dt, '^[0-9]{12,}') and matches($authored-dt, '^[0-9]{12,}') and string-length($attested-dt) = string-length($authored-dt))          then dh:IsFirstDateEarlierThanSecondDate($attested-dt, $authored-dt) = '1'        else if (matches($attested-dt, '^[0-9]{12,}') and matches($authored-dt, '^[0-9]{12,}'))          then dh:IsFirstDateEarlierThanSecondDate(replace($attested-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3'),           replace($authored-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3')) = '1'        else if (matches($attested-dt, '^[0-9]{4}') and matches($authored-dt, '^[0-9]{4}'))         then dh:IsFirstDateEarlierThanSecondDate(substring($attested-dt, '1', string-length($authored-dt)),           substring($authored-dt, '1', string-length($attested-dt))) = '1'        else false() " />
    <xsl:variable name="unexpected-order-error" select="$unexpected-order-1 and         exists(/cda:ClinicalDocument[cda:templateId[@root = ('1.2.36.1.2001.1001.100.1002.170', '1.2.36.1.2001.1001.100.1002.171')]]) " />
    <xsl:variable name="unexpected-order-warn" select="$unexpected-order-1 and not($unexpected-order-error) " />
    <xsl:variable name="authored-before-encounter" select="if ($authored-dt = '' or $encounter-start = '') then false()        else if (matches($authored-dt, '^[0-9]{12,}') and matches($encounter-start, '^[0-9]{12,}') and          string-length($authored-dt) = string-length($encounter-start))          then dh:IsFirstDateEarlierThanSecondDate($authored-dt, $encounter-start) = '1'        else if (matches($authored-dt, '^[0-9]{12,}') and matches($encounter-start, '^[0-9]{12,}'))          then dh:IsFirstDateEarlierThanSecondDate(replace($authored-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3'),           replace($encounter-start, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3')) = '1'        else if ($body-same-timezones and matches($encounter-start, '^[0-9]{8}$') and          matches($authored-dt, concat('^', $encounter-start, '[0]{4}'))) then true()        else if (matches($authored-dt, '^[0-9]{4}') and matches($encounter-start, '^[0-9]{4}'))         then dh:IsFirstDateEarlierThanSecondDate(substring($authored-dt, '1', string-length($encounter-start)),           substring($encounter-start, '1', string-length($authored-dt))) = '1'        else false() " />
    <xsl:variable name="message" select="if (/cda:ClinicalDocument/cda:templateId[       (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2') or       (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3') ])       then concat(' The ', $authored-name, ' data element is mapped to ''ClinicalDocument/author/time/@value'' and it is mandatory even if section 6 of the ',        $document-name,        ' CDA Implementation Guide has a 0..1 cardinality for ''ClinicalDocument/author/time''. According to section 2.2 ''Mapping Interpretation'' of ',       'the ', $document-name, ' CDA Implementation Guide where the cardinality stated in the information model is more constrained that the cardinality stated in ',       'a mapping table then the cardinality stated in the information model takes precedence.')      else if (/cda:ClinicalDocument/cda:templateId[       (@root = '1.2.36.1.2001.1001.101.100.1002.156' and @extension = '1.0') ])       then concat(' The ', $authored-name, ' data element is mapped to ''ClinicalDocument/author/time'' and it is mandatory even if section 6 of the ', $document-name,        ' CDA Implementation Guide ',       'has a 0..1 cardinality for ''ClinicalDocument/author/time''. According to section 2.2 ''Mapping Interpretation'' of the ', $document-name,        ' CDA Implementation Guide where the ',       'cardinality stated in the information model is more constrained that the cardinality stated in a mapping table then the cardinality stated in the ',       'information model takes precedence.')      else '' " />
    <xsl:variable name="author-id-root" select="if (/cda:ClinicalDocument/cda:author/cda:assignedAuthor/cda:id/@root)        then /cda:ClinicalDocument/cda:author/cda:assignedAuthor/cda:id/@root else '' " />
    <xsl:variable name="author-id-ext" select="if (/cda:ClinicalDocument/cda:author/cda:assignedAuthor/cda:id/@extension)        then /cda:ClinicalDocument/cda:author/cda:assignedAuthor/cda:id/@extension else '' " />
    <xsl:variable name="legal-id-root" select="if (/cda:ClinicalDocument/cda:legalAuthenticator/cda:assignedEntity/cda:id/@root)        then /cda:ClinicalDocument/cda:legalAuthenticator/cda:assignedEntity/cda:id/@root else '' " />
    <xsl:variable name="legal-id-ext" select="if (/cda:ClinicalDocument/cda:legalAuthenticator/cda:assignedEntity/cda:id/@extension)        then /cda:ClinicalDocument/cda:legalAuthenticator/cda:assignedEntity/cda:id/@extension else '' " />
    <xsl:variable name="same-person" select="if ($legal-id-root != '') then concat($legal-id-root, $legal-id-ext) = concat($author-id-root, $author-id-ext) else false() " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-01" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-01 " />
    <xsl:variable name="rating-05-step-2" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-05-step-2 " />
    <!--REPORT -->
    <xsl:if test=" $equality-specified and $authored-dt != '' and exists($attested-elem) and $attested-dt = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$equality-specified and $authored-dt != '' and exists($attested-elem) and $attested-dt = ''">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-2" /><xsl:text />: TC-Doc-05 step 2: The <xsl:text /><xsl:value-of select="$authored-name" /><xsl:text /> 'ClinicalDocument/author/time' data element in the document header has the
		value '<xsl:text /><xsl:value-of select="$authored-dt" /><xsl:text />' and the <xsl:text /><xsl:value-of select="$attested-name" /><xsl:text /> and the <xsl:text /><xsl:value-of select="$authored-name" /><xsl:text /> are required to have the same value however the
		<xsl:text /><xsl:value-of select="$attested-name" /><xsl:text /> 'ClinicalDocument/legalAuthenticator/time' data element is not present with a value.
		(See the requirement in the vocab column for Document Author Participation Period in section 6.1.1 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($attested-elem/@nullFlavor) then concat(' Instead of a value the ', $attested-name, ' has a nullFlavor attribute with the value ''', $attested-elem/@nullFlavor, ''' (',   $nullFlavors/nullFlavor[@value = $attested-elem/@nullFlavor]/@name, '). The requirement can be met by omitting the nullFlavor attribute and including a value attribute with the value ''',   $authored-dt, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $equality-specified and $authored-dt = '' and $attested-dt != '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$equality-specified and $authored-dt = '' and $attested-dt != ''">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-2" /><xsl:text />: TC-Doc-05 step 2: The <xsl:text /><xsl:value-of select="$attested-name" /><xsl:text /> 'ClinicalDocument/legalAuthenticator/time' data element in the document header
		has the value '<xsl:text /><xsl:value-of select="$attested-dt" /><xsl:text />' and the <xsl:text /><xsl:value-of select="$attested-name" /><xsl:text /> and the <xsl:text /><xsl:value-of select="$authored-name" /><xsl:text /> 'ClinicalDocument/author/time' data element are
		required to have the same value however the <xsl:text /><xsl:value-of select="$authored-name" /><xsl:text /> is not present with a value.
		(See the requirement in the vocab column for Document Author Participation Period in section 6.1.1 of the
		<xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$message" /><xsl:text /><xsl:text /><xsl:value-of select="if (@nullFlavor) then concat(' Instead of a value the ', $authored-name, ' has a nullFlavor attribute with the value ''', @nullFlavor, ''' (',   $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, '). The requirement can be met by omitting the nullFlavor attribute and including a value attribute with the value ''',   $attested-dt, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $equality-error">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$equality-error">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-2" /><xsl:text />: TC-Doc-05 step 2: The <xsl:text /><xsl:value-of select="$authored-name" /><xsl:text /> 'ClinicalDocument/author/time' data element in the document header has the
		value '<xsl:text /><xsl:value-of select="$authored-dt" /><xsl:text />' and the <xsl:text /><xsl:value-of select="$attested-name" /><xsl:text /> 'ClinicalDocument/legalAuthenticator/time' data element has the value
		'<xsl:text /><xsl:value-of select="$attested-dt" /><xsl:text />'. These are different values but the values are required to be the same.
		(See the requirement in the vocab column for Document Author Participation Period in section 6.1.1 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $unexpected-order-warn ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$unexpected-order-warn">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The <xsl:text /><xsl:value-of select="$authored-name" /><xsl:text /> recorded in 'ClinicalDocument/author/time' in the document header has
		the value '<xsl:text /><xsl:value-of select="$authored-dt" /><xsl:text />' and the <xsl:text /><xsl:value-of select="$attested-name" /><xsl:text /> 'ClinicalDocument/legalAuthenticator/time' has the value
		'<xsl:text /><xsl:value-of select="$attested-dt" /><xsl:text />' which is before the <xsl:text /><xsl:value-of select="$authored-name" /><xsl:text />.
		An authentication date earlier than the authoring date means that some or all of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> is not authenticated.
		<xsl:text /><xsl:value-of select="if (exists(/cda:ClinicalDocument[cda:templateId[@root = ('1.2.36.1.2001.1001.100.1002.170', '1.2.36.1.2001.1001.100.1002.171')]]) and $same-person) then   concat('This is unlikely to be correct given that the ', $original-document, ' was written and authenticated by the same person.') else '' " /><xsl:text />
		Confirm if this is correct
		or if there is an error in the dates. (See the definition of the <xsl:text /><xsl:value-of select="$authored-name" /><xsl:text /> and the <xsl:text /><xsl:value-of select="$attested-name" /><xsl:text /> in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />
		CDA Implementation Guide and section 4.2.2.8 of the HL7 Clinical Document Architecture, Release 2.0.)
		<xsl:text /><xsl:value-of select="if (/cda:ClinicalDocument/cda:relatedDocument/@typeCode = 'XFRM') then concat('As the ', $document-name, ' is a transform of an ', $original-document,    ' in some other format then the document creation time ''ClinicalDocument/effectiveTime'' (', /cda:ClinicalDocument/cda:effectiveTime/@value, ') and therefore the ', $authored-name,    ' is required to be the date or date and time that the content of the ', $original-document, ' was written and not when the CDA document was created.')     else concat('The ', $authored-name, ' is the date or date and time that the content of the ', $original-document, ' was written and is not necessarily when the CDA document was created.')" /><xsl:text />
		(See section 4.2.1.4 of the HL7 Clinical Document Architecture, Release 2.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $unexpected-order-error ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$unexpected-order-error">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The <xsl:text /><xsl:value-of select="$authored-name" /><xsl:text /> recorded in 'ClinicalDocument/author/time' in the document header has
		the value '<xsl:text /><xsl:value-of select="$authored-dt" /><xsl:text />' and the <xsl:text /><xsl:value-of select="$attested-name" /><xsl:text /> 'ClinicalDocument/legalAuthenticator/time' has the value
		'<xsl:text /><xsl:value-of select="$attested-dt" /><xsl:text />' which is before the <xsl:text /><xsl:value-of select="$authored-name" /><xsl:text />.
		As the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> is a transform of a <xsl:text /><xsl:value-of select="$original-document" /><xsl:text /> in some other format then the document creation time 'ClinicalDocument/effectiveTime'
		(<xsl:text /><xsl:value-of select="/cda:ClinicalDocument/cda:effectiveTime/@value" /><xsl:text />) and therefore the <xsl:text /><xsl:value-of select="$authored-name" /><xsl:text /> is required to be the date or date and time that the content of the
		<xsl:text /><xsl:value-of select="$original-document" /><xsl:text /> was written and not when the CDA document was created. Therefore the <xsl:text /><xsl:value-of select="$authored-name" /><xsl:text /> must be before the time of legal
		authentication so that there is a <xsl:text /><xsl:value-of select="$original-document" /><xsl:text /> to authenticate.
		(See the definition of <xsl:text /><xsl:value-of select="$authored-name" /><xsl:text /> and the <xsl:text /><xsl:value-of select="$attested-name" /><xsl:text /> in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />
		CDA Implementation Guide and section 4.2.2.8 of the HL7 Clinical Document Architecture, Release 2.0. Also see the definition of document creation time in section 4.2.1.4 of HL7 Clinical
		Document Architecture, Release 2.0 and section 5.1 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $authored-before-encounter">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$authored-before-encounter">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The <xsl:text /><xsl:value-of select="$authored-name" /><xsl:text /> 'ClinicalDocument/author/time' data element in the document header has the
		value '<xsl:text /><xsl:value-of select="$authored-dt" /><xsl:text />' and the
		<xsl:text /><xsl:value-of select="if (/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3']) then 'DateTime Subject of Care Seen'   else if (/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2']) then 'start of the Encounter Period TimeInterval'   else if (/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3']) then 'DateTime Health Event Started'   else 'start of the encounter' " /><xsl:text /> 'ClinicalDocument/componentOf/encompassingEncounter/effectiveTime' data element indicates the
		clinical encounter during which the documented health event occurred commenced at '<xsl:text /><xsl:value-of select="$encounter-start" /><xsl:text />'. One or both of these data elements must have the wrong value
		as it is invalid for information about the outcome of a health event to be authored before the commencement of the health event.
		(See sections 4.2.2.2 and 4.2.3.5 of HL7 Clinical Document Architecture, Release 2.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M971" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M971" />
  <xsl:template match="@*|node()" priority="-2" mode="M971">
    <xsl:apply-templates select="@*|*" mode="M971" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-9-->
  <!--RULE -->
  <xsl:template match="/" priority="1000" mode="M972">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/" />
    <!--REPORT -->
    <xsl:if test="processing-instruction('xml-stylesheet') and $doc-common-conf-profile &gt; '1.5'">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="processing-instruction('xml-stylesheet') and $doc-common-conf-profile &gt; '1.5'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-08" /><xsl:text />: TC-Doc-08: The clinical document contains an xml-stylesheet processing instruction but content that instructs or implies a specific rendering of the
		clinical document is prohibited. (See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 025254 of the Common Conformance Profile for Clinical Documents v1.7'         else if ($doc-common-conf-profile = '1.6')           then ' requirement 025254 of the Common Conformance Profile for Clinical Documents v1.6'         else '' " /><xsl:text />.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M972" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M972" />
  <xsl:template match="@*|node()" priority="-2" mode="M972">
    <xsl:apply-templates select="@*|*" mode="M972" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-10-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument/*[not(local-name(.) = 'component')]//cda:name/cda:*[local-name(.) = ('family', 'given') and not(@nullFlavor) and not(matches(., $name-masked-regex, 'is'))]      |                 /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/*[not(cda:text)]//cda:name/cda:*[local-name(.) = ('family', 'given') and not(@nullFlavor) and not(matches(., $name-masked-regex, 'is'))] " priority="1000" mode="M973">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument/*[not(local-name(.) = 'component')]//cda:name/cda:*[local-name(.) = ('family', 'given') and not(@nullFlavor) and not(matches(., $name-masked-regex, 'is'))]      |                 /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/*[not(cda:text)]//cda:name/cda:*[local-name(.) = ('family', 'given') and not(@nullFlavor) and not(matches(., $name-masked-regex, 'is'))] " />
    <xsl:variable name="leading-space" select="matches(., '^\s')" />
    <xsl:variable name="trailing-space" select="matches(., '\s$')" />
    <xsl:variable name="all-space" select="matches(., '^\s+$')" />
    <xsl:variable name="given-names" select="../cda:given" />
    <xsl:variable name="newborn-err" select="matches(string-join($given-names, ' '), $name-newborn-g-regex, 'i') and matches($given-names, $name-newborn-w-regex, 'i')" />
    <xsl:variable name="number-err" select="matches(., '[0-9]') and not(matches(., $name-newborn-g-regex, 'i')) and not($newborn-err) " />
    <xsl:variable name="names" select="tokenize(normalize-space(.), '\s+')" />
    <xsl:variable name="suffix" select="(for $name in $names return if (matches($name, $name-suffix-m-regex, 'i')) then $name else '')[. != ''] " />
    <xsl:variable name="title" select="(for $name in $names return if (matches($name, $name-prefix-regex, 'i')) then $name else '')[. != ''] " />
    <xsl:variable name="r-names" select="(for $name in $names return if (matches($name, $name-suffix-m-regex, 'i') or                  matches($name, $name-prefix-regex, 'i') or                 matches($name, $name-newborn-w-regex, 'i')) then '' else $name)[. != ''] " />
    <xsl:variable name="g-exception" select="concat('Cia Cen|', $knowledge/name-masked/@value) " />
    <xsl:variable name="g-exception-regex" select="replace(concat('^\s*(', $g-exception, ')\s*$'), ' ', '\\s+') " />
    <xsl:variable name="alias-given-names" select="local-name(.) = 'given' and matches(., '^\s*[a-z ]+\s*\([a-z ]+\)\s*$', 'is') " />
    <xsl:variable name="m-given-names" select="local-name(.) = 'given' and not($alias-given-names) and not(matches(., $name-newborn-g-regex, 'is')) and not(matches(., $g-exception-regex, 'is')) and        count($r-names) &gt; 1 " />
    <xsl:variable name="m-family-names" select="local-name(.) = 'family' and count($r-names) &gt; 1 " />
    <xsl:variable name="deidentified" select="string-join(for $name in $names return         if ( matches($name, $name-masked-regex, 'i')  or        matches($name, $name-newborn-w-regex, 'i')  or        matches($name, $name-prefix-regex, 'i')  or        matches($name, $name-suffix-m-regex, 'i')  ) then $name       else if (substring($name, 1, 1) = '(') then concat(substring($name, 1, 2), translate(substring($name, 3),         'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ', 'xxxxxxxxxxxxxxxxxxxxxxxxxxXXXXXXXXXXXXXXXXXXXXXXXXXX'))       else concat(substring($name, 1, 1), translate(substring($name, 2),         'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ', 'xxxxxxxxxxxxxxxxxxxxxxxxxxXXXXXXXXXXXXXXXXXXXXXXXXXX')), ' ')" />
    <xsl:variable name="space-msg" select="if ($all-space) then ' consists entirely of spaces'       else if ($leading-space and $trailing-space) then ' starts and ends with a space'       else if ($leading-space and not($trailing-space)) then ' starts with a space'       else if (not($leading-space) and $trailing-space) then ' ends with a space'       else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-01" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-01 " />
    <!--REPORT -->
    <xsl:if test=" exists($suffix) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists($suffix)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value
		'<xsl:text /><xsl:value-of select="$deidentified" /><xsl:text />' which contains the name suffix '<xsl:text /><xsl:value-of select="$suffix[1]" /><xsl:text />'. A name suffix is to be recorded in the 'name/suffix' element rather than the
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element which is to be used only to record a <xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text /> name.
		According to the Participation Data Specification the Name Suffix data element has the CodedText data type and the permitted values are 'Jnr' (Junior), 'MP' (Member of Parliament),
		'QC' (Queens Counsel), 'Snr' (Senior), 'I' (First), 'II' (Second), 'III' (Third), 'IV' (Fourth), 'V' (Fifth), 'VI' (Sixth), 'VII' (Seventh), 'VIII' (Eighth), 'IX' (Ninth) and 'X' (Tenth).
		Note that case is insensitive. (See sections 2.29 and 2.31 of the Participation Data Specification v3.2 and section 8.5 'Person Name' of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />
		CDA Implementation Guide.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists($title) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists($title)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value
		'<xsl:text /><xsl:value-of select="$deidentified" /><xsl:text />' which contains the name title '<xsl:text /><xsl:value-of select="$title[1]" /><xsl:text />'. A name title is to be recorded in the 'name/prefix' data element rather than the
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element which is to be used only to record a <xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text /> name. According to the
		Participation Data Specification the Name Title data element has the CodedText data type and the permitted values are 'Br' (Brother), 'Dame' (Dame), 'Dr' (Doctor), 'Mstr' (Master),
		'Miss' (Miss), 'Mr' (Mister), 'Mrs' (Mrs), 'Ms' (Ms), 'Prof' (Professor), 'Rev' (Reverend), 'Sir' (Sir) and 'Sr' (Sister). Note that case is insensitive.
		(See sections 2.27 and 2.30 of the Participation Data Specification v3.2 and section 8.5 'Person Name' of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $alias-given-names ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$alias-given-names">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

                Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The
		'<xsl:text /><xsl:value-of select="local-name(../../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$deidentified" /><xsl:text />' which contains a given name alias.
		The given name is '<xsl:text /><xsl:value-of select="normalize-space(substring-before($deidentified, '('))" /><xsl:text />' and the alias is
		'<xsl:text /><xsl:value-of select="normalize-space(substring-before(substring-after($deidentified, '('), ')'))" /><xsl:text />'.
		In a 'name' data element each 'given' data element is to record one given name and an alias must be recorded in a separate 'name' data element with the use code 'P' to indicate the
		name is an alias or the use code 'A' to indicate the name is a pseudonym, artist or stage name.
		(See sections 8.5 'Person Name' and 10 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) The given name was de-identified so it could be displayed.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $m-given-names and not($number-err) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$m-given-names and not($number-err)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

                Warning<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The
		'<xsl:text /><xsl:value-of select="local-name(../../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$deidentified" /><xsl:text />' which seems to contain more than one given name. Each 'given' data element is to
		record one name and multiple given names must be recorded in multiple 'given' data elements. Confirm if the 'given' data element contains one given name or multiple names.
		(See section 2.30 of the Participation Data Specification v3.2 and section 8.5 'Person Name' of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Given names should be recorded in the correct sequence and initials may be recorded in lieu of a full given name. The given name was de-identified so it could be displayed.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $m-family-names and not($given-names) and not(exists(/cda:ClinicalDocument//cda:name[cda:given and cda:family[. = current()]])) and not($number-err) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$m-family-names and not($given-names) and not(exists(/cda:ClinicalDocument//cda:name[cda:given and cda:family[. = current()]])) and not($number-err)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

                Warning<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The
		'<xsl:text /><xsl:value-of select="local-name(../../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$deidentified" /><xsl:text />' which may contain given names in the 'family' data element as there is no 'given' data element. Each
		given name must be recorded in a 'given' data element rather than the 'family' data element. Confirm if the 'family' data element contains given names.
		(See section 2.30 of the Participation Data Specification v3.2 and section 8.5 'Person Name' of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Given names should be recorded in the correct sequence and initials may be recorded in lieu of a full given name. The name was de-identified so it could be displayed.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $number-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$number-err">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
			
	    	Warning<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The
		'<xsl:text /><xsl:value-of select="local-name(../../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' name element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$deidentified" /><xsl:text />' which contains a number so it is unlikely to be a valid value for that data element. This is not an
		error if the <xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text /> name really contains those characters otherwise it is an error. Confirm that the value is valid.
		(See sections 2.29 and 2.30 of the Participation Data Specification v3.2.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $leading-space or $trailing-space or $all-space ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$leading-space or $trailing-space or $all-space">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
			
	    	Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The
		'<xsl:text /><xsl:value-of select="local-name(../../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' name element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="if ($leading-space) then concat(' ', $deidentified) else concat($deidentified, ' ')" /><xsl:text />'
		which<xsl:text /><xsl:value-of select="$space-msg" /><xsl:text /> so it is not a valid value for that data element. The
		<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text /> name element has the mediaType "text/plain" so all characters are treated as being part of the name.
		(See section 7.4.6 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and section 4.1.3 of RFC 2046 'Multipurpose Internet
		Mail Extensions (MIME) Part Two: Media Types'.) 

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M973" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M973" />
  <xsl:template match="@*|node()" priority="-2" mode="M973">
    <xsl:apply-templates select="@*|*" mode="M973" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-11-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3') or   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.4') ]]/cda:legalAuthenticator/cda:time " priority="1000" mode="M974">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3') or   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.4') ]]/cda:legalAuthenticator/cda:time " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-05-step-2" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-05-step-2 " />
    <!--REPORT -->
    <xsl:if test=" @value and not(string-length(@value) &gt; 8) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value and not(string-length(@value) &gt; 8)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-2" /><xsl:text />: TC-Doc-05 step 2: The DateTime Attested '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' which has a date
		only. The data element is required to include a time as well as a date. (See section 6.1 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M974" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M974" />
  <xsl:template match="@*|node()" priority="-2" mode="M974">
    <xsl:apply-templates select="@*|*" mode="M974" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-12-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[cda:templateId[   (@root = '1.2.36.1.2001.1001.100.1002.171' and @extension = '1.0') or   (@root = '1.2.36.1.2001.1001.100.1002.170' and @extension = '1.0')]] " priority="1000" mode="M975">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[cda:templateId[   (@root = '1.2.36.1.2001.1001.100.1002.171' and @extension = '1.0') or   (@root = '1.2.36.1.2001.1001.100.1002.170' and @extension = '1.0')]] " />
    <xsl:variable name="document-type" select="if (cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.171') then 'Dispense Record' else 'Prescription Record'" />
    <xsl:variable name="RPLC-count" select="if ($numbers/number[number(@value) = count(current()/cda:relatedDocument[@typeCode = 'RPLC'])])        then $numbers/number[number(@value) = count(current()/cda:relatedDocument[@typeCode = 'RPLC'])]/@name        else count(current()/cda:relatedDocument[@typeCode = 'RPLC'])" />
    <xsl:variable name="XFRM-count" select="if ($numbers/number[number(@value) = count(current()/cda:relatedDocument[@typeCode = 'XFRM'])])        then $numbers/number[number(@value) = count(current()/cda:relatedDocument[@typeCode = 'XFRM'])]/@name        else count(current()/cda:relatedDocument[@typeCode = 'XFRM'])" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-05-step-2" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-05-step-2 " />
    <!--REPORT -->
    <xsl:if test=" not(cda:relatedDocument[@typeCode = 'XFRM']) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:relatedDocument[@typeCode = 'XFRM'])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-2" /><xsl:text />: TC-Doc-05 step 2: There is no relatedDocument data element with a typeCode attribute with the value "XFRM" which is an error as one parent document is the source document in its
		original format prior to transformation into a <xsl:text /><xsl:value-of select="$document-type" /><xsl:text /> in CDA format. This parent document must be referenced using a typeCode attribute with the value "XFRM" (transform).
		(See section 5.1.4 of the <xsl:text /><xsl:value-of select="$document-type" /><xsl:text /> CDA Implementation Guide which states "A conformant CDA document MAY have a single relatedDocument with typeCode "XFRM";
		a combination of two relatedDocuments with typeCodes "XFRM" and "RPLC". No other combinations SHALL be allowed".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" count(cda:relatedDocument[@typeCode = 'XFRM']) &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="count(cda:relatedDocument[@typeCode = 'XFRM']) &gt; 1">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-2" /><xsl:text />: TC-Doc-05 step 2: There are <xsl:text /><xsl:value-of select="$XFRM-count" /><xsl:text /> relatedDocument data elements with a typeCode attribute with the value "XFRM" whereas only one is allowed to be
		present. A relatedDocument data element with a typeCode attribute with the value "XFRM" (transform) identifies the source document in its original format prior to transformation into
		a <xsl:text /><xsl:value-of select="$document-type" /><xsl:text /> in CDA format.
		(See section 5.1.4 of the <xsl:text /><xsl:value-of select="$document-type" /><xsl:text /> CDA Implementation Guide which states "A conformant CDA document MAY have a single relatedDocument with typeCode "XFRM";
		a combination of two relatedDocuments with typeCodes "XFRM" and "RPLC". No other combinations SHALL be allowed".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" count(cda:relatedDocument[@typeCode = 'RPLC']) &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="count(cda:relatedDocument[@typeCode = 'RPLC']) &gt; 1">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-2" /><xsl:text />: TC-Doc-05 step 2: There are <xsl:text /><xsl:value-of select="$RPLC-count" /><xsl:text /> relatedDocument data elements with a typeCode attribute with the value "RPLC" whereas only one is allowed to
		be present. A relatedDocument data element with a typeCode attribute with the value "RPLC" (replace) identifies the last version of the <xsl:text /><xsl:value-of select="$document-type" /><xsl:text /> (the document in HL7 CDA format).
		(See section 5.1.4 of the <xsl:text /><xsl:value-of select="$document-type" /><xsl:text /> CDA Implementation Guide which states "A conformant CDA document MAY have a single relatedDocument with typeCode "XFRM";
		a combination of two relatedDocuments with typeCodes "XFRM" and "RPLC". No other combinations SHALL be allowed".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:relatedDocument[@typeCode and @typeCode != 'RPLC' and @typeCode != 'XFRM'] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:relatedDocument[@typeCode and @typeCode != 'RPLC' and @typeCode != 'XFRM']">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-2" /><xsl:text />: TC-Doc-05 step 2: The <xsl:text /><xsl:value-of select="$document-type" /><xsl:text /> contains a relatedDocument data element with
		typeCode '<xsl:text /><xsl:value-of select="cda:relatedDocument[@typeCode and @typeCode != 'RPLC' and @typeCode != 'XFRM']/@typeCode" /><xsl:text />' which is not allowed to be present.
		(See section 5.1.4 of the <xsl:text /><xsl:value-of select="$document-type" /><xsl:text /> CDA Implementation Guide which states "A conformant CDA document MAY have a single relatedDocument with typeCode "XFRM";
		a combination of two relatedDocuments with typeCodes "XFRM" and "RPLC". No other combinations SHALL be allowed".)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M975" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M975" />
  <xsl:template match="@*|node()" priority="-2" mode="M975">
    <xsl:apply-templates select="@*|*" mode="M975" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-13-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument['102.16211' = $doc-sections and cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.170']/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:observation/cda:effectiveTime[@value]" priority="1000" mode="M976">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument['102.16211' = $doc-sections and cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.170']/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:observation/cda:effectiveTime[@value]" />
    <xsl:variable name="expires-dt" select="if (@value) then @value else '' " />
    <xsl:variable name="authored-dte" select="if (/cda:ClinicalDocument/cda:author/cda:time) then /cda:ClinicalDocument/cda:author/cda:time        else () " />
    <xsl:variable name="authored-dt" select="if ($authored-dte/@value) then $authored-dte/@value         else if ($authored-dte/cda:high/@value) then $authored-dte/cda:high/@value        else '' " />
    <xsl:variable name="expires-before-authored" select="if ($expires-dt = '' or $authored-dt = '') then false()        else if (matches($expires-dt, '^[0-9]{12,}') and matches($authored-dt, '^[0-9]{12,}') and          string-length($expires-dt) = string-length($authored-dt))          then dh:IsFirstDateEarlierThanSecondDate($expires-dt, $authored-dt) = '1'        else if (matches($expires-dt, '^[0-9]{12,}') and matches($authored-dt, '^[0-9]{12,}'))          then dh:IsFirstDateEarlierThanSecondDate(replace($expires-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3'),           replace($authored-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3')) = '1'        else if ($body-same-timezones and matches($authored-dt, '^[0-9]{8}$') and          matches($expires-dt, concat('^', $authored-dt, '[0]{4}'))) then true()        else if (matches($expires-dt, '^[0-9]{4}') and matches($authored-dt, '^[0-9]{4}'))         then dh:IsFirstDateEarlierThanSecondDate(substring($expires-dt, '1', string-length($authored-dt)),           substring($authored-dt, '1', string-length($expires-dt))) = '1'        else false() " />
    <xsl:variable name="expires-when-authored" select="matches($expires-dt, '^[0-9]{8}') and matches($authored-dt, '^[0-9]{8}')         and substring($expires-dt, '1', string-length($authored-dt)) = substring($authored-dt, '1', string-length($expires-dt)) " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-01" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-01 " />
    <!--REPORT -->
    <xsl:if test=" $expires-before-authored ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$expires-before-authored">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The DateTime Prescription Expires
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		has the value '<xsl:text /><xsl:value-of select="$expires-dt" /><xsl:text />' and the DateTime Prescription Written 'ClinicalDocument/author/time' data element has the value '<xsl:text /><xsl:value-of select="$authored-dt" /><xsl:text />'
		which is after the DateTime Prescription Expires. One or both of these data elements must have the wrong value as the DateTime Prescription Expires must occur after the
		DateTime Prescription Written. (See the definitions of DateTime Prescription Written and DateTime Prescription Expires in sections 6.1 and 7.1.1 of the Prescription Record
		CDA Implementation Guide v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $expires-when-authored ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$expires-when-authored">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The DateTime Prescription Expires
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		has the value '<xsl:text /><xsl:value-of select="$expires-dt" /><xsl:text />' and the DateTime Prescription Written 'ClinicalDocument/author/time' data element has the value '<xsl:text /><xsl:value-of select="$authored-dt" /><xsl:text />'
		which is on the same day as DateTime Prescription Expires. One or both of these data elements must have the wrong value as the DateTime Prescription Expires must occur after the
		DateTime Prescription Written. (See the definitions of DateTime Prescription Written and DateTime Prescription Expires in sections 6.1 and 7.1.1 of the Prescription Record
		CDA Implementation Guide v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M976" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M976" />
  <xsl:template match="@*|node()" priority="-2" mode="M976">
    <xsl:apply-templates select="@*|*" mode="M976" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-14-->
  <!--RULE -->
  <xsl:template match="   /cda:ClinicalDocument/*[not(local-name(.) = 'component')]//cda:name[..[   local-name(.) = ('asPersonalRelationship', 'assignedPerson', 'associatedPerson', 'guardianPerson', 'informationRecipient', 'maintainingPerson', 'patient', 'relatedPerson', 'subject') or         (local-name(.) = ('playingEntity', 'scopingEntity', 'specimenPlayingEntity') and @classCode='PSN')]]           |          /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/*[not(cda:text)]//cda:name[..[   local-name(.) = ('asPersonalRelationship', 'assignedPerson', 'associatedPerson', 'guardianPerson', 'informationRecipient', 'maintainingPerson', 'patient', 'relatedPerson', 'subject') or         (local-name(.) = ('playingEntity', 'scopingEntity', 'specimenPlayingEntity') and @classCode='PSN')]]           " priority="1000" mode="M977">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="   /cda:ClinicalDocument/*[not(local-name(.) = 'component')]//cda:name[..[   local-name(.) = ('asPersonalRelationship', 'assignedPerson', 'associatedPerson', 'guardianPerson', 'informationRecipient', 'maintainingPerson', 'patient', 'relatedPerson', 'subject') or         (local-name(.) = ('playingEntity', 'scopingEntity', 'specimenPlayingEntity') and @classCode='PSN')]]           |          /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/*[not(cda:text)]//cda:name[..[   local-name(.) = ('asPersonalRelationship', 'assignedPerson', 'associatedPerson', 'guardianPerson', 'informationRecipient', 'maintainingPerson', 'patient', 'relatedPerson', 'subject') or         (local-name(.) = ('playingEntity', 'scopingEntity', 'specimenPlayingEntity') and @classCode='PSN')]]           " />
    <xsl:variable name="prefix-names" select="string-join(cda:prefix, ' ')" />
    <xsl:variable name="given-names" select="string-join(cda:given, ' ')" />
    <xsl:variable name="family-name" select="cda:family" />
    <xsl:variable name="suffix-names" select="string-join(cda:suffix, ' ')" />
    <xsl:variable name="unstructured" select="if (child::text()[normalize-space() != '']) then string-join(child::text()[normalize-space() != ''], ' ') else '' " />
    <xsl:variable name="the-name" select="normalize-space(concat($prefix-names, ' ', $unstructured, ' ', $given-names, ' ', $family-name, ' ', $suffix-names))" />
    <xsl:variable name="deidentified" select="if (matches($the-name, $name-masked-regex, 'i')) then $the-name        else string-join(for $text in tokenize($the-name, '\s+') return         if ( matches($text, $name-masked-regex, 'i')  or        matches($text, $name-newborn-w-regex, 'i')  or        matches($text, $name-prefix-regex, 'i')  or        matches($text, $name-suffix-regex, 'i')  ) then $text        else concat(substring($text, 1, 1), translate(substring($text, 2),          'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ', 'xxxxxxxxxxxxxxxxxxxxxxxxxxXXXXXXXXXXXXXXXXXXXXXXXXXX')), ' ')" />
    <xsl:variable name="invalid-nb-use" select="tokenize(normalize-space(@use), ' ')[not(. = ('NB', 'P'))]" />
    <xsl:variable name="newborn-use-err" select="matches($the-name, $name-newborn-g-regex, 'i') and exists($invalid-nb-use)" />
    <xsl:variable name="newborn-use-msg" select="if (not($newborn-use-err)) then ''        else concat('(', string-join(for $code in $invalid-nb-use return $knowledge/person-name-usage/name-usage[@code = $code]/@descriptor, ', '), ')') " />
    <xsl:variable name="newborn-err" select="matches($given-names, $name-newborn-g-regex, 'i') and matches(cda:given, $name-newborn-w-regex, 'i')" />
    <xsl:variable name="deidentified-given" select="if (not($newborn-err)) then ''         else string-join(for $i in (1 to count(cda:given)) return          if ( matches(cda:given[$i], $name-masked-regex, 'i')  or         matches(cda:given[$i], $name-newborn-w-regex, 'i')  or         matches(cda:given[$i], $name-prefix-regex, 'i')  or         matches(cda:given[$i], $name-suffix-regex, 'i')  ) then cda:given[$i]         else concat(substring(cda:given[$i], 1, 1), translate(substring(cda:given[$i], 2),           'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ', 'xxxxxxxxxxxxxxxxxxxxxxxxxxXXXXXXXXXXXXXXXXXXXXXXXXXX')), ' ')" />
    <xsl:variable name="name-values" select="(for $item in distinct-values(.//text()) return normalize-space($item))[. != ''] " />
    <xsl:variable name="masked-err" select="not(@nullFlavor) and exists($name-values) and not(exists($name-values[not(matches(., $name-masked-regex, 'is'))])) " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-01" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-01 " />
    <xsl:variable name="rating-05-step-1" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-05-step-1 " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" $masked-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$masked-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the name '<xsl:text /><xsl:value-of select="$deidentified" /><xsl:text />' which is invalid as when a name element has a value the value must be an actual name
		of a person. If a nullFlavor attribute is allowed for this data element then a nullFlavor attribute may be used with a value, such as "MSK" (masked), indicating why an actual name is not present.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $newborn-use-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$newborn-use-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the name '<xsl:text /><xsl:value-of select="$deidentified" /><xsl:text />' and the name use attribute has the value
		'<xsl:text /><xsl:value-of select="string-join($invalid-nb-use, ' ')" /><xsl:text />' <xsl:text /><xsl:value-of select="$newborn-use-msg" /><xsl:text /> which is an invalid type of name for a newborn baby.
		The only correct value for the name use attribute for an unnamed newborn baby is 'NB'
		(<xsl:text /><xsl:value-of select="$knowledge/person-name-usage/name-usage[@code = 'NB']/@descriptor" /><xsl:text />).
		(See section 10 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and section 3.2.4 of AS 5017-2006 'Health Client Identification'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $newborn-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$newborn-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains '<xsl:text /><xsl:value-of select="$deidentified-given" /><xsl:text />' in a series of 'given' data elements which is an error.
		(See section 3.2.4 of AS 5017-2006 'Health Client Identification'.) The correct way to record an unnamed newborn baby is in one 'given' data element.
		With a single birth the 'given' data element has the value 'Baby of' followed by the mother's given name (e.g. 'Baby of Fiona'). A similar
		approach is used for unnamed multiple births, e.g. 'Twin 1 of Fiona' is recorded in one 'given' data element.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $unstructured = '' and not(cda:family) and not(@nullFlavor) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$unstructured = '' and not(cda:family) and not(@nullFlavor)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-05-step-1" /><xsl:text />: TC-Doc-05 step 1: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> is used to record the name of a person that is a healthcare participant. However it is an error that there is no nullFlavor attribute and no
		'family' element. A nullFlavor element may be used to indicate why a name has not been included and a family element must be included if there is no nullFlavor
		attribute in the 'name' element. (See sections 7.1.4 and 7.3.3.3  of ISO 21090 'Health informatics - Harmonized data types for information interchange'
		and the 'Person Name' section 8.5 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $unstructured != '' and cda:family ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$unstructured != '' and cda:family">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-05-step-1" /><xsl:text />: TC-Doc-05 step 1: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> is used to record the name of a person that is a healthcare participant. It has the value '<xsl:text /><xsl:value-of select="$deidentified" /><xsl:text />' however the components of
		the name must be recorded in the correct elements such as 'family' and 'given'.
		(See the 'Person Name' section 8.5 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $unstructured != '' and not(cda:family) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$unstructured != '' and not(cda:family)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-05-step-1" /><xsl:text />: TC-Doc-05 step 1: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> is used to record the name of a person that is a healthcare participant. It has the value '<xsl:text /><xsl:value-of select="$deidentified" /><xsl:text />' and the 
		'family' element is absent. The components of the name must be recorded in the correct elements such as 'family' and 'given' and the 'family' element must be present.
		(See the 'Person Name' section 8.5 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M977" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M977" />
  <xsl:template match="@*|node()" priority="-2" mode="M977">
    <xsl:apply-templates select="@*|*" mode="M977" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-15-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument['101.16142' = $doc-sections]/cda:component/cda:structuredBody/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16006']]/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16142']][cda:entry]" priority="1000" mode="M978">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument['101.16142' = $doc-sections]/cda:component/cda:structuredBody/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16006']]/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16142']][cda:entry]" />
    <xsl:variable name="values" select="cda:entry/cda:observation[@classCode='OBS']/cda:code[not(@code='103.16302.4.3.1' and @codeSystem='1.2.36.1.2001.1001.101')]" />
    <xsl:variable name="num-values" select="count($values)" />
    <xsl:variable name="values-count" select="if ($numbers/number[@value = $num-values]) then $numbers/number[number(@value) = $num-values]/@name else $num-values" />
    <xsl:variable name="num-principal-values" select="if (not($cd-definitions/PDType/@principal-regex)) then count($values[@displayName or normalize-space(cda:originalText) != '' ])        else count(index-of((for $term in $values return         if ($term/@displayName) then exists(index-of(for $regex in (tokenize($cd-definitions/PDType/@principal-regex, '~')[. != '']) return           matches($term/@displayName, normalize-space($regex), 'is'), true()))          else if ($term/cda:originalText) then           exists(index-of(for $regex in (tokenize($cd-definitions/PDType/@principal-regex, '~')[. != '']) return            matches($term/cda:originalText, normalize-space($regex), 'is'), true()))          else false()), true())) " />
    <xsl:variable name="display-text-1" select="if ($num-principal-values &gt; 0 or not($num-values = 1)) then ''        else if ($values[1]/cda:originalText) then normalize-space($values[1]/cda:originalText)        else if ($values[1]/@displayName) then normalize-space($values[1]/@displayName)       else '' " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)        then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')), codepoints-to-string(34))       else concat('commencing with ', codepoints-to-string(34),         normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),         $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <!--REPORT -->
    <xsl:if test=" $num-values &gt; 1 and $num-principal-values = 0 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$num-values &gt; 1 and $num-principal-values = 0">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-TC-Doc-01" /><xsl:text />: TC-Doc-01: The Problems/Diagnoses This Visit section has <xsl:text /><xsl:value-of select="$values-count" /><xsl:text /> Problem/Diagnosis
		<xsl:text /><xsl:value-of select="if ($num-values = 1) then concat('data element with the value ', $display-text, ' which is not') else 'data elements but none seem to be' " /><xsl:text />	
		the principal medical problem or diagnosis. When the Problems/Diagnoses This Visit section includes one or more medical problems or diagnoses instead of an exclusion
		statement at least one of the medical problems or diagnoses must have a Problem/Diagnosis Type whose value is "Principal" or something equivalent.
		<xsl:text /><xsl:value-of select="if (exists($values)) then concat('The Problems/Diagnoses This Visit section contains the following unique values for the Problem/Diagnosis Type: ''',   string-join(distinct-values(for $el in $values return if (normalize-space($el/cda:originalText) != '') then $el/cda:originalText    else if ($el/@displayName) then $el/@displayName else '')[. != ''], ''', '''), '''.') else '' " /><xsl:text />
		Confirm if there is at least one principal medical problem or diagnosis. (See section 4.11 of the e-Discharge Summary Structured Document Template v3.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M978" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M978" />
  <xsl:template match="@*|node()" priority="-2" mode="M978">
    <xsl:apply-templates select="@*|*" mode="M978" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-16-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument['102.16347' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16347']][cda:entry]" priority="1000" mode="M979">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument['102.16347' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16347']][cda:entry]" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-05-step-1" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-05-step-1 " />
    <!--REPORT -->
    <xsl:if test=" not($conformance-level-3) and not(cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16622']]/cda:value) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($conformance-level-3) and not(cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16622']]/cda:value)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-05-step-1" /><xsl:text />: TC-Doc-05 step 1: The Referral Validity Duration is not present in Referral Detail section. However it is mandatory so its omission
		is an error if level 3A or 3B conformance is claimed. Confirm if the claimed conformance level is 3A or 3B.
		(See section 3.5 of the eReferral Structured Content Specification v2.1<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' and the definition of conformance levels in requirement 024482 of the Common Conformance Profile for Clinical Documents v1.7'         else if ($doc-common-conf-profile = '1.6')           then ' and the definition of conformance levels in requirement 024482 of the Common Conformance Profile for Clinical Documents v1.6'         else if ($doc-common-conf-profile = '1.5')           then ' and the definition of conformance levels in requirement 024482 of the Common Conformance Profile for Clinical Documents v1.5'         else if ($doc-common-conf-profile = '1.4')           then ' and the definition of conformance levels in section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.4'         else if ($doc-common-conf-profile = '1.3')           then ' and the definition of conformance levels in section 3.4.1.1 of the Common Conformance Profile for Clinical Documents v1.3'         else '' " /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $conformance-level-3 and not(cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16622']]/cda:value) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$conformance-level-3 and not(cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16622']]/cda:value)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-05-step-1" /><xsl:text />: TC-Doc-05 step 1: The Referral Validity Duration is not present in Referral Detail section. However it is mandatory so its omission
		is an error when the claimed conformance level is <xsl:text /><xsl:value-of select="if ($flags/@conformance-level) then upper-case($flags/@conformance-level) else '3A or 3B'" /><xsl:text />.
		(See section 3.5 of the eReferral Structured Content Specification v2.1<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' and the definition of conformance levels in requirement 024482 of the Common Conformance Profile for Clinical Documents v1.7'         else if ($doc-common-conf-profile = '1.6')           then ' and the definition of conformance levels in requirement 024482 of the Common Conformance Profile for Clinical Documents v1.6'         else if ($doc-common-conf-profile = '1.5')           then ' and the definition of conformance levels in requirement 024482 of the Common Conformance Profile for Clinical Documents v1.5'         else if ($doc-common-conf-profile = '1.4')           then ' and the definition of conformance levels in section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.4'         else if ($doc-common-conf-profile = '1.3')           then ' and the definition of conformance levels in section 3.4.1.1 of the Common Conformance Profile for Clinical Documents v1.3'         else '' " /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M979" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M979" />
  <xsl:template match="@*|node()" priority="-2" mode="M979">
    <xsl:apply-templates select="@*|*" mode="M979" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-17-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument[not($flags/@allow-hints = 'false')]/cda:copyTime[@value]             |          /cda:ClinicalDocument[not($flags/@allow-hints = 'false')]/cda:effectiveTime[@value]            |          /cda:ClinicalDocument[not($flags/@allow-hints = 'false')]/*[not(local-name(.) = 'component')]//*[@value and (        local-name(.) = ('activityTime',           'availabilityTime',           'birthTime',           'copyTime',           'creationTime',           'deceasedTime',           'effectiveTime',           'executionAndDeliveryTime',           'lastCalibrationTime',           'recertificationTime',           'time')               or       @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'         or             (local-name(.) = ('low', 'high', 'center') and (local-name(..) = ('activityTime',                 'availabilityTime',                 'effectiveTime',                 'existenceTime',                 'expectedUseTime',                 'expirationTime',                 'stabilityTime',                 'time',                 'phase') or                   ../@xsi:type = 'IVL_TS' or normalize-space(substring-after(../@xsi:type, ':')) = 'IVL_TS')) )] |          /cda:ClinicalDocument[not($flags/@allow-hints = 'false')]/cda:component/cda:structuredBody/cda:component/    cda:section/*[not(cda:text)]//*[@value and (        local-name(.) = ('activityTime',           'availabilityTime',           'birthTime',           'copyTime',           'creationTime',           'deceasedTime',           'effectiveTime',           'executionAndDeliveryTime',           'lastCalibrationTime',           'recertificationTime',           'time')               or       @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'         or             (local-name(.) = ('low', 'high', 'center') and (local-name(..) = ('activityTime',                 'availabilityTime',                 'effectiveTime',                 'existenceTime',                 'expectedUseTime',                 'expirationTime',                 'stabilityTime',                 'time',                 'phase') or                   ../@xsi:type = 'IVL_TS' or normalize-space(substring-after(../@xsi:type, ':')) = 'IVL_TS')) )] " priority="1000" mode="M980">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument[not($flags/@allow-hints = 'false')]/cda:copyTime[@value]             |          /cda:ClinicalDocument[not($flags/@allow-hints = 'false')]/cda:effectiveTime[@value]            |          /cda:ClinicalDocument[not($flags/@allow-hints = 'false')]/*[not(local-name(.) = 'component')]//*[@value and (        local-name(.) = ('activityTime',           'availabilityTime',           'birthTime',           'copyTime',           'creationTime',           'deceasedTime',           'effectiveTime',           'executionAndDeliveryTime',           'lastCalibrationTime',           'recertificationTime',           'time')               or       @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'         or             (local-name(.) = ('low', 'high', 'center') and (local-name(..) = ('activityTime',                 'availabilityTime',                 'effectiveTime',                 'existenceTime',                 'expectedUseTime',                 'expirationTime',                 'stabilityTime',                 'time',                 'phase') or                   ../@xsi:type = 'IVL_TS' or normalize-space(substring-after(../@xsi:type, ':')) = 'IVL_TS')) )] |          /cda:ClinicalDocument[not($flags/@allow-hints = 'false')]/cda:component/cda:structuredBody/cda:component/    cda:section/*[not(cda:text)]//*[@value and (        local-name(.) = ('activityTime',           'availabilityTime',           'birthTime',           'copyTime',           'creationTime',           'deceasedTime',           'effectiveTime',           'executionAndDeliveryTime',           'lastCalibrationTime',           'recertificationTime',           'time')               or       @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'         or             (local-name(.) = ('low', 'high', 'center') and (local-name(..) = ('activityTime',                 'availabilityTime',                 'effectiveTime',                 'existenceTime',                 'expectedUseTime',                 'expirationTime',                 'stabilityTime',                 'time',                 'phase') or                   ../@xsi:type = 'IVL_TS' or normalize-space(substring-after(../@xsi:type, ':')) = 'IVL_TS')) )] " />
    <xsl:variable name="valid-chars" select="@value and matches(@value, '^([0-9]{4}|[0-9]{8}|[0-9]{12}[-+]{1}[0-9]{4}|[0-9]{14}\.{0,1}[0-9]*[-+]{1}[0-9]{4})$') " />
    <xsl:variable name="dt-year" select="if ($valid-chars) then substring(@value,1,4) else '' " />
    <xsl:variable name="invalid-year" select="if ($dt-year = '' or $creation-date-yr = '') then false()       else if (local-name(..) = 'ClinicalDocument') then number($dt-year) &lt; 1899 or number($dt-year) &gt; 2300       else number($dt-year) &lt; number($creation-date-yr) - 130 or number($dt-year) &gt; number($creation-date-yr) + 130 " />
    <xsl:variable name="timezone" select="if ($valid-chars and contains(@value,'+')) then substring-after(@value,'+')       else if ($valid-chars and contains(@value,'-')) then substring-after(@value,'-')       else '' " />
    <xsl:variable name="tz-hours" select="if ($timezone != '' and matches($timezone, $ts-tz-regex)) then substring($timezone, 1, 2) else '' " />
    <xsl:variable name="tz-not-in-Australia" select="if ($tz-hours = '') then false()         else if (number($tz-hours) &lt; 5) then true()         else if (number($tz-hours) &gt; 11) then true()         else false() " />
    <xsl:variable name="h-dt-month-num" select="if ($invalid-year) then substring(@value, 5, 2) else '' " />
    <xsl:variable name="h-dt-month" select="if ($h-dt-month-num = '') then ''       else if ($h-dt-month-num = '01') then 'Jan'       else if ($h-dt-month-num = '02') then 'Feb'       else if ($h-dt-month-num = '03') then 'Mar'       else if ($h-dt-month-num = '04') then 'Apr'       else if ($h-dt-month-num = '05') then 'May'       else if ($h-dt-month-num = '06') then 'Jun'       else if ($h-dt-month-num = '07') then 'Jul'       else if ($h-dt-month-num = '08') then 'Aug'       else if ($h-dt-month-num = '09') then 'Sep'       else if ($h-dt-month-num = '10') then 'Oct'       else if ($h-dt-month-num = '11') then 'Nov'       else if ($h-dt-month-num = '12') then 'Dec'        else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-01" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-01 " />
    <xsl:variable name="rating-26" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-26 " />
    <!--REPORT -->
    <xsl:if test=" $invalid-year ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$invalid-year">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the date '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="if (matches(@value, '^[0-9]{10}')) then concat(substring(@value, 7, 2), ' ', $h-dt-month, ' ', substring(@value, 1, 4), ' ', substring(@value, 9))    else if (matches(@value, '^[0-9]{8}')) then concat(substring(@value, 7, 2), ' ', $h-dt-month, ' ', substring(@value, 1, 4))    else if (matches(@value, '^[0-9]{6}')) then concat($h-dt-month, ' ', substring(@value, 1, 4))    else @value" /><xsl:text />) which is invalid as it is inconsistent with definition of the data element.
		(See the definition of the data element in the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> or the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $tz-not-in-Australia ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tz-not-in-Australia">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Hint<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' which contains a time zone that is not in any Australian state or territory. Confirm that the value of the
		date, time and time zone is correct. The format of a point in time is "YYYY[MM[DD[HH[MM[SS[.U[U[U[U]]]]]]]]][+|-ZZzz]" where "[+|-ZZzz]" is the time zone offset from Coordinated Universal
		Time (UTC). (See section 7.8.13.3.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and $tz-not-in-Australia ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $tz-not-in-Australia">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Recommendation<xsl:text /><xsl:value-of select="$rating-26" /><xsl:text />: TC-Narr-26: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' which contains a time zone that is not in any
		Australian state or territory. Rendering systems are not required to convert a date to the local timezone so authoring systems should ensure that all date and time values are recorded in
		the time zone of the location of the document author. (See requirement CDA-RS 49 of the CDA Rendering Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M980" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M980" />
  <xsl:template match="@*|node()" priority="-2" mode="M980">
    <xsl:apply-templates select="@*|*" mode="M980" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-18-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument//*[@ID] " priority="1000" mode="M981">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument//*[@ID] " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-09" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-09 " />
    <!--REPORT -->
    <xsl:if test=" preceding::*/@ID = @ID ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="preceding::*/@ID = @ID">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-09" /><xsl:text />: TC-Doc-09: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains ID '<xsl:text /><xsl:value-of select="@ID" /><xsl:text />' however the document contains another element containing ID '<xsl:text /><xsl:value-of select="@ID" /><xsl:text />'.
		Every ID attribute value must be unique. (See requirement CDA-RS 4 of the CDA Rendering Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M981" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M981" />
  <xsl:template match="@*|node()" priority="-2" mode="M981">
    <xsl:apply-templates select="@*|*" mode="M981" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-19-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument['101.16146' = $doc-sections][cda:templateId[     (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')   or     (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or     (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')   or     (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) or     (@root = '1.2.36.1.2001.1001.101.100.1002.153' and @extension = '1.0')  ]]/     cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']][cda:entry/cda:substanceAdministration]" priority="1000" mode="M982">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument['101.16146' = $doc-sections][cda:templateId[     (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')   or     (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or     (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')   or     (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) or     (@root = '1.2.36.1.2001.1001.101.100.1002.153' and @extension = '1.0')  ]]/     cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']][cda:entry/cda:substanceAdministration]" />
    <xsl:variable name="med-instr" select="cda:entry/cda:substanceAdministration[cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code       [normalize-space(cda:originalText) != '' or @code != '']] " />
    <xsl:variable name="med-instr-num" select="count($med-instr)" />
    <xsl:variable name="ii" select="for $i in (1 to $med-instr-num) return concat($med-instr[$i]/cda:id/@root, $med-instr[$i]/cda:id/@extension) " />
    <xsl:variable name="tgi" select="for $i in (1 to $med-instr-num) return $med-instr[$i]/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code " />
    <xsl:variable name="ch-type" select="for $i in (1 to $med-instr-num) return $med-instr[$i]/cda:entryRelationship/cda:observation[cda:code[       @codeSystem='1.2.36.1.2001.1001.101' and @code='103.16593']]/cda:value" />
    <xsl:variable name="ch-status" select="for $i in (1 to $med-instr-num) return $med-instr[$i]/cda:entryRelationship/cda:observation/cda:entryRelationship/       cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16595']]/cda:value" />
    <xsl:variable name="directions" select="for $i in (1 to $med-instr-num) return $med-instr[$i]/cda:text " />
    <xsl:variable name="comment" select="for $i in (1 to $med-instr-num) return        if ($med-instr[$i]/cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16044']]/cda:text)        then $med-instr[$i]/cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16044']]/cda:text       else '' " />
    <xsl:variable name="clinical-ind" select="for $i in (1 to $med-instr-num) return        if ($med-instr[$i]/cda:entryRelationship[@typeCode='RSON']/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.10141']]/cda:text)        then $med-instr[$i]/cda:entryRelationship[@typeCode='RSON']/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.10141']]/cda:text       else '' " />
    <xsl:variable name="ch-descr" select="for $i in (1 to $med-instr-num) return        if ($med-instr[$i]/cda:entryRelationship[@typeCode='SPRT']/cda:observation/cda:text)       then $med-instr[$i]/cda:entryRelationship[@typeCode='SPRT']/cda:observation/cda:text       else '' " />
    <xsl:variable name="ch-reason" select="for $i in (1 to $med-instr-num) return        if ($med-instr[$i]/cda:entryRelationship/cda:observation/cda:entryRelationship/cda:act[cda:code[        @codeSystem='1.2.36.1.2001.1001.101' and @code='103.10177']]/cda:text)        then $med-instr[$i]/cda:entryRelationship/cda:observation/cda:entryRelationship/cda:act[cda:code[        @codeSystem='1.2.36.1.2001.1001.101' and @code='103.10177']]/cda:text       else '' " />
    <xsl:variable name="tgi-text" select="for $i in (1 to $med-instr-num) return        if (translate($tgi[$i]/cda:originalText, $chars-to-remove, '') != '')         then dh:XQueryRecursiveReplace(normalize-space($tgi[$i]/cda:originalText), $markup-pattern-replacement, 'ic')       else if (translate($tgi[$i]/@displayName, $chars-to-remove, '') != '') then $tgi[$i]/@displayName       else if ($tgi[$i]/cda:translation[translate(@displayName, $chars-to-remove, '') != '']) then $tgi[$i]/cda:translation[@displayName != '']/@displayName       else if ($tgi[$i]/@code != '') then $tgi[$i]/@code       else if ($tgi[$i]/cda:translation[@code != '']) then $tgi[$i]/cda:translation[@code != '']/@code       else '' " />
    <xsl:variable name="tgi-rep-tr" select="index-of(for $i in (1 to $med-instr-num) return exists(index-of(for $j in (1 to $med-instr-num) return (       $i != $j           and        $ii[$i] != $ii[$j]         and       $tgi-text[$i] != ''         and       $tgi-text[$i] = $tgi-text[$j]        and       $tgi[$i]/cda:translation[@codeSystem='2.16.840.1.113883.6.96' and @code]/@code  and        not($tgi[$i]/cda:translation[@code]/@code = $tgi[$j]/cda:translation[@code]/@code) and       deep-equal($ch-type[$i], $ch-type[$j])       and       deep-equal($ch-status[$i], $ch-status[$j])       and        deep-equal($directions[$i], $directions[$j])      and       deep-equal($clinical-ind[$i], $clinical-ind[$j])     and       deep-equal($ch-descr[$i], $ch-descr[$j])      and       deep-equal($ch-reason[$i], $ch-reason[$j])      ), true())), true()) " />
    <xsl:variable name="tgi-rep-tr-num" select="count($tgi-rep-tr) " />
    <xsl:variable name="tgi-rep-tr-txt" select="distinct-values(for $i in (1 to $tgi-rep-tr-num) return $tgi-text[$tgi-rep-tr[$i]]) " />
    <xsl:variable name="unique-tgi-rep-tr-num" select="count($tgi-rep-tr-txt)" />
    <xsl:variable name="tgi-rep-con" select="index-of(for $i in (1 to $med-instr-num) return exists(index-of(for $j in (1 to $med-instr-num) return (       $i != $j           and        $ii[$i] != $ii[$j]         and       $tgi-text[$i] = $tgi-text[$j]        and       $ch-type[$i]/@codeSystem = $ch-type[$j]/@codeSystem      and        $ch-type[$i]/@code != $ch-type[$j]/@code      ), true())), true()) " />
    <xsl:variable name="tgi-rep-con-num" select="count($tgi-rep-con) " />
    <xsl:variable name="tgi-rep-con-txt" select="distinct-values(for $i in (1 to $tgi-rep-con-num) return $tgi-text[$tgi-rep-con[$i]]) " />
    <xsl:variable name="unique-tgi-rep-con-num" select="count($tgi-rep-con-txt)" />
    <xsl:variable name="tgi-rep-same" select="index-of(for $i in (1 to $med-instr-num) return exists(index-of(for $j in (1 to $med-instr-num) return (       $i != $j           and        $ii[$i] != $ii[$j]         and       deep-equal($tgi[$i], $tgi[$j])        and       deep-equal($ch-type[$i], $ch-type[$j])        and        deep-equal($ch-status[$i], $ch-status[$j])       and        deep-equal($directions[$i], $directions[$j])      and       deep-equal($clinical-ind[$i], $clinical-ind[$j])     and       deep-equal($ch-descr[$i], $ch-descr[$j])      and       deep-equal($ch-reason[$i], $ch-reason[$j])      ), true())), true()) " />
    <xsl:variable name="tgi-rep-same-num" select="count($tgi-rep-same) " />
    <xsl:variable name="tgi-rep-same-txt" select="distinct-values(for $i in (1 to $tgi-rep-same-num) return $tgi-text[$tgi-rep-same[$i]]) " />
    <xsl:variable name="unique-tgi-rep-same-num" select="count($tgi-rep-same-txt)" />
    <xsl:variable name="tgi-rep-1" select="index-of(for $i in (1 to $med-instr-num) return exists(index-of(for $j in (1 to $med-instr-num) return (       $i != $j    and        $tgi-text[$i] = $tgi-text[$j] ), true())), true()) " />
    <xsl:variable name="tgi-rep-2" select="(for $i in (1 to count($tgi-rep-1)) return        if ($tgi-rep-tr-txt[. = $tgi-text[$tgi-rep-1[$i]]] or $tgi-rep-con-txt[. = $tgi-text[$tgi-rep-1[$i]]] or         $tgi-rep-same-txt[. = $tgi-text[$tgi-rep-1[$i]]]) then '0' else $tgi-rep-1[$i])[. != '0'] " />
    <xsl:variable name="tgi-rep-2-num" select="count($tgi-rep-2) " />
    <xsl:variable name="tgi-rep-2-txt" select="distinct-values(for $i in (1 to $tgi-rep-2-num) return $tgi-text[$tgi-rep-2[$i]]) " />
    <xsl:variable name="unique-tgi-rep-2-num" select="count($tgi-rep-2-txt)" />
    <xsl:variable name="amt-or-sct" select="$tgi/cda:translation[@codeSystem='2.16.840.1.113883.6.96' and @codeSystemName]/@codeSystemName " />
    <xsl:variable name="amt-or-sct-text" select="if ($amt-or-sct) then $amt-or-sct else 'SNOMED CT-AU' " />
    <xsl:variable name="unique-tgi" select="distinct-values($tgi-text)" />
    <xsl:variable name="tgi-num" select="count($unique-tgi)" />
    <xsl:variable name="possible-err" select="$tgi-num &gt; 35 and $tgi-num &lt; 80" />
    <xsl:variable name="confirmed-err" select="$tgi-num &gt; 79" />
    <xsl:variable name="change-type" select="('385655000~Suspended', '385656004~Ceased', '105701000036103~Unchanged', '89925002~Cancelled', '105691000036103~Changed', '105681000036100~Prescribed',       '01~Unchanged', '02~Changed', '03~Cancelled', '04~Prescribed', '05~Ceased', '06~Suspended') " />
    <xsl:variable name="tgi-msg" select="if (/cda:ClinicalDocument/cda:templateId/@root = '1.2.36.1.2001.1001.101.100.1002.120')        then 'medicines which the consumer was using at the time the Shared Health Summary was written'       else if (/cda:ClinicalDocument/cda:templateId/@root = '1.2.36.1.2001.1001.101.100.1002.136')       then 'medicines which are or were prescribed for the consumer during the event described by the Event Summary or that the consumer was taking'       else if (/cda:ClinicalDocument/cda:templateId/@root = '1.2.36.1.2001.1001.101.100.1002.132')       then concat('medicine changes and change recommendations which the subject of care should continue, commence, cease or alter as a consequence ',        'of their interaction with the specialist')       else if (/cda:ClinicalDocument/cda:templateId/@root = '1.2.36.1.2001.1001.101.100.1002.2')       then 'medicines which are or were prescribed for the consumer or they have or had been taking'       else if (/cda:ClinicalDocument/cda:templateId/@root = '1.2.36.1.2001.1001.101.100.1002.153')       then 'medicines which the consumer was using at the time the Personal Health Summary was written'       else '' " />
    <xsl:variable name="tgi-ref" select="if (/cda:ClinicalDocument/cda:templateId/@root = '1.2.36.1.2001.1001.101.100.1002.120')        then 'section 7.1.2 of the Shared Health Summary CDA Implementation Guide.'       else if (/cda:ClinicalDocument/cda:templateId/@root = '1.2.36.1.2001.1001.101.100.1002.136')       then 'section 7.1.3 of the Event Summary CDA Implementation Guide.'       else if (/cda:ClinicalDocument/cda:templateId/@root = '1.2.36.1.2001.1001.101.100.1002.132')       then 'section 7.1.3 of the Specialist Letter CDA Implementation Guide.'       else if (/cda:ClinicalDocument/cda:templateId/@root = '1.2.36.1.2001.1001.101.100.1002.2')       then 'section 7.1.3 of the eReferral CDA Implementation Guide.'       else if (/cda:ClinicalDocument/cda:templateId/@root = '1.2.36.1.2001.1001.101.100.1002.153')        then 'section 7.1.2 of the Personal Health Summary CDA Implementation Guide.'       else '' " />
    <xsl:variable name="confirm-msg" select="if (/cda:ClinicalDocument/cda:templateId/@root = '1.2.36.1.2001.1001.101.100.1002.120')        then concat('Confirm that the consumer was using ', $tgi-num, ' medicines at the time the Shared Health Summary was written.')       else if (/cda:ClinicalDocument/cda:templateId/@root = '1.2.36.1.2001.1001.101.100.1002.136')       then concat('Confirm that the health event involved ', $tgi-num, ' medicines.')       else if (/cda:ClinicalDocument/cda:templateId/@root = '1.2.36.1.2001.1001.101.100.1002.132')       then concat('Confirm that the specialist changed or recommended changes to ', $tgi-num, ' medicines.')       else if (/cda:ClinicalDocument/cda:templateId/@root = '1.2.36.1.2001.1001.101.100.1002.2')       then concat('Confirm that ', $tgi-num, ' medicines were being prescribed or taken by the consumer.')       else if (/cda:ClinicalDocument/cda:templateId/@root = '1.2.36.1.2001.1001.101.100.1002.153')       then concat('Confirm that the consumer was using ', $tgi-num, ' medicines at the time the Personal Health Summary was written.')       else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-01" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-01 " />
    <!--REPORT -->
    <xsl:if test=" exists($tgi-rep-tr)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists($tgi-rep-tr)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01:
		The Medications section of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> contains more than one instruction for
		<xsl:text /><xsl:value-of select="if ($unique-tgi-rep-tr-num = '1') then 'a medicine' else concat(   if ($numbers/number[number(@value) = $unique-tgi-rep-tr-num]) then $numbers/number[number(@value) = $unique-tgi-rep-tr-num]/@name else $unique-tgi-rep-tr-num,    ' medicines')" /><xsl:text /> where the difference is
		the code system translations. Medication Instruction 'entry/substanceAdministration' data components that provide instructions about the same
		medicine have identical information for the healthcare consumer and the difference is a translation to an alternative code system
		in the Therapeutic Good Identification data element. When the only difference between two Medication Instruction data components is the code system translation
		the Medication Instructions must be combined so there is one Therapeutic Good Identification data element with multiple translations.
		(See the information about Medication Instruction in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> Structured Content Specification and section 7.5.2.4.9 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="if ($unique-tgi-rep-tr-num = '1') then concat('The medicine with this error is ''', $tgi-rep-tr-txt[1], '''.')   else concat('The list of medicines with this error is: ''', string-join($tgi-rep-tr-txt[position() &lt; last()], ''', '''), ''' and ''', $tgi-rep-tr-txt[last()], '''.')" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists($tgi-rep-con) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists($tgi-rep-con)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01:
		The Medications section of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> contains more than one Medication Instruction 'entry/substanceAdministration' data component for
		<xsl:text /><xsl:value-of select="if ($unique-tgi-rep-con-num = '1') then 'a medicine' else concat(   if ($numbers/number[number(@value) = $unique-tgi-rep-con-num]) then $numbers/number[number(@value) = $unique-tgi-rep-con-num]/@name else $unique-tgi-rep-con-num,   ' medicines')" /><xsl:text />
		and the instructions for the same medicine have conflicting information for the Change Type. The Change Type data element may state that the medicine was prescribed, suspended,
		ceased, cancelled, changed or unchanged and there must be one Change Type for each medicine.
		(See the information about Medication Instruction and Change Type in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> Structured Content Specification.)
		<xsl:text /><xsl:value-of select="if ($unique-tgi-rep-con-num = '1') then concat('The medicine with the conflicting change type is ''', $tgi-rep-con-txt[1], ''' (', string-join(distinct-values(    (for $j in (1 to $med-instr-num) return if ($tgi-rep-con-txt[1] = $tgi-text[$j]) then substring-after($change-type[matches(., concat('^', $ch-type[$j]/@code, '~'))], '~') else '')    [. != '']), ', '), ').')   else concat('The list of medicines with their conflicting change type is: ''', string-join(for $i in (1 to $unique-tgi-rep-con-num) return     concat($tgi-rep-con-txt[$i], ''' (', string-join(distinct-values((for $j in (1 to $med-instr-num) return if ($tgi-rep-con-txt[$i] = $tgi-text[$j])     then substring-after($change-type[matches(., concat('^', $ch-type[$j]/@code, '~'))], '~') else '')[. != '']), ', '), ')'), ', '''), '''.')" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists($tgi-rep-same) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists($tgi-rep-same)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-alt-TS-II" /><xsl:text />: TC-Doc-01:
		The Medications section of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> contains more than one Medication Instruction 'entry/substanceAdministration' data component for
		<xsl:text /><xsl:value-of select="if ($unique-tgi-rep-same-num = '1') then 'a medicine' else concat(   if ($numbers/number[number(@value) = $unique-tgi-rep-same-num]) then $numbers/number[number(@value) = $unique-tgi-rep-same-num]/@name else $unique-tgi-rep-same-num,   ' medicines')" /><xsl:text /> where
		the only difference is a different Medication Instruction Instance Identifier to indicate they are unique instructions.
		<xsl:text /><xsl:value-of select="if ($unique-tgi-rep-same-num = '1') then 'All instructions for the medicine are identical'   else 'For each medicine all instructions are identical'" /><xsl:text />
		so it is an error to record them as unique instructions about the same medicine. When there is only one instruction about a medicine the instruction must be recorded once only.
		(See the information about Medication Instruction in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and information about technical identifiers in section 8.2 of the
		<xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($unique-tgi-rep-same-num = '1') then concat('The medicine with this error is ''', $tgi-rep-same-txt[1], '''.')   else concat('The list of medicines with this error is: ''', string-join($tgi-rep-same-txt[position() &lt; last()], ''', '''), ''' and ''', $tgi-rep-same-txt[last()], '''.')" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists($tgi-rep-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists($tgi-rep-2)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Medications section of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> contains multiple and potentially conflicting
		instructions for <xsl:text /><xsl:value-of select="if ($unique-tgi-rep-2-num = '1') then 'a medicine' else concat(   if ($numbers/number[number(@value) = $unique-tgi-rep-2-num]) then $numbers/number[number(@value) = $unique-tgi-rep-2-num]/@name else $unique-tgi-rep-2-num,   ' medicines')" /><xsl:text />.
		Confirm if there are conflicting instructions or if the instructions should be merged so that there is one instruction
		<xsl:text /><xsl:value-of select="if ($unique-tgi-rep-2-num = '1') then 'for the medicine.' else 'for each medicine.' " /><xsl:text />
		(See the definition of the Medications section in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> Structured Content Specification.)
		<xsl:text /><xsl:value-of select="if ($unique-tgi-rep-2-num = '1') then concat('The medicine with the conflicting instructions is ''',    $tgi-rep-2-txt[1], ''' (''', normalize-space(string-join(   distinct-values((for $j in (1 to $med-instr-num) return if ($tgi-rep-2-txt[1] = $tgi-text[$j]) then $directions[$j] else '')[. != '']), ''', ''')), ''').')   else concat('The list of medicines with their conflicting instructions is: ''', normalize-space(string-join(for $i in (1 to $unique-tgi-rep-2-num) return    concat('''', $tgi-rep-2-txt[$i], ''' (''', string-join(distinct-values((for $j in (1 to $med-instr-num) return if ($tgi-rep-2-txt[$i] = $tgi-text[$j])     then $directions[$j] else '')[. != '']), ''', '''), ''')'), ''', ''')), '''.')" /><xsl:text />
		It is an error for information in the Medications section to be inconsistent with the definition of the section which is to list the <xsl:text /><xsl:value-of select="$tgi-msg" /><xsl:text />.
		
	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $possible-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$possible-err">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Warning<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Medications section of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> lists <xsl:text /><xsl:value-of select="$tgi-num" /><xsl:text /> unique medicines.
		It is an error for information in the Medications section to be inconsistent with the definition of the section which is to list the <xsl:text /><xsl:value-of select="$tgi-msg" /><xsl:text />.
		<xsl:text /><xsl:value-of select="$confirm-msg" /><xsl:text />
		(See the definition of the Medications section in <xsl:text /><xsl:value-of select="$tgi-ref" /><xsl:text />) The list of unique medicines is:
		<xsl:text /><xsl:value-of select="concat('''', string-join($unique-tgi[position() &lt; last()], ''', '''), ''' and ''', $unique-tgi[last()], '''.')" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $confirmed-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$confirmed-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Medications section of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> lists <xsl:text /><xsl:value-of select="$tgi-num" /><xsl:text /> unique medicines.
		It is an error for information in the Medications section to be inconsistent with the definition of the section which is to list the <xsl:text /><xsl:value-of select="$tgi-msg" /><xsl:text />.
		(See the definition of the Medications section in <xsl:text /><xsl:value-of select="$tgi-ref" /><xsl:text />) The list of unique medicines is:
		concat('''', string-join($unique-tgi[position() &lt; last()], ''', '''), ''' and ''', $unique-tgi[last()], '''.')

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M982" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M982" />
  <xsl:template match="@*|node()" priority="-2" mode="M982">
    <xsl:apply-templates select="@*|*" mode="M982" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-20-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument['101.20113' = $doc-sections][cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']]/   cda:component/cda:structuredBody/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16011']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']][cda:entry/cda:observation   [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:participant/cda:participantRole/cda:playingEntity/cda:code]  |    /cda:ClinicalDocument['101.20113' = $doc-sections][cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')   or   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')   or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) ]]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']][cda:entry/cda:act[cda:code   [@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:participant[@typeCode='CAGNT']/cda:participantRole/cda:playingEntity/cda:code]" priority="1000" mode="M983">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument['101.20113' = $doc-sections][cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']]/   cda:component/cda:structuredBody/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16011']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']][cda:entry/cda:observation   [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:participant/cda:participantRole/cda:playingEntity/cda:code]  |    /cda:ClinicalDocument['101.20113' = $doc-sections][cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')   or   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')   or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) ]]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']][cda:entry/cda:act[cda:code   [@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:participant[@typeCode='CAGNT']/cda:participantRole/cda:playingEntity/cda:code]" />
    <xsl:variable name="adv" select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4')        then cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]        else cda:entry/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']] " />
    <xsl:variable name="adv-num" select="count(cda:entry)" />
    <xsl:variable name="ii" select="for $i in (1 to $adv-num) return concat($adv[$i]/cda:id/@root, $adv[$i]/cda:id/@extension) " />
    <xsl:variable name="agent" select="for $i in (1 to $adv-num) return $adv[$i]/cda:participant/cda:participantRole/cda:playingEntity/cda:code " />
    <xsl:variable name="agent-text" select="for $i in (1 to $adv-num) return        if (translate($agent[$i]/cda:originalText, $chars-to-remove, '') != '')         then dh:XQueryRecursiveReplace(normalize-space($agent[$i]/cda:originalText), $markup-pattern-replacement, 'ic')       else if (translate($agent[$i]/@displayName, $chars-to-remove, '') != '')         then $agent[$i]/@displayName       else if ($agent[$i]/cda:translation[translate(@displayName, $chars-to-remove, '') != ''])         then $agent[$i]/cda:translation[@displayName != '']/@displayName       else if ($agent[$i]/@code != '') then $agent[$i]/@code       else if ($agent[$i]/cda:translation[@code != '']) then $agent[$i]/cda:translation[@code != '']/@code       else '' " />
    <xsl:variable name="manifestation" select="for $i in (1 to $adv-num) return if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4')       then $adv[$i]/cda:entryRelationship[@typeCode='MFST']/cda:observation/cda:code       else $adv[$i]/cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16474']]/        cda:entryRelationship[@typeCode='MFST']/cda:observation/cda:code" />
    <xsl:variable name="reaction-type" select="for $i in (1 to $adv-num) return if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4')       then $adv[$i]/cda:value       else $adv[$i]/cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16474']]/cda:value " />
    <xsl:variable name="agent-rep-same" select="index-of(for $i in (1 to $adv-num) return exists(index-of(for $j in (1 to $adv-num) return (       $i != $j           and        $ii[$i] != $ii[$j]         and       deep-equal($agent[$i], $agent[$j])       and       deep-equal($manifestation[$i], $manifestation[$j])     and        deep-equal($reaction-type[$i], $reaction-type[$j])      ), true())), true()) " />
    <xsl:variable name="agent-rep-same-num" select="count($agent-rep-same) " />
    <xsl:variable name="agent-rep-same-txt" select="distinct-values(for $i in (1 to $agent-rep-same-num) return $agent-text[$agent-rep-same[$i]]) " />
    <xsl:variable name="unique-agent-rep-same-num" select="count($agent-rep-same-txt)" />
    <xsl:variable name="agent-rep-1" select="index-of(for $i in (1 to $adv-num) return exists(index-of(for $j in (1 to $adv-num) return (        $i != $j     and         $agent-text[$i] != ''   and        $agent-text[$i] = $agent-text[$j] ), true())), true()) " />
    <xsl:variable name="agent-rep-2" select="(for $i in (1 to count($agent-rep-1)) return         if ($agent-rep-same-txt[. = $agent-text[$agent-rep-1[$i]]]) then '0' else $agent-rep-1[$i])[. != '0'] " />
    <xsl:variable name="agent-rep-2-num" select="count($agent-rep-2) " />
    <xsl:variable name="agent-rep-2-txt" select="distinct-values(for $i in (1 to $agent-rep-2-num) return $agent-text[$agent-rep-2[$i]]) " />
    <xsl:variable name="unique-agent-rep-2-num" select="count($agent-rep-2-txt)" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-01" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-01 " />
    <!--REPORT -->
    <xsl:if test=" exists($agent-rep-same) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists($agent-rep-same)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-alt-TS-II" /><xsl:text />: TC-Doc-01:
		The Adverse Reactions section of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> contains more than one Adverse Reaction
		'<xsl:text /><xsl:value-of select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4' and $templateId-ext = '3.4') then 'entry/observation' else 'entry/act' " /><xsl:text />' data component for
		<xsl:text /><xsl:value-of select="if ($unique-agent-rep-same-num = '1') then 'a substance/agent' else concat(   if ($numbers/number[number(@value) = $unique-agent-rep-same-num]) then $numbers/number[number(@value) = $unique-agent-rep-same-num]/@name else $unique-agent-rep-same-num,   ' substance/agents')" /><xsl:text /> where
		the only difference is a different Adverse Reaction Instance Identifier to indicate they are unique adverse reactions.
		<xsl:text /><xsl:value-of select="if ($unique-agent-rep-same-num = '1') then 'All descriptions of the adverse reaction are identical'   else 'For each adverse reactions all descriptions are identical'" /><xsl:text />
		so it is an error to record them as unique descriptions about the same adverse reaction. When there is only one description of an adverse reaction the description must be recorded once only.
		(See the information about Adverse Reaction in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and information about technical identifiers in section 8.2 of the
		<xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($unique-agent-rep-same-num = '1') then concat('The adverse reaction with this error has the substance/agent ''', $agent-rep-same-txt[1], '''.')   else concat('The adverse reactions with this error have the substance/agents: ''', string-join($agent-rep-same-txt[position() &lt; last()], ''', '''), ''' and ''', $agent-rep-same-txt[last()], '''.')" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists($agent-rep-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists($agent-rep-2)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Adverse Reactions section of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> contains multiple and potentially conflicting
		descriptions for <xsl:text /><xsl:value-of select="if ($unique-agent-rep-2-num = '1') then 'an adverse reaction' else concat(   if ($numbers/number[number(@value) = $unique-agent-rep-2-num]) then $numbers/number[number(@value) = $unique-agent-rep-2-num]/@name else $unique-agent-rep-2-num,   ' adverse reactions')" /><xsl:text />.
		Confirm if there are conflicting descriptions or if the descriptions should be merged so that there is one description
		<xsl:text /><xsl:value-of select="if ($unique-agent-rep-2-num = '1') then 'for the adverse reaction.' else 'for each adverse reaction.' " /><xsl:text />
		(See the information about Adverse Reaction in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> Structured Content Specification.)
		<xsl:text /><xsl:value-of select="if ($unique-agent-rep-2-num = '1') then concat('The adverse reaction with this error has the substance/agent ''', $agent-rep-2-txt[1], '''.')   else concat('The adverse reactions with this error have the substance/agents: ''', string-join($agent-rep-2-txt[position() &lt; last()], ''', '''), ''' and ''', $agent-rep-2-txt[last()], '''.')" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M983" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M983" />
  <xsl:template match="@*|node()" priority="-2" mode="M983">
    <xsl:apply-templates select="@*|*" mode="M983" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-21-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument['102.20158' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20158']]" priority="1000" mode="M984">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument['102.20158' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20158']]" />
    <xsl:variable name="requested-service" select="if (cda:entry/cda:act/cda:code/cda:originalText) then cda:entry/cda:act/cda:code/cda:originalText        else if (cda:entry/cda:act/cda:code/@displayName) then cda:entry/cda:act/cda:code/@displayName        else '' " />
    <xsl:variable name="booking-status" select="cda:entry/cda:act/@moodCode " />
    <xsl:variable name="request-de" select="cda:entry/cda:act/cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16635']]/cda:effectiveTime" />
    <xsl:variable name="request-dt" select="if (not($request-de/@value) or $request-de/cda:* or $request-de/@nullFlavor) then '' else $request-de/@value " />
    <xsl:variable name="scheduled-de" select="cda:entry/cda:act[not(@moodCode = 'INT')]/cda:effectiveTime[not(cda:*)]" />
    <xsl:variable name="scheduled-dt" select="if (not($scheduled-de/@value) or $scheduled-de/@nullFlavor) then '' else $scheduled-de/@value " />
    <xsl:variable name="window-de" select="cda:entry/cda:act/cda:effectiveTime[cda:* or ../@moodCode = 'INT'] " />
    <xsl:variable name="window-start" select="if ($window-de/@nullFlavor) then ''        else if ($window-de/@value) then $window-de/@value       else if ($window-de/cda:low/@value and not($window-de/cda:low/@nullFlavor)) then $window-de/cda:low/@value       else '' " />
    <xsl:variable name="window-end" select="if ($window-de/@nullFlavor) then ''        else if ($window-de/@value) then $window-de/@value       else if ($window-de/cda:high/@value and not($window-de/cda:high/@nullFlavor)) then $window-de/cda:high/@value       else '' " />
    <xsl:variable name="encounter-ivl" select="/cda:ClinicalDocument/cda:componentOf/cda:encompassingEncounter/cda:effectiveTime " />
    <xsl:variable name="encounter-start" select="if ($encounter-ivl/cda:low/@value) then $encounter-ivl/cda:low/@value else if ($encounter-ivl/@value) then $encounter-ivl/@value else '' " />
    <xsl:variable name="part-ivl" select="cda:entry/cda:act/cda:performer[@typeCode='PRF' and cda:assignedEntity[cda:representedOrganization or not(cda:assignedPerson)]]/cda:time " />
    <xsl:variable name="part-start" select="if ($part-ivl/@nullFlavor) then ''        else if ($part-ivl/@value) then $part-ivl/@value       else if ($part-ivl/cda:low/@value and not($part-ivl/cda:low/@nullFlavor)) then $part-ivl/cda:low/@value       else '' " />
    <xsl:variable name="part-end" select="if ($part-ivl/@nullFlavor) then ''        else if ($part-ivl/@value) then $part-ivl/@value       else if ($part-ivl/cda:high/@value and not($part-ivl/cda:high/@nullFlavor)) then $part-ivl/cda:high/@value       else '' " />
    <xsl:variable name="sched-before-req" select="if (matches($scheduled-dt, '^[0-9]{12,}') and matches($request-dt, '^[0-9]{12,}') and string-length($scheduled-dt) = string-length($request-dt))         then dh:IsFirstDateEarlierThanSecondDate($scheduled-dt, $request-dt) = '1'        else if (matches($scheduled-dt, '^[0-9]{12,}') and matches($request-dt, '^[0-9]{12,}'))          then dh:IsFirstDateEarlierThanSecondDate(replace($scheduled-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3'),          replace($request-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3')) = '1'        else if ($body-same-timezones and matches($request-dt, '^[0-9]{8}$') and matches($scheduled-dt, concat('^', $request-dt, '[0]{4}'))) then true()        else if (matches($scheduled-dt, '^[0-9]{4}') and matches($request-dt, '^[0-9]{4}'))         then dh:IsFirstDateEarlierThanSecondDate(substring($scheduled-dt, '1', string-length($request-dt)),           substring($request-dt, '1', string-length($scheduled-dt))) = '1'        else false() " />
    <xsl:variable name="sched-before-enc" select="if (matches($scheduled-dt, '^[0-9]{12,}') and matches($encounter-start, '^[0-9]{12,}') and string-length($scheduled-dt) = string-length($encounter-start))         then dh:IsFirstDateEarlierThanSecondDate($scheduled-dt, $encounter-start) = '1'        else if (matches($scheduled-dt, '^[0-9]{12,}') and matches($encounter-start, '^[0-9]{12,}'))          then dh:IsFirstDateEarlierThanSecondDate(replace($scheduled-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3'),          replace($encounter-start, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3')) = '1'        else if ($body-same-timezones and matches($encounter-start, '^[0-9]{8}$') and matches($scheduled-dt, concat('^', $encounter-start, '[0]{4}'))) then true()        else if (matches($scheduled-dt, '^[0-9]{4}') and matches($encounter-start, '^[0-9]{4}'))         then dh:IsFirstDateEarlierThanSecondDate(substring($scheduled-dt, '1', string-length($encounter-start)),           substring($encounter-start, '1', string-length($scheduled-dt))) = '1'        else false() " />
    <xsl:variable name="win-start-before-req" select="if (matches($window-start, '^[0-9]{12,}') and matches($request-dt, '^[0-9]{12,}') and string-length($window-start) = string-length($request-dt))          then dh:IsFirstDateEarlierThanSecondDate($window-start, $request-dt) = '1'        else if (matches($window-start, '^[0-9]{12,}') and matches($request-dt, '^[0-9]{12,}'))          then dh:IsFirstDateEarlierThanSecondDate(replace($window-start, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3'),           replace($request-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3')) = '1'        else if ($body-same-timezones and matches($request-dt, '^[0-9]{8}$') and matches($window-start, concat('^', $request-dt, '[0]{4}'))) then true()        else if (matches($window-start, '^[0-9]{4}') and matches($request-dt, '^[0-9]{4}'))         then dh:IsFirstDateEarlierThanSecondDate(substring($window-start, '1', string-length($request-dt)),           substring($request-dt, '1', string-length($window-start))) = '1'        else false() " />
    <xsl:variable name="win-end-before-req" select="if (matches($window-end, '^[0-9]{12,}') and matches($request-dt, '^[0-9]{12,}') and string-length($window-end) = string-length($request-dt))          then dh:IsFirstDateEarlierThanSecondDate($window-end, $request-dt) = '1'        else if (matches($window-end, '^[0-9]{12,}') and matches($request-dt, '^[0-9]{12,}'))          then dh:IsFirstDateEarlierThanSecondDate(replace($window-end, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3'),           replace($request-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3')) = '1'        else if ($body-same-timezones and matches($request-dt, '^[0-9]{8}$') and matches($window-end, concat('^', $request-dt, '[0]{4}'))) then true()        else if (matches($window-end, '^[0-9]{4}') and matches($request-dt, '^[0-9]{4}'))         then dh:IsFirstDateEarlierThanSecondDate(substring($window-end, '1', string-length($request-dt)),           substring($request-dt, '1', string-length($window-end))) = '1'        else false() " />
    <xsl:variable name="win-start-before-enc" select="if (matches($window-start, '^[0-9]{12,}') and matches($encounter-start, '^[0-9]{12,}') and string-length($window-start) = string-length($encounter-start))          then dh:IsFirstDateEarlierThanSecondDate($window-start, $encounter-start) = '1'        else if (matches($window-start, '^[0-9]{12,}') and matches($encounter-start, '^[0-9]{12,}'))          then dh:IsFirstDateEarlierThanSecondDate(replace($window-start, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3'),           replace($encounter-start, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3')) = '1'        else if ($body-same-timezones and matches($encounter-start, '^[0-9]{8}$') and matches($window-start, concat('^', $encounter-start, '[0]{4}'))) then true()        else if (matches($window-start, '^[0-9]{4}') and matches($encounter-start, '^[0-9]{4}'))         then dh:IsFirstDateEarlierThanSecondDate(substring($window-start, '1', string-length($encounter-start)),           substring($encounter-start, '1', string-length($window-start))) = '1'        else false() " />
    <xsl:variable name="win-end-before-enc" select="if (matches($window-end, '^[0-9]{12,}') and matches($encounter-start, '^[0-9]{12,}') and string-length($window-end) = string-length($encounter-start))          then dh:IsFirstDateEarlierThanSecondDate($window-end, $encounter-start) = '1'        else if (matches($window-end, '^[0-9]{12,}') and matches($encounter-start, '^[0-9]{12,}'))          then dh:IsFirstDateEarlierThanSecondDate(replace($window-end, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3'),           replace($encounter-start, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3')) = '1'        else if ($body-same-timezones and matches($encounter-start, '^[0-9]{8}$') and matches($window-end, concat('^', $encounter-start, '[0]{4}'))) then true()        else if (matches($window-end, '^[0-9]{4}') and matches($encounter-start, '^[0-9]{4}'))         then dh:IsFirstDateEarlierThanSecondDate(substring($window-end, '1', string-length($encounter-start)),           substring($encounter-start, '1', string-length($window-end))) = '1'        else false() " />
    <xsl:variable name="req-before-enc" select="if (matches($request-dt, '^[0-9]{12,}') and matches($encounter-start, '^[0-9]{12,}') and string-length($request-dt) = string-length($encounter-start))         then dh:IsFirstDateEarlierThanSecondDate($request-dt, $encounter-start) = '1'        else if (matches($request-dt, '^[0-9]{12,}') and matches($encounter-start, '^[0-9]{12,}'))          then dh:IsFirstDateEarlierThanSecondDate(replace($request-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3'),          replace($encounter-start, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3')) = '1'        else if ($body-same-timezones and matches($encounter-start, '^[0-9]{8}$') and matches($request-dt, concat('^', $encounter-start, '[0]{4}'))) then true()        else if (matches($request-dt, '^[0-9]{4}') and matches($encounter-start, '^[0-9]{4}'))         then dh:IsFirstDateEarlierThanSecondDate(substring($request-dt, '1', string-length($encounter-start)),           substring($encounter-start, '1', string-length($request-dt))) = '1'        else false() " />
    <xsl:variable name="status-err" select="($window-start != '' or $window-end != '') and $booking-status = 'EVN'" />
    <xsl:variable name="part-start-before-req" select="if (matches($part-start, '^[0-9]{12,}') and matches($request-dt, '^[0-9]{12,}') and string-length($part-start) = string-length($request-dt))          then dh:IsFirstDateEarlierThanSecondDate($part-start, $request-dt) = '1'        else if (matches($part-start, '^[0-9]{12,}') and matches($request-dt, '^[0-9]{12,}'))          then dh:IsFirstDateEarlierThanSecondDate(replace($part-start, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3'),           replace($request-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3')) = '1'        else if ($body-same-timezones and matches($request-dt, '^[0-9]{8}$') and matches($part-start, concat('^', $request-dt, '[0]{4}'))) then true()        else if (matches($part-start, '^[0-9]{4}') and matches($request-dt, '^[0-9]{4}'))         then dh:IsFirstDateEarlierThanSecondDate(substring($part-start, '1', string-length($request-dt)),           substring($request-dt, '1', string-length($part-start))) = '1'        else false() " />
    <xsl:variable name="part-end-before-req" select="if (matches($part-end, '^[0-9]{12,}') and matches($request-dt, '^[0-9]{12,}') and string-length($part-end) = string-length($request-dt))          then dh:IsFirstDateEarlierThanSecondDate($part-end, $request-dt) = '1'        else if (matches($part-end, '^[0-9]{12,}') and matches($request-dt, '^[0-9]{12,}'))          then dh:IsFirstDateEarlierThanSecondDate(replace($part-end, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3'),           replace($request-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3')) = '1'        else if ($body-same-timezones and matches($request-dt, '^[0-9]{8}$') and matches($part-end, concat('^', $request-dt, '[0]{4}'))) then true()        else if (matches($part-end, '^[0-9]{4}') and matches($request-dt, '^[0-9]{4}'))         then dh:IsFirstDateEarlierThanSecondDate(substring($part-end, '1', string-length($request-dt)),           substring($request-dt, '1', string-length($part-end))) = '1'        else false() " />
    <xsl:variable name="part-start-before-enc" select="if (matches($part-start, '^[0-9]{12,}') and matches($encounter-start, '^[0-9]{12,}') and string-length($part-start) = string-length($encounter-start))          then dh:IsFirstDateEarlierThanSecondDate($part-start, $encounter-start) = '1'        else if (matches($part-start, '^[0-9]{12,}') and matches($encounter-start, '^[0-9]{12,}'))          then dh:IsFirstDateEarlierThanSecondDate(replace($part-start, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3'),           replace($encounter-start, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3')) = '1'        else if ($body-same-timezones and matches($encounter-start, '^[0-9]{8}$') and matches($part-start, concat('^', $encounter-start, '[0]{4}'))) then true()        else if (matches($part-start, '^[0-9]{4}') and matches($encounter-start, '^[0-9]{4}'))         then dh:IsFirstDateEarlierThanSecondDate(substring($part-start, '1', string-length($encounter-start)),           substring($encounter-start, '1', string-length($part-start))) = '1'        else false() " />
    <xsl:variable name="part-end-before-enc" select="if (matches($part-end, '^[0-9]{12,}') and matches($encounter-start, '^[0-9]{12,}') and string-length($part-end) = string-length($encounter-start))          then dh:IsFirstDateEarlierThanSecondDate($part-end, $encounter-start) = '1'        else if (matches($part-end, '^[0-9]{12,}') and matches($encounter-start, '^[0-9]{12,}'))          then dh:IsFirstDateEarlierThanSecondDate(replace($part-end, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3'),           replace($encounter-start, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3')) = '1'        else if ($body-same-timezones and matches($encounter-start, '^[0-9]{8}$') and matches($part-end, concat('^', $encounter-start, '[0]{4}'))) then true()        else if (matches($part-end, '^[0-9]{4}') and matches($encounter-start, '^[0-9]{4}'))         then dh:IsFirstDateEarlierThanSecondDate(substring($part-end, '1', string-length($encounter-start)),           substring($encounter-start, '1', string-length($part-end))) = '1'        else false() " />
    <xsl:variable name="window-low-inclusive" select="if (not($window-de/cda:low)) then '' else if ($window-de/cda:low/@inclusive='false') then ' (excluded)' else ' (included)' " />
    <xsl:variable name="window-high-inclusive" select="if (not($window-de/cda:high)) then '' else if ($window-de/cda:high/@inclusive='false') then ' (excluded)' else ' (included)' " />
    <xsl:variable name="display-window" select="if (not($win-start-before-req or $win-end-before-req or $win-start-before-enc or $win-end-before-enc or $status-err)) then ''       else if ($window-de/@value and $window-de/cda:low/@value and $window-de/cda:high/@value)         then concat('value ', codepoints-to-string(34), $window-de/@value, codepoints-to-string(34), ', low value ', codepoints-to-string(34), $window-de/cda:low/@value,        codepoints-to-string(34), $window-low-inclusive, ' and high value ', codepoints-to-string(34), $window-de/cda:high/@value, codepoints-to-string(34), $window-high-inclusive)        else if ($window-de/@value and $window-de/cda:low/@value and not($window-de/cda:high/@value))         then concat('value ', codepoints-to-string(34), $window-de/@value, codepoints-to-string(34), ' and low value ', codepoints-to-string(34), $window-de/cda:low/@value,        codepoints-to-string(34), $window-low-inclusive)       else if ($window-de/@value and not($window-de/cda:low/@value) and $window-de/cda:high/@value)         then concat('value ', codepoints-to-string(34), $window-de/@value, codepoints-to-string(34), ' and high value ', codepoints-to-string(34),        $window-de/cda:high/@value, codepoints-to-string(34), $window-high-inclusive)       else if (not($window-de/@value) and $window-de/cda:low/@value and $window-de/cda:high/@value)         then concat('low value ', codepoints-to-string(34), $window-de/cda:low/@value, codepoints-to-string(34), $window-low-inclusive, ' and high value ',         codepoints-to-string(34), $window-de/cda:high/@value, codepoints-to-string(34), $window-high-inclusive)       else if ($window-de/@value and not($window-de/cda:low/@value) and not($window-de/cda:high/@value))         then concat('value ', codepoints-to-string(34), $window-de/@value, codepoints-to-string(34))       else if (not($window-de/@value) and $window-de/cda:low/@value and not($window-de/cda:high/@value))         then concat('low value ', codepoints-to-string(34), $window-de/cda:low/@value, codepoints-to-string(34), $window-low-inclusive)       else if (not($window-de/@value) and not($window-de/cda:low/@value) and $window-de/cda:high/@value)         then concat('high value ', codepoints-to-string(34), $window-de/cda:high/@value, codepoints-to-string(34), $window-high-inclusive)       else '' " />
    <xsl:variable name="part-low-inclusive" select="if (not($part-ivl/cda:low)) then '' else if ($part-ivl/cda:low/@inclusive='false') then ' (excluded)' else ' (included)' " />
    <xsl:variable name="part-high-inclusive" select="if (not($part-ivl/cda:high)) then '' else if ($part-ivl/cda:high/@inclusive='false') then ' (excluded)' else ' (included)' " />
    <xsl:variable name="display-part" select="if (not($part-start-before-req or $part-end-before-req or $part-start-before-enc or $part-end-before-enc)) then ''       else if ($part-ivl/@value and $part-ivl/cda:low/@value and $part-ivl/cda:high/@value)         then concat('value ', codepoints-to-string(34), $part-ivl/@value, codepoints-to-string(34), ', low value ', codepoints-to-string(34), $part-ivl/cda:low/@value,        codepoints-to-string(34), $part-low-inclusive, ' and high value ', codepoints-to-string(34), $part-ivl/cda:high/@value, codepoints-to-string(34), $part-high-inclusive)        else if ($part-ivl/@value and $part-ivl/cda:low/@value and not($part-ivl/cda:high/@value))         then concat('value ', codepoints-to-string(34), $part-ivl/@value, codepoints-to-string(34), ' and low value ', codepoints-to-string(34), $part-ivl/cda:low/@value,        codepoints-to-string(34), $part-low-inclusive)       else if ($part-ivl/@value and not($part-ivl/cda:low/@value) and $part-ivl/cda:high/@value)         then concat('value ', codepoints-to-string(34), $part-ivl/@value, codepoints-to-string(34), ' and high value ', codepoints-to-string(34),        $part-ivl/cda:high/@value, codepoints-to-string(34), $part-high-inclusive)       else if (not($part-ivl/@value) and $part-ivl/cda:low/@value and $part-ivl/cda:high/@value)         then concat('low value ', codepoints-to-string(34), $part-ivl/cda:low/@value, codepoints-to-string(34), $part-low-inclusive, ' and high value ',         codepoints-to-string(34), $part-ivl/cda:high/@value, codepoints-to-string(34), $part-high-inclusive)       else if ($part-ivl/@value and not($part-ivl/cda:low/@value) and not($part-ivl/cda:high/@value))         then concat('value ', codepoints-to-string(34), $part-ivl/@value, codepoints-to-string(34))       else if (not($part-ivl/@value) and $part-ivl/cda:low/@value and not($part-ivl/cda:high/@value))         then concat('low value ', codepoints-to-string(34), $part-ivl/cda:low/@value, codepoints-to-string(34), $part-low-inclusive)       else if (not($part-ivl/@value) and not($part-ivl/cda:low/@value) and $part-ivl/cda:high/@value)         then concat('high value ', codepoints-to-string(34), $part-ivl/cda:high/@value, codepoints-to-string(34), $part-high-inclusive)       else '' " />
    <xsl:variable name="display-service" select="if (not($sched-before-req or $sched-before-enc or $win-start-before-req or $win-end-before-req or $win-start-before-enc or $win-end-before-enc or $req-before-enc or $status-err)) then ''       else concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($requested-service, $text-pattern-replacement, 'ic')), codepoints-to-string(34), ' ') " />
    <xsl:variable name="enc-start-name" select="if (/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3']) then 'DateTime Subject of Care Seen'       else if (/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2']) then 'start of the Encounter Period TimeInterval'       else if (/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3']) then 'DateTime Health Event Started'        else 'start of the encounter' " />
    <xsl:variable name="provider-type" select="if (/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.132']) then 'specialist' else 'healthcare provider' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-01" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-01 " />
    <!--REPORT -->
    <xsl:if test=" $sched-before-req ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$sched-before-req">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: In the <xsl:text /><xsl:value-of select="iq:location(., 'Requested Service')" /><xsl:text /> the Requested Service DateTime 'entry/act/entryRelationship/act/effectiveTime' data element records the date
		(and optionally time) a <xsl:text /><xsl:value-of select="$display-service" /><xsl:text />service was requested and has the value '<xsl:text /><xsl:value-of select="$request-dt" /><xsl:text />'. The DateTime Service Scheduled
		'entry/act/effectiveTime' data element records
		the date (and optionally time) at which the arranged service is scheduled to be provided and has the value '<xsl:text /><xsl:value-of select="$scheduled-dt" /><xsl:text />' which is before the service
		request. The service to be provided must occur after the supply of the service was requested. (See the definitions and descriptions of Requested Service DateTime and DateTime Service
		Scheduled in the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $sched-before-enc ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$sched-before-enc">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The <xsl:text /><xsl:value-of select="$enc-start-name" /><xsl:text /> 'ClinicalDocument/componentOf/encompassingEncounter/effectiveTime' data element of the
		<xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> states the subject of care visited the <xsl:text /><xsl:value-of select="$provider-type" /><xsl:text /> on the date '<xsl:text /><xsl:value-of select="$encounter-start" /><xsl:text />'.
		The <xsl:text /><xsl:value-of select="iq:location(., 'Requested Service')" /><xsl:text /> of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> contains a DateTime Service Scheduled 'entry/act/effectiveTime' data element which records
		the date (and optionally time) at which a <xsl:text /><xsl:value-of select="$display-service" /><xsl:text />service is scheduled to be provided and has the value '<xsl:text /><xsl:value-of select="$scheduled-dt" /><xsl:text />' which is before the
		<xsl:text /><xsl:value-of select="$enc-start-name" /><xsl:text />. That is when the subject of care visited the <xsl:text /><xsl:value-of select="$provider-type" /><xsl:text /> the <xsl:text /><xsl:value-of select="$provider-type" /><xsl:text /> requested a service
		that they scheduled to be provided on date prior to the visit. One or more of the dates must be incorrect.
		(See the definitions and descriptions of <xsl:text /><xsl:value-of select="$enc-start-name" /><xsl:text /> and DateTime Service Scheduled in the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $win-start-before-req and not($win-end-before-req) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$win-start-before-req and not($win-end-before-req)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: In the <xsl:text /><xsl:value-of select="iq:location(., 'Requested Service')" /><xsl:text /> the Requested Service DateTime 'entry/act/entryRelationship/act/effectiveTime' data element records the date
		(and optionally time) a <xsl:text /><xsl:value-of select="$display-service" /><xsl:text />service was requested and has the value '<xsl:text /><xsl:value-of select="$request-dt" /><xsl:text />'. The Service Commencement Window
		'entry/act/effectiveTime' data element records
		the period of time for the service to be provided and has <xsl:text /><xsl:value-of select="$display-window" /><xsl:text /> which commences prior to the service request. The service to be supplied must
		occur after the supply of the service was requested. (See the definitions and descriptions of Requested Service DateTime and Service Commencement Window in the
		<xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $win-end-before-req ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$win-end-before-req">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: In the <xsl:text /><xsl:value-of select="iq:location(., 'Requested Service')" /><xsl:text /> the Requested Service DateTime 'entry/act/entryRelationship/act/effectiveTime' data element records the date
		(and optionally time) a <xsl:text /><xsl:value-of select="$display-service" /><xsl:text />service was requested and has the value '<xsl:text /><xsl:value-of select="$request-dt" /><xsl:text />'. The Service Commencement Window
		'entry/act/effectiveTime' data element records
		the period of time for the service to be provided and has <xsl:text /><xsl:value-of select="$display-window" /><xsl:text /> which
		<xsl:text /><xsl:value-of select="if ($win-start-before-req) then 'commences and ends' else 'ends' " /><xsl:text /> prior to the service request. The service to be supplied must
		occur after the supply of the service was requested. (See the definitions and descriptions of Requested Service DateTime and Service Commencement Window in the
		<xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $win-start-before-enc or $win-end-before-enc ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$win-start-before-enc or $win-end-before-enc">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The <xsl:text /><xsl:value-of select="$enc-start-name" /><xsl:text /> 'ClinicalDocument/componentOf/encompassingEncounter/effectiveTime' data element of the
		<xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> states the subject of care visited the <xsl:text /><xsl:value-of select="$provider-type" /><xsl:text /> on the date '<xsl:text /><xsl:value-of select="$encounter-start" /><xsl:text />'.
		The <xsl:text /><xsl:value-of select="iq:location(., 'Requested Service')" /><xsl:text /> of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> contains a Service Commencement Window 'entry/act/effectiveTime' data element which records
		the period of time for a <xsl:text /><xsl:value-of select="$display-service" /><xsl:text />service to be provided and has <xsl:text /><xsl:value-of select="$display-window" /><xsl:text /> which
		<xsl:text /><xsl:value-of select="if ($win-start-before-enc and $win-end-before-enc) then 'commences and ends' else if ($win-start-before-enc) then 'commences' else 'ends' " /><xsl:text />
		prior to the <xsl:text /><xsl:value-of select="$enc-start-name" /><xsl:text />. That is when the subject of care visited the <xsl:text /><xsl:value-of select="$provider-type" /><xsl:text /> the <xsl:text /><xsl:value-of select="$provider-type" /><xsl:text /> requested a service
		that was to be provided on date prior to the visit. One or more of the dates must be incorrect.
		(See the definitions and descriptions of <xsl:text /><xsl:value-of select="$enc-start-name" /><xsl:text /> and Service Commencement Window in the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $req-before-enc ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$req-before-enc">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The <xsl:text /><xsl:value-of select="$enc-start-name" /><xsl:text /> 'ClinicalDocument/componentOf/encompassingEncounter/effectiveTime' data element of the
		<xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> states the subject of care visited the <xsl:text /><xsl:value-of select="$provider-type" /><xsl:text /> on the date '<xsl:text /><xsl:value-of select="$encounter-start" /><xsl:text />'.
		The <xsl:text /><xsl:value-of select="iq:location(., 'Requested Service')" /><xsl:text /> of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> contains a Requested Service DateTime 'entry/act/entryRelationship/act/effectiveTime' data element
		which records the date (and optionally time) a <xsl:text /><xsl:value-of select="$display-service" /><xsl:text />service was requested and has the value '<xsl:text /><xsl:value-of select="$request-dt" /><xsl:text />' which is before the
		<xsl:text /><xsl:value-of select="$enc-start-name" /><xsl:text />. That is when the subject of care visited the <xsl:text /><xsl:value-of select="$provider-type" /><xsl:text /> the <xsl:text /><xsl:value-of select="$provider-type" /><xsl:text /> requested a service
		and the date of the request was prior to the visit. One or more of the dates must be incorrect.
		(See the definitions and descriptions of <xsl:text /><xsl:value-of select="$enc-start-name" /><xsl:text /> and DateTime Service Scheduled in the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $status-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$status-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: In the <xsl:text /><xsl:value-of select="iq:location(., 'Requested Service')" /><xsl:text /> the Service Booking Status 'entry/act/moodCode' data element is an indication of the booking status of
		the arranged service and has the value '<xsl:text /><xsl:value-of select="$booking-status" /><xsl:text />' which indicates a <xsl:text /><xsl:value-of select="$display-service" /><xsl:text />service has occurred. The Service Commencement Window
		'entry/act/effectiveTime' data element records the period of time for the service to be provided and
		has <xsl:text /><xsl:value-of select="$display-window" /><xsl:text />. If the value of the Service Booking Status is correct then the service has been provided so the
		'entry/act/effectiveTime' data element is expected to record the date the service was performed
		rather than a window of dates for the service to be provided.
		(See the definitions and descriptions of Service Booking Status and Service Commencement Window in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $part-start-before-req and not($part-end-before-req) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$part-start-before-req and not($part-end-before-req)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: In the <xsl:text /><xsl:value-of select="iq:location(., 'Requested Service')" /><xsl:text /> the Requested Service DateTime 'entry/act/entryRelationship/act/effectiveTime' data element records
		the date (and optionally time) a <xsl:text /><xsl:value-of select="$display-service" /><xsl:text />service was requested and has the value '<xsl:text /><xsl:value-of select="$request-dt" /><xsl:text />'. The Service Provider (Organisation)
		Participation Period 'entry/act/performer/time' data element records when the service provider is to perform the service and has <xsl:text /><xsl:value-of select="$display-part" /><xsl:text /> which commences prior to
		the service request. The performance of the service must occur after the supply of the service was requested. (See the definitions and descriptions of Requested Service DateTime and
		Service Provider (Organisation) Participation Period in the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $part-end-before-req ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$part-end-before-req">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: In the <xsl:text /><xsl:value-of select="iq:location(., 'Requested Service')" /><xsl:text /> the Requested Service DateTime 'entry/act/entryRelationship/act/effectiveTime' data element records
		the date (and optionally time) a <xsl:text /><xsl:value-of select="$display-service" /><xsl:text />service was requested and has the value '<xsl:text /><xsl:value-of select="$request-dt" /><xsl:text />'. The Service Provider (Organisation)
		Participation Period 'entry/act/performer/time' data element records when the service provider is to perform the service and has
		<xsl:text /><xsl:value-of select="$display-part" /><xsl:text /> which <xsl:text /><xsl:value-of select="if ($part-start-before-req) then 'commences and ends' else 'ends' " /><xsl:text /> prior to the service request. The performance of the service
		must occur after the supply of the service was requested. (See the definitions and descriptions of Requested Service DateTime and Service Provider (Organisation) Participation Period in the
		<xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $part-start-before-enc or $part-end-before-enc ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$part-start-before-enc or $part-end-before-enc">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The <xsl:text /><xsl:value-of select="$enc-start-name" /><xsl:text /> 'ClinicalDocument/componentOf/encompassingEncounter/effectiveTime' data element of the
		<xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> states the subject of care visited the <xsl:text /><xsl:value-of select="$provider-type" /><xsl:text /> on the date '<xsl:text /><xsl:value-of select="$encounter-start" /><xsl:text />'.
		The <xsl:text /><xsl:value-of select="iq:location(., 'Requested Service')" /><xsl:text /> of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> contains a Service Provider (Organisation) Participation Period 'entry/act/performer/time' data element
		which records when the service provider is to perform a <xsl:text /><xsl:value-of select="$display-service" /><xsl:text />service and has <xsl:text /><xsl:value-of select="$display-part" /><xsl:text /> which
		<xsl:text /><xsl:value-of select="if ($part-start-before-enc or $part-end-before-enc) then 'commences and ends' else if ($part-start-before-req) then 'commences' else 'ends' " /><xsl:text />
		prior to the <xsl:text /><xsl:value-of select="$enc-start-name" /><xsl:text />. That is when the subject of care visited the <xsl:text /><xsl:value-of select="$provider-type" /><xsl:text /> the <xsl:text /><xsl:value-of select="$provider-type" /><xsl:text /> requested a
		service that was to be performed on date prior to the visit. One or more of the dates must be incorrect.
		(See the definitions and descriptions of <xsl:text /><xsl:value-of select="$enc-start-name" /><xsl:text /> and Service Provider (Organisation) Participation Period in the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M984" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M984" />
  <xsl:template match="@*|node()" priority="-2" mode="M984">
    <xsl:apply-templates select="@*|*" mode="M984" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-22-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument/cda:effectiveTime " priority="1000" mode="M985">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument/cda:effectiveTime " />
    <xsl:variable name="creation-dte" select="current() " />
    <xsl:variable name="creation-dt" select="if ($creation-dte/@value) then $creation-dte/@value else '' " />
    <xsl:variable name="creation-dt-w-time" select="matches($creation-dt, '^[0-9]{12,}')" />
    <xsl:variable name="authored-dte" select="if (/cda:ClinicalDocument/cda:author/cda:time) then /cda:ClinicalDocument/cda:author/cda:time        else () " />
    <xsl:variable name="authored-dt" select="if ($authored-dte/@value) then $authored-dte/@value         else if ($authored-dte/cda:high/@value) then $authored-dte/cda:high/@value        else '' " />
    <xsl:variable name="reporting-ppe" select="if (/cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.220']]) then         /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20018']]/cda:author/cda:time        else if (/cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.222']]) then         /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16945']]/cda:author/cda:time        else () " />
    <xsl:variable name="reporting-end" select="if (not($reporting-ppe)) then ''        else if ($reporting-ppe/@value) then $reporting-ppe/@value        else if ($reporting-ppe/cda:high/@value) then $reporting-ppe/cda:high/@value        else '' " />
    <xsl:variable name="attested-elem" select="if (not(exists(/cda:ClinicalDocument[cda:templateId[@root = ('1.2.36.1.2001.1001.100.1002.170', '1.2.36.1.2001.1001.100.1002.171')]]))) then ()         else if (/cda:ClinicalDocument/cda:legalAuthenticator/cda:time) then /cda:ClinicalDocument/cda:legalAuthenticator/cda:time        else () " />
    <xsl:variable name="attested-dt" select="if ($attested-elem/@value) then $attested-elem/@value        else if ($attested-elem/cda:high/@value) then $attested-elem/cda:high/@value         else '' " />
    <xsl:variable name="authored-dt-err" select="if ($creation-dt-w-time and matches($authored-dt, '^[0-9]{12,}') and string-length($creation-dt) = string-length($authored-dt))          then dh:IsFirstDateEarlierThanSecondDate($creation-dt, $authored-dt) = '1'        else if ($creation-dt-w-time and matches($authored-dt, '^[0-9]{12,}'))          then dh:IsFirstDateEarlierThanSecondDate(replace($creation-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3'),           replace($authored-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3')) = '1'        else if (matches($creation-dt, '^[0-9]{4}') and matches($authored-dt, '^[0-9]{4}'))         then dh:IsFirstDateEarlierThanSecondDate(substring($creation-dt, '1', string-length($authored-dt)),           substring($authored-dt, '1', string-length($creation-dt))) = '1'        else false() " />
    <xsl:variable name="reporting-end-err" select="if ($creation-dt-w-time and matches($reporting-end, '^[0-9]{12,}') and string-length($creation-dt) = string-length($reporting-end))          then dh:IsFirstDateEarlierThanSecondDate($creation-dt, $reporting-end) = '1'        else if ($creation-dt-w-time and matches($reporting-end, '^[0-9]{12,}'))          then dh:IsFirstDateEarlierThanSecondDate(replace($creation-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3'),           replace($reporting-end, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3')) = '1'        else if (matches($creation-dt, '^[0-9]{4}') and matches($reporting-end, '^[0-9]{4}'))         then dh:IsFirstDateEarlierThanSecondDate(substring($creation-dt, '1', string-length($reporting-end)),           substring($reporting-end, '1', string-length($creation-dt))) = '1'        else false() " />
    <xsl:variable name="attested-before-created" select="if ($attested-dt = '' or $creation-dt = '') then false()        else if (matches($attested-dt, '^[0-9]{12,}') and matches($creation-dt, '^[0-9]{12,}') and          string-length($attested-dt) = string-length($creation-dt))          then dh:IsFirstDateEarlierThanSecondDate($attested-dt, $creation-dt) = '1'        else if (matches($attested-dt, '^[0-9]{12,}') and matches($creation-dt, '^[0-9]{12,}'))          then dh:IsFirstDateEarlierThanSecondDate(replace($attested-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3'),           replace($creation-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3')) = '1'        else if (matches($attested-dt, '^[0-9]{4}') and matches($creation-dt, '^[0-9]{4}'))         then dh:IsFirstDateEarlierThanSecondDate(substring($attested-dt, '1', string-length($creation-dt)),           substring($creation-dt, '1', string-length($attested-dt))) = '1'        else false() " />
    <xsl:variable name="authored-name" select="if (/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.170' and @extension = '1.0']) then 'DateTime Prescription Written'         else if (/cda:ClinicalDocument/cda:templateId[        (@root = '1.2.36.1.2001.1001.101.100.1002.156' and @extension = '1.0')    or        (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')    or        (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')    or        (@root = '1.2.36.1.2001.1001.100.1002.171' and @extension = '1.0')    ]) then 'DateTime Authored'         else 'end of the Document Author Participation Period' " />
    <xsl:variable name="reporting-name" select="if (/cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.220']]) then 'Reporting Pathologist'        else if (/cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.222']]) then 'Reporting Radiologist'        else '' " />
    <xsl:variable name="reporting-interval" select="if ($reporting-ppe/@value)         then concat(' the ', $reporting-name, ' Participation Period started and ended at ''', $reporting-ppe/@value, '''')        else if ($reporting-ppe/cda:low/@value and $reporting-ppe/cda:high/@value)         then concat(' the ', $reporting-name, ' Participation Period started at ''', $reporting-ppe/cda:low/@value, ''' and ended at ',          $reporting-ppe/cda:high/@value, '''')        else if ($reporting-ppe/cda:low/@value)         then concat(' the ', $reporting-name, ' Participation Period started at ''', $reporting-ppe/cda:low/@value, '''')        else if ($reporting-ppe/cda:high/@value)         then concat(' the ', $reporting-name, ' Participation Period ended at ''', $reporting-ppe/cda:high/@value, '''')        else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-01" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-01 " />
    <!--REPORT -->
    <xsl:if test=" $attested-before-created ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$attested-before-created">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The document creation time 'ClinicalDocument/effectiveTime' data element in the document header
		has the value '<xsl:text /><xsl:value-of select="$creation-dt" /><xsl:text />' and the time of legal authentication 'ClinicalDocument/legalAuthenticator/time' data element has the value
		'<xsl:text /><xsl:value-of select="$attested-dt" /><xsl:text />' which is before the document creation time.
		As the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> is a transform into a CDA document of an original document in some other format
		the document creation time is required to be the time the original <xsl:text /><xsl:value-of select="if (/cda:ClinicalDocument/cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.171') then 'dispense record'   else 'prescription record' " /><xsl:text /> was created. Therefore the document creation time must be before the time of legal authentication so that there is a
		<xsl:text /><xsl:value-of select="if (/cda:ClinicalDocument/cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.171') then 'dispense record'   else 'prescription record' " /><xsl:text /> to authenticate.
		(See the definition of Document Creation Time in section 4.2.1.4 of HL7 Clinical Document Architecture, Release 2.0 and section 5.1 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />
		CDA Implementation Guide.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$authored-dt-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$authored-dt-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> Document Creation Time 'ClinicalDocument/effectiveTime' data element in the document header
		has the value '<xsl:text /><xsl:value-of select="$creation-dt" /><xsl:text />' and the <xsl:text /><xsl:value-of select="$authored-name" /><xsl:text />
		'ClinicalDocument/author/time' data element in the document header has the value '<xsl:text /><xsl:value-of select="$authored-dt" /><xsl:text />'. 
		It is an error to state that that information in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was still being authored after the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created.
		(See the definition of Document Creation Time in section 4.2.1.4 of HL7 Clinical Document Architecture, Release 2.0 and the definition of
		<xsl:text /><xsl:value-of select="$authored-name" /><xsl:text /> in section 6 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if (/cda:ClinicalDocument/cda:relatedDocument/@typeCode = 'XFRM') then concat('As the ', $document-name, ' is a transform of an original document in some other format ',   'then the Document Creation Time is the time the original document was created and not when the content was transformed into a CDA format.')   else concat('Where the CDA document is a transform from an original document in some other format the Document Creation Time is the time the original document is created rather than ',   'when the content was transformed into a CDA format.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$reporting-end-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$reporting-end-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> Document Creation Time 'ClinicalDocument/effectiveTime' data element in the document header
		has the value '<xsl:text /><xsl:value-of select="$creation-dt" /><xsl:text />' and the <xsl:text /><xsl:value-of select="$reporting-name" /><xsl:text /> Participation Period 'section/author/time' data element in the
		<xsl:text /><xsl:value-of select="if (/cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.220']]) then 'Pathology' else 'Diagnostic Imaging' " /><xsl:text /> section
		has a value indicating<xsl:text /><xsl:value-of select="$reporting-interval" /><xsl:text />. It is an error that the
		<xsl:text /><xsl:value-of select="if (/cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.220']]) then 'pathology test result' else 'diagnostic imaging report' " /><xsl:text />
		recorded in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was authorised by the <xsl:text /><xsl:value-of select="$reporting-name" /><xsl:text /> after the creation of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. The 
		<xsl:text /><xsl:value-of select="if (/cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.220']]) then 'pathology test result' else 'diagnostic imaging report' " /><xsl:text />
 		needs to be authorised by the <xsl:text /><xsl:value-of select="$reporting-name" /><xsl:text /> before the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> is created.
		(See the definition of Document Creation Time in section 4.2.1.4 of HL7 Clinical Document Architecture, Release 2.0 and the definition of the
		<xsl:text /><xsl:value-of select="$reporting-name" /><xsl:text /> Participation Period in section 7.1.1.2 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide v1.0.)
		<xsl:text /><xsl:value-of select="if (/cda:ClinicalDocument/cda:relatedDocument/@typeCode = 'XFRM') then concat('As the ', $document-name, ' is a transform of an original document in some other format ',   'then the Document Creation Time is the time the original document was created and not when the content was transformed into a CDA format.')   else concat('Where the CDA document is a transform from an original document in some other format the Document Creation Time is the time the original document is created rather than ',   'when the content was transformed into a CDA format.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M985" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M985" />
  <xsl:template match="@*|node()" priority="-2" mode="M985">
    <xsl:apply-templates select="@*|*" mode="M985" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-23-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[cda:templateId[@root = ('1.2.36.1.2001.1001.100.1002.220', '1.2.36.1.2001.1001.100.1002.222')]]/cda:participant/cda:time " priority="1000" mode="M986">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[cda:templateId[@root = ('1.2.36.1.2001.1001.100.1002.220', '1.2.36.1.2001.1001.100.1002.222')]]/cda:participant/cda:time " />
    <xsl:variable name="requester-ppe" select="current() " />
    <xsl:variable name="requester-end" select="if ($requester-ppe/@value) then $requester-ppe/@value        else if ($requester-ppe/cda:high/@value) then $requester-ppe/cda:high/@value        else '' " />
    <xsl:variable name="reporting-ppe" select="if (/cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.220']]) then         /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20018']]/cda:author/cda:time        else if (/cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.222']]) then         /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16945']]/cda:author/cda:time        else () " />
    <xsl:variable name="reporting-start" select="if (not($reporting-ppe)) then ''        else if ($reporting-ppe/@value) then $reporting-ppe/@value        else if ($reporting-ppe/cda:low/@value) then $reporting-ppe/cda:low/@value        else '' " />
    <xsl:variable name="reporting-end" select="if (not($reporting-ppe)) then ''        else if ($reporting-ppe/@value) then $reporting-ppe/@value        else if ($reporting-ppe/cda:high/@value) then $reporting-ppe/cda:high/@value        else '' " />
    <xsl:variable name="start-before-request" select="if (matches($reporting-start, '^[0-9]{12,}') and matches($requester-end, '^[0-9]{12,}') and          string-length($reporting-start) = string-length($requester-end))          then dh:IsFirstDateEarlierThanSecondDate($reporting-start, $requester-end) = '1'        else if (matches($reporting-start, '^[0-9]{12,}') and matches($requester-end, '^[0-9]{12,}'))          then dh:IsFirstDateEarlierThanSecondDate(replace($reporting-start, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3'),           replace($requester-end, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3')) = '1'        else if ($body-same-timezones and matches($requester-end, '^[0-9]{8}$') and          matches($reporting-start, concat('^', $requester-end, '[0]{4}'))) then true()        else if (matches($reporting-start, '^[0-9]{4}') and matches($requester-end, '^[0-9]{4}'))         then dh:IsFirstDateEarlierThanSecondDate(substring($reporting-start, '1', string-length($requester-end)),           substring($requester-end, '1', string-length($reporting-start))) = '1'        else false() " />
    <xsl:variable name="end-before-request" select="if (matches($reporting-end, '^[0-9]{12,}') and matches($requester-end, '^[0-9]{12,}') and          string-length($reporting-end) = string-length($requester-end))          then dh:IsFirstDateEarlierThanSecondDate($reporting-end, $requester-end) = '1'        else if (matches($reporting-end, '^[0-9]{12,}') and matches($requester-end, '^[0-9]{12,}'))          then dh:IsFirstDateEarlierThanSecondDate(replace($reporting-end, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3'),           replace($requester-end, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3')) = '1'        else if ($body-same-timezones and matches($requester-end, '^[0-9]{8}$') and matches($reporting-end, concat('^', $requester-end, '[0]{4}'))) then true()        else if (matches($reporting-end, '^[0-9]{4}') and matches($requester-end, '^[0-9]{4}'))         then dh:IsFirstDateEarlierThanSecondDate(substring($reporting-end, '1', string-length($requester-end)),           substring($requester-end, '1', string-length($reporting-end))) = '1'        else false() " />
    <xsl:variable name="reporting-name" select="if (/cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.220']]) then 'Reporting Pathologist'        else if (/cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.222']]) then 'Reporting Radiologist'        else '' " />
    <xsl:variable name="reporting-interval" select="if ($reporting-ppe/@value)         then concat(' the ', $reporting-name, ' Participation Period started and ended at ''', $reporting-ppe/@value, '''')        else if ($reporting-ppe/cda:low/@value and $reporting-ppe/cda:high/@value)         then concat(' the ', $reporting-name, ' Participation Period started at ''', $reporting-ppe/cda:low/@value, ''' and ended at ',          $reporting-ppe/cda:high/@value, '''')        else if ($reporting-ppe/cda:low/@value)         then concat(' the ', $reporting-name, ' Participation Period started at ''', $reporting-ppe/cda:low/@value, '''')        else if ($reporting-ppe/cda:high/@value)         then concat(' the ', $reporting-name, ' Participation Period ended at ''', $reporting-ppe/cda:high/@value, '''')        else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-01" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-01 " />
    <!--REPORT -->
    <xsl:if test=" $end-before-request ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$end-before-request">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Requester Participation Period 'ClinicalDocument/participant/time' data element in the document header
		has a value indicating that the request for
		<xsl:text /><xsl:value-of select="if (/cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.220']]) then 'pathology' else 'diagnostic imaging' " /><xsl:text />
		services was completed at '<xsl:text /><xsl:value-of select="$requester-end" /><xsl:text />'
		and the <xsl:text /><xsl:value-of select="$reporting-name" /><xsl:text /> Participation Period 'section/author/time' data element in the
		<xsl:text /><xsl:value-of select="if (/cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.220']]) then 'Pathology' else 'Diagnostic Imaging' " /><xsl:text /> section
		has a value indicating<xsl:text /><xsl:value-of select="$reporting-interval" /><xsl:text />. That is the <xsl:text /><xsl:value-of select="$reporting-name" /><xsl:text /> completed their services before they were
		requested to commence which must be an error. (See the definition of the Requester Participation Period and <xsl:text /><xsl:value-of select="$reporting-name" /><xsl:text /> Participation Period in the
		<xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $start-before-request and not($end-before-request) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$start-before-request and not($end-before-request)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Requester Participation Period 'ClinicalDocument/participant/time' data element in the document header
		has a value indicating that the request for
		<xsl:text /><xsl:value-of select="if (/cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.220']]) then 'pathology' else 'diagnostic imaging' " /><xsl:text />
		services was completed at '<xsl:text /><xsl:value-of select="$requester-end" /><xsl:text />'
		and the <xsl:text /><xsl:value-of select="$reporting-name" /><xsl:text /> Participation Period 'section/author/time' data element in the
		<xsl:text /><xsl:value-of select="if (/cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.220']]) then 'Pathology' else 'Diagnostic Imaging' " /><xsl:text /> section
		has a value indicating<xsl:text /><xsl:value-of select="$reporting-interval" /><xsl:text />. That is the <xsl:text /><xsl:value-of select="$reporting-name" /><xsl:text /> commenced their services before they were
		requested which must be an error. (See the definition of the Requester Participation Period and <xsl:text /><xsl:value-of select="$reporting-name" /><xsl:text /> Participation Period in the
		<xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M986" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M986" />
  <xsl:template match="@*|node()" priority="-2" mode="M986">
    <xsl:apply-templates select="@*|*" mode="M986" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-24-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16117' = $doc-sections][cda:templateId[    (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3') or    (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.4')]]/cda:component/cda:structuredBody/cda:component/     cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/    cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]/cda:effectiveTime/cda:low   |     /cda:ClinicalDocument['101.16117' = $doc-sections][cda:templateId[    (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2') or    (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.3') or    (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')]]/cda:component/cda:structuredBody/cda:component/     cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/    cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]/cda:effectiveTime[@value or @nullFlavor]  |    /cda:ClinicalDocument['101.16117' = $doc-sections][cda:templateId[    (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2') or    (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.3') or    (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')]]/cda:component/cda:structuredBody/cda:component/     cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/    cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]/cda:effectiveTime/*[@value or @nullFlavor] " priority="1000" mode="M987">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16117' = $doc-sections][cda:templateId[    (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3') or    (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.4')]]/cda:component/cda:structuredBody/cda:component/     cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/    cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]/cda:effectiveTime/cda:low   |     /cda:ClinicalDocument['101.16117' = $doc-sections][cda:templateId[    (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2') or    (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.3') or    (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')]]/cda:component/cda:structuredBody/cda:component/     cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/    cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]/cda:effectiveTime[@value or @nullFlavor]  |    /cda:ClinicalDocument['101.16117' = $doc-sections][cda:templateId[    (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2') or    (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.3') or    (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')]]/cda:component/cda:structuredBody/cda:component/     cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/    cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]/cda:effectiveTime/*[@value or @nullFlavor] " />
    <xsl:variable name="creation-dte" select="/cda:ClinicalDocument/cda:effectiveTime " />
    <xsl:variable name="creation-dt" select="if ($creation-dte/@value) then $creation-dte/@value else '' " />
    <xsl:variable name="creation-dt-w-time" select="matches($creation-dt, '^[0-9]{12,}')" />
    <xsl:variable name="problem-onset" select="if (@value) then @value else '' " />
    <xsl:variable name="problem-onset-err" select="if ($creation-dt-w-time and matches($problem-onset, '^[0-9]{12,}') and string-length($creation-dt) = string-length($problem-onset))          then dh:IsFirstDateEarlierThanSecondDate($creation-dt, $problem-onset) = '1'        else if ($creation-dt-w-time and matches($problem-onset, '^[0-9]{12,}'))          then dh:IsFirstDateEarlierThanSecondDate(replace($creation-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3'),           replace($problem-onset, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3')) = '1'        else if (matches($creation-dt, '^[0-9]{4}') and matches($problem-onset, '^[0-9]{4}'))         then dh:IsFirstDateEarlierThanSecondDate(substring($creation-dt, '1', string-length($problem-onset)),           substring($problem-onset, '1', string-length($creation-dt))) = '1'        else false() " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-01" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-01 " />
    <!--REPORT -->
    <xsl:if test="$problem-onset-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$problem-onset-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> Document Creation Time 'ClinicalDocument/effectiveTime' data element in the document header
		has the value '<xsl:text /><xsl:value-of select="$creation-dt" /><xsl:text />' and the Problem/Diagnosis Date of Onset
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the Medical History section
		has the value '<xsl:text /><xsl:value-of select="$problem-onset" /><xsl:text />'. It is an error that the Medical History Problem/Diagnosis Date of Onset occurs after the creation of the
		<xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		The Problem/Diagnosis Date of Onset must occur before the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> is created.
		(See the definition of Document Creation Time in section 4.2.1.4 of HL7 Clinical Document Architecture, Release 2.0 and the definition of the
		Problem/Diagnosis Date of Onset in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M987" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M987" />
  <xsl:template match="@*|node()" priority="-2" mode="M987">
    <xsl:apply-templates select="@*|*" mode="M987" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-25-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/   cda:entry/cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]/cda:entryRelationship[@typeCode='SUBJ']/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]/cda:value " priority="1000" mode="M988">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/   cda:entry/cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]/cda:entryRelationship[@typeCode='SUBJ']/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]/cda:value " />
    <xsl:variable name="creation-dte" select="/cda:ClinicalDocument/cda:effectiveTime " />
    <xsl:variable name="creation-dt" select="if ($creation-dte/@value) then $creation-dte/@value else '' " />
    <xsl:variable name="creation-dt-w-time" select="matches($creation-dt, '^[0-9]{12,}')" />
    <xsl:variable name="problem-resolution" select="if (@value) then @value else '' " />
    <xsl:variable name="problem-resolution-err" select="if ($creation-dt-w-time and matches($problem-resolution, '^[0-9]{12,}') and string-length($creation-dt) = string-length($problem-resolution))          then dh:IsFirstDateEarlierThanSecondDate($creation-dt, $problem-resolution) = '1'        else if ($creation-dt-w-time and matches($problem-resolution, '^[0-9]{12,}'))          then dh:IsFirstDateEarlierThanSecondDate(replace($creation-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3'),           replace($problem-resolution, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3')) = '1'        else if (matches($creation-dt, '^[0-9]{4}') and matches($problem-resolution, '^[0-9]{4}'))         then dh:IsFirstDateEarlierThanSecondDate(substring($creation-dt, '1', string-length($problem-resolution)),           substring($problem-resolution, '1', string-length($creation-dt))) = '1'        else false() " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-01" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-01 " />
    <!--REPORT -->
    <xsl:if test="$problem-resolution-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$problem-resolution-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> Document Creation Time 'ClinicalDocument/effectiveTime' data element in the document header
		has the value '<xsl:text /><xsl:value-of select="$creation-dt" /><xsl:text />' and the Problem/Diagnosis Date of Resolution/Remission 'entryRelationship/observation/value' data element in the Medical History section
		has the value '<xsl:text /><xsl:value-of select="$problem-resolution" /><xsl:text />'. It is an error that the Medical History Problem/Diagnosis Date of Resolution/Remission occurs after the creation of the
		<xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		The Problem/Diagnosis Date of Resolution/Remission must occur before the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> is created.
		(See the definition of Document Creation Time in section 4.2.1.4 of HL7 Clinical Document Architecture, Release 2.0 and the definition of the
		Problem/Diagnosis Date of Resolution/Remission in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M988" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M988" />
  <xsl:template match="@*|node()" priority="-2" mode="M988">
    <xsl:apply-templates select="@*|*" mode="M988" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-26-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16117' = $doc-sections][cda:templateId[    (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2') or    (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.3') or    (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')]]/cda:component/cda:structuredBody/cda:component/     cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/cda:procedure/cda:effectiveTime[@value or @nullFlavor] |     /cda:ClinicalDocument['101.16117' = $doc-sections][cda:templateId[    (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2') or    (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.3') or    (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')]]/cda:component/cda:structuredBody/cda:component/     cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/cda:procedure/cda:effectiveTime/*[@value or @nullFlavor] " priority="1000" mode="M989">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16117' = $doc-sections][cda:templateId[    (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2') or    (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.3') or    (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')]]/cda:component/cda:structuredBody/cda:component/     cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/cda:procedure/cda:effectiveTime[@value or @nullFlavor] |     /cda:ClinicalDocument['101.16117' = $doc-sections][cda:templateId[    (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2') or    (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.3') or    (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')]]/cda:component/cda:structuredBody/cda:component/     cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/cda:procedure/cda:effectiveTime/*[@value or @nullFlavor] " />
    <xsl:variable name="creation-dte" select="/cda:ClinicalDocument/cda:effectiveTime " />
    <xsl:variable name="creation-dt" select="if ($creation-dte/@value) then $creation-dte/@value else '' " />
    <xsl:variable name="creation-dt-w-time" select="matches($creation-dt, '^[0-9]{12,}')" />
    <xsl:variable name="procedure-started" select="if (@value) then @value else '' " />
    <xsl:variable name="procedure-started-err" select="if ($creation-dt-w-time and matches($procedure-started, '^[0-9]{12,}') and string-length($creation-dt) = string-length($procedure-started))          then dh:IsFirstDateEarlierThanSecondDate($creation-dt, $procedure-started) = '1'        else if ($creation-dt-w-time and matches($procedure-started, '^[0-9]{12,}'))          then dh:IsFirstDateEarlierThanSecondDate(replace($creation-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3'),           replace($procedure-started, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3')) = '1'        else if (matches($creation-dt, '^[0-9]{4}') and matches($procedure-started, '^[0-9]{4}'))         then dh:IsFirstDateEarlierThanSecondDate(substring($creation-dt, '1', string-length($procedure-started)),           substring($procedure-started, '1', string-length($creation-dt))) = '1'        else false() " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-01" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-01 " />
    <!--REPORT -->
    <xsl:if test="$procedure-started-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$procedure-started-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> Document Creation Time 'ClinicalDocument/effectiveTime' data element in the document header
		has the value '<xsl:text /><xsl:value-of select="$creation-dt" /><xsl:text />' and the Procedure DateTime Started 'entry/procedure/effectiveTime' data element in the Medical History section
		has the value '<xsl:text /><xsl:value-of select="$procedure-started" /><xsl:text />'. It is an error that the Medical History Procedure DateTime Started occurs after the creation of the
		<xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		The Procedure DateTime Started must occur before the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> is created.
		(See the definition of Document Creation Time in section 4.2.1.4 of HL7 Clinical Document Architecture, Release 2.0 and the definition of the
		Procedure DateTime Started in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M989" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M989" />
  <xsl:template match="@*|node()" priority="-2" mode="M989">
    <xsl:apply-templates select="@*|*" mode="M989" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-27-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16627']]/cda:effectiveTime " priority="1000" mode="M990">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16627']]/cda:effectiveTime " />
    <xsl:variable name="creation-dte" select="/cda:ClinicalDocument/cda:effectiveTime " />
    <xsl:variable name="creation-dt" select="if ($creation-dte/@value) then $creation-dte/@value else '' " />
    <xsl:variable name="creation-dt-w-time" select="matches($creation-dt, '^[0-9]{12,}')" />
    <xsl:variable name="med-hist-start" select="if (cda:low/@value) then cda:low/@value else if (@value) then @value else '' " />
    <xsl:variable name="med-hist-end" select="if (cda:low/@value) then cda:high/@value else if (@value) then @value else '' " />
    <xsl:variable name="med-hist-start-err" select="if ($creation-dt-w-time and matches($med-hist-start, '^[0-9]{12,}') and string-length($creation-dt) = string-length($med-hist-start))          then dh:IsFirstDateEarlierThanSecondDate($creation-dt, $med-hist-start) = '1'        else if ($creation-dt-w-time and matches($med-hist-start, '^[0-9]{12,}'))          then dh:IsFirstDateEarlierThanSecondDate(replace($creation-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3'),           replace($med-hist-start, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3')) = '1'        else if (matches($creation-dt, '^[0-9]{4}') and matches($med-hist-start, '^[0-9]{4}'))         then dh:IsFirstDateEarlierThanSecondDate(substring($creation-dt, '1', string-length($med-hist-start)),           substring($med-hist-start, '1', string-length($creation-dt))) = '1'        else false() " />
    <xsl:variable name="med-hist-end-err" select="if ($med-hist-start = $med-hist-end) then $med-hist-start-err        else if ($creation-dt-w-time and matches($med-hist-end, '^[0-9]{12,}') and string-length($creation-dt) = string-length($med-hist-end))          then dh:IsFirstDateEarlierThanSecondDate($creation-dt, $med-hist-end) = '1'        else if ($creation-dt-w-time and matches($med-hist-end, '^[0-9]{12,}'))          then dh:IsFirstDateEarlierThanSecondDate(replace($creation-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3'),           replace($med-hist-end, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3')) = '1'        else if (matches($creation-dt, '^[0-9]{4}') and matches($med-hist-end, '^[0-9]{4}'))         then dh:IsFirstDateEarlierThanSecondDate(substring($creation-dt, '1', string-length($med-hist-end)),           substring($med-hist-end, '1', string-length($creation-dt))) = '1'        else false() " />
    <xsl:variable name="med-hist-interval" select="if (@value) then concat(' started and ended at ''', @value, '''')        else if (cda:low/@value and cda:high/@value) then concat(' started at ''', cda:low/@value, ''' and ended at ', cda:high/@value, '''')        else if (cda:low/@value) then concat(' started at ''', cda:low/@value, '''')        else if (cda:high/@value) then concat(' ended at ''', cda:high/@value, '''')        else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-01" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-01 " />
    <!--REPORT -->
    <xsl:if test="$med-hist-start-err or $med-hist-end-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$med-hist-start-err or $med-hist-end-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> Document Creation Time 'ClinicalDocument/effectiveTime' data element in the document header
		has the value '<xsl:text /><xsl:value-of select="$creation-dt" /><xsl:text />' and the Medical History Item TimeInterval 'entry/act/effectiveTime' data element in the Medical History section
		<xsl:text /><xsl:value-of select="$med-hist-interval" /><xsl:text />. It is an error that the Medical History Item TimeInterval
		<xsl:text /><xsl:value-of select="if ($med-hist-start-err and $med-hist-end-err) then 'starts and ends' else if ($med-hist-start-err) then 'starts' else 'ends' " /><xsl:text />
		after the creation of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. The Medical History Item TimeInterval must
		<xsl:text /><xsl:value-of select="if ($med-hist-start-err and $med-hist-end-err) then 'start and end' else if ($med-hist-start-err) then 'start' else 'end' " /><xsl:text />
		before the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> is created.
		<xsl:text /><xsl:value-of select="if ($med-hist-end-err) then concat(' If the Medical History Item did not end before the ', $document-name,    ' was created then the Medical History Item TimeInterval must not contain an end date.') else '' " /><xsl:text />
		(See the definition of Document Creation Time in section 4.2.1.4 of HL7 Clinical Document Architecture, Release 2.0 and the definition of the
		Medical History Item TimeInterval in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M990" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M990" />
  <xsl:template match="@*|node()" priority="-2" mode="M990">
    <xsl:apply-templates select="@*|*" mode="M990" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-28-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['101.16117' = $doc-sections][cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3') or (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.4')]]/   cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/cda:procedure/cda:effectiveTime " priority="1000" mode="M991">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['101.16117' = $doc-sections][cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3') or (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.4')]]/   cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/cda:procedure/cda:effectiveTime " />
    <xsl:variable name="creation-dte" select="/cda:ClinicalDocument/cda:effectiveTime " />
    <xsl:variable name="creation-dt" select="if ($creation-dte/@value) then $creation-dte/@value else '' " />
    <xsl:variable name="creation-dt-w-time" select="matches($creation-dt, '^[0-9]{12,}')" />
    <xsl:variable name="procedure-dt-start" select="if (cda:low/@value) then cda:low/@value else if (@value) then @value else '' " />
    <xsl:variable name="procedure-dt-end" select="if (cda:low/@value) then cda:high/@value else if (@value) then @value else '' " />
    <xsl:variable name="procedure-dt-start-err" select="if ($creation-dt-w-time and matches($procedure-dt-start, '^[0-9]{12,}') and string-length($creation-dt) = string-length($procedure-dt-start))          then dh:IsFirstDateEarlierThanSecondDate($creation-dt, $procedure-dt-start) = '1'        else if ($creation-dt-w-time and matches($procedure-dt-start, '^[0-9]{12,}'))          then dh:IsFirstDateEarlierThanSecondDate(replace($creation-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3'),           replace($procedure-dt-start, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3')) = '1'        else if (matches($creation-dt, '^[0-9]{4}') and matches($procedure-dt-start, '^[0-9]{4}'))         then dh:IsFirstDateEarlierThanSecondDate(substring($creation-dt, '1', string-length($procedure-dt-start)),           substring($procedure-dt-start, '1', string-length($creation-dt))) = '1'        else false() " />
    <xsl:variable name="procedure-dt-end-err" select="if ($procedure-dt-start = $procedure-dt-end) then $procedure-dt-start-err        else if ($creation-dt-w-time and matches($procedure-dt-end, '^[0-9]{12,}') and string-length($creation-dt) = string-length($procedure-dt-end))          then dh:IsFirstDateEarlierThanSecondDate($creation-dt, $procedure-dt-end) = '1'        else if ($creation-dt-w-time and matches($procedure-dt-end, '^[0-9]{12,}'))          then dh:IsFirstDateEarlierThanSecondDate(replace($creation-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3'),           replace($procedure-dt-end, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3')) = '1'        else if (matches($creation-dt, '^[0-9]{4}') and matches($procedure-dt-end, '^[0-9]{4}'))         then dh:IsFirstDateEarlierThanSecondDate(substring($creation-dt, '1', string-length($procedure-dt-end)),           substring($procedure-dt-end, '1', string-length($creation-dt))) = '1'        else false() " />
    <xsl:variable name="procedure-dt-interval" select="if (@value) then concat(' started and ended at ''', @value, '''')        else if (cda:low/@value and cda:high/@value) then concat(' started at ''', cda:low/@value, ''' and ended at ', cda:high/@value, '''')        else if (cda:low/@value) then concat(' started at ''', cda:low/@value, '''')        else if (cda:high/@value) then concat(' ended at ''', cda:high/@value, '''')        else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-01" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-01 " />
    <!--REPORT -->
    <xsl:if test="$procedure-dt-start-err or $procedure-dt-end-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$procedure-dt-start-err or $procedure-dt-end-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> Document Creation Time 'ClinicalDocument/effectiveTime' data element in the document header
		has the value '<xsl:text /><xsl:value-of select="$creation-dt" /><xsl:text />' and the Procedure DateTime 'entry/act/effectiveTime' data element in the Medical History section
		<xsl:text /><xsl:value-of select="$procedure-dt-interval" /><xsl:text />. It is an error that the Medical History Procedure DateTime
		<xsl:text /><xsl:value-of select="if ($procedure-dt-start-err and $procedure-dt-end-err) then 'starts and ends' else if ($procedure-dt-start-err) then 'starts' else 'ends' " /><xsl:text />
		after the creation of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. The Medical History Procedure DateTime must
		<xsl:text /><xsl:value-of select="if ($procedure-dt-start-err and $procedure-dt-end-err) then 'start and end' else if ($procedure-dt-start-err) then 'start' else 'end' " /><xsl:text />
		before the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> is created.
		<xsl:text /><xsl:value-of select="if ($procedure-dt-end-err) then concat(' If the Medical History Procedure did not end before the ', $document-name,    ' was created then the Medical History Procedure DateTime must not contain an end date.') else '' " /><xsl:text />
		(See the definition of Document Creation Time in section 4.2.1.4 of HL7 Clinical Document Architecture, Release 2.0 and the definition of the
		Procedure DateTime in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M991" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M991" />
  <xsl:template match="@*|node()" priority="-2" mode="M991">
    <xsl:apply-templates select="@*|*" mode="M991" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-29-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16029' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16029']]/cda:entry/cda:observation/cda:effectiveTime  |     /cda:ClinicalDocument['102.16029' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16029']]/        cda:entry/cda:observation/cda:entryRelationship/cda:observation/cda:effectiveTime       " priority="1000" mode="M992">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16029' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16029']]/cda:entry/cda:observation/cda:effectiveTime  |     /cda:ClinicalDocument['102.16029' = $doc-sections]/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16029']]/        cda:entry/cda:observation/cda:entryRelationship/cda:observation/cda:effectiveTime       " />
    <xsl:variable name="report-dt" select="if (@value) then @value else '' " />
    <xsl:variable name="authored-dte" select="if (/cda:ClinicalDocument/cda:author/cda:time) then /cda:ClinicalDocument/cda:author/cda:time        else () " />
    <xsl:variable name="authored-dt" select="if ($authored-dte/@value) then $authored-dte/@value         else if ($authored-dte/cda:high/@value) then $authored-dte/cda:high/@value        else '' " />
    <xsl:variable name="authored-before-report" select="if ($authored-dt = '' or $report-dt = '') then false()        else if (matches($authored-dt, '^[0-9]{12,}') and matches($report-dt, '^[0-9]{12,}') and          string-length($authored-dt) = string-length($report-dt))          then dh:IsFirstDateEarlierThanSecondDate($authored-dt, $report-dt) = '1'        else if (matches($authored-dt, '^[0-9]{12,}') and matches($report-dt, '^[0-9]{12,}'))          then dh:IsFirstDateEarlierThanSecondDate(replace($authored-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3'),           replace($report-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3')) = '1'        else if (matches($authored-dt, '^[0-9]{4}') and matches($report-dt, '^[0-9]{4}'))         then dh:IsFirstDateEarlierThanSecondDate(substring($authored-dt, '1', string-length($report-dt)),           substring($report-dt, '1', string-length($authored-dt))) = '1'        else false() " />
    <xsl:variable name="authored-name" select="if (not($authored-before-report)) then ''        else if (/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.170' and @extension = '1.0']) then 'DateTime Prescription Written'         else if (/cda:ClinicalDocument/cda:templateId[        (@root = '1.2.36.1.2001.1001.101.100.1002.156' and @extension = '1.0')    or        (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')    or        (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')    or        (@root = '1.2.36.1.2001.1001.100.1002.171' and @extension = '1.0')    ]) then 'DateTime Authored'         else 'end of the Document Author Participation Period' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-01" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-01 " />
    <!--REPORT -->
    <xsl:if test="$authored-before-report ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$authored-before-report">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Report DateTime
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$report-dt" /><xsl:text />' and the <xsl:text /><xsl:value-of select="$authored-name" /><xsl:text />
		'ClinicalDocument/author/time' data element in the document header has the value '<xsl:text /><xsl:value-of select="$authored-dt" /><xsl:text />'
		which is before the Report DateTime. It is not possible for the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> to be authored before the diagnostic investigations report within the
		<xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was written.
		(See the FAQ on Undifferentiated pathology and radiology reports and the definition of <xsl:text /><xsl:value-of select="$authored-name" /><xsl:text /> in section 6 of the
		<xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M992" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M992" />
  <xsl:template match="@*|node()" priority="-2" mode="M992">
    <xsl:apply-templates select="@*|*" mode="M992" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-30-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument['101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]   [cda:entry/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16627']]]" priority="1000" mode="M993">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument['101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]   [cda:entry/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16627']]]" />
    <xsl:variable name="item" select="cda:entry/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16627']] " />
    <xsl:variable name="item-num" select="count($item)" />
    <xsl:variable name="ii" select="for $i in (1 to $item-num) return concat($item[$i]/cda:id/@root, $item[$i]/cda:id/@extension) " />
    <xsl:variable name="item-description" select="for $i in (1 to $item-num) return $item[$i]/cda:text " />
    <xsl:variable name="item-comment" select="for $i in (1 to $item-num) return $item[$i]/cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16630']]/cda:text " />
    <xsl:variable name="item-ivl" select="for $i in (1 to $item-num) return $item[$i]/cda:effectiveTime" />
    <xsl:variable name="item-same" select="index-of(for $i in (1 to $item-num) return exists(index-of(for $j in (1 to $item-num) return (       $i != $j           and        $ii[$i] != $ii[$j]         and       deep-equal($item-description[$i], $item-description[$j])    and       deep-equal($item-comment[$i], $item-comment[$j])     and        deep-equal($item-ivl[$i], $item-ivl[$j])       ), true())), true()) " />
    <xsl:variable name="item-same-num" select="count($item-same) " />
    <xsl:variable name="item-same-txt" select="distinct-values(for $i in (1 to $item-same-num) return $item-description[$item-same[$i]]) " />
    <xsl:variable name="unique-item-same-num" select="count($item-same-txt)" />
    <xsl:variable name="item-name" select="if ($item[1]/cda:code/@displayName) then $item[1]/cda:code/@displayName else 'Medical History Item' " />
    <!--REPORT -->
    <xsl:if test=" exists($item-same) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists($item-same)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-alt-TS-II" /><xsl:text />: TC-Doc-01:
		The <xsl:text /><xsl:value-of select="iq:location(., 'Medical History')" /><xsl:text /> of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> contains more than one <xsl:text /><xsl:value-of select="$item-name" /><xsl:text /> 'entry/cda:act' data component for
		<xsl:text /><xsl:value-of select="if ($unique-item-same-num = '1') then 'a Medical History Item Description' else concat(   if ($numbers/number[number(@value) = $unique-item-same-num]) then $numbers/number[number(@value) = $unique-item-same-num]/@name else $unique-item-same-num,   ' Medical History Item Descriptions')" /><xsl:text /> where
		the only difference is a different instance identifier to indicate they are unique items.
		<xsl:text /><xsl:value-of select="if ($unique-item-same-num = '1') then concat('All descriptions of the ', $item-name, ' are identical')   else concat('For each ', $item-name, ' all descriptions are identical')" /><xsl:text />
		so it is an error to record them as unique items. When there is only one <xsl:text /><xsl:value-of select="$item-name" /><xsl:text /> the description must be recorded once only.
		(See the information about <xsl:text /><xsl:value-of select="$item-name" /><xsl:text /> in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and information about technical identifiers in
		section 8.2 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($unique-item-same-num = '1') then concat('The ', $item-name, ' with this error has the description ''', $item-same-txt[1], '''.')   else concat('The ', $item-name, 's with this error have the descriptions: ''', string-join($item-same-txt[position() &lt; last()], ''', '''), ''' and ''', $item-same-txt[last()], '''.')" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M993" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M993" />
  <xsl:template match="@*|node()" priority="-2" mode="M993">
    <xsl:apply-templates select="@*|*" mode="M993" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-31-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument['101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]   [cda:entry/cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]]" priority="1000" mode="M994">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument['101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]   [cda:entry/cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]]" />
    <xsl:variable name="pd" select="cda:entry/cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']] " />
    <xsl:variable name="pd-num" select="count($pd)" />
    <xsl:variable name="ii" select="for $i in (1 to $pd-num) return concat($pd[$i]/cda:id/@root, $pd[$i]/cda:id/@extension) " />
    <xsl:variable name="pd-identification" select="for $i in (1 to $pd-num) return $pd[$i]/cda:value " />
    <xsl:variable name="pd-comment" select="for $i in (1 to $pd-num) return $pd[$i]/cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16545']]/cda:text " />
    <xsl:variable name="pd-onset" select="for $i in (1 to $pd-num) return $pd[$i]/cda:effectiveTime" />
    <xsl:variable name="pd-res" select="for $i in (1 to $pd-num) return $pd[$i]/cda:entryRelationship[@typeCode='SUBJ']/       cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]/cda:value" />
    <xsl:variable name="pd-same" select="index-of(for $i in (1 to $pd-num) return exists(index-of(for $j in (1 to $pd-num) return (       $i != $j           and        $ii[$i] != $ii[$j]         and       deep-equal($pd-identification[$i], $pd-identification[$j])    and       deep-equal($pd-comment[$i], $pd-comment[$j])      and        deep-equal($pd-onset[$i], $pd-onset[$j])       and        deep-equal($pd-res[$i], $pd-res[$j])        ), true())), true()) " />
    <xsl:variable name="pd-same-num" select="count($pd-same) " />
    <xsl:variable name="pd-same-txt" select="distinct-values(for $i in (1 to $pd-same-num) return $pd-identification[$pd-same[$i]]) " />
    <xsl:variable name="unique-pd-same-num" select="count($pd-same-txt)" />
    <xsl:variable name="pd-name" select="for $i in (1 to $pd-num) return        if ($pd-identification[$i]/cda:originalText != '')         then dh:XQueryRecursiveReplace(normalize-space($pd-identification[$i]/cda:originalText), $markup-pattern-replacement, 'ic')       else if ($pd-identification[$i]/@displayName != '') then $pd-identification[$i]/@displayName       else if ($pd-identification[$i]/cda:translation[@displayName != '']) then $pd-identification[$i]/cda:translation[@displayName != '']/@displayName       else if ($pd-identification[$i]/@code != '') then $pd-identification[$i]/@code       else if ($pd-identification[$i]/cda:translation[@code != '']) then $pd-identification[$i]/cda:translation[@code != '']/@code       else '' " />
    <!--REPORT -->
    <xsl:if test=" exists($pd-same) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists($pd-same)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-alt-TS-II" /><xsl:text />: TC-Doc-01:
		The <xsl:text /><xsl:value-of select="iq:location(., 'Medical History')" /><xsl:text /> of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> contains more than one Problem/Diagnosis 'entry/observation' data component for
		<xsl:text /><xsl:value-of select="if ($unique-pd-same-num = '1') then 'a Problem/Diagnosis Identification' else concat(   if ($numbers/number[number(@value) = $unique-pd-same-num]) then $numbers/number[number(@value) = $unique-pd-same-num]/@name else $unique-pd-same-num,   ' Problem/Diagnosis Identifications')" /><xsl:text /> where
		the only difference is a different instance identifier to indicate they are unique items.
		<xsl:text /><xsl:value-of select="if ($unique-pd-same-num = '1') then 'All descriptions of the Problem/Diagnosis are identical'   else 'For each Problem/Diagnosis all descriptions are identical'" /><xsl:text />
		so it is an error to record them as unique items. When there is only one Problem/Diagnosis the description must be recorded once only.
		(See the information about Problem/Diagnosis in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and information about technical identifiers in
		section 8.2 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($unique-pd-same-num = '1') then concat('The Problem/Diagnosis with this error has the description ''', $pd-same-txt[1], '''.')   else concat('The Problem/Diagnosiss with this error have the descriptions: ''', string-join($pd-same-txt[position() &lt; last()], ''', '''), ''' and ''', $pd-same-txt[last()], '''.')" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M994" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M994" />
  <xsl:template match="@*|node()" priority="-2" mode="M994">
    <xsl:apply-templates select="@*|*" mode="M994" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-32-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument['101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']][cda:entry/cda:procedure[@classCode='PROC']]" priority="1000" mode="M995">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument['101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']][cda:entry/cda:procedure[@classCode='PROC']]" />
    <xsl:variable name="proc" select="cda:entry/cda:procedure[@classCode='PROC'] " />
    <xsl:variable name="proc-num" select="count($proc)" />
    <xsl:variable name="ii" select="for $i in (1 to $proc-num) return concat($proc[$i]/cda:id/@root, $proc[$i]/cda:id/@extension) " />
    <xsl:variable name="proc-name" select="for $i in (1 to $proc-num) return $proc[$i]/cda:code " />
    <xsl:variable name="proc-comment" select="for $i in (1 to $proc-num) return $proc[$i]/cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15595']]/cda:text " />
    <xsl:variable name="proc-dt" select="for $i in (1 to $proc-num) return $proc[$i]/cda:effectiveTime" />
    <xsl:variable name="proc-same" select="index-of(for $i in (1 to $proc-num) return exists(index-of(for $j in (1 to $proc-num) return (       $i != $j            and        $ii[$i] != $ii[$j]          and       deep-equal($proc-name[$i], $proc-name[$j])       and       deep-equal($proc-comment[$i], $proc-comment[$j])      and        deep-equal($proc-dt[$i], $proc-dt[$j])         ), true())), true()) " />
    <xsl:variable name="proc-same-num" select="count($proc-same) " />
    <xsl:variable name="proc-same-txt" select="distinct-values(for $i in (1 to $proc-same-num) return $proc-name[$proc-same[$i]]) " />
    <xsl:variable name="unique-proc-same-num" select="count($proc-same-txt)" />
    <xsl:variable name="proc-name" select="for $i in (1 to $proc-num) return        if ($proc-name[$i]/cda:originalText != '')         then dh:XQueryRecursiveReplace(normalize-space($proc-name[$i]/cda:originalText), $markup-pattern-replacement, 'ic')       else if ($proc-name[$i]/@displayName != '') then $proc-name[$i]/@displayName       else if ($proc-name[$i]/cda:translation[@displayName != '']) then $proc-name[$i]/cda:translation[@displayName != '']/@displayName       else if ($proc-name[$i]/@code != '') then $proc-name[$i]/@code       else if ($proc-name[$i]/cda:translation[@code != '']) then $proc-name[$i]/cda:translation[@code != '']/@code       else '' " />
    <!--REPORT -->
    <xsl:if test=" exists($proc-same) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists($proc-same)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-alt-TS-II" /><xsl:text />: TC-Doc-01:
		The <xsl:text /><xsl:value-of select="iq:location(., 'Medical History')" /><xsl:text /> of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> contains more than one Procedure 'entry/procedure' data component for
		<xsl:text /><xsl:value-of select="if ($unique-proc-same-num = '1') then 'a Procedure Name' else concat(   if ($numbers/number[number(@value) = $unique-proc-same-num]) then $numbers/number[number(@value) = $unique-proc-same-num]/@name else $unique-proc-same-num,   ' Procedure Names')" /><xsl:text /> where
		the only difference is a different instance identifier to indicate they are unique items.
		<xsl:text /><xsl:value-of select="if ($unique-proc-same-num = '1') then 'All descriptions of the Procedure are identical'   else 'For each Procedure all descriptions are identical'" /><xsl:text />
		so it is an error to record them as unique items. When there is only one Procedure the description must be recorded once only.
		(See the information about Procedure in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and information about technical identifiers in
		section 8.2 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($unique-proc-same-num = '1') then concat('The Procedure with this error has the description ''', $proc-same-txt[1], '''.')   else concat('The Procedures with this error have the descriptions: ''', string-join($proc-same-txt[position() &lt; last()], ''', '''), ''' and ''', $proc-same-txt[last()], '''.')" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M995" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M995" />
  <xsl:template match="@*|node()" priority="-2" mode="M995">
    <xsl:apply-templates select="@*|*" mode="M995" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-33-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument['101.16021' = $doc-sections]/cda:component/cda:structuredBody/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16020']]/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16021']]/cda:entry/cda:act" priority="1000" mode="M996">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument['101.16021' = $doc-sections]/cda:component/cda:structuredBody/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16020']]/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16021']]/cda:entry/cda:act" />
    <xsl:variable name="arranged-service" select="if (cda:code/cda:originalText) then cda:code/cda:originalText        else if (cda:code/@displayName) then cda:code/@displayName        else '' " />
    <xsl:variable name="window-de" select="cda:effectiveTime " />
    <xsl:variable name="window-start" select="if ($window-de/@nullFlavor) then ''        else if ($window-de/@value) then $window-de/@value       else if ($window-de/cda:low/@value and not($window-de/cda:low/@nullFlavor)) then $window-de/cda:low/@value       else '' " />
    <xsl:variable name="window-end" select="if ($window-de/@nullFlavor) then ''        else if ($window-de/@value) then $window-de/@value       else if ($window-de/cda:high/@value and not($window-de/cda:high/@nullFlavor)) then $window-de/cda:high/@value       else '' " />
    <xsl:variable name="encounter-ivl" select="/cda:ClinicalDocument/cda:componentOf/cda:encompassingEncounter/cda:effectiveTime " />
    <xsl:variable name="encounter-start" select="if ($encounter-ivl/cda:low/@value) then $encounter-ivl/cda:low/@value else if ($encounter-ivl/@value) then $encounter-ivl/@value else '' " />
    <xsl:variable name="win-start-before-enc" select="if (matches($window-start, '^[0-9]{12,}') and matches($encounter-start, '^[0-9]{12,}') and string-length($window-start) = string-length($encounter-start))          then dh:IsFirstDateEarlierThanSecondDate($window-start, $encounter-start) = '1'        else if (matches($window-start, '^[0-9]{12,}') and matches($encounter-start, '^[0-9]{12,}'))          then dh:IsFirstDateEarlierThanSecondDate(replace($window-start, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3'),           replace($encounter-start, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3')) = '1'        else if ($body-same-timezones and matches($encounter-start, '^[0-9]{8}$') and matches($window-start, concat('^', $encounter-start, '[0]{4}'))) then true()        else if (matches($window-start, '^[0-9]{4}') and matches($encounter-start, '^[0-9]{4}'))         then dh:IsFirstDateEarlierThanSecondDate(substring($window-start, '1', string-length($encounter-start)),           substring($encounter-start, '1', string-length($window-start))) = '1'        else false() " />
    <xsl:variable name="win-end-before-enc" select="if (matches($window-end, '^[0-9]{12,}') and matches($encounter-start, '^[0-9]{12,}') and string-length($window-end) = string-length($encounter-start))          then dh:IsFirstDateEarlierThanSecondDate($window-end, $encounter-start) = '1'        else if (matches($window-end, '^[0-9]{12,}') and matches($encounter-start, '^[0-9]{12,}'))          then dh:IsFirstDateEarlierThanSecondDate(replace($window-end, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3'),           replace($encounter-start, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3')) = '1'        else if ($body-same-timezones and matches($encounter-start, '^[0-9]{8}$') and matches($window-end, concat('^', $encounter-start, '[0]{4}'))) then true()        else if (matches($window-end, '^[0-9]{4}') and matches($encounter-start, '^[0-9]{4}'))         then dh:IsFirstDateEarlierThanSecondDate(substring($window-end, '1', string-length($encounter-start)),           substring($encounter-start, '1', string-length($window-end))) = '1'        else false() " />
    <xsl:variable name="window-low-inclusive" select="if (not($window-de/cda:low)) then '' else if ($window-de/cda:low/@inclusive='false') then ' (excluded)' else ' (included)' " />
    <xsl:variable name="window-high-inclusive" select="if (not($window-de/cda:high)) then '' else if ($window-de/cda:high/@inclusive='false') then ' (excluded)' else ' (included)' " />
    <xsl:variable name="display-window" select="if (not($win-start-before-enc or $win-end-before-enc)) then ''       else if ($window-de/@value and $window-de/cda:low/@value and $window-de/cda:high/@value)         then concat('value ', codepoints-to-string(34), $window-de/@value, codepoints-to-string(34), ', low value ', codepoints-to-string(34), $window-de/cda:low/@value,        codepoints-to-string(34), $window-low-inclusive, ' and high value ', codepoints-to-string(34), $window-de/cda:high/@value, codepoints-to-string(34), $window-high-inclusive)        else if ($window-de/@value and $window-de/cda:low/@value and not($window-de/cda:high/@value))         then concat('value ', codepoints-to-string(34), $window-de/@value, codepoints-to-string(34), ' and low value ', codepoints-to-string(34), $window-de/cda:low/@value,        codepoints-to-string(34), $window-low-inclusive)       else if ($window-de/@value and not($window-de/cda:low/@value) and $window-de/cda:high/@value)         then concat('value ', codepoints-to-string(34), $window-de/@value, codepoints-to-string(34), ' and high value ', codepoints-to-string(34),        $window-de/cda:high/@value, codepoints-to-string(34), $window-high-inclusive)       else if (not($window-de/@value) and $window-de/cda:low/@value and $window-de/cda:high/@value)         then concat('low value ', codepoints-to-string(34), $window-de/cda:low/@value, codepoints-to-string(34), $window-low-inclusive, ' and high value ',         codepoints-to-string(34), $window-de/cda:high/@value, codepoints-to-string(34), $window-high-inclusive)       else if ($window-de/@value and not($window-de/cda:low/@value) and not($window-de/cda:high/@value))         then concat('value ', codepoints-to-string(34), $window-de/@value, codepoints-to-string(34))       else if (not($window-de/@value) and $window-de/cda:low/@value and not($window-de/cda:high/@value))         then concat('low value ', codepoints-to-string(34), $window-de/cda:low/@value, codepoints-to-string(34), $window-low-inclusive)       else if (not($window-de/@value) and not($window-de/cda:low/@value) and $window-de/cda:high/@value)         then concat('high value ', codepoints-to-string(34), $window-de/cda:high/@value, codepoints-to-string(34), $window-high-inclusive)       else '' " />
    <xsl:variable name="display-service" select="if (not($win-start-before-enc or $win-end-before-enc)) then ''        else concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($arranged-service, $text-pattern-replacement, 'ic')), codepoints-to-string(34), ' ') " />
    <xsl:variable name="facility-de" select="if (not($win-start-before-enc or $win-end-before-enc)) then ()        else /cda:ClinicalDocument/cda:componentOf/cda:encompassingEncounter/cda:location/cda:healthCareFacility/cda:code" />
    <xsl:variable name="facility-name" select="if ($facility-de/cda:originalText)          then concat(normalize-space(dh:XQueryRecursiveReplace($facility-de/cda:originalText, $markup-pattern-replacement, 'ic')), ' facility')        else if ($facility-de/@displayName)          then concat(normalize-space(dh:XQueryRecursiveReplace($facility-de/@displayName, $markup-pattern-replacement, 'ic')), ' facility')        else 'healthcare facility' " />
    <xsl:variable name="provider-role-de" select="if (not($win-start-before-enc or $win-end-before-enc)) then ()        else if (cda:performer/cda:assignedEntity/cda:code)         then cda:performer/cda:assignedEntity/cda:code        else () " />
    <xsl:variable name="provider-role" select="if ($provider-role-de/cda:originalText)          then normalize-space(dh:XQueryRecursiveReplace($provider-role-de/cda:originalText, $markup-pattern-replacement, 'ic'))        else if ($provider-role-de/@displayName)          then normalize-space(dh:XQueryRecursiveReplace($provider-role-de/@displayName, $markup-pattern-replacement, 'ic'))        else 'healthcare provider' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-01" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-01 " />
    <!--REPORT -->
    <xsl:if test=" $win-start-before-enc or $win-end-before-enc ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$win-start-before-enc or $win-end-before-enc">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Encounter Period 'ClinicalDocument/componentOf/encompassingEncounter/effectiveTime' data element of the
		<xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> states the subject of care visited the <xsl:text /><xsl:value-of select="$facility-name" /><xsl:text /> on the date '<xsl:text /><xsl:value-of select="$encounter-start" /><xsl:text />'.
		The <xsl:text /><xsl:value-of select="iq:location(., 'Arranged Services')" /><xsl:text /> of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> contains a Service Commencement Window 'entry/act/effectiveTime' data element which records
		the period of time for a <xsl:text /><xsl:value-of select="$display-service" /><xsl:text />service to be provided by a <xsl:text /><xsl:value-of select="$provider-role" /><xsl:text /> and has <xsl:text /><xsl:value-of select="$display-window" /><xsl:text /> which
		<xsl:text /><xsl:value-of select="if ($win-start-before-enc and $win-end-before-enc) then 'commences and ends' else if ($win-start-before-enc) then 'commences' else 'ends' " /><xsl:text />
		prior to the start of the Encounter Period. That is when the subject of care visited the <xsl:text /><xsl:value-of select="$facility-name" /><xsl:text /> a service was arranged
		to be provided on date prior to the visit. One or more of the dates must be incorrect.
		(See the definitions and descriptions of Encounter Period and Service Commencement Window in the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M996" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M996" />
  <xsl:template match="@*|node()" priority="-2" mode="M996">
    <xsl:apply-templates select="@*|*" mode="M996" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-34-->
  <!--RULE -->
  <xsl:template match="   /cda:ClinicalDocument['101.20113' = $doc-sections][cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']]/    cda:component/cda:structuredBody/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16011']]/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/    cda:entry/cda:observation/cda:entryRelationship[@typeCode='MFST' and not(@inversionInd='true')]        |    /cda:ClinicalDocument['101.20113' = $doc-sections][cda:templateId[    (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')   or    (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or    (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')   or    (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) ]]/cda:component/cda:structuredBody/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/    cda:entry/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:entryRelationship/cda:observation    [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16474']]/cda:entryRelationship[@typeCode='MFST' and not(@inversionInd='true')]  |    /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/    cda:entryRelationship[@typeCode='SUBJ' and not(@inversionInd='true') and cda:act/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16160']] |    /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/    cda:entryRelationship[@typeCode='SUBJ' and not(@inversionInd='true') and cda:act/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16511']] " priority="1000" mode="M997">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="   /cda:ClinicalDocument['101.20113' = $doc-sections][cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']]/    cda:component/cda:structuredBody/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16011']]/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/    cda:entry/cda:observation/cda:entryRelationship[@typeCode='MFST' and not(@inversionInd='true')]        |    /cda:ClinicalDocument['101.20113' = $doc-sections][cda:templateId[    (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')   or    (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or    (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')   or    (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) ]]/cda:component/cda:structuredBody/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/    cda:entry/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:entryRelationship/cda:observation    [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16474']]/cda:entryRelationship[@typeCode='MFST' and not(@inversionInd='true')]  |    /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/    cda:entryRelationship[@typeCode='SUBJ' and not(@inversionInd='true') and cda:act/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16160']] |    /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/    cda:entryRelationship[@typeCode='SUBJ' and not(@inversionInd='true') and cda:act/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16511']] " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-05-step-1" select="if ($initial-priority) then $initial-rating else $rating-alt-TC-Doc-05-step-1 " />
    <!--REPORT -->
    <xsl:if test=" @typeCode='MFST' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@typeCode='MFST'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-05-step-1" /><xsl:text />: TC-Doc-05 step 1: In the
		<xsl:text /><xsl:value-of select="if (/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4'])   then 'Reaction Description' else 'Manifestation'" /><xsl:text />
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />/observation/code' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> the 'entryRelationship' element
		<xsl:text /><xsl:value-of select="if (@inversionInd='false') then ' contains an inversion indicator ''inversionInd'' attribute with the value ''false'''   else ' does not contain an inversion indicator ''inversionInd'' attribute' " /><xsl:text /> however the inversion indicator is required to be present with the value 'true'.
		(See the information about the <xsl:text /><xsl:value-of select="if (/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4'])   then 'Reaction Description' else 'Manifestation'" /><xsl:text /> data element in the mapping tables in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @typeCode='SUBJ' and @typeCode='SUBJ' and cda:act/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16160'] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@typeCode='SUBJ' and @typeCode='SUBJ' and cda:act/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16160']">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-05-step-1" /><xsl:text />: TC-Doc-05 step 1: In the Test Request Details
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />/act' data group in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> the 'entryRelationship' element
		<xsl:text /><xsl:value-of select="if (@inversionInd='false') then ' contains an inversion indicator ''inversionInd'' attribute with the value ''false'''   else ' does not contain an inversion indicator ''inversionInd'' attribute' " /><xsl:text /> however the inversion indicator is required to be present with the value 'true'.
		(See the information about the Test Request Details data group in the mapping tables in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @typeCode='SUBJ' and @typeCode='SUBJ' and cda:act/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16511'] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@typeCode='SUBJ' and @typeCode='SUBJ' and cda:act/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16511']">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-05-step-1" /><xsl:text />: TC-Doc-05 step 1: In the Examination Request Details
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />/act' data group in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> the 'entryRelationship' element
		<xsl:text /><xsl:value-of select="if (@inversionInd='false') then ' contains an inversion indicator ''inversionInd'' attribute with the value ''false'''   else ' does not contain an inversion indicator ''inversionInd'' attribute' " /><xsl:text /> however the inversion indicator is required to be present with the value 'true'.
		(See the information about the Examination Request Details data group in the mapping tables in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M997" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M997" />
  <xsl:template match="@*|node()" priority="-2" mode="M997">
    <xsl:apply-templates select="@*|*" mode="M997" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-DG-1-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument['101.20113' = $doc-sections][cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16011']]/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]   [cda:entry or $conformance-level-3 or $flags/@report-data-quality = 'true']" priority="1000" mode="M998">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument['101.20113' = $doc-sections][cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16011']]/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]   [cda:entry or $conformance-level-3 or $flags/@report-data-quality = 'true']" />
    <xsl:variable name="values" select="cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/       cda:participant/cda:participantRole/cda:playingEntity/cda:code" />
    <xsl:variable name="num-values" select="count($values)" />
    <xsl:variable name="known-system" select="for $i in (1 to count($values)) return        if (not($values[$i]/@codeSystem)) then false()       else if (         ($values[$i]/@codeSystem = '1.2.36.1.2001.1004.100' and exists($v-amtv2))        or        ($values[$i]/@codeSystem = '1.2.36.1.2001.1005.22' and (exists($v-pbs or $use-ts-for-pbs)))     or        ($values[$i]/@codeSystem = '1.2.36.1.2001.1005.23' and (exists($v-pbsman or $use-ts-for-pbsman)))    or        ($values[$i]/@codeSystem = '2.16.840.1.113883.6.96' and (exists($v-amtv3) or exists($v-snomedctau) or $use-ts-for-sctau)) ) then true()       else if (not($code-systems/system[@codeSystem = $values[$i]/@codeSystem])) then false()       else if ($code-systems/system[@codeSystem = $values[$i]/@codeSystem]/@no-code-information = 'true') then false()       else true()" />
    <xsl:variable name="proper-values" select="for $i in (1 to count($values)) return        if ($values[$i]/cda:originalText and $regex-non-values != '' and matches($values[$i]/cda:originalText, $regex-non-values, 'is')) then ()       else if ($values[$i]/cda:originalText) then $values[$i]       else if ($values[$i]/@code and $known-system[$i]) then $values[$i]       else if ($values[$i]/@code and not($values[$i]/@displayName)) then $values[$i]       else if ($values[$i]/@displayName and $regex-non-values != '' and matches($values[$i]/@displayName, $regex-non-values, 'is')) then ()       else $values[$i]" />
    <xsl:variable name="num-proper-values" select="count($proper-values)" />
    <xsl:variable name="exclusion" select="cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and        (@code='103.16302.4.3.4' or @code='103.16302.120.1.1' or @code='103.16302.2.2.2')]]/cda:value" />
    <xsl:variable name="excl-statement" select="boolean($exclusion)" />
    <xsl:variable name="no-proper-values-err" select="$num-proper-values = 0 and not($excl-statement) and cda:entry" />
    <xsl:variable name="invalid-exclusion-1" select="if (not($no-proper-values-err and count(cda:entry) = 1 and count(cda:entry/*) = 1 and count(cda:entry/cda:observation/cda:code[@codeSystem='1.2.36.1.2001.1001.101']) = 1)) then ''        else if (exists(cda:entry/cda:observation/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113'])) then 'Adverse Reactions Exclusion Statement'        else if (exists(cda:entry/cda:observation/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.4.3.3'])) then 'Ceased Medications Exclusion Statement'        else if (exists(cda:entry/cda:observation/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.4.3.2'])) then 'Current Medications on Discharge Exclusion Statement'        else if (exists(cda:entry/cda:observation/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.120.1.5'])) then 'Immunisations Exclusion Statement'        else if (exists(cda:entry/cda:observation/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('103.16302.2.2.1', '103.16302.120.1.2', '103.16302.132.1.1')])) then 'Medications Exclusion Statement'        else if (exists(cda:entry/cda:observation/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.4.3.1'])) then 'Problems/Diagnoses This Visit - Problems and Diagnoses Exclusion Statement'        else if (exists(cda:entry/cda:observation/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.120.1.3'])) then 'Medical History - Problems and Diagnoses Exclusion Statement'        else if (exists(cda:entry/cda:observation/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.120.1.4'])) then 'Medical History - Procedures Exclusion Statement'        else '' " />
    <xsl:variable name="invalid-exclusion" select="if ($invalid-exclusion-1 = '') then ''        else if (cda:entry/cda:observation/cda:value/@displayName != '')          then concat($invalid-exclusion-1, ' with the value ''', cda:entry/cda:observation/cda:value/@displayName, '''')        else $invalid-exclusion-1 " />
    <xsl:variable name="normalized-otext" select="if (exists($values[1]/cda:originalText)) then normalize-space($values[1]/cda:originalText) else '' " />
    <xsl:variable name="display-text-1" select="if (not($values[1]/cda:originalText)) then ''         else if ($normalized-otext != '' and string-length($values[1]/cda:originalText) &lt; 200)         then concat('originalText ', codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($values[1]/cda:originalText,          $text-pattern-replacement, 'ic')), codepoints-to-string(34))        else if ($normalized-otext != '') then concat('originalText commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($values[1]/cda:originalText,          $p-name-pattern-replacement, 'ic'), 1, 200), $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-text" select="if ($normalized-otext != '') then $display-text-1        else if ($normalized-otext = '' and $values[1]/cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="explanation" select="if ($num-values &gt; $num-proper-values and $num-values = 1 and $display-text = '')         then 'There is one Agent Description data element but it does not have a proper value.'       else if ($num-values &gt; $num-proper-values and $num-values = 1)         then concat('There is one Agent Description data element with ', $display-text, ' which is not a proper value.')       else if ($num-values &gt; $num-proper-values and $num-values &gt; 1 and $display-text = '')        then concat('There are ', iq:display-number($num-values), ' Agent Description data elements but none have a proper value.')       else if ($num-values &gt; $num-proper-values and $num-values &gt; 1)        then concat('There are ', iq:display-number($num-values), ' Agent Description data elements but none have a proper value. ',        'For example the first data element has ', $display-text, '.')       else '' " />
    <xsl:variable name="adv-tables" select="if ($flags/@report-data-quality = 'true') then cda:text//cda:table else () " />
    <xsl:variable name="adv-header" select="if (count($adv-tables) = 1) then $adv-tables/cda:thead else () " />
    <xsl:variable name="adv-header-row" select="$adv-header/cda:tr " />
    <xsl:variable name="adv-headings" select="$adv-header-row/cda:th " />
    <xsl:variable name="adv-col-num" select="if (exists($adv-headings)) then count($adv-headings) else count($adv-tables/cda:tbody/cda:tr[1]/cda:td) " />
    <xsl:variable name="narr-exclusion-statement" select="($adv-col-num = 1 and matches($adv-headings[1], '^\W*(Exclusion\s+Statement)\W*$', 'is')) or         matches(string-join(cda:text//text(), ' '), $exclusion-regex, 'is') " />
    <xsl:variable name="exclusion-statement" select="($adv-col-num = 1 and matches($adv-headings[1], '^\W*(Exclusion\s+Statement)\W*$', 'is')) or        matches(string-join(cda:text//text(), ' '), $exclusion-regex, 'is') " />
    <xsl:variable name="adv-data" select="if ((exists(cda:entry) and $num-proper-values &gt; 0) or (not(exists(cda:entry)) and not($exclusion-statement)))         then $adv-tables/cda:tbody/cda:tr/cda:td else () " />
    <xsl:variable name="recommended-headings" select="('Substance/Agent', 'Reaction type', 'Clinical manifestation') " />
    <xsl:variable name="rec-heading-regex" select="('^\W*Substance/Agent\W*$', '^\W*Reaction\s*type\W*$', '^\W*Clinical\s*manifestation\W*$') " />
    <xsl:variable name="invalid-headings" select="(for $i in (1 to count($adv-headings)) return if (matches($adv-headings[$i], $rec-heading-regex[$i], 'is')) then '' else $adv-headings[$i])[. != ''] " />
    <xsl:variable name="adv-names" select="(for $int in $values return         if ($int/cda:originalText) then $int/cda:originalText else if ($int/@displayName) then $int/@displayName else '')[. != '']" />
    <xsl:variable name="an-adv" select="$adv-names[1]" />
    <xsl:variable name="all-same-adv" select="$adv-names[. = $an-adv]" />
    <xsl:variable name="all-adv-num" select="count($adv-names) " />
    <xsl:variable name="adv-issue" select="if (($conformance-level-3 and $no-proper-values-err) or $narr-exclusion-statement or $excl-statement) then true()         else if ($no-proper-values-err) then false()        else $an-adv != '' and $all-adv-num = count($all-same-adv) and         (matches($an-adv, $exclusion-regex, 'is') or matches($an-adv, $regex-non-values, 'is')) " />
    <xsl:variable name="synopsis-section" select="if ($adv-issue) then /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16006']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15513.4.1.1']] else () " />
    <xsl:variable name="synopsis-narr" select="if ($adv-issue and exists($synopsis-section)) then $synopsis-section/cda:text//text() else () " />
    <xsl:variable name="synopsis-name" select="if (not($adv-issue and exists($synopsis-section))) then ''        else if ($synopsis-section/cda:title) then $synopsis-section/cda:title         else if ($synopsis-section/cda:code/@displayName) then $synopsis-section/cda:code/@displayName        else 'Clinical Synopsis'" />
    <xsl:variable name="adv-neg" select="$adv-issue and exists($synopsis-narr[matches(., $narr-adverse-neg-regex, 'is')]) " />
    <xsl:variable name="adv-hint" select="$adv-issue and not($adv-neg) and exists($synopsis-narr[matches(., $narr-adverse-regex, 'is')])" />
    <xsl:variable name="excl-msg" select="if ($excl-statement) then concat(normalize-space($code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16299']/       code[@code=$exclusion/@code]/@explanation),        ' (See the FAQ on exclusion statements and section 2.1 of the My Health Record Usability Recommendations v1.3.)') else '' " />
    <xsl:variable name="adv-msg" select="if (not($adv-hint)) then ''       else if ($excl-statement)       then concat('The ''', lower-case($code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16299']/code[@code=$exclusion/@code]/@displayName),        ''' exclusion statement in the ', iq:location(., 'Adverse Reaction'), ' indicates no information about adverse reactions has been recorded in the Discharge Summary. ')       else if ($narr-exclusion-statement)        then concat('Information in the narrative of the ', iq:location(., 'Adverse Reaction'),        ' indicates no information about adverse reactions has been recorded in the Discharge Summary. ')       else if ($an-adv != '' and matches($an-adv, $exclusion-regex, 'is'))        then concat('Information in the ', iq:location(., 'Adverse Reaction'), ' indicates no information about adverse reactions has been recorded in the Discharge Summary. ')       else if (($conformance-level-3 and $no-proper-values-err) or ($an-adv != '' and matches($an-adv, $regex-non-values, 'is'))) then        concat('There is no information in the ', iq:location(., 'Adverse Reaction'), ' describing adverse reactions so ',        'it would be an error if adverse reactions are recorded elsewhere in the Discharge Summary. ')       else '' " />
    <xsl:variable name="section-msg" select="if (not($adv-hint)) then ''       else if ($adv-hint) then concat('The ', $synopsis-name, ' section seems to contain information about adverse reactions ',        'and if correct then this is an error as the ', $synopsis-name, ' must not be used to record adverse reactions that are not recorded in ',         iq:location(., 'Adverse Reaction'), '. (See section 4.23 of the Discharge Summary Structured Document Template v3.3.) ',        'Confirm if information about adverse reactions is recorded in the ', $synopsis-name, ' section.')       else '' " />
    <!--REPORT -->
    <xsl:if test=" $num-proper-values &gt; 0 and $excl-statement ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$num-proper-values &gt; 0 and $excl-statement">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-1" /><xsl:text />: TC-Doc-05 step 1: The <xsl:text /><xsl:value-of select="iq:location(., 'Adverse Reaction')" /><xsl:text /> has a		
		'<xsl:text /><xsl:value-of select="lower-case($code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16299']/code[@code=$exclusion/@code]/@displayName)" /><xsl:text />' exclusion statement
		and also has an Adverse Reaction component with a proper value.
		As there is an Adverse Reaction component with a proper value then it is an error to include an exclusion statement stating that there is no value.
		(See sections 6.4 and 6.9 of the e-Discharge Summary Structured Document Template v3.3 and section 2.3 of the Adverse Reaction Detailed Clinical Model Specification v3.3.)
		<xsl:text /><xsl:value-of select="$excl-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-proper-values-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-proper-values-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-37" /><xsl:text />: TC-Doc-37: The <xsl:text /><xsl:value-of select="iq:location(., 'Adverse Reaction')" /><xsl:text /> has no exclusion statement and no Adverse Reaction component with a proper value.
		<xsl:text /><xsl:value-of select="$explanation" /><xsl:text /> The section must either contain at least one Adverse Reaction component with a proper value or else an exclusion statement stating why
		Adverse Reactions are not included. For an Adverse Reaction component to have a proper value there must be an Agent with either a code or originalText element
		that describes an agent that caused an adverse reaction. Every instance of a data group listed in a CDA Implementation Guide must have at least one child data component instantiated.
		(See sections 6.4 and 6.9 of the e-Discharge Summary Structured Document Template v3.3 and section 2.3 of the Adverse Reaction Detailed Clinical Model Specification v3.3.)
		<xsl:text /><xsl:value-of select="if ($invalid-exclusion = '') then '' else concat('The section has a ', $invalid-exclusion, ' but its presence in the ', iq:location(., 'Adverse Reaction'), ' is invalid.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $adv-hint ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $adv-hint">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Narr-09-step-2" /><xsl:text />: TC-Narr-09 step 2: <xsl:text /><xsl:value-of select="$adv-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (($conformance-level-3 and $no-proper-values-err) or $narr-exclusion-statement or $excl-statement) then '' else concat(' There are ',   iq:display-number($all-adv-num), ' Agent Description ''participantRole/playingEntity/code''',    if ($all-adv-num = 1) then 'data element with the value ''' else 'data elements and all have the value ''', $an-adv, '''. ') " /><xsl:text /><xsl:text /><xsl:value-of select="$section-msg" /><xsl:text /> A description of an adverse reaction may include allergies and intolerances.
		(See section 6.8 of the e-Discharge Summary Structured Document Template v3.3.) <xsl:text /><xsl:value-of select="$excl-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and count($adv-tables) &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and count($adv-tables) &gt; 1">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-DS-Display" /><xsl:text />: (READABILITY): The <xsl:text /><xsl:value-of select="iq:location(., 'Adverse Reaction')" /><xsl:text /> of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> contains
		<xsl:text /><xsl:value-of select="iq:display-number(count($adv-tables))" /><xsl:text /> tables.
		The section's narrative should contain adverse reactions information in one table only and the table should have columns with the headings 'Substance/Agent', 'Reaction type' and 
		'Clinical manifestation'.
		(See section 3I of the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and    ((exists(cda:entry) and $num-proper-values &gt; 0) or (not(exists(cda:entry)) and not($exclusion-statement))) and not(exists($adv-tables)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and ((exists(cda:entry) and $num-proper-values &gt; 0) or (not(exists(cda:entry)) and not($exclusion-statement))) and not(exists($adv-tables))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-DS-Display" /><xsl:text />: (READABILITY): The <xsl:text /><xsl:value-of select="iq:location(., 'Adverse Reaction')" /><xsl:text /> of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /><xsl:text /><xsl:value-of select="if (exists(cda:entry) and $num-proper-values &gt; 0) then    ' contains adverse reactions information that is not in a table. The section''s narrative should include a table for recording adverse reactions information and the table should have columns with the   headings ''Substance/Agent'', ''Reaction type'' and ''Clinical manifestation''.'   else ' does not include a table. If adverse reactions information has been recorded then it should be in a table two columns with the headings   ''Substance/Agent'', ''Reaction type'' and ''Clinical manifestation''.' " /><xsl:text />
		(See section 3I of the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and count($adv-header-row) = 1 and not($exclusion-statement or $adv-col-num = 3) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and count($adv-header-row) = 1 and not($exclusion-statement or $adv-col-num = 3)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-DS-Display" /><xsl:text />: (READABILITY): The <xsl:text /><xsl:value-of select="iq:location(., 'Adverse Reaction')" /><xsl:text /> of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> contains a table with
		<xsl:text /><xsl:value-of select="iq:display-number($adv-col-num)" /><xsl:text /><xsl:text /><xsl:value-of select="if (not(exists($adv-headings)) and $adv-col-num = 1) then ' column and no heading.'   else if (not(exists($adv-headings)) and $adv-col-num &gt; 1) then ' columns and no headings.'   else if ($adv-col-num = 1) then concat(' column and the heading ''', $adv-headings[1], '''.')   else concat(' columns and the headings ''', string-join($adv-headings[position() &lt; last()], ''', '''), ''' and ''', $adv-headings[last()], '''.') " /><xsl:text />
		The tables does not have the recommended three columns with the headings 'Substance/Agent', 'Reaction type' and 'Clinical manifestation'.
		(See section 3I of the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and $adv-col-num = 3 and exists($invalid-headings) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $adv-col-num = 3 and exists($invalid-headings)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-DS-Display" /><xsl:text />: (READABILITY): The <xsl:text /><xsl:value-of select="iq:location(., 'Adverse Reaction')" /><xsl:text /> of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> contains a table with the headings
		'<xsl:text /><xsl:value-of select="string-join($adv-headings, ''', ''')" /><xsl:text />'. The headings recommended for this section are 'Substance/Agent', 'Reaction type' and 
		'Clinical manifestation'.
		<xsl:text /><xsl:value-of select="if (count($invalid-headings) = 3) then 'None of the table headings are those recommended for this section.'   else concat('The headings that are not in the recommended set are ''', string-join($invalid-headings, ''', '''), '.')" /><xsl:text />'
		(See section 3I of the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M998" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M998" />
  <xsl:template match="@*|node()" priority="-2" mode="M998">
    <xsl:apply-templates select="@*|*" mode="M998" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-DG-2-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument['101.20113' = $doc-sections][cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')   or   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')   or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) ]]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']][cda:entry or $conformance-level-3]" priority="1000" mode="M999">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument['101.20113' = $doc-sections][cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')   or   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')   or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) ]]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']][cda:entry or $conformance-level-3]" />
    <xsl:variable name="values" select="cda:entry/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/       cda:participant[@typeCode='CAGNT']/cda:participantRole/cda:playingEntity/cda:code" />
    <xsl:variable name="num-values" select="count($values)" />
    <xsl:variable name="known-system" select="for $i in (1 to count($values)) return        if (not($values[$i]/@codeSystem)) then false()       else if (         ($values[$i]/@codeSystem = '1.2.36.1.2001.1004.100' and exists($v-amtv2))        or        ($values[$i]/@codeSystem = '1.2.36.1.2001.1005.22' and (exists($v-pbs or $use-ts-for-pbs)))     or        ($values[$i]/@codeSystem = '1.2.36.1.2001.1005.23' and (exists($v-pbsman or $use-ts-for-pbsman)))    or        ($values[$i]/@codeSystem = '2.16.840.1.113883.6.96' and (exists($v-amtv3) or exists($v-snomedctau) or $use-ts-for-sctau)) ) then true()       else if (not($code-systems/system[@codeSystem = $values[$i]/@codeSystem])) then false()       else if ($code-systems/system[@codeSystem = $values[$i]/@codeSystem]/@no-code-information = 'true') then false()       else true()" />
    <xsl:variable name="proper-values" select="for $i in (1 to count($values)) return        if ($values[$i]/cda:originalText and $regex-non-values != '' and matches($values[$i]/cda:originalText, $regex-non-values, 'is')) then ()       else if ($values[$i]/cda:originalText) then $values[$i]       else if ($values[$i]/@code and $known-system[$i]) then $values[$i]       else if ($values[$i]/@code and not($values[$i]/@displayName)) then $values[$i]       else if ($values[$i]/@displayName and $regex-non-values != '' and matches($values[$i]/@displayName, $regex-non-values, 'is')) then ()       else $values[$i]" />
    <xsl:variable name="num-proper-values" select="count($proper-values)" />
    <xsl:variable name="exclusion" select="cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and        (@code='103.16302.4.3.4' or @code='103.16302.120.1.1' or @code='103.16302.2.2.2')]]/cda:value" />
    <xsl:variable name="excl-statement" select="boolean($exclusion)" />
    <xsl:variable name="no-proper-values-err" select="$num-proper-values = 0 and not($excl-statement) and cda:entry" />
    <xsl:variable name="invalid-exclusion-1" select="if (not($no-proper-values-err and count(cda:entry) = 1 and count(cda:entry/*) = 1 and count(cda:entry/cda:observation/cda:code[@codeSystem='1.2.36.1.2001.1001.101']) = 1)) then ''        else if (exists(cda:entry/cda:observation/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113'])) then 'Adverse Reactions Exclusion Statement'        else if (exists(cda:entry/cda:observation/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.4.3.3'])) then 'Ceased Medications Exclusion Statement'        else if (exists(cda:entry/cda:observation/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.4.3.2'])) then 'Current Medications on Discharge Exclusion Statement'        else if (exists(cda:entry/cda:observation/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.120.1.5'])) then 'Immunisations Exclusion Statement'        else if (exists(cda:entry/cda:observation/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('103.16302.2.2.1', '103.16302.120.1.2', '103.16302.132.1.1')])) then 'Medications Exclusion Statement'        else if (exists(cda:entry/cda:observation/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.4.3.1'])) then 'Problems/Diagnoses This Visit - Problems and Diagnoses Exclusion Statement'        else if (exists(cda:entry/cda:observation/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.120.1.3'])) then 'Medical History - Problems and Diagnoses Exclusion Statement'        else if (exists(cda:entry/cda:observation/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.120.1.4'])) then 'Medical History - Procedures Exclusion Statement'        else '' " />
    <xsl:variable name="invalid-exclusion" select="if ($invalid-exclusion-1 = '') then ''        else if (cda:entry/cda:observation/cda:value/@displayName != '')          then concat($invalid-exclusion-1, ' with the value ''', cda:entry/cda:observation/cda:value/@displayName, '''')        else $invalid-exclusion-1 " />
    <xsl:variable name="normalized-otext" select="if (exists($values[1]/cda:originalText)) then normalize-space($values[1]/cda:originalText) else '' " />
    <xsl:variable name="display-text-1" select="if (not($values[1]/cda:originalText)) then ''         else if ($normalized-otext != '' and string-length($values[1]/cda:originalText) &lt; 200)         then concat('originalText ', codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($values[1]/cda:originalText,          $text-pattern-replacement, 'ic')), codepoints-to-string(34))        else if ($normalized-otext != '') then concat('originalText commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($values[1]/cda:originalText,          $p-name-pattern-replacement, 'ic'), 1, 200), $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-text" select="if ($normalized-otext != '') then $display-text-1        else if ($normalized-otext = '' and $values[1]/cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="explanation" select="if ($num-values &gt; $num-proper-values and $num-values = 1 and $display-text = '')         then 'There is one Substance/Agent data element but it does not have a proper value.'       else if ($num-values &gt; $num-proper-values and $num-values = 1)         then concat('There is one Substance/Agent data element with ', $display-text, ' which is not a proper value.')       else if ($num-values &gt; $num-proper-values and $num-values &gt; 1 and $display-text = '')        then concat('There are ', iq:display-number($num-values), ' Substance/Agent data elements but none have a proper value.')       else if ($num-values &gt; $num-proper-values and $num-values &gt; 1)        then concat('There are ', iq:display-number($num-values), ' Substance/Agent data elements but none have a proper value. ',        'For example the first data element has ', $display-text, '.')       else '' " />
    <xsl:variable name="adv-names" select="(for $int in $values return         if ($int/cda:originalText) then $int/cda:originalText else if ($int/@displayName) then $int/@displayName else '')[. != '']" />
    <xsl:variable name="an-adv" select="$adv-names[1]" />
    <xsl:variable name="all-same-adv" select="$adv-names[. = $an-adv]" />
    <xsl:variable name="all-adv-num" select="count($adv-names) " />
    <xsl:variable name="adv-issue" select="if (($conformance-level-3 and $no-proper-values-err) or $excl-statement) then true()         else if ($no-proper-values-err) then false()        else $an-adv != '' and $all-adv-num = count($all-same-adv) and         (matches($an-adv, $exclusion-regex, 'is') or matches($an-adv, $regex-non-values, 'is')) " />
    <xsl:variable name="synopsis-section" select="if ($adv-issue) then /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16672']] else () " />
    <xsl:variable name="synopsis-narr" select="if ($adv-issue and exists($synopsis-section)) then $synopsis-section/cda:text//text() else () " />
    <xsl:variable name="synopsis-name" select="if (not($adv-issue and exists($synopsis-section))) then ''        else if ($synopsis-section/cda:title) then $synopsis-section/cda:title         else if ($synopsis-section/cda:code/@displayName) then $synopsis-section/cda:code/@displayName        else 'Event Details'" />
    <xsl:variable name="adv-neg" select="$adv-issue and exists($synopsis-narr[matches(., $narr-adverse-neg-regex, 'is')]) " />
    <xsl:variable name="adv-hint" select="$adv-issue and not($adv-neg) and exists($synopsis-narr[matches(., $narr-adverse-regex, 'is')])" />
    <xsl:variable name="excl-msg" select="if ($excl-statement) then concat(normalize-space($code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16299']/       code[@code=$exclusion/@code]/@explanation),        ' (See the FAQ on exclusion statements and section 2.1 of the My Health Record Usability Recommendations v1.3.)') else '' " />
    <xsl:variable name="adv-msg" select="if (not($adv-hint)) then ''       else if ($excl-statement)       then concat('The ''', lower-case($code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16299']/code[@code=$exclusion/@code]/@displayName),        ''' exclusion statement in the ', iq:location(., 'Adverse Reaction'), ' indicates no information about adverse reactions has been recorded in the ', $document-name, '. ')       else if ($an-adv != '' and matches($an-adv, $exclusion-regex, 'is'))        then concat('Information in the ', iq:location(., 'Adverse Reaction'), ' indicates no information about adverse reactions has been recorded in the ', $document-name, '. ')       else if (($conformance-level-3 and $no-proper-values-err) or ($an-adv != '' and matches($an-adv, $regex-non-values, 'is'))) then        concat('There is no information in the ', iq:location(., 'Adverse Reaction'), ' describing adverse reactions so ',        'it would be an error if adverse reactions are recorded elsewhere in the ', $document-name, '. ')       else '' " />
    <xsl:variable name="section-msg" select="if (not($adv-hint)) then ''       else if ($adv-hint) then concat('The ', $synopsis-name, ' section seems to contain information about adverse reactions ',        'and if correct then this is an error as the ', $synopsis-name, ' section must not be used to record adverse reactions that are not recorded in ',         iq:location(., 'Adverse Reaction'), '. (See section 3.3 of the Event Summary Structured Content Specification.) ',        'Confirm if information about adverse reactions is recorded in the ', $synopsis-name, ' section.')       else '' " />
    <xsl:variable name="mfst-ext" select="cda:entry/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:entryRelationship/        cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16474']]/cda:entryRelationship[@typeCode='MFST']/        cda:observation[*[not(local-name(.) = ('code', 'id'))]]" />
    <xsl:variable name="display-mfst-ext-1" select=" (for $mfst in $mfst-ext return if ($mfst/cda:code/cda:originalText)         then concat($mfst/cda:code/cda:originalText, ' [''', string-join(for $ext in $mfst/*[not(local-name(.) = ('code', 'id'))] return local-name($ext), ''', '''), ''']')        else if ($mfst/cda:code/@displayName) then concat($mfst/cda:code/@displayName, ' [''', string-join(for $ext in $mfst/*[not(local-name(.) = ('code', 'id'))] return local-name($ext), ''', '''), ''']')        else '')[. != ''] " />
    <xsl:variable name="display-mfst-ext" select="if (exists($display-mfst-ext-1)) then dh:XQueryRecursiveReplace(if (count($display-mfst-ext-1) = 1) then $display-mfst-ext-1[1]        else concat(string-join($display-mfst-ext-1[position() &lt; last()], ''', '''), ''' and ''', $display-mfst-ext-1[last()], '''.'), $text-pattern-replacement, 'ic')        else '' " />
    <xsl:variable name="message-text" select="if ($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="ext-test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="rating-28" select="if ($ext-test-step = 'step 1') then $rating-TC-Doc-28-step-1 else if ($ext-test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and exists($mfst-ext) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and exists($mfst-ext)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$ext-test-step" /><xsl:text />: The <xsl:text /><xsl:value-of select="iq:location(., 'Adverse Reaction')" /><xsl:text /> contains extensions to the
		'entry/act/entryRelationship/observation/entryRelationship/observation' element that is used to record the Manifestation.
		<xsl:text /><xsl:value-of select="if (count($display-mfst-ext-1) = 0) then '' else if (count($display-mfst-ext-1) = 1) then    concat('The following information is the value of the manifestation ''code'' element followed by unexpected XML elements containing extensions: ''', $display-mfst-ext, '''. ')   else concat('The following information are the values of the manifestation ''code'' elements followed by unexpected XML elements containing extensions: ''', $display-mfst-ext, '''. ') " /><xsl:text /><xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and exists($mfst-ext) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and exists($mfst-ext)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$ext-test-step" /><xsl:text />: The <xsl:text /><xsl:value-of select="iq:location(., 'Adverse Reaction')" /><xsl:text /> contains extensions to the
		'entry/act/entryRelationship/observation/entryRelationship/observation' element that is used to record the Manifestation.
		<xsl:text /><xsl:value-of select="if (count($display-mfst-ext-1) = 0) then '' else if (count($display-mfst-ext-1) = 1) then    concat('The following information is the value of the manifestation ''code'' element followed by unexpected XML elements containing extensions: ''', $display-mfst-ext, '''. ')   else concat('The following information are the values of the manifestation ''code'' elements followed by unexpected XML elements containing extensions: ''', $display-mfst-ext, '''. ') " /><xsl:text /><xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $num-proper-values &gt; 0 and $excl-statement ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$num-proper-values &gt; 0 and $excl-statement">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-1" /><xsl:text />: TC-Doc-05 step 1: The <xsl:text /><xsl:value-of select="iq:location(., 'Adverse Reaction')" /><xsl:text /> has a		
		'<xsl:text /><xsl:value-of select="lower-case($code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16299']/code[@code=$exclusion/@code]/@displayName)" /><xsl:text />' exclusion statement
		and also has Agent Descriptions with a proper value.
		As there are Agent Descriptions with a proper value then it is an error to include an exclusion statement stating that there is no value.
		(See the specification of the Metamodel in the Appendix of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 2.3 of the Adverse Reaction Detailed Clinical Model
		Specification v3.3.) <xsl:text /><xsl:value-of select="$excl-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-proper-values-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-proper-values-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-37" /><xsl:text />: TC-Doc-37: The <xsl:text /><xsl:value-of select="iq:location(., 'Adverse Reaction')" /><xsl:text /> has no exclusion statement and no Substance/Agents with a proper value.
		<xsl:text /><xsl:value-of select="$explanation" /><xsl:text /> The section must either contain at least one Substance/Agent with a proper value or else an exclusion statement stating why
		Substance/Agents are not included. For a Substance/Agent to have a proper value it must either contain a code attribute or originalText element
		that describes an agent that causes an adverse reaction. Every instance of a data group listed in a CDA Implementation Guide must have at least one child data component
		instantiated. (See the specification of the Metamodel in the Appendix of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 2.3 of the Adverse Reaction Detailed Clinical Model
		Specification v3.3.)
		<xsl:text /><xsl:value-of select="if ($invalid-exclusion = '') then '' else concat('The section has a ', $invalid-exclusion, ' but its presence in the ', iq:location(., 'Adverse Reaction'), ' is invalid.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $adv-hint ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $adv-hint">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Narr-09-step-2" /><xsl:text />: TC-Narr-09 step 2: <xsl:text /><xsl:value-of select="$adv-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (($conformance-level-3 and $no-proper-values-err) or $excl-statement) then '' else concat(' There are ',   if ($numbers/number[number(@value) = $all-adv-num]) then $numbers/number[number(@value) = $all-adv-num]/@name else $all-adv-num,   ' Substance/Agent ''participantRole/playingEntity/code''',     if ($all-adv-num = 1) then 'data element with the value ''' else 'data elements and all have the value ''', $an-adv, '''. ') " /><xsl:text /><xsl:text /><xsl:value-of select="$section-msg" /><xsl:text />
		A description of an adverse reaction may include allergies and intolerances.
		(See section 4.4 of the Event Summary Structured Content Specification.) <xsl:text /><xsl:value-of select="$excl-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M999" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M999" />
  <xsl:template match="@*|node()" priority="-2" mode="M999">
    <xsl:apply-templates select="@*|*" mode="M999" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-DG-3-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument['101.16142' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16006']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16142']][cda:entry or $conformance-level-3 or $flags/@report-data-quality = 'true']" priority="1000" mode="M1000">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument['101.16142' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16006']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16142']][cda:entry or $conformance-level-3 or $flags/@report-data-quality = 'true']" />
    <xsl:variable name="values" select="cda:entry/cda:observation[@classCode='OBS' and not(cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.4.3.1'])]/cda:value" />
    <xsl:variable name="num-values" select="count($values)" />
    <xsl:variable name="known-system" select="for $i in (1 to count($values)) return        if (not($values[$i]/@codeSystem)) then false()       else if (         ($values[$i]/@codeSystem = '1.2.36.1.2001.1004.100' and exists($v-amtv2))        or        ($values[$i]/@codeSystem = '1.2.36.1.2001.1005.22' and (exists($v-pbs or $use-ts-for-pbs)))     or        ($values[$i]/@codeSystem = '1.2.36.1.2001.1005.23' and (exists($v-pbsman or $use-ts-for-pbsman)))    or        ($values[$i]/@codeSystem = '2.16.840.1.113883.6.96' and (exists($v-amtv3) or exists($v-snomedctau) or $use-ts-for-sctau)) ) then true()       else if (not($code-systems/system[@codeSystem = $values[$i]/@codeSystem])) then false()       else if ($code-systems/system[@codeSystem = $values[$i]/@codeSystem]/@no-code-information = 'true') then false()       else true()" />
    <xsl:variable name="proper-values" select="for $i in (1 to count($values)) return        if ($values[$i]/cda:originalText and $regex-non-values != '' and matches($values[$i]/cda:originalText, $regex-non-values, 'is')) then ()       else if ($values[$i]/cda:originalText) then $values[$i]       else if ($values[$i]/@code and $known-system[$i]) then $values[$i]       else if ($values[$i]/@code and not($values[$i]/@displayName)) then $values[$i]       else if ($values[$i]/@displayName and $regex-non-values != '' and matches($values[$i]/@displayName, $regex-non-values, 'is')) then ()       else $values[$i]" />
    <xsl:variable name="num-proper-values" select="count($proper-values)" />
    <xsl:variable name="exclusion" select="cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.4.3.1']]/cda:value" />
    <xsl:variable name="excl-statement" select="boolean($exclusion)" />
    <xsl:variable name="no-proper-values-err" select="$num-proper-values = 0 and not($excl-statement) and cda:entry" />
    <xsl:variable name="invalid-exclusion-1" select="if (not($no-proper-values-err and count(cda:entry) = 1 and count(cda:entry/*) = 1 and count(cda:entry/cda:observation/cda:code[@codeSystem='1.2.36.1.2001.1001.101']) = 1)) then ''        else if (exists(cda:entry/cda:observation/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113'])) then 'Adverse Reactions Exclusion Statement'        else if (exists(cda:entry/cda:observation/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.4.3.3'])) then 'Ceased Medications Exclusion Statement'        else if (exists(cda:entry/cda:observation/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.4.3.2'])) then 'Current Medications on Discharge Exclusion Statement'        else if (exists(cda:entry/cda:observation/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.120.1.5'])) then 'Immunisations Exclusion Statement'        else if (exists(cda:entry/cda:observation/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('103.16302.2.2.1', '103.16302.120.1.2', '103.16302.132.1.1')])) then 'Medications Exclusion Statement'        else if (exists(cda:entry/cda:observation/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.4.3.1'])) then 'Problems/Diagnoses This Visit - Problems and Diagnoses Exclusion Statement'        else if (exists(cda:entry/cda:observation/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.120.1.3'])) then 'Medical History - Problems and Diagnoses Exclusion Statement'        else if (exists(cda:entry/cda:observation/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.120.1.4'])) then 'Medical History - Procedures Exclusion Statement'        else '' " />
    <xsl:variable name="invalid-exclusion" select="if ($invalid-exclusion-1 = '') then ''        else if (cda:entry/cda:observation/cda:value/@displayName != '')          then concat($invalid-exclusion-1, ' with the value ''', cda:entry/cda:observation/cda:value/@displayName, '''')        else $invalid-exclusion-1 " />
    <xsl:variable name="normalized-otext" select="if (exists($values[1]/cda:originalText)) then normalize-space($values[1]/cda:originalText) else '' " />
    <xsl:variable name="display-text-1" select="if (not($values[1]/cda:originalText)) then ''         else if ($normalized-otext != '' and string-length($values[1]/cda:originalText) &lt; 200)         then concat('originalText ', codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($values[1]/cda:originalText,          $text-pattern-replacement, 'ic')), codepoints-to-string(34))        else if ($normalized-otext != '') then concat('originalText commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($values[1]/cda:originalText,          $p-name-pattern-replacement, 'ic'), 1, 200), $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-text" select="if ($normalized-otext != '') then $display-text-1        else if ($normalized-otext = '' and $values[1]/cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="explanation" select="if ($num-values &gt; $num-proper-values and $num-values = 1 and $display-text = '')         then 'There is one Problem/Diagnosis Description ''entry/observation/value'' data element but it does not have a proper value.'       else if ($num-values &gt; $num-proper-values and $num-values = 1)         then concat('There is one Problem/Diagnosis Description ''entry/observation/value'' data element with ', $display-text, ' which is not a proper value.')       else if ($num-values &gt; $num-proper-values and $num-values &gt; 1 and $display-text = '')        then concat('There are ', iq:display-number($num-values), ' Problem/Diagnosis Description ''entry/observation/value'' data elements but none have a proper value.')       else if ($num-values &gt; $num-proper-values and $num-values &gt; 1)        then concat('There are ', iq:display-number($num-values), ' Problem/Diagnosis Description ''entry/observation/value'' data elements but none have a proper value. ',        'For example the first data element has ', $display-text, '.')       else '' " />
    <xsl:variable name="prob-tables" select="if ($flags/@report-data-quality = 'true') then cda:text//cda:table else () " />
    <xsl:variable name="prob-headings" select="if (count($prob-tables) = 1) then $prob-tables/cda:thead/cda:tr/cda:th else () " />
    <xsl:variable name="prob-rows" select="if (count($prob-tables) = 1) then $prob-tables/cda:tbody/cda:tr else () " />
    <xsl:variable name="prob-row-num" select="count($prob-rows) " />
    <xsl:variable name="prob-row-headings" select="for $i in (1 to count($prob-rows)) return if ($prob-rows[$i]/cda:th[1]) then $prob-rows[$i]/cda:th[1] else $prob-rows[$i]/cda:td[1] " />
    <xsl:variable name="prob-col-num" select="if (exists($prob-headings)) then count($prob-headings) else count($prob-rows[1]/cda:td) " />
    <xsl:variable name="exclusion-statement" select="($prob-col-num = 1 and matches($prob-headings[1], '^\W*(Exclusion\s+Statement)\W*$', 'is')) or        matches(string-join(cda:text//text(), ' '), $exclusion-regex, 'is') " />
    <xsl:variable name="recommended-headings" select="('Principal diagnosis', 'Reason for presentation', 'Secondary diagnoses', 'Complications', 'Past medical history') " />
    <xsl:variable name="rec-heading-regex" select="('^\W*Principal\s+diagnosis\W*$', '^\W*Reason\s+for\s+presentation\W*$', '^\W*Secondary\s+diagnoses\W*$', '^\W*Complications\W*$',         '^\W*Past\s+medical\s+history\W*$') " />
    <xsl:variable name="invalid-headings" select="(for $i in (1 to count($prob-rows)) return if (matches($prob-rows[$i]/cda:th[1], $rec-heading-regex[$i], 'is')) then ''         else $prob-rows[$i]/cda:th[1])[. != ''] " />
    <xsl:variable name="prob-invalid-headings" select="$prob-row-num = 5 and exists($invalid-headings) " />
    <xsl:variable name="prob-empty-td" select="if ($prob-col-num = 2 and $prob-row-num = 5 and not($prob-invalid-headings))         then $prob-tables/cda:tbody/cda:tr/cda:td[normalize-space(.) = ''] else () " />
    <xsl:variable name="excl-msg" select="if ($excl-statement) then concat(normalize-space($code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16299']/       code[@code=$exclusion/@code]/@explanation),        ' (See the FAQ on exclusion statements and section 2.1 of the My Health Record Usability Recommendations v1.3.)') else '' " />
    <!--REPORT -->
    <xsl:if test=" $num-proper-values &gt; 0 and $excl-statement ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$num-proper-values &gt; 0 and $excl-statement">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-1" /><xsl:text />: TC-Doc-05 step 1: The <xsl:text /><xsl:value-of select="iq:location(., 'Problems/Diagnoses This Visit')" /><xsl:text /> has a		
		'<xsl:text /><xsl:value-of select="lower-case($code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16299']/code[@code=$exclusion/@code]/@displayName)" /><xsl:text />' exclusion statement
		and also has Problem/Diagnosis Descriptions with a proper value.
		As there are Problem/Diagnosis Descriptions with a proper value then it is an error to include an exclusion statement stating that there is no value.
		(See sections 4.11 and 4.17 of the e-Discharge Summary Structured Document Template v3.3.) <xsl:text /><xsl:value-of select="$excl-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-proper-values-err">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-proper-values-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-37" /><xsl:text />: TC-Doc-37: The <xsl:text /><xsl:value-of select="iq:location(., 'Problems/Diagnoses This Visit')" /><xsl:text /> has no exclusion statement and no Problem/Diagnosis Descriptions with a proper value.
		<xsl:text /><xsl:value-of select="$explanation" /><xsl:text /> The section must either contain at least one Problem/Diagnosis Description with a proper value or else an exclusion statement stating why
		Problem/Diagnosis Descriptions are not included. For a Problem/Diagnosis Description to have a proper value it must either contain a code attribute or originalText element
		that describes a medical problem or a diagnosis. Every instance of a data group listed in a CDA Implementation Guide must have at least one child data component instantiated.
		(See sections 4.11 and 4.17 of the e-Discharge Summary Structured Document Template v3.3.)
		<xsl:text /><xsl:value-of select="if ($invalid-exclusion = '') then '' else concat('The section has a ', $invalid-exclusion, ' but its presence in the ', iq:location(., 'Problems/Diagnoses This Visit'), ' is invalid.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and count($prob-tables) &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and count($prob-tables) &gt; 1">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-DS-Display" /><xsl:text />: (READABILITY): The <xsl:text /><xsl:value-of select="iq:location(., 'Problems/Diagnoses This Visit')" /><xsl:text /> of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> contains
		<xsl:text /><xsl:value-of select="iq:display-number(count($prob-tables))" /><xsl:text /> tables.
		The section's narrative should contain problems and diagnoses information in one table only and the table should have five rows with the headings 'Principal diagnosis',
		'Reason for presentation', 'Secondary diagnoses', 'Complications' and 'Past medical history'.
		(See section 3F of the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and    ((exists(cda:entry) and $num-proper-values &gt; 0) or (not(exists(cda:entry)) and not($exclusion-statement))) and not(exists($prob-tables)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and ((exists(cda:entry) and $num-proper-values &gt; 0) or (not(exists(cda:entry)) and not($exclusion-statement))) and not(exists($prob-tables))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-DS-Display" /><xsl:text />: (READABILITY): The <xsl:text /><xsl:value-of select="iq:location(., 'Problems/Diagnoses This Visit')" /><xsl:text /> of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /><xsl:text /><xsl:value-of select="if (exists(cda:entry) and $num-proper-values &gt; 0) then    ' contains problems and diagnoses information that is not in a table. The section''s narrative should include a table for recording problems and diagnoses and the table should have five rows   with the headings ''Principal diagnosis'', ''Reason for presentation'', ''Secondary diagnoses'', ''Complications'' and ''Past medical history''.'   else ' does not include a table. If problems and diagnoses have been recorded then they should be in a table containing five rows with the headings   ''Principal diagnosis'', ''Reason for presentation'', ''Secondary diagnoses'', ''Complications'' and ''Past medical history''.' " /><xsl:text />
		If no information is available for any row then 'Nil' should be included in the row.
		(See section 3F of the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care.)
		A table row with a heading should have a 'th' element for the first element of the row.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and exists($prob-headings) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and exists($prob-headings)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-DS-Display" /><xsl:text />: (READABILITY): The <xsl:text /><xsl:value-of select="iq:location(., 'Problems/Diagnoses This Visit')" /><xsl:text /> of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> contains a table with
		<xsl:text /><xsl:value-of select="iq:display-number($prob-col-num)" /><xsl:text /><xsl:text /><xsl:value-of select="if ($prob-col-num = 1) then concat(' column and the heading ''', $prob-headings[1], '''.')   else concat(' columns and the headings ''', string-join($prob-headings[position() &lt; last()], ''', '''), ''' and ''', $prob-headings[last()], '''.') " /><xsl:text />
		Instead of column headings the table should have table rows with the headings 'Principal diagnosis', 'Reason for presentation', 'Secondary diagnoses', 'Complications' and
		'Past medical history'.
		(See section 3F of the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care.)
		A table row with a heading should have a 'th' element for the first element of the row.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and not(exists($prob-headings)) and count($prob-tables) = 1 and exists($prob-tables) and    not($exclusion-statement or $prob-col-num = 2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and not(exists($prob-headings)) and count($prob-tables) = 1 and exists($prob-tables) and not($exclusion-statement or $prob-col-num = 2)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-DS-Display" /><xsl:text />: (READABILITY): The <xsl:text /><xsl:value-of select="iq:location(., 'Problems/Diagnoses This Visit')" /><xsl:text /> of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> contains a table with
		<xsl:text /><xsl:value-of select="iq:display-number($prob-col-num)" /><xsl:text /><xsl:text /><xsl:value-of select="if ($prob-col-num = 1) then ' column.' else ' columns.' " /><xsl:text /> The tables does not have the recommended format which is a table of two columns
		and five rows with row headings 'Principal diagnosis', 'Reason for presentation', 'Secondary diagnoses', 'Complications' and 'Past medical history'.
		(See section 3F of the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and not(exists($prob-headings) or $exclusion-statement) and $prob-col-num = 2 and not($prob-row-num = 5) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and not(exists($prob-headings) or $exclusion-statement) and $prob-col-num = 2 and not($prob-row-num = 5)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-DS-Display" /><xsl:text />: (READABILITY): The <xsl:text /><xsl:value-of select="iq:location(., 'Problems/Diagnoses This Visit')" /><xsl:text /> of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> contains a table with
		<xsl:text /><xsl:value-of select="iq:display-number($prob-row-num)" /><xsl:text /><xsl:text /><xsl:value-of select="if (not(exists($prob-row-headings)) and $prob-row-num = 1) then ' row with no row heading.'   else if (not(exists($prob-row-headings)) and $prob-row-num &gt; 1) then ' rows with no row headings.'   else if ($prob-row-num = 1) then concat(' row and the row heading ''', $prob-row-headings[1], '''.')   else concat(' rows and the row headings ''', string-join($prob-row-headings, ''', '''), '''.') " /><xsl:text />
		The tables does not have the recommended five row headings 'Principal diagnosis',
		'Reason for presentation', 'Secondary diagnoses', 'Complications' and 'Past medical history'.
		If no information is available for any row then 'Nil' should be included in the row.
		(See section 3F of the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care.)
		A table row with a heading should have a 'th' element for the first element of the row.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and $prob-invalid-headings ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $prob-invalid-headings">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-DS-Display" /><xsl:text />: (READABILITY): The <xsl:text /><xsl:value-of select="iq:location(., 'Problems/Diagnoses This Visit')" /><xsl:text /> of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> contains a table with the row headings
		'<xsl:text /><xsl:value-of select="string-join($prob-row-headings, ''', ''')" /><xsl:text />'. The row headings recommended for this section are 'Principal diagnosis',
		'Reason for presentation', 'Secondary diagnoses', 'Complications' and 'Past medical history'.
		<xsl:text /><xsl:value-of select="if (count($invalid-headings) = 5) then 'None of the row headings are those recommended for this section.'   else concat('The headings that are not in the recommended set are ''', string-join($invalid-headings, ''', '''), '.')" /><xsl:text />'
		(See section 3F of the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and exists($prob-empty-td) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and exists($prob-empty-td)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-DS-Display" /><xsl:text />: (READABILITY): The <xsl:text /><xsl:value-of select="iq:location(., 'Problems/Diagnoses This Visit')" /><xsl:text /> of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> contains a table with the recommended row headings
		'Principal diagnosis', 'Reason for presentation', 'Secondary diagnoses', 'Complications' and 'Past medical history' but the table contains
		<xsl:text /><xsl:value-of select="iq:display-number(count($prob-empty-td))" /><xsl:text /> empty table data 'td' <xsl:text /><xsl:value-of select="if (count($prob-empty-td) = 1) then 'element' else 'elements'" /><xsl:text />.
		When no information is available a 'td' element should include 'Nil' to indicate no information is available for the element.
		(See section 3F of the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1000" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1000" />
  <xsl:template match="@*|node()" priority="-2" mode="M1000">
    <xsl:apply-templates select="@*|*" mode="M1000" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-DG-4-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument['101.16638' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16638']][cda:entry or $conformance-level-3]" priority="1000" mode="M1001">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument['101.16638' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16638']][cda:entry or $conformance-level-3]" />
    <xsl:variable name="values" select="cda:entry/cda:substanceAdministration/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code" />
    <xsl:variable name="num-values" select="count($values)" />
    <xsl:variable name="known-system" select="for $i in (1 to count($values)) return        if (not($values[$i]/@codeSystem)) then false()       else if (         ($values[$i]/@codeSystem = '1.2.36.1.2001.1004.100' and exists($v-amtv2))        or        ($values[$i]/@codeSystem = '1.2.36.1.2001.1005.22' and (exists($v-pbs or $use-ts-for-pbs)))     or        ($values[$i]/@codeSystem = '1.2.36.1.2001.1005.23' and (exists($v-pbsman or $use-ts-for-pbsman)))    or        ($values[$i]/@codeSystem = '2.16.840.1.113883.6.96' and (exists($v-amtv3) or exists($v-snomedctau) or $use-ts-for-sctau)) ) then true()       else if (not($code-systems/system[@codeSystem = $values[$i]/@codeSystem])) then false()       else if ($code-systems/system[@codeSystem = $values[$i]/@codeSystem]/@no-code-information = 'true') then false()       else true()" />
    <xsl:variable name="proper-values" select="for $i in (1 to count($values)) return        if ($values[$i]/cda:originalText and $regex-non-values != '' and matches($values[$i]/cda:originalText, $regex-non-values, 'is')) then ()       else if ($values[$i]/cda:originalText) then $values[$i]       else if ($values[$i]/@code and $known-system[$i]) then $values[$i]       else if ($values[$i]/@code and not($values[$i]/@displayName)) then $values[$i]       else if ($values[$i]/@displayName and $regex-non-values != '' and matches($values[$i]/@displayName, $regex-non-values, 'is')) then ()       else $values[$i]" />
    <xsl:variable name="num-proper-values" select="count($proper-values)" />
    <xsl:variable name="exclusion" select="cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.120.1.5']]/cda:value" />
    <xsl:variable name="excl-statement" select="boolean($exclusion)" />
    <xsl:variable name="no-proper-values-err" select="$num-proper-values = 0 and not($excl-statement) and cda:entry" />
    <xsl:variable name="invalid-exclusion-1" select="if (not($no-proper-values-err and count(cda:entry) = 1 and count(cda:entry/*) = 1 and count(cda:entry/cda:observation/cda:code[@codeSystem='1.2.36.1.2001.1001.101']) = 1)) then ''        else if (exists(cda:entry/cda:observation/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113'])) then 'Adverse Reactions Exclusion Statement'        else if (exists(cda:entry/cda:observation/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.4.3.3'])) then 'Ceased Medications Exclusion Statement'        else if (exists(cda:entry/cda:observation/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.4.3.2'])) then 'Current Medications on Discharge Exclusion Statement'        else if (exists(cda:entry/cda:observation/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.120.1.5'])) then 'Immunisations Exclusion Statement'        else if (exists(cda:entry/cda:observation/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('103.16302.2.2.1', '103.16302.120.1.2', '103.16302.132.1.1')])) then 'Medications Exclusion Statement'        else if (exists(cda:entry/cda:observation/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.4.3.1'])) then 'Problems/Diagnoses This Visit - Problems and Diagnoses Exclusion Statement'        else if (exists(cda:entry/cda:observation/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.120.1.3'])) then 'Medical History - Problems and Diagnoses Exclusion Statement'        else if (exists(cda:entry/cda:observation/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.120.1.4'])) then 'Medical History - Procedures Exclusion Statement'        else '' " />
    <xsl:variable name="invalid-exclusion" select="if ($invalid-exclusion-1 = '') then ''        else if (cda:entry/cda:observation/cda:value/@displayName != '')          then concat($invalid-exclusion-1, ' with the value ''', cda:entry/cda:observation/cda:value/@displayName, '''')        else $invalid-exclusion-1 " />
    <xsl:variable name="normalized-otext" select="if (exists($values[1]/cda:originalText)) then normalize-space($values[1]/cda:originalText) else '' " />
    <xsl:variable name="display-text-1" select="if (not($values[1]/cda:originalText)) then ''         else if ($normalized-otext != '' and string-length($values[1]/cda:originalText) &lt; 200)         then concat('originalText ', codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($values[1]/cda:originalText,          $text-pattern-replacement, 'ic')), codepoints-to-string(34))        else if ($normalized-otext != '') then concat('originalText commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($values[1]/cda:originalText,          $p-name-pattern-replacement, 'ic'), 1, 200), $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-text" select="if ($normalized-otext != '') then $display-text-1        else if ($normalized-otext = '' and $values[1]/cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="explanation" select="if ($num-values &gt; $num-proper-values and $num-values = 1 and $display-text = '')         then 'There is one Therapeutic Good Identification ''manufacturedProduct/manufacturedMaterial/code'' data element but it does not have a proper value.'       else if ($num-values &gt; $num-proper-values and $num-values = 1)         then concat('There is one Therapeutic Good Identification ''manufacturedProduct/manufacturedMaterial/code'' data element with ', $display-text, ' which is not a proper value.')       else if ($num-values &gt; $num-proper-values and $num-values &gt; 1 and $display-text = '')        then concat('There are ', iq:display-number($num-values), ' Therapeutic Good Identification ''manufacturedProduct/manufacturedMaterial/code'' data elements but none have a proper value.')       else if ($num-values &gt; $num-proper-values and $num-values &gt; 1)        then concat('There are ', iq:display-number($num-values), ' Therapeutic Good Identification ''manufacturedProduct/manufacturedMaterial/code'' data elements but none have a proper value. ',        'For example the first data element has ', $display-text, '.')       else '' " />
    <xsl:variable name="excl-msg" select="if ($excl-statement) then concat(normalize-space($code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16299']/       code[@code=$exclusion/@code]/@explanation),        ' (See the FAQ on exclusion statements and section 2.1 of the My Health Record Usability Recommendations v1.3.)') else '' " />
    <!--REPORT -->
    <xsl:if test=" $num-proper-values &gt; 0 and $excl-statement ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$num-proper-values &gt; 0 and $excl-statement">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-1" /><xsl:text />: TC-Doc-05 step 1: The <xsl:text /><xsl:value-of select="iq:location(., 'Immunisation')" /><xsl:text /> has a		
		'<xsl:text /><xsl:value-of select="lower-case($code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16299']/code[@code=$exclusion/@code]/@displayName)" /><xsl:text />' exclusion statement
		and also has a vaccine (Therapeutic Good Identification) data element
		with a proper value. As there is a vaccine with a proper value then it is an error to include an exclusion statement stating that there is no value.
		(See the specification of the Metamodel in the Appendix of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text />.) <xsl:text /><xsl:value-of select="$excl-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-proper-values-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-proper-values-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-37" /><xsl:text />: TC-Doc-37: The <xsl:text /><xsl:value-of select="iq:location(., 'Immunisation')" /><xsl:text /> has no exclusion statement and no vaccine (Therapeutic Good Identification) data element with a proper
		value. <xsl:text /><xsl:value-of select="$explanation" /><xsl:text /> The section must either contain at least one vaccine with a proper value or else an exclusion statement stating why no
		vaccine is included. For a vaccine to have a proper value it must either contain a code attribute or originalText element
		that describes the vaccine administered to the healthcare consumer. Every instance of a data group listed in a CDA Implementation Guide must have at least one child data component
		instantiated. (See the specification of the Metamodel in the Appendix of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text />.)
		<xsl:text /><xsl:value-of select="if ($invalid-exclusion = '') then '' else concat('The section has a ', $invalid-exclusion, ' but its presence in the ', iq:location(., 'Immunisation'), ' is invalid.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1001" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1001" />
  <xsl:template match="@*|node()" priority="-2" mode="M1001">
    <xsl:apply-templates select="@*|*" mode="M1001" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-DG-5-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument['101.16146' = $doc-sections][cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')   or   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')   or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) ]]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']][cda:entry or $conformance-level-3 or $flags/@report-data-quality = 'true']" priority="1000" mode="M1002">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument['101.16146' = $doc-sections][cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')   or   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')   or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) ]]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']][cda:entry or $conformance-level-3 or $flags/@report-data-quality = 'true']" />
    <xsl:variable name="values" select="cda:entry/cda:substanceAdministration/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code" />
    <xsl:variable name="num-values" select="count($values)" />
    <xsl:variable name="known-system" select="for $i in (1 to count($values)) return        if (not($values[$i]/@codeSystem)) then false()       else if (         ($values[$i]/@codeSystem = '1.2.36.1.2001.1004.100' and exists($v-amtv2))        or        ($values[$i]/@codeSystem = '1.2.36.1.2001.1005.22' and (exists($v-pbs or $use-ts-for-pbs)))     or        ($values[$i]/@codeSystem = '1.2.36.1.2001.1005.23' and (exists($v-pbsman or $use-ts-for-pbsman)))    or        ($values[$i]/@codeSystem = '2.16.840.1.113883.6.96' and (exists($v-amtv3) or exists($v-snomedctau) or $use-ts-for-sctau)) ) then true()       else if (not($code-systems/system[@codeSystem = $values[$i]/@codeSystem])) then false()       else if ($code-systems/system[@codeSystem = $values[$i]/@codeSystem]/@no-code-information = 'true') then false()       else true()" />
    <xsl:variable name="proper-values" select="for $i in (1 to count($values)) return        if ($values[$i]/cda:originalText and $regex-non-values != '' and matches($values[$i]/cda:originalText, $regex-non-values, 'is')) then ()       else if ($values[$i]/cda:originalText) then $values[$i]       else if ($values[$i]/@code and $known-system[$i]) then $values[$i]       else if ($values[$i]/@code and not($values[$i]/@displayName)) then $values[$i]       else if ($values[$i]/@displayName and $regex-non-values != '' and matches($values[$i]/@displayName, $regex-non-values, 'is')) then ()       else $values[$i]" />
    <xsl:variable name="num-proper-values" select="count($proper-values)" />
    <xsl:variable name="exclusion" select="cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('103.16302.2.2.1', '103.16302.120.1.2', '103.16302.132.1.1')]]/cda:value" />
    <xsl:variable name="excl-statement" select="boolean($exclusion)" />
    <xsl:variable name="no-proper-values-err" select="$num-proper-values = 0 and not($excl-statement) and cda:entry" />
    <xsl:variable name="invalid-exclusion-1" select="if (not($no-proper-values-err and count(cda:entry) = 1 and count(cda:entry/*) = 1 and count(cda:entry/cda:observation/cda:code[@codeSystem='1.2.36.1.2001.1001.101']) = 1)) then ''        else if (exists(cda:entry/cda:observation/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113'])) then 'Adverse Reactions Exclusion Statement'        else if (exists(cda:entry/cda:observation/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.4.3.3'])) then 'Ceased Medications Exclusion Statement'        else if (exists(cda:entry/cda:observation/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.4.3.2'])) then 'Current Medications on Discharge Exclusion Statement'        else if (exists(cda:entry/cda:observation/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.120.1.5'])) then 'Immunisations Exclusion Statement'        else if (exists(cda:entry/cda:observation/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('103.16302.2.2.1', '103.16302.120.1.2', '103.16302.132.1.1')])) then 'Medications Exclusion Statement'        else if (exists(cda:entry/cda:observation/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.4.3.1'])) then 'Problems/Diagnoses This Visit - Problems and Diagnoses Exclusion Statement'        else if (exists(cda:entry/cda:observation/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.120.1.3'])) then 'Medical History - Problems and Diagnoses Exclusion Statement'        else if (exists(cda:entry/cda:observation/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.120.1.4'])) then 'Medical History - Procedures Exclusion Statement'        else '' " />
    <xsl:variable name="invalid-exclusion" select="if ($invalid-exclusion-1 = '') then ''        else if (cda:entry/cda:observation/cda:value/@displayName != '')          then concat($invalid-exclusion-1, ' with the value ''', cda:entry/cda:observation/cda:value/@displayName, '''')        else $invalid-exclusion-1 " />
    <xsl:variable name="normalized-otext" select="if (exists($values[1]/cda:originalText)) then normalize-space($values[1]/cda:originalText) else '' " />
    <xsl:variable name="display-text-1" select="if (not($values[1]/cda:originalText)) then ''         else if ($normalized-otext != '' and string-length($values[1]/cda:originalText) &lt; 200)         then concat('originalText ', codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($values[1]/cda:originalText,          $text-pattern-replacement, 'ic')), codepoints-to-string(34))        else if ($normalized-otext != '') then concat('originalText commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($values[1]/cda:originalText,          $p-name-pattern-replacement, 'ic'), 1, 200), $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-text" select="if ($normalized-otext != '') then $display-text-1        else if ($normalized-otext = '' and $values[1]/cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="explanation" select="if ($num-values &gt; $num-proper-values and $num-values = 1 and $display-text = '')         then 'There is one Therapeutic Good Identification ''manufacturedProduct/manufacturedMaterial/code'' data element but it does not have a proper value.'       else if ($num-values &gt; $num-proper-values and $num-values = 1)         then concat('There is one Therapeutic Good Identification ''manufacturedProduct/manufacturedMaterial/code'' data element with ', $display-text, ' which is not a proper value.')       else if ($num-values &gt; $num-proper-values and $num-values &gt; 1 and $display-text = '')        then concat('There are ', iq:display-number($num-values), ' Therapeutic Good Identification ''manufacturedProduct/manufacturedMaterial/code'' data elements but none have a proper value.')       else if ($num-values &gt; $num-proper-values and $num-values &gt; 1)        then concat('There are ', iq:display-number($num-values), ' Therapeutic Good Identification ''manufacturedProduct/manufacturedMaterial/code'' data elements but none have a proper value. ',        'For example the first data element has ', $display-text, '.')       else '' " />
    <xsl:variable name="directions" select="if ($flags/@report-data-quality = 'true' and exists(cda:entry/cda:substanceAdministration/cda:text))         then cda:entry/cda:substanceAdministration/cda:text else () " />
    <xsl:variable name="directions-num" select="count($directions) " />
    <xsl:variable name="directions-text" select="for $dir in $directions return normalize-space($dir) " />
    <xsl:variable name="latin-mabbr" select="for $text in $directions-text return         if (matches($text, $latin-mabbr-regex, 'i')) then replace($text, $latin-mabbr-regex, '$2', 'i') else ''" />
    <xsl:variable name="directions-words" select="if (exists($directions-text)) then tokenize(replace(string-join(for $text in $directions-text return         if (matches($text, $latin-mabbr-regex, 'i')) then replace($text, $latin-mabbr-regex, '$1$3', 'i') else $text, ' '), '\(s\)', 's', 'i'), ' ')         else () " />
    <xsl:variable name="latin-term" select="(for $word in $directions-words return         if (matches($word, $latin-term-regex, 'i')) then replace($word, $latin-term-regex, '$2', 'i') else '')[. != '']" />
    <xsl:variable name="latin-sabbr" select="for $word in $directions-words return         if (matches($word, $latin-abbr-regex, 'i')) then replace($word, $latin-abbr-regex, '$2', 'i') else ''" />
    <xsl:variable name="other-abbr" select="(for $word in $directions-words return         if (matches($word, $other-abbr-regex, 'i')) then replace($word, $other-abbr-regex, '$2', 'i') else '')[. != '']" />
    <xsl:variable name="directions-dec" select="(for $word in $directions-words return         if (matches($word, $directions-dec-regex, 'i')) then replace($word, $directions-dec-regex, '$2', 'i') else '')" />
    <xsl:variable name="directions-frac" select="(for $word in $directions-words return         if (matches($word, $directions-frac-regex, 'i')) then replace($word, $directions-frac-regex, '$2', 'i') else '')" />
    <xsl:variable name="directions-number" select="($directions-dec, $directions-frac)[. != ''] " />
    <xsl:variable name="latin-abbr" select="($latin-sabbr, $latin-mabbr)[. != ''] " />
    <xsl:variable name="has-latin-term" select="exists($latin-term) " />
    <xsl:variable name="has-latin-abbr" select="exists($latin-abbr) " />
    <xsl:variable name="has-other-abbr" select="exists($other-abbr) " />
    <xsl:variable name="has-numbers" select="exists($directions-number) " />
    <xsl:variable name="directions-rec" select="$has-latin-term or $has-latin-abbr or $has-other-abbr or $has-numbers " />
    <xsl:variable name="occurrence-num" select="count(($latin-term, $latin-abbr, $other-abbr, $directions-number)) " />
    <xsl:variable name="examples" select="distinct-values(($latin-term, $latin-abbr, $other-abbr, $directions-number)) " />
    <xsl:variable name="sig-risk-examples" select="$examples[matches(., $sig-risk-regex)] " />
    <xsl:variable name="latin-num" select="count(distinct-values($latin-term)) " />
    <xsl:variable name="abbr-num" select="count(distinct-values(($latin-abbr, $other-abbr))) " />
    <xsl:variable name="dir-num" select="count(distinct-values($directions-number)) " />
    <xsl:variable name="directions-msg-1" select="if (not($directions-rec)) then ''        else if ($has-latin-term and $abbr-num = 1) then 'Latin and an abbreviation'        else if ($has-latin-term and $abbr-num &gt; 1) then 'Latin and abbreviations'        else if ($has-latin-term and not($has-latin-abbr) and $latin-num = 1) then 'a Latin term'        else if ($has-latin-term and not($has-latin-abbr) and $latin-num &gt; 1) then 'Latin terms'        else if ($abbr-num = 1) then 'an abbreviation'        else if ($abbr-num &gt; 1) then 'abbreviations'        else '' " />
    <xsl:variable name="directions-msg" select="if (not($directions-rec and $has-numbers)) then $directions-msg-1        else if ($directions-msg-1 = ''and $dir-num = 1) then 'a number'        else if ($directions-msg-1 = ''and $dir-num &gt; 1) then 'numbers'        else if ($dir-num = 1) then concat($directions-msg-1, ' and a number')        else concat($directions-msg-1, ' and numbers') " />
    <xsl:variable name="med-tables" select="if ($flags/@report-data-quality = 'true') then cda:text//cda:table else () " />
    <xsl:variable name="med-header" select="if (count($med-tables) = 1) then $med-tables/cda:thead else () " />
    <xsl:variable name="med-header-row" select="$med-header/cda:tr " />
    <xsl:variable name="med-headings" select="$med-header-row/cda:th " />
    <xsl:variable name="med-col-num" select="if (exists($med-headings)) then count($med-headings) else count($med-tables/cda:tbody/cda:tr[1]/cda:td) " />
    <xsl:variable name="exclusion-statement" select="($med-col-num = 1 and matches($med-headings[1], '^\W*(Exclusion\s+Statement)\W*$', 'is')) or        matches(string-join(cda:text//text(), ' '), $exclusion-regex, 'is') " />
    <xsl:variable name="med-data" select="if ((exists(cda:entry) and $num-proper-values &gt; 0) or (not(exists(cda:entry)) and not($exclusion-statement)))         then $med-tables/cda:tbody/cda:tr/cda:td else () " />
    <xsl:variable name="med-data-content" select="$med-tables/cda:tbody/cda:tr/cda:td/cda:content " />
    <xsl:variable name="med-data-content-style" select="$med-data-content//@styleCode " />
    <xsl:variable name="rec-med-data-style" select="$med-data-content-style[matches(., '(^| )(Bold|Italics)( |$)')]" />
    <xsl:variable name="excl-msg" select="if ($excl-statement) then concat(normalize-space($code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16299']/       code[@code=$exclusion/@code]/@explanation),        ' (See the FAQ on exclusion statements and section 2.1 of the My Health Record Usability Recommendations v1.3.)') else '' " />
    <!--REPORT -->
    <xsl:if test=" $num-proper-values &gt; 0 and $excl-statement ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$num-proper-values &gt; 0 and $excl-statement">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-1" /><xsl:text />: TC-Doc-05 step 1: The <xsl:text /><xsl:value-of select="iq:location(., 'Medications')" /><xsl:text /> has a		
		'<xsl:text /><xsl:value-of select="lower-case($code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16299']/code[@code=$exclusion/@code]/@displayName)" /><xsl:text />' exclusion statement
		and also has a medicine (Therapeutic Good Identification) data
		element with a proper value. As there is a medicine with a proper value then it is an error to include an exclusion statement stating that there is no value.
		(See the specification of the Metamodel in the Appendix of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text />.) <xsl:text /><xsl:value-of select="$excl-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-proper-values-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-proper-values-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-37" /><xsl:text />: TC-Doc-37: The <xsl:text /><xsl:value-of select="iq:location(., 'Medications')" /><xsl:text /> has no exclusion statement and no medicine (Therapeutic Good Identification) data element with a
		proper value. <xsl:text /><xsl:value-of select="$explanation" /><xsl:text /> The section must either contain at least one medicine with a proper value or else an exclusion statement stating why no
		medicine is included. For a medicine to have a proper value it must either contain a code attribute or originalText element
		that describes the medicine or other therapeutic good being ordered, administered to or used by the healthcare consumer. Every instance of a data group listed in a CDA
		implementation guide must have at least one child data component instantiated. (See the specification of the Metamodel in the Appendix of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text />.)
		<xsl:text /><xsl:value-of select="if ($invalid-exclusion = '') then '' else concat('The section has a ', $invalid-exclusion, ' but its presence in the ', iq:location(., 'Medications'), ' is invalid.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and $directions-rec ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $directions-rec">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-dir-TC-Med-Display" /><xsl:text />: (READABILITY): The <xsl:text /><xsl:value-of select="iq:location(., 'Medications')" /><xsl:text /> of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> contains
		<xsl:text /><xsl:value-of select="iq:display-number($directions-num)" /><xsl:text /> Directions 'entry/substanceAdministration/text'
		<xsl:text /><xsl:value-of select="if ($directions-num = 1) then 'data element' else 'data elements'" /><xsl:text /> which <xsl:text /><xsl:value-of select="if ($directions-num = 1) then 'contains ' else 'contain '" /><xsl:text /><xsl:text /><xsl:value-of select="iq:display-number($occurrence-num)" /><xsl:text /><xsl:text /><xsl:value-of select="if ($occurrence-num = 1) then ' occurrence' else ' occurrences' " /><xsl:text /> of <xsl:text /><xsl:value-of select="$directions-msg " /><xsl:text />
		(<xsl:text /><xsl:value-of select="iq:display-text-list($examples, 1, true(), true())" /><xsl:text />)
		that <xsl:text /><xsl:value-of select="if ($occurrence-num = 1) then 'is' else 'are' " /><xsl:text /> open to ambiguity and misunderstanding and should be avoided.
		(See section 6.2 of the National Guidelines for On-Screen Display of Clinical Medicines
		Information, published January 2016 by the Australian Commission on Safety and Quality in Health Care, which states 'Medicine has a strong tradition of using Latin words and abbreviations in
		place of full English words. . . . However, English is the predominant language used to describe medicines, and clinical staff training does not include Latin or abbreviated terms to describe
		a medication order. While using Latin abbreviations may be convenient, their use is open to ambiguity and misunderstanding and ultimately may lead to patient harm. . . . This is also true
		for abbreviated forms of English words and the use of symbols in place of words. Errors resulting from these misunderstandings are well documented in the patient safety literature'.)		
		<xsl:text /><xsl:value-of select="if (count($sig-risk-examples) = 0) then ''   else if (count($sig-risk-examples) = 1) then concat('The term ''', $sig-risk-examples[1],     ''' is especially discouraged as it can be confused with other terms leading to errors with taking medicine. ',    '(See section 2 of the Recommendations for terminology, abbreviations and symbols used in medicines documentation, December 2016).')   else concat('The terms ''', string-join($sig-risk-examples, ''', '''),    ''' are especially discouraged as they can be confused with other terms leading to errors with taking medicine. ',    '(See section 2 of the Recommendations for terminology, abbreviations and symbols used in medicines documentation, December 2016).') " /><xsl:text /><xsl:text /><xsl:value-of select="if (exists($examples[matches(., '^mcg\.?$', 'i')])) then ' The abbreviation ''mcg'' may be confused with ''mg'' and should be replaced with microgram, MICROg or microg.'    else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (exists($examples[matches(., '^gutte$')])) then ' The Latin word ''gutte'' should be replaced with ''drops''.'  else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (exists($examples[matches(., '^o\.?d\.?$', 'i')])) then concat(' The abbreviation ''', $examples[matches(., '^o\.?d\.?$', 'i')],    ''' may mean ''once a day'' or ''oculus dexter'' (right eye) or may be misread as ''BD'' (twice daily) or ''QID'' (four times a day). ',   'This should be replaced with an alternative such as ''once a day'', ''daily'' or ''right eye'' if that was intended.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (exists($examples[matches(., '^u$', 'i')])) then concat(' The abbreviation ''', $examples[matches(., '^u$', 'i')], ''' may be mistaken as a number or a volume. ',   'This should be replaced with ''unit'' or ''units'' if that was intended.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (exists($examples[matches(., '^IVI$', 'i')])) then concat(' The abbreviation ''', $examples[matches(., '^IVI$', 'i')], ''' may be mistaken as IV1. ',   'This should be replaced with ''Intravenous Injection'' or ''IV injection'' if that was intended.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (exists($examples[matches(., '^q\.?d\.?s\.?$', 'i')])) then concat(' The Latin abbreviation ''', $examples[matches(., '^q\.?d\.?s\.?$', 'i')],    ''' is not always understood. This should be replaced with ''4 times a day'' if that was intended.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (exists($examples[matches(., '^D/?C$', 'i')])) then concat(' The abbreviation ''', $examples[matches(., '^D/?C$', 'i')], ''' may mean ''discharge'' or ',   '''discontinue''. This should be replaced with replaced with the intended term.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (exists($examples[matches(., '^IO$', 'i')])) then concat(' The abbreviation ''', $examples[matches(., '^IO$', 'i')], ''' may be mistaken as ''10'' (ten) or ''oral''. ',   'This should be replaced with ''intraosseous'' if that was intended.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (exists($examples[matches(., '^IP$', 'i')])) then concat(' The abbreviation ''', $examples[matches(., '^IP$', 'i')], ''' may be mistaken as ''IV''. ',   'This should be replaced with ''intraperitoneal'' if that was intended.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (exists($examples[matches(., '^IU$', 'i')])) then concat(' The abbreviation ''', $examples[matches(., '^IU$', 'i')], ''' may be mistaken as ''IV'' or ''10''. ',   'This should be replaced with ''unit'' or ''units'' if that was intended.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (exists($examples[matches(., '^OJ$', 'i')])) then concat(' The abbreviation ''', $examples[matches(., '^OJ$', 'i')], ''' may be mistaken as ''OD'' or ''OS'' ',   '(right or left eye). This should be replaced with ''orange juice'' if that was intended.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (exists($examples[matches(., '^SSI$', 'i')])) then concat(' The abbreviation ''', $examples[matches(., '^SSI$', 'i')], ''' may either mean ',   '''sliding scale insulin'' or ''Strong Solution of Iodine''. This should be replaced with the intended term.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (exists($examples[matches(., '^SSRI$', 'i')])) then concat(' The abbreviation ''', $examples[matches(., '^SSRI$', 'i')], ''' may either mean ',   '''sliding scale (regular) insulin'' or ''Selective Serotonin Reuptake Inhibitor''. This should be replaced with the intended term.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (exists($examples[matches(., '^gm\.?$', 'i')])) then ' The abbreviation ''gm'' should be replaced with the standard abbreviation ''g''.' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (exists($examples[matches(., '^mls\.?$')])) then ' The abbreviation ''mls'' should be replaced with the standard abbreviation ''mL''.'    else if (exists($examples[matches(., '^mLs\.?$')])) then ' The abbreviation ''mLs'' should be replaced with the standard abbreviation ''mL''.'  else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and exists($med-data) and not(exists($rec-med-data-style))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and exists($med-data) and not(exists($rec-med-data-style))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-Med-Display" /><xsl:text />: (READABILITY): The <xsl:text /><xsl:value-of select="iq:location(., 'Medications')" /><xsl:text /> of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> contains a table with medicines information but the information
		does not have the recommended format. When recording and displaying medicines information the active ingredient and brand names should be highlighted and differentiated. Bold typeface
		should be used for for active ingredient names, italics (not bold) for brand names and regular typeface for units of measure. (See section 6.1.3 of the National Guidelines for On-Screen
		Display of Medicines Information, published September 2017 by the Australian Commission on Safety and Quality in Health Care.) Adoption of this recommendation is achieved when table data
		contain 'content' elements with styleCode attributes when bold or italics typeface is needed. In the <xsl:text /><xsl:value-of select="iq:location(., 'Medications')" /><xsl:text /><xsl:text /><xsl:value-of select="if (not(exists($med-data-content))) then ' none of the table data elements contain ''content'' elements.'   else if (not(exists($med-data-content-style))) then ' none of the ''content'' elements in table data elements contain a styleCode attribute.'   else concat(' the ''content'' elements in table data elements contain ''', string-join($med-data-content-style, ''', '''), ''' style codes they do not contain Italics or Bold styles.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1002" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1002" />
  <xsl:template match="@*|node()" priority="-2" mode="M1002">
    <xsl:apply-templates select="@*|*" mode="M1002" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-DG-6-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument['101.16146.4.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1']]" priority="1000" mode="M1003">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument['101.16146.4.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1']]" />
    <xsl:variable name="values" select="cda:entry/cda:substanceAdministration/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code" />
    <xsl:variable name="num-values" select="count($values)" />
    <xsl:variable name="known-system" select="for $i in (1 to count($values)) return        if (not($values[$i]/@codeSystem)) then false()       else if (         ($values[$i]/@codeSystem = '1.2.36.1.2001.1004.100' and exists($v-amtv2))        or        ($values[$i]/@codeSystem = '1.2.36.1.2001.1005.22' and (exists($v-pbs or $use-ts-for-pbs)))     or        ($values[$i]/@codeSystem = '1.2.36.1.2001.1005.23' and (exists($v-pbsman or $use-ts-for-pbsman)))    or        ($values[$i]/@codeSystem = '2.16.840.1.113883.6.96' and (exists($v-amtv3) or exists($v-snomedctau) or $use-ts-for-sctau)) ) then true()       else if (not($code-systems/system[@codeSystem = $values[$i]/@codeSystem])) then false()       else if ($code-systems/system[@codeSystem = $values[$i]/@codeSystem]/@no-code-information = 'true') then false()       else true()" />
    <xsl:variable name="proper-values" select="for $i in (1 to count($values)) return        if ($values[$i]/cda:originalText and $regex-non-values != '' and matches($values[$i]/cda:originalText, $regex-non-values, 'is')) then ()       else if ($values[$i]/cda:originalText) then $values[$i]       else if ($values[$i]/@code and $known-system[$i]) then $values[$i]       else if ($values[$i]/@code and not($values[$i]/@displayName)) then $values[$i]       else if ($values[$i]/@displayName and $regex-non-values != '' and matches($values[$i]/@displayName, $regex-non-values, 'is')) then ()       else $values[$i]" />
    <xsl:variable name="num-proper-values" select="count($proper-values)" />
    <xsl:variable name="exclusion" select="cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.4.3.2']]/cda:value" />
    <xsl:variable name="excl-statement" select="boolean($exclusion)" />
    <xsl:variable name="no-proper-values-err" select="$num-proper-values = 0 and not($excl-statement) and cda:entry" />
    <xsl:variable name="invalid-exclusion-1" select="if (not($no-proper-values-err and count(cda:entry) = 1 and count(cda:entry/*) = 1 and count(cda:entry/cda:observation/cda:code[@codeSystem='1.2.36.1.2001.1001.101']) = 1)) then ''        else if (exists(cda:entry/cda:observation/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113'])) then 'Adverse Reactions Exclusion Statement'        else if (exists(cda:entry/cda:observation/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.4.3.3'])) then 'Ceased Medications Exclusion Statement'        else if (exists(cda:entry/cda:observation/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.4.3.2'])) then 'Current Medications on Discharge Exclusion Statement'        else if (exists(cda:entry/cda:observation/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.120.1.5'])) then 'Immunisations Exclusion Statement'        else if (exists(cda:entry/cda:observation/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('103.16302.2.2.1', '103.16302.120.1.2', '103.16302.132.1.1')])) then 'Medications Exclusion Statement'        else if (exists(cda:entry/cda:observation/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.4.3.1'])) then 'Problems/Diagnoses This Visit - Problems and Diagnoses Exclusion Statement'        else if (exists(cda:entry/cda:observation/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.120.1.3'])) then 'Medical History - Problems and Diagnoses Exclusion Statement'        else if (exists(cda:entry/cda:observation/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.120.1.4'])) then 'Medical History - Procedures Exclusion Statement'        else '' " />
    <xsl:variable name="invalid-exclusion" select="if ($invalid-exclusion-1 = '') then ''        else if (cda:entry/cda:observation/cda:value/@displayName != '')          then concat($invalid-exclusion-1, ' with the value ''', cda:entry/cda:observation/cda:value/@displayName, '''')        else $invalid-exclusion-1 " />
    <xsl:variable name="normalized-otext" select="if (exists($values[1]/cda:originalText)) then normalize-space($values[1]/cda:originalText) else '' " />
    <xsl:variable name="display-text-1" select="if (not($values[1]/cda:originalText)) then ''         else if ($normalized-otext != '' and string-length($values[1]/cda:originalText) &lt; 200)         then concat('originalText ', codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($values[1]/cda:originalText,          $text-pattern-replacement, 'ic')), codepoints-to-string(34))        else if ($normalized-otext != '') then concat('originalText commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($values[1]/cda:originalText,          $p-name-pattern-replacement, 'ic'), 1, 200), $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-text" select="if ($normalized-otext != '') then $display-text-1        else if ($normalized-otext = '' and $values[1]/cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="explanation" select="if ($num-values &gt; $num-proper-values and $num-values = 1 and $display-text = '')         then 'There is one Therapeutic Good Identification ''manufacturedProduct/manufacturedMaterial/code'' data element but it does not have a proper value.'       else if ($num-values &gt; $num-proper-values and $num-values = 1)         then concat('There is one Therapeutic Good Identification ''manufacturedProduct/manufacturedMaterial/code'' data element with ', $display-text, ' which is not a proper value.')       else if ($num-values &gt; $num-proper-values and $num-values &gt; 1 and $display-text = '')        then concat('There are ', iq:display-number($num-values), ' Therapeutic Good Identification ''manufacturedProduct/manufacturedMaterial/code'' data elements but none have a proper value.')       else if ($num-values &gt; $num-proper-values and $num-values &gt; 1)        then concat('There are ', iq:display-number($num-values), ' Therapeutic Good Identification ''manufacturedProduct/manufacturedMaterial/code'' data elements but none have a proper value. ',        'For example the first data element has ', $display-text, '.')       else '' " />
    <xsl:variable name="directions" select="if ($flags/@report-data-quality = 'true' and exists(cda:entry/cda:substanceAdministration/cda:text))         then cda:entry/cda:substanceAdministration/cda:text else () " />
    <xsl:variable name="directions-num" select="count($directions) " />
    <xsl:variable name="directions-text" select="for $dir in $directions return normalize-space($dir) " />
    <xsl:variable name="latin-mabbr" select="for $text in $directions-text return         if (matches($text, $latin-mabbr-regex, 'i')) then replace($text, $latin-mabbr-regex, '$2', 'i') else ''" />
    <xsl:variable name="directions-words" select="if (exists($directions-text)) then tokenize(replace(string-join(for $text in $directions-text return         if (matches($text, $latin-mabbr-regex, 'i')) then replace($text, $latin-mabbr-regex, '$1$3', 'i') else $text, ' '), '\(s\)', 's', 'i'), ' ')         else () " />
    <xsl:variable name="latin-term" select="(for $word in $directions-words return         if (matches($word, $latin-term-regex, 'i')) then replace($word, $latin-term-regex, '$2', 'i') else '')[. != '']" />
    <xsl:variable name="latin-sabbr" select="for $word in $directions-words return         if (matches($word, $latin-abbr-regex, 'i')) then replace($word, $latin-abbr-regex, '$2', 'i') else ''" />
    <xsl:variable name="other-abbr" select="(for $word in $directions-words return         if (matches($word, $other-abbr-regex, 'i')) then replace($word, $other-abbr-regex, '$2', 'i') else '')[. != '']" />
    <xsl:variable name="directions-dec" select="(for $word in $directions-words return         if (matches($word, $directions-dec-regex, 'i')) then replace($word, $directions-dec-regex, '$2', 'i') else '')" />
    <xsl:variable name="directions-frac" select="(for $word in $directions-words return         if (matches($word, $directions-frac-regex, 'i')) then replace($word, $directions-frac-regex, '$2', 'i') else '')" />
    <xsl:variable name="directions-number" select="($directions-dec, $directions-frac)[. != ''] " />
    <xsl:variable name="latin-abbr" select="($latin-sabbr, $latin-mabbr)[. != ''] " />
    <xsl:variable name="has-latin-term" select="exists($latin-term) " />
    <xsl:variable name="has-latin-abbr" select="exists($latin-abbr) " />
    <xsl:variable name="has-other-abbr" select="exists($other-abbr) " />
    <xsl:variable name="has-numbers" select="exists($directions-number) " />
    <xsl:variable name="directions-rec" select="$has-latin-term or $has-latin-abbr or $has-other-abbr or $has-numbers " />
    <xsl:variable name="occurrence-num" select="count(($latin-term, $latin-abbr, $other-abbr, $directions-number)) " />
    <xsl:variable name="examples" select="distinct-values(($latin-term, $latin-abbr, $other-abbr, $directions-number)) " />
    <xsl:variable name="sig-risk-examples" select="$examples[matches(., $sig-risk-regex)] " />
    <xsl:variable name="latin-num" select="count(distinct-values($latin-term)) " />
    <xsl:variable name="abbr-num" select="count(distinct-values(($latin-abbr, $other-abbr))) " />
    <xsl:variable name="dir-num" select="count(distinct-values($directions-number)) " />
    <xsl:variable name="directions-msg-1" select="if (not($directions-rec)) then ''        else if ($has-latin-term and $abbr-num = 1) then 'Latin and an abbreviation'        else if ($has-latin-term and $abbr-num &gt; 1) then 'Latin and abbreviations'        else if ($has-latin-term and not($has-latin-abbr) and $latin-num = 1) then 'a Latin term'        else if ($has-latin-term and not($has-latin-abbr) and $latin-num &gt; 1) then 'Latin terms'        else if ($abbr-num = 1) then 'an abbreviation'        else if ($abbr-num &gt; 1) then 'abbreviations'        else '' " />
    <xsl:variable name="directions-msg" select="if (not($directions-rec and $has-numbers)) then $directions-msg-1        else if ($directions-msg-1 = ''and $dir-num = 1) then 'a number'        else if ($directions-msg-1 = ''and $dir-num &gt; 1) then 'numbers'        else if ($dir-num = 1) then concat($directions-msg-1, ' and a number')        else concat($directions-msg-1, ' and numbers') " />
    <xsl:variable name="med-tables" select="if ($flags/@report-data-quality = 'true') then cda:text//cda:table else () " />
    <xsl:variable name="med-header" select="if (count($med-tables) = 1) then $med-tables/cda:thead else () " />
    <xsl:variable name="med-header-row" select="$med-header/cda:tr " />
    <xsl:variable name="med-headings" select="$med-header-row/cda:th " />
    <xsl:variable name="med-col-num" select="if (exists($med-headings)) then count($med-headings) else count($med-tables/cda:tbody/cda:tr[1]/cda:td) " />
    <xsl:variable name="narr-exclusion-statement" select="($med-col-num = 1 and matches($med-headings[1], '^\W*(Exclusion\s+Statement)\W*$', 'is')) or         matches(string-join(cda:text//text(), ' '), $exclusion-regex, 'is') " />
    <xsl:variable name="med-data" select="if ((exists(cda:entry) and $num-proper-values &gt; 0) or (not(exists(cda:entry)) and not($narr-exclusion-statement)))         then $med-tables/cda:tbody/cda:tr/cda:td else () " />
    <xsl:variable name="med-data-content" select="$med-tables/cda:tbody/cda:tr/cda:td/cda:content " />
    <xsl:variable name="med-data-content-style" select="$med-data-content//@styleCode " />
    <xsl:variable name="rec-med-data-style" select="$med-data-content-style[matches(., '(^| )(Bold|Italics)( |$)')]" />
    <xsl:variable name="recommended-headings" select="('Medicine', 'Directions', 'Duration/End date', 'Status', 'Change reason/Clinical indication', 'Quantity supplied') " />
    <xsl:variable name="rec-heading-regex" select="('^\W*Medicine\W*$', '^\W*Directions\W*$', '^\W*Duration\s*/\s*End\s+date\W*$', '^\W*Status\W*$', '^\W*Change\s+reason\s*/\s*Clinical\s+indication\W*$',         '^\W*Quantity\s+supplied\W*$') " />
    <xsl:variable name="invalid-headings" select="(for $i in (1 to count($med-headings)) return if (matches($med-headings[$i], $rec-heading-regex[$i], 'is')) then '' else $med-headings[$i])[. != ''] " />
    <xsl:variable name="med-invalid-headings" select="$med-col-num = 6 and exists($invalid-headings) " />
    <xsl:variable name="med-empty-td" select="if ($med-col-num = 6 and not($med-invalid-headings)) then $med-data[normalize-space(.) = ''] else () " />
    <xsl:variable name="med-no-td" select="$med-col-num = 6 and not($med-invalid-headings) and not(exists($med-data)) " />
    <xsl:variable name="med-names" select="(for $int in $values return         if ($int/cda:originalText) then $int/cda:originalText else if ($int/@displayName) then $int/@displayName else '')[. != '']" />
    <xsl:variable name="a-medicine" select="$med-names[1]" />
    <xsl:variable name="all-same-medicines" select="$med-names[. = $a-medicine]" />
    <xsl:variable name="all-med-num" select="count($med-names) " />
    <xsl:variable name="med-issue" select="if (($conformance-level-3 and $no-proper-values-err) or $narr-exclusion-statement or $excl-statement) then true()         else if ($no-proper-values-err) then false()        else $a-medicine != '' and $all-med-num = count($all-same-medicines) and         (matches($a-medicine, $exclusion-regex, 'is') or matches($a-medicine, $regex-non-values, 'is')) " />
    <xsl:variable name="synopsis-section" select="if ($med-issue) then /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16006']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15513.4.1.1']] else () " />
    <xsl:variable name="synopsis-narr" select="if ($med-issue and exists($synopsis-section)) then $synopsis-section/cda:text//text() else () " />
    <xsl:variable name="synopsis-name" select="if (not($med-issue and exists($synopsis-section))) then ''        else if ($synopsis-section/cda:title) then $synopsis-section/cda:title         else if ($synopsis-section/cda:code/@displayName) then $synopsis-section/cda:code/@displayName        else 'Clinical Synopsis'" />
    <xsl:variable name="syn-med-neg" select="$med-issue and exists($synopsis-narr[matches(., $narr-med-neg-regex, 'is') or matches(., $narr-current-med-neg-regex, 'is')]) " />
    <xsl:variable name="syn-med-warn" select="$med-issue and not($syn-med-neg) and exists($synopsis-narr[matches(., $narr-current-med-regex, 'is')])" />
    <xsl:variable name="syn-med-hint" select="$med-issue and not($syn-med-warn) and not($flags/@allow-hints = 'false') and         not($syn-med-neg) and exists($synopsis-narr[matches(., $narr-med-regex, 'is')]) " />
    <xsl:variable name="plan-section" select="if ($med-issue) then /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16020']] else () " />
    <xsl:variable name="plan-narr" select="if ($med-issue and exists($plan-section)) then ($plan-section/cda:text//text(), $plan-section/cda:component/cda:section/cda:text//text()) else () " />
    <xsl:variable name="plan-name" select="if (not($med-issue and exists($plan-section))) then ''        else if ($plan-section/cda:title) then $plan-section/cda:title         else if ($plan-section/cda:code/@displayName) then $plan-section/cda:code/@displayName        else 'Plan'" />
    <xsl:variable name="plan-med-neg" select="$med-issue and exists($plan-narr[matches(., $narr-med-neg-regex, 'is') or matches(., $narr-current-med-neg-regex, 'is')]) " />
    <xsl:variable name="plan-med-warn" select="$med-issue and not($plan-med-neg) and exists($plan-narr[matches(., $narr-current-med-regex, 'is')])" />
    <xsl:variable name="plan-med-hint" select="$med-issue and not($plan-med-warn) and not($flags/@allow-hints = 'false') and         not($plan-med-neg) and exists($plan-narr[matches(., $narr-med-regex, 'is')]) " />
    <xsl:variable name="med-neg" select="$syn-med-neg or $plan-med-neg " />
    <xsl:variable name="med-warn" select="$syn-med-warn or $plan-med-warn" />
    <xsl:variable name="med-hint" select="$syn-med-hint or $plan-med-hint " />
    <xsl:variable name="excl-msg" select="if ($excl-statement) then concat(normalize-space($code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16299']/        code[@code=$exclusion/@code]/@explanation),         ' (See the FAQ on exclusion statements and section 2.1 of the My Health Record Usability Recommendations v1.3.)') else '' " />
    <xsl:variable name="med-msg" select="if (not($med-warn or $med-hint)) then ''        else if ($excl-statement)        then concat('The ''', lower-case($code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16299']/code[@code=$exclusion/@code]/@displayName),         ''' exclusion statement in the ', iq:location(., 'Current Medications on Discharge'), ' indicates no information about current medications has been recorded in the Discharge Summary. ')        else if ($narr-exclusion-statement)         then concat('Information in the narrative of the ', iq:location(., 'Current Medications on Discharge'),         ' indicates no information about current medications has been recorded in the Discharge Summary. ')        else if ($a-medicine != '' and matches($a-medicine, $exclusion-regex, 'is'))         then concat('Information in the ', iq:location(., 'Current Medications on Discharge'), ' indicates no information about current medications has been recorded in the Discharge Summary. ')        else if (($conformance-level-3 and $no-proper-values-err) or ($a-medicine != '' and matches($a-medicine, $regex-non-values, 'is'))) then         concat('There is no information in the ', iq:location(., 'Current Medications on Discharge'), ' describing current medications so ',         'it would be an error if current medications are recorded elsewhere in the Discharge Summary. ')        else '' " />
    <xsl:variable name="section-msg" select="if (not($med-warn or $med-hint)) then ''        else if ($syn-med-warn) then concat('The ', $synopsis-name, ' section seems to contain information about current medications ',         'and if correct then this is an error as the ', $synopsis-name, ' must not be used to record current medications that are not recorded in the ',          iq:location(., 'Current Medications on Discharge'), '. (See section 4.23 of the Discharge Summary Structured Document Template v3.3.) ',         'Confirm if information about current medications is recorded in the ', $synopsis-name, ' section.')        else if ($syn-med-hint) then concat('The ', $synopsis-name, ' section seems to contain information about medications and if it is information about ',         'current medications then this is an error as the ', $synopsis-name,          ' must not be used to record current medications that are not recorded in the ',          iq:location(., 'Current Medications on Discharge'), '. (See section 4.23 of the Discharge Summary Structured Document Template v3.3.) Confirm if information about current ',         'medications is recorded in the ', $synopsis-name, ' section.')         else if ($plan-med-warn) then concat('The ', $plan-name, ' section seems to contain information about current medications ',         'and if correct then this is an error as the ', $plan-name, ' must not be used to record current medications that are not recorded in the ',          iq:location(., 'Current Medications on Discharge'), '. (See section 7.1 of the Discharge Summary Structured Document Template v3.3.) ',         'Confirm if information about current medications is recorded in the ', $plan-name, ' section.')        else  if ($plan-med-hint) then concat('The ', $plan-name, ' section seems to contain information about medications and if it is information about ',         'current medications then this is an error as the ', $plan-name,          ' must not be used to record current medications that are not recorded in the ',          iq:location(., 'Current Medications on Discharge'), '. (See section 7.1 of the Discharge Summary Structured Document Template v3.3.) Confirm if information about current ',         'medications is recorded in the ', $plan-name, ' section.')         else '' " />
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $med-hint ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $med-hint">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Narr-09-step-2" /><xsl:text />: TC-Narr-09 step 2: <xsl:text /><xsl:value-of select="$med-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (($conformance-level-3 and $no-proper-values-err) or $narr-exclusion-statement or $excl-statement) then '' else concat('There are ',   if ($numbers/number[number(@value) = $all-med-num]) then $numbers/number[number(@value) = $all-med-num]/@name else $all-med-num,   ' Therapeutic Good Identification ''manufacturedProduct/manufacturedMaterial/code''',    if ($all-med-num = 1) then 'data element with the value ''' else 'data elements and all have the value ''', $a-medicine, '''. ') " /><xsl:text /><xsl:text /><xsl:value-of select="$section-msg" /><xsl:text />
		A current medication is a medication that the subject of care will continue or commence on discharge.
		(See section 5.2 of the e-Discharge Summary Structured Document Template v3.3.) <xsl:text /><xsl:value-of select="$excl-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $med-warn ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$med-warn">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-TC-Narr-09-step-2" /><xsl:text />: TC-Narr-09 step 2: <xsl:text /><xsl:value-of select="$med-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (($conformance-level-3 and $no-proper-values-err) or $narr-exclusion-statement or $excl-statement) then '' else concat(' There are ',   if ($numbers/number[number(@value) = $all-med-num]) then $numbers/number[number(@value) = $all-med-num]/@name else $all-med-num,   ' Therapeutic Good Identification ''manufacturedProduct/manufacturedMaterial/code''',    if ($all-med-num = 1) then 'data element with the value ''' else 'data elements and all have the value ''', $a-medicine, '''. ') " /><xsl:text /><xsl:text /><xsl:value-of select="$section-msg" /><xsl:text />
		A current medication is a medication that the subject of care will continue or commence on discharge.
		(See section 5.2 of the e-Discharge Summary Structured Document Template v3.3.) <xsl:text /><xsl:value-of select="$excl-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $num-proper-values &gt; 0 and $excl-statement ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$num-proper-values &gt; 0 and $excl-statement">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-1" /><xsl:text />: TC-Doc-05 step 1: The Current Medications section has a		
		'<xsl:text /><xsl:value-of select="lower-case($code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16299']/code[@code=$exclusion/@code]/@displayName)" /><xsl:text />' exclusion statement
		and also has a medicine (Therapeutic Good Identification) data
		element with a proper value. As there is a medicine with a proper value then it is an error to include an exclusion statement stating that there is no value.
		(See sections 5.2 and 5.7 of the e-Discharge Summary Structured Document Template v3.3.) <xsl:text /><xsl:value-of select="$excl-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-proper-values-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-proper-values-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-37" /><xsl:text />: TC-Doc-37: The <xsl:text /><xsl:value-of select="iq:location(., 'Current Medications on Discharge')" /><xsl:text /> has no exclusion statement and no Therapeutic Good Identification with a proper value.
		<xsl:text /><xsl:value-of select="$explanation" /><xsl:text /> The section must either contain at least one Therapeutic Good Identification with a proper value or else an exclusion statement stating why
		Therapeutic Good Identification are not included. For a Therapeutic Good Identification to have a proper value it must either contain a code attribute or originalText element
		that describes medications that the healthcare consumer will continue or commence on discharge. Every instance of a data group listed in a CDA Implementation Guide must have at
		least one child data component instantiated. (See sections 5.2 and 5.7 of the e-Discharge Summary Structured Document Template v3.3.)
		<xsl:text /><xsl:value-of select="if ($invalid-exclusion = '') then '' else concat('The section has a ', $invalid-exclusion, ' but its presence in the ', iq:location(., 'Current Medications on Discharge'), ' is invalid.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and $directions-rec ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $directions-rec">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-dir-TC-Med-Display" /><xsl:text />: (READABILITY): The <xsl:text /><xsl:value-of select="iq:location(., 'Current Medications on Discharge')" /><xsl:text /> of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> contains
		<xsl:text /><xsl:value-of select="iq:display-number($directions-num)" /><xsl:text /> Dose Instruction 'entry/substanceAdministration/text'
		<xsl:text /><xsl:value-of select="if ($directions-num = 1) then 'data element' else 'data elements'" /><xsl:text /> which <xsl:text /><xsl:value-of select="if ($directions-num = 1) then 'contains ' else 'contain '" /><xsl:text /><xsl:text /><xsl:value-of select="iq:display-number($occurrence-num)" /><xsl:text /><xsl:text /><xsl:value-of select="if ($occurrence-num = 1) then ' occurrence' else ' occurrences' " /><xsl:text /> of <xsl:text /><xsl:value-of select="$directions-msg " /><xsl:text />
		(<xsl:text /><xsl:value-of select="iq:display-text-list($examples, 1, true(), true())" /><xsl:text />)
		that <xsl:text /><xsl:value-of select="if ($occurrence-num = 1) then 'is' else 'are' " /><xsl:text /> open to ambiguity and misunderstanding and should be avoided.
		(See section 6.2 of the National Guidelines for On-Screen Display of Clinical Medicines
		Information, published January 2016 by the Australian Commission on Safety and Quality in Health Care, which states 'Medicine has a strong tradition of using Latin words and abbreviations in
		place of full English words. . . . However, English is the predominant language used to describe medicines, and clinical staff training does not include Latin or abbreviated terms to describe
		a medication order. While using Latin abbreviations may be convenient, their use is open to ambiguity and misunderstanding and ultimately may lead to patient harm. . . . This is also true
		for abbreviated forms of English words and the use of symbols in place of words. Errors resulting from these misunderstandings are well documented in the patient safety literature'.)		
		<xsl:text /><xsl:value-of select="if (count($sig-risk-examples) = 0) then ''   else if (count($sig-risk-examples) = 1) then concat('The term ''', $sig-risk-examples[1],     ''' is especially discouraged as it can be confused with other terms leading to errors with taking medicine. ',    '(See section 2 of the Recommendations for terminology, abbreviations and symbols used in medicines documentation, December 2016).')   else concat('The terms ''', string-join($sig-risk-examples, ''', '''),    ''' are especially discouraged as they can be confused with other terms leading to errors with taking medicine. ',    '(See section 2 of the Recommendations for terminology, abbreviations and symbols used in medicines documentation, December 2016).') " /><xsl:text /><xsl:text /><xsl:value-of select="if (exists($examples[matches(., '^mcg\.?$', 'i')])) then ' The abbreviation ''mcg'' may be confused with ''mg'' and should be replaced with microgram, MICROg or microg.'    else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (exists($examples[matches(., '^gutte$')])) then ' The Latin word ''gutte'' should be replaced with ''drops''.'  else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (exists($examples[matches(., '^o\.?d\.?$', 'i')])) then concat(' The abbreviation ''', $examples[matches(., '^o\.?d\.?$', 'i')],    ''' may mean ''once a day'' or ''oculus dexter'' (right eye) or may be misread as ''BD'' (twice daily) or ''QID'' (four times a day). ',   'This should be replaced with an alternative such as ''once a day'', ''daily'' or ''right eye'' if that was intended.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (exists($examples[matches(., '^u$', 'i')])) then concat(' The abbreviation ''', $examples[matches(., '^u$', 'i')], ''' may be mistaken as a number or a volume. ',   'This should be replaced with ''unit'' or ''units'' if that was intended.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (exists($examples[matches(., '^IVI$', 'i')])) then concat(' The abbreviation ''', $examples[matches(., '^IVI$', 'i')], ''' may be mistaken as IV1. ',   'This should be replaced with ''Intravenous Injection'' or ''IV injection'' if that was intended.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (exists($examples[matches(., '^q\.?d\.?s\.?$', 'i')])) then concat(' The Latin abbreviation ''', $examples[matches(., '^q\.?d\.?s\.?$', 'i')],    ''' is not always understood. This should be replaced with ''4 times a day'' if that was intended.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (exists($examples[matches(., '^D/?C$', 'i')])) then concat(' The abbreviation ''', $examples[matches(., '^D/?C$', 'i')], ''' may mean ''discharge'' or ',   '''discontinue''. This should be replaced with replaced with the intended term.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (exists($examples[matches(., '^IO$', 'i')])) then concat(' The abbreviation ''', $examples[matches(., '^IO$', 'i')], ''' may be mistaken as ''10'' (ten) or ''oral''. ',   'This should be replaced with ''intraosseous'' if that was intended.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (exists($examples[matches(., '^IP$', 'i')])) then concat(' The abbreviation ''', $examples[matches(., '^IP$', 'i')], ''' may be mistaken as ''IV''. ',   'This should be replaced with ''intraperitoneal'' if that was intended.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (exists($examples[matches(., '^IU$', 'i')])) then concat(' The abbreviation ''', $examples[matches(., '^IU$', 'i')], ''' may be mistaken as ''IV'' or ''10''. ',   'This should be replaced with ''unit'' or ''units'' if that was intended.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (exists($examples[matches(., '^OJ$', 'i')])) then concat(' The abbreviation ''', $examples[matches(., '^OJ$', 'i')], ''' may be mistaken as ''OD'' or ''OS'' ',   '(right or left eye). This should be replaced with ''orange juice'' if that was intended.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (exists($examples[matches(., '^SSI$', 'i')])) then concat(' The abbreviation ''', $examples[matches(., '^SSI$', 'i')], ''' may either mean ',   '''sliding scale insulin'' or ''Strong Solution of Iodine''. This should be replaced with the intended term.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (exists($examples[matches(., '^SSRI$', 'i')])) then concat(' The abbreviation ''', $examples[matches(., '^SSRI$', 'i')], ''' may either mean ',   '''sliding scale (regular) insulin'' or ''Selective Serotonin Reuptake Inhibitor''. This should be replaced with the intended term.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (exists($examples[matches(., '^gm\.?$', 'i')])) then ' The abbreviation ''gm'' should be replaced with the standard abbreviation ''g''.' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (exists($examples[matches(., '^mls\.?$')])) then ' The abbreviation ''mls'' should be replaced with the standard abbreviation ''mL''.'    else if (exists($examples[matches(., '^mLs\.?$')])) then ' The abbreviation ''mLs'' should be replaced with the standard abbreviation ''mL''.'  else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and count($med-tables) &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and count($med-tables) &gt; 1">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-DS-Display" /><xsl:text />: (READABILITY): The <xsl:text /><xsl:value-of select="iq:location(., 'Current Medications on Discharge')" /><xsl:text /> of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> contains
		<xsl:text /><xsl:value-of select="iq:display-number(count($med-tables))" /><xsl:text /> tables.
		The section's narrative should contain medicines information in one table only and the table should have six columns with the headings 'Medicine', 'Directions', 'Duration/End date', 'Status',
		'Change reason/Clinical indication' and 'Quantity supplied'.
		(See section 3J of the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and    ((exists(cda:entry) and $num-proper-values &gt; 0) or (not(exists(cda:entry)) and not($narr-exclusion-statement))) and not(exists($med-tables)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and ((exists(cda:entry) and $num-proper-values &gt; 0) or (not(exists(cda:entry)) and not($narr-exclusion-statement))) and not(exists($med-tables))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-DS-Display" /><xsl:text />: (READABILITY): The <xsl:text /><xsl:value-of select="iq:location(., 'Current Medications on Discharge')" /><xsl:text /> of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /><xsl:text /><xsl:value-of select="if (exists(cda:entry) and $num-proper-values &gt; 0) then    ' contains medicines information that is not in a table. The section''s narrative should include a table for recording medicines on discharge and the table should have six columns with the headings   ''Medicine'', ''Directions'', ''Duration/End date'', ''Status'', ''Change reason/Clinical indication'' and ''Quantity supplied''.'   else ' does not include a table. If medicines have been recorded then they should be in a table containing six columns with the headings   ''Medicine'', ''Directions'', ''Duration/End date'', ''Status'', ''Change reason/Clinical indication'' and ''Quantity supplied''.' " /><xsl:text />
		(See section 3J of the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and count($med-header-row) = 1 and not($narr-exclusion-statement or $med-col-num = 6) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and count($med-header-row) = 1 and not($narr-exclusion-statement or $med-col-num = 6)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-DS-Display" /><xsl:text />: (READABILITY): The <xsl:text /><xsl:value-of select="iq:location(., 'Current Medications on Discharge')" /><xsl:text /> of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> contains a table with
		<xsl:text /><xsl:value-of select="iq:display-number($med-col-num)" /><xsl:text /><xsl:text /><xsl:value-of select="if (not(exists($med-headings)) and $med-col-num = 1) then ' column and no heading.'   else if (not(exists($med-headings)) and $med-col-num &gt; 1) then ' columns and no headings.'   else if ($med-col-num = 1) then concat(' column and the heading ''', $med-headings[1], '''.')   else concat(' columns and the headings ''', string-join($med-headings[position() &lt; last()], ''', '''), ''' and ''', $med-headings[last()], '''.') " /><xsl:text />
		The tables does not have the recommended six columns with the headings 'Medicine', 'Directions', 'Duration/End date',
		'Status', 'Change reason/Clinical indication' and 'Quantity supplied'.
		(See section 3J of the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and $med-col-num = 6 and exists($invalid-headings) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $med-col-num = 6 and exists($invalid-headings)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-DS-Display" /><xsl:text />: (READABILITY): The <xsl:text /><xsl:value-of select="iq:location(., 'Current Medications on Discharge')" /><xsl:text /> of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> contains a table with the headings
		'<xsl:text /><xsl:value-of select="string-join($med-headings, ''', ''')" /><xsl:text />'. The headings recommended for this section are 'Medicine', 'Directions', 'Duration/End date', 'Status',
		'Change reason/Clinical indication' and 'Quantity supplied'.
		<xsl:text /><xsl:value-of select="if (count($invalid-headings) = 6) then 'None of the table headings are those recommended for this section.'   else concat('The headings that are not in the recommended set are ''', string-join($invalid-headings, ''', '''), '.')" /><xsl:text />'
		(See section 3J of the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and exists($med-empty-td) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and exists($med-empty-td)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-DS-Display" /><xsl:text />: (READABILITY): The <xsl:text /><xsl:value-of select="iq:location(., 'Current Medications on Discharge')" /><xsl:text /> of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> contains a table with the recommended headings
		'Medicine', 'Directions', 'Duration/End date', 'Status', 'Change reason/Clinical indication' and 'Quantity supplied' but the table contains
		<xsl:text /><xsl:value-of select="iq:display-number(count($med-empty-td))" /><xsl:text /> empty table data 'td' <xsl:text /><xsl:value-of select="if (count($med-empty-td) = 1) then 'element' else 'elements'" /><xsl:text />.
		When no information is available a 'td' element should include a dash ('<xsl:text /><xsl:value-of select="codepoints-to-string((8211))" /><xsl:text />').
		(See section 3J of the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and $med-no-td ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $med-no-td">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-DS-Display" /><xsl:text />: (READABILITY): The <xsl:text /><xsl:value-of select="iq:location(., 'Current Medications on Discharge')" /><xsl:text /> of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> contains a table with the recommended headings
		'Medicine', 'Directions', 'Duration/End date', 'Status', 'Change reason/Clinical indication' and 'Quantity supplied' but there are no table data 'td' elements.
		If there are no medicines on discharge then the table should include a row where each table data element contains a dash ('<xsl:text /><xsl:value-of select="codepoints-to-string((8211))" /><xsl:text />').
		(See section 3J of the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and exists($med-data) and not(exists($rec-med-data-style))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and exists($med-data) and not(exists($rec-med-data-style))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-Med-Display" /><xsl:text />: (READABILITY): The <xsl:text /><xsl:value-of select="iq:location(., 'Current Medications on Discharge')" /><xsl:text /> of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> contains a table with medicines
		information but the information does not have the recommended format. When recording and displaying medicines information the active ingredient and brand names should be highlighted and
		differentiated. Bold typeface should be used for for active ingredient names, italics (not bold) for brand names and regular typeface for units of measure. (See section 6.1.3 of the
		National Guidelines for On-Screen Display of Medicines Information, published September 2017 by the Australian Commission on Safety and Quality in Health Care.) Adoption of this recommendation is achieved when table data
		contain 'content' elements with styleCode attributes when bold or italics typeface is needed. In the <xsl:text /><xsl:value-of select="iq:location(., 'Current Medications on Discharge')" /><xsl:text /><xsl:text /><xsl:value-of select="if (not(exists($med-data-content))) then ' none of the table data elements contain ''content'' elements.'   else if (not(exists($med-data-content-style))) then ' none of the ''content'' elements in table data elements contain a styleCode attribute.'   else concat(' the ''content'' elements in table data elements contain ''', string-join($med-data-content-style, ''', '''), ''' style codes they do not contain Italics or Bold styles.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1003" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1003" />
  <xsl:template match="@*|node()" priority="-2" mode="M1003">
    <xsl:apply-templates select="@*|*" mode="M1003" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-DG-7-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument['101.16146.4.1.2' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.2']] " priority="1000" mode="M1004">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument['101.16146.4.1.2' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.2']] " />
    <xsl:variable name="values" select="cda:entry/cda:substanceAdministration/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code " />
    <xsl:variable name="num-values" select="count($values)" />
    <xsl:variable name="known-system" select="for $i in (1 to count($values)) return        if (not($values[$i]/@codeSystem)) then false()       else if (         ($values[$i]/@codeSystem = '1.2.36.1.2001.1004.100' and exists($v-amtv2))        or        ($values[$i]/@codeSystem = '1.2.36.1.2001.1005.22' and (exists($v-pbs or $use-ts-for-pbs)))     or        ($values[$i]/@codeSystem = '1.2.36.1.2001.1005.23' and (exists($v-pbsman or $use-ts-for-pbsman)))    or        ($values[$i]/@codeSystem = '2.16.840.1.113883.6.96' and (exists($v-amtv3) or exists($v-snomedctau) or $use-ts-for-sctau)) ) then true()       else if (not($code-systems/system[@codeSystem = $values[$i]/@codeSystem])) then false()       else if ($code-systems/system[@codeSystem = $values[$i]/@codeSystem]/@no-code-information = 'true') then false()       else true()" />
    <xsl:variable name="proper-values" select="for $i in (1 to count($values)) return        if ($values[$i]/cda:originalText and $regex-non-values != '' and matches($values[$i]/cda:originalText, $regex-non-values, 'is')) then ()       else if ($values[$i]/cda:originalText) then $values[$i]       else if ($values[$i]/@code and $known-system[$i]) then $values[$i]       else if ($values[$i]/@code and not($values[$i]/@displayName)) then $values[$i]       else if ($values[$i]/@displayName and $regex-non-values != '' and matches($values[$i]/@displayName, $regex-non-values, 'is')) then ()       else $values[$i]" />
    <xsl:variable name="num-proper-values" select="count($proper-values)" />
    <xsl:variable name="exclusion" select="cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.4.3.3']]/cda:value" />
    <xsl:variable name="excl-statement" select="boolean($exclusion)" />
    <xsl:variable name="no-proper-values-err" select="$num-proper-values = 0 and not($excl-statement) and cda:entry" />
    <xsl:variable name="invalid-exclusion-1" select="if (not($no-proper-values-err and count(cda:entry) = 1 and count(cda:entry/*) = 1 and count(cda:entry/cda:observation/cda:code[@codeSystem='1.2.36.1.2001.1001.101']) = 1)) then ''        else if (exists(cda:entry/cda:observation/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113'])) then 'Adverse Reactions Exclusion Statement'        else if (exists(cda:entry/cda:observation/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.4.3.3'])) then 'Ceased Medications Exclusion Statement'        else if (exists(cda:entry/cda:observation/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.4.3.2'])) then 'Current Medications on Discharge Exclusion Statement'        else if (exists(cda:entry/cda:observation/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.120.1.5'])) then 'Immunisations Exclusion Statement'        else if (exists(cda:entry/cda:observation/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('103.16302.2.2.1', '103.16302.120.1.2', '103.16302.132.1.1')])) then 'Medications Exclusion Statement'        else if (exists(cda:entry/cda:observation/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.4.3.1'])) then 'Problems/Diagnoses This Visit - Problems and Diagnoses Exclusion Statement'        else if (exists(cda:entry/cda:observation/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.120.1.3'])) then 'Medical History - Problems and Diagnoses Exclusion Statement'        else if (exists(cda:entry/cda:observation/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.120.1.4'])) then 'Medical History - Procedures Exclusion Statement'        else '' " />
    <xsl:variable name="invalid-exclusion" select="if ($invalid-exclusion-1 = '') then ''        else if (cda:entry/cda:observation/cda:value/@displayName != '')          then concat($invalid-exclusion-1, ' with the value ''', cda:entry/cda:observation/cda:value/@displayName, '''')        else $invalid-exclusion-1 " />
    <xsl:variable name="normalized-otext" select="if (exists($values[1]/cda:originalText)) then normalize-space($values[1]/cda:originalText) else '' " />
    <xsl:variable name="display-text-1" select="if (not($values[1]/cda:originalText)) then ''         else if ($normalized-otext != '' and string-length($values[1]/cda:originalText) &lt; 200)         then concat('originalText ', codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($values[1]/cda:originalText,          $text-pattern-replacement, 'ic')), codepoints-to-string(34))        else if ($normalized-otext != '') then concat('originalText commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($values[1]/cda:originalText,          $p-name-pattern-replacement, 'ic'), 1, 200), $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-text" select="if ($normalized-otext != '') then $display-text-1        else if ($normalized-otext = '' and $values[1]/cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="explanation" select="if ($num-values &gt; $num-proper-values and $num-values = 1 and $display-text = '')         then 'There is one Therapeutic Good Identification ''manufacturedProduct/manufacturedMaterial/code'' data element but it does not have a proper value.'       else if ($num-values &gt; $num-proper-values and $num-values = 1)         then concat('There is one Therapeutic Good Identification ''manufacturedProduct/manufacturedMaterial/code'' data element with ', $display-text, ' which is not a proper value.')       else if ($num-values &gt; $num-proper-values and $num-values &gt; 1 and $display-text = '')        then concat('There are ', iq:display-number($num-values), ' Therapeutic Good Identification ''manufacturedProduct/manufacturedMaterial/code'' data elements but none have a proper value.')       else if ($num-values &gt; $num-proper-values and $num-values &gt; 1)        then concat('There are ', iq:display-number($num-values), ' Therapeutic Good Identification ''manufacturedProduct/manufacturedMaterial/code'' data elements but none have a proper value. ',        'For example the first data element has ', $display-text, '.')       else '' " />
    <xsl:variable name="med-tables" select="if ($flags/@report-data-quality = 'true') then cda:text//cda:table else () " />
    <xsl:variable name="med-header" select="if (count($med-tables) = 1) then $med-tables/cda:thead else () " />
    <xsl:variable name="med-header-row" select="$med-header/cda:tr " />
    <xsl:variable name="med-headings" select="$med-header-row/cda:th " />
    <xsl:variable name="med-col-num" select="if (exists($med-headings)) then count($med-headings) else count($med-tables/cda:tbody/cda:tr[1]/cda:td) " />
    <xsl:variable name="narr-exclusion-statement" select="($med-col-num = 1 and matches($med-headings[1], '^\W*(Exclusion\s+Statement)\W*$', 'is')) or         matches(string-join(cda:text//text(), ' '), $exclusion-regex, 'is') " />
    <xsl:variable name="med-data" select="if ((exists(cda:entry) and $num-proper-values &gt; 0) or (not(exists(cda:entry)) and not($narr-exclusion-statement)))         then $med-tables/cda:tbody/cda:tr/cda:td else () " />
    <xsl:variable name="med-data-content" select="$med-tables/cda:tbody/cda:tr/cda:td/cda:content " />
    <xsl:variable name="med-data-content-style" select="$med-data-content//@styleCode " />
    <xsl:variable name="rec-med-data-style" select="$med-data-content-style[matches(., '(^| )(Bold|Italics)( |$)')]" />
    <xsl:variable name="recommended-headings" select="('Medicine', 'Reason for Ceasing') " />
    <xsl:variable name="rec-heading-regex" select="('^\W*Medicine\W*$', '^\W*Reason\s*for\s*ceasing\W*$') " />
    <xsl:variable name="invalid-headings" select="(for $i in (1 to count($med-headings)) return if (matches($med-headings[$i], $rec-heading-regex[$i], 'is')) then '' else $med-headings[$i])[. != ''] " />
    <xsl:variable name="med-names" select="(for $int in $values return         if ($int/cda:originalText) then $int/cda:originalText else if ($int/@displayName) then $int/@displayName else '')[. != '']" />
    <xsl:variable name="a-medicine" select="$med-names[1]" />
    <xsl:variable name="all-same-medicines" select="$med-names[. = $a-medicine]" />
    <xsl:variable name="all-med-num" select="count($med-names) " />
    <xsl:variable name="med-issue" select="if (($conformance-level-3 and $no-proper-values-err) or $narr-exclusion-statement or $excl-statement) then true()         else if ($no-proper-values-err) then false()        else $a-medicine != '' and $all-med-num = count($all-same-medicines) and         (matches($a-medicine, $exclusion-regex, 'is') or matches($a-medicine, $regex-non-values, 'is')) " />
    <xsl:variable name="synopsis-section" select="if ($med-issue) then /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16006']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15513.4.1.1']] else () " />
    <xsl:variable name="synopsis-narr" select="if ($med-issue and exists($synopsis-section)) then $synopsis-section/cda:text//text() else () " />
    <xsl:variable name="synopsis-name" select="if (not($med-issue and exists($synopsis-section))) then ''        else if ($synopsis-section/cda:title) then $synopsis-section/cda:title         else if ($synopsis-section/cda:code/@displayName) then $synopsis-section/cda:code/@displayName        else 'Clinical Synopsis'" />
    <xsl:variable name="syn-med-neg" select="$med-issue and exists($synopsis-narr[matches(., $narr-med-neg-regex, 'is') or matches(., $narr-ceased-med-neg-regex, 'is')]) " />
    <xsl:variable name="syn-med-warn" select="$med-issue and not($syn-med-neg) and exists($synopsis-narr[matches(., $narr-ceased-med-regex, 'is')])" />
    <xsl:variable name="syn-med-hint" select="$med-issue and not($syn-med-warn) and not($flags/@allow-hints = 'false') and not($syn-med-neg) and exists($synopsis-narr[matches(., $narr-med-regex, 'is')]) " />
    <xsl:variable name="plan-section" select="if ($med-issue) then /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16020']] else () " />
    <xsl:variable name="plan-narr" select="if ($med-issue and exists($plan-section)) then ($plan-section/cda:text//text(), $plan-section/cda:component/cda:section/cda:text//text()) else () " />
    <xsl:variable name="plan-name" select="if (not($med-issue and exists($plan-section))) then ''        else if ($plan-section/cda:title) then $plan-section/cda:title         else if ($plan-section/cda:code/@displayName) then $plan-section/cda:code/@displayName        else 'Plan'" />
    <xsl:variable name="plan-med-neg" select="$med-issue and exists($plan-narr[matches(., $narr-med-neg-regex, 'is') or matches(., $narr-ceased-med-neg-regex, 'is')]) " />
    <xsl:variable name="plan-med-warn" select="$med-issue and not($plan-med-neg) and exists($plan-narr[matches(., $narr-ceased-med-regex, 'is')])" />
    <xsl:variable name="plan-med-hint" select="$med-issue and not($plan-med-warn) and not($flags/@allow-hints = 'false') and not($plan-med-neg) and exists($plan-narr[matches(., $narr-med-regex, 'is')]) " />
    <xsl:variable name="med-warn" select="$syn-med-warn or $plan-med-warn" />
    <xsl:variable name="med-hint" select="$syn-med-hint or $plan-med-hint " />
    <xsl:variable name="excl-msg" select="if ($excl-statement) then concat(normalize-space($code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16299']/        code[@code=$exclusion/@code]/@explanation),         ' (See the FAQ on exclusion statements and section 2.1 of the My Health Record Usability Recommendations v1.3.)') else '' " />
    <xsl:variable name="med-msg" select="if (not($med-warn or $med-hint)) then ''        else if ($excl-statement)        then concat('The exclusion statement in the ', iq:location(., 'Ceased Medications'),         ' indicates no information about ceased medications has been recorded in the Discharge Summary. ')        else if ($narr-exclusion-statement)         then concat('Information in the narrative of the ', iq:location(., 'Ceased Medications'),         ' indicates no information about ceased medications has been recorded in the Discharge Summary. ')        else if ($a-medicine != '' and matches($a-medicine, $exclusion-regex, 'is'))         then concat('Information in the ', iq:location(., 'Ceased Medications'), ' indicates no information about ceased medications has been recorded in the Discharge Summary. ')        else if (($conformance-level-3 and $no-proper-values-err) or ($a-medicine != '' and matches($a-medicine, $regex-non-values, 'is'))) then         concat('There is no information in the ', iq:location(., 'Ceased Medications'), ' describing ceased medications so ',         'it would be an error if ceased medications are recorded elsewhere in the Discharge Summary. ')        else '' " />
    <xsl:variable name="section-msg" select="if (not($med-warn or $med-hint)) then ''        else if ($syn-med-warn) then concat('The ', $synopsis-name, ' section seems to contain information about ceased medications ',         'and if correct then this is an error as the ', $synopsis-name, ' must not be used to record ceased medications that are not recorded in the ',          iq:location(., 'Ceased Medications'), '. (See section 4.23 of the Discharge Summary Structured Document Template v3.3.) ',         'Confirm if information about ceased medications is recorded in the ', $synopsis-name, ' section.')        else if ($syn-med-hint) then concat('The ', $synopsis-name, ' section seems to contain information about medications and if it is information about ',         'ceased medications then this is an error as the ', $synopsis-name,          ' must not be used to record ceased medications that are not recorded in the ',          iq:location(., 'Ceased Medications'), '. (See section 4.23 of the Discharge Summary Structured Document Template v3.3.) Confirm if information about ceased ',         'medications is recorded in the ', $synopsis-name, ' section.')         else if ($plan-med-warn) then concat('The ', $plan-name, ' section seems to contain information about ceased medications ',         'and if correct then this is an error as the ', $plan-name, ' must not be used to record ceased medications that are not recorded in the ',          iq:location(., 'Ceased Medications'), '. (See section 7.1 of the Discharge Summary Structured Document Template v3.3.) ',         'Confirm if information about ceased medications is recorded in the ', $plan-name, ' section.')        else if ($plan-med-hint) then concat('The ', $plan-name, ' section seems to contain information about medications and if it is information about ',         'ceased medications then this is an error as the ', $plan-name,          ' must not be used to record ceased medications that are not recorded in the ',          iq:location(., 'Ceased Medications'), '. (See section 7.1 of the Discharge Summary Structured Document Template v3.3.) Confirm if information about ceased ',         'medications is recorded in the ', $synopsis-name, ' section.')          else '' " />
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $med-hint ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $med-hint">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Narr-09-step-2" /><xsl:text />: TC-Narr-09 step 2: <xsl:text /><xsl:value-of select="$med-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (($conformance-level-3 and $no-proper-values-err) or $narr-exclusion-statement or $excl-statement) then '' else concat('There are ',   if ($numbers/number[number(@value) = $all-med-num]) then $numbers/number[number(@value) = $all-med-num]/@name else $all-med-num,   ' Therapeutic Good Identification ''manufacturedProduct/manufacturedMaterial/code''',    if ($all-med-num = 1) then 'data element with the value ''' else 'data elements and all have the value ''', $a-medicine, '''. ') " /><xsl:text /><xsl:text /><xsl:value-of select="$section-msg" /><xsl:text />
		A ceased medication is a medication that the subject of care was taking on admission that has been stopped on discharge and is not expected to be recommenced.
		(See section 5.20 of the e-Discharge Summary Structured Document Template v3.3.) <xsl:text /><xsl:value-of select="$excl-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $med-warn ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$med-warn">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-TC-Narr-09-step-2" /><xsl:text />: TC-Narr-09 step 2: <xsl:text /><xsl:value-of select="$med-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (($conformance-level-3 and $no-proper-values-err) or $narr-exclusion-statement or $excl-statement) then '' else concat(' There are ',   if ($numbers/number[number(@value) = $all-med-num]) then $numbers/number[number(@value) = $all-med-num]/@name else $all-med-num,   ' Therapeutic Good Identification ''manufacturedProduct/manufacturedMaterial/code''',    if ($all-med-num = 1) then 'data element with the value ''' else 'data elements and all have the value ''', $a-medicine, '''. ') " /><xsl:text /><xsl:text /><xsl:value-of select="$section-msg" /><xsl:text />
		A ceased medication is a medication that the subject of care was taking on admission that have been stopped on discharge and is not expected to be recommenced.
		(See section 5.20 of the e-Discharge Summary Structured Document Template v3.3.) <xsl:text /><xsl:value-of select="$excl-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $num-proper-values &gt; 0 and $excl-statement ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$num-proper-values &gt; 0 and $excl-statement">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-1" /><xsl:text />: TC-Doc-05 step 1: The Ceased Medications section has a		
		'<xsl:text /><xsl:value-of select="lower-case($code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16299']/code[@code=$exclusion/@code]/@displayName)" /><xsl:text />' exclusion statement
		and also has a medicine (Therapeutic Good Identification) data
		element with a proper value. As there is a medicine with a proper value then it is an error to include an exclusion statement stating that there is no value.
		(See sections 5.20 and 5.25 of the e-Discharge Summary Structured Document Template v3.3.) <xsl:text /><xsl:value-of select="$excl-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-proper-values-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-proper-values-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-37" /><xsl:text />: TC-Doc-37: The <xsl:text /><xsl:value-of select="iq:location(., 'Ceased Medications')" /><xsl:text /> has no exclusion statement and no Therapeutic Good Identification with a proper value.
		<xsl:text /><xsl:value-of select="$explanation" /><xsl:text /> The section must either contain at least one Therapeutic Good Identification with a proper value or else an exclusion statement stating why
		Therapeutic Good Identification are not included. For a Therapeutic Good Identification to have a proper value it must either contain a code attribute or originalText element
		that describes a medication that the healthcare consumer was taking at the start of the healthcare encounter (e.g. on admission), that have been stopped during the encounter or
		on discharge, and that are not expected to be recommenced. Every instance of a data group listed in a CDA Implementation Guide must have at least one child data component
		instantiated. (See sections 5.20 and 5.25 of the e-Discharge Summary Structured Document Template v3.3.)
		<xsl:text /><xsl:value-of select="if ($invalid-exclusion = '') then '' else concat('The section has a ', $invalid-exclusion, ' but its presence in the ', iq:location(., 'Ceased Medications'), ' is invalid.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and count($med-tables) &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and count($med-tables) &gt; 1">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-DS-Display" /><xsl:text />: (READABILITY): The <xsl:text /><xsl:value-of select="iq:location(., 'Ceased Medications')" /><xsl:text /> of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> contains
		<xsl:text /><xsl:value-of select="iq:display-number(count($med-tables))" /><xsl:text /> tables.
		The section's narrative should contain medicines information in one table only and the table should have two columns with the headings 'Medicine' and 'Reason for ceasing'.
		(See section 3K of the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and    ((exists(cda:entry) and $num-proper-values &gt; 0) or (not(exists(cda:entry)) and not($narr-exclusion-statement))) and not(exists($med-tables)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and ((exists(cda:entry) and $num-proper-values &gt; 0) or (not(exists(cda:entry)) and not($narr-exclusion-statement))) and not(exists($med-tables))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-DS-Display" /><xsl:text />: (READABILITY): The <xsl:text /><xsl:value-of select="iq:location(., 'Ceased Medications')" /><xsl:text /> of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /><xsl:text /><xsl:value-of select="if (exists(cda:entry) and $num-proper-values &gt; 0) then    ' contains medicines information that is not in a table. The section''s narrative should include a table for recording ceased medicines and the table should have two columns with the headings   ''Medicine'' and ''Reason for ceasing''.'   else ' does not include a table. If medicines have been recorded then they should be in a table containing two columns with the headings   ''Medicine'' and ''Reason for ceasing''.' " /><xsl:text />
		(See section 3K of the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and count($med-header-row) = 1 and not($narr-exclusion-statement or $med-col-num = 2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and count($med-header-row) = 1 and not($narr-exclusion-statement or $med-col-num = 2)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-DS-Display" /><xsl:text />: (READABILITY): The <xsl:text /><xsl:value-of select="iq:location(., 'Ceased Medications')" /><xsl:text /> of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> contains a table with
		<xsl:text /><xsl:value-of select="iq:display-number($med-col-num)" /><xsl:text /><xsl:text /><xsl:value-of select="if (not(exists($med-headings)) and $med-col-num = 1) then ' column and no heading.'   else if (not(exists($med-headings)) and $med-col-num &gt; 1) then ' columns and no headings.'   else if ($med-col-num = 1) then concat(' column and the heading ''', $med-headings[1], '''.')   else concat(' columns and the headings ''', string-join($med-headings[position() &lt; last()], ''', '''), ''' and ''', $med-headings[last()], '''.') " /><xsl:text />
		The tables does not have the recommended two columns with the headings 'Medicine' and 'Reason for ceasing'.
		(See section 3K of the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and $med-col-num = 2 and exists($invalid-headings) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $med-col-num = 2 and exists($invalid-headings)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-DS-Display" /><xsl:text />: (READABILITY): The <xsl:text /><xsl:value-of select="iq:location(., 'Ceased Medications')" /><xsl:text /> of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> contains a table with the headings
		'<xsl:text /><xsl:value-of select="string-join($med-headings, ''', ''')" /><xsl:text />'. The headings recommended for this section are 'Medicine' and 'Reason for ceasing'.
		<xsl:text /><xsl:value-of select="if (count($invalid-headings) = 2) then 'None of the table headings are those recommended for this section.'   else concat('The headings that are not in the recommended set are ''', string-join($invalid-headings, ''', '''), '.')" /><xsl:text />'
		(See section 3K of the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and exists($med-data) and not(exists($rec-med-data-style))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and exists($med-data) and not(exists($rec-med-data-style))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-Med-Display" /><xsl:text />: (READABILITY): The <xsl:text /><xsl:value-of select="iq:location(., 'Ceased Medications')" /><xsl:text /> of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> contains a table with medicines information but the information
		does not have the recommended format. When recording and displaying medicines information the active ingredient and brand names should be highlighted and differentiated. Bold typeface
		should be used for for active ingredient names, italics (not bold) for brand names and regular typeface for units of measure. (See section 6.1.3 of the National Guidelines for On-Screen
		Display of Medicines Information, published September 2017 by the Australian Commission on Safety and Quality in Health Care.) Adoption of this recommendation is achieved when table data
		contain 'content' elements with styleCode attributes when bold or italics typeface is needed. In the <xsl:text /><xsl:value-of select="iq:location(., 'Ceased Medications')" /><xsl:text /><xsl:text /><xsl:value-of select="if (not(exists($med-data-content))) then ' none of the table data elements contain ''content'' elements.'   else if (not(exists($med-data-content-style))) then ' none of the ''content'' elements in table data elements contain a styleCode attribute.'   else concat(' the ''content'' elements in table data elements contain ''', string-join($med-data-content-style, ''', '''), ''' style codes they do not contain Italics or Bold styles.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1004" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1004" />
  <xsl:template match="@*|node()" priority="-2" mode="M1004">
    <xsl:apply-templates select="@*|*" mode="M1004" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-DG-8-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument['101.16606' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16606']][cda:entry or $conformance-level-3 or $flags/@report-data-quality = 'true']" priority="1000" mode="M1005">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument['101.16606' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16606']][cda:entry or $conformance-level-3 or $flags/@report-data-quality = 'true']" />
    <xsl:variable name="values" select="cda:entry/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20016']]/cda:text" />
    <xsl:variable name="num-values" select="count($values)" />
    <xsl:variable name="proper-values" select="if ($regex-non-values != '') then $values[matches(., '\w', 'is') and not(matches(., $regex-non-values, 'is'))] else $values[matches(., '\w', 'is')] " />
    <xsl:variable name="num-proper-values" select="count($proper-values)" />
    <xsl:variable name="exclusion" select="cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16134']]/cda:value" />
    <xsl:variable name="excl-statement" select="boolean($exclusion)" />
    <xsl:variable name="no-proper-values-err" select="$num-proper-values = 0 and not($excl-statement) and cda:entry" />
    <xsl:variable name="explanation" select="if ($num-values &gt; $num-proper-values and $num-values = 1)         then 'There is one Recommendation Narrative ''entry/act/text'' data element but it does not have a proper value.'       else if ($num-values &gt; $num-proper-values and $num-values &gt; 1)        then concat('There are ', iq:display-number($num-values), ' Recommendation Narrative ''entry/act/text'' data elements but none have a proper value.')       else '' " />
    <xsl:variable name="excl-msg" select="if ($excl-statement) then concat(normalize-space($code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16299']/       code[@code=$exclusion/@code]/@explanation),        ' (See the FAQ on exclusion statements and section 2.1 of the My Health Record Usability Recommendations v1.3.)') else '' " />
    <!--REPORT -->
    <xsl:if test=" $num-proper-values &gt; 0 and $excl-statement ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$num-proper-values &gt; 0 and $excl-statement">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-1" /><xsl:text />: TC-Doc-05 step 1: The <xsl:text /><xsl:value-of select="iq:location(., 'Recommendations')" /><xsl:text /> has a
		'<xsl:text /><xsl:value-of select="lower-case($code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16299']/code[@code=$exclusion/@code]/@displayName)" /><xsl:text />' exclusion statement
		and also has a Recommendation Narrative
		with a proper value. As there is a Recommendation Narrative with a proper value then it is an error to include an exclusion statement stating that there is no value.
		(See the specification of the Metamodel in the Appendix of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text />.) <xsl:text /><xsl:value-of select="$excl-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-proper-values-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-proper-values-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-37" /><xsl:text />: TC-Doc-37: The <xsl:text /><xsl:value-of select="iq:location(., 'Recommendations')" /><xsl:text /> has no exclusion statement and no Recommendation Narrative with a proper
		value. <xsl:text /><xsl:value-of select="$explanation" /><xsl:text /> The section must either contain at least one Recommendation Narrative with a proper value or else an exclusion statement stating why no
		recommendation is included. For a Recommendation Narrative to have a proper value it must describe the recommendation by a clinician to a health care provider regarding the
		management of the healthcare consumer. Every instance of a data group listed in a CDA
		implementation guide must have at least one child data component instantiated. (See the specification of the Metamodel in the Appendix of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1005" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1005" />
  <xsl:template match="@*|node()" priority="-2" mode="M1005">
    <xsl:apply-templates select="@*|*" mode="M1005" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-DG-9-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument['101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']][cda:entry or $conformance-level-3]" priority="1000" mode="M1006">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument['101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']][cda:entry or $conformance-level-3]" />
    <xsl:variable name="prob-diag" select="cda:entry/cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]/cda:value" />
    <xsl:variable name="num-prob-diag" select="count($prob-diag)" />
    <xsl:variable name="proper-prob-diag" select="if ($regex-non-values != '') then $prob-diag[@code or (matches(cda:originalText, '\w', 'is') and not(matches(cda:originalText, $regex-non-values, 'is')))]        else $prob-diag[@code or matches(cda:originalText, '\w', 'is')] " />
    <xsl:variable name="num-proper-prob-diag" select="count($proper-prob-diag)" />
    <xsl:variable name="expl-prob-diag" select="if ($num-prob-diag &gt; $num-proper-prob-diag and $num-prob-diag = 1)         then 'There is one Problem/Diagnosis Identification data element but it does not have a proper value.'        else if ($num-prob-diag &gt; $num-proper-prob-diag and $num-prob-diag &gt; 1)        then concat('There are ', iq:display-number($num-prob-diag), ' Problem/Diagnosis Identification data elements but none have a proper value.')        else '' " />
    <xsl:variable name="procedures" select="cda:entry/cda:procedure[@classCode='PROC']/cda:code" />
    <xsl:variable name="num-procedures" select="count($procedures)" />
    <xsl:variable name="proper-procedures" select="if ($regex-non-values != '') then $procedures[@code or (matches(cda:originalText, '\w', 'is') and not(matches(cda:originalText, $regex-non-values, 'is')))]         else $procedures[@code or matches(cda:originalText, '\w', 'is')]" />
    <xsl:variable name="num-proper-procedures" select="count($proper-procedures)" />
    <xsl:variable name="expl-procedures" select="if ($num-procedures &gt; $num-proper-procedures and $num-procedures = 1)          then 'There is one Procedure Name data element but it does not have a proper value.'         else if ($num-procedures &gt; $num-proper-procedures and $num-procedures &gt; 1)         then concat('There are ', iq:display-number($num-procedures), ' Procedure Name data elements but none have a proper value.')         else '' " />
    <xsl:variable name="group-name" select="if (cda:entry/cda:act/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16627']/@displayName)          then cda:entry/cda:act/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16627']/@displayName         else 'Uncategorised Medical History Item' " />
    <xsl:variable name="uncategorised-items" select="cda:entry/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16627']]/cda:text" />
    <xsl:variable name="num-uncategorised-items" select="count($uncategorised-items)" />
    <xsl:variable name="proper-uncategorised-items" select="if ($regex-non-values != '') then $uncategorised-items[matches(., '\w', 'is') and not(matches(., $regex-non-values, 'is'))]         else $uncategorised-items[matches(., '\w', 'is')] " />
    <xsl:variable name="num-proper-uncategorised-items" select="count($proper-uncategorised-items)" />
    <xsl:variable name="expl-uncategorised-items" select="if ($num-uncategorised-items &gt; $num-proper-uncategorised-items and $num-uncategorised-items = 1)          then 'There is one Medical History Item Description data element but it does not have a proper value.'         else if ($num-uncategorised-items &gt; $num-proper-uncategorised-items and $num-uncategorised-items &gt; 1)         then concat('There are ', iq:display-number($num-uncategorised-items), ' Medical History Item Description data elements but none have a proper value.')         else '' " />
    <xsl:variable name="exclusion-prob-diag" select="cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.120.1.3']]/cda:value" />
    <xsl:variable name="excl-prob-diag" select="boolean($exclusion-prob-diag)" />
    <xsl:variable name="exclusion-procedures" select="cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.120.1.4']]/cda:value " />
    <xsl:variable name="excl-procedures" select="boolean($exclusion-procedures)" />
    <xsl:variable name="excl-prob-diag-msg" select="if ($excl-prob-diag) then concat(normalize-space($code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16299']/        code[@code=$exclusion-prob-diag/@code]/@explanation),         ' (See the FAQ on exclusion statements and section 2.1 of the My Health Record Usability Recommendations v1.3.)') else '' " />
    <xsl:variable name="excl-procedures-msg" select="if ($excl-procedures) then concat(normalize-space($code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16299']/        code[@code=$exclusion-procedures/@code]/@explanation),         ' (See the FAQ on exclusion statements and section 2.1 of the My Health Record Usability Recommendations v1.3.)') else '' " />
    <!--REPORT -->
    <xsl:if test=" $excl-prob-diag and $num-proper-uncategorised-items &gt; 0 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$excl-prob-diag and $num-proper-uncategorised-items &gt; 0">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-1" /><xsl:text />: TC-Doc-05 step 1: The <xsl:text /><xsl:value-of select="iq:location(., 'Medical History')" /><xsl:text /> has a 
		'<xsl:text /><xsl:value-of select="lower-case($code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16299']/code[@code=$exclusion-prob-diag/@code]/@displayName)" /><xsl:text />' exclusion statement
		for problems and diagnoses and also has
		<xsl:text /><xsl:value-of select="$group-name" /><xsl:text /> information. The <xsl:text /><xsl:value-of select="$group-name" /><xsl:text /> definition states that it contains problem and diagnosis or procedure information
		which the healthcare software could not classify as a problem and diagnosis or a procedure. As the <xsl:text /><xsl:value-of select="$group-name" /><xsl:text /> data element records
		problem and diagnosis or procedure information then it is an error to include an exclusion statement stating that there are no problems and diagnoses.
		(See the definition of Exclusion Statement - Problems and Diagnoses and <xsl:text /><xsl:value-of select="$group-name" /><xsl:text /> in the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and in the
		Medical History Detailed Clinical Model Specification.) <xsl:text /><xsl:value-of select="$excl-prob-diag-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $excl-procedures and $num-proper-uncategorised-items &gt; 0 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$excl-procedures and $num-proper-uncategorised-items &gt; 0">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-1" /><xsl:text />: TC-Doc-05 step 1: The <xsl:text /><xsl:value-of select="iq:location(., 'Medical History')" /><xsl:text /> has a 
		'<xsl:text /><xsl:value-of select="lower-case($code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16299']/code[@code=$exclusion-procedures/@code]/@displayName)" /><xsl:text />' exclusion statement
		for procedures and also has <xsl:text /><xsl:value-of select="$group-name" /><xsl:text /> information. The <xsl:text /><xsl:value-of select="$group-name" /><xsl:text /> definition states that it contains problem and diagnosis or procedure
		information which the healthcare software could not classify as a problem and diagnosis or a procedure. As the <xsl:text /><xsl:value-of select="$group-name" /><xsl:text /> data element records
		problem and diagnosis or procedure information then it is an error to include an exclusion statement stating that there are no procedures.
		(See the definition of Exclusion Statement - Problems and Diagnoses and <xsl:text /><xsl:value-of select="$group-name" /><xsl:text /> in the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and in the
		Medical History Detailed Clinical Model Specification.) <xsl:text /><xsl:value-of select="$excl-procedures-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $num-prob-diag &gt; 0 and $excl-prob-diag ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$num-prob-diag &gt; 0 and $excl-prob-diag">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-1" /><xsl:text />: TC-Doc-05 step 1: The <xsl:text /><xsl:value-of select="iq:location(., 'Medical History')" /><xsl:text /> has a 
		'<xsl:text /><xsl:value-of select="lower-case($code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16299']/code[@code=$exclusion-prob-diag/@code]/@displayName)" /><xsl:text />' exclusion statement for
		problems and diagnoses and also has a Problem/Diagnosis Identification with a proper value. As there is a Problem/Diagnosis Identification with a proper value then it is an error to
		include an exclusion statement stating that there is no value. (See the specification of the Metamodel in the Appendix of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text />.)
		<xsl:text /><xsl:value-of select="$excl-prob-diag-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $num-procedures &gt; 0 and $excl-procedures ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$num-procedures &gt; 0 and $excl-procedures">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-1" /><xsl:text />: TC-Doc-05 step 1: The <xsl:text /><xsl:value-of select="iq:location(., 'Medical History')" /><xsl:text /> has a 
		'<xsl:text /><xsl:value-of select="lower-case($code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16299']/code[@code=$exclusion-procedures/@code]/@displayName)" /><xsl:text />' exclusion statement
		for procedures and also has a Procedure Name
		with a proper value. As there is a Procedure Name with a proper value then it is an error to include an exclusion statement stating that there is no value.
		(See the specification of the Metamodel in the Appendix of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text />.) <xsl:text /><xsl:value-of select="$excl-procedures-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $num-uncategorised-items &gt; 0 and $num-proper-uncategorised-items = 0 and not($excl-prob-diag) and not($excl-procedures) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$num-uncategorised-items &gt; 0 and $num-proper-uncategorised-items = 0 and not($excl-prob-diag) and not($excl-procedures)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-37" /><xsl:text />: TC-Doc-37: The <xsl:text /><xsl:value-of select="iq:location(., 'Medical History')" /><xsl:text /> has no exclusion statement for problems and diagnoses, no exclusion statement for procedures and no
		<xsl:text /><xsl:value-of select="$group-name" /><xsl:text /> with a proper value. <xsl:text /><xsl:value-of select="$expl-uncategorised-items" /><xsl:text /> The section must either contain at least one Medical History Item Description with
		a proper value or else exclusion statements stating why problems, diagnoses and procedures are not included. For a Medical History Item Description to have a proper value it must either
		contain a text description of the problem, diagnosis or procedure. Every instance of a data group listed in a CDA Implementation Guide must have at least one child data component
		instantiated. (See the specification of the Metamodel in the Appendix of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $num-prob-diag &gt; 0 and $num-proper-prob-diag = 0 and not($excl-prob-diag) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$num-prob-diag &gt; 0 and $num-proper-prob-diag = 0 and not($excl-prob-diag)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-37" /><xsl:text />: TC-Doc-37: The <xsl:text /><xsl:value-of select="iq:location(., 'Medical History')" /><xsl:text /> has no exclusion statement statement for problems and diagnoses and no
		Problem/Diagnosis Identification with a
		proper value. <xsl:text /><xsl:value-of select="$expl-prob-diag" /><xsl:text /> The section must either contain at least one Problem/Diagnosis Identification data element with a proper value or else an
		exclusion statement stating why problems and diagnoses are not included. For a Problem/Diagnosis Identification to have a proper value it must either contain a code attribute or
		originalText element that describes the problem or diagnosis. Every instance of a data group listed in a CDA Implementation Guide must have at least one child data component
		instantiated. (See the specification of the Metamodel in the Appendix of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $num-procedures &gt; 0 and $num-proper-procedures = 0 and not($excl-procedures) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$num-procedures &gt; 0 and $num-proper-procedures = 0 and not($excl-procedures)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-37" /><xsl:text />: TC-Doc-37: The <xsl:text /><xsl:value-of select="iq:location(., 'Medical History')" /><xsl:text /> has no exclusion statement for procedures and no Procedure Name with a proper value.
		<xsl:text /><xsl:value-of select="$expl-procedures" /><xsl:text /> The section must either contain at least one Procedure Name with a proper value or else an exclusion statement stating why
		procedures are not included. For a Procedure Name to have a proper value it must either contain a code attribute or originalText element
		that describes a medical procedure. Every instance of a data group listed in a CDA Implementation Guide must have at least one child data component
		instantiated. (See the specification of the Metamodel in the Appendix of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $num-prob-diag = 0 and $num-procedures = 0 and $num-uncategorised-items = 0 and not($excl-prob-diag or $excl-procedures)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$num-prob-diag = 0 and $num-procedures = 0 and $num-uncategorised-items = 0 and not($excl-prob-diag or $excl-procedures)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-37" /><xsl:text />: TC-Doc-37: The <xsl:text /><xsl:value-of select="iq:location(., 'Medical History')" /><xsl:text /> has no Problem/Diagnosis Identification or Procedure Name or <xsl:text /><xsl:value-of select="$group-name" /><xsl:text />
		exclusion statement stating why problems and diagnoses and procedures are not included. One of the allowed combinations of these data components must be present.
		Every instance of a data group listed
		in a CDA Implementation Guide must have at least one child data component instantiated. (See the specification of the Metamodel in the Appendix of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1006" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1006" />
  <xsl:template match="@*|node()" priority="-2" mode="M1006">
    <xsl:apply-templates select="@*|*" mode="M1006" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-DG-10-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument['101.16672' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16672']]" priority="1000" mode="M1007">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument['101.16672' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16672']]" />
    <xsl:variable name="values" select="cda:entry/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15513']]/cda:text " />
    <xsl:variable name="num-values" select="count($values)" />
    <xsl:variable name="proper-values" select="if ($regex-non-values != '') then $values[matches(., '\w', 'is') and not(matches(., $regex-non-values, 'is'))] else $values[matches(., '\w', 'is')] " />
    <xsl:variable name="num-proper-values" select="count($proper-values)" />
    <xsl:variable name="no-proper-values-err" select="$num-values &gt; 0 and $num-proper-values = 0 and cda:entry" />
    <xsl:variable name="med-warn" select="not('101.16146' = $doc-sections) and exists(cda:text//text()[                  matches(., $narr-current-med-regex, 'is')  or                   matches(., $narr-ceased-med-regex, 'is')  or                   matches(., $narr-med-regex, 'is')  ])" />
    <!--REPORT -->
    <xsl:if test=" $med-warn ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$med-warn">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-TC-Doc-01" /><xsl:text />: TC-Doc-01: The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> does not contain a Medications section however the Clinical Synopsis Data Group in the
		<xsl:text /><xsl:value-of select="iq:location(., 'Event Details')" /><xsl:text /> seems to contain information about medications. Confirm if the <xsl:text /><xsl:value-of select="iq:location(., 'Event Details')" /><xsl:text /> contains information about medications.
		It is an error for the Clinical Synopsis to record information about medications when this is not recorded in the Medications section. 
		(See the information about Event Details in section 3.3 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> Structured Content Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-proper-values-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-proper-values-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-37" /><xsl:text />: TC-Doc-37: The Clinical Synopsis Description 'entry/act/text' data element in the <xsl:text /><xsl:value-of select="iq:location(., 'Event Details')" /><xsl:text /><xsl:text /><xsl:value-of select="if (normalize-space($values) = '') then 'has no value.' else concat('has the value ''',    normalize-space(dh:XQueryRecursiveReplace($values, $markup-pattern-replacement, 'ic')), ''' which is not a proper value.') " /><xsl:text />
		For a Clinical Synopsis Description to have a proper value it must contain text that is a description, overview or summary of a clinical event. Every instance of a data group listed
		in a CDA Implementation Guide must have at least one child data component instantiated. (See the specification of the Metamodel in the Appendix of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1007" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1007" />
  <xsl:template match="@*|node()" priority="-2" mode="M1007">
    <xsl:apply-templates select="@*|*" mode="M1007" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-DG-11-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument['102.15513.4.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component/     cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16006']]/cda:component/     cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15513.4.1.1']][cda:entry or $conformance-level-3]" priority="1000" mode="M1008">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument['102.15513.4.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component/     cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16006']]/cda:component/     cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15513.4.1.1']][cda:entry or $conformance-level-3]" />
    <xsl:variable name="values" select="cda:entry/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15582']]/cda:text " />
    <xsl:variable name="num-values" select="count($values)" />
    <xsl:variable name="proper-values" select="if ($regex-non-values != '') then $values[matches(., '\w', 'is') and not(matches(., $regex-non-values, 'is'))] else $values[matches(., '\w', 'is')] " />
    <xsl:variable name="num-proper-values" select="count($proper-values)" />
    <xsl:variable name="rating-19" select=" $rating-TC-Doc-19 " />
    <!--REPORT -->
    <xsl:if test=" $num-values = 0 and cda:entry ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$num-values = 0 and cda:entry">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-19" /><xsl:text />: TC-Doc-19: The <xsl:text /><xsl:value-of select="iq:location(., 'Clinical Synopsis')" /><xsl:text /> has no Clinical Synopsis Description 'entry/act/text' data element.
		A Clinical Synopsis Description must be present with a value that is a description, overview or summary of a clinical event. Every instance of a data group listed
		in a CDA Implementation Guide must have at least one child data component instantiated. (See the specification of the Metamodel in the Appendix of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $num-values &gt; 0 and $num-proper-values = 0 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$num-values &gt; 0 and $num-proper-values = 0">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-37" /><xsl:text />: TC-Doc-37: The <xsl:text /><xsl:value-of select="iq:location(., 'Clinical Synopsis')" /><xsl:text /> has a Clinical Synopsis Description 'entry/act/text' data element which
		<xsl:text /><xsl:value-of select="if (normalize-space($values) = '') then 'has no value.' else concat('has the value ''',    normalize-space(dh:XQueryRecursiveReplace($values, $markup-pattern-replacement, 'ic')), ''' which is not a proper value.') " /><xsl:text />
		For a Clinical Synopsis Description to have a proper value it must contain text that is a description, overview or summary of a clinical event. Every instance of a data group listed
		in a CDA Implementation Guide must have at least one child data component instantiated. (See the specification of the Metamodel in the Appendix of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1008" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1008" />
  <xsl:template match="@*|node()" priority="-2" mode="M1008">
    <xsl:apply-templates select="@*|*" mode="M1008" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-DG-12-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument/*[not(local-name(.) = 'component')]//ext:asEmployment[not(ext:employerOrganization)]      |    /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/*[not(cda:text)]//ext:asEmployment[not(ext:employerOrganization)] |    /cda:ClinicalDocument/*[not(local-name(.) = 'component')]//cda:informationRecipient[not(@nullFlavor) and not(*)]     " priority="1000" mode="M1009">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument/*[not(local-name(.) = 'component')]//ext:asEmployment[not(ext:employerOrganization)]      |    /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/*[not(cda:text)]//ext:asEmployment[not(ext:employerOrganization)] |    /cda:ClinicalDocument/*[not(local-name(.) = 'component')]//cda:informationRecipient[not(@nullFlavor) and not(*)]     " />
    <xsl:variable name="mandatory-org-err" select="local-name(.) = 'asEmployment' and exists(/cda:ClinicalDocument/cda:templateId[        (@root = '1.2.36.1.2001.1001.100.1002.222' and @extension = '1.0') or        (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3') or        (@root = '1.2.36.1.2001.1001.100.1002.220' and @extension = '1.0') or        (@root = '1.2.36.1.2001.1001.100.1002.231' and @extension = '1.1') or        (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.4') ]) " />
    <xsl:variable name="no-employment-child" select="local-name(.) = 'asEmployment' and not($mandatory-org-err) and not(@nullFlavor) and not(ext:jobClassCode or ext:jobCode or ext:code) " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-05-step-1" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-05-step-1 " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" $mandatory-org-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$mandatory-org-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-05-step-1" /><xsl:text />: TC-Doc-05 step 1: The Employment Detail '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data group in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> is present without the Employer Organisation 'ext:employerOrganization'. This is an error as if the Employment Detail data group is present
		then the Employer Organisation must be present as it's presence is mandatory. (See cardinality requirements for Employer Organisation in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />
		CDA Implementation Guide, including section 8 Common Patterns - Employment.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-employment-child ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-employment-child">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Employment Detail '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data group in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> is present without the Employer Organisation, Employment Type, Occupation or Position In Organisation data elements.
		This is an error as the Employment Detail data element does not have a nullFlavor attribute stating why the employment detail is not provided.
		When there is no nullFlavor attribute stating why there is no employment detail at least one of the Employment Detail data elements must be present even though each is optional.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		the mapping table for Employer Organisation in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide including section 8 Common Patterns - Employment.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'informationRecipient' and not(@nullFlavor) and not(*) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'informationRecipient' and not(@nullFlavor) and not(*)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The Information Recipient '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data group in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> is present without any of its components which means the Information Recipient has an exceptional value.
		An an exceptional value is where information is missing, omitted, incomplete or improper.
		This is an error as the Information Recipient data group does not have a nullFlavor attribute stating why it has an exceptional value.
		If a data group is present in a clinical document then it must have at least one component or nullFlavor attribute indicating why the data group has an exceptional value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1009" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1009" />
  <xsl:template match="@*|node()" priority="-2" mode="M1009">
    <xsl:apply-templates select="@*|*" mode="M1009" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-DG-13-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument['101.20109' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16006']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20109']][cda:entry or $conformance-level-3 or $flags/@report-data-quality = 'true']" priority="1000" mode="M1010">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument['101.20109' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16006']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20109']][cda:entry or $conformance-level-3 or $flags/@report-data-quality = 'true']" />
    <xsl:variable name="values" select="cda:entry/cda:procedure[@classCode='PROC']/cda:code" />
    <xsl:variable name="num-values" select="count($values)" />
    <xsl:variable name="known-system" select="for $i in (1 to count($values)) return        if (not($values[$i]/@codeSystem)) then false()       else if (         ($values[$i]/@codeSystem = '2.16.840.1.113883.6.96' and (exists($v-snomedctau) or $use-ts-for-sctau)) ) then true()       else if (not($code-systems/system[@codeSystem = $values[$i]/@codeSystem])) then false()       else if ($code-systems/system[@codeSystem = $values[$i]/@codeSystem]/@no-code-information = 'true') then false()       else true()" />
    <xsl:variable name="proper-values" select="for $i in (1 to count($values)) return        if ($values[$i]/cda:originalText and $regex-non-values != '' and matches($values[$i]/cda:originalText, $regex-non-values, 'is')) then ()       else if ($values[$i]/cda:originalText) then $values[$i]       else if ($values[$i]/@code and $known-system[$i]) then $values[$i]       else if ($values[$i]/@code and not($values[$i]/@displayName)) then $values[$i]       else if ($values[$i]/@displayName and $regex-non-values != '' and matches($values[$i]/@displayName, $regex-non-values, 'is')) then ()       else $values[$i]" />
    <xsl:variable name="num-proper-values" select="count($proper-values)" />
    <xsl:variable name="normalized-otext" select="if (exists($values[1]/cda:originalText)) then normalize-space($values[1]/cda:originalText) else '' " />
    <xsl:variable name="display-text-1" select="if (not($values[1]/cda:originalText)) then ''         else if ($normalized-otext != '' and string-length($values[1]/cda:originalText) &lt; 200)         then concat('originalText ', codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($values[1]/cda:originalText,          $text-pattern-replacement, 'ic')), codepoints-to-string(34))        else if ($normalized-otext != '') then concat('originalText commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($values[1]/cda:originalText,          $p-name-pattern-replacement, 'ic'), 1, 200), $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-text" select="if ($normalized-otext != '') then $display-text-1        else if ($normalized-otext = '' and $values[1]/cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="explanation" select="if ($num-values &gt; $num-proper-values and $num-values = 1 and $display-text = '')         then 'There is one Clinical Intervention Description ''entry/procedure/code'' data element but it does not have a proper value.'       else if ($num-values &gt; $num-proper-values and $num-values = 1)         then concat('There is one Clinical Intervention Description ''entry/procedure/code'' data element with ', $display-text, ' which is not a proper value.')       else if ($num-values &gt; $num-proper-values and $num-values &gt; 1 and $display-text = '')        then concat('There are ', iq:display-number($num-values), ' Clinical Intervention Description ''entry/procedure/code'' data elements but none have a proper value.')       else if ($num-values &gt; $num-proper-values and $num-values &gt; 1)        then concat('There are ', iq:display-number($num-values), ' Clinical Intervention Description ''entry/procedure/code'' data elements but none have a proper value. ',        'For example the first data element has ', $display-text, '.')       else '' " />
    <xsl:variable name="proc-tables" select="if ($flags/@report-data-quality = 'true') then cda:text//cda:table else () " />
    <xsl:variable name="proc-headings" select="$proc-tables/cda:thead/cda:tr/cda:th " />
    <xsl:variable name="proc-col-num" select="if (exists($proc-headings)) then count($proc-headings) else count($proc-tables/cda:tbody/cda:tr[1]/cda:td) " />
    <xsl:variable name="proc-list" select="if ($flags/@report-data-quality = 'true') then (cda:text/cda:list, cda:text/*[not(local-name(.) = 'table')]/cda:list) else () " />
    <xsl:variable name="proc-ordered-list" select="count($proc-list) = 1 and $proc-list[@listType = 'ordered'] " />
    <xsl:variable name="values" select="cda:entry/cda:procedure[@classCode='PROC']/cda:code " />
    <xsl:variable name="intervention-names" select="(for $int in $values return         if ($int/cda:originalText) then $int/cda:originalText else if ($int/@displayName) then $int/@displayName else '')[. != '']" />
    <xsl:variable name="an-intervention" select="$intervention-names[1]" />
    <xsl:variable name="all-interventions" select="if (not($flags/@collection-same-system = 'false') and $document-number &gt; 1) then         (for $proc in $documents/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16006']]/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20109']]/cda:entry/cda:procedure[@classCode='PROC']/cda:code return         if ($proc/cda:originalText) then $proc/cda:originalText         else if ($proc/@displayName) then $proc/@displayName          else '')[. != '']        else $intervention-names " />
    <xsl:variable name="all-same-interventions" select="$all-interventions[. = $an-intervention]" />
    <xsl:variable name="all-intervention-num" select="count($all-interventions) " />
    <xsl:variable name="intervention-err" select="$num-proper-values = 0 and cda:entry" />
    <xsl:variable name="intervention-warn" select="not($flags/@collection-same-system = 'false') and $document-number &gt; 1 and $all-intervention-num &gt; 1 and          $all-intervention-num = count($all-same-interventions) " />
    <xsl:variable name="intervention-hint" select="if ($intervention-err) then false()        else not($flags/@allow-hints = 'false') and ($flags/@collection-same-system = 'false' or $document-number = 1) and         $an-intervention != '' and $all-intervention-num = count($all-same-interventions) and         (matches($an-intervention, $exclusion-regex, 'is') or matches($an-intervention, $regex-non-values, 'is')) " />
    <xsl:variable name="intervention-msg" select="if (not($intervention-err or $intervention-warn or $intervention-hint)) then ''        else if (matches($an-intervention, $exclusion-regex, 'is'))         then concat('The value of the Clinical Intervention Description data element indicates that no information about clinical interventions has ',         'been recorded in the Discharge Summary. Confirm that clinical interventions are not recorded in other sections of the document.')        else if (matches($an-intervention, $regex-non-values, 'is')) then         concat('The value of the Clinical Intervention Description data element does not describe a clinical intervention. ',         'It would be an error if interventions are recorded elsewhere in the Discharge Summary. ',         'Confirm that clinical interventions are not recorded in other sections of the document.')        else '' " />
    <xsl:variable name="section-msg" select="if (not($intervention-err or $intervention-warn or $intervention-hint)) then ''        else concat('Check the Clinical Synopsis in particular. It is an error for the Clinical Synopsis to record clinical interventions that are not ',        'recorded in the Clinical Interventions Performed This Visit section. (See section 4.23 of the Discharge Summary Structured Document Template ',        'v3.3.)') " />
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $intervention-hint ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $intervention-hint">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Doc-01" /><xsl:text />: TC-Doc-01: The <xsl:text /><xsl:value-of select="iq:location(., 'Clinical Interventions Performed This Visit')" /><xsl:text /> of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> contains 
		<xsl:text /><xsl:value-of select="if ($numbers/number[number(@value) = $all-intervention-num]) then $numbers/number[number(@value) = $all-intervention-num]/@name else $all-intervention-num" /><xsl:text />
		Clinical Intervention Description 'entry/procedure/code' <xsl:text /><xsl:value-of select="if ($all-intervention-num = 1) then 'data element with the value'    else 'data elements and all have the value' " /><xsl:text /> '<xsl:text /><xsl:value-of select="$an-intervention" /><xsl:text />'.
		<xsl:text /><xsl:value-of select="$intervention-msg" /><xsl:text />
		(See sections 4.19, 4.20 and 4.21 of the Discharge Summary Structured Document Template v3.3.)
		<xsl:text /><xsl:value-of select="$section-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $intervention-warn ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$intervention-warn">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-TC-Doc-01" /><xsl:text />: TC-Doc-01: There are
		<xsl:text /><xsl:value-of select="if ($numbers/number[number(@value) = $all-intervention-num]) then $numbers/number[number(@value) = $all-intervention-num]/@name else $all-intervention-num" /><xsl:text />
		Clinical Intervention Description 'entry/procedure/code' data elements in the collection of <xsl:text /><xsl:value-of select="$document-count" /><xsl:text />
		Discharge Summaries and they all have the value '<xsl:text /><xsl:value-of select="$an-intervention" /><xsl:text />'.
		<xsl:text /><xsl:value-of select="$intervention-msg" /><xsl:text />
		(See sections 4.19, 4.20 and 4.21 of the Discharge Summary Structured Document Template v3.3.)
		<xsl:text /><xsl:value-of select="$section-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $intervention-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$intervention-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-37" /><xsl:text />: TC-Doc-37: The <xsl:text /><xsl:value-of select="iq:location(., 'Clinical Interventions Performed This Visit')" /><xsl:text /> section has no Clinical Intervention data group with a proper value.
		<xsl:text /><xsl:value-of select="$explanation" /><xsl:text /> The section must either contain at least one Clinical Intervention data group with a proper value or the section must be
		omitted as it is optional to include. For a Clinical Intervention data group to have a proper value there must be a Clinical Intervention Description data element
		with either a code or originalText element that describes a clinical intervention such as a surgical, medical, nursing and/or allied health interventional
		procedure performed on the subject of care (excluding diagnostic procedures). Every instance of a data group listed in a CDA Implementation Guide must have at least one child data
		component instantiated.
		(See sections 4.19, 4.20 and 4.21 of the e-Discharge Summary Structured Document Template v3.3 and section 7.1.1.3 of the Discharge Summary CDA Implementation Guide v3.4.)
		<xsl:text /><xsl:value-of select="$intervention-msg" /><xsl:text />
		(See sections 4.19, 4.20 and 4.21 of the Discharge Summary Structured Document Template v3.3.)
		<xsl:text /><xsl:value-of select="$section-msg" /><xsl:text /> The absence of clinical interventions may be stated in the narrative. The recommended way for the narrative to state there are no clinical interventions is to have one
		narrative list item with the text 'Nil performed'.
		(See section 4 of the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and not(exists($proc-list) or exists($proc-tables)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and not(exists($proc-list) or exists($proc-tables))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="if ($num-proper-values &lt; 2) then $rating-alt-TC-DS-Display else $rating-TC-DS-Display" /><xsl:text />: (READABILITY): The
		<xsl:text /><xsl:value-of select="iq:location(., 'Clinical Interventions Performed This Visit')" /><xsl:text /> of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> contains
		<xsl:text /><xsl:value-of select="if ($num-proper-values = 1) then concat('a procedure that is not in a list. The procedure has ', $display-text, '.')   else if ($num-proper-values &gt; 1) then concat(iq:display-number($num-proper-values), 'procedures that are not in a list. The first procedure has ', $display-text, '.')   else concat('information stating there are no procedures and the information is not in a list. ', $explanation)" /><xsl:text />
		The section's narrative should include a bullet list of information as that facilitates faster review of the discharge summary.
		(See section 3G of the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care.)
		A list should be created using a 'list' narrative element. (See requirement CDA-RS 46 in the CDA Rendering Specification v1.0.)
		<xsl:text /><xsl:value-of select="if ($num-proper-values = 0) then concat('The recommended way for the narrative to state there are no procedures is to have one narrative list item with the text ''Nil performed''. ',   '(See section 4 of the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and exists($proc-tables) and $proc-col-num = 1 and not(exists($proc-list)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and exists($proc-tables) and $proc-col-num = 1 and not(exists($proc-list))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="if (count($proc-tables/cda:tbody/cda:tr/cda:td[normalize-space(.) != '']) = 1) then $rating-alt-TC-DS-Display else $rating-TC-DS-Display" /><xsl:text />: (READABILITY): The
		<xsl:text /><xsl:value-of select="iq:location(., 'Clinical Interventions Performed This Visit')" /><xsl:text /> of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> contains procedure information in a table with
		<xsl:text /><xsl:value-of select="if (exists($proc-headings)) then concat('the heading ''', $proc-headings[1], '''.')   else concat(iq:display-number($proc-col-num), ' columns.') " /><xsl:text /> The section's narrative should include a bullet list of information as that facilitates faster review of the discharge summary.
		(See section 3G of the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care.)
		A list should be created using a 'list' narrative element. (See requirement CDA-RS 46 in the CDA Rendering Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and $doc-common-conf-profile &gt; '1.2' and    ((exists(cda:entry) and $num-proper-values &gt; 0) or not(exists(cda:entry))) and exists($proc-tables) and $proc-col-num &gt; 1 and not(exists($proc-list)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $doc-common-conf-profile &gt; '1.2' and ((exists(cda:entry) and $num-proper-values &gt; 0) or not(exists(cda:entry))) and exists($proc-tables) and $proc-col-num &gt; 1 and not(exists($proc-list))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Narr-88" /><xsl:text />: TC-Narr-88: The
		<xsl:text /><xsl:value-of select="iq:location(., 'Clinical Interventions Performed This Visit')" /><xsl:text /> of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> contains procedure information in a table with
		<xsl:text /><xsl:value-of select="if (exists($proc-headings)) then concat('the headings ''',   concat(string-join($proc-headings[position() &lt; last()], ''', '''), ''' and ''', $proc-headings[last()]), '''.')   else concat(iq:display-number($proc-col-num), ' columns.') " /><xsl:text />
		A list of procedures was expected whereas this table seems to include additional information. 
		The narrative of <xsl:text /><xsl:value-of select="iq:location(., 'Clinical Interventions Performed This Visit')" /><xsl:text /> is permitted to include additional information as long as the information does not qualify or negate any information
		defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. Confirm if the narrative in <xsl:text /><xsl:value-of select="iq:location(., 'Clinical Interventions Performed This Visit')" /><xsl:text /> meets this requirement.
		(See <xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7') then 'requirements 023722 and 025052 of the Common Conformance Profile for Clinical Documents v1.7'   else if ($doc-common-conf-profile = '1.6') then 'requirements 023722 and 025052 of the Common Conformance Profile for Clinical Documents v1.6'   else if ($doc-common-conf-profile = '1.5') then 'requirements 023722 of the Common Conformance Profile for Clinical Documents v1.5'   else if ($doc-common-conf-profile = '1.4') then 'section 3.4.3 of the Common Conformance Profile for Clinical Documents v1.4'   else if ($doc-common-conf-profile = '1.3') then 'section 3.4.1.2 of the Common Conformance Profile for Clinical Documents v1.3'   else ''" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and count($proc-list) &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and count($proc-list) &gt; 1">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="if ($num-proper-values &lt; 2) then $rating-alt-TC-DS-Display else $rating-TC-DS-Display" /><xsl:text />: (READABILITY): The <xsl:text /><xsl:value-of select="iq:location(., 'Clinical Interventions Performed This Visit')" /><xsl:text /> of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> contains
		<xsl:text /><xsl:value-of select="iq:display-number(count($proc-list))" /><xsl:text /> lists.
		The section's narrative should include a single unordered list (i.e. a bullet list) of information as that facilitates faster review of the discharge summary.
		(See section 3G of the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care.)
		A list should be created using a 'list' narrative element. (See requirement CDA-RS 46 in the CDA Rendering Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and $proc-ordered-list ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $proc-ordered-list">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="if ($num-proper-values &lt; 2) then $rating-alt-TC-DS-Display else $rating-TC-DS-Display" /><xsl:text />: (READABILITY): The <xsl:text /><xsl:value-of select="iq:location(., 'Clinical Interventions Performed This Visit')" /><xsl:text /> of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> contains procedure information that is in an ordered list.
		The section's narrative should include an unordered list (i.e. a bullet list) of information as that facilitates faster review of the discharge summary.
		(See section 3G of the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care.)
		A list should be created using a 'list' narrative element. (See requirement CDA-RS 46 in the CDA Rendering Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1010" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1010" />
  <xsl:template match="@*|node()" priority="-2" mode="M1010">
    <xsl:apply-templates select="@*|*" mode="M1010" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-DG-14-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument['101.16021' = $doc-sections]/cda:component/cda:structuredBody/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16020']]/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16021']]    [((cda:entry or $conformance-level-3) and not(cda:entry/cda:act/cda:effectiveTime or cda:entry/cda:act/cda:performer)) or $flags/@report-data-quality = 'true']" priority="1000" mode="M1011">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument['101.16021' = $doc-sections]/cda:component/cda:structuredBody/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16020']]/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16021']]    [((cda:entry or $conformance-level-3) and not(cda:entry/cda:act/cda:effectiveTime or cda:entry/cda:act/cda:performer)) or $flags/@report-data-quality = 'true']" />
    <xsl:variable name="test-proper-values" select="(exists(cda:entry) or $conformance-level-3) and not(cda:entry/cda:act/cda:effectiveTime or cda:entry/cda:act/cda:performer)" />
    <xsl:variable name="values" select="cda:entry/cda:act/cda:code" />
    <xsl:variable name="num-values" select="count($values)" />
    <xsl:variable name="known-system" select="for $i in (1 to count($values)) return        if (not($values[$i]/@codeSystem)) then false()       else if (         ($values[$i]/@codeSystem = '2.16.840.1.113883.6.96' and (exists($v-snomedctau) or $use-ts-for-sctau)) ) then true()       else if (not($code-systems/system[@codeSystem = $values[$i]/@codeSystem])) then false()       else if ($code-systems/system[@codeSystem = $values[$i]/@codeSystem]/@no-code-information = 'true') then false()       else true()" />
    <xsl:variable name="proper-values" select="for $i in (1 to count($values)) return        if ($values[$i]/cda:originalText and $regex-non-values != '' and matches($values[$i]/cda:originalText, $regex-non-values, 'is')) then ()       else if ($values[$i]/cda:originalText) then $values[$i]       else if ($values[$i]/@code and $known-system[$i]) then $values[$i]       else if ($values[$i]/@code and not($values[$i]/@displayName)) then $values[$i]       else if ($values[$i]/@displayName and $regex-non-values != '' and matches($values[$i]/@displayName, $regex-non-values, 'is')) then ()       else $values[$i]" />
    <xsl:variable name="num-proper-values" select="count($proper-values)" />
    <xsl:variable name="normalized-otext" select="if (exists($values[1]/cda:originalText)) then normalize-space($values[1]/cda:originalText) else '' " />
    <xsl:variable name="display-text-1" select="if (not($values[1]/cda:originalText)) then ''         else if ($normalized-otext != '' and string-length($values[1]/cda:originalText) &lt; 200)         then concat('originalText ', codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($values[1]/cda:originalText,          $text-pattern-replacement, 'ic')), codepoints-to-string(34))        else if ($normalized-otext != '') then concat('originalText commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($values[1]/cda:originalText,          $p-name-pattern-replacement, 'ic'), 1, 200), $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-text" select="if ($normalized-otext != '') then $display-text-1        else if ($normalized-otext = '' and $values[1]/cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="explanation" select="if ($num-values &gt; $num-proper-values and $num-values = 1 and $display-text = '')         then 'There is one Arranged Service Description ''entry/act/code'' data element but it does not have a proper value.'       else if ($num-values &gt; $num-proper-values and $num-values = 1)         then concat('There is one Arranged Service Description ''entry/act/code'' data element with ', $display-text, ' which is not a proper value.')       else if ($num-values &gt; $num-proper-values and $num-values &gt; 1 and $display-text = '')        then concat('There are ', iq:display-number($num-values), ' Arranged Service Description ''entry/act/code'' data elements but none have a proper value.')       else if ($num-values &gt; $num-proper-values and $num-values &gt; 1)        then concat('There are ', iq:display-number($num-values), ' Arranged Service Description ''entry/act/code'' data elements but none have a proper value. ',        'For example the first data element has ', $display-text, '.')       else '' " />
    <xsl:variable name="arr-tables" select="if ($flags/@report-data-quality = 'true') then cda:text//cda:table else () " />
    <xsl:variable name="arr-header" select="if (count($arr-tables) = 1) then $arr-tables/cda:thead else () " />
    <xsl:variable name="arr-header-row" select="$arr-header/cda:tr " />
    <xsl:variable name="arr-headings" select="$arr-header-row/cda:th " />
    <xsl:variable name="arr-col-num" select="if (exists($arr-headings)) then count($arr-headings) else count($arr-tables/cda:tbody/cda:tr[1]/cda:td) " />
    <xsl:variable name="arr-data" select="if ((exists(cda:entry) and $num-proper-values &gt; 0) or not(exists(cda:entry)))         then $arr-tables/cda:tbody/cda:tr/cda:td else () " />
    <xsl:variable name="recommended-headings" select="('Description', 'When', 'Booking status', 'Name', 'Location', 'Contact details') " />
    <xsl:variable name="rec-heading-regex" select="('^\W*Description\W*$', '^\W*When\W*$', '^\W*Booking\s*status\W*$', '^\W*Name\W*$', '^\W*Location\W*$', '^\W*Contact\s*details\W*$') " />
    <xsl:variable name="invalid-headings" select="(for $i in (1 to count($arr-headings)) return if (matches($arr-headings[$i], $rec-heading-regex[$i], 'is')) then '' else $arr-headings[$i])[. != ''] " />
    <!--REPORT -->
    <xsl:if test=" $num-proper-values = 0 and $test-proper-values ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$num-proper-values = 0 and $test-proper-values">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-37" /><xsl:text />: TC-Doc-37: The <xsl:text /><xsl:value-of select="iq:location(., 'Arranged Services')" /><xsl:text /> has no Arranged Service data group with a proper value.
		<xsl:text /><xsl:value-of select="$explanation" /><xsl:text /> The section must either contain at least one Arranged Service data group with a proper value or the section must be
		omitted as it is optional to include. For an Arranged Service data group to have a proper value there must be a Arranged Service Description data element
		with either a code or originalText element that describes an arranged service. Every instance of a data group listed in a CDA Implementation Guide must have at least one child data
		component instantiated.
		(See sections 7.2, 7.3 and 7.4 of the e-Discharge Summary Structured Document Template v3.3 and section 7.1.4.1 of the Discharge Summary CDA Implementation Guide v3.4.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and count($arr-tables) &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and count($arr-tables) &gt; 1">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-DS-Display" /><xsl:text />: (READABILITY): The <xsl:text /><xsl:value-of select="iq:location(., 'Arranged Services')" /><xsl:text /> of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> contains
		<xsl:text /><xsl:value-of select="iq:display-number(count($arr-tables))" /><xsl:text /> tables. The section's narrative should contain appointments information in one table only and the table should have columns with
		the headings 'Description', 'When', 'Booking status', 'Name', 'Location' and 'Contact details'.
		(See section 3N of the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and not(exists($arr-tables)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and not(exists($arr-tables))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-DS-Display" /><xsl:text />: (READABILITY): The <xsl:text /><xsl:value-of select="iq:location(., 'Arranged Services')" /><xsl:text /> of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /><xsl:text /><xsl:value-of select="if (exists(cda:entry) and $num-proper-values &gt; 0) then    ' contains appointments information that is not in a table. The section''s narrative should include a table for recording information about appointments and the table should have columns with the   headings ''Description'', ''When'', ''Booking status'', ''Name'', ''Location'' and ''Contact details''.'   else ' does not include a table. If appointments information has been recorded then it should be in a table two columns with the headings   ''Description'', ''When'' and ''Contact details''.' " /><xsl:text />
		(See section 3N of the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and count($arr-header-row) = 1 and not($arr-col-num = 6) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and count($arr-header-row) = 1 and not($arr-col-num = 6)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-DS-Display" /><xsl:text />: (READABILITY): The <xsl:text /><xsl:value-of select="iq:location(., 'Arranged Services')" /><xsl:text /> of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> contains a table with
		<xsl:text /><xsl:value-of select="iq:display-number($arr-col-num)" /><xsl:text /><xsl:text /><xsl:value-of select="if (not(exists($arr-headings)) and $arr-col-num = 1) then ' column and no heading.'   else if (not(exists($arr-headings)) and $arr-col-num &gt; 1) then ' columns and no headings.'   else if ($arr-col-num = 1) then concat(' column and the heading ''', $arr-headings[1], '''.')   else concat(' columns and the headings ''', string-join($arr-headings[position() &lt; last()], ''', '''), ''' and ''', $arr-headings[last()], '''.') " /><xsl:text />
		The tables does not have the recommended six columns with the headings 'Description', 'When', 'Booking status', 'Name', 'Location' and 'Contact details'.
		(See section 3N of the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and $arr-col-num = 6 and exists($invalid-headings) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $arr-col-num = 6 and exists($invalid-headings)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-DS-Display" /><xsl:text />: (READABILITY): The <xsl:text /><xsl:value-of select="iq:location(., 'Arranged Services')" /><xsl:text /> of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> contains a table with the headings
		'<xsl:text /><xsl:value-of select="string-join($arr-headings, ''', ''')" /><xsl:text />'. The headings recommended for this section are 'Description', 'When', 'Booking status', 'Name', 'Location'
		and 'Contact details'.
		<xsl:text /><xsl:value-of select="if (count($invalid-headings) = 6) then 'None of the table headings are those recommended for this section.'   else concat('The headings that are not in the recommended set are ''', string-join($invalid-headings, ''', '''), '.')" /><xsl:text />'
		(See section 3N of the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1011" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1011" />
  <xsl:template match="@*|node()" priority="-2" mode="M1011">
    <xsl:apply-templates select="@*|*" mode="M1011" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-DG-15-->
  <!--RULE -->
  <xsl:template match="    /cda:ClinicalDocument[$flags/@report-data-quality = 'true']    [cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.170']/cda:component/cda:structuredBody/cda:component/    cda:section[cda:code[@code = '102.16211']]         |    /cda:ClinicalDocument[$flags/@report-data-quality = 'true']    [cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.171']/cda:component/cda:structuredBody/cda:component/    cda:section[cda:code[@code = '102.16210']]         " priority="1000" mode="M1012">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="    /cda:ClinicalDocument[$flags/@report-data-quality = 'true']    [cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.170']/cda:component/cda:structuredBody/cda:component/    cda:section[cda:code[@code = '102.16211']]         |    /cda:ClinicalDocument[$flags/@report-data-quality = 'true']    [cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.171']/cda:component/cda:structuredBody/cda:component/    cda:section[cda:code[@code = '102.16210']]         " />
    <xsl:variable name="med-tables" select="cda:text//cda:table " />
    <xsl:variable name="med-header" select="if (count($med-tables) = 1) then $med-tables/cda:thead else () " />
    <xsl:variable name="med-header-row" select="$med-header/cda:tr " />
    <xsl:variable name="med-headings" select="$med-header-row/cda:th " />
    <xsl:variable name="med-col-num" select="if (exists($med-headings)) then count($med-headings) else count($med-tables/cda:tbody/cda:tr[1]/cda:td) " />
    <xsl:variable name="med-data" select="$med-tables/cda:tbody/cda:tr/cda:td " />
    <xsl:variable name="med-data-content" select="$med-tables/cda:tbody/cda:tr/cda:td/cda:content " />
    <xsl:variable name="med-data-content-style" select="$med-data-content//@styleCode " />
    <xsl:variable name="rec-med-data-style" select="$med-data-content-style[matches(., '(^| )(Bold|Italics)( |$)')]" />
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and exists($med-data) and not(exists($rec-med-data-style))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and exists($med-data) and not(exists($rec-med-data-style))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-Med-Display" /><xsl:text />: (READABILITY): The <xsl:text /><xsl:value-of select="iq:location(., 'Medications')" /><xsl:text /> of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> contains a table with medicines information but the information
		does not have the recommended format. When recording and displaying medicines information the active ingredient and brand names should be highlighted and differentiated. Bold typeface
		should be used for for active ingredient names, italics (not bold) for brand names and regular typeface for units of measure. (See section 6.1.3 of the National Guidelines for On-Screen
		Display of Medicines Information, published September 2017 by the Australian Commission on Safety and Quality in Health Care.) Adoption of this recommendation is achieved when table data
		contain 'content' elements with styleCode attributes when bold or italics typeface is needed. In the <xsl:text /><xsl:value-of select="iq:location(., 'Medications')" /><xsl:text /><xsl:text /><xsl:value-of select="if (not(exists($med-data-content))) then ' none of the table data elements contain ''content'' elements.'   else if (not(exists($med-data-content-style))) then ' none of the ''content'' elements in table data elements contain a styleCode attribute.'   else concat(' the ''content'' elements in table data elements contain ''', string-join($med-data-content-style, ''', '''), ''' style codes they do not contain Italics or Bold styles.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1012" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1012" />
  <xsl:template match="@*|node()" priority="-2" mode="M1012">
    <xsl:apply-templates select="@*|*" mode="M1012" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-DG-16-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument['101.20021' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16011']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20021']]        [cda:entry or $flags/@report-data-quality = 'true']" priority="1000" mode="M1013">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument['101.20021' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16011']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20021']]        [cda:entry or $flags/@report-data-quality = 'true']" />
    <xsl:variable name="values" select="cda:entry/cda:observation[@classCode='OBS']/cda:value" />
    <xsl:variable name="num-values" select="count($values)" />
    <xsl:variable name="known-system" select="for $i in (1 to count($values)) return        if (not($values[$i]/@codeSystem)) then false()       else if (         ($values[$i]/@codeSystem = '2.16.840.1.113883.6.96' and (exists($v-snomedctau) or $use-ts-for-sctau)) ) then true()       else if (not($code-systems/system[@codeSystem = $values[$i]/@codeSystem])) then false()       else if ($code-systems/system[@codeSystem = $values[$i]/@codeSystem]/@no-code-information = 'true') then false()       else true()" />
    <xsl:variable name="proper-values" select="for $i in (1 to count($values)) return        if ($values[$i]/cda:originalText and $regex-non-values != '' and matches($values[$i]/cda:originalText, $regex-non-values, 'is')) then ()       else if ($values[$i]/cda:originalText) then $values[$i]       else if ($values[$i]/@code and $known-system[$i]) then $values[$i]       else if ($values[$i]/@code and not($values[$i]/@displayName)) then $values[$i]       else if ($values[$i]/@displayName and $regex-non-values != '' and matches($values[$i]/@displayName, $regex-non-values, 'is')) then ()       else $values[$i]" />
    <xsl:variable name="num-proper-values" select="count($proper-values)" />
    <xsl:variable name="no-proper-values-err" select="$num-proper-values = 0 and cda:entry" />
    <xsl:variable name="normalized-otext" select="if (exists($values[1]/cda:originalText)) then normalize-space($values[1]/cda:originalText) else '' " />
    <xsl:variable name="display-text-1" select="if (not($values[1]/cda:originalText)) then ''         else if ($normalized-otext != '' and string-length($values[1]/cda:originalText) &lt; 200)         then concat('originalText ', codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($values[1]/cda:originalText,          $text-pattern-replacement, 'ic')), codepoints-to-string(34))        else if ($normalized-otext != '') then concat('originalText commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($values[1]/cda:originalText,          $p-name-pattern-replacement, 'ic'), 1, 200), $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-text" select="if ($normalized-otext != '') then $display-text-1        else if ($normalized-otext = '' and $values[1]/cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="explanation" select="if ($num-values &gt; $num-proper-values and $num-values = 1 and $display-text = '')         then 'There is one Alert Description ''entry/observation/value'' data element but it does not have a proper value.'       else if ($num-values &gt; $num-proper-values and $num-values = 1)         then concat('There is one Alert Description ''entry/observation/value'' data element with ', $display-text, ' which is not a proper value.')       else if ($num-values &gt; $num-proper-values and $num-values &gt; 1 and $display-text = '')        then concat('There are ', iq:display-number($num-values), ' Alert Description ''entry/observation/value'' data elements but none have a proper value.')       else if ($num-values &gt; $num-proper-values and $num-values &gt; 1)        then concat('There are ', iq:display-number($num-values), ' Alert Description ''entry/observation/value'' data elements but none have a proper value. ',        'For example the first data element has ', $display-text, '.')       else '' " />
    <xsl:variable name="alert-tables" select="if ($flags/@report-data-quality = 'true') then cda:text//cda:table else () " />
    <xsl:variable name="alert-headings" select="$alert-tables/cda:thead/cda:tr/cda:th " />
    <xsl:variable name="alert-col-num" select="if (exists($alert-headings)) then count($alert-headings) else count($alert-tables/cda:tbody/cda:tr[1]/cda:td) " />
    <xsl:variable name="alert-list" select="if ($flags/@report-data-quality = 'true') then (cda:text/cda:list, cda:text/*[not(local-name(.) = 'table')]/cda:list) else () " />
    <xsl:variable name="alert-ordered-list" select="count($alert-list) = 1 and $alert-list[@listType = 'ordered'] " />
    <!--REPORT -->
    <xsl:if test=" $no-proper-values-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-proper-values-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-37" /><xsl:text />: TC-Doc-37: The <xsl:text /><xsl:value-of select="iq:location(., 'Alerts')" /><xsl:text /> section has no Alert data group with a proper value.
		<xsl:text /><xsl:value-of select="$explanation" /><xsl:text /> The section must either contain at least one Alert data group with a proper value or the section must be
		omitted as it is optional to include. For an Alert data group to have a proper value there must be an Alert Description data element
		with either a code or originalText element that describes the nature of an alert. Every instance of a data group listed in a CDA Implementation Guide must have at least one child data
		component instantiated.
		(See sections 4.19, 4.20 and 4.21 of the e-Discharge Summary Structured Document Template v3.3 and section 7.1.1.3 of the Discharge Summary CDA Implementation Guide v3.4.)
		The absence of alerts may be stated in the narrative. The recommended way for the narrative to state there are no alerts is to have one narrative list item with the text 'Nil known'.
		(See section 4 of the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and not(exists($alert-list) or exists($alert-tables)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and not(exists($alert-list) or exists($alert-tables))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="if ($num-proper-values &lt; 2) then $rating-alt-TC-DS-Display else $rating-TC-DS-Display" /><xsl:text />: (READABILITY): The
		<xsl:text /><xsl:value-of select="iq:location(., 'Alerts')" /><xsl:text /> of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> contains
		<xsl:text /><xsl:value-of select="if ($num-proper-values = 1) then concat('an alert that is not in a list. The alert has ', $display-text, '.')   else if ($num-proper-values &gt; 1) then concat(iq:display-number($num-proper-values), 'alerts that are not in a list. The first alert has ', $display-text, '.')   else concat('information stating there are no alerts and the information is not in a list. ', $explanation)" /><xsl:text />
		The section's narrative should include a bullet list of information as that facilitates faster review of the discharge summary.
		(See section 3L of the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care.)
		A list should be created using a 'list' narrative element. (See requirement CDA-RS 46 in the CDA Rendering Specification v1.0.)
		<xsl:text /><xsl:value-of select="if ($num-proper-values = 0) then concat('The recommended way for the narrative to state there are no alerts is to have one narrative list item with the text ''Nil known''. ',   '(See section 4 of the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care.)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and exists($alert-headings) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and exists($alert-headings)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="if (count($alert-tables/cda:tbody/cda:tr/cda:td[normalize-space(.) != '']) = 1) then $rating-alt-TC-DS-Display else $rating-TC-DS-Display" /><xsl:text />: (READABILITY): The
		<xsl:text /><xsl:value-of select="iq:location(., 'Alerts')" /><xsl:text /> of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> contains alert information that is in a table with the
		<xsl:text /><xsl:value-of select="if ($alert-col-num = 1) then 'heading' else 'headings' " /><xsl:text /> '<xsl:text /><xsl:value-of select="string-join($alert-headings, ''', ''')" /><xsl:text />'.
		The section's narrative should include a bullet list of information as that facilitates faster review of the discharge summary.
		(See section 3L of the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care.)
		A list should be created using a 'list' narrative element. (See requirement CDA-RS 46 in the CDA Rendering Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and exists($alert-tables) and $alert-col-num &gt; 1 and not(exists($alert-list)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and exists($alert-tables) and $alert-col-num &gt; 1 and not(exists($alert-list))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="if ($num-proper-values &lt; 2) then $rating-alt-TC-DS-Display else $rating-TC-DS-Display" /><xsl:text />: (READABILITY): The <xsl:text /><xsl:value-of select="iq:location(., 'Alerts')" /><xsl:text /> of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> contains alert information in a table with 
		<xsl:text /><xsl:value-of select="iq:display-number($alert-col-num)" /><xsl:text /> columns. The section's narrative should include a bullet list of alert information as that facilitates faster review of the discharge summary.
		(See section 3L of the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care.)
		A list should be created using a 'list' narrative element. (See requirement CDA-RS 46 in the CDA Rendering Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and count($alert-list) &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and count($alert-list) &gt; 1">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="if ($num-proper-values &lt; 2) then $rating-alt-TC-DS-Display else $rating-TC-DS-Display" /><xsl:text />: (READABILITY): The <xsl:text /><xsl:value-of select="iq:location(., 'Alerts')" /><xsl:text /> of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> contains
		<xsl:text /><xsl:value-of select="iq:display-number(count($alert-list))" /><xsl:text /> lists.
		The section's narrative should include a single unordered list (i.e. a bullet list) of alert information as that facilitates faster review of the discharge summary.
		(See section 3L of the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care.)
		A list should be created using a 'list' narrative element. (See requirement CDA-RS 46 in the CDA Rendering Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and $alert-ordered-list ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $alert-ordered-list">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="if ($num-proper-values &lt; 2) then $rating-alt-TC-DS-Display else $rating-TC-DS-Display" /><xsl:text />: (READABILITY): The <xsl:text /><xsl:value-of select="iq:location(., 'Alerts')" /><xsl:text /> of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> contains alert information that is in an ordered list.
		The section's narrative should include an unordered list (i.e. a bullet list) of alert information as that facilitates faster review of the discharge summary.
		(See section 3L of the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care.)
		A list should be created using a 'list' narrative element. (See requirement CDA-RS 46 in the CDA Rendering Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1013" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1013" />
  <xsl:template match="@*|node()" priority="-2" mode="M1013">
    <xsl:apply-templates select="@*|*" mode="M1013" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-DG-17-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument['101.20016' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16020']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20016']][cda:entry or $conformance-level-3 or $flags/@report-data-quality = 'true']" priority="1000" mode="M1014">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument['101.20016' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16020']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20016']][cda:entry or $conformance-level-3 or $flags/@report-data-quality = 'true']" />
    <xsl:variable name="values" select="cda:entry/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20016.4.1.1']]/cda:text" />
    <xsl:variable name="num-values" select="count($values)" />
    <xsl:variable name="proper-values" select="$values[matches(., '\w', 'is')] " />
    <xsl:variable name="num-proper-values" select="count($proper-values)" />
    <xsl:variable name="no-proper-values-err" select="$num-proper-values = 0 and cda:entry" />
    <xsl:variable name="rec-tables" select="if ($flags/@report-data-quality = 'true') then cda:text//cda:table else () " />
    <xsl:variable name="rec-header" select="if (count($rec-tables) = 1) then $rec-tables/cda:thead else () " />
    <xsl:variable name="rec-header-row" select="$rec-header/cda:tr " />
    <xsl:variable name="rec-headings" select="$rec-header-row/cda:th " />
    <xsl:variable name="rec-col-num" select="if (exists($rec-headings)) then count($rec-headings) else count($rec-tables/cda:tbody/cda:tr[1]/cda:td) " />
    <xsl:variable name="rec-data" select="$rec-tables/cda:tbody/cda:tr/cda:td " />
    <xsl:variable name="recommended-headings" select="('Recommendation', 'Person responsible') " />
    <xsl:variable name="rec-heading-regex" select="('^\W*Recommendation\W*$', '^\W*Person\s*responsible\W*$') " />
    <xsl:variable name="invalid-headings" select="(for $i in (1 to count($rec-headings)) return if (matches($rec-headings[$i], $rec-heading-regex[$i], 'is')) then '' else $rec-headings[$i])[. != ''] " />
    <xsl:variable name="info-list" select="if ($flags/@report-data-quality = 'true') then (cda:text/cda:list, cda:text/*[not(local-name(.) = 'table')]/cda:list) else () " />
    <xsl:variable name="info-ordered-list" select="count($info-list) = 1 and $info-list[@listType = 'ordered'] " />
    <xsl:variable name="display-text" select="if ($no-proper-values-err and exists($values)) then normalize-space(dh:XQueryRecursiveReplace($values[1], $markup-pattern-replacement, 'ic'))        else '' " />
    <xsl:variable name="explanation" select="if (not($no-proper-values-err)) then ''       else if ($num-values &gt; $num-proper-values and $num-values = 1 and $display-text = '')         then 'There is one Recommendation Note ''entry/act/text'' data element but it does not have a proper value.'       else if ($num-values &gt; $num-proper-values and $num-values = 1)         then concat('There is one Recommendation Note ''entry/act/text'' data element with ', $display-text, ' which is not a proper value.')       else if ($num-values &gt; $num-proper-values and $num-values &gt; 1 and $display-text = '')        then concat('There are ', iq:display-number($num-values), ' Recommendation Note ''entry/act/text'' data elements but none have a proper value.')       else if ($num-values &gt; $num-proper-values and $num-values &gt; 1)        then concat('There are ', iq:display-number($num-values), ' Recommendation Note ''entry/act/text'' data elements but none have a proper value. ',        'For example the first data element has ', $display-text, '.')       else '' " />
    <xsl:variable name="rating-19" select="$rating-TC-Doc-19 " />
    <!--REPORT -->
    <xsl:if test=" $num-values = 0 and $conformance-level-3 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$num-values = 0 and $conformance-level-3">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-19" /><xsl:text />: TC-Doc-19: The <xsl:text /><xsl:value-of select="iq:location(., 'Record Of Recommendations And Information Provided')" /><xsl:text /> has no Recommendation Note 'entry/act/text' data element.
		This is an error as the Recommendation Note data element is mandatory to include. The Recommendation Note data element is to contain a) information and education that has been provided to
		and discussed with the subject of care, their family, carer and/or other relevant parties, including awareness or lack of awareness of diagnosed conditions, and relevant health management;
		b) an indication of whether the subject of care or carer has understood the information or instructions provided may also be relevant; and/or c) information and/or recommendations given by a
		healthcare provider during/at the end of a health event to another healthcare provider responsible for the ongoing care of the subject of care. (See section 7.1.4.2.1 in the Discharge Summary
		CDA Implementation Guide v3.4.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(exists(cda:entry/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20016.4.1.1']]/cda:performer)) and $conformance-level-3 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(exists(cda:entry/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20016.4.1.1']]/cda:performer)) and $conformance-level-3">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-19" /><xsl:text />: TC-Doc-19: The <xsl:text /><xsl:value-of select="iq:location(., 'Record Of Recommendations And Information Provided')" /><xsl:text /> has no Recommendation Recipient 'entry/act/performer' data group.
		This is an error as the Recommendation Recipient data element is mandatory to include. The Recommendation Recipient data group is to contain information about a person or organisation
		to whom the recommendation is directed. (See section 7.1.4.2.1.1 in the Discharge Summary CDA Implementation Guide v3.4.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $num-values &gt; 0 and $no-proper-values-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$num-values &gt; 0 and $no-proper-values-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-37" /><xsl:text />: TC-Doc-37: The <xsl:text /><xsl:value-of select="iq:location(., 'Record Of Recommendations And Information Provided')" /><xsl:text /> has no Recommendation Provided data group with a proper value.
		<xsl:text /><xsl:value-of select="$explanation" /><xsl:text /> The section must contain at least one Recommendation Provided data group with a proper value.
		For a Recommendation Provided data group to have a proper value there must be a Recommendation Note 'entry/act/text' data element
		with text that describes a recommendation. Every instance of a data group listed in a CDA Implementation Guide must have at least one child data
		component instantiated. (See sections 7.1.4.2.1 of the Discharge Summary CDA Implementation Guide v3.4.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and count($rec-tables) &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and count($rec-tables) &gt; 1">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-DS-Display" /><xsl:text />: (READABILITY): The <xsl:text /><xsl:value-of select="iq:location(., 'Record Of Recommendations And Information Provided')" /><xsl:text /> of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> contains
		<xsl:text /><xsl:value-of select="iq:display-number(count($rec-tables))" /><xsl:text /> tables. The section's narrative should contain a table of recommendations with the headings 'Recommendation' and 'Person responsible',
		and a list of information provided to the subject of care or relevant parties.
		(See section 3M of the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care.)
		A list should be created using a 'list' narrative element. (See requirement CDA-RS 46 in the CDA Rendering Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and not(exists($rec-tables)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and not(exists($rec-tables))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-DS-Display" /><xsl:text />: (READABILITY): The <xsl:text /><xsl:value-of select="iq:location(., 'Record Of Recommendations And Information Provided')" /><xsl:text /> of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /><xsl:text /><xsl:value-of select="if (exists(cda:entry)) then    ' contains information about recommendations that is not in a table. The section''s narrative should include a table for recording recommendations and the table should have columns with the   headings ''Recommendation'' and ''Person responsible''.'   else ' does not include a table. If information about recommendations has been recorded then it should be in a table two columns with the headings   ''Recommendation'' and ''Person responsible''.' " /><xsl:text />
		(See section 3M of the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and count($rec-header-row) = 1 and not($rec-col-num = 2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and count($rec-header-row) = 1 and not($rec-col-num = 2)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-DS-Display" /><xsl:text />: (READABILITY): The <xsl:text /><xsl:value-of select="iq:location(., 'Record Of Recommendations And Information Provided')" /><xsl:text /> of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> contains a table with
		<xsl:text /><xsl:value-of select="iq:display-number($rec-col-num)" /><xsl:text /><xsl:text /><xsl:value-of select="if (not(exists($rec-headings)) and $rec-col-num = 1) then ' column and no heading.'   else if (not(exists($rec-headings)) and $rec-col-num &gt; 1) then ' columns and no headings.'   else if ($rec-col-num = 1) then concat(' column and the heading ''', $rec-headings[1], '''.')   else concat(' columns and the headings ''', string-join($rec-headings[position() &lt; last()], ''', '''), ''' and ''', $rec-headings[last()], '''.') " /><xsl:text />
		The tables does not have the recommended two columns with the headings 'Recommendation' and 'Person responsible'.
		(See section 3M of the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and $rec-col-num = 2 and exists($invalid-headings) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $rec-col-num = 2 and exists($invalid-headings)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-DS-Display" /><xsl:text />: (READABILITY): The <xsl:text /><xsl:value-of select="iq:location(., 'Record Of Recommendations And Information Provided')" /><xsl:text /> of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> contains a table with the headings
		'<xsl:text /><xsl:value-of select="string-join($rec-headings, ''', ''')" /><xsl:text />'. The headings recommended for this section are 'Recommendation' and 'Person responsible'.
		<xsl:text /><xsl:value-of select="if (count($invalid-headings) = 2) then 'None of the table headings are those recommended for this section.'   else concat('The headings that are not in the recommended set are ''', string-join($invalid-headings, ''', '''), '.')" /><xsl:text />'
		(See section 3M of the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and count($info-list) &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and count($info-list) &gt; 1">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-DS-Display" /><xsl:text />: (READABILITY): The <xsl:text /><xsl:value-of select="iq:location(., 'Record Of Recommendations And Information Provided')" /><xsl:text /> of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> contains
		<xsl:text /><xsl:value-of select="iq:display-number(count($info-list))" /><xsl:text /> lists.
		The section's narrative should include a single unordered list (i.e. a bullet list) of procedures as that facilitates faster review of the discharge summary.
		(See section 3O of the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care.)
		A list should be created using a 'list' narrative element. (See requirement CDA-RS 46 in the CDA Rendering Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and $info-ordered-list ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $info-ordered-list">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-DS-Display" /><xsl:text />: (READABILITY): The <xsl:text /><xsl:value-of select="iq:location(., 'Record Of Recommendations And Information Provided')" /><xsl:text /> of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> contains information provided to the subject of care
		or relevant parties that is in an ordered list. The section's narrative should include an unordered list (i.e. a bullet list) of information as that facilitates faster review of the discharge summary.
		(See section 3O of the National Guidelines for On-Screen Presentation of Discharge Summaries published September 2017 by the Australian Commission on Safety and Quality in Health Care.)
		A list should be created using a 'list' narrative element. (See requirement CDA-RS 46 in the CDA Rendering Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1014" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1014" />
  <xsl:template match="@*|node()" priority="-2" mode="M1014">
    <xsl:apply-templates select="@*|*" mode="M1014" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-DG-18-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument['101.16146.4.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship[@typeCode='SPRT']/cda:observation[@moodCode='EVN']" priority="1000" mode="M1015">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument['101.16146.4.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship[@typeCode='SPRT']/cda:observation[@moodCode='EVN']" />
    <xsl:variable name="changes-made" select="cda:code " />
    <xsl:variable name="reason-for-change" select="cda:entryRelationship[@typeCode = 'RSON']/cda:act[@moodCode='EVN' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.10177']]/cda:text" />
    <xsl:variable name="not-reason-for-change" select="cda:entryRelationship[@typeCode = 'RSON']/*[not(local-name(.) = ('act', 'id'))]" />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if ($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 7.1.2.1.2 of the Discharge Summary CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="rating-28" select="if ($test-step = 'step 1') then $rating-MHRView-TC-Doc-28-step-1 else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('code', 'entryRelationship', 'id'))]">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name(.) = ('code', 'entryRelationship', 'id'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Change Detail
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data group in the <xsl:text /><xsl:value-of select="iq:location(., 'Current Medications on Discharge')" /><xsl:text /> contains 
		<xsl:text /><xsl:value-of select="if (exists($changes-made)) then 'a Changes Made ''code'' data element' else 'no Changes Made ''code'' data element'" /><xsl:text /> and
		<xsl:text /><xsl:value-of select="if (exists($reason-for-change)) then 'a Reason for Change ''entryRelationship[@typeCode = ''RSON'']/act'' data element' else 'no Reason for Change ''entryRelationship[@typeCode = ''RSON'']/act'' data element'" /><xsl:text />.
		Also present
		<xsl:text /><xsl:value-of select="if (count(*[not(local-name(.) = ('code', 'entryRelationship', 'ID'))]) = 1) then concat('is a ''', local-name(*[not(cda:code or cda:entryRelationship)]),    ''' data element which is an extension. ')   else concat('are ''', string-join(for $element in *[not(local-name(.) = ('code', 'entryRelationship', 'ID'))] return local-name($element), ''', '''),     ''' data elements which are extensions. ')" /><xsl:text /><xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name(.) = ('code', 'entryRelationship', 'id'))]">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name(.) = ('code', 'entryRelationship', 'id'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Change Detail
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data group in the <xsl:text /><xsl:value-of select="iq:location(., 'Current Medications on Discharge')" /><xsl:text /> contains 
		<xsl:text /><xsl:value-of select="if (exists($changes-made)) then 'a Changes Made ''code'' data element' else 'no Changes Made ''code'' data element'" /><xsl:text /> and
		<xsl:text /><xsl:value-of select="if (exists($reason-for-change)) then 'a Reason for Change ''entryRelationship[@typeCode = ''RSON'']/act'' data element' else 'no Reason for Change ''entryRelationship[@typeCode = ''RSON'']/act'' data element'" /><xsl:text />.
		Also present
		<xsl:text /><xsl:value-of select="if (count(*[not(local-name(.) = ('code', 'entryRelationship', 'ID'))]) = 1) then concat('is a ''', local-name(*[not(cda:code or cda:entryRelationship)]),    ''' data element which is an extension. ')   else concat('are ''', string-join(for $element in *[not(local-name(.) = ('code', 'entryRelationship', 'ID'))] return local-name($element), ''', '''),     ''' data elements which are extensions. ')" /><xsl:text /><xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and exists($not-reason-for-change) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and exists($not-reason-for-change)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Change Detail
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data group in the <xsl:text /><xsl:value-of select="iq:location(., 'Current Medications on Discharge')" /><xsl:text /> contains 
		<xsl:text /><xsl:value-of select="if (exists($changes-made)) then 'a Changes Made ''code'' data element' else 'no Changes Made ''code'' data element'" /><xsl:text /> and
		<xsl:text /><xsl:value-of select="if (exists($reason-for-change)) then 'a Reason for Change ''entryRelationship[@typeCode = ''RSON'']/act'' data element' else 'no Reason for Change ''entryRelationship[@typeCode = ''RSON'']/act'' data element'" /><xsl:text />.
		Also present
		<xsl:text /><xsl:value-of select="if (count($not-reason-for-change) = 1) then concat('is a ''entryRelationship[@typeCode = ''RSON'']/', local-name($not-reason-for-change), ''' data element which is an extension. ')   else concat('are ''', string-join(for $element in $not-reason-for-change return concat('entryRelationship[@typeCode = ''RSON'']/', local-name($element)), ''', '''),     ''' data elements which are extensions. ')" /><xsl:text /><xsl:text /><xsl:value-of select="if (exists($not-reason-for-change[local-name(.) = 'observation']/cda:code)) then 'The ''entryRelationship[@typeCode = ''RSON'']/observation'' data element has a ''code'' element' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (exists($not-reason-for-change[local-name(.) = 'observation']/cda:code/cda:originalText)) then concat(' with the value ''',    dh:XQueryRecursiveReplace($not-reason-for-change[local-name(.) = 'observation']/cda:code/cda:originalText, $text-pattern-replacement, 'ic'), '''. ')   else if (exists($not-reason-for-change[local-name(.) = 'observation']/cda:code/@displayName)) then concat(' with the value ''',    dh:XQueryRecursiveReplace($not-reason-for-change[local-name(.) = 'observation']/cda:code/@displayName, $text-pattern-replacement, 'ic'), '''. ')   else '. ' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($not-reason-for-change[local-name(.) = 'observation']/cda:value != '')    then concat('The ''entryRelationship[@typeCode = ''RSON'']/observation'' data element has a ''value'' element with the value ''',    dh:XQueryRecursiveReplace($not-reason-for-change[local-name(.) = 'observation']/cda:value, $text-pattern-replacement, 'ic'), '''. ') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and exists($not-reason-for-change) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and exists($not-reason-for-change)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The Change Detail
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data group in the <xsl:text /><xsl:value-of select="iq:location(., 'Current Medications on Discharge')" /><xsl:text /> contains 
		<xsl:text /><xsl:value-of select="if (exists($changes-made)) then 'a Changes Made ''code'' data element' else 'no Changes Made ''code'' data element'" /><xsl:text /> and
		<xsl:text /><xsl:value-of select="if (exists($reason-for-change)) then 'a Reason for Change ''entryRelationship[@typeCode = ''RSON'']/act'' data element' else 'no Reason for Change ''entryRelationship[@typeCode = ''RSON'']/act'' data element'" /><xsl:text />.
		Also present
		<xsl:text /><xsl:value-of select="if (count($not-reason-for-change) = 1) then concat('is a ''entryRelationship[@typeCode = ''RSON'']/', local-name($not-reason-for-change), ''' data element which is an extension. ')   else concat('are ''', string-join(for $element in $not-reason-for-change return concat('entryRelationship[@typeCode = ''RSON'']/', local-name($element)), ''', '''),     ''' data elements which are extensions. ')" /><xsl:text /><xsl:text /><xsl:value-of select="if (exists($not-reason-for-change[local-name(.) = 'observation']/cda:code)) then 'The ''entryRelationship[@typeCode = ''RSON'']/observation'' data element has a ''code'' element' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (exists($not-reason-for-change[local-name(.) = 'observation']/cda:code/cda:originalText)) then concat(' with the value ''',    dh:XQueryRecursiveReplace($not-reason-for-change[local-name(.) = 'observation']/cda:code/cda:originalText, $text-pattern-replacement, 'ic'), '''. ')   else if (exists($not-reason-for-change[local-name(.) = 'observation']/cda:code/@displayName)) then concat(' with the value ''',    dh:XQueryRecursiveReplace($not-reason-for-change[local-name(.) = 'observation']/cda:code/@displayName, $text-pattern-replacement, 'ic'), '''. ')   else '. ' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($not-reason-for-change[local-name(.) = 'observation']/cda:value != '')    then concat('The ''entryRelationship[@typeCode = ''RSON'']/observation'' data element has a ''value'' element with the value ''',    dh:XQueryRecursiveReplace($not-reason-for-change[local-name(.) = 'observation']/cda:value, $text-pattern-replacement, 'ic'), '''. ') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1015" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1015" />
  <xsl:template match="@*|node()" priority="-2" mode="M1015">
    <xsl:apply-templates select="@*|*" mode="M1015" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-DG-19-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument['102.20158' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20158']]/cda:entry/cda:act/cda:performer " priority="1000" mode="M1016">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument['102.20158' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20158']]/cda:entry/cda:act/cda:performer " />
    <xsl:variable name="sec-pos-1" select="if ($num-reqService &gt; 1 and exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20158']))       then 1 + count(preceding::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         @code=current()/ancestor::cda:section[position()=1]/cda:code/@code]])        else '0' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-05-step-1" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-05-step-1 " />
    <!--REPORT -->
    <xsl:if test=" cda:assignedEntity[not(cda:representedOrganization or cda:assignedPerson)] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:assignedEntity[not(cda:representedOrganization or cda:assignedPerson)]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-05-step-1" /><xsl:text />: TC-Doc-05 step 1: The Service Provider
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data group in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an 'assignedEntity' without the 'assignedPerson' or 'representedOrganization' elements.
		When the Service Provider is a person 'assignedEntity/assignedPerson' must be present and when the Service Provider is an organisation
		'assignedEntity/representedOrganization' must be present.
		(See the mapping tables for Service Provider (Person) and Service Provider (Organisation) in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1016" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1016" />
  <xsl:template match="@*|node()" priority="-2" mode="M1016">
    <xsl:apply-templates select="@*|*" mode="M1016" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-Disp-Prof-1-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument[cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.171' and $flags/@conformance-profile-version = '1.3']/cda:id |    /cda:ClinicalDocument[cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.171' and $flags/@conformance-profile-version = '1.3']/cda:setId" priority="1000" mode="M1017">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument[cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.171' and $flags/@conformance-profile-version = '1.3']/cda:id |    /cda:ClinicalDocument[cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.171' and $flags/@conformance-profile-version = '1.3']/cda:setId" />
    <xsl:variable name="id-elements" select="if (@extension) then concat('root ''', @root, ''' and extension ''', @extension, '''') else concat('root ''', @root, '''')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0') else false() " />
    <xsl:variable name="rating-05-step-1" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-05-step-1 " />
    <!--REPORT -->
    <xsl:if test="@root and (not(matches(@root, $uuid-regex)) or matches(@root, $invalid-uuid-regex) or @extension)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@root and (not(matches(@root, $uuid-regex)) or matches(@root, $invalid-uuid-regex) or @extension)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-1" /><xsl:text />: TC-Doc-05 step 1: The Dispense Record contains <xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text /> with
		<xsl:text /><xsl:value-of select="$id-elements" /><xsl:text /> however for a Dispense Record
		the value must be a UUID and the extension attribute must be omitted. (See section 3.2.9 of the Dispense Record Conformance Profile v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not(@root) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@root)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-1" /><xsl:text />: TC-Doc-05 step 1: The Dispense Record '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not contain a root
		attribute however for a Dispense Record the root
		attribute must be present and its value must be a UUID and the extension attribute must be omitted. (See section 3.2.9 of the Dispense Record Conformance Profile v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1017" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1017" />
  <xsl:template match="@*|node()" priority="-2" mode="M1017">
    <xsl:apply-templates select="@*|*" mode="M1017" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-Disp-Prof-2-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument[cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.171']" priority="1000" mode="M1018">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument[cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.171']" />
    <xsl:variable name="c-profile" select="if ($flags/@conformance-profile-version = '1.3') then 'Conformance Profile v1.3' else 'Conformance Profile v1.4' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-05-step-1" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-05-step-1 " />
    <!--REPORT -->
    <xsl:if test="not(cda:setId) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:setId)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-1" /><xsl:text />: TC-Doc-05 step 1: The clinical document setId 'ClinicalDocument/setId' is not present but it must be included
		in a Dispense Record. (See section 3.2.9 of the Dispense Record <xsl:text /><xsl:value-of select="$c-profile" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not(cda:versionNumber) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:versionNumber)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-1" /><xsl:text />: TC-Doc-05 step 1: The clinical document versionNumber 'ClinicalDocument/versionNumber' is not present but it must be included
		in a Dispense Record. (See section 3.2.9 of the Dispense Record <xsl:text /><xsl:value-of select="$c-profile" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1018" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1018" />
  <xsl:template match="@*|node()" priority="-2" mode="M1018">
    <xsl:apply-templates select="@*|*" mode="M1018" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-Disp-Prof-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.171'] " priority="1000" mode="M1019">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.171'] " />
    <xsl:variable name="c-profile" select="if ($flags/@conformance-profile-version = '1.3') then 'Conformance Profile v1.3' else 'Conformance Profile v1.4' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-05-step-1" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-05-step-1 " />
    <!--REPORT -->
    <xsl:if test="not(cda:relatedDocument[cda:parentDocument]/@typeCode='RPLC') and    count($superseded) = 1 and $superseded/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.171'] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:relatedDocument[cda:parentDocument]/@typeCode='RPLC') and count($superseded) = 1 and $superseded/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.171']">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>	

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-1" /><xsl:text />: TC-Doc-05 step 1: The superseded Dispense Record has been found but the replacement document does not contain a 'relatedDocument/parentDocument'
		header element with the relatedDocument typeCode attribute value of 'RPLC'. It is mandatory for the replacement Dispense Record to have typeCode 'RPLC' in the relatedDocument element.
		(See section 3.2.10 of the Dispense Record <xsl:text /><xsl:value-of select="$c-profile" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1019" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1019" />
  <xsl:template match="@*|node()" priority="-2" mode="M1019">
    <xsl:apply-templates select="@*|*" mode="M1019" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-Disp-Prof-4-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.171' and @extension = '1.0']]['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/cda:entryRelationship/cda:supply/cda:product/   cda:manufacturedProduct/cda:manufacturedMaterial/cda:code" priority="1000" mode="M1020">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.171' and @extension = '1.0']]['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/cda:entryRelationship/cda:supply/cda:product/   cda:manufacturedProduct/cda:manufacturedMaterial/cda:code" />
    <xsl:variable name="c-profile" select="if ($flags/@conformance-profile-version = '1.3') then 'Conformance Profile v1.3' else 'Conformance Profile v1.4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="no-cd-value-1" select="not(@nullFlavor or @code or cda:originalText)" />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-05-step-1" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-05-step-1 " />
    <!--REPORT -->
    <xsl:if test=" @code and not(@nullFlavor) and not(cda:originalText or cda:originalText = '') and not($ts-cd-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@nullFlavor) and not(cda:originalText or cda:originalText = '') and not($ts-cd-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-1" /><xsl:text />: TC-Doc-05 step 1: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />' and no
		originalText element however in a Dispense Record the Therapeutic Good Identification data element must include the originalText element with a value and no nullFlavor attribute.
		(See sections 3.2.3 and 3.2.13 of the Dispense Record <xsl:text /><xsl:value-of select="$c-profile" /><xsl:text /> and section 7.1.1 of the Dispense Record CDA Implementation Guide v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and not(@code) and not(cda:originalText or cda:originalText = '') and not($ts-cd-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and not(@code) and not(cda:originalText or cda:originalText = '') and not($ts-cd-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-1" /><xsl:text />: TC-Doc-05 step 1: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' and
		no originalText element however in a Dispense Record the Therapeutic Good Identification data element must include the originalText element with a value and no nullFlavor attribute.
		(See sections 3.2.3 and 3.2.13 of the Dispense Record <xsl:text /><xsl:value-of select="$c-profile" /><xsl:text /> and section 7.1.1 of the Dispense Record CDA Implementation Guide v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@nullFlavor or @code) and not(cda:originalText or cda:originalText = '') and not($ts-cd-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor or @code) and not(cda:originalText or cda:originalText = '') and not($ts-cd-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-1" /><xsl:text />: TC-Doc-05 step 1: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has no code or nullFlavor attribute and no originalText element however
		in a Dispense Record the Therapeutic Good Identification data element must include the originalText element with a value and no nullFlavor attribute.
		(See sections 3.2.3 and 3.2.13 of the Dispense Record <xsl:text /><xsl:value-of select="$c-profile" /><xsl:text /> and section 7.1.1 of the Dispense Record CDA Implementation Guide v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1020" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1020" />
  <xsl:template match="@*|node()" priority="-2" mode="M1020">
    <xsl:apply-templates select="@*|*" mode="M1020" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-Disp-Prof-5-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.171' and @extension = '1.0']]['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/cda:entryRelationship/cda:supply/cda:effectiveTime " priority="1000" mode="M1021">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.171' and @extension = '1.0']]['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/cda:entryRelationship/cda:supply/cda:effectiveTime " />
    <xsl:variable name="dispense-dt" select="if (@value) then @value else '' " />
    <xsl:variable name="authored-dt" select="if (/cda:ClinicalDocument/cda:author/cda:time/@value) then /cda:ClinicalDocument/cda:author/cda:time/@value        else if (/cda:ClinicalDocument/cda:author/cda:time/cda:high/@value) then /cda:ClinicalDocument/cda:author/cda:time/cda:high/@value else '' " />
    <xsl:variable name="authored-before-dispense" select="if ($authored-dt = '' or $dispense-dt = '') then false()        else if (matches($authored-dt, '^[0-9]{12,}') and matches($dispense-dt, '^[0-9]{12,}') and          string-length($authored-dt) = string-length($dispense-dt))          then dh:IsFirstDateEarlierThanSecondDate($authored-dt, $dispense-dt) = '1'        else if (matches($authored-dt, '^[0-9]{12,}') and matches($dispense-dt, '^[0-9]{12,}'))          then dh:IsFirstDateEarlierThanSecondDate(replace($authored-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3'),           replace($dispense-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3')) = '1'        else if ($body-same-timezones and matches($dispense-dt, '^[0-9]{8}$') and matches($authored-dt, concat('^', $dispense-dt, '[0]{4}'))) then true()        else if (matches($authored-dt, '^[0-9]{4}') and matches($dispense-dt, '^[0-9]{4}'))         then dh:IsFirstDateEarlierThanSecondDate(substring($authored-dt, '1', string-length($dispense-dt)),           substring($dispense-dt, '1', string-length($authored-dt))) = '1'        else false() " />
    <xsl:variable name="c-profile" select="if ($flags/@conformance-profile-version = '1.3') then 'Conformance Profile v1.3' else 'Conformance Profile v1.4' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-01" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-01 " />
    <xsl:variable name="rating-05-step-1" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-05-step-1 " />
    <!--REPORT -->
    <xsl:if test="not(@value)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@value)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

	    	Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-1" /><xsl:text />: TC-Doc-05 step 1: The DateTime of Dispense Event 'substanceAdministration/entryRelationship/supply/effectiveTime' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> is not present in the entry elements with a
		value. It is a mandatory element and must have a value and no nullFlavor attribute. (See section 3.2.13 of the Dispense Record <xsl:text /><xsl:value-of select="$c-profile" /><xsl:text />
		and section 7.1.1 of the Dispense Record CDA Implementation Guide v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $authored-before-dispense">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$authored-before-dispense">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The DateTime Authored 'ClinicalDocument/author/time' data element in the document header has the
		value '<xsl:text /><xsl:value-of select="$authored-dt" /><xsl:text />' and the DateTime of Dispense Event 'substanceAdministration/entryRelationship/supply/effectiveTime' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'. One or both of these data elements must have the wrong value
		as it is invalid for the record describing the dispense to be authored before the occurrence of the dispense.
		(See the definitions of DateTime Authored and DateTime of Dispense Event in sections 2.5 and 3.24 of the Dispense Record Structured Content Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1021" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1021" />
  <xsl:template match="@*|node()" priority="-2" mode="M1021">
    <xsl:apply-templates select="@*|*" mode="M1021" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-Disp-Prof-6-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.171' and @extension = '1.0']]['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/cda:entryRelationship/cda:supply/cda:id " priority="1000" mode="M1022">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.171' and @extension = '1.0']]['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/cda:entryRelationship/cda:supply/cda:id " />
    <xsl:variable name="c-profile" select="if ($flags/@conformance-profile-version = '1.3') then 'Conformance Profile v1.3' else 'Conformance Profile v1.4' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-05-step-1" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-05-step-1 " />
    <!--REPORT -->
    <xsl:if test="not(@root)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@root)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

	    	Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-1" /><xsl:text />: TC-Doc-05 step 1: The Dispense Item Identifier data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> is not present in the entry elements with a value.
		It is a mandatory element and must have a value and no nullFlavor attribute. (See section 3.2.13 of the Dispense Record <xsl:text /><xsl:value-of select="$c-profile" /><xsl:text />
		and section 7.1.1 of the Dispense Record CDA Implementation Guide v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1022" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1022" />
  <xsl:template match="@*|node()" priority="-2" mode="M1022">
    <xsl:apply-templates select="@*|*" mode="M1022" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-Disp-Map-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.171' and @extension = '1.0']]['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:supply/cda:product/cda:manufacturedProduct/cda:manufacturerOrganization/cda:id " priority="1000" mode="M1023">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.171' and @extension = '1.0']]['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/   cda:entryRelationship/cda:supply/cda:product/cda:manufacturedProduct/cda:manufacturerOrganization/cda:id " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-05-step-2" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-05-step-2 " />
    <!--REPORT -->
    <xsl:if test=" @extension and /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/   cda:substanceAdministration/cda:entryRelationship/cda:supply/cda:product/cda:manufacturedProduct/cda:manufacturedMaterial/   cda:code[@codeSystem = '1.2.36.1.2001.1004.100' or @codeSystem = '2.16.840.1.113883.6.96'] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@extension and /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component// cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/ cda:substanceAdministration/cda:entryRelationship/cda:supply/cda:product/cda:manufacturedProduct/cda:manufacturedMaterial/ cda:code[@codeSystem = '1.2.36.1.2001.1004.100' or @codeSystem = '2.16.840.1.113883.6.96']">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-2" /><xsl:text />: TC-Doc-05 step 2: The PBS Manufacturer Code, provided in the extension attribute of manufacturerOrganization/id in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />,
		is present with value '<xsl:text /><xsl:value-of select="@extension" /><xsl:text />'. However an Australian Medicines Terminology code has been included in the Therapeutic Good Identification data element so the
		PBS Manufacturer Code must be omitted.
		(See requirement "If Therapeutic Good Identification contains an AMT code as the primary code, this SHALL be empty" in section 7.1.1 of the Dispense Record
		CDA Implementation Guide v1.0.)
 
	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1023" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1023" />
  <xsl:template match="@*|node()" priority="-2" mode="M1023">
    <xsl:apply-templates select="@*|*" mode="M1023" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-Disp-Map-2-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument[cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.171']/cda:component/cda:structuredBody/cda:component/cda:section/   ext:coverage2/ext:entitlement/ext:participant/ext:participantRole[@classCode = 'SDLOC']/ext:id" priority="1000" mode="M1024">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument[cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.171']/cda:component/cda:structuredBody/cda:component/cda:section/   ext:coverage2/ext:entitlement/ext:participant/ext:participantRole[@classCode = 'SDLOC']/ext:id" />
    <xsl:variable name="facility-techid" select="/cda:ClinicalDocument/cda:componentOf/cda:encompassingEncounter/cda:location/cda:healthCareFacility/cda:id " />
    <xsl:variable name="techid-err" select=" (@root and not(@root = $facility-techid/@root))    or        (@extension and not(@extension = $facility-techid/@extension))   or        (@nullFlavor and not(@nullFlavor = $facility-techid/@nullFlavor))  or       (not(@root) and $facility-techid/@root)     or         (not(@extension) and $facility-techid/@extension)    or       (not(@nullFlavor) and $facility-techid/@nullFlavor)    " />
    <xsl:variable name="entitlement-id" select="if (not($techid-err)) then ''       else if (@root and @extension and not(@nullFlavor)) then concat('root ''', @root, ''' and extension ''', @extension, '''')        else if (@root and not(@extension) and @nullFlavor) then concat('root ''', @root, ''' and nullFlavor ''', @nullFlavor, '''')       else if (@root and not(@extension) and not(@nullFlavor)) then concat('root ''', @root, '''')       else if (not(@root) and @extension and @nullFlavor) then concat('nullFlavor ''', @nullFlavor, ''' and extension ''', @extension, '''')       else if (not(@root) and not(@extension) and @nullFlavor) then concat('nullFlavor ''', @nullFlavor, '''')       else '' " />
    <xsl:variable name="facility-id" select="if (not($techid-err)) then ''       else if ($facility-techid/@root and $facility-techid/@extension and not($facility-techid/@nullFlavor))         then concat('root ''', $facility-techid/@root, ''' and extension ''', $facility-techid/@extension, '''')        else if ($facility-techid/@root and not($facility-techid/@extension) and $facility-techid/@nullFlavor)        then concat('root ''', $facility-techid/@root, ''' and nullFlavor ''', $facility-techid/@nullFlavor, '''')       else if ($facility-techid/@root and not($facility-techid/@extension) and not($facility-techid/@nullFlavor))        then concat('root ''', $facility-techid/@root, '''')        else if (not($facility-techid/@root) and $facility-techid/@extension and $facility-techid/@nullFlavor)        then concat('nullFlavor ''', $facility-techid/@nullFlavor, ''' and extension ''', $facility-techid/@extension, '''')       else if (not($facility-techid/@root) and not($facility-techid/@extension) and $facility-techid/@nullFlavor)        then concat('nullFlavor ''', $facility-techid/@nullFlavor, '''')       else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <!--REPORT -->
    <xsl:if test=" $techid-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$techid-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Error<xsl:text /><xsl:value-of select="if ($initial-priority) then $initial-rating else $rating-alt-TC-Doc-05-step-2" /><xsl:text />: TC-Doc-05 step 2: The dispensing organisation's entitlement technical identifier has <xsl:text /><xsl:value-of select="$entitlement-id" /><xsl:text /> which differs from the
		ClinicalDocument/componentOf/encompassingEncounter/location/healthCareFacility/id which has <xsl:text /><xsl:value-of select="$facility-id" /><xsl:text />.
		These technical identifiers are required have the same value. (See section 6.1.3 of the Dispense Record CDA Implementation Guide v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1024" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1024" />
  <xsl:template match="@*|node()" priority="-2" mode="M1024">
    <xsl:apply-templates select="@*|*" mode="M1024" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-Disp-Map-3-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument[cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.171']/cda:relatedDocument[@typeCode='XFRM']" priority="1000" mode="M1025">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument[cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.171']/cda:relatedDocument[@typeCode='XFRM']" />
    <xsl:variable name="possibly-invalid-OID" select="if ((cda:parentDocument/cda:id/@root = '1.2.36.1.2001.1005.35' or cda:parentDocument/cda:id/@root = '1.2.36.1.2001.1005.36') and         not(/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          @code='102.16210']]/        cda:entry/cda:substanceAdministration/cda:id/@root = '1.2.36.1.2001.1005.27.1.1')) then true()        else false() " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-05-step-2" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-05-step-2 " />
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and cda:parentDocument/cda:id/@extension and normalize-space(cda:parentDocument/cda:id/@extension) != '' and $possibly-invalid-OID ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and cda:parentDocument/cda:id/@extension and normalize-space(cda:parentDocument/cda:id/@extension) != '' and $possibly-invalid-OID">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-2" /><xsl:text />: TC-Doc-05 step 2: A parentDocument/id data element has a root attribute with the value '<xsl:text /><xsl:value-of select="cda:parentDocument/cda:id/@root" /><xsl:text />'
		which means the original dispense record used to create the document in CDA format is stored in the software developed by Fred IT. If another system stores the original dispense record then use a
		different value such as '1.2.36.1.2001.1005.51.[HPI-O]' where HPI-O is the identifier of the healthcare provider that created the original dispense record.
		Confirm if a valid value has been used for the root attribute.
 		(See section 5.1.4 of the Dispense Record CDA Implementation Guide v1.0 and the HL7 OID Registry.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="(not(cda:parentDocument/cda:id/@extension) or normalize-space(cda:parentDocument/cda:id/@extension) = '') and     (cda:parentDocument/cda:id/@root = '1.2.36.1.2001.1005.35' or cda:parentDocument/cda:id/@root = '1.2.36.1.2001.1005.36') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="(not(cda:parentDocument/cda:id/@extension) or normalize-space(cda:parentDocument/cda:id/@extension) = '') and (cda:parentDocument/cda:id/@root = '1.2.36.1.2001.1005.35' or cda:parentDocument/cda:id/@root = '1.2.36.1.2001.1005.36')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-2" /><xsl:text />: TC-Doc-05 step 2: The relatedDocument element with typeCode 'XFRM' identifies the original dispense record that was transformed into CDA document as
		being a dispense record stored in the software developed by Fred IT (indicated by 'parentDocument/id/root' with the value '<xsl:text /><xsl:value-of select="cda:parentDocument/cda:id/@root" /><xsl:text />'),
		but the 'Source Record Identifier' of the original/parent document is not present. This fails to conform to the mandatory
		requirement 'id/root SHALL contain an implementation specific OID and id/extension SHALL contain the 'Source Record Identifier' of
		the original/parent document'. An example of an implementation specific OID is '1.2.36.1.2001.1005.51.[HPI-O]' where HPI-O is
		the identifier of the healthcare provider that created the original dispense record.
		(See section 5.1.4 of the Dispense Record CDA Implementation Guide v1.0 and the HL7 OID Registry.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="(not(cda:parentDocument/cda:id/@extension) or normalize-space(cda:parentDocument/cda:id/@extension) = '') and    not(cda:parentDocument/cda:id/@root = '1.2.36.1.2001.1005.35' or cda:parentDocument/cda:id/@root = '1.2.36.1.2001.1005.36') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="(not(cda:parentDocument/cda:id/@extension) or normalize-space(cda:parentDocument/cda:id/@extension) = '') and not(cda:parentDocument/cda:id/@root = '1.2.36.1.2001.1005.35' or cda:parentDocument/cda:id/@root = '1.2.36.1.2001.1005.36')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-2" /><xsl:text />: TC-Doc-05 step 2: The relatedDocument element with typeCode 'XFRM' identifies the original dispense record that was transformed into CDA document but
		the element does not conform to the mandatory requirement 'id/root SHALL contain an implementation specific OID and id/extension SHALL contain the
		'Source Record Identifier' of the original/parent document'. An example of an implementation specific OID is '1.2.36.1.2001.1005.51.[HPI-O]' where HPI-O is
		the identifier of the healthcare provider that created the original dispense record. (See section 5.1.4 of the Dispense Record CDA Implementation Guide v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not(cda:parentDocument/cda:id)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:parentDocument/cda:id)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-2" /><xsl:text />: TC-Doc-05 step 2: The relatedDocument element with typeCode 'XFRM' identifies the original dispense record that was transformed into CDA document but
		the element does not conform to the mandatory requirement 'id/root SHALL contain an implementation specific OID and id/extension SHALL contain the
		'Source Record Identifier' of the original/parent document'. An example of an implementation specific OID is '1.2.36.1.2001.1005.51.[HPI-O]' where HPI-O is
		the identifier of the healthcare provider that created the original dispense record.
		(See section 5.1.4 of the Dispense Record CDA Implementation Guide v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="starts-with(cda:parentDocument/cda:id/@root, '2.25')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="starts-with(cda:parentDocument/cda:id/@root, '2.25')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-2" /><xsl:text />: TC-Doc-05 step 2: The relatedDocument element with typeCode 'XFRM' identifies the original dispense record that was transformed into CDA document but
		the element does not seem to conform to the mandatory requirement 'id/root SHALL contain an implementation specific OID and id/extension SHALL contain the
		'Source Record Identifier' of the original/parent document'. The issue is that id/root '<xsl:text /><xsl:value-of select="cda:parentDocument/cda:id/@root" /><xsl:text />' has the appearance
		of a UUID transformed into an object identifier, and a UUID is not normally used to identify a system.
		Confirm that id/root meets the requirement to identify the system where the original dispense record is maintained.
		An example of an implementation specific OID is '1.2.36.1.2001.1005.51.[HPI-O]' where HPI-O is the identifier of the healthcare provider that created the
		original dispense record. (See section 5.1.4 of the Dispense Record CDA Implementation Guide v1.0 and the HL7 OID Registry.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and cda:parentDocument/cda:setId ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and cda:parentDocument/cda:setId">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TS-GCD" /><xsl:text />: The relatedDocument element with typeCode 'XFRM' identifies the original dispense record that was transformed into CDA document,
		however a setId element is present. The setId is used when the parent document is a CDA document, indicated by typeCode 'RPLC', so its
		inclusion in a relatedDocument element with typeCode 'XFRM' is unexpected. The setId element should be omitted in a relatedDocument element with typeCode 'XFRM'. (See
		section 5.1.4 of the Dispense Record CDA Implementation Guide v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and cda:parentDocument/cda:versionNumber ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and cda:parentDocument/cda:versionNumber">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TS-GCD" /><xsl:text />: The relatedDocument element with typeCode 'XFRM' identifies the original dispense record that was transformed into CDA document,
		however a versionNumber element is present. The versionNumber is used when the parent document is a CDA document, indicated by typeCode 'RPLC', and indicates the		
		version of the CDA document that has been replaced so its inclusion in a relatedDocument element with typeCode 'XFRM' is unexpected.
		The versionNumber element should be omitted in a relatedDocument element with typeCode 'XFRM'. (See section 5.1.4 of the Dispense Record
		CDA Implementation Guide v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1025" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1025" />
  <xsl:template match="@*|node()" priority="-2" mode="M1025">
    <xsl:apply-templates select="@*|*" mode="M1025" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-Disp-Map-4-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument[cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.171']/cda:legalAuthenticator/cda:assignedEntity/cda:id " priority="1000" mode="M1026">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument[cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.171']/cda:legalAuthenticator/cda:assignedEntity/cda:id " />
    <xsl:variable name="legal-person" select=" ../cda:assignedPerson " />
    <xsl:variable name="legal-ei-root" select="if ($legal-person/ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1003.0.800361')])        then $legal-person/ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1003.0.800361')]/@root        else if ($legal-person/ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1005.41')])        then $legal-person/ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1005.41')]/@root       else if ($legal-person/ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1005.70')])        then $legal-person/ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1005.70')]/@root       else '' " />
    <xsl:variable name="legal-ei-ext" select="if ($legal-person/ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1003.0.800361')])        then $legal-person/ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1003.0.800361')]/@extension        else if ($legal-person/ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1005.41')])        then $legal-person/ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1005.41')]/@extension       else if ($legal-person/ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1005.70')])        then $legal-person/ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1005.70')]/@extension       else '' " />
    <xsl:variable name="author-person" select="/cda:ClinicalDocument/cda:author/cda:assignedAuthor/cda:assignedPerson " />
    <xsl:variable name="author-ei-root" select="if ($author-person/ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1003.0.800361')])        then $author-person/ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1003.0.800361')]/@root        else if ($author-person/ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1005.41')])        then $author-person/ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1005.41')]/@root       else if ($author-person/ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1005.70')])        then $author-person/ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1005.70')]/@root       else '' " />
    <xsl:variable name="author-ei-ext" select="if ($author-person/ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1003.0.800361')])        then $author-person/ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1003.0.800361')]/@extension        else if ($author-person/ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1005.41')])        then $author-person/ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1005.41')]/@extension       else if ($author-person/ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1005.70')])        then $author-person/ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1005.70')]/@extension       else '' " />
    <xsl:variable name="ei-text" select="if ($legal-ei-root != '' and $legal-ei-ext != '') then concat('root ''', $legal-ei-root, ''' and extension ''', $legal-ei-ext, '''')        else if ($legal-ei-root != '') then concat('root ''', $legal-ei-root, '''')       else '' " />
    <xsl:variable name="legal-id" select="if (@root and @extension) then concat('root ''', @root, ''' and extension ''', @extension, '''')        else if (@root) then concat('root ''', @root, '''')       else '' " />
    <xsl:variable name="author-id-root" select="if (/cda:ClinicalDocument/cda:author/cda:assignedAuthor/cda:id/@root) then /cda:ClinicalDocument/cda:author/cda:assignedAuthor/cda:id/@root else '' " />
    <xsl:variable name="author-id-ext" select="if (/cda:ClinicalDocument/cda:author/cda:assignedAuthor/cda:id/@extension) then /cda:ClinicalDocument/cda:author/cda:assignedAuthor/cda:id/@extension else '' " />
    <xsl:variable name="author-id" select="if ($author-id-root != '' and $author-id-ext != '' ) then concat('root ''', $author-id-root, ''' and extension ''', author-id-ext, '''')        else if ($author-id-root != '') then concat('root ''', $author-id-root, '''')       else '' " />
    <xsl:variable name="same-person" select="if ($legal-ei-root != '') then concat($legal-ei-root, $legal-ei-ext) = concat($author-ei-root, $author-ei-ext) else false() " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <!--REPORT -->
    <xsl:if test=" $same-person and concat($author-id-root, $author-id-ext) != concat(@root, @extension) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$same-person and concat($author-id-root, $author-id-ext) != concat(@root, @extension)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

	    	Error<xsl:text /><xsl:value-of select="if ($initial-priority) then $initial-rating else $rating-alt-TC-Doc-05-step-2" /><xsl:text />: TC-Doc-05 step 2: The dispensing pharmacist and the legal authenticator both have the entity identifier with <xsl:text /><xsl:value-of select="$ei-text" /><xsl:text /> so the
		dispensing pharmacist is the legal authenticator. The 'legalAuthenticator/assignedEntity/id' data element has <xsl:text /><xsl:value-of select="$legal-id" /><xsl:text /> and the
		'ClinicalDocument/author/assignedAuthor/id' data element has
		<xsl:text /><xsl:value-of select="$author-id" /><xsl:text />. This does not meet the requirement for 'legalAuthenticator/assignedEntity/id' to have
		the same value as the 'ClinicalDocument/author/assignedAuthor/id' data element when the dispensing pharmacist is the legal authenticator.
		(See section 5.1.1 of the Dispense Record CDA Implementation Guide v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1026" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1026" />
  <xsl:template match="@*|node()" priority="-2" mode="M1026">
    <xsl:apply-templates select="@*|*" mode="M1026" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-Disp-Map-5-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument[cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.171']/cda:custodian/cda:assignedCustodian/   cda:representedCustodianOrganization/cda:id " priority="1000" mode="M1027">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument[cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.171']/cda:custodian/cda:assignedCustodian/   cda:representedCustodianOrganization/cda:id " />
    <xsl:variable name="cust-org" select=" .. " />
    <xsl:variable name="cust-ei-root" select="if ($cust-org/ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1003.0.800362')])        then $cust-org/ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1003.0.800362')]/@root        else '' " />
    <xsl:variable name="cust-ei-ext" select="if ($cust-org/ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1003.0.800362')])        then $cust-org/ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1003.0.800362')]/@extension        else '' " />
    <xsl:variable name="fac-org" select=" /cda:ClinicalDocument/cda:componentOf/cda:encompassingEncounter/cda:location/cda:healthCareFacility/cda:serviceProviderOrganization/       cda:asOrganizationPartOf/cda:wholeOrganization " />
    <xsl:variable name="fac-ei-root" select="if ($fac-org/ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1003.0.800362')])        then $fac-org/ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1003.0.800362')]/@root        else '' " />
    <xsl:variable name="fac-ei-ext" select="if ($fac-org/ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1003.0.800362')])        then $fac-org/ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1003.0.800362')]/@extension        else '' " />
    <xsl:variable name="ei-text" select="if ($cust-ei-root != '' and $cust-ei-ext != '') then concat('root ''', $cust-ei-root, ''' and extension ''', $cust-ei-ext, '''')        else if ($cust-ei-root != '') then concat('root ''', $cust-ei-root, '''')       else '' " />
    <xsl:variable name="cust-id" select="if (@root and @extension) then concat('root ''', @root, ''' and extension ''', @extension, '''')        else if (@root) then concat('root ''', @root, '''')       else '' " />
    <xsl:variable name="facility" select=" /cda:ClinicalDocument/cda:componentOf/cda:encompassingEncounter/cda:location/cda:healthCareFacility " />
    <xsl:variable name="fac-id-root" select="if ($facility/cda:id/@root) then $facility/cda:id/@root else '' " />
    <xsl:variable name="fac-id-ext" select="if ($facility/cda:id/@extension) then $facility/cda:id/@extension else '' " />
    <xsl:variable name="fac-id" select="if ($fac-id-root != '' and $fac-id-ext != '' ) then concat('root ''', $fac-id-root, ''' and extension ''', $fac-id-ext, '''')        else if ($fac-id-root != '') then concat('root ''', $fac-id-root, '''')       else '' " />
    <xsl:variable name="same-org" select="if ($cust-ei-root != '') then concat($cust-ei-root, $cust-ei-ext) = concat($fac-ei-root, $fac-ei-ext) else false() " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <!--REPORT -->
    <xsl:if test=" $same-org and concat($fac-id-root, $fac-id-ext) != concat(@root, @extension) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$same-org and concat($fac-id-root, $fac-id-ext) != concat(@root, @extension)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

	    	Error<xsl:text /><xsl:value-of select="if ($initial-priority) then $initial-rating else $rating-alt-TC-Doc-05-step-2" /><xsl:text />: TC-Doc-05 step 2: The custodian organisation and the healthcare facility both
		have the entity identifier with <xsl:text /><xsl:value-of select="$ei-text" /><xsl:text /> so the
		custodian organisation is the healthcare facility. The 'representedCustodianOrganization/id' data element has <xsl:text /><xsl:value-of select="$cust-id" /><xsl:text /> and the
		'ClinicalDocument/encompassingEncounter/location/healthCareFacility/id' data element has <xsl:text /><xsl:value-of select="$fac-id" /><xsl:text />. This does not meet the requirement for
		'representedCustodianOrganization/id' to have
		the same value as the 'ClinicalDocument/encompassingEncounter/location/healthCareFacility/id' data element when the custodian organisation is the healthcare facility.
		(See section 5.1.2 of the Dispense Record CDA Implementation Guide v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1027" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1027" />
  <xsl:template match="@*|node()" priority="-2" mode="M1027">
    <xsl:apply-templates select="@*|*" mode="M1027" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-Disp-Map-6-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/cda:entryRelationship/cda:sequenceNumber " priority="1000" mode="M1028">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/cda:entryRelationship/cda:sequenceNumber " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-01" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-01 " />
    <!--REPORT -->
    <xsl:if test="@value and ../../../cda:substanceAdministration/cda:repeatNumber/cda:high/@value and    number(@value) &gt; number(../../../cda:substanceAdministration/cda:repeatNumber/cda:high/@value) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value and ../../../cda:substanceAdministration/cda:repeatNumber/cda:high/@value and number(@value) &gt; number(../../../cda:substanceAdministration/cda:repeatNumber/cda:high/@value)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The medicine listed in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has been dispensed more times than the number that was available. The Number of
		this Dispense '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		has the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' and the number of dispenses available is '<xsl:text /><xsl:value-of select="../../../cda:substanceAdministration/cda:repeatNumber/cda:high/@value" /><xsl:text />'.
		The number of dispenses available is the value of 'repeatNumber/high' in the clinical document entry element.
		(See the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and section 7.1 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1028" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1028" />
  <xsl:template match="@*|node()" priority="-2" mode="M1028">
    <xsl:apply-templates select="@*|*" mode="M1028" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-Disp-Map-7-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/cda:id " priority="1000" mode="M1029">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/cda:id " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-05-step-2" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-05-step-2 " />
    <!--REPORT -->
    <xsl:if test="not(matches(@root, $oid-regex)) or matches(@root, $invalid-arc-regex) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(matches(@root, $oid-regex)) or matches(@root, $invalid-arc-regex)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-2" /><xsl:text />: TC-Doc-05 step 2: The Prescription Item Identifier
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a root attribute
		with the value '<xsl:text /><xsl:value-of select="@root" /><xsl:text />' however it is required to contain an implementation specific OID such the '1.2.36.1.2001.1005.50' followed by an HPI-O.
		(See section 7.1.1 of the Prescription Record CDA Implementation Guide v1.0 and the HL7 OID Registry for the OID '1.2.36.1.2001.1005.50'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and starts-with(@root, '2.25.')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and starts-with(@root, '2.25.')">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-2" /><xsl:text />: TC-Doc-05 step 2: The Prescription Item Identifier
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		a root attribute with the value '<xsl:text /><xsl:value-of select="@root" /><xsl:text />' which is required to be an
		implementation specific OID but has the appearance of a UUID transformed into an object identifier so is unlikely to meet the requirement as a UUID is not normally used to identify a system. 
		Confirm that the Prescription Item Identifier root attribute meets the requirement to identify the system where the original prescription record is maintained.
		An example of an implementation specific OID is '1.2.36.1.2001.1005.50.[HPI-O]' where HPI-O is the identifier of the healthcare provider that created the
		original prescription record. (See section 7.1.1 of the Prescription Record CDA Implementation Guide v1.0 and the HL7 OID Registry for the OID '1.2.36.1.2001.1005.50'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="normalize-space(@extension) = '' or not(@extension)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="normalize-space(@extension) = '' or not(@extension)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-2" /><xsl:text />: TC-Doc-05 step 2: The Prescription Item Identifier
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="if (@root) then concat(' a root attribute with the value ''', @root, '''') else ' no root attribute' " /><xsl:text /> and
		<xsl:text /><xsl:value-of select="if (not(@extension)) then ' no extension attribute' else if (@extension = '') then ' an extension attribute whose value is an empty character string'   else ' an extension attribute whose value consists of spaces only' " /><xsl:text />.
		This is an error as the extension attribute must be present with a value that is the Medication Instruction Identifier of the Prescription.
		(See section 7.1.1 of the Prescription Record CDA Implementation Guide v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1029" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1029" />
  <xsl:template match="@*|node()" priority="-2" mode="M1029">
    <xsl:apply-templates select="@*|*" mode="M1029" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-Disp-Map-8-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration[@moodCode='RQO']/cda:statusCode" priority="1000" mode="M1030">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration[@moodCode='RQO']/cda:statusCode" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-01" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-01 " />
    <xsl:variable name="rating-05-step-2" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-05-step-2 " />
    <!--REPORT -->
    <xsl:if test="@code and not(@code = 'active' or @code = 'completed')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = 'active' or @code = 'completed')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-2" /><xsl:text />: TC-Doc-05 step 2: The 'substanceAdministration/statusCode/code' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		a code attribute with the value '<xsl:text /><xsl:value-of select="@code" /><xsl:text />'
		but the allowed values are 'active' or 'completed'. (See section 7.1 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		The statusCode data element indicates the status of the prescription and not the status of the dispense as it is associated with the substanceAdministration data element with moodCode 'RQO'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@code = 'active' and   ../../cda:substanceAdministration/cda:entryRelationship/cda:sequenceNumber/@value and    ../../cda:substanceAdministration/cda:repeatNumber/cda:high/@value and    (number(../../cda:substanceAdministration/cda:entryRelationship/cda:sequenceNumber/@value) &gt;=     number(../../cda:substanceAdministration/cda:repeatNumber/cda:high/@value)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code = 'active' and ../../cda:substanceAdministration/cda:entryRelationship/cda:sequenceNumber/@value and ../../cda:substanceAdministration/cda:repeatNumber/cda:high/@value and (number(../../cda:substanceAdministration/cda:entryRelationship/cda:sequenceNumber/@value) &gt;= number(../../cda:substanceAdministration/cda:repeatNumber/cda:high/@value))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The 'substanceAdministration/statusCode/code' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value 'active' even though there
		are no more dispenses available as the number of dispenses made is <xsl:text /><xsl:value-of select="../../cda:substanceAdministration/cda:entryRelationship/cda:sequenceNumber/@value" /><xsl:text /> and number of
		dispenses originally available is <xsl:text /><xsl:value-of select="../../cda:substanceAdministration/cda:repeatNumber/cda:high/@value" /><xsl:text />. The number of dispenses originally available is the value of the
		'repeatNumber/high' data element. The status code must have the value 'completed' when there are no more dispenses available.
		(See section 7.1.1 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		The statusCode data element indicates the status of the prescription and not the status of the dispense as it is associated with the substanceAdministration data element with moodCode 'RQO'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@code = 'completed' and   ../../cda:substanceAdministration/cda:entryRelationship/cda:sequenceNumber/@value and    ../../cda:substanceAdministration/cda:repeatNumber/cda:high/@value and    number(../../cda:substanceAdministration/cda:entryRelationship/cda:sequenceNumber/@value) &lt;     number(../../cda:substanceAdministration/cda:repeatNumber/cda:high/@value) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code = 'completed' and ../../cda:substanceAdministration/cda:entryRelationship/cda:sequenceNumber/@value and ../../cda:substanceAdministration/cda:repeatNumber/cda:high/@value and number(../../cda:substanceAdministration/cda:entryRelationship/cda:sequenceNumber/@value) &lt; number(../../cda:substanceAdministration/cda:repeatNumber/cda:high/@value)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The 'substanceAdministration/statusCode/code' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value 'completed' even
		though more repeats are available. The number of dispenses made is '<xsl:text /><xsl:value-of select="../../cda:substanceAdministration/cda:entryRelationship/cda:sequenceNumber/@value" /><xsl:text />' and the number
		of dispenses available is '<xsl:text /><xsl:value-of select="../../cda:substanceAdministration/cda:repeatNumber/cda:high/@value" /><xsl:text />'. The status code must be 'active' when there are
		dispenses available. (See section 7.1.1 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		The statusCode data element indicates the status of the prescription and not the status of the dispense as it is associated with the substanceAdministration data element with moodCode 'RQO'.

   	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1030" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1030" />
  <xsl:template match="@*|node()" priority="-2" mode="M1030">
    <xsl:apply-templates select="@*|*" mode="M1030" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-Disp-Map-9-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument[cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.179']['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/   cda:entry/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16692.179.1.1']]/cda:text/cda:reference" priority="1000" mode="M1031">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument[cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.179']['102.16210' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/   cda:entry/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16692.179.1.1']]/cda:text/cda:reference" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-05-step-2" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-05-step-2 " />
    <!--REPORT -->
    <xsl:if test=" @value and not(starts-with(@value, '#') and ancestor::cda:section[normalize-space(cda:text) != ''][position()=1][cda:text//   cda:linkHtml[@ID = substring-after(current()/@value, '#')]]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value and not(starts-with(@value, '#') and ancestor::cda:section[normalize-space(cda:text) != ''][position()=1][cda:text// cda:linkHtml[@ID = substring-after(current()/@value, '#')]])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-2" /><xsl:text />: TC-Doc-05 step 2: The Dispense Record Link Target
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'.
		This does not meet the requirement that the reference value must begin with a '#' and reference a linkHtml element in the corresponding narrative. For this document the corresponding narrative is the section
		with the title '<xsl:text /><xsl:value-of select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]/cda:title" /><xsl:text />'.
		(See section 7.1.2.1.2.1.1 of the Prescription and Dispense View CDA Implementation Guide v1.0.)
	
	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1031" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1031" />
  <xsl:template match="@*|node()" priority="-2" mode="M1031">
    <xsl:apply-templates select="@*|*" mode="M1031" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-Disp-Map-10-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument[cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.171']/cda:relatedDocument/cda:parentDocument/cda:code " priority="1000" mode="M1032">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument[cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.171']/cda:relatedDocument/cda:parentDocument/cda:code " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-05-step-2" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-05-step-2 " />
    <!--REPORT -->
    <xsl:if test="not(@codeSystem='1.2.36.1.2001.1001.101' and @code='100.16765') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@codeSystem='1.2.36.1.2001.1001.101' and @code='100.16765')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-2" /><xsl:text />: TC-Doc-05 step 2: The 'relatedDocument/parentDocument/code' data element contains a codeSystem attribute with the value
		'<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />' and a code attribute with the value '<xsl:text /><xsl:value-of select="@code" /><xsl:text />' whereas a codeSystem attribute with the value "1.2.36.1.2001.1001.101" and
		a code attribute with the value "100.16765" were expected. The 'relatedDocument/parentDocument/code' element must have the same
		value as 'ClinicalDocument/code'. (See section 5.1.4 of the Dispense Record CDA Implementation Guide v1.0.)
	
	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1032" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1032" />
  <xsl:template match="@*|node()" priority="-2" mode="M1032">
    <xsl:apply-templates select="@*|*" mode="M1032" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-Disp-Map-11-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument[cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.171']/cda:relatedDocument[@typeCode='RPLC']/cda:parentDocument" priority="1000" mode="M1033">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument[cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.171']/cda:relatedDocument[@typeCode='RPLC']/cda:parentDocument" />
    <xsl:variable name="c-profile" select="if ($flags/@conformance-profile-version = '1.3') then 'Conformance Profile v1.3' else 'Conformance Profile v1.4' " />
    <xsl:variable name="id-root-err" select="cda:id/@root and (not(matches(cda:id/@root, $uuid-regex)) or matches(cda:id/@root, $invalid-uuid-regex)) and $flags/@conformance-profile-version = '1.3'" />
    <xsl:variable name="id-ext-err" select="cda:id and cda:id/@extension and $flags/@conformance-profile-version = '1.3'" />
    <xsl:variable name="setId-root-err" select="cda:setId/@root and (not(matches(cda:setId/@root, $uuid-regex)) or matches(cda:setId/@root, $invalid-uuid-regex)) and $flags/@conformance-profile-version = '1.3'" />
    <xsl:variable name="setId-ext-err" select="cda:setId and cda:setId/@extension and $flags/@conformance-profile-version = '1.3'" />
    <xsl:variable name="doc-setId" select="if (/cda:ClinicalDocument/cda:setId) then /cda:ClinicalDocument/cda:setId else () " />
    <xsl:variable name="setId-match-err" select="cda:setId and exists($doc-setId) and not(cda:setId/@root = $doc-setId/@root or cda:setId/@extension = $doc-setId/@extension)" />
    <xsl:variable name="display-id-root-err" select="if ($id-root-err) then ' the value of the root attribute of ClinicalDocument/id must be a UUID' else '' " />
    <xsl:variable name="display-id-ext-err" select="if ($id-root-err) then ' the extension attribute of ClinicalDocument/id must be omitted' else '' " />
    <xsl:variable name="display-id-err" select="if ($id-root-err and $id-ext-err) then concat($display-id-root-err, ' and', $display-id-ext-err)       else if ($id-root-err) then $display-id-root-err       else if ($id-ext-err) then $display-id-ext-err        else '' " />
    <xsl:variable name="display-setId-root-err" select="if ($setId-root-err) then ' the value of the root attribute of ClinicalDocument/setId must be a UUID' else '' " />
    <xsl:variable name="display-setId-ext-err" select="if ($setId-root-err) then ' the extension attribute of ClinicalDocument/setId must be omitted' else '' " />
    <xsl:variable name="display-setId-err" select="if ($setId-root-err and $setId-ext-err) then concat($display-setId-root-err, ' and', $display-setId-ext-err)       else if ($setId-root-err) then $display-setId-root-err       else if ($setId-ext-err) then $display-setId-ext-err        else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-05-step-2" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-05-step-2 " />
    <!--REPORT -->
    <xsl:if test="not(cda:id)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:id)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-2" /><xsl:text />: TC-Doc-05 step 2: The relatedDocument element with typeCode 'RPLC' identifies the Dispense Record that has been replaced however the
		'parentDocument/id' element is missing so it does not meet the requirement that the parentDocument/id shall contain the ClinicalDocument/id of the document being replaced.
		(See section 5.1.4 of the Dispense Record CDA Implementation Guide v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $id-root-err or $id-ext-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$id-root-err or $id-ext-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-2" /><xsl:text />: TC-Doc-05 step 2: The relatedDocument element with typeCode 'RPLC' identifies the Dispense Record that has been replaced and the
		'parentDocument/id' element has <xsl:text /><xsl:value-of select="iq:display-II(cda:id)" /><xsl:text />.
		This cannot be the 'ClinicalDocument/id' of the document being replaced as it does not meet the requirement that <xsl:text /><xsl:value-of select="$display-id-err" /><xsl:text />.
		(See section 5.1.4 of the Dispense Record CDA Implementation Guide v1.0 and section 3.2.9 of the Dispense Record <xsl:text /><xsl:value-of select="$c-profile" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:setId) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:setId)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-2" /><xsl:text />: TC-Doc-05 step 2: The relatedDocument element with typeCode 'RPLC' identifies the Dispense Record that has been replaced however the
		'relatedDocument/parentDocument/setId' element has not been included. It must be present in a Dispense Record and its value must match the value of 'ClinicalDocument/setId'.
		(See section 5.1.4 of the Dispense Record CDA Implementation Guide v1.0 and section 3.2.9 of the Dispense Record <xsl:text /><xsl:value-of select="$c-profile" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $setId-root-err or $setId-ext-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$setId-root-err or $setId-ext-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-2" /><xsl:text />: TC-Doc-05 step 2: The relatedDocument element with typeCode 'RPLC' identifies the Dispense Record that has been replaced and the
		'relatedDocument/parentDocument/setId' element has <xsl:text /><xsl:value-of select="iq:display-II(cda:setId)" /><xsl:text /> which is invalid as it does not meet the requirement that <xsl:text /><xsl:value-of select="$display-setId-err" /><xsl:text />.
		(See section 5.1.4 of the Dispense Record CDA Implementation Guide v1.0 and section 3.2.9 of the Dispense Record <xsl:text /><xsl:value-of select="$c-profile" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $setId-match-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$setId-match-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-2" /><xsl:text />: TC-Doc-05 step 2: The relatedDocument element with typeCode 'RPLC' identifies the Dispense Record that has been replaced and the
		'relatedDocument/parentDocument/setId' element has <xsl:text /><xsl:value-of select="iq:display-II(cda:setId)" /><xsl:text /> and '/cda:ClinicalDocument/cda:setId' has <xsl:text /><xsl:value-of select="iq:display-II($doc-setId)" /><xsl:text />.
		This is an error as 'relatedDocument/parentDocument/setId' and '/cda:ClinicalDocument/cda:setId' are required to be the same.
		(See section 5.1.4 of the Dispense Record CDA Implementation Guide v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:versionNumber/@value and not(/cda:ClinicalDocument/cda:versionNumber/@value &gt; cda:versionNumber/@value) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:versionNumber/@value and not(/cda:ClinicalDocument/cda:versionNumber/@value &gt; cda:versionNumber/@value)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-2" /><xsl:text />: TC-Doc-05 step 2: The relatedDocument element with typeCode 'RPLC' identifies the Dispense Record that has been replaced however the
		'relatedDocument/parentDocument/versionNumber' data element has the value '<xsl:text /><xsl:value-of select="cda:versionNumber/@value" /><xsl:text />' and 'ClinicalDocument/versionNumber' has the value
		'<xsl:text /><xsl:value-of select="/cda:ClinicalDocument/cda:versionNumber/@value" /><xsl:text />' so 'relatedDocument/parentDocument/versionNumber' does not meet the requirement for
		'ClinicalDocument/versionNumber' to contain an incremented value of 'relatedDocument/parentDocument/versionNumber'.
		(See section 5.1.4 of the Dispense Record CDA Implementation Guide v1.0 and section 3.2.9 of the Dispense Record <xsl:text /><xsl:value-of select="$c-profile" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1033" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1033" />
  <xsl:template match="@*|node()" priority="-2" mode="M1033">
    <xsl:apply-templates select="@*|*" mode="M1033" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-Excl-1-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//cda:section[not(cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113'])]/cda:entry/cda:observation/   cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('103.16302.4.3.4', '103.16302.120.1.1', '103.16302.2.2.2')]   [not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']])]" priority="1000" mode="M1034">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//cda:section[not(cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113'])]/cda:entry/cda:observation/   cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('103.16302.4.3.4', '103.16302.120.1.1', '103.16302.2.2.2')]   [not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']])]" />
    <xsl:variable name="section" select=" ancestor::cda:section[position() = 1] " />
    <xsl:variable name="agency-section" select=" boolean($code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101']/code[@code=$section/cda:code/@code]) " />
    <xsl:variable name="title-and-code" select=" if ($section/cda:title and $section/cda:code/@code)         then concat('title ''', $section/cda:title, ''', code/codeSystem ''', $section/cda:code/@codeSystem, ''', code/code ''',          $section/cda:code/@code, '''')        else if ($section/cda:title and not($section/cda:code/@code)) then concat('title ''', $section/cda:title, '''')        else if (not($section/cda:title) and $section/cda:code/@code)          then concat('code/codeSystem ''', $section/cda:code/@codeSystem, '''code/code ''', $section/cda:code/@code, '''')        else '' " />
    <xsl:variable name="other-section-names" select=" if ($section/cda:code/@displayName and not($section/cda:code/cda:originalText))         then concat(' and code/displayName ''', $section/cda:code/@displayName, '''')         else if ($section/cda:code/@displayName and $section/cda:code/cda:originalText)          then concat(', code/displayName ''', $section/cda:code/@displayName,''' and code/originalText ''', $section/cda:code/cda:originalText, '''')        else if (not($section/cda:code/@displayName) and $section/cda:code/cda:originalText)         then concat(' and code/originalText ''', $section/cda:code/cda:originalText, '''')        else '' " />
    <xsl:variable name="section-names" select="concat($title-and-code, $other-section-names)" />
    <!--REPORT -->
    <xsl:if test=" $agency-section ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$agency-section">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-01-low" /><xsl:text />: TC-Doc-01: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		identified by codeSystem '<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />' and code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />' is a
		Adverse Reactions Exclusion Statement (also known as a Global Statement). It is present in the <xsl:text /><xsl:value-of select="$section/cda:title" /><xsl:text /> section with code '<xsl:text /><xsl:value-of select="$section/cda:code/@code" /><xsl:text />'
		however it is only valid to include this exclusion statement in an Adverse Reactions section, which has codeSystem '1.2.36.1.2001.1001.101' and
		code '101.20113'.
		(See the information about the Adverse Reactions Exclusion Statement in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide mapping tables.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($agency-section) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($agency-section)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-TC-Doc-01-low" /><xsl:text />: TC-Doc-01: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		identified by codeSystem '<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />' and code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />' is an
		Adverse Reactions Exclusion Statement (also known as a Global Statement). It is present in the section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />
		however the Adverse Reactions Exclusion Statement is expected to in an Adverse Reactions section, which has codeSystem '1.2.36.1.2001.1001.101' and
		code '101.20113'. Confrm if its inclusion in this section is valid.
		(See the information about the Adverse Reactions Exclusion Statement in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide mapping tables.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1034" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1034" />
  <xsl:template match="@*|node()" priority="-2" mode="M1034">
    <xsl:apply-templates select="@*|*" mode="M1034" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-Excl-2-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//cda:section[not(cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.2'])]/cda:entry/cda:observation/   cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.4.3.3']" priority="1000" mode="M1035">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//cda:section[not(cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.2'])]/cda:entry/cda:observation/   cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.4.3.3']" />
    <xsl:variable name="section" select=" ancestor::cda:section[position() = 1] " />
    <xsl:variable name="agency-section" select=" boolean($code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101']/code[@code=$section/cda:code/@code]) " />
    <xsl:variable name="title-and-code" select=" if ($section/cda:title and $section/cda:code/@code)         then concat('title ''', $section/cda:title, ''', code/codeSystem ''', $section/cda:code/@codeSystem, ''', code/code ''',          $section/cda:code/@code, '''')        else if ($section/cda:title and not($section/cda:code/@code)) then concat('title ''', $section/cda:title, '''')        else if (not($section/cda:title) and $section/cda:code/@code)          then concat('code/codeSystem ''', $section/cda:code/@codeSystem, '''code/code ''', $section/cda:code/@code, '''')        else '' " />
    <xsl:variable name="other-section-names" select=" if ($section/cda:code/@displayName and not($section/cda:code/cda:originalText))         then concat(' and code/displayName ''', $section/cda:code/@displayName, '''')         else if ($section/cda:code/@displayName and $section/cda:code/cda:originalText)          then concat(', code/displayName ''', $section/cda:code/@displayName,''' and code/originalText ''', $section/cda:code/cda:originalText, '''')        else if (not($section/cda:code/@displayName) and $section/cda:code/cda:originalText)         then concat(' and code/originalText ''', $section/cda:code/cda:originalText, '''')        else '' " />
    <xsl:variable name="section-names" select="concat($title-and-code, $other-section-names)" />
    <!--REPORT -->
    <xsl:if test=" $agency-section ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$agency-section">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-01-low" /><xsl:text />: TC-Doc-01: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		identified by codeSystem '<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />' and code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />' is a
		Ceased Medications Exclusion Statement (also known as a Global Statement). It is present in the <xsl:text /><xsl:value-of select="$section/cda:title" /><xsl:text /> section with code '<xsl:text /><xsl:value-of select="$section/cda:code/@code" /><xsl:text />'
		however it is only valid to include this exclusion statement in a Ceased Medications section, which has codeSystem '1.2.36.1.2001.1001.101' and
		code '101.16146.4.1.2'.
		(See the information about the Ceased Medications Exclusion Statement in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide mapping tables.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($agency-section) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($agency-section)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-TC-Doc-01-low" /><xsl:text />: TC-Doc-01: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		identified by codeSystem '<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />' and code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />' is a
		Ceased Medications Exclusion Statement (also known as a Global Statement). It is present in the section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />
		however the Ceased Medications Exclusion Statement is expected to in a Ceased Medications section, which has codeSystem '1.2.36.1.2001.1001.101' and
		code '101.16146.4.1.2'. Confrm if its inclusion in this section is valid.
		(See the information about the Ceased Medications Exclusion Statement in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide mapping tables.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1035" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1035" />
  <xsl:template match="@*|node()" priority="-2" mode="M1035">
    <xsl:apply-templates select="@*|*" mode="M1035" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-Excl-3-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//cda:section[not(cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1'])]/cda:entry/cda:observation/   cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.4.3.2']" priority="1000" mode="M1036">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//cda:section[not(cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1'])]/cda:entry/cda:observation/   cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.4.3.2']" />
    <xsl:variable name="section" select=" ancestor::cda:section[position() = 1] " />
    <xsl:variable name="agency-section" select=" boolean($code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101']/code[@code=$section/cda:code/@code]) " />
    <xsl:variable name="title-and-code" select=" if ($section/cda:title and $section/cda:code/@code)         then concat('title ''', $section/cda:title, ''', code/codeSystem ''', $section/cda:code/@codeSystem, ''', code/code ''',          $section/cda:code/@code, '''')        else if ($section/cda:title and not($section/cda:code/@code)) then concat('title ''', $section/cda:title, '''')        else if (not($section/cda:title) and $section/cda:code/@code)          then concat('code/codeSystem ''', $section/cda:code/@codeSystem, '''code/code ''', $section/cda:code/@code, '''')        else '' " />
    <xsl:variable name="other-section-names" select=" if ($section/cda:code/@displayName and not($section/cda:code/cda:originalText))         then concat(' and code/displayName ''', $section/cda:code/@displayName, '''')         else if ($section/cda:code/@displayName and $section/cda:code/cda:originalText)          then concat(', code/displayName ''', $section/cda:code/@displayName,''' and code/originalText ''', $section/cda:code/cda:originalText, '''')        else if (not($section/cda:code/@displayName) and $section/cda:code/cda:originalText)         then concat(' and code/originalText ''', $section/cda:code/cda:originalText, '''')        else '' " />
    <xsl:variable name="section-names" select="concat($title-and-code, $other-section-names)" />
    <!--REPORT -->
    <xsl:if test=" $agency-section ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$agency-section">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-01-low" /><xsl:text />: TC-Doc-01: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		identified by codeSystem '<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />' and code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />' is a
		Current Medications on Discharge Exclusion Statement (also known as a Global Statement). It is present in the <xsl:text /><xsl:value-of select="$section/cda:title" /><xsl:text /> section with code '<xsl:text /><xsl:value-of select="$section/cda:code/@code" /><xsl:text />'
		however it is only valid to include this exclusion statement in a Current Medications on Discharge section, which has codeSystem '1.2.36.1.2001.1001.101' and
		code '101.16146.4.1.1'.
		(See the information about the Current Medications on Discharge Exclusion Statement in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide mapping tables.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($agency-section) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($agency-section)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-TC-Doc-01-low" /><xsl:text />: TC-Doc-01: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		identified by codeSystem '<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />' and code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />' is a
		Current Medications on Discharge Exclusion Statement (also known as a Global Statement). It is present in the section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />
		however the Current Medications on Discharge Exclusion Statement is expected to in a Current Medications on Discharge section, which has codeSystem '1.2.36.1.2001.1001.101' and
		code '101.16146.4.1.1'. Confrm if its inclusion in this section is valid.
		(See the information about the Current Medications on Discharge Exclusion Statement in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide mapping tables.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1036" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1036" />
  <xsl:template match="@*|node()" priority="-2" mode="M1036">
    <xsl:apply-templates select="@*|*" mode="M1036" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-Excl-4-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//cda:section[not(cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16638'])]/cda:entry/cda:observation/   cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.120.1.5']" priority="1000" mode="M1037">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//cda:section[not(cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16638'])]/cda:entry/cda:observation/   cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.120.1.5']" />
    <xsl:variable name="section" select=" ancestor::cda:section[position() = 1] " />
    <xsl:variable name="agency-section" select=" boolean($code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101']/code[@code=$section/cda:code/@code]) " />
    <xsl:variable name="title-and-code" select=" if ($section/cda:title and $section/cda:code/@code)         then concat('title ''', $section/cda:title, ''', code/codeSystem ''', $section/cda:code/@codeSystem, ''', code/code ''',          $section/cda:code/@code, '''')        else if ($section/cda:title and not($section/cda:code/@code)) then concat('title ''', $section/cda:title, '''')        else if (not($section/cda:title) and $section/cda:code/@code)          then concat('code/codeSystem ''', $section/cda:code/@codeSystem, '''code/code ''', $section/cda:code/@code, '''')        else '' " />
    <xsl:variable name="other-section-names" select=" if ($section/cda:code/@displayName and not($section/cda:code/cda:originalText))         then concat(' and code/displayName ''', $section/cda:code/@displayName, '''')         else if ($section/cda:code/@displayName and $section/cda:code/cda:originalText)          then concat(', code/displayName ''', $section/cda:code/@displayName,''' and code/originalText ''', $section/cda:code/cda:originalText, '''')        else if (not($section/cda:code/@displayName) and $section/cda:code/cda:originalText)         then concat(' and code/originalText ''', $section/cda:code/cda:originalText, '''')        else '' " />
    <xsl:variable name="section-names" select="concat($title-and-code, $other-section-names)" />
    <!--REPORT -->
    <xsl:if test=" $agency-section ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$agency-section">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-01-low" /><xsl:text />: TC-Doc-01: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		identified by codeSystem '<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />' and code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />' is a
		Immunisations Exclusion Statement (also known as a Global Statement). It is present in the <xsl:text /><xsl:value-of select="$section/cda:title" /><xsl:text /> section with code '<xsl:text /><xsl:value-of select="$section/cda:code/@code" /><xsl:text />'
		however it is only valid to include this exclusion statement in an Immunisations section, which has codeSystem '1.2.36.1.2001.1001.101' and
		code '101.16638'.
		(See the information about the Immunisations Exclusion Statement in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide mapping tables.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($agency-section) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($agency-section)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-TC-Doc-01-low" /><xsl:text />: TC-Doc-01: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		identified by codeSystem '<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />' and code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />' is a
		Immunisations Exclusion Statement (also known as a Global Statement). It is present in the section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />
		however the Immunisations Exclusion Statement is expected to in an Immunisations section, which has codeSystem '1.2.36.1.2001.1001.101' and
		code '101.16638'. Confrm if its inclusion in this section is valid.
		(See the information about the Immunisations Exclusion Statement in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide mapping tables.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1037" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1037" />
  <xsl:template match="@*|node()" priority="-2" mode="M1037">
    <xsl:apply-templates select="@*|*" mode="M1037" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-Excl-5-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//cda:section[not(cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146'])]/cda:entry/cda:observation/   cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('103.16302.2.2.1', '103.16302.120.1.2', '103.16302.132.1.1')]" priority="1000" mode="M1038">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//cda:section[not(cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146'])]/cda:entry/cda:observation/   cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('103.16302.2.2.1', '103.16302.120.1.2', '103.16302.132.1.1')]" />
    <xsl:variable name="section" select=" ancestor::cda:section[position() = 1] " />
    <xsl:variable name="agency-section" select=" boolean($code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101']/code[@code=$section/cda:code/@code]) " />
    <xsl:variable name="title-and-code" select=" if ($section/cda:title and $section/cda:code/@code)         then concat('title ''', $section/cda:title, ''', code/codeSystem ''', $section/cda:code/@codeSystem, ''', code/code ''',          $section/cda:code/@code, '''')        else if ($section/cda:title and not($section/cda:code/@code)) then concat('title ''', $section/cda:title, '''')        else if (not($section/cda:title) and $section/cda:code/@code)          then concat('code/codeSystem ''', $section/cda:code/@codeSystem, '''code/code ''', $section/cda:code/@code, '''')        else '' " />
    <xsl:variable name="other-section-names" select=" if ($section/cda:code/@displayName and not($section/cda:code/cda:originalText))         then concat(' and code/displayName ''', $section/cda:code/@displayName, '''')         else if ($section/cda:code/@displayName and $section/cda:code/cda:originalText)          then concat(', code/displayName ''', $section/cda:code/@displayName,''' and code/originalText ''', $section/cda:code/cda:originalText, '''')        else if (not($section/cda:code/@displayName) and $section/cda:code/cda:originalText)         then concat(' and code/originalText ''', $section/cda:code/cda:originalText, '''')        else '' " />
    <xsl:variable name="section-names" select="concat($title-and-code, $other-section-names)" />
    <!--REPORT -->
    <xsl:if test=" $agency-section ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$agency-section">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-01-low" /><xsl:text />: TC-Doc-01: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		identified by codeSystem '<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />' and code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />' is a
		Medications Exclusion Statement (also known as a Global Statement). It is present in the <xsl:text /><xsl:value-of select="$section/cda:title" /><xsl:text /> section with code '<xsl:text /><xsl:value-of select="$section/cda:code/@code" /><xsl:text />'
		however it is only valid to include this exclusion statement in a Medications section, which has codeSystem '1.2.36.1.2001.1001.101' and
		code '101.16146'.
		(See the information about the Medications Exclusion Statement in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide mapping tables.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($agency-section) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($agency-section)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-TC-Doc-01-low" /><xsl:text />: TC-Doc-01: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		identified by codeSystem '<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />' and code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />' is a
		Medications Exclusion Statement (also known as a Global Statement). It is present in the section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />
		however the Medications Exclusion Statement is expected to in a Medications section, which has codeSystem '1.2.36.1.2001.1001.101' and
		code '101.16146'. Confrm if its inclusion in this section is valid.
		(See the information about the Medications Exclusion Statement in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide mapping tables.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1038" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1038" />
  <xsl:template match="@*|node()" priority="-2" mode="M1038">
    <xsl:apply-templates select="@*|*" mode="M1038" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-Excl-6-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//cda:section[not(cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16142'])]/cda:entry/cda:observation/   cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.4.3.1']" priority="1000" mode="M1039">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//cda:section[not(cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16142'])]/cda:entry/cda:observation/   cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.4.3.1']" />
    <xsl:variable name="section" select=" ancestor::cda:section[position() = 1] " />
    <xsl:variable name="agency-section" select=" boolean($code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101']/code[@code=$section/cda:code/@code]) " />
    <xsl:variable name="title-and-code" select=" if ($section/cda:title and $section/cda:code/@code)         then concat('title ''', $section/cda:title, ''', code/codeSystem ''', $section/cda:code/@codeSystem, ''', code/code ''',          $section/cda:code/@code, '''')        else if ($section/cda:title and not($section/cda:code/@code)) then concat('title ''', $section/cda:title, '''')        else if (not($section/cda:title) and $section/cda:code/@code)          then concat('code/codeSystem ''', $section/cda:code/@codeSystem, '''code/code ''', $section/cda:code/@code, '''')        else '' " />
    <xsl:variable name="other-section-names" select=" if ($section/cda:code/@displayName and not($section/cda:code/cda:originalText))         then concat(' and code/displayName ''', $section/cda:code/@displayName, '''')         else if ($section/cda:code/@displayName and $section/cda:code/cda:originalText)          then concat(', code/displayName ''', $section/cda:code/@displayName,''' and code/originalText ''', $section/cda:code/cda:originalText, '''')        else if (not($section/cda:code/@displayName) and $section/cda:code/cda:originalText)         then concat(' and code/originalText ''', $section/cda:code/cda:originalText, '''')        else '' " />
    <xsl:variable name="section-names" select="concat($title-and-code, $other-section-names)" />
    <!--REPORT -->
    <xsl:if test=" $agency-section ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$agency-section">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-01-low" /><xsl:text />: TC-Doc-01: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		identified by codeSystem '<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />' and code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />' is a
		Problems and Diagnoses Exclusion Statement (also known as a Global Statement). It is present in the <xsl:text /><xsl:value-of select="$section/cda:title" /><xsl:text /> section with code '<xsl:text /><xsl:value-of select="$section/cda:code/@code" /><xsl:text />'
		however it is only valid to include this exclusion statement in a Problems/Diagnoses This Visit section, which has codeSystem '1.2.36.1.2001.1001.101' and
		code '101.16142'.
		(See the information about the Problems and Diagnoses Exclusion Statement in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide mapping tables.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($agency-section) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($agency-section)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-TC-Doc-01-low" /><xsl:text />: TC-Doc-01: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		identified by codeSystem '<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />' and code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />' is a
		Problems and Diagnoses Exclusion Statement (also known as a Global Statement). It is present in the section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />
		however the Problems and Diagnoses Exclusion Statement is expected to in a Problems/Diagnoses This Visit section, which has codeSystem '1.2.36.1.2001.1001.101' and
		code '101.16142'. Confrm if its inclusion in this section is valid.
		(See the information about the Problems and Diagnoses Exclusion Statement in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide mapping tables.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1039" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1039" />
  <xsl:template match="@*|node()" priority="-2" mode="M1039">
    <xsl:apply-templates select="@*|*" mode="M1039" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-Excl-7-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//cda:section[not(cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117'])]/cda:entry/cda:observation/   cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.120.1.3']" priority="1000" mode="M1040">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//cda:section[not(cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117'])]/cda:entry/cda:observation/   cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.120.1.3']" />
    <xsl:variable name="section" select=" ancestor::cda:section[position() = 1] " />
    <xsl:variable name="agency-section" select=" boolean($code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101']/code[@code=$section/cda:code/@code]) " />
    <xsl:variable name="title-and-code" select=" if ($section/cda:title and $section/cda:code/@code)         then concat('title ''', $section/cda:title, ''', code/codeSystem ''', $section/cda:code/@codeSystem, ''', code/code ''',          $section/cda:code/@code, '''')        else if ($section/cda:title and not($section/cda:code/@code)) then concat('title ''', $section/cda:title, '''')        else if (not($section/cda:title) and $section/cda:code/@code)          then concat('code/codeSystem ''', $section/cda:code/@codeSystem, '''code/code ''', $section/cda:code/@code, '''')        else '' " />
    <xsl:variable name="other-section-names" select=" if ($section/cda:code/@displayName and not($section/cda:code/cda:originalText))         then concat(' and code/displayName ''', $section/cda:code/@displayName, '''')         else if ($section/cda:code/@displayName and $section/cda:code/cda:originalText)          then concat(', code/displayName ''', $section/cda:code/@displayName,''' and code/originalText ''', $section/cda:code/cda:originalText, '''')        else if (not($section/cda:code/@displayName) and $section/cda:code/cda:originalText)         then concat(' and code/originalText ''', $section/cda:code/cda:originalText, '''')        else '' " />
    <xsl:variable name="section-names" select="concat($title-and-code, $other-section-names)" />
    <!--REPORT -->
    <xsl:if test=" $agency-section ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$agency-section">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-01-low" /><xsl:text />: TC-Doc-01: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		identified by codeSystem '<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />' and code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />' is a
		Problems and Diagnoses Exclusion Statement (also known as a Global Statement). It is present in the <xsl:text /><xsl:value-of select="$section/cda:title" /><xsl:text /> section with code '<xsl:text /><xsl:value-of select="$section/cda:code/@code" /><xsl:text />'
		however it is only valid to include this exclusion statement in a Medical History section, which has codeSystem '1.2.36.1.2001.1001.101' and
		code '101.16117'.
		(See the information about the Problems and Diagnoses Exclusion Statement in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide mapping tables.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($agency-section) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($agency-section)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-TC-Doc-01-low" /><xsl:text />: TC-Doc-01: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		identified by codeSystem '<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />' and code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />' is a
		Problems and Diagnoses Exclusion Statement (also known as a Global Statement). It is present in the section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />
		however the Problems and Diagnoses Exclusion Statement is expected to in a Medical History section, which has codeSystem '1.2.36.1.2001.1001.101' and
		code '101.16117'. Confrm if its inclusion in this section is valid.
		(See the information about the Problems and Diagnoses Exclusion Statement in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide mapping tables.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1040" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1040" />
  <xsl:template match="@*|node()" priority="-2" mode="M1040">
    <xsl:apply-templates select="@*|*" mode="M1040" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-Excl-8-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//cda:section[not(cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117'])]/cda:entry/cda:observation/   cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.120.1.4']" priority="1000" mode="M1041">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//cda:section[not(cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117'])]/cda:entry/cda:observation/   cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.120.1.4']" />
    <xsl:variable name="section" select=" ancestor::cda:section[position() = 1] " />
    <xsl:variable name="agency-section" select=" boolean($code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101']/code[@code=$section/cda:code/@code]) " />
    <xsl:variable name="title-and-code" select=" if ($section/cda:title and $section/cda:code/@code)         then concat('title ''', $section/cda:title, ''', code/codeSystem ''', $section/cda:code/@codeSystem, ''', code/code ''',          $section/cda:code/@code, '''')        else if ($section/cda:title and not($section/cda:code/@code)) then concat('title ''', $section/cda:title, '''')        else if (not($section/cda:title) and $section/cda:code/@code)          then concat('code/codeSystem ''', $section/cda:code/@codeSystem, '''code/code ''', $section/cda:code/@code, '''')        else '' " />
    <xsl:variable name="other-section-names" select=" if ($section/cda:code/@displayName and not($section/cda:code/cda:originalText))         then concat(' and code/displayName ''', $section/cda:code/@displayName, '''')         else if ($section/cda:code/@displayName and $section/cda:code/cda:originalText)          then concat(', code/displayName ''', $section/cda:code/@displayName,''' and code/originalText ''', $section/cda:code/cda:originalText, '''')        else if (not($section/cda:code/@displayName) and $section/cda:code/cda:originalText)         then concat(' and code/originalText ''', $section/cda:code/cda:originalText, '''')        else '' " />
    <xsl:variable name="section-names" select="concat($title-and-code, $other-section-names)" />
    <!--REPORT -->
    <xsl:if test=" $agency-section ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$agency-section">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-01-low" /><xsl:text />: TC-Doc-01: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		identified by codeSystem '<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />' and code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />' is a
		Procedures Exclusion Statement (also known as a Global Statement). It is present in the <xsl:text /><xsl:value-of select="$section/cda:title" /><xsl:text /> section with code '<xsl:text /><xsl:value-of select="$section/cda:code/@code" /><xsl:text />'
		however it is only valid to include this exclusion statement in a Medical History section, which has codeSystem '1.2.36.1.2001.1001.101' and
		code '101.16117'.
		(See the information about the Procedures Exclusion Statement in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide mapping tables.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($agency-section) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($agency-section)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-TC-Doc-01-low" /><xsl:text />: TC-Doc-01: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		identified by codeSystem '<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />' and code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />' is a
		Procedures Exclusion Statement (also known as a Global Statement). It is present in the section with <xsl:text /><xsl:value-of select="$section-names" /><xsl:text />
		however the Procedures Exclusion Statement is expected to in a Medical History section, which has codeSystem '1.2.36.1.2001.1001.101' and
		code '101.16117'. Confrm if its inclusion in this section is valid.
		(See the information about the Procedures Exclusion Statement in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide mapping tables.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1041" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1041" />
  <xsl:template match="@*|node()" priority="-2" mode="M1041">
    <xsl:apply-templates select="@*|*" mode="M1041" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-Diag-Prof-1-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.222' and @extension = '1.0']]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145'] and (not(cda:text) or normalize-space(cda:text) = '')]/cda:title" priority="1000" mode="M1042">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.222' and @extension = '1.0']]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145'] and (not(cda:text) or normalize-space(cda:text) = '')]/cda:title" />
    <!--REPORT -->
    <xsl:if test=" . ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test=".">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-1" /><xsl:text />: TC-Doc-05 step 1: The <xsl:text /><xsl:value-of select="iq:location(., 'Imaging Examination Result section')" /><xsl:text /> has a title and no narrative. When there is no narrative the title must be omitted.	
		(See requirement 026616 of the Diagnostic Imaging Report Conformance Profile v1.1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1042" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1042" />
  <xsl:template match="@*|node()" priority="-2" mode="M1042">
    <xsl:apply-templates select="@*|*" mode="M1042" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-Diag-Map-1-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/cda:entryRelationship/cda:act/cda:entryRelationship/    cda:act/cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16515', '103.16515')]]/cda:effectiveTime |   /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/cda:entryRelationship/cda:act[    cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16511']]/    cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16515', '103.16515')]]/cda:effectiveTime " priority="1000" mode="M1043">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/cda:entryRelationship/cda:act/cda:entryRelationship/    cda:act/cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16515', '103.16515')]]/cda:effectiveTime |   /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/cda:entryRelationship/cda:act[    cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16511']]/    cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16515', '103.16515')]]/cda:effectiveTime " />
    <xsl:variable name="diag-1-0" select="exists(/cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.222' and @extension = '1.0']]) " />
    <xsl:variable name="image-dte" select="current() " />
    <xsl:variable name="image-dt" select="if ($image-dte/@value) then $image-dte/@value else '' " />
    <xsl:variable name="image-dt-w-time" select="matches($image-dt, '^[0-9]{12,}')" />
    <xsl:variable name="observation-dte" select="ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/        cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16589']]/cda:effectiveTime " />
    <xsl:variable name="observation-dt" select="if ($observation-dte/@value) then $observation-dte/@value else '' " />
    <xsl:variable name="requester-ppe" select="if ($diag-1-0) then /cda:ClinicalDocument/cda:participant/cda:time else () " />
    <xsl:variable name="requester-end" select="if (not($requester-ppe)) then ''        else if ($requester-ppe/@value) then $requester-ppe/@value        else if ($requester-ppe/cda:high/@value) then $requester-ppe/cda:high/@value        else '' " />
    <xsl:variable name="reporting-ppe" select="if ($diag-1-0) then /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16945']]/cda:author/cda:time else () " />
    <xsl:variable name="reporting-end" select="if (not($reporting-ppe)) then ''         else if ($reporting-ppe/@value) then $reporting-ppe/@value        else if ($reporting-ppe/cda:high/@value) then $reporting-ppe/cda:high/@value        else '' " />
    <xsl:variable name="related-dte" select="if ($diag-1-0) then /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16945']]/cda:entry/        cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16971']]/cda:effectiveTime else () " />
    <xsl:variable name="related-dt" select="if (not($related-dte)) then '' else if ($related-dte/cda:low/@value) then $related-dte/cda:low/@value else '' " />
    <xsl:variable name="authored-dte" select="if (/cda:ClinicalDocument/cda:author/cda:time) then /cda:ClinicalDocument/cda:author/cda:time else () " />
    <xsl:variable name="authored-dt" select="if ($authored-dte/@value) then $authored-dte/@value         else if ($authored-dte/cda:high/@value) then $authored-dte/cda:high/@value        else '' " />
    <xsl:variable name="encounter-ivl" select="/cda:ClinicalDocument/cda:componentOf/cda:encompassingEncounter/cda:effectiveTime " />
    <xsl:variable name="encounter-end" select="if ($encounter-ivl/cda:high/@value) then $encounter-ivl/cda:high/@value else if ($encounter-ivl/@value) then $encounter-ivl/@value else '' " />
    <xsl:variable name="same-dt-err" select="if ($observation-dt = '' or $image-dt = '') then false()        else if (matches($observation-dt, '^[0-9]{12,}') and matches($image-dt, '^[0-9]{12,}') and string-length($observation-dt) = string-length($image-dt))          then not(dh:AreDatesEqual($observation-dt, $image-dt) = '1')        else if (matches($observation-dt, '^[0-9]{12,}') and matches($image-dt, '^[0-9]{12,}'))         then not(dh:AreDatesEqual(replace($observation-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3'),           replace($image-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3')) = '1')        else if (matches($observation-dt, '^[0-9]{4}') and matches($image-dt, '^[0-9]{4}'))         then not(dh:AreDatesEqual($observation-dt, $image-dt) = '1')        else false() " />
    <xsl:variable name="same-related-err" select="$image-dt-w-time and dh:AreDatesEqual($image-dt, $related-dt) = '1' " />
    <xsl:variable name="same-reporting-err" select="$image-dt-w-time and dh:AreDatesEqual($image-dt, $reporting-end) = '1' " />
    <xsl:variable name="requester-end-err" select="if ($image-dt = '' or $requester-end = '') then false()        else if (matches($image-dt, '^[0-9]{12,}') and matches($requester-end, '^[0-9]{12,}') and string-length($image-dt) = string-length($requester-end))          then dh:IsFirstDateEarlierThanSecondDate($image-dt, $requester-end) = '1'        else if (matches($image-dt, '^[0-9]{12,}') and matches($requester-end, '^[0-9]{12,}'))          then dh:IsFirstDateEarlierThanSecondDate(replace($image-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3'),           replace($requester-end, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3')) = '1'        else if ($body-same-timezones and matches($requester-end, '^[0-9]{8}$') and matches($image-dt, concat('^', $requester-end, '[0]{4}'))) then true()        else if (matches($image-dt, '^[0-9]{4}') and matches($requester-end, '^[0-9]{4}'))         then dh:IsFirstDateEarlierThanSecondDate(substring($image-dt, '1', string-length($requester-end)),           substring($requester-end, '1', string-length($image-dt))) = '1'        else false() " />
    <xsl:variable name="reporting-end-err" select="if ($reporting-end = '' or $image-dt = '') then false()        else if (matches($reporting-end, '^[0-9]{12,}') and matches($image-dt, '^[0-9]{12,}') and string-length($reporting-end) = string-length($image-dt))          then dh:IsFirstDateEarlierThanSecondDate($reporting-end, $image-dt) = '1'        else if (matches($reporting-end, '^[0-9]{12,}') and matches($image-dt, '^[0-9]{12,}'))          then dh:IsFirstDateEarlierThanSecondDate(replace($reporting-end, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3'),           replace($image-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3')) = '1'        else if ($body-same-timezones and matches($image-dt, '^[0-9]{8}$') and matches($reporting-end, concat('^', $image-dt, '[0]{4}'))) then true()        else if (matches($reporting-end, '^[0-9]{4}') and matches($image-dt, '^[0-9]{4}'))         then dh:IsFirstDateEarlierThanSecondDate(substring($reporting-end, '1', string-length($image-dt)),           substring($image-dt, '1', string-length($reporting-end))) = '1'        else false() " />
    <xsl:variable name="related-dt-err" select="if ($related-dt = '' or $image-dt = '') then false()        else if (matches($related-dt, '^[0-9]{12,}') and matches($image-dt, '^[0-9]{12,}') and string-length($related-dt) = string-length($image-dt))          then dh:IsFirstDateEarlierThanSecondDate($related-dt, $image-dt) = '1'        else if (matches($related-dt, '^[0-9]{12,}') and matches($image-dt, '^[0-9]{12,}'))          then dh:IsFirstDateEarlierThanSecondDate(replace($related-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3'),           replace($image-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3')) = '1'        else if ($body-same-timezones and matches($image-dt, '^[0-9]{8}$') and matches($related-dt, concat('^', $image-dt, '[0]{4}'))) then true()        else if (matches($related-dt, '^[0-9]{4}') and matches($image-dt, '^[0-9]{4}'))         then dh:IsFirstDateEarlierThanSecondDate(substring($related-dt, '1', string-length($image-dt)),           substring($image-dt, '1', string-length($related-dt))) = '1'        else false() " />
    <xsl:variable name="obs-before-image" select="if ($observation-dt = '' or $image-dt = '') then false()        else if (matches($observation-dt, '^[0-9]{12,}') and matches($image-dt, '^[0-9]{12,}') and          string-length($observation-dt) = string-length($image-dt))          then dh:IsFirstDateEarlierThanSecondDate($observation-dt, $image-dt) = '1'        else if (matches($observation-dt, '^[0-9]{12,}') and matches($image-dt, '^[0-9]{12,}'))          then dh:IsFirstDateEarlierThanSecondDate(replace($observation-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3'),           replace($image-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3')) = '1'        else if ($body-same-timezones and matches($image-dt, '^[0-9]{8}$') and matches($observation-dt, concat('^', $image-dt, '[0]{4}'))) then true()        else if (matches($observation-dt, '^[0-9]{4}') and matches($image-dt, '^[0-9]{4}'))         then dh:IsFirstDateEarlierThanSecondDate(substring($observation-dt, '1', string-length($image-dt)),           substring($image-dt, '1', string-length($observation-dt))) = '1'        else false() " />
    <xsl:variable name="authored-before-image" select="if ($authored-dt = '' or $image-dt = '') then false()        else if (matches($authored-dt, '^[0-9]{12,}') and matches($image-dt, '^[0-9]{12,}') and          string-length($authored-dt) = string-length($image-dt))          then dh:IsFirstDateEarlierThanSecondDate($authored-dt, $image-dt) = '1'        else if (matches($authored-dt, '^[0-9]{12,}') and matches($image-dt, '^[0-9]{12,}'))          then dh:IsFirstDateEarlierThanSecondDate(replace($authored-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3'),           replace($image-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3')) = '1'        else if ($body-same-timezones and matches($image-dt, '^[0-9]{8}$') and matches($authored-dt, concat('^', $image-dt, '[0]{4}'))) then true()        else if (matches($authored-dt, '^[0-9]{4}') and matches($image-dt, '^[0-9]{4}'))         then dh:IsFirstDateEarlierThanSecondDate(substring($authored-dt, '1', string-length($image-dt)),           substring($image-dt, '1', string-length($authored-dt))) = '1'        else false() " />
    <xsl:variable name="encounter-end-before-obs" select="if ($encounter-end = '' or $observation-dt = '') then false()        else if (matches($encounter-end, '^[0-9]{12,}') and matches($observation-dt, '^[0-9]{12,}') and          string-length($encounter-end) = string-length($observation-dt))          then dh:IsFirstDateEarlierThanSecondDate($encounter-end, $observation-dt) = '1'        else if (matches($encounter-end, '^[0-9]{12,}') and matches($observation-dt, '^[0-9]{12,}'))          then dh:IsFirstDateEarlierThanSecondDate(replace($encounter-end, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3'),           replace($observation-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3')) = '1'        else if ($body-same-timezones and matches($observation-dt, '^[0-9]{8}$') and matches($encounter-end, concat('^', $observation-dt, '[0]{4}'))) then true()        else if (matches($encounter-end, '^[0-9]{4}') and matches($observation-dt, '^[0-9]{4}'))         then dh:IsFirstDateEarlierThanSecondDate(substring($encounter-end, '1', string-length($observation-dt)),           substring($observation-dt, '1', string-length($encounter-end))) = '1'        else false() " />
    <xsl:variable name="authored-name" select="if (not($authored-before-image)) then ''        else if (/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.170' and @extension = '1.0']) then 'DateTime Prescription Written'         else if (/cda:ClinicalDocument/cda:templateId[        (@root = '1.2.36.1.2001.1001.101.100.1002.156' and @extension = '1.0')    or        (@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4')     or        (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')    or        (@root = '1.2.36.1.2001.1001.101.100.1002.136' and (@extension = '1.2' or @extension = '1.3')) or        (@root = '1.2.36.1.2001.1001.101.100.1002.120' and (@extension = '1.3' or @extension = '1.4')) or        (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')    or        (@root = '1.2.36.1.2001.1001.100.1002.171' and @extension = '1.0')    ]) then 'DateTime Authored'         else 'end of the Document Author Participation Period' " />
    <xsl:variable name="reporting-low-inc" select="if (not($reporting-end-err or $same-reporting-err)) then ''        else if (not($reporting-ppe/cda:low or $reporting-ppe/@value)) then ''        else if ($reporting-ppe/cda:low/@inclusive='false') then ' (excluded)'        else ' (included)' " />
    <xsl:variable name="reporting-high-inc" select="if (not($reporting-end-err or $same-reporting-err)) then ''        else if (not($reporting-ppe/cda:high or $reporting-ppe/@value)) then ''        else if ($reporting-ppe/cda:high/@inclusive='false') then ' (excluded)'        else ' (included)' " />
    <xsl:variable name="reporting-interval" select="if (not($reporting-end-err or $same-reporting-err)) then ''        else if ($reporting-ppe/@value)         then concat(' the Reporting Radiologist Participation Period starts and ends at ''', $reporting-ppe/@value, '''')        else if ($reporting-ppe/cda:low/@value and $reporting-ppe/cda:high/@value)         then concat(' the Reporting Radiologist Participation Period starts at ''', $reporting-ppe/cda:low/@value, '''', $reporting-low-inc,         ' and ends at ', $reporting-ppe/cda:high/@value, '''', $reporting-high-inc, '''')        else if ($reporting-ppe/cda:low/@value)         then concat(' the Reporting Radiologist Participation Period starts at ''', $reporting-ppe/cda:low/@value, '''', $reporting-low-inc, '''')        else if ($reporting-ppe/cda:high/@value)         then concat(' the Reporting Radiologist Participation Period ends at ''', $reporting-ppe/cda:high/@value, '''', $reporting-high-inc, '''')        else '' " />
    <xsl:variable name="observation-dt-name" select="if (/cda:ClinicalDocument[cda:templateId[        (@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4') or        (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2') or        (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3') or        (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2') ]]) then 'Imaging Examination Result DateTime' else 'Observation DateTime' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-01" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-01 " />
    <xsl:variable name="rating-05-step-2" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-05-step-2 " />
    <!--REPORT -->
    <xsl:if test=" $diag-1-0 and $same-dt-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$diag-1-0 and $same-dt-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-05-step-2" /><xsl:text />: TC-Doc-05 step 2: The Image DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$image-dt" /><xsl:text />' and the Observation DateTime 'entryRelationship/observation/effectiveTime'
		data element in the same section has the value
		'<xsl:text /><xsl:value-of select="$observation-dt" /><xsl:text />' however these are required to be the same. (See section 7.1.1.1 of the Diagnostic Imaging Report CDA Implementation Guide v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $diag-1-0 and $observation-dte/@value and not($image-dte/@value) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$diag-1-0 and $observation-dte/@value and not($image-dte/@value)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-05-step-2" /><xsl:text />: TC-Doc-05 step 2: The Image DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> does not have a value and the Observation DateTime 'entryRelationship/observation/effectiveTime'
		data element in the same section has the value '<xsl:text /><xsl:value-of select="$observation-dt" /><xsl:text />' however these are required to have the same value.
		(See section 7.1.1.1 of the Diagnostic Imaging Report CDA Implementation Guide v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $diag-1-0 and not($observation-dte/@value) and $image-dte/@value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$diag-1-0 and not($observation-dte/@value) and $image-dte/@value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-05-step-2" /><xsl:text />: TC-Doc-05 step 2: The Image DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$image-dte/@value" /><xsl:text />' and the Observation DateTime 'entryRelationship/observation/effectiveTime'
		data element in the same section does not have a value however these are required to have the same value.
		(See section 7.1.1.1 of the Diagnostic Imaging Report CDA Implementation Guide v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $diag-1-0 and $observation-dte/@nullFlavor and $image-dte/@nullFlavor and not($observation-dte/@nullFlavor = $image-dte/@nullFlavor) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$diag-1-0 and $observation-dte/@nullFlavor and $image-dte/@nullFlavor and not($observation-dte/@nullFlavor = $image-dte/@nullFlavor)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
 
		Error<xsl:text /><xsl:value-of select="$rating-05-step-2" /><xsl:text />: TC-Doc-05 step 2: The Image DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="$image-dte/@nullFlavor" /><xsl:text />' and the Observation DateTime
		'entryRelationship/observation/effectiveTime' data element in the same section has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="$observation-dte/@nullFlavor" /><xsl:text />'
		however these are required to be the same. (See section 7.1.1.1 of the Diagnostic Imaging Report CDA Implementation Guide v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$diag-1-0 and $requester-end-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$diag-1-0 and $requester-end-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Image DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$image-dt" /><xsl:text />' and the Requester Participation Period 'ClinicalDocument/participant/time' data element in
		the document header has a value indicating that the request for diagnostic imaging services was completed at '<xsl:text /><xsl:value-of select="$requester-end" /><xsl:text />'.
		The request for diagnostic imaging services cannot occur after the the Image DateTime as imaging would not be performed if there is no request to do so.
		(See the definitions of Image DateTime and Requester Participation Period in sections 7.1.1.1.1 and 6.1.4 of the Diagnostic Imaging Report CDA Implementation Guide v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$diag-1-0 and $reporting-end-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$diag-1-0 and $reporting-end-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Image DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$image-dt" /><xsl:text />' and the Reporting Radiologist Participation Period
		'section/author/time' data element has a value indicating<xsl:text /><xsl:value-of select="$reporting-interval" /><xsl:text /> which means the Reporting Radiologist completed their work before the last image was
		taken. It is an error for the end of the Reporting Radiologist Participation Period to occur before the Image DateTime.
		(See the definitions of Image DateTime and Requester Participation Period in sections 7.1.1.1.1 and 7.1.1.2 of the Diagnostic Imaging Report CDA Implementation Guide v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$diag-1-0 and $related-dt-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$diag-1-0 and $related-dt-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Image DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$image-dt" /><xsl:text />' and the Related Document Report DateTime 'entry/act/effectiveTime' data element
		in the Diagnostic Imaging section has the value '<xsl:text /><xsl:value-of select="$related-dt" /><xsl:text />' which means the report about the imaging was written before the before the last image was
		taken. It is an error for the end of the Related Document Report DateTime to occur before the Image DateTime.
		(See the definitions of Image DateTime and Related Document Report DateTime in sections 7.1.1.1.1 and 7.1.1.3 of the Diagnostic Imaging Report CDA Implementation Guide v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($diag-1-0) and $obs-before-image ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($diag-1-0) and $obs-before-image">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Image DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$image-dt" /><xsl:text />'
		and the <xsl:text /><xsl:value-of select="$observation-dt-name" /><xsl:text /> 'entry/observation/entryRelationship/observation/effectiveTime'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$observation-dt" /><xsl:text />' which is before the Image DateTime.
		The Image DateTime is the date and optionally the time that an individual imaging examination was performed.
		The <xsl:text /><xsl:value-of select="$observation-dt-name" /><xsl:text /> is the date and optionally time of the clinically significant event and for imaging this is when the last image
		was taken. Therefore it is an error for the <xsl:text /><xsl:value-of select="$observation-dt-name" /><xsl:text /> to be before the Image DateTime.
		(See the definitions of Image DateTime and <xsl:text /><xsl:value-of select="$observation-dt-name" /><xsl:text /> in the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and in the Imaging Examination Result
		Detailed Clinical Model Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$authored-before-image ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$authored-before-image">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Image DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$image-dt" /><xsl:text />' and the <xsl:text /><xsl:value-of select="$authored-name" /><xsl:text />
		'ClinicalDocument/author/time' data element in the document header has the value '<xsl:text /><xsl:value-of select="$authored-dt" /><xsl:text />'
		which is before the Image DateTime. It is not possible for the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> to be authored before the image was taken
		and documented in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See the definitions of Image DateTime in the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and the definition of <xsl:text /><xsl:value-of select="$authored-name" /><xsl:text /> in section 6 of the
		<xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $diag-1-0 and $same-related-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$diag-1-0 and $same-related-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Image DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> is the date and time that the imaging examination was performed and has the value '<xsl:text /><xsl:value-of select="$image-dt" /><xsl:text />' and the
		Related Document Report DateTime 'act/effectiveTime/low' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$related-dt" /><xsl:text />' which is the same as the
		Image DateTime. One or both of these data elements has the wrong value as it is not possible for the imaging examination to be performed and the report to be created
		at the same time. (See sections 7.1.1.1.1 and 7.1.1.3 of the Diagnostic Imaging Report CDA Implementation Guide v1.0.)
		The imaging examination is completed when the observation is performed which is defined as being when the last image is taken.
		(See section 7.1.1 of the Diagnostic Imaging Report CDA Implementation Guide v1.0 and section 3.22 of the Diagnostic Imaging Report Structured Content Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $diag-1-0 and $same-reporting-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$diag-1-0 and $same-reporting-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Image DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> is the date and time that the imaging examination was performed and has the value '<xsl:text /><xsl:value-of select="$image-dt" /><xsl:text />'.
		The Reporting Radiologist Participation Period 'section/author/time' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a value indicating<xsl:text /><xsl:value-of select="$reporting-interval" /><xsl:text />
		which means the Reporting Radiologist completed their report at the same time the last image was taken.
		One or both of these data elements has the wrong value as it is not possible for the imaging examination to be performed and the radiologist to complete their work at the same time
		(See sections 7.1.1 and 7.1.1.3 of the Diagnostic Imaging Report CDA Implementation Guide v1.0.)
		The imaging examination is completed when the observation is performed which is defined as being when the last image is taken.
		(See section 7.1.1 of the Diagnostic Imaging Report CDA Implementation Guide v1.0 and section 3.22 of the Diagnostic Imaging Report Structured Content Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $encounter-end-before-obs ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$encounter-end-before-obs">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The 
		<xsl:text /><xsl:value-of select="if (/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2']) then 'end of the Encounter Period TimeInterval'   else if (/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3']) then 'DateTime Health Event Ended'   else 'EncompassingEncounter' " /><xsl:text /> 'ClinicalDocument/componentOf/encompassingEncounter' data element indicates the
		clinical encounter during which the documented health event occurred ended at '<xsl:text /><xsl:value-of select="$encounter-end" /><xsl:text />' and the
		<xsl:text /><xsl:value-of select="$observation-dt-name" /><xsl:text /> 'entry/observation/entryRelationship/observation/effectiveTime'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$observation-dt" /><xsl:text />' which is after the clinical encounter ended.
		The <xsl:text /><xsl:value-of select="$observation-dt-name" /><xsl:text /> is the clinically significant date and optionally time of the observation.
		For a series of images this is the date and optionally time when the last image was taken.
		It is not possible for the observation to be performed after the clinical encounter ended.
		(See the definition of <xsl:text /><xsl:value-of select="$observation-dt-name" /><xsl:text /> in the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and the definition of EncompassingEncounter in section
		4.2.3.5 of HL7 Clinical Document Architecture, Release 2.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1043" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1043" />
  <xsl:template match="@*|node()" priority="-2" mode="M1043">
    <xsl:apply-templates select="@*|*" mode="M1043" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-Diag-Map-2-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.222' and @extension = '1.0']]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16945']]/cda:entry/cda:act/cda:effectiveTime " priority="1000" mode="M1044">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.222' and @extension = '1.0']]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16945']]/cda:entry/cda:act/cda:effectiveTime " />
    <xsl:variable name="related-dt" select="if (cda:low/@value) then cda:low/@value else '' " />
    <xsl:variable name="request-dt" select="if (not(/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.222' and @extension = '1.0'])) then ''        else if (/cda:ClinicalDocument/cda:participant/cda:time/@value) then /cda:ClinicalDocument/cda:participant/cda:time/@value        else if (/cda:ClinicalDocument/cda:participant/cda:time/cda:high/@value) then /cda:ClinicalDocument/cda:participant/cda:time/cda:high/@value        else '' " />
    <xsl:variable name="request-dt-w-time" select="matches($request-dt, '^[0-9]{12,}')" />
    <xsl:variable name="reporting-ppe" select="if (/cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.222']]) then         /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16945']]/cda:author/cda:time        else () " />
    <xsl:variable name="reporting-start" select="if (not($reporting-ppe)) then ''        else if ($reporting-ppe/@value) then $reporting-ppe/@value        else if ($reporting-ppe/cda:low/@value) then $reporting-ppe/cda:low/@value        else '' " />
    <xsl:variable name="request-dt-err" select="if (matches($related-dt, '^[0-9]{12,}') and $request-dt-w-time and string-length($related-dt) = string-length($request-dt))          then dh:IsFirstDateEarlierThanSecondDate($request-dt, $related-dt) = '0'        else if (matches($related-dt, '^[0-9]{12,}') and $request-dt-w-time)          then dh:IsFirstDateEarlierThanSecondDate(replace($related-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3'),           replace($request-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3')) = '1'        else if ($body-same-timezones and not($request-dt-w-time) and matches($related-dt, concat('^', $request-dt, '[0]{4}'))) then true()        else if (matches($related-dt, '^[0-9]{4}') and matches($request-dt, '^[0-9]{4}'))         then dh:IsFirstDateEarlierThanSecondDate(substring($related-dt, '1', string-length($request-dt)),           substring($request-dt, '1', string-length($related-dt))) = '1'        else false() " />
    <xsl:variable name="same-dt-err" select="if (not($request-dt-err)) then false()        else if ($request-dt-w-time and matches($related-dt, '^[0-9]{12,}') and string-length($request-dt) = string-length($related-dt))          then dh:AreDatesEqual($request-dt, $related-dt) = '1'        else if ($request-dt-w-time and matches($related-dt, '^[0-9]{12,}'))         then dh:AreDatesEqual(replace($request-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3'),           replace($related-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3')) = '1'        else if (matches($request-dt, '^[0-9]{4}') and matches($related-dt, '^[0-9]{4}'))         then dh:AreDatesEqual($request-dt, $related-dt) = '1'        else false() " />
    <xsl:variable name="related-dt-err" select="if (matches($related-dt, '^[0-9]{12,}') and matches($reporting-start, '^[0-9]{12,}') and string-length($related-dt) = string-length($reporting-start))          then dh:IsFirstDateEarlierThanSecondDate($related-dt, $reporting-start) = '1'        else if (matches($related-dt, '^[0-9]{12,}') and matches($reporting-start, '^[0-9]{12,}'))          then dh:IsFirstDateEarlierThanSecondDate(replace($related-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3'),           replace($reporting-start, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3')) = '1'        else if (matches($related-dt, '^[0-9]{4}') and matches($reporting-start, '^[0-9]{4}'))         then dh:IsFirstDateEarlierThanSecondDate(substring($related-dt, '1', string-length($reporting-start)),           substring($reporting-start, '1', string-length($related-dt))) = '1'        else false() " />
    <xsl:variable name="reporting-low-inc" select="if (not($related-dt-err)) then ''        else if (not($reporting-ppe/cda:low or $reporting-ppe/@value)) then ''        else if ($reporting-ppe/cda:low/@inclusive='false') then ' (excluded)'        else ' (included)' " />
    <xsl:variable name="reporting-high-inc" select="if (not($related-dt-err)) then ''        else if (not($reporting-ppe/cda:high or $reporting-ppe/@value)) then ''        else if ($reporting-ppe/cda:high/@inclusive='false') then ' (excluded)'        else ' (included)' " />
    <xsl:variable name="reporting-interval" select="if (not($related-dt-err)) then ''        else if ($reporting-ppe/@value)         then concat(' the Reporting Radiologist Participation Period starts and ends at ''', $reporting-ppe/@value, '''')        else if ($reporting-ppe/cda:low/@value and $reporting-ppe/cda:high/@value)         then concat(' the Reporting Radiologist Participation Period starts at ''', $reporting-ppe/cda:low/@value, '''', $reporting-low-inc,         ' and ends at ', $reporting-ppe/cda:high/@value, '''', $reporting-high-inc, '''')        else if ($reporting-ppe/cda:low/@value)         then concat(' the Reporting Radiologist Participation Period starts at ''', $reporting-ppe/cda:low/@value, '''', $reporting-low-inc, '''')        else if ($reporting-ppe/cda:high/@value)         then concat(' the Reporting Radiologist Participation Period ends at ''', $reporting-ppe/cda:high/@value, '''', $reporting-high-inc, '''')        else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-01" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-01 " />
    <xsl:variable name="rating-05-step-1" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-05-step-1 " />
    <!--REPORT -->
    <xsl:if test=" not(cda:low) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:low)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-05-step-1" /><xsl:text />: TC-Doc-05 step 1: The Related Document Report DateTime 'act/effectiveTime' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> does not
		contain the 'low' data element whereas the date the report is written is the low date of the time interval.
		(See the mapping table in section 7.1.1.3 of the Diagnostic Imaging Report CDA Implementation Guide v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $same-dt-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$same-dt-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Related Document Report DateTime 'act/effectiveTime/low' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$related-dt" /><xsl:text />' which is the same as the date and time of the request for diagnostic imaging services recorded in the Requester Participation Period
		'ClinicalDocument/participant/time' data element. One or both of these data elements has the wrong value as it is not possible for the service to be requested and the report to be created
		at the same time. (See sections 6.1.4 and 7.1.1.3 of the Diagnostic Imaging Report CDA Implementation Guide v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $request-dt-err and not($same-dt-err) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$request-dt-err and not($same-dt-err)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Related Document Report DateTime 'act/effectiveTime/low' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$related-dt" /><xsl:text />' which is a date and time before the date and time '<xsl:text /><xsl:value-of select="$request-dt" /><xsl:text />' of the request for diagnostic imaging services
		recorded in the Requester Participation Period 'ClinicalDocument/participant/time' data element. One or both of these data elements has the wrong value as it is not possible for the report
		to be created before the service was requested. (See the definitions of the Requester Participation Period and Related Document Report DateTime in
		sections 6.1.4 and 7.1.1.3 of the Diagnostic Imaging Report CDA Implementation Guide v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$related-dt-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$related-dt-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Related Document Report DateTime 'act/effectiveTime/low' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$related-dt" /><xsl:text />' and the Reporting Radiologist Participation Period 'section/author/time' data element has a value
		indicating<xsl:text /><xsl:value-of select="$reporting-interval" /><xsl:text /> which means the report was written by the Reporting Radiologist before the Reporting Radiologist commenced work.
		(See the definitions of Reporting Radiologist Participation Period and Related Document Report DateTime in sections 7.1.1.2 and 7.1.1.3 of the
		Diagnostic Imaging Report CDA Implementation Guide v1.0.)
		The Participation Period has the TimeInterval data type which is derived from the HL7 'IVL_TS' data type. When a 'value' attribute
		is used for a time interval the time interval's low and high boundaries are the value of the 'value' attribute and the width of the time interval is inferred
		from the precision of the value. (See section 2.4 of the Participation Data Specification v3.2, section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0
		and section 3.8.1 of the HL7 Data Types - Abstract Specification.) If the intention was to record only the end of the Reporting
		Radiologist Participation Period then the Reporting Radiologist Participation Period 'section/author/time' data element should not have a 'value' attribute and instead should contain an
		xsi:type attribute with the value 'IVL_TS' and a high element with a 'value' attribute with the value '<xsl:text /><xsl:value-of select="$reporting-ppe/@value" /><xsl:text />'.
		(See section 3.6 of the HL7 Data Types - Abstract Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1044" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1044" />
  <xsl:template match="@*|node()" priority="-2" mode="M1044">
    <xsl:apply-templates select="@*|*" mode="M1044" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-Diag-Map-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.222' and @extension = '1.0']]/cda:inFulfillmentOf " priority="1000" mode="M1045">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.222' and @extension = '1.0']]/cda:inFulfillmentOf " />
    <xsl:variable name="order" select="cda:order/cda:id[@root and not(starts-with(@root, '1.2.36.1.2001.1005.53.'))] " />
    <xsl:variable name="order-id-owner-hpio-1" select="substring-after($order/@root, '1.2.36.1.2001.1005.52.') " />
    <xsl:variable name="order-id-owner-hpio" select="if (matches($order-id-owner-hpio-1, $hpio-regex)) then $order-id-owner-hpio-1 else '' " />
    <xsl:variable name="order-id" select="if (not($order/@extension)) then $order/@root else if ($order/@extension) then $order/@extension else '' " />
    <xsl:variable name="accession-number" select="cda:order/cda:id[@root and starts-with(@root, '1.2.36.1.2001.1005.53.')] " />
    <xsl:variable name="accession-number-id" select="if ($accession-number/@extension) then $accession-number/@extension else '' " />
    <xsl:variable name="author-employer" select="/cda:ClinicalDocument/cda:author/cda:assignedAuthor/cda:assignedPerson/ext:asEmployment/ext:employerOrganization/        cda:asOrganizationPartOf/cda:wholeOrganization " />
    <xsl:variable name="author-employer-hpio-1" select="substring-after($author-employer/ext:asEntityIdentifier/ext:id/@root, '1.2.36.1.2001.1003.0.')" />
    <xsl:variable name="author-employer-hpio" select="if (matches($author-employer-hpio-1, $hpio-regex)) then $author-employer-hpio-1 else '' " />
    <xsl:variable name="author-employer-name" select="if ($author-employer/cda:name) then $author-employer/cda:name else '' " />
    <xsl:variable name="order-id-issue" select="not($order-id-owner-hpio = '') and not($author-employer-hpio = '') and $order-id-owner-hpio = $author-employer-hpio " />
    <xsl:variable name="order-id-warn" select="$order-id-issue and not(matches($author-employer-name, 'hospital', 'i')) " />
    <xsl:variable name="order-id-hint" select="$order-id-issue and not($order-id-warn) " />
    <xsl:variable name="order-id-msg" select="if ($author-employer-name = '') then concat('That means the organization that requested the diagnostic imaging services is the same organization that ',         'performed the diagnostic imaging services. Confirm that the requester of the diagnostic imaging services is also the performer of the ',          'diagnostic imaging services otherwise correct the value of the Requester Order Identifier or omit the Requester Order Identifier data ',         'element as it is optional.')        else concat('That means ', $author-employer-name, ' requested the diagnostic imaging services and also performed the diagnostic imaging services. ',         'Confirm that ', $author-employer-name, ' is both the requester and performer of the diagnostic imaging services otherwise ',         'correct the value of the Requester Order Identifier or omit the Requester Order Identifier data element as it is optional.') " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-01" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-01 " />
    <xsl:variable name="rating-05-step-1" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-05-step-1 " />
    <xsl:variable name="rating-05-step-2" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-05-step-2 " />
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $order-id-hint  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $order-id-hint">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Document Author Employer Organization 'employerOrganization/asOrganizationPartOf/wholeOrganization' data component in the document
		header states the organization has the <xsl:text /><xsl:value-of select="if ($author-employer-name = '') then '' else concat('name ''', $author-employer-name, ''' and ') " /><xsl:text />
		HPI-O '<xsl:text /><xsl:value-of select="$author-employer-hpio" /><xsl:text />'. The Requester Order Identifier 'inFulfillmentOf/order/id' data element in the document header has a root attribute with the value
		'<xsl:text /><xsl:value-of select="$order/@root" /><xsl:text />' which contains the HPI-O based Local Order Identifier '1.2.36.1.2001.1005.52' with the HPI-O '<xsl:text /><xsl:value-of select="$order-id-owner-hpio" /><xsl:text />' which is the same
		HPI-O as the Document Author Employer Organization. <xsl:text /><xsl:value-of select="$order-id-msg" /><xsl:text /> (See section 6.1.3 of the Diagnostic Imaging Report CDA Implementation Guide v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $order-id-warn ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$order-id-warn">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Document Author Employer Organization 'employerOrganization/asOrganizationPartOf/wholeOrganization' data component in the document
		header states the organization has the <xsl:text /><xsl:value-of select="if ($author-employer-name = '') then '' else concat('name ''', $author-employer-name, ''' and ') " /><xsl:text />
		HPI-O '<xsl:text /><xsl:value-of select="$author-employer-hpio" /><xsl:text />'. The Requester Order Identifier 'inFulfillmentOf/order/id' data element in the document header has a root attribute with the value
		'<xsl:text /><xsl:value-of select="$order/@root" /><xsl:text />' which contains the HPI-O based Local Order Identifier '1.2.36.1.2001.1005.52' with the HPI-O '<xsl:text /><xsl:value-of select="$order-id-owner-hpio" /><xsl:text />' which is the same
		HPI-O as the Document Author Employer Organization. <xsl:text /><xsl:value-of select="$order-id-msg" /><xsl:text /> (See section 6.1.3 of the Diagnostic Imaging Report CDA Implementation Guide v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and matches($order-id, $uuid-regex) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and matches($order-id, $uuid-regex)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-05-step-1" /><xsl:text />: TC-Doc-05 step 1: The Requester Order Identifier 'inFulfillmentOf/order/id' data element in the document header has
		<xsl:text /><xsl:value-of select="if ($order/@root and not($order/@extension)) then 'a root' else 'an extension' " /><xsl:text /> attribute with the value '<xsl:text /><xsl:value-of select="$order-id" /><xsl:text />' which is a
		universally unique identifier (UUID) also known as a globally unique identifier (GUID). Confirm that '<xsl:text /><xsl:value-of select="$order-id" /><xsl:text />' is actually the
		order identifier used by the requester of the diagnostic imaging services by comparing it with an identifier of the Diagnostic Imaging Report PDF file as information
		in the CDA document and the PDF document must be consistent. The Requester Order Identifier
		is required to be the local identifier assigned to the order by the order requester. If the local identifier is unknown then
		omit the Requester Order Identifier data element as it is optional. (See section 6.1.3 of the Diagnostic Imaging Report CDA Implementation Guide v1.0
		and requirement 023651 of the Diagnostic Imaging Report Conformance Profile v1.1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and matches($accession-number-id, $uuid-regex) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and matches($accession-number-id, $uuid-regex)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-05-step-1" /><xsl:text />: TC-Doc-05 step 1: The Accession Number 'inFulfillmentOf/order/id' data element in the document header has an extension
		attribute with the value '<xsl:text /><xsl:value-of select="$accession-number-id" /><xsl:text />' which is a
		universally unique identifier (UUID) also known as a globally unique identifier (GUID). Confirm that '<xsl:text /><xsl:value-of select="$accession-number-id" /><xsl:text />' is actually the
		accession number used by the provider of the diagnostic imaging services by comparing it with an identifier of the Diagnostic Imaging Report PDF file as information
		in the CDA document and the PDF document must be consistent. The Accession Number is required to be the identifier assigned by the receiver of the request for diagnostic imaging services.
		(See section 6.1.3 of the Diagnostic Imaging Report CDA Implementation Guide v1.0 and requirement 023651 in the Diagnostic Imaging Report Conformance Profile v1.1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $accession-number-id = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$accession-number-id = ''">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-05-step-2" /><xsl:text />: TC-Doc-05 step 2: The Diagnostic Imaging Report does not contain the mandatory Accession Number data element.
		The Accession Number must be present in the document header in a 'inFulfillmentOf/order/id' data element with the HPI-O based Accession Number. That is a 'inFulfillmentOf/order/id'
		data element must be present with a root attribute with the value '1.2.36.1.2001.1005.53.' followed by the HPI-O of the organization that assigned the accession number
		and the extension attribute must be present with a value that is the accession number.
		(See section 6.1.3 of the Diagnostic Imaging Report CDA Implementation Guide v1.0 and requirement 025075 in the Diagnostic Imaging Report Conformance Profile v1.1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1045" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1045" />
  <xsl:template match="@*|node()" priority="-2" mode="M1045">
    <xsl:apply-templates select="@*|*" mode="M1045" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-Diag-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/cda:entryRelationship/cda:observation   [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16589']]/cda:effectiveTime " priority="1000" mode="M1046">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/cda:entryRelationship/cda:observation   [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16589']]/cda:effectiveTime " />
    <xsl:variable name="observation-dt" select="if (@value) then @value else '' " />
    <xsl:variable name="authored-dte" select="if (/cda:ClinicalDocument/cda:author/cda:time) then /cda:ClinicalDocument/cda:author/cda:time else () " />
    <xsl:variable name="authored-dt" select="if ($authored-dte/@value) then $authored-dte/@value         else if ($authored-dte/cda:high/@value) then $authored-dte/cda:high/@value        else '' " />
    <xsl:variable name="authored-before-obs" select="if ($authored-dt = '' or $observation-dt = '') then false()        else if (matches($authored-dt, '^[0-9]{12,}') and matches($observation-dt, '^[0-9]{12,}') and          string-length($authored-dt) = string-length($observation-dt))          then dh:IsFirstDateEarlierThanSecondDate($authored-dt, $observation-dt) = '1'        else if (matches($authored-dt, '^[0-9]{12,}') and matches($observation-dt, '^[0-9]{12,}'))          then dh:IsFirstDateEarlierThanSecondDate(replace($authored-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3'),           replace($observation-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3')) = '1'        else if ($body-same-timezones and matches($observation-dt, '^[0-9]{8}$') and matches($authored-dt, concat('^', $observation-dt, '[0]{4}'))) then true()        else if (matches($authored-dt, '^[0-9]{4}') and matches($observation-dt, '^[0-9]{4}'))         then dh:IsFirstDateEarlierThanSecondDate(substring($authored-dt, '1', string-length($observation-dt)),           substring($observation-dt, '1', string-length($authored-dt))) = '1'        else false() " />
    <xsl:variable name="authored-name" select="if (not($authored-before-obs)) then ''        else if (/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.170' and @extension = '1.0']) then 'DateTime Prescription Written'         else if (/cda:ClinicalDocument/cda:templateId[        (@root = '1.2.36.1.2001.1001.101.100.1002.156' and @extension = '1.0')    or        (@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4')     or        (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')    or        (@root = '1.2.36.1.2001.1001.101.100.1002.136' and (@extension = '1.2' or @extension = '1.3')) or        (@root = '1.2.36.1.2001.1001.101.100.1002.120' and (@extension = '1.3' or @extension = '1.4')) or        (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')    or        (@root = '1.2.36.1.2001.1001.100.1002.171' and @extension = '1.0')    ]) then 'DateTime Authored'         else 'end of the Document Author Participation Period' " />
    <xsl:variable name="observation-dt-name" select="if (/cda:ClinicalDocument[cda:templateId[        (@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4') or        (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2') or        (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3') or        (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2') ]]) then 'Imaging Examination Result DateTime' else 'Observation DateTime' " />
    <xsl:variable name="observation-dt-msg" select="if ($observation-dt-name = 'Imaging Examination Result DateTime') then concat('The Imaging Examination Result DateTime is the date and optionally time ',        'when the Imaging Examination Result became available.')        else concat('The Observation DateTime is the date and optionally time when the clinically significant observation was performed ',        'which is the date and optionally time of the imaging examination. For a series of images this is when the last image was taken.') " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-01" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-01 " />
    <!--REPORT -->
    <xsl:if test="$authored-before-obs ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$authored-before-obs">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The <xsl:text /><xsl:value-of select="$observation-dt-name" /><xsl:text />
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$observation-dt" /><xsl:text />' and the <xsl:text /><xsl:value-of select="$authored-name" /><xsl:text />
		'ClinicalDocument/author/time' data element in the document header has the value '<xsl:text /><xsl:value-of select="$authored-dt" /><xsl:text />'
		which is before the <xsl:text /><xsl:value-of select="$observation-dt-name" /><xsl:text />. It is not possible for the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> to be authored before the imaging examination result within the
		<xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was written.
		(See the definitions of <xsl:text /><xsl:value-of select="$observation-dt-name" /><xsl:text /> in the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and the definition of <xsl:text /><xsl:value-of select="$authored-name" /><xsl:text /> in section 6 of the
		<xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$observation-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1046" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1046" />
  <xsl:template match="@*|node()" priority="-2" mode="M1046">
    <xsl:apply-templates select="@*|*" mode="M1046" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-DisMed-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1']]/cda:entry/cda:substanceAdministration[@classCode = 'SBADM']/cda:effectiveTime    [cda:low or cda:high or @value] " priority="1000" mode="M1047">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1']]/cda:entry/cda:substanceAdministration[@classCode = 'SBADM']/cda:effectiveTime    [cda:low or cda:high or @value] " />
    <xsl:variable name="med-start" select="if (cda:low/@value) then cda:low/@value else if (@value) then @value else '' " />
    <xsl:variable name="med-end" select="if (cda:high/@value) then cda:high/@value else if (@value) then @value else '' " />
    <xsl:variable name="encounter-ivl" select="/cda:ClinicalDocument/cda:componentOf/cda:encompassingEncounter/cda:effectiveTime " />
    <xsl:variable name="encounter-end" select="if ($encounter-ivl/cda:high/@value) then $encounter-ivl/cda:high/@value else if ($encounter-ivl/@value) then $encounter-ivl/@value else '' " />
    <xsl:variable name="authored-dte" select="if (/cda:ClinicalDocument/cda:author/cda:time) then /cda:ClinicalDocument/cda:author/cda:time else () " />
    <xsl:variable name="authored-dt" select="if ($authored-dte/@value) then $authored-dte/@value else if ($authored-dte/cda:high/@value) then $authored-dte/cda:high/@value else '' " />
    <xsl:variable name="active-status" select="../cda:statusCode/@code = 'active' " />
    <xsl:variable name="med-end-before-discharge" select="if ($med-end = '' or $encounter-end = '') then false()        else if (matches($med-end, '^[0-9]{12,}') and matches($encounter-end, '^[0-9]{12,}') and          string-length($med-end) = string-length($encounter-end))          then dh:IsFirstDateEarlierThanSecondDate($med-end, $encounter-end) = '1'        else if (matches($med-end, '^[0-9]{12,}') and matches($encounter-end, '^[0-9]{12,}'))          then dh:IsFirstDateEarlierThanSecondDate(replace($med-end, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3'),           replace($encounter-end, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3')) = '1'        else if ($body-same-timezones and matches($encounter-end, '^[0-9]{8}$') and matches($med-end, concat('^', $encounter-end, '[0]{4}'))) then true()        else if (matches($med-end, '^[0-9]{4}') and matches($encounter-end, '^[0-9]{4}'))         then dh:IsFirstDateEarlierThanSecondDate(substring($med-end, '1', string-length($encounter-end)),           substring($encounter-end, '1', string-length($med-end))) = '1'        else false() " />
    <xsl:variable name="med-end-before-authored" select="if ($med-end = '' or $authored-dt = '' or not($active-status)) then false()        else if (matches($med-end, '^[0-9]{12,}') and matches($authored-dt, '^[0-9]{12,}') and          string-length($med-end) = string-length($authored-dt))          then dh:IsFirstDateEarlierThanSecondDate($med-end, $authored-dt) = '1'        else if (matches($med-end, '^[0-9]{12,}') and matches($authored-dt, '^[0-9]{12,}'))          then dh:IsFirstDateEarlierThanSecondDate(replace($med-end, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3'),           replace($authored-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3')) = '1'        else if ($body-same-timezones and matches($authored-dt, '^[0-9]{8}$') and matches($med-end, concat('^', $authored-dt, '[0]{4}'))) then true()        else if (matches($med-end, '^[0-9]{4}') and matches($authored-dt, '^[0-9]{4}'))         then dh:IsFirstDateEarlierThanSecondDate(substring($med-end, '1', string-length($authored-dt)),           substring($authored-dt, '1', string-length($med-end))) = '1'        else false() " />
    <xsl:variable name="discharge-before-med-start" select="if ($encounter-end = '' or $med-start = '') then false()         else if (matches($encounter-end, '^[0-9]{8,}') and matches($med-start, '^[0-9]{8,}'))          then dh:IsFirstDateEarlierThanSecondDate(substring($encounter-end, '1', min((8, string-length($med-start)))),            substring($med-start, '1', min((8, string-length($encounter-end))))) = '1'         else false() " />
    <xsl:variable name="med-start-yr" select="substring($med-start, 1, 4)" />
    <xsl:variable name="med-start-mn" select="substring($med-start, 5, 2)" />
    <xsl:variable name="med-start-dy" select="substring($med-start, 7, 2)" />
    <xsl:variable name="med-start-xs" select="if ($discharge-before-med-start) then xs:date(concat($med-start-yr, '-', $med-start-mn, '-', $med-start-dy)) else () " />
    <xsl:variable name="encounter-end-yr" select="substring($encounter-end, 1, 4)" />
    <xsl:variable name="encounter-end-mn" select="substring($encounter-end, 5, 2)" />
    <xsl:variable name="encounter-end-dy" select="substring($encounter-end, 7, 2)" />
    <xsl:variable name="encounter-end-xs" select="if ($discharge-before-med-start) then xs:date(concat($encounter-end-yr, '-', $encounter-end-mn, '-', $encounter-end-dy)) else () " />
    <xsl:variable name="encounter-end-med-start" select="if ($discharge-before-med-start) then substring-before(substring-after($encounter-end-xs - $med-start-xs, 'P'), 'D') else '' " />
    <xsl:variable name="warn-if-above" select="'1' " />
    <xsl:variable name="creation-dt-match" select="$med-start = /cda:ClinicalDocument/cda:effectiveTime/@value and matches($med-start, '^[0-9]{12,}') " />
    <xsl:variable name="discharge-before-med-start-err" select="$discharge-before-med-start and $creation-dt-match " />
    <xsl:variable name="discharge-before-med-start-warn" select="$discharge-before-med-start and not($discharge-before-med-start-err) and          ($encounter-end-med-start &gt; $warn-if-above or $creation-dt-match) " />
    <xsl:variable name="tgi" select="if ($med-end-before-discharge or $discharge-before-med-start-warn or $discharge-before-med-start-err or $med-end-before-authored)         then ../cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code         else () " />
    <xsl:variable name="tgi-name" select="if (exists($tgi/cda:originalText)) then dh:XQueryRecursiveReplace($tgi/cda:originalText, $markup-pattern-replacement, 'ic')        else if (exists($tgi/@displayName)) then dh:XQueryRecursiveReplace($tgi/@displayName, $markup-pattern-replacement, 'ic')        else 'the medicine' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-01" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-01-low " />
    <!--REPORT -->
    <xsl:if test=" $med-end-before-discharge">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$med-end-before-discharge">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: Medication Duration 'entry/substanceAdministration/effectiveTime' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		states that the end date for taking <xsl:text /><xsl:value-of select="$tgi-name" /><xsl:text />
		is '<xsl:text /><xsl:value-of select="$med-end" /><xsl:text />' and the Encounter Period 'ClinicalDocument/componentOf/encompassingEncounter/effectiveTime'
		data element in the document header states the consumer was discharged on the date '<xsl:text /><xsl:value-of select="$encounter-end" /><xsl:text />' which is after the end of the Medication Duration.
		That is the Medication Duration indicates that <xsl:text /><xsl:value-of select="$tgi-name" /><xsl:text /> was not a current medicine at discharge.
		The end date of the Medication Duration may be incorrect, the end date of the Encounter Period may be incorrect, or <xsl:text /><xsl:value-of select="$tgi-name" /><xsl:text /> should have been
		listed in the Ceased Medications section rather than the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />.
		(See the definition of Encounter Period and Medication Duration in the Discharge Summary CDA Implementation Guide.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $discharge-before-med-start-warn">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$discharge-before-med-start-warn">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Encounter Period 'ClinicalDocument/componentOf/encompassingEncounter/effectiveTime'
		data element in the document header states the consumer was discharged on
		<xsl:text /><xsl:value-of select="concat($encounter-end-dy, ' ', $knowledge/months/month[@number = $encounter-end-mn]/@abbreviation, ' ', $encounter-end-yr)" /><xsl:text />
		and the Medication Duration 'entry/substanceAdministration/effectiveTime' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		states that the consumer is to start taking <xsl:text /><xsl:value-of select="$tgi-name" /><xsl:text /> on
		<xsl:text /><xsl:value-of select="concat($med-start-dy, ' ', $knowledge/months/month[@number = $med-start-mn]/@abbreviation, ' ', $med-start-yr)" /><xsl:text />
		which is <xsl:text /><xsl:value-of select="if ($encounter-end-med-start &gt; 1) then concat($encounter-end-med-start, ' days') else '1 day' " /><xsl:text /> after being discharged.
		Confirm that the dates for the Medication Duration and Encounter Period are the correct values.
		(See the definition of Medication Duration and Encounter Period in the Discharge Summary CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($creation-dt-match)    then concat('It is unusual that the Medication Duration has the same start date and time as the Discharge Summary creation date and time (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ') so it is possible that the Medication Duration has the wrong value.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $discharge-before-med-start-err">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$discharge-before-med-start-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Encounter Period 'ClinicalDocument/componentOf/encompassingEncounter/effectiveTime'
		data element in the document header states the consumer was discharged on
		<xsl:text /><xsl:value-of select="concat($encounter-end-dy, ' ', $knowledge/months/month[@number = $encounter-end-mn]/@abbreviation, ' ', $encounter-end-yr)" /><xsl:text />
		and the Medication Duration 'entry/substanceAdministration/effectiveTime' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		states that the consumer is to start taking <xsl:text /><xsl:value-of select="$tgi-name" /><xsl:text /> on
		<xsl:text /><xsl:value-of select="concat($med-start-dy, ' ', $knowledge/months/month[@number = $med-start-mn]/@abbreviation, ' ', $med-start-yr)" /><xsl:text />
		which is <xsl:text /><xsl:value-of select="if ($encounter-end-med-start &gt; 1) then concat($encounter-end-med-start, ' days') else '1 day' " /><xsl:text /> after being discharged.
		Either the start date of the Medication Duration or the end date of the Encounter Period may be incorrect.
		(See the definition of Medication Duration and Encounter Period in the Discharge Summary CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($creation-dt-match)    then concat('It is unusual that the Medication Duration has the same start date and time as the Discharge Summary creation date and time (',   /cda:ClinicalDocument/cda:effectiveTime/@value, ') so it is possible that the Medication Duration has the wrong value.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $med-end-before-authored ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$med-end-before-authored">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Document Author Participation Period 'ClinicalDocument/author/time' data element in the document header stated the
		Discharge Summary was authored on '<xsl:text /><xsl:value-of select="$authored-dt" /><xsl:text />' and the value of the code attribute in the 'entry/substanceAdministration/statusCode' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> associated with the medicine '<xsl:text /><xsl:value-of select="$tgi-name" /><xsl:text />' has the value 'active' which means the consumer was taking <xsl:text /><xsl:value-of select="$tgi-name" /><xsl:text />
		at the time the Discharge Summary was authored. However the
		Medication Duration 'entry/substanceAdministration/effectiveTime' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the end date '<xsl:text /><xsl:value-of select="$med-end" /><xsl:text />' which means
		the consumer had stopped taking <xsl:text /><xsl:value-of select="$tgi-name" /><xsl:text /> at the time the Discharge Summary was authored.
		Either the Document Author Participation Period data element or the Medication Duration data element has the wrong value.
		(See the definition of the Document Author Participation Period data element and the Medication Duration data element in the Discharge Summary CDA Implementation Guide.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1047" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1047" />
  <xsl:template match="@*|node()" priority="-2" mode="M1047">
    <xsl:apply-templates select="@*|*" mode="M1047" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-MedHist-Map-1-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument['101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/    cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]/cda:effectiveTime/cda:low " priority="1000" mode="M1048">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument['101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/    cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]/cda:effectiveTime/cda:low " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-05-step-2" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-05-step-2 " />
    <!--REPORT -->
    <xsl:if test=" string-length(@value) &gt; 8 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="string-length(@value) &gt; 8">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-2" /><xsl:text />: TC-Doc-05 step 2: The Problem/Diagnosis Date of Onset data element has the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' which fails to meet the requirement
		that it shall not include a time. (See section 7.1.3.1 of the Shared Health Summary CDA Implementation Guide v1.4 and section 7.1.4.1 of the Event Summary CDA Implementation Guide v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1048" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1048" />
  <xsl:template match="@*|node()" priority="-2" mode="M1048">
    <xsl:apply-templates select="@*|*" mode="M1048" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-MedHist-Map-2-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument['101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/cda:observation/cda:entryRelationship[@typeCode='SUBJ']/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]/cda:value " priority="1000" mode="M1049">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument['101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/cda:observation/cda:entryRelationship[@typeCode='SUBJ']/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]/cda:value " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-05-step-2" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-05-step-2 " />
    <!--REPORT -->
    <xsl:if test="string-length(@value) &gt; 8 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="string-length(@value) &gt; 8">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-2" /><xsl:text />: TC-Doc-05 step 2: The Problem/Diagnosis Date of Resolution/Remission data element has the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' which fails to meet the
		requirement that it shall not include a time.
		(See section 7.8 of the Shared Health Summary Structured Content Specification and section 4.8 of the eReferral Structured Content Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1049" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1049" />
  <xsl:template match="@*|node()" priority="-2" mode="M1049">
    <xsl:apply-templates select="@*|*" mode="M1049" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-Path-Prof-1-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.220' and @extension = '1.0']]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20018']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144'] and (not(cda:text) or normalize-space(cda:text) = '')]/cda:title" priority="1000" mode="M1050">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.220' and @extension = '1.0']]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20018']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144'] and (not(cda:text) or normalize-space(cda:text) = '')]/cda:title" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-05-step-1" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-05-step-1 " />
    <!--REPORT -->
    <xsl:if test=" . ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test=".">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-1" /><xsl:text />: TC-Doc-05 step 1: The Pathology Test Result section has a title and no narrative. When there is no narrative the title must be omitted.
		(See requirement 026615 of the Pathology Report Conformance Profile v1.1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1050" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1050" />
  <xsl:template match="@*|node()" priority="-2" mode="M1050">
    <xsl:apply-templates select="@*|*" mode="M1050" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-Path-Map-1-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.220' and @extension = '1.0']]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20018']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16971']]/cda:effectiveTime " priority="1000" mode="M1051">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.220' and @extension = '1.0']]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20018']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16971']]/cda:effectiveTime " />
    <xsl:variable name="related-dt" select="if (cda:low/@value) then cda:low/@value else '' " />
    <xsl:variable name="requester-ppe" select="/cda:ClinicalDocument/cda:participant/cda:time" />
    <xsl:variable name="request-dt" select="if (not($requester-ppe)) then ''        else if ($requester-ppe/@value) then $requester-ppe/@value        else if ($requester-ppe/cda:high/@value) then $requester-ppe/cda:high/@value        else '' " />
    <xsl:variable name="request-dt-w-time" select="matches($request-dt, '^[0-9]{12,}')" />
    <xsl:variable name="reportingp-ppe" select="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20018']]/cda:author/cda:time" />
    <xsl:variable name="reportingp-start" select="if (not($reportingp-ppe)) then ''        else if ($reportingp-ppe/@value) then $reportingp-ppe/@value        else if ($reportingp-ppe/cda:low/@value) then $reportingp-ppe/cda:low/@value        else '' " />
    <xsl:variable name="related-dt-time-err" select="not(matches($related-dt, '^[0-9]{12,}')) " />
    <xsl:variable name="request-dt-err" select="if ($related-dt-time-err) then false()        else if (matches($related-dt, '^[0-9]{12,}') and $request-dt-w-time and string-length($related-dt) = string-length($request-dt))          then dh:IsFirstDateEarlierThanSecondDate($request-dt, $related-dt) = '0'        else if (matches($related-dt, '^[0-9]{12,}') and $request-dt-w-time)          then dh:IsFirstDateEarlierThanSecondDate(replace($related-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3'),           replace($request-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3')) = '1'        else if ($body-same-timezones and matches($related-dt, '^[0-9]{8}$') and matches($request-dt, concat('^', $related-dt, '[0]{4}'))) then true()        else if (matches($related-dt, '^[0-9]{4}') and matches($request-dt, '^[0-9]{4}'))         then dh:IsFirstDateEarlierThanSecondDate(substring($related-dt, '1', string-length($request-dt)),           substring($request-dt, '1', string-length($related-dt))) = '1'        else false() " />
    <xsl:variable name="same-dt-err" select="if (matches($request-dt, '^[0-9]{12,}') and matches($related-dt, '^[0-9]{12,}') and string-length($request-dt) = string-length($related-dt))          then dh:AreDatesEqual($request-dt, $related-dt) = '1'        else if (matches($request-dt, '^[0-9]{12,}') and matches($related-dt, '^[0-9]{12,}'))         then dh:AreDatesEqual(replace($request-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3'),           replace($related-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3')) = '1'        else if (matches($request-dt, '^[0-9]{4}') and matches($related-dt, '^[0-9]{4}'))         then dh:AreDatesEqual($request-dt, $related-dt) = '1'        else false() " />
    <xsl:variable name="related-dt-err" select="if (matches($related-dt, '^[0-9]{12,}') and matches($reportingp-start, '^[0-9]{12,}') and          string-length($related-dt) = string-length($reportingp-start))          then dh:IsFirstDateEarlierThanSecondDate($related-dt, $reportingp-start) = '1'        else if (matches($related-dt, '^[0-9]{12,}') and matches($reportingp-start, '^[0-9]{12,}'))          then dh:IsFirstDateEarlierThanSecondDate(replace($related-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3'),           replace($reportingp-start, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3')) = '1'        else if (matches($related-dt, '^[0-9]{4}') and matches($reportingp-start, '^[0-9]{4}'))         then dh:IsFirstDateEarlierThanSecondDate(substring($related-dt, '1', string-length($reportingp-start)),           substring($reportingp-start, '1', string-length($related-dt))) = '1'        else false() " />
    <xsl:variable name="reporting-low-inc" select="if (not($related-dt-err)) then ''        else if (not($reportingp-ppe/cda:low or $reportingp-ppe/@value)) then ''        else if ($reportingp-ppe/cda:low/@inclusive='false') then ' (excluded)'        else ' (included)' " />
    <xsl:variable name="reporting-high-inc" select="if (not($related-dt-err)) then ''        else if (not($reportingp-ppe/cda:high or $reportingp-ppe/@value)) then ''        else if ($reportingp-ppe/cda:high/@inclusive='false') then ' (excluded)'        else ' (included)' " />
    <xsl:variable name="reporting-interval" select="if (not($related-dt-err)) then ''        else if ($reportingp-ppe/@value)         then concat(' the Reporting Pathologist Participation Period starts and ends at ''', $reportingp-ppe/@value, '''')        else if ($reportingp-ppe/cda:low/@value and $reportingp-ppe/cda:high/@value)         then concat(' the Reporting Pathologist Participation Period starts at ''', $reportingp-ppe/cda:low/@value, '''', $reporting-low-inc,         ' and ends at ', $reportingp-ppe/cda:high/@value, '''', $reporting-high-inc, '''')        else if ($reportingp-ppe/cda:low/@value)         then concat(' the Reporting Pathologist Participation Period starts at ''', $reportingp-ppe/cda:low/@value, '''', $reporting-low-inc, '''')        else if ($reportingp-ppe/cda:high/@value)         then concat(' the Reporting Pathologist Participation Period ends at ''', $reportingp-ppe/cda:high/@value, '''', $reporting-high-inc, '''')        else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-01" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-01 " />
    <xsl:variable name="rating-05-step-1" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-05-step-1 " />
    <xsl:variable name="rating-05-step-2" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-05-step-2 " />
    <!--REPORT -->
    <xsl:if test=" not(cda:low) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:low)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-1" /><xsl:text />: TC-Doc-05 step 1: The Related Document Report DateTime 'act/effectiveTime' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> does not
		contain the 'low' data element whereas the date the report is written is the low date of the time interval. (See section 7.1.1.3 of the Pathology Report CDA Implementation Guide v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:low and not(cda:low/@value) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:low and not(cda:low/@value)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-2" /><xsl:text />: TC-Doc-05 step 2: The Related Document Report DateTime 'act/effectiveTime/low' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> does not
		contain the 'value' attribute whereas the value must be present. (See requirement 024692 of the Pathology Report Conformance Profile v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $related-dt-time-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$related-dt-time-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-2" /><xsl:text />: TC-Doc-05 step 2: The Related Document Report DateTime 'act/effectiveTime/low' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$related-dt" /><xsl:text />'. The data element is required to include a time as well as a date. (See section 7.1.1.3 of the Pathology Report CDA Implementation Guide v1.0.)
		To include a time the hours and minutes must be present. 

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $same-dt-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$same-dt-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Related Document Report DateTime 'act/effectiveTime/low' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$related-dt" /><xsl:text />' which is the same as the date and time of the request for pathology services recorded in the Requester Participation Period
		'ClinicalDocument/participant/time' data element. One or both of these data elements has the wrong value as it is not possible for the service to be requested and the report to be created
		at the same time. (See sections 6.1.4 and 7.1.1.3 of the Pathology Report CDA Implementation Guide v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $request-dt-err and not($same-dt-err) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$request-dt-err and not($same-dt-err)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Related Document Report DateTime 'act/effectiveTime/low' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$related-dt" /><xsl:text />' which is before the '<xsl:text /><xsl:value-of select="$request-dt" /><xsl:text />' of the request for pathology services
		recorded in the Requester Participation Period 'ClinicalDocument/participant/time' data element. One or both of these data elements has the wrong value as it is not possible for the report
		to be created before the service was requested. (See sections 6.1.4 and 7.1.1.3 of the Pathology Report CDA Implementation Guide v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$related-dt-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$related-dt-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Related Document Report DateTime 'act/effectiveTime/low' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$related-dt" /><xsl:text />' and the Reporting Pathologist Participation Period 'section/author/time' data element has a value
		indicating<xsl:text /><xsl:value-of select="$reporting-interval" /><xsl:text /> which means the report was written by the Reporting Pathologist before the Reporting Pathologist commenced work.
		(See the definitions of Reporting Pathologist Participation Period and Related Document Report DateTime in sections 7.1.1.2 and 7.1.1.3 of the
		Pathology Report CDA Implementation Guide v1.0.)
		The Participation Period has the TimeInterval data type which is derived from the HL7 'IVL_TS' data type. When a 'value' attribute
		is used for a time interval the time interval's low and high boundaries are the value of the 'value' attribute and the width of the time interval is inferred
		from the precision of the value. (See section 2.4 of the Participation Data Specification v3.2, section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0
		and section 3.8.1 of the HL7 Data Types - Abstract Specification.) If the intention was to record only the end of the Reporting
		Pathologist Participation Period then the Reporting Pathologist Participation Period 'section/author/time' data element should not have a 'value' attribute and instead should contain an
		xsi:type attribute with the value 'IVL_TS' and a high element with a 'value' attribute with the value '<xsl:text /><xsl:value-of select="$reportingp-ppe/@value" /><xsl:text />'.
		(See section 3.6 of the HL7 Data Types - Abstract Specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1051" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1051" />
  <xsl:template match="@*|node()" priority="-2" mode="M1051">
    <xsl:apply-templates select="@*|*" mode="M1051" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-Path-Map-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections][cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.220']]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20018']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16605']]/cda:effectiveTime " priority="1000" mode="M1052">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections][cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.220']]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20018']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16605']]/cda:effectiveTime " />
    <xsl:variable name="path-1-0" select="exists(/cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.220' and @extension = '1.0']]) " />
    <xsl:variable name="observation-dte" select="current() " />
    <xsl:variable name="observation-dt" select="if ($observation-dte/@value) then $observation-dte/@value else '' " />
    <xsl:variable name="observation-dt-w-time" select="matches($observation-dt, '^[0-9]{12,}')" />
    <xsl:variable name="collection-dte" select="ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/        cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16156']]/cda:effectiveTime" />
    <xsl:variable name="collection-dt" select="if (not($collection-dte)) then '' else if ($collection-dte/@value) then $collection-dte/@value else '' " />
    <xsl:variable name="reportingp-ppe" select="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20018']]/cda:author/cda:time" />
    <xsl:variable name="reportingp-end" select="if (not($reportingp-ppe)) then ''         else if ($reportingp-ppe/@value) then $reportingp-ppe/@value        else if ($reportingp-ppe/cda:high/@value) then $reportingp-ppe/cda:high/@value        else '' " />
    <xsl:variable name="related-dte" select="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20018']]/cda:entry/        cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16971']]/cda:effectiveTime " />
    <xsl:variable name="related-dt" select="if (not($related-dte)) then '' else if ($related-dte/cda:low/@value) then $related-dte/cda:low/@value else '' " />
    <xsl:variable name="requester-ppe" select="if (/cda:ClinicalDocument/cda:participant/cda:time) then /cda:ClinicalDocument/cda:participant/cda:time else () " />
    <xsl:variable name="requester-end" select="if ($requester-ppe/@value) then $requester-ppe/@value        else if ($requester-ppe/cda:high/@value) then $requester-ppe/cda:high/@value        else '' " />
    <xsl:variable name="reportingp-end-err" select="if ($observation-dt-w-time and matches($reportingp-end, '^[0-9]{12,}') and string-length($observation-dt) = string-length($reportingp-end))          then dh:IsFirstDateEarlierThanSecondDate($reportingp-end, $observation-dt) = '1'        else if ($observation-dt-w-time and matches($related-dt, '^[0-9]{12,}'))          then dh:IsFirstDateEarlierThanSecondDate(replace($reportingp-end, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3'),           replace($observation-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3')) = '1'        else if ($body-same-timezones and not($observation-dt-w-time) and matches($reportingp-end, concat('^', $observation-dt, '[0]{4}'))) then true()        else if (matches($observation-dt, '^[0-9]{4}') and matches($reportingp-end, '^[0-9]{4}'))         then dh:IsFirstDateEarlierThanSecondDate(substring($reportingp-end, '1', string-length($observation-dt)),           substring($observation-dt, '1', string-length($reportingp-end))) = '1'        else false() " />
    <xsl:variable name="related-dt-err" select="if ($observation-dt-w-time and matches($related-dt, '^[0-9]{12,}') and string-length($observation-dt) = string-length($related-dt))          then dh:IsFirstDateEarlierThanSecondDate($related-dt, $observation-dt) = '1'        else if ($observation-dt-w-time and matches($related-dt, '^[0-9]{12,}'))          then dh:IsFirstDateEarlierThanSecondDate(replace($related-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3'),           replace($observation-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3')) = '1'        else if ($body-same-timezones and not($observation-dt-w-time) and matches($related-dt, concat('^', $observation-dt, '[0]{4}'))) then true()        else if (matches($observation-dt, '^[0-9]{4}') and matches($related-dt, '^[0-9]{4}'))         then dh:IsFirstDateEarlierThanSecondDate(substring($related-dt, '1', string-length($observation-dt)),           substring($observation-dt, '1', string-length($related-dt))) = '1'         else false() " />
    <xsl:variable name="requester-end-err" select="if ($observation-dt-w-time and matches($requester-end, '^[0-9]{12,}') and string-length($observation-dt) = string-length($requester-end))          then dh:IsFirstDateEarlierThanSecondDate($observation-dt, $requester-end) = '1'        else if ($observation-dt-w-time and matches($requester-end, '^[0-9]{12,}'))          then dh:IsFirstDateEarlierThanSecondDate(replace($observation-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3'),           replace($requester-end, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3')) = '1'        else if (matches($observation-dt, '^[0-9]{4}') and matches($requester-end, '^[0-9]{4}'))        then dh:IsFirstDateEarlierThanSecondDate(substring($observation-dt, '1', string-length($requester-end)),          substring($requester-end, '1', string-length($observation-dt))) = '1'        else false() " />
    <xsl:variable name="reportingp-low-inc" select="if (not($reportingp-ppe/cda:low or $reportingp-ppe/@value)) then ''        else if ($reportingp-ppe/cda:low/@inclusive='false') then ' (excluded)'        else ' (included)' " />
    <xsl:variable name="reportingp-high-inc" select="if (not($reportingp-ppe/cda:high or $reportingp-ppe/@value)) then ''        else if ($reportingp-ppe/cda:high/@inclusive='false') then ' (excluded)'        else ' (included)' " />
    <xsl:variable name="reportingp-interval" select="if ($reportingp-ppe/@value)         then concat(' the Reporting Pathologist Participation Period starts and ends at ''', $reportingp-ppe/@value, '''')        else if ($reportingp-ppe/cda:low/@value and $reportingp-ppe/cda:high/@value)         then concat(' the Reporting Pathologist Participation Period starts at ''', $reportingp-ppe/cda:low/@value, '''', $reportingp-low-inc,         ' and ends at ', $reportingp-ppe/cda:high/@value, '''', $reportingp-high-inc, '''')        else if ($reportingp-ppe/cda:low/@value)         then concat(' the Reporting Pathologist Participation Period starts at ''', $reportingp-ppe/cda:low/@value, '''', $reportingp-low-inc, '''')        else if ($reportingp-ppe/cda:high/@value)         then concat(' the Reporting Pathologist Participation Period ends at ''', $reportingp-ppe/cda:high/@value, '''', $reportingp-high-inc, '''')        else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-01" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-01 " />
    <xsl:variable name="rating-05-step-2" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-05-step-2 " />
    <!--REPORT -->
    <xsl:if test=" $path-1-0 and $observation-dt != '' and $collection-dt != '' and not(dh:AreDatesEqual($observation-dt, $collection-dt) = '1') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$path-1-0 and $observation-dt != '' and $collection-dt != '' and not(dh:AreDatesEqual($observation-dt, $collection-dt) = '1')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-2" /><xsl:text />: TC-Doc-05 step 2: The Observation DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$observation-dte/@value" /><xsl:text />' and the Collection DateTime has the value
		'<xsl:text /><xsl:value-of select="$collection-dte/@value" /><xsl:text />' however these are required to be the same. (See section 7.1.1.1 of the Pathology Report CDA Implementation Guide v1.0.)
		Within Pathology the observation's clinical relevance is at the time that the sample was collected.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $path-1-0 and $observation-dte/@value and not($collection-dte/@value) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$path-1-0 and $observation-dte/@value and not($collection-dte/@value)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-2" /><xsl:text />: TC-Doc-05 step 2: The Observation DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$observation-dte/@value" /><xsl:text />' and the Collection DateTime
		'entryRelationship/observation/cda:effectiveTime' data element in the same section does not have a value
		however these data elements are required to have the same value. (See section 7.1.1.1 of the Pathology Report CDA Implementation Guide v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $path-1-0 and not($observation-dte/@value) and $collection-dte/@value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$path-1-0 and not($observation-dte/@value) and $collection-dte/@value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-2" /><xsl:text />: TC-Doc-05 step 2: The Observation DateTime '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> does not have a value and the Collection DateTime 'entryRelationship/observation/cda:effectiveTime' data element in the same section
		has the value '<xsl:text /><xsl:value-of select="$collection-dte/@value" /><xsl:text />'
		however these data elements are required to have the same value. (See section 7.1.1.1 of the Pathology Report CDA Implementation Guide v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$path-1-0 and $observation-dte/@nullFlavor and $collection-dte/@nullFlavor and not($observation-dte/@nullFlavor = $collection-dte/@nullFlavor) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$path-1-0 and $observation-dte/@nullFlavor and $collection-dte/@nullFlavor and not($observation-dte/@nullFlavor = $collection-dte/@nullFlavor)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-2" /><xsl:text />: TC-Doc-05 step 2: The Observation DateTime
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="$observation-dte/@nullFlavor" /><xsl:text />' and the Collection DateTime 
		'entryRelationship/observation/cda:effectiveTime' data element in the same section has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="$collection-dte/@nullFlavor" /><xsl:text />'
		however these are required to be the same. (See section 7.1.1.1 of the Pathology Report CDA Implementation Guide v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$requester-end-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$requester-end-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Observation DateTime
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		has the value '<xsl:text /><xsl:value-of select="$collection-dt" /><xsl:text />' and the Requester Participation Period 'ClinicalDocument/participant/time' data element in the document header
		has a value indicating that the request for pathology services was completed at '<xsl:text /><xsl:value-of select="$requester-end" /><xsl:text />'.
		The request for pathology services must be before or equal to the Observation DateTime as a sample would not be collected if there is no request to do so.
		(See the definitions of Observation DateTime and Requester Participation Period in sections 7.1.1.1 and 6.1.4 of the Pathology Report CDA Implementation Guide v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$reportingp-end-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$reportingp-end-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Observation DateTime
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		has the value '<xsl:text /><xsl:value-of select="$observation-dte/@value" /><xsl:text />' and the Reporting Pathologist Participation Period 'section/author/time' data element in the Pathology section
		has a value indicating<xsl:text /><xsl:value-of select="$reportingp-interval" /><xsl:text />. The Observation DateTime must be less than the end of the Reporting Pathologist Participation Period as
		Pathologists cannot participate in an observation before the observation's sample has been collected.
		(See the definitions of Observation DateTime and Reporting Pathologist Participation Period in sections 7.1.1.1 and 7.1.1.2 of the Pathology Report CDA Implementation Guide v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$related-dt-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$related-dt-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Observation DateTime
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		has the value '<xsl:text /><xsl:value-of select="$observation-dt" /><xsl:text />' and the Related Document Report DateTime 'entry/act/effectiveTime' data element in the Pathology section
		has the value '<xsl:text /><xsl:value-of select="$related-dt" /><xsl:text />'. The Observation DateTime must be less than the Related Document Report DateTime as a report cannot be written before the
		report's samples are collected. (See the definitions of Observation DateTime and Related Document Report DateTime in
		sections 7.1.1.1 and 7.1.1.3 of the Pathology Report CDA Implementation Guide v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1052" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1052" />
  <xsl:template match="@*|node()" priority="-2" mode="M1052">
    <xsl:apply-templates select="@*|*" mode="M1052" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-Path-Map-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.220' and @extension = '1.0']]/cda:inFulfillmentOf " priority="1000" mode="M1053">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.220' and @extension = '1.0']]/cda:inFulfillmentOf " />
    <xsl:variable name="order" select="cda:order/cda:id[@root and not(starts-with(@root, '1.2.36.1.2001.1005.53.'))] " />
    <xsl:variable name="order-id-owner-hpio-1" select="substring-after($order/@root, '1.2.36.1.2001.1005.52.') " />
    <xsl:variable name="order-id-owner-hpio" select="if (matches($order-id-owner-hpio-1, $hpio-regex)) then $order-id-owner-hpio-1 else '' " />
    <xsl:variable name="order-id" select="if (not($order/@extension)) then $order/@root else if ($order/@extension) then $order/@extension else '' " />
    <xsl:variable name="author-employer" select="/cda:ClinicalDocument/cda:author/cda:assignedAuthor/cda:assignedPerson/ext:asEmployment/ext:employerOrganization/        cda:asOrganizationPartOf/cda:wholeOrganization " />
    <xsl:variable name="author-employer-hpio-1" select="substring-after($author-employer/ext:asEntityIdentifier/ext:id/@root, '1.2.36.1.2001.1003.0.')" />
    <xsl:variable name="author-employer-hpio" select="if (matches($author-employer-hpio-1, $hpio-regex)) then $author-employer-hpio-1 else '' " />
    <xsl:variable name="author-employer-name" select="if ($author-employer/cda:name) then $author-employer/cda:name else '' " />
    <xsl:variable name="order-id-issue" select="not($order-id-owner-hpio = '') and not($author-employer-hpio = '') and $order-id-owner-hpio = $author-employer-hpio " />
    <xsl:variable name="order-id-warn" select="$order-id-issue and not(matches($author-employer-name, 'hospital', 'i')) " />
    <xsl:variable name="order-id-hint" select="$order-id-issue and not($order-id-warn) " />
    <xsl:variable name="order-id-msg" select="if ($author-employer-name = '') then concat('That means the organization that requested the pathology tests is the same organization that ',         'performed the pathology tests. Confirm that the requester of the pathology tests is also the performer of the pathology tests otherwise ',         'correct the value of the Requester Order Identifier or omit the Requester Order Identifier data element as it is optional.')        else concat('That means ', $author-employer-name, ' requested the pathology tests and also performed the pathology tests. ',         'Confirm that ', $author-employer-name, ' is both the requester and performer of the pathology tests otherwise ',         'correct the value of the Requester Order Identifier or omit the Requester Order Identifier data element as it is optional.') " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-01" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-01 " />
    <xsl:variable name="rating-05-step-1" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-05-step-1 " />
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $order-id-hint  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $order-id-hint">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Document Author Employer Organization 'employerOrganization/asOrganizationPartOf/wholeOrganization' data component in the document
		header states the organization has the <xsl:text /><xsl:value-of select="if ($author-employer-name = '') then '' else concat('name ''', $author-employer-name, ''' and ') " /><xsl:text />
		HPI-O '<xsl:text /><xsl:value-of select="$author-employer-hpio" /><xsl:text />'. The Requester Order Identifier 'inFulfillmentOf/order/id' data element in the document header has a root attribute with the value
		'<xsl:text /><xsl:value-of select="$order/@root" /><xsl:text />' which contains the HPI-O based Local Order Identifier '1.2.36.1.2001.1005.52' with the HPI-O '<xsl:text /><xsl:value-of select="$order-id-owner-hpio" /><xsl:text />' which is the same
		HPI-O as the Document Author Employer Organization. <xsl:text /><xsl:value-of select="$order-id-msg" /><xsl:text /> (See section 6.1.3 of the Pathology Report CDA Implementation Guide v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $order-id-warn  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$order-id-warn">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Document Author Employer Organization 'employerOrganization/asOrganizationPartOf/wholeOrganization' data component in the document
		header states the organization has the <xsl:text /><xsl:value-of select="if ($author-employer-name = '') then '' else concat('name ''', $author-employer-name, ''' and ') " /><xsl:text />
		HPI-O '<xsl:text /><xsl:value-of select="$author-employer-hpio" /><xsl:text />'. The Requester Order Identifier 'inFulfillmentOf/order/id' data element in the document header has a root attribute with the value
		'<xsl:text /><xsl:value-of select="$order/@root" /><xsl:text />' which contains the HPI-O based Local Order Identifier '1.2.36.1.2001.1005.52' with the HPI-O '<xsl:text /><xsl:value-of select="$order-id-owner-hpio" /><xsl:text />' which is the same
		HPI-O as the Document Author Employer Organization. <xsl:text /><xsl:value-of select="$order-id-msg" /><xsl:text /> (See section 6.1.3 of the Pathology Report CDA Implementation Guide v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and matches($order-id, $uuid-regex) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and matches($order-id, $uuid-regex)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-1" /><xsl:text />: TC-Doc-05 step 1: The Requester Order Identifier 'inFulfillmentOf/order/id' data element in the document header has
		<xsl:text /><xsl:value-of select="if ($order/@root and not($order/@extension)) then 'a root' else 'an extension' " /><xsl:text /> attribute with the value '<xsl:text /><xsl:value-of select="$order-id" /><xsl:text />' which is a
		universally unique identifier (UUID) also known as a globally unique identifier (GUID). Confirm that '<xsl:text /><xsl:value-of select="$order-id" /><xsl:text />' is actually the
		order identifier used by the requester of the pathology tests by comparing it with an identifier in the Pathology Report PDF file as information
		in the CDA document and the PDF document must be consistent. The Requester Order Identifier is required to be the local identifier assigned to the order by the order requester.
		If the local identifier is unknown then omit the Requester Order Identifier data element as it is optional.
		(See section 6.1.3 of the Pathology Report CDA Implementation Guide v1.0 and requirement 023651 in the Pathology Report Conformance Profile v1.1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1053" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1053" />
  <xsl:template match="@*|node()" priority="-2" mode="M1053">
    <xsl:apply-templates select="@*|*" mode="M1053" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-Path-Map-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections][cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.220']]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20018']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16156']]/cda:effectiveTime " priority="1000" mode="M1054">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections][cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.220']]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20018']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16156']]/cda:effectiveTime " />
    <xsl:variable name="collection-dte" select="current() " />
    <xsl:variable name="collection-dt" select="if ($collection-dte/@value) then $collection-dte/@value else '' " />
    <xsl:variable name="collection-dt-w-time" select="matches($collection-dt, '^[0-9]{12,}')" />
    <xsl:variable name="requester-ppe" select="if (/cda:ClinicalDocument/cda:participant/cda:time) then /cda:ClinicalDocument/cda:participant/cda:time else () " />
    <xsl:variable name="requester-end" select="if ($requester-ppe/@value) then $requester-ppe/@value        else if ($requester-ppe/cda:high/@value) then $requester-ppe/cda:high/@value        else '' " />
    <xsl:variable name="requester-end-err" select="if ($collection-dt-w-time and matches($requester-end, '^[0-9]{12,}') and string-length($collection-dt) = string-length($requester-end))          then dh:IsFirstDateEarlierThanSecondDate($collection-dt, $requester-end) = '1'        else if ($collection-dt-w-time and matches($requester-end, '^[0-9]{12,}'))          then dh:IsFirstDateEarlierThanSecondDate(replace($collection-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3'),           replace($requester-end, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3')) = '1'        else if (matches($collection-dt, '^[0-9]{4}') and matches($requester-end, '^[0-9]{4}'))        then dh:IsFirstDateEarlierThanSecondDate(substring($collection-dt, '1', string-length($requester-end)),          substring($requester-end, '1', string-length($collection-dt))) = '1'        else false() " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-01" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-01 " />
    <!--REPORT -->
    <xsl:if test="$requester-end-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$requester-end-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Collection DateTime
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		has the value '<xsl:text /><xsl:value-of select="$collection-dt" /><xsl:text />' and the Requester Participation Period 'ClinicalDocument/participant/time' data element in the document header
		has a value indicating that the request for pathology services was completed at '<xsl:text /><xsl:value-of select="$requester-end" /><xsl:text />'.
		The request for pathology services must be before or equal to the Collection DateTime as a sample would not be collected if there is no request to do so.
		(See the definitions of Collection DateTime and Requester Participation Period in sections 7.1.1.1.1 and 6.1.4 of the Pathology Report CDA Implementation Guide v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1054" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1054" />
  <xsl:template match="@*|node()" priority="-2" mode="M1054">
    <xsl:apply-templates select="@*|*" mode="M1054" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-Path-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.1', '102.16156.132.1.1', '102.16156.136.2.1', '102.16156.132.1.1')]] " priority="1000" mode="M1055">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.1', '102.16156.132.1.1', '102.16156.136.2.1', '102.16156.132.1.1')]] " />
    <xsl:variable name="spec-collect-dte" select="cda:effectiveTime " />
    <xsl:variable name="spec-collect-dt" select="if ($spec-collect-dte/@value) then $spec-collect-dte/@value else '' " />
    <xsl:variable name="spec-receipt-dte" select="cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.11014']]/cda:value " />
    <xsl:variable name="spec-receipt-dt" select="if ($spec-receipt-dte/@value) then $spec-receipt-dte/@value else '' " />
    <xsl:variable name="observation-dte" select="ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/        cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16605']]/cda:effectiveTime " />
    <xsl:variable name="observation-dt" select="if ($observation-dte/@value) then $observation-dte/@value else '' " />
    <xsl:variable name="authored-dte" select="if (/cda:ClinicalDocument/cda:author/cda:time) then /cda:ClinicalDocument/cda:author/cda:time else () " />
    <xsl:variable name="authored-dt" select="if ($authored-dte/@value) then $authored-dte/@value         else if ($authored-dte/cda:high/@value) then $authored-dte/cda:high/@value        else '' " />
    <xsl:variable name="encounter-ivl" select="/cda:ClinicalDocument/cda:componentOf/cda:encompassingEncounter/cda:effectiveTime " />
    <xsl:variable name="encounter-end" select="if ($encounter-ivl/cda:high/@value) then $encounter-ivl/cda:high/@value else if ($encounter-ivl/@value) then $encounter-ivl/@value else '' " />
    <xsl:variable name="receipt-before-collect" select="if ($spec-receipt-dt = '' or $spec-collect-dt = '') then false()        else if (matches($spec-receipt-dt, '^[0-9]{12,}') and matches($spec-collect-dt, '^[0-9]{12,}') and          string-length($spec-receipt-dt) = string-length($spec-collect-dt))          then dh:IsFirstDateEarlierThanSecondDate($spec-receipt-dt, $spec-collect-dt) = '1'        else if (matches($spec-receipt-dt, '^[0-9]{12,}') and matches($spec-collect-dt, '^[0-9]{12,}'))          then dh:IsFirstDateEarlierThanSecondDate(replace($spec-receipt-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3'),           replace($spec-collect-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3')) = '1'        else if (matches($spec-receipt-dt, '^[0-9]{4}') and matches($spec-collect-dt, '^[0-9]{4}'))         then dh:IsFirstDateEarlierThanSecondDate(substring($spec-receipt-dt, '1', string-length($spec-collect-dt)),           substring($spec-collect-dt, '1', string-length($spec-receipt-dt))) = '1'        else false() " />
    <xsl:variable name="obs-before-collect" select="if ($observation-dt = '' or $spec-collect-dt = '') then false()        else if (matches($observation-dt, '^[0-9]{12,}') and matches($spec-collect-dt, '^[0-9]{12,}') and          string-length($observation-dt) = string-length($spec-collect-dt))          then dh:IsFirstDateEarlierThanSecondDate($observation-dt, $spec-collect-dt) = '1'        else if (matches($observation-dt, '^[0-9]{12,}') and matches($spec-collect-dt, '^[0-9]{12,}'))          then dh:IsFirstDateEarlierThanSecondDate(replace($observation-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3'),           replace($spec-collect-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3')) = '1'        else if (matches($observation-dt, '^[0-9]{4}') and matches($spec-collect-dt, '^[0-9]{4}'))         then dh:IsFirstDateEarlierThanSecondDate(substring($observation-dt, '1', string-length($spec-collect-dt)),           substring($spec-collect-dt, '1', string-length($observation-dt))) = '1'        else false() " />
    <xsl:variable name="authored-before-receipt" select="if ($authored-dt = '' or $spec-receipt-dt = '') then false()        else if (matches($authored-dt, '^[0-9]{12,}') and matches($spec-receipt-dt, '^[0-9]{12,}') and          string-length($authored-dt) = string-length($spec-receipt-dt))          then dh:IsFirstDateEarlierThanSecondDate($authored-dt, $spec-receipt-dt) = '1'        else if (matches($authored-dt, '^[0-9]{12,}') and matches($spec-receipt-dt, '^[0-9]{12,}'))          then dh:IsFirstDateEarlierThanSecondDate(replace($authored-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3'),           replace($spec-receipt-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3')) = '1'        else if (matches($authored-dt, '^[0-9]{4}') and matches($spec-receipt-dt, '^[0-9]{4}'))         then dh:IsFirstDateEarlierThanSecondDate(substring($authored-dt, '1', string-length($spec-receipt-dt)),           substring($spec-receipt-dt, '1', string-length($authored-dt))) = '1'        else false() " />
    <xsl:variable name="enc-end-before-coll" select="if ($encounter-end = '' or $spec-collect-dt = '') then false()        else if (matches($encounter-end, '^[0-9]{12,}') and matches($spec-collect-dt, '^[0-9]{12,}') and          string-length($encounter-end) = string-length($spec-collect-dt))          then dh:IsFirstDateEarlierThanSecondDate($encounter-end, $spec-collect-dt) = '1'        else if (matches($encounter-end, '^[0-9]{12,}') and matches($spec-collect-dt, '^[0-9]{12,}'))          then dh:IsFirstDateEarlierThanSecondDate(replace($encounter-end, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3'),           replace($spec-collect-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3')) = '1'        else if ($body-same-timezones and matches($spec-collect-dt, '^[0-9]{8}$') and matches($encounter-end, concat('^', $spec-collect-dt, '[0]{4}'))) then true()        else if (matches($encounter-end, '^[0-9]{4}') and matches($spec-collect-dt, '^[0-9]{4}'))         then dh:IsFirstDateEarlierThanSecondDate(substring($encounter-end, '1', string-length($spec-collect-dt)),           substring($spec-collect-dt, '1', string-length($encounter-end))) = '1'        else false() " />
    <xsl:variable name="authored-name" select="if (not($authored-before-receipt)) then ''        else if (/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.170' and @extension = '1.0']) then 'DateTime Prescription Written'         else if (/cda:ClinicalDocument/cda:templateId[        (@root = '1.2.36.1.2001.1001.101.100.1002.156' and @extension = '1.0')    or        (@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4')     or        (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')    or        (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) or        (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or        (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')    or        (@root = '1.2.36.1.2001.1001.100.1002.171' and @extension = '1.0')    ]) then 'DateTime Authored'         else 'end of the Document Author Participation Period' " />
    <xsl:variable name="observation-dt-name" select="if (/cda:ClinicalDocument[cda:templateId[        (@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4') or        (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2') or        (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3') or        (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2') ]]) then 'Pathology Test Result DateTime' else 'Observation DateTime' " />
    <xsl:variable name="observation-dt-msg" select="if ($observation-dt-name = 'Pathology Test Result DateTime') then concat('The Pathology Test Result DateTime is the date and optionally time of the ',        'Pathology Test Result observation, which is when the clinically significant observation was performed. ',        'For a Pathology Test Result that is the date and optionally time of collection of the specimen.')        else concat('The Observation DateTime is the date and optionally time when the clinically significant observation was performed. ',        'For a Pathology Test Result that is the date and optionally time of collection of the specimen.') " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-01" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-01 " />
    <!--REPORT -->
    <xsl:if test="$receipt-before-collect ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$receipt-before-collect">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Test Specimen Date and Time of Collection
		'entry/observation/entryRelationship/observation/effectiveTime' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$spec-collect-dt" /><xsl:text />'
		and the Test Specimen Date and Time of Receipt 'entry/observation/entryRelationship/observation/entryRelationship/observation/value'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$spec-receipt-dt" /><xsl:text />' which is before the Date and Time of Collection.
		The Test Specimen Date and Time of Collection is the date and time that the collection has been ordered to take place or has taken place and the
		Test Specimen Date and Time of Receipt is the date and time that the test specimen was received at the laboratory. It is not possible for the test specimen to
		be received at the laboratory before it was collected.
		(See the definitions of Test Specimen Date and Time of Collection and Test Specimen Date and Time of Receipt in the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$obs-before-collect ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$obs-before-collect">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Test Specimen Date and Time of Collection
		'entry/observation/entryRelationship/observation/effectiveTime' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$spec-collect-dt" /><xsl:text />'
		and the <xsl:text /><xsl:value-of select="$observation-dt-name" /><xsl:text /> 'entry/observation/entryRelationship/observation/effectiveTime'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$observation-dt" /><xsl:text />' which is before the Date and Time of Collection.
		The Test Specimen Date and Time of Collection is the date and time that the collection has been ordered to take place or has taken place and the
		<xsl:text /><xsl:value-of select="$observation-dt-name" /><xsl:text /> is the clinically significant date and time which is the date and optionally time of collection of the specimen.
		It is not possible for the observation to be performed before the specimen was collected.
		(See the definitions of <xsl:text /><xsl:value-of select="$observation-dt-name" /><xsl:text /> and Test Specimen Date and Time of Collection in the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text />.)
		<xsl:text /><xsl:value-of select="$observation-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$authored-before-receipt ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$authored-before-receipt">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Test Specimen Date and Time of Receipt 'entry/observation/entryRelationship/observation/entryRelationship/observation/value'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$spec-receipt-dt" /><xsl:text />' and the <xsl:text /><xsl:value-of select="$authored-name" /><xsl:text />
		'ClinicalDocument/author/time' data element in the document header has the value '<xsl:text /><xsl:value-of select="$authored-dt" /><xsl:text />'
		which is before the Test Specimen Date and Time of Receipt. It is not possible for the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> to be authored before the specimen was received to obtain
		the pathology test result that was documented in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See the definitions of Test Specimen Date and Time of Receipt in the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and the definition of <xsl:text /><xsl:value-of select="$authored-name" /><xsl:text /> in section 6 of the
		<xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $enc-end-before-coll ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$enc-end-before-coll">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The EncompassingEncounter 'ClinicalDocument/componentOf/encompassingEncounter' data element indicates the
		clinical encounter during which the documented health event occurred ended at '<xsl:text /><xsl:value-of select="$encounter-end" /><xsl:text />' and the
		Test Specimen Date and Time of Collection 'entry/observation/entryRelationship/observation/effectiveTime'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$spec-collect-dt" /><xsl:text />' which is after the clinical encounter ended.
		The Test Specimen Date and Time of Collection is the date and time that the collection has been ordered to take place or has taken place so it is
		not possible for the specimen to be collected after the clinical encounter ended.
		(See the definition of Test Specimen Date and Time of Collection in the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and the definition of EncompassingEncounter in section
		4.2.3.5 of HL7 Clinical Document Architecture, Release 2.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1055" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1055" />
  <xsl:template match="@*|node()" priority="-2" mode="M1055">
    <xsl:apply-templates select="@*|*" mode="M1055" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-Path-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')]] " priority="1000" mode="M1056">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('102.16156.2.2.2', '102.16156.136.2.2', '102.16156.132.1.2')]] " />
    <xsl:variable name="res-collect-dte" select="cda:effectiveTime " />
    <xsl:variable name="res-collect-dt" select="if ($res-collect-dte/@value) then $res-collect-dte/@value else '' " />
    <xsl:variable name="res-receipt-dte" select="cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.11014']]/cda:value " />
    <xsl:variable name="res-receipt-dt" select="if ($res-receipt-dte/@value) then $res-receipt-dte/@value else '' " />
    <xsl:variable name="observation-dte" select="ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/        cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16605']]/cda:effectiveTime " />
    <xsl:variable name="observation-dt" select="if ($observation-dte/@value) then $observation-dte/@value else '' " />
    <xsl:variable name="authored-dte" select="if (/cda:ClinicalDocument/cda:author/cda:time) then /cda:ClinicalDocument/cda:author/cda:time else () " />
    <xsl:variable name="authored-dt" select="if ($authored-dte/@value) then $authored-dte/@value         else if ($authored-dte/cda:high/@value) then $authored-dte/cda:high/@value        else '' " />
    <xsl:variable name="encounter-ivl" select="/cda:ClinicalDocument/cda:componentOf/cda:encompassingEncounter/cda:effectiveTime " />
    <xsl:variable name="encounter-end" select="if ($encounter-ivl/cda:high/@value) then $encounter-ivl/cda:high/@value else if ($encounter-ivl/@value) then $encounter-ivl/@value else '' " />
    <xsl:variable name="receipt-before-collect" select="if ($res-receipt-dt = '' or $res-collect-dt = '') then false()        else if (matches($res-receipt-dt, '^[0-9]{12,}') and matches($res-collect-dt, '^[0-9]{12,}') and          string-length($res-receipt-dt) = string-length($res-collect-dt))          then dh:IsFirstDateEarlierThanSecondDate($res-receipt-dt, $res-collect-dt) = '1'        else if (matches($res-receipt-dt, '^[0-9]{12,}') and matches($res-collect-dt, '^[0-9]{12,}'))          then dh:IsFirstDateEarlierThanSecondDate(replace($res-receipt-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3'),           replace($res-collect-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3')) = '1'        else if (matches($res-receipt-dt, '^[0-9]{4}') and matches($res-collect-dt, '^[0-9]{4}'))         then dh:IsFirstDateEarlierThanSecondDate(substring($res-receipt-dt, '1', string-length($res-collect-dt)),           substring($res-collect-dt, '1', string-length($res-receipt-dt))) = '1'        else false() " />
    <xsl:variable name="obs-before-collect" select="if ($observation-dt = '' or $res-collect-dt = '') then false()        else if (matches($observation-dt, '^[0-9]{12,}') and matches($res-collect-dt, '^[0-9]{12,}') and          string-length($observation-dt) = string-length($res-collect-dt))          then dh:IsFirstDateEarlierThanSecondDate($observation-dt, $res-collect-dt) = '1'        else if (matches($observation-dt, '^[0-9]{12,}') and matches($res-collect-dt, '^[0-9]{12,}'))          then dh:IsFirstDateEarlierThanSecondDate(replace($observation-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3'),           replace($res-collect-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3')) = '1'        else if (matches($observation-dt, '^[0-9]{4}') and matches($res-collect-dt, '^[0-9]{4}'))         then dh:IsFirstDateEarlierThanSecondDate(substring($observation-dt, '1', string-length($res-collect-dt)),           substring($res-collect-dt, '1', string-length($observation-dt))) = '1'        else false() " />
    <xsl:variable name="authored-before-receipt" select="if ($authored-dt = '' or $res-receipt-dt = '') then false()        else if (matches($authored-dt, '^[0-9]{12,}') and matches($res-receipt-dt, '^[0-9]{12,}') and          string-length($authored-dt) = string-length($res-receipt-dt))          then dh:IsFirstDateEarlierThanSecondDate($authored-dt, $res-receipt-dt) = '1'        else if (matches($authored-dt, '^[0-9]{12,}') and matches($res-receipt-dt, '^[0-9]{12,}'))          then dh:IsFirstDateEarlierThanSecondDate(replace($authored-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3'),           replace($res-receipt-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3')) = '1'        else if (matches($authored-dt, '^[0-9]{4}') and matches($res-receipt-dt, '^[0-9]{4}'))         then dh:IsFirstDateEarlierThanSecondDate(substring($authored-dt, '1', string-length($res-receipt-dt)),           substring($res-receipt-dt, '1', string-length($authored-dt))) = '1'        else false() " />
    <xsl:variable name="enc-end-before-coll" select="if ($encounter-end = '' or $res-collect-dt = '') then false()        else if (matches($encounter-end, '^[0-9]{12,}') and matches($res-collect-dt, '^[0-9]{12,}') and          string-length($encounter-end) = string-length($res-collect-dt))          then dh:IsFirstDateEarlierThanSecondDate($encounter-end, $res-collect-dt) = '1'        else if (matches($encounter-end, '^[0-9]{12,}') and matches($res-collect-dt, '^[0-9]{12,}'))          then dh:IsFirstDateEarlierThanSecondDate(replace($encounter-end, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3'),           replace($res-collect-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3')) = '1'        else if ($body-same-timezones and matches($res-collect-dt, '^[0-9]{8}$') and matches($encounter-end, concat('^', $res-collect-dt, '[0]{4}'))) then true()        else if (matches($encounter-end, '^[0-9]{4}') and matches($res-collect-dt, '^[0-9]{4}'))         then dh:IsFirstDateEarlierThanSecondDate(substring($encounter-end, '1', string-length($res-collect-dt)),           substring($res-collect-dt, '1', string-length($encounter-end))) = '1'        else false() " />
    <xsl:variable name="authored-name" select="if (not($authored-before-receipt)) then ''        else if (/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.170' and @extension = '1.0']) then 'DateTime Prescription Written'         else if (/cda:ClinicalDocument/cda:templateId[        (@root = '1.2.36.1.2001.1001.101.100.1002.156' and @extension = '1.0')    or        (@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4')     or        (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')    or        (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) or        (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or        (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')    or        (@root = '1.2.36.1.2001.1001.100.1002.171' and @extension = '1.0')    ]) then 'DateTime Authored'         else 'end of the Document Author Participation Period' " />
    <xsl:variable name="observation-dt-name" select="if (/cda:ClinicalDocument[cda:templateId[        (@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4') or        (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2') or        (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3') or        (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2') ]]) then 'Pathology Test Result DateTime' else 'Observation DateTime' " />
    <xsl:variable name="observation-dt-msg" select="if ($observation-dt-name = 'Pathology Test Result DateTime') then concat('The Pathology Test Result DateTime is the date and optionally time of the ',        'Pathology Test Result observation, which is when the clinically significant observation was performed. ',        'For a Pathology Test Result that is the date and optionally time of collection of the specimen.')        else concat('The Observation DateTime is the date and optionally time when the clinically significant observation was performed. ',        'For a Pathology Test Result that is the date and optionally time of collection of the specimen.') " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-01" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-01 " />
    <!--REPORT -->
    <xsl:if test="$receipt-before-collect ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$receipt-before-collect">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Test Result Specimen Detail Date and Time of Collection
		'entry/observation/entryRelationship/organizer/component/observation/effectiveTime' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$res-collect-dt" /><xsl:text />'
		and the Test Result Specimen Detail Date and Time of Receipt 'entry/observation/entryRelationship/organizer/component/observation/entryRelationship/observation/value'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$res-receipt-dt" /><xsl:text />' which is before the Date and Time of Collection.
		The Test Result Specimen Detail Date and Time of Collection is the date and time that the collection has been ordered to take place or has taken place and the
		Test Result Specimen Detail Date and Time of Receipt is the date and time that the test specimen was received at the laboratory. It is not possible for the test specimen to
		be received at the laboratory before it was collected.
		(See the definitions of Test Result Specimen Detail Date and Time of Collection and Test Result Specimen Detail Date and Time of Receipt in the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$obs-before-collect ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$obs-before-collect">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Test Result Specimen Detail Date and Time of Collection
		'entry/observation/entryRelationship/organizer/component/observation/effectiveTime' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$res-collect-dt" /><xsl:text />'
		and the <xsl:text /><xsl:value-of select="$observation-dt-name" /><xsl:text /> 'entry/observation/entryRelationship/observation/effectiveTime'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$observation-dt" /><xsl:text />' which is before the Date and Time of Collection.
		The Test Result Specimen Detail Date and Time of Collection is the date and time that the collection has been ordered to take place or has taken place and the
		<xsl:text /><xsl:value-of select="$observation-dt-name" /><xsl:text /> is the clinically significant date and time which is the date and optionally time of collection of the specimen.
		It is not possible for the observation to be performed before the specimen was collected.
		(See the definitions of <xsl:text /><xsl:value-of select="$observation-dt-name" /><xsl:text /> and Test Result Specimen Detail Date and Time of Collection in the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text />.)
		<xsl:text /><xsl:value-of select="$observation-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$authored-before-receipt ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$authored-before-receipt">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Test Result Specimen Detail Date and Time of Receipt
		'entry/observation/entryRelationship/organizer/component/observation/entryRelationship/observation/value'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$res-receipt-dt" /><xsl:text />' and the <xsl:text /><xsl:value-of select="$authored-name" /><xsl:text />
		'ClinicalDocument/author/time' data element in the document header has the value '<xsl:text /><xsl:value-of select="$authored-dt" /><xsl:text />'
		which is before the Test Result Specimen Detail Date and Time of Receipt. It is not possible for the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> to be authored before the specimen was received to obtain
		the pathology test result that was documented in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See the definitions of Test Result Specimen Detail Date and Time of Receipt in the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and the definition of <xsl:text /><xsl:value-of select="$authored-name" /><xsl:text /> in section 6 of the
		<xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $enc-end-before-coll ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$enc-end-before-coll">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The EncompassingEncounter 'ClinicalDocument/componentOf/encompassingEncounter' data element indicates the
		clinical encounter during which the documented health event occurred ended at '<xsl:text /><xsl:value-of select="$encounter-end" /><xsl:text />' and the
		Test Result Specimen Detail Date and Time of Collection 'entry/observation/entryRelationship/organizer/component/observation/effectiveTime'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$res-collect-dt" /><xsl:text />' which is after the clinical encounter ended.
		The Test Result Specimen Detail Date and Time of Collection is the date and time that the collection has been ordered to take place or has taken place so it is
		not possible for the specimen to be collected after the clinical encounter ended.
		(See the definition of Test Specimen Date and Time of Collection in the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and the definition of EncompassingEncounter in section
		4.2.3.5 of HL7 Clinical Document Architecture, Release 2.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1056" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1056" />
  <xsl:template match="@*|node()" priority="-2" mode="M1056">
    <xsl:apply-templates select="@*|*" mode="M1056" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-Path-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16605']]/cda:effectiveTime " priority="1000" mode="M1057">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16605']]/cda:effectiveTime " />
    <xsl:variable name="observation-dt" select="if (@value) then @value else '' " />
    <xsl:variable name="authored-dte" select="if (/cda:ClinicalDocument/cda:author/cda:time) then /cda:ClinicalDocument/cda:author/cda:time else () " />
    <xsl:variable name="authored-dt" select="if ($authored-dte/@value) then $authored-dte/@value         else if ($authored-dte/cda:high/@value) then $authored-dte/cda:high/@value        else '' " />
    <xsl:variable name="authored-before-obs" select="if ($authored-dt = '' or $observation-dt = '') then false()        else if (matches($authored-dt, '^[0-9]{12,}') and matches($observation-dt, '^[0-9]{12,}') and          string-length($authored-dt) = string-length($observation-dt))          then dh:IsFirstDateEarlierThanSecondDate($authored-dt, $observation-dt) = '1'        else if (matches($authored-dt, '^[0-9]{12,}') and matches($observation-dt, '^[0-9]{12,}'))          then dh:IsFirstDateEarlierThanSecondDate(replace($authored-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3'),           replace($observation-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3')) = '1'        else if (matches($authored-dt, '^[0-9]{4}') and matches($observation-dt, '^[0-9]{4}'))         then dh:IsFirstDateEarlierThanSecondDate(substring($authored-dt, '1', string-length($observation-dt)),           substring($observation-dt, '1', string-length($authored-dt))) = '1'        else false() " />
    <xsl:variable name="authored-name" select="if (not($authored-before-obs)) then ''        else if (/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.170' and @extension = '1.0']) then 'DateTime Prescription Written'         else if (/cda:ClinicalDocument/cda:templateId[        (@root = '1.2.36.1.2001.1001.101.100.1002.156' and @extension = '1.0')    or        (@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4')     or        (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')    or        (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) or        (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or        (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')    or        (@root = '1.2.36.1.2001.1001.100.1002.171' and @extension = '1.0')    ]) then 'DateTime Authored'         else 'end of the Document Author Participation Period' " />
    <xsl:variable name="observation-dt-name" select="if (/cda:ClinicalDocument[cda:templateId[        (@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4') or        (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2') or        (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3') or        (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2') ]]) then 'Pathology Test Result DateTime' else 'Observation DateTime' " />
    <xsl:variable name="observation-dt-msg" select="if ($observation-dt-name = 'Pathology Test Result DateTime') then concat('The Pathology Test Result DateTime is the date and optionally time of the ',        'Pathology Test Result observation, which is when the clinically significant observation was performed. ',        'For a Pathology Test Result that is the date and optionally time of collection of the specimen.')        else concat('The Observation DateTime is the date and optionally time when the clinically significant observation was performed. ',        'For a Pathology Test Result that is the date and optionally time of collection of the specimen.') " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-01" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-01 " />
    <!--REPORT -->
    <xsl:if test="$authored-before-obs ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$authored-before-obs">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The <xsl:text /><xsl:value-of select="$observation-dt-name" /><xsl:text />
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$observation-dt" /><xsl:text />' and the <xsl:text /><xsl:value-of select="$authored-name" /><xsl:text />
		'ClinicalDocument/author/time' data element in the document header has the value '<xsl:text /><xsl:value-of select="$authored-dt" /><xsl:text />'
		which is before the <xsl:text /><xsl:value-of select="$observation-dt-name" /><xsl:text />. It is not possible for the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> to be authored before the time the pathology test observation
		documented in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See the definitions of <xsl:text /><xsl:value-of select="$observation-dt-name" /><xsl:text /> in the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and the definition of <xsl:text /><xsl:value-of select="$authored-name" /><xsl:text /> in section 6 of the
		<xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$observation-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1057" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1057" />
  <xsl:template match="@*|node()" priority="-2" mode="M1057">
    <xsl:apply-templates select="@*|*" mode="M1057" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-Path-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.220']]/cda:participant/cda:associatedEntity[cda:associatedPerson]/   cda:code[@codeSystem = '2.16.840.1.113883.13.62' and @code = '253915'] " priority="1000" mode="M1058">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.220']]/cda:participant/cda:associatedEntity[cda:associatedPerson]/   cda:code[@codeSystem = '2.16.840.1.113883.13.62' and @code = '253915'] " />
    <xsl:variable name="codesystemvalues" select="$code-systems/system[@codeSystem = current()/@codeSystem]" />
    <xsl:variable name="codevalues" select="$codesystemvalues/code[@code=current()/@code] " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-01" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-01 " />
    <!--REPORT -->
    <xsl:if test=" . ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test=".">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Requester Role
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the header has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. The value of the code attribute means that a
		<xsl:text /><xsl:value-of select="$codevalues/@displayName" /><xsl:text /> requested the pathology test. Pathologists do not issue requests for a pathology test so the code attribute must have the wrong
		value. (See the information about the ANZSCO code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />' listed in <xsl:text /><xsl:value-of select="$codesystemvalues/@displayNameSource" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1058" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1058" />
  <xsl:template match="@*|node()" priority="-2" mode="M1058">
    <xsl:apply-templates select="@*|*" mode="M1058" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-Pres-Prof-1-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.170' and @extension = '1.0']]['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/cda:consumable/   cda:manufacturedProduct/cda:manufacturedMaterial/cda:code" priority="1000" mode="M1059">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.170' and @extension = '1.0']]['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/cda:consumable/   cda:manufacturedProduct/cda:manufacturedMaterial/cda:code" />
    <xsl:variable name="c-profile" select="if ($flags/@conformance-profile-version = '1.3') then 'Conformance Profile v1.3' else 'Conformance Profile v1.4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="no-cd-value-1" select="not(@nullFlavor or @code or cda:originalText)" />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-05-step-1" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-05-step-1 " />
    <!--REPORT -->
    <xsl:if test=" @code and not(@nullFlavor) and not(cda:originalText or cda:originalText = '') and not($ts-cd-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@nullFlavor) and not(cda:originalText or cda:originalText = '') and not($ts-cd-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-1" /><xsl:text />: TC-Doc-05 step 1: The Therapeutic Good Identification data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a code attribute with the value '<xsl:text /><xsl:value-of select="@code" /><xsl:text />' and no
		originalText, however in a Prescription Record the Therapeutic Good Identification must include the originalText element with a value and no nullFlavor attribute.
		(See sections 3.2.3 and 3.2.13 of the Prescription Record <xsl:text /><xsl:value-of select="$c-profile" /><xsl:text /> and section 7.1.1 of the Prescription Record CDA Implementation Guide v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and not(@code) and not(cda:originalText or cda:originalText = '') and not($ts-cd-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and not(@code) and not(cda:originalText or cda:originalText = '') and not($ts-cd-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-1" /><xsl:text />: TC-Doc-05 step 1: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a nullFlavor attribute with the value
		'<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' and no originalText element with a proper value however in a Prescription Record the Therapeutic Good Identification must include the originalText element with a
		proper value and no nullFlavor
		attribute. (See sections 3.2.3 and 3.2.13 of the Prescription Record <xsl:text /><xsl:value-of select="$c-profile" /><xsl:text /> and section 7.1.1 of the Prescription Record CDA Implementation Guide v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@nullFlavor or @code) and not(cda:originalText or cda:originalText = '') and not($ts-cd-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor or @code) and not(cda:originalText or cda:originalText = '') and not($ts-cd-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-1" /><xsl:text />: TC-Doc-05 step 1: The Therapeutic Good Identification
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has no code or nullFlavor attribute and no originalText element,
		however in a Prescription Record the Therapeutic Good Identification data element must include the originalText element with a value and no nullFlavor attribute.
		(See sections 3.2.3 and 3.2.13 of the Prescription Record <xsl:text /><xsl:value-of select="$c-profile" /><xsl:text /> and section 7.1.1 of the Prescription Record CDA Implementation Guide v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1059" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1059" />
  <xsl:template match="@*|node()" priority="-2" mode="M1059">
    <xsl:apply-templates select="@*|*" mode="M1059" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-Pres-Prof-2-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument[cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.170' and $flags/@conformance-profile-version = '1.3']/cda:id |    /cda:ClinicalDocument[cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.170' and $flags/@conformance-profile-version = '1.3']/cda:setId" priority="1000" mode="M1060">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument[cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.170' and $flags/@conformance-profile-version = '1.3']/cda:id |    /cda:ClinicalDocument[cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.170' and $flags/@conformance-profile-version = '1.3']/cda:setId" />
    <xsl:variable name="id-elements" select="if (@extension) then concat('root ''', @root, ''' and extension ''', @extension, '''') else concat('root ''', @root, '''')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-05-step-1" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-05-step-1 " />
    <!--REPORT -->
    <xsl:if test="@root and (not(matches(@root, $uuid-regex)) or matches(@root, $invalid-uuid-regex) or @extension) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@root and (not(matches(@root, $uuid-regex)) or matches(@root, $invalid-uuid-regex) or @extension)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-1" /><xsl:text />: TC-Doc-05 step 1: The Prescription Record contains <xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text /> with
		<xsl:text /><xsl:value-of select="$id-elements" /><xsl:text /> however for a Prescription Record the value must be a UUID and the extension attribute must be omitted. (See section 3.2.9 of the Prescription Record
		Conformance Profile v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not(@root) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@root)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-1" /><xsl:text />: TC-Doc-05 step 1: The Prescription Record '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not contain a root
		attribute however for a Prescription Record the root attribute must be present and its value must be a UUID and the extension attribute must be omitted. (See section 3.2.9 of the
		Prescription Record Conformance Profile v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1060" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1060" />
  <xsl:template match="@*|node()" priority="-2" mode="M1060">
    <xsl:apply-templates select="@*|*" mode="M1060" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-Pres-Prof-3-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument[cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.170']" priority="1000" mode="M1061">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument[cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.170']" />
    <xsl:variable name="c-profile" select="if ($flags/@conformance-profile-version = '1.3') then 'Conformance Profile v1.3' else 'Conformance Profile v1.4' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-05-step-1" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-05-step-1 " />
    <!--REPORT -->
    <xsl:if test="not(cda:setId) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:setId)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-1" /><xsl:text />: TC-Doc-05 step 1: The clinical document setId 'ClinicalDocument/setId' is not present but it must be included
		in a Prescription Record. (See section 3.2.9 of the Prescription Record <xsl:text /><xsl:value-of select="$c-profile" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:versionNumber/@value) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:versionNumber/@value)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-1" /><xsl:text />: TC-Doc-05 step 1: The clinical document versionNumber 'ClinicalDocument/versionNumber' is not present but it must be included
		in a Prescription Record. (See section 3.2.9 of the Prescription Record <xsl:text /><xsl:value-of select="$c-profile" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1061" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1061" />
  <xsl:template match="@*|node()" priority="-2" mode="M1061">
    <xsl:apply-templates select="@*|*" mode="M1061" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-Pres-Prof-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.170'] " priority="1000" mode="M1062">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.170'] " />
    <xsl:variable name="c-profile" select="if ($flags/@conformance-profile-version = '1.3') then 'Conformance Profile v1.3' else 'Conformance Profile v1.4' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-05-step-1" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-05-step-1 " />
    <!--REPORT -->
    <xsl:if test="not(cda:relatedDocument[cda:parentDocument]/@typeCode='RPLC') and count($superseded) = 1 and     $superseded/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.170'] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:relatedDocument[cda:parentDocument]/@typeCode='RPLC') and count($superseded) = 1 and $superseded/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.170']">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>	

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-1" /><xsl:text />: TC-Doc-05 step 1: The superseded Prescription Record has been found but the replacement document does not contain a 'relatedDocument/parentDocument'
		header element with the relatedDocument typeCode attribute value of 'RPLC'. It is mandatory for the replacement Prescription Record to have typeCode 'RPLC' in the relatedDocument element.
		(See section 3.2.10 of the Prescription Record <xsl:text /><xsl:value-of select="$c-profile" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1062" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1062" />
  <xsl:template match="@*|node()" priority="-2" mode="M1062">
    <xsl:apply-templates select="@*|*" mode="M1062" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-Pres-Prof-5-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.170' and @extension = '1.0']]['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/   cda:entry/cda:substanceAdministration/cda:entryRelationship/cda:supply/cda:entryRelationship/   cda:act[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code= '246205007']]/cda:text " priority="1000" mode="M1063">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.170' and @extension = '1.0']]['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/   cda:entry/cda:substanceAdministration/cda:entryRelationship/cda:supply/cda:entryRelationship/   cda:act[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code= '246205007']]/cda:text " />
    <xsl:variable name="c-profile" select="if ($flags/@conformance-profile-version = '1.3') then 'Conformance Profile v1.3' else 'Conformance Profile v1.4' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-01" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-01 " />
    <xsl:variable name="rating-05-step-1" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-05-step-1 " />
    <!--REPORT -->
    <xsl:if test=" . = '0' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test=". = '0'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

	    	Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Quantity Description data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value "0" which is invalid as the Quantity Description data element states the amount of the medication that has been prescribed.
		(See section 7.1.1 of the Prescription Record CDA Implementation Guide v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="normalize-space(.) = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="normalize-space(.) = ''">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

	    	Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-1" /><xsl:text />: TC-Doc-05 step 1: The Quantity Description data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> is not present in the entry elements with a value.
		It is a mandatory element and must have a value and no nullFlavor attribute.
		(See section 3.2.13 of the Prescription Record <xsl:text /><xsl:value-of select="$c-profile" /><xsl:text /> and section 7.1.1 of the Prescription Record CDA Implementation Guide v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1063" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1063" />
  <xsl:template match="@*|node()" priority="-2" mode="M1063">
    <xsl:apply-templates select="@*|*" mode="M1063" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-Pres-Map-1-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument[cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.170']/cda:legalAuthenticator/cda:assignedEntity/cda:id " priority="1000" mode="M1064">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument[cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.170']/cda:legalAuthenticator/cda:assignedEntity/cda:id " />
    <xsl:variable name="legal-person" select=" ../cda:assignedPerson " />
    <xsl:variable name="legal-ei-root" select="if ($legal-person/ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1003.0.800361')])        then $legal-person/ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1003.0.800361')]/@root        else if ($legal-person/ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1005.41')])        then $legal-person/ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1005.41')]/@root       else if ($legal-person/ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1005.70')])        then $legal-person/ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1005.70')]/@root       else '' " />
    <xsl:variable name="legal-ei-ext" select="if ($legal-person/ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1003.0.800361')])        then $legal-person/ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1003.0.800361')]/@extension        else if ($legal-person/ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1005.41')])        then $legal-person/ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1005.41')]/@extension       else if ($legal-person/ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1005.70')])        then $legal-person/ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1005.70')]/@extension       else '' " />
    <xsl:variable name="author-person" select=" /cda:ClinicalDocument/cda:author/cda:assignedAuthor/cda:assignedPerson " />
    <xsl:variable name="author-ei-root" select="if ($author-person/ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1003.0.800361')])        then $author-person/ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1003.0.800361')]/@root        else if ($author-person/ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1005.41')])        then $author-person/ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1005.41')]/@root       else if ($author-person/ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1005.70')])        then $author-person/ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1005.70')]/@root       else '' " />
    <xsl:variable name="author-ei-ext" select="if ($author-person/ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1003.0.800361')])        then $author-person/ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1003.0.800361')]/@extension        else if ($author-person/ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1005.41')])        then $author-person/ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1005.41')]/@extension       else if ($author-person/ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1005.70')])        then $author-person/ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1005.70')]/@extension       else '' " />
    <xsl:variable name="ei-text" select="if ($legal-ei-root != '' and $legal-ei-ext != '') then concat('root ''', $legal-ei-root, ''' and extension ''', $legal-ei-ext, '''')        else if ($legal-ei-root != '') then concat('root ''', $legal-ei-root, '''')       else '' " />
    <xsl:variable name="legal-id" select="if (@root and @extension) then concat('root ''', @root, ''' and extension ''', @extension, '''')        else if (@root) then concat('root ''', @root, '''')       else '' " />
    <xsl:variable name="author-id-root" select="if (/cda:ClinicalDocument/cda:author/cda:assignedAuthor/cda:id/@root) then /cda:ClinicalDocument/cda:author/cda:assignedAuthor/cda:id/@root else '' " />
    <xsl:variable name="author-id-ext" select="if (/cda:ClinicalDocument/cda:author/cda:assignedAuthor/cda:id/@extension) then        /cda:ClinicalDocument/cda:author/cda:assignedAuthor/cda:id/@extension else '' " />
    <xsl:variable name="author-id" select="if ($author-id-root != '' and $author-id-ext != '' ) then concat('root ''', $author-id-root, ''' and extension ''', author-id-ext, '''')        else if ($author-id-root != '') then concat('root ''', $author-id-root, '''')       else '' " />
    <xsl:variable name="same-person" select="if ($legal-ei-root != '') then concat($legal-ei-root, $legal-ei-ext) = concat($author-ei-root, $author-ei-ext) else false() " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <!--REPORT -->
    <xsl:if test=" $same-person and concat($author-id-root, $author-id-ext) != concat(@root, @extension) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$same-person and concat($author-id-root, $author-id-ext) != concat(@root, @extension)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

	    	Error<xsl:text /><xsl:value-of select="if ($initial-priority) then $initial-rating else $rating-alt-TC-Doc-05-step-2" /><xsl:text />: TC-Doc-05 step 2: The prescriber and the legal authenticator both have the entity identifier with <xsl:text /><xsl:value-of select="$ei-text" /><xsl:text /> so the prescriber
		is the legal authenticator. The 'legalAuthenticator/assignedEntity/id' data element has <xsl:text /><xsl:value-of select="$legal-id" /><xsl:text /> and the 'ClinicalDocument/author/assignedAuthor/id' data element has
		<xsl:text /><xsl:value-of select="$author-id" /><xsl:text />. This does not meet the requirement for 'legalAuthenticator/assignedEntity/id' to have
		the same value as the 'ClinicalDocument/author/assignedAuthor/id' data element when the prescriber is the legal authenticator.
		(See section 5.1.1 of the Prescription Record CDA Implementation Guide v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1064" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1064" />
  <xsl:template match="@*|node()" priority="-2" mode="M1064">
    <xsl:apply-templates select="@*|*" mode="M1064" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-Pres-Map-2-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument[cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.170']/cda:custodian/cda:assignedCustodian/   cda:representedCustodianOrganization/cda:id " priority="1000" mode="M1065">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument[cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.170']/cda:custodian/cda:assignedCustodian/   cda:representedCustodianOrganization/cda:id " />
    <xsl:variable name="cust-org" select=" .. " />
    <xsl:variable name="cust-ei-root" select="if ($cust-org/ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1003.0.800362')])        then $cust-org/ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1003.0.800362')]/@root        else '' " />
    <xsl:variable name="cust-ei-ext" select="if ($cust-org/ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1003.0.800362')])        then $cust-org/ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1003.0.800362')]/@extension        else '' " />
    <xsl:variable name="fac-org" select=" /cda:ClinicalDocument/cda:componentOf/cda:encompassingEncounter/cda:location/cda:healthCareFacility/cda:serviceProviderOrganization/       cda:asOrganizationPartOf/cda:wholeOrganization " />
    <xsl:variable name="fac-ei-root" select="if ($fac-org/ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1003.0.800362')])        then $fac-org/ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1003.0.800362')]/@root        else '' " />
    <xsl:variable name="fac-ei-ext" select="if ($fac-org/ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1003.0.800362')])        then $fac-org/ext:asEntityIdentifier/ext:id[starts-with(@root, '1.2.36.1.2001.1003.0.800362')]/@extension        else '' " />
    <xsl:variable name="ei-text" select="if ($cust-ei-root != '' and $cust-ei-ext != '') then concat('root ''', $cust-ei-root, ''' and extension ''', $cust-ei-ext, '''')        else if ($cust-ei-root != '') then concat('root ''', $cust-ei-root, '''')       else '' " />
    <xsl:variable name="cust-id" select="if (@root and @extension) then concat('root ''', @root, ''' and extension ''', @extension, '''')        else if (@root) then concat('root ''', @root, '''')       else '' " />
    <xsl:variable name="facility" select=" /cda:ClinicalDocument/cda:componentOf/cda:encompassingEncounter/cda:location/cda:healthCareFacility " />
    <xsl:variable name="fac-id-root" select="if ($facility/cda:id/@root) then $facility/cda:id/@root else '' " />
    <xsl:variable name="fac-id-ext" select="if ($facility/cda:id/@extension) then $facility/cda:id/@extension else '' " />
    <xsl:variable name="fac-id" select="if ($fac-id-root != '' and $fac-id-ext != '' ) then concat('root ''', $fac-id-root, ''' and extension ''', $fac-id-ext, '''')        else if ($fac-id-root != '') then concat('root ''', $fac-id-root, '''')       else '' " />
    <xsl:variable name="same-org" select="if ($cust-ei-root != '') then concat($cust-ei-root, $cust-ei-ext) = concat($fac-ei-root, $fac-ei-ext) else false() " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <!--REPORT -->
    <xsl:if test=" $same-org and concat($fac-id-root, $fac-id-ext) != concat(@root, @extension) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$same-org and concat($fac-id-root, $fac-id-ext) != concat(@root, @extension)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

	    	Error<xsl:text /><xsl:value-of select="if ($initial-priority) then $initial-rating else $rating-alt-TC-Doc-05-step-2" /><xsl:text />: TC-Doc-05 step 2: The custodian organisation and the healthcare facility both have the entity identifier with <xsl:text /><xsl:value-of select="$ei-text" /><xsl:text /> so the
		custodian organisation is the healthcare facility. The 'representedCustodianOrganization/id' data element has <xsl:text /><xsl:value-of select="$cust-id" /><xsl:text /> and the
		'ClinicalDocument/encompassingEncounter/location/healthCareFacility/id' data element has <xsl:text /><xsl:value-of select="$fac-id" /><xsl:text />. This does not meet the requirement for
		'representedCustodianOrganization/id' to have
		the same value as the 'ClinicalDocument/encompassingEncounter/location/healthCareFacility/id' data element when the custodian organisation is the healthcare facility.
		(See section 5.1.2 of the Prescription Record CDA Implementation Guide v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1065" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1065" />
  <xsl:template match="@*|node()" priority="-2" mode="M1065">
    <xsl:apply-templates select="@*|*" mode="M1065" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-Pres-Map-3-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument[cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.170']/cda:relatedDocument/cda:parentDocument/cda:code " priority="1000" mode="M1066">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument[cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.170']/cda:relatedDocument/cda:parentDocument/cda:code " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-05-step-2" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-05-step-2 " />
    <!--REPORT -->
    <xsl:if test="not(@codeSystem='1.2.36.1.2001.1001.101' and @code='100.16764') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@codeSystem='1.2.36.1.2001.1001.101' and @code='100.16764')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-2" /><xsl:text />: TC-Doc-05 step 2: The 'relatedDocument/parentDocument/code' data element contains codeSystem='<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />' and
		code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />' whereas a codeSystem attribute with the value "1.2.36.1.2001.1001.101" and a code attribute with the value "100.16764" were expected.
		The 'relatedDocument/parentDocument/code' element must have the same
		value as 'ClinicalDocument/code'. (See section 5.1.4 of the Prescription Record CDA Implementation Guide v1.0.)
	
	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1066" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1066" />
  <xsl:template match="@*|node()" priority="-2" mode="M1066">
    <xsl:apply-templates select="@*|*" mode="M1066" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-Pres-Map-4-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument[cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.170']/cda:relatedDocument[@typeCode='XFRM']" priority="1000" mode="M1067">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument[cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.170']/cda:relatedDocument[@typeCode='XFRM']" />
    <xsl:variable name="possibly-invalid-OID" select="if ((cda:parentDocument/cda:id/@root = '1.2.36.1.2001.1005.35' or cda:parentDocument/cda:id/@root = '1.2.36.1.2001.1005.36') and         not(/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         @code='102.16211']]/        cda:entry/cda:substanceAdministration/cda:id/@root = '1.2.36.1.2001.1005.27.1.1')) then true()        else false() " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-05-step-2" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-05-step-2 " />
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and cda:parentDocument/cda:id/@extension and normalize-space(cda:parentDocument/cda:id/@extension) != '' and $possibly-invalid-OID ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and cda:parentDocument/cda:id/@extension and normalize-space(cda:parentDocument/cda:id/@extension) != '' and $possibly-invalid-OID">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-2" /><xsl:text />: TC-Doc-05 step 2: The Prescription Record contains parentDocument/id/root '<xsl:text /><xsl:value-of select="cda:parentDocument/cda:id/@root" /><xsl:text />' which means the
		original Prescription Record used to create the document in CDA format is stored in the software developed by Fred IT. If another system stores the original Prescription Record then use a
		different value such as '1.2.36.1.2001.1005.50.[HPI-O]' where HPI-O is the identifier of the healthcare provider that created the original Prescription Record.
		Confirm if a valid value has been used for the root attribute.
 		(See section 5.1.4 of the Prescription Record CDA Implementation Guide v1.0 and the HL7 OID Registry.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="(not(cda:parentDocument/cda:id/@extension) or normalize-space(cda:parentDocument/cda:id/@extension) = '') and     (cda:parentDocument/cda:id/@root = '1.2.36.1.2001.1005.35' or cda:parentDocument/cda:id/@root = '1.2.36.1.2001.1005.36') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="(not(cda:parentDocument/cda:id/@extension) or normalize-space(cda:parentDocument/cda:id/@extension) = '') and (cda:parentDocument/cda:id/@root = '1.2.36.1.2001.1005.35' or cda:parentDocument/cda:id/@root = '1.2.36.1.2001.1005.36')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-2" /><xsl:text />: TC-Doc-05 step 2: The relatedDocument element with typeCode 'XFRM' identifies the original Prescription Record that was transformed into CDA document as
		being a Prescription Record stored in the software developed by Fred IT (indicated by parentDocument/id/root '<xsl:text /><xsl:value-of select="cda:parentDocument/cda:id/@root" /><xsl:text />'),
		but the prescription identifier is not present. This fails to conform to the mandatory requirement 'id/root SHALL contain an implementation specific OID and
		id/extension SHALL contain the prescriptionId of the original/parent document.' An example of an implementation specific OID is
		'1.2.36.1.2001.1005.50.[HPI-O]' where HPI-O is the identifier of the healthcare provider that created the original Prescription Record.
 		(See section 5.1.4 of the Prescription Record CDA Implementation Guide v1.0 and the HL7 OID Registry.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="(not(cda:parentDocument/cda:id/@extension) or normalize-space(cda:parentDocument/cda:id/@extension) = '') and    not(cda:parentDocument/cda:id/@root = '1.2.36.1.2001.1005.35' or cda:parentDocument/cda:id/@root = '1.2.36.1.2001.1005.36') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="(not(cda:parentDocument/cda:id/@extension) or normalize-space(cda:parentDocument/cda:id/@extension) = '') and not(cda:parentDocument/cda:id/@root = '1.2.36.1.2001.1005.35' or cda:parentDocument/cda:id/@root = '1.2.36.1.2001.1005.36')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-2" /><xsl:text />: TC-Doc-05 step 2: The relatedDocument element with typeCode 'XFRM' identifies the original Prescription Record that was transformed into CDA document
		but the element does not conform to the mandatory requirement 'id/root SHALL contain an implementation specific OID and id/extension SHALL contain the prescriptionId of
		the original/parent document.'  An example of an implementation specific OID is
		'1.2.36.1.2001.1005.50.[HPI-O]' where HPI-O is the identifier of the healthcare provider that created the original Prescription Record.
		(See section 5.1.4 of the Prescription Record CDA Implementation Guide v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not(cda:parentDocument/cda:id)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:parentDocument/cda:id)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-2" /><xsl:text />: TC-Doc-05 step 2: The relatedDocument element with typeCode 'XFRM' identifies the original Prescription Record that was transformed into CDA document
		but the 'parentDocument/id' is missing so the element does not conform to the mandatory requirement 'id/root SHALL contain an implementation specific OID and id/extension SHALL contain the
		prescriptionId of the original/parent document'.  An example of an implementation specific OID is
		'1.2.36.1.2001.1005.50.[HPI-O]' where HPI-O is the identifier of the healthcare provider that created the original Prescription Record.
		(See section 5.1.4 of the Prescription Record CDA Implementation Guide v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="starts-with(cda:parentDocument/cda:id/@root, '2.25.')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="starts-with(cda:parentDocument/cda:id/@root, '2.25.')">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-2" /><xsl:text />: TC-Doc-05 step 2: The relatedDocument element with typeCode 'XFRM' identifies the original Prescription Record that was transformed into CDA document
		but the element does not seem to conform to the mandatory requirement 'id/root SHALL contain an implementation specific OID and id/extension SHALL contain the prescriptionId of
		the original/parent document'. The issue is that id/root '<xsl:text /><xsl:value-of select="cda:parentDocument/cda:id/@root" /><xsl:text />' has the appearance
		of a UUID transformed into an object identifier and a UUID is not normally used to identify a system.
		Confirm that id/root meets the requirement to identify the system where the original Prescription Record is maintained.
		An example of an implementation specific OID is '1.2.36.1.2001.1005.50.[HPI-O]' where HPI-O is the identifier of the healthcare provider that created the
		original Prescription Record. (See section 5.1.4 of the Prescription Record CDA Implementation Guide v1.0 and the HL7 OID Registry.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and cda:parentDocument/cda:setId ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and cda:parentDocument/cda:setId">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TS-GCD" /><xsl:text />: The relatedDocument element with typeCode 'XFRM' identifies the original Prescription Record that was transformed into CDA document,
		however a setId element is present. The setId is used when the parent document is a CDA document, indicated by typeCode 'RPLC', so its
		inclusion in a relatedDocument element with typeCode 'XFRM' is unexpected. The setId element should be omitted in a relatedDocument element with typeCode 'XFRM'. (See
		section 5.1.4 of the Prescription Record CDA Implementation Guide v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and cda:parentDocument/cda:versionNumber ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and cda:parentDocument/cda:versionNumber">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TS-GCD" /><xsl:text />: The relatedDocument element with typeCode 'XFRM' identifies the original Prescription Record that was transformed into CDA document,
		however a versionNumber element is present. The versionNumber is used when the parent document is a CDA document, indicated by typeCode 'RPLC', and indicates the			
		version of the CDA document that has been replaced so its inclusion in a relatedDocument element with typeCode 'XFRM' is unexpected.
		The versionNumber element should be omitted in a relatedDocument element with typeCode 'XFRM'. (See section 5.1.4 of the Prescription Record
		CDA Implementation Guide v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1067" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1067" />
  <xsl:template match="@*|node()" priority="-2" mode="M1067">
    <xsl:apply-templates select="@*|*" mode="M1067" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-Pres-Map-5-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument[cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.170']/cda:relatedDocument[@typeCode='RPLC']/cda:parentDocument" priority="1000" mode="M1068">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument[cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.170']/cda:relatedDocument[@typeCode='RPLC']/cda:parentDocument" />
    <xsl:variable name="c-profile" select="if ($flags/@conformance-profile-version = '1.3') then 'Conformance Profile v1.3' else 'Conformance Profile v1.4' " />
    <xsl:variable name="id-root-err" select="cda:id/@root and (not(matches(cda:id/@root, $uuid-regex)) or matches(cda:id/@root, $invalid-uuid-regex)) and $flags/@conformance-profile-version = '1.3'" />
    <xsl:variable name="id-ext-err" select="cda:id and cda:id/@extension and $flags/@conformance-profile-version = '1.3'" />
    <xsl:variable name="setId-root-err" select="cda:setId/@root and (not(matches(cda:setId/@root, $uuid-regex)) or matches(cda:setId/@root, $invalid-uuid-regex)) and $flags/@conformance-profile-version = '1.3'" />
    <xsl:variable name="setId-ext-err" select="cda:setId and cda:setId/@extension and $flags/@conformance-profile-version = '1.3'" />
    <xsl:variable name="doc-setId" select="if (/cda:ClinicalDocument/cda:setId) then /cda:ClinicalDocument/cda:setId else () " />
    <xsl:variable name="setId-match-err" select="cda:setId and exists($doc-setId) and not(cda:setId/@root = $doc-setId/@root or cda:setId/@extension = $doc-setId/@extension)" />
    <xsl:variable name="display-id-root-err" select="if ($id-root-err) then ' the value of the root attribute of ClinicalDocument/id must be a UUID' else '' " />
    <xsl:variable name="display-id-ext-err" select="if ($id-root-err) then ' the extension attribute of ClinicalDocument/id must be omitted' else '' " />
    <xsl:variable name="display-id-err" select="if ($id-root-err and $id-ext-err) then concat($display-id-root-err, ' and', $display-id-ext-err)       else if ($id-root-err) then $display-id-root-err       else if ($id-ext-err) then $display-id-ext-err        else '' " />
    <xsl:variable name="display-setId-root-err" select="if ($setId-root-err) then ' the value of the root attribute of ClinicalDocument/setId must be a UUID' else '' " />
    <xsl:variable name="display-setId-ext-err" select="if ($setId-root-err) then ' the extension attribute of ClinicalDocument/setId must be omitted' else '' " />
    <xsl:variable name="display-setId-err" select="if ($setId-root-err and $setId-ext-err) then concat($display-setId-root-err, ' and', $display-setId-ext-err)       else if ($setId-root-err) then $display-setId-root-err       else if ($setId-ext-err) then $display-setId-ext-err        else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-05-step-2" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-05-step-2 " />
    <!--REPORT -->
    <xsl:if test="not(cda:id)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:id)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-2" /><xsl:text />: TC-Doc-05 step 2: The relatedDocument element with typeCode 'RPLC' identifies the Prescription Record that has been replaced however the
		'parentDocument/id' element is missing so it does not meet the requirement that the parentDocument/id shall contain the ClinicalDocument/id of the document being replaced.
		(See section 5.1.4 of the Prescription Record CDA Implementation Guide v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $id-root-err or $id-ext-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$id-root-err or $id-ext-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-2" /><xsl:text />: TC-Doc-05 step 2: The relatedDocument element with typeCode 'RPLC' identifies the Prescription Record that has been replaced and the
		'parentDocument/id' element has <xsl:text /><xsl:value-of select="iq:display-II(cda:id)" /><xsl:text />.
		This cannot be the 'ClinicalDocument/id' of the document being replaced as it does not meet the requirement that <xsl:text /><xsl:value-of select="$display-id-err" /><xsl:text />.
		(See section 5.1.4 of the Prescription Record CDA Implementation Guide v1.0 and section 3.2.9 of the Prescription Record <xsl:text /><xsl:value-of select="$c-profile" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:setId) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:setId)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-2" /><xsl:text />: TC-Doc-05 step 2: The relatedDocument element with typeCode 'RPLC' identifies the Prescription Record that has been replaced however the
		'relatedDocument/parentDocument/setId' element has not been included. It must be present in a Prescription Record and its value must match the value of 'ClinicalDocument/setId'.
		(See section 5.1.4 of the Prescription Record CDA Implementation Guide v1.0 and section 3.2.9 of the Prescription Record <xsl:text /><xsl:value-of select="$c-profile" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $setId-root-err or $setId-ext-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$setId-root-err or $setId-ext-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-2" /><xsl:text />: TC-Doc-05 step 2: The relatedDocument element with typeCode 'RPLC' identifies the Prescription Record that has been replaced and the
		'relatedDocument/parentDocument/setId' element has <xsl:text /><xsl:value-of select="iq:display-II(cda:setId)" /><xsl:text /> which is invalid as it does not meet the requirement that <xsl:text /><xsl:value-of select="$display-setId-err" /><xsl:text />.
		(See section 5.1.4 of the Prescription Record CDA Implementation Guide v1.0 and section 3.2.9 of the Prescription Record <xsl:text /><xsl:value-of select="$c-profile" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $setId-match-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$setId-match-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-2" /><xsl:text />: TC-Doc-05 step 2: The relatedDocument element with typeCode 'RPLC' identifies the Prescription Record that has been replaced and the
		'relatedDocument/parentDocument/setId' element has <xsl:text /><xsl:value-of select="iq:display-II(cda:setId)" /><xsl:text /> and '/cda:ClinicalDocument/cda:setId' has <xsl:text /><xsl:value-of select="iq:display-II($doc-setId)" /><xsl:text />.
		This is an error as 'relatedDocument/parentDocument/setId' and '/cda:ClinicalDocument/cda:setId' are required to be the same.
		(See section 5.1.4 of the Prescription Record CDA Implementation Guide v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:versionNumber/@value and not(/cda:ClinicalDocument/cda:versionNumber/@value &gt; cda:versionNumber/@value) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:versionNumber/@value and not(/cda:ClinicalDocument/cda:versionNumber/@value &gt; cda:versionNumber/@value)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-2" /><xsl:text />: TC-Doc-05 step 2: The relatedDocument element with typeCode 'RPLC' identifies the Prescription Record that has been replaced however the
		relatedDocument/parentDocument/versionNumber element
		has value '<xsl:text /><xsl:value-of select="cda:versionNumber/@value" /><xsl:text />' and ClinicalDocument/versionNumber has value '<xsl:text /><xsl:value-of select="/cda:ClinicalDocument/cda:versionNumber/@value" /><xsl:text />' so
		relatedDocument/parentDocument/versionNumber does not meet the requirement for ClinicalDocument/versionNumber to contain an incremented value of relatedDocument/parentDocument/versionNumber.
		(See section 5.1.4 of the Prescription Record CDA Implementation Guide v1.0 and section 3.2.9 of the Prescription Record <xsl:text /><xsl:value-of select="$c-profile" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1068" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1068" />
  <xsl:template match="@*|node()" priority="-2" mode="M1068">
    <xsl:apply-templates select="@*|*" mode="M1068" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-Pres-Map-6-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument[cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.170']/cda:component/cda:structuredBody/cda:component/cda:section/   ext:coverage2/ext:entitlement/ext:participant/ext:participantRole[@classCode = 'ASSIGNED']/ext:id" priority="1000" mode="M1069">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument[cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.170']/cda:component/cda:structuredBody/cda:component/cda:section/   ext:coverage2/ext:entitlement/ext:participant/ext:participantRole[@classCode = 'ASSIGNED']/ext:id" />
    <xsl:variable name="author-techid" select="/cda:ClinicalDocument/cda:author/cda:assignedAuthor/cda:id " />
    <xsl:variable name="techid-err" select=" (@root and not(@root = $author-techid/@root))    or        (@extension and not(@extension = $author-techid/@extension))  or        (@nullFlavor and not(@nullFlavor = $author-techid/@nullFlavor)) or       (not(@root) and $author-techid/@root)     or         (not(@extension) and $author-techid/@extension)   or       (not(@nullFlavor) and $author-techid/@nullFlavor)   " />
    <xsl:variable name="entitlement-id" select="if (not($techid-err)) then ''       else if (@root and @extension and not(@nullFlavor)) then concat('root ''', @root, ''' and extension ''', @extension, '''')        else if (@root and not(@extension) and @nullFlavor) then concat('root ''', @root, ''' and nullFlavor ''', @nullFlavor, '''')       else if (@root and not(@extension) and not(@nullFlavor)) then concat('root ''', @root, '''')       else if (not(@root) and @extension and @nullFlavor) then concat('nullFlavor ''', @nullFlavor, ''' and extension ''', @extension, '''')       else if (not(@root) and not(@extension) and @nullFlavor) then concat('nullFlavor ''', @nullFlavor, '''')       else '' " />
    <xsl:variable name="author-id" select="if (not($techid-err)) then ''       else if ($author-techid/@root and $author-techid/@extension and not($author-techid/@nullFlavor))         then concat('root ''', $author-techid/@root, ''' and extension ''', $author-techid/@extension, '''')        else if ($author-techid/@root and not($author-techid/@extension) and $author-techid/@nullFlavor)        then concat('root ''', $author-techid/@root, ''' and nullFlavor ''', $author-techid/@nullFlavor, '''')       else if ($author-techid/@root and not($author-techid/@extension) and not($author-techid/@nullFlavor))        then concat('root ''', $author-techid/@root, '''')        else if (not($author-techid/@root) and $author-techid/@extension and $author-techid/@nullFlavor)        then concat('nullFlavor ''', $author-techid/@nullFlavor, ''' and extension ''', $author-techid/@extension, '''')       else if (not($author-techid/@root) and not($author-techid/@extension) and $author-techid/@nullFlavor)        then concat('nullFlavor ''', $author-techid/@nullFlavor, '''')       else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <!--REPORT -->
    <xsl:if test=" $techid-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$techid-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Error<xsl:text /><xsl:value-of select="if ($initial-priority) then $initial-rating else $rating-alt-TC-Doc-05-step-2" /><xsl:text />: TC-Doc-05 step 2: The document author's entitlement technical identifier has <xsl:text /><xsl:value-of select="$entitlement-id" /><xsl:text /> which differs from
		ClinicalDocument/author/assignedAuthor/id which has <xsl:text /><xsl:value-of select="$author-id" /><xsl:text />. These technical identifiers are required have the same value.
		(See section 6.1.2 of the Prescription Record CDA Implementation Guide v1.0.)
	
	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1069" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1069" />
  <xsl:template match="@*|node()" priority="-2" mode="M1069">
    <xsl:apply-templates select="@*|*" mode="M1069" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-Pres-Map-7-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.170' and @extension = '1.0']]['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/   cda:consumable/cda:manufacturedProduct/cda:manufacturerOrganization/cda:id " priority="1000" mode="M1070">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.170' and @extension = '1.0']]['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/   cda:consumable/cda:manufacturedProduct/cda:manufacturerOrganization/cda:id " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-05-step-2" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-05-step-2 " />
    <!--REPORT -->
    <xsl:if test=" @extension and /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/cda:consumable/   cda:manufacturedProduct/cda:manufacturedMaterial/cda:code[@codeSystem = '1.2.36.1.2001.1004.100' or @codeSystem = '2.16.840.1.113883.6.96'] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@extension and /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component// cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/cda:consumable/ cda:manufacturedProduct/cda:manufacturedMaterial/cda:code[@codeSystem = '1.2.36.1.2001.1004.100' or @codeSystem = '2.16.840.1.113883.6.96']">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-2" /><xsl:text />: TC-Doc-05 step 2: The the PBS Manufacturer Code, provided in the extension attribute of manufacturerOrganization/id, is present with value
		'<xsl:text /><xsl:value-of select="@extension" /><xsl:text />'. However an Australian Medicines Terminology code has been included in the Therapeutic Good Identification data element so the
		PBS Manufacturer Code must be omitted.
		(See requirement "If Therapeutic Good Identification contains an AMT code as the primary code, this SHALL be empty" in section 7.1.1 of the Prescription Record
		CDA Implementation Guide v1.0.)
 
	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1070" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1070" />
  <xsl:template match="@*|node()" priority="-2" mode="M1070">
    <xsl:apply-templates select="@*|*" mode="M1070" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-Pres-Map-8-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument['101.16795' = $doc-sections]/cda:component/cda:structuredBody/cda:component//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16795']] " priority="1000" mode="M1071">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument['101.16795' = $doc-sections]/cda:component/cda:structuredBody/cda:component//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16795']] " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-01" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-01 " />
    <!--REPORT -->
    <xsl:if test=" count(cda:component/cda:section[cda:code[@code='102.16211']]) &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="count(cda:component/cda:section[cda:code[@code='102.16211']]) &gt; 1">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Medication Entries with Summary section contains information about
		<xsl:text /><xsl:value-of select="count(cda:component/cda:section[cda:code[@code='102.16211']])" /><xsl:text /> prescription items.
		The Medication Entries with Summary section is required to have information about a maximum of one prescription item.
		(See section 2.12 of the Prescription and Dispense View Structured Content Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1071" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1071" />
  <xsl:template match="@*|node()" priority="-2" mode="M1071">
    <xsl:apply-templates select="@*|*" mode="M1071" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-Pres-Map-9-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument['101.16795' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16795']]/cda:entry/   cda:organizer[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16798']]/cda:component/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16804']]/cda:value " priority="1000" mode="M1072">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument['101.16795' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16795']]/cda:entry/   cda:organizer[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16798']]/cda:component/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16804']]/cda:value " />
    <xsl:variable name="maximum" select="../../../cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16805']]/cda:value" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-01" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-01 " />
    <!--REPORT -->
    <xsl:if test="@value and number(@value) &lt; 0 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value and number(@value) &lt; 0">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Total Number of Known Supplies is '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' but the value must be at least '0'. 
		(See section 4.9 of the Prescription and Dispense View Structured Content Specification v1.0)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@value and $maximum/@value and number(@value) &gt; number($maximum/@value) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value and $maximum/@value and number(@value) &gt; number($maximum/@value)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The medicine has been dispensed more times that the number that was available. The Total Number of Known Supplies is
		'<xsl:text /><xsl:value-of select="@value" /><xsl:text />' and the Maximum Number of Permitted Supplies is '<xsl:text /><xsl:value-of select="$maximum/@value" /><xsl:text />'.
		(See sections 4.9 and 4.10 of the Prescription and Dispense View Structured Content Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1072" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1072" />
  <xsl:template match="@*|node()" priority="-2" mode="M1072">
    <xsl:apply-templates select="@*|*" mode="M1072" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-Pres-Map-10-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument['101.16795' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16795']]/cda:entry/   cda:organizer[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16798']]/cda:component/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16805']]/cda:value " priority="1000" mode="M1073">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument['101.16795' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16795']]/cda:entry/   cda:organizer[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16798']]/cda:component/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16805']]/cda:value " />
    <xsl:variable name="current-section" select="ancestor::cda:section[position()=1]" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-01" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-01 " />
    <!--REPORT -->
    <xsl:if test="@value and number(@value) &lt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value and number(@value) &lt; 1">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Maximum Number of Permitted Supplies is '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' but the value must be at least '1'.
		(See section 4.10 of the Prescription and Dispense View Structured Content Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@value and count($current-section//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]) = 1 and    $current-section//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/cda:repeatNumber/cda:high and   number(@value) != number($current-section//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/    cda:entry/cda:substanceAdministration/cda:repeatNumber/cda:high/@value) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value and count($current-section//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]) = 1 and $current-section//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/cda:repeatNumber/cda:high and number(@value) != number($current-section//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/ cda:entry/cda:substanceAdministration/cda:repeatNumber/cda:high/@value)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Maximum Number of Permitted Supplies has an incorrect value. The Maximum Number of Permitted Supplies is
		'<xsl:text /><xsl:value-of select="@value" /><xsl:text />' and the Maximum Number of Repeats is
		'<xsl:text /><xsl:value-of select="number($current-section//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/   cda:entry/cda:substanceAdministration/cda:repeatNumber/cda:high/@value) - 1" /><xsl:text />'.
		The Maximum Number of Permitted Supplies must be the Maximum Number of Repeats plus 1.
		(See sections 4.9 and 4.10 of the Prescription and Dispense View Structured Content Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1073" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1073" />
  <xsl:template match="@*|node()" priority="-2" mode="M1073">
    <xsl:apply-templates select="@*|*" mode="M1073" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-Pres-Map-11-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/   cda:entry/cda:substanceAdministration/cda:consumable/cda:manufacturedProduct/cda:manufacturerOrganization/cda:id " priority="1000" mode="M1074">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/   cda:entry/cda:substanceAdministration/cda:consumable/cda:manufacturedProduct/cda:manufacturerOrganization/cda:id " />
    <xsl:variable name="therapeutic-good" select="/cda:ClinicalDocument//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/   cda:substanceAdministration/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/cda:code" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-05-step-2" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-05-step-2 " />
    <!--REPORT -->
    <xsl:if test=" $therapeutic-good/@codeSystem = '1.2.36.1.2001.1004.100' or $therapeutic-good/@codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$therapeutic-good/@codeSystem = '1.2.36.1.2001.1004.100' or $therapeutic-good/@codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-2" /><xsl:text />: TC-Doc-05 step 2: The PBS Manufacturer Code is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the Prescription Record which also contains an AMT code
		as the primary code, as indicated by the codeSystem='<xsl:text /><xsl:value-of select="$therapeutic-good/@codeSystem" /><xsl:text />', however the PBS Manufacturer Code must be omitted when the Therapeutic Good
		Identification contains an AMT code as the primary code. (See section 7.1 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1074" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1074" />
  <xsl:template match="@*|node()" priority="-2" mode="M1074">
    <xsl:apply-templates select="@*|*" mode="M1074" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-Pres-Map-12-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/cda:id " priority="1000" mode="M1075">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/cda:substanceAdministration/cda:id " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-05-step-2" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-05-step-2 " />
    <!--REPORT -->
    <xsl:if test="not(matches(@root, $oid-regex)) or matches(@root, $invalid-arc-regex)  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(matches(@root, $oid-regex)) or matches(@root, $invalid-arc-regex)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-2" /><xsl:text />:  TC-Doc-05 step 2: The Prescription Item Identifier
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a root attribute with
		the value '<xsl:text /><xsl:value-of select="@root" /><xsl:text />' however it is required to contain an implementation specific OID such as '1.2.36.1.2001.1005.50' followed by an HPI-O.
		(See section 7.1 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and the HL7 OID Registry for the OID '1.2.36.1.2001.1005.50'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and starts-with(@root, '2.25.')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and starts-with(@root, '2.25.')">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-2" /><xsl:text />: TC-Doc-05 step 2: The Prescription Item Identifier
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a root attribute with
		the value '<xsl:text /><xsl:value-of select="@root" /><xsl:text />' and is required to be an implementation specific OID but has the appearance
		of a UUID transformed into an object identifier so is unlikely to meet the requirement as a UUID is not normally used to identify a system.
		Confirm that the Prescription Item Identifier root attribute meets the requirement to identify the system where the original Prescription Record is maintained.
		An example of an implementation specific OID is '1.2.36.1.2001.1005.50.[HPI-O]' where HPI-O is the identifier of the healthcare provider that created the
		original Prescription Record.
		(See section 7.1 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and the HL7 OID Registry for the OID '1.2.36.1.2001.1005.50'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not(@extension) or normalize-space(@extension) = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@extension) or normalize-space(@extension) = ''">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-2" /><xsl:text />: TC-Doc-05 step 2: The Prescription Item Identifier
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has an error.
		The extension attribute is not present with a value. It is required to contain the Medication Instruction identifier of the Prescription.
		(See section 7.1 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1075" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1075" />
  <xsl:template match="@*|node()" priority="-2" mode="M1075">
    <xsl:apply-templates select="@*|*" mode="M1075" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-Pres-Map-13-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument[cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.179']['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/   cda:entry/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16692.179.1.2']]/cda:text/cda:reference" priority="1000" mode="M1076">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument[cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.179']['102.16211' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/   cda:entry/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16692.179.1.2']]/cda:text/cda:reference" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-05-step-2" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-05-step-2 " />
    <!--REPORT -->
    <xsl:if test=" @value and not(starts-with(@value, '#') and ancestor::cda:section[normalize-space(cda:text) != ''][position()=1][cda:text//   cda:linkHtml[@ID = substring-after(current()/@value, '#')]]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value and not(starts-with(@value, '#') and ancestor::cda:section[normalize-space(cda:text) != ''][position()=1][cda:text// cda:linkHtml[@ID = substring-after(current()/@value, '#')]])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-05-step-2" /><xsl:text />: TC-Doc-05 step 2: The Prescription Record Link Target
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value
		'<xsl:text /><xsl:value-of select="@value" /><xsl:text />'. This does not meet the requirement that the reference value must begin with a '#' and reference a linkHtml element in the corresponding narrative.
		For this document the corresponding narrative is the section with the title '<xsl:text /><xsl:value-of select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]/cda:title" /><xsl:text />'.
		(See section 7.1.2.1.2.2.1 of the Prescription and Dispense View CDA Implementation Guide v1.0.)
	
	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1076" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1076" />
  <xsl:template match="@*|node()" priority="-2" mode="M1076">
    <xsl:apply-templates select="@*|*" mode="M1076" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-Pres-1-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument[cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.170']/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/   cda:observation[cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '103.10104']]/cda:effectiveTime[@value] " priority="1000" mode="M1077">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument[cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.170']/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/   cda:observation[cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '103.10104']]/cda:effectiveTime[@value] " />
    <xsl:variable name="expiry-dt" select="@value" />
    <xsl:variable name="expiry-dt-w-time" select="matches($expiry-dt, '^[0-9]{12,}')" />
    <xsl:variable name="authored-dte" select="if (/cda:ClinicalDocument/cda:author/cda:time) then /cda:ClinicalDocument/cda:author/cda:time        else () " />
    <xsl:variable name="authored-dt" select="if ($authored-dte/@value) then $authored-dte/@value         else if ($authored-dte/cda:high/@value) then $authored-dte/cda:high/@value        else '' " />
    <xsl:variable name="expiry-dt-err" select="if (matches($authored-dt, '^[0-9]{12,}') and $expiry-dt-w-time and string-length($authored-dt) = string-length($expiry-dt))          then dh:IsFirstDateEarlierThanSecondDate($expiry-dt, $authored-dt) = '1'        else if (matches($authored-dt, '^[0-9]{12,}') and $expiry-dt-w-time)          then dh:IsFirstDateEarlierThanSecondDate(replace($expiry-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3'),           replace($authored-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3')) = '1'        else if ($body-same-timezones and matches($authored-dt, '^[0-9]{8}$') and matches($expiry-dt, concat('^', $authored-dt, '[0]{4}'))) then true()        else if (matches($authored-dt, '^[0-9]{4}') and matches($expiry-dt, '^[0-9]{4}'))         then dh:IsFirstDateEarlierThanSecondDate(substring($expiry-dt, '1', string-length($authored-dt)),           substring($authored-dt, '1', string-length($expiry-dt))) = '1'        else false() " />
    <xsl:variable name="same-dt-err" select="if ($expiry-dt-w-time and matches($authored-dt, '^[0-9]{12,}') and string-length($expiry-dt) = string-length($authored-dt))          then dh:AreDatesEqual($expiry-dt, $authored-dt) = '1'        else if ($expiry-dt-w-time and matches($authored-dt, '^[0-9]{12,}'))         then dh:AreDatesEqual(replace($expiry-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3'),           replace($authored-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3')) = '1'        else if (matches($expiry-dt, '^[0-9]{4}') and matches($authored-dt, '^[0-9]{4}'))         then dh:AreDatesEqual($expiry-dt, $authored-dt) = '1'        else false() " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-01" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-01 " />
    <!--REPORT -->
    <xsl:if test=" . ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test=".">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		The DateTime Prescription Expires 'entry/observation/effectiveTime' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$expiry-dt" /><xsl:text />' and the DateTime Prescription Written
		'<xsl:text /><xsl:value-of select="if ($authored-dte/@value) then 'ClinicalDocument/author/time' else 'ClinicalDocument/author/time/high' " /><xsl:text /> data element recorded in the header
		has the value '<xsl:text /><xsl:value-of select="$authored-dt" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $same-dt-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$same-dt-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The DateTime Prescription Expires 'entry/observation/effectiveTime' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$expiry-dt" /><xsl:text />' which is the same as the DateTime Prescription Written
		'<xsl:text /><xsl:value-of select="if ($authored-dte/@value) then 'ClinicalDocument/author/time' else 'ClinicalDocument/author/time/high' " /><xsl:text /> data element
		recorded in the header. One or both of these data elements has the wrong value as it is not possible for the prescription to expire when it was written.
		(See sections 6.1 and 7.1.1 of the Prescription Record CDA Implementation Guide v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $expiry-dt-err and not($same-dt-err) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$expiry-dt-err and not($same-dt-err)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The DateTime Prescription Expires 'entry/observation/effectiveTime' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$expiry-dt" /><xsl:text />' and the DateTime Prescription Written
		'<xsl:text /><xsl:value-of select="if ($authored-dte/@value) then 'ClinicalDocument/author/time' else 'ClinicalDocument/author/time/high' " /><xsl:text /> data element recorded in the header
		has the value '<xsl:text /><xsl:value-of select="$authored-dt" /><xsl:text />'.
		One or both of these data elements has the wrong value as it is not possible for the prescription to expire before it was written.
		(See sections 6.1 and 7.1.1 of the Prescription Record CDA Implementation Guide v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1077" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1077" />
  <xsl:template match="@*|node()" priority="-2" mode="M1077">
    <xsl:apply-templates select="@*|*" mode="M1077" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-SHS-1-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument[cda:code[@codeSystem='2.16.840.1.113883.6.1' and @code='60591-5']]" priority="1000" mode="M1078">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument[cda:code[@codeSystem='2.16.840.1.113883.6.1' and @code='60591-5']]" />
    <xsl:variable name="codesystemvalues" select="$code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16299']" />
    <xsl:variable name="adverse-section" select="cda:component/cda:structuredBody/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']] " />
    <xsl:variable name="immun-section" select="cda:component/cda:structuredBody/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16638']] " />
    <xsl:variable name="med-hist-section" select="cda:component/cda:structuredBody/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']] " />
    <xsl:variable name="med-section" select="cda:component/cda:structuredBody/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']] " />
    <xsl:variable name="adverse-excl" select="$adverse-section/cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and        @code=('103.16302.4.3.4', '103.16302.120.1.1', '103.16302.2.2.2')]]/cda:value " />
    <xsl:variable name="immun-excl" select="$immun-section/cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.120.1.5']]/cda:value " />
    <xsl:variable name="med-prob-excl" select="$med-hist-section/cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.120.1.3']]/cda:value " />
    <xsl:variable name="med-proc-excl" select="$med-hist-section/cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.120.1.4']]/cda:value " />
    <xsl:variable name="med-excl" select="$med-section/cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and        @code=('103.16302.2.2.1', '103.16302.120.1.2', '103.16302.132.1.1')]]/cda:value " />
    <xsl:variable name="investigate" select="exists($adverse-excl) and exists($med-excl) and not($creation-date-est) " />
    <xsl:variable name="immun-group" select="if (not($investigate)) then () else $immun-section/cda:entry/cda:substanceAdministration " />
    <xsl:variable name="immun-dt" select="for $group in $immun-group return $group/cda:effectiveTime " />
    <xsl:variable name="immun-same-dt" select="(for $dt in $immun-dt return if ($dt/@value and substring($dt/@value, 1, 8) = $creation-date) then '1' else '0')[. != '0'] " />
    <xsl:variable name="immun-same-all" select="count($immun-same-dt) = count($immun-group) " />
    <xsl:variable name="proc-group" select="if (not($investigate)) then () else $med-hist-section/cda:entry/cda:procedure " />
    <xsl:variable name="proc-dt" select="for $group in $proc-group return $group/cda:effectiveTime " />
    <xsl:variable name="proc-same-dt" select="(for $dt in $proc-dt return if ($dt/@value and substring($dt/@value, 1, 8) = $creation-date) then '1'         else if ($dt/cda:low/@value and $dt/cda:high/@value and substring($dt/cda:low/@value, 1, 8) = $creation-date and $dt/cda:high/@value = $creation-date)        then '1'        else if ($dt/cda:low/@value and not($dt/cda:high/@value) and substring($dt/cda:low/@value, 1, 8) = $creation-date) then '1'        else if (not($dt/cda:low/@value) and $dt/cda:high/@value and substring($dt/cda:high/@value, 1, 8) = $creation-date) then '1'        else '0')[. != '0'] " />
    <xsl:variable name="proc-same-all" select="count($proc-same-dt) = count($proc-group) " />
    <xsl:variable name="prob-group" select="if (not($investigate)) then ()         else $med-hist-section/cda:entry/cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']] " />
    <xsl:variable name="prob-onset-dt" select="if (cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.3'])         then for $group in $prob-group return if ($group/cda:effectiveTime/*) then $group/cda:effectiveTime/* else $group/cda:effectiveTime        else for $group in $prob-group return $group/cda:effectiveTime/cda:low " />
    <xsl:variable name="prob-onset-same-dt" select="(for $dt in $prob-onset-dt return if ($dt/@value and substring($dt/@value, 1, 8) = $creation-date) then '1' else '0')[. != '0'] " />
    <xsl:variable name="prob-onset-same-all" select="count($prob-onset-same-dt) = count($prob-group) " />
    <xsl:variable name="prob-res-dt" select="for $group in $prob-group return $group/cda:entryRelationship[@typeCode='SUBJ']/        cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]/cda:value " />
    <xsl:variable name="prob-res-same-dt" select="(for $dt in $prob-res-dt return if ($dt/@value and substring($dt/@value, 1, 8) = $creation-date) then '1' else '0')[. != '0'] " />
    <xsl:variable name="prob-res-same-all" select="count($prob-res-same-dt) = count($prob-group) " />
    <xsl:variable name="uncat-group" select="if (not($investigate)) then () else $med-hist-section/cda:entry/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16627']] " />
    <xsl:variable name="med-hist-ivl" select="for $group in $uncat-group return $group/cda:effectiveTime " />
    <xsl:variable name="med-hist-same-ivl" select="(for $ivl in $med-hist-ivl return if ($ivl/@value and substring($ivl/@value, 1, 8) = $creation-date) then '1'         else if ($ivl/cda:low/@value and $ivl/cda:high/@value and substring($ivl/cda:low/@value, 1, 8) = $creation-date and          $ivl/cda:high/@value = $creation-date) then '1'        else if ($ivl/cda:low/@value and not($ivl/cda:high/@value) and substring($ivl/cda:low/@value, 1, 8) = $creation-date) then '1'        else if (not($ivl/cda:low/@value) and $ivl/cda:high/@value and substring($ivl/cda:high/@value, 1, 8) = $creation-date) then '1'        else '0')[. != '0'] " />
    <xsl:variable name="med-hist-same-all" select="count($med-hist-same-ivl) = count($uncat-group) " />
    <xsl:variable name="all-excl-warn" select="$investigate and exists($immun-excl) and exists($med-proc-excl) and exists($med-prob-excl) " />
    <xsl:variable name="immun-event" select="not(exists($immun-excl)) and exists($immun-dt) and $immun-same-all " />
    <xsl:variable name="proc-event" select="not(exists($med-proc-excl)) and exists($proc-dt) and $proc-same-all " />
    <xsl:variable name="prob-event" select="not(exists($med-prob-excl)) and (             (exists($prob-onset-dt) and exists($prob-res-dt) and $prob-onset-same-all and $prob-res-same-all) or             (exists($prob-onset-dt) and not(exists($prob-res-dt)) and $prob-onset-same-all)    or             (not(exists($prob-onset-dt)) and exists($prob-res-dt) and $prob-res-same-all)     )" />
    <xsl:variable name="uncat-event" select="not(exists($med-proc-excl)) and not(exists($med-prob-excl)) and exists($med-hist-ivl) and $med-hist-same-all " />
    <xsl:variable name="event-warn" select="$investigate       and              (exists($immun-excl) or $immun-event)    and             (exists($med-proc-excl) or $proc-event or $uncat-event)  and              (exists($med-prob-excl) or $prob-event or $uncat-event)  and              not($all-excl-warn)      " />
    <xsl:variable name="excl-codes" select="if (not($all-excl-warn or $event-warn)) then ()        else distinct-values(($adverse-excl/@code, $immun-excl/@code, $med-prob-excl/@code, $med-proc-excl/@code, $med-excl/@code)) " />
    <xsl:variable name="excl-code-msg" select="for $code in $excl-codes return $codesystemvalues/code[@code = $code]/@explanation " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-01" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-01 " />
    <!--REPORT -->
    <xsl:if test=" $all-excl-warn ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$all-excl-warn">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: All sections of the Shared Health Summary contain exclusion statements.
 		The Adverse Reactions Exclusion Statement has the code '<xsl:text /><xsl:value-of select="$adverse-excl/@code" /><xsl:text />' (<xsl:text /><xsl:value-of select="$codesystemvalues/code[@code = $adverse-excl/@code]/@displayName" /><xsl:text />). 
		The Medications Exclusion Statement has the code '<xsl:text /><xsl:value-of select="$med-excl/@code" /><xsl:text />' (<xsl:text /><xsl:value-of select="$codesystemvalues/code[@code = $med-excl/@code]/@displayName" /><xsl:text />).
		The Problems and Diagnoses Exclusion Statement has the code '<xsl:text /><xsl:value-of select="$med-prob-excl/@code" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$codesystemvalues/code[@code = $med-prob-excl/@code]/@displayName" /><xsl:text />).
		The Procedures Exclusion Statement has the code '<xsl:text /><xsl:value-of select="$med-proc-excl/@code" /><xsl:text />' (<xsl:text /><xsl:value-of select="$codesystemvalues/code[@code = $med-proc-excl/@code]/@displayName" /><xsl:text />).
		The Immunisations Exclusion Statement has the code '<xsl:text /><xsl:value-of select="$immun-excl/@code" /><xsl:text />' (<xsl:text /><xsl:value-of select="$codesystemvalues/code[@code = $immun-excl/@code]/@displayName" /><xsl:text />).
		The intention of a Shared Health Summary is for the healthcare provider to explicitly determine the consumer's adverse reactions, medications, medical history and immunisations.
		<xsl:text /><xsl:value-of select="string-join($excl-code-msg, ' ')" /><xsl:text />
		Confirm that the Shared Health Summary sections have the correct information to summarise the consumer's health by examining information about the consumer's adverse reactions, medications, 
		medical history and immunisations recorded in the My Health Record system or in the clinical information system used to create the Shared Health Summary.
		(See section 3.3.6 of the Shared Health Summary Conformance Profile. Also see <xsl:text /><xsl:value-of select="if ('01' = $excl-codes) then    'section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.'   else 'section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.' " /><xsl:text />
		Clause 45 (b) of the My Health Records Act 2012 states that a condition of registration for a health care provider organisation is that when they upload a document that purports
		to be a Shared Health Summary the document must actually be the consumer's health summary.)		

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $event-warn ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$event-warn">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The Shared Health Summary seems to describe a health event rather than a health summary.
 		The Adverse Reactions section has an Exclusion Statement with the code '<xsl:text /><xsl:value-of select="$adverse-excl/@code" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$codesystemvalues/code[@code = $adverse-excl/@code]/@displayName" /><xsl:text />). 
		The Medications section has an Exclusion Statement with the code '<xsl:text /><xsl:value-of select="$med-excl/@code" /><xsl:text />' (<xsl:text /><xsl:value-of select="$codesystemvalues/code[@code = $med-excl/@code]/@displayName" /><xsl:text />).
		The Medical History section has <xsl:text /><xsl:value-of select="string-join((   if (exists($med-prob-excl)) then concat('a Problems and Diagnoses Exclusion Statement with the code ''', $med-prob-excl/@code, ''' (',   $codesystemvalues/code[@code = $med-prob-excl/@code]/@displayName, ')') else '',    if (exists($med-proc-excl)) then concat('a Procedures Exclusion Statement with the code ''', $med-proc-excl/@code, ''' (',   $codesystemvalues/code[@code = $med-proc-excl/@code]/@displayName, ')') else '',   if ($prob-event) then 'medical problems and diagnoses that occurred on the same day the Shared Health Summary was created' else '',    if ($proc-event) then 'procedures performed on the same day the Shared Health Summary was created' else '',    if ($uncat-event) then 'medical items that occurred on the same day the Shared Health Summary was created' else '')[. != ''], ' and ') " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (exists($immun-excl)) then concat('The Immunisations section has an Exclusion Statement with the code ''', $immun-excl/@code, ''' (',   $codesystemvalues/code[@code = $immun-excl/@code]/@displayName, ').')    else if ($immun-event) then 'All immunisations recorded in the Immunisations section were performed on the same day the Shared Health Summary was created.' else '' " /><xsl:text />
		The intention of a Shared Health Summary is for the healthcare provider to explicitly determine the consumer's adverse reactions, medications, medical history and immunisations.
		<xsl:text /><xsl:value-of select="string-join($excl-code-msg, ' ')" /><xsl:text />
		Confirm that the Shared Health Summary sections have the correct information to summarise the consumer's health by examining information about the consumer's adverse reactions, medications,
		medical history and immunisations recorded in the My Health Record system or in the clinical information system used to create the Shared Health Summary.
		(See section 3.3.6 of the Shared Health Summary Conformance Profile. Also see <xsl:text /><xsl:value-of select="if ('01' = $excl-codes) then    'section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.'   else 'section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.' " /><xsl:text />
		Clause 45 (b) of the My Health Records Act 2012 states that a condition of registration for a health care provider organisation is that when they upload a document that purports
		to be a Shared Health Summary the document must actually be the consumer's health summary.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1078" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1078" />
  <xsl:template match="@*|node()" priority="-2" mode="M1078">
    <xsl:apply-templates select="@*|*" mode="M1078" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-SS-Excl-1-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument[not($flags/@collection-same-system = 'false') and $document-number &gt; 1]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16638']]/   cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.120.1.5']]/cda:value" priority="1000" mode="M1079">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument[not($flags/@collection-same-system = 'false') and $document-number &gt; 1]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16638']]/   cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.120.1.5']]/cda:value" />
    <xsl:variable name="a-SHS" select="exists(/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')]) " />
    <xsl:variable name="exclusion-code" select="@codeSystem = '1.2.36.1.2001.1001.101.104.16299' and @code = ('01', '02', '03') " />
    <xsl:variable name="exclusion-coll" select="$documents/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/       cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16638']]/       cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.120.1.5']]/cda:value " />
    <xsl:variable name="exclusion-num" select="count($exclusion-coll) " />
    <xsl:variable name="exclusion-count" select="if ($numbers/number[number(@value) = $exclusion-num]) then $numbers/number[number(@value) = $exclusion-num]/@name else $exclusion-num" />
    <xsl:variable name="message" select="if ($a-SHS) then    concat(' The intention of a Shared Health Summary is for the healthcare provider to explicitly record the immunisations provided to a healthcare consumer so if an exclusion statement ',   'is included its value must be selected by the healthcare provider. Therefore when each Shared Health Summary in a collection has the same value for the ',   'exclusion statement there is a need to determine if the clinical document authoring system is automatically recording the exclusion statement instead of allowing healthcare providers to ',   'record information, which is an error if it is occurring. Confirm if automatic recording of the exclusion statement is occurring. ',   '(See section 3.3.6 of the of the Shared Health Summary Conformance Profile.) ')   else concat(' Exclusion statement information is time-specific so its validity may not extend beyond the point in time when the information is recorded and ',   'the information is valid only for a specific point in time for each healthcare consumer. Therefore when each document in a collection has the same value for the exclusion statement ',   'there is a need to determine if the clinical document authoring system is automatically recording the exclusion statement instead of allowing healthcare providers to ',   'record information, which is an error if it is occurring. Confirm if automatic recording of the exclusion statement is occurring. ',   '(See section 4.2 of the Medication Instruction and Action Detailed Clinical Model Specification v2.4.) ') " />
    <!--REPORT -->
    <xsl:if test=" $exclusion-num &gt; 1 and $exclusion-code and count($exclusion-coll[@code = current()/@code]) = $exclusion-num ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$exclusion-num &gt; 1 and $exclusion-code and count($exclusion-coll[@code = current()/@code]) = $exclusion-num">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-TC-Doc-01" /><xsl:text />: TC-Doc-01: There are <xsl:text /><xsl:value-of select="$exclusion-count" /><xsl:text /> documents in the collection with an Immunisations Exclusion Statement
		and all have the '<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16299']/code[@code=current()/@code]/@displayName" /><xsl:text />'
		exclusion statement (i.e. code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />').
		<xsl:text /><xsl:value-of select="$message" /><xsl:text /><xsl:text /><xsl:value-of select="normalize-space($code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16299']/code[@code=current()/@code]/@explanation)" /><xsl:text />
		(See the FAQ on exclusion statements and section 2.1 of the My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $exclusion-num &gt; 1 and @nullFlavor and count($exclusion-coll[@nullFlavor = current()/@nullFlavor]) = $exclusion-num ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$exclusion-num &gt; 1 and @nullFlavor and count($exclusion-coll[@nullFlavor = current()/@nullFlavor]) = $exclusion-num">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-TC-Doc-01" /><xsl:text />: TC-Doc-01: There are <xsl:text /><xsl:value-of select="$exclusion-count" /><xsl:text /> documents in the collection with an Immunisations Exclusion Statement
		and all have the a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />).
		<xsl:text /><xsl:value-of select="$message" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1079" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1079" />
  <xsl:template match="@*|node()" priority="-2" mode="M1079">
    <xsl:apply-templates select="@*|*" mode="M1079" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-SS-Excl-2-->
  <!--RULE -->
  <xsl:template match="   /cda:ClinicalDocument[not($flags/@collection-same-system = 'false') and '101.20113' = $doc-sections and $document-number &gt; 1]    [cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']]/    cda:component/cda:structuredBody/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16011']]/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/    cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('103.16302.4.3.4', '103.16302.120.1.1', '103.16302.2.2.2')]]/cda:value |      /cda:ClinicalDocument[not($flags/@collection-same-system = 'false') and '101.20113' = $doc-sections and $document-number &gt; 1]    [cda:templateId[    (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')   or    (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or    (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')   or    (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) or    (@root = '1.2.36.1.2001.1001.101.100.1002.153' and @extension = '1.0')   ]]/cda:component/cda:structuredBody/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/    cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('103.16302.4.3.4', '103.16302.120.1.1', '103.16302.2.2.2')]]/cda:value " priority="1000" mode="M1080">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="   /cda:ClinicalDocument[not($flags/@collection-same-system = 'false') and '101.20113' = $doc-sections and $document-number &gt; 1]    [cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']]/    cda:component/cda:structuredBody/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16011']]/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/    cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('103.16302.4.3.4', '103.16302.120.1.1', '103.16302.2.2.2')]]/cda:value |      /cda:ClinicalDocument[not($flags/@collection-same-system = 'false') and '101.20113' = $doc-sections and $document-number &gt; 1]    [cda:templateId[    (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')   or    (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or    (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')   or    (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) or    (@root = '1.2.36.1.2001.1001.101.100.1002.153' and @extension = '1.0')   ]]/cda:component/cda:structuredBody/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/    cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('103.16302.4.3.4', '103.16302.120.1.1', '103.16302.2.2.2')]]/cda:value " />
    <xsl:variable name="a-SHS" select="exists(/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')]) " />
    <xsl:variable name="exclusion-code" select="@codeSystem = '1.2.36.1.2001.1001.101.104.16299' and @code = ('01', '02', '03') " />
    <xsl:variable name="exclusion-coll" select="($documents/cda:ClinicalDocument/       cda:component/cda:structuredBody/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16011']]/cda:component/       cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/       cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('103.16302.4.3.4', '103.16302.120.1.1', '103.16302.2.2.2')]]/cda:value,          $documents/cda:ClinicalDocument/       cda:component/cda:structuredBody/cda:component/       cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/       cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('103.16302.4.3.4', '103.16302.120.1.1', '103.16302.2.2.2')]]/cda:value) " />
    <xsl:variable name="exclusion-num" select="count($exclusion-coll) " />
    <xsl:variable name="exclusion-count" select="if ($numbers/number[number(@value) = $exclusion-num]) then $numbers/number[number(@value) = $exclusion-num]/@name else $exclusion-num" />
    <xsl:variable name="message" select="if ($a-SHS) then    concat(' The intention of a Shared Health Summary is for the healthcare provider to explicitly record a consumer''s adverse reactions so if an exclusion statement ',   'is included its value must be selected by the healthcare provider. Therefore when each Shared Health Summary in a collection has the same value for the ',   'exclusion statement there is a need to determine if the clinical document authoring system is automatically recording the exclusion statement instead of allowing healthcare providers to ',   'record information, which is an error if it is occurring. Confirm if automatic recording of the exclusion statement is occurring. ',   '(See section 3.3.6 of the of the Shared Health Summary Conformance Profile.) ')   else concat(' Exclusion statement information is time-specific so its validity may not extend beyond the point in time when the information is recorded and ',   'the information is valid only for a specific point in time for each healthcare consumer. Therefore when each document in a collection has the same value for the exclusion statement ',   'there is a need to determine if the clinical document authoring system is automatically recording the exclusion statement instead of allowing healthcare providers to ',   'record information, which is an error if it is occurring. Confirm if automatic recording of the exclusion statement is occurring. ',   '(See section 3.2 of the Adverse Reaction Detailed Clinical Model Specification v3.3.) ') " />
    <!--REPORT -->
    <xsl:if test=" $exclusion-num &gt; 1 and $exclusion-code and count($exclusion-coll[@code = current()/@code]) = $exclusion-num ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$exclusion-num &gt; 1 and $exclusion-code and count($exclusion-coll[@code = current()/@code]) = $exclusion-num">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-TC-Doc-01" /><xsl:text />: TC-Doc-01: There are <xsl:text /><xsl:value-of select="$exclusion-count" /><xsl:text /> documents in the collection with an Adverse Reactions Exclusion Statement
		and all have the '<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16299']/code[@code=current()/@code]/@displayName" /><xsl:text />'
		exclusion statement (i.e. code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />').
		<xsl:text /><xsl:value-of select="$message" /><xsl:text /><xsl:text /><xsl:value-of select="normalize-space($code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16299']/code[@code=current()/@code]/@explanation)" /><xsl:text />
		(See the FAQ on exclusion statements and section 2.1 of the My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $exclusion-num &gt; 1 and @nullFlavor and count($exclusion-coll[@nullFlavor = current()/@nullFlavor]) = $exclusion-num ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$exclusion-num &gt; 1 and @nullFlavor and count($exclusion-coll[@nullFlavor = current()/@nullFlavor]) = $exclusion-num">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-TC-Doc-01" /><xsl:text />: TC-Doc-01: There are <xsl:text /><xsl:value-of select="$exclusion-count" /><xsl:text /> documents in the collection with an Adverse Reactions Exclusion Statement
		and all have the a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />).
		<xsl:text /><xsl:value-of select="$message" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1080" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1080" />
  <xsl:template match="@*|node()" priority="-2" mode="M1080">
    <xsl:apply-templates select="@*|*" mode="M1080" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-SS-Excl-3-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument[not($flags/@collection-same-system = 'false') and $document-number &gt; 1]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='103.16302.2.2.1' or @code='103.16302.120.1.2' or @code='103.16302.132.1.1')]]/   cda:value" priority="1000" mode="M1081">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument[not($flags/@collection-same-system = 'false') and $document-number &gt; 1]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='103.16302.2.2.1' or @code='103.16302.120.1.2' or @code='103.16302.132.1.1')]]/   cda:value" />
    <xsl:variable name="a-SHS" select="exists(/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')]) " />
    <xsl:variable name="exclusion-code" select="@codeSystem = '1.2.36.1.2001.1001.101.104.16299' and @code = ('01', '02', '03') " />
    <xsl:variable name="exclusion-coll" select="$documents/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/       cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146']]/cda:entry/       cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='103.16302.2.2.1' or @code='103.16302.120.1.2' or @code='103.16302.132.1.1')]]/       cda:value " />
    <xsl:variable name="exclusion-num" select="count($exclusion-coll) " />
    <xsl:variable name="exclusion-count" select="if ($numbers/number[number(@value) = $exclusion-num]) then $numbers/number[number(@value) = $exclusion-num]/@name else $exclusion-num" />
    <xsl:variable name="message" select="if ($a-SHS) then    concat(' The intention of a Shared Health Summary is for the healthcare provider to explicitly record a consumer''s medications so if an exclusion statement ',   'is included its value must be selected by the healthcare provider. Therefore when each Shared Health Summary in a collection has the same value for the ',   'exclusion statement there is a need to determine if the clinical document authoring system is automatically recording the exclusion statement instead of allowing healthcare providers to ',   'record information, which is an error if it is occurring. Confirm if automatic recording of the exclusion statement is occurring. ',   '(See section 3.3.6 of the of the Shared Health Summary Conformance Profile.) ')   else concat(' Exclusion statement information is time-specific so its validity may not extend beyond the point in time when the information is recorded and ',   'the information is valid only for a specific point in time for each healthcare consumer. Therefore when each document in a collection has the same value for the exclusion statement ',   'there is a need to determine if the clinical document authoring system is automatically recording the exclusion statement instead of allowing healthcare providers to ',   'record information, which is an error if it is occurring. Confirm if automatic recording of the exclusion statement is occurring. ',   '(See section 4.2 of the Medication Instruction and Action Detailed Clinical Model Specification v2.4.) ') " />
    <!--REPORT -->
    <xsl:if test=" $exclusion-num &gt; 1 and $exclusion-code and count($exclusion-coll[@code = current()/@code]) = $exclusion-num ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$exclusion-num &gt; 1 and $exclusion-code and count($exclusion-coll[@code = current()/@code]) = $exclusion-num">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-TC-Doc-01" /><xsl:text />: TC-Doc-01: There are <xsl:text /><xsl:value-of select="$exclusion-count" /><xsl:text /> documents in the collection with an Medications Exclusion Statement
		and all have the '<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16299']/code[@code=current()/@code]/@displayName" /><xsl:text />'
		exclusion statement (i.e. code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />').
		<xsl:text /><xsl:value-of select="$message" /><xsl:text /><xsl:text /><xsl:value-of select="normalize-space($code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16299']/code[@code=current()/@code]/@explanation)" /><xsl:text />
		(See the FAQ on exclusion statements and section 2.1 of the My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $exclusion-num &gt; 1 and @nullFlavor and count($exclusion-coll[@nullFlavor = current()/@nullFlavor]) = $exclusion-num ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$exclusion-num &gt; 1 and @nullFlavor and count($exclusion-coll[@nullFlavor = current()/@nullFlavor]) = $exclusion-num">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-TC-Doc-01" /><xsl:text />: TC-Doc-01: There are <xsl:text /><xsl:value-of select="$exclusion-count" /><xsl:text /> documents in the collection with an Medications Exclusion Statement
		and all have the a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />).
		<xsl:text /><xsl:value-of select="$message" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1081" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1081" />
  <xsl:template match="@*|node()" priority="-2" mode="M1081">
    <xsl:apply-templates select="@*|*" mode="M1081" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-SS-Excl-4-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument[not($flags/@collection-same-system = 'false') and '101.16146.4.1.1' = $doc-sections and $document-number &gt; 1]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1']]/   cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.4.3.2']]/cda:value" priority="1000" mode="M1082">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument[not($flags/@collection-same-system = 'false') and '101.16146.4.1.1' = $doc-sections and $document-number &gt; 1]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1']]/   cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.4.3.2']]/cda:value" />
    <xsl:variable name="exclusion-code" select="@codeSystem = '1.2.36.1.2001.1001.101.104.16299' and @code = ('01', '02', '03') " />
    <xsl:variable name="exclusion-coll" select="$documents/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1']]/       cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.4.3.2']]/cda:value " />
    <xsl:variable name="exclusion-num" select="count($exclusion-coll) " />
    <xsl:variable name="exclusion-count" select="if ($numbers/number[number(@value) = $exclusion-num]) then $numbers/number[number(@value) = $exclusion-num]/@name else $exclusion-num" />
    <xsl:variable name="message" select="concat(' Exclusion statement information is time-specific so its validity may not extend beyond the point in time when the information is recorded and ',   'the information is valid only for a specific point in time for each healthcare consumer. Therefore when each document in a collection has the same value for the exclusion statement ',   'there is a need to determine if the clinical document authoring system is automatically recording the exclusion statement instead of allowing healthcare providers to ',   'record information, which is an error if it is occurring. Confirm if automatic recording of the exclusion statement is occurring. ',   '(See section 4.2 of the Medication Instruction and Action Detailed Clinical Model Specification v2.4.) ') " />
    <!--REPORT -->
    <xsl:if test=" $exclusion-num &gt; 1 and $exclusion-code and count($exclusion-coll[@code = current()/@code]) = $exclusion-num ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$exclusion-num &gt; 1 and $exclusion-code and count($exclusion-coll[@code = current()/@code]) = $exclusion-num">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-TC-Doc-01" /><xsl:text />: TC-Doc-01: There are <xsl:text /><xsl:value-of select="$exclusion-count" /><xsl:text /> documents in the collection with an Current Medications on Discharge Exclusion Statement
		and all have the '<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16299']/code[@code=current()/@code]/@displayName" /><xsl:text />'
		exclusion statement (i.e. code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />').
		<xsl:text /><xsl:value-of select="$message" /><xsl:text /><xsl:text /><xsl:value-of select="normalize-space($code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16299']/code[@code=current()/@code]/@explanation)" /><xsl:text />
		(See the FAQ on exclusion statements and section 2.1 of the My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $exclusion-num &gt; 1 and @nullFlavor and count($exclusion-coll[@nullFlavor = current()/@nullFlavor]) = $exclusion-num ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$exclusion-num &gt; 1 and @nullFlavor and count($exclusion-coll[@nullFlavor = current()/@nullFlavor]) = $exclusion-num">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-TC-Doc-01" /><xsl:text />: TC-Doc-01: There are <xsl:text /><xsl:value-of select="$exclusion-count" /><xsl:text /> documents in the collection with an Current Medications on Discharge Exclusion Statement
		and all have the a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />).
		<xsl:text /><xsl:value-of select="$message" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1082" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1082" />
  <xsl:template match="@*|node()" priority="-2" mode="M1082">
    <xsl:apply-templates select="@*|*" mode="M1082" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-SS-Excl-5-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument[not($flags/@collection-same-system = 'false') and '101.16146.4.1.2' = $doc-sections and $document-number &gt; 1]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.2']]/   cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.4.3.3']]/cda:value" priority="1000" mode="M1083">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument[not($flags/@collection-same-system = 'false') and '101.16146.4.1.2' = $doc-sections and $document-number &gt; 1]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.2']]/   cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.4.3.3']]/cda:value" />
    <xsl:variable name="exclusion-code" select="@codeSystem = '1.2.36.1.2001.1001.101.104.16299' and @code = ('01', '02', '03') " />
    <xsl:variable name="exclusion-coll" select="$documents/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.2']]/       cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.4.3.3']]/cda:value " />
    <xsl:variable name="exclusion-num" select="count($exclusion-coll) " />
    <xsl:variable name="exclusion-count" select="if ($numbers/number[number(@value) = $exclusion-num]) then $numbers/number[number(@value) = $exclusion-num]/@name else $exclusion-num" />
    <xsl:variable name="message" select="concat(' Exclusion statement information is time-specific so its validity may not extend beyond the point in time when the information is recorded and ',   'the information is valid only for a specific point in time for each healthcare consumer. Therefore when each document in a collection has the same value for the exclusion statement ',   'there is a need to determine if the clinical document authoring system is automatically recording the exclusion statement instead of allowing healthcare providers to ',   'record information, which is an error if it is occurring. Confirm if automatic recording of the exclusion statement is occurring. ',   '(See section 4.2 of the Medication Instruction and Action Detailed Clinical Model Specification v2.4.) ') " />
    <!--REPORT -->
    <xsl:if test=" $exclusion-num &gt; 1 and $exclusion-code and count($exclusion-coll[@code = current()/@code]) = $exclusion-num ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$exclusion-num &gt; 1 and $exclusion-code and count($exclusion-coll[@code = current()/@code]) = $exclusion-num">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-TC-Doc-01" /><xsl:text />: TC-Doc-01: There are <xsl:text /><xsl:value-of select="$exclusion-count" /><xsl:text /> documents in the collection with an Ceased Medications Exclusion Statement
		and all have the '<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16299']/code[@code=current()/@code]/@displayName" /><xsl:text />'
		exclusion statement (i.e. code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />').
		<xsl:text /><xsl:value-of select="$message" /><xsl:text /><xsl:text /><xsl:value-of select="normalize-space($code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16299']/code[@code=current()/@code]/@explanation)" /><xsl:text />
		(See the FAQ on exclusion statements and section 2.1 of the My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $exclusion-num &gt; 1 and @nullFlavor and count($exclusion-coll[@nullFlavor = current()/@nullFlavor]) = $exclusion-num ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$exclusion-num &gt; 1 and @nullFlavor and count($exclusion-coll[@nullFlavor = current()/@nullFlavor]) = $exclusion-num">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-TC-Doc-01" /><xsl:text />: TC-Doc-01: There are <xsl:text /><xsl:value-of select="$exclusion-count" /><xsl:text /> documents in the collection with an Ceased Medications Exclusion Statement
		and all have the a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />).
		<xsl:text /><xsl:value-of select="$message" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1083" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1083" />
  <xsl:template match="@*|node()" priority="-2" mode="M1083">
    <xsl:apply-templates select="@*|*" mode="M1083" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-SS-Excl-6-->
  <!--RULE -->
  <xsl:template match="   /cda:ClinicalDocument[not($flags/@collection-same-system = 'false') and '101.16142' = $doc-sections and $document-number &gt; 1]/cda:component/cda:structuredBody/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16006']]/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16142']]/    cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.4.3.1']]/cda:value        |    /cda:ClinicalDocument[not($flags/@collection-same-system = 'false') and '101.16117' = $doc-sections and $document-number &gt; 1]/cda:component/cda:structuredBody/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/    cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.120.1.3']]/cda:value" priority="1000" mode="M1084">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="   /cda:ClinicalDocument[not($flags/@collection-same-system = 'false') and '101.16142' = $doc-sections and $document-number &gt; 1]/cda:component/cda:structuredBody/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16006']]/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16142']]/    cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.4.3.1']]/cda:value        |    /cda:ClinicalDocument[not($flags/@collection-same-system = 'false') and '101.16117' = $doc-sections and $document-number &gt; 1]/cda:component/cda:structuredBody/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/    cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.120.1.3']]/cda:value" />
    <xsl:variable name="a-SHS" select="exists(/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')]) " />
    <xsl:variable name="exclusion-code" select="@codeSystem = '1.2.36.1.2001.1001.101.104.16299' and @code = ('01', '02', '03') " />
    <xsl:variable name="exclusion-coll" select="($documents/cda:ClinicalDocument//cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16006']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16142']]/        cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.4.3.1']]/cda:value,        $documents/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/        cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.120.1.3']]/cda:value) " />
    <xsl:variable name="exclusion-num" select="count($exclusion-coll) " />
    <xsl:variable name="exclusion-count" select="if ($numbers/number[number(@value) = $exclusion-num]) then $numbers/number[number(@value) = $exclusion-num]/@name else $exclusion-num" />
    <xsl:variable name="message" select="if ($a-SHS) then    concat(' The intention of a Shared Health Summary is for the healthcare provider to explicitly record a consumer''s medical problems and diagnoses so if an exclusion statement ',   'is included its value must be selected by the healthcare provider. Therefore when each Shared Health Summary in a collection has the same value for the ',   'exclusion statement there is a need to determine if the clinical document authoring system is automatically recording the exclusion statement instead of allowing healthcare providers to ',   'record information, which is an error if it is occurring. Confirm if automatic recording of the exclusion statement is occurring. ',   '(See section 3.3.6 of the of the Shared Health Summary Conformance Profile.) ')   else concat(' Exclusion statement information is time-specific so its validity may not extend beyond the point in time when the information is recorded and ',   'the information is valid only for a specific point in time for each healthcare consumer. Therefore when each document in a collection has the same value for the exclusion statement ',   'there is a need to determine if the clinical document authoring system is automatically recording the exclusion statement instead of allowing healthcare providers to ',   'record information, which is an error if it is occurring. Confirm if automatic recording of the exclusion statement is occurring. ',   '(See section 3.2 of the Medical History Detailed Clinical Model Specification v1.1.) ') " />
    <!--REPORT -->
    <xsl:if test=" $exclusion-num &gt; 1 and $exclusion-code and count($exclusion-coll[@code = current()/@code]) = $exclusion-num ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$exclusion-num &gt; 1 and $exclusion-code and count($exclusion-coll[@code = current()/@code]) = $exclusion-num">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-TC-Doc-01" /><xsl:text />: TC-Doc-01: There are <xsl:text /><xsl:value-of select="$exclusion-count" /><xsl:text /> documents in the collection with an Problems and Diagnoses Exclusion Statement
		and all have the '<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16299']/code[@code=current()/@code]/@displayName" /><xsl:text />'
		exclusion statement (i.e. code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />').
		<xsl:text /><xsl:value-of select="$message" /><xsl:text /><xsl:text /><xsl:value-of select="normalize-space($code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16299']/code[@code=current()/@code]/@explanation)" /><xsl:text />
		(See the FAQ on exclusion statements and section 2.1 of the My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $exclusion-num &gt; 1 and @nullFlavor and count($exclusion-coll[@nullFlavor = current()/@nullFlavor]) = $exclusion-num ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$exclusion-num &gt; 1 and @nullFlavor and count($exclusion-coll[@nullFlavor = current()/@nullFlavor]) = $exclusion-num">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-TC-Doc-01" /><xsl:text />: TC-Doc-01: There are <xsl:text /><xsl:value-of select="$exclusion-count" /><xsl:text /> documents in the collection with an Problems and Diagnoses Exclusion Statement
		and all have the a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />).
		<xsl:text /><xsl:value-of select="$message" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1084" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1084" />
  <xsl:template match="@*|node()" priority="-2" mode="M1084">
    <xsl:apply-templates select="@*|*" mode="M1084" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-SS-Excl-7-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument[not($flags/@collection-same-system = 'false') and '101.16117' = $doc-sections and $document-number &gt; 1]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/   cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.120.1.4']]/cda:value" priority="1000" mode="M1085">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument[not($flags/@collection-same-system = 'false') and '101.16117' = $doc-sections and $document-number &gt; 1]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/   cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.120.1.4']]/cda:value" />
    <xsl:variable name="a-SHS" select="exists(/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')]) " />
    <xsl:variable name="exclusion-code" select="@codeSystem = '1.2.36.1.2001.1001.101.104.16299' and @code = ('01', '02', '03') " />
    <xsl:variable name="exclusion-coll" select="$documents/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/       cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/       cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16302.120.1.4']]/cda:value " />
    <xsl:variable name="exclusion-num" select="count($exclusion-coll) " />
    <xsl:variable name="exclusion-count" select="if ($numbers/number[number(@value) = $exclusion-num]) then $numbers/number[number(@value) = $exclusion-num]/@name else $exclusion-num" />
    <xsl:variable name="message" select="if ($a-SHS) then    concat(' The intention of a Shared Health Summary is for the healthcare provider to explicitly record a consumer''s medical procedures so if an exclusion statement ',   'is included its value must be selected by the healthcare provider. Therefore when each Shared Health Summary in a collection has the same value for the ',   'exclusion statement there is a need to determine if the clinical document authoring system is automatically recording the exclusion statement instead of allowing healthcare providers to ',   'record information, which is an error if it is occurring. Confirm if automatic recording of the exclusion statement is occurring. ',   '(See section 3.3.6 of the of the Shared Health Summary Conformance Profile.) ')   else concat(' Exclusion statement information is time-specific so its validity may not extend beyond the point in time when the information is recorded and ',   'the information is valid only for a specific point in time for each healthcare consumer. Therefore when each document in a collection has the same value for the exclusion statement ',   'there is a need to determine if the clinical document authoring system is automatically recording the exclusion statement instead of allowing healthcare providers to ',   'record information, which is an error if it is occurring. Confirm if automatic recording of the exclusion statement is occurring. ',   '(See section 5.2 of the Medical History Detailed Clinical Model Specification v1.1.) ') " />
    <!--REPORT -->
    <xsl:if test=" $exclusion-num &gt; 1 and $exclusion-code and count($exclusion-coll[@code = current()/@code]) = $exclusion-num ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$exclusion-num &gt; 1 and $exclusion-code and count($exclusion-coll[@code = current()/@code]) = $exclusion-num">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-TC-Doc-01" /><xsl:text />: TC-Doc-01: There are <xsl:text /><xsl:value-of select="$exclusion-count" /><xsl:text /> documents in the collection with an Procedures Exclusion Statement
		and all have the '<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16299']/code[@code=current()/@code]/@displayName" /><xsl:text />'
		exclusion statement (i.e. code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />').
		<xsl:text /><xsl:value-of select="$message" /><xsl:text /><xsl:text /><xsl:value-of select="normalize-space($code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16299']/code[@code=current()/@code]/@explanation)" /><xsl:text />
		(See the FAQ on exclusion statements and section 2.1 of the My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $exclusion-num &gt; 1 and @nullFlavor and count($exclusion-coll[@nullFlavor = current()/@nullFlavor]) = $exclusion-num ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$exclusion-num &gt; 1 and @nullFlavor and count($exclusion-coll[@nullFlavor = current()/@nullFlavor]) = $exclusion-num">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-TC-Doc-01" /><xsl:text />: TC-Doc-01: There are <xsl:text /><xsl:value-of select="$exclusion-count" /><xsl:text /> documents in the collection with an Procedures Exclusion Statement
		and all have the a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />).
		<xsl:text /><xsl:value-of select="$message" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1085" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1085" />
  <xsl:template match="@*|node()" priority="-2" mode="M1085">
    <xsl:apply-templates select="@*|*" mode="M1085" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-SS-Excl-8-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument[not($flags/@collection-same-system = 'false') and $document-number &gt; 1][.//cda:value[@codeSystem='1.2.36.1.2001.1001.101.104.16299' and @code]]" priority="1000" mode="M1086">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument[not($flags/@collection-same-system = 'false') and $document-number &gt; 1][.//cda:value[@codeSystem='1.2.36.1.2001.1001.101.104.16299' and @code]]" />
    <xsl:variable name="a-SHS" select="exists(/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')]) " />
    <xsl:variable name="exclusion-code" select=".//cda:value[@codeSystem='1.2.36.1.2001.1001.101.104.16299' and @code]/@code " />
    <xsl:variable name="code-warning" select="$exclusion-code = ('01', '02', '03') " />
    <xsl:variable name="exclusion-num" select="count($documents/cda:ClinicalDocument//cda:value[@codeSystem='1.2.36.1.2001.1001.101.104.16299' and @code])" />
    <xsl:variable name="exclusion-count" select="if ($numbers/number[number(@value) = $exclusion-num]) then $numbers/number[number(@value) = $exclusion-num]/@name else $exclusion-num" />
    <xsl:variable name="message" select="if ($a-SHS) then ' (See section 3.3.6 of the of the Shared Health Summary Conformance Profile.)'   else concat(' (See section 4.2 of the Medication Instruction and Action Detailed Clinical Model Specification v2.4; section 3.2 of the Adverse Reaction Detailed Clinical ',   'Model Specification v3.3; and sections 3.2 and 5.2 of the Medical History Detailed Clinical Model Specification v1.1 and section 2.1 of the My Health Record Usability ',   'Recommendations v1.3.) ') " />
    <!--REPORT -->
    <xsl:if test=" $exclusion-num &gt; 1 and $code-warning and   count($documents/cda:ClinicalDocument//cda:value[@codeSystem='1.2.36.1.2001.1001.101.104.16299' and @code = $exclusion-code]) = $exclusion-num ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$exclusion-num &gt; 1 and $code-warning and count($documents/cda:ClinicalDocument//cda:value[@codeSystem='1.2.36.1.2001.1001.101.104.16299' and @code = $exclusion-code]) = $exclusion-num">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-TC-Doc-01" /><xsl:text />: TC-Doc-01: All <xsl:text /><xsl:value-of select="$exclusion-count" /><xsl:text /> Exclusion Statements recorded in the <xsl:text /><xsl:value-of select="$exclusion-count" /><xsl:text /> documents in the
		collection have the same code '<xsl:text /><xsl:value-of select="$exclusion-code" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16299']/code[@code=$exclusion-code]/@displayName" /><xsl:text />)
		so there is no evidence that the clinical document authoring system has allowed the healthcare provider to select the exclusion statements. The exclusion statement recorded in the
		documents must be a statement made by a healthcare provider and is not allowed to be automatically selected.
		<xsl:text /><xsl:value-of select="normalize-space($code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16299']/code[@code=$exclusion-code]/@explanation)" /><xsl:text />
		Confirm if automatic recording of the exclusion statement is occurring. <xsl:text /><xsl:value-of select="$message" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1086" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1086" />
  <xsl:template match="@*|node()" priority="-2" mode="M1086">
    <xsl:apply-templates select="@*|*" mode="M1086" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-SS-VSN-1-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument[not($flags/@collection-same-system = 'false')]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16638']]/cda:entry/   cda:substanceAdministration/cda:entryRelationship/cda:sequenceNumber[$document-number &gt; 1]" priority="1000" mode="M1087">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument[not($flags/@collection-same-system = 'false')]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16638']]/cda:entry/   cda:substanceAdministration/cda:entryRelationship/cda:sequenceNumber[$document-number &gt; 1]" />
    <xsl:variable name="sequence-number" select="@value" />
    <xsl:variable name="seq-no-num" select="count($documents/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/       cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16638']]/       cda:entry/cda:substanceAdministration/cda:entryRelationship/cda:sequenceNumber[@value])" />
    <xsl:variable name="seq-no-count" select="if ($numbers/number[number(@value) = $seq-no-num]) then $numbers/number[number(@value) = $seq-no-num]/@name else $seq-no-num" />
    <!--REPORT -->
    <xsl:if test=" $seq-no-num &gt; 1 and count($documents/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16638']]/cda:entry/   cda:substanceAdministration/cda:entryRelationship/cda:sequenceNumber[@value = $sequence-number]) = $seq-no-num ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$seq-no-num &gt; 1 and count($documents/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/ cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16638']]/cda:entry/ cda:substanceAdministration/cda:entryRelationship/cda:sequenceNumber[@value = $sequence-number]) = $seq-no-num">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-01" /><xsl:text />: TC-Doc-01: The <xsl:text /><xsl:value-of select="$seq-no-count" /><xsl:text /> Vaccine Sequence Numbers recorded in the <xsl:text /><xsl:value-of select="$document-count" /><xsl:text />
		documents in the collection have the same sequence number '<xsl:text /><xsl:value-of select="$sequence-number" /><xsl:text />'
		so there is no evidence that the clinical document authoring system has allowed the document authors to select the Vaccine Sequence Number.
		When each document in a collection has the same value for Vaccine Sequence Number
		there is a need to determine if the clinical document authoring system is automatically recording the sequence number, which is an error.
		Confirm if automatic recording of the sequence number is occurring.
		(See section 12.7 of the Shared Health Summary Structured Content Specification and requirement CLD.138 in the My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1087" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1087" />
  <xsl:template match="@*|node()" priority="-2" mode="M1087">
    <xsl:apply-templates select="@*|*" mode="M1087" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-SS-ART-1-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument[$flags/@report-data-quality = 'true' and $document-number &gt; 1 and   not($flags/@collection-same-system = 'false')][cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']]/   cda:component/cda:structuredBody/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16011']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/   cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:value" priority="1000" mode="M1088">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument[$flags/@report-data-quality = 'true' and $document-number &gt; 1 and   not($flags/@collection-same-system = 'false')][cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']]/   cda:component/cda:structuredBody/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16011']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/   cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:value" />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="refSet-member" select="@code and @codeSystem = '2.16.840.1.113883.6.96' and        dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version,         $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = '11000036103']/@refSet) = 'CodeFound' " />
    <xsl:variable name="ART-code-num" select="count($documents/cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']]/    cda:component/cda:structuredBody/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16011']]/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/    cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:value[@code])" />
    <xsl:variable name="ART-code-count" select="if ($numbers/number[number(@value) = $ART-code-num]) then $numbers/number[number(@value) = $ART-code-num]/@name else $ART-code-num" />
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and $refSet-member and    count($documents/cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']]/    cda:component/cda:structuredBody/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16011']]/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/    cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:value[@code = current()/@code]) = $ART-code-num ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $refSet-member and count($documents/cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']]/ cda:component/cda:structuredBody/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16011']]/cda:component/ cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/ cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:value[@code = current()/@code]) = $ART-code-num">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-Doc-01" /><xsl:text />: TC-Doc-01: The <xsl:text /><xsl:value-of select="$ART-code-count" /><xsl:text /> Adverse Reaction Type codes recorded in the <xsl:text /><xsl:value-of select="$document-count" /><xsl:text />
		documents in the collection have the same code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />'
		so there is no evidence that the clinical document authoring system has allowed the document authors to select the Adverse Reaction Type.
		The Adverse Reaction Type is important information for medications management so it is recommended that the system present the reaction types so the specific type of
		reaction may be selected for each healthcare consumer. Confirm if automatic recording of the Adverse Reaction Type is occurring.
		(See requirement CLD.122 in the My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1088" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1088" />
  <xsl:template match="@*|node()" priority="-2" mode="M1088">
    <xsl:apply-templates select="@*|*" mode="M1088" />
  </xsl:template>
  <!--PATTERN p-TS-GCD-SS-ART-2-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument[$flags/@report-data-quality = 'true' and $document-number &gt; 1 and     not($flags/@collection-same-system = 'false')]/    cda:component/cda:structuredBody/cda:component//    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/cda:entry/cda:act    [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:entryRelationship/    cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16474']]/cda:value" priority="1000" mode="M1089">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument[$flags/@report-data-quality = 'true' and $document-number &gt; 1 and     not($flags/@collection-same-system = 'false')]/    cda:component/cda:structuredBody/cda:component//    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/cda:entry/cda:act    [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:entryRelationship/    cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16474']]/cda:value" />
    <xsl:variable name="psnomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="v-psnomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not(@codeSystemVersion)) then $v-latest-snomedctau        else if ($psnomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="refSet-member" select="@code and @codeSystem = '2.16.840.1.113883.6.96' and        dh:IsCodeInValueDomainValid(@code, '2.16.840.1.113883.6.96', $v-psnomed-version,         $code-systems/system[@codeSystem = '2.16.840.1.113883.6.96']/coded-data[@referenceSetID = '11000036103']/@refSet) = 'CodeFound' " />
    <xsl:variable name="ART-code-num" select="count($documents/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/cda:entry/cda:act    [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:entryRelationship/    cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16474']]/cda:value[@code])" />
    <xsl:variable name="ART-code-count" select="if ($numbers/number[number(@value) = $ART-code-num]) then $numbers/number[number(@value) = $ART-code-num]/@name else $ART-code-num" />
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and $refSet-member and    count($documents/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/cda:entry/cda:act    [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:entryRelationship/    cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16474']]/cda:value[@code = current()/@code]) = $ART-code-num ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $refSet-member and count($documents/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/cda:entry/cda:act [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:entryRelationship/ cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16474']]/cda:value[@code = current()/@code]) = $ART-code-num">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-Doc-01" /><xsl:text />: TC-Doc-01: The <xsl:text /><xsl:value-of select="$ART-code-count" /><xsl:text /> Adverse Reaction Type codes recorded in the <xsl:text /><xsl:value-of select="$document-count" /><xsl:text /> documents in the collection have the
		same code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />'
		so there is no evidence that the clinical document authoring system has allowed the document authors to select the Adverse Reaction Type.
		The Adverse Reaction Type is important information for medications management so it is recommended that the system present the reaction types so the specific type of
		reaction may be selected for each healthcare consumer. Confirm if automatic recording of the Adverse Reaction Type is occurring.
		(See requirement CLD.122 in the My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1089" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1089" />
  <xsl:template match="@*|node()" priority="-2" mode="M1089">
    <xsl:apply-templates select="@*|*" mode="M1089" />
  </xsl:template>
  <!--PATTERN p-TS-Head-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.156' and @extension = '1.0')  or   (@root = '1.2.36.1.2001.1001.100.1002.171' and @extension = '1.0') or   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2') or   (@root = '1.2.36.1.2001.1001.100.1002.172' and @extension = '1.1') or   (@root = '1.2.36.1.2001.1001.101.100.1002.153' and @extension = '1.0') or   (@root = '1.2.36.1.2001.1001.100.1002.179' and @extension = '1.0') or   (@root = '1.2.36.1.2001.1001.100.1002.170' and @extension = '1.0') or   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3') ]]" priority="1000" mode="M1090">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.156' and @extension = '1.0')  or   (@root = '1.2.36.1.2001.1001.100.1002.171' and @extension = '1.0') or   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2') or   (@root = '1.2.36.1.2001.1001.100.1002.172' and @extension = '1.1') or   (@root = '1.2.36.1.2001.1001.101.100.1002.153' and @extension = '1.0') or   (@root = '1.2.36.1.2001.1001.100.1002.179' and @extension = '1.0') or   (@root = '1.2.36.1.2001.1001.100.1002.170' and @extension = '1.0') or   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3') ]]" />
    <xsl:variable name="el-name" select="if (cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.170') then 'DateTime Prescription Written' else 'DateTime Authored' " />
    <xsl:variable name="omitted" select="if (cda:templateId[        (@root = '1.2.36.1.2001.1001.100.1002.171' and @extension = '1.0') or        (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2') or        (@root = '1.2.36.1.2001.1001.100.1002.172' and @extension = '1.1') or        (@root = '1.2.36.1.2001.1001.101.100.1002.153' and @extension = '1.0') or        (@root = '1.2.36.1.2001.1001.100.1002.179' and @extension = '1.0') or        (@root = '1.2.36.1.2001.1001.100.1002.170' and @extension = '1.0') or        (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3') ]) then not(cda:author/cda:time/@value)       else if (cda:templateId[        (@root = '1.2.36.1.2001.1001.101.100.1002.156' and @extension = '1.0') ]) then not(cda:author/cda:time)       else false() " />
    <xsl:variable name="message" select="if (cda:templateId[       (@root = '1.2.36.1.2001.1001.100.1002.171' and @extension = '1.0') or       (@root = '1.2.36.1.2001.1001.100.1002.172' and @extension = '1.1') or       (@root = '1.2.36.1.2001.1001.100.1002.179' and @extension = '1.0') or       (@root = '1.2.36.1.2001.1001.100.1002.170' and @extension = '1.0') ])       then concat(' The ', $el-name, ' data element is mapped to ClinicalDocument/author/time/@value. (See section 6 of the ', $document-name, ' CDA Implementation Guide.)')      else if (cda:templateId[       (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2') or       (@root = '1.2.36.1.2001.1001.101.100.1002.153' and @extension = '1.0') or       (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3') ])       then concat(' The ', $el-name,        ' data element is mapped to ClinicalDocument/author/time/@value and it is mandatory even if section 6 of the ', $document-name, ' CDA Implementation Guide ',       'has a 0..1 cardinality for ClinicalDocument/author/time. According to section 2.2 ''Mapping Interpretation'' of the ', $document-name, ' CDA Implementation Guide where the ',       'cardinality stated in the information model is more constrained that the cardinality stated in a mapping table then the cardinality stated in the ',       'information model takes precedence.')      else if (cda:templateId[       (@root = '1.2.36.1.2001.1001.101.100.1002.156' and @extension = '1.0') ])       then concat(' The ', $el-name, ' data element is mapped to ClinicalDocument/author/time and it is mandatory even if section 6 of the ', $document-name, ' CDA Implementation Guide ',       'has a 0..1 cardinality for ClinicalDocument/author/time. According to section 2.2 ''Mapping Interpretation'' of the ', $document-name, ' CDA Implementation Guide where the ',       'cardinality stated in the information model is more constrained that the cardinality stated in a mapping table then the cardinality stated in the ',       'information model takes precedence.')      else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-11" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-11 " />
    <!--REPORT -->
    <xsl:if test=" $omitted ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$omitted">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-11" /><xsl:text />: TC-Doc-11: The <xsl:text /><xsl:value-of select="$el-name" /><xsl:text /> data element is not present in the clinical document. The data element is mandatory so it needs to be
		present. (See the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /><xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text />.)<xsl:text /><xsl:value-of select="$message" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1090" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1090" />
  <xsl:template match="@*|node()" priority="-2" mode="M1090">
    <xsl:apply-templates select="@*|*" mode="M1090" />
  </xsl:template>
  <!--PATTERN p-TS-Head-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.156' and @extension = '1.0')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4')     or   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and (@extension = '1.2' or @extension = '1.3')) or   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and (@extension = '1.3' or @extension = '1.4')) or   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')    ]]" priority="1000" mode="M1091">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.156' and @extension = '1.0')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4')     or   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and (@extension = '1.2' or @extension = '1.3')) or   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and (@extension = '1.3' or @extension = '1.4')) or   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')    ]]" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-11" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-11 " />
    <!--REPORT -->
    <xsl:if test=" not(cda:legalAuthenticator/cda:time) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:legalAuthenticator/cda:time)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-11" /><xsl:text />: TC-Doc-11: The DateTime Attested data element is not present in the clinical document. The data element is mandatory so it needs to be present.
		(See section 6.1 'Context Data Specification - CDA Mapping' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and the cardinality stated in the data
		hierarchy in the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text /> and the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) The DateTime Attested is mapped to
		ClinicalDocument/legalAuthenticator/time and it is mandatory even if section 5.1.1 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide has a 0..1 cardinality for
		ClinicalDocument/legalAuthenticator. According to section 2.2 'Mapping Interpretation' of the
		CDA Implementation Guide where the cardinality stated in the information model is more constrained that the cardinality stated in a mapping table then the cardinality stated in the
		information model takes precedence.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1091" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1091" />
  <xsl:template match="@*|node()" priority="-2" mode="M1091">
    <xsl:apply-templates select="@*|*" mode="M1091" />
  </xsl:template>
  <!--PATTERN p-TS-Head-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2']]/cda:componentOf/cda:encompassingEncounter/   cda:effectiveTime " priority="1000" mode="M1092">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2']]/cda:componentOf/cda:encompassingEncounter/   cda:effectiveTime " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-11" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-11 " />
    <!--REPORT -->
    <xsl:if test=" not(@value or cda:high/@value or @nullFlavor) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@value or cda:high/@value or @nullFlavor)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-11" /><xsl:text />: TC-Doc-11: The end of the Encounter Period is not present in the Event Summary but it is a mandatory data element and must be present.
		(See section 2.5 of the Event Summary Structured Content Specification v1.1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1092" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1092" />
  <xsl:template match="@*|node()" priority="-2" mode="M1092">
    <xsl:apply-templates select="@*|*" mode="M1092" />
  </xsl:template>
  <!--PATTERN p-TS-Head-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument " priority="1000" mode="M1093">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-39" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-39 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and not(cda:title) and $rendering-1-0 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and not(cda:title) and $rendering-1-0">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Recommendation<xsl:text /><xsl:value-of select="$rating-39" /><xsl:text />: TC-Doc-39: The clinical document does not have a title data element. Inclusion of a title is recommended as it ensures that when the document is rendered an appropriate
		title is displayed. (See requirement CDA-RS 23 in the CDA Rendering Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and cda:title and normalize-space(cda:title) = '' and $rendering-1-0 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and cda:title and normalize-space(cda:title) = '' and $rendering-1-0">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Recommendation<xsl:text /><xsl:value-of select="$rating-39" /><xsl:text />: TC-Doc-39: The clinical document title data element has no information so the clinical document does not have a title. Inclusion of a title is recommended as it ensures that
		when the document is rendered an appropriate title is displayed. (See requirement CDA-RS 23 in the CDA Rendering Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1093" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1093" />
  <xsl:template match="@*|node()" priority="-2" mode="M1093">
    <xsl:apply-templates select="@*|*" mode="M1093" />
  </xsl:template>
  <!--PATTERN p-TS-Level-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[upper-case($flags/@conformance-level) = ('1A', '1B')] " priority="1000" mode="M1094">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[upper-case($flags/@conformance-level) = ('1A', '1B')] " />
    <xsl:variable name="claimed-conformance" select="upper-case($flags/@conformance-level) " />
    <xsl:variable name="sections" select="cda:component/cda:structuredBody/cda:component//cda:section " />
    <xsl:variable name="sections-num" select="count(cda:component/cda:structuredBody/cda:component//cda:section)" />
    <xsl:variable name="sections-count" select="if ($numbers/number[number(@value) = $sections-num]) then $numbers/number[number(@value) = $sections-num]/@name else $sections-num" />
    <xsl:variable name="elements" select="if ($claimed-conformance = '1A') then $sections/cda:entry/* else () " />
    <xsl:variable name="invalid-el" select="$elements[not(local-name(.) = ('observationMedia', 'externalAct', 'externalDocument', 'externalObservation', 'externalProcedure'))]" />
    <xsl:variable name="invalid-el-names" select="distinct-values(for $el in $invalid-el return local-name($el)) " />
    <xsl:variable name="invalid-sections" select="if ($claimed-conformance = '1B') then $sections[cda:text and not(cda:title)] else () " />
    <xsl:variable name="invalid-sections-num" select="count($invalid-sections) " />
    <xsl:variable name="invalid-sections-count" select="if ($claimed-conformance != '1B') then ''        else if ($numbers/number[number(@value) = $invalid-sections-num]) then $numbers/number[number(@value) = $invalid-sections-num]/@name         else $invalid-sections-num " />
    <xsl:variable name="requirement-msg" select="if ($doc-common-conf-profile = '1.7')           then '(See requirement 024482 of the Common Conformance Profile for Clinical Documents v1.7.)'         else if ($doc-common-conf-profile = '1.6')           then '(See requirement 024482 of the Common Conformance Profile for Clinical Documents v1.6.)'         else if ($doc-common-conf-profile = '1.5')           then '(See requirement 024482 of the Common Conformance Profile for Clinical Documents v1.5.)'         else if ($doc-common-conf-profile = '1.4')           then '(See section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.4.)'         else if ($doc-common-conf-profile = '1.3')           then '(See section 3.4.1.1 of the Common Conformance Profile for Clinical Documents v1.3.)'         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-16" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-16 " />
    <xsl:variable name="rating-17" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-17 " />
    <!--REPORT -->
    <xsl:if test=" $claimed-conformance = ('1A', '1B', '2') and $doc-type-min-conformance-level = ('3A', '3B') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$claimed-conformance = ('1A', '1B', '2') and $doc-type-min-conformance-level = ('3A', '3B')">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Finding: TS-Level: The IQ Rules configuration file has the conformance-level flag with the value '<xsl:text /><xsl:value-of select="$flags/@conformance-level" /><xsl:text />' whereas the
		<xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> conformance profile states the minimum level of conformance is '<xsl:text /><xsl:value-of select="$doc-type-min-conformance-level" /><xsl:text />'.
		The IQ Rules configuration file should be revised to use the correct value for the conformance-level flag.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $claimed-conformance = '1A' and $sections-num = 0 and $doc-common-conf-profile &gt; '1.2' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$claimed-conformance = '1A' and $sections-num = 0 and $doc-common-conf-profile &gt; '1.2'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-16" /><xsl:text />: TC-Doc-16: The claimed conformance level for the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> is level 1A. The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />
		contains no sections whereas a document of conformance level 1A is required to have one section.
		<xsl:text /><xsl:value-of select="$requirement-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $claimed-conformance = '1A' and $sections-num &gt; 1 and $doc-common-conf-profile &gt; '1.2' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$claimed-conformance = '1A' and $sections-num &gt; 1 and $doc-common-conf-profile &gt; '1.2'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-16" /><xsl:text />: TC-Doc-16: The claimed conformance level for the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> is level 1A. The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />
		contains <xsl:text /><xsl:value-of select="$sections-count" /><xsl:text /> sections whereas a document of conformance level 1A is permitted to have only one section.
		<xsl:text /><xsl:value-of select="$requirement-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $claimed-conformance = '1A' and $sections-num = 1 and not($sections/cda:title) and $doc-common-conf-profile &gt; '1.2' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$claimed-conformance = '1A' and $sections-num = 1 and not($sections/cda:title) and $doc-common-conf-profile &gt; '1.2'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-16" /><xsl:text />: TC-Doc-16: The claimed conformance level for the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> is level 1A. The section within the
		<xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> does not contain a title whereas a document of conformance level 1A is required to have a section title.
		<xsl:text /><xsl:value-of select="$requirement-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $claimed-conformance = '1A' and $sections-num = 1 and not($sections/cda:text) and $doc-common-conf-profile &gt; '1.2' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$claimed-conformance = '1A' and $sections-num = 1 and not($sections/cda:text) and $doc-common-conf-profile &gt; '1.2'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-16" /><xsl:text />: TC-Doc-16: The claimed conformance level for the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> is level 1A. The section within the
		<xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> does not contain a narrative block whereas a document of conformance level 1A is required to have a narrative block.
		<xsl:text /><xsl:value-of select="$requirement-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $claimed-conformance = '1A' and $sections-num = 1 and not($sections/cda:entry) and $doc-common-conf-profile &gt; '1.2' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$claimed-conformance = '1A' and $sections-num = 1 and not($sections/cda:entry) and $doc-common-conf-profile &gt; '1.2'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-16" /><xsl:text />: TC-Doc-16: The claimed conformance level for the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> is level 1A. The section within the
		<xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> does not contain any entry elements whereas a document of conformance level 1A is required to have at least one entry element.
		<xsl:text /><xsl:value-of select="$requirement-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $claimed-conformance = '1A' and $sections-num = 1 and $sections/cda:entry and not($sections/cda:entry/cda:observationMedia) and $doc-common-conf-profile &gt; '1.2' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$claimed-conformance = '1A' and $sections-num = 1 and $sections/cda:entry and not($sections/cda:entry/cda:observationMedia) and $doc-common-conf-profile &gt; '1.2'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-16" /><xsl:text />: TC-Doc-16: The claimed conformance level for the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> is level 1A. The section within the
		<xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> does not contain any entry elements containing an observationMedia data element whereas a document of conformance level 1A is required to have
		at least one entry element containing an observationMedia data element.
		<xsl:text /><xsl:value-of select="$requirement-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $claimed-conformance = '1A' and $sections-num = 1 and exists($invalid-el) and $doc-common-conf-profile &gt; '1.2' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$claimed-conformance = '1A' and $sections-num = 1 and exists($invalid-el) and $doc-common-conf-profile &gt; '1.2'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-16" /><xsl:text />: TC-Doc-16: The claimed conformance level for the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> is level 1A. The section within the
		<xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> contains
		<xsl:text /><xsl:value-of select="if (count($invalid-el-names) = 1) then concat(' an entry element with a ', $invalid-el-names, ' data element.')   else concat(string-join($invalid-el-names, ' and '), ' data elements within entry elements.') " /><xsl:text />
		A requirement for conformance level 1A is for all information in a section to be in the form of attachments. 
		<xsl:text /><xsl:value-of select="$requirement-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $claimed-conformance = '1B' and $sections-num = 0 and $doc-common-conf-profile &gt; '1.2' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$claimed-conformance = '1B' and $sections-num = 0 and $doc-common-conf-profile &gt; '1.2'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-17" /><xsl:text />: TC-Doc-17: The claimed conformance level for the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> is level 1B. The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />
		contains no sections whereas a document of conformance level 1B is required to have at least one section.
		<xsl:text /><xsl:value-of select="$requirement-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $claimed-conformance = '1B' and $sections-num &gt; 0 and $invalid-sections-num &gt; 0 and $doc-common-conf-profile &gt; '1.2' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$claimed-conformance = '1B' and $sections-num &gt; 0 and $invalid-sections-num &gt; 0 and $doc-common-conf-profile &gt; '1.2'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-17" /><xsl:text />: TC-Doc-17: The claimed conformance level for the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> is level 1B. The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />
		contains <xsl:text /><xsl:value-of select="if ($invalid-sections-num = 1) then 'one section' else concat($invalid-sections-count, ' sections') " /><xsl:text />
		with a narrative block and no title whereas for a document of conformance level 1B every section with
		a narrative block must also have a title. <xsl:text /><xsl:value-of select="$requirement-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1094" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1094" />
  <xsl:template match="@*|node()" priority="-2" mode="M1094">
    <xsl:apply-templates select="@*|*" mode="M1094" />
  </xsl:template>
  <!--PATTERN p-TS-Level-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//cda:section[cda:text and cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and not(@code = '102.16080')] and   not(.//cda:entry)] " priority="1000" mode="M1095">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//cda:section[cda:text and cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and not(@code = '102.16080')] and   not(.//cda:entry)] " />
    <xsl:variable name="total-number-of-specified-sections" select="if ($conformance-level-3) then '0'      else count(/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//cda:section[cda:text and cda:code[@codeSystem = '1.2.36.1.2001.1001.101']])" />
    <xsl:variable name="number-of-specified-sections-with-entry-elements" select="if ($conformance-level-3) then '0'      else count(/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//       cda:section[cda:text and cda:code[@codeSystem = '1.2.36.1.2001.1001.101']][.//cda:entry])" />
    <xsl:variable name="exclusions" select="cda:code/@code='101.16022' and        exists(cda:component/cda:section[cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code= '101.16146.4.1.1'] and cda:text and not(.//cda:entry)]) and       exists(cda:component/cda:section[cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code= '101.16146.4.1.2'] and cda:text and not(.//cda:entry)])" />
    <xsl:variable name="section-err" select="$conformance-level-3 or        $total-number-of-specified-sections &gt; 1 and $total-number-of-specified-sections - $number-of-specified-sections-with-entry-elements = 1 " />
    <xsl:variable name="requirement-msg" select="if ($doc-common-conf-profile = '1.7')           then '(See requirement 024482 of the Common Conformance Profile for Clinical Documents v1.7.)'         else if ($doc-common-conf-profile = '1.6')           then '(See requirement 024482 of the Common Conformance Profile for Clinical Documents v1.6.)'         else if ($doc-common-conf-profile = '1.5')           then '(See requirement 024482 of the Common Conformance Profile for Clinical Documents v1.5.)'         else if ($doc-common-conf-profile = '1.4')           then '(See section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.4.)'         else if ($doc-common-conf-profile = '1.3')           then '(See section 3.4.1.1 of the Common Conformance Profile for Clinical Documents v1.3.)'         else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-19" select="if ($initial-priority) then $initial-rating        else if (cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = $meds-view-sections]) then $rating-MHRView-TC-Doc-19       else $rating-TC-Doc-19 " />
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $section-err and not($conformance-level-3) and not($exclusions) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $section-err and not($conformance-level-3) and not($exclusions)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Hint<xsl:text /><xsl:value-of select="$rating-19" /><xsl:text />: TC-Doc-19: The <xsl:text /><xsl:value-of select="cda:title" /><xsl:text /> section is the only section in the clinical document that is defined by the digital health
		specifications with no entry elements. To conform to the requirements of clinical document conformance levels 3A and 3B every section defined by the digital health specifications must
		contain the mandatory data elements specified as 'CDA Body Level 3 Data Elements' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.
		Confirm if the target conformance level is 3A or 3B; if it is then this is an error. <xsl:text /><xsl:value-of select="$requirement-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (cda:code/@code = '101.20117') then concat(' Note that an alternative to using the data elements listed in the ', $document-name,    ' CDA Implementation Guide for the Diagnostic Investigations section is to include a Diagnostic Investigation subsection specified in the FAQ on Undifferentiated Pathology and Radiology',   ' Reports. (See the FAQ on Undifferentiated Pathology and Radiology Reports.)') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $conformance-level-3 and not($exclusions) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$conformance-level-3 and not($exclusions)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-19" /><xsl:text />: TC-Doc-19: The <xsl:text /><xsl:value-of select="cda:title" /><xsl:text /> section is defined by the digital health
		specifications and has no entry elements. To conform to the requirements of clinical document conformance level
		<xsl:text /><xsl:value-of select="if ($flags/@conformance-level) then upper-case($flags/@conformance-level) else '3A or 3B' " /><xsl:text />
		every section defined by the digital health specifications must contain the mandatory data elements specified as 'CDA Body Level 3 Data Elements' in the
		<xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide. <xsl:text /><xsl:value-of select="$requirement-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (cda:code/@code = '101.20117') then concat(' Note that an alternative to using the data elements listed in the ', $document-name,    ' CDA Implementation Guide for the Diagnostic Investigations section is to include a Diagnostic Investigation subsection specified in the FAQ on Undifferentiated Pathology and Radiology',   ' Reports. (See the FAQ on Undifferentiated Pathology and Radiology Reports.)') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1095" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1095" />
  <xsl:template match="@*|node()" priority="-2" mode="M1095">
    <xsl:apply-templates select="@*|*" mode="M1095" />
  </xsl:template>
  <!--PATTERN p-TS-Level-Diag-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.222' and @extension = '1.0']]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16945']] " priority="1000" mode="M1096">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.222' and @extension = '1.0']]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16945']] " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-19" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-19 " />
    <!--REPORT -->
    <xsl:if test=" not(cda:author) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:author)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Error<xsl:text /><xsl:value-of select="$rating-19" /><xsl:text />: TC-Doc-19: The minimum conformance level for Diagnostic Imaging Reports is level 3A so each section in the body of the document must contain all
		mandatory data elements listed in the Diagnostic Imaging Report CDA Implementation Guide as 'CDA Body Level 2 Data Elements' or 'CDA Body Level 3 Data Elements'. That includes the Reporting Radiologist data element
		however that is not present in the Diagnostic Imaging section of the Diagnostic Imaging Report. (See requirement 023435 of the Diagnostic Imaging Report My Health Record Conformance Profile
		v1.1<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ', requirement 024482 of the Common Conformance Profile for Clinical Documents v1.7 '         else if ($doc-common-conf-profile = '1.6')           then ', requirement 024482 of the Common Conformance Profile for Clinical Documents v1.6 '         else if ($doc-common-conf-profile = '1.5')           then ', requirement 024482 of the Common Conformance Profile for Clinical Documents v1.5 '         else if ($doc-common-conf-profile = '1.4')           then ', section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.4 '         else if ($doc-common-conf-profile = '1.3')           then ', section 3.4.1.1 of the Common Conformance Profile for Clinical Documents v1.3 '         else ' ' " /><xsl:text />and section 7.1.1 of the Diagnostic Imaging Report CDA Implementation Guide v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1096" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1096" />
  <xsl:template match="@*|node()" priority="-2" mode="M1096">
    <xsl:apply-templates select="@*|*" mode="M1096" />
  </xsl:template>
  <!--PATTERN p-TS-Level-Path-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.220' and @extension = '1.0']]/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20018']] " priority="1000" mode="M1097">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.220' and @extension = '1.0']]/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20018']] " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-19" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-19 " />
    <!--REPORT -->
    <xsl:if test=" not(cda:author) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:author)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Error<xsl:text /><xsl:value-of select="$rating-19" /><xsl:text />: TC-Doc-19: The minimum conformance level for Pathology Reports is level 3A so each section in the body of the document must contain all mandatory data
		elements listed in the Pathology Report CDA Implementation Guide as 'CDA Body Level 2 Data Elements' or 'CDA Body Level 3 Data Elements'. That includes the Reporting Pathologist data element however that
		is not present in the Pathology section of the Pathology Report. (See requirement 023435 of the Pathology Report My Health Record Conformance Profile
		v1.1<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ', requirement 024482 of the Common Conformance Profile for Clinical Documents v1.7 '         else if ($doc-common-conf-profile = '1.6')           then ', requirement 024482 of the Common Conformance Profile for Clinical Documents v1.6 '         else if ($doc-common-conf-profile = '1.5')           then ', requirement 024482 of the Common Conformance Profile for Clinical Documents v1.5 '         else if ($doc-common-conf-profile = '1.4')           then ', section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.4 '         else if ($doc-common-conf-profile = '1.3')           then ', section 3.4.1.1 of the Common Conformance Profile for Clinical Documents v1.3 '         else ' ' " /><xsl:text />and section 7.1.1 of the Pathology Report CDA Implementation Guide v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1097" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1097" />
  <xsl:template match="@*|node()" priority="-2" mode="M1097">
    <xsl:apply-templates select="@*|*" mode="M1097" />
  </xsl:template>
  <!--PATTERN p-TS-Level-Path-2-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument[$conformance-level-3]['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]" priority="1000" mode="M1098">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument[$conformance-level-3]['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]" />
    <xsl:variable name="no-result-dt" select="not(exists(cda:entry/cda:observation/cda:entryRelationship/        cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16605']]/cda:effectiveTime))" />
    <xsl:variable name="observation-dt-name" select="if (/cda:ClinicalDocument[cda:templateId[        (@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4') or        (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2') or        (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3') or        (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2') ]]) then 'Pathology Test Result DateTime' else 'Observation DateTime' " />
    <xsl:variable name="observation-dt-msg" select="if ($observation-dt-name = 'Pathology Test Result DateTime') then concat('The Pathology Test Result DateTime is the date and optionally time of the ',        'Pathology Test Result observation, which is when the clinically significant observation was performed. ',        'For a Pathology Test Result that is the date and optionally time of collection of the specimen.')        else concat('The Observation DateTime is the date and optionally time when the clinically significant observation was performed. ',        'For a Pathology Test Result that is the date and optionally time of collection of the specimen.') " />
    <xsl:variable name="no-overall-status" select="not(exists(cda:entry/cda:observation/cda:entryRelationship/        cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='308552006']]/cda:value))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-19" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-19 " />
    <!--REPORT -->
    <xsl:if test=" $no-result-dt ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-result-dt">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-19" /><xsl:text />: TC-Doc-19: The <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> section has no Pathology Test Result DateTime
		'entry/observation/entryRelationship/observation/effectiveTime' data element. This is an error as the Pathology Test Result DateTime data element is mandatory to include.
		(See the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="$observation-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-overall-status ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-overall-status">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-19" /><xsl:text />: TC-Doc-19: The <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> section has no Overall Pathology Test Result Status
		'entry/observation/entryRelationship/observation/value' data element. This is an error as the Overall Pathology Test Result Status data element is mandatory to include.
		(See the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1098" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1098" />
  <xsl:template match="@*|node()" priority="-2" mode="M1098">
    <xsl:apply-templates select="@*|*" mode="M1098" />
  </xsl:template>
  <!--PATTERN p-TS-Logo-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//cda:section/cda:entry//cda:observationMedia[@ID = 'LOGO'] " priority="1000" mode="M1099">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//cda:section/cda:entry//cda:observationMedia[@ID = 'LOGO'] " />
    <!--REPORT -->
    <xsl:if test=" not(starts-with(cda:value/@mediaType, 'image')) and $rendering-1-0 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(starts-with(cda:value/@mediaType, 'image')) and $rendering-1-0">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-26" /><xsl:text />: TC-Doc-26 step 1: The observationMedia with an ID attribute with the value 'LOGO' has a mediaType attribute with the value
		'<xsl:text /><xsl:value-of select="cda:value/@mediaType" /><xsl:text />'. However the mediaType for a logo must be for an image. (See requirements CDA-RS 26 (b) and (c) in the CDA Rendering Specification v1.0.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:value/cda:reference/@value) and $rendering-1-0 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:value/cda:reference/@value) and $rendering-1-0">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-TC-Doc-26" /><xsl:text />: TC-Doc-26 step 2: The observationMedia with an ID attribute with the value 'LOGO' does not have a reference to a logo.
		A reference to the logo's file name must be included. (See requirements CDA-RS 26 (b) in the CDA Rendering Specification v1.0.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1099" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1099" />
  <xsl:template match="@*|node()" priority="-2" mode="M1099">
    <xsl:apply-templates select="@*|*" mode="M1099" />
  </xsl:template>
  <!--PATTERN p-TS-Auto-1-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//cda:section[   (cda:entry/@typeCode = 'DRIV' or cda:component/cda:section[not(cda:text) and cda:entry/@typeCode = 'DRIV'])  or   ($flags/@narrative-derived = 'true' and (cda:entry or cda:component/cda:section[not(cda:text) and cda:entry]))  or   ($flags/@narrative-auto-generated = 'true')          ]/cda:text//   cda:*[exists(text()[normalize-space() != ''])              and     not(local-name(.) = ('caption', 'linkHtml', 'th', 'renderMultiMedia') or ancestor::cda:th or ancestor::cda:caption)   and    not($fixed-text-regex != '' and matches(normalize-space(translate(., $chars-no-space, '')), $fixed-text-regex, 'is'))   and    not(exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.2']) and      matches(normalize-space(.), $ended-meds-regex, 'is'))          ] " priority="1000" mode="M1100">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//cda:section[   (cda:entry/@typeCode = 'DRIV' or cda:component/cda:section[not(cda:text) and cda:entry/@typeCode = 'DRIV'])  or   ($flags/@narrative-derived = 'true' and (cda:entry or cda:component/cda:section[not(cda:text) and cda:entry]))  or   ($flags/@narrative-auto-generated = 'true')          ]/cda:text//   cda:*[exists(text()[normalize-space() != ''])              and     not(local-name(.) = ('caption', 'linkHtml', 'th', 'renderMultiMedia') or ancestor::cda:th or ancestor::cda:caption)   and    not($fixed-text-regex != '' and matches(normalize-space(translate(., $chars-no-space, '')), $fixed-text-regex, 'is'))   and    not(exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.2']) and      matches(normalize-space(.), $ended-meds-regex, 'is'))          ] " />
    <xsl:variable name="first-normalization" select="normalize-space(string-join(text(), ' '))" />
    <xsl:variable name="possible-time-interval" select="if (not(matches(lower-case($first-normalization), $regex-date-type-1) or matches(lower-case($first-normalization), $regex-date-type-2))) then false()        else if (contains($first-normalization, '-&gt;') or contains($first-normalization, ' - ')) then true()        else false() " />
    <xsl:variable name="element" select="if (not($possible-time-interval)) then $first-normalization        else if (contains($first-normalization, '-&gt;')) then normalize-space(substring-before($first-normalization, '-&gt;'))        else if (contains($first-normalization, ' - ')) then normalize-space(substring-before($first-normalization, ' - '))        else $first-normalization " />
    <xsl:variable name="end-dateTime" select="if (not($possible-time-interval)) then ''        else if (contains($first-normalization, '-&gt;')) then normalize-space(substring-after($first-normalization, '-&gt;'))        else if (contains($first-normalization, ' - ')) then normalize-space(substring-after($first-normalization, ' - '))        else '' " />
    <xsl:variable name="lowercase-element" select="lower-case($element)" />
    <xsl:variable name="lowercase-end-dateTime" select="lower-case($end-dateTime)" />
    <xsl:variable name="pattern" select="if ($fixed-text-pattern != '' and $narr-non-values-pattern != '') then concat($fixed-text-pattern, '~', $narr-non-values-pattern)        else if ($fixed-text-pattern != '') then $fixed-text-pattern        else if ($narr-non-values-pattern != '') then $narr-non-values-pattern        else '' " />
    <xsl:variable name="element-with-spaces" select="if ($pattern = '') then lower-case(normalize-space(translate($first-normalization, $chars-no-space, '')))        else lower-case(normalize-space(dh:XQueryRecursiveReplace(normalize-space(translate($first-normalization, $chars-no-space, '')), $pattern, 'ic')))" />
    <xsl:variable name="normalized-element" select="translate($element-with-spaces, $chars-to-remove, '')" />
    <xsl:variable name="section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="derived-from-entries" select="if (not($section/cda:entry) and count($section/cda:component/cda:section[not(cda:text) and cda:entry]) = 0) then false()        else ($section//cda:entry/@typeCode = 'DRIV' or ($flags/@narrative-derived = 'true' and $section//cda:entry))" />
    <xsl:variable name="origin" select="if ($derived-from-entries) then 'automatically derived from information present in the section''s entry elements'        else 'automatically generated' " />
    <xsl:variable name="message-context" select="if ($section/cda:entry/@typeCode = 'DRIV' or $section/cda:component/cda:section[not(cda:text) and cda:entry/@typeCode = 'DRIV'])         then concat(' ', concat('The section contains entry elements with the typeCode attribute with the value ''DRIV'' indicating that the ',         'narrative was automatically generated from information in the entry elements of the ', iq:location(., ''), ' and therefore all clinical information ',         'in the narrative must also be present in the entry elements of the same section. ',         '(See section 4.3.4.2 of the HL7 Clinical Document Architecture, Release 2 specification.) '))        else if ($flags/@narrative-derived = 'true' and ($section/cda:entry or $section/cda:component/cda:section[not(cda:text) and cda:entry]))         then concat(' ', concat('The section has no entry elements with the typeCode attribute with the value ''DRIV'' however the IQ Rules ',         'configuration flag ''narrative-derived'' flag was set to ''true'' to indicate that all narratives have been derived from the information in ',         'the entry elements of the ', iq:location(., ''), ' regardless of the value of the typeCode. Therefore all clinical information in the narrative must ',         'also be present in the entry elements. (See section 4.3.4.2 of the HL7 Clinical Document Architecture, Release 2 specification.)'))        else if ($flags/@narrative-auto-generated = 'true')         then concat(' ', normalize-space('The IQ Rules configuration flag ''narrative-auto-generated'' was set to ''true'' to indicate that all narratives         have been automatically generated by the healthcare software.'))         else '' " />
    <xsl:variable name="auto-context" select="if ($section/cda:entry/@typeCode = 'DRIV' or $section/cda:component/cda:section[not(cda:text) and cda:entry/@typeCode = 'DRIV'])         then concat(' ', concat('The section contains entry elements with the typeCode attribute with the value ''DRIV'' indicating that the ',         'narrative was automatically generated from information in the entry elements of the ', iq:location(., ''), '. ',         '(See section 4.3.4.2 of the HL7 Clinical Document Architecture, Release 2 specification.) '))        else if ($flags/@narrative-derived = 'true' and ($section/cda:entry or $section/cda:component/cda:section[not(cda:text) and cda:entry]))         then concat(' ', concat('The section has no entry elements with the typeCode attribute with the value ''DRIV'' however the IQ Rules ',         'configuration flag ''narrative-derived'' flag was set to ''true'' to indicate that all narratives have been derived from the information in ',         'the entry elements of the ', iq:location(., ''), ' regardless of the value of the typeCode. ',         '(See section 4.3.4.2 of the HL7 Clinical Document Architecture, Release 2 specification.)'))        else if ($flags/@narrative-auto-generated = 'true')         then concat(' ', normalize-space('The IQ Rules configuration flag ''narrative-auto-generated'' was set to ''true'' to indicate that all narratives         have been automatically generated by the healthcare software.'))         else '' " />
    <xsl:variable name="typeCode-msg" select="if ($section/cda:entry/@typeCode = 'DRIV' or $section/cda:component/cda:section[not(cda:text) and cda:entry/@typeCode = 'DRIV'])        then concat(' If the narrative was not generated from the information in the entry elements then the typeCode attributes in the',        ' entry elements must either be omitted or have the value ''COMP''.')       else '' " />
    <xsl:variable name="el-dt-values" select="if ($element = '') then ('0', '', '', '', '', '', '', '', '') else iq:convert-narr-dateTime($element)" />
    <xsl:variable name="el-dt-type" select="$el-dt-values[1]" />
    <xsl:variable name="el-day" select="$el-dt-values[2]" />
    <xsl:variable name="el-month-actual-alpha" select="$el-dt-values[3]" />
    <xsl:variable name="el-month-corr-alpha" select="$el-dt-values[4]" />
    <xsl:variable name="el-year" select="$el-dt-values[5]" />
    <xsl:variable name="el-date" select="$el-dt-values[6]" />
    <xsl:variable name="el-time" select="$el-dt-values[7]" />
    <xsl:variable name="el-timezone" select="$el-dt-values[8]" />
    <xsl:variable name="el-datetime-regex" select="$el-dt-values[9]" />
    <xsl:variable name="end-dt-values" select="if ($end-dateTime = '') then ('0', '', '', '', '', '', '', '', '') else iq:convert-narr-dateTime($end-dateTime)" />
    <xsl:variable name="end-dt-type" select="$end-dt-values[1]" />
    <xsl:variable name="end-day" select="$end-dt-values[2]" />
    <xsl:variable name="end-month-actual-alpha" select="$end-dt-values[3]" />
    <xsl:variable name="end-month-corr-alpha" select="$end-dt-values[4]" />
    <xsl:variable name="end-year" select="$end-dt-values[5]" />
    <xsl:variable name="end-date" select="$end-dt-values[6]" />
    <xsl:variable name="end-time" select="$end-dt-values[7]" />
    <xsl:variable name="end-timezone" select="$end-dt-values[8]" />
    <xsl:variable name="end-datetime-regex" select="$end-dt-values[9]" />
    <xsl:variable name="str-date-times" select="if ($el-dt-type = ('1', '2') or $end-dt-type = ('1', '2')) then distinct-values($section/*[not(cda:text)]//*[@value and (        local-name(.) = ('activityTime', 'availabilityTime', 'birthTime', 'copyTime', 'creationTime', 'deceasedTime', 'effectiveTime',            'executionAndDeliveryTime', 'lastCalibrationTime', 'recertificationTime', 'time')      or       @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'         or             (local-name(.) = ('low', 'high', 'center') and (local-name(..) = ('activityTime', 'availabilityTime', 'effectiveTime', 'existenceTime',                'expectedUseTime', 'expirationTime', 'stabilityTime', 'time', 'phase') or                   ../@xsi:type = 'IVL_TS' or normalize-space(substring-after(../@xsi:type, ':')) = 'IVL_TS')) )]/@value)       else () " />
    <xsl:variable name="temp-timezones" select="for $date-time in $str-date-times return       if (matches($date-time, '(\-|\+)[0-9]{4}$')) then replace($date-time, '^(.*?)(\-|\+)([0-9]{4})$', '$2$3') else ''  " />
    <xsl:variable name="date-time-timezones" select=" distinct-values($temp-timezones[. != '']) " />
    <xsl:variable name="el-matching-date-times" select="if ($el-dt-type = ('1', '2')) then $str-date-times[matches(., $el-datetime-regex)] else () " />
    <xsl:variable name="el-datetime-found" select="if ($el-dt-type = ('1', '2')) then (         count($el-matching-date-times) &gt; 0  or         exists($section/*[not(local-name(.) = ('text', 'title', 'code'))]//text()[contains(normalize-space(lower-case(.)), $element)])        ) else false() " />
    <xsl:variable name="end-matching-date-times" select=" $str-date-times[matches(., $end-datetime-regex)] " />
    <xsl:variable name="end-datetime-found" select="if ($end-dt-type = ('1', '2')) then (         count($end-matching-date-times) &gt; 0  or         exists($section/*[not(local-name(.) = ('text', 'title', 'code'))]//text()[contains(normalize-space(lower-case(.)), $end-dateTime)])        ) else false() " />
    <xsl:variable name="el-tc-narr-16-err" select="$el-dt-type = '2' and string-length($el-month-actual-alpha) = 3 and not(contains($el-month-actual-alpha, $el-month-corr-alpha)) " />
    <xsl:variable name="end-tc-narr-16-err" select="$end-dt-type = '2' and string-length($end-month-actual-alpha) = 3 and not(contains($end-month-actual-alpha, $end-month-corr-alpha)) " />
    <xsl:variable name="el-tc-narr-17-err" select="$el-dt-type = '2' and matches($lowercase-element, $regex-other-date-type-2) " />
    <xsl:variable name="end-tc-narr-17-err" select="$end-dt-type = '2'and matches($lowercase-end-dateTime, $regex-other-date-type-2) " />
    <xsl:variable name="el-tc-narr-18-err" select="$el-dt-type = '2' and not(matches($lowercase-element, $regex-space-date-type-2) or          matches($lowercase-element, $regex-dash-date-type-2) or $el-tc-narr-17-err) " />
    <xsl:variable name="end-tc-narr-18-err" select="$end-dt-type = '2' and not(matches($lowercase-end-dateTime, $regex-space-date-type-2) or          matches($lowercase-end-dateTime, $regex-dash-date-type-2) or $end-tc-narr-17-err) " />
    <xsl:variable name="after-PQ-value" select="if (not($derived-from-entries)) then ''       else if (matches($lowercase-element, '^[0-9]+')) then replace($lowercase-element, '^[0-9]+', '') else '' " />
    <xsl:variable name="PQ-value" select="if (not($derived-from-entries)) then ''        else if (matches($lowercase-element, '^[0-9]+')) then normalize-space(substring-before($lowercase-element, $after-PQ-value)) else '' " />
    <xsl:variable name="PQ-raw-unit" select="normalize-space(translate($after-PQ-value, '()', ''))" />
    <xsl:variable name="PQ-unit-name" select="if (ends-with($PQ-raw-unit, 's')) then substring($PQ-raw-unit, 1, string-length($PQ-raw-unit)-1) else $PQ-raw-unit" />
    <xsl:variable name="PQ-unit-name-regex" select="if ($PQ-unit-name = '') then '' else concat('(^|\|\s*)', $PQ-unit-name, '($|\s*\|)') " />
    <xsl:variable name="PQ-unit" select="if ($PQ-unit-name = '') then ''       else if ($UCUM/unit[@name = $PQ-unit-name]/@value) then $UCUM/unit[@name = $PQ-unit-name]/@value        else if ($UCUM/unit[matches(@synonyms, $PQ-unit-name-regex, 'i')]/@value) then $UCUM/unit[matches(@synonyms, $PQ-unit-name-regex, 'i')]/@value       else '' " />
    <xsl:variable name="possible-PQ" select="if ($PQ-value != '' and $PQ-unit != '') then true() else false() " />
    <xsl:variable name="PQ-found" select="if ($possible-PQ) then         exists($section/*[not(local-name(.) = ('text', 'title', 'code'))]//*[@value = $PQ-value and (@unit = $PQ-unit or          ((local-name(.) = 'low' or local-name(.) = 'high') and ../@unit = $PQ-unit))]) or        exists($section/*[not(local-name(.) = ('text', 'title', 'code'))]//text()[contains(normalize-space(lower-case(.)), $lowercase-element)])       else false() " />
    <xsl:variable name="hi-element" select="replace(., ' ', '')" />
    <xsl:variable name="hi-present" select="matches(., '(^|\s+)8003\s*6[0-2]{1}[0-9]{2}\s*[0-9]{4}\s*[0-9]{4}(\s+|$)')" />
    <xsl:variable name="invalid-hi-format" select="if (not($hi-present)) then false()        else if (matches(., '8003 6[0-2]{1}[0-9]{2} [0-9]{4} [0-9]{4}')) then false()         else true() " />
    <xsl:variable name="before-hi" select="if ($hi-present) then substring-before($hi-element, '80036') else '' " />
    <xsl:variable name="healthcare-identifier" select="if (not($hi-present)) then ''        else if ($before-hi = '') then substring($hi-element, 1, 16)        else substring(substring-after($hi-element, $before-hi), 1, 16) " />
    <xsl:variable name="hi-root" select="if ($hi-present) then concat('1.2.36.1.2001.1003.0', $healthcare-identifier)        else '' " />
    <xsl:variable name="matching-ei" select="if ($hi-present)         then exists($section/*[not(local-name(.) = ('text', 'title', 'code'))]//ext:asEntityIdentifier/ext:id[@root = $hi-root])         else false() " />
    <xsl:variable name="try-telecom" select="not($el-dt-type = ('1', '2') or $possible-PQ or $hi-present) and $normalized-element != '' " />
    <xsl:variable name="el-telecom-value" select="$first-normalization" />
    <xsl:variable name="try-tel" select="$try-telecom and matches($el-telecom-value, '^\s*(cell|mobile|pager|phone|tel|telephone):?\s*[\(\)\- 0-9]+$', 'i') " />
    <xsl:variable name="try-fax" select="$try-telecom and matches($el-telecom-value, '^\s*(facsimile|fax):?\s*[\(\)\- 0-9]+$', 'i') " />
    <xsl:variable name="try-mailto" select="$try-telecom and matches($el-telecom-value, '^\s*(email):?\s*[\(\)\- 0-9]+$', 'i') " />
    <xsl:variable name="el-is-a-telecom" select="$try-tel or $try-fax or $try-mailto " />
    <xsl:variable name="narr-telecom" select="if ($derived-from-entries and $el-is-a-telecom) then $section/*[not(local-name(.) = ('text', 'title', 'code'))]//cda:telecom/@value else () " />
    <xsl:variable name="telecom-tel-1" select="if ($try-tel)         then replace(replace($el-telecom-value, '(^\s*(cell|mobile|pager|phone|tel|telephone):?\s*)([\(\)\- 0-9]+$)', '$3', 'i'), '\(\) \-', '', '')        else '' " />
    <xsl:variable name="telecom-tel-2" select="if ($telecom-tel-1 = '' or not(exists($narr-telecom))) then '' else concat('tel:', $telecom-tel-1) " />
    <xsl:variable name="telecom-fax-1" select="if ($try-fax)         then replace(replace($el-telecom-value, '(^\s*(facsimile|fax):?\s*)([\(\)\- 0-9]+$)', '$3', 'i'), '\(\) \-', '', '')        else '' " />
    <xsl:variable name="telecom-fax-2" select="if ($telecom-fax-1 = '' or not(exists($narr-telecom))) then '' else concat('fax:', $telecom-fax-1) " />
    <xsl:variable name="telecom-mailto-1" select="if ($try-mailto)         then replace(replace($el-telecom-value, '(^\s*(email):?\s*)([\(\)\- 0-9]+$)', '$3', 'i'), '\(\) \-', '', '')        else '' " />
    <xsl:variable name="telecom-mailto-2" select="if ($telecom-mailto-1 = '' or not(exists($narr-telecom))) then '' else concat('mailto:', $telecom-mailto-1) " />
    <xsl:variable name="matching-telecom" select="if (not(exists($narr-telecom))) then false() else         ($try-tel and $telecom-tel-2 != '' and $telecom-tel-2 = $narr-telecom)  or        ($try-fax and $telecom-fax-2 != '' and $telecom-fax-2 = $narr-telecom)  or        ($try-mailto and $telecom-mailto-2 != '' and $telecom-mailto-2 = $narr-telecom) " />
    <xsl:variable name="possible-text" select=" not($el-dt-type = ('1', '2') or $possible-PQ or $hi-present or $el-is-a-telecom) and $normalized-element != '' " />
    <xsl:variable name="str-text" select="if (not($possible-text and $derived-from-entries)) then ()        else for $text in $section/*[not(local-name(.) = ('text', 'title', 'code'))]//text() return normalize-space(lower-case(replace($text, $confirmed-markup-regex, '', 'is'))) " />
    <xsl:variable name="no-text-content" select="$possible-text and $derived-from-entries and normalize-space(translate(string-join($str-text, ' '), $chars-to-remove, '')) = '' " />
    <xsl:variable name="matching-text" select="if (not($possible-text and $derived-from-entries)) then false()       else if ($pattern != '') then exists($str-text[contains(translate(         dh:XQueryRecursiveReplace(normalize-space(translate(., $chars-no-space, '')), $pattern, 'ic'), $chars-to-remove, ''), $normalized-element)])       else exists($str-text[contains(normalize-space(translate(., $chars-to-remove, '')), $normalized-element)]) " />
    <xsl:variable name="other-content" select="if ($possible-text and not($matching-text)) then exists($section//cda:observation/cda:value) else '' " />
    <xsl:variable name="names-1" select="if (not($possible-text) or $matching-text) then () else $section/*[not(local-name(.) = ('text', 'title', 'code'))]//*[       local-name(.) = 'name'      or       @xsi:type = ('PN', 'EN')     or        normalize-space(substring-after(@xsi:type, ':')) = ('PN', 'EN') ]" />
    <xsl:variable name="names-2" select="distinct-values(for $i in (1 to count($names-1)) return lower-case(string-join($names-1[$i]//text(), ' ')))" />
    <xsl:variable name="element-words" select="if (not($possible-text) or $matching-text) then () else tokenize($element-with-spaces, '\s+') " />
    <xsl:variable name="matching-name" select="if (not($possible-text) or $matching-text) then false()       else exists(index-of(for $i in (1 to count($names-2)) return        not(exists(index-of(for $j in (1 to count($element-words)) return contains($names-2[$i], $element-words[$j]), false()))), true())) " />
    <xsl:variable name="addresses-1" select="if (not($possible-text) or $matching-text or $matching-name) then () else $section/*[not(local-name(.) = ('text', 'title', 'code'))]//*[       local-name(.) = 'addr'     or       @xsi:type = 'AD'      or        normalize-space(substring-after(@xsi:type, ':')) = 'AD' ]" />
    <xsl:variable name="addresses-2" select="distinct-values(for $i in (1 to count($addresses-1)) return lower-case(string-join($addresses-1[$i]//text(), ' ')))" />
    <xsl:variable name="matching-addr" select="if (not($possible-text) or $matching-text or $matching-name) then false()       else exists(index-of(for $i in (1 to count($addresses-2)) return        not(exists(index-of(for $j in (1 to count($element-words)) return contains($addresses-2[$i], $element-words[$j]), false()))), true())) " />
    <xsl:variable name="matching-attribute" select="if (not($possible-text) or $matching-text or $matching-name or $matching-addr) then false()    else if ($section/*[not(local-name(.) = ('text', 'title', 'code'))]//*[contains(translate(normalize-space(lower-case(@displayName)), $chars-to-remove, ''), $normalized-element)])      then true()    else if ($section/*[not(local-name(.) = ('text', 'title', 'code'))]//*[contains(translate(normalize-space(lower-case(@extension)), $chars-to-remove, ''), $normalized-element)])      then true()    else if ($section/*[not(local-name(.) = ('text', 'title', 'code'))]//*[contains(translate(normalize-space(lower-case(@value)), $chars-to-remove, ''), $normalized-element)])       then true()    else if ($section/*[not(local-name(.) = ('text', 'title', 'code'))]//*[contains(translate(normalize-space(lower-case(@unit)), $chars-to-remove, ''), $normalized-element)])       then true()    else if ($section/*[not(local-name(.) = ('text', 'title', 'code'))]//*[contains(translate(normalize-space(lower-case(@code)), $chars-to-remove, ''), $normalized-element)])      then true()    else if ($section/*[not(local-name(.) = ('text', 'title', 'code'))]//*[contains(translate(normalize-space(lower-case(@assigningAuthorityName)), $chars-to-remove, ''), $normalized-element)])      then true()    else if ($section/*[not(local-name(.) = ('text', 'title', 'code'))]//*[local-name(.) = ('realmCode', 'statusCode') or @xsi:type = 'CS' or normalize-space(substring-after(@xsi:type, ':')) = 'CS']     [contains(translate(normalize-space(lower-case(@value)), $chars-to-remove, ''), $normalized-element)]) then true()    else false() " />
    <xsl:variable name="sec-booleans" select="if ($possible-text and not($matching-text or $matching-name or $matching-addr or $matching-attribute)) then         $section/*[not(local-name(.) = ('text', 'title', 'code'))]//*[@value = ('true', 'false')]       else () " />
    <xsl:variable name="sec-nullFlavors" select="if ($possible-text and not($matching-text or $matching-name or $matching-addr or $matching-attribute)) then         $section/*[not(local-name(.) = ('text', 'title', 'code'))]//*[@nullFlavor]       else () " />
    <xsl:variable name="sec-codes" select="if ($possible-text and not($matching-text or $matching-name or $matching-addr or $matching-attribute)) then        $section/*[not(local-name(.) = ('text', 'title', 'code'))]//*[@code and @codeSystem]       else ()" />
    <xsl:variable name="sec-preferred-names" select="distinct-values(        (for $i in (1 to count($sec-nullFlavors)) return          $nullFlavors/nullFlavor[@value = $sec-nullFlavors[$i]/@nullFlavor and @name]/@name)   |        (for $j in (1 to count($sec-codes)) return          $code-systems/system[@codeSystem = $sec-codes[$j]/@codeSystem and not(@no-code-information='true')]/         code[@code = $sec-codes[$j]/@code and @displayName]/@displayName)     )" />
    <xsl:variable name="matching-preferred-name" select="exists($sec-preferred-names[contains(translate(normalize-space(lower-case(.)), $chars-to-remove, ''), $normalized-element)]) " />
    <xsl:variable name="sec-synonyms" select="if ($possible-text and not($matching-text or $matching-name or $matching-addr or $matching-attribute or $matching-preferred-name)) then        distinct-values(         (for $i in (1 to count($sec-booleans)) return           $booleans/boolean[@value = $sec-booleans[$i]/@value and @synonyms]/@synonyms)         |         (for $i in (1 to count($sec-nullFlavors)) return           $nullFlavors/nullFlavor[@value = $sec-nullFlavors[$i]/@nullFlavor and @synonyms]/@synonyms)       |         (for $i in (1 to count($sec-codes)) return           $code-systems/system[@codeSystem = $sec-codes[$i]/@codeSystem and not(@no-code-information='true')]/          code[@code = $sec-codes[$i]/@code and @synonyms]/@synonyms)          |         (for $i in (1 to count($sec-codes)) return           $code-systems/system[@codeSystem = $sec-codes[$i]/@codeSystem and not(@no-code-information='true')]/          code[@code = $sec-codes[$i]/@code and @related-terms]/@related-terms)          |         (for $i in (1 to count($sec-codes)) return           $code-systems/system[@codeSystem = $sec-codes[$i]/@codeSystem and not(@no-code-information='true')]/          related-terms[@code = $sec-codes[$i]/@code and @related-terms]/@related-terms)         |         (for $i in (1 to count($sec-codes)) return           $spia-sctau/system[@codeSystem = $sec-codes[$i]/@codeSystem]/rcpa[@code = $sec-codes[$i]/@code and @rcpa-terms]/@rcpa-terms)   |         (for $i in (1 to count($sec-codes)) return           $spia-loinc/system[@codeSystem = $sec-codes[$i]/@codeSystem]/rcpa[@code = $sec-codes[$i]/@code and @rcpa-terms]/@rcpa-terms)   |         (for $i in (1 to count($sec-codes)) return           $spia-sctau/system[@codeSystem = $sec-codes[$i]/@codeSystem]/rcpa[@code = $sec-codes[$i]/@code and @related-terms]/@related-terms) |         (for $i in (1 to count($sec-codes)) return           $spia-loinc/system[@codeSystem = $sec-codes[$i]/@codeSystem]/rcpa[@code = $sec-codes[$i]/@code and @related-terms]/@related-terms) )        else ()" />
    <xsl:variable name="matching-synonym" select="exists($sec-synonyms[contains(translate(normalize-space(lower-case(.)), $chars-to-remove, ''), $normalized-element)]) " />
    <xsl:variable name="entitlement" select="if (not($possible-text) or $matching-text or $matching-name or $matching-addr or $matching-attribute or $matching-synonym) then ()        else $section/*[not(local-name(.) = ('text', 'title', 'code'))]//ext:entitlement" />
    <xsl:variable name="entit-type" select="for $i in (1 to count($entitlement)) return        lower-case(concat('type ', $entitlement[$i]/ext:code/cda:originalText, ' ', $entitlement[$i]/ext:code/@displayName, ' ',        $entitlement[$i]/ext:id/@assigningAuthorityName)) " />
    <xsl:variable name="entit-id" select="for $i in (1 to count($entitlement)) return lower-case($entitlement[$i]/ext:id/@extension) " />
    <xsl:variable name="entit-dateTime" select="for $i in (1 to count($entitlement)) return       if ($entitlement[$i]/ext:effectiveTime/cda:high/@value) then $entitlement[$i]/ext:effectiveTime/cda:high/@value       else if ($entitlement[$i]/ext:effectiveTime/@value) then $entitlement[$i]/ext:effectiveTime/@value       else if ($entitlement[$i]/ext:effectiveTime/cda:low/@value) then $entitlement[$i]/ext:effectiveTime/cda:low/@value       else '' " />
    <xsl:variable name="entit-year" select="for $i in (1 to count($entitlement)) return substring($entit-dateTime[$i], 1, 4) " />
    <xsl:variable name="entit-month-num" select="for $i in (1 to count($entitlement)) return substring($entit-dateTime[$i], 5, 2) " />
    <xsl:variable name="entit-day-1" select="for $i in (1 to count($entitlement)) return substring($entit-dateTime[$i], 7, 2) " />
    <xsl:variable name="entit-day-2" select="for $i in (1 to count($entitlement)) return if (starts-with($entit-day-1[$i], '0')) then substring($entit-day-1[$i], 2, 1) else '' " />
    <xsl:variable name="entit-month" select="for $i in (1 to count($entitlement)) return       if ($entit-month-num[$i] = '01') then 'jan'  else              if ($entit-month-num[$i] = '02') then 'feb'  else              if ($entit-month-num[$i] = '03') then 'mar'  else              if ($entit-month-num[$i] = '04') then 'apr'  else             if ($entit-month-num[$i] = '05') then 'may'  else              if ($entit-month-num[$i] = '06') then 'jun'  else              if ($entit-month-num[$i] = '07') then 'jul'  else              if ($entit-month-num[$i] = '08') then 'aug'  else              if ($entit-month-num[$i] = '09') then 'sep'  else              if ($entit-month-num[$i] = '10') then 'oct'  else              if ($entit-month-num[$i] = '11') then 'nov'  else              if ($entit-month-num[$i] = '12') then 'dec'  else '' " />
    <xsl:variable name="entit-date" select="for $i in (1 to count($entitlement)) return        if ($entit-day-2[$i] != '') then       concat('duration ', $entit-day-1, ' ', $entit-day-2, ' ', $entit-month, ' ', $entit-year, ' ', $entit-day-1, $entit-month, $entit-year, ' ',         $entit-day-2, $entit-month, $entit-year)       else concat('duration ', $entit-day-1, ' ', $entit-month, ' ', $entit-year, ' ', $entit-day-1, $entit-month, $entit-year) " />
    <xsl:variable name="entit-text" select="for $i in (1 to count($entitlement)) return concat($entit-type[$i], ' ', $entit-id[$i], ' ', $entit-date[$i]) " />
    <xsl:variable name="matching-entit" select="if (not($possible-text) or $matching-text or $matching-name or $matching-addr or $matching-attribute or $matching-synonym) then false()       else exists(index-of(for $i in (1 to count($entitlement)) return        not(exists(index-of(for $j in (1 to count($element-words)) return contains($entit-text[$i], $element-words[$j]), false()))), true())) " />
    <xsl:variable name="text-found" select=" $matching-text or $matching-name or $matching-addr or $matching-attribute or $matching-preferred-name or $matching-synonym or $matching-entit" />
    <xsl:variable name="medsview-section" select="exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code = $meds-view-sections])" />
    <xsl:variable name="meds-section" select="exists(ancestor::cda:section[position()=1]/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code = $medications-sections])" />
    <xsl:variable name="text-for-analysis-1" select="if (not($meds-section) or $text-found or not($possible-text) or $first-normalization = '' or $tgi-fir-pattern-replacement = '' or         not($flag-assess-values and $use-ts-for-sctau)) then ''         else dh:XQueryRecursiveReplace($first-normalization, $tgi-fir-pattern-replacement, 'ic') " />
    <xsl:variable name="text-for-analysis-2" select="if ($text-for-analysis-1 = '' or $tgi-regex = '') then $text-for-analysis-1 else dh:XQueryRecursiveReplace($text-for-analysis-1, $tgi-regex, 'ic') " />
    <xsl:variable name="text-for-analysis-3" select="if ($text-for-analysis-2 = '' or $tgi-sec-pattern-replacement = '') then $text-for-analysis-2 else dh:XQueryRecursiveReplace($text-for-analysis-2, $tgi-sec-pattern-replacement, 'ic') " />
    <xsl:variable name="text-for-analysis-4" select="if ($text-for-analysis-3 = '' or $tgi-thi-pattern-replacement = '') then $text-for-analysis-3 else dh:XQueryRecursiveReplace($text-for-analysis-3, $tgi-thi-pattern-replacement, 'ic') " />
    <xsl:variable name="tgi-code" select="if (normalize-space($text-for-analysis-4) = '') then '' else dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', '', 'ecl', $tgi-formula, $text-for-analysis-4, '1', true())" />
    <xsl:variable name="is-tgi" select="matches($tgi-code, '^(\d+)(\[.*?\])$')" />
    <xsl:variable name="not-found-in" select="concat(' which was not found in any entry elements in the same section',        if (exists(ancestor::cda:section[position()=1]/cda:component/cda:section)) then ' or in any subsections' else '')" />
    <xsl:variable name="display-text-1" select=" $first-normalization " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)        then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')), codepoints-to-string(34))       else concat('commencing with ', codepoints-to-string(34),         normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),         $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then exists(ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]) else false() " />
    <xsl:variable name="rating-93" select="if (not($flags/@allow-ratings = 'true')) then ''       else if ($initial-priority) then $initial-rating       else if ($is-tgi) then $rating-TGI-TC-Narr-93       else if ($medsview-section) then $rating-MHRView-TC-Narr-93        else $rating-TC-Narr-93 " />
    <!--REPORT -->
    <xsl:if test=" $hi-present and $invalid-hi-format ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$hi-present and $invalid-hi-format">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Narr-11" /><xsl:text />: TC-Narr-11: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> was <xsl:text /><xsl:value-of select="$origin" /><xsl:text /> however the narrative element
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> which is a healthcare
		identifier without the required format of four groups of four digits with a space separating each four-digit group (e.g. 8003 6000 0000 0000 for an IHI).
		The narrative was automatically generated so the date must meet the formatting conformance requirements that ensure healthcae identifiers are formatted in a consistent
		manner. (See requirement CDA-RS 13 of the CDA Rendering Specification v1.0.)
		<xsl:text /><xsl:value-of select="$auto-context" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $el-dt-type = '2' and string-length($el-month-actual-alpha) &gt; 3 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$el-dt-type = '2' and string-length($el-month-actual-alpha) &gt; 3">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Narr-15" /><xsl:text />: TC-Narr-15: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> was <xsl:text /><xsl:value-of select="$origin" /><xsl:text />
		however the narrative element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' contains '<xsl:text /><xsl:value-of select="$element" /><xsl:text />' and the month does not meet the
		requirement to have three letters. The narrative was automatically generated so the date must meet the formatting conformance requirements that ensure dates are formatted in a consistent
		manner. (See requirement CDA-RS 16 (a) of the CDA Rendering Specification v1.0.)
		<xsl:text /><xsl:value-of select="$auto-context" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $end-dt-type = '2' and string-length($end-month-actual-alpha) &gt; 3 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$end-dt-type = '2' and string-length($end-month-actual-alpha) &gt; 3">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Narr-15" /><xsl:text />: TC-Narr-15: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> was <xsl:text /><xsl:value-of select="$origin" /><xsl:text />
		however the narrative element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' contains '<xsl:text /><xsl:value-of select="$end-dateTime" /><xsl:text />' and the month does not meet the
		requirement to have only three letters. The narrative was automatically generated so the date must meet the formatting conformance requirements that ensure dates are formatted in a
		consistent manner. (See requirement CDA-RS 16 (a) of the CDA Rendering Specification v1.0.)
		<xsl:text /><xsl:value-of select="$auto-context" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $el-dt-type = ('1', '2') and string-length($el-year) != 4 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$el-dt-type = ('1', '2') and string-length($el-year) != 4">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Narr-15" /><xsl:text />: TC-Narr-15: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> was <xsl:text /><xsl:value-of select="$origin" /><xsl:text />
		however the narrative element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' contains '<xsl:text /><xsl:value-of select="$element" /><xsl:text />' and the year has
		<xsl:text /><xsl:value-of select="string-length($el-year)" /><xsl:text /> digits instead of four. The narrative was automatically generated so the date must meet the formatting conformance requirements that ensure
		dates are formatted in a consistent manner. (See requirement CDA-RS 16 (a) of the CDA Rendering Specification v1.0.)
		<xsl:text /><xsl:value-of select="$auto-context" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $end-dt-type = ('1', '2') and string-length($end-year) != 4 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$end-dt-type = ('1', '2') and string-length($end-year) != 4">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Narr-15" /><xsl:text />: TC-Narr-15: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> was <xsl:text /><xsl:value-of select="$origin" /><xsl:text />
		however the narrative element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' contains '<xsl:text /><xsl:value-of select="$end-dateTime" /><xsl:text />' and the year has
		<xsl:text /><xsl:value-of select="string-length($end-year)" /><xsl:text /> digits instead of four. The narrative was automatically generated so the date must meet the formatting conformance requirements that ensure
		dates are formatted in a consistent manner. (See requirement CDA-RS 16 (a) of the CDA Rendering Specification v1.0.)
		<xsl:text /><xsl:value-of select="$auto-context" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $el-dt-type = ('1', '3') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$el-dt-type = ('1', '3')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Narr-15" /><xsl:text />: TC-Narr-15: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> was <xsl:text /><xsl:value-of select="$origin" /><xsl:text />
		however the narrative element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' contains '<xsl:text /><xsl:value-of select="$element" /><xsl:text />' and the date does not have one
		of the required formats which are 'd-Mmm-yyyy' or 'd Mmm yyyy'. The narrative was automatically generated so the date must meet the formatting conformance requirements that ensure
		dates are formatted in a consistent manner. (See requirement CDA-RS 16 of the CDA Rendering Specification v1.0.)
		<xsl:text /><xsl:value-of select="$auto-context" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $end-dt-type = ('1', '3') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$end-dt-type = ('1', '3')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Narr-15" /><xsl:text />: TC-Narr-15: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> was <xsl:text /><xsl:value-of select="$origin" /><xsl:text />
		however the narrative element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' contains '<xsl:text /><xsl:value-of select="$end-dateTime" /><xsl:text />' and the date does not have
		one of the required formats which are 'd-Mmm-yyyy' or 'd Mmm yyyy'. The narrative was automatically generated so the date must meet the formatting conformance requirements that ensure
		dates are formatted in a consistent manner. (See requirement CDA-RS 16 of the CDA Rendering Specification v1.0.)
		<xsl:text /><xsl:value-of select="$auto-context" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $el-tc-narr-16-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$el-tc-narr-16-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Narr-16" /><xsl:text />: TC-Narr-16: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> was <xsl:text /><xsl:value-of select="$origin" /><xsl:text />
		however the narrative element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' contains '<xsl:text /><xsl:value-of select="$element" /><xsl:text />' and the three letter month does not meet the
		requirement for the first letter to be upper case with the remaining letters being lower case. The narrative was automatically generated so the date must meet the formatting conformance
		requirements that ensure dates are formatted in a consistent manner. (See requirement CDA-RS 16 (b) of the CDA Rendering Specification v1.0.)
		<xsl:text /><xsl:value-of select="$auto-context" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $end-tc-narr-16-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$end-tc-narr-16-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Narr-16" /><xsl:text />: TC-Narr-16: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> was <xsl:text /><xsl:value-of select="$origin" /><xsl:text />
		however the narrative element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' contains '<xsl:text /><xsl:value-of select="$end-dateTime" /><xsl:text />' and the three letter month does not
		meet the requirement for the first letter to be upper case with the remaining letters being lower case. The narrative was automatically generated so the date must meet the formatting
		conformance requirements that ensure dates are formatted in a consistent manner. (See requirement CDA-RS 16 (b) of the CDA Rendering Specification v1.0.)
		<xsl:text /><xsl:value-of select="$auto-context" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $el-tc-narr-17-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$el-tc-narr-17-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Narr-17" /><xsl:text />: TC-Narr-17: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> was <xsl:text /><xsl:value-of select="$origin" /><xsl:text />
		however the narrative element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' contains '<xsl:text /><xsl:value-of select="$element" /><xsl:text />' which does not meet
		the requirement for date separators to be either a single space or a single dash. The narrative was automatically generated so the date must meet the formatting
		conformance requirements that ensure dates are formatted in a consistent manner. (See requirement CDA-RS 16 (c) of the CDA Rendering Specification v1.0.)
		<xsl:text /><xsl:value-of select="$auto-context" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $end-tc-narr-17-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$end-tc-narr-17-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Narr-17" /><xsl:text />: TC-Narr-17: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> was <xsl:text /><xsl:value-of select="$origin" /><xsl:text />
		however the narrative element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' contains '<xsl:text /><xsl:value-of select="$end-dateTime" /><xsl:text />' which does not meet
		the requirement for date separators to be either a single space or a single dash. The narrative was automatically generated so the date must meet the formatting
		conformance requirements that ensure dates are formatted in a consistent manner. (See requirement CDA-RS 16 (c) of the CDA Rendering Specification v1.0.)
		<xsl:text /><xsl:value-of select="$auto-context" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $el-tc-narr-18-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$el-tc-narr-18-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Narr-18" /><xsl:text />: TC-Narr-18: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> was <xsl:text /><xsl:value-of select="$origin" /><xsl:text />
		however the narrative element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' contains '<xsl:text /><xsl:value-of select="$element" /><xsl:text />' which has mixed separators.
		Separators must not be used interchangeably within a single date. The narrative was automatically generated so the date must meet the formatting
		conformance requirements that ensure dates are formatted in a consistent manner. (See requirement CDA-RS 16 (d) of the CDA Rendering Specification v1.0.)
		<xsl:text /><xsl:value-of select="$auto-context" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $end-tc-narr-18-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$end-tc-narr-18-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Narr-18" /><xsl:text />: TC-Narr-18: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> was <xsl:text /><xsl:value-of select="$origin" /><xsl:text />
		however the narrative element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' contains '<xsl:text /><xsl:value-of select="$end-dateTime" /><xsl:text />' which has mixed separators.
		Separators must not be used interchangeably within a single date. The narrative was automatically generated so the date must meet the formatting
		conformance requirements that ensure dates are formatted in a consistent manner. (See requirement CDA-RS 16 (d) of the CDA Rendering Specification v1.0.)
		<xsl:text /><xsl:value-of select="$auto-context" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $el-dt-type = ('1', '2') and count($el-matching-date-times) &gt; 0 and ($body-mixed-timezones or $not-doc-timezone) and $el-timezone = '' and    count($el-matching-date-times[not(matches(., '[+-]{1}[0-9]{4}'))]) = 0">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$el-dt-type = ('1', '2') and count($el-matching-date-times) &gt; 0 and ($body-mixed-timezones or $not-doc-timezone) and $el-timezone = '' and count($el-matching-date-times[not(matches(., '[+-]{1}[0-9]{4}'))]) = 0">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Narr-27" /><xsl:text />: TC-Narr-27: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> was <xsl:text /><xsl:value-of select="$origin" /><xsl:text /> and contains the date
		'<xsl:text /><xsl:value-of select="$element" /><xsl:text />'. <xsl:text /><xsl:value-of select="$body-timezone-message" /><xsl:text /> The '<xsl:text /><xsl:value-of select="$el-matching-date-times[1]" /><xsl:text />' data element in the section's structured data contains a
		time zone but the time zone was omitted from the narrative element, which is an error.
		(See requirement CDA-RS 49 (b) of the CDA Rendering Specification v1.0.)<xsl:text /><xsl:value-of select="$message-context" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $end-dt-type = ('1', '2') and count($end-matching-date-times) &gt; 0 and ($body-mixed-timezones or $not-doc-timezone) and $end-timezone = '' and    count($end-matching-date-times[not(matches(., '[+-]{1}[0-9]{4}'))]) = 0">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$end-dt-type = ('1', '2') and count($end-matching-date-times) &gt; 0 and ($body-mixed-timezones or $not-doc-timezone) and $end-timezone = '' and count($end-matching-date-times[not(matches(., '[+-]{1}[0-9]{4}'))]) = 0">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-TC-Narr-27" /><xsl:text />: TC-Narr-27: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> was <xsl:text /><xsl:value-of select="$origin" /><xsl:text /> and contains the date
		'<xsl:text /><xsl:value-of select="$end-dateTime" /><xsl:text />'. <xsl:text /><xsl:value-of select="$body-timezone-message" /><xsl:text /> The '<xsl:text /><xsl:value-of select="$end-matching-date-times[1]" /><xsl:text />' data element in the section's structured data
		contains a time zone but the time zone was omitted from the narrative element, which is an error. 
		(See requirement CDA-RS 49 (b) of the CDA Rendering Specification v1.0.)<xsl:text /><xsl:value-of select="$message-context" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $el-dt-type = ('1', '2') and $derived-from-entries ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $el-dt-type = ('1', '2') and $derived-from-entries">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-93: The narrative element '<xsl:text /><xsl:value-of select=" $element" /><xsl:text />' in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the date '<xsl:text /><xsl:value-of select="$el-date" /><xsl:text />', the time
		'<xsl:text /><xsl:value-of select="$el-time" /><xsl:text />' and the timezone
		'<xsl:text /><xsl:value-of select="$el-timezone" /><xsl:text />'. The test is to find an entry element with a matches that matches the regular expression '<xsl:text /><xsl:value-of select="$el-datetime-regex" /><xsl:text />'. 
		Was the datetime found? <xsl:text /><xsl:value-of select="$el-datetime-found" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $end-dt-type = ('1', '2') and $derived-from-entries ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $end-dt-type = ('1', '2') and $derived-from-entries">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-93: The narrative element '<xsl:text /><xsl:value-of select="$end-dateTime" /><xsl:text />' in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		has the end date '<xsl:text /><xsl:value-of select="$end-date" /><xsl:text />', the time '<xsl:text /><xsl:value-of select="$end-time" /><xsl:text />' and the timezone
		'<xsl:text /><xsl:value-of select="$end-timezone" /><xsl:text />'. The test is to find an entry element with a matches that matches the regular expression '<xsl:text /><xsl:value-of select="$end-datetime-regex" /><xsl:text />'.
		Was the end datetime found? <xsl:text /><xsl:value-of select="$end-datetime-found" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $el-dt-type = ('1', '2') and not($el-datetime-found) and $derived-from-entries ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$el-dt-type = ('1', '2') and not($el-datetime-found) and $derived-from-entries">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-93" /><xsl:text />: TC-Narr-93: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> was automatically derived from information present in the section's
		entry elements however the narrative element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' contains the date '<xsl:text /><xsl:value-of select="$element" /><xsl:text />'
		<xsl:text /><xsl:value-of select="$not-found-in" /><xsl:text />.
		Confirm if the narrative contains clinical information not present in the entry elements.
		<xsl:text /><xsl:value-of select="$message-context" /><xsl:text /><xsl:text /><xsl:value-of select="$typeCode-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $end-dt-type = ('1', '2') and not($end-datetime-found) and $derived-from-entries ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$end-dt-type = ('1', '2') and not($end-datetime-found) and $derived-from-entries">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-93" /><xsl:text />: TC-Narr-93: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> was automatically derived from information present in the section's
		entry elements however the narrative element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' contains a time interval with the end date
		'<xsl:text /><xsl:value-of select="$end-dateTime" /><xsl:text />' <xsl:text /><xsl:value-of select="$not-found-in" /><xsl:text />.
		Confirm if the narrative contains clinical information not present in the entry elements.
		<xsl:text /><xsl:value-of select="$message-context" /><xsl:text /><xsl:text /><xsl:value-of select="$typeCode-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and not($el-dt-type = ('1', '2')) and $possible-PQ and $derived-from-entries ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and not($el-dt-type = ('1', '2')) and $possible-PQ and $derived-from-entries">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-93: The narrative element '<xsl:text /><xsl:value-of select=" $element" /><xsl:text />' in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> appears to contain a quantity with the value
		'<xsl:text /><xsl:value-of select="$PQ-value" /><xsl:text />' and the unit '<xsl:text /><xsl:value-of select="$PQ-unit" /><xsl:text />'. Was the quantity found? <xsl:text /><xsl:value-of select="$PQ-found" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($el-dt-type = ('1', '2')) and $possible-PQ and not($PQ-found) and $derived-from-entries ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($el-dt-type = ('1', '2')) and $possible-PQ and not($PQ-found) and $derived-from-entries">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-93" /><xsl:text />: TC-Narr-93: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> was automatically derived from information present in the section's
		entry elements however the narrative element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' contains the quantity <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /><xsl:text /><xsl:value-of select="$not-found-in" /><xsl:text />.
		Confirm if the narrative contains clinical information not present in the entry elements.
		<xsl:text /><xsl:value-of select="$message-context" /><xsl:text /><xsl:text /><xsl:value-of select="$typeCode-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $hi-present and $derived-from-entries ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $hi-present and $derived-from-entries">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-93: The narrative element '<xsl:text /><xsl:value-of select=" . " /><xsl:text />' in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the healthcare identifier
		'<xsl:text /><xsl:value-of select="$healthcare-identifier" /><xsl:text />'. The test is to find an Entity Identifier in an entry element with an id root attribute that matches '<xsl:text /><xsl:value-of select="$hi-root" /><xsl:text />'.
		Was the healthcare identifier found? <xsl:text /><xsl:value-of select="$matching-ei" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $hi-present and not($matching-ei) and $derived-from-entries ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$hi-present and not($matching-ei) and $derived-from-entries">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-93" /><xsl:text />: TC-Narr-93: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> was automatically derived from information present in the section's
		entry elements however the narrative element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' contains the healthcare identifier
		<xsl:text /><xsl:value-of select="$healthcare-identifier" /><xsl:text /><xsl:text /><xsl:value-of select="$not-found-in" /><xsl:text />.
		Confirm if the narrative contains clinical information not present in the entry elements.
		<xsl:text /><xsl:value-of select="$message-context" /><xsl:text /><xsl:text /><xsl:value-of select="$typeCode-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $el-is-a-telecom and $derived-from-entries ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $el-is-a-telecom and $derived-from-entries">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-93: The narrative element '<xsl:text /><xsl:value-of select=" $el-telecom-value" /><xsl:text />' in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a telecommunications address.
		The test is to find a telecom element with a value attribute that matches
		'<xsl:text /><xsl:value-of select="if ($try-tel) then $telecom-tel-2 else if ($try-fax) then $telecom-fax-2 else if ($try-mailto) then $telecom-mailto-2 else '' " /><xsl:text />'.
		Was the telecommunications element found? <xsl:text /><xsl:value-of select="$matching-telecom" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $el-is-a-telecom and not($matching-telecom) and $derived-from-entries ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$el-is-a-telecom and not($matching-telecom) and $derived-from-entries">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-93" /><xsl:text />: TC-Narr-93: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> was automatically derived from information present in the section's
		entry elements however the narrative element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' contains the tlemecommunications information
		'<xsl:text /><xsl:value-of select="$el-telecom-value" /><xsl:text />' <xsl:text /><xsl:value-of select="$not-found-in" /><xsl:text />.
		Confirm if the narrative contains clinical information not present in the entry elements.
		<xsl:text /><xsl:value-of select="$message-context" /><xsl:text /><xsl:text /><xsl:value-of select="$typeCode-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and not($el-dt-type = ('1', '2') or $possible-PQ or $hi-present or $el-is-a-telecom) and $normalized-element != '' and    $derived-from-entries ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and not($el-dt-type = ('1', '2') or $possible-PQ or $hi-present or $el-is-a-telecom) and $normalized-element != '' and $derived-from-entries">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-93: The narrative element <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> appears to be text. The values of the variables are:
		possible-text = '<xsl:text /><xsl:value-of select="$possible-text" /><xsl:text />';
		matching-text = '<xsl:text /><xsl:value-of select="$matching-text" /><xsl:text />';
		matching-name = '<xsl:text /><xsl:value-of select="$matching-name" /><xsl:text />';
		matching-addr = '<xsl:text /><xsl:value-of select="$matching-addr" /><xsl:text />';
		matching-attribute = '<xsl:text /><xsl:value-of select="$matching-attribute" /><xsl:text />';
		matching-synonym = '<xsl:text /><xsl:value-of select="$matching-synonym" /><xsl:text />'; and
		matching-entit = '<xsl:text /><xsl:value-of select="$matching-entit" /><xsl:text />'.
		Was the text found? <xsl:text /><xsl:value-of select="$text-found" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $possible-text and not($text-found) and $derived-from-entries and (not($no-text-content) or $other-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $possible-text and not($text-found) and $derived-from-entries and (not($no-text-content) or $other-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-93: The narrative element <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> appears to be text. The values of the variables are:
		normalized-element = '<xsl:text /><xsl:value-of select="$normalized-element" /><xsl:text />'
		str-text = '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($str-text, '|'), $text-pattern-replacement, 'ic') " /><xsl:text />'
		text used for matching = '<xsl:text /><xsl:value-of select="string-join(if ($pattern != '') then $str-text[contains(translate(    dh:XQueryRecursiveReplace(normalize-space(translate(., $chars-no-space, '')), $pattern, 'ic'), $chars-to-remove, ''), $normalized-element)]    else $str-text[contains(normalize-space(translate(., $chars-to-remove, '')), $normalized-element)], '|') " /><xsl:text />'
		text-for-analysis-1 = '<xsl:text /><xsl:value-of select="$text-for-analysis-1" /><xsl:text />'
		text-for-analysis-2 = '<xsl:text /><xsl:value-of select="$text-for-analysis-2" /><xsl:text />'
		text-for-analysis-3 = '<xsl:text /><xsl:value-of select="$text-for-analysis-3" /><xsl:text />'
		text-for-analysis-4 = '<xsl:text /><xsl:value-of select="$text-for-analysis-4" /><xsl:text />'
		tgi-code = '<xsl:text /><xsl:value-of select="$tgi-code" /><xsl:text />'
		is-tgi = '<xsl:text /><xsl:value-of select="$is-tgi" /><xsl:text />'

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $possible-text and not($text-found) and $derived-from-entries and (not($no-text-content) or $other-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$possible-text and not($text-found) and $derived-from-entries and (not($no-text-content) or $other-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-93" /><xsl:text />: TC-Narr-93: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> was automatically derived from information present in the section's
		entry elements however the narrative element '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' contains the text
		<xsl:text /><xsl:value-of select="$display-text" /><xsl:text /><xsl:text /><xsl:value-of select="$not-found-in" /><xsl:text />.
		Confirm if the narrative contains clinical information not present in the entry elements.
		<xsl:text /><xsl:value-of select="$message-context" /><xsl:text /><xsl:text /><xsl:value-of select="$typeCode-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $possible-text and not($text-found) and $derived-from-entries and $no-text-content and not($other-content)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$possible-text and not($text-found) and $derived-from-entries and $no-text-content and not($other-content)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-93" /><xsl:text />: TC-Narr-93: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> was automatically derived from information present in the section's
		entry elements however the narrative element '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' contains the text
		<xsl:text /><xsl:value-of select="$display-text" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' which is not present in any entry elements in the same section',     if (exists(ancestor::cda:section[position()=1]/cda:component/cda:section)) then ' or in any subsections' else '')" /><xsl:text />.
		<xsl:text /><xsl:value-of select="$message-context" /><xsl:text /> The entry elements do not contain any text describing clinical information so it is not possible for the
		narrative to have been derived from the information in the entry elements.
		<xsl:text /><xsl:value-of select="$typeCode-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1100" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1100" />
  <xsl:template match="@*|node()" priority="-2" mode="M1100">
    <xsl:apply-templates select="@*|*" mode="M1100" />
  </xsl:template>
  <!--PATTERN p-TS-Auto-2-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//cda:section[cda:entry/@typeCode = 'DRIV' or ($flags/@narrative-derived = 'true' and .//cda:entry)]/cda:text//   cda:linkHtml[@href] " priority="1000" mode="M1101">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//cda:section[cda:entry/@typeCode = 'DRIV' or ($flags/@narrative-derived = 'true' and .//cda:entry)]/cda:text//   cda:linkHtml[@href] " />
    <xsl:variable name="section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="an-attachment" select=" matches(@href, $ext-att-uri-regex, 'is') or matches(@href, $pcehr-uri-regex, 'is') or not(contains(@href, ':')) " />
    <xsl:variable name="match" select="$section/*[not(local-name(.) = ('text', 'title', 'code'))]//*       [local-name(.) = ('externalAct', 'externalDocument', 'externalObservation', 'externalProcedure')]/cda:text/cda:reference/@value = @href" />
    <xsl:variable name="message-context" select="if ($flags/@narrative-derived = 'true') then concat(' ', normalize-space('The section has no entry elements with the typeCode attribute with the value ''DRIV''       however the IQ Rules configuration flag ''narrative-derived'' flag was set to ''true'' to indicate that all narratives have been derived from the information       in the entry elements regardless of the value of the typeCode. Therefore all clinical information in the narrative must also present in the entry       elements.'))       else concat(' ', normalize-space('The section contains entry elements with the typeCode attribute with the value ''DRIV'' indicating that the narrative was       automatically generated from the information in the entry elements and therefore all clinical information in the narrative is also present in the entry       elements.'))" />
    <xsl:variable name="message-context" select="if ($section/cda:entry/@typeCode = 'DRIV')        then concat(' ', normalize-space('The section contains entry elements with the typeCode attribute with the value ''DRIV'' indicating that the narrative was        automatically generated from the information in the entry elements and therefore all clinical information in the narrative must also be present in the        entry elements. (See section 4.3.4.2 of the HL7 Clinical Document Architecture, Release 2 specification.) '))       else if ($flags/@narrative-derived = 'true' and $section//cda:entry)        then concat(' ', normalize-space('The section has no entry elements with the typeCode attribute with the value ''DRIV'' however the IQ Rules configuration        flag ''narrative-derived'' flag was set to ''true'' to indicate that all narratives have been derived from the information in the entry elements        regardless of the value of the typeCode. Therefore all clinical information in the narrative must also be present in the entry elements.         (See section 4.3.4.2 of the HL7 Clinical Document Architecture, Release 2 specification.)'))       else '' " />
    <xsl:variable name="not-found-in" select="concat(' However a reference to this attachment was not found in any entry elements in the same section',        if (exists(ancestor::cda:section[position()=1]/cda:component/cda:section)) then ' or in any subsections' else '', '.')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then exists(ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]) else false() " />
    <xsl:variable name="rating-93" select="if (not($flags/@allow-ratings = 'true')) then ''       else if ($initial-priority) then $initial-rating       else if (exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Narr-93        else $rating-TC-Narr-93 " />
    <!--REPORT -->
    <xsl:if test=" $an-attachment and not($match) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$an-attachment and not($match)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-93" /><xsl:text />: TC-Narr-93: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> was automatically derived from information present in the section's
		entry elements and the narrative element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' contains a linkHtml element with a reference to the attachment
		'<xsl:text /><xsl:value-of select="@href" /><xsl:text />'. <xsl:text /><xsl:value-of select="$not-found-in" /><xsl:text /> The entry elements may reference the
		attachment though an externalAct, externalDocument, externalObservation or externalProcedure. Clinical information in the narrative must also be present in the entry elements when the
		narrative is automatically derived from information present in the section's entry elements. (See section 4.3.4.2 of the HL7 Clinical Document Architecture,
		Release 2 specification.)<xsl:text /><xsl:value-of select="$message-context" /><xsl:text /> (See section 4.3.4.2 of the HL7 Clinical Document Architecture, Release 2 specification.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1101" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1101" />
  <xsl:template match="@*|node()" priority="-2" mode="M1101">
    <xsl:apply-templates select="@*|*" mode="M1101" />
  </xsl:template>
  <!--PATTERN p-TS-Ext-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[not($flags/@allow-hints = 'false')]/cda:component/cda:structuredBody/cda:component//cda:section    [cda:code/@codeSystem = '1.2.36.1.2001.1001.101' and not(cda:entry) and cda:component/cda:section/cda:code/@codeSystem = '1.2.36.1.2001.1001.101']/cda:text " priority="1000" mode="M1102">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[not($flags/@allow-hints = 'false')]/cda:component/cda:structuredBody/cda:component//cda:section    [cda:code/@codeSystem = '1.2.36.1.2001.1001.101' and not(cda:entry) and cda:component/cda:section/cda:code/@codeSystem = '1.2.36.1.2001.1001.101']/cda:text " />
    <xsl:variable name="tables" select=".//cda:table " />
    <xsl:variable name="table-data" select="$tables//*[local-name(.) = 'td'][normalize-space(string-join(text(), '')) != '' and       not($fixed-text-regex != '' and matches(normalize-space(translate(string-join(text(), ''), $chars-no-space, '')), $fixed-text-regex, 'is'))] " />
    <xsl:variable name="table-lists" select="$tables//cda:list " />
    <xsl:variable name="other-lists" select=".//cda:list[not(ancestor::cda:table)] " />
    <xsl:variable name="lists" select="($table-lists, $other-lists) " />
    <xsl:variable name="list-data" select="$lists//*[local-name(.) = 'item'][normalize-space(string-join(text(), '')) != '' and       not($fixed-text-regex != '' and matches(normalize-space(translate(string-join(text(), ''), $chars-no-space, '')), $fixed-text-regex, 'is'))] " />
    <xsl:variable name="table-para" select="$tables//cda:paragraph " />
    <xsl:variable name="other-para" select=".//cda:paragraph[not(ancestor::cda:table)] " />
    <xsl:variable name="paragraphs" select="($table-para, $other-para)[not(@styleCode and @styleCode = ('Bold', 'Italics'))][normalize-space(string-join(text(), '')) != '' and       not($fixed-text-regex != '' and matches(normalize-space(translate(string-join(text(), ''), $chars-no-space, '')), $fixed-text-regex, 'is'))] " />
    <xsl:variable name="multimedia" select=".//cda:renderMultiMedia " />
    <xsl:variable name="narr-data" select="($table-data, $list-data, $paragraphs, $multimedia) " />
    <xsl:variable name="analyse-subsections" select=" count($narr-data) &gt; 1 " />
    <xsl:variable name="subsections" select="if ($analyse-subsections) then ../cda:component/cda:section[cda:code/@codeSystem = '1.2.36.1.2001.1001.101'] else () " />
    <xsl:variable name="sub-tables" select="$subsections//cda:table " />
    <xsl:variable name="sub-table-data" select="$sub-tables//*[local-name(.) = 'td'][normalize-space(string-join(text(), '')) != '' and       not($fixed-text-regex != '' and matches(normalize-space(translate(string-join(text(), ''), $chars-no-space, '')), $fixed-text-regex, 'is'))] " />
    <xsl:variable name="sub-table-lists" select="$sub-tables//cda:list " />
    <xsl:variable name="sub-other-lists" select="$subsections//cda:list[not(ancestor::cda:table)] " />
    <xsl:variable name="sub-lists" select="($sub-table-lists, $sub-other-lists) " />
    <xsl:variable name="sub-list-data" select="$sub-lists//*[local-name(.) = 'item'][normalize-space(string-join(text(), '')) != '' and       not($fixed-text-regex != '' and matches(normalize-space(translate(string-join(text(), ''), $chars-no-space, '')), $fixed-text-regex, 'is'))] " />
    <xsl:variable name="sub-table-para" select="$sub-tables//cda:paragraph " />
    <xsl:variable name="sub-other-para" select="$subsections//cda:paragraph[not(ancestor::cda:table)] " />
    <xsl:variable name="sub-paragraphs" select="($sub-table-para, $sub-other-para)[not(@styleCode and @styleCode = ('Bold', 'Italics'))][normalize-space(string-join(text(), '')) != '' and       not($fixed-text-regex != '' and matches(normalize-space(translate(string-join(text(), ''), $chars-no-space, '')), $fixed-text-regex, 'is'))] " />
    <xsl:variable name="sub-multimedia" select="$subsections//cda:renderMultiMedia " />
    <xsl:variable name="sub-narr-data" select="($sub-table-data, $sub-list-data, $sub-paragraphs, $sub-multimedia) " />
    <xsl:variable name="additional-information" select="$analyse-subsections and exists($sub-narr-data) " />
    <xsl:variable name="table-num" select="if ($additional-information) then count($tables) else 0 " />
    <xsl:variable name="table-headings" select="if ($additional-information) then ($tables/cda:thead/cda:tr/cda:th)[normalize-space(.) != ''] else () " />
    <xsl:variable name="table-msg" select="if ($table-num = 0) then '' else concat(if ($numbers/number[@value = $table-num]) then $numbers/number[number(@value) = $table-num]/@name else $table-num,        if ($table-num = 1) then ' table' else ' tables',        if (count($table-headings) = 0) then ''       else if (count($table-headings) = 1) then ' and the table heading is '        else ' and the table headings are ',        iq:display-text-list($table-headings, 0, true(), true())) " />
    <xsl:variable name="list-num" select="if ($additional-information) then count($other-lists) else 0 " />
    <xsl:variable name="list-msg" select="if ($list-num = 0) then '' else concat(if ($numbers/number[@value = $list-num]) then $numbers/number[number(@value) = $list-num]/@name else $list-num,        if ($list-num = 1) then ' list' else ' lists') " />
    <xsl:variable name="paragraph-num" select="if ($additional-information) then count($other-para) else 0 " />
    <xsl:variable name="paragraph-msg" select="if ($paragraph-num = 0) then ''        else if ($paragraph-num &gt; 1) then concat(if ($numbers/number[@value = $paragraph-num]) then $numbers/number[number(@value) = $paragraph-num]/@name        else $paragraph-num, ' paragraphs that may contain clinical information')       else if (string-length($other-para) &lt; 200)        then concat(' a paragraph with the text ', codepoints-to-string(34),         normalize-space(dh:XQueryRecursiveReplace($other-para, $text-pattern-replacement, 'ic')), codepoints-to-string(34))       else concat(' a paragraph commencing with ', codepoints-to-string(34),         normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($other-para, $p-name-pattern-replacement, 'ic'), 1, 200),         $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="multimedia-num" select="if ($additional-information) then count($multimedia) else 0 " />
    <xsl:variable name="multimedia-capt" select="if ($additional-information) then distinct-values(($multimedia/cda:caption)[normalize-space(.) != '']) else () " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia-num = 0) then '' else concat(if ($numbers/number[@value = $multimedia-num]) then $numbers/number[number(@value) = $multimedia-num]/@name        else $multimedia-num,        if ($multimedia-num = 1) then ' reference' else ' references', ' to multimedia attachments',        if (count($multimedia-capt) = 0) then ''       else if (count($multimedia-capt) = 1) then ' and the attachment name is '        else ' and the attachment names are ',        iq:display-text-list($multimedia-capt, 0, true(), true())) " />
    <xsl:variable name="section-msg-1" select="distinct-values(($table-msg, $list-msg, $paragraph-msg, $multimedia-msg)[. != '']) " />
    <xsl:variable name="section-msg" select="if (exists($section-msg-1)) then concat('The narrative of the ', iq:location(., ''), ' contains ',        string-join($section-msg-1, ' and the narrative contains '), '.') else '' " />
    <xsl:variable name="sub-names-1" select="if ($additional-information) then distinct-values(for $subsection in $subsections return        if ($subsection/cda:title) then $subsection/cda:title        else if ($subsection/cda:code/@displayName) then $subsection/cda:code/@displayName        else if ($subsection/cda:code/@code) then concat('section code ''', $subsection/cda:code/@code, '''')       else '')[. != ''] else '' " />
    <xsl:variable name="sub-names" select="iq:display-text-list($sub-names-1, 0, true(), true())" />
    <xsl:variable name="sub-table-num" select="if ($additional-information) then count($sub-tables) else 0 " />
    <xsl:variable name="sub-table-headings" select="if ($additional-information) then distinct-values(($sub-tables/cda:thead/cda:tr/cda:th)[normalize-space(.) != '']) else () " />
    <xsl:variable name="sub-table-msg" select="if ($sub-table-num = 0) then '' else concat(if ($numbers/number[@value = $sub-table-num])         then $numbers/number[number(@value) = $sub-table-num]/@name else $sub-table-num,         if ($sub-table-num = 1) then ' table' else ' tables',         if (count($sub-table-headings) = 0) then ''        else if (count($sub-table-headings) = 1) then ' and the table heading is '         else ' and the table headings are ',         iq:display-text-list($sub-table-headings, 0, true(), true())) " />
    <xsl:variable name="sub-list-num" select="if ($additional-information) then count($sub-other-lists) else 0 " />
    <xsl:variable name="sub-list-msg" select="if ($sub-list-num = 0) then ''         else concat(if ($numbers/number[@value = $sub-list-num]) then $numbers/number[number(@value) = $sub-list-num]/@name else $sub-list-num,         if ($sub-list-num = 1) then ' list' else ' lists') " />
    <xsl:variable name="sub-paragraph-num" select="if ($additional-information) then count($sub-other-para) else 0 " />
    <xsl:variable name="sub-paragraph-msg" select="if ($sub-paragraph-num = 0) then ''         else if ($sub-paragraph-num &gt; 1) then concat(if ($numbers/number[@value = $sub-paragraph-num])         then $numbers/number[number(@value) = $sub-paragraph-num]/@name         else $sub-paragraph-num, ' paragraphs that may contain clinical information')        else if (string-length($sub-other-para) &lt; 200)         then concat(' a paragraph with the text ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace($sub-other-para, $text-pattern-replacement, 'ic')), codepoints-to-string(34))        else concat(' a paragraph commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($sub-other-para, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="sub-multimedia-num" select="if ($additional-information) then count($sub-multimedia) else 0 " />
    <xsl:variable name="sub-multimedia-capt" select="if ($additional-information) then distinct-values(($sub-multimedia/cda:caption)[normalize-space(.) != '']) else () " />
    <xsl:variable name="sub-multimedia-msg" select="if ($sub-multimedia-num = 0) then ''         else concat(if ($numbers/number[@value = $sub-multimedia-num]) then $numbers/number[number(@value) = $sub-multimedia-num]/@name         else $sub-multimedia-num,         if ($sub-multimedia-num = 1) then ' reference' else ' references', ' to multimedia attachments',         if (count($sub-multimedia-capt) = 0) then ''        else if (count($sub-multimedia-capt) = 1) then ' and the attachment name is '         else ' and the attachment names are ',         iq:display-text-list($sub-multimedia-capt, 0, true(), true())) " />
    <xsl:variable name="sub-section-msg-1" select="distinct-values(($sub-table-msg, $sub-list-msg, $sub-paragraph-msg, $sub-multimedia-msg)[. != '']) " />
    <xsl:variable name="sub-section-msg" select="if (not(exists($sub-section-msg-1))) then ''        else if (count($subsections) = 1) then concat(' The narrative of the ', $sub-names, ' subsection contains ',          string-join($sub-section-msg-1, ' and the narrative contains '), '.')         else concat(' The narratives of the ', $sub-names, ' subsections contain ',          string-join($sub-section-msg-1, ' and the narratives contain '), '.') " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then exists(ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]) else false() " />
    <xsl:variable name="rating-88" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-88 " />
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $additional-information and $doc-common-conf-profile &gt; '1.2' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $additional-information and $doc-common-conf-profile &gt; '1.2'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Hint<xsl:text /><xsl:value-of select="$rating-88" /><xsl:text />: TC-Narr-88: Clinical information may be present in the narrative of the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> as well as in the narratives
		of its <xsl:text /><xsl:value-of select="$sub-names" /><xsl:text /><xsl:text /><xsl:value-of select="if (count($subsections) = 1) then 'subsection.' else 'subsections.' " /><xsl:text />
		The narrative of the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> is permitted to include additional information as long as the information does not qualify or negate any information
		defined in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide for its <xsl:text /><xsl:value-of select="$sub-names " /><xsl:text /><xsl:text /><xsl:value-of select="if (count($subsections) = 1) then ' subsection.' else ' subsections.' " /><xsl:text />
		Confirm if the narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> meets this requirement.
		(See <xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7') then 'requirements 023722 and 025052 of the Common Conformance Profile for Clinical Documents v1.7'   else if ($doc-common-conf-profile = '1.6') then 'requirements 023722 and 025052 of the Common Conformance Profile for Clinical Documents v1.6'   else if ($doc-common-conf-profile = '1.5') then 'requirements 023722 of the Common Conformance Profile for Clinical Documents v1.5'   else if ($doc-common-conf-profile = '1.4') then 'section 3.4.3 of the Common Conformance Profile for Clinical Documents v1.4'   else if ($doc-common-conf-profile = '1.3') then 'section 3.4.1.2 of the Common Conformance Profile for Clinical Documents v1.3'   else ''" /><xsl:text />.)
	   	<xsl:text /><xsl:value-of select="$section-msg " /><xsl:text /><xsl:text /><xsl:value-of select="$sub-section-msg " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1102" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1102" />
  <xsl:template match="@*|node()" priority="-2" mode="M1102">
    <xsl:apply-templates select="@*|*" mode="M1102" />
  </xsl:template>
  <!--PATTERN p-TS-Info-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//   cda:section[not(.//cda:section)][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code and not(@code='102.16080')]][cda:text[not(.//cda:renderMultiMedia)]] " priority="1000" mode="M1103">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//   cda:section[not(.//cda:section)][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code and not(@code='102.16080')]][cda:text[not(.//cda:renderMultiMedia)]] " />
    <xsl:variable name="the-parent" select="if (ancestor::cda:section[position()=1]/cda:title) then concat('the parent ', ancestor::cda:section[position()=1]/cda:title, ' section')        else if (ancestor::cda:section[position()=1]/cda:code/@displayName)         then concat('the parent ', ancestor::cda:section[position()=1]/cda:code/@displayName, ' section')        else ''" />
    <xsl:variable name="known-section" select="exists($code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101']/code[@code=current()/cda:code/@code])" />
    <xsl:variable name="narrative" select="dh:XQueryRecursiveReplace(normalize-space(translate(string-join(cda:text//text()[not(ancestor::cda:th or ancestor::cda:caption)], ' '), $chars-no-space, '')),        $fixed-text-pattern, 'ic')" />
    <xsl:variable name="no-content" select="$narrative = '' or ($narr-non-values-pattern != '' and matches(dh:XQueryRecursiveReplace($narrative, $narr-non-values-pattern, 'ic'), '^\W*$', 'is')) " />
    <xsl:variable name="ancestor-sec" select="if ($no-content) then ancestor::cda:section[normalize-space(cda:text) != ''] else ()" />
    <xsl:variable name="ancestor-att" select="exists($ancestor-sec[.//cda:renderMultiMedia]) " />
    <xsl:variable name="ancestor-narr" select="if ($ancestor-att) then '' else string-join(for $anc in $ancestor-sec return        dh:XQueryRecursiveReplace(normalize-space(translate(string-join($anc/cda:text//text()[not(ancestor::cda:th or ancestor::cda:caption)], ' '),        $chars-no-space, '')), $fixed-text-pattern, 'ic'), ' ') " />
    <xsl:variable name="no-anc-content" select="not($ancestor-att) and ($ancestor-narr = '' or ($narr-non-values-pattern != '' and        matches(dh:XQueryRecursiveReplace($ancestor-narr, $narr-non-values-pattern, 'ic'), '^\W*$', 'is'))) " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then exists(ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]) else false() " />
    <xsl:variable name="rating-08" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-08 " />
    <!--REPORT -->
    <xsl:if test=" $known-section and $no-content and count($ancestor-sec) = 0 and $no-anc-content ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$known-section and $no-content and count($ancestor-sec) = 0 and $no-anc-content">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-08" /><xsl:text />: TC-Narr-08: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> does not contain clinical information.
		The mandatory information for the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> is missing and must be present in the narrative.
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023706 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023706 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023706 of the Common Conformance Profile for Clinical Documents v1.5 and '         else ' ' " /><xsl:text />and the data hierarchy in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $known-section and $no-content and count($ancestor-sec) = 1 and $no-anc-content ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$known-section and $no-content and count($ancestor-sec) = 1 and $no-anc-content">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-08" /><xsl:text />: TC-Narr-08: The narratives in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and <xsl:text /><xsl:value-of select="$the-parent" /><xsl:text /> do not contain clinical information.
		The mandatory information for the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> is missing and must be present in either the narrative of the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> or in the narrative of
		<xsl:text /><xsl:value-of select="$the-parent" /><xsl:text />. (See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023706 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023706 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023706 of the Common Conformance Profile for Clinical Documents v1.5 and '         else ' ' " /><xsl:text />the data hierarchy in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />
		CDA Implementation Guide.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $known-section and $no-content and count($ancestor-sec) &gt; 1 and $no-anc-content ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$known-section and $no-content and count($ancestor-sec) &gt; 1 and $no-anc-content">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-08" /><xsl:text />: TC-Narr-08: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and the ancestor sections do not contain clinical information.
		The mandatory information for the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> is missing and must be present in either the narrative of the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> 
		or in the narrative of an ancestor section.
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 023706 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023706 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023706 of the Common Conformance Profile for Clinical Documents v1.5 and '         else ' ' " /><xsl:text />the data hierarchy in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1103" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1103" />
  <xsl:template match="@*|node()" priority="-2" mode="M1103">
    <xsl:apply-templates select="@*|*" mode="M1103" />
  </xsl:template>
  <!--PATTERN p-TS-Info-2-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//cda:section/cda:text//cda:*[@styleCode and matches(@styleCode, '(xBgColour|xFgColour)')]   [not($fixed-text-regex != '' and matches(normalize-space(translate(., $chars-no-space, '')), $fixed-text-regex, 'is'))]   [not(normalize-space(.) = '')][exists(text()[normalize-space() != '']) or (count(cda:*) &gt; count(cda:*[@styleCode and matches(@styleCode, '(xBgColour|xFgColour)')]))]" priority="1000" mode="M1104">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//cda:section/cda:text//cda:*[@styleCode and matches(@styleCode, '(xBgColour|xFgColour)')]   [not($fixed-text-regex != '' and matches(normalize-space(translate(., $chars-no-space, '')), $fixed-text-regex, 'is'))]   [not(normalize-space(.) = '')][exists(text()[normalize-space() != '']) or (count(cda:*) &gt; count(cda:*[@styleCode and matches(@styleCode, '(xBgColour|xFgColour)')]))]" />
    <xsl:variable name="bg-styleCodes" select="ancestor-or-self::cda:*[matches(@styleCode, 'xBgColour')]/@styleCode" />
    <xsl:variable name="background" select="if (exists($bg-styleCodes)) then tokenize(normalize-space($bg-styleCodes[count($bg-styleCodes)]), ' ')[matches(., 'xBgColour')]        else ('xBgColourFFFFFF') " />
    <xsl:variable name="background-colour" select="substring-after($background, 'xBgColour') " />
    <xsl:variable name="fg-styleCodes" select="ancestor-or-self::cda:*[matches(@styleCode, 'xFgColour')]/@styleCode" />
    <xsl:variable name="foreground" select="if (exists($fg-styleCodes)) then tokenize(normalize-space($fg-styleCodes[count($fg-styleCodes)]), ' ')[matches(., 'xFgColour')]         else ('xFgColour000000') " />
    <xsl:variable name="foreground-colour" select="substring-after($foreground, 'xFgColour') " />
    <xsl:variable name="black-text" select="$foreground = 'xFgColour000000' " />
    <xsl:variable name="white-text" select="$foreground = 'xFgColourFFFFFF' or $foreground = 'xFgColourffffff' " />
    <xsl:variable name="coloured-text" select="not($black-text) and not($white-text) " />
    <xsl:variable name="black-background" select="$background = 'xBgColour000000' " />
    <xsl:variable name="white-background" select="$background = 'xBgColourFFFFFF' or $background = 'xBgColourffffff' " />
    <xsl:variable name="coloured-background" select="not($black-background) and not($white-background) " />
    <xsl:variable name="black-on-black" select="$black-text and $black-background " />
    <xsl:variable name="white-on-white" select="$white-text and $white-background " />
    <xsl:variable name="narrative-colours" select="($knowledge/narrative-colours, $iq-config/narrative-colours) " />
    <xsl:variable name="acceptable-colour" select="exists($narrative-colours/colours[        (lower-case(@bg) = lower-case($background-colour) or (not(@bg) and lower-case($background-colour) = 'ffffff')) and        (lower-case(@fg) = lower-case($foreground-colour) or (not(@fg) and $foreground-colour = '000000'))  ]) " />
    <xsl:variable name="narrative-text" select="if (string-length(.) &lt; 200)         then concat(codepoints-to-string(34), ., codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34), ., codepoints-to-string(34), ' . . . ')" />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then exists(ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]) else false() " />
    <xsl:variable name="rating-09-step-5" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-5 " />
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $coloured-background and $coloured-text and not($acceptable-colour) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $coloured-background and $coloured-text and not($acceptable-colour)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Hint<xsl:text /><xsl:value-of select="$rating-09-step-5" /><xsl:text />: TC-Narr-09 step 5: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		with the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> and the styleCodes '<xsl:text /><xsl:value-of select="$foreground" /><xsl:text />'
		and '<xsl:text /><xsl:value-of select="$background" /><xsl:text />' provide coloured text on a coloured background.
		Confirm by manual inspection that clinical information in the text is readable with the colour selection.
		(See the requirement 'The narrative contents SHALL completely and accurately represent the clinical information encoded in the section' in Appendix A of the
		<xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $coloured-background and not($coloured-text) and not($acceptable-colour) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $coloured-background and not($coloured-text) and not($acceptable-colour)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Hint<xsl:text /><xsl:value-of select="$rating-09-step-5" /><xsl:text />: TC-Narr-09 step 5: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		with the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> and the styleCode '<xsl:text /><xsl:value-of select="$background" /><xsl:text />' provides
		<xsl:text /><xsl:value-of select="if ($black-text) then 'black' else if ($white-text) then 'white' else 'coloured' " /><xsl:text /> text on a coloured background.
		Confirm by manual inspection that clinical information in the text is readable with the colour selection.
		(See the requirement 'The narrative contents SHALL completely and accurately represent the clinical information encoded in the section' in Appendix A of the
		<xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and $coloured-text and not($coloured-background) and not($acceptable-colour) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $coloured-text and not($coloured-background) and not($acceptable-colour)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Hint<xsl:text /><xsl:value-of select="$rating-09-step-5" /><xsl:text />: TC-Narr-09 step 5: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		with the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> and the styleCode '<xsl:text /><xsl:value-of select="$foreground" /><xsl:text />' provides a
		coloured foreground on a <xsl:text /><xsl:value-of select="if ($black-background) then 'black' else if ($white-background) then 'white' else 'coloured' " /><xsl:text /> background.
		Confirm by manual inspection that clinical information in the text is readable with the colour selection.
		(See the requirement 'The narrative contents SHALL completely and accurately represent the clinical information encoded in the section' in Appendix A of the
		<xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $white-on-white ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$white-on-white">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Warning<xsl:text /><xsl:value-of select="$rating-09-step-5" /><xsl:text />: TC-Narr-09 step 5: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		with the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> and the styleCode specifies white text on a white background.
		Confirm if the text contains clinical information. If it contains clinical information then the use of the styleCode is an error.
		(See the requirement 'The narrative contents SHALL completely and accurately represent the clinical information encoded in the section' in Appendix A of the
		<xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $black-on-black ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$black-on-black">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Warning<xsl:text /><xsl:value-of select="$rating-09-step-5" /><xsl:text />: TC-Narr-09 step 5: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		with the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> and the styleCode specifies black text on a black background.
		Confirm if the text contains clinical information. If it contains clinical information then the use of the styleCode is an error.
		(See the requirement 'The narrative contents SHALL completely and accurately represent the clinical information encoded in the section' in Appendix A of the
		<xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1104" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1104" />
  <xsl:template match="@*|node()" priority="-2" mode="M1104">
    <xsl:apply-templates select="@*|*" mode="M1104" />
  </xsl:template>
  <!--PATTERN p-TS-Info-3-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//cda:section/cda:entry//   cda:*[local-name(.) = ('externalAct', 'externalDocument', 'externalObservation', 'externalProcedure')]/cda:text/cda:reference[@value]" priority="1000" mode="M1105">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//cda:section/cda:entry//   cda:*[local-name(.) = ('externalAct', 'externalDocument', 'externalObservation', 'externalProcedure')]/cda:text/cda:reference[@value]" />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then exists(ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]) else false() " />
    <xsl:variable name="rating-09-step-13" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-13 " />
    <!--REPORT -->
    <xsl:if test=" not($target-section[cda:text//cda:linkHtml[@href = current()/@value]]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($target-section[cda:text//cda:linkHtml[@href = current()/@value]])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Error<xsl:text /><xsl:value-of select="$rating-09-step-13" /><xsl:text />: TC-Narr-09 step 13: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' with a 'value' attribute with the value
		'<xsl:text /><xsl:value-of select="@value" /><xsl:text />' which is not referenced from the narrative by a linkHtml element. Any '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element referenced from
		an entry element must also be referenced from the narrative of the section using a linkHtml element.
		(See <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide Appendix A 'The narrative contents SHALL completely and accurately represent the clinical information encoded in the
		section' and section 4.3.5.6 of the HL7 CDA R2 specification.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1105" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1105" />
  <xsl:template match="@*|node()" priority="-2" mode="M1105">
    <xsl:apply-templates select="@*|*" mode="M1105" />
  </xsl:template>
  <!--PATTERN p-TS-Info-4-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//cda:section/cda:entry//cda:observationMedia[not(@ID = 'LOGO') and cda:value/cda:reference/@value] " priority="1000" mode="M1106">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//cda:section/cda:entry//cda:observationMedia[not(@ID = 'LOGO') and cda:value/cda:reference/@value] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then exists(ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]) else false() " />
    <xsl:variable name="rating-09-step-14" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-14 " />
    <!--REPORT -->
    <xsl:if test=" not(ancestor::cda:section[cda:text//cda:renderMultiMedia[@referencedObject = current()/@ID]]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(ancestor::cda:section[cda:text//cda:renderMultiMedia[@referencedObject = current()/@ID]])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Error<xsl:text /><xsl:value-of select="$rating-09-step-14" /><xsl:text />: TC-Narr-09 step 14: The
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		has an ID attribute with the value '<xsl:text /><xsl:value-of select="@ID" /><xsl:text />' and a reference to the multimedia document '<xsl:text /><xsl:value-of select="cda:value/cda:reference/@value" /><xsl:text />' but this is not referenced from
		the narrative of the section by a renderMultiMedia element. Any multimedia referenced from an observationMedia element must also be referenced from the
		narrative using a renderMultiMedia element, with the exception of multimedia, such as a logo, that do not contain attested content.
		(See <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide Appendix A 'The narrative contents SHALL completely and accurately represent the clinical information encoded
		in the section' and section 4.3.5.6 of the HL7 CDA R2 specification.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1106" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1106" />
  <xsl:template match="@*|node()" priority="-2" mode="M1106">
    <xsl:apply-templates select="@*|*" mode="M1106" />
  </xsl:template>
  <!--PATTERN p-TS-Info-5-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument[$rendering-1-0]/cda:component/cda:structuredBody/cda:component/cda:section/cda:text//cda:content[@revised]                     |           /cda:ClinicalDocument[$rendering-1-0]/cda:component/cda:structuredBody/cda:component/cda:section/cda:component/cda:section/cda:text//cda:content[@revised]          |           /cda:ClinicalDocument[$rendering-1-0]/cda:component/cda:structuredBody/cda:component/cda:section/cda:component/cda:section/cda:component/cda:section/cda:text//cda:content[@revised]       |           /cda:ClinicalDocument[$rendering-1-0]/cda:component/cda:structuredBody/cda:component/cda:section/cda:component/cda:section/cda:component/cda:section/cda:component//cda:section/cda:text//cda:content[@revised]    " priority="1000" mode="M1107">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument[$rendering-1-0]/cda:component/cda:structuredBody/cda:component/cda:section/cda:text//cda:content[@revised]                     |           /cda:ClinicalDocument[$rendering-1-0]/cda:component/cda:structuredBody/cda:component/cda:section/cda:component/cda:section/cda:text//cda:content[@revised]          |           /cda:ClinicalDocument[$rendering-1-0]/cda:component/cda:structuredBody/cda:component/cda:section/cda:component/cda:section/cda:component/cda:section/cda:text//cda:content[@revised]       |           /cda:ClinicalDocument[$rendering-1-0]/cda:component/cda:structuredBody/cda:component/cda:section/cda:component/cda:section/cda:component/cda:section/cda:component//cda:section/cda:text//cda:content[@revised]    " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then exists(ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]) else false() " />
    <xsl:variable name="rating-09-step-3" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-3 " />
    <!--REPORT -->
    <xsl:if test=" @revised = 'delete' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@revised = 'delete'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Error<xsl:text /><xsl:value-of select="$rating-09-step-3" /><xsl:text />: TC-Narr-09 step 3: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains revision information stating that the text
		'<xsl:text /><xsl:value-of select=" . " /><xsl:text />' has been deleted. With the CDA rendering stylesheets
		in general use the deleted text will be displayed without any indication that the text has been deleted. This fails the test that information in the narrative is presented so the
		reader can understand the meaning and context. All clinical information in entry elements must also be present in the narrative of the section.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @revised = 'insert' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@revised = 'insert'">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-09-step-3" /><xsl:text />: TC-Narr-09 step 3: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains revision information stating that the
		text '<xsl:text /><xsl:value-of select=" . " /><xsl:text />' has been inserted. With the CDA rendering stylesheets
		in general use the inserted text will be displayed without any indication that the text has been inserted. Confirm by manual inspection if the information in the narrative is presented
		so the reader can understand the meaning and context. All clinical information in entry elements must also be present in the narrative of the section.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1107" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1107" />
  <xsl:template match="@*|node()" priority="-2" mode="M1107">
    <xsl:apply-templates select="@*|*" mode="M1107" />
  </xsl:template>
  <!--PATTERN p-TS-Info-6-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//        cda:section[not(cda:code/@codeSystem = '1.2.36.1.2001.1001.101') or         cda:code[not(@code = $section-types/section-type[@codeSystem = '1.2.36.1.2001.1001.101']/@code)]]/        cda:entry//*[(          local-name(.) = 'batchTotalNumber'     or         local-name(.) = 'continuationQuantity'     or         local-name(.) = 'expectedSequenceNumber'    or         local-name(.) = 'initialQuantity'     or         local-name(.) = 'messageWaitingNumber'     or         local-name(.) = 'multipleBirthOrderNumber'    or         local-name(.) = 'positionNumber'     or         local-name(.) = 'priorityNumber'     or         local-name(.) = 'repeatNumber'      or         local-name(.) = 'resultCurrentQuantity'     or         local-name(.) = 'resultRemainingQuantity'    or         local-name(.) = 'resultTotalQuantity'     or         local-name(.) = 'sequenceNumber'     or         local-name(.) = 'startResultNumber'     or         local-name(.) = 'transmissionQuantity'     or         local-name(.) = 'versionNumber'      or         @xsi:type = ('INT', 'REAL')      or          normalize-space(substring-after(@xsi:type, ':')) = ('INT', 'REAL') ) and not(          ancestor::cda:performer   or           ancestor::cda:author   )] " priority="1000" mode="M1108">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//        cda:section[not(cda:code/@codeSystem = '1.2.36.1.2001.1001.101') or         cda:code[not(@code = $section-types/section-type[@codeSystem = '1.2.36.1.2001.1001.101']/@code)]]/        cda:entry//*[(          local-name(.) = 'batchTotalNumber'     or         local-name(.) = 'continuationQuantity'     or         local-name(.) = 'expectedSequenceNumber'    or         local-name(.) = 'initialQuantity'     or         local-name(.) = 'messageWaitingNumber'     or         local-name(.) = 'multipleBirthOrderNumber'    or         local-name(.) = 'positionNumber'     or         local-name(.) = 'priorityNumber'     or         local-name(.) = 'repeatNumber'      or         local-name(.) = 'resultCurrentQuantity'     or         local-name(.) = 'resultRemainingQuantity'    or         local-name(.) = 'resultTotalQuantity'     or         local-name(.) = 'sequenceNumber'     or         local-name(.) = 'startResultNumber'     or         local-name(.) = 'transmissionQuantity'     or         local-name(.) = 'versionNumber'      or         @xsi:type = ('INT', 'REAL')      or          normalize-space(substring-after(@xsi:type, ':')) = ('INT', 'REAL') ) and not(          ancestor::cda:performer   or           ancestor::cda:author   )] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="narr-text-el" select="(for $text in ($target-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="narr-numbers" select="$narr-text-el[. castable as xs:double] " />
    <xsl:variable name="narr-el-present" select="exists($narr-numbers)" />
    <xsl:variable name="num-in-narr" select="@value and exists($narr-numbers[number() = current()/@value])" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-8" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-8 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @value and ancestor::cda:section and not($narr-el-present) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @value and ancestor::cda:section and not($narr-el-present)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step-8" /><xsl:text />: TC-Narr-09 step 8: The 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'.
		<xsl:text /><xsl:value-of select="if (false())    then ' The  data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @value and $narr-el-present and not($num-in-narr or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value and $narr-el-present and not($num-in-narr or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-8" /><xsl:text />: TC-Narr-09 step 8: The 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' which was not found in table data elements of
		the narrative of the section. The data element is in the section with the title '<xsl:text /><xsl:value-of select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]/cda:title" /><xsl:text />'.
		<xsl:text /><xsl:value-of select="if (false())    then ' The  data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1108" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1108" />
  <xsl:template match="@*|node()" priority="-2" mode="M1108">
    <xsl:apply-templates select="@*|*" mode="M1108" />
  </xsl:template>
  <!--PATTERN p-TS-Info-7-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//        cda:section[not(cda:code/@codeSystem = '1.2.36.1.2001.1001.101') or         cda:code[not(@code = $section-types/section-type[@codeSystem = '1.2.36.1.2001.1001.101']/@code)]]/        cda:entry//*[local-name(.) != 'originalText' and           (  @integrityCheckAlgorithm        or                 @xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED' or         @xsi:type = 'ST' or normalize-space(substring-after(@xsi:type, ':')) = 'ST'  ) and not(        ancestor::ext:assigningGeographicArea or        ancestor::cda:performer   or         ancestor::cda:author   )] " priority="1000" mode="M1109">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//        cda:section[not(cda:code/@codeSystem = '1.2.36.1.2001.1001.101') or         cda:code[not(@code = $section-types/section-type[@codeSystem = '1.2.36.1.2001.1001.101']/@code)]]/        cda:entry//*[local-name(.) != 'originalText' and           (  @integrityCheckAlgorithm        or                 @xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED' or         @xsi:type = 'ST' or normalize-space(substring-after(@xsi:type, ':')) = 'ST'  ) and not(        ancestor::ext:assigningGeographicArea or        ancestor::cda:performer   or         ancestor::cda:author   )] " />
    <xsl:variable name="l-text-1" select="replace(string-join(text(), ' '), '^[0-9]*xsitype(ED|ST)', '')" />
    <xsl:variable name="l-text-2" select="if (matches($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', 's'))         then replace($l-text-1, '^(.*?\s*DisplayName:)(.*?)(,?\s*Comments:.*)$', '$2', 's')        else if (matches($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', 's')) then replace($l-text-1, '^(.*?)(,?\s*Effective Date:.*?)$', '$1', 's')        else $l-text-1 " />
    <xsl:variable name="l-text" select="normalize-space(lower-case($l-text-2))" />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="normalised-text-orig" select="normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$normalised-text != '' and not(matches($normalised-text, $regex-non-values, 'is')) " />
    <xsl:variable name="info-to-find" select="$text-to-find or @nullFlavor " />
    <xsl:variable name="target-section" select="if (not($info-to-find)) then () else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="if (not($info-to-find)) then () else translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (not($info-to-find)) then ()         else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-to-find and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($info-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-match" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$info-to-find and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="display-text-1" select=" normalize-space(.) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="markup-in-narrative" select="if ($narrative != '' and matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if ($narrative != '' and matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="debug-text" select="if ($flags/@allow-debug != 'true') then ''        else if (string-length($normalised-text) &lt; 1000)         then concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          substring(dh:XQueryRecursiveReplace($normalised-text, $markup-pattern-replacement, 'ic'), 1, 1000), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-7" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-7 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-Text): The  '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the normalised text <xsl:text /><xsl:value-of select="$debug-text" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and not(false() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and not(false() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (false())    then ' The  data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-to-find and not($text-match or $no-content) and false() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-to-find and not($text-match or $no-content) and false() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The  data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and not(false())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $info-to-find and not($text-match or $null-in-narr) and false() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $info-to-find and not($text-match or $null-in-narr) and false()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-7" /><xsl:text />: TC-Narr-09 step 7: The 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> but this is not present in the narrative of the section.
		The  data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1109" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1109" />
  <xsl:template match="@*|node()" priority="-2" mode="M1109">
    <xsl:apply-templates select="@*|*" mode="M1109" />
  </xsl:template>
  <!--PATTERN p-TS-Info-8-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//        cda:section[not(cda:code/@codeSystem = '1.2.36.1.2001.1001.101') or         cda:code[not(@code = $section-types/section-type[@codeSystem = '1.2.36.1.2001.1001.101']/@code)]]/         cda:entry//*[(@codeSystem or @xsi:type = ('CD', 'CE', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CV')) and not(        ancestor::cda:translation  or        ancestor::ext:assigningGeographicArea or        ancestor::cda:performer   or         ancestor::cda:author   )]        [not(@codeSystem = ('1.2.36.1.2001.1001.100',               '1.2.36.1.2001.1001.101.100',               '1.2.36.1.2001.1001.101.101',               '1.2.36.1.2001.1001.101.102',               '1.2.36.1.2001.1001.101.103',              '1.2.36.1.2001.1001.101.104',               '1.2.36.1.2001.1001.101.105',               '1.2.36.1.2001.1001.101',               '1.2.36.1.2001.1001.102',               '1.2.36.1.2001.1001.103',               '1.2.36.1.2001.1001.104',               '1.2.36.1.2001.1007'  ))]        [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]        [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and          matches(cda:originalText, $family-regex, 'is'))))] " priority="1000" mode="M1110">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//        cda:section[not(cda:code/@codeSystem = '1.2.36.1.2001.1001.101') or         cda:code[not(@code = $section-types/section-type[@codeSystem = '1.2.36.1.2001.1001.101']/@code)]]/         cda:entry//*[(@codeSystem or @xsi:type = ('CD', 'CE', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CV')) and not(        ancestor::cda:translation  or        ancestor::ext:assigningGeographicArea or        ancestor::cda:performer   or         ancestor::cda:author   )]        [not(@codeSystem = ('1.2.36.1.2001.1001.100',               '1.2.36.1.2001.1001.101.100',               '1.2.36.1.2001.1001.101.101',               '1.2.36.1.2001.1001.101.102',               '1.2.36.1.2001.1001.101.103',              '1.2.36.1.2001.1001.101.104',               '1.2.36.1.2001.1001.101.105',               '1.2.36.1.2001.1001.101',               '1.2.36.1.2001.1001.102',               '1.2.36.1.2001.1001.103',               '1.2.36.1.2001.1001.104',               '1.2.36.1.2001.1007'  ))]        [(@code and not(@code = '')) or (cda:originalText and not(normalize-space(cda:originalText) = ''))]        [not(cda:originalText and (string-length(cda:originalText) &gt; $length-err-max or ($family-regex != '' and          matches(cda:originalText, $family-regex, 'is'))))] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="sec-target-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text else () " />
    <xsl:variable name="text-sequence" select="($target-title, $fir-narr-node//text(), $sec-narr-node//text()) " />
    <xsl:variable name="narr-text-el" select="(for $text in $text-sequence return normalize-space(lower-case($text)))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="originalText" select="if (local-name(.) != 'translation' and cda:originalText) then normalize-space(cda:originalText)        else if (local-name(.) = 'translation' and ../cda:originalText) then normalize-space(../cda:originalText)        else '' " />
    <xsl:variable name="displayName" select="if (@displayName) then replace(@displayName, $char-escape-regex, '') else '' " />
    <xsl:variable name="l-text" select="if ($originalText != '') then normalize-space(lower-case($originalText)) else normalize-space(lower-case($displayName)) " />
    <xsl:variable name="text-without-markup" select="normalize-space(replace($l-text, $confirmed-markup-regex, ' ', 'is'))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-wom-found" select="exists($narr-text-el[. = $text-without-markup]) " />
    <xsl:variable name="ss-success" select="$text-found or $text-wom-found " />
    <xsl:variable name="normalised-text-orig" select="if ($ss-success) then '' else normalize-space(translate($text-without-markup, $chars-to-remove, '')) " />
    <xsl:variable name="normalised-text" select="if ($ss-success) then '' else normalize-space(translate(dh:XQueryRecursiveReplace(normalize-space(translate($text-without-markup, $chars-no-space, '')),         $fixed-text-pattern, 'ic'), $chars-to-remove, '')) " />
    <xsl:variable name="text-to-find" select="$ss-success or (matches($normalised-text, '\w', 'is') and not(matches($normalised-text, $regex-non-values, 'is'))) " />
    <xsl:variable name="narrative-1" select="if ($ss-success or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(($target-title, $narr-text-el), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-1" select="$text-to-find and ($ss-success or contains($narrative-1, $normalised-text-orig))" />
    <xsl:variable name="narrative-2" select="if ($text-match-1 or not($text-to-find)) then $narrative-1 else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in ($target-title, $narr-text-el) return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-match-2" select="$text-to-find and ($text-match-1 or contains($narrative-2, $normalised-text))" />
    <xsl:variable name="fir-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-2" select="if ($text-match-2 or not($text-to-find)) then '' else        normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-3" select="if ($text-match-2 or not($text-to-find)) then $narrative-2 else concat($target-title, $fir-narr-2, $sec-narr-2)" />
    <xsl:variable name="text-match-3" select="$text-to-find and ($text-match-2 or contains($narrative-3, $normalised-text))" />
    <xsl:variable name="fir-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $fir-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="sec-narr-3" select="if ($text-match-3 or not($text-to-find)) then '' else       normalize-space(translate(normalize-space(lower-case(string-join(for $text in $sec-narr-node//text()[not(ancestor::cda:th or ancestor::cda:caption or        ancestor::cda:linkHtml or ancestor::cda:renderMultiMedia)] return       dh:XQueryRecursiveReplace(normalize-space(translate($text, $chars-no-space, '')), $fixed-text-pattern, 'ic'), ''))), $chars-to-remove, ''))" />
    <xsl:variable name="narrative-4" select="if ($text-match-3 or not($text-to-find)) then $narrative-3 else concat($target-title, $fir-narr-3, $sec-narr-3)" />
    <xsl:variable name="text-in-narr" select="$text-to-find and ($text-match-3 or contains($narrative-4, $normalised-text))" />
    <xsl:variable name="narrative" select="if ($narrative-4 != '') then $narrative-4 else if ($narrative-3 != '') then $narrative-3 else if ($narrative-2 != '') then $narrative-2        else if ($narrative-1 != '') then $narrative-1 else '' " />
    <xsl:variable name="word-sequence-1" select="if ($text-in-narr) then () else ($target-section/cda:title, $fir-narr-node//text(), $sec-narr-node//text())  " />
    <xsl:variable name="word-sequence-2" select="distinct-values((for $i in (1 to count($word-sequence-1)) return normalize-space(replace(replace(replace(replace(        translate(normalize-space(lower-case(replace($word-sequence-1[$i], $char-escape-regex, ''))), $chars-no-space, ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1')))[normalize-space(.) != ''])" />
    <xsl:variable name="word-sequence-3" select="for $i in (1 to count($word-sequence-2)) return replace($word-sequence-2[$i], '\s+', '') " />
    <xsl:variable name="code" select="if ($text-in-narr) then '' else if (@code) then @code else ''  " />
    <xsl:variable name="codeSystem" select="if ($text-in-narr) then '' else if (@codeSystem) then @codeSystem else ''  " />
    <xsl:variable name="codeSystemName" select="if ($text-in-narr) then '' else if (@codeSystemName) then @codeSystemName else ''  " />
    <xsl:variable name="codeSystemVersion" select="if ($text-in-narr) then '' else if (@codeSystemVersion) then @codeSystemVersion else '' " />
    <xsl:variable name="codesystemvalues" select="if ($text-in-narr) then () else $code-systems/system[@codeSystem = $codeSystem]" />
    <xsl:variable name="codevalues" select="if ($text-in-narr) then () else $codesystemvalues/code[@code = $code] " />
    <xsl:variable name="related-term-source" select="if ($text-in-narr) then ()         else ($codevalues, $codesystemvalues/rcpa[@code = $code],          if ($codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $code] else (),          if ($codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $code] else (),          $codesystemvalues/related-terms[@code = $code]) " />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize($related-term-source/@rcpa-terms, '\|'), tokenize($related-term-source/@related-terms, '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms)) then tokenize($related-term-source/@rcpa-terms, '\|')        else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms) then tokenize($related-term-source/@related-terms, '\|')        else () " />
    <xsl:variable name="otext-without-markup" select="if ($text-in-narr) then '' else replace($originalText, $confirmed-markup-regex, '', 'is') " />
    <xsl:variable name="otext-to-find" select="matches($otext-without-markup, '[0-9a-z]', 'is') " />
    <xsl:variable name="original-text" select="if ($text-in-narr) then '' else replace($otext-without-markup, $char-escape-regex, '') " />
    <xsl:variable name="synonyms-1" select="if (exists($codevalues)) then distinct-values(($original-text, $displayName, $related-terms, $codevalues/@displayName,          tokenize(replace($codevalues/@synonyms, '\[[0-9]+\]', ''), '\|')))[normalize-space(.) != '']        else distinct-values(($original-text, $displayName, $related-terms))[normalize-space(.) != ''] " />
    <xsl:variable name="synonyms-2" select="distinct-values(for $i in (1 to count($synonyms-1)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-1[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-3" select="$synonyms-2[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-4" select="$synonyms-2[contains(., ' ')] " />
    <xsl:variable name="synonyms-5" select="for $i in (1 to count($synonyms-4)) return replace($synonyms-4[$i], '\s+', '') " />
    <xsl:variable name="single-word-1" select="exists($synonyms-3) " />
    <xsl:variable name="multi-word-1" select="exists($synonyms-5) " />
    <xsl:variable name="s-word-search-1" select="if (not($single-word-1)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-3)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-3[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-1" select="exists(index-of($s-word-search-1, true()))  " />
    <xsl:variable name="m-word-search-1" select="if (not($multi-word-1)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-5)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-5[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-1" select="exists(index-of($m-word-search-1, true()))  " />
    <xsl:variable name="phase-1-success" select="$text-in-narr or $s-word-match-1 or $m-word-match-1 " />
    <xsl:variable name="v-amtv2-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($codeSystemVersion)) then $v-latest-amtv2        else if (exists($v-amtv2[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbs        else if (exists($v-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if ($phase-1-success or not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($codeSystemVersion)) then $v-latest-pbsman        else if (exists($v-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else '' " />
    <xsl:variable name="snomed-id" select="if ($phase-1-success) then ''        else if (not($codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($codeSystemVersion)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="ts-snomed-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.96') or not($use-ts-for-sctau)) then ''        else if (not($codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = $codeSystemVersion])) then $codeSystemVersion        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = $codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if ($phase-1-success or not($codeSystem = '2.16.840.1.113883.6.1') or not($use-ts-for-loinc)) then ''        else if (not($codeSystemVersion)) then $ts-latest-loinc        else if (exists($ts-loinc[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.22') or not($use-ts-for-pbs)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbs        else if (exists($ts-pbs[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if ($phase-1-success or not($codeSystem = '1.2.36.1.2001.1005.23') or not($use-ts-for-pbsman)) then ''        else if (not($codeSystemVersion)) then $ts-latest-pbsman        else if (exists($ts-pbsman[. = $codeSystemVersion])) then $codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-version" select="if ($ts-snomed-version != '') then $ts-snomed-version        else if ($ts-loinc-version != '') then $ts-loinc-version        else if ($ts-pbs-version != '') then $ts-pbs-version        else if ($ts-pbsman-version != '') then $ts-pbsman-version        else '' " />
    <xsl:variable name="use-terminology-server" select="if ($phase-1-success or exists($codevalues)) then false()        else (         ($codeSystem = '2.16.840.1.113883.6.96' and matches($code, $snomed-code-regex) and $use-ts-for-sctau)   or         ($codeSystem = '2.16.840.1.113883.6.1' and matches($code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex) and $use-ts-for-pbs)   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex) and $use-ts-for-pbsman)   ) " />
    <xsl:variable name="use-validator" select="if ($phase-1-success or exists($codevalues) or $use-terminology-server) then false()        else (         ($codeSystem = '1.2.36.1.2001.1004.100' and matches($code, $amtv2-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.22' and matches($code, $pbs-code-regex))   or         ($codeSystem = '1.2.36.1.2001.1005.23' and matches($code, $pbsman-code-regex))   ) " />
    <xsl:variable name="ts-codeSystem" select="if (not($use-terminology-server)) then '' else $codeSystem " />
    <xsl:variable name="db-synonyms-1" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '2.16.840.1.113883.6.1')         then dh:FindPreferredTermUsingTS($code, $codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $db-synonyms-1 " />
    <xsl:variable name="db-synonyms-2" select="if ($phase-1-success or exists($codevalues)) then ''        else if ($use-terminology-server and $codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if ($use-terminology-server) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($code, $ts-codeSystem, $ts-version))        else if ($use-validator) then substring-before(dh:FindPreferredTermAndCaseSignificance($code, $codeSystem, $v-term-version), '|')        else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or ($use-terminology-server and 'Error' = $db-synonyms-2) " />
    <xsl:variable name="synonyms-6" select="if ($error-usingTS-1) then () else tokenize($db-synonyms-2, '\|')" />
    <xsl:variable name="synonyms-7" select="if (@codeSystem = '2.16.840.1.113883.6.96' and          count((for $synonym in $synonyms-6 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)        then (tokenize($db-synonyms-1, '\|'), for $synonym in $synonyms-6 return normalize-space(replace($synonym, '\([a-z ]+\)$', '')))        else (tokenize($db-synonyms-1, '\|'), $synonyms-6) " />
    <xsl:variable name="synonyms-8" select="distinct-values(for $i in (1 to count($synonyms-7)) return normalize-space(replace(replace(replace(replace(        translate(translate(normalize-space(lower-case($synonyms-7[$i])), $chars-no-space, ''), codepoints-to-string((38)), ''),         '([0-9])([a-z])', '$1 $2'), '([a-z])([0-9])', '$1 $2'), '([a-z]{3,})s ', '$1 '), '([a-z]{3,})s$', '$1'))[. != '']) " />
    <xsl:variable name="synonyms-9" select="$synonyms-8[not(contains(., ' '))] " />
    <xsl:variable name="synonyms-10" select="$synonyms-8[contains(., ' ')] " />
    <xsl:variable name="synonyms-11" select="for $i in (1 to count($synonyms-10)) return replace($synonyms-10[$i], '\s+', '') " />
    <xsl:variable name="single-word-2" select="count($synonyms-9) &gt; 0 " />
    <xsl:variable name="multi-word-2" select="count($synonyms-11) &gt; 0 " />
    <xsl:variable name="s-word-search-2" select="if (not($single-word-2)) then ()          else for $i in (1 to count($word-sequence-2)) return (         for $j in (1 to count($synonyms-9)) return count(index-of(exists(          tokenize($word-sequence-2[$i], '\s+')[normalize-space(.) != '' and . = $synonyms-9[$j]]), true())) &gt; 0)" />
    <xsl:variable name="s-word-match-2" select="count(index-of($s-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="m-word-search-2" select="if (not($multi-word-2)) then ()          else for $i in (1 to count($word-sequence-3)) return (         for $j in (1 to count($synonyms-11)) return count(index-of(exists(          $word-sequence-3[$i][normalize-space(.) != '' and contains(., $synonyms-11[$j])]), true())) &gt; 0)" />
    <xsl:variable name="m-word-match-2" select="count(index-of($m-word-search-2, true())) &gt; 0  " />
    <xsl:variable name="phase-2-success" select="$s-word-match-2 or $m-word-match-2 " />
    <xsl:variable name="synonym-to-find" select="$single-word-1 or $multi-word-1 or $single-word-2 or $multi-word-2 " />
    <xsl:variable name="synonym-found" select="$phase-1-success or $phase-2-success " />
    <xsl:variable name="text-match" select="$text-in-narr or $synonym-found " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="display-otext-NF" select="if (not(cda:originalText) or not(cda:originalText/@nullFlavor)) then ''        else concat('originalText/nullFlavor ', codepoints-to-string(34), cda:originalText/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/cda:originalText/@nullFlavor]/@name, ')') " />
    <xsl:variable name="display-otext-1" select="if ($originalText = '') then '' else if (string-length($originalText) &lt; 200)         then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($originalText, $text-pattern-replacement, 'ic')),          codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($originalText, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-otext" select="if ($originalText != '' and cda:originalText/@nullFlavor)          then concat($display-otext-1, ' and ', $display-otext-NF)        else if ($originalText != '' and not(cda:originalText/@nullFlavor)) then $display-otext-1        else if ($originalText = '' and cda:originalText/@nullFlavor) then $display-otext-NF        else if ($originalText = '' and cda:originalText) then 'originalText with no value'        else '' " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('nullFlavor ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-dname" select="concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($displayName, $markup-pattern-replacement, 'ic')),         codepoints-to-string(34)) " />
    <xsl:variable name="display-code-1" select="if (cda:originalText and $code != '' and $displayName != '')         then concat('originalText ', $display-otext, ', code ', codepoints-to-string(34), $code, codepoints-to-string(34),          ' and displayName ', $display-dname)         else if (cda:originalText and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (cda:originalText and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('originalText ', $display-otext, ' and code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (',           $codevalues/@displayName, ')')         else if (not(cda:originalText) and $code != '' and $displayName != '')          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' and displayName ', $display-dname)         else if (not(cda:originalText) and $code != '' and $displayName = '' and not($codevalues/@displayName))          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34))         else if (not(cda:originalText) and $code != '' and $displayName = '' and $codevalues/@displayName)          then concat('code ', codepoints-to-string(34), $code, codepoints-to-string(34), ' (', $codevalues/@displayName, ')')         else if (cda:originalText and $code = '' and $displayName = '') then concat('originalText ', $display-otext)         else if (cda:originalText and $code = '' and $displayName != '') then concat('originalText ', $display-otext, ' and displayName ', $display-dname)        else if (normalize-space(cda:originalText) = '' and $code = '' and $displayName != '') then concat('displayName ', $display-dname)         else '' " />
    <xsl:variable name="display-code" select="if ($display-nullFlavor = '') then $display-code-1        else if ($display-code-1 = '') then $display-nullFlavor        else concat($display-code-1, ' and ', $display-nullFlavor) " />
    <xsl:variable name="display-system" select="if ($codeSystem and $codeSystemName)          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34), ' (', $codeSystemName, ')')         else if ($codeSystem and not($codeSystemName))          then concat(' from codeSystem ', codepoints-to-string(34), $codeSystem, codepoints-to-string(34))         else '' " />
    <xsl:variable name="multimedia" select="exists($target-section/cda:text//cda:renderMultiMedia) or exists($sec-target-section/cda:text//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-section/cda:text//cda:linkHtml) or exists($sec-target-section/cda:text//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="markup-in-narrative" select="if (matches($narrative, $confirmed-markup-regex, 'is') and $text-without-markup != $l-text)         then normalize-space(' The narrative and the text data element both contain character entity references. These were removed from the   text data element before it was compared to the narrative so that may be the reason for the mismatch. Confirm that   the inclusion of character entity references in the narrative is valid. (See https://dev.w3.org/html5/html-author/charref for a list of character entity references.)') else ''" />
    <xsl:variable name="entities-in-narrative" select="if (matches($narrative, '(&lt;)|(&gt;)') and matches(string-join(text(), ''),         concat('(', $example2-markup-type-2, ')|(', $example3-markup-type-2, ')|(', $example2-markup-type-4, ')|(', $example3-markup-type-4, ')')))         then normalize-space(' The narrative contains one or more XML predefined entities and the data element contains markup derived from the XML        predefined entities. Markup was removed from the data element before it was compared to the narrative so that may be the reason for        the mismatch. Any XML predefined entities in the narrative should also be present in the data element. (See section 4.6 of Extensible Markup        Language (XML) 1.0 (Fifth Edition), https://www.w3.org/TR/xml/#sec-predefined-ent for information about XML predefined entities.)') else ''" />
    <xsl:variable name="invalid-terms" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = ('1.2.36.1.2001.1001.101.104.16299', '1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594'))          then ($codesystemvalues/code[@code != $code]/@displayName,                $codesystemvalues/code[@code != $code]/@synonyms,               $codesystemvalues/code[@code != $code]/@related-terms)         else () " />
    <xsl:variable name="invalid-regex" select="if (exists($invalid-terms)) then concat('^(', dh:XQueryRecursiveReplace(string-join($invalid-terms, '|'),  $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="invalid-narr-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return if (matches($text, $invalid-regex, 'is')) then $text          else '')[. != '']) " />
    <xsl:variable name="related-codeSystem" select="if ($text-match or $no-content or $code = '' or $multimedia) then ()        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1001.101.104.16592'] else () " />
    <xsl:variable name="related-code-regex" select="if (exists($related-codeSystem)) then concat('^(', dh:XQueryRecursiveReplace(string-join(        ($related-codeSystem/code/@displayName, $related-codeSystem/code/@synonyms, $related-codeSystem/code/@related-terms), '|'),         $space-meta-pattern, ''), ')$') else '' " />
    <xsl:variable name="related-code-text" select="if ($invalid-regex = '' or not(exists($word-sequence-1))) then ()         else distinct-values((for $text in $word-sequence-1 return          if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594' and $related-code-regex != '' and matches($text, $related-code-regex, 'is'))           then $text         else '')[. != '']) " />
    <xsl:variable name="text-error" select="count($invalid-narr-text) = 1 and not($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended' and         exists($target-section/cda:entry//*[@codeSystem = '1.2.36.1.2001.1001.101.104.16501' and @code = '4']))" />
    <xsl:variable name="text-error-msg-1" select="if (not($text-error)) then ''        else $codesystemvalues/code[matches(string-join((@displayName, @synonyms, @related-terms), '|'),         concat('(^|\|)\s*(', dh:XQueryRecursiveReplace($invalid-narr-text[1], $space-meta-pattern, ''), ')\s*(\||$)'), 'i')]/@explanation" />
    <xsl:variable name="text-error-msg" select="if ($text-error-msg-1 = '') then ''        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The narrative means ', $text-error-msg-1, '.')         else $text-error-msg-1 " />
    <xsl:variable name="test-step" select="if (cda:originalText) then 'step 7'         else if (not(@displayName)) then 'step 11'        else if (@codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'step 12'         else 'step 10' " />
    <xsl:variable name="step-id" select="if (cda:originalText) then 'TC-Narr-09-step-7'        else if (not(@displayName)) then 'TC-Narr-09-step-11'        else if ($codeSystem = '1.2.36.1.2001.1001.101.104.16299') then 'TC-Narr-09-step-12'        else 'TC-Narr-09-step-12' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step" select="if ($initial-priority) then $initial-rating        else if ($step-id = 'TC-Narr-09-step-7' and $normalised-text-orig != '' and matches($normalised-text-orig, $regex-non-values, 'is'))         then $rating-noProperValue-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-7') then $rating-TC-Narr-09-step-7       else if ($step-id = 'TC-Narr-09-step-10') then $rating-TC-Narr-09-step-10       else if ($step-id = 'TC-Narr-09-step-11') then $rating-TC-Narr-09-step-11       else if ($step-id = 'TC-Narr-09-step-12') then $rating-TC-Narr-09-step-12       else '' " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-Info" select="if ($initial-priority) then $initial-rating else $rating-TS-Info " />
    <xsl:variable name="debug-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-3)) return         dh:XQueryRecursiveReplace($synonyms-3[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-1" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-5)) return         dh:XQueryRecursiveReplace($synonyms-5[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-7)) return         dh:XQueryRecursiveReplace($synonyms-7[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-9)) return         dh:XQueryRecursiveReplace($synonyms-9[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-synonym-2" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($synonyms-11)) return         dh:XQueryRecursiveReplace($synonyms-11[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-s-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-2)) return         dh:XQueryRecursiveReplace($word-sequence-2[$i], $markup-pattern-replacement, 'ic') " />
    <xsl:variable name="debug-m-narr" select="if ($flags/@allow-debug != 'true') then '' else for $i in (1 to count($word-sequence-3)) return         dh:XQueryRecursiveReplace($word-sequence-3[$i], $markup-pattern-replacement, 'ic') " />
    <!--REPORT -->
    <xsl:if test=" $db-synonyms-2 = 'Error' and $use-validator ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$db-synonyms-2 = 'Error' and $use-validator">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function FindPreferredTermAndCaseSignificance with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'FindPreferredTermUsingTS' else 'GetAllSynonymsForCodeUsingTS' " /><xsl:text /> with code
		'<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'.
		The analysis should be retried as the terminology server may have been temporarily unavailable. 
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.96'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $db-synonyms-2 != '' and not($error-usingTS-1) and $codeSystem = '2.16.840.1.113883.6.1'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The Terminology Server returned synonyms for the code '<xsl:text /><xsl:value-of select="$code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-loinc-version" /><xsl:text />'. The synonyms that were found are '<xsl:text /><xsl:value-of select="$db-synonyms-2" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 7 (p-TS-Info-CD): The  '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($l-text, $markup-pattern-replacement, 'ic')" /><xsl:text />' or a synonymous term in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-1 and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-1 and not($s-word-match-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Narr-09 (p-TS-Info-CD): The 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The following synonyms (including the originalText) were used in the first phase of the search: '<xsl:text /><xsl:value-of select="string-join($debug-synonym-1, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-1, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the first phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-1" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $single-word-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $single-word-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a single word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-s-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-s-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$s-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $multi-word-2 and not($s-word-match-2)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The following synonyms were used in the second phase of the search:
		'<xsl:text /><xsl:value-of select="string-join($debug-synonym-2, '|')" /><xsl:text />'.
		The synonyms used for a multi word synonym search are '<xsl:text /><xsl:value-of select="string-join($debug-m-synonym-2, '|')" /><xsl:text />'.
		The sequence of narrative text is '<xsl:text /><xsl:value-of select="string-join($debug-m-narr, '|')" /><xsl:text />'.
		Was a synonymous term found in the second phase of the search? <xsl:text /><xsl:value-of select="$m-word-match-2" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $text-to-find and not($synonym-found)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 (p-TS-Info-CD): The 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		Is the text in the narrative? <xsl:text /><xsl:value-of select="$text-in-narr" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and   (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and not($synonym-found or $text-error or $no-content) and (not($codeSystem = '1.2.36.1.2001.1001.101.104.16299') or ($codeSystem = '1.2.36.1.2001.1001.101.104.16299' and not($code = '03')))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a
		similar meaning. Confirm that the  has been included in the narrative perhaps using other text with the same meaning.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the  data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16299') then '' else if ($code = '01') then    ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 and the FAQ on Proper use of ''none known'' in global exclusion statements.)'   else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($codeSystem != '1.2.36.1.2001.1001.101.104.16594') then ''   else if (count($related-code-text) &gt; 1) then concat(' The narrative contains the text ''',  string-join($related-code-text, ''', '''),    ''' which describe types of changes to medication but the narrative does not state if they have been recommended or confirmed.')   else if (count($related-code-text) = 1) then concat(' The narrative contains the text ''',  $related-code-text[1],    ''' which describes a type of change to the medication but the narrative does not state if that has been recommended or confirmed.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('', ' ', '\\s*'),')\s*are\s*supplied'), 'is')]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($otext-to-find) and $synonym-to-find and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not($text-error or $synonym-found or $no-content or $narr-text-el[matches(., concat('no\s*(',replace('', ' ', '\\s*'),')\s*are\s*supplied'), 'is')])">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the value of the displayName attribute or text with the
		same meaning. Confirm by manual inspection that information with the same meaning has been listed in the narrative.
		All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the  data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text /> (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and not(false() and not($multimedia)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and not(false() and not($multimedia))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not seem to contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (false())    then ' The  data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $otext-to-find and not($text-match or $text-error or $no-content) and false() and not($multimedia) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$otext-to-find and not($text-match or $text-error or $no-content) and false() and not($multimedia)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an originalText with the term <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text /> but the narrative of the section
		does not contain this term or any synonymous terms.
		<xsl:text /><xsl:value-of select="if (false())    then ' The  data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section. The originalText element is required to be the text seen or selected
		by the user who entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$markup-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$entities-in-narrative" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and   $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and    not(exists($narr-text-el[matches(., concat('no\s*(',replace('', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $synonym-to-find and not($text-error or $no-content) and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' and $code = '03' and not(exists($narr-text-el[matches(., concat('no\s*(',replace('', ' ', '\\s*'),')(\s*are\s*|\s*)(supplied|provided)'), 'is')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-None-Supplied" /><xsl:text />: (READABILITY): The 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> which is a "none supplied" exclusion statement.
		The statement '<xsl:text /><xsl:value-of select="string-join(for $text in tokenize('', '\|') return concat('No ', $text, ' are supplied'), ''' or ''')" /><xsl:text />' was expected to be in the narrative of the section but it was not found.
		(See requirement CLD.05 in My Health Record Usability Recommendations v1.3.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and $normalised-text != '' and not($synonym-found or $text-error or $no-content) and $text-match and $code = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Concept Descriptor (CD) data type which describes a concept where the concept might be
		represented as either a code or text. The  data element has originalText <xsl:text /><xsl:value-of select="$display-otext" /><xsl:text />
		which may describe a set of concepts rather than a single concept. The value of an originalText element may consist of a concept description with qualifying information but a set of concepts
		needs to be represented using a set of data elements in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		A data element of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		Confirm if the data element describes one concept or a set of concepts. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 2.1.3 of Representing Coding in CDA Documents: Implementation Guidance, Version 1.0.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'UNK') and not($text-error or $null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.
		<xsl:text /><xsl:value-of select="if (false())    then ' The  data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = '1.2.36.1.2001.1001.101.104.16299'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="$codevalues/@explanation" /><xsl:text /> 
		In contrast the narrative contains the '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />' exclusion statement. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($code = '01') then concat(' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 ',    'and the FAQ on Proper use of ''none known'' in global exclusion statements.)')    else ' (See section 2.1 of Clinical Documents My Health Record Usability Recommendations v1.4 .)'" /><xsl:text /><xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$text-error and $codeSystem = ('1.2.36.1.2001.1001.101.104.16501', '1.2.36.1.2001.1001.101.104.16594')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain the displayName or any text with a similar meaning and contains conflicting information instead. <xsl:text /><xsl:value-of select="   if ($codeSystem = '1.2.36.1.2001.1001.101.104.16594') then concat('The value of the  data element means ', $codevalues/@explanation, '.')    else $codevalues/@explanation " /><xsl:text />
		In contrast the narrative contains '<xsl:text /><xsl:value-of select="$invalid-narr-text[1]" /><xsl:text />'. <xsl:text /><xsl:value-of select="$text-error-msg" /><xsl:text />
		All clinical information in entry elements must also be present in the narrative and the two must not conflict.
		<xsl:text /><xsl:value-of select="if ($codeSystem = '1.2.36.1.2001.1001.101.104.16501' and $code = '3' and $invalid-narr-text[1] = 'Amended') then    ' In this case the final test result is in the entry elements whereas the narrative contains an ammended test result, i.e. a test result that is more recent than the final test result.'    else '' " /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and false() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and false()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		The  data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and not($text-match or $null-in-narr) and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and not($text-match or $null-in-narr) and not(false())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />.
		The narrative of the section does not contain any text with a similar meaning.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and not(@codeSystem) and not(@displayName or cda:originalText)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-step" /><xsl:text />: TC-Narr-09 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: The 
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />. This data element has a code without a displayName, codeSystem or originalText element.
		In the absence of this additional information it has not been possible to confirm if the concept described by the code is present in the narrative. Confirm by manual inspection that the concept described by the code is
		recorded in the narrative of the section. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1110" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1110" />
  <xsl:template match="@*|node()" priority="-2" mode="M1110">
    <xsl:apply-templates select="@*|*" mode="M1110" />
  </xsl:template>
  <!--PATTERN p-TS-Info-9-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//        cda:section[not(cda:code/@codeSystem = '1.2.36.1.2001.1001.101') or         cda:code[not(@code = $section-types/section-type[@codeSystem = '1.2.36.1.2001.1001.101']/@code)]]/        cda:entry//*[@unit and not(local-name(.) = 'low' or local-name(.) = 'high')] " priority="1000" mode="M1111">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//        cda:section[not(cda:code/@codeSystem = '1.2.36.1.2001.1001.101') or         cda:code[not(@code = $section-types/section-type[@codeSystem = '1.2.36.1.2001.1001.101']/@code)]]/        cda:entry//*[@unit and not(local-name(.) = 'low' or local-name(.) = 'high')] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="narr-text-el" select="(for $text in ($target-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="a-quantity-range" select="local-name(.) = 'low' or local-name(.) = 'high' " />
    <xsl:variable name="normalised-value" select="if (@value) then replace(lower-case(@value), '\s+', '') else '' " />
    <xsl:variable name="normalised-value-regex" select="if (not(contains($normalised-value, '.'))) then concat('(', $normalised-value, '|', $normalised-value, '\.0*)')        else if (ends-with($normalised-value, '0')) then replace(replace($normalised-value, '\.', '\\.'), '0+$', '0*')        else concat(replace($normalised-value, '\.', '\\.'), '0*') " />
    <xsl:variable name="value-regex" select="if ($normalised-value = '') then ''         else concat('(^|[^0-9])', $normalised-value-regex, '([^0-9]*$|\s+.*$)') " />
    <xsl:variable name="tables" select="$target-narr-node//cda:table " />
    <xsl:variable name="table-num" select="count($tables) " />
    <xsl:variable name="value-regex-3" select="if ($normalised-value = '' or not(exists($tables))) then ''         else concat('(^|[^0-9])', $normalised-value-regex, '([^0-9]+$|\s+.+$)') " />
    <xsl:variable name="table-value-match" select="if ($normalised-value = '' or not(exists($tables))) then () else for $i in (1 to $table-num) return         if (not($tables[$i]//cda:td[matches(., $value-regex, 'is')])) then '0'        else if ($tables[$i]//cda:td[matches(., $value-regex-3, 'is')]) then '3'        else if ($tables[$i]//cda:td[replace(lower-case(.), '\s+', '') = $normalised-value]) then '2'        else '1' " />
    <xsl:variable name="unit-1" select="dh:XQueryRecursiveReplace(@unit, $ucum-annotation-replacement, '')" />
    <xsl:variable name="unit-2" select="if ($a-quantity-range) then dh:XQueryRecursiveReplace(../@unit, $ucum-annotation-replacement, '') else '' " />
    <xsl:variable name="unit" select="if (not($a-quantity-range) or $unit-2 = '') then $unit-1        else if ($unit-1 = '1' and $unit-2 != '1') then $unit-2         else $unit-1 " />
    <xsl:variable name="normalised-unit" select="replace(lower-case($unit), '\s+', '') " />
    <xsl:variable name="unit-validation" select="if ($unit = '1' or exists($UCUM/unit[@value = $normalised-unit])) then '' else dh:ValidateUCUM($unit) " />
    <xsl:variable name="unit-name" select="if (exists($UCUM/unit[@value = $normalised-unit])) then $UCUM/unit[@value = $normalised-unit]/@name else ''  " />
    <xsl:variable name="power-synonym" select="if (contains($normalised-unit, '10^')) then replace($normalised-unit, '10\^', '10*')        else if (contains($normalised-unit, '10*')) then replace($normalised-unit, '10\*', '10^')        else '' " />
    <xsl:variable name="special-unit-synonym" select="if (contains($normalised-unit, '['))         then (normalize-space(replace($normalised-unit, '[\[\]]', ' ')), normalize-space(replace($normalised-unit, '[\[\]]', ''))) else '' " />
    <xsl:variable name="apostrophe-synonym" select="for $syn in $special-unit-synonym return if (contains($syn, '''')) then normalize-space(replace($syn, '''', ' ')) else '' " />
    <xsl:variable name="unit-synonyms" select="if (exists($UCUM/unit[@value = $normalised-unit]))         then ($normalised-unit, $power-synonym, $special-unit-synonym, $apostrophe-synonym, $UCUM/unit[@value = $normalised-unit]/@name,          tokenize($UCUM/unit[@value = $normalised-unit]/@synonyms, '\|'))[. != '']        else ($normalised-unit, $power-synonym, $special-unit-synonym, $apostrophe-synonym)[. != ''] " />
    <xsl:variable name="search-terms-1" select="if ($normalised-value = '') then () else (for $synonym in $unit-synonyms return normalize-space(lower-case($synonym)))[. != ''] " />
    <xsl:variable name="search-terms-2" select="if ($normalised-value = '') then () else for $term in $search-terms-1 return         if ($term = '1') then $normalised-value else concat($normalised-value, $term) " />
    <xsl:variable name="search-regex-1" select="if ($normalised-value = '') then () else for $term in $search-terms-1 return          replace(replace(replace(replace(replace(replace(replace(replace(replace(replace($term, '\^', '\\^'), '\*', '\\*'), '\.', '\\.'), '\+', '\\+'),          '\)', '\\)'), '\(', '\\('), '\[', '\\['), '\]', '\\]'), '\{', '\\{'), '\}', '\\}') " />
    <xsl:variable name="search-regex-2" select="if ($normalised-value = '') then () else for $term in $search-regex-1 return         if (matches($term, '^10')) then concat('(', '(^|[^0-9])(', $normalised-value-regex, 'x{0,1}', $term, '|', 'x{0,1}', $term, ')([^0-9a-z]|$)',          ')|(', '(^|[^0-9])(', $normalised-value-regex, $term, '|', $term, ')([^0-9a-z]|$)', ')')         else if ($term = '1') then concat('(^|[^0-9])', $normalised-value-regex, '([^0-9]{1}.*$|$)')        else concat('(^|[^0-9])(', $normalised-value-regex, $term, '|', $term, ')([^0-9a-z]|$)') " />
    <xsl:variable name="quantity-match" select="if (not(exists($table-value-match)) or not(exists($table-value-match[. != '0']))) then (false())        else if ($unit = '1' and not($a-quantity-range)) then for $i in (1 to $table-num) return          ($table-value-match[$i] = '2' or boolean($tables[$i]//cda:td[matches(., $search-regex-2[1], 'is')]))        else if ($unit = '1' and $a-quantity-range) then for $i in (1 to $table-num) return not($table-value-match[$i] = '0')        else for $i in (1 to $table-num) return          if ($table-value-match[$i] = '0') then false()         else if ($table-value-match[$i] = '2') then           exists(index-of(for $term in $search-terms-1 return boolean($tables[$i]//cda:td[replace(lower-case(.), '\s+', '') = $term]), true()))         else exists(index-of(          for $j in (1 to count($search-terms-1)) return boolean($tables[$i]//cda:td[           replace(lower-case(.), '\s+', '') = $search-terms-1[$j]  or           replace(lower-case(.), '\s+', '') = $search-terms-2[$j]  or           matches(., $search-regex-2[$j], 'is')    ]), true())) " />
    <xsl:variable name="in-a-table" select="if ($normalised-value = '') then false() else exists(index-of($quantity-match, true())) " />
    <xsl:variable name="xpre-1" select="if ($normalised-value = '' or $in-a-table) then () else $target-narr-node//*[contains(@styleCode, 'xPre')] " />
    <xsl:variable name="xpre-num" select="count($xpre-1) " />
    <xsl:variable name="xpre-2" select="for $i in (1 to $xpre-num) return lower-case($xpre-1[$i]) " />
    <xsl:variable name="xpre-value-match" select="for $i in (1 to $xpre-num) return matches($xpre-2[$i], $value-regex, 'is') " />
    <xsl:variable name="xpre-quantity-match" select="if ($unit = '1') then ($xpre-value-match) else for $i in (1 to $xpre-num) return         $xpre-value-match[$i] and exists(index-of(for $term in $search-regex-2 return matches($xpre-2[$i], $term, 'is'), true())) " />
    <xsl:variable name="in-xpre" select="exists(index-of($xpre-quantity-match, true())) " />
    <xsl:variable name="narrative" select="if ($normalised-value = '' or $in-a-table or $in-xpre) then ''         else normalize-space(lower-case(string-join($target-narr-node//text()         [not(ancestor::cda:table or ancestor::cda:caption or contains(@styleCode, 'xPre'))], ''))) " />
    <xsl:variable name="narr-value-match" select="if ($normalised-value = '' or $in-a-table or $in-xpre) then true() else matches($narrative, $value-regex, 'is') " />
    <xsl:variable name="narr-quantity-match" select="if ($normalised-value = '' or $in-a-table or $in-xpre) then true()        else $narr-value-match and exists(index-of(for $term in $search-regex-2 return matches($narrative, $term, 'is'), true())) " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="quantity-text-1" select="if ($unit = '1') then concat('value ''', @value, '''') else concat('value ''', @value, ''' and unit ''', $unit, '''') " />
    <xsl:variable name="quantity-text" select="if ($unit-name = '') then $quantity-text-1 else concat($quantity-text-1, ' (the unit for ', $unit-name, ')') " />
    <xsl:variable name="inclusive-text" select="if ($a-quantity-range and @inclusive = 'true') then ' (the boundary is included)'        else if ($a-quantity-range and @inclusive = 'false') then ' (the boundary is not included)'        else '' " />
    <xsl:variable name="multimedia" select="exists($target-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$table-num = 0 and $xpre-num = 0 and not(exists($narr-text-el)) and not($multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-narr-node//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-6" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-6 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and @value and $table-num &gt; 0 and not($in-a-table or $in-xpre or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and @value and $table-num &gt; 0 and not($in-a-table or $in-xpre or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-PQ): The  '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text />.
		Is the quantity on the boundary of a quantity range? <xsl:text /><xsl:value-of select="$a-quantity-range" /><xsl:text /><xsl:text /><xsl:value-of select="$inclusive-text" /><xsl:text />.
		When transformed the quantity value is '<xsl:text /><xsl:value-of select="$normalised-value" /><xsl:text />'.
		The narrative contains <xsl:text /><xsl:value-of select="$table-num" /><xsl:text /><xsl:text /><xsl:value-of select="if ($table-num = 1) then ' table' else ' tables' " /><xsl:text />.
		The value regular expression value-regex is '<xsl:text /><xsl:value-of select="$value-regex" /><xsl:text />'.
		The value regular expression value-regex-3 is '<xsl:text /><xsl:value-of select="$value-regex-3" /><xsl:text />'.
		Elements of table-value-match are '<xsl:text /><xsl:value-of select="string-join($table-value-match, '|')" /><xsl:text />'.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($unit-synonyms, '|')" /><xsl:text />'.
		Elements of search-terms-1 are '<xsl:text /><xsl:value-of select="string-join($search-terms-1, '|')" /><xsl:text />'.
		Elements of search-terms-2 are '<xsl:text /><xsl:value-of select="string-join($search-terms-2, '|')" /><xsl:text />'.
		Elements of search-regex-1 are '<xsl:text /><xsl:value-of select="string-join($search-regex-1, '|')" /><xsl:text />'.
		Elements of search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($search-regex-2, '|')" /><xsl:text />'.
		Elements of quantity-match are '<xsl:text /><xsl:value-of select="string-join(for $i in (1 to count($quantity-match)) return if ($quantity-match[$i]) then '1' else '0', '|')" /><xsl:text />'.
		Was the quantity found by looking in table rows? <xsl:text /><xsl:value-of select="$in-a-table" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and @value and $xpre-num &gt; 0 and not($in-a-table or $in-xpre or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and @value and $xpre-num &gt; 0 and not($in-a-table or $in-xpre or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-PQ): The  '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text />.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($unit-synonyms, '|')" /><xsl:text />'.
		The narrative contains <xsl:text /><xsl:value-of select="$xpre-num" /><xsl:text /> elements with the xPre styleCode.
		The value regular expression value-regex is '<xsl:text /><xsl:value-of select="$value-regex" /><xsl:text />'.
		Elements of xpre-value-match are '<xsl:text /><xsl:value-of select="string-join(for $x in $xpre-value-match return if ($x) then '1' else '0', '|')" /><xsl:text />'.
		Elements of search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($search-regex-2, '|')" /><xsl:text />'.
		Elements of xpre-quantity-match are '<xsl:text /><xsl:value-of select="string-join(for $x in $xpre-quantity-match return if ($x) then '1' else '0', '|')" /><xsl:text />'.
		Was the quantity found by looking in elements with the xPre styleCode? <xsl:text /><xsl:value-of select="$in-xpre" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and @value and not($in-a-table or $narr-quantity-match or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and @value and not($in-a-table or $narr-quantity-match or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-PQ): The  '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text />.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($unit-synonyms, '|')" /><xsl:text />'.
		The value regular expression value-regex is '<xsl:text /><xsl:value-of select="$value-regex" /><xsl:text />'.
		Was the value found in the narrative? <xsl:text /><xsl:value-of select="$narr-value-match" /><xsl:text />.
		Elements of search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($search-regex-2, '|')" /><xsl:text />'.
		Was the quantity found in the narrative? <xsl:text /><xsl:value-of select="$narr-quantity-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @value and not($narr-quantity-match or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value and not($narr-quantity-match or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-6" /><xsl:text />: TC-Narr-09 step 6: The  '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text /> however the quantity does not seem to be
		present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (false())    then ' The  data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and @value and not($narr-value-match or $narr-quantity-match or $null-in-narr) and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and @value and not($narr-value-match or $narr-quantity-match or $null-in-narr) and not(false())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-6" /><xsl:text />: TC-Narr-09 step 6: The  '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text /> however the quantity is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and @value and not($narr-value-match or $narr-quantity-match or $null-in-narr) and false() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and @value and not($narr-value-match or $narr-quantity-match or $null-in-narr) and false()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-6" /><xsl:text />: TC-Narr-09 step 6: The  '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text /> however the quantity is not present in the narrative of the section.
		The  data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'QS', 'TRC', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'QS', 'TRC', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The  '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1111" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1111" />
  <xsl:template match="@*|node()" priority="-2" mode="M1111">
    <xsl:apply-templates select="@*|*" mode="M1111" />
  </xsl:template>
  <!--PATTERN p-TS-Info-10-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//        cda:section[not(cda:code/@codeSystem = '1.2.36.1.2001.1001.101') or         cda:code[not(@code = $section-types/section-type[@codeSystem = '1.2.36.1.2001.1001.101']/@code)]]/cda:entry//cda:numerator[@unit] " priority="1000" mode="M1112">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//        cda:section[not(cda:code/@codeSystem = '1.2.36.1.2001.1001.101') or         cda:code[not(@code = $section-types/section-type[@codeSystem = '1.2.36.1.2001.1001.101']/@code)]]/cda:entry//cda:numerator[@unit] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="narr-text-el" select="(for $text in ($target-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="a-quantity-range" select="local-name(.) = 'low' or local-name(.) = 'high' " />
    <xsl:variable name="normalised-value" select="if (@value) then replace(lower-case(@value), '\s+', '') else '' " />
    <xsl:variable name="normalised-value-regex" select="if (not(contains($normalised-value, '.'))) then concat('(', $normalised-value, '|', $normalised-value, '\.0*)')        else if (ends-with($normalised-value, '0')) then replace(replace($normalised-value, '\.', '\\.'), '0+$', '0*')        else concat(replace($normalised-value, '\.', '\\.'), '0*') " />
    <xsl:variable name="value-regex" select="if ($normalised-value = '') then ''         else concat('(^|[^0-9])', $normalised-value-regex, '([^0-9]*$|\s+.*$)') " />
    <xsl:variable name="tables" select="$target-narr-node//cda:table " />
    <xsl:variable name="table-num" select="count($tables) " />
    <xsl:variable name="value-regex-3" select="if ($normalised-value = '' or not(exists($tables))) then ''         else concat('(^|[^0-9])', $normalised-value-regex, '([^0-9]+$|\s+.+$)') " />
    <xsl:variable name="table-value-match" select="if ($normalised-value = '' or not(exists($tables))) then () else for $i in (1 to $table-num) return         if (not($tables[$i]//cda:td[matches(., $value-regex, 'is')])) then '0'        else if ($tables[$i]//cda:td[matches(., $value-regex-3, 'is')]) then '3'        else if ($tables[$i]//cda:td[replace(lower-case(.), '\s+', '') = $normalised-value]) then '2'        else '1' " />
    <xsl:variable name="unit-1" select="dh:XQueryRecursiveReplace(@unit, $ucum-annotation-replacement, '')" />
    <xsl:variable name="unit-2" select="if ($a-quantity-range) then dh:XQueryRecursiveReplace(../@unit, $ucum-annotation-replacement, '') else '' " />
    <xsl:variable name="unit" select="if (not($a-quantity-range) or $unit-2 = '') then $unit-1        else if ($unit-1 = '1' and $unit-2 != '1') then $unit-2         else $unit-1 " />
    <xsl:variable name="normalised-unit" select="replace(lower-case($unit), '\s+', '') " />
    <xsl:variable name="unit-validation" select="if ($unit = '1' or exists($UCUM/unit[@value = $normalised-unit])) then '' else dh:ValidateUCUM($unit) " />
    <xsl:variable name="unit-name" select="if (exists($UCUM/unit[@value = $normalised-unit])) then $UCUM/unit[@value = $normalised-unit]/@name else ''  " />
    <xsl:variable name="power-synonym" select="if (contains($normalised-unit, '10^')) then replace($normalised-unit, '10\^', '10*')        else if (contains($normalised-unit, '10*')) then replace($normalised-unit, '10\*', '10^')        else '' " />
    <xsl:variable name="special-unit-synonym" select="if (contains($normalised-unit, '['))         then (normalize-space(replace($normalised-unit, '[\[\]]', ' ')), normalize-space(replace($normalised-unit, '[\[\]]', ''))) else '' " />
    <xsl:variable name="apostrophe-synonym" select="for $syn in $special-unit-synonym return if (contains($syn, '''')) then normalize-space(replace($syn, '''', ' ')) else '' " />
    <xsl:variable name="unit-synonyms" select="if (exists($UCUM/unit[@value = $normalised-unit]))         then ($normalised-unit, $power-synonym, $special-unit-synonym, $apostrophe-synonym, $UCUM/unit[@value = $normalised-unit]/@name,          tokenize($UCUM/unit[@value = $normalised-unit]/@synonyms, '\|'))[. != '']        else ($normalised-unit, $power-synonym, $special-unit-synonym, $apostrophe-synonym)[. != ''] " />
    <xsl:variable name="search-terms-1" select="if ($normalised-value = '') then () else (for $synonym in $unit-synonyms return normalize-space(lower-case($synonym)))[. != ''] " />
    <xsl:variable name="search-terms-2" select="if ($normalised-value = '') then () else for $term in $search-terms-1 return         if ($term = '1') then $normalised-value else concat($normalised-value, $term) " />
    <xsl:variable name="search-regex-1" select="if ($normalised-value = '') then () else for $term in $search-terms-1 return          replace(replace(replace(replace(replace(replace(replace(replace(replace(replace($term, '\^', '\\^'), '\*', '\\*'), '\.', '\\.'), '\+', '\\+'),          '\)', '\\)'), '\(', '\\('), '\[', '\\['), '\]', '\\]'), '\{', '\\{'), '\}', '\\}') " />
    <xsl:variable name="search-regex-2" select="if ($normalised-value = '') then () else for $term in $search-regex-1 return         if (matches($term, '^10')) then concat('(', '(^|[^0-9])(', $normalised-value-regex, 'x{0,1}', $term, '|', 'x{0,1}', $term, ')([^0-9a-z]|$)',          ')|(', '(^|[^0-9])(', $normalised-value-regex, $term, '|', $term, ')([^0-9a-z]|$)', ')')         else if ($term = '1') then concat('(^|[^0-9])', $normalised-value-regex, '([^0-9]{1}.*$|$)')        else concat('(^|[^0-9])(', $normalised-value-regex, $term, '|', $term, ')([^0-9a-z]|$)') " />
    <xsl:variable name="quantity-match" select="if (not(exists($table-value-match)) or not(exists($table-value-match[. != '0']))) then (false())        else if ($unit = '1' and not($a-quantity-range)) then for $i in (1 to $table-num) return          ($table-value-match[$i] = '2' or boolean($tables[$i]//cda:td[matches(., $search-regex-2[1], 'is')]))        else if ($unit = '1' and $a-quantity-range) then for $i in (1 to $table-num) return not($table-value-match[$i] = '0')        else for $i in (1 to $table-num) return          if ($table-value-match[$i] = '0') then false()         else if ($table-value-match[$i] = '2') then           exists(index-of(for $term in $search-terms-1 return boolean($tables[$i]//cda:td[replace(lower-case(.), '\s+', '') = $term]), true()))         else exists(index-of(          for $j in (1 to count($search-terms-1)) return boolean($tables[$i]//cda:td[           replace(lower-case(.), '\s+', '') = $search-terms-1[$j]  or           replace(lower-case(.), '\s+', '') = $search-terms-2[$j]  or           matches(., $search-regex-2[$j], 'is')    ]), true())) " />
    <xsl:variable name="in-a-table" select="if ($normalised-value = '') then false() else exists(index-of($quantity-match, true())) " />
    <xsl:variable name="xpre-1" select="if ($normalised-value = '' or $in-a-table) then () else $target-narr-node//*[contains(@styleCode, 'xPre')] " />
    <xsl:variable name="xpre-num" select="count($xpre-1) " />
    <xsl:variable name="xpre-2" select="for $i in (1 to $xpre-num) return lower-case($xpre-1[$i]) " />
    <xsl:variable name="xpre-value-match" select="for $i in (1 to $xpre-num) return matches($xpre-2[$i], $value-regex, 'is') " />
    <xsl:variable name="xpre-quantity-match" select="if ($unit = '1') then ($xpre-value-match) else for $i in (1 to $xpre-num) return         $xpre-value-match[$i] and exists(index-of(for $term in $search-regex-2 return matches($xpre-2[$i], $term, 'is'), true())) " />
    <xsl:variable name="in-xpre" select="exists(index-of($xpre-quantity-match, true())) " />
    <xsl:variable name="narrative" select="if ($normalised-value = '' or $in-a-table or $in-xpre) then ''         else normalize-space(lower-case(string-join($target-narr-node//text()         [not(ancestor::cda:table or ancestor::cda:caption or contains(@styleCode, 'xPre'))], ''))) " />
    <xsl:variable name="narr-value-match" select="if ($normalised-value = '' or $in-a-table or $in-xpre) then true() else matches($narrative, $value-regex, 'is') " />
    <xsl:variable name="narr-quantity-match" select="if ($normalised-value = '' or $in-a-table or $in-xpre) then true()        else $narr-value-match and exists(index-of(for $term in $search-regex-2 return matches($narrative, $term, 'is'), true())) " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="quantity-text-1" select="if ($unit = '1') then concat('value ''', @value, '''') else concat('value ''', @value, ''' and unit ''', $unit, '''') " />
    <xsl:variable name="quantity-text" select="if ($unit-name = '') then $quantity-text-1 else concat($quantity-text-1, ' (the unit for ', $unit-name, ')') " />
    <xsl:variable name="inclusive-text" select="if ($a-quantity-range and @inclusive = 'true') then ' (the boundary is included)'        else if ($a-quantity-range and @inclusive = 'false') then ' (the boundary is not included)'        else '' " />
    <xsl:variable name="multimedia" select="exists($target-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$table-num = 0 and $xpre-num = 0 and not(exists($narr-text-el)) and not($multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-narr-node//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-6" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-6 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and @value and $table-num &gt; 0 and not($in-a-table or $in-xpre or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and @value and $table-num &gt; 0 and not($in-a-table or $in-xpre or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-PQ): The  '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text />.
		Is the quantity on the boundary of a quantity range? <xsl:text /><xsl:value-of select="$a-quantity-range" /><xsl:text /><xsl:text /><xsl:value-of select="$inclusive-text" /><xsl:text />.
		When transformed the quantity value is '<xsl:text /><xsl:value-of select="$normalised-value" /><xsl:text />'.
		The narrative contains <xsl:text /><xsl:value-of select="$table-num" /><xsl:text /><xsl:text /><xsl:value-of select="if ($table-num = 1) then ' table' else ' tables' " /><xsl:text />.
		The value regular expression value-regex is '<xsl:text /><xsl:value-of select="$value-regex" /><xsl:text />'.
		The value regular expression value-regex-3 is '<xsl:text /><xsl:value-of select="$value-regex-3" /><xsl:text />'.
		Elements of table-value-match are '<xsl:text /><xsl:value-of select="string-join($table-value-match, '|')" /><xsl:text />'.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($unit-synonyms, '|')" /><xsl:text />'.
		Elements of search-terms-1 are '<xsl:text /><xsl:value-of select="string-join($search-terms-1, '|')" /><xsl:text />'.
		Elements of search-terms-2 are '<xsl:text /><xsl:value-of select="string-join($search-terms-2, '|')" /><xsl:text />'.
		Elements of search-regex-1 are '<xsl:text /><xsl:value-of select="string-join($search-regex-1, '|')" /><xsl:text />'.
		Elements of search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($search-regex-2, '|')" /><xsl:text />'.
		Elements of quantity-match are '<xsl:text /><xsl:value-of select="string-join(for $i in (1 to count($quantity-match)) return if ($quantity-match[$i]) then '1' else '0', '|')" /><xsl:text />'.
		Was the quantity found by looking in table rows? <xsl:text /><xsl:value-of select="$in-a-table" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and @value and $xpre-num &gt; 0 and not($in-a-table or $in-xpre or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and @value and $xpre-num &gt; 0 and not($in-a-table or $in-xpre or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-PQ): The  '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text />.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($unit-synonyms, '|')" /><xsl:text />'.
		The narrative contains <xsl:text /><xsl:value-of select="$xpre-num" /><xsl:text /> elements with the xPre styleCode.
		The value regular expression value-regex is '<xsl:text /><xsl:value-of select="$value-regex" /><xsl:text />'.
		Elements of xpre-value-match are '<xsl:text /><xsl:value-of select="string-join(for $x in $xpre-value-match return if ($x) then '1' else '0', '|')" /><xsl:text />'.
		Elements of search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($search-regex-2, '|')" /><xsl:text />'.
		Elements of xpre-quantity-match are '<xsl:text /><xsl:value-of select="string-join(for $x in $xpre-quantity-match return if ($x) then '1' else '0', '|')" /><xsl:text />'.
		Was the quantity found by looking in elements with the xPre styleCode? <xsl:text /><xsl:value-of select="$in-xpre" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and @value and not($in-a-table or $narr-quantity-match or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and @value and not($in-a-table or $narr-quantity-match or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-PQ): The  '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text />.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($unit-synonyms, '|')" /><xsl:text />'.
		The value regular expression value-regex is '<xsl:text /><xsl:value-of select="$value-regex" /><xsl:text />'.
		Was the value found in the narrative? <xsl:text /><xsl:value-of select="$narr-value-match" /><xsl:text />.
		Elements of search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($search-regex-2, '|')" /><xsl:text />'.
		Was the quantity found in the narrative? <xsl:text /><xsl:value-of select="$narr-quantity-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @value and not($narr-quantity-match or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value and not($narr-quantity-match or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-6" /><xsl:text />: TC-Narr-09 step 6: The  '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text /> however the quantity does not seem to be
		present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (false())    then ' The  data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and @value and not($narr-value-match or $narr-quantity-match or $null-in-narr) and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and @value and not($narr-value-match or $narr-quantity-match or $null-in-narr) and not(false())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-6" /><xsl:text />: TC-Narr-09 step 6: The  '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text /> however the quantity is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and @value and not($narr-value-match or $narr-quantity-match or $null-in-narr) and false() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and @value and not($narr-value-match or $narr-quantity-match or $null-in-narr) and false()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-6" /><xsl:text />: TC-Narr-09 step 6: The  '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text /> however the quantity is not present in the narrative of the section.
		The  data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'QS', 'TRC', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'QS', 'TRC', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The  '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1112" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1112" />
  <xsl:template match="@*|node()" priority="-2" mode="M1112">
    <xsl:apply-templates select="@*|*" mode="M1112" />
  </xsl:template>
  <!--PATTERN p-TS-Info-11-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//        cda:section[not(cda:code/@codeSystem = '1.2.36.1.2001.1001.101') or         cda:code[not(@code = $section-types/section-type[@codeSystem = '1.2.36.1.2001.1001.101']/@code)]]/cda:entry//cda:denominator[@unit] " priority="1000" mode="M1113">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//        cda:section[not(cda:code/@codeSystem = '1.2.36.1.2001.1001.101') or         cda:code[not(@code = $section-types/section-type[@codeSystem = '1.2.36.1.2001.1001.101']/@code)]]/cda:entry//cda:denominator[@unit] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="narr-text-el" select="(for $text in ($target-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="a-quantity-range" select="local-name(.) = 'low' or local-name(.) = 'high' " />
    <xsl:variable name="normalised-value" select="if (@value) then replace(lower-case(@value), '\s+', '') else '' " />
    <xsl:variable name="normalised-value-regex" select="if (not(contains($normalised-value, '.'))) then concat('(', $normalised-value, '|', $normalised-value, '\.0*)')        else if (ends-with($normalised-value, '0')) then replace(replace($normalised-value, '\.', '\\.'), '0+$', '0*')        else concat(replace($normalised-value, '\.', '\\.'), '0*') " />
    <xsl:variable name="value-regex" select="if ($normalised-value = '') then ''         else concat('(^|[^0-9])', $normalised-value-regex, '([^0-9]*$|\s+.*$)') " />
    <xsl:variable name="tables" select="$target-narr-node//cda:table " />
    <xsl:variable name="table-num" select="count($tables) " />
    <xsl:variable name="value-regex-3" select="if ($normalised-value = '' or not(exists($tables))) then ''         else concat('(^|[^0-9])', $normalised-value-regex, '([^0-9]+$|\s+.+$)') " />
    <xsl:variable name="table-value-match" select="if ($normalised-value = '' or not(exists($tables))) then () else for $i in (1 to $table-num) return         if (not($tables[$i]//cda:td[matches(., $value-regex, 'is')])) then '0'        else if ($tables[$i]//cda:td[matches(., $value-regex-3, 'is')]) then '3'        else if ($tables[$i]//cda:td[replace(lower-case(.), '\s+', '') = $normalised-value]) then '2'        else '1' " />
    <xsl:variable name="unit-1" select="dh:XQueryRecursiveReplace(@unit, $ucum-annotation-replacement, '')" />
    <xsl:variable name="unit-2" select="if ($a-quantity-range) then dh:XQueryRecursiveReplace(../@unit, $ucum-annotation-replacement, '') else '' " />
    <xsl:variable name="unit" select="if (not($a-quantity-range) or $unit-2 = '') then $unit-1        else if ($unit-1 = '1' and $unit-2 != '1') then $unit-2         else $unit-1 " />
    <xsl:variable name="normalised-unit" select="replace(lower-case($unit), '\s+', '') " />
    <xsl:variable name="unit-validation" select="if ($unit = '1' or exists($UCUM/unit[@value = $normalised-unit])) then '' else dh:ValidateUCUM($unit) " />
    <xsl:variable name="unit-name" select="if (exists($UCUM/unit[@value = $normalised-unit])) then $UCUM/unit[@value = $normalised-unit]/@name else ''  " />
    <xsl:variable name="power-synonym" select="if (contains($normalised-unit, '10^')) then replace($normalised-unit, '10\^', '10*')        else if (contains($normalised-unit, '10*')) then replace($normalised-unit, '10\*', '10^')        else '' " />
    <xsl:variable name="special-unit-synonym" select="if (contains($normalised-unit, '['))         then (normalize-space(replace($normalised-unit, '[\[\]]', ' ')), normalize-space(replace($normalised-unit, '[\[\]]', ''))) else '' " />
    <xsl:variable name="apostrophe-synonym" select="for $syn in $special-unit-synonym return if (contains($syn, '''')) then normalize-space(replace($syn, '''', ' ')) else '' " />
    <xsl:variable name="unit-synonyms" select="if (exists($UCUM/unit[@value = $normalised-unit]))         then ($normalised-unit, $power-synonym, $special-unit-synonym, $apostrophe-synonym, $UCUM/unit[@value = $normalised-unit]/@name,          tokenize($UCUM/unit[@value = $normalised-unit]/@synonyms, '\|'))[. != '']        else ($normalised-unit, $power-synonym, $special-unit-synonym, $apostrophe-synonym)[. != ''] " />
    <xsl:variable name="search-terms-1" select="if ($normalised-value = '') then () else (for $synonym in $unit-synonyms return normalize-space(lower-case($synonym)))[. != ''] " />
    <xsl:variable name="search-terms-2" select="if ($normalised-value = '') then () else for $term in $search-terms-1 return         if ($term = '1') then $normalised-value else concat($normalised-value, $term) " />
    <xsl:variable name="search-regex-1" select="if ($normalised-value = '') then () else for $term in $search-terms-1 return          replace(replace(replace(replace(replace(replace(replace(replace(replace(replace($term, '\^', '\\^'), '\*', '\\*'), '\.', '\\.'), '\+', '\\+'),          '\)', '\\)'), '\(', '\\('), '\[', '\\['), '\]', '\\]'), '\{', '\\{'), '\}', '\\}') " />
    <xsl:variable name="search-regex-2" select="if ($normalised-value = '') then () else for $term in $search-regex-1 return         if (matches($term, '^10')) then concat('(', '(^|[^0-9])(', $normalised-value-regex, 'x{0,1}', $term, '|', 'x{0,1}', $term, ')([^0-9a-z]|$)',          ')|(', '(^|[^0-9])(', $normalised-value-regex, $term, '|', $term, ')([^0-9a-z]|$)', ')')         else if ($term = '1') then concat('(^|[^0-9])', $normalised-value-regex, '([^0-9]{1}.*$|$)')        else concat('(^|[^0-9])(', $normalised-value-regex, $term, '|', $term, ')([^0-9a-z]|$)') " />
    <xsl:variable name="quantity-match" select="if (not(exists($table-value-match)) or not(exists($table-value-match[. != '0']))) then (false())        else if ($unit = '1' and not($a-quantity-range)) then for $i in (1 to $table-num) return          ($table-value-match[$i] = '2' or boolean($tables[$i]//cda:td[matches(., $search-regex-2[1], 'is')]))        else if ($unit = '1' and $a-quantity-range) then for $i in (1 to $table-num) return not($table-value-match[$i] = '0')        else for $i in (1 to $table-num) return          if ($table-value-match[$i] = '0') then false()         else if ($table-value-match[$i] = '2') then           exists(index-of(for $term in $search-terms-1 return boolean($tables[$i]//cda:td[replace(lower-case(.), '\s+', '') = $term]), true()))         else exists(index-of(          for $j in (1 to count($search-terms-1)) return boolean($tables[$i]//cda:td[           replace(lower-case(.), '\s+', '') = $search-terms-1[$j]  or           replace(lower-case(.), '\s+', '') = $search-terms-2[$j]  or           matches(., $search-regex-2[$j], 'is')    ]), true())) " />
    <xsl:variable name="in-a-table" select="if ($normalised-value = '') then false() else exists(index-of($quantity-match, true())) " />
    <xsl:variable name="xpre-1" select="if ($normalised-value = '' or $in-a-table) then () else $target-narr-node//*[contains(@styleCode, 'xPre')] " />
    <xsl:variable name="xpre-num" select="count($xpre-1) " />
    <xsl:variable name="xpre-2" select="for $i in (1 to $xpre-num) return lower-case($xpre-1[$i]) " />
    <xsl:variable name="xpre-value-match" select="for $i in (1 to $xpre-num) return matches($xpre-2[$i], $value-regex, 'is') " />
    <xsl:variable name="xpre-quantity-match" select="if ($unit = '1') then ($xpre-value-match) else for $i in (1 to $xpre-num) return         $xpre-value-match[$i] and exists(index-of(for $term in $search-regex-2 return matches($xpre-2[$i], $term, 'is'), true())) " />
    <xsl:variable name="in-xpre" select="exists(index-of($xpre-quantity-match, true())) " />
    <xsl:variable name="narrative" select="if ($normalised-value = '' or $in-a-table or $in-xpre) then ''         else normalize-space(lower-case(string-join($target-narr-node//text()         [not(ancestor::cda:table or ancestor::cda:caption or contains(@styleCode, 'xPre'))], ''))) " />
    <xsl:variable name="narr-value-match" select="if ($normalised-value = '' or $in-a-table or $in-xpre) then true() else matches($narrative, $value-regex, 'is') " />
    <xsl:variable name="narr-quantity-match" select="if ($normalised-value = '' or $in-a-table or $in-xpre) then true()        else $narr-value-match and exists(index-of(for $term in $search-regex-2 return matches($narrative, $term, 'is'), true())) " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="quantity-text-1" select="if ($unit = '1') then concat('value ''', @value, '''') else concat('value ''', @value, ''' and unit ''', $unit, '''') " />
    <xsl:variable name="quantity-text" select="if ($unit-name = '') then $quantity-text-1 else concat($quantity-text-1, ' (the unit for ', $unit-name, ')') " />
    <xsl:variable name="inclusive-text" select="if ($a-quantity-range and @inclusive = 'true') then ' (the boundary is included)'        else if ($a-quantity-range and @inclusive = 'false') then ' (the boundary is not included)'        else '' " />
    <xsl:variable name="multimedia" select="exists($target-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$table-num = 0 and $xpre-num = 0 and not(exists($narr-text-el)) and not($multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-narr-node//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-6" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-6 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and @value and $table-num &gt; 0 and not($in-a-table or $in-xpre or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and @value and $table-num &gt; 0 and not($in-a-table or $in-xpre or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-PQ): The  '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text />.
		Is the quantity on the boundary of a quantity range? <xsl:text /><xsl:value-of select="$a-quantity-range" /><xsl:text /><xsl:text /><xsl:value-of select="$inclusive-text" /><xsl:text />.
		When transformed the quantity value is '<xsl:text /><xsl:value-of select="$normalised-value" /><xsl:text />'.
		The narrative contains <xsl:text /><xsl:value-of select="$table-num" /><xsl:text /><xsl:text /><xsl:value-of select="if ($table-num = 1) then ' table' else ' tables' " /><xsl:text />.
		The value regular expression value-regex is '<xsl:text /><xsl:value-of select="$value-regex" /><xsl:text />'.
		The value regular expression value-regex-3 is '<xsl:text /><xsl:value-of select="$value-regex-3" /><xsl:text />'.
		Elements of table-value-match are '<xsl:text /><xsl:value-of select="string-join($table-value-match, '|')" /><xsl:text />'.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($unit-synonyms, '|')" /><xsl:text />'.
		Elements of search-terms-1 are '<xsl:text /><xsl:value-of select="string-join($search-terms-1, '|')" /><xsl:text />'.
		Elements of search-terms-2 are '<xsl:text /><xsl:value-of select="string-join($search-terms-2, '|')" /><xsl:text />'.
		Elements of search-regex-1 are '<xsl:text /><xsl:value-of select="string-join($search-regex-1, '|')" /><xsl:text />'.
		Elements of search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($search-regex-2, '|')" /><xsl:text />'.
		Elements of quantity-match are '<xsl:text /><xsl:value-of select="string-join(for $i in (1 to count($quantity-match)) return if ($quantity-match[$i]) then '1' else '0', '|')" /><xsl:text />'.
		Was the quantity found by looking in table rows? <xsl:text /><xsl:value-of select="$in-a-table" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and @value and $xpre-num &gt; 0 and not($in-a-table or $in-xpre or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and @value and $xpre-num &gt; 0 and not($in-a-table or $in-xpre or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-PQ): The  '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text />.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($unit-synonyms, '|')" /><xsl:text />'.
		The narrative contains <xsl:text /><xsl:value-of select="$xpre-num" /><xsl:text /> elements with the xPre styleCode.
		The value regular expression value-regex is '<xsl:text /><xsl:value-of select="$value-regex" /><xsl:text />'.
		Elements of xpre-value-match are '<xsl:text /><xsl:value-of select="string-join(for $x in $xpre-value-match return if ($x) then '1' else '0', '|')" /><xsl:text />'.
		Elements of search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($search-regex-2, '|')" /><xsl:text />'.
		Elements of xpre-quantity-match are '<xsl:text /><xsl:value-of select="string-join(for $x in $xpre-quantity-match return if ($x) then '1' else '0', '|')" /><xsl:text />'.
		Was the quantity found by looking in elements with the xPre styleCode? <xsl:text /><xsl:value-of select="$in-xpre" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and @value and not($in-a-table or $narr-quantity-match or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and @value and not($in-a-table or $narr-quantity-match or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-PQ): The  '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text />.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($unit-synonyms, '|')" /><xsl:text />'.
		The value regular expression value-regex is '<xsl:text /><xsl:value-of select="$value-regex" /><xsl:text />'.
		Was the value found in the narrative? <xsl:text /><xsl:value-of select="$narr-value-match" /><xsl:text />.
		Elements of search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($search-regex-2, '|')" /><xsl:text />'.
		Was the quantity found in the narrative? <xsl:text /><xsl:value-of select="$narr-quantity-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @value and not($narr-quantity-match or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value and not($narr-quantity-match or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-6" /><xsl:text />: TC-Narr-09 step 6: The  '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text /> however the quantity does not seem to be
		present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (false())    then ' The  data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and @value and not($narr-value-match or $narr-quantity-match or $null-in-narr) and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and @value and not($narr-value-match or $narr-quantity-match or $null-in-narr) and not(false())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-6" /><xsl:text />: TC-Narr-09 step 6: The  '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text /> however the quantity is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and @value and not($narr-value-match or $narr-quantity-match or $null-in-narr) and false() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and @value and not($narr-value-match or $narr-quantity-match or $null-in-narr) and false()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-6" /><xsl:text />: TC-Narr-09 step 6: The  '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$quantity-text" /><xsl:text /> however the quantity is not present in the narrative of the section.
		The  data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'QS', 'TRC', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'QS', 'TRC', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The  '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1113" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1113" />
  <xsl:template match="@*|node()" priority="-2" mode="M1113">
    <xsl:apply-templates select="@*|*" mode="M1113" />
  </xsl:template>
  <!--PATTERN p-TS-Info-12-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//        cda:section[not(cda:code/@codeSystem = '1.2.36.1.2001.1001.101') or         cda:code[not(@code = $section-types/section-type[@codeSystem = '1.2.36.1.2001.1001.101']/@code)]]/cda:entry//        *[cda:low[@unit] or cda:high[@unit] or @xsi:type = 'IVL_PQ' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_PQ'] " priority="1000" mode="M1114">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//        cda:section[not(cda:code/@codeSystem = '1.2.36.1.2001.1001.101') or         cda:code[not(@code = $section-types/section-type[@codeSystem = '1.2.36.1.2001.1001.101']/@code)]]/cda:entry//        *[cda:low[@unit] or cda:high[@unit] or @xsi:type = 'IVL_PQ' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_PQ'] " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="target-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="narr-text-el" select="(for $text in ($target-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="tables" select="$target-narr-node//cda:table " />
    <xsl:variable name="table-num" select="count($tables) " />
    <xsl:variable name="ivl-unit" select="dh:XQueryRecursiveReplace(@unit, $ucum-annotation-replacement, '') " />
    <xsl:variable name="xpre-1" select="$target-narr-node//*[contains(@styleCode, 'xPre')] " />
    <xsl:variable name="xpre-num" select="count($xpre-1) " />
    <xsl:variable name="xpre-2" select="for $i in (1 to $xpre-num) return lower-case($xpre-1[$i]) " />
    <xsl:variable name="narrative" select="normalize-space(lower-case(string-join($target-narr-node//text()        [not(ancestor::cda:table or ancestor::cda:caption or contains(@styleCode, 'xPre'))], ''))) " />
    <xsl:variable name="l-normalised-value" select="if (cda:low/@value) then replace(lower-case(cda:low/@value), '\s+', '') else '' " />
    <xsl:variable name="l-normalised-value-regex" select="if (not(contains($l-normalised-value, '.'))) then concat('(', $l-normalised-value, '|', $l-normalised-value, '\.0*)')        else if (ends-with($l-normalised-value, '0')) then replace(replace($l-normalised-value, '\.', '\\.'), '0+$', '0*')        else concat(replace($l-normalised-value, '\.', '\\.'), '0*') " />
    <xsl:variable name="l-value-regex" select="if ($l-normalised-value = '') then '' else concat('(^|[^\.0-9])', $l-normalised-value-regex, '([^\.0-9]|$)') " />
    <xsl:variable name="l-value-regex-3" select="if ($l-normalised-value = '' or not(exists($tables))) then ''         else concat('(^|[^0-9])', $l-normalised-value-regex, '([^0-9]+$|\s+.+$)') " />
    <xsl:variable name="l-table-value-match" select="if ($l-normalised-value = '' or not(exists($tables))) then () else for $i in (1 to $table-num) return         if (not($tables[$i]//cda:td[matches(., $l-value-regex, 'is')])) then '0'        else if ($tables[$i]//cda:td[matches(., $l-value-regex-3, 'is')]) then '3'        else if ($tables[$i]//cda:td[replace(lower-case(.), '\s+', '') = $l-normalised-value]) then '2'        else '1' " />
    <xsl:variable name="l-unit-1" select="if (not(cda:low)) then '' else dh:XQueryRecursiveReplace(cda:low/@unit, $ucum-annotation-replacement, '') " />
    <xsl:variable name="l-unit" select="if ($l-unit-1 = '1' and $ivl-unit != '1') then $ivl-unit else $l-unit-1 " />
    <xsl:variable name="l-normalised-unit" select="if (not(cda:low)) then '' else replace(lower-case($l-unit), '\s+', '') " />
    <xsl:variable name="l-unit-validation" select="if ($l-unit = '1' or exists($UCUM/unit[@value = $l-normalised-unit])) then '' else dh:ValidateUCUM($l-unit) " />
    <xsl:variable name="l-unit-name" select="if (exists($UCUM/unit[@value = $l-normalised-unit])) then $UCUM/unit[@value = $l-normalised-unit]/@name else ''  " />
    <xsl:variable name="l-power-synonym" select="if (contains($l-normalised-unit, '10^')) then replace($l-normalised-unit, '10\^', '10*')        else if (contains($l-normalised-unit, '10*')) then replace($l-normalised-unit, '10\*', '10^')        else '' " />
    <xsl:variable name="l-special-unit-synonym" select="if (contains($l-normalised-unit, '['))         then (normalize-space(replace($l-normalised-unit, '[\[\]]', ' ')), normalize-space(replace($l-normalised-unit, '[\[\]]', ''))) else '' " />
    <xsl:variable name="l-apostrophe-synonym" select="for $syn in $l-special-unit-synonym return if (contains($syn, '''')) then normalize-space(replace($syn, '''', ' ')) else '' " />
    <xsl:variable name="l-unit-synonyms" select="if (not(cda:low)) then () else if (exists($UCUM/unit[@value = $l-normalised-unit]))         then ($l-normalised-unit, $l-unit-name, $l-power-synonym, $l-special-unit-synonym, $l-apostrophe-synonym,         tokenize($UCUM/unit[@value = $l-normalised-unit]/@synonyms, '\|'))[. != '']        else ($l-normalised-unit, $l-unit-name, $l-power-synonym, $l-special-unit-synonym, $l-apostrophe-synonym)[. != ''] " />
    <xsl:variable name="l-search-terms-1" select="if ($l-normalised-value = '') then () else (for $synonym in $l-unit-synonyms return normalize-space(lower-case($synonym)))[. != ''] " />
    <xsl:variable name="l-search-terms-2" select="if ($l-normalised-value = '') then () else for $term in $l-search-terms-1 return         if ($term = '1') then $l-normalised-value else concat($l-normalised-value, $term) " />
    <xsl:variable name="l-search-regex-1" select="if ($l-normalised-value = '') then () else for $term in $l-search-terms-1 return          replace(replace(replace(replace(replace(replace(replace(replace(replace(replace($term, '\^', '\\^'), '\*', '\\*'), '\.', '\\.'), '\+', '\\+'),          '\)', '\\)'), '\(', '\\('), '\[', '\\['), '\]', '\\]'), '\{', '\\{'), '\}', '\\}') " />
    <xsl:variable name="l-search-regex-2" select="if ($l-normalised-value = '') then () else for $term in $l-search-regex-1 return         if (matches($term, '^10')) then concat('(', '(^|[^0-9])(', $l-normalised-value-regex, 'x{0,1}', $term, '|', 'x{0,1}', $term, ')([^0-9a-z]|$)',          ')|(', '(^|[^0-9])(', $l-normalised-value-regex, $term, '|', $term, ')([^0-9a-z]|$)', ')')         else if ($term = '1') then concat('(^|[^0-9])', $l-normalised-value-regex, '([^0-9]{1}.*$|$)')        else concat('(^|[^0-9])(', $l-normalised-value-regex, $term, '|', $term, ')([^0-9a-z]|$)') " />
    <xsl:variable name="l-quantity-match" select="if (not(exists($l-table-value-match)) or not(exists($l-table-value-match[. != '0']))) then (false())        else if ($l-unit = '1') then for $i in (1 to $table-num) return not($l-table-value-match[$i] = '0')        else for $i in (1 to $table-num) return          if ($l-table-value-match[$i] = '0') then false()         else if ($l-table-value-match[$i] = '2') then           exists(index-of(for $term in $l-search-terms-1 return boolean($tables[$i]//cda:td[replace(lower-case(.), '\s+', '') = $term]),            true()))         else exists(index-of(          for $j in (1 to count($l-search-terms-1)) return boolean($tables[$i]//cda:td[           replace(lower-case(.), '\s+', '') = $l-search-terms-1[$j]   or           replace(lower-case(.), '\s+', '') = $l-search-terms-2[$j]  or           matches(., $l-search-regex-2[$j], 'is')     ]), true())) " />
    <xsl:variable name="l-in-a-table" select="if ($l-normalised-value = '') then false() else exists(index-of($l-quantity-match, true())) " />
    <xsl:variable name="l-xpre-value-match" select="if ($l-normalised-value = '' or $l-in-a-table) then () else for $i in (1 to $xpre-num) return matches($xpre-2[$i], $l-value-regex, 'is') " />
    <xsl:variable name="l-xpre-quantity-match" select="if (not(cda:low)) then () else if ($l-unit = '1') then ($l-xpre-value-match) else for $i in (1 to $xpre-num) return         $l-xpre-value-match[$i] and exists(index-of(for $term in $l-search-regex-2 return matches($xpre-2[$i], $term, 'is'), true())) " />
    <xsl:variable name="l-in-xpre" select="if (not(cda:low)) then false() else exists(index-of($l-xpre-quantity-match, true())) " />
    <xsl:variable name="l-narr-value-match" select="if ($l-normalised-value = '' or $l-in-a-table or $l-in-xpre) then true() else matches($narrative, $l-value-regex, 'is') " />
    <xsl:variable name="l-narr-quantity-match" select="if ($l-normalised-value = '' or $l-in-a-table or $l-in-xpre) then true()        else $l-narr-value-match and exists(index-of(for $term in $l-search-regex-2 return matches($narrative, $term, 'is'), true())) " />
    <xsl:variable name="l-nullFlavor-values" select="if (cda:low/@nullFlavor and cda:low/@nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))        then $nullFlavors/nullFlavor[@value = current()/cda:low/@nullFlavor] else () " />
    <xsl:variable name="l-null-to-find" select="exists($l-nullFlavor-values) " />
    <xsl:variable name="l-null-in-narr" select="($l-nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $l-nullFlavor-values/@name-regex, 'is')])) or              ($l-nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $l-nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="h-normalised-value" select="if (cda:low/@value and not($l-narr-quantity-match)) then ''        else if (cda:low/@nullFlavor and not($l-null-in-narr)) then ''        else if (cda:high/@value) then replace(lower-case(cda:high/@value), '\s+', '')         else '' " />
    <xsl:variable name="h-normalised-value-regex" select="if (not(contains($h-normalised-value, '.'))) then concat('(', $h-normalised-value, '|', $h-normalised-value, '\.0*)')        else if (ends-with($h-normalised-value, '0')) then replace(replace($h-normalised-value, '\.', '\\.'), '0+$', '0*')        else concat(replace($h-normalised-value, '\.', '\\.'), '0*') " />
    <xsl:variable name="h-value-regex" select="if ($h-normalised-value = '') then '' else concat('(^|[^\.0-9])', $h-normalised-value-regex, '([^\.0-9]|$)') " />
    <xsl:variable name="h-unit-1" select="if (not(cda:high)) then '' else dh:XQueryRecursiveReplace(cda:high/@unit, $ucum-annotation-replacement, '') " />
    <xsl:variable name="h-unit" select="if ($h-unit-1 = '1' and $ivl-unit != '1') then $ivl-unit else $h-unit-1 " />
    <xsl:variable name="h-normalised-unit" select="if (not(cda:high)) then '' else replace(lower-case($h-unit), '\s+', '') " />
    <xsl:variable name="h-unit-validation" select="if ($h-unit = '1' or exists($UCUM/unit[@value = $h-normalised-unit])) then '' else dh:ValidateUCUM($h-unit) " />
    <xsl:variable name="h-unit-name" select="if (exists($UCUM/unit[@value = $h-normalised-unit])) then $UCUM/unit[@value = $h-normalised-unit]/@name else ''  " />
    <xsl:variable name="h-search-tables" select="exists($tables) and not($h-normalised-value = '') and ((cda:low/@value and $l-in-a-table) or not(cda:low/@value)) " />
    <xsl:variable name="h-tables" select="if (not($h-search-tables)) then ()        else if (cda:low/@value and $l-in-a-table) then for $i in (1 to count($l-quantity-match)) return if ($l-quantity-match[$i]) then '1' else '0'        else for $i in (1 to $table-num) return '1' " />
    <xsl:variable name="h-value-regex-3" select="if ($h-normalised-value = '' or not(exists($tables))) then ''         else concat('(^|[^0-9])', $h-normalised-value-regex, '([^0-9]+$|\s+.+$)') " />
    <xsl:variable name="h-table-value-match" select="if (not($h-search-tables)) then () else for $i in (1 to $table-num) return         if ($h-tables[$i] = '0') then '4'        else if (not($tables[$i]//cda:td[matches(., $h-value-regex, 'is')])) then '0'        else if ($tables[$i]//cda:td[matches(., $h-value-regex-3, 'is')]) then '3'        else if ($tables[$i]//cda:td[replace(lower-case(.), '\s+', '') = $h-normalised-value]) then '2'        else '1' " />
    <xsl:variable name="h-power-synonym" select="if (contains($h-normalised-unit, '10^')) then replace($h-normalised-unit, '10\^', '10*')        else if (contains($h-normalised-unit, '10*')) then replace($h-normalised-unit, '10\*', '10^')        else '' " />
    <xsl:variable name="h-special-unit-synonym" select="if (contains($h-normalised-unit, '['))         then (normalize-space(replace($h-normalised-unit, '[\[\]]', ' ')), normalize-space(replace($h-normalised-unit, '[\[\]]', ''))) else '' " />
    <xsl:variable name="h-apostrophe-synonym" select="for $syn in $h-special-unit-synonym return if (contains($syn, '''')) then normalize-space(replace($syn, '''', ' ')) else '' " />
    <xsl:variable name="h-unit-synonyms" select="if (not(cda:high)) then () else if (exists($UCUM/unit[@value = $h-normalised-unit]))         then ($h-normalised-unit, $h-unit-name, $h-power-synonym, $h-special-unit-synonym, $h-apostrophe-synonym,           tokenize($UCUM/unit[@value = $h-normalised-unit]/@synonyms, '\|'))[. != '']        else ($h-normalised-unit, $h-unit-name, $h-power-synonym, $h-special-unit-synonym, $h-apostrophe-synonym)[. != ''] " />
    <xsl:variable name="h-search-terms-1" select="if (not($h-search-tables)) then () else (for $synonym in $h-unit-synonyms return normalize-space(lower-case($synonym)))[. != ''] " />
    <xsl:variable name="h-search-terms-2" select="if (not($h-search-tables)) then () else for $term in $h-search-terms-1 return         if ($term = '1') then $h-normalised-value else concat($h-normalised-value, $term) " />
    <xsl:variable name="h-search-regex-1" select="if (not($h-search-tables)) then () else for $term in $h-search-terms-1 return          replace(replace(replace(replace(replace(replace(replace(replace(replace(replace($term, '\^', '\\^'), '\*', '\\*'), '\.', '\\.'), '\+', '\\+'),          '\)', '\\)'), '\(', '\\('), '\[', '\\['), '\]', '\\]'), '\{', '\\{'), '\}', '\\}') " />
    <xsl:variable name="h-search-regex-2" select="if ($h-normalised-value = '') then () else for $term in $h-search-regex-1 return         if (matches($term, '^10')) then concat('(', '(^|[^0-9])(', $h-normalised-value-regex, 'x{0,1}', $term, '|', 'x{0,1}', $term, ')([^0-9a-z]|$)',          ')|(', '(^|[^0-9])(', $h-normalised-value-regex, $term, '|', $term, ')([^0-9a-z]|$)', ')')         else if ($term = '1') then concat('(^|[^0-9])', $h-normalised-value-regex, '([^0-9]{1}.*$|$)')        else concat('(^|[^0-9])(', $h-normalised-value-regex, $term, '|', $term, ')([^0-9a-z]|$)') " />
    <xsl:variable name="h-quantity-match" select="if (not(exists($h-table-value-match)) or not(exists($h-table-value-match[. != '0']))) then (false())        else if ($h-unit = '1') then for $i in (1 to $table-num) return not($h-table-value-match[$i] = '0')        else for $i in (1 to $table-num) return          if ($h-table-value-match[$i] = '0' or $h-table-value-match[$i] = '4') then false()         else if ($h-table-value-match[$i] = '2') then           exists(index-of(for $term in $h-search-terms-1 return boolean($tables[$i]//cda:td[replace(lower-case(.), '\s+', '') = $term]),            true()))         else exists(index-of(          for $j in (1 to count($h-search-terms-1)) return boolean($tables[$i]//cda:td[           replace(lower-case(.), '\s+', '') = $h-search-terms-1[$j]   or           replace(lower-case(.), '\s+', '') = $h-search-terms-2[$j]  or           matches(., $h-search-regex-2[$j], 'is')     ]), true())) " />
    <xsl:variable name="h-in-a-table" select="if ($h-normalised-value = '') then false() else exists(index-of($h-quantity-match, true())) " />
    <xsl:variable name="h-search-xPre" select="$xpre-num &gt; 0 and not($h-normalised-value = '') and ((cda:low/@value and $l-in-xpre) or not(cda:low/@value)) " />
    <xsl:variable name="h-xPre-elements" select="if (not($h-search-xPre)) then ()        else if (cda:low/@value and $l-in-xpre) then for $i in (1 to $xpre-num) return if ($l-xpre-quantity-match[$i]) then '1' else '0'        else for $i in (1 to $xpre-num) return '1' " />
    <xsl:variable name="h-xpre-value-match" select="if (not($h-search-xPre)) then () else for $i in (1 to $xpre-num) return $h-xPre-elements[$i] = '1' and matches($xpre-2[$i], $h-value-regex, 'is') " />
    <xsl:variable name="h-xpre-quantity-match" select="if (not(cda:high)) then () else if ($h-unit = '1') then ($h-xpre-value-match) else for $i in (1 to $xpre-num) return         $h-xpre-value-match[$i] and exists(index-of(for $term in $h-search-regex-2 return matches($xpre-2[$i], $term, 'is'), true())) " />
    <xsl:variable name="h-in-xpre" select="if (not(cda:high)) then false() else exists(index-of($h-xpre-quantity-match, true())) " />
    <xsl:variable name="h-narr-value-match" select="if ($h-normalised-value = '' or $h-in-a-table or $h-in-xpre) then true() else matches($narrative, $h-value-regex, 'is') " />
    <xsl:variable name="h-narr-quantity-match" select="if ($h-normalised-value = '' or $h-in-a-table or $h-in-xpre) then true()        else $h-narr-value-match and exists(index-of(for $term in $h-search-regex-2 return matches($narrative, $term, 'is'), true())) " />
    <xsl:variable name="ivl-narr-quantity-match" select="if (cda:low/@value and cda:high/@value) then $l-narr-quantity-match and $h-narr-quantity-match        else if (cda:low/@value and not(cda:high/@value)) then $l-narr-quantity-match        else if (not(cda:low/@value) and cda:high/@value) then $l-narr-quantity-match        else false() " />
    <xsl:variable name="h-nullFlavor-values" select="if (cda:high/@nullFlavor and cda:high/@nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))        then $nullFlavors/nullFlavor[@value = current()/cda:high/@nullFlavor] else () " />
    <xsl:variable name="h-null-to-find" select="exists($h-nullFlavor-values) " />
    <xsl:variable name="h-null-in-narr" select="($h-nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $h-nullFlavor-values/@name-regex, 'is')])) or              ($h-nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $h-nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="ivl-nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="ivl-null-to-find" select="exists($ivl-nullFlavor-values) " />
    <xsl:variable name="ivl-null-in-narr" select="($ivl-nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $ivl-nullFlavor-values/@name-regex, 'is')])) or              ($ivl-nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $ivl-nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="l-quantity-text-1" select="if (not(cda:low)) then '' else if ($l-unit = '1') then concat('value ''', cda:low/@value, '''') else concat('value ''', cda:low/@value,         ''' and unit ''', $l-unit, '''') " />
    <xsl:variable name="l-quantity-text" select="if ($l-unit-name = '') then $l-quantity-text-1 else concat($l-quantity-text-1, ' (the unit for ', $l-unit-name, ')') " />
    <xsl:variable name="l-inclusive-text" select="if (not(cda:low)) then ''         else if (cda:low/@inclusive = 'true') then ' (the boundary is included)'        else if (cda:low/@inclusive = 'false') then ' (the boundary is not included)'        else '' " />
    <xsl:variable name="h-quantity-text-1" select="if (not(cda:high)) then '' else if ($h-unit = '1') then concat('value ''', cda:high/@value, '''') else concat('value ''', cda:high/@value,         ''' and unit ''', $h-unit, '''') " />
    <xsl:variable name="h-quantity-text" select="if ($h-unit-name = '') then $h-quantity-text-1 else concat($h-quantity-text-1, ' (the unit for ', $h-unit-name, ')') " />
    <xsl:variable name="h-inclusive-text" select="if (not(cda:high)) then ''         else if (cda:high/@inclusive = 'true') then ' (the boundary is included)'        else if (cda:high/@inclusive = 'false') then ' (the boundary is not included)'        else '' " />
    <xsl:variable name="multimedia" select="exists($target-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="$table-num = 0 and $xpre-num = 0 and not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($target-narr-node//cda:linkHtml))         then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',         ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',        ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-6" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-6 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and cda:low/@value and $table-num &gt; 0 and not($l-in-a-table or $l-in-xpre or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and cda:low/@value and $table-num &gt; 0 and not($l-in-a-table or $l-in-xpre or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-IVL-PQ): The  '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a low boundary with the <xsl:text /><xsl:value-of select="$l-quantity-text" /><xsl:text />.
		<xsl:text /><xsl:value-of select="$l-inclusive-text" /><xsl:text />.
		When transformed the quantity value is '<xsl:text /><xsl:value-of select="$l-normalised-value" /><xsl:text />'.
		The narrative contains <xsl:text /><xsl:value-of select="$table-num" /><xsl:text /><xsl:text /><xsl:value-of select="if ($table-num = 1) then ' table' else ' tables' " /><xsl:text />.
		The value regular expression l-value-regex is '<xsl:text /><xsl:value-of select="$l-value-regex" /><xsl:text />'.
		The value regular expression l-value-regex-3 is '<xsl:text /><xsl:value-of select="$l-value-regex-3" /><xsl:text />'.
		Elements of l-table-value-match are '<xsl:text /><xsl:value-of select="string-join($l-table-value-match, '|')" /><xsl:text />'.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($l-unit-synonyms, '|')" /><xsl:text />'.
		Elements of l-search-terms-1 are '<xsl:text /><xsl:value-of select="string-join($l-search-terms-1, '|')" /><xsl:text />'.
		Elements of l-search-terms-2 are '<xsl:text /><xsl:value-of select="string-join($l-search-terms-2, '|')" /><xsl:text />'.
		Elements of l-search-regex-1 are '<xsl:text /><xsl:value-of select="string-join($l-search-regex-1, '|')" /><xsl:text />'.
		Elements of l-search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($l-search-regex-2, '|')" /><xsl:text />'.
		Elements of l-quantity-match are '<xsl:text /><xsl:value-of select="string-join(for $i in (1 to count($l-quantity-match)) return if ($l-quantity-match[$i]) then '1' else '0', '|')" /><xsl:text />'.
		Was the quantity found by looking in table rows? <xsl:text /><xsl:value-of select="$l-in-a-table" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and cda:low/@value and $xpre-num &gt; 0 and not($l-in-a-table or $l-in-xpre or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and cda:low/@value and $xpre-num &gt; 0 and not($l-in-a-table or $l-in-xpre or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-IVL-PQ): The  '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a low boundary with the <xsl:text /><xsl:value-of select="$l-quantity-text" /><xsl:text />.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($l-unit-synonyms, '|')" /><xsl:text />'.
		The narrative contains <xsl:text /><xsl:value-of select="$xpre-num" /><xsl:text /> elements with the xPre styleCode.
		The value regular expression l-value-regex is '<xsl:text /><xsl:value-of select="$l-value-regex" /><xsl:text />'.
		Elements of l-xpre-value-match are '<xsl:text /><xsl:value-of select="string-join(for $x in $l-xpre-value-match return if ($x) then '1' else '0', '|')" /><xsl:text />'.
		Elements of l-search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($l-search-regex-2, '|')" /><xsl:text />'.
		Elements of l-xpre-quantity-match are '<xsl:text /><xsl:value-of select="string-join(for $x in $l-xpre-quantity-match return if ($x) then '1' else '0', '|')" /><xsl:text />'.
		Was the quantity found by looking in elements with the xPre styleCode? <xsl:text /><xsl:value-of select="$l-in-xpre" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and cda:low/@value and not($l-in-a-table or $l-narr-quantity-match or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and cda:low/@value and not($l-in-a-table or $l-narr-quantity-match or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-IVL-PQ): The  '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a low boundary with the <xsl:text /><xsl:value-of select="$l-quantity-text" /><xsl:text />.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($l-unit-synonyms, '|')" /><xsl:text />'.
		The value regular expression l-value-regex is '<xsl:text /><xsl:value-of select="$l-value-regex" /><xsl:text />'.
		Was the value found in the narrative? <xsl:text /><xsl:value-of select="$l-narr-value-match" /><xsl:text />.
		Elements of l-search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($l-search-regex-2, '|')" /><xsl:text />'.
		Was the quantity found in the narrative? <xsl:text /><xsl:value-of select="$l-narr-quantity-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and ((cda:low/@value and $l-narr-quantity-match) or not(cda:low/@value))   and cda:high/@value and $table-num &gt; 0 and not($h-in-a-table or $h-in-xpre or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and ((cda:low/@value and $l-narr-quantity-match) or not(cda:low/@value)) and cda:high/@value and $table-num &gt; 0 and not($h-in-a-table or $h-in-xpre or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-IVL-PQ): The  '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a high boundary with the <xsl:text /><xsl:value-of select="$h-quantity-text" /><xsl:text />.
		<xsl:text /><xsl:value-of select="$h-inclusive-text" /><xsl:text />.
		When transformed the quantity value is '<xsl:text /><xsl:value-of select="$h-normalised-value" /><xsl:text />'.
		The narrative contains <xsl:text /><xsl:value-of select="$table-num" /><xsl:text /><xsl:text /><xsl:value-of select="if ($table-num = 1) then ' table' else ' tables' " /><xsl:text />.
		Elements of h-tables are'<xsl:text /><xsl:value-of select="string-join($h-tables, '|')" /><xsl:text />'.
		The value regular expression h-value-regex is '<xsl:text /><xsl:value-of select="$h-value-regex" /><xsl:text />'.
		The value regular expression h-value-regex-3 is '<xsl:text /><xsl:value-of select="$h-value-regex-3" /><xsl:text />'.
		Elements of h-table-value-match are '<xsl:text /><xsl:value-of select="string-join($h-table-value-match, '|')" /><xsl:text />'.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($h-unit-synonyms, '|')" /><xsl:text />'.
		Elements of h-search-terms-1 are '<xsl:text /><xsl:value-of select="string-join($h-search-terms-1, '|')" /><xsl:text />'.
		Elements of h-search-terms-2 are '<xsl:text /><xsl:value-of select="string-join($h-search-terms-2, '|')" /><xsl:text />'.
		Elements of h-search-regex-1 are '<xsl:text /><xsl:value-of select="string-join($h-search-regex-1, '|')" /><xsl:text />'.
		Elements of h-search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($h-search-regex-2, '|')" /><xsl:text />'.
		Elements of h-quantity-match are '<xsl:text /><xsl:value-of select="string-join(for $i in (1 to count($h-quantity-match)) return if ($h-quantity-match[$i]) then '1' else '0', '|')" /><xsl:text />'.
		Was the quantity found by looking in table rows? <xsl:text /><xsl:value-of select="$h-in-a-table" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and ((cda:low/@value and $l-narr-quantity-match) or not(cda:low/@value))   and cda:high/@value and $xpre-num &gt; 0 and not($h-in-a-table or $h-in-xpre or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and ((cda:low/@value and $l-narr-quantity-match) or not(cda:low/@value)) and cda:high/@value and $xpre-num &gt; 0 and not($h-in-a-table or $h-in-xpre or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-IVL-PQ): The  '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a high boundary with the <xsl:text /><xsl:value-of select="$h-quantity-text" /><xsl:text />.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($h-unit-synonyms, '|')" /><xsl:text />'.
		The narrative contains <xsl:text /><xsl:value-of select="$xpre-num" /><xsl:text /> elements with the xPre styleCode.
		The value regular expression h-value-regex is '<xsl:text /><xsl:value-of select="$h-value-regex" /><xsl:text />'.
		Elements of h-xpre-value-match are '<xsl:text /><xsl:value-of select="string-join(for $x in $h-xpre-value-match return if ($x) then '1' else '0', '|')" /><xsl:text />'.
		Elements of h-search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($h-search-regex-2, '|')" /><xsl:text />'.
		Elements of h-xpre-quantity-match are '<xsl:text /><xsl:value-of select="string-join(for $x in $h-xpre-quantity-match return if ($x) then '1' else '0', '|')" /><xsl:text />'.
		Was the quantity found by looking in elements with the xPre styleCode? <xsl:text /><xsl:value-of select="$h-in-xpre" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and ((cda:low/@value and $l-narr-quantity-match) or not(cda:low/@value))   and cda:high/@value and not($h-in-a-table or $h-narr-quantity-match or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and ((cda:low/@value and $l-narr-quantity-match) or not(cda:low/@value)) and cda:high/@value and not($h-in-a-table or $h-narr-quantity-match or $no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 6 (p-TS-Info-IVL-PQ): The  '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a high boundary with the value <xsl:text /><xsl:value-of select="$h-quantity-text" /><xsl:text />.
		The unit synonyms are '<xsl:text /><xsl:value-of select="string-join($h-unit-synonyms, '|')" /><xsl:text />'.
		The value regular expression h-value-regex is '<xsl:text /><xsl:value-of select="$h-value-regex" /><xsl:text />'.
		Was the value found in the narrative? <xsl:text /><xsl:value-of select="$h-narr-value-match" /><xsl:text />.
		Elements of h-search-regex-2 are '<xsl:text /><xsl:value-of select="string-join($h-search-regex-2, '|')" /><xsl:text />'.
		Was the quantity found in the narrative? <xsl:text /><xsl:value-of select="$h-narr-quantity-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" (cda:low/@value or cda:high/@value) and not($ivl-narr-quantity-match or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="(cda:low/@value or cda:high/@value) and not($ivl-narr-quantity-match or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-6" /><xsl:text />: TC-Narr-09 step 6: The  '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="if (cda:low/@value) then concat('a low boundary with the ', $l-quantity-text) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (cda:low/@value and cda:high/@value) then ' and ' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (cda:high/@value) then concat('a high boundary with the ', $h-quantity-text) else '' " /><xsl:text />
		however the boundary <xsl:text /><xsl:value-of select="if (cda:low/@value and cda:high/@value) then ' values do ' else ' value does ' " /><xsl:text /> not seem to be
		present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (false())    then ' The  data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and (cda:low/@value or cda:high/@value) and not($ivl-narr-quantity-match or $ivl-null-in-narr) and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and (cda:low/@value or cda:high/@value) and not($ivl-narr-quantity-match or $ivl-null-in-narr) and not(false())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-6" /><xsl:text />: TC-Narr-09 step 6: The  '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="if (cda:low/@value) then concat('a low boundary with the ', $l-quantity-text) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (cda:low/@value and cda:high/@value) then ' and ' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (cda:high/@value) then concat('a high boundary with the ', $h-quantity-text) else '' " /><xsl:text />
		however the boundary <xsl:text /><xsl:value-of select="if (cda:low/@value and cda:high/@value) then ' values do ' else ' value does ' " /><xsl:text /> are not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and (cda:low/@value or cda:high/@value) and not($ivl-narr-quantity-match or $ivl-null-in-narr) and false() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and (cda:low/@value or cda:high/@value) and not($ivl-narr-quantity-match or $ivl-null-in-narr) and false()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-6" /><xsl:text />: TC-Narr-09 step 6: The  '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="if (cda:low/@value) then concat('a low boundary with the ', $l-quantity-text) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (cda:low/@value and cda:high/@value) then ' and ' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (cda:high/@value) then concat('a high boundary with the ', $h-quantity-text) else '' " /><xsl:text />
		however the boundary <xsl:text /><xsl:value-of select="if (cda:low/@value and cda:high/@value) then ' values do ' else ' value does ' " /><xsl:text /> are not present in the narrative of the section.
		The  data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-null-to-find and not($l-null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-null-to-find and not($l-null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The  '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a low boundary with a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="cda:low/@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$l-nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($l-nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-null-to-find and not($h-null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-null-to-find and not($h-null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The  '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a high boundary with a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="cda:high/@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$h-nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($h-nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $ivl-null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'QS', 'TRC', 'UNK') and not($ivl-null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$ivl-null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'QS', 'TRC', 'UNK') and not($ivl-null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The  '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$ivl-nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($ivl-nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1114" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1114" />
  <xsl:template match="@*|node()" priority="-2" mode="M1114">
    <xsl:apply-templates select="@*|*" mode="M1114" />
  </xsl:template>
  <!--PATTERN p-TS-Info-13-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//        cda:section[not(cda:code/@codeSystem = '1.2.36.1.2001.1001.101') or         cda:code[not(@code = $section-types/section-type[@codeSystem = '1.2.36.1.2001.1001.101']/@code)]]/        cda:entry//*[( local-name(.) = 'birthTime'     or          local-name(.) = 'copyTime'     or          local-name(.) = 'creationTime'     or          local-name(.) = 'deceasedTime'     or          local-name(.) = 'executionAndDeliveryTime'   or          local-name(.) = 'lastCalibrationTime'    or          local-name(.) = 'recertificationTime'    or          @xsi:type = 'TS'       or           normalize-space(substring-after(@xsi:type, ':')) = 'TS'  ) and not(           ancestor::cda:performer   or            ancestor::cda:author   )]        [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))] |              /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//        cda:section[not(cda:code/@codeSystem = '1.2.36.1.2001.1001.101') or         cda:code[not(@code = $section-types/section-type[@codeSystem = '1.2.36.1.2001.1001.101']/@code)]]/        cda:entry//*[( local-name(.) = 'activityTime'     or          local-name(.) = 'availabilityTime'    or          local-name(.) = 'effectiveTime'     or          local-name(.) = 'existenceTime'     or          local-name(.) = 'expectedUseTime'    or          local-name(.) = 'expirationTime'    or          local-name(.) = 'stabilityTime'     or          local-name(.) = 'time'      or          @xsi:type = 'IVL_TS'      or          normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' ) and not(           ancestor::cda:performer   or            ancestor::cda:author   )]/cda:center        [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))] |              /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//        cda:section[not(cda:code/@codeSystem = '1.2.36.1.2001.1001.101') or         cda:code[not(@code = $section-types/section-type[@codeSystem = '1.2.36.1.2001.1001.101']/@code)]]/        cda:entry//*[( local-name(.) = 'time'     or         @xsi:type = 'PIVL_TS'       or          normalize-space(substring-after(@xsi:type, ':')) = 'PIVL_TS' ) and not(          ancestor::cda:performer   or           ancestor::cda:author   )]/cda:phase/cda:center        [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))]  " priority="1000" mode="M1115">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//        cda:section[not(cda:code/@codeSystem = '1.2.36.1.2001.1001.101') or         cda:code[not(@code = $section-types/section-type[@codeSystem = '1.2.36.1.2001.1001.101']/@code)]]/        cda:entry//*[( local-name(.) = 'birthTime'     or          local-name(.) = 'copyTime'     or          local-name(.) = 'creationTime'     or          local-name(.) = 'deceasedTime'     or          local-name(.) = 'executionAndDeliveryTime'   or          local-name(.) = 'lastCalibrationTime'    or          local-name(.) = 'recertificationTime'    or          @xsi:type = 'TS'       or           normalize-space(substring-after(@xsi:type, ':')) = 'TS'  ) and not(           ancestor::cda:performer   or            ancestor::cda:author   )]        [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))] |              /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//        cda:section[not(cda:code/@codeSystem = '1.2.36.1.2001.1001.101') or         cda:code[not(@code = $section-types/section-type[@codeSystem = '1.2.36.1.2001.1001.101']/@code)]]/        cda:entry//*[( local-name(.) = 'activityTime'     or          local-name(.) = 'availabilityTime'    or          local-name(.) = 'effectiveTime'     or          local-name(.) = 'existenceTime'     or          local-name(.) = 'expectedUseTime'    or          local-name(.) = 'expirationTime'    or          local-name(.) = 'stabilityTime'     or          local-name(.) = 'time'      or          @xsi:type = 'IVL_TS'      or          normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' ) and not(           ancestor::cda:performer   or            ancestor::cda:author   )]/cda:center        [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))] |              /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//        cda:section[not(cda:code/@codeSystem = '1.2.36.1.2001.1001.101') or         cda:code[not(@code = $section-types/section-type[@codeSystem = '1.2.36.1.2001.1001.101']/@code)]]/        cda:entry//*[( local-name(.) = 'time'     or         @xsi:type = 'PIVL_TS'       or          normalize-space(substring-after(@xsi:type, ':')) = 'PIVL_TS' ) and not(          ancestor::cda:performer   or           ancestor::cda:author   )]/cda:phase/cda:center        [not(@value and (number(substring(@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(@value,1,4)) &gt; number($creation-date-yr) + 130))]  " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="fir-narrative" select="translate(normalize-space(lower-case(string($fir-narr-node))), $chars-to-remove, '')" />
    <xsl:variable name="sec-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)        then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]        else () " />
    <xsl:variable name="sec-narr-node" select="$sec-section/cda:text " />
    <xsl:variable name="narr-text-el" select="(for $text in ($fir-narr-node//text(), $sec-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="sec-narrative" select="translate(normalize-space(lower-case(string($sec-narr-node))), $chars-to-remove, '') " />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="narrative" select="concat($target-title, $fir-narrative, $sec-narrative)" />
    <xsl:variable name="narr-elements" select="$fir-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ]  |             $sec-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ] " />
    <xsl:variable name="narr-lower-case" select="for $i in (1 to count($narr-elements)) return lower-case(normalize-space(string-join($narr-elements[$i]/text(), '')))  " />
    <xsl:variable name="dt-narr-elements" select="$narr-lower-case[matches(., $regex-date-type-1, 'i') or matches(., $regex-date-type-2, 'i') or matches(., $regex-date-type-3, 'i')] " />
    <xsl:variable name="narr-elements-start" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-before($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-before($dt-narr-elements[$i], ' -'))        else $dt-narr-elements[$i])[. != ''] " />
    <xsl:variable name="narr-elements-end" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-after($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-after($dt-narr-elements[$i], ' -'))        else '')[. != ''] " />
    <xsl:variable name="narr-dateTimes" select="distinct-values(($narr-elements-start , $narr-elements-end))[. != '(ongoing)'] " />
    <xsl:variable name="dt-value" select="if (@value) then @value else '' " />
    <xsl:variable name="no-time-zone" select="if (contains($dt-value, '+')) then substring-before($dt-value, '+')       else if (contains($dt-value, '-')) then substring-before($dt-value, '-')       else $dt-value " />
    <xsl:variable name="dateTime-length" select="string-length($no-time-zone) " />
    <xsl:variable name="year" select="if ($dateTime-length &gt; 3) then substring($no-time-zone,1,4) else '' " />
    <xsl:variable name="month-num" select="if ($dateTime-length &gt; 5) then substring($no-time-zone,5,2) else '' " />
    <xsl:variable name="day" select="if ($dateTime-length &gt; 7 and substring($no-time-zone,7,1) = '0') then substring($no-time-zone,8,1)       else if ($dateTime-length &gt; 7 and substring($no-time-zone,7,1) != '0') then substring($no-time-zone,7,2) else '' " />
    <xsl:variable name="hour-long" select="if ($dateTime-length &gt; 9) then substring($no-time-zone,9,2) else '' " />
    <xsl:variable name="hour-short" select="if (substring($hour-long, 1, 1) = '0') then substring($hour-long, 2, 1) else '' " />
    <xsl:variable name="minute" select="if ($dateTime-length &gt; 11) then substring($no-time-zone,11,2) else '' " />
    <xsl:variable name="second" select="if ($dateTime-length &gt; 13) then substring($no-time-zone,13,2) else '' " />
    <xsl:variable name="time-zone" select="if (contains($dt-value, '+')) then concat('\+', substring-after($dt-value, '+'))       else if (contains($dt-value, '-')) then concat('\-', substring-after($dt-value, '-'))       else '' " />
    <xsl:variable name="month-short" select="if ($month-num = '01') then 'jan'  else             if ($month-num = '02') then 'feb'  else             if ($month-num = '03') then 'mar'  else             if ($month-num = '04') then 'apr'  else             if ($month-num = '05') then 'may'  else             if ($month-num = '06') then 'jun'  else             if ($month-num = '07') then 'jul'  else             if ($month-num = '08') then 'aug'  else             if ($month-num = '09') then 'sep'  else             if ($month-num = '10') then 'oct'  else             if ($month-num = '11') then 'nov'  else             if ($month-num = '12') then 'dec'  else '' " />
    <xsl:variable name="month-long" select="if ($month-num = '01') then 'january'  else             if ($month-num = '02') then 'february'  else             if ($month-num = '03') then 'march'  else             if ($month-num = '04') then 'april'  else             if ($month-num = '05') then 'may'  else             if ($month-num = '06') then 'june'  else             if ($month-num = '07') then 'july'  else             if ($month-num = '08') then 'august'  else             if ($month-num = '09') then 'september'  else             if ($month-num = '10') then 'october'  else             if ($month-num = '11') then 'november'  else             if ($month-num = '12') then 'december'  else '' " />
    <xsl:variable name="date-type-3-day" select="if (string-length($day) = 1) then concat('0{0,1}', $day) else $day " />
    <xsl:variable name="date-type-3-month" select="if (string-length($month-num) = 1) then concat('0{0,1}', $month-num)        else if (substring($month-num, 1, 1) = '0') then concat('0{0,1}', substring($month-num, 2, 1))         else $month-num " />
    <xsl:variable name="dt-sequence-1" select="if ($dateTime-length = 4) then (         concat('^', $dt-value)         ,          concat('^', $year)         )        else if ($dateTime-length = 6) then (         concat('^', $dt-value)         ,         concat('^', $month-short, $date-sep, $year)      ,          concat('^', $month-long, $date-sep, $year)      )        else if ($dateTime-length &gt; 7) then (         concat('^', $dt-value)         ,         concat('^', $date-type-3-day, $date-sep, $month-short, $date-sep, $year)  ,         concat('^', $date-type-3-day, $date-sep, $month-long, $date-sep, $year)   ,         concat('^', $date-type-3-day, '/', $date-type-3-month, '/', $year)   )        else () " />
    <xsl:variable name="matching-seq-1" select="if (exists($dt-sequence-1))        then index-of(for $i in (1 to count($dt-sequence-1)) return exists($narr-dateTimes[matches(., $dt-sequence-1[$i], 'i')]), true())        else () " />
    <xsl:variable name="dt-stem-1" select="for $i in (1 to count($matching-seq-1)) return $dt-sequence-1[$matching-seq-1[$i]] " />
    <xsl:variable name="dt-regex-1" select="if (exists($dt-stem-1)) then concat('(', string-join($dt-stem-1, '$)|('), '$)') else ()" />
    <xsl:variable name="dt-match-1" select="exists($dt-stem-1) and exists($narr-dateTimes[matches(., $dt-regex-1, 'i')])" />
    <xsl:variable name="time-1" select="if ($dateTime-length &gt; 11 and $hour-short != '') then concat($hour-short, ':', $minute, '( *| *am)') else '' " />
    <xsl:variable name="time-2" select="if ($dateTime-length &gt; 13 and $hour-short != '') then concat($hour-short, ':', $minute, ':', $second, '( *| *am)') else '' " />
    <xsl:variable name="time-3" select="if ($dateTime-length &gt; 11 and number($hour-long) &lt; 12) then concat($hour-long, ':', $minute, '( *| *am)')       else if ($dateTime-length &gt; 11) then concat($hour-long, ':', $minute) else '' " />
    <xsl:variable name="time-4" select="if ($dateTime-length &gt; 13 and number($hour-long) &lt; 12) then concat($hour-long, ':', $minute, ':', $second, '( *| *am)')        else if ($dateTime-length &gt; 13) then concat($hour-long, ':', $minute, ':', $second) else '' " />
    <xsl:variable name="time-5" select="if ($dateTime-length &gt; 11 and number($hour-long) &gt; 12) then concat(string(number($hour-long) - 12), ':', $minute, '( *| *pm)') else '' " />
    <xsl:variable name="time-6" select="if ($dateTime-length &gt; 13 and number($hour-long) &gt; 12) then concat(string(number($hour-long) - 12), ':', $minute, ':', $second, '( *| *pm)') else '' " />
    <xsl:variable name="dt-temp-0" select="if (exists($dt-stem-1) and $dateTime-length = 8) then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $narr-time-regex) else () " />
    <xsl:variable name="dt-temp-1" select="if (exists($dt-stem-1) and $time-1 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-1) else () " />
    <xsl:variable name="dt-temp-2" select="if (exists($dt-stem-1) and $time-2 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-2) else () " />
    <xsl:variable name="dt-temp-3" select="if (exists($dt-stem-1) and $time-3 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-3) else () " />
    <xsl:variable name="dt-temp-4" select="if (exists($dt-stem-1) and $time-4 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-4) else () " />
    <xsl:variable name="dt-temp-5" select="if (exists($dt-stem-1) and $time-5 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-5) else () " />
    <xsl:variable name="dt-temp-6" select="if (exists($dt-stem-1) and $time-6 != '') then for $i in (1 to count($dt-stem-1)) return concat($dt-stem-1[$i], ' ', $time-6) else () " />
    <xsl:variable name="dt-sequence-2" select="($dt-temp-0, $dt-temp-1, $dt-temp-2, $dt-temp-3, $dt-temp-4, $dt-temp-5, $dt-temp-6)" />
    <xsl:variable name="matching-seq-2" select="if (exists($dt-sequence-2))        then index-of(for $i in (1 to count($dt-sequence-2)) return exists($narr-dateTimes[matches(., $dt-sequence-2[$i], 'i')]), true())        else () " />
    <xsl:variable name="dt-stem-2" select="for $i in (1 to count($matching-seq-2)) return $dt-sequence-2[$matching-seq-2[$i]] " />
    <xsl:variable name="dt-regex-2" select="if (exists($dt-stem-2)) then concat('(', string-join($dt-stem-2, '$)|('), '$)') else '' " />
    <xsl:variable name="dt-match-2" select="(exists($dt-stem-2) and exists($narr-dateTimes[matches(., $dt-regex-2, 'i')])) " />
    <xsl:variable name="dt-sequence-3" select="if (not($dt-match-2) and exists($dt-stem-2) and $time-zone != '') then for $i in (1 to count($dt-stem-2)) return        concat($dt-stem-2[$i], substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2)) else () " />
    <xsl:variable name="dt-regex-3" select="if ($dt-match-2) then '' else if (exists($dt-sequence-3)) then concat('(', string-join($dt-sequence-3, '$)|('), '$)') else '' " />
    <xsl:variable name="dt-match-3" select="($dt-match-2 or (exists($dt-sequence-3) and exists($narr-dateTimes[matches(., $dt-regex-3, 'i')]))) " />
    <xsl:variable name="narr-match" select="if ($dt-value != '' and not(exists($narr-dateTimes))) then      (       contains($narrative, $dt-value)               or       (string-length($dt-value) = 4 and contains($narrative, $year))            or        (string-length($dt-value) = 6 and contains($narrative, concat($month-short, $year)))          or       (string-length($dt-value) &gt; 7 and starts-with($day, '0') and        (contains($narrative, concat(substring($day,2,1), $month-short, $year)) or         contains($narrative, concat(substring($day,2,1), $month-num, $year))))          or       (string-length($dt-value) &gt; 7 and (contains($narrative, concat($day, $month-short, $year)) or contains($narrative, concat($day, $month-num, $year))))        )       else false() " />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor and @nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))         then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else () " />
    <xsl:variable name="null-to-find" select="exists($nullFlavor-values) " />
    <xsl:variable name="null-in-narr" select="($nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $nullFlavor-values/@name-regex, 'is')])) or              ($nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="multimedia" select="exists($fir-narr-node//cda:renderMultiMedia) or exists($sec-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($fir-narr-node//cda:linkHtml) or exists($sec-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="warning-1" select="exists($dt-sequence-1) and exists($narr-dateTimes) and $dt-match-1 and not($dt-match-3) and $dt-value != '' " />
    <xsl:variable name="error-1" select="$warning-1 and not($multimedia) " />
    <xsl:variable name="warning-2" select="exists($dt-sequence-1) and exists($narr-dateTimes) and not($dt-match-1 or $dt-match-3) and $dt-value != '' " />
    <xsl:variable name="error-2a" select="$warning-2 and not($multimedia) and $time-zone != '' and count($narr-dateTimes) =        count(for $dt in $narr-dateTimes return replace(replace($dt, $regex-date-type-1, ''), $regex-date-type-2, '')       [matches(., concat('^\s*([0-9]{1,2}:{1}[0-9]{2}\s*', substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2),         '|[0-9]{1,2}:{1}[0-9]{2}:{1}[0-9]{2}\s*', substring($time-zone, 1, 4), ':?', substring($time-zone, 5, 2), ')\s*$'), 'i')]) " />
    <xsl:variable name="error-2b" select="$warning-2 and not($dt-match-1) and not($multimedia) and count($narr-dateTimes[matches(., $regex-date-type-2, 'i')]) =        count($narr-dateTimes[matches(., concat($regex-date-type-2, ' ', $narr-time-regex, '$'), 'i')]) " />
    <xsl:variable name="error-2c" select="$warning-2 and exists($narr-dateTimes[matches(., concat('^', $year, '$'))]) " />
    <xsl:variable name="error-2" select="$error-2a or $error-2b or $error-2c " />
    <xsl:variable name="warning-3" select="$dt-value != '' and not(exists($narr-dateTimes)) and not($narr-match) " />
    <xsl:variable name="error-3" select="$warning-3 and not($multimedia) and not(contains($narrative, substring($year, 3, 2)))" />
    <xsl:variable name="narr-dt-msg" select="if ($multimedia or $no-content) then ''       else if (not(exists($narr-dateTimes))) then concat(' The narrative of the ', iq:location(., ''), ' contains no dateTime elements.')       else if (count($narr-dateTimes) = 1) then concat(' The only dateTime element in the narrative of the ', iq:location(., ''), ' is ''',         dh:XQueryRecursiveReplace($narr-dateTimes[1], '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), '''.')       else concat(' The distinct dateTime elements in the narrative of the ', iq:location(., ''), ' are ''',         string-join(for $dt in $narr-dateTimes return          dh:XQueryRecursiveReplace($dt, '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), ', '), '''.') " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-4" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-4 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and exists($dt-sequence-1) and $dt-value != '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and exists($dt-sequence-1) and $dt-value != ''">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 4: The dateTime element in the structured data is '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'.
		The number of dateTime elements that have been extracted from the narrative is '<xsl:text /><xsl:value-of select="count($narr-dateTimes)" /><xsl:text />'.
		These are '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-dateTimes, ', '), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The initial regular expressions are '<xsl:text /><xsl:value-of select="string-join($dt-sequence-1, ', ')" /><xsl:text />'.
		The items in dt-stem-1 are: '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($dt-stem-1, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The items in dt-sequence-2 are: '<xsl:text /><xsl:value-of select="string-join($dt-sequence-2, '|')" /><xsl:text />'.
		The items in dt-stem-2 are: '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($dt-stem-2, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The three regular expressions used to perform an exact match for narrative dateTime elements are as follows:
		dt-regex-1='<xsl:text /><xsl:value-of select="$dt-regex-1" /><xsl:text />'; dt-regex-2='<xsl:text /><xsl:value-of select="$dt-regex-2" /><xsl:text />'; and dt-regex-3='<xsl:text /><xsl:value-of select="$dt-regex-3" /><xsl:text />'.
		Was a match found after the first regular expression (with just a date) was created? <xsl:text /><xsl:value-of select="$dt-match-1" /><xsl:text />.		
		<xsl:text /><xsl:value-of select="if ($dt-regex-2 = '') then 'The second regular expression was not applied as there is no time information.'    else concat('Was a match found after the second regular expression (with a date and time) was created? ', $dt-match-2, '.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($dt-regex-3 = '') then ' The third regular expression was not applied as there is no timezone information.'    else concat(' Was a match found after the third regular expression (with a date and time) was created? ', $dt-match-3, '.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $warning-1 and not($error-1 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $warning-1 and not($error-1 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The  
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section.
		<xsl:text /><xsl:value-of select="if (false())    then ' The  data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $error-1 and not($no-content) and false()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $error-1 and not($no-content) and false()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The  
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. The  data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $error-1 and not($no-content) and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $error-1 and not($no-content) and not(false())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The  
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. The  data element records clinical information and all clinical information in entry elements must be present in the narrative.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $warning-2 and not($error-2 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$warning-2 and not($error-2 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The  
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section.
		<xsl:text /><xsl:value-of select="if (false())    then ' The  data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-2 and not($no-content) and false()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-2 and not($no-content) and false()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The  
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="if ($error-2c) then concat('The narrative contains a date with the same year ''', $year, ''' but without a month or day.') else '' " /><xsl:text />
		The  data element records clinical information and all clinical information in entry elements must be present in the narrative.
		<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-2 and not($no-content) and not(false())">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-2 and not($no-content) and not(false())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The  
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this date/time does not match any of the date/time elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="if ($error-2c) then concat('The narrative contains a date with the same year ''', $year, ''' but without a month or day.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $warning-3 and not($error-3 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$warning-3 and not($error-3 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The  
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not seem to be present in the narrative of the section.
		<xsl:text /><xsl:value-of select="if (false())    then ' The  data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $dt-value != '' and not($narr-match or $null-in-narr) and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $dt-value != '' and not($narr-match or $null-in-narr) and not(false())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The  
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $dt-value != '' and not($narr-match or $null-in-narr) and false() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $dt-value != '' and not($narr-match or $null-in-narr) and false()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The  '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The  data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-3 and not($no-content) and false()">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-3 and not($no-content) and false()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The  '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The  data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-3 and not($no-content) and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-3 and not($no-content) and not(false())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The  '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($dt-value) &lt; 9) then concat('(', iq:display-date($dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-to-find and @nullFlavor = ('ASKU', 'MSK', 'NA', 'NASK', 'NAV', 'NINF', 'PINF', 'UNK') and not($null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The  '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section. If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1115" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1115" />
  <xsl:template match="@*|node()" priority="-2" mode="M1115">
    <xsl:apply-templates select="@*|*" mode="M1115" />
  </xsl:template>
  <!--PATTERN p-TS-Info-14-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//        cda:section[not(cda:code/@codeSystem = '1.2.36.1.2001.1001.101') or         cda:code[not(@code = $section-types/section-type[@codeSystem = '1.2.36.1.2001.1001.101']/@code)]]/        cda:entry//*[( local-name(.) = 'activityTime'     or         local-name(.) = 'availabilityTime'    or         local-name(.) = 'effectiveTime'     or         local-name(.) = 'existenceTime'     or         local-name(.) = 'expectedUseTime'    or         local-name(.) = 'expirationTime'    or         local-name(.) = 'stabilityTime'     or         local-name(.) = 'time'      or         @xsi:type = 'IVL_TS'       or          normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' ) and not(          ancestor::cda:performer   or           ancestor::cda:author   )]   [not((cda:low/@value and (number(substring(cda:low/@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(cda:low/@value,1,4)) &gt; number($creation-date-yr) + 130)) or     (cda:high/@value and (number(substring(cda:high/@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(cda:high/@value,1,4)) &gt; number($creation-date-yr) + 130)))] |              /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//        cda:section[not(cda:code/@codeSystem = '1.2.36.1.2001.1001.101') or         cda:code[not(@code = $section-types/section-type[@codeSystem = '1.2.36.1.2001.1001.101']/@code)]]/        cda:entry//*[( local-name(.) = 'time'     or          @xsi:type = 'PIVL_TS'       or          normalize-space(substring-after(@xsi:type, ':')) = 'PIVL_TS' ) and not(          ancestor::cda:performer   or           ancestor::cda:author   )]/cda:phase   [not((cda:low/@value and (number(substring(cda:low/@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(cda:low/@value,1,4)) &gt; number($creation-date-yr) + 130)) or     (cda:high/@value and (number(substring(cda:high/@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(cda:high/@value,1,4)) &gt; number($creation-date-yr) + 130)))]  " priority="1000" mode="M1116">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//        cda:section[not(cda:code/@codeSystem = '1.2.36.1.2001.1001.101') or         cda:code[not(@code = $section-types/section-type[@codeSystem = '1.2.36.1.2001.1001.101']/@code)]]/        cda:entry//*[( local-name(.) = 'activityTime'     or         local-name(.) = 'availabilityTime'    or         local-name(.) = 'effectiveTime'     or         local-name(.) = 'existenceTime'     or         local-name(.) = 'expectedUseTime'    or         local-name(.) = 'expirationTime'    or         local-name(.) = 'stabilityTime'     or         local-name(.) = 'time'      or         @xsi:type = 'IVL_TS'       or          normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' ) and not(          ancestor::cda:performer   or           ancestor::cda:author   )]   [not((cda:low/@value and (number(substring(cda:low/@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(cda:low/@value,1,4)) &gt; number($creation-date-yr) + 130)) or     (cda:high/@value and (number(substring(cda:high/@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(cda:high/@value,1,4)) &gt; number($creation-date-yr) + 130)))] |              /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//        cda:section[not(cda:code/@codeSystem = '1.2.36.1.2001.1001.101') or         cda:code[not(@code = $section-types/section-type[@codeSystem = '1.2.36.1.2001.1001.101']/@code)]]/        cda:entry//*[( local-name(.) = 'time'     or          @xsi:type = 'PIVL_TS'       or          normalize-space(substring-after(@xsi:type, ':')) = 'PIVL_TS' ) and not(          ancestor::cda:performer   or           ancestor::cda:author   )]/cda:phase   [not((cda:low/@value and (number(substring(cda:low/@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(cda:low/@value,1,4)) &gt; number($creation-date-yr) + 130)) or     (cda:high/@value and (number(substring(cda:high/@value,1,4)) &lt; number($creation-date-yr) - 130 or number(substring(cda:high/@value,1,4)) &gt; number($creation-date-yr) + 130)))]  " />
    <xsl:variable name="target-section" select="ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]" />
    <xsl:variable name="fir-narr-node" select="$target-section/cda:text" />
    <xsl:variable name="fir-narrative" select="translate(normalize-space(lower-case(string($fir-narr-node))), $chars-to-remove, '')" />
    <xsl:variable name="sec-section" select="if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)        then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]        else () " />
    <xsl:variable name="sec-narr-node" select="$sec-section/cda:text " />
    <xsl:variable name="narr-text-el" select="(for $text in ($fir-narr-node//text(), $sec-narr-node//text()) return normalize-space($text))[matches(., '[0-9a-z]', 'is')] " />
    <xsl:variable name="sec-narrative" select="translate(normalize-space(lower-case(string($sec-narr-node))), $chars-to-remove, '') " />
    <xsl:variable name="target-title" select="translate(normalize-space(lower-case($target-section/cda:title)), $chars-to-remove, '') " />
    <xsl:variable name="narrative" select="concat($target-title, $fir-narrative, $sec-narrative)" />
    <xsl:variable name="narr-elements" select="$fir-narr-node//cda:*[exists(text()[normalize-space() != '']) and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ]  |             $sec-narr-node//cda:*[exists(text()[normalize-space() != ''])  and        not(local-name(.) = 'th' or ancestor::cda:th)    and        not(local-name(.) = 'caption' or ancestor::cda:caption)  and       not(local-name(.) = 'linkHtml')     and       not(local-name(.) = 'renderMultiMedia')    ] " />
    <xsl:variable name="narr-lower-case" select="for $i in (1 to count($narr-elements)) return lower-case(normalize-space(string-join($narr-elements[$i]/text(), '')))  " />
    <xsl:variable name="dt-narr-elements" select="$narr-lower-case[matches(., $regex-date-type-1, 'i') or matches(., $regex-date-type-2, 'i') or matches(., $regex-date-type-3, 'i')] " />
    <xsl:variable name="narr-elements-start" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-before($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-before($dt-narr-elements[$i], ' -'))        else $dt-narr-elements[$i])[. != ''] " />
    <xsl:variable name="narr-elements-end" select="(for $i in (1 to count($dt-narr-elements)) return         if (contains($dt-narr-elements[$i], '-&gt;')) then normalize-space(substring-after($dt-narr-elements[$i], '-&gt;'))        else if (contains($dt-narr-elements[$i], ' -')) then normalize-space(substring-after($dt-narr-elements[$i], ' -'))        else '')[. != ''] " />
    <xsl:variable name="narr-dateTimes" select="distinct-values(($narr-elements-start , $narr-elements-end))[. != '(ongoing)'] " />
    <xsl:variable name="l-dt-value" select="if (@value) then @value        else if (cda:low/@value) then cda:low/@value        else '' " />
    <xsl:variable name="l-no-time-zone" select="if (contains($l-dt-value, '+')) then substring-before($l-dt-value, '+')       else if (contains($l-dt-value, '-')) then substring-before($l-dt-value, '-')       else $l-dt-value " />
    <xsl:variable name="l-length" select="string-length($l-no-time-zone) " />
    <xsl:variable name="l-year" select="if ($l-length &gt; 3) then substring($l-no-time-zone,1,4) else '' " />
    <xsl:variable name="l-month-num" select="if ($l-length &gt; 5) then substring($l-no-time-zone,5,2) else '' " />
    <xsl:variable name="l-day" select="if ($l-length &gt; 7 and substring($l-no-time-zone,7,1) = '0') then substring($l-no-time-zone,8,1)       else if ($l-length &gt; 7 and substring($l-no-time-zone,7,1) != '0') then substring($l-no-time-zone,7,2) else '' " />
    <xsl:variable name="l-hour-long" select="if ($l-length &gt; 9) then substring($l-no-time-zone,9,2) else '' " />
    <xsl:variable name="l-hour-short" select="if (substring($l-hour-long, 1, 1) = '0') then substring($l-hour-long, 2, 1) else '' " />
    <xsl:variable name="l-minute" select="if ($l-length &gt; 11) then substring($l-no-time-zone,11,2) else '' " />
    <xsl:variable name="l-second" select="if ($l-length &gt; 13) then substring($l-no-time-zone,13,2) else '' " />
    <xsl:variable name="l-time-zone" select="if (contains($l-dt-value, '+')) then concat('\+', substring-after($l-dt-value, '+'))       else if (contains($l-dt-value, '-')) then concat('\-', substring-after($l-dt-value, '-'))       else '' " />
    <xsl:variable name="l-month-short" select="if ($l-month-num = '01') then 'jan'   else             if ($l-month-num = '02') then 'feb'   else             if ($l-month-num = '03') then 'mar'   else             if ($l-month-num = '04') then 'apr'   else             if ($l-month-num = '05') then 'may'   else             if ($l-month-num = '06') then 'jun'   else             if ($l-month-num = '07') then 'jul'   else             if ($l-month-num = '08') then 'aug'   else             if ($l-month-num = '09') then 'sep'   else             if ($l-month-num = '10') then 'oct'   else             if ($l-month-num = '11') then 'nov'   else             if ($l-month-num = '12') then 'dec'   else '' " />
    <xsl:variable name="l-month-long" select="if ($l-month-num = '01') then 'january'   else             if ($l-month-num = '02') then 'february'  else             if ($l-month-num = '03') then 'march'   else             if ($l-month-num = '04') then 'april'   else             if ($l-month-num = '05') then 'may'   else             if ($l-month-num = '06') then 'june'   else             if ($l-month-num = '07') then 'july'   else             if ($l-month-num = '08') then 'august'   else             if ($l-month-num = '09') then 'september'  else             if ($l-month-num = '10') then 'october'   else             if ($l-month-num = '11') then 'november'  else             if ($l-month-num = '12') then 'december'  else '' " />
    <xsl:variable name="l-date-type-3-day" select="if (string-length($l-day) = 1) then concat('0{0,1}', $l-day) else $l-day " />
    <xsl:variable name="l-date-type-3-month" select="if (string-length($l-month-num) = 1) then concat('0{0,1}', $l-month-num)        else if (substring($l-month-num, 1, 1) = '0') then concat('0{0,1}', substring($l-month-num, 2, 1))         else $l-month-num " />
    <xsl:variable name="l-dt-sequence-1" select="if ($l-length = 4) then (         concat('^', $l-dt-value)        ,          concat('^', $l-year)         )        else if ($l-length = 6) then (         concat('^', $l-dt-value)        ,         concat('^', $l-month-short, $date-sep, $l-year)      ,          concat('^', $l-month-long, $date-sep, $l-year)      )        else if ($l-length &gt; 7) then (         concat('^', $l-dt-value)        ,         concat('^', $l-date-type-3-day, $date-sep, $l-month-short, $date-sep, $l-year)  ,         concat('^', $l-date-type-3-day, $date-sep, $l-month-long, $date-sep, $l-year)  ,         concat('^', $l-date-type-3-day, '/', $l-date-type-3-month, '/', $l-year)  )        else () " />
    <xsl:variable name="l-matching-seq-1" select="if (exists($l-dt-sequence-1))        then index-of(for $i in (1 to count($l-dt-sequence-1)) return exists($narr-dateTimes[matches(., $l-dt-sequence-1[$i], 'i')]), true())        else () " />
    <xsl:variable name="l-dt-stem-1" select="for $i in (1 to count($l-matching-seq-1)) return $l-dt-sequence-1[$l-matching-seq-1[$i]] " />
    <xsl:variable name="l-dt-regex-1" select="if (exists($l-dt-stem-1)) then concat('(', string-join($l-dt-stem-1, '$)|('), '$)') else ()" />
    <xsl:variable name="l-dt-match-1" select="exists($l-dt-stem-1) and exists($narr-dateTimes[matches(., $l-dt-regex-1, 'i')])" />
    <xsl:variable name="l-time-1" select="if ($l-length &gt; 11 and $l-hour-short != '') then concat($l-hour-short, ':', $l-minute, '( *| *am)') else '' " />
    <xsl:variable name="l-time-2" select="if ($l-length &gt; 13 and $l-hour-short != '') then concat($l-hour-short, ':', $l-minute, ':', $l-second, '( *| *am)') else '' " />
    <xsl:variable name="l-time-3" select="if ($l-length &gt; 11 and number($l-hour-long) &lt; 12) then concat($l-hour-long, ':', $l-minute, '( *| *am)')        else if ($l-length &gt; 11) then concat($l-hour-long, ':', $l-minute) else '' " />
    <xsl:variable name="l-time-4" select="if ($l-length &gt; 13 and number($l-hour-long) &lt; 12) then concat($l-hour-long, ':', $l-minute, ':', $l-second, '( *| *am)')        else if ($l-length &gt; 13) then concat($l-hour-long, ':', $l-minute, ':', $l-second) else '' " />
    <xsl:variable name="l-time-5" select="if ($l-length &gt; 11 and number($l-hour-long) &gt; 12) then concat(string(number($l-hour-long) - 12), ':', $l-minute, '( *| *pm)') else '' " />
    <xsl:variable name="l-time-6" select="if ($l-length &gt; 13 and number($l-hour-long) &gt; 12) then concat(string(number($l-hour-long) - 12), ':', $l-minute, ':', $l-second, '( *| *pm)') else '' " />
    <xsl:variable name="l-dt-temp-0" select="if (exists($l-dt-stem-1) and $l-length = 8) then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $narr-time-regex) else () " />
    <xsl:variable name="l-dt-temp-1" select="if (exists($l-dt-stem-1) and $l-time-1 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-1) else () " />
    <xsl:variable name="l-dt-temp-2" select="if (exists($l-dt-stem-1) and $l-time-2 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-2) else () " />
    <xsl:variable name="l-dt-temp-3" select="if (exists($l-dt-stem-1) and $l-time-3 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-3) else () " />
    <xsl:variable name="l-dt-temp-4" select="if (exists($l-dt-stem-1) and $l-time-4 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-4) else () " />
    <xsl:variable name="l-dt-temp-5" select="if (exists($l-dt-stem-1) and $l-time-5 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-5) else () " />
    <xsl:variable name="l-dt-temp-6" select="if (exists($l-dt-stem-1) and $l-time-6 != '') then for $i in (1 to count($l-dt-stem-1)) return concat($l-dt-stem-1[$i], ' ', $l-time-6) else () " />
    <xsl:variable name="l-dt-sequence-2" select="($l-dt-temp-0, $l-dt-temp-1, $l-dt-temp-2, $l-dt-temp-3, $l-dt-temp-4, $l-dt-temp-5, $l-dt-temp-6)" />
    <xsl:variable name="l-matching-seq-2" select="if (exists($l-dt-sequence-2))        then index-of(for $i in (1 to count($l-dt-sequence-2)) return exists($narr-dateTimes[matches(., $l-dt-sequence-2[$i], 'i')]), true())        else () " />
    <xsl:variable name="l-dt-stem-2" select="for $i in (1 to count($l-matching-seq-2)) return $l-dt-sequence-2[$l-matching-seq-2[$i]] " />
    <xsl:variable name="l-dt-regex-2" select="if (exists($l-dt-stem-2)) then concat('(', string-join($l-dt-stem-2, '$)|('), '$)') else '' " />
    <xsl:variable name="l-dt-match-2" select="(exists($l-dt-stem-2) and exists($narr-dateTimes[matches(., $l-dt-regex-2, 'i')])) " />
    <xsl:variable name="l-dt-sequence-3" select="if (not($l-dt-match-2) and exists($l-dt-stem-2) and $l-time-zone != '') then for $i in (1 to count($l-dt-stem-2)) return        concat($l-dt-stem-2[$i], substring($l-time-zone, 1, 4), ':?', substring($l-time-zone, 5, 2)) else () " />
    <xsl:variable name="l-dt-regex-3" select="if ($l-dt-match-2) then '' else if (exists($l-dt-sequence-3)) then concat('(', string-join($l-dt-sequence-3, '$)|('), '$)') else '' " />
    <xsl:variable name="l-dt-match-3" select="($l-dt-match-2 or (exists($l-dt-sequence-3) and exists($narr-dateTimes[matches(., $l-dt-regex-3, 'i')]))) " />
    <xsl:variable name="l-narr-match" select="if ($l-dt-value != '' and count($narr-dateTimes) = 0) then      (       contains($narrative, $l-dt-value)                or       (string-length($l-dt-value) = 4 and contains($narrative, $l-year))             or        (string-length($l-dt-value) = 6 and contains($narrative, concat($l-month-short, $l-year)))          or       (string-length($l-dt-value) &gt; 7 and starts-with($l-day, '0') and        (contains($narrative, concat(substring($l-day,2,1), $l-month-short, $l-year)) or         contains($narrative, concat(substring($l-day,2,1), $l-month-num, $l-year))))          or       (string-length($l-dt-value) &gt; 7 and (contains($narrative, concat($l-day, $l-month-short, $l-year)) or contains($narrative, concat($l-day, $l-month-num, $l-year))))        )       else false() " />
    <xsl:variable name="h-dt-value" select="if (cda:high/@value and $l-dt-value != cda:high/@value) then cda:high/@value        else '' " />
    <xsl:variable name="h-no-time-zone" select="if (contains($h-dt-value, '+')) then substring-before($h-dt-value, '+')       else if (contains($h-dt-value, '-')) then substring-before($h-dt-value, '-')       else $h-dt-value " />
    <xsl:variable name="h-length" select="string-length($h-no-time-zone) " />
    <xsl:variable name="h-year" select="if ($h-length &gt; 3) then substring($h-no-time-zone,1,4) else '' " />
    <xsl:variable name="h-month-num" select="if ($h-length &gt; 5) then substring($h-no-time-zone,5,2) else '' " />
    <xsl:variable name="h-day" select="if ($h-length &gt; 7 and substring($h-no-time-zone,7,1) = '0') then substring($h-no-time-zone,8,1)       else if ($h-length &gt; 7 and substring($h-no-time-zone,7,1) != '0') then substring($h-no-time-zone,7,2) else '' " />
    <xsl:variable name="h-hour-long" select="if ($h-length &gt; 9) then substring($h-no-time-zone,9,2) else '' " />
    <xsl:variable name="h-hour-short" select="if (substring($h-hour-long, 1, 1) = '0') then substring($h-hour-long, 2, 1) else '' " />
    <xsl:variable name="h-minute" select="if ($h-length &gt; 11) then substring($h-no-time-zone,11,2) else '' " />
    <xsl:variable name="h-second" select="if ($h-length &gt; 13) then substring($h-no-time-zone,13,2) else '' " />
    <xsl:variable name="h-time-zone" select="if (contains($h-dt-value, '+')) then concat('\+', substring-after($h-dt-value, '+'))       else if (contains($h-dt-value, '-')) then concat('\-', substring-after($h-dt-value, '-'))       else '' " />
    <xsl:variable name="h-month-short" select="if ($h-month-num = '01') then 'jan'   else             if ($h-month-num = '02') then 'feb'   else             if ($h-month-num = '03') then 'mar'   else             if ($h-month-num = '04') then 'apr'   else             if ($h-month-num = '05') then 'may'   else             if ($h-month-num = '06') then 'jun'   else             if ($h-month-num = '07') then 'jul'   else             if ($h-month-num = '08') then 'aug'   else             if ($h-month-num = '09') then 'sep'   else             if ($h-month-num = '10') then 'oct'   else             if ($h-month-num = '11') then 'nov'   else             if ($h-month-num = '12') then 'dec'   else '' " />
    <xsl:variable name="h-month-long" select="if ($h-month-num = '01') then 'january'   else             if ($h-month-num = '02') then 'february'  else             if ($h-month-num = '03') then 'march'   else             if ($h-month-num = '04') then 'april'   else             if ($h-month-num = '05') then 'may'   else             if ($h-month-num = '06') then 'june'   else             if ($h-month-num = '07') then 'july'   else             if ($h-month-num = '08') then 'august'   else             if ($h-month-num = '09') then 'september'  else             if ($h-month-num = '10') then 'october'   else             if ($h-month-num = '11') then 'november'  else             if ($h-month-num = '12') then 'december'  else '' " />
    <xsl:variable name="h-date-type-3-day" select="if (string-length($h-day) = 1) then concat('0{0,1}', $h-day) else $h-day " />
    <xsl:variable name="h-date-type-3-month" select="if (string-length($h-month-num) = 1) then concat('0{0,1}', $h-month-num)        else if (substring($h-month-num, 1, 1) = '0') then concat('0{0,1}', substring($h-month-num, 2, 1))         else $h-month-num " />
    <xsl:variable name="h-dt-sequence-1" select="if ($h-length = 4) then (         concat('^', $h-dt-value)        ,          concat('^', $h-year)         )        else if ($h-length = 6) then (         concat('^', $h-dt-value)        ,         concat('^', $h-month-short, $date-sep, $h-year)      ,          concat('^', $h-month-long, $date-sep, $h-year)      )        else if ($h-length &gt; 7) then (         concat('^', $h-dt-value)        ,         concat('^', $h-date-type-3-day, $date-sep, $h-month-short, $date-sep, $h-year)  ,         concat('^', $h-date-type-3-day, $date-sep, $h-month-long, $date-sep, $h-year)  ,         concat('^', $h-date-type-3-day, '/', $h-date-type-3-month, '/', $h-year)  )        else () " />
    <xsl:variable name="h-matching-seq-1" select="if (exists($h-dt-sequence-1))        then index-of(for $i in (1 to count($h-dt-sequence-1)) return exists($narr-dateTimes[matches(., $h-dt-sequence-1[$i], 'i')]), true())        else () " />
    <xsl:variable name="h-dt-stem-1" select="for $i in (1 to count($h-matching-seq-1)) return $h-dt-sequence-1[$h-matching-seq-1[$i]] " />
    <xsl:variable name="h-dt-regex-1" select="if (exists($h-dt-stem-1)) then concat('(', string-join($h-dt-stem-1, '$)|('), '$)') else ()" />
    <xsl:variable name="h-dt-match-1" select="exists($h-dt-stem-1) and exists($narr-dateTimes[matches(., $h-dt-regex-1, 'i')])" />
    <xsl:variable name="h-time-1" select="if ($h-length &gt; 11 and $h-hour-short != '') then concat($h-hour-short, ':', $h-minute, '( *| *am)') else '' " />
    <xsl:variable name="h-time-2" select="if ($h-length &gt; 13 and $h-hour-short != '') then concat($h-hour-short, ':', $h-minute, ':', $h-second, '( *| *am)') else '' " />
    <xsl:variable name="h-time-3" select="if ($h-length &gt; 11 and number($h-hour-long) &lt; 12) then concat($h-hour-long, ':', $h-minute, '( *| *am)')        else if ($h-length &gt; 11) then concat($h-hour-long, ':', $h-minute) else '' " />
    <xsl:variable name="h-time-4" select="if ($h-length &gt; 13 and number($h-hour-long) &lt; 12) then concat($h-hour-long, ':', $h-minute, ':', $h-second, '( *| *am)')        else if ($h-length &gt; 13) then concat($h-hour-long, ':', $h-minute, ':', $h-second) else '' " />
    <xsl:variable name="h-time-5" select="if ($h-length &gt; 11 and number($h-hour-long) &gt; 12) then concat(string(number($h-hour-long) - 12), ':', $h-minute, '( *| *pm)') else '' " />
    <xsl:variable name="h-time-6" select="if ($h-length &gt; 13 and number($h-hour-long) &gt; 12) then concat(string(number($h-hour-long) - 12), ':', $h-minute, ':', $h-second, '( *| *pm)') else '' " />
    <xsl:variable name="h-dt-temp-0" select="if (exists($h-dt-stem-1) and $h-length = 8) then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $narr-time-regex) else () " />
    <xsl:variable name="h-dt-temp-1" select="if (exists($h-dt-stem-1) and $h-time-1 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-1) else () " />
    <xsl:variable name="h-dt-temp-2" select="if (exists($h-dt-stem-1) and $h-time-2 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-2) else () " />
    <xsl:variable name="h-dt-temp-3" select="if (exists($h-dt-stem-1) and $h-time-3 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-3) else () " />
    <xsl:variable name="h-dt-temp-4" select="if (exists($h-dt-stem-1) and $h-time-4 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-4) else () " />
    <xsl:variable name="h-dt-temp-5" select="if (exists($h-dt-stem-1) and $h-time-5 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-5) else () " />
    <xsl:variable name="h-dt-temp-6" select="if (exists($h-dt-stem-1) and $h-time-6 != '') then for $i in (1 to count($h-dt-stem-1)) return concat($h-dt-stem-1[$i], ' ', $h-time-6) else () " />
    <xsl:variable name="h-dt-sequence-2" select="($h-dt-temp-0, $h-dt-temp-1, $h-dt-temp-2, $h-dt-temp-3, $h-dt-temp-4, $h-dt-temp-5, $h-dt-temp-6)" />
    <xsl:variable name="h-matching-seq-2" select="if (exists($h-dt-sequence-2))        then index-of(for $i in (1 to count($h-dt-sequence-2)) return exists($narr-dateTimes[matches(., $h-dt-sequence-2[$i], 'i')]), true())        else () " />
    <xsl:variable name="h-dt-stem-2" select="for $i in (1 to count($h-matching-seq-2)) return $h-dt-sequence-2[$h-matching-seq-2[$i]] " />
    <xsl:variable name="h-dt-regex-2" select="if (exists($h-dt-stem-2)) then concat('(', string-join($h-dt-stem-2, '$)|('), '$)') else '' " />
    <xsl:variable name="h-dt-match-2" select="(exists($h-dt-stem-2) and exists($narr-dateTimes[matches(., $h-dt-regex-2, 'i')])) " />
    <xsl:variable name="h-dt-sequence-3" select="if (not($h-dt-match-2) and exists($h-dt-stem-2) and $h-time-zone != '') then for $i in (1 to count($h-dt-stem-2)) return        concat($h-dt-stem-2[$i], substring($h-time-zone, 1, 4), ':?', substring($h-time-zone, 5, 2)) else () " />
    <xsl:variable name="h-dt-regex-3" select="if ($h-dt-match-2) then '' else if (exists($h-dt-sequence-3)) then concat('(', string-join($h-dt-sequence-3, '$)|('), '$)') else '' " />
    <xsl:variable name="h-dt-match-3" select="($h-dt-match-2 or (exists($h-dt-sequence-3) and exists($narr-dateTimes[matches(., $h-dt-regex-3, 'i')]))) " />
    <xsl:variable name="h-narr-match" select="if ($h-dt-value != '' and count($narr-dateTimes) = 0) then      (       contains($narrative, $h-dt-value)                or       (string-length($h-dt-value) = 4 and contains($narrative, $h-year))             or        (string-length($h-dt-value) = 6 and contains($narrative, concat($h-month-short, $h-year)))          or       (string-length($h-dt-value) &gt; 7 and starts-with($h-day, '0') and        (contains($narrative, concat(substring($h-day,2,1), $h-month-short, $h-year)) or         contains($narrative, concat(substring($h-day,2,1), $h-month-num, $h-year))))          or       (string-length($h-dt-value) &gt; 7 and (contains($narrative, concat($h-day, $h-month-short, $h-year)) or contains($narrative, concat($h-day, $h-month-num, $h-year))))        )       else false() " />
    <xsl:variable name="h-nullFlavor-values" select="if (cda:high/@nullFlavor and cda:high/@nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))        then $nullFlavors/nullFlavor[@value = current()/cda:high/@nullFlavor] else () " />
    <xsl:variable name="h-null-to-find" select="exists($h-nullFlavor-values) " />
    <xsl:variable name="h-null-in-narr" select="($h-nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $h-nullFlavor-values/@name-regex, 'is')])) or              ($h-nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $h-nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="l-nullFlavor-values" select="if (cda:low/@nullFlavor and cda:low/@nullFlavor = ('PINF', 'NINF', 'ASKU', 'NAV', 'NASK', 'QS', 'TRC', 'MSK', 'NA'))        then $nullFlavors/nullFlavor[@value = current()/cda:low/@nullFlavor] else () " />
    <xsl:variable name="l-null-to-find" select="exists($l-nullFlavor-values) " />
    <xsl:variable name="l-null-in-narr" select="($l-nullFlavor-values/@name-regex and exists($narr-text-el[matches(., $l-nullFlavor-values/@name-regex, 'is')])) or              ($l-nullFlavor-values/@syn-regex and exists($narr-text-el[matches(., $l-nullFlavor-values/@syn-regex, 'is')])) " />
    <xsl:variable name="l-dt-name" select="if ($l-dt-value = cda:low/@value) then ' low' else '' " />
    <xsl:variable name="l-dt-msg" select="if ($l-dt-value = cda:low/@value) then ' This date/time is the low boundary of a time interval.' else '' " />
    <xsl:variable name="h-dt-msg" select="if ($h-dt-value = cda:high/@value) then ' This date/time is the high boundary of a time interval.' else '' " />
    <xsl:variable name="l-null-msg" select="if ($l-dt-value = cda:low/@value) then ' This nullFlavor value is for the low boundary of a time interval.' else '' " />
    <xsl:variable name="h-null-msg" select="if ($h-dt-value = cda:high/@value) then ' This nullFlavor value is for the high boundary of a time interval.' else '' " />
    <xsl:variable name="multimedia" select="exists($fir-narr-node//cda:renderMultiMedia) or exists($sec-narr-node//cda:renderMultiMedia) " />
    <xsl:variable name="no-content" select="not(exists($narr-text-el) or $multimedia) " />
    <xsl:variable name="multimedia-msg" select="if ($multimedia) then ' The information may be included in multimedia referenced by renderMultiMedia elements in the narrative block.' else '' " />
    <xsl:variable name="linkHtml-msg" select="if (exists($fir-narr-node//cda:linkHtml) or exists($sec-narr-node//cda:linkHtml))        then concat(' Note that a document that is referenced from a narrative using a linkHtml element is not an integral part of the narrative so the',        ' information must be in the narrative regardless of whether or not it is present in the document reference by the linkHtml element.',       ' (See section 4.3.5.2 of HL7 Clinical Document Architecture, Release 2.0.)') else '' " />
    <xsl:variable name="l-warning-1" select="exists($l-dt-sequence-1) and exists($narr-dateTimes) and $l-dt-match-1 and not($l-dt-match-3) and $l-dt-value != '' " />
    <xsl:variable name="l-error-1" select="$l-warning-1 and not($multimedia) " />
    <xsl:variable name="l-warning-2" select="exists($l-dt-sequence-1) and exists($narr-dateTimes) and not($l-dt-match-1 or $l-dt-match-3) and $l-dt-value != '' " />
    <xsl:variable name="l-error-2a" select="$l-warning-2 and not($multimedia) and $l-time-zone != '' and count($narr-dateTimes) =        count(for $dt in $narr-dateTimes return replace(replace($dt, $regex-date-type-1, ''), $regex-date-type-2, '')       [matches(., concat('^\s*([0-9]{1,2}:{1}[0-9]{2}\s*', substring($l-time-zone, 1, 4), ':?', substring($l-time-zone, 5, 2),         '|[0-9]{1,2}:{1}[0-9]{2}:{1}[0-9]{2}\s*', substring($l-time-zone, 1, 4), ':?', substring($l-time-zone, 5, 2), ')\s*$'), 'i')]) " />
    <xsl:variable name="l-error-2b" select="$l-warning-2 and not($l-dt-match-1) and not($multimedia) and count($narr-dateTimes[matches(., $regex-date-type-2, 'i')]) =        count($narr-dateTimes[matches(., concat($regex-date-type-2, ' ', $narr-time-regex, '$'), 'i')]) " />
    <xsl:variable name="l-error-2c" select="$l-warning-2 and exists($narr-dateTimes[matches(., concat('^', $l-year, '$'))]) " />
    <xsl:variable name="l-error-2" select="$l-error-2a or $l-error-2b or $l-error-2c " />
    <xsl:variable name="l-warning-3" select="$l-dt-value != '' and not(exists($narr-dateTimes)) and not($l-narr-match) " />
    <xsl:variable name="l-error-3" select="$l-warning-3 and not($multimedia) and not(contains($narrative, substring($l-year, 3,2)))" />
    <xsl:variable name="h-warning-1" select="exists($h-dt-sequence-1) and exists($narr-dateTimes) and $h-dt-match-1 and not($h-dt-match-3) and $h-dt-value != '' " />
    <xsl:variable name="h-error-1" select="$h-warning-1 and not($multimedia) " />
    <xsl:variable name="h-warning-2" select="exists($h-dt-sequence-1) and exists($narr-dateTimes) and not($h-dt-match-1 or $h-dt-match-3) and $h-dt-value != '' " />
    <xsl:variable name="h-error-2a" select="$h-warning-2 and not($multimedia) and $h-time-zone != '' and count($narr-dateTimes) =        count(for $dt in $narr-dateTimes return replace(replace($dt, $regex-date-type-1, ''), $regex-date-type-2, '')       [matches(., concat('^\s*([0-9]{1,2}:{1}[0-9]{2}\s*', substring($h-time-zone, 1, 4), ':?', substring($h-time-zone, 5, 2),         '|[0-9]{1,2}:{1}[0-9]{2}:{1}[0-9]{2}\s*', substring($h-time-zone, 1, 4), ':?', substring($h-time-zone, 5, 2), ')\s*$'), 'i')]) " />
    <xsl:variable name="h-error-2b" select="$h-warning-2 and not($h-dt-match-1) and not($multimedia) and count($narr-dateTimes[matches(., $regex-date-type-2, 'i')]) =        count($narr-dateTimes[matches(., concat($regex-date-type-2, ' ', $narr-time-regex, '$'), 'i')]) " />
    <xsl:variable name="h-error-2c" select="$l-warning-2 and exists($narr-dateTimes[matches(., concat('^', $h-year, '$'))]) " />
    <xsl:variable name="h-error-2" select="$h-error-2a or $h-error-2b or $h-error-2c " />
    <xsl:variable name="h-warning-3" select="$h-dt-value != '' and not(exists($narr-dateTimes)) and not($h-narr-match) " />
    <xsl:variable name="h-error-3" select="$h-warning-3 and not($multimedia) and not(contains($narrative, substring($h-year, 3,2))) " />
    <xsl:variable name="narr-dt-msg" select="if ($multimedia or $no-content) then ''       else if (not(exists($narr-dateTimes))) then concat(' The narrative of the ', iq:location(., ''), ' contains no dateTime elements.')       else if (count($narr-dateTimes) = 1) then concat(' The only dateTime element in the narrative of the ', iq:location(., ''), ' is ''',         dh:XQueryRecursiveReplace($narr-dateTimes[1], '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), '''.')       else concat(' The distinct dateTime elements in the narrative of the ', iq:location(., ''), ' are ''',         string-join(for $dt in $narr-dateTimes return          dh:XQueryRecursiveReplace($dt, '( |\-)a~$1A~( |\-)d~$1D~( |\-)f~$1F~( |\-)m~$1M~( |\-)n~$1N~( |\-)o~$1O~( |\-)s~$1S', ''), ', '), '''.') " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-step-4" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-4 " />
    <xsl:variable name="rating-step-9" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-09-step-9 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and exists($l-dt-sequence-1) and $l-dt-value != '' and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and exists($l-dt-sequence-1) and $l-dt-value != '' and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 4: The dateTime element in the structured data is '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'.<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text />
		The number of dateTime elements that have been extracted from the narrative is '<xsl:text /><xsl:value-of select="count($narr-dateTimes)" /><xsl:text />'.
		These are '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-dateTimes, ', '), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The initial regular expressions are '<xsl:text /><xsl:value-of select="string-join($l-dt-sequence-1, ', ')" /><xsl:text />'.
		The three regular expressions used to perform an exact match for narrative dateTime elements are as follows:
		l-dt-regex-1='<xsl:text /><xsl:value-of select="$l-dt-regex-1" /><xsl:text />'; l-dt-regex-2='<xsl:text /><xsl:value-of select="$l-dt-regex-2" /><xsl:text />'; and l-dt-regex-3='<xsl:text /><xsl:value-of select="$l-dt-regex-3" /><xsl:text />'.
		Was a match found after the first regular expression was created? <xsl:text /><xsl:value-of select="$l-dt-match-1" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($l-dt-regex-2 = '') then 'The second regular expression was not applied as there is no time information.'    else concat('Was a match found after the second regular expression (with a date and time) was created? ', $l-dt-match-2, '.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($l-dt-regex-3 = '') then 'The third regular expression was not applied as there is no timezone information.'    else concat('Was a match found after the third regular expression (with a date and time) was created? ', $l-dt-match-3, '.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and exists($h-dt-sequence-1) and $h-dt-value != '' and not($no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and exists($h-dt-sequence-1) and $h-dt-value != '' and not($no-content)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Narr-09 step 4: The dateTime element in the structured data is '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'.<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text />
		The number of dateTime elements that have been extracted from the narrative is '<xsl:text /><xsl:value-of select="count($narr-dateTimes)" /><xsl:text />'.
		These are '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($narr-dateTimes, ', '), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The initial regular expressions are '<xsl:text /><xsl:value-of select="string-join($h-dt-sequence-1, ', ')" /><xsl:text />'.
		The three regular expressions used to perform an exact match for narrative dateTime elements are as follows:
		h-dt-regex-1='<xsl:text /><xsl:value-of select="$h-dt-regex-1" /><xsl:text />'; h-dt-regex-2='<xsl:text /><xsl:value-of select="$h-dt-regex-2" /><xsl:text />'; and h-dt-regex-3='<xsl:text /><xsl:value-of select="$h-dt-regex-3" /><xsl:text />'.
		Was a match found after the first regular expression was created? <xsl:text /><xsl:value-of select="$h-dt-match-1" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($h-dt-regex-2 = '') then 'The second regular expression was not applied as there is no time information.'    else concat('Was a match found after the second regular expression (with a date and time) was created? ', $h-dt-match-2, '.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($h-dt-regex-3 = '') then 'The third regular expression was not applied as there is no timezone information.'    else concat('Was a match found after the third regular expression (with a date and time) was created? ', $h-dt-match-3, '.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $l-warning-1 and not($l-error-1 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $l-warning-1 and not($l-error-1 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The  '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /> Although the date was found in the narrative the  data element must contain the time.
		<xsl:text /><xsl:value-of select="if (false())    then ' The  data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $l-error-1 and not($no-content) and false() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $l-error-1 and not($no-content) and false()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The  '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /> Although the date was found in the narrative the  data element must contain the time.
		The  data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $l-error-1 and not($no-content) and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $l-error-1 and not($no-content) and not(false())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The  '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /> Although the date was found in the narrative the  data element must contain the time.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-warning-2 and not($l-error-2 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-warning-2 and not($l-error-2 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The  '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (false())    then ' The  data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-error-2 and not($no-content) and false() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-error-2 and not($no-content) and false()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The  '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($l-error-2c) then concat('The narrative contains a date with the same year ''', $l-year, ''' but without a month or day.') else '' " /><xsl:text />
		The  data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-error-2 and not($no-content) and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-error-2 and not($no-content) and not(false())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The  '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($l-error-2c) then concat('The narrative contains a date with the same year ''', $l-year, ''' but without a month or day.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $l-dt-value != '' and not($l-narr-match or $l-null-in-narr) and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $l-dt-value != '' and not($l-narr-match or $l-null-in-narr) and not(false())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The  '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $l-dt-value != '' and not($l-narr-match or $l-null-in-narr) and false() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $l-dt-value != '' and not($l-narr-match or $l-null-in-narr) and false()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The  '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The  data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $h-warning-1 and not($h-error-1 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $h-warning-1 and not($h-error-1 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The  '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /> Although the date was found in the narrative the  data element must contain the time.
		<xsl:text /><xsl:value-of select="if (false())    then ' The  data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $h-error-1 and not($no-content) and false() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $h-error-1 and not($no-content) and false()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The  '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /> Although the date was found in the narrative the  data element must contain the time.
		The  data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" false() and $h-error-1 and not($no-content) and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="false() and $h-error-1 and not($no-content) and not(false())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The  '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of
		the section. <xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /> Although the date was found in the narrative the  data element must contain the time.
		<xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See  and requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-warning-2 and not($h-error-2 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-warning-2 and not($h-error-2 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The  '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (false())    then ' The  data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-error-2 and not($no-content) and false() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-error-2 and not($no-content) and false()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The  '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($h-error-2c) then concat('The narrative contains a date with the same year ''', $h-year, ''' but without a month or day.') else '' " /><xsl:text />
		The  data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-error-2 and not($no-content) and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-error-2 and not($no-content) and not(false())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The  '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		high value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not match any of the dateTime elements found in the narrative of the section.
		<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($h-error-2c) then concat('The narrative contains a date with the same year ''', $h-year, ''' but without a month or day.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-warning-3 and not($l-error-3 or $no-content)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-warning-3 and not($l-error-3 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The  '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not seem to be present in the narrative of the section.<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (false())    then ' The  data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-error-3 and not($no-content) and false() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-error-3 and not($no-content) and false()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The  '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (false())    then ' The  data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else ' All clinical information in entry elements must be present in the narrative.'" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-error-3 and not($no-content) and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-error-3 and not($no-content) and not(false())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The  '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the<xsl:text /><xsl:value-of select="$l-dt-name" /><xsl:text />
		value '<xsl:text /><xsl:value-of select="$l-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($l-dt-value) &lt; 9) then concat('(', iq:display-date($l-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.<xsl:text /><xsl:value-of select="$l-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-warning-3 and not($h-error-3 or $no-content) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-warning-3 and not($h-error-3 or $no-content)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The  '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime does not seem to be present in the narrative of the section.<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (false())    then ' The  data element records clinical information and all clinical information in entry elements must be present in the narrative.'   else $clinical-info-question" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-error-3 and not($no-content) and false()  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-error-3 and not($no-content) and false()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The  '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text />
		The  data element records clinical information and all clinical information in entry elements must be present in the narrative.<xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-error-3 and not($no-content) and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-error-3 and not($no-content) and not(false())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The  '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.<xsl:text /><xsl:value-of select="$h-dt-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$clinical-info-confirm" /><xsl:text /><xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Every section of a clinical document must be self-contained as health software systems need not display every section.<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $h-dt-value != '' and not($h-narr-match or $h-null-in-narr) and not(false()) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $h-dt-value != '' and not($h-narr-match or $h-null-in-narr) and not(false())">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The  '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		<xsl:text /><xsl:value-of select="$clinical-info-question" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $no-content and $h-dt-value != '' and not($h-narr-match or $h-null-in-narr) and false() ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-content and $h-dt-value != '' and not($h-narr-match or $h-null-in-narr) and false()">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-step-4" /><xsl:text />: TC-Narr-09 step 4: The  '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		value '<xsl:text /><xsl:value-of select="$h-dt-value" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (string-length($h-dt-value) &lt; 9) then concat('(', iq:display-date($h-dt-value), ')') else '' " /><xsl:text />
		and this dateTime is not present in the narrative of the section.
		The  data element records clinical information and all clinical information in entry elements must be present in the narrative.
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$narr-dt-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $l-null-to-find and not($l-null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$l-null-to-find and not($l-null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The  '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="cda:low/@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$l-nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($l-nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.<xsl:text /><xsl:value-of select="$l-null-msg" /><xsl:text /> If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $h-null-to-find and not($h-null-in-narr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$h-null-to-find and not($h-null-in-narr)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Warning<xsl:text /><xsl:value-of select="$rating-step-9" /><xsl:text />: TC-Narr-09 step 9: The  '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="cda:high/@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$h-nullFlavor-values/@name" /><xsl:text />)
		which has the explanation '<xsl:text /><xsl:value-of select="lower-case($h-nullFlavor-values/@explanation)" /><xsl:text />'. Text with the meaning of this nullFlavor does not seem to be present in
		the narrative of the section.<xsl:text /><xsl:value-of select="$h-null-msg" /><xsl:text />
		If this is clinical information then confirm by manual inspection if the information provided by this nullFlavor attribute is present
		in the narrative perhaps using other text with the same meaning. All clinical information in entry elements must also be present in the narrative. <xsl:text /><xsl:value-of select="$multimedia-msg" /><xsl:text />
		(See requirements in Appendix A 'CDA Narratives' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$linkHtml-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1116" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1116" />
  <xsl:template match="@*|node()" priority="-2" mode="M1116">
    <xsl:apply-templates select="@*|*" mode="M1116" />
  </xsl:template>
  <!--PATTERN p-TS-Mark-1-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/cda:text             |           /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/cda:component/cda:section/cda:text          |           /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/cda:component/cda:section/cda:component/cda:section/cda:text       |           /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/cda:component/cda:section/cda:component/cda:section/cda:component//cda:section/cda:text    " priority="1000" mode="M1117">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/cda:text             |           /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/cda:component/cda:section/cda:text          |           /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/cda:component/cda:section/cda:component/cda:section/cda:text       |           /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/cda:component/cda:section/cda:component/cda:section/cda:component//cda:section/cda:text    " />
    <xsl:variable name="rtf-markup" select="contains(., '{\')" />
    <xsl:variable name="hl7-v2-markup" select="         contains(., '^^')  or        contains(., '/F/')  or        contains(., '/R/')  or        contains(., '/S/')  or        contains(., '/T/')  or        contains(., '/E/')  or        contains(., '/H/')  or        contains(., '/N/')  or        contains(., '/f/')  or        contains(., '/r/')  or        contains(., '/s/')  or        contains(., '/t/')  or        contains(., '/e/')  or        contains(., '/h/')  or        contains(., '/n/')  or        contains(., '/.br/')  or        contains(., '/.sp')  or        contains(., '/.fi/')  or        contains(., '/.nf/')  or        contains(., '/.in')  or        contains(., '/.ti')  or        contains(., '/.sk')  or        contains(., '/.ce/') " />
    <xsl:variable name="CDA-markup-err" select=" matches(., $invalid-CDA-markup-regex, 'is') " />
    <xsl:variable name="amp-esc-err" select="matches(., $amp-esc-err-regex)" />
    <xsl:variable name="lt-esc-err" select="matches(., $lt-esc-err-regex)" />
    <xsl:variable name="gt-esc-err" select="matches(., $gt-esc-err-regex)" />
    <xsl:variable name="apos-esc-err" select="matches(., $apos-esc-err-regex)" />
    <xsl:variable name="nbsp-esc-err" select="matches(., $nbsp-esc-err-regex)" />
    <xsl:variable name="quot-esc-err" select="matches(., $quot-esc-err-regex)" />
    <xsl:variable name="escape-err" select="$amp-esc-err or $lt-esc-err or $gt-esc-err or $apos-esc-err or $nbsp-esc-err or $quot-esc-err " />
    <xsl:variable name="not-in-narr-el" select="child::text()[normalize-space() != ''] " />
    <xsl:variable name="symbol-type" select="(if ($amp-esc-err) then 'ampersand' else '',       if ($lt-esc-err) then 'less-than' else '',       if ($gt-esc-err) then 'greater-than' else '',       if ($apos-esc-err) then 'single-quote' else '',       if ($nbsp-esc-err) then 'non-breaking space' else '',       if ($quot-esc-err) then 'double-quote' else '')[. != ''] " />
    <xsl:variable name="escape-wrong" select="(if ($amp-esc-err) then '&amp;amp;' else '',       if ($lt-esc-err) then '&amp;lt;' else '',        if ($gt-esc-err) then '&amp;gt;' else '',       if ($apos-esc-err) then '&amp;apos;' else '',       if ($nbsp-esc-err) then '&amp;nbsp;' else '',       if ($quot-esc-err) then '&amp;quot;' else '')[. != ''] " />
    <xsl:variable name="escape-right" select="(if ($amp-esc-err) then '&amp;' else '',       if ($lt-esc-err) then '&lt;' else '',       if ($gt-esc-err) then '&gt;' else '')[. != ''] " />
    <xsl:variable name="escape-right-extra" select="(if ($apos-esc-err) then concat(codepoints-to-string(38), 'apos;') else '',        if ($nbsp-esc-err) then 'a non breaking space' else '',        if ($quot-esc-err) then concat(codepoints-to-string(38), 'quot;') else '')[. != ''] " />
    <xsl:variable name="display-text-1" select="if (exists($not-in-narr-el)) then for $text in $not-in-narr-el return normalize-space($text) else () " />
    <xsl:variable name="display-text" select="if (not(exists($display-text-1))) then () else for $text in $display-text-1 return if (string-length($text) &lt; 200)        then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($text, $text-pattern-replacement, 'ic')), codepoints-to-string(34))       else concat('commencing with ', codepoints-to-string(34),         normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($text, $p-name-pattern-replacement, 'ic'), 1, 200),         $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then exists(ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]) else false() " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-28 " />
    <xsl:variable name="rating-29" select="if (not(exists($not-in-narr-el))) then '' else if ($initial-priority) then $initial-rating         else if (string-length(string-join($not-in-narr-el, '')) &gt; $length-err-max) then $rating-TC-Narr-29 else $rating-alt-TC-Narr-29 " />
    <xsl:variable name="rating-31" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-31 " />
    <!--REPORT -->
    <xsl:if test=" $rtf-markup and $doc-common-conf-profile &gt; '1.2' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$rtf-markup and $doc-common-conf-profile &gt; '1.2'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Narr-28: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> seems to contain Rich Text
		Format (RTF) markup but only CDA markup is allowed. Confirm by manual inspection if RTF markup is present in the narrative.
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 024482 of the Common Conformance Profile for Clinical Documents v1.7 '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 024482 of the Common Conformance Profile for Clinical Documents v1.6 '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 024482 of the Common Conformance Profile for Clinical Documents v1.5 '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.4 '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.1.1 of the Common Conformance Profile for Clinical Documents v1.3 '         else '' " /><xsl:text />'The narrative block SHALL contain human-readable markup content'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$hl7-v2-markup and $doc-common-conf-profile &gt; '1.2' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$hl7-v2-markup and $doc-common-conf-profile &gt; '1.2'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Narr-28: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> seems to contain HL7 v2 markup
		but only CDA markup is allowed. Confirm by manual inspection if HL7 v2 markup is present in the narrative.
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 024482 of the Common Conformance Profile for Clinical Documents v1.7 '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 024482 of the Common Conformance Profile for Clinical Documents v1.6 '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 024482 of the Common Conformance Profile for Clinical Documents v1.5 '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.4 '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.1.1 of the Common Conformance Profile for Clinical Documents v1.3 '         else '' " /><xsl:text />'The narrative block SHALL contain human-readable markup content'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$CDA-markup-err and $doc-common-conf-profile &gt; '1.2' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$CDA-markup-err and $doc-common-conf-profile &gt; '1.2'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Narr-28: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains incorrectly recorded CDA markup such as
		'<xsl:text /><xsl:value-of select="normalize-space(dh:XQueryRecursiveReplace(replace(., concat('^(.*?)(', $invalid-CDA-markup-regex, ')(.*?)$'), ' $2 ', 'is'), $markup-pattern-replacement, 'ic'))" /><xsl:text />'.
		The result is that the CDA markup is visible when the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> is displayed whereas correctly recorded CDA markup is not visible and makes the narrative readable.
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 024482 of the Common Conformance Profile for Clinical Documents v1.7 '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 024482 of the Common Conformance Profile for Clinical Documents v1.6 '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 024482 of the Common Conformance Profile for Clinical Documents v1.5 '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.4 '         else if ($doc-common-conf-profile = '1.3')           then ' section 3.4.1.1 of the Common Conformance Profile for Clinical Documents v1.3 '         else '' " /><xsl:text />'The narrative block SHALL contain human-readable markup content'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $escape-err and not($CDA-markup-err) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$escape-err and not($CDA-markup-err)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Narr-28: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an incorrectly escaped
		<xsl:text /><xsl:value-of select="string-join($symbol-type, ' and ')" /><xsl:text /> symbol
		resulting in the inclusion of '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($escape-wrong, ''' and '''), $markup-pattern-replacement, 'ic')" /><xsl:text />' instead of
		<xsl:text /><xsl:value-of select="if (exists($escape-right) and exists($escape-right-extra))    then replace(concat('''', dh:XQueryRecursiveReplace(string-join($escape-right, ''' and '''), $markup-pattern-replacement, 'ic'), ' and ', string-join($escape-right-extra, ''' and '''), ''''),    '''a non breaking space''', 'a non breaking space')   else if (exists($escape-right)) then concat('''', dh:XQueryRecursiveReplace(string-join($escape-right, ''' and '''), $markup-pattern-replacement, 'ic'), '''')   else replace(concat('''', string-join($escape-right-extra, ''' and '''), ''''), '''a non breaking space''', 'a non breaking space') " /><xsl:text />.
		The correct use of character escapes is needed to properly create text content in an XML document.
		(See section 2.4 of 'Extensible Markup Language (XML) 1.0 (Fifth Edition)', section 1.2 of 'XML Implementation Technology Specification - Data Types'
		<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' and requirement 024482 of the Common Conformance Profile for Clinical Documents v1.7.'         else if ($doc-common-conf-profile = '1.6')           then ' and requirement 024482 of the Common Conformance Profile for Clinical Documents v1.6.'         else if ($doc-common-conf-profile = '1.5')           then ' and requirement 024482 of the Common Conformance Profile for Clinical Documents v1.5.'         else if ($doc-common-conf-profile = '1.4')           then ' and section 3.4.2 of the Common Conformance Profile for Clinical Documents v1.4.'         else if ($doc-common-conf-profile = '1.3')           then ' and section 3.4.1.1 of the Common Conformance Profile for Clinical Documents v1.3.'         else '.' " /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="exists($not-in-narr-el) and $rendering-1-0">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists($not-in-narr-el) and $rendering-1-0">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-29" /><xsl:text />: TC-Narr-29: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text
		<xsl:text /><xsl:value-of select="if (count($display-text) = 1) then $display-text[1]   else concat(string-join($display-text[position() &lt; last()], ', '), ' and ', $display-text[last()])" /><xsl:text />
		which does not conform to the requirement that text in the narrative
		must be contained within an allowed narrative block element. Narrative block elements that may contain text are 'paragraph', 'content', 'item', 'td', 'th', 'caption',
		'footnote', 'sub' and 'sup'. There are other narrative block elements however they are not allowed to directly contain text.
		(See requirement CDA-RS 43 in the CDA Rendering Specification v1.0.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and $rendering-1-0 and local-name(.) = 'content' and normalize-space(string-join(text(), '')) != '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $rendering-1-0 and local-name(.) = 'content' and normalize-space(string-join(text(), '')) != ''">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Recommendation<xsl:text /><xsl:value-of select="$rating-31" /><xsl:text />: TC-Narr-31: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a 'content' element which contains free text.
		The preferred approach is that free text be contained within a 'paragraph' element. For example if there is a need to use a
		'content' element then the 'content' should be contained within a 'paragraph'. (See requirement CDA-RS 45 in the CDA Rendering Specification v1.0.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1117" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1117" />
  <xsl:template match="@*|node()" priority="-2" mode="M1117">
    <xsl:apply-templates select="@*|*" mode="M1117" />
  </xsl:template>
  <!--PATTERN p-TS-Mark-2-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/cda:text              |                  /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/cda:text//*              |           /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/cda:component/cda:section/cda:text           |           /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/cda:component/cda:section/cda:text//*           |           /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/cda:component/cda:section/cda:component/cda:section/cda:text        |           /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/cda:component/cda:section/cda:component/cda:section/cda:text//*        |           /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/cda:component/cda:section/cda:component/cda:section/cda:component//cda:section/cda:text        |          /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/cda:component/cda:section/cda:component/cda:section/cda:component//cda:section/cda:text//*    " priority="1000" mode="M1118">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/cda:text              |                  /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/cda:text//*              |           /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/cda:component/cda:section/cda:text           |           /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/cda:component/cda:section/cda:text//*           |           /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/cda:component/cda:section/cda:component/cda:section/cda:text        |           /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/cda:component/cda:section/cda:component/cda:section/cda:text//*        |           /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/cda:component/cda:section/cda:component/cda:section/cda:component//cda:section/cda:text        |          /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/cda:component/cda:section/cda:component/cda:section/cda:component//cda:section/cda:text//*    " />
    <xsl:variable name="first-child" select="normalize-space(text()[1]) " />
    <xsl:variable name="non-null-first-child" select="exists(text()) and $first-child != '' " />
    <xsl:variable name="child-text" select="child::text()[normalize-space() != ''] " />
    <xsl:variable name="is-free-text" select="$flags/@report-data-quality = 'true' and $rendering-1-0 and exists($child-text) and not(@styleCode and matches(@styleCode, '(^| )xPre( |$)')) " />
    <xsl:variable name="check-list-para" select="$is-free-text and local-name(.) = ('content', 'paragraph', 'footnote', 'item', 'td', 'th', 'text') " />
    <xsl:variable name="ulist-in-free-text-1" select="if ($check-list-para) then for $i in (1 to count($child-text)) return matches($child-text[$i], $ulist-regex) else () " />
    <xsl:variable name="ulist-in-free-text-2" select="index-of($ulist-in-free-text-1, true()) " />
    <xsl:variable name="ulist-in-free-text" select="exists($ulist-in-free-text-2) " />
    <xsl:variable name="alt-ulist-in-free-text-1a" select="if ($check-list-para and not($ulist-in-free-text)) then for $i in (1 to count($child-text))           return string-length($child-text[$i]) &gt; $length-err-max and matches($child-text[$i], $alt-ulist-1a-regex)         else () " />
    <xsl:variable name="alt-ulist-in-free-text-2a" select="index-of($alt-ulist-in-free-text-1a, true()) " />
    <xsl:variable name="alt-ulist-in-free-text-1b" select="if ($check-list-para and not($ulist-in-free-text)) then for $i in (1 to count($child-text))           return string-length($child-text[$i]) &gt; $length-err-max and matches($child-text[$i], $alt-ulist-1b-regex)         else () " />
    <xsl:variable name="alt-ulist-in-free-text-2b" select="index-of($alt-ulist-in-free-text-1b, true()) " />
    <xsl:variable name="alt-ulist-in-free-text-3" select="if ($check-list-para and not($ulist-in-free-text) and not(exists($alt-ulist-in-free-text-2a) or exists($alt-ulist-in-free-text-2b)))          then for $i in (1 to count($child-text)) return matches($child-text[$i], $alt-ulist-2-regex)         else () " />
    <xsl:variable name="alt-ulist-in-free-text-4" select="index-of($alt-ulist-in-free-text-3, true()) " />
    <xsl:variable name="alt-ulist-in-free-text" select="exists($alt-ulist-in-free-text-2a) or exists($alt-ulist-in-free-text-2b) or exists($alt-ulist-in-free-text-4) " />
    <xsl:variable name="olist-arabic-in-free-text-1" select="if ($check-list-para) then for $i in (1 to count($child-text)) return matches($child-text[$i], $olist-arabic-regex, 'is') else ()" />
    <xsl:variable name="olist-arabic-in-free-text-2" select="index-of($olist-arabic-in-free-text-1, true()) " />
    <xsl:variable name="olist-arabic-in-free-text" select="exists($olist-arabic-in-free-text-2) " />
    <xsl:variable name="olist-alpha-in-free-text-1" select="if ($check-list-para) then for $i in (1 to count($child-text)) return matches($child-text[$i], $olist-alpha-regex, 'is') else ()" />
    <xsl:variable name="olist-alpha-in-free-text-2" select="index-of($olist-alpha-in-free-text-1, true()) " />
    <xsl:variable name="olist-alpha-in-free-text" select="exists($olist-alpha-in-free-text-2) " />
    <xsl:variable name="olist-roman-in-free-text-1" select="if ($check-list-para) then for $i in (1 to count($child-text)) return matches($child-text[$i], $olist-roman-regex, 'is') else ()" />
    <xsl:variable name="olist-roman-in-free-text-2" select="index-of($olist-roman-in-free-text-1, true()) " />
    <xsl:variable name="olist-roman-in-free-text" select="exists($olist-roman-in-free-text-2) " />
    <xsl:variable name="olist-in-free-text" select="$olist-arabic-in-free-text or $olist-alpha-in-free-text or $olist-roman-in-free-text " />
    <xsl:variable name="olist-text" select="if ($olist-arabic-in-free-text)         then normalize-space(replace($child-text[$olist-arabic-in-free-text-2[1]], concat('^(.*?)', $olist-arabic-regex, '.*?$'), '$2$3$4$5$6$7$8$9', 'is'))        else if ($olist-alpha-in-free-text)         then normalize-space(replace($child-text[$olist-alpha-in-free-text-2[1]], concat('^(.*?)', $olist-alpha-regex, '.*?$'), '$2$3$4$5$6$7$8$9', 'is'))        else if ($olist-roman-in-free-text)         then normalize-space(replace($child-text[$olist-roman-in-free-text-2[1]], concat('^(.*?)', $olist-roman-regex, '.*?$'), '$2$3$4$5$6$7$8$9', 'is'))        else '' " />
    <xsl:variable name="ulist-text" select="if ($ulist-in-free-text) then replace(replace(replace($child-text[$ulist-in-free-text-2[1]], concat('(.*?)', $ulist-item-regex, '(.*?)'),          '$2$3$4$5~end-of-line~', 'is'), '^(.*~end-of-line~)(.*?)$', '$1', 'is'), '~end-of-line~', '', 'is')         else if ($alt-ulist-in-free-text and exists($alt-ulist-in-free-text-2a))          then replace($child-text[$alt-ulist-in-free-text-2a[1]], concat('^(.*?)', $alt-ulist-1a-regex), '$3$4$5$6$7$8', 'is')        else if ($alt-ulist-in-free-text and exists($alt-ulist-in-free-text-2b))          then replace($child-text[$alt-ulist-in-free-text-2b[1]], concat('^(.*?)', $alt-ulist-1b-regex), '$3$4$5$6$7$8', 'is')        else if ($alt-ulist-in-free-text and exists($alt-ulist-in-free-text-4))          then replace($child-text[$alt-ulist-in-free-text-4[1]], concat('^(.*?)', $alt-ulist-2-regex), '$2$3$4$5$6$7', 'is')        else '' " />
    <xsl:variable name="text-without-lists" select="if (not($is-free-text)) then ()         else for $i in (1 to count($child-text)) return          if ($ulist-in-free-text-1[$i]) then replace($child-text[$i], concat('(.*?)', $ulist-item-regex, '(.*?)'), '$1$6', 'is')          else if ($alt-ulist-in-free-text-1a[$i]) then replace($child-text[$i], concat('^(.*?)', $alt-ulist-1a-regex, '(.*$)'), '$1', 'is')         else if ($alt-ulist-in-free-text-1b[$i]) then replace($child-text[$i], concat('^(.*?)', $alt-ulist-1b-regex, '(.*$)'), '$1', 'is')         else if ($alt-ulist-in-free-text-3[$i]) then replace($child-text[$i], concat('^(.*?)', $alt-ulist-2-regex, '(.*$)'), '$1', 'is')         else if ($olist-arabic-in-free-text-1[$i]) then replace($child-text[$i], concat('^(.*?)', $olist-arabic-regex, '(.*$)'), '$1', 'is')         else if ($olist-alpha-in-free-text-1[$i]) then replace($child-text[$i], concat('^(.*?)', $olist-alpha-regex, '(.*$)'), '$1', 'is')         else if ($olist-roman-in-free-text-1[$i]) then replace($child-text[$i], concat('^(.*?)', $olist-roman-regex, '(.*$)'), '$1', 'is')         else $child-text[$i] " />
    <xsl:variable name="para-in-free-text-1" select="if (not($check-list-para)) then false()         else for $i in (1 to count($child-text)) return           (matches(replace($text-without-lists[$i], $new-line-regex, codepoints-to-string((10)), 'is'), $para-regex, 'is')  or          matches($text-without-lists[$i], codepoints-to-string((8233)), 'is')       ) " />
    <xsl:variable name="para-in-free-text-2" select="index-of($para-in-free-text-1, true()) " />
    <xsl:variable name="para-in-free-text" select="exists($para-in-free-text-2) " />
    <xsl:variable name="text-with-para" select="if ($para-in-free-text) then $text-without-lists[$para-in-free-text-2[1]] else '' " />
    <xsl:variable name="check-br-table" select="$is-free-text and local-name(.) = ('content', 'paragraph', 'footnote', 'item', 'td', 'th', 'text') and       count($child-text) &gt; 1 " />
    <xsl:variable name="para-text" select="if ($check-br-table or not(local-name(.) = ('content', 'paragraph', 'footnote', 'item', 'td', 'th', 'text') and        $flags/@report-data-quality = 'true' and $rendering-1-0 and not(@styleCode and matches(@styleCode, '(^| )xPre( |$)')))) then ()       else if (count($child-text) = 0 and not(./*/*) and         not(exists((for $para in cda:paragraph return if (count($para/child::text()) &gt; 1) then '1' else '0')[. != '0'])))         then cda:paragraph/text()[normalize-space() != '']        else () " />
    <xsl:variable name="check-para-table" select="count($para-text) &gt; 1 " />
    <xsl:variable name="content-text" select="if ($check-br-table or $check-para-table or not(local-name(.) = ('content', 'paragraph', 'footnote', 'item', 'td', 'th', 'text') and        $flags/@report-data-quality = 'true' and $rendering-1-0 and not(@styleCode and matches(@styleCode, '(^| )xPre( |$)')))) then ()       else if (count($child-text) = 0 and not(./*/*) and         not(exists((for $cont in cda:content return if (count($cont/child::text()) &gt; 1) then '1' else '0')[. != '0'])))         then cda:content/text()[normalize-space() != '']        else () " />
    <xsl:variable name="check-content-table" select="count($content-text) &gt; 1 " />
    <xsl:variable name="item-text" select="if ($check-br-table or $check-para-table or $check-content-table or not(local-name(.) = 'list' and        $flags/@report-data-quality = 'true' and $rendering-1-0 and not(@styleCode and matches(@styleCode, '(^| )xPre( |$)')))) then ()       else if (count($child-text) = 0 and not(./*/*) and         not(exists((for $it in cda:item return if (count($it/child::text()) &gt; 1) then '1' else '0')[. != '0'])))         then cda:item/text()[normalize-space() != '']        else () " />
    <xsl:variable name="check-item-table" select="count($item-text) &gt; 1 " />
    <xsl:variable name="possible-table" select="if ($check-br-table) then $child-text       else if ($check-para-table) then $para-text       else if ($check-content-table) then $content-text       else if ($check-item-table) then $item-text       else () " />
    <xsl:variable name="cell-num" select="if (exists($possible-table)) then for $row in $possible-table return        if (matches($row, '(^\s*|\s*\(|\s*\[|\s)([0-9]+|[a-z]+)(\.\s|\.?\)|\.?\])', 'i')) then 0       else count(tokenize(replace($row, '([ ]{3,}|\t+)', '~separator~'), '~separator~')[matches(., '[a-z0-9]', 'i')]) else () " />
    <xsl:variable name="possible-row-1" select="index-of(for $n in $cell-num return $n &gt; 1, true()) " />
    <xsl:variable name="possible-row-2" select="for $i in (1 to count($possible-row-1)) return        if ($i = 1 and number($possible-row-1[1]) + 1 = number($possible-row-1[2])) then $possible-row-1[1]        else if ($i &gt; 1 and number($possible-row-1[$i]) = number($possible-row-1[$i - 1]) + 1) then $possible-row-1[$i]        else 0 " />
    <xsl:variable name="possible-row-3" select="(for $i in (1 to count($possible-row-2)) return        if ($possible-row-2[$i] &gt; 0 and exists($possible-row-2[position() &lt; $i][. = 0])) then 0 else $possible-row-2[$i])[. != 0] " />
    <xsl:variable name="table-col-num" select="$cell-num[$possible-row-3[1]]" />
    <xsl:variable name="possible-row-4" select="if ($table-col-num &gt; 1) then (for $i in (1 to count($possible-row-3)) return       if ((number($cell-num[$possible-row-3[$i]]) &lt; number($table-col-num) - 1)  or           (number($cell-num[$possible-row-3[$i]]) &gt; number($table-col-num) + 1) ) then '0' else $possible-row-3[$i])       else () " />
    <xsl:variable name="possible-row" select="(for $i in (1 to count($possible-row-4)) return        if ($possible-row-4[$i] &gt; 0 and exists($possible-row-4[position() &lt; $i][. = 0])) then 0 else $possible-row-4[$i])[. != 0] " />
    <xsl:variable name="table-row-num" select="count($possible-row)" />
    <xsl:variable name="a-table" select="$table-col-num &gt; 1 and $table-row-num &gt; 1 " />
    <xsl:variable name="the-table" select="if ($a-table) then for $row in $possible-row return $possible-table[$row] else () " />
    <xsl:variable name="table-row-one" select="if ($a-table) then tokenize(replace($the-table[1], '([ ]{3,}|\t+)', '~separator~'), '~separator~')[matches(., '[a-z0-9]+', 'i')] else () " />
    <xsl:variable name="separator-type" select="if (not($a-table)) then '' else if (matches($the-table[1], '\t')) then 'tabs' else 'multiple spaces' " />
    <xsl:variable name="col-span-width" select="$flags/@report-data-quality = 'true' and $rendering-1-0 and local-name(.) = ('colgroup', 'col') and (@span or @width) " />
    <xsl:variable name="table-align" select="$flags/@report-data-quality = 'true' and $rendering-1-0 and local-name(.) = ('colgroup', 'col', 'thead', 'tbody', 'tfoot', 'tr', 'th', 'td') and         @align " />
    <xsl:variable name="table-width-border" select="$flags/@report-data-quality = 'true' and $rendering-1-0 and local-name(.) = 'table' and (@width or @border) " />
    <xsl:variable name="unknown-attr" select="if (not($flags/@report-data-quality = 'true' and $rendering-1-0)) then ()       else if (local-name(.) = 'text')       then for $attr in @*[not(name() = ('mediaType'))] return name($attr)       else if (local-name(.) = ('colgroup', 'col'))       then for $attr in @*[not(name() = ('xsi:type', 'span', 'width', 'align', 'ID', 'colspan', 'rowspan', 'listType', 'styleCode', 'href',         'referencedObject', 'IDREF'))] return name($attr)       else if (local-name(.) = ('xsi:type', 'thead', 'tbody', 'tfoot', 'tr', 'th', 'td'))       then for $attr in @*[not(name() = ('xsi:type', 'align', 'ID', 'colspan', 'rowspan', 'listType', 'styleCode', 'href', 'referencedObject', 'IDREF'))]         return name($attr)       else if (local-name(.) = 'table')       then for $attr in @*[not(name() = ('xsi:type', 'width', 'border', 'ID', 'colspan', 'rowspan', 'listType', 'styleCode', 'href', 'referencedObject', 'IDREF'))]         return name($attr)       else for $attr in @*[not(name() = ('xsi:type', 'ID', 'colspan', 'rowspan', 'listType', 'styleCode', 'href', 'referencedObject', 'IDREF'))]         return name($attr) " />
    <xsl:variable name="has-line-feed" select="($para-in-free-text and matches($text-with-para, codepoints-to-string((10)), 'is')) or        ($ulist-in-free-text and matches($ulist-text, codepoints-to-string((10)), 'is')) " />
    <xsl:variable name="has-carriage-return" select="($para-in-free-text and matches($text-with-para, codepoints-to-string((13)), 'is')) or        ($ulist-in-free-text and matches($ulist-text, codepoints-to-string((13)), 'is')) " />
    <xsl:variable name="has-para-separator" select="$para-in-free-text and matches($text-with-para, codepoints-to-string((8233)), 'is') " />
    <xsl:variable name="br-msg" select="if (not($para-in-free-text or $ulist-in-free-text)) then ''       else if ($has-line-feed and $has-carriage-return and $has-para-separator) then 'line feed, carriage return and paragraph separator characters'       else if ($has-line-feed and not($has-carriage-return) and $has-para-separator) then 'line feed and paragraph separator characters'       else if ($has-line-feed and $has-carriage-return and not($has-para-separator)) then 'line feed and carriage return characters'       else if ($has-line-feed) then 'line feed characters'       else if ($has-carriage-return) then 'carriage return characters'       else if ($has-para-separator) then 'paragraph separator characters'       else '' " />
    <xsl:variable name="xpre-msg" select="if (not($para-in-free-text)) then ''       else if (local-name(.) = ('content', 'item', 'th', 'td', 'paragraph'))        then ' Another option is to include a styleCode attribute with the value ''xPre''. (See requirement CDA-RS 55 in the CDA Rendering Specification v1.0.)'       else if (local-name(.) = 'text')        then concat(' Another option is to include the information in a ''paragraph'' or ''content'' element with a styleCode attribute with the value ''xPre''. ',        '(See requirement CDA-RS 55 in the CDA Rendering Specification v1.0.)')       else '' " />
    <xsl:variable name="xpre-list-msg" select="if (not($ulist-in-free-text)) then ''       else if (local-name(.) = ('content', 'item', 'th', 'td', 'paragraph'))        then concat(' Another option is to include a styleCode attribute with the value ''xPre''. ',        'The ''xPre'' and ''xFixed'' style codes are especially suitable for tabular information. ',        '(See requirement CDA-RS 55 in the CDA Rendering Specification v1.0.)')       else if (local-name(.) = 'text')        then concat(' Another option is to include the information in a ''paragraph'' or ''content'' element with a styleCode attribute with the value ''xPre''. ',        'The ''xPre'' and ''xFixed'' style codes are especially suitable for tabular information. ',        '(See requirement CDA-RS 55 in the CDA Rendering Specification v1.0.)')       else '' " />
    <xsl:variable name="table-msg" select="if (not($alt-ulist-in-free-text or $olist-in-free-text)) then ''       else if (local-name(.) = ('footnote', 'text'))         then 'Another option is to include a table to represent the data items. (See requirement CDA-RS 48 in the CDA Rendering Specification v1.0.)'       else if (local-name(.) = 'td')         then 'Another option is to add columns to the table to represent the data items. (See requirement CDA-RS 48 in the CDA Rendering Specification v1.0.)'       else '' " />
    <xsl:variable name="is-linkHtml" select="local-name(.) = 'linkHtml' " />
    <xsl:variable name="scheme-name" select="if ($is-linkHtml) then substring-before(@href,':') else '' " />
    <xsl:variable name="tel-or-fax" select="$scheme-name = 'tel' or $scheme-name = 'fax' or $scheme-name = 'modem' " />
    <xsl:variable name="pcehr-scheme" select="$scheme-name = 'pcehr'" />
    <xsl:variable name="pcehr-doc-id" select="if ($pcehr-scheme) then substring-after(@href,'/') else '' " />
    <xsl:variable name="pcehr-doc-id-root" select="if (contains($pcehr-doc-id, '^')) then substring-before($pcehr-doc-id, '^') else $pcehr-doc-id " />
    <xsl:variable name="pcehr-doc-id-ext" select="if (contains($pcehr-doc-id, '^')) then substring-after($pcehr-doc-id, '^') else '' " />
    <xsl:variable name="pcehr-syntax-error" select="if (not($is-linkHtml) or not($pcehr-scheme and matches(@href, $pcehr-uri-regex))) then false()        else if ($pcehr-doc-id-root = '') then false()        else not((matches($pcehr-doc-id-root, $oid-regex) and not(matches($pcehr-doc-id-root, $invalid-arc-regex))) or             (matches($pcehr-doc-id-root, $uuid-regex) and not(matches($pcehr-doc-id-root, $invalid-uuid-regex))) )" />
    <xsl:variable name="email-scheme" select="$scheme-name = 'mailto'" />
    <xsl:variable name="email-syntax-error" select="$email-scheme and not(matches(substring-after(@href,'mailto:'), $mailto-uri-regex)) " />
    <xsl:variable name="email-space-error" select="$email-syntax-error and matches(@href,' ') " />
    <xsl:variable name="display-first-child" select="if ($first-child = '') then '' else if (string-length($first-child) &lt; 200)        then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($first-child, $text-pattern-replacement, 'ic')), codepoints-to-string(34))       else concat('commencing with ', codepoints-to-string(34),         normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($first-child, $p-name-pattern-replacement, 'ic'), 1, 200),         $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-text-with-para" select="if ($text-with-para = '') then '' else if (string-length($text-with-para) &lt; 200)        then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($text-with-para, $text-pattern-replacement, 'ic')), codepoints-to-string(34))       else concat('commencing with ', codepoints-to-string(34),         normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($text-with-para, $p-name-pattern-replacement, 'ic'), 1, 200),         $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-ulist-text" select="if (not($ulist-in-free-text or $alt-ulist-in-free-text)) then ''        else if (string-length($ulist-text) &lt; 200) then concat(codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace($ulist-text, $text-pattern-replacement, 'ic')), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($ulist-text, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-olist-text" select="if (not($olist-in-free-text)) then ''        else if (string-length($olist-text) &lt; 200) then concat(codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace($olist-text, $text-pattern-replacement, 'ic')), codepoints-to-string(34))        else concat('commencing with ', codepoints-to-string(34),          normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($olist-text, $p-name-pattern-replacement, 'ic'), 1, 200),          $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-table-1" select="if ($a-table) then for $text in $the-table return normalize-space($text) else () " />
    <xsl:variable name="display-table" select="if (not($a-table)) then () else for $text in $display-table-1 return if (string-length($text) &lt; 200)        then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($text, $text-pattern-replacement, 'ic')), codepoints-to-string(34))       else concat('commencing with ', codepoints-to-string(34),         normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($text, $p-name-pattern-replacement, 'ic'), 1, 200),         $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="display-row-1" select="if ($a-table) then for $text in $table-row-one return normalize-space($text) else () " />
    <xsl:variable name="display-row" select="if (not($a-table)) then () else for $text in $display-row-1 return if (string-length($text) &lt; 200)        then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($text, $text-pattern-replacement, 'ic')), codepoints-to-string(34))       else concat('commencing with ', codepoints-to-string(34),         normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($text, $p-name-pattern-replacement, 'ic'), 1, 200),         $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then exists(ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]) else false() " />
    <xsl:variable name="rating-12" select="if ($initial-priority) then $initial-rating else $rating-TC-Auth-12 " />
    <xsl:variable name="rating-13" select="if ($initial-priority) then $initial-rating else $rating-alt-TC-Auth-13 " />
    <xsl:variable name="rating-30" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-30 " />
    <xsl:variable name="rating-33" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-33 " />
    <xsl:variable name="rating-38" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-38 " />
    <xsl:variable name="rating-39" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-39 " />
    <xsl:variable name="rating-41" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-41 " />
    <xsl:variable name="rating-Mark" select="if ($initial-priority) then $initial-rating else $rating-TS-Mark " />
    <!--REPORT -->
    <xsl:if test=" $olist-arabic-in-free-text and local-name(.) = ('footnote', 'item', 'td', 'text') and $rendering-1-0 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$olist-arabic-in-free-text and local-name(.) = ('footnote', 'item', 'td', 'text') and $rendering-1-0">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Recommendation<xsl:text /><xsl:value-of select="$rating-12" /><xsl:text />: TC-Auth-12 (READABILITY): The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (local-name(.) = 'td') then 'table ' else '' " /><xsl:text /> element with the text
		<xsl:text /><xsl:value-of select="$display-olist-text" /><xsl:text /> which includes an ordered list using Arabic numerals. The readability
		of the list may be adversely affected as it is not displayed as a list due to the absence of appropriate narrative formatting instructions.		
		Ordered lists using Arabic numerals should be recorded in a narrative using 'list' narrative elements with a 'listType' attribute with the value 'ordered'.
		(See requirement CDA-RS 46 in the CDA Rendering Specification v1.0.)
		<xsl:text /><xsl:value-of select="$xpre-list-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$table-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $olist-alpha-in-free-text and local-name(.) = ('footnote', 'item', 'td', 'text') and $rendering-1-0 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$olist-alpha-in-free-text and local-name(.) = ('footnote', 'item', 'td', 'text') and $rendering-1-0">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Recommendation<xsl:text /><xsl:value-of select="$rating-12" /><xsl:text />: TC-Auth-12 (READABILITY): The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (local-name(.) = 'td') then 'table ' else '' " /><xsl:text /> element with the text
		<xsl:text /><xsl:value-of select="$display-olist-text" /><xsl:text /> includes an ordered list using alpha characters. The readability
		of the list may be adversely affected as it is not displayed as a list due to the absence of appropriate narrative formatting instructions.		
		Ordered lists using alpha characters should be recorded in a narrative using 'list' narrative elements with a 'listType' attribute with the value 'ordered'
		and a 'styleCode' attribute with the value 'LittleAlpha' or 'BigAlpha'. (See requirements CDA-RS 46 and CDA-RS 57 (f and g) in the CDA Rendering Specification v1.0.)
		<xsl:text /><xsl:value-of select="$xpre-list-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$table-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $olist-roman-in-free-text and local-name(.) = ('footnote', 'item', 'td', 'text') and $rendering-1-0 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$olist-roman-in-free-text and local-name(.) = ('footnote', 'item', 'td', 'text') and $rendering-1-0">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Recommendation<xsl:text /><xsl:value-of select="$rating-12" /><xsl:text />: TC-Auth-12 (READABILITY): The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (local-name(.) = 'td') then 'table ' else '' " /><xsl:text /> element with the text
		<xsl:text /><xsl:value-of select="$display-olist-text" /><xsl:text /> which includes an ordered list using Roman numerals. The readability
		of the list may be adversely affected as it is not displayed as a list due to the absence of appropriate narrative formatting instructions.			
		Ordered lists using Roman numerals should be recorded in a narrative using 'list' narrative elements with a 'listType' attribute with the value 'ordered'
		and a 'styleCode' attribute with the value 'LittleRoman' or 'BigRoman'. (See requirements CDA-RS 46 and CDA-RS 57 (d and e) in the CDA Rendering Specification v1.0.)
		<xsl:text /><xsl:value-of select="$xpre-list-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$table-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($ulist-in-free-text or $alt-ulist-in-free-text) and local-name(.) = ('footnote', 'item', 'td', 'text') and $rendering-1-0 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($ulist-in-free-text or $alt-ulist-in-free-text) and local-name(.) = ('footnote', 'item', 'td', 'text') and $rendering-1-0">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Recommendation<xsl:text /><xsl:value-of select="$rating-12" /><xsl:text />: TC-Auth-12 (READABILITY): The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (local-name(.) = 'td') then 'table ' else '' " /><xsl:text /> element with the text
		<xsl:text /><xsl:value-of select="$display-ulist-text" /><xsl:text /> which includes an unordered list.
		The readability of the list may be adversely affected as it is not displayed as a list due to the absence of appropriate narrative formatting instructions.
		Unordered lists should be recorded in a narrative using 'list' narrative elements. (See requirement CDA-RS 46 in the CDA Rendering Specification v1.0.)
		<xsl:text /><xsl:value-of select="$xpre-list-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$table-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($br-msg = '') then ''    else concat(' The text contains ', $br-msg, ' which do not have the intended effect as these characters are ignored when the narrative is displayed. ',   'There was a loss of formatting when the text was converted to CDA narratives.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($ulist-in-free-text or $alt-ulist-in-free-text or $olist-in-free-text) and local-name(.) = ('content', 'th', 'paragraph') and $rendering-1-0 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($ulist-in-free-text or $alt-ulist-in-free-text or $olist-in-free-text) and local-name(.) = ('content', 'th', 'paragraph') and $rendering-1-0">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Recommendation<xsl:text /><xsl:value-of select="$rating-12" /><xsl:text />: TC-Auth-12 (READABILITY): The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' element with the text
		<xsl:text /><xsl:value-of select="if ($ulist-in-free-text or $alt-ulist-in-free-text) then $display-ulist-text else $display-olist-text " /><xsl:text /> which includes an
		<xsl:text /><xsl:value-of select="if ($ulist-in-free-text or $alt-ulist-in-free-text) then 'ordered' else 'unordered' " /><xsl:text /> list.
		The readability of the list may be adversely affected as it is not displayed as a list due to the absence of appropriate narrative formatting instructions.
		<xsl:text /><xsl:value-of select="if (local-name(.) = 'th') then 'The list items should be separated with ''br'' elements. (See requirement CDA-RS 50 in the CDA Rendering Specification v1.0.)'   else concat('A list should be recorded in a narrative using ''list'' elements which may be included if the narrative is reorganised so the list is not included in the ''',   local-name(.), ''' element. (See requirements CDA-RS 46 and CDA-RS 52 in the CDA Rendering Specification v1.0.)') " /><xsl:text /><xsl:text /><xsl:value-of select="$xpre-list-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($br-msg = '') then ''    else concat(' The text contains ', $br-msg, ' which do not have the intended effect as these characters are ignored when the narrative is displayed. ',   'There was a loss of formatting when the text was converted to CDA narratives.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $a-table ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $a-table">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Finding: TC-Auth-13 (READABILITY): The table in the '<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a possible
		table with <xsl:text /><xsl:value-of select="$table-col-num" /><xsl:text /> (table-col-num) cells in the first row.
		'<xsl:text /><xsl:value-of select="string-join(for $row in $possible-row return concat(   dh:XQueryRecursiveReplace($possible-table[$row], $markup-pattern-replacement, 'ic'), '[text node ', $row, ' has ', $cell-num[$row], ' cells with data]'), '|')" /><xsl:text />'

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $a-table and local-name(.) = ('footnote', 'td', 'text') and $rendering-1-0 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$a-table and local-name(.) = ('footnote', 'td', 'text') and $rendering-1-0">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Recommendation<xsl:text /><xsl:value-of select="$rating-13" /><xsl:text />: TC-Auth-13 (READABILITY): The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' element
		which appears to contain information arranged in a table with
		<xsl:text /><xsl:value-of select="if ($numbers/number[number(@value) = $table-row-num]) then $numbers/number[number(@value) = $table-row-num]/@name else $table-row-num" /><xsl:text /> rows and
		<xsl:text /><xsl:value-of select="if ($numbers/number[number(@value) = $table-col-num]) then $numbers/number[number(@value) = $table-col-num]/@name else $table-col-num" /><xsl:text /> columns.
		The rows have been retained using
		'<xsl:text /><xsl:value-of select="if ($check-br-table) then 'br' else if ($check-para-table) then 'paragraph' else if ($check-content-table) then 'content' else if ($check-item-table) then 'item' else '' " /><xsl:text />'
		narrative elements but the separation into columns has been lost. The first row consists of the text
		<xsl:text /><xsl:value-of select="concat(string-join($display-row[position() &lt; last()], ', '), ' and ', $display-row[last()])" /><xsl:text /> separated by <xsl:text /><xsl:value-of select="$separator-type" /><xsl:text />.
		The readability of the information is adversely affected as it is not displayed as a table due to the absence of appropriate narrative
		formatting instructions. A collection of information consisting of multiple fields should be recorded using 'table' narrative elements.
		(See requirement CDA-RS 48 in the CDA Rendering Specification v1.0.) <xsl:text /><xsl:value-of select="if (local-name(.) = ('footnote', 'td'))        then concat(' Another option is to include a styleCode attribute with the value ''xPre''. ',        'The ''xPre'' and ''xFixed'' style codes are especially suitable for tabular information. ',        '(See requirement CDA-RS 55 in the CDA Rendering Specification v1.0.)')       else concat(' Another option is to include the information in a ''paragraph'' or ''content'' element with a styleCode attribute with the value ''xPre''. ',        'The ''xPre'' and ''xFixed'' style codes are especially suitable for tabular information. ',        '(See requirement CDA-RS 55 in the CDA Rendering Specification v1.0.)')" /><xsl:text />
		The full set of information in the table is <xsl:text /><xsl:value-of select="concat(string-join($display-table[position() &lt; last()], ', '), ' and ', $display-table[last()])" /><xsl:text />.
		The <xsl:text /><xsl:value-of select="$separator-type" /><xsl:text /> used to separate information within each row has been omitted for brevity.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $a-table and local-name(.) = ('content', 'paragraph', 'item', 'th') and $rendering-1-0 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$a-table and local-name(.) = ('content', 'paragraph', 'item', 'th') and $rendering-1-0">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Recommendation<xsl:text /><xsl:value-of select="$rating-13" /><xsl:text />: TC-Auth-13 (READABILITY): The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' element which appears to contain information arranged in a table with
		<xsl:text /><xsl:value-of select="if ($numbers/number[number(@value) = $table-row-num]) then $numbers/number[number(@value) = $table-row-num]/@name else $table-row-num" /><xsl:text /> rows and
		<xsl:text /><xsl:value-of select="if ($numbers/number[number(@value) = $table-col-num]) then $numbers/number[number(@value) = $table-col-num]/@name else $table-col-num" /><xsl:text /> columns.
		The rows have been retained retained using
		'<xsl:text /><xsl:value-of select="if ($check-br-table) then 'br' else if ($check-para-table) then 'paragraph' else if ($check-content-table) then 'content' else if ($check-item-table) then 'item' else '' " /><xsl:text />'
		narrative elements but the separation into columns has been lost. The first row consists of the text
		<xsl:text /><xsl:value-of select="concat(string-join($display-row[position() &lt; last()], ', '), ' and ', $display-row[last()])" /><xsl:text /> separated by <xsl:text /><xsl:value-of select="$separator-type" /><xsl:text />.
		The readability of the information is adversely affected as it is not displayed as a table due to the absence of appropriate narrative
		formatting instructions. The tabular information should be recorded using a styleCode attribute with the value 'xPre'. The 'xPre' and 'xFixed' style codes are especially suitable
		for tabular information. (See requirement CDA-RS 55 in the CDA Rendering Specification v1.0.)
		The full set of information in the table is <xsl:text /><xsl:value-of select="concat(string-join($display-table[position() &lt; last()], ', '), ' and ', $display-table[last()])" /><xsl:text />.
		The <xsl:text /><xsl:value-of select="$separator-type" /><xsl:text /> used to separate information within each row has been omitted for brevity.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $para-in-free-text and local-name(.) = ('footnote', 'paragraph', 'td', 'text') and $rendering-1-0 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$para-in-free-text and local-name(.) = ('footnote', 'paragraph', 'td', 'text') and $rendering-1-0">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Recommendation<xsl:text /><xsl:value-of select="$rating-30" /><xsl:text />: TC-Narr-30 (READABILITY): The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (local-name(.) = 'td') then 'table ' else '' " /><xsl:text /> element
		with the text <xsl:text /><xsl:value-of select="$display-text-with-para" /><xsl:text /> which contains more than one paragraph.
		The readability may be adversely affected as it is not displayed as paragraphs due to the absence of appropriate narrative formatting instructions.
		Paragraphs should be separated using 'paragraph' narrative elements otherwise they may be separated using 'br' elements.
		(See requirements CDA-RS 44 and CDA-RS 50 in the CDA Rendering Specification v1.0.) <xsl:text /><xsl:value-of select="$xpre-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($br-msg = '') then ''    else concat(' The text contains ', $br-msg, ' which do not have the intended effect as these characters are ignored when the narrative is displayed. ',   'There was a loss of formatting when the text was converted to CDA narratives.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $para-in-free-text and local-name(.) = ('content', 'item', 'th') and $rendering-1-0 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$para-in-free-text and local-name(.) = ('content', 'item', 'th') and $rendering-1-0">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Recommendation<xsl:text /><xsl:value-of select="$rating-30" /><xsl:text />: TC-Narr-30 (READABILITY): The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (local-name(.) = 'td') then 'table ' else '' " /><xsl:text /> element
		with the text <xsl:text /><xsl:value-of select="$display-text-with-para" /><xsl:text /> which contains more than one paragraph.
		The readability may be adversely affected as it is not displayed as paragraphs due to the absence of appropriate narrative formatting instructions.
		<xsl:text /><xsl:value-of select="if (local-name(.) = 'content')   then concat('Paragraphs should be separated using ''paragraph'' elements otherwise they may be separated using ''br'' elements. ',   'The text may be recorded using ''paragraph'' elements if the narrative is reorganised so the list is not included in the ''content'' element. ',   '(See requirements CDA-RS 44 and CDA-RS 50 in the CDA Rendering Specification v1.0.)')   else 'The paragraphs should be separated with ''br'' elements. (See requirement CDA-RS 50 in the CDA Rendering Specification v1.0.)' " /><xsl:text /><xsl:text /><xsl:value-of select="$xpre-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($br-msg = '') then ''    else concat(' The text contains ', $br-msg, ' which do not have the intended effect as these characters are ignored when the narrative is displayed. ',   'There was a loss of formatting when the text was converted to CDA narratives.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and $rendering-1-0 and not(local-name(.) = ('content', 'linkHtml', 'sub', 'sup', 'br', 'footnote', 'footnoteRef',    'renderMultiMedia', 'paragraph', 'list', 'item', 'table', 'text', 'thead', 'tbody', 'tr', 'td', 'th', 'caption')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $rendering-1-0 and not(local-name(.) = ('content', 'linkHtml', 'sub', 'sup', 'br', 'footnote', 'footnoteRef', 'renderMultiMedia', 'paragraph', 'list', 'item', 'table', 'text', 'thead', 'tbody', 'tr', 'td', 'th', 'caption'))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-Mark" /><xsl:text />: TS-Mark: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' element which is not one of the supported elements. Narratives should only contain
		elements that are supported by clinical document rendering systems developed to the CDA Rendering Specification. 
		(See requirements CDA-RS 50 and CDA-RS 52 in the CDA Rendering Specification v1.0 for the list of supported elements.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$col-span-width ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$col-span-width">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-Mark" /><xsl:text />: TS-Mark: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' element with the 
		<xsl:text /><xsl:value-of select="if (@width and @span) then '''width'' and ''span'' attributes that are'   else if (@width) then '''width'' attribute that is'   else '''span'' attribute that is' " /><xsl:text /> not in the list of the supported
		attributes. Narratives should only contain attributes that are supported by clinical document rendering systems developed to the CDA Rendering Specification.
		The preferred approach for settings properties for each column is to use a styleCode attribute in each cell in the column.
		(See section 4.2.1 in the CDA Rendering Specification v1.0.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$table-align ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$table-align">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-Mark" /><xsl:text />: TS-Mark: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' element with the 'align' attribute that is not in the list of the supported
		attributes. Narratives should only contain attributes that are supported by clinical document rendering systems developed to the CDA Rendering Specification.
		The preferred approach to achieve alignment of table cells is using the 'Lrule', 'Rrule', 'Toprule' or 'Botrule' attribute in 'th' and 'td' narrative elements.
		(See CDA-RS 56 in the CDA Rendering Specification v1.0.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$table-width-border ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$table-width-border">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-Mark" /><xsl:text />: TS-Mark: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' element with the 
		<xsl:text /><xsl:value-of select="if (@width and @border) then '''width'' and ''border'' attributes that are'   else if (@width) then '''width'' attribute that is'   else '''border'' attribute that is' " /><xsl:text /> not in the list of the supported
		attributes. Narratives should only contain attributes that are supported by clinical document rendering systems developed to the CDA Rendering Specification.
		There is no style code with an equivalent meaning and it should be assumed that the		
		<xsl:text /><xsl:value-of select="if (@width and @border) then '''width'' and ''border'' attributes are'   else if (@width) then '''width'' attribute is'   else '''border'' attribute is' " /><xsl:text />
		not supported by clinical document rendering systems developed to the CDA Rendering Specification. (See section 4.2.1 in the CDA Rendering Specification v1.0.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists($unknown-attr) and $rendering-1-0 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists($unknown-attr) and $rendering-1-0">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-Mark" /><xsl:text />: TS-Mark: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' element with the
		<xsl:text /><xsl:value-of select="if (count($unknown-attr) = 1) then concat('''', $unknown-attr[1], ''' attribute that is')   else concat('''', string-join($unknown-attr, ''' and '''), ''' attributes that are') " /><xsl:text /> not in the list of the supported
		attributes. Narratives should only contain attributes that are supported by clinical document rendering systems developed to the CDA Rendering Specification.
		If the purpose of the attribute is to suggest rendering characteristics then use a styleCode attribute instead. 
		(See CDA-RS 4 and CDA-RS 51 in the CDA Rendering Specification v1.0 for the listed of supported attributes and section 4.2 of the CDA Rendering Specification v1.0 for information about
		styleCode attributes.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$is-linkHtml and not(@href)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-linkHtml and not(@href)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-33" /><xsl:text />: TC-Narr-33 step 1: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a 'linkHtml'
		element with no href attribute. A linkHtml element may be used to reference internal or external identifiers and requires the href attribute to provide the reference.
		(See section 4.3.5.2 of the HL7 CDA R2 specification)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$is-linkHtml and starts-with(@href,'#') and not(//cda:section/cda:text//@ID=substring-after(@href,'#') or //cda:section/@ID=substring-after(@href,'#') or   //cda:section/cda:entry//cda:observationMedia/@ID=substring-after(@href,'#') or //cda:section/cda:entry//cda:renderMultiMedia/@ID=substring-after(@href,'#')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-linkHtml and starts-with(@href,'#') and not(//cda:section/cda:text//@ID=substring-after(@href,'#') or //cda:section/@ID=substring-after(@href,'#') or //cda:section/cda:entry//cda:observationMedia/@ID=substring-after(@href,'#') or //cda:section/cda:entry//cda:renderMultiMedia/@ID=substring-after(@href,'#'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Error<xsl:text /><xsl:value-of select="$rating-33" /><xsl:text />: TC-Narr-33 step 2: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains contains the
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' element with an invalid local reference '<xsl:text /><xsl:value-of select="substring-after(@href,'#')" /><xsl:text />'. The reference must
		identify another element in the same or a different narrative block, a section, observationMedia or renderMultiMedia element within the clinical document.
		(See section 4.3.5.2 of the HL7 CDA R2 specification.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$is-linkHtml and contains(@href,':') and not($tel-or-fax or $email-scheme or $pcehr-scheme) and not(translate(@href, $uri-chars, '') = '') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-linkHtml and contains(@href,':') and not($tel-or-fax or $email-scheme or $pcehr-scheme) and not(translate(@href, $uri-chars, '') = '')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-33" /><xsl:text />: TC-Narr-33 step 3: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' element with the href value '<xsl:text /><xsl:value-of select="@href" /><xsl:text />'  which contains one or more characters that are not in the set of
		allowed characters for a URI. Any special characters must be percent encoded. 
		(See section 2.1 of RFC 3986 https://www.ietf.org/rfc/rfc3986.txt.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$is-linkHtml and $email-scheme and $email-syntax-error and not($email-space-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-linkHtml and $email-scheme and $email-syntax-error and not($email-space-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-33" /><xsl:text />: TC-Narr-33 step 3: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' element with the href value '<xsl:text /><xsl:value-of select="@href" /><xsl:text />'. This does not have the mailbox syntax of a local part, followed by
		'@' followed by a domain. (See section 6.1 of RFC 822 https://tools.ietf.org/html/rfc822.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$is-linkHtml and $email-scheme and $email-space-error ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-linkHtml and $email-scheme and $email-space-error">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-33" /><xsl:text />: TC-Narr-33 step 3: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' element with the href value '<xsl:text /><xsl:value-of select="@href" /><xsl:text />' which contains spaces. Spaces must either be omitted or
		percent encoded. (See section 5 of RFC 2368 https://tools.ietf.org/html/rfc2368.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$is-linkHtml and $pcehr-scheme and $pcehr-syntax-error ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-linkHtml and $pcehr-scheme and $pcehr-syntax-error">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-33" /><xsl:text />: TC-Narr-33 step 3: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a 'linkHtml'
		element with the href value '<xsl:text /><xsl:value-of select="@href" /><xsl:text />' which does not have the correct format. (See Appendix C.1 in the PCEHR View Service Technical Service Specification v1.7)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$is-linkHtml and contains(@href,':') and not(matches($scheme-name, $uri-scheme-regex)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-linkHtml and contains(@href,':') and not(matches($scheme-name, $uri-scheme-regex))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-33" /><xsl:text />: TC-Narr-33 step 3: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' element with the href value '<xsl:text /><xsl:value-of select="@href" /><xsl:text />' which does not have a URI syntax as the URI scheme name
		'<xsl:text /><xsl:value-of select="$scheme-name" /><xsl:text />' does not have the correct syntax. (See section 3.1 of RFC 3986 https://www.ietf.org/rfc/rfc3986.txt.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$is-linkHtml and contains(@href,':') and not($pcehr-scheme or $uri-schemes[scheme/@name = $scheme-name]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-linkHtml and contains(@href,':') and not($pcehr-scheme or $uri-schemes[scheme/@name = $scheme-name])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-33" /><xsl:text />: TC-Narr-33 step 3: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' element with the href value '<xsl:text /><xsl:value-of select="@href" /><xsl:text />' which is not a valid URI as the URI scheme
		'<xsl:text /><xsl:value-of select="$scheme-name" /><xsl:text />' is not a member of the list of registered schemes.
		(See section 3.1 of RFC 3986 https://www.ietf.org/rfc/rfc3986.txt and 'Uniform Resource Identifier (URI) Schemes' https://www.iana.org/assignments/uri-schemes/uri-schemes.xhtml.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$is-linkHtml and contains(@href,':') and not($pcehr-scheme) and $uri-schemes[scheme/@name = $scheme-name] and matches($scheme-name, $uri-scheme-regex) and    not(@href castable as xs:anyURI) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$is-linkHtml and contains(@href,':') and not($pcehr-scheme) and $uri-schemes[scheme/@name = $scheme-name] and matches($scheme-name, $uri-scheme-regex) and not(@href castable as xs:anyURI)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-33" /><xsl:text />: TC-Narr-33 step 3: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' element with the href value '<xsl:text /><xsl:value-of select="@href" /><xsl:text />' which does not have a URI syntax.
		(See section 3 of RFC 3986 https://www.ietf.org/rfc/rfc3986.txt.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = 'footnoteRef' and @IDREF and not(//cda:section/cda:text//cda:footnote/@ID=@IDREF)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'footnoteRef' and @IDREF and not(//cda:section/cda:text//cda:footnote/@ID=@IDREF)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-38" /><xsl:text />: TC-Narr-38: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' element with an invalid local reference '<xsl:text /><xsl:value-of select="@IDREF" /><xsl:text />'. The reference must identify a footnote element in
		the same or a different narrative block. (See section 4.3.5.5 of the HL7 CDA R2 specification.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'paragraph' and cda:caption and $non-null-first-child ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'paragraph' and cda:caption and $non-null-first-child">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-39" /><xsl:text />: TC-Narr-39: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' element with character data <xsl:text /><xsl:value-of select="$display-first-child" /><xsl:text /> followed by a
		caption. In a paragraph element the caption must be present before any character data with the exception of whitespace. (See section 4.3.5.7 of the HL7 CDA R2 specification.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'item' and cda:caption and $non-null-first-child ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'item' and cda:caption and $non-null-first-child">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-41" /><xsl:text />: TC-Narr-41: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' element with character data <xsl:text /><xsl:value-of select="$display-first-child" /><xsl:text /> followed by a
		caption. In an item element the caption must be present before any character data with the exception of whitespace. (See section 4.3.5.8 of the HL7 CDA R2 specification.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1118" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1118" />
  <xsl:template match="@*|node()" priority="-2" mode="M1118">
    <xsl:apply-templates select="@*|*" mode="M1118" />
  </xsl:template>
  <!--PATTERN p-TS-Ref-1-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/cda:text//cda:renderMultiMedia               |           /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/cda:component/cda:section/cda:text//cda:renderMultiMedia          |           /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/cda:component/cda:section/cda:component/cda:section/cda:text//cda:renderMultiMedia       |           /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/cda:component/cda:section/cda:component/cda:section/cda:component//cda:section/cda:text//cda:renderMultiMedia    " priority="1000" mode="M1119">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/cda:text//cda:renderMultiMedia               |           /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/cda:component/cda:section/cda:text//cda:renderMultiMedia          |           /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/cda:component/cda:section/cda:component/cda:section/cda:text//cda:renderMultiMedia       |           /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/cda:component/cda:section/cda:component/cda:section/cda:component//cda:section/cda:text//cda:renderMultiMedia    " />
    <xsl:variable name="external" select=" if (@referencedObject != '') then /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//cda:section/cda:entry//        cda:*[local-name(.) = ('externalAct', 'externalDocument', 'externalObservation', 'externalProcedure')][cda:text/cda:reference/@value =         /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//cda:section/cda:entry//        cda:observationMedia[@ID = current()/@referencedObject]/cda:value/cda:reference/@value]        else () " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then exists(ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]) else false() " />
    <xsl:variable name="rating-89" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-89 " />
    <xsl:variable name="rating-91" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-91 " />
    <xsl:variable name="rating-92" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-92 " />
    <xsl:variable name="rating-Ref" select="if ($initial-priority) then $initial-rating else $rating-TS-Ref " />
    <!--REPORT -->
    <xsl:if test="not(@referencedObject) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@referencedObject)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Error<xsl:text /><xsl:value-of select="$rating-89" /><xsl:text />: TC-Narr-89: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the element
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' which is invalid as there is no referencedObject attribute. The reference must identify an
		observationMedia or regionOfInterest element in the same document. (See section 4.3.5.6 of the HL7 CDA R2 specification.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@referencedObject and    not(//cda:section/cda:entry//cda:observationMedia/@ID=@referencedObject or //cda:section/cda:entry//cda:regionOfInterest/@ID=@referencedObject) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@referencedObject and not(//cda:section/cda:entry//cda:observationMedia/@ID=@referencedObject or //cda:section/cda:entry//cda:regionOfInterest/@ID=@referencedObject)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Error<xsl:text /><xsl:value-of select="$rating-89" /><xsl:text />: TC-Narr-89: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the element
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' with an invalid local reference '<xsl:text /><xsl:value-of select="@referencedObject" /><xsl:text />'. The reference must identify an
		observationMedia or regionOfInterest element in the same document. (See section 4.3.5.6 of the HL7 CDA R2 specification.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$rendering-1-0 and (not(cda:caption) or cda:caption = '' or normalize-space(cda:caption) = '') and    @referencedObject = /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//cda:section/cda:entry//   *[local-name(.) = ('observationMedia', 'regionOfInterest') and cda:value/@mediaType = ('text/html', 'application/pdf', 'text/rtf', 'text/plain')]/@ID">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$rendering-1-0 and (not(cda:caption) or cda:caption = '' or normalize-space(cda:caption) = '') and @referencedObject = /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//cda:section/cda:entry// *[local-name(.) = ('observationMedia', 'regionOfInterest') and cda:value/@mediaType = ('text/html', 'application/pdf', 'text/rtf', 'text/plain')]/@ID">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Error<xsl:text /><xsl:value-of select="$rating-91" /><xsl:text />: TC-Narr-91: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the element
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' without a caption. A caption element must be present in a reference to HTML, PDF, RTF and Plain Text attachments.
		(See requirement CDA-RS 53 (h) in the CDA Rendering Specification v1.0.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists($external) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists($external)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Error<xsl:text /><xsl:value-of select="$rating-92" /><xsl:text />: TC-Narr-92 step 2: The object '<xsl:text /><xsl:value-of select="$external/cda:text/cda:reference/@value" /><xsl:text />' referenced from the narrative
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> by a renderMultiMedia element is also referenced from an '<xsl:text /><xsl:value-of select="local-name($external)" /><xsl:text />' element.
		RenderMultiMedia is only for multimedia that is logically part of the attested content of the clinical document whereas externalDocument is for multimedia that is simply referenced by
		the clinical document and not part of its attested content so it is an error for an object to be referenced by both externalDocument and renderMultiMedia.
		(See sections 4.3.5.6 and 4.3.8.5 of the HL7 CDA R2 specification.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and (not(cda:caption) or cda:caption = '' or normalize-space(cda:caption) = '') and    @referencedObject = //cda:section/cda:entry//*[local-name(.) = ('observationMedia', 'regionOfInterest') and cda:value/@mediaType = 'image/tiff']/@ID">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and (not(cda:caption) or cda:caption = '' or normalize-space(cda:caption) = '') and @referencedObject = //cda:section/cda:entry//*[local-name(.) = ('observationMedia', 'regionOfInterest') and cda:value/@mediaType = 'image/tiff']/@ID">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Recommendation<xsl:text /><xsl:value-of select="$rating-Ref" /><xsl:text />: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a renderMultiMedia element with a link to a TIFF attachment but no caption.
		TIFF attachments are not rendered inline so a caption should be be present in a reference to a TIFF attachment so the narrative provides a 
		selectable link to the attachment.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1119" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1119" />
  <xsl:template match="@*|node()" priority="-2" mode="M1119">
    <xsl:apply-templates select="@*|*" mode="M1119" />
  </xsl:template>
  <!--PATTERN p-TS-Ref-2-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/cda:text//cda:linkHtml               |           /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/cda:component/cda:section/cda:text//cda:linkHtml          |           /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/cda:component/cda:section/cda:component/cda:section/cda:text//cda:linkHtml       |           /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/cda:component/cda:section/cda:component/cda:section/cda:component//cda:section/cda:text//cda:linkHtml    " priority="1000" mode="M1120">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/cda:text//cda:linkHtml               |           /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/cda:component/cda:section/cda:text//cda:linkHtml          |           /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/cda:component/cda:section/cda:component/cda:section/cda:text//cda:linkHtml       |           /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/cda:component/cda:section/cda:component/cda:section/cda:component//cda:section/cda:text//cda:linkHtml    " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then exists(ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]) else false() " />
    <xsl:variable name="rating-92" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-92 " />
    <xsl:variable name="rating-Ref" select="if ($initial-priority) then $initial-rating else $rating-TS-Ref " />
    <!--REPORT -->
    <xsl:if test=" /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//cda:entry//cda:observationMedia[cda:value/cda:reference/@value = current()/@href] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//cda:entry//cda:observationMedia[cda:value/cda:reference/@value = current()/@href]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Error<xsl:text /><xsl:value-of select="$rating-92" /><xsl:text />: TC-Narr-92 step 1: The external object '<xsl:text /><xsl:value-of select="@href" /><xsl:text />' referenced from the narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		by a linkHtml element is also referenced from an observationMedia element. ObservationMedia is only for
		multimedia that is logically part of the attested content of the clinical document whereas linkHtml is for multimedia that is simply referenced by the clinical document and not part of its
		attested content so it is an error for an external object to be referenced by both observationMedia and linkHtml.
		(See sections 4.3.5.6 and 4.3.6.4 of the HL7 CDA R2 specification.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and @name">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and @name">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-Ref" /><xsl:text />: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a linkHtml element with the 'name' attribute.
		The linkHtml 'name' attribute should not be used because attributes of type XML ID provide an alternative and more consistent target for referencing. 
		(See section 4.3.5.2 of the HL7 Clinical Document Architecture, Release 2.0 specification for information about the linkHtml 'name' attribute.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1120" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1120" />
  <xsl:template match="@*|node()" priority="-2" mode="M1120">
    <xsl:apply-templates select="@*|*" mode="M1120" />
  </xsl:template>
  <!--PATTERN p-TS-Style-1-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument[$rendering-1-0]/cda:component/cda:structuredBody/cda:component/cda:section/cda:text             |           /cda:ClinicalDocument[$rendering-1-0]/cda:component/cda:structuredBody/cda:component/cda:section/cda:component/cda:section/cda:text          |           /cda:ClinicalDocument[$rendering-1-0]/cda:component/cda:structuredBody/cda:component/cda:section/cda:component/cda:section/cda:component/cda:section/cda:text       |           /cda:ClinicalDocument[$rendering-1-0]/cda:component/cda:structuredBody/cda:component/cda:section/cda:component/cda:section/cda:component/cda:section/cda:component//cda:section/cda:text    " priority="1000" mode="M1121">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument[$rendering-1-0]/cda:component/cda:structuredBody/cda:component/cda:section/cda:text             |           /cda:ClinicalDocument[$rendering-1-0]/cda:component/cda:structuredBody/cda:component/cda:section/cda:component/cda:section/cda:text          |           /cda:ClinicalDocument[$rendering-1-0]/cda:component/cda:structuredBody/cda:component/cda:section/cda:component/cda:section/cda:component/cda:section/cda:text       |           /cda:ClinicalDocument[$rendering-1-0]/cda:component/cda:structuredBody/cda:component/cda:section/cda:component/cda:section/cda:component/cda:section/cda:component//cda:section/cda:text    " />
    <xsl:variable name="elements" select="(.[@styleCode], .//*[@styleCode])" />
    <xsl:variable name="disallowed" select="$elements[not(local-name(.) = 'content'   or                  local-name(.) = 'list'   or                      local-name(.) = 'paragraph'  or                    local-name(.) = 'item'   or                   local-name(.) = 'th'   or                  local-name(.) = 'td'  )]" />
    <xsl:variable name="disallowed-num" select="count($disallowed)" />
    <xsl:variable name="disallowed-count" select="if ($numbers/number[@value = $disallowed-num]) then $numbers/number[number(@value) = $disallowed-num]/@name else $disallowed-num" />
    <xsl:variable name="disallowed-names" select="distinct-values(for $n in $disallowed return local-name($n))" />
    <xsl:variable name="table-message" select="if ($disallowed-names[. = 'table'])         then normalize-space('Although requirement CDA-RS 54 (a) states that a table element may contain a styleCode the         CDA Rendering specification does not list any styleCodes that are allowed for use in a table element.') else '' " />
    <xsl:variable name="allowed-elements" select="$elements[local-name(.) = 'content'  or              local-name(.) = 'list'  or                  local-name(.) = 'paragraph'  or                local-name(.) = 'item'  or               local-name(.) = 'th'   or              local-name(.) = 'td'  ]" />
    <xsl:variable name="content-invalid" select="distinct-values(tokenize(normalize-space(string-join($allowed-elements[local-name(.) = 'content']/@styleCode, ' ')), ' '))        [not(. = 'Bold'    or              . = 'Underline'    or              . = 'Italics'    or              . = 'Emphasis'    or              . = 'xFixed'    or              . = 'xPre'    or              starts-with(.,'xBgColour')  or              starts-with(.,'xFgColour')  or              starts-with(.,'xFontSizeEm')  or              starts-with(.,'xFontSizePx')  or             starts-with(.,'xColWidthPx') )]" />
    <xsl:variable name="l-content-invalid" select="distinct-values(tokenize(normalize-space(lower-case(string-join($allowed-elements[local-name(.) = 'content']/@styleCode, ' '))), ' '))        [not(. = 'bold'    or              . = 'underline'    or              . = 'italics'    or              . = 'emphasis'    or              . = 'xfixed'    or              . = 'xpre'    or              starts-with(.,'xbgcolour')  or              starts-with(.,'xfgcolour')  or              starts-with(.,'xfontsizeem')  or              starts-with(.,'xfontsizepx')  or             starts-with(.,'xcolwidthpx') )]" />
    <xsl:variable name="item-invalid" select="distinct-values(tokenize(normalize-space(string-join($allowed-elements[local-name(.) = 'item']/@styleCode, ' ')), ' '))        [not(. = 'Bold'    or              . = 'Underline'    or              . = 'Italics'    or              . = 'Emphasis'    or              . = 'xFixed'    or              . = 'xPre'    or              starts-with(.,'xBgColour')  or              starts-with(.,'xFgColour')  or              starts-with(.,'xFontSizeEm')  or              starts-with(.,'xFontSizePx')  or             starts-with(.,'xColWidthPx') )]" />
    <xsl:variable name="l-item-invalid" select="distinct-values(tokenize(normalize-space(lower-case(string-join($allowed-elements[local-name(.) = 'item']/@styleCode, ' '))), ' '))        [not(. = 'bold'    or              . = 'underline'    or              . = 'italics'    or              . = 'emphasis'    or              . = 'xfixed'    or              . = 'xpre'    or              starts-with(.,'xbgcolour')  or              starts-with(.,'xfgcolour')  or              starts-with(.,'xfontsizeem')  or              starts-with(.,'xfontsizepx')  or             starts-with(.,'xcolwidthpx') )]" />
    <xsl:variable name="paragraph-invalid" select="distinct-values(tokenize(normalize-space(string-join($allowed-elements[local-name(.) = 'paragraph']/@styleCode, ' ')), ' '))        [not(. = 'Bold'    or              . = 'Underline'    or              . = 'Italics'    or              . = 'Emphasis'    or              . = 'xFixed'    or              . = 'xPre'    or              starts-with(.,'xBgColour')  or              starts-with(.,'xFgColour')  or              starts-with(.,'xFontSizeEm')  or              starts-with(.,'xFontSizePx')  or             starts-with(.,'xColWidthPx') )]" />
    <xsl:variable name="l-paragraph-invalid" select="distinct-values(tokenize(normalize-space(lower-case(string-join($allowed-elements[local-name(.) = 'paragraph']/@styleCode, ' '))), ' '))        [not(. = 'bold'    or              . = 'underline'    or              . = 'italics'    or              . = 'emphasis'    or              . = 'xfixed'    or              . = 'xpre'    or              starts-with(.,'xbgcolour')  or              starts-with(.,'xfgcolour')  or              starts-with(.,'xfontsizeem')  or              starts-with(.,'xfontsizepx')  or             starts-with(.,'xcolwidthpx') )]" />
    <xsl:variable name="th-invalid" select="distinct-values(tokenize(normalize-space(string-join($allowed-elements[local-name(.) = 'th']/@styleCode, ' ')), ' '))        [not(. = 'Bold'    or              . = 'Underline'    or              . = 'Italics'    or              . = 'Emphasis'    or              . = 'xFixed'    or              . = 'xPre'    or              . = 'Lrule'    or              . = 'Rrule'    or              . = 'Toprule'    or              . = 'Botrule'    or             starts-with(.,'xBgColour')  or              starts-with(.,'xFgColour')  or              starts-with(.,'xFontSizeEm')  or              starts-with(.,'xFontSizePx')  or             starts-with(.,'xColWidthPx') )]" />
    <xsl:variable name="l-th-invalid" select="distinct-values(tokenize(normalize-space(lower-case(string-join($allowed-elements[local-name(.) = 'th']/@styleCode, ' '))), ' '))        [not(. = 'bold'    or              . = 'underline'    or              . = 'italics'    or              . = 'emphasis'    or              . = 'xfixed'    or              . = 'xpre'    or              . = 'lrule'    or              . = 'rrule'    or              . = 'toprule'    or              . = 'botrule'    or             starts-with(.,'xbgcolour')  or              starts-with(.,'xfgcolour')  or              starts-with(.,'xfontsizeem')  or              starts-with(.,'xfontsizepx')  or             starts-with(.,'xcolwidthpx') )]" />
    <xsl:variable name="td-invalid" select="distinct-values(tokenize(normalize-space(string-join($allowed-elements[local-name(.) = 'td']/@styleCode, ' ')), ' '))        [not(. = 'Bold'    or              . = 'Underline'    or              . = 'Italics'    or              . = 'Emphasis'    or              . = 'xFixed'    or              . = 'xPre'    or              . = 'Lrule'    or              . = 'Rrule'    or              . = 'Toprule'    or              . = 'Botrule'    or             starts-with(.,'xBgColour')  or              starts-with(.,'xFgColour')  or              starts-with(.,'xFontSizeEm')  or              starts-with(.,'xFontSizePx')  or             starts-with(.,'xColWidthPx') )]" />
    <xsl:variable name="l-td-invalid" select="distinct-values(tokenize(normalize-space(lower-case(string-join($allowed-elements[local-name(.) = 'td']/@styleCode, ' '))), ' '))        [not(. = 'bold'    or              . = 'underline'    or              . = 'italics'    or              . = 'emphasis'    or              . = 'xfixed'    or              . = 'xpre'    or              . = 'lrule'    or              . = 'rrule'    or              . = 'toprule'    or              . = 'botrule'    or             starts-with(.,'xbgcolour')  or              starts-with(.,'xfgcolour')  or              starts-with(.,'xfontsizeem')  or              starts-with(.,'xfontsizepx')  or             starts-with(.,'xcolwidthpx') )]" />
    <xsl:variable name="ordered-list-invalid" select="distinct-values(tokenize(normalize-space(string-join($allowed-elements        [local-name(.) = 'list'  and @listType = 'ordered']/@styleCode, ' ')), ' '))        [not(. = 'Arabic'    or              . = 'LittleRoman'    or              . = 'BigRoman'    or              . = 'LittleAlpha'    or              . = 'BigAlpha'    )]" />
    <xsl:variable name="l-ordered-list-invalid" select="distinct-values(tokenize(normalize-space(lower-case(string-join($allowed-elements        [local-name(.) = 'list'  and @listType = 'ordered']/@styleCode, ' '))), ' '))        [not(. = 'arabic'    or              . = 'littleroman'    or              . = 'bigroman'    or              . = 'littlealpha'    or              . = 'bigalpha'    )]" />
    <xsl:variable name="unordered-list-invalid" select="distinct-values(tokenize(normalize-space(string-join($allowed-elements        [local-name(.) = 'list'  and @listType = 'unordered']/@styleCode, ' ')), ' '))        [not(. = 'Disc'    or              . = 'Circle'    or              . = 'Square'    )]" />
    <xsl:variable name="l-unordered-list-invalid" select="distinct-values(tokenize(normalize-space(lower-case(string-join($allowed-elements        [local-name(.) = 'list'  and @listType = 'unordered']/@styleCode, ' '))), ' '))        [not(. = 'disc'    or              . = 'circle'    or              . = 'square'    )]" />
    <xsl:variable name="styleCodes" select="$allowed-elements/@styleCode" />
    <xsl:variable name="leading-space" select="$styleCodes[starts-with(., ' ')]" />
    <xsl:variable name="leading-space-num" select="count($leading-space)" />
    <xsl:variable name="leading-space-count" select="if ($numbers/number[@value = $leading-space-num]) then $numbers/number[number(@value) = $leading-space-num]/@name else $leading-space-num" />
    <xsl:variable name="trailing-space" select="$styleCodes[ends-with(., ' ')]" />
    <xsl:variable name="trailing-space-num" select="count($trailing-space)" />
    <xsl:variable name="trailing-space-count" select="if ($numbers/number[@value = $trailing-space-num]) then $numbers/number[number(@value) = $trailing-space-num]/@name else $trailing-space-num" />
    <xsl:variable name="multiple-spaces" select="$styleCodes[not(starts-with(., ' ')) and not(ends-with(., ' ')) and contains(., '  ')]" />
    <xsl:variable name="multiple-spaces-num" select="count($multiple-spaces)" />
    <xsl:variable name="multiple-spaces-count" select="if ($numbers/number[@value = $multiple-spaces-num]) then $numbers/number[number(@value) = $multiple-spaces-num]/@name else $multiple-spaces-num" />
    <xsl:variable name="styleCode-values" select="distinct-values(tokenize(normalize-space(string-join($styleCodes, ' ')), ' '))" />
    <xsl:variable name="three-char-xBgColour" select="$styleCode-values[starts-with(.,'xBgColour') and string-length(.) = 12 and     (translate(substring-after(.,'xBgColour'),'0123456789abcdef','') = '' or translate(substring-after(.,'xBgColour'),'0123456789ABCDEF','') = '')] " />
    <xsl:variable name="invalid-xBgColour" select="$styleCode-values[starts-with(.,'xBgColour') and (not(string-length(.) = 15 or string-length(.) = 12) or    not(translate(substring-after(.,'xBgColour'),'0123456789abcdef','') = '' or translate(substring-after(.,'xBgColour'),'0123456789ABCDEF','') = ''))] " />
    <xsl:variable name="three-char-xFgColour" select="$styleCode-values[starts-with(.,'xFgColour') and string-length(.) = 12 and     (translate(substring-after(.,'xFgColour'),'0123456789abcdef','') = '' or translate(substring-after(.,'xFgColour'),'0123456789ABCDEF','') = '')] " />
    <xsl:variable name="invalid-xFgColour" select="$styleCode-values[starts-with(.,'xFgColour') and (not(string-length(.) = 15 or string-length(.) = 12) or     not(translate(substring-after(.,'xFgColour'),'0123456789abcdef','') = '' or translate(substring-after(.,'xFgColour'),'0123456789ABCDEF','') = ''))] " />
    <xsl:variable name="invalid-xFontSizeEm" select="$styleCode-values[starts-with(.,'xFontSizeEm') and     (normalize-space(translate(substring-after(.,'xFontSizeEm'),'0123456789.','')) != '' or not(number(substring-after(.,'xFontSizeEm')) &gt; 0))] " />
    <xsl:variable name="invalid-xFontSizePx" select="$styleCode-values[starts-with(.,'xFontSizePx') and     (normalize-space(translate(substring-after(.,'xFontSizePx'),'0123456789.','')) != '' or not(number(substring-after(.,'xFontSizePx')) &gt; 0))] " />
    <xsl:variable name="invalid-xColWidthPx" select="$styleCode-values[starts-with(.,'xColWidthPx') and     (normalize-space(translate(substring-after(.,'xColWidthPx'),'0123456789.','')) != '' or not(number(substring-after(.,'xColWidthPx')) &gt; 0))] " />
    <xsl:variable name="el-xPre" select="$allowed-elements[local-name(.) = ('content', 'item', 'th', 'td', 'paragraph') and contains(@styleCode, 'xPre')] " />
    <xsl:variable name="text-lengths" select="for $el in $el-xPre return         max(for $text in $el/text() return         max(for $line in tokenize($text, $unicode-br-regex) return string-length($line))) " />
    <xsl:variable name="max-text-length" select="if (exists($text-lengths)) then max($text-lengths) else 0 " />
    <xsl:variable name="long-xPre" select="if ($max-text-length &gt; 100) then for $i in (1 to count($text-lengths)) return if ($text-lengths[$i] &gt; 100) then $el-xPre[$i] else ()        else () " />
    <xsl:variable name="long-xPre-num" select="count($long-xPre) " />
    <xsl:variable name="longest-xPre" select="if ($max-text-length &gt; 100) then $el-xPre[position() = index-of($text-lengths, $max-text-length)[1]] else () " />
    <xsl:variable name="longest-text" select="if (exists($longest-xPre)) then (for $text in $longest-xPre/text() return         tokenize($text, $unicode-br-regex)[string-length(.) = $max-text-length])[1] else '' " />
    <xsl:variable name="display-longest-text" select="if ($longest-text = '') then '' else if (string-length($longest-text) &lt; 200)        then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($longest-text, $text-pattern-replacement, 'ic')), codepoints-to-string(34))       else concat('commencing with ', codepoints-to-string(34),         normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($longest-text, $p-name-pattern-replacement, 'ic'), 1, 200),         $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="explanation" select="concat(' Clinical documents need to be readable by all healthcare software systems in Australia so values for the styleCode ',        'attribute have been specified for use with each narrative elements.') " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then exists(ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]) else false() " />
    <xsl:variable name="rating-64" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-64 " />
    <xsl:variable name="rating-65" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-65 " />
    <xsl:variable name="rating-71" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-71 " />
    <xsl:variable name="rating-72" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-72 " />
    <xsl:variable name="rating-73" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-73 " />
    <xsl:variable name="rating-74" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-74 " />
    <xsl:variable name="rating-75" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-75 " />
    <xsl:variable name="rating-76" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-76 " />
    <!--REPORT -->
    <xsl:if test=" $disallowed-num = 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$disallowed-num = 1">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-64" /><xsl:text />: TC-Narr-64 step 1: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a '<xsl:text /><xsl:value-of select="$disallowed-names[1]" /><xsl:text />' element
		with a styleCode attribute with the value '<xsl:text /><xsl:value-of select="$disallowed[1]/@styleCode" /><xsl:text />' however the element is not allowed to contain a styleCode attribute.
		<xsl:text /><xsl:value-of select="$table-message" /><xsl:text /> (See requirement CDA-RS 54 (b) of the CDA Rendering Specification v1.0.) Clinical documents need to be readable by all healthcare software systems in
		Australia so values for the styleCode attribute have been specified for use with each narrative element and no styleCode attribute is to be used with some narrative elements.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $disallowed-num &gt; 1 and count($disallowed-names) = 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$disallowed-num &gt; 1 and count($disallowed-names) = 1">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-64" /><xsl:text />: TC-Narr-64 step 1: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains <xsl:text /><xsl:value-of select="$disallowed-count" /><xsl:text />
		'<xsl:text /><xsl:value-of select="local-name($disallowed[1])" /><xsl:text />' elements with styleCode attributes however the elements are not allowed to contain a styleCode attribute. An example is
		the styleCode '<xsl:text /><xsl:value-of select="$disallowed[1]/@styleCode" /><xsl:text />'. <xsl:text /><xsl:value-of select="$table-message" /><xsl:text /> (See requirement CDA-RS 54 (b) of the CDA Rendering Specification v1.0.) Clinical
		documents need to be readable by all healthcare software systems in Australia so values for the styleCode attribute have been specified for use with each narrative element and no styleCode
		attribute is to be used with some narrative elements.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" count($disallowed-names) &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="count($disallowed-names) &gt; 1">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-64" /><xsl:text />: TC-Narr-64 step 1: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains <xsl:text /><xsl:value-of select="$disallowed-count" /><xsl:text /> elements
		with styleCode attributes however the elements are not allowed to contain a styleCode attribute. An example is '<xsl:text /><xsl:value-of select="local-name($disallowed[1])" /><xsl:text />' which
		has a styleCode attribute with the value '<xsl:text /><xsl:value-of select="$disallowed[1]/@styleCode" /><xsl:text />'. The elements with this error are '<xsl:text /><xsl:value-of select="string-join($disallowed-names, ', ')" /><xsl:text />'.
		<xsl:text /><xsl:value-of select="$table-message" /><xsl:text /> (See requirement CDA-RS 54 (b) of the CDA Rendering Specification v1.0.) Clinical documents need to be readable by all healthcare software systems in
		Australia so values for the styleCode attribute have been specified for use with each narrative element and no styleCode attribute is to be used with some narrative elements.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists($content-invalid) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists($content-invalid)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-64" /><xsl:text />: TC-Narr-64 step 2: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains one or more 'content' elements with the
		<xsl:text /><xsl:value-of select="if (count($content-invalid) = 1) then 'style code' else 'style codes' " /><xsl:text />
		'<xsl:text /><xsl:value-of select="string-join($content-invalid, ''' and ''')" /><xsl:text />'. The values of the styleCode attribute that are allowed for the narrative 'content' element need to be used.
		The styleCode values allowed for this narrative element are "Bold", "Underline", "Italics", "Emphasis", "xFixed", "xPre" and those commencing with "xBgColour", "xFgColour", "xFontSizeEm",
		"xFontSizePx", and "xColWidthPx". (See requirement CDA-RS 54 (b) of the CDA Rendering Specification v1.0.)
		<xsl:text /><xsl:value-of select="if (exists($l-content-invalid)) then '' else normalize-space('The styleCode value is invalid because the case is incorrect. Case folding is not performed   when matching XML elements and attributes so the correct case must be used. (See section 1.2 of Extensible Markup Language (XML) 1.0 (Fifth Edition).)') " /><xsl:text /><xsl:text /><xsl:value-of select="$explanation" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists($item-invalid) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists($item-invalid)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-64" /><xsl:text />: TC-Narr-64 step 2: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains one or more 'item' elements with the
		<xsl:text /><xsl:value-of select="if (count($item-invalid) = 1) then 'style code' else 'style codes' " /><xsl:text />
		'<xsl:text /><xsl:value-of select="string-join($item-invalid, ''' and ''')" /><xsl:text />'. The values of the styleCode attribute that are allowed for the narrative 'item' element need to be used.
		The styleCode values allowed for this narrative element are "Bold", "Underline", "Italics", "Emphasis", "xFixed", "xPre" and those commencing with "xBgColour", "xFgColour", "xFontSizeEm",
		"xFontSizePx", and "xColWidthPx". (See requirement CDA-RS 54 (b) of the CDA Rendering Specification v1.0.)
		<xsl:text /><xsl:value-of select="if (exists($l-item-invalid)) then '' else normalize-space('The styleCode value is invalid because the case is incorrect. Case folding is not performed   when matching XML elements and attributes so the correct case must be used. (See section 1.2 of Extensible Markup Language (XML) 1.0 (Fifth Edition).)') " /><xsl:text /><xsl:text /><xsl:value-of select="$explanation" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists($paragraph-invalid) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists($paragraph-invalid)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-64" /><xsl:text />: TC-Narr-64 step 2: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains one or more 'paragraph' elements with the
		<xsl:text /><xsl:value-of select="if (count($paragraph-invalid) = 1) then 'style code' else 'style codes' " /><xsl:text />
		'<xsl:text /><xsl:value-of select="string-join($paragraph-invalid, ''' and ''')" /><xsl:text />'. The values of the styleCode attribute that are allowed for the narrative 'paragraph' element need to be
		used. The styleCode values allowed for this narrative element are "Bold", "Underline", "Italics", "Emphasis", "xFixed", "xPre" and those commencing with "xBgColour", "xFgColour",
		"xFontSizeEm", "xFontSizePx", and "xColWidthPx". (See requirement CDA-RS 54 (b) of the CDA Rendering Specification v1.0.)
		<xsl:text /><xsl:value-of select="if (exists($l-paragraph-invalid)) then '' else normalize-space('The styleCode value is invalid because the case is incorrect. Case folding is not performed   when matching XML elements and attributes so the correct case must be used. (See section 1.2 of Extensible Markup Language (XML) 1.0 (Fifth Edition).)') " /><xsl:text /><xsl:text /><xsl:value-of select="$explanation" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists($th-invalid) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists($th-invalid)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-64" /><xsl:text />: TC-Narr-64 step 3: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains one or more 'th' elements with the
		<xsl:text /><xsl:value-of select="if (count($th-invalid) = 1) then 'style code' else 'style codes' " /><xsl:text />
		'<xsl:text /><xsl:value-of select="string-join($th-invalid, ''' and ''')" /><xsl:text />'. The values of the styleCode attribute that are allowed for the narrative 'th' element need to be
		used. The styleCode values allowed for this narrative element are "Bold", "Underline", "Italics", "Emphasis", "xFixed", "xPre", "Lrule", "Rrule", "Toprule", "Botrule" and those commencing
		with "xBgColour", "xFgColour", "xFontSizeEm", "xFontSizePx", and "xColWidthPx". (See requirement CDA-RS 54 (b) of the CDA Rendering Specification v1.0.)
		<xsl:text /><xsl:value-of select="if (exists($l-th-invalid)) then '' else normalize-space('The styleCode value is invalid because the case is incorrect. Case folding is not performed   when matching XML elements and attributes so the correct case must be used. (See section 1.2 of Extensible Markup Language (XML) 1.0 (Fifth Edition).)') " /><xsl:text /><xsl:text /><xsl:value-of select="$explanation" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists($td-invalid) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists($td-invalid)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-64" /><xsl:text />: TC-Narr-64 step 3: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains one or more 'td' elements with the
		<xsl:text /><xsl:value-of select="if (count($td-invalid) = 1) then 'style code' else 'style codes' " /><xsl:text />
		'<xsl:text /><xsl:value-of select="string-join($td-invalid, ''' and ''')" /><xsl:text />'. The values of the styleCode attribute that are allowed for the narrative 'td' element need to be
		used. The styleCode values allowed for this narrative element are "Bold", "Underline", "Italics", "Emphasis", "xFixed", "xPre", "Lrule", "Rrule", "Toprule", "Botrule" and those commencing
		with "xBgColour", "xFgColour", "xFontSizeEm", "xFontSizePx", and "xColWidthPx". (See requirement CDA-RS 54 (b) of the CDA Rendering Specification v1.0.)
		<xsl:text /><xsl:value-of select="if (exists($l-td-invalid)) then '' else normalize-space('The styleCode value is invalid because the case is incorrect. Case folding is not performed   when matching XML elements and attributes so the correct case must be used. (See section 1.2 of Extensible Markup Language (XML) 1.0 (Fifth Edition).)') " /><xsl:text /><xsl:text /><xsl:value-of select="$explanation" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists($ordered-list-invalid) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists($ordered-list-invalid)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-64" /><xsl:text />: TC-Narr-64 step 4: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains one or more ordered 'list' elements with the
		<xsl:text /><xsl:value-of select="if (count($ordered-list-invalid) = 1) then 'style code' else 'style codes' " /><xsl:text />
		'<xsl:text /><xsl:value-of select="string-join($ordered-list-invalid, ''' and ''')" /><xsl:text />'. The values of the styleCode attribute that are allowed for ordered lists need to be used. The styleCode values
		allowed for this narrative element are "LittleRoman", "BigRoman", "LittleAlpha" and "BigAlpha". (See requirement CDA-RS 54 (b) of the CDA Rendering Specification v1.0.)
		<xsl:text /><xsl:value-of select="if (exists($l-ordered-list-invalid)) then '' else normalize-space('The styleCode value is invalid because the case is incorrect. Case folding is not performed   when matching XML elements and attributes so the correct case must be used. (See section 1.2 of Extensible Markup Language (XML) 1.0 (Fifth Edition).)') " /><xsl:text /><xsl:text /><xsl:value-of select="$explanation" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists($unordered-list-invalid) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists($unordered-list-invalid)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-64" /><xsl:text />: TC-Narr-64 step 4: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains one or more unordered 'list' elements with the
		<xsl:text /><xsl:value-of select="if (count($unordered-list-invalid) = 1) then 'style code' else 'style codes' " /><xsl:text />
		'<xsl:text /><xsl:value-of select="string-join($unordered-list-invalid, ''' and ''')" /><xsl:text />'. The values of the styleCode attribute that are allowed for unordered lists need to be used. The styleCode values
		allowed for this narrative element are "Disc", "Circle" and "Square". (See requirement CDA-RS 54 (b) of the CDA Rendering Specification v1.0.)
		<xsl:text /><xsl:value-of select="if (exists($l-unordered-list-invalid)) then '' else normalize-space('The styleCode value is invalid because the case is incorrect. Case folding is not performed   when matching XML elements and attributes so the correct case must be used. (See section 1.2 of Extensible Markup Language (XML) 1.0 (Fifth Edition).)') " /><xsl:text /><xsl:text /><xsl:value-of select="$explanation" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $leading-space-num = 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$leading-space-num = 1">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-65" /><xsl:text />: TC-Narr-65: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a styleCode attribute with the value
		'<xsl:text /><xsl:value-of select="$leading-space[1]" /><xsl:text />' which contains one or more leading spaces. The CDA schema states the styleCode attribute has the NMTOKENS data
		type. NMTOKENS is a set of space-separated tokens and does not allow leading spaces. (See sections 2.3 and 3.3.1 of 'Extensible Markup Language (XML) 1.0 (Fifth Edition)'.)
	
            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $leading-space-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$leading-space-num &gt; 1">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-65" /><xsl:text />: TC-Narr-65: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains <xsl:text /><xsl:value-of select="$leading-space-count" /><xsl:text /> elements
		with styleCode attributes containing one or more leading spaces. An example is '<xsl:text /><xsl:value-of select="$leading-space[1]" /><xsl:text />'. The CDA schema states the styleCode attribute has the NMTOKENS data
		type. NMTOKENS is a set of space-separated tokens and does not allow leading spaces. (See sections 2.3 and 3.3.1 of 'Extensible Markup Language (XML) 1.0 (Fifth Edition)'.)
	
            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $trailing-space-num = 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$trailing-space-num = 1">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-65" /><xsl:text />: TC-Narr-65: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a styleCode attribute with the value
		'<xsl:text /><xsl:value-of select="$trailing-space[1]" /><xsl:text />' which contains one or more trailing spaces. The CDA schema states the styleCode attribute has the NMTOKENS data
		type. NMTOKENS is a set of space-separated tokens and does not allow trailing spaces. (See sections 2.3 and 3.3.1 of 'Extensible Markup Language (XML) 1.0 (Fifth Edition)'.)
	
            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $trailing-space-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$trailing-space-num &gt; 1">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-65" /><xsl:text />: TC-Narr-65: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains <xsl:text /><xsl:value-of select="$trailing-space-count" /><xsl:text /> elements
		with styleCode attributes containing one or more trailing spaces. An example is '<xsl:text /><xsl:value-of select="$trailing-space[1]" /><xsl:text />'. The CDA schema states the styleCode attribute has the NMTOKENS data
		type. NMTOKENS is a set of space-separated tokens and does not allow trailing spaces. (See sections 2.3 and 3.3.1 of 'Extensible Markup Language (XML) 1.0 (Fifth Edition)'.)
	
            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $multiple-spaces-num = 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$multiple-spaces-num = 1">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-65" /><xsl:text />: TC-Narr-65: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a styleCode attribute with the value
		'<xsl:text /><xsl:value-of select="$multiple-spaces[1]" /><xsl:text />' which contains multiple spaces between style codes. The CDA schema states the styleCode attribute has the NMTOKENS data
		type. NMTOKENS is a set of tokens that must separated by a single space. (See sections 2.3 and 3.3.1 of 'Extensible Markup Language (XML) 1.0 (Fifth Edition)'.)
	
            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $multiple-spaces-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$multiple-spaces-num &gt; 1">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-65" /><xsl:text />: TC-Narr-65: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains <xsl:text /><xsl:value-of select="$multiple-spaces-count" /><xsl:text /> elements
		with styleCode attributes containing multiple spaces between style codes. An example is '<xsl:text /><xsl:value-of select="$multiple-spaces[1]" /><xsl:text />'. The CDA schema states the styleCode attribute has the
		NMTOKENS data type. NMTOKENS is a set of tokens that must separated by a single space. (See sections 2.3 and 3.3.1 of 'Extensible Markup Language (XML) 1.0 (Fifth Edition)'.)
	
            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and $rendering-1-0 and exists($long-xPre) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $rendering-1-0 and exists($long-xPre)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Recommendation<xsl:text /><xsl:value-of select="$rating-71" /><xsl:text />: TC-Narr-71: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains
		<xsl:text /><xsl:value-of select="if ($numbers/number[number(@value) = $long-xPre-num]) then $numbers/number[number(@value) = $long-xPre-num]/@name else $long-xPre-num " /><xsl:text /><xsl:text /><xsl:value-of select="if ($long-xPre-num = 1) then ' element with the name ' else ' elements with the names ' " /><xsl:text />
		'<xsl:text /><xsl:value-of select="string-join(distinct-values(for $el in $long-xPre return local-name($el)), ''' and ''') " /><xsl:text />' and the 'xPre' style code and
		containing a line of text with more than 100 characters.
		Within these narrative elements is a '<xsl:text /><xsl:value-of select="local-name($longest-xPre) " /><xsl:text />' element containing a line of text <xsl:text /><xsl:value-of select="$display-longest-text" /><xsl:text />
		consisting of <xsl:text /><xsl:value-of select="$max-text-length" /><xsl:text /> characters. A maximum of 100 characters per line is recommended for readability therefore long
		lines of text should be shortened by including either a CDA 'br' line break tag or a unicode line feed or carriage return character.
		When a narrative element contains the 'xPre' style code any unicode line feed or carriage return characters in the text has the effect of breaking a single line into
		multiple lines when the narrative is displayed. (See requirement CDA-RS 55 (f) in the CDA Rendering Specification v1.0.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists($three-char-xBgColour) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists($three-char-xBgColour)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-72" /><xsl:text />: TC-Narr-72: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains one or more elements with
		<xsl:text /><xsl:value-of select="if (count($three-char-xBgColour) = 1) then 'style code' else 'style codes' " /><xsl:text />
		'<xsl:text /><xsl:value-of select="string-join($three-char-xBgColour, ''' and ''')" /><xsl:text />'. The value of a styleCode attribute must be 'xBgColour' followed by six hexadecimal characters
		rather than three. (See requirement CDA-RS 55 (g) of the CDA Rendering Specification v1.0.) Although Web specifications allow a three character notation as a shorthand for
		the six character notation the CDA Rendering Specification requires six hexadecimal characters as the shorthand notation is not consistently implemented.
		For example 'FFF' is sometimes implemented to be 'F0F0F0' (grey) whereas it is actually 'FFFFFF' (white).
		(See section 4.2.1 or 'CSS Color Module Level 3' at https://www.w3.org/TR/css3-color.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists($invalid-xBgColour) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists($invalid-xBgColour)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-72" /><xsl:text />: TC-Narr-72: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains one or more elements with
		<xsl:text /><xsl:value-of select="if (count($invalid-xBgColour) = 1) then 'style code' else 'style codes' " /><xsl:text />
		'<xsl:text /><xsl:value-of select="string-join($invalid-xBgColour, ''' and ''')" /><xsl:text />'. The value of a styleCode attribute must be 'xBgColour' followed by six hexadecimal characters
		(0-9,A-F) or (0-9,a-f). (See requirement CDA-RS 55 (g) of the CDA Rendering Specification v1.0.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists($three-char-xFgColour) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists($three-char-xFgColour)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-73" /><xsl:text />: TC-Narr-73: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains one or more elements with
		<xsl:text /><xsl:value-of select="if (count($three-char-xFgColour) = 1) then 'style code' else 'style codes' " /><xsl:text />
		'<xsl:text /><xsl:value-of select="string-join($three-char-xFgColour, ''' and ''')" /><xsl:text />'. The value of a styleCode attribute must be 'xFgColour' followed by six hexadecimal characters
		rather than three. (See requirement CDA-RS 55 (h) of the CDA Rendering Specification v1.0.) Although Web specifications allow a three character notation as a shorthand for
		the six character notation the CDA Rendering Specification requires six hexadecimal characters as the shorthand notation is not consistently implemented.
		For example 'FFF' is sometimes implemented to be 'F0F0F0' (grey) whereas it is actually 'FFFFFF' (white).
		(See section 4.2.1 or 'CSS Color Module Level 3' at https://www.w3.org/TR/css3-color.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists($invalid-xFgColour) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists($invalid-xFgColour)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-73" /><xsl:text />: TC-Narr-73: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains one or more elements with
		<xsl:text /><xsl:value-of select="if (count($invalid-xFgColour) = 1) then 'style code' else 'style codes' " /><xsl:text />
		'<xsl:text /><xsl:value-of select="string-join($invalid-xFgColour, ''' and ''')" /><xsl:text />'. The value of a styleCode attribute must be 'xFgColour' followed by six hexadecimal
		characters (0-9,A-F) or (0-9,a-f). (See requirement CDA-RS 55 (h) of the CDA Rendering Specification v1.0.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists($invalid-xFontSizeEm) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists($invalid-xFontSizeEm)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-74" /><xsl:text />: TC-Narr-74: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains one or more elements with
		<xsl:text /><xsl:value-of select="if (count($invalid-xFontSizeEm) = 1) then 'style code' else 'style codes' " /><xsl:text />
		'<xsl:text /><xsl:value-of select="string-join($invalid-xFontSizeEm, ''' and ''')" /><xsl:text />'. The value of  styleCode attribute must be 'xFontSizeEm' followed by a non-zero
		whole number. (See requirement CDA-RS 55 (i) of the CDA Rendering Specification v1.0.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists($invalid-xFontSizePx) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists($invalid-xFontSizePx)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-75" /><xsl:text />: TC-Narr-75: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains one or more elements with
		<xsl:text /><xsl:value-of select="if (count($invalid-xFontSizePx) = 1) then 'style code' else 'style codes' " /><xsl:text />
		'<xsl:text /><xsl:value-of select="string-join($invalid-xFontSizePx, ''' and ''')" /><xsl:text />'. The value of a styleCode attribute must be 'xFontSizePx' followed by a non-zero
		whole number. (See requirement CDA-RS 55 (j) of the CDA Rendering Specification v1.0.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists($invalid-xColWidthPx) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists($invalid-xColWidthPx)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-76" /><xsl:text />: TC-Narr-76: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains one or more elements with
		<xsl:text /><xsl:value-of select="if (count($invalid-xColWidthPx) = 1) then 'style code' else 'style codes' " /><xsl:text />
		'<xsl:text /><xsl:value-of select="string-join($invalid-xColWidthPx, ''' and ''')" /><xsl:text />'. The value of a styleCode attribute must be 'xColWidthPx' followed by a non-zero
		whole number. (See requirement CDA-RS 55 (k) of the CDA Rendering Specification v1.0.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1121" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1121" />
  <xsl:template match="@*|node()" priority="-2" mode="M1121">
    <xsl:apply-templates select="@*|*" mode="M1121" />
  </xsl:template>
  <!--PATTERN p-TS-Tab-1-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/cda:text//cda:table             |           /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/cda:component/cda:section/cda:text//cda:table          |           /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/cda:component/cda:section/cda:component/cda:section/cda:text//cda:table       |           /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/cda:component/cda:section/cda:component/cda:section/cda:component//cda:section/cda:text//cda:table " priority="1000" mode="M1122">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/cda:text//cda:table             |           /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/cda:component/cda:section/cda:text//cda:table          |           /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/cda:component/cda:section/cda:component/cda:section/cda:text//cda:table       |           /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/cda:component/cda:section/cda:component/cda:section/cda:component//cda:section/cda:text//cda:table " />
    <xsl:variable name="rowspan-and-colspan-greater-than-one" select="exists(cda:*/cda:tr/cda:*[@rowspan &gt; 1 and @colspan &gt; 1]) " />
    <xsl:variable name="zero-rowspan-or-colspan" select="exists(cda:*/cda:tr/cda:*[@rowspan = 0 or @colspan = 0]) " />
    <xsl:variable name="thead-row-number" select="count(cda:thead/cda:tr)" />
    <xsl:variable name="tfoot-row-number" select="count(cda:tfoot/cda:tr)" />
    <xsl:variable name="tbody-row-number" select="count(cda:tbody/cda:tr)" />
    <xsl:variable name="table-row-number" select="count(cda:*/cda:tr)" />
    <xsl:variable name="empty-tbody-row-num" select="count(cda:tbody/cda:tr[count(cda:td) &gt; 0 and count(cda:td[normalize-space() != '']) = 0])" />
    <xsl:variable name="table-one-heading-only" select="$empty-tbody-row-num = $tbody-row-number and $tfoot-row-number = 0 and $thead-row-number = 1 and count(cda:thead/cda:tr/cda:th) = 1 " />
    <xsl:variable name="tbody-cell-number" select="sum(cda:tbody/cda:tr/*/@colspan) + (sum(cda:tbody/cda:tr/*[@rowspan &gt; 1]/@rowspan) - count(cda:tbody/cda:tr/*[@rowspan &gt; 1]))" />
    <xsl:variable name="tbody-columns" select="sum(cda:tbody/cda:tr[1]/cda:*/@colspan)" />
    <xsl:variable name="thead-overflow" select="sum(for $i in (1 to $thead-row-number) return if (cda:thead/cda:tr[$i]/cda:*[@rowspan and @rowspan &gt; ($thead-row-number + 1 - $i)])   then cda:thead/cda:tr[$i]/cda:*[@rowspan and @rowspan &gt; ($thead-row-number + 1 - $i)]/@rowspan - ($thead-row-number + 1 - $i) else 0 )" />
    <xsl:variable name="tfoot-overflow" select="sum(for $i in (1 to $tfoot-row-number) return if (cda:tfoot/cda:tr[$i]/cda:*[@rowspan and @rowspan &gt; ($tfoot-row-number + 1 - $i)])   then cda:tfoot/cda:tr[$i]/cda:*[@rowspan and @rowspan &gt; ($tfoot-row-number + 1 - $i)]/@rowspan - ($tfoot-row-number + 1 - $i) else 0 )" />
    <xsl:variable name="tbody-overflow" select="sum(for $i in (1 to $tbody-row-number) return if (cda:tbody/cda:tr[$i]/cda:*[@rowspan and @rowspan &gt; ($tbody-row-number + 1 - $i)])    then cda:tbody/cda:tr[$i]/cda:*[@rowspan and @rowspan &gt; ($tbody-row-number + 1 - $i)]/@rowspan - ($tbody-row-number + 1 - $i) else 0 )" />
    <xsl:variable name="table-cell-number" select="sum(cda:*/cda:tr/cda:*/@colspan) + sum(cda:*/cda:tr/cda:*[@rowspan &gt; 1]/@rowspan) - count(cda:*/cda:tr/cda:*[@rowspan &gt; 1])       - $thead-overflow - $tfoot-overflow - $tbody-overflow " />
    <xsl:variable name="di-table-test" select="exists(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '102.16029', '102.16144')]])" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then exists(ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]) else false() " />
    <xsl:variable name="rating-53" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-53 " />
    <xsl:variable name="rating-Tab" select="if ($initial-priority) then $initial-rating else $rating-TS-Tab " />
    <!--REPORT -->
    <xsl:if test=" not($rowspan-and-colspan-greater-than-one) and not($zero-rowspan-or-colspan) and $table-cell-number div $table-row-number != $tbody-columns    and $table-row-number &gt; 0 and $rendering-1-0 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($rowspan-and-colspan-greater-than-one) and not($zero-rowspan-or-colspan) and $table-cell-number div $table-row-number != $tbody-columns and $table-row-number &gt; 0 and $rendering-1-0">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-53" /><xsl:text />: TC-Narr-53: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a table with differing
		numbers of columns in each row. With <xsl:text /><xsl:value-of select="$table-cell-number" /><xsl:text /> cells and <xsl:text /><xsl:value-of select="$table-row-number" /><xsl:text /> rows the table has an average of
		<xsl:text /><xsl:value-of select="round(($table-cell-number div $table-row-number)*100) div 100" /><xsl:text /> columns whereas the first row of the table body has <xsl:text /><xsl:value-of select="$tbody-columns" /><xsl:text /> columns.
		To conform to the mandatory requirement that the number of columns be kept constant, the number of cells divided by the
		number of rows must equal the number of columns, allowing for row and column spanning. (See requirement CDA-RS 52 (g) in the CDA Rendering Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $rowspan-and-colspan-greater-than-one and not($zero-rowspan-or-colspan) and $rendering-1-0 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $rowspan-and-colspan-greater-than-one and not($zero-rowspan-or-colspan) and $rendering-1-0">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-53" /><xsl:text />: TC-Narr-53: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a table where one of the
		cells has both rowspan and colspan attributes with a value greater than one. Confirm by manual inspection that the table meets the requirement for each row to have the same number of
		columns. (See requirement CDA-RS 52 (g) in the CDA Rendering Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and cda:*/cda:tr/cda:*[@rowspan = 0] and $rendering-1-0">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and cda:*/cda:tr/cda:*[@rowspan = 0] and $rendering-1-0">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-53" /><xsl:text />: TC-Narr-53: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a table where one
		of the cells has a rowspan attribute with a value of "0". Confirm by manual inspection that the table meets the requirement for each row to have the same number of columns.
		(See requirement CDA-RS 52 (g) in the CDA Rendering Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and cda:*/cda:tr/cda:*[@colspan = 0] and $rendering-1-0">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and cda:*/cda:tr/cda:*[@colspan = 0] and $rendering-1-0">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-53" /><xsl:text />: TC-Narr-53: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a table where one
		of the cells has a colspan attribute with a value of "0". Confirm by manual inspection that the table meets the requirement for each row to have the same number of columns.
		(See requirement CDA-RS 52 (g) in the CDA Rendering Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and cda:*/cda:tr/cda:*[@rowspan = 0] and $rendering-1-0">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and cda:*/cda:tr/cda:*[@rowspan = 0] and $rendering-1-0">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-Tab" /><xsl:text />: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a table
		where one of the cells has a rowspan attribute with a value of "0". A rowspan value of "0" is not supported by all browsers so it should be avoided.
		(See requirement CDA-RS 52 (g) in the CDA Rendering Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and cda:*/cda:tr/cda:*[@colspan = 0] and $rendering-1-0">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and cda:*/cda:tr/cda:*[@colspan = 0] and $rendering-1-0">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-53" /><xsl:text />: TC-Narr-53 (READABILITY): The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a table
		where one of the cells has a colspan attribute with a value of "0". A colspan value of "0" is not supported by all browsers so it should be avoided.
		(See requirement CDA-RS 52 (g) in the CDA Rendering Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and not($table-one-heading-only) and $empty-tbody-row-num &gt; ($tbody-row-number div 2) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and not($table-one-heading-only) and $empty-tbody-row-num &gt; ($tbody-row-number div 2)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="if ($initial-priority) then $initial-rating else $rating-TC-Sparse" /><xsl:text />: (READABILITY): The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a table where most rows have no information.
		There <xsl:text /><xsl:value-of select="if ($tbody-row-number = 1) then 'is one table body row' else concat('are ', iq:display-number($tbody-row-number), ' table body rows') " /><xsl:text />
		and <xsl:text /><xsl:value-of select="iq:display-number($empty-tbody-row-num)" /><xsl:text />
		of those rows <xsl:text /><xsl:value-of select="if ($empty-tbody-row-num = 1) then 'has' else 'have' " /><xsl:text /> no information. If there is no information to include in a table
		row then the row should be omitted. (See the recommendation 'The table SHALL not include any rows for which there is no data' in Supplementary Notes for Implementers Relating to Clinical
		Document Presentation v1.0. This is a recommendation and not a mandatory conformance requirement.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and not(./cda:thead) and ./cda:tbody/cda:tr[count(cda:td) &gt; 1 and    count(*//text()[normalize-space() != '']) = 1 and cda:td[position()=1]//text()[normalize-space() != '']] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and not(./cda:thead) and ./cda:tbody/cda:tr[count(cda:td) &gt; 1 and count(*//text()[normalize-space() != '']) = 1 and cda:td[position()=1]//text()[normalize-space() != '']]">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="if ($initial-priority) then $initial-rating else $rating-TC-Sparse" /><xsl:text />: (READABILITY): The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a table that has no header and a row with text in the first column
		only. If text is a label then the row containing no information and should be omitted. 
		Confirm by manual inspection if there is any information in the table row. (See the recommendation 'The table SHALL not include any rows for which there is no data' in 
		Supplementary Notes for Implementers Relating to Clinical Document Presentation v1.0. This is a recommendation and not a mandatory conformance requirement.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and @*[name() = ('width', 'border', 'listType', 'frame', 'cellspacing', 'cellpadding')]">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and @*[name() = ('width', 'border', 'listType', 'frame', 'cellspacing', 'cellpadding')]">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-Tab" /><xsl:text />: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a table with the 
		'<xsl:text /><xsl:value-of select="name(@*[name() = ('width', 'border', 'listType', 'frame', 'cellspacing', 'cellpadding')])" /><xsl:text />' attribute 
		which is one of the deprecated attributes for tables. Table attributes 'width', 'border', 'frame', 'cellspacing' and 'cellpadding' should not be used. The styleCode attribute provides a 
		more consistent way to suggest rendering characteristics. (See section 4.3.5.9 of the HL7 Clinical Document Architecture, Release 2.0 specification for 
		information about the table attributes and section 4.2 of the CDA Rendering Specification v1.0 for information about styleCode attributes.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and not($table-one-heading-only) and $di-table-test and $tbody-cell-number div $tbody-row-number = 1 and    not($tbody-cell-number = 1 and max(for $text in .//cda:td[1]/text() return string-length($text)) &lt; $length-err-max) and not(   (.//cda:content[contains(@styleCode, 'xPre')]  and count(.//cda:content) = count(.//cda:content[contains(@styleCode, 'xPre')])) or   (.//cda:item[contains(@styleCode, 'xPre')]  and count(.//cda:item) = count(.//cda:item[contains(@styleCode, 'xPre')]))   or   (.//cda:td[contains(@styleCode, 'xPre')]  and count(.//cda:td) = count(.//cda:td[contains(@styleCode, 'xPre')]))   or   (.//cda:paragraph[contains(@styleCode, 'xPre')] and count(.//cda:paragraph) = count(.//cda:paragraph[contains(@styleCode, 'xPre')])) ) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and not($table-one-heading-only) and $di-table-test and $tbody-cell-number div $tbody-row-number = 1 and not($tbody-cell-number = 1 and max(for $text in .//cda:td[1]/text() return string-length($text)) &lt; $length-err-max) and not( (.//cda:content[contains(@styleCode, 'xPre')] and count(.//cda:content) = count(.//cda:content[contains(@styleCode, 'xPre')])) or (.//cda:item[contains(@styleCode, 'xPre')] and count(.//cda:item) = count(.//cda:item[contains(@styleCode, 'xPre')])) or (.//cda:td[contains(@styleCode, 'xPre')] and count(.//cda:td) = count(.//cda:td[contains(@styleCode, 'xPre')])) or (.//cda:paragraph[contains(@styleCode, 'xPre')] and count(.//cda:paragraph) = count(.//cda:paragraph[contains(@styleCode, 'xPre')])) )">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-Tab" /><xsl:text />: (READABILITY): The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a table of diagnostic investigation test results
		with <xsl:text /><xsl:value-of select="if ($tbody-row-number = 1) then 'one row' else concat(iq:display-number($tbody-row-number), ' rows')" /><xsl:text /> and one column
		and it may be possible to improve the format. A recommendation is to reproduce the representation of the diagnostic investigation as provided by the diagnostic service provider, for example
		test results should be included in the clinical document using the 'xPre' styleCode in 'content', 'item', 'th' or 'paragraph' elements so that diagnostic investigation results are displayed a
		fixed-width font and spaces and line breaks are preserved. Confirm if the table contains diagnostic investigation test results and if the formatting is acceptable.
		(See section 2.5 of Supplementary Notes for Implementers Relating to Clinical Document Presentation v1.0.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1122" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1122" />
  <xsl:template match="@*|node()" priority="-2" mode="M1122">
    <xsl:apply-templates select="@*|*" mode="M1122" />
  </xsl:template>
  <!--PATTERN p-TS-Tab-2-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument[$rendering-1-0]/cda:component/cda:structuredBody/cda:component/cda:section/cda:text             |           /cda:ClinicalDocument[$rendering-1-0]/cda:component/cda:structuredBody/cda:component/cda:section/cda:component/cda:section/cda:text          |           /cda:ClinicalDocument[$rendering-1-0]/cda:component/cda:structuredBody/cda:component/cda:section/cda:component/cda:section/cda:component/cda:section/cda:text       |           /cda:ClinicalDocument[$rendering-1-0]/cda:component/cda:structuredBody/cda:component/cda:section/cda:component/cda:section/cda:component/cda:section/cda:component//cda:section/cda:text    " priority="1000" mode="M1123">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument[$rendering-1-0]/cda:component/cda:structuredBody/cda:component/cda:section/cda:text             |           /cda:ClinicalDocument[$rendering-1-0]/cda:component/cda:structuredBody/cda:component/cda:section/cda:component/cda:section/cda:text          |           /cda:ClinicalDocument[$rendering-1-0]/cda:component/cda:structuredBody/cda:component/cda:section/cda:component/cda:section/cda:component/cda:section/cda:text       |           /cda:ClinicalDocument[$rendering-1-0]/cda:component/cda:structuredBody/cda:component/cda:section/cda:component/cda:section/cda:component/cda:section/cda:component//cda:section/cda:text    " />
    <xsl:variable name="tables" select=".//cda:table " />
    <xsl:variable name="table-no-caption" select="$tables[not(cda:caption)] " />
    <xsl:variable name="table-no-caption-num" select="count($table-no-caption) " />
    <xsl:variable name="table-no-header" select="if ($flags/@report-data-quality = 'true') then $tables[not(cda:thead)] else () " />
    <xsl:variable name="table-no-header-num" select="count($table-no-header) " />
    <xsl:variable name="table-many-headers" select="if ($flags/@report-data-quality = 'true') then $tables[exists(cda:thead[count(cda:tr) &gt; 1])] else () " />
    <xsl:variable name="table-many-headers-num" select="count($table-many-headers) " />
    <xsl:variable name="table-th-num" select="if ($table-no-header-num &gt; 0) then count($tables//cda:th) else 0 " />
    <xsl:variable name="table-td-num" select="if ($table-no-header-num &gt; 0) then count($tables//cda:td) else 0 " />
    <xsl:variable name="header-row-err" select=" $tables[exists(cda:thead[not(cda:tr)])] " />
    <xsl:variable name="header-row-err-num" select=" count($header-row-err) " />
    <xsl:variable name="body-row-err" select=" $tables[exists(cda:tbody[not(cda:tr)])] " />
    <xsl:variable name="body-row-err-num" select=" count($body-row-err) " />
    <xsl:variable name="th-err" select=" $tables[*[not(local-name(.) = 'thead') and exists(cda:tr[cda:th and not(cda:td)])]] " />
    <xsl:variable name="th-err-num" select=" count($th-err) " />
    <xsl:variable name="td-err" select=" $tables[*[not(local-name(.) = 'tbody') and exists(cda:tr/cda:td)]] " />
    <xsl:variable name="td-err-num" select=" count($td-err) " />
    <xsl:variable name="lists" select=".//cda:list " />
    <xsl:variable name="items" select="$lists//cda:item " />
    <xsl:variable name="item-para-err" select="$items[cda:paragraph or *[not(local-name(.) = 'list')]//cda:paragraph[not(local-name(..) = ('td', 'th'))]] " />
    <xsl:variable name="item-para-err-num" select="count($item-para-err) " />
    <xsl:variable name="item-table-err" select="$items[cda:table or *[not(local-name(.) = 'list')]//cda:table] " />
    <xsl:variable name="item-table-err-num" select="count($item-table-err) " />
    <xsl:variable name="table-one-heading-only" select="$tables[not(exists(cda:tfoot)) and count(cda:thead/cda:tr) = 1 and count(cda:thead/cda:tr/cda:th) = 1 and        count(cda:tbody/cda:tr[count(cda:td) &gt; 0 and count(cda:td[normalize-space() != '']) = 0]) = count(cda:tbody/cda:tr)] " />
    <xsl:variable name="table-one-heading-only-num" select="count($table-one-heading-only) " />
    <xsl:variable name="list-nesting-err" select=" $lists[not(descendant::cda:list) and count(ancestor::cda:list) &gt;= 3] " />
    <xsl:variable name="list-nesting-err-num" select=" count($list-nesting-err) " />
    <xsl:variable name="td-fixed-text" select="if ($fixed-text-regex = '') then () else $tables//cda:td[matches(normalize-space(translate(., $chars-no-space, '')), $fixed-text-regex, 'is')]" />
    <xsl:variable name="td-fixed-text-num" select=" count($td-fixed-text) " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then exists(ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]) else false() " />
    <xsl:variable name="rating-31" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-31 " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-49 " />
    <xsl:variable name="rating-50" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-50 " />
    <xsl:variable name="rating-51" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-51 " />
    <xsl:variable name="rating-60" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-60 " />
    <xsl:variable name="rating-62" select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-62 " />
    <xsl:variable name="rating-FixedText" select="if ($initial-priority) then $initial-rating else $rating-TC-FixedText " />
    <xsl:variable name="rating-Tab" select="if ($initial-priority) then $initial-rating else $rating-TS-Tab " />
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and $table-no-header-num &gt; 0 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $table-no-header-num &gt; 0">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Narr-49 (READABILITY): The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains
		<xsl:text /><xsl:value-of select="if ($table-no-header-num = '1') then 'a table ' else concat(iq:display-number($table-no-header-num), ' tables')" /><xsl:text /> without a table header. A table header
		is a 'thead' element containing the table headings in 'th' elements. A recommendation is that every table should contain a table header.
		This recommendation makes information more accessible to people with disabilities.
		(See requirement CDA-RS 52 (b) in the CDA Rendering Specification v1.0 and Table Concepts in Web Accessibility Tutorials https://www.w3.org/WAI/tutorials/tables.)
		<xsl:text /><xsl:value-of select="if ($table-no-header-num = '1') then 'The table contains ' else 'The tables contain ' " /><xsl:text /><xsl:text /><xsl:value-of select="iq:display-number($table-th-num)" /><xsl:text /> header 'th' elements and <xsl:text /><xsl:value-of select="iq:display-number($table-td-num)" /><xsl:text /> data 'td' elements.
		The 'td' elements should be used for data only and any header text should be recorded using 'th' elements as this makes information more accessible to people with disabilities.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and $table-many-headers-num &gt; 0 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $table-many-headers-num &gt; 0">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Narr-49 (READABILITY): The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains
		<xsl:text /><xsl:value-of select="if ($table-many-headers-num = '1') then 'a table' else concat(iq:display-number($table-many-headers-num), ' tables')" /><xsl:text /> with more than one heading row.
		A table header is a 'thead' element containing the table headings in 'th' elements. A recommendation is that every table should contain a table header with a single heading row.
		This recommendation makes information more accessible to people with disabilities.
		(See requirement CDA-RS 52 (b) in the CDA Rendering Specification v1.0 and Table Concepts in Web Accessibility Tutorials https://www.w3.org/WAI/tutorials/tables.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $th-err-num &gt; 0 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$th-err-num &gt; 0">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-50" /><xsl:text />: TC-Narr-50 step 1: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains
		<xsl:text /><xsl:value-of select="if ($th-err-num = '1') then 'a table' else concat(iq:display-number($th-err-num), ' tables')" /><xsl:text /> with a table heading row (i.e. a row consisting only of 'th' elements)
		that is not in a 'thead' element. A table heading row must be contained in a 'thead' element. (See requirement CDA-RS 52 (c) in the CDA Rendering Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $header-row-err-num &gt; 0 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$header-row-err-num &gt; 0">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-50" /><xsl:text />: TC-Narr-50 step 2: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains
		<xsl:text /><xsl:value-of select="if ($header-row-err-num = '1') then 'a table' else concat(iq:display-number($header-row-err-num), ' tables')" /><xsl:text /> with a table header without rows
		(i.e. a 'thead' with no 'tr' element). A table header must have at least one row
		to be a valid table header. A CDA table is similar to an HTML table which has the same requirement. (See requirement CDA-RS 52 (c) in the CDA Rendering Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $body-row-err-num &gt; 0 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$body-row-err-num &gt; 0">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-51" /><xsl:text />: TC-Narr-51: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains
		<xsl:text /><xsl:value-of select="if ($body-row-err-num = '1') then 'a table' else concat(iq:display-number($body-row-err-num), ' tables')" /><xsl:text /> with a table body without rows
		(i.e. a 'tbody' with no 'tr' element). A table body must have at least one row
		to be a valid table body. A CDA table is similar to an HTML table which has the same requirement. (See requirement CDA-RS 52 (e) in the CDA Rendering Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $td-err-num &gt; 0 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$td-err-num &gt; 0">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-51" /><xsl:text />: TC-Narr-51: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains
		<xsl:text /><xsl:value-of select="if ($td-err-num = '1') then 'a table' else concat(iq:display-number($td-err-num), ' tables')" /><xsl:text /> with a table body row (i.e. a row containing one or more 'td' elements)
		that is not in a 'tbody' element. Table data must be contained within a 'tbody' element. (See requirement CDA-RS 52 (e) in the CDA Rendering Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and exists($table-no-caption) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and exists($table-no-caption)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="if ($initial-priority) then $initial-rating else $rating-TC-Narr-57" /><xsl:text />: TC-Narr-57 (READABILITY): The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains
		<xsl:text /><xsl:value-of select="if ($table-no-caption-num = '1') then 'a table without a caption.' else concat(iq:display-number($table-no-caption-num), ' tables without a caption.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($table-no-caption-num = count($table-no-caption[cda:thead]))    then concat(' These tables contain the headings ', iq:display-text-list($table-no-caption/cda:thead/cda:tr/cda:th, 1, true(), true()), '.') else '' " /><xsl:text />
		A recommendation is that every table should contain a caption. This recommendation makes information more accessible to people with disabilities.
		(See requirement CDA-RS 52 (k) in the CDA Rendering Specification v1.0 and Caption and Summary in Web Accessibility Tutorials https://www.w3.org/WAI/tutorials/tables/caption-summary.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and $table-one-heading-only-num &gt; 0  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $table-one-heading-only-num &gt; 0">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-31" /><xsl:text />: TC-Narr-31 (READABILITY): The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains
		<xsl:text /><xsl:value-of select="if ($table-one-heading-only-num = 1) then 'one table' else concat(iq:display-number($table-one-heading-only-num), ' tables')" /><xsl:text /> containing only one heading and no data.
		<xsl:text /><xsl:value-of select="if ($table-one-heading-only-num = 1) then 'The heading is ' else 'The headings are ' " /><xsl:text /><xsl:text /><xsl:value-of select="iq:display-text-list($table-one-heading-only/cda:thead/cda:tr/cda:th, 1, true(), true())" /><xsl:text />.	
		The heading text should be represented in <xsl:text /><xsl:value-of select="if ($table-one-heading-only-num = 1) then 'a ''paragraph'' narrative block element.' else '''paragraph'' narrative block elements.' " /><xsl:text />
		A 'paragraph' narrative block element may contain a styleCode attribute to suggest rendering characteristics such as bold or italics.
		(See requirements CDA-RS 45 and CDA-RS 55 in the CDA Rendering Specification v1.0.)
		<xsl:text /><xsl:value-of select="if (exists($table-no-caption)) then concat('Alternatively the heading text may be represented in table ''caption'' elements. ',   '(See requirement CDA-RS 52 (k) in the CDA Rendering Specification v1.0.)') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $item-para-err-num &gt; 0 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$item-para-err-num &gt; 0">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Narr-60: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains
		<xsl:text /><xsl:value-of select="if ($item-para-err-num = '1') then 'an ''item'' element that does' else concat(iq:display-number($item-para-err-num), ' ''item'' elements that do')" /><xsl:text />
		not meet the mandatory requirement for an 'item' element to not contain 'paragraph' elements.
		(See requirement CDA-RS 52 (n) in the CDA Rendering Specification v1.0.) Clinical documents need to be readable by all healthcare software systems in Australia so a subset of the HL7 CDA
		narrative elements have been specified for use. The 'paragraph' element may be used but not within an 'item' element.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $item-para-err-num &gt; 0 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$item-para-err-num &gt; 0">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-60" /><xsl:text />: TC-Narr-60: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains
		<xsl:text /><xsl:value-of select="if ($item-para-err-num = '1') then 'an ''item'' element that does'   else concat(iq:display-number($item-para-err-num), ' ''item'' elements that do') " /><xsl:text /> not meet the mandatory requirement for an 'item' element to not contain 'paragraph' elements.
		(See requirement CDA-RS 52 (n) in the CDA Rendering Specification v1.0.) Clinical documents need to be readable by all healthcare software systems in Australia so a subset of the HL7 CDA
		narrative elements have been specified for use. The 'paragraph' element may be used but not within an 'item' element.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="  $list-nesting-err-num &gt; 0 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$list-nesting-err-num &gt; 0">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-62" /><xsl:text />: TC-Narr-62: The narrative in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains
		<xsl:text /><xsl:value-of select="if ($list-nesting-err-num = '1') then 'a ''list'' element with more than three levels.'   else concat(iq:display-number($list-nesting-err-num), ' ''list'' elements with more than three levels.') " /><xsl:text />
		Lists must not be included with more than three levels as additional levels may not be displayed by rendering systems.
		(See requirement CDA-RS 52 (p) of the CDA Rendering Specification v1.0.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and $td-fixed-text-num &gt; 0 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $td-fixed-text-num &gt; 0">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-FixedText" /><xsl:text /> (READABILITY): <xsl:text /><xsl:value-of select="if (count($tables) = 1) then 'The table' else 'Tables'" /><xsl:text />
		in the narrative of the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /><xsl:text /><xsl:value-of select="if (count($tables) = 1) then ' contains ' else ' contain '" /><xsl:text /><xsl:text /><xsl:value-of select="if ($td-fixed-text-num = '1') then 'a table data ''td'' element'   else concat(iq:display-number($td-fixed-text-num), ' table data ''td'' elements')" /><xsl:text /> containing fixed text rather than table data.
		The fixed text is '<xsl:text /><xsl:value-of select="iq:display-text-list($td-fixed-text, 1, true(), true())" /><xsl:text />'. Other fixed text may also be present.
		A table cell with fixed text is likely to be a header cell and header cells must be marked up with 'th' and data cells with 'td' to make tables accessible to people with disabilities.
		(See Tables Concepts in Web Accessibility Tutorials https://www.w3.org/WAI/tutorials/tables.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1123" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1123" />
  <xsl:template match="@*|node()" priority="-2" mode="M1123">
    <xsl:apply-templates select="@*|*" mode="M1123" />
  </xsl:template>
  <!--PATTERN p-TS-AddrDG-1-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument/*[not(local-name(.) = 'component')]//cda:addr      |                /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/*[not(cda:text)]//cda:addr " priority="1000" mode="M1124">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument/*[not(local-name(.) = 'component')]//cda:addr      |                /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/*[not(cda:text)]//cda:addr " />
    <xsl:variable name="use-codes" select="if (@use) then tokenize(normalize-space(@use), ' ') else () " />
    <xsl:variable name="addresses" select="if (exists(preceding-sibling::cda:addr)) then () else ../cda:addr " />
    <xsl:variable name="addr-number" select="count($addresses)" />
    <xsl:variable name="addr-count" select="if ($numbers/number[@value = $addr-number]) then $numbers/number[number(@value) = $addr-number]/@name else $addr-number" />
    <xsl:variable name="address-values" select="for $i in (1 to $addr-number) return string($addresses[$i])" />
    <xsl:variable name="same-addresses" select="if ($addr-number &gt; 2) then distinct-values(for $i in (1 to count($address-values)) return if (count(index-of($address-values, $address-values[$i])) &gt; 1)        then $address-values[$i] else ()) else () " />
    <xsl:variable name="org-addr" select="exists(..[ local-name(.) = ('employerOrganization', 'guardianOrganization', 'manufacturerOrganization', 'providerOrganization',            'receivedOrganization', 'representedCustodianOrganization', 'representedOrganization', 'scopingOrganization',            'serviceProviderOrganization', 'wholeEntity', 'wholeOrganization') or                 (local-name(.) = ('playingEntity', 'scopingEntity', 'specimenPlayingEntity') and @classCode='ORG')])" />
    <xsl:variable name="hpi-addr" select="exists(../*[ local-name(.) = ('assignedPerson', 'associatedPerson', 'informationRecipient', 'relatedPerson') or            (local-name(.) = ('playingEntity', 'scopingEntity') and @classCode='PSN')])  and             exists(../cda:*/ext:asEntityIdentifier[           ext:id[ starts-with(@root, '1.2.36.1.2001.1003.0.800361')  or            starts-with(@root, '1.2.36.1.2001.1005.41')   or            starts-with(@root, '1.2.36.1.2001.1005.70')   or            @root = '1.2.36.174030967.0.2'    or            @root = '1.2.36.174030967.0.3']    or           ext:code[@codeSystem = '2.16.840.1.113883.12.203' and @code and exists(index-of($ei-codes-for-hpis, @code))]]) " />
    <xsl:variable name="person-type" select="if (not($hpi-addr)) then '' else if (local-name(../..) = 'legalAuthenticator') then 'legal authenticator' else 'healthcare provider individual' " />
    <xsl:variable name="names-1" select="if (not($hpi-addr and @nullFlavor = 'NA')) then '' else ../cda:*/cda:name " />
    <xsl:variable name="names-2" select="if (not($hpi-addr and @nullFlavor = 'NA')) then '' else normalize-space(concat(              string-join($names-1/cda:prefix, ' '), ' ',              string-join($names-1/cda:given, ' '), ' ',              $names-1/cda:family, ' ',              string-join($names-1/cda:suffix, ' '))) " />
    <xsl:variable name="names-3" select="if (not($hpi-addr and @nullFlavor = 'NA')) then '' else if ($names-2 != '') then tokenize($names-2, '\s+') else tokenize($names-1, '\s+') " />
    <xsl:variable name="deidentified" select="if (not($hpi-addr and @nullFlavor = 'NA')) then '' else string-join(for $i in (1 to count($names-3)) return         if ( matches($names-3[$i], $name-masked-regex, 'i')   or        matches($names-3[$i], $name-newborn-w-regex, 'i')  or        matches($names-3[$i], $name-prefix-regex, 'i')   or        matches($names-3[$i], $name-suffix-regex, 'i')   ) then $names-3[$i]        else concat(substring($names-3[$i], 1, 1), translate(substring($names-3[$i], 2),          'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ', 'xxxxxxxxxxxxxxxxxxxxxxxxxxXXXXXXXXXXXXXXXXXXXXXXXXXX')), ' ')" />
    <xsl:variable name="oz-addr" select="(cda:country and matches(cda:country, 'australia', 'is')) or not(cda:country) " />
    <xsl:variable name="email" select="*[matches(., $mailto-uri-regex)] " />
    <xsl:variable name="locator-err" select="cda:additionalLocator and matches(cda:additionalLocator, '[0-9]{9,}')" />
    <xsl:variable name="locator-warn" select="cda:additionalLocator and matches(cda:additionalLocator, '[0-9]{4,}')" />
    <xsl:variable name="city-err" select="$oz-addr and cda:city and not(matches(cda:city, '[a-z]', 'is')) and not(matches(cda:city, '^\s*1770\s*$', 'is'))" />
    <xsl:variable name="post-code-err" select="$oz-addr and not(cda:postalCode) and cda:streetAddressLine and matches(cda:streetAddressLine, '[^0-9][0-9]{4}\s*$', 'is') " />
    <xsl:variable name="state-err" select="$oz-addr and not(cda:state) and cda:streetAddressLine and        matches(cda:streetAddressLine, '( nsw( |$))|( vic( |$))|( qld( |$))|( sa( |$))|( wa( |$))|( tas( |$))', 'is')  " />
    <xsl:variable name="terr-err" select="$oz-addr and not(cda:state) and matches(cda:streetAddressLine, '( nt( |$))|( act( |$))', 'is') " />
    <xsl:variable name="ustate-err" select="$oz-addr and not(cda:state) and matches(cda:streetAddressLine, ' u( |$)', 'is') " />
    <xsl:variable name="state-terr-err" select="$state-err or $terr-err or $ustate-err " />
    <xsl:variable name="state-terr-msg" select="if ($state-err) then 'an Australian state'        else if ($terr-err) then 'an Australian territory'        else if ($ustate-err) then 'an unknown Australian state'        else '' " />
    <xsl:variable name="state" select="if (not($oz-addr and cda:state)) then '' else cda:state " />
    <xsl:variable name="state-invalid" select="if (not($oz-addr and cda:state)) then '' else not(cda:state/@nullFlavor) and cda:state != '' and not(matches($state, $state-regex, 'i'))" />
    <xsl:variable name="state-leading-space" select="$state-invalid and matches($state, '^\s', 'is') " />
    <xsl:variable name="state-trailing-space" select="$state-invalid and matches($state, '\s$', 'is') " />
    <xsl:variable name="state-all-space" select="$state-invalid and matches($state, '^\s+$', 'is')" />
    <xsl:variable name="state-other-err" select="$state-invalid and not($state-leading-space or $state-trailing-space or $state-all-space) " />
    <xsl:variable name="state-space-msg" select="if ($state-all-space) then ' consists entirely of spaces'        else if ($state-leading-space and $state-trailing-space) then ' starts and ends with a space'        else if ($state-leading-space and not($state-trailing-space)) then ' starts with a space'        else if (not($state-leading-space) and $state-trailing-space) then ' ends with a space'        else '' " />
    <xsl:variable name="post-code" select="if (not($oz-addr and cda:postalCode)) then '' else cda:postalCode " />
    <xsl:variable name="post-invalid" select="if (not($oz-addr and cda:postalCode)) then ''         else not(cda:postalCode/@nullFlavor) and cda:postalCode != '' and not(matches($post-code, $postcode-regex)) " />
    <xsl:variable name="post-leading-space" select="$post-invalid and matches($post-code, '^\s', 'is') " />
    <xsl:variable name="post-trailing-space" select="$post-invalid and matches($post-code, '\s$', 'is') " />
    <xsl:variable name="post-all-space" select="$post-invalid and matches($post-code, '^\s+$', 'is')" />
    <xsl:variable name="post-other-err" select="$post-invalid and not($post-leading-space or $post-trailing-space or $post-all-space) " />
    <xsl:variable name="post-space-msg" select="if ($post-all-space) then ' consists entirely of spaces'        else if ($post-leading-space and $post-trailing-space) then ' starts and ends with a space'        else if ($post-leading-space and not($post-trailing-space)) then ' starts with a space'        else if (not($post-leading-space) and $post-trailing-space) then ' ends with a space'        else '' " />
    <xsl:variable name="cs-regex" select="if ($oz-addr) then concat('^(.*?[a-z])(\W+)', $state-full-regex, '(\W*)$') else '' " />
    <xsl:variable name="cs-error" select="$oz-addr and cda:city and matches(cda:city, $cs-regex, 'is') " />
    <xsl:variable name="cs-city-msg" select="if ($cs-error) then replace(cda:city, $cs-regex, '$1', 'is') else '' " />
    <xsl:variable name="cs-state-msg-1" select="if ($cs-error) then replace(cda:city, $cs-regex, '$3', 'is') else '' " />
    <xsl:variable name="cs-state-msg" select="if ($cs-error) then dh:XQueryRecursiveReplace($cs-state-msg-1, $state-pattern-replacement, 'ic') else '' " />
    <xsl:variable name="csp-regex" select="if ($oz-addr) then concat('^(.*?[a-z])(\W+)', $state-full-regex, '(\W+)([0-9]{4})(\W*)$') else '' " />
    <xsl:variable name="csp-error" select="$oz-addr and cda:city and matches(cda:city, $csp-regex, 'is') " />
    <xsl:variable name="csp-city-msg" select="if ($csp-error) then replace(cda:city, $csp-regex, '$1', 'is') else '' " />
    <xsl:variable name="csp-state-msg-1" select="if ($csp-error) then replace(cda:city, $csp-regex, '$3', 'is') else '' " />
    <xsl:variable name="csp-state-msg" select="if ($csp-error) then dh:XQueryRecursiveReplace($csp-state-msg-1, $state-pattern-replacement, 'ic') else '' " />
    <xsl:variable name="csp-postcode-msg" select="if ($csp-error) then replace(cda:city, $csp-regex, '$5', 'is') else '' " />
    <xsl:variable name="unit-type" select="if (not($oz-addr and cda:unitType)) then '' else translate(lower-case(cda:unitType), $chars-no-space, '') " />
    <xsl:variable name="unit-invalid" select="if (not($oz-addr and cda:unitType)) then false() else not(cda:unitType/@nullFlavor) and cda:unitType != '' and         not(exists($knowledge/unit-type/type[translate(normalize-space(lower-case(@full)), $chars-no-space, '') = $unit-type or          translate(normalize-space(lower-case(@abbreviation)), $chars-no-space, '') = $unit-type]))" />
    <xsl:variable name="unit-leading-space" select="$unit-invalid and matches($unit-type, '^\s', 'is') " />
    <xsl:variable name="unit-trailing-space" select="$unit-invalid and matches($unit-type, '\s$', 'is') " />
    <xsl:variable name="unit-all-space" select="$unit-invalid and matches($unit-type, '^\s+$', 'is')" />
    <xsl:variable name="unit-other-err" select="$unit-invalid and not($unit-leading-space or $unit-trailing-space or $unit-all-space) " />
    <xsl:variable name="unit-space-msg" select="if ($unit-all-space) then ' consists entirely of spaces'        else if ($unit-leading-space and $unit-trailing-space) then ' starts and ends with a space'        else if ($unit-leading-space and not($unit-trailing-space)) then ' starts with a space'        else if (not($unit-leading-space) and $unit-trailing-space) then ' ends with a space'        else '' " />
    <xsl:variable name="unit-permitted" select="if ($unit-invalid)         then string-join((for $i in (1 to count($knowledge/unit-type/type)) return concat(' ''', $knowledge/unit-type/type[$i]/@abbreviation, ''' (',          $knowledge/unit-type/type[$i]/@full, ')')), ',')         else '' " />
    <xsl:variable name="addr-masked" select="('not entered', 'withheld', 'suppressed', 'address suppressed') " />
    <xsl:variable name="addr-masked-regex" select="replace(concat('^\s*(', string-join($addr-masked, '|'), ')\s*$'), ' ', '\\s+') " />
    <xsl:variable name="masked-st-addr" select="cda:streetAddressLine[not(@nullFlavor) and normalize-space(.) != '' and matches(., $addr-masked-regex, 'is')] " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-05-step-2" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-05-step-2 " />
    <xsl:variable name="rating-07-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-2 else $rating-alt-TC-Types-07-step-2 " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <!--REPORT -->
    <xsl:if test=" exists($masked-st-addr) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists($masked-st-addr)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/addr' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		contains <xsl:text /><xsl:value-of select="if (count($masked-st-addr) = 1) then concat('a ''streetAddressLine'' element with the value ''',    dh:XQueryRecursiveReplace($masked-st-addr[1], $markup-pattern-replacement, 'ic'), '''')   else concat('''streetAddressLine'' elements with the values ''', dh:XQueryRecursiveReplace(string-join($masked-st-addr, ' and '), $markup-pattern-replacement, 'ic'), '''') " /><xsl:text />.
		This is invalid as when a streetAddressLine element has a value the value must be an actual street address.
		When a street address cannot be provided a nullFlavor attribute must be present with a value, such as "MSK" (masked), indicating why an actual street address is not present.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $city-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$city-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/addr' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a
		'city' data element with the value '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(cda:city, $markup-pattern-replacement, 'ic')" /><xsl:text />' which is not a proper value. If present the 'city' data element must record the suburb, town or locality.
		(See section 8.6 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $cs-error ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$cs-error">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/addr' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a
		'city' data element with the value '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(cda:city, $markup-pattern-replacement, 'ic')" /><xsl:text />' which is not a proper value as it contains the state. The 'city' data element must have the value
		'<xsl:text /><xsl:value-of select="$cs-city-msg" /><xsl:text />' to record the suburb, town or locality and the state abbreviation '<xsl:text /><xsl:value-of select="$cs-state-msg " /><xsl:text />' must be recorded in the 'state' data element.
		(See section 8.6 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $csp-error ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$csp-error">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/addr' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a
		'city' data element with the value '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(cda:city, $markup-pattern-replacement, 'ic')" /><xsl:text />' which is not a proper value as it contains the state and postcode. The 'city' data element must have the value
		'<xsl:text /><xsl:value-of select="$csp-city-msg" /><xsl:text />' to record the suburb, town or locality. The postcode '<xsl:text /><xsl:value-of select="$csp-postcode-msg" /><xsl:text />' must be
		recorded in the 'postalCode' data element and the state abbreviation '<xsl:text /><xsl:value-of select="$csp-state-msg " /><xsl:text />' must be recorded in the 'state' data element.
		(See section 8.6 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $state-terr-err and $post-code-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$state-terr-err and $post-code-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/addr' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		an Unstructured Australian Address Line 'streetAddressLine' with the value '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(cda:streetAddressLine, $markup-pattern-replacement, 'ic')" /><xsl:text />'
		which contains <xsl:text /><xsl:value-of select="$state-terr-msg" /><xsl:text /> and a post code
		which are not items of information that may be included in an Unstructured Australian Address Line. A state or territory must be recorded in the 'state' data
		element and a post code must be recorded in the 'postalCode' data element. A suburb, town or locality, if present, must be recorded in the 'city' data element.
		(See sections 3.11, 3.32 and 3.34 of the Participation Data Specification v3.2 and section 8.6 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $state-terr-err and not($post-code-err) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$state-terr-err and not($post-code-err)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/addr' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		an Unstructured Australian Address Line 'streetAddressLine' with the value '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(cda:streetAddressLine, $markup-pattern-replacement, 'ic')" /><xsl:text />'
		which contains <xsl:text /><xsl:value-of select="$state-terr-msg" /><xsl:text /> which is
		not one of the items of information that may be included in an Unstructured Australian Address Line. A state or territory must be recorded in the 'state' data
		element. A suburb, town or locality, if present, must be recorded in the 'city' data element.
		(See sections 3.11 and 3.32 of the Participation Data Specification v3.2 and section 8.6 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $post-code-err and not($state-terr-err) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$post-code-err and not($state-terr-err)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/addr' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		an Unstructured Australian Address Line 'streetAddressLine' with the value '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(cda:streetAddressLine, $markup-pattern-replacement, 'ic')" /><xsl:text />' which contains a post code which is
		not one of the items of information that may be included in an Unstructured Australian Address Line. A post code must be recorded in the 'postalCode' data element.
		A suburb, town or locality, if present, must be recorded in the 'city' data element.
		(See sections 3.11 and 3.34 of the Participation Data Specification v3.2 and section 8.6 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $locator-warn ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$locator-warn">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/addr' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		has an 'additionalLocator' element with an unexpected value '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(cda:additionalLocator, $markup-pattern-replacement, 'ic')" /><xsl:text />'. The additionalLocator
		is used to identify the Address Site Name, Floor Level Type, Floor Level Number, Lot Number, or Delivery Point Identifier. The format of
		'<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(cda:additionalLocator, $markup-pattern-replacement, 'ic')" /><xsl:text />' indicates this is an Australia Post Delivery Point Identifier.
		Confirm if the value is correct. (See section 8.6 'Address' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and the METeOR information about postal delivery point
		identifiers https://meteor.aihw.gov.au/content/index.phtml/itemId/430306.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $locator-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$locator-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/addr' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		has an 'additionalLocator' element with an invalid value '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(cda:additionalLocator, $markup-pattern-replacement, 'ic')" /><xsl:text />'. The format of
		'<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(cda:additionalLocator, $markup-pattern-replacement, 'ic')" /><xsl:text />' indicates this is an Australia Post Delivery Point Identifier however a
		Delivery Point Identifier has a maximum of eight digits. (See section 8.6 'Address' in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and the METeOR information about
		postal delivery point identifiers https://meteor.aihw.gov.au/content/index.phtml/itemId/430306.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $org-addr and @nullFlavor = 'NA' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $org-addr and @nullFlavor = 'NA'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

	    	Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/addr' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		a nullFlavor attribute with the value 'NA'. This indicates the healthcare provider organisation with name '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(../cda:name, $markup-pattern-replacement, 'ic')" /><xsl:text />'
		has has no fixed address. This is not an error if the organisation really has no fixed address otherwise it is
		an error. Confirm that the healthcare provider organisation has no fixed address. If the organisation has an address then either the address or a nullFlavor attribute
		with an appropriate value must be present. Alternatively the nullFlavor attribute is not needed if the address is an Australian address with minimal information such as 'state', 'postalCode' or 'city'.
		(See section 8.6 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $hpi-addr and @nullFlavor = 'NA'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $hpi-addr and @nullFlavor = 'NA'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

	    	Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/addr' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		a nullFlavor attribute with the value 'NA'. This indicates the healthcare provider individual <xsl:text /><xsl:value-of select="$deidentified" /><xsl:text /> is a person has no fixed address. This is not an error if the person really has
		no fixed address otherwise it is an error. Confirm that the healthcare provider individual has no fixed address. If the person has an address then either the address or an appropriate
		nullFlavor attribute should be present. Alternatively the nullFlavor attribute is not needed if the address is an Australian address with minimal information such as 'state', 'postalCode' or 'city'.
		(See section 8.6 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists($email) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists($email)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The address data element
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name($email[1])" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the value '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($email[1], $markup-pattern-replacement, 'ic')" /><xsl:text />' which is an email address whereas the 'addr' data element is used to record a location such as a
		street or postal address. (See section 3.1 of the Participation Data Specification v3.2.) An email address must be recorded in a 'telecom' data element using the 'mailto' URI scheme,
		for example 'mailto:<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($email[1], $markup-pattern-replacement, 'ic')" /><xsl:text />'. (See section 8 'Common Patterns: Address' of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		If a proper value cannot be included then it must have a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="child::text()[normalize-space() != ''] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="child::text()[normalize-space() != '']">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-05-step-2" /><xsl:text />: TC-Doc-05 step 2: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/addr' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		the value '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(child::text()[normalize-space() != ''], $markup-pattern-replacement, 'ic')" /><xsl:text />' however address information must be included in address elements. The address elements include streetAddressLine,
		deliveryAddressLine, state, postalCode, country, unitType, unitID, additionalLocator and others.
		(See section 3 of the Participation Data Specification v3.2 and section 8.6 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data = 'true' and @use ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data = 'true' and @use">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-07: The Address Purpose code in
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		and the value '<xsl:text /><xsl:value-of select=" @use " /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @use = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@use = ''">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Participation Data Specification the Address Purpose code for
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type which has
		the requirement that values must come from the bound value domain with no exceptions. However the value of the Address Purpose code is an empty character string which is not a member of the
		value domain. The permitted values: 'WP', 'PST', 'TMP' and 'H'.
		(See section 3.37 of the Participation Data Specification v3.2, <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 10 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />
		CDA Implementation Guide for the set of permitted codes.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @use and exists($use-codes[not(. = ('WP', 'PST', 'TMP', 'H'))]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@use and exists($use-codes[not(. = ('WP', 'PST', 'TMP', 'H'))])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Participation Data Specification the Address Purpose code for
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type which has
		the requirement that values must come from the bound value domain with no exceptions. However the code
		'<xsl:text /><xsl:value-of select="$use-codes[not(. = ('WP', 'PST', 'TMP', 'H'))]" /><xsl:text />' is present which is not one of the valid Address Purpose codes.
		(See section 3.37 of the Participation Data Specification v3.2, <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 10 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />
		CDA Implementation Guide for the set of permitted codes.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(..) = 'patientRole' and @use and not(exists($use-codes[. = ('TMP', 'H')])) and    /cda:ClinicalDocument/cda:templateId[(@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) or            (@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4')  ]">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(..) = 'patientRole' and @use and not(exists($use-codes[. = ('TMP', 'H')])) and /cda:ClinicalDocument/cda:templateId[(@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) or (@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4') ]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-05-step-2" /><xsl:text />: TC-Doc-05 step 2: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/addr' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> 
		has a 'use' attribute with the value '<xsl:text /><xsl:value-of select="@use" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="string-join(for $purpose in $use-codes return if ($purpose = 'PST') then 'postal' else if ($purpose = 'WP') then 'business' else '', ' and ')" /><xsl:text />)
		which means the address is neither a residential nor a temporary accommodation address.
		An address must be a residential or temporary accommodation address, therefore the 'use' code must have the address purpose 'H' or 'TMP'.
		<xsl:text /><xsl:value-of select="if (/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2'])    then '(See section 2.4 of the Event Summary Structured Content Specification v1.1.)'   else if (/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3'])    then '(See section 6.1.2 of the Event Summary CDA Implementation Guide v1.3.)'   else '(See section 6.1.2 of the Discharge Summary CDA Implementation Guide v3.4.)' " /><xsl:text />
		The address 'use' attribute may consist or more than one address purpose code separated by whitespace.
		(See section 2.19.1 of XML Implementation Technology Specification - Data Types and section 10 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide for the set of
		address purpose codes.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data = 'true' and cda:state ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data = 'true' and cda:state">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-07: The Australian State/Territory data element
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />/state' in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		and the value '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(cda:state, $markup-pattern-replacement, 'ic')" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $state-leading-space or $state-trailing-space or $state-all-space ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$state-leading-space or $state-trailing-space or $state-all-space">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
			
	    	Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Participation Data Specification the Australian State/Territory data element
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />/state' in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. The Australian State/Territory
		has the value '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(cda:state, $markup-pattern-replacement, 'ic')" /><xsl:text />' which<xsl:text /><xsl:value-of select="$state-space-msg" /><xsl:text /> so it is not a valid value for that data element. The data element has the mediaType
		"text/plain" so all characters are treated as being part of the Australian State/Territory.
		(See section 3.32 of the Participation Data Specification v3.2, <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />, section 7.4.6 of ISO 21090 'Health informatics - Harmonized data types for
		information interchange' and section 4.1.3 of RFC 2046 'Multipurpose Internet Mail Extensions (MIME) Part Two: Media Types'.) 

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $state-other-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$state-other-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Participation Data Specification the Australian State/Territory data element
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />/state' in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. The address is an Australian address however the
		Australian State/Territory is '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(cda:state, $markup-pattern-replacement, 'ic')" /><xsl:text />' which is not one of the permitted
		values for an Australian address. The permitted values are listed in quotes with explanations in brackets: 'NSW' (New South Wales), 'VIC' (Victoria), 'QLD' (Queensland),
		'SA' (South Australia), 'WA' (Western Australia), 'TAS' (Tasmania), 'NT' (Northern Territory), 'ACT' (Australian Capital Territory) and 'U' (Unknown). Note that case is insensitive.
		(See section 3.32 of the Participation Data Specification v3.2 and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:state/@nullFlavor = 'OTH' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:state/@nullFlavor = 'OTH'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Participation Data Specification the Australian State/Territory data element
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />/state'
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type which has the requirement that values must come from the bound value domain with no exceptions. 
		Therefore it is not valid for the data element to have nullFlavor 'OTH' to indicate that the actual value is not a member of the set of permitted data values in the constrained value
		domain. The permitted values are listed in quotes with explanations in brackets: 'NSW' (New South Wales), 'VIC' (Victoria), 'QLD' (Queensland),
		'SA' (South Australia), 'WA' (Western Australia), 'TAS' (Tasmania), 'NT' (Northern Territory), 'ACT' (Australian Capital Territory) and 'U' (Unknown). Note that case is insensitive.
		(See section 3.32 of the Participation Data Specification v3.2 and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data = 'true' and cda:postalCode ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data = 'true' and cda:postalCode">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-07: The Australian Postcode data element
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />/postalCode' in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		and the value '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(cda:postalCode, $markup-pattern-replacement, 'ic')" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $post-leading-space or $post-trailing-space or $post-all-space ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$post-leading-space or $post-trailing-space or $post-all-space">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
			
	    	Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Participation Data Specification the Australian Postcode data element
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />/postalCode' in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. The address is an Australian address however the
		postcode has the value '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(cda:postalCode, $markup-pattern-replacement, 'ic')" /><xsl:text />' which<xsl:text /><xsl:value-of select="$post-space-msg" /><xsl:text /> so it is not a valid value for that data element. The data element has the
		default mediaType "text/plain" so all characters are treated as being part of the postcode.
		(See section 3.34 of the Participation Data Specification v3.2, <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />, section 7.4.6 of ISO 21090 'Health informatics - Harmonized data types for
		information interchange' and section 4.1.3 of RFC 2046 'Multipurpose Internet Mail Extensions (MIME) Part Two: Media Types'.) 

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $post-other-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$post-other-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Participation Data Specification the Australian Postcode data element
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />/postalCode' in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. The address is an Australian address however the
		postcode is '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(cda:postalCode, $markup-pattern-replacement, 'ic')" /><xsl:text />' which is not one of the permitted values for an Australian postcode.
		(See section 3.34 of the Participation Data Specification v3.2 and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:postalCode/@nullFlavor = 'OTH' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:postalCode/@nullFlavor = 'OTH'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Participation Data Specification the Australian Postcode data element
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />/postalCode'
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type which has the requirement that values must come from the bound value domain with no exceptions. 
		Therefore it is not valid for the data element to have nullFlavor 'OTH' to indicate that the actual value is not a member of the set of permitted data values in the constrained value
		domain. (See section 3.34 of the Participation Data Specification v3.2 and <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data = 'true' and cda:unitType ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data = 'true' and cda:unitType">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-07: The Australian Unit Type data element
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />/unitType' in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		and the value '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(cda:unitType, $markup-pattern-replacement, 'ic')" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $unit-leading-space or $unit-trailing-space or $unit-all-space ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$unit-leading-space or $unit-trailing-space or $unit-all-space">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
			
	    	Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Participation Data Specification the Australian Unit Type data element
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />/unitType' in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type which has
		the requirement that values must come from the bound value domain with no exceptions. The Australian Unit Type
		has the value '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(cda:unitType, $markup-pattern-replacement, 'ic')" /><xsl:text />' which<xsl:text /><xsl:value-of select="$unit-space-msg" /><xsl:text /> so it is not a valid value for that data element. The data element has the mediaType
		"text/plain" so all characters are treated as being part of the Australian Unit Type.
		(See section 3.13 of the Participation Data Specification v3.2, <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />, section 7.4.6 of ISO 21090 'Health informatics - Harmonized data types for
		information interchange' and section 4.1.3 of RFC 2046 'Multipurpose Internet Mail Extensions (MIME) Part Two: Media Types'.) 

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $unit-other-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$unit-other-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Participation Data Specification the Australian Unit Type data element
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />/unitType' in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type which has
		the requirement that values must come from the bound value domain with no exceptions. However the Australian Unit Type is '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(cda:unitType, $markup-pattern-replacement, 'ic')" /><xsl:text />' which is not one of the permitted values.
		The list of permitted values is<xsl:text /><xsl:value-of select="$unit-permitted" /><xsl:text />; where for each permitted value the abbreviated version is preferred and the full version is acceptable.
		Note that case is insensitive. (See section 3.13 of the Participation Data Specification v3.2, <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 5.2.1.1 of AS5017-2006.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:unitType/@nullFlavor = 'OTH' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:unitType/@nullFlavor = 'OTH'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Participation Data Specification the Australian Unit Type data element
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />/unitType'
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type which has the requirement that values must come from the bound value domain with no exceptions. 
		Therefore it is not valid for the data element to have nullFlavor 'OTH' to indicate that the actual value is not a member of the set of permitted data values in the constrained value
		domain. (See section 3.13 of the Participation Data Specification v3.2, <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 5.2.1.1 of AS5017-2006.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $addr-number &gt; 2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$addr-number &gt; 2">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-40 else $rating-alt-TC-Types-40" /><xsl:text />: TC-Types-40: The data element
		'<xsl:text /><xsl:value-of select="local-name(../../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />' in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has more
		than two addresses. There must not be more than two addresses (e.g. one street address and one postal address) associated with any one individual or organisation whereas this data element
		contains <xsl:text /><xsl:value-of select="$addr-count" /><xsl:text /> addresses. (See section 3.1 of the Participation Data Specification v3.2.)
		<xsl:text /><xsl:value-of select="if (count($same-addresses) = 0) then ''     else normalize-space(concat('The same address (', normalize-space(dh:XQueryRecursiveReplace(string-join($same-addresses, '; '), $markup-pattern-replacement, 'ic')), ') has been recorded multiple times.     This may be avoided by recording it once and combining the address purpose codes into one value for the ''use'' code with space separated values.'))" /><xsl:text />
		(See section 8 'Common Patterns: Address' of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'NA' and not(cda:streetAddressLine[normalize-space() = 'Unknown']) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'NA' and not(cda:streetAddressLine[normalize-space() = 'Unknown'])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-41 else $rating-alt-TC-Types-41" /><xsl:text />: TC-Types-41: The data element
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/addr' in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a nullFlavor attribute with the value 'NA' to indicate there
		is no fixed address. When there is no fixed address there must be a single Unstructured Australian Address Line or International Address Line having the value of 'Unknown' but this was not
		included in the address. This is corrected by including one streetAddressLine element with the value 'Unknown'.
		(See section 3.2 of the Participation Data Specification v3.2 and section 8 'Common Patterns: Address' of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		Alternatively the nullFlavor attribute is not needed if the address is an Australian address with minimal information such as 'state', 'postalCode' or 'city'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($oz-addr) and not(cda:*) and not(@nullFlavor) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($oz-addr) and not(cda:*) and not(@nullFlavor)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-42 else $rating-alt-TC-Types-42" /><xsl:text />: TC-Types-42: The data element
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/addr' in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> describes an international
		address but it does not have any child elements so it does not meet the requirement that children of this data group are all optional but an
		international address must have have at least one of the following: International Address Line, International State/Province, International Postcode or Country.
		(See sections 3.4 of the Participation Data Specification v3.2 and section 8 'Common Patterns: Address' of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if (not(exists(cda:*))) then 'The address has no elements.'   else if (count(cda:*) = 1) then concat('The only element in the address is ''', local-name(cda:*), '''.')   else concat('The only elements in the address are ''', string-join(distinct-values(for $node in cda:* return local-name($node)), '; '), '''.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $oz-addr and not(@nullFlavor) and    not(cda:*[local-name(.) = ('additionalLocator', 'city', 'deliveryAddressLine', 'direction', 'houseNumber', 'postalCode', 'state',         'streetAddressLine', 'streetName', 'streetNameType', 'unitID', 'unitType')])  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$oz-addr and not(@nullFlavor) and not(cda:*[local-name(.) = ('additionalLocator', 'city', 'deliveryAddressLine', 'direction', 'houseNumber', 'postalCode', 'state', 'streetAddressLine', 'streetName', 'streetNameType', 'unitID', 'unitType')])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-43 else $rating-alt-TC-Types-43" /><xsl:text />: TC-Types-43: The data element
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/addr' in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> describes an Australian Address but it
		does not meet the requirement that there must be at least one of the following list of address elements: Unstructured Australian Address Line, Australian Suburb/Town/Locality,
		Australian State/Territory, Australian Postcode, Australian Delivery Point Identifier, Structured Australian Address Line.
		(See section 3.10 of the Participation Data Specification v3.2 and section 8 'Common Patterns: Address' of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="if (not(exists(cda:*))) then 'The address has no elements.'   else if (count(cda:*) = 1) then concat('The only element in the address is ''', local-name(cda:*), '''.')   else concat('The only elements in the address are ''', string-join(distinct-values(for $node in cda:* return local-name($node)), '; '), '''.') " /><xsl:text />
		A basic Australian address need consist only of a state or postcode or locality. These are included in 'state', 'postalCode' and 'city' elements respectively.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $org-addr and $use-codes[. = 'H'] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$org-addr and $use-codes[. = 'H']">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Warning<xsl:text /><xsl:value-of select="$rating-TC-Auth-53" /><xsl:text />: TC-Auth-53: The data element
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		contains home address details for a healthcare provider organisation as indicated by the address 'use' attribute with the value '<xsl:text /><xsl:value-of select="@use" /><xsl:text />'. Confirm that the inclusion
		of the home address details is intended otherwise the address use code should be revised. (See section 10 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) Use codes that
		are normally used for the address of a healthcare provider organisation are "WP" (Business) and "PST" (Mailing or Postal).

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $hpi-addr and $use-codes[. = 'H'] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$hpi-addr and $use-codes[. = 'H']">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Warning<xsl:text /><xsl:value-of select="$rating-TC-Auth-53" /><xsl:text />: TC-Auth-53: The data element
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		contains home address details for a <xsl:text /><xsl:value-of select="$person-type" /><xsl:text /> as indicated by the address 'use' attribute with the value '<xsl:text /><xsl:value-of select="@use" /><xsl:text />'. Confirm that the inclusion
		of the home address details is intended otherwise the address use code should be revised. (See section 10 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) Use codes that
		are normally used for the address of a <xsl:text /><xsl:value-of select="$person-type" /><xsl:text /> are "WP" (Business) and "PST" (Mailing or Postal).

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1124" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1124" />
  <xsl:template match="@*|node()" priority="-2" mode="M1124">
    <xsl:apply-templates select="@*|*" mode="M1124" />
  </xsl:template>
  <!--PATTERN p-TS-Coded-1-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument/*[not(local-name(.) = 'component')]//cda:name/cda:prefix      |                /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/*[not(cda:text)]//cda:name/cda:prefix " priority="1000" mode="M1125">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument/*[not(local-name(.) = 'component')]//cda:name/cda:prefix      |                /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/*[not(cda:text)]//cda:name/cda:prefix " />
    <xsl:variable name="prefix" select="translate(lower-case(.), $chars-no-space, '')" />
    <xsl:variable name="invalid" select="not(@nullFlavor) and . != '' and not(exists($knowledge/name-title/title[translate(normalize-space(lower-case(@full)), $chars-no-space, '') = $prefix or        translate(normalize-space(lower-case(@abbreviation)), $chars-no-space, '') = $prefix]))" />
    <xsl:variable name="leading-space" select="$invalid and matches($prefix, '^\s') " />
    <xsl:variable name="trailing-space" select="$invalid and matches($prefix, '\s$') " />
    <xsl:variable name="all-space" select="$invalid and matches($prefix, '^\s+$')" />
    <xsl:variable name="other-err" select="$invalid and not($leading-space or $trailing-space or $all-space) " />
    <xsl:variable name="space-msg" select="if ($all-space) then ' consists entirely of spaces'       else if ($leading-space and $trailing-space) then ' starts and ends with a space'       else if ($leading-space and not($trailing-space)) then ' starts with a space'       else if (not($leading-space) and $trailing-space) then ' ends with a space'       else '' " />
    <xsl:variable name="permitted" select="if ($invalid) then string-join((for $i in (1 to count($knowledge/name-title/title)) return concat(' ''', $knowledge/name-title/title[$i]/@abbreviation, ''' (',         $knowledge/name-title/title[$i]/@full, ')')), ',')        else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-07-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-2 else $rating-alt-TC-Types-07-step-2 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-07: The Name Title data element
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		and the value '<xsl:text /><xsl:value-of select=" . " /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $leading-space or $trailing-space or $all-space ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$leading-space or $trailing-space or $all-space">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
			
	    	Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Participation Data Specification the Name Title data element
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type which has
		the requirement that values must come from the bound value domain with no exceptions. The Name Title 
		has the value '<xsl:text /><xsl:value-of select=" . " /><xsl:text />' which<xsl:text /><xsl:value-of select="$space-msg" /><xsl:text /> so it is not a valid value for that data element. The data element has the mediaType
		"text/plain" so all characters are treated as being part of the Name Title.
		(See section 2.27 of the Participation Data Specification v3.2, <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />, section 7.4.6 of ISO 21090 'Health informatics - Harmonized data types for
		information interchange' and section 4.1.3 of RFC 2046 'Multipurpose Internet Mail Extensions (MIME) Part Two: Media Types'.) 

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $other-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$other-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Participation Data Specification the Name Title data element
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type which has the requirement that values must come from the bound value domain with no exceptions. However the Name Title
		is '<xsl:text /><xsl:value-of select=" . " /><xsl:text />' which is not one of the permitted values. The list of permitted values is<xsl:text /><xsl:value-of select="$permitted" /><xsl:text />; where for each permitted value the
		abbreviated version is preferred and the full version is acceptable. Note that case is
		insensitive. (See section 2.27 of the Participation Data Specification v3.2, <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 3.2.1 of AS5017-2006.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'OTH' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'OTH'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Participation Data Specification the Name Title data element
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type which has the requirement that values must come from the bound value domain with no exceptions. 
		Therefore it is not valid for the data element to have nullFlavor 'OTH' to indicate that the actual value is not a member of the set of permitted data values in the constrained
		value domain. (See section 2.27 of the Participation Data Specification v3.2, <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 3.2.1 of AS5017-2006.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1125" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1125" />
  <xsl:template match="@*|node()" priority="-2" mode="M1125">
    <xsl:apply-templates select="@*|*" mode="M1125" />
  </xsl:template>
  <!--PATTERN p-TS-Coded-2-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument/*[not(local-name(.) = 'component')]//cda:name/cda:suffix      |                /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/*[not(cda:text)]//cda:name/cda:suffix " priority="1000" mode="M1126">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument/*[not(local-name(.) = 'component')]//cda:name/cda:suffix      |                /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/*[not(cda:text)]//cda:name/cda:suffix " />
    <xsl:variable name="suffix" select="translate(lower-case(.), $chars-no-space, '')" />
    <xsl:variable name="invalid" select="not(@nullFlavor) and . != '' and not(exists($knowledge/name-suffix/suffix[translate(normalize-space(lower-case(@full)), $chars-no-space, '') = $suffix or        translate(normalize-space(lower-case(@abbreviation)), $chars-no-space, '') = $suffix]))" />
    <xsl:variable name="leading-space" select="$invalid and matches($suffix, '^\s') " />
    <xsl:variable name="trailing-space" select="$invalid and matches($suffix, '\s$') " />
    <xsl:variable name="all-space" select="$invalid and matches($suffix, '^\s+$')" />
    <xsl:variable name="other-err" select="$invalid and not($leading-space or $trailing-space or $all-space) " />
    <xsl:variable name="space-msg" select="if ($all-space) then ' consists entirely of spaces'       else if ($leading-space and $trailing-space) then ' starts and ends with a space'       else if ($leading-space and not($trailing-space)) then ' starts with a space'       else if (not($leading-space) and $trailing-space) then ' ends with a space'       else '' " />
    <xsl:variable name="permitted" select="if ($invalid)        then string-join((for $i in (1 to count($knowledge/name-suffix/suffix)) return concat(' ''', $knowledge/name-suffix/suffix[$i]/@abbreviation, ''' (',         $knowledge/name-suffix/suffix[$i]/@full, ')')), ',')        else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-07-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-2 else $rating-alt-TC-Types-07-step-2 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-07: The Name Suffix data element
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		and the value '<xsl:text /><xsl:value-of select=" . " /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $leading-space or $trailing-space or $all-space ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$leading-space or $trailing-space or $all-space">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
			
	    	Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Participation Data Specification the Name Suffix data element
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type which has
		the requirement that values must come from the bound value domain with no exceptions. The Name Suffix
		has the value '<xsl:text /><xsl:value-of select=" . " /><xsl:text />' which<xsl:text /><xsl:value-of select="$space-msg" /><xsl:text /> so it is not a valid value for that data element. The data element has the mediaType
		"text/plain" so all characters are treated as being part of the Name Suffix.
		(See section 2.31 of the Participation Data Specification v3.2, <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text />, section 7.4.6 of ISO 21090 'Health informatics - Harmonized data types for
		information interchange' and section 4.1.3 of RFC 2046 'Multipurpose Internet Mail Extensions (MIME) Part Two: Media Types'.) 

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $other-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$other-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Participation Data Specification the Name Suffix data element
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		which has the requirement that values must come from the bound value domain with no exceptions. However the Name Suffix is '<xsl:text /><xsl:value-of select=" . " /><xsl:text />' which is not one of the permitted
		values. The list of permitted values is<xsl:text /><xsl:value-of select="$permitted" /><xsl:text />; where for each permitted value the
		abbreviated version is preferred and the full version is acceptable. Note that case is insensitive.
		(See section 2.31 of the Participation Data Specification v3.2, <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 3.2.6 of AS5017-2006.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'OTH' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'OTH'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Participation Data Specification the Name Suffix data element
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type which has the requirement that values must come from the bound value domain with no exceptions. 
		Therefore it is not valid for the data element to have nullFlavor 'OTH' to indicate that the actual value is not a member of the set of permitted data values in the constrained value
		domain. (See section 2.31 of the Participation Data Specification v3.2, <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 3.2.6 of AS5017-2006.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1126" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1126" />
  <xsl:template match="@*|node()" priority="-2" mode="M1126">
    <xsl:apply-templates select="@*|*" mode="M1126" />
  </xsl:template>
  <!--PATTERN p-TS-Coded-3-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument/*[not(local-name(.) = 'component')]//cda:name      |                /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/*[not(cda:text)]//cda:name " priority="1000" mode="M1127">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument/*[not(local-name(.) = 'component')]//cda:name      |                /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/*[not(cda:text)]//cda:name " />
    <xsl:variable name="person-name" select="exists(..[(local-name(.) = ('asPersonalRelationship', 'assignedPerson', 'associatedPerson', 'guardianPerson', 'informationRecipient', 'maintainingPerson',               'patient', 'subject', 'relatedPerson')) or         (local-name(.) = ('playingEntity', 'scopingEntity', 'specimenPlayingEntity') and @classCode='PSN')]) " />
    <xsl:variable name="org-name" select="not($person-name) and              exists(..[(local-name(.) = ('employerOrganization', 'guardianOrganization', 'manufacturerOrganization', 'providerOrganization', 'receivedOrganization',              'representedCustodianOrganization', 'representedOrganization', 'scopingOrganization', 'serviceProviderOrganization',              'wholeEntity', 'wholeOrganization')) or         (local-name(.) = ('playingEntity', 'scopingEntity', 'specimenPlayingEntity') and @classCode='ORG')]) " />
    <xsl:variable name="use-codes" select="if (@use) then tokenize(normalize-space(@use), ' ') else () " />
    <xsl:variable name="person-name-err" select="$person-name and exists($use-codes[. = ('ORGU', 'ORGS', 'ORGB', 'ORGL', 'ORGA', 'ORGE', 'ORGX', 'ORGY')])" />
    <xsl:variable name="person-use-msg" select="if ($person-name-err) then 'An organisation name usage code is not permitted for describing the name of a person. '       else 'This is not one of the name usage codes permitted for describing the name of a person. ' " />
    <xsl:variable name="org-name-err" select="exists($use-codes[. = ('L', 'C', 'NB', 'A', 'M', 'P')])" />
    <xsl:variable name="org-use-msg" select="if ($org-name-err) then 'A person name usage code is not permitted for describing the name of an organisation. '       else 'This is not one of the name usage codes permitted for describing the name of an organisation. ' " />
    <xsl:variable name="name-type" select="if ($person-name) then 'Person Name' else if ($org-name) then 'Organisation Name' else 'Unknown Name' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-07-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-2 else $rating-alt-TC-Types-07-step-2 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data = 'true' and @use ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data = 'true' and @use">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-07: The <xsl:text /><xsl:value-of select="$name-type" /><xsl:text /> Usage code in
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		and the value '<xsl:text /><xsl:value-of select=" @use " /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $person-name and @use = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$person-name and @use = ''">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Participation Data Specification the <xsl:text /><xsl:value-of select="$name-type" /><xsl:text /> Usage code for
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type which has
		the requirement that values must come from the bound value domain with no exceptions. However the value of the <xsl:text /><xsl:value-of select="$name-type" /><xsl:text /> Usage code is an empty character string which
		is not a member of the value domain. The permitted values: 'L', 'C', 'NB', 'A', 'M' and 'P'.
		(See section 2.34 of the Participation Data Specification v3.2, <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 10 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />
		CDA Implementation Guide for the set of permitted codes.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $person-name and @use and exists($use-codes[not(. = ('L', 'C', 'NB', 'A', 'M', 'P'))]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$person-name and @use and exists($use-codes[not(. = ('L', 'C', 'NB', 'A', 'M', 'P'))])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Participation Data Specification the <xsl:text /><xsl:value-of select="$name-type" /><xsl:text /> Usage code for
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type which has
		the requirement that values must come from the bound value domain with no exceptions. However the name usage code
		'<xsl:text /><xsl:value-of select="$use-codes[not(. = ('L', 'C', 'NB', 'A', 'M', 'P'))]" /><xsl:text />' is not a member of the value domain and
		is present in the '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element. <xsl:text /><xsl:value-of select="$person-use-msg" /><xsl:text />
		The permitted values: 'L', 'C', 'NB', 'A', 'M' and 'P'.
		(See section 2.34 of the Participation Data Specification v3.2, <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 10 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />
		CDA Implementation Guide for the set of permitted codes.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $org-name and @use = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$org-name and @use = ''">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Participation Data Specification the <xsl:text /><xsl:value-of select="$name-type" /><xsl:text /> Usage code for
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type which has
		the requirement that values must come from the bound value domain with no exceptions. However the value of the <xsl:text /><xsl:value-of select="$name-type" /><xsl:text /> Usage code is an empty character string which is not a member of the value domain.
		The permitted values: 'ORGU', 'ORGS', 'ORGB', 'ORGL', 'ORGA', 'ORGE', 'ORGX' and 'ORGY'.
		(See section 2.23 of the Participation Data Specification v3.2, <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 10 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide for the set of
		permitted codes.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $org-name and @use and exists($use-codes[not(. = ('ORGU', 'ORGS', 'ORGB', 'ORGL', 'ORGA', 'ORGE', 'ORGX', 'ORGY'))]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$org-name and @use and exists($use-codes[not(. = ('ORGU', 'ORGS', 'ORGB', 'ORGL', 'ORGA', 'ORGE', 'ORGX', 'ORGY'))])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Participation Data Specification the <xsl:text /><xsl:value-of select="$name-type" /><xsl:text /> Usage code for
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type which has
		the requirement that values must come from the bound value domain with no exceptions. However the name usage code
		'<xsl:text /><xsl:value-of select="$use-codes[not(. = ('ORGU', 'ORGS', 'ORGB', 'ORGL', 'ORGA', 'ORGE', 'ORGX', 'ORGY'))]" /><xsl:text />' is not a member of the value domain and
		is present in the '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element. <xsl:text /><xsl:value-of select="$org-use-msg" /><xsl:text />
		The permitted values: 'ORGU', 'ORGS', 'ORGB', 'ORGL', 'ORGA', 'ORGE', 'ORGX' and 'ORGY'.
		(See section 2.23 of the Participation Data Specification v3.2, <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 10 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide for the set of
		permitted codes.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1127" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1127" />
  <xsl:template match="@*|node()" priority="-2" mode="M1127">
    <xsl:apply-templates select="@*|*" mode="M1127" />
  </xsl:template>
  <!--PATTERN p-TS-Coded-4-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument/*[not(local-name(.) = 'component')]//cda:telecom      |                /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/*[not(cda:text)]//cda:telecom " priority="1000" mode="M1128">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument/*[not(local-name(.) = 'component')]//cda:telecom      |                /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/*[not(cda:text)]//cda:telecom " />
    <xsl:variable name="use-codes" select="if (@use) then tokenize(normalize-space(@use), ' ') else () " />
    <xsl:variable name="medium-code" select="if (@value) then normalize-space(substring-before(@value, ':')) else '' " />
    <xsl:variable name="invalid-medium-code" select="@value and not($medium-code = ('tel', 'fax', 'mailto', 'file', 'ftp', 'http', 'mllp', 'modem', 'nfs', 'telnet'))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-07-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-07-step-2 else $rating-alt-TC-Types-07-step-2 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data = 'true' and @use ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data = 'true' and @use">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-07: The Electronic Communication Usage code in
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		and the value '<xsl:text /><xsl:value-of select=" @use " /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @use = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@use = ''">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Participation Data Specification the Electronic Communication Usage code for
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type which has
		the requirement that values must come from the bound value domain with no exceptions. However the value of the Electronic Communication Usage code is an empty character string which is not
		a member of the value domain. The permitted values: 'H', 'HP', 'HV', 'WP', 'AS', 'EC', 'MC' and 'PG'.
		(See section 2.14 of the Participation Data Specification v3.2, <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 10 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA
		Implementation Guide for the set of permitted codes.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists($use-codes[not(. = ('H', 'HP', 'HV', 'WP', 'AS', 'EC', 'MC', 'PG'))]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists($use-codes[not(. = ('H', 'HP', 'HV', 'WP', 'AS', 'EC', 'MC', 'PG'))])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Participation Data Specification the Electronic Communication Usage code for
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type which has
		the requirement that values must come from the bound value domain with no exceptions. However the code
		'<xsl:text /><xsl:value-of select="$use-codes[not(. = ('H', 'HP', 'HV', 'WP', 'AS', 'EC', 'MC', 'PG'))]" /><xsl:text />' is present which is not one of the valid Electronic Communication Usage codes.
		(See section 2.14 of the Participation Data Specification v3.2, <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 10 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA
		Implementation Guide for the set of permitted codes.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data = 'true' and @value">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data = 'true' and @value">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-07: The Electronic Communication Medium code in
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type
		and the value '<xsl:text /><xsl:value-of select=" $medium-code " /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @value and $medium-code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value and $medium-code = ''">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Participation Data Specification the Electronic Communication Medium code for
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type which has
		the requirement that values must come from the bound value domain with no exceptions. The Electronic Communication Medium code is not present but it is mandatory to include.
		(See the cardinality listed in section 8 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and see section 10 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation
		Guide for the set of permitted codes.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @value and not($medium-code = '') and $invalid-medium-code ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value and not($medium-code = '') and $invalid-medium-code">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-07-step-2" /><xsl:text />: TC-Types-07 step 2: According to the Participation Data Specification the Electronic Communication Medium code for
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodedText data type which has
		the requirement that values must come from the bound value domain with no exceptions. However the code '<xsl:text /><xsl:value-of select="$medium-code" /><xsl:text />' is present which is not one of the valid
		Electronic Communication Medium codes. (See section 2.12 of the Participation Data Specification v3.2, <xsl:text /><xsl:value-of select="$doc-type/@data-types-legend" /><xsl:text /> and section 10 of the CDA
		Implementation Guide for the set of permitted codes.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1128" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1128" />
  <xsl:template match="@*|node()" priority="-2" mode="M1128">
    <xsl:apply-templates select="@*|*" mode="M1128" />
  </xsl:template>
  <!--PATTERN p-TS-Coded-5-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flags/@report-data = 'true' and '101.20018' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20018']]/cda:entry/cda:act/cda:reference/cda:seperatableInd[@value]" priority="1000" mode="M1129">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flags/@report-data = 'true' and '101.20018' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20018']]/cda:entry/cda:act/cda:reference/cda:seperatableInd[@value]" />
    <!--REPORT -->
    <xsl:if test=" . ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test=".">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-07: The Related Document Link Nature data element is mapped to the value attribute of the '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and has the CodedText data type and the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1129" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1129" />
  <xsl:template match="@*|node()" priority="-2" mode="M1129">
    <xsl:apply-templates select="@*|*" mode="M1129" />
  </xsl:template>
  <!--PATTERN p-TS-Coded-6-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[$flags/@report-data = 'true' and '101.16945' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16945']]/cda:entry/cda:act/cda:reference/cda:seperatableInd[@value]" priority="1000" mode="M1130">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[$flags/@report-data = 'true' and '101.16945' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16945']]/cda:entry/cda:act/cda:reference/cda:seperatableInd[@value]" />
    <!--REPORT -->
    <xsl:if test=" . ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test=".">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-07: The Related Document Link Nature data element is mapped to the value attribute of the '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and has the CodedText data type and the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1130" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1130" />
  <xsl:template match="@*|node()" priority="-2" mode="M1130">
    <xsl:apply-templates select="@*|*" mode="M1130" />
  </xsl:template>
  <!--PATTERN p-TS-Coded-7-->
  <!--RULE -->
  <xsl:template match=" cda:translation[@codeSystem         or                  cda:originalText         or                  matches(@xsi:type, '^(CD|CE|CO|CV)$')      or                  matches(normalize-space(substring-after(@xsi:type, ':')), '^(CD|CE|CO|CV)$') ] " priority="1000" mode="M1131">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" cda:translation[@codeSystem         or                  cda:originalText         or                  matches(@xsi:type, '^(CD|CE|CO|CV)$')      or                  matches(normalize-space(substring-after(@xsi:type, ':')), '^(CD|CE|CO|CV)$') ] " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Translation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Translation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Translation',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to section 6.1.3 of Data Types in NEHTA Specifications A Profile of the ISO 21090 Specification v1.0 the Translation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to section 6.1.3 of Data Types in NEHTA Specifications A Profile of the ISO 21090 Specification v1.0 the Translation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and not(false()) and 'allowed' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and not(false()) and 'allowed' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 6.1.3 of Data Types in NEHTA Specifications A Profile of the ISO 21090 Specification v1.0 the Translation
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Translation however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Translation in section 6.1.3 of Data Types in NEHTA Specifications A Profile of the ISO 21090 Specification v1.0 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and not(false()) and 'allowed' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and not(false()) and 'allowed' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 6.1.3 of Data Types in NEHTA Specifications A Profile of the ISO 21090 Specification v1.0 the Translation
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Translation however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Translation in section 6.1.3 of Data Types in NEHTA Specifications A Profile of the ISO 21090 Specification v1.0 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Translation data element must have a value that is consistent with this definition. Alternatively if there is no Translation data element with a proper value then an exclusion
		statement must be included to state why there is no Translation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and not(false()) and 'allowed' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and not(false()) and 'allowed' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 6.1.3 of Data Types in NEHTA Specifications A Profile of the ISO 21090 Specification v1.0 the Translation
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Translation however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Translation in section 6.1.3 of Data Types in NEHTA Specifications A Profile of the ISO 21090 Specification v1.0 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and not(false()) and 'allowed' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and not(false()) and 'allowed' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 6.1.3 of Data Types in NEHTA Specifications A Profile of the ISO 21090 Specification v1.0 the Translation
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Translation however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Translation in section 6.1.3 of Data Types in NEHTA Specifications A Profile of the ISO 21090 Specification v1.0 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Translation data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and not(false()) and 'allowed' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and not(false()) and 'allowed' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 6.1.3 of Data Types in NEHTA Specifications A Profile of the ISO 21090 Specification v1.0 the Translation
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Translation however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Translation in section 6.1.3 of Data Types in NEHTA Specifications A Profile of the ISO 21090 Specification v1.0 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Translation data element must have a value that is consistent with this definition. Alternatively if there is no Translation data element with a proper value then an exclusion
		statement must be included to state why there is no Translation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and not(false()) and 'allowed' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and not(false()) and 'allowed' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 6.1.3 of Data Types in NEHTA Specifications A Profile of the ISO 21090 Specification v1.0 the Translation
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Translation however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Translation in section 6.1.3 of Data Types in NEHTA Specifications A Profile of the ISO 21090 Specification v1.0 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Translation data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Translation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 6.1.3 of Data Types in NEHTA Specifications A Profile of the ISO 21090 Specification v1.0 the Translation
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 6.1.3 of Data Types in NEHTA Specifications A Profile of the ISO 21090 Specification v1.0 the Translation
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 6.1.3 of Data Types in NEHTA Specifications A Profile of the ISO 21090 Specification v1.0 the Translation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 6.1.3 of Data Types in NEHTA Specifications A Profile of the ISO 21090 Specification v1.0 the Translation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 6.1.3 of Data Types in NEHTA Specifications A Profile of the ISO 21090 Specification v1.0 the Translation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 6.1.3 of Data Types in NEHTA Specifications A Profile of the ISO 21090 Specification v1.0 the Translation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 6.1.3 of Data Types in NEHTA Specifications A Profile of the ISO 21090 Specification v1.0 the Translation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 6.1.3 of Data Types in NEHTA Specifications A Profile of the ISO 21090 Specification v1.0 the Translation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Translation
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 6.1.3 of Data Types in NEHTA Specifications A Profile of the ISO 21090 Specification v1.0 the Translation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Translation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Translation.
		(See the definition of Translation in section 6.1.3 of Data Types in NEHTA Specifications A Profile of the ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Translation '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1131" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1131" />
  <xsl:template match="@*|node()" priority="-2" mode="M1131">
    <xsl:apply-templates select="@*|*" mode="M1131" />
  </xsl:template>
  <!--PATTERN p-TS-EntId-1-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument/*[not(local-name(.) = 'component')]//ext:asEntityIdentifier      |                /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/*[not(cda:text)]//ext:asEntityIdentifier " priority="1000" mode="M1132">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument/*[not(local-name(.) = 'component')]//ext:asEntityIdentifier      |                /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/*[not(cda:text)]//ext:asEntityIdentifier " />
    <xsl:variable name="identifier-type-values" select="$code-systems/system[@codeSystem = '2.16.840.1.113883.12.203']" />
    <xsl:variable name="ei-root" select="ext:id/@root" />
    <xsl:variable name="ei-codeSystem" select="ext:code/@codeSystem" />
    <xsl:variable name="ei-code" select="ext:code/@code" />
    <xsl:variable name="oid-format" select="matches($ei-root, $oid-regex) and not(matches($ei-root, $invalid-arc-regex)) " />
    <xsl:variable name="sub-oids" select="$oid-arc-regex/oid[starts-with($ei-root, concat(@value, '.')) and matches(substring-after($ei-root, concat(@value, '.')), '^[0-9]+')]" />
    <xsl:variable name="sub-oid-num" select="count($sub-oids)" />
    <xsl:variable name="next-arcs" select="for $i in (1 to $sub-oid-num) return substring-after($ei-root, concat($sub-oids[$i]/@value, '.')) " />
    <xsl:variable name="the-first-arc" select="for $i in (1 to $sub-oid-num) return tokenize($next-arcs[$i], '\.')[1] " />
    <xsl:variable name="the-second-arc" select="for $i in (1 to $sub-oid-num) return tokenize($next-arcs[$i], '\.')[2] " />
    <xsl:variable name="invalid-oid-arcs" select="index-of(for $i in (1 to $sub-oid-num) return         (if ($sub-oids[$i]/@arc-regex) then matches($the-first-arc[$i], $sub-oids[$i]/@arc-regex) else true()), false())" />
    <xsl:variable name="invalid-arc-value" select="$oid-format and count($invalid-oid-arcs) &gt; 0" />
    <xsl:variable name="following-arc" select="for $i in (1 to $sub-oid-num) return if ($sub-oids[$i]/@arc-regex) then $the-second-arc[$i] else $the-first-arc[$i] " />
    <xsl:variable name="disallowed-arcs" select="index-of(for $i in (1 to $sub-oid-num) return ($following-arc[$i] != '' and $sub-oids[$i]/@following-arc-allowed = 'no'), true()) " />
    <xsl:variable name="disallowed-arc-value" select="$oid-format and count($disallowed-arcs) &gt; 0" />
    <xsl:variable name="possibly-valid-oid" select="$oid-format and not($invalid-arc-value or $disallowed-arc-value) " />
    <xsl:variable name="invalid-root" select="$ei-root and (        not($oid-format)       or        $namespaces/namespace[$ei-root = @invalid-OID]     or         $namespaces/namespace[starts-with($ei-root, concat(@invalid-OID, '.'))] or         $namespaces/namespace[$ei-root = @OID-prefix]    or        $invalid-arc-value       or        $disallowed-arc-value       ) " />
    <xsl:variable name="test-namespace" select="$ei-root and (        $namespaces/namespace[$ei-root = @test-OID]     or         $namespaces/namespace[starts-with($ei-root, concat(@test-OID, '.'))] ) " />
    <xsl:variable name="known-EntId-namespace" select="$ei-root and (        $namespaces/namespace[$ei-root = @OID]      or         $namespaces/namespace[starts-with($ei-root, concat(@OID-prefix, '.'))] or        $test-namespace        ) " />
    <xsl:variable name="possibly-valid-root" select="$ei-root and not($invalid-root) and not($known-EntId-namespace) " />
    <xsl:variable name="identifier-text" select="if ($ei-root and ext:id/@extension) then concat('a root attribute with the value ''', $ei-root,          ''' and an extension attribute with the value ''', ext:id/@extension, '''')         else if ($ei-root) then concat('a root attribute with the value ''', $ei-root, '''')        else '' " />
    <xsl:variable name="el-person" select="  local-name(..) = 'asPersonalRelationship'    or        local-name(..) = 'assignedPerson'     or        local-name(..) = 'associatedPerson'     or        local-name(..) = 'guardianPerson'     or        local-name(..) = 'informationRecipient'    or        local-name(..) = 'maintainingPerson'     or        local-name(..) = 'patient'      or       (local-name(..) = 'playingEntity' and ../@classCode='PSN')  or        local-name(..) = 'relatedPerson'     or       (local-name(..) = 'scopingEntity' and ../@classCode='PSN')  or       (local-name(..) = 'specimenPlayingEntity' and ../@classCode='PSN') or        local-name(..) = 'subject'      " />
    <xsl:variable name="el-consumer" select=" $el-person and local-name(..) = 'patient' " />
    <xsl:variable name="el-participant" select=" $el-person and         (        $templateId-root = '1.2.36.1.2001.1001.100.1002.222'  or        $templateId-root = '1.2.36.1.2001.1001.101.100.1002.4'  or        $templateId-root = '1.2.36.1.2001.1001.100.1002.171'  or        $templateId-root = '1.2.36.1.2001.1001.100.1002.170'  or        $templateId-root = '1.2.36.1.2001.1001.101.100.1002.2'  or        $templateId-root = '1.2.36.1.2001.1001.101.100.1002.136' or        $templateId-root = '1.2.36.1.2001.1001.100.1002.220'  or        $templateId-root = '1.2.36.1.2001.1001.101.100.1002.120' or        $templateId-root = '1.2.36.1.2001.1001.101.100.1002.132'        )         and        (        local-name(../..) = 'assignedAuthor'    or        ancestor::cda:legalAuthenticator           ) " />
    <xsl:variable name="el-unrestricted-person" select=" $el-person and not($el-consumer or $el-participant) " />
    <xsl:variable name="el-org" select="  local-name(..) = 'employerOrganization'    or        local-name(..) = 'guardianOrganization'    or         local-name(..) = 'manufacturerOrganization'    or       (local-name(..) = 'playingEntity' and ../@classCode='ORG')  or          local-name(..) = 'providerOrganization'    or         local-name(..) = 'receivedOrganization'    or        local-name(..) = 'representedCustodianOrganization'   or        local-name(..) = 'representedOrganization'    or       (local-name(..) = 'scopingEntity' and ../@classCode='ORG')  or        local-name(..) = 'scopingOrganization'     or        local-name(..) = 'serviceProviderOrganization'    or       (local-name(..) = 'specimenPlayingEntity' and ../@classCode='ORG') or        local-name(..) = 'wholeEntity'      or         local-name(..) = 'wholeOrganization'     " />
    <xsl:variable name="el-device" select=" local-name(..) = 'assignedAuthoringDevice' " />
    <xsl:variable name="ei-code-type" select="if (not(ext:code) or not($ei-codeSystem = '2.16.840.1.113883.12.203') or not($ei-code)) then 'unknown'       else if (exists(index-of($ei-codes-only-for-consumers, $ei-code))) then 'person-consumer'       else if (exists(index-of($ei-codes-only-for-hpis, $ei-code))) then 'person-not-consumer'        else if (exists(index-of($ei-codes-only-for-hpos, $ei-code))) then 'organisation'        else 'unknown' " />
    <xsl:variable name="ei-namespace-1" select="if (not($ei-root)) then () else $namespaces/namespace[(@OID and @OID = $ei-root) or (@OID-prefix and @OID-prefix = $ei-root)] " />
    <xsl:variable name="ei-namespace-2" select="if (not($ei-root) or exists($ei-namespace-1)) then () else $namespaces/namespace[@OID-prefix and starts-with($ei-root, concat(@OID-prefix, '.'))] " />
    <xsl:variable name="ei-namespace-3" select="if (count($ei-namespace-2) &gt; 1) then         $ei-namespace-2[@OID-prefix = replace(dh:OrderByLength(string-join($ei-namespace-2/@OID-prefix, '|'), false()), '(^[0-9\.]+)(\|.+$)', '$1', 'is')]         else $ei-namespace-2 " />
    <xsl:variable name="ei-namespace-temp" select="if (not($ei-root)) then ()        else if (exists($ei-namespace-1)) then $ei-namespace-1        else $ei-namespace-3 " />
    <xsl:variable name="ei-namespace" select="if (count($ei-namespace-temp) = 1) then $ei-namespace-temp else () " />
    <xsl:variable name="ei-namespace-name" select="if ($ei-namespace) then $ei-namespace/@name else '' " />
    <xsl:variable name="ei-namespace-codes" select="if ($ei-namespace) then tokenize(replace($ei-namespace/@EntId-code, '\s+', ''), '\|') else ()" />
    <xsl:variable name="invalid-code" select="$ei-codeSystem = '2.16.840.1.113883.12.203' and $ei-code and        not($code-systems/system[@codeSystem = '2.16.840.1.113883.12.203']/code[@code = $ei-code])" />
    <xsl:variable name="tc-types-107-err" select="exists($namespaces/namespace[$ei-codeSystem = @invalid-OID]) or        (matches($ei-root, '1\.2\.36\.1\.2001\.1005\.46\.19(\.|$)') and matches(ext:id/@assigningAuthorityName, 'NT Department Of Health', 'i')) " />
    <xsl:variable name="is-a-consumer-hi" select=" not($invalid-root) and starts-with($ei-root, '1.2.36.1.2001.1003.0.800360') " />
    <xsl:variable name="is-a-provider-ind-hi" select=" not($invalid-root) and starts-with($ei-root, '1.2.36.1.2001.1003.0.800361') " />
    <xsl:variable name="is-a-cae-hi" select=" not($invalid-root) and starts-with($ei-root, '1.2.36.1.2001.1007.4.9') " />
    <xsl:variable name="is-a-participant-hi" select=" $is-a-provider-ind-hi or $is-a-cae-hi " />
    <xsl:variable name="is-a-person-hi" select=" $is-a-consumer-hi or $is-a-participant-hi " />
    <xsl:variable name="is-an-org-hi" select=" not($invalid-root) and (starts-with($ei-root, '1.2.36.1.2001.1003.0.800362') or starts-with($ei-root, '1.2.36.1.2001.1007.1.800364')) " />
    <xsl:variable name="is-a-device-hi" select=" not($invalid-root) and starts-with($ei-root, '1.2.36.1.2001.1007.20.8003640003') " />
    <xsl:variable name="not-a-consumer-hi" select="$invalid-root or (starts-with($ei-root, '1.2.36.1.2001.1003.0.') and not(starts-with($ei-root, '1.2.36.1.2001.1003.0.800360')))" />
    <xsl:variable name="not-a-participant-hi" select="$invalid-root or (starts-with($ei-root, '1.2.36.1.2001.1003.0.') and not(starts-with($ei-root, '1.2.36.1.2001.1003.0.800361')))" />
    <xsl:variable name="not-a-person-hi" select="$invalid-root or (starts-with($ei-root, '1.2.36.1.2001.1003.0.') and not(        starts-with($ei-root, '1.2.36.1.2001.1003.0.800360')  or         starts-with($ei-root, '1.2.36.1.2001.1003.0.800361') )) " />
    <xsl:variable name="not-an-org-hi" select="$invalid-root or (        (starts-with($ei-root, '1.2.36.1.2001.1003.0.') and not(starts-with($ei-root, '1.2.36.1.2001.1003.0.800362'))) or               (starts-with($ei-root, '1.2.36.1.2001.1007.1.') and not(starts-with($ei-root, '1.2.36.1.2001.1007.1.800364'))) ) " />
    <xsl:variable name="not-a-device-hi" select="$invalid-root or (starts-with($ei-root, '1.2.36.1.2001.1007.') and not(starts-with($ei-root, '1.2.36.1.2001.1007.20.8003640003')))" />
    <xsl:variable name="is-a-consumer-ns" select=" $is-a-consumer-hi or (not(starts-with($ei-root, '1.2.36.1.2001.1003.0.')) and $ei-namespace and $ei-namespace[         (@OID and @EntId and contains(@EntId, 'consumers'))  or         (@OID-prefix and contains(@EntId, 'consumers'))  ]) " />
    <xsl:variable name="is-a-participant-ns" select=" $is-a-participant-hi or (not(starts-with($ei-root, '1.2.36.1.2001.1003.0.')) and $ei-namespace and $ei-namespace[         (@OID and @EntId and contains(@EntId, 'provider-individuals'))  or         (@OID-prefix and contains(@EntId, 'provider-individuals'))  ]) " />
    <xsl:variable name="is-a-person-ns" select=" $is-a-person-hi or (not(starts-with($ei-root, '1.2.36.1.2001.1003.0.')) and $ei-namespace and $ei-namespace[         (@OID and @EntId and (contains(@EntId, 'consumers') or contains(@EntId, 'provider-individuals'))) or         (@OID-prefix and (contains(@EntId, 'consumers') or contains(@EntId, 'provider-individuals')))  ]) " />
    <xsl:variable name="is-an-org-ns" select=" $is-an-org-hi or (not(starts-with($ei-root, '1.2.36.1.2001.1003.0.')) and $ei-namespace and $ei-namespace[         (@OID and @EntId and contains(@EntId, 'provider-organisations')) or         (@OID-prefix and contains(@EntId, 'provider-organisations'))  ]) " />
    <xsl:variable name="is-a-device-ns" select=" $is-a-device-hi or (not(starts-with($ei-root, '1.2.36.1.2001.1007.20.')) and $ei-namespace and $ei-namespace[         (@OID and @EntId and contains(@EntId, 'device')) or         (@OID-prefix and contains(@EntId, 'device'))  ]) " />
    <xsl:variable name="not-a-consumer-ns" select=" $not-a-consumer-hi or ($ei-namespace and $ei-namespace[        (@OID and @EntId and not(contains(@EntId, 'consumers')))  or         (@OID-prefix and (contains(@EntId, 'not-applicable') or          (contains(@EntId, 'only') and not(contains(@EntId, 'consumers')))))        ]) " />
    <xsl:variable name="not-a-participant-ns" select=" $not-a-participant-hi or ($ei-namespace and $ei-namespace[        (@OID and @EntId and not(contains(@EntId, 'provider-individuals')))  or         (@OID-prefix and (contains(@EntId, 'not-applicable') or          (contains(@EntId, 'only') and not(contains(@EntId, 'provider-individuals')))))        ]) " />
    <xsl:variable name="not-a-person-ns" select=" $not-a-person-hi or ($ei-namespace and $ei-namespace[        (@OID and @EntId and not(contains(@EntId, 'consumers') or contains(@EntId, 'provider-individuals')))  or         (@OID-prefix and (contains(@EntId, 'not-applicable') or          (contains(@EntId, 'only') and not(contains(@EntId, 'consumers')) and not(contains(@EntId, 'provider-individuals')))))        ]) " />
    <xsl:variable name="not-an-org-ns" select=" $not-an-org-hi or ($ei-namespace and $ei-namespace[        (@OID and @EntId and not(contains(@EntId, 'provider-organisations')))  or         (@OID-prefix and (contains(@EntId, 'not-applicable') or          (contains(@EntId, 'only') and not(contains(@EntId, 'provider-organisations')))))        ]) " />
    <xsl:variable name="not-a-device-ns" select=" $not-a-device-hi or ($ei-namespace and $ei-namespace[        (@OID and @EntId and not(contains(@EntId, 'devices')))  or         (@OID-prefix and (contains(@EntId, 'not-applicable') or          (contains(@EntId, 'only') and not(contains(@EntId, 'devices')))))        ]) " />
    <xsl:variable name="namespace-id" select=" if ($invalid-root or not(ext:id/@root)) then 'unknown'        else if (ext:id/@extension or ext:id/@nullFlavor) then ext:id/@root        else replace(ext:id/@root, '([0-9\.]*?)\.[0-9]+$', '$1') " />
    <xsl:variable name="the-identifier" select=" if (ext:id/@extension) then ext:id/@extension        else if ($invalid-root or not(ext:id/@root or ext:id/@nullFlavor)) then 'unknown'        else replace(ext:id/@root, '[0-9\.]*?\.([0-9]+)$', '$1') " />
    <xsl:variable name="el-reused-namespace" select=" /cda:ClinicalDocument//*[not(local-name(.) = ('asEntityIdentifier', 'entitlement'))]         [*[(@root = $namespace-id or starts-with(@root, concat($namespace-id, '.')))]] " />
    <xsl:variable name="name-el-reused" select="distinct-values(for $node in $el-reused-namespace return concat(local-name($node), '/',          local-name($node/*[@root = $namespace-id or starts-with(@root, concat($namespace-id, '.'))]))) " />
    <xsl:variable name="ei-namespace-valid" select=" $el-consumer and (matches($ei-root, '^1\.2\.36\.1\.2001\.1003\.0\.800360[0-9]{10}$') or            matches($namespace-id, '(^1\.2\.36\.1\.2001\.1005\.29\.800362[0-9]{10}$|^1\.2\.36\.1\.2001\.1005\.71\.?.*$)')) or        $el-participant and (matches($ei-root, '^1\.2\.36\.1\.2001\.1003\.0\.800361[0-9]{10}$') or            matches($namespace-id, '(^1\.2\.36\.1\.2001\.1005\.41\.800362[0-9]{10}$|^1\.2\.36\.1\.2001\.1005\.70\.?.*$)')) or        $el-org and matches($ei-root, '^1\.2\.36\.1\.2001\.1003\.0\.800362[0-9]{10}$')        or        $el-person and matches($ei-root, '^1\.2\.36\.1\.2001\.1003\.0\.80036[01][0-9]{10}$')       " />
    <xsl:variable name="reused-namespace-id" select=" not($namespace-id = 'unknown') and exists($el-reused-namespace) and not($ei-namespace-valid)" />
    <xsl:variable name="possible-consumer-ns" select="$ei-root and not($invalid-root or $reused-namespace-id) and not($is-a-consumer-hi or $not-a-consumer-hi or $is-a-consumer-ns or $not-a-consumer-ns)" />
    <xsl:variable name="possible-participant-ns" select="$ei-root and not($invalid-root or $reused-namespace-id) and not($is-a-participant-hi or $not-a-participant-hi or $is-a-participant-ns or         $not-a-participant-ns)" />
    <xsl:variable name="possible-person-ns" select="$ei-root and not($invalid-root or $reused-namespace-id) and not($is-a-person-hi or $not-a-person-hi or $is-a-person-ns or $not-a-person-ns)" />
    <xsl:variable name="possible-org-ns" select="$ei-root and not($invalid-root or $reused-namespace-id) and not($is-an-org-hi or $not-an-org-hi or $is-an-org-ns or $not-an-org-ns)" />
    <xsl:variable name="possible-device-ns" select="$ei-root and not($invalid-root or $reused-namespace-id) and not($is-a-device-hi or $not-a-device-hi or $is-a-device-ns or $not-a-device-ns)" />
    <xsl:variable name="is-a-consumer-code" select="$ei-codeSystem = '2.16.840.1.113883.12.203' and $ei-code and exists($ei-codes-for-consumers[. = $ei-code])" />
    <xsl:variable name="is-a-participant-code" select="$ei-codeSystem = '2.16.840.1.113883.12.203' and $ei-code and exists($ei-codes-for-hpis[. = $ei-code])" />
    <xsl:variable name="is-a-person-code" select="$is-a-consumer-code or $is-a-participant-code " />
    <xsl:variable name="is-an-org-code" select="$ei-codeSystem = '2.16.840.1.113883.12.203' and $ei-code and exists($ei-codes-for-hpos[. = $ei-code])" />
    <xsl:variable name="is-a-device-code" select="$ei-codeSystem = '2.16.840.1.113883.12.203' and $ei-code and exists($ei-codes-for-devices[. = $ei-code])" />
    <xsl:variable name="not-a-consumer-code" select="$invalid-code or ($ei-codeSystem = '2.16.840.1.113883.12.203' and (         exists($ei-codes-only-for-hpis[. = $ei-code])   or         exists($ei-codes-only-for-hpos[. = $ei-code])  or         exists($ei-codes-only-for-devices[. = $ei-code]) )        ) " />
    <xsl:variable name="not-a-participant-code" select="$invalid-code or ($ei-codeSystem = '2.16.840.1.113883.12.203' and (         exists($ei-codes-only-for-consumers[. = $ei-code])  or         exists($ei-codes-only-for-hpos[. = $ei-code])  or         exists($ei-codes-only-for-devices[. = $ei-code]) )        ) " />
    <xsl:variable name="not-a-person-code" select="$invalid-code or ($ei-codeSystem = '2.16.840.1.113883.12.203' and (         exists($ei-codes-only-for-hpos[. = $ei-code])  or         exists($ei-codes-only-for-devices[. = $ei-code]) )        ) " />
    <xsl:variable name="not-an-org-code" select="$invalid-code or ($ei-codeSystem = '2.16.840.1.113883.12.203' and (         exists($ei-codes-only-for-consumers[. = $ei-code])  or         exists($ei-codes-only-for-hpis[. = $ei-code])  or         exists($ei-codes-only-for-devices[. = $ei-code]) )        ) " />
    <xsl:variable name="not-a-device-code" select="$invalid-code or ($ei-codeSystem = '2.16.840.1.113883.12.203' and (         exists($ei-codes-only-for-consumers[. = $ei-code])  or         exists($ei-codes-only-for-hpis[. = $ei-code])  or         exists($ei-codes-only-for-hpos[. = $ei-code])  )        ) " />
    <xsl:variable name="possible-consumer-code" select="$ei-codeSystem = '2.16.840.1.113883.12.203' and $ei-code and not($is-a-consumer-code or $not-a-consumer-code) " />
    <xsl:variable name="possible-participant-code" select="$ei-codeSystem = '2.16.840.1.113883.12.203' and $ei-code and not($is-a-participant-code or $not-a-participant-code) " />
    <xsl:variable name="possible-person-code" select="$ei-codeSystem = '2.16.840.1.113883.12.203' and $ei-code and not($is-a-person-code or $not-a-person-code) " />
    <xsl:variable name="possible-org-code" select="$ei-codeSystem = '2.16.840.1.113883.12.203' and $ei-code and not($is-an-org-code or $not-an-org-code) " />
    <xsl:variable name="possible-device-code" select="$ei-codeSystem = '2.16.840.1.113883.12.203' and $ei-code and not($is-a-device-code or $not-a-device-code) " />
    <xsl:variable name="combined-ids" select=" concat($namespace-id, '.', $the-identifier) " />
    <xsl:variable name="conflicting-identifier" select=" if ($el-participant and $not-a-participant-ns) then ''        else if (($el-consumer or $el-participant or $el-unrestricted-person) and $combined-ids = $combined-org-eis) then 'healthcare provider organisation'        else if (($el-consumer or $el-participant or $el-unrestricted-person) and $combined-ids = $combined-device-eis) then 'healthcare device'        else if ($el-org and ($combined-ids = $combined-consumer-eis or $combined-ids = $combined-person-eis)) then 'healthcare person'        else if ($el-org and $combined-ids = $combined-device-eis) then 'healthcare device'        else if ($el-device and ($combined-ids = $combined-consumer-eis or $combined-ids = $combined-person-eis)) then 'healthcare person'        else if ($el-device and $combined-ids = $combined-org-eis) then 'healthcare provider organisation'        else '' " />
    <xsl:variable name="c-name-words" select="if ($el-person) then tokenize(translate(normalize-space(lower-case(string-join(        /cda:ClinicalDocument/cda:recordTarget/cda:patientRole/cda:patient/cda:name[1]//text()[local-name(..) != 'prefix' and local-name(..) != 'suffix'],        ' '))), $chars-no-space, ''), ' ') else () " />
    <xsl:variable name="c-name-count" select="count($c-name-words) " />
    <xsl:variable name="l-name-words" select="if ($el-person) then tokenize(translate(normalize-space(lower-case(string-join(        ../cda:name[1]//text()[local-name(..) != 'prefix' and local-name(..) != 'suffix'], ' '))), $chars-no-space, ''), ' ') else ()" />
    <xsl:variable name="l-name-count" select="count($l-name-words) " />
    <xsl:variable name="names-in-common" select="if ($el-person) then count(index-of(for $word in $c-name-words return exists($l-name-words[. = $word]), true())) else '0' " />
    <xsl:variable name="same-c-name" select="if ($el-person) then (($names-in-common div $c-name-count) + ($names-in-common div $l-name-count)) div 2 = '1' else false() " />
    <xsl:variable name="similar-c-name" select="if ($el-person) then (($names-in-common div $c-name-count) + ($names-in-common div $l-name-count)) div 2 &gt;= $min-word-match-ratio else false() " />
    <xsl:variable name="not-a-consumer-li" select="$not-a-consumer-ns and $not-a-consumer-code " />
    <xsl:variable name="name-msg" select="if ($same-c-name) then ' the same name as the healthcare consumer'        else if ($similar-c-name) then ' a similar name as the healthcare consumer'        else '' " />
    <xsl:variable name="extra-ns-info-1" select="if (ext:id/@extension) then normalize-space('It is an error for the value of the ''id/root'' attribute to include a national healthcare identifier for a       healthcare participant and for the ''id/extension'' attribute to provide a local identifier for a healthcare participant. If the entity identifier data       element is to be based on a local identifier then the value of the ''id/root'' attribute must identify the namespace for the local identifier.       (See section 7.6.7.3.1 of ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)') else '' " />
    <xsl:variable name="extra-ns-info" select="if ($invalid-root) then ''       else if ($ei-root = '1.2.36.1.5001.1.0.7.1')         then ' A Medicare card number does not uniquely identify a person so it cannot be used as a form of entity identifier.'       else if ($is-a-consumer-hi)         then concat(' The ''1.2.36.1.2001.1003.0.800360'' namespace is used for the national healthcare identifier of healthcare consumers. ',          $extra-ns-info-1)       else if ($is-a-provider-ind-hi)         then concat(' The ''1.2.36.1.2001.1003.0.800361'' namespace is used for the national healthcare identifier of healthcare provider individuals. ',         $extra-ns-info-1)       else if ($is-a-cae-hi)         then concat(' The ''1.2.36.1.2001.1007.4.9'' namespace is used for the national healthcare identifier of care agency employees. ',         $extra-ns-info-1)       else if (starts-with($ei-root, '1.2.36.1.2001.1003.0.800362'))         then concat(' The ''1.2.36.1.2001.1003.0.800362'' namespace is used for the national healthcare identifier of healthcare provider organisations. ',         $extra-ns-info-1)       else if (starts-with($ei-root, '1.2.36.1.2001.1007.1.800364'))         then concat(' The ''1.2.36.1.2001.1007.1.800364'' namespace is used for the national healthcare identifier healthcare provider organisations. ',         $extra-ns-info-1)       else if ($is-a-device-hi)         then concat(' The ''1.2.36.1.2001.1007.1.8003640003'' namespace is used for healthcare devices. ',         $extra-ns-info-1)       else '' " />
    <xsl:variable name="ent-id-type" select="if ($is-a-provider-ind-hi or $is-a-participant-ns) then ' healthcare provider individual'       else if ($is-a-cae-hi) then ' care agency employee'       else if ($el-consumer) then ' healthcare consumer'        else if ($is-a-consumer-hi or $is-a-consumer-ns) then ' healthcare consumer'       else if ($el-participant) then ' healthcare provider person'        else if ($el-unrestricted-person) then ' healthcare person'       else if ($el-org) then ' healthcare provider organisation'       else if ($is-an-org-hi or $is-an-org-ns) then ' healthcare provider organisation'       else if ($el-device) then 'healthcare device'       else if ($is-a-device-hi or $is-a-device-ns) then ' healthcare device'        else '' " />
    <xsl:variable name="ts-uid-error-1" select=" exists($namespaces/namespace[$ei-root = @invalid-OID or starts-with($ei-root, concat(@invalid-OID, '.'))])      or       (not($flags/@test-data = 'true') and exists($namespaces/namespace[$ei-root = @test-OID or starts-with($ei-root, concat(@test-OID, '.'))])) or       $invalid-arc-value                or       not($oid-format)                or       $tc-types-107-err                 " />
    <xsl:variable name="possible-acn-oid" select="$oid-format and matches($ei-root, $acn-oid-regex) " />
    <xsl:variable name="possible-abn-oid" select="$oid-format and matches($ei-root, $abn-oid-regex)" />
    <xsl:variable name="acn-abn-arc" select="if ($possible-acn-oid or $possible-abn-oid) then replace($ei-root, '^(1\.2\.36\.)([0-9]+)($|\..+$)', '$2') else '' " />
    <xsl:variable name="possible-acn" select="if ($possible-acn-oid and string-length($acn-abn-arc) &lt; 9) then concat(substring('000000000', 1, 9 - string-length($acn-abn-arc)), $acn-abn-arc)        else $acn-abn-arc " />
    <xsl:variable name="possible-abn" select="if ($possible-abn-oid and string-length($acn-abn-arc) &lt; 11) then concat(substring('00000000000', 1, 11 - string-length($acn-abn-arc)), $acn-abn-arc)        else $acn-abn-arc " />
    <xsl:variable name="acn-format-1" select="if ($possible-acn = '' or $acn-abn-arc = $known-acn-arcs) then 0 else             10 - (((8 *  number(substring($possible-acn, 1, 1))) +                            (7 *  number(substring($possible-acn, 2, 1))) +                            (6 *  number(substring($possible-acn, 3, 1))) +                            (5 *  number(substring($possible-acn, 4, 1))) +                           (4 *  number(substring($possible-acn, 5, 1))) +                           (3 *  number(substring($possible-acn, 6, 1))) +                            (2 *  number(substring($possible-acn, 7, 1))) +                           (1 *  number(substring($possible-acn, 8, 1))) ) mod 10) " />
    <xsl:variable name="acn-format" select="if ($possible-acn-oid and $acn-abn-arc = $known-acn-arcs) then true()       else if ($possible-acn = '') then false()       else if ($acn-format-1 = 10) then 0 = number(substring($possible-acn, 9, 1))        else $acn-format-1 = number(substring($possible-acn, 9, 1))" />
    <xsl:variable name="abn-format-1" select="if (not($possible-abn-oid) or $acn-abn-arc = $known-abn-arcs) then '0' else       concat(string(number(substring($possible-abn, 1, 1)) - 1), substring($possible-abn, 2)) " />
    <xsl:variable name="abn-format" select="if ($possible-abn-oid and $acn-abn-arc = $known-abn-arcs) then true()       else if ($possible-abn = '') then false()       else 0 =                  (((10 *  number(substring($abn-format-1, 1, 1)))  +                            ( 1 *  number(substring($abn-format-1, 2, 1)))  +                            ( 3 *  number(substring($abn-format-1, 3, 1)))  +                            ( 5 *  number(substring($abn-format-1, 4, 1)))  +                           ( 7 *  number(substring($abn-format-1, 5, 1)))  +                           ( 9 *  number(substring($abn-format-1, 6, 1)))  +                            (11 *  number(substring($abn-format-1, 7, 1)))  +                           (13 *  number(substring($abn-format-1, 8, 1)))  +                           (15 *  number(substring($abn-format-1, 9, 1)))  +                           (17 *  number(substring($abn-format-1, 10, 1))) +                           (19 *  number(substring($abn-format-1, 11, 1))) ) mod 6) " />
    <xsl:variable name="ts-uid-error" select="$ts-uid-error-1 or (($possible-acn-oid or $possible-abn-oid) and not($acn-format or $abn-format))" />
    <xsl:variable name="codeSystem-err" select=" $code-systems/system[$ei-root = @codeSystem] or $code-systems/system[starts-with($ei-root, concat(@codeSystem, '.'))] " />
    <xsl:variable name="unknown-namespace" select="$possibly-valid-oid and $possibly-valid-root and not($ts-uid-error or $codeSystem-err or $namespace-id = 'unknown') " />
    <xsl:variable name="possible-owner-oid-1" select="if (not($unknown-namespace) or matches($namespace-id, $acn-oid-regex) or matches($namespace-id, $abn-oid-regex)) then ()        else (for $name-space in $namespaces/namespace return if (contains(concat($ei-root, '.'), concat($name-space/@OID, '.')))         then $name-space/@OID else '')[. != ''] " />
    <xsl:variable name="possible-owner-oid" select="if (count($possible-owner-oid-1) = 1) then $possible-owner-oid-1[1]        else if (count($possible-owner-oid-1) &gt; 1) then substring-before(dh:OrderByLength(string-join($possible-owner-oid-1, '|'), false()), '|')        else if ($possible-acn-oid and $acn-abn-arc = $known-acn-arcs) then concat('1.2.36', $acn-abn-arc)        else if ($possible-abn-oid and $acn-abn-arc = $known-abn-arcs) then concat('1.2.36', $acn-abn-arc)        else '' " />
    <xsl:variable name="possible-owner-name" select="if ($possible-acn-oid and $acn-abn-arc = $known-acn-arcs)          then $known-acn-names[index-of(for $arc in $known-acn-arcs return $acn-abn-arc = $arc, true())[1]]        else if ($possible-abn-oid and $acn-abn-arc = $known-abn-arcs)          then $known-abn-names[index-of(for $arc in $known-abn-arcs return $acn-abn-arc = $arc, true())[1]]        else if ($possible-owner-oid = '') then '' else $namespaces/namespace[@OID = $possible-owner-oid]/@name " />
    <xsl:variable name="sl-referrer-pers" select="if (exists($ei-root)) then false() else      /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3']]     and       ..[local-name(.) = 'associatedPerson']              and       ../..[local-name(.) = 'associatedEntity']             and       ../../..[local-name(.) = 'participant' and @typeCode='REFB']           and      ../../../..[local-name(.) = 'ClinicalDocument']            " />
    <xsl:variable name="sl-referrer-employer" select="if (exists($ei-root)) then false() else      /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3']]     and       ..[local-name(.) = 'wholeOrganization']             and      ../..[local-name(.) = 'asOrganizationPartOf']            and      ../../..[local-name(.) = 'employerOrganization']           and      ../../../..[local-name(.) = 'asEmployment']            and      ../../../../..[local-name(.) = 'associatedPerson']            and       ../../../../../..[local-name(.) = 'associatedEntity']            and       ../../../../../../..[local-name(.) = 'participant' and @typeCode='REFB']         and       ../../../../../../../..[local-name(.) = 'ClinicalDocument']           " />
    <xsl:variable name="sl-addressee-pers" select="if (exists($ei-root)) then false() else      /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3']]     and       ..[local-name(.) = 'assignedPerson']             and       ../..[local-name(.) = 'assignedEntity']             and       ../../..[local-name(.) = 'performer' and @typeCode='PRF']           and       ../../../..[local-name(.) = 'act']             and       ../../../../..[local-name(.) = 'entry']             and       ../../../../../..[local-name(.) = 'section' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16606']]    " />
    <xsl:variable name="sl-addressee-employer" select="if (exists($ei-root)) then false() else      /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3']]     and       ..[local-name(.) = 'wholeOrganization']             and      ../..[local-name(.) = 'asOrganizationPartOf']            and      ../../..[local-name(.) = 'employerOrganization']           and      ../../../..[local-name(.) = 'asEmployment']            and      ../../../../..[local-name(.) = 'assignedPerson']           and      ../../../../../..[local-name(.) = 'assignedEntity']           and      ../../../../../../..[local-name(.) = 'performer' and @typeCode='PRF']          and       ../../../../../../../..[local-name(.) = 'act']            and      ../../../../../../../../..[local-name(.) = 'entry']           and      ../../../../../../../../../..[local-name(.) = 'section' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16606']] " />
    <xsl:variable name="sl-addressee-org" select="if (exists($ei-root)) then false() else      /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3']]     and       ..[local-name(.) = 'wholeOrganization']             and       ../..[local-name(.) = 'asOrganizationPartOf']             and       ../../..[local-name(.) = 'representedOrganization']            and       ../../../..[local-name(.) =  'assignedEntity']             and       ../../../../..[local-name(.) = 'performer' and @typeCode='PRF']          and       ../../../../../..[local-name(.) = 'act']             and       ../../../../../../..[local-name(.) = 'entry']             and       ../../../../../../../..[local-name(.) = 'section' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16606']]   " />
    <xsl:variable name="ei-root-exception" select="$sl-referrer-pers or $sl-referrer-employer or $sl-addressee-pers or $sl-addressee-employer or $sl-addressee-org " />
    <xsl:variable name="unk-required" select="$sl-referrer-pers or $sl-referrer-employer or $sl-addressee-pers or $sl-addressee-employer or $sl-addressee-org " />
    <xsl:variable name="uuid-error-msg-1" select="if (matches($the-identifier, '^[0-9]{1,39}$') and matches($namespace-id, '\.2\.25$'))       then concat(' ', normalize-space(concat('The value of the root attribute ends with ''', concat('2.25.', $the-identifier),       ''' which has the format of the Object Identifier (OID) form of Universally Unique Identifier (UUID, also known as a GUID).       (See the entry for ''2.25'' in the OID Repository, http://www.oid-info.com, and section 7 of ITU-T X.667 ''Information technology - Open Systems       Interconnection - Procedures for the operation of OSI Registration Authorities: Generation and registration of Universally Unique Identifiers (UUIDs) and       their use as ASN.1 object identifier components'' - https://www.itu.int/ITU-T/studygroups/com17/oid/X.667-E.pdf.)')))       else '' " />
    <xsl:variable name="uuid-error-msg" select="if ($uuid-error-msg-1 = '' or @extension) then $uuid-error-msg-1       else concat($uuid-error-msg-1, ' ', normalize-space(concat('If the identifier of the healthcare participant is a UUID and if that form is permitted       by the namespace identified by ''', substring-before($namespace-id, '.2.25'), ''' then an extension attribute must be present and its value should be the       UUID.'))) " />
    <xsl:variable name="display-id-1" select="iq:display-II(ext:id)" />
    <xsl:variable name="display-id" select="if ($display-id-1 != '') then concat('an id element with ', $display-id-1) else 'no id element' " />
    <xsl:variable name="display-code" select="if (ext:code/@code and ext:code/@displayName) then concat('code ', codepoints-to-string(34), ext:code/@code, codepoints-to-string(34),         ' and displayName ', codepoints-to-string(34), ext:code/@displayName, codepoints-to-string(34))        else if (ext:code/@code and not(ext:code/@displayName)) then concat('code ', codepoints-to-string(34), ext:code/@code, codepoints-to-string(34),        ' (', $identifier-type-values/code[@code=$ei-code]/@displayName, ')')        else '' " />
    <xsl:variable name="display-system" select="if (ext:code/@codeSystem and ext:code/@codeSystemName)         then concat(' from codeSystem ', codepoints-to-string(34), ext:code/@codeSystem, codepoints-to-string(34), ' (', ext:code/@codeSystemName, ')')        else if (ext:code/@codeSystem and not(ext:code/@codeSystemName))         then concat(' from codeSystem ', codepoints-to-string(34), ext:code/@codeSystem, codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-ent-id" select="if ($display-code = '') then $display-id else concat($display-id, '; and ', $display-code, $display-system) " />
    <xsl:variable name="consumer-local-id" select="exists(ext:code[@codeSystem = '2.16.840.1.113883.12.203' and @code and exists(index-of($ei-codes-for-consumers, @code))]) " />
    <xsl:variable name="hpi-local-id" select="exists(ext:code[@codeSystem = '2.16.840.1.113883.12.203' and @code = 'EI']) " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="default-ii-context" select="not($initial-priority) and exists(ancestor::cda:recordTarget) and exists(ancestor::ext:asEntityIdentifier) " />
    <xsl:variable name="rating-23-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-23-step-2 else $rating-alt-TC-Types-23-step-2 " />
    <xsl:variable name="rating-24" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-24 else $rating-alt-TC-Types-24 " />
    <xsl:variable name="rating-25" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-25 else $rating-alt-TC-Types-25 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-28 else $rating-alt-TC-Types-28 " />
    <xsl:variable name="rating-29" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-29 else $rating-alt-TC-Types-29 " />
    <xsl:variable name="rating-30" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-30 else $rating-alt-TC-Types-30 " />
    <xsl:variable name="rating-76" select="if ($initial-priority) then $initial-rating else if ($default-ii-context) then $rating-TC-Types-76 else $rating-alt-TC-Types-76 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-23: The Entity Identifier '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-ent-id" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" count($ei-namespace-temp) &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="count($ei-namespace-temp) &gt; 1">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
			
	    	Finding: TS-EntId: The Entity Identifier '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		contains an entity identifier with the 'id/root' attribute with the value  '<xsl:text /><xsl:value-of select="$ei-root" /><xsl:text />'. The Namespaces.xml file contains <xsl:text /><xsl:value-of select="count($ei-namespace-temp)" /><xsl:text />
		matching namespaces. Reorganise the Namespaces.xml file so that only one namespaces matches the value of the root attribute.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $conflicting-identifier != '' and not(   ($el-consumer and ($is-a-consumer-hi or $is-a-consumer-ns))  or   ($el-org and ($is-an-org-hi or $is-an-org-ns))    or   ($el-device and ($is-a-device-hi or $is-a-device-ns))  )">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$conflicting-identifier != '' and not( ($el-consumer and ($is-a-consumer-hi or $is-a-consumer-ns)) or ($el-org and ($is-an-org-hi or $is-an-org-ns)) or ($el-device and ($is-a-device-hi or $is-a-device-ns)) )">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-23-step-2" /><xsl:text />: TC-Types-23 step 2: The Entity Identifier
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> is an entity identifier for the<xsl:text /><xsl:value-of select="$ent-id-type " /><xsl:text /> and contains <xsl:text /><xsl:value-of select="$identifier-text" /><xsl:text />.
		The<xsl:text /><xsl:value-of select="$ent-id-type " /><xsl:text />'s identifier is '<xsl:text /><xsl:value-of select="$the-identifier" /><xsl:text />' and is a member of the namespace identified by '<xsl:text /><xsl:value-of select="$namespace-id" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if ($namespaces/namespace[@OID = $namespace-id]) then concat('(', $namespaces/namespace[@OID = $namespace-id]/@name, ')')   else ''" /><xsl:text /><xsl:text /><xsl:value-of select="if (ext:id/@assigningAuthorityName and not(ext:id/@assigningAuthorityName = ('HPI-I', 'HPI-O', 'IHI', 'PAI-D', 'PAI-O', 'PAI-R')))   then concat(' which is associated with the authority ''', ext:id/@assigningAuthorityName, ''' responsible for assigning identifiers')    else '' " /><xsl:text />. The combination of the namespace and identifier has also been used for a <xsl:text /><xsl:value-of select="$conflicting-identifier" /><xsl:text /> therefore the entity identifier does not uniquely identify
		the<xsl:text /><xsl:value-of select="$ent-id-type" /><xsl:text />. It is an error for the concatenation of the root and extension attributes to identify more than one object.
		(See section 7.6.7.3.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange and section 2.9 of the Participation Data Specification v3.2.)
		<xsl:text /><xsl:value-of select="$extra-ns-info" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $el-person and local-name(..) != 'patient' and $similar-c-name and ($not-a-consumer-hi or $not-a-consumer-li) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$el-person and local-name(..) != 'patient' and $similar-c-name and ($not-a-consumer-hi or $not-a-consumer-li)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-23-step-2" /><xsl:text />: TC-Types-23 step 2: The entity identifier in the '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> is of the type used for a<xsl:text /><xsl:value-of select="$ent-id-type" /><xsl:text /> and has been assigned to a person with the <xsl:text /><xsl:value-of select="$name-msg" /><xsl:text />.
		The entity identifier has <xsl:text /><xsl:value-of select="$display-ent-id" /><xsl:text />. That type of entity identifier cannot be used for a consumer.
		Confirm that the person with this entity identifier is a<xsl:text /><xsl:value-of select="$ent-id-type" /><xsl:text /> and is not the healthcare consumer.
		An entity identifier must be the correct type for the healthcare participant. (See section 2.9 of the Participation Data Specification v3.2.) <xsl:text /><xsl:value-of select="$extra-ns-info" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not($el-person or $el-device or $el-org) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not($el-person or $el-device or $el-org)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
         
		Hint<xsl:text /><xsl:value-of select="$rating-23-step-2" /><xsl:text />: TC-Types-23 step 2: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an entity identifier and is not one of the data elements tested by the rules as the entity identifier has not been confirmed as being for a
		person, a device or an organisation. Confirm by inspection if the type of entity identifier that has been used is correct.
		(See section 2.9 of the Participation Data Specification v3.2.)
   
            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $el-consumer and $not-a-consumer-ns and not($ts-uid-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$el-consumer and $not-a-consumer-ns and not($ts-uid-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
			
	    	Error<xsl:text /><xsl:value-of select="$rating-23-step-2" /><xsl:text />: TC-Types-23 step 2: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an entity identifier for a healthcare consumer but the 'id/root' attribute has the value '<xsl:text /><xsl:value-of select="$ei-root" /><xsl:text />' which is an identifier
		for a namespace (<xsl:text /><xsl:value-of select="$ei-namespace-name" /><xsl:text />) that is not a namespace that may be used for a healthcare consumer.
		(See the HL7 OID Registry and section 2.9 of the Participation Data Specification v3.2.) <xsl:text /><xsl:value-of select="$extra-ns-info" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $el-consumer and $possible-consumer-ns and not($ts-uid-error or $codeSystem-err or $namespace-id = 'unknown' or $unknown-namespace or   ($flags/@test-data = 'true' and $test-namespace))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$el-consumer and $possible-consumer-ns and not($ts-uid-error or $codeSystem-err or $namespace-id = 'unknown' or $unknown-namespace or ($flags/@test-data = 'true' and $test-namespace))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
			
	    	Warning<xsl:text /><xsl:value-of select="$rating-23-step-2" /><xsl:text />: TC-Types-23 step 2: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an entity identifier for a healthcare consumer but it is not known if it is one of the types used for a healthcare consumer.
		The identifier of the healthcare consumer is '<xsl:text /><xsl:value-of select="$the-identifier" /><xsl:text />' and (according to information in the entity identifier) is a member of the namespace identified by
		'<xsl:text /><xsl:value-of select="$namespace-id" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if ($namespaces/namespace[current()/@root = $namespace-id]) then concat('(', $namespaces/namespace[current()/@root = $namespace-id]/@name, ')')   else ''" /><xsl:text /><xsl:text /><xsl:value-of select="if (ext:id/@assigningAuthorityName and not(ext:id/@assigningAuthorityName = ('HPI-I', 'HPI-O', 'IHI', 'PAI-D', 'PAI-O', 'PAI-R'))) then   concat(' which is associated with the authority ''', ext:id/@assigningAuthorityName, ''' responsible for assigning identifiers.') else '.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($possible-owner-oid = '') then ''    else concat(' The id/root attribute contains the namespace ''', $possible-owner-oid, ''' which is registered with ', $possible-owner-name, '.') " /><xsl:text />
		Confirm that '<xsl:text /><xsl:value-of select="$namespace-id" /><xsl:text />' identifies a namespace that is applicable for
		the healthcare consumer's identifier. (See section 2.9 of the Participation Data Specification v3.2.)  <xsl:text /><xsl:value-of select="$uuid-error-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $el-consumer and $not-a-consumer-code and not($invalid-code) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$el-consumer and $not-a-consumer-code and not($invalid-code)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
			
	    	Error<xsl:text /><xsl:value-of select="$rating-23-step-2" /><xsl:text />: TC-Types-23 step 2: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an entity identifier for a healthcare consumer but it is not one of the types that may be used for a healthcare consumer. The entity identifier
		code element contains codeSystem '2.16.840.1.113883.12.203' (the HL7 Identifier Type code system) and code
		'<xsl:text /><xsl:value-of select="$ei-code" /><xsl:text />' <xsl:text /><xsl:value-of select="if ($identifier-type-values/code[@code=$ei-code]/@displayName)    then concat('( ', $identifier-type-values/code[@code=$ei-code]/@displayName, ')') else '' " /><xsl:text />.
		A code must be used that is one of the types that identifies a healthcare consumer.
		(See section 8.4 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and section 2.9 of the Participation Data Specification v3.2.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $el-consumer and $possible-consumer-code ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$el-consumer and $possible-consumer-code">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
			
	    	Warning<xsl:text /><xsl:value-of select="$rating-23-step-2" /><xsl:text />: TC-Types-23 step 2: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an entity identifier for a healthcare consumer but it is not one of the types that are normally used for a healthcare consumer. The entity
		identifier code element contains codeSystem '2.16.840.1.113883.12.203' (the HL7 Identifier Type code system) and code
		'<xsl:text /><xsl:value-of select="$ei-code" /><xsl:text />' <xsl:text /><xsl:value-of select="if ($identifier-type-values/code[@code=$ei-code]/@displayName)    then concat('( ', $identifier-type-values/code[@code=$ei-code]/@displayName, ')') else '' " /><xsl:text />.
		Confirm by inspection if the type of entity identifier that has been used is one of the types that
		identifies a healthcare consumer. (See section 8.4 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and section 2.9 of the Participation Data Specification v3.2.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $el-consumer and $is-a-consumer-code and exists($ei-namespace-codes) and not(exists($ei-namespace-codes[. = $ei-code]) or $not-a-consumer-ns) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$el-consumer and $is-a-consumer-code and exists($ei-namespace-codes) and not(exists($ei-namespace-codes[. = $ei-code]) or $not-a-consumer-ns)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
			
	    	Warning<xsl:text /><xsl:value-of select="$rating-23-step-2" /><xsl:text />: TC-Types-23 step 2: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an entity identifier for a healthcare consumer with the 'id/root' attribute with the value '<xsl:text /><xsl:value-of select="$ei-root" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$ei-namespace-name" /><xsl:text />) and does not have a value for the code element that is expected for this namespace. The entity identifier contains the HL7
		Identifier Type code system and code/code
		'<xsl:text /><xsl:value-of select="$ei-code" /><xsl:text />' <xsl:text /><xsl:value-of select="if ($identifier-type-values/code[@code=$ei-code]/@displayName)    then concat('( ', $identifier-type-values/code[@code=$ei-code]/@displayName, ')') else '' " /><xsl:text />.
		The code attribute must have a value, such as '<xsl:text /><xsl:value-of select="$ei-namespace-codes[1]" /><xsl:text />' (<xsl:text /><xsl:value-of select="$identifier-type-values/code[@code=$ei-namespace-codes[1]]/@displayName" /><xsl:text />), 
		that is applicable for this namespace. Confirm by inspection if the requirements have been met.
		(See section 8.4 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide, the entry for the namespace in the HL7 OID Registry and the HL7 Identifier Type codes.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $el-participant and $not-a-participant-ns and not($ts-uid-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$el-participant and $not-a-participant-ns and not($ts-uid-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
			
	    	Error<xsl:text /><xsl:value-of select="$rating-23-step-2" /><xsl:text />: TC-Types-23 step 2: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an entity identifier for a healthcare participant person that is not the consumer but the 'id/root' attribute has the value
		'<xsl:text /><xsl:value-of select="$ei-root" /><xsl:text />' which is an identifier for a namespace (<xsl:text /><xsl:value-of select="$ei-namespace-name" /><xsl:text />) that is not one of the types that may be used for this healthcare
		participant. (See the HL7 OID Registry and section 2.9 of the Participation Data Specification v3.2.) <xsl:text /><xsl:value-of select="$extra-ns-info" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $el-participant and $possible-participant-ns and    not($ts-uid-error or $codeSystem-err or $namespace-id = 'unknown' or $unknown-namespace or $not-a-participant-ns or   ($flags/@test-data = 'true' and $test-namespace)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$el-participant and $possible-participant-ns and not($ts-uid-error or $codeSystem-err or $namespace-id = 'unknown' or $unknown-namespace or $not-a-participant-ns or ($flags/@test-data = 'true' and $test-namespace))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
			
	    	Warning<xsl:text /><xsl:value-of select="$rating-23-step-2" /><xsl:text />: TC-Types-23 step 2: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an entity identifier for a healthcare participant person that is not the consumer but it is not known if it is one of the types that may be
		used. The identifier of the healthcare participant is '<xsl:text /><xsl:value-of select="$the-identifier" /><xsl:text />' and (according to information in the entity identifier) is a member of the namespace identified
		by '<xsl:text /><xsl:value-of select="$namespace-id" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if ($namespaces/namespace[current()/@root = $namespace-id]) then concat('(', $namespaces/namespace[current()/@root = $namespace-id]/@name, ')')   else ''" /><xsl:text /><xsl:text /><xsl:value-of select="if (ext:id/@assigningAuthorityName and not(ext:id/@assigningAuthorityName = ('HPI-I', 'HPI-O', 'IHI', 'PAI-D', 'PAI-O', 'PAI-R'))) then   concat(' which is associated with the authority ''', ext:id/@assigningAuthorityName, ''' responsible for assigning identifiers.') else '.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($possible-owner-oid = '') then ''    else concat(' The id/root attribute contains the namespace ''', $possible-owner-oid, ''' which is registered with ', $possible-owner-name, '.') " /><xsl:text />
		Confirm that '<xsl:text /><xsl:value-of select="$namespace-id" /><xsl:text />' identifies a namespace that is applicable for the local entity identifier for this healthcare participant.
		(See section 2.9 of the Participation Data Specification v3.2.) <xsl:text /><xsl:value-of select="$uuid-error-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $el-participant and $not-a-participant-code and not($invalid-code) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$el-participant and $not-a-participant-code and not($invalid-code)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
			
	    	Error<xsl:text /><xsl:value-of select="$rating-23-step-2" /><xsl:text />: TC-Types-23 step 2: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an entity identifier for a healthcare participant person that is not the consumer but it is not one of the types that may be used for this type of
		healthcare participant. The entity identifier code element contains codeSystem '2.16.840.1.113883.12.203' (the HL7 Identifier Type code system) and code
		'<xsl:text /><xsl:value-of select="$ei-code" /><xsl:text />' <xsl:text /><xsl:value-of select="if ($identifier-type-values/code[@code=$ei-code]/@displayName)    then concat('( ', $identifier-type-values/code[@code=$ei-code]/@displayName, ')') else '' " /><xsl:text />.
		A code must be used that is one of the types that identifies a healthcare participant person that is not the consumer.
		(See section 8.4 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and section 2.9 of the Participation Data Specification v3.2.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $el-participant and $possible-participant-code ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$el-participant and $possible-participant-code">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
			
	    	Warning<xsl:text /><xsl:value-of select="$rating-23-step-2" /><xsl:text />: TC-Types-23 step 2: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an entity identifier for a healthcare participant person that is not the consumer but it is not one of the types that are normally used for
		this type of healthcare participant. The entity identifier code element contains codeSystem '2.16.840.1.113883.12.203' (the HL7 Identifier Type code system) and code
		'<xsl:text /><xsl:value-of select="$ei-code" /><xsl:text />' <xsl:text /><xsl:value-of select="if ($identifier-type-values/code[@code=$ei-code]/@displayName)    then concat('( ', $identifier-type-values/code[@code=$ei-code]/@displayName, ')') else '' " /><xsl:text />.
		Confirm by inspection if the type of entity identifier that has been used is one of the types that identifies a healthcare participant person that is not the consumer.
		(See section 8.4 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and section 2.9 of the Participation Data Specification v3.2.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $el-participant and $is-a-participant-code and not(starts-with($ei-root, '1.2.36.1.2001.1005.41.') or starts-with($ei-root, '1.2.36.1.2001.1005.70.')) and    exists($ei-namespace-codes) and not(exists($ei-namespace-codes[. = $ei-code])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$el-participant and $is-a-participant-code and not(starts-with($ei-root, '1.2.36.1.2001.1005.41.') or starts-with($ei-root, '1.2.36.1.2001.1005.70.')) and exists($ei-namespace-codes) and not(exists($ei-namespace-codes[. = $ei-code]))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

	    	Warning<xsl:text /><xsl:value-of select="$rating-23-step-2" /><xsl:text />: TC-Types-23 step 2: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an entity identifier for a person that is a healthcare participant that is not the consumer and the 'id/root' attribute has the value
		'<xsl:text /><xsl:value-of select="$ei-root" /><xsl:text />' (<xsl:text /><xsl:value-of select="$ei-namespace-name" /><xsl:text />) and does not have a value for the code element that is expected for this namespace. The entity identifier contains
		the HL7 Identifier Type code system and code/code
		'<xsl:text /><xsl:value-of select="$ei-code" /><xsl:text />' <xsl:text /><xsl:value-of select="if ($identifier-type-values/code[@code=$ei-code]/@displayName)    then concat('( ', $identifier-type-values/code[@code=$ei-code]/@displayName, ')') else '' " /><xsl:text />.
		The code attribute must have a value, such as '<xsl:text /><xsl:value-of select="$ei-namespace-codes[1]" /><xsl:text />' (<xsl:text /><xsl:value-of select="$identifier-type-values/code[@code=$ei-namespace-codes[1]]/@displayName" /><xsl:text />), 
		that is applicable for this namespace. Confirm by inspection if the requirements have been met.
		(See section 8.4 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide, the entry for the namespace in the HL7 OID Registry and the HL7 Identifier Type codes.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $el-participant and $is-a-participant-code and (starts-with($ei-root, '1.2.36.1.2001.1005.41.') or starts-with($ei-root, '1.2.36.1.2001.1005.70.')) and    not($ei-code = 'EI') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$el-participant and $is-a-participant-code and (starts-with($ei-root, '1.2.36.1.2001.1005.41.') or starts-with($ei-root, '1.2.36.1.2001.1005.70.')) and not($ei-code = 'EI')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

	    	Error<xsl:text /><xsl:value-of select="$rating-23-step-2" /><xsl:text />: TC-Types-23 step 2: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an entity identifier where the 'id/root' attribute has the value '<xsl:text /><xsl:value-of select="$ei-root" /><xsl:text />' (<xsl:text /><xsl:value-of select="$ei-namespace-name" /><xsl:text />) and
		does not have the expected value for the code element. The entity identifier contains code/codeSystem '<xsl:text /><xsl:value-of select="$ei-codeSystem" /><xsl:text />' and
		code/code '<xsl:text /><xsl:value-of select="$ei-code" /><xsl:text />' <xsl:text /><xsl:value-of select="if ($identifier-type-values/code[@code=$ei-code]/@displayName)    then concat('( ', $identifier-type-values/code[@code=$ei-code]/@displayName, ')') else '' " /><xsl:text />.
		The value of the code/code attribute must be 'EI'.
		(See section 8.4 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' and section 2.4.10 of the Common Conformance Profile for Clinical Documents v1.7.'         else if ($doc-common-conf-profile = '1.6')           then ' and requirement 023876 of the Common Conformance Profile for Clinical Documents v1.6.'         else if ($doc-common-conf-profile = '1.5')           then ' and section 3.4.10 of the Common Conformance Profile for Clinical Documents v1.5.'         else if ($doc-common-conf-profile = '1.4')           then ' and section 3.4.10 of the Common Conformance Profile for Clinical Documents v1.4.'         else '.' " /><xsl:text />)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $el-unrestricted-person and $not-a-person-ns and not($ts-uid-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$el-unrestricted-person and $not-a-person-ns and not($ts-uid-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
			
	    	Error<xsl:text /><xsl:value-of select="$rating-23-step-2" /><xsl:text />: TC-Types-23 step 2: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an entity identifier for a person that is a healthcare participant but 'id/root' attribute has the value '<xsl:text /><xsl:value-of select="$ei-root" /><xsl:text />' which is
		an identifier for a namespace (<xsl:text /><xsl:value-of select="$ei-namespace-name" /><xsl:text />) that is not one of the types that may be used for a person.
		(See the HL7 OID Registry and section 2.9 of the Participation Data Specification v3.2.) <xsl:text /><xsl:value-of select="$extra-ns-info" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $el-unrestricted-person and $possible-person-ns and not($ts-uid-error or $codeSystem-err or $namespace-id = 'unknown' or $unknown-namespace or $not-a-person-ns or   ($flags/@test-data = 'true' and $test-namespace)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$el-unrestricted-person and $possible-person-ns and not($ts-uid-error or $codeSystem-err or $namespace-id = 'unknown' or $unknown-namespace or $not-a-person-ns or ($flags/@test-data = 'true' and $test-namespace))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

	    	Warning<xsl:text /><xsl:value-of select="$rating-23-step-2" /><xsl:text />: TC-Types-23 step 2: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an entity identifier for a person that is a healthcare participant but it is not known if it is one of the types used for a person.
		The identifier of the healthcare participant is '<xsl:text /><xsl:value-of select="$the-identifier" /><xsl:text />' and (according to information in the entity identifier) is a member of the namespace identified by
		'<xsl:text /><xsl:value-of select="$namespace-id" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if ($namespaces/namespace[current()/@root = $namespace-id]) then concat('(', $namespaces/namespace[current()/@root = $namespace-id]/@name, ')')   else ''" /><xsl:text /><xsl:text /><xsl:value-of select="if (ext:id/@assigningAuthorityName and not(ext:id/@assigningAuthorityName = ('HPI-I', 'HPI-O', 'IHI', 'PAI-D', 'PAI-O', 'PAI-R'))) then   concat(' which is associated with the authority ''', ext:id/@assigningAuthorityName, ''' responsible for assigning identifiers.') else '.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($possible-owner-oid = '') then ''    else concat(' The id/root attribute contains the namespace ''', $possible-owner-oid, ''' which is registered with ', $possible-owner-name, '.') " /><xsl:text />
		Confirm that '<xsl:text /><xsl:value-of select="$namespace-id" /><xsl:text />' identifies a namespace that is suitable for use in
		an entity identifier for a person. (See section 2.9 of the Participation Data Specification v3.2.) <xsl:text /><xsl:value-of select="$uuid-error-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $el-unrestricted-person and $not-a-person-code and not($invalid-code) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$el-unrestricted-person and $not-a-person-code and not($invalid-code)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
			
	    	Error<xsl:text /><xsl:value-of select="$rating-23-step-2" /><xsl:text />: TC-Types-23 step 2: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an entity identifier for a person that is a healthcare participant but it is not one of the types that may be used for a person that is a
		healthcare participant. The entity identifier code element contains codeSystem '2.16.840.1.113883.12.203' (the HL7 Identifier Type code system) and code
		'<xsl:text /><xsl:value-of select="$ei-code" /><xsl:text />' <xsl:text /><xsl:value-of select="if ($identifier-type-values/code[@code=$ei-code]/@displayName)    then concat('( ', $identifier-type-values/code[@code=$ei-code]/@displayName, ')') else '' " /><xsl:text />.
		A code must be used that is one of the types that identifies a person that is a healthcare participant.
		(See section 8.4 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and section 2.9 of the Participation Data Specification v3.2.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $el-unrestricted-person and $possible-person-code and not(starts-with($ei-root, '1.2.36.1.2001.1005.41.') or starts-with($ei-root, '1.2.36.1.2001.1005.70.'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$el-unrestricted-person and $possible-person-code and not(starts-with($ei-root, '1.2.36.1.2001.1005.41.') or starts-with($ei-root, '1.2.36.1.2001.1005.70.'))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

	    	Warning<xsl:text /><xsl:value-of select="$rating-23-step-2" /><xsl:text />: TC-Types-23 step 2: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an entity identifier for a person that is a healthcare participant but it is not one of the types that are normally used for a person that is a
		healthcare participant. The entity identifier code element contains codeSystem '2.16.840.1.113883.12.203' (the HL7 Identifier Type code system) and code
		'<xsl:text /><xsl:value-of select="$ei-code" /><xsl:text />' <xsl:text /><xsl:value-of select="if ($identifier-type-values/code[@code=$ei-code]/@displayName)    then concat('( ', $identifier-type-values/code[@code=$ei-code]/@displayName, ')') else '' " /><xsl:text />.
		Confirm by inspection if the type of entity identifier that has been used is one of the types that identifies a person that is a healthcare participant.
		(See section 8.4 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and section 2.9 of the Participation Data Specification v3.2.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $el-unrestricted-person and $is-a-person-code and not(starts-with($ei-root, '1.2.36.1.2001.1005.41.') or starts-with($ei-root, '1.2.36.1.2001.1005.70.')) and    exists($ei-namespace-codes) and not(exists($ei-namespace-codes[. = $ei-code])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$el-unrestricted-person and $is-a-person-code and not(starts-with($ei-root, '1.2.36.1.2001.1005.41.') or starts-with($ei-root, '1.2.36.1.2001.1005.70.')) and exists($ei-namespace-codes) and not(exists($ei-namespace-codes[. = $ei-code]))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

	    	Warning<xsl:text /><xsl:value-of select="$rating-23-step-2" /><xsl:text />: TC-Types-23 step 2: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an entity identifier for a person that is a healthcare participant where the 'id/root' attribute has the value '<xsl:text /><xsl:value-of select="$ei-root" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$ei-namespace-name" /><xsl:text />) and does not have a value for the code element that is expected for this namespace. The entity identifier contains the HL7
		Identifier Type code system and code/code
		'<xsl:text /><xsl:value-of select="$ei-code" /><xsl:text />' <xsl:text /><xsl:value-of select="if ($identifier-type-values/code[@code=$ei-code]/@displayName)    then concat('( ', $identifier-type-values/code[@code=$ei-code]/@displayName, ')') else '' " /><xsl:text />.
		The code attribute must have a value, such as '<xsl:text /><xsl:value-of select="$ei-namespace-codes[1]" /><xsl:text />' (<xsl:text /><xsl:value-of select="$identifier-type-values/code[@code=$ei-namespace-codes[1]]/@displayName" /><xsl:text />), 
		that is applicable for this namespace. Confirm by inspection if the requirements have been met.
		(See section 8.4 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide, the entry for the namespace in the HL7 OID Registry and the HL7 Identifier Type codes.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $el-unrestricted-person and $is-a-person-code and (starts-with($ei-root, '1.2.36.1.2001.1005.41.') or starts-with($ei-root, '1.2.36.1.2001.1005.70.')) and    not($ei-code = 'EI') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$el-unrestricted-person and $is-a-person-code and (starts-with($ei-root, '1.2.36.1.2001.1005.41.') or starts-with($ei-root, '1.2.36.1.2001.1005.70.')) and not($ei-code = 'EI')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

	    	Error<xsl:text /><xsl:value-of select="$rating-23-step-2" /><xsl:text />: TC-Types-23 step 2: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an entity identifier where the 'id/root' attribute has the value '<xsl:text /><xsl:value-of select="$ei-root" /><xsl:text />' (<xsl:text /><xsl:value-of select="$ei-namespace-name" /><xsl:text />) and
		does not have the expected value for the code element. The entity identifier contains code/codeSystem '<xsl:text /><xsl:value-of select="$ei-codeSystem" /><xsl:text />' and code/code
		'<xsl:text /><xsl:value-of select="$ei-code" /><xsl:text />' <xsl:text /><xsl:value-of select="if ($identifier-type-values/code[@code=$ei-code]/@displayName)    then concat('( ', $identifier-type-values/code[@code=$ei-code]/@displayName, ')') else '' " /><xsl:text />.
		The value of the code/code attribute must be 'EI'.
		(See section 8.4 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' and section 2.4.10 of the Common Conformance Profile for Clinical Documents v1.7.'         else if ($doc-common-conf-profile = '1.6')           then ' and requirement 023876 of the Common Conformance Profile for Clinical Documents v1.6.'         else if ($doc-common-conf-profile = '1.5')           then ' and section 3.4.10 of the Common Conformance Profile for Clinical Documents v1.5.'         else if ($doc-common-conf-profile = '1.4')           then ' and section 3.4.10 of the Common Conformance Profile for Clinical Documents v1.4.'         else '.' " /><xsl:text />)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $el-org and $not-an-org-ns and not($ts-uid-error) and $not-an-org-code and not($invalid-code) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$el-org and $not-an-org-ns and not($ts-uid-error) and $not-an-org-code and not($invalid-code)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
			
	    	Error<xsl:text /><xsl:value-of select="$rating-23-step-2" /><xsl:text />: TC-Types-23 step 2: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> is used to record information about a healthcare provider organisation.
		It contains an entity identifier and the value of the 'id/root' attribute, '<xsl:text /><xsl:value-of select="$ei-root" /><xsl:text />', is an identifier for a
		namespace (<xsl:text /><xsl:value-of select="$ei-namespace-name" /><xsl:text />) and is not one of the types that may be used for a healthcare provider organisation.
		The value of the code element in the entity identifier also indicates it is not one of the types that may be used for a healthcare provider organisation.
		The entity identifier code element contains codeSystem '2.16.840.1.113883.12.203' (the HL7 Identifier Type code system) and code
		'<xsl:text /><xsl:value-of select="$ei-code" /><xsl:text />' <xsl:text /><xsl:value-of select="if ($identifier-type-values/code[@code=$ei-code]/@displayName)    then concat('( ', $identifier-type-values/code[@code=$ei-code]/@displayName, ')') else '' " /><xsl:text />.
		(See the HL7 OID Registry and section 2.9 of the Participation Data Specification v3.2.) <xsl:text /><xsl:value-of select="$extra-ns-info" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $el-org and $not-an-org-ns and not($ts-uid-error) and not($not-an-org-code) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$el-org and $not-an-org-ns and not($ts-uid-error) and not($not-an-org-code)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
			
	    	Error<xsl:text /><xsl:value-of select="$rating-23-step-2" /><xsl:text />: TC-Types-23 step 2: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> is used to record information about a healthcare provider organisation.
		It contains an entity identifier and the value of the 'id/root' attribute, '<xsl:text /><xsl:value-of select="$ei-root" /><xsl:text />', is an identifier for a
		namespace (<xsl:text /><xsl:value-of select="$ei-namespace-name" /><xsl:text />) which is not one of the types that may be used for a healthcare provider organisation. (See the HL7 OID Registry and section 2.9 of the
		Participation Data Specification v3.2.) <xsl:text /><xsl:value-of select="$extra-ns-info" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $el-org and $not-an-org-code and not($not-an-org-ns) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$el-org and $not-an-org-code and not($not-an-org-ns)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
			
	    	Error<xsl:text /><xsl:value-of select="$rating-23-step-2" /><xsl:text />: TC-Types-23 step 2: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> is used to record information about a healthcare provider organisation.
		The value of the code element in the entity identifier indicates it is not one of the types that may be used for a healthcare provider organisation.
		The entity identifier code element contains codeSystem '2.16.840.1.113883.12.203' (the HL7 Identifier Type code system) and code
		'<xsl:text /><xsl:value-of select="$ei-code" /><xsl:text />' <xsl:text /><xsl:value-of select="if ($identifier-type-values/code[@code=$ei-code]/@displayName)    then concat('( ', $identifier-type-values/code[@code=$ei-code]/@displayName, ')') else '' " /><xsl:text />.
		A code must be used that is one of the types that identifies a healthcare provider organisation.
		(See section 8.4 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and section 2.9 of the Participation Data Specification v3.2.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $el-org  and $possible-org-ns and not($ts-uid-error or $codeSystem-err or $namespace-id = 'unknown' or $unknown-namespace or   ($flags/@test-data = 'true' and $test-namespace))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$el-org and $possible-org-ns and not($ts-uid-error or $codeSystem-err or $namespace-id = 'unknown' or $unknown-namespace or ($flags/@test-data = 'true' and $test-namespace))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

	    	Warning<xsl:text /><xsl:value-of select="$rating-23-step-2" /><xsl:text />: TC-Types-23 step 2: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> is used to record information about a healthcare provider organisation.
		It contains an entity identifier and it is not known if it is one of the types used for a healthcare provider organisation.
		The identifier of the healthcare provider organisation is '<xsl:text /><xsl:value-of select="$the-identifier" /><xsl:text />' and (according to information in the entity identifier) is a member of the namespace
		identified by '<xsl:text /><xsl:value-of select="$namespace-id" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if ($namespaces/namespace[current()/@root = $namespace-id]) then concat('(', $namespaces/namespace[current()/@root = $namespace-id]/@name, ')')   else ''" /><xsl:text /><xsl:text /><xsl:value-of select="if (ext:id/@assigningAuthorityName and not(ext:id/@assigningAuthorityName = ('HPI-I', 'HPI-O', 'IHI', 'PAI-D', 'PAI-O', 'PAI-R'))) then   concat(' which is associated with the authority ''', ext:id/@assigningAuthorityName, ''' responsible for assigning identifiers.') else '.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($possible-owner-oid = '') then ''    else concat(' The id/root attribute contains the namespace ''', $possible-owner-oid, ''' which is registered with ', $possible-owner-name, '.') " /><xsl:text />
		Confirm that '<xsl:text /><xsl:value-of select="$namespace-id" /><xsl:text />' identifies a namespace that is applicable for the local
		entity identifier for a healthcare provider organisation. (See section 2.9 of the Participation Data Specification v3.2.) <xsl:text /><xsl:value-of select="$uuid-error-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $el-org and $possible-org-code ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$el-org and $possible-org-code">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

	    	Warning<xsl:text /><xsl:value-of select="$rating-23-step-2" /><xsl:text />: TC-Types-23 step 2: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> is used to record information about a healthcare provider organisation.
		It contains an entity identifier and it is not one of the types that are normally used for a healthcare provider organisation. The entity identifier code
		element contains codeSystem '2.16.840.1.113883.12.203' (the HL7 Identifier Type code system) and code
		'<xsl:text /><xsl:value-of select="$ei-code" /><xsl:text />' <xsl:text /><xsl:value-of select="if ($identifier-type-values/code[@code=$ei-code]/@displayName)    then concat('( ', $identifier-type-values/code[@code=$ei-code]/@displayName, ')') else '' " /><xsl:text />.
		Confirm by inspection if the type of entity identifier that has been used is one of the types that identifies a healthcare provider organisation.
		(See section 8.4 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and section 2.9 of the Participation Data Specification v3.2.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $el-org and $is-an-org-code and exists($ei-namespace-codes) and not(exists($ei-namespace-codes[. = $ei-code])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$el-org and $is-an-org-code and exists($ei-namespace-codes) and not(exists($ei-namespace-codes[. = $ei-code]))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

	    	Warning<xsl:text /><xsl:value-of select="$rating-23-step-2" /><xsl:text />: TC-Types-23 step 2: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> is used to record information about a healthcare provider organisation.
		It contains an entity identifier with id/root '<xsl:text /><xsl:value-of select="$ei-root" /><xsl:text />' (<xsl:text /><xsl:value-of select="$ei-namespace-name" /><xsl:text />) and does not have a
		value for the code element that is expected for this namespace. The entity identifier contains the HL7 Identifier Type code system and code/code
		'<xsl:text /><xsl:value-of select="$ei-code" /><xsl:text />' <xsl:text /><xsl:value-of select="if ($identifier-type-values/code[@code=$ei-code]/@displayName)    then concat('( ', $identifier-type-values/code[@code=$ei-code]/@displayName, ')') else '' " /><xsl:text />.
		The code attribute must have a value, such as '<xsl:text /><xsl:value-of select="$ei-namespace-codes[1]" /><xsl:text />' (<xsl:text /><xsl:value-of select="$identifier-type-values/code[@code=$ei-namespace-codes[1]]/@displayName" /><xsl:text />), 
		that is applicable for this namespace. Confirm by inspection if the requirements have been met.
		(See section 8.4 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide, the entry for the namespace in the HL7 OID Registry and the HL7 Identifier Type codes.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $el-device and $not-a-device-ns and not($ts-uid-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$el-device and $not-a-device-ns and not($ts-uid-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
			
	    	Error<xsl:text /><xsl:value-of select="$rating-23-step-2" /><xsl:text />: TC-Types-23 step 2: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an entity identifier for a device but the 'id/root' attribute has the value '<xsl:text /><xsl:value-of select="$ei-root" /><xsl:text />' which is an identifier for a namespace
		(<xsl:text /><xsl:value-of select="$ei-namespace-name" /><xsl:text />) that is not one of the types that may be used for a device.
		(See the HL7 OID Registry and section 2.9 of the Participation Data Specification v3.2.) <xsl:text /><xsl:value-of select="$extra-ns-info" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $el-device and $possible-device-ns and not($ts-uid-error or $codeSystem-err or $namespace-id = 'unknown' or $unknown-namespace or   ($flags/@test-data = 'true' and $test-namespace))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$el-device and $possible-device-ns and not($ts-uid-error or $codeSystem-err or $namespace-id = 'unknown' or $unknown-namespace or ($flags/@test-data = 'true' and $test-namespace))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
	    	Warning<xsl:text /><xsl:value-of select="$rating-23-step-2" /><xsl:text />: TC-Types-23 step 2: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an entity identifier for a device but it is not known if it is one of the types used for a device.
		The identifier of the device is '<xsl:text /><xsl:value-of select="$the-identifier" /><xsl:text />' and (according to information in the entity identifier) is a member of the namespace identified by
		'<xsl:text /><xsl:value-of select="$namespace-id" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if ($namespaces/namespace[current()/@root = $namespace-id]) then concat('(', $namespaces/namespace[current()/@root = $namespace-id]/@name, ')')   else ''" /><xsl:text /><xsl:text /><xsl:value-of select="if (ext:id/@assigningAuthorityName and not(ext:id/@assigningAuthorityName = ('HPI-I', 'HPI-O', 'IHI', 'PAI-D', 'PAI-O', 'PAI-R'))) then    concat(' which is associated with the authority ''', ext:id/@assigningAuthorityName, ''' responsible for assigning identifiers.') else '.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($possible-owner-oid = '') then ''    else concat(' The id/root attribute contains the namespace ''', $possible-owner-oid, ''' which is registered with ', $possible-owner-name, '.') " /><xsl:text />
		Confirm that '<xsl:text /><xsl:value-of select="$namespace-id" /><xsl:text />' identifies a namespace that is applicable for the local entity identifier
		for a device. (See the HL7 OID Registry and section 2.9 of the Participation Data Specification v3.2.) <xsl:text /><xsl:value-of select="$uuid-error-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $el-device and $not-a-device-code and not($invalid-code or $not-a-device-ns) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$el-device and $not-a-device-code and not($invalid-code or $not-a-device-ns)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
			
	    	Error<xsl:text /><xsl:value-of select="$rating-23-step-2" /><xsl:text />: TC-Types-23 step 2: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an entity identifier for a device but it is not one of the types that may be used for a device. The entity identifier code element contains
		codeSystem '2.16.840.1.113883.12.203' (the HL7 Identifier Type code system) and code
		'<xsl:text /><xsl:value-of select="$ei-code" /><xsl:text />' <xsl:text /><xsl:value-of select="if ($identifier-type-values/code[@code=$ei-code]/@displayName)    then concat('( ', $identifier-type-values/code[@code=$ei-code]/@displayName, ')') else '' " /><xsl:text />.
		A code must be used that is one of the types that identifies a device.
		(See section 8.4 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and section 2.9 of the Participation Data Specification v3.2.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $el-device and $possible-device-code ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$el-device and $possible-device-code">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
			
	    	Warning<xsl:text /><xsl:value-of select="$rating-23-step-2" /><xsl:text />: TC-Types-23 step 2: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an entity identifier for a device but it is not one of the types that are normally used for a device. The entity identifier code element
		contains codeSystem '2.16.840.1.113883.12.203' (the HL7 Identifier Type code system) and code
		'<xsl:text /><xsl:value-of select="$ei-code" /><xsl:text />' <xsl:text /><xsl:value-of select="if ($identifier-type-values/code[@code=$ei-code]/@displayName)    then concat('( ', $identifier-type-values/code[@code=$ei-code]/@displayName, ')') else '' " /><xsl:text />.
		Confirm by inspection if the type of entity identifier that has been used is one of the types that identifies a device.
		(See section 8.4 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and section 2.9 of the Participation Data Specification v3.2.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $el-device and $is-a-device-code and exists($ei-namespace-codes) and not(exists($ei-namespace-codes[. = $ei-code])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$el-device and $is-a-device-code and exists($ei-namespace-codes) and not(exists($ei-namespace-codes[. = $ei-code]))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
			
	    	Warning<xsl:text /><xsl:value-of select="$rating-23-step-2" /><xsl:text />: TC-Types-23 step 2: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an entity identifier for a device where the 'id/root' attribute has the value '<xsl:text /><xsl:value-of select="$ei-root" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$ei-namespace-name" /><xsl:text />) and does not have a value for the code element that is expected for this namespace. The entity identifier contains the HL7
		Identifier Type code system and code/code
		'<xsl:text /><xsl:value-of select="$ei-code" /><xsl:text />' <xsl:text /><xsl:value-of select="if ($identifier-type-values/code[@code=$ei-code]/@displayName)    then concat('( ', $identifier-type-values/code[@code=$ei-code]/@displayName, ')') else '' " /><xsl:text />.
		The code attribute must have a value, such as '<xsl:text /><xsl:value-of select="$ei-namespace-codes[1]" /><xsl:text />' (<xsl:text /><xsl:value-of select="$identifier-type-values/code[@code=$ei-namespace-codes[1]]/@displayName" /><xsl:text />), 
		that is applicable for this namespace. Confirm by inspection if the requirements have been met.
		(See section 8.4 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide, the entry for the namespace in the HL7 OID Registry and the HL7 Identifier Type codes.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not(   starts-with($ei-root, '1.2.36.1.2001.1005.29.')  or    starts-with($ei-root, '1.2.36.1.2001.1005.41.')  or   starts-with($ei-root, '1.2.36.1.2001.1005.70.')  or    starts-with($ei-root, '1.2.36.1.2001.1005.71.')  ) and   $ei-code and not($invalid-code or $tc-types-107-err) and not($ei-codeSystem = '2.16.840.1.113883.12.203' or $ei-codeSystem = '1.2.36.1.2001.1001.101.104.16047') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not( starts-with($ei-root, '1.2.36.1.2001.1005.29.') or starts-with($ei-root, '1.2.36.1.2001.1005.41.') or starts-with($ei-root, '1.2.36.1.2001.1005.70.') or starts-with($ei-root, '1.2.36.1.2001.1005.71.') ) and $ei-code and not($invalid-code or $tc-types-107-err) and not($ei-codeSystem = '2.16.840.1.113883.12.203' or $ei-codeSystem = '1.2.36.1.2001.1001.101.104.16047')">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
			
	    	Hint<xsl:text /><xsl:value-of select="$rating-23-step-2" /><xsl:text />: TC-Types-23 step 2: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains code/code '<xsl:text /><xsl:value-of select="$ei-code" /><xsl:text />' from code/codeSystem '<xsl:text /><xsl:value-of select="$ei-codeSystem" /><xsl:text />'. This code could not be assessed so confirm
		by inspection if the code is a valid one for the entity identifier. (See section 8.4 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($ei-root) and not($ei-root-exception)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($ei-root) and not($ei-root-exception)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-24" /><xsl:text />: TC-Types-24: The Entity Identifier
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> does not have a root attribute in the 'id' element however the root attribute must present.
		(See requirement 'Attribute root SHALL be used, SHALL be an OID and SHALL NOT be a UUID' in section 8.4 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($ei-root) and $unk-required and not(ext:id/@nullFlavor = 'UNK')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($ei-root) and $unk-required and not(ext:id/@nullFlavor = 'UNK')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-24" /><xsl:text />: TC-Types-24: The
		<xsl:text /><xsl:value-of select="if ($sl-referrer-pers) then 'Referrer'    else if ($sl-referrer-employer) then 'Referrer Employer Organisation'    else if ($sl-addressee-pers) then 'Recommendation Addressee (person)'    else if ($sl-addressee-employer) then 'Recommendation Addressee (person) Employer Organisation'    else if ($sl-addressee-org) then 'Recommendation Addressee (organisation)'    else '' " /><xsl:text /> Entity Identifier
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has an 'id' element with
		<xsl:text /><xsl:value-of select="if (not(ext:id/@nullFlavor)) then 'no root or nullFlavor attributes'    else concat('no root attribute and a nullFlavor attribute is present with the value ''', ext:id/@nullFlavor, ''' (',     $nullFlavors/nullFlavor[@value = current()/ext:id/@nullFlavor]/@name, ')') " /><xsl:text />
		whereas the 'id' element must have a nullFlavor attribute with the value 'UNK'.
		(See section 3.3.4 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> Conformance Profile.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($possibly-valid-oid) and $ei-code-type = 'person-consumer' and not($ts-uid-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($possibly-valid-oid) and $ei-code-type = 'person-consumer' and not($ts-uid-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-24" /><xsl:text />: TC-Types-24: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the 'id/root' attribute with the value '<xsl:text /><xsl:value-of select="$ei-root" /><xsl:text />' which is not valid for use within an Entity Identifier.
		In an Entity Identifier the value of the 'id/root' attribute must be a valid object identifier. (See requirement 'Attribute root SHALL be used, SHALL be an OID and SHALL NOT be a UUID' in
		section 8.4 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide) If the person being identified is a healthcare consumer, the root attribute of the id element SHALL either
		be the OID '1.2.36.1.2001.1005.29' followed by the national healthcare identifier of the organisation that maintains the local identifier,
		the OID '1.2.36.1.2001.1005.71' followed by the Australian Business or Company Number (excluding leading zeroes) of the organisation that maintains the local identifier,
		or an OID that identifies the organisation. <xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then '(See section 2.4.10 of the Common Conformance Profile for Clinical Documents v1.7.)'         else if ($doc-common-conf-profile = '1.6')           then '(See requirement 023876 of the Common Conformance Profile for Clinical Documents v1.6.)'         else if ($doc-common-conf-profile = '1.5')           then '(See section 3.4.10 of the Common Conformance Profile for Clinical Documents v1.5.)'         else if ($doc-common-conf-profile = '1.4')           then '(See section 3.4.10 of the Common Conformance Profile for Clinical Documents v1.4.)'         else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($possibly-valid-oid) and $ei-code-type = 'person-not-consumer' and not($ts-uid-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($possibly-valid-oid) and $ei-code-type = 'person-not-consumer' and not($ts-uid-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-24" /><xsl:text />: TC-Types-24: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the 'id/root' attribute with the value '<xsl:text /><xsl:value-of select="$ei-root" /><xsl:text />' which is not valid for use within an Entity Identifier.
		In an Entity Identifier the value of the 'id/root' attribute must be a valid object identifier. (See requirement 'Attribute root SHALL be used, SHALL be an OID and SHALL NOT be a UUID' in 
		section 8.4 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide) If the person being identified is an individual healthcare provider or a legal authenticator, the root
		attribute of the id element SHALL either be the OID '1.2.36.1.2001.1005.41' followed by the national healthcare identifier of the organisation that maintains the local identifier, 
		the OID '1.2.36.1.2001.1005.70' followed by the Australian Business or Company Number (excluding leading zeroes) of the organisation that maintains the local identifier,
		or an OID that identifies the organisation. <xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then '(See section 2.4.10 of the Common Conformance Profile for Clinical Documents v1.7.)'         else if ($doc-common-conf-profile = '1.6')           then '(See requirement 023876 of the Common Conformance Profile for Clinical Documents v1.6.)'         else if ($doc-common-conf-profile = '1.5')           then '(See section 3.4.10 of the Common Conformance Profile for Clinical Documents v1.5.)'         else if ($doc-common-conf-profile = '1.4')           then '(See section 3.4.10 of the Common Conformance Profile for Clinical Documents v1.4.)'         else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($possibly-valid-oid) and $ei-code-type = 'unknown' and not($ts-uid-error)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($possibly-valid-oid) and $ei-code-type = 'unknown' and not($ts-uid-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-24" /><xsl:text />: TC-Types-24: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the 'id/root' attribute with the value '<xsl:text /><xsl:value-of select="$ei-root" /><xsl:text />' which is not valid for use within an Entity Identifier. In
		an Entity Identifier the value of the 'id/root' attribute must be a valid object identifier. (See requirement 'Attribute root SHALL be used, SHALL be an OID and SHALL NOT be a UUID'
		in section 8.4 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $possibly-valid-oid and $possibly-valid-root and $codeSystem-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$possibly-valid-oid and $possibly-valid-root and $codeSystem-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-25" /><xsl:text />: TC-Types-25: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains <xsl:text /><xsl:value-of select="$identifier-text" /><xsl:text /> but the
		value of the 'id/root' attribute identifies the '<xsl:text /><xsl:value-of select="$code-systems/system[$ei-root = @codeSystem]/@codeSystemName" /><xsl:text />' code system whereas it is required to
		identify a namespace for the Entity Identifier; that is the geographic area, issuer and type of identifier for a healthcare participant must be consistent with the value of the
		root attribute. (See section 8.4 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and the entry for <xsl:text /><xsl:value-of select="$ei-root" /><xsl:text /> in the HL7 OID Registry.)
	
            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $possibly-valid-oid and $possibly-valid-root and    ($namespaces/namespace[$ei-root = @invalid-namespace] or $namespaces/namespace[starts-with($ei-root, concat(@invalid-namespace, '.'))]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$possibly-valid-oid and $possibly-valid-root and ($namespaces/namespace[$ei-root = @invalid-namespace] or $namespaces/namespace[starts-with($ei-root, concat(@invalid-namespace, '.'))])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-25" /><xsl:text />: TC-Types-25: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains <xsl:text /><xsl:value-of select="$identifier-text" /><xsl:text /> but the value of the 'id/root' attribute is invalid in this context as
		<xsl:text /><xsl:value-of select="normalize-space($namespaces/namespace[$ei-root = @invalid-namespace]/@explanation)" /><xsl:text />
		whereas it is required to identify a namespace for the Entity Identifier; that is the geographic area, issuer and type of identifier for a healthcare participant must be consistent with
		the value of the 'id/root' attribute. (See section 8.4 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and the entry for <xsl:text /><xsl:value-of select="$ei-root" /><xsl:text /> in the HL7 OID
		Registry.)
	
            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $unknown-namespace and not($flags/@test-data = 'true' and $test-namespace)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$unknown-namespace and not($flags/@test-data = 'true' and $test-namespace)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-25" /><xsl:text />: TC-Types-25: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains <xsl:text /><xsl:value-of select="$identifier-text" /><xsl:text /> but the
		value of the 'id/root' attribute is not one of the known namespaces. According to information in the entity identifier the namespace is identified by '<xsl:text /><xsl:value-of select="$namespace-id" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if ($namespaces/namespace[current()/@root = $namespace-id]) then concat('(', $namespaces/namespace[current()/@root = $namespace-id]/@name, ')')   else ''" /><xsl:text /><xsl:text /><xsl:value-of select="if (ext:id/@assigningAuthorityName and not(ext:id/@assigningAuthorityName = ('HPI-I', 'HPI-O', 'IHI', 'PAI-D', 'PAI-O', 'PAI-R'))) then    concat(' which is associated with the authority ''', ext:id/@assigningAuthorityName, ''' responsible for assigning identifiers.') else '.' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($possible-owner-oid = '') then ''    else concat(' The id/root attribute contains the namespace ''', $possible-owner-oid, ''' which is registered with ', $possible-owner-name, '.') " /><xsl:text />
		Confirm that the root attribute identifies a namespace for the Entity Identifier, that is the geographic area, issuer and 
		type of identifier are consistent with the value of the 'id/root' attribute. (See section 8.4 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="$uuid-error-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and $reused-namespace-id ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $reused-namespace-id">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-25" /><xsl:text />: TC-Types-25: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains <xsl:text /><xsl:value-of select="$identifier-text" /><xsl:text />.
		The entity identifier is '<xsl:text /><xsl:value-of select="$the-identifier" /><xsl:text />' and is a member of the namespace identified by '<xsl:text /><xsl:value-of select="$namespace-id" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if ($namespaces/namespace[current()/@root = $namespace-id]) then concat('(', $namespaces/namespace[current()/@root = $namespace-id]/@name, ')')   else ''" /><xsl:text /><xsl:text /><xsl:value-of select="if (ext:id/@assigningAuthorityName and not(ext:id/@assigningAuthorityName = ('HPI-I', 'HPI-O', 'IHI', 'PAI-D', 'PAI-O', 'PAI-R'))) then    concat(' which is associated with the authority ''', ext:id/@assigningAuthorityName, ''' responsible for assigning identifiers.') else '.' " /><xsl:text /><xsl:text /><xsl:value-of select="if (count($el-reused-namespace) = 1) then 'There is another data element that contains an instance identifier'    else concat('There are ', string(count($el-reused-namespace)), ' data elements containing instance identifiers') " /><xsl:text />
		with this namespace and
		<xsl:text /><xsl:value-of select="if (count($el-reused-namespace) = 1) then 'identifies an item that is not a healthcare participant. ' else 'they identify items that are not healthcare participants. ' " /><xsl:text /><xsl:text /><xsl:value-of select="if (count($name-el-reused) = 1) then concat('That data element has the name ''', $name-el-reused[1], '''.')   else concat('The names of those data elements are ''', string-join($name-el-reused, ' and '), '''.') " /><xsl:text />
		When a namespace has been reused like this the quality and practical utility is impacted by the lack of semantic division and it can be difficult
		for anyone other than the local system to use the information. Unique namespaces should be used for the different types of information.
		(See section 7.6.7.3.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
	
            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ext:assigningGeographicArea/ext:name and    not(ext:assigningGeographicArea/ext:name = ('Local Client (Unit Record) Identifier', 'Area/Region/District Identifier', 'State or Territory Identifier', 'National Identifier')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="ext:assigningGeographicArea/ext:name and not(ext:assigningGeographicArea/ext:name = ('Local Client (Unit Record) Identifier', 'Area/Region/District Identifier', 'State or Territory Identifier', 'National Identifier'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Types-28: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has 'assigningGeographicArea/name' with the value '<xsl:text /><xsl:value-of select="ext:assigningGeographicArea/ext:name" /><xsl:text />' which is not
		one of the values listed in values listed in AS 5017-2006: Health Care Client Identifier Geographic Area: 'Local Client (Unit Record) Identifier',
		'Area/Region/District Identifier', 'State or Territory Identifier' and 'National Identifier'.
		(See section 8.4 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(ext:id/@extension) and matches(ext:id/@root, '^1\.2\.36\.1\.2001\.1003\.0\.80036[0-2]{1}[0-9]{10}$') and ext:assigningGeographicArea/ext:name and     ext:assigningGeographicArea/ext:name = ('Local Client (Unit Record) Identifier', 'Area/Region/District Identifier', 'State or Territory Identifier')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(ext:id/@extension) and matches(ext:id/@root, '^1\.2\.36\.1\.2001\.1003\.0\.80036[0-2]{1}[0-9]{10}$') and ext:assigningGeographicArea/ext:name and ext:assigningGeographicArea/ext:name = ('Local Client (Unit Record) Identifier', 'Area/Region/District Identifier', 'State or Territory Identifier')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Types-28: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the national healthcare identifier '<xsl:text /><xsl:value-of select="ext:id/@root" /><xsl:text />' and assigningGeographicArea/name
		'<xsl:text /><xsl:value-of select="ext:assigningGeographicArea/ext:name" /><xsl:text />'. The correct value for assigningGeographicArea/name for this entity identifier is 'National Identifier'.
		(See section 8.4 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and AS 5017-2006: Health Care Client Identifier Geographic Area.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and not($invalid-root) and ext:id/@assigningAuthorityName and @extension and    ext:code/@codeSystem = '2.16.840.1.113883.12.203' and exists($ei-namespace-codes[. = current()/ext:code/@code]) and   ($namespaces/namespace[starts-with($ei-root, concat(@OID-prefix, '.'))][not(contains(@EntId, 'consumers') or contains(@EntId, 'not-applicable') or     (not(contains(@EntId, 'consumers')) and contains(@EntId, 'only')))] or     $namespaces/namespace[$ei-root = @OID][not(@EntId)] ) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not($invalid-root) and ext:id/@assigningAuthorityName and @extension and ext:code/@codeSystem = '2.16.840.1.113883.12.203' and exists($ei-namespace-codes[. = current()/ext:code/@code]) and ($namespaces/namespace[starts-with($ei-root, concat(@OID-prefix, '.'))][not(contains(@EntId, 'consumers') or contains(@EntId, 'not-applicable') or (not(contains(@EntId, 'consumers')) and contains(@EntId, 'only')))] or $namespaces/namespace[$ei-root = @OID][not(@EntId)] )">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-29" /><xsl:text />: TC-Types-29: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has assigningAuthorityName '<xsl:text /><xsl:value-of select="ext:id/@assigningAuthorityName" /><xsl:text />'. Confirm that this is the
		name of the healthcare provider organisation that manages the local identifier '<xsl:text /><xsl:value-of select="ext:id/@extension" /><xsl:text />' for the subject of care and that
		'<xsl:text /><xsl:value-of select="$ei-root" /><xsl:text />' is an object identifier for that healthcare provider organisation. If '<xsl:text /><xsl:value-of select="$ei-root" /><xsl:text />' is not an object identifier for that
		healthcare provider organisation then the value of the 'id/root' attribute should be the identifier 1.2.36.1.2001.1005.29.[HPI-O] where [HPI-O] is the healthcare provider identifier for
		the organisation, or the identifier 1.2.36.1.2001.1005.71.[ABN/ACN] where [ABN/ACN] is the Australian Business or Company Number (excluding leading zeroes) of the organisation.
		<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then '(See section 2.4.10 of the Common Conformance Profile for Clinical Documents v1.7.)'         else if ($doc-common-conf-profile = '1.6')           then '(See requirement 023876 of the Common Conformance Profile for Clinical Documents v1.6.)'         else if ($doc-common-conf-profile = '1.5')           then '(See section 3.4.10 of the Common Conformance Profile for Clinical Documents v1.5.)'         else if ($doc-common-conf-profile = '1.4')           then '(See section 3.4.10 of the Common Conformance Profile for Clinical Documents v1.4.)'         else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and not($invalid-root or matches($ei-root, '^1\.2\.36\.1\.2001\.1003\.0\.') or $consumer-local-id or $hpi-local-id) and    exists(ext:id[not(@assigningAuthorityName) or normalize-space(@assigningAuthorityName) = '']) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and not($invalid-root or matches($ei-root, '^1\.2\.36\.1\.2001\.1003\.0\.') or $consumer-local-id or $hpi-local-id) and exists(ext:id[not(@assigningAuthorityName) or normalize-space(@assigningAuthorityName) = ''])">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-76" /><xsl:text />: TC-Types-76: The entity identifier in the '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-ent-id" /><xsl:text /> and the name of the assigning authority has not been included in the assigningAuthorityName attribute. 
		The assigningAuthorityName attribute should be present with a value that is a human readable name for the namespace represented in the root attribute of the entity identifier, that is
		the name of the authority that assigned the entity identifier. 
		(See section 8.4 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and section 2.17 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($invalid-root) and $consumer-local-id and ext:id[not(@assigningAuthorityName) or normalize-space(@assigningAuthorityName) = ''] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($invalid-root) and $consumer-local-id and ext:id[not(@assigningAuthorityName) or normalize-space(@assigningAuthorityName) = '']">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-29" /><xsl:text />: TC-Types-29: The instance identifier in the
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has codeSystem '2.16.840.1.113883.12.203', code '<xsl:text /><xsl:value-of select="ext:code/@code" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$identifier-type-values/code[@code=current()/ext:code/@code]/@displayName" /><xsl:text />) and id/root '<xsl:text /><xsl:value-of select="$ei-root" /><xsl:text />' and does not meet the requirement for the 
		assigningAuthorityName to be present and have a value that is the name of the organisation that maintains the local identifier.
		(See section 7.6.7 of ISO 21090 'Health informatics - Harmonized data types for information interchange'<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' and section 2.4.10 of the Common Conformance Profile for Clinical Documents v1.7.'         else if ($doc-common-conf-profile = '1.6')           then ' and requirement 023876 of the Common Conformance Profile for Clinical Documents v1.6.'         else if ($doc-common-conf-profile = '1.5')           then ' and section 3.4.10 of the Common Conformance Profile for Clinical Documents v1.5.'         else if ($doc-common-conf-profile = '1.4')           then ' and section 3.4.10 of the Common Conformance Profile for Clinical Documents v1.4.'         else '.' " /><xsl:text />)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($invalid-root) and ext:code[@codeSystem = '2.16.840.1.113883.12.203' and @code and exists(index-of($ei-codes-for-consumers, @code)) and    not(@codeSystemName = 'Identifier Type (HL7)')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($invalid-root) and ext:code[@codeSystem = '2.16.840.1.113883.12.203' and @code and exists(index-of($ei-codes-for-consumers, @code)) and not(@codeSystemName = 'Identifier Type (HL7)')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-29" /><xsl:text />: TC-Types-29: The instance identifier in the
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has codeSystem '2.16.840.1.113883.12.203' and code '<xsl:text /><xsl:value-of select="ext:code/@code" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$identifier-type-values/code[@code=current()/ext:code/@code]/@displayName" /><xsl:text />) and
		does not meet the requirement for codeSystemName to be present and have the value 'Identifier Type (HL7)'.
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' section 2.4.10 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023876 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023876 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.10 of the Common Conformance Profile for Clinical Documents v1.4 and '         else ' ' " /><xsl:text />and section 7.6.7 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($invalid-root) and $consumer-local-id and ext:id[not(@extension) or normalize-space(@extension) = ''] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($invalid-root) and $consumer-local-id and ext:id[not(@extension) or normalize-space(@extension) = '']">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-29" /><xsl:text />: TC-Types-29: The instance identifier in the
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		codeSystem '2.16.840.1.113883.12.203' and code '<xsl:text /><xsl:value-of select="ext:code/@code" /><xsl:text />' (<xsl:text /><xsl:value-of select="$identifier-type-values/code[@code=current()/ext:code/@code]/@displayName" /><xsl:text />) and
		does not meet the requirement for id/extension to be present and have a value that is the local identifier allocated by the healthcare provider organisation.
		(See section 7.6.7 of ISO 21090 'Health informatics - Harmonized data types for information interchange'<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' and section 2.4.10 of the Common Conformance Profile for Clinical Documents v1.7.'         else if ($doc-common-conf-profile = '1.6')           then ' and requirement 023876 of the Common Conformance Profile for Clinical Documents v1.6.'         else if ($doc-common-conf-profile = '1.5')           then ' and section 3.4.10 of the Common Conformance Profile for Clinical Documents v1.5.'         else if ($doc-common-conf-profile = '1.4')           then ' and section 3.4.10 of the Common Conformance Profile for Clinical Documents v1.4.'         else '.' " /><xsl:text />)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and not($invalid-root) and ext:id/@assigningAuthorityName and @extension and $hpi-local-id ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not($invalid-root) and ext:id/@assigningAuthorityName and @extension and $hpi-local-id">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-30" /><xsl:text />: TC-Types-30: An Entity Identifier in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has assigningAuthorityName
		'<xsl:text /><xsl:value-of select="ext:id/assigningAuthorityName" /><xsl:text />'. Confirm this is the name
		of the healthcare provider organisation that manages the local identifier '<xsl:text /><xsl:value-of select="ext:id/@extension" /><xsl:text />' for the healthcare provider individual and that
		'<xsl:text /><xsl:value-of select="$ei-root" /><xsl:text />' is an object identifier for that healthcare provider organisation. If '<xsl:text /><xsl:value-of select="@root" /><xsl:text />' is not an object identifier for that healthcare
		provider organisation then the value of the 'id/root' attribute should be the identifier 1.2.36.1.2001.1005.41.[HPI-O] where [HPI-O] is the healthcare provider identifier for
		the organisation, or the identifier 1.2.36.1.2001.1005.70.[ABN/ACN] where [ABN/ACN] is the Australian Business or Company Number (excluding leading zeroes) of the organisation.
		<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then '(See section 2.4.10 of the Common Conformance Profile for Clinical Documents v1.7.)'         else if ($doc-common-conf-profile = '1.6')           then '(See requirement 023876 of the Common Conformance Profile for Clinical Documents v1.6.)'         else if ($doc-common-conf-profile = '1.5')           then '(See section 3.4.10 of the Common Conformance Profile for Clinical Documents v1.5.)'         else if ($doc-common-conf-profile = '1.4')           then '(See section 3.4.10 of the Common Conformance Profile for Clinical Documents v1.4.)'         else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($invalid-root) and $hpi-local-id and ext:id[not(@assigningAuthorityName) or normalize-space(@assigningAuthorityName) = ''] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($invalid-root) and $hpi-local-id and ext:id[not(@assigningAuthorityName) or normalize-space(@assigningAuthorityName) = '']">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-30" /><xsl:text />: TC-Types-30: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has code/codeSystem '2.16.840.1.113883.12.203', code/code 'EI' and the 'id/root' attribute has the value '<xsl:text /><xsl:value-of select="$ei-root" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$identifier-type-values/code[@code=current()/ext:code/@code]/@displayName" /><xsl:text />) and does not meet
		the requirement for the assigningAuthorityName to be present and have a value that is the name of the organisation that maintains the local identifier.
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' section 2.4.10 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023876 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023876 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.10 of the Common Conformance Profile for Clinical Documents v1.4 and '         else ' ' " /><xsl:text />section 7.6.7 of ISO 21090 'Health informatics - Harmonized data types for
		information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($invalid-root) and ext:code[@codeSystem = '2.16.840.1.113883.12.203' and @code = 'EI' and not(@codeSystemName = 'Identifier Type (HL7)')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($invalid-root) and ext:code[@codeSystem = '2.16.840.1.113883.12.203' and @code = 'EI' and not(@codeSystemName = 'Identifier Type (HL7)')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-30" /><xsl:text />: TC-Types-30: The instance identifier in the
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has codeSystem '2.16.840.1.113883.12.203' and code 'EI' and does not meet the requirement for codeSystemName to be present and have the value
		'Identifier Type (HL7)'.
		(See section 7.6.7 of ISO 21090 'Health informatics - Harmonized data types for information interchange'<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' and section 2.4.10 of the Common Conformance Profile for Clinical Documents v1.7.'         else if ($doc-common-conf-profile = '1.6')           then ' and requirement 023876 of the Common Conformance Profile for Clinical Documents v1.6.'         else if ($doc-common-conf-profile = '1.5')           then ' and section 3.4.10 of the Common Conformance Profile for Clinical Documents v1.5.'         else if ($doc-common-conf-profile = '1.4')           then ' and section 3.4.10 of the Common Conformance Profile for Clinical Documents v1.4.'         else '.' " /><xsl:text />)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($invalid-root) and $hpi-local-id and ext:id[not(@extension) or normalize-space(@extension) = ''] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($invalid-root) and $hpi-local-id and ext:id[not(@extension) or normalize-space(@extension) = '']">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-30" /><xsl:text />: TC-Types-30: The instance identifier in the
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		codeSystem '2.16.840.1.113883.12.203' and code '<xsl:text /><xsl:value-of select="ext:code/@code" /><xsl:text />' (<xsl:text /><xsl:value-of select="$identifier-type-values/code[@code=current()/ext:code/@code]/@displayName" /><xsl:text />) and
		does not meet the requirement for id/extension to be present and have a value that is the local identifier allocated by the healthcare provider organisation.
		(See section 7.6.7 of ISO 21090 'Health informatics - Harmonized data types for information interchange'<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' and section 2.4.10 of the Common Conformance Profile for Clinical Documents v1.7.'         else if ($doc-common-conf-profile = '1.6')           then ' and requirement 023876 of the Common Conformance Profile for Clinical Documents v1.6.'         else if ($doc-common-conf-profile = '1.5')           then ' and section 3.4.10 of the Common Conformance Profile for Clinical Documents v1.5.'         else if ($doc-common-conf-profile = '1.4')           then ' and section 3.4.10 of the Common Conformance Profile for Clinical Documents v1.4.'         else '.' " /><xsl:text />)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1132" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1132" />
  <xsl:template match="@*|node()" priority="-2" mode="M1132">
    <xsl:apply-templates select="@*|*" mode="M1132" />
  </xsl:template>
  <!--PATTERN p-TS-EntId-UniqueIdentifier-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument//ext:asEntityIdentifier/ext:id " priority="1000" mode="M1133">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument//ext:asEntityIdentifier/ext:id " />
    <xsl:variable name="agency-namespace" select="@root and (matches(@root, '^1\.2\.36\.1\.2001\.1001\.10[0-4]{1}\.') or matches(@root, '^1\.2\.36\.1\.2001\.1006\.')) " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-11" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-11 else $rating-alt-TC-Types-11 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="ii-context" select="if (ancestor::cda:recordTarget and ancestor::ext:asEntityIdentifier) then 'default' else 'alternative' " />
    <xsl:variable name="rating-73" select="if ($initial-priority) then $initial-rating       else if ($ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/test-case[@id='TC-Types-73']/@rating)        then concat(' (', $ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/test-case[@id='TC-Types-73']/@rating, ')')       else if ($ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/@rating)       then concat(' (', $ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/@rating, ')')       else '' " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-11: The Entity Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type and has <xsl:text /><xsl:value-of select="iq:display-II(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-11" /><xsl:text />: TC-Types-11: According to section 2.9 of the Participation Data Specification v3.2 the Entity Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type which
		is derived from the HL7 'II' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present.
		(See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-11" /><xsl:text />: TC-Types-11: According to section 2.9 of the Participation Data Specification v3.2 the Entity Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type which is derived from the HL7 'II' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'II'. (See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.9 of the Participation Data Specification v3.2 the Entity Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the UniqueIdentifier data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.9 of the Participation Data Specification v3.2 the Entity Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the UniqueIdentifier data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and   not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.9 of the Participation Data Specification v3.2 the Entity Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however the attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))])" /><xsl:text />' was found that is not in the list of attributes
		expected for the UniqueIdentifier data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and   not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.9 of the Participation Data Specification v3.2 the Entity Identifier
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however the attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))])" /><xsl:text />' was found that is not in the list of attributes
		expected for the UniqueIdentifier data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $agency-namespace ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$agency-namespace">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-73" /><xsl:text />: TC-Types-73:  The Entity Identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-II(.)" /><xsl:text />. The value of the root attribute identifies the
		'<xsl:text /><xsl:value-of select="$namespaces/namespace[starts-with(current()/@root, concat(@OID-prefix, '.'))]/@name" /><xsl:text />' namespace which is reserved for use by the Australian Digital Health Agency.
		The value of the root attribute must define the namespace for the extension attribute whose value is required to identify the healthcare participant.
		(See section 7.6.7.3.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and the Entity Identifier definition in section 2.9 of the Participation Data Specification v3.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1133" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1133" />
  <xsl:template match="@*|node()" priority="-2" mode="M1133">
    <xsl:apply-templates select="@*|*" mode="M1133" />
  </xsl:template>
  <!--PATTERN p-TS-Entit-UniqueIdentifier-1-->
  <!--RULE -->
  <xsl:template match="     /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/ext:coverage2/ext:entitlement/ext:id     |    /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/*[not(cda:text)]//cda:section/ext:coverage2/ext:entitlement/ext:id  " priority="1000" mode="M1134">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="     /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/ext:coverage2/ext:entitlement/ext:id     |    /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/*[not(cda:text)]//cda:section/ext:coverage2/ext:entitlement/ext:id  " />
    <xsl:variable name="agency-namespace" select="@root and (matches(@root, '^1\.2\.36\.1\.2001\.1001\.10[0-4]{1}\.') or matches(@root, '^1\.2\.36\.1\.2001\.1006\.')) " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))       else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',        $extension-requirement, '.)')" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-11" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-11 else $rating-alt-TC-Types-11 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="ii-context" select="if (ancestor::cda:recordTarget and ancestor::ext:asEntityIdentifier) then 'default' else 'alternative' " />
    <xsl:variable name="rating-73" select="if ($initial-priority) then $initial-rating       else if ($ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/test-case[@id='TC-Types-73']/@rating)        then concat(' (', $ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/test-case[@id='TC-Types-73']/@rating, ')')       else if ($ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/@rating)       then concat(' (', $ratings/feature-set[@id='FS-Types']/test-set[@id='TS-II' and @context=$ii-context]/@rating, ')')       else '' " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-11: The Entitlement Number '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type and has <xsl:text /><xsl:value-of select="iq:display-II(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-11" /><xsl:text />: TC-Types-11: According to section 2.75 of the Participation Data Specification v3.2 the Entitlement Number '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type which
		is derived from the HL7 'II' data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present.
		(See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-11" /><xsl:text />: TC-Types-11: According to section 2.75 of the Participation Data Specification v3.2 the Entitlement Number '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type which is derived from the HL7 'II' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'II'. (See section 7.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.75 of the Participation Data Specification v3.2 the Entitlement Number
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the UniqueIdentifier data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and * ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.75 of the Participation Data Specification v3.2 the Entitlement Number
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however a child element '<xsl:text /><xsl:value-of select="local-name(*)" /><xsl:text />' was found
		that is not expected for the UniqueIdentifier data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and   not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.75 of the Participation Data Specification v3.2 the Entitlement Number
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however the attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))])" /><xsl:text />' was found that is not in the list of attributes
		expected for the UniqueIdentifier data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and   not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))] and not(@xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.75 of the Participation Data Specification v3.2 the Entitlement Number
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the UniqueIdentifier data type however the attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'nullFlavor', 'root', 'extension', 'displayable', 'assigningAuthorityName'))])" /><xsl:text />' was found that is not in the list of attributes
		expected for the UniqueIdentifier data type so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $agency-namespace ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$agency-namespace">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-73" /><xsl:text />: TC-Types-73:  The Entitlement Number '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-II(.)" /><xsl:text />. The value of the root attribute identifies the
		'<xsl:text /><xsl:value-of select="$namespaces/namespace[starts-with(current()/@root, concat(@OID-prefix, '.'))]/@name" /><xsl:text />' namespace which is reserved for use by the Australian Digital Health Agency.
		The value of the root attribute must define the namespace for the extension attribute whose value is required to identify the entitlement or right of a participant to act in a given capacity (as defined by Entitlement Type) within a healthcare context.
		(See section 7.6.7.3.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and the Entitlement Number definition in section 2.75 of the Participation Data Specification v3.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1134" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1134" />
  <xsl:template match="@*|node()" priority="-2" mode="M1134">
    <xsl:apply-templates select="@*|*" mode="M1134" />
  </xsl:template>
  <!--PATTERN p-TS-Entit-CodeableText-1-->
  <!--RULE -->
  <xsl:template match="     /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/ext:coverage2/ext:entitlement/ext:code     |    /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/*[not(cda:text)]//cda:section/ext:coverage2/ext:entitlement/ext:code  " priority="1000" mode="M1135">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="     /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/ext:coverage2/ext:entitlement/ext:code     |    /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/*[not(cda:text)]//cda:section/ext:coverage2/ext:entitlement/ext:code  " />
    <xsl:variable name="test-step" select="if ($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="tc-doc-04-err" select="@codeSystem and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) " />
    <xsl:variable name="no-cd-value-1" select="if (@xsi:type and (@xsi:type = ('CV', 'CO') or normalize-space(substring-after(@xsi:type, ':')) = ('CV', 'CO'))) then not(@nullFlavor or @code)        else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="ts-cd-error" select="$no-cd-value-1 or $no-cd-value-2" />
    <xsl:variable name="no-proper-otext-value-1" select="normalize-space(translate(cda:originalText, $chars-to-remove, ''))" />
    <xsl:variable name="no-proper-otext-value" select="cda:originalText and not(cda:originalText/@nullFlavor) and ($no-proper-otext-value-1 = '' or           matches($no-proper-otext-value-1, $regex-non-values, 'is'))  " />
    <xsl:variable name="no-proper-value" select="not(@nullFlavor) and not(@code) and $no-proper-otext-value " />
    <xsl:variable name="IVL_PQ-in-CD" select="not($no-proper-value) and normalize-space(cda:originalText) != '' and not(@codeSystem) and      (cda:originalText castable as xs:integer or matches(cda:originalText, $PQ-low-regex, 'is') or matches(cda:originalText, $PQ-high-regex, 'is') or matches(cda:originalText, $IVL_PQ-regex, 'is')) and       (cda:originalText castable as xs:double or        contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace(normalize-space(cda:originalText), concat($IVL_PQ-replacement, '~', $ucum-annotation-replacement), '')), '~')) " />
    <xsl:variable name="length-err" select="cda:originalText and string-length(cda:originalText) &gt; $length-err-max" />
    <xsl:variable name="family-err" select="$family-regex != '' and cda:originalText and matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="nullFlavor-values" select="if (@nullFlavor) then $nullFlavors/nullFlavor[@value = current()/@nullFlavor] else ()" />
    <xsl:variable name="message-text" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="assess-medical-nomenclature-1" select="$flags/@report-data-quality = 'true' and @code and @codeSystem and ancestor::cda:section and             not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or @codeSystem = $excluded-nomenclatures) " />
    <xsl:variable name="code-format-valid" select="if (not($assess-medical-nomenclature-1)) then false()        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="assess-medical-nomenclature" select="$assess-medical-nomenclature-1 and $code-format-valid " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-1 else $rating-alt-TC-Types-04-step-1 " />
    <xsl:variable name="rating-04-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-04-step-2 else $rating-alt-TC-Types-04-step-2 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-04: The Entitlement Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-terminology-concepts = 'true' and false() and not($IVL_PQ-in-CD or $family-err or $length-err or $no-proper-value or $no-cd-value-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: (value domain not specified): The Entitlement Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (not(cda:originalText or @code or @displayName) or $log-concepts-created = 'ERROR') then '' else if (dh:AppendLog($log-concepts-name, concat(                  $display-creation-date,   $log-tab,                  $document-id,    $log-tab,                  $document-name,    $log-tab,                  iq:location(., ''),    $log-tab,                   'Entitlement Type',     $log-tab,                   'no',     $log-tab,                   iq:display-CD(.),    $log-tab,                   '',      $log-tab,                  '',      $log-tab,                  '',      $log-tab,                  ''      )) = ('NOTFOUND', 'ERROR'))    then concat('A failure occurred when the AppendLog function was requested to append the concepts log ''', $log-concepts-name, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($tc-doc-04-err) and @xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04-step-1" /><xsl:text />: TC-Types-04 step 1: According to section 2.76 of the Participation Data Specification v3.2 the Entitlement Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText
		data type which is derived from the HL7 'CD' data type however the data element has an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('name', 'value') and not(local-name(..) = 'qualifier') and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-04 step 1: According to section 2.76 of the Participation Data Specification v3.2 the Entitlement Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type which is derived from the HL7 'CD' data type however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'CD' or one of the specialisations 'CE', 'CO' or 'CV'.
		(See section 6.1 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)
		The absence of the xsi:type attribute does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and not(false()) and 'allowed' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and not(false()) and 'allowed' = 'allowed' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.76 of the Participation Data Specification v3.2 the Entitlement Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Entitlement Type however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Entitlement Type in section 2.76 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and not(false()) and 'allowed' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and not(false()) and 'allowed' = 'exclusion' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 2.76 of the Participation Data Specification v3.2 the Entitlement Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Entitlement Type however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Entitlement Type in section 2.76 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Entitlement Type data element must have a value that is consistent with this definition. Alternatively if there is no Entitlement Type data element with a proper value then an exclusion
		statement must be included to state why there is no Entitlement Type.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and not(false()) and 'allowed' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and not(false()) and 'allowed' = 'unknown' and $no-proper-otext-value and not($no-proper-value) and not($ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.76 of the Participation Data Specification v3.2 the Entitlement Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The originalText element must be present and have a value that is a valid Entitlement Type however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value. If there is no proper value then the originalText element should not be included.
		(See the definition of Entitlement Type in section 2.76 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Alternatively if a proper value cannot be included then the originalText element mayhave a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		to indicate a proper value is not provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and not(false()) and 'allowed' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and not(false()) and 'allowed' = 'allowed' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.76 of the Participation Data Specification v3.2 the Entitlement Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Entitlement Type however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Entitlement Type in section 2.76 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Entitlement Type data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> included to indicate why there is no proper value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and not(false()) and 'allowed' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and not(false()) and 'allowed' = 'exclusion' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: According to section 2.76 of the Participation Data Specification v3.2 the Entitlement Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Entitlement Type however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Entitlement Type in section 2.76 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Entitlement Type data element must have a value that is consistent with this definition. Alternatively if there is no Entitlement Type data element with a proper value then an exclusion
		statement must be included to state why there is no Entitlement Type.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" true() and not(false()) and 'allowed' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="true() and not(false()) and 'allowed' = 'unknown' and $no-proper-value and not($ts-cd-error or $ts-ed-error)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.76 of the Participation Data Specification v3.2 the Entitlement Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type.
		The data element has no nullFlavor or code attributes so the originalText element must be present and have a value that is a valid Entitlement Type however it has the value
		<xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text /> which is not a proper value.
		(See the definition of Entitlement Type in section 2.76 of the Participation Data Specification v3.2 and sections 7.5.2.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The Entitlement Type data element must have a value that is consistent with its definition or the data element must either be omitted if it is optional
		or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text />
		included to indicate why there is no proper value (if a nullFlavor attribute is permitted for this data element).
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101' or cda:translation/@codeSystem = '1.2.36.1.2001.1001.101'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Entitlement Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is an error as the NCTIS Data Components code system is used to identify data elements and is not the correct code system to use for a value of the data element.
		(See the list of CodeSystem OIDs in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and 
		section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.76 of the Participation Data Specification v3.2 the Entitlement Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('originalText', 'translation', 'qualifier'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.76 of the Participation Data Specification v3.2 the Entitlement Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however
		a child element '<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('originalText', 'translation', 'qualifier'))])" /><xsl:text />' was found
		that is not expected for the CodeableText data type so this data element is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.76 of the Participation Data Specification v3.2 the Entitlement Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and     not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED'))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))] and not(@xsi:type and not(@xsi:type = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED') or normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV', 'ST', 'ED')))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.76 of the Participation Data Specification v3.2 the Entitlement Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = ('xsi:type', 'code', 'codeSystem', 'codeSystemName', 'codeSystemVersion', 'displayName', 'nullFlavor'))])" /><xsl:text />' is present that is not expected for the CodeableText data type
		so this attribute is an extension. <xsl:text /><xsl:value-of select="$message-text" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or cda:originalText) and local-name(.) != 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 2.76 of the Participation Data Specification v3.2 the Entitlement Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type 
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($no-cd-value-1) and not(@nullFlavor or @displayName or ../cda:originalText) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-04-step-2" /><xsl:text />: TC-Types-04 step 2: According to section 2.76 of the Participation Data Specification v3.2 the Entitlement Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type
		however the data element does not meet the requirement that it must have a displayName or originalText when there is no nullFlavor attribute.
		The data element has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		(See section 6.1.5 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('NI', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.76 of the Participation Data Specification v3.2 the Entitlement Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the nullFlavor attribute is not to use when there is a code attribute.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and not($no-proper-otext-value) and not($ts-ed-error) and @nullFlavor = ('NI', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK', 'NA')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.76 of the Participation Data Specification v3.2 the Entitlement Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the nullFlavor attribute has a value that is not a correct value to use in this case. The nullFlavor attribute indicates the Entitlement Type
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element does not have a value but a value is present and is <xsl:text /><xsl:value-of select="iq:display-originalText(.)" /><xsl:text />.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)		
		<xsl:text /><xsl:value-of select="if (not((@code and @codeSystem) or cda:translation))    then concat('If the intention was to indicate that there has been no attempt to find a code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ISO 21090 ''Health informatics - Harmonized ',   'data types for information interchange''.)')      else if (@codeSystem and not(@code))    then concat('If the intention was to indicate that the value domain has no code corresponding to ',   'the concept described by the originalText element then the correct value of nullFlavor to use is ''OTH'' (Other) or if the intention was to indicate that there has been no attempt to ',   'find a code corresponding to the concept described by the originalText element then the correct value of nullFlavor to use is ''UNC'' (Unencoded). (See section 7.1.4 of ',   'ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')     else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.76 of the Participation Data Specification v3.2 the Entitlement Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type. It
		contains a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a valid value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $IVL_PQ-in-CD ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$IVL_PQ-in-CD">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-57" /><xsl:text />: TC-Types-57: The Entitlement Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the
		<xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This is a physical quantity or measurement and is an invalid value for the Entitlement Type.
		(See the definition of Entitlement Type in section 2.76 of the Participation Data Specification v3.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$assess-medical-nomenclature and local-name(.) != 'translation' and not(cda:originalText)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The Entitlement Type '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in 
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the CodeableText data type and <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then 'This indicates that there is no mapping to SNOMED CT-AU and SNOMED CT-AU is the primary code system.' else '' " /><xsl:text />
		The originalText element is not present but it should be included to ensure the original meaning of the clinical statement is not lost during the authoring of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1135" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1135" />
  <xsl:template match="@*|node()" priority="-2" mode="M1135">
    <xsl:apply-templates select="@*|*" mode="M1135" />
  </xsl:template>
  <!--PATTERN p-TS-Entit-TimeInterval-1-->
  <!--RULE -->
  <xsl:template match="     /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/ext:coverage2/ext:entitlement/ext:effectiveTime    |    /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/*[not(cda:text)]//cda:section/ext:coverage2/ext:entitlement/ext:effectiveTime  " priority="1000" mode="M1136">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="     /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/ext:coverage2/ext:entitlement/ext:effectiveTime    |    /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/*[not(cda:text)]//cda:section/ext:coverage2/ext:entitlement/ext:effectiveTime  " />
    <xsl:variable name="test-step" select="if($extensions-allowed) then 'step 1' else 'step 4' " />
    <xsl:variable name="message-text1" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="message-text2" select="if($extensions-allowed) then normalize-space(concat('Any extension must meet the requirements to not   qualify or negate content described by the clinical document specifications and it must be clinically safe for receivers of the document to ignore information in the extension.   Confirm if the extension meets these requirements. If these requirements are not met then the presence of the extension is an error.   (See sections 8.6 and 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0, section 1.8 of the ', $document-name, ' CDA Implementation Guide and ',   $extension-requirement, '.)'))        else concat('The presence of an extension fails to meet the requirement that the document must not contain additional data elements. (See ',         $extension-requirement, '.)')" />
    <xsl:variable name="nullFlavor-values" select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]" />
    <xsl:variable name="low-inclusive" select="if (not(cda:low)) then '' else if (cda:low/@inclusive='false') then ' (excluded)' else ' (included)' " />
    <xsl:variable name="high-inclusive" select="if (not(cda:high)) then '' else if (cda:high/@inclusive='false') then ' (excluded)' else ' (included)' " />
    <xsl:variable name="display-interval" select="if (@value and cda:low/@value and cda:high/@value)         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34), ', low value ', codepoints-to-string(34), cda:low/@value,        codepoints-to-string(34), $low-inclusive, ' and high value ', codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)        else if (@value and cda:low/@value and not(cda:high/@value))         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34), ' and low value ', codepoints-to-string(34), cda:low/@value,        codepoints-to-string(34), $low-inclusive)       else if (@value and not(cda:low/@value) and cda:high/@value)         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34), ' and high value ', codepoints-to-string(34),        cda:high/@value, codepoints-to-string(34), $high-inclusive)       else if (not(@value) and cda:low/@value and cda:high/@value)         then concat('low value ', codepoints-to-string(34), cda:low/@value, codepoints-to-string(34), $low-inclusive, ' and high value ',         codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)       else if (@value and not(cda:low/@value) and not(cda:high/@value))         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34))       else if (not(@value) and cda:low/@value and not(cda:high/@value))         then concat('low value ', codepoints-to-string(34), cda:low/@value, codepoints-to-string(34), $low-inclusive)       else if (not(@value) and not(cda:low/@value) and cda:high/@value)         then concat('high value ', codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)       else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-22" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-22 else $rating-alt-TC-Types-22 " />
    <xsl:variable name="rating-28" select="if ($initial-priority) then $initial-rating        else if ($test-step = 'step 1' and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections])) then $rating-MHRView-TC-Doc-28-step-1       else if ($test-step = 'step 1') then $rating-TC-Doc-28-step-1        else if ($test-step = 'step 4') then $rating-TC-Doc-28-step-4 else '' " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <!--REPORT -->
    <xsl:if test=" ($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-22: The Entitlement Validity Duration '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type
		and <xsl:text /><xsl:value-of select="if (@value or cda:low/@value or cda:high/@value) then concat('has ', $display-interval)   else 'has no value attribute and no low or high data elements' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (@nullFlavor) then concat('The nullFlavor attribute has the value ''', @nullFlavor, '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 2.77 of the Participation Data Specification v3.2 the Entitlement Validity Duration '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type.
		It contains a value of nullFlavor 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a value
		may exist, but it must be derived from the information provided. Confirm if the use of this nullFlavor is valid.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'NINF' or @nullFlavor = 'PINF' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'NINF' or @nullFlavor = 'PINF'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 1: According to section 2.77 of the Participation Data Specification v3.2 the Entitlement Validity Duration '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data
		type which is derived from the HL7 'IVL_TS' data type. It has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) which is a
		value of nullFlavor that may not be used for data elements of the IVL data type.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:originalText) and @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:originalText) and @nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 2.77 of the Participation Data Specification v3.2 the Entitlement Validity Duration '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data
		type however it has nullFlavor = 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present so it is an error to include
		nullFlavor = 'UNC'. (See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'QS' or @nullFlavor = 'TRC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'QS' or @nullFlavor = 'TRC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 3: According to section 2.77 of the Participation Data Specification v3.2 the Entitlement Validity Duration '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data
		type which is derived from the HL7 'IVL_TS' data type. It has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) however
		that value of nullFlavor may not be used for data elements of the TS or IVL data types.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = ('TS', 'IVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to section 2.77 of the Participation Data Specification v3.2 the Entitlement Validity Duration '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type which is
		derived from the HL7 'IVL_TS' data type. The HL7 'TS' data type may also be used for a TimeInterval however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found.
		(See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 3.8.1 of HL7 Version 3 Standard: Data Types - Abstract Specification,
		Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'value' and not(@xsi:type) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'value' and not(@xsi:type)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to section 2.77 of the Participation Data Specification v3.2 the Entitlement Validity Duration '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type which is
		derived from the HL7 'IVL_TS' data type. The HL7 'TS' data type may also be used for a TimeInterval however no xsi:type attribute is present.
		An xsi:type attribute must be present with the value 'IVL_TS' or 'TS'.
		(See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 3.8.1 of HL7 Version 3 Standard: Data Types - Abstract Specification,
		Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not(@nullFlavor or @value or cda:low or cda:high) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor or @value or cda:low or cda:high)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to section 2.77 of the Participation Data Specification v3.2 the Entitlement Validity Duration '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however
		it does not have a nullFlavor or value attribute or low or high elements. A TimeInterval may only contain a nullFlavor or value attribute or low or high elements with the optional
		'inclusive' attribute included in the low or high elements if there is a need to indicate that the low or high boundaries are excluded.
		(See section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @value and (cda:low or cda:high) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value and (cda:low or cda:high)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-22" /><xsl:text />: TC-Types-22: According to section 2.77 of the Participation Data Specification v3.2 the Entitlement Validity Duration '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type.
		It has the element '<xsl:text /><xsl:value-of select="local-name(cda:*[local-name() = ('low', 'high')])" /><xsl:text />' which is used for the HL7 'IVL' data type
		but also has a 'value' attribute which is used by the HL7 'TS' data type and is not used by the HL7 'IVL' data type. The data element must either have a 'value' attribute
		or '<xsl:text /><xsl:value-of select="local-name(cda:*[local-name() = ('low', 'high')])" /><xsl:text />' but not both.
		(See section 7.10.9.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and section 3.8.1 of
		HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and *[not(local-name() = ('low', 'high'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and *[not(local-name() = ('low', 'high'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.77 of the Participation Data Specification v3.2 the Entitlement Validity Duration
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('low', 'high'))])" /><xsl:text />' was found
		that is not expected for the TimeInterval data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('low', 'high', 'width'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and *[not(local-name() = ('low', 'high', 'width'))]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.77 of the Participation Data Specification v3.2 the Entitlement Validity Duration
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(*[not(local-name() = ('low', 'high', 'width'))])" /><xsl:text />' was found
		that is not expected for the TimeInterval data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and cda:width/@value and ((cda:low/@value and not(cda:high/@value)) or (not(cda:low/@value) and cda:high/@value)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and cda:width/@value and ((cda:low/@value and not(cda:high/@value)) or (not(cda:low/@value) and cda:high/@value))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.77 of the Participation Data Specification v3.2 the Entitlement Validity Duration
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a width element is also
		present with the value '<xsl:text /><xsl:value-of select="cda:width/@value" /><xsl:text />' and unit '<xsl:text /><xsl:value-of select="cda:width/@unit" /><xsl:text />'.		
		This is an error as the presence of a <xsl:text /><xsl:value-of select="if (cda:low) then 'low' else 'high' " /><xsl:text /> element without a <xsl:text /><xsl:value-of select="if (cda:low) then 'high' else 'low' " /><xsl:text /> element
		means the TimeInterval is unbounded in one direction however the width element implies the interval is bounded. That is the width element is an extension that qualifies the
		time interval whereas an extension is allowed only if it does not qualify or negate the time interval.
		(See the definition of Entitlement Validity Duration in the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text />, section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0
		and <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)
		As the <xsl:text /><xsl:value-of select="if (cda:low) then 'start' else 'end' " /><xsl:text /> of the time interval is known then the Entitlement Validity Duration must also have a
		<xsl:text /><xsl:value-of select="if (cda:low) then ' high' else ' low' " /><xsl:text /> element as the TimeInterval data type uses low and high elements rather than width to define an interval.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $extensions-allowed and cda:width/@value and not(cda:high/@value or cda:low/@value) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extensions-allowed and cda:width/@value and not(cda:high/@value or cda:low/@value)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.77 of the Participation Data Specification v3.2 the Entitlement Validity Duration
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however a width element is also
		present with the value '<xsl:text /><xsl:value-of select="cda:width/@value" /><xsl:text />' and unit '<xsl:text /><xsl:value-of select="cda:width/@unit" /><xsl:text />'.		
		This is an error as the Entitlement Validity Duration has no low or high elements so the TimeInterval is unbounded however the width element implies the interval is bounded. That is the width element is an
		extension that qualifies the time interval whereas an extension is allowed only if it does not qualify or negate the time interval.
		(See the definition of Entitlement Validity Duration in the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text />, section 9.2 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0
		and <xsl:text /><xsl:value-of select="$extension-requirement" /><xsl:text />.)
		The TimeInterval data type uses low and high elements rather than width to define an interval.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(    @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or    @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'  )) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not( @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS' ))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.77 of the Participation Data Specification v3.2 the Entitlement Validity Duration '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the TimeInterval data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not(    @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or    @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'  )) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')] and not(@xsi:type and not( @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS' or @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS' ))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.77 of the Participation Data Specification v3.2 the Entitlement Validity Duration '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute
		'<xsl:text /><xsl:value-of select="name(@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'nullFlavor')])" /><xsl:text />' was found that is not expected for the TimeInterval data type
		so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and @operator and @operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and @operator and @operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.77 of the Participation Data Specification v3.2 the Entitlement Validity Duration '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the TimeInterval data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and @operator and @operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and @operator and @operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.77 of the Participation Data Specification v3.2 the Entitlement Validity Duration '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the TimeInterval data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the TimeInterval data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text1" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:low/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:low/*">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.77 of the Participation Data Specification v3.2 the Entitlement Validity Duration 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(cda:low/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/*">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.77 of the Participation Data Specification v3.2 the Entitlement Validity Duration 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element
		'<xsl:text /><xsl:value-of select="local-name(cda:low/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.77 of the Participation Data Specification v3.2 the Entitlement Validity Duration 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.77 of the Participation Data Specification v3.2 the Entitlement Validity Duration 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:low/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:low/@operator and cda:low/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:low/@operator and cda:low/@operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.77 of the Participation Data Specification v3.2 the Entitlement Validity Duration 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/@operator and cda:low/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:low/@operator and cda:low/@operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.77 of the Participation Data Specification v3.2 the Entitlement Validity Duration 'low' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:low/cda:originalText) and cda:low/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:low/cda:originalText) and cda:low/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 2.77 of the Participation Data Specification v3.2 the Entitlement Validity Duration 'low' child element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present so
		it is an error to include nullFlavor 'UNC'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:high/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:high/*">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.77 of the Participation Data Specification v3.2 the Entitlement Validity Duration 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element '<xsl:text /><xsl:value-of select="local-name(cda:high/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/* ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/*">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.77 of the Participation Data Specification v3.2 the Entitlement Validity Duration 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however a child element '<xsl:text /><xsl:value-of select="local-name(cda:high/*)" /><xsl:text />' was found
		that is not expected for the DateTime data type so this element is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and    cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.77 of the Participation Data Specification v3.2 the Entitlement Validity Duration 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and    cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.77 of the Participation Data Specification v3.2 the Entitlement Validity Duration 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute
		'<xsl:text /><xsl:value-of select="name(cda:high/@*[not(name() = 'xsi:type' or name() = 'operator' or name() = 'value' or name() = 'inclusive' or name() = 'nullFlavor')])" /><xsl:text />'
		was found that is not expected for the DateTime data type so this attribute so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($extensions-allowed) and cda:high/@operator and cda:high/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($extensions-allowed) and cda:high/@operator and cda:high/@operator != 'I'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.77 of the Participation Data Specification v3.2 the Entitlement Validity Duration 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/@operator and cda:high/@operator != 'I' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $extensions-allowed and cda:high/@operator and cda:high/@operator != 'I'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-28" /><xsl:text />: TC-Doc-28 <xsl:text /><xsl:value-of select="$test-step" /><xsl:text />: According to section 2.77 of the Participation Data Specification v3.2 the Entitlement Validity Duration 'high' child element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type however an attribute 'operator' with
		the value '<xsl:text /><xsl:value-of select="@operator" /><xsl:text />' was found that is not expected for the DateTime data type so this is an extension. <xsl:text /><xsl:value-of select="$message-text2" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 2.77 of the Participation Data Specification v3.2 the Entitlement Validity Duration 'high' child element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present
		so it is an error to include nullFlavor 'UNC'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:high/cda:originalText) and cda:high/@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 2.77 of the Participation Data Specification v3.2 the Entitlement Validity Duration 'high' child element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the DateTime data type
		however it has a nullFlavor attribute with the value 'UNC' (unencoded) which may only be used when there is an originalText. An originalText is not present
		so it is an error to include nullFlavor 'UNC'.
		(See section 8.6 of Data Types in NEHTA Specifications - A Profile of ISO 21090 Specification v1.0 and section 7.3.3.3.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1136" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1136" />
  <xsl:template match="@*|node()" priority="-2" mode="M1136">
    <xsl:apply-templates select="@*|*" mode="M1136" />
  </xsl:template>
  <!--PATTERN p-TS-Entit-1-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument/cda:recordTarget/cda:patientRole/cda:patient/ext:asEntityIdentifier/ext:id" priority="1000" mode="M1137">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument/cda:recordTarget/cda:patientRole/cda:patient/ext:asEntityIdentifier/ext:id" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <!--REPORT -->
    <xsl:if test=" @root = '1.2.36.1.5001.1.0.7' and /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/ext:coverage2/ext:entitlement and not(   /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/ext:coverage2/ext:entitlement/ext:id[    (@root = '1.2.36.1.5001.1.0.7' and @extension = current()/@extension)    or    (@root = '1.2.36.1.5001.1.0.7.1' and @extension = substring(current()/@extension, 1, 10)) ]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@root = '1.2.36.1.5001.1.0.7' and /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/ext:coverage2/ext:entitlement and not( /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/ext:coverage2/ext:entitlement/ext:id[ (@root = '1.2.36.1.5001.1.0.7' and @extension = current()/@extension) or (@root = '1.2.36.1.5001.1.0.7.1' and @extension = substring(current()/@extension, 1, 10)) ])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-33 else $rating-alt-TC-Types-33" /><xsl:text />: TC-Types-33: The
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a Medicare number to identify the subject of care but was omitted from the entitlements. When entitlements are listed the Medicare
		number must be included. (See section 2.9 of the Participation Data Specification v3.2 'If a person's Medicare Number is used as the Entity Identifier, this SHALL	
		also be included as an ENTITLEMENT if the ENTITLEMENT is required, i.e. the Entity Identifier SHALL NOT be relied on to give Medicare entitlement information.')
		Inclusion in the entitlement data group allows the Medicare number information to be provided even if the individual reference number is unknown.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and starts-with(@root, '1.2.36.1.5001.1.0.7')  and        not(/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/ext:coverage2/ext:entitlement)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and starts-with(@root, '1.2.36.1.5001.1.0.7') and not(/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/ext:coverage2/ext:entitlement)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Recommendation<xsl:text /><xsl:value-of select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TS-Entit else $rating-alt-TS-Entit" /><xsl:text />: The
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a Medicare number to
		identify the subject of care but the Medicare number was not listed as an entitlement. The entitlement data group should be included
		in the clinical document with the Medicare number as entity identifiers cannot be relied on to give Medicare entitlement information. Inclusion in the
		entitlement data group allows the Medicare number information to be provided even if the individual reference number is unknown. (See section 2.9 of the
		Participation Data Specification v3.2.) 

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1137" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1137" />
  <xsl:template match="@*|node()" priority="-2" mode="M1137">
    <xsl:apply-templates select="@*|*" mode="M1137" />
  </xsl:template>
  <!--PATTERN p-TS-Entit-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/ext:coverage2/ext:entitlement/ext:code[@codeSystem = '1.2.36.1.2001.1001.101.104.16047'] |    /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/*[not(cda:text)]//cda:section/ext:coverage2/ext:entitlement/     ext:code[@codeSystem = '1.2.36.1.2001.1001.101.104.16047'] " priority="1000" mode="M1138">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/ext:coverage2/ext:entitlement/ext:code[@codeSystem = '1.2.36.1.2001.1001.101.104.16047'] |    /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/*[not(cda:text)]//cda:section/ext:coverage2/ext:entitlement/     ext:code[@codeSystem = '1.2.36.1.2001.1001.101.104.16047'] " />
    <xsl:variable name="display-code" select="if (@code and @displayName) then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34),         ' and displayName ', codepoints-to-string(34), @displayName, codepoints-to-string(34))        else if (@code and not(@displayName))         then concat('code ', codepoints-to-string(34), @code, codepoints-to-string(34))        else '' " />
    <xsl:variable name="display-system" select="if (@codeSystem and @codeSystemName)         then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34), ' (', @codeSystemName, ')')        else if (@codeSystem and not(@codeSystemName))         then concat(' from codeSystem ', codepoints-to-string(34), @codeSystem, codepoints-to-string(34))        else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-34" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-34 else $rating-alt-TC-Types-34 " />
    <xsl:variable name="rating-35" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-35 else $rating-alt-TC-Types-35 " />
    <xsl:variable name="rating-36" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-36 else $rating-alt-TC-Types-36 " />
    <xsl:variable name="rating-37" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-37 else $rating-alt-TC-Types-37 " />
    <xsl:variable name="rating-38" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-38 else $rating-alt-TC-Types-38 " />
    <xsl:variable name="rating-39" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-39 else $rating-alt-TC-Types-39 " />
    <!--REPORT -->
    <xsl:if test="@code = '1' and @displayName and not(@displayName = 'Medicare Benefits') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code = '1' and @displayName and not(@displayName = 'Medicare Benefits')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-34" /><xsl:text />: TC-Types-34: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> is an entitlement using a Medicare number with <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		but 'Medicare Benefits' is the expected value of the displayName attribute. (See section 10 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@code = '1' and ../ext:id/@root and not(../ext:id/@root = ('1.2.36.1.5001.1.0.7', '1.2.36.1.5001.1.0.7.1')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code = '1' and ../ext:id/@root and not(../ext:id/@root = ('1.2.36.1.5001.1.0.7', '1.2.36.1.5001.1.0.7.1'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-34" /><xsl:text />: TC-Types-34: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> is an entitlement with <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> to indicate the
		entitlement uses a Medicare number however the value of the 'id/root' attribute is '<xsl:text /><xsl:value-of select="../ext:id/@root" /><xsl:text />'. When an entitlement uses a Medicare number
		the value of the 'id/root' attribute must be '1.2.36.1.5001.1.0.7.1' when a Medicare card number is recorded and '1.2.36.1.5001.1.0.7' when an individual Medicare number
		(i.e. a Medicare card number with the Individual Reference Number) is recorded.
		(See the entries for OID '1.2.36.1.5001.1.0.7' and OID '1.2.36.1.5001.1.0.7.1' in the HL7 OID Registry.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@code = '2' and @displayName and not(@displayName = 'Pensioner Concession') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code = '2' and @displayName and not(@displayName = 'Pensioner Concession')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-35" /><xsl:text />: TC-Types-35: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> is an entitlement using a Centrelink Customer Reference number displayName='<xsl:text /><xsl:value-of select="@displayName" /><xsl:text />' but
		'Pensioner Concession' is the expected value of the displayName attribute. (See section 10 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@code = '3' and @displayName and not(@displayName = 'Commonwealth Seniors Health Concession') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code = '3' and @displayName and not(@displayName = 'Commonwealth Seniors Health Concession')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-35" /><xsl:text />: TC-Types-35: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> is an entitlement using a Centrelink Customer Reference number with <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		but 'Commonwealth Seniors Health Concession' is the expected value of the displayName attribute. (See section 10 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@code = '4' and @displayName and not(@displayName = 'Health Care Concession') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code = '4' and @displayName and not(@displayName = 'Health Care Concession')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-35" /><xsl:text />: TC-Types-35: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> is an entitlement using a Centrelink Customer Reference number with <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		but 'Health Care Concession' is the expected value of the displayName attribute. (See section 10 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@code = ('2', '3', '4') and ../ext:id/@root and not(../ext:id/@root = ('2.16.840.1.113883.3.879.270098', '2.16.840.1.113883.3.879.369274')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code = ('2', '3', '4') and ../ext:id/@root and not(../ext:id/@root = ('2.16.840.1.113883.3.879.270098', '2.16.840.1.113883.3.879.369274'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-35" /><xsl:text />: TC-Types-35: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> is an entitlement with <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> to indicate the
		entitlement uses a Centrelink Customer Reference number however the value of the 'id/root' attribute is '<xsl:text /><xsl:value-of select="../ext:id/@root" /><xsl:text />'.
		When an entitlement uses a Centrelink Customer Reference number the value of the 'id/root' attribute must be '2.16.840.1.113883.3.879.369274' or '2.16.840.1.113883.3.879.270098'.
		The value '2.16.840.1.113883.3.879.369274' is preferred as it has superseded '2.16.840.1.113883.3.879.270098'.
		(See the entry for '2.16.840.1.113883.3.879' in the HL7 OID Registry and the Metadata Online Registry published by the Australian Institute of Health and Welfare for
		METeOR 270098 and METeOR 369274.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@code = '5' and @displayName and not(@displayName = 'Repatriation Health Gold Benefits') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code = '5' and @displayName and not(@displayName = 'Repatriation Health Gold Benefits')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-36" /><xsl:text />: TC-Types-36: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> is an entitlement using a Department of Veterans' Affairs number with <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		but 'Repatriation Health Gold Benefits' is the expected value of the displayName attribute. (See section 10 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@code = '6' and @displayName and not(@displayName = 'Repatriation Health White Benefits') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code = '6' and @displayName and not(@displayName = 'Repatriation Health White Benefits')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-36" /><xsl:text />: TC-Types-36: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> is an entitlement using a Department of Veterans' Affairs number with <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		but 'Repatriation Health White Benefits' is the expected value of the displayName attribute. (See section 10 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@code = '7' and @displayName and not(@displayName = 'Repatriation Health Orange Benefits') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code = '7' and @displayName and not(@displayName = 'Repatriation Health Orange Benefits')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-36" /><xsl:text />: TC-Types-36: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> is an entitlement using a Department of Veterans' Affairs number with <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		but 'Repatriation Health Orange Benefits' is the expected value of the displayName attribute. (See section 10 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@code = ('5', '6', '7') and ../ext:id/@root and not(../ext:id/@root = ('2.16.840.1.113883.3.879.270091', '2.16.840.1.113883.3.879.339127')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code = ('5', '6', '7') and ../ext:id/@root and not(../ext:id/@root = ('2.16.840.1.113883.3.879.270091', '2.16.840.1.113883.3.879.339127'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-36" /><xsl:text />: TC-Types-36: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> is an entitlement with <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> to indicate the
		entitlement uses a Department of Veterans' Affairs file number however the value of the 'id/root' attribute is '<xsl:text /><xsl:value-of select="../ext:id/@root" /><xsl:text />'.
		When an entitlement uses a Department of Veterans' Affairs file number the value of the 'id/root' attribute must be '2.16.840.1.113883.3.879.339127' or
		'2.16.840.1.113883.3.879.270091'. The value '2.16.840.1.113883.3.879.339127' is preferred as it has superseded '2.16.840.1.113883.3.879.270091'.
		(See the Metadata Online Registry published by the Australian Institute of Health and Welfare for METeOR 270091 or METeOR 339127.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@code = '8' and @displayName and not(@displayName = 'Safety Net Concession') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code = '8' and @displayName and not(@displayName = 'Safety Net Concession')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-37" /><xsl:text />: TC-Types-37: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> is an entitlement using a Safety Net card number with <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		but 'Safety Net Concession' is the expected value of the displayName attribute. (See section 10 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@code = '9' and @displayName and not(@displayName = 'Safety Net Entitlement') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code = '9' and @displayName and not(@displayName = 'Safety Net Entitlement')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-37" /><xsl:text />: TC-Types-37: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> is an entitlement using a Safety Net card number with <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		but 'Safety Net Entitlement' is the expected value of the displayName attribute. (See section 10 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@code = '10' and @displayName and not(@displayName = 'Medicare Prescriber Number') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code = '10' and @displayName and not(@displayName = 'Medicare Prescriber Number')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-38" /><xsl:text />: TC-Types-38: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> is an entitlement using a Medicare prescriber number with <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		but 'Medicare Prescriber Number' is the expected value of the displayName attribute. (See section 10 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@code = '10' and ../ext:id/@root and not(../ext:id/@root = '1.2.36.174030967.0.3') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code = '10' and ../ext:id/@root and not(../ext:id/@root = '1.2.36.174030967.0.3')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-38" /><xsl:text />: TC-Types-38: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> is an entitlement with <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> to indicate the
		entitlement uses a Medicare Prescriber number however the value of the 'id/root' attribute is '<xsl:text /><xsl:value-of select="../ext:id/@root" /><xsl:text />'. When an entitlement uses a
		Medicare Prescriber number the value of the 'id/root' attribute must be '1.2.36.174030967.0.3'. (See section 7 of Standards Australia Handbook 234-2012.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@code = '11' and @displayName and not(@displayName = 'Medicare Pharmacy Approval Number') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code = '11' and @displayName and not(@displayName = 'Medicare Pharmacy Approval Number')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-39" /><xsl:text />: TC-Types-39: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> is an entitlement using a Medicare pharmacy approval number with <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text />
		but 'Medicare Pharmacy Approval Number' is the expected value of the displayName attribute. (See section 10 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@code = '11' and ../ext:id/@root and not(../ext:id/@root = '1.2.36.174030967.1.3.2.1') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code = '11' and ../ext:id/@root and not(../ext:id/@root = '1.2.36.174030967.1.3.2.1')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-39" /><xsl:text />: TC-Types-39: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> is an entitlement with <xsl:text /><xsl:value-of select="concat(' ', $display-code)" /><xsl:text /><xsl:text /><xsl:value-of select="$display-system" /><xsl:text /> to indicate the
		entitlement uses a Medicare Prescriber number however the value of the 'id/root' attribute is '<xsl:text /><xsl:value-of select="../ext:id/@root" /><xsl:text />'.  When an entitlement uses a Medicare Prescriber number
		the value of the 'id/root' attribute must be '1.2.36.174030967.1.3.2.1'. (See section 7 of Standards Australia Handbook 234-2012.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1138" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1138" />
  <xsl:template match="@*|node()" priority="-2" mode="M1138">
    <xsl:apply-templates select="@*|*" mode="M1138" />
  </xsl:template>
  <!--PATTERN p-TS-BL-1-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument/*[not(local-name(.) = 'component')]//*[local-name(.) = ('contextConductionInd', 'deceasedInd', 'independentInd', 'interruptibleInd', 'inversionInd',          'mobileInd', 'multipleBirthInd', 'negationInd', 'organDonorInd', 'performInd', 'preAdmitTestInd', 'preferenceInd', 'seperatableInd') or        @xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL']          |                 /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/*[not(cda:text)]//*[local-name(.) = ('contextConductionInd', 'deceasedInd', 'independentInd',       'interruptibleInd', 'inversionInd', 'mobileInd', 'multipleBirthInd', 'negationInd', 'organDonorInd', 'performInd', 'preAdmitTestInd',              'preferenceInd', 'seperatableInd') or         @xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL']          " priority="1000" mode="M1139">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument/*[not(local-name(.) = 'component')]//*[local-name(.) = ('contextConductionInd', 'deceasedInd', 'independentInd', 'interruptibleInd', 'inversionInd',          'mobileInd', 'multipleBirthInd', 'negationInd', 'organDonorInd', 'performInd', 'preAdmitTestInd', 'preferenceInd', 'seperatableInd') or        @xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL']          |                 /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/*[not(cda:text)]//*[local-name(.) = ('contextConductionInd', 'deceasedInd', 'independentInd',       'interruptibleInd', 'inversionInd', 'mobileInd', 'multipleBirthInd', 'negationInd', 'organDonorInd', 'performInd', 'preAdmitTestInd',              'preferenceInd', 'seperatableInd') or         @xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL']          " />
    <xsl:variable name="the-source" select="if(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL')         then concat('the type declaration xsi:type ''', @xsi:type, '''')        else 'the HL7 Reference Information Model' " />
    <xsl:variable name="nullFlavor-values" select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-04 " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <xsl:variable name="rating-50" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-50 else $rating-alt-TC-Types-50 " />
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'BL' or normalize-space(substring-after(@xsi:type, ':')) = 'BL')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04" /><xsl:text />: TC-Doc-04: According to <xsl:text /><xsl:value-of select="$the-source" /><xsl:text /> the data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'BL' data type however xsi:type='<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found which is invalid for that data type.
		(See the HL7 Reference Information Model)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@nullFlavor or @value) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor or @value)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-50" /><xsl:text />: TC-Types-50: According to <xsl:text /><xsl:value-of select="$the-source" /><xsl:text /> the data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'BL' data type but does not meet the requirement to have either a 'nullFlavor' or 'value' attribute.
		(See section 7.3.4.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange')

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and @value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and @value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to <xsl:text /><xsl:value-of select="$the-source" /><xsl:text /> the data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'BL' data type and has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		and value='<xsl:text /><xsl:value-of select="@value" /><xsl:text />'. It is invalid to have a nullFlavor when there is a valid value. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for
		information interchange' and section 2.2 of 'XML Implementation Technology Specification - Data Types'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not(@value) and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(@value) and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to <xsl:text /><xsl:value-of select="$the-source" /><xsl:text /> the data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'BL' data type. It contains a value of nullFlavor 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a value
		value may exist, but it must be derived from the information provided. Confirm if the use of this nullFlavor is valid.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange')

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@value) and (@nullFlavor='PINF' or @nullFlavor='NINF') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@value) and (@nullFlavor='PINF' or @nullFlavor='NINF')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 1: According to <xsl:text /><xsl:value-of select="$the-source" /><xsl:text /> the data element
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'BL' data type and has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />). That value of nullFlavor may not be used for data elements of the BL data type.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange')

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@value) and @nullFlavor='UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@value) and @nullFlavor='UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to <xsl:text /><xsl:value-of select="$the-source" /><xsl:text /> the data element
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'BL' data type and has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />). That value of nullFlavor may not be used for data elements of the BL data type.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange')

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@value) and (@nullFlavor='QS' or @nullFlavor='TRC') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@value) and (@nullFlavor='QS' or @nullFlavor='TRC')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 3: According to <xsl:text /><xsl:value-of select="$the-source" /><xsl:text /> the data element
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'BL' data type and has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />). That value of nullFlavor may not be used for data elements of the BL data type.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange')

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1139" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1139" />
  <xsl:template match="@*|node()" priority="-2" mode="M1139">
    <xsl:apply-templates select="@*|*" mode="M1139" />
  </xsl:template>
  <!--PATTERN p-TS-CD-1-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument//*[@codeSystem                 or       cda:originalText                or        @xsi:type = ('CD', 'CE', 'CO', 'CV')              or        normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')         or        local-name(.) = ('administrativeGenderCode', 'administrationUnitCode', 'admissionReferralSourceCode', 'alertLevelCode', 'approachSiteCode',           'awarenessCode', 'capTypeCode', 'code', 'completionCode', 'confidentialityCode', 'currencyCode',           'detectionMethodCode', 'disabilityCode', 'dischargeDispositionCode', 'diseaseImportedCode',            'educationLevelCode', 'ethnicGroupCode', 'formCode', 'functionCode', 'genderStatusCode', 'handlingCode',            'initialQuantityCode', 'interpretationCode', 'jobClassCode', 'jobCode',            'languageCode', 'levelCode', 'livingArrangementCode', 'localRemoteControlStateCode',           'maritalStatusCode', 'messageWaitingPriorityCode', 'methodCode', 'modeCode', 'modifierCode', 'occupationCode',          'ownershipLevelCode', 'paymentTermsCode', 'priorityCode', 'proficiencyLevelCode', 'raceCode', 'reasonCode',          'religiousAffiliationCode', 'riskCode', 'routeCode', 'salaryTypeCode', 'separatorTypeCode', 'signatureCode',          'standardIndustryClassCode', 'specialCourtesiesCode', 'storageCode', 'specialArrangementCode', 'subjectOrientationCode',          'substitutionConditionCode', 'targetSiteCode', 'transmissionModeCode', 'uncertaintyCode', 'veryImportantPersonCode')  or       (local-name(.) = ('name', 'value') and local-name(..) = 'qualifier')]" priority="1000" mode="M1140">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument//*[@codeSystem                 or       cda:originalText                or        @xsi:type = ('CD', 'CE', 'CO', 'CV')              or        normalize-space(substring-after(@xsi:type, ':')) = ('CD', 'CE', 'CO', 'CV')         or        local-name(.) = ('administrativeGenderCode', 'administrationUnitCode', 'admissionReferralSourceCode', 'alertLevelCode', 'approachSiteCode',           'awarenessCode', 'capTypeCode', 'code', 'completionCode', 'confidentialityCode', 'currencyCode',           'detectionMethodCode', 'disabilityCode', 'dischargeDispositionCode', 'diseaseImportedCode',            'educationLevelCode', 'ethnicGroupCode', 'formCode', 'functionCode', 'genderStatusCode', 'handlingCode',            'initialQuantityCode', 'interpretationCode', 'jobClassCode', 'jobCode',            'languageCode', 'levelCode', 'livingArrangementCode', 'localRemoteControlStateCode',           'maritalStatusCode', 'messageWaitingPriorityCode', 'methodCode', 'modeCode', 'modifierCode', 'occupationCode',          'ownershipLevelCode', 'paymentTermsCode', 'priorityCode', 'proficiencyLevelCode', 'raceCode', 'reasonCode',          'religiousAffiliationCode', 'riskCode', 'routeCode', 'salaryTypeCode', 'separatorTypeCode', 'signatureCode',          'standardIndustryClassCode', 'specialCourtesiesCode', 'storageCode', 'specialArrangementCode', 'subjectOrientationCode',          'substitutionConditionCode', 'targetSiteCode', 'transmissionModeCode', 'uncertaintyCode', 'veryImportantPersonCode')  or       (local-name(.) = ('name', 'value') and local-name(..) = 'qualifier')]" />
    <xsl:variable name="type-msg" select="if (@xsi:type = 'CD' or normalize-space(substring-after(@xsi:type, ':')) = 'CD')  then 'CD'       else if (@xsi:type = 'CE' or normalize-space(substring-after(@xsi:type, ':')) = 'CE')  then 'CE'       else if (@xsi:type = 'CO' or normalize-space(substring-after(@xsi:type, ':')) = 'CO')  then 'CO'       else if (@xsi:type = 'CV' or normalize-space(substring-after(@xsi:type, ':')) = 'CV')  then 'CV'       else if (local-name(.) = ('approachSiteCode', 'code', 'functionCode', 'targetSiteCode')) then 'CD'       else if (local-name(.) = ('administrativeGenderCode',  'administrationUnitCode', 'admissionReferralSourceCode', 'alertLevelCode', 'awarenessCode',             'capTypeCode', 'completionCode', 'confidentialityCode', 'currencyCode',             'detectionMethodCode', 'disabilityCode', 'dischargeDispositionCode', 'diseaseImportedCode',             'educationLevelCode', 'ethnicGroupCode', 'formCode', 'genderStatusCode', 'handlingCode',             'initialQuantityCode', 'interpretationCode', 'jobClassCode', 'jobCode',            'languageCode', 'levelCode', 'livingArrangementCode', 'localRemoteControlStateCode',             'maritalStatusCode', 'messageWaitingPriorityCode', 'methodCode', 'modeCode', 'modifierCode',             'occupationCode', 'ownershipLevelCode', 'paymentTermsCode', 'priorityCode', 'proficiencyLevelCode',            'raceCode', 'reasonCode', 'religiousAffiliationCode', 'riskCode', 'routeCode',             'salaryTypeCode', 'separatorTypeCode', 'signatureCode', 'standardIndustryClassCode', 'specialCourtesiesCode', 'storageCode',             'specialArrangementCode', 'subjectOrientationCode', 'substitutionConditionCode', 'transmissionModeCode', 'uncertaintyCode',            'veryImportantPersonCode')) then 'CE'       else 'CD' " />
    <xsl:variable name="is-tgi-with-pterm-requirement" select="((local-name(.) = 'code' and local-name(..) = 'manufacturedMaterial')    or        (local-name(.) = 'translation' and local-name(..) = 'code' and local-name(../..) = 'manufacturedMaterial') )       and ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and        @code = ('101.16146', '101.16146.4.1.1', '101.16146.4.1.2', '102.16210', '102.16211', '101.16638', '101.16658', '101.17039')]] " />
    <xsl:variable name="is-tgi" select="$is-tgi-with-pterm-requirement or (local-name(.) = 'cda:value' and ../cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.10194']] and         ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16795']]) " />
    <xsl:variable name="code-system-id" select="@codeSystem " />
    <xsl:variable name="codesystemvalues" select="$code-systems/system[@codeSystem = $code-system-id]" />
    <xsl:variable name="code-information" select="$codesystemvalues and not($codesystemvalues/@no-code-information = 'true')" />
    <xsl:variable name="codevalues" select="if ($code-information) then $codesystemvalues/code[@code=current()/@code] else () " />
    <xsl:variable name="related-rcpa" select="if (exists($codevalues)) then ()         else if ($code-system-id = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = current()/@code]        else if ($code-system-id = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = current()/@code]        else () " />
    <xsl:variable name="related-term-source" select="if (exists($codevalues)) then $codevalues         else if (exists($related-rcpa)) then $related-rcpa        else $codesystemvalues/related-terms[@code = current()/@code] " />
    <xsl:variable name="oid-format" select=" matches($code-system-id, $oid-regex) and not(matches($code-system-id, $invalid-arc-regex)) " />
    <xsl:variable name="sub-oids" select="$oid-arc-regex/oid[starts-with($code-system-id, concat(@value, '.')) and         matches(substring-after($code-system-id, concat(@value, '.')), '^[0-9]+')]" />
    <xsl:variable name="sub-oid-num" select="count($sub-oids)" />
    <xsl:variable name="next-arcs" select="for $i in (1 to $sub-oid-num) return substring-after($code-system-id, concat($sub-oids[$i]/@value, '.')) " />
    <xsl:variable name="the-first-arc" select="for $i in (1 to $sub-oid-num) return tokenize($next-arcs[$i], '\.')[1] " />
    <xsl:variable name="the-second-arc" select="for $i in (1 to $sub-oid-num) return tokenize($next-arcs[$i], '\.')[2] " />
    <xsl:variable name="invalid-oid-arcs" select="index-of(for $i in (1 to $sub-oid-num) return         (if ($sub-oids[$i]/@arc-regex) then matches($the-first-arc[$i], $sub-oids[$i]/@arc-regex) else true()), false())" />
    <xsl:variable name="invalid-arc-value" select="$oid-format and count($invalid-oid-arcs) &gt; 0" />
    <xsl:variable name="following-arc" select="for $i in (1 to $sub-oid-num) return if ($sub-oids[$i]/@arc-regex) then $the-second-arc[$i] else $the-first-arc[$i] " />
    <xsl:variable name="disallowed-arcs" select="index-of(for $i in (1 to $sub-oid-num) return ($following-arc[$i] != '' and $sub-oids[$i]/@following-arc-allowed = 'no'), true()) " />
    <xsl:variable name="disallowed-arc-value" select="$oid-format and count($disallowed-arcs) &gt; 0" />
    <xsl:variable name="uuid-or-oid-format" select=" (matches($code-system-id, $oid-regex) or matches($code-system-id, $uuid-regex))     and         not(matches($code-system-id, $invalid-arc-regex))        and        not(matches($code-system-id, $invalid-uuid-regex))        and        not($invalid-arc-value)            and        not($disallowed-arc-value)           and        not($namespaces/namespace[$code-system-id = @test-OID or starts-with($code-system-id, concat(@test-OID, '.'))]) " />
    <xsl:variable name="ts-uid-error-1" select=" @codeSystem and (        not($uuid-or-oid-format)            or         $namespaces/namespace[$code-system-id = @invalid-OID or starts-with($code-system-id, concat(@invalid-OID, '.'))] or        $namespaces/namespace[$code-system-id = @OID-prefix]         ) " />
    <xsl:variable name="possible-acn-oid" select="not($ts-uid-error-1) and matches($code-system-id, $acn-oid-regex)" />
    <xsl:variable name="possible-abn-oid" select="not($ts-uid-error-1) and matches($code-system-id, $abn-oid-regex)" />
    <xsl:variable name="acn-abn-arc" select="if ($possible-acn-oid or $possible-abn-oid) then replace($code-system-id, '^(1\.2\.36\.)([0-9]+)($|\..+$)', '$2') else '' " />
    <xsl:variable name="possible-acn" select="if ($possible-acn-oid and string-length($acn-abn-arc) &lt; 9) then concat(substring('000000000', 1, 9 - string-length($acn-abn-arc)), $acn-abn-arc)        else $acn-abn-arc " />
    <xsl:variable name="possible-abn" select="if ($possible-abn-oid and string-length($acn-abn-arc) &lt; 11) then concat(substring('00000000000', 1, 11 - string-length($acn-abn-arc)), $acn-abn-arc)        else $acn-abn-arc " />
    <xsl:variable name="acn-format-1" select="if ($possible-acn = '' or $acn-abn-arc = $known-acn-arcs) then 0 else             10 - (((8 *  number(substring($possible-acn, 1, 1))) +                            (7 *  number(substring($possible-acn, 2, 1))) +                            (6 *  number(substring($possible-acn, 3, 1))) +                            (5 *  number(substring($possible-acn, 4, 1))) +                           (4 *  number(substring($possible-acn, 5, 1))) +                           (3 *  number(substring($possible-acn, 6, 1))) +                            (2 *  number(substring($possible-acn, 7, 1))) +                           (1 *  number(substring($possible-acn, 8, 1))) ) mod 10) " />
    <xsl:variable name="acn-format" select="if ($possible-acn-oid and $acn-abn-arc = $known-acn-arcs) then true()       else if ($possible-acn = '') then false()       else if ($acn-format-1 = 10) then 0 = number(substring($possible-acn, 9, 1))        else $acn-format-1 = number(substring($possible-acn, 9, 1))" />
    <xsl:variable name="abn-format-1" select="if (not($possible-abn-oid) or $acn-abn-arc = $known-abn-arcs) then '0' else       concat(string(number(substring($possible-abn, 1, 1)) - 1), substring($possible-abn, 2)) " />
    <xsl:variable name="abn-format" select="if ($possible-abn-oid and $acn-abn-arc = $known-abn-arcs) then true()       else if ($possible-abn = '') then false()       else 0 =                  (((10 *  number(substring($abn-format-1, 1, 1)))  +                            ( 1 *  number(substring($abn-format-1, 2, 1)))  +                            ( 3 *  number(substring($abn-format-1, 3, 1)))  +                            ( 5 *  number(substring($abn-format-1, 4, 1)))  +                           ( 7 *  number(substring($abn-format-1, 5, 1)))  +                           ( 9 *  number(substring($abn-format-1, 6, 1)))  +                            (11 *  number(substring($abn-format-1, 7, 1)))  +                           (13 *  number(substring($abn-format-1, 8, 1)))  +                           (15 *  number(substring($abn-format-1, 9, 1)))  +                           (17 *  number(substring($abn-format-1, 10, 1))) +                           (19 *  number(substring($abn-format-1, 11, 1))) ) mod 6) " />
    <xsl:variable name="ts-uid-error" select="$ts-uid-error-1 or (($possible-acn-oid or $possible-abn-oid) and not($acn-format or $abn-format))" />
    <xsl:variable name="display-name" select="$codevalues/@displayName " />
    <xsl:variable name="valid-code" select="@codeSystem = '2.16.840.1.113883.13.62' and $display-name != '' " />
    <xsl:variable name="hpi-code" select="@codeSystem = '2.16.840.1.113883.13.62' and $knowledge/occupations/occupation[starts-with(current()/@code, @code)] " />
    <xsl:variable name="role-code" select="$valid-code and local-name(.) = 'code' and local-name(..) != 'asEmployment' " />
    <xsl:variable name="occupation-code" select="$valid-code and local-name(.) = 'jobCode' " />
    <xsl:variable name="position-code" select="$valid-code and local-name(.) = 'code' and local-name(..) = 'asEmployment' " />
    <xsl:variable name="employment-type" select="$valid-code and local-name(.) = 'jobClassCode' and local-name(..) = 'asEmployment' " />
    <xsl:variable name="specialty" select="$valid-code and local-name(.) = 'value' and ../../cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16028']] " />
    <xsl:variable name="code-usage" select="if ($role-code) then 'role'       else if ($occupation-code) then 'occupation'       else if ($position-code) then 'position in organisation'       else if ($employment-type) then 'employment type'       else if ($specialty) then 'specialty'       else '' " />
    <xsl:variable name="ei-ancestor" select="if ($role-code) then ..       else if ($occupation-code) then ../../..       else if ($position-code) then ../../..       else () " />
    <xsl:variable name="ei-parent" select="if (not($ei-ancestor)) then ()        else $ei-ancestor/*[             local-name(.) = 'asPersonalRelationship'  or             local-name(.) = 'assignedPerson'   or             local-name(.) = 'associatedPerson'   or             local-name(.) = 'employerOrganization'  or             local-name(.) = 'guardianPerson'   or             local-name(.) = 'guardianOrganization'  or             local-name(.) = 'informationRecipient'  or             local-name(.) = 'maintainingPerson'   or             local-name(.) = 'manufacturerOrganization'  or             local-name(.) = 'patient'    or                         local-name(.) = 'playingEntity'   or             local-name(.) = 'providerOrganization'  or             local-name(.) = 'receivedOrganization'  or             local-name(.) = 'relatedPerson'   or             local-name(.) = 'representedCustodianOrganization' or             local-name(.) = 'representedOrganization'  or                         local-name(.) = 'scopingEntity'   or             local-name(.) = 'scopingOrganization'  or             local-name(.) = 'serviceProviderOrganization' or                         local-name(.) = 'specimenPlayingEntity'   or             local-name(.) = 'subject'    or             local-name(.) = 'wholeEntity'   or             local-name(.) = 'wholeOrganization'   ] " />
    <xsl:variable name="entity-id" select="if ($ei-parent) then $ei-parent/ext:asEntityIdentifier else () " />
    <xsl:variable name="is-an-hpi" select="$entity-id/ext:id[starts-with(@root, '1.2.36.1.2001.1003.0.800361')] or        $entity-id/ext:code[@codeSystem = '2.16.840.1.113883.12.203' and @code and exists(index-of($ei-codes-for-hpis, @code))] " />
    <xsl:variable name="family-err" select="$family-regex != '' and not(matches(cda:originalText, '(^|\s)(small|white\s*cell\s*count)(\s|$)', 'is')) and cda:originalText and         matches(cda:originalText, $family-regex, 'is')" />
    <xsl:variable name="length-trunction-regex" select="if (ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.16117', '101.16611', '101.20109', '101.16142')]])        then $diag-proc-truncation-regex else '' " />
    <xsl:variable name="length-err" select="if ($length-trunction-regex = '')         then cda:originalText and string-length(cda:originalText) &gt; $length-err-max        else cda:originalText and string-length(replace(cda:originalText, $length-trunction-regex, '$1', 'is')) &gt; $length-err-max" />
    <xsl:variable name="prose-err-1a" select="cda:originalText and $length-err and (        matches(cda:originalText, $ulist-regex)           or         matches(cda:originalText, $alt-ulist-1a-regex, 'is')         or         matches(cda:originalText, $alt-ulist-1b-regex, 'is')         )" />
    <xsl:variable name="prose-err-1b" select="cda:originalText and not($prose-err-1a) and (         matches(cda:originalText, $alt-ulist-2-regex, 'is')         or        matches(cda:originalText, $olist-arabic-regex, 'is')         or         matches(cda:originalText, $olist-alpha-regex, 'is')         or         matches(cda:originalText, $olist-roman-regex, 'is')         )" />
    <xsl:variable name="prose-err-1c" select="cda:originalText and not($prose-err-1a or $prose-err-1b) and (        matches(replace(cda:originalText, $new-line-regex, codepoints-to-string((10)), 'is'), $para-regex, 'is') or        matches(cda:originalText, codepoints-to-string((8233)), 'is')        )" />
    <xsl:variable name="prose-err-1d" select="cda:originalText and not($prose-err-1a or $prose-err-1b or $prose-err-1c) and (               matches(cda:originalText, '^\W*(Dear\W+Doctor|Dear\W+Dr|Thank\W+you)', 'is')      or               ($length-err and matches(cda:originalText, '\.\s*$', 's') and matches(cda:originalText, $multi-sentence-regex, 's')) )" />
    <xsl:variable name="prose-err-1" select="cda:originalText and ($prose-err-1a or $prose-err-1b or $prose-err-1c or $prose-err-1d or (                matches(cda:originalText, $invalid-concept-regex, 'is')        ))" />
    <xsl:variable name="try-narr-match-1" select="not($prose-err-1 or @code or cda:translation) and ($family-err or $length-err or        (string-length(cda:originalText) &gt; $length-err-max div 2 and          not(cda:originalText = dh:XQueryRecursiveReplace(dh:XQueryRecursiveReplace(cda:originalText, $date-replacements, 'ic'), $month-replacements, 'ic')))) " />
    <xsl:variable name="l-text" select="if ($try-narr-match-1) then normalize-space(lower-case(cda:originalText)) else '' " />
    <xsl:variable name="try-narr-match" select="$try-narr-match-1 and contains($l-text, ' ') " />
    <xsl:variable name="narr-text-el" select="if ($try-narr-match)         then for $text in ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]/cda:text//text() return normalize-space(lower-case($text))         else () " />
    <xsl:variable name="text-without-markup" select="if ($try-narr-match) then normalize-space(replace($l-text, $confirmed-markup-regex, '', 'is')) else '' " />
    <xsl:variable name="normalised-text-orig" select="if ($try-narr-match) then normalize-space(translate($text-without-markup, $chars-to-remove, '')) else '' " />
    <xsl:variable name="text-found" select="$try-narr-match and exists($narr-text-el[contains(., $l-text)]) " />
    <xsl:variable name="text-wom-found" select="if ($text-found or not($try-narr-match)) then false() else exists($narr-text-el[contains(., $text-without-markup)]) " />
    <xsl:variable name="ss-success" select="$try-narr-match and ($text-found or $text-wom-found) " />
    <xsl:variable name="narrative-1" select="if (not($try-narr-match) or $ss-success or $l-text = '') then '' else         normalize-space(translate(normalize-space(lower-case(string-join($narr-text-el, ''))), $chars-to-remove, ''))" />
    <xsl:variable name="text-in-narr-1" select="$try-narr-match and not($ss-success) and contains($narrative-1, $normalised-text-orig)" />
    <xsl:variable name="prose-err-2" select="$try-narr-match and $l-text != '' and not($ss-success) and $text-in-narr-1 " />
    <xsl:variable name="prose-err" select="$prose-err-1 or $prose-err-2 " />
    <xsl:variable name="amtv2-trans-1" select="if (cda:translation) then cda:translation[@codeSystem = '1.2.36.1.2001.1004.100' and matches(@code, $amtv2-code-regex)] else () " />
    <xsl:variable name="amtv2-trans-2" select="distinct-values(for $i in (1 to count($amtv2-trans-1)) return $amtv2-trans-1[$i]/@code) " />
    <xsl:variable name="amtv2-trans-dup" select="count($amtv2-trans-1) != count($amtv2-trans-2) " />
    <xsl:variable name="pbs-trans-1" select="if (cda:translation) then cda:translation[@codeSystem = '1.2.36.1.2001.1005.22' and matches(@code, $pbs-code-regex)] else () " />
    <xsl:variable name="pbs-trans-2" select="distinct-values(for $i in (1 to count($pbs-trans-1)) return $pbs-trans-1[$i]/@code) " />
    <xsl:variable name="pbs-trans-dup" select="count($pbs-trans-1) != count($pbs-trans-2) " />
    <xsl:variable name="pbsman-trans-1" select="if (cda:translation) then cda:translation[@codeSystem = '1.2.36.1.2001.1005.23' and matches(@code, $pbsman-code-regex)] else () " />
    <xsl:variable name="pbsman-trans-2" select="distinct-values(for $i in (1 to count($pbsman-trans-1)) return $pbsman-trans-1[$i]/@code) " />
    <xsl:variable name="pbsman-trans-dup" select="count($pbsman-trans-1) != count($pbsman-trans-2) " />
    <xsl:variable name="snomed-trans-1" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, $snomed-code-regex)] else ()" />
    <xsl:variable name="snomed-trans-2" select="distinct-values(for $i in (1 to count($snomed-trans-1)) return $snomed-trans-1[$i]/@code) " />
    <xsl:variable name="snomed-trans-dup" select="count($snomed-trans-1) != count($snomed-trans-2) " />
    <xsl:variable name="loinc-trans-1" select="if (cda:translation) then cda:translation[@codeSystem = '2.16.840.1.113883.6.1' and matches(@code, $loinc-code-regex, 'i')] else ()" />
    <xsl:variable name="loinc-trans-2" select="distinct-values(for $i in (1 to count($loinc-trans-1)) return $loinc-trans-1[$i]/@code) " />
    <xsl:variable name="loinc-trans-dup" select="count($loinc-trans-1) != count($loinc-trans-2) " />
    <xsl:variable name="dup-translation" select="$amtv2-trans-dup or $pbs-trans-dup or $pbsman-trans-dup or $snomed-trans-dup or $loinc-trans-dup" />
    <xsl:variable name="an-external-act-code" select=" local-name(..) = 'externalAct'   or         local-name(..) = 'externalDocument'  or         local-name(..) = 'externalObservation'  or         local-name(..) = 'externalProcedure'  " />
    <xsl:variable name="invalid-refs" select="if ($an-external-act-code)         then $document-types/doc-type[@code != current()/@code]/@name         else () " />
    <xsl:variable name="transformed-inv-references" select="for $i in (1 to count($invalid-refs))          return translate(normalize-space(lower-case($invalid-refs[$i])), $chars-to-remove, '') " />
    <xsl:variable name="regex-invalid-refs" select="concat('(', string-join(reverse($transformed-inv-references), '|'), ')') " />
    <xsl:variable name="reference" select="if ($an-external-act-code and ../cda:text/cda:reference/@value)         then translate(normalize-space(replace(lower-case(../cda:text/cda:reference/@value),          '(\.gif|\.jpg|\.jpeg|\.pdf|\.png|\.tif|\.tiff|\.txt|\.html|\.rtf)', '')), $chars-to-remove, '')                 else '' " />
    <xsl:variable name="act-code-display-name" select="if ($an-external-act-code) then $code-systems/system[@codeSystem = current()/@codeSystem]/code[@code = current()/@code]/@displayName         else '' " />
    <xsl:variable name="invalid-act-code" select="$an-external-act-code and ../cda:text/cda:reference/@value and matches($reference, $regex-invalid-refs) " />
    <xsl:variable name="suggested-doc-names" select="if ($invalid-act-code) then $document-types/doc-type[translate(normalize-space(lower-case(@name)), $chars-to-remove, '') = $reference]         else () " />
    <xsl:variable name="suggested-code" select="if (not($invalid-act-code)) then ''        else if (count($suggested-doc-names) &gt; 0) then $suggested-doc-names[1]/@code        else '' " />
    <xsl:variable name="suggested-doc-type" select="if (not($invalid-act-code) or count($suggested-doc-names) = 0) then ''        else $document-types/doc-type[@code = $suggested-doc-names[1]/@code]/@name " />
    <xsl:variable name="suggested-codeSystem" select="if (not($invalid-act-code) or count($suggested-doc-names) = 0) then ''        else $suggested-doc-names[1]/@codeSystem " />
    <xsl:variable name="suggested-codeSystemName" select="if (not($invalid-act-code) or count($suggested-doc-names) = 0) then ''         else if ($suggested-doc-names[1]/@codeSystem = '1.2.36.1.2001.1001.101') then 'NCTIS Data Components'         else if ($suggested-doc-names[1]/@codeSystem = '2.16.840.1.113883.6.1') then 'LOINC'         else '' " />
    <xsl:variable name="ts-ed-error" select="cda:originalText and not(cda:originalText/@nullFlavor) and not(cda:originalText/cda:reference) and cda:originalText = '' " />
    <xsl:variable name="no-cd-value-1" select="if ($type-msg = ('CV', 'CO')) then not(@nullFlavor or @code) else not(@nullFlavor or @code or cda:originalText) " />
    <xsl:variable name="no-cd-value-2" select="not($ts-ed-error) and not(@nullFlavor or @code) and cda:originalText and (normalize-space(cda:originalText) = '' or cda:originalText/@nullFlavor)" />
    <xsl:variable name="code-system-err" select="@code and not(@codeSystem) and not(local-name(.) = ('functionCode', 'languageCode', 'signatureCode', 'uncertaintyCode')) " />
    <xsl:variable name="v-amtv2-version" select="if (not(@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (@codeSystemVersion and exists($v-amtv2[. = current()/@codeSystemVersion])) then @codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-pbs-version" select="if (not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (@codeSystemVersion and exists($v-pbs[. = current()/@codeSystemVersion])) then @codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-pbsman-version" select="if (not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (@codeSystemVersion and exists($v-pbsman[. = current()/@codeSystemVersion])) then @codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="use-amtv3" select="not(@codeSystemVersion) and $is-tgi and @codeSystem = '2.16.840.1.113883.6.96' and exists($v-amtv3) and        dh:IsFirstDateEarlierThanSecondDate($creation-date, substring-after($first-amt-in-sctau, '/version/')) = '1' " />
    <xsl:variable name="snomed-id" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if ($use-amtv3) then 'amtv3'        else if (not(@codeSystemVersion)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches(@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches(@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches(@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="snomed-type" select="if ($snomed-id = 'amtv3') then 'AMT v3'        else if ($snomed-id = 'snomedctau') then 'SNOMED CT-AU'        else if ($snomed-id = 'snomedct') then 'SNOMED CT'        else '' " />
    <xsl:variable name="v-snomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if ($snomed-id = 'amtv3' and @codeSystemVersion and exists($v-amtv3[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($snomed-id = 'amtv3') then $v-latest-amtv3        else if ($snomed-id = 'snomedctau' and @codeSystemVersion and exists($v-snomedctau[. = current()/@codeSystemVersion])) then @codeSystemVersion        else if ($snomed-id = 'snomedctau' and @codeSystemVersion and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="v-term-version" select="if ($v-amtv2-version != '') then $v-amtv2-version        else if ($v-pbs-version != '') then $v-pbs-version        else if ($v-pbsman-version != '') then $v-pbsman-version        else if ($v-snomed-version != '') then $v-snomed-version        else '' " />
    <xsl:variable name="v-has-version" select="if (@codeSystem = '1.2.36.1.2001.1004.100')         then not(@codeSystemVersion) or (@codeSystemVersion and exists($v-amtv2[. = current()/@codeSystemVersion]))        else if (@codeSystem = '1.2.36.1.2001.1005.22')        then not(@codeSystemVersion) or (@codeSystemVersion and exists($v-pbs[. = current()/@codeSystemVersion]))        else if (@codeSystem = '1.2.36.1.2001.1005.23')        then not(@codeSystemVersion) or (@codeSystemVersion and exists($v-pbsman[. = current()/@codeSystemVersion]))        else if (@codeSystem = '2.16.840.1.113883.6.96' and $snomed-id = 'amtv3' and @codeSystemVersion)        then exists($v-amtv3[. = current()/@codeSystemVersion])        else if (@codeSystem = '2.16.840.1.113883.6.96' and $snomed-id = 'amtv3' and not(@codeSystemVersion))        then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-amtv3-date) = '0'        else if (@codeSystem = '2.16.840.1.113883.6.96' and $snomed-id = 'snomedctau' and @codeSystemVersion)        then exists($v-snomedctau[. = current()/@codeSystemVersion])        else if (@codeSystem = '2.16.840.1.113883.6.96' and $snomed-id = 'snomedctau' and not(@codeSystemVersion))        then dh:IsFirstDateEarlierThanSecondDate($creation-date, $v-earliest-sctau-date) = '0'        else false() " />
    <xsl:variable name="ts-vers-old" select="if ($snomed-id = 'snomedctau' and @codeSystemVersion) then not(exists($ts-snomedctau[. = current()/@codeSystemVersion]))        else if ($snomed-id = 'snomedctau' and $creation-date != '' and $ts-earliest-sctau-date != '')          then dh:IsFirstDateEarlierThanSecondDate($creation-date, $ts-earliest-sctau-date) = '1'         else false() " />
    <xsl:variable name="ts-snomed-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.96') or $use-amtv3 or $snomed-id = 'amtv3') then ''        else if (not(@codeSystemVersion)) then $ts-latest-snomedctau        else if ($snomed-id = 'snomedctau' and not($ts-vers-old)) then @codeSystemVersion        else if ($snomed-id = 'snomedctau' and $ts-vers-old and $ts-earliest-sctau-date != '')         then concat('http://snomed.info/sct/32506021000036107/version/', $ts-earliest-sctau-date)        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-loinc-version" select="if (not(@codeSystem = '2.16.840.1.113883.6.1')) then ''        else if (not(@codeSystemVersion)) then $ts-latest-loinc        else if (@codeSystemVersion and exists($ts-loinc[. = current()/@codeSystemVersion])) then @codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-pbs-version" select="if (not(@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not(@codeSystemVersion)) then $ts-latest-pbs        else if (@codeSystemVersion and exists($ts-pbs[. = current()/@codeSystemVersion])) then @codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-pbsman-version" select="if (not(@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not(@codeSystemVersion)) then $ts-latest-pbsman        else if (@codeSystemVersion and exists($ts-pbsman[. = current()/@codeSystemVersion])) then @codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="ts-has-version" select="if ($use-amtv3) then false()        else if (@codeSystem = '2.16.840.1.113883.6.96' and $snomed-id != 'snomedctau') then false()        else if (@codeSystem = '2.16.840.1.113883.6.96' and @codeSystemVersion) then exists($ts-snomedctau[. = current()/@codeSystemVersion])        else if (@codeSystem = '2.16.840.1.113883.6.96' and $creation-date != '' and $ts-earliest-sctau-date != '') then dh:IsFirstDateEarlierThanSecondDate($creation-date, $ts-earliest-sctau-date) = '0'        else if (@codeSystem = '2.16.840.1.113883.6.1')         then not(@codeSystemVersion) or (@codeSystemVersion and exists($ts-loinc[. = current()/@codeSystemVersion]))        else if (@codeSystem = '1.2.36.1.2001.1005.22')         then not(@codeSystemVersion) or (@codeSystemVersion and exists($ts-pbs[. = current()/@codeSystemVersion]))        else if (@codeSystem = '1.2.36.1.2001.1005.23')         then not(@codeSystemVersion) or (@codeSystemVersion and exists($ts-pbsman[. = current()/@codeSystemVersion]))        else false() " />
    <xsl:variable name="code-format-valid" select="if (@codeSystem = '1.2.36.1.2001.1001.101') then matches(@code, $nctis-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1004.100') then matches(@code, $amtv2-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.11.1') then matches(@code, $mims-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.22') then matches(@code, $pbs-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.23') then matches(@code, $pbsman-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.47') then matches(@code, $anzsic-code-regex)        else if (@codeSystem = '2.16.840.1.113883.6.1') then matches(@code, $loinc-code-regex, 'i')        else if (@codeSystem = '2.16.840.1.113883.6.96') then matches(@code, $snomed-code-regex) and matches(@code, $sctau-concept-id-regex)        else if (@codeSystem = '2.16.840.1.113883.13.62') then matches(@code, $anzsco-code-regex)        else if (@codeSystem = '1.2.36.1.2001.1005.17') then true()        else not(@code = '') " />
    <xsl:variable name="possible-sct-expression" select="@codeSystem = '2.16.840.1.113883.6.96' and matches(@code, '[1-9]{1}[0-9]{5,17}') and matches(@code, '\|\+=:') " />
    <xsl:variable name="invalid-sctid" select="@codeSystem = '2.16.840.1.113883.6.96' and not($possible-sct-expression) and not($code-format-valid) and translate(@code,'0123456789','') = '' " />
    <xsl:variable name="version-date" select="if (not(@code) or not(@codeSystem = '2.16.840.1.113883.6.96') or $snomed-id = 'amtv3' or not($use-ts-for-sctau)) then ''        else if (@codeSystemVersion and matches(@codeSystemVersion, $snomedctau-version-regex)) then substring-after(@codeSystemVersion, '/version/')        else $creation-date " />
    <xsl:variable name="use-ts-for-validity" select="@code and (        (@codeSystem = '2.16.840.1.113883.6.1' and $use-ts-for-loinc)        or        (@codeSystem = '1.2.36.1.2001.1001.101' and $use-ts-for-ncts-data-comp)       or        (@codeSystem = '2.16.840.1.113883.13.62' and $use-ts-for-anzsco)       or        (@codeSystem = '1.2.36.1.2001.1005.17' and $use-ts-for-vaccines)       or        (@codeSystem = '1.2.36.1.2001.1005.22' and $use-ts-for-pbs)        or        (@codeSystem = '1.2.36.1.2001.1005.23' and $use-ts-for-pbsman)        or        (@codeSystem = '2.16.840.1.113883.6.96' and $use-ts-for-sctau and $version-date != '' and          dh:IsFirstDateEarlierThanSecondDate($version-date, substring-after($v-snomed-version, 'version/')) != '1') ) " />
    <xsl:variable name="ts-version" select="if (@codeSystem = '2.16.840.1.113883.6.96') then $ts-snomed-version        else if (@codeSystem = '2.16.840.1.113883.6.1') then $ts-loinc-version        else if (@codeSystem = '1.2.36.1.2001.1005.22') then $ts-pbs-version        else if (@codeSystem = '1.2.36.1.2001.1005.23') then $ts-pbsman-version        else if (@codeSystem = ('1.2.36.1.2001.1001.101', '2.16.840.1.113883.13.62', '1.2.36.1.2001.1005.17')) then ''        else '' " />
    <xsl:variable name="ts-codeSystem" select="if (not(@codeSystem)) then '' else if (@codeSystem = '1.2.36.1.2001.1001.101') then $ncts-data-comp else @codeSystem " />
    <xsl:variable name="code-in-AR-refset" select="if (not(exists($codevalues)) and $code-format-valid and @codeSystem = '2.16.840.1.113883.6.96' and not($use-ts-for-validity)) then         dh:IsCodeInValueDomainValid(@code, @codeSystem, $v-term-version, 'Association Reference (AR)') = 'CodeFound'        else false() " />
    <xsl:variable name="code-validity-test" select="if (not(@code)) then ''        else if (@codeSystem = '2.16.840.1.113883.6.96' and $snomed-id = 'amtv3' and matches(@code, $sctau-namespace-id-regex) and          dh:IsFirstDateEarlierThanSecondDate($creation-date, substring-after($first-amtv3, '/version/')) = '1') then 'CodeNotAMTv3'        else if (exists($codevalues)) then 'CodeFound'        else if (not($code-format-valid)) then ''        else if ($code-in-AR-refset) then 'CodeFoundInactive'        else if ($use-ts-for-validity and @codeSystem = '1.2.36.1.2001.1005.22')          then dh:IsCodeInTerminologyValidUsingTS(replace(@code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version)        else if ($use-ts-for-validity) then dh:IsCodeInTerminologyValidUsingTS(@code, $ts-codeSystem, $ts-version)        else if (@codeSystem = ('2.16.840.1.113883.6.96', '1.2.36.1.2001.1004.100', '1.2.36.1.2001.1005.22', '1.2.36.1.2001.1005.23'))          then dh:IsCodeInTerminologyValid(@code, @codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="error-usingTS-1" select="'Error' = $code-validity-test " />
    <xsl:variable name="inactivity-test" select="if ($code-validity-test = ('CodeFound', 'CodeFoundActive')) then 'CodeFoundActive'        else if ($code-validity-test = 'CodeFoundInactive') then 'CodeFoundInactive'        else if ($code-validity-test = 'CodeNotFound' and @codeSystem = '2.16.840.1.113883.6.96' and $code-format-valid and not($use-ts-for-validity) and         $use-ts-for-sctau) then dh:IsCodeInTerminologyValidUsingTS(@code, @codeSystem, $ts-snomed-version)         else '' " />
    <xsl:variable name="error-usingTS-2" select="$error-usingTS-1 or 'Error' = $inactivity-test " />
    <xsl:variable name="association-1" select="if ($inactivity-test = 'CodeFoundInactive' and @codeSystem = '2.16.840.1.113883.6.96' and $code-format-valid)         then dh:IsCodeAssociatedWithAnotherCode(@code, @codeSystem, '')        else '' " />
    <xsl:variable name="error-usingV-1" select="'Error' = $association-1 " />
    <xsl:variable name="association-2" select="if ($association-1 = ('', 'Error', 'NoAssociationFound', 'NoAssociationFound~active')) then ()         else distinct-values(tokenize($association-1, '\|')) " />
    <xsl:variable name="association-types" select="for $i in (1 to count($association-2)) return substring-before(substring-after($association-2[$i], '~'), '~') " />
    <xsl:variable name="associated-codes-1" select="for $i in (1 to count($association-2)) return substring-after(substring-after($association-2[$i], '~'), '~') " />
    <xsl:variable name="associated-codes-2" select="for $i in (1 to count($association-2)) return         if (not($use-ts-for-sctau)) then $associated-codes-1[$i]        else if ($associated-codes-1[$i] != '' and          dh:IsCodeInTerminologyValidUsingTS($associated-codes-1[$i], @codeSystem, $ts-snomed-version) = 'CodeFoundActive')          then $associated-codes-1[$i]         else '' " />
    <xsl:variable name="associated-codes-3" select="for $i in (1 to count($association-2)) return         if ($associated-codes-2[$i] = '') then ''         else dh:FindPreferredTermAndCaseSignificance($associated-codes-2[$i], @codeSystem, $v-snomed-version) " />
    <xsl:variable name="associated-codes-4" select="for $i in (1 to count($association-2)) return         if ($associated-codes-2[$i] = '') then ''         else if (substring-before($associated-codes-3[$i], '|') = '') then concat('''', $associated-codes-2[$i], '''')        else concat('''', $associated-codes-2[$i], ''' (', substring-before($associated-codes-3[$i], '|'), ')') " />
    <xsl:variable name="assoc-types-equiv-1" select="distinct-values((index-of($association-types, 'POSSIBLY EQUIVALENT TO'), index-of($association-types, 'MAY BE A'))) " />
    <xsl:variable name="assoc-types-to-1" select="index-of($association-types, 'MOVED TO') " />
    <xsl:variable name="assoc-types-from-1" select="index-of($association-types, 'MOVED FROM') " />
    <xsl:variable name="assoc-types-repl-1" select="index-of($association-types, 'REPLACED BY') " />
    <xsl:variable name="assoc-types-same-1" select="index-of($association-types, 'SAME AS') " />
    <xsl:variable name="assoc-types-was-1" select="index-of($association-types, 'WAS A') " />
    <xsl:variable name="assoc-types-alt-1" select="index-of($association-types, 'ALTERNATIVE') " />
    <xsl:variable name="assoc-types-equiv-2" select="(for $i in $assoc-types-equiv-1 return $associated-codes-4[$i])[. != ''] " />
    <xsl:variable name="assoc-types-to-2" select="(for $i in $assoc-types-to-1 return $associated-codes-4[$i])[. != ''] " />
    <xsl:variable name="assoc-types-from-2" select="(for $i in $assoc-types-from-1 return $associated-codes-4[$i])[. != ''] " />
    <xsl:variable name="assoc-types-repl-2" select="(for $i in $assoc-types-repl-1 return $associated-codes-4[$i])[. != ''] " />
    <xsl:variable name="assoc-types-same-2" select="(for $i in $assoc-types-same-1 return $associated-codes-4[$i])[. != ''] " />
    <xsl:variable name="assoc-types-was-2" select="(for $i in $assoc-types-was-1 return $associated-codes-4[$i])[. != ''] " />
    <xsl:variable name="assoc-types-alt-2" select="(for $i in $assoc-types-alt-1 return $associated-codes-4[$i])[. != ''] " />
    <xsl:variable name="assoc-types-equiv-msg" select="if (count($assoc-types-equiv-2) = 0) then ''        else concat(' The concept described by the code ''', @code, ''' was ambiguous and ',          if (count($assoc-types-equiv-2) = 1) then 'a valid replacement' else 'valid replacements', ' may be ' ,          string-join($assoc-types-equiv-2, ', '), '.',         ' Requirements for the value domain may further restrict the choice of a replacement code.') " />
    <xsl:variable name="assoc-types-to-msg" select="if (count($assoc-types-to-2) = 0) then ''        else concat(' The concept described by the code ''', @code, ''' was moved to the namespace identified by ',          string-join($assoc-types-to-2, ', '), '.') " />
    <xsl:variable name="assoc-types-from-msg" select="if (count($assoc-types-from-2) = 0) then ''        else concat(' The concept described by the code ''', @code, ''' was moved from the namespace identified by ',          string-join($assoc-types-from-2, ', '), '.') " />
    <xsl:variable name="assoc-types-repl-msg" select="if (count($assoc-types-repl-2) = 0) then ''        else concat(' The concept described by the code ''', @code, ''' may have been erroneous or obsolete and has been replaced by ',          string-join($assoc-types-repl-2, ', '), '.',         ' Requirements for the value domain may further restrict the choice of a replacement code.') " />
    <xsl:variable name="assoc-types-same-msg" select="if (count($assoc-types-same-2) = 0) then ''        else concat(' The concept described by the code ''', @code, ''' was a duplication of the concept',          if (count($assoc-types-same-2) = 1) then '' else 's' , ' identified by ',         string-join($assoc-types-same-2, ', '), '.') " />
    <xsl:variable name="assoc-types-was-msg" select="if (count($assoc-types-was-2) = 0) then ''        else concat(' The concept described by the code ''', @code, ''' was a subtype of the concept',          if (count($assoc-types-was-2) = 1) then '' else 's' , ' identified by ',         string-join($assoc-types-was-2, ', '),          if (count($assoc-types-was-2) = 1) then ' which is an acceptable replacement' else ' which may be acceptable replacements ',          'for the inactive code.',         ' Requirements for the value domain may further restrict the choice of a replacement code.') " />
    <xsl:variable name="assoc-types-alt-msg" select="if (count($assoc-types-alt-2) = 0) then ''        else concat(' The concept described by the code ''', @code,          ''' was derived from ICD-9 Chapter XVI ''Symptoms signs and ill-defined conditions'' and the most similar active concept',          if (count($assoc-types-alt-2) = 1) then ' is ' else 's are ' , ' identified by ',         string-join($assoc-types-alt-2, ', '), '.',         ' Requirements for the value domain may further restrict the choice of a replacement code.') " />
    <xsl:variable name="assoc-types-msg-1" select="normalize-space(concat($assoc-types-equiv-msg, ' ', $assoc-types-to-msg, ' ', $assoc-types-from-msg, ' ', $assoc-types-repl-msg, ' ',        $assoc-types-same-msg, ' ', $assoc-types-was-msg, ' ', $assoc-types-alt-msg)) " />
    <xsl:variable name="association-msg" select="if ($assoc-types-msg-1 = '') then ''        else concat(' The SNOMED CT-AU Association reference set provides information about the inactive code. ', $assoc-types-msg-1) " />
    <xsl:variable name="code-valid" select=" $code-validity-test = ('CodeFound', 'CodeFoundActive')    or              ($code-validity-test = 'CodeNotFound' and $inactivity-test = 'CodeFoundActive')  " />
    <xsl:variable name="code-inactive" select="$code-validity-test = 'CodeFoundInactive' or $inactivity-test = 'CodeFoundInactive' " />
    <xsl:variable name="amtv2-msg" select="if (not(@code) or not(@codeSystem = '1.2.36.1.2001.1004.100' and not($code-valid) and matches(@code, $snomed-code-regex))) then ''       else if (dh:IsCodeInTerminologyValid(@code, '2.16.840.1.113883.6.96', $v-latest-amtv3) = 'CodeFound'       or       dh:IsCodeInTerminologyValid(@code, '2.16.840.1.113883.6.96', $v-latest-snomedctau) = 'CodeFound'        or       matches(dh:FindLastUpdatedDateForCodeUsingTS(@code, '2.16.840.1.113883.6.96', $ts-latest-snomedctau), '^(CodeFoundActive|CodeFoundInactive)\|[0-9]{8}$'))       then concat(' ', normalize-space('The code is a member of the SNOMED CT-AU code system which incorporates AMT v3 so it is likely that the code is correct        and the value of the codeSystem attribute should be ''2.16.840.1.113883.6.96''.'))        else '' " />
    <xsl:variable name="inactive-date-1" select="if (@codeSystem = '2.16.840.1.113883.6.96' and $code-format-valid and $code-inactive and $use-ts-for-sctau)        then dh:FindLastUpdatedDateForCodeUsingTS(@code, @codeSystem, $ts-latest-snomedctau) else '' " />
    <xsl:variable name="inactive-date-2" select="if (matches($inactive-date-1, '^CodeFoundInactive\|[0-9]{8}$')) then substring-after($inactive-date-1, '|') else '' " />
    <xsl:variable name="inactive-date" select="if ($inactive-date-2 != '' and dh:IsFirstDateEarlierThanSecondDate($creation-date, $inactive-date-2) = '1') then '' else $inactive-date-2 " />
    <xsl:variable name="error-usingTS-3" select="$error-usingTS-2 or 'Error' = $inactive-date-1 " />
    <xsl:variable name="error-inactive-date" select="matches($inactive-date-1, '^(CodeNotFound|CodeFoundActive)')" />
    <xsl:variable name="hist-vers-found-1" select="not($inactive-date = '') " />
    <xsl:variable name="hist-vers-6" select="if ($code-format-valid and $code-inactive and matches(@code, $sctau-namespace-id-regex) and ($inactive-date = '' or $snomed-id = 'amtv3'))        then dh:IsCodeInTerminologyValid(@code, '2.16.840.1.113883.6.96', $v-latest-amtv3)       else '' " />
    <xsl:variable name="hist-vers-found-2" select="$hist-vers-6 = 'CodeFound' " />
    <xsl:variable name="hist-vers-7" select="if ($hist-vers-6 = 'CodeNotFound' and $v-latest-amtv2 = $last-amtv2 and matches(@code, $sctau-namespace-id-regex))        then dh:IsCodeInTerminologyValid(@code, '1.2.36.1.2001.1004.100', $last-amtv2)       else '' " />
    <xsl:variable name="hist-vers-found-3" select="$hist-vers-7 = 'CodeFound' " />
    <xsl:variable name="hist-vers-found" select="$hist-vers-found-1 or $hist-vers-found-2 or $hist-vers-found-3 " />
    <xsl:variable name="hist-vers-date" select="if ($hist-vers-found-1) then $inactive-date        else if ($hist-vers-found-2) then substring-after($v-latest-amtv3, 'http://snomed.info/sct/900062011000036108/version/')       else if ($hist-vers-found-3) then $last-amtv2-date       else '' " />
    <xsl:variable name="hist-vers-yr" select="substring($hist-vers-date, 1, 4)" />
    <xsl:variable name="hist-vers-mn" select="substring($hist-vers-date, 5, 2)" />
    <xsl:variable name="hist-vers-dy" select="substring($hist-vers-date, 7, 2)" />
    <xsl:variable name="hist-vers-xs" select="if ($hist-vers-found) then xs:date(concat($hist-vers-yr, '-', $hist-vers-mn, '-', $hist-vers-dy)) else '' " />
    <xsl:variable name="hist-last-vers" select="if ($hist-vers-found) then concat($hist-vers-dy, ' ', $knowledge/months/month[@number = $hist-vers-mn]/@abbreviation, ' ', $hist-vers-yr) else '' " />
    <xsl:variable name="hist-last-diff" select="if ($sctau-last-xs = '' or $hist-vers-xs = '') then ''       else if (not(matches($sctau-last-xs - $hist-vers-xs, '^P[0-9]+D'))) then ''       else substring-before(substring-after($sctau-last-xs - $hist-vers-xs, 'P'), 'D') " />
    <xsl:variable name="hist-last-old" select="if ($sctau-last-xs = '' or $hist-vers-xs = '') then false() else not(number($hist-last-diff) &lt; $sctau-acceptable-age) " />
    <xsl:variable name="code-found-in" select="if ($hist-vers-found-1) then 'made inactive in the version of SNOMED CT-AU'       else if ($hist-vers-found-2) then 'active in the version of AMT v3'       else if ($hist-vers-found-3) then 'active in the version of AMT v2'       else '' " />
    <xsl:variable name="hist-last-msg" select="if (not($hist-last-old) or $code-found-in = '') then ''         else if ($sctau-last = $creation-date) then concat(' The code was ', $code-found-in, ' published on the ', $hist-last-vers,        '. That version was published ', $hist-last-diff, ' days before the ', $document-name, ' was created on the date ''',       /cda:ClinicalDocument/cda:effectiveTime/@value, '''. SNOMED CT-AU is published monthly and the Australian National Terminology Licence Agreement requires ',       'the copy used in healthcare software systems (live or production environments) to be updated within 30 days of the National Terminology release.')       else concat(' The code was ', $code-found-in, ' published on the ', $hist-last-vers,        '. That version was published ', $hist-last-diff, ' days before the version of SNOMED CT-AU published immediately prior to the date (',        /cda:ClinicalDocument/cda:effectiveTime/@value, ') this ', $document-name,        ' was created. SNOMED CT-AU is published monthly and the Australian National Terminology Licence Agreement requires ',       'the copy used in healthcare software systems (live or production environments) to be updated within 30 days of the National Terminology release.') " />
    <xsl:variable name="v-amtv2-version-msg" select="if ($v-amtv2-version = '' or not(@codeSystem = '1.2.36.1.2001.1004.100' and $code-format-valid)) then ''        else if (@codeSystemVersion and exists($v-amtv2[. = current()/@codeSystemVersion]))         then concat(' The ''', $v-amtv2-version, ''' version of the code system was used in the assessment.')        else if (@codeSystemVersion and matches(@codeSystemVersion, $amtv2-version-regex)) then         concat(' The codeSystemVersion attribute has the correct format ''', @codeSystemVersion,          ''' but that version is not present in the Clinical Package Validator''s database so the ''', $v-amtv2-version,          ''' version of the code system was used in the assessment.')        else if (@codeSystemVersion and not(matches(@codeSystemVersion, $amtv2-version-regex))) then         concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion,          ''' so the ''', $v-amtv2-version, ''' version of the code system was used in the assessment.')        else concat(' The data element did not contain the codeSystemVersion attribute so the ''',          $v-amtv2-version, ''' version of the AMT v2 code system was used in the assessment.') " />
    <xsl:variable name="v-pbs-version-msg" select="if ($v-pbs-version = '' or not(@codeSystem = '1.2.36.1.2001.1005.22' and $code-format-valid)) then ''        else if (@codeSystemVersion and exists($v-pbs[. = current()/@codeSystemVersion]))         then concat(' The ''', $v-pbs-version, ''' version of the code system was used in the assessment.')        else if (@codeSystemVersion and matches(@codeSystemVersion, $pbs-version-regex)) then          concat(' The codeSystemVersion attribute has the correct format ''', @codeSystemVersion,          ''' but that version is not present in the Clinical Package Validator''s database so the ''', $v-pbs-version,          ''' version of the code system was used in the assessment.')        else if (@codeSystemVersion and not(matches(@codeSystemVersion, $pbs-version-regex))) then          concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion,          ''' so the ''', $v-pbs-version, ''' version of the code system was used in the assessment.')        else concat(' The data element did not contain the codeSystemVersion attribute so the ''',          $v-pbs-version, ''' version of the code system was used in the assessment.') " />
    <xsl:variable name="v-pbsman-version-msg" select="if ($v-pbsman-version = '' or not(@codeSystem = '1.2.36.1.2001.1005.23' and $code-format-valid)) then ''        else if (@codeSystemVersion and exists($v-pbsman[. = current()/@codeSystemVersion]))         then concat(' The ''', $v-pbsman-version, ''' version of the code system was used in the assessment.')        else if (@codeSystemVersion and matches(@codeSystemVersion, $pbsman-version-regex)) then          concat(' The codeSystemVersion attribute has the correct format ''', @codeSystemVersion,          ''' but that version is not present in the Clinical Package Validator''s database so the ''', $v-pbsman-version,          ''' version of the code system was used in the assessment.')        else if (@codeSystemVersion and not(matches(@codeSystemVersion, $pbsman-version-regex))) then          concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion,          ''' so the ''', $v-pbsman-version, ''' version of the code system was used in the assessment.')        else concat(' The data element did not contain the codeSystemVersion attribute so the ''',          $v-pbsman-version, ''' version of the code system was used in the assessment.') " />
    <xsl:variable name="v-snomed-version-msg" select="if (not(exists($v-amtv3)) or $v-snomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and $code-format-valid)) then ''        else if ($use-amtv3 and not(@codeSystemVersion) and not($v-has-version))         then concat(' The Validator does not have an AMT v3 version published before the date the clinical document was created (',          /cda:ClinicalDocument/cda:effectiveTime/@value, ') so the ''',          $v-snomed-version, ''' version of AMT v3 was used in the assessment.')        else if ($use-amtv3) then concat(' The data element did not contain the codeSystemVersion attribute so the ''',          $v-snomed-version, ''' version of AMT v3 was used in the assessment.')         else if (not(@codeSystemVersion)) then concat(' The data element did not contain the codeSystemVersion attribute so the ''',          $v-snomed-version, ''' version of the SNOMED CT-AU code system was used in the assessment.')         else if ($snomed-id = 'amtv3' and exists($v-amtv3[. = current()/@codeSystemVersion])) then          concat(' The ''', $v-snomed-version, ''' version of the AMT v3 code system was used to validate the AMT version 3 code.')        else if ($snomed-id = 'amtv3' and not(exists($v-amtv3[. = current()/@codeSystemVersion]))) then         concat(' The codeSystemVersion attribute has the correct format for AMT v3 ''', @codeSystemVersion,          ''' but that version is not present in the Clinical Package Validator''s database so the ''', $v-snomed-version,          ''' version of the AMT v3 code system was used in the assessment.')        else if ($snomed-id = 'snomedctau' and exists($v-snomedctau[. = current()/@codeSystemVersion])) then          concat(' The ''', $v-snomed-version, ''' version of the code system was used to validate the SNOMED CT-AU code.')        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then         concat(' The ''', $v-snomed-version, ''' version of the code system was used to validate the SNOMED CT-AU code.')        else if ($snomed-id = 'snomedctau' and not(exists($v-snomedctau[. = current()/@codeSystemVersion]))) then          concat(' The codeSystemVersion attribute has the correct format for SNOMED CT-AU ''', @codeSystemVersion,          ''' but that version is not present in the Clinical Package Validator''s database so the ''', $v-snomed-version,          ''' version of the SNOMED CT-AU code system was used in the assessment.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $v-snomed-version, ''' version of the code system was used in the assessment.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion,          ''' so the ''', $v-snomed-version, ''' version of the code system was used in the assessment.') " />
    <xsl:variable name="ts-snomed-version-msg" select="if (not($use-ts-for-sctau) or $ts-snomed-version = '' or not(@codeSystem = '2.16.840.1.113883.6.96' and $code-format-valid)) then ''        else if (not(@codeSystemVersion) and not($ts-has-version))          then concat(' The terminology server does not have a version of SNOMED CT-AU published before the date the clinical document was created (',         /cda:ClinicalDocument/cda:effectiveTime/@value, ') so the ''',          $ts-snomed-version, ''' version of the SNOMED CT-AU code system was used in the assessment.')        else if (not(@codeSystemVersion)) then concat(' The data element did not contain the codeSystemVersion attribute so the ''',          $ts-snomed-version, ''' version of the SNOMED CT-AU code system was used in the assessment which is the last version issued before the ',        'date ''', /cda:ClinicalDocument/cda:effectiveTime/@value, ''' this ', $document-name, ' was created.')         else if ($snomed-id = 'snomedctau' and exists($ts-snomedctau[. = current()/@codeSystemVersion])) then          concat(' The ''', $ts-snomed-version, ''' version of the code system was used to validate the SNOMED CT-AU code.')        else if ($snomed-id = 'snomedctau' and exists($sctau-versions-old[. = current()/@codeSystemVersion])) then         concat(' The ''', $ts-snomed-version, ''' version of the code system was used to validate the SNOMED CT-AU code.')        else if ($snomed-id = 'snomedctau' and not(exists($ts-snomedctau[. = current()/@codeSystemVersion]))) then          concat(' The codeSystemVersion attribute has the correct format for SNOMED CT-AU ''', @codeSystemVersion,          ''' but that version is not present in the Terminology Server so the ''', $ts-snomed-version,          ''' version of the SNOMED CT-AU code system was used in the assessment.')        else if ($snomed-id = 'snomedct' and exists($ts-snomedctau[. = current()/@codeSystemVersion])) then          concat(' The ''', $ts-snomed-version, ''' version of the code system was used to validate the SNOMED CT code.')        else if (matches(@codeSystemVersion, $snomed-version-regex-1)) then          concat(' The ''', @codeSystemVersion, ''' version of the code system is not available so the ''',          $ts-snomed-version, ''' version of the code system was used in the assessment.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion,          ''' so the ''', $ts-snomed-version, ''' version of the code system was used in the assessment.') " />
    <xsl:variable name="snomed-version-msg" select="if ($snomed-id = 'amtv3') then $v-snomed-version-msg else $ts-snomed-version-msg " />
    <xsl:variable name="ts-loinc-version-msg" select="if ($ts-loinc-version = '' or not(@codeSystem = '2.16.840.1.113883.6.1' and $code-format-valid)) then ''        else if (not(@codeSystemVersion)) then concat(' The data element did not contain the codeSystemVersion attribute so the ''',          $ts-loinc-version, ''' version of the LOINC code system was used in the assessment.')         else if (exists($ts-loinc[. = current()/@codeSystemVersion])) then          concat(' The ''', $ts-loinc-version, ''' version of the code system was used to validate the LOINC code.')        else if (not(exists($ts-loinc[. = current()/@codeSystemVersion]))) then          concat(' The codeSystemVersion attribute has the correct format for LOINC ''', @codeSystemVersion,          ''' but that version is not present in the Terminology Server so the ''', $ts-loinc-version,          ''' version of the LOINC code system was used in the assessment.')        else if (matches(@codeSystemVersion, $loinc-version-regex)) then          concat(' The ''', @codeSystemVersion, ''' version of the LOINC code system is not available so the ''',          $ts-loinc-version, ''' version of the code system was used in the assessment.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion,          ''' so the ''', $ts-loinc-version, ''' version of the LOINC code system was used in the assessment.') " />
    <xsl:variable name="ts-pbs-version-msg" select="if ($ts-pbs-version = '' or not(@codeSystem = '1.2.36.1.2001.1005.22' and $code-format-valid)) then ''        else if (not(@codeSystemVersion)) then concat(' The data element did not contain the codeSystemVersion attribute so the ''',          $ts-pbs-version, ''' version of the PBS code system was used in the assessment.')         else if (exists($ts-pbs[. = current()/@codeSystemVersion])) then          concat(' The ''', $ts-pbs-version, ''' version of the code system was used to validate the PBS code.')        else if (not(exists($ts-pbs[. = current()/@codeSystemVersion]))) then          concat(' The codeSystemVersion attribute has the correct format for PBS ''', @codeSystemVersion,          ''' but that version is not present in the Terminology Server so the ''', $ts-pbs-version,          ''' version of the PBS code system was used in the assessment.')        else if (matches(@codeSystemVersion, $pbs-version-regex)) then          concat(' The ''', @codeSystemVersion, ''' version of the PBS code system is not available so the ''',          $ts-pbs-version, ''' version of the code system was used in the assessment.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion,          ''' so the ''', $ts-pbs-version, ''' version of the PBS code system was used in the assessment.') " />
    <xsl:variable name="ts-pbsman-version-msg" select="if ($ts-pbsman-version = '' or not(@codeSystem = '1.2.36.1.2001.1005.23' and $code-format-valid)) then ''        else if (not(@codeSystemVersion)) then concat(' The data element did not contain the codeSystemVersion attribute so the ''',          $ts-pbsman-version, ''' version of the PBS Manufacturer code system was used in the assessment.')         else if (exists($ts-pbsman[. = current()/@codeSystemVersion])) then          concat(' The ''', $ts-pbsman-version, ''' version of the code system was used to validate the PBS Manufacturer code.')        else if (not(exists($ts-pbsman[. = current()/@codeSystemVersion]))) then          concat(' The codeSystemVersion attribute has the correct format for PBS Manufacturer ''', @codeSystemVersion,          ''' but that version is not present in the Terminology Server so the ''', $ts-pbsman-version,          ''' version of the PBS Manufacturer code system was used in the assessment.')        else if (matches(@codeSystemVersion, $pbsman-version-regex)) then          concat(' The ''', @codeSystemVersion, ''' version of the PBS Manufacturer code system is not available so the ''',          $ts-pbsman-version, ''' version of the code system was used in the assessment.')         else concat(' The codeSystemVersion attribute has an invalid value ''', @codeSystemVersion,          ''' so the ''', $ts-pbsman-version, ''' version of the PBS Manufacturer code system was used in the assessment.') " />
    <xsl:variable name="tc-auth-55-err" select="@codeSystem = '1.2.36.1.2001.1004.100' and (@code or @nullFlavor) and number(substring(/cda:ClinicalDocument/cda:effectiveTime/@value,1,4)) &gt; 2015" />
    <xsl:variable name="first-amtv3-xs" select="if (not($tc-auth-55-err) or $creation-date-est) then ''        else xs:date(concat(substring(substring-after($first-amtv3, 'version/'), 1, 4), '-', substring(substring-after($first-amtv3, 'version/'), 5, 2), '-', substring(substring-after($first-amtv3, 'version/'), 7, 2))) " />
    <xsl:variable name="tc-auth-55-msg-1" select="if (not($tc-auth-55-err and $code-valid)) then ''       else if ($is-tgi and exists($v-amtv3) and dh:IsFirstDateEarlierThanSecondDate($creation-date, substring-after($first-amt-in-sctau, '/version/')) = '1' and          dh:IsFirstDateEarlierThanSecondDate($creation-date, substring-after($first-amtv3, '/version/')) = '1') then 'CodeNotAMTv3'       else if ($use-ts-for-sctau and dh:IsFirstDateEarlierThanSecondDate($creation-date, substring-after($v-latest-snomedctau, 'version/')) != '1')         then dh:IsCodeInTerminologyValidUsingTS(@code, '2.16.840.1.113883.6.96', $ts-snomed-version)       else dh:IsCodeInTerminologyValid(@code, '2.16.840.1.113883.6.96', $v-latest-snomedctau) " />
    <xsl:variable name="tc-auth-55-msg-2" select="if ($tc-auth-55-msg-1 = 'CodeNotFound' and $use-ts-for-sctau) then dh:IsCodeInTerminologyValidUsingTS(@code, '2.16.840.1.113883.6.96', $ts-snomed-version)         else $tc-auth-55-msg-1 " />
    <xsl:variable name="error-usingTS-4" select="$error-usingTS-3 or 'Error' = $tc-auth-55-msg-2 " />
    <xsl:variable name="tc-auth-55-date-1" select="if ($tc-auth-55-msg-2 = 'CodeFoundInactive' and $use-ts-for-sctau)         then dh:FindLastUpdatedDateForCodeUsingTS(@code, '2.16.840.1.113883.6.96', $ts-latest-snomedctau) else '' " />
    <xsl:variable name="error-usingTS-5" select="$error-usingTS-4 or 'Error' = $tc-auth-55-date-1 " />
    <xsl:variable name="tc-auth-55-date" select="if (matches($tc-auth-55-date-1, '^CodeFoundInactive\|[0-9]{8}$')) then substring-after($tc-auth-55-date-1, '|') else '' " />
    <xsl:variable name="tc-auth-55-msg" select="if ($tc-auth-55-msg-2 != 'CodeFoundInactive') then $tc-auth-55-msg-2        else if ($tc-auth-55-date != '' and dh:IsFirstDateEarlierThanSecondDate(substring-after($first-amtv3, 'version/'), $tc-auth-55-date) = '1')          then 'ActiveInFirstAMTv3'         else 'CodeFoundInactive' " />
    <xsl:variable name="tc-auth-55-date-xs" select="if ($tc-auth-55-date = '' or $creation-date-est) then ''         else xs:date(concat(substring($tc-auth-55-date, 1, 4), '-', substring($tc-auth-55-date, 5, 2), '-', substring($tc-auth-55-date, 7, 2))) " />
    <xsl:variable name="invalid-namespace" select="$namespaces/namespace[$code-system-id = @invalid-namespace or starts-with($code-system-id, concat(@invalid-namespace, '.'))]" />
    <xsl:variable name="oid-prefix" select="$namespaces/namespace[$code-system-id = @OID-prefix]" />
    <xsl:variable name="cd-namespace-1" select="if (not($code-system-id)) then () else $namespaces/namespace[@OID and @OID = $code-system-id and @codeSystem = 'not-applicable'] " />
    <xsl:variable name="cd-namespace-2" select="if (not($code-system-id) or exists($cd-namespace-1)) then ()         else $namespaces/namespace[@OID-prefix and starts-with($code-system-id, concat(@OID-prefix, '.')) and @codeSystem = 'not-applicable'] " />
    <xsl:variable name="cd-namespace-3" select="if (count($cd-namespace-2) &gt; 1) then         $cd-namespace-2[@OID-prefix = replace(dh:OrderByLength(string-join($cd-namespace-2/@OID-prefix, '|'), false()), '(^[0-9\.]+)(\|.+$)', '$1', 'is')]         else $cd-namespace-2 " />
    <xsl:variable name="cd-namespace-temp" select="if (not($code-system-id)) then ()        else if (exists($cd-namespace-1)) then $cd-namespace-1        else $cd-namespace-3 " />
    <xsl:variable name="cd-namespace" select="if (count($cd-namespace-temp) = 1) then $cd-namespace-temp else () " />
    <xsl:variable name="cd-namespace-name" select="if ($cd-namespace) then $cd-namespace/@name else '' " />
    <xsl:variable name="not-value-domain-id" select="$cd-namespace" />
    <xsl:variable name="preferred-term-1" select="if (not($code-valid)) then ''        else if (@codeSystem = '1.2.36.1.2001.1005.22' and $use-ts-for-validity)          then dh:FindPreferredTermUsingTS(replace(@code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version)        else if (@codeSystem = '1.2.36.1.2001.1005.23' and $use-ts-for-validity)          then dh:FindPreferredTermUsingTS(@code, $ts-codeSystem, $ts-version)        else if (@codeSystem = '2.16.840.1.113883.6.1' and $use-ts-for-validity)          then dh:FindPreferredTermUsingTS(@code, $ts-codeSystem, $ts-version)        else if (@codeSystem = ('1.2.36.1.2001.1004.100', '1.2.36.1.2001.1005.22', '1.2.36.1.2001.1005.23'))         then dh:FindPreferredTermAndCaseSignificance(@code, @codeSystem, $v-term-version)        else '' " />
    <xsl:variable name="preferred-term" select="if (contains($preferred-term-1, '|')) then substring-before($preferred-term-1, '|') else $preferred-term-1 " />
    <xsl:variable name="preferred-term-test" select="if ($preferred-term = ('', 'Error', 'CodeNotFound')) then $preferred-term        else if (replace(normalize-space(lower-case($preferred-term)), ';', ',') = replace(normalize-space(lower-case(@displayName)), ';', ','))         then 'PreferredTermMatch'         else 'PreferredTermMismatch' " />
    <xsl:variable name="db-synonyms" select="if (exists($codevalues) or not($code-format-valid) or not($code-valid or $code-inactive)) then ''        else if ($use-amtv3 and @codeSystem = '2.16.840.1.113883.6.96')          then normalize-space(substring-before(dh:FindPreferredTermAndCaseSignificance(@code, @codeSystem, $v-latest-amtv3), '|'))        else if ($use-ts-for-validity and @codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace(@code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-codeSystem, $ts-version))        else if (@codeSystem = '2.16.840.1.113883.6.96' and $use-ts-for-sctau)         then normalize-space(dh:GetAllSynonymsForCodeUsingTS(@code, $ts-codeSystem, $ts-version))        else if (@codeSystem = '2.16.840.1.113883.6.1' and $use-ts-for-loinc)         then normalize-space(dh:GetAllSynonymsForCodeUsingTS(@code, $ts-codeSystem, $ts-version))        else if ($use-ts-for-validity)          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(@code, $ts-codeSystem, $ts-version))        else if (@codeSystem = ('1.2.36.1.2001.1004.100', '1.2.36.1.2001.1005.22', '1.2.36.1.2001.1005.23')) then $preferred-term        else '' " />
    <xsl:variable name="error-usingTS-6" select="$error-usingTS-5 or 'Error' = $db-synonyms " />
    <xsl:variable name="db-synonyms-seq-1" select="if ($db-synonyms = '' or $db-synonyms = 'Error') then () else tokenize($db-synonyms, '\|')[. != ''] " />
    <xsl:variable name="db-synonyms-seq" select="if (@codeSystem = '2.16.840.1.113883.6.96' and           count((for $synonym in $db-synonyms-seq-1 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)         then for $synonym in $db-synonyms-seq-1 return normalize-space(replace($synonym, '\([a-z ]+\)$', ''))         else distinct-values(($preferred-term, $db-synonyms-seq-1)) " />
    <xsl:variable name="synonyms-1" select="if (@codeSystem != '2.16.840.1.113883.6.96' and exists($codevalues))         then for $term in (($codevalues/@displayName, tokenize($codevalues/@synonyms, '\|'), tokenize($codevalues/@related-terms, '\|'))[. != ''])          return normalize-space($term)        else if (@codeSystem = '2.16.840.1.113883.6.96' and exists($codevalues))         then (concat($codevalues/@displayName, ' [', $codevalues/@caseSignificanceId, ']'), tokenize($codevalues/@synonyms, '\|'))[. != '']        else $db-synonyms-seq " />
    <xsl:variable name="synonyms" select="distinct-values((for $i in (1 to count($synonyms-1)) return         dh:XQueryRecursiveReplace($synonyms-1[$i], $term-pattern-replacement, 'ic')))[. != ''] " />
    <xsl:variable name="amp-esc-err" select="@displayName and matches(@displayName, $amp-esc-err-regex)" />
    <xsl:variable name="lt-esc-err" select="@displayName and matches(@displayName, $lt-esc-err-regex)" />
    <xsl:variable name="gt-esc-err" select="@displayName and matches(@displayName, $gt-esc-err-regex)" />
    <xsl:variable name="apos-esc-err" select="@displayName and matches(@displayName, $apos-esc-err-regex)" />
    <xsl:variable name="nbsp-esc-err" select="@displayName and matches(@displayName, $nbsp-esc-err-regex)" />
    <xsl:variable name="quot-esc-err" select="@displayName and matches(@displayName, $quot-esc-err-regex)" />
    <xsl:variable name="escape-err" select="$amp-esc-err or $lt-esc-err or $gt-esc-err or $apos-esc-err or $nbsp-esc-err or $quot-esc-err " />
    <xsl:variable name="confirmed-markup" select="@displayName and matches(@displayName, $confirmed-markup-regex, 'is')" />
    <xsl:variable name="transformed-synonyms" select="if (count($synonyms) &gt; 0) then (for $i in (1 to count($synonyms)) return         translate(normalize-space(lower-case(replace($synonyms[$i], '\[[0-9]+\]', ''))), $chars-to-remove, ''))[. != '']        else () " />
    <xsl:variable name="dn-no-markup" select="if (@displayName) then replace(@displayName, $markup-regex, '') else '' " />
    <xsl:variable name="normalised-displayName" select="if (@displayName) then translate(normalize-space(lower-case($dn-no-markup)), $chars-to-remove, '') else '' " />
    <xsl:variable name="use-default-search" select="@codeSystem != '2.16.840.1.113883.6.96' or (exists($codevalues) and @codeSystem != '2.16.840.1.113883.6.96') or exists($db-synonyms-seq) " />
    <xsl:variable name="default-match" select="$use-default-search and ($preferred-term-test = 'PreferredTermMatch' or         ($normalised-displayName != '' and exists($transformed-synonyms) and $normalised-displayName = $transformed-synonyms)) " />
    <xsl:variable name="anzsco-nec-65-err" select="@codeSystem = '2.16.840.1.113883.13.62' and $use-default-search and not($default-match) and matches(@displayName, '\snec\s*$', 'is') and         not(matches(@code, '9$')) " />
    <xsl:variable name="anzsco-nfd-65-err" select="@codeSystem = '2.16.840.1.113883.13.62' and $use-default-search and not($default-match) and matches(@displayName, '\snfd\s*$', 'is') and         not(matches(@code, '0$')) " />
    <xsl:variable name="dhist-search" select="@codeSystem = '2.16.840.1.113883.6.96' and $code-format-valid and @displayName and $use-default-search and not($default-match) " />
    <xsl:variable name="pterm-change-date-1" select="if ($dhist-search) then dh:LatestDateForPreferredTerm(@code, '2.16.840.1.113883.6.96', $v-latest-snomedctau)  else '' " />
    <xsl:variable name="error-usingV-2" select="$error-usingV-1 or 'Error' = $pterm-change-date-1" />
    <xsl:variable name="pterm-change-date" select="if (matches($pterm-change-date-1, '^[0-9]{8}\|')) then substring-before($pterm-change-date-1, '|') else '' " />
    <xsl:variable name="dhist-search-using-ts" select="if (not($dhist-search and $use-ts-for-sctau)) then false()        else if ($pterm-change-date = '') then true()        else not(dh:IsFirstDateEarlierThanSecondDate($pterm-change-date, $ts-earliest-sctau-date) = '1') " />
    <xsl:variable name="dhist-vers-1" select="if ($dhist-search-using-ts) then tokenize($ts-snomedctau-pre-ordered, '\|') else () " />
    <xsl:variable name="dhist-vers-2" select="index-of($dhist-vers-1, substring-after($ts-snomed-version, 'version/')) " />
    <xsl:variable name="dhist-vers-3" select="if (exists($dhist-vers-2) and count($dhist-vers-1) &gt; $dhist-vers-2[1]) then $dhist-vers-1[$dhist-vers-2[1] + 1] else '' " />
    <xsl:variable name="dhist-vers-4" select="if ($dhist-vers-3 = '') then '' else concat('http://snomed.info/sct/32506021000036107/version/', $dhist-vers-3) " />
    <xsl:variable name="dhist-vers-5" select="if ($dhist-search and $dhist-vers-4 != '')         then dh:FindLatestVersionWhereDisplaynameMatchUsingTS(@code, @codeSystem, $dhist-vers-4, @displayName, false()) else '' " />
    <xsl:variable name="error-usingTS-7" select="$error-usingTS-6 or 'Error' = $dhist-vers-5 " />
    <xsl:variable name="dhist-vers-found-1" select="matches($dhist-vers-5, 'http') " />
    <xsl:variable name="dhist-vers-6" select="if ($dhist-vers-5 = 'PreferredTermNeverMatches' and matches(@code, $sctau-namespace-id-regex))         then dh:IsCodePreferredTermInTerminologyValid(@code, '2.16.840.1.113883.6.96', $v-latest-amtv3, @displayName)        else '' " />
    <xsl:variable name="dhist-vers-found-2" select="$dhist-vers-6 = 'PreferredTermMatch' " />
    <xsl:variable name="dhist-vers-7" select="if ($dhist-vers-6 = 'PreferredTermMismatch' and $v-latest-amtv2 = $last-amtv2)         then dh:IsCodePreferredTermInTerminologyValid(@code, '1.2.36.1.2001.1004.100', $last-amtv2, @displayName)        else '' " />
    <xsl:variable name="dhist-vers-found-3" select="$dhist-vers-7 = 'PreferredTermMatch' " />
    <xsl:variable name="dhist-vers-found" select="$dhist-vers-found-1 or $dhist-vers-found-2 or $dhist-vers-found-3 " />
    <xsl:variable name="dhist-vers-date" select="if ($dhist-vers-found-1) then substring-after($dhist-vers-5, 'http://snomed.info/sct/32506021000036107/version/')         else if ($dhist-vers-found-2) then substring-after($v-latest-amtv3, 'http://snomed.info/sct/900062011000036108/version/')        else if ($dhist-vers-found-3) then $last-amtv2-date        else '' " />
    <xsl:variable name="dhist-vers-yr" select="substring($dhist-vers-date, 1, 4)" />
    <xsl:variable name="dhist-vers-mn" select="substring($dhist-vers-date, 5, 2)" />
    <xsl:variable name="dhist-vers-dy" select="substring($dhist-vers-date, 7, 2)" />
    <xsl:variable name="dhist-vers-xs" select="if ($dhist-vers-found) then xs:date(concat($dhist-vers-yr, '-', $dhist-vers-mn, '-', $dhist-vers-dy)) else '' " />
    <xsl:variable name="dhist-last-vers" select="if ($dhist-vers-found) then concat($dhist-vers-dy, ' ', $knowledge/months/month[@number = $dhist-vers-mn]/@abbreviation, ' ', $dhist-vers-yr)         else '' " />
    <xsl:variable name="dhist-last-diff" select="if ($sctau-last-xs = '' or $dhist-vers-xs = '') then ''        else if (not(matches($sctau-last-xs - $dhist-vers-xs, '^P[0-9]+D'))) then ''        else substring-before(substring-after($sctau-last-xs - $dhist-vers-xs, 'P'), 'D') " />
    <xsl:variable name="dhist-last-old" select="if ($sctau-last-xs = '' or $dhist-vers-xs = '') then false() else not(number($dhist-last-diff) &lt; $sctau-acceptable-age) " />
    <xsl:variable name="dname-found-in" select="if ($dhist-vers-found-1) then 'last used in the version of SNOMED CT-AU'        else if ($dhist-vers-found-2) then 'used in the version of AMT v3'        else if ($dhist-vers-found-3) then 'used in the version of AMT v2'        else '' " />
    <xsl:variable name="dhist-last-msg" select="if ($dhist-vers-date = '') then ''         else concat(' The value of the displayName was ', $dname-found-in, ' published on the ', $dhist-last-vers,         '. That version was published ', $dhist-last-diff, ' days before the version of SNOMED CT-AU published immediately prior to the date ''',        /cda:ClinicalDocument/cda:effectiveTime/@value, ''' this ',        $document-name, ' was created. SNOMED CT-AU is published monthly and the Australian National Terminology Licence Agreement requires ',        'the copy used in healthcare software systems (live or production environments) to be updated within 30 days of the National Terminology release.')" />
    <xsl:variable name="synonyms-1a" select="$synonyms[contains(., '900000000000017005')] " />
    <xsl:variable name="synonyms-1b" select="for $i in (1 to count($synonyms-1a)) return normalize-space(replace($synonyms-1a[$i], '\[[0-9]+\]', '')) " />
    <xsl:variable name="synonyms-2a" select="$synonyms[contains(., '900000000000448009')] " />
    <xsl:variable name="synonyms-2b" select="for $i in (1 to count($synonyms-2a)) return normalize-space(replace($synonyms-2a[$i], '\[[0-9]+\]', '')) " />
    <xsl:variable name="synonyms-3a" select="$synonyms[contains(., '900000000000020002')] " />
    <xsl:variable name="synonyms-3b" select="for $i in (1 to count($synonyms-3a)) return normalize-space(replace($synonyms-3a[$i], '\[[0-9]+\]', '')) " />
    <xsl:variable name="l-displayName" select="lower-case(@displayName)" />
    <xsl:variable name="f-displayName" select="@displayName" />
    <xsl:variable name="part-match-1a" select="$synonyms-1b[lower-case(.) = $l-displayName] " />
    <xsl:variable name="part-match-1b" select="count($part-match-1a) &gt; 0 " />
    <xsl:variable name="full-match-1" select="count($synonyms-1b[. = $f-displayName]) &gt; 0 " />
    <xsl:variable name="full-match-2" select="count($synonyms-2b[lower-case(.) = $l-displayName]) &gt; 0 " />
    <xsl:variable name="part-match-3a" select="$synonyms-3b[lower-case(.) = $l-displayName] " />
    <xsl:variable name="part-match-3b" select="count($part-match-3a) &gt; 0 " />
    <xsl:variable name="full-match-3" select="count($synonyms-3b[lower-case(substring(., 1, 1)) = lower-case(substring($f-displayName, 1, 1)) and substring(., 2) = substring($f-displayName, 2)]) &gt; 0 " />
    <xsl:variable name="snomed-match" select="$full-match-1 or $full-match-2 or $full-match-3 " />
    <xsl:variable name="snomed-message" select=" if (not(@displayName) or $snomed-match or not(@codeSystem = '2.16.840.1.113883.6.96')) then '' else       if ($part-match-1b and not($full-match-1)) then concat(' ', normalize-space(concat('The value of the displayName attribute matches the term ''',         $part-match-1a[1], ''' but the case is not correct. The specified case significance for this term is ''',        $caseSignificances/caseSignificance[@value = '900000000000017005']/@name, ''' (',          $caseSignificances/caseSignificance[@value = '900000000000017005']/@explanation, ')'))) else       if ($part-match-3b and not($full-match-3)) then concat(' ', normalize-space(concat('The value of the displayName attribute matches the term ''',         $part-match-3a[1], ''' but the case is not correct. The specified case significance for this term is ''',        $caseSignificances/caseSignificance[@value = '900000000000020002']/@name, ''' (',          $caseSignificances/caseSignificance[@value = '900000000000020002']/@explanation, ')'))) else        ' The value of the displayName attribute does not match any of the synonymous terms for the code.' " />
    <xsl:variable name="types-65-warn-1" select="if ($dn-no-markup = '') then false() else (       (@codeSystem = '1.2.36.1.2001.1005.22' and $preferred-term-test = 'PreferredTermMismatch' and not(($use-ts-for-validity and $ts-has-version) or $v-has-version))  or       (@codeSystem = '1.2.36.1.2001.1005.23' and $preferred-term-test = 'PreferredTermMismatch' and not((($use-ts-for-validity and $ts-has-version) or $v-has-version)))  or       (@codeSystem = '2.16.840.1.113883.6.96' and $use-default-search and not($default-match or $is-tgi-with-pterm-requirement) and $dhist-search and $dhist-vers-date = '')  or       (@codeSystem = '2.16.840.1.113883.13.62' and $codevalues and not($default-match or $anzsco-nec-65-err or $anzsco-nfd-65-err))       or       (not(@codeSystem = '2.16.840.1.113883.6.96') and $codevalues and not($default-match))            ) " />
    <xsl:variable name="dn-regex" select="if ($types-65-warn-1) then concat('(^|\|)', normalize-space(translate($dn-no-markup, $chars-to-remove, '')), '(\||$)') else '' " />
    <xsl:variable name="dn-rcpa" select="if (ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]        and ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']])         then ($spia-sctau/system[@codeSystem=current()/@codeSystem]/rcpa, $spia-loinc/system[@codeSystem=current()/@codeSystem]/rcpa)       else if (ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']])        then $spia-sctau/system[@codeSystem=current()/@codeSystem]/rcpa       else () " />
    <xsl:variable name="dn-related-1" select="if ($dn-regex = '') then () else (       (for $concept in         ($codesystemvalues/code[@related-terms], $codesystemvalues/related-terms[@related-terms], $dn-rcpa[@related-terms])         return if (matches(translate($concept/@related-terms, $chars-no-pipe, ''), $dn-regex, 'i')) then $concept/@code else ''),       (for $concept in $dn-rcpa[@rcpa-terms]         return if (matches(translate($concept/@rcpa-terms, $chars-no-pipe, ''), $dn-regex, 'i')) then $concept/@code else ''),       if (@codeSystem = '2.16.840.1.113883.13.62') then for $concept in $codesystemvalues/code[@synonyms]         return if (matches(translate($concept/@synonyms, $chars-no-pipe, ''), $dn-regex, 'i')) then $concept/@code else '' else ())[. != ''] " />
    <xsl:variable name="max-code-number" select="if ($knowledge/search-for-term/max-sct-code-number/@value &gt; '5') then $knowledge/search-for-term/max-sct-code-number/@value else '5' " />
    <xsl:variable name="dn-related-2" select="if ($types-65-warn-1 and @codeSystem = '2.16.840.1.113883.6.96' and not(exists($dn-related-1)))        then dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', concat('(', @code, ' OR &lt;!', @code, ')'), $dn-no-markup, $max-code-number, false())        else '' " />
    <xsl:variable name="error-usingTS-8" select="$error-usingTS-7 or 'Error' = $dn-related-2 " />
    <xsl:variable name="dn-same-concept" select="(exists($dn-related-1) and @code = $dn-related-1) or matches($dn-related-2, '^[0-9]') " />
    <xsl:variable name="dn-oth-concept" select="exists($dn-related-1) and not(@code = $dn-related-1) " />
    <xsl:variable name="types-65-err" select="$types-65-warn-1 and ($dn-oth-concept or ($dn-same-concept and @codeSystem = ('1.2.36.1.2001.1005.22', '2.16.840.1.113883.6.96'))) " />
    <xsl:variable name="types-65-no-err" select="$types-65-warn-1 and $dn-same-concept and not(@codeSystem = ('1.2.36.1.2001.1005.22', '2.16.840.1.113883.6.96')) " />
    <xsl:variable name="types-65-warn" select="$types-65-warn-1 and not($types-65-err or $types-65-no-err) " />
    <xsl:variable name="no-codeinfo" select="$codesystemvalues/@no-code-information = 'true' and not(exists($db-synonyms-seq))" />
    <xsl:variable name="related-terms" select="if ($related-term-source/@rcpa-terms and $related-term-source/@related-terms)         then (tokenize(translate($related-term-source/@rcpa-terms, codepoints-to-string((38)), ''), '\|'),          tokenize(translate($related-term-source/@related-terms, codepoints-to-string((38)), ''), '\|'))        else if ($related-term-source/@rcpa-terms and not($related-term-source/@related-terms))         then tokenize(translate($related-term-source/@rcpa-terms, codepoints-to-string((38)), ''), '\|')         else if (not($related-term-source/@rcpa-terms) and $code-system-id='1.2.36.1.2001.1005.17' and exists($codevalues))         then tokenize(translate(string-join(($codevalues/@disease, $related-term-source/@related-terms), '|'), codepoints-to-string((38)), ''), '\|')         else if (not($related-term-source/@rcpa-terms) and $related-term-source/@related-terms)         then tokenize(translate($related-term-source/@related-terms, codepoints-to-string((38)), ''), '\|')         else () " />
    <xsl:variable name="otext-without-markup" select="if (local-name(.) != 'translation' and cda:originalText) then replace(cda:originalText, $markup-regex, '')         else if (local-name(.) = 'translation' and ../cda:originalText) then replace(../cda:originalText, $markup-regex, '')        else '' " />
    <xsl:variable name="null-otext-value" select="not(cda:originalText/@nullFlavor) and not(normalize-space($otext-without-markup) = '') and matches($otext-without-markup, $regex-non-values, 'is')  " />
    <xsl:variable name="null-otext-error" select=" $null-otext-value and @code and $codesystemvalues/@no-non-values = 'true' " />
    <xsl:variable name="char-regex" select="if ($is-tgi) then $tgi-char-regex else $default-char-regex " />
    <xsl:variable name="comparison-regex-1" select="'([a-z0-9])([\[\(])([a-z0-9])~$1 $2$3~([a-z0-9])([\]\)])([a-z0-9])~$1$2 $3'" />
    <xsl:variable name="comparison-regex-2" select="if ($tgi-regex = '') then $comparison-regex-1 else concat($comparison-regex-1, '~', $tgi-regex) " />
    <xsl:variable name="comparison-regex" select="concat($comparison-regex-2, '~', '([0-9a-zA-Z])[+/]([0-9a-z])~$1 $2~([0-9])([a-z])~$1 $2~([a-z])([0-9])~$1 $2~([a-z]{3,})s ~$1 ~([a-z]{3,})s$~$1',        '~', $char-regex, '~ ') " />
    <xsl:variable name="revised-otext-1" select="normalize-space(dh:XQueryRecursiveReplace(if (matches($otext-without-markup, '^[A-Z\.]+$'))         then replace($otext-without-markup, '\.', '') else $otext-without-markup, $comparison-regex, 'ic')) " />
    <xsl:variable name="revised-otext" select="normalize-space(translate(lower-case($revised-otext-1), $chars-no-space, '')) " />
    <xsl:variable name="otext-words" select="distinct-values(tokenize($revised-otext, ' '))" />
    <xsl:variable name="otext-count" select="count($otext-words)" />
    <xsl:variable name="use-displayName" select="@code and normalize-space(@displayName) != '' and not(exists($db-synonyms-seq)) and         (not($codesystemvalues) or $codesystemvalues/@no-code-information = 'true' or not($codevalues)) " />
    <xsl:variable name="otext-synonyms-1" select="if ($use-displayName) then (@displayName, $related-terms)        else (for $i in (1 to count($synonyms)) return replace($synonyms[$i], '\[[0-9]+\]', ''), $related-terms) " />
    <xsl:variable name="otext-synonyms-2" select="(for $i in (1 to count($otext-synonyms-1)) return         normalize-space(dh:XQueryRecursiveReplace(if (matches($otext-synonyms-1[$i], '^[A-Z\.]+$'))         then replace($otext-synonyms-1[$i], '\.', '') else $otext-synonyms-1[$i], $comparison-regex, 'ic')))[. != ''] " />
    <xsl:variable name="otext-synonyms" select="(for $i in (1 to count($otext-synonyms-2)) return normalize-space(translate(lower-case($otext-synonyms-2[$i]), $chars-no-space, '')))[. != ''] " />
    <xsl:variable name="otext-synonyms-num" select="count($otext-synonyms)" />
    <xsl:variable name="otext-to-match" select="$flag-assess-values and @code and $otext-count &gt; 0 and $otext-synonyms-num &gt; 0" />
    <xsl:variable name="otext-synonyms-count-1" select="for $i in (1 to $otext-synonyms-num) return count(distinct-values(tokenize($otext-synonyms[$i], ' '))) " />
    <xsl:variable name="otext-synonyms-count-2" select="for $i in (1 to $otext-synonyms-num) return         $otext-count + $otext-synonyms-count-1[$i] - count(distinct-values(($otext-words, tokenize($otext-synonyms[$i], ' '))))" />
    <xsl:variable name="otext-synonyms-count-3" select="for $i in (1 to $otext-synonyms-num) return         (($otext-synonyms-count-2[$i] div $otext-count) + ($otext-synonyms-count-2[$i] div $otext-synonyms-count-1[$i])) div 2 &gt;= $min-word-match-ratio " />
    <xsl:variable name="otext-match" select="$otext-to-match and exists($otext-synonyms-count-3[. = true()])" />
    <xsl:variable name="code-type" select="if (local-name(.) = 'translation') then 'translation' else 'primary' " />
    <xsl:variable name="otext-translation" select="if (local-name(.) = 'translation' and ../cda:originalText) then         concat(' The originalText used for the comparison is that of the parent element and has the value ',          codepoints-to-string(34), dh:XQueryRecursiveReplace(../cda:originalText, $markup-pattern-replacement, 'ic'), codepoints-to-string(34), '.')        else '' " />
    <xsl:variable name="otext-message" select="if (not($otext-to-match)) then ''        else if ($use-displayName and not($otext-match))        then concat(' The value of the displayName attribute was used to match the originalText element as synonyms of the ', $code-type, ' code ',          codepoints-to-string(34), @code, codepoints-to-string(34), ' were not available.')        else if (not($use-displayName) and not($otext-match) and exists($synonyms))        then concat(' The synonyms (''', string-join($synonyms, ''', '''), ''') of the ', $code-type, ' code ',          codepoints-to-string(34), @code, codepoints-to-string(34), ' were used to match the originalText element.')        else '' " />
    <xsl:variable name="otext-synonyms-msg" select="if (exists($synonyms)) then concat(' The synonyms are ''', string-join($synonyms, '; '), '''.') else '' " />
    <xsl:variable name="v-timestamp" select="if (@codeSystem = '1.2.36.1.2001.1005.21' and matches(@codeSystemVersion, $mbs-version-regex)) then concat(@codeSystemVersion, '01')       else if (@codeSystem = '1.2.36.1.2001.1005.22' and matches(@codeSystemVersion, $pbs-version-regex)) then @codeSystemVersion       else if (@codeSystem = '1.2.36.1.2001.1005.23' and matches(@codeSystemVersion, $pbsman-version-regex)) then @codeSystemVersion       else if (@codeSystem = '1.2.36.1.2001.1005.24' and matches(@codeSystemVersion, $saan-version-regex)) then @codeSystemVersion       else if (@codeSystem = '2.16.840.1.113883.6.96' and matches(@codeSystemVersion, $snomed-version-regex-2))         then substring-after(@codeSystemVersion, '/version/')        else  '' " />
    <xsl:variable name="v-timestamp-yr" select="substring($v-timestamp, 1, 4)" />
    <xsl:variable name="v-timestamp-mn" select="substring($v-timestamp, 5, 2)" />
    <xsl:variable name="v-timestamp-dy" select="substring($v-timestamp, 7, 2)" />
    <xsl:variable name="v-timestamp-err" select="not(concat($v-timestamp-yr, '-', $v-timestamp-mn, '-', $v-timestamp-dy) castable as xs:date) " />
    <xsl:variable name="sctid" select="substring-before(substring-after(@codeSystemVersion, 'http://snomed.info/sct/'), '/version/')" />
    <xsl:variable name="sctau-v-inv" select="@codeSystem = '2.16.840.1.113883.6.96' and matches(@codeSystemVersion, $snomedctau-version-regex) and not($v-timestamp-err) and        count($ts-snomedctau) &gt; 1 and dh:IsFirstDateEarlierThanSecondDate($ts-earliest-sctau-date, $v-timestamp) = '1' and       not(exists($ts-snomedctau[. = current()/@codeSystemVersion])) and       not(substring($v-timestamp, 5, 4) = ('0131', '0228', '0229', '0331', '0430', '0531', '0630', '0731', '0831', '0930', '1031', '1130', '1231'))" />
    <xsl:variable name="creation-before-sctau-v" select="not($creation-date-est) and dh:IsFirstDateEarlierThanSecondDate($creation-date-actual, $v-timestamp) = '1'" />
    <xsl:variable name="primary" select="if (local-name(.) = 'translation' and ../@code and ../@codeSystem) then .. else () " />
    <xsl:variable name="pcodesystemvalues" select="if (exists($primary)) then $code-systems/system[@codeSystem = $primary/@codeSystem] else ()" />
    <xsl:variable name="pcode-information" select="exists($pcodesystemvalues) and not($pcodesystemvalues/@no-code-information = 'true')" />
    <xsl:variable name="pcodevalues" select="if ($pcode-information) then $pcodesystemvalues/code[@code = $primary/@code] else () " />
    <xsl:variable name="prelated-rcpa" select="if (exists($pcodevalues)) then ()         else if ($primary/@codeSystem = '2.16.840.1.113883.6.96') then $spia-sctau/system/rcpa[@code = $primary/@code]        else if ($primary/@codeSystem = '2.16.840.1.113883.6.1') then $spia-loinc/system/rcpa[@code = $primary/@code]        else () " />
    <xsl:variable name="prelated-term-source" select="if (exists($pcodevalues)) then $pcodevalues         else if (exists($prelated-rcpa)) then $prelated-rcpa        else $pcodesystemvalues/related-terms[@code = $primary/@code] " />
    <xsl:variable name="prelated-terms" select="if ($prelated-term-source/@rcpa-terms and $prelated-term-source/@related-terms)         then (tokenize(translate($prelated-term-source/@rcpa-terms, codepoints-to-string((38)), ''), '\|'),          tokenize(translate($prelated-term-source/@related-terms, codepoints-to-string((38)), ''), '\|'))        else if ($prelated-term-source/@rcpa-terms and not($prelated-term-source/@related-terms))         then tokenize(translate($prelated-term-source/@rcpa-terms, codepoints-to-string((38)), ''), '\|')         else if (not($prelated-term-source/@rcpa-terms) and $primary/@codeSystem='1.2.36.1.2001.1005.17' and exists($pcodevalues))         then tokenize(translate(string-join(($pcodevalues/@disease, $prelated-term-source/@related-terms), '|'), codepoints-to-string((38)), ''), '\|')         else if (not($prelated-term-source/@rcpa-terms) and $prelated-term-source/@related-terms)         then tokenize(translate($prelated-term-source/@related-terms, codepoints-to-string((38)), ''), '\|')         else () " />
    <xsl:variable name="v-pamtv2-version" select="if (not($primary/@codeSystem = '1.2.36.1.2001.1004.100')) then ''        else if (not($primary/@codeSystemVersion)) then $v-latest-amtv2        else if ($primary/@codeSystemVersion and exists($v-amtv2[. = $primary/@codeSystemVersion])) then $primary/@codeSystemVersion        else $v-latest-amtv2 " />
    <xsl:variable name="v-ppbs-version" select="if (not($primary/@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($primary/@codeSystemVersion)) then $v-latest-pbs        else if ($primary/@codeSystemVersion and exists($v-pbs[. = $primary/@codeSystemVersion])) then $primary/@codeSystemVersion        else $v-latest-pbs " />
    <xsl:variable name="v-ppbsman-version" select="if (not($primary/@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($primary/@codeSystemVersion)) then $v-latest-pbsman        else if ($primary/@codeSystemVersion and exists($v-pbsman[. = $primary/@codeSystemVersion])) then $primary/@codeSystemVersion        else $v-latest-pbsman " />
    <xsl:variable name="psnomed-id" select="if (not($primary/@codeSystem = '2.16.840.1.113883.6.96')) then 'not-snomed'        else if (not($primary/@codeSystemVersion)) then 'snomedctau'        else if (matches($primary/@codeSystemVersion, $snomed-version-regex-1)) then 'snomedct'        else if (matches($primary/@codeSystemVersion, $amtv3-version-regex)) then 'amtv3'        else if (matches($primary/@codeSystemVersion, $snomedctau-version-regex)) then 'snomedctau'        else if (matches($primary/@codeSystemVersion, $snomed-version-regex-2)) then 'snomedct'        else 'snomed' " />
    <xsl:variable name="psnomed-type" select="if ($psnomed-id = 'amtv3') then 'AMT v3'        else if ($psnomed-id = 'snomedctau') then 'SNOMED CT-AU'        else if ($psnomed-id = 'snomedct') then 'SNOMED CT'        else '' " />
    <xsl:variable name="v-psnomed-version" select="if ( not($primary/@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if ($psnomed-id = 'amtv3' and $primary/@codeSystemVersion and exists($v-amtv3[. = $primary/@codeSystemVersion])) then $primary/@codeSystemVersion        else if ($psnomed-id = 'amtv3') then $v-latest-amtv3        else if ($psnomed-id = 'snomedctau' and $primary/@codeSystemVersion and exists($v-snomedctau[. = $primary/@codeSystemVersion]))          then $primary/@codeSystemVersion        else if ($psnomed-id = 'snomedctau' and $primary/@codeSystemVersion and exists($sctau-versions-old[. = $primary/@codeSystemVersion]))          then $v-latest-snomedctau        else $v-latest-snomedctau " />
    <xsl:variable name="ts-psnomed-version" select="if (not($primary/@codeSystem = '2.16.840.1.113883.6.96')) then ''        else if (not($primary/@codeSystemVersion)) then $ts-latest-snomedctau        else if ($psnomed-id = 'snomedctau' and exists($ts-snomedctau[. = $primary/@codeSystemVersion])) then $primary/@codeSystemVersion        else if ($psnomed-id = 'snomedctau' and exists($sctau-versions-old[. = $primary/@codeSystemVersion])) then $ts-latest-snomedctau        else $ts-latest-snomedctau " />
    <xsl:variable name="ts-ploinc-version" select="if (not($primary/@codeSystem = '2.16.840.1.113883.6.1')) then ''        else if (not($primary/@codeSystemVersion)) then $ts-latest-loinc        else if ($primary/@codeSystemVersion and exists($ts-loinc[. = $primary/@codeSystemVersion])) then $primary/@codeSystemVersion        else $ts-latest-loinc " />
    <xsl:variable name="ts-ppbs-version" select="if (not($primary/@codeSystem = '1.2.36.1.2001.1005.22')) then ''        else if (not($primary/@codeSystemVersion)) then $ts-latest-pbs        else if ($primary/@codeSystemVersion and exists($ts-pbs[. = $primary/@codeSystemVersion])) then $primary/@codeSystemVersion        else $ts-latest-pbs " />
    <xsl:variable name="ts-ppbsman-version" select="if (not($primary/@codeSystem = '1.2.36.1.2001.1005.23')) then ''        else if (not($primary/@codeSystemVersion)) then $ts-latest-pbsman        else if ($primary/@codeSystemVersion and exists($ts-pbsman[. = $primary/@codeSystemVersion])) then $primary/@codeSystemVersion        else $ts-latest-pbsman " />
    <xsl:variable name="use-ts-for-psynonyms" select="not(exists($pcodevalues)) and $primary/@code and $primary/@codeSystem and (        ($primary/@codeSystem = '2.16.840.1.113883.6.1' and matches($primary/@code, $loinc-code-regex, 'i') and $use-ts-for-loinc) or        ($primary/@codeSystem = '1.2.36.1.2001.1005.22' and matches($primary/@code, $pbs-code-regex) and $use-ts-for-pbs)  or        ($primary/@codeSystem = '1.2.36.1.2001.1005.23' and matches($primary/@code, $pbsman-code-regex) and $use-ts-for-pbsman)  or        ($primary/@codeSystem = '2.16.840.1.113883.6.96' and matches($primary/@code, $snomed-code-regex) and $use-ts-for-sctau)  ) " />
    <xsl:variable name="ts-pcodeSystem" select="if (not($use-ts-for-psynonyms)) then '' else $primary/@codeSystem " />
    <xsl:variable name="ts-pversion" select="if (not($use-ts-for-psynonyms)) then ''         else if ($primary/@codeSystem = '2.16.840.1.113883.6.96') then $ts-psnomed-version        else if ($primary/@codeSystem = '2.16.840.1.113883.6.1') then $ts-ploinc-version        else if ($primary/@codeSystem = '1.2.36.1.2001.1005.22') then $ts-ppbs-version        else if ($primary/@codeSystem = '1.2.36.1.2001.1005.23') then $ts-ppbsman-version        else '' " />
    <xsl:variable name="use-v-for-psynonyms" select="not(exists($pcodevalues) or $use-ts-for-psynonyms) and $primary/@code and $primary/@codeSystem and (        ($primary/@codeSystem = '1.2.36.1.2001.1004.100' and matches($primary/@code, $amtv2-code-regex)) or        ($primary/@codeSystem = '1.2.36.1.2001.1005.22' and matches($primary/@code, $pbs-code-regex))  or        ($primary/@codeSystem = '1.2.36.1.2001.1005.23' and matches($primary/@code, $pbsman-code-regex)) ) " />
    <xsl:variable name="v-pversion" select="if (not($use-v-for-psynonyms)) then ''         else if ($primary/@codeSystem = '1.2.36.1.2001.1004.100') then $v-pamtv2-version        else if ($primary/@codeSystem = '1.2.36.1.2001.1005.22') then $v-ppbs-version        else if ($primary/@codeSystem = '1.2.36.1.2001.1005.23') then $v-ppbsman-version        else '' " />
    <xsl:variable name="db-psynonyms" select="if (not($flag-assess-values) or exists($pcodevalues)) then ''        else if ($use-ts-for-psynonyms and $primary/@codeSystem = '1.2.36.1.2001.1005.22')          then normalize-space(dh:GetAllSynonymsForCodeUsingTS(replace($primary/@code, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), $ts-pcodeSystem, $ts-pversion))        else if ($use-ts-for-psynonyms) then normalize-space(dh:GetAllSynonymsForCodeUsingTS($primary/@code, $ts-pcodeSystem, $ts-pversion))        else if ($use-v-for-psynonyms)          then substring-before(dh:FindPreferredTermAndCaseSignificance($primary/@code, $primary/@codeSystem, $v-pversion), '|')        else '' " />
    <xsl:variable name="error-usingTS-9" select="$error-usingTS-8 or 'Error' = $db-psynonyms " />
    <xsl:variable name="db-psynonyms-seq-1" select="if ($db-psynonyms = '' or $db-psynonyms = 'Error') then () else tokenize($db-psynonyms, '\|')[. != ''] " />
    <xsl:variable name="db-psynonyms-seq" select="if (@codeSystem = '2.16.840.1.113883.6.96' and           count((for $synonym in $db-psynonyms-seq-1 return if (matches($synonym, '\([a-z ]+\)$')) then '1' else '0')[. = '1']) = 1)         then for $synonym in $db-psynonyms-seq-1 return normalize-space(replace($synonym, '\([a-z ]+\)$', ''))         else $db-psynonyms-seq-1 " />
    <xsl:variable name="use-pdisplayName" select="$flag-assess-values and $primary/@displayName and not(exists($db-psynonyms-seq)) and not(exists($pcodevalues)) " />
    <xsl:variable name="psynonyms-1" select="if ($flag-assess-values and exists($pcodevalues/@synonyms)) then replace($pcodevalues/@synonyms, '\[[0-9]+\]', '') else '' " />
    <xsl:variable name="psynonyms-2" select="distinct-values(if ($use-pdisplayName) then (replace($primary/@displayName, $markup-regex, ''), $prelated-terms)        else if (exists($pcodevalues)) then ($pcodevalues/@displayName, tokenize($psynonyms-1, '\|'), $prelated-terms)         else $db-psynonyms-seq) " />
    <xsl:variable name="psynonyms-3" select="(for $i in (1 to count($psynonyms-2)) return normalize-space(dh:XQueryRecursiveReplace($psynonyms-2[$i], $comparison-regex, 'ic')))[. != '']" />
    <xsl:variable name="psynonyms" select="(for $i in (1 to count($psynonyms-3)) return normalize-space(translate(lower-case($psynonyms-3[$i]), $chars-no-space, '')))[. != '']" />
    <xsl:variable name="psynonyms-num" select="count($psynonyms)" />
    <xsl:variable name="ptext-to-match" select="$flag-assess-values and $psynonyms-num &gt; 0 " />
    <xsl:variable name="use-tdisplayName" select="$use-displayName" />
    <xsl:variable name="tsynonyms" select="if (local-name(.) = 'translation') then $otext-synonyms else ()" />
    <xsl:variable name="tsynonyms-num" select="count($tsynonyms)" />
    <xsl:variable name="ttext-to-match" select="$tsynonyms-num &gt; 0 " />
    <xsl:variable name="psynonyms-count-1" select="if ($ptext-to-match and $ttext-to-match) then        for $i in (1 to $psynonyms-num) return count(distinct-values(tokenize($psynonyms[$i], ' '))) else () " />
    <xsl:variable name="tsynonyms-count" select="if ($ptext-to-match and $ttext-to-match) then        for $i in (1 to $tsynonyms-num) return count(distinct-values(tokenize($tsynonyms[$i], ' '))) else () " />
    <xsl:variable name="psynonyms-count-2" select="if ($ptext-to-match and $ttext-to-match)         then for $i in (1 to $psynonyms-num) return          exists((for $j in (1 to $tsynonyms-num) return           (           (            (             $psynonyms-count-1[$i] + $tsynonyms-count[$j] - count(distinct-values((tokenize($psynonyms[$i], ' '), tokenize($tsynonyms[$j], ' '))))            ) div $psynonyms-count-1[$i]            +            (             $psynonyms-count-1[$i] + $tsynonyms-count[$j] - count(distinct-values((tokenize($psynonyms[$i], ' '), tokenize($tsynonyms[$j], ' '))))            ) div $tsynonyms-count[$j]           ) div 2 &gt;= $min-word-match-ratio          )         )[. = true()])        else () " />
    <xsl:variable name="pt-match" select="exists($psynonyms-count-2[. = true()])" />
    <xsl:variable name="ptext-message" select="if (not($ptext-to-match)) then ''        else if ($use-pdisplayName and not($pt-match))        then concat(' The value of the primary code displayName attribute was used for the comparison as synonyms of the code ', codepoints-to-string(34),          $primary/@code, codepoints-to-string(34), ' were not available.')        else if (not($use-pdisplayName) and not($pt-match) and exists($psynonyms))        then concat(' The synonyms of the code ', codepoints-to-string(34), $primary/@code, codepoints-to-string(34), ' were used for the comparison.')        else '' " />
    <xsl:variable name="ptext-synonyms-msg" select="if (exists($psynonyms)) then concat(' The synonyms are ''', string-join($psynonyms, '; '), '''.')        else '' " />
    <xsl:variable name="ttext-message" select="if (not($ttext-to-match)) then ''        else if ($use-tdisplayName and not($pt-match))        then concat(' The value of the translation code displayName attribute was used for the comparison as synonyms of the code ', codepoints-to-string(34),          @code, codepoints-to-string(34), ' were not available.')        else if (not($use-tdisplayName) and not($pt-match) and exists($synonyms))        then concat(' The synonyms of the translation code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' were used for the comparison.')        else '' " />
    <xsl:variable name="ttext-synonyms-msg" select="if (exists($synonyms)) then concat(' The synonyms are ''', string-join($synonyms, '; '), '''.') else '' " />
    <xsl:variable name="use-pt-match" select="local-name(.) = 'translation' and exists($psynonyms) " />
    <xsl:variable name="x-code-system" select="$knowledge/x-code-system/system/@value " />
    <xsl:variable name="text-only-assessment" select="if ($otext-to-match)         then (not($codesystemvalues) or $codesystemvalues/@no-code-information = 'true') and $code-format-valid and $otext-to-match and $use-displayName         else if (local-name(.) = 'translation' and $ptext-to-match and $ttext-to-match)         then $code-format-valid and $use-displayName and exists($psynonyms)        else false() " />
    <xsl:variable name="primcode-origtext" select="if (not($flag-assess-values) or not(@code and $code-type = 'primary' and $otext-to-match) or @nullFlavor) then false()        else if (@codeSystem = $x-code-system) then true()        else ($code-valid or $code-inactive or $text-only-assessment) and ($is-tgi or not($otext-match)) " />
    <xsl:variable name="transcode-origtext" select="if (not($flag-assess-values) or not(@code and $code-type = 'translation' and $otext-to-match) or @nullFlavor or $use-pt-match) then false()        else ($code-valid or $code-inactive or $text-only-assessment) and ($is-tgi or not($otext-match)) " />
    <xsl:variable name="transcode-primtext" select="if (not($flag-assess-values) or not(@code and $code-type = 'translation' and $ptext-to-match and $ttext-to-match) or @nullFlavor) then false()        else if (@codeSystem = $x-code-system) then true()               else ($code-valid or $code-inactive or $text-only-assessment) and ($is-tgi or not($pt-match)) " />
    <xsl:variable name="transtext-primcode" select="if (not($flag-assess-values) or not($primary/@code and $code-type = 'translation' and $ptext-to-match and $ttext-to-match) or $primary/@nullFlavor) then false()        else if ($primary/@codeSystem = $x-code-system) then true()               else ($use-ts-for-psynonyms) and ($is-tgi or not($pt-match)) " />
    <xsl:variable name="codeSystem-for-analysis" select="if ($primcode-origtext or $transcode-origtext or $transcode-primtext) then @codeSystem        else if ($transtext-primcode) then $primary/@codeSystem        else '' " />
    <xsl:variable name="code-for-analysis" select="if ($primcode-origtext or $transcode-origtext or $transcode-primtext and not($code-inactive)) then @code        else if ($primcode-origtext or $transcode-origtext or $transcode-primtext and $code-inactive) then $associated-codes-2[1]        else if ($transtext-primcode) then $primary/@code         else '' " />
    <xsl:variable name="code-refset-1" select="if ($code-for-analysis = '' or not($codeSystem-for-analysis = '2.16.840.1.113883.6.96')) then ()         else distinct-values(tokenize(dh:FindValueDomainsForCode($code-for-analysis, '2.16.840.1.113883.6.96', ''), '\|'))         [. != 'Error' and . != 'CodeNotFound'] " />
    <xsl:variable name="code-refset-2" select="$code-refset-1[not(contains(., 'Association Reference (AR)'))] " />
    <xsl:variable name="semantic-tag-1" select="if ($code-for-analysis = '' or count($code-refset-2) = 1) then ()        else if ($transtext-primcode) then $db-psynonyms-seq-1[matches(., '\([a-z ]+\)$')]        else $db-synonyms-seq-1[matches(., '\([a-z ]+\)$')] " />
    <xsl:variable name="semantic-tag" select="if (exists($semantic-tag-1) and count($semantic-tag-1) = 1)         then lower-case(normalize-space(replace($semantic-tag-1[1], '(.+?\()([a-z ]+)(\)$)', '$2'))) else '' " />
    <xsl:variable name="code-refset" select="if (count($code-refset-2) = 1) then $code-refset-2[1]         else if ($semantic-tag = '') then ''        else if ($semantic-tag = 'trade product') then 'Trade Product (TP)'        else if ($semantic-tag = 'trade product pack') then 'Trade Product Pack (TPP)'        else if ($semantic-tag = 'trade product unit of use') then 'Trade Product Unit of Use (TPUU)'        else if ($semantic-tag = 'medicinal product') then 'Medicinal Product (MP)'        else if ($semantic-tag = 'medicinal product pack') then 'Medicinal Product Pack (MPP)'        else if ($semantic-tag = 'medicinal product unit of use') then 'Medicinal Product Unit of Use (MPUU)'        else if ($semantic-tag = 'containered trade product pack') then 'Containered Trade Product Pack (CTPP)'        else '' " />
    <xsl:variable name="code-refset-alt" select="if ($code-refset = '') then '' else dh:XQueryRecursiveReplace($code-refset, $alt-refset-name, 'ic') " />
    <xsl:variable name="code-tgi-refset" select="if (not($is-tgi)) then ''        else if ($code-refset = '') then ''        else if ($code-refset = ('Trade Product (TP)',                   'Trade Product Pack (TPP)',                      'Trade Product Unit of Use (TPUU)',                   'Medicinal Product (MP)',                   'Medicinal Product Pack (MPP)',                   'Medicinal Product Unit of Use (MPUU)',                   'Containered Trade Product Pack (CTPP)')) then $code-refset         else '' " />
    <xsl:variable name="code-tgi-type" select="if ($codeSystem-for-analysis = '1.2.36.1.2001.1005.22' and $code-for-analysis != '') then 'medicinal product'        else if ($code-tgi-refset = '') then ''        else if ($code-tgi-refset = ('Trade Product (TP)',                   'Trade Product Pack (TPP)',                      'Trade Product Unit of Use (TPUU)',                   'Containered Trade Product Pack (CTPP)')) then 'trade product'         else if ($code-tgi-refset = ('Medicinal Product (MP)',                       'Medicinal Product Pack (MPP)',                       'Medicinal Product Unit of Use (MPUU)')) then 'medicinal product'        else '' " />
    <xsl:variable name="avoid-ts" select="not($flag-assess-values) or $family-err or $length-err or $prose-err" />
    <xsl:variable name="text-for-analysis-1" select="if (@codeSystem = '2.16.840.1.113883.6.96' and ($avoid-ts or not($use-ts-for-sctau) or $code-refset = '')) then ''        else if (@codeSystem = $x-code-system and ($primcode-origtext or $transcode-origtext) and ($is-tgi or not($otext-match)))          then $otext-without-markup        else if (($primcode-origtext or $transcode-origtext) and ($is-tgi or not($otext-match))) then $revised-otext-1        else if ($transcode-primtext and ($is-tgi or not($pt-match))) then $psynonyms-3[1]        else if ($transtext-primcode and ($is-tgi or not($pt-match))) then $otext-synonyms-2[1]        else '' " />
    <xsl:variable name="text-for-analysis-2" select="if (not($is-tgi) or $tgi-typo = '' or $text-for-analysis-1 = '') then $text-for-analysis-1         else dh:XQueryRecursiveReplace($text-for-analysis-1, $tgi-typo, 'ic') " />
    <xsl:variable name="text-for-analysis" select="if (not($is-tgi) or $tgi-regex = '' or $text-for-analysis-2 = '') then $text-for-analysis-2         else dh:XQueryRecursiveReplace($text-for-analysis-2, $tgi-regex, 'ic') " />
    <xsl:variable name="text-comparison-match" select="if ($code-type = 'primary' and $otext-to-match and $otext-match) then $otext-match        else if ($code-type = 'translation' and $otext-to-match and not($use-pt-match)) then $otext-match        else if ($code-type = 'translation' and $ptext-to-match and $ttext-to-match) then $pt-match        else false() " />
    <xsl:variable name="formula" select="if ($code-tgi-type = 'trade product') then '^929360021000036102 OR ^929360041000036105 OR ^929360031000036100 OR ^929360051000036108'        else if ($code-tgi-type = 'medicinal product') then '^929360061000036106 OR ^929360081000036101 OR ^929360071000036103'        else '' " />
    <xsl:variable name="other-formula" select="if ($code-tgi-type = 'trade product') then '^929360061000036106 OR ^929360081000036101 OR ^929360071000036103'        else if ($code-tgi-type = 'medicinal product') then '^929360021000036102 OR ^929360041000036105 OR ^929360031000036100 OR ^929360051000036108'        else '' " />
    <xsl:variable name="text-code-1" select="if ($text-for-analysis = '' or not($flag-assess-values)) then ()        else if ($codeSystem-for-analysis = '2.16.840.1.113883.6.96' and $formula != '' and $use-ts-for-sctau) then          tokenize(replace(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $formula, $text-for-analysis,           $max-code-number, true()), '(\[.*?\])(\||$)', '$2'), '\|')         else if ($codeSystem-for-analysis = '2.16.840.1.113883.6.96' and $code-refset != '' and $use-ts-for-sctau) then          tokenize(replace(dh:SearchForTermUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, $code-refset, $text-for-analysis,           $max-code-number, true()), '(\[.*?\])(\||$)', '$2'), '\|')         else if ($codeSystem-for-analysis = '1.2.36.1.2001.1005.22' and $use-ts-for-pbs) then          tokenize(replace(dh:SearchForTermUsingTS('1.2.36.1.2001.1005.22', '', '', $text-for-analysis,           $max-code-number, true()), '(\[.*?\])(\||$)', '$2'), '\|')         else () " />
    <xsl:variable name="error-usingTS-10" select="$error-usingTS-9 or 'Error' = $text-code-1 " />
    <xsl:variable name="text-code-match-1" select="not($code-for-analysis = '') and exists($text-code-1) and $code-for-analysis = $text-code-1 " />
    <xsl:variable name="text-code-2" select="if ($text-for-analysis = '' or $text-code-match-1 or 'Error' = $text-code-1) then ()         else if ($other-formula != '' and $codeSystem-for-analysis = '2.16.840.1.113883.6.96' and $use-ts-for-sctau)          then tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl',           $other-formula, $text-for-analysis, $max-code-number, true()), '\|')         else if ($codeSystem-for-analysis = '2.16.840.1.113883.6.96' and $use-ts-for-sctau)          then tokenize(dh:SearchForTermUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, '', $text-for-analysis, $max-code-number, true()), '\|')        else if ($codeSystem-for-analysis = '1.2.36.1.2001.1005.22' and $use-ts-for-pbs and $use-ts-for-pbs)          then tokenize(dh:SearchForTermUsingTS('1.2.36.1.2001.1005.22', '', '', $text-for-analysis, $max-code-number, true()), '\|')        else () " />
    <xsl:variable name="error-usingTS-11" select="$error-usingTS-10 or 'Error' = $text-code-2 " />
    <xsl:variable name="comparison" select="if ($text-for-analysis = '') then () else if ($is-tgi and $text-comparison-match)         then distinct-values(tokenize(normalize-space(translate(lower-case($text-for-analysis), $chars-no-space, '')), ' ')) else () " />
    <xsl:variable name="comparison-count" select="count($comparison) " />
    <xsl:variable name="text-code-2-terms" select="if ($is-tgi and $text-comparison-match and exists($text-code-2) and not('Error' = $text-code-2))         then (for $x in $text-code-2 return          normalize-space(translate(lower-case(replace($x, '^([0-9]+\[)(.*?)(\]$)', '$2')), $chars-no-space, '')))[. != ''] else () " />
    <xsl:variable name="text-code-2-num" select="count($text-code-2-terms) " />
    <xsl:variable name="text-code-2-count" select="if ($text-code-2-num &gt; 0) then for $i in (1 to $text-code-2-num) return count(distinct-values(tokenize($text-code-2-terms[$i], ' '))) else () " />
    <xsl:variable name="text-code-2-match" select="if ($text-code-2-num &gt; 0)         then exists((for $j in (1 to $text-code-2-num) return           (           (            (             $comparison-count + $text-code-2-count[$j] - count(distinct-values(($comparison, tokenize($text-code-2-terms[$j], ' '))))            ) div $comparison-count            +            (             $comparison-count + $text-code-2-count[$j] - count(distinct-values(($comparison, tokenize($text-code-2-terms[$j], ' '))))            ) div $text-code-2-count[$j]           ) div 2 &gt;= $min-word-match-ratio          )         )[. = true()])        else false() " />
    <xsl:variable name="use-text-code-2" select="if ($is-tgi and $text-comparison-match) then $text-code-2-match else exists($text-code-2) " />
    <xsl:variable name="revised-text-1" select="if ($text-for-analysis = '' or $text-code-match-1 or $use-text-code-2 or not($is-tgi)) then ''        else normalize-space(dh:XQueryRecursiveReplace($text-for-analysis, $tgi-sec-pattern-replacement, 'ic')) " />
    <xsl:variable name="use-revised-text-1" select="$revised-text-1 != '' and $revised-text-1 != $text-for-analysis " />
    <xsl:variable name="text-code-3" select="if ($text-for-analysis = '' or $text-code-match-1 or $use-text-code-2 or not($use-revised-text-1)) then $text-code-2         else if ($codeSystem-for-analysis = '2.16.840.1.113883.6.96' and $use-ts-for-sctau)          then tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $tgi-formula,           $revised-text-1, $max-code-number, false()), '\|')         else if ($codeSystem-for-analysis = '1.2.36.1.2001.1005.22' and $use-ts-for-pbs)          then tokenize(dh:SearchForTermUsingTS('1.2.36.1.2001.1005.22', '', '', $revised-text-1, $max-code-number, true()), '\|')        else () " />
    <xsl:variable name="error-usingTS-12" select="$error-usingTS-11 or 'Error' = $text-code-3 " />
    <xsl:variable name="text-code-3-terms" select="if ($use-revised-text-1 and $is-tgi and $text-comparison-match and exists($text-code-3) and not('Error' = $text-code-3))         then (for $x in $text-code-3 return          normalize-space(translate(lower-case(replace($x, '^([0-9]+\[)(.*?)(\]$)', '$2')), $chars-no-space, '')))[. != ''] else () " />
    <xsl:variable name="text-code-3-num" select="count($text-code-3-terms) " />
    <xsl:variable name="text-code-3-count" select="if ($text-code-3-num &gt; 0) then for $i in (1 to $text-code-3-num) return count(distinct-values(tokenize($text-code-3-terms[$i], ' '))) else () " />
    <xsl:variable name="text-code-3-match" select="if ($text-code-3-num &gt; 0)         then exists((for $j in (1 to $text-code-3-num) return           (           (            (             $comparison-count + $text-code-3-count[$j] - count(distinct-values(($comparison, tokenize($text-code-3-terms[$j], ' '))))            ) div $comparison-count            +            (             $comparison-count + $text-code-3-count[$j] - count(distinct-values(($comparison, tokenize($text-code-3-terms[$j], ' '))))            ) div $text-code-3-count[$j]           ) div 2 &gt;= $min-word-match-ratio          )         )[. = true()])        else false() " />
    <xsl:variable name="use-text-code-3" select="if ($is-tgi and $text-comparison-match) then ($use-text-code-2 or $text-code-3-match) else exists($text-code-3) " />
    <xsl:variable name="revised-text-2" select="if ($text-for-analysis = '' or $text-code-match-1 or $use-text-code-3 or not($is-tgi)) then ''        else normalize-space(dh:XQueryRecursiveReplace(         if ($use-revised-text-1) then $revised-text-1 else $text-for-analysis, $tgi-thi-pattern-replacement, 'ic')) " />
    <xsl:variable name="use-revised-text-2" select="if ($use-revised-text-1) then $revised-text-2 != '' and $revised-text-2 != $revised-text-1         else $revised-text-2 != '' and $revised-text-2 != $text-for-analysis " />
    <xsl:variable name="text-code-4" select="if ($text-for-analysis = '' or $text-code-match-1 or $use-text-code-3 or not($use-revised-text-2) or not($use-ts-for-sctau)) then $text-code-3         else if ($codeSystem-for-analysis = '2.16.840.1.113883.6.96' and $use-ts-for-sctau)          then tokenize(dh:SearchForCodesInHierarchyUsingTS('2.16.840.1.113883.6.96', $ts-current-sctau, 'ecl', $tgi-formula,           $revised-text-2, $max-code-number, false()), '\|')         else if ($codeSystem-for-analysis = '1.2.36.1.2001.1005.22' and $use-ts-for-pbs)          then tokenize(dh:SearchForTermUsingTS('1.2.36.1.2001.1005.22', '', '', $revised-text-2, $max-code-number, true()), '\|')        else () " />
    <xsl:variable name="error-usingTS-13" select="$error-usingTS-12 or 'Error' = $text-code-4 " />
    <xsl:variable name="text-code-4-terms" select="if ($use-revised-text-2 and $is-tgi and $text-comparison-match and exists($text-code-2) and not('Error' = $text-code-2))         then (for $x in $text-code-4 return          normalize-space(translate(lower-case(replace($x, '^([0-9]+\[)(.*?)(\]$)', '$2')), $chars-no-space, '')))[. != ''] else () " />
    <xsl:variable name="text-code-4-num" select="count($text-code-4-terms) " />
    <xsl:variable name="text-code-4-count" select="if ($text-code-4-num &gt; 0) then for $i in (1 to $text-code-4-num) return count(distinct-values(tokenize($text-code-4-terms[$i], ' '))) else () " />
    <xsl:variable name="text-code-4-match" select="if ($text-code-4-num &gt; 0)         then exists((for $j in (1 to $text-code-4-num) return           (           (            (             $comparison-count + $text-code-4-count[$j] - count(distinct-values(($comparison, tokenize($text-code-4-terms[$j], ' '))))            ) div $comparison-count            +            (             $comparison-count + $text-code-4-count[$j] - count(distinct-values(($comparison, tokenize($text-code-4-terms[$j], ' '))))            ) div $text-code-4-count[$j]           ) div 2 &gt;= $min-word-match-ratio          )         )[. = true()])        else false() " />
    <xsl:variable name="use-text-code-4" select="if ($is-tgi and $text-comparison-match) then ($use-text-code-3 or $text-code-4-match) else exists($text-code-4) " />
    <xsl:variable name="text-code" select="if ($use-text-code-4) then for $code in $text-code-4 return substring-before($code, '[') else () " />
    <xsl:variable name="text-code-match-2" select="if ($text-code-match-1) then true()        else if ($code-for-analysis = '' or not(exists($text-code))) then false()        else if ($codeSystem-for-analysis = '2.16.840.1.113883.6.96') then $code-for-analysis = $text-code         else if ($codeSystem-for-analysis = '1.2.36.1.2001.1005.22') then replace($code-for-analysis, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2') = $text-code         else false() " />
    <xsl:variable name="text-refset-1" select="if ($text-code-match-2 or $codeSystem-for-analysis != '2.16.840.1.113883.6.96') then ()         else for $code in $text-code return dh:FindValueDomainsForCode($code, '2.16.840.1.113883.6.96', $v-snomed-version) " />
    <xsl:variable name="text-refset" select="if (exists($text-refset-1)) then distinct-values(tokenize(string-join($text-refset-1, '|'), '\|'))        [. != 'Error' and . != 'CodeNotFound' and not(contains(., 'Association Reference (AR)'))] else () " />
    <xsl:variable name="text-refset-alt" select="for $refset in $text-refset return dh:XQueryRecursiveReplace($refset, $alt-refset-name, 'ic') " />
    <xsl:variable name="text-tgi-type" select="if ($code-tgi-type = '' or not($is-tgi)) then ()        else distinct-values((for $refset in $text-refset return          if ($refset = '') then ''         else if ($refset = ('Trade Product (TP)',                 'Trade Product Pack (TPP)',                     'Trade Product Unit of Use (TPUU)',                  'Containered Trade Product Pack (CTPP)')) then 'trade product'          else if ($refset = ('Medicinal Product (MP)',                     'Medicinal Product Pack (MPP)',                     'Medicinal Product Unit of Use (MPUU)')) then 'medicinal product'         else 'not-tgi')[. != '']) " />
    <xsl:variable name="other-codes" select="if ($code-for-analysis = '' or $text-for-analysis = '' or not($codeSystem-for-analysis = $x-code-system)) then ()        else distinct-values($code-systems/system[@codeSystem = $codeSystem-for-analysis]/code[@code != $code-for-analysis]/@code)  " />
    <xsl:variable name="other-codesystemvalues" select="if ($codeSystem-for-analysis = '') then () else $code-systems/system[@codeSystem = $codeSystem-for-analysis]" />
    <xsl:variable name="invalid-regex" select="for $code in $other-codes return replace(replace(concat('^(\W*', dh:XQueryRecursiveReplace(string-join(        ($other-codesystemvalues/code[@code = $code]/@displayName,          $other-codesystemvalues/code[@code = $code]/@synonyms,         $other-codesystemvalues/code[@code = $code]/@related-terms), '|'), $meta-pattern, ''), '\W*)$'), ' ', '\\W+'), '\|', '\\W*|\\W*') " />
    <xsl:variable name="conflicting-concepts" select="index-of(for $regex in $invalid-regex return matches($text-for-analysis-1, $regex, 'is'), true()) " />
    <xsl:variable name="correct-code" select="for $n in $conflicting-concepts return $other-codes[$n] " />
    <xsl:variable name="text-tgi-err-type-1" select="count($text-tgi-type) = 1 and $text-tgi-type[1] = 'not-tgi' " />
    <xsl:variable name="text-tgi-err-type-2" select="if ($transcode-primtext and ((@codeSystem = '2.16.840.1.113883.6.96' and $primary/@codeSystem = '1.2.36.1.2001.1005.22') or                (@codeSystem = '1.2.36.1.2001.1005.22' and $primary/@codeSystem = '2.16.840.1.113883.6.96'))) then false()        else not($text-tgi-err-type-1) and not($code-tgi-type = '') and exists($text-tgi-type) and not($code-tgi-type = $text-tgi-type) " />
    <xsl:variable name="tc-types-66-step1-err" select="($primcode-origtext or $transcode-origtext) and ($text-tgi-err-type-1 or $text-tgi-err-type-2 or exists($conflicting-concepts)) " />
    <xsl:variable name="tc-types-66-step1-pass" select="not($tc-types-66-step1-err) and ($text-code-match-2 or $text-comparison-match) " />
    <xsl:variable name="tc-types-66-step1-int" select="not($code-for-analysis = '' or $text-for-analysis = '') and $otext-to-match and not($otext-match) and not($no-codeinfo) and         not($null-otext-error) and not($use-pt-match) and not($tc-types-66-step1-err) and not($tc-types-66-step1-pass) " />
    <xsl:variable name="tc-types-66-step1-hint" select="if ($text-only-assessment and $otext-to-match) then not($otext-match) and not($no-codeinfo)        else $tc-types-66-step1-int and @codeSystem = '1.2.36.1.2001.1005.22' " />
    <xsl:variable name="tc-types-66-step1-warn" select="$tc-types-66-step1-int and not($tc-types-66-step1-hint) " />
    <xsl:variable name="tc-types-67-step2-err" select="($transcode-primtext or $transtext-primcode) and ($text-tgi-err-type-1 or $text-tgi-err-type-2 or exists($conflicting-concepts)) " />
    <xsl:variable name="tc-types-67-step2-pass" select="not($tc-types-67-step2-err) and ($text-code-match-2 or $text-comparison-match) " />
    <xsl:variable name="tc-types-67-step2-int" select="not($code-for-analysis = '' or $text-for-analysis = '') and local-name(.) = 'translation' and $ptext-to-match and $ttext-to-match and        not($tc-types-67-step2-err) and not($tc-types-67-step2-pass) " />
    <xsl:variable name="tc-types-67-step2-hint" select="if (local-name(.) = 'translation' and $text-only-assessment and $ptext-to-match) then not($pt-match)         else $tc-types-67-step2-int and @codeSystem = '1.2.36.1.2001.1005.22' " />
    <xsl:variable name="tc-types-67-step2-warn" select="$tc-types-67-step2-int and not($tc-types-67-step2-hint) " />
    <xsl:variable name="pbs-msg" select="if ($templateId-root = '1.2.36.1.2001.1001.100.1002.170' and $templateId-ext = '1.0')        then 'See section 3.2.11 of the eHealth Prescription Record PCEHR Conformance Profile.'       else if ($templateId-root = '1.2.36.1.2001.1001.100.1002.171' and $templateId-ext = '1.0')        then 'See section 3.2.11 of the eHealth Dispense Record PCEHR Conformance Profile.'       else 'See the National Health Act 1953 Amendment Rules.' " />
    <xsl:variable name="spec-msg" select="if ($type-msg = 'CV') then 'section 2.9 of the HL7 ''Data Types - Abstract Specification'''       else if ($type-msg = 'CO') then 'section 2.10 of the HL7 ''Data Types - Abstract Specification'''       else if ($type-msg = 'CE') then 'section 2.11 of the HL7 ''Data Types - Abstract Specification'''       else 'section 7.5.2.6 of ISO 21090 ''Health informatics - Harmonized data types for information interchange''' " />
    <xsl:variable name="p-term-actual-1" select="if (@code and @codeSystem = '2.16.840.1.113883.6.96' and @displayName and not(@displayName = '') and $use-default-search and not($default-match) and         $snomed-id = 'snomedctau' and $ts-has-version) then dh:FindPreferredTermUsingTS(@code, '2.16.840.1.113883.6.96', $ts-snomed-version)         else if (@code and @codeSystem = '2.16.840.1.113883.6.96' and @displayName and not(@displayName = '') and $use-default-search and         not($default-match) and $snomed-id = 'amtv3' and exists($v-amtv3))         then replace(dh:FindPreferredTermAndCaseSignificance(@code, '2.16.840.1.113883.6.96', $v-snomed-version), '\|.*$', '', 'is')        else '' " />
    <xsl:variable name="p-term-actual" select="if ($p-term-actual-1 = ('CodeNotFound', 'Error')) then '' else $p-term-actual-1 " />
    <xsl:variable name="symbol-type" select="(if ($amp-esc-err) then 'ampersand' else '',        if ($lt-esc-err) then 'less-than' else '',        if ($gt-esc-err) then 'greater-than' else '',        if ($apos-esc-err) then 'single-quote' else '',        if ($nbsp-esc-err) then 'non-breaking space' else '',        if ($quot-esc-err) then 'double-quote' else '')[. != ''] " />
    <xsl:variable name="escape-wrong" select="(if ($amp-esc-err) then '&amp;amp;' else '',        if ($lt-esc-err) then '&amp;lt;' else '',         if ($gt-esc-err) then '&amp;gt;' else '',        if ($apos-esc-err) then '&amp;apos;' else '',        if ($nbsp-esc-err) then '&amp;nbsp;' else '',        if ($quot-esc-err) then '&amp;quot;' else '')[. != ''] " />
    <xsl:variable name="escape-right" select="(if ($amp-esc-err) then '&amp;' else '',        if ($lt-esc-err) then '&lt;' else '',        if ($gt-esc-err) then '&gt;' else '',        if ($apos-esc-err) then concat(codepoints-to-string(38), 'apos;') else '',        if ($nbsp-esc-err) then concat(codepoints-to-string(38), 'nbsp;') else '',        if ($quot-esc-err) then concat(codepoints-to-string(38), 'quot;') else '')[. != ''] " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-04 " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <xsl:variable name="rating-invalid-57" select="if ($initial-priority) then $initial-rating else $rating-TC-Types-57 " />
    <xsl:variable name="rating-med-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-med-TC-Types-57 else $rating-med-alt-TC-Types-57 " />
    <xsl:variable name="rating-default-57" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-57 else $rating-alt-TC-Types-57 " />
    <xsl:variable name="rating-58" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-58 else $rating-alt-TC-Types-58 " />
    <xsl:variable name="rating-dn-no-code-58" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-dn-no-code-TC-Types-58 else $rating-dn-no-code-alt-TC-Types-58 " />
    <xsl:variable name="rating-59" select="if ($initial-priority) then $initial-rating        else if ($default-context and $code-inactive) then $rating-inactive-TC-Types-59       else if ($default-context) then $rating-TC-Types-59       else if ($code-inactive) then $rating-inactive-alt-TC-Types-59       else $rating-alt-TC-Types-59 " />
    <xsl:variable name="rating-61" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-61 else $rating-alt-TC-Types-61 " />
    <xsl:variable name="rating-62" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-62 else $rating-alt-TC-Types-62 " />
    <xsl:variable name="rating-63" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-63 else $rating-alt-TC-Types-63 " />
    <xsl:variable name="rating-64" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-64 else $rating-alt-TC-Types-64 " />
    <xsl:variable name="rating-high-65" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-high-TC-Types-65 else $rating-alt-TC-Types-65 " />
    <xsl:variable name="rating-medium-65" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-medium-TC-Types-65 else $rating-alt-TC-Types-65 " />
    <xsl:variable name="rating-low-65" select="if ($initial-priority) then $initial-rating else $rating-low-TC-Types-65 " />
    <xsl:variable name="rating-65" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-65 else $rating-alt-TC-Types-65 " />
    <xsl:variable name="rating-66-step-1" select="if ($initial-priority) then $initial-rating         else if ($default-context and local-name(.) = 'translation') then $rating-trans-TC-Types-66-step-1         else if ($default-context) then $rating-TC-Types-66-step-1        else if (local-name(.) = 'translation') then $rating-trans-alt-TC-Types-66-step-1        else $rating-alt-TC-Types-66-step-1 " />
    <xsl:variable name="rating-66-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-66-step-2 else $rating-alt-TC-Types-66-step-2 " />
    <xsl:variable name="rating-67-step-1" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-67-step-1 else $rating-alt-TC-Types-67-step-1 " />
    <xsl:variable name="rating-67-step-2" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-67-step-2 else $rating-alt-TC-Types-67-step-2 " />
    <xsl:variable name="rating-68" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-68 else $rating-alt-TC-Types-68 " />
    <xsl:variable name="rating-Terminology" select="if ($initial-priority) then $initial-rating else $rating-TS-Terminology " />
    <xsl:variable name="rating-cd-version" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-CD-Version else $rating-alt-TC-CD-Version " />
    <!--REPORT -->
    <xsl:if test=" count($conflicting-concepts) &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="count($conflicting-concepts) &gt; 1">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: <xsl:text /><xsl:value-of select="if ($tc-types-66-step1-err) then 'TC-Types-66 step 1' else 'TC-Types-67 step 2' " /><xsl:text />:
		The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The search for the correct code to describe the concept found more than one matching code ('<xsl:text /><xsl:value-of select="string-join($correct-code, ''', ''') " /><xsl:text />') whereas
		at most one code is expected. Report the issue to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingTS-13 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingTS-13">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An error was reported when accessing the terminology server when assessing the '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> which has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. The analysis should be retried as the terminology server
		may have been temporarily unavailable. If the problem persists then report the issue to the Australian Digital Health Agency for investigation.
		The first error was recorded for <xsl:text /><xsl:value-of select="if ($error-usingTS-1) then 'error-usingTS-1.'   else if ($error-usingTS-2) then 'error-usingTS-2.'   else if ($error-usingTS-3) then 'error-usingTS-3.'   else if ($error-usingTS-4) then 'error-usingTS-4.'   else if ($error-usingTS-5) then 'error-usingTS-5.'   else if ($error-usingTS-6) then 'error-usingTS-6.'   else if ($error-usingTS-7) then 'error-usingTS-7.'   else if ($error-usingTS-8) then 'error-usingTS-8.'   else if ($error-usingTS-9) then 'error-usingTS-9.'   else if ($error-usingTS-10) then 'error-usingTS-10.'   else if ($error-usingTS-11) then 'error-usingTS-11.'   else if ($error-usingTS-12) then 'error-usingTS-12.'   else 'error-usingTS-13.' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-usingV-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-usingV-2">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An error was reported when the Clinical Package Validator accessed the terminology database when assessing the
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> which has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. Report the issue to the Australian Digital Health Agency for investigation stating the error
		was recorded for <xsl:text /><xsl:value-of select="if ($error-usingV-1) then 'error-usingV-1.'   else 'error-usingV-2.' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$code-validity-test = 'Error' and not($use-ts-for-validity) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$code-validity-test = 'Error' and not($use-ts-for-validity)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function IsCodeInTerminologyValid with code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />',
		codeSystem '<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $error-inactive-date ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$error-inactive-date">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The search for the code's inactive date returned '<xsl:text /><xsl:value-of select="$inactive-date-1" /><xsl:text />' whereas 'CodeFoundInactive' followed by a date was expected.
		Report the issue to the Australian Digital Health Agency for investigation.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" 'Error' = $db-psynonyms and $error-usingTS-10 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="'Error' = $db-psynonyms and $error-usingTS-10">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ($use-ts-for-psynonyms) then ' GetAllSynonymsForCodeUsingTS' else ' FindPreferredTermAndCaseSignificance' " /><xsl:text />
		with code '<xsl:text /><xsl:value-of select="$primary/@code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="$primary/@codeSystem" /><xsl:text />' and codeSystemVersion
		'<xsl:text /><xsl:value-of select="if ($use-ts-for-psynonyms) then $ts-pversion else $v-pversion " /><xsl:text />'.
		<xsl:text /><xsl:value-of select="if ($use-ts-for-psynonyms) then    concat(' The analysis should be retried as the terminology server may have been temporarily unavailable.',   ' If the problem persists then report the issue to the Australian Digital Health Agency for investigation.')    else ' The error should be reported to the Australian Digital Health Agency for investigation.' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" 'Error' = ($text-code-1[1], $text-code-2[1], $text-code-3[1], $text-code-4[1]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="'Error' = ($text-code-1[1], $text-code-2[1], $text-code-3[1], $text-code-4[1])">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An error was reported when accessing the terminology server. The analysis should be retried as the terminology server may have been temporarily unavailable.
		If the problem persists then report the issue to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$preferred-term-1 = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$preferred-term-1 = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: An unexpected error was returned when calling the function FindPreferredTermAndCaseSignificance with code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />',
		codeSystem '<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$v-term-version" /><xsl:text />'. The error should be reported to the Australian Digital Health Agency for
		investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" 'Error' = ($hist-vers-6, $hist-vers-7) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="'Error' = ($hist-vers-6, $hist-vers-7)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TS-CD: An unexpected value <xsl:text /><xsl:value-of select="$hist-vers-6" /><xsl:text /> was returned when calling the function IsCodeInTerminologyValid with code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />',
		codeSystem '<xsl:text /><xsl:value-of select="if ($hist-vers-6 = 'Error') then '2.16.840.1.113883.6.96' else '1.2.36.1.2001.1004.100'" /><xsl:text />' and
		codeSystemVersion '<xsl:text /><xsl:value-of select="if ($hist-vers-6 = 'Error') then $v-latest-amtv3 else $last-amtv2" /><xsl:text />'. 
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" 'Error' = ($dhist-vers-3, $dhist-vers-4) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="'Error' = ($dhist-vers-3, $dhist-vers-4)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TS-CD: An unexpected value <xsl:text /><xsl:value-of select="$dhist-vers-3" /><xsl:text /> was returned when calling the function IsCodePreferredTermInTerminologyValid with
		code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="if ($dhist-vers-3 = 'Error') then '2.16.840.1.113883.6.96' else '1.2.36.1.2001.1004.100'" /><xsl:text />',
		codeSystemVersion '<xsl:text /><xsl:value-of select="if ($dhist-vers-3 = 'Error') then $v-latest-amtv3 else $last-amtv2" /><xsl:text />' and displayName '<xsl:text /><xsl:value-of select="@displayName" /><xsl:text />'.
		The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and exists($db-synonyms-seq) and $use-ts-for-validity ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and exists($db-synonyms-seq) and $use-ts-for-validity">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: The Terminology Server returned <xsl:text /><xsl:value-of select="count($db-synonyms-seq)" /><xsl:text /> synonyms for the code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />'
		and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-version" /><xsl:text />'. The synonyms that were found are
		'<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($db-synonyms-seq, ''', '''), $markup-pattern-replacement, 'ic')" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and exists($db-psynonyms-seq) and $use-ts-for-psynonyms ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and exists($db-psynonyms-seq) and $use-ts-for-psynonyms">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-CD: The Terminology Server returned <xsl:text /><xsl:value-of select="count($db-psynonyms-seq)" /><xsl:text /> synonyms for the code '<xsl:text /><xsl:value-of select="$primary/@code" /><xsl:text />', codeSystem
		'<xsl:text /><xsl:value-of select="$primary/@codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-pversion " /><xsl:text />'. The synonyms that were found are
		'<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($db-psynonyms-seq, ''', '''), $markup-pattern-replacement, 'ic')" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@code and not(@code = '') and @nullFlavor = ('UNK', 'ASKU', 'NAV', 'NASK', 'MSK') and @codeSystem ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @nullFlavor = ('UNK', 'ASKU', 'NAV', 'NASK', 'MSK') and @codeSystem">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the
		<xsl:text /><xsl:value-of select="if (@xsi:type) then concat('type declaration xsi:type ''', @xsi:type, '''') else 'HL7 Reference Information Model'" /><xsl:text /> the data element
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 <xsl:text /><xsl:value-of select="$type-msg" /><xsl:text /> data type. It contains a
		nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />) that indicates a code is not
		provided however a code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />' is provided. It is invalid to use this nullFlavor attribute when a proper value is provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = ('PINF', 'NINF') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = ('PINF', 'NINF')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 1: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		has the HL7 <xsl:text /><xsl:value-of select="$type-msg" /><xsl:text /> data type and has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />). That value of nullFlavor may not be used for data elements of the HL7 <xsl:text /><xsl:value-of select="$type-msg" /><xsl:text />
		data type. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor='UNC' and (not(cda:originalText) or normalize-space(cda:originalText) = '') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor='UNC' and (not(cda:originalText) or normalize-space(cda:originalText) = '')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		has the HL7 <xsl:text /><xsl:value-of select="$type-msg" /><xsl:text /> data type and has a nullFlavor attribute with the value 'UNC' (unencoded) and no originalText. That value of nullFlavor may only be used when an
		originalText is present and lists the text that is unencoded. (See section 7.3.3.3.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = ('QS', 'TRC') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = ('QS', 'TRC')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 3: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		has the HL7 <xsl:text /><xsl:value-of select="$type-msg" /><xsl:text /> data type and has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name" /><xsl:text />). That value of nullFlavor may not be used for data elements of the HL7 <xsl:text /><xsl:value-of select="$type-msg" /><xsl:text />
		data type. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $tc-auth-55-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tc-auth-55-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="if ($initial-priority) then $initial-rating else $rating-TC-Auth-55" /><xsl:text />: TC-Auth-55: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. The codeSystem "1.2.36.1.2001.1004.100" is the identifier for Australian Medicines Terminology (AMT)
		version 2 however publication of AMT version 2 ended 30 May 2014 and was replaced with AMT version 3 and new versions of AMT are issued monthly. The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was
		created on <xsl:text /><xsl:value-of select="/cda:ClinicalDocument/cda:effectiveTime/@value" /><xsl:text /><xsl:text /><xsl:value-of select="if ($first-amtv3-xs = '' or not(matches($creation-date-xs - $first-amtv3-xs, '^P[0-9]+D'))) then ''   else concat(' which is ', substring-before(substring-after($creation-date-xs - $first-amtv3-xs, 'P'), 'D'), ' days after AMT version 3 was first published') " /><xsl:text />
		so the code system identifier for AMT version 3 is expected. The code system identifier for AMT version 3 is '2.16.840.1.113883.6.96' as AMT version 3 is a derivative of SNOMED CT.
		(See the information about '1.2.36.1.2001.1004.100' in the HL7 OID Registry, http://www.hl7.org/oid/index.cfm, and section 7.5.2.4.2 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.) The Australian National Terminology Licence Agreement requires the
		copy used in healthcare software systems (live or production environments) to be updated within 30 days of the National Terminology release. 
		(See the Australian National Terminology Licence Agreement.)
		<xsl:text /><xsl:value-of select="if (not($tc-auth-55-err and $code-valid and matches(@code, $sctau-namespace-id-regex))) then ''   else if ($tc-auth-55-msg = ('CodeFound', 'CodeFoundActive')) then 'The value of the code attribute is both an AMT v2 code and an active AMT v3 code.'   else if ($tc-auth-55-msg = 'ActiveInFirstAMTv3') then 'The value of the code attribute is both an AMT v2 code and an AMT v3 code that was active in the first publication of AMT version 3.'   else if ($tc-auth-55-msg = 'CodeFoundInactive') then 'The value of the code attribute is both an AMT v2 code and an inactive AMT v3 code.'   else if ($tc-auth-55-msg = 'CodeNotAMTv3') then 'The value of the code attribute is an AMT v2 code and not an AMT v3 code.'   else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($tc-auth-55-date = '') then ''   else if ($tc-auth-55-date-xs = '' or not(matches($creation-date-xs - $tc-auth-55-date-xs, '^P[0-9]+D')))    then concat(' The code became an inactive AMT version 3 code on ', $tc-auth-55-date, '.')   else concat(' The code became an inactive AMT version 3 code on ', $tc-auth-55-date, ' which was ',    substring-before(substring-after($creation-date-xs - $tc-auth-55-date-xs, 'P'), 'D'), ' days before the ', $document-name, ' was created.') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code = ''">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-55: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		has the HL7 <xsl:text /><xsl:value-of select="$type-msg" /><xsl:text /> data type and has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The value of the code attribute is invalid as it is a character string with no characters. The code attribute has the HL7 ST data type so it
		must meet the requirement to have at least one character. (See sections 2.5 and
		<xsl:text /><xsl:value-of select="if ($type-msg = 'CE') then '2.11.1' else if ($type-msg = ('CV', 'CO')) then '2.9.1' else '2.6.1' " /><xsl:text /> of HL7 'Data Types - Abstract Specification'.)
		When there is no value for the code attribute it must be omitted.
		An empty string does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @codeSystemVersion = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystemVersion = ''">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-55: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		has the HL7 <xsl:text /><xsl:value-of select="$type-msg" /><xsl:text /> data type and has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the codeSystemVersion attribute is invalid as it
		is a character string with no characters.
		The codeSystemVersion attribute has the HL7 ST data type so it must meet the requirement to have at least one character. (See sections 2.5 and
		<xsl:text /><xsl:value-of select="if ($type-msg = 'CE') then '2.11.4' else if ($type-msg = ('CV', 'CO')) then '2.9.4' else '2.6.4' " /><xsl:text /> of HL7 'Data Types - Abstract Specification'.)
		When there is no value for the codeSystemVersion attribute it must be omitted.
		An empty string does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @codeSystemName = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystemName = ''">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-55: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		has the HL7 <xsl:text /><xsl:value-of select="$type-msg" /><xsl:text /> data type and has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The value of the codeSystemName attribute is invalid as it is a character string with no characters. The codeSystemName attribute
		has the HL7 ST data type so it must meet the requirement to have at least one character. (See sections 2.5 and
		<xsl:text /><xsl:value-of select="if ($type-msg = 'CE') then '2.11.3' else if ($type-msg = ('CV', 'CO')) then '2.9.3' else '2.6.3' " /><xsl:text /> of HL7 'Data Types - Abstract Specification'.)
		When there is no value for the codeSystemName attribute it must be omitted.
		An empty string does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @displayName = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@displayName = ''">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-55: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		has the HL7 <xsl:text /><xsl:value-of select="$type-msg" /><xsl:text /> data type and has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The value of the displayName attribute is invalid as it is a character string with no characters. The displayName attribute
		has the HL7 ST data type so it must meet the requirement to have at least one character. (See sections 2.5 and
		<xsl:text /><xsl:value-of select="if ($type-msg = 'CE') then '2.11.5' else if ($type-msg = ('CV', 'CO')) then '2.9.5' else '2.6.5' " /><xsl:text /> of HL7 'Data Types - Abstract Specification'.)
		When there is no value for the displayName attribute it must be omitted.
		An empty string does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '2.16.840.1.113883.3.879.291036' and local-name(.) = 'raceCode' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '2.16.840.1.113883.3.879.291036' and local-name(.) = 'raceCode'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-invalid-57" /><xsl:text />: TC-Types-57: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. The data element represents the race of a person whereas
		'2.16.840.1.113883.3.879.291036' (<xsl:text /><xsl:value-of select="$codesystemvalues/@codeSystemName" /><xsl:text />) codes do not describe race and therefore are invalid to use for the raceCode data element.
		(See section 3.2.10.7 of the HL7 Reference Information Model and section 10 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide for the Indigenous Status codes.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$invalid-act-code">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$invalid-act-code">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-invalid-57" /><xsl:text />: TC-Types-57: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		has codeSystem '<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />' and code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />' which
		indicates that the type of document that is attached is <xsl:text /><xsl:value-of select="$act-code-display-name" /><xsl:text /> however the filename of the attached document is
		'<xsl:text /><xsl:value-of select="../cda:text/cda:reference/@value" /><xsl:text />' which indicates that the attached document is not a type of <xsl:text /><xsl:value-of select="$act-code-display-name" /><xsl:text />.
		The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element is optional but if it is included it must indicate the specific type of document that is
		attached. For example, codeSystem '<xsl:text /><xsl:value-of select="$suggested-codeSystem" /><xsl:text />' (<xsl:text /><xsl:value-of select="$suggested-codeSystemName" /><xsl:text />)
		and code '<xsl:text /><xsl:value-of select="$suggested-code" /><xsl:text />' (<xsl:text /><xsl:value-of select="$suggested-doc-type" /><xsl:text />) may be
		appropriate. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and section 3.1.1.4 of the HL7 Reference Information Model for the
		description of the code element of the Act class, which is an information model class applicable to '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="($an-external-act-code or local-name(..) = 'observation') and cda:originalText and matches(cda:originalText, $acp-regex, 'i') and exists(..//cda:reference/@value)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($an-external-act-code or local-name(..) = 'observation') and cda:originalText and matches(cda:originalText, $acp-regex, 'i') and exists(..//cda:reference/@value)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-invalid-57" /><xsl:text />: TC-Types-57: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> which indicates that an Advance Care Plan (also known as an Advance Care Directive and other names) is included
		in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		It is an error to include an Advance Care Plan in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> as a specific type of document is available for inclusion
		of this information. (See the purpose of a <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> in section 2.1 of the <xsl:text /><xsl:value-of select="$logical-spec" /><xsl:text />.)
		The correct type of HL7 CDA document to use is an Advance Care Plan. (See the Advance Care Plan specifications on the Australian Digital Health Agency website at
		https://www.digitalhealth.gov.au/implementation-resources/clinical-documents/advance-care-planning.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @codeSystem = '1.2.36.1.2001.1001.101.104.16047' and local-name(..) = 'asEntityIdentifier' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1001.101.104.16047' and local-name(..) = 'asEntityIdentifier'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-invalid-57" /><xsl:text />: TC-Types-57: An Entity Identifier is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />' from the NCTIS
		Entitlement Type Values code system '1.2.36.1.2001.1001.101.104.16047' which describes a type of entitlement and not a type of entity identifier. If a code is included in an entity
		identifier then the code must be from a code system that describes the type of identifier, such as the code system '2.16.840.1.113883.12.203' (HL7 Identifier Type codes)
		(See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and the entry for '2.16.840.1.113883.12.203' in the HL7 OID Registry)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '2.16.840.1.113883.13.62' and $role-code and local-name(..) = 'healthCareFacility' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '2.16.840.1.113883.13.62' and $role-code and local-name(..) = 'healthCareFacility'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-invalid-57" /><xsl:text />: TC-Types-57: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the ANZSCO code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />' (<xsl:text /><xsl:value-of select="$display-name" /><xsl:text />) for the role of a healthcare facility.
		This is an error as an ANZSCO code describes the role of a person and not an organisation. ANZSIC codes may be used to describe the role of an organisation.
		(See the Australian Bureau of Statistics website for ANZSCO and ANZSIC codes and section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '2.16.840.1.113883.13.62' and $employment-type ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '2.16.840.1.113883.13.62' and $employment-type">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-invalid-57" /><xsl:text />: TC-Types-57: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the ANZSCO code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />' (<xsl:text /><xsl:value-of select="$display-name" /><xsl:text />) to record the type of employment for a healthcare
		participant. This is an error as ANZSCO codes are used for the role, occupation and position in organisation of a person, but this data element is to describe the employment type.
		Employment type is the basis on which the person is employed by an organisation and examples are full-time, part-time and casual. (See the Australian Bureau of Statistics website for
		ANZSCO codes, section 2.39 of the Participation Data Specification v3.2 and section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '2.16.840.1.113883.13.62' and $valid-code and $ei-parent and  (     local-name($ei-parent) = 'employerOrganization'      or     local-name($ei-parent) = 'guardianOrganization'      or     local-name($ei-parent) = 'manufacturerOrganization'     or           (local-name($ei-parent) = 'playingEntity' and $ei-parent/@classCode='ORG')  or     local-name($ei-parent) = 'providerOrganization'      or     local-name($ei-parent) = 'receivedOrganization'      or     local-name($ei-parent) = 'representedCustodianOrganization'    or     local-name($ei-parent) = 'representedOrganization'     or           (local-name($ei-parent) = 'scopingEntity' and $ei-parent/@classCode='ORG')  or     local-name($ei-parent) = 'scopingOrganization'      or     local-name($ei-parent) = 'serviceProviderOrganization'     or           (local-name($ei-parent) = 'specimenPlayingEntity' and $ei-parent/@classCode='ORG') or     local-name($ei-parent) = 'wholeEntity'       or     local-name($ei-parent) = 'wholeOrganization'      ) and     (($role-code and not(local-name(..) = 'healthCareFacility')) or $occupation-code or $position-code) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '2.16.840.1.113883.13.62' and $valid-code and $ei-parent and ( local-name($ei-parent) = 'employerOrganization' or local-name($ei-parent) = 'guardianOrganization' or local-name($ei-parent) = 'manufacturerOrganization' or (local-name($ei-parent) = 'playingEntity' and $ei-parent/@classCode='ORG') or local-name($ei-parent) = 'providerOrganization' or local-name($ei-parent) = 'receivedOrganization' or local-name($ei-parent) = 'representedCustodianOrganization' or local-name($ei-parent) = 'representedOrganization' or (local-name($ei-parent) = 'scopingEntity' and $ei-parent/@classCode='ORG') or local-name($ei-parent) = 'scopingOrganization' or local-name($ei-parent) = 'serviceProviderOrganization' or (local-name($ei-parent) = 'specimenPlayingEntity' and $ei-parent/@classCode='ORG') or local-name($ei-parent) = 'wholeEntity' or local-name($ei-parent) = 'wholeOrganization' ) and (($role-code and not(local-name(..) = 'healthCareFacility')) or $occupation-code or $position-code)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-invalid-57" /><xsl:text />: TC-Types-57: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the ANZSCO code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />' (<xsl:text /><xsl:value-of select="$display-name" /><xsl:text />) for the <xsl:text /><xsl:value-of select="$code-usage" /><xsl:text /> of a
		healthcare participant which is an organisation. This is an error as an ANZSCO code describes the <xsl:text /><xsl:value-of select="$code-usage" /><xsl:text /> of a person.
		(See the Australian Bureau of Statistics website for ANZSCO codes and section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '2.16.840.1.113883.13.62' and $valid-code and $ei-parent and not(     local-name($ei-parent) = 'asPersonalRelationship'          or      local-name($ei-parent) = 'assignedPerson'           or      local-name($ei-parent) = 'associatedPerson'           or      local-name($ei-parent) = 'employerOrganization'          or     local-name($ei-parent) = 'guardianPerson'          or     local-name($ei-parent) = 'guardianOrganization'          or     local-name($ei-parent) = 'informationRecipient'          or      local-name($ei-parent) = 'maintainingPerson'          or     local-name($ei-parent) = 'manufacturerOrganization'         or     local-name($ei-parent) = 'patient'           or           (local-name($ei-parent) = 'playingEntity' and ($ei-parent/@classCode='PSN' or $ei-parent/@classCode='ORG'))  or     local-name($ei-parent) = 'providerOrganization'          or     local-name($ei-parent) = 'receivedOrganization'          or     local-name($ei-parent) = 'relatedPerson'          or     local-name($ei-parent) = 'representedCustodianOrganization'        or     local-name($ei-parent) = 'representedOrganization'         or           (local-name($ei-parent) = 'scopingEntity' and ($ei-parent/@classCode='PSN' or $ei-parent/@classCode='ORG'))  or     local-name($ei-parent) = 'scopingOrganization'          or     local-name($ei-parent) = 'serviceProviderOrganization'         or           (local-name($ei-parent) = 'specimenPlayingEntity' and ($ei-parent/@classCode='PSN' or $ei-parent/@classCode='ORG')) or     local-name($ei-parent) = 'subject'           or     local-name($ei-parent) = 'wholeEntity'           or     local-name($ei-parent) = 'wholeOrganization'          ) and     (($role-code and not(local-name(..) = 'healthCareFacility')) or $occupation-code or $position-code) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '2.16.840.1.113883.13.62' and $valid-code and $ei-parent and not( local-name($ei-parent) = 'asPersonalRelationship' or local-name($ei-parent) = 'assignedPerson' or local-name($ei-parent) = 'associatedPerson' or local-name($ei-parent) = 'employerOrganization' or local-name($ei-parent) = 'guardianPerson' or local-name($ei-parent) = 'guardianOrganization' or local-name($ei-parent) = 'informationRecipient' or local-name($ei-parent) = 'maintainingPerson' or local-name($ei-parent) = 'manufacturerOrganization' or local-name($ei-parent) = 'patient' or (local-name($ei-parent) = 'playingEntity' and ($ei-parent/@classCode='PSN' or $ei-parent/@classCode='ORG')) or local-name($ei-parent) = 'providerOrganization' or local-name($ei-parent) = 'receivedOrganization' or local-name($ei-parent) = 'relatedPerson' or local-name($ei-parent) = 'representedCustodianOrganization' or local-name($ei-parent) = 'representedOrganization' or (local-name($ei-parent) = 'scopingEntity' and ($ei-parent/@classCode='PSN' or $ei-parent/@classCode='ORG')) or local-name($ei-parent) = 'scopingOrganization' or local-name($ei-parent) = 'serviceProviderOrganization' or (local-name($ei-parent) = 'specimenPlayingEntity' and ($ei-parent/@classCode='PSN' or $ei-parent/@classCode='ORG')) or local-name($ei-parent) = 'subject' or local-name($ei-parent) = 'wholeEntity' or local-name($ei-parent) = 'wholeOrganization' ) and (($role-code and not(local-name(..) = 'healthCareFacility')) or $occupation-code or $position-code)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-invalid-57" /><xsl:text />: TC-Types-57: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the ANZSCO code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />' (<xsl:text /><xsl:value-of select="$display-name" /><xsl:text />) for the <xsl:text /><xsl:value-of select="$code-usage" /><xsl:text /> of a
		healthcare participant which does not seem to be a person. This may be an error as an ANZSCO code describes the <xsl:text /><xsl:value-of select="$code-usage" /><xsl:text /> of a person.
		Confirm if the ANZSCO code has been used for a person's <xsl:text /><xsl:value-of select="$code-usage" /><xsl:text />.
		(See the Australian Bureau of Statistics website for ANZSCO codes and section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '2.16.840.1.113883.13.62' and $valid-code and $entity-id and $is-an-hpi and not($hpi-code) and    ($role-code or $occupation-code or $position-code) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '2.16.840.1.113883.13.62' and $valid-code and $entity-id and $is-an-hpi and not($hpi-code) and ($role-code or $occupation-code or $position-code)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-invalid-57" /><xsl:text />: TC-Types-57: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the ANZSCO code to describe the <xsl:text /><xsl:value-of select="$code-usage" /><xsl:text /> of a healthcare provider individual. However the code
		'<xsl:text /><xsl:value-of select="@code" /><xsl:text />' (<xsl:text /><xsl:value-of select="$display-name" /><xsl:text />) may not be appropriate for a healthcare provider individual
		<xsl:text /><xsl:value-of select="if (ancestor::cda:author) then concat('that authored the ', $document-name, '.')   else if (ancestor::cda:legalAuthenticator) then concat('that legally authenticated the ', $document-name, '.')   else 'in that role.' " /><xsl:text /> Confirm if the ANZSCO code is a valid one for this data element.
		(See the Australian Bureau of Statistics website for ANZSCO codes and section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '2.16.840.1.113883.13.62' and $valid-code and not($role-code or $occupation-code or $position-code or $employment-type or $specialty) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '2.16.840.1.113883.13.62' and $valid-code and not($role-code or $occupation-code or $position-code or $employment-type or $specialty)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-invalid-57" /><xsl:text />: TC-Types-57: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the ANZSCO code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />' (<xsl:text /><xsl:value-of select="$display-name" /><xsl:text />). ANZSCO codes are used for the role,
		occupation and position in organisation of a person, but this data element is neither a role, occupation and position in organisation of a person.
		Confirm if this is a valid use of the ANZSCO code.
		(See the Australian Bureau of Statistics website for ANZSCO codes and section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $dup-translation ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$dup-translation">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-med-57" /><xsl:text />: TC-Types-57: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /><xsl:text /><xsl:value-of select="if (@code) then '' else ', no primary code ' " /><xsl:text /> and contains more than one 'translation' element with the same code
		and the <xsl:text /><xsl:value-of select="   if ($amtv2-trans-dup) then 'AMT v2 (''1.2.36.1.2001.1004.100'')'   else if ($pbs-trans-dup) then 'PBS (''1.2.36.1.2001.1005.22'')'   else if ($pbsman-trans-dup) then 'PBS Manufacturer (''1.2.36.1.2001.1005.23'')'   else if ($snomed-trans-dup) then 'SNOMED CT-AU (''2.16.840.1.113883.6.96'')'   else if ($loinc-trans-dup) then 'LOINC (''2.16.840.1.113883.6.1'')'   else '' " /><xsl:text /> codeSystem. The duplicated code is '<xsl:text /><xsl:value-of select="if ($amtv2-trans-dup) then $amtv2-trans-2   else if ($pbs-trans-dup) then $pbs-trans-2   else if ($pbsman-trans-dup) then $pbsman-trans-2   else if ($snomed-trans-dup) then $snomed-trans-2      else if ($loinc-trans-dup) then $loinc-trans-2   else '' " /><xsl:text />'. Each translation must be unique and it is an error to have a duplicate translation.
		(See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($family-err or $length-err) and not($prose-err) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($family-err or $length-err) and not($prose-err)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-med-57" /><xsl:text />: TC-Types-57: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 <xsl:text /><xsl:value-of select="$type-msg" /><xsl:text /> data type and has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. This may be invalid as
		the value of the originalText element <xsl:text /><xsl:value-of select="if ($family-err) then 'contains the family name of a healthcare participant' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($family-err and $length-err) then ' and ' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($length-err) then 'seems to be too long to describe a concept and may be a copy of or extract from the narrative.' else '.' " /><xsl:text />
		Confirm if the data element is consistent with the definition of the HL7 CD data type which is to represent a concept defined in an external code system, terminology or ontology.
		<xsl:text /><xsl:value-of select="if ($type-msg = ('CV', 'CO', 'CE')) then concat('(The HL7 ', $type-msg, ' data type is a specialization of the HL7 CD data type.)') else ''  " /><xsl:text />
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $prose-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$prose-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-med-57" /><xsl:text />: TC-Types-57: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 <xsl:text /><xsl:value-of select="$type-msg" /><xsl:text /> data type and has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		This is invalid as it is <xsl:text /><xsl:value-of select="if ($prose-err-1a or $prose-err-1b) then 'a list of items' else 'prose text' " /><xsl:text /> and does not describe a concept.
		The definition of the HL7 CD data type is to represent a concept defined in an external code system, terminology or ontology.
		<xsl:text /><xsl:value-of select="if ($type-msg = ('CV', 'CO', 'CE')) then concat('(The HL7 ', $type-msg, ' data type is a specialization of the HL7 CD data type.)') else ''  " /><xsl:text />
		(See section 7.5.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="if (local-name(..) = 'act') then concat(' The value of the ''act/code'' data element is not consistent with the definition of the ''act/code'' which is to specify a ',   'kind of health act (e.g. physical examination, inpatient encounter). (See section 3.1.1.4 of the HL7 Reference Information Model.) ') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($prose-err-1c) then 'The value of the data element has been determined to be prose text as it contains Unicode paragraph characters.'   else if ($prose-err-1d) then concat('The value of the data element has been determined to be prose text as it consists of ',    if ($length-err and matches(cda:originalText, '\.\s*$', 's') and matches(cda:originalText, $multi-sentence-regex, 's')) then 'multiple ' else '', 'sentences.')   else if ($prose-err-2) then 'The value of the data element has been determined to be prose text as it corresponds to multiple items of information in the narrative.'   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(matches(@xsi:type, '^(CD|CE|CO|CV)$')      or           matches(normalize-space(substring-after(@xsi:type, ':')), '^(CD|CE|CO|CV)$') ) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(matches(@xsi:type, '^(CD|CE|CO|CV)$') or matches(normalize-space(substring-after(@xsi:type, ':')), '^(CD|CE|CO|CV)$') )">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04" /><xsl:text />: TC-Doc-04: According to the HL7 Reference Information Model the data element
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 <xsl:text /><xsl:value-of select="$type-msg" /><xsl:text /> data type however the xsi:type attribute is present with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'
		which is invalid for that data type. (See the HL7 Reference Information Model.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$no-cd-value-1 and $type-msg = ('CD', 'CE')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-cd-value-1 and $type-msg = ('CD', 'CE')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-58" /><xsl:text />: TC-Types-58: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		no value (i.e. no nullFlavor attribute or information in a code attribute or originalText element). Either information or a nullFlavor attribute must be included for
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' to indicate there is no information or if '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		is optional then it may be omitted. (See <xsl:text /><xsl:value-of select="$spec-msg" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$no-cd-value-1 and $type-msg = ('CO', 'CV')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-cd-value-1 and $type-msg = ('CO', 'CV')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-58" /><xsl:text />: TC-Types-58: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		no code attribute or nullFlavor attribute indicating why there is no code which is an error as
		according to the type declaration xsi:type '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' the data element has the HL7 <xsl:text /><xsl:value-of select="$type-msg" /><xsl:text /> data type which is used for coded data.
		If the information could be coded then a code attribute must be present or if the information could not be coded
		then a nullFlavor attribute must be present with the value 'OTH' along with a codeSystem attribute to identify the code system that did not have a code for the information.
		(See <xsl:text /><xsl:value-of select="$spec-msg" /><xsl:text /> and section <xsl:text /><xsl:value-of select="if ($type-msg = 'CV') then '2.8' else '2.9' " /><xsl:text /> of 'XML Implementation Technology Specification - Data Types'.)
		Alternatively if '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' is optional then it should be omitted or if a type declaration is needed then a different one such as 'CD' may be used.
		(See section 7.5.2.6 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$no-cd-value-2 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$no-cd-value-2">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-58" /><xsl:text />: TC-Types-58: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		no value (i.e. no nullFlavor attribute, code attribute or originalText element with a non-null value). This data element has an originalText element with no value so it does not meet the requirement that a data
		element of the HL7 <xsl:text /><xsl:value-of select="$type-msg" /><xsl:text /> with no nullFlavor attribute shall have a code attribute or non-null originalText. To be a valid data element of the HL7
		<xsl:text /><xsl:value-of select="$type-msg" /><xsl:text /> data type, either provide a code, an originalText with a
		non-null value, include a nullFlavor only for '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' to indicate there is no value, or if
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' is not mandatory then omit it.
		(See sections 7.5.2.1 and 7.5.2.6 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$code-system-err">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$code-system-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-58" /><xsl:text />: TC-Types-58: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. There is a code attribute and no codeSystem attribute but 
		a data element of the HL7 <xsl:text /><xsl:value-of select="$type-msg" /><xsl:text /> data type must have a codeSystem if there is a code.
		(See <xsl:text /><xsl:value-of select="$spec-msg" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystemName and not(@codeSystem)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystemName and not(@codeSystem)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-58" /><xsl:text />: TC-Types-58: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		codeSystemName '<xsl:text /><xsl:value-of select="@codeSystemName" /><xsl:text />' but there is no codeSystem. A codeSystemName may be present only if codeSystem is present.
		(See <xsl:text /><xsl:value-of select="$spec-msg" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystemVersion and not(@codeSystem)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystemVersion and not(@codeSystem)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-58" /><xsl:text />: TC-Types-58: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		codeSystemVersion '<xsl:text /><xsl:value-of select="@codeSystemVersion" /><xsl:text />' but there is no codeSystem. A codeSystemVersion may be present only if codeSystem is present.
		(See <xsl:text /><xsl:value-of select="$spec-msg" /><xsl:text />.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@displayName and not(@code)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@displayName and not(@code)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-dn-no-code-58" /><xsl:text />: TC-Types-58: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> which has a displayName attribute and no code attribute. This is an error as the value of a displayName
		attribute must be a textual representation of the concept described by the code attribute so without a code attribute there cannot be a displayName attribute.
		(See <xsl:text /><xsl:value-of select="$spec-msg" /><xsl:text />.)
		<xsl:text /><xsl:value-of select="if (cda:originalText) then '' else 'Consider if the text in the displayName should instead be included in an originalText element.'" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:translation and cda:translation/cda:originalText ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:translation and cda:translation/cda:originalText">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-58" /><xsl:text />: TC-Types-58: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		a translation with an originalText '<xsl:text /><xsl:value-of select="cda:translation/cda:originalText" /><xsl:text />'. Translations are not allowed to contain originalText.
		(See section 7.5.2.6 of ISO 21090 'Health informatics - Harmonized dawta types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:translation and cda:translation/cda:translation ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:translation and cda:translation/cda:translation">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-58" /><xsl:text />: TC-Types-58: Element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' has a translation with a translation. Translations are
		not allowed to contain translations but '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' may have multiple translations.
		(See section 7.5.2.6 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@code and not(@code = '') and not(@codeSystem = ('1.2.36.1.2001.1001.101', '2.16.840.1.113883.6.1', '2.16.840.1.113883.6.96')) and    $codesystemvalues and $code-information and $code-format-valid and not(exists($codesystemvalues/code[@code=current()/@code]) or exists($db-synonyms)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and not(@codeSystem = ('1.2.36.1.2001.1001.101', '2.16.840.1.113883.6.1', '2.16.840.1.113883.6.96')) and $codesystemvalues and $code-information and $code-format-valid and not(exists($codesystemvalues/code[@code=current()/@code]) or exists($db-synonyms))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-59" /><xsl:text />: TC-Types-59: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. The code is not a member of code system '<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$codesystemvalues/@codeSystemName" /><xsl:text />).
		If a code is provided it must be an exact match to a member of the code system. (See section 7.5.2.4.1 of ISO 21090 'Health informatics - Harmonized data types for
		information interchange'.)
		<xsl:text /><xsl:value-of select="if (@codeSystem = '1.2.840.10008.2.16.4') then ' See http://dicom.nema.org/medical/dicom/current/output/chtml/part16/chapter_D.html for the   DICOM Controlled Terminology.' else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@code and not(@code = '') and @codeSystem = ('1.2.36.1.2001.1001.101', '2.16.840.1.113883.13.62', '1.2.36.1.2001.1005.17') and $codesystemvalues and    $code-format-valid and not(exists($codesystemvalues/code[@code=current()/@code]) or exists($db-synonyms)) and not($use-ts-for-validity) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @codeSystem = ('1.2.36.1.2001.1001.101', '2.16.840.1.113883.13.62', '1.2.36.1.2001.1005.17') and $codesystemvalues and $code-format-valid and not(exists($codesystemvalues/code[@code=current()/@code]) or exists($db-synonyms)) and not($use-ts-for-validity)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-59" /><xsl:text />: TC-Types-59: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The code may be invalid as it may not be a member of code system '<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />' (<xsl:text /><xsl:value-of select="$codesystemvalues/@codeSystemName" /><xsl:text />).
		Confirm by inspection. If a code is provided it must be an exact match to a member of the code system. (See section 7.5.2.4.1 of ISO 21090 'Health informatics - Harmonized data types for
		information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@code and not(@code = '') and @codeSystem = '1.2.36.1.2001.1001.101' and not($code-format-valid) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @codeSystem = '1.2.36.1.2001.1001.101' and not($code-format-valid)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-59" /><xsl:text />: TC-Types-59: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />' is not a member of code system '1.2.36.1.2001.1001.101' (NCTIS Data Components) as an NCTIS Data Components
		code must consist of a series of digits and period characters (.). If a code is provided it must be an exact match to a member of the code system.
		(See section 7.5.2.4.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@code and not(@code = '') and @codeSystem = '1.2.36.1.2001.1005.47' and not($code-format-valid) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @codeSystem = '1.2.36.1.2001.1005.47' and not($code-format-valid)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-59" /><xsl:text />: TC-Types-59: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />' is not an ANZSIC code as an ANZSIC code must consist of four digits. Use a class code rather than a
		division, subdivision or group code. (See 'Australian and New Zealand Standard Industry Classifications, 2006'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@code and not(@code = '') and @codeSystem = '1.2.36.1.2001.1005.11.1' and not($code-format-valid) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @codeSystem = '1.2.36.1.2001.1005.11.1' and not($code-format-valid)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-59" /><xsl:text />: TC-Types-59: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />' is not a MIMS code as a MIMS code must consist of at least five digits to fully specify the product as a combination of 		
		Product Code, Form Code, and Pack Code. A Product Code is 1 or more digits (usually a MIMS Product Code is 4 digits with leading zeros are not required), a Form 			
		Code is always 2 digits (padded with leading zero) and a Pack Code is always 2 digits (padded with leading zero). 
		(See the entry for '1.2.36.1.2001.1005.11.1' in the HL7 OID Registry.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@code and not(@code = '') and @codeSystem = '1.2.36.1.2001.1004.100' and not($code-format-valid)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @codeSystem = '1.2.36.1.2001.1004.100' and not($code-format-valid)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-59" /><xsl:text />: TC-Types-59: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />' is not a valid AMT v2 code as AMT v2 codes must have a valid length and initial character. If a code is provided it must be a valid
		code defined by the code system. (See section 7.5.2.4.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and section 4.3.2.3 of the SNOMED CT Technical
		Implementation Guide July 2014 International Release.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@code and not(@code = '') and @codeSystem = '1.2.36.1.2001.1005.22' and not($code-format-valid) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @codeSystem = '1.2.36.1.2001.1005.22' and not($code-format-valid)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-59" /><xsl:text />: TC-Types-59: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />' is not a PBS code as a PBS code must consist of five numbers followed by an uppercase letter.
		If the code has less numbers then prepend the code with zeroes to include the code in entry elements. (<xsl:text /><xsl:value-of select="$pbs-msg" /><xsl:text />)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@code and not(@code = '') and @codeSystem = '1.2.36.1.2001.1005.23' and not($code-format-valid)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @codeSystem = '1.2.36.1.2001.1005.23' and not($code-format-valid)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-59" /><xsl:text />: TC-Types-59: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />' is not an Australian Pharmaceutical Benefit Schedule (PBS) Manufacturer code as PBS manufacturer codes consist of two letters so this
		code is invalid. If a code is provided it must be an exact match to a member of the code system. (See section 7.5.2.4.1 of ISO 21090 'Health informatics - Harmonized data types for
		information interchange' and the entry for '1.2.36.1.2001.1005.23' in the HL7 OID Registry.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@code and not(@code = '') and @codeSystem = '2.16.840.1.113883.13.62' and not($code-format-valid) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @codeSystem = '2.16.840.1.113883.13.62' and not($code-format-valid)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-59" /><xsl:text />: TC-Types-59: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />' is not an ANZSCO code as an ANZSCO occupation code must consist of six digits.
		<xsl:text /><xsl:value-of select="if (string-length(@code) &lt; 6) then ' If a Major, Sub-Major, Minor or Unit Groups code is used it must be padded out with trailing zeros.' else '' " /><xsl:text />
		(See 'Australian and New Zealand Standard Classification of Occupations, First Edition'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@code and not(@code = '') and @codeSystem = '2.16.840.1.113883.6.1' and not($code-format-valid) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @codeSystem = '2.16.840.1.113883.6.1' and not($code-format-valid)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-59" /><xsl:text />: TC-Types-59: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />' is not a LOINC code as a valid LOINC code consists of 1 to 8 digits followed by
		the '-' character followed by a check digit. The code may have a prefix 'LP', 'LL', 'LA' or 'LG'. (See the LOINC User's Guide.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@code and not(@code = '') and @codeSystem = '2.16.840.1.113883.6.96' and $invalid-sctid ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(@code = '') and @codeSystem = '2.16.840.1.113883.6.96' and $invalid-sctid">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-59" /><xsl:text />: TC-Types-59: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />' is not a valid SNOMED CT-AU concept code or expression. SNOMED CT-AU codes must have a valid length and initial character and a SNOMED CT-AU expression
		must contain a code. If a code is provided it must be a valid code defined by the code system. (See section 7.5.2.4.1 of ISO 21090
		'Health informatics - Harmonized data types for information interchange' and section 4.3.2.3 of the SNOMED CT Technical Implementation Guide July 2014 International Release.)
		<xsl:text /><xsl:value-of select="if (not(matches(@code, $snomed-code-regex))) then ''   else if (matches(@code, $sctau-description-id-regex)) then concat(' The value of the partition-identifier in the code indicates that the code is a SNOMED CT-AU description identifier ',   'rather than a concept identifier. See section 4.3.2.5 of the SNOMED CT Technical Implementation Guide July 2014 International Release. A concept identifier must be used in the clinical ',   'document.')   else if (matches(@code, $sctau-relationship-id-regex)) then concat(' The value of the partition-identifier in the code indicates that the code is a SNOMED CT-AU relationship identifier ',   'rather than a concept identifier. See section 4.3.2.5 of the SNOMED CT Technical Implementation Guide July 2014 International Release. A concept identifier must be used in the clinical ',   'document.') else ''" /><xsl:text /><xsl:text /><xsl:value-of select="if (@displayName and cda:originalText) then concat(' The presence of the displayName attribute is invalid as by definition the value of a displayName attribute is a term from the ',   'code system that is a description for the code so it is an error to include the displayName attribute for a code that does not exist in the code system.')   else if (@displayName and not(cda:originalText)) then concat(' The presence of the displayName attribute is invalid as by definition the value of a displayName attribute is a term from the ',   'code system that is a description for the code so it is an error to include the displayName attribute for a code that does not exist in the code system. ',   'The data element does not contain an originalText element to indicate the text entered or selected by the document author. ',   'If the value of the displayName attribute is the text entered or selected by the document author then it must be recorded in the originalText element rather than the displayName attribute.')   else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (@displayName and cda:originalText) then ' (See section 7.5.2.4.7 of ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)'   else if (@displayName and not(cda:originalText)) then ' (See sections 7.5.2.4.7 and 7.5.2.4.8 of ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)'   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and @code and @codeSystem = '2.16.840.1.113883.6.96' and $possible-sct-expression ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @code and @codeSystem = '2.16.840.1.113883.6.96' and $possible-sct-expression">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-59" /><xsl:text />: TC-Types-59: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however
		the code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />' contains non-digit characters. Confirm that the code has the syntax for a SNOMED CT expression
		and meets the requirement that if a code is provided it must be an exact match to a plain code symbol or expression defined by the code system.
		(See section 7.5.2.4.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and section 4.3.4 of the SNOMED CT Technical Implementation Guide
		July 2014 International Release.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = ('1.2.36.1.2001.1004.100', '1.2.36.1.2001.1005.22', '1.2.36.1.2001.1005.23') and $code-format-valid and not($code-valid) and not($use-ts-for-validity)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = ('1.2.36.1.2001.1004.100', '1.2.36.1.2001.1005.22', '1.2.36.1.2001.1005.23') and $code-format-valid and not($code-valid) and not($use-ts-for-validity)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-59" /><xsl:text />: TC-Types-59: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the code is not a member of the code system.
		If a code is provided it must be a valid code defined by the code system.<xsl:text /><xsl:value-of select="$amtv2-msg" /><xsl:text />
		(See section 7.5.2.4.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="   if (@codeSystem = '1.2.36.1.2001.1004.100') then $v-amtv2-version-msg   else if (@codeSystem = '1.2.36.1.2001.1005.22') then $v-pbs-version-msg   else if (@codeSystem = '1.2.36.1.2001.1005.23') then $v-pbsman-version-msg   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $code-format-valid and $use-ts-for-validity and not($code-valid) and not($code-inactive) and not($error-usingTS-10)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$code-format-valid and $use-ts-for-validity and not($code-valid) and not($code-inactive) and not($error-usingTS-10)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-59" /><xsl:text />: TC-Types-59: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the code is not a member of the code system.
		If a code is provided it must be a valid code defined by the code system. (See section 7.5.2.4.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '2.16.840.1.113883.6.1' and $code-format-valid and not($code-valid) and $code-inactive ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '2.16.840.1.113883.6.1' and $code-format-valid and not($code-valid) and $code-inactive">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-59" /><xsl:text />: TC-Types-59: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		contains codeSystem '2.16.840.1.113883.6.1' (<xsl:text /><xsl:value-of select="$code-systems/system[@codeSystem = '2.16.840.1.113883.6.1']/@codeSystemName" /><xsl:text />) and the code
		'<xsl:text /><xsl:value-of select="@code" /><xsl:text />' which is present in the code system with the 'inactive' status.
		If a code is provided it must be a valid code defined by the code system. (See section 7.5.2.4.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and @codeSystem = '2.16.840.1.113883.6.96' and $code-format-valid and not(exists($codevalues)) and not($use-ts-for-sctau) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @codeSystem = '2.16.840.1.113883.6.96' and $code-format-valid and not(exists($codevalues)) and not($use-ts-for-sctau)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-59" /><xsl:text />: TC-Types-59: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the code has a valid format. There was no access to a terminology server containing the code system
		so even though the code's format is valid it has not been possible to determine if the code is a member of the code system. Confirm that the code is a valid code defined by the code system.
		(See section 7.5.2.4.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '2.16.840.1.113883.6.96' and $code-format-valid and $use-ts-for-sctau and not($code-valid or $code-inactive or $use-amtv3 or $error-usingTS-10) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '2.16.840.1.113883.6.96' and $code-format-valid and $use-ts-for-sctau and not($code-valid or $code-inactive or $use-amtv3 or $error-usingTS-10)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-59" /><xsl:text />: TC-Types-59: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the code is not a member of the code system.
		If a code is provided it must be a valid code defined by the code system.
		(See section 7.5.2.4.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="if ($use-ts-for-sctau) then $snomed-version-msg   else $v-snomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '2.16.840.1.113883.6.96' and $code-format-valid and $use-amtv3 and $code-validity-test = 'CodeNotAMTv3' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '2.16.840.1.113883.6.96' and $code-format-valid and $use-amtv3 and $code-validity-test = 'CodeNotAMTv3'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-59" /><xsl:text />: TC-Types-59: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the code is not valid.
		The code contains the Australian Digital Health Agency's namespace-identifier '<xsl:text /><xsl:value-of select="if (matches(@code, '1000168')) then '1000168' else '1000036' " /><xsl:text />'
		however codes with that namespace-identifier did not exist in the '2.16.840.1.113883.6.96' code system at the date (<xsl:text /><xsl:value-of select="/cda:ClinicalDocument/cda:effectiveTime/@value" /><xsl:text />)
		the clinical document was created.
		The first date the code system contained codes with that namespace-id is <xsl:text /><xsl:value-of select="substring-after($first-amtv3, '/version/')" /><xsl:text />.
		If a code is provided it must be a member of the version of the code system that existed at the date the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created.
		(See section 7.5.2.4.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and @codeSystem = '2.16.840.1.113883.6.96' and $code-format-valid and $use-amtv3 and    not($code-valid or $code-inactive or $code-validity-test = 'CodeNotAMTv3' or $error-usingTS-10) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @codeSystem = '2.16.840.1.113883.6.96' and $code-format-valid and $use-amtv3 and not($code-valid or $code-inactive or $code-validity-test = 'CodeNotAMTv3' or $error-usingTS-10)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-59" /><xsl:text />: TC-Types-59: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the code is not a member of the code system.
		Confirm that the code is a member of a version of the code system that existed at the date (<xsl:text /><xsl:value-of select="/cda:ClinicalDocument/cda:effectiveTime/@value" /><xsl:text />) the
		<xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created. If a code is provided it must be a valid code defined by the code system.
		(See section 7.5.2.4.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$snomed-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '2.16.840.1.113883.6.96' and $code-format-valid and not($code-valid) and $code-inactive and $hist-vers-found and $hist-last-old ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '2.16.840.1.113883.6.96' and $code-format-valid and not($code-valid) and $code-inactive and $hist-vers-found and $hist-last-old">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-59" /><xsl:text />: TC-Types-59: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the code is present in the code system with the 'inactive' status.
		<xsl:text /><xsl:value-of select="$association-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$hist-last-msg" /><xsl:text /> If a code is provided it must be a valid code defined by the code system and an inactive code is not valid.
		(See section 7.5.2.4.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and $association-1 = 'NoAssociationFound' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $association-1 = 'NoAssociationFound'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-59: The function IsCodeAssociatedWithAnotherCode returned '<xsl:text /><xsl:value-of select="$association-1" /><xsl:text />'. The function was called with code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />',
		codeSystem '<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$association-1 = 'NoAssociationFound~active' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$association-1 = 'NoAssociationFound~active'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-59: The function IsCodeAssociatedWithAnotherCode returned '<xsl:text /><xsl:value-of select="$association-1" /><xsl:text />'. The function was called with code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />',
		codeSystem '<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />' and codeSystemVersion '<xsl:text /><xsl:value-of select="$ts-snomed-version" /><xsl:text />'.


		Finding: TC-Types-59: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />' was found to be an inactive code in the terminology server using the '<xsl:text /><xsl:value-of select="$ts-current-sctau" /><xsl:text />'
		version of SNOMED CT-AU but it was not found with this status in the Validator's database using the '<xsl:text /><xsl:value-of select="$v-current-sctau" /><xsl:text />' version of SNOMED CT-AU.
		<xsl:text /><xsl:value-of select="if ($ts-current-sctau != $v-current-sctau) then    concat(' Updating the Validator with the ''', $ts-current-sctau, ' version should solve the issue.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@nullFlavor = 'OTH' and not(@codeSystem) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'OTH' and not(@codeSystem)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-61" /><xsl:text />: TC-Types-61: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		has a nullFlavor attribute with the value 'OTH' and no codeSystem. The nullFlavor value 'OTH' indicates that the concept could not be coded in the coding system so a codeSystem
		attribute must be included to identify the code system that did not contain the appropriate concept.
		(See section 7.5.2.4.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and section 8.1 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />
		CDA Implementation Guide.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @codeSystem and not($uuid-or-oid-format) and not($ts-uid-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem and not($uuid-or-oid-format) and not($ts-uid-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-62" /><xsl:text />: TC-Types-62: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the codeSystem attribute is invalid as it does not meet the requirement
		to have the format of a UUID or an OID. (See section 7.5.2.4.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $uuid-or-oid-format and $invalid-namespace ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$uuid-or-oid-format and $invalid-namespace">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-62" /><xsl:text />: TC-Types-62: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the codeSystem attribute is invalid as
		<xsl:text /><xsl:value-of select="normalize-space($invalid-namespace/@explanation)" /><xsl:text />.
		(See the entry for '<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />' in the HL7 OID Registry.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and $uuid-or-oid-format and not($codesystemvalues) and $oid-prefix ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and $uuid-or-oid-format and not($codesystemvalues) and $oid-prefix">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-62" /><xsl:text />: TC-Types-62: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the codeSystem attribute identifies the '<xsl:text /><xsl:value-of select="$oid-prefix/@name" /><xsl:text />' namespace.
		When the value of a codeSystem attribute is identical to a namespace the quality and practical utility is impacted by the lack of semantic division and it can be difficult
		for anything other than the local system to use the information. If the value of the codeSystem attribute is to include the namespace then one or more OID arcs should be
		appended to the namespace identifier to form the value of the codeSystem attribute and uniquely identify the code system.
		(See the entry for '<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />' in the
		<xsl:text /><xsl:value-of select="if (matches(@codeSystem, '^1\.2\.36\.1\.2001\.1005\.')) then 'HL7 OID Registry or Australian Digital Health Agency OID Register.' else 'HL7 OID Registry.' " /><xsl:text />
		(Also see sections 7.5.2.4.2 and 7.6.7.3.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $uuid-or-oid-format and not($codesystemvalues) and $not-value-domain-id ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$uuid-or-oid-format and not($codesystemvalues) and $not-value-domain-id">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-62" /><xsl:text />: TC-Types-62: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the codeSystem attribute is invalid as it does not identify a code system.
		The value of the codeSystem attribute <xsl:text /><xsl:value-of select="if ($cd-namespace/@OID) then concat('is used for ', $cd-namespace-name, '.')   else concat('is derived from ''', $cd-namespace/@OID-prefix, ''' which is used for ', $cd-namespace-name, '.') " /><xsl:text /><xsl:text /><xsl:value-of select="if (starts-with(@codeSystem, '1.2.36.1.2001.1001'))    then ' (Contact the Australian Digital Health Agency for information about OID partitions following ''1.2.36.1.2001.1001''.)'   else concat(' (See the entry for ''', if ($cd-namespace/@OID) then $cd-namespace/@OID else $cd-namespace/@OID-prefix, ''' in the HL7 OID Registry http://www.oid-info.com or   contact the Australian Digital Health Agency for more information.)') " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and @codeSystem and /cda:ClinicalDocument//ext:asEntityIdentifier/ext:id[@root = current()/@codeSystem] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and @codeSystem and /cda:ClinicalDocument//ext:asEntityIdentifier/ext:id[@root = current()/@codeSystem]">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-62" /><xsl:text />: TC-Types-62: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the codeSystem attribute has also been used for the root attribute in an Entity Identifier.
		The Entity Identifier root attribute identifies a namespace for the identifier of a healthcare participant whereas the value of the codeSystem attribute is to identify a code system.
		When the Entity Identifier root attribute is identical to the codeSystem attribute the quality and practical utility is impacted by the lack of semantic division and it can be difficult
		for anything other than the local system to use the information. The Entity Identifier root attribute should have a different value from the codeSystem attribute.
		(See sections 7.5.2.4.2 and 7.6.7.3.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and @codeSystem and /cda:ClinicalDocument//ext:entitlement/ext:id[@root = current()/@codeSystem] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and @codeSystem and /cda:ClinicalDocument//ext:entitlement/ext:id[@root = current()/@codeSystem]">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-62" /><xsl:text />: TC-Types-62: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the codeSystem attribute has also been used for the root attribute in an Entitlement.
		The Entitlement root attribute identifies a namespace for an entitlement of a healthcare participant whereas the value of the codeSystem attribute is to identify a code system.
		When the Entitlement root attribute is identical to the codeSystem attribute the quality and practical utility is impacted by the lack of semantic division and it can be difficult
		for anything other than the local system to use the information. The Entitlement root attribute should have a different value from the codeSystem attribute.
		(See sections 7.5.2.4.2 and 7.6.7.3.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and @codeSystem and (@code or @displayName or @nullFlavor or @codeSystemName or @codeSystemVersion or cda:originalText) and    not($codesystemvalues) and not($ts-uid-error or $invalid-namespace or $oid-prefix or $not-value-domain-id) and    not($flags/@report-data-quality = 'true' and matches($code-system-id, $uuid-regex))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @codeSystem and (@code or @displayName or @nullFlavor or @codeSystemName or @codeSystemVersion or cda:originalText) and not($codesystemvalues) and not($ts-uid-error or $invalid-namespace or $oid-prefix or $not-value-domain-id) and not($flags/@report-data-quality = 'true' and matches($code-system-id, $uuid-regex))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-62" /><xsl:text />: TC-Types-62: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of the codeSystem attribute is
		not one of the known code systems so the test cases for the HL7 <xsl:text /><xsl:value-of select="$type-msg" /><xsl:text /> data type have not
		been applied. Confirm that the codeSystem identifier '<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />' meets the requirement for it to identify an ISO, HL7 or local coding system and confirm that the
		value of any attributes such as code, displayName, nullFlavor, codeSystemName and codeSystemVersion, and the value of the originalText element (if present) meet the requirements for those
		attributes. (See section 7.5.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and matches($code-system-id, $uuid-regex) and not(local-name(.) = 'translation')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and matches($code-system-id, $uuid-regex) and not(local-name(.) = 'translation')">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Nat-01: The
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. The value of the codeSystem attribute has the format of a Universally Unique Identifier (UUID, also
		known as a GUID) whereas the codeSystem attribute should be a registered Object Identifier (OID) that identifies the coding system.
		(See requirement 020638 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)
		The Australian Digital Health Agency provides a service for registration of OIDs used for digital health.
		(See information about OID registration in the HL7 OID registry http://www.hl7.org/oid/index.cfm and ITU-T X.667 'Procedures for the operation of OSI Registration Authorities'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and matches($code-system-id, $uuid-regex) and local-name(.) = 'translation'">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and matches($code-system-id, $uuid-regex) and local-name(.) = 'translation'">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Recommendation<xsl:text /><xsl:value-of select="$rating-Terminology" /><xsl:text />: Out.CDA.Doc.Map-01: The
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element has
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. The value of the codeSystem attribute has the format of a Universally Unique Identifier (UUID, also
		known as a GUID) whereas the codeSystem attribute should be a registered Object Identifier (OID) that identifies the coding system used for the mapped concept.
		(See requirement 020639 in Guidance for Use of Medical Nomenclatures in Information Exchange v1.2.)
		The Australian Digital Health Agency provides a service for registration of OIDs used for digital health.
		(See information about OID registration in the HL7 OID registry http://www.hl7.org/oid/index.cfm and ITU-T X.667 'Procedures for the operation of OSI Registration Authorities'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystemVersion and not(@codeSystemVersion = '') and $codesystemvalues and $codesystemvalues/@codeSystemVersionFormat = 'none' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystemVersion and not(@codeSystemVersion = '') and $codesystemvalues and $codesystemvalues/@codeSystemVersionFormat = 'none'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-63" /><xsl:text />: TC-Types-63: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> however the code system
		'<xsl:text /><xsl:value-of select="$codesystemvalues/@codeSystemName" /><xsl:text />' does not have versions. The format of the codeSystemVersion attribute must be the format defined specifically for the
		given code system and as this code system does not have versions then the codeSystemVersion should be removed.
		(See section 7.5.2.4.4 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and @codeSystemVersion and not(@codeSystemVersion = '') and $codesystemvalues and    $codesystemvalues/@codeSystemVersionFormat = 'unknown' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @codeSystemVersion and not(@codeSystemVersion = '') and $codesystemvalues and $codesystemvalues/@codeSystemVersionFormat = 'unknown'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-63" /><xsl:text />: TC-Types-63: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The value of the codeSystemVersion attribute needs to have the format defined by the code system. Confirm if the value of the codeSystemVersion attribute is valid.
		(See section 7.5.2.4.4 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and @codeSystem = '1.2.840.10008.2.16.4' and @codeSystemVersion and not(@codeSystemVersion = '')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @codeSystem = '1.2.840.10008.2.16.4' and @codeSystemVersion and not(@codeSystemVersion = '')">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-63" /><xsl:text />: TC-Types-63: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the codeSystemVersion '<xsl:text /><xsl:value-of select="@codeSystemVersion" /><xsl:text />' for a DICOM Controlled Terminology code (codeSystem '1.2.840.10008.2.16.4'). 
		Confirm if the value of codeSystemVersion is valid. The format of the codeSystemVersion attribute must be the format defined specifically for the given code system.
		(See section 7.5.2.4.4 of ISO 21090 'Health informatics - Harmonized data types for information interchange')

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and @codeSystem = '1.2.36.1.2001.1005.45' and @codeSystemVersion and not(@codeSystemVersion = '')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @codeSystem = '1.2.36.1.2001.1005.45' and @codeSystemVersion and not(@codeSystemVersion = '')">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-63" /><xsl:text />: TC-Types-63: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element is present in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the codeSystemVersion
		'<xsl:text /><xsl:value-of select="@codeSystemVersion" /><xsl:text />' for a PCEHR Custom Data Component code. Confirm if the value of codeSystemVersion is valid. 
		The format of the codeSystemVersion attribute must be the format defined specifically for the given code system.
		(See section 7.5.2.4.4 of ISO 21090 'Health informatics - Harmonized data types for information interchange')

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and starts-with(@codeSystem,'1.2.36.1.2001.1005.42.2') and @codeSystemVersion and not(@codeSystemVersion = '')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and starts-with(@codeSystem,'1.2.36.1.2001.1005.42.2') and @codeSystemVersion and not(@codeSystemVersion = '')">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-63" /><xsl:text />: TC-Types-63: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the codeSystemVersion
		'<xsl:text /><xsl:value-of select="@codeSystemVersion" /><xsl:text />' for a PCEHR Child Development Information Data code. Confirm if the value of codeSystemVersion is valid. 
		The format of the codeSystemVersion attribute must be the format defined specifically for the given code system.
		(See section 7.5.2.4.4 of ISO 21090 'Health informatics - Harmonized data types for information interchange')

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1004.100' and @codeSystemVersion and not(@codeSystemVersion = '') and not(matches(@codeSystemVersion, $amtv2-version-regex)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1004.100' and @codeSystemVersion and not(@codeSystemVersion = '') and not(matches(@codeSystemVersion, $amtv2-version-regex))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-63" /><xsl:text />: TC-Types-63: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> 
		contains the codeSystemVersion '<xsl:text /><xsl:value-of select="@codeSystemVersion" /><xsl:text />' for an Australian Medicines Terminology version 2 code (codeSystem '1.2.36.1.2001.1004.100').
		However Australian Medicines Terminology version 2 uses the version format '2.x' where x is a multi-digit value. The format of the codeSystemVersion attribute must be the format defined
		specifically for the given code system. (See section 7.5.2.4.4 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1004.100' and @codeSystemVersion and not(@codeSystemVersion = '') and translate(@codeSystemVersion,'0123456789','') = '' and    string-length(@codeSystemVersion) = 8 and number(substring(@codeSystemVersion,1,4)) &gt; 2014">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1004.100' and @codeSystemVersion and not(@codeSystemVersion = '') and translate(@codeSystemVersion,'0123456789','') = '' and string-length(@codeSystemVersion) = 8 and number(substring(@codeSystemVersion,1,4)) &gt; 2014">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-63" /><xsl:text />: TC-Types-63: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		contains the codeSystemVersion '<xsl:text /><xsl:value-of select="@codeSystemVersion" /><xsl:text />' for an Australian Medicines Terminology version 2 code (codeSystem '1.2.36.1.2001.1004.100')
		however the last publication of Australian Medicines Terminology version 2 was in 2014. After that year Australian Medicines Terminology version 3 was published which has
		codeSystem = '2.16.840.1.113883.6.96' and the format of codeSystemVersion is http://snomed.info/sct/{sctid}/version/{timestamp} where {sctid} is '32506021000036107' for SNOMED CT-AU and
		'900062011000036108' for AMT version 3; and {timestamp} has the format 'YYYYMMDD' and is the date associated with the version of the data in a specific release of the code system.
		In 2015 AMT version 3 was integrated into SNOMED CT-AU so commencing 2016 the {sctid} '32506021000036107' applies to codes known as AMT version 3.
		The format of the codeSystemVersion attribute must be the format defined specifically for the given code system.
		(See section 7.5.2.4.4 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and section 2.1 of the SNOMED CT URI Standard v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1005.21' and @codeSystemVersion and not(@codeSystemVersion = '') and not(matches(@codeSystemVersion, $mbs-version-regex)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1005.21' and @codeSystemVersion and not(@codeSystemVersion = '') and not(matches(@codeSystemVersion, $mbs-version-regex))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-63" /><xsl:text />: TC-Types-63: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		contains the codeSystemVersion '<xsl:text /><xsl:value-of select="@codeSystemVersion" /><xsl:text />' for an Australian Medicare Benefits Schedule code however the required format is 'YYYYMM'.
		The format of the codeSystemVersion attribute must be the format defined specifically for the given code system.
		(See section 7.5.2.4.4 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and the entry for '1.2.36.1.2001.1005.21' in the HL7 OID Registry.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1005.21' and matches(@codeSystemVersion, $mbs-version-regex) and $v-timestamp-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1005.21' and matches(@codeSystemVersion, $mbs-version-regex) and $v-timestamp-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-63" /><xsl:text />: TC-Types-63: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		contains codeSystem "<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />" and codeSystemVersion "<xsl:text /><xsl:value-of select="@codeSystemVersion" /><xsl:text />" which has the required format of
		"YYYYMM" however the date has an invalid value. The value of "YYYY" must be a valid year and "MM" must be a valid month. 
		(See the entry for '1.2.36.1.2001.1005.21' in the HL7 OID Registry.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1005.22' and @codeSystemVersion and not(@codeSystemVersion = '') and not(matches(@codeSystemVersion, $pbs-version-regex)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1005.22' and @codeSystemVersion and not(@codeSystemVersion = '') and not(matches(@codeSystemVersion, $pbs-version-regex))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-63" /><xsl:text />: TC-Types-63: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		contains the codeSystemVersion '<xsl:text /><xsl:value-of select="@codeSystemVersion" /><xsl:text />' for an Australian Pharmaceutical Benefit Schedule code however the required format is "YYYYMMDD".
		The format of the codeSystemVersion attribute must be the format defined specifically for the given code system.
		(See section 7.5.2.4.4 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and the HL7 OID Registry.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1005.22' and matches(@codeSystemVersion, $pbs-version-regex) and $v-timestamp-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1005.22' and matches(@codeSystemVersion, $pbs-version-regex) and $v-timestamp-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-63" /><xsl:text />: TC-Types-63: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		contains codeSystem "<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />" and codeSystemVersion "<xsl:text /><xsl:value-of select="@codeSystemVersion" /><xsl:text />" which has the required format of
		"YYYYMMDD" however the date has an invalid value. The value of "YYYY" must be a valid year, "MM" must be a valid month and "DD" must be a valid day. 
		(See the entry for '1.2.36.1.2001.1005.22' in the HL7 OID Registry.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1005.23' and @codeSystemVersion and not(@codeSystemVersion = '') and not(matches(@codeSystemVersion, $pbsman-version-regex)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1005.23' and @codeSystemVersion and not(@codeSystemVersion = '') and not(matches(@codeSystemVersion, $pbsman-version-regex))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-63" /><xsl:text />: TC-Types-63: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		contains the codeSystemVersion '<xsl:text /><xsl:value-of select="@codeSystemVersion" /><xsl:text /> for an Australian Pharmaceutical Benefit Schedule Manufacturer code however the required format is 'YYYYMMDD'.
		The format of the codeSystemVersion attribute must be the format defined specifically for the given code system.
		(See section 7.5.2.4.4 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and the HL7 OID Registry.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1005.23' and matches(@codeSystemVersion, $pbsman-version-regex) and $v-timestamp-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1005.23' and matches(@codeSystemVersion, $pbsman-version-regex) and $v-timestamp-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-63" /><xsl:text />: TC-Types-63: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		contains codeSystem "<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />" and codeSystemVersion "<xsl:text /><xsl:value-of select="@codeSystemVersion" /><xsl:text />" which has the required format of
		"YYYYMMDD" however the date has an invalid value. The value of "YYYY" must be a valid year, "MM" must be a valid month and "DD" must be a valid day. 
		(See the entry for '1.2.36.1.2001.1005.23' in the HL7 OID Registry.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1005.24' and @codeSystemVersion and not(@codeSystemVersion = '') and not(matches(@codeSystemVersion, $saan-version-regex))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1005.24' and @codeSystemVersion and not(@codeSystemVersion = '') and not(matches(@codeSystemVersion, $saan-version-regex))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-63" /><xsl:text />: TC-Types-63: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		contains the codeSystemVersion '<xsl:text /><xsl:value-of select="@codeSystemVersion" /><xsl:text />' for an Australian Streamlined Authority Approval Number code however the required format is 'YYYYMMDD'.
		The format of the codeSystemVersion attribute must be the format defined specifically for the given code system.
		(See section 7.5.2.4.4 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and the HL7 OID Registry.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1005.24' and matches(@codeSystemVersion, $saan-version-regex) and $v-timestamp-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1005.24' and matches(@codeSystemVersion, $saan-version-regex) and $v-timestamp-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-63" /><xsl:text />: TC-Types-63: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		contains codeSystem "<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />" and codeSystemVersion "<xsl:text /><xsl:value-of select="@codeSystemVersion" /><xsl:text />" which has the required format of
		"YYYYMMDD" however the date has an invalid value. The value of "YYYY" must be a valid year, "MM" must be a valid month and "DD" must be a valid day. 
		(See the entry for '1.2.36.1.2001.1005.24' in the HL7 OID Registry.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '2.16.840.1.113883.6.1' and @codeSystemVersion and not(@codeSystemVersion = '') and not(matches(@codeSystemVersion, $loinc-version-regex)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '2.16.840.1.113883.6.1' and @codeSystemVersion and not(@codeSystemVersion = '') and not(matches(@codeSystemVersion, $loinc-version-regex))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-63" /><xsl:text />: TC-Types-63: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> 
		contains the codeSystemVersion '<xsl:text /><xsl:value-of select="@codeSystemVersion" /><xsl:text />' for a LOINC code (codeSystem '2.16.840.1.113883.6.1').
		However LOINC uses the version format 'n.nn'. The format of the codeSystemVersion attribute must be the format defined
		specifically for the given code system. (See section 7.5.2.4.4 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '2.16.840.1.113883.6.96' and @codeSystemVersion and not(@codeSystemVersion = '') and translate(@codeSystemVersion,'0123456789','') = '' and    number(substring(@codeSystemVersion,1,4)) &gt; 2014 and number(substring(@codeSystemVersion,1,4)) &lt; 2016">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '2.16.840.1.113883.6.96' and @codeSystemVersion and not(@codeSystemVersion = '') and translate(@codeSystemVersion,'0123456789','') = '' and number(substring(@codeSystemVersion,1,4)) &gt; 2014 and number(substring(@codeSystemVersion,1,4)) &lt; 2016">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-63" /><xsl:text />: TC-Types-63: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		contains the codeSystemVersion '<xsl:text /><xsl:value-of select="@codeSystemVersion" /><xsl:text />' for SNOMED CT (codeSystem '<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />'). Instead it must have the format
		http://snomed.info/sct/{sctid}/version/{timestamp} where {sctid} is '32506021000036107' for SNOMED CT-AU and '900062011000036108' for
		AMT version 3; and {timestamp} has the format 'YYYYMMDD' and is the date associated with the version of the data in a specific release of SNOMED CT-AU or AMT version 3.
		The format of the codeSystemVersion attribute must be the format defined specifically for the given code system.
		(See section 7.5.2.4.4 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and section 2.1 of the SNOMED CT URI Standard v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '2.16.840.1.113883.6.96' and @codeSystemVersion and not(@codeSystemVersion = '') and translate(@codeSystemVersion,'0123456789','') = '' and    number(substring(@codeSystemVersion,1,4)) &gt; 2015">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '2.16.840.1.113883.6.96' and @codeSystemVersion and not(@codeSystemVersion = '') and translate(@codeSystemVersion,'0123456789','') = '' and number(substring(@codeSystemVersion,1,4)) &gt; 2015">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-63" /><xsl:text />: TC-Types-63: The codeSystemVersion '<xsl:text /><xsl:value-of select="@codeSystemVersion" /><xsl:text />' is present for SNOMED CT (codeSystem '<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />') in
		the '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. Instead it must have the format
		http://snomed.info/sct/{sctid}/version/{timestamp} where {sctid} is '32506021000036107' for SNOMED CT-AU and {timestamp} has the format 'YYYYMMDD' and is the date associated with
		the version of the data in a specific release of SNOMED CT-AU. The {sctid} '32506021000036107' applies to codes known as AMT version 3 as these codes have been integrated into SNOMED CT-AU.
		The format of the codeSystemVersion attribute must be the format defined specifically for the given code system.
		(See section 7.5.2.4.4 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and section 2.1 of the SNOMED CT URI Standard v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '2.16.840.1.113883.6.96' and @codeSystemVersion and not(@codeSystemVersion = '') and starts-with(@codeSystemVersion, 'http') and    not(matches(@codeSystemVersion, $snomed-version-regex-2))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '2.16.840.1.113883.6.96' and @codeSystemVersion and not(@codeSystemVersion = '') and starts-with(@codeSystemVersion, 'http') and not(matches(@codeSystemVersion, $snomed-version-regex-2))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-63" /><xsl:text />: TC-Types-63: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		contains the codeSystemVersion "<xsl:text /><xsl:value-of select="@codeSystemVersion" /><xsl:text />" for SNOMED CT (codeSystem "<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />") however the value of the codeSystemVersion
		attribute does not have the required format of http://snomed.info/sct/{sctid}/version/{timestamp} where {sctid} is the SNOMED CT Identifier and {timestamp} is the date of the version in
		'YYYMMDD' format. The format of the codeSystemVersion attribute must be the format defined specifically for the given code system.
		(See section 7.5.2.4.4 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and section 2.1 of the SNOMED CT URI Standard v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '2.16.840.1.113883.6.96' and matches(@codeSystemVersion, $snomed-version-regex-2) and not($sctid = ('32506021000036107', '900062011000036108')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '2.16.840.1.113883.6.96' and matches(@codeSystemVersion, $snomed-version-regex-2) and not($sctid = ('32506021000036107', '900062011000036108'))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-63" /><xsl:text />: TC-Types-63: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		contains the codeSystemVersion "<xsl:text /><xsl:value-of select="@codeSystemVersion" /><xsl:text />" and codeSystem "<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />" (SNOMED CT) however the value of the codeSystemVersion
		attribute does not have the format of http://snomed.info/sct/{sctid}/version/{timestamp} where {sctid} is '32506021000036107' for SNOMED CT-AU and '900062011000036108' for
		AMT version 3. The Australian digital health specifications do not use other values for {sctid}. Confirm if the codeSystemVersion attribute have the correct value.
		The format of the codeSystemVersion attribute must be the format defined specifically for the given code system.
		(See section 7.5.2.4.4 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and section 2.1 of the SNOMED CT URI Standard v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '2.16.840.1.113883.6.96' and matches(@codeSystemVersion, $amtv3-version-regex) and number($v-timestamp-yr) &gt; 2015">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '2.16.840.1.113883.6.96' and matches(@codeSystemVersion, $amtv3-version-regex) and number($v-timestamp-yr) &gt; 2015">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-63" /><xsl:text />: TC-Types-63: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		contains codeSystem "<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />" and codeSystemVersion "<xsl:text /><xsl:value-of select="@codeSystemVersion" /><xsl:text />" which has the required format of
		http://snomed.info/sct/{sctid}/version/{timestamp}. The {timestamp} has the year '<xsl:text /><xsl:value-of select="$v-timestamp-yr" /><xsl:text />' and {sctid} has the value "900062011000036108"
		indicating the code system is AMT version 3. However AMT version 3 was last published in 2015 and after that it was incorporated into SNOMED CT-AU so the correct value for
		{sctid} is "32506021000036107".
		(See section 7.5.2.4.4 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and section 2.1 of the SNOMED CT URI Standard v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '2.16.840.1.113883.6.96' and matches(@codeSystemVersion, $snomed-version-regex-2) and $v-timestamp-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '2.16.840.1.113883.6.96' and matches(@codeSystemVersion, $snomed-version-regex-2) and $v-timestamp-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-63" /><xsl:text />: TC-Types-63: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		contains codeSystem "<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />" and codeSystemVersion "<xsl:text /><xsl:value-of select="@codeSystemVersion" /><xsl:text />" which has the required format of
		http://snomed.info/sct/{sctid}/version/{timestamp} however the {timestamp} has an invalid value <xsl:text /><xsl:value-of select="$v-timestamp" /><xsl:text />. The {timestamp} format must be "YYYYMMDD" where
		"YYYY" is a valid year, "MM" is a valid month and "DD" is a valid day.
		The format of the codeSystemVersion attribute must be the format defined specifically for the given code system.
		(See section 7.5.2.4.4 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and section 2.1 of the SNOMED CT URI Standard v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '2.16.840.1.113883.6.96' and @codeSystemVersion and not(@codeSystemVersion = '') and $creation-before-sctau-v ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '2.16.840.1.113883.6.96' and @codeSystemVersion and not(@codeSystemVersion = '') and $creation-before-sctau-v">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-63" /><xsl:text />: TC-Types-63: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		contains codeSystem "<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />" and codeSystemVersion "<xsl:text /><xsl:value-of select="@codeSystemVersion" /><xsl:text />" which has the required format of
		http://snomed.info/sct/32506021000036107/version/{timestamp} for SNOMED CT-AU however the {timestamp} may have an invalid value '<xsl:text /><xsl:value-of select="$v-timestamp" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="iq:display-date($v-timestamp)" /><xsl:text />). The <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created on the date '<xsl:text /><xsl:value-of select="$creation-date-actual" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="iq:display-date($creation-date-actual)" /><xsl:text />) which is <xsl:text /><xsl:value-of select="iq:display-date-diff($creation-date-actual, $v-timestamp)" /><xsl:text /> before the timestamp
		in the codeSystemVersion attribute. In general each version of SNOMED CT-AU is published during the last week of the month so it is not possible to access a version
		prior to that. Confirm if the value of the codeSystemVersion attribute is correct.
		(See section 7.5.2.4.4 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and section 2.1 of the SNOMED CT URI Standard v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and @codeSystem = '2.16.840.1.113883.6.96' and @codeSystemVersion and not(@codeSystemVersion = '') and    $sctau-v-inv and not($creation-before-sctau-v) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @codeSystem = '2.16.840.1.113883.6.96' and @codeSystemVersion and not(@codeSystemVersion = '') and $sctau-v-inv and not($creation-before-sctau-v)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-63" /><xsl:text />: TC-Types-63: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		contains codeSystem "<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />" and codeSystemVersion "<xsl:text /><xsl:value-of select="@codeSystemVersion" /><xsl:text />" which has the required format of
		http://snomed.info/sct/32506021000036107/version/{timestamp} for SNOMED CT-AU however the {timestamp} may have an invalid value '<xsl:text /><xsl:value-of select="$v-timestamp" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="iq:display-date($v-timestamp)" /><xsl:text />) as
		the Terminology Server does not contain that version of SNOMED CT-AU. Confirm if the value of the codeSystemVersion attribute is correct.
		The format of the codeSystemVersion attribute must be the format defined specifically for the given code system.
		(See section 7.5.2.4.4 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and section 2.1 of the SNOMED CT URI Standard v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @codeSystemName = @codeSystem and @codeSystem != '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystemName = @codeSystem and @codeSystem != ''">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-64" /><xsl:text />: TC-Types-64: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		has the HL7 <xsl:text /><xsl:value-of select="$type-msg" /><xsl:text /> data type and has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The value of the codeSystemName attribute is invalid as it has the same value as the codeSystem attribute. When it is present the codeSystemName attribute
		must have a value that is a human readable name for the code system. (See section 8.1 of the CDA Implementation Guide.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $confirmed-markup ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$confirmed-markup">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-56 else $rating-alt-TC-Types-56" /><xsl:text />: TC-Types-56:
		The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> but the value of the displayName attribute contains markup such
		as '<xsl:text /><xsl:value-of select="normalize-space(dh:XQueryRecursiveReplace(replace(@displayName, concat('^(.*?)(', $confirmed-markup-regex, ')(.*?)$'), ' $2 ', 'is'),    $markup-pattern-replacement, 'ic'))" /><xsl:text />'.
		A displayName attribute has the HL7 'ST' data type which does not allow formatting commands, font attribute specifications, processing instructions, interpretation directives, or
		content markup. (See sections 6.7.5, 7.4.6 and 7.5.2.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and
		section 4.1 of RFC 2046 'Multipurpose Internet Mail Extensions (MIME) Part Two: Media Types'.) When displayed a character string is seen simply as a linear sequence of characters,
		for example if any formatting tags are present in the character string the tags are displayed by any software system that displays the character string.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $escape-err and not($confirmed-markup)  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$escape-err and not($confirmed-markup)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-56 else $rating-alt-TC-Types-56" /><xsl:text />: TC-Types-56: The
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data
		element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> but the value of the displayName attribute contains an incorrectly
		escaped <xsl:text /><xsl:value-of select="string-join($symbol-type, ' and ')" /><xsl:text /> symbol
		resulting in the inclusion of '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($escape-wrong, ''' and '''), $markup-pattern-replacement, 'ic')" /><xsl:text />' instead of
		'<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($escape-right, ''' and '''), $markup-pattern-replacement, 'ic')" /><xsl:text />'.
		The correct use of character escapes is needed to properly create text content in an XML document.
		(See section 2.4 of 'Extensible Markup Language (XML) 1.0 (Fifth Edition)' and section 1.2 of 'XML Implementation Technology Specification - Data Types'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not(@codeSystem = '2.16.840.1.113883.6.96') and $types-65-warn ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@codeSystem = '2.16.840.1.113883.6.96') and $types-65-warn">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Warning<xsl:text /><xsl:value-of select="if (cda:originalText) then $rating-medium-65 else $rating-high-65" /><xsl:text />: TC-Types-65: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element is in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. The value of the displayName attribute is not
		the expected name for code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />'; where '<xsl:text /><xsl:value-of select="$codesystemvalues/code[@code=current()/@code]/@displayName" /><xsl:text />' is
		listed in <xsl:text /><xsl:value-of select="$codesystemvalues/@displayNameSource" /><xsl:text />. Determine if the displayName in the clinical document has an equivalent meaning as the expected name. If the meaning
		is not equivalent then this is an error as the displayName must not alter the meaning of the code. (See section 7.5.2.4.7 of ISO 21090 'Health informatics - Harmonized data types
		for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @codeSystem = '2.16.840.1.113883.6.1' and $code-format-valid and @displayName and not(@displayName = '') and not($codevalues) and not($default-match) and   $use-ts-for-loinc and not($error-usingTS-10)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '2.16.840.1.113883.6.1' and $code-format-valid and @displayName and not(@displayName = '') and not($codevalues) and not($default-match) and $use-ts-for-loinc and not($error-usingTS-10)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="if (cda:originalText) then $rating-medium-65 else $rating-high-65" /><xsl:text />: TC-Types-65: The
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the <xsl:text /><xsl:value-of select="$code-type" /><xsl:text /> with <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> but the value of the displayName attribute is
		not valid as it does not match any of the synonymous terms for the code. The value of the displayName attribute must be a term from the code system that is a description for the code whereas
		the value is not one of the terms present in the LOINC code system for the code "<xsl:text /><xsl:value-of select="@code" /><xsl:text />".
		(See section 7.5.2.4.7 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The LOINC code system contains the Long Common Name (i.e. the preferred term) '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($preferred-term, $markup-pattern-replacement, 'ic')" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if (count($db-synonyms-seq-1) = 1) then concat('and the Fully-Specified Name ''',    dh:XQueryRecursiveReplace(string-join($db-synonyms-seq-1[1], ''', '''), $markup-pattern-replacement, 'ic'), '''.')   else if (count($db-synonyms-seq-1) = 2) then concat('and Short Name and the Fully-Specified Name ''',    dh:XQueryRecursiveReplace(string-join($db-synonyms-seq-1[position() &lt; last()], ''', '''), $markup-pattern-replacement, 'ic'),    ''' and ''', dh:XQueryRecursiveReplace($db-synonyms-seq-1[last()], $markup-pattern-replacement, 'ic'), '''.')   else if (count($db-synonyms-seq-1) &gt; 3) then concat('and Short Names and the Fully-Specified Name ''',    dh:XQueryRecursiveReplace(string-join($db-synonyms-seq-1[position() &lt; last()], ''', '''), $markup-pattern-replacement, 'ic'),    ''' and ''', dh:XQueryRecursiveReplace($db-synonyms-seq-1[last()], $markup-pattern-replacement, 'ic'), '''.')   else '.'" /><xsl:text /><xsl:text /><xsl:value-of select="if ($otext-without-markup = '') then concat(' The data element does not contain an originalText element to indicate the text entered or selected by the document author. ',    normalize-space('If the value of the displayName attribute is the text entered or selected by the document author then it   must be recorded in the originalText element rather than the displayName attribute.   (See section 7.5.2.4.8 of ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')) else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$ts-loinc-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$anzsco-nec-65-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$anzsco-nec-65-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-65" /><xsl:text />: TC-Types-65: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element is in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. The value of the displayName attribute is invalid
		as it ends with "nec" (not elsewhere classified) which is only used for ANZSCO codes ending with '9'. A correct value for the displayName attribute for code
		'<xsl:text /><xsl:value-of select="@code" /><xsl:text />' is '<xsl:text /><xsl:value-of select="$codesystemvalues/code[@code=current()/@code]/@displayName" /><xsl:text />' which is
		listed in <xsl:text /><xsl:value-of select="$codesystemvalues/@displayNameSource" /><xsl:text />. (See information about codes reserved for residual categories in the Australian and New Zealand Standard
		Classification of Occupations published by the Australian Bureau of Statistics and section 7.5.2.4.7 of ISO 21090 'Health informatics - Harmonized data types
		for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$anzsco-nfd-65-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$anzsco-nfd-65-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-65" /><xsl:text />: TC-Types-65: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element is in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. The value of the displayName attribute is invalid
		as it ends with "nfd" (not further defined) which is only used for ANZSCO codes ending with '0'. A correct value for the displayName attribute for code
		'<xsl:text /><xsl:value-of select="@code" /><xsl:text />' is '<xsl:text /><xsl:value-of select="$codesystemvalues/code[@code=current()/@code]/@displayName" /><xsl:text />' which is
		listed in <xsl:text /><xsl:value-of select="$codesystemvalues/@displayNameSource" /><xsl:text />. (See information about supplementary or operational codes in the Australian and New Zealand Standard
		Classification of Occupations published by the Australian Bureau of Statistics and section 7.5.2.4.7 of ISO 21090 'Health informatics - Harmonized data types
		for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and @codeSystem = '2.16.840.1.113883.13.65' and @displayName and not(@displayName = '') and     $codesystemvalues/code[@code=current()/@code and @displayNameSource='AIHW Mode of Separation values']   [$normalised-displayName = translate(normalize-space(lower-case(@displayName)), $chars-to-remove, '')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @codeSystem = '2.16.840.1.113883.13.65' and @displayName and not(@displayName = '') and $codesystemvalues/code[@code=current()/@code and @displayNameSource='AIHW Mode of Separation values'] [$normalised-displayName = translate(normalize-space(lower-case(@displayName)), $chars-to-remove, '')]">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Hint<xsl:text /><xsl:value-of select="$rating-low-65" /><xsl:text />: TC-Types-65: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> for the discharge disposition code (also known
		as separation mode). An AIHW Mode of Separation value has been used for the displayName attribute whereas other values were introduced in version 1.5 of the
		Discharge Summary Conformance Profile and are mandated for conformance to that version of
		the specification. If the software is intended to conform to that version of the conformance profile then the displayName values to use are those listed in the conformance profile.
		Confirm if the value of the displayName attribute is the specified value.
		<xsl:text /><xsl:value-of select="if ($codesystemvalues/code[@code=current()/@code and @displayNameSource='eDischarge Summary Conformance Profile']/@displayName)    then concat('According to version 1.5 of the Discharge Summary Conformance Profile the required value of the displayName attribute is ''',    $codesystemvalues/code[@code=current()/@code and @displayNameSource='eDischarge Summary Conformance Profile']/@displayName, '''.') else '' " /><xsl:text />
		(See section 3.3.4 of the Discharge Summary Conformance Profile v1.5.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@allow-debug = 'true' and @codeSystem = ('2.16.840.1.113883.6.96', '2.16.840.1.113883.13.62') and @displayName and ($codevalues or $types-65-warn-1) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and @codeSystem = ('2.16.840.1.113883.6.96', '2.16.840.1.113883.13.62') and @displayName and ($codevalues or $types-65-warn-1)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-65:
		count of synonyms '<xsl:text /><xsl:value-of select="count($synonyms)" /><xsl:text />'

		count of synonyms-1a '<xsl:text /><xsl:value-of select="count($synonyms-1a)" /><xsl:text />'.
		count of synonyms-1b '<xsl:text /><xsl:value-of select="count($synonyms-1b)" /><xsl:text />'.
		count of part-match-1a '<xsl:text /><xsl:value-of select="count($part-match-1a)" /><xsl:text />'.
		part-match-1b '<xsl:text /><xsl:value-of select="$part-match-1b" /><xsl:text />'.
		full-match-1 '<xsl:text /><xsl:value-of select="$full-match-1" /><xsl:text />'.

		count of synonyms-2a '<xsl:text /><xsl:value-of select="count($synonyms-2a)" /><xsl:text />'.
		count of synonyms-2b '<xsl:text /><xsl:value-of select="count($synonyms-2b)" /><xsl:text />'.
		full-match-2 '<xsl:text /><xsl:value-of select="$full-match-2" /><xsl:text />'.

		count of synonyms-3a '<xsl:text /><xsl:value-of select="count($synonyms-3a)" /><xsl:text />'.
		count of synonyms-3b '<xsl:text /><xsl:value-of select="count($synonyms-3b)" /><xsl:text />'.
		count of part-match-3a '<xsl:text /><xsl:value-of select="count($part-match-3a)" /><xsl:text />'.
		part-match-3b '<xsl:text /><xsl:value-of select="$part-match-3b" /><xsl:text />'.
		full-match-3 '<xsl:text /><xsl:value-of select="$full-match-3" /><xsl:text />'.

		Related codes from CodeSystems.xml and RCPA files (dn-related-1): '<xsl:text /><xsl:value-of select="string-join($dn-related-1, '|')" /><xsl:text />'.
		Related codes from the Terminology Server (dn-related-2): '<xsl:text /><xsl:value-of select="$dn-related-2" /><xsl:text />'.
		Same concept (dn-same-concept): '<xsl:text /><xsl:value-of select="$dn-same-concept" /><xsl:text />'
		Other concept (dn-oth-concept): '<xsl:text /><xsl:value-of select="$dn-oth-concept" /><xsl:text />'

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$dn-oth-concept ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$dn-oth-concept">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="if (cda:originalText) then $rating-medium-65 else $rating-high-65" /><xsl:text />: TC-Types-65: The
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the <xsl:text /><xsl:value-of select="$code-type" /><xsl:text /><xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of
		the displayName attribute is invalid as it describes a different concept compared to the concept described by the code whereas the code '<xsl:text /><xsl:value-of select="$dn-related-1" /><xsl:text />' describes the
		same concept as the displayName attribute.
		<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then normalize-space('The value of the displayName attribute must be a term from the SNOMED CT-AU code system that is a   description for the code and if the displayName attribute is provided it must have the specified case significance.')   else if (@codeSystem = '1.2.36.1.2001.1005.22') then 'The value of the displayName attribute must be a term from the PBS code system at the time of data entry.'   else '' " /><xsl:text />
		(See section 7.5.2.4.7 of ISO 21090 'Health informatics - Harmonized data types for information interchange'<xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96')   then ' and sections 6.2.4 and 7.4.1.4 of the SNOMED CT Technical Implementation Guide.) ' else '.) ' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($codevalues/@displayName) then concat('The preferred term for code ''', @code, ''' is ''', dh:XQueryRecursiveReplace($codevalues/@displayName, $markup-pattern-replacement, 'ic'), '''.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystem = '2.16.840.1.113883.6.96') then $snomed-version-msg else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystem != '2.16.840.1.113883.6.96') then ''    else if ($use-amtv3) then concat(' The preferred term in AMT v3 for code ''', @code, ''' is ''',    dh:XQueryRecursiveReplace(substring-before(dh:FindPreferredTermAndCaseSignificance(@code, '2.16.840.1.113883.6.96', $v-snomed-version), '|'), $markup-pattern-replacement, 'ic'), '''.')    else if ($is-tgi and $snomed-id = 'snomedctau' and $p-term-actual != '') then concat(' According to the ''', $ts-snomed-version,    ''' version of SNOMED CT-AU the preferred term for code ''', @code, ''' is ''',    dh:XQueryRecursiveReplace($p-term-actual, $markup-pattern-replacement, 'ic'), '''.')   else if ($is-tgi and $snomed-id = 'amtv3' and $p-term-actual != '') then concat(' According to the ''', $v-snomed-version, ''' version of AMT v3 the preferred term for code ''', @code,    ''' is ''', dh:XQueryRecursiveReplace($p-term-actual, $markup-pattern-replacement, 'ic'), '''.')   else if (count($db-synonyms-seq) &gt; 1) then concat(' That version of ', $snomed-type, ' contains ',   if ($numbers/number[@value = count($db-synonyms-seq)]) then $numbers/number[number(@value) = count($db-synonyms-seq)]/@name else count($db-synonyms-seq), ' terms corresponding to code ''', @code,    ''': ''', dh:XQueryRecursiveReplace(string-join($db-synonyms-seq[position() &lt; last()], ''', '''), $markup-pattern-replacement, 'ic'),    ''' and ''', dh:XQueryRecursiveReplace($db-synonyms-seq[last()], $markup-pattern-replacement, 'ic'), '''.')   else if (count($db-synonyms-seq) = 1) then concat(' That version of ', $snomed-type,' contains one term corresponding to code ''', @code,    ''' which is ''', dh:XQueryRecursiveReplace($db-synonyms-seq[1], $markup-pattern-replacement, 'ic'), '''.')   else ''" /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystem = '1.2.36.1.2001.1005.22') then concat('For the PBS item code ''', replace(@code, '^0', ''),    ''' the value of the displayName attribute must be the ''preferred-term'' element within the ''prescribing-rule'' element with this PBS Item Code within the PBS v3 XML file.')   else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystem = '1.2.36.1.2001.1005.22' and $use-ts-for-validity) then $ts-pbs-version-msg    else if (@codeSystem = '1.2.36.1.2001.1005.22') then $v-pbs-version-msg else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (@codeSystem = '1.2.36.1.2001.1005.22' and $preferred-term != '') then concat(' That version of the PBS item code system contains the preferred term ''',    dh:XQueryRecursiveReplace($preferred-term, $markup-pattern-replacement, 'ic'), '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '2.16.840.1.113883.6.96' and @displayName and not(@displayName = '') and $codevalues and not($snomed-match) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '2.16.840.1.113883.6.96' and @displayName and not(@displayName = '') and $codevalues and not($snomed-match)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-65" /><xsl:text />: TC-Types-65: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the <xsl:text /><xsl:value-of select="$code-type" /><xsl:text /><xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of
		the displayName attribute is invalid. <xsl:text /><xsl:value-of select="$snomed-message" /><xsl:text /> The value of the displayName attribute must be a term from the SNOMED CT-AU code system that is a description for
		the code and if the displayName attribute is provided it must have the specified case significance.
		(See section 7.5.2.4.7 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and sections 6.2.4 and 7.4.1.4 of the SNOMED CT Technical Implementation
		Guide.) The preferred term for this code is '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($codevalues/@displayName, $markup-pattern-replacement, 'ic')" /><xsl:text />'. (See the SNOMED CT AU code system for the preferred term.)
		<xsl:text /><xsl:value-of select="if ($otext-without-markup = '') then concat(' The data element does not contain an originalText element to indicate the text entered or selected by the document author. ',    normalize-space('If the value of the displayName attribute is the text entered or selected by the document author then it   must be recorded in the originalText element rather than the displayName attribute.   (See section 7.5.2.4.8 of ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)'))      else if ($otext-without-markup = @displayName) then concat(' The value of the originalText element must be the text entered or selected by the document author whereas the value ',   'of the displayName attribute must be obtained from the code system. (See section 7.5.2.4.8 of ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')    else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and @codeSystem = '2.16.840.1.113883.6.96' and $code-format-valid and @displayName and not(@displayName = '') and    not($codevalues) and not($use-ts-for-sctau) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @codeSystem = '2.16.840.1.113883.6.96' and $code-format-valid and @displayName and not(@displayName = '') and not($codevalues) and not($use-ts-for-sctau)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="if (cda:originalText) then $rating-medium-65 else $rating-high-65" /><xsl:text />: TC-Types-65: The
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. There was no access to a terminology server containing the code system
		so it has not been possible to determine if the value of the displayName attribute is valid. Confirm if the value of the displayName matches any of the synonymous terms for the code.
		The value of the displayName attribute must be a term from the code system that is a description for the code and if the
		displayName is provided it must have the specified case significance.
		(See section 7.5.2.4.7 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and sections 6.2.4 and 7.4.1.4 of the SNOMED CT Technical Implementation
		Guide.)
		<xsl:text /><xsl:value-of select="if ($otext-without-markup = '') then concat(' The data element does not contain an originalText element to indicate the text entered or selected by the document author. ',    normalize-space('If the value of the displayName attribute is the text entered or selected by the document author then it   must be recorded in the originalText element rather than the displayName attribute.   (See section 7.5.2.4.8 of ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)'))    else if ($otext-without-markup = @displayName) then concat(' The value of the originalText element must be the text entered or selected by the document author whereas the value ',   'of the displayName attribute must be obtained from the code system. (See section 7.5.2.4.8 of ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')    else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '2.16.840.1.113883.6.96' and $types-65-warn ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '2.16.840.1.113883.6.96' and $types-65-warn">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-65" /><xsl:text />: TC-Types-65: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the <xsl:text /><xsl:value-of select="$code-type" /><xsl:text /><xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> but the value of
		the displayName attribute seems to be invalid. <xsl:text /><xsl:value-of select="$snomed-message" /><xsl:text /> The value of the displayName attribute must be a term from the SNOMED CT-AU code system that is a
		description for the code and have the specified case significance.
		<xsl:text /><xsl:value-of select="if ($otext-without-markup = '') then concat(' The data element does not contain an originalText element to indicate the text entered or selected by the document author. ',    normalize-space('If the value of the displayName attribute is the text entered or selected by the document author then it   must be recorded in the originalText element rather than the displayName attribute and the displayName attribute may be omitted as it is optional.   (See sections 7.5.2.4.7 and 7.5.2.4.8 of ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)'))    else if ($otext-without-markup = @displayName) then concat(' The value of the originalText element must be the text entered or selected by the document author whereas the value ',   'of the displayName attribute must be obtained from the code system. (See section 7.5.2.4.8 of ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')    else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$snomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($use-amtv3) then concat(' The preferred term in AMT v3 for the code is ''',    dh:XQueryRecursiveReplace(substring-before(dh:FindPreferredTermAndCaseSignificance(@code, '2.16.840.1.113883.6.96', $v-snomed-version), '|'), $markup-pattern-replacement, 'ic'), '''.')    else if ($is-tgi and $snomed-id = 'snomedctau' and $p-term-actual != '') then concat(' According to the ''', $ts-snomed-version, ''' version of SNOMED CT-AU the preferred term is ''',    dh:XQueryRecursiveReplace($p-term-actual, $markup-pattern-replacement, 'ic'), '''.')   else if ($is-tgi and $snomed-id = 'amtv3' and $p-term-actual != '') then concat(' According to the ''', $v-snomed-version, ''' version of AMT v3 the preferred term is ''',    dh:XQueryRecursiveReplace($p-term-actual, $markup-pattern-replacement, 'ic'), '''.')   else if (count($db-synonyms-seq) &gt; 1) then concat(' That version of ', $snomed-type, ' contains ',   if ($numbers/number[@value = count($db-synonyms-seq)]) then $numbers/number[number(@value) = count($db-synonyms-seq)]/@name else count($db-synonyms-seq), ' terms corresponding to code ''', @code,    ''': ''', dh:XQueryRecursiveReplace(string-join($db-synonyms-seq[position() &lt; last()], ''', '''), $markup-pattern-replacement, 'ic'),    ''' and ''', dh:XQueryRecursiveReplace($db-synonyms-seq[last()], $markup-pattern-replacement, 'ic'), '''.')   else if (count($db-synonyms-seq) = 1) then concat(' That version of ', $snomed-type,' contains one term corresponding to code ''', @code,    ''' which is ''', dh:XQueryRecursiveReplace($db-synonyms-seq[1], $markup-pattern-replacement, 'ic'), '''.')   else '' " /><xsl:text />
		As the version of <xsl:text /><xsl:value-of select="$snomed-type" /><xsl:text /> used for the assessment <xsl:text /><xsl:value-of select="if (@codeSystemVersion) then 'is not the version stated in the '   else 'may not be the version used to create the ' " /><xsl:text /><xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> then confirm that the value of the
		displayName is one of the terms from the code system that is a description for the code "<xsl:text /><xsl:value-of select="@code" /><xsl:text />".
		(See section 7.5.2.4.7 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and section 6.2.4 of the SNOMED CT Technical Implementation Guide.)
		<xsl:text /><xsl:value-of select="if ($pterm-change-date != '') then concat('The code''s preferred term was last changed in the version of SNOMED CT-AU published ''', $pterm-change-date,    ''' so if the the value of the displayName was ever valid then it may be before then.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$types-65-err and @codeSystem = '2.16.840.1.113883.6.96' and $dn-same-concept ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$types-65-err and @codeSystem = '2.16.840.1.113883.6.96' and $dn-same-concept">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-low-65" /><xsl:text />: TC-Types-65: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the <xsl:text /><xsl:value-of select="$code-type" /><xsl:text /><xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> and the value of
		the displayName attribute is invalid. <xsl:text /><xsl:value-of select="$snomed-message" /><xsl:text /> The value of the displayName attribute must be a term from the SNOMED CT-AU code system that is a
		description for the code and have the specified case significance.
		The value of the displayName attribute describes the same concept as the code attribute but it is not one of the terms listed in the SNOMED CT-AU code system for the code.
		<xsl:text /><xsl:value-of select="if ($otext-without-markup = '') then concat(' The data element does not contain an originalText element to indicate the text entered or selected by the document author. ',    normalize-space('If the value of the displayName attribute is the text entered or selected by the document author then it   must be recorded in the originalText element rather than the displayName attribute and the displayName attribute may be omitted as it is optional.   (See sections 7.5.2.4.7 and 7.5.2.4.8 of ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)'))    else if ($otext-without-markup = @displayName) then concat(' The value of the originalText element must be the text entered or selected by the document author whereas the value ',   'of the displayName attribute must be obtained from the code system. (See section 7.5.2.4.8 of ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')    else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$snomed-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($use-amtv3) then concat(' The preferred term in AMT v3 for the code is ''',    dh:XQueryRecursiveReplace(substring-before(dh:FindPreferredTermAndCaseSignificance(@code, '2.16.840.1.113883.6.96', $v-snomed-version), '|'), $markup-pattern-replacement, 'ic'), '''.')    else if ($is-tgi and $snomed-id = 'snomedctau' and $p-term-actual != '') then concat(' According to the ''', $ts-snomed-version, ''' version of SNOMED CT-AU the preferred term is ''',    dh:XQueryRecursiveReplace($p-term-actual, $markup-pattern-replacement, 'ic'), '''.')   else if ($is-tgi and $snomed-id = 'amtv3' and $p-term-actual != '') then concat(' According to the ''', $v-snomed-version, ''' version of AMT v3 the preferred term is ''',    dh:XQueryRecursiveReplace($p-term-actual, $markup-pattern-replacement, 'ic'), '''.')   else if (count($db-synonyms-seq) &gt; 1) then concat(' That version of ', $snomed-type, ' contains ',   if ($numbers/number[@value = count($db-synonyms-seq)]) then $numbers/number[number(@value) = count($db-synonyms-seq)]/@name else count($db-synonyms-seq), ' terms corresponding to code ''', @code,    ''': ''', dh:XQueryRecursiveReplace(string-join($db-synonyms-seq[position() &lt; last()], ''', '''), $markup-pattern-replacement, 'ic'),    ''' and ''', dh:XQueryRecursiveReplace($db-synonyms-seq[last()], $markup-pattern-replacement, 'ic'), '''.')   else if (count($db-synonyms-seq) = 1) then concat(' That version of ', $snomed-type,' contains one term corresponding to code ''', @code,    ''' which is ''', dh:XQueryRecursiveReplace($db-synonyms-seq[1], $markup-pattern-replacement, 'ic'), '''.')   else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($pterm-change-date != '') then concat(' The code''s preferred term was last changed in the version of SNOMED CT-AU published ''', $pterm-change-date,    ''' so if the the value of the displayName was ever valid then it may be before then.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '2.16.840.1.113883.6.96' and @displayName and not(@displayName = '') and $use-default-search and not($default-match) and $dhist-vers-date != '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '2.16.840.1.113883.6.96' and @displayName and not(@displayName = '') and $use-default-search and not($default-match) and $dhist-vers-date != ''">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="if (cda:originalText) then $rating-medium-65 else $rating-high-65" /><xsl:text />: TC-Types-65: The
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the <xsl:text /><xsl:value-of select="$code-type" /><xsl:text /><xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> but the value of the
		displayName attribute is
		not valid. <xsl:text /><xsl:value-of select="$snomed-message" /><xsl:text /> The value of the displayName attribute must be a term from the SNOMED CT-AU code system that is a description for the code whereas the value
		that was used is not one of the terms present for the code "<xsl:text /><xsl:value-of select="@code" /><xsl:text />".
		(See section 7.5.2.4.7 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and section 6.2.4 of the SNOMED CT Technical Implementation Guide.)
		<xsl:text /><xsl:value-of select="$dhist-last-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if (not($is-tgi) or $p-term-actual = '') then ''    else concat(' According to the ''', $ts-snomed-version, ''' version of SNOMED CT-AU the preferred term is ''',    dh:XQueryRecursiveReplace($p-term-actual, $markup-pattern-replacement, 'ic'), '''.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($is-tgi or count($db-synonyms-seq) = 0) then '' else if (count($db-synonyms-seq) = 1) then ' The SNOMED CT-AU code system contains one term for this code '    else ' The SNOMED CT-AU code system contains the following terms for this code: ' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($is-tgi) then '' else if (exists($db-synonyms-seq))    then concat('''', string-join(for $term in $db-synonyms-seq return dh:XQueryRecursiveReplace($term, $markup-pattern-replacement, 'ic'), ''', '''), '''.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($otext-without-markup = '') then concat(' The data element does not contain an originalText element to indicate the text entered or selected by the document author. ',    normalize-space('If the value of the displayName attribute is the text entered or selected by the document author then it   must be recorded in the originalText element rather than the displayName attribute and the displayName attribute may be omitted as it is optional.   (See sections 7.5.2.4.7 and 7.5.2.4.8 of ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)'))    else if ($otext-without-markup = @displayName) then concat(' The value of the originalText element must be the text entered or selected by the document author whereas the value ',   'of the displayName attribute must be obtained from the code system. (See section 7.5.2.4.8 of ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')    else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1005.22' and $types-65-warn ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1005.22' and $types-65-warn">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-65" /><xsl:text />: TC-Types-65: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The displayName attribute is optional and if present its value must be the human readable representation of the concept defined by the PBS item code system at the time of data entry.
		(See section 7.5.2.4.7 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) For the PBS item code '<xsl:text /><xsl:value-of select="replace(@code, '^0', '')" /><xsl:text />' the
		value of the displayName attribute must be the "preferred-term" element within the "prescribing-rule" element with this PBS item code within the PBS v3 XML file.
		Confirm that the value of the displayName meets this requirement.
		<xsl:text /><xsl:value-of select="if ($otext-without-markup = '') then concat(' The data element does not contain an originalText element to indicate the text entered or selected by the document author. ',    normalize-space('If the value of the displayName attribute is the text entered or selected by the document author then it   must be recorded in the originalText element rather than the displayName attribute.   (See section 7.5.2.4.8 of ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)'))    else if ($otext-without-markup = @displayName) then concat(' The value of the originalText element must be the text entered or selected by the document author whereas the value ',   'of the displayName attribute must be obtained from the code system. (See section 7.5.2.4.8 of ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')    else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($use-ts-for-validity) then $ts-pbs-version-msg else $v-pbs-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($preferred-term != '') then concat(' That version of the PBS item code system contains the preferred term ''',    dh:XQueryRecursiveReplace($preferred-term, $markup-pattern-replacement, 'ic'), '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$types-65-err and @codeSystem = '1.2.36.1.2001.1005.22' and $dn-same-concept ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$types-65-err and @codeSystem = '1.2.36.1.2001.1005.22' and $dn-same-concept">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-low-65" /><xsl:text />: TC-Types-65: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The displayName attribute is optional and if present its value must be the human readable representation of the concept defined by the PBS item code system at the time of data entry.
		(See section 7.5.2.4.7 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) For the PBS item code '<xsl:text /><xsl:value-of select="replace(@code, '^0', '')" /><xsl:text />' the
		value of the displayName attribute must be the "preferred-term" element within the "prescribing-rule" element with this PBS item code within the PBS v3 XML file.
		The value of the displayName describes the same concept as the code but it does not meets this requirement.
		<xsl:text /><xsl:value-of select="if ($otext-without-markup = '') then concat(' The data element does not contain an originalText element to indicate the text entered or selected by the document author. ',    normalize-space('If the value of the displayName attribute is the text entered or selected by the document author then it   must be recorded in the originalText element rather than the displayName attribute.   (See section 7.5.2.4.8 of ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)'))    else if ($otext-without-markup = @displayName) then concat(' The value of the originalText element must be the text entered or selected by the document author whereas the value ',   'of the displayName attribute must be obtained from the code system. (See section 7.5.2.4.8 of ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')    else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($use-ts-for-validity) then $ts-pbs-version-msg else $v-pbs-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($preferred-term != '') then concat(' That version of the PBS item code system contains the preferred term ''',    dh:XQueryRecursiveReplace($preferred-term, $markup-pattern-replacement, 'ic'), '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1005.22' and @displayName and $preferred-term-test = 'PreferredTermMismatch' and    (($use-ts-for-validity and $ts-has-version) or $v-has-version) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1005.22' and @displayName and $preferred-term-test = 'PreferredTermMismatch' and (($use-ts-for-validity and $ts-has-version) or $v-has-version)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-65" /><xsl:text />: TC-Types-65: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> but the value of the displayName attribute is not valid.
		The displayName attribute is optional and if present its value must be the human readable representation of the concept defined by the PBS code system at the time of data entry.
		(See section 7.5.2.4.7 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) For the PBS item code '<xsl:text /><xsl:value-of select="replace(@code, '^0', '')" /><xsl:text />' the
		value of the displayName attribute must be the "preferred-term" element within the "prescribing-rule" element with this PBS Item Code within the PBS v3 XML file.
		<xsl:text /><xsl:value-of select="if ($otext-without-markup = '') then concat(' The data element does not contain an originalText element to indicate the text entered or selected by the document author. ',    normalize-space('If the value of the displayName attribute is the text entered or selected by the document author then it   must be recorded in the originalText element rather than the displayName attribute.   (See section 7.5.2.4.8 of ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)'))    else if ($otext-without-markup = @displayName) then concat(' The value of the originalText element must be the text entered or selected by the document author whereas the value ',   'of the displayName attribute must be obtained from the code system. (See section 7.5.2.4.8 of ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')    else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($use-ts-for-validity) then $ts-pbs-version-msg else $v-pbs-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($preferred-term != '') then concat(' That version of the PBS item code system contains the preferred term ''',    dh:XQueryRecursiveReplace($preferred-term, $markup-pattern-replacement, 'ic'), '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1005.23' and $types-65-warn ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1005.23' and $types-65-warn">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-65" /><xsl:text />: TC-Types-65: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The value of the displayName attribute must be the human readable representation of the concept defined by the PBS Manufacturer code system at the time of data entry.
		(See section 7.5.2.4.7 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		Confirm that the value of the displayName meets this requirement.
		<xsl:text /><xsl:value-of select="if ($otext-without-markup = '') then concat(' The data element does not contain an originalText element to indicate the text entered or selected by the document author. ',    normalize-space('If the value of the displayName attribute is the text entered or selected by the document author then it   must be recorded in the originalText element rather than the displayName attribute.   (See section 7.5.2.4.8 of ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)'))    else if ($otext-without-markup = @displayName) then concat(' The value of the originalText element must be the text entered or selected by the document author whereas the value ',   'of the displayName attribute must be obtained from the code system. (See section 7.5.2.4.8 of ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')    else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($use-ts-for-validity) then $ts-pbsman-version-msg else $v-pbsman-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($preferred-term != '') then concat(' That version of the PBS Manufacturer code system contains the preferred term ''',    dh:XQueryRecursiveReplace($preferred-term, $markup-pattern-replacement, 'ic'), '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1005.23' and @displayName and $preferred-term-test = 'PreferredTermMismatch' and    (($use-ts-for-validity and $ts-has-version) or $v-has-version) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1005.23' and @displayName and $preferred-term-test = 'PreferredTermMismatch' and (($use-ts-for-validity and $ts-has-version) or $v-has-version)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-65" /><xsl:text />: TC-Types-65: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> but the value of the displayName attribute is not valid.
		The value of the displayName attribute must be the human readable representation of the concept defined by the PBS Manufacturer code system at the time of data entry.
		(See section 7.5.2.4.7 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		For the PBS Manufacturer code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />' the value of the displayName attribute must be '<xsl:text /><xsl:value-of select="$preferred-term" /><xsl:text />'.
		<xsl:text /><xsl:value-of select="if ($otext-without-markup = '') then concat(' The data element does not contain an originalText element to indicate the text entered or selected by the document author. ',    normalize-space('If the value of the displayName attribute is the text entered or selected by the document author then it   must be recorded in the originalText element rather than the displayName attribute.   (See section 7.5.2.4.8 of ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)'))    else if ($otext-without-markup = @displayName) then concat(' The value of the originalText element must be the text entered or selected by the document author whereas the value ',   'of the displayName attribute must be obtained from the code system. (See section 7.5.2.4.8 of ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')    else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($use-ts-for-validity) then $ts-pbsman-version-msg else $v-pbsman-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($preferred-term != '') then concat(' That version of the PBS Manufacturer code system contains the preferred term ''',    dh:XQueryRecursiveReplace($preferred-term, $markup-pattern-replacement, 'ic'), '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '1.2.36.1.2001.1004.100' and @displayName and $preferred-term-test = 'PreferredTermMismatch' and $v-has-version ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '1.2.36.1.2001.1004.100' and @displayName and $preferred-term-test = 'PreferredTermMismatch' and $v-has-version">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-65" /><xsl:text />: TC-Types-65: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text /> but the value of the displayName attribute is not valid.
		The value of the displayName attribute must be the human readable representation of the concept defined by the AMT v2 code system at the time of data entry.
		(See section 7.5.2.4.7 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		For the AMT v2 code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />' the value of the displayName attribute must be '<xsl:text /><xsl:value-of select="$preferred-term" /><xsl:text />'.
		<xsl:text /><xsl:value-of select="if ($otext-without-markup = '') then concat(' The data element does not contain an originalText element to indicate the text entered or selected by the document author. ',    normalize-space('If the value of the displayName attribute is the text entered or selected by the document author then it   must be recorded in the originalText element rather than the displayName attribute.   (See section 7.5.2.4.8 of ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)'))    else if ($otext-without-markup = @displayName) then concat(' The value of the originalText element must be the text entered or selected by the document author whereas the value ',   'of the displayName attribute must be obtained from the code system. (See section 7.5.2.4.8 of ISO 21090 ''Health informatics - Harmonized data types for information interchange''.)')    else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$v-amtv2-version-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($preferred-term != '') then concat(' That version of the AMT v2 code system contains the preferred term ''',    dh:XQueryRecursiveReplace($preferred-term, $markup-pattern-replacement, 'ic'), '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$null-otext-error ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$null-otext-error">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-66-step-1" /><xsl:text />: TC-Types-66 step 1: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The concept described by the <xsl:text /><xsl:value-of select="$code-type" /><xsl:text /> code is not the concept described by the originalText element.<xsl:text /><xsl:value-of select="$otext-translation" /><xsl:text />
		(See sections 8.1 and 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		The originalText element is required to be the text seen or selected by the person that entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $otext-to-match and $use-displayName and not($use-pt-match) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $otext-to-match and $use-displayName and not($use-pt-match)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-66 step 1: The <xsl:text /><xsl:value-of select="$code-type" /><xsl:text /> code has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. The displayName was used to match the originalText.
		There are <xsl:text /><xsl:value-of select="$otext-count" /><xsl:text /> distinct words in the originalText
		<xsl:text /><xsl:value-of select="if ($is-tgi) then 'after preprocessing ' else '' " /><xsl:text /> ('<xsl:text /><xsl:value-of select="string-join($otext-words, ''', ''')" /><xsl:text />').
		There are <xsl:text /><xsl:value-of select="$otext-synonyms-count-1[1]" /><xsl:text /> distinct words in the <xsl:text /><xsl:value-of select="$code-type" /><xsl:text /> code displayName after preprocessing
		('<xsl:text /><xsl:value-of select="string-join(distinct-values(tokenize($otext-synonyms[1], ' ')), ''', ''')" /><xsl:text />').
		The originalText and <xsl:text /><xsl:value-of select="$code-type" /><xsl:text /> code displayName have <xsl:text /><xsl:value-of select="$otext-synonyms-count-2[1]" /><xsl:text /> words in common.
		The minimum word match ratio is <xsl:text /><xsl:value-of select="$min-word-match-ratio" /><xsl:text />.
		What is the average ratio of words in common to total words?
		<xsl:text /><xsl:value-of select="(($otext-synonyms-count-2[1] div $otext-count) + ($otext-synonyms-count-2[1] div $otext-synonyms-count-1[1])) div 2" /><xsl:text />.
		Is the originalText comparable to the displayName? <xsl:text /><xsl:value-of select="$otext-match" /><xsl:text />.
		Is there any information about the code system (no-codeinfo)? <xsl:text /><xsl:value-of select="not($no-codeinfo)" /><xsl:text />.
		<xsl:text /><xsl:value-of select="if ($code-type = 'translation') then    concat('Can the match of translation to primary code and primary code to originalText be used as a proxy for matching the translation with the originalText? ', $use-pt-match, '.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and $otext-to-match and not($use-displayName) and $otext-synonyms-num &gt; 0 and not($use-pt-match) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and $otext-to-match and not($use-displayName) and $otext-synonyms-num &gt; 0 and not($use-pt-match)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Types-66 step 1: The code has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The <xsl:text /><xsl:value-of select="$otext-synonyms-num" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $code-type)" /><xsl:text /> code synonyms '<xsl:text /><xsl:value-of select="string-join($synonyms, '|')" /><xsl:text />'
		were used to match the originalText.
		There are <xsl:text /><xsl:value-of select="$otext-count" /><xsl:text /> distinct words in the originalText
		<xsl:text /><xsl:value-of select="if ($is-tgi) then 'after preprocessing ' else '' " /><xsl:text /> (<xsl:text /><xsl:value-of select="string-join($otext-words, '|')" /><xsl:text />).
		There are <xsl:text /><xsl:value-of select="$otext-synonyms-count-1[1]" /><xsl:text /> distinct words in the first <xsl:text /><xsl:value-of select="$code-type" /><xsl:text /> code synonym after preprocessing
		(<xsl:text /><xsl:value-of select="string-join(distinct-values(tokenize($otext-synonyms[1], ' ')), '|')" /><xsl:text />).
		There are <xsl:text /><xsl:value-of select="$otext-synonyms-count-2[1]" /><xsl:text /> words in common between the originalText and the first <xsl:text /><xsl:value-of select="$code-type" /><xsl:text /> code synonym.
		There are <xsl:text /><xsl:value-of select="$otext-synonyms-count-1[$otext-synonyms-num]" /><xsl:text /> distinct words in the last <xsl:text /><xsl:value-of select="$code-type" /><xsl:text /> code synonym after preprocessing
		(<xsl:text /><xsl:value-of select="string-join(distinct-values(tokenize($otext-synonyms[$otext-synonyms-num], ' ')), '|')" /><xsl:text />).
		There are <xsl:text /><xsl:value-of select="$otext-synonyms-count-2[$otext-synonyms-num]" /><xsl:text /> words in common between the originalText and the last <xsl:text /><xsl:value-of select="$code-type" /><xsl:text /> code synonym.
		The minimum word match ratio is <xsl:text /><xsl:value-of select="$min-word-match-ratio" /><xsl:text />.
		What is the average ratio of words in common to total words for the first <xsl:text /><xsl:value-of select="$code-type" /><xsl:text /> code synonym?
		<xsl:text /><xsl:value-of select="(($otext-synonyms-count-2[1] div $otext-count) + ($otext-synonyms-count-2[1] div $otext-synonyms-count-1[1])) div 2" /><xsl:text />.
		What is the average ratio of words in common to total words for the last <xsl:text /><xsl:value-of select="$code-type" /><xsl:text /> code synonym?
		<xsl:text /><xsl:value-of select="(($otext-synonyms-count-2[$otext-synonyms-num] div $otext-count) + ($otext-synonyms-count-2[$otext-synonyms-num] div    $otext-synonyms-count-1[$otext-synonyms-num])) div 2" /><xsl:text />.
		Is the originalText comparable to any <xsl:text /><xsl:value-of select="$code-type" /><xsl:text /> code synonym (not just the first and the last)? <xsl:text /><xsl:value-of select="$otext-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and ($primcode-origtext or $transcode-origtext)  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and ($primcode-origtext or $transcode-origtext)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Types-66 step 1: The following variables were used to assess TC-Types-66 step 1.
		text-comparison-match '<xsl:text /><xsl:value-of select="$text-comparison-match" /><xsl:text />'
		code-type '<xsl:text /><xsl:value-of select="$code-type" /><xsl:text />'
		codeSystem-for-analysis '<xsl:text /><xsl:value-of select="$codeSystem-for-analysis" /><xsl:text />'
		code-for-analysis '<xsl:text /><xsl:value-of select="$code-for-analysis" /><xsl:text />'
		code-refset-2 '<xsl:text /><xsl:value-of select="string-join($code-refset-2, '|')" /><xsl:text />'
		semantic-tag '<xsl:text /><xsl:value-of select="$semantic-tag" /><xsl:text />'
		code-refset '<xsl:text /><xsl:value-of select="$code-refset" /><xsl:text />'
		code-tgi-refset '<xsl:text /><xsl:value-of select="$code-tgi-refset" /><xsl:text />'
		code-tgi-type '<xsl:text /><xsl:value-of select="$code-tgi-type" /><xsl:text />'
		text-for-analysis '<xsl:text /><xsl:value-of select="$text-for-analysis" /><xsl:text />'
		text-code-1 '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($text-code-1, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'
		text-code-match-1 '<xsl:text /><xsl:value-of select="$text-code-match-1" /><xsl:text />'
		text-code-2 '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($text-code-2, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'
		use-text-code-2 '<xsl:text /><xsl:value-of select="$use-text-code-2" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if ($use-revised-text-1) then concat(' revised-text-1 ''', $revised-text-1, '''') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($use-revised-text-1) then concat(' text-code-3 ''', dh:XQueryRecursiveReplace(string-join($text-code-3, '|'), $markup-pattern-replacement, 'ic'), '''') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($use-revised-text-1) then concat(' use-text-code-3 ''', $use-text-code-3, '''') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($use-revised-text-2) then concat(' revised-text-2 ''', $revised-text-2, '''') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($use-revised-text-2) then concat(' text-code-4 ''', dh:XQueryRecursiveReplace(string-join($text-code-4, '|'), $markup-pattern-replacement, 'ic'), '''') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($use-revised-text-2) then concat(' use-text-code-4 ''', $use-text-code-4, '''') else '' " /><xsl:text />
		text-code '<xsl:text /><xsl:value-of select="string-join($text-code, '|')" /><xsl:text />'
		text-code-match-2 '<xsl:text /><xsl:value-of select="$text-code-match-2" /><xsl:text />'
		text-refset '<xsl:text /><xsl:value-of select="string-join($text-refset, '|')" /><xsl:text />'
		text-tgi-type '<xsl:text /><xsl:value-of select="string-join($text-tgi-type, '|')" /><xsl:text />'
		text-tgi-err-type-1 '<xsl:text /><xsl:value-of select="$text-tgi-err-type-1" /><xsl:text />'
		text-tgi-err-type-2 '<xsl:text /><xsl:value-of select="$text-tgi-err-type-2" /><xsl:text />'
		tc-types-66-step1-err '<xsl:text /><xsl:value-of select="$tc-types-66-step1-err" /><xsl:text />'
		tc-types-66-step1-pass '<xsl:text /><xsl:value-of select="$tc-types-66-step1-pass" /><xsl:text />'
		tc-types-66-step1-warn '<xsl:text /><xsl:value-of select="$tc-types-66-step1-warn" /><xsl:text />'
		tc-types-66-step1-hint '<xsl:text /><xsl:value-of select="$tc-types-66-step1-hint" /><xsl:text />'

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $tc-types-66-step1-hint and not($error-usingTS-10) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tc-types-66-step1-hint and not($error-usingTS-10)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-66-step-1" /><xsl:text />: TC-Types-66 step 1: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The concept <xsl:text /><xsl:value-of select="if (@displayName or not(exists($synonyms))) then ''    else concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($synonyms[1], $markup-pattern-replacement, 'ic'), codepoints-to-string(34))" /><xsl:text />
		described by the <xsl:text /><xsl:value-of select="$code-type" /><xsl:text /> code may be inconsistent with the concept described by the originalText element.<xsl:text /><xsl:value-of select="$otext-translation" /><xsl:text />
		Confirm that the originalText describes the same concept as the <xsl:text /><xsl:value-of select="$code-type" /><xsl:text /> code.
		(See section 8.1 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'.)<xsl:text /><xsl:value-of select="$otext-message" /><xsl:text /> The originalText element is required to be the text seen or selected by the person that entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="if ($code-refset-alt = '') then '' else concat(' The ', $code-type, ' code ', codepoints-to-string(34), @code, codepoints-to-string(34),    ' identifies a ', $code-refset-alt, '.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($code-tgi-type = 'trade product') then concat(' If the value of the originalText element describes a medicinal product then the ', $code-type,    ' code is invalid.') else if ($code-tgi-type = 'medicinal product') then concat(' If the value of the originalText element describes a trade product then the ', $code-type,    ' code is invalid.') else '' " /><xsl:text />
		The test could not be completed as there was no access to a terminology server containing PBS codes.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $tc-types-66-step1-warn and not($error-usingTS-10) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tc-types-66-step1-warn and not($error-usingTS-10)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-66-step-1" /><xsl:text />: TC-Types-66 step 1: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The concept <xsl:text /><xsl:value-of select="if (@displayName or not(exists($synonyms))) then ''    else concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($synonyms[1], $markup-pattern-replacement, 'ic'), codepoints-to-string(34))" /><xsl:text />
		described by the <xsl:text /><xsl:value-of select="$code-type" /><xsl:text /> code may be inconsistent with the concept described by the originalText element.<xsl:text /><xsl:value-of select="$otext-translation" /><xsl:text />
		Confirm that the originalText describes the same concept as the <xsl:text /><xsl:value-of select="$code-type" /><xsl:text /> code.
		(See section 8.1 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'.)<xsl:text /><xsl:value-of select="$otext-message" /><xsl:text /> The originalText element is required to be the text seen or selected by the person that entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="if ($code-refset-alt = '') then '' else concat(' The ', $code-type, ' code ', codepoints-to-string(34), @code, codepoints-to-string(34),    ' identifies a ', $code-refset-alt, '.') " /><xsl:text /><xsl:text /><xsl:value-of select="if ($code-tgi-type = 'trade product') then concat(' If the value of the originalText element describes a medicinal product then the ', $code-type,    ' code is invalid.') else if ($code-tgi-type = 'medicinal product') then concat(' If the value of the originalText element describes a trade product then the ', $code-type,    ' code is invalid.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $tc-types-66-step1-err and $text-tgi-err-type-1 and not($error-usingTS-10) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tc-types-66-step1-err and $text-tgi-err-type-1 and not($error-usingTS-10)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-66-step-1" /><xsl:text />: TC-Types-66 step 1: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The concept <xsl:text /><xsl:value-of select="if (@displayName or not(exists($synonyms))) then ''    else concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($synonyms[1], $markup-pattern-replacement, 'ic'), codepoints-to-string(34))" /><xsl:text />
		described by the <xsl:text /><xsl:value-of select="$code-type" /><xsl:text /> code differs from the concept described by the originalText element.<xsl:text /><xsl:value-of select="$otext-translation" /><xsl:text /><xsl:text /><xsl:value-of select="if ($code-refset-alt = '') then '' else concat(' The ', $code-type, ' code ', codepoints-to-string(34), @code, codepoints-to-string(34),    ' identifies a ', $code-refset-alt, '.')  " /><xsl:text /><xsl:text /><xsl:value-of select="if ($text-refset-alt = '') then '' else concat(' whereas the originalText identifies a ', $text-refset-alt)  " /><xsl:text />
		(See section 8.1 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'.) The originalText element is required to be the text seen or selected by the person that entered the information.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $tc-types-66-step1-err and $text-tgi-err-type-2 and not($error-usingTS-10) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tc-types-66-step1-err and $text-tgi-err-type-2 and not($error-usingTS-10)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-66-step-1" /><xsl:text />: TC-Types-66 step 1: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The concept <xsl:text /><xsl:value-of select="if (@displayName or not(exists($synonyms))) then ''    else concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($synonyms[1], $markup-pattern-replacement, 'ic'), codepoints-to-string(34))" /><xsl:text />
		described by the <xsl:text /><xsl:value-of select="$code-type" /><xsl:text /> code differs from the concept described by the originalText element.<xsl:text /><xsl:value-of select="$otext-translation" /><xsl:text /><xsl:text /><xsl:value-of select="if ($code-tgi-type = '') then '' else concat(' The ', $code-type, ' code ', codepoints-to-string(34), @code, codepoints-to-string(34),    ' identifies a ', $code-tgi-type)  " /><xsl:text /><xsl:text /><xsl:value-of select="if ($text-tgi-type = '') then '' else concat(' whereas the originalText identifies a ', $text-tgi-type, '.')  " /><xsl:text />
		(See section 8.1 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'.)
		<xsl:text /><xsl:value-of select="if ($code-tgi-type = 'trade product') then concat(' If the value of the originalText element describes a medicinal product then the ', $code-type,    ' code is invalid.') else if ($code-tgi-type = 'medicinal product') then concat(' If the value of the originalText element describes a trade product then the ', $code-type,    ' code is invalid.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $tc-types-66-step1-err and count($conflicting-concepts) = 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tc-types-66-step1-err and count($conflicting-concepts) = 1">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-66-step-1" /><xsl:text />: TC-Types-66 step 1: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. According to the "<xsl:text /><xsl:value-of select="$codeSystem-for-analysis" /><xsl:text />" code system
		the code "<xsl:text /><xsl:value-of select="$code-for-analysis" /><xsl:text />" corresponds to the concept "<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($synonyms[1], $markup-pattern-replacement, 'ic')" /><xsl:text />" whereas the
		concept described by the originalText element corresponds to the code "<xsl:text /><xsl:value-of select="$correct-code[1]" /><xsl:text />".
		The described by the <xsl:text /><xsl:value-of select="$code-type" /><xsl:text /> code must be equivalent to the concept described by the originalText element.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:originalText and cda:originalText/@mediaType and not(cda:originalText/@mediaType = 'text/plain') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:originalText and cda:originalText/@mediaType and not(cda:originalText/@mediaType = 'text/plain')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-66-step-2" /><xsl:text />: TC-Types-66 step 2: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has originalText with mediaType '<xsl:text /><xsl:value-of select="cda:originalText/@mediaType" /><xsl:text />' which does not meet the requirement for the information to
		be represented in plain text form. The default mediaType 'text/plain' is expected.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:translation and cda:translation/cda:translation ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:translation and cda:translation/cda:translation">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-67-step-1" /><xsl:text />: TC-Types-67 step 1: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a translation within a translation, which is not allowed.
		(See section 7.5.2.4.9 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:translation and cda:translation/cda:originalText ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:translation and cda:translation/cda:originalText">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-67-step-1" /><xsl:text />: TC-Types-67 step 1: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has originalText within a translation, which is not allowed.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:translation and cda:translation/@code and cda:translation/@nullFlavor = 'OTH' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:translation and cda:translation/@code and cda:translation/@nullFlavor = 'OTH'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-67-step-1" /><xsl:text />: TC-Types-67 step 1: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a translation with both a code '<xsl:text /><xsl:value-of select="cda:translation/@code" /><xsl:text />' and a nullFlavor attribute with the value 'OTH'. A code should be included
		in the translation element if it is a member of the value domain, so there is no need to include nullFlavor 'OTH'.
		(See sections 7.5.2.4.8 and 7.5.2.4.9 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and section 8.1 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />
		CDA Implementation Guide.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and local-name(.) = 'translation' and $ptext-to-match and $ttext-to-match and $use-pdisplayName ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and local-name(.) = 'translation' and $ptext-to-match and $ttext-to-match and $use-pdisplayName">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-67 step 2: The primary code has <xsl:text /><xsl:value-of select="iq:display-CD($primary)" /><xsl:text /> and the translation code has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The displayName of the primary code was used to match the
		<xsl:text /><xsl:value-of select="if ($use-displayName) then ' displayName'    else concat(' ', $tsynonyms-num, ' synonymous terms ''', string-join($tsynonyms, ''', '''), '''') " /><xsl:text />
		of the translation code. There are <xsl:text /><xsl:value-of select="$psynonyms-count-1[1]" /><xsl:text /> distinct words in the displayName of the primary code
		('<xsl:text /><xsl:value-of select="string-join(distinct-values(tokenize($psynonyms[1], ' ')), ''', ''')" /><xsl:text />').
		There are <xsl:text /><xsl:value-of select="$tsynonyms-count[1]" /><xsl:text /> distinct words in the
		<xsl:text /><xsl:value-of select="if ($use-displayName) then ' displayName' else ' first synonym' " /><xsl:text /> of the translation code
		('<xsl:text /><xsl:value-of select="string-join(distinct-values(tokenize($tsynonyms[1], ' ')), ''', ''')" /><xsl:text />').
		The displayName of the primary code and <xsl:text /><xsl:value-of select="if ($use-displayName) then ' displayName' else ' first synonym' " /><xsl:text /> the translation code have
		<xsl:text /><xsl:value-of select="$psynonyms-count-1[1] + $tsynonyms-count[1] - count(distinct-values((tokenize($psynonyms[1], ' '), tokenize($tsynonyms[1], ' '))))" /><xsl:text /> words in common.
		The minimum word match ratio is <xsl:text /><xsl:value-of select="$min-word-match-ratio" /><xsl:text />.
		What is the average ratio of words in common to total words?
		<xsl:text /><xsl:value-of select="(($psynonyms-count-1[1] + $tsynonyms-count[1] - count(distinct-values((tokenize($psynonyms[1], ' '), tokenize($tsynonyms[1], ' '))))) div $psynonyms-count-1[1] +   ($psynonyms-count-1[1] + $tsynonyms-count[1] - count(distinct-values((tokenize($psynonyms[1], ' '), tokenize($tsynonyms[1], ' '))))) div $tsynonyms-count[1]) div 2" /><xsl:text />.
		Is the displayName of the primary code comparable to the translation code? <xsl:text /><xsl:value-of select="$pt-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and local-name(.) = 'translation' and $ptext-to-match and $ttext-to-match and not($use-pdisplayName)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and local-name(.) = 'translation' and $ptext-to-match and $ttext-to-match and not($use-pdisplayName)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Types-67 step 2: The primary code has <xsl:text /><xsl:value-of select="iq:display-CD($primary)" /><xsl:text /> and the translation code has <xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.
		The <xsl:text /><xsl:value-of select="$psynonyms-num" /><xsl:text /> synonyms '<xsl:text /><xsl:value-of select="string-join($psynonyms, '|')" /><xsl:text />' of the primary code were used to match the
		<xsl:text /><xsl:value-of select="if ($use-displayName) then ' displayName'    else concat(' ', $tsynonyms-num, ' synonymous terms ''', string-join($tsynonyms, ''', '''), '''') " /><xsl:text /> of the translation code.
		Did the IQ Rules use the primary code displayName as a synonym instead of synonyms obtained from the code system? <xsl:text /><xsl:value-of select="$use-pdisplayName" /><xsl:text />.
		Did the IQ Rules use the translation code displayName as a synonym instead of synonyms obtained from the code system? <xsl:text /><xsl:value-of select="$use-tdisplayName" /><xsl:text />.
		There are <xsl:text /><xsl:value-of select="$psynonyms-count-1[1]" /><xsl:text /> distinct words in the first synonym of the primary code
		('<xsl:text /><xsl:value-of select="string-join(distinct-values(tokenize($psynonyms[1], ' ')), ''', ''')" /><xsl:text />').
		There are <xsl:text /><xsl:value-of select="$psynonyms-count-1[$psynonyms-num]" /><xsl:text /> distinct words in the last synonym of the primary code
		('<xsl:text /><xsl:value-of select="string-join(distinct-values(tokenize($psynonyms[$psynonyms-num], ' ')), ''', ''')" /><xsl:text />').
		There are <xsl:text /><xsl:value-of select="$tsynonyms-count[1]" /><xsl:text /> distinct words in the first synonym of the translation code
		('<xsl:text /><xsl:value-of select="string-join(distinct-values(tokenize($tsynonyms[1], ' ')), ''', ''')" /><xsl:text />').
		There are <xsl:text /><xsl:value-of select="$tsynonyms-count[$tsynonyms-num]" /><xsl:text /> distinct words in the last synonym of the translation code
		('<xsl:text /><xsl:value-of select="string-join(distinct-values(tokenize($tsynonyms[$tsynonyms-num], ' ')), ''', ''')" /><xsl:text />').
		Is any synonym of the primary code comparable to any synonym of the translation code (not just the first and the last of each)? <xsl:text /><xsl:value-of select="$pt-match" /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' and ($transcode-primtext or $transtext-primcode)  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true' and ($transcode-primtext or $transtext-primcode)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Finding: TC-Types-67 step 2: The following variables were used to assess TC-Types-67 step 2.
		text-comparison-match '<xsl:text /><xsl:value-of select="$text-comparison-match" /><xsl:text />'
		code-type '<xsl:text /><xsl:value-of select="$code-type" /><xsl:text />'
		codeSystem-for-analysis '<xsl:text /><xsl:value-of select="$codeSystem-for-analysis" /><xsl:text />'
		code-for-analysis '<xsl:text /><xsl:value-of select="$code-for-analysis" /><xsl:text />'
		v-snomed-version '<xsl:text /><xsl:value-of select="$v-snomed-version" /><xsl:text />'
		code-refset-1 '<xsl:text /><xsl:value-of select="string-join($code-refset-1, '|')" /><xsl:text />'
		code-refset-2 '<xsl:text /><xsl:value-of select="string-join($code-refset-2, '|')" /><xsl:text />'
		semantic-tag '<xsl:text /><xsl:value-of select="$semantic-tag" /><xsl:text />'
		code-refset '<xsl:text /><xsl:value-of select="$code-refset" /><xsl:text />'
		code-tgi-refset '<xsl:text /><xsl:value-of select="$code-tgi-refset" /><xsl:text />'
		code-tgi-type '<xsl:text /><xsl:value-of select="$code-tgi-type" /><xsl:text />'
		text-for-analysis '<xsl:text /><xsl:value-of select="$text-for-analysis" /><xsl:text />'
		text-code-1 '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($text-code-1, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'
		text-code-match-1 '<xsl:text /><xsl:value-of select="$text-code-match-1" /><xsl:text />'
		text-code-2 '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($text-code-2, '|'), $markup-pattern-replacement, 'ic')" /><xsl:text />'
		use-text-code-2 '<xsl:text /><xsl:value-of select="$use-text-code-2" /><xsl:text />'
		<xsl:text /><xsl:value-of select="if ($use-revised-text-1) then concat(' revised-text-1 ''', $revised-text-1, '''') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($use-revised-text-1) then concat(' text-code-3 ''', dh:XQueryRecursiveReplace(string-join($text-code-3, '|'), $markup-pattern-replacement, 'ic'), '''') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($use-revised-text-1) then concat(' use-text-code-3 ''', $use-text-code-3, '''') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($use-revised-text-2) then concat(' revised-text-2 ''', $revised-text-2, '''') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($use-revised-text-2) then concat(' text-code-4 ''', dh:XQueryRecursiveReplace(string-join($text-code-4, '|'), $markup-pattern-replacement, 'ic'), '''') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ($use-revised-text-2) then concat(' use-text-code-4 ''', $use-text-code-4, '''') else '' " /><xsl:text />
		text-code '<xsl:text /><xsl:value-of select="string-join($text-code, '|')" /><xsl:text />'
		text-code-match-2 '<xsl:text /><xsl:value-of select="$text-code-match-2" /><xsl:text />'
		text-refset '<xsl:text /><xsl:value-of select="string-join($text-refset, '|')" /><xsl:text />'
		text-tgi-type '<xsl:text /><xsl:value-of select="string-join($text-tgi-type, '|')" /><xsl:text />'
		text-tgi-err-type-1 '<xsl:text /><xsl:value-of select="$text-tgi-err-type-1" /><xsl:text />'
		text-tgi-err-type-2 '<xsl:text /><xsl:value-of select="$text-tgi-err-type-2" /><xsl:text />'
		tc-types-67-step2-err '<xsl:text /><xsl:value-of select="$tc-types-67-step2-err" /><xsl:text />'
		tc-types-67-step2-pass '<xsl:text /><xsl:value-of select="$tc-types-67-step2-pass" /><xsl:text />'
		tc-types-67-step2-warn '<xsl:text /><xsl:value-of select="$tc-types-67-step2-warn" /><xsl:text />'
		tc-types-67-step2-hint '<xsl:text /><xsl:value-of select="$tc-types-67-step2-hint" /><xsl:text />'

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="  not($flags/@allow-hints = 'false') and $tc-types-67-step2-hint and not($error-usingTS-10) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $tc-types-67-step2-hint and not($error-usingTS-10)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-67-step-2" /><xsl:text />: TC-Types-67 step 2: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the primary <xsl:text /><xsl:value-of select="iq:display-CD($primary)" /><xsl:text /> and the translation
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. 
		The concept <xsl:text /><xsl:value-of select="if (@displayName or not(exists($synonyms))) then ''    else concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($synonyms[1], $markup-pattern-replacement, 'ic'), codepoints-to-string(34))" /><xsl:text />
		described by the translation code may be inconsistent with the concept
		<xsl:text /><xsl:value-of select="if ($primary/@displayName or not(exists($psynonyms))) then ''    else concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($psynonyms[1], $markup-pattern-replacement, 'ic'), codepoints-to-string(34))" /><xsl:text /> described by the primary code.
		Confirm that the translation describes the same concept as the primary code.
		(See section 7.5.2.4.9 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="$ptext-message" /><xsl:text /><xsl:text /><xsl:value-of select="$ttext-message" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $tc-types-67-step2-warn and not($error-usingTS-10) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tc-types-67-step2-warn and not($error-usingTS-10)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-67-step-2" /><xsl:text />: TC-Types-67 step 2: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the primary <xsl:text /><xsl:value-of select="iq:display-CD($primary)" /><xsl:text /> and the translation
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. 
		The concept <xsl:text /><xsl:value-of select="if (@displayName or not(exists($synonyms))) then ''    else concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($synonyms[1], $markup-pattern-replacement, 'ic'), codepoints-to-string(34))" /><xsl:text />
		described by the translation code may be inconsistent with the concept
		<xsl:text /><xsl:value-of select="if ($primary/@displayName or not(exists($psynonyms))) then ''    else concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($psynonyms[1], $markup-pattern-replacement, 'ic'), codepoints-to-string(34))" /><xsl:text /> described by the primary code.
		Confirm that the translation describes the same concept as the primary code.
		(See section 7.5.2.4.9 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="$ptext-message" /><xsl:text /><xsl:text /><xsl:value-of select="$ttext-message" /><xsl:text /><xsl:text /><xsl:value-of select="if ($code-refset-alt != '' and not(   (@codeSystem = '2.16.840.1.113883.6.96' and $primary/@codeSystem = '1.2.36.1.2001.1005.22')  or   (@codeSystem = '1.2.36.1.2001.1005.22' and $primary/@codeSystem = '2.16.840.1.113883.6.96') )   ) then concat(' The translation code ', codepoints-to-string(34), @code, codepoints-to-string(34), ' identifies a ', $code-refset-alt, '.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if ((@codeSystem = '2.16.840.1.113883.6.96' and $primary/@codeSystem = '1.2.36.1.2001.1005.22')  or             (@codeSystem = '1.2.36.1.2001.1005.22' and $primary/@codeSystem = '2.16.840.1.113883.6.96') ) then ''   else if ($code-tgi-type = 'trade product') then concat(' If the value of the primary code describes a medicinal product then the ', $code-type,    ' code is invalid.') else if ($code-tgi-type = 'medicinal product') then concat(' If the value of the primary code describes a trade product then the ', $code-type,    ' code is invalid.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $tc-types-67-step2-err and $text-tgi-err-type-1 and not($error-usingTS-10) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tc-types-67-step2-err and $text-tgi-err-type-1 and not($error-usingTS-10)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-67-step-2" /><xsl:text />: TC-Types-67 step 2: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the primary <xsl:text /><xsl:value-of select="iq:display-CD($primary)" /><xsl:text /> and the translation
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.		
		The concept <xsl:text /><xsl:value-of select="if (@displayName or not(exists($synonyms))) then ''    else concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($synonyms[1], $markup-pattern-replacement, 'ic'), codepoints-to-string(34))" /><xsl:text />
		described by the translation code is inconsistent with the concept
		<xsl:text /><xsl:value-of select="if ($primary/@displayName or not(exists($psynonyms))) then ''    else concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($psynonyms[1], $markup-pattern-replacement, 'ic'), codepoints-to-string(34))" /><xsl:text /> described by the primary code. The
		<xsl:text /><xsl:value-of select="if ($transcode-primtext) then 'translation code' else 'primary code' " /><xsl:text /> identifies a <xsl:text /><xsl:value-of select="$code-refset-alt" /><xsl:text />
		whereas the <xsl:text /><xsl:value-of select="if ($transcode-primtext) then 'primary code' else 'translation code' " /><xsl:text /> identifies a
		<xsl:text /><xsl:value-of select="$text-refset-alt" /><xsl:text /><xsl:text /><xsl:value-of select="if (@displayName or not(exists($text-code-2))) then '.' else concat(' (', dh:XQueryRecursiveReplace($text-code-2[1], $markup-pattern-replacement, 'ic'), ').') " /><xsl:text />
		The concept described by the translation code must be consistent with the concept described by the primary code.
		(See section 8.1 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and section 7.5.2.4.9 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $tc-types-67-step2-err and $text-tgi-err-type-2 and not($error-usingTS-10) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tc-types-67-step2-err and $text-tgi-err-type-2 and not($error-usingTS-10)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-67-step-2" /><xsl:text />: TC-Types-67 step 2: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the primary <xsl:text /><xsl:value-of select="iq:display-CD($primary)" /><xsl:text /> and the translation
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />.		
		The concept <xsl:text /><xsl:value-of select="if (@displayName or not(exists($synonyms))) then ''    else concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($synonyms[1], $markup-pattern-replacement, 'ic'), codepoints-to-string(34))" /><xsl:text />
		described by the translation code is inconsistent with the concept
		<xsl:text /><xsl:value-of select="if ($primary/@displayName or not(exists($psynonyms))) then ''    else concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($psynonyms[1], $markup-pattern-replacement, 'ic'), codepoints-to-string(34))" /><xsl:text /> described by the primary code. The
		<xsl:text /><xsl:value-of select="if ($transcode-primtext) then 'translation code' else 'primary code' " /><xsl:text /> identifies a <xsl:text /><xsl:value-of select="if ($is-tgi) then $code-tgi-type else $code-refset-alt" /><xsl:text />
		whereas the <xsl:text /><xsl:value-of select="if ($transcode-primtext) then 'primary code' else 'translation code' " /><xsl:text /> identifies a
		<xsl:text /><xsl:value-of select="if ($is-tgi) then $text-tgi-type else $text-refset-alt" /><xsl:text />. The concept described by the translation code must be consistent with the concept described by the primary code.
		(See section 8.1 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and section 7.5.2.4.9 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $tc-types-67-step2-err and count($conflicting-concepts) = 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$tc-types-67-step2-err and count($conflicting-concepts) = 1">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-67-step-2" /><xsl:text />: TC-Types-67 step 2: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the primary <xsl:text /><xsl:value-of select="iq:display-CD($primary)" /><xsl:text /> and the translation
		<xsl:text /><xsl:value-of select="iq:display-CD(.)" /><xsl:text />. According to the "<xsl:text /><xsl:value-of select="$codeSystem-for-analysis" /><xsl:text />" code system the code
		"<xsl:text /><xsl:value-of select="$code-for-analysis" /><xsl:text />" corresponds to the concept
		"<xsl:text /><xsl:value-of select="if ($transcode-primtext) then dh:XQueryRecursiveReplace($other-codesystemvalues/code[@code = current()/@code]/@displayName, $markup-pattern-replacement, 'ic')    else dh:XQueryRecursiveReplace($other-codesystemvalues/code[@code = $primary/@code]/@displayName, $markup-pattern-replacement, 'ic')" /><xsl:text />"
		whereas the concept "<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($text-for-analysis-1, $markup-pattern-replacement, 'ic')" /><xsl:text />" described by the
		<xsl:text /><xsl:value-of select="if ($primcode-origtext or $transcode-origtext) then 'originalText element'    else if ($transtext-primcode) then 'translation element' else 'primary code' " /><xsl:text />
		corresponds to the code "<xsl:text /><xsl:value-of select="$correct-code[1]" /><xsl:text />". The concept described by the
		<xsl:text /><xsl:value-of select="if ($transtext-primcode) then 'translation element' else 'primary code' " /><xsl:text /> must be equivalent to the concept described by the
		<xsl:text /><xsl:value-of select="if ($primcode-origtext or $transcode-origtext) then 'originalText element'    else if ($transtext-primcode) then 'primary code' else 'translation element' " /><xsl:text />.
		(See section 7.5.2.4.8 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@allow-hints = 'false') and cda:qualifier and @codeSystem and not($codesystemvalues) and not($ts-uid-error)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and cda:qualifier and @codeSystem and not($codesystemvalues) and not($ts-uid-error)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-68" /><xsl:text />: TC-Types-68: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element with codeSystem '<xsl:text /><xsl:value-of select="@codeSystem" /><xsl:text />'
		is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and contains a qualifier. The code system is not one of the known code systems so the test
		case for the qualifier have not been applied. Confirm that the value of the qualifier element meets the requirements for a qualifier.
		(See section 2.6.8 of 'HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '2.16.840.1.113883.6.96' and cda:qualifier[cda:name[not(@codeSystem)]] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '2.16.840.1.113883.6.96' and cda:qualifier[cda:name[not(@codeSystem)]]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-68" /><xsl:text />: TC-Types-68 step 3: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		has a qualifier with no codeSystem for the 'name' child element. The qualifier for a SNOMED CT-AU code must also be a SNOMED CT-AU code so the 'name' child element is to include codeSystem
		'2.16.840.1.113883.6.96'. (See sections 4.2.2.1.2 and 8.1.7.4 of the SNOMED CT Technical Implementation Guide July 2014 International Release.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '2.16.840.1.113883.6.96' and cda:qualifier[cda:name[@codeSystem and not(@codeSystem = '2.16.840.1.113883.6.96')]] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '2.16.840.1.113883.6.96' and cda:qualifier[cda:name[@codeSystem and not(@codeSystem = '2.16.840.1.113883.6.96')]]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-68" /><xsl:text />: TC-Types-68 step 3: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		has a qualifier with a code in the 'name' child element from
		codeSystem '<xsl:text /><xsl:value-of select="cda:qualifier[cda:name[@codeSystem and not(@codeSystem = '2.16.840.1.113883.6.96')]]/cda:value/@codeSystem" /><xsl:text />'.
		The qualifier for a SNOMED CT-AU code must also be a SNOMED CT-AU code. (See sections 4.2.2.1.2 and 8.1.7.4 of the SNOMED CT Technical Implementation Guide July 2014 International Release.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '2.16.840.1.113883.6.96' and cda:qualifier/cda:value[not(@codeSystem)] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '2.16.840.1.113883.6.96' and cda:qualifier/cda:value[not(@codeSystem)]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-68" /><xsl:text />: TC-Types-68 step 3: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		has a qualifier with no codeSystem for the 'value' child element. The qualifier for a SNOMED CT-AU code must also be a SNOMED CT-AU code so the 'value' child element is to include codeSystem
		'2.16.840.1.113883.6.96'. (See sections 4.2.2.1.2 and 8.1.7.4 of the SNOMED CT Technical Implementation Guide July 2014 International Release.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '2.16.840.1.113883.6.96' and cda:qualifier/cda:value[@codeSystem and not(@codeSystem = '2.16.840.1.113883.6.96')] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '2.16.840.1.113883.6.96' and cda:qualifier/cda:value[@codeSystem and not(@codeSystem = '2.16.840.1.113883.6.96')]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-68" /><xsl:text />: TC-Types-68 step 3: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element has a
		qualifier with a code in the 'value' child element from codeSystem'=<xsl:text /><xsl:value-of select="cda:qualifier/cda:value[@codeSystem and not(@codeSystem = '2.16.840.1.113883.6.96')]/@codeSystem" /><xsl:text />'. 
		The qualifier for a SNOMED CT-AU code must also be a SNOMED CT-AU code.
		(See sections 4.2.2.1.2 and 8.1.7.4 of the SNOMED CT Technical Implementation Guide July 2014 International Release.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '2.16.840.1.113883.6.96' and cda:qualifier/cda:value[@nullFlavor] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '2.16.840.1.113883.6.96' and cda:qualifier/cda:value[@nullFlavor]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-68" /><xsl:text />: TC-Types-68 step 1: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element has a
		qualifier with where the 'value' child element contains a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="cda:qualifier/cda:value[@nullFlavor]/@nullFlavor" /><xsl:text />'.
		The qualifier for a SNOMED CT-AU code must also be a SNOMED CT-AU code and the primary code must not be qualified with a nullFlavor attribute.
		(See sections 4.2.2.1.2 and 8.1.7.4 of the SNOMED CT Technical Implementation Guide July 2014 International Release.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="@codeSystem = '2.16.840.1.113883.6.96' and cda:qualifier/cda:value[not(@code)] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '2.16.840.1.113883.6.96' and cda:qualifier/cda:value[not(@code)]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-68" /><xsl:text />: TC-Types-68 step 1: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element has a
		qualifier with where the 'value' child element does not contain a code. The qualifier for a SNOMED CT-AU code must also be a SNOMED CT-AU code.
		(See sections 4.2.2.1.2 and 8.1.7.4 of the SNOMED CT Technical Implementation Guide July 2014 International Release.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and @codeSystem = '1.2.36.1.2001.1005.21' and not(@codeSystemVersion)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and @codeSystem = '1.2.36.1.2001.1005.21' and not(@codeSystemVersion)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-cd-version" /><xsl:text />: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and contains
		an Australian Medicare Benefits Schedule (MBS) code without the version. As new versions of the MBS codes are issued
		regularly, stating the version would help software systems to lookup the correct version of the MBS code system. To state the version include the codeSystemVersion
		attribute with a value in the format 'YYYYMM'. (See statement about the version in the HL7 OID Registry.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and @codeSystem = '1.2.36.1.2001.1005.22' and not(@codeSystemVersion)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and @codeSystem = '1.2.36.1.2001.1005.22' and not(@codeSystemVersion)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-cd-version" /><xsl:text />: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and contains an
		Australian Pharmaceutical Benefit Schedule (PBS) code without the version. As new versions of the PBS codes are
		issued regularly, stating the version would help software systems to lookup the correct version of the PBS code system. To state the version include the
		codeSystemVersion attribute with a value in the format 'YYYYMMDD'. (See statement about the version in the HL7 OID Registry.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and @codeSystem = '1.2.36.1.2001.1005.23' and not(@codeSystemVersion)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and @codeSystem = '1.2.36.1.2001.1005.23' and not(@codeSystemVersion)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-cd-version" /><xsl:text />: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and contains an
		Australian Pharmaceutical Benefit Schedule Manufacturer code without the version. As new versions of the PBS codes
		are issued regularly, stating the version would help software systems to lookup the correct version of the PBS code system. To state the version include the
		codeSystemVersion attribute with a value in the format 'YYYYMMDD'. (See statement about the version in the HL7 OID Registry.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$flags/@report-data-quality = 'true' and @codeSystem = '1.2.36.1.2001.1005.24' and not(@codeSystemVersion)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and @codeSystem = '1.2.36.1.2001.1005.24' and not(@codeSystemVersion)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-cd-version" /><xsl:text />: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> and contains an
		Australian Streamlined Authority Approval Number code without the version. As new versions of the PBS codes are
		issued regularly, stating the version would help software systems to lookup the correct version of the PBS code system. To state the version include
		the codeSystemVersion attribute with a value in the format 'YYYYMMDD'. (See statement about the version in the HL7 OID Registry.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1140" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1140" />
  <xsl:template match="@*|node()" priority="-2" mode="M1140">
    <xsl:apply-templates select="@*|*" mode="M1140" />
  </xsl:template>
  <!--PATTERN p-TS-CD-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument/cda:effectiveTime[exists($sctau-versions-old)] " priority="1000" mode="M1141">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument/cda:effectiveTime[exists($sctau-versions-old)] " />
    <xsl:variable name="hist-vers-date" select="substring-after($sctau-versions-old[1], 'http://snomed.info/sct/32506021000036107/version/') " />
    <xsl:variable name="hist-vers-yr" select="substring($hist-vers-date, 1, 4)" />
    <xsl:variable name="hist-vers-mn" select="substring($hist-vers-date, 5, 2)" />
    <xsl:variable name="hist-vers-dy" select="substring($hist-vers-date, 7, 2)" />
    <xsl:variable name="hist-vers-xs" select="xs:date(concat($hist-vers-yr, '-', $hist-vers-mn, '-', $hist-vers-dy))" />
    <xsl:variable name="creation-date" select="/cda:ClinicalDocument/cda:effectiveTime/@value " />
    <xsl:variable name="creation-yr" select="substring($creation-date, 1, 4)" />
    <xsl:variable name="creation-mn" select="substring($creation-date, 5, 2)" />
    <xsl:variable name="creation-dy" select="substring($creation-date, 7, 2)" />
    <xsl:variable name="creation-text-1" select="if ($creation-yr != '' and $creation-mn != '' and $creation-dy != '')        then concat($creation-dy, ' ', $knowledge/months/month[@number = $creation-mn]/@abbreviation, ' ', $creation-yr)       else if ($creation-yr != '' and $creation-mn != '' and $creation-dy = '')        then concat($knowledge/months/month[@number = $creation-mn]/@abbreviation, ' ', $creation-yr)       else if ($creation-yr != '' and $creation-mn = '' and $creation-dy = '')        then $creation-yr       else '' " />
    <xsl:variable name="creation-text" select="if ($creation-text-1 != '') then concat('The date the ', $document-name, ' was created was ',  $creation-text-1, '. ') else '' " />
    <xsl:variable name="days-old" select="substring-before(substring-after($sctau-last-xs - $hist-vers-xs, 'P'), 'D') " />
    <xsl:variable name="rating-63" select="if (number($days-old) &gt; 365) then $rating-old-TC-Types-63 else $rating-TC-Types-63 " />
    <!--REPORT -->
    <xsl:if test=" . ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test=".">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-63" /><xsl:text />: TC-Types-63: <xsl:text /><xsl:value-of select="$creation-text" /><xsl:text />The last version of SNOMED CT-AU issued before the date this <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was
		created is the <xsl:text /><xsl:value-of select="concat($sctau-last-dy, ' ', $knowledge/months/month[@number = $sctau-last-mn]/@abbreviation, ' ', $sctau-last-yr)" /><xsl:text /> release, which was issued
		<xsl:text /><xsl:value-of select="$days-old" /><xsl:text /> days after the version indicated by the codeSystemVersion attribute values in the document
		(<xsl:text /><xsl:value-of select="string-join($sctau-versions-old, ', ')" /><xsl:text />). SNOMED CT-AU has been issued monthly since 30 Nov 2015 and the Australian National Terminology Licence Agreement requires the
		copy used in healthcare software systems (live or production environments) to be updated within 30 days of the National Terminology release. The value of the codeSystemVersion
		attributes is either incorrect or the terminology version in the software system requires an update to the latest release.
		(See section 7.5.2.4.4 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and the Australian National Terminology Licence Agreement.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1141" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1141" />
  <xsl:template match="@*|node()" priority="-2" mode="M1141">
    <xsl:apply-templates select="@*|*" mode="M1141" />
  </xsl:template>
  <!--PATTERN p-TS-CD-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument/cda:effectiveTime[exists($amtv3-versions-old)] " priority="1000" mode="M1142">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument/cda:effectiveTime[exists($amtv3-versions-old)] " />
    <xsl:variable name="hist-vers-date" select="substring-after($amtv3-versions-old[1], 'http://snomed.info/sct/900062011000036108/version/') " />
    <xsl:variable name="hist-vers-yr" select="substring($hist-vers-date, 1, 4)" />
    <xsl:variable name="hist-vers-mn" select="substring($hist-vers-date, 5, 2)" />
    <xsl:variable name="hist-vers-dy" select="substring($hist-vers-date, 7, 2)" />
    <xsl:variable name="hist-vers-xs" select="xs:date(concat($hist-vers-yr, '-', $hist-vers-mn, '-', $hist-vers-dy))" />
    <xsl:variable name="creation-date" select="/cda:ClinicalDocument/cda:effectiveTime/@value " />
    <xsl:variable name="creation-yr" select="substring($creation-date, 1, 4)" />
    <xsl:variable name="creation-mn" select="substring($creation-date, 5, 2)" />
    <xsl:variable name="creation-dy" select="substring($creation-date, 7, 2)" />
    <xsl:variable name="creation-text-1" select="if ($creation-yr != '' and $creation-mn != '' and $creation-dy != '')        then concat($creation-dy, ' ', $knowledge/months/month[@number = $creation-mn]/@abbreviation, ' ', $creation-yr)       else if ($creation-yr != '' and $creation-mn != '' and $creation-dy = '')        then concat($knowledge/months/month[@number = $creation-mn]/@abbreviation, ' ', $creation-yr)       else if ($creation-yr != '' and $creation-mn = '' and $creation-dy = '')        then $creation-yr       else '' " />
    <xsl:variable name="creation-text" select="if ($creation-text-1 != '') then concat('The date the ', $document-name, ' was created was ',  $creation-text-1, '. ')       else '' " />
    <xsl:variable name="days-old" select="substring-before(substring-after($sctau-last-xs - $hist-vers-xs, 'P'), 'D') " />
    <xsl:variable name="rating-63" select="if (number($days-old) &gt; 365) then $rating-old-TC-Types-63 else $rating-TC-Types-63 " />
    <!--REPORT -->
    <xsl:if test=" . ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test=".">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-63" /><xsl:text />: TC-Types-63:  <xsl:text /><xsl:value-of select="$creation-text" /><xsl:text />The last version of AMT v3 issued before the date this <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> was created
		is the <xsl:text /><xsl:value-of select="concat($amtv3-last-dy, ' ', $knowledge/months/month[@number = $amtv3-last-mn]/@abbreviation, ' ', $amtv3-last-yr)" /><xsl:text /> release, which was issued
		<xsl:text /><xsl:value-of select="$days-old" /><xsl:text /> days after the version indicated by the codeSystemVersion attribute values in the document
		(<xsl:text /><xsl:value-of select="string-join($amtv3-versions-old, ', ')" /><xsl:text />). AMT v3 was incorporated into SNOMED CT-AU on the 30 Nov 2015 and the Australian National Terminology Licence Agreement
		for AMT v3 and SNOMED CT-AU requires the copy used in healthcare software systems (live or production environments) to be updated within 30 days of the National Terminology release.
		The value of the codeSystemVersion attributes is either incorrect or the terminology version in the software system requires an update to the latest release.
		(See section 7.5.2.4.4 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and the Australian National Terminology Licence Agreement.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1142" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1142" />
  <xsl:template match="@*|node()" priority="-2" mode="M1142">
    <xsl:apply-templates select="@*|*" mode="M1142" />
  </xsl:template>
  <!--PATTERN p-TS-CS-1-->
  <!--RULE -->
  <xsl:template match=" *[local-name(.) = ('realmCode', 'statusCode')   or      @xsi:type = 'CS'       or       normalize-space(substring-after(@xsi:type, ':')) = 'CS' ] " priority="1000" mode="M1143">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" *[local-name(.) = ('realmCode', 'statusCode')   or      @xsi:type = 'CS'       or       normalize-space(substring-after(@xsi:type, ':')) = 'CS' ] " />
    <xsl:variable name="nullFlavor-values" select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]" />
    <xsl:variable name="act-status" select="('aborted', 'active', 'cancelled', 'completed', 'held', 'new', 'normal', 'nullified', 'obsolete', 'suspended') " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <xsl:variable name="rating-115" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-115 else $rating-alt-TC-Types-115 " />
    <xsl:variable name="rating-116" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-116 else $rating-alt-TC-Types-116 " />
    <!--REPORT -->
    <xsl:if test="@code and @nullFlavor = ('UNK', 'ASKU', 'NAV', 'NASK', 'MSK')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and @nullFlavor = ('UNK', 'ASKU', 'NAV', 'NASK', 'MSK')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the type declaration declaration xsi:type='<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' the data element
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'CS' data type. It contains a value of nullFlavor
		'<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) that indicates a code is not
		provided however a code '<xsl:text /><xsl:value-of select="@code" /><xsl:text />' is provided. It is invalid to use this nullFlavor when a proper value is provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the type declaration xsi:type='<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' the data element
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'CS' data type. It contains a value of nullFlavor 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a value
		value may exist, but it must be derived from the information provided. Confirm if the use of this nullFlavor is valid.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor='OTH' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor='OTH'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		the HL7 'CS' data type and has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />).
		That value of nullFlavor may not be used for data elements of
		the CS data type. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="  @nullFlavor='PINF' or @nullFlavor='NINF' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor='PINF' or @nullFlavor='NINF'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 1: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		the HL7 'CS' data type and has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />).
		That value of nullFlavor may not be used for data elements of
		the CS data type. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor='UNC'">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor='UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		the HL7 'CS' data type and has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />).
		That value of nullFlavor may not be used for data elements of
		the CS data type. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor='QS' or @nullFlavor='TRC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor='QS' or @nullFlavor='TRC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 3: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		the HL7 'CS' data type and has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />).
		That value of nullFlavor may not be used for data elements of
		the CS data type. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not(@nullFlavor or @code)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor or @code)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-115" /><xsl:text />: TC-Types-115: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		HL7 'CS' data type but no value (i.e. nullFlavor or code). Either provide a value, include a nullFlavor only for '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' to
		indicate there is no value, or if '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' is not mandatory then omit it.
		(See section 7.5.4.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @code and not(translate(@code ,'0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ.-_:', '') = '') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@code and not(translate(@code ,'0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ.-_:', '') = '')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-116" /><xsl:text />: TC-Types-116: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		HL7 'CS' data type and a code attribute with the value '<xsl:text /><xsl:value-of select="@code" /><xsl:text />'. The only allowed characters for the code are letters, digits, '.', '-', '_' or  ':'.
		(See section 7.5.4.3.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(..) = 'substanceAdministration' and @code and not(@code = $act-status) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(..) = 'substanceAdministration' and @code and not(@code = $act-status)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-116" /><xsl:text />: TC-Types-116: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		HL7 'CS' data type and a code attribute with the value '<xsl:text /><xsl:value-of select="@code" /><xsl:text />' which is invalid as it is not a member of the ActStatus vocabulary domain.
		The code attribute must have a value defined by the code system specified by the context of the statusCode data element. The context is substanceAdministration which is derived from the Act class
		and in this context the statusCode has the CNE (Coded, No Extensions) coding strength and the ActStatus vocabulary domain.
		(See sections 7.5.4.3.1 and 7.5.4.6.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange', section 4.3.6.8 of HL7 Clinical Document Architecture, Release 2
		and sections 3.1.1 and 3.1.1.9 of the HL7 Reference Information Model.)
		<xsl:text /><xsl:value-of select="if (lower-case(@code) = $act-status) then concat('The code has the incorrect case and needs to be changed to ''', lower-case(@code), '''.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1143" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1143" />
  <xsl:template match="@*|node()" priority="-2" mode="M1143">
    <xsl:apply-templates select="@*|*" mode="M1143" />
  </xsl:template>
  <!--PATTERN p-TS-ED-1-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument/*[not(local-name(.) = 'component')]//    *[local-name(.) = ('noteText', 'signatureText', 'desc', 'strainText', 'directionsText', 'positionText', 'certificateText', 'hazardExposureText',              'protectiveEquipmentText', 'attachmentText', 'bibliographicDesignationText')]     |                 /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/*[not(cda:text)]//    *[local-name(.) = ('noteText', 'signatureText', 'desc', 'strainText', 'directionsText', 'positionText', 'certificateText', 'hazardExposureText',              'protectiveEquipmentText', 'attachmentText', 'bibliographicDesignationText')]     " priority="1000" mode="M1144">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument/*[not(local-name(.) = 'component')]//    *[local-name(.) = ('noteText', 'signatureText', 'desc', 'strainText', 'directionsText', 'positionText', 'certificateText', 'hazardExposureText',              'protectiveEquipmentText', 'attachmentText', 'bibliographicDesignationText')]     |                 /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/*[not(cda:text)]//    *[local-name(.) = ('noteText', 'signatureText', 'desc', 'strainText', 'directionsText', 'positionText', 'certificateText', 'hazardExposureText',              'protectiveEquipmentText', 'attachmentText', 'bibliographicDesignationText')]     " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-04 " />
    <xsl:variable name="rating-51" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-51 else $rating-alt-TC-Types-51 " />
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(   @xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED' or   @xsi:type = 'ST' or normalize-space(substring-after(@xsi:type, ':')) = 'ST' ) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not( @xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED' or @xsi:type = 'ST' or normalize-space(substring-after(@xsi:type, ':')) = 'ST' )">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04" /><xsl:text />: TC-Doc-04: According to the HL7 Reference Information Model the data element
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'ED' data type however xsi:type='<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found which is invalid for that data type.
		(See the HL7 Reference Information Model.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1144" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1144" />
  <xsl:template match="@*|node()" priority="-2" mode="M1144">
    <xsl:apply-templates select="@*|*" mode="M1144" />
  </xsl:template>
  <!--PATTERN p-TS-ED-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument//*[local-name(.) = ('text', 'title')]" priority="1000" mode="M1145">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument//*[local-name(.) = ('text', 'title')]" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-04" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-04 " />
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(   @xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED' or   @xsi:type = 'ST' or normalize-space(substring-after(@xsi:type, ':')) = 'ST' ) and    (local-name(..) = 'externalAct' or local-name(..) = 'externalDocument' or local-name(..) = 'externalObservation' or local-name(..) = 'externalProcedure')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not( @xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED' or @xsi:type = 'ST' or normalize-space(substring-after(@xsi:type, ':')) = 'ST' ) and (local-name(..) = 'externalAct' or local-name(..) = 'externalDocument' or local-name(..) = 'externalObservation' or local-name(..) = 'externalProcedure')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04" /><xsl:text />: TC-Doc-04: According to the HL7 Reference Information Model the data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'ED' data type however xsi:type '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found
		which is invalid for that data type. ExternalAct is a derivative of the RIM Act class; ExternalDocument, ExternalObservation and ExternalProcedure are derived from classes that
		are specialisations of the RIM Act class which has 'title' and 'text' elements that have the 'ED' data type.
		(See section 4.3.8.5 of the HL7 Clinical Document Architecture, Release 2.0 and section 3.1.1 of the HL7 Reference Information Model.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(   @xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED' or   @xsi:type = 'ST' or normalize-space(substring-after(@xsi:type, ':')) = 'ST' ) and local-name(..) = 'observation' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not( @xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED' or @xsi:type = 'ST' or normalize-space(substring-after(@xsi:type, ':')) = 'ST' ) and local-name(..) = 'observation'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04" /><xsl:text />: TC-Doc-04: According to the HL7 Reference Information Model the data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'ED' data type however xsi:type '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found
		which is invalid for that data type. Observation is a derivative of the RIM Observation class which is a specialisation of the RIM Act class which has 'title' and 'text' elements
		that have the 'ED' data type. (See section 4.3.6.3 of the HL7 Clinical Document Architecture, Release 2.0 and sections 3.1.1 and 3.1.13 of the HL7 Reference Information Model.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(   @xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED' or   @xsi:type = 'ST' or normalize-space(substring-after(@xsi:type, ':')) = 'ST' ) and local-name(..) = 'observationMedia' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not( @xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED' or @xsi:type = 'ST' or normalize-space(substring-after(@xsi:type, ':')) = 'ST' ) and local-name(..) = 'observationMedia'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04" /><xsl:text />: TC-Doc-04: According to the HL7 Reference Information Model the data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'ED' data type however xsi:type '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found
		which is invalid for that data type. ObservationMedia is a  derivative of the RIM Observation which is a specialisation of the RIM Act class which has 'title' and 'text' elements
		that have the 'ED' data type. (See section 4.3.6.4 of the HL7 Clinical Document Architecture, Release 2.0 and sections 3.1.1 and 3.1.13 of the HL7 Reference Information Model.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(   @xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED' or   @xsi:type = 'ST' or normalize-space(substring-after(@xsi:type, ':')) = 'ST' ) and local-name(..) = 'regionOfInterest' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not( @xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED' or @xsi:type = 'ST' or normalize-space(substring-after(@xsi:type, ':')) = 'ST' ) and local-name(..) = 'regionOfInterest'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04" /><xsl:text />: TC-Doc-04: According to the HL7 Reference Information Model the data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'ED' data type however xsi:type '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found
		which is invalid for that data type. RegionOfInterest is a derivative of the RIM Observation class which is a specialisation of the RIM Act class which has 'title' and 'text'
		elements that have the 'ED' data type. (See section 4.3.6.7 of the HL7 Clinical Document Architecture, Release 2.0 and sections 3.1.1 and 3.1.13 of the HL7 Reference Information Model.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1145" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1145" />
  <xsl:template match="@*|node()" priority="-2" mode="M1145">
    <xsl:apply-templates select="@*|*" mode="M1145" />
  </xsl:template>
  <!--PATTERN p-TS-ED-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument//*[@integrityCheckAlgorithm or @xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED'] " priority="1000" mode="M1146">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument//*[@integrityCheckAlgorithm or @xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED'] " />
    <xsl:variable name="extension-options" select="tokenize(cda:reference/@value, '\.')" />
    <xsl:variable name="filename-extension" select="if (not(contains(cda:reference/@value, '.')) or count($extension-options) = 0) then ''          else lower-case($extension-options[count($extension-options)]) " />
    <xsl:variable name="nullFlavor-values" select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]" />
    <xsl:variable name="suspected-markup-1" select="matches(., $markup-regex)" />
    <xsl:variable name="amp-esc-err" select="matches(., $amp-esc-err-regex)" />
    <xsl:variable name="lt-esc-err" select="matches(., $lt-esc-err-regex)" />
    <xsl:variable name="gt-esc-err" select="matches(., $gt-esc-err-regex)" />
    <xsl:variable name="apos-esc-err" select="matches(., $apos-esc-err-regex)" />
    <xsl:variable name="nbsp-esc-err" select="matches(., $nbsp-esc-err-regex)" />
    <xsl:variable name="quot-esc-err" select="matches(., $quot-esc-err-regex)" />
    <xsl:variable name="escape-err" select="$amp-esc-err or $lt-esc-err or $gt-esc-err or $apos-esc-err or $nbsp-esc-err or $quot-esc-err " />
    <xsl:variable name="symbol-type" select="(if ($amp-esc-err) then 'ampersand' else '',        if ($lt-esc-err) then 'less-than' else '',        if ($gt-esc-err) then 'greater-than' else '',        if ($apos-esc-err) then 'single-quote' else '',        if ($nbsp-esc-err) then 'non-breaking space' else '',        if ($quot-esc-err) then 'double-quote' else '')[. != ''] " />
    <xsl:variable name="escape-wrong" select="(if ($amp-esc-err) then '&amp;amp;' else '',        if ($lt-esc-err) then '&amp;lt;' else '',         if ($gt-esc-err) then '&amp;gt;' else '',        if ($apos-esc-err) then '&amp;apos;' else '',        if ($nbsp-esc-err) then '&amp;nbsp;' else '',        if ($quot-esc-err) then '&amp;quot;' else '')[. != ''] " />
    <xsl:variable name="escape-right" select="(if ($amp-esc-err) then '&amp;' else '',        if ($lt-esc-err) then '&lt;' else '',        if ($gt-esc-err) then '&gt;' else '')[. != ''] " />
    <xsl:variable name="escape-right-extra" select="(if ($apos-esc-err) then concat(codepoints-to-string(38), 'apos;') else '',        if ($nbsp-esc-err) then concat(codepoints-to-string(38), 'nbsp;') else '',        if ($quot-esc-err) then concat(codepoints-to-string(38), 'quot;') else '')[. != ''] " />
    <xsl:variable name="confirmed-markup-1" select="matches(., $confirmed-markup-regex, 'is')" />
    <xsl:variable name="target-section" select="if (not($suspected-markup-1 or $confirmed-markup-1)) then ()        else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]  " />
    <xsl:variable name="sec-target-section" select="if (not($suspected-markup-1 or $confirmed-markup-1)) then ()        else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="if (exists($target-section/cda:text)) then $target-section/cda:text//text() else () " />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text//text() else () " />
    <xsl:variable name="narr-text-el" select="for $text in ($fir-narr-node, $sec-narr-node) return normalize-space(lower-case($text)) " />
    <xsl:variable name="l-text" select="if (not($suspected-markup-1 or $confirmed-markup-1)) then '' else normalize-space(lower-case(string-join(text(), '')))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-without-markup" select="if ($text-found) then '' else normalize-space(replace($l-text, $markup-regex, ' '))" />
    <xsl:variable name="narr-text" select="if ($text-found or not($suspected-markup-1) or not(exists($narr-text-el))) then '' else string-join($narr-text-el, ' ') " />
    <xsl:variable name="text-wom-found" select="$suspected-markup-1 and contains($narr-text, $text-without-markup) " />
    <xsl:variable name="confirmed-markup" select="$confirmed-markup-1 or ($suspected-markup-1 and not($text-found) and $text-wom-found) " />
    <xsl:variable name="correct-media-for-extension" select=" ($filename-extension = 'gif'  and @mediaType = 'image/gif')   or         ($filename-extension = 'jpg'  and @mediaType = 'image/jpeg')   or         ($filename-extension = 'jpeg' and @mediaType = 'image/jpeg')   or         ($filename-extension = 'pdf'  and @mediaType = 'application/pdf')  or         ($filename-extension = 'png'  and @mediaType = 'image/png')   or         ($filename-extension = 'tif'  and @mediaType = 'image/tiff')   or         ($filename-extension = 'tiff' and @mediaType = 'image/tiff')   or         ($filename-extension = 'txt'  and @mediaType = 'text/plain')   or         ($filename-extension = 'html' and @mediaType = 'text/html')   or         ($filename-extension = 'rtf'  and @mediaType = 'text/rtf')  " />
    <xsl:variable name="ED-explanation" select="if (@xsi:type) then 'According to the value of the xsi:type attribute'         else 'According to the HL7 Reference Information Model and the CDA schema' " />
    <xsl:variable name="normalised-text" select="normalize-space(string-join(text(), ''))" />
    <xsl:variable name="display-text" select="if (string-length($normalised-text) &lt; 200)          then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($normalised-text, $text-pattern-replacement, 'ic')),           codepoints-to-string(34))         else concat('commencing with ', codepoints-to-string(34),           normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($normalised-text, $p-name-pattern-replacement, 'ic'),           1, 200), $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="obsMedia" select="ancestor::cda:observationMedia[@ID and not(@ID = 'LOGO')]" />
    <xsl:variable name="referenced" select="if ($obsMedia) then boolean(/cda:ClinicalDocument//cda:section/cda:text//cda:renderMultiMedia[@referencedObject = $obsMedia/@ID])       else false()" />
    <xsl:variable name="mediaType-msg" select="if (@mediaType = 'text/plain') then normalize-space('The value of the mediaType attribute is ''text/plain'' by default which means that is the value when the       mediaType attribute is not explicitly present. (See section 7.4.2.3.5 of ISO 21090 ''Health informatics - Harmonized data types for information       interchange''.)') else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <xsl:variable name="rating-51" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-51 else $rating-alt-TC-Types-51 " />
    <xsl:variable name="rating-52" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-52 else $rating-alt-TC-Types-52 " />
    <xsl:variable name="rating-53" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-53 else $rating-alt-TC-Types-53 " />
    <xsl:variable name="rating-54" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-54 else $rating-alt-TC-Types-54 " />
    <xsl:variable name="rating-56" select="if ($initial-priority) then $initial-rating        else if ($default-context and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections]))         then $rating-MHRView-TC-Types-56        else if ($default-context) then $rating-TC-Types-56        else if (exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections]))         then $rating-MHRView-alt-TC-Types-56       else $rating-alt-TC-Types-56 " />
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and string-length($normalised-text) &gt; 0 and @nullFlavor = ('UNK', 'ASKU', 'NAV', 'NASK', 'MSK')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and string-length($normalised-text) &gt; 0 and @nullFlavor = ('UNK', 'ASKU', 'NAV', 'NASK', 'MSK')">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the type declaration xsi:type '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' the data element
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'ED' data type. It has a nullFlavor attribute with the value
		'<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) that indicates a value is not provided however a value commencing with
		'<xsl:text /><xsl:value-of select="substring(., 1, 25)" /><xsl:text />' is provided. It is invalid to use this nullFlavor when a proper value is provided.
		Confirm that the value is consistent with the nullFlavor '<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />'.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:reference/@value and @nullFlavor = ('UNK', 'ASKU', 'NAV', 'NASK', 'MSK')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:reference/@value and @nullFlavor = ('UNK', 'ASKU', 'NAV', 'NASK', 'MSK')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: <xsl:text /><xsl:value-of select="$ED-explanation" /><xsl:text /> the data element
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'ED' data type and has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' and a reference
		'<xsl:text /><xsl:value-of select=" cda:reference/@value " /><xsl:text />' that
		indicates information is not provided however it has a reference '<xsl:text /><xsl:value-of select=" cda:reference/@value " /><xsl:text />'. It is invalid to use this nullFlavor when a proper value is provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: <xsl:text /><xsl:value-of select="$ED-explanation" /><xsl:text /> the data element
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'ED' data type. It contains a value of nullFlavor 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a value
		value may exist, but it must be derived from the information provided. Confirm if the use of this nullFlavor is valid.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = ('PINF', 'NINF') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = ('PINF', 'NINF')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 1: <xsl:text /><xsl:value-of select="$ED-explanation" /><xsl:text /> the data element
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'ED' data type. It also has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) but that value of
		nullFlavor may not be used for data elements of the ED data type. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor='UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor='UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: <xsl:text /><xsl:value-of select="$ED-explanation" /><xsl:text /> the data element
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'ED' data type. It also has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) but that value of
		nullFlavor may not be used for data elements of the ED data type. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor=('QS', 'TRC') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor=('QS', 'TRC')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 3: <xsl:text /><xsl:value-of select="$ED-explanation" /><xsl:text /> the data element
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'ED' data type. It also has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) but that value of
		nullFlavor may not be used for data elements of the ED data type. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not(@nullFlavor) and not(cda:reference) and . = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor) and not(cda:reference) and . = ''">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-51" /><xsl:text />: TC-Types-51: <xsl:text /><xsl:value-of select="$ED-explanation" /><xsl:text /> the data element
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'ED' data type. It has zero bytes of data and no nullFlavor attribute but elements of the HL7 'ED' data type must reference at least one byte
		or have a nullFlavor attribute. (See section 7.4.2.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="ancestor::cda:observationMedia[@ID = 'LOGO'] and string-length($normalised-text) &gt; 0 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="ancestor::cda:observationMedia[@ID = 'LOGO'] and string-length($normalised-text) &gt; 0">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-52" /><xsl:text />: TC-Types-52: <xsl:text /><xsl:value-of select="$ED-explanation" /><xsl:text /> the data element
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'ED' data type. It is used for a logo but it contains inline content. Attachments referenced in renderMultimedia narrative block elements or
		used for a logo must not be inlined in their associated observationMedia entries. (See requirement CDA-RS 53 (i) of the CDA Rendering Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$referenced and string-length($normalised-text) &gt; 0 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$referenced and string-length($normalised-text) &gt; 0">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-52" /><xsl:text />: TC-Types-52: <xsl:text /><xsl:value-of select="$ED-explanation" /><xsl:text /> the data element
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'ED' data type. It is referenced from a renderMultiMedia element in a narrative but it contains inline content. Attachments referenced in
		renderMultimedia narrative block elements or used for a logo must not be inlined in their associated observationMedia entries.
		(See requirement CDA-RS 53 (i) of the CDA Rendering Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @representation = 'B64' and string-length($normalised-text) &gt; 0 and not(@mediaType = 'text/plain') and $doc-common-conf-profile &gt; '1.4'">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@representation = 'B64' and string-length($normalised-text) &gt; 0 and not(@mediaType = 'text/plain') and $doc-common-conf-profile &gt; '1.4'">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-53" /><xsl:text />: TC-Types-53: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an inline attachment with the mediaType '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' and a representation attribute with the value 'B64' which
		indicates that the inline attachment is base64 encoded content. If the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> is to be
		uploaded to the My Health Record system then this an error as it does not meet that the requirement that only text is allowed to be inline.
		Confirm if the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> is to be uploaded to the My Health Record system.
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' requirement 024631 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 024631 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 024631 of the Common Conformance Profile for Clinical Documents v1.5 and '         else ' ' " /><xsl:text />section 2.4.2 of XML Implementation Technology Specification - Data Types.)
		<xsl:text /><xsl:value-of select="$mediaType-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:reference/@value and not(starts-with(cda:reference/@value, '#')) and $correct-media-for-extension and    not(@mediaType = ('image/gif', 'image/jpeg', 'application/pdf', 'image/png', 'image/tiff')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:reference/@value and not(starts-with(cda:reference/@value, '#')) and $correct-media-for-extension and not(@mediaType = ('image/gif', 'image/jpeg', 'application/pdf', 'image/png', 'image/tiff'))">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-54" /><xsl:text />: TC-Types-54: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a reference to an attachment with the mediaType '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' which is not one of the allowed values for attachments
		uploaded to the My Health Record system. This is an error if the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> is to be uploaded to the My Health Record system otherwise this is not an error.
		<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then '(See requirements 023741 and 023742 of the Common Conformance Profile for Clinical Documents v1.7.)'         else if ($doc-common-conf-profile = '1.6')           then '(See requirements 023741 and 023742 of the Common Conformance Profile for Clinical Documents v1.6.)'         else if ($doc-common-conf-profile = '1.5')           then '(See requirements 023741 and 023742 of the Common Conformance Profile for Clinical Documents v1.5.)'         else if ($doc-common-conf-profile = '1.4')           then '(See section 4.4.2 of the Common Conformance Profile for Clinical Documents v1.4.)'         else if ($doc-common-conf-profile = '1.3')           then '(See section 4.4.1 of the Common Conformance Profile for Clinical Documents v1.3.)'         else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$mediaType-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:reference/@value and not(starts-with(cda:reference/@value, '#')) and not($filename-extension = ('', 'gif', 'jpg', 'jpeg', 'pdf', 'png', 'tif', 'tiff')) and    $doc-common-conf-profile &gt; '1.4' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:reference/@value and not(starts-with(cda:reference/@value, '#')) and not($filename-extension = ('', 'gif', 'jpg', 'jpeg', 'pdf', 'png', 'tif', 'tiff')) and $doc-common-conf-profile &gt; '1.4'">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-54" /><xsl:text />: TC-Types-54: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a reference to an attachment with the filename '<xsl:text /><xsl:value-of select="cda:reference/@value" /><xsl:text />' which is not one of the allowed filename extensions
		for attachments uploaded to the My Health Record system. This is an error if the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> is to be uploaded to the My Health Record system otherwise this is not
		an error. <xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then '(See requirement 024629 of the Common Conformance Profile for Clinical Documents v1.7.)'         else if ($doc-common-conf-profile = '1.6')           then '(See requirement 024629 of the Common Conformance Profile for Clinical Documents v1.6.)'         else if ($doc-common-conf-profile = '1.5')           then '(See requirement 024629 of the Common Conformance Profile for Clinical Documents v1.5.)'         else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:reference/@value and not(starts-with(cda:reference/@value, '#')) and $filename-extension = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:reference/@value and not(starts-with(cda:reference/@value, '#')) and $filename-extension = ''">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-54" /><xsl:text />: TC-Types-54: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a reference to an attachment with the filename '<xsl:text /><xsl:value-of select="cda:reference/@value" /><xsl:text />' which does not have a filename extension.
		If the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> is to be uploaded to the My Health Record system then it must have an attachment otherwise this is not an error.
		<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then '(See requirements 024629 and 024630 of the Common Conformance Profile for Clinical Documents v1.7.)'         else if ($doc-common-conf-profile = '1.6')           then '(See requirements 024629 and 024630 of the Common Conformance Profile for Clinical Documents v1.6.)'         else if ($doc-common-conf-profile = '1.5')           then '(See requirements 024629 and 024630 of the Common Conformance Profile for Clinical Documents v1.5.)'         else if ($doc-common-conf-profile = '1.4')           then '(See section 4.4.2 of the Common Conformance Profile for Clinical Documents v1.4.)'         else if ($doc-common-conf-profile = '1.3')           then '(See section 4.4.1 of the Common Conformance Profile for Clinical Documents v1.3.)'         else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="cda:reference/@value and not(starts-with(cda:reference/@value, '#')) and $filename-extension != '' and not($correct-media-for-extension) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:reference/@value and not(starts-with(cda:reference/@value, '#')) and $filename-extension != '' and not($correct-media-for-extension)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-54" /><xsl:text />: TC-Types-54: The data element
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a
		reference to an attachment with the filename '<xsl:text /><xsl:value-of select="cda:reference/@value" /><xsl:text />' and mediaType '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' which is not the correct media type for the type of
		attachment. (See requirement M 21 in the CDA Package Specification v1.0<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' and requirement 024630 of the Common Conformance Profile for Clinical Documents v1.7.)'         else if ($doc-common-conf-profile = '1.6')           then ' and requirement 024630 of the Common Conformance Profile for Clinical Documents v1.6.)'         else if ($doc-common-conf-profile = '1.5')           then ' and requirement 024630 of the Common Conformance Profile for Clinical Documents v1.5.)'         else if ($doc-common-conf-profile = '1.4')           then ' and section 4.4.2 of the Common Conformance Profile for Clinical Documents v1.4.)'         else if ($doc-common-conf-profile = '1.3')           then ' and section 4.4.1 of the Common Conformance Profile for Clinical Documents v1.3.)'         else '.)' " /><xsl:text /><xsl:text /><xsl:value-of select="$mediaType-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $rendering-1-0 and cda:reference/@value and    not(starts-with(cda:reference/@value, '#')) and not(matches(cda:reference/@value, $ext-att-uri-regex, 'is')) and not(@integrityCheck) and     $filename-extension = ('gif', 'jpg', 'jpeg', 'pdf', 'png', 'tif', 'tiff', 'txt', 'html', 'rtf') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$rendering-1-0 and cda:reference/@value and not(starts-with(cda:reference/@value, '#')) and not(matches(cda:reference/@value, $ext-att-uri-regex, 'is')) and not(@integrityCheck) and $filename-extension = ('gif', 'jpg', 'jpeg', 'pdf', 'png', 'tif', 'tiff', 'txt', 'html', 'rtf')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-54" /><xsl:text />: TC-Types-54: The data element
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a
		reference to an attachment with the filename '<xsl:text /><xsl:value-of select="cda:reference/@value" /><xsl:text />' but the data element does not meet the requirement for there to be
		an 'integrityCheck' attribute. The 'integrityCheck' attribute must be present with a value that is the SHA-1 digest of the byte stream.
		(See requirement CDA-RS 53 (j) in the CDA Rendering Specification v1.0 and requirement M 20 in the CDA Package Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $rendering-1-0 and @integrityCheckAlgorithm and not(@integrityCheckAlgorithm = 'SHA-1') and exists(cda:reference/@value) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$rendering-1-0 and @integrityCheckAlgorithm and not(@integrityCheckAlgorithm = 'SHA-1') and exists(cda:reference/@value)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-54" /><xsl:text />: TC-Types-54: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> references
		the attachment with the filename '<xsl:text /><xsl:value-of select="cda:reference/@value" /><xsl:text />'
		but the data element has an integrityCheckAlgorithm attribute with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' which does not meet the requirement to be 'SHA-1'.
		(See requirement CDA-RS 53 (j) in the CDA Rendering Specification v1.0 and requirement M 16 in the CDA Package specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @mediaType = 'text/plain' and $confirmed-markup ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@mediaType = 'text/plain' and $confirmed-markup">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-56" /><xsl:text />: TC-Types-56: <xsl:text /><xsl:value-of select="$ED-explanation" /><xsl:text /> the data element
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'ED' data type. The data element has the mediaType
		"text/plain" and contains the character string <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> which contains markup such as 
		'<xsl:text /><xsl:value-of select="normalize-space(dh:XQueryRecursiveReplace(replace(., concat('^(.*?)(', $confirmed-markup-regex, ')(.*?)$'), ' $2 ', 'is'), $markup-pattern-replacement, 'ic'))" /><xsl:text />'.
		The "text/plain" mediaType does not allow formatting commands, font attribute specifications, processing instructions, interpretation directives, or content markup.
		(See sections 6.7.5 and 7.4.6 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and section 4.1 of RFC 2046 'Multipurpose Internet Mail
		Extensions (MIME) Part Two: Media Types'.) When displayed a character string is seen simply as a linear sequence of characters, for example if any narrative formatting tags are present
		in the character string the tags are displayed by any software system that displays the character string. Line breaks and page breaks may be included in a character string by
		using a corresponding Unicode character such as the line feed character. (See section 7 of Unicode in XML and other Markup Languages.) <xsl:text /><xsl:value-of select="$mediaType-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @mediaType = 'text/plain' and $escape-err and not($confirmed-markup)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@mediaType = 'text/plain' and $escape-err and not($confirmed-markup)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-56" /><xsl:text />: TC-Types-56: <xsl:text /><xsl:value-of select="$ED-explanation" /><xsl:text /> the data element
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'ED' data type. The data element has the mediaType
		"text/plain" and contains the character string <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> which contains an incorrectly escaped <xsl:text /><xsl:value-of select="string-join($symbol-type, ' and ')" /><xsl:text /> symbol
		resulting in the inclusion of '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($escape-wrong, ''' and '''), $markup-pattern-replacement, 'ic')" /><xsl:text />' instead of

		'<xsl:text /><xsl:value-of select="if (exists($escape-right) and exists($escape-right-extra))    then concat(dh:XQueryRecursiveReplace(string-join($escape-right, ''' and '''), $markup-pattern-replacement, 'ic'), ' and ', string-join($escape-right-extra, ''' and '''))   else if (exists($escape-right)) then dh:XQueryRecursiveReplace(string-join($escape-right, ''' and '''), $markup-pattern-replacement, 'ic')   else string-join($escape-right-extra, ''' and ''')" /><xsl:text />'.

		The correct use of character escapes is needed to properly create text content in an XML document.
		(See section 2.4 of 'Extensible Markup Language (XML) 1.0 (Fifth Edition)' and section 1.2 of 'XML Implementation Technology Specification - Data Types'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1146" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1146" />
  <xsl:template match="@*|node()" priority="-2" mode="M1146">
    <xsl:apply-templates select="@*|*" mode="M1146" />
  </xsl:template>
  <!--PATTERN p-TS-ED-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//cda:section/cda:entry//*[normalize-space() != '' and    (    contains(.,'.gif')  and string-length(substring-before(., '.gif'))  &gt; 0 and (normalize-space(substring-after(.,'.gif'))  = '' or starts-with(substring-after(.,'.gif '),' '))  or    contains(.,'.jpg')  and string-length(substring-before(., '.jpg'))  &gt; 0 and (normalize-space(substring-after(.,'.jpg'))  = '' or starts-with(substring-after(.,'.jpg '),' '))  or    contains(.,'.jpeg') and string-length(substring-before(., '.jpeg')) &gt; 0 and (normalize-space(substring-after(.,'.jpeg')) = '' or starts-with(substring-after(.,'.jpeg '),' ')) or    contains(.,'.pdf')  and string-length(substring-before(., '.pdf'))  &gt; 0 and (normalize-space(substring-after(.,'.pdf'))  = '' or starts-with(substring-after(.,'.pdf '),' '))  or    contains(.,'.png')  and string-length(substring-before(., '.png'))  &gt; 0 and (normalize-space(substring-after(.,'.png'))  = '' or starts-with(substring-after(.,'.png '),' '))  or    contains(.,'.tif')  and string-length(substring-before(., '.tif'))  &gt; 0 and (normalize-space(substring-after(.,'.tif'))  = '' or starts-with(substring-after(.,'.tif '),' '))  or    contains(.,'.tiff') and string-length(substring-before(., '.tiff')) &gt; 0 and (normalize-space(substring-after(.,'.tiff')) = '' or starts-with(substring-after(.,'.tiff '),' ')) or    contains(.,'.txt')  and string-length(substring-before(., '.txt'))  &gt; 0 and (normalize-space(substring-after(.,'.txt'))  = '' or starts-with(substring-after(.,'.txt '),' '))  or    contains(.,'.html') and string-length(substring-before(., '.html')) &gt; 0 and (normalize-space(substring-after(.,'.html')) = '' or starts-with(substring-after(.,'.html '),' ')) or    contains(.,'.rtf')  and string-length(substring-before(., '.rtf'))  &gt; 0 and (normalize-space(substring-after(.,'.rtf'))  = '' or starts-with(substring-after(.,'.rtf '),' '))  or    contains(.,'.GIF')  and string-length(substring-before(., '.GIF'))  &gt; 0 and (normalize-space(substring-after(.,'.GIF'))  = '' or starts-with(substring-after(.,'.GIF '),' '))  or    contains(.,'.JPG')  and string-length(substring-before(., '.JPG'))  &gt; 0 and (normalize-space(substring-after(.,'.JPG'))  = '' or starts-with(substring-after(.,'.JPG '),' '))  or    contains(.,'.JPEG') and string-length(substring-before(., '.JPEG')) &gt; 0 and (normalize-space(substring-after(.,'.JPEG')) = '' or starts-with(substring-after(.,'.JPEG '),' ')) or    contains(.,'.PDF')  and string-length(substring-before(., '.PDF'))  &gt; 0 and (normalize-space(substring-after(.,'.PDF'))  = '' or starts-with(substring-after(.,'.PDF '),' '))  or    contains(.,'.PNG')  and string-length(substring-before(., '.PNG'))  &gt; 0 and (normalize-space(substring-after(.,'.PNG'))  = '' or starts-with(substring-after(.,'.PNG '),' '))  or    contains(.,'.TIF')  and string-length(substring-before(., '.TIF'))  &gt; 0 and (normalize-space(substring-after(.,'.TIF'))  = '' or starts-with(substring-after(.,'.TIF '),' '))  or    contains(.,'.TIFF') and string-length(substring-before(., '.TIFF')) &gt; 0 and (normalize-space(substring-after(.,'.TIFF')) = '' or starts-with(substring-after(.,'.TIFF '),' ')) or    contains(.,'.TXT')  and string-length(substring-before(., '.TXT'))  &gt; 0 and (normalize-space(substring-after(.,'.TXT'))  = '' or starts-with(substring-after(.,'.TXT '),' '))  or    contains(.,'.HTML') and string-length(substring-before(., '.HTML')) &gt; 0 and (normalize-space(substring-after(.,'.HTML')) = '' or starts-with(substring-after(.,'.HTML '),' ')) or    contains(.,'.RTF')  and string-length(substring-before(., '.RTF'))  &gt; 0 and (normalize-space(substring-after(.,'.RTF'))  = '' or starts-with(substring-after(.,'.RTF '),' '))    ) ] " priority="1000" mode="M1147">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//cda:section/cda:entry//*[normalize-space() != '' and    (    contains(.,'.gif')  and string-length(substring-before(., '.gif'))  &gt; 0 and (normalize-space(substring-after(.,'.gif'))  = '' or starts-with(substring-after(.,'.gif '),' '))  or    contains(.,'.jpg')  and string-length(substring-before(., '.jpg'))  &gt; 0 and (normalize-space(substring-after(.,'.jpg'))  = '' or starts-with(substring-after(.,'.jpg '),' '))  or    contains(.,'.jpeg') and string-length(substring-before(., '.jpeg')) &gt; 0 and (normalize-space(substring-after(.,'.jpeg')) = '' or starts-with(substring-after(.,'.jpeg '),' ')) or    contains(.,'.pdf')  and string-length(substring-before(., '.pdf'))  &gt; 0 and (normalize-space(substring-after(.,'.pdf'))  = '' or starts-with(substring-after(.,'.pdf '),' '))  or    contains(.,'.png')  and string-length(substring-before(., '.png'))  &gt; 0 and (normalize-space(substring-after(.,'.png'))  = '' or starts-with(substring-after(.,'.png '),' '))  or    contains(.,'.tif')  and string-length(substring-before(., '.tif'))  &gt; 0 and (normalize-space(substring-after(.,'.tif'))  = '' or starts-with(substring-after(.,'.tif '),' '))  or    contains(.,'.tiff') and string-length(substring-before(., '.tiff')) &gt; 0 and (normalize-space(substring-after(.,'.tiff')) = '' or starts-with(substring-after(.,'.tiff '),' ')) or    contains(.,'.txt')  and string-length(substring-before(., '.txt'))  &gt; 0 and (normalize-space(substring-after(.,'.txt'))  = '' or starts-with(substring-after(.,'.txt '),' '))  or    contains(.,'.html') and string-length(substring-before(., '.html')) &gt; 0 and (normalize-space(substring-after(.,'.html')) = '' or starts-with(substring-after(.,'.html '),' ')) or    contains(.,'.rtf')  and string-length(substring-before(., '.rtf'))  &gt; 0 and (normalize-space(substring-after(.,'.rtf'))  = '' or starts-with(substring-after(.,'.rtf '),' '))  or    contains(.,'.GIF')  and string-length(substring-before(., '.GIF'))  &gt; 0 and (normalize-space(substring-after(.,'.GIF'))  = '' or starts-with(substring-after(.,'.GIF '),' '))  or    contains(.,'.JPG')  and string-length(substring-before(., '.JPG'))  &gt; 0 and (normalize-space(substring-after(.,'.JPG'))  = '' or starts-with(substring-after(.,'.JPG '),' '))  or    contains(.,'.JPEG') and string-length(substring-before(., '.JPEG')) &gt; 0 and (normalize-space(substring-after(.,'.JPEG')) = '' or starts-with(substring-after(.,'.JPEG '),' ')) or    contains(.,'.PDF')  and string-length(substring-before(., '.PDF'))  &gt; 0 and (normalize-space(substring-after(.,'.PDF'))  = '' or starts-with(substring-after(.,'.PDF '),' '))  or    contains(.,'.PNG')  and string-length(substring-before(., '.PNG'))  &gt; 0 and (normalize-space(substring-after(.,'.PNG'))  = '' or starts-with(substring-after(.,'.PNG '),' '))  or    contains(.,'.TIF')  and string-length(substring-before(., '.TIF'))  &gt; 0 and (normalize-space(substring-after(.,'.TIF'))  = '' or starts-with(substring-after(.,'.TIF '),' '))  or    contains(.,'.TIFF') and string-length(substring-before(., '.TIFF')) &gt; 0 and (normalize-space(substring-after(.,'.TIFF')) = '' or starts-with(substring-after(.,'.TIFF '),' ')) or    contains(.,'.TXT')  and string-length(substring-before(., '.TXT'))  &gt; 0 and (normalize-space(substring-after(.,'.TXT'))  = '' or starts-with(substring-after(.,'.TXT '),' '))  or    contains(.,'.HTML') and string-length(substring-before(., '.HTML')) &gt; 0 and (normalize-space(substring-after(.,'.HTML')) = '' or starts-with(substring-after(.,'.HTML '),' ')) or    contains(.,'.RTF')  and string-length(substring-before(., '.RTF'))  &gt; 0 and (normalize-space(substring-after(.,'.RTF'))  = '' or starts-with(substring-after(.,'.RTF '),' '))    ) ] " />
    <xsl:variable name="lower-case-filename" select="lower-case(.)" />
    <xsl:variable name="normalised-text" select="normalize-space(.)" />
    <xsl:variable name="mediaType-msg" select="if (@mediaType = 'text/plain') then normalize-space('The value of the mediaType attribute is ''text/plain'' by default which means that is the value when the       mediaType attribute is not explicitly present. (See section 7.4.2.3.5 of ISO 21090 ''Health informatics - Harmonized data types for information       interchange''.)') else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-54" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-54 else $rating-alt-TC-Types-54 " />
    <!--REPORT -->
    <xsl:if test="$rendering-1-0 and normalize-space(string-join(text(), '')) != '' and not(@integrityCheckAlgorithm) and not(matches(text(), $ext-att-uri-regex, 'is')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$rendering-1-0 and normalize-space(string-join(text(), '')) != '' and not(@integrityCheckAlgorithm) and not(matches(text(), $ext-att-uri-regex, 'is'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
																 
		Error<xsl:text /><xsl:value-of select="$rating-54" /><xsl:text />: TC-Types-54: '<xsl:text /><xsl:value-of select="." /><xsl:text />' in data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> names an attachment but the data element does not have the 'ED' data type. An attachment must be referenced by a data element of the HL7 'ED' data
		type. (See requirement CDA-RS 53 (j) in the CDA Rendering Specification v1.0 and requirement M 15 in the CDA Package Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$rendering-1-0 and normalize-space(string-join(text(), '')) != '' and not(@integrityCheckAlgorithm) and matches(text(), $ext-att-uri-regex, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$rendering-1-0 and normalize-space(string-join(text(), '')) != '' and not(@integrityCheckAlgorithm) and matches(text(), $ext-att-uri-regex, 'is')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-54" /><xsl:text />: TC-Types-54: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> references
		the file '<xsl:text /><xsl:value-of select="$normalised-text" /><xsl:text />' which names an external attachment but the data element does not have the 'ED' data type. If an external attachment is allowed then it
		must be referenced by a data element of the HL7 'ED' data type. (See requirement CDA-RS 53 (j) in the CDA Rendering Specification v1.0 and requirement 024988 in the conformance profile and
		requirement M 15 in the CDA Package Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $rendering-1-0 and normalize-space(string-join(text(), '')) != '' and @integrityCheckAlgorithm and not(@integrityCheckAlgorithm = 'SHA-1') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$rendering-1-0 and normalize-space(string-join(text(), '')) != '' and @integrityCheckAlgorithm and not(@integrityCheckAlgorithm = 'SHA-1')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-54" /><xsl:text />: TC-Types-54: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> references
		the attachment '<xsl:text /><xsl:value-of select="$normalised-text" /><xsl:text />'
		but the data element has an integrityCheckAlgorithm attribute with the value '<xsl:text /><xsl:value-of select="@integrityCheckAlgorithm" /><xsl:text />' which does not meet the requirement to be 'SHA-1'.
		(See requirement CDA-RS 53 (j) in the CDA Rendering Specification v1.0 and requirement M 16 in the CDA Package specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $rendering-1-0 and normalize-space(string-join(text(), '')) != '' and @integrityCheckAlgorithm and not(count(cda:reference) = 1) and    not(matches(text(), $ext-att-uri-regex, 'is')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$rendering-1-0 and normalize-space(string-join(text(), '')) != '' and @integrityCheckAlgorithm and not(count(cda:reference) = 1) and not(matches(text(), $ext-att-uri-regex, 'is'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-54" /><xsl:text />: TC-Types-54: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> references
		the packaged attachment '<xsl:text /><xsl:value-of select="$normalised-text" /><xsl:text />' but the data element does not meet the requirement for there to be exactly one 'reference' element.
		(See requirement CDA-RS 53 (j) in the CDA Rendering Specification v1.0 and requirement M 17 in the CDA Package specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $rendering-1-0 and normalize-space(string-join(text(), '')) != '' and @integrityCheckAlgorithm and not(count(cda:reference) = 1) and    matches(text(), $ext-att-uri-regex, 'is') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$rendering-1-0 and normalize-space(string-join(text(), '')) != '' and @integrityCheckAlgorithm and not(count(cda:reference) = 1) and matches(text(), $ext-att-uri-regex, 'is')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-54" /><xsl:text />: TC-Types-54: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> references
		the external attachment '<xsl:text /><xsl:value-of select="$normalised-text" /><xsl:text />' but the data element does not meet the requirement for there to be exactly one 'reference' element.
		(See requirement CDA-RS 53 (j) in the CDA Rendering Specification v1.0 and requirement 024988 in the conformance profile and requirement M 17 in the CDA Package specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $rendering-1-0 and normalize-space(string-join(text(), '')) != '' and @integrityCheckAlgorithm and not(@integrityCheck) and    not(matches(text(), $ext-att-uri-regex, 'is')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$rendering-1-0 and normalize-space(string-join(text(), '')) != '' and @integrityCheckAlgorithm and not(@integrityCheck) and not(matches(text(), $ext-att-uri-regex, 'is'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-54" /><xsl:text />: TC-Types-54: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> references
		the packaged attachment '<xsl:text /><xsl:value-of select="$normalised-text" /><xsl:text />' but the data
		element does not meet the requirement for there to be an 'integrityCheck' attribute. The 'integrityCheck' attribute must be present with a value that is the SHA-1 digest of the byte stream. 
		(See requirement CDA-RS 53 (j) in the CDA Rendering Specification v1.0 and requirement M 20 in the CDA Package Specification v1.0)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $rendering-1-0 and normalize-space(string-join(text(), '')) != '' and @integrityCheckAlgorithm and @mediaType and    (    contains($lower-case-filename,'.gif')   and not(@mediaType = 'image/gif')     or    contains($lower-case-filename,'.jpg')   and not(@mediaType = 'image/jpeg')    or    contains($lower-case-filename,'.jpeg')  and not(@mediaType = 'image/jpeg')    or    contains($lower-case-filename,'.pdf')   and not(@mediaType = 'application/pdf')   or    contains($lower-case-filename,'.png')   and not(@mediaType = 'image/png')     or    contains($lower-case-filename,'.tif')   and not(@mediaType = 'image/tiff')    or    contains($lower-case-filename,'.tiff')  and not(@mediaType = 'image/tiff')    or    contains($lower-case-filename,'.txt')   and not(@mediaType = 'text/plain')    or    contains($lower-case-filename,'.html')  and not(@mediaType = 'text/html')     or    contains($lower-case-filename,'.rtf')   and not(@mediaType = 'text/rtf')     ) and not(matches(text(), $ext-att-uri-regex, 'is')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$rendering-1-0 and normalize-space(string-join(text(), '')) != '' and @integrityCheckAlgorithm and @mediaType and ( contains($lower-case-filename,'.gif') and not(@mediaType = 'image/gif') or contains($lower-case-filename,'.jpg') and not(@mediaType = 'image/jpeg') or contains($lower-case-filename,'.jpeg') and not(@mediaType = 'image/jpeg') or contains($lower-case-filename,'.pdf') and not(@mediaType = 'application/pdf') or contains($lower-case-filename,'.png') and not(@mediaType = 'image/png') or contains($lower-case-filename,'.tif') and not(@mediaType = 'image/tiff') or contains($lower-case-filename,'.tiff') and not(@mediaType = 'image/tiff') or contains($lower-case-filename,'.txt') and not(@mediaType = 'text/plain') or contains($lower-case-filename,'.html') and not(@mediaType = 'text/html') or contains($lower-case-filename,'.rtf') and not(@mediaType = 'text/rtf') ) and not(matches(text(), $ext-att-uri-regex, 'is'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-54" /><xsl:text />: TC-Types-54: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> references
		an attachment '<xsl:text /><xsl:value-of select="$normalised-text" /><xsl:text />' but the data element has mediaType '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' which is not the correct media type for the type of attachment.
		(See requirement CDA-RS 53 (j) in the CDA Rendering Specification v1.0, requirement M 21 in the CDA Package Specification v1.0<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' and requirement 024630 of the Common Conformance Profile for Clinical Documents v1.7.)'         else if ($doc-common-conf-profile = '1.6')           then ' and requirement 024630 of the Common Conformance Profile for Clinical Documents v1.6.)'         else if ($doc-common-conf-profile = '1.5')           then ' and requirement 024630 of the Common Conformance Profile for Clinical Documents v1.5.)'         else if ($doc-common-conf-profile = '1.4')           then ' and section 4.4.2 of the Common Conformance Profile for Clinical Documents v1.4.)'         else if ($doc-common-conf-profile = '1.3')           then ' and section 4.4.1 of the Common Conformance Profile for Clinical Documents v1.3.)'         else '.)' " /><xsl:text /><xsl:text /><xsl:value-of select="$mediaType-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $rendering-1-0 and normalize-space(string-join(text(), '')) != '' and @integrityCheckAlgorithm and not   (    @mediaType = 'image/gif'    or    @mediaType = 'image/jpeg'   or    @mediaType = 'application/pdf' or    @mediaType = 'image/png'    or    @mediaType = 'image/tiff'   or    @mediaType = 'text/plain'   or    @mediaType = 'text/html'    or    @mediaType = 'text/rtf'   ) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $rendering-1-0 and normalize-space(string-join(text(), '')) != '' and @integrityCheckAlgorithm and not ( @mediaType = 'image/gif' or @mediaType = 'image/jpeg' or @mediaType = 'application/pdf' or @mediaType = 'image/png' or @mediaType = 'image/tiff' or @mediaType = 'text/plain' or @mediaType = 'text/html' or @mediaType = 'text/rtf' )">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-54" /><xsl:text />: TC-Types-54: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> references
		an attachment '<xsl:text /><xsl:value-of select="$normalised-text" /><xsl:text />' but the data element has the
		mediaType '<xsl:text /><xsl:value-of select="@mediaType" /><xsl:text />' which is not one of the media types considered in the rules. Confirm by manual inspection if the value of mediaType is correct for the type of
		attachment. (See requirement CDA-RS 53 (j) in the CDA Rendering Specification v1.0, requirement M 21 in the CDA Package Specification v1.0<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' and requirement 024630 of the Common Conformance Profile for Clinical Documents v1.7.)'         else if ($doc-common-conf-profile = '1.6')           then ' and requirement 024630 of the Common Conformance Profile for Clinical Documents v1.6.)'         else if ($doc-common-conf-profile = '1.5')           then ' and requirement 024630 of the Common Conformance Profile for Clinical Documents v1.5.)'         else if ($doc-common-conf-profile = '1.4')           then ' and section 4.4.2 of the Common Conformance Profile for Clinical Documents v1.4.)'         else if ($doc-common-conf-profile = '1.3')           then ' and section 4.4.1 of the Common Conformance Profile for Clinical Documents v1.3.)'         else '.)' " /><xsl:text /><xsl:text /><xsl:value-of select="$mediaType-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1147" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1147" />
  <xsl:template match="@*|node()" priority="-2" mode="M1147">
    <xsl:apply-templates select="@*|*" mode="M1147" />
  </xsl:template>
  <!--PATTERN p-TS-II-1-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument//*[local-name(.) = ('id', 'interactionId', 'profileId', 'queryId', 'referenceControlId', 'responseElementGroupId', 'setId', 'templateId', 'typeId')  or        @xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'] " priority="1000" mode="M1148">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument//*[local-name(.) = ('id', 'interactionId', 'profileId', 'queryId', 'referenceControlId', 'responseElementGroupId', 'setId', 'templateId', 'typeId')  or        @xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II'] " />
    <xsl:variable name="nullFlavor-values" select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]" />
    <xsl:variable name="extension-length" select="if (not(@extension)) then 'zero'        else if ($numbers/number[@value = string-length(current()/@extension)]) then $numbers/number[@value = string-length(current()/@extension)]/@name        else string-length(@extension)" />
    <xsl:variable name="assigning-authority" select="if (@assigningAuthorityName) then         concat(' The assigningAuthorityName attribute indicates the name of the authority that assigned the identifier is ''', @assigningAuthorityName, '''.')        else '' " />
    <xsl:variable name="invalid-assigning-authority" select="@assigningAuthorityName and (         matches(@assigningAuthorityName, $uuid-regex)         or          (exists($invalid-authorities) and replace(@assigningAuthorityName, '\s+', '') = $invalid-authorities)  )" />
    <xsl:variable name="hpi-o-based-id-regex" select="'(^1\.2\.36\.1\.2001\.1005\.29)|(^1\.2\.36\.1\.2001\.1005\.41)|(^1\.2\.36\.1\.2001\.1005\.50)|(^1\.2\.36\.1\.2001\.1005\.51)|(^1\.2\.36\.1\.2001\.1005\.52)|(^1\.2\.36\.1\.2001\.1005\.53)|(^1\.2\.36\.1\.2001\.1005\.54)'" />
    <xsl:variable name="uuid-format" select="@root and translate(@root, $uuid-chars, '') = '' " />
    <xsl:variable name="invalid-uuid" select="$uuid-format and (not(matches(@root, $uuid-regex)) or @root = '00000000-0000-0000-0000-000000000000') " />
    <xsl:variable name="possible-oid" select="if (@root and translate(@root, $oid-chars, '') = '') then @root else '' " />
    <xsl:variable name="oid-format" select="matches($possible-oid, $oid-regex) and not(matches($possible-oid, $invalid-arc-regex)) " />
    <xsl:variable name="arc" select="if ($oid-format) then tokenize($possible-oid, '\.') else '' " />
    <xsl:variable name="sub-oids" select="$oid-arc-regex/oid[starts-with($possible-oid, concat(@value, '.')) and matches(substring-after($possible-oid, concat(@value, '.')), '^[0-9]+')]" />
    <xsl:variable name="sub-oid-num" select="count($sub-oids)" />
    <xsl:variable name="next-arcs" select="for $i in (1 to $sub-oid-num) return substring-after($possible-oid, concat($sub-oids[$i]/@value, '.')) " />
    <xsl:variable name="the-first-arc" select="for $i in (1 to $sub-oid-num) return tokenize($next-arcs[$i], '\.')[1] " />
    <xsl:variable name="the-second-arc" select="for $i in (1 to $sub-oid-num) return tokenize($next-arcs[$i], '\.')[2] " />
    <xsl:variable name="invalid-oid-arcs" select="index-of(for $i in (1 to $sub-oid-num) return         (if ($sub-oids[$i]/@arc-regex) then matches($the-first-arc[$i], $sub-oids[$i]/@arc-regex) else true()), false())" />
    <xsl:variable name="invalid-arc-value" select="$oid-format and count($invalid-oid-arcs) &gt; 0" />
    <xsl:variable name="following-arc" select="for $i in (1 to $sub-oid-num) return if ($sub-oids[$i]/@arc-regex) then $the-second-arc[$i] else $the-first-arc[$i] " />
    <xsl:variable name="disallowed-arcs" select="index-of(for $i in (1 to $sub-oid-num) return ($following-arc[$i] != '' and $sub-oids[$i]/@following-arc-allowed = 'no'), true()) " />
    <xsl:variable name="disallowed-arc-value" select="$oid-format and count($disallowed-arcs) &gt; 0" />
    <xsl:variable name="invalid-oid" select=" $uuid-format  or        not($oid-format)  or         $invalid-arc-value  or         $disallowed-arc-value " />
    <xsl:variable name="possibly-valid-oid" select="not($invalid-oid) " />
    <xsl:variable name="invalid-root" select=" @root and (         not($oid-format or $uuid-format)      or         $invalid-uuid         or         $namespaces/namespace[@invalid-OID and current()/@root = @invalid-OID]   or          $namespaces/namespace[starts-with(current()/@root, concat(@invalid-OID, '.'))]  or          $namespaces/namespace[@OID-prefix and current()/@root = @OID-prefix]  or         $invalid-arc-value        or         $disallowed-arc-value        ) " />
    <xsl:variable name="known-namespace" select=" @root and (         $code-systems/system[current()/@root = @codeSystem]     or         $namespaces/namespace[@OID and current()/@root = @OID]      or          $namespaces/namespace[@test-OID and current()/@root = @test-OID]    or          $namespaces/namespace[starts-with(current()/@root, concat(@test-OID, '.'))]  or         $namespaces/namespace[@invalid-namespace and current()/@root = @invalid-namespace] or         $namespaces/namespace[starts-with(current()/@root, concat(@invalid-namespace, '.'))] or         $namespaces/namespace[starts-with(current()/@root, concat(@OID-prefix, '.'))]  ) " />
    <xsl:variable name="invalid-namespace" select=" @root and (         $namespaces/namespace[current()/@root = @invalid-OID or starts-with(current()/@root, concat(@invalid-OID, '.'))]   or         $namespaces/namespace[current()/@root = @invalid-namespace or starts-with(current()/@root, concat(@invalid-namespace, '.'))] or         $namespaces/namespace[current()/@root = @OID-prefix]          ) " />
    <xsl:variable name="possibly-valid-root" select=" @root and not($invalid-root) and not($known-namespace) " />
    <xsl:variable name="tc-types-82-test-step" select="if (@root = '1.2.36.1.2001.1005.29' or starts-with(@root,'1.2.36.1.2001.1005.29.')) then ' step 1'         else if (@root = '1.2.36.1.2001.1005.41' or starts-with(@root,'1.2.36.1.2001.1005.41.')) then ' step 2'        else '' " />
    <xsl:variable name="tc-types-83-test-step" select="if (@root = '1.2.36.1.2001.1005.50' or starts-with(@root,'1.2.36.1.2001.1005.50.')) then ' step 1'         else if (@root = '1.2.36.1.2001.1005.51' or starts-with(@root,'1.2.36.1.2001.1005.51.')) then ' step 2'        else if (@root = '1.2.36.1.2001.1005.52' or starts-with(@root,'1.2.36.1.2001.1005.52.')) then ' step 3'        else if (@root = '1.2.36.1.2001.1005.53' or starts-with(@root,'1.2.36.1.2001.1005.53.')) then ' step 4'        else if (@root = '1.2.36.1.2001.1005.54' or starts-with(@root,'1.2.36.1.2001.1005.54.')) then ' step 5'        else '' " />
    <xsl:variable name="ts-uid-error-1" select=" exists($namespaces/namespace[current()/@root = @invalid-OID or starts-with(current()/@root, concat(@invalid-OID, '.'))])      or       (not($flags/@test-data = 'true') and exists($namespaces/namespace[current()/@root = @test-OID or starts-with(current()/@root, concat(@test-OID, '.'))])) or       $invalid-arc-value                  or       ($possible-oid and not($oid-format))                or       $invalid-uuid                   " />
    <xsl:variable name="last-valid-oid" select="if (not($oid-format)) then ''        else if (matches($possible-oid, '(^1\.2\.36\.1\.2001\.1005\.70\.[0-9]{10,11}\.[0-9.]*[0-9]{1}$|^1\.2\.36\.1\.2001\.1005\.70\.[0-9]{10,11}$)'))          then '1.2.36.1.2001.1005.70'        else if (matches($possible-oid, '(^1\.2\.36\.1\.2001\.1005\.71\.[0-9]{10,11}\.[0-9.]*[0-9]{1}$|^1\.2\.36\.1\.2001\.1005\.71\.[0-9]{10,11}$)'))          then '1.2.36.1.2001.1005.71'        else '' " />
    <xsl:variable name="possible-acn-oid" select="$oid-format and matches($possible-oid, $acn-oid-regex) " />
    <xsl:variable name="possible-abn-oid" select="$oid-format and matches($possible-oid, $abn-oid-regex)" />
    <xsl:variable name="acn-abn-arc" select="if (not($possible-acn-oid or $possible-abn-oid)) then ''       else if (matches($possible-oid, '1\.2\.36\.1\.2001\.1005\.7[01]\.')) then replace($possible-oid, '^(1\.2\.36\.1\.2001\.1005\.7[01]\.)([0-9]+)($|\..+$)', '$2')       else replace($possible-oid, '^(1\.2\.36\.)([0-9]+)($|\..+$)', '$2') " />
    <xsl:variable name="possible-acn" select="if ($possible-acn-oid and string-length($acn-abn-arc) &lt; 9) then concat(substring('000000000', 1, 9 - string-length($acn-abn-arc)), $acn-abn-arc)        else $acn-abn-arc " />
    <xsl:variable name="possible-abn" select="if ($possible-abn-oid and string-length($acn-abn-arc) &lt; 11) then concat(substring('00000000000', 1, 11 - string-length($acn-abn-arc)), $acn-abn-arc)        else $acn-abn-arc " />
    <xsl:variable name="acn-format-1" select="if ($possible-acn = '' or $acn-abn-arc = $known-acn-arcs) then 0 else             10 - (((8 *  number(substring($possible-acn, 1, 1))) +                            (7 *  number(substring($possible-acn, 2, 1))) +                            (6 *  number(substring($possible-acn, 3, 1))) +                            (5 *  number(substring($possible-acn, 4, 1))) +                           (4 *  number(substring($possible-acn, 5, 1))) +                           (3 *  number(substring($possible-acn, 6, 1))) +                            (2 *  number(substring($possible-acn, 7, 1))) +                           (1 *  number(substring($possible-acn, 8, 1))) ) mod 10) " />
    <xsl:variable name="acn-format" select="if ($possible-acn-oid and $acn-abn-arc = $known-acn-arcs) then true()       else if ($possible-acn = '') then false()       else if ($acn-format-1 = 10) then 0 = number(substring($possible-acn, 9, 1))        else $acn-format-1 = number(substring($possible-acn, 9, 1))" />
    <xsl:variable name="abn-format-1" select="if (not($possible-abn-oid) or $acn-abn-arc = $known-abn-arcs) then '0' else       concat(string(number(substring($possible-abn, 1, 1)) - 1), substring($possible-abn, 2)) " />
    <xsl:variable name="abn-format" select="if ($possible-abn-oid and $acn-abn-arc = $known-abn-arcs) then true()       else if ($possible-abn = '') then false()       else 0 =                  (((10 *  number(substring($abn-format-1, 1, 1)))  +                            ( 1 *  number(substring($abn-format-1, 2, 1)))  +                            ( 3 *  number(substring($abn-format-1, 3, 1)))  +                            ( 5 *  number(substring($abn-format-1, 4, 1)))  +                           ( 7 *  number(substring($abn-format-1, 5, 1)))  +                           ( 9 *  number(substring($abn-format-1, 6, 1)))  +                            (11 *  number(substring($abn-format-1, 7, 1)))  +                           (13 *  number(substring($abn-format-1, 8, 1)))  +                           (15 *  number(substring($abn-format-1, 9, 1)))  +                           (17 *  number(substring($abn-format-1, 10, 1))) +                           (19 *  number(substring($abn-format-1, 11, 1))) ) mod 6) " />
    <xsl:variable name="ts-uid-error" select="$ts-uid-error-1 or (($possible-acn-oid or $possible-abn-oid) and matches($possible-oid, '^1\.2\.36\.') and not($acn-format or $abn-format))" />
    <xsl:variable name="possible-business-oid" select="$possible-acn-oid or $possible-abn-oid " />
    <xsl:variable name="tc-uid-warning" select="$possibly-valid-root and $oid-format and not($possible-business-oid) and exists((for $name-space in $namespaces/namespace return         if (contains(concat($possible-oid, '.'), concat($name-space/@OID, '.'))) then $name-space/@OID else '')[. != '']) " />
    <xsl:variable name="ts-entit-error" select=" (..[local-name(.) = 'entitlement']/ext:code[@codeSystem = '1.2.36.1.2001.1001.101.104.16047' and @code = '1'] and         not(@root = '1.2.36.1.5001.1.0.7' or @root = '1.2.36.1.5001.1.0.7.1'))      or       (..[local-name(.) = 'entitlement']/ext:code[@codeSystem = '1.2.36.1.2001.1001.101.104.16047' and (@code = '2' or @code = '3' or @code = '4')] and         not(@root = '2.16.840.1.113883.3.879.270098' or @root = '2.16.840.1.113883.3.879.369274'))   or       (..[local-name(.) = 'entitlement']/ext:code[@codeSystem = '1.2.36.1.2001.1001.101.104.16047' and (@code = '5' or @code = '6' or @code = '7')] and         not(@root = '2.16.840.1.113883.3.879.270091' or @root = '2.16.840.1.113883.3.879.339127'))   or       (..[local-name(.) = 'entitlement']/ext:code[@codeSystem = '1.2.36.1.2001.1001.101.104.16047' and @code = '10'] and         not(@root = '1.2.36.174030967.0.3'))          or       (..[local-name(.) = 'entitlement']/ext:code[@codeSystem = '1.2.36.1.2001.1001.101.104.16047' and @code = '11'] and         not(@root = '1.2.36.174030967.1.3.2.1'))         " />
    <xsl:variable name="possible-owner-oid-1" select="if (not($possibly-valid-root and $possibly-valid-oid) or $possible-business-oid) then ()        else (for $name-space in $namespaces/namespace return if (contains(concat(@root, '.'), concat($name-space/@OID, '.')))         then $name-space/@OID else '')[. != ''] " />
    <xsl:variable name="possible-owner-oid" select="if (count($possible-owner-oid-1) = 1) then $possible-owner-oid-1[1]        else if (count($possible-owner-oid-1) &gt; 1) then substring-before(dh:OrderByLength(string-join($possible-owner-oid-1, '|'), false()), '|')        else if ($possible-acn-oid and $acn-abn-arc = $known-acn-arcs) then concat('1.2.36', $acn-abn-arc)        else if ($possible-abn-oid and $acn-abn-arc = $known-abn-arcs) then concat('1.2.36', $acn-abn-arc)        else '' " />
    <xsl:variable name="possible-owner-name" select="if ($possible-acn-oid and $acn-abn-arc = $known-acn-arcs)          then $known-acn-names[index-of(for $arc in $known-acn-arcs return $acn-abn-arc = $arc, true())[1]]        else if ($possible-abn-oid and $acn-abn-arc = $known-abn-arcs)          then $known-abn-names[index-of(for $arc in $known-abn-arcs return $acn-abn-arc = $arc, true())[1]]        else if ($possible-owner-oid = '') then '' else $namespaces/namespace[@OID = $possible-owner-oid]/@name " />
    <xsl:variable name="extension-format-valid" select=" (@root = '1.2.36.1.2001.1005.22' and matches(@extension, $pbs-code-regex)) or        (@root = '1.2.36.1.2001.1005.23' and matches(@extension, $pbsman-code-regex)) " />
    <xsl:variable name="term-version" select="if (@root = '1.2.36.1.2001.1005.22' and $use-ts-for-pbs) then $ts-latest-pbs        else if (@root = '1.2.36.1.2001.1005.22') then $v-latest-pbs        else if (@root = '1.2.36.1.2001.1005.23' and $use-ts-for-pbsman) then $ts-latest-pbsman         else if (@root = '1.2.36.1.2001.1005.23') then $v-latest-pbsman         else '' " />
    <xsl:variable name="extension-test" select="if (not($extension-format-valid and @root = ('1.2.36.1.2001.1005.22', '1.2.36.1.2001.1005.23'))) then ''        else if (@root = '1.2.36.1.2001.1005.22' and $use-ts-for-pbs)          then dh:IsCodeInTerminologyValidUsingTS(replace(@extension, '^(0+)([^0]+[0-9a-zA-Z]*)$', '$2'), @root, $term-version)        else if (@root = '1.2.36.1.2001.1005.23' and $use-ts-for-pbsman) then dh:IsCodeInTerminologyValidUsingTS(@extension, @root, $term-version)        else dh:IsCodeInTerminologyValid(@extension, @root, $term-version) " />
    <xsl:variable name="extension-valid" select="$extension-test = ('CodeFound', 'CodeFoundActive') " />
    <xsl:variable name="term-version-msg" select="if (not($extension-format-valid) or $term-version = '') then ''        else if (@root = ('1.2.36.1.2001.1005.22', '1.2.36.1.2001.1005.23')) then          concat(' The ''', $term-version, ''' version of the ', $code-systems/system[@codeSystem = current()/@root]/@codeSystemName,           ' namespace was used in the assessment.')        else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="default-ii-context" select="exists(ancestor::cda:recordTarget) and exists(ancestor::ext:asEntityIdentifier) " />
    <xsl:variable name="rating-01" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-01 " />
    <xsl:variable name="rating-04" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-04 " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <xsl:variable name="rating-70" select="if ($initial-priority) then $initial-rating else if ($default-ii-context) then $rating-TC-Types-70 else $rating-alt-TC-Types-70 " />
    <xsl:variable name="rating-71" select="if ($initial-priority) then $initial-rating else if ($default-ii-context) then $rating-TC-Types-71 else $rating-alt-TC-Types-71 " />
    <xsl:variable name="rating-72" select="if ($initial-priority) then $initial-rating else if ($default-ii-context) then $rating-TC-Types-72 else $rating-alt-TC-Types-72 " />
    <xsl:variable name="rating-73" select="if ($initial-priority) then $initial-rating else if ($default-ii-context) then $rating-TC-Types-73 else $rating-alt-TC-Types-73 " />
    <xsl:variable name="rating-74" select="if ($initial-priority) then $initial-rating else if ($default-ii-context) then $rating-TC-Types-74 else $rating-alt-TC-Types-74 " />
    <xsl:variable name="rating-75-step-1" select="if ($initial-priority) then $initial-rating else if ($default-ii-context) then $rating-TC-Types-75-step-1 else $rating-alt-TC-Types-75-step-1 " />
    <xsl:variable name="rating-75-step-2" select="if ($initial-priority) then $initial-rating else if ($default-ii-context) then $rating-TC-Types-75-step-2 else $rating-alt-TC-Types-75-step-2 " />
    <xsl:variable name="rating-76" select="if ($initial-priority) then $initial-rating else if ($default-ii-context) then $rating-TC-Types-76 else $rating-alt-TC-Types-76 " />
    <xsl:variable name="rating-77" select="if ($initial-priority) then $initial-rating else if ($default-ii-context) then $rating-TC-Types-77 else $rating-alt-TC-Types-77 " />
    <xsl:variable name="rating-78" select="if ($initial-priority) then $initial-rating else if ($default-ii-context) then $rating-TC-Types-78 else $rating-alt-TC-Types-78 " />
    <xsl:variable name="rating-79" select="if ($initial-priority) then $initial-rating else if ($default-ii-context) then $rating-TC-Types-79 else $rating-alt-TC-Types-79 " />
    <xsl:variable name="rating-80" select="if ($initial-priority) then $initial-rating else if ($default-ii-context) then $rating-TC-Types-80 else $rating-alt-TC-Types-80 " />
    <xsl:variable name="rating-81" select="if ($initial-priority) then $initial-rating else if ($default-ii-context) then $rating-TC-Types-81 else $rating-alt-TC-Types-81 " />
    <xsl:variable name="rating-82" select="if ($initial-priority) then $initial-rating else if ($default-ii-context) then $rating-TC-Types-82 else $rating-alt-TC-Types-82 " />
    <xsl:variable name="rating-83" select="if ($initial-priority) then $initial-rating else if ($default-ii-context) then $rating-TC-Types-83 else $rating-alt-TC-Types-83 " />
    <xsl:variable name="rating-84" select="if ($initial-priority) then $initial-rating else if ($default-ii-context) then $rating-TC-Types-84 else $rating-alt-TC-Types-84 " />
    <xsl:variable name="rating-85" select="if ($initial-priority) then $initial-rating else if ($default-ii-context) then $rating-TC-Types-85 else $rating-alt-TC-Types-85 " />
    <xsl:variable name="rating-86" select="if ($initial-priority) then $initial-rating else if ($default-ii-context) then $rating-TC-Types-86 else $rating-alt-TC-Types-86 " />
    <xsl:variable name="rating-87" select="if ($initial-priority) then $initial-rating else if ($default-ii-context) then $rating-TC-Types-87 else $rating-alt-TC-Types-87 " />
    <xsl:variable name="rating-88" select="if ($initial-priority) then $initial-rating else if ($default-ii-context) then $rating-TC-Types-88 else $rating-alt-TC-Types-88 " />
    <xsl:variable name="rating-89" select="if ($initial-priority) then $initial-rating else if ($default-ii-context) then $rating-TC-Types-89 else $rating-alt-TC-Types-89 " />
    <xsl:variable name="rating-90" select="if ($initial-priority) then $initial-rating else if ($default-ii-context) then $rating-TC-Types-90 else $rating-alt-TC-Types-90 " />
    <xsl:variable name="rating-91" select="if ($initial-priority) then $initial-rating else if ($default-ii-context) then $rating-TC-Types-91 else $rating-alt-TC-Types-91 " />
    <xsl:variable name="rating-92" select="if ($initial-priority) then $initial-rating else if ($default-ii-context) then $rating-TC-Types-92 else $rating-alt-TC-Types-92 " />
    <xsl:variable name="rating-111" select="if ($initial-priority) then $initial-rating else if ($default-ii-context) then $rating-TC-Types-111 else $rating-alt-TC-Types-111 " />
    <!--REPORT -->
    <xsl:if test="$extension-test = 'Error' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$extension-test = 'Error'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-II: An unexpected error was returned when calling the function
		<xsl:text /><xsl:value-of select="if ((@root = '1.2.36.1.2001.1005.22' and $use-ts-for-pbs) or (@root = '1.2.36.1.2001.1005.23' and $use-ts-for-pbsman))   then 'IsCodeInTerminologyValidUsingTS' else 'IsCodeInTerminologyValid' " /><xsl:text />		
		with code '<xsl:text /><xsl:value-of select="@extension" /><xsl:text />', codeSystem '<xsl:text /><xsl:value-of select="@root" /><xsl:text />' and
		codeSystemVersion '<xsl:text /><xsl:value-of select="$term-version" /><xsl:text />'. The error should be reported to the Australian Digital Health Agency for investigation.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @root and (matches(@root, '[\^;#\|%]') or matches(@root, codepoints-to-string(38)))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@root and (matches(@root, '[\^;#\|%]') or matches(@root, codepoints-to-string(38)))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-II: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		has a root attribute with the value '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(@root, $markup-pattern-replacement, 'ic')" /><xsl:text />'
		which contains one or more special characters. The My Health Record system rejects clinical documents containing any of the following special characters in the
		root attribute of an instance identifier: ampersand, caret (^), hash or pound (#), percent (%), pipe (|) and semicolon (;).

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @extension and (matches(@extension, '[\^;#\|%]') or matches(@extension, codepoints-to-string(38))) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@extension and (matches(@extension, '[\^;#\|%]') or matches(@extension, codepoints-to-string(38)))">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-II: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		has an extension attribute with the value '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(@extension, $markup-pattern-replacement, 'ic')" /><xsl:text />'
		which contains one or more special characters. The My Health Record system rejects clinical documents containing any of the following special characters in the
		extension attribute of an instance identifier: ampersand, caret (^), hash or pound (#), percent (%), pipe (|) and semicolon (;).

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@allow-debug = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@allow-debug = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-II: Is the root present and confirmed to be invalid? '<xsl:text /><xsl:value-of select="$invalid-root" /><xsl:text />'.
		Here are the reasons for this.
		Is the root present? '<xsl:text /><xsl:value-of select="boolean(@root)" /><xsl:text />'.
		What is the value of the root? '<xsl:text /><xsl:value-of select="@root" /><xsl:text />'.
		Does the root have a format that is not the UUID or OID format? '<xsl:text /><xsl:value-of select="not($oid-format or $uuid-format)" /><xsl:text />'.
		Is the root an OID that is one of the invalid OIDs in the namespace file?
		'<xsl:text /><xsl:value-of select="exists($namespaces/namespace[current()/@root = @invalid-OID or starts-with(current()/@root, concat(@invalid-OID, '.'))])" /><xsl:text />'.
		Is the root an OID that is one of the namespace prefixes? '<xsl:text /><xsl:value-of select="exists($namespaces/namespace[current()/@root = @OID-prefix])" /><xsl:text />'.
		Is the root an OID with an invalid arc? '<xsl:text /><xsl:value-of select="$invalid-arc-value" /><xsl:text />'.
		Is the root an OID with a disallowed arc? '<xsl:text /><xsl:value-of select="$disallowed-arc-value" /><xsl:text />'.
		Is the root a possibly valid OID (i.e. neither invalid nor confirmed to be valid)? '<xsl:text /><xsl:value-of select="$possibly-valid-oid" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('id',  'interactionId', 'profileId', 'queryId', 'referenceControlId', 'responseElementGroupId', 'setId', 'templateId', 'typeId')    and @xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('id', 'interactionId', 'profileId', 'queryId', 'referenceControlId', 'responseElementGroupId', 'setId', 'templateId', 'typeId') and @xsi:type and not(@xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04" /><xsl:text />: TC-Doc-04: According to the HL7 Reference Information Model the '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'II' data type however
		xsi:type '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found which is invalid for that data type. (See the HL7 Reference Information Model.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@nullFlavor or @root) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor or @root)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-70" /><xsl:text />: TC-Types-70: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'II' data type and no nullFlavor or root attribute, so it fails to meet the requirement for a root to be present when there is no nullFlavor.
		(See section 7.6.7.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @root and @extension and @nullFlavor = ('UNK', 'ASKU', 'NAV', 'NASK', 'MSK')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@root and @extension and @nullFlavor = ('UNK', 'ASKU', 'NAV', 'NASK', 'MSK')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		the HL7 'II' data type and has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) that indicates a value is not
		provided. However it also has root '<xsl:text /><xsl:value-of select="@root" /><xsl:text />' and an 'extension' attribute with the value '<xsl:text /><xsl:value-of select="@extension" /><xsl:text />'. It is invalid to use this nullFlavor when a
		proper value is provided. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7
		'II' data type and contains a value of nullFlavor 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a value value may exist, but it must be derived from the information
		provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor='PINF' or @nullFlavor='NINF' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor='PINF' or @nullFlavor='NINF'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 1: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		the HL7 'II' data type and has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />). That value of nullFlavor may not be
		used for data elements of the II data type. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor='UNC'  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor='UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		the HL7 'II' data type and has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />).
		That value of nullFlavor may not be used for data elements of
		the II data type. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor='QS' or @nullFlavor='TRC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor='QS' or @nullFlavor='TRC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 3: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		the HL7 'II' data type and has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />). That value of nullFlavor may not be
		used for data elements of the II data type. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @root and $invalid-root and not($ts-uid-error) and not(@extension and $invalid-namespace) and   not(@root = ('1.2.36.1.2001.1003.0', '1.2.36.1.2001.1005.29', '1.2.36.1.2001.1005.41', '1.2.36.1.2001.1005.70', '1.2.36.1.2001.1005.71'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@root and $invalid-root and not($ts-uid-error) and not(@extension and $invalid-namespace) and not(@root = ('1.2.36.1.2001.1003.0', '1.2.36.1.2001.1005.29', '1.2.36.1.2001.1005.41', '1.2.36.1.2001.1005.70', '1.2.36.1.2001.1005.71'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-71" /><xsl:text />: TC-Types-71: The instance identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' contains a root attribute
		with the value '<xsl:text /><xsl:value-of select="@root" /><xsl:text />' which does not meet the requirement for the value of the root attribute to be either a valid UUID or a valid OID.
		(See section 7.6.7.3.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="if (matches(@root, '^[0-9a-z]{8}-[0-9a-z]{4}-[0-9a-z]{4}-[0-9a-z]{4}-[0-9a-z]{12}$', 'i') and not($uuid-format)) then   concat(' The value of the root attribute has the appearance of a UUID but it contains characters (', translate(@root, $uuid-chars, ''), ') that are not hexadecimal characters.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @extension and not(@root) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@extension and not(@root)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-72" /><xsl:text />: TC-Types-72: The instance identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		the HL7 'II' data type withthe extension attribute '<xsl:text /><xsl:value-of select="@extension" /><xsl:text />' and no 'root' attribute, which does not meet the requirement that the 'root' attribute must be present.
		According to the specifications of the HL7 'II' data type the 'root' attribute is optional but its presence is mandated in the digital health specifications to identify the namespace.
		(See section 8.2 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @extension and not($invalid-oid) and $invalid-namespace and not($ts-uid-error)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@extension and not($invalid-oid) and $invalid-namespace and not($ts-uid-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

                Error<xsl:text /><xsl:value-of select="$rating-73" /><xsl:text />: TC-Types-73: The instance identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		contains a root attribute with the value '<xsl:text /><xsl:value-of select="@root" /><xsl:text />' and an 'extension' attribute with the value '<xsl:text /><xsl:value-of select="@extension" /><xsl:text />'. The value of the root attribute does
		not define a namespace applicable for the extension so the instance identifier is invalid. (See section 7.6.7.3.1 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" parent::cda:order and matches(@root, $hpi-o-based-id-regex) and not(matches(@root, '(^1\.2\.36\.1\.2001\.1005\.52\.)|(^1\.2\.36\.1\.2001\.1005\.53\.)')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="parent::cda:order and matches(@root, $hpi-o-based-id-regex) and not(matches(@root, '(^1\.2\.36\.1\.2001\.1005\.52\.)|(^1\.2\.36\.1\.2001\.1005\.53\.)'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-73" /><xsl:text />: TC-Types-73: The instance identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a root attribute with the value '<xsl:text /><xsl:value-of select="@root" /><xsl:text />' which identifies the namespace for a
		'<xsl:text /><xsl:value-of select="$namespaces/namespace[@OID-prefix = substring(current()/@root, 1, 21)]/@name" /><xsl:text />'. That is not a valid namespace applicable for the 'order' data
		element which is used to identify orders that are fulfilled by this <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See section 7.6.7.3.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange', section 4.2.3.3 of HL7 Clinical Document Architecture, Release 2.0
		and  the HL7 Registry, http://www.hl7.org/oid/index.cfm.)
		<xsl:text /><xsl:value-of select="if (/cda:ClinicalDocument/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '100.32001'])    then ' A Pathology Report may contain an order identifier with a root attribute with the value ''1.2.36.1.2001.1005.52.[HPI-O]''.'   else if (/cda:ClinicalDocument/cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '100.16957'])    then concat(' A Diagnostic Imaging Report may contain an order identifier with a root attribute with the value ''1.2.36.1.2001.1005.52.[HPI-O]'' ',   'or an accession number with a root attribute with the value ''1.2.36.1.2001.1005.53.[HPI-O]''.')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches(@root, $hpi-o-based-id-regex) and not(matches(@root, '^1\.2\.36\.1\.2001\.1005\.54\.')) and     local-name(..) = ('externalAct', 'externalDocument', 'externalObservation', 'externalProcedure')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches(@root, $hpi-o-based-id-regex) and not(matches(@root, '^1\.2\.36\.1\.2001\.1005\.54\.')) and local-name(..) = ('externalAct', 'externalDocument', 'externalObservation', 'externalProcedure')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-73" /><xsl:text />: TC-Types-73: The instance identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a root attribute with the value '<xsl:text /><xsl:value-of select="@root" /><xsl:text />' which identifies the namespace for a
		'<xsl:text /><xsl:value-of select="$namespaces/namespace[@OID-prefix = substring(current()/@root, 1, 21)]/@name" /><xsl:text />'. That is not a valid namespace applicable for the '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />'
		data element which is used to identify a document attached to this <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />.
		(See section 7.6.7.3.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange', section 4.3.8.5 of HL7 Clinical Document Architecture, Release 2.0
		and  the HL7 Registry, http://www.hl7.org/oid/index.cfm.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $possibly-valid-root and @extension and $possibly-valid-oid and not($possible-business-oid or $ts-uid-error or $tc-uid-warning) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $possibly-valid-root and @extension and $possibly-valid-oid and not($possible-business-oid or $ts-uid-error or $tc-uid-warning)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Hint<xsl:text /><xsl:value-of select="$rating-73" /><xsl:text />: TC-Types-73: The instance identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		contains a root attribute with the value '<xsl:text /><xsl:value-of select="@root" /><xsl:text />'.
		<xsl:text /><xsl:value-of select="if ($possible-owner-oid = '') then ''    else concat('The root attribute contains the namespace ''', $possible-owner-oid, ''' which is registered with ', $possible-owner-name, '.') " /><xsl:text />
		Confirm that the value of the root attribute meets the requirement for it to identify the namespace for the extension attribute which has the
		value '<xsl:text /><xsl:value-of select="@extension" /><xsl:text />'. (See section 7.6.7.3.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ($namespaces/namespace[current()/@root = @OID-prefix] or $namespaces/namespace[current()/@root = @OID]) and not(@extension or @nullFlavor) and   not(@root = ('1.2.36.1.2001.1005.29', '1.2.36.1.2001.1005.41', '1.2.36.1.2001.1005.70', '1.2.36.1.2001.1005.71')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="($namespaces/namespace[current()/@root = @OID-prefix] or $namespaces/namespace[current()/@root = @OID]) and not(@extension or @nullFlavor) and not(@root = ('1.2.36.1.2001.1005.29', '1.2.36.1.2001.1005.41', '1.2.36.1.2001.1005.70', '1.2.36.1.2001.1005.71'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-74" /><xsl:text />: TC-Types-74: The instance identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		contains a root attribute with the value '<xsl:text /><xsl:value-of select="@root" /><xsl:text />' and no extension or nullFlavor attributes. To have a valid instance identifier with no extension or nullFlavor
		attributes the root attribute must be the unique identifier however the value '<xsl:text /><xsl:value-of select="@root" /><xsl:text />' defines the
		'<xsl:text /><xsl:value-of select="if ($namespaces/namespace[current()/@root = @OID-prefix]) then $namespaces/namespace[current()/@root = @OID-prefix]/@name   else $namespaces/namespace[current()/@root = @OID]/@name " /><xsl:text />' namespace rather than a unique identifier.
		(See the HL7 OID Registry and section 7.6.7.3.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $possibly-valid-root and not(@extension or @nullFlavor) and $possibly-valid-oid and not($possible-business-oid)  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $possibly-valid-root and not(@extension or @nullFlavor) and $possibly-valid-oid and not($possible-business-oid)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Hint<xsl:text /><xsl:value-of select="$rating-74" /><xsl:text />: TC-Types-74: The instance identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		contains a root attribute with the value '<xsl:text /><xsl:value-of select="@root" /><xsl:text />' and no extension or nullFlavor attributes.
		<xsl:text /><xsl:value-of select="if ($possible-owner-oid = '') then ''    else concat('The root attribute contains the namespace ''', $possible-owner-oid, ''' which is registered with ', $possible-owner-name, '.') " /><xsl:text />
		As the root attribute is an object identifier (OID) the unique identifier must be the last arc of the
		OID and the preceding arcs must be the namespace. Confirm that the value of the root attribute meets this requirement.
		(See section 7.6.7.3.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'setId' and @root and @extension and    concat(@root, @extension) = concat(/cda:ClinicalDocument/cda:id/@root, /cda:ClinicalDocument/cda:id/@extension) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'setId' and @root and @extension and concat(@root, @extension) = concat(/cda:ClinicalDocument/cda:id/@root, /cda:ClinicalDocument/cda:id/@extension)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-75-step-1" /><xsl:text />: TC-Types-75 step 1: The clinical document id and setId both have a root attribute with the value '<xsl:text /><xsl:value-of select="@root" /><xsl:text />' and an 'extension'
		attribute with the value '<xsl:text /><xsl:value-of select="@extension" /><xsl:text />'. The clinical document id is the identifier of an individual clinical document and the clinical document setId is the identifier of a set of
		clinical documents where the set contains this clinical document and any that the document superseded. As the combination of the root and extension are to uniquely describe an object
		the id and setId need to have different identifiers. (See section 7.6.7.3.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'setId' and @root and not(@extension) and not(/cda:ClinicalDocument/cda:id/@extension) and @root = /cda:ClinicalDocument/cda:id/@root ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'setId' and @root and not(@extension) and not(/cda:ClinicalDocument/cda:id/@extension) and @root = /cda:ClinicalDocument/cda:id/@root">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-75-step-1" /><xsl:text />: TC-Types-75 step 1: The clinical document id and setId both have a root attribute with the value '<xsl:text /><xsl:value-of select="@root" /><xsl:text />' and no extension
		attribute. The clinical document id
		is the identifier of an individual clinical document and the clinical document setId is the identifier of a set of clinical documents where the set contains this clinical document and
		any that the document superseded. As the combination of the root and extension are to uniquely describe an object the id and setId need to have different identifiers.
		(See section 7.6.7.3.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @root and $code-systems/system[current()/@root = @codeSystem and not(@no-code-information='true')] and    not($code-systems/system[current()/@root = @codeSystem]/code[@code=current()/@extension]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@root and $code-systems/system[current()/@root = @codeSystem and not(@no-code-information='true')] and not($code-systems/system[current()/@root = @codeSystem]/code[@code=current()/@extension])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-75-step-2" /><xsl:text />: TC-Types-75 step 2: The instance identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a root attribute with the value '<xsl:text /><xsl:value-of select="@root" /><xsl:text />' which identifies the
		'<xsl:text /><xsl:value-of select="$code-systems/system[current()/@root = @codeSystem]/@codeSystemName" /><xsl:text />' namespace however the instance identifier
		contains extension '<xsl:text /><xsl:value-of select="@extension" /><xsl:text />' which is not a member of this namespace. The value of an extension attribute must be within the scope of the namespace defined by the
		root attribute. (See section 7.6.7.3.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches(@extension, $hi-regex) and not(matches(@extension, $ihi-regex) and parent::ext:asEntityIdentifier) and matches(@root, $hpi-o-based-id-regex) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches(@extension, $hi-regex) and not(matches(@extension, $ihi-regex) and parent::ext:asEntityIdentifier) and matches(@root, $hpi-o-based-id-regex)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-75-step-2" /><xsl:text />: TC-Types-75 step 2: The instance identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a root attribute with the value '<xsl:text /><xsl:value-of select="@root" /><xsl:text />' which identifies the namespace for a
		'<xsl:text /><xsl:value-of select="$namespaces/namespace[@OID-prefix = substring(current()/@root, 1, 21)]/@name" /><xsl:text />' however the
		instance identifier contains extension '<xsl:text /><xsl:value-of select="@extension" /><xsl:text />' which is not a member of this namespace. The root attribute indicates that
		'<xsl:text /><xsl:value-of select="@extension" /><xsl:text />' is a local identifier allocated by the healthcare provider organisation with the HPI-O '<xsl:text /><xsl:value-of select="substring(@root, 23, 16)" /><xsl:text />'.
		<xsl:text /><xsl:value-of select="$assigning-authority" /><xsl:text /> The identifier '<xsl:text /><xsl:value-of select="@extension" /><xsl:text />' is a national healthcare identifier and was not allocated by that organisation.
		The value of an extension attribute must be within the scope of the namespace defined by the root attribute.
		(See section 7.6.7.3.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		To include a national healthcare identifier in the document the value of the root attribute must be '1.2.36.1.2001.1003.0.' followed by the identifier, that is
		a root attribute with the value "<xsl:text /><xsl:value-of select="concat('1.2.36.1.2001.1003.0.', @extension)" /><xsl:text />" and there must not be an extension attribute.
		(See the information about '1.2.36.1.2001.1003.0' in the HL7 Registry http://www.hl7.org/oid/index.cfm.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches(@extension, $hi-regex) and not(matches(@extension, $ihi-regex)) and not(matches(@root, $hpi-o-based-id-regex)) and parent::ext:asEntityIdentifier ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches(@extension, $hi-regex) and not(matches(@extension, $ihi-regex)) and not(matches(@root, $hpi-o-based-id-regex)) and parent::ext:asEntityIdentifier">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-75-step-2" /><xsl:text />: TC-Types-75 step 2: The instance identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a root attribute with the value '<xsl:text /><xsl:value-of select="@root" /><xsl:text />' which identifies the namespace for extension '<xsl:text /><xsl:value-of select="@extension" /><xsl:text />'.
		<xsl:text /><xsl:value-of select="$assigning-authority" /><xsl:text /> However the identifier '<xsl:text /><xsl:value-of select="@extension" /><xsl:text />' is a national healthcare identifier and is not a member of this namespace.
		The value of an extension attribute must be within the scope of the namespace defined by the root attribute.
		(See section 7.6.7.3.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		To include a national healthcare identifier in the document the value of the root attribute must be '1.2.36.1.2001.1003.0.' followed by the identifier, that is
		a root attribute with the value "<xsl:text /><xsl:value-of select="concat('1.2.36.1.2001.1003.0.', @extension)" /><xsl:text />" and there must not be an extension attribute. (See the information about
		'1.2.36.1.2001.1003.0' in the HL7 Registry http://www.hl7.org/oid/index.cfm.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @extension and matches(@extension, $uuid-regex) and (   ($namespaces/namespace[current()/@root = @OID and not(@UUID)])     or    $namespaces/namespace[starts-with(current()/@root, concat(@OID-prefix, '.')) and not(@UUID)] ) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @extension and matches(@extension, $uuid-regex) and ( ($namespaces/namespace[current()/@root = @OID and not(@UUID)]) or $namespaces/namespace[starts-with(current()/@root, concat(@OID-prefix, '.')) and not(@UUID)] )">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-75-step-2" /><xsl:text />: TC-Types-75 step 2: The instance identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a root attribute with the value '<xsl:text /><xsl:value-of select="@root" /><xsl:text />' which identifies the namespace for
		'<xsl:text /><xsl:value-of select="if ($namespaces/namespace[current()/@root = @OID and not(@UUID)]) then $namespaces/namespace[current()/@root = @OID]/@name   else $namespaces/namespace[starts-with(current()/@root, concat(@OID-prefix, '.')) and not(@UUID)]/@name" /><xsl:text />'. The extension attribute has the value '<xsl:text /><xsl:value-of select="@extension" /><xsl:text />'
		which is a universally unique identifier (UUID) (also known as a globally unique identifier (GUID)). Confirm that the extension has a value that is applicable for the
		namespace identified by the root attribute.
		The value of an extension attribute must be within the scope of the namespace defined by the root attribute.
		(See section 7.6.7.3.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @extension and matches(@extension, $uuid-regex) and (   ($namespaces/namespace[current()/@root = @OID and @UUID = 'disallowed'])    or    $namespaces/namespace[starts-with(current()/@root, concat(@OID-prefix, '.')) and @UUID = 'disallowed'] ) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@extension and matches(@extension, $uuid-regex) and ( ($namespaces/namespace[current()/@root = @OID and @UUID = 'disallowed']) or $namespaces/namespace[starts-with(current()/@root, concat(@OID-prefix, '.')) and @UUID = 'disallowed'] )">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-75-step-2" /><xsl:text />: TC-Types-75 step 2: The instance identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a root attribute with the value '<xsl:text /><xsl:value-of select="@root" /><xsl:text />' which identifies the namespace for
		'<xsl:text /><xsl:value-of select="if ($namespaces/namespace[current()/@root = @OID and @UUID = 'disallowed']) then $namespaces/namespace[current()/@root = @OID and @UUID = 'disallowed']/@name   else $namespaces/namespace[starts-with(current()/@root, concat(@OID-prefix, '.')) and @UUID = 'disallowed']/@name" /><xsl:text />'.
		<xsl:text /><xsl:value-of select="if (matches(@root, '^1\.2\.36\.1\.2001\.1001\.10[0-4]{1}\.') or matches(@root, '^1\.2\.36\.1\.2001\.1006\.'))    then 'This namespace is reserved for use by the Australian Digital Health Agency.' else '' " /><xsl:text />
		The extension attribute has the value '<xsl:text /><xsl:value-of select="@extension" /><xsl:text />'
		which is a universally unique identifier (UUID) (also known as a globally unique identifier (GUID)) however this is an invalid value for the
		namespace identified by the root attribute.
		The value of an extension attribute must be within the scope of the namespace defined by the root attribute.
		(See section 7.6.7.3.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="(@root = '1.2.36.1.2001.1005.22' or @root = '1.2.36.1.2001.1005.23') and @extension and not($extension-format-valid) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="(@root = '1.2.36.1.2001.1005.22' or @root = '1.2.36.1.2001.1005.23') and @extension and not($extension-format-valid)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-75-step-2" /><xsl:text />: TC-Types-75 step 2: The instance identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a root attribute with the value '<xsl:text /><xsl:value-of select="@root" /><xsl:text />' which identifies the
		'<xsl:text /><xsl:value-of select="if (@root = '1.2.36.1.2001.1005.22') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1005.22']/@codeSystemName    else if (@root = '1.2.36.1.2001.1005.23') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1005.23']/@codeSystemName    else '' " /><xsl:text />' namespace however the
		instance identifier contains extension '<xsl:text /><xsl:value-of select="@extension" /><xsl:text />' which does not have the format of a member of this namespace.
		The value of an extension attribute must be within the scope of the namespace defined by the root attribute.
		(See section 7.6.7.3.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="if (@root = '1.2.36.1.2001.1005.22' and matches(@extension, $pbsman-code-regex))   then 'The value of the extension attribute has the format of a PBS Manufacturer code whereas the root attribute must have the value ''1.2.36.1.2001.1005.23'' for PBS Manufacturer codes.'   else if (@root = '1.2.36.1.2001.1005.23' and matches(@extension, $pbs-code-regex))   then 'The value of the extension attribute has the format of a PBS code whereas the root attribute must have the value ''1.2.36.1.2001.1005.22'' for PBS codes.'   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="(@root = '1.2.36.1.2001.1005.22' or @root = '1.2.36.1.2001.1005.23') and $extension-format-valid and not($extension-valid)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="(@root = '1.2.36.1.2001.1005.22' or @root = '1.2.36.1.2001.1005.23') and $extension-format-valid and not($extension-valid)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-75-step-2" /><xsl:text />: TC-Types-75 step 2: The instance identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a root attribute with the value '<xsl:text /><xsl:value-of select="@root" /><xsl:text />' which identifies the
		'<xsl:text /><xsl:value-of select="if (@root = '1.2.36.1.2001.1005.22') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1005.22']/@codeSystemName    else if (@root = '1.2.36.1.2001.1005.23') then $code-systems/system[@codeSystem = '1.2.36.1.2001.1005.23']/@codeSystemName    else '' " /><xsl:text />' namespace however the
		instance identifier contains extension '<xsl:text /><xsl:value-of select="@extension" /><xsl:text />' which is not a member of this namespace.
		The value of an extension attribute must be within the scope of the namespace defined by the root attribute.
		(See section 7.6.7.3.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="$term-version-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $invalid-assigning-authority ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$invalid-assigning-authority">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-76" /><xsl:text />: TC-Types-76: The instance identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		<xsl:text /><xsl:value-of select="iq:display-II(.)" /><xsl:text /> and the assigningAuthorityName attribute has an invalid value. When the assigningAuthorityName attribute is present its
		value is to be a human readable name or mnemonic for the authority responsible for assigning the identifier.
		(See section 2.17.3 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $possibly-valid-root and @assigningAuthorityName and    not($uuid-format or $ts-entit-error or $invalid-assigning-authority or $ts-uid-error or $tc-uid-warning) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $possibly-valid-root and @assigningAuthorityName and not($uuid-format or $ts-entit-error or $invalid-assigning-authority or $ts-uid-error or $tc-uid-warning)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Hint<xsl:text /><xsl:value-of select="$rating-76" /><xsl:text />: TC-Types-76: The instance identifier '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a root attribute with the value '<xsl:text /><xsl:value-of select="@root" /><xsl:text />' and assigningAuthorityName
		'<xsl:text /><xsl:value-of select="@assigningAuthorityName" /><xsl:text />'.
		<xsl:text /><xsl:value-of select="if ($possible-owner-oid = '') then ''    else concat('The root attribute contains the namespace ''', $possible-owner-oid, ''' which is registered with ', $possible-owner-name, '.') " /><xsl:text />
		Confirm that the value of the assigningAuthorityName is a human readable name
		for the namespace represented in the root attribute. (See section 2.17 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @root = '1.2.36.1.2001.1003.0' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@root = '1.2.36.1.2001.1003.0'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-77" /><xsl:text />: TC-Types-77: The instance identifier in the '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a 'root' attribute with the value '<xsl:text /><xsl:value-of select="@root" /><xsl:text />' which is an OID for a National Healthcare Identifier but the identifier has been
		omitted and needs to be included in the following arc.
		(See the entry for '1.2.36.1.2001.1003.0' in the HL7 OID Registry and section 7.6.7 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

    	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" starts-with(@root,'1.2.36.1.2001.1003.0.') and $possibly-valid-oid and not(   ((                     number(substring(string(2 * 8), 1, 1)) + number(substring(string(2 * 8), 2, 1)) +                     0 +                     2 * 0 +                     3 +                     number(substring(string(2 * 6), 1, 1)) + number(substring(string(2 * 6), 2, 1)) +                     number(substring(substring-after(@root, '80036'), 1, 1)) +                     number(substring(string(2 * substring(substring-after(@root, '80036'), 2, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 2, 1))), 1)) +                     number(substring(string(number(substring(substring-after(@root, '80036'), 2, 1)) div 5), 1, 1)) +                     number(substring(substring-after(@root, '80036'), 3, 1)) +                     number(substring(string(2 * substring(substring-after(@root, '80036'), 4, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 4, 1))), 1)) +                     number(substring(string(number(substring(substring-after(@root, '80036'), 4, 1)) div 5), 1, 1)) +                     number(substring(substring-after(@root, '80036'), 5, 1)) +                     number(substring(string(2 * substring(substring-after(@root, '80036'), 6, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 6, 1))), 1)) +                     number(substring(string(number(substring(substring-after(@root, '80036'), 6, 1)) div 5), 1, 1)) +                     number(substring(substring-after(@root, '80036'), 7, 1)) +                     number(substring(string(2 * substring(substring-after(@root, '80036'), 8, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 8, 1))), 1)) +                     number(substring(string(number(substring(substring-after(@root, '80036'), 8, 1)) div 5), 1, 1)) +                     number(substring(substring-after(@root, '80036'), 9, 1)) +                     number(substring(string(2 * substring(substring-after(@root, '80036'),10, 1)), string-length(string(2 * substring(substring-after(@root, '80036'),10, 1))), 1)) +                     number(substring(string(number(substring(substring-after(@root, '80036'),10, 1)) div 5), 1, 1)) +                     number(substring(substring-after(@root, '80036'), 11, 1))                 ) mod 10 = 0)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="starts-with(@root,'1.2.36.1.2001.1003.0.') and $possibly-valid-oid and not( (( number(substring(string(2 * 8), 1, 1)) + number(substring(string(2 * 8), 2, 1)) + 0 + 2 * 0 + 3 + number(substring(string(2 * 6), 1, 1)) + number(substring(string(2 * 6), 2, 1)) + number(substring(substring-after(@root, '80036'), 1, 1)) + number(substring(string(2 * substring(substring-after(@root, '80036'), 2, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 2, 1))), 1)) + number(substring(string(number(substring(substring-after(@root, '80036'), 2, 1)) div 5), 1, 1)) + number(substring(substring-after(@root, '80036'), 3, 1)) + number(substring(string(2 * substring(substring-after(@root, '80036'), 4, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 4, 1))), 1)) + number(substring(string(number(substring(substring-after(@root, '80036'), 4, 1)) div 5), 1, 1)) + number(substring(substring-after(@root, '80036'), 5, 1)) + number(substring(string(2 * substring(substring-after(@root, '80036'), 6, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 6, 1))), 1)) + number(substring(string(number(substring(substring-after(@root, '80036'), 6, 1)) div 5), 1, 1)) + number(substring(substring-after(@root, '80036'), 7, 1)) + number(substring(string(2 * substring(substring-after(@root, '80036'), 8, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 8, 1))), 1)) + number(substring(string(number(substring(substring-after(@root, '80036'), 8, 1)) div 5), 1, 1)) + number(substring(substring-after(@root, '80036'), 9, 1)) + number(substring(string(2 * substring(substring-after(@root, '80036'),10, 1)), string-length(string(2 * substring(substring-after(@root, '80036'),10, 1))), 1)) + number(substring(string(number(substring(substring-after(@root, '80036'),10, 1)) div 5), 1, 1)) + number(substring(substring-after(@root, '80036'), 11, 1)) ) mod 10 = 0))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-77" /><xsl:text />: TC-Types-77: The instance identifier in the '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a 'root' attribute with the value '<xsl:text /><xsl:value-of select="@root" /><xsl:text />' which is an OID for a National Healthcare Identifier
		but does not meet the requirement for the arc following '1.2.36.1.2001.1003.0' to contain a check digit calculated according to the Luhn algorithm.
		(See the entry for '1.2.36.1.2001.1003.0' in the HL7 OID Registry and section 7.6.7 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

    	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" starts-with(@root,'1.2.36.1.2001.1003.0.') and @extension ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="starts-with(@root,'1.2.36.1.2001.1003.0.') and @extension">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-77" /><xsl:text />: TC-Types-77: The instance identifier in the '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a 'root' attribute with the value '<xsl:text /><xsl:value-of select="@root" /><xsl:text />' and an 'extension' attribute with the value '<xsl:text /><xsl:value-of select="@extension" /><xsl:text />' however
		an instance identifier containing a National Healthcare Identifier needs to have the identifier in the root and extension must be omitted.
		(See the entry for '1.2.36.1.2001.1003.0' in the HL7 OID Registry and section 7.6.7 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

    	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @root = '1.2.36.1.2001.1007.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@root = '1.2.36.1.2001.1007.1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-78" /><xsl:text />: TC-Types-78: The instance identifier in the '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a 'root' attribute with the value '<xsl:text /><xsl:value-of select="@root" /><xsl:text />'
		which is an OID for a PCEHR Assigned Identifier - Organisation but the identifier has been omitted and needs to be included in the following arc.
		(See the entry for '1.2.36.1.2001.1007.1' in the HL7 OID Registry and section 7.6.7 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

    	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" starts-with(@root,'1.2.36.1.2001.1007.1.') and $possibly-valid-oid and not(   ((                     number(substring(string(2 * 8), 1, 1)) + number(substring(string(2 * 8), 2, 1)) +                     0 +                     2 * 0 +                     3 +                     number(substring(string(2 * 6), 1, 1)) + number(substring(string(2 * 6), 2, 1)) +                     number(substring(substring-after(@root, '80036'), 1, 1)) +                     number(substring(string(2 * substring(substring-after(@root, '80036'), 2, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 2, 1))), 1)) +                     number(substring(string(number(substring(substring-after(@root, '80036'), 2, 1)) div 5), 1, 1)) +                     number(substring(substring-after(@root, '80036'), 3, 1)) +                     number(substring(string(2 * substring(substring-after(@root, '80036'), 4, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 4, 1))), 1)) +                     number(substring(string(number(substring(substring-after(@root, '80036'), 4, 1)) div 5), 1, 1)) +                     number(substring(substring-after(@root, '80036'), 5, 1)) +                     number(substring(string(2 * substring(substring-after(@root, '80036'), 6, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 6, 1))), 1)) +                     number(substring(string(number(substring(substring-after(@root, '80036'), 6, 1)) div 5), 1, 1)) +                     number(substring(substring-after(@root, '80036'), 7, 1)) +                     number(substring(string(2 * substring(substring-after(@root, '80036'), 8, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 8, 1))), 1)) +                     number(substring(string(number(substring(substring-after(@root, '80036'), 8, 1)) div 5), 1, 1)) +                     number(substring(substring-after(@root, '80036'), 9, 1)) +                     number(substring(string(2 * substring(substring-after(@root, '80036'),10, 1)), string-length(string(2 * substring(substring-after(@root, '80036'),10, 1))), 1)) +                     number(substring(string(number(substring(substring-after(@root, '80036'),10, 1)) div 5), 1, 1)) +                     number(substring(substring-after(@root, '80036'), 11, 1))                 ) mod 10 = 0)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="starts-with(@root,'1.2.36.1.2001.1007.1.') and $possibly-valid-oid and not( (( number(substring(string(2 * 8), 1, 1)) + number(substring(string(2 * 8), 2, 1)) + 0 + 2 * 0 + 3 + number(substring(string(2 * 6), 1, 1)) + number(substring(string(2 * 6), 2, 1)) + number(substring(substring-after(@root, '80036'), 1, 1)) + number(substring(string(2 * substring(substring-after(@root, '80036'), 2, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 2, 1))), 1)) + number(substring(string(number(substring(substring-after(@root, '80036'), 2, 1)) div 5), 1, 1)) + number(substring(substring-after(@root, '80036'), 3, 1)) + number(substring(string(2 * substring(substring-after(@root, '80036'), 4, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 4, 1))), 1)) + number(substring(string(number(substring(substring-after(@root, '80036'), 4, 1)) div 5), 1, 1)) + number(substring(substring-after(@root, '80036'), 5, 1)) + number(substring(string(2 * substring(substring-after(@root, '80036'), 6, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 6, 1))), 1)) + number(substring(string(number(substring(substring-after(@root, '80036'), 6, 1)) div 5), 1, 1)) + number(substring(substring-after(@root, '80036'), 7, 1)) + number(substring(string(2 * substring(substring-after(@root, '80036'), 8, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 8, 1))), 1)) + number(substring(string(number(substring(substring-after(@root, '80036'), 8, 1)) div 5), 1, 1)) + number(substring(substring-after(@root, '80036'), 9, 1)) + number(substring(string(2 * substring(substring-after(@root, '80036'),10, 1)), string-length(string(2 * substring(substring-after(@root, '80036'),10, 1))), 1)) + number(substring(string(number(substring(substring-after(@root, '80036'),10, 1)) div 5), 1, 1)) + number(substring(substring-after(@root, '80036'), 11, 1)) ) mod 10 = 0))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-78" /><xsl:text />: TC-Types-78: The instance identifier in the '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a 'root' attribute with the value '<xsl:text /><xsl:value-of select="@root" /><xsl:text />' which is an OID for a PCEHR Assigned Identifier - Organisation but does not meet the
		 requirement for the arc following '1.2.36.1.2001.1007.1' to contain a check digit calculated according to the Luhn algorithm.
		(See the entry for '1.2.36.1.2001.1007.1' in the HL7 OID Registry and section 7.6.7 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

    	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" starts-with(@root,'1.2.36.1.2001.1007.1.') and @extension ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="starts-with(@root,'1.2.36.1.2001.1007.1.') and @extension">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-78" /><xsl:text />: TC-Types-78: The instance identifier in the '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a 'root' attribute with the value '<xsl:text /><xsl:value-of select="@root" /><xsl:text />'
		and an 'extension' attribute with the value '<xsl:text /><xsl:value-of select="@extension" /><xsl:text />' however an instance identifier containing a PCEHR Assigned Identifier - Organisation needs to have the
		identifier in the root and extension must be omitted. (See the entry for '1.2.36.1.2001.1007.1' in the HL7 OID Registry and section 7.6.7 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

    	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @root = '1.2.36.1.2001.1007.4' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@root = '1.2.36.1.2001.1007.4'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-111" /><xsl:text />: TC-Types-111: The instance identifier in the '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a 'root' attribute with the value '<xsl:text /><xsl:value-of select="@root" /><xsl:text />' which is an OID for a Care Agency Employee Identifier but the identifier has been
		omitted and needs to be included in the following arc. (See section 7.6.7 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

    	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" starts-with(@root,'1.2.36.1.2001.1007.4.9') and not(string-length(@root) = 37 and translate(@root, '0123456789.', '') = '') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="starts-with(@root,'1.2.36.1.2001.1007.4.9') and not(string-length(@root) = 37 and translate(@root, '0123456789.', '') = '')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-111" /><xsl:text />: TC-Types-111: The instance identifier in the '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a 'root' attribute with the value '<xsl:text /><xsl:value-of select="@root" /><xsl:text />' which is an OID for a Care Agency Employee Identifier but does not meet the
		requirement for there to be only one arc following '1.2.36.1.2001.1007.4' and for that arc to be an identifier consisting of a numeric string of sixteen digits commencing with '9'.
		(See section 7.6.7 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

    	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" starts-with(@root,'1.2.36.1.2001.1007.4.9.') and @extension ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="starts-with(@root,'1.2.36.1.2001.1007.4.9.') and @extension">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-111" /><xsl:text />: TC-Types-111: The instance identifier in the '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a 'root' attribute with the value '<xsl:text /><xsl:value-of select="@root" /><xsl:text />'
		and an 'extension' attribute with the value '<xsl:text /><xsl:value-of select="@extension" /><xsl:text />' however an instance identifier containing a Care Agency Employee Identifier needs to have the identifier in
		the root and extension must be omitted. (See section 7.6.7 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

    	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @root = '1.2.36.1.2001.1007.10' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@root = '1.2.36.1.2001.1007.10'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-79" /><xsl:text />: TC-Types-79: The instance identifier in the '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a 'root' attribute with the value '<xsl:text /><xsl:value-of select="@root" /><xsl:text />'
		which is an OID for a PCEHR Assigned Identifier - Repository but the identifier has been omitted and needs to be included in the following arc.
		(See the entry for '1.2.36.1.2001.1007.10' in the HL7 OID Registry and section 7.6.7 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

    	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" starts-with(@root,'1.2.36.1.2001.1007.10.') and $possibly-valid-oid and not(   ((                     number(substring(string(2 * 8), 1, 1)) + number(substring(string(2 * 8), 2, 1)) +                     0 +                     2 * 0 +                     3 +                     number(substring(string(2 * 6), 1, 1)) + number(substring(string(2 * 6), 2, 1)) +                     number(substring(substring-after(@root, '80036'), 1, 1)) +                     number(substring(string(2 * substring(substring-after(@root, '80036'), 2, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 2, 1))), 1)) +                     number(substring(string(number(substring(substring-after(@root, '80036'), 2, 1)) div 5), 1, 1)) +                     number(substring(substring-after(@root, '80036'), 3, 1)) +                     number(substring(string(2 * substring(substring-after(@root, '80036'), 4, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 4, 1))), 1)) +                     number(substring(string(number(substring(substring-after(@root, '80036'), 4, 1)) div 5), 1, 1)) +                     number(substring(substring-after(@root, '80036'), 5, 1)) +                     number(substring(string(2 * substring(substring-after(@root, '80036'), 6, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 6, 1))), 1)) +                     number(substring(string(number(substring(substring-after(@root, '80036'), 6, 1)) div 5), 1, 1)) +                     number(substring(substring-after(@root, '80036'), 7, 1)) +                     number(substring(string(2 * substring(substring-after(@root, '80036'), 8, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 8, 1))), 1)) +                     number(substring(string(number(substring(substring-after(@root, '80036'), 8, 1)) div 5), 1, 1)) +                     number(substring(substring-after(@root, '80036'), 9, 1)) +                     number(substring(string(2 * substring(substring-after(@root, '80036'),10, 1)), string-length(string(2 * substring(substring-after(@root, '80036'),10, 1))), 1)) +                     number(substring(string(number(substring(substring-after(@root, '80036'),10, 1)) div 5), 1, 1)) +                     number(substring(substring-after(@root, '80036'), 11, 1))                 ) mod 10 = 0)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="starts-with(@root,'1.2.36.1.2001.1007.10.') and $possibly-valid-oid and not( (( number(substring(string(2 * 8), 1, 1)) + number(substring(string(2 * 8), 2, 1)) + 0 + 2 * 0 + 3 + number(substring(string(2 * 6), 1, 1)) + number(substring(string(2 * 6), 2, 1)) + number(substring(substring-after(@root, '80036'), 1, 1)) + number(substring(string(2 * substring(substring-after(@root, '80036'), 2, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 2, 1))), 1)) + number(substring(string(number(substring(substring-after(@root, '80036'), 2, 1)) div 5), 1, 1)) + number(substring(substring-after(@root, '80036'), 3, 1)) + number(substring(string(2 * substring(substring-after(@root, '80036'), 4, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 4, 1))), 1)) + number(substring(string(number(substring(substring-after(@root, '80036'), 4, 1)) div 5), 1, 1)) + number(substring(substring-after(@root, '80036'), 5, 1)) + number(substring(string(2 * substring(substring-after(@root, '80036'), 6, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 6, 1))), 1)) + number(substring(string(number(substring(substring-after(@root, '80036'), 6, 1)) div 5), 1, 1)) + number(substring(substring-after(@root, '80036'), 7, 1)) + number(substring(string(2 * substring(substring-after(@root, '80036'), 8, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 8, 1))), 1)) + number(substring(string(number(substring(substring-after(@root, '80036'), 8, 1)) div 5), 1, 1)) + number(substring(substring-after(@root, '80036'), 9, 1)) + number(substring(string(2 * substring(substring-after(@root, '80036'),10, 1)), string-length(string(2 * substring(substring-after(@root, '80036'),10, 1))), 1)) + number(substring(string(number(substring(substring-after(@root, '80036'),10, 1)) div 5), 1, 1)) + number(substring(substring-after(@root, '80036'), 11, 1)) ) mod 10 = 0))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-79" /><xsl:text />: TC-Types-79: The instance identifier in the '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a 'root' attribute with the value '<xsl:text /><xsl:value-of select="@root" /><xsl:text />' which is an OID for a PCEHR Assigned Identifier - Repository but does not meet the
		requirement for the arc following '1.2.36.1.2001.1007.10' to contain a check digit calculated according to the Luhn algorithm.
		(See the entry for '1.2.36.1.2001.1007.10' in the HL7 OID Registry and section 7.6.7 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

    	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" starts-with(@root,'1.2.36.1.2001.1007.10.') and @extension ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="starts-with(@root,'1.2.36.1.2001.1007.10.') and @extension">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-79" /><xsl:text />: TC-Types-79: The instance identifier in the '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a 'root' attribute with the value '<xsl:text /><xsl:value-of select="@root" /><xsl:text />' and an 'extension' attribute with the value '<xsl:text /><xsl:value-of select="@extension" /><xsl:text />' however
		an instance identifier containing a PCEHR Assigned Identifier - Repository needs to have the identifier in the root and extension must be omitted.
		(See the entry for '1.2.36.1.2001.1007.10' in the HL7 OID Registry and section 7.6.7 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

    	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @root = '1.2.36.1.2001.1007.11' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@root = '1.2.36.1.2001.1007.11'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-80" /><xsl:text />: TC-Types-80: The instance identifier in the '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a 'root' attribute with the value '<xsl:text /><xsl:value-of select="@root" /><xsl:text />'
		which is an OID for a PCEHR Assigned Identifier - Delegated Repository but the identifier has been omitted and needs to be included in the following arc.
		(See the entry for '1.2.36.1.2001.1007.11' in the HL7 OID Registry and section 7.6.7 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

    	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" starts-with(@root,'1.2.36.1.2001.1007.11.') and $possibly-valid-oid and not(   string-length(substring(@root, 40)) &gt; 0 and    ((                     number(substring(string(2 * 8), 1, 1)) + number(substring(string(2 * 8), 2, 1)) +                     0 +                     2 * 0 +                     3 +                     number(substring(string(2 * 6), 1, 1)) + number(substring(string(2 * 6), 2, 1)) +                     number(substring(substring-after(@root, '80036'), 1, 1)) +                     number(substring(string(2 * substring(substring-after(@root, '80036'), 2, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 2, 1))), 1)) +                     number(substring(string(number(substring(substring-after(@root, '80036'), 2, 1)) div 5), 1, 1)) +                     number(substring(substring-after(@root, '80036'), 3, 1)) +                     number(substring(string(2 * substring(substring-after(@root, '80036'), 4, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 4, 1))), 1)) +                     number(substring(string(number(substring(substring-after(@root, '80036'), 4, 1)) div 5), 1, 1)) +                     number(substring(substring-after(@root, '80036'), 5, 1)) +                     number(substring(string(2 * substring(substring-after(@root, '80036'), 6, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 6, 1))), 1)) +                     number(substring(string(number(substring(substring-after(@root, '80036'), 6, 1)) div 5), 1, 1)) +                     number(substring(substring-after(@root, '80036'), 7, 1)) +                     number(substring(string(2 * substring(substring-after(@root, '80036'), 8, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 8, 1))), 1)) +                     number(substring(string(number(substring(substring-after(@root, '80036'), 8, 1)) div 5), 1, 1)) +                     number(substring(substring-after(@root, '80036'), 9, 1)) +                     number(substring(string(2 * substring(substring-after(@root, '80036'),10, 1)), string-length(string(2 * substring(substring-after(@root, '80036'),10, 1))), 1)) +                     number(substring(string(number(substring(substring-after(@root, '80036'),10, 1)) div 5), 1, 1)) +                     number(substring(substring-after(@root, '80036'), 11, 1))                 ) mod 10 = 0)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="starts-with(@root,'1.2.36.1.2001.1007.11.') and $possibly-valid-oid and not( string-length(substring(@root, 40)) &gt; 0 and (( number(substring(string(2 * 8), 1, 1)) + number(substring(string(2 * 8), 2, 1)) + 0 + 2 * 0 + 3 + number(substring(string(2 * 6), 1, 1)) + number(substring(string(2 * 6), 2, 1)) + number(substring(substring-after(@root, '80036'), 1, 1)) + number(substring(string(2 * substring(substring-after(@root, '80036'), 2, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 2, 1))), 1)) + number(substring(string(number(substring(substring-after(@root, '80036'), 2, 1)) div 5), 1, 1)) + number(substring(substring-after(@root, '80036'), 3, 1)) + number(substring(string(2 * substring(substring-after(@root, '80036'), 4, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 4, 1))), 1)) + number(substring(string(number(substring(substring-after(@root, '80036'), 4, 1)) div 5), 1, 1)) + number(substring(substring-after(@root, '80036'), 5, 1)) + number(substring(string(2 * substring(substring-after(@root, '80036'), 6, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 6, 1))), 1)) + number(substring(string(number(substring(substring-after(@root, '80036'), 6, 1)) div 5), 1, 1)) + number(substring(substring-after(@root, '80036'), 7, 1)) + number(substring(string(2 * substring(substring-after(@root, '80036'), 8, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 8, 1))), 1)) + number(substring(string(number(substring(substring-after(@root, '80036'), 8, 1)) div 5), 1, 1)) + number(substring(substring-after(@root, '80036'), 9, 1)) + number(substring(string(2 * substring(substring-after(@root, '80036'),10, 1)), string-length(string(2 * substring(substring-after(@root, '80036'),10, 1))), 1)) + number(substring(string(number(substring(substring-after(@root, '80036'),10, 1)) div 5), 1, 1)) + number(substring(substring-after(@root, '80036'), 11, 1)) ) mod 10 = 0))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-80" /><xsl:text />: TC-Types-80: The instance identifier in the '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a 'root' attribute with the value '<xsl:text /><xsl:value-of select="@root" /><xsl:text />' which is an OID for a PCEHR Assigned Identifier - Delegated Repository but does not
		meet the requirement for the arc following '1.2.36.1.2001.1007.11' to be an identifier with a check digit calculated according to the Luhn algorithm, followed by another arc.
		(See the entry for '1.2.36.1.2001.1007.11' in the HL7 OID Registry and section 7.6.7 of ISO 21090 'Health informatics - Harmonized data types for information interchange')

    	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" starts-with(@root,'1.2.36.1.2001.1007.11.') and @extension ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="starts-with(@root,'1.2.36.1.2001.1007.11.') and @extension">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-80" /><xsl:text />: TC-Types-80: The instance identifier in the '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a 'root' attribute with the value '<xsl:text /><xsl:value-of select="@root" /><xsl:text />' and an 'extension' attribute with the value '<xsl:text /><xsl:value-of select="@extension" /><xsl:text />' however
		an instance identifier containing a PCEHR Assigned Identifier - Delegated Repository needs to have the identifier in the root and extension must be omitted.
		(See the entry for '1.2.36.1.2001.1007.11' in the HL7 OID Registry and section 7.6.7 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

    	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @root = '1.2.36.1.2001.1007.20' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@root = '1.2.36.1.2001.1007.20'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-81" /><xsl:text />: TC-Types-81: The instance identifier in the '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a 'root' attribute with the value '<xsl:text /><xsl:value-of select="@root" /><xsl:text />' which is an OID for a PCEHR Assigned Identifier - Device but the identifier has been
		omitted and needs to be included in the following arc. (See the entry for '1.2.36.1.2001.1007.20' in the HL7 OID Registry and section 7.6.7 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

    	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" starts-with(@root,'1.2.36.1.2001.1007.20.') and $possibly-valid-oid and not(   ((                     number(substring(string(2 * 8), 1, 1)) + number(substring(string(2 * 8), 2, 1)) +                     0 +                     2 * 0 +                     3 +                     number(substring(string(2 * 6), 1, 1)) + number(substring(string(2 * 6), 2, 1)) +                     number(substring(substring-after(@root, '80036'), 1, 1)) +                     number(substring(string(2 * substring(substring-after(@root, '80036'), 2, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 2, 1))), 1)) +                     number(substring(string(number(substring(substring-after(@root, '80036'), 2, 1)) div 5), 1, 1)) +                     number(substring(substring-after(@root, '80036'), 3, 1)) +                     number(substring(string(2 * substring(substring-after(@root, '80036'), 4, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 4, 1))), 1)) +                     number(substring(string(number(substring(substring-after(@root, '80036'), 4, 1)) div 5), 1, 1)) +                     number(substring(substring-after(@root, '80036'), 5, 1)) +                     number(substring(string(2 * substring(substring-after(@root, '80036'), 6, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 6, 1))), 1)) +                     number(substring(string(number(substring(substring-after(@root, '80036'), 6, 1)) div 5), 1, 1)) +                     number(substring(substring-after(@root, '80036'), 7, 1)) +                     number(substring(string(2 * substring(substring-after(@root, '80036'), 8, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 8, 1))), 1)) +                     number(substring(string(number(substring(substring-after(@root, '80036'), 8, 1)) div 5), 1, 1)) +                     number(substring(substring-after(@root, '80036'), 9, 1)) +                     number(substring(string(2 * substring(substring-after(@root, '80036'),10, 1)), string-length(string(2 * substring(substring-after(@root, '80036'),10, 1))), 1)) +                     number(substring(string(number(substring(substring-after(@root, '80036'),10, 1)) div 5), 1, 1)) +                     number(substring(substring-after(@root, '80036'), 11, 1))                 ) mod 10 = 0)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="starts-with(@root,'1.2.36.1.2001.1007.20.') and $possibly-valid-oid and not( (( number(substring(string(2 * 8), 1, 1)) + number(substring(string(2 * 8), 2, 1)) + 0 + 2 * 0 + 3 + number(substring(string(2 * 6), 1, 1)) + number(substring(string(2 * 6), 2, 1)) + number(substring(substring-after(@root, '80036'), 1, 1)) + number(substring(string(2 * substring(substring-after(@root, '80036'), 2, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 2, 1))), 1)) + number(substring(string(number(substring(substring-after(@root, '80036'), 2, 1)) div 5), 1, 1)) + number(substring(substring-after(@root, '80036'), 3, 1)) + number(substring(string(2 * substring(substring-after(@root, '80036'), 4, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 4, 1))), 1)) + number(substring(string(number(substring(substring-after(@root, '80036'), 4, 1)) div 5), 1, 1)) + number(substring(substring-after(@root, '80036'), 5, 1)) + number(substring(string(2 * substring(substring-after(@root, '80036'), 6, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 6, 1))), 1)) + number(substring(string(number(substring(substring-after(@root, '80036'), 6, 1)) div 5), 1, 1)) + number(substring(substring-after(@root, '80036'), 7, 1)) + number(substring(string(2 * substring(substring-after(@root, '80036'), 8, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 8, 1))), 1)) + number(substring(string(number(substring(substring-after(@root, '80036'), 8, 1)) div 5), 1, 1)) + number(substring(substring-after(@root, '80036'), 9, 1)) + number(substring(string(2 * substring(substring-after(@root, '80036'),10, 1)), string-length(string(2 * substring(substring-after(@root, '80036'),10, 1))), 1)) + number(substring(string(number(substring(substring-after(@root, '80036'),10, 1)) div 5), 1, 1)) + number(substring(substring-after(@root, '80036'), 11, 1)) ) mod 10 = 0))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-81" /><xsl:text />: TC-Types-81: The instance identifier in the '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a 'root' attribute with the value '<xsl:text /><xsl:value-of select="@root" /><xsl:text />' which is an OID for a PCEHR Assigned Identifier - Device but does not meet the
		requirement for the arc following '1.2.36.1.2001.1007.10' to be an identifier with a check digit calculated according to the Luhn algorithm.
		(See the entry for '1.2.36.1.2001.1007.20' in the HL7 OID Registry and section 7.6.7 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

    	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" starts-with(@root,'1.2.36.1.2001.1007.20.') and @extension ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="starts-with(@root,'1.2.36.1.2001.1007.20.') and @extension">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-81" /><xsl:text />: TC-Types-81: The instance identifier in the '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a 'root' attribute with the value '<xsl:text /><xsl:value-of select="@root" /><xsl:text />' and an 'extension' attribute with the value '<xsl:text /><xsl:value-of select="@extension" /><xsl:text />' however an
		instance identifier containing a PCEHR Assigned Identifier - Device needs to have the identifier in the root and extension must be omitted.
		(See the entry for '1.2.36.1.2001.1007.20' in the HL7 OID Registry and section 7.6.7 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

    	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @root = ('1.2.36.1.2001.1005.29', '1.2.36.1.2001.1005.41') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@root = ('1.2.36.1.2001.1005.29', '1.2.36.1.2001.1005.41')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-82" /><xsl:text />: TC-Types-82<xsl:text /><xsl:value-of select="$tc-types-82-test-step" /><xsl:text />: The instance identifier in the data element
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a 'root' attribute with the value '<xsl:text /><xsl:value-of select="@root" /><xsl:text />' which is an OID for an HPI-O based local identifier but the HPI-O has been omitted
		and needs to be included in the following arc. (See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' section 2.4.10 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023876 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023876 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.10 of the Common Conformance Profile for Clinical Documents v1.4 and '         else ' ' " /><xsl:text />section 7.6.7 of
		ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

    	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @root = ('1.2.36.1.2001.1005.70', '1.2.36.1.2001.1005.71') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@root = ('1.2.36.1.2001.1005.70', '1.2.36.1.2001.1005.71')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-73" /><xsl:text />: TC-Types-73: The instance identifier in the data element
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a 'root' attribute with the value '<xsl:text /><xsl:value-of select="@root" /><xsl:text />' which is an OID for an Australian Company Number (ACN) or Australian Business
		Number (ABN) based local identifier but the ACN or ABN has been omitted
		and needs to be included in the following arc. (See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' section 2.4.10 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023876 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023876 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.10 of the Common Conformance Profile for Clinical Documents v1.4 and '         else ' ' " /><xsl:text />section 7.6.7 of
		ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

    	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="    (    starts-with(@root,'1.2.36.1.2001.1005.29.') or     starts-with(@root,'1.2.36.1.2001.1005.41.')     ) and @extension and normalize-space(@extension) = '' and local-name(..) = 'asEntityIdentifier' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="( starts-with(@root,'1.2.36.1.2001.1005.29.') or starts-with(@root,'1.2.36.1.2001.1005.41.') ) and @extension and normalize-space(@extension) = '' and local-name(..) = 'asEntityIdentifier'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-82" /><xsl:text />: TC-Types-82<xsl:text /><xsl:value-of select="$tc-types-82-test-step" /><xsl:text />: The instance identifier in the data element
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with a root attribute with the value '<xsl:text /><xsl:value-of select="@root" /><xsl:text />' has an extension attribute that is a null string instead of the local identifier. If the
		local identifier is not known then omit the extension and include a nullFlavor attribute or omit the instance identifier.
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' section 2.4.10 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023876 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023876 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.10 of the Common Conformance Profile for Clinical Documents v1.4 and '         else ' ' " /><xsl:text />section 7.6.7 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'.)

    	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" starts-with(@root,'1.2.36.1.2001.1005.70.0') or starts-with(@root,'1.2.36.1.2001.1005.71.0') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="starts-with(@root,'1.2.36.1.2001.1005.70.0') or starts-with(@root,'1.2.36.1.2001.1005.71.0')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The instance identifier in the data element
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a root attribute with the value '<xsl:text /><xsl:value-of select="@root" /><xsl:text />' which contains an arc commencing with '0'. The identifier
		<xsl:text /><xsl:value-of select="if (starts-with(@root,'1.2.36.1.2001.1005.70.0')) then '1.2.36.1.2001.1005.70' else '1.2.36.1.2001.1005.71' " /><xsl:text />
		must be followed by a Australian Business Number or Australian Company Number excluding leading zeroes.
		To be a valid Object Identifier (OID) no arc after the first one may commence with '0'.
		(See information about OID registration in the HL7 OID registry http://www.hl7.org/oid/index.cfm and ITU-T X.667 'Procedures for the operation of OSI Registration Authorities'.)

    	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="    (    starts-with(@root,'1.2.36.1.2001.1005.70.') or     starts-with(@root,'1.2.36.1.2001.1005.71.')    ) and @extension and normalize-space(@extension) = '' and local-name(..) = 'asEntityIdentifier' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="( starts-with(@root,'1.2.36.1.2001.1005.70.') or starts-with(@root,'1.2.36.1.2001.1005.71.') ) and @extension and normalize-space(@extension) = '' and local-name(..) = 'asEntityIdentifier'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The instance identifier in the data element
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with a root attribute with the value '<xsl:text /><xsl:value-of select="@root" /><xsl:text />' has an extension attribute that is a null string instead of the local identifier. If the
		local identifier is not known then the extension must be omitted and a nullFlavor attribute included to indicate why a proper value is not provided, otherwise the instance identifier may be omitted.
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' section 2.4.10 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023876 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023876 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.10 of the Common Conformance Profile for Clinical Documents v1.4 and '         else ' ' " /><xsl:text />section 7.6.7 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange' and sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

    	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="    (    starts-with(@root,'1.2.36.1.2001.1005.29.') or     starts-with(@root,'1.2.36.1.2001.1005.41.')    ) and not(@extension or @nullFlavor) and local-name(..) = 'asEntityIdentifier' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="( starts-with(@root,'1.2.36.1.2001.1005.29.') or starts-with(@root,'1.2.36.1.2001.1005.41.') ) and not(@extension or @nullFlavor) and local-name(..) = 'asEntityIdentifier'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-82" /><xsl:text />: TC-Types-82<xsl:text /><xsl:value-of select="$tc-types-82-test-step" /><xsl:text />: The instance identifier in the data element
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with a root attribute with the value '<xsl:text /><xsl:value-of select="@root" /><xsl:text />' has no extension or nullFlavor attribute, but it must contain an extension attribute with
		the local identifier or a nullFlavor attribute. (See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' section 2.4.10 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023876 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023876 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.10 of the Common Conformance Profile for Clinical Documents v1.4 and '         else ' ' " /><xsl:text />section 7.6.7 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.)

    	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="    (    starts-with(@root,'1.2.36.1.2001.1005.70.') or     starts-with(@root,'1.2.36.1.2001.1005.71.')   ) and not(@extension or @nullFlavor) and local-name(..) = 'asEntityIdentifier' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="( starts-with(@root,'1.2.36.1.2001.1005.70.') or starts-with(@root,'1.2.36.1.2001.1005.71.') ) and not(@extension or @nullFlavor) and local-name(..) = 'asEntityIdentifier'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The instance identifier in the data element
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with a root attribute with the value '<xsl:text /><xsl:value-of select="@root" /><xsl:text />' has no extension or nullFlavor attribute, but it must contain an extension attribute with
		the local identifier or a nullFlavor attribute such as "INV" (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = 'INV']/@name" /><xsl:text /> to indicate a proper value is not provided.
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' section 2.4.10 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023876 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023876 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.10 of the Common Conformance Profile for Clinical Documents v1.4 and '         else ' ' " /><xsl:text />section 7.6.7 of ISO 21090
		'Health informatics - Harmonized data types for information interchange' and sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

    	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="    (    starts-with(@root,'1.2.36.1.2001.1005.29.') or     starts-with(@root,'1.2.36.1.2001.1005.41.')   ) and $possibly-valid-oid and not(   ((                     number(substring(string(2 * 8), 1, 1)) + number(substring(string(2 * 8), 2, 1)) +                     0 +                     2 * 0 +                     3 +                     number(substring(string(2 * 6), 1, 1)) + number(substring(string(2 * 6), 2, 1)) +                     number(substring(substring-after(@root, '80036'), 1, 1)) +                     number(substring(string(2 * substring(substring-after(@root, '80036'), 2, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 2, 1))), 1)) +                     number(substring(string(number(substring(substring-after(@root, '80036'), 2, 1)) div 5), 1, 1)) +                     number(substring(substring-after(@root, '80036'), 3, 1)) +                     number(substring(string(2 * substring(substring-after(@root, '80036'), 4, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 4, 1))), 1)) +                     number(substring(string(number(substring(substring-after(@root, '80036'), 4, 1)) div 5), 1, 1)) +                     number(substring(substring-after(@root, '80036'), 5, 1)) +                     number(substring(string(2 * substring(substring-after(@root, '80036'), 6, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 6, 1))), 1)) +                     number(substring(string(number(substring(substring-after(@root, '80036'), 6, 1)) div 5), 1, 1)) +                     number(substring(substring-after(@root, '80036'), 7, 1)) +                     number(substring(string(2 * substring(substring-after(@root, '80036'), 8, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 8, 1))), 1)) +                     number(substring(string(number(substring(substring-after(@root, '80036'), 8, 1)) div 5), 1, 1)) +                     number(substring(substring-after(@root, '80036'), 9, 1)) +                     number(substring(string(2 * substring(substring-after(@root, '80036'),10, 1)), string-length(string(2 * substring(substring-after(@root, '80036'),10, 1))), 1)) +                     number(substring(string(number(substring(substring-after(@root, '80036'),10, 1)) div 5), 1, 1)) +                     number(substring(substring-after(@root, '80036'), 11, 1))                 ) mod 10 = 0)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="( starts-with(@root,'1.2.36.1.2001.1005.29.') or starts-with(@root,'1.2.36.1.2001.1005.41.') ) and $possibly-valid-oid and not( (( number(substring(string(2 * 8), 1, 1)) + number(substring(string(2 * 8), 2, 1)) + 0 + 2 * 0 + 3 + number(substring(string(2 * 6), 1, 1)) + number(substring(string(2 * 6), 2, 1)) + number(substring(substring-after(@root, '80036'), 1, 1)) + number(substring(string(2 * substring(substring-after(@root, '80036'), 2, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 2, 1))), 1)) + number(substring(string(number(substring(substring-after(@root, '80036'), 2, 1)) div 5), 1, 1)) + number(substring(substring-after(@root, '80036'), 3, 1)) + number(substring(string(2 * substring(substring-after(@root, '80036'), 4, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 4, 1))), 1)) + number(substring(string(number(substring(substring-after(@root, '80036'), 4, 1)) div 5), 1, 1)) + number(substring(substring-after(@root, '80036'), 5, 1)) + number(substring(string(2 * substring(substring-after(@root, '80036'), 6, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 6, 1))), 1)) + number(substring(string(number(substring(substring-after(@root, '80036'), 6, 1)) div 5), 1, 1)) + number(substring(substring-after(@root, '80036'), 7, 1)) + number(substring(string(2 * substring(substring-after(@root, '80036'), 8, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 8, 1))), 1)) + number(substring(string(number(substring(substring-after(@root, '80036'), 8, 1)) div 5), 1, 1)) + number(substring(substring-after(@root, '80036'), 9, 1)) + number(substring(string(2 * substring(substring-after(@root, '80036'),10, 1)), string-length(string(2 * substring(substring-after(@root, '80036'),10, 1))), 1)) + number(substring(string(number(substring(substring-after(@root, '80036'),10, 1)) div 5), 1, 1)) + number(substring(substring-after(@root, '80036'), 11, 1)) ) mod 10 = 0))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-82" /><xsl:text />: TC-Types-82<xsl:text /><xsl:value-of select="$tc-types-82-test-step" /><xsl:text />: The instance identifier in the data element
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a root attribute with the value '<xsl:text /><xsl:value-of select="@root" /><xsl:text />' which fails to meet the requirement for the arc following
		'<xsl:text /><xsl:value-of select="substring(@root,1,21)" /><xsl:text />'
		to be an HPI-O with a check digit calculated according to the Luhn algorithm. (See the entry for '<xsl:text /><xsl:value-of select="substring(@root,1,21)" /><xsl:text />' in the HL7 OID Registry.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $invalid-arc-value and $last-valid-oid = ('1.2.36.1.2001.1005.70', '1.2.36.1.2001.1005.71') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$invalid-arc-value and $last-valid-oid = ('1.2.36.1.2001.1005.70', '1.2.36.1.2001.1005.71')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains '<xsl:text /><xsl:value-of select="$possible-oid" /><xsl:text />' which is an invalid Object Identifier (OID) as the OID '<xsl:text /><xsl:value-of select="$last-valid-oid" /><xsl:text />' indicates the
		following arc '<xsl:text /><xsl:value-of select="$acn-abn-arc" /><xsl:text />' is an Australian Business Number (ABN) or Australian Company Number (ACN) but the arc does not have the correct length for it to be an
		ABN or ACN. An arc containing an ACN or ABN has a maximum of 11 digits whereas there are <xsl:text /><xsl:value-of select="string-length($acn-abn-arc)" /><xsl:text /> digits in the arc.
		(See the Australian Business Register https://abr.business.gov.au and the Australian Digital Health Agency which is the registration authority for '<xsl:text /><xsl:value-of select="$last-valid-oid" /><xsl:text />'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $last-valid-oid = ('1.2.36.1.2001.1005.70', '1.2.36.1.2001.1005.71') and $acn-format and not($acn-abn-arc = $known-acn-arcs)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $last-valid-oid = ('1.2.36.1.2001.1005.70', '1.2.36.1.2001.1005.71') and $acn-format and not($acn-abn-arc = $known-acn-arcs)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

                Hint<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a root attribute with the value '<xsl:text /><xsl:value-of select="$possible-oid" /><xsl:text />' which is an Object Identifier (OID) that indicates that
		'<xsl:text /><xsl:value-of select="$possible-acn" /><xsl:text />' is an Australian Company Number. Confirm that this is an actual Australian Company Number and is for the company that manages the
		namespace <xsl:text /><xsl:value-of select="if (@extension) then concat(' for the extension attribute with the value ''', @extension, '''.') else '.' " /><xsl:text />
		(See the Australian Business Register https://abr.business.gov.au and the Australian Digital Health Agency which is the registration authority for '<xsl:text /><xsl:value-of select="$last-valid-oid" /><xsl:text />'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $last-valid-oid = ('1.2.36.1.2001.1005.70', '1.2.36.1.2001.1005.71') and $abn-format and not($acn-abn-arc = $known-abn-arcs) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $last-valid-oid = ('1.2.36.1.2001.1005.70', '1.2.36.1.2001.1005.71') and $abn-format and not($acn-abn-arc = $known-abn-arcs)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

                Hint<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a root attribute with the value '<xsl:text /><xsl:value-of select="$possible-oid" /><xsl:text />' which is an Object Identifier (OID) that indicates that
		'<xsl:text /><xsl:value-of select="$possible-abn" /><xsl:text />' is an Australian Business Number. Confirm that this is an actual Australian Business Number and is for the company that manages the
		namespace <xsl:text /><xsl:value-of select="if (@extension) then concat(' for the extension attribute with the value ''', @extension, '''.') else '.' " /><xsl:text />
		(See the Australian Business Register https://abr.business.gov.au and the Australian Digital Health Agency which is the registration authority for '<xsl:text /><xsl:value-of select="$last-valid-oid" /><xsl:text />'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $last-valid-oid = ('1.2.36.1.2001.1005.70', '1.2.36.1.2001.1005.71') and $possible-business-oid and not($acn-format or $abn-format)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$last-valid-oid = ('1.2.36.1.2001.1005.70', '1.2.36.1.2001.1005.71') and $possible-business-oid and not($acn-format or $abn-format)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a root attribute with the value '<xsl:text /><xsl:value-of select="$possible-oid" /><xsl:text />' which is an Object Identifier (OID) that indicates that
		'<xsl:text /><xsl:value-of select="$acn-abn-arc" /><xsl:text />' is an Australian Business or Company Number for the organisation that manages the
		namespace <xsl:text /><xsl:value-of select="if (@extension) then concat(' for the extension attribute with the value ''', @extension, '''.') else '.' " /><xsl:text />
		However '<xsl:text /><xsl:value-of select="$acn-abn-arc" /><xsl:text />' is not a valid Australian Business Number or a
		valid Australian Company Number therefore the '<xsl:text /><xsl:value-of select="$possible-oid" /><xsl:text />' does not identify the namespace.
		(See the Australian Business Register https://abr.business.gov.au and the Australian Digital Health Agency which is the registration authority for '<xsl:text /><xsl:value-of select="$last-valid-oid" /><xsl:text />'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="    (    starts-with(@root,'1.2.36.1.2001.1005.29.') or     starts-with(@root,'1.2.36.1.2001.1005.41.')    ) and (not(@assigningAuthorityName) or normalize-space(@assigningAuthorityName) = '') and local-name(..) = 'asEntityIdentifier' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="( starts-with(@root,'1.2.36.1.2001.1005.29.') or starts-with(@root,'1.2.36.1.2001.1005.41.') ) and (not(@assigningAuthorityName) or normalize-space(@assigningAuthorityName) = '') and local-name(..) = 'asEntityIdentifier'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-82" /><xsl:text />: TC-Types-82<xsl:text /><xsl:value-of select="$tc-types-82-test-step" /><xsl:text />: The instance identifier in the data element
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a root attribute with the value '<xsl:text /><xsl:value-of select="@root" /><xsl:text />' which identifies the namespace for an
		'<xsl:text /><xsl:value-of select="if (starts-with(@root,'1.2.36.1.2001.1005.29.')) then $namespaces/namespace[@OID-prefix = '1.2.36.1.2001.1005.29']/@name    else if (starts-with(@root,'1.2.36.1.2001.1005.41.')) then $namespaces/namespace[@OID-prefix = '1.2.36.1.2001.1005.41']/@name else '' " /><xsl:text />'. This does not meet the requirement for the
		assigningAuthorityName to be present and have a value that is the name of the organisation that maintains the local identifier.
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' section 2.4.10 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023876 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023876 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.10 of the Common Conformance Profile for Clinical Documents v1.4 and '         else ' ' " /><xsl:text />section 7.6.7 of ISO 21090 'Health
		informatics - Harmonized data types for information interchange'.)

    	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="    (    starts-with(@root,'1.2.36.1.2001.1005.70.') or     starts-with(@root,'1.2.36.1.2001.1005.71.')   ) and (not(@assigningAuthorityName) or normalize-space(@assigningAuthorityName) = '') and local-name(..) = 'asEntityIdentifier' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="( starts-with(@root,'1.2.36.1.2001.1005.70.') or starts-with(@root,'1.2.36.1.2001.1005.71.') ) and (not(@assigningAuthorityName) or normalize-space(@assigningAuthorityName) = '') and local-name(..) = 'asEntityIdentifier'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The instance identifier in the data element
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a root attribute with the value '<xsl:text /><xsl:value-of select="@root" /><xsl:text />' which identifies the namespace for an
		'<xsl:text /><xsl:value-of select="if (starts-with(@root,'1.2.36.1.2001.1005.70.')) then $namespaces/namespace[@OID-prefix = '1.2.36.1.2001.1005.70']/@name   else if (starts-with(@root,'1.2.36.1.2001.1005.71.')) then $namespaces/namespace[@OID-prefix = '1.2.36.1.2001.1005.71']/@name else '' " /><xsl:text />'. This does not meet the requirement for the
		assigningAuthorityName to be present and have a value that is the name of the organisation that maintains the local identifier.
		(See<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then ' section 2.4.10 of the Common Conformance Profile for Clinical Documents v1.7 and '         else if ($doc-common-conf-profile = '1.6')           then ' requirement 023876 of the Common Conformance Profile for Clinical Documents v1.6 and '         else if ($doc-common-conf-profile = '1.5')           then ' requirement 023876 of the Common Conformance Profile for Clinical Documents v1.5 and '         else if ($doc-common-conf-profile = '1.4')           then ' section 3.4.10 of the Common Conformance Profile for Clinical Documents v1.4 and '         else ' ' " /><xsl:text />section 7.6.7 of ISO 21090 'Health
		informatics - Harmonized data types for information interchange'.)

    	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="    (    starts-with(@root,'1.2.36.1.2001.1005.29.') or     starts-with(@root,'1.2.36.1.2001.1005.41.')     ) and not(local-name(..) = 'asEntityIdentifier') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="( starts-with(@root,'1.2.36.1.2001.1005.29.') or starts-with(@root,'1.2.36.1.2001.1005.41.') ) and not(local-name(..) = 'asEntityIdentifier')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-82" /><xsl:text />: TC-Types-82<xsl:text /><xsl:value-of select="$tc-types-82-test-step" /><xsl:text />: The instance identifier in the data element
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a root attribute with the value '<xsl:text /><xsl:value-of select="@root" /><xsl:text />' which identifies the namespace for
		'<xsl:text /><xsl:value-of select="if (starts-with(@root,'1.2.36.1.2001.1005.29.')) then $namespaces/namespace[@OID-prefix = '1.2.36.1.2001.1005.29']/@name    else $namespaces/namespace[@OID-prefix = '1.2.36.1.2001.1005.41']/@name" /><xsl:text />'. An instance identifier with this value for the
		root attribute is used to identify a person so can only be used within an Entity Identifier.
		<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then '(See section 2.4.10 of the Common Conformance Profile for Clinical Documents v1.7.)'         else if ($doc-common-conf-profile = '1.6')           then '(See requirement 023876 of the Common Conformance Profile for Clinical Documents v1.6.)'         else if ($doc-common-conf-profile = '1.5')           then '(See requirement 023876 of the Common Conformance Profile for Clinical Documents v1.5.)'         else if ($doc-common-conf-profile = '1.4')           then '(See section 3.4.10 of the Common Conformance Profile for Clinical Documents v1.4.)'         else '' " /><xsl:text /> A different value for the root attribute must be used for the
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element.

    	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="    (    starts-with(@root,'1.2.36.1.2001.1005.70.') or     starts-with(@root,'1.2.36.1.2001.1005.71.')     ) and not(local-name(..) = 'asEntityIdentifier') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="( starts-with(@root,'1.2.36.1.2001.1005.70.') or starts-with(@root,'1.2.36.1.2001.1005.71.') ) and not(local-name(..) = 'asEntityIdentifier')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The instance identifier in the data element
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a root attribute with the value '<xsl:text /><xsl:value-of select="@root" /><xsl:text />' which identifies the namespace for an
		'<xsl:text /><xsl:value-of select="if (starts-with(@root,'1.2.36.1.2001.1005.70.')) then $namespaces/namespace[@OID-prefix = '1.2.36.1.2001.1005.70']/@name    else $namespaces/namespace[@OID-prefix = '1.2.36.1.2001.1005.71']/@name" /><xsl:text />'. An instance identifier with this value for the
		root attribute is used to identify a person so can only be used within an Entity Identifier.
		<xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then '(See section 2.4.10 of the Common Conformance Profile for Clinical Documents v1.7.)'         else if ($doc-common-conf-profile = '1.6')           then '(See requirement 023876 of the Common Conformance Profile for Clinical Documents v1.6.)'         else if ($doc-common-conf-profile = '1.5')           then '(See requirement 023876 of the Common Conformance Profile for Clinical Documents v1.5.)'         else if ($doc-common-conf-profile = '1.4')           then '(See section 3.4.10 of the Common Conformance Profile for Clinical Documents v1.4.)'         else '' " /><xsl:text /> A different value for the root attribute must be used for the
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element.

    	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="    (    starts-with(@root,'1.2.36.1.2001.1005.29.') or     starts-with(@root,'1.2.36.1.2001.1005.41.')     ) and local-name(..) = 'asEntityIdentifier' and not(../ext:code) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="( starts-with(@root,'1.2.36.1.2001.1005.29.') or starts-with(@root,'1.2.36.1.2001.1005.41.') ) and local-name(..) = 'asEntityIdentifier' and not(../ext:code)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-82" /><xsl:text />: TC-Types-82<xsl:text /><xsl:value-of select="$tc-types-82-test-step" /><xsl:text />: The instance identifier in the data element
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a root attribute with the value '<xsl:text /><xsl:value-of select="@root" /><xsl:text />' which identifies the namespace for
		'<xsl:text /><xsl:value-of select="if (starts-with(@root,'1.2.36.1.2001.1005.29.')) then $namespaces/namespace[@OID-prefix = '1.2.36.1.2001.1005.29']/@name    else $namespaces/namespace[@OID-prefix = '1.2.36.1.2001.1005.41']/@name" /><xsl:text />'. This does not meet the requirement for the instance identifier to be contained with an Entity Identifier
		with a code element. <xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then '(See section 2.4.10 of the Common Conformance Profile for Clinical Documents v1.7.)'         else if ($doc-common-conf-profile = '1.6')           then '(See requirement 023876 of the Common Conformance Profile for Clinical Documents v1.6.)'         else if ($doc-common-conf-profile = '1.5')           then '(See requirement 023876 of the Common Conformance Profile for Clinical Documents v1.5.)'         else if ($doc-common-conf-profile = '1.4')           then '(See section 3.4.10 of the Common Conformance Profile for Clinical Documents v1.4.)'         else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="    (    starts-with(@root,'1.2.36.1.2001.1005.70.') or     starts-with(@root,'1.2.36.1.2001.1005.71.')     ) and local-name(..) = 'asEntityIdentifier' and not(../ext:code) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="( starts-with(@root,'1.2.36.1.2001.1005.70.') or starts-with(@root,'1.2.36.1.2001.1005.71.') ) and local-name(..) = 'asEntityIdentifier' and not(../ext:code)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The instance identifier in the data element
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a root attribute with the value '<xsl:text /><xsl:value-of select="@root" /><xsl:text />' which identifies the namespace for an
		'<xsl:text /><xsl:value-of select="if (starts-with(@root,'1.2.36.1.2001.1005.70.')) then $namespaces/namespace[@OID-prefix = '1.2.36.1.2001.1005.70']/@name    else $namespaces/namespace[@OID-prefix = '1.2.36.1.2001.1005.71']/@name" /><xsl:text />'. This does not meet the requirement for the instance identifier to be contained with an Entity Identifier
		with a code element. <xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then '(See section 2.4.10 of the Common Conformance Profile for Clinical Documents v1.7.)'         else if ($doc-common-conf-profile = '1.6')           then '(See requirement 023876 of the Common Conformance Profile for Clinical Documents v1.6.)'         else if ($doc-common-conf-profile = '1.5')           then '(See requirement 023876 of the Common Conformance Profile for Clinical Documents v1.5.)'         else if ($doc-common-conf-profile = '1.4')           then '(See section 3.4.10 of the Common Conformance Profile for Clinical Documents v1.4.)'         else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="    (    starts-with(@root,'1.2.36.1.2001.1005.29.') or     starts-with(@root,'1.2.36.1.2001.1005.41.')     ) and local-name(..) = 'asEntityIdentifier' and ../ext:code and not(../ext:code/@codeSystem = '2.16.840.1.113883.12.203') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="( starts-with(@root,'1.2.36.1.2001.1005.29.') or starts-with(@root,'1.2.36.1.2001.1005.41.') ) and local-name(..) = 'asEntityIdentifier' and ../ext:code and not(../ext:code/@codeSystem = '2.16.840.1.113883.12.203')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-82" /><xsl:text />: TC-Types-82<xsl:text /><xsl:value-of select="$tc-types-82-test-step" /><xsl:text />: The instance identifier in the data element
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a root attribute with the value '<xsl:text /><xsl:value-of select="@root" /><xsl:text />' which identifies the namespace for
		'<xsl:text /><xsl:value-of select="if (starts-with(@root,'1.2.36.1.2001.1005.29.')) then $namespaces/namespace[@OID-prefix = '1.2.36.1.2001.1005.29']/@name    else $namespaces/namespace[@OID-prefix = '1.2.36.1.2001.1005.41']/@name" /><xsl:text />'. This does not meet the requirement for the instance identifier to be contained with an Entity Identifier
		with a code element with codeSystem = "2.16.840.1.113883.12.203". <xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then '(See section 2.4.10 of the Common Conformance Profile for Clinical Documents v1.7.)'         else if ($doc-common-conf-profile = '1.6')           then '(See requirement 023876 of the Common Conformance Profile for Clinical Documents v1.6.)'         else if ($doc-common-conf-profile = '1.5')           then '(See requirement 023876 of the Common Conformance Profile for Clinical Documents v1.5.)'         else if ($doc-common-conf-profile = '1.4')           then '(See section 3.4.10 of the Common Conformance Profile for Clinical Documents v1.4.)'         else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="    (    starts-with(@root,'1.2.36.1.2001.1005.70.') or     starts-with(@root,'1.2.36.1.2001.1005.71.')     ) and local-name(..) = 'asEntityIdentifier' and ../ext:code and not(../ext:code/@codeSystem = '2.16.840.1.113883.12.203') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="( starts-with(@root,'1.2.36.1.2001.1005.70.') or starts-with(@root,'1.2.36.1.2001.1005.71.') ) and local-name(..) = 'asEntityIdentifier' and ../ext:code and not(../ext:code/@codeSystem = '2.16.840.1.113883.12.203')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: The instance identifier in the data element
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a root attribute with the value '<xsl:text /><xsl:value-of select="@root" /><xsl:text />' which identifies the namespace for an
		'<xsl:text /><xsl:value-of select="if (starts-with(@root,'1.2.36.1.2001.1005.70.')) then $namespaces/namespace[@OID-prefix = '1.2.36.1.2001.1005.70']/@name    else $namespaces/namespace[@OID-prefix = '1.2.36.1.2001.1005.71']/@name" /><xsl:text />'. This does not meet the requirement for the instance identifier to be contained with an Entity Identifier
		with a code element with codeSystem = "2.16.840.1.113883.12.203". <xsl:text /><xsl:value-of select="if ($doc-common-conf-profile = '1.7')           then '(See section 2.4.10 of the Common Conformance Profile for Clinical Documents v1.7.)'         else if ($doc-common-conf-profile = '1.6')           then '(See requirement 023876 of the Common Conformance Profile for Clinical Documents v1.6.)'         else if ($doc-common-conf-profile = '1.5')           then '(See requirement 023876 of the Common Conformance Profile for Clinical Documents v1.5.)'         else if ($doc-common-conf-profile = '1.4')           then '(See section 3.4.10 of the Common Conformance Profile for Clinical Documents v1.4.)'         else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @root = ('1.2.36.1.2001.1005.50', '1.2.36.1.2001.1005.51', '1.2.36.1.2001.1005.52', '1.2.36.1.2001.1005.53', '1.2.36.1.2001.1005.54')  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@root = ('1.2.36.1.2001.1005.50', '1.2.36.1.2001.1005.51', '1.2.36.1.2001.1005.52', '1.2.36.1.2001.1005.53', '1.2.36.1.2001.1005.54')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-83" /><xsl:text />: TC-Types-83<xsl:text /><xsl:value-of select="$tc-types-83-test-step" /><xsl:text />: The instance identifier in the data element
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a 'root' attribute with the value '<xsl:text /><xsl:value-of select="@root" /><xsl:text />' which is an OID for an
		value-of select="$namespaces/namespace[@OID-prefix='current()/@root']/@name"/&gt; but the HPI-O has been omitted and needs to be included in the following arc.
		(See the entry for '<xsl:text /><xsl:value-of select="@root" /><xsl:text />' in the HL7 OID Registry and section 7.6.7 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

    	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="    (    starts-with(@root,'1.2.36.1.2001.1005.50.') or     starts-with(@root,'1.2.36.1.2001.1005.51.') or     starts-with(@root,'1.2.36.1.2001.1005.52.') or     starts-with(@root,'1.2.36.1.2001.1005.53.') or     starts-with(@root,'1.2.36.1.2001.1005.54.')    ) and @extension and normalize-space(@extension) = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="( starts-with(@root,'1.2.36.1.2001.1005.50.') or starts-with(@root,'1.2.36.1.2001.1005.51.') or starts-with(@root,'1.2.36.1.2001.1005.52.') or starts-with(@root,'1.2.36.1.2001.1005.53.') or starts-with(@root,'1.2.36.1.2001.1005.54.') ) and @extension and normalize-space(@extension) = ''">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-83" /><xsl:text />: TC-Types-83<xsl:text /><xsl:value-of select="$tc-types-82-test-step" /><xsl:text />: The instance identifier in the data element
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a root attribute with the value '<xsl:text /><xsl:value-of select="@root" /><xsl:text />' and has an extension attribute that is a null string instead of the
		<xsl:text /><xsl:value-of select="$namespaces/namespace[@OID-prefix=substring(current()/@root,1,21)]/@name" /><xsl:text />. If the
		<xsl:text /><xsl:value-of select="$namespaces/namespace[@OID-prefix=substring(current()/@root,1,21)]/@name" /><xsl:text /> is not known then omit the extension and include a nullFlavor attribute or omit the instance identifier.
		(See the entry for '<xsl:text /><xsl:value-of select="substring(@root,1,21)" /><xsl:text />' in the HL7 OID Registry and section 7.6.7 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'.)

    	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="    (    starts-with(@root,'1.2.36.1.2001.1005.50.') or     starts-with(@root,'1.2.36.1.2001.1005.51.') or     starts-with(@root,'1.2.36.1.2001.1005.52.') or     starts-with(@root,'1.2.36.1.2001.1005.53.') or     starts-with(@root,'1.2.36.1.2001.1005.54.')    ) and not(@extension or @nullFlavor) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="( starts-with(@root,'1.2.36.1.2001.1005.50.') or starts-with(@root,'1.2.36.1.2001.1005.51.') or starts-with(@root,'1.2.36.1.2001.1005.52.') or starts-with(@root,'1.2.36.1.2001.1005.53.') or starts-with(@root,'1.2.36.1.2001.1005.54.') ) and not(@extension or @nullFlavor)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-83" /><xsl:text />: TC-Types-83<xsl:text /><xsl:value-of select="$tc-types-82-test-step" /><xsl:text />: The instance identifier in the data element
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a root attribute with the value '<xsl:text /><xsl:value-of select="@root" /><xsl:text />' and has no extension or nullFlavor attributes but it must contain an extension attribute with the
		<xsl:text /><xsl:value-of select="$namespaces/namespace[@OID-prefix=substring(current()/@root,1,21)]/@name" /><xsl:text /> or a nullFlavor attribute.
		(See the entry for '<xsl:text /><xsl:value-of select="substring(@root,1,21)" /><xsl:text />' in the HL7 OID Registry and section 7.6.7 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'.)

    	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="    (    starts-with(@root,'1.2.36.1.2001.1005.50.') or     starts-with(@root,'1.2.36.1.2001.1005.51.') or     starts-with(@root,'1.2.36.1.2001.1005.52.') or     starts-with(@root,'1.2.36.1.2001.1005.53.') or     starts-with(@root,'1.2.36.1.2001.1005.54.')    ) and $possibly-valid-oid and not(   ((                     number(substring(string(2 * 8), 1, 1)) + number(substring(string(2 * 8), 2, 1)) +                     0 +                     2 * 0 +                     3 +                     number(substring(string(2 * 6), 1, 1)) + number(substring(string(2 * 6), 2, 1)) +                     number(substring(substring-after(@root, '80036'), 1, 1)) +                     number(substring(string(2 * substring(substring-after(@root, '80036'), 2, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 2, 1))), 1)) +                     number(substring(string(number(substring(substring-after(@root, '80036'), 2, 1)) div 5), 1, 1)) +                     number(substring(substring-after(@root, '80036'), 3, 1)) +                     number(substring(string(2 * substring(substring-after(@root, '80036'), 4, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 4, 1))), 1)) +                     number(substring(string(number(substring(substring-after(@root, '80036'), 4, 1)) div 5), 1, 1)) +                     number(substring(substring-after(@root, '80036'), 5, 1)) +                     number(substring(string(2 * substring(substring-after(@root, '80036'), 6, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 6, 1))), 1)) +                     number(substring(string(number(substring(substring-after(@root, '80036'), 6, 1)) div 5), 1, 1)) +                     number(substring(substring-after(@root, '80036'), 7, 1)) +                     number(substring(string(2 * substring(substring-after(@root, '80036'), 8, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 8, 1))), 1)) +                     number(substring(string(number(substring(substring-after(@root, '80036'), 8, 1)) div 5), 1, 1)) +                     number(substring(substring-after(@root, '80036'), 9, 1)) +                     number(substring(string(2 * substring(substring-after(@root, '80036'),10, 1)), string-length(string(2 * substring(substring-after(@root, '80036'),10, 1))), 1)) +                     number(substring(string(number(substring(substring-after(@root, '80036'),10, 1)) div 5), 1, 1)) +                     number(substring(substring-after(@root, '80036'), 11, 1))                 ) mod 10 = 0)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="( starts-with(@root,'1.2.36.1.2001.1005.50.') or starts-with(@root,'1.2.36.1.2001.1005.51.') or starts-with(@root,'1.2.36.1.2001.1005.52.') or starts-with(@root,'1.2.36.1.2001.1005.53.') or starts-with(@root,'1.2.36.1.2001.1005.54.') ) and $possibly-valid-oid and not( (( number(substring(string(2 * 8), 1, 1)) + number(substring(string(2 * 8), 2, 1)) + 0 + 2 * 0 + 3 + number(substring(string(2 * 6), 1, 1)) + number(substring(string(2 * 6), 2, 1)) + number(substring(substring-after(@root, '80036'), 1, 1)) + number(substring(string(2 * substring(substring-after(@root, '80036'), 2, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 2, 1))), 1)) + number(substring(string(number(substring(substring-after(@root, '80036'), 2, 1)) div 5), 1, 1)) + number(substring(substring-after(@root, '80036'), 3, 1)) + number(substring(string(2 * substring(substring-after(@root, '80036'), 4, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 4, 1))), 1)) + number(substring(string(number(substring(substring-after(@root, '80036'), 4, 1)) div 5), 1, 1)) + number(substring(substring-after(@root, '80036'), 5, 1)) + number(substring(string(2 * substring(substring-after(@root, '80036'), 6, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 6, 1))), 1)) + number(substring(string(number(substring(substring-after(@root, '80036'), 6, 1)) div 5), 1, 1)) + number(substring(substring-after(@root, '80036'), 7, 1)) + number(substring(string(2 * substring(substring-after(@root, '80036'), 8, 1)), string-length(string(2 * substring(substring-after(@root, '80036'), 8, 1))), 1)) + number(substring(string(number(substring(substring-after(@root, '80036'), 8, 1)) div 5), 1, 1)) + number(substring(substring-after(@root, '80036'), 9, 1)) + number(substring(string(2 * substring(substring-after(@root, '80036'),10, 1)), string-length(string(2 * substring(substring-after(@root, '80036'),10, 1))), 1)) + number(substring(string(number(substring(substring-after(@root, '80036'),10, 1)) div 5), 1, 1)) + number(substring(substring-after(@root, '80036'), 11, 1)) ) mod 10 = 0))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-83" /><xsl:text />: TC-Types-83<xsl:text /><xsl:value-of select="$tc-types-82-test-step" /><xsl:text />: The instance identifier in the data element
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a root attribute with the value '<xsl:text /><xsl:value-of select="@root" /><xsl:text />' and fails to meet the requirement for the arc following
		'<xsl:text /><xsl:value-of select="substring(@root,1,21)" /><xsl:text />' to be an
		HPI-O with a check digit calculated according to the Luhn algorithm. The HPI-O must be the identifier for
		the organisation that manages the <xsl:text /><xsl:value-of select="$namespaces/namespace[@OID-prefix=substring(current()/@root,1,21)]/@name" /><xsl:text />.
		(See the entry for '<xsl:text /><xsl:value-of select="substring(@root,1,21)" /><xsl:text />' in the HL7 OID Registry.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @root='1.2.36.1.5001.1.0.7' and not(@extension or @nullFlavor) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@root='1.2.36.1.5001.1.0.7' and not(@extension or @nullFlavor)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-84" /><xsl:text />: TC-Types-84: The instance identifier in the '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a root attribute with the value '<xsl:text /><xsl:value-of select="@root" /><xsl:text />' which indicates the value of the extension attribute is an individual Medicare number
		and the instance identifier has no extension or nullFlavor attribute. It must either contain
		a nullFlavor attribute to indicate why the individual Medicare number has not been included or an extension attribute with a value that is individual Medicare number.
		(See section 7.6.7.3.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @root='1.2.36.1.5001.1.0.7' and not(@nullFlavor) and @extension and not(matches(@extension, $medicare-ind-regex)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@root='1.2.36.1.5001.1.0.7' and not(@nullFlavor) and @extension and not(matches(@extension, $medicare-ind-regex))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-84" /><xsl:text />: TC-Types-84: The instance identifier in the '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a root attribute with the value "1.2.36.1.5001.1.0.7" which indicates the value of the extension attribute is an individual Medicare number
		which is a numeric string of eleven digits but the value of the extension attribute is '<xsl:text /><xsl:value-of select="@extension" /><xsl:text />' which
		<xsl:text /><xsl:value-of select="if (matches(@extension, '^[0-9]+$')) then concat('is a numeric string of ', string-length(@extension), ' digits.')   else 'has non-numeric characters.' " /><xsl:text /><xsl:text /><xsl:value-of select="if (matches(@extension, $medicare-card-regex)) then    concat(' The value of the extension attribute may be a ten digit Medicare card number. If a Medicare card number is used then the value of the root attribute must be ''1.2.36.1.5001.1.0.7.1''.',   ' (See section 2.3.2 of AS 5017-2006 and the entries for ''1.2.36.1.5001.1.0.7'' and ''1.2.36.1.5001.1.0.7.1'' in the HL7 OID Registry.)')   else ' (See section 2.3.2 of AS 5017-2006 and the entry for ''1.2.36.1.5001.1.0.7'' in the HL7 OID Registry.)'  " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @root='1.2.36.1.5001.1.0.7' and @extension and matches(@extension, $medicare-ind-regex) and    not(    @extension = '00000000009' or    @extension = '00000000000' or    @extension = '99999999999' or    @extension = '88888888888' or   ((1 *  number(substring(@extension, 1, 1))) +                  (3 *  number(substring(@extension, 2, 1))) +                  (7 *  number(substring(@extension, 3, 1))) +                  (9 *  number(substring(@extension, 4, 1))) +                  (1 *  number(substring(@extension, 5, 1))) +                  (3 *  number(substring(@extension, 6, 1))) +                  (7 *  number(substring(@extension, 7, 1))) +                  (9 *  number(substring(@extension, 8, 1)))                 ) mod 10 = number(substring(@extension, 9, 1))          ) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@root='1.2.36.1.5001.1.0.7' and @extension and matches(@extension, $medicare-ind-regex) and not( @extension = '00000000009' or @extension = '00000000000' or @extension = '99999999999' or @extension = '88888888888' or ((1 * number(substring(@extension, 1, 1))) + (3 * number(substring(@extension, 2, 1))) + (7 * number(substring(@extension, 3, 1))) + (9 * number(substring(@extension, 4, 1))) + (1 * number(substring(@extension, 5, 1))) + (3 * number(substring(@extension, 6, 1))) + (7 * number(substring(@extension, 7, 1))) + (9 * number(substring(@extension, 8, 1))) ) mod 10 = number(substring(@extension, 9, 1)) )">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-84" /><xsl:text />: TC-Types-84: The instance identifier in the '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a root attribute with the value '<xsl:text /><xsl:value-of select="@root" /><xsl:text />' and has an extension attribute with a value that is
		an invalid individual Medicare card number '<xsl:text /><xsl:value-of select="@extension" /><xsl:text />'. The number must be one of the
		special values '00000000009', '00000000000', '99999999999' or '88888888888' or the number must have the correct value for the check digit which is the ninth digit.
		(See section 2.3.2 of AS 5017-2006.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @root='1.2.36.1.5001.1.0.7.1' and not(@extension or @nullFlavor) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@root='1.2.36.1.5001.1.0.7.1' and not(@extension or @nullFlavor)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-85" /><xsl:text />: TC-Types-85: The instance identifier in the '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a root attribute with the value '<xsl:text /><xsl:value-of select="@root" /><xsl:text />' which indicates the value of the extension attribute is a Medicare card number
		and the instance identifier has no extension or nullFlavor attribute. It must either contain
		a nullFlavor attribute to indicate why the Medicare card number has not been included or an extension attribute with a value that is a Medicare card number.
		(See section 7.6.7.3.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @root='1.2.36.1.5001.1.0.7.1' and not(@nullFlavor) and @extension and not(matches(@extension, $medicare-card-regex))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@root='1.2.36.1.5001.1.0.7.1' and not(@nullFlavor) and @extension and not(matches(@extension, $medicare-card-regex))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-85" /><xsl:text />: TC-Types-85: The instance identifier in the '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a root attribute with the value "1.2.36.1.5001.1.0.7.1" which indicates the value of the extension attribute is a Medicare card number
		which is a numeric string of ten digits but the value of the extension attribute is '<xsl:text /><xsl:value-of select="@extension" /><xsl:text />' which
		<xsl:text /><xsl:value-of select="if (matches(@extension, '^[0-9]+$')) then concat('is a numeric string of ', string-length(@extension), ' digits.')   else 'has non-numeric characters.' " /><xsl:text /><xsl:text /><xsl:value-of select="if (matches(@extension, $medicare-ind-regex)) then    concat(' The value of the extension attribute may be an eleven digit individual Medicare number. If an individual Medicare number is used then the value of the root attribute must be ''1.2.36.1.5001.1.0.7''.',   ' (See section 2.3.2 of AS 5017-2006 and the entries for ''1.2.36.1.5001.1.0.7'' and ''1.2.36.1.5001.1.0.7.1'' in the HL7 OID Registry.)')   else ' (See section 2.3.2 of AS 5017-2006 and the entry for ''1.2.36.1.5001.1.0.7'' in the HL7 OID Registry.)'  " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @root='1.2.36.1.5001.1.0.7.1' and @extension and matches(@extension, $medicare-card-regex) and   not(    @extension = '0000000000' or    @extension = '9999999999' or    @extension = '8888888888' or   ((1 *  number(substring(@extension, 1, 1))) +                  (3 *  number(substring(@extension, 2, 1))) +                  (7 *  number(substring(@extension, 3, 1))) +                  (9 *  number(substring(@extension, 4, 1))) +                  (1 *  number(substring(@extension, 5, 1))) +                  (3 *  number(substring(@extension, 6, 1))) +                  (7 *  number(substring(@extension, 7, 1))) +                  (9 *  number(substring(@extension, 8, 1)))                 ) mod 10 = number(substring(@extension, 9, 1))         ) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@root='1.2.36.1.5001.1.0.7.1' and @extension and matches(@extension, $medicare-card-regex) and not( @extension = '0000000000' or @extension = '9999999999' or @extension = '8888888888' or ((1 * number(substring(@extension, 1, 1))) + (3 * number(substring(@extension, 2, 1))) + (7 * number(substring(@extension, 3, 1))) + (9 * number(substring(@extension, 4, 1))) + (1 * number(substring(@extension, 5, 1))) + (3 * number(substring(@extension, 6, 1))) + (7 * number(substring(@extension, 7, 1))) + (9 * number(substring(@extension, 8, 1))) ) mod 10 = number(substring(@extension, 9, 1)) )">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-85" /><xsl:text />: TC-Types-85: The instance identifier in the '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a root attribute with the value '<xsl:text /><xsl:value-of select="@root" /><xsl:text />' and an extension attribute whose value is an invalid Medicare card number
		'<xsl:text /><xsl:value-of select="@extension" /><xsl:text />'. The number must be one of
		the special values '0000000000', '9999999999' or '8888888888' or the number must have the correct value for the check digit which is the ninth digit. (See section 2.3.2 of AS 5017-2006.)

           </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" starts-with(@root, '1.2.36.1.5001.1.0.7.1.') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="starts-with(@root, '1.2.36.1.5001.1.0.7.1.')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-85" /><xsl:text />: TC-Types-85: The instance identifier in the '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a root attribute with the value '<xsl:text /><xsl:value-of select="@root" /><xsl:text />' and has an error. The object identifier '1.2.36.1.5001.1.0.7.1' is the identifier for an
		individual Medicare number and the number is recorded in the extension attribute. It is an error for root to contain an arc after '1.2.36.1.5001.1.0.7.1'. (See the entry for
		'1.2.36.1.5001.1.0.7.1' in the HL7 OID Registry, section 2.3.2 of AS 5017-2006 and section 7.6.7 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

    	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @root='2.16.840.1.113883.3.879.270091' and not(@extension or @nullFlavor) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@root='2.16.840.1.113883.3.879.270091' and not(@extension or @nullFlavor)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-86" /><xsl:text />: TC-Types-86 step 1: The instance identifier in the '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a root attribute with the value '<xsl:text /><xsl:value-of select="@root" /><xsl:text />' and has an error.
		The instance identifier has no extension or nullFlavor, but it must contain an extension attribute with the Department of Veterans' Affairs file number or a nullFlavor.
		(See the entry for '2.16.840.1.113883.3.879' in the HL7 OID Registry, the entry for '270091' in the Metadata Online Registry (METeOR), section 2.3.3 of AS 5017-2006 and
		section 7.6.7 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @root='2.16.840.1.113883.3.879.270091' and @extension and not(matches(@extension, $dva-270091-regex)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@root='2.16.840.1.113883.3.879.270091' and @extension and not(matches(@extension, $dva-270091-regex))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-86" /><xsl:text />: TC-Types-86 step 1: The instance identifier in the '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a root attribute with the value '<xsl:text /><xsl:value-of select="@root" /><xsl:text />'
		which indicates that the value of the extension attribute '<xsl:text /><xsl:value-of select="@extension" /><xsl:text />' is a Department of Veterans' Affairs file number but a valid Department of Veterans' Affairs
		file number commences with 'N', 'V', 'Q', 'W', 'S' or 'T' and the following seven characters
		must be in the format 'ANNNNNN', 'AANNNNN' or 'AAANNNN' where the 'A' alphabetical characters provide the war code and the 'N' characters are digits.
		A ninth alphabetical character may also be present. 
		Note that METeOR 339127 which superseded METeOR 270091 in 2006 allows the formats 'ANNNNNN', 'AANNNNN', 'AAANNNN' and ' NNNNNN', which may be included in an
		instance identifier with a root attribute with the value '2.16.840.1.113883.3.879.339127'.
		(See the entry for '2.16.840.1.113883.3.879' in the HL7 OID Registry, the entry for '270091' in the Metadata Online Registry (METeOR), section 2.3.3 of AS 5017-2006 and
		section 7.6.7 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" starts-with(@root, '2.16.840.1.113883.3.879.270091.') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="starts-with(@root, '2.16.840.1.113883.3.879.270091.')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-86" /><xsl:text />: TC-Types-86 step 1: The instance identifier in the '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a root attribute with the value '<xsl:text /><xsl:value-of select="@root" /><xsl:text />' and the value of the extension attribute has an error.
		The object identifier '2.16.840.1.113883.3.879.270091'
		is the identifier for a Department of Veterans' Affairs file number and the number is recorded in the extension attribute.
		It is an error for root to contain an arc after '2.16.840.1.113883.3.879.270091'.
		(See the entry for '2.16.840.1.113883.3.879' in the HL7 OID Registry, the entry for '270091' in the Metadata Online Registry (METeOR), section 2.3.3 of AS 5017-2006 and
		section 7.6.7 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

    	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @root='2.16.840.1.113883.3.879.339127' and not(@extension or @nullFlavor) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@root='2.16.840.1.113883.3.879.339127' and not(@extension or @nullFlavor)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-86" /><xsl:text />: TC-Types-86 step 2: The instance identifier in the '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a root attribute with the value '<xsl:text /><xsl:value-of select="@root" /><xsl:text />' and has an error. The instance identifier has no extension or nullFlavor
		attribute but it must contain an extension attribute with the
		Department of Veterans' Affairs file number or a nullFlavor attribute. (See the entry for '2.16.840.1.113883.3.879' in the HL7 OID Registry, the entry for '339127' in the Metadata Online
		Registry, section 2.3.3 of AS 5017-2006 and section 7.6.7 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

    	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @root='2.16.840.1.113883.3.879.339127' and @extension and not(matches(@extension, $dva-339127-regex)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@root='2.16.840.1.113883.3.879.339127' and @extension and not(matches(@extension, $dva-339127-regex))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-86" /><xsl:text />: TC-Types-86 step 2: The instance identifier in the '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a root attribute with the value '<xsl:text /><xsl:value-of select="@root" /><xsl:text />'
		which indicates that the value of the extension attribute '<xsl:text /><xsl:value-of select="@extension" /><xsl:text />' is a Department of Veterans' Affairs file number 
		but a valid Department of Veterans' Affairs file number commences with 'N', 'V', 'Q', 'W', 'S' or 'T'
		and the following seven characters must be in the format 'ANNNNNN', 'AANNNNN', 'AAANNNN' or ' NNNNNN' where the 'A' alphabetical characters provide the war code and the 'N' characters are
		digits. A ninth alphabetical character may also be present. 
		(See the entry for '2.16.840.1.113883.3.879' in the HL7 OID Registry, the entry for '339127' in the Metadata Online Registry (METeOR), section 2.3.3 of AS 5017-2006 and
		section 7.6.7 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

           </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" starts-with(@root, '2.16.840.1.113883.3.879.339127.') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="starts-with(@root, '2.16.840.1.113883.3.879.339127.')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-86" /><xsl:text />: TC-Types-86 step 2: The instance identifier in the '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a root attribute with the value '<xsl:text /><xsl:value-of select="@root" /><xsl:text />' and has an error. The object identifier '2.16.840.1.113883.3.879.339127'
		is the identifier for a Department of Veterans' Affairs file number and the number is recorded in the extension attribute.
		It is an error for root to contain an arc after '2.16.840.1.113883.3.879.339127'.
		(See the entry for '2.16.840.1.113883.3.879' in the HL7 OID Registry, the entry for '339127' in the Metadata Online Registry (METeOR), section 2.3.3 of AS 5017-2006 and
		section 7.6.7 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

    	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @root = '2.16.840.1.113883.3.879.270098' and @extension and normalize-space(@extension) = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@root = '2.16.840.1.113883.3.879.270098' and @extension and normalize-space(@extension) = ''">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-87" /><xsl:text />: TC-Types-87 step 1: The instance identifier in the '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-II(.)" /><xsl:text /> and the value of the extension attribute is a
		null string instead of the Centrelink customer reference number.
		(See the entry for '2.16.840.1.113883.3.879' in the HL7 OID Registry, the entry for '270098' in the Metadata Online Registry (METeOR), section 2.3.4 of AS 5017-2006 and
		section 7.6.7 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.) If the Centrelink customer reference number is not known then omit the extension and
		include a nullFlavor attribute or omit the instance identifier.

    	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @root = '2.16.840.1.113883.3.879.270098' and @extension and not(matches(@extension, $centrelink-crn-regex)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@root = '2.16.840.1.113883.3.879.270098' and @extension and not(matches(@extension, $centrelink-crn-regex))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-87" /><xsl:text />: TC-Types-87 step 1: The instance identifier in the data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-II(.)" /><xsl:text />. The value of the extension attribute does not have the format required of a Centrelink customer reference
		number which is nine numeric characters followed by one uppercase alphabetic character.
		(See the entry for '2.16.840.1.113883.3.879' in the HL7 OID Registry, the entry for '270098' in the Metadata
		Online Registry, section 2.3.4 of AS 5017-2006 and section 7.6.7 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="if (matches(@extension, $dva-339127-regex) and not(matches(@extension, $dva-270091-regex))) then    concat('The value of the extension attribute has the appearance of a Department of Veterans'' Affairs (DVA) file number. ',   'If it is a DVA file number then the value of the root attribute must be ''2.16.840.1.113883.3.879.339127''. (See the entry for ''339127'' in the Metadata Online Registry (METeOR).)')   else if (matches(@extension, $dva-270091-regex)) then    concat('The value of the extension attribute has the appearance of a Department of Veterans'' Affairs (DVA) file number. ',   'If it is a DVA file number then the value of the root attribute must be ''2.16.840.1.113883.3.879.339127'' or ''2.16.840.1.113883.3.879.270091''. ',   '(See the entries for ''339127'' and ''270091'' in the Metadata Online Registry (METeOR).)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @root = '2.16.840.1.113883.3.879.270098' and not(@extension or @nullFlavor) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@root = '2.16.840.1.113883.3.879.270098' and not(@extension or @nullFlavor)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-87" /><xsl:text />: TC-Types-87 step 1: The instance identifier in the '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="iq:display-II(.)" /><xsl:text />. There is no extension or nullFlavor attributes but it must contain an extension attribute with the 
		Centrelink customer reference number or a nullFlavor attribute to indicate why the Centrelink customer reference number has not been provided.
		(See the entry for '2.16.840.1.113883.3.879' in the HL7 OID Registry, the entry for '270098' in the Metadata Online Registry (METeOR), section 2.3.4 of
		AS 5017-2006 and section 7.6.7 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

    	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" starts-with(@root, '2.16.840.1.113883.3.879.270098.') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="starts-with(@root, '2.16.840.1.113883.3.879.270098.')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-87" /><xsl:text />: TC-Types-87 step 1: The instance identifier in the '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a root attribute with the value '<xsl:text /><xsl:value-of select="@root" /><xsl:text />' and has an error. The object identifier '2.16.840.1.113883.3.879.270098'
		is the identifier for a Centrelink customer reference number and the number is recorded in the extension attribute.
		It is an error for root to contain an arc after '2.16.840.1.113883.3.879.270098'.
		(See the entry for '2.16.840.1.113883.3.879' in the HL7 OID Registry, the entry for '270098' in the Metadata Online Registry (METeOR), section 2.3.4 of AS 5017-2006 and
		section 7.6.7 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

    	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @root = '2.16.840.1.113883.3.879.369274' and @extension and normalize-space(@extension) = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@root = '2.16.840.1.113883.3.879.369274' and @extension and normalize-space(@extension) = ''">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-87" /><xsl:text />: TC-Types-87 step 2: The instance identifier in the '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a root attribute with the value '2.16.840.1.113883.3.879.369274' and has an extension attribute that is a null string instead of the
		Centrelink customer reference number.
		If the Centrelink customer reference number is not known then omit the extension and include a nullFlavor attribute or omit the instance identifier.
		(See the entry for '2.16.840.1.113883.3.879' in the HL7 OID Registry, the entry for '369274' in the Metadata Online Registry (METeOR), section 2.3.4 of AS 5017-2006 and
		section 7.6.7 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

    	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @root = '2.16.840.1.113883.3.879.369274' and @extension and not(matches(@extension, $centrelink-crn-regex)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@root = '2.16.840.1.113883.3.879.369274' and @extension and not(matches(@extension, $centrelink-crn-regex))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-87" /><xsl:text />: TC-Types-87 step 2: The instance identifier in the '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a root attribute with the value '2.16.840.1.113883.3.879.369274' and has a extension attribute with the value '<xsl:text /><xsl:value-of select="@extension" /><xsl:text />'
		which does not have the required format of nine numeric characters followed by one uppercase alphabetic character.
		(See the entry for '2.16.840.1.113883.3.879' in the HL7 OID Registry, the entry for '369274' in the Metadata Online Registry (METeOR),
		section 2.3.4 of AS 5017-2006 and section 7.6.7 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="if (matches(@extension, $dva-339127-regex) and not(matches(@extension, $dva-270091-regex))) then    concat('The value of the extension attribute has the appearance of a Department of Veterans'' Affairs (DVA) file number. ',   'If it is a DVA file number then the value of the root attribute must be ''2.16.840.1.113883.3.879.339127''. (See the entry for ''339127'' in the Metadata Online Registry (METeOR).)')   else if (matches(@extension, $dva-270091-regex)) then    concat('The value of the extension attribute has the appearance of a Department of Veterans'' Affairs (DVA) file number. ',   'If it is a DVA file number then the value of the root attribute must be ''2.16.840.1.113883.3.879.339127'' or ''2.16.840.1.113883.3.879.270091''. ',   '(See the entries for ''339127'' and ''270091'' in the Metadata Online Registry (METeOR).)')   else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @root = '2.16.840.1.113883.3.879.369274' and not(@extension or @nullFlavor) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@root = '2.16.840.1.113883.3.879.369274' and not(@extension or @nullFlavor)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-87" /><xsl:text />: TC-Types-87 step 2: The instance identifier in the '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a root attribute with the value '2.16.840.1.113883.3.879.369274' and has no extension or nullFlavor attributes but it must contain an extension
		attribute with the Centrelink customer reference number or a nullFlavor attribute. (See the entry for '2.16.840.1.113883.3.879' in the HL7 OID Registry, the entry for '369274' in the
		Metadata Online Registry (METeOR), section 2.3.4 of AS 5017-2006 and  section 7.6.7 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

    	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" starts-with(@root, '2.16.840.1.113883.3.879.369274.') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="starts-with(@root, '2.16.840.1.113883.3.879.369274.')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-87" /><xsl:text />: TC-Types-87 step 2: The instance identifier in the '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a root attribute with the value '<xsl:text /><xsl:value-of select="@root" /><xsl:text />' and has an error. The object identifier '2.16.840.1.113883.3.879.369274' is the
		identifier for a Centrelink customer reference number and the number is recorded in the extension attribute. It is an error for root to contain an arc after '2.16.840.1.113883.3.879.369274'.
		(See the entry for '2.16.840.1.113883.3.879' in the HL7 OID Registry, the entry for '369274' in the Metadata Online Registry (METeOR), section 2.3.4 of AS 5017-2006 and
		section 7.6.7 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

    	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @root = '1.2.36.174030967.0.2' and @extension and normalize-space(@extension) = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@root = '1.2.36.174030967.0.2' and @extension and normalize-space(@extension) = ''">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-88" /><xsl:text />: TC-Types-88: The instance identifier in the '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a root attribute with the value '1.2.36.174030967.0.2' and has an extension attribute that is a null string instead of the
		Medicare Provider Number. If the Medicare Provider Number is not known then omit the extension attribute and include a nullFlavor attribute or omit the instance identifier.
		(See the entry for '1.2.36.174030967.0.2' in the HL7 OID Registry and section 7.6.7 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

    	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @root = '1.2.36.174030967.0.2' and @extension and normalize-space(@extension) != '' and not(matches(@extension, '[0-9]{6}[a-hj-np-rt-y1-9]{1}[a-z]{1}', 'i')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@root = '1.2.36.174030967.0.2' and @extension and normalize-space(@extension) != '' and not(matches(@extension, '[0-9]{6}[a-hj-np-rt-y1-9]{1}[a-z]{1}', 'i'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-88" /><xsl:text />: TC-Types-88: The instance identifier in the '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a root attribute with the value '1.2.36.174030967.0.2' which indicates the value of the extension attribute is a Medicare Provider Number
		however the extension attribute has the invalid value '<xsl:text /><xsl:value-of select="@extension" /><xsl:text />'.
		To be a valid Medicare Provider Number the value of the extension attribute must commence with a six digit numeric string (zero padded if necessary) followed by an alphanumeric
		(excluding I, O S, Z and 0 (zero)) practice location identifier followed by an alpha character which is a check character.
		(See the entry for '1.2.36.174030967.0.2' in the HL7 OID Registry and information about Medicare Provider Numbers on the Department of Human Services website
		(https://www.humanservices.gov.au/organisations/health-professionals/services/medicare/medicare-benefits-health-professionals/apply-medicare-provider-number/about-medicare-provider-numbers)
		and the METeOR website (https://meteor.aihw.gov.au/content/index.phtml/itemId/601809, https://meteor.aihw.gov.au/content/index.phtml/itemId/601956 and
		https://meteor.aihw.gov.au/content/index.phtml/itemId/609680).)

    	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @root = '1.2.36.174030967.0.2' and not(@extension or @nullFlavor) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@root = '1.2.36.174030967.0.2' and not(@extension or @nullFlavor)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-88" /><xsl:text />: TC-Types-88: The instance identifier in the '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a root attribute with the value '1.2.36.174030967.0.2' and has no extension or nullFlavor attribute but it must contain an extension
		attribute with the Medicare Provider Number or a nullFlavor attribute.
		(See the entry for '1.2.36.174030967.0.2' in the HL7 OID Registry and section 7.6.7 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

    	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @root = '1.2.36.174030967.0.3' and @extension and normalize-space(@extension) = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@root = '1.2.36.174030967.0.3' and @extension and normalize-space(@extension) = ''">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-89" /><xsl:text />: TC-Types-89: The instance identifier in the '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a root attribute with the value '1.2.36.174030967.0.3' hand as an extension attribute that is a null string instead of the Medicare Prescriber Number.
		If the Medicare Prescriber Number is not known then omit the extension attribute and include a nullFlavor attribute or omit the instance identifier.
		(See the entry for '1.2.36.174030967.0.3' in the HL7 OID Registry and section 7.6.7 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

    	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @root = '1.2.36.174030967.0.3' and not(@extension or @nullFlavor) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@root = '1.2.36.174030967.0.3' and not(@extension or @nullFlavor)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-89" /><xsl:text />: TC-Types-89: The instance identifier in the '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a root attribute with the value '1.2.36.174030967.0.3' and has no extension or nullFlavor attribute but it must contain an extension
		attribute with the Medicare Prescriber Number or a nullFlavor attribute.
		(See the entry for '1.2.36.174030967.0.3' in the HL7 OID Registry and section 7.6.7 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

    	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @root = '1.2.36.174030967.1.3.2.1' and @extension and normalize-space(@extension) = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@root = '1.2.36.174030967.1.3.2.1' and @extension and normalize-space(@extension) = ''">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-90" /><xsl:text />: TC-Types-90: The instance identifier in the '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a root attribute with the value '1.2.36.174030967.1.3.2.1' and has an extension attribute that is a null string instead of the Pharmacy Approval Number.
		If the Pharmacy Approval Number is not known then omit the extension attribute and include a nullFlavor attribute or omit the instance identifier.
		(See the entry for '1.2.36.174030967.1.3.2.1' in the HL7 OID Registry and section 7.6.7 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

    	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @root = '1.2.36.174030967.1.3.2.1' and not(@extension or @nullFlavor) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@root = '1.2.36.174030967.1.3.2.1' and not(@extension or @nullFlavor)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-90" /><xsl:text />: TC-Types-90: The instance identifier in the '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a root attribute with the value '1.2.36.174030967.1.3.2.1' and has no extension or nullFlavor attribute but it must contain an extension
		attribute with the Pharmacy Approval Number or a nullFlavor attribute.
		(See the entry for '1.2.36.174030967.1.3.2.1' in the HL7 OID Registry and section 7.6.7 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

    	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @root = '1.2.36.1.2001.1005.12' and @extension and normalize-space(@extension) = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@root = '1.2.36.1.2001.1005.12' and @extension and normalize-space(@extension) = ''">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-91" /><xsl:text />: TC-Types-91: The instance identifier in the '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a root attribute with the value '1.2.36.1.2001.1005.12' and has an extension attribute that is a null string instead of the NATA lab accreditation
		number. If the NATA lab accreditation number is not known then omit the extension attribute and include a nullFlavor attribute or omit the instance identifier.
		(See the entry for '1.2.36.1.2001.1005.12' in the HL7 OID Registry and section 7.6.7 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

    	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @root = '1.2.36.1.2001.1005.12' and not(@extension or @nullFlavor) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@root = '1.2.36.1.2001.1005.12' and not(@extension or @nullFlavor)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-91" /><xsl:text />: TC-Types-91: The instance identifier in the '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a root attribute with the value '1.2.36.1.2001.1005.12' and has no extension or nullFlavor attribute but it must contain an extension
		attribute with the NATA lab accreditation number or a nullFlavor attribute.
		(See the entry for '1.2.36.1.2001.1005.12' in the HL7 OID Registry and section 7.6.7 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

    	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @root = '1.2.36.1.2001.1005.48' and @extension and normalize-space(@extension) = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@root = '1.2.36.1.2001.1005.48' and @extension and normalize-space(@extension) = ''">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-92" /><xsl:text />: TC-Types-92: The instance identifier in the '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a root attribute with the value '1.2.36.1.2001.1005.48' and has an extension attribute that is a null string instead of the Diagnostic Imaging Provider
		location specific practice number. If the Diagnostic Imaging Provider location specific practice number is not known then omit the extension attribute and include a nullFlavor
		attribute or omit the instance identifier.
		(See the entry for '1.2.36.1.2001.1005.48' in the HL7 OID Registry and section 7.6.7 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

    	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @root='1.2.36.1.2001.1005.48' and not(@extension or @nullFlavor) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@root='1.2.36.1.2001.1005.48' and not(@extension or @nullFlavor)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-92" /><xsl:text />: TC-Types-92: The instance identifier in the '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a root attribute with the value '1.2.36.1.2001.1005.48' and has no extension or nullFlavor attribute but it must contain an extension
		attribute with the Diagnostic Imaging Provider location specific
		practice number or a nullFlavor attribute. (See the entry for '1.2.36.1.2001.1005.48' in the HL7 OID Registry and section 7.6.7 of ISO 21090 'Health informatics - Harmonized data types for
		information interchange'.)

    	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1148" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1148" />
  <xsl:template match="@*|node()" priority="-2" mode="M1148">
    <xsl:apply-templates select="@*|*" mode="M1148" />
  </xsl:template>
  <!--PATTERN p-TS-II-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument " priority="1000" mode="M1149">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument " />
    <xsl:variable name="parent-xfrm" select="/cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.170' or @root = '1.2.36.1.2001.1001.100.1002.171']]/       cda:relatedDocument[@typeCode='XFRM']/cda:parentDocument/cda:id" />
    <xsl:variable name="parent-rplc" select="/cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.170' or @root = '1.2.36.1.2001.1001.100.1002.171']]/       cda:relatedDocument[@typeCode='RPLC']/cda:parentDocument/cda:id" />
    <xsl:variable name="parent-id-error" select="if (not($parent-xfrm and $parent-rplc)) then false()       else if ($parent-xfrm/@root and $parent-xfrm/@extension and $parent-rplc/@root and $parent-rplc/@extension)        then $parent-xfrm/@root = $parent-rplc/@root and $parent-xfrm/@extension = $parent-rplc/@extension       else if ($parent-xfrm/@root and $parent-rplc/@root) then $parent-xfrm/@root = $parent-rplc/@root       else false() " />
    <xsl:variable name="parent-id" select="if (not($parent-id-error)) then ''       else if ($parent-xfrm/@root and $parent-xfrm/@extension) then concat('root ''', $parent-xfrm/@root, ''' and extension ''', $parent-xfrm/@extension, '''')        else if ($parent-xfrm/@root) then concat('root ''', $parent-xfrm/@root, '''')       else '' " />
    <xsl:variable name="parent-id-reused" select="if (not($parent-id-error)) then false() else exists(//*[(       local-name(.) = 'id'      or       @xsi:type = 'II'       or        normalize-space(substring-after(@xsi:type, ':')) = 'II'  ) and not(local-name(..) = 'parentDocument')][       @root = $parent-xfrm/@root and @extension = $parent-xfrm/@extension]) " />
    <xsl:variable name="instance-identifiers-1" select="   //cda:*[(local-name(.) = 'id' or @xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II') and not(          (parent::cda:assignedEntity and ancestor::cda:legalAuthenticator)     or     parent::cda:representedCustodianOrganization       or    parent::cda:patientRole          or    parent::cda:assignedAuthor         or        parent::cda:associatedEntity         or          (parent::cda:act and ../cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.11007']) or    parent::cda:assignedEntity         or    parent::cda:externalAct          or     parent::cda:externalDocument         or     parent::cda:externalObservation         or     parent::cda:externalProcedure         or    parent::cda:manufacturerOrganization        or    parent::cda:observationMedia          or    parent::cda:substanceAdministration        or    parent::cda:section          )]    |   //ext:*[(local-name(.) = 'id' or @xsi:type = 'II' or normalize-space(substring-after(@xsi:type, ':')) = 'II') and not(    parent::ext:entitlement       or     parent::ext:asEntityIdentifier       or           (parent::ext:participantRole and ancestor::ext:coverage2)  )]  " />
    <xsl:variable name="instance-identifiers-2" select="if (not($parent-id-error) or $parent-id-reused) then $instance-identifiers-1        else if ($parent-xfrm/@root and $parent-xfrm/@extension)         then $instance-identifiers-1[not(@root = $parent-xfrm/@root and @extension = $parent-xfrm/@extension)]        else if ($parent-xfrm/@root) then $instance-identifiers-1[not(@root = $parent-xfrm/@root) and not(@extension)]        else $instance-identifiers-1 " />
    <xsl:variable name="doc-id" select="/cda:ClinicalDocument/cda:id" />
    <xsl:variable name="doc-id-error" select=" ($doc-id/@root and not($doc-id/@extension) and count($instance-identifiers-2[@root = $doc-id/@root and not(@extension)]) &gt; 1)    or        ($doc-id/@root and $doc-id/@extension and count($instance-identifiers-2[@root = $doc-id/@root and @extension = $doc-id/@extension]) &gt; 1)  " />
    <xsl:variable name="doc-id-msg" select="if (not($doc-id-error)) then ''        else if ($doc-id/@root and $doc-id/@extension) then concat('root ''', $doc-id/@root, ''' and extension ''', $doc-id/@extension, '''')         else if ($doc-id/@root) then concat('root ''', $doc-id/@root, '''')        else '' " />
    <xsl:variable name="instance-identifiers-3" select="if ($doc-id-error and $doc-id/@root and $doc-id/@extension)         then $instance-identifiers-2[not(@root = $doc-id/@root and @extension = $doc-id/@extension)]        else if ($doc-id-error and $doc-id/@root) then $instance-identifiers-2[not(@root = $doc-id/@root) and not(@extension)]        else $instance-identifiers-2 " />
    <xsl:variable name="curr-meds-tg" select="/cda:ClinicalDocument['101.16146.4.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1']]/cda:entry/cda:substanceAdministration/cda:id " />
    <xsl:variable name="curr-meds-rson" select="/cda:ClinicalDocument['101.16146.4.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1']]/cda:entry/cda:substanceAdministration/        cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.10141']]/cda:id " />
    <xsl:variable name="curr-meds-tg-reused-1a" select="index-of(for $i in (1 to count($curr-meds-tg)) return         exists(index-of((for $j in (1 to count($curr-meds-rson)) return         concat($curr-meds-tg[$i]/@root, $curr-meds-tg[$i]/@extension) = concat($curr-meds-rson[$j]/@root, $curr-meds-rson[$j]/@extension)),          true())), true())" />
    <xsl:variable name="curr-meds-tg-reused-1b" select="for $i in $curr-meds-tg-reused-1a return $curr-meds-tg[$i] " />
    <xsl:variable name="curr-meds-tg-reused-1c" select="distinct-values(for $ii in $curr-meds-tg-reused-1b return         if ($ii/@extension) then concat('root ''', $ii/@root, ''' and extension ''', $ii/@extension, '''')          else concat('root ''', $ii/@root, '''')) " />
    <xsl:variable name="external-act" select="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//cda:section/cda:entry//cda:externalAct[cda:id[@root]]" />
    <xsl:variable name="external-act-errors" select="distinct-values((for $i in (1 to count($external-act)) return        if ($external-act[$i]/cda:id[@root and not(@extension)] and exists(index-of(for $x in $external-act[cda:id         [@root and @root = $external-act[$i]/cda:id/@root and not(@extension)]] return not(deep-equal($external-act[$i], $x)), true())))         then $i        else if ($external-act[$i]/cda:id[@root and @extension] and exists(index-of(for $x in $external-act[cda:id         [@root and @root = $external-act[$i]/cda:id/@root and @extension and @extension = $external-act[$i]/cda:id/@extension]]          return not(deep-equal($external-act[$i], $x)), true())))         then $i        else ''))[. != ''] " />
    <xsl:variable name="external-act-err-id" select="for $i in $external-act-errors return $external-act[$i]/cda:id" />
    <xsl:variable name="external-act-reused-ids" select="distinct-values(for $id in $external-act-err-id return if ($id/@root and $id/@extension)         then concat('a root attribute with the value ''', $id/@root, ''' and an extension attribute with the value ''', $id/@extension, '''')         else concat('a root attribute with the value ''', $id/@root, '''')) " />
    <xsl:variable name="external-doc" select="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//cda:section/cda:entry//cda:externalDocument[cda:id[@root]]" />
    <xsl:variable name="external-doc-errors" select="distinct-values((for $i in (1 to count($external-doc)) return        if ($external-doc[$i]/cda:id[@root and not(@extension)] and exists(index-of(for $x in $external-doc[cda:id         [@root and @root = $external-doc[$i]/cda:id/@root and not(@extension)]] return not(deep-equal($external-doc[$i], $x)), true())))         then $i        else if ($external-doc[$i]/cda:id[@root and @extension] and exists(index-of(for $x in $external-doc[cda:id         [@root and @root = $external-doc[$i]/cda:id/@root and @extension and @extension = $external-doc[$i]/cda:id/@extension]]          return not(deep-equal($external-doc[$i], $x)), true())))         then $i        else ''))[. != ''] " />
    <xsl:variable name="external-doc-err-id" select="for $i in $external-doc-errors return $external-doc[$i]/cda:id" />
    <xsl:variable name="external-doc-reused-ids" select="distinct-values(for $id in $external-doc-err-id return if ($id/@root and $id/@extension)         then concat('a root attribute with the value ''', $id/@root, ''' and an extension attribute with the value ''', $id/@extension, '''')         else concat('a root attribute with the value ''', $id/@root, '''')) " />
    <xsl:variable name="external-obs" select="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//cda:section/cda:entry//cda:externalObservation[cda:id[@root]]" />
    <xsl:variable name="external-obs-errors" select="distinct-values((for $i in (1 to count($external-obs)) return        if ($external-obs[$i]/cda:id[@root and not(@extension)] and exists(index-of(for $x in $external-obs[cda:id         [@root and @root = $external-obs[$i]/cda:id/@root and not(@extension)]] return not(deep-equal($external-obs[$i], $x)), true())))         then $i        else if ($external-obs[$i]/cda:id[@root and @extension] and exists(index-of(for $x in $external-obs[cda:id         [@root and @root = $external-obs[$i]/cda:id/@root and @extension and @extension = $external-obs[$i]/cda:id/@extension]]          return not(deep-equal($external-obs[$i], $x)), true())))         then $i        else ''))[. != ''] " />
    <xsl:variable name="external-obs-err-id" select="for $i in $external-obs-errors return $external-obs[$i]/cda:id" />
    <xsl:variable name="external-obs-reused-ids" select="distinct-values(for $id in $external-obs-err-id return if ($id/@root and $id/@extension)         then concat('a root attribute with the value ''', $id/@root, ''' and an extension attribute with the value ''', $id/@extension, '''')         else concat('a root attribute with the value ''', $id/@root, '''')) " />
    <xsl:variable name="external-proc" select="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//cda:section/cda:entry//cda:externalProcedure[cda:id[@root]]" />
    <xsl:variable name="external-proc-errors" select="distinct-values((for $i in (1 to count($external-proc)) return        if ($external-proc[$i]/cda:id[@root and not(@extension)] and exists(index-of(for $x in $external-proc[cda:id         [@root and @root = $external-proc[$i]/cda:id/@root and not(@extension)]] return not(deep-equal($external-proc[$i], $x)), true())))         then $i        else if ($external-proc[$i]/cda:id[@root and @extension] and exists(index-of(for $x in $external-proc[cda:id         [@root and @root = $external-proc[$i]/cda:id/@root and @extension and @extension = $external-proc[$i]/cda:id/@extension]]          return not(deep-equal($external-proc[$i], $x)), true())))         then $i        else ''))[. != ''] " />
    <xsl:variable name="external-proc-err-id" select="for $i in $external-proc-errors return $external-proc[$i]/cda:id" />
    <xsl:variable name="external-proc-reused-ids" select="distinct-values(for $id in $external-proc-err-id return if ($id/@root and $id/@extension)         then concat('a root attribute with the value ''', $id/@root, ''' and an extension attribute with the value ''', $id/@extension, '''')         else concat('a root attribute with the value ''', $id/@root, '''')) " />
    <xsl:variable name="manu-org" select="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//cda:section/cda:entry//cda:manufacturerOrganization[cda:id[@root]]" />
    <xsl:variable name="manu-org-errors" select="distinct-values((for $i in (1 to count($manu-org)) return        if ($manu-org[$i]/cda:id[@root and not(@extension)] and exists(index-of(for $x in $manu-org[cda:id         [@root and @root = $manu-org[$i]/cda:id/@root and not(@extension)]] return not(deep-equal($manu-org[$i], $x)), true())))         then $i        else if ($manu-org[$i]/cda:id[@root and @extension] and exists(index-of(for $x in $manu-org[cda:id         [@root and @root = $manu-org[$i]/cda:id/@root and @extension and @extension = $manu-org[$i]/cda:id/@extension]]          return not(deep-equal($manu-org[$i], $x)), true())))         then $i        else ''))[. != ''] " />
    <xsl:variable name="manu-org-err-id" select="for $i in $manu-org-errors return $manu-org[$i]/cda:id" />
    <xsl:variable name="manu-org-reused-ids" select="distinct-values(for $id in $manu-org-err-id return if ($id/@root and $id/@extension)         then concat('a root attribute with the value ''', $id/@root, ''' and an extension attribute with the value ''', $id/@extension, '''')         else concat('a root attribute with the value ''', $id/@root, '''')) " />
    <xsl:variable name="ob-media" select="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//cda:section/cda:entry//cda:observationMedia[cda:id[@root]]" />
    <xsl:variable name="ob-media-errors" select="distinct-values((for $i in (1 to count($ob-media)) return        if ($ob-media[$i]/cda:id[@root and not(@extension)] and exists(index-of(for $x in $ob-media[cda:id         [@root and @root = $ob-media[$i]/cda:id/@root and not(@extension)]] return not(deep-equal($ob-media[$i], $x)), true())))         then $i        else if ($ob-media[$i]/cda:id[@root and @extension] and exists(index-of(for $x in $ob-media[cda:id         [@root and @root = $ob-media[$i]/cda:id/@root and @extension and @extension = $ob-media[$i]/cda:id/@extension]]          return not(deep-equal($ob-media[$i], $x)), true())))         then $i        else ''))[. != ''] " />
    <xsl:variable name="ob-media-err-id" select="for $i in $ob-media-errors return $ob-media[$i]/cda:id" />
    <xsl:variable name="ob-media-reused-ids" select="distinct-values(for $id in $ob-media-err-id return if ($id/@root and $id/@extension)         then concat('a root attribute with the value ''', $id/@root, ''' and an extension attribute with the value ''', $id/@extension, '''')         else concat('a root attribute with the value ''', $id/@root, '''')) " />
    <xsl:variable name="sub-admin" select="/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//cda:section/cda:entry//cda:substanceAdministration[cda:id[@root]]" />
    <xsl:variable name="sub-admin-errors" select="distinct-values((for $i in (1 to count($sub-admin)) return        if ($sub-admin[$i]/cda:id[@root and not(@extension)] and exists(index-of(for $x in $sub-admin[cda:id         [@root and @root = $sub-admin[$i]/cda:id/@root and not(@extension)]] return not(deep-equal($sub-admin[$i], $x)), true())))         then $i        else if ($sub-admin[$i]/cda:id[@root and @extension] and exists(index-of(for $x in $sub-admin[cda:id         [@root and @root = $sub-admin[$i]/cda:id/@root and @extension and @extension = $sub-admin[$i]/cda:id/@extension]]          return not(deep-equal($sub-admin[$i], $x)), true())))         then $i        else ''))[. != ''] " />
    <xsl:variable name="sub-admin-err-id" select="for $i in $sub-admin-errors return $sub-admin[$i]/cda:id" />
    <xsl:variable name="sub-admin-reused-ids" select="distinct-values(for $id in $sub-admin-err-id return if ($id/@root and $id/@extension)         then concat('a root attribute with the value ''', $id/@root, ''' and an extension attribute with the value ''', $id/@extension, '''')         else concat('a root attribute with the value ''', $id/@root, '''')) " />
    <xsl:variable name="section" select="$doc-section-seq[cda:id[@root]]" />
    <xsl:variable name="section-errors" select="distinct-values((for $i in (1 to count($section)) return        if ($section[$i]/cda:id[@root and not(@extension)] and exists(index-of(for $x in $section[cda:id         [@root and @root = $section[$i]/cda:id/@root and not(@extension)]] return not(deep-equal($section[$i], $x)), true())))         then $i        else if ($section[$i]/cda:id[@root and @extension] and exists(index-of(for $x in $section[cda:id         [@root and @root = $section[$i]/cda:id/@root and @extension and @extension = $section[$i]/cda:id/@extension]]          return not(deep-equal($section[$i], $x)), true())))         then $i        else ''))[. != ''] " />
    <xsl:variable name="section-err-id" select="for $i in $section-errors return $section[$i]/cda:id" />
    <xsl:variable name="section-reused-ids" select="distinct-values(for $id in $section-err-id return if ($id/@root and $id/@extension)         then concat('a root attribute with the value ''', $id/@root, ''' and an extension attribute with the value ''', $id/@extension, '''')         else concat('a root attribute with the value ''', $id/@root, '''')) " />
    <xsl:variable name="section-err-names" select="distinct-values(for $i in $section-errors return         if ($section[$i]/cda:title) then $section[$i]/cda:title        else if ($section[$i]/cda:code/@displayName) then $section[$i]/cda:code/@displayName        else 'unknown')" />
    <xsl:variable name="external-act-other-id" select="for $x in $external-act return        if (exists($x/cda:id[@root and @extension]) and (         exists($instance-identifiers-3[@root = $x/cda:id/@root and @extension = $x/cda:id/@extension])  or         exists($external-doc/cda:id[@root = $x/cda:id/@root and @extension = $x/cda:id/@extension])  or         exists($external-obs/cda:id[@root = $x/cda:id/@root and @extension = $x/cda:id/@extension])  or         exists($external-proc/cda:id[@root = $x/cda:id/@root and @extension = $x/cda:id/@extension])  or         exists($manu-org/cda:id[@root = $x/cda:id/@root and @extension = $x/cda:id/@extension])  or         exists($ob-media/cda:id[@root = $x/cda:id/@root and @extension = $x/cda:id/@extension])  or         exists($sub-admin/cda:id[@root = $x/cda:id/@root and @extension = $x/cda:id/@extension]) or         exists($section/cda:id[@root = $x/cda:id/@root and @extension = $x/cda:id/@extension])  )) then $x/cda:id         else if (exists($x/cda:id[@root and not(@extension)]) and (         exists($instance-identifiers-3[@root = $x/cda:id/@root and not(@extension)]) or         exists($external-doc/cda:id[@root = $x/cda:id/@root and not(@extension)])  or         exists($external-obs/cda:id[@root = $x/cda:id/@root and not(@extension)])  or         exists($external-proc/cda:id[@root = $x/cda:id/@root and not(@extension)])  or         exists($manu-org/cda:id[@root = $x/cda:id/@root and not(@extension)])   or         exists($ob-media/cda:id[@root = $x/cda:id/@root and not(@extension)])   or         exists($sub-admin/cda:id[@root = $x/cda:id/@root and not(@extension)])  or         exists($section/cda:id[@root = $x/cda:id/@root and not(@extension)])  )) then $x/cda:id         else () " />
    <xsl:variable name="external-act-other-reused-ids" select="distinct-values(for $id in $external-act-other-id return if ($id/@root and $id/@extension)          then concat('a root attribute with the value ''', $id/@root, ''' and an extension attribute with the value ''', $id/@extension, '''')          else concat('a root attribute with the value ''', $id/@root, '''')) " />
    <xsl:variable name="external-doc-other-id" select="for $x in $external-doc return        if (exists($x/cda:id[@root and @extension]) and (         exists($instance-identifiers-3[@root = $x/cda:id/@root and @extension = $x/cda:id/@extension]) or         exists($external-act/cda:id[@root = $x/cda:id/@root and @extension = $x/cda:id/@extension])  or         exists($external-obs/cda:id[@root = $x/cda:id/@root and @extension = $x/cda:id/@extension])  or         exists($external-proc/cda:id[@root = $x/cda:id/@root and @extension = $x/cda:id/@extension])  or         exists($manu-org/cda:id[@root = $x/cda:id/@root and @extension = $x/cda:id/@extension])  or         exists($ob-media/cda:id[@root = $x/cda:id/@root and @extension = $x/cda:id/@extension])  or         exists($sub-admin/cda:id[@root = $x/cda:id/@root and @extension = $x/cda:id/@extension]) or         exists($section/cda:id[@root = $x/cda:id/@root and @extension = $x/cda:id/@extension])  )) then $x/cda:id         else if (exists($x/cda:id[@root and not(@extension)]) and (         exists($instance-identifiers-3[@root = $x/cda:id/@root and not(@extension)]) or         exists($external-act/cda:id[@root = $x/cda:id/@root and not(@extension)])  or         exists($external-obs/cda:id[@root = $x/cda:id/@root and not(@extension)])  or         exists($external-proc/cda:id[@root = $x/cda:id/@root and not(@extension)])  or         exists($manu-org/cda:id[@root = $x/cda:id/@root and not(@extension)])   or         exists($ob-media/cda:id[@root = $x/cda:id/@root and not(@extension)])   or         exists($sub-admin/cda:id[@root = $x/cda:id/@root and not(@extension)])  or         exists($section/cda:id[@root = $x/cda:id/@root and not(@extension)])  )) then $x/cda:id         else () " />
    <xsl:variable name="external-doc-other-reused-ids" select="distinct-values(for $id in $external-doc-other-id return if ($id/@root and $id/@extension)          then concat('a root attribute with the value ''', $id/@root, ''' and an extension attribute with the value ''', $id/@extension, '''')          else concat('a root attribute with the value ''', $id/@root, '''')) " />
    <xsl:variable name="external-obs-other-id" select="for $x in $external-obs return        if (exists($x/cda:id[@root and @extension]) and (         exists($instance-identifiers-3[@root = $x/cda:id/@root and @extension = $x/cda:id/@extension]) or         exists($external-act/cda:id[@root = $x/cda:id/@root and @extension = $x/cda:id/@extension])  or         exists($external-doc/cda:id[@root = $x/cda:id/@root and @extension = $x/cda:id/@extension])  or         exists($external-proc/cda:id[@root = $x/cda:id/@root and @extension = $x/cda:id/@extension])  or         exists($manu-org/cda:id[@root = $x/cda:id/@root and @extension = $x/cda:id/@extension])  or         exists($ob-media/cda:id[@root = $x/cda:id/@root and @extension = $x/cda:id/@extension])  or         exists($sub-admin/cda:id[@root = $x/cda:id/@root and @extension = $x/cda:id/@extension]) or         exists($section/cda:id[@root = $x/cda:id/@root and @extension = $x/cda:id/@extension])  )) then $x/cda:id         else if (exists($x/cda:id[@root and not(@extension)]) and (         exists($instance-identifiers-3[@root = $x/cda:id/@root and not(@extension)]) or         exists($external-act/cda:id[@root = $x/cda:id/@root and not(@extension)])  or         exists($external-doc/cda:id[@root = $x/cda:id/@root and not(@extension)])  or         exists($external-proc/cda:id[@root = $x/cda:id/@root and not(@extension)])  or         exists($manu-org/cda:id[@root = $x/cda:id/@root and not(@extension)])   or         exists($ob-media/cda:id[@root = $x/cda:id/@root and not(@extension)])   or         exists($sub-admin/cda:id[@root = $x/cda:id/@root and not(@extension)])  or         exists($section/cda:id[@root = $x/cda:id/@root and not(@extension)])  )) then $x/cda:id         else () " />
    <xsl:variable name="external-obs-other-reused-ids" select="distinct-values(for $id in $external-obs-other-id return if ($id/@root and $id/@extension)          then concat('a root attribute with the value ''', $id/@root, ''' and an extension attribute with the value ''', $id/@extension, '''')          else concat('a root attribute with the value ''', $id/@root, '''')) " />
    <xsl:variable name="external-proc-other-id" select="for $x in $external-proc return        if (exists($x/cda:id[@root and @extension]) and (         exists($instance-identifiers-3[@root = $x/cda:id/@root and @extension = $x/cda:id/@extension]) or         exists($external-act/cda:id[@root = $x/cda:id/@root and @extension = $x/cda:id/@extension])  or         exists($external-doc/cda:id[@root = $x/cda:id/@root and @extension = $x/cda:id/@extension])  or         exists($external-obs/cda:id[@root = $x/cda:id/@root and @extension = $x/cda:id/@extension])  or         exists($manu-org/cda:id[@root = $x/cda:id/@root and @extension = $x/cda:id/@extension])  or         exists($ob-media/cda:id[@root = $x/cda:id/@root and @extension = $x/cda:id/@extension])  or         exists($sub-admin/cda:id[@root = $x/cda:id/@root and @extension = $x/cda:id/@extension]) or         exists($section/cda:id[@root = $x/cda:id/@root and @extension = $x/cda:id/@extension])  )) then $x/cda:id         else if (exists($x/cda:id[@root and not(@extension)]) and (         exists($instance-identifiers-3[@root = $x/cda:id/@root and not(@extension)]) or         exists($external-act/cda:id[@root = $x/cda:id/@root and not(@extension)])  or         exists($external-doc/cda:id[@root = $x/cda:id/@root and not(@extension)])  or         exists($external-obs/cda:id[@root = $x/cda:id/@root and not(@extension)])  or         exists($manu-org/cda:id[@root = $x/cda:id/@root and not(@extension)])   or         exists($ob-media/cda:id[@root = $x/cda:id/@root and not(@extension)])   or         exists($sub-admin/cda:id[@root = $x/cda:id/@root and not(@extension)])  or         exists($section/cda:id[@root = $x/cda:id/@root and not(@extension)])  )) then $x/cda:id         else () " />
    <xsl:variable name="external-proc-other-reused-ids" select="distinct-values(for $id in $external-proc-other-id return if ($id/@root and $id/@extension)          then concat('a root attribute with the value ''', $id/@root, ''' and an extension attribute with the value ''', $id/@extension, '''')          else concat('a root attribute with the value ''', $id/@root, '''')) " />
    <xsl:variable name="manu-org-other-id" select="for $x in $manu-org return        if (exists($x/cda:id[@root and @extension]) and (         exists($instance-identifiers-3[@root = $x/cda:id/@root and @extension = $x/cda:id/@extension]) or         exists($external-act/cda:id[@root = $x/cda:id/@root and @extension = $x/cda:id/@extension])  or         exists($external-doc/cda:id[@root = $x/cda:id/@root and @extension = $x/cda:id/@extension])  or         exists($external-obs/cda:id[@root = $x/cda:id/@root and @extension = $x/cda:id/@extension])  or         exists($external-proc/cda:id[@root = $x/cda:id/@root and @extension = $x/cda:id/@extension])  or         exists($ob-media/cda:id[@root = $x/cda:id/@root and @extension = $x/cda:id/@extension])  or         exists($sub-admin/cda:id[@root = $x/cda:id/@root and @extension = $x/cda:id/@extension]) or         exists($section/cda:id[@root = $x/cda:id/@root and @extension = $x/cda:id/@extension])  )) then $x/cda:id         else if (exists($x/cda:id[@root and not(@extension)]) and (         exists($instance-identifiers-3[@root = $x/cda:id/@root and not(@extension)]) or         exists($external-act/cda:id[@root = $x/cda:id/@root and not(@extension)])  or         exists($external-doc/cda:id[@root = $x/cda:id/@root and not(@extension)])  or         exists($external-obs/cda:id[@root = $x/cda:id/@root and not(@extension)])  or         exists($external-proc/cda:id[@root = $x/cda:id/@root and not(@extension)])  or         exists($ob-media/cda:id[@root = $x/cda:id/@root and not(@extension)])   or         exists($sub-admin/cda:id[@root = $x/cda:id/@root and not(@extension)])  or         exists($section/cda:id[@root = $x/cda:id/@root and not(@extension)])  )) then $x/cda:id         else () " />
    <xsl:variable name="manu-org-other-reused-ids" select="distinct-values(for $id in $manu-org-other-id return if ($id/@root and $id/@extension)          then concat('a root attribute with the value ''', $id/@root, ''' and an extension attribute with the value ''', $id/@extension, '''')          else concat('a root attribute with the value ''', $id/@root, '''')) " />
    <xsl:variable name="ob-media-other-id" select="for $x in $ob-media return        if (exists($x/cda:id[@root and @extension]) and (         exists($instance-identifiers-3[@root = $x/cda:id/@root and @extension = $x/cda:id/@extension]) or         exists($external-act/cda:id[@root = $x/cda:id/@root and @extension = $x/cda:id/@extension])  or         exists($external-doc/cda:id[@root = $x/cda:id/@root and @extension = $x/cda:id/@extension])  or         exists($external-obs/cda:id[@root = $x/cda:id/@root and @extension = $x/cda:id/@extension])  or         exists($external-proc/cda:id[@root = $x/cda:id/@root and @extension = $x/cda:id/@extension])  or         exists($manu-org/cda:id[@root = $x/cda:id/@root and @extension = $x/cda:id/@extension])  or         exists($sub-admin/cda:id[@root = $x/cda:id/@root and @extension = $x/cda:id/@extension]) or         exists($section/cda:id[@root = $x/cda:id/@root and @extension = $x/cda:id/@extension])  )) then $x/cda:id         else if (exists($x/cda:id[@root and not(@extension)]) and (         exists($instance-identifiers-3[@root = $x/cda:id/@root and not(@extension)]) or         exists($external-act/cda:id[@root = $x/cda:id/@root and not(@extension)])  or         exists($external-doc/cda:id[@root = $x/cda:id/@root and not(@extension)])  or         exists($external-obs/cda:id[@root = $x/cda:id/@root and not(@extension)])  or         exists($external-proc/cda:id[@root = $x/cda:id/@root and not(@extension)])  or         exists($manu-org/cda:id[@root = $x/cda:id/@root and not(@extension)])   or         exists($sub-admin/cda:id[@root = $x/cda:id/@root and not(@extension)])  or         exists($section/cda:id[@root = $x/cda:id/@root and not(@extension)])  )) then $x/cda:id         else () " />
    <xsl:variable name="ob-media-other-reused-ids" select="distinct-values(for $id in $ob-media-other-id return if ($id/@root and $id/@extension)          then concat('a root attribute with the value ''', $id/@root, ''' and an extension attribute with the value ''', $id/@extension, '''')          else concat('a root attribute with the value ''', $id/@root, '''')) " />
    <xsl:variable name="sub-admin-other-id" select="for $x in $sub-admin return        if (exists($x/cda:id[@root and @extension]) and (         exists($instance-identifiers-3[@root = $x/cda:id/@root and @extension = $x/cda:id/@extension]) or         exists($external-act/cda:id[@root = $x/cda:id/@root and @extension = $x/cda:id/@extension])  or         exists($external-doc/cda:id[@root = $x/cda:id/@root and @extension = $x/cda:id/@extension])  or         exists($external-obs/cda:id[@root = $x/cda:id/@root and @extension = $x/cda:id/@extension])  or         exists($external-proc/cda:id[@root = $x/cda:id/@root and @extension = $x/cda:id/@extension])  or         exists($manu-org/cda:id[@root = $x/cda:id/@root and @extension = $x/cda:id/@extension])  or         exists($ob-media/cda:id[@root = $x/cda:id/@root and @extension = $x/cda:id/@extension])  or         exists($section/cda:id[@root = $x/cda:id/@root and @extension = $x/cda:id/@extension])  )) then $x/cda:id         else if (exists($x/cda:id[@root and not(@extension)]) and (         exists($instance-identifiers-3[@root = $x/cda:id/@root and not(@extension)]) or         exists($external-act/cda:id[@root = $x/cda:id/@root and not(@extension)])  or         exists($external-doc/cda:id[@root = $x/cda:id/@root and not(@extension)])  or         exists($external-obs/cda:id[@root = $x/cda:id/@root and not(@extension)])  or         exists($external-proc/cda:id[@root = $x/cda:id/@root and not(@extension)])  or         exists($manu-org/cda:id[@root = $x/cda:id/@root and not(@extension)])   or         exists($ob-media/cda:id[@root = $x/cda:id/@root and not(@extension)])  or         exists($section/cda:id[@root = $x/cda:id/@root and not(@extension)])  )) then $x/cda:id         else () " />
    <xsl:variable name="sub-admin-other-reused-ids" select="distinct-values(for $id in $sub-admin-other-id return if ($id/@root and $id/@extension)          then concat('a root attribute with the value ''', $id/@root, ''' and an extension attribute with the value ''', $id/@extension, '''')          else concat('a root attribute with the value ''', $id/@root, '''')) " />
    <xsl:variable name="section-other-id" select="for $x in $section return        if (exists($x/cda:id[@root and @extension]) and (         exists($instance-identifiers-3[@root = $x/cda:id/@root and @extension = $x/cda:id/@extension])  or         exists($external-act/cda:id[@root = $x/cda:id/@root and @extension = $x/cda:id/@extension])  or         exists($external-doc/cda:id[@root = $x/cda:id/@root and @extension = $x/cda:id/@extension])  or         exists($external-obs/cda:id[@root = $x/cda:id/@root and @extension = $x/cda:id/@extension])  or         exists($external-proc/cda:id[@root = $x/cda:id/@root and @extension = $x/cda:id/@extension])  or         exists($manu-org/cda:id[@root = $x/cda:id/@root and @extension = $x/cda:id/@extension])  or         exists($ob-media/cda:id[@root = $x/cda:id/@root and @extension = $x/cda:id/@extension])  or         exists($sub-admin/cda:id[@root = $x/cda:id/@root and @extension = $x/cda:id/@extension]) )) then $x/cda:id         else if (exists($x/cda:id[@root and not(@extension)]) and (         exists($instance-identifiers-3[@root = $x/cda:id/@root and not(@extension)]) or         exists($external-act/cda:id[@root = $x/cda:id/@root and not(@extension)])  or         exists($external-doc/cda:id[@root = $x/cda:id/@root and not(@extension)])  or         exists($external-obs/cda:id[@root = $x/cda:id/@root and not(@extension)])  or         exists($external-proc/cda:id[@root = $x/cda:id/@root and not(@extension)])  or         exists($manu-org/cda:id[@root = $x/cda:id/@root and not(@extension)])   or         exists($ob-media/cda:id[@root = $x/cda:id/@root and not(@extension)])   or         exists($sub-admin/cda:id[@root = $x/cda:id/@root and not(@extension)])  )) then $x/cda:id         else () " />
    <xsl:variable name="section-other-reused-ids" select="distinct-values(for $id in $section-other-id return if ($id/@root and $id/@extension)          then concat('a root attribute with the value ''', $id/@root, ''' and an extension attribute with the value ''', $id/@extension, '''')          else concat('a root attribute with the value ''', $id/@root, '''')) " />
    <xsl:variable name="reused-identifiers" select="for $i in (1 to count($instance-identifiers-3)) return     if ($instance-identifiers-3[$i]/@root and not($instance-identifiers-3[$i]/@extension)     and      not($curr-meds-tg-reused-1b[@root = $instance-identifiers-3[$i]/@root and not(@extension)])   and     $instance-identifiers-3[position() &lt; $i][@root = $instance-identifiers-3[$i]/@root and not(@extension)] )      then $instance-identifiers-3[$i]    else if ($instance-identifiers-3[$i]/@root and $instance-identifiers-3[$i]/@extension         and      not($curr-meds-tg-reused-1b[@root = $instance-identifiers-3[$i]/@root and @extension = $instance-identifiers-3[$i]/@extension])  and      $instance-identifiers-3[position() &lt; $i][@root = $instance-identifiers-3[$i]/@root and @extension = $instance-identifiers-3[$i]/@extension] )      then $instance-identifiers-3[$i]     else () " />
    <xsl:variable name="reused-ids" select="distinct-values(for $i in (1 to count($reused-identifiers)) return     if ($reused-identifiers[$i]/@extension)    then concat('a root attribute with the value ''', $reused-identifiers[$i]/@root, ''' and an extension attribute with the value ''', $reused-identifiers[$i]/@extension, '''')     else concat('a root attribute with the value ''', $reused-identifiers[$i]/@root, ''''))" />
    <xsl:variable name="reused-count" select="if ($numbers/number[@value = count($reused-ids)]) then $numbers/number[number(@value) = count($reused-ids)]/@name else count($reused-ids)" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-75-step-1" select="if ($initial-priority) then $initial-rating else $rating-alt-TC-Types-75-step-1 " />
    <xsl:variable name="rating-tech-75-step-1" select="if ($initial-priority) then $initial-rating else $rating-tech-alt-TC-Types-75-step-1 " />
    <!--REPORT -->
    <xsl:if test=" $parent-id-error ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$parent-id-error">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Error<xsl:text /><xsl:value-of select="$rating-tech-75-step-1" /><xsl:text />: TC-Types-75 step 1: The document contains a 'relatedDocument/parentDocument/id' element where the 'relatedDocument'
		has a typeCode attribute with the value 'XFRM' and the instance identifier has the same value as a 'relatedDocument/parentDocument/id' element where the 'relatedDocument' has
		a typeCode attribute with the value 'RPLC'.
		The instance identifier has <xsl:text /><xsl:value-of select="$parent-id" /><xsl:text /> and has been used to identify the original document that was transformed into CDA format as well as the
		<xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> (in HL7 CDA format) that was superseded by the new <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> (in HL7 CDA format). The
		<xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> in HL7 CDA format does not replace the original document so the instance identifier has been used to identify two different items.
		(See section 7.6.7.3.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and section 3.2.10 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> conformance
		profile.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $doc-id-error ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$doc-id-error">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
	
		Error<xsl:text /><xsl:value-of select="$rating-75-step-1" /><xsl:text />: TC-Types-75 step 1: The document identifier 'ClinicalDocument/id' is an instance identifier with <xsl:text /><xsl:value-of select="$doc-id-msg" /><xsl:text /> and the
		instance identifier has also been used in another data element of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />. The concatenation of root and extension (if present) must be a globally unique
		identifier for the item that the instance identifier identifies. (See section 7.6.7.3.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists($curr-meds-tg-reused-1c)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists($curr-meds-tg-reused-1c)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-75-step-1" /><xsl:text />: TC-Types-75 step 1: The clinical document contains
		<xsl:text /><xsl:value-of select="if (count($curr-meds-tg-reused-1c) = 1) then 'a Therapeutic Good technical identifier '    else concat(if ($numbers/number[number(@value) = count($curr-meds-tg-reused-1c)])        then $numbers/number[number(@value) = count($curr-meds-tg-reused-1c)]/@name        else count($curr-meds-tg-reused-1c), ' Therapeutic Good technical identifiers ') " /><xsl:text />
		in the Current Medications on Discharge section	that was used for one or more other technical identifiers in the Current Medications on Discharge section:
		<xsl:text /><xsl:value-of select="string-join($curr-meds-tg-reused-1c, ' and ')" /><xsl:text />.
		In an instance identifier the concatenation of root and extension (if present)
		must be a globally unique identifier for the item that the instance identifier identifies so it is an error to reuse the Therapeutic Good technical identifier for other types of
		data elements. (See section 7.6.7.3.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

    	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists($external-act-errors) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists($external-act-errors)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-tech-75-step-1" /><xsl:text />: TC-Types-75 step 1: The clinical document contains
		<xsl:text /><xsl:value-of select="if (count($external-act-errors) = 1) then 'one externalAct data element which has the same id but different content as another externalAct. '   else concat(if ($numbers/number[number(@value) = count($external-act-errors)])        then $numbers/number[number(@value) = count($external-act-errors)]/@name        else count($external-act-errors), ' externalAct data elements which have the same id but different content as another externalAct. ')" /><xsl:text /><xsl:text /><xsl:value-of select="if (count($external-act-reused-ids) = 1) then concat('The reused id has ', $external-act-reused-ids[1], '.')   else concat('The reused identifiers have ', string-join($external-act-reused-ids, '; '), '.') " /><xsl:text />
		In an instance identifier the concatenation of root and extension (if present) must be a globally unique identifier for
		the item that the instance identifier identifies so it is an error to reuse an externalAct technical identifier for a different externalAct.
		(See section 7.6.7.3.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

    	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists($external-act-other-id) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists($external-act-other-id)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-tech-75-step-1" /><xsl:text />: TC-Types-75 step 1: The clinical document contains
		<xsl:text /><xsl:value-of select="if (count($external-act-other-id) = 1) then 'one externalAct data element which has the same id as a different type of data element. '   else concat(if ($numbers/number[number(@value) = count($external-act-other-id)])        then $numbers/number[number(@value) = count($external-act-other-id)]/@name        else count($external-act-other-id), ' externalAct data elements which have the same id as a different type of data element. ')" /><xsl:text /><xsl:text /><xsl:value-of select="if (count($external-act-other-reused-ids) = 1) then concat('The reused id has ', $external-act-other-reused-ids[1], '.')   else concat('The reused identifiers have ', string-join($external-act-other-reused-ids, '; '), '.') " /><xsl:text />
		In an instance identifier the concatenation of root and extension (if present) must be a globally unique identifier for
		the item that the instance identifier identifies so it is an error to reuse an externalAct technical identifier for a different type of data element.
		(See section 7.6.7.3.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

    	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists($external-doc-errors) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists($external-doc-errors)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-tech-75-step-1" /><xsl:text />: TC-Types-75 step 1: The clinical document contains
		<xsl:text /><xsl:value-of select="if (count($external-doc-errors) = 1) then 'one externalDocument data element which has the same id but different content as another externalDocument. '   else concat(if ($numbers/number[number(@value) = count($external-doc-errors)])        then $numbers/number[number(@value) = count($external-doc-errors)]/@name        else count($external-doc-errors), ' externalDocument data elements which have the same id but different content as another externalDocument. ')" /><xsl:text /><xsl:text /><xsl:value-of select="if (count($external-doc-reused-ids) = 1) then concat('The reused id has ', $external-doc-reused-ids[1], '.')   else concat('The reused identifiers have ', string-join($external-doc-reused-ids, '; '), '.') " /><xsl:text />
		In an instance identifier the concatenation of root and extension (if present) must be a globally unique identifier for
		the item that the instance identifier identifies so it is an error to reuse an externalDocument technical identifier for a different externalDocument.
		(See section 7.6.7.3.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

    	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists($external-doc-other-id) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists($external-doc-other-id)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-tech-75-step-1" /><xsl:text />: TC-Types-75 step 1: The clinical document contains
		<xsl:text /><xsl:value-of select="if (count($external-doc-other-id) = 1) then 'one externalDocument data element which has the same id as a different type of data element. '   else concat(if ($numbers/number[number(@value) = count($external-doc-other-id)])        then $numbers/number[number(@value) = count($external-doc-other-id)]/@name        else count($external-doc-other-id), ' externalDocument data elements which have the same id as a different type of data element. ')" /><xsl:text /><xsl:text /><xsl:value-of select="if (count($external-doc-other-reused-ids) = 1) then concat('The reused id has ', $external-doc-other-reused-ids[1], '.')   else concat('The reused identifiers have ', string-join($external-doc-other-reused-ids, '; '), '.') " /><xsl:text />
		In an instance identifier the concatenation of root and extension (if present) must be a globally unique identifier for
		the item that the instance identifier identifies so it is an error to reuse an externalDocument technical identifier for a different type of data element.
		(See section 7.6.7.3.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

    	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists($external-obs-errors) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists($external-obs-errors)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-tech-75-step-1" /><xsl:text />: TC-Types-75 step 1: The clinical document contains
		<xsl:text /><xsl:value-of select="if (count($external-obs-errors) = 1) then 'one externalObservation data element which has the same id but different content as another externalObservation. '   else concat(if ($numbers/number[number(@value) = count($external-obs-errors)])        then $numbers/number[number(@value) = count($external-obs-errors)]/@name        else count($external-obs-errors), ' externalObservation data elements which have the same id but different content as another externalObservation. ')" /><xsl:text /><xsl:text /><xsl:value-of select="if (count($external-obs-reused-ids) = 1) then concat('The reused id has ', $external-obs-reused-ids[1], '.')   else concat('The reused identifiers have ', string-join($external-obs-reused-ids, '; '), '.') " /><xsl:text />
		In an instance identifier the concatenation of root and extension (if present) must be a globally unique identifier for
		the item that the instance identifier identifies so it is an error to reuse an externalObservation technical identifier for a different externalObservation.
		(See section 7.6.7.3.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

    	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists($external-obs-other-id) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists($external-obs-other-id)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-tech-75-step-1" /><xsl:text />: TC-Types-75 step 1: The clinical document contains
		<xsl:text /><xsl:value-of select="if (count($external-obs-other-id) = 1) then 'one externalObservation data element which has the same id as a different type of data element. '   else concat(if ($numbers/number[number(@value) = count($external-obs-other-id)])        then $numbers/number[number(@value) = count($external-obs-other-id)]/@name        else count($external-obs-other-id), ' externalObservation data elements which have the same id as a different type of data element. ')" /><xsl:text /><xsl:text /><xsl:value-of select="if (count($external-obs-other-reused-ids) = 1) then concat('The reused id has ', $external-obs-other-reused-ids[1], '.')   else concat('The reused identifiers have ', string-join($external-obs-other-reused-ids, '; '), '.') " /><xsl:text />
		In an instance identifier the concatenation of root and extension (if present) must be a globally unique identifier for
		the item that the instance identifier identifies so it is an error to reuse an externalObservation technical identifier for a different type of data element.
		(See section 7.6.7.3.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

    	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists($external-proc-errors) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists($external-proc-errors)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-tech-75-step-1" /><xsl:text />: TC-Types-75 step 1: The clinical document contains
		<xsl:text /><xsl:value-of select="if (count($external-proc-errors) = 1) then 'one externalProcedure data element which has the same id but different content as another externalProcedure. '   else concat(if ($numbers/number[number(@value) = count($external-proc-errors)])        then $numbers/number[number(@value) = count($external-proc-errors)]/@name        else count($external-proc-errors), ' externalProcedure data elements which have the same id but different content as another externalProcedure. ')" /><xsl:text /><xsl:text /><xsl:value-of select="if (count($external-proc-reused-ids) = 1) then concat('The reused id has ', $external-proc-reused-ids[1], '.')   else concat('The reused identifiers have ', string-join($external-proc-reused-ids, '; '), '.') " /><xsl:text />
		In an instance identifier the concatenation of root and extension (if present) must be a globally unique identifier for
		the item that the instance identifier identifies so it is an error to reuse an externalProcedure technical identifier for a different externalProcedure.
		(See section 7.6.7.3.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

    	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists($external-proc-other-id) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists($external-proc-other-id)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-tech-75-step-1" /><xsl:text />: TC-Types-75 step 1: The clinical document contains
		<xsl:text /><xsl:value-of select="if (count($external-proc-other-id) = 1) then 'one externalProcedure data element which has the same id as a different type of data element. '   else concat(if ($numbers/number[number(@value) = count($external-proc-other-id)])        then $numbers/number[number(@value) = count($external-proc-other-id)]/@name        else count($external-proc-other-id), ' externalProcedure data elements which have the same id as a different type of data element. ')" /><xsl:text /><xsl:text /><xsl:value-of select="if (count($external-proc-other-reused-ids) = 1) then concat('The reused id has ', $external-proc-other-reused-ids[1], '.')   else concat('The reused identifiers have ', string-join($external-proc-other-reused-ids, '; '), '.') " /><xsl:text />
		In an instance identifier the concatenation of root and extension (if present) must be a globally unique identifier for
		the item that the instance identifier identifies so it is an error to reuse an externalProcedure technical identifier for a different type of data element.
		(See section 7.6.7.3.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

    	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists($manu-org-errors) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists($manu-org-errors)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-75-step-1" /><xsl:text />: TC-Types-75 step 1: The clinical document contains
		<xsl:text /><xsl:value-of select="if (count($manu-org-errors) = 1) then 'one manufacturerOrganization data element which has the same id but different content as another manufacturerOrganization. '   else concat(if ($numbers/number[number(@value) = count($manu-org-errors)])        then $numbers/number[number(@value) = count($manu-org-errors)]/@name        else count($manu-org-errors), ' manufacturerOrganization data elements which have the same id but different content as another manufacturerOrganization. ')" /><xsl:text /><xsl:text /><xsl:value-of select="if (count($manu-org-reused-ids) = 1) then concat('The reused id has ', $manu-org-reused-ids[1], '.')   else concat('The reused identifiers have ', string-join($manu-org-reused-ids, '; '), '.') " /><xsl:text />
		In an instance identifier the concatenation of root and extension (if present) must be a globally unique identifier for
		the item that the instance identifier identifies so it is an error to reuse an manufacturerOrganization technical identifier for a different manufacturerOrganization.
		(See section 7.6.7.3.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

    	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists($manu-org-other-id) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists($manu-org-other-id)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-75-step-1" /><xsl:text />: TC-Types-75 step 1: The clinical document contains
		<xsl:text /><xsl:value-of select="if (count($manu-org-other-id) = 1) then 'one manufacturerOrganization data element which has the same id as a different type of data element. '   else concat(if ($numbers/number[number(@value) = count($manu-org-other-id)])        then $numbers/number[number(@value) = count($manu-org-other-id)]/@name        else count($manu-org-other-id), ' manufacturerOrganization data elements which have the same id as a different type of data element. ')" /><xsl:text /><xsl:text /><xsl:value-of select="if (count($manu-org-other-reused-ids) = 1) then concat('The reused id has ', $manu-org-other-reused-ids[1], '.')   else concat('The reused identifiers have ', string-join($manu-org-other-reused-ids, '; '), '.') " /><xsl:text />
		In an instance identifier the concatenation of root and extension (if present) must be a globally unique identifier for
		the item that the instance identifier identifies so it is an error to reuse an manufacturerOrganization technical identifier for a different type of data element.
		(See section 7.6.7.3.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

    	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists($ob-media-errors) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists($ob-media-errors)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-tech-75-step-1" /><xsl:text />: TC-Types-75 step 1: The clinical document contains
		<xsl:text /><xsl:value-of select="if (count($ob-media-errors) = 1) then 'one observationMedia data element which has the same id but different content as another observationMedia. '   else concat(if ($numbers/number[number(@value) = count($ob-media-errors)])        then $numbers/number[number(@value) = count($ob-media-errors)]/@name        else count($ob-media-errors), ' observationMedia data elements which have the same id but different content as another observationMedia. ')" /><xsl:text /><xsl:text /><xsl:value-of select="if (count($ob-media-reused-ids) = 1) then concat('The reused id has ', $ob-media-reused-ids[1], '.')   else concat('The reused identifiers have ', string-join($ob-media-reused-ids, '; '), '.') " /><xsl:text />
		In an instance identifier the concatenation of root and extension (if present) must be a globally unique identifier for
		the item that the instance identifier identifies so it is an error to reuse an observationMedia technical identifier for a different observationMedia.
		(See section 7.6.7.3.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

    	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists($ob-media-other-id) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists($ob-media-other-id)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-tech-75-step-1" /><xsl:text />: TC-Types-75 step 1: The clinical document contains
		<xsl:text /><xsl:value-of select="if (count($ob-media-other-id) = 1) then 'one observationMedia data element which has the same id as a different type of data element. '   else concat(if ($numbers/number[number(@value) = count($ob-media-other-id)])        then $numbers/number[number(@value) = count($ob-media-other-id)]/@name        else count($ob-media-other-id), ' observationMedia data elements which have the same id as a different type of data element. ')" /><xsl:text /><xsl:text /><xsl:value-of select="if (count($ob-media-other-reused-ids) = 1) then concat('The reused id has ', $ob-media-other-reused-ids[1], '.')   else concat('The reused identifiers have ', string-join($ob-media-other-reused-ids, '; '), '.') " /><xsl:text />
		In an instance identifier the concatenation of root and extension (if present) must be a globally unique identifier for
		the item that the instance identifier identifies so it is an error to reuse an observationMedia technical identifier for a different type of data element.
		(See section 7.6.7.3.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

    	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists($sub-admin-errors) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists($sub-admin-errors)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-75-step-1" /><xsl:text />: TC-Types-75 step 1: The clinical document contains
		<xsl:text /><xsl:value-of select="if (count($sub-admin-errors) = 1) then 'one substanceAdministration data element which has the same id but different content as another substanceAdministration. '   else concat(if ($numbers/number[number(@value) = count($sub-admin-errors)])        then $numbers/number[number(@value) = count($sub-admin-errors)]/@name        else count($sub-admin-errors), ' substanceAdministration data elements which have the same id but different content as another substanceAdministration. ')" /><xsl:text /><xsl:text /><xsl:value-of select="if (count($sub-admin-reused-ids) = 1) then concat('The reused id has ', $sub-admin-reused-ids[1], '.')   else concat('The reused identifiers have ', string-join($sub-admin-reused-ids, '; '), '.') " /><xsl:text />
		In an instance identifier the concatenation of root and extension (if present) must be a globally unique identifier for
		the item that the instance identifier identifies so it is an error to reuse an substanceAdministration technical identifier for a different substanceAdministration.
		(See section 7.6.7.3.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

    	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists($sub-admin-other-id) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists($sub-admin-other-id)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-75-step-1" /><xsl:text />: TC-Types-75 step 1: The clinical document contains
		<xsl:text /><xsl:value-of select="if (count($sub-admin-other-id) = 1) then 'one substanceAdministration data element which has the same id as a different type of data element. '   else concat(if ($numbers/number[number(@value) = count($sub-admin-other-id)])        then $numbers/number[number(@value) = count($sub-admin-other-id)]/@name        else count($sub-admin-other-id), ' substanceAdministration data elements which have the same id as a different type of data element. ')" /><xsl:text /><xsl:text /><xsl:value-of select="if (count($sub-admin-other-reused-ids) = 1) then concat('The reused id has ', $sub-admin-other-reused-ids[1], '.')   else concat('The reused identifiers have ', string-join($sub-admin-other-reused-ids, '; '), '.') " /><xsl:text />
		In an instance identifier the concatenation of root and extension (if present) must be a globally unique identifier for
		the item that the instance identifier identifies so it is an error to reuse an substanceAdministration technical identifier for a different type of data element.
		(See section 7.6.7.3.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

    	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists($section-errors) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists($section-errors)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-tech-75-step-1" /><xsl:text />: TC-Types-75 step 1: The clinical document contains
		<xsl:text /><xsl:value-of select="if (count($section-errors) = 1) then 'one section which has the same id but different content as another section. '   else concat(if ($numbers/number[number(@value) = count($section-errors)])        then $numbers/number[number(@value) = count($section-errors)]/@name        else count($section-errors), ' sections which have the same id but different content as another section. ')" /><xsl:text />
		The sections with this error have the <xsl:text /><xsl:value-of select="if ($section-err-names = 1) then concat(' name ''', $section-err-names[1], '''. ')   else concat(' names ''', string-join($section-err-names[position() &lt; last()], ''', '''), ''' and ''', $section-err-names[last()], '''. ') " /><xsl:text /><xsl:text /><xsl:value-of select="if (count($section-reused-ids) = 1) then concat('The reused id has ', $section-reused-ids[1], '.')   else concat('The reused identifiers have ', string-join($section-reused-ids, '; '), '.') " /><xsl:text />
		In an instance identifier the concatenation of root and extension (if present) must be a globally unique identifier for
		the item that the instance identifier identifies so it is an error to reuse a section identifier for a different section.
		(See section 7.6.7.3.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

    	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists($section-other-id) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists($section-other-id)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-tech-75-step-1" /><xsl:text />: TC-Types-75 step 1: The clinical document contains
		<xsl:text /><xsl:value-of select="if (count($section-other-id) = 1) then 'one section which has the same id as a different type of data element. '   else concat(if ($numbers/number[number(@value) = count($section-other-id)])        then $numbers/number[number(@value) = count($section-other-id)]/@name        else count($section-other-id), ' sections which have the same id as a different type of data element. ')" /><xsl:text /><xsl:text /><xsl:value-of select="if (count($section-other-reused-ids) = 1) then concat('The reused id has ', $section-other-reused-ids[1], '.')   else concat('The reused identifiers have ', string-join($section-other-reused-ids, '; '), '.') " /><xsl:text />
		In an instance identifier the concatenation of root and extension (if present) must be a globally unique identifier for
		the item that the instance identifier identifies so it is an error to reuse a section identifier for a different type of data element.
		(See section 7.6.7.3.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

    	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" exists($reused-ids)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="exists($reused-ids)">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-tech-75-step-1" /><xsl:text />: TC-Types-75 step 1: The clinical document contains
		<xsl:text /><xsl:value-of select="if (count($reused-ids) = 1) then 'an instance identifier that was used more than once. The instance identifier has '    else concat(if ($numbers/number[number(@value) = count($reused-ids)])        then $numbers/number[number(@value) = count($reused-ids)]/@name        else count($reused-ids), ' instance identifiers that were used more than once. These are instance identifiers with ') " /><xsl:text /><xsl:text /><xsl:value-of select="string-join($reused-ids, ' and ')" /><xsl:text />. In an instance identifier the concatenation of root and extension (if present) must be a globally unique identifier for the item that
		the instance identifier identifies. Confirm by inspection if the instance identifier has not been used to identify more than one item.
		(See section 7.6.7.3.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

    	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1149" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1149" />
  <xsl:template match="@*|node()" priority="-2" mode="M1149">
    <xsl:apply-templates select="@*|*" mode="M1149" />
  </xsl:template>
  <!--PATTERN p-TS-II-3-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument/cda:recordTarget/cda:patientRole/cda:patient/ext:asEntityIdentifier/ext:id" priority="1000" mode="M1150">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument/cda:recordTarget/cda:patientRole/cda:patient/ext:asEntityIdentifier/ext:id" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-ii-context" select="exists(ancestor::cda:recordTarget) and exists(ancestor::ext:asEntityIdentifier) " />
    <xsl:variable name="rating-76" select="if ($initial-priority) then $initial-rating else if ($default-ii-context) then $rating-TC-Types-76 else $rating-alt-TC-Types-76 " />
    <!--REPORT -->
    <xsl:if test="starts-with(@root,'1.2.36.1.2001.1003.0.800360') and not(@assigningAuthorityName='IHI')">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="starts-with(@root,'1.2.36.1.2001.1003.0.800360') and not(@assigningAuthorityName='IHI')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-76" /><xsl:text />: TC-Types-76: If the document is to be uploaded to the My Health Record system the subject of care's Entity Identifier containing the IHI must also
		have an assigningAuthorityName attribute with the value 'IHI' otherwise the assigningAuthorityName attribute is optional.
		(See requirement DEXS-T 143 in PCEHR Document Exchange Service Using the IHE XDS.b Platform Technical Service Specification v1.5.1.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1150" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1150" />
  <xsl:template match="@*|node()" priority="-2" mode="M1150">
    <xsl:apply-templates select="@*|*" mode="M1150" />
  </xsl:template>
  <!--PATTERN p-TS-INT-1-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument/*[not(local-name(.) = 'component')]//*[local-name(.) = ('batchTotalNumber', 'continuationQuantity', 'expectedSequenceNumber', 'initialQuantity',            'messageWaitingNumber', 'multipleBirthOrderNumber',             'positionNumber', 'priorityNumber', 'resultCurrentQuantity', 'resultRemainingQuantity', 'resultTotalQuantity', 'sequenceNumber',            'startResultNumber', 'transmissionQuantity', 'versionNumber') or        @xsi:type = 'INT'         or         normalize-space(substring-after(@xsi:type, ':')) = 'INT'   ]         |                 /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/*[not(cda:text)]//*[local-name(.) = ('batchTotalNumber', 'continuationQuantity',            'expectedSequenceNumber', 'initialQuantity', 'messageWaitingNumber', 'multipleBirthOrderNumber',             'positionNumber', 'priorityNumber', 'resultCurrentQuantity', 'resultRemainingQuantity', 'resultTotalQuantity', 'sequenceNumber',            'startResultNumber', 'transmissionQuantity', 'versionNumber') or        @xsi:type = 'INT'         or         normalize-space(substring-after(@xsi:type, ':')) = 'INT'   ]         |           /cda:ClinicalDocument/*[not(local-name(.) = 'component')]//*[local-name(.) = 'repeatNumber']/*[local-name(.) = ('low', 'high')]       |                 /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/*[not(cda:text)]//*[local-name(.) = 'repeatNumber']/*[local-name(.) = ('low', 'high')]  " priority="1000" mode="M1151">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument/*[not(local-name(.) = 'component')]//*[local-name(.) = ('batchTotalNumber', 'continuationQuantity', 'expectedSequenceNumber', 'initialQuantity',            'messageWaitingNumber', 'multipleBirthOrderNumber',             'positionNumber', 'priorityNumber', 'resultCurrentQuantity', 'resultRemainingQuantity', 'resultTotalQuantity', 'sequenceNumber',            'startResultNumber', 'transmissionQuantity', 'versionNumber') or        @xsi:type = 'INT'         or         normalize-space(substring-after(@xsi:type, ':')) = 'INT'   ]         |                 /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/*[not(cda:text)]//*[local-name(.) = ('batchTotalNumber', 'continuationQuantity',            'expectedSequenceNumber', 'initialQuantity', 'messageWaitingNumber', 'multipleBirthOrderNumber',             'positionNumber', 'priorityNumber', 'resultCurrentQuantity', 'resultRemainingQuantity', 'resultTotalQuantity', 'sequenceNumber',            'startResultNumber', 'transmissionQuantity', 'versionNumber') or        @xsi:type = 'INT'         or         normalize-space(substring-after(@xsi:type, ':')) = 'INT'   ]         |           /cda:ClinicalDocument/*[not(local-name(.) = 'component')]//*[local-name(.) = 'repeatNumber']/*[local-name(.) = ('low', 'high')]       |                 /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/*[not(cda:text)]//*[local-name(.) = 'repeatNumber']/*[local-name(.) = ('low', 'high')]  " />
    <xsl:variable name="nullFlavor-values" select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]" />
    <xsl:variable name="the-source" select="if(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT')        then concat('the type declaration xsi:type ''', @xsi:type, '''')       else 'the HL7 Reference Information Model' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-04 " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <xsl:variable name="rating-95" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-95 else $rating-alt-TC-Types-95 " />
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not(@xsi:type = 'INT' or normalize-space(substring-after(@xsi:type, ':')) = 'INT')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04" /><xsl:text />: TC-Doc-04: According to <xsl:text /><xsl:value-of select="$the-source" /><xsl:text /> the data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'INT' data type however xsi:type='<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found which is invalid for that data type.
		(See the HL7 Reference Information Model.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@nullFlavor or @value) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor or @value)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-95" /><xsl:text />: TC-Types-95: According to <xsl:text /><xsl:value-of select="$the-source" /><xsl:text /> the data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'INT' data type but does not meet the requirement to have either a 'nullFlavor' or 'value' attribute.
		(See section 7.8.3.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and boolean(number(@value)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and boolean(number(@value))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to <xsl:text /><xsl:value-of select="$the-source" /><xsl:text /> the data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'INT' data type and has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		and value='<xsl:text /><xsl:value-of select="@value" /><xsl:text />'. It is invalid to have a nullFlavor when there is a valid value. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for
		information interchange' and section 2.26 of 'XML Implementation Technology Specification - Data Types'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not(@value) and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(@value) and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to <xsl:text /><xsl:value-of select="$the-source" /><xsl:text /> the data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'INT' data type. It contains a value of nullFlavor 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a value
		value may exist, but it must be derived from the information provided. Confirm if the use of this nullFlavor is valid.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@value) and (@nullFlavor='QS' or @nullFlavor='TRC') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@value) and (@nullFlavor='QS' or @nullFlavor='TRC')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 3: According to <xsl:text /><xsl:value-of select="$the-source" /><xsl:text /> the data element
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'INT' data type and has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />). That value of nullFlavor may not be used for data elements of the INT data type.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1151" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1151" />
  <xsl:template match="@*|node()" priority="-2" mode="M1151">
    <xsl:apply-templates select="@*|*" mode="M1151" />
  </xsl:template>
  <!--PATTERN p-TS-IVL-1-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument/cda:effectiveTime/cda:low          |          /cda:ClinicalDocument/*[not(local-name(.) = 'component')]//cda:low       |          /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/*[not(local-name(.) = 'text')]//cda:low " priority="1000" mode="M1152">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument/cda:effectiveTime/cda:low          |          /cda:ClinicalDocument/*[not(local-name(.) = 'component')]//cda:low       |          /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/*[not(local-name(.) = 'text')]//cda:low " />
    <xsl:variable name="nullFlavor-values" select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]" />
    <xsl:variable name="low-unit-1" select="if (@unit) then replace(@unit, '\{.*\}', '') else '' " />
    <xsl:variable name="low-unit" select="if ($low-unit-1 = '') then '1' else $low-unit-1 " />
    <xsl:variable name="ivl-unit-1" select="if (../@unit) then replace(../@unit, '\{.*\}', '') else ''  " />
    <xsl:variable name="ivl-unit" select="if ($ivl-unit-1 = '') then '1' else $ivl-unit-1 " />
    <xsl:variable name="low-tc-types-93-err" select="if ($low-unit = '' or $low-unit castable as xs:integer) then false()        else dh:ValidateUCUM($low-unit) = 'INVALID' or matches($low-unit, '\s') or matches($low-unit, '\{.*\}.+') " />
    <xsl:variable name="ivl-tc-types-93-err" select="if ($ivl-unit = '' or $ivl-unit castable as xs:integer) then false()        else dh:ValidateUCUM($ivl-unit) = 'INVALID' or matches($ivl-unit, '\s') or matches($ivl-unit, '\{.*\}.+') " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <xsl:variable name="rating-102" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-102 else $rating-alt-TC-Types-102 " />
    <xsl:variable name="rating-104" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-104 else $rating-alt-TC-Types-104 " />
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor='NINF' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor='NINF'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> is
		an interval where the 'low' boundary has a nullFlavor attribute with the value 'NINF' (negative infinity). Confirm if the start of the time interval really should be negative infinity of if
		some other value is intended. For example, if the time is unknown then a nullFlavor attribute with the value 'NINF' is incorrect and one of the nullFlavor values that indicate the time is
		unknown should be used. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @value and @nullFlavor = ('UNC', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value and @nullFlavor = ('UNC', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> is
		an interval where the 'low' boundary has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a value is
		not provided however a value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' is provided. It is invalid to use this nullFlavor attribute when a proper value is provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @value and ../@nullFlavor = ('UNC', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value and ../@nullFlavor = ('UNC', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> is
		an interval with a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="../@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/../@nullFlavor]/@name" /><xsl:text />)  which
		indicates a value is not provided however a 'low' boundary value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' is provided. It is invalid to use this nullFlavor attribute when a proper value is provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> is an
		interval with nullFlavor 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a value value may exist, but it must be derived from the information provided. Confirm if the
		use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:originalText) and @nullFlavor='UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:originalText) and @nullFlavor='UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> is an interval where the 'low' boundary has a nullFlavor attribute with the value 'UNC' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />).
		An originalText element is not present so it is an error to include a nullFlavor attribute with the value 'UNC'.
		(See section 7.10.9.3.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = ('QS', 'TRC') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = ('QS', 'TRC')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 3: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> is an interval where the 'low' boundary has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'. This value is invalid for a 'low'
		boundary. (See section 7.10.9.3.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'PINF' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'PINF'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-102" /><xsl:text />: TC-Types-102: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> is
		an interval where the 'low' boundary has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'. This value is invalid for a 'low' boundary.
		(See section 7.10.9.3.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ../cda:any or ../cda:width ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="../cda:any or ../cda:width">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-104" /><xsl:text />: TC-Types-104: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> is
		an interval with a 'low' boundary and
		<xsl:text /><xsl:value-of select="if (../cda:any and ../cda:width) then 'an ''any'' and a ''width'' element.'   else if (../cda:width) then 'a ''width'' element.' else 'an ''any'' element.' " /><xsl:text />
		If an interval has a 'low' boundary then it must not have
		<xsl:text /><xsl:value-of select="if (../cda:any and ../cda:width) then 'an ''any'' or a ''width'' element.'   else if (../cda:width) then 'a ''width'' element.' else 'an ''any'' element.' " /><xsl:text />
		(See section 7.10.9.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($low-tc-types-93-err or $ivl-tc-types-93-err) and $ivl-unit != '1' and $low-unit != '1' and $low-unit != $ivl-unit ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($low-tc-types-93-err or $ivl-tc-types-93-err) and $ivl-unit != '1' and $low-unit != '1' and $low-unit != $ivl-unit">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-104" /><xsl:text />: TC-Types-104: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> is an
		interval with a 'low' boundary. The interval has the unit '<xsl:text /><xsl:value-of select="../@unit" /><xsl:text />' and the 'low' boundary has the unit '<xsl:text /><xsl:value-of select="@unit" /><xsl:text />'. It is an error for the unit in the
		'low' boundary to differ from the interval unit.
		(See section 7.10.9.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and section 3.7 of the HL7 'Data Types - Abstract Specification'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1152" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1152" />
  <xsl:template match="@*|node()" priority="-2" mode="M1152">
    <xsl:apply-templates select="@*|*" mode="M1152" />
  </xsl:template>
  <!--PATTERN p-TS-IVL-2-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument/cda:effectiveTime/cda:high           |          /cda:ClinicalDocument/*[not(local-name(.) = 'component')]//cda:high        |          /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/*[not(local-name(.) = 'text')]//cda:high  " priority="1000" mode="M1153">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument/cda:effectiveTime/cda:high           |          /cda:ClinicalDocument/*[not(local-name(.) = 'component')]//cda:high        |          /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/*[not(local-name(.) = 'text')]//cda:high  " />
    <xsl:variable name="nullFlavor-values" select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]" />
    <xsl:variable name="high-unit-1" select="if (@unit) then replace(@unit, '\{.*\}', '') else '' " />
    <xsl:variable name="high-unit" select="if ($high-unit-1 = '') then '1' else $high-unit-1 " />
    <xsl:variable name="ivl-unit-1" select="if (../@unit) then replace(../@unit, '\{.*\}', '') else ''  " />
    <xsl:variable name="ivl-unit" select="if ($ivl-unit-1 = '') then '1' else $ivl-unit-1 " />
    <xsl:variable name="high-tc-types-93-err" select="if ($high-unit = '' or $high-unit castable as xs:integer) then false()        else dh:ValidateUCUM($high-unit) = 'INVALID' or matches($high-unit, '\s') or matches($high-unit, '\{.*\}.+') " />
    <xsl:variable name="ivl-tc-types-93-err" select="if ($ivl-unit = '' or $ivl-unit castable as xs:integer) then false()        else dh:ValidateUCUM($ivl-unit) = 'INVALID' or matches($ivl-unit, '\s') or matches($ivl-unit, '\{.*\}.+') " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <xsl:variable name="rating-103" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-103 else $rating-alt-TC-Types-103 " />
    <xsl:variable name="rating-104" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-104 else $rating-alt-TC-Types-104 " />
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor='PINF' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor='PINF'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> is
		an interval where the 'high' boundary has a nullFlavor attribute with the value 'PINF' (positive infinity). Confirm if the end of the time interval really should be positive infinity of
		if some other value is intended. For example, if the time is unknown then nullFlavor='PINF' is incorrect and one of the nullFlavor values that indicate the time is unknown should be used.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @value and @nullFlavor = ('UNC', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value and @nullFlavor = ('UNC', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> is
		an interval where the 'high' boundary has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a value is
		not provided however a value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' is provided. It is invalid to use this nullFlavor attribute when a proper value is provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @value and ../@nullFlavor = ('UNC', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value and ../@nullFlavor = ('UNC', 'UNK', 'ASKU', 'NAV', 'NASK', 'MSK')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> is
		an interval with a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="../@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavors/nullFlavor[@value = current()/../@nullFlavor]/@name" /><xsl:text />) which
		indicates a value is not provided however the 'high' boundary has the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'. It is invalid to use this nullFlavor attribute when a proper value is provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = ('QS', 'TRC') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = ('QS', 'TRC')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 3: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> is an interval where the 'high' boundary has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'. This value is invalid for a 'high'
		boundary. (See section 7.10.9.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'NINF' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'NINF'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-103" /><xsl:text />: TC-Types-103: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> is
		an interval where the 'high' boundary has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'. This value is invalid for a 'high' boundary.
		(See section 7.10.9.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" ../cda:any or ../cda:width ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="../cda:any or ../cda:width">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-104" /><xsl:text />: TC-Types-104: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> is
		an interval with a 'high' boundary and either an 'any' or 'width' element. If an interval has a 'high' boundary then it must not have 'any' or 'width' elements.
		(See section 7.10.9.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($high-tc-types-93-err or $ivl-tc-types-93-err) and $ivl-unit != '1' and $high-unit != '1' and $high-unit != $ivl-unit ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($high-tc-types-93-err or $ivl-tc-types-93-err) and $ivl-unit != '1' and $high-unit != '1' and $high-unit != $ivl-unit">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-104" /><xsl:text />: TC-Types-104: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> is an
		interval with a 'high' boundary. The interval has the unit '<xsl:text /><xsl:value-of select="../@unit" /><xsl:text />' and the 'high' boundary has the unit '<xsl:text /><xsl:value-of select="@unit" /><xsl:text />'. It is an error for the unit in
		the 'high' boundary to differ from the interval unit.
		(See section 7.10.9.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and section 3.7 of the HL7 'Data Types - Abstract Specification'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1153" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1153" />
  <xsl:template match="@*|node()" priority="-2" mode="M1153">
    <xsl:apply-templates select="@*|*" mode="M1153" />
  </xsl:template>
  <!--PATTERN p-TS-IVL-3-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument/cda:effectiveTime[cda:low or cda:high]               |          /cda:ClinicalDocument/*[not(local-name(.) = 'component')]//*[        local-name(.) = ('doseQuantity', 'existenceTime', 'expectedUseTime', 'expirationTime', 'rateQuantity', 'repeatNumber', 'stabilityTime') or        (local-name(.) = ('effectiveTime', 'time') and (cda:low or cda:high))          or        (@unit and (cda:low or cda:high))              or         (cda:low[@unit] and cda:high[@unit])              or        @xsi:type = ('IVL_TS', 'IVL_PQ', 'IVL_INT', 'IVL_REAL')           or        normalize-space(substring-after(@xsi:type, ':')) = ('IVL_TS', 'IVL_PQ', 'IVL_INT', 'IVL_REAL')       ] |                 /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/*[not(local-name(.) = 'text')]//*[        local-name(.) = ('doseQuantity', 'existenceTime', 'expectedUseTime', 'expirationTime', 'rateQuantity', 'repeatNumber', 'stabilityTime') or        (local-name(.) = ('effectiveTime', 'time') and (cda:low or cda:high))          or        (@unit and (cda:low or cda:high))              or         (cda:low[@unit] and cda:high[@unit])              or        @xsi:type = ('IVL_TS', 'IVL_PQ', 'IVL_INT', 'IVL_REAL')           or        normalize-space(substring-after(@xsi:type, ':')) = ('IVL_TS', 'IVL_PQ', 'IVL_INT', 'IVL_REAL')       ] " priority="1000" mode="M1154">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument/cda:effectiveTime[cda:low or cda:high]               |          /cda:ClinicalDocument/*[not(local-name(.) = 'component')]//*[        local-name(.) = ('doseQuantity', 'existenceTime', 'expectedUseTime', 'expirationTime', 'rateQuantity', 'repeatNumber', 'stabilityTime') or        (local-name(.) = ('effectiveTime', 'time') and (cda:low or cda:high))          or        (@unit and (cda:low or cda:high))              or         (cda:low[@unit] and cda:high[@unit])              or        @xsi:type = ('IVL_TS', 'IVL_PQ', 'IVL_INT', 'IVL_REAL')           or        normalize-space(substring-after(@xsi:type, ':')) = ('IVL_TS', 'IVL_PQ', 'IVL_INT', 'IVL_REAL')       ] |                 /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/*[not(local-name(.) = 'text')]//*[        local-name(.) = ('doseQuantity', 'existenceTime', 'expectedUseTime', 'expirationTime', 'rateQuantity', 'repeatNumber', 'stabilityTime') or        (local-name(.) = ('effectiveTime', 'time') and (cda:low or cda:high))          or        (@unit and (cda:low or cda:high))              or         (cda:low[@unit] and cda:high[@unit])              or        @xsi:type = ('IVL_TS', 'IVL_PQ', 'IVL_INT', 'IVL_REAL')           or        normalize-space(substring-after(@xsi:type, ':')) = ('IVL_TS', 'IVL_PQ', 'IVL_INT', 'IVL_REAL')       ] " />
    <xsl:variable name="nullFlavor-values" select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]" />
    <xsl:variable name="name-time-interval" select=" local-name(.) = ('existenceTime', 'expectedUseTime', 'expirationTime', 'stabilityTime', 'effectiveTime', 'time') " />
    <xsl:variable name="name-quantity-interval" select=" local-name(.) = ('doseQuantity', 'rateQuantity')  or        @unit         or         (cda:low[@unit] and cda:high[@unit])    " />
    <xsl:variable name="name-int-interval" select=" local-name(.) = 'repeatNumber'      " />
    <xsl:variable name="a-time-interval" select=" @xsi:type = 'IVL_TS'      or         normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS'  or        $name-time-interval      " />
    <xsl:variable name="a-quantity-interval" select=" @xsi:type = 'IVL_PQ'      or         normalize-space(substring-after(@xsi:type, ':')) = 'IVL_PQ'  or        $name-quantity-interval      " />
    <xsl:variable name="an-int-interval" select=" @xsi:type = 'IVL_INT'      or         normalize-space(substring-after(@xsi:type, ':')) = 'IVL_INT'  or        $name-int-interval      " />
    <xsl:variable name="a-real-interval" select=" @xsi:type = 'IVL_REAL'      or         normalize-space(substring-after(@xsi:type, ':')) = 'IVL_REAL'  " />
    <xsl:variable name="high-dt" select="if ($a-time-interval and cda:high/@value) then cda:high/@value else '' " />
    <xsl:variable name="low-dt" select="if ($a-time-interval and cda:low/@value) then cda:low/@value else '' " />
    <xsl:variable name="low-tz" select="if (contains($low-dt, '-')) then concat('-', substring-after($low-dt, '-'))        else if (contains($low-dt, '+')) then concat('+', substring-after($low-dt, '+'))        else '' " />
    <xsl:variable name="high-tz" select="if (contains($high-dt, '-')) then concat('-', substring-after($high-dt, '-'))        else if (contains($high-dt, '+')) then concat('+', substring-after($high-dt, '+'))        else '' " />
    <xsl:variable name="null-values" select="$low-dt = '' or $high-dt = '' " />
    <xsl:variable name="tz-error" select="if (not($a-time-interval)) then false() else not($null-values) and (($low-tz = '' and $high-tz != '') or ($low-tz != '' and $high-tz = ''))" />
    <xsl:variable name="equal-dateTime" select="$low-dt != '' and $high-dt != '' and dh:AreDatesEqual($low-dt, $high-dt) = '1'  " />
    <xsl:variable name="low-no-tz" select="if (not($a-time-interval)) then '' else if ($low-tz = '') then $low-dt else substring-before($low-dt, $low-tz) " />
    <xsl:variable name="high-no-tz" select="if (not($a-time-interval)) then '' else if ($high-tz = '') then $high-dt else substring-before($high-dt, $high-tz) " />
    <xsl:variable name="high-dt-before-low-dt" select="if ($null-values) then false()        else if (matches($high-dt, '^[0-9]{12,}') and matches($low-dt, '^[0-9]{12,}') and string-length($high-dt) = string-length($low-dt))          then dh:IsFirstDateEarlierThanSecondDate($high-dt, $low-dt) = '1'        else if (matches($high-dt, '^[0-9]{12,}') and matches($low-dt, '^[0-9]{12,}'))          then dh:IsFirstDateEarlierThanSecondDate(replace($high-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3'),           replace($low-dt, '(^[0-9]{12})(.*?)([\-+][0-9]{4})', '$1$3')) = '1'        else if ($body-same-timezones and matches($low-dt, '^[0-9]{8}$') and          matches($high-dt, concat('^', $low-dt, '[0]{4}'))) then true()        else if (matches($high-dt, '^[0-9]{4}') and matches($low-dt, '^[0-9]{4}'))         then dh:IsFirstDateEarlierThanSecondDate(substring($high-dt, '1', string-length($low-dt)),           substring($low-dt, '1', string-length($high-dt))) = '1'        else false() " />
    <xsl:variable name="low-dt-year" select="if (not($equal-dateTime)) then '' else substring($low-dt, 1, 4)" />
    <xsl:variable name="low-dt-month-num" select="if (not($equal-dateTime)) then '' else substring($low-dt, 5, 2)" />
    <xsl:variable name="low-dt-day" select="if (not($equal-dateTime)) then '' else substring($low-dt, 7, 2)" />
    <xsl:variable name="low-dt-month" select="if ($low-dt-month-num = '') then ''       else if ($low-dt-month-num = '01') then 'Jan'       else if ($low-dt-month-num = '02') then 'Feb'       else if ($low-dt-month-num = '03') then 'Mar'       else if ($low-dt-month-num = '04') then 'Apr'       else if ($low-dt-month-num = '05') then 'May'       else if ($low-dt-month-num = '06') then 'Jun'       else if ($low-dt-month-num = '07') then 'Jul'       else if ($low-dt-month-num = '08') then 'Aug'       else if ($low-dt-month-num = '09') then 'Sep'       else if ($low-dt-month-num = '10') then 'Oct'       else if ($low-dt-month-num = '11') then 'Nov'       else if ($low-dt-month-num = '12') then 'Dec'        else '' " />
    <xsl:variable name="low-dt-display" select="if ($low-dt-day != '') then concat($low-dt-day, ' ', $low-dt-month, ' ', $low-dt-year)       else if ($low-dt-month != '') then concat($low-dt-month, ' ', $low-dt-year)       else $low-dt-year " />
    <xsl:variable name="ivl-unit-1" select="if (not($a-quantity-interval)) then '' else if (@unit) then replace(@unit, '\{.*\}', '') else ''  " />
    <xsl:variable name="ivl-unit" select="if (not($a-quantity-interval)) then '' else if ($ivl-unit-1 = '') then '1' else $ivl-unit-1 " />
    <xsl:variable name="low-unit-1" select="if (not($a-quantity-interval)) then '' else replace(cda:low/@unit, '\{.*\}', '') " />
    <xsl:variable name="low-unit" select="if (not($a-quantity-interval)) then ''         else if ($ivl-unit = $low-unit-1) then $ivl-unit        else if ($ivl-unit != '1' and ($low-unit-1 = '' or $low-unit-1 = '1')) then $ivl-unit        else if ($ivl-unit != '1' and not($low-unit-1 = '' or $low-unit-1 = '1')) then 'error'        else if ($low-unit-1 = '') then '1'         else $low-unit-1 " />
    <xsl:variable name="high-unit-1" select="if (not($a-quantity-interval)) then '' else replace(cda:high/@unit, '\{.*\}', '') " />
    <xsl:variable name="high-unit" select="if (not($a-quantity-interval)) then ''         else if ($ivl-unit = $high-unit-1) then $ivl-unit        else if ($ivl-unit != '1' and ($high-unit-1 = '' or $high-unit-1 = '1')) then $ivl-unit        else if ($ivl-unit != '1' and not($high-unit-1 = '' or $high-unit-1 = '1')) then 'error'        else if ($high-unit-1 = '') then '1'         else $high-unit-1 " />
    <xsl:variable name="low-tc-types-93-err" select="if ($low-unit = '' or $low-unit castable as xs:integer) then false()        else dh:ValidateUCUM($low-unit) = 'INVALID' or matches($low-unit, '\s') or matches($low-unit, '\{.*\}.+') " />
    <xsl:variable name="high-tc-types-93-err" select="if ($high-unit = '' or $high-unit castable as xs:integer) then false()        else dh:ValidateUCUM($high-unit) = 'INVALID' or matches($high-unit, '\s') or matches($high-unit, '\{.*\}.+') " />
    <xsl:variable name="ivl-tc-types-93-err" select="if ($ivl-unit = '' or $ivl-unit castable as xs:integer) then false()        else dh:ValidateUCUM($ivl-unit) = 'INVALID' or matches($ivl-unit, '\s') or matches($ivl-unit, '\{.*\}.+') " />
    <xsl:variable name="unit-err" select="$low-tc-types-93-err or $high-tc-types-93-err or $ivl-tc-types-93-err or $low-unit = 'error' or $high-unit = 'error' " />
    <xsl:variable name="same-units" select="$low-unit = $high-unit and not($unit-err) " />
    <xsl:variable name="equal-quantities" select="$a-quantity-interval and cda:low/@value = cda:high/@value and $same-units " />
    <xsl:variable name="equal-integers" select="$an-int-interval and cda:low/@value = cda:high/@value " />
    <xsl:variable name="equal-reals" select="$a-real-interval and cda:low/@value = cda:high/@value " />
    <xsl:variable name="type-source" select="if (@xsi:type) then concat('the type declaration xsi:type ''', @xsi:type, '''')        else 'the HL7 Reference Information Model' " />
    <xsl:variable name="tz-error-msg" select="if (not($a-time-interval)) then ''        else if ($tz-error and string-length($low-no-tz) &gt; 9 and string-length($high-no-tz) &lt; 9) then normalize-space(       'The interval''s lower boundary has a date and time whereas the upper boundary has a date only. To be a valid time interval the        upper boundary must contain a time and if the time is unknown then use ''2359'' to mean the end of the day. For example, if the time of unknown       then instead of the date ''20120103'' use ''201201032359'' plus the time zone offset. (See the HL7 Implementation Guidance for the IVL TS data type.)'       ) else '' " />
    <xsl:variable name="low-inclusive" select="if (not(cda:low)) then '' else if (cda:low/@inclusive='false') then ' (excluded)' else ' (included)' " />
    <xsl:variable name="high-inclusive" select="if (not(cda:high)) then '' else if (cda:high/@inclusive='false') then ' (excluded)' else ' (included)' " />
    <xsl:variable name="display-interval" select="if (@value and cda:low/@value and cda:high/@value)         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34), ', low value ', codepoints-to-string(34), cda:low/@value,        codepoints-to-string(34), $low-inclusive, ' and high value ', codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)        else if (@value and cda:low/@value and not(cda:high/@value))         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34), ' and low value ', codepoints-to-string(34), cda:low/@value,        codepoints-to-string(34), $low-inclusive)       else if (@value and not(cda:low/@value) and cda:high/@value)         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34), ' and high value ', codepoints-to-string(34),        cda:high/@value, codepoints-to-string(34), $high-inclusive)       else if (not(@value) and cda:low/@value and cda:high/@value)         then concat('low value ', codepoints-to-string(34), cda:low/@value, codepoints-to-string(34), $low-inclusive, ' and high value ',         codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)       else if (@value and not(cda:low/@value) and not(cda:high/@value))         then concat('value ', codepoints-to-string(34), @value, codepoints-to-string(34))       else if (not(@value) and cda:low/@value and not(cda:high/@value))         then concat('low value ', codepoints-to-string(34), cda:low/@value, codepoints-to-string(34), $low-inclusive)       else if (not(@value) and not(cda:low/@value) and cda:high/@value)         then concat('high value ', codepoints-to-string(34), cda:high/@value, codepoints-to-string(34), $high-inclusive)       else 'no value attribute and no low or high data elements' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-04 " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <xsl:variable name="rating-103" select="if ($initial-priority) then $initial-rating        else if ($default-context and ($equal-dateTime or $equal-quantities or $equal-integers or $equal-reals)) then $rating-eq-TC-Types-103 else if ($default-context) then $rating-TC-Types-103        else if ($equal-dateTime or $equal-quantities or $equal-integers or $equal-reals) then $rating-eq-alt-TC-Types-103 else $rating-alt-TC-Types-103 " />
    <xsl:variable name="rating-104" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-104 else $rating-alt-TC-Types-104 " />
    <!--REPORT -->
    <xsl:if test=" $name-time-interval and @xsi:type and not(@xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$name-time-interval and @xsi:type and not(@xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04" /><xsl:text />: TC-Doc-04: According to the HL7 Reference Information Model the data element
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'IVL_TS' (time interval) data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present which is invalid for
		that data type. (See the HL7 Reference Information Model.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $name-quantity-interval and @xsi:type and not(@xsi:type = 'IVL_PQ' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_PQ') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$name-quantity-interval and @xsi:type and not(@xsi:type = 'IVL_PQ' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_PQ')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04" /><xsl:text />: TC-Doc-04: According to the HL7 Reference Information Model the data element
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'IVL_PQ'
		(quantity interval) data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present which is invalid for that data type.
		(See the HL7 Reference Information Model.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $name-int-interval and @xsi:type and not(@xsi:type = 'IVL_INT' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_INT') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$name-int-interval and @xsi:type and not(@xsi:type = 'IVL_INT' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_INT')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04" /><xsl:text />: TC-Doc-04: According to the HL7 Reference Information Model the data element
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'IVL_INT'
		(integer interval) data type however an xsi:type attribute with the value '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is present which is invalid for that data type.
		(See the HL7 Reference Information Model.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = ('PINF', 'NINF') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = ('PINF', 'NINF')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 1: According to <xsl:text /><xsl:value-of select="$type-source" /><xsl:text /> the data element
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'IVL' data type and has a nullFlavor attribute with the value
		'<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />). That value of nullFlavor may not be used for data elements of the IVL data type.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = ('QS', 'TRC') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = ('QS', 'TRC')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 3: According to <xsl:text /><xsl:value-of select="$type-source" /><xsl:text /> the data element
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'IVL' data type and has a nullFlavor attribute with the value
		'<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />). That value of nullFlavor may not be used for data elements of the IVL data type.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $a-time-interval and $high-dt-before-low-dt ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$a-time-interval and $high-dt-before-low-dt">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-103" /><xsl:text />: TC-Types-103: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		has <xsl:text /><xsl:value-of select="$display-interval" /><xsl:text /> and is a
		time interval where the lower boundary '<xsl:text /><xsl:value-of select="$low-dt" /><xsl:text />' is higher than the upper boundary '<xsl:text /><xsl:value-of select="$high-dt" /><xsl:text />'. If low and high interval
		boundaries are both stated the high boundary must be higher than the low boundary and a boundary value is to be included only if it is known.
		(See section 7.10.9.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $a-time-interval and not($null-values) and $equal-dateTime and not($tz-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$a-time-interval and not($null-values) and $equal-dateTime and not($tz-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-103" /><xsl:text />: TC-Types-103: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		has <xsl:text /><xsl:value-of select="$display-interval" /><xsl:text /> and is a time
		interval with a zero length from '<xsl:text /><xsl:value-of select="$low-dt" /><xsl:text />' to '<xsl:text /><xsl:value-of select="$high-dt" /><xsl:text />'.		
		<xsl:text /><xsl:value-of select="if (matches($low-dt, '^([0-9]{8}|[0-9]{6}|[0-9]{4})$')) then concat('That is the ''', local-name(..), '/', local-name(.),    ''' data element states the time interval commences at the start of ', $low-dt-display, ' and ends at the start of ', $low-dt-display, '.') else '' " /><xsl:text />
		If low and high interval boundaries are both stated the high boundary must
		be higher than the low boundary and a boundary value is to be included only if it is known. (See section 7.10.9.3.3 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'.) If the low and high boundary values are known then they should be recorded using the appropriate precision, e.g. a time interval of less than 24 hours is recorded by stating
		the date, time and timezone in both the low and high boundary values.
		<xsl:text /><xsl:value-of select="if (/cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3']] and        .[local-name(.) = 'effectiveTime']         and       ..[local-name(.) = 'encompassingEncounter']        and       ../..[local-name(.) = 'componentOf']         ) then ''   else concat('A second option is revise the ''', local-name(..), '/', local-name(.), ''' data element to remove the low and high boundaries and include a ''value'' attribute ',   'with the value ''', $low-dt, ''' which represents a time interval based on precision of the value. For example a ''', local-name(..), '/', local-name(.),    ''' data element with a ''value'' attribute with the value ''', $low-dt, ''' indicates the event started and ended sometime that ',   if (matches($low-dt, '^[0-9]{8}$')) then 'day' else if (matches($low-dt, '^[0-9]{6}$')) then 'month' else if (matches($low-dt, '^[0-9]{4}$')) then 'year'   else if (matches($low-dt, '^[0-9]{12}(\+|\-)')) then 'minute' else if (matches($low-dt, '^[0-9]{14}(\+|\-)')) then 'second' else 'fraction of a second', '.') " /><xsl:text />
		(See section 3.8.1 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.) Another option is to increase the value of the high boundary to the following
		<xsl:text /><xsl:value-of select="if (matches($low-dt, '^[0-9]{8}$')) then 'day' else if (matches($low-dt, '^[0-9]{6}$')) then 'month' else if (matches($low-dt, '^[0-9]{4}$')) then 'year'   else if (matches($low-dt, '^[0-9]{12}(\+|\-)')) then 'minute' else if (matches($low-dt, '^[0-9]{14}(\+|\-)')) then 'second' else 'fraction of a second'" /><xsl:text />
		and include an 'inclusive' attribute to the 'high' element with the value 'false' to state the high boundary is not included in the time interval.
		(See sections 3.8 and 3.9 and the example in section 2.2.1 of 'XML Implementation Technology Specification - Data Types'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $a-time-interval and not($null-values) and $tz-error ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$a-time-interval and not($null-values) and $tz-error">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
                Error<xsl:text /><xsl:value-of select="$rating-104" /><xsl:text />: TC-Types-104: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		has <xsl:text /><xsl:value-of select="$display-interval" /><xsl:text /> and is a time
		interval with a low boundary of '<xsl:text /><xsl:value-of select="$low-dt" /><xsl:text />' and a high boundary of '<xsl:text /><xsl:value-of select="$high-dt" /><xsl:text />'. It is an error for the time zone to be present in only
		one boundary of the interval as it fails the requirement for the boundary values to be comparable. (See sections 7.8.13.4  and 7.10.9.5 of
		ISO 21090 'Health informatics - Harmonized data types for information interchange'.) <xsl:text /><xsl:value-of select="$tz-error-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $a-time-interval and not(@nullFlavor or @value or cda:width or cda:any or cda:low or cda:high) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$a-time-interval and not(@nullFlavor or @value or cda:width or cda:any or cda:low or cda:high)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-104" /><xsl:text />: TC-Types-104: According to <xsl:text /><xsl:value-of select="$type-source" /><xsl:text /> the data element
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'IVL' data type. It does not have nullFlavor, value,
		width, any, low or high child elements but at least one must be present to meet the requirements of the 'IVL' data type.
		(See section 7.10.9.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $a-quantity-interval and cda:low/@value &gt; cda:high/@value and $same-units ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$a-quantity-interval and cda:low/@value &gt; cda:high/@value and $same-units">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-103" /><xsl:text />: TC-Types-103: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-interval" /><xsl:text /> and is a quantity interval where the lower boundary
		'<xsl:text /><xsl:value-of select="if ($low-unit = '1') then cda:low/@value else concat(cda:low/@value, ' ', $low-unit)" /><xsl:text />' is higher than the upper boundary
		'<xsl:text /><xsl:value-of select="if ($high-unit = '1') then cda:high/@value else concat(cda:high/@value, ' ', $high-unit)" /><xsl:text />'.
		If low and high interval boundaries are both stated the high boundary must be higher than the low boundary and a
		boundary value is to be included only if it is known. (See section 7.10.9.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $equal-quantities ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$equal-quantities">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-103" /><xsl:text />: TC-Types-103: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-interval" /><xsl:text /> and is a quantity interval with a zero length from
		'<xsl:text /><xsl:value-of select="if ($low-unit = '1') then cda:low/@value else concat(cda:low/@value, ' ', $low-unit)" /><xsl:text />' to
		'<xsl:text /><xsl:value-of select="if ($high-unit = '1') then cda:high/@value else concat(cda:high/@value, ' ', $high-unit)" /><xsl:text />'. If low and high interval
		boundaries are both stated the high boundary must be higher than the low boundary and a boundary value is to be included only if it is known.
		(See section 7.10.9.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		An option to resolve the error is to increase the value of the high boundary and include the inclusive attribute with the value "false" to state the high boundary is not included in the
		interval. (See sections 3.8 and 3.9 and the example in section 2.2.1 of 'XML Implementation Technology Specification - Data Types'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $a-quantity-interval and not($flags/@allow-hints = 'false') and not($low-unit = $high-unit) and not($unit-err) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$a-quantity-interval and not($flags/@allow-hints = 'false') and not($low-unit = $high-unit) and not($unit-err)">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Hint<xsl:text /><xsl:value-of select="$rating-104" /><xsl:text />: TC-Types-104: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-interval" /><xsl:text /> and is a quantity interval with different units of the low and high boundaries. The value of the low/unit is '<xsl:text /><xsl:value-of select="cda:low/@unit" /><xsl:text />' and the
		value of the high/unit is '<xsl:text /><xsl:value-of select="cda:high/@unit" /><xsl:text />'. Confirm if these boundary units are comparable. For example, milligrams and grams and comparable whereas grams and
		millilitres are not comparable. (See section 7.10.9.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		If the units are comparable then confirm that the value of the high boundary is higher than the value of the low boundary.
		(See section 7.10.9.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $an-int-interval and cda:low/@value &gt; cda:high/@value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$an-int-interval and cda:low/@value &gt; cda:high/@value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-103" /><xsl:text />: TC-Types-103: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-interval" /><xsl:text /> and is an integer interval where the lower boundary '<xsl:text /><xsl:value-of select="cda:low/@value" /><xsl:text />' is higher than the upper boundary
		'<xsl:text /><xsl:value-of select="cda:high/@value" /><xsl:text />'. If low and high interval boundaries are both stated the high boundary must be higher than the low boundary and a boundary value is to be included
		only if it is known. (See section 7.10.9.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $equal-integers ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$equal-integers">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-103" /><xsl:text />: TC-Types-103: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-interval" /><xsl:text /> and is an integer interval with a zero length from <xsl:text /><xsl:value-of select="cda:low/@value" /><xsl:text /> to <xsl:text /><xsl:value-of select="cda:high/@value" /><xsl:text />. If low and high interval
		boundaries are both stated the high boundary must be higher than the low boundary and a boundary value is to be included only if it is known.
		(See section 7.10.9.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		An option to resolve the error is to increase the value of the high boundary and include the inclusive attribute with the value "false" to state the high boundary is not included in the
		interval. (See sections 3.8 and 3.9 and the example in section 2.2.1 of 'XML Implementation Technology Specification - Data Types'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $a-real-interval and cda:low/@value &gt; cda:high/@value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$a-real-interval and cda:low/@value &gt; cda:high/@value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-103" /><xsl:text />: TC-Types-103: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-interval" /><xsl:text /> and is an interval of real numbers where the lower boundary '<xsl:text /><xsl:value-of select="cda:low/@value" /><xsl:text />' is higher than the upper boundary
		'<xsl:text /><xsl:value-of select="cda:high/@value" /><xsl:text />'. If low and high interval boundaries are both stated the high boundary must be higher than the low boundary and a boundary value is to be included
		only if it is known. (See section 7.10.9.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $equal-reals ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$equal-reals">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-103" /><xsl:text />: TC-Types-103: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-interval" /><xsl:text /> and is an interval of real numbers with a zero length from <xsl:text /><xsl:value-of select="cda:low/@value" /><xsl:text /> to <xsl:text /><xsl:value-of select="cda:high/@value" /><xsl:text />. If low and high
		interval boundaries are both stated the high boundary must be higher than the low boundary and a boundary value is to be included only if it is known.
		(See section 7.10.9.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		If the low and high boundary values are known then they should be recorded using the appropriate precision. A second option is to increase the value of the high boundary
		and include the inclusive attribute with the value "false" to state the high boundary is not included in the interval. (See sections 3.8 and 3.9 and the example in section 2.2.1 of
		'XML Implementation Technology Specification - Data Types'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($a-time-interval) and not(@nullFlavor or cda:width or cda:any or cda:low or cda:high) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($a-time-interval) and not(@nullFlavor or cda:width or cda:any or cda:low or cda:high)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-104" /><xsl:text />: TC-Types-104: According to <xsl:text /><xsl:value-of select="$type-source" /><xsl:text /> the data element
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'IVL' data type. It does not have nullFlavor, width, any, low
		or high child elements but at least one must be present to meet the requirements of the 'IVL' data type.
		(See section 7.10.9.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1154" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1154" />
  <xsl:template match="@*|node()" priority="-2" mode="M1154">
    <xsl:apply-templates select="@*|*" mode="M1154" />
  </xsl:template>
  <!--PATTERN p-TS-PIVL-1-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument/*[not(local-name(.) = 'component')]//     *[@xsi:type = 'PIVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'PIVL_TS']   |                 /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/     *[not(cda:text)]//*[@xsi:type = 'PIVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'PIVL_TS'] " priority="1000" mode="M1155">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument/*[not(local-name(.) = 'component')]//     *[@xsi:type = 'PIVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'PIVL_TS']   |                 /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/     *[not(cda:text)]//*[@xsi:type = 'PIVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'PIVL_TS'] " />
    <xsl:variable name="nullFlavor-values" select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]" />
    <xsl:variable name="bounded-phase-width" select="cda:phase and (cda:phase/cda:width/@value or (cda:phase/cda:high/@value and cda:phase/cda:low/@value))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <xsl:variable name="rating-117" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-117 else $rating-alt-TC-Types-117 " />
    <!--REPORT -->
    <xsl:if test=" not(@nullFlavor) and not(cda:period or cda:frequency) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor) and not(cda:period or cda:frequency)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-117" /><xsl:text />: TC-Types-117: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		HL7 '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' data type and does not meet the requirement to have a 'nullFlavor' attribute if 'period' and 'frequency' child elements are omitted.
		(See section 7.10.13.4 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:period and cda:frequency ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:period and cda:frequency">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-117" /><xsl:text />: TC-Types-117: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		HL7 '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' data type and does not meet the requirement to have either 'period' and 'frequency' child elements but not both.
		(See section 7.10.13.4 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:period and cda:phase and not($bounded-phase-width) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:period and cda:phase and not($bounded-phase-width)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-117" /><xsl:text />: TC-Types-117: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		HL7 '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' data type and contains a period and a phase. However the phase width is unbounded so the periodic interval does not meet the requirement
		for the phase width to be no greater than the period. (See section 7.10.13.4 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:period and cda:phase and $bounded-phase-width">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:period and cda:phase and $bounded-phase-width">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-117" /><xsl:text />: TC-Types-117: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		HL7 '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' data type and contains a period and a phase with a bounded width. Confirm that the periodic interval meets the requirement
		for the phase width to be no greater than the period. (See section 7.10.13.4 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" (cda:period or cda:frequency) and (   @nullFlavor = 'UNK'  or   @nullFlavor = 'ASKU'  or   @nullFlavor = 'NAV'  or   @nullFlavor = 'NASK'  or   @nullFlavor = 'MSK'  ) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="(cda:period or cda:frequency) and ( @nullFlavor = 'UNK' or @nullFlavor = 'ASKU' or @nullFlavor = 'NAV' or @nullFlavor = 'NASK' or @nullFlavor = 'MSK' )">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		HL7 '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' data type and has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) that
		indicates a value is not provided however it also has a 'period' or 'frequency' child element. It is invalid to use this nullFlavor when a proper value is provided.
		Confirm that the value is consistent with the nullFlavor '<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />'.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7
		'<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' data type and has nullFlavor 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a value value may exist, but it must be
		derived from the information provided. Confirm if the use of this nullFlavor is valid.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor='PINF' or @nullFlavor='NINF' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor='PINF' or @nullFlavor='NINF'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 1: According to the type declaration xsi:type='PIVL' the data element
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'PIVL' data type and has a nullFlavor attribute with the value
		'<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />). That value of nullFlavor may not be used for data elements of the PIVL data type.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:originalText) and @nullFlavor='UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:originalText) and @nullFlavor='UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to the type declaration xsi:type='PIVL' the data element
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'PIVL' data type and has a nullFlavor attribute with the value
		'<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />). An originalText is not present so it is an error to include nullFlavor 'UNC'.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor='QS' or @nullFlavor='TRC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor='QS' or @nullFlavor='TRC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 3: According to the type declaration xsi:type='PIVL' the data element
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'PIVL' data type and has a nullFlavor attribute with the value
		'<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />). That value of nullFlavor may not be used for data elements of the PIVL data type.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1155" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1155" />
  <xsl:template match="@*|node()" priority="-2" mode="M1155">
    <xsl:apply-templates select="@*|*" mode="M1155" />
  </xsl:template>
  <!--PATTERN p-TS-PQ-1-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument/*[not(local-name(.) = 'component')]//     *[@unit or @xsi:type = 'PQ' or normalize-space(substring-after(@xsi:type, ':')) = 'PQ']    |                 /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/     *[not(cda:text)]//*[@unit or @xsi:type = 'PQ' or normalize-space(substring-after(@xsi:type, ':')) = 'PQ'] " priority="1000" mode="M1156">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument/*[not(local-name(.) = 'component')]//     *[@unit or @xsi:type = 'PQ' or normalize-space(substring-after(@xsi:type, ':')) = 'PQ']    |                 /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/     *[not(cda:text)]//*[@unit or @xsi:type = 'PQ' or normalize-space(substring-after(@xsi:type, ':')) = 'PQ'] " />
    <xsl:variable name="nested-annotation-err" select="if (not(@unit)) then false() else matches(@unit, '\{.*\{') " />
    <xsl:variable name="annotation-location-err" select="if (not(@unit) or $nested-annotation-err) then false() else matches(@unit, '\{.*\}.+') " />
    <xsl:variable name="annotation" select="if (not(@unit) or $nested-annotation-err or $annotation-location-err or not(matches(@unit, '\{.*\}$'))) then ''        else concat('{', substring-after(@unit, '{')) " />
    <xsl:variable name="annotation-space-err" select="if ($annotation = '') then false() else matches($annotation, '\s') " />
    <xsl:variable name="unit" select="if (not(@unit)) then '1' else dh:XQueryRecursiveReplace(@unit, $ucum-annotation-replacement, '') " />
    <xsl:variable name="invalid-chars" select="replace($unit, concat('[', $ucum-chars, ']'), '', 'i')" />
    <xsl:variable name="unit-char-err" select="not($unit = '') and not($invalid-chars = '') " />
    <xsl:variable name="unit-space-err" select="$invalid-chars = ' ' " />
    <xsl:variable name="lower-case-unit-1" select="normalize-space(lower-case(replace($unit, '[\[\]]', ' '))) " />
    <xsl:variable name="lower-case-unit-2" select="if ($unit-space-err) then replace($lower-case-unit-1, ' ', '''') else '' " />
    <xsl:variable name="unit-space-option-1" select="if ($lower-case-unit-2 = '') then '' else $UCUM/unit[normalize-space(lower-case(replace(@value, '[\[\]]', ' '))) = $lower-case-unit-2]/@value " />
    <xsl:variable name="unit-space-option-2" select="if ($lower-case-unit-2 = '') then '' else $UCUM/special[normalize-space(lower-case(replace(@value, '[\[\]]', ' '))) = $lower-case-unit-2]/@value " />
    <xsl:variable name="unit-space-suggestion" select="if ($unit-space-option-1 and $unit-space-option-1 != '') then $unit-space-option-1        else if ($unit-space-option-2 and $unit-space-option-2 != '') then concat('[', $unit-space-option-2, ']')        else '' " />
    <xsl:variable name="other-syntax-err" select="if ($unit = '' or $unit-char-err or $annotation-space-err or $nested-annotation-err or $annotation-location-err or $unit castable as xs:integer)        then false() else dh:ValidateUCUM($unit) = 'INVALID' " />
    <xsl:variable name="an-ivl-pq" select="@xsi:type = 'IVL_PQ' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_PQ' " />
    <xsl:variable name="a-pq" select="@xsi:type = 'PQ' or normalize-space(substring-after(@xsi:type, ':')) = 'PQ' " />
    <xsl:variable name="nullFlavor-values" select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]" />
    <xsl:variable name="a-decimal-value" select="@value and not(string(number(@value)) = 'NaN') " />
    <xsl:variable name="special-unit-msg" select="if ($other-syntax-err and exists($UCUM/special[@value = $unit]))        then concat(' The value of the unit attribute would be valid if it was enclosed within square brackets',         if ($annotation = '') then '' else ' followed by the annotation',         ' as in ''[', $unit, ']', if ($annotation = '') then '' else $annotation,         '''. See section 2.4 and table ', $UCUM/special[@value = $unit]/@table, ' of ''The Unified Code for Units of Measure''.',          ' There is no need to include the square brackets in the narrative.')        else '' " />
    <xsl:variable name="annotate-msg" select="if ($other-syntax-err and exists($UCUM/annotate[@value = $lower-case-unit-1]))        then concat(' The value of the unit attribute would be valid if it was enclosed within curly braces to form an annotation as in ''{',         $unit, '}''. See section 2.1 of ''The Unified Code for Units of Measure''.')        else '' " />
    <xsl:variable name="invalid-msg-1" select="if ($other-syntax-err or $unit-space-err) then normalize-space(dh:XQueryRecursiveReplace($unit, $ucum-invalid-replacement, '')) else '' " />
    <xsl:variable name="invalid-msg" select="if (($other-syntax-err or $unit-space-err) and $invalid-msg-1 != $unit and          contains(dh:ValidateUCUM(dh:XQueryRecursiveReplace($invalid-msg-1, $ucum-annotation-replacement, '')), '~'))         then concat(' A correct value for the unit is ''', $invalid-msg-1, '''.')        else '' " />
    <xsl:variable name="unit-case-option-1" select="if ($other-syntax-err) then $UCUM/unit[normalize-space(lower-case(replace(@value, '[\[\]]', ' '))) = $lower-case-unit-1]/@value else '' " />
    <xsl:variable name="unit-case-option-2" select="if ($other-syntax-err) then $UCUM/special[normalize-space(lower-case(replace(@value, '[\[\]]', ' '))) = $lower-case-unit-1]/@value else '' " />
    <xsl:variable name="unit-case-suggestion" select="if ($special-unit-msg != '') then ''        else if ($unit-case-option-1 and $unit-case-option-1 != '') then $unit-case-option-1        else if ($unit-case-option-2 and $unit-case-option-2 != '') then concat('[', $unit-case-option-2, ']')        else '' " />
    <xsl:variable name="display-invalid-chars" select="concat(codepoints-to-string(34), dh:XQueryRecursiveReplace($invalid-chars, $markup-pattern-replacement, 'ic'), codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-93" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-93 else $rating-alt-TC-Types-93 " />
    <xsl:variable name="rating-94" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-94 else $rating-alt-TC-Types-94 " />
    <!--REPORT -->
    <xsl:if test=" not($an-ivl-pq) and @nullFlavor and $a-decimal-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($an-ivl-pq) and @nullFlavor and $a-decimal-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The physical quantity (PQ) data element
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		and value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'. It is invalid to have a nullFlavor when there is a valid value. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for
		information interchange' and section 2.28 of 'XML Implementation Technology Specification - Data Types'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $a-pq and not(@unit) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$a-pq and not(@unit)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-93" /><xsl:text />: TS-Types-93: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a declaration for the HL7 'PQ' data type but there is no unit attribute. The unit attribute must be populated if the value attribute is present.
		(See section 7.8.9.3.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and section 2.28 of 'XML Implementation Technology Specification - Data Types'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $unit-char-err and not($unit-space-err) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$unit-char-err and not($unit-space-err)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>	

		Error<xsl:text /><xsl:value-of select="$rating-93" /><xsl:text />: TC-Types-93: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a unit attribute with the value '<xsl:text /><xsl:value-of select="@unit" /><xsl:text />' which contains
		<xsl:text /><xsl:value-of select="if (string-length($invalid-chars) &gt; 1) then concat('characters ', $display-invalid-chars, ' that are')    else concat('a character ', $display-invalid-chars, ' which is') " /><xsl:text /> not allowed in a United Code for Units of Measure (UCUM) unit. 
		(See section 2.1 of 'The Unified Code for Units of Measure' and section 7.8.9.3.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $unit-space-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$unit-space-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-93" /><xsl:text />: TC-Types-93: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a unit attribute with the value '<xsl:text /><xsl:value-of select="@unit" /><xsl:text />' which contains white space. White space is not recognized in a United Code for Units of
		Measure (UCUM) unit and must not be present. (See section 2.1 of 'The Unified Code for Units of Measure' and section 7.8.9.3.2 of ISO 21090 'Health informatics - Harmonized data types for
		information interchange'.)<xsl:text /><xsl:value-of select="if ($unit-space-suggestion != '') then concat(' A valid UCUM unit is ''', $unit-space-suggestion, '''.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$invalid-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $annotation-space-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$annotation-space-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>	

		Error<xsl:text /><xsl:value-of select="$rating-93" /><xsl:text />: TC-Types-93: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a unit attribute with the value '<xsl:text /><xsl:value-of select="@unit" /><xsl:text />'. The annotation contains white space whereas the United Code for Units of
		Measure (UCUM) specification uses an apostrophe instead of a space as a separator. (See section 2.1 of 'The Unified Code for Units of Measure' and section 7.8.9.3.2 of ISO 21090
		'Health informatics - Harmonized data types for information interchange'.) A valid annotation is '<xsl:text /><xsl:value-of select="replace(normalize-space($annotation), ' ', '''')" /><xsl:text />'.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $nested-annotation-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$nested-annotation-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>	

		Error<xsl:text /><xsl:value-of select="$rating-93" /><xsl:text />: TC-Types-93: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a unit attribute with the value '<xsl:text /><xsl:value-of select="@unit" /><xsl:text />' which contains a nested annotation. Annotations must not be nested.
		(See section 2.1 of 'The Unified Code for Units of Measure' and section 7.8.9.3.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $annotation-location-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$annotation-location-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>	

		Error<xsl:text /><xsl:value-of select="$rating-93" /><xsl:text />: TC-Types-93: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a unit attribute with the value '<xsl:text /><xsl:value-of select="@unit" /><xsl:text />' which contains an annotation. If an annotation is included it
		signifies the end of the unit symbol so it is invalid for characters to be included after the annotation.
		(See sections 2.1 and 2.2 of 'The Unified Code for Units of Measure' and section 7.8.9.3.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $other-syntax-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$other-syntax-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>	

		Error<xsl:text /><xsl:value-of select="$rating-93" /><xsl:text />: TC-Types-93: The data element
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has a unit attribute with the value '<xsl:text /><xsl:value-of select="@unit" /><xsl:text />' which does not have the format of a United Code for Units of Measure (UCUM) unit.
		The unit of measure must be one of the UCUM case sensitive codes which are listed under the heading "c/s" in tables in the UCUM specification
		http://unitsofmeasure.org/trac. (See section 7.8.9.3.2 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="$special-unit-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$annotate-msg" /><xsl:text /><xsl:text /><xsl:value-of select="if ($unit-case-suggestion != '') then concat(' A valid UCUM unit is ''', $unit-case-suggestion, '''.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="$invalid-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($an-ivl-pq) and not(@value or @nullFlavor) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($an-ivl-pq) and not(@value or @nullFlavor)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-94" /><xsl:text />: TC-Types-94: The physical quantity (PQ) data element
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> with a unit attribute with the value <xsl:text /><xsl:value-of select="@unit" /><xsl:text /> has no value or nullFlavor attributes. Either a value or a nullFlavor attribute must be
		provided for data elements of the HL7 PQ data type. (See section 7.8.9.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1156" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1156" />
  <xsl:template match="@*|node()" priority="-2" mode="M1156">
    <xsl:apply-templates select="@*|*" mode="M1156" />
  </xsl:template>
  <!--PATTERN p-TS-REAL-1-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument/*[not(local-name(.) = 'component')]//     *[@xsi:type = 'REAL' or normalize-space(substring-after(@xsi:type, ':')) = 'REAL']   |                 /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/     *[not(cda:text)]//*[@xsi:type = 'REAL' or normalize-space(substring-after(@xsi:type, ':')) = 'REAL'] " priority="1000" mode="M1157">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument/*[not(local-name(.) = 'component')]//     *[@xsi:type = 'REAL' or normalize-space(substring-after(@xsi:type, ':')) = 'REAL']   |                 /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/     *[not(cda:text)]//*[@xsi:type = 'REAL' or normalize-space(substring-after(@xsi:type, ':')) = 'REAL'] " />
    <xsl:variable name="nullFlavor-values" select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]" />
    <xsl:variable name="the-source" select="if(@xsi:type = 'REAL' or normalize-space(substring-after(@xsi:type, ':')) = 'REAL')         then concat('the type declaration xsi:type ''', @xsi:type, '''')        else 'the HL7 Reference Information Model' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <xsl:variable name="rating-96" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-96 else $rating-alt-TC-Types-96 " />
    <!--REPORT -->
    <xsl:if test=" not(@nullFlavor or @value) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor or @value)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-96" /><xsl:text />: TC-Types-96: According to <xsl:text /><xsl:value-of select="$the-source" /><xsl:text /> the data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'REAL' data type but does not meet the requirement to
		have either a 'nullFlavor' or 'value' attribute. (See section 7.8.7.6 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and @value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and @value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to <xsl:text /><xsl:value-of select="$the-source" /><xsl:text /> the data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'REAL' data type and has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) and value='<xsl:text /><xsl:value-of select="@value" /><xsl:text />'. It is invalid to have a nullFlavor when there is a valid value.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and section 2.27 of 'XML Implementation Technology Specification - Data Types'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not(@value) and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(@value) and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to <xsl:text /><xsl:value-of select="$the-source" /><xsl:text /> the data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'REAL' data type and has a nullFlavor attribute with the value 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a
		value value may exist, but it must be derived from the information provided. Confirm if the use of this nullFlavor is valid.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@value) and (@nullFlavor='QS' or @nullFlavor='TRC') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@value) and (@nullFlavor='QS' or @nullFlavor='TRC')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 3: According to <xsl:text /><xsl:value-of select="$the-source" /><xsl:text /> the data element
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'REAL' data type and has a nullFlavor attribute with the
		value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />). That value of nullFlavor may not be used for data elements of the REAL data type.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1157" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1157" />
  <xsl:template match="@*|node()" priority="-2" mode="M1157">
    <xsl:apply-templates select="@*|*" mode="M1157" />
  </xsl:template>
  <!--PATTERN p-TS-RTO-1-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument/*[not(local-name(.) = 'component')]//     *[local-name(.) = ('doseCheckQuantity', 'maxDoseQuantity') or        cda:numerator       or       cda:denominator       or       @xsi:type = 'RTO'      or       normalize-space(substring-after(@xsi:type, ':')) = 'RTO' ] |                 /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/     *[not(cda:text)]//*[local-name(.) = ('doseCheckQuantity', 'maxDoseQuantity') or        cda:numerator       or       cda:denominator       or       @xsi:type = 'RTO'      or       normalize-space(substring-after(@xsi:type, ':')) = 'RTO' ] " priority="1000" mode="M1158">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument/*[not(local-name(.) = 'component')]//     *[local-name(.) = ('doseCheckQuantity', 'maxDoseQuantity') or        cda:numerator       or       cda:denominator       or       @xsi:type = 'RTO'      or       normalize-space(substring-after(@xsi:type, ':')) = 'RTO' ] |                 /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/     *[not(cda:text)]//*[local-name(.) = ('doseCheckQuantity', 'maxDoseQuantity') or        cda:numerator       or       cda:denominator       or       @xsi:type = 'RTO'      or       normalize-space(substring-after(@xsi:type, ':')) = 'RTO' ] " />
    <xsl:variable name="nullFlavor-values" select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-04 " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <xsl:variable name="rating-97" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-97 else $rating-alt-TC-Types-97 " />
    <!--REPORT -->
    <xsl:if test=" (   local-name(.) = 'doseCheckQuantity'  or   local-name(.) = 'maxDoseQuantity'  ) and @xsi:type and not(@xsi:type = 'RTO' or normalize-space(substring-after(@xsi:type, ':')) = 'RTO') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="( local-name(.) = 'doseCheckQuantity' or local-name(.) = 'maxDoseQuantity' ) and @xsi:type and not(@xsi:type = 'RTO' or normalize-space(substring-after(@xsi:type, ':')) = 'RTO')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04" /><xsl:text />: TC-Doc-04: According to the HL7 Reference Information Model the data element
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7
		'RTO' data type however xsi:type '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found which is invalid for that data type. (See the HL7 Reference Information Model.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and cda:numerator and cda:denominator and (   @nullFlavor = 'UNK'  or   @nullFlavor = 'ASKU'  or   @nullFlavor = 'NAV'  or   @nullFlavor = 'NASK'  or   @nullFlavor = 'MSK'  ) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and cda:numerator and cda:denominator and ( @nullFlavor = 'UNK' or @nullFlavor = 'ASKU' or @nullFlavor = 'NAV' or @nullFlavor = 'NASK' or @nullFlavor = 'MSK' )">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		HL7 'RTO' data type and has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a value is not provided
		however 'numerator' and 'denominator' child elements are provided. It is invalid to use this nullFlavor when a proper value is provided for the 'numerator' and 'denominator' child elements.
		Confirm that the value is consistent with the nullFlavor '<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />'.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		HL7 'RTO' data type and has nullFlavor 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a value value may exist, but it must be derived from the information provided.
		Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor='PINF' or @nullFlavor='NINF' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor='PINF' or @nullFlavor='NINF'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 1: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'RTO' data type and has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />). That value of
		nullFlavor may not be used for data elements of the RTO data type. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(cda:originalText) and @nullFlavor='UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(cda:originalText) and @nullFlavor='UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'RTO' data type and has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />). An originalText is not present so it is an error to include nullFlavor 'UNC'.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor='QS' or @nullFlavor='TRC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor='QS' or @nullFlavor='TRC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 3: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'RTO' data type and has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />). That value of
		nullFlavor may not be used for data elements of the RTO data type. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@nullFlavor) and not(cda:numerator and cda:denominator) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@nullFlavor) and not(cda:numerator and cda:denominator)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-97" /><xsl:text />: TC-Types-97: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		HL7 'RTO' data type but does not meet the requirement to have both 'numerator' and 'denominator' child elements when there is no nullFlavor.
		(See section 7.8.8.4 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:numerator[@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS' or   @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS'] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:numerator[@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS' or @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS']">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-97" /><xsl:text />: TC-Types-97: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		HL7 'RTO' data and has a numerator with the HL7 '<xsl:text /><xsl:value-of select="cda:numerator/@xsi:type" /><xsl:text />' data type, which is not allowed.
		(See section 7.8.8.4 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" cda:denominator[@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS' or   @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS'] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="cda:denominator[@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS' or @xsi:type = 'IVL_TS' or normalize-space(substring-after(@xsi:type, ':')) = 'IVL_TS']">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-97" /><xsl:text />: TC-Types-97: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the
		HL7 'RTO' data and has a denominator with the HL7 '<xsl:text /><xsl:value-of select="cda:denominator/@xsi:type" /><xsl:text />' data type, which is not allowed.
		(See section 7.8.8.4 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1158" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1158" />
  <xsl:template match="@*|node()" priority="-2" mode="M1158">
    <xsl:apply-templates select="@*|*" mode="M1158" />
  </xsl:template>
  <!--PATTERN p-TS-ST-1-->
  <!--RULE -->
  <xsl:template match="    /cda:ClinicalDocument//*[(@xsi:type and (@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')))  or         local-name(.) = ('elementName', 'jobTitleName', 'keyWordText', 'manufacturerModelName', 'softwareName') or         (local-name(.) = ('desc', 'title') and not(@integrityCheckAlgorithm))      or       (local-name(.) = 'text' and not(@integrityCheckAlgorithm) and not(local-name(..) = 'section'))   ]  |     /cda:ClinicalDocument//cda:addr/cda:*[local-name(.) = ('additionalLocator', 'city', 'country', 'deliveryAddressLine', 'direction',        'houseNumber', 'postalCode', 'state', 'streetAddressLine', 'streetNameType', 'streetName', 'unitID', 'unitType')]  |    /cda:ClinicalDocument//cda:name/cda:*[local-name(.) = ('given', 'family', 'prefix', 'suffix')]         |     /cda:ClinicalDocument//cda:*[@xsi:type=('PN', 'EN') or normalize-space(substring-after(@xsi:type, ':')) = ('PN', 'EN')]/cda:*    |    /cda:ClinicalDocument//cda:section/cda:entry//*[local-name(.) = 'name' and not(@displayName    or     (@xsi:type and (@xsi:type=('PN', 'EN')     or      normalize-space(substring-after(@xsi:type, ':')) = ('PN', 'EN'))) or     cda:given        or      cda:family        or     cda:prefix         or     cda:suffix        )]        " priority="1000" mode="M1159">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="    /cda:ClinicalDocument//*[(@xsi:type and (@xsi:type = ('SC', 'ST') or normalize-space(substring-after(@xsi:type, ':')) = ('SC', 'ST')))  or         local-name(.) = ('elementName', 'jobTitleName', 'keyWordText', 'manufacturerModelName', 'softwareName') or         (local-name(.) = ('desc', 'title') and not(@integrityCheckAlgorithm))      or       (local-name(.) = 'text' and not(@integrityCheckAlgorithm) and not(local-name(..) = 'section'))   ]  |     /cda:ClinicalDocument//cda:addr/cda:*[local-name(.) = ('additionalLocator', 'city', 'country', 'deliveryAddressLine', 'direction',        'houseNumber', 'postalCode', 'state', 'streetAddressLine', 'streetNameType', 'streetName', 'unitID', 'unitType')]  |    /cda:ClinicalDocument//cda:name/cda:*[local-name(.) = ('given', 'family', 'prefix', 'suffix')]         |     /cda:ClinicalDocument//cda:*[@xsi:type=('PN', 'EN') or normalize-space(substring-after(@xsi:type, ':')) = ('PN', 'EN')]/cda:*    |    /cda:ClinicalDocument//cda:section/cda:entry//*[local-name(.) = 'name' and not(@displayName    or     (@xsi:type and (@xsi:type=('PN', 'EN')     or      normalize-space(substring-after(@xsi:type, ':')) = ('PN', 'EN'))) or     cda:given        or      cda:family        or     cda:prefix         or     cda:suffix        )]        " />
    <xsl:variable name="nullFlavor-values" select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]" />
    <xsl:variable name="text-is-present" select="exists(text()) " />
    <xsl:variable name="suspected-markup-1" select="matches(., $markup-regex)" />
    <xsl:variable name="amp-esc-err" select="matches(., $amp-esc-err-regex)" />
    <xsl:variable name="lt-esc-err" select="matches(., $lt-esc-err-regex)" />
    <xsl:variable name="gt-esc-err" select="matches(., $gt-esc-err-regex)" />
    <xsl:variable name="apos-esc-err" select="matches(., $apos-esc-err-regex)" />
    <xsl:variable name="nbsp-esc-err" select="matches(., $nbsp-esc-err-regex)" />
    <xsl:variable name="quot-esc-err" select="matches(., $quot-esc-err-regex)" />
    <xsl:variable name="escape-err" select="$amp-esc-err or $lt-esc-err or $gt-esc-err or $apos-esc-err or $nbsp-esc-err or $quot-esc-err " />
    <xsl:variable name="symbol-type" select="(if ($amp-esc-err) then 'ampersand' else '',        if ($lt-esc-err) then 'less-than' else '',        if ($gt-esc-err) then 'greater-than' else '',        if ($apos-esc-err) then 'single-quote' else '',        if ($nbsp-esc-err) then 'non-breaking space' else '',        if ($quot-esc-err) then 'double-quote' else '')[. != ''] " />
    <xsl:variable name="escape-wrong" select="(if ($amp-esc-err) then '&amp;amp;' else '',        if ($lt-esc-err) then '&amp;lt;' else '',         if ($gt-esc-err) then '&amp;gt;' else '',        if ($apos-esc-err) then '&amp;apos;' else '',        if ($nbsp-esc-err) then '&amp;nbsp;' else '',        if ($quot-esc-err) then '&amp;quot;' else '')[. != ''] " />
    <xsl:variable name="escape-right" select="(if ($amp-esc-err) then '&amp;' else '',        if ($lt-esc-err) then '&lt;' else '',        if ($gt-esc-err) then '&gt;' else '')[. != ''] " />
    <xsl:variable name="escape-right-extra" select="(if ($apos-esc-err) then concat(codepoints-to-string(38), 'apos;') else '',        if ($nbsp-esc-err) then concat(codepoints-to-string(38), 'nbsp;') else '',        if ($quot-esc-err) then concat(codepoints-to-string(38), 'quot;') else '')[. != ''] " />
    <xsl:variable name="confirmed-markup-1" select="matches(., $confirmed-markup-regex, 'is')" />
    <xsl:variable name="target-section" select="if (not($suspected-markup-1 or $confirmed-markup-1)) then ()        else ancestor::cda:section[normalize-space(cda:text) != ''][position()=1]  " />
    <xsl:variable name="sec-target-section" select="if (not($suspected-markup-1 or $confirmed-markup-1)) then ()        else if (count($target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and          (@code='102.16144' or @code='102.16145')]]/cda:text) = 1)         then $target-section/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16144' or @code='102.16145')]]         else () " />
    <xsl:variable name="fir-narr-node" select="if (exists($target-section/cda:text)) then $target-section/cda:text//text() else () " />
    <xsl:variable name="sec-narr-node" select="if (count($sec-target-section/cda:text) = 1) then $sec-target-section/cda:text//text() else () " />
    <xsl:variable name="narr-text-el" select="for $text in ($fir-narr-node, $sec-narr-node) return normalize-space(lower-case($text)) " />
    <xsl:variable name="l-text" select="if (not($suspected-markup-1 or $confirmed-markup-1)) then '' else normalize-space(lower-case(text()))" />
    <xsl:variable name="text-found" select="exists($narr-text-el[. = $l-text]) " />
    <xsl:variable name="text-without-markup" select="if ($text-found) then '' else normalize-space(replace($l-text, $markup-regex, ' '))" />
    <xsl:variable name="narr-text" select="if ($text-found or not($suspected-markup-1) or not(exists($narr-text-el))) then '' else string-join($narr-text-el, ' ') " />
    <xsl:variable name="text-wom-found" select="$suspected-markup-1 and contains($narr-text, $text-without-markup) " />
    <xsl:variable name="confirmed-markup" select="$confirmed-markup-1 or ($suspected-markup-1 and not($text-found) and $text-wom-found) " />
    <xsl:variable name="type-msg" select="if (@xsi:type = 'SC'              or            normalize-space(substring-after(@xsi:type, ':')) = 'SC'          or           local-name(.) = ('elementName', 'jobTitleName', 'keyWordText', 'manufacturerModelName', 'softwareName') ) then 'SC' else 'ST' " />
    <xsl:variable name="display-text-1" select="if (not(exists(text())) or text() = '') then '' else normalize-space(text()) " />
    <xsl:variable name="display-text" select="if ($display-text-1 = '') then '' else if (string-length($display-text-1) &lt; 200)        then concat(codepoints-to-string(34), normalize-space(dh:XQueryRecursiveReplace($display-text-1, $text-pattern-replacement, 'ic')), codepoints-to-string(34))       else concat('commencing with ', codepoints-to-string(34),         normalize-space(dh:XQueryRecursiveReplace(substring(dh:XQueryRecursiveReplace($display-text-1, $p-name-pattern-replacement, 'ic'), 1, 200),         $markup-pattern-replacement, 'ic')), ' . . . ', codepoints-to-string(34))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-04" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-04 " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <xsl:variable name="rating-55" select="if ($initial-priority) then $initial-rating        else if ($default-context and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$ADI-sections])) then $rating-ADI-TC-Types-55        else if ($default-context) then $rating-TC-Types-55        else if (exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$ADI-sections])) then $rating-ADI-alt-TC-Types-55       else $rating-alt-TC-Types-55 " />
    <xsl:variable name="rating-56" select="if ($initial-priority) then $initial-rating        else if ($default-context and exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections]))         then $rating-MHRView-TC-Types-56        else if ($default-context) then $rating-TC-Types-56        else if (exists(ancestor::cda:section/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=$meds-view-sections]))         then $rating-MHRView-alt-TC-Types-56       else $rating-alt-TC-Types-56 " />
    <!--REPORT -->
    <xsl:if test=" @xsi:type and not($type-msg = ('SC', 'ST')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@xsi:type and not($type-msg = ('SC', 'ST'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04" /><xsl:text />: TC-Doc-04: According to the HL7 Reference Information Model the data element
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 '<xsl:text /><xsl:value-of select="$type-msg" /><xsl:text />'
		data type however xsi:type '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' was found which is invalid for that data type. (See the HL7 Reference Information Model.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $text-is-present and @nullFlavor = ('UNK', 'ASKU', 'NAV', 'NASK', 'MSK') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $text-is-present and @nullFlavor = ('UNK', 'ASKU', 'NAV', 'NASK', 'MSK')">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 '<xsl:text /><xsl:value-of select="$type-msg" /><xsl:text />'
		data type and a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which
		indicates a value is not provided however a value <xsl:text /><xsl:value-of select="$display-text" /><xsl:text /> is provided. It is invalid to use this nullFlavor when a proper value is provided.
		Confirm that the value is consistent with the nullFlavor '<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />'.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 '<xsl:text /><xsl:value-of select="$type-msg" /><xsl:text />' data type and has a nullFlavor attribute with the value 'DER'
		(<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a value value may exist, but it must be derived from
		the information provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information
		interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = ('PINF', 'NINF')  ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = ('PINF', 'NINF')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 1: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 '<xsl:text /><xsl:value-of select="$type-msg" /><xsl:text />' data type and has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />). That value of nullFlavor may not be
		used for data elements of the ST data type. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = 'UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = 'UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 '<xsl:text /><xsl:value-of select="$type-msg" /><xsl:text />' data type and has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />). That value of nullFlavor may not be used for data elements of the ST data type.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor = ('QS', 'TRC') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor = ('QS', 'TRC')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 3: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 '<xsl:text /><xsl:value-of select="$type-msg" /><xsl:text />' data type and has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />). That value of nullFlavor may not be
		used for data elements of the ST data type. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($text-is-present) and not(@nullFlavor) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($text-is-present) and not(@nullFlavor)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-55" /><xsl:text />: TC-Types-55: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains a character string with no characters. A character string must have at least one character or have a nullFlavor attribute.
		(See section 7.4.6.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $escape-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$escape-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-56" /><xsl:text />: TC-Types-56: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="normalize-space($display-text)" /><xsl:text /> which contains an incorrectly escaped
		<xsl:text /><xsl:value-of select="string-join($symbol-type, ' and ')" /><xsl:text /> symbol
		resulting in the inclusion of '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace(string-join($escape-wrong, ''' and '''), $markup-pattern-replacement, 'ic')" /><xsl:text />' instead of
		'<xsl:text /><xsl:value-of select="if (exists($escape-right) and exists($escape-right-extra))    then concat(dh:XQueryRecursiveReplace(string-join($escape-right, ''' and '''), $markup-pattern-replacement, 'ic'), ' and ', string-join($escape-right-extra, ''' and '''))   else if (exists($escape-right)) then dh:XQueryRecursiveReplace(string-join($escape-right, ''' and '''), $markup-pattern-replacement, 'ic')   else string-join($escape-right-extra, ''' and ''')" /><xsl:text />'.
		The correct use of character escapes is needed to properly create text content in an XML document.
		(See section 2.4 of 'Extensible Markup Language (XML) 1.0 (Fifth Edition)' and section 1.2 of 'XML Implementation Technology Specification - Data Types'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $confirmed-markup and not($escape-err) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$confirmed-markup and not($escape-err)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-56" /><xsl:text />: TC-Types-56: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains the text <xsl:text /><xsl:value-of select="normalize-space($display-text)" /><xsl:text /> which contains markup such as
		'<xsl:text /><xsl:value-of select="normalize-space(dh:XQueryRecursiveReplace(replace(., concat('^(.*?)(', $confirmed-markup-regex, ')(.*?)$'), ' $2 ', 'is'), $markup-pattern-replacement, 'ic'))" /><xsl:text />'.
		A character string has the "text/plain" mediaType
		which does not allow formatting commands, font attribute specifications, processing instructions, interpretation directives, or content markup.
		(See sections 6.7.5 and 7.4.6 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and section 4.1 of RFC 2046 'Multipurpose Internet
		Mail Extensions (MIME) Part Two: Media Types'.) When displayed a character string is seen simply as a linear sequence of characters, for example if any narrative
		formatting tags are present in the character string the tags are displayed by any software system that displays the character string. Line breaks and page breaks may
		be included in a character string by using a corresponding Unicode character such as the line feed character. (See section 7 of Unicode in XML and other Markup Languages.)
		By default the mediaType attribute has the value "text/plain" so that is the value if it is not explicitly included.
		(See section 7.4.6.6.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1159" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1159" />
  <xsl:template match="@*|node()" priority="-2" mode="M1159">
    <xsl:apply-templates select="@*|*" mode="M1159" />
  </xsl:template>
  <!--PATTERN p-TS-TEL-1-->
  <!--RULE -->
  <xsl:template match="     /cda:ClinicalDocument/*[not(local-name(.) = 'component')]//*[local-name(.) = 'reference']     [..[@integrityCheckAlgorithm or @xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED']]   |                  /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/*[not(cda:text)]//*[local-name(.) = 'reference']     [..[@integrityCheckAlgorithm or @xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED']]     " priority="1000" mode="M1160">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="     /cda:ClinicalDocument/*[not(local-name(.) = 'component')]//*[local-name(.) = 'reference']     [..[@integrityCheckAlgorithm or @xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED']]   |                  /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/*[not(cda:text)]//*[local-name(.) = 'reference']     [..[@integrityCheckAlgorithm or @xsi:type = 'ED' or normalize-space(substring-after(@xsi:type, ':')) = 'ED']]     " />
    <xsl:variable name="nullFlavor-values" select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]" />
    <xsl:variable name="scheme-name" select="substring-before(@value,':')" />
    <xsl:variable name="not-locatable-resource" select="if (not(@nullFlavor) and contains(@value,':') and not($scheme-name = 'pcehr') and $uri-schemes[scheme/@name = $scheme-name] and         matches($scheme-name, $uri-scheme-regex) and not(@value castable as xs:anyURI))         then true() else false() " />
    <xsl:variable name="tel-or-fax" select="$scheme-name = 'tel' or $scheme-name = 'fax' or $scheme-name = 'modem' " />
    <xsl:variable name="email-scheme" select="$scheme-name = 'mailto'" />
    <xsl:variable name="email-syntax-error" select="if ($email-scheme) then not(matches(substring-after(@value,'mailto:'), $mailto-uri-regex)) else false()" />
    <xsl:variable name="email-space-error" select="$email-scheme and @value and matches(@value,' ')" />
    <xsl:variable name="local-uri-error" select="starts-with(@value,'#') and not(/cda:ClinicalDocument//*/@ID=substring-after(@value,'#'))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true') then $tel-or-fax or $email-scheme or         ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0') or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <xsl:variable name="rating-118" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-118 else $rating-alt-TC-Types-118 " />
    <!--REPORT -->
    <xsl:if test=" (($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true') and @nullFlavor ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="(($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true') and @nullFlavor">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-Tel: According to section 7.4.2.3.4 of ISO 21090 'Health informatics - Harmonized data types for information interchange' the data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		has the HL7 'TEL' data type and has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" (($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true') and @value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="(($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true') and @value">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-Tel: According to section 7.4.2.3.4 of ISO 21090 'Health informatics - Harmonized data types for information interchange' the data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		has the HL7 'TEL' data type and has value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" (($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true') and not(@nullFlavor or @value) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="(($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true') and not(@nullFlavor or @value)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-Tel: According to section 7.4.2.3.4 of ISO 21090 'Health informatics - Harmonized data types for information interchange' the data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		has the HL7 'TEL' data type and has no value and no nullFlavor attribute.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @value and not($not-locatable-resource) and @nullFlavor ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value and not($not-locatable-resource) and @nullFlavor">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 7.4.2.3.4 of ISO 21090 'Health informatics - Harmonized data types for information interchange' thedata element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'TEL' data type and has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) and value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'. It is invalid to use a nullFlavor when a proper value is provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not(@value) and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(@value) and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to section 7.4.2.3.4 of ISO 21090 'Health informatics - Harmonized data types for information interchange' thedata element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'TEL' data type and has nullFlavor 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a value value may exist, but it must
		be derived from the information provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for
		information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@value) and (@nullFlavor='PINF' or @nullFlavor='NINF') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@value) and (@nullFlavor='PINF' or @nullFlavor='NINF')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 1: According to section 7.4.2.3.4 of ISO 21090 'Health informatics - Harmonized data types for information interchange' the data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'TEL' data type and has a nullFlavor attribute with the value
		'<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />). That value of nullFlavor may not be used for data elements of the TEL data type.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@value) and @nullFlavor='UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@value) and @nullFlavor='UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to section 7.4.2.3.4 of ISO 21090 'Health informatics - Harmonized data types for information interchange' the data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'TEL' data type and has a nullFlavor attribute with the value
		'<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />). That value of nullFlavor may not be used for data elements of the TEL data type.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@value) and (@nullFlavor='QS' or @nullFlavor='TRC') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@value) and (@nullFlavor='QS' or @nullFlavor='TRC')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 3: According to section 7.4.2.3.4 of ISO 21090 'Health informatics - Harmonized data types for information interchange' the data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'TEL' data type and has a nullFlavor attribute with the value
		'<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />). That value of nullFlavor may not be used for data elements of the TEL data type.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$local-uri-error ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$local-uri-error">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Error<xsl:text /><xsl:value-of select="$rating-118" /><xsl:text />: TC-Types-118: According to section 7.4.2.3.4 of ISO 21090 'Health informatics - Harmonized data types for information interchange' the data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'TEL' data type. However it contains an invalid local reference value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'.
		For this local reference to be valid there must be another element in the clinical document with an ID attribute with the value '<xsl:text /><xsl:value-of select="substring-after(@value,'#')" /><xsl:text />'.
		This is needed to meet the requirement for it to be a uniform resource locator or a uniform resource identifier that references a locatable resource.
		(See sections 7.6.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and sections 3.5 and 4.4 of RFC 3986 https://www.ietf.org/rfc/rfc3986.txt.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="contains(@value,':') and not($tel-or-fax or $email-scheme) and not(translate(@value, $uri-chars, '') = '') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="contains(@value,':') and not($tel-or-fax or $email-scheme) and not(translate(@value, $uri-chars, '') = '')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-118" /><xsl:text />: TC-Types-118: According to section 7.4.2.3.4 of ISO 21090 'Health informatics - Harmonized data types for information interchange' the data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'TEL' data type. However it has value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' which contains one or more characters that are not in the set of
		allowed characters for a URI. Any special characters must be percent encoded. This is needed to meet the requirement for it to be a uniform resource locator or a uniform resource
		identifier that references a locatable resource. (See sections 7.6.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and section 2.1 of RFC
		3986 https://www.ietf.org/rfc/rfc3986.txt.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $email-scheme and @value and $email-syntax-error and not($email-space-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$email-scheme and @value and $email-syntax-error and not($email-space-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-118" /><xsl:text />: TC-Types-118: According to section 7.4.2.3.4 of ISO 21090 'Health informatics - Harmonized data types for information interchange' the data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'TEL' data type. However it has value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' which does not have the mailbox syntax of a local part, followed by
		'@' followed by a domain.
		(See sections 7.6.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and section 6.1 of RFC 822 https://tools.ietf.org/html/rfc822.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$email-space-error ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$email-space-error">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rejection-rating " /><xsl:text />: TC-Types-118: According to section 7.4.2.3.4 of ISO 21090 'Health informatics - Harmonized data types for information interchange' the data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'TEL' data type. However it has value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' which contains spaces. Spaces must either be omitted or
		percent encoded otherwise.
		(See sections 7.6.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and section 5 of RFC 2368 https://tools.ietf.org/html/rfc2368.)
		A value containing a space is not a valid Uniform Resource Identifier (URI) and does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be
		rejected by the My Health Record system.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$scheme-name = 'pcehr' and not(matches(@value, $pcehr-uri-regex) and (    translate(substring-after(@value,'/'),'0123456789.','') = ''         or     translate(substring-after(@value,'/'), '0123456789abcdef', 'hhhhhhhhhhhhhhhh') = 'hhhhhhhh-hhhh-hhhh-hhhh-hhhhhhhhhhhh'  or    translate(substring-after(@value,'/'), '0123456789ABCDEF', 'HHHHHHHHHHHHHHHH') = 'HHHHHHHH-HHHH-HHHH-HHHH-HHHHHHHHHHHH'  )) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$scheme-name = 'pcehr' and not(matches(@value, $pcehr-uri-regex) and ( translate(substring-after(@value,'/'),'0123456789.','') = '' or translate(substring-after(@value,'/'), '0123456789abcdef', 'hhhhhhhhhhhhhhhh') = 'hhhhhhhh-hhhh-hhhh-hhhh-hhhhhhhhhhhh' or translate(substring-after(@value,'/'), '0123456789ABCDEF', 'HHHHHHHHHHHHHHHH') = 'HHHHHHHH-HHHH-HHHH-HHHH-HHHHHHHHHHHH' ))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-118" /><xsl:text />: TC-Types-118: According to section 7.4.2.3.4 of ISO 21090 'Health informatics - Harmonized data types for information interchange' the data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'TEL' data type. However it has
		value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' which does not meet the requirement for it to be a uniform resource locator or a uniform resource identifier that references a locatable resource.
		(See sections 7.6.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and Appendix C.1 in the PCEHR View Service Technical Service Specification v1.7.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="contains(@value,':') and not(matches($scheme-name, $uri-scheme-regex)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="contains(@value,':') and not(matches($scheme-name, $uri-scheme-regex))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-118" /><xsl:text />: TC-Narr-118: According to section 7.4.2.3.4 of ISO 21090 'Health informatics - Harmonized data types for information interchange' the data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'TEL' data type. However it has value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' which does not have a URI syntax as the URI scheme name
		'<xsl:text /><xsl:value-of select="$scheme-name" /><xsl:text />' does not have the correct syntax. (See section 3.1 of RFC 3986 https://www.ietf.org/rfc/rfc3986.txt.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="contains(@value,':') and not($scheme-name = 'pcehr' or $uri-schemes[scheme/@name = $scheme-name]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="contains(@value,':') and not($scheme-name = 'pcehr' or $uri-schemes[scheme/@name = $scheme-name])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-118" /><xsl:text />: TC-Narr-118: According to section 7.4.2.3.4 of ISO 21090 'Health informatics - Harmonized data types for information interchange' the data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'TEL' data type. However it has value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' which is not a valid URI as the URI scheme
		'<xsl:text /><xsl:value-of select="$scheme-name" /><xsl:text />' is not a member of the list of registered schemes.
		(See section 3.1 of RFC 3986 https://www.ietf.org/rfc/rfc3986.txt and 'Uniform Resource Identifier (URI) Schemes' https://www.iana.org/assignments/uri-schemes/uri-schemes.xhtml.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $not-locatable-resource and not($email-space-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$not-locatable-resource and not($email-space-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-118" /><xsl:text />: TC-Types-118: According to section 7.4.2.3.4 of ISO 21090 'Health informatics - Harmonized data types for information interchange' the data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'TEL' data type. However it has value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' which does not meet the requirement for it to be a uniform resource
		locator or a uniform resource identifier that references a locatable resource. (See sections 7.6.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'
		and section 3 of RFC 3986 https://www.ietf.org/rfc/rfc3986.txt.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1160" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1160" />
  <xsl:template match="@*|node()" priority="-2" mode="M1160">
    <xsl:apply-templates select="@*|*" mode="M1160" />
  </xsl:template>
  <!--PATTERN p-TS-TEL-2-->
  <!--RULE -->
  <xsl:template match="     /cda:ClinicalDocument/*[not(local-name(.) = 'component')]//     *[@xsi:type = 'TEL' or normalize-space(substring-after(@xsi:type, ':')) = 'TEL']   |                  /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/     *[not(cda:text)]//*[@xsi:type = 'TEL' or normalize-space(substring-after(@xsi:type, ':')) = 'TEL']   " priority="1000" mode="M1161">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="     /cda:ClinicalDocument/*[not(local-name(.) = 'component')]//     *[@xsi:type = 'TEL' or normalize-space(substring-after(@xsi:type, ':')) = 'TEL']   |                  /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/     *[not(cda:text)]//*[@xsi:type = 'TEL' or normalize-space(substring-after(@xsi:type, ':')) = 'TEL']   " />
    <xsl:variable name="nullFlavor-values" select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]" />
    <xsl:variable name="scheme-name" select="substring-before(@value,':')" />
    <xsl:variable name="not-locatable-resource" select="if (not(@nullFlavor) and contains(@value,':') and not($scheme-name = 'pcehr') and $uri-schemes[scheme/@name = $scheme-name] and         matches($scheme-name, $uri-scheme-regex) and not(@value castable as xs:anyURI))         then true() else false() " />
    <xsl:variable name="tel-or-fax" select="$scheme-name = 'tel' or $scheme-name = 'fax' or $scheme-name = 'modem' " />
    <xsl:variable name="email-scheme" select="$scheme-name = 'mailto'" />
    <xsl:variable name="email-syntax-error" select="if ($email-scheme) then not(matches(substring-after(@value,'mailto:'), $mailto-uri-regex)) else false()" />
    <xsl:variable name="email-space-error" select="$email-scheme and @value and matches(@value,' ')" />
    <xsl:variable name="local-uri-error" select="starts-with(@value,'#') and not(/cda:ClinicalDocument//*/@ID=substring-after(@value,'#'))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true') then $tel-or-fax or $email-scheme or         ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0') or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <xsl:variable name="rating-118" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-118 else $rating-alt-TC-Types-118 " />
    <!--REPORT -->
    <xsl:if test=" (($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true') and @nullFlavor ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="(($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true') and @nullFlavor">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-Tel: According to the value of the xsi:type attribute the data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		has the HL7 'TEL' data type and has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" (($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true') and @value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="(($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true') and @value">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-Tel: According to the value of the xsi:type attribute the data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		has the HL7 'TEL' data type and has value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" (($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true') and not(@nullFlavor or @value) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="(($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true') and not(@nullFlavor or @value)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-Tel: According to the value of the xsi:type attribute the data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		has the HL7 'TEL' data type and has no value and no nullFlavor attribute.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @value and not($not-locatable-resource) and @nullFlavor ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value and not($not-locatable-resource) and @nullFlavor">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the value of the xsi:type attribute thedata element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'TEL' data type and has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) and value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'. It is invalid to use a nullFlavor when a proper value is provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not(@value) and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(@value) and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the value of the xsi:type attribute thedata element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'TEL' data type and has nullFlavor 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a value value may exist, but it must
		be derived from the information provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for
		information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@value) and (@nullFlavor='PINF' or @nullFlavor='NINF') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@value) and (@nullFlavor='PINF' or @nullFlavor='NINF')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 1: According to the value of the xsi:type attribute the data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'TEL' data type and has a nullFlavor attribute with the value
		'<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />). That value of nullFlavor may not be used for data elements of the TEL data type.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@value) and @nullFlavor='UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@value) and @nullFlavor='UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to the value of the xsi:type attribute the data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'TEL' data type and has a nullFlavor attribute with the value
		'<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />). That value of nullFlavor may not be used for data elements of the TEL data type.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@value) and (@nullFlavor='QS' or @nullFlavor='TRC') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@value) and (@nullFlavor='QS' or @nullFlavor='TRC')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 3: According to the value of the xsi:type attribute the data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'TEL' data type and has a nullFlavor attribute with the value
		'<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />). That value of nullFlavor may not be used for data elements of the TEL data type.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$local-uri-error ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$local-uri-error">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Error<xsl:text /><xsl:value-of select="$rating-118" /><xsl:text />: TC-Types-118: According to the value of the xsi:type attribute the data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'TEL' data type. However it contains an invalid local reference value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'.
		For this local reference to be valid there must be another element in the clinical document with an ID attribute with the value '<xsl:text /><xsl:value-of select="substring-after(@value,'#')" /><xsl:text />'.
		This is needed to meet the requirement for it to be a uniform resource locator or a uniform resource identifier that references a locatable resource.
		(See sections 7.6.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and sections 3.5 and 4.4 of RFC 3986 https://www.ietf.org/rfc/rfc3986.txt.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="contains(@value,':') and not($tel-or-fax or $email-scheme) and not(translate(@value, $uri-chars, '') = '') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="contains(@value,':') and not($tel-or-fax or $email-scheme) and not(translate(@value, $uri-chars, '') = '')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-118" /><xsl:text />: TC-Types-118: According to the value of the xsi:type attribute the data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'TEL' data type. However it has value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' which contains one or more characters that are not in the set of
		allowed characters for a URI. Any special characters must be percent encoded. This is needed to meet the requirement for it to be a uniform resource locator or a uniform resource
		identifier that references a locatable resource. (See sections 7.6.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and section 2.1 of RFC
		3986 https://www.ietf.org/rfc/rfc3986.txt.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $email-scheme and @value and $email-syntax-error and not($email-space-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$email-scheme and @value and $email-syntax-error and not($email-space-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-118" /><xsl:text />: TC-Types-118: According to the value of the xsi:type attribute the data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'TEL' data type. However it has value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' which does not have the mailbox syntax of a local part, followed by
		'@' followed by a domain.
		(See sections 7.6.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and section 6.1 of RFC 822 https://tools.ietf.org/html/rfc822.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$email-space-error ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$email-space-error">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rejection-rating " /><xsl:text />: TC-Types-118: According to the value of the xsi:type attribute the data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'TEL' data type. However it has value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' which contains spaces. Spaces must either be omitted or
		percent encoded otherwise.
		(See sections 7.6.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and section 5 of RFC 2368 https://tools.ietf.org/html/rfc2368.)
		A value containing a space is not a valid Uniform Resource Identifier (URI) and does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be
		rejected by the My Health Record system.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$scheme-name = 'pcehr' and not(matches(@value, $pcehr-uri-regex) and (    translate(substring-after(@value,'/'),'0123456789.','') = ''         or     translate(substring-after(@value,'/'), '0123456789abcdef', 'hhhhhhhhhhhhhhhh') = 'hhhhhhhh-hhhh-hhhh-hhhh-hhhhhhhhhhhh'  or    translate(substring-after(@value,'/'), '0123456789ABCDEF', 'HHHHHHHHHHHHHHHH') = 'HHHHHHHH-HHHH-HHHH-HHHH-HHHHHHHHHHHH'  )) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$scheme-name = 'pcehr' and not(matches(@value, $pcehr-uri-regex) and ( translate(substring-after(@value,'/'),'0123456789.','') = '' or translate(substring-after(@value,'/'), '0123456789abcdef', 'hhhhhhhhhhhhhhhh') = 'hhhhhhhh-hhhh-hhhh-hhhh-hhhhhhhhhhhh' or translate(substring-after(@value,'/'), '0123456789ABCDEF', 'HHHHHHHHHHHHHHHH') = 'HHHHHHHH-HHHH-HHHH-HHHH-HHHHHHHHHHHH' ))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-118" /><xsl:text />: TC-Types-118: According to the value of the xsi:type attribute the data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'TEL' data type. However it has
		value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' which does not meet the requirement for it to be a uniform resource locator or a uniform resource identifier that references a locatable resource.
		(See sections 7.6.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and Appendix C.1 in the PCEHR View Service Technical Service Specification v1.7.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="contains(@value,':') and not(matches($scheme-name, $uri-scheme-regex)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="contains(@value,':') and not(matches($scheme-name, $uri-scheme-regex))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-118" /><xsl:text />: TC-Narr-118: According to the value of the xsi:type attribute the data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'TEL' data type. However it has value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' which does not have a URI syntax as the URI scheme name
		'<xsl:text /><xsl:value-of select="$scheme-name" /><xsl:text />' does not have the correct syntax. (See section 3.1 of RFC 3986 https://www.ietf.org/rfc/rfc3986.txt.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="contains(@value,':') and not($scheme-name = 'pcehr' or $uri-schemes[scheme/@name = $scheme-name]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="contains(@value,':') and not($scheme-name = 'pcehr' or $uri-schemes[scheme/@name = $scheme-name])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-118" /><xsl:text />: TC-Narr-118: According to the value of the xsi:type attribute the data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'TEL' data type. However it has value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' which is not a valid URI as the URI scheme
		'<xsl:text /><xsl:value-of select="$scheme-name" /><xsl:text />' is not a member of the list of registered schemes.
		(See section 3.1 of RFC 3986 https://www.ietf.org/rfc/rfc3986.txt and 'Uniform Resource Identifier (URI) Schemes' https://www.iana.org/assignments/uri-schemes/uri-schemes.xhtml.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $not-locatable-resource and not($email-space-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$not-locatable-resource and not($email-space-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-118" /><xsl:text />: TC-Types-118: According to the value of the xsi:type attribute the data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'TEL' data type. However it has value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' which does not meet the requirement for it to be a uniform resource
		locator or a uniform resource identifier that references a locatable resource. (See sections 7.6.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'
		and section 3 of RFC 3986 https://www.ietf.org/rfc/rfc3986.txt.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1161" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1161" />
  <xsl:template match="@*|node()" priority="-2" mode="M1161">
    <xsl:apply-templates select="@*|*" mode="M1161" />
  </xsl:template>
  <!--PATTERN p-TS-TEL-3-->
  <!--RULE -->
  <xsl:template match="  /cda:ClinicalDocument/*[not(local-name(.) = 'component')]//cda:telecom      |                     /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/*[not(cda:text)]//cda:telecom " priority="1000" mode="M1162">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="  /cda:ClinicalDocument/*[not(local-name(.) = 'component')]//cda:telecom      |                     /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/*[not(cda:text)]//cda:telecom " />
    <xsl:variable name="nullFlavor-values" select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]" />
    <xsl:variable name="scheme-name" select="substring-before(@value,':')" />
    <xsl:variable name="not-locatable-resource" select="if (not(@nullFlavor) and contains(@value,':') and not($scheme-name = 'pcehr') and $uri-schemes[scheme/@name = $scheme-name] and         matches($scheme-name, $uri-scheme-regex) and not(@value castable as xs:anyURI))         then true() else false() " />
    <xsl:variable name="tel-or-fax" select="$scheme-name = 'tel' or $scheme-name = 'fax' or $scheme-name = 'modem' " />
    <xsl:variable name="email-scheme" select="$scheme-name = 'mailto'" />
    <xsl:variable name="email-syntax-error" select="if ($email-scheme) then not(matches(substring-after(@value,'mailto:'), $mailto-uri-regex)) else false()" />
    <xsl:variable name="email-space-error" select="$email-scheme and @value and matches(@value,' ')" />
    <xsl:variable name="local-uri-error" select="starts-with(@value,'#') and not(/cda:ClinicalDocument//*/@ID=substring-after(@value,'#'))" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true') then $tel-or-fax or $email-scheme or         ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']] or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0') or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <xsl:variable name="rating-118" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-118 else $rating-alt-TC-Types-118 " />
    <!--REPORT -->
    <xsl:if test=" (($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true') and @nullFlavor ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="(($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true') and @nullFlavor">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-Tel: According to the CDA schema the data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		has the HL7 'TEL' data type and has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" (($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true') and @value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="(($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true') and @value">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-Tel: According to the CDA schema the data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		has the HL7 'TEL' data type and has value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" (($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true') and not(@nullFlavor or @value) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="(($flags/@allow-debug = 'true' and false()) or $flags/@report-data = 'true') and not(@nullFlavor or @value)">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TS-Tel: According to the CDA schema the data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		has the HL7 'TEL' data type and has no value and no nullFlavor attribute.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @value and not($not-locatable-resource) and @nullFlavor ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value and not($not-locatable-resource) and @nullFlavor">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the CDA schema thedata element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'TEL' data type and has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) and value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'. It is invalid to use a nullFlavor when a proper value is provided.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not(@value) and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(@value) and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to the CDA schema thedata element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'TEL' data type and has nullFlavor 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a value value may exist, but it must
		be derived from the information provided. Confirm if the use of this nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for
		information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@value) and (@nullFlavor='PINF' or @nullFlavor='NINF') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@value) and (@nullFlavor='PINF' or @nullFlavor='NINF')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 1: According to the CDA schema the data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'TEL' data type and has a nullFlavor attribute with the value
		'<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />). That value of nullFlavor may not be used for data elements of the TEL data type.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@value) and @nullFlavor='UNC' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@value) and @nullFlavor='UNC'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 2: According to the CDA schema the data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'TEL' data type and has a nullFlavor attribute with the value
		'<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />). That value of nullFlavor may not be used for data elements of the TEL data type.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@value) and (@nullFlavor='QS' or @nullFlavor='TRC') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@value) and (@nullFlavor='QS' or @nullFlavor='TRC')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 3: According to the CDA schema the data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'TEL' data type and has a nullFlavor attribute with the value
		'<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />). That value of nullFlavor may not be used for data elements of the TEL data type.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$local-uri-error ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$local-uri-error">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

 		Error<xsl:text /><xsl:value-of select="$rating-118" /><xsl:text />: TC-Types-118: According to the CDA schema the data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'TEL' data type. However it contains an invalid local reference value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'.
		For this local reference to be valid there must be another element in the clinical document with an ID attribute with the value '<xsl:text /><xsl:value-of select="substring-after(@value,'#')" /><xsl:text />'.
		This is needed to meet the requirement for it to be a uniform resource locator or a uniform resource identifier that references a locatable resource.
		(See sections 7.6.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and sections 3.5 and 4.4 of RFC 3986 https://www.ietf.org/rfc/rfc3986.txt.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="contains(@value,':') and not($tel-or-fax or $email-scheme) and not(translate(@value, $uri-chars, '') = '') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="contains(@value,':') and not($tel-or-fax or $email-scheme) and not(translate(@value, $uri-chars, '') = '')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-118" /><xsl:text />: TC-Types-118: According to the CDA schema the data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'TEL' data type. However it has value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' which contains one or more characters that are not in the set of
		allowed characters for a URI. Any special characters must be percent encoded. This is needed to meet the requirement for it to be a uniform resource locator or a uniform resource
		identifier that references a locatable resource. (See sections 7.6.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and section 2.1 of RFC
		3986 https://www.ietf.org/rfc/rfc3986.txt.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $email-scheme and @value and $email-syntax-error and not($email-space-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$email-scheme and @value and $email-syntax-error and not($email-space-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-118" /><xsl:text />: TC-Types-118: According to the CDA schema the data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'TEL' data type. However it has value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' which does not have the mailbox syntax of a local part, followed by
		'@' followed by a domain.
		(See sections 7.6.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and section 6.1 of RFC 822 https://tools.ietf.org/html/rfc822.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$email-space-error ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$email-space-error">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rejection-rating " /><xsl:text />: TC-Types-118: According to the CDA schema the data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'TEL' data type. However it has value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' which contains spaces. Spaces must either be omitted or
		percent encoded otherwise.
		(See sections 7.6.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and section 5 of RFC 2368 https://tools.ietf.org/html/rfc2368.)
		A value containing a space is not a valid Uniform Resource Identifier (URI) and does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be
		rejected by the My Health Record system.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="$scheme-name = 'pcehr' and not(matches(@value, $pcehr-uri-regex) and (    translate(substring-after(@value,'/'),'0123456789.','') = ''         or     translate(substring-after(@value,'/'), '0123456789abcdef', 'hhhhhhhhhhhhhhhh') = 'hhhhhhhh-hhhh-hhhh-hhhh-hhhhhhhhhhhh'  or    translate(substring-after(@value,'/'), '0123456789ABCDEF', 'HHHHHHHHHHHHHHHH') = 'HHHHHHHH-HHHH-HHHH-HHHH-HHHHHHHHHHHH'  )) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$scheme-name = 'pcehr' and not(matches(@value, $pcehr-uri-regex) and ( translate(substring-after(@value,'/'),'0123456789.','') = '' or translate(substring-after(@value,'/'), '0123456789abcdef', 'hhhhhhhhhhhhhhhh') = 'hhhhhhhh-hhhh-hhhh-hhhh-hhhhhhhhhhhh' or translate(substring-after(@value,'/'), '0123456789ABCDEF', 'HHHHHHHHHHHHHHHH') = 'HHHHHHHH-HHHH-HHHH-HHHH-HHHHHHHHHHHH' ))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-118" /><xsl:text />: TC-Types-118: According to the CDA schema the data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'TEL' data type. However it has
		value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' which does not meet the requirement for it to be a uniform resource locator or a uniform resource identifier that references a locatable resource.
		(See sections 7.6.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange' and Appendix C.1 in the PCEHR View Service Technical Service Specification v1.7.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="contains(@value,':') and not(matches($scheme-name, $uri-scheme-regex)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="contains(@value,':') and not(matches($scheme-name, $uri-scheme-regex))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-118" /><xsl:text />: TC-Narr-118: According to the CDA schema the data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'TEL' data type. However it has value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' which does not have a URI syntax as the URI scheme name
		'<xsl:text /><xsl:value-of select="$scheme-name" /><xsl:text />' does not have the correct syntax. (See section 3.1 of RFC 3986 https://www.ietf.org/rfc/rfc3986.txt.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="contains(@value,':') and not($scheme-name = 'pcehr' or $uri-schemes[scheme/@name = $scheme-name]) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="contains(@value,':') and not($scheme-name = 'pcehr' or $uri-schemes[scheme/@name = $scheme-name])">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-118" /><xsl:text />: TC-Narr-118: According to the CDA schema the data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'TEL' data type. However it has value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' which is not a valid URI as the URI scheme
		'<xsl:text /><xsl:value-of select="$scheme-name" /><xsl:text />' is not a member of the list of registered schemes.
		(See section 3.1 of RFC 3986 https://www.ietf.org/rfc/rfc3986.txt and 'Uniform Resource Identifier (URI) Schemes' https://www.iana.org/assignments/uri-schemes/uri-schemes.xhtml.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $not-locatable-resource and not($email-space-error) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$not-locatable-resource and not($email-space-error)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-118" /><xsl:text />: TC-Types-118: According to the CDA schema the data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'TEL' data type. However it has value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' which does not meet the requirement for it to be a uniform resource
		locator or a uniform resource identifier that references a locatable resource. (See sections 7.6.2.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'
		and section 3 of RFC 3986 https://www.ietf.org/rfc/rfc3986.txt.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1162" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1162" />
  <xsl:template match="@*|node()" priority="-2" mode="M1162">
    <xsl:apply-templates select="@*|*" mode="M1162" />
  </xsl:template>
  <!--PATTERN p-TS-TS-1-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument//*[     @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'     or    ((../@xsi:type = 'IVL_TS' or normalize-space(substring-after(../@xsi:type, ':')) = 'IVL_TS') and      local-name(.) = ('low', 'high', 'center'))        or    ((../../@xsi:type = 'PIVL_TS' or normalize-space(substring-after(../../@xsi:type, ':')) = 'PIVL_TS') and      local-name(..) = 'phase' and local-name(.) = ('low', 'high', 'center'))] " priority="1000" mode="M1163">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument//*[     @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'     or    ((../@xsi:type = 'IVL_TS' or normalize-space(substring-after(../@xsi:type, ':')) = 'IVL_TS') and      local-name(.) = ('low', 'high', 'center'))        or    ((../../@xsi:type = 'PIVL_TS' or normalize-space(substring-after(../../@xsi:type, ':')) = 'PIVL_TS') and      local-name(..) = 'phase' and local-name(.) = ('low', 'high', 'center'))] " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-100" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-100 else $rating-alt-TC-Types-100 " />
    <!--REPORT -->
    <xsl:if test=" not(@value or @nullFlavor) and not(cda:low or cda:high) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@value or @nullFlavor) and not(cda:low or cda:high)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-100" /><xsl:text />: TC-Types-100: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		does not meet the requirement for elements of the HL7 'TS' data type to have a value attribute if there is no nullFlavor attribute.
		(See section 7.8.13.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange')

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(@value or @nullFlavor) and (cda:low or cda:high) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(@value or @nullFlavor) and (cda:low or cda:high)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-100" /><xsl:text />: TC-Types-100: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> does not
		meet the requirement for elements of the HL7 'TS' data type to have a value attribute if there is no nullFlavor attribute. The element has
		a child element '<xsl:text /><xsl:value-of select="local-name(cda:*[local-name(.) = 'low' or local-name(.) = 'high'])" /><xsl:text />' which is not one of the elements used for the HL7 'TS' data type.
		(See section 7.8.13 of ISO 21090 'Health informatics - Harmonized data types for information interchange')

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1163" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1163" />
  <xsl:template match="@*|node()" priority="-2" mode="M1163">
    <xsl:apply-templates select="@*|*" mode="M1163" />
  </xsl:template>
  <!--PATTERN p-TS-TS-2-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument[not($flags/@allow-hints = 'false')]/cda:copyTime[@value]             |          /cda:ClinicalDocument[not($flags/@allow-hints = 'false')]/cda:effectiveTime[@value]            |          /cda:ClinicalDocument[not($flags/@allow-hints = 'false')]/*[not(local-name(.) = 'component')]//*[@value and (        local-name(.) = ('activityTime',           'availabilityTime',           'birthTime',           'copyTime',           'creationTime',           'deceasedTime',           'effectiveTime',           'executionAndDeliveryTime',           'lastCalibrationTime',           'recertificationTime',           'time')               or       @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'         or             (local-name(.) = ('low', 'high', 'center') and (local-name(..) = ('activityTime',                 'availabilityTime',                 'effectiveTime',                 'existenceTime',                 'expectedUseTime',                 'expirationTime',                 'stabilityTime',                 'time',                 'phase') or                   ../@xsi:type = 'IVL_TS' or normalize-space(substring-after(../@xsi:type, ':')) = 'IVL_TS')) )] |          /cda:ClinicalDocument[not($flags/@allow-hints = 'false')]/cda:component/cda:structuredBody/cda:component/    cda:section/*[not(cda:text)]//*[@value and (        local-name(.) = ('activityTime',           'availabilityTime',           'birthTime',           'copyTime',           'creationTime',           'deceasedTime',           'effectiveTime',           'executionAndDeliveryTime',           'lastCalibrationTime',           'recertificationTime',           'time')               or       @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'         or             (local-name(.) = ('low', 'high', 'center') and (local-name(..) = ('activityTime',                 'availabilityTime',                 'effectiveTime',                 'existenceTime',                 'expectedUseTime',                 'expirationTime',                 'stabilityTime',                 'time',                 'phase') or                   ../@xsi:type = 'IVL_TS' or normalize-space(substring-after(../@xsi:type, ':')) = 'IVL_TS')) )] " priority="1000" mode="M1164">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument[not($flags/@allow-hints = 'false')]/cda:copyTime[@value]             |          /cda:ClinicalDocument[not($flags/@allow-hints = 'false')]/cda:effectiveTime[@value]            |          /cda:ClinicalDocument[not($flags/@allow-hints = 'false')]/*[not(local-name(.) = 'component')]//*[@value and (        local-name(.) = ('activityTime',           'availabilityTime',           'birthTime',           'copyTime',           'creationTime',           'deceasedTime',           'effectiveTime',           'executionAndDeliveryTime',           'lastCalibrationTime',           'recertificationTime',           'time')               or       @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'         or             (local-name(.) = ('low', 'high', 'center') and (local-name(..) = ('activityTime',                 'availabilityTime',                 'effectiveTime',                 'existenceTime',                 'expectedUseTime',                 'expirationTime',                 'stabilityTime',                 'time',                 'phase') or                   ../@xsi:type = 'IVL_TS' or normalize-space(substring-after(../@xsi:type, ':')) = 'IVL_TS')) )] |          /cda:ClinicalDocument[not($flags/@allow-hints = 'false')]/cda:component/cda:structuredBody/cda:component/    cda:section/*[not(cda:text)]//*[@value and (        local-name(.) = ('activityTime',           'availabilityTime',           'birthTime',           'copyTime',           'creationTime',           'deceasedTime',           'effectiveTime',           'executionAndDeliveryTime',           'lastCalibrationTime',           'recertificationTime',           'time')               or       @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'         or             (local-name(.) = ('low', 'high', 'center') and (local-name(..) = ('activityTime',                 'availabilityTime',                 'effectiveTime',                 'existenceTime',                 'expectedUseTime',                 'expirationTime',                 'stabilityTime',                 'time',                 'phase') or                   ../@xsi:type = 'IVL_TS' or normalize-space(substring-after(../@xsi:type, ':')) = 'IVL_TS')) )] " />
    <xsl:variable name="the-source" select="if(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'    or          ../@xsi:type = 'IVL_TS' or normalize-space(substring-after(../@xsi:type, ':')) = 'IVL_TS'  or          ../../@xsi:type = 'PIVL_TS' or normalize-space(substring-after(../../@xsi:type, ':')) = 'PIVL_TS' )         then concat('the type declaration xsi:type ''', @xsi:type, '''')        else 'the HL7 Reference Information Model' " />
    <xsl:variable name="nullFlavor-values" select="$nullFlavors/nullFlavor[@value = current()/@nullFlavor]" />
    <xsl:variable name="valid-chars" select="@value and translate(@value, $ts-chars, '') = '' " />
    <xsl:variable name="timezone" select="if ($valid-chars and contains(@value,'+')) then substring-after(@value,'+')        else if ($valid-chars and contains(@value,'-')) then substring-after(@value,'-')        else '' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="not($initial-priority) and ancestor::cda:entry and not(ancestor::cda:performer) " />
    <xsl:variable name="rating-ts-ts" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TS-TS else $rating-alt-TS-TS " />
    <xsl:variable name="rating-04" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-04 " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-48 else $rating-alt-TC-Types-48 " />
    <xsl:variable name="rating-49" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-49 else $rating-alt-TC-Types-49 " />
    <xsl:variable name="rating-99" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-99 else $rating-alt-TC-Types-99 " />
    <xsl:variable name="rating-100" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-100 else $rating-alt-TC-Types-100 " />
    <xsl:variable name="rating-101" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-101 else $rating-alt-TC-Types-101 " />
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('birthTime', 'copyTime', 'creationTime', 'deceasedTime') and @xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('birthTime', 'copyTime', 'creationTime', 'deceasedTime') and @xsi:type and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-04" /><xsl:text />: TC-Doc-04: According to <xsl:text /><xsl:value-of select="$the-source" /><xsl:text /> the data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'TS' data type however the type declaration xsi:type '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />' is invalid for that data type.
		(See the HL7 Reference Information Model.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @value and not($valid-chars) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value and not($valid-chars)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-99" /><xsl:text />: TC-Types-99: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		a 'value' attribute with the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' which contains characters that are not allowed for the time stamp format.
		(See section 7.8.13.3.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $valid-chars and not(contains(@value, '+') or contains(@value, '-')) and not(string-length(@value) = (4, 6, 8, 12) or string-length(@value) &gt; 13)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$valid-chars and not(contains(@value, '+') or contains(@value, '-')) and not(string-length(@value) = (4, 6, 8, 12) or string-length(@value) &gt; 13)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>		
		
		Error<xsl:text /><xsl:value-of select="$rating-99" /><xsl:text />: TC-Types-99: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		a 'value' attribute with the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' but the time stamp does not have the number of digits needed for the format 'YYYY[MM[DD[HH[MM[SS[.U[U[U[U]]]]]]]]]'.
		(See section 7.8.13.3.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $valid-chars and contains(@value, '+') and not(string-length(substring-before(@value, '+')) = (4, 6, 8, 10, 12) or string-length(substring-before(@value, '+')) &gt; 13)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$valid-chars and contains(@value, '+') and not(string-length(substring-before(@value, '+')) = (4, 6, 8, 10, 12) or string-length(substring-before(@value, '+')) &gt; 13)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-99" /><xsl:text />: TC-Types-99: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		a 'value' attribute with the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' which contains the time zone prefix character '+' and the time does not have the number of digits needed for the format
		'YYYY[MM[DD[HH[MM[SS[.U[U[U[U]]]]]]]]][+ZZzz]'. (See section 7.8.13.3.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $valid-chars and contains(@value, '-') and not(string-length(substring-before(@value, '-')) = (4, 6, 8, 10, 12) or string-length(substring-before(@value, '-')) &gt; 13)">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$valid-chars and contains(@value, '-') and not(string-length(substring-before(@value, '-')) = (4, 6, 8, 10, 12) or string-length(substring-before(@value, '-')) &gt; 13)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-99" /><xsl:text />: TC-Types-99: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		a 'value' attribute with the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' which contains the time zone prefix character '-' and the time does not have the number of digits for the format
		'YYYY[MM[DD[HH[MM[SS[.U[U[U[U]]]]]]]]][-ZZzz]'. (See section 7.8.13.3.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $valid-chars and not(contains(@value,'.')) and not(   translate(@value, '0123456789', '') = ''  or   translate(@value, '0123456789', '') = '+'  or   translate(@value, '0123456789', '') = '-' ) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$valid-chars and not(contains(@value,'.')) and not( translate(@value, '0123456789', '') = '' or translate(@value, '0123456789', '') = '+' or translate(@value, '0123456789', '') = '-' )">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-99" /><xsl:text />: TC-Types-99: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		a 'value' attribute with the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' which contains characters that are not allowed for the time stamp format 'YYYY[MM[DD[HH[MM[SS][+|-ZZzz]'.
		(See section 7.8.13.3.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $valid-chars and contains(@value,'.') and not(   translate(substring-after(@value,'.'), '0123456789', '') = ''  or   translate(substring-after(@value,'.'), '0123456789', '') = '+'  or   translate(substring-after(@value,'.'), '0123456789', '') = '-' ) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$valid-chars and contains(@value,'.') and not( translate(substring-after(@value,'.'), '0123456789', '') = '' or translate(substring-after(@value,'.'), '0123456789', '') = '+' or translate(substring-after(@value,'.'), '0123456789', '') = '-' )">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-99" /><xsl:text />: TC-Types-99: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		a 'value' attribute with the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' which contains characters that are not allowed for the time stamp format 'YYYY[MM[DD[HH[MM[SS[.U[U[U[U]]]]]]]]][+|-ZZzz]'.
		(See section 7.8.13.3.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $valid-chars and $timezone != '' and not(matches($timezone, $ts-tz-regex)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$valid-chars and $timezone != '' and not(matches($timezone, $ts-tz-regex))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-99" /><xsl:text />: TC-Types-99: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		a 'value' attribute with the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'. This contains the time zone '<xsl:text /><xsl:value-of select="$timezone" /><xsl:text />' which does not meet the requirement to contain
		four digits. (See section 7.8.13.3.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $valid-chars and matches(@value, '^([0-9]{8}|[0-9]{12}[-+]{1}[0-9]{4}|[0-9]{14}\.{0,1}[0-9]*[-+]{1}[0-9]{4})$') and    not(number(substring(@value,5,2)) &gt; 0 and number(substring(@value,5,2)) &lt; 13) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$valid-chars and matches(@value, '^([0-9]{8}|[0-9]{12}[-+]{1}[0-9]{4}|[0-9]{14}\.{0,1}[0-9]*[-+]{1}[0-9]{4})$') and not(number(substring(@value,5,2)) &gt; 0 and number(substring(@value,5,2)) &lt; 13)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-99" /><xsl:text />: TC-Types-99: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		a 'value' attribute with the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'. The month '<xsl:text /><xsl:value-of select="substring(@value,5,2)" /><xsl:text />' is not in the interval 01 to 12.
		(See section 7.8.13.3.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $valid-chars and not(substring(@value,7,2) = '') and number(substring(@value,5,2)) = (4, 6, 9, 11) and   not(number(substring(@value,7,2)) &gt;= 1 and number(substring(@value,7,2)) &lt; 31) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$valid-chars and not(substring(@value,7,2) = '') and number(substring(@value,5,2)) = (4, 6, 9, 11) and not(number(substring(@value,7,2)) &gt;= 1 and number(substring(@value,7,2)) &lt; 31)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-99" /><xsl:text />: TC-Types-99: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		a 'value' attribute with the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' which has the day '<xsl:text /><xsl:value-of select="substring(@value,7,2)" /><xsl:text />' that is not in the interval 01 to 30
		which is the allowed interval for the month '<xsl:text /><xsl:value-of select="substring(@value,5,2)" /><xsl:text />'.
		(See section 7.8.13.3.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $valid-chars and not(substring(@value,7,2) = '') and number(substring(@value,5,2)) = (1, 3, 5, 7, 8, 10, 12) and   not(number(substring(@value,7,2)) &gt;= 1 and number(substring(@value,7,2)) &lt; 32) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$valid-chars and not(substring(@value,7,2) = '') and number(substring(@value,5,2)) = (1, 3, 5, 7, 8, 10, 12) and not(number(substring(@value,7,2)) &gt;= 1 and number(substring(@value,7,2)) &lt; 32)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-99" /><xsl:text />: TC-Types-99: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		a 'value' attribute with the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' which has the day '<xsl:text /><xsl:value-of select="substring(@value,7,2)" /><xsl:text />' that is not in the interval 01 to 31
		which is the allowed interval for the month '<xsl:text /><xsl:value-of select="substring(@value,5,2)" /><xsl:text />'.
		(See section 7.8.13.3.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $valid-chars and not(substring(@value,7,2) = '') and number(substring(@value,5,2)) = 2 and    not(number(substring(@value,7,2)) &gt;= 1 and number(substring(@value,7,2)) &lt; 30) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$valid-chars and not(substring(@value,7,2) = '') and number(substring(@value,5,2)) = 2 and not(number(substring(@value,7,2)) &gt;= 1 and number(substring(@value,7,2)) &lt; 30)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-99" /><xsl:text />: TC-Types-99: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		a 'value' attribute with the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' which has the day '<xsl:text /><xsl:value-of select="substring(@value,7,2)" /><xsl:text />' that is not in the
		interval 01 to 29 which is the allowed interval for the month '<xsl:text /><xsl:value-of select="substring(@value,5,2)" /><xsl:text />'.
		(See section 7.8.13.3.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $valid-chars and not(substring(substring-before(@value,'+'),9,2) = '') and    not(number(substring(substring-before(@value,'+'),9,2)) &gt;= 0 and number(substring(substring-before(@value,'+'),9,2)) &lt; 24) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$valid-chars and not(substring(substring-before(@value,'+'),9,2) = '') and not(number(substring(substring-before(@value,'+'),9,2)) &gt;= 0 and number(substring(substring-before(@value,'+'),9,2)) &lt; 24)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-99" /><xsl:text />: TC-Types-99: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		a 'value' attribute with the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' which has the hour '<xsl:text /><xsl:value-of select="substring(substring-before(@value,'+'),9,2)" /><xsl:text />' that is not in the interval 01 to
		23. (See section 7.8.13.3.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $valid-chars and not(substring(substring-before(@value,'-'),9,2) = '') and    not(number(substring(substring-before(@value,'-'),9,2)) &gt;= 0 and number(substring(substring-before(@value,'-'),9,2)) &lt; 24) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$valid-chars and not(substring(substring-before(@value,'-'),9,2) = '') and not(number(substring(substring-before(@value,'-'),9,2)) &gt;= 0 and number(substring(substring-before(@value,'-'),9,2)) &lt; 24)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-99" /><xsl:text />: TC-Types-99: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		a 'value' attribute with the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' which has the hour '<xsl:text /><xsl:value-of select="substring(substring-before(@value,'-'),9,2)" /><xsl:text />' that is not in the interval 01 to
		23. (See section 7.8.13.3.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $valid-chars and not(substring(substring-before(@value,'+'),11,2) = '') and    not(number(substring(substring-before(@value,'+'),11,2)) &gt;= 0 and number(substring(substring-before(@value,'+'),11,2)) &lt; 60) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$valid-chars and not(substring(substring-before(@value,'+'),11,2) = '') and not(number(substring(substring-before(@value,'+'),11,2)) &gt;= 0 and number(substring(substring-before(@value,'+'),11,2)) &lt; 60)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-99" /><xsl:text />: TC-Types-99: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		a 'value' attribute with the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' which has the minutes '<xsl:text /><xsl:value-of select="substring(substring-before(@value,'+'),11,2)" /><xsl:text />' that is not in the interval 01
		to 59. (See section 7.8.13.3.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $valid-chars and not(substring(substring-before(@value,'-'),11,2) = '') and    not(number(substring(substring-before(@value,'-'),11,2)) &gt;= 0 and number(substring(substring-before(@value,'-'),11,2)) &lt; 60) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$valid-chars and not(substring(substring-before(@value,'-'),11,2) = '') and not(number(substring(substring-before(@value,'-'),11,2)) &gt;= 0 and number(substring(substring-before(@value,'-'),11,2)) &lt; 60)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-99" /><xsl:text />: TC-Types-99: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		a 'value' attribute with the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' which has the minutes '<xsl:text /><xsl:value-of select="substring(substring-before(@value,'-'),11,2)" /><xsl:text />' that is not in the interval 01
		to 59. (See section 7.8.13.3.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $valid-chars and not(substring(substring-before(@value,'+'),13,2) = '') and    not(number(substring(substring-before(@value,'+'),13,2)) &gt;= 0 and number(substring(substring-before(@value,'+'),13,2)) &lt; 60) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$valid-chars and not(substring(substring-before(@value,'+'),13,2) = '') and not(number(substring(substring-before(@value,'+'),13,2)) &gt;= 0 and number(substring(substring-before(@value,'+'),13,2)) &lt; 60)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-99" /><xsl:text />: TC-Types-99: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		a 'value' attribute with the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' which has the seconds '<xsl:text /><xsl:value-of select="substring(substring-before(@value,'+'),13,2)" /><xsl:text />'
		that is not in the interval 01 to 59. (See section 7.8.13.3.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $valid-chars and not(substring(substring-before(@value,'-'),13,2) = '') and    not(number(substring(substring-before(@value,'-'),13,2)) &gt;= 0 and number(substring(substring-before(@value,'-'),13,2)) &lt; 60) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$valid-chars and not(substring(substring-before(@value,'-'),13,2) = '') and not(number(substring(substring-before(@value,'-'),13,2)) &gt;= 0 and number(substring(substring-before(@value,'-'),13,2)) &lt; 60)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-99" /><xsl:text />: TC-Types-99: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		a 'value' attribute with the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' which has the seconds '<xsl:text /><xsl:value-of select="substring(substring-before(@value,'-'),13,2)" /><xsl:text />'
		that is not in the interval 01 to 59.
		(See section 7.8.13.3.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $valid-chars and $timezone != '' and matches($timezone, $ts-tz-regex) and not(number(substring($timezone, 1, 2)) &lt; 15) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$valid-chars and $timezone != '' and matches($timezone, $ts-tz-regex) and not(number(substring($timezone, 1, 2)) &lt; 15)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-99" /><xsl:text />: TC-Types-99: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		a 'value' attribute with the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' which has the time zone hours '<xsl:text /><xsl:value-of select="substring($timezone, 1, 2)" /><xsl:text />' that is not in the interval
		01 to 14. (See section 7.8.13.3.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $valid-chars and $timezone != '' and matches($timezone, $ts-tz-regex) and not(number(substring($timezone, 3, 4)) &lt; 60) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$valid-chars and $timezone != '' and matches($timezone, $ts-tz-regex) and not(number(substring($timezone, 3, 4)) &lt; 60)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-99" /><xsl:text />: TC-Types-99: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		a 'value' attribute with the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' which has the time zone minutes '<xsl:text /><xsl:value-of select="substring($timezone, 3, 4)" /><xsl:text />' that is not in the
		interval 01 to 59. (See section 7.8.13.3.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $valid-chars and contains(@value,'.') and not(string-length(substring-before(@value,'.')) = 14) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$valid-chars and contains(@value,'.') and not(string-length(substring-before(@value,'.')) = 14)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-99" /><xsl:text />: TC-Types-99: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		a 'value' attribute with the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' which includes the millisecond prefix '.' but does not have a time with hours, minutes and seconds.
		(See section 7.8.13.3.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $valid-chars and contains(@value,'+') and number(substring-before(@value,'+')) &lt; 9 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$valid-chars and contains(@value,'+') and number(substring-before(@value,'+')) &lt; 9">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-99" /><xsl:text />: TC-Types-99: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		a 'value' attribute with the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' which has a time zone but no time. A time zone may be present only if the time if present.
		(See section 7.8.13.3.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $valid-chars and contains(@value,'-') and number(substring-before(@value,'-')) &lt; 9 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$valid-chars and contains(@value,'-') and number(substring-before(@value,'-')) &lt; 9">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-99" /><xsl:text />: TC-Types-99: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		a 'value' attribute with the value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />' which has a time zone but no time. A time zone may be present only if the time if present.
		(See section 7.8.13.3.1 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not(local-name(.) = ('effectiveTime', 'time')) and    not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not(@nullFlavor or @value) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(local-name(.) = ('effectiveTime', 'time')) and not(@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not(@nullFlavor or @value)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-100" /><xsl:text />: TC-Types-100: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> does not
		meet the requirement for elements of the HL7 'TS' data type to have a value attribute if there is no nullFlavor attribute.
		(See section 7.8.13.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="local-name(.) = ('effectiveTime', 'time') and (@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and    not(@nullFlavor or @value) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and (@xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS') and not(@nullFlavor or @value)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-100" /><xsl:text />: TC-Types-100: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> does not
		meet the requirement for elements of the HL7 'TS' data type to have a value attribute if there is no nullFlavor attribute.
		(See section 7.8.13.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('effectiveTime', 'time') and    not(@xsi:type = ('TS', 'IVL_TS', 'PIVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS', 'PIVL_TS')) and    not(@nullFlavor or @value or cda:width or cda:any or cda:low or cda:high or cda:phase or cda:period) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@xsi:type = ('TS', 'IVL_TS', 'PIVL_TS') or normalize-space(substring-after(@xsi:type, ':')) = ('TS', 'IVL_TS', 'PIVL_TS')) and not(@nullFlavor or @value or cda:width or cda:any or cda:low or cda:high or cda:phase or cda:period)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-100" /><xsl:text />: TC-Types-100: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> does not
		have nullFlavor or value or any child elements. The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' may be a time stamp, a time interval or a periodic time interval
		depending on the data element that it is used for. If it is a time stamp or the DateTime derived type then either a nullFlavor or value must be present.
		If it is a time interval then a nullFlavor or one or more of the child elements 'low' or 'high' must be present.
		If it is a periodic time interval then a nullFlavor or one or more of the child elements 'phase' or'period' must be present.
		(See sections 7.8.13.5 and 7.10.9.5 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @value and not(substring(substring-before(@value,'+'),9,2) = '') and substring(substring-before(@value,'+'),11,2) = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value and not(substring(substring-before(@value,'+'),9,2) = '') and substring(substring-before(@value,'+'),11,2) = ''">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-101" /><xsl:text />: TC-Types-101: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element has a 'value' attribute with the value
		'<xsl:text /><xsl:value-of select="@value" /><xsl:text />'. This has the hour '<xsl:text /><xsl:value-of select="substring(substring-before(@value,'+'),9,2)" /><xsl:text />' but no minutes. When a time includes the hours the minutes must also be
		stated. (See section 8.3 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @value and not(substring(substring-before(@value,'-'),9,2) = '') and substring(substring-before(@value,'-'),11,2) = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value and not(substring(substring-before(@value,'-'),9,2) = '') and substring(substring-before(@value,'-'),11,2) = ''">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-101" /><xsl:text />: TC-Types-101: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element has a 'value' attribute with the value
		'<xsl:text /><xsl:value-of select="@value" /><xsl:text />'. This has the hour '<xsl:text /><xsl:value-of select="substring(substring-before(@value,'-'),9,2)" /><xsl:text />' but no minutes. When a time includes the hours the minutes must also be
		stated. (See section 8.3 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)


	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @value and not(contains(@value,'+') or contains(@value,'-')) and string-length(@value) &gt; 8 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@value and not(contains(@value,'+') or contains(@value,'-')) and string-length(@value) &gt; 8">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-101" /><xsl:text />: TC-Types-101: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element has a 'value' attribute with the value
		'<xsl:text /><xsl:value-of select="@value" /><xsl:text />' which contains a time but the time zone is omitted. The time zone must be included when a time is present. (See section 8.3 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />
		CDA Implementation Guide.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @nullFlavor and @value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@nullFlavor and @value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to <xsl:text /><xsl:value-of select="$the-source" /><xsl:text /> the data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'TS' data type and has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />)
		and value='<xsl:text /><xsl:value-of select="@value" /><xsl:text />'. It is invalid to have a nullFlavor when there is a valid value. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for
		information interchange' and section 2.32 of 'XML Implementation Technology Specification - Data Types'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not(@value) and @nullFlavor = 'DER' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(@value) and @nullFlavor = 'DER'">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to <xsl:text /><xsl:value-of select="$the-source" /><xsl:text /> the data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'TS' data type and has
		nullFlavor 'DER' (<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) which indicates a value value may exist, but it must be derived from the information provided. Confirm if the use of this
		nullFlavor is valid. (See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not(local-name(.) = ('effectiveTime', 'time')) and not(@value) and @nullFlavor = ('NINF', 'PINF') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not(local-name(.) = ('effectiveTime', 'time')) and not(@value) and @nullFlavor = ('NINF', 'PINF')">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Types-48: According to <xsl:text /><xsl:value-of select="$the-source" /><xsl:text /> the data element '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'TS' data type and has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />) but a time of negative or positive infinity is not expected. Confirm if the value is correct, for example, if the time is unknown then
		nullFlavor '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' is incorrect and one of the nullFlavor values that indicate the time is unknown should be used.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not(local-name(.) = ('effectiveTime', 'time')) and not(@value) and @nullFlavor = ('QS', 'TRC') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not(local-name(.) = ('effectiveTime', 'time')) and not(@value) and @nullFlavor = ('QS', 'TRC')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 3: According to <xsl:text /><xsl:value-of select="$the-source" /><xsl:text /> the data element
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 'TS' data type and has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />' 
		(<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />). That value of nullFlavor may not be used for data elements of the TS data types.
		(See sections 7.1.4 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = ('effectiveTime', 'time') and not(@value) and @nullFlavor = ('QS', 'TRC') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = ('effectiveTime', 'time') and not(@value) and @nullFlavor = ('QS', 'TRC')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-49" /><xsl:text />: TC-Types-49 step 3: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> may be a
		time stamp, a time interval or a periodic time interval depending on the data element that it is used for. It has a nullFlavor attribute with the value '<xsl:text /><xsl:value-of select="@nullFlavor" /><xsl:text />'
		(<xsl:text /><xsl:value-of select="$nullFlavor-values/@name" /><xsl:text />). That value of nullFlavor may not be used for data elements that are a time stamp, a time interval or a periodic time interval.
		(See sections 7.1.4, 7.10.9, 7.10.13 and 7.3.3.3 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data-quality = 'true' and local-name(.) = 'copyTime' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data-quality = 'true' and local-name(.) = 'copyTime'">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-ts-ts" /><xsl:text />: A 'copyTime' element is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />. It should not be included as it has been deprecated and its
		use is discouraged. (See section 4.2.1.9 of HL7 Clinical Document Architecture, Release 2.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1164" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1164" />
  <xsl:template match="@*|node()" priority="-2" mode="M1164">
    <xsl:apply-templates select="@*|*" mode="M1164" />
  </xsl:template>
  <!--PATTERN p-TS-UID-1-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument/*[not(local-name(.) = 'component')]//     *[@root and translate(@root, $uuid-chars, '') = ''][(@root != '' and not(matches(@root, $uuid-regex))) or @root = '00000000-0000-0000-0000-000000000000']   |                 /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/     *[not(cda:text)]//*[@root and translate(@root, $uuid-chars, '') = ''][(@root != '' and not(matches(@root, $uuid-regex))) or @root = '00000000-0000-0000-0000-000000000000'] " priority="1000" mode="M1165">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument/*[not(local-name(.) = 'component')]//     *[@root and translate(@root, $uuid-chars, '') = ''][(@root != '' and not(matches(@root, $uuid-regex))) or @root = '00000000-0000-0000-0000-000000000000']   |                 /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/     *[not(cda:text)]//*[@root and translate(@root, $uuid-chars, '') = ''][(@root != '' and not(matches(@root, $uuid-regex))) or @root = '00000000-0000-0000-0000-000000000000'] " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="if ($initial-priority) then false() else (ancestor::cda:recordTarget and ancestor::ext:asEntityIdentifier) or       (ancestor::cda:entry and not(ancestor::cda:performer) and not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']])) " />
    <xsl:variable name="rating-105" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-105 else $rating-alt-TC-Types-105 " />
    <!--REPORT -->
    <xsl:if test=" @root != '' and not(matches(@root, $uuid-regex)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@root != '' and not(matches(@root, $uuid-regex))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-105" /><xsl:text />: TC-Types-105: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		contains '<xsl:text /><xsl:value-of select="@root" /><xsl:text />' but to be a valid Universal Unique Identifier (UUID) it must have the format 'hhhhhhhh-hhhh-hhhh-hhhh-hhhhhhhhhhhh' where 'h' is a hexdigit
		that is one of the characters '0', '1', '2', '3', '4', '5', '6', '7', '8', '9', 'a', 'b', 'c', 'd', 'e', 'f', 'A', 'B', 'C', 'D', 'E', 'F' where all letters are uppercase or lowercase.
		(See the The Open Group, CDE 1.1 Remote Procedure Call specification Universal Unique Identifier (UUID), http://pubs.opengroup.org/onlinepubs/9629399/apdxa.htm.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" @root = '00000000-0000-0000-0000-000000000000' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@root = '00000000-0000-0000-0000-000000000000'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-105" /><xsl:text />: TC-Types-105: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		contains '<xsl:text /><xsl:value-of select="@root" /><xsl:text />' but to be a valid Universal Unique Identifier (UUID) it must be created according to the algorithm for creating a UUID. As a UUID is created
		from a timestamp then it is not valid for all characters to be zero.
		(See the The Open Group, CDE 1.1 Remote Procedure Call specification Universal Unique Identifier (UUID), http://pubs.opengroup.org/onlinepubs/9629399/apdxa.htm.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1165" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1165" />
  <xsl:template match="@*|node()" priority="-2" mode="M1165">
    <xsl:apply-templates select="@*|*" mode="M1165" />
  </xsl:template>
  <!--PATTERN p-TS-UID-2-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument/*[not(local-name(.) = 'component')]//     *[(@root and translate(@root, $oid-chars, '') = '') or (@codeSystem and translate(@codeSystem, $oid-chars, '') = '')]   |                 /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/     *[not(cda:text)]//*[(@root and translate(@root, $oid-chars, '') = '') or (@codeSystem and translate(@codeSystem, $oid-chars, '') = '')] " priority="1000" mode="M1166">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument/*[not(local-name(.) = 'component')]//     *[(@root and translate(@root, $oid-chars, '') = '') or (@codeSystem and translate(@codeSystem, $oid-chars, '') = '')]   |                 /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section/     *[not(cda:text)]//*[(@root and translate(@root, $oid-chars, '') = '') or (@codeSystem and translate(@codeSystem, $oid-chars, '') = '')] " />
    <xsl:variable name="possible-oid" select=" if (@root) then @root else @codeSystem " />
    <xsl:variable name="oid-format" select="$possible-oid != '' and matches($possible-oid, $oid-regex) and not(matches($possible-oid, $invalid-arc-regex)) " />
    <xsl:variable name="arc" select="if ($oid-format) then tokenize($possible-oid, '\.') else '' " />
    <xsl:variable name="sub-oids" select="$oid-arc-regex/oid[starts-with($possible-oid, concat(@value, '.')) and matches(substring-after($possible-oid, concat(@value, '.')), '^[0-9]+')]" />
    <xsl:variable name="sub-oid-num" select="count($sub-oids)" />
    <xsl:variable name="next-arcs" select="for $i in (1 to $sub-oid-num) return substring-after($possible-oid, concat($sub-oids[$i]/@value, '.')) " />
    <xsl:variable name="the-first-arc" select="for $i in (1 to $sub-oid-num) return tokenize($next-arcs[$i], '\.')[1] " />
    <xsl:variable name="the-second-arc" select="for $i in (1 to $sub-oid-num) return tokenize($next-arcs[$i], '\.')[2] " />
    <xsl:variable name="invalid-oid-arcs" select="index-of(for $i in (1 to $sub-oid-num) return         (if ($sub-oids[$i]/@arc-regex) then matches($the-first-arc[$i], $sub-oids[$i]/@arc-regex) else true()), false())" />
    <xsl:variable name="invalid-arc-value" select="$oid-format and count($invalid-oid-arcs) &gt; 0" />
    <xsl:variable name="following-arc" select="for $i in (1 to $sub-oid-num) return if ($sub-oids[$i]/@arc-regex) then $the-second-arc[$i] else $the-first-arc[$i] " />
    <xsl:variable name="disallowed-arcs" select="index-of(for $i in (1 to $sub-oid-num) return ($following-arc[$i] != '' and $sub-oids[$i]/@following-arc-allowed = 'no'), true()) " />
    <xsl:variable name="disallowed-arc-value" select="$oid-format and count($disallowed-arcs) &gt; 0" />
    <xsl:variable name="last-valid-oid" select="if (not($oid-format)) then ''        else if ($invalid-arc-value) then $sub-oids[$invalid-oid-arcs[1]]/@value         else if ($disallowed-arc-value and not($sub-oids[$disallowed-arcs[1]]/@arc-regex)) then $sub-oids[$disallowed-arcs[1]]/@value         else if ($disallowed-arc-value and $sub-oids[$disallowed-arcs[1]]/@arc-regex) then          concat($sub-oids[$disallowed-arcs[1]]/@value, '.', $the-first-arc[$disallowed-arcs[1]])         else if (matches($possible-oid, '(^1\.2\.36\.1\.2001\.1005\.70\.[0-9]{10,11}\.[0-9.]*[0-9]{1}$|^1\.2\.36\.1\.2001\.1005\.70\.[0-9]{10,11}$)'))          then '1.2.36.1.2001.1005.70'        else if (matches($possible-oid, '(^1\.2\.36\.1\.2001\.1005\.71\.[0-9]{10,11}\.[0-9.]*[0-9]{1}$|^1\.2\.36\.1\.2001\.1005\.71\.[0-9]{10,11}$)'))          then '1.2.36.1.2001.1005.71'        else '' " />
    <xsl:variable name="the-invalid-arc" select="if ($invalid-arc-value) then $the-first-arc[$invalid-oid-arcs[1]]         else if ($disallowed-arc-value) then $following-arc[$disallowed-arcs[1]]         else '' " />
    <xsl:variable name="special-oid" select=" $last-valid-oid = '1.2.36'    or        $last-valid-oid = '2.25'    or       $last-valid-oid = '1.2.36.1.2001.1003.0'  or       $last-valid-oid = '1.2.36.1.2001.1007.1'  or       $last-valid-oid = '1.2.36.1.2001.1007.4'  or       $last-valid-oid = '1.2.36.1.2001.1007.10'  or       $last-valid-oid = '1.2.36.1.2001.1007.11'  or       $last-valid-oid = '1.2.36.1.2001.1007.20'  or       $last-valid-oid = '1.2.36.1.2001.1005.29'  or       $last-valid-oid = '1.2.36.1.2001.1005.41'  or       $last-valid-oid = '1.2.36.1.2001.1005.50'  or       $last-valid-oid = '1.2.36.1.2001.1005.51'  or       $last-valid-oid = '1.2.36.1.2001.1005.52'  or       $last-valid-oid = '1.2.36.1.2001.1005.53'  or       $last-valid-oid = '1.2.36.1.2001.1005.54'  or       $last-valid-oid = '1.2.36.1.2001.1005.70'  or       $last-valid-oid = '1.2.36.1.2001.1005.71'  " />
    <xsl:variable name="invalid-oid" select=" not($oid-format)                  or        $invalid-arc-value                  or        $disallowed-arc-value                 or       (not($flags/@test-data = 'true') and $namespaces/namespace[$possible-oid = @test-OID or starts-with($possible-oid, concat(@test-OID, '.'))])  or       $namespaces/namespace[$possible-oid = @invalid-OID or starts-with($possible-oid, concat(@invalid-OID, '.'))]      " />
    <xsl:variable name="valid-oid" select="not($invalid-oid) and (       $code-systems/system[$possible-oid = @codeSystem]            or       $namespaces/namespace[$possible-oid = @OID]              or        $namespaces/namespace[$possible-oid = @invalid-namespace or starts-with($possible-oid, concat(@invalid-namespace, '.'))]   or       ($flags/@test-data = 'true' and $namespaces/namespace[$possible-oid = @test-OID or starts-with($possible-oid, concat(@test-OID, '.'))])  or       $namespaces/namespace[$possible-oid = @OID-prefix or starts-with($possible-oid, concat(@OID-prefix, '.'))]     )" />
    <xsl:variable name="possibly-valid-oid" select="not($valid-oid) and not($invalid-oid) " />
    <xsl:variable name="acn-abn-arc" select="$arc[4] " />
    <xsl:variable name="possible-acn-oid" select="not($invalid-oid) and matches($possible-oid, $acn-oid-regex) " />
    <xsl:variable name="possible-abn-oid" select="not($invalid-oid) and matches($possible-oid, $abn-oid-regex) " />
    <xsl:variable name="possible-acn" select="if ($possible-acn-oid and string-length($acn-abn-arc) &lt; 9) then concat(substring('000000000', 1, 9 - string-length($acn-abn-arc)), $acn-abn-arc)        else $acn-abn-arc " />
    <xsl:variable name="known-acn" select="$possible-acn-oid and $acn-abn-arc = $known-acn-arcs " />
    <xsl:variable name="acn-format-1" select="if (not($possible-acn-oid) or $known-acn) then 0 else             10 - (((8 *  number(substring($possible-acn, 1, 1))) +                            (7 *  number(substring($possible-acn, 2, 1))) +                            (6 *  number(substring($possible-acn, 3, 1))) +                            (5 *  number(substring($possible-acn, 4, 1))) +                           (4 *  number(substring($possible-acn, 5, 1))) +                           (3 *  number(substring($possible-acn, 6, 1))) +                            (2 *  number(substring($possible-acn, 7, 1))) +                           (1 *  number(substring($possible-acn, 8, 1))) ) mod 10) " />
    <xsl:variable name="acn-format" select="if ($known-acn) then true()       else if (not($possible-acn-oid)) then false()       else if ($acn-format-1 = 10) then 0 = number(substring($possible-acn, 9, 1))        else $acn-format-1 = number(substring($possible-acn, 9, 1))" />
    <xsl:variable name="possible-abn" select="if ($possible-abn-oid and string-length($acn-abn-arc) &lt; 11) then concat(substring('00000000000', 1, 11 - string-length($acn-abn-arc)), $acn-abn-arc)        else $acn-abn-arc " />
    <xsl:variable name="known-abn" select="$possible-abn-oid and $acn-abn-arc = $known-abn-arcs " />
    <xsl:variable name="abn-format-1" select="if (not($possible-abn-oid)) then '0' else       concat(string(number(substring($possible-abn, 1, 1)) - 1), substring($possible-abn, 2)) " />
    <xsl:variable name="abn-format" select="if ($known-abn) then true()       else if (not($possible-abn-oid)) then false()       else 0 =                  (((10 *  number(substring($abn-format-1, 1, 1)))  +                            ( 1 *  number(substring($abn-format-1, 2, 1)))  +                            ( 3 *  number(substring($abn-format-1, 3, 1)))  +                            ( 5 *  number(substring($abn-format-1, 4, 1)))  +                           ( 7 *  number(substring($abn-format-1, 5, 1)))  +                           ( 9 *  number(substring($abn-format-1, 6, 1)))  +                            (11 *  number(substring($abn-format-1, 7, 1)))  +                           (13 *  number(substring($abn-format-1, 8, 1)))  +                           (15 *  number(substring($abn-format-1, 9, 1)))  +                           (17 *  number(substring($abn-format-1, 10, 1))) +                           (19 *  number(substring($abn-format-1, 11, 1))) ) mod 6) " />
    <xsl:variable name="possible-business-oid" select="$possible-acn-oid or $possible-abn-oid " />
    <xsl:variable name="business-oid-format" select="$acn-format or $abn-format " />
    <xsl:variable name="possible-owner-oid-1" select="if (not($possibly-valid-oid) or $possible-business-oid) then ()        else (for $name-space in $namespaces/namespace return if (contains(concat(@root, '.'), concat($name-space/@OID, '.')))         then $name-space/@OID else '')[. != ''] " />
    <xsl:variable name="possible-owner-oid" select="if (count($possible-owner-oid-1) = 1) then $possible-owner-oid-1[1]        else if (count($possible-owner-oid-1) &gt; 1) then substring-before(dh:OrderByLength(string-join($possible-owner-oid-1, '|'), false()), '|')        else '' " />
    <xsl:variable name="possible-owner-name" select="if ($possible-owner-oid = '') then '' else $namespaces/namespace[@OID = $possible-owner-oid]/@name " />
    <xsl:variable name="wrong-authority" select=" (matches(@root, '1\.2\.36\.1\.2001\.1005\.46\.19(\.|$)') and matches(@assigningAuthorityName, 'NT Department Of Health', 'i')) " />
    <xsl:variable name="unknown-oid" select="$possibly-valid-oid and not($possible-business-oid) and $possible-owner-oid != '' and not($wrong-authority) " />
    <xsl:variable name="ent-id" select="local-name(.) = 'id' and local-name(..) = 'asEntityIdentifier' " />
    <xsl:variable name="local-ent-id" select="$ent-id and ../ext:code/@codeSystem = '2.16.840.1.113883.12.203' " />
    <xsl:variable name="el-person" select="if (not($ent-id)) then false() else         local-name(../..) = 'asPersonalRelationship'     or        local-name(../..) = 'assignedPerson'      or        local-name(../..) = 'associatedPerson'      or        local-name(../..) = 'guardianPerson'      or        local-name(../..) = 'informationRecipient'     or        local-name(../..) = 'maintainingPerson'     or        local-name(../..) = 'patient'       or       (local-name(../..) = 'playingEntity' and ../../@classCode='PSN')  or        local-name(../..) = 'relatedPerson'      or       (local-name(../..) = 'scopingEntity' and ../../@classCode='PSN')  or       (local-name(../..) = 'specimenPlayingEntity' and ../../@classCode='PSN') or        local-name(../..) = 'subject'       " />
    <xsl:variable name="el-consumer" select=" $el-person and local-name(../..) = 'patient' " />
    <xsl:variable name="el-participant" select=" $el-person and         (        $templateId-root = '1.2.36.1.2001.1001.100.1002.222'  or        $templateId-root = '1.2.36.1.2001.1001.101.100.1002.4'  or        $templateId-root = '1.2.36.1.2001.1001.100.1002.171'  or        $templateId-root = '1.2.36.1.2001.1001.100.1002.170'  or        $templateId-root = '1.2.36.1.2001.1001.101.100.1002.2'  or        $templateId-root = '1.2.36.1.2001.1001.101.100.1002.136' or        $templateId-root = '1.2.36.1.2001.1001.100.1002.220'  or        $templateId-root = '1.2.36.1.2001.1001.101.100.1002.120' or        $templateId-root = '1.2.36.1.2001.1001.101.100.1002.132'        )         and        (        local-name(../../..) = 'assignedAuthor'    or        ancestor::cda:legalAuthenticator           ) " />
    <xsl:variable name="el-unrestricted-person" select=" $el-person and not($el-consumer or $el-participant) " />
    <xsl:variable name="conformance-requirement" select="if ($doc-common-conf-profile = '1.7')           then '(See section 2.4.10 of the Common Conformance Profile for Clinical Documents v1.7.)'         else if ($doc-common-conf-profile = '1.6')           then '(See requirement 023876 of the Common Conformance Profile for Clinical Documents v1.6.)'         else if ($doc-common-conf-profile = '1.5')           then '(See requirement 023876 of the Common Conformance Profile for Clinical Documents v1.5.)'         else if ($doc-common-conf-profile = '1.4')           then '(See section 3.4.10 of the Common Conformance Profile for Clinical Documents v1.4.)'         else '' " />
    <xsl:variable name="suggestion" select="if (matches($possible-oid, '1\.2\.36\.2001\.1005\.')) then concat(' Perhaps the OID was intended to commence with ''1.2.36.1.2001.1005'' instead of ',         '''1.2.36.2001.1005''.')         else if (matches($possible-oid, '^1\.2\.36\.1\.2003\.1003\.0\.80036[0-9]{11}$')) then concat(' A valid value for the OID is ',         '''1.2.36.1.2001.1003.0.80036', replace($possible-oid, '(^1\.2\.36\.1\.2003\.1003\.0\.80036)([0-9]{11}$)', '$2'), '''.')        else if ($local-ent-id and $el-consumer) then concat(' For the healthcare consumer''s local identifier, the root attribute of the id element must ',         ' either be the OID ''1.2.36.1.2001.1005.29'' followed by the national healthcare identifier of the organisation that maintains the local',         ' identifier, the OID ''1.2.36.1.2001.1005.71'' followed by the Australian Business or Company Number (excluding leading zeroes) of the',         ' organisation that maintains the local identifier, or an OID that identifies the organisation. ',         $conformance-requirement)        else if ($local-ent-id and $el-participant) then concat(' For the healthcare provider''s local identifier, the root attribute of the id element',         ' must either be the OID ''1.2.36.1.2001.1005.41'' followed by the national healthcare identifier of the organisation that maintains the',         ' local identifier, the OID ''1.2.36.1.2001.1005.70'' followed by the Australian Business or Company Number (excluding leading zeroes) of',         ' the organisation that maintains the local identifier, or an OID that identifies the organisation.',         $conformance-requirement)        else if ($local-ent-id and $el-unrestricted-person) then concat(' If the person being identified is a healthcare consumer, the root attribute of the',         ' id element must either be the OID ''1.2.36.1.2001.1005.29'' followed by the national healthcare identifier of the organisation that',         ' maintains the local identifier, the OID ''1.2.36.1.2001.1005.71'' followed by the Australian Business or Company Number (excluding',         ' leading zeroes) of the organisation that maintains the local identifier, or an OID that identifies the organisation. If the person being',         ' identified is an individual healthcare provider or a legal authenticator, the root attribute of the id element must either be the OID',         ' ''1.2.36.1.2001.1005.41'' followed by the national healthcare identifier of the organisation that maintains the',         ' local identifier, the OID ''1.2.36.1.2001.1005.70'' followed by the Australian Business or Company Number of the organisation that ',         ' maintains the local identifier, or an OID that identifies the organisation. ',         $conformance-requirement)        else if ($last-valid-oid = '1.2.36.1.2001.1003.0') then concat(' The validity of national healthcare identifiers may be determined by checking that',         ' the numeric string has the correct prefix and number of digits and by assessing the check digit. (See requirements 005801 and 010038 in',         ' the Use of Healthcare Identifiers in Health Software Systems: Software Conformance Requirements v3.1.)')        else '' " />
    <xsl:variable name="attribute-type" select="if (@root) then ' a root attribute' else 'a codeSystem attribute' " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="default-context" select="if ($initial-priority) then false() else (ancestor::cda:recordTarget and ancestor::ext:asEntityIdentifier) or       (ancestor::cda:entry and not(ancestor::cda:performer) and not(ancestor::cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']])) " />
    <xsl:variable name="rating-106" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-106 else $rating-alt-TC-Types-106 " />
    <xsl:variable name="rating-107" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-107 else $rating-alt-TC-Types-107 " />
    <xsl:variable name="rating-108" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-108 else $rating-alt-TC-Types-108 " />
    <xsl:variable name="rating-109" select="if ($initial-priority) then $initial-rating else if ($default-context) then $rating-TC-Types-109 else $rating-alt-TC-Types-109 " />
    <!--REPORT -->
    <xsl:if test=" @codeSystem = '' or @root = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="@codeSystem = '' or @root = ''">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rejection-rating" /><xsl:text />: TC-Types-106: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains <xsl:text /><xsl:value-of select="$attribute-type" /><xsl:text /> with the value '' which is a character string with no characters.
		The <xsl:text /><xsl:value-of select="if (@root) then 'root' else 'codeSystem'" /><xsl:text />  attribute
		has the HL7 Unique Identifier String (UID) data type so it must meet the requirement to have at least one character. (See section 2.14 of HL7 'Data Types - Abstract Specification'.)
		An empty string does not conform to the CDA schema so the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> will be rejected by the My Health Record system.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $possible-oid != '' and not(matches($possible-oid, '^[0-2]{1}\.')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$possible-oid != '' and not(matches($possible-oid, '^[0-2]{1}\.'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-106" /><xsl:text />: TC-Types-106: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains <xsl:text /><xsl:value-of select="$attribute-type" /><xsl:text /> with the value
		'<xsl:text /><xsl:value-of select="$possible-oid" /><xsl:text />' but to be a valid Object Identifier (OID) the first arc must be '0', '1' or '2'.
		(See information about OID registration in the HL7 OID registry http://www.hl7.org/oid/index.cfm and ITU-T X.667 'Procedures for the operation of OSI Registration Authorities'.)
		<xsl:text /><xsl:value-of select="$suggestion" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($possible-oid, '\.0[0-9]+') ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($possible-oid, '\.0[0-9]+')">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-106" /><xsl:text />: TC-Types-106: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains <xsl:text /><xsl:value-of select="$attribute-type" /><xsl:text /> with the value
		'<xsl:text /><xsl:value-of select="$possible-oid" /><xsl:text />' but to be a valid Object Identifier (OID) no arc after the first one may commence with '0'.
		(See information about OID registration in the HL7 OID registry http://www.hl7.org/oid/index.cfm and ITU-T X.667 'Procedures for the operation of OSI Registration Authorities'.)
		<xsl:text /><xsl:value-of select="$suggestion" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" matches($possible-oid, $invalid-arc-regex) and not(matches($possible-oid, '\.0[0-9]+'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="matches($possible-oid, $invalid-arc-regex) and not(matches($possible-oid, '\.0[0-9]+'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-106" /><xsl:text />: TC-Types-106: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains <xsl:text /><xsl:value-of select="$attribute-type" /><xsl:text /> with the value
		'<xsl:text /><xsl:value-of select="$possible-oid" /><xsl:text />' but to be a valid Object Identifier (OID) it must consist of one or more numeric strings (arcs) with each pair of numeric strings separated by a dot "."
		(for example "2.5.4.10") and each dot must separate a pair of numeric strings.
		(See information about OID registration in the HL7 OID registry http://www.hl7.org/oid/index.cfm and ITU-T X.667 'Procedures for the operation of OSI Registration Authorities'.)
		<xsl:text /><xsl:value-of select="$suggestion" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $disallowed-arc-value ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$disallowed-arc-value">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-107" /><xsl:text />: TC-Types-107: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains <xsl:text /><xsl:value-of select="$attribute-type" /><xsl:text /> with the value
		'<xsl:text /><xsl:value-of select="$possible-oid" /><xsl:text />' which is an invalid Object Identifier (OID). An OID must meet the requirement for an OID to be registered by a process of delegation of authority but the
		arc '<xsl:text /><xsl:value-of select="$the-invalid-arc" /><xsl:text />' must not be present as '<xsl:text /><xsl:value-of select="$last-valid-oid" /><xsl:text />' is not an identifier of a namespace, that is, there is no delegation
		of authority allowing the presence of the following arc. 
		(See ITU-T X.667 'Procedures for the operation of OSI Registration Authorities' and information about the registration of the OID
		'<xsl:text /><xsl:value-of select="$last-valid-oid" /><xsl:text />' in the OID Repository, http://oid-info.com or in the HL7 OID registry, http://www.hl7.org/oid/index.cfm.)<xsl:text /><xsl:value-of select="$suggestion" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $invalid-arc-value and not($special-oid) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$invalid-arc-value and not($special-oid)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-107" /><xsl:text />: TC-Types-107: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element
		in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains <xsl:text /><xsl:value-of select="$attribute-type" /><xsl:text /> with the value '<xsl:text /><xsl:value-of select="$possible-oid" /><xsl:text />' which is an invalid Object Identifier (OID).
		An OID must meet the requirement for an OID to be registered by a process of delegation of authority but the
		arc after '<xsl:text /><xsl:value-of select="$last-valid-oid" /><xsl:text />' is not one of the allowed values. 
		(See ITU-T X.667 'Procedures for the operation of OSI Registration Authorities' and the list of valid arcs for OIDs commencing with
		'<xsl:text /><xsl:value-of select="$last-valid-oid" /><xsl:text />' in the OID Repository, http://oid-info.com.)<xsl:text /><xsl:value-of select="$suggestion" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $invalid-arc-value and $last-valid-oid = '1.2.36.1.2001.1003.0' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$invalid-arc-value and $last-valid-oid = '1.2.36.1.2001.1003.0'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-107" /><xsl:text />: TC-Types-107: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains <xsl:text /><xsl:value-of select="$attribute-type" /><xsl:text /> with the value
		'<xsl:text /><xsl:value-of select="$possible-oid" /><xsl:text />' which is an invalid Object Identifier (OID) as the OID '<xsl:text /><xsl:value-of select="$last-valid-oid" /><xsl:text />' indicates the following arc is a national healthcare
		identifier but the arc does not have the correct digits. The arc must consist of 16 digits commencing with '80036' following by '0', '1' or '2'.
		(See the entry for '<xsl:text /><xsl:value-of select="$last-valid-oid" /><xsl:text />' in the HL7 OID Registry and section 7.6.7 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="$suggestion" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $invalid-arc-value and $last-valid-oid = '1.2.36.1.2001.1007.1' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$invalid-arc-value and $last-valid-oid = '1.2.36.1.2001.1007.1'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-107" /><xsl:text />: TC-Types-107: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains <xsl:text /><xsl:value-of select="$attribute-type" /><xsl:text /> with the value
		'<xsl:text /><xsl:value-of select="$possible-oid" /><xsl:text />' which is an invalid Object Identifier (OID) as the OID '<xsl:text /><xsl:value-of select="$last-valid-oid" /><xsl:text />' indicates the following arc is a
		PCEHR Assigned Identifier - Organisation (PAI-O) but the arc does not have the correct digits. The arc must consist of 16 digits commencing with '8003640001'.
		(See the entry for '<xsl:text /><xsl:value-of select="$last-valid-oid" /><xsl:text />' in the HL7 OID Registry and section 7.6.7 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="$suggestion" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $invalid-arc-value and $last-valid-oid = '1.2.36.1.2001.1007.4' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$invalid-arc-value and $last-valid-oid = '1.2.36.1.2001.1007.4'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-107" /><xsl:text />: TC-Types-107: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains <xsl:text /><xsl:value-of select="$attribute-type" /><xsl:text /> with the value
		'<xsl:text /><xsl:value-of select="$possible-oid" /><xsl:text />' which is an invalid Object Identifier (OID) as the OID '<xsl:text /><xsl:value-of select="$last-valid-oid" /><xsl:text />' indicates the following arc is a
		Care Agency Employee Identifier (CAE-I) but the arc does not have the correct digits. The arc must consist of 16 digits commencing with '9'.
		(See section 7.6.7 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)<xsl:text /><xsl:value-of select="$suggestion" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $invalid-arc-value and $last-valid-oid = '1.2.36.1.2001.1007.10' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$invalid-arc-value and $last-valid-oid = '1.2.36.1.2001.1007.10'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-107" /><xsl:text />: TC-Types-107: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains <xsl:text /><xsl:value-of select="$attribute-type" /><xsl:text /> with the value '<xsl:text /><xsl:value-of select="$possible-oid" /><xsl:text />' which is an invalid Object Identifier (OID) as the OID
		'<xsl:text /><xsl:value-of select="$last-valid-oid" /><xsl:text />' indicates the
		following arc is a PCEHR Assigned Identifier - Repository (PAI-R) but the arc does not have the correct digits. The arc must consist of 16 digits commencing with '8003640002'.
		(See the entry for '<xsl:text /><xsl:value-of select="$last-valid-oid" /><xsl:text />' in the HL7 OID Registry and section 7.6.7 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="$suggestion" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $invalid-arc-value and $last-valid-oid = '1.2.36.1.2001.1007.11' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$invalid-arc-value and $last-valid-oid = '1.2.36.1.2001.1007.11'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-107" /><xsl:text />: TC-Types-107: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains <xsl:text /><xsl:value-of select="$attribute-type" /><xsl:text /> with the value '<xsl:text /><xsl:value-of select="$possible-oid" /><xsl:text />' which is an invalid Object Identifier (OID) as the OID
		'<xsl:text /><xsl:value-of select="$last-valid-oid" /><xsl:text />' indicates the
		following arc is a PCEHR Assigned Identifier - Delegated Repository but the arc does not have the correct digits. The arc must consist of 16 digits commencing with '8003640002'.
		(See the entry for '<xsl:text /><xsl:value-of select="$last-valid-oid" /><xsl:text />' in the HL7 OID Registry and section 7.6.7 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="$suggestion" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $invalid-arc-value and $last-valid-oid = '1.2.36.1.2001.1007.20' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$invalid-arc-value and $last-valid-oid = '1.2.36.1.2001.1007.20'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-107" /><xsl:text />: TC-Types-107: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains <xsl:text /><xsl:value-of select="$attribute-type" /><xsl:text /> with the value '<xsl:text /><xsl:value-of select="$possible-oid" /><xsl:text />' which is an invalid Object Identifier (OID) as the OID
		'<xsl:text /><xsl:value-of select="$last-valid-oid" /><xsl:text />' indicates the
		following arc is a PCEHR Assigned Identifier - Device (PAI-D) but the arc does not have the correct digits. The arc must consist of 16 digits commencing with '8003640003'.
		(See the entry for '<xsl:text /><xsl:value-of select="$last-valid-oid" /><xsl:text />' in the HL7 OID Registry and section 7.6.7 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="$suggestion" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $invalid-arc-value and ($last-valid-oid = '1.2.36.1.2001.1005.29'  or         $last-valid-oid = '1.2.36.1.2001.1005.41'  or            $last-valid-oid = '1.2.36.1.2001.1005.50'  or            $last-valid-oid = '1.2.36.1.2001.1005.51'  or           $last-valid-oid = '1.2.36.1.2001.1005.52'  or           $last-valid-oid = '1.2.36.1.2001.1005.53'  or           $last-valid-oid = '1.2.36.1.2001.1005.54'  )">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$invalid-arc-value and ($last-valid-oid = '1.2.36.1.2001.1005.29' or $last-valid-oid = '1.2.36.1.2001.1005.41' or $last-valid-oid = '1.2.36.1.2001.1005.50' or $last-valid-oid = '1.2.36.1.2001.1005.51' or $last-valid-oid = '1.2.36.1.2001.1005.52' or $last-valid-oid = '1.2.36.1.2001.1005.53' or $last-valid-oid = '1.2.36.1.2001.1005.54' )">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-107" /><xsl:text />: TC-Types-107: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains <xsl:text /><xsl:value-of select="$attribute-type" /><xsl:text /> with the value '<xsl:text /><xsl:value-of select="$possible-oid" /><xsl:text />' which is an invalid Object Identifier (OID) as the OID
		'<xsl:text /><xsl:value-of select="$last-valid-oid" /><xsl:text />' indicates the
		following arc is an HPI-O but the arc does not have the correct digits. The arc must consist of 16 digits commencing with '800362'.
		(See the entry for '<xsl:text /><xsl:value-of select="$last-valid-oid" /><xsl:text />' in the HL7 OID Registry and section 7.6.7 of ISO 21090 'Health informatics - Harmonized data types for information interchange'.)
		<xsl:text /><xsl:value-of select="$suggestion" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@test-data = 'true') and $namespaces/namespace[$possible-oid = @test-OID] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@test-data = 'true') and $namespaces/namespace[$possible-oid = @test-OID]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-107" /><xsl:text />: TC-Types-107: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains <xsl:text /><xsl:value-of select="$attribute-type" /><xsl:text /> with the value '<xsl:text /><xsl:value-of select="$possible-oid" /><xsl:text />' which is an example OID and must not be used for any
		purpose other than testing. (See the information about the OID in the OID Repository http://www.oid-info.com.)<xsl:text /><xsl:value-of select="$suggestion" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test="not($flags/@test-data = 'true') and $namespaces/namespace[starts-with($possible-oid, concat(@test-OID, '.'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@test-data = 'true') and $namespaces/namespace[starts-with($possible-oid, concat(@test-OID, '.'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

		Error<xsl:text /><xsl:value-of select="$rating-107" /><xsl:text />: TC-Types-107: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains <xsl:text /><xsl:value-of select="$attribute-type" /><xsl:text /> with the value '<xsl:text /><xsl:value-of select="$possible-oid" /><xsl:text />' which contains the example OID
		'<xsl:text /><xsl:value-of select="$namespaces/namespace[starts-with($possible-oid, concat(@test-OID, '.'))]/@test-OID" /><xsl:text />' which
		must not be used for any purpose other than testing. (See the information about the OID in the OID Repository http://www.oid-info.com.)<xsl:text /><xsl:value-of select="$suggestion" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $namespaces/namespace[$possible-oid = @invalid-OID] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$namespaces/namespace[$possible-oid = @invalid-OID]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-107" /><xsl:text />: TC-Types-107: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains <xsl:text /><xsl:value-of select="$attribute-type" /><xsl:text /> with the value '<xsl:text /><xsl:value-of select="$possible-oid" /><xsl:text />' which is invalid. The object identifier (OID) must meet
		the requirement for an OID to be registered by a process of delegation of authority. (See information about the invalid OID in the OID
		Repository http://oid-info.com.)<xsl:text /><xsl:value-of select="$suggestion" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $namespaces/namespace[starts-with($possible-oid, concat(@invalid-OID, '.'))] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$namespaces/namespace[starts-with($possible-oid, concat(@invalid-OID, '.'))]">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-107" /><xsl:text />: TC-Types-107: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains <xsl:text /><xsl:value-of select="$attribute-type" /><xsl:text /> with the value '<xsl:text /><xsl:value-of select="$possible-oid" /><xsl:text />' which commences with the invalid OID
		'<xsl:text /><xsl:value-of select="$namespaces/namespace[starts-with($possible-oid, concat(@invalid-OID, '.'))]/@invalid-OID" /><xsl:text />'.
		The object identifier (OID) must meet the requirement for an OID to be registered by a process of delegation of authority.
		(See information about the invalid OID in the OID Repository http://oid-info.com.)<xsl:text /><xsl:value-of select="$suggestion" /><xsl:text /><xsl:text /><xsl:value-of select="if ($flags/@test-data = 'true') then concat(' As the ', $document-name, ' is a test document the OIDs ''2.16.840.1.113883.2.3.99'', ''2.16.840.1.113883.19'' or ',   '''2.999'' may be used. These are registered OIDs that are only suitable for use in test documents.') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $possibly-valid-oid and not($possible-business-oid) and $possible-owner-oid = '' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $possibly-valid-oid and not($possible-business-oid) and $possible-owner-oid = ''">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Hint<xsl:text /><xsl:value-of select="$rating-107" /><xsl:text />: TC-Types-107: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains <xsl:text /><xsl:value-of select="$attribute-type" /><xsl:text /> with the value '<xsl:text /><xsl:value-of select="$possible-oid" /><xsl:text />' which may be an invalid Object Identifier (OID).
		Confirm if the OID meets the requirement for an OID to be registered by a process of delegation of authority.
		(See information about OID registration in the HL7 OID registry http://www.hl7.org/oid/index.cfm and ITU-T X.667 'Procedures for the operation of OSI Registration
		Authorities'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $wrong-authority ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$wrong-authority">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-107" /><xsl:text />: TC-Types-107: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains an assigningAuthorityName attribute with the value '<xsl:text /><xsl:value-of select="@assigningAuthorityName" /><xsl:text />' and a root attribute with the value
		'<xsl:text /><xsl:value-of select="@root" /><xsl:text />' which is an invalid Object Identifier (OID) for the assigning authority.
		The root attribute contains the namespace '<xsl:text /><xsl:value-of select="$possible-owner-oid" /><xsl:text />' which is registered with '<xsl:text /><xsl:value-of select="$possible-owner-name" /><xsl:text />'.
		<xsl:text /><xsl:value-of select="if (matches(@root, '1\.2\.36\.1\.2001\.1005\.46\.19(\.|$)') and matches(@assigningAuthorityName, 'NT Department Of Health', 'i')) then   concat('The correct value for the root attribute for this assigning authority is ''', replace(@root, '(1\.2\.36\.1\.2001\.1005\.46\.19)(\.|$)', '1.2.36.1.2001.1005.19$2'),    '''. (See information about the OID ''1.2.36.1.2001.1005.19'' in the HL7 OID Registry https://www.hl7.org/oid/index.cfm.)') else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $unknown-oid ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$unknown-oid">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Warning<xsl:text /><xsl:value-of select="$rating-107" /><xsl:text />: TC-Types-107: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains <xsl:text /><xsl:value-of select="$attribute-type" /><xsl:text /> with the value '<xsl:text /><xsl:value-of select="$possible-oid" /><xsl:text />' which may be an invalid Object Identifier (OID).
		The OID contains the namespace '<xsl:text /><xsl:value-of select="$possible-owner-oid" /><xsl:text />' which is registered with '<xsl:text /><xsl:value-of select="$possible-owner-name" /><xsl:text />'.
		Confirm that the OID has either been registered by '<xsl:text /><xsl:value-of select="$possible-owner-name" /><xsl:text />' or an organisation they have delegated authority to.
		(See information about OID registration in the HL7 OID registry http://www.hl7.org/oid/index.cfm and ITU-T X.667 'Procedures for the operation of OSI Registration
		Authorities'.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $invalid-arc-value and $last-valid-oid = '2.25' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$invalid-arc-value and $last-valid-oid = '2.25'">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-108" /><xsl:text />: TC-Types-108: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains <xsl:text /><xsl:value-of select="$attribute-type" /><xsl:text /> with the value '<xsl:text /><xsl:value-of select="$possible-oid" /><xsl:text />' which is an invalid Object Identifier (OID).
		The identifier '<xsl:text /><xsl:value-of select="$last-valid-oid" /><xsl:text />' indicates
		that the following arc is the decimal form of a Universally Unique Identifier (UUID). The decimal form has a maximum of 39 numeric characters but instead there are
		<xsl:text /><xsl:value-of select="string-length($arc[3])" /><xsl:text /> digits. (See the entry for '2.25' in the OID Repository, http://www.oid-info.com, and section 7 of ITU-T X.667
		'Information technology - Open Systems Interconnection - Procedures for the operation of OSI Registration Authorities:
		Generation and registration of Universally Unique Identifiers (UUIDs) and their use as ASN.1 object identifier components' - https://www.itu.int/ITU-T/studygroups/com17/oid/X.667-E.pdf.)
		<xsl:text /><xsl:value-of select="$suggestion" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false' or $flags/@test-data = 'true') and $acn-format and not($known-acn) and not($last-valid-oid = ('1.2.36.1.2001.1005.70', '1.2.36.1.2001.1005.71'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false' or $flags/@test-data = 'true') and $acn-format and not($known-acn) and not($last-valid-oid = ('1.2.36.1.2001.1005.70', '1.2.36.1.2001.1005.71'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

                Hint<xsl:text /><xsl:value-of select="$rating-109" /><xsl:text />: TC-Types-109: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains <xsl:text /><xsl:value-of select="$attribute-type" /><xsl:text /> with the value '<xsl:text /><xsl:value-of select="$possible-oid" /><xsl:text />' which is an Object Identifier (OID) that indicates that
		'<xsl:text /><xsl:value-of select="$possible-acn" /><xsl:text />' is an Australian Company Number. Confirm that this is an
		actual Australian Company Number and is for the company that manages the namespace<xsl:text /><xsl:value-of select="if (@extension) then concat(' for the extension attribute with the value ''', @extension, '''.') else '.' " /><xsl:text />
		(See the Australian Business Register https://abr.business.gov.au and information about the OID ''1.2.36'' in the OID Repository http://oid-info.com/get/1.2.36.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false' or $flags/@test-data = 'true') and $abn-format and not($known-abn) and not($last-valid-oid = ('1.2.36.1.2001.1005.70', '1.2.36.1.2001.1005.71')) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false' or $flags/@test-data = 'true') and $abn-format and not($known-abn) and not($last-valid-oid = ('1.2.36.1.2001.1005.70', '1.2.36.1.2001.1005.71'))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text> 

                Hint<xsl:text /><xsl:value-of select="$rating-109" /><xsl:text />: TC-Types-109: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains <xsl:text /><xsl:value-of select="$attribute-type" /><xsl:text /> with the value '<xsl:text /><xsl:value-of select="$possible-oid" /><xsl:text />' which is an Object Identifier (OID) that indicates that
		'<xsl:text /><xsl:value-of select="$possible-abn" /><xsl:text />' is an Australian Business Number. Confirm that this is an actual Australian Business Number and is for the company that manages the
		namespace<xsl:text /><xsl:value-of select="if (@extension) then concat(' for the extension attribute with the value ''', @extension, '''.') else '.' " /><xsl:text />
		(See the Australian Business Register https://abr.business.gov.au and information about the OID ''1.2.36'' in the OID Repository http://oid-info.com/get/1.2.36.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($flags/@test-data = 'true') and $possible-business-oid and not($business-oid-format) and not($last-valid-oid = ('1.2.36.1.2001.1005.70', '1.2.36.1.2001.1005.71'))">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@test-data = 'true') and $possible-business-oid and not($business-oid-format) and not($last-valid-oid = ('1.2.36.1.2001.1005.70', '1.2.36.1.2001.1005.71'))">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Error<xsl:text /><xsl:value-of select="$rating-109" /><xsl:text />: TC-Types-109: The '<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> contains <xsl:text /><xsl:value-of select="$attribute-type" /><xsl:text /> with the value '<xsl:text /><xsl:value-of select="$possible-oid" /><xsl:text />' which is an Object Identifier (OID) that indicates that
		'<xsl:text /><xsl:value-of select="$acn-abn-arc" /><xsl:text />' is an Australian Business or Company Number for the organisation that manages the
		namespace<xsl:text /><xsl:value-of select="if (@extension) then concat(' for the extension attribute with the value ''', @extension, '''.') else '.' " /><xsl:text />
		However '<xsl:text /><xsl:value-of select="$acn-abn-arc" /><xsl:text />' is not a valid Australian Business Number or a
		valid Australian Company Number therefore the '<xsl:text /><xsl:value-of select="$possible-oid" /><xsl:text />' does not identify the namespace.
		(See the Australian Business Register https://abr.business.gov.au and information about the OID ''1.2.36'' in the OID Repository http://oid-info.com/get/1.2.36.)
		<xsl:text /><xsl:value-of select="$suggestion" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1166" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1166" />
  <xsl:template match="@*|node()" priority="-2" mode="M1166">
    <xsl:apply-templates select="@*|*" mode="M1166" />
  </xsl:template>
  <!--PATTERN p-TS-UNK-Type-1-->
  <!--RULE -->
  <xsl:template match=" //cda:*[@xsi:type and not(ancestor::cda:section[cda:text])] | //ext:*[@xsi:type and not(ancestor::cda:section[cda:text])] " priority="1000" mode="M1167">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" //cda:*[@xsi:type and not(ancestor::cda:section[cda:text])] | //ext:*[@xsi:type and not(ancestor::cda:section[cda:text])] " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating" select="if ($initial-priority) then $initial-rating else if ($FS-Types-seq/@rating) then concat(' (', $FS-Types-seq/@rating, ')') else '' " />
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and not(   @xsi:type = ('BL', 'CD', 'CE', 'CS', 'CV', 'ED', 'II', 'INT', 'IVL_PQ', 'IVL_TS', 'PIVL_TS', 'PN', 'PQ', 'REAL', 'RTO', 'ST', 'TEL', 'TS')      or   normalize-space(substring-after(@xsi:type, ':')) = ('BL', 'CD', 'CE', 'CS', 'CV', 'ED', 'II', 'INT', 'IVL_PQ', 'IVL_TS', 'PIVL_TS', 'PN', 'PQ', 'REAL', 'RTO', 'ST', 'TEL', 'TS') ) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and not( @xsi:type = ('BL', 'CD', 'CE', 'CS', 'CV', 'ED', 'II', 'INT', 'IVL_PQ', 'IVL_TS', 'PIVL_TS', 'PN', 'PQ', 'REAL', 'RTO', 'ST', 'TEL', 'TS') or normalize-space(substring-after(@xsi:type, ':')) = ('BL', 'CD', 'CE', 'CS', 'CV', 'ED', 'II', 'INT', 'IVL_PQ', 'IVL_TS', 'PIVL_TS', 'PN', 'PQ', 'REAL', 'RTO', 'ST', 'TEL', 'TS') )">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating" /><xsl:text />: FS-Types: The '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		xsi:type '<xsl:text /><xsl:value-of select="@xsi:type" /><xsl:text />'. Tests for this data type have not been completed so confirm by manual inspection that the data element meets the requirements of this data type.

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1167" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1167" />
  <xsl:template match="@*|node()" priority="-2" mode="M1167">
    <xsl:apply-templates select="@*|*" mode="M1167" />
  </xsl:template>
  <!--PATTERN p-TS-Content-1-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument[not($flags/@allow-hints = 'false')]/cda:copyTime[@value]             |          /cda:ClinicalDocument[not($flags/@allow-hints = 'false')]/cda:effectiveTime[@value]            |          /cda:ClinicalDocument[not($flags/@allow-hints = 'false')]/*[not(local-name(.) = 'component')]//*[@value and (        local-name(.) = ('activityTime',           'availabilityTime',           'birthTime',           'copyTime',           'creationTime',           'deceasedTime',           'effectiveTime',           'executionAndDeliveryTime',           'lastCalibrationTime',           'recertificationTime',           'time')               or       @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'         or             (local-name(.) = ('low', 'high', 'center') and (local-name(..) = ('activityTime',                 'availabilityTime',                 'effectiveTime',                 'existenceTime',                 'expectedUseTime',                 'expirationTime',                 'stabilityTime',                 'time',                 'phase') or                   ../@xsi:type = 'IVL_TS' or normalize-space(substring-after(../@xsi:type, ':')) = 'IVL_TS')) )] |          /cda:ClinicalDocument[not($flags/@allow-hints = 'false')]/cda:component/cda:structuredBody/cda:component/    cda:section[(cda:code[@codeSystem='1.2.36.1.2001.1001.101'] and $flags/@collection-same-system = 'false') or not(cda:code[@codeSystem='1.2.36.1.2001.1001.101'])]/*[not(cda:text)]//*[@value and (        local-name(.) = ('activityTime',           'availabilityTime',           'birthTime',           'copyTime',           'creationTime',           'deceasedTime',           'effectiveTime',           'executionAndDeliveryTime',           'lastCalibrationTime',           'recertificationTime',           'time')               or       @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'         or             (local-name(.) = ('low', 'high', 'center') and (local-name(..) = ('activityTime',                 'availabilityTime',                 'effectiveTime',                 'existenceTime',                 'expectedUseTime',                 'expirationTime',                 'stabilityTime',                 'time',                 'phase') or                   ../@xsi:type = 'IVL_TS' or normalize-space(substring-after(../@xsi:type, ':')) = 'IVL_TS')) )] " priority="1000" mode="M1168">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument[not($flags/@allow-hints = 'false')]/cda:copyTime[@value]             |          /cda:ClinicalDocument[not($flags/@allow-hints = 'false')]/cda:effectiveTime[@value]            |          /cda:ClinicalDocument[not($flags/@allow-hints = 'false')]/*[not(local-name(.) = 'component')]//*[@value and (        local-name(.) = ('activityTime',           'availabilityTime',           'birthTime',           'copyTime',           'creationTime',           'deceasedTime',           'effectiveTime',           'executionAndDeliveryTime',           'lastCalibrationTime',           'recertificationTime',           'time')               or       @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'         or             (local-name(.) = ('low', 'high', 'center') and (local-name(..) = ('activityTime',                 'availabilityTime',                 'effectiveTime',                 'existenceTime',                 'expectedUseTime',                 'expirationTime',                 'stabilityTime',                 'time',                 'phase') or                   ../@xsi:type = 'IVL_TS' or normalize-space(substring-after(../@xsi:type, ':')) = 'IVL_TS')) )] |          /cda:ClinicalDocument[not($flags/@allow-hints = 'false')]/cda:component/cda:structuredBody/cda:component/    cda:section[(cda:code[@codeSystem='1.2.36.1.2001.1001.101'] and $flags/@collection-same-system = 'false') or not(cda:code[@codeSystem='1.2.36.1.2001.1001.101'])]/*[not(cda:text)]//*[@value and (        local-name(.) = ('activityTime',           'availabilityTime',           'birthTime',           'copyTime',           'creationTime',           'deceasedTime',           'effectiveTime',           'executionAndDeliveryTime',           'lastCalibrationTime',           'recertificationTime',           'time')               or       @xsi:type = 'TS' or normalize-space(substring-after(@xsi:type, ':')) = 'TS'         or             (local-name(.) = ('low', 'high', 'center') and (local-name(..) = ('activityTime',                 'availabilityTime',                 'effectiveTime',                 'existenceTime',                 'expectedUseTime',                 'expirationTime',                 'stabilityTime',                 'time',                 'phase') or                   ../@xsi:type = 'IVL_TS' or normalize-space(substring-after(../@xsi:type, ':')) = 'IVL_TS')) )] " />
    <xsl:variable name="the-time" select="if ($flags/@allow-hints = 'false' or not(matches(@value, '^[0-9]{12}'))) then ''       else if (not(@value and translate(@value, '0123456789+-.', '') = '')) then ''       else if (contains(@value,'+')) then substring-before(substring(@value,9),'+')       else if (contains(@value,'-')) then substring-before(substring(@value,9),'-')       else substring(@value,9) " />
    <xsl:variable name="path-report-dt" select="local-name(.) = 'low'           and              ..[local-name(.) = 'effectiveTime']         and              ../..[local-name(.) = 'act' and cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16971']]  and              ../../..[local-name(.) = 'entry']          and              ancestor::cda:section[position()=1]/cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20018'] " />
    <xsl:variable name="time-mandated" select="$path-report-dt " />
    <xsl:variable name="possible-precision-err" select="not($time-mandated) and $the-time != '' and translate($the-time,'0.','') = '' and not(ancestor::ext:entitlement) " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-07" select="if ($initial-priority) then $initial-rating else $rating-TC-Auth-07 " />
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $possible-precision-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $possible-precision-err">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element with value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'.
		It is an error for software to create a date/time element with a time of
		midnight when only a date is provided. Either confirm that midnight is the correct time or use the date only as including the time is optional. A time stamp
		must not include more significant digits than were originally in that value. (See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1168" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1168" />
  <xsl:template match="@*|node()" priority="-2" mode="M1168">
    <xsl:apply-templates select="@*|*" mode="M1168" />
  </xsl:template>
  <!--PATTERN p-TS-Content-2-->
  <!--RULE -->
  <xsl:template match="    /cda:ClinicalDocument[$rendering-1-0 and    not(cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.222' and @extension = '1.0'])]/cda:component/cda:structuredBody/cda:component//cda:section/cda:text//    *[(local-name(.) = 'linkHtml' and @href)   or      (local-name(.) = 'renderMultiMedia' and @referencedObject) ] " priority="1000" mode="M1169">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="    /cda:ClinicalDocument[$rendering-1-0 and    not(cda:templateId[@root = '1.2.36.1.2001.1001.100.1002.222' and @extension = '1.0'])]/cda:component/cda:structuredBody/cda:component//cda:section/cda:text//    *[(local-name(.) = 'linkHtml' and @href)   or      (local-name(.) = 'renderMultiMedia' and @referencedObject) ] " />
    <xsl:variable name="om-reference" select="if (local-name(.) = 'renderMultiMedia')        then /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//        cda:section/cda:entry//cda:observationMedia[@ID = current()/@referencedObject]       else () " />
    <xsl:variable name="roi-reference" select="if (local-name(.) = 'renderMultiMedia')        then /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//        cda:section/cda:entry//cda:regionOfInterest[@ID = current()/@referencedObject]       else () " />
    <xsl:variable name="reference" select="if (local-name(.) = 'linkHtml' and @href) then @href       else if (local-name(.) = 'renderMultiMedia' and exists($om-reference)) then $om-reference/cda:value/cda:reference/@value       else if (local-name(.) = 'renderMultiMedia' and exists($roi-reference)) then $roi-reference/cda:entryRelationship/cda:observationMedia/        cda:value/cda:reference/@value       else '' " />
    <xsl:variable name="reference-err" select="exists($reference) and matches($reference, $ext-att-uri-regex, 'is') " />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-09" select="if ($initial-priority) then $initial-rating else $rating-TC-Auth-09 " />
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'renderMultiMedia' and $reference-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'renderMultiMedia' and $reference-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-09" /><xsl:text />: TC-Auth-09: The data element
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		refers to <xsl:text /><xsl:value-of select="if (exists($om-reference)) then 'an observationMedia' else 'a regionOfInterest' " /><xsl:text />
		data element which has a reference to '<xsl:text /><xsl:value-of select="$reference" /><xsl:text />' which requires resources to be downloaded from
		an external network location. This is disallowed except for specific types of clinical documents where it must be explicitly allowed through a requirement in the relevant
		conformance profile. (See requirement CDA-RS 53 (g) in the CDA Rendering Specification v1.0.)

	   </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" local-name(.) = 'linkHtml' and $reference-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="local-name(.) = 'linkHtml' and $reference-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>
		
		Error<xsl:text /><xsl:value-of select="$rating-09" /><xsl:text />: TC-Auth-09: The data element
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has
		an href attribute with the value '<xsl:text /><xsl:value-of select="@href" /><xsl:text />' which is a reference that requires resources to be downloaded from
		an external network location. This is disallowed except for specific types of clinical documents where it must be explicitly allowed through a requirement in the relevant
		conformance profile. (See requirement CDA-RS 53 (g) in the CDA Rendering Specification v1.0.)

	   </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1169" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1169" />
  <xsl:template match="@*|node()" priority="-2" mode="M1169">
    <xsl:apply-templates select="@*|*" mode="M1169" />
  </xsl:template>
  <!--PATTERN p-TS-Content-ACI-Midnight-TI-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')]//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16973']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16971']]/cda:author/cda:time " priority="1000" mode="M1170">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')]//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16973']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16971']]/cda:author/cda:time " />
    <xsl:variable name="poss-prec-err-value" select="if (not(@value and translate(@value, '0123456789+-.', '') = '')) then false()        else if (contains(@value,'+') and translate(substring-before(substring(@value,9),'+'),'0.','') = '') then true()        else if (contains(@value,'-') and translate(substring-before(substring(@value,9),'-'),'0.','') = '') then true()        else if (not(contains(@value,'+') or contains(@value,'-')) and string-length(@value) &gt; 8 and translate(substring(@value,9),'0.','') = '')         then true() else false() " />
    <xsl:variable name="poss-prec-err-low" select="if (not(cda:low/@value and translate(cda:low/@value, '0123456789+-.', '') = '')) then false()        else if (contains(cda:low/@value,'+') and translate(substring-before(substring(cda:low/@value,9),'+'),'0.','') = '') then true()        else if (contains(cda:low/@value,'-') and translate(substring-before(substring(cda:low/@value,9),'-'),'0.','') = '') then true()        else if (not(contains(cda:low/@value,'+') or contains(cda:low/@value,'-')) and string-length(cda:low/@value) &gt; 8 and          translate(substring(cda:low/@value,9),'0.','') = '')         then true() else false() " />
    <xsl:variable name="poss-prec-err-high" select="if (not(cda:high/@value and translate(cda:high/@value, '0123456789+-.', '') = '')) then false()        else if (contains(cda:high/@value,'+') and translate(substring-before(substring(cda:high/@value,9),'+'),'0.','') = '') then true()        else if (contains(cda:high/@value,'-') and translate(substring-before(substring(cda:high/@value,9),'-'),'0.','') = '') then true()        else if (not(contains(cda:high/@value,'+') or contains(cda:high/@value,'-')) and string-length(cda:high/@value) &gt; 8 and          translate(substring(cda:high/@value,9),'0.','') = '')         then true() else false() " />
    <xsl:variable name="same-doc-value" select="if ($poss-prec-err-value) then $same-doc-list/cda:ClinicalDocument//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16973']]/cda:entry/        cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16971']]/cda:author/cda:time/@value else() " />
    <xsl:variable name="same-doc-low" select="if ($poss-prec-err-low) then $same-doc-list/cda:ClinicalDocument//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16973']]/cda:entry/        cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16971']]/cda:author/cda:time/cda:low/@value else() " />
    <xsl:variable name="same-doc-high" select="if ($poss-prec-err-high) then $same-doc-list/cda:ClinicalDocument//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16973']]/cda:entry/        cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16971']]/cda:author/cda:time/cda:high/@value else() " />
    <xsl:variable name="count-of-same-doc-value" select="count($same-doc-value) " />
    <xsl:variable name="count-of-same-doc-low" select="count($same-doc-low) " />
    <xsl:variable name="count-of-same-doc-high" select="count($same-doc-high) " />
    <xsl:variable name="same-doc-dates-value" select="$same-doc-value[         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') ]" />
    <xsl:variable name="same-doc-dates-low" select="$same-doc-low[         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') ]" />
    <xsl:variable name="same-doc-dates-high" select="$same-doc-high[         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') ]" />
    <xsl:variable name="prec-err-num-value" select="count($same-doc-dates-value)" />
    <xsl:variable name="prec-err-num-low" select="count($same-doc-dates-low)" />
    <xsl:variable name="prec-err-num-high" select="count($same-doc-dates-high)" />
    <xsl:variable name="likely-dates-err-value" select=" $prec-err-num-value = $count-of-same-doc-value " />
    <xsl:variable name="likely-dates-err-low" select=" $prec-err-num-low = $count-of-same-doc-low " />
    <xsl:variable name="likely-dates-err-high" select=" $prec-err-num-high = $count-of-same-doc-high " />
    <xsl:variable name="dates-err-count-value" select="if ($numbers/number[number(@value) = $prec-err-num-value]) then $numbers/number[number(@value) = $prec-err-num-value]/@name else $prec-err-num-value" />
    <xsl:variable name="dates-err-count-low" select="if ($numbers/number[number(@value) = $prec-err-num-low]) then $numbers/number[number(@value) = $prec-err-num-low]/@name else $prec-err-num-low" />
    <xsl:variable name="dates-err-count-high" select="if ($numbers/number[number(@value) = $prec-err-num-high]) then $numbers/number[number(@value) = $prec-err-num-high]/@name else $prec-err-num-high" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-07" select="if ($initial-priority) then $initial-rating else $rating-TC-Auth-07 " />
    <!--REPORT -->
    <xsl:if test=" $poss-prec-err-value and $likely-dates-err-value and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$poss-prec-err-value and $likely-dates-err-value and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the Document Author Participation Period
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element with value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the Document Author Participation Period data element contains a time
		of midnight for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $poss-prec-err-low and $likely-dates-err-low and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$poss-prec-err-low and $likely-dates-err-low and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the Document Author Participation Period
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />/low' data element with value '<xsl:text /><xsl:value-of select="cda:low/@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the Document Author Participation Period data element contains a time
		of midnight for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $poss-prec-err-high and $likely-dates-err-high and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$poss-prec-err-high and $likely-dates-err-high and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the Document Author Participation Period
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />/high' data element with value '<xsl:text /><xsl:value-of select="cda:high/@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the Document Author Participation Period data element contains a time
		of midnight for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1170" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1170" />
  <xsl:template match="@*|node()" priority="-2" mode="M1170">
    <xsl:apply-templates select="@*|*" mode="M1170" />
  </xsl:template>
  <!--PATTERN p-TS-Content-Admin-Midnight-DT-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]/cda:entry/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15507']]/cda:value " priority="1000" mode="M1171">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]/cda:entry/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15507']]/cda:value " />
    <xsl:variable name="the-time" select="if ($flags/@allow-hints = 'false' or not(matches(@value, '^[0-9]{12}'))) then ''        else if (not(@value and translate(@value, '0123456789+-.', '') = '')) then ''        else if (contains(@value,'+')) then substring-before(substring(@value,9),'+')        else if (contains(@value,'-')) then substring-before(substring(@value,9),'-')        else substring(@value,9) " />
    <xsl:variable name="possible-precision-err" select="$the-time != '' and translate($the-time,'0.','') = '' " />
    <xsl:variable name="same-doc-values" select="if ($possible-precision-err) then $same-doc-list/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]/cda:entry/        cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15507']]/cda:value/@value else() " />
    <xsl:variable name="count-of-same-doc-dates" select="count($same-doc-values) " />
    <xsl:variable name="same-doc-dates-prec-err" select="$same-doc-values[matches(., '^[0-9]{12}') and (         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') )]" />
    <xsl:variable name="dates-prec-err-num" select="count($same-doc-dates-prec-err)" />
    <xsl:variable name="likely-dates-prec-err" select=" $dates-prec-err-num = $count-of-same-doc-dates " />
    <xsl:variable name="dates-prec-err-count" select="if ($numbers/number[number(@value) = $dates-prec-err-num]) then $numbers/number[number(@value) = $dates-prec-err-num]/@name else $dates-prec-err-num" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-07" select="if ($initial-priority) then $initial-rating else $rating-TC-Auth-07 " />
    <!--REPORT -->
    <xsl:if test=" $possible-precision-err and $likely-dates-prec-err and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$possible-precision-err and $likely-dates-prec-err and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the Earliest Date for Filtering (DateTime Health Event Started)
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element with value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the Earliest Date for Filtering (DateTime Health Event Started) data
		element contains a time of midnight for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1171" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1171" />
  <xsl:template match="@*|node()" priority="-2" mode="M1171">
    <xsl:apply-templates select="@*|*" mode="M1171" />
  </xsl:template>
  <!--PATTERN p-TS-Content-Admin-Midnight-DT-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]/cda:entry/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]/cda:value " priority="1000" mode="M1172">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]/cda:entry/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]/cda:value " />
    <xsl:variable name="the-time" select="if ($flags/@allow-hints = 'false' or not(matches(@value, '^[0-9]{12}'))) then ''        else if (not(@value and translate(@value, '0123456789+-.', '') = '')) then ''        else if (contains(@value,'+')) then substring-before(substring(@value,9),'+')        else if (contains(@value,'-')) then substring-before(substring(@value,9),'-')        else substring(@value,9) " />
    <xsl:variable name="possible-precision-err" select="$the-time != '' and translate($the-time,'0.','') = '' " />
    <xsl:variable name="same-doc-values" select="if ($possible-precision-err) then $same-doc-list/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]/cda:entry/        cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]/cda:value/@value else() " />
    <xsl:variable name="count-of-same-doc-dates" select="count($same-doc-values) " />
    <xsl:variable name="same-doc-dates-prec-err" select="$same-doc-values[matches(., '^[0-9]{12}') and (         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') )]" />
    <xsl:variable name="dates-prec-err-num" select="count($same-doc-dates-prec-err)" />
    <xsl:variable name="likely-dates-prec-err" select=" $dates-prec-err-num = $count-of-same-doc-dates " />
    <xsl:variable name="dates-prec-err-count" select="if ($numbers/number[number(@value) = $dates-prec-err-num]) then $numbers/number[number(@value) = $dates-prec-err-num]/@name else $dates-prec-err-num" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-07" select="if ($initial-priority) then $initial-rating else $rating-TC-Auth-07 " />
    <!--REPORT -->
    <xsl:if test=" $possible-precision-err and $likely-dates-prec-err and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$possible-precision-err and $likely-dates-prec-err and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the Latest Date for Filtering (DateTime Health Event Ended)
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element with value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the Latest Date for Filtering (DateTime Health Event Ended) data
		element contains a time of midnight for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1172" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1172" />
  <xsl:template match="@*|node()" priority="-2" mode="M1172">
    <xsl:apply-templates select="@*|*" mode="M1172" />
  </xsl:template>
  <!--PATTERN p-TS-Content-Diag-Midnight-DT-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')]['102.16029' = $doc-sections]/cda:component/cda:structuredBody/cda:component//    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16029']]/cda:entry/cda:observation/cda:effectiveTime |   /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')]['102.16029' = $doc-sections]/cda:component/cda:structuredBody/cda:component//    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16029']]/cda:entry/cda:observation/cda:entryRelationship/cda:observation/cda:effectiveTime " priority="1000" mode="M1173">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')]['102.16029' = $doc-sections]/cda:component/cda:structuredBody/cda:component//    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16029']]/cda:entry/cda:observation/cda:effectiveTime |   /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')]['102.16029' = $doc-sections]/cda:component/cda:structuredBody/cda:component//    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16029']]/cda:entry/cda:observation/cda:entryRelationship/cda:observation/cda:effectiveTime " />
    <xsl:variable name="the-time" select="if ($flags/@allow-hints = 'false' or not(matches(@value, '^[0-9]{12}'))) then ''        else if (not(@value and translate(@value, '0123456789+-.', '') = '')) then ''        else if (contains(@value,'+')) then substring-before(substring(@value,9),'+')        else if (contains(@value,'-')) then substring-before(substring(@value,9),'-')        else substring(@value,9) " />
    <xsl:variable name="possible-precision-err" select="$the-time != '' and translate($the-time,'0.','') = '' " />
    <xsl:variable name="same-doc-values" select="if ($possible-precision-err) then $same-doc-list/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16029']]/cda:entry/cda:observation/cda:effectiveTime/@value |        $same-doc-list/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16029']]/        cda:entry/cda:observation/cda:entryRelationship/cda:observation/cda:effectiveTime/@value else() " />
    <xsl:variable name="count-of-same-doc-dates" select="count($same-doc-values) " />
    <xsl:variable name="same-doc-dates-prec-err" select="$same-doc-values[matches(., '^[0-9]{12}') and (         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') )]" />
    <xsl:variable name="dates-prec-err-num" select="count($same-doc-dates-prec-err)" />
    <xsl:variable name="likely-dates-prec-err" select=" $dates-prec-err-num = $count-of-same-doc-dates " />
    <xsl:variable name="dates-prec-err-count" select="if ($numbers/number[number(@value) = $dates-prec-err-num]) then $numbers/number[number(@value) = $dates-prec-err-num]/@name else $dates-prec-err-num" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-07" select="if ($initial-priority) then $initial-rating else $rating-TC-Auth-07 " />
    <!--REPORT -->
    <xsl:if test=" $possible-precision-err and $likely-dates-prec-err and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$possible-precision-err and $likely-dates-prec-err and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the Report Date
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element with value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the Report Date data element contains a time of midnight
		for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1173" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1173" />
  <xsl:template match="@*|node()" priority="-2" mode="M1173">
    <xsl:apply-templates select="@*|*" mode="M1173" />
  </xsl:template>
  <!--PATTERN p-TS-Content-DispItem-Midnight-DT-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')]//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/   cda:entry/cda:substanceAdministration/cda:entryRelationship/cda:supply/cda:effectiveTime " priority="1000" mode="M1174">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')]//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/   cda:entry/cda:substanceAdministration/cda:entryRelationship/cda:supply/cda:effectiveTime " />
    <xsl:variable name="the-time" select="if ($flags/@allow-hints = 'false' or not(matches(@value, '^[0-9]{12}'))) then ''        else if (not(@value and translate(@value, '0123456789+-.', '') = '')) then ''        else if (contains(@value,'+')) then substring-before(substring(@value,9),'+')        else if (contains(@value,'-')) then substring-before(substring(@value,9),'-')        else substring(@value,9) " />
    <xsl:variable name="possible-precision-err" select="$the-time != '' and translate($the-time,'0.','') = '' " />
    <xsl:variable name="same-doc-values" select="if ($possible-precision-err) then $same-doc-list/cda:ClinicalDocument//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16210']]/cda:entry/cda:substanceAdministration/        cda:entryRelationship/cda:supply/cda:effectiveTime/@value else() " />
    <xsl:variable name="count-of-same-doc-dates" select="count($same-doc-values) " />
    <xsl:variable name="same-doc-dates-prec-err" select="$same-doc-values[matches(., '^[0-9]{12}') and (         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') )]" />
    <xsl:variable name="dates-prec-err-num" select="count($same-doc-dates-prec-err)" />
    <xsl:variable name="likely-dates-prec-err" select=" $dates-prec-err-num = $count-of-same-doc-dates " />
    <xsl:variable name="dates-prec-err-count" select="if ($numbers/number[number(@value) = $dates-prec-err-num]) then $numbers/number[number(@value) = $dates-prec-err-num]/@name else $dates-prec-err-num" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-07" select="if ($initial-priority) then $initial-rating else $rating-TC-Auth-07 " />
    <!--REPORT -->
    <xsl:if test=" $possible-precision-err and $likely-dates-prec-err and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$possible-precision-err and $likely-dates-prec-err and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the DateTime of Dispense Event
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element with value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the DateTime of Dispense Event data element contains a time of midnight
		for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1174" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1174" />
  <xsl:template match="@*|node()" priority="-2" mode="M1174">
    <xsl:apply-templates select="@*|*" mode="M1174" />
  </xsl:template>
  <!--PATTERN p-TS-Content-Header-Midnight-DT-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')]/cda:recordTarget/cda:patientRole/cda:patient/cda:birthTime " priority="1000" mode="M1175">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')]/cda:recordTarget/cda:patientRole/cda:patient/cda:birthTime " />
    <xsl:variable name="the-time" select="if ($flags/@allow-hints = 'false' or not(matches(@value, '^[0-9]{12}'))) then ''        else if (not(@value and translate(@value, '0123456789+-.', '') = '')) then ''        else if (contains(@value,'+')) then substring-before(substring(@value,9),'+')        else if (contains(@value,'-')) then substring-before(substring(@value,9),'-')        else substring(@value,9) " />
    <xsl:variable name="possible-precision-err" select="$the-time != '' and translate($the-time,'0.','') = '' " />
    <xsl:variable name="same-doc-values" select="if ($possible-precision-err) then $same-doc-list/cda:ClinicalDocument/cda:recordTarget/cda:patientRole/cda:patient/cda:birthTime/@value else() " />
    <xsl:variable name="count-of-same-doc-dates" select="count($same-doc-values) " />
    <xsl:variable name="same-doc-dates-prec-err" select="$same-doc-values[matches(., '^[0-9]{12}') and (         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') )]" />
    <xsl:variable name="dates-prec-err-num" select="count($same-doc-dates-prec-err)" />
    <xsl:variable name="likely-dates-prec-err" select=" $dates-prec-err-num = $count-of-same-doc-dates " />
    <xsl:variable name="dates-prec-err-count" select="if ($numbers/number[number(@value) = $dates-prec-err-num]) then $numbers/number[number(@value) = $dates-prec-err-num]/@name else $dates-prec-err-num" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-07" select="if ($initial-priority) then $initial-rating else $rating-TC-Auth-07 " />
    <!--REPORT -->
    <xsl:if test=" $possible-precision-err and $likely-dates-prec-err and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$possible-precision-err and $likely-dates-prec-err and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the Date of Birth
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element with value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the Date of Birth data element contains a time of midnight
		for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1175" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1175" />
  <xsl:template match="@*|node()" priority="-2" mode="M1175">
    <xsl:apply-templates select="@*|*" mode="M1175" />
  </xsl:template>
  <!--PATTERN p-TS-Content-Header-Midnight-DT-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')]/cda:recordTarget/cda:patientRole/cda:patient/ext:deceasedTime " priority="1000" mode="M1176">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')]/cda:recordTarget/cda:patientRole/cda:patient/ext:deceasedTime " />
    <xsl:variable name="the-time" select="if ($flags/@allow-hints = 'false' or not(matches(@value, '^[0-9]{12}'))) then ''        else if (not(@value and translate(@value, '0123456789+-.', '') = '')) then ''        else if (contains(@value,'+')) then substring-before(substring(@value,9),'+')        else if (contains(@value,'-')) then substring-before(substring(@value,9),'-')        else substring(@value,9) " />
    <xsl:variable name="possible-precision-err" select="$the-time != '' and translate($the-time,'0.','') = '' " />
    <xsl:variable name="same-doc-values" select="if ($possible-precision-err) then $same-doc-list/cda:ClinicalDocument/cda:recordTarget/cda:patientRole/cda:patient/ext:deceasedTime/@value else() " />
    <xsl:variable name="count-of-same-doc-dates" select="count($same-doc-values) " />
    <xsl:variable name="same-doc-dates-prec-err" select="$same-doc-values[matches(., '^[0-9]{12}') and (         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') )]" />
    <xsl:variable name="dates-prec-err-num" select="count($same-doc-dates-prec-err)" />
    <xsl:variable name="likely-dates-prec-err" select=" $dates-prec-err-num = $count-of-same-doc-dates " />
    <xsl:variable name="dates-prec-err-count" select="if ($numbers/number[number(@value) = $dates-prec-err-num]) then $numbers/number[number(@value) = $dates-prec-err-num]/@name else $dates-prec-err-num" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-07" select="if ($initial-priority) then $initial-rating else $rating-TC-Auth-07 " />
    <!--REPORT -->
    <xsl:if test=" $possible-precision-err and $likely-dates-prec-err and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$possible-precision-err and $likely-dates-prec-err and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the Date of Death
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element with value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the Date of Death data element contains a time of midnight
		for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1176" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1176" />
  <xsl:template match="@*|node()" priority="-2" mode="M1176">
    <xsl:apply-templates select="@*|*" mode="M1176" />
  </xsl:template>
  <!--PATTERN p-TS-Content-Header-Midnight-DT-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')][cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and (@extension = '1.3' or @extension = '1.4'))  or   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')    ]]/cda:legalAuthenticator/cda:time " priority="1000" mode="M1177">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')][cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and (@extension = '1.3' or @extension = '1.4'))  or   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')    ]]/cda:legalAuthenticator/cda:time " />
    <xsl:variable name="the-time" select="if ($flags/@allow-hints = 'false' or not(matches(@value, '^[0-9]{12}'))) then ''        else if (not(@value and translate(@value, '0123456789+-.', '') = '')) then ''        else if (contains(@value,'+')) then substring-before(substring(@value,9),'+')        else if (contains(@value,'-')) then substring-before(substring(@value,9),'-')        else substring(@value,9) " />
    <xsl:variable name="possible-precision-err" select="$the-time != '' and translate($the-time,'0.','') = '' " />
    <xsl:variable name="same-doc-values" select="if ($possible-precision-err) then $same-doc-list/cda:ClinicalDocument[cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and (@extension = '1.3' or @extension = '1.4'))  or   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')    ]]/cda:legalAuthenticator/cda:time/@value else() " />
    <xsl:variable name="count-of-same-doc-dates" select="count($same-doc-values) " />
    <xsl:variable name="same-doc-dates-prec-err" select="$same-doc-values[matches(., '^[0-9]{12}') and (         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') )]" />
    <xsl:variable name="dates-prec-err-num" select="count($same-doc-dates-prec-err)" />
    <xsl:variable name="likely-dates-prec-err" select=" $dates-prec-err-num = $count-of-same-doc-dates " />
    <xsl:variable name="dates-prec-err-count" select="if ($numbers/number[number(@value) = $dates-prec-err-num]) then $numbers/number[number(@value) = $dates-prec-err-num]/@name else $dates-prec-err-num" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-07" select="if ($initial-priority) then $initial-rating else $rating-TC-Auth-07 " />
    <!--REPORT -->
    <xsl:if test=" $possible-precision-err and $likely-dates-prec-err and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$possible-precision-err and $likely-dates-prec-err and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the DateTime Attested
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element with value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the DateTime Attested data element contains a time of midnight
		for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1177" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1177" />
  <xsl:template match="@*|node()" priority="-2" mode="M1177">
    <xsl:apply-templates select="@*|*" mode="M1177" />
  </xsl:template>
  <!--PATTERN p-TS-Content-Header-Midnight-DT-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')][cda:templateId[   (@root = '1.2.36.1.2001.1001.100.1002.171' and @extension = '1.0') or   (@root = '1.2.36.1.2001.1001.100.1002.172' and @extension = '1.1') or   (@root = '1.2.36.1.2001.1001.101.100.1002.153' and @extension = '1.0') or   (@root = '1.2.36.1.2001.1001.100.1002.179' and @extension = '1.0') or   (@root = '1.2.36.1.2001.1001.100.1002.170' and @extension = '1.0') or   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3') ]]/cda:author/cda:time " priority="1000" mode="M1178">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')][cda:templateId[   (@root = '1.2.36.1.2001.1001.100.1002.171' and @extension = '1.0') or   (@root = '1.2.36.1.2001.1001.100.1002.172' and @extension = '1.1') or   (@root = '1.2.36.1.2001.1001.101.100.1002.153' and @extension = '1.0') or   (@root = '1.2.36.1.2001.1001.100.1002.179' and @extension = '1.0') or   (@root = '1.2.36.1.2001.1001.100.1002.170' and @extension = '1.0') or   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3') ]]/cda:author/cda:time " />
    <xsl:variable name="the-time" select="if ($flags/@allow-hints = 'false' or not(matches(@value, '^[0-9]{12}'))) then ''        else if (not(@value and translate(@value, '0123456789+-.', '') = '')) then ''        else if (contains(@value,'+')) then substring-before(substring(@value,9),'+')        else if (contains(@value,'-')) then substring-before(substring(@value,9),'-')        else substring(@value,9) " />
    <xsl:variable name="possible-precision-err" select="$the-time != '' and translate($the-time,'0.','') = '' " />
    <xsl:variable name="same-doc-values" select="if ($possible-precision-err) then $same-doc-list/cda:ClinicalDocument[cda:templateId[   (@root = '1.2.36.1.2001.1001.100.1002.171' and @extension = '1.0') or   (@root = '1.2.36.1.2001.1001.100.1002.172' and @extension = '1.1') or   (@root = '1.2.36.1.2001.1001.101.100.1002.153' and @extension = '1.0') or   (@root = '1.2.36.1.2001.1001.100.1002.179' and @extension = '1.0') or   (@root = '1.2.36.1.2001.1001.100.1002.170' and @extension = '1.0') or   (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3') ]]/cda:author/cda:time/@value else() " />
    <xsl:variable name="count-of-same-doc-dates" select="count($same-doc-values) " />
    <xsl:variable name="same-doc-dates-prec-err" select="$same-doc-values[matches(., '^[0-9]{12}') and (         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') )]" />
    <xsl:variable name="dates-prec-err-num" select="count($same-doc-dates-prec-err)" />
    <xsl:variable name="likely-dates-prec-err" select=" $dates-prec-err-num = $count-of-same-doc-dates " />
    <xsl:variable name="dates-prec-err-count" select="if ($numbers/number[number(@value) = $dates-prec-err-num]) then $numbers/number[number(@value) = $dates-prec-err-num]/@name else $dates-prec-err-num" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-07" select="if ($initial-priority) then $initial-rating else $rating-TC-Auth-07 " />
    <!--REPORT -->
    <xsl:if test=" $possible-precision-err and $likely-dates-prec-err and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$possible-precision-err and $likely-dates-prec-err and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the DateTime Authored
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element with value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the DateTime Authored data element contains a time of midnight
		for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1178" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1178" />
  <xsl:template match="@*|node()" priority="-2" mode="M1178">
    <xsl:apply-templates select="@*|*" mode="M1178" />
  </xsl:template>
  <!--PATTERN p-TS-Content-Header-Midnight-DT-5-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')][cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3']]/   cda:componentOf/cda:encompassingEncounter/cda:effectiveTime/cda:low " priority="1000" mode="M1179">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')][cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3']]/   cda:componentOf/cda:encompassingEncounter/cda:effectiveTime/cda:low " />
    <xsl:variable name="the-time" select="if ($flags/@allow-hints = 'false' or not(matches(@value, '^[0-9]{12}'))) then ''        else if (not(@value and translate(@value, '0123456789+-.', '') = '')) then ''        else if (contains(@value,'+')) then substring-before(substring(@value,9),'+')        else if (contains(@value,'-')) then substring-before(substring(@value,9),'-')        else substring(@value,9) " />
    <xsl:variable name="possible-precision-err" select="$the-time != '' and translate($the-time,'0.','') = '' " />
    <xsl:variable name="same-doc-values" select="if ($possible-precision-err) then $same-doc-list/cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and         @extension = '1.3']]/cda:componentOf/cda:encompassingEncounter/cda:effectiveTime/cda:low/@value else() " />
    <xsl:variable name="count-of-same-doc-dates" select="count($same-doc-values) " />
    <xsl:variable name="same-doc-dates-prec-err" select="$same-doc-values[matches(., '^[0-9]{12}') and (         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') )]" />
    <xsl:variable name="dates-prec-err-num" select="count($same-doc-dates-prec-err)" />
    <xsl:variable name="likely-dates-prec-err" select=" $dates-prec-err-num = $count-of-same-doc-dates " />
    <xsl:variable name="dates-prec-err-count" select="if ($numbers/number[number(@value) = $dates-prec-err-num]) then $numbers/number[number(@value) = $dates-prec-err-num]/@name else $dates-prec-err-num" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-07" select="if ($initial-priority) then $initial-rating else $rating-TC-Auth-07 " />
    <!--REPORT -->
    <xsl:if test=" $possible-precision-err and $likely-dates-prec-err and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$possible-precision-err and $likely-dates-prec-err and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the DateTime Health Event Started
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element with value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the DateTime Health Event Started data element contains a time of midnight
		for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1179" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1179" />
  <xsl:template match="@*|node()" priority="-2" mode="M1179">
    <xsl:apply-templates select="@*|*" mode="M1179" />
  </xsl:template>
  <!--PATTERN p-TS-Content-Header-Midnight-DT-6-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')][cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3']]/   cda:componentOf/cda:encompassingEncounter/cda:effectiveTime/cda:high " priority="1000" mode="M1180">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')][cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3']]/   cda:componentOf/cda:encompassingEncounter/cda:effectiveTime/cda:high " />
    <xsl:variable name="the-time" select="if ($flags/@allow-hints = 'false' or not(matches(@value, '^[0-9]{12}'))) then ''        else if (not(@value and translate(@value, '0123456789+-.', '') = '')) then ''        else if (contains(@value,'+')) then substring-before(substring(@value,9),'+')        else if (contains(@value,'-')) then substring-before(substring(@value,9),'-')        else substring(@value,9) " />
    <xsl:variable name="possible-precision-err" select="$the-time != '' and translate($the-time,'0.','') = '' " />
    <xsl:variable name="same-doc-values" select="if ($possible-precision-err) then $same-doc-list/cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.136' and         @extension = '1.3']]/cda:componentOf/cda:encompassingEncounter/cda:effectiveTime/cda:high/@value else() " />
    <xsl:variable name="count-of-same-doc-dates" select="count($same-doc-values) " />
    <xsl:variable name="same-doc-dates-prec-err" select="$same-doc-values[matches(., '^[0-9]{12}') and (         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') )]" />
    <xsl:variable name="dates-prec-err-num" select="count($same-doc-dates-prec-err)" />
    <xsl:variable name="likely-dates-prec-err" select=" $dates-prec-err-num = $count-of-same-doc-dates " />
    <xsl:variable name="dates-prec-err-count" select="if ($numbers/number[number(@value) = $dates-prec-err-num]) then $numbers/number[number(@value) = $dates-prec-err-num]/@name else $dates-prec-err-num" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-07" select="if ($initial-priority) then $initial-rating else $rating-TC-Auth-07 " />
    <!--REPORT -->
    <xsl:if test=" $possible-precision-err and $likely-dates-prec-err and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$possible-precision-err and $likely-dates-prec-err and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the DateTime Health Event Ended
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element with value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the DateTime Health Event Ended data element contains a time of midnight
		for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1180" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1180" />
  <xsl:template match="@*|node()" priority="-2" mode="M1180">
    <xsl:apply-templates select="@*|*" mode="M1180" />
  </xsl:template>
  <!--PATTERN p-TS-Content-Header-Midnight-DT-7-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')][cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3']]/   cda:componentOf/cda:encompassingEncounter/cda:effectiveTime " priority="1000" mode="M1181">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')][cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3']]/   cda:componentOf/cda:encompassingEncounter/cda:effectiveTime " />
    <xsl:variable name="the-time" select="if ($flags/@allow-hints = 'false' or not(matches(@value, '^[0-9]{12}'))) then ''        else if (not(@value and translate(@value, '0123456789+-.', '') = '')) then ''        else if (contains(@value,'+')) then substring-before(substring(@value,9),'+')        else if (contains(@value,'-')) then substring-before(substring(@value,9),'-')        else substring(@value,9) " />
    <xsl:variable name="possible-precision-err" select="$the-time != '' and translate($the-time,'0.','') = '' " />
    <xsl:variable name="same-doc-values" select="if ($possible-precision-err) then $same-doc-list/cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.132' and         @extension = '1.3']]/cda:componentOf/cda:encompassingEncounter/cda:effectiveTime/@value else() " />
    <xsl:variable name="count-of-same-doc-dates" select="count($same-doc-values) " />
    <xsl:variable name="same-doc-dates-prec-err" select="$same-doc-values[matches(., '^[0-9]{12}') and (         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') )]" />
    <xsl:variable name="dates-prec-err-num" select="count($same-doc-dates-prec-err)" />
    <xsl:variable name="likely-dates-prec-err" select=" $dates-prec-err-num = $count-of-same-doc-dates " />
    <xsl:variable name="dates-prec-err-count" select="if ($numbers/number[number(@value) = $dates-prec-err-num]) then $numbers/number[number(@value) = $dates-prec-err-num]/@name else $dates-prec-err-num" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-07" select="if ($initial-priority) then $initial-rating else $rating-TC-Auth-07 " />
    <!--REPORT -->
    <xsl:if test=" $possible-precision-err and $likely-dates-prec-err and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$possible-precision-err and $likely-dates-prec-err and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the DateTime Subject of Care Seen
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element with value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the DateTime Subject of Care Seen data element contains a time of midnight
		for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1181" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1181" />
  <xsl:template match="@*|node()" priority="-2" mode="M1181">
    <xsl:apply-templates select="@*|*" mode="M1181" />
  </xsl:template>
  <!--PATTERN p-TS-Content-Header-Midnight-DT-8-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')]/cda:effectiveTime " priority="1000" mode="M1182">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')]/cda:effectiveTime " />
    <xsl:variable name="the-time" select="if ($flags/@allow-hints = 'false' or not(matches(@value, '^[0-9]{12}'))) then ''        else if (not(@value and translate(@value, '0123456789+-.', '') = '')) then ''        else if (contains(@value,'+')) then substring-before(substring(@value,9),'+')        else if (contains(@value,'-')) then substring-before(substring(@value,9),'-')        else substring(@value,9) " />
    <xsl:variable name="possible-precision-err" select="$the-time != '' and translate($the-time,'0.','') = '' " />
    <xsl:variable name="same-doc-values" select="if ($possible-precision-err) then $same-doc-list/cda:ClinicalDocument/cda:effectiveTime/@value else() " />
    <xsl:variable name="count-of-same-doc-dates" select="count($same-doc-values) " />
    <xsl:variable name="same-doc-dates-prec-err" select="$same-doc-values[matches(., '^[0-9]{12}') and (         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') )]" />
    <xsl:variable name="dates-prec-err-num" select="count($same-doc-dates-prec-err)" />
    <xsl:variable name="likely-dates-prec-err" select=" $dates-prec-err-num = $count-of-same-doc-dates " />
    <xsl:variable name="dates-prec-err-count" select="if ($numbers/number[number(@value) = $dates-prec-err-num]) then $numbers/number[number(@value) = $dates-prec-err-num]/@name else $dates-prec-err-num" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-07" select="if ($initial-priority) then $initial-rating else $rating-TC-Auth-07 " />
    <!--REPORT -->
    <xsl:if test=" $possible-precision-err and $likely-dates-prec-err and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$possible-precision-err and $likely-dates-prec-err and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the Document Creation Time
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element with value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the Document Creation Time data element contains a time of midnight
		for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1182" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1182" />
  <xsl:template match="@*|node()" priority="-2" mode="M1182">
    <xsl:apply-templates select="@*|*" mode="M1182" />
  </xsl:template>
  <!--PATTERN p-TS-Content-Header-Midnight-TI-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')][cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4') or    (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2')]]/cda:componentOf/cda:encompassingEncounter/cda:effectiveTime " priority="1000" mode="M1183">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')][cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4') or    (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2')]]/cda:componentOf/cda:encompassingEncounter/cda:effectiveTime " />
    <xsl:variable name="poss-prec-err-value" select="if (not(@value and translate(@value, '0123456789+-.', '') = '')) then false()        else if (contains(@value,'+') and translate(substring-before(substring(@value,9),'+'),'0.','') = '') then true()        else if (contains(@value,'-') and translate(substring-before(substring(@value,9),'-'),'0.','') = '') then true()        else if (not(contains(@value,'+') or contains(@value,'-')) and string-length(@value) &gt; 8 and translate(substring(@value,9),'0.','') = '')         then true() else false() " />
    <xsl:variable name="poss-prec-err-low" select="if (not(cda:low/@value and translate(cda:low/@value, '0123456789+-.', '') = '')) then false()        else if (contains(cda:low/@value,'+') and translate(substring-before(substring(cda:low/@value,9),'+'),'0.','') = '') then true()        else if (contains(cda:low/@value,'-') and translate(substring-before(substring(cda:low/@value,9),'-'),'0.','') = '') then true()        else if (not(contains(cda:low/@value,'+') or contains(cda:low/@value,'-')) and string-length(cda:low/@value) &gt; 8 and          translate(substring(cda:low/@value,9),'0.','') = '')         then true() else false() " />
    <xsl:variable name="poss-prec-err-high" select="if (not(cda:high/@value and translate(cda:high/@value, '0123456789+-.', '') = '')) then false()        else if (contains(cda:high/@value,'+') and translate(substring-before(substring(cda:high/@value,9),'+'),'0.','') = '') then true()        else if (contains(cda:high/@value,'-') and translate(substring-before(substring(cda:high/@value,9),'-'),'0.','') = '') then true()        else if (not(contains(cda:high/@value,'+') or contains(cda:high/@value,'-')) and string-length(cda:high/@value) &gt; 8 and          translate(substring(cda:high/@value,9),'0.','') = '')         then true() else false() " />
    <xsl:variable name="same-doc-value" select="if ($poss-prec-err-value) then $same-doc-list/cda:ClinicalDocument[cda:templateId[        (@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4') or         (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2')]]/cda:componentOf/cda:encompassingEncounter/cda:effectiveTime/@value else() " />
    <xsl:variable name="same-doc-low" select="if ($poss-prec-err-low) then $same-doc-list/cda:ClinicalDocument[cda:templateId[        (@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4') or         (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2')]]/cda:componentOf/cda:encompassingEncounter/cda:effectiveTime/         cda:low/@value else() " />
    <xsl:variable name="same-doc-high" select="if ($poss-prec-err-high) then $same-doc-list/cda:ClinicalDocument[cda:templateId[        (@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4') or         (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2')]]/cda:componentOf/cda:encompassingEncounter/cda:effectiveTime/         cda:high/@value else() " />
    <xsl:variable name="count-of-same-doc-value" select="count($same-doc-value) " />
    <xsl:variable name="count-of-same-doc-low" select="count($same-doc-low) " />
    <xsl:variable name="count-of-same-doc-high" select="count($same-doc-high) " />
    <xsl:variable name="same-doc-dates-value" select="$same-doc-value[         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') ]" />
    <xsl:variable name="same-doc-dates-low" select="$same-doc-low[         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') ]" />
    <xsl:variable name="same-doc-dates-high" select="$same-doc-high[         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') ]" />
    <xsl:variable name="prec-err-num-value" select="count($same-doc-dates-value)" />
    <xsl:variable name="prec-err-num-low" select="count($same-doc-dates-low)" />
    <xsl:variable name="prec-err-num-high" select="count($same-doc-dates-high)" />
    <xsl:variable name="likely-dates-err-value" select=" $prec-err-num-value = $count-of-same-doc-value " />
    <xsl:variable name="likely-dates-err-low" select=" $prec-err-num-low = $count-of-same-doc-low " />
    <xsl:variable name="likely-dates-err-high" select=" $prec-err-num-high = $count-of-same-doc-high " />
    <xsl:variable name="dates-err-count-value" select="if ($numbers/number[number(@value) = $prec-err-num-value]) then $numbers/number[number(@value) = $prec-err-num-value]/@name else $prec-err-num-value" />
    <xsl:variable name="dates-err-count-low" select="if ($numbers/number[number(@value) = $prec-err-num-low]) then $numbers/number[number(@value) = $prec-err-num-low]/@name else $prec-err-num-low" />
    <xsl:variable name="dates-err-count-high" select="if ($numbers/number[number(@value) = $prec-err-num-high]) then $numbers/number[number(@value) = $prec-err-num-high]/@name else $prec-err-num-high" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-07" select="if ($initial-priority) then $initial-rating else $rating-TC-Auth-07 " />
    <!--REPORT -->
    <xsl:if test=" $poss-prec-err-value and $likely-dates-err-value and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$poss-prec-err-value and $likely-dates-err-value and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the Encounter Period
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element with value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the Encounter Period data element contains a time of midnight
		for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $poss-prec-err-low and $likely-dates-err-low and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$poss-prec-err-low and $likely-dates-err-low and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in Encounter Period
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />/low' data element with value '<xsl:text /><xsl:value-of select="cda:low/@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the Encounter Period data element contains a time of midnight
		for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $poss-prec-err-high and $likely-dates-err-high and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$poss-prec-err-high and $likely-dates-err-high and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the Encounter Period
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />/high' data element with value '<xsl:text /><xsl:value-of select="cda:high/@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the Encounter Period data element contains a time of midnight
		for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1183" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1183" />
  <xsl:template match="@*|node()" priority="-2" mode="M1183">
    <xsl:apply-templates select="@*|*" mode="M1183" />
  </xsl:template>
  <!--PATTERN p-TS-Content-Header-Midnight-TI-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')][cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and     @extension = '3.4']]/cda:componentOf/cda:encompassingEncounter/cda:encounterParticipant[@typeCode='DIS']/cda:time " priority="1000" mode="M1184">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')][cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and     @extension = '3.4']]/cda:componentOf/cda:encompassingEncounter/cda:encounterParticipant[@typeCode='DIS']/cda:time " />
    <xsl:variable name="poss-prec-err-value" select="if (not(@value and translate(@value, '0123456789+-.', '') = '')) then false()        else if (contains(@value,'+') and translate(substring-before(substring(@value,9),'+'),'0.','') = '') then true()        else if (contains(@value,'-') and translate(substring-before(substring(@value,9),'-'),'0.','') = '') then true()        else if (not(contains(@value,'+') or contains(@value,'-')) and string-length(@value) &gt; 8 and translate(substring(@value,9),'0.','') = '')         then true() else false() " />
    <xsl:variable name="poss-prec-err-low" select="if (not(cda:low/@value and translate(cda:low/@value, '0123456789+-.', '') = '')) then false()        else if (contains(cda:low/@value,'+') and translate(substring-before(substring(cda:low/@value,9),'+'),'0.','') = '') then true()        else if (contains(cda:low/@value,'-') and translate(substring-before(substring(cda:low/@value,9),'-'),'0.','') = '') then true()        else if (not(contains(cda:low/@value,'+') or contains(cda:low/@value,'-')) and string-length(cda:low/@value) &gt; 8 and          translate(substring(cda:low/@value,9),'0.','') = '')         then true() else false() " />
    <xsl:variable name="poss-prec-err-high" select="if (not(cda:high/@value and translate(cda:high/@value, '0123456789+-.', '') = '')) then false()        else if (contains(cda:high/@value,'+') and translate(substring-before(substring(cda:high/@value,9),'+'),'0.','') = '') then true()        else if (contains(cda:high/@value,'-') and translate(substring-before(substring(cda:high/@value,9),'-'),'0.','') = '') then true()        else if (not(contains(cda:high/@value,'+') or contains(cda:high/@value,'-')) and string-length(cda:high/@value) &gt; 8 and          translate(substring(cda:high/@value,9),'0.','') = '')         then true() else false() " />
    <xsl:variable name="same-doc-value" select="if ($poss-prec-err-value) then $same-doc-list/cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and         @extension = '3.4']]/cda:componentOf/cda:encompassingEncounter/cda:encounterParticipant[@typeCode='DIS']/cda:time/@value else() " />
    <xsl:variable name="same-doc-low" select="if ($poss-prec-err-low) then $same-doc-list/cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and         @extension = '3.4']]/cda:componentOf/cda:encompassingEncounter/cda:encounterParticipant[@typeCode='DIS']/cda:time/cda:low/@value else() " />
    <xsl:variable name="same-doc-high" select="if ($poss-prec-err-high) then $same-doc-list/cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and         @extension = '3.4']]/cda:componentOf/cda:encompassingEncounter/cda:encounterParticipant[@typeCode='DIS']/cda:time/cda:high/@value else() " />
    <xsl:variable name="count-of-same-doc-value" select="count($same-doc-value) " />
    <xsl:variable name="count-of-same-doc-low" select="count($same-doc-low) " />
    <xsl:variable name="count-of-same-doc-high" select="count($same-doc-high) " />
    <xsl:variable name="same-doc-dates-value" select="$same-doc-value[         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') ]" />
    <xsl:variable name="same-doc-dates-low" select="$same-doc-low[         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') ]" />
    <xsl:variable name="same-doc-dates-high" select="$same-doc-high[         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') ]" />
    <xsl:variable name="prec-err-num-value" select="count($same-doc-dates-value)" />
    <xsl:variable name="prec-err-num-low" select="count($same-doc-dates-low)" />
    <xsl:variable name="prec-err-num-high" select="count($same-doc-dates-high)" />
    <xsl:variable name="likely-dates-err-value" select=" $prec-err-num-value = $count-of-same-doc-value " />
    <xsl:variable name="likely-dates-err-low" select=" $prec-err-num-low = $count-of-same-doc-low " />
    <xsl:variable name="likely-dates-err-high" select=" $prec-err-num-high = $count-of-same-doc-high " />
    <xsl:variable name="dates-err-count-value" select="if ($numbers/number[number(@value) = $prec-err-num-value]) then $numbers/number[number(@value) = $prec-err-num-value]/@name else $prec-err-num-value" />
    <xsl:variable name="dates-err-count-low" select="if ($numbers/number[number(@value) = $prec-err-num-low]) then $numbers/number[number(@value) = $prec-err-num-low]/@name else $prec-err-num-low" />
    <xsl:variable name="dates-err-count-high" select="if ($numbers/number[number(@value) = $prec-err-num-high]) then $numbers/number[number(@value) = $prec-err-num-high]/@name else $prec-err-num-high" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-07" select="if ($initial-priority) then $initial-rating else $rating-TC-Auth-07 " />
    <!--REPORT -->
    <xsl:if test=" $poss-prec-err-value and $likely-dates-err-value and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$poss-prec-err-value and $likely-dates-err-value and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the Responsible Health Professional at Time of Discharge -
		Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element with value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the Responsible Health Professional at Time of Discharge -
		Participation Period data element contains a time of midnight for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $poss-prec-err-low and $likely-dates-err-low and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$poss-prec-err-low and $likely-dates-err-low and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the Responsible Health Professional at Time of Discharge -
		Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />/low' data element with value '<xsl:text /><xsl:value-of select="cda:low/@value" /><xsl:text />'. Furthermore in the
		collection of <xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the Responsible Health Professional at Time of
		Discharge - Participation Period data element contains a time of midnight for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $poss-prec-err-high and $likely-dates-err-high and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$poss-prec-err-high and $likely-dates-err-high and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the Responsible Health Professional at Time of Discharge -
		Participation Period '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />/high' data element with value '<xsl:text /><xsl:value-of select="cda:high/@value" /><xsl:text />'. Furthermore in the
		collection of <xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the Responsible Health Professional at Time of Discharge -
		Participation Period data element contains a time of midnight for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1184" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1184" />
  <xsl:template match="@*|node()" priority="-2" mode="M1184">
    <xsl:apply-templates select="@*|*" mode="M1184" />
  </xsl:template>
  <!--PATTERN p-TS-Content-Header-Midnight-TI-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')][cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']]/cda:participant/cda:time " priority="1000" mode="M1185">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')][cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']]/cda:participant/cda:time " />
    <xsl:variable name="poss-prec-err-value" select="if (not(@value and translate(@value, '0123456789+-.', '') = '')) then false()        else if (contains(@value,'+') and translate(substring-before(substring(@value,9),'+'),'0.','') = '') then true()        else if (contains(@value,'-') and translate(substring-before(substring(@value,9),'-'),'0.','') = '') then true()        else if (not(contains(@value,'+') or contains(@value,'-')) and string-length(@value) &gt; 8 and translate(substring(@value,9),'0.','') = '')         then true() else false() " />
    <xsl:variable name="poss-prec-err-low" select="if (not(cda:low/@value and translate(cda:low/@value, '0123456789+-.', '') = '')) then false()        else if (contains(cda:low/@value,'+') and translate(substring-before(substring(cda:low/@value,9),'+'),'0.','') = '') then true()        else if (contains(cda:low/@value,'-') and translate(substring-before(substring(cda:low/@value,9),'-'),'0.','') = '') then true()        else if (not(contains(cda:low/@value,'+') or contains(cda:low/@value,'-')) and string-length(cda:low/@value) &gt; 8 and          translate(substring(cda:low/@value,9),'0.','') = '')         then true() else false() " />
    <xsl:variable name="poss-prec-err-high" select="if (not(cda:high/@value and translate(cda:high/@value, '0123456789+-.', '') = '')) then false()        else if (contains(cda:high/@value,'+') and translate(substring-before(substring(cda:high/@value,9),'+'),'0.','') = '') then true()        else if (contains(cda:high/@value,'-') and translate(substring-before(substring(cda:high/@value,9),'-'),'0.','') = '') then true()        else if (not(contains(cda:high/@value,'+') or contains(cda:high/@value,'-')) and string-length(cda:high/@value) &gt; 8 and          translate(substring(cda:high/@value,9),'0.','') = '')         then true() else false() " />
    <xsl:variable name="same-doc-value" select="if ($poss-prec-err-value) then $same-doc-list/cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and         @extension = '3.4']]/cda:participant/cda:time/@value else() " />
    <xsl:variable name="same-doc-low" select="if ($poss-prec-err-low) then $same-doc-list/cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and         @extension = '3.4']]/cda:participant/cda:time/cda:low/@value else() " />
    <xsl:variable name="same-doc-high" select="if ($poss-prec-err-high) then $same-doc-list/cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and         @extension = '3.4']]/cda:participant/cda:time/cda:high/@value else() " />
    <xsl:variable name="count-of-same-doc-value" select="count($same-doc-value) " />
    <xsl:variable name="count-of-same-doc-low" select="count($same-doc-low) " />
    <xsl:variable name="count-of-same-doc-high" select="count($same-doc-high) " />
    <xsl:variable name="same-doc-dates-value" select="$same-doc-value[         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') ]" />
    <xsl:variable name="same-doc-dates-low" select="$same-doc-low[         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') ]" />
    <xsl:variable name="same-doc-dates-high" select="$same-doc-high[         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') ]" />
    <xsl:variable name="prec-err-num-value" select="count($same-doc-dates-value)" />
    <xsl:variable name="prec-err-num-low" select="count($same-doc-dates-low)" />
    <xsl:variable name="prec-err-num-high" select="count($same-doc-dates-high)" />
    <xsl:variable name="likely-dates-err-value" select=" $prec-err-num-value = $count-of-same-doc-value " />
    <xsl:variable name="likely-dates-err-low" select=" $prec-err-num-low = $count-of-same-doc-low " />
    <xsl:variable name="likely-dates-err-high" select=" $prec-err-num-high = $count-of-same-doc-high " />
    <xsl:variable name="dates-err-count-value" select="if ($numbers/number[number(@value) = $prec-err-num-value]) then $numbers/number[number(@value) = $prec-err-num-value]/@name else $prec-err-num-value" />
    <xsl:variable name="dates-err-count-low" select="if ($numbers/number[number(@value) = $prec-err-num-low]) then $numbers/number[number(@value) = $prec-err-num-low]/@name else $prec-err-num-low" />
    <xsl:variable name="dates-err-count-high" select="if ($numbers/number[number(@value) = $prec-err-num-high]) then $numbers/number[number(@value) = $prec-err-num-high]/@name else $prec-err-num-high" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-07" select="if ($initial-priority) then $initial-rating else $rating-TC-Auth-07 " />
    <!--REPORT -->
    <xsl:if test=" $poss-prec-err-value and $likely-dates-err-value and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$poss-prec-err-value and $likely-dates-err-value and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the Other Participant - Participation Period
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element with value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the Other Participant - Participation Period data element contains a
		time of midnight for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $poss-prec-err-low and $likely-dates-err-low and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$poss-prec-err-low and $likely-dates-err-low and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the Other Participant - Participation Period
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />/low' data element with value '<xsl:text /><xsl:value-of select="cda:low/@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the Other Participant - Participation Period data element contains a
		time of midnight for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $poss-prec-err-high and $likely-dates-err-high and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$poss-prec-err-high and $likely-dates-err-high and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the Other Participant - Participation Period
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />/high' data element with value '<xsl:text /><xsl:value-of select="cda:high/@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the Other Participant - Participation Period data element contains a
		time of midnight for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1185" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1185" />
  <xsl:template match="@*|node()" priority="-2" mode="M1185">
    <xsl:apply-templates select="@*|*" mode="M1185" />
  </xsl:template>
  <!--PATTERN p-TS-Content-Header-Midnight-TI-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')][cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.156' and @extension = '1.0')    or   (@root = '1.2.36.1.2001.1001.100.1002.226' and @extension = '1.0')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.144' and @extension = '1.1')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.234' and @extension = '1.0')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.147' and @extension = '1.1')    or   (@root = '1.2.36.1.2001.1001.100.1002.222' and @extension = '1.0')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and (@extension = '1.2' or @extension = '1.3')) or   (@root = '1.2.36.1.2001.1001.100.1002.140' and @extension = '1.1')    or   (@root = '1.2.36.1.2001.1001.100.1002.220' and @extension = '1.0')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.142' and @extension = '1.1')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and (@extension = '1.3' or @extension = '1.4')) ]]/cda:author/cda:time " priority="1000" mode="M1186">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')][cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.156' and @extension = '1.0')    or   (@root = '1.2.36.1.2001.1001.100.1002.226' and @extension = '1.0')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.144' and @extension = '1.1')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.234' and @extension = '1.0')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.147' and @extension = '1.1')    or   (@root = '1.2.36.1.2001.1001.100.1002.222' and @extension = '1.0')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and (@extension = '1.2' or @extension = '1.3')) or   (@root = '1.2.36.1.2001.1001.100.1002.140' and @extension = '1.1')    or   (@root = '1.2.36.1.2001.1001.100.1002.220' and @extension = '1.0')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.142' and @extension = '1.1')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and (@extension = '1.3' or @extension = '1.4')) ]]/cda:author/cda:time " />
    <xsl:variable name="poss-prec-err-value" select="if (not(@value and translate(@value, '0123456789+-.', '') = '')) then false()        else if (contains(@value,'+') and translate(substring-before(substring(@value,9),'+'),'0.','') = '') then true()        else if (contains(@value,'-') and translate(substring-before(substring(@value,9),'-'),'0.','') = '') then true()        else if (not(contains(@value,'+') or contains(@value,'-')) and string-length(@value) &gt; 8 and translate(substring(@value,9),'0.','') = '')         then true() else false() " />
    <xsl:variable name="poss-prec-err-low" select="if (not(cda:low/@value and translate(cda:low/@value, '0123456789+-.', '') = '')) then false()        else if (contains(cda:low/@value,'+') and translate(substring-before(substring(cda:low/@value,9),'+'),'0.','') = '') then true()        else if (contains(cda:low/@value,'-') and translate(substring-before(substring(cda:low/@value,9),'-'),'0.','') = '') then true()        else if (not(contains(cda:low/@value,'+') or contains(cda:low/@value,'-')) and string-length(cda:low/@value) &gt; 8 and          translate(substring(cda:low/@value,9),'0.','') = '')         then true() else false() " />
    <xsl:variable name="poss-prec-err-high" select="if (not(cda:high/@value and translate(cda:high/@value, '0123456789+-.', '') = '')) then false()        else if (contains(cda:high/@value,'+') and translate(substring-before(substring(cda:high/@value,9),'+'),'0.','') = '') then true()        else if (contains(cda:high/@value,'-') and translate(substring-before(substring(cda:high/@value,9),'-'),'0.','') = '') then true()        else if (not(contains(cda:high/@value,'+') or contains(cda:high/@value,'-')) and string-length(cda:high/@value) &gt; 8 and          translate(substring(cda:high/@value,9),'0.','') = '')         then true() else false() " />
    <xsl:variable name="same-doc-value" select="if ($poss-prec-err-value) then $same-doc-list/cda:ClinicalDocument[cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.156' and @extension = '1.0')    or   (@root = '1.2.36.1.2001.1001.100.1002.226' and @extension = '1.0')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.144' and @extension = '1.1')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.234' and @extension = '1.0')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.147' and @extension = '1.1')    or   (@root = '1.2.36.1.2001.1001.100.1002.222' and @extension = '1.0')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and (@extension = '1.2' or @extension = '1.3')) or   (@root = '1.2.36.1.2001.1001.100.1002.140' and @extension = '1.1')    or   (@root = '1.2.36.1.2001.1001.100.1002.220' and @extension = '1.0')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.142' and @extension = '1.1')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and (@extension = '1.3' or @extension = '1.4')) ]]/cda:author/cda:time/@value else() " />
    <xsl:variable name="same-doc-low" select="if ($poss-prec-err-low) then $same-doc-list/cda:ClinicalDocument[cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.156' and @extension = '1.0')    or   (@root = '1.2.36.1.2001.1001.100.1002.226' and @extension = '1.0')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.144' and @extension = '1.1')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.234' and @extension = '1.0')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.147' and @extension = '1.1')    or   (@root = '1.2.36.1.2001.1001.100.1002.222' and @extension = '1.0')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and (@extension = '1.2' or @extension = '1.3')) or   (@root = '1.2.36.1.2001.1001.100.1002.140' and @extension = '1.1')    or   (@root = '1.2.36.1.2001.1001.100.1002.220' and @extension = '1.0')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.142' and @extension = '1.1')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and (@extension = '1.3' or @extension = '1.4')) ]]/cda:author/cda:time/cda:low/@value else() " />
    <xsl:variable name="same-doc-high" select="if ($poss-prec-err-high) then $same-doc-list/cda:ClinicalDocument[cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.156' and @extension = '1.0')    or   (@root = '1.2.36.1.2001.1001.100.1002.226' and @extension = '1.0')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.144' and @extension = '1.1')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.234' and @extension = '1.0')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.147' and @extension = '1.1')    or   (@root = '1.2.36.1.2001.1001.100.1002.222' and @extension = '1.0')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and (@extension = '1.2' or @extension = '1.3')) or   (@root = '1.2.36.1.2001.1001.100.1002.140' and @extension = '1.1')    or   (@root = '1.2.36.1.2001.1001.100.1002.220' and @extension = '1.0')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.142' and @extension = '1.1')    or   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and (@extension = '1.3' or @extension = '1.4')) ]]/cda:author/cda:time/cda:high/@value else() " />
    <xsl:variable name="count-of-same-doc-value" select="count($same-doc-value) " />
    <xsl:variable name="count-of-same-doc-low" select="count($same-doc-low) " />
    <xsl:variable name="count-of-same-doc-high" select="count($same-doc-high) " />
    <xsl:variable name="same-doc-dates-value" select="$same-doc-value[         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') ]" />
    <xsl:variable name="same-doc-dates-low" select="$same-doc-low[         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') ]" />
    <xsl:variable name="same-doc-dates-high" select="$same-doc-high[         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') ]" />
    <xsl:variable name="prec-err-num-value" select="count($same-doc-dates-value)" />
    <xsl:variable name="prec-err-num-low" select="count($same-doc-dates-low)" />
    <xsl:variable name="prec-err-num-high" select="count($same-doc-dates-high)" />
    <xsl:variable name="likely-dates-err-value" select=" $prec-err-num-value = $count-of-same-doc-value " />
    <xsl:variable name="likely-dates-err-low" select=" $prec-err-num-low = $count-of-same-doc-low " />
    <xsl:variable name="likely-dates-err-high" select=" $prec-err-num-high = $count-of-same-doc-high " />
    <xsl:variable name="dates-err-count-value" select="if ($numbers/number[number(@value) = $prec-err-num-value]) then $numbers/number[number(@value) = $prec-err-num-value]/@name else $prec-err-num-value" />
    <xsl:variable name="dates-err-count-low" select="if ($numbers/number[number(@value) = $prec-err-num-low]) then $numbers/number[number(@value) = $prec-err-num-low]/@name else $prec-err-num-low" />
    <xsl:variable name="dates-err-count-high" select="if ($numbers/number[number(@value) = $prec-err-num-high]) then $numbers/number[number(@value) = $prec-err-num-high]/@name else $prec-err-num-high" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-07" select="if ($initial-priority) then $initial-rating else $rating-TC-Auth-07 " />
    <!--REPORT -->
    <xsl:if test=" $poss-prec-err-value and $likely-dates-err-value and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$poss-prec-err-value and $likely-dates-err-value and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the Document Author Participation Period
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element with value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the Document Author Participation Period data element contains a time of
		midnight for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $poss-prec-err-low and $likely-dates-err-low and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$poss-prec-err-low and $likely-dates-err-low and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the Document Author Participation Period
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />/low' data element with value '<xsl:text /><xsl:value-of select="cda:low/@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the Document Author Participation Period data element contains a time of
		midnight for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $poss-prec-err-high and $likely-dates-err-high and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$poss-prec-err-high and $likely-dates-err-high and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the Document Author Participation Period
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />/high' data element with value '<xsl:text /><xsl:value-of select="cda:high/@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the Document Author Participation Period data element contains a time of
		midnight for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1186" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1186" />
  <xsl:template match="@*|node()" priority="-2" mode="M1186">
    <xsl:apply-templates select="@*|*" mode="M1186" />
  </xsl:template>
  <!--PATTERN p-TS-Content-Header-Midnight-TI-5-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')][cda:templateId[   (@root = '1.2.36.1.2001.1001.100.1002.222' and @extension = '1.0') or   (@root = '1.2.36.1.2001.1001.100.1002.220' and @extension = '1.0') ]]/cda:participant/cda:time " priority="1000" mode="M1187">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')][cda:templateId[   (@root = '1.2.36.1.2001.1001.100.1002.222' and @extension = '1.0') or   (@root = '1.2.36.1.2001.1001.100.1002.220' and @extension = '1.0') ]]/cda:participant/cda:time " />
    <xsl:variable name="poss-prec-err-value" select="if (not(@value and translate(@value, '0123456789+-.', '') = '')) then false()        else if (contains(@value,'+') and translate(substring-before(substring(@value,9),'+'),'0.','') = '') then true()        else if (contains(@value,'-') and translate(substring-before(substring(@value,9),'-'),'0.','') = '') then true()        else if (not(contains(@value,'+') or contains(@value,'-')) and string-length(@value) &gt; 8 and translate(substring(@value,9),'0.','') = '')         then true() else false() " />
    <xsl:variable name="poss-prec-err-low" select="if (not(cda:low/@value and translate(cda:low/@value, '0123456789+-.', '') = '')) then false()        else if (contains(cda:low/@value,'+') and translate(substring-before(substring(cda:low/@value,9),'+'),'0.','') = '') then true()        else if (contains(cda:low/@value,'-') and translate(substring-before(substring(cda:low/@value,9),'-'),'0.','') = '') then true()        else if (not(contains(cda:low/@value,'+') or contains(cda:low/@value,'-')) and string-length(cda:low/@value) &gt; 8 and          translate(substring(cda:low/@value,9),'0.','') = '')         then true() else false() " />
    <xsl:variable name="poss-prec-err-high" select="if (not(cda:high/@value and translate(cda:high/@value, '0123456789+-.', '') = '')) then false()        else if (contains(cda:high/@value,'+') and translate(substring-before(substring(cda:high/@value,9),'+'),'0.','') = '') then true()        else if (contains(cda:high/@value,'-') and translate(substring-before(substring(cda:high/@value,9),'-'),'0.','') = '') then true()        else if (not(contains(cda:high/@value,'+') or contains(cda:high/@value,'-')) and string-length(cda:high/@value) &gt; 8 and          translate(substring(cda:high/@value,9),'0.','') = '')         then true() else false() " />
    <xsl:variable name="same-doc-value" select="if ($poss-prec-err-value) then $same-doc-list/cda:ClinicalDocument[cda:templateId[        (@root = '1.2.36.1.2001.1001.100.1002.222' and @extension = '1.0') or        (@root = '1.2.36.1.2001.1001.100.1002.220' and @extension = '1.0') ]]/cda:participant/cda:time/@value else() " />
    <xsl:variable name="same-doc-low" select="if ($poss-prec-err-low) then $same-doc-list/cda:ClinicalDocument[cda:templateId[        (@root = '1.2.36.1.2001.1001.100.1002.222' and @extension = '1.0') or        (@root = '1.2.36.1.2001.1001.100.1002.220' and @extension = '1.0') ]]/cda:participant/cda:time/cda:low/@value else() " />
    <xsl:variable name="same-doc-high" select="if ($poss-prec-err-high) then $same-doc-list/cda:ClinicalDocument[cda:templateId[        (@root = '1.2.36.1.2001.1001.100.1002.222' and @extension = '1.0') or        (@root = '1.2.36.1.2001.1001.100.1002.220' and @extension = '1.0') ]]/cda:participant/cda:time/cda:high/@value else() " />
    <xsl:variable name="count-of-same-doc-value" select="count($same-doc-value) " />
    <xsl:variable name="count-of-same-doc-low" select="count($same-doc-low) " />
    <xsl:variable name="count-of-same-doc-high" select="count($same-doc-high) " />
    <xsl:variable name="same-doc-dates-value" select="$same-doc-value[         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') ]" />
    <xsl:variable name="same-doc-dates-low" select="$same-doc-low[         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') ]" />
    <xsl:variable name="same-doc-dates-high" select="$same-doc-high[         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') ]" />
    <xsl:variable name="prec-err-num-value" select="count($same-doc-dates-value)" />
    <xsl:variable name="prec-err-num-low" select="count($same-doc-dates-low)" />
    <xsl:variable name="prec-err-num-high" select="count($same-doc-dates-high)" />
    <xsl:variable name="likely-dates-err-value" select=" $prec-err-num-value = $count-of-same-doc-value " />
    <xsl:variable name="likely-dates-err-low" select=" $prec-err-num-low = $count-of-same-doc-low " />
    <xsl:variable name="likely-dates-err-high" select=" $prec-err-num-high = $count-of-same-doc-high " />
    <xsl:variable name="dates-err-count-value" select="if ($numbers/number[number(@value) = $prec-err-num-value]) then $numbers/number[number(@value) = $prec-err-num-value]/@name else $prec-err-num-value" />
    <xsl:variable name="dates-err-count-low" select="if ($numbers/number[number(@value) = $prec-err-num-low]) then $numbers/number[number(@value) = $prec-err-num-low]/@name else $prec-err-num-low" />
    <xsl:variable name="dates-err-count-high" select="if ($numbers/number[number(@value) = $prec-err-num-high]) then $numbers/number[number(@value) = $prec-err-num-high]/@name else $prec-err-num-high" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-07" select="if ($initial-priority) then $initial-rating else $rating-TC-Auth-07 " />
    <!--REPORT -->
    <xsl:if test=" $poss-prec-err-value and $likely-dates-err-value and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$poss-prec-err-value and $likely-dates-err-value and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the Requester Participation Period
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element with value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the Requester Participation Period data element contains a time of
		midnight for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $poss-prec-err-low and $likely-dates-err-low and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$poss-prec-err-low and $likely-dates-err-low and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the Requester Participation Period
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />/low' data element with value '<xsl:text /><xsl:value-of select="cda:low/@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the Requester Participation Period data element contains a time of
		midnight for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $poss-prec-err-high and $likely-dates-err-high and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$poss-prec-err-high and $likely-dates-err-high and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the Requester Participation Period
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />/high' data element with value '<xsl:text /><xsl:value-of select="cda:high/@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the Requester Participation Period data element contains a time of
		midnight for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1187" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1187" />
  <xsl:template match="@*|node()" priority="-2" mode="M1187">
    <xsl:apply-templates select="@*|*" mode="M1187" />
  </xsl:template>
  <!--PATTERN p-TS-Content-Imaging-Midnight-TI-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16945']]/cda:entry/cda:act/cda:effectiveTime " priority="1000" mode="M1188">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16945']]/cda:entry/cda:act/cda:effectiveTime " />
    <xsl:variable name="poss-prec-err-value" select="if (not(@value and translate(@value, '0123456789+-.', '') = '')) then false()        else if (contains(@value,'+') and translate(substring-before(substring(@value,9),'+'),'0.','') = '') then true()        else if (contains(@value,'-') and translate(substring-before(substring(@value,9),'-'),'0.','') = '') then true()        else if (not(contains(@value,'+') or contains(@value,'-')) and string-length(@value) &gt; 8 and translate(substring(@value,9),'0.','') = '')         then true() else false() " />
    <xsl:variable name="poss-prec-err-low" select="if (not(cda:low/@value and translate(cda:low/@value, '0123456789+-.', '') = '')) then false()        else if (contains(cda:low/@value,'+') and translate(substring-before(substring(cda:low/@value,9),'+'),'0.','') = '') then true()        else if (contains(cda:low/@value,'-') and translate(substring-before(substring(cda:low/@value,9),'-'),'0.','') = '') then true()        else if (not(contains(cda:low/@value,'+') or contains(cda:low/@value,'-')) and string-length(cda:low/@value) &gt; 8 and          translate(substring(cda:low/@value,9),'0.','') = '')         then true() else false() " />
    <xsl:variable name="poss-prec-err-high" select="if (not(cda:high/@value and translate(cda:high/@value, '0123456789+-.', '') = '')) then false()        else if (contains(cda:high/@value,'+') and translate(substring-before(substring(cda:high/@value,9),'+'),'0.','') = '') then true()        else if (contains(cda:high/@value,'-') and translate(substring-before(substring(cda:high/@value,9),'-'),'0.','') = '') then true()        else if (not(contains(cda:high/@value,'+') or contains(cda:high/@value,'-')) and string-length(cda:high/@value) &gt; 8 and          translate(substring(cda:high/@value,9),'0.','') = '')         then true() else false() " />
    <xsl:variable name="same-doc-value" select="if ($poss-prec-err-value) then $same-doc-list/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16945']]/cda:entry/cda:act/cda:effectiveTime/@value else() " />
    <xsl:variable name="same-doc-low" select="if ($poss-prec-err-low) then $same-doc-list/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16945']]/cda:entry/cda:act/cda:effectiveTime/cda:low/@value else() " />
    <xsl:variable name="same-doc-high" select="if ($poss-prec-err-high) then $same-doc-list/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16945']]/cda:entry/cda:act/cda:effectiveTime/cda:high/@value else() " />
    <xsl:variable name="count-of-same-doc-value" select="count($same-doc-value) " />
    <xsl:variable name="count-of-same-doc-low" select="count($same-doc-low) " />
    <xsl:variable name="count-of-same-doc-high" select="count($same-doc-high) " />
    <xsl:variable name="same-doc-dates-value" select="$same-doc-value[         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') ]" />
    <xsl:variable name="same-doc-dates-low" select="$same-doc-low[         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') ]" />
    <xsl:variable name="same-doc-dates-high" select="$same-doc-high[         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') ]" />
    <xsl:variable name="prec-err-num-value" select="count($same-doc-dates-value)" />
    <xsl:variable name="prec-err-num-low" select="count($same-doc-dates-low)" />
    <xsl:variable name="prec-err-num-high" select="count($same-doc-dates-high)" />
    <xsl:variable name="likely-dates-err-value" select=" $prec-err-num-value = $count-of-same-doc-value " />
    <xsl:variable name="likely-dates-err-low" select=" $prec-err-num-low = $count-of-same-doc-low " />
    <xsl:variable name="likely-dates-err-high" select=" $prec-err-num-high = $count-of-same-doc-high " />
    <xsl:variable name="dates-err-count-value" select="if ($numbers/number[number(@value) = $prec-err-num-value]) then $numbers/number[number(@value) = $prec-err-num-value]/@name else $prec-err-num-value" />
    <xsl:variable name="dates-err-count-low" select="if ($numbers/number[number(@value) = $prec-err-num-low]) then $numbers/number[number(@value) = $prec-err-num-low]/@name else $prec-err-num-low" />
    <xsl:variable name="dates-err-count-high" select="if ($numbers/number[number(@value) = $prec-err-num-high]) then $numbers/number[number(@value) = $prec-err-num-high]/@name else $prec-err-num-high" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-07" select="if ($initial-priority) then $initial-rating else $rating-TC-Auth-07 " />
    <!--REPORT -->
    <xsl:if test=" $poss-prec-err-value and $likely-dates-err-value and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$poss-prec-err-value and $likely-dates-err-value and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the Report DateTime
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element with value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the Report DateTime data element contains a time
		of midnight for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $poss-prec-err-low and $likely-dates-err-low and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$poss-prec-err-low and $likely-dates-err-low and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the Report DateTime
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />/low' data element with value '<xsl:text /><xsl:value-of select="cda:low/@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the Report DateTime data element contains a time
		of midnight for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $poss-prec-err-high and $likely-dates-err-high and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$poss-prec-err-high and $likely-dates-err-high and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the Report DateTime
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />/high' data element with value '<xsl:text /><xsl:value-of select="cda:high/@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the Report DateTime data element contains a time
		of midnight for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1188" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1188" />
  <xsl:template match="@*|node()" priority="-2" mode="M1188">
    <xsl:apply-templates select="@*|*" mode="M1188" />
  </xsl:template>
  <!--PATTERN p-TS-Content-Imaging-Midnight-TI-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16945']]/cda:author/cda:time " priority="1000" mode="M1189">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16945']]/cda:author/cda:time " />
    <xsl:variable name="poss-prec-err-value" select="if (not(@value and translate(@value, '0123456789+-.', '') = '')) then false()        else if (contains(@value,'+') and translate(substring-before(substring(@value,9),'+'),'0.','') = '') then true()        else if (contains(@value,'-') and translate(substring-before(substring(@value,9),'-'),'0.','') = '') then true()        else if (not(contains(@value,'+') or contains(@value,'-')) and string-length(@value) &gt; 8 and translate(substring(@value,9),'0.','') = '')         then true() else false() " />
    <xsl:variable name="poss-prec-err-low" select="if (not(cda:low/@value and translate(cda:low/@value, '0123456789+-.', '') = '')) then false()        else if (contains(cda:low/@value,'+') and translate(substring-before(substring(cda:low/@value,9),'+'),'0.','') = '') then true()        else if (contains(cda:low/@value,'-') and translate(substring-before(substring(cda:low/@value,9),'-'),'0.','') = '') then true()        else if (not(contains(cda:low/@value,'+') or contains(cda:low/@value,'-')) and string-length(cda:low/@value) &gt; 8 and          translate(substring(cda:low/@value,9),'0.','') = '')         then true() else false() " />
    <xsl:variable name="poss-prec-err-high" select="if (not(cda:high/@value and translate(cda:high/@value, '0123456789+-.', '') = '')) then false()        else if (contains(cda:high/@value,'+') and translate(substring-before(substring(cda:high/@value,9),'+'),'0.','') = '') then true()        else if (contains(cda:high/@value,'-') and translate(substring-before(substring(cda:high/@value,9),'-'),'0.','') = '') then true()        else if (not(contains(cda:high/@value,'+') or contains(cda:high/@value,'-')) and string-length(cda:high/@value) &gt; 8 and          translate(substring(cda:high/@value,9),'0.','') = '')         then true() else false() " />
    <xsl:variable name="same-doc-value" select="if ($poss-prec-err-value) then $same-doc-list/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16945']]/cda:author/cda:time/@value else() " />
    <xsl:variable name="same-doc-low" select="if ($poss-prec-err-low) then $same-doc-list/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16945']]/cda:author/cda:time/cda:low/@value else() " />
    <xsl:variable name="same-doc-high" select="if ($poss-prec-err-high) then $same-doc-list/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16945']]/cda:author/cda:time/cda:high/@value else() " />
    <xsl:variable name="count-of-same-doc-value" select="count($same-doc-value) " />
    <xsl:variable name="count-of-same-doc-low" select="count($same-doc-low) " />
    <xsl:variable name="count-of-same-doc-high" select="count($same-doc-high) " />
    <xsl:variable name="same-doc-dates-value" select="$same-doc-value[         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') ]" />
    <xsl:variable name="same-doc-dates-low" select="$same-doc-low[         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') ]" />
    <xsl:variable name="same-doc-dates-high" select="$same-doc-high[         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') ]" />
    <xsl:variable name="prec-err-num-value" select="count($same-doc-dates-value)" />
    <xsl:variable name="prec-err-num-low" select="count($same-doc-dates-low)" />
    <xsl:variable name="prec-err-num-high" select="count($same-doc-dates-high)" />
    <xsl:variable name="likely-dates-err-value" select=" $prec-err-num-value = $count-of-same-doc-value " />
    <xsl:variable name="likely-dates-err-low" select=" $prec-err-num-low = $count-of-same-doc-low " />
    <xsl:variable name="likely-dates-err-high" select=" $prec-err-num-high = $count-of-same-doc-high " />
    <xsl:variable name="dates-err-count-value" select="if ($numbers/number[number(@value) = $prec-err-num-value]) then $numbers/number[number(@value) = $prec-err-num-value]/@name else $prec-err-num-value" />
    <xsl:variable name="dates-err-count-low" select="if ($numbers/number[number(@value) = $prec-err-num-low]) then $numbers/number[number(@value) = $prec-err-num-low]/@name else $prec-err-num-low" />
    <xsl:variable name="dates-err-count-high" select="if ($numbers/number[number(@value) = $prec-err-num-high]) then $numbers/number[number(@value) = $prec-err-num-high]/@name else $prec-err-num-high" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-07" select="if ($initial-priority) then $initial-rating else $rating-TC-Auth-07 " />
    <!--REPORT -->
    <xsl:if test=" $poss-prec-err-value and $likely-dates-err-value and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$poss-prec-err-value and $likely-dates-err-value and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the Reporting Radiologist Participation Period
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element with value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the Reporting Radiologist Participation Period data element contains
		a time of midnight for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $poss-prec-err-low and $likely-dates-err-low and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$poss-prec-err-low and $likely-dates-err-low and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the Reporting Radiologist Participation Period
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />/low' data element with value '<xsl:text /><xsl:value-of select="cda:low/@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the Reporting Radiologist Participation Period data element contains
		a time of midnight for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $poss-prec-err-high and $likely-dates-err-high and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$poss-prec-err-high and $likely-dates-err-high and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the Reporting Radiologist Participation Period
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />/high' data element with value '<xsl:text /><xsl:value-of select="cda:high/@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the Reporting Radiologist Participation Period data element contains
		a time of midnight for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1189" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1189" />
  <xsl:template match="@*|node()" priority="-2" mode="M1189">
    <xsl:apply-templates select="@*|*" mode="M1189" />
  </xsl:template>
  <!--PATTERN p-TS-Content-Imaging-Midnight-DT-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')]['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/     cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/cda:entryRelationship/cda:act/cda:entryRelationship/     cda:act/cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16515' or @code = '103.16515')]]/cda:effectiveTime |    /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')]['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//      cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/     cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/cda:entryRelationship/cda:act[     cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16511']]/     cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16515' or @code = '103.16515')]]/cda:effectiveTime " priority="1000" mode="M1190">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')]['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/     cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/cda:entryRelationship/cda:act/cda:entryRelationship/     cda:act/cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16515' or @code = '103.16515')]]/cda:effectiveTime |    /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')]['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//      cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/     cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/cda:entryRelationship/cda:act[     cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16511']]/     cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16515' or @code = '103.16515')]]/cda:effectiveTime " />
    <xsl:variable name="the-time" select="if ($flags/@allow-hints = 'false' or not(matches(@value, '^[0-9]{12}'))) then ''        else if (not(@value and translate(@value, '0123456789+-.', '') = '')) then ''        else if (contains(@value,'+')) then substring-before(substring(@value,9),'+')        else if (contains(@value,'-')) then substring-before(substring(@value,9),'-')        else substring(@value,9) " />
    <xsl:variable name="possible-precision-err" select="$the-time != '' and translate($the-time,'0.','') = '' " />
    <xsl:variable name="same-doc-values" select="if ($possible-precision-err) then $same-doc-list/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/cda:entryRelationship/cda:act/cda:entryRelationship/        cda:act/cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and         (@code='102.16515' or @code = '103.16515')]]/cda:effectiveTime/@value |        $same-doc-list/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/        cda:observation/cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16511']]/        cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16515' or @code = '103.16515')]]/        cda:effectiveTime/@value else() " />
    <xsl:variable name="count-of-same-doc-dates" select="count($same-doc-values) " />
    <xsl:variable name="same-doc-dates-prec-err" select="$same-doc-values[matches(., '^[0-9]{12}') and (         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') )]" />
    <xsl:variable name="dates-prec-err-num" select="count($same-doc-dates-prec-err)" />
    <xsl:variable name="likely-dates-prec-err" select=" $dates-prec-err-num = $count-of-same-doc-dates " />
    <xsl:variable name="dates-prec-err-count" select="if ($numbers/number[number(@value) = $dates-prec-err-num]) then $numbers/number[number(@value) = $dates-prec-err-num]/@name else $dates-prec-err-num" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-07" select="if ($initial-priority) then $initial-rating else $rating-TC-Auth-07 " />
    <!--REPORT -->
    <xsl:if test=" $possible-precision-err and $likely-dates-prec-err and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$possible-precision-err and $likely-dates-prec-err and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the Examination Request Details - Image DateTime
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element with value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the Examination Request Details - Image DateTime data element contains
		a time of midnight for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1190" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1190" />
  <xsl:template match="@*|node()" priority="-2" mode="M1190">
    <xsl:apply-templates select="@*|*" mode="M1190" />
  </xsl:template>
  <!--PATTERN p-TS-Content-Imaging-Midnight-DT-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')]['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/cda:entryRelationship/cda:observation   [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16589']]/cda:effectiveTime " priority="1000" mode="M1191">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')]['102.16145' = $doc-sections]/cda:component/cda:structuredBody/cda:component//    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/cda:entryRelationship/cda:observation   [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16589']]/cda:effectiveTime " />
    <xsl:variable name="the-time" select="if ($flags/@allow-hints = 'false' or not(matches(@value, '^[0-9]{12}'))) then ''        else if (not(@value and translate(@value, '0123456789+-.', '') = '')) then ''        else if (contains(@value,'+')) then substring-before(substring(@value,9),'+')        else if (contains(@value,'-')) then substring-before(substring(@value,9),'-')        else substring(@value,9) " />
    <xsl:variable name="possible-precision-err" select="$the-time != '' and translate($the-time,'0.','') = '' " />
    <xsl:variable name="same-doc-values" select="if ($possible-precision-err) then $same-doc-list/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.16945')]]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16145']]/cda:entry/cda:observation/cda:entryRelationship/        cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16589']]/cda:effectiveTime/@value else() " />
    <xsl:variable name="count-of-same-doc-dates" select="count($same-doc-values) " />
    <xsl:variable name="same-doc-dates-prec-err" select="$same-doc-values[matches(., '^[0-9]{12}') and (         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') )]" />
    <xsl:variable name="dates-prec-err-num" select="count($same-doc-dates-prec-err)" />
    <xsl:variable name="likely-dates-prec-err" select=" $dates-prec-err-num = $count-of-same-doc-dates " />
    <xsl:variable name="dates-prec-err-count" select="if ($numbers/number[number(@value) = $dates-prec-err-num]) then $numbers/number[number(@value) = $dates-prec-err-num]/@name else $dates-prec-err-num" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-07" select="if ($initial-priority) then $initial-rating else $rating-TC-Auth-07 " />
    <!--REPORT -->
    <xsl:if test=" $possible-precision-err and $likely-dates-prec-err and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$possible-precision-err and $likely-dates-prec-err and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the Observation DateTime
		(also known as Imaging Examination Result DateTime) '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element with
		value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the Observation DateTime data element contains a time
		of midnight for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1191" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1191" />
  <xsl:template match="@*|node()" priority="-2" mode="M1191">
    <xsl:apply-templates select="@*|*" mode="M1191" />
  </xsl:template>
  <!--PATTERN p-TS-Content-Immun-Midnight-DT-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16638']]/cda:entry/cda:substanceAdministration/cda:effectiveTime " priority="1000" mode="M1192">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16638']]/cda:entry/cda:substanceAdministration/cda:effectiveTime " />
    <xsl:variable name="the-time" select="if ($flags/@allow-hints = 'false' or not(matches(@value, '^[0-9]{12}'))) then ''        else if (not(@value and translate(@value, '0123456789+-.', '') = '')) then ''        else if (contains(@value,'+')) then substring-before(substring(@value,9),'+')        else if (contains(@value,'-')) then substring-before(substring(@value,9),'-')        else substring(@value,9) " />
    <xsl:variable name="possible-precision-err" select="$the-time != '' and translate($the-time,'0.','') = '' " />
    <xsl:variable name="same-doc-values" select="if ($possible-precision-err) then $same-doc-list/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16638']]/cda:entry/cda:substanceAdministration/cda:effectiveTime/@value else() " />
    <xsl:variable name="count-of-same-doc-dates" select="count($same-doc-values) " />
    <xsl:variable name="same-doc-dates-prec-err" select="$same-doc-values[matches(., '^[0-9]{12}') and (         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') )]" />
    <xsl:variable name="dates-prec-err-num" select="count($same-doc-dates-prec-err)" />
    <xsl:variable name="likely-dates-prec-err" select=" $dates-prec-err-num = $count-of-same-doc-dates " />
    <xsl:variable name="dates-prec-err-count" select="if ($numbers/number[number(@value) = $dates-prec-err-num]) then $numbers/number[number(@value) = $dates-prec-err-num]/@name else $dates-prec-err-num" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-07" select="if ($initial-priority) then $initial-rating else $rating-TC-Auth-07 " />
    <!--REPORT -->
    <xsl:if test=" $possible-precision-err and $likely-dates-prec-err and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$possible-precision-err and $likely-dates-prec-err and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the Medication Action DateTime
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element with value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the Medication Action DateTime data element contains a time of midnight
		for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1192" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1192" />
  <xsl:template match="@*|node()" priority="-2" mode="M1192">
    <xsl:apply-templates select="@*|*" mode="M1192" />
  </xsl:template>
  <!--PATTERN p-TS-Content-ImmunRegister-Midnight-DT-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')]//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16658']]/cda:entry/   cda:substanceAdministration[not(cda:statusCode)]/cda:effectiveTime " priority="1000" mode="M1193">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')]//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16658']]/cda:entry/   cda:substanceAdministration[not(cda:statusCode)]/cda:effectiveTime " />
    <xsl:variable name="the-time" select="if ($flags/@allow-hints = 'false' or not(matches(@value, '^[0-9]{12}'))) then ''        else if (not(@value and translate(@value, '0123456789+-.', '') = '')) then ''        else if (contains(@value,'+')) then substring-before(substring(@value,9),'+')        else if (contains(@value,'-')) then substring-before(substring(@value,9),'-')        else substring(@value,9) " />
    <xsl:variable name="possible-precision-err" select="$the-time != '' and translate($the-time,'0.','') = '' " />
    <xsl:variable name="same-doc-values" select="if ($possible-precision-err) then $same-doc-list/cda:ClinicalDocument//cda:section[        cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16658']]/cda:entry/        cda:substanceAdministration[not(cda:statusCode)]/cda:effectiveTime/@value else() " />
    <xsl:variable name="count-of-same-doc-dates" select="count($same-doc-values) " />
    <xsl:variable name="same-doc-dates-prec-err" select="$same-doc-values[matches(., '^[0-9]{12}') and (         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') )]" />
    <xsl:variable name="dates-prec-err-num" select="count($same-doc-dates-prec-err)" />
    <xsl:variable name="likely-dates-prec-err" select=" $dates-prec-err-num = $count-of-same-doc-dates " />
    <xsl:variable name="dates-prec-err-count" select="if ($numbers/number[number(@value) = $dates-prec-err-num]) then $numbers/number[number(@value) = $dates-prec-err-num]/@name else $dates-prec-err-num" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-07" select="if ($initial-priority) then $initial-rating else $rating-TC-Auth-07 " />
    <!--REPORT -->
    <xsl:if test=" $possible-precision-err and $likely-dates-prec-err and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$possible-precision-err and $likely-dates-prec-err and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the Date Vaccination Received
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element with value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the Date Vaccination Received data element contains a time
		of midnight for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1193" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1193" />
  <xsl:template match="@*|node()" priority="-2" mode="M1193">
    <xsl:apply-templates select="@*|*" mode="M1193" />
  </xsl:template>
  <!--PATTERN p-TS-Content-ImmunRegister-Midnight-DT-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')]//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16658']]/cda:entry/   cda:substanceAdministration[cda:statusCode/@code='Cancelled']/cda:effectiveTime " priority="1000" mode="M1194">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')]//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16658']]/cda:entry/   cda:substanceAdministration[cda:statusCode/@code='Cancelled']/cda:effectiveTime " />
    <xsl:variable name="the-time" select="if ($flags/@allow-hints = 'false' or not(matches(@value, '^[0-9]{12}'))) then ''        else if (not(@value and translate(@value, '0123456789+-.', '') = '')) then ''        else if (contains(@value,'+')) then substring-before(substring(@value,9),'+')        else if (contains(@value,'-')) then substring-before(substring(@value,9),'-')        else substring(@value,9) " />
    <xsl:variable name="possible-precision-err" select="$the-time != '' and translate($the-time,'0.','') = '' " />
    <xsl:variable name="same-doc-values" select="if ($possible-precision-err) then $same-doc-list/cda:ClinicalDocument//cda:section[        cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16658']]/cda:entry/        cda:substanceAdministration[cda:statusCode/@code='Cancelled']/cda:effectiveTime/@value else() " />
    <xsl:variable name="count-of-same-doc-dates" select="count($same-doc-values) " />
    <xsl:variable name="same-doc-dates-prec-err" select="$same-doc-values[matches(., '^[0-9]{12}') and (         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') )]" />
    <xsl:variable name="dates-prec-err-num" select="count($same-doc-dates-prec-err)" />
    <xsl:variable name="likely-dates-prec-err" select=" $dates-prec-err-num = $count-of-same-doc-dates " />
    <xsl:variable name="dates-prec-err-count" select="if ($numbers/number[number(@value) = $dates-prec-err-num]) then $numbers/number[number(@value) = $dates-prec-err-num]/@name else $dates-prec-err-num" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-07" select="if ($initial-priority) then $initial-rating else $rating-TC-Auth-07 " />
    <!--REPORT -->
    <xsl:if test=" $possible-precision-err and $likely-dates-prec-err and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$possible-precision-err and $likely-dates-prec-err and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the Date Vaccination Cancelled
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element with value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the Date Vaccination Cancelled data element contains a time
		of midnight for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1194" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1194" />
  <xsl:template match="@*|node()" priority="-2" mode="M1194">
    <xsl:apply-templates select="@*|*" mode="M1194" />
  </xsl:template>
  <!--PATTERN p-TS-Content-ImmunRegister-Midnight-TI-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')]//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16658']]/cda:entry/   cda:substanceAdministration[cda:statusCode/@code='Cancelled']/cda:entryRelationship/cda:act/cda:entryRelationship/cda:act/cda:effectiveTime " priority="1000" mode="M1195">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')]//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16658']]/cda:entry/   cda:substanceAdministration[cda:statusCode/@code='Cancelled']/cda:entryRelationship/cda:act/cda:entryRelationship/cda:act/cda:effectiveTime " />
    <xsl:variable name="poss-prec-err-value" select="if (not(@value and translate(@value, '0123456789+-.', '') = '')) then false()        else if (contains(@value,'+') and translate(substring-before(substring(@value,9),'+'),'0.','') = '') then true()        else if (contains(@value,'-') and translate(substring-before(substring(@value,9),'-'),'0.','') = '') then true()        else if (not(contains(@value,'+') or contains(@value,'-')) and string-length(@value) &gt; 8 and translate(substring(@value,9),'0.','') = '')         then true() else false() " />
    <xsl:variable name="poss-prec-err-low" select="if (not(cda:low/@value and translate(cda:low/@value, '0123456789+-.', '') = '')) then false()        else if (contains(cda:low/@value,'+') and translate(substring-before(substring(cda:low/@value,9),'+'),'0.','') = '') then true()        else if (contains(cda:low/@value,'-') and translate(substring-before(substring(cda:low/@value,9),'-'),'0.','') = '') then true()        else if (not(contains(cda:low/@value,'+') or contains(cda:low/@value,'-')) and string-length(cda:low/@value) &gt; 8 and          translate(substring(cda:low/@value,9),'0.','') = '')         then true() else false() " />
    <xsl:variable name="poss-prec-err-high" select="if (not(cda:high/@value and translate(cda:high/@value, '0123456789+-.', '') = '')) then false()        else if (contains(cda:high/@value,'+') and translate(substring-before(substring(cda:high/@value,9),'+'),'0.','') = '') then true()        else if (contains(cda:high/@value,'-') and translate(substring-before(substring(cda:high/@value,9),'-'),'0.','') = '') then true()        else if (not(contains(cda:high/@value,'+') or contains(cda:high/@value,'-')) and string-length(cda:high/@value) &gt; 8 and          translate(substring(cda:high/@value,9),'0.','') = '')         then true() else false() " />
    <xsl:variable name="same-doc-value" select="if ($poss-prec-err-value) then $same-doc-list/cda:ClinicalDocument//cda:section[        cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16658']]/cda:entry/        cda:substanceAdministration[cda:statusCode/@code='Cancelled']/cda:entryRelationship/cda:act/cda:entryRelationship/cda:act/        cda:effectiveTime/@value else() " />
    <xsl:variable name="same-doc-low" select="if ($poss-prec-err-low) then $same-doc-list/cda:ClinicalDocument//cda:section[        cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16658']]/cda:entry/        cda:substanceAdministration[cda:statusCode/@code='Cancelled']/cda:entryRelationship/cda:act/cda:entryRelationship/cda:act/        cda:effectiveTime/cda:low/@value else() " />
    <xsl:variable name="same-doc-high" select="if ($poss-prec-err-high) then $same-doc-list/cda:ClinicalDocument//cda:section[        cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16658']]/cda:entry/        cda:substanceAdministration[cda:statusCode/@code='Cancelled']/cda:entryRelationship/cda:act/cda:entryRelationship/cda:act/        cda:effectiveTime/cda:high/@value else() " />
    <xsl:variable name="count-of-same-doc-value" select="count($same-doc-value) " />
    <xsl:variable name="count-of-same-doc-low" select="count($same-doc-low) " />
    <xsl:variable name="count-of-same-doc-high" select="count($same-doc-high) " />
    <xsl:variable name="same-doc-dates-value" select="$same-doc-value[         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') ]" />
    <xsl:variable name="same-doc-dates-low" select="$same-doc-low[         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') ]" />
    <xsl:variable name="same-doc-dates-high" select="$same-doc-high[         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') ]" />
    <xsl:variable name="prec-err-num-value" select="count($same-doc-dates-value)" />
    <xsl:variable name="prec-err-num-low" select="count($same-doc-dates-low)" />
    <xsl:variable name="prec-err-num-high" select="count($same-doc-dates-high)" />
    <xsl:variable name="likely-dates-err-value" select=" $prec-err-num-value = $count-of-same-doc-value " />
    <xsl:variable name="likely-dates-err-low" select=" $prec-err-num-low = $count-of-same-doc-low " />
    <xsl:variable name="likely-dates-err-high" select=" $prec-err-num-high = $count-of-same-doc-high " />
    <xsl:variable name="dates-err-count-value" select="if ($numbers/number[number(@value) = $prec-err-num-value]) then $numbers/number[number(@value) = $prec-err-num-value]/@name else $prec-err-num-value" />
    <xsl:variable name="dates-err-count-low" select="if ($numbers/number[number(@value) = $prec-err-num-low]) then $numbers/number[number(@value) = $prec-err-num-low]/@name else $prec-err-num-low" />
    <xsl:variable name="dates-err-count-high" select="if ($numbers/number[number(@value) = $prec-err-num-high]) then $numbers/number[number(@value) = $prec-err-num-high]/@name else $prec-err-num-high" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-07" select="if ($initial-priority) then $initial-rating else $rating-TC-Auth-07 " />
    <!--REPORT -->
    <xsl:if test=" $poss-prec-err-value and $likely-dates-err-value and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$poss-prec-err-value and $likely-dates-err-value and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the Vaccine Cancellation Reason Period
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element with value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the Vaccine Cancellation Reason Period data element contains
		a time of midnight for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $poss-prec-err-low and $likely-dates-err-low and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$poss-prec-err-low and $likely-dates-err-low and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the Vaccine Cancellation Reason Period
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />/low' data element with value '<xsl:text /><xsl:value-of select="cda:low/@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the Vaccine Cancellation Reason Period data element contains
		a time of midnight for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $poss-prec-err-high and $likely-dates-err-high and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$poss-prec-err-high and $likely-dates-err-high and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the Vaccine Cancellation Reason Period
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />/high' data element with value '<xsl:text /><xsl:value-of select="cda:high/@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the Vaccine Cancellation Reason Period data element contains
		a time of midnight for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1195" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1195" />
  <xsl:template match="@*|node()" priority="-2" mode="M1195">
    <xsl:apply-templates select="@*|*" mode="M1195" />
  </xsl:template>
  <!--PATTERN p-TS-Content-Med-Midnight-TI-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false') and '101.16146.4.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1']]/cda:entry/   cda:substanceAdministration[@classCode = 'SBADM']/cda:effectiveTime " priority="1000" mode="M1196">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false') and '101.16146.4.1.1' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1']]/cda:entry/   cda:substanceAdministration[@classCode = 'SBADM']/cda:effectiveTime " />
    <xsl:variable name="poss-prec-err-value" select="if (not(@value and translate(@value, '0123456789+-.', '') = '')) then false()        else if (contains(@value,'+') and translate(substring-before(substring(@value,9),'+'),'0.','') = '') then true()        else if (contains(@value,'-') and translate(substring-before(substring(@value,9),'-'),'0.','') = '') then true()        else if (not(contains(@value,'+') or contains(@value,'-')) and string-length(@value) &gt; 8 and translate(substring(@value,9),'0.','') = '')         then true() else false() " />
    <xsl:variable name="poss-prec-err-low" select="if (not(cda:low/@value and translate(cda:low/@value, '0123456789+-.', '') = '')) then false()        else if (contains(cda:low/@value,'+') and translate(substring-before(substring(cda:low/@value,9),'+'),'0.','') = '') then true()        else if (contains(cda:low/@value,'-') and translate(substring-before(substring(cda:low/@value,9),'-'),'0.','') = '') then true()        else if (not(contains(cda:low/@value,'+') or contains(cda:low/@value,'-')) and string-length(cda:low/@value) &gt; 8 and          translate(substring(cda:low/@value,9),'0.','') = '')         then true() else false() " />
    <xsl:variable name="poss-prec-err-high" select="if (not(cda:high/@value and translate(cda:high/@value, '0123456789+-.', '') = '')) then false()        else if (contains(cda:high/@value,'+') and translate(substring-before(substring(cda:high/@value,9),'+'),'0.','') = '') then true()        else if (contains(cda:high/@value,'-') and translate(substring-before(substring(cda:high/@value,9),'-'),'0.','') = '') then true()        else if (not(contains(cda:high/@value,'+') or contains(cda:high/@value,'-')) and string-length(cda:high/@value) &gt; 8 and          translate(substring(cda:high/@value,9),'0.','') = '')         then true() else false() " />
    <xsl:variable name="same-doc-value" select="if ($poss-prec-err-value) then $same-doc-list/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1']]/cda:entry/        cda:substanceAdministration[@classCode = 'SBADM']/cda:effectiveTime/@value else() " />
    <xsl:variable name="same-doc-low" select="if ($poss-prec-err-low) then $same-doc-list/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1']]/cda:entry/        cda:substanceAdministration[@classCode = 'SBADM']/cda:effectiveTime/cda:low/@value else() " />
    <xsl:variable name="same-doc-high" select="if ($poss-prec-err-high) then $same-doc-list/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1']]/cda:entry/        cda:substanceAdministration[@classCode = 'SBADM']/cda:effectiveTime/cda:high/@value else() " />
    <xsl:variable name="count-of-same-doc-value" select="count($same-doc-value) " />
    <xsl:variable name="count-of-same-doc-low" select="count($same-doc-low) " />
    <xsl:variable name="count-of-same-doc-high" select="count($same-doc-high) " />
    <xsl:variable name="same-doc-dates-value" select="$same-doc-value[         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') ]" />
    <xsl:variable name="same-doc-dates-low" select="$same-doc-low[         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') ]" />
    <xsl:variable name="same-doc-dates-high" select="$same-doc-high[         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') ]" />
    <xsl:variable name="prec-err-num-value" select="count($same-doc-dates-value)" />
    <xsl:variable name="prec-err-num-low" select="count($same-doc-dates-low)" />
    <xsl:variable name="prec-err-num-high" select="count($same-doc-dates-high)" />
    <xsl:variable name="likely-dates-err-value" select=" $prec-err-num-value = $count-of-same-doc-value " />
    <xsl:variable name="likely-dates-err-low" select=" $prec-err-num-low = $count-of-same-doc-low " />
    <xsl:variable name="likely-dates-err-high" select=" $prec-err-num-high = $count-of-same-doc-high " />
    <xsl:variable name="dates-err-count-value" select="if ($numbers/number[number(@value) = $prec-err-num-value]) then $numbers/number[number(@value) = $prec-err-num-value]/@name else $prec-err-num-value" />
    <xsl:variable name="dates-err-count-low" select="if ($numbers/number[number(@value) = $prec-err-num-low]) then $numbers/number[number(@value) = $prec-err-num-low]/@name else $prec-err-num-low" />
    <xsl:variable name="dates-err-count-high" select="if ($numbers/number[number(@value) = $prec-err-num-high]) then $numbers/number[number(@value) = $prec-err-num-high]/@name else $prec-err-num-high" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-07" select="if ($initial-priority) then $initial-rating else $rating-TC-Auth-07 " />
    <!--REPORT -->
    <xsl:if test=" $poss-prec-err-value and $likely-dates-err-value and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$poss-prec-err-value and $likely-dates-err-value and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the Medication Duration
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element with value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the Medication Duration data element contains
		a time of midnight for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $poss-prec-err-low and $likely-dates-err-low and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$poss-prec-err-low and $likely-dates-err-low and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the Medication Duration
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />/low' data element with value '<xsl:text /><xsl:value-of select="cda:low/@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the Medication Duration data element contains
		a time of midnight for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $poss-prec-err-high and $likely-dates-err-high and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$poss-prec-err-high and $likely-dates-err-high and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the Medication Duration
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />/high' data element with value '<xsl:text /><xsl:value-of select="cda:high/@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the Medication Duration data element contains
		a time of midnight for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1196" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1196" />
  <xsl:template match="@*|node()" priority="-2" mode="M1196">
    <xsl:apply-templates select="@*|*" mode="M1196" />
  </xsl:template>
  <!--PATTERN p-TS-Content-MedHist-Midnight-TI-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false') and '101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16627']]/cda:effectiveTime " priority="1000" mode="M1197">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false') and '101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16627']]/cda:effectiveTime " />
    <xsl:variable name="poss-prec-err-value" select="if (not(@value and translate(@value, '0123456789+-.', '') = '')) then false()        else if (contains(@value,'+') and translate(substring-before(substring(@value,9),'+'),'0.','') = '') then true()        else if (contains(@value,'-') and translate(substring-before(substring(@value,9),'-'),'0.','') = '') then true()        else if (not(contains(@value,'+') or contains(@value,'-')) and string-length(@value) &gt; 8 and translate(substring(@value,9),'0.','') = '')         then true() else false() " />
    <xsl:variable name="poss-prec-err-low" select="if (not(cda:low/@value and translate(cda:low/@value, '0123456789+-.', '') = '')) then false()        else if (contains(cda:low/@value,'+') and translate(substring-before(substring(cda:low/@value,9),'+'),'0.','') = '') then true()        else if (contains(cda:low/@value,'-') and translate(substring-before(substring(cda:low/@value,9),'-'),'0.','') = '') then true()        else if (not(contains(cda:low/@value,'+') or contains(cda:low/@value,'-')) and string-length(cda:low/@value) &gt; 8 and          translate(substring(cda:low/@value,9),'0.','') = '')         then true() else false() " />
    <xsl:variable name="poss-prec-err-high" select="if (not(cda:high/@value and translate(cda:high/@value, '0123456789+-.', '') = '')) then false()        else if (contains(cda:high/@value,'+') and translate(substring-before(substring(cda:high/@value,9),'+'),'0.','') = '') then true()        else if (contains(cda:high/@value,'-') and translate(substring-before(substring(cda:high/@value,9),'-'),'0.','') = '') then true()        else if (not(contains(cda:high/@value,'+') or contains(cda:high/@value,'-')) and string-length(cda:high/@value) &gt; 8 and          translate(substring(cda:high/@value,9),'0.','') = '')         then true() else false() " />
    <xsl:variable name="same-doc-value" select="if ($poss-prec-err-value) then $same-doc-list/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/        cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16627']]/cda:effectiveTime/@value else() " />
    <xsl:variable name="same-doc-low" select="if ($poss-prec-err-low) then $same-doc-list/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/        cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16627']]/cda:effectiveTime/cda:low/@value else() " />
    <xsl:variable name="same-doc-high" select="if ($poss-prec-err-high) then $same-doc-list/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/        cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16627']]/cda:effectiveTime/cda:high/@value else() " />
    <xsl:variable name="count-of-same-doc-value" select="count($same-doc-value) " />
    <xsl:variable name="count-of-same-doc-low" select="count($same-doc-low) " />
    <xsl:variable name="count-of-same-doc-high" select="count($same-doc-high) " />
    <xsl:variable name="same-doc-dates-value" select="$same-doc-value[         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') ]" />
    <xsl:variable name="same-doc-dates-low" select="$same-doc-low[         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') ]" />
    <xsl:variable name="same-doc-dates-high" select="$same-doc-high[         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') ]" />
    <xsl:variable name="prec-err-num-value" select="count($same-doc-dates-value)" />
    <xsl:variable name="prec-err-num-low" select="count($same-doc-dates-low)" />
    <xsl:variable name="prec-err-num-high" select="count($same-doc-dates-high)" />
    <xsl:variable name="likely-dates-err-value" select=" $prec-err-num-value = $count-of-same-doc-value " />
    <xsl:variable name="likely-dates-err-low" select=" $prec-err-num-low = $count-of-same-doc-low " />
    <xsl:variable name="likely-dates-err-high" select=" $prec-err-num-high = $count-of-same-doc-high " />
    <xsl:variable name="dates-err-count-value" select="if ($numbers/number[number(@value) = $prec-err-num-value]) then $numbers/number[number(@value) = $prec-err-num-value]/@name else $prec-err-num-value" />
    <xsl:variable name="dates-err-count-low" select="if ($numbers/number[number(@value) = $prec-err-num-low]) then $numbers/number[number(@value) = $prec-err-num-low]/@name else $prec-err-num-low" />
    <xsl:variable name="dates-err-count-high" select="if ($numbers/number[number(@value) = $prec-err-num-high]) then $numbers/number[number(@value) = $prec-err-num-high]/@name else $prec-err-num-high" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-07" select="if ($initial-priority) then $initial-rating else $rating-TC-Auth-07 " />
    <!--REPORT -->
    <xsl:if test=" $poss-prec-err-value and $likely-dates-err-value and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$poss-prec-err-value and $likely-dates-err-value and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the Medical History Item TimeInterval
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element with value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the Medical History Item TimeInterval data element contains
		a time of midnight for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $poss-prec-err-low and $likely-dates-err-low and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$poss-prec-err-low and $likely-dates-err-low and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the Medical History Item TimeInterval
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />/low' data element with value '<xsl:text /><xsl:value-of select="cda:low/@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the Medical History Item TimeInterval data element contains
		a time of midnight for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $poss-prec-err-high and $likely-dates-err-high and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$poss-prec-err-high and $likely-dates-err-high and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the Medical History Item TimeInterval
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />/high' data element with value '<xsl:text /><xsl:value-of select="cda:high/@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the Medical History Item TimeInterval data element contains
		a time of midnight for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1197" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1197" />
  <xsl:template match="@*|node()" priority="-2" mode="M1197">
    <xsl:apply-templates select="@*|*" mode="M1197" />
  </xsl:template>
  <!--PATTERN p-TS-Content-MedHist-Midnight-TI-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false') and '101.16117' = $doc-sections][cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3') or (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.4')]]/   cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/cda:procedure/cda:effectiveTime " priority="1000" mode="M1198">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false') and '101.16117' = $doc-sections][cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3') or (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.4')]]/   cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/cda:procedure/cda:effectiveTime " />
    <xsl:variable name="poss-prec-err-value" select="if (not(@value and translate(@value, '0123456789+-.', '') = '')) then false()        else if (contains(@value,'+') and translate(substring-before(substring(@value,9),'+'),'0.','') = '') then true()        else if (contains(@value,'-') and translate(substring-before(substring(@value,9),'-'),'0.','') = '') then true()        else if (not(contains(@value,'+') or contains(@value,'-')) and string-length(@value) &gt; 8 and translate(substring(@value,9),'0.','') = '')         then true() else false() " />
    <xsl:variable name="poss-prec-err-low" select="if (not(cda:low/@value and translate(cda:low/@value, '0123456789+-.', '') = '')) then false()        else if (contains(cda:low/@value,'+') and translate(substring-before(substring(cda:low/@value,9),'+'),'0.','') = '') then true()        else if (contains(cda:low/@value,'-') and translate(substring-before(substring(cda:low/@value,9),'-'),'0.','') = '') then true()        else if (not(contains(cda:low/@value,'+') or contains(cda:low/@value,'-')) and string-length(cda:low/@value) &gt; 8 and          translate(substring(cda:low/@value,9),'0.','') = '')         then true() else false() " />
    <xsl:variable name="poss-prec-err-high" select="if (not(cda:high/@value and translate(cda:high/@value, '0123456789+-.', '') = '')) then false()        else if (contains(cda:high/@value,'+') and translate(substring-before(substring(cda:high/@value,9),'+'),'0.','') = '') then true()        else if (contains(cda:high/@value,'-') and translate(substring-before(substring(cda:high/@value,9),'-'),'0.','') = '') then true()        else if (not(contains(cda:high/@value,'+') or contains(cda:high/@value,'-')) and string-length(cda:high/@value) &gt; 8 and          translate(substring(cda:high/@value,9),'0.','') = '')         then true() else false() " />
    <xsl:variable name="same-doc-value" select="if ($poss-prec-err-value) then $same-doc-list/cda:ClinicalDocument[cda:templateId[        (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3') or (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.4')]]/        cda:component/cda:structuredBody/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/        cda:procedure/cda:effectiveTime/@value else() " />
    <xsl:variable name="same-doc-low" select="if ($poss-prec-err-low) then $same-doc-list/cda:ClinicalDocument[cda:templateId[        (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3') or (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.4')]]/        cda:component/cda:structuredBody/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/        cda:procedure/cda:effectiveTime/cda:low/@value else() " />
    <xsl:variable name="same-doc-high" select="if ($poss-prec-err-high) then $same-doc-list/cda:ClinicalDocument[cda:templateId[        (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3') or (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.4')]]/        cda:component/cda:structuredBody/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/        cda:procedure/cda:effectiveTime/cda:high/@value else() " />
    <xsl:variable name="count-of-same-doc-value" select="count($same-doc-value) " />
    <xsl:variable name="count-of-same-doc-low" select="count($same-doc-low) " />
    <xsl:variable name="count-of-same-doc-high" select="count($same-doc-high) " />
    <xsl:variable name="same-doc-dates-value" select="$same-doc-value[         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') ]" />
    <xsl:variable name="same-doc-dates-low" select="$same-doc-low[         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') ]" />
    <xsl:variable name="same-doc-dates-high" select="$same-doc-high[         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') ]" />
    <xsl:variable name="prec-err-num-value" select="count($same-doc-dates-value)" />
    <xsl:variable name="prec-err-num-low" select="count($same-doc-dates-low)" />
    <xsl:variable name="prec-err-num-high" select="count($same-doc-dates-high)" />
    <xsl:variable name="likely-dates-err-value" select=" $prec-err-num-value = $count-of-same-doc-value " />
    <xsl:variable name="likely-dates-err-low" select=" $prec-err-num-low = $count-of-same-doc-low " />
    <xsl:variable name="likely-dates-err-high" select=" $prec-err-num-high = $count-of-same-doc-high " />
    <xsl:variable name="dates-err-count-value" select="if ($numbers/number[number(@value) = $prec-err-num-value]) then $numbers/number[number(@value) = $prec-err-num-value]/@name else $prec-err-num-value" />
    <xsl:variable name="dates-err-count-low" select="if ($numbers/number[number(@value) = $prec-err-num-low]) then $numbers/number[number(@value) = $prec-err-num-low]/@name else $prec-err-num-low" />
    <xsl:variable name="dates-err-count-high" select="if ($numbers/number[number(@value) = $prec-err-num-high]) then $numbers/number[number(@value) = $prec-err-num-high]/@name else $prec-err-num-high" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-07" select="if ($initial-priority) then $initial-rating else $rating-TC-Auth-07 " />
    <!--REPORT -->
    <xsl:if test=" $poss-prec-err-value and $likely-dates-err-value and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$poss-prec-err-value and $likely-dates-err-value and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the Procedure DateTime
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element with value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the Procedure DateTime data element contains
		a time of midnight for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $poss-prec-err-low and $likely-dates-err-low and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$poss-prec-err-low and $likely-dates-err-low and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the Procedure DateTime
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />/low' data element with value '<xsl:text /><xsl:value-of select="cda:low/@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the Procedure DateTime data element contains
		a time of midnight for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $poss-prec-err-high and $likely-dates-err-high and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$poss-prec-err-high and $likely-dates-err-high and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the Procedure DateTime
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />/high' data element with value '<xsl:text /><xsl:value-of select="cda:high/@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the Procedure DateTime data element contains
		a time of midnight for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1198" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1198" />
  <xsl:template match="@*|node()" priority="-2" mode="M1198">
    <xsl:apply-templates select="@*|*" mode="M1198" />
  </xsl:template>
  <!--PATTERN p-TS-Content-MedHist-Midnight-DT-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false') and '101.16117' = $doc-sections][cda:templateId[    (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3') or    (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.4')]]/cda:component/cda:structuredBody/cda:component/     cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/    cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]/cda:effectiveTime/cda:low |    /cda:ClinicalDocument[not($flags/@collection-same-system = 'false') and '101.16117' = $doc-sections][cda:templateId[    (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2') or    (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.3') or    (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')]]/cda:component/cda:structuredBody/cda:component/     cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/    cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]/cda:effectiveTime " priority="1000" mode="M1199">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false') and '101.16117' = $doc-sections][cda:templateId[    (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3') or    (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.4')]]/cda:component/cda:structuredBody/cda:component/     cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/    cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]/cda:effectiveTime/cda:low |    /cda:ClinicalDocument[not($flags/@collection-same-system = 'false') and '101.16117' = $doc-sections][cda:templateId[    (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2') or    (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.3') or    (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')]]/cda:component/cda:structuredBody/cda:component/     cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/    cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]/cda:effectiveTime " />
    <xsl:variable name="the-time" select="if ($flags/@allow-hints = 'false' or not(matches(@value, '^[0-9]{12}'))) then ''        else if (not(@value and translate(@value, '0123456789+-.', '') = '')) then ''        else if (contains(@value,'+')) then substring-before(substring(@value,9),'+')        else if (contains(@value,'-')) then substring-before(substring(@value,9),'-')        else substring(@value,9) " />
    <xsl:variable name="possible-precision-err" select="$the-time != '' and translate($the-time,'0.','') = '' " />
    <xsl:variable name="same-doc-values" select="if ($possible-precision-err) then $same-doc-list/cda:ClinicalDocument[cda:templateId[        (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3') or        (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.4')]]/cda:component/cda:structuredBody/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/        cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]/cda:effectiveTime/cda:low/@value |        $same-doc-list/cda:ClinicalDocument[cda:templateId[        (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2') or        (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.3') or        (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')]]/cda:component/cda:structuredBody/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/        cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]/cda:effectiveTime/@value else() " />
    <xsl:variable name="count-of-same-doc-dates" select="count($same-doc-values) " />
    <xsl:variable name="same-doc-dates-prec-err" select="$same-doc-values[matches(., '^[0-9]{12}') and (         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') )]" />
    <xsl:variable name="dates-prec-err-num" select="count($same-doc-dates-prec-err)" />
    <xsl:variable name="likely-dates-prec-err" select=" $dates-prec-err-num = $count-of-same-doc-dates " />
    <xsl:variable name="dates-prec-err-count" select="if ($numbers/number[number(@value) = $dates-prec-err-num]) then $numbers/number[number(@value) = $dates-prec-err-num]/@name else $dates-prec-err-num" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-07" select="if ($initial-priority) then $initial-rating else $rating-TC-Auth-07 " />
    <!--REPORT -->
    <xsl:if test=" $possible-precision-err and $likely-dates-prec-err and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$possible-precision-err and $likely-dates-prec-err and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the Problem/Diagnosis Date of Onset
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element with value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the Problem/Diagnosis Date of Onset data element contains a time
		of midnight for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1199" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1199" />
  <xsl:template match="@*|node()" priority="-2" mode="M1199">
    <xsl:apply-templates select="@*|*" mode="M1199" />
  </xsl:template>
  <!--PATTERN p-TS-Content-MedHist-Midnight-DT-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false') and '101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/   cda:entry/cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]/cda:entryRelationship[@typeCode='SUBJ']/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]/cda:value " priority="1000" mode="M1200">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false') and '101.16117' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/   cda:entry/cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]/cda:entryRelationship[@typeCode='SUBJ']/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]/cda:value " />
    <xsl:variable name="the-time" select="if ($flags/@allow-hints = 'false' or not(matches(@value, '^[0-9]{12}'))) then ''        else if (not(@value and translate(@value, '0123456789+-.', '') = '')) then ''        else if (contains(@value,'+')) then substring-before(substring(@value,9),'+')        else if (contains(@value,'-')) then substring-before(substring(@value,9),'-')        else substring(@value,9) " />
    <xsl:variable name="possible-precision-err" select="$the-time != '' and translate($the-time,'0.','') = '' " />
    <xsl:variable name="same-doc-values" select="if ($possible-precision-err) then $same-doc-list/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/        cda:entry/cda:observation[cda:code[@codeSystem='2.16.840.1.113883.6.96' and @code='282291009']]/cda:entryRelationship[@typeCode='SUBJ']/        cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.15510']]/cda:value/@value else() " />
    <xsl:variable name="count-of-same-doc-dates" select="count($same-doc-values) " />
    <xsl:variable name="same-doc-dates-prec-err" select="$same-doc-values[matches(., '^[0-9]{12}') and (         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') )]" />
    <xsl:variable name="dates-prec-err-num" select="count($same-doc-dates-prec-err)" />
    <xsl:variable name="likely-dates-prec-err" select=" $dates-prec-err-num = $count-of-same-doc-dates " />
    <xsl:variable name="dates-prec-err-count" select="if ($numbers/number[number(@value) = $dates-prec-err-num]) then $numbers/number[number(@value) = $dates-prec-err-num]/@name else $dates-prec-err-num" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-07" select="if ($initial-priority) then $initial-rating else $rating-TC-Auth-07 " />
    <!--REPORT -->
    <xsl:if test=" $possible-precision-err and $likely-dates-prec-err and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$possible-precision-err and $likely-dates-prec-err and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the Problem/Diagnosis Date of Resolution/Remission
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element with value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the Problem/Diagnosis Date of Resolution/Remission data element contains
		a time of midnight for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1200" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1200" />
  <xsl:template match="@*|node()" priority="-2" mode="M1200">
    <xsl:apply-templates select="@*|*" mode="M1200" />
  </xsl:template>
  <!--PATTERN p-TS-Content-MedHist-Midnight-DT-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false') and '101.16117' = $doc-sections][cda:templateId[    (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2') or    (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.3') or    (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')]]/cda:component/cda:structuredBody/cda:component/     cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/cda:procedure/cda:effectiveTime " priority="1000" mode="M1201">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false') and '101.16117' = $doc-sections][cda:templateId[    (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2') or    (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.3') or    (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')]]/cda:component/cda:structuredBody/cda:component/     cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/cda:procedure/cda:effectiveTime " />
    <xsl:variable name="the-time" select="if ($flags/@allow-hints = 'false' or not(matches(@value, '^[0-9]{12}'))) then ''        else if (not(@value and translate(@value, '0123456789+-.', '') = '')) then ''        else if (contains(@value,'+')) then substring-before(substring(@value,9),'+')        else if (contains(@value,'-')) then substring-before(substring(@value,9),'-')        else substring(@value,9) " />
    <xsl:variable name="possible-precision-err" select="$the-time != '' and translate($the-time,'0.','') = '' " />
    <xsl:variable name="same-doc-values" select="if ($possible-precision-err) then $same-doc-list/cda:ClinicalDocument[cda:templateId[         (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.2') or         (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.3') or         (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')]]/cda:component/cda:structuredBody/cda:component/         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:entry/cda:procedure/cda:effectiveTime/@value else() " />
    <xsl:variable name="count-of-same-doc-dates" select="count($same-doc-values) " />
    <xsl:variable name="same-doc-dates-prec-err" select="$same-doc-values[matches(., '^[0-9]{12}') and (         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') )]" />
    <xsl:variable name="dates-prec-err-num" select="count($same-doc-dates-prec-err)" />
    <xsl:variable name="likely-dates-prec-err" select=" $dates-prec-err-num = $count-of-same-doc-dates " />
    <xsl:variable name="dates-prec-err-count" select="if ($numbers/number[number(@value) = $dates-prec-err-num]) then $numbers/number[number(@value) = $dates-prec-err-num]/@name else $dates-prec-err-num" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-07" select="if ($initial-priority) then $initial-rating else $rating-TC-Auth-07 " />
    <!--REPORT -->
    <xsl:if test=" $possible-precision-err and $likely-dates-prec-err and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$possible-precision-err and $likely-dates-prec-err and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the Procedure DateTime Started
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element with value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the Procedure DateTime Started data element contains a time
		of midnight for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1201" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1201" />
  <xsl:template match="@*|node()" priority="-2" mode="M1201">
    <xsl:apply-templates select="@*|*" mode="M1201" />
  </xsl:template>
  <!--PATTERN p-TS-Content-Pathology-Midnight-TI-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')]['101.20018' = $doc-sections]/cda:component/cda:structuredBody/cda:component/cda:section   [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20018']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16971']]/cda:effectiveTime " priority="1000" mode="M1202">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')]['101.20018' = $doc-sections]/cda:component/cda:structuredBody/cda:component/cda:section   [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20018']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16971']]/cda:effectiveTime " />
    <xsl:variable name="poss-prec-err-value" select="if (not(@value and translate(@value, '0123456789+-.', '') = '')) then false()        else if (contains(@value,'+') and translate(substring-before(substring(@value,9),'+'),'0.','') = '') then true()        else if (contains(@value,'-') and translate(substring-before(substring(@value,9),'-'),'0.','') = '') then true()        else if (not(contains(@value,'+') or contains(@value,'-')) and string-length(@value) &gt; 8 and translate(substring(@value,9),'0.','') = '')         then true() else false() " />
    <xsl:variable name="poss-prec-err-low" select="if (not(cda:low/@value and translate(cda:low/@value, '0123456789+-.', '') = '')) then false()        else if (contains(cda:low/@value,'+') and translate(substring-before(substring(cda:low/@value,9),'+'),'0.','') = '') then true()        else if (contains(cda:low/@value,'-') and translate(substring-before(substring(cda:low/@value,9),'-'),'0.','') = '') then true()        else if (not(contains(cda:low/@value,'+') or contains(cda:low/@value,'-')) and string-length(cda:low/@value) &gt; 8 and          translate(substring(cda:low/@value,9),'0.','') = '')         then true() else false() " />
    <xsl:variable name="poss-prec-err-high" select="if (not(cda:high/@value and translate(cda:high/@value, '0123456789+-.', '') = '')) then false()        else if (contains(cda:high/@value,'+') and translate(substring-before(substring(cda:high/@value,9),'+'),'0.','') = '') then true()        else if (contains(cda:high/@value,'-') and translate(substring-before(substring(cda:high/@value,9),'-'),'0.','') = '') then true()        else if (not(contains(cda:high/@value,'+') or contains(cda:high/@value,'-')) and string-length(cda:high/@value) &gt; 8 and          translate(substring(cda:high/@value,9),'0.','') = '')         then true() else false() " />
    <xsl:variable name="same-doc-value" select="if ($poss-prec-err-value) then $same-doc-list/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section        [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20018']]/cda:entry/        cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16971']]/cda:effectiveTime/@value else() " />
    <xsl:variable name="same-doc-low" select="if ($poss-prec-err-low) then $same-doc-list/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section        [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20018']]/cda:entry/        cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16971']]/cda:effectiveTime/cda:low/@value else() " />
    <xsl:variable name="same-doc-high" select="if ($poss-prec-err-high) then $same-doc-list/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section        [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20018']]/cda:entry/        cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16971']]/cda:effectiveTime/cda:high/@value else() " />
    <xsl:variable name="count-of-same-doc-value" select="count($same-doc-value) " />
    <xsl:variable name="count-of-same-doc-low" select="count($same-doc-low) " />
    <xsl:variable name="count-of-same-doc-high" select="count($same-doc-high) " />
    <xsl:variable name="same-doc-dates-value" select="$same-doc-value[         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') ]" />
    <xsl:variable name="same-doc-dates-low" select="$same-doc-low[         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') ]" />
    <xsl:variable name="same-doc-dates-high" select="$same-doc-high[         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') ]" />
    <xsl:variable name="prec-err-num-value" select="count($same-doc-dates-value)" />
    <xsl:variable name="prec-err-num-low" select="count($same-doc-dates-low)" />
    <xsl:variable name="prec-err-num-high" select="count($same-doc-dates-high)" />
    <xsl:variable name="likely-dates-err-value" select=" $prec-err-num-value = $count-of-same-doc-value " />
    <xsl:variable name="likely-dates-err-low" select=" $prec-err-num-low = $count-of-same-doc-low " />
    <xsl:variable name="likely-dates-err-high" select=" $prec-err-num-high = $count-of-same-doc-high " />
    <xsl:variable name="dates-err-count-value" select="if ($numbers/number[number(@value) = $prec-err-num-value]) then $numbers/number[number(@value) = $prec-err-num-value]/@name else $prec-err-num-value" />
    <xsl:variable name="dates-err-count-low" select="if ($numbers/number[number(@value) = $prec-err-num-low]) then $numbers/number[number(@value) = $prec-err-num-low]/@name else $prec-err-num-low" />
    <xsl:variable name="dates-err-count-high" select="if ($numbers/number[number(@value) = $prec-err-num-high]) then $numbers/number[number(@value) = $prec-err-num-high]/@name else $prec-err-num-high" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-01" select="if ($initial-priority) then $initial-rating else $rating-TC-Doc-01 " />
    <xsl:variable name="rating-07" select="if ($initial-priority) then $initial-rating else $rating-TC-Auth-07 " />
    <!--REPORT -->
    <xsl:if test=" $poss-prec-err-value and $likely-dates-err-value and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$poss-prec-err-value and $likely-dates-err-value and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the Related Document Report DateTime
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element with value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the Related Document Report DateTime data element contains
		a time of midnight for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $poss-prec-err-low and $likely-dates-err-low and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$poss-prec-err-low and $likely-dates-err-low and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-01" /><xsl:text />: TC-Doc-01: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the Related Document Report DateTime
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />/low' data element with value '<xsl:text /><xsl:value-of select="cda:low/@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the Related Document Report DateTime data element contains
		a time of midnight for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time has been automatically included to meet the requirement that
		the data element must contain a time. The time that must be included is the time for which the document has clinical utility.
		(See section 2.25 of the Pathology Report Structured Content Specification v1.0.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $poss-prec-err-high and $likely-dates-err-high and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$poss-prec-err-high and $likely-dates-err-high and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the Related Document Report DateTime
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />/high' data element with value '<xsl:text /><xsl:value-of select="cda:high/@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the Related Document Report DateTime data element contains
		a time of midnight for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1202" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1202" />
  <xsl:template match="@*|node()" priority="-2" mode="M1202">
    <xsl:apply-templates select="@*|*" mode="M1202" />
  </xsl:template>
  <!--PATTERN p-TS-Content-Pathology-Midnight-TI-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20018']]/cda:author/cda:time " priority="1000" mode="M1203">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20018']]/cda:author/cda:time " />
    <xsl:variable name="poss-prec-err-value" select="if (not(@value and translate(@value, '0123456789+-.', '') = '')) then false()        else if (contains(@value,'+') and translate(substring-before(substring(@value,9),'+'),'0.','') = '') then true()        else if (contains(@value,'-') and translate(substring-before(substring(@value,9),'-'),'0.','') = '') then true()        else if (not(contains(@value,'+') or contains(@value,'-')) and string-length(@value) &gt; 8 and translate(substring(@value,9),'0.','') = '')         then true() else false() " />
    <xsl:variable name="poss-prec-err-low" select="if (not(cda:low/@value and translate(cda:low/@value, '0123456789+-.', '') = '')) then false()        else if (contains(cda:low/@value,'+') and translate(substring-before(substring(cda:low/@value,9),'+'),'0.','') = '') then true()        else if (contains(cda:low/@value,'-') and translate(substring-before(substring(cda:low/@value,9),'-'),'0.','') = '') then true()        else if (not(contains(cda:low/@value,'+') or contains(cda:low/@value,'-')) and string-length(cda:low/@value) &gt; 8 and          translate(substring(cda:low/@value,9),'0.','') = '')         then true() else false() " />
    <xsl:variable name="poss-prec-err-high" select="if (not(cda:high/@value and translate(cda:high/@value, '0123456789+-.', '') = '')) then false()        else if (contains(cda:high/@value,'+') and translate(substring-before(substring(cda:high/@value,9),'+'),'0.','') = '') then true()        else if (contains(cda:high/@value,'-') and translate(substring-before(substring(cda:high/@value,9),'-'),'0.','') = '') then true()        else if (not(contains(cda:high/@value,'+') or contains(cda:high/@value,'-')) and string-length(cda:high/@value) &gt; 8 and          translate(substring(cda:high/@value,9),'0.','') = '')         then true() else false() " />
    <xsl:variable name="same-doc-value" select="if ($poss-prec-err-value) then $same-doc-list/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20018']]/cda:author/cda:time/@value else() " />
    <xsl:variable name="same-doc-low" select="if ($poss-prec-err-low) then $same-doc-list/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20018']]/cda:author/cda:time/cda:low/@value else() " />
    <xsl:variable name="same-doc-high" select="if ($poss-prec-err-high) then $same-doc-list/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20018']]/cda:author/cda:time/cda:high/@value else() " />
    <xsl:variable name="count-of-same-doc-value" select="count($same-doc-value) " />
    <xsl:variable name="count-of-same-doc-low" select="count($same-doc-low) " />
    <xsl:variable name="count-of-same-doc-high" select="count($same-doc-high) " />
    <xsl:variable name="same-doc-dates-value" select="$same-doc-value[         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') ]" />
    <xsl:variable name="same-doc-dates-low" select="$same-doc-low[         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') ]" />
    <xsl:variable name="same-doc-dates-high" select="$same-doc-high[         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') ]" />
    <xsl:variable name="prec-err-num-value" select="count($same-doc-dates-value)" />
    <xsl:variable name="prec-err-num-low" select="count($same-doc-dates-low)" />
    <xsl:variable name="prec-err-num-high" select="count($same-doc-dates-high)" />
    <xsl:variable name="likely-dates-err-value" select=" $prec-err-num-value = $count-of-same-doc-value " />
    <xsl:variable name="likely-dates-err-low" select=" $prec-err-num-low = $count-of-same-doc-low " />
    <xsl:variable name="likely-dates-err-high" select=" $prec-err-num-high = $count-of-same-doc-high " />
    <xsl:variable name="dates-err-count-value" select="if ($numbers/number[number(@value) = $prec-err-num-value]) then $numbers/number[number(@value) = $prec-err-num-value]/@name else $prec-err-num-value" />
    <xsl:variable name="dates-err-count-low" select="if ($numbers/number[number(@value) = $prec-err-num-low]) then $numbers/number[number(@value) = $prec-err-num-low]/@name else $prec-err-num-low" />
    <xsl:variable name="dates-err-count-high" select="if ($numbers/number[number(@value) = $prec-err-num-high]) then $numbers/number[number(@value) = $prec-err-num-high]/@name else $prec-err-num-high" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-07" select="if ($initial-priority) then $initial-rating else $rating-TC-Auth-07 " />
    <!--REPORT -->
    <xsl:if test=" $poss-prec-err-value and $likely-dates-err-value and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$poss-prec-err-value and $likely-dates-err-value and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the Reporting Pathologist Participation Period
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element with value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the Reporting Pathologist Participation Period data element contains
		a time of midnight for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $poss-prec-err-low and $likely-dates-err-low and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$poss-prec-err-low and $likely-dates-err-low and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the Reporting Pathologist Participation Period
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />/low' data element with value '<xsl:text /><xsl:value-of select="cda:low/@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the Reporting Pathologist Participation Period data element contains
		a time of midnight for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $poss-prec-err-high and $likely-dates-err-high and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$poss-prec-err-high and $likely-dates-err-high and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the Reporting Pathologist Participation Period
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />/high' data element with value '<xsl:text /><xsl:value-of select="cda:high/@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the Reporting Pathologist Participation Period data element contains
		a time of midnight for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1203" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1203" />
  <xsl:template match="@*|node()" priority="-2" mode="M1203">
    <xsl:apply-templates select="@*|*" mode="M1203" />
  </xsl:template>
  <!--PATTERN p-TS-Content-Pathology-Midnight-DT-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')]['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16156.2.2.1' or @code ='102.16156.136.2.1' or @code='102.16156.132.1.1')]]/cda:effectiveTime " priority="1000" mode="M1204">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')]['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16156.2.2.1' or @code ='102.16156.136.2.1' or @code='102.16156.132.1.1')]]/cda:effectiveTime " />
    <xsl:variable name="the-time" select="if ($flags/@allow-hints = 'false' or not(matches(@value, '^[0-9]{12}'))) then ''        else if (not(@value and translate(@value, '0123456789+-.', '') = '')) then ''        else if (contains(@value,'+')) then substring-before(substring(@value,9),'+')        else if (contains(@value,'-')) then substring-before(substring(@value,9),'-')        else substring(@value,9) " />
    <xsl:variable name="possible-precision-err" select="$the-time != '' and translate($the-time,'0.','') = '' " />
    <xsl:variable name="same-doc-values" select="if ($possible-precision-err) then $same-doc-list/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16156.2.2.1' or @code ='102.16156.136.2.1' or @code='102.16156.132.1.1')]]/cda:effectiveTime/@value else() " />
    <xsl:variable name="count-of-same-doc-dates" select="count($same-doc-values) " />
    <xsl:variable name="same-doc-dates-prec-err" select="$same-doc-values[matches(., '^[0-9]{12}') and (         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') )]" />
    <xsl:variable name="dates-prec-err-num" select="count($same-doc-dates-prec-err)" />
    <xsl:variable name="likely-dates-prec-err" select=" $dates-prec-err-num = $count-of-same-doc-dates " />
    <xsl:variable name="dates-prec-err-count" select="if ($numbers/number[number(@value) = $dates-prec-err-num]) then $numbers/number[number(@value) = $dates-prec-err-num]/@name else $dates-prec-err-num" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-07" select="if ($initial-priority) then $initial-rating else $rating-TC-Auth-07 " />
    <!--REPORT -->
    <xsl:if test=" $possible-precision-err and $likely-dates-prec-err and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$possible-precision-err and $likely-dates-prec-err and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the Test Specimen - Date and Time of Collection
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element with value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the Test Specimen - Date and Time of Collection data element contains
		a time of midnight for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1204" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1204" />
  <xsl:template match="@*|node()" priority="-2" mode="M1204">
    <xsl:apply-templates select="@*|*" mode="M1204" />
  </xsl:template>
  <!--PATTERN p-TS-Content-Pathology-Midnight-DT-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')]['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16156']]/cda:effectiveTime " priority="1000" mode="M1205">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')]['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16156']]/cda:effectiveTime " />
    <xsl:variable name="the-time" select="if ($flags/@allow-hints = 'false' or not(matches(@value, '^[0-9]{12}'))) then ''        else if (not(@value and translate(@value, '0123456789+-.', '') = '')) then ''        else if (contains(@value,'+')) then substring-before(substring(@value,9),'+')        else if (contains(@value,'-')) then substring-before(substring(@value,9),'-')        else substring(@value,9) " />
    <xsl:variable name="possible-precision-err" select="$the-time != '' and translate($the-time,'0.','') = '' " />
    <xsl:variable name="same-doc-values" select="if ($possible-precision-err) then $same-doc-list/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16156']]/cda:effectiveTime/@value else() " />
    <xsl:variable name="count-of-same-doc-dates" select="count($same-doc-values) " />
    <xsl:variable name="same-doc-dates-prec-err" select="$same-doc-values[matches(., '^[0-9]{12}') and (         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') )]" />
    <xsl:variable name="dates-prec-err-num" select="count($same-doc-dates-prec-err)" />
    <xsl:variable name="likely-dates-prec-err" select=" $dates-prec-err-num = $count-of-same-doc-dates " />
    <xsl:variable name="dates-prec-err-count" select="if ($numbers/number[number(@value) = $dates-prec-err-num]) then $numbers/number[number(@value) = $dates-prec-err-num]/@name else $dates-prec-err-num" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-07" select="if ($initial-priority) then $initial-rating else $rating-TC-Auth-07 " />
    <!--REPORT -->
    <xsl:if test=" $possible-precision-err and $likely-dates-prec-err and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$possible-precision-err and $likely-dates-prec-err and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the Collection DateTime
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element with value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the Collection DateTime data element contains a time
		of midnight for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1205" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1205" />
  <xsl:template match="@*|node()" priority="-2" mode="M1205">
    <xsl:apply-templates select="@*|*" mode="M1205" />
  </xsl:template>
  <!--PATTERN p-TS-Content-Pathology-Midnight-DT-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')]['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16156.2.2.1' or @code ='102.16156.136.2.1' or @code='102.16156.132.1.1')]]/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.11014']]/cda:value " priority="1000" mode="M1206">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')]['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16156.2.2.1' or @code ='102.16156.136.2.1' or @code='102.16156.132.1.1')]]/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.11014']]/cda:value " />
    <xsl:variable name="the-time" select="if ($flags/@allow-hints = 'false' or not(matches(@value, '^[0-9]{12}'))) then ''        else if (not(@value and translate(@value, '0123456789+-.', '') = '')) then ''        else if (contains(@value,'+')) then substring-before(substring(@value,9),'+')        else if (contains(@value,'-')) then substring-before(substring(@value,9),'-')        else substring(@value,9) " />
    <xsl:variable name="possible-precision-err" select="$the-time != '' and translate($the-time,'0.','') = '' " />
    <xsl:variable name="same-doc-values" select="if ($possible-precision-err) then $same-doc-list/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16156.2.2.1' or @code ='102.16156.136.2.1' or @code='102.16156.132.1.1')]]/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.11014']]/cda:value/@value else() " />
    <xsl:variable name="count-of-same-doc-dates" select="count($same-doc-values) " />
    <xsl:variable name="same-doc-dates-prec-err" select="$same-doc-values[matches(., '^[0-9]{12}') and (         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') )]" />
    <xsl:variable name="dates-prec-err-num" select="count($same-doc-dates-prec-err)" />
    <xsl:variable name="likely-dates-prec-err" select=" $dates-prec-err-num = $count-of-same-doc-dates " />
    <xsl:variable name="dates-prec-err-count" select="if ($numbers/number[number(@value) = $dates-prec-err-num]) then $numbers/number[number(@value) = $dates-prec-err-num]/@name else $dates-prec-err-num" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-07" select="if ($initial-priority) then $initial-rating else $rating-TC-Auth-07 " />
    <!--REPORT -->
    <xsl:if test=" $possible-precision-err and $likely-dates-prec-err and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$possible-precision-err and $likely-dates-prec-err and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the Test Specimen - Date and Time of Receipt
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element with value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the Test Specimen - Date and Time of Receipt data element contains a time
		of midnight for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1206" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1206" />
  <xsl:template match="@*|node()" priority="-2" mode="M1206">
    <xsl:apply-templates select="@*|*" mode="M1206" />
  </xsl:template>
  <!--PATTERN p-TS-Content-Pathology-Midnight-DT-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')]['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16156.2.2.2' or @code='102.16156.136.2.2' or @code='102.16156.132.1.2')]]/   cda:effectiveTime " priority="1000" mode="M1207">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')]['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16156.2.2.2' or @code='102.16156.136.2.2' or @code='102.16156.132.1.2')]]/   cda:effectiveTime " />
    <xsl:variable name="the-time" select="if ($flags/@allow-hints = 'false' or not(matches(@value, '^[0-9]{12}'))) then ''        else if (not(@value and translate(@value, '0123456789+-.', '') = '')) then ''        else if (contains(@value,'+')) then substring-before(substring(@value,9),'+')        else if (contains(@value,'-')) then substring-before(substring(@value,9),'-')        else substring(@value,9) " />
    <xsl:variable name="possible-precision-err" select="$the-time != '' and translate($the-time,'0.','') = '' " />
    <xsl:variable name="same-doc-values" select="if ($possible-precision-err) then $same-doc-list/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16156.2.2.2' or @code='102.16156.136.2.2' or @code='102.16156.132.1.2')]]/   cda:effectiveTime/@value else() " />
    <xsl:variable name="count-of-same-doc-dates" select="count($same-doc-values) " />
    <xsl:variable name="same-doc-dates-prec-err" select="$same-doc-values[matches(., '^[0-9]{12}') and (         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') )]" />
    <xsl:variable name="dates-prec-err-num" select="count($same-doc-dates-prec-err)" />
    <xsl:variable name="likely-dates-prec-err" select=" $dates-prec-err-num = $count-of-same-doc-dates " />
    <xsl:variable name="dates-prec-err-count" select="if ($numbers/number[number(@value) = $dates-prec-err-num]) then $numbers/number[number(@value) = $dates-prec-err-num]/@name else $dates-prec-err-num" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-07" select="if ($initial-priority) then $initial-rating else $rating-TC-Auth-07 " />
    <!--REPORT -->
    <xsl:if test=" $possible-precision-err and $likely-dates-prec-err and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$possible-precision-err and $likely-dates-prec-err and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the Test Result - Date and Time of Collection
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element with value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the Test Result - Date and Time of Collection data element contains a time
		of midnight for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1207" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1207" />
  <xsl:template match="@*|node()" priority="-2" mode="M1207">
    <xsl:apply-templates select="@*|*" mode="M1207" />
  </xsl:template>
  <!--PATTERN p-TS-Content-Pathology-Midnight-DT-5-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')]['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16156.2.2.2' or @code='102.16156.136.2.2' or @code='102.16156.132.1.2')]]/   cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.11014']]/cda:value " priority="1000" mode="M1208">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')]['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16156.2.2.2' or @code='102.16156.136.2.2' or @code='102.16156.132.1.2')]]/   cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.11014']]/cda:value " />
    <xsl:variable name="the-time" select="if ($flags/@allow-hints = 'false' or not(matches(@value, '^[0-9]{12}'))) then ''        else if (not(@value and translate(@value, '0123456789+-.', '') = '')) then ''        else if (contains(@value,'+')) then substring-before(substring(@value,9),'+')        else if (contains(@value,'-')) then substring-before(substring(@value,9),'-')        else substring(@value,9) " />
    <xsl:variable name="possible-precision-err" select="$the-time != '' and translate($the-time,'0.','') = '' " />
    <xsl:variable name="same-doc-values" select="if ($possible-precision-err) then $same-doc-list/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:organizer/cda:component/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and (@code='102.16156.2.2.2' or @code='102.16156.136.2.2' or @code='102.16156.132.1.2')]]/   cda:entryRelationship/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.11014']]/cda:value/@value else() " />
    <xsl:variable name="count-of-same-doc-dates" select="count($same-doc-values) " />
    <xsl:variable name="same-doc-dates-prec-err" select="$same-doc-values[matches(., '^[0-9]{12}') and (         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') )]" />
    <xsl:variable name="dates-prec-err-num" select="count($same-doc-dates-prec-err)" />
    <xsl:variable name="likely-dates-prec-err" select=" $dates-prec-err-num = $count-of-same-doc-dates " />
    <xsl:variable name="dates-prec-err-count" select="if ($numbers/number[number(@value) = $dates-prec-err-num]) then $numbers/number[number(@value) = $dates-prec-err-num]/@name else $dates-prec-err-num" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-07" select="if ($initial-priority) then $initial-rating else $rating-TC-Auth-07 " />
    <!--REPORT -->
    <xsl:if test=" $possible-precision-err and $likely-dates-prec-err and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$possible-precision-err and $likely-dates-prec-err and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the Test Result - Date and Time of Receipt
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element with value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the Test Result - Date and Time of Receipt data element contains a time
		of midnight for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1208" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1208" />
  <xsl:template match="@*|node()" priority="-2" mode="M1208">
    <xsl:apply-templates select="@*|*" mode="M1208" />
  </xsl:template>
  <!--PATTERN p-TS-Content-Pathology-Midnight-DT-6-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')]['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16605']]/cda:effectiveTime " priority="1000" mode="M1209">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')]['102.16144' = $doc-sections]/cda:component/cda:structuredBody/cda:component//   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16605']]/cda:effectiveTime " />
    <xsl:variable name="the-time" select="if ($flags/@allow-hints = 'false' or not(matches(@value, '^[0-9]{12}'))) then ''        else if (not(@value and translate(@value, '0123456789+-.', '') = '')) then ''        else if (contains(@value,'+')) then substring-before(substring(@value,9),'+')        else if (contains(@value,'-')) then substring-before(substring(@value,9),'-')        else substring(@value,9) " />
    <xsl:variable name="possible-precision-err" select="$the-time != '' and translate($the-time,'0.','') = '' " />
    <xsl:variable name="same-doc-values" select="if ($possible-precision-err) then $same-doc-list/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code=('101.20117', '101.20018')]]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16144']]/cda:entry/cda:observation/cda:entryRelationship/        cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16605']]/cda:effectiveTime/@value else() " />
    <xsl:variable name="count-of-same-doc-dates" select="count($same-doc-values) " />
    <xsl:variable name="same-doc-dates-prec-err" select="$same-doc-values[matches(., '^[0-9]{12}') and (         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') )]" />
    <xsl:variable name="dates-prec-err-num" select="count($same-doc-dates-prec-err)" />
    <xsl:variable name="likely-dates-prec-err" select=" $dates-prec-err-num = $count-of-same-doc-dates " />
    <xsl:variable name="dates-prec-err-count" select="if ($numbers/number[number(@value) = $dates-prec-err-num]) then $numbers/number[number(@value) = $dates-prec-err-num]/@name else $dates-prec-err-num" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-07" select="if ($initial-priority) then $initial-rating else $rating-TC-Auth-07 " />
    <!--REPORT -->
    <xsl:if test=" $possible-precision-err and $likely-dates-prec-err and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$possible-precision-err and $likely-dates-prec-err and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the Observation DateTime
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element with value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the Observation DateTime data element contains a time
		of midnight for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1209" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1209" />
  <xsl:template match="@*|node()" priority="-2" mode="M1209">
    <xsl:apply-templates select="@*|*" mode="M1209" />
  </xsl:template>
  <!--PATTERN p-TS-Content-PBItems-Midnight-DT-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')]//cda:section[   cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16649']]/cda:entry/cda:supply/cda:effectiveTime " priority="1000" mode="M1210">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')]//cda:section[   cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16649']]/cda:entry/cda:supply/cda:effectiveTime " />
    <xsl:variable name="the-time" select="if ($flags/@allow-hints = 'false' or not(matches(@value, '^[0-9]{12}'))) then ''        else if (not(@value and translate(@value, '0123456789+-.', '') = '')) then ''        else if (contains(@value,'+')) then substring-before(substring(@value,9),'+')        else if (contains(@value,'-')) then substring-before(substring(@value,9),'-')        else substring(@value,9) " />
    <xsl:variable name="possible-precision-err" select="$the-time != '' and translate($the-time,'0.','') = '' " />
    <xsl:variable name="same-doc-values" select="if ($possible-precision-err) then $same-doc-list/cda:ClinicalDocument//cda:section[        cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16649']]/cda:entry/cda:supply/cda:effectiveTime/@value else() " />
    <xsl:variable name="count-of-same-doc-dates" select="count($same-doc-values) " />
    <xsl:variable name="same-doc-dates-prec-err" select="$same-doc-values[matches(., '^[0-9]{12}') and (         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') )]" />
    <xsl:variable name="dates-prec-err-num" select="count($same-doc-dates-prec-err)" />
    <xsl:variable name="likely-dates-prec-err" select=" $dates-prec-err-num = $count-of-same-doc-dates " />
    <xsl:variable name="dates-prec-err-count" select="if ($numbers/number[number(@value) = $dates-prec-err-num]) then $numbers/number[number(@value) = $dates-prec-err-num]/@name else $dates-prec-err-num" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-07" select="if ($initial-priority) then $initial-rating else $rating-TC-Auth-07 " />
    <!--REPORT -->
    <xsl:if test=" $possible-precision-err and $likely-dates-prec-err and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$possible-precision-err and $likely-dates-prec-err and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the Date of Supply
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element with value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the Date of Supply data element contains a time of midnight
		for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1210" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1210" />
  <xsl:template match="@*|node()" priority="-2" mode="M1210">
    <xsl:apply-templates select="@*|*" mode="M1210" />
  </xsl:template>
  <!--PATTERN p-TS-Content-PBItems-Midnight-DT-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')]//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16649']]/cda:entry/cda:supply/   cda:entryRelationship[@typeCode='REFR']/cda:substanceAdministration/cda:effectiveTime " priority="1000" mode="M1211">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')]//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16649']]/cda:entry/cda:supply/   cda:entryRelationship[@typeCode='REFR']/cda:substanceAdministration/cda:effectiveTime " />
    <xsl:variable name="the-time" select="if ($flags/@allow-hints = 'false' or not(matches(@value, '^[0-9]{12}'))) then ''        else if (not(@value and translate(@value, '0123456789+-.', '') = '')) then ''        else if (contains(@value,'+')) then substring-before(substring(@value,9),'+')        else if (contains(@value,'-')) then substring-before(substring(@value,9),'-')        else substring(@value,9) " />
    <xsl:variable name="possible-precision-err" select="$the-time != '' and translate($the-time,'0.','') = '' " />
    <xsl:variable name="same-doc-values" select="if ($possible-precision-err) then $same-doc-list/cda:ClinicalDocument//cda:section[        cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16649']]/cda:entry/cda:supply/        cda:entryRelationship[@typeCode='REFR']/cda:substanceAdministration/cda:effectiveTime/@value else() " />
    <xsl:variable name="count-of-same-doc-dates" select="count($same-doc-values) " />
    <xsl:variable name="same-doc-dates-prec-err" select="$same-doc-values[matches(., '^[0-9]{12}') and (         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') )]" />
    <xsl:variable name="dates-prec-err-num" select="count($same-doc-dates-prec-err)" />
    <xsl:variable name="likely-dates-prec-err" select=" $dates-prec-err-num = $count-of-same-doc-dates " />
    <xsl:variable name="dates-prec-err-count" select="if ($numbers/number[number(@value) = $dates-prec-err-num]) then $numbers/number[number(@value) = $dates-prec-err-num]/@name else $dates-prec-err-num" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-07" select="if ($initial-priority) then $initial-rating else $rating-TC-Auth-07 " />
    <!--REPORT -->
    <xsl:if test=" $possible-precision-err and $likely-dates-prec-err and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$possible-precision-err and $likely-dates-prec-err and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the Date of Prescribing
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element with value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the Date of Prescribing data element contains a time of midnight
		for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1211" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1211" />
  <xsl:template match="@*|node()" priority="-2" mode="M1211">
    <xsl:apply-templates select="@*|*" mode="M1211" />
  </xsl:template>
  <!--PATTERN p-TS-Content-PD-Midnight-DT-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')]//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16795']]/cda:entry/   cda:organizer[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16798']]/cda:component/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16799']]/cda:value " priority="1000" mode="M1212">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')]//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16795']]/cda:entry/   cda:organizer[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16798']]/cda:component/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16799']]/cda:value " />
    <xsl:variable name="the-time" select="if ($flags/@allow-hints = 'false' or not(matches(@value, '^[0-9]{12}'))) then ''        else if (not(@value and translate(@value, '0123456789+-.', '') = '')) then ''        else if (contains(@value,'+')) then substring-before(substring(@value,9),'+')        else if (contains(@value,'-')) then substring-before(substring(@value,9),'-')        else substring(@value,9) " />
    <xsl:variable name="possible-precision-err" select="$the-time != '' and translate($the-time,'0.','') = '' " />
    <xsl:variable name="same-doc-values" select="if ($possible-precision-err) then $same-doc-list/cda:ClinicalDocument//cda:section[        cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16795']]/cda:entry/        cda:organizer[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16798']]/cda:component/        cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16799']]/cda:value/@value else() " />
    <xsl:variable name="count-of-same-doc-dates" select="count($same-doc-values) " />
    <xsl:variable name="same-doc-dates-prec-err" select="$same-doc-values[matches(., '^[0-9]{12}') and (         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') )]" />
    <xsl:variable name="dates-prec-err-num" select="count($same-doc-dates-prec-err)" />
    <xsl:variable name="likely-dates-prec-err" select=" $dates-prec-err-num = $count-of-same-doc-dates " />
    <xsl:variable name="dates-prec-err-count" select="if ($numbers/number[number(@value) = $dates-prec-err-num]) then $numbers/number[number(@value) = $dates-prec-err-num]/@name else $dates-prec-err-num" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-07" select="if ($initial-priority) then $initial-rating else $rating-TC-Auth-07 " />
    <!--REPORT -->
    <xsl:if test=" $possible-precision-err and $likely-dates-prec-err and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$possible-precision-err and $likely-dates-prec-err and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the DateTime Prescription Written
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element with value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the DateTime Prescription Written data element contains a time of midnight
		for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1212" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1212" />
  <xsl:template match="@*|node()" priority="-2" mode="M1212">
    <xsl:apply-templates select="@*|*" mode="M1212" />
  </xsl:template>
  <!--PATTERN p-TS-Content-PD-Midnight-DT-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')]//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16795']]/cda:entry/   cda:organizer[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16798']]/cda:component/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16801']]/cda:value " priority="1000" mode="M1213">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')]//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16795']]/cda:entry/   cda:organizer[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16798']]/cda:component/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16801']]/cda:value " />
    <xsl:variable name="the-time" select="if ($flags/@allow-hints = 'false' or not(matches(@value, '^[0-9]{12}'))) then ''        else if (not(@value and translate(@value, '0123456789+-.', '') = '')) then ''        else if (contains(@value,'+')) then substring-before(substring(@value,9),'+')        else if (contains(@value,'-')) then substring-before(substring(@value,9),'-')        else substring(@value,9) " />
    <xsl:variable name="possible-precision-err" select="$the-time != '' and translate($the-time,'0.','') = '' " />
    <xsl:variable name="same-doc-values" select="if ($possible-precision-err) then $same-doc-list/cda:ClinicalDocument//cda:section[        cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16795']]/cda:entry/        cda:organizer[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16798']]/cda:component/        cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16801']]/cda:value/@value else() " />
    <xsl:variable name="count-of-same-doc-dates" select="count($same-doc-values) " />
    <xsl:variable name="same-doc-dates-prec-err" select="$same-doc-values[matches(., '^[0-9]{12}') and (         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') )]" />
    <xsl:variable name="dates-prec-err-num" select="count($same-doc-dates-prec-err)" />
    <xsl:variable name="likely-dates-prec-err" select=" $dates-prec-err-num = $count-of-same-doc-dates " />
    <xsl:variable name="dates-prec-err-count" select="if ($numbers/number[number(@value) = $dates-prec-err-num]) then $numbers/number[number(@value) = $dates-prec-err-num]/@name else $dates-prec-err-num" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-07" select="if ($initial-priority) then $initial-rating else $rating-TC-Auth-07 " />
    <!--REPORT -->
    <xsl:if test=" $possible-precision-err and $likely-dates-prec-err and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$possible-precision-err and $likely-dates-prec-err and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the DateTime of Earliest Dispense Event
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element with value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the DateTime of Earliest Dispense Event data element contains a time
		of midnight for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1213" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1213" />
  <xsl:template match="@*|node()" priority="-2" mode="M1213">
    <xsl:apply-templates select="@*|*" mode="M1213" />
  </xsl:template>
  <!--PATTERN p-TS-Content-PD-Midnight-DT-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')]//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16795']]/cda:entry/   cda:organizer[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16798']]/cda:component/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16802']]/cda:value " priority="1000" mode="M1214">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')]//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16795']]/cda:entry/   cda:organizer[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16798']]/cda:component/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16802']]/cda:value " />
    <xsl:variable name="the-time" select="if ($flags/@allow-hints = 'false' or not(matches(@value, '^[0-9]{12}'))) then ''        else if (not(@value and translate(@value, '0123456789+-.', '') = '')) then ''        else if (contains(@value,'+')) then substring-before(substring(@value,9),'+')        else if (contains(@value,'-')) then substring-before(substring(@value,9),'-')        else substring(@value,9) " />
    <xsl:variable name="possible-precision-err" select="$the-time != '' and translate($the-time,'0.','') = '' " />
    <xsl:variable name="same-doc-values" select="if ($possible-precision-err) then $same-doc-list/cda:ClinicalDocument//cda:section[        cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16795']]/cda:entry/        cda:organizer[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16798']]/cda:component/        cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16802']]/cda:value/@value else() " />
    <xsl:variable name="count-of-same-doc-dates" select="count($same-doc-values) " />
    <xsl:variable name="same-doc-dates-prec-err" select="$same-doc-values[matches(., '^[0-9]{12}') and (         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') )]" />
    <xsl:variable name="dates-prec-err-num" select="count($same-doc-dates-prec-err)" />
    <xsl:variable name="likely-dates-prec-err" select=" $dates-prec-err-num = $count-of-same-doc-dates " />
    <xsl:variable name="dates-prec-err-count" select="if ($numbers/number[number(@value) = $dates-prec-err-num]) then $numbers/number[number(@value) = $dates-prec-err-num]/@name else $dates-prec-err-num" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-07" select="if ($initial-priority) then $initial-rating else $rating-TC-Auth-07 " />
    <!--REPORT -->
    <xsl:if test=" $possible-precision-err and $likely-dates-prec-err and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$possible-precision-err and $likely-dates-prec-err and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the DateTime of Latest Dispense Event
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element with value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the DateTime of Latest Dispense Event data element contains a time
		of midnight for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1214" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1214" />
  <xsl:template match="@*|node()" priority="-2" mode="M1214">
    <xsl:apply-templates select="@*|*" mode="M1214" />
  </xsl:template>
  <!--PATTERN p-TS-Content-Plan-Midnight-TI-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false') and '101.16021' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16020']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16021']]/cda:entry/cda:act/cda:effectiveTime " priority="1000" mode="M1215">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false') and '101.16021' = $doc-sections]/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16020']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16021']]/cda:entry/cda:act/cda:effectiveTime " />
    <xsl:variable name="poss-prec-err-value" select="if (not(@value and translate(@value, '0123456789+-.', '') = '')) then false()        else if (contains(@value,'+') and translate(substring-before(substring(@value,9),'+'),'0.','') = '') then true()        else if (contains(@value,'-') and translate(substring-before(substring(@value,9),'-'),'0.','') = '') then true()        else if (not(contains(@value,'+') or contains(@value,'-')) and string-length(@value) &gt; 8 and translate(substring(@value,9),'0.','') = '')         then true() else false() " />
    <xsl:variable name="poss-prec-err-low" select="if (not(cda:low/@value and translate(cda:low/@value, '0123456789+-.', '') = '')) then false()        else if (contains(cda:low/@value,'+') and translate(substring-before(substring(cda:low/@value,9),'+'),'0.','') = '') then true()        else if (contains(cda:low/@value,'-') and translate(substring-before(substring(cda:low/@value,9),'-'),'0.','') = '') then true()        else if (not(contains(cda:low/@value,'+') or contains(cda:low/@value,'-')) and string-length(cda:low/@value) &gt; 8 and          translate(substring(cda:low/@value,9),'0.','') = '')         then true() else false() " />
    <xsl:variable name="poss-prec-err-high" select="if (not(cda:high/@value and translate(cda:high/@value, '0123456789+-.', '') = '')) then false()        else if (contains(cda:high/@value,'+') and translate(substring-before(substring(cda:high/@value,9),'+'),'0.','') = '') then true()        else if (contains(cda:high/@value,'-') and translate(substring-before(substring(cda:high/@value,9),'-'),'0.','') = '') then true()        else if (not(contains(cda:high/@value,'+') or contains(cda:high/@value,'-')) and string-length(cda:high/@value) &gt; 8 and          translate(substring(cda:high/@value,9),'0.','') = '')         then true() else false() " />
    <xsl:variable name="same-doc-value" select="if ($poss-prec-err-value) then $same-doc-list/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16020']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16021']]/cda:entry/cda:act/cda:effectiveTime/@value else() " />
    <xsl:variable name="same-doc-low" select="if ($poss-prec-err-low) then $same-doc-list/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16020']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16021']]/cda:entry/cda:act/cda:effectiveTime/cda:low/@value else() " />
    <xsl:variable name="same-doc-high" select="if ($poss-prec-err-high) then $same-doc-list/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16020']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16021']]/cda:entry/cda:act/cda:effectiveTime/cda:high/@value else() " />
    <xsl:variable name="count-of-same-doc-value" select="count($same-doc-value) " />
    <xsl:variable name="count-of-same-doc-low" select="count($same-doc-low) " />
    <xsl:variable name="count-of-same-doc-high" select="count($same-doc-high) " />
    <xsl:variable name="same-doc-dates-value" select="$same-doc-value[         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') ]" />
    <xsl:variable name="same-doc-dates-low" select="$same-doc-low[         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') ]" />
    <xsl:variable name="same-doc-dates-high" select="$same-doc-high[         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') ]" />
    <xsl:variable name="prec-err-num-value" select="count($same-doc-dates-value)" />
    <xsl:variable name="prec-err-num-low" select="count($same-doc-dates-low)" />
    <xsl:variable name="prec-err-num-high" select="count($same-doc-dates-high)" />
    <xsl:variable name="likely-dates-err-value" select=" $prec-err-num-value = $count-of-same-doc-value " />
    <xsl:variable name="likely-dates-err-low" select=" $prec-err-num-low = $count-of-same-doc-low " />
    <xsl:variable name="likely-dates-err-high" select=" $prec-err-num-high = $count-of-same-doc-high " />
    <xsl:variable name="dates-err-count-value" select="if ($numbers/number[number(@value) = $prec-err-num-value]) then $numbers/number[number(@value) = $prec-err-num-value]/@name else $prec-err-num-value" />
    <xsl:variable name="dates-err-count-low" select="if ($numbers/number[number(@value) = $prec-err-num-low]) then $numbers/number[number(@value) = $prec-err-num-low]/@name else $prec-err-num-low" />
    <xsl:variable name="dates-err-count-high" select="if ($numbers/number[number(@value) = $prec-err-num-high]) then $numbers/number[number(@value) = $prec-err-num-high]/@name else $prec-err-num-high" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-07" select="if ($initial-priority) then $initial-rating else $rating-TC-Auth-07 " />
    <!--REPORT -->
    <xsl:if test=" $poss-prec-err-value and $likely-dates-err-value and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$poss-prec-err-value and $likely-dates-err-value and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the Service Commencement Window
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element with value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the Service Commencement Window data element contains
		a time of midnight for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $poss-prec-err-low and $likely-dates-err-low and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$poss-prec-err-low and $likely-dates-err-low and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the Service Commencement Window
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />/low' data element with value '<xsl:text /><xsl:value-of select="cda:low/@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the Service Commencement Window data element contains
		a time of midnight for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $poss-prec-err-high and $likely-dates-err-high and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$poss-prec-err-high and $likely-dates-err-high and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the Service Commencement Window
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />/high' data element with value '<xsl:text /><xsl:value-of select="cda:high/@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the Service Commencement Window data element contains
		a time of midnight for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1215" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1215" />
  <xsl:template match="@*|node()" priority="-2" mode="M1215">
    <xsl:apply-templates select="@*|*" mode="M1215" />
  </xsl:template>
  <!--PATTERN p-TS-Content-PresItem-Midnight-DT-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')]//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/   cda:observation[cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '103.10104']]/cda:effectiveTime " priority="1000" mode="M1216">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')]//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/   cda:observation[cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '103.10104']]/cda:effectiveTime " />
    <xsl:variable name="the-time" select="if ($flags/@allow-hints = 'false' or not(matches(@value, '^[0-9]{12}'))) then ''        else if (not(@value and translate(@value, '0123456789+-.', '') = '')) then ''        else if (contains(@value,'+')) then substring-before(substring(@value,9),'+')        else if (contains(@value,'-')) then substring-before(substring(@value,9),'-')        else substring(@value,9) " />
    <xsl:variable name="possible-precision-err" select="$the-time != '' and translate($the-time,'0.','') = '' " />
    <xsl:variable name="same-doc-values" select="if ($possible-precision-err) then $same-doc-list/cda:ClinicalDocument//cda:section[        cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:entry/        cda:observation[cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code = '103.10104']]/cda:effectiveTime/@value else() " />
    <xsl:variable name="count-of-same-doc-dates" select="count($same-doc-values) " />
    <xsl:variable name="same-doc-dates-prec-err" select="$same-doc-values[matches(., '^[0-9]{12}') and (         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') )]" />
    <xsl:variable name="dates-prec-err-num" select="count($same-doc-dates-prec-err)" />
    <xsl:variable name="likely-dates-prec-err" select=" $dates-prec-err-num = $count-of-same-doc-dates " />
    <xsl:variable name="dates-prec-err-count" select="if ($numbers/number[number(@value) = $dates-prec-err-num]) then $numbers/number[number(@value) = $dates-prec-err-num]/@name else $dates-prec-err-num" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-07" select="if ($initial-priority) then $initial-rating else $rating-TC-Auth-07 " />
    <!--REPORT -->
    <xsl:if test=" $possible-precision-err and $likely-dates-prec-err and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$possible-precision-err and $likely-dates-prec-err and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the DateTime Prescription Expires
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element with value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the DateTime Prescription Expires data element contains a time
		of midnight for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1216" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1216" />
  <xsl:template match="@*|node()" priority="-2" mode="M1216">
    <xsl:apply-templates select="@*|*" mode="M1216" />
  </xsl:template>
  <!--PATTERN p-TS-Content-PresItem-Midnight-DT-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')]//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:author/cda:time " priority="1000" mode="M1217">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')]//cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:author/cda:time " />
    <xsl:variable name="the-time" select="if ($flags/@allow-hints = 'false' or not(matches(@value, '^[0-9]{12}'))) then ''        else if (not(@value and translate(@value, '0123456789+-.', '') = '')) then ''        else if (contains(@value,'+')) then substring-before(substring(@value,9),'+')        else if (contains(@value,'-')) then substring-before(substring(@value,9),'-')        else substring(@value,9) " />
    <xsl:variable name="possible-precision-err" select="$the-time != '' and translate($the-time,'0.','') = '' " />
    <xsl:variable name="same-doc-values" select="if ($possible-precision-err) then $same-doc-list/cda:ClinicalDocument//cda:section[        cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16211']]/cda:author/cda:time/@value else() " />
    <xsl:variable name="count-of-same-doc-dates" select="count($same-doc-values) " />
    <xsl:variable name="same-doc-dates-prec-err" select="$same-doc-values[matches(., '^[0-9]{12}') and (         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') )]" />
    <xsl:variable name="dates-prec-err-num" select="count($same-doc-dates-prec-err)" />
    <xsl:variable name="likely-dates-prec-err" select=" $dates-prec-err-num = $count-of-same-doc-dates " />
    <xsl:variable name="dates-prec-err-count" select="if ($numbers/number[number(@value) = $dates-prec-err-num]) then $numbers/number[number(@value) = $dates-prec-err-num]/@name else $dates-prec-err-num" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-07" select="if ($initial-priority) then $initial-rating else $rating-TC-Auth-07 " />
    <!--REPORT -->
    <xsl:if test=" $possible-precision-err and $likely-dates-prec-err and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$possible-precision-err and $likely-dates-prec-err and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the DateTime Prescription Written
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element with value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the DateTime Prescription Written data element contains a time
		of midnight for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1217" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1217" />
  <xsl:template match="@*|node()" priority="-2" mode="M1217">
    <xsl:apply-templates select="@*|*" mode="M1217" />
  </xsl:template>
  <!--PATTERN p-TS-Content-Recommend-Midnight-DT-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false') and '101.16606' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16606']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20016']]/cda:effectiveTime " priority="1000" mode="M1218">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false') and '101.16606' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16606']]/cda:entry/   cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20016']]/cda:effectiveTime " />
    <xsl:variable name="the-time" select="if ($flags/@allow-hints = 'false' or not(matches(@value, '^[0-9]{12}'))) then ''        else if (not(@value and translate(@value, '0123456789+-.', '') = '')) then ''        else if (contains(@value,'+')) then substring-before(substring(@value,9),'+')        else if (contains(@value,'-')) then substring-before(substring(@value,9),'-')        else substring(@value,9) " />
    <xsl:variable name="possible-precision-err" select="$the-time != '' and translate($the-time,'0.','') = '' " />
    <xsl:variable name="same-doc-values" select="if ($possible-precision-err) then $same-doc-list/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16606']]/cda:entry/        cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20016']]/cda:effectiveTime/@value else() " />
    <xsl:variable name="count-of-same-doc-dates" select="count($same-doc-values) " />
    <xsl:variable name="same-doc-dates-prec-err" select="$same-doc-values[matches(., '^[0-9]{12}') and (         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') )]" />
    <xsl:variable name="dates-prec-err-num" select="count($same-doc-dates-prec-err)" />
    <xsl:variable name="likely-dates-prec-err" select=" $dates-prec-err-num = $count-of-same-doc-dates " />
    <xsl:variable name="dates-prec-err-count" select="if ($numbers/number[number(@value) = $dates-prec-err-num]) then $numbers/number[number(@value) = $dates-prec-err-num]/@name else $dates-prec-err-num" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-07" select="if ($initial-priority) then $initial-rating else $rating-TC-Auth-07 " />
    <!--REPORT -->
    <xsl:if test=" $possible-precision-err and $likely-dates-prec-err and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$possible-precision-err and $likely-dates-prec-err and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the Time Frame
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element with value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the Time Frame data element contains
		a time of midnight for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1218" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1218" />
  <xsl:template match="@*|node()" priority="-2" mode="M1218">
    <xsl:apply-templates select="@*|*" mode="M1218" />
  </xsl:template>
  <!--PATTERN p-TS-Content-RefDetail-Midnight-DT-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false') and '102.16347' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16347']]/cda:entry/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16620']]/cda:value " priority="1000" mode="M1219">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false') and '102.16347' = $doc-sections]/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16347']]/cda:entry/   cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16620']]/cda:value " />
    <xsl:variable name="the-time" select="if ($flags/@allow-hints = 'false' or not(matches(@value, '^[0-9]{12}'))) then ''        else if (not(@value and translate(@value, '0123456789+-.', '') = '')) then ''        else if (contains(@value,'+')) then substring-before(substring(@value,9),'+')        else if (contains(@value,'-')) then substring-before(substring(@value,9),'-')        else substring(@value,9) " />
    <xsl:variable name="possible-precision-err" select="$the-time != '' and translate($the-time,'0.','') = '' " />
    <xsl:variable name="same-doc-values" select="if ($possible-precision-err) then $same-doc-list/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16347']]/cda:entry/        cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16620']]/cda:value/@value else() " />
    <xsl:variable name="count-of-same-doc-dates" select="count($same-doc-values) " />
    <xsl:variable name="same-doc-dates-prec-err" select="$same-doc-values[matches(., '^[0-9]{12}') and (         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') )]" />
    <xsl:variable name="dates-prec-err-num" select="count($same-doc-dates-prec-err)" />
    <xsl:variable name="likely-dates-prec-err" select=" $dates-prec-err-num = $count-of-same-doc-dates " />
    <xsl:variable name="dates-prec-err-count" select="if ($numbers/number[number(@value) = $dates-prec-err-num]) then $numbers/number[number(@value) = $dates-prec-err-num]/@name else $dates-prec-err-num" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-07" select="if ($initial-priority) then $initial-rating else $rating-TC-Auth-07 " />
    <!--REPORT -->
    <xsl:if test=" $possible-precision-err and $likely-dates-prec-err and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$possible-precision-err and $likely-dates-prec-err and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the Referral DateTime
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element with value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the Referral DateTime data element contains a time
		of midnight for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1219" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1219" />
  <xsl:template match="@*|node()" priority="-2" mode="M1219">
    <xsl:apply-templates select="@*|*" mode="M1219" />
  </xsl:template>
  <!--PATTERN p-TS-Content-Request-Midnight-DT-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')]['102.20158' = $doc-sections]/cda:component/cda:structuredBody/cda:component//    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20158']]/   cda:entry/cda:act/cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16635']]/cda:effectiveTime " priority="1000" mode="M1220">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')]['102.20158' = $doc-sections]/cda:component/cda:structuredBody/cda:component//    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20158']]/   cda:entry/cda:act/cda:entryRelationship/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16635']]/cda:effectiveTime " />
    <xsl:variable name="the-time" select="if ($flags/@allow-hints = 'false' or not(matches(@value, '^[0-9]{12}'))) then ''        else if (not(@value and translate(@value, '0123456789+-.', '') = '')) then ''        else if (contains(@value,'+')) then substring-before(substring(@value,9),'+')        else if (contains(@value,'-')) then substring-before(substring(@value,9),'-')        else substring(@value,9) " />
    <xsl:variable name="possible-precision-err" select="$the-time != '' and translate($the-time,'0.','') = '' " />
    <xsl:variable name="same-doc-values" select="if ($possible-precision-err) then $same-doc-list/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20158']]/cda:entry/cda:act/cda:entryRelationship/        cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='103.16635']]/cda:effectiveTime/@value else() " />
    <xsl:variable name="count-of-same-doc-dates" select="count($same-doc-values) " />
    <xsl:variable name="same-doc-dates-prec-err" select="$same-doc-values[matches(., '^[0-9]{12}') and (         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') )]" />
    <xsl:variable name="dates-prec-err-num" select="count($same-doc-dates-prec-err)" />
    <xsl:variable name="likely-dates-prec-err" select=" $dates-prec-err-num = $count-of-same-doc-dates " />
    <xsl:variable name="dates-prec-err-count" select="if ($numbers/number[number(@value) = $dates-prec-err-num]) then $numbers/number[number(@value) = $dates-prec-err-num]/@name else $dates-prec-err-num" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-07" select="if ($initial-priority) then $initial-rating else $rating-TC-Auth-07 " />
    <!--REPORT -->
    <xsl:if test=" $possible-precision-err and $likely-dates-prec-err and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$possible-precision-err and $likely-dates-prec-err and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the Requested Service DateTime
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element with value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the Requested Service DateTime data element contains a time
		of midnight for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1220" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1220" />
  <xsl:template match="@*|node()" priority="-2" mode="M1220">
    <xsl:apply-templates select="@*|*" mode="M1220" />
  </xsl:template>
  <!--PATTERN p-TS-Content-Request-Midnight-DT-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')]['102.20158' = $doc-sections]/cda:component/cda:structuredBody/cda:component//    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20158']]/cda:entry/cda:act[@moodCode = 'EVN']/cda:effectiveTime " priority="1000" mode="M1221">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')]['102.20158' = $doc-sections]/cda:component/cda:structuredBody/cda:component//    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20158']]/cda:entry/cda:act[@moodCode = 'EVN']/cda:effectiveTime " />
    <xsl:variable name="the-time" select="if ($flags/@allow-hints = 'false' or not(matches(@value, '^[0-9]{12}'))) then ''        else if (not(@value and translate(@value, '0123456789+-.', '') = '')) then ''        else if (contains(@value,'+')) then substring-before(substring(@value,9),'+')        else if (contains(@value,'-')) then substring-before(substring(@value,9),'-')        else substring(@value,9) " />
    <xsl:variable name="possible-precision-err" select="$the-time != '' and translate($the-time,'0.','') = '' " />
    <xsl:variable name="same-doc-values" select="if ($possible-precision-err) then $same-doc-list/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20158']]/cda:entry/cda:act[@moodCode = 'EVN']/cda:effectiveTime/@value else() " />
    <xsl:variable name="count-of-same-doc-dates" select="count($same-doc-values) " />
    <xsl:variable name="same-doc-dates-prec-err" select="$same-doc-values[matches(., '^[0-9]{12}') and (         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') )]" />
    <xsl:variable name="dates-prec-err-num" select="count($same-doc-dates-prec-err)" />
    <xsl:variable name="likely-dates-prec-err" select=" $dates-prec-err-num = $count-of-same-doc-dates " />
    <xsl:variable name="dates-prec-err-count" select="if ($numbers/number[number(@value) = $dates-prec-err-num]) then $numbers/number[number(@value) = $dates-prec-err-num]/@name else $dates-prec-err-num" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-07" select="if ($initial-priority) then $initial-rating else $rating-TC-Auth-07 " />
    <!--REPORT -->
    <xsl:if test=" $possible-precision-err and $likely-dates-prec-err and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$possible-precision-err and $likely-dates-prec-err and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the DateTime Service Scheduled
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element with value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the DateTime Service Scheduled data element contains a time
		of midnight for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1221" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1221" />
  <xsl:template match="@*|node()" priority="-2" mode="M1221">
    <xsl:apply-templates select="@*|*" mode="M1221" />
  </xsl:template>
  <!--PATTERN p-TS-Content-Request-Midnight-TI-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')]['102.20158' = $doc-sections]/cda:component/cda:structuredBody/cda:component//    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20158']]/cda:entry/cda:act[@moodCode != 'EVN']/cda:effectiveTime " priority="1000" mode="M1222">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[not($flags/@collection-same-system = 'false')]['102.20158' = $doc-sections]/cda:component/cda:structuredBody/cda:component//    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20158']]/cda:entry/cda:act[@moodCode != 'EVN']/cda:effectiveTime " />
    <xsl:variable name="poss-prec-err-value" select="if (not(@value and translate(@value, '0123456789+-.', '') = '')) then false()        else if (contains(@value,'+') and translate(substring-before(substring(@value,9),'+'),'0.','') = '') then true()        else if (contains(@value,'-') and translate(substring-before(substring(@value,9),'-'),'0.','') = '') then true()        else if (not(contains(@value,'+') or contains(@value,'-')) and string-length(@value) &gt; 8 and translate(substring(@value,9),'0.','') = '')         then true() else false() " />
    <xsl:variable name="poss-prec-err-low" select="if (not(cda:low/@value and translate(cda:low/@value, '0123456789+-.', '') = '')) then false()        else if (contains(cda:low/@value,'+') and translate(substring-before(substring(cda:low/@value,9),'+'),'0.','') = '') then true()        else if (contains(cda:low/@value,'-') and translate(substring-before(substring(cda:low/@value,9),'-'),'0.','') = '') then true()        else if (not(contains(cda:low/@value,'+') or contains(cda:low/@value,'-')) and string-length(cda:low/@value) &gt; 8 and          translate(substring(cda:low/@value,9),'0.','') = '')         then true() else false() " />
    <xsl:variable name="poss-prec-err-high" select="if (not(cda:high/@value and translate(cda:high/@value, '0123456789+-.', '') = '')) then false()        else if (contains(cda:high/@value,'+') and translate(substring-before(substring(cda:high/@value,9),'+'),'0.','') = '') then true()        else if (contains(cda:high/@value,'-') and translate(substring-before(substring(cda:high/@value,9),'-'),'0.','') = '') then true()        else if (not(contains(cda:high/@value,'+') or contains(cda:high/@value,'-')) and string-length(cda:high/@value) &gt; 8 and          translate(substring(cda:high/@value,9),'0.','') = '')         then true() else false() " />
    <xsl:variable name="same-doc-value" select="if ($poss-prec-err-value) then $same-doc-list/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20158']]/cda:entry/cda:act[@moodCode != 'EVN']/cda:effectiveTime/@value else() " />
    <xsl:variable name="same-doc-low" select="if ($poss-prec-err-low) then $same-doc-list/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20158']]/cda:entry/cda:act[@moodCode != 'EVN']/cda:effectiveTime/        cda:low/@value else() " />
    <xsl:variable name="same-doc-high" select="if ($poss-prec-err-high) then $same-doc-list/cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component//         cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20117']]/cda:component/        cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.20158']]/cda:entry/cda:act[@moodCode != 'EVN']/cda:effectiveTime/        cda:high/@value else() " />
    <xsl:variable name="count-of-same-doc-value" select="count($same-doc-value) " />
    <xsl:variable name="count-of-same-doc-low" select="count($same-doc-low) " />
    <xsl:variable name="count-of-same-doc-high" select="count($same-doc-high) " />
    <xsl:variable name="same-doc-dates-value" select="$same-doc-value[         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') ]" />
    <xsl:variable name="same-doc-dates-low" select="$same-doc-low[         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') ]" />
    <xsl:variable name="same-doc-dates-high" select="$same-doc-high[         (contains(.,'+') and translate(substring-before(substring(.,9),'+'),'0.','') = '')    or         (contains(.,'-') and translate(substring-before(substring(.,9),'-'),'0.','') = '')    or         (not(contains(.,'+') or contains(.,'-')) and string-length(.) &gt; 8 and translate(substring(.,9),'0.','') = '') ]" />
    <xsl:variable name="prec-err-num-value" select="count($same-doc-dates-value)" />
    <xsl:variable name="prec-err-num-low" select="count($same-doc-dates-low)" />
    <xsl:variable name="prec-err-num-high" select="count($same-doc-dates-high)" />
    <xsl:variable name="likely-dates-err-value" select=" $prec-err-num-value = $count-of-same-doc-value " />
    <xsl:variable name="likely-dates-err-low" select=" $prec-err-num-low = $count-of-same-doc-low " />
    <xsl:variable name="likely-dates-err-high" select=" $prec-err-num-high = $count-of-same-doc-high " />
    <xsl:variable name="dates-err-count-value" select="if ($numbers/number[number(@value) = $prec-err-num-value]) then $numbers/number[number(@value) = $prec-err-num-value]/@name else $prec-err-num-value" />
    <xsl:variable name="dates-err-count-low" select="if ($numbers/number[number(@value) = $prec-err-num-low]) then $numbers/number[number(@value) = $prec-err-num-low]/@name else $prec-err-num-low" />
    <xsl:variable name="dates-err-count-high" select="if ($numbers/number[number(@value) = $prec-err-num-high]) then $numbers/number[number(@value) = $prec-err-num-high]/@name else $prec-err-num-high" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-07" select="if ($initial-priority) then $initial-rating else $rating-TC-Auth-07 " />
    <!--REPORT -->
    <xsl:if test=" $poss-prec-err-value and $likely-dates-err-value and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$poss-prec-err-value and $likely-dates-err-value and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the Service Commencement Window
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element with value '<xsl:text /><xsl:value-of select="@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the Service Commencement Window data element contains
		a time of midnight for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $poss-prec-err-low and $likely-dates-err-low and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$poss-prec-err-low and $likely-dates-err-low and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the Service Commencement Window
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />/low' data element with value '<xsl:text /><xsl:value-of select="cda:low/@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the Service Commencement Window data element contains
		a time of midnight for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $poss-prec-err-high and $likely-dates-err-high and $same-doc-num &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$poss-prec-err-high and $likely-dates-err-high and $same-doc-num &gt; 1">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Warning<xsl:text /><xsl:value-of select="$rating-07" /><xsl:text />: TC-Auth-07: A time of midnight is present in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> in the Service Commencement Window
		'<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />/high' data element with value '<xsl:text /><xsl:value-of select="cda:high/@value" /><xsl:text />'. Furthermore in the collection of
		<xsl:text /><xsl:value-of select="$same-doc-count" /><xsl:text /><xsl:text /><xsl:value-of select="concat(' ', $document-name)" /><xsl:text /> documents every document with the Service Commencement Window data element contains
		a time of midnight for that data element. It is an error for software to create a time stamp
		with a time of midnight when only a date is provided and this finding suggests that the midnight time is automatically included. Either confirm that midnight is the correct time
		for all documents in the collection or use the date only as including the time is optional. A time stamp must not include more significant digits than were originally in that value.
		(See section 2.36 of HL7 Version 3 Standard: Data Types - Abstract Specification, Release 1.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1222" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1222" />
  <xsl:template match="@*|node()" priority="-2" mode="M1222">
    <xsl:apply-templates select="@*|*" mode="M1222" />
  </xsl:template>
  <!--PATTERN p-TS-eComm-1-->
  <!--RULE -->
  <xsl:template match="    cda:performer[parent::cda:serviceEvent]/cda:assignedEntity[cda:assignedPerson]/cda:telecom  |   cda:*[cda:*/ext:asEntityIdentifier[    ext:id[ starts-with(@root, '1.2.36.1.2001.1003.0.800361')   or     starts-with(@root, '1.2.36.1.2001.1005.41')    or     starts-with(@root, '1.2.36.1.2001.1005.70')    or     @root = ('1.2.36.174030967.0.2', '1.2.36.174030967.0.3')] or    ext:code[@codeSystem = '2.16.840.1.113883.12.203' and exists(index-of($ei-codes-only-for-hpis, @code))]]]/    cda:telecom" priority="1000" mode="M1223">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="    cda:performer[parent::cda:serviceEvent]/cda:assignedEntity[cda:assignedPerson]/cda:telecom  |   cda:*[cda:*/ext:asEntityIdentifier[    ext:id[ starts-with(@root, '1.2.36.1.2001.1003.0.800361')   or     starts-with(@root, '1.2.36.1.2001.1005.41')    or     starts-with(@root, '1.2.36.1.2001.1005.70')    or     @root = ('1.2.36.174030967.0.2', '1.2.36.174030967.0.3')] or    ext:code[@codeSystem = '2.16.840.1.113883.12.203' and exists(index-of($ei-codes-only-for-hpis, @code))]]]/    cda:telecom" />
    <xsl:variable name="use-codes" select="tokenize(normalize-space(@use), ' ')" />
    <xsl:variable name="usage" select="if ($use-codes[. = 'H']) then 'home'       else if ($use-codes[. = 'HP']) then 'primary home'       else if ($use-codes[. = 'HV']) then 'vacation home'       else '' " />
    <xsl:variable name="person-type" select="if (local-name(../..) = 'legalAuthenticator') then 'legal authenticator'       else 'healthcare provider individual' " />
    <xsl:variable name="rating-50" select="$rating-TC-Auth-50 " />
    <!--REPORT -->
    <xsl:if test=" $use-codes[. = 'H'] or $use-codes[. = 'HP'] or $use-codes[. = 'HV'] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$use-codes[. = 'H'] or $use-codes[. = 'HP'] or $use-codes[. = 'HV']">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Warning<xsl:text /><xsl:value-of select="$rating-50" /><xsl:text />: TC-Auth-50: The data element
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		contains the <xsl:text /><xsl:value-of select="$person-type" /><xsl:text />'s <xsl:text /><xsl:value-of select="$usage" /><xsl:text /> electronic communication details, indicated by
		the telecommunications address 'use' attribute with the value '<xsl:text /><xsl:value-of select="@use" /><xsl:text />'.
		The inclusion of the <xsl:text /><xsl:value-of select="$usage" /><xsl:text /> electronic communication details may be a breach of privacy and is unexpected given that the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text />
		is available to the subject of care. Confirm that the inclusion of the <xsl:text /><xsl:value-of select="$usage" /><xsl:text /> electronic communication details is intended.
		(See section 10 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) Use codes that are normally
		used for the telecommunications address of a <xsl:text /><xsl:value-of select="$person-type" /><xsl:text /> are "WP" (Workplace), "AS" (Answering Service) and "EC" (Emergency Contact).

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1223" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1223" />
  <xsl:template match="@*|node()" priority="-2" mode="M1223">
    <xsl:apply-templates select="@*|*" mode="M1223" />
  </xsl:template>
  <!--PATTERN p-TS-eComm-2-->
  <!--RULE -->
  <xsl:template match="    cda:representedCustodianOrganization[ext:asEntityIdentifier/ext:id/@assigningAuthorityName='HPI-O']/cda:telecom  |   cda:performer/cda:assignedEntity[cda:representedOrganization]/cda:telecom      |    cda:*[cda:*[not(    local-name(.) = ('patient', 'assignedPerson', 'associatedPerson', 'informationRecipient', 'relatedPerson') or    (local-name(.) = 'playingEntity' and ./@classCode='PSN')       )]/ext:asEntityIdentifier[    ext:id[ starts-with(@root, '1.2.36.1.2001.1003.0.800362')      or     starts-with(@root, '1.2.36.1.2001.1007.1.8003640001')      or     @root = ('1.2.36.174030967.1.3.2.1', '1.2.36.1.2001.1005.12', '1.2.36.1.2001.1005.48')] or    ext:code[@codeSystem = '2.16.840.1.113883.12.203' and exists(index-of($ei-codes-only-for-hpos, @code))]]]/    cda:telecom" priority="1000" mode="M1224">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="    cda:representedCustodianOrganization[ext:asEntityIdentifier/ext:id/@assigningAuthorityName='HPI-O']/cda:telecom  |   cda:performer/cda:assignedEntity[cda:representedOrganization]/cda:telecom      |    cda:*[cda:*[not(    local-name(.) = ('patient', 'assignedPerson', 'associatedPerson', 'informationRecipient', 'relatedPerson') or    (local-name(.) = 'playingEntity' and ./@classCode='PSN')       )]/ext:asEntityIdentifier[    ext:id[ starts-with(@root, '1.2.36.1.2001.1003.0.800362')      or     starts-with(@root, '1.2.36.1.2001.1007.1.8003640001')      or     @root = ('1.2.36.174030967.1.3.2.1', '1.2.36.1.2001.1005.12', '1.2.36.1.2001.1005.48')] or    ext:code[@codeSystem = '2.16.840.1.113883.12.203' and exists(index-of($ei-codes-only-for-hpos, @code))]]]/    cda:telecom" />
    <xsl:variable name="use-codes" select="tokenize(normalize-space(@use), ' ')" />
    <xsl:variable name="usage" select="if ($use-codes[. = 'H']) then 'home'       else if ($use-codes[. = 'HP']) then 'primary home'       else if ($use-codes[. = 'HV']) then 'vacation home'       else '' " />
    <xsl:variable name="rating-50" select="$rating-TC-Auth-50 " />
    <!--REPORT -->
    <xsl:if test=" $use-codes[. = 'H'] or $use-codes[. = 'HP'] or $use-codes[. = 'HV'] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$use-codes[. = 'H'] or $use-codes[. = 'HP'] or $use-codes[. = 'HV']">
        <xsl:attribute name="flag">WARNING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

                Warning<xsl:text /><xsl:value-of select="$rating-50" /><xsl:text />: TC-Auth-50: The data element
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text />
		contains a healthcare provider organisation's <xsl:text /><xsl:value-of select="$usage" /><xsl:text /> electronic communication details, indicated by the telecommunications address 'use' attribute with the value
		'<xsl:text /><xsl:value-of select="@use" /><xsl:text />'. The inclusion of the <xsl:text /><xsl:value-of select="$usage" /><xsl:text /> electronic communication details may be a breach of privacy and is unexpected given that the
		<xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> is available to the subject of care. Confirm that the inclusion of the <xsl:text /><xsl:value-of select="$usage" /><xsl:text /> electronic communication details is intended.
		(See section 10 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.) Use codes that are normally used
		for the telecommunications address of a healthcare provider organisation are "WP" (Workplace), "AS" (Answering Service) and "EC" (Emergency Contact).

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1224" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1224" />
  <xsl:template match="@*|node()" priority="-2" mode="M1224">
    <xsl:apply-templates select="@*|*" mode="M1224" />
  </xsl:template>
  <!--PATTERN p-TS-Pers-1-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.120']]/cda:author/cda:assignedAuthor/cda:code[@code and @codeSystem = '2.16.840.1.113883.13.62'] " priority="1000" mode="M1225">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.120']]/cda:author/cda:assignedAuthor/cda:code[@code and @codeSystem = '2.16.840.1.113883.13.62'] " />
    <xsl:variable name="valid-code" select="@code and exists($code-systems/system[@codeSystem = '2.16.840.1.113883.13.62']/code[@code=current()/@code])" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-46" select="if ($initial-priority) then $initial-rating else $rating-TC-Auth-46 " />
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $valid-code and    not(matches(@code, $knowledge/shs-author/valid/@regex) or matches(@code, $knowledge/shs-author/invalid/@regex)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $valid-code and not(matches(@code, $knowledge/shs-author/valid/@regex) or matches(@code, $knowledge/shs-author/invalid/@regex))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-46" /><xsl:text />: TC-Auth-46: The author's role has an ANZSCO code attribute with the value
		'<xsl:text /><xsl:value-of select="@code" /><xsl:text />'<xsl:text /><xsl:value-of select="if (@displayName) then concat(' and a displayName attribute with the value ''', @displayName, '''')     else concat(' (', $code-systems/system[@codeSystem = '2.16.840.1.113883.13.62']/code[@code=current()/@code]/@displayName, ')') " /><xsl:text />
		which is not one of the roles expected for an author of a Shared Health Summary. The author of a Shared Health Summary must be a Medical Practitioner, Registered Nurse or an
		Aboriginal and Torres Strait Islander Health Worker. Confirm that the author has one of the permitted roles.
		(See clause 5 of the Personally Controlled Electronic Health Records Act 2012 for the definition of a nominated healthcare provider
		and section 2.3 of the Participation Data Specification v3.2.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $valid-code and matches(@code, $knowledge/shs-author/invalid/@regex) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$valid-code and matches(@code, $knowledge/shs-author/invalid/@regex)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-46" /><xsl:text />: TC-Auth-46: The author's role has an ANZSCO code attribute with the value
		'<xsl:text /><xsl:value-of select="@code" /><xsl:text />'<xsl:text /><xsl:value-of select="if (@displayName) then concat(' and a displayName attribute with the value ''', @displayName, '''')     else concat(' (', $code-systems/system[@codeSystem = '2.16.840.1.113883.13.62']/code[@code=current()/@code]/@displayName, ')') " /><xsl:text />
		which is an invalid role for an author of a Shared Health Summary. The author of a Shared Health Summary must be a Medical Practitioner, Registered Nurse or an
		Aboriginal and Torres Strait Islander Health Worker.
		(See clause 5 of the Personally Controlled Electronic Health Records Act 2012 for the definition of a nominated healthcare provider
		and section 2.3 of the Participation Data Specification v3.2.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1225" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1225" />
  <xsl:template match="@*|node()" priority="-2" mode="M1225">
    <xsl:apply-templates select="@*|*" mode="M1225" />
  </xsl:template>
  <!--PATTERN p-TS-Pers-2-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.120']]/cda:author/cda:assignedAuthor/cda:assignedPerson/ext:asEmployment/ext:jobCode   [@code and @codeSystem = '2.16.840.1.113883.13.62'] " priority="1000" mode="M1226">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.120']]/cda:author/cda:assignedAuthor/cda:assignedPerson/ext:asEmployment/ext:jobCode   [@code and @codeSystem = '2.16.840.1.113883.13.62'] " />
    <xsl:variable name="valid-code" select="@code and exists($code-systems/system[@codeSystem = '2.16.840.1.113883.13.62']/code[@code=current()/@code])" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-47" select="if ($initial-priority) then $initial-rating else $rating-TC-Auth-47 " />
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $valid-code and    not(matches(@code, $knowledge/shs-author/valid/@regex) or matches(@code, $knowledge/shs-author/invalid/@regex)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $valid-code and not(matches(@code, $knowledge/shs-author/valid/@regex) or matches(@code, $knowledge/shs-author/invalid/@regex))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-47" /><xsl:text />: TC-Auth-47: The author's occupation has an ANZSCO code attribute with the value
		'<xsl:text /><xsl:value-of select="@code" /><xsl:text />'<xsl:text /><xsl:value-of select="if (@displayName) then concat(' and a displayName attribute with the value ''', @displayName, '''')     else concat(' (', $code-systems/system[@codeSystem = '2.16.840.1.113883.13.62']/code[@code=current()/@code]/@displayName, ')') " /><xsl:text />
		which is not one of the occupations expected for an author of a Shared Health Summary. The author of a Shared Health Summary must be a Medical Practitioner, Registered Nurse or an
		Aboriginal and Torres Strait Islander Health Worker. Confirm that the author has one of the permitted occupation.
		(See clause 5 of the Personally Controlled Electronic Health Records Act 2012 for the definition of a nominated healthcare provider
		and section 2.3 of the Participation Data Specification v3.2.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $valid-code and matches(@code, $knowledge/shs-author/invalid/@regex) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$valid-code and matches(@code, $knowledge/shs-author/invalid/@regex)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-47" /><xsl:text />: TC-Auth-47: The author's occupation has an ANZSCO code attribute with the value
		'<xsl:text /><xsl:value-of select="@code" /><xsl:text />'<xsl:text /><xsl:value-of select="if (@displayName) then concat(' and a displayName attribute with the value ''', @displayName, '''')     else concat(' (', $code-systems/system[@codeSystem = '2.16.840.1.113883.13.62']/code[@code=current()/@code]/@displayName, ')') " /><xsl:text />
		which an invalid occupation for an author of a Shared Health Summary. The author of a Shared Health Summary must be a Medical Practitioner, Registered Nurse or an
		Aboriginal and Torres Strait Islander Health Worker.
		(See clause 5 of the Personally Controlled Electronic Health Records Act 2012 for the definition of a nominated healthcare provider
		and section 2.3 of the Participation Data Specification v3.2.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1226" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1226" />
  <xsl:template match="@*|node()" priority="-2" mode="M1226">
    <xsl:apply-templates select="@*|*" mode="M1226" />
  </xsl:template>
  <!--PATTERN p-TS-Pers-3-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.120']]/cda:author/cda:assignedAuthor/cda:assignedPerson/ext:asEmployment/ext:code   [@code and @codeSystem = '2.16.840.1.113883.13.62'] " priority="1000" mode="M1227">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument[cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.120']]/cda:author/cda:assignedAuthor/cda:assignedPerson/ext:asEmployment/ext:code   [@code and @codeSystem = '2.16.840.1.113883.13.62'] " />
    <xsl:variable name="valid-code" select="@code and exists($code-systems/system[@codeSystem = '2.16.840.1.113883.13.62']/code[@code=current()/@code])" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-48" select="if ($initial-priority) then $initial-rating else $rating-TC-Auth-48 " />
    <!--REPORT -->
    <xsl:if test=" not($flags/@allow-hints = 'false') and $valid-code and    not(matches(@code, $knowledge/shs-author/valid/@regex) or matches(@code, $knowledge/shs-author/invalid/@regex)) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($flags/@allow-hints = 'false') and $valid-code and not(matches(@code, $knowledge/shs-author/valid/@regex) or matches(@code, $knowledge/shs-author/invalid/@regex))">
        <xsl:attribute name="flag">HINT</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Hint<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Auth-48: The author's position in organisation has an ANZSCO code attribute with the value
		'<xsl:text /><xsl:value-of select="@code" /><xsl:text />'<xsl:text /><xsl:value-of select="if (@displayName) then concat(' and a displayName attribute with the value ''', @displayName, '''')    else concat(' (', $code-systems/system[@codeSystem = '2.16.840.1.113883.13.62']/code[@code=current()/@code]/@displayName, ')') " /><xsl:text />
		which is not one of the positions expected for an author of a Shared Health Summary. The author of a Shared Health Summary must be a Medical Practitioner, Registered Nurse or an
		Aboriginal and Torres Strait Islander Health Worker. Confirm that the author has one of the permitted positions.
		(See clause 5 of the Personally Controlled Electronic Health Records Act 2012 for the definition of a nominated healthcare provider
		and section 2.3 of the Participation Data Specification v3.2.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $valid-code and matches(@code, $knowledge/shs-author/invalid/@regex) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$valid-code and matches(@code, $knowledge/shs-author/invalid/@regex)">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-48" /><xsl:text />: TC-Auth-48: The author's position in organisation has an ANZSCO code attribute with the value
		'<xsl:text /><xsl:value-of select="@code" /><xsl:text />'<xsl:text /><xsl:value-of select="if (@displayName) then concat(' and a displayName attribute with the value ''', @displayName, '''')     else concat(' (', $code-systems/system[@codeSystem = '2.16.840.1.113883.13.62']/code[@code=current()/@code]/@displayName, ')') " /><xsl:text />
		which is an invalid position for an author of a Shared Health Summary. The author of a Shared Health Summary must be a Medical Practitioner, Registered Nurse or an
		Aboriginal and Torres Strait Islander Health Worker.
		(See clause 5 of the Personally Controlled Electronic Health Records Act 2012 for the definition of a nominated healthcare provider
		and section 2.3 of the Participation Data Specification v3.2.)

            </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1227" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1227" />
  <xsl:template match="@*|node()" priority="-2" mode="M1227">
    <xsl:apply-templates select="@*|*" mode="M1227" />
  </xsl:template>
  <!--PATTERN p-TS-Pers-4-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]/    cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16234']]/cda:value " priority="1000" mode="M1228">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]/    cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16234']]/cda:value " />
    <xsl:variable name="day-of-birth-ind" select="if (@code) then substring(@code, 1, 1) else '' " />
    <xsl:variable name="month-of-birth-ind" select="if (@code) then substring(@code, 2, 1) else '' " />
    <xsl:variable name="year-of-birth-ind" select="if (@code) then substring(@code, 3, 1) else '' " />
    <xsl:variable name="date-of-birth-de" select="/cda:ClinicalDocument/cda:recordTarget/cda:patientRole/cda:patient/cda:birthTime " />
    <xsl:variable name="date-of-birth" select="if ($date-of-birth-de/@value) then $date-of-birth-de/@value else '' " />
    <xsl:variable name="day-of-birth" select="substring($date-of-birth, 7, 2) " />
    <xsl:variable name="month-of-birth" select="substring($date-of-birth, 5, 2) " />
    <xsl:variable name="year-of-birth" select="substring($date-of-birth, 1, 4) " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('a nullFlavor attribute with the value ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-code" select="if (@code) then concat('a code attribute with the value ', codepoints-to-string(34), @code, codepoints-to-string(34)) else '' " />
    <xsl:variable name="display-DoB-nullFlavor" select="if ($date-of-birth-de/@nullFlavor) then concat('a nullFlavor attribute with the value ', codepoints-to-string(34), $date-of-birth-de/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = $date-of-birth-de/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-DoB-value" select="if ($date-of-birth-de/@value) then concat('the value ', codepoints-to-string(34), $date-of-birth-de/@value, codepoints-to-string(34)) else '' " />
    <xsl:variable name="day-err-type-1" select="$day-of-birth-ind = ('A', 'E') and exists($date-of-birth-de) and $day-of-birth = '' and not($date-of-birth-de/@nullFlavor) " />
    <xsl:variable name="day-err-type-2" select="$day-of-birth-ind = 'U' and exists($date-of-birth-de) and matches($day-of-birth, '^([0-2][1-9]|3[0-1])$') " />
    <xsl:variable name="month-err-type-1" select="$month-of-birth-ind = ('A', 'E') and exists($date-of-birth-de) and $month-of-birth = '' and not($date-of-birth-de/@nullFlavor) " />
    <xsl:variable name="month-err-type-2" select="$month-of-birth-ind = 'U' and exists($date-of-birth-de) and matches($day-of-birth, '^(0[1-9]|1[0-2])$') " />
    <xsl:variable name="year-err-type-1" select="$year-of-birth-ind = ('A', 'E') and exists($date-of-birth-de) and $year-of-birth = '' and not($date-of-birth-de/@nullFlavor) " />
    <xsl:variable name="year-err-type-2" select="$year-of-birth-ind = 'U' and exists($date-of-birth-de) and matches($year-of-birth, '^[0-9]{4}$') " />
    <xsl:variable name="indicator-err" select="$day-err-type-1 or $day-err-type-2 or $month-err-type-1 or $month-err-type-2 or $year-err-type-1 or $year-err-type-2 " />
    <xsl:variable name="accuracy-msg" select="if ($indicator-err) then concat('The value of the Date of Birth Accuracy Indicator means the Date of Birth has ',        if ($year-of-birth-ind = 'A') then 'an accurately known year' else if ($year-of-birth-ind = 'E') then 'an estimated year' else 'an unknown year', ', ',        if ($month-of-birth-ind = 'A') then 'an accurately known month' else if ($month-of-birth-ind = 'E') then 'an estimated month' else 'an unknown month', ' and ',        if ($day-of-birth-ind = 'A') then 'an accurately known day' else if ($day-of-birth-ind = 'E') then 'an estimated day' else 'an unknown day', '. ',        ' In contrast the Date of Birth data element in the document header has ', $display-DoB-nullFlavor,         if ($display-DoB-nullFlavor != '' and $display-DoB-value != '') then ' and ' else '', $display-DoB-value,         if ($display-DoB-nullFlavor = '' and $display-DoB-value = '') then 'no nullFlavor or code attributes' else '', '.')         else '' " />
    <xsl:variable name="day-err-msg" select="if ($day-err-type-1) then concat(' It is an error for the Date of Birth Accuracy Indicator to indicate the day of birth is ',        if ($day-of-birth-ind = 'A') then 'accurately known' else 'estimated', ' when the Date of Birth does not include a day.')        else if ($day-err-type-2) then concat(' It is an error for the Date of Birth Accuracy Indicator to indicate the day of birth ',        'is unknown when the Date of Birth includes a day.') else '' " />
    <xsl:variable name="month-err-msg" select="if ($month-err-type-1) then concat(' It is an error for the Date of Birth Accuracy Indicator to indicate the month of birth is ',        if ($month-of-birth-ind = 'A') then 'accurately known' else 'estimated', ' when the Date of Birth does not include a month.')        else if ($month-err-type-2) then concat(' It is an error for the Date of Birth Accuracy Indicator to indicate the month of birth ',        'is unknown when the Date of Birth includes a month.') else '' " />
    <xsl:variable name="year-err-msg" select="if ($year-err-type-1) then concat(' It is an error for the Date of Birth Accuracy Indicator to indicate the year of birth is ',        if ($year-of-birth-ind = 'A') then 'accurately known' else 'estimated', ' when the Date of Birth does not include a year.')        else if ($year-err-type-2) then concat(' It is an error for the Date of Birth Accuracy Indicator to indicate the year of birth ',        'is unknown when the Date of Birth includes a year.') else '' " />
    <xsl:variable name="day-suggestion" select="if ($day-err-type-1) then 'U' else if ($day-err-type-2) then 'A' else $day-of-birth-ind " />
    <xsl:variable name="month-suggestion" select="if ($month-err-type-1) then 'U' else if ($month-err-type-2) then 'A' else $month-of-birth-ind " />
    <xsl:variable name="year-suggestion" select="if ($year-err-type-1) then 'U' else if ($year-err-type-2) then 'A' else $year-of-birth-ind " />
    <xsl:variable name="indicator-suggestion" select="concat(codepoints-to-string(34), $day-suggestion, $month-suggestion, $year-suggestion, codepoints-to-string(34)) " />
    <xsl:variable name="suggestion-msg" select="if ($indicator-err) then normalize-space(concat('An example of a Date of Birth Accuracy Indicator that is consistent with the Date of Birth is ',        $indicator-suggestion, '. The first letter is the day accuracy indicator, the second letter is the month accuracy indicator and the third letter ',        'is the year accuracy indicator. ',         if (matches($indicator-suggestion, 'A')) then concat('The indicator ''A'' means ''accurately known''. ', 'If any components of the date are ',        'estimated rather than accurately known then the indicator for that date component should be ''E'' (estimated) rather than ''A''.') else '',        if (matches($indicator-suggestion, 'U')) then ' The indicator ''U'' means ''unknown''.' else ''))        else '' " />
    <xsl:variable name="valid-code" select="@code and exists($code-systems/system[@codeSystem = '2.16.840.1.113883.13.62']/code[@code=current()/@code])" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-39" select="if ($initial-priority) then $initial-rating else $rating-TC-Auth-39 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Auth-39: The Date of Birth Accuracy Indicator '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Coded Simple data type and <xsl:text /><xsl:value-of select="$display-nullFlavor " /><xsl:text /><xsl:text /><xsl:value-of select="if (@nullFlavor and @code) then ' and ' else ''" /><xsl:text /><xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="if (not(@nullFlavor or @code)) then 'no nullFlavor or code attributes' else ''" /><xsl:text />.
		The Date of Birth Day Accuracy Indicator is '<xsl:text /><xsl:value-of select="$day-of-birth-ind" /><xsl:text />' which means the day is
		<xsl:text /><xsl:value-of select="if ($day-of-birth-ind = 'A') then 'accurately known' else if ($day-of-birth-ind = 'E') then 'estimated' else 'unknown' " /><xsl:text />.
		The Date of Birth Month Accuracy Indicator is '<xsl:text /><xsl:value-of select="$month-of-birth-ind" /><xsl:text />' which means the month is
		<xsl:text /><xsl:value-of select="if ($month-of-birth-ind = 'A') then 'accurately known' else if ($month-of-birth-ind = 'E') then 'estimated' else 'unknown' " /><xsl:text />.
		The Date of Birth Year Accuracy Indicator is '<xsl:text /><xsl:value-of select="$year-of-birth-ind" /><xsl:text />' which means the year is
		<xsl:text /><xsl:value-of select="if ($year-of-birth-ind = 'A') then 'accurately known' else if ($year-of-birth-ind = 'E') then 'estimated' else 'unknown' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (exists($date-of-birth-de)) then concat(' The Date of Birth data element in the document header has ', $display-DoB-nullFlavor,    if ($display-DoB-nullFlavor != '' and $display-DoB-value != '') then ' and ' else '', $display-DoB-value, if ($display-DoB-nullFlavor = '' and $display-DoB-value = '') then 'no nullFlavor or code attributes' else '')   else ' There is no Date of Birth data element in the document header' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $indicator-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$indicator-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-39" /><xsl:text />: TC-Auth-39: The Date of Birth Accuracy Indicator '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text />.
		<xsl:text /><xsl:value-of select="$accuracy-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$day-err-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$month-err-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$year-err-msg" /><xsl:text />
		(See the definition of the Date Accuracy Indicator in section 10 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="$suggestion-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1228" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1228" />
  <xsl:template match="@*|node()" priority="-2" mode="M1228">
    <xsl:apply-templates select="@*|*" mode="M1228" />
  </xsl:template>
  <!--PATTERN p-TS-Pers-5-->
  <!--RULE -->
  <xsl:template match=" /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]/    cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16252']]/cda:value " priority="1000" mode="M1229">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context=" /cda:ClinicalDocument/cda:component/cda:structuredBody/cda:component/cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]/    cda:entry/cda:observation[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16252']]/cda:value " />
    <xsl:variable name="day-of-death-ind" select="if (@code) then substring(@code, 1, 1) else '' " />
    <xsl:variable name="month-of-death-ind" select="if (@code) then substring(@code, 2, 1) else '' " />
    <xsl:variable name="year-of-death-ind" select="if (@code) then substring(@code, 3, 1) else '' " />
    <xsl:variable name="date-of-death-de" select="/cda:ClinicalDocument/cda:recordTarget/cda:patientRole/cda:patient/ext:deceasedTime " />
    <xsl:variable name="date-of-death" select="if ($date-of-death-de/@value) then $date-of-death-de/@value else '' " />
    <xsl:variable name="day-of-death" select="substring($date-of-death, 7, 2) " />
    <xsl:variable name="month-of-death" select="substring($date-of-death, 5, 2) " />
    <xsl:variable name="year-of-death" select="substring($date-of-death, 1, 4) " />
    <xsl:variable name="display-nullFlavor" select="if (@nullFlavor) then concat('a nullFlavor attribute with the value ', codepoints-to-string(34), @nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = current()/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-code" select="if (@code) then concat('a code attribute with the value ', codepoints-to-string(34), @code, codepoints-to-string(34)) else '' " />
    <xsl:variable name="display-DoD-nullFlavor" select="if ($date-of-death-de/@nullFlavor) then concat('a nullFlavor attribute with the value ', codepoints-to-string(34), $date-of-death-de/@nullFlavor, codepoints-to-string(34), ' (',          $nullFlavors/nullFlavor[@value = $date-of-death-de/@nullFlavor]/@name, ')') else '' " />
    <xsl:variable name="display-DoD-value" select="if ($date-of-death-de/@value) then concat('the value ', codepoints-to-string(34), $date-of-death-de/@value, codepoints-to-string(34)) else '' " />
    <xsl:variable name="day-err-type-1" select="$day-of-death-ind = ('A', 'E') and exists($date-of-death-de) and $day-of-death = '' and not($date-of-death-de/@nullFlavor) " />
    <xsl:variable name="day-err-type-2" select="$day-of-death-ind = 'U' and exists($date-of-death-de) and matches($day-of-death, '^([0-2][1-9]|3[0-1])$') " />
    <xsl:variable name="month-err-type-1" select="$month-of-death-ind = ('A', 'E') and exists($date-of-death-de) and $month-of-death = '' and not($date-of-death-de/@nullFlavor) " />
    <xsl:variable name="month-err-type-2" select="$month-of-death-ind = 'U' and exists($date-of-death-de) and matches($day-of-death, '^(0[1-9]|1[0-2])$') " />
    <xsl:variable name="year-err-type-1" select="$year-of-death-ind = ('A', 'E') and exists($date-of-death-de) and $year-of-death = '' and not($date-of-death-de/@nullFlavor) " />
    <xsl:variable name="year-err-type-2" select="$year-of-death-ind = 'U' and exists($date-of-death-de) and matches($year-of-death, '^[0-9]{4}$') " />
    <xsl:variable name="indicator-err" select="$day-err-type-1 or $day-err-type-2 or $month-err-type-1 or $month-err-type-2 or $year-err-type-1 or $year-err-type-2 " />
    <xsl:variable name="accuracy-msg" select="if ($indicator-err) then concat('The value of the Date of Death Accuracy Indicator means the Date of Death has ',        if ($year-of-death-ind = 'A') then 'an accurately known year' else if ($year-of-death-ind = 'E') then 'an estimated year' else 'an unknown year', ', ',        if ($month-of-death-ind = 'A') then 'an accurately known month' else if ($month-of-death-ind = 'E') then 'an estimated month' else 'an unknown month', ' and ',        if ($day-of-death-ind = 'A') then 'an accurately known day' else if ($day-of-death-ind = 'E') then 'an estimated day' else 'an unknown day', '. ',        ' In contrast the Date of Death data element in the document header has ', $display-DoD-nullFlavor,         if ($display-DoD-nullFlavor != '' and $display-DoD-value != '') then ' and ' else '', $display-DoD-value,         if ($display-DoD-nullFlavor = '' and $display-DoD-value = '') then 'no nullFlavor or code attributes' else '', '.')         else '' " />
    <xsl:variable name="day-err-msg" select="if ($day-err-type-1) then concat(' It is an error for the Date of Death Accuracy Indicator to indicate the day of death is ',        if ($day-of-death-ind = 'A') then 'accurately known' else 'estimated', ' when the Date of Death does not include a day.')        else if ($day-err-type-2) then concat(' It is an error for the Date of Death Accuracy Indicator to indicate the day of death ',        'is unknown when the Date of Death includes a day.') else '' " />
    <xsl:variable name="month-err-msg" select="if ($month-err-type-1) then concat(' It is an error for the Date of Death Accuracy Indicator to indicate the month of death is ',        if ($month-of-death-ind = 'A') then 'accurately known' else 'estimated', ' when the Date of Death does not include a month.')        else if ($month-err-type-2) then concat(' It is an error for the Date of Death Accuracy Indicator to indicate the month of death ',        'is unknown when the Date of Death includes a month.') else '' " />
    <xsl:variable name="year-err-msg" select="if ($year-err-type-1) then concat(' It is an error for the Date of Death Accuracy Indicator to indicate the year of death is ',        if ($year-of-death-ind = 'A') then 'accurately known' else 'estimated', ' when the Date of Death does not include a year.')        else if ($year-err-type-2) then concat(' It is an error for the Date of Death Accuracy Indicator to indicate the year of death ',        'is unknown when the Date of Death includes a year.') else '' " />
    <xsl:variable name="day-suggestion" select="if ($day-err-type-1) then 'U' else if ($day-err-type-2) then 'A' else $day-of-death-ind " />
    <xsl:variable name="month-suggestion" select="if ($month-err-type-1) then 'U' else if ($month-err-type-2) then 'A' else $month-of-death-ind " />
    <xsl:variable name="year-suggestion" select="if ($year-err-type-1) then 'U' else if ($year-err-type-2) then 'A' else $year-of-death-ind " />
    <xsl:variable name="indicator-suggestion" select="concat(codepoints-to-string(34), $day-suggestion, $month-suggestion, $year-suggestion, codepoints-to-string(34)) " />
    <xsl:variable name="suggestion-msg" select="if ($indicator-err) then normalize-space(concat('An example of a Date of Death Accuracy Indicator that is consistent with the Date of Death is ',        $indicator-suggestion, '. The first letter is the day accuracy indicator, the second letter is the month accuracy indicator and the third letter ',        'is the year accuracy indicator. ',         if (matches($indicator-suggestion, 'A')) then concat('The indicator ''A'' means ''accurately known''. ', 'If any components of the date are ',        'estimated rather than accurately known then the indicator for that date component should be ''E'' (estimated) rather than ''A''.') else '',        if (matches($indicator-suggestion, 'U')) then ' The indicator ''U'' means ''unknown''.' else ''))        else '' " />
    <xsl:variable name="valid-code" select="@code and exists($code-systems/system[@codeSystem = '2.16.840.1.113883.13.62']/code[@code=current()/@code])" />
    <xsl:variable name="initial-priority" select="if ($flags/@allow-ratings = 'true')         then ancestor::cda:section[position()=1][cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16080']]    or          '1' = (for $node in ancestor-or-self::* return if (local-name($node) = $initial-priority-nodes) then '1' else '0')  or         ancestor::cda:participant[@typeCode = $initial-participants]        else false() " />
    <xsl:variable name="rating-42" select="if ($initial-priority) then $initial-rating else $rating-TC-Auth-42 " />
    <!--REPORT -->
    <xsl:if test=" $flags/@report-data = 'true' ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$flags/@report-data = 'true'">
        <xsl:attribute name="flag">FINDING</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Finding: TC-Auth-42: The Date of Death Accuracy Indicator '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has the HL7 Coded Simple data type and <xsl:text /><xsl:value-of select="$display-nullFlavor " /><xsl:text /><xsl:text /><xsl:value-of select="if (@nullFlavor and @code) then ' and ' else ''" /><xsl:text /><xsl:text /><xsl:value-of select="$display-code" /><xsl:text /><xsl:text /><xsl:value-of select="if (not(@nullFlavor or @code)) then 'no nullFlavor or code attributes' else ''" /><xsl:text />.
		The Date of Death Day Accuracy Indicator is '<xsl:text /><xsl:value-of select="$day-of-death-ind" /><xsl:text />' which means the day is
		<xsl:text /><xsl:value-of select="if ($day-of-death-ind = 'A') then 'accurately known' else if ($day-of-death-ind = 'E') then 'estimated' else 'unknown' " /><xsl:text />.
		The Date of Death Month Accuracy Indicator is '<xsl:text /><xsl:value-of select="$month-of-death-ind" /><xsl:text />' which means the month is
		<xsl:text /><xsl:value-of select="if ($month-of-death-ind = 'A') then 'accurately known' else if ($month-of-death-ind = 'E') then 'estimated' else 'unknown' " /><xsl:text />.
		The Date of Death Year Accuracy Indicator is '<xsl:text /><xsl:value-of select="$year-of-death-ind" /><xsl:text />' which means the year is
		<xsl:text /><xsl:value-of select="if ($year-of-death-ind = 'A') then 'accurately known' else if ($year-of-death-ind = 'E') then 'estimated' else 'unknown' " /><xsl:text />.
		<xsl:text /><xsl:value-of select="if (exists($date-of-death-de)) then concat(' The Date of Death data element in the document header has ', $display-DoD-nullFlavor,    if ($display-DoD-nullFlavor != '' and $display-DoD-value != '') then ' and ' else '', $display-DoD-value, if ($display-DoD-nullFlavor = '' and $display-DoD-value = '') then 'no nullFlavor or code attributes' else '')   else ' There is no Date of Death data element in the document header' " /><xsl:text />.

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" $indicator-err ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$indicator-err">
        <xsl:attribute name="flag">ERROR</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Error<xsl:text /><xsl:value-of select="$rating-42" /><xsl:text />: TC-Auth-42: The Date of Death Accuracy Indicator '<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />' data element in
		the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> has <xsl:text /><xsl:value-of select="$display-code" /><xsl:text />.
		<xsl:text /><xsl:value-of select="$accuracy-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$day-err-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$month-err-msg" /><xsl:text /><xsl:text /><xsl:value-of select="$year-err-msg" /><xsl:text />
		(See the definition of the Date Accuracy Indicator in section 10 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide.)
		<xsl:text /><xsl:value-of select="$suggestion-msg" /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1229" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1229" />
  <xsl:template match="@*|node()" priority="-2" mode="M1229">
    <xsl:apply-templates select="@*|*" mode="M1229" />
  </xsl:template>
  <!--PATTERN p-TS-U-Adverse-1-->
  <!--RULE -->
  <xsl:template match="   /cda:ClinicalDocument['101.20113' = $doc-sections and $flags/@report-data-quality = 'true']    [cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']]/cda:component/cda:structuredBody/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16011']]/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/cda:entry/cda:observation    [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:participant/cda:participantRole/cda:playingEntity/cda:code    [not(    (@codeSystem = '2.16.840.1.113883.6.96' and (@code or @nullFlavor))   or    cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and (@code or @nullFlavor)] )]       |    /cda:ClinicalDocument['101.20113' = $doc-sections and $flags/@report-data-quality = 'true'][cda:templateId[    (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')   or    (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or    (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')   or    (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) ]]/cda:component/cda:structuredBody/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/cda:entry/cda:act[cda:code    [@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:participant[@typeCode='CAGNT']/cda:participantRole/cda:playingEntity/cda:code    [not(    (@codeSystem = '2.16.840.1.113883.6.96' and (@code or @nullFlavor))   or    cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and (@code or @nullFlavor)] )]       " priority="1000" mode="M1230">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="   /cda:ClinicalDocument['101.20113' = $doc-sections and $flags/@report-data-quality = 'true']    [cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']]/cda:component/cda:structuredBody/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16011']]/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/cda:entry/cda:observation    [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:participant/cda:participantRole/cda:playingEntity/cda:code    [not(    (@codeSystem = '2.16.840.1.113883.6.96' and (@code or @nullFlavor))   or    cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and (@code or @nullFlavor)] )]       |    /cda:ClinicalDocument['101.20113' = $doc-sections and $flags/@report-data-quality = 'true'][cda:templateId[    (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')   or    (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or    (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')   or    (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) ]]/cda:component/cda:structuredBody/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/cda:entry/cda:act[cda:code    [@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:participant[@typeCode='CAGNT']/cda:participantRole/cda:playingEntity/cda:code    [not(    (@codeSystem = '2.16.840.1.113883.6.96' and (@code or @nullFlavor))   or    cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and (@code or @nullFlavor)] )]       " />
    <xsl:variable name="substance-text" select="if (cda:originalText) then cda:originalText else @displayName " />
    <xsl:variable name="text-to-match" select="lower-case(normalize-space($substance-text)) " />
    <xsl:variable name="text-non-value" select=" translate($text-to-match, $chars-to-remove, '') = ('', 'nka')         or       not(matches($text-to-match, '[a-z]', 'is'))          or        ($cd-definitions/non-value/@regex != '' and matches($text-to-match, $cd-definitions/non-value/@regex, 'i'))  or       (exists($cd-definitions/subs/@non-value-regex) and matches($text-to-match, $cd-definitions/subs/@non-value-regex, 'i')) " />
    <!--REPORT -->
    <xsl:if test=" not($text-non-value) and /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4'] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($text-non-value) and /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-Usability" /><xsl:text />: The adverse reaction Agent Description (also known as the Substance/Agent)
		'<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($substance-text, $text-pattern-replacement, 'ic')" /><xsl:text />' has been recorded without a SNOMED CT-AU code. 
		According to section 6.9 of the Discharge Summary Structured Document Template the Agent Description data element has the CodeableText data type so the use of 
		SNOMED CT-AU codes is optional however it is recommended for use when recording the adverse reaction Agent Description. 
		A codeSystem attribute with the value '2.16.840.1.113883.6.96' (SNOMED CT-AU) should be included for either the primary or translation code with a code from the 
		specified reference sets or a nullFlavor attribute if a suitable code cannot be found. The intent of this recommendation is to standardise the way adverse reactions are recorded
		and exchanged in clinical information systems. (See the requirements in section 7.1.1 of My Health Record Usability Recommendations v1.3. The specified reference sets are stated in 
		section 2.7 of the Adverse Reaction Detailed Clinical Model Specification v3.3.) 

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($text-non-value) and not(/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($text-non-value) and not(/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4'])">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-Usability" /><xsl:text />: The adverse reaction Substance/Agent
		'<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($substance-text, $text-pattern-replacement, 'ic')" /><xsl:text />' has been recorded without a SNOMED CT-AU code.
		According to the Structured Content Specification the Substance/Agent data element has the CodeableText data type so the use of
		SNOMED CT-AU codes is optional however it is recommended for use when recording the adverse reaction Substance/Agent. 
		A codeSystem attribute with the value '2.16.840.1.113883.6.96' (SNOMED CT-AU) should be included for either the primary or translation code with a code from the 
		specified reference sets or a nullFlavor attribute if a suitable code cannot be found. The intent of this recommendation is to standardise the way adverse reactions are recorded
		and exchanged in clinical information systems. (See the requirements in section 7.1.1 of My Health Record Usability Recommendations v1.3. The specified reference sets are stated in
		section 7 of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> CDA Implementation Guide and in section 2.7 of the Adverse Reaction Detailed Clinical Model Specification.) 

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1230" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1230" />
  <xsl:template match="@*|node()" priority="-2" mode="M1230">
    <xsl:apply-templates select="@*|*" mode="M1230" />
  </xsl:template>
  <!--PATTERN p-TS-U-Adverse-2-->
  <!--RULE -->
  <xsl:template match="   /cda:ClinicalDocument['101.20113' = $doc-sections and $flags/@report-data-quality = 'true']    [cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']]/cda:component/cda:structuredBody/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16011']]/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/    cda:entry/cda:observation/cda:entryRelationship[@typeCode='MFST']/cda:observation/cda:code    [not(    (@codeSystem = '2.16.840.1.113883.6.96' and (@code or @nullFlavor))   or    cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and (@code or @nullFlavor)] )]      |    /cda:ClinicalDocument['101.20113' = $doc-sections and $flags/@report-data-quality = 'true']    [cda:templateId[    (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')   or    (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or    (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')   or    (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) ]]/cda:component/cda:structuredBody/cda:component/     cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/     cda:entry/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:entryRelationship/cda:observation     [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16474']]/cda:entryRelationship/cda:observation/cda:code    [not(    (@codeSystem = '2.16.840.1.113883.6.96' and (@code or @nullFlavor))   or    cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and (@code or @nullFlavor)] )]      " priority="1000" mode="M1231">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="   /cda:ClinicalDocument['101.20113' = $doc-sections and $flags/@report-data-quality = 'true']    [cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']]/cda:component/cda:structuredBody/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16011']]/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/    cda:entry/cda:observation/cda:entryRelationship[@typeCode='MFST']/cda:observation/cda:code    [not(    (@codeSystem = '2.16.840.1.113883.6.96' and (@code or @nullFlavor))   or    cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and (@code or @nullFlavor)] )]      |    /cda:ClinicalDocument['101.20113' = $doc-sections and $flags/@report-data-quality = 'true']    [cda:templateId[    (@root = '1.2.36.1.2001.1001.101.100.1002.2' and @extension = '2.2')   or    (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = ('1.3', '1.4')) or    (@root = '1.2.36.1.2001.1001.101.100.1002.132' and @extension = '1.3')   or    (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = ('1.2', '1.3')) ]]/cda:component/cda:structuredBody/cda:component/     cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/     cda:entry/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:entryRelationship/cda:observation     [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16474']]/cda:entryRelationship/cda:observation/cda:code    [not(    (@codeSystem = '2.16.840.1.113883.6.96' and (@code or @nullFlavor))   or    cda:translation[@codeSystem = '2.16.840.1.113883.6.96' and (@code or @nullFlavor)] )]      " />
    <xsl:variable name="manifestation-text" select="if (cda:originalText) then cda:originalText else @displayName " />
    <xsl:variable name="text-to-match" select="lower-case(normalize-space($manifestation-text)) " />
    <xsl:variable name="text-non-value" select=" translate($text-to-match, $chars-to-remove, '') = ('', 'nka')        or       not(matches($text-to-match, '[a-z]', 'is'))          or        ($cd-definitions/non-value/@regex != '' and matches($text-to-match, $cd-definitions/non-value/@regex, 'i'))  or       (exists($cd-definitions/mfst/@non-value-regex) and matches($text-to-match, $cd-definitions/mfst/@non-value-regex, 'i')) " />
    <!--REPORT -->
    <xsl:if test=" not($text-non-value) and /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4'] ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($text-non-value) and /cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-Usability" /><xsl:text />: The adverse reaction Reaction Description (also known as the Manifestation)
		'<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($manifestation-text, $text-pattern-replacement, 'ic')" /><xsl:text />' has been recorded without a SNOMED CT-AU 
		code. According to section 6.9 of the Dischange Summary Structured Document Template the Reaction Description data element has the CodeableText data type so the use of 
		SNOMED CT-AU codes is optional however it is recommended for use when recording information about an adverse reaction.
		A codeSystem attribute with the value '2.16.840.1.113883.6.96' (SNOMED CT-AU) should be included for either the primary or translation code with a code from the 
		specified reference sets or a nullFlavor attribute if a suitable code cannot be found.
		(See the requirements in section 7.1.3 of My Health Record Usability Recommendations v1.3. The specified reference sets are the Clinical manifestation reference set 
		(Concept Id: 142341000036103) and the Clinical finding foundation reference set (Concept Id: 32570071000036102), stated in  
		section 2.13 of the Adverse Reaction Detailed Clinical Model Specification v3.3.) 

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" not($text-non-value) and not(/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4']) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($text-non-value) and not(/cda:ClinicalDocument/cda:templateId[@root = '1.2.36.1.2001.1001.101.100.1002.4' and @extension = '3.4'])">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-Usability" /><xsl:text />: The adverse reaction Manifestation '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($manifestation-text, $text-pattern-replacement, 'ic')" /><xsl:text />' has been recorded without a
		SNOMED CT-AU code. According to the Structured Content Specification the Manifestation
		data element has the CodeableText data type so the use of SNOMED CT-AU codes is optional however it is recommended for use with the adverse reaction Manifestation.
		A codeSystem attribute with the value '2.16.840.1.113883.6.96' (SNOMED CT-AU) should be included for either the primary or translation code with a code from the 
		specified reference sets or a nullFlavor attribute if a suitable code cannot be found.
		(See the requirements in section 7.1.3 of My Health Record Usability Recommendations v1.3. The specified reference sets are the Clinical manifestation reference set 
		(Concept Id: 142341000036103) and the Clinical finding foundation reference set (Concept Id: 32570071000036102), stated in section 7 of some CDA Implementation Guides and in 
		section 2.13 of the Adverse Reaction Detailed Clinical Model Specification v3.3.) 

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1231" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1231" />
  <xsl:template match="@*|node()" priority="-2" mode="M1231">
    <xsl:apply-templates select="@*|*" mode="M1231" />
  </xsl:template>
  <!--PATTERN p-TS-U-Adverse-3-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument['101.20113' = $doc-sections and $flags/@report-data-quality = 'true']   [cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.4') or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3') ]]/cda:component/cda:structuredBody/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/    cda:entry/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:entryRelationship/cda:observation    [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16474']][not(cda:value)]/cda:entryRelationship/cda:observation/cda:code" priority="1000" mode="M1232">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument['101.20113' = $doc-sections and $flags/@report-data-quality = 'true']   [cda:templateId[   (@root = '1.2.36.1.2001.1001.101.100.1002.120' and @extension = '1.4') or   (@root = '1.2.36.1.2001.1001.101.100.1002.136' and @extension = '1.3') ]]/cda:component/cda:structuredBody/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.20113']]/    cda:entry/cda:act[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.15517']]/cda:entryRelationship/cda:observation    [cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='102.16474']][not(cda:value)]/cda:entryRelationship/cda:observation/cda:code" />
    <xsl:variable name="manifestation-text" select="if (cda:originalText) then cda:originalText else @displayName" />
    <xsl:variable name="text-to-match" select="lower-case(normalize-space($manifestation-text)) " />
    <xsl:variable name="text-non-value" select=" translate($text-to-match, $chars-to-remove, '') = ('', 'nka')        or       not(matches($text-to-match, '[a-z]', 'is'))          or        ($cd-definitions/non-value/@regex != '' and matches($text-to-match, $cd-definitions/non-value/@regex, 'i'))  or       (exists($cd-definitions/mfst/@non-value-regex) and matches($text-to-match, $cd-definitions/mfst/@non-value-regex, 'i')) " />
    <!--REPORT -->
    <xsl:if test=" not($text-non-value) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="not($text-non-value)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-Usability" /><xsl:text />: The adverse reaction Manifestation '<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($manifestation-text, $text-pattern-replacement, 'ic')" /><xsl:text />'
		has been recorded without the reaction type. Even though the reaction type data element is optional, when 
		a manifestation has been recorded the reaction type should also be recorded. According to the Structured Content Specification the reaction type has the CodedText data type so
		a value from the SNOMED CT-AU Reaction type reference set (Concept Id: 11000036103) must be used. The software is to allow a healthcare provider to select an adverse reaction type from the 
		SNOMED CT-AU Reaction type reference set and the default value 'Adverse reaction' with code '281647001' may be used if the 
		healthcare provider has not selected a more specific type of adverse reaction. The intent of this recommendation is to standardise the way adverse reactions are recorded and exchanged in
		clinical information systems. (See the requirements in section 7 of My Health Record Usability Recommendations v1.3)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1232" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1232" />
  <xsl:template match="@*|node()" priority="-2" mode="M1232">
    <xsl:apply-templates select="@*|*" mode="M1232" />
  </xsl:template>
  <!--PATTERN p-TS-U-MedHist-1-->
  <!--RULE -->
  <xsl:template match="/cda:ClinicalDocument['101.16117' = $doc-sections and $flags/@report-data-quality = 'true']/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:text " priority="1000" mode="M1233">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="/cda:ClinicalDocument['101.16117' = $doc-sections and $flags/@report-data-quality = 'true']/cda:component/cda:structuredBody/cda:component/   cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16117']]/cda:text " />
    <!--REPORT -->
    <xsl:if test=" count(cda:table) &gt; 1 ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="count(cda:table) &gt; 1">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-Usability" /><xsl:text />: The narrative of the Medical History section contains <xsl:text /><xsl:value-of select="count(cda:table)" /><xsl:text /> tables.
		In the medical history section all procedures, problem/diagnoses and other medical histories should be included in a single table.
		(See requirement SHS.11 in Shared Health Summary - My Health Record Usability Recommendations v1.2. This is a mandatory requirement for software intended to create Shared Health 
		Summaries conformant to the usability recommendations otherwise it is a recomended requirement for the medical history section in any type of document.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" count(cda:table) = 1 and not(cda:table/cda:thead) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="count(cda:table) = 1 and not(cda:table/cda:thead)">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-Usability" /><xsl:text />: The narrative of the Medical History section does not contain a table header row. A table header row should be present with an 'Item' column heading, optional 
		'Date and 'Comment' column headings and other column headings may also be present.
		(See requirement SHS.12 in Shared Health Summary - My Health Record Usability Recommendations v1.2. This is a mandatory requirement for software intended to create Shared Health 
		Summaries conformant to the usability recommendations otherwise it is a recomended requirement for the medical history section in any type of document.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <!--REPORT -->
    <xsl:if test=" count(cda:table) = 1 and not(exists(cda:table/cda:thead/cda:tr/cda:th[matches(., '^Item$', 'i')])) ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="count(cda:table) = 1 and not(exists(cda:table/cda:thead/cda:tr/cda:th[matches(., '^Item$', 'i')]))">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-TC-Usability" /><xsl:text />: The narrative of the Medical History section does not contain a table heading with the name 'Item'. A table header row should be present with an 'Item' 
		column heading, optional 'Date and 'Comment' column headings and other column headings may also be present.
		(See requirement SHS.12 in Shared Health Summary - My Health Record Usability Recommendations v1.2. This is a mandatory requirement for software intended to create Shared Health 
		Summaries conformant to the usability recommendations otherwise it is a recomended requirement for the medical history section in any type of document.)

	    </svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1233" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1233" />
  <xsl:template match="@*|node()" priority="-2" mode="M1233">
    <xsl:apply-templates select="@*|*" mode="M1233" />
  </xsl:template>
  <!--PATTERN p-TS-U-Med-1-->
  <!--RULE -->
  <xsl:template match="    /cda:ClinicalDocument[$flags/@report-data-quality = 'true'][cda:templateId/@root = '1.2.36.1.2001.1001.101.100.1002.4']/    cda:component/cda:structuredBody/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1']]/cda:entry/cda:substanceAdministration/cda:entryRelationship/cda:supply/cda:text |     /cda:ClinicalDocument[$flags/@report-data-quality = 'true'][cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.170']/    cda:component/cda:structuredBody/cda:component/    cda:section[cda:code[@code = '102.16211']]/cda:entry/cda:substanceAdministration/cda:text           |     /cda:ClinicalDocument[$flags/@report-data-quality = 'true'][cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.170']/cda:component/cda:structuredBody/cda:component/    cda:section[cda:code[@code = '102.16211']]/cda:entry/cda:substanceAdministration/cda:routeCode/cda:originalText        |    /cda:ClinicalDocument[$flags/@report-data-quality = 'true']    [cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.170']/cda:component/cda:structuredBody/cda:component/    cda:section[cda:code[@code = '102.16211']]/cda:entry/cda:substanceAdministration/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/    ext:formCode/cda:originalText                   |    /cda:ClinicalDocument[$flags/@report-data-quality = 'true']    [cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.171']/cda:component/cda:structuredBody/cda:component/    cda:section[cda:code[@code = '102.16210']]/cda:entry/cda:substanceAdministration/cda:entryRelationship/cda:supply/cda:entryRelationship/cda:act    [cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code='103.16109']]/cda:text            |    /cda:ClinicalDocument[$flags/@report-data-quality = 'true']    [cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.171']/cda:component/cda:structuredBody/cda:component/    cda:section[cda:code[@code = '102.16210']]/cda:entry/cda:substanceAdministration/cda:entryRelationship/cda:supply/    cda:product/cda:manufacturedProduct/cda:manufacturedMaterial/ext:formCode/cda:originalText           " priority="1000" mode="M1234">
    <svrl:fired-rule xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" context="    /cda:ClinicalDocument[$flags/@report-data-quality = 'true'][cda:templateId/@root = '1.2.36.1.2001.1001.101.100.1002.4']/    cda:component/cda:structuredBody/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16022']]/cda:component/    cda:section[cda:code[@codeSystem='1.2.36.1.2001.1001.101' and @code='101.16146.4.1.1']]/cda:entry/cda:substanceAdministration/cda:entryRelationship/cda:supply/cda:text |     /cda:ClinicalDocument[$flags/@report-data-quality = 'true'][cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.170']/    cda:component/cda:structuredBody/cda:component/    cda:section[cda:code[@code = '102.16211']]/cda:entry/cda:substanceAdministration/cda:text           |     /cda:ClinicalDocument[$flags/@report-data-quality = 'true'][cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.170']/cda:component/cda:structuredBody/cda:component/    cda:section[cda:code[@code = '102.16211']]/cda:entry/cda:substanceAdministration/cda:routeCode/cda:originalText        |    /cda:ClinicalDocument[$flags/@report-data-quality = 'true']    [cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.170']/cda:component/cda:structuredBody/cda:component/    cda:section[cda:code[@code = '102.16211']]/cda:entry/cda:substanceAdministration/cda:consumable/cda:manufacturedProduct/cda:manufacturedMaterial/    ext:formCode/cda:originalText                   |    /cda:ClinicalDocument[$flags/@report-data-quality = 'true']    [cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.171']/cda:component/cda:structuredBody/cda:component/    cda:section[cda:code[@code = '102.16210']]/cda:entry/cda:substanceAdministration/cda:entryRelationship/cda:supply/cda:entryRelationship/cda:act    [cda:code[@codeSystem = '1.2.36.1.2001.1001.101' and @code='103.16109']]/cda:text            |    /cda:ClinicalDocument[$flags/@report-data-quality = 'true']    [cda:templateId/@root = '1.2.36.1.2001.1001.100.1002.171']/cda:component/cda:structuredBody/cda:component/    cda:section[cda:code[@code = '102.16210']]/cda:entry/cda:substanceAdministration/cda:entryRelationship/cda:supply/    cda:product/cda:manufacturedProduct/cda:manufacturedMaterial/ext:formCode/cda:originalText           " />
    <xsl:variable name="directions-text" select="if ($flags/@report-data-quality = 'true') then normalize-space(.) else '' " />
    <xsl:variable name="latin-mabbr" select="if (matches($directions-text, $latin-mabbr-regex, 'i')) then replace($directions-text, $latin-mabbr-regex, '$2', 'i') else '' " />
    <xsl:variable name="directions-words" select="tokenize(replace(if (matches($directions-text, $latin-mabbr-regex, 'i')) then         replace($directions-text, $latin-mabbr-regex, '$1$3', 'i') else $directions-text, '(\(s\)|'')', 's', 'i'), ' ') " />
    <xsl:variable name="latin-term" select="(for $word in $directions-words return         if (matches($word, $latin-term-regex, 'i')) then replace($word, $latin-term-regex, '$2', 'i') else '')[. != '']" />
    <xsl:variable name="latin-sabbr" select="(for $word in $directions-words return         if (matches($word, $latin-abbr-regex, 'i')) then replace($word, $latin-abbr-regex, '$2', 'i') else '')" />
    <xsl:variable name="other-abbr" select="(for $word in $directions-words return         if (matches($word, $other-abbr-regex, 'i')) then replace($word, $other-abbr-regex, '$2', 'i') else '')[. != '']" />
    <xsl:variable name="directions-dec" select="(for $word in $directions-words return         if (matches($word, $directions-dec-regex, 'i')) then replace($word, $directions-dec-regex, '$2', 'i') else '')" />
    <xsl:variable name="directions-frac" select="(for $word in $directions-words return         if (matches($word, $directions-frac-regex, 'i')) then replace($word, $directions-frac-regex, '$2', 'i') else '')" />
    <xsl:variable name="directions-number" select="($directions-dec, $directions-frac)[. != ''] " />
    <xsl:variable name="latin-abbr" select="($latin-sabbr, $latin-mabbr)[. != ''] " />
    <xsl:variable name="has-latin-term" select="exists($latin-term) " />
    <xsl:variable name="has-latin-abbr" select="exists($latin-abbr) " />
    <xsl:variable name="has-other-abbr" select="exists($other-abbr) " />
    <xsl:variable name="has-numbers" select="exists($directions-number) " />
    <xsl:variable name="directions-rec" select="$has-latin-term or $has-latin-abbr or $has-other-abbr or $has-numbers " />
    <xsl:variable name="occurrence-num" select="count(distinct-values(($latin-term, $latin-abbr, $other-abbr, $directions-number))) " />
    <xsl:variable name="examples" select="distinct-values(($latin-term, $latin-abbr, $other-abbr, $directions-number)) " />
    <xsl:variable name="sig-risk-examples" select="$examples[matches(., $sig-risk-regex)] " />
    <xsl:variable name="latin-num" select="count(distinct-values($latin-term)) " />
    <xsl:variable name="abbr-num" select="count(distinct-values(($latin-abbr, $other-abbr))) " />
    <xsl:variable name="dir-num" select="count(distinct-values($directions-number)) " />
    <xsl:variable name="directions-msg-1" select="if (not($directions-rec)) then ''        else if ($has-latin-term and $abbr-num = 1) then 'Latin and an abbreviation'        else if ($has-latin-term and $abbr-num &gt; 1) then 'Latin and abbreviations'        else if ($has-latin-term and not($has-latin-abbr) and $latin-num = 1) then 'a Latin term'        else if ($has-latin-term and not($has-latin-abbr) and $latin-num &gt; 1) then 'Latin terms'        else if ($abbr-num = 1) then 'an abbreviation'        else if ($abbr-num &gt; 1) then 'abbreviations'        else '' " />
    <xsl:variable name="directions-msg" select="if (not($directions-rec and $has-numbers)) then $directions-msg-1        else if ($directions-msg-1 = ''and $dir-num = 1) then 'a number'        else if ($directions-msg-1 = ''and $dir-num &gt; 1) then 'numbers'        else if ($dir-num = 1) then concat($directions-msg-1, ' and a number')        else concat($directions-msg-1, ' and numbers') " />
    <xsl:variable name="directions-name" select="if ($templateId-root = '1.2.36.1.2001.1001.101.100.1002.4') then 'Unit Of Use Quantity Dispensed'         else if ($templateId-root = '1.2.36.1.2001.1001.100.1002.170' and local-name(.) = 'text') then 'Directions'        else if ($templateId-root = '1.2.36.1.2001.1001.100.1002.170' and local-name(..) = 'routeCode') then 'Route'        else if ($templateId-root = '1.2.36.1.2001.1001.100.1002.170' and local-name(..) = 'formCode') then 'Form'        else if ($templateId-root = '1.2.36.1.2001.1001.100.1002.171' and local-name(.) = 'text') then 'Label Instruction'        else if ($templateId-root = '1.2.36.1.2001.1001.100.1002.171' and local-name(..) = 'formCode') then 'Form'        else 'medications directions' " />
    <!--REPORT -->
    <xsl:if test=" $directions-rec ">
      <svrl:successful-report xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" test="$directions-rec">
        <xsl:attribute name="flag">RECOMMENDATION</xsl:attribute>
        <xsl:attribute name="location">
          <xsl:apply-templates select="." mode="schematron-get-full-path" />
        </xsl:attribute>
        <svrl:text>

		Recommendation<xsl:text /><xsl:value-of select="$rating-dir-TC-Med-Display" /><xsl:text />: (READABILITY): The <xsl:text /><xsl:value-of select="$directions-name" /><xsl:text />
		'<xsl:text /><xsl:value-of select="local-name(../..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(..)" /><xsl:text />/<xsl:text /><xsl:value-of select="local-name(.)" /><xsl:text />'
		data element in the <xsl:text /><xsl:value-of select="iq:location(., '')" /><xsl:text /> of the <xsl:text /><xsl:value-of select="$document-name" /><xsl:text /> has the value
		'<xsl:text /><xsl:value-of select="dh:XQueryRecursiveReplace($directions-text, $text-pattern-replacement, 'ic') " /><xsl:text />' which contains
		<xsl:text /><xsl:value-of select="if ($occurrence-num = 1) then '' else iq:display-number($occurrence-num) " /><xsl:text /><xsl:text /><xsl:value-of select="if ($occurrence-num = 1) then '' else ' occurrences of ' " /><xsl:text /><xsl:text /><xsl:value-of select="$directions-msg " /><xsl:text />
		(<xsl:text /><xsl:value-of select="iq:display-text-list($examples, 1, true(), true())" /><xsl:text />)
		that <xsl:text /><xsl:value-of select="if ($occurrence-num = 1) then 'is' else 'are' " /><xsl:text /> open to ambiguity and misunderstanding and should be avoided.
		(See section 6.2 of the National Guidelines for On-Screen Display of Clinical Medicines
		Information, published January 2016 by the Australian Commission on Safety and Quality in Health Care, which states 'Medicine has a strong tradition of using Latin words and abbreviations in
		place of full English words. . . . However, English is the predominant language used to describe medicines, and clinical staff training does not include Latin or abbreviated terms to describe
		a medication order. While using Latin abbreviations may be convenient, their use is open to ambiguity and misunderstanding and ultimately may lead to patient harm. . . . This is also true
		for abbreviated forms of English words and the use of symbols in place of words. Errors resulting from these misunderstandings are well documented in the patient safety literature'.)
		<xsl:text /><xsl:value-of select="if (count($sig-risk-examples) = 0) then ''   else if (count($sig-risk-examples) = 1) then concat('The term ''', $sig-risk-examples[1],     ''' is especially discouraged as it can be confused with other terms leading to errors with taking medicine. ',    '(See section 2 of the Recommendations for terminology, abbreviations and symbols used in medicines documentation, December 2016).')   else concat('The terms ''', string-join($sig-risk-examples, ''', '''),    ''' are especially discouraged as they can be confused with other terms leading to errors with taking medicine. ',    '(See section 2 of the Recommendations for terminology, abbreviations and symbols used in medicines documentation, December 2016).') " /><xsl:text /><xsl:text /><xsl:value-of select="if (exists($examples[matches(., '^mcg\.?$', 'i')])) then ' The abbreviation ''mcg'' may be confused with ''mg'' and should be replaced with microgram, MICROg or microg.'    else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (exists($examples[matches(., '^gutte$')])) then ' The Latin word ''gutte'' should be replaced with ''drops''.'  else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (exists($examples[matches(., '^o\.?d\.?$', 'i')])) then concat(' The abbreviation ''', $examples[matches(., '^o\.?d\.?$', 'i')],    ''' may mean ''once a day'' or ''oculus dexter'' (right eye) or may be misread as ''BD'' (twice daily) or ''QID'' (four times a day). ',   'This should be replaced with an alternative such as ''once a day'', ''daily'' or ''right eye'' if that was intended.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (exists($examples[matches(., '^u$', 'i')])) then concat(' The abbreviation ''', $examples[matches(., '^u$', 'i')], ''' may be mistaken as a number or a volume. ',   'This should be replaced with ''unit'' or ''units'' if that was intended.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (exists($examples[matches(., '^IVI$', 'i')])) then concat(' The abbreviation ''', $examples[matches(., '^IVI$', 'i')], ''' may be mistaken as IV1. ',   'This should be replaced with ''Intravenous Injection'' or ''IV injection'' if that was intended.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (exists($examples[matches(., '^q\.?d\.?s\.?$', 'i')])) then concat(' The Latin abbreviation ''', $examples[matches(., '^q\.?d\.?s\.?$', 'i')],    ''' is not always understood. This should be replaced with ''4 times a day'' if that was intended.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (exists($examples[matches(., '^D/?C$', 'i')])) then concat(' The abbreviation ''', $examples[matches(., '^D/?C$', 'i')], ''' may mean ''discharge'' or ',   '''discontinue''. This should be replaced with replaced with the intended term.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (exists($examples[matches(., '^IO$', 'i')])) then concat(' The abbreviation ''', $examples[matches(., '^IO$', 'i')], ''' may be mistaken as ''10'' (ten) or ''oral''. ',   'This should be replaced with ''intraosseous'' if that was intended.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (exists($examples[matches(., '^IP$', 'i')])) then concat(' The abbreviation ''', $examples[matches(., '^IP$', 'i')], ''' may be mistaken as ''IV''. ',   'This should be replaced with ''intraperitoneal'' if that was intended.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (exists($examples[matches(., '^IU$', 'i')])) then concat(' The abbreviation ''', $examples[matches(., '^IU$', 'i')], ''' may be mistaken as ''IV'' or ''10''. ',   'This should be replaced with ''unit'' or ''units'' if that was intended.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (exists($examples[matches(., '^OJ$', 'i')])) then concat(' The abbreviation ''', $examples[matches(., '^OJ$', 'i')], ''' may be mistaken as ''OD'' or ''OS'' ',   '(right or left eye). This should be replaced with ''orange juice'' if that was intended.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (exists($examples[matches(., '^SSI$', 'i')])) then concat(' The abbreviation ''', $examples[matches(., '^SSI$', 'i')], ''' may either mean ',   '''sliding scale insulin'' or ''Strong Solution of Iodine''. This should be replaced with the intended term.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (exists($examples[matches(., '^SSRI$', 'i')])) then concat(' The abbreviation ''', $examples[matches(., '^SSRI$', 'i')], ''' may either mean ',   '''sliding scale (regular) insulin'' or ''Selective Serotonin Reuptake Inhibitor''. This should be replaced with the intended term.') else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (exists($examples[matches(., '^gm\.?$', 'i')])) then ' The abbreviation ''gm'' should be replaced with the standard abbreviation ''g''.' else '' " /><xsl:text /><xsl:text /><xsl:value-of select="if (exists($examples[matches(., '^mls\.?$')])) then ' The abbreviation ''mls'' should be replaced with the standard abbreviation ''mL''.'    else if (exists($examples[matches(., '^mLs\.?$')])) then ' The abbreviation ''mLs'' should be replaced with the standard abbreviation ''mL''.'  else '' " /><xsl:text /></svrl:text>
      </svrl:successful-report>
    </xsl:if>
    <xsl:apply-templates select="@*|*" mode="M1234" />
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M1234" />
  <xsl:template match="@*|node()" priority="-2" mode="M1234">
    <xsl:apply-templates select="@*|*" mode="M1234" />
  </xsl:template>
</xsl:stylesheet>